--
-- PostgreSQL database dump
--

SET statement_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = on;
SET check_function_bodies = false;
SET client_min_messages = warning;

--
-- Name: plpgsql; Type: EXTENSION; Schema: -; Owner: -
--

CREATE EXTENSION IF NOT EXISTS plpgsql WITH SCHEMA pg_catalog;


--
-- Name: EXTENSION plpgsql; Type: COMMENT; Schema: -; Owner: -
--

COMMENT ON EXTENSION plpgsql IS 'PL/pgSQL procedural language';


SET search_path = public, pg_catalog;

SET default_tablespace = '';

SET default_with_oids = false;

--
-- Name: data_point; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE data_point (
    created_at timestamp without time zone NOT NULL,
    id integer NOT NULL,
    value numeric NOT NULL,
    series_id integer,
    device_id integer
);


--
-- Name: data_point_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE data_point_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: data_point_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE data_point_id_seq OWNED BY data_point.id;


--
-- Name: device; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE device (
    created_at timestamp without time zone NOT NULL,
    id integer NOT NULL,
    name character varying(20),
    device_type integer,
    device_sub_type integer,
    device_id character varying(20) NOT NULL
);


--
-- Name: device_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE device_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: device_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE device_id_seq OWNED BY device.id;


--
-- Name: series; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE series (
    created_at timestamp without time zone NOT NULL,
    id integer NOT NULL,
    name character varying(20) NOT NULL
);


--
-- Name: series_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE series_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: series_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE series_id_seq OWNED BY series.id;


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY data_point ALTER COLUMN id SET DEFAULT nextval('data_point_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY device ALTER COLUMN id SET DEFAULT nextval('device_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY series ALTER COLUMN id SET DEFAULT nextval('series_id_seq'::regclass);


--
-- Data for Name: data_point; Type: TABLE DATA; Schema: public; Owner: -
--

COPY data_point (created_at, id, value, series_id, device_id) FROM stdin;
2014-03-24 22:13:55.850279	1	21.6	1	1
2014-03-24 22:13:56.170751	2	53	2	1
2014-03-24 22:14:34.34784	3	21.6	1	1
2014-03-24 22:14:34.582955	4	53	2	1
2014-03-24 22:15:13.349451	5	21.6	1	1
2014-03-24 22:15:13.579546	6	53	2	1
2014-03-24 22:15:20.911071	7	804	3	2
2014-03-24 22:15:32.973013	8	1963	3	2
2014-03-24 22:15:44.851207	9	692	3	2
2014-03-24 22:15:56.846111	10	676	3	2
2014-03-24 22:16:08.84758	11	724	3	2
2014-03-24 22:16:20.975857	12	1931	3	2
2014-03-24 22:16:32.861562	13	692	3	2
2014-03-24 22:16:44.978984	14	659	3	2
2014-03-24 22:16:56.97429	15	1818	3	2
2014-03-24 22:17:08.847892	16	676	3	2
2014-03-24 22:17:20.84703	17	659	3	2
2014-03-24 22:17:32.850551	18	1818	3	2
2014-03-24 22:17:44.850275	19	627	3	2
2014-03-24 22:17:49.341863	20	21.6	1	1
2014-03-24 22:17:49.563937	21	54	2	1
2014-03-24 22:17:56.848686	22	627	3	2
2014-03-24 22:18:08.848205	23	659	3	2
2014-03-24 22:18:20.850294	24	1802	3	2
2014-03-24 22:18:28.342306	25	21.5	1	1
2014-03-24 22:18:28.56414	26	54	2	1
2014-03-24 22:18:32.848971	27	515	3	2
2014-03-24 22:18:44.853117	28	434	3	2
2014-03-24 22:18:56.846362	29	434	3	2
2014-03-24 22:19:07.336311	30	21.5	1	1
2014-03-24 22:19:07.582021	31	54	2	1
2014-03-24 22:19:32.850865	32	434	3	2
2014-03-24 22:19:46.347017	33	21.5	1	1
2014-03-24 22:19:46.57143	34	54	2	1
2014-03-24 22:20:25.332586	35	21.5	1	1
2014-03-24 22:20:25.554199	36	54	2	1
2014-03-24 22:20:32.850399	37	418	3	2
2014-03-24 22:20:56.853566	38	466	3	2
2014-03-24 22:21:04.333993	39	21.5	1	1
2014-03-24 22:21:04.556445	40	54	2	1
2014-03-24 22:21:08.852473	41	482	3	2
2014-03-24 22:21:32.85203	42	466	3	2
2014-03-24 22:21:43.339436	43	21.5	1	1
2014-03-24 22:21:43.811343	44	54	2	1
2014-03-24 22:22:22.337916	45	21.4	1	1
2014-03-24 22:22:22.560142	46	54	2	1
2014-03-24 22:22:32.850394	47	466	3	2
2014-03-24 22:22:56.869118	48	595	3	2
2014-03-24 22:23:01.341642	49	21.4	1	1
2014-03-24 22:23:01.562292	50	54	2	1
2014-03-24 22:23:08.851545	51	595	3	2
2014-03-24 22:23:32.853614	52	595	3	2
2014-03-24 22:23:40.340086	53	21.4	1	1
2014-03-24 22:23:40.572435	54	54	2	1
2014-03-24 22:23:56.849202	55	643	3	2
2014-03-24 22:24:19.482082	56	21.4	1	1
2014-03-24 22:24:19.97999	57	54	2	1
2014-03-24 22:24:20.979964	58	531	3	2
2014-03-24 22:24:32.855329	59	515	3	2
2014-03-24 22:24:58.139659	60	547	3	2
2014-03-24 22:24:58.453566	61	21.4	1	1
2014-03-24 22:24:58.67631	62	54	2	1
2014-03-24 22:25:08.853375	63	547	3	2
2014-03-24 22:25:32.849011	64	498	3	2
2014-03-24 22:25:37.330121	65	21.4	1	1
2014-03-24 22:25:37.561591	66	54	2	1
2014-03-24 22:25:44.851397	67	498	3	2
2014-03-24 22:26:16.329342	68	21.3	1	1
2014-03-24 22:26:16.575216	69	54	2	1
2014-03-24 22:26:32.85029	70	498	3	2
2014-03-24 22:26:44.850727	71	402	3	2
2014-03-24 22:26:55.329779	72	21.3	1	1
2014-03-24 22:26:55.565922	73	54	2	1
2014-03-24 22:27:08.850227	74	498	3	2
2014-03-24 22:27:34.138544	75	482	3	2
2014-03-24 22:27:34.451276	76	21.3	1	1
2014-03-24 22:27:34.687598	77	54	2	1
2014-03-24 22:28:13.330422	78	21.3	1	1
2014-03-24 22:28:13.556188	79	54	2	1
2014-03-24 22:28:20.849501	80	402	3	2
2014-03-24 22:28:32.845401	81	402	3	2
2014-03-24 22:28:52.333726	82	21.3	1	1
2014-03-24 22:28:52.557197	83	54	2	1
2014-03-24 22:29:08.848305	84	370	3	2
2014-03-24 22:29:20.849952	85	338	3	2
2014-03-24 22:29:31.329945	86	21.3	1	1
2014-03-24 22:29:31.55296	87	54	2	1
2014-03-24 22:29:32.844906	88	338	3	2
2014-03-24 22:30:10.331422	89	21.2	1	1
2014-03-24 22:30:10.553327	90	54	2	1
2014-03-24 22:30:32.848924	91	338	3	2
2014-03-24 22:30:49.334444	92	21.2	1	1
2014-03-24 22:30:49.555987	93	54	2	1
2014-03-24 22:31:28.326609	94	21.2	1	1
2014-03-24 22:31:28.561332	95	54	2	1
2014-03-24 22:31:32.848514	96	338	3	2
2014-03-24 22:32:07.457552	97	21.2	1	1
2014-03-24 22:32:07.890007	98	54	2	1
2014-03-24 22:32:32.971978	99	338	3	2
2014-03-24 22:32:46.329981	100	21.2	1	1
2014-03-24 22:32:46.560128	101	54	2	1
2014-03-24 22:33:25.329086	102	21.2	1	1
2014-03-24 22:33:25.563749	103	54	2	1
2014-03-24 22:33:32.847537	104	305	3	2
2014-03-24 22:33:44.847575	105	305	3	2
2014-03-24 22:34:04.328018	106	21.2	1	1
2014-03-24 22:34:04.561267	107	54	2	1
2014-03-24 22:34:32.849378	108	305	3	2
2014-03-24 22:34:43.326144	109	21.2	1	1
2014-03-24 22:34:43.550926	110	54	2	1
2014-03-24 22:35:22.323715	111	21.1	1	1
2014-03-24 22:35:22.5507	112	54	2	1
2014-03-24 22:35:32.846155	113	305	3	2
2014-03-24 22:36:01.322595	114	21.1	1	1
2014-03-24 22:36:01.562701	115	54	2	1
2014-03-24 22:36:20.848273	116	434	3	2
2014-03-24 22:36:32.849324	117	450	3	2
2014-03-24 22:36:40.322523	118	21.1	1	1
2014-03-24 22:36:40.72982	119	54	2	1
2014-03-24 22:37:19.32354	120	21.1	1	1
2014-03-24 22:37:19.550577	121	54	2	1
2014-03-24 22:37:32.848116	122	450	3	2
2014-03-24 22:37:58.324145	123	21.1	1	1
2014-03-24 22:37:58.557548	124	54	2	1
2014-03-24 22:38:32.846092	125	434	3	2
2014-03-24 22:38:37.322383	126	21.1	1	1
2014-03-24 22:38:37.550743	127	54	2	1
2014-03-24 22:39:16.32718	128	21.1	1	1
2014-03-24 22:39:16.547407	129	54	2	1
2014-03-24 22:39:32.84581	130	434	3	2
2014-03-24 22:39:55.320923	131	21.0	1	1
2014-03-24 22:39:55.544481	132	54	2	1
2014-03-24 22:40:32.845755	133	418	3	2
2014-03-24 22:40:34.320906	134	21.0	1	1
2014-03-24 22:40:34.544471	135	54	2	1
2014-03-24 22:41:13.320256	136	21.0	1	1
2014-03-24 22:41:13.550669	137	54	2	1
2014-03-24 22:41:32.848162	138	418	3	2
2014-03-24 22:41:52.317912	139	21.0	1	1
2014-03-24 22:41:52.540713	140	54	2	1
2014-03-24 22:41:56.849186	141	370	3	2
2014-03-24 22:42:08.845999	142	370	3	2
2014-03-24 22:42:31.319983	143	21.0	1	1
2014-03-24 22:42:31.552296	144	54	2	1
2014-03-24 22:42:32.849361	145	370	3	2
2014-03-24 22:43:10.322047	146	21.0	1	1
2014-03-24 22:43:10.553136	147	54	2	1
2014-03-24 22:43:32.845769	148	370	3	2
2014-03-24 22:43:49.328872	149	21.0	1	1
2014-03-24 22:43:49.553132	150	54	2	1
2014-03-24 22:44:28.318849	151	21.0	1	1
2014-03-24 22:44:28.539363	152	54	2	1
2014-03-24 22:44:32.844088	153	370	3	2
2014-03-24 22:45:07.319536	154	21.0	1	1
2014-03-24 22:45:07.540939	155	54	2	1
2014-03-24 22:45:32.845682	156	370	3	2
2014-03-24 22:45:46.328713	157	21.0	1	1
2014-03-24 22:45:46.608634	158	54	2	1
2014-03-24 22:46:25.32097	159	20.9	1	1
2014-03-24 22:46:25.582832	160	54	2	1
2014-03-24 22:46:32.845735	161	370	3	2
2014-03-24 22:47:04.319032	162	20.9	1	1
2014-03-24 22:47:04.900711	163	54	2	1
2014-03-24 22:47:32.846588	164	370	3	2
2014-03-24 22:47:43.319743	165	20.9	1	1
2014-03-24 22:47:43.543839	166	54	2	1
2014-03-24 22:48:22.316602	167	20.9	1	1
2014-03-24 22:48:22.539347	168	54	2	1
2014-03-24 22:48:32.846679	169	370	3	2
2014-03-24 22:49:01.318967	170	20.9	1	1
2014-03-24 22:49:01.540158	171	54	2	1
2014-03-24 22:49:08.846646	172	434	3	2
2014-03-24 22:49:20.845089	173	418	3	2
2014-03-24 22:49:32.844053	174	418	3	2
2014-03-24 22:49:40.318612	175	20.9	1	1
2014-03-24 22:49:40.547895	176	54	2	1
2014-03-24 22:49:56.844895	177	354	3	2
2014-03-24 22:50:08.847043	178	354	3	2
2014-03-24 22:50:19.317817	179	20.9	1	1
2014-03-24 22:50:19.555098	180	54	2	1
2014-03-24 22:50:32.847101	181	370	3	2
2014-03-24 22:50:58.313942	182	20.9	1	1
2014-03-24 22:50:58.535743	183	54	2	1
2014-03-24 22:51:32.842843	184	354	3	2
2014-03-24 22:51:37.315765	185	20.9	1	1
2014-03-24 22:51:37.539691	186	54	2	1
2014-03-24 22:52:16.31598	187	20.9	1	1
2014-03-24 22:52:16.551123	188	54	2	1
2014-03-24 22:52:32.843037	189	354	3	2
2014-03-24 22:52:55.314701	190	20.8	1	1
2014-03-24 22:52:55.538305	191	54	2	1
2014-03-24 22:53:32.841863	192	354	3	2
2014-03-24 22:53:34.316733	193	20.8	1	1
2014-03-24 22:53:34.53832	194	54	2	1
2014-03-24 22:53:44.843864	195	305	3	2
2014-03-24 22:53:56.845795	196	305	3	2
2014-03-24 22:54:13.316925	197	20.8	1	1
2014-03-24 22:54:13.541426	198	54	2	1
2014-03-24 22:54:32.84496	199	305	3	2
2014-03-24 22:54:52.316773	200	20.8	1	1
2014-03-24 22:54:52.539442	201	54	2	1
2014-03-24 22:55:31.316742	202	20.8	1	1
2014-03-24 22:55:31.550378	203	54	2	1
2014-03-24 22:55:32.846767	204	305	3	2
2014-03-24 22:56:10.315323	205	20.8	1	1
2014-03-24 22:56:10.539066	206	54	2	1
2014-03-24 22:56:32.843856	207	338	3	2
2014-03-24 22:56:44.843963	208	305	3	2
2014-03-24 22:56:49.314102	209	20.8	1	1
2014-03-24 22:56:49.548833	210	54	2	1
2014-03-24 22:56:56.843981	211	305	3	2
2014-03-24 22:57:28.310777	212	20.8	1	1
2014-03-24 22:57:28.531837	213	54	2	1
2014-03-24 22:57:32.843677	214	305	3	2
2014-03-24 22:58:07.313315	215	20.8	1	1
2014-03-24 22:58:07.538423	216	54	2	1
2014-03-24 22:58:32.846476	217	305	3	2
2014-03-24 22:58:46.439978	218	20.8	1	1
2014-03-24 22:58:46.864044	219	54	2	1
2014-03-24 22:59:25.310025	220	20.8	1	1
2014-03-24 22:59:25.54054	221	54	2	1
2014-03-24 22:59:32.844731	222	305	3	2
2014-03-24 23:00:04.31375	223	20.8	1	1
2014-03-24 23:00:04.537203	224	54	2	1
2014-03-24 23:00:32.842789	225	305	3	2
2014-03-24 23:00:43.311157	226	20.8	1	1
2014-03-24 23:00:43.53245	227	54	2	1
2014-03-24 23:00:44.842259	228	354	3	2
2014-03-24 23:00:56.846433	229	354	3	2
2014-03-24 23:01:22.313676	230	20.8	1	1
2014-03-24 23:01:22.546803	231	54	2	1
2014-03-24 23:01:32.843979	232	354	3	2
2014-03-24 23:02:01.312053	233	20.7	1	1
2014-03-24 23:02:01.54269	234	54	2	1
2014-03-24 23:02:32.844828	235	354	3	2
2014-03-24 23:02:40.35412	236	20.7	1	1
2014-03-24 23:02:40.580865	237	54	2	1
2014-03-24 23:03:19.313387	238	20.7	1	1
2014-03-24 23:03:19.546302	239	54	2	1
2014-03-24 23:03:32.843953	240	354	3	2
2014-03-24 23:03:58.311697	241	20.7	1	1
2014-03-24 23:03:58.532907	242	54	2	1
2014-03-24 23:04:32.842872	243	370	3	2
2014-03-24 23:04:37.311555	244	20.7	1	1
2014-03-24 23:04:37.534381	245	54	2	1
2014-03-24 23:05:16.315022	246	20.7	1	1
2014-03-24 23:05:16.548057	247	54	2	1
2014-03-24 23:05:20.843628	248	305	3	2
2014-03-24 23:05:32.843749	249	305	3	2
2014-03-24 23:05:55.31086	250	20.7	1	1
2014-03-24 23:05:55.544145	251	54	2	1
2014-03-24 23:06:32.841486	252	289	3	2
2014-03-24 23:06:34.311934	253	20.7	1	1
2014-03-24 23:06:34.537845	254	54	2	1
2014-03-24 23:07:13.305516	255	20.7	1	1
2014-03-24 23:07:13.530091	256	54	2	1
2014-03-24 23:07:32.84241	257	289	3	2
2014-03-24 23:07:52.308751	258	20.7	1	1
2014-03-24 23:07:52.533377	259	54	2	1
2014-03-24 23:08:31.304695	260	20.7	1	1
2014-03-24 23:08:31.537345	261	54	2	1
2014-03-24 23:08:32.844963	262	289	3	2
2014-03-24 23:09:10.305273	263	20.7	1	1
2014-03-24 23:09:10.527307	264	54	2	1
2014-03-24 23:09:32.842985	265	289	3	2
2014-03-24 23:09:49.303906	266	20.6	1	1
2014-03-24 23:09:49.52733	267	54	2	1
2014-03-24 23:10:28.305311	268	20.6	1	1
2014-03-24 23:10:28.53889	269	54	2	1
2014-03-24 23:10:32.844908	270	289	3	2
2014-03-24 23:11:07.307401	271	20.6	1	1
2014-03-24 23:11:07.539323	272	54	2	1
2014-03-24 23:11:32.843547	273	289	3	2
2014-03-24 23:11:46.304562	274	20.6	1	1
2014-03-24 23:11:46.527458	275	54	2	1
2014-03-24 23:12:20.842316	276	338	3	2
2014-03-24 23:12:25.302706	277	20.6	1	1
2014-03-24 23:12:25.527621	278	54	2	1
2014-03-24 23:12:32.844926	279	354	3	2
2014-03-24 23:13:32.842274	280	354	3	2
2014-03-24 23:13:43.306504	281	20.6	1	1
2014-03-24 23:13:43.538651	282	54	2	1
2014-03-24 23:14:22.302555	283	20.6	1	1
2014-03-24 23:14:22.525666	284	54	2	1
2014-03-24 23:14:32.844646	285	354	3	2
2014-03-24 23:15:01.299698	286	20.6	1	1
2014-03-24 23:15:01.525085	287	54	2	1
2014-03-24 23:15:32.843778	288	354	3	2
2014-03-24 23:15:40.305364	289	20.6	1	1
2014-03-24 23:15:40.527356	290	54	2	1
2014-03-24 23:16:19.304547	291	20.6	1	1
2014-03-24 23:16:19.534496	292	54	2	1
2014-03-24 23:16:32.842456	293	354	3	2
2014-03-24 23:16:58.304846	294	20.6	1	1
2014-03-24 23:16:58.528133	295	54	2	1
2014-03-24 23:17:32.842565	296	354	3	2
2014-03-24 23:17:37.298324	297	20.6	1	1
2014-03-24 23:17:37.526126	298	54	2	1
2014-03-24 23:18:16.301394	299	20.6	1	1
2014-03-24 23:18:16.533915	300	54	2	1
2014-03-24 23:18:32.840486	301	354	3	2
2014-03-24 23:18:44.843196	302	305	3	2
2014-03-24 23:18:55.302562	303	20.6	1	1
2014-03-24 23:18:55.536119	304	54	2	1
2014-03-24 23:18:56.842531	305	305	3	2
2014-03-24 23:19:32.844594	306	305	3	2
2014-03-24 23:19:34.298207	307	20.6	1	1
2014-03-24 23:19:34.530516	308	54	2	1
2014-03-24 23:20:13.300238	309	20.6	1	1
2014-03-24 23:20:13.523188	310	54	2	1
2014-03-24 23:20:32.841363	311	305	3	2
2014-03-24 23:20:52.299523	312	20.6	1	1
2014-03-24 23:20:52.52337	313	54	2	1
2014-03-24 23:21:31.301236	314	20.5	1	1
2014-03-24 23:21:31.52155	315	54	2	1
2014-03-24 23:21:32.842032	316	305	3	2
2014-03-24 23:22:10.358508	317	20.5	1	1
2014-03-24 23:22:10.581169	318	54	2	1
2014-03-24 23:22:32.845947	319	305	3	2
2014-03-24 23:22:49.30136	320	20.5	1	1
2014-03-24 23:22:49.527526	321	54	2	1
2014-03-24 23:23:28.299045	322	20.5	1	1
2014-03-24 23:23:28.523657	323	54	2	1
2014-03-24 23:23:32.8383	324	305	3	2
2014-03-24 23:24:07.295724	325	20.5	1	1
2014-03-24 23:24:07.518526	326	54	2	1
2014-03-24 23:24:32.838977	327	305	3	2
2014-03-24 23:24:46.300692	328	20.5	1	1
2014-03-24 23:24:46.522758	329	54	2	1
2014-03-24 23:25:25.299263	330	20.5	1	1
2014-03-24 23:25:25.542214	331	54	2	1
2014-03-24 23:25:32.842405	332	305	3	2
2014-03-24 23:26:04.299345	333	20.5	1	1
2014-03-24 23:26:04.531663	334	54	2	1
2014-03-24 23:26:08.842909	335	354	3	2
2014-03-24 23:26:20.840735	336	354	3	2
2014-03-24 23:26:32.8392	337	370	3	2
2014-03-24 23:26:43.296731	338	20.5	1	1
2014-03-24 23:26:43.518869	339	54	2	1
2014-03-24 23:27:20.839788	340	434	3	2
2014-03-24 23:27:22.296931	341	20.5	1	1
2014-03-24 23:27:22.518913	342	54	2	1
2014-03-24 23:27:32.841956	343	434	3	2
2014-03-24 23:28:01.299998	344	20.5	1	1
2014-03-24 23:28:01.524743	345	54	2	1
2014-03-24 23:28:40.102459	346	434	3	2
2014-03-24 23:28:40.41611	347	20.5	1	1
2014-03-24 23:28:40.700032	348	54	2	1
2014-03-24 23:29:19.296759	349	20.5	1	1
2014-03-24 23:29:19.519496	350	54	2	1
2014-03-24 23:29:32.840656	351	434	3	2
2014-03-24 23:29:58.29414	352	20.5	1	1
2014-03-24 23:29:58.518301	353	54	2	1
2014-03-24 23:30:32.842074	354	418	3	2
2014-03-24 23:30:37.291385	355	20.5	1	1
2014-03-24 23:30:37.525192	356	54	2	1
2014-03-24 23:31:16.294269	357	20.5	1	1
2014-03-24 23:31:16.51766	358	54	2	1
2014-03-24 23:31:20.840054	359	370	3	2
2014-03-24 23:31:32.839046	360	370	3	2
2014-03-24 23:31:55.291974	361	20.5	1	1
2014-03-24 23:31:55.513683	362	54	2	1
2014-03-24 23:31:56.844521	363	402	3	2
2014-03-24 23:32:08.841165	364	370	3	2
2014-03-24 23:32:20.842063	365	370	3	2
2014-03-24 23:32:32.840454	366	402	3	2
2014-03-24 23:32:34.290404	367	20.4	1	1
2014-03-24 23:32:34.510664	368	54	2	1
2014-03-24 23:32:44.840351	369	402	3	2
2014-03-24 23:33:08.841381	370	370	3	2
2014-03-24 23:33:13.29483	371	20.4	1	1
2014-03-24 23:33:13.518057	372	54	2	1
2014-03-24 23:33:20.841685	373	402	3	2
2014-03-24 23:33:32.839752	374	402	3	2
2014-03-24 23:33:52.289796	375	20.4	1	1
2014-03-24 23:33:52.512348	376	54	2	1
2014-03-24 23:34:31.291875	377	20.4	1	1
2014-03-24 23:34:31.513961	378	54	2	1
2014-03-24 23:34:32.837421	379	402	3	2
2014-03-24 23:35:10.291456	380	20.4	1	1
2014-03-24 23:35:10.52079	381	54	2	1
2014-03-24 23:35:32.842584	382	402	3	2
2014-03-24 23:35:49.293948	383	20.4	1	1
2014-03-24 23:35:49.527085	384	54	2	1
2014-03-24 23:36:28.290768	385	20.4	1	1
2014-03-24 23:36:28.510241	386	54	2	1
2014-03-24 23:36:32.84254	387	402	3	2
2014-03-24 23:37:07.287623	388	20.4	1	1
2014-03-24 23:37:07.508685	389	54	2	1
2014-03-24 23:37:46.291028	390	20.4	1	1
2014-03-24 23:37:46.518546	391	54	2	1
2014-03-24 23:38:25.293144	392	20.4	1	1
2014-03-24 23:38:25.516188	393	54	2	1
2014-03-24 23:38:32.837543	394	450	3	2
2014-03-24 23:38:44.842018	395	434	3	2
2014-03-24 23:39:04.285875	396	20.4	1	1
2014-03-24 23:39:04.514273	397	54	2	1
2014-03-24 23:39:32.839051	398	434	3	2
2014-03-24 23:39:43.288941	399	20.4	1	1
2014-03-24 23:39:43.533948	400	54	2	1
2014-03-24 23:40:22.2857	401	20.4	1	1
2014-03-24 23:40:22.508949	402	54	2	1
2014-03-24 23:40:32.838309	403	434	3	2
2014-03-24 23:41:01.28434	404	20.4	1	1
2014-03-24 23:41:01.508939	405	54	2	1
2014-03-24 23:41:08.838168	406	370	3	2
2014-03-24 23:41:20.839532	407	370	3	2
2014-03-24 23:41:32.840482	408	370	3	2
2014-03-24 23:41:40.285343	409	20.4	1	1
2014-03-24 23:41:40.51165	410	54	2	1
2014-03-24 23:42:19.284841	411	20.4	1	1
2014-03-24 23:42:19.507112	412	54	2	1
2014-03-24 23:42:32.838304	413	370	3	2
2014-03-24 23:42:58.282956	414	20.4	1	1
2014-03-24 23:42:58.505192	415	54	2	1
2014-03-24 23:43:32.839562	416	338	3	2
2014-03-24 23:43:37.289875	417	20.4	1	1
2014-03-24 23:43:37.513402	418	54	2	1
2014-03-24 23:43:44.840704	419	338	3	2
2014-03-24 23:44:16.285341	420	20.4	1	1
2014-03-24 23:44:16.509389	421	54	2	1
2014-03-24 23:44:32.83846	422	338	3	2
2014-03-24 23:44:44.841821	423	305	3	2
2014-03-24 23:44:55.284944	424	20.4	1	1
2014-03-24 23:44:55.517331	425	54	2	1
2014-03-24 23:44:56.839343	426	338	3	2
2014-03-24 23:45:08.839537	427	338	3	2
2014-03-24 23:45:20.838293	428	305	3	2
2014-03-24 23:45:32.840717	429	305	3	2
2014-03-24 23:45:34.287184	430	20.4	1	1
2014-03-24 23:45:34.508958	431	54	2	1
2014-03-24 23:46:13.285999	432	20.4	1	1
2014-03-24 23:46:13.509014	433	54	2	1
2014-03-24 23:46:32.842597	434	305	3	2
2014-03-24 23:46:52.285612	435	20.4	1	1
2014-03-24 23:46:52.507395	436	54	2	1
2014-03-24 23:47:31.284023	437	20.4	1	1
2014-03-24 23:47:31.506763	438	54	2	1
2014-03-24 23:47:32.838606	439	305	3	2
2014-03-24 23:48:10.285616	440	20.3	1	1
2014-03-24 23:48:10.506706	441	54	2	1
2014-03-24 23:48:32.835176	442	305	3	2
2014-03-24 23:48:49.286714	443	20.3	1	1
2014-03-24 23:48:49.508149	444	54	2	1
2014-03-24 23:49:28.28633	445	20.3	1	1
2014-03-24 23:49:28.51865	446	54	2	1
2014-03-24 23:49:32.842545	447	305	3	2
2014-03-24 23:50:07.292406	448	20.3	1	1
2014-03-24 23:50:07.5172	449	54	2	1
2014-03-24 23:50:32.839255	450	305	3	2
2014-03-24 23:50:46.284049	451	20.3	1	1
2014-03-24 23:50:46.513315	452	54	2	1
2014-03-24 23:50:56.839844	453	354	3	2
2014-03-24 23:51:08.835196	454	354	3	2
2014-03-24 23:51:25.280883	455	20.3	1	1
2014-03-24 23:51:25.522687	456	54	2	1
2014-03-24 23:51:32.839031	457	354	3	2
2014-03-24 23:52:04.283835	458	20.3	1	1
2014-03-24 23:52:04.505768	459	54	2	1
2014-03-24 23:52:32.843556	460	354	3	2
2014-03-24 23:52:43.281964	461	20.3	1	1
2014-03-24 23:52:43.505089	462	54	2	1
2014-03-24 23:53:22.283055	463	20.3	1	1
2014-03-24 23:53:22.506518	464	54	2	1
2014-03-24 23:53:32.836378	465	338	3	2
2014-03-24 23:54:01.283442	466	20.3	1	1
2014-03-24 23:54:01.51591	467	54	2	1
2014-03-24 23:54:32.841248	468	338	3	2
2014-03-24 23:54:40.281289	469	20.3	1	1
2014-03-24 23:54:40.504097	470	54	2	1
2014-03-24 23:55:08.839126	471	289	3	2
2014-03-24 23:55:19.282333	472	20.3	1	1
2014-03-24 23:55:19.506929	473	54	2	1
2014-03-24 23:55:20.839771	474	289	3	2
2014-03-24 23:55:32.838472	475	289	3	2
2014-03-24 23:55:58.278119	476	20.3	1	1
2014-03-24 23:55:58.502944	477	54	2	1
2014-03-24 23:56:32.837844	478	289	3	2
2014-03-24 23:56:37.28073	479	20.3	1	1
2014-03-24 23:56:37.507448	480	54	2	1
2014-03-24 23:57:16.281207	481	20.3	1	1
2014-03-24 23:57:16.510541	482	54	2	1
2014-03-24 23:57:32.841233	483	305	3	2
2014-03-24 23:57:55.280927	484	20.3	1	1
2014-03-24 23:57:55.505547	485	54	2	1
2014-03-24 23:58:32.836892	486	305	3	2
2014-03-24 23:58:34.277215	487	20.3	1	1
2014-03-24 23:58:34.500438	488	54	2	1
2014-03-24 23:59:13.275584	489	20.3	1	1
2014-03-24 23:59:13.498669	490	54	2	1
2014-03-24 23:59:32.836201	491	305	3	2
2014-03-24 23:59:52.277952	492	20.3	1	1
2014-03-24 23:59:52.50092	493	54	2	1
2014-03-25 00:00:31.275046	494	20.3	1	1
2014-03-25 00:00:31.500677	495	54	2	1
2014-03-25 00:00:32.836298	496	305	3	2
2014-03-25 00:01:10.274465	497	20.3	1	1
2014-03-25 00:01:10.498957	498	54	2	1
2014-03-25 00:01:32.835947	499	305	3	2
2014-03-25 00:01:49.274773	500	20.3	1	1
2014-03-25 00:01:49.498704	501	54	2	1
2014-03-25 00:01:56.83942	502	354	3	2
2014-03-25 00:02:08.839136	503	354	3	2
2014-03-25 00:02:28.277916	504	20.2	1	1
2014-03-25 00:02:28.503751	505	54	2	1
2014-03-25 00:02:32.839166	506	354	3	2
2014-03-25 00:03:07.276492	507	20.2	1	1
2014-03-25 00:03:07.505122	508	54	2	1
2014-03-25 00:03:32.84113	509	354	3	2
2014-03-25 00:03:46.276232	510	20.2	1	1
2014-03-25 00:03:46.512072	511	54	2	1
2014-03-25 00:04:25.275793	512	20.2	1	1
2014-03-25 00:04:25.505539	513	54	2	1
2014-03-25 00:04:32.838223	514	354	3	2
2014-03-25 00:05:04.279603	515	20.2	1	1
2014-03-25 00:05:04.504135	516	54	2	1
2014-03-25 00:05:32.83951	517	354	3	2
2014-03-25 00:05:43.275624	518	20.2	1	1
2014-03-25 00:05:43.499004	519	54	2	1
2014-03-25 00:06:22.273289	520	20.2	1	1
2014-03-25 00:06:22.507433	521	54	2	1
2014-03-25 00:06:32.838835	522	354	3	2
2014-03-25 00:07:01.274141	523	20.2	1	1
2014-03-25 00:07:01.496646	524	54	2	1
2014-03-25 00:07:08.836352	525	305	3	2
2014-03-25 00:07:20.836804	526	305	3	2
2014-03-25 00:07:32.837229	527	305	3	2
2014-03-25 00:07:40.276586	528	20.2	1	1
2014-03-25 00:07:40.502381	529	54	2	1
2014-03-25 00:08:19.275067	530	20.2	1	1
2014-03-25 00:08:19.507561	531	54	2	1
2014-03-25 00:08:32.837206	532	305	3	2
2014-03-25 00:08:58.272301	533	20.2	1	1
2014-03-25 00:08:58.495315	534	54	2	1
2014-03-25 00:09:32.836528	535	305	3	2
2014-03-25 00:09:37.271928	536	20.2	1	1
2014-03-25 00:09:37.49506	537	54	2	1
2014-03-25 00:10:16.273662	538	20.2	1	1
2014-03-25 00:10:16.515516	539	54	2	1
2014-03-25 00:10:32.834522	540	305	3	2
2014-03-25 00:10:44.836868	541	338	3	2
2014-03-25 00:10:55.270779	542	20.2	1	1
2014-03-25 00:10:55.502657	543	54	2	1
2014-03-25 00:10:56.834044	544	338	3	2
2014-03-25 00:11:08.83702	545	305	3	2
2014-03-25 00:11:32.695632	546	305	3	2
2014-03-25 00:11:33.012163	547	305	3	2
2014-03-25 00:11:34.268079	548	20.2	1	1
2014-03-25 00:11:34.491502	549	54	2	1
2014-03-25 00:12:13.268584	550	20.2	1	1
2014-03-25 00:12:13.50263	551	54	2	1
2014-03-25 00:12:32.834705	552	305	3	2
2014-03-25 00:12:52.271771	553	20.2	1	1
2014-03-25 00:12:52.492986	554	54	2	1
2014-03-25 00:13:31.270353	555	20.2	1	1
2014-03-25 00:13:31.490166	556	54	2	1
2014-03-25 00:13:32.83434	557	305	3	2
2014-03-25 00:14:10.26779	558	20.2	1	1
2014-03-25 00:14:10.499451	559	54	2	1
2014-03-25 00:14:20.830352	560	370	3	2
2014-03-25 00:14:49.077626	561	370	3	2
2014-03-25 00:14:49.383351	562	20.2	1	1
2014-03-25 00:14:49.617721	563	54	2	1
2014-03-25 00:15:20.836237	564	402	3	2
2014-03-25 00:15:28.270493	565	20.2	1	1
2014-03-25 00:15:28.491364	566	54	2	1
2014-03-25 00:15:32.837821	567	402	3	2
2014-03-25 00:15:44.837117	568	370	3	2
2014-03-25 00:15:56.833482	569	354	3	2
2014-03-25 00:16:07.272615	570	20.2	1	1
2014-03-25 00:16:07.494645	571	54	2	1
2014-03-25 00:16:32.836682	572	354	3	2
2014-03-25 00:16:46.268253	573	20.2	1	1
2014-03-25 00:16:46.490967	574	54	2	1
2014-03-25 00:17:25.266785	575	20.2	1	1
2014-03-25 00:17:25.491261	576	54	2	1
2014-03-25 00:17:32.841126	577	354	3	2
2014-03-25 00:18:04.264436	578	20.2	1	1
2014-03-25 00:18:04.488285	579	54	2	1
2014-03-25 00:18:32.835013	580	354	3	2
2014-03-25 00:18:43.269093	581	20.2	1	1
2014-03-25 00:18:43.490775	582	54	2	1
2014-03-25 00:19:08.835656	583	434	3	2
2014-03-25 00:19:20.839394	584	434	3	2
2014-03-25 00:19:22.268047	585	20.2	1	1
2014-03-25 00:19:22.498046	586	54	2	1
2014-03-25 00:19:32.836117	587	434	3	2
2014-03-25 00:20:01.26959	588	20.2	1	1
2014-03-25 00:20:01.492767	589	54	2	1
2014-03-25 00:20:08.839723	590	370	3	2
2014-03-25 00:20:20.83404	591	370	3	2
2014-03-25 00:20:32.836043	592	370	3	2
2014-03-25 00:20:40.268015	593	20.2	1	1
2014-03-25 00:20:40.489784	594	54	2	1
2014-03-25 00:21:19.266244	595	20.1	1	1
2014-03-25 00:21:19.498048	596	54	2	1
2014-03-25 00:21:32.839259	597	370	3	2
2014-03-25 00:21:58.267113	598	20.1	1	1
2014-03-25 00:21:58.492157	599	54	2	1
2014-03-25 00:22:32.834691	600	370	3	2
2014-03-25 00:22:37.26739	601	20.1	1	1
2014-03-25 00:22:37.494764	602	54	2	1
2014-03-25 00:23:16.267971	603	20.1	1	1
2014-03-25 00:23:16.50153	604	54	2	1
2014-03-25 00:23:32.837862	605	370	3	2
2014-03-25 00:23:55.26184	606	20.1	1	1
2014-03-25 00:23:55.483859	607	54	2	1
2014-03-25 00:24:32.835525	608	370	3	2
2014-03-25 00:24:34.265901	609	20.1	1	1
2014-03-25 00:24:34.488569	610	54	2	1
2014-03-25 00:25:13.262137	611	20.1	1	1
2014-03-25 00:25:13.486731	612	54	2	1
2014-03-25 00:25:32.833024	613	370	3	2
2014-03-25 00:25:52.264342	614	20.1	1	1
2014-03-25 00:25:52.487039	615	54	2	1
2014-03-25 00:26:31.264993	616	20.1	1	1
2014-03-25 00:26:31.487285	617	54	2	1
2014-03-25 00:26:58.989748	618	370	3	2
2014-03-25 00:27:10.263142	619	20.1	1	1
2014-03-25 00:27:10.48807	620	54	2	1
2014-03-25 00:27:32.833575	621	418	3	2
2014-03-25 00:27:44.832149	622	418	3	2
2014-03-25 00:27:49.262067	623	20.1	1	1
2014-03-25 00:27:49.505675	624	54	2	1
2014-03-25 00:28:28.261887	625	20.1	1	1
2014-03-25 00:28:28.484092	626	54	2	1
2014-03-25 00:28:32.830777	627	418	3	2
2014-03-25 00:29:07.258502	628	20.1	1	1
2014-03-25 00:29:07.482228	629	54	2	1
2014-03-25 00:29:46.065484	630	418	3	2
2014-03-25 00:29:46.380543	631	20.1	1	1
2014-03-25 00:29:46.602016	632	54	2	1
2014-03-25 00:30:25.260032	633	20.1	1	1
2014-03-25 00:30:25.483629	634	54	2	1
2014-03-25 00:30:32.832648	635	418	3	2
2014-03-25 00:31:04.259178	636	20.1	1	1
2014-03-25 00:31:04.482574	637	54	2	1
2014-03-25 00:31:32.835821	638	418	3	2
2014-03-25 00:31:43.258855	639	20.1	1	1
2014-03-25 00:31:43.482836	640	54	2	1
2014-03-25 00:32:22.270289	641	20.1	1	1
2014-03-25 00:32:22.49831	642	54	2	1
2014-03-25 00:32:56.69348	643	418	3	2
2014-03-25 00:32:57.00326	644	354	3	2
2014-03-25 00:33:01.258159	645	20.1	1	1
2014-03-25 00:33:01.482151	646	54	2	1
2014-03-25 00:33:08.834674	647	289	3	2
2014-03-25 00:33:20.834786	648	305	3	2
2014-03-25 00:33:32.833153	649	305	3	2
2014-03-25 00:33:40.257965	650	20.1	1	1
2014-03-25 00:33:40.479463	651	54	2	1
2014-03-25 00:34:19.256258	652	20.1	1	1
2014-03-25 00:34:19.478186	653	54	2	1
2014-03-25 00:34:32.83263	654	305	3	2
2014-03-25 00:34:58.26	655	20.1	1	1
2014-03-25 00:34:58.491876	656	54	2	1
2014-03-25 00:35:32.832512	657	305	3	2
2014-03-25 00:35:37.259859	658	20.1	1	1
2014-03-25 00:35:37.48149	659	54	2	1
2014-03-25 00:36:16.25891	660	20.1	1	1
2014-03-25 00:36:16.481553	661	54	2	1
2014-03-25 00:36:32.831677	662	289	3	2
2014-03-25 00:36:55.259969	663	20.1	1	1
2014-03-25 00:36:55.482765	664	54	2	1
2014-03-25 00:37:32.831859	665	289	3	2
2014-03-25 00:37:34.255771	666	20.1	1	1
2014-03-25 00:37:34.498226	667	54	2	1
2014-03-25 00:38:13.255536	668	20.1	1	1
2014-03-25 00:38:13.48351	669	54	2	1
2014-03-25 00:38:32.834918	670	289	3	2
2014-03-25 00:38:52.258949	671	20.1	1	1
2014-03-25 00:38:52.484269	672	54	2	1
2014-03-25 00:39:31.253014	673	20.0	1	1
2014-03-25 00:39:31.480224	674	54	2	1
2014-03-25 00:39:32.834118	675	289	3	2
2014-03-25 00:40:10.255581	676	20.0	1	1
2014-03-25 00:40:10.481377	677	54	2	1
2014-03-25 00:40:20.836084	678	354	3	2
2014-03-25 00:40:32.834257	679	354	3	2
2014-03-25 00:40:49.254951	680	20.0	1	1
2014-03-25 00:40:49.479791	681	54	2	1
2014-03-25 00:41:28.254274	682	20.0	1	1
2014-03-25 00:41:28.504297	683	54	2	1
2014-03-25 00:41:32.834231	684	338	3	2
2014-03-25 00:42:07.257947	685	20.0	1	1
2014-03-25 00:42:07.48242	686	54	2	1
2014-03-25 00:42:46.059791	687	354	3	2
2014-03-25 00:42:46.37181	688	20.0	1	1
2014-03-25 00:42:46.596677	689	54	2	1
2014-03-25 00:43:25.253929	690	20.0	1	1
2014-03-25 00:43:25.490971	691	54	2	1
2014-03-25 00:43:32.833038	692	338	3	2
2014-03-25 00:44:04.251376	693	20.0	1	1
2014-03-25 00:44:04.476573	694	54	2	1
2014-03-25 00:44:32.834986	695	354	3	2
2014-03-25 00:44:43.254713	696	20.0	1	1
2014-03-25 00:44:43.477738	697	54	2	1
2014-03-25 00:45:22.253852	698	20.0	1	1
2014-03-25 00:45:22.477405	699	54	2	1
2014-03-25 00:45:32.832376	700	289	3	2
2014-03-25 00:45:44.833303	701	289	3	2
2014-03-25 00:46:01.249696	702	20.0	1	1
2014-03-25 00:46:01.472616	703	54	2	1
2014-03-25 00:46:32.832918	704	289	3	2
2014-03-25 00:46:40.252563	705	20.0	1	1
2014-03-25 00:46:40.475058	706	54	2	1
2014-03-25 00:47:19.250271	707	20.0	1	1
2014-03-25 00:47:19.472827	708	54	2	1
2014-03-25 00:47:32.831448	709	289	3	2
2014-03-25 00:47:58.252704	710	20.0	1	1
2014-03-25 00:47:58.477383	711	54	2	1
2014-03-25 00:48:32.833932	712	289	3	2
2014-03-25 00:48:37.247455	713	20.0	1	1
2014-03-25 00:48:37.471839	714	54	2	1
2014-03-25 00:49:16.249518	715	20.0	1	1
2014-03-25 00:49:16.473436	716	54	2	1
2014-03-25 00:49:32.83186	717	289	3	2
2014-03-25 00:49:55.246487	718	20.0	1	1
2014-03-25 00:49:55.467628	719	54	2	1
2014-03-25 00:50:32.832928	720	289	3	2
2014-03-25 00:50:34.247404	721	20.0	1	1
2014-03-25 00:50:34.477321	722	54	2	1
2014-03-25 00:51:13.31381	723	20.0	1	1
2014-03-25 00:51:13.548707	724	54	2	1
2014-03-25 00:51:32.834058	725	289	3	2
2014-03-25 00:51:52.244869	726	20.0	1	1
2014-03-25 00:51:52.467314	727	54	2	1
2014-03-25 00:52:31.244899	728	20.0	1	1
2014-03-25 00:52:31.465781	729	54	2	1
2014-03-25 00:52:32.832855	730	289	3	2
2014-03-25 00:52:56.832285	731	354	3	2
2014-03-25 00:53:08.83423	732	354	3	2
2014-03-25 00:53:10.24953	733	20.0	1	1
2014-03-25 00:53:10.479183	734	54	2	1
2014-03-25 00:53:32.832624	735	354	3	2
2014-03-25 00:53:49.257652	736	20.0	1	1
2014-03-25 00:53:49.78306	737	54	2	1
2014-03-25 00:54:28.247321	738	20.0	1	1
2014-03-25 00:54:28.507188	739	54	2	1
2014-03-25 00:54:32.832666	740	354	3	2
2014-03-25 00:55:07.246437	741	20.0	1	1
2014-03-25 00:55:07.524208	742	54	2	1
2014-03-25 00:55:32.833023	743	338	3	2
2014-03-25 00:55:46.245507	744	20.0	1	1
2014-03-25 00:55:46.467542	745	54	2	1
2014-03-25 00:56:25.24064	746	20.0	1	1
2014-03-25 00:56:25.465033	747	54	2	1
2014-03-25 00:56:32.834031	748	338	3	2
2014-03-25 00:57:04.244108	749	20.0	1	1
2014-03-25 00:57:04.467039	750	54	2	1
2014-03-25 00:57:32.83418	751	338	3	2
2014-03-25 00:57:43.2813	752	20.0	1	1
2014-03-25 00:57:43.522212	753	54	2	1
2014-03-25 00:57:44.833345	754	289	3	2
2014-03-25 00:57:56.831943	755	305	3	2
2014-03-25 00:58:20.829952	756	273	3	2
2014-03-25 00:58:22.243489	757	20.0	1	1
2014-03-25 00:58:22.475035	758	54	2	1
2014-03-25 00:58:32.832584	759	289	3	2
2014-03-25 00:59:01.24616	760	20.0	1	1
2014-03-25 00:59:01.46929	761	54	2	1
2014-03-25 00:59:32.832352	762	305	3	2
2014-03-25 00:59:40.243065	763	20.0	1	1
2014-03-25 00:59:40.467549	764	54	2	1
2014-03-25 01:00:19.242307	765	20.0	1	1
2014-03-25 01:00:19.466457	766	54	2	1
2014-03-25 01:00:32.830434	767	289	3	2
2014-03-25 01:00:58.243129	768	20.0	1	1
2014-03-25 01:00:58.46474	769	54	2	1
2014-03-25 01:01:32.832559	770	289	3	2
2014-03-25 01:01:37.240618	771	19.9	1	1
2014-03-25 01:01:37.475568	772	54	2	1
2014-03-25 01:02:16.242832	773	19.9	1	1
2014-03-25 01:02:16.465785	774	54	2	1
2014-03-25 01:02:32.830567	775	289	3	2
2014-03-25 01:02:55.24117	776	19.9	1	1
2014-03-25 01:02:55.464543	777	54	2	1
2014-03-25 01:03:32.830698	778	305	3	2
2014-03-25 01:03:34.244653	779	19.9	1	1
2014-03-25 01:03:34.467921	780	54	2	1
2014-03-25 01:04:13.244226	781	19.9	1	1
2014-03-25 01:04:13.512208	782	54	2	1
2014-03-25 01:04:32.832544	783	289	3	2
2014-03-25 01:04:52.242502	784	19.9	1	1
2014-03-25 01:04:52.4672	785	54	2	1
2014-03-25 01:05:08.831809	786	354	3	2
2014-03-25 01:05:20.829907	787	354	3	2
2014-03-25 01:05:31.253851	788	19.9	1	1
2014-03-25 01:05:32.233284	789	54	2	1
2014-03-25 01:05:32.830834	790	338	3	2
2014-03-25 01:06:10.24145	791	19.9	1	1
2014-03-25 01:06:10.463814	792	54	2	1
2014-03-25 01:06:32.831089	793	354	3	2
2014-03-25 01:06:49.239824	794	19.9	1	1
2014-03-25 01:06:49.463164	795	54	2	1
2014-03-25 01:07:28.242329	796	19.9	1	1
2014-03-25 01:07:28.464013	797	54	2	1
2014-03-25 01:07:32.835206	798	338	3	2
2014-03-25 01:08:07.239232	799	19.9	1	1
2014-03-25 01:08:07.472652	800	54	2	1
2014-03-25 01:08:32.829702	801	338	3	2
2014-03-25 01:08:46.23605	802	19.9	1	1
2014-03-25 01:08:46.458833	803	54	2	1
2014-03-25 01:09:20.834106	804	289	3	2
2014-03-25 01:09:25.241063	805	19.9	1	1
2014-03-25 01:09:25.464423	806	54	2	1
2014-03-25 01:09:32.830968	807	289	3	2
2014-03-25 01:10:04.236865	808	19.9	1	1
2014-03-25 01:10:04.46301	809	54	2	1
2014-03-25 01:10:32.833888	810	289	3	2
2014-03-25 01:10:43.238758	811	19.9	1	1
2014-03-25 01:10:43.464275	812	54	2	1
2014-03-25 01:11:22.237915	813	19.9	1	1
2014-03-25 01:11:22.469215	814	54	2	1
2014-03-25 01:11:32.825618	815	354	3	2
2014-03-25 01:11:44.829947	816	354	3	2
2014-03-25 01:12:01.235449	817	19.9	1	1
2014-03-25 01:12:01.470132	818	53	2	1
2014-03-25 01:12:32.833878	819	354	3	2
2014-03-25 01:12:40.236459	820	19.9	1	1
2014-03-25 01:12:40.460297	821	53	2	1
2014-03-25 01:13:32.829183	822	354	3	2
2014-03-25 01:13:58.23281	823	19.9	1	1
2014-03-25 01:13:58.455893	824	53	2	1
2014-03-25 01:14:32.830379	825	354	3	2
2014-03-25 01:14:37.233705	826	19.9	1	1
2014-03-25 01:14:37.463893	827	53	2	1
2014-03-25 01:15:32.828874	828	370	3	2
2014-03-25 01:15:55.232464	829	19.9	1	1
2014-03-25 01:15:55.457375	830	53	2	1
2014-03-25 01:16:20.830672	831	418	3	2
2014-03-25 01:16:32.83012	832	418	3	2
2014-03-25 01:16:34.235139	833	19.9	1	1
2014-03-25 01:16:34.45804	834	53	2	1
2014-03-25 01:17:13.232381	835	19.9	1	1
2014-03-25 01:17:13.458181	836	53	2	1
2014-03-25 01:17:32.830712	837	418	3	2
2014-03-25 01:17:52.235129	838	19.9	1	1
2014-03-25 01:17:52.460029	839	53	2	1
2014-03-25 01:18:31.234659	840	19.9	1	1
2014-03-25 01:18:31.476268	841	53	2	1
2014-03-25 01:18:32.838262	842	418	3	2
2014-03-25 01:19:10.234037	843	19.9	1	1
2014-03-25 01:19:10.457411	844	53	2	1
2014-03-25 01:19:32.829535	845	418	3	2
2014-03-25 01:19:49.23427	846	19.9	1	1
2014-03-25 01:19:49.462565	847	53	2	1
2014-03-25 01:20:32.829734	848	354	3	2
2014-03-25 01:20:44.827313	849	354	3	2
2014-03-25 01:21:07.274504	850	19.9	1	1
2014-03-25 01:21:07.538992	851	53	2	1
2014-03-25 01:21:32.830999	852	354	3	2
2014-03-25 01:21:46.229392	853	19.9	1	1
2014-03-25 01:21:46.573126	854	53	2	1
2014-03-25 01:22:25.226254	855	19.9	1	1
2014-03-25 01:22:25.491638	856	53	2	1
2014-03-25 01:22:32.829961	857	354	3	2
2014-03-25 01:23:04.229555	858	19.9	1	1
2014-03-25 01:23:04.452761	859	53	2	1
2014-03-25 01:23:32.832023	860	354	3	2
2014-03-25 01:23:43.23066	861	19.9	1	1
2014-03-25 01:23:43.463042	862	53	2	1
2014-03-25 01:24:32.828862	863	354	3	2
2014-03-25 01:25:01.227504	864	19.9	1	1
2014-03-25 01:25:01.451485	865	53	2	1
2014-03-25 01:25:32.830685	866	354	3	2
2014-03-25 01:25:40.272202	867	19.8	1	1
2014-03-25 01:25:40.495042	868	53	2	1
2014-03-25 01:26:08.692794	869	289	3	2
2014-03-25 01:26:09.011278	870	289	3	2
2014-03-25 01:26:19.230687	871	19.8	1	1
2014-03-25 01:26:19.461091	872	53	2	1
2014-03-25 01:26:32.826528	873	289	3	2
2014-03-25 01:26:58.226739	874	19.8	1	1
2014-03-25 01:26:58.45179	875	53	2	1
2014-03-25 01:27:32.829533	876	354	3	2
2014-03-25 01:27:37.228643	877	19.8	1	1
2014-03-25 01:27:37.453709	878	53	2	1
2014-03-25 01:27:44.827964	879	354	3	2
2014-03-25 01:28:16.223084	880	19.8	1	1
2014-03-25 01:28:16.445284	881	53	2	1
2014-03-25 01:28:32.826148	882	305	3	2
2014-03-25 01:28:44.830536	883	354	3	2
2014-03-25 01:28:55.227338	884	19.8	1	1
2014-03-25 01:28:55.448716	885	53	2	1
2014-03-25 01:28:56.829825	886	354	3	2
2014-03-25 01:29:08.831575	887	305	3	2
2014-03-25 01:29:20.827185	888	354	3	2
2014-03-25 01:29:32.827401	889	354	3	2
2014-03-25 01:29:34.230769	890	19.8	1	1
2014-03-25 01:29:34.452601	891	53	2	1
2014-03-25 01:30:13.226521	892	19.8	1	1
2014-03-25 01:30:13.448279	893	53	2	1
2014-03-25 01:30:32.829064	894	338	3	2
2014-03-25 01:30:52.227198	895	19.8	1	1
2014-03-25 01:30:52.448971	896	53	2	1
2014-03-25 01:31:31.222958	897	19.8	1	1
2014-03-25 01:31:31.456933	898	53	2	1
2014-03-25 01:31:40.238286	899	354	3	2
2014-03-25 01:32:10.224974	900	19.8	1	1
2014-03-25 01:32:10.451301	901	53	2	1
2014-03-25 01:32:20.82737	902	289	3	2
2014-03-25 01:32:32.826286	903	273	3	2
2014-03-25 01:32:44.827785	904	305	3	2
2014-03-25 01:32:49.223122	905	19.8	1	1
2014-03-25 01:32:49.451311	906	53	2	1
2014-03-25 01:32:56.826567	907	305	3	2
2014-03-25 01:33:28.221547	908	19.8	1	1
2014-03-25 01:33:28.457804	909	53	2	1
2014-03-25 01:33:32.827949	910	305	3	2
2014-03-25 01:33:56.82682	911	273	3	2
2014-03-25 01:34:07.225956	912	19.8	1	1
2014-03-25 01:34:07.459655	913	53	2	1
2014-03-25 01:34:08.826611	914	305	3	2
2014-03-25 01:34:20.82942	915	289	3	2
2014-03-25 01:34:32.833077	916	289	3	2
2014-03-25 01:34:46.220844	917	19.8	1	1
2014-03-25 01:34:46.444125	918	53	2	1
2014-03-25 01:35:25.266066	919	19.8	1	1
2014-03-25 01:35:25.487578	920	53	2	1
2014-03-25 01:35:32.825573	921	289	3	2
2014-03-25 01:36:04.221594	922	19.8	1	1
2014-03-25 01:36:04.444914	923	53	2	1
2014-03-25 01:36:32.827996	924	289	3	2
2014-03-25 01:36:43.225034	925	19.8	1	1
2014-03-25 01:36:43.448613	926	53	2	1
2014-03-25 01:37:22.222306	927	19.8	1	1
2014-03-25 01:37:22.447756	928	53	2	1
2014-03-25 01:37:32.826823	929	289	3	2
2014-03-25 01:38:01.221755	930	19.8	1	1
2014-03-25 01:38:01.449288	931	53	2	1
2014-03-25 01:38:32.828873	932	289	3	2
2014-03-25 01:38:40.233343	933	19.8	1	1
2014-03-25 01:38:40.455759	934	53	2	1
2014-03-25 01:39:19.222644	935	19.8	1	1
2014-03-25 01:39:19.445959	936	53	2	1
2014-03-25 01:39:32.829321	937	289	3	2
2014-03-25 01:39:44.828897	938	338	3	2
2014-03-25 01:39:56.827271	939	354	3	2
2014-03-25 01:39:58.221678	940	19.8	1	1
2014-03-25 01:39:58.44354	941	53	2	1
2014-03-25 01:40:32.827303	942	354	3	2
2014-03-25 01:40:37.263798	943	19.8	1	1
2014-03-25 01:40:37.486168	944	53	2	1
2014-03-25 01:41:16.217688	945	19.8	1	1
2014-03-25 01:41:16.450702	946	53	2	1
2014-03-25 01:41:32.825548	947	354	3	2
2014-03-25 01:41:55.221066	948	19.8	1	1
2014-03-25 01:41:55.444317	949	53	2	1
2014-03-25 01:42:32.82808	950	354	3	2
2014-03-25 01:42:34.220638	951	19.8	1	1
2014-03-25 01:42:34.443382	952	53	2	1
2014-03-25 01:43:13.216976	953	19.8	1	1
2014-03-25 01:43:13.444441	954	53	2	1
2014-03-25 01:43:32.827955	955	354	3	2
2014-03-25 01:43:44.876361	956	305	3	2
2014-03-25 01:43:52.220576	957	19.8	1	1
2014-03-25 01:43:52.463941	958	53	2	1
2014-03-25 01:43:56.828702	959	305	3	2
2014-03-25 01:44:31.261462	960	19.8	1	1
2014-03-25 01:44:31.48317	961	53	2	1
2014-03-25 01:44:32.828621	962	305	3	2
2014-03-25 01:45:10.21736	963	19.8	1	1
2014-03-25 01:45:10.450225	964	53	2	1
2014-03-25 01:45:32.834389	965	289	3	2
2014-03-25 01:45:49.217854	966	19.8	1	1
2014-03-25 01:45:49.442593	967	53	2	1
2014-03-25 01:46:32.82757	968	289	3	2
2014-03-25 01:47:07.219078	969	19.8	1	1
2014-03-25 01:47:07.441413	970	53	2	1
2014-03-25 01:47:32.828806	971	305	3	2
2014-03-25 01:47:46.219055	972	19.8	1	1
2014-03-25 01:47:46.447452	973	53	2	1
2014-03-25 01:48:32.830457	974	305	3	2
2014-03-25 01:49:04.215066	975	19.8	1	1
2014-03-25 01:49:04.44376	976	53	2	1
2014-03-25 01:49:32.825765	977	305	3	2
2014-03-25 01:49:43.21243	978	19.8	1	1
2014-03-25 01:49:43.443807	979	53	2	1
2014-03-25 01:50:22.21396	980	19.7	1	1
2014-03-25 01:50:22.43719	981	53	2	1
2014-03-25 01:50:32.827185	982	289	3	2
2014-03-25 01:50:44.827839	983	354	3	2
2014-03-25 01:50:56.824547	984	354	3	2
2014-03-25 01:51:01.21388	985	19.7	1	1
2014-03-25 01:51:01.445309	986	53	2	1
2014-03-25 01:51:32.822362	987	354	3	2
2014-03-25 01:51:40.21197	988	19.7	1	1
2014-03-25 01:51:40.443581	989	53	2	1
2014-03-25 01:52:19.210854	990	19.7	1	1
2014-03-25 01:52:19.433329	991	53	2	1
2014-03-25 01:52:32.82318	992	354	3	2
2014-03-25 01:52:58.211521	993	19.7	1	1
2014-03-25 01:52:58.435063	994	53	2	1
2014-03-25 01:53:32.823749	995	354	3	2
2014-03-25 01:53:37.212039	996	19.7	1	1
2014-03-25 01:53:37.438127	997	53	2	1
2014-03-25 01:54:16.212356	998	19.7	1	1
2014-03-25 01:54:16.444406	999	53	2	1
2014-03-25 01:54:32.821387	1000	354	3	2
2014-03-25 01:54:55.212141	1001	19.7	1	1
2014-03-25 01:54:55.44309	1002	53	2	1
2014-03-25 01:55:32.828745	1003	289	3	2
2014-03-25 01:55:34.20958	1004	19.7	1	1
2014-03-25 01:55:34.43979	1005	53	2	1
2014-03-25 01:55:44.829427	1006	305	3	2
2014-03-25 01:56:13.207465	1007	19.7	1	1
2014-03-25 01:56:13.439147	1008	53	2	1
2014-03-25 01:56:32.82577	1009	305	3	2
2014-03-25 01:56:52.20705	1010	19.7	1	1
2014-03-25 01:56:53.323609	1011	53	2	1
2014-03-25 01:57:31.20844	1012	19.7	1	1
2014-03-25 01:57:31.48408	1013	53	2	1
2014-03-25 01:57:32.826777	1014	305	3	2
2014-03-25 01:58:10.209811	1015	19.7	1	1
2014-03-25 01:58:10.432554	1016	53	2	1
2014-03-25 01:58:32.825042	1017	289	3	2
2014-03-25 01:58:49.21039	1018	19.7	1	1
2014-03-25 01:58:49.444277	1019	53	2	1
2014-03-25 01:59:28.208746	1020	19.7	1	1
2014-03-25 01:59:28.431055	1021	53	2	1
2014-03-25 01:59:32.822686	1022	289	3	2
2014-03-25 02:00:07.207053	1023	19.7	1	1
2014-03-25 02:00:07.428559	1024	53	2	1
2014-03-25 02:00:32.823195	1025	305	3	2
2014-03-25 02:00:46.207955	1026	19.7	1	1
2014-03-25 02:00:46.42921	1027	53	2	1
2014-03-25 02:01:25.207418	1028	19.7	1	1
2014-03-25 02:01:25.435952	1029	53	2	1
2014-03-25 02:01:32.827747	1030	305	3	2
2014-03-25 02:02:04.207135	1031	19.7	1	1
2014-03-25 02:02:04.428174	1032	53	2	1
2014-03-25 02:02:32.822466	1033	354	3	2
2014-03-25 02:02:43.212545	1034	19.7	1	1
2014-03-25 02:02:43.436075	1035	53	2	1
2014-03-25 02:02:44.822349	1036	354	3	2
2014-03-25 02:03:22.207079	1037	19.7	1	1
2014-03-25 02:03:22.429374	1038	53	2	1
2014-03-25 02:03:32.82511	1039	354	3	2
2014-03-25 02:04:01.202745	1040	19.7	1	1
2014-03-25 02:04:01.436906	1041	53	2	1
2014-03-25 02:04:32.821815	1042	354	3	2
2014-03-25 02:04:40.205321	1043	19.7	1	1
2014-03-25 02:04:40.427889	1044	53	2	1
2014-03-25 02:05:08.823247	1045	418	3	2
2014-03-25 02:05:19.205036	1046	19.7	1	1
2014-03-25 02:05:19.426781	1047	53	2	1
2014-03-25 02:05:20.826409	1048	434	3	2
2014-03-25 02:05:32.822942	1049	434	3	2
2014-03-25 02:05:58.202486	1050	19.7	1	1
2014-03-25 02:05:58.424458	1051	53	2	1
2014-03-25 02:06:32.824908	1052	434	3	2
2014-03-25 02:06:37.2034	1053	19.7	1	1
2014-03-25 02:06:37.423764	1054	53	2	1
2014-03-25 02:06:56.826485	1055	370	3	2
2014-03-25 02:07:08.823599	1056	370	3	2
2014-03-25 02:07:16.203376	1057	19.7	1	1
2014-03-25 02:07:16.434657	1058	53	2	1
2014-03-25 02:07:32.821425	1059	370	3	2
2014-03-25 02:07:55.20244	1060	19.7	1	1
2014-03-25 02:07:55.426329	1061	53	2	1
2014-03-25 02:08:32.827282	1062	370	3	2
2014-03-25 02:08:34.204479	1063	19.7	1	1
2014-03-25 02:08:34.425647	1064	53	2	1
2014-03-25 02:09:13.202807	1065	19.7	1	1
2014-03-25 02:09:13.426192	1066	53	2	1
2014-03-25 02:09:32.826306	1067	370	3	2
2014-03-25 02:09:52.202589	1068	19.7	1	1
2014-03-25 02:09:52.424966	1069	53	2	1
2014-03-25 02:10:31.202266	1070	19.7	1	1
2014-03-25 02:10:31.423248	1071	53	2	1
2014-03-25 02:10:32.825427	1072	370	3	2
2014-03-25 02:11:10.200815	1073	19.7	1	1
2014-03-25 02:11:10.423347	1074	53	2	1
2014-03-25 02:11:32.825948	1075	370	3	2
2014-03-25 02:11:49.198152	1076	19.7	1	1
2014-03-25 02:11:49.420902	1077	53	2	1
2014-03-25 02:12:28.199395	1078	19.7	1	1
2014-03-25 02:12:28.431994	1079	53	2	1
2014-03-25 02:12:32.823379	1080	354	3	2
2014-03-25 02:13:07.200236	1081	19.7	1	1
2014-03-25 02:13:07.423601	1082	53	2	1
2014-03-25 02:13:32.821622	1083	354	3	2
2014-03-25 02:13:46.199733	1084	19.7	1	1
2014-03-25 02:13:46.421589	1085	53	2	1
2014-03-25 02:14:08.822299	1086	418	3	2
2014-03-25 02:14:20.822499	1087	434	3	2
2014-03-25 02:14:25.198535	1088	19.7	1	1
2014-03-25 02:14:25.430096	1089	53	2	1
2014-03-25 02:14:32.823874	1090	418	3	2
2014-03-25 02:15:04.199427	1091	19.7	1	1
2014-03-25 02:15:04.423845	1092	53	2	1
2014-03-25 02:15:32.825039	1093	418	3	2
2014-03-25 02:15:43.202706	1094	19.7	1	1
2014-03-25 02:15:43.424702	1095	53	2	1
2014-03-25 02:16:22.196727	1096	19.7	1	1
2014-03-25 02:16:22.418112	1097	53	2	1
2014-03-25 02:17:01.003116	1098	418	3	2
2014-03-25 02:17:01.3267	1099	19.7	1	1
2014-03-25 02:17:01.637229	1100	53	2	1
2014-03-25 02:17:32.820482	1101	418	3	2
2014-03-25 02:17:40.199555	1102	19.7	1	1
2014-03-25 02:17:40.422848	1103	53	2	1
2014-03-25 02:18:19.205273	1104	19.6	1	1
2014-03-25 02:18:19.427893	1105	53	2	1
2014-03-25 02:18:32.821444	1106	370	3	2
2014-03-25 02:18:44.823449	1107	354	3	2
2014-03-25 02:18:58.196998	1108	19.6	1	1
2014-03-25 02:18:58.419672	1109	53	2	1
2014-03-25 02:19:32.823299	1110	354	3	2
2014-03-25 02:19:37.200004	1111	19.6	1	1
2014-03-25 02:19:37.432925	1112	53	2	1
2014-03-25 02:19:44.821267	1113	305	3	2
2014-03-25 02:19:56.823029	1114	289	3	2
2014-03-25 02:20:16.198514	1115	19.6	1	1
2014-03-25 02:20:16.433536	1116	53	2	1
2014-03-25 02:20:32.822288	1117	305	3	2
2014-03-25 02:20:44.821882	1118	338	3	2
2014-03-25 02:20:55.193405	1119	19.6	1	1
2014-03-25 02:20:55.437721	1120	53	2	1
2014-03-25 02:20:56.820109	1121	338	3	2
2014-03-25 02:21:08.82446	1122	305	3	2
2014-03-25 02:21:20.822402	1123	305	3	2
2014-03-25 02:21:32.822525	1124	305	3	2
2014-03-25 02:21:34.193212	1125	19.6	1	1
2014-03-25 02:21:34.418623	1126	53	2	1
2014-03-25 02:22:13.193956	1127	19.6	1	1
2014-03-25 02:22:13.415181	1128	53	2	1
2014-03-25 02:22:32.823307	1129	305	3	2
2014-03-25 02:22:52.190044	1130	19.6	1	1
2014-03-25 02:22:52.413362	1131	53	2	1
2014-03-25 02:23:08.825074	1132	338	3	2
2014-03-25 02:23:20.822902	1133	305	3	2
2014-03-25 02:23:31.191531	1134	19.6	1	1
2014-03-25 02:23:31.413303	1135	53	2	1
2014-03-25 02:23:32.824265	1136	305	3	2
2014-03-25 02:24:10.193733	1137	19.6	1	1
2014-03-25 02:24:10.416298	1138	53	2	1
2014-03-25 02:24:32.822042	1139	305	3	2
2014-03-25 02:24:49.197597	1140	19.6	1	1
2014-03-25 02:24:49.422801	1141	53	2	1
2014-03-25 02:25:20.826707	1142	354	3	2
2014-03-25 02:25:28.192132	1143	19.6	1	1
2014-03-25 02:25:28.416232	1144	53	2	1
2014-03-25 02:25:32.823285	1145	354	3	2
2014-03-25 02:26:07.19118	1146	19.6	1	1
2014-03-25 02:26:07.414187	1147	53	2	1
2014-03-25 02:26:32.820487	1148	354	3	2
2014-03-25 02:26:46.23851	1149	19.6	1	1
2014-03-25 02:26:46.469319	1150	53	2	1
2014-03-25 02:27:25.189123	1151	19.6	1	1
2014-03-25 02:27:25.431511	1152	53	2	1
2014-03-25 02:27:32.823628	1153	354	3	2
2014-03-25 02:28:04.187834	1154	19.6	1	1
2014-03-25 02:28:04.411813	1155	53	2	1
2014-03-25 02:28:32.822787	1156	354	3	2
2014-03-25 02:28:43.188474	1157	19.6	1	1
2014-03-25 02:28:43.421552	1158	53	2	1
2014-03-25 02:29:22.187064	1159	19.6	1	1
2014-03-25 02:29:22.411399	1160	53	2	1
2014-03-25 02:29:32.822737	1161	354	3	2
2014-03-25 02:30:01.19	1162	19.6	1	1
2014-03-25 02:30:01.41304	1163	53	2	1
2014-03-25 02:30:08.820325	1164	305	3	2
2014-03-25 02:30:20.822458	1165	305	3	2
2014-03-25 02:30:32.822068	1166	305	3	2
2014-03-25 02:30:40.187274	1167	19.6	1	1
2014-03-25 02:30:40.420759	1168	53	2	1
2014-03-25 02:31:19.191983	1169	19.6	1	1
2014-03-25 02:31:19.414961	1170	53	2	1
2014-03-25 02:31:32.820864	1171	305	3	2
2014-03-25 02:31:58.185117	1172	19.6	1	1
2014-03-25 02:31:58.406672	1173	53	2	1
2014-03-25 02:32:32.82204	1174	305	3	2
2014-03-25 02:32:37.193827	1175	19.6	1	1
2014-03-25 02:32:37.429658	1176	53	2	1
2014-03-25 02:33:16.187206	1177	19.6	1	1
2014-03-25 02:33:16.46406	1178	53	2	1
2014-03-25 02:33:54.993438	1179	305	3	2
2014-03-25 02:33:55.31218	1180	19.6	1	1
2014-03-25 02:33:55.533272	1181	53	2	1
2014-03-25 02:34:32.819884	1182	305	3	2
2014-03-25 02:34:34.187713	1183	19.6	1	1
2014-03-25 02:34:34.408817	1184	53	2	1
2014-03-25 02:35:13.189157	1185	19.6	1	1
2014-03-25 02:35:13.443408	1186	53	2	1
2014-03-25 02:35:32.822213	1187	305	3	2
2014-03-25 02:35:52.185746	1188	19.6	1	1
2014-03-25 02:35:52.406922	1189	53	2	1
2014-03-25 02:36:31.18462	1190	19.6	1	1
2014-03-25 02:36:31.412394	1191	53	2	1
2014-03-25 02:36:32.821417	1192	305	3	2
2014-03-25 02:37:08.818513	1193	338	3	2
2014-03-25 02:37:10.18614	1194	19.6	1	1
2014-03-25 02:37:10.405838	1195	53	2	1
2014-03-25 02:37:20.823363	1196	370	3	2
2014-03-25 02:37:32.822112	1197	354	3	2
2014-03-25 02:37:49.184204	1198	19.6	1	1
2014-03-25 02:37:49.417283	1199	53	2	1
2014-03-25 02:38:28.183523	1200	19.6	1	1
2014-03-25 02:38:28.405165	1201	53	2	1
2014-03-25 02:38:32.820297	1202	354	3	2
2014-03-25 02:39:07.184248	1203	19.6	1	1
2014-03-25 02:39:07.407679	1204	53	2	1
2014-03-25 02:39:32.821579	1205	354	3	2
2014-03-25 02:39:46.185776	1206	19.6	1	1
2014-03-25 02:39:46.418006	1207	53	2	1
2014-03-25 02:40:25.185309	1208	19.6	1	1
2014-03-25 02:40:25.407535	1209	53	2	1
2014-03-25 02:40:32.818238	1210	354	3	2
2014-03-25 02:41:04.186065	1211	19.6	1	1
2014-03-25 02:41:04.40712	1212	53	2	1
2014-03-25 02:41:32.821532	1213	354	3	2
2014-03-25 02:41:43.186002	1214	19.6	1	1
2014-03-25 02:41:43.411538	1215	53	2	1
2014-03-25 02:41:44.822023	1216	305	3	2
2014-03-25 02:41:56.821142	1217	305	3	2
2014-03-25 02:42:22.181161	1218	19.6	1	1
2014-03-25 02:42:22.406828	1219	53	2	1
2014-03-25 02:42:32.819026	1220	289	3	2
2014-03-25 02:43:01.18348	1221	19.6	1	1
2014-03-25 02:43:01.407833	1222	53	2	1
2014-03-25 02:43:32.824411	1223	289	3	2
2014-03-25 02:43:40.182657	1224	19.6	1	1
2014-03-25 02:43:40.438571	1225	53	2	1
2014-03-25 02:44:19.183299	1226	19.6	1	1
2014-03-25 02:44:19.416051	1227	53	2	1
2014-03-25 02:44:32.82338	1228	289	3	2
2014-03-25 02:44:58.182363	1229	19.6	1	1
2014-03-25 02:44:58.404357	1230	53	2	1
2014-03-25 02:45:32.820529	1231	289	3	2
2014-03-25 02:45:37.17858	1232	19.6	1	1
2014-03-25 02:45:37.400515	1233	53	2	1
2014-03-25 02:46:16.181896	1234	19.6	1	1
2014-03-25 02:46:16.41506	1235	53	2	1
2014-03-25 02:46:32.820551	1236	289	3	2
2014-03-25 02:46:55.178866	1237	19.6	1	1
2014-03-25 02:46:55.403005	1238	53	2	1
2014-03-25 02:47:32.823589	1239	289	3	2
2014-03-25 02:47:34.180667	1240	19.6	1	1
2014-03-25 02:47:34.405929	1241	53	2	1
2014-03-25 02:48:13.178772	1242	19.5	1	1
2014-03-25 02:48:13.403501	1243	53	2	1
2014-03-25 02:48:32.822953	1244	289	3	2
2014-03-25 02:48:44.821248	1245	354	3	2
2014-03-25 02:48:52.175998	1246	19.5	1	1
2014-03-25 02:48:52.398553	1247	53	2	1
2014-03-25 02:48:56.821416	1248	354	3	2
2014-03-25 02:49:31.177319	1249	19.5	1	1
2014-03-25 02:49:31.399178	1250	53	2	1
2014-03-25 02:49:32.822077	1251	354	3	2
2014-03-25 02:50:10.178248	1252	19.5	1	1
2014-03-25 02:50:10.412515	1253	53	2	1
2014-03-25 02:50:32.820134	1254	354	3	2
2014-03-25 02:50:49.180089	1255	19.5	1	1
2014-03-25 02:50:49.403565	1256	53	2	1
2014-03-25 02:51:28.177521	1257	19.5	1	1
2014-03-25 02:51:28.400472	1258	53	2	1
2014-03-25 02:51:32.820157	1259	354	3	2
2014-03-25 02:52:07.178734	1260	19.5	1	1
2014-03-25 02:52:07.415686	1261	53	2	1
2014-03-25 02:52:32.821934	1262	354	3	2
2014-03-25 02:52:46.173286	1263	19.5	1	1
2014-03-25 02:52:46.398716	1264	53	2	1
2014-03-25 02:53:25.176229	1265	19.5	1	1
2014-03-25 02:53:25.396715	1266	53	2	1
2014-03-25 02:53:32.822031	1267	354	3	2
2014-03-25 02:53:56.819796	1268	289	3	2
2014-03-25 02:54:04.17178	1269	19.5	1	1
2014-03-25 02:54:04.403719	1270	53	2	1
2014-03-25 02:54:08.819128	1271	289	3	2
2014-03-25 02:54:32.821631	1272	305	3	2
2014-03-25 02:54:43.171144	1273	19.5	1	1
2014-03-25 02:54:43.402127	1274	53	2	1
2014-03-25 02:55:22.174667	1275	19.5	1	1
2014-03-25 02:55:22.402504	1276	53	2	1
2014-03-25 02:55:32.817268	1277	305	3	2
2014-03-25 02:56:01.172473	1278	19.5	1	1
2014-03-25 02:56:01.393314	1279	53	2	1
2014-03-25 02:56:32.822245	1280	289	3	2
2014-03-25 02:56:40.175544	1281	19.5	1	1
2014-03-25 02:56:40.398312	1282	53	2	1
2014-03-25 02:57:19.176256	1283	19.5	1	1
2014-03-25 02:57:19.407439	1284	53	2	1
2014-03-25 02:57:32.819499	1285	289	3	2
2014-03-25 02:57:58.174405	1286	19.5	1	1
2014-03-25 02:57:58.400857	1287	53	2	1
2014-03-25 02:58:32.826103	1288	289	3	2
2014-03-25 02:58:37.172071	1289	19.5	1	1
2014-03-25 02:58:37.394457	1290	53	2	1
2014-03-25 02:59:16.174271	1291	19.5	1	1
2014-03-25 02:59:16.396846	1292	53	2	1
2014-03-25 02:59:20.815983	1293	370	3	2
2014-03-25 02:59:32.821509	1294	370	3	2
2014-03-25 02:59:55.171116	1295	19.5	1	1
2014-03-25 02:59:55.393786	1296	53	2	1
2014-03-25 03:00:32.822624	1297	370	3	2
2014-03-25 03:00:34.170353	1298	19.5	1	1
2014-03-25 03:00:34.391846	1299	53	2	1
2014-03-25 03:00:56.821465	1300	434	3	2
2014-03-25 03:01:08.820896	1301	434	3	2
2014-03-25 03:01:13.171965	1302	19.5	1	1
2014-03-25 03:01:13.394297	1303	53	2	1
2014-03-25 03:01:32.818838	1304	434	3	2
2014-03-25 03:01:52.172241	1305	19.5	1	1
2014-03-25 03:01:52.399822	1306	53	2	1
2014-03-25 03:02:31.174296	1307	19.5	1	1
2014-03-25 03:02:31.417147	1308	53	2	1
2014-03-25 03:02:32.821603	1309	434	3	2
2014-03-25 03:03:10.172379	1310	19.5	1	1
2014-03-25 03:03:10.413921	1311	53	2	1
2014-03-25 03:03:32.819904	1312	434	3	2
2014-03-25 03:03:49.169034	1313	19.5	1	1
2014-03-25 03:03:49.393661	1314	53	2	1
2014-03-25 03:04:28.170917	1315	19.5	1	1
2014-03-25 03:04:28.39372	1316	53	2	1
2014-03-25 03:04:32.822493	1317	434	3	2
2014-03-25 03:05:07.171021	1318	19.5	1	1
2014-03-25 03:05:07.395216	1319	53	2	1
2014-03-25 03:05:32.821936	1320	434	3	2
2014-03-25 03:05:44.821115	1321	370	3	2
2014-03-25 03:05:46.169167	1322	19.5	1	1
2014-03-25 03:05:46.395036	1323	53	2	1
2014-03-25 03:05:56.822033	1324	370	3	2
2014-03-25 03:06:25.171458	1325	19.5	1	1
2014-03-25 03:06:25.395804	1326	53	2	1
2014-03-25 03:06:32.820179	1327	370	3	2
2014-03-25 03:07:04.168121	1328	19.5	1	1
2014-03-25 03:07:04.390802	1329	53	2	1
2014-03-25 03:07:32.820695	1330	370	3	2
2014-03-25 03:07:43.172022	1331	19.5	1	1
2014-03-25 03:07:43.396186	1332	53	2	1
2014-03-25 03:08:22.164808	1333	19.5	1	1
2014-03-25 03:08:22.398529	1334	53	2	1
2014-03-25 03:08:32.820957	1335	370	3	2
2014-03-25 03:09:01.169847	1336	19.5	1	1
2014-03-25 03:09:01.394325	1337	53	2	1
2014-03-25 03:09:32.820524	1338	370	3	2
2014-03-25 03:09:40.165074	1339	19.5	1	1
2014-03-25 03:09:40.388098	1340	53	2	1
2014-03-25 03:10:19.16383	1341	19.5	1	1
2014-03-25 03:10:19.386633	1342	53	2	1
2014-03-25 03:10:32.820219	1343	370	3	2
2014-03-25 03:10:58.166456	1344	19.5	1	1
2014-03-25 03:10:58.390713	1345	53	2	1
2014-03-25 03:11:32.822746	1346	370	3	2
2014-03-25 03:11:37.163929	1347	19.5	1	1
2014-03-25 03:11:37.387211	1348	53	2	1
2014-03-25 03:12:16.165459	1349	19.5	1	1
2014-03-25 03:12:16.387072	1350	53	2	1
2014-03-25 03:12:32.819537	1351	370	3	2
2014-03-25 03:12:55.1652	1352	19.5	1	1
2014-03-25 03:12:55.393814	1353	53	2	1
2014-03-25 03:12:56.816935	1354	418	3	2
2014-03-25 03:13:08.818861	1355	434	3	2
2014-03-25 03:13:32.822049	1356	418	3	2
2014-03-25 03:13:34.16429	1357	19.5	1	1
2014-03-25 03:13:34.387226	1358	53	2	1
2014-03-25 03:13:56.822672	1359	354	3	2
2014-03-25 03:14:08.81865	1360	354	3	2
2014-03-25 03:14:13.162455	1361	19.5	1	1
2014-03-25 03:14:13.387799	1362	52	2	1
2014-03-25 03:14:32.820247	1363	354	3	2
2014-03-25 03:14:52.162774	1364	19.5	1	1
2014-03-25 03:14:52.385474	1365	52	2	1
2014-03-25 03:15:31.163682	1366	19.5	1	1
2014-03-25 03:15:31.385236	1367	52	2	1
2014-03-25 03:15:32.815243	1368	354	3	2
2014-03-25 03:16:10.161971	1369	19.5	1	1
2014-03-25 03:16:10.383623	1370	52	2	1
2014-03-25 03:16:32.817923	1371	354	3	2
2014-03-25 03:16:49.164689	1372	19.5	1	1
2014-03-25 03:16:49.387195	1373	52	2	1
2014-03-25 03:17:28.160083	1374	19.5	1	1
2014-03-25 03:17:28.392288	1375	52	2	1
2014-03-25 03:17:32.819247	1376	354	3	2
2014-03-25 03:17:44.819272	1377	305	3	2
2014-03-25 03:17:56.819316	1378	305	3	2
2014-03-25 03:18:07.171736	1379	19.5	1	1
2014-03-25 03:18:07.394814	1380	52	2	1
2014-03-25 03:18:32.817759	1381	305	3	2
2014-03-25 03:18:46.165515	1382	19.5	1	1
2014-03-25 03:18:46.400026	1383	52	2	1
2014-03-25 03:19:25.159215	1384	19.5	1	1
2014-03-25 03:19:25.387456	1385	52	2	1
2014-03-25 03:19:32.818015	1386	305	3	2
2014-03-25 03:20:04.163553	1387	19.5	1	1
2014-03-25 03:20:04.385487	1388	52	2	1
2014-03-25 03:20:32.816277	1389	289	3	2
2014-03-25 03:20:43.159211	1390	19.5	1	1
2014-03-25 03:20:43.382256	1391	52	2	1
2014-03-25 03:21:22.157836	1392	19.5	1	1
2014-03-25 03:21:22.38153	1393	52	2	1
2014-03-25 03:21:32.815264	1394	273	3	2
2014-03-25 03:22:01.158616	1395	19.4	1	1
2014-03-25 03:22:01.381443	1396	52	2	1
2014-03-25 03:22:32.815323	1397	289	3	2
2014-03-25 03:22:40.160543	1398	19.4	1	1
2014-03-25 03:22:40.38448	1399	52	2	1
2014-03-25 03:22:44.813809	1400	338	3	2
2014-03-25 03:22:56.814941	1401	305	3	2
2014-03-25 03:23:08.813003	1402	305	3	2
2014-03-25 03:23:19.157551	1403	19.4	1	1
2014-03-25 03:23:19.390005	1404	52	2	1
2014-03-25 03:23:20.816441	1405	338	3	2
2014-03-25 03:23:32.816731	1406	305	3	2
2014-03-25 03:23:44.818547	1407	305	3	2
2014-03-25 03:23:56.815687	1408	338	3	2
2014-03-25 03:23:58.162629	1409	19.4	1	1
2014-03-25 03:23:58.384612	1410	52	2	1
2014-03-25 03:24:08.820121	1411	338	3	2
2014-03-25 03:24:20.814959	1412	289	3	2
2014-03-25 03:24:32.817274	1413	289	3	2
2014-03-25 03:24:37.159321	1414	19.4	1	1
2014-03-25 03:24:37.383297	1415	52	2	1
2014-03-25 03:24:56.820289	1416	338	3	2
2014-03-25 03:25:08.817087	1417	354	3	2
2014-03-25 03:25:16.159939	1418	19.4	1	1
2014-03-25 03:25:16.384599	1419	52	2	1
2014-03-25 03:25:32.814588	1420	354	3	2
2014-03-25 03:25:55.159175	1421	19.4	1	1
2014-03-25 03:25:55.381762	1422	52	2	1
2014-03-25 03:26:32.817742	1423	354	3	2
2014-03-25 03:26:34.155985	1424	19.4	1	1
2014-03-25 03:26:34.387321	1425	52	2	1
2014-03-25 03:27:13.155969	1426	19.4	1	1
2014-03-25 03:27:13.379745	1427	52	2	1
2014-03-25 03:27:32.82	1428	338	3	2
2014-03-25 03:27:52.155446	1429	19.4	1	1
2014-03-25 03:27:52.381341	1430	52	2	1
2014-03-25 03:28:31.15385	1431	19.4	1	1
2014-03-25 03:28:31.395528	1432	52	2	1
2014-03-25 03:28:32.819774	1433	354	3	2
2014-03-25 03:29:10.158551	1434	19.4	1	1
2014-03-25 03:29:10.380385	1435	52	2	1
2014-03-25 03:29:32.816213	1436	305	3	2
2014-03-25 03:29:44.813739	1437	305	3	2
2014-03-25 03:29:49.15801	1438	19.4	1	1
2014-03-25 03:29:49.392513	1439	52	2	1
2014-03-25 03:30:28.155418	1440	19.4	1	1
2014-03-25 03:30:28.379506	1441	52	2	1
2014-03-25 03:30:32.818764	1442	305	3	2
2014-03-25 03:31:07.156871	1443	19.4	1	1
2014-03-25 03:31:07.378032	1444	52	2	1
2014-03-25 03:31:32.81668	1445	305	3	2
2014-03-25 03:31:46.154867	1446	19.4	1	1
2014-03-25 03:31:46.389289	1447	52	2	1
2014-03-25 03:32:25.152203	1448	19.4	1	1
2014-03-25 03:32:25.378616	1449	52	2	1
2014-03-25 03:32:32.81863	1450	305	3	2
2014-03-25 03:33:04.152749	1451	19.4	1	1
2014-03-25 03:33:04.376924	1452	52	2	1
2014-03-25 03:33:32.814943	1453	305	3	2
2014-03-25 03:33:43.150483	1454	19.4	1	1
2014-03-25 03:33:43.37355	1455	52	2	1
2014-03-25 03:34:22.15302	1456	19.4	1	1
2014-03-25 03:34:22.376299	1457	52	2	1
2014-03-25 03:34:32.8197	1458	305	3	2
2014-03-25 03:35:01.150845	1459	19.4	1	1
2014-03-25 03:35:01.376454	1460	52	2	1
2014-03-25 03:35:32.815042	1461	305	3	2
2014-03-25 03:35:40.148701	1462	19.4	1	1
2014-03-25 03:35:40.372657	1463	52	2	1
2014-03-25 03:36:19.154918	1464	19.4	1	1
2014-03-25 03:36:19.389351	1465	52	2	1
2014-03-25 03:36:32.812906	1466	354	3	2
2014-03-25 03:36:44.817391	1467	354	3	2
2014-03-25 03:36:58.152777	1468	19.4	1	1
2014-03-25 03:36:58.386504	1469	52	2	1
2014-03-25 03:37:32.819204	1470	370	3	2
2014-03-25 03:37:37.158143	1471	19.4	1	1
2014-03-25 03:37:37.384366	1472	52	2	1
2014-03-25 03:38:16.152794	1473	19.4	1	1
2014-03-25 03:38:16.397166	1474	52	2	1
2014-03-25 03:38:32.816165	1475	354	3	2
2014-03-25 03:38:55.152423	1476	19.4	1	1
2014-03-25 03:38:55.375693	1477	52	2	1
2014-03-25 03:39:32.817427	1478	354	3	2
2014-03-25 03:39:34.149403	1479	19.4	1	1
2014-03-25 03:39:34.382618	1480	52	2	1
2014-03-25 03:40:13.152047	1481	19.4	1	1
2014-03-25 03:40:13.37808	1482	52	2	1
2014-03-25 03:40:32.815806	1483	354	3	2
2014-03-25 03:40:52.149652	1484	19.4	1	1
2014-03-25 03:40:52.37542	1485	52	2	1
2014-03-25 03:41:20.814138	1486	305	3	2
2014-03-25 03:41:31.148694	1487	19.4	1	1
2014-03-25 03:41:31.383002	1488	52	2	1
2014-03-25 03:41:32.814143	1489	305	3	2
2014-03-25 03:42:10.148683	1490	19.4	1	1
2014-03-25 03:42:10.372748	1491	52	2	1
2014-03-25 03:42:32.819023	1492	305	3	2
2014-03-25 03:42:49.151943	1493	19.4	1	1
2014-03-25 03:42:49.377481	1494	52	2	1
2014-03-25 03:43:28.148712	1495	19.4	1	1
2014-03-25 03:43:28.382628	1496	52	2	1
2014-03-25 03:43:32.815369	1497	305	3	2
2014-03-25 03:43:56.816186	1498	338	3	2
2014-03-25 03:44:07.14875	1499	19.4	1	1
2014-03-25 03:44:07.38345	1500	52	2	1
2014-03-25 03:44:08.815497	1501	305	3	2
2014-03-25 03:44:20.81463	1502	305	3	2
2014-03-25 03:44:32.813036	1503	338	3	2
2014-03-25 03:44:44.815869	1504	305	3	2
2014-03-25 03:44:46.145401	1505	19.4	1	1
2014-03-25 03:44:46.36857	1506	52	2	1
2014-03-25 03:44:56.811643	1507	305	3	2
2014-03-25 03:45:25.149814	1508	19.4	1	1
2014-03-25 03:45:25.376735	1509	52	2	1
2014-03-25 03:45:32.814347	1510	305	3	2
2014-03-25 03:46:04.145401	1511	19.4	1	1
2014-03-25 03:46:04.37152	1512	52	2	1
2014-03-25 03:46:32.818021	1513	305	3	2
2014-03-25 03:46:43.145495	1514	19.4	1	1
2014-03-25 03:46:43.381604	1515	52	2	1
2014-03-25 03:47:22.145292	1516	19.4	1	1
2014-03-25 03:47:22.367545	1517	52	2	1
2014-03-25 03:47:32.815082	1518	305	3	2
2014-03-25 03:48:01.144157	1519	19.4	1	1
2014-03-25 03:48:01.368045	1520	52	2	1
2014-03-25 03:48:39.950031	1521	370	3	2
2014-03-25 03:48:40.273631	1522	19.4	1	1
2014-03-25 03:48:40.496966	1523	52	2	1
2014-03-25 03:48:44.815881	1524	370	3	2
2014-03-25 03:49:19.144696	1525	19.4	1	1
2014-03-25 03:49:19.37825	1526	52	2	1
2014-03-25 03:49:32.816387	1527	370	3	2
2014-03-25 03:49:58.141576	1528	19.4	1	1
2014-03-25 03:49:58.365771	1529	52	2	1
2014-03-25 03:50:36.950437	1530	370	3	2
2014-03-25 03:50:37.259592	1531	19.4	1	1
2014-03-25 03:50:37.481582	1532	52	2	1
2014-03-25 03:51:16.15415	1533	19.4	1	1
2014-03-25 03:51:16.388115	1534	52	2	1
2014-03-25 03:51:32.814794	1535	370	3	2
2014-03-25 03:51:55.142214	1536	19.4	1	1
2014-03-25 03:51:55.367309	1537	52	2	1
2014-03-25 03:52:32.817231	1538	370	3	2
2014-03-25 03:52:34.144691	1539	19.4	1	1
2014-03-25 03:52:34.367572	1540	52	2	1
2014-03-25 03:53:13.138586	1541	19.4	1	1
2014-03-25 03:53:13.363221	1542	52	2	1
2014-03-25 03:53:32.815574	1543	289	3	2
2014-03-25 03:53:44.814242	1544	289	3	2
2014-03-25 03:53:52.139774	1545	19.4	1	1
2014-03-25 03:53:52.36758	1546	52	2	1
2014-03-25 03:54:20.821351	1547	370	3	2
2014-03-25 03:54:31.143731	1548	19.4	1	1
2014-03-25 03:54:31.366998	1549	52	2	1
2014-03-25 03:54:32.817658	1550	370	3	2
2014-03-25 03:55:08.814442	1551	402	3	2
2014-03-25 03:55:10.142438	1552	19.4	1	1
2014-03-25 03:55:10.367214	1553	52	2	1
2014-03-25 03:55:20.814529	1554	402	3	2
2014-03-25 03:55:32.814549	1555	402	3	2
2014-03-25 03:55:49.146855	1556	19.4	1	1
2014-03-25 03:55:49.372626	1557	52	2	1
2014-03-25 03:56:28.138595	1558	19.4	1	1
2014-03-25 03:56:28.363849	1559	52	2	1
2014-03-25 03:56:32.813559	1560	402	3	2
2014-03-25 03:57:07.136518	1561	19.3	1	1
2014-03-25 03:57:07.361345	1562	52	2	1
2014-03-25 03:57:32.814146	1563	370	3	2
2014-03-25 03:57:44.81678	1564	402	3	2
2014-03-25 03:57:46.138847	1565	19.3	1	1
2014-03-25 03:57:46.361179	1566	52	2	1
2014-03-25 03:57:56.814619	1567	370	3	2
2014-03-25 03:58:08.814121	1568	370	3	2
2014-03-25 03:58:25.136289	1569	19.3	1	1
2014-03-25 03:58:25.367343	1570	52	2	1
2014-03-25 03:58:32.814319	1571	370	3	2
2014-03-25 03:59:04.138011	1572	19.3	1	1
2014-03-25 03:59:04.361107	1573	52	2	1
2014-03-25 03:59:32.812916	1574	370	3	2
2014-03-25 03:59:43.137771	1575	19.3	1	1
2014-03-25 03:59:43.359794	1576	52	2	1
2014-03-25 04:00:22.139619	1577	19.3	1	1
2014-03-25 04:00:22.3769	1578	52	2	1
2014-03-25 04:00:32.81666	1579	370	3	2
2014-03-25 04:00:44.813502	1580	434	3	2
2014-03-25 04:00:56.813513	1581	434	3	2
2014-03-25 04:01:01.134241	1582	19.3	1	1
2014-03-25 04:01:01.357911	1583	52	2	1
2014-03-25 04:01:32.814754	1584	434	3	2
2014-03-25 04:01:40.140488	1585	19.3	1	1
2014-03-25 04:01:40.395726	1586	52	2	1
2014-03-25 04:02:19.190727	1587	19.3	1	1
2014-03-25 04:02:19.424766	1588	52	2	1
2014-03-25 04:02:32.815016	1589	434	3	2
2014-03-25 04:02:58.137904	1590	19.3	1	1
2014-03-25 04:02:58.363274	1591	52	2	1
2014-03-25 04:03:32.816439	1592	434	3	2
2014-03-25 04:03:37.136413	1593	19.3	1	1
2014-03-25 04:03:37.358205	1594	52	2	1
2014-03-25 04:04:16.134876	1595	19.3	1	1
2014-03-25 04:04:16.356944	1596	52	2	1
2014-03-25 04:04:32.816209	1597	434	3	2
2014-03-25 04:04:55.137077	1598	19.3	1	1
2014-03-25 04:04:55.359511	1599	52	2	1
2014-03-25 04:05:32.815228	1600	434	3	2
2014-03-25 04:05:34.13364	1601	19.3	1	1
2014-03-25 04:05:34.356834	1602	52	2	1
2014-03-25 04:05:56.812772	1603	370	3	2
2014-03-25 04:06:08.81212	1604	370	3	2
2014-03-25 04:06:13.136413	1605	19.3	1	1
2014-03-25 04:06:13.359241	1606	52	2	1
2014-03-25 04:06:32.813171	1607	370	3	2
2014-03-25 04:06:52.137007	1608	19.3	1	1
2014-03-25 04:06:52.360383	1609	52	2	1
2014-03-25 04:07:31.141685	1610	19.3	1	1
2014-03-25 04:07:31.3771	1611	52	2	1
2014-03-25 04:07:32.810733	1612	370	3	2
2014-03-25 04:08:10.13304	1613	19.3	1	1
2014-03-25 04:08:10.357788	1614	52	2	1
2014-03-25 04:08:32.813447	1615	370	3	2
2014-03-25 04:08:44.813455	1616	402	3	2
2014-03-25 04:08:49.131888	1617	19.3	1	1
2014-03-25 04:08:49.417538	1618	52	2	1
2014-03-25 04:08:56.813107	1619	305	3	2
2014-03-25 04:09:08.81301	1620	305	3	2
2014-03-25 04:09:28.134501	1621	19.3	1	1
2014-03-25 04:09:28.368192	1622	52	2	1
2014-03-25 04:09:32.813418	1623	305	3	2
2014-03-25 04:10:07.130942	1624	19.3	1	1
2014-03-25 04:10:07.354984	1625	52	2	1
2014-03-25 04:10:32.816338	1626	305	3	2
2014-03-25 04:10:46.133252	1627	19.3	1	1
2014-03-25 04:10:46.356715	1628	52	2	1
2014-03-25 04:11:25.132432	1629	19.3	1	1
2014-03-25 04:11:25.355644	1630	52	2	1
2014-03-25 04:11:32.813656	1631	305	3	2
2014-03-25 04:12:04.13238	1632	19.3	1	1
2014-03-25 04:12:04.364427	1633	52	2	1
2014-03-25 04:12:32.815026	1634	305	3	2
2014-03-25 04:12:43.130317	1635	19.3	1	1
2014-03-25 04:12:43.355119	1636	52	2	1
2014-03-25 04:12:56.815469	1637	354	3	2
2014-03-25 04:13:08.813061	1638	354	3	2
2014-03-25 04:13:22.127942	1639	19.3	1	1
2014-03-25 04:13:22.361048	1640	52	2	1
2014-03-25 04:13:32.812365	1641	354	3	2
2014-03-25 04:14:01.133693	1642	19.3	1	1
2014-03-25 04:14:01.356277	1643	52	2	1
2014-03-25 04:14:32.812954	1644	354	3	2
2014-03-25 04:14:40.129626	1645	19.3	1	1
2014-03-25 04:14:40.353183	1646	52	2	1
2014-03-25 04:15:19.131962	1647	19.3	1	1
2014-03-25 04:15:19.355146	1648	52	2	1
2014-03-25 04:15:32.814875	1649	354	3	2
2014-03-25 04:15:58.125003	1650	19.3	1	1
2014-03-25 04:15:58.368814	1651	52	2	1
2014-03-25 04:16:32.814672	1652	354	3	2
2014-03-25 04:16:37.125877	1653	19.3	1	1
2014-03-25 04:16:37.348737	1654	52	2	1
2014-03-25 04:17:16.125319	1655	19.3	1	1
2014-03-25 04:17:16.347131	1656	52	2	1
2014-03-25 04:17:32.812928	1657	354	3	2
2014-03-25 04:17:55.127887	1658	19.3	1	1
2014-03-25 04:17:55.352044	1659	52	2	1
2014-03-25 04:17:56.815064	1660	305	3	2
2014-03-25 04:18:08.811724	1661	305	3	2
2014-03-25 04:18:32.812908	1662	305	3	2
2014-03-25 04:18:34.130309	1663	19.3	1	1
2014-03-25 04:18:34.353396	1664	52	2	1
2014-03-25 04:19:13.125241	1665	19.3	1	1
2014-03-25 04:19:13.356902	1666	52	2	1
2014-03-25 04:19:32.81589	1667	305	3	2
2014-03-25 04:19:52.124476	1668	19.3	1	1
2014-03-25 04:19:52.347372	1669	52	2	1
2014-03-25 04:20:31.124345	1670	19.3	1	1
2014-03-25 04:20:31.346161	1671	52	2	1
2014-03-25 04:20:32.815038	1672	305	3	2
2014-03-25 04:21:10.12069	1673	19.3	1	1
2014-03-25 04:21:10.342306	1674	52	2	1
2014-03-25 04:21:32.810364	1675	305	3	2
2014-03-25 04:21:49.124014	1676	19.3	1	1
2014-03-25 04:21:49.3463	1677	52	2	1
2014-03-25 04:22:28.125905	1678	19.3	1	1
2014-03-25 04:22:28.35511	1679	52	2	1
2014-03-25 04:22:32.815243	1680	305	3	2
2014-03-25 04:23:07.122521	1681	19.3	1	1
2014-03-25 04:23:07.347282	1682	52	2	1
2014-03-25 04:23:32.812146	1683	305	3	2
2014-03-25 04:23:46.121543	1684	19.3	1	1
2014-03-25 04:23:46.344972	1685	52	2	1
2014-03-25 04:24:25.133456	1686	19.3	1	1
2014-03-25 04:24:25.356878	1687	52	2	1
2014-03-25 04:24:32.810986	1688	305	3	2
2014-03-25 04:24:56.810732	1689	354	3	2
2014-03-25 04:25:04.12256	1690	19.3	1	1
2014-03-25 04:25:04.344594	1691	52	2	1
2014-03-25 04:25:08.812799	1692	354	3	2
2014-03-25 04:25:32.813318	1693	354	3	2
2014-03-25 04:25:43.120844	1694	19.3	1	1
2014-03-25 04:25:43.353163	1695	52	2	1
2014-03-25 04:26:22.118707	1696	19.3	1	1
2014-03-25 04:26:22.339493	1697	52	2	1
2014-03-25 04:26:32.810702	1698	354	3	2
2014-03-25 04:27:01.118184	1699	19.3	1	1
2014-03-25 04:27:01.339375	1700	52	2	1
2014-03-25 04:27:32.809491	1701	370	3	2
2014-03-25 04:27:40.117726	1702	19.3	1	1
2014-03-25 04:27:40.340197	1703	52	2	1
2014-03-25 04:28:19.121024	1704	19.3	1	1
2014-03-25 04:28:19.35021	1705	52	2	1
2014-03-25 04:28:32.812761	1706	370	3	2
2014-03-25 04:28:58.124218	1707	19.3	1	1
2014-03-25 04:28:58.349089	1708	52	2	1
2014-03-25 04:29:32.815011	1709	354	3	2
2014-03-25 04:29:37.118326	1710	19.3	1	1
2014-03-25 04:29:37.340978	1711	52	2	1
2014-03-25 04:30:08.811865	1712	305	3	2
2014-03-25 04:30:16.119883	1713	19.3	1	1
2014-03-25 04:30:16.342396	1714	52	2	1
2014-03-25 04:30:20.811171	1715	338	3	2
2014-03-25 04:30:44.674203	1716	338	3	2
2014-03-25 04:30:44.979429	1717	305	3	2
2014-03-25 04:30:55.117685	1718	19.3	1	1
2014-03-25 04:30:55.355444	1719	52	2	1
2014-03-25 04:30:56.810525	1720	305	3	2
2014-03-25 04:31:32.815339	1721	338	3	2
2014-03-25 04:31:34.121458	1722	19.3	1	1
2014-03-25 04:31:34.35408	1723	52	2	1
2014-03-25 04:31:44.812178	1724	305	3	2
2014-03-25 04:31:56.810456	1725	305	3	2
2014-03-25 04:32:13.116681	1726	19.3	1	1
2014-03-25 04:32:13.349559	1727	52	2	1
2014-03-25 04:32:32.810625	1728	305	3	2
2014-03-25 04:32:52.120215	1729	19.3	1	1
2014-03-25 04:32:52.344089	1730	52	2	1
2014-03-25 04:33:31.117453	1731	19.3	1	1
2014-03-25 04:33:31.338895	1732	52	2	1
2014-03-25 04:33:32.811157	1733	305	3	2
2014-03-25 04:34:10.118528	1734	19.3	1	1
2014-03-25 04:34:10.343726	1735	52	2	1
2014-03-25 04:34:32.813811	1736	305	3	2
2014-03-25 04:34:49.118831	1737	19.3	1	1
2014-03-25 04:34:49.353166	1738	52	2	1
2014-03-25 04:35:28.119281	1739	19.3	1	1
2014-03-25 04:35:28.342757	1740	52	2	1
2014-03-25 04:35:32.812577	1741	305	3	2
2014-03-25 04:36:07.114564	1742	19.3	1	1
2014-03-25 04:36:07.336501	1743	52	2	1
2014-03-25 04:36:32.812825	1744	305	3	2
2014-03-25 04:36:46.117864	1745	19.2	1	1
2014-03-25 04:36:46.351407	1746	52	2	1
2014-03-25 04:36:56.812524	1747	354	3	2
2014-03-25 04:37:08.814461	1748	354	3	2
2014-03-25 04:37:25.11491	1749	19.2	1	1
2014-03-25 04:37:25.35287	1750	52	2	1
2014-03-25 04:37:32.809781	1751	354	3	2
2014-03-25 04:38:04.114277	1752	19.2	1	1
2014-03-25 04:38:04.339143	1753	52	2	1
2014-03-25 04:38:32.811668	1754	354	3	2
2014-03-25 04:38:43.115261	1755	19.2	1	1
2014-03-25 04:38:43.337845	1756	52	2	1
2014-03-25 04:39:22.113787	1757	19.2	1	1
2014-03-25 04:39:22.347328	1758	52	2	1
2014-03-25 04:39:32.812622	1759	354	3	2
2014-03-25 04:40:01.115445	1760	19.2	1	1
2014-03-25 04:40:01.339453	1761	52	2	1
2014-03-25 04:40:32.812035	1762	354	3	2
2014-03-25 04:40:40.116007	1763	19.2	1	1
2014-03-25 04:40:40.340034	1764	52	2	1
2014-03-25 04:41:19.11323	1765	19.2	1	1
2014-03-25 04:41:19.346512	1766	52	2	1
2014-03-25 04:41:32.808282	1767	354	3	2
2014-03-25 04:41:58.111463	1768	19.2	1	1
2014-03-25 04:41:58.333696	1769	52	2	1
2014-03-25 04:42:32.80948	1770	354	3	2
2014-03-25 04:42:37.123745	1771	19.2	1	1
2014-03-25 04:42:37.363604	1772	52	2	1
2014-03-25 04:42:44.81186	1773	305	3	2
2014-03-25 04:42:56.811534	1774	305	3	2
2014-03-25 04:43:16.11366	1775	19.2	1	1
2014-03-25 04:43:16.346462	1776	52	2	1
2014-03-25 04:43:32.813826	1777	305	3	2
2014-03-25 04:43:55.113486	1778	19.2	1	1
2014-03-25 04:43:55.336116	1779	52	2	1
2014-03-25 04:44:32.809814	1780	305	3	2
2014-03-25 04:44:34.109952	1781	19.2	1	1
2014-03-25 04:44:34.383133	1782	52	2	1
2014-03-25 04:45:13.122084	1783	19.2	1	1
2014-03-25 04:45:13.348704	1784	52	2	1
2014-03-25 04:45:32.811054	1785	338	3	2
2014-03-25 04:45:44.811462	1786	305	3	2
2014-03-25 04:45:52.110576	1787	19.2	1	1
2014-03-25 04:45:52.331763	1788	52	2	1
2014-03-25 04:45:56.810885	1789	305	3	2
2014-03-25 04:46:31.108515	1790	19.2	1	1
2014-03-25 04:46:31.329439	1791	52	2	1
2014-03-25 04:46:32.81064	1792	305	3	2
2014-03-25 04:47:10.109221	1793	19.2	1	1
2014-03-25 04:47:10.330258	1794	52	2	1
2014-03-25 04:47:32.810799	1795	305	3	2
2014-03-25 04:47:49.10932	1796	19.2	1	1
2014-03-25 04:47:49.332455	1797	52	2	1
2014-03-25 04:48:28.109531	1798	19.2	1	1
2014-03-25 04:48:28.342799	1799	52	2	1
2014-03-25 04:48:32.811892	1800	305	3	2
2014-03-25 04:49:07.11107	1801	19.2	1	1
2014-03-25 04:49:07.333319	1802	52	2	1
2014-03-25 04:49:32.808463	1803	370	3	2
2014-03-25 04:49:44.81205	1804	434	3	2
2014-03-25 04:49:46.11054	1805	19.2	1	1
2014-03-25 04:49:46.343312	1806	52	2	1
2014-03-25 04:49:56.810956	1807	434	3	2
2014-03-25 04:50:25.109698	1808	19.2	1	1
2014-03-25 04:50:25.341782	1809	52	2	1
2014-03-25 04:50:32.811905	1810	434	3	2
2014-03-25 04:51:04.109712	1811	19.2	1	1
2014-03-25 04:51:04.331601	1812	52	2	1
2014-03-25 04:51:32.812438	1813	434	3	2
2014-03-25 04:51:43.104467	1814	19.2	1	1
2014-03-25 04:51:43.335077	1815	52	2	1
2014-03-25 04:52:22.109408	1816	19.2	1	1
2014-03-25 04:52:22.365048	1817	52	2	1
2014-03-25 04:52:32.809708	1818	434	3	2
2014-03-25 04:53:01.108807	1819	19.2	1	1
2014-03-25 04:53:01.333331	1820	52	2	1
2014-03-25 04:53:32.811388	1821	434	3	2
2014-03-25 04:53:40.106268	1822	19.2	1	1
2014-03-25 04:53:40.339127	1823	52	2	1
2014-03-25 04:54:19.109303	1824	19.2	1	1
2014-03-25 04:54:19.330561	1825	52	2	1
2014-03-25 04:54:32.812715	1826	434	3	2
2014-03-25 04:54:56.807926	1827	370	3	2
2014-03-25 04:54:58.107654	1828	19.2	1	1
2014-03-25 04:54:58.330235	1829	52	2	1
2014-03-25 04:55:08.812419	1830	370	3	2
2014-03-25 04:55:32.812127	1831	370	3	2
2014-03-25 04:55:37.104943	1832	19.2	1	1
2014-03-25 04:55:37.328293	1833	52	2	1
2014-03-25 04:56:16.103417	1834	19.2	1	1
2014-03-25 04:56:16.327201	1835	52	2	1
2014-03-25 04:56:32.812618	1836	354	3	2
2014-03-25 04:56:55.103633	1837	19.2	1	1
2014-03-25 04:56:55.328178	1838	52	2	1
2014-03-25 04:57:32.811407	1839	370	3	2
2014-03-25 04:57:34.10417	1840	19.2	1	1
2014-03-25 04:57:34.334124	1841	52	2	1
2014-03-25 04:58:13.102298	1842	19.2	1	1
2014-03-25 04:58:13.326023	1843	52	2	1
2014-03-25 04:58:32.809161	1844	370	3	2
2014-03-25 04:58:52.10429	1845	19.2	1	1
2014-03-25 04:58:52.326456	1846	52	2	1
2014-03-25 04:59:31.104392	1847	19.2	1	1
2014-03-25 04:59:31.337323	1848	52	2	1
2014-03-25 04:59:32.811831	1849	370	3	2
2014-03-25 05:00:10.102707	1850	19.2	1	1
2014-03-25 05:00:10.326012	1851	52	2	1
2014-03-25 05:00:32.809563	1852	370	3	2
2014-03-25 05:00:49.103298	1853	19.2	1	1
2014-03-25 05:00:49.328192	1854	52	2	1
2014-03-25 05:01:28.101383	1855	19.2	1	1
2014-03-25 05:01:28.325662	1856	52	2	1
2014-03-25 05:01:32.8124	1857	370	3	2
2014-03-25 05:01:44.808986	1858	418	3	2
2014-03-25 05:01:56.807584	1859	418	3	2
2014-03-25 05:02:07.101517	1860	19.2	1	1
2014-03-25 05:02:07.324685	1861	52	2	1
2014-03-25 05:02:32.812809	1862	418	3	2
2014-03-25 05:02:46.098312	1863	19.2	1	1
2014-03-25 05:02:46.322281	1864	52	2	1
2014-03-25 05:03:25.09936	1865	19.2	1	1
2014-03-25 05:03:25.32004	1866	52	2	1
2014-03-25 05:03:32.808053	1867	434	3	2
2014-03-25 05:04:04.103278	1868	19.2	1	1
2014-03-25 05:04:04.326624	1869	52	2	1
2014-03-25 05:04:20.808326	1870	338	3	2
2014-03-25 05:04:42.908848	1871	354	3	2
2014-03-25 05:04:43.22451	1872	19.2	1	1
2014-03-25 05:04:43.445798	1873	52	2	1
2014-03-25 05:05:22.100649	1874	19.2	1	1
2014-03-25 05:05:22.3233	1875	52	2	1
2014-03-25 05:05:32.807953	1876	354	3	2
2014-03-25 05:06:01.101765	1877	19.2	1	1
2014-03-25 05:06:01.327197	1878	52	2	1
2014-03-25 05:06:32.808491	1879	338	3	2
2014-03-25 05:06:40.098776	1880	19.2	1	1
2014-03-25 05:06:40.324483	1881	52	2	1
2014-03-25 05:06:56.810599	1882	305	3	2
2014-03-25 05:07:08.809384	1883	289	3	2
2014-03-25 05:07:19.09889	1884	19.2	1	1
2014-03-25 05:07:19.320902	1885	52	2	1
2014-03-25 05:07:32.811612	1886	289	3	2
2014-03-25 05:07:58.097285	1887	19.2	1	1
2014-03-25 05:07:58.320674	1888	52	2	1
2014-03-25 05:08:32.809887	1889	305	3	2
2014-03-25 05:08:37.099889	1890	19.2	1	1
2014-03-25 05:08:37.320596	1891	52	2	1
2014-03-25 05:09:16.098104	1892	19.2	1	1
2014-03-25 05:09:16.332699	1893	52	2	1
2014-03-25 05:09:32.813272	1894	289	3	2
2014-03-25 05:09:55.095945	1895	19.2	1	1
2014-03-25 05:09:55.319367	1896	52	2	1
2014-03-25 05:10:32.808683	1897	305	3	2
2014-03-25 05:10:34.098635	1898	19.2	1	1
2014-03-25 05:10:34.320756	1899	52	2	1
2014-03-25 05:11:13.100589	1900	19.2	1	1
2014-03-25 05:11:13.32829	1901	52	2	1
2014-03-25 05:11:32.810345	1902	305	3	2
2014-03-25 05:11:52.097515	1903	19.2	1	1
2014-03-25 05:11:52.3229	1904	52	2	1
2014-03-25 05:12:31.093547	1905	19.2	1	1
2014-03-25 05:12:31.326814	1906	52	2	1
2014-03-25 05:12:32.810829	1907	305	3	2
2014-03-25 05:13:10.094112	1908	19.2	1	1
2014-03-25 05:13:10.31759	1909	52	2	1
2014-03-25 05:13:32.808948	1910	305	3	2
2014-03-25 05:13:44.811098	1911	354	3	2
2014-03-25 05:13:49.095355	1912	19.1	1	1
2014-03-25 05:13:49.325563	1913	52	2	1
2014-03-25 05:13:56.806284	1914	354	3	2
2014-03-25 05:14:28.096012	1915	19.1	1	1
2014-03-25 05:14:28.31805	1916	52	2	1
2014-03-25 05:14:32.810256	1917	354	3	2
2014-03-25 05:15:07.094249	1918	19.1	1	1
2014-03-25 05:15:07.316427	1919	52	2	1
2014-03-25 05:15:32.806165	1920	354	3	2
2014-03-25 05:15:46.095015	1921	19.1	1	1
2014-03-25 05:15:46.326492	1922	52	2	1
2014-03-25 05:16:25.096279	1923	19.1	1	1
2014-03-25 05:16:25.319521	1924	52	2	1
2014-03-25 05:16:32.808244	1925	354	3	2
2014-03-25 05:17:04.090718	1926	19.1	1	1
2014-03-25 05:17:04.31474	1927	52	2	1
2014-03-25 05:17:32.809581	1928	354	3	2
2014-03-25 05:17:43.091948	1929	19.1	1	1
2014-03-25 05:17:43.317461	1930	52	2	1
2014-03-25 05:18:22.093525	1931	19.1	1	1
2014-03-25 05:18:22.326632	1932	52	2	1
2014-03-25 05:18:32.810222	1933	354	3	2
2014-03-25 05:18:56.810631	1934	273	3	2
2014-03-25 05:19:01.090866	1935	19.1	1	1
2014-03-25 05:19:01.323311	1936	52	2	1
2014-03-25 05:19:08.807856	1937	273	3	2
2014-03-25 05:19:32.806837	1938	289	3	2
2014-03-25 05:19:40.092545	1939	19.1	1	1
2014-03-25 05:19:40.324908	1940	52	2	1
2014-03-25 05:20:19.093284	1941	19.1	1	1
2014-03-25 05:20:19.316838	1942	52	2	1
2014-03-25 05:20:32.804869	1943	289	3	2
2014-03-25 05:20:58.092776	1944	19.1	1	1
2014-03-25 05:20:58.315141	1945	52	2	1
2014-03-25 05:21:32.809408	1946	273	3	2
2014-03-25 05:21:37.091894	1947	19.1	1	1
2014-03-25 05:21:37.31345	1948	52	2	1
2014-03-25 05:22:16.088718	1949	19.1	1	1
2014-03-25 05:22:16.31274	1950	52	2	1
2014-03-25 05:22:32.80277	1951	289	3	2
2014-03-25 05:22:55.089986	1952	19.1	1	1
2014-03-25 05:22:55.314069	1953	52	2	1
2014-03-25 05:23:32.808702	1954	305	3	2
2014-03-25 05:23:34.0873	1955	19.1	1	1
2014-03-25 05:23:34.307837	1956	52	2	1
2014-03-25 05:24:13.088658	1957	19.1	1	1
2014-03-25 05:24:13.311363	1958	52	2	1
2014-03-25 05:24:51.907748	1959	305	3	2
2014-03-25 05:24:52.214243	1960	19.1	1	1
2014-03-25 05:24:52.435691	1961	52	2	1
2014-03-25 05:25:31.089195	1962	19.1	1	1
2014-03-25 05:25:31.323681	1963	52	2	1
2014-03-25 05:25:32.811241	1964	305	3	2
2014-03-25 05:25:56.80874	1965	338	3	2
2014-03-25 05:26:08.806367	1966	354	3	2
2014-03-25 05:26:10.088826	1967	19.1	1	1
2014-03-25 05:26:10.310347	1968	52	2	1
2014-03-25 05:26:32.805032	1969	354	3	2
2014-03-25 05:26:49.087604	1970	19.1	1	1
2014-03-25 05:26:49.322364	1971	52	2	1
2014-03-25 05:27:28.088564	1972	19.1	1	1
2014-03-25 05:27:28.312852	1973	52	2	1
2014-03-25 05:27:32.806694	1974	338	3	2
2014-03-25 05:27:44.807869	1975	370	3	2
2014-03-25 05:27:56.807971	1976	370	3	2
2014-03-25 05:28:07.084736	1977	19.1	1	1
2014-03-25 05:28:07.318553	1978	52	2	1
2014-03-25 05:28:20.8062	1979	338	3	2
2014-03-25 05:28:32.807504	1980	354	3	2
2014-03-25 05:28:46.086404	1981	19.1	1	1
2014-03-25 05:28:46.32365	1982	52	2	1
2014-03-25 05:29:25.087836	1983	19.1	1	1
2014-03-25 05:29:25.313165	1984	52	2	1
2014-03-25 05:29:32.807313	1985	370	3	2
2014-03-25 05:29:56.806388	1986	338	3	2
2014-03-25 05:30:04.087564	1987	19.1	1	1
2014-03-25 05:30:04.312686	1988	52	2	1
2014-03-25 05:30:08.805219	1989	354	3	2
2014-03-25 05:30:32.806819	1990	354	3	2
2014-03-25 05:30:43.085946	1991	19.1	1	1
2014-03-25 05:30:43.327041	1992	52	2	1
2014-03-25 05:31:08.807512	1993	289	3	2
2014-03-25 05:31:20.809515	1994	305	3	2
2014-03-25 05:31:22.086332	1995	19.1	1	1
2014-03-25 05:31:22.319712	1996	52	2	1
2014-03-25 05:31:32.810336	1997	289	3	2
2014-03-25 05:32:01.325298	1998	19.1	1	1
2014-03-25 05:32:01.549196	1999	52	2	1
2014-03-25 05:32:32.80814	2000	305	3	2
2014-03-25 05:32:40.087071	2001	19.1	1	1
2014-03-25 05:32:40.311139	2002	52	2	1
2014-03-25 05:33:19.088696	2003	19.1	1	1
2014-03-25 05:33:19.312366	2004	52	2	1
2014-03-25 05:33:32.809127	2005	289	3	2
2014-03-25 05:33:58.081623	2006	19.1	1	1
2014-03-25 05:33:58.303312	2007	52	2	1
2014-03-25 05:34:32.811881	2008	305	3	2
2014-03-25 05:34:37.082478	2009	19.1	1	1
2014-03-25 05:34:37.303363	2010	52	2	1
2014-03-25 05:35:08.809313	2011	273	3	2
2014-03-25 05:35:16.083058	2012	19.1	1	1
2014-03-25 05:35:16.317411	2013	52	2	1
2014-03-25 05:35:20.809081	2014	289	3	2
2014-03-25 05:35:32.807438	2015	305	3	2
2014-03-25 05:35:55.081971	2016	19.1	1	1
2014-03-25 05:35:55.315171	2017	52	2	1
2014-03-25 05:36:32.810582	2018	338	3	2
2014-03-25 05:36:34.083873	2019	19.1	1	1
2014-03-25 05:36:34.307275	2020	52	2	1
2014-03-25 05:36:44.806344	2021	289	3	2
2014-03-25 05:36:56.809144	2022	305	3	2
2014-03-25 05:37:13.080091	2023	19.1	1	1
2014-03-25 05:37:13.313462	2024	52	2	1
2014-03-25 05:37:32.804734	2025	305	3	2
2014-03-25 05:37:52.084487	2026	19.1	1	1
2014-03-25 05:37:52.363172	2027	52	2	1
2014-03-25 05:37:56.808995	2028	370	3	2
2014-03-25 05:38:08.807621	2029	354	3	2
2014-03-25 05:38:31.079923	2030	19.1	1	1
2014-03-25 05:38:31.314612	2031	52	2	1
2014-03-25 05:38:32.802491	2032	354	3	2
2014-03-25 05:39:10.081404	2033	19.1	1	1
2014-03-25 05:39:10.305716	2034	51	2	1
2014-03-25 05:39:32.809544	2035	354	3	2
2014-03-25 05:39:49.089752	2036	19.1	1	1
2014-03-25 05:39:49.313105	2037	51	2	1
2014-03-25 05:40:08.808308	2038	402	3	2
2014-03-25 05:40:20.809057	2039	354	3	2
2014-03-25 05:40:28.077331	2040	19.1	1	1
2014-03-25 05:40:28.308725	2041	51	2	1
2014-03-25 05:40:32.806006	2042	354	3	2
2014-03-25 05:41:07.078566	2043	19.1	1	1
2014-03-25 05:41:07.300314	2044	51	2	1
2014-03-25 05:41:32.808568	2045	354	3	2
2014-03-25 05:41:46.079183	2046	19.1	1	1
2014-03-25 05:41:46.299651	2047	51	2	1
2014-03-25 05:42:25.077795	2048	19.1	1	1
2014-03-25 05:42:25.300642	2049	51	2	1
2014-03-25 05:42:32.807511	2050	338	3	2
2014-03-25 05:42:44.805605	2051	370	3	2
2014-03-25 05:42:56.807849	2052	338	3	2
2014-03-25 05:43:04.078648	2053	19.1	1	1
2014-03-25 05:43:04.301123	2054	51	2	1
2014-03-25 05:43:08.805045	2055	354	3	2
2014-03-25 05:43:20.805692	2056	289	3	2
2014-03-25 05:43:32.806158	2057	289	3	2
2014-03-25 05:43:43.079408	2058	19.1	1	1
2014-03-25 05:43:43.316087	2059	51	2	1
2014-03-25 05:44:20.805504	2060	338	3	2
2014-03-25 05:44:22.083136	2061	19.1	1	1
2014-03-25 05:44:22.330105	2062	51	2	1
2014-03-25 05:44:32.809355	2063	305	3	2
2014-03-25 05:44:44.808176	2064	289	3	2
2014-03-25 05:44:56.804035	2065	338	3	2
2014-03-25 05:45:01.07913	2066	19.1	1	1
2014-03-25 05:45:01.301938	2067	51	2	1
2014-03-25 05:45:08.807031	2068	305	3	2
2014-03-25 05:45:20.809609	2069	370	3	2
2014-03-25 05:45:39.89285	2070	370	3	2
2014-03-25 05:45:40.19986	2071	19.1	1	1
2014-03-25 05:45:40.432585	2072	51	2	1
2014-03-25 05:45:44.803499	2073	402	3	2
2014-03-25 05:45:56.807507	2074	402	3	2
2014-03-25 05:46:08.807446	2075	370	3	2
2014-03-25 05:46:19.075316	2076	19.1	1	1
2014-03-25 05:46:19.319256	2077	51	2	1
2014-03-25 05:46:20.80701	2078	370	3	2
2014-03-25 05:46:32.804257	2079	402	3	2
2014-03-25 05:46:44.807667	2080	370	3	2
2014-03-25 05:46:56.80905	2081	370	3	2
2014-03-25 05:46:58.078471	2082	19.1	1	1
2014-03-25 05:46:58.302119	2083	51	2	1
2014-03-25 05:47:32.805767	2084	370	3	2
2014-03-25 05:47:37.073011	2085	19.1	1	1
2014-03-25 05:47:37.305164	2086	51	2	1
2014-03-25 05:48:16.076251	2087	19.1	1	1
2014-03-25 05:48:16.300035	2088	51	2	1
2014-03-25 05:48:32.806471	2089	370	3	2
2014-03-25 05:48:55.072241	2090	19.1	1	1
2014-03-25 05:48:55.296824	2091	51	2	1
2014-03-25 05:49:32.810822	2092	370	3	2
2014-03-25 05:49:34.077301	2093	19.1	1	1
2014-03-25 05:49:34.300526	2094	51	2	1
2014-03-25 05:50:13.071827	2095	19.1	1	1
2014-03-25 05:50:13.294868	2096	51	2	1
2014-03-25 05:50:20.808963	2097	418	3	2
2014-03-25 05:50:32.804183	2098	434	3	2
2014-03-25 05:50:52.070779	2099	19.1	1	1
2014-03-25 05:50:52.294288	2100	51	2	1
2014-03-25 05:51:31.074639	2101	19.1	1	1
2014-03-25 05:51:31.307325	2102	51	2	1
2014-03-25 05:51:32.807214	2103	418	3	2
2014-03-25 05:52:10.074269	2104	19.1	1	1
2014-03-25 05:52:10.298311	2105	51	2	1
2014-03-25 05:52:32.805405	2106	434	3	2
2014-03-25 05:52:49.07205	2107	19.0	1	1
2014-03-25 05:52:49.296603	2108	51	2	1
2014-03-25 05:53:28.076693	2109	19.0	1	1
2014-03-25 05:53:28.298952	2110	51	2	1
2014-03-25 05:53:32.809075	2111	418	3	2
2014-03-25 05:54:07.077063	2112	19.0	1	1
2014-03-25 05:54:07.30892	2113	51	2	1
2014-03-25 05:54:32.80569	2114	434	3	2
2014-03-25 05:54:46.075105	2115	19.0	1	1
2014-03-25 05:54:46.319489	2116	51	2	1
2014-03-25 05:55:25.068838	2117	19.0	1	1
2014-03-25 05:55:25.293631	2118	51	2	1
2014-03-25 05:55:32.808083	2119	434	3	2
2014-03-25 05:56:04.072926	2120	19.0	1	1
2014-03-25 05:56:04.295445	2121	51	2	1
2014-03-25 05:56:08.806974	2122	370	3	2
2014-03-25 05:56:20.806838	2123	402	3	2
2014-03-25 05:56:32.806568	2124	370	3	2
2014-03-25 05:56:43.072415	2125	19.0	1	1
2014-03-25 05:56:43.297887	2126	51	2	1
2014-03-25 05:56:44.80371	2127	354	3	2
2014-03-25 05:56:56.806077	2128	402	3	2
2014-03-25 05:57:08.805681	2129	370	3	2
2014-03-25 05:57:20.802786	2130	354	3	2
2014-03-25 05:57:22.06907	2131	19.0	1	1
2014-03-25 05:57:22.293203	2132	51	2	1
2014-03-25 05:57:32.810025	2133	370	3	2
2014-03-25 05:58:00.878329	2134	338	3	2
2014-03-25 05:58:01.187057	2135	19.0	1	1
2014-03-25 05:58:01.42156	2136	51	2	1
2014-03-25 05:58:08.803348	2137	370	3	2
2014-03-25 05:58:20.810019	2138	370	3	2
2014-03-25 05:58:32.80812	2139	354	3	2
2014-03-25 05:58:40.070915	2140	19.0	1	1
2014-03-25 05:58:40.304045	2141	51	2	1
2014-03-25 05:59:19.072822	2142	19.0	1	1
2014-03-25 05:59:19.297037	2143	51	2	1
2014-03-25 05:59:20.808883	2144	402	3	2
2014-03-25 05:59:32.806717	2145	354	3	2
2014-03-25 05:59:44.80458	2146	370	3	2
2014-03-25 05:59:58.069798	2147	19.0	1	1
2014-03-25 05:59:58.303461	2148	51	2	1
2014-03-25 06:00:20.804915	2149	305	3	2
2014-03-25 06:00:32.805138	2150	289	3	2
2014-03-25 06:00:37.06905	2151	19.0	1	1
2014-03-25 06:00:37.304611	2152	51	2	1
2014-03-25 06:01:08.808207	2153	338	3	2
2014-03-25 06:01:16.070463	2154	19.0	1	1
2014-03-25 06:01:16.293921	2155	51	2	1
2014-03-25 06:01:20.80599	2156	289	3	2
2014-03-25 06:01:32.805289	2157	305	3	2
2014-03-25 06:01:55.067193	2158	19.0	1	1
2014-03-25 06:01:55.307545	2159	51	2	1
2014-03-25 06:02:32.805724	2160	289	3	2
2014-03-25 06:02:34.064711	2161	19.0	1	1
2014-03-25 06:02:34.286328	2162	51	2	1
2014-03-25 06:02:56.808002	2163	338	3	2
2014-03-25 06:03:08.807046	2164	354	3	2
2014-03-25 06:03:13.06649	2165	19.0	1	1
2014-03-25 06:03:13.300601	2166	51	2	1
2014-03-25 06:03:32.808672	2167	354	3	2
2014-03-25 06:03:52.066568	2168	19.0	1	1
2014-03-25 06:03:52.289364	2169	51	2	1
2014-03-25 06:04:31.066238	2170	19.0	1	1
2014-03-25 06:04:31.288213	2171	51	2	1
2014-03-25 06:04:32.805616	2172	354	3	2
2014-03-25 06:05:10.069431	2173	19.0	1	1
2014-03-25 06:05:10.294587	2174	51	2	1
2014-03-25 06:05:32.80928	2175	354	3	2
2014-03-25 06:05:49.066489	2176	19.0	1	1
2014-03-25 06:05:49.809639	2177	51	2	1
2014-03-25 06:06:28.069862	2178	19.0	1	1
2014-03-25 06:06:28.326443	2179	51	2	1
2014-03-25 06:07:06.871879	2180	354	3	2
2014-03-25 06:07:07.180116	2181	19.0	1	1
2014-03-25 06:07:07.400772	2182	51	2	1
2014-03-25 06:07:32.804266	2183	370	3	2
2014-03-25 06:07:46.069139	2184	19.0	1	1
2014-03-25 06:07:46.293276	2185	51	2	1
2014-03-25 06:07:56.808652	2186	305	3	2
2014-03-25 06:08:08.806912	2187	305	3	2
2014-03-25 06:08:25.06809	2188	19.0	1	1
2014-03-25 06:08:25.292131	2189	51	2	1
2014-03-25 06:08:32.808985	2190	305	3	2
2014-03-25 06:09:04.065227	2191	19.0	1	1
2014-03-25 06:09:04.287894	2192	51	2	1
2014-03-25 06:09:32.809789	2193	305	3	2
2014-03-25 06:09:43.064727	2194	19.0	1	1
2014-03-25 06:09:43.287928	2195	51	2	1
2014-03-25 06:10:22.063468	2196	19.0	1	1
2014-03-25 06:10:22.297811	2197	51	2	1
2014-03-25 06:10:32.803771	2198	305	3	2
2014-03-25 06:11:01.065815	2199	19.0	1	1
2014-03-25 06:11:01.2905	2200	51	2	1
2014-03-25 06:11:32.809182	2201	305	3	2
2014-03-25 06:11:40.063977	2202	19.0	1	1
2014-03-25 06:11:40.286981	2203	51	2	1
2014-03-25 06:12:19.064298	2204	19.0	1	1
2014-03-25 06:12:19.287692	2205	51	2	1
2014-03-25 06:12:32.805574	2206	305	3	2
2014-03-25 06:12:58.067195	2207	19.0	1	1
2014-03-25 06:12:58.328686	2208	51	2	1
2014-03-25 06:13:32.810126	2209	305	3	2
2014-03-25 06:13:37.064257	2210	19.0	1	1
2014-03-25 06:13:37.287578	2211	51	2	1
2014-03-25 06:14:16.06368	2212	19.0	1	1
2014-03-25 06:14:16.287334	2213	51	2	1
2014-03-25 06:14:32.805235	2214	354	3	2
2014-03-25 06:14:44.806102	2215	354	3	2
2014-03-25 06:14:55.064864	2216	19.0	1	1
2014-03-25 06:14:55.287445	2217	51	2	1
2014-03-25 06:15:32.808276	2218	370	3	2
2014-03-25 06:15:34.060656	2219	19.0	1	1
2014-03-25 06:15:34.286133	2220	51	2	1
2014-03-25 06:16:13.065266	2221	19.0	1	1
2014-03-25 06:16:13.289087	2222	51	2	1
2014-03-25 06:16:32.805258	2223	354	3	2
2014-03-25 06:16:52.060063	2224	19.0	1	1
2014-03-25 06:16:52.281944	2225	51	2	1
2014-03-25 06:17:31.061701	2226	19.0	1	1
2014-03-25 06:17:31.283998	2227	51	2	1
2014-03-25 06:17:32.804638	2228	354	3	2
2014-03-25 06:18:10.058071	2229	19.0	1	1
2014-03-25 06:18:10.284138	2230	51	2	1
2014-03-25 06:18:32.804646	2231	354	3	2
2014-03-25 06:18:49.06087	2232	19.0	1	1
2014-03-25 06:18:49.284435	2233	51	2	1
2014-03-25 06:19:28.055782	2234	19.0	1	1
2014-03-25 06:19:28.280553	2235	51	2	1
2014-03-25 06:19:32.812598	2236	370	3	2
2014-03-25 06:19:56.806967	2237	305	3	2
2014-03-25 06:20:07.061077	2238	19.0	1	1
2014-03-25 06:20:07.294978	2239	51	2	1
2014-03-25 06:20:08.804117	2240	305	3	2
2014-03-25 06:20:32.804287	2241	305	3	2
2014-03-25 06:20:46.059177	2242	19.0	1	1
2014-03-25 06:20:46.281462	2243	51	2	1
2014-03-25 06:21:25.055612	2244	19.0	1	1
2014-03-25 06:21:25.279819	2245	51	2	1
2014-03-25 06:21:32.80638	2246	305	3	2
2014-03-25 06:22:04.059187	2247	19.0	1	1
2014-03-25 06:22:04.284798	2248	51	2	1
2014-03-25 06:22:32.807769	2249	305	3	2
2014-03-25 06:22:43.055771	2250	19.0	1	1
2014-03-25 06:22:43.280341	2251	51	2	1
2014-03-25 06:23:22.056094	2252	19.0	1	1
2014-03-25 06:23:22.281298	2253	51	2	1
2014-03-25 06:23:32.804341	2254	289	3	2
2014-03-25 06:24:01.055654	2255	19.0	1	1
2014-03-25 06:24:01.2767	2256	51	2	1
2014-03-25 06:24:32.804344	2257	289	3	2
2014-03-25 06:24:40.058264	2258	19.0	1	1
2014-03-25 06:24:40.283391	2259	51	2	1
2014-03-25 06:25:19.058127	2260	19.0	1	1
2014-03-25 06:25:19.288891	2261	51	2	1
2014-03-25 06:25:32.806728	2262	305	3	2
2014-03-25 06:25:58.057973	2263	19.0	1	1
2014-03-25 06:25:58.280862	2264	51	2	1
2014-03-25 06:26:32.80502	2265	305	3	2
2014-03-25 06:26:37.055702	2266	19.0	1	1
2014-03-25 06:26:37.278703	2267	51	2	1
2014-03-25 06:26:56.806158	2268	354	3	2
2014-03-25 06:27:08.804773	2269	354	3	2
2014-03-25 06:27:16.055429	2270	19.0	1	1
2014-03-25 06:27:16.289666	2271	51	2	1
2014-03-25 06:27:32.805225	2272	354	3	2
2014-03-25 06:27:55.058125	2273	19.0	1	1
2014-03-25 06:27:55.290636	2274	51	2	1
2014-03-25 06:28:32.80563	2275	354	3	2
2014-03-25 06:28:34.053724	2276	19.0	1	1
2014-03-25 06:28:34.277697	2277	51	2	1
2014-03-25 06:29:13.055484	2278	19.0	1	1
2014-03-25 06:29:13.281846	2279	51	2	1
2014-03-25 06:29:32.806822	2280	354	3	2
2014-03-25 06:29:52.053811	2281	19.0	1	1
2014-03-25 06:29:52.278842	2282	51	2	1
2014-03-25 06:30:31.052765	2283	19.0	1	1
2014-03-25 06:30:31.274829	2284	51	2	1
2014-03-25 06:30:32.809385	2285	354	3	2
2014-03-25 06:31:10.056407	2286	19.0	1	1
2014-03-25 06:31:10.285466	2287	51	2	1
2014-03-25 06:31:32.805443	2288	354	3	2
2014-03-25 06:31:49.053768	2289	19.0	1	1
2014-03-25 06:31:49.277098	2290	51	2	1
2014-03-25 06:32:28.052526	2291	19.0	1	1
2014-03-25 06:32:28.276594	2292	51	2	1
2014-03-25 06:32:32.806229	2293	305	3	2
2014-03-25 06:32:44.803028	2294	305	3	2
2014-03-25 06:33:07.050461	2295	19.0	1	1
2014-03-25 06:33:07.282347	2296	51	2	1
2014-03-25 06:33:32.803708	2297	305	3	2
2014-03-25 06:33:46.052834	2298	19.0	1	1
2014-03-25 06:33:46.274575	2299	51	2	1
2014-03-25 06:34:25.047812	2300	19.0	1	1
2014-03-25 06:34:25.270933	2301	51	2	1
2014-03-25 06:34:32.804429	2302	305	3	2
2014-03-25 06:35:04.05029	2303	19.0	1	1
2014-03-25 06:35:04.273223	2304	51	2	1
2014-03-25 06:35:32.808548	2305	305	3	2
2014-03-25 06:35:43.051643	2306	19.0	1	1
2014-03-25 06:35:43.284933	2307	51	2	1
2014-03-25 06:36:22.049758	2308	19.0	1	1
2014-03-25 06:36:22.273515	2309	51	2	1
2014-03-25 06:36:32.803617	2310	305	3	2
2014-03-25 06:37:01.058218	2311	19.0	1	1
2014-03-25 06:37:01.283147	2312	51	2	1
2014-03-25 06:37:32.806853	2313	305	3	2
2014-03-25 06:37:40.048791	2314	19.0	1	1
2014-03-25 06:37:40.28523	2315	51	2	1
2014-03-25 06:38:19.047722	2316	19.0	1	1
2014-03-25 06:38:19.270619	2317	51	2	1
2014-03-25 06:38:32.80782	2318	305	3	2
2014-03-25 06:38:58.046678	2319	19.0	1	1
2014-03-25 06:38:58.270641	2320	51	2	1
2014-03-25 06:39:20.805154	2321	370	3	2
2014-03-25 06:39:32.802862	2322	370	3	2
2014-03-25 06:39:37.049402	2323	19.0	1	1
2014-03-25 06:39:37.27285	2324	51	2	1
2014-03-25 06:40:16.04509	2325	19.0	1	1
2014-03-25 06:40:16.289096	2326	51	2	1
2014-03-25 06:40:32.804093	2327	370	3	2
2014-03-25 06:40:55.045352	2328	19.0	1	1
2014-03-25 06:40:55.268913	2329	51	2	1
2014-03-25 06:41:32.80775	2330	354	3	2
2014-03-25 06:41:34.049782	2331	19.0	1	1
2014-03-25 06:41:34.273553	2332	51	2	1
2014-03-25 06:41:44.803445	2333	434	3	2
2014-03-25 06:41:56.804635	2334	434	3	2
2014-03-25 06:42:13.044759	2335	19.0	1	1
2014-03-25 06:42:13.269528	2336	51	2	1
2014-03-25 06:42:32.805454	2337	434	3	2
2014-03-25 06:42:52.047443	2338	19.0	1	1
2014-03-25 06:42:52.274827	2339	51	2	1
2014-03-25 06:43:31.041037	2340	19.0	1	1
2014-03-25 06:43:31.264647	2341	51	2	1
2014-03-25 06:43:32.807566	2342	434	3	2
2014-03-25 06:44:10.04373	2343	19.0	1	1
2014-03-25 06:44:10.267116	2344	51	2	1
2014-03-25 06:44:20.805874	2345	370	3	2
2014-03-25 06:44:32.805054	2346	370	3	2
2014-03-25 06:44:49.043931	2347	19.0	1	1
2014-03-25 06:44:49.26739	2348	51	2	1
2014-03-25 06:45:28.044643	2349	19.0	1	1
2014-03-25 06:45:28.269006	2350	51	2	1
2014-03-25 06:45:32.806436	2351	370	3	2
2014-03-25 06:46:07.043384	2352	19.0	1	1
2014-03-25 06:46:07.266742	2353	51	2	1
2014-03-25 06:46:32.80159	2354	370	3	2
2014-03-25 06:46:46.045397	2355	19.0	1	1
2014-03-25 06:46:46.269184	2356	51	2	1
2014-03-25 06:47:25.045328	2357	19.0	1	1
2014-03-25 06:47:25.276942	2358	51	2	1
2014-03-25 06:47:32.803124	2359	370	3	2
2014-03-25 06:48:32.806447	2360	370	3	2
2014-03-25 06:48:43.04405	2361	18.9	1	1
2014-03-25 06:48:43.280354	2362	52	2	1
2014-03-25 06:48:56.663722	2363	402	3	2
2014-03-25 06:48:56.973679	2364	354	3	2
2014-03-25 06:49:08.804806	2365	370	3	2
2014-03-25 06:49:20.80308	2366	402	3	2
2014-03-25 06:49:22.042321	2367	18.9	1	1
2014-03-25 06:49:22.265005	2368	52	2	1
2014-03-25 06:49:32.802927	2369	370	3	2
2014-03-25 06:49:44.803356	2370	354	3	2
2014-03-25 06:50:01.039323	2371	18.9	1	1
2014-03-25 06:50:01.457067	2372	52	2	1
2014-03-25 06:50:08.800827	2373	402	3	2
2014-03-25 06:50:20.801353	2374	370	3	2
2014-03-25 06:50:32.804075	2375	354	3	2
2014-03-25 06:50:40.038785	2376	18.9	1	1
2014-03-25 06:50:40.268258	2377	52	2	1
2014-03-25 06:50:44.802517	2378	418	3	2
2014-03-25 06:50:56.802512	2379	434	3	2
2014-03-25 06:51:19.037768	2380	18.9	1	1
2014-03-25 06:51:19.259486	2381	52	2	1
2014-03-25 06:51:32.814832	2382	434	3	2
2014-03-25 06:51:58.038486	2383	18.9	1	1
2014-03-25 06:51:58.271015	2384	52	2	1
2014-03-25 06:52:32.802374	2385	434	3	2
2014-03-25 06:52:37.041934	2386	18.9	1	1
2014-03-25 06:52:37.28267	2387	52	2	1
2014-03-25 06:53:16.04087	2388	18.9	1	1
2014-03-25 06:53:16.264139	2389	52	2	1
2014-03-25 06:53:32.803302	2390	434	3	2
2014-03-25 06:53:55.040922	2391	18.9	1	1
2014-03-25 06:53:55.26441	2392	52	2	1
2014-03-25 06:54:32.805271	2393	434	3	2
2014-03-25 06:54:34.039376	2394	18.9	1	1
2014-03-25 06:54:34.26057	2395	52	2	1
2014-03-25 06:55:13.039535	2396	18.9	1	1
2014-03-25 06:55:13.27937	2397	52	2	1
2014-03-25 06:55:32.804605	2398	434	3	2
2014-03-25 06:55:52.039891	2399	18.9	1	1
2014-03-25 06:55:52.260291	2400	52	2	1
2014-03-25 06:55:56.80171	2401	354	3	2
2014-03-25 06:56:08.803991	2402	370	3	2
2014-03-25 06:56:31.039756	2403	18.9	1	1
2014-03-25 06:56:31.269628	2404	52	2	1
2014-03-25 06:56:32.802428	2405	370	3	2
2014-03-25 06:56:44.806667	2406	289	3	2
2014-03-25 06:56:56.80693	2407	289	3	2
2014-03-25 06:57:10.038551	2408	18.9	1	1
2014-03-25 06:57:10.295136	2409	52	2	1
2014-03-25 06:57:32.799104	2410	305	3	2
2014-03-25 06:57:49.087931	2411	18.9	1	1
2014-03-25 06:57:49.488286	2412	52	2	1
2014-03-25 06:58:28.03865	2413	18.9	1	1
2014-03-25 06:58:28.266702	2414	52	2	1
2014-03-25 06:58:32.801243	2415	305	3	2
2014-03-25 06:58:56.804741	2416	338	3	2
2014-03-25 06:59:07.036668	2417	18.9	1	1
2014-03-25 06:59:07.259441	2418	52	2	1
2014-03-25 06:59:08.802477	2419	305	3	2
2014-03-25 06:59:20.800986	2420	305	3	2
2014-03-25 06:59:32.805055	2421	305	3	2
2014-03-25 06:59:46.038476	2422	18.9	1	1
2014-03-25 06:59:46.259112	2423	52	2	1
2014-03-25 07:00:25.111126	2424	18.9	1	1
2014-03-25 07:00:25.68235	2425	52	2	1
2014-03-25 07:00:32.80261	2426	305	3	2
2014-03-25 07:01:04.033585	2427	18.9	1	1
2014-03-25 07:01:04.263759	2428	52	2	1
2014-03-25 07:01:32.803638	2429	305	3	2
2014-03-25 07:01:43.036503	2430	18.9	1	1
2014-03-25 07:01:43.256341	2431	52	2	1
2014-03-25 07:02:22.032551	2432	18.9	1	1
2014-03-25 07:02:22.253968	2433	52	2	1
2014-03-25 07:02:32.806126	2434	370	3	2
2014-03-25 07:02:44.801369	2435	354	3	2
2014-03-25 07:03:01.035559	2436	18.9	1	1
2014-03-25 07:03:01.257223	2437	52	2	1
2014-03-25 07:03:32.802418	2438	354	3	2
2014-03-25 07:03:40.036937	2439	18.9	1	1
2014-03-25 07:03:40.268431	2440	52	2	1
2014-03-25 07:03:56.801998	2441	515	3	2
2014-03-25 07:04:08.803177	2442	515	3	2
2014-03-25 07:04:19.035146	2443	18.9	1	1
2014-03-25 07:04:19.270135	2444	52	2	1
2014-03-25 07:04:32.804048	2445	515	3	2
2014-03-25 07:04:58.038625	2446	18.9	1	1
2014-03-25 07:04:58.260632	2447	52	2	1
2014-03-25 07:05:37.032724	2448	18.9	1	1
2014-03-25 07:05:37.255158	2449	52	2	1
2014-03-25 07:06:16.032583	2450	18.9	1	1
2014-03-25 07:06:16.263306	2451	52	2	1
2014-03-25 07:06:55.088608	2452	18.9	1	1
2014-03-25 07:06:55.31199	2453	52	2	1
2014-03-25 07:07:32.802552	2454	515	3	2
2014-03-25 07:07:34.031825	2455	18.9	1	1
2014-03-25 07:07:34.253032	2456	52	2	1
2014-03-25 07:07:44.801573	2457	450	3	2
2014-03-25 07:07:56.799699	2458	450	3	2
2014-03-25 07:08:13.032748	2459	18.9	1	1
2014-03-25 07:08:13.254713	2460	52	2	1
2014-03-25 07:08:52.034151	2461	18.9	1	1
2014-03-25 07:08:52.266387	2462	52	2	1
2014-03-25 07:09:31.034801	2463	18.9	1	1
2014-03-25 07:09:31.258478	2464	52	2	1
2014-03-25 07:09:32.798776	2465	466	3	2
2014-03-25 07:10:10.03253	2466	18.9	1	1
2014-03-25 07:10:10.255882	2467	52	2	1
2014-03-25 07:10:32.796458	2468	450	3	2
2014-03-25 07:10:49.03035	2469	18.9	1	1
2014-03-25 07:10:49.252018	2470	52	2	1
2014-03-25 07:11:28.029323	2471	18.9	1	1
2014-03-25 07:11:28.251406	2472	52	2	1
2014-03-25 07:11:32.802296	2473	450	3	2
2014-03-25 07:12:07.029155	2474	18.9	1	1
2014-03-25 07:12:07.250601	2475	52	2	1
2014-03-25 07:12:32.802943	2476	450	3	2
2014-03-25 07:12:46.028894	2477	18.9	1	1
2014-03-25 07:12:46.251902	2478	52	2	1
2014-03-25 07:13:25.03215	2479	18.9	1	1
2014-03-25 07:13:25.319422	2480	52	2	1
2014-03-25 07:13:32.800213	2481	450	3	2
2014-03-25 07:14:04.028026	2482	18.9	1	1
2014-03-25 07:14:04.248527	2483	52	2	1
2014-03-25 07:14:20.796824	2484	498	3	2
2014-03-25 07:14:42.832774	2485	434	3	2
2014-03-25 07:14:43.141956	2486	18.9	1	1
2014-03-25 07:14:43.372993	2487	52	2	1
2014-03-25 07:14:44.8021	2488	450	3	2
2014-03-25 07:15:22.027837	2489	18.9	1	1
2014-03-25 07:15:22.260111	2490	52	2	1
2014-03-25 07:16:01.027535	2491	18.9	1	1
2014-03-25 07:16:01.249133	2492	52	2	1
2014-03-25 07:16:40.026151	2493	18.9	1	1
2014-03-25 07:16:40.257977	2494	52	2	1
2014-03-25 07:17:19.02362	2495	18.9	1	1
2014-03-25 07:17:19.247633	2496	52	2	1
2014-03-25 07:17:58.026044	2497	18.9	1	1
2014-03-25 07:17:58.270552	2498	52	2	1
2014-03-25 07:18:37.027856	2499	18.9	1	1
2014-03-25 07:18:37.248905	2500	52	2	1
2014-03-25 07:19:16.033489	2501	18.9	1	1
2014-03-25 07:19:16.264858	2502	52	2	1
2014-03-25 07:19:32.796142	2503	418	3	2
2014-03-25 07:19:55.024924	2504	18.9	1	1
2014-03-25 07:19:55.24881	2505	52	2	1
2014-03-25 07:20:32.799029	2506	418	3	2
2014-03-25 07:20:34.02334	2507	18.9	1	1
2014-03-25 07:20:34.244774	2508	52	2	1
2014-03-25 07:21:13.025627	2509	18.9	1	1
2014-03-25 07:21:13.246966	2510	52	2	1
2014-03-25 07:21:32.803879	2511	418	3	2
2014-03-25 07:21:52.028665	2512	18.9	1	1
2014-03-25 07:21:52.259922	2513	52	2	1
2014-03-25 07:22:08.798485	2514	466	3	2
2014-03-25 07:22:20.801343	2515	434	3	2
2014-03-25 07:22:31.022829	2516	18.9	1	1
2014-03-25 07:22:31.255627	2517	52	2	1
2014-03-25 07:22:32.799244	2518	434	3	2
2014-03-25 07:23:10.02481	2519	18.9	1	1
2014-03-25 07:23:10.247307	2520	52	2	1
2014-03-25 07:23:32.799869	2521	434	3	2
2014-03-25 07:23:49.023569	2522	18.9	1	1
2014-03-25 07:23:49.24585	2523	52	2	1
2014-03-25 07:24:28.022885	2524	18.9	1	1
2014-03-25 07:24:28.246737	2525	52	2	1
2014-03-25 07:25:07.024472	2526	18.9	1	1
2014-03-25 07:25:07.24671	2527	52	2	1
2014-03-25 07:25:20.804966	2528	338	3	2
2014-03-25 07:25:32.803887	2529	402	3	2
2014-03-25 07:25:44.805552	2530	402	3	2
2014-03-25 07:25:46.02334	2531	18.9	1	1
2014-03-25 07:25:46.245919	2532	52	2	1
2014-03-25 07:26:25.01968	2533	18.9	1	1
2014-03-25 07:26:25.253925	2534	52	2	1
2014-03-25 07:26:32.800945	2535	402	3	2
2014-03-25 07:27:04.019204	2536	18.9	1	1
2014-03-25 07:27:04.24157	2537	52	2	1
2014-03-25 07:27:32.804511	2538	402	3	2
2014-03-25 07:27:43.021845	2539	18.9	1	1
2014-03-25 07:27:43.246456	2540	52	2	1
2014-03-25 07:28:22.017974	2541	18.9	1	1
2014-03-25 07:28:22.248114	2542	52	2	1
2014-03-25 07:28:56.80504	2543	498	3	2
2014-03-25 07:29:01.022442	2544	18.9	1	1
2014-03-25 07:29:01.256867	2545	52	2	1
2014-03-25 07:29:32.804484	2546	498	3	2
2014-03-25 07:29:40.021688	2547	18.9	1	1
2014-03-25 07:29:40.243527	2548	52	2	1
2014-03-25 07:30:08.8043	2549	627	3	2
2014-03-25 07:30:19.022403	2550	18.9	1	1
2014-03-25 07:30:19.245356	2551	52	2	1
2014-03-25 07:30:20.802654	2552	627	3	2
2014-03-25 07:30:32.803168	2553	627	3	2
2014-03-25 07:30:44.805882	2554	579	3	2
2014-03-25 07:30:57.824225	2555	579	3	2
2014-03-25 07:30:58.141395	2556	18.9	1	1
2014-03-25 07:30:58.363111	2557	52	2	1
2014-03-25 07:31:32.805621	2558	579	3	2
2014-03-25 07:31:37.02022	2559	18.9	1	1
2014-03-25 07:31:37.25273	2560	52	2	1
2014-03-25 07:31:56.805677	2561	547	3	2
2014-03-25 07:32:08.80355	2562	547	3	2
2014-03-25 07:32:16.019273	2563	18.9	1	1
2014-03-25 07:32:16.253304	2564	52	2	1
2014-03-25 07:32:32.805856	2565	547	3	2
2014-03-25 07:32:55.018852	2566	18.9	1	1
2014-03-25 07:32:55.242172	2567	52	2	1
2014-03-25 07:33:32.810266	2568	579	3	2
2014-03-25 07:33:34.016773	2569	18.9	1	1
2014-03-25 07:33:34.237004	2570	52	2	1
2014-03-25 07:33:44.803279	2571	547	3	2
2014-03-25 07:33:56.803379	2572	547	3	2
2014-03-25 07:34:13.018715	2573	19.0	1	1
2014-03-25 07:34:13.250043	2574	51	2	1
2014-03-25 07:34:20.805089	2575	627	3	2
2014-03-25 07:34:32.809734	2576	627	3	2
2014-03-25 07:34:52.018693	2577	19.0	1	1
2014-03-25 07:34:52.251058	2578	51	2	1
2014-03-25 07:35:31.025246	2579	19.0	1	1
2014-03-25 07:35:31.247678	2580	51	2	1
2014-03-25 07:35:32.806167	2581	611	3	2
2014-03-25 07:36:10.019512	2582	19.0	1	1
2014-03-25 07:36:10.243474	2583	51	2	1
2014-03-25 07:36:20.805269	2584	2382	3	2
2014-03-25 07:36:32.802707	2585	2398	3	2
2014-03-25 07:36:49.017084	2586	19.0	1	1
2014-03-25 07:36:49.240308	2587	51	2	1
2014-03-25 07:37:08.802252	2588	2849	3	2
2014-03-25 07:37:20.801962	2589	2607	3	2
2014-03-25 07:37:28.014988	2590	19.0	1	1
2014-03-25 07:37:28.248408	2591	51	2	1
2014-03-25 07:37:32.80225	2592	2269	3	2
2014-03-25 07:37:44.804093	2593	2382	3	2
2014-03-25 07:37:56.806653	2594	2382	3	2
2014-03-25 07:38:07.012598	2595	19.0	1	1
2014-03-25 07:38:07.243354	2596	52	2	1
2014-03-25 07:38:32.8014	2597	2398	3	2
2014-03-25 07:38:46.014583	2598	19.0	1	1
2014-03-25 07:38:46.237035	2599	52	2	1
2014-03-25 07:39:25.013996	2600	19.0	1	1
2014-03-25 07:39:25.237615	2601	52	2	1
2014-03-25 07:39:32.8056	2602	2414	3	2
2014-03-25 07:40:04.010876	2603	19.0	1	1
2014-03-25 07:40:04.242748	2604	52	2	1
2014-03-25 07:40:08.803833	2605	2591	3	2
2014-03-25 07:40:20.801794	2606	2575	3	2
2014-03-25 07:40:32.808749	2607	2720	3	2
2014-03-25 07:40:43.013653	2608	19.0	1	1
2014-03-25 07:40:43.236263	2609	52	2	1
2014-03-25 07:40:44.80133	2610	2720	3	2
2014-03-25 07:41:08.806385	2611	2511	3	2
2014-03-25 07:41:20.804831	2612	2398	3	2
2014-03-25 07:41:22.010413	2613	19.1	1	1
2014-03-25 07:41:22.245027	2614	52	2	1
2014-03-25 07:41:32.804817	2615	2382	3	2
2014-03-25 07:42:01.012507	2616	19.1	1	1
2014-03-25 07:42:01.243831	2617	52	2	1
2014-03-25 07:42:08.797706	2618	611	3	2
2014-03-25 07:42:20.795996	2619	627	3	2
2014-03-25 07:42:32.800065	2620	611	3	2
2014-03-25 07:42:40.011663	2621	19.1	1	1
2014-03-25 07:42:40.234695	2622	52	2	1
2014-03-25 07:42:56.797618	2623	547	3	2
2014-03-25 07:43:08.801083	2624	547	3	2
2014-03-25 07:43:19.012672	2625	19.1	1	1
2014-03-25 07:43:19.236036	2626	52	2	1
2014-03-25 07:43:32.796066	2627	547	3	2
2014-03-25 07:43:44.796454	2628	579	3	2
2014-03-25 07:43:58.011725	2629	19.1	1	1
2014-03-25 07:43:58.23312	2630	52	2	1
2014-03-25 07:44:08.795508	2631	579	3	2
2014-03-25 07:44:20.802679	2632	547	3	2
2014-03-25 07:44:32.797896	2633	547	3	2
2014-03-25 07:44:37.010698	2634	19.1	1	1
2014-03-25 07:44:37.240746	2635	52	2	1
2014-03-25 07:45:16.010572	2636	19.1	1	1
2014-03-25 07:45:16.231684	2637	52	2	1
2014-03-25 07:45:32.804276	2638	547	3	2
2014-03-25 07:45:55.014642	2639	19.2	1	1
2014-03-25 07:45:55.237983	2640	52	2	1
2014-03-25 07:46:32.797778	2641	579	3	2
2014-03-25 07:46:34.006729	2642	19.2	1	1
2014-03-25 07:46:34.228222	2643	52	2	1
2014-03-25 07:46:44.803789	2644	547	3	2
2014-03-25 07:46:56.800133	2645	547	3	2
2014-03-25 07:47:13.007198	2646	19.2	1	1
2014-03-25 07:47:13.232476	2647	52	2	1
2014-03-25 07:47:32.803722	2648	547	3	2
2014-03-25 07:47:52.007883	2649	19.2	1	1
2014-03-25 07:47:52.233691	2650	52	2	1
2014-03-25 07:48:08.803528	2651	515	3	2
2014-03-25 07:48:20.79913	2652	547	3	2
2014-03-25 07:48:31.004633	2653	19.2	1	1
2014-03-25 07:48:31.226403	2654	52	2	1
2014-03-25 07:48:32.799534	2655	547	3	2
2014-03-25 07:48:44.799287	2656	579	3	2
2014-03-25 07:48:56.802525	2657	547	3	2
2014-03-25 07:49:08.798758	2658	547	3	2
2014-03-25 07:49:10.006492	2659	19.3	1	1
2014-03-25 07:49:10.226888	2660	52	2	1
2014-03-25 07:49:20.796861	2661	611	3	2
2014-03-25 07:49:32.800827	2662	611	3	2
2014-03-25 07:49:49.009822	2663	19.3	1	1
2014-03-25 07:49:49.240628	2664	52	2	1
2014-03-25 07:50:28.008465	2665	19.3	1	1
2014-03-25 07:50:28.231098	2666	52	2	1
2014-03-25 07:50:32.800706	2667	611	3	2
2014-03-25 07:51:07.003203	2668	19.3	1	1
2014-03-25 07:51:07.223866	2669	52	2	1
2014-03-25 07:51:32.794414	2670	611	3	2
2014-03-25 07:51:46.010332	2671	19.3	1	1
2014-03-25 07:51:46.232825	2672	52	2	1
2014-03-25 07:52:25.015915	2673	19.3	1	1
2014-03-25 07:52:25.988483	2674	52	2	1
2014-03-25 07:52:44.658138	2675	627	3	2
2014-03-25 07:52:44.96551	2676	531	3	2
2014-03-25 07:52:56.800592	2677	531	3	2
2014-03-25 07:53:04.006149	2678	19.3	1	1
2014-03-25 07:53:04.228767	2679	52	2	1
2014-03-25 07:53:32.803261	2680	531	3	2
2014-03-25 07:53:43.004916	2681	19.3	1	1
2014-03-25 07:53:43.237217	2682	52	2	1
2014-03-25 07:54:08.800439	2683	434	3	2
2014-03-25 07:54:20.800313	2684	418	3	2
2014-03-25 07:54:22.008224	2685	19.3	1	1
2014-03-25 07:54:22.241199	2686	52	2	1
2014-03-25 07:54:32.800839	2687	434	3	2
2014-03-25 07:54:56.803136	2688	370	3	2
2014-03-25 07:55:01.002934	2689	19.3	1	1
2014-03-25 07:55:01.23412	2690	52	2	1
2014-03-25 07:55:08.799454	2691	450	3	2
2014-03-25 07:55:20.801878	2692	434	3	2
2014-03-25 07:55:32.799796	2693	434	3	2
2014-03-25 07:55:40.004345	2694	19.3	1	1
2014-03-25 07:55:40.226556	2695	52	2	1
2014-03-25 07:56:19.004506	2696	19.3	1	1
2014-03-25 07:56:19.226889	2697	52	2	1
2014-03-25 07:56:32.803758	2698	434	3	2
2014-03-25 07:56:58.004972	2699	19.3	1	1
2014-03-25 07:56:58.226823	2700	52	2	1
2014-03-25 07:57:08.800823	2701	370	3	2
2014-03-25 07:57:20.803508	2702	370	3	2
2014-03-25 07:57:32.801716	2703	370	3	2
2014-03-25 07:57:37.000409	2704	19.3	1	1
2014-03-25 07:57:37.2452	2705	52	2	1
2014-03-25 07:58:16.004434	2706	19.4	1	1
2014-03-25 07:58:16.227471	2707	52	2	1
2014-03-25 07:58:32.802233	2708	354	3	2
2014-03-25 07:58:55.004967	2709	19.4	1	1
2014-03-25 07:58:55.226959	2710	52	2	1
2014-03-25 07:59:34.000045	2711	19.4	1	1
2014-03-25 07:59:34.240102	2712	52	2	1
2014-03-25 08:00:08.800716	2713	482	3	2
2014-03-25 08:00:13.239106	2714	19.4	1	1
2014-03-25 08:00:13.461148	2715	52	2	1
2014-03-25 08:00:20.792412	2716	354	3	2
2014-03-25 08:00:32.802475	2717	354	3	2
2014-03-25 08:00:44.795437	2718	498	3	2
2014-03-25 08:00:52.001704	2719	19.4	1	1
2014-03-25 08:00:52.223734	2720	52	2	1
2014-03-25 08:00:56.852564	2721	498	3	2
2014-03-25 08:01:31.001721	2722	19.4	1	1
2014-03-25 08:01:31.225246	2723	52	2	1
2014-03-25 08:01:44.656969	2724	547	3	2
2014-03-25 08:01:44.967728	2725	547	3	2
2014-03-25 08:02:10.005401	2726	19.5	1	1
2014-03-25 08:02:10.227981	2727	52	2	1
2014-03-25 08:02:32.799599	2728	531	3	2
2014-03-25 08:02:49.002631	2729	19.5	1	1
2014-03-25 08:02:49.224174	2730	52	2	1
2014-03-25 08:03:27.999192	2731	19.5	1	1
2014-03-25 08:03:28.22385	2732	52	2	1
2014-03-25 08:03:32.80052	2733	531	3	2
2014-03-25 08:04:07.002661	2734	19.5	1	1
2014-03-25 08:04:07.227167	2735	52	2	1
2014-03-25 08:04:32.799739	2736	515	3	2
2014-03-25 08:04:46.002735	2737	19.6	1	1
2014-03-25 08:04:46.227441	2738	52	2	1
2014-03-25 08:04:56.821951	2739	402	3	2
2014-03-25 08:05:24.805978	2740	402	3	2
2014-03-25 08:05:25.115481	2741	19.6	1	1
2014-03-25 08:05:25.348543	2742	52	2	1
2014-03-25 08:05:32.800184	2743	402	3	2
2014-03-25 08:06:03.999129	2744	19.6	1	1
2014-03-25 08:06:04.223624	2745	52	2	1
2014-03-25 08:06:32.802778	2746	402	3	2
2014-03-25 08:06:42.996748	2747	19.7	1	1
2014-03-25 08:06:43.219554	2748	52	2	1
2014-03-25 08:07:08.796764	2749	338	3	2
2014-03-25 08:07:20.800527	2750	338	3	2
2014-03-25 08:07:21.999057	2751	19.7	1	1
2014-03-25 08:07:22.24069	2752	52	2	1
2014-03-25 08:07:32.80097	2753	338	3	2
2014-03-25 08:08:00.997079	2754	19.7	1	1
2014-03-25 08:08:01.220753	2755	52	2	1
2014-03-25 08:08:32.799969	2756	338	3	2
2014-03-25 08:08:39.995966	2757	19.8	1	1
2014-03-25 08:08:40.219882	2758	52	2	1
2014-03-25 08:09:18.994121	2759	19.8	1	1
2014-03-25 08:09:19.220286	2760	52	2	1
2014-03-25 08:09:32.798966	2761	338	3	2
2014-03-25 08:09:57.995587	2762	19.8	1	1
2014-03-25 08:09:58.216705	2763	53	2	1
2014-03-25 08:10:32.795615	2764	338	3	2
2014-03-25 08:10:36.996686	2765	19.9	1	1
2014-03-25 08:10:37.236325	2766	53	2	1
2014-03-25 08:11:15.996796	2767	19.9	1	1
2014-03-25 08:11:16.219548	2768	53	2	1
2014-03-25 08:11:32.800554	2769	338	3	2
2014-03-25 08:11:54.997953	2770	19.9	1	1
2014-03-25 08:11:55.221273	2771	53	2	1
2014-03-25 08:12:32.800557	2772	338	3	2
2014-03-25 08:12:33.993696	2773	20.0	1	1
2014-03-25 08:12:34.2266	2774	52	2	1
2014-03-25 08:13:12.996432	2775	20.0	1	1
2014-03-25 08:13:13.220982	2776	52	2	1
2014-03-25 08:13:32.8009	2777	338	3	2
2014-03-25 08:13:44.793677	2778	402	3	2
2014-03-25 08:13:51.994394	2779	20.0	1	1
2014-03-25 08:13:52.21817	2780	52	2	1
2014-03-25 08:13:56.800057	2781	402	3	2
2014-03-25 08:14:30.994918	2782	20.1	1	1
2014-03-25 08:14:31.220779	2783	52	2	1
2014-03-25 08:14:32.797069	2784	370	3	2
2014-03-25 08:14:44.798562	2785	370	3	2
2014-03-25 08:15:08.799584	2786	402	3	2
2014-03-25 08:15:09.991713	2787	20.1	1	1
2014-03-25 08:15:10.225918	2788	52	2	1
2014-03-25 08:15:20.794555	2789	370	3	2
2014-03-25 08:15:32.798808	2790	402	3	2
2014-03-25 08:15:44.794903	2791	402	3	2
2014-03-25 08:15:48.994223	2792	20.1	1	1
2014-03-25 08:15:49.216323	2793	52	2	1
2014-03-25 08:16:27.994305	2794	20.1	1	1
2014-03-25 08:16:28.217074	2795	52	2	1
2014-03-25 08:16:32.799028	2796	402	3	2
2014-03-25 08:17:06.993069	2797	20.2	1	1
2014-03-25 08:17:07.217117	2798	52	2	1
2014-03-25 08:17:32.802082	2799	402	3	2
2014-03-25 08:17:45.990646	2800	20.2	1	1
2014-03-25 08:17:46.214301	2801	52	2	1
2014-03-25 08:18:24.992335	2802	20.2	1	1
2014-03-25 08:18:25.21531	2803	52	2	1
2014-03-25 08:18:32.799689	2804	402	3	2
2014-03-25 08:18:56.800857	2805	338	3	2
2014-03-25 08:19:03.992339	2806	20.2	1	1
2014-03-25 08:19:04.21694	2807	52	2	1
2014-03-25 08:19:08.801667	2808	338	3	2
2014-03-25 08:19:42.797533	2809	338	3	2
2014-03-25 08:19:43.105952	2810	20.3	1	1
2014-03-25 08:19:43.347571	2811	52	2	1
2014-03-25 08:20:21.990926	2812	20.3	1	1
2014-03-25 08:20:22.214317	2813	52	2	1
2014-03-25 08:20:32.797903	2814	338	3	2
2014-03-25 08:21:00.995401	2815	20.3	1	1
2014-03-25 08:21:01.219027	2816	52	2	1
2014-03-25 08:21:32.797125	2817	338	3	2
2014-03-25 08:21:39.991268	2818	20.3	1	1
2014-03-25 08:21:40.215888	2819	52	2	1
2014-03-25 08:22:18.990365	2820	20.4	1	1
2014-03-25 08:22:19.222411	2821	52	2	1
2014-03-25 08:22:32.801943	2822	338	3	2
2014-03-25 08:22:57.990356	2823	20.4	1	1
2014-03-25 08:22:58.21453	2824	52	2	1
2014-03-25 08:23:08.803569	2825	305	3	2
2014-03-25 08:23:20.800275	2826	305	3	2
2014-03-25 08:23:32.800096	2827	305	3	2
2014-03-25 08:23:36.990153	2828	20.4	1	1
2014-03-25 08:23:37.212985	2829	52	2	1
2014-03-25 08:24:15.992011	2830	20.4	1	1
2014-03-25 08:24:16.227398	2831	52	2	1
2014-03-25 08:24:32.798965	2832	305	3	2
2014-03-25 08:24:54.992649	2833	20.4	1	1
2014-03-25 08:24:55.237796	2834	52	2	1
2014-03-25 08:25:20.795838	2835	370	3	2
2014-03-25 08:25:32.797742	2836	370	3	2
2014-03-25 08:25:33.996264	2837	20.4	1	1
2014-03-25 08:25:34.230905	2838	52	2	1
2014-03-25 08:26:12.990016	2839	20.4	1	1
2014-03-25 08:26:13.213134	2840	52	2	1
2014-03-25 08:26:32.797514	2841	370	3	2
2014-03-25 08:26:51.984127	2842	20.5	1	1
2014-03-25 08:26:52.20532	2843	52	2	1
2014-03-25 08:27:08.795531	2844	515	3	2
2014-03-25 08:27:20.797694	2845	466	3	2
2014-03-25 08:27:30.985153	2846	20.5	1	1
2014-03-25 08:27:31.207473	2847	52	2	1
2014-03-25 08:27:32.797724	2848	466	3	2
2014-03-25 08:28:09.989046	2849	20.5	1	1
2014-03-25 08:28:10.214123	2850	52	2	1
2014-03-25 08:28:32.796947	2851	466	3	2
2014-03-25 08:28:48.984126	2852	20.5	1	1
2014-03-25 08:28:49.205853	2853	52	2	1
2014-03-25 08:29:27.988053	2854	20.5	1	1
2014-03-25 08:29:28.221365	2855	52	2	1
2014-03-25 08:29:32.795686	2856	482	3	2
2014-03-25 08:30:06.986495	2857	20.5	1	1
2014-03-25 08:30:07.209849	2858	52	2	1
2014-03-25 08:30:08.795971	2859	418	3	2
2014-03-25 08:30:32.654824	2860	418	3	2
2014-03-25 08:30:32.969934	2861	418	3	2
2014-03-25 08:30:45.988853	2862	20.5	1	1
2014-03-25 08:30:46.21789	2863	52	2	1
2014-03-25 08:31:08.800202	2864	1625	3	2
2014-03-25 08:31:24.791738	2865	1625	3	2
2014-03-25 08:31:25.102042	2866	20.5	1	1
2014-03-25 08:31:25.327245	2867	52	2	1
2014-03-25 08:31:32.800104	2868	4329	3	2
2014-03-25 08:31:44.798018	2869	4313	3	2
2014-03-25 08:32:03.986727	2870	20.5	1	1
2014-03-25 08:32:04.209657	2871	52	2	1
2014-03-25 08:32:08.798252	2872	4281	3	2
2014-03-25 08:32:20.798219	2873	3138	3	2
2014-03-25 08:32:32.798827	2874	3171	3	2
2014-03-25 08:32:42.982898	2875	20.5	1	1
2014-03-25 08:32:43.229642	2876	52	2	1
2014-03-25 08:32:44.797055	2877	4297	3	2
2014-03-25 08:32:56.800261	2878	3138	3	2
2014-03-25 08:33:08.800371	2879	3138	3	2
2014-03-25 08:33:21.983178	2880	20.5	1	1
2014-03-25 08:33:22.208808	2881	52	2	1
2014-03-25 08:33:32.795072	2882	3154	3	2
2014-03-25 08:33:44.79874	2883	4297	3	2
2014-03-25 08:33:56.797297	2884	3154	3	2
2014-03-25 08:34:00.985649	2885	20.5	1	1
2014-03-25 08:34:01.208784	2886	52	2	1
2014-03-25 08:34:08.79847	2887	3171	3	2
2014-03-25 08:34:32.793089	2888	3219	3	2
2014-03-25 08:34:39.979992	2889	20.5	1	1
2014-03-25 08:34:40.212936	2890	52	2	1
2014-03-25 08:34:44.796467	2891	3235	3	2
2014-03-25 08:35:08.792303	2892	659	3	2
2014-03-25 08:35:18.982461	2893	20.5	1	1
2014-03-25 08:35:19.217994	2894	52	2	1
2014-03-25 08:35:20.796	2895	1835	3	2
2014-03-25 08:35:32.798484	2896	676	3	2
2014-03-25 08:35:44.797454	2897	643	3	2
2014-03-25 08:35:56.796711	2898	676	3	2
2014-03-25 08:35:57.990684	2899	20.5	1	1
2014-03-25 08:35:58.215893	2900	52	2	1
2014-03-25 08:36:08.795755	2901	676	3	2
2014-03-25 08:36:32.800339	2902	724	3	2
2014-03-25 08:36:36.981955	2903	20.5	1	1
2014-03-25 08:36:37.204094	2904	52	2	1
2014-03-25 08:36:44.797205	2905	724	3	2
2014-03-25 08:37:15.984762	2906	20.5	1	1
2014-03-25 08:37:16.207321	2907	52	2	1
2014-03-25 08:37:32.79597	2908	1931	3	2
2014-03-25 08:37:44.794241	2909	724	3	2
2014-03-25 08:37:54.978868	2910	20.5	1	1
2014-03-25 08:37:55.202962	2911	52	2	1
2014-03-25 08:37:56.794652	2912	708	3	2
2014-03-25 08:38:32.796578	2913	708	3	2
2014-03-25 08:38:33.984148	2914	20.5	1	1
2014-03-25 08:38:34.205719	2915	52	2	1
2014-03-25 08:39:12.983947	2916	20.5	1	1
2014-03-25 08:39:13.217133	2917	52	2	1
2014-03-25 08:39:32.799317	2918	708	3	2
2014-03-25 08:39:51.987533	2919	20.5	1	1
2014-03-25 08:39:52.211957	2920	52	2	1
2014-03-25 08:40:30.982056	2921	20.6	1	1
2014-03-25 08:40:31.205189	2922	52	2	1
2014-03-25 08:40:32.801147	2923	724	3	2
2014-03-25 08:40:44.797761	2924	659	3	2
2014-03-25 08:40:56.799143	2925	643	3	2
2014-03-25 08:41:09.982928	2926	20.6	1	1
2014-03-25 08:41:10.208172	2927	52	2	1
2014-03-25 08:41:32.798195	2928	643	3	2
2014-03-25 08:41:48.983464	2929	20.6	1	1
2014-03-25 08:41:49.204844	2930	52	2	1
2014-03-25 08:42:08.800769	2931	595	3	2
2014-03-25 08:42:20.795893	2932	611	3	2
2014-03-25 08:42:28.040705	2933	20.6	1	1
2014-03-25 08:42:28.264253	2934	52	2	1
2014-03-25 08:42:32.801973	2935	595	3	2
2014-03-25 08:43:06.980584	2936	20.6	1	1
2014-03-25 08:43:07.215824	2937	52	2	1
2014-03-25 08:43:32.796704	2938	595	3	2
2014-03-25 08:43:45.979766	2939	20.6	1	1
2014-03-25 08:43:46.204121	2940	52	2	1
2014-03-25 08:44:08.799885	2941	482	3	2
2014-03-25 08:44:20.796608	2942	482	3	2
2014-03-25 08:44:24.977975	2943	20.6	1	1
2014-03-25 08:44:25.210051	2944	52	2	1
2014-03-25 08:44:32.797425	2945	498	3	2
2014-03-25 08:45:03.984234	2946	20.6	1	1
2014-03-25 08:45:04.20744	2947	52	2	1
2014-03-25 08:45:08.797111	2948	1625	3	2
2014-03-25 08:45:20.798451	2949	482	3	2
2014-03-25 08:45:32.795523	2950	482	3	2
2014-03-25 08:45:42.978214	2951	20.6	1	1
2014-03-25 08:45:43.200711	2952	52	2	1
2014-03-25 08:46:21.979758	2953	20.6	1	1
2014-03-25 08:46:22.214217	2954	52	2	1
2014-03-25 08:46:32.795416	2955	466	3	2
2014-03-25 08:47:00.979452	2956	20.6	1	1
2014-03-25 08:47:01.204237	2957	52	2	1
2014-03-25 08:47:32.797201	2958	450	3	2
2014-03-25 08:47:39.980139	2959	20.6	1	1
2014-03-25 08:47:40.205039	2960	52	2	1
2014-03-25 08:48:18.98181	2961	20.6	1	1
2014-03-25 08:48:19.216846	2962	52	2	1
2014-03-25 08:48:32.793987	2963	498	3	2
2014-03-25 08:48:44.797844	2964	498	3	2
2014-03-25 08:48:56.805114	2965	531	3	2
2014-03-25 08:48:57.972086	2966	20.6	1	1
2014-03-25 08:48:58.199165	2967	52	2	1
2014-03-25 08:49:08.795607	2968	531	3	2
2014-03-25 08:49:32.801577	2969	498	3	2
2014-03-25 08:49:36.974788	2970	20.6	1	1
2014-03-25 08:49:37.199609	2971	52	2	1
2014-03-25 08:49:44.797253	2972	1641	3	2
2014-03-25 08:50:08.652579	2973	482	3	2
2014-03-25 08:50:08.96356	2974	498	3	2
2014-03-25 08:50:15.975293	2975	20.6	1	1
2014-03-25 08:50:16.207343	2976	52	2	1
2014-03-25 08:50:32.796044	2977	498	3	2
2014-03-25 08:50:54.977853	2978	20.6	1	1
2014-03-25 08:50:55.200199	2979	52	2	1
2014-03-25 08:51:32.793543	2980	515	3	2
2014-03-25 08:51:33.978231	2981	20.6	1	1
2014-03-25 08:51:34.204041	2982	52	2	1
2014-03-25 08:52:12.975139	2983	20.6	1	1
2014-03-25 08:52:13.209703	2984	52	2	1
2014-03-25 08:52:20.796273	2985	482	3	2
2014-03-25 08:52:32.79848	2986	498	3	2
2014-03-25 08:52:51.973729	2987	20.6	1	1
2014-03-25 08:52:52.212104	2988	52	2	1
2014-03-25 08:53:30.97555	2989	20.6	1	1
2014-03-25 08:53:31.200872	2990	52	2	1
2014-03-25 08:53:32.79577	2991	515	3	2
2014-03-25 08:54:09.96997	2992	20.6	1	1
2014-03-25 08:54:10.193936	2993	52	2	1
2014-03-25 08:54:20.797614	2994	450	3	2
2014-03-25 08:54:32.796032	2995	450	3	2
2014-03-25 08:54:48.972901	2996	20.6	1	1
2014-03-25 08:54:49.197023	2997	52	2	1
2014-03-25 08:55:20.797376	2998	1609	3	2
2014-03-25 08:55:27.972509	2999	20.6	1	1
2014-03-25 08:55:28.485999	3000	52	2	1
2014-03-25 08:55:32.796606	3001	450	3	2
2014-03-25 08:55:44.794953	3002	450	3	2
2014-03-25 08:56:06.973555	3003	20.6	1	1
2014-03-25 08:56:07.243832	3004	52	2	1
2014-03-25 08:56:32.7957	3005	450	3	2
2014-03-25 08:56:45.972106	3006	20.6	1	1
2014-03-25 08:56:46.19703	3007	52	2	1
2014-03-25 08:57:24.970799	3008	20.6	1	1
2014-03-25 08:57:25.196492	3009	52	2	1
2014-03-25 08:57:32.793846	3010	466	3	2
2014-03-25 08:58:03.977194	3011	20.6	1	1
2014-03-25 08:58:04.219428	3012	52	2	1
2014-03-25 08:58:32.794925	3013	450	3	2
2014-03-25 08:58:42.9709	3014	20.6	1	1
2014-03-25 08:58:43.194956	3015	52	2	1
2014-03-25 08:59:21.971218	3016	20.6	1	1
2014-03-25 08:59:22.195116	3017	52	2	1
2014-03-25 08:59:32.793011	3018	547	3	2
2014-03-25 08:59:44.795753	3019	676	3	2
2014-03-25 08:59:56.795974	3020	659	3	2
2014-03-25 09:00:00.970798	3021	20.6	1	1
2014-03-25 09:00:01.206802	3022	52	2	1
2014-03-25 09:00:08.796491	3023	579	3	2
2014-03-25 09:00:20.796714	3024	547	3	2
2014-03-25 09:00:32.795674	3025	4378	3	2
2014-03-25 09:00:39.970428	3026	20.6	1	1
2014-03-25 09:00:40.193013	3027	52	2	1
2014-03-25 09:00:44.800479	3028	3348	3	2
2014-03-25 09:00:56.796385	3029	3171	3	2
2014-03-25 09:01:08.79627	3030	4329	3	2
2014-03-25 09:01:18.973984	3031	20.6	1	1
2014-03-25 09:01:19.206114	3032	52	2	1
2014-03-25 09:01:20.796055	3033	3154	3	2
2014-03-25 09:01:44.654105	3034	627	3	2
2014-03-25 09:01:44.966464	3035	611	3	2
2014-03-25 09:01:56.79498	3036	659	3	2
2014-03-25 09:01:57.969008	3037	20.5	1	1
2014-03-25 09:01:58.191495	3038	52	2	1
2014-03-25 09:02:08.79469	3039	1738	3	2
2014-03-25 09:02:20.795115	3040	1738	3	2
2014-03-25 09:02:32.794874	3041	611	3	2
2014-03-25 09:02:36.969849	3042	20.5	1	1
2014-03-25 09:02:37.203579	3043	52	2	1
2014-03-25 09:02:44.796468	3044	482	3	2
2014-03-25 09:02:56.797001	3045	482	3	2
2014-03-25 09:03:15.96815	3046	20.5	1	1
2014-03-25 09:03:16.192654	3047	52	2	1
2014-03-25 09:03:20.794952	3048	1641	3	2
2014-03-25 09:03:32.794416	3049	482	3	2
2014-03-25 09:03:44.796467	3050	482	3	2
2014-03-25 09:03:54.965251	3051	20.5	1	1
2014-03-25 09:03:55.18961	3052	52	2	1
2014-03-25 09:04:20.794254	3053	434	3	2
2014-03-25 09:04:32.79562	3054	434	3	2
2014-03-25 09:04:33.972765	3055	20.5	1	1
2014-03-25 09:04:34.194891	3056	52	2	1
2014-03-25 09:04:56.797766	3057	1625	3	2
2014-03-25 09:05:08.7925	3058	450	3	2
2014-03-25 09:05:12.965569	3059	20.5	1	1
2014-03-25 09:05:13.196998	3060	52	2	1
2014-03-25 09:05:20.794936	3061	434	3	2
2014-03-25 09:05:32.796512	3062	450	3	2
2014-03-25 09:05:51.967164	3063	20.5	1	1
2014-03-25 09:05:52.200691	3064	52	2	1
2014-03-25 09:05:56.800174	3065	402	3	2
2014-03-25 09:06:08.795225	3066	402	3	2
2014-03-25 09:06:30.968247	3067	20.5	1	1
2014-03-25 09:06:31.201629	3068	52	2	1
2014-03-25 09:06:32.796441	3069	402	3	2
2014-03-25 09:06:44.796534	3070	434	3	2
2014-03-25 09:06:56.79369	3071	434	3	2
2014-03-25 09:07:09.96329	3072	20.5	1	1
2014-03-25 09:07:10.187377	3073	52	2	1
2014-03-25 09:07:20.796727	3074	370	3	2
2014-03-25 09:07:32.794844	3075	434	3	2
2014-03-25 09:07:44.795387	3076	418	3	2
2014-03-25 09:07:48.970078	3077	20.6	1	1
2014-03-25 09:07:49.194033	3078	52	2	1
2014-03-25 09:07:56.796496	3079	1593	3	2
2014-03-25 09:08:08.796581	3080	418	3	2
2014-03-25 09:08:20.796672	3081	515	3	2
2014-03-25 09:08:27.965731	3082	20.6	1	1
2014-03-25 09:08:28.190864	3083	52	2	1
2014-03-25 09:08:32.797808	3084	498	3	2
2014-03-25 09:09:06.971043	3085	20.6	1	1
2014-03-25 09:09:07.194239	3086	52	2	1
2014-03-25 09:09:32.793969	3087	498	3	2
2014-03-25 09:09:45.965283	3088	20.5	1	1
2014-03-25 09:09:46.196979	3089	52	2	1
2014-03-25 09:10:24.968962	3090	20.5	1	1
2014-03-25 09:10:25.191434	3091	52	2	1
2014-03-25 09:10:32.790821	3092	547	3	2
2014-03-25 09:10:44.788688	3093	515	3	2
2014-03-25 09:10:56.79684	3094	434	3	2
2014-03-25 09:11:03.964172	3095	20.5	1	1
2014-03-25 09:11:04.196784	3096	52	2	1
2014-03-25 09:11:08.795677	3097	418	3	2
2014-03-25 09:11:32.798291	3098	402	3	2
2014-03-25 09:11:42.965691	3099	20.5	1	1
2014-03-25 09:11:43.198489	3100	52	2	1
2014-03-25 09:11:56.795967	3101	1480	3	2
2014-03-25 09:12:08.79657	3102	402	3	2
2014-03-25 09:12:20.793332	3103	450	3	2
2014-03-25 09:12:21.965144	3104	20.5	1	1
2014-03-25 09:12:22.187962	3105	52	2	1
2014-03-25 09:12:32.796178	3106	450	3	2
2014-03-25 09:13:00.96249	3107	20.5	1	1
2014-03-25 09:13:01.200047	3108	52	2	1
2014-03-25 09:13:32.794105	3109	434	3	2
2014-03-25 09:13:39.961854	3110	20.5	1	1
2014-03-25 09:13:40.186811	3111	52	2	1
2014-03-25 09:14:18.963724	3112	20.5	1	1
2014-03-25 09:14:19.186604	3113	52	2	1
2014-03-25 09:14:32.923265	3114	434	3	2
2014-03-25 09:14:57.962538	3115	20.5	1	1
2014-03-25 09:14:58.197346	3116	52	2	1
2014-03-25 09:15:32.79405	3117	434	3	2
2014-03-25 09:15:36.961037	3118	20.5	1	1
2014-03-25 09:15:37.18455	3119	52	2	1
2014-03-25 09:16:08.791637	3120	515	3	2
2014-03-25 09:16:15.964423	3121	20.5	1	1
2014-03-25 09:16:16.188062	3122	52	2	1
2014-03-25 09:16:20.797757	3123	498	3	2
2014-03-25 09:16:32.796794	3124	1657	3	2
2014-03-25 09:16:44.795268	3125	498	3	2
2014-03-25 09:16:54.959265	3126	20.5	1	1
2014-03-25 09:16:55.19435	3127	52	2	1
2014-03-25 09:16:56.794433	3128	515	3	2
2014-03-25 09:17:32.65273	3129	482	3	2
2014-03-25 09:17:32.962057	3130	515	3	2
2014-03-25 09:17:33.963829	3131	20.5	1	1
2014-03-25 09:17:34.19244	3132	52	2	1
2014-03-25 09:17:44.795831	3133	515	3	2
2014-03-25 09:18:08.795241	3134	466	3	2
2014-03-25 09:18:12.960152	3135	20.5	1	1
2014-03-25 09:18:13.184044	3136	52	2	1
2014-03-25 09:18:20.796844	3137	466	3	2
2014-03-25 09:18:32.792963	3138	466	3	2
2014-03-25 09:18:51.96335	3139	20.5	1	1
2014-03-25 09:18:52.187284	3140	52	2	1
2014-03-25 09:19:30.963967	3141	20.5	1	1
2014-03-25 09:19:31.185771	3142	52	2	1
2014-03-25 09:19:32.795998	3143	466	3	2
2014-03-25 09:20:09.965635	3144	20.5	1	1
2014-03-25 09:20:10.189006	3145	52	2	1
2014-03-25 09:20:32.79812	3146	450	3	2
2014-03-25 09:20:48.966404	3147	20.5	1	1
2014-03-25 09:20:49.189817	3148	52	2	1
2014-03-25 09:21:27.964652	3149	20.4	1	1
2014-03-25 09:21:28.187777	3150	52	2	1
2014-03-25 09:21:32.794741	3151	466	3	2
2014-03-25 09:21:44.80041	3152	1625	3	2
2014-03-25 09:21:56.798923	3153	450	3	2
2014-03-25 09:22:06.965861	3154	20.4	1	1
2014-03-25 09:22:07.191264	3155	52	2	1
2014-03-25 09:22:08.797058	3156	450	3	2
2014-03-25 09:22:32.793806	3157	450	3	2
2014-03-25 09:22:45.964187	3158	20.4	1	1
2014-03-25 09:22:46.191083	3159	52	2	1
2014-03-25 09:23:24.96292	3160	20.4	1	1
2014-03-25 09:23:25.198848	3161	52	2	1
2014-03-25 09:23:32.796231	3162	450	3	2
2014-03-25 09:24:03.960877	3163	20.4	1	1
2014-03-25 09:24:04.18445	3164	52	2	1
2014-03-25 09:24:32.794074	3165	450	3	2
2014-03-25 09:24:42.963685	3166	20.4	1	1
2014-03-25 09:24:43.185843	3167	52	2	1
2014-03-25 09:24:44.796614	3168	482	3	2
2014-03-25 09:24:56.796503	3169	482	3	2
2014-03-25 09:25:21.96002	3170	20.4	1	1
2014-03-25 09:25:22.184324	3171	52	2	1
2014-03-25 09:25:32.793158	3172	482	3	2
2014-03-25 09:26:00.965368	3173	20.4	1	1
2014-03-25 09:26:01.190363	3174	52	2	1
2014-03-25 09:26:32.795973	3175	498	3	2
2014-03-25 09:26:39.958275	3176	20.4	1	1
2014-03-25 09:26:40.181965	3177	52	2	1
2014-03-25 09:26:56.79544	3178	1641	3	2
2014-03-25 09:27:08.801749	3179	498	3	2
2014-03-25 09:27:18.962766	3180	20.4	1	1
2014-03-25 09:27:19.381367	3181	52	2	1
2014-03-25 09:27:20.798121	3182	498	3	2
2014-03-25 09:27:32.79874	3183	498	3	2
2014-03-25 09:27:57.960407	3184	20.3	1	1
2014-03-25 09:27:58.184277	3185	52	2	1
2014-03-25 09:28:32.793808	3186	482	3	2
2014-03-25 09:28:36.963956	3187	20.3	1	1
2014-03-25 09:28:37.186237	3188	52	2	1
2014-03-25 09:29:08.79422	3189	515	3	2
2014-03-25 09:29:15.949203	3190	20.3	1	1
2014-03-25 09:29:16.174159	3191	52	2	1
2014-03-25 09:29:20.793247	3192	498	3	2
2014-03-25 09:29:32.793975	3193	434	3	2
2014-03-25 09:29:44.794282	3194	450	3	2
2014-03-25 09:29:54.95022	3195	20.3	1	1
2014-03-25 09:29:55.173582	3196	52	2	1
2014-03-25 09:30:08.790087	3197	418	3	2
2014-03-25 09:30:20.790763	3198	402	3	2
2014-03-25 09:30:32.79393	3199	418	3	2
2014-03-25 09:30:34.193692	3200	20.3	1	1
2014-03-25 09:30:34.426969	3201	52	2	1
2014-03-25 09:31:12.951811	3202	20.3	1	1
2014-03-25 09:31:13.17531	3203	52	2	1
2014-03-25 09:31:32.792634	3204	402	3	2
2014-03-25 09:31:51.960549	3205	20.3	1	1
2014-03-25 09:31:52.18388	3206	52	2	1
2014-03-25 09:32:20.795411	3207	1480	3	2
2014-03-25 09:32:30.952539	3208	20.3	1	1
2014-03-25 09:32:31.176093	3209	51	2	1
2014-03-25 09:32:32.797578	3210	402	3	2
2014-03-25 09:32:44.792073	3211	370	3	2
2014-03-25 09:32:56.793296	3212	402	3	2
2014-03-25 09:33:08.791281	3213	402	3	2
2014-03-25 09:33:09.950636	3214	20.3	1	1
2014-03-25 09:33:10.183182	3215	51	2	1
2014-03-25 09:33:32.79255	3216	402	3	2
2014-03-25 09:33:48.95367	3217	20.3	1	1
2014-03-25 09:33:49.1937	3218	51	2	1
2014-03-25 09:34:08.791203	3219	370	3	2
2014-03-25 09:34:20.790347	3220	418	3	2
2014-03-25 09:34:27.949976	3221	20.3	1	1
2014-03-25 09:34:28.183507	3222	51	2	1
2014-03-25 09:34:32.791911	3223	418	3	2
2014-03-25 09:35:06.947628	3224	20.3	1	1
2014-03-25 09:35:07.169427	3225	51	2	1
2014-03-25 09:35:32.789688	3226	418	3	2
2014-03-25 09:35:46.188913	3227	20.2	1	1
2014-03-25 09:35:46.41246	3228	51	2	1
2014-03-25 09:36:24.948286	3229	20.2	1	1
2014-03-25 09:36:25.17091	3230	51	2	1
2014-03-25 09:36:32.78913	3231	418	3	2
2014-03-25 09:36:44.791209	3232	450	3	2
2014-03-25 09:36:56.793881	3233	450	3	2
2014-03-25 09:37:03.950701	3234	20.2	1	1
2014-03-25 09:37:04.182363	3235	51	2	1
2014-03-25 09:37:32.790776	3236	450	3	2
2014-03-25 09:37:42.945443	3237	20.2	1	1
2014-03-25 09:37:43.170294	3238	51	2	1
2014-03-25 09:37:44.794595	3239	1609	3	2
2014-03-25 09:37:56.79175	3240	466	3	2
2014-03-25 09:38:08.791425	3241	450	3	2
2014-03-25 09:38:21.94818	3242	20.2	1	1
2014-03-25 09:38:22.1691	3243	51	2	1
2014-03-25 09:38:32.793308	3244	450	3	2
2014-03-25 09:39:00.949433	3245	20.2	1	1
2014-03-25 09:39:01.18304	3246	51	2	1
2014-03-25 09:39:32.789383	3247	450	3	2
2014-03-25 09:39:39.947651	3248	20.2	1	1
2014-03-25 09:39:40.172463	3249	51	2	1
2014-03-25 09:40:18.948287	3250	20.2	1	1
2014-03-25 09:40:19.17266	3251	51	2	1
2014-03-25 09:40:32.791997	3252	450	3	2
2014-03-25 09:40:57.94792	3253	20.2	1	1
2014-03-25 09:40:58.178286	3254	51	2	1
2014-03-25 09:41:32.792298	3255	450	3	2
2014-03-25 09:41:36.943325	3256	20.2	1	1
2014-03-25 09:41:37.165295	3257	51	2	1
2014-03-25 09:41:56.790819	3258	418	3	2
2014-03-25 09:42:08.791558	3259	402	3	2
2014-03-25 09:42:15.950055	3260	20.2	1	1
2014-03-25 09:42:16.171941	3261	51	2	1
2014-03-25 09:42:32.792527	3262	418	3	2
2014-03-25 09:42:54.947214	3263	20.2	1	1
2014-03-25 09:42:55.172783	3264	51	2	1
2014-03-25 09:43:08.795668	3265	1496	3	2
2014-03-25 09:43:20.79404	3266	418	3	2
2014-03-25 09:43:32.792376	3267	402	3	2
2014-03-25 09:43:33.942726	3268	20.2	1	1
2014-03-25 09:43:34.174879	3269	51	2	1
2014-03-25 09:43:44.792233	3270	370	3	2
2014-03-25 09:43:56.789731	3271	370	3	2
2014-03-25 09:44:12.942449	3272	20.2	1	1
2014-03-25 09:44:13.175915	3273	51	2	1
2014-03-25 09:44:32.790701	3274	370	3	2
2014-03-25 09:44:51.942528	3275	20.2	1	1
2014-03-25 09:44:52.166621	3276	51	2	1
2014-03-25 09:45:30.941355	3277	20.2	1	1
2014-03-25 09:45:31.165618	3278	51	2	1
2014-03-25 09:45:32.790933	3279	370	3	2
2014-03-25 09:46:09.942935	3280	20.2	1	1
2014-03-25 09:46:10.175469	3281	51	2	1
2014-03-25 09:46:32.788863	3282	370	3	2
2014-03-25 09:46:44.789554	3283	402	3	2
2014-03-25 09:46:48.943273	3284	20.2	1	1
2014-03-25 09:46:49.177565	3285	51	2	1
2014-03-25 09:47:08.647946	3286	370	3	2
2014-03-25 09:47:08.953332	3287	370	3	2
2014-03-25 09:47:20.787472	3288	402	3	2
2014-03-25 09:47:27.938137	3289	20.2	1	1
2014-03-25 09:47:28.15988	3290	51	2	1
2014-03-25 09:47:32.789006	3291	370	3	2
2014-03-25 09:47:44.788056	3292	354	3	2
2014-03-25 09:48:06.940577	3293	20.2	1	1
2014-03-25 09:48:07.164021	3294	51	2	1
2014-03-25 09:48:20.789304	3295	1577	3	2
2014-03-25 09:48:32.789458	3296	418	3	2
2014-03-25 09:48:44.792301	3297	418	3	2
2014-03-25 09:48:45.942715	3298	20.2	1	1
2014-03-25 09:48:46.175526	3299	51	2	1
2014-03-25 09:49:24.943489	3300	20.2	1	1
2014-03-25 09:49:25.165407	3301	51	2	1
2014-03-25 09:49:32.792078	3302	418	3	2
2014-03-25 09:50:03.937846	3303	20.2	1	1
2014-03-25 09:50:04.163613	3304	51	2	1
2014-03-25 09:50:42.745584	3305	402	3	2
2014-03-25 09:50:43.063585	3306	20.2	1	1
2014-03-25 09:50:43.28725	3307	51	2	1
2014-03-25 09:51:21.942164	3308	20.2	1	1
2014-03-25 09:51:22.164305	3309	51	2	1
2014-03-25 09:51:32.789263	3310	402	3	2
2014-03-25 09:52:00.935226	3311	20.1	1	1
2014-03-25 09:52:01.157259	3312	51	2	1
2014-03-25 09:52:32.790148	3313	402	3	2
2014-03-25 09:52:39.941085	3314	20.1	1	1
2014-03-25 09:52:40.165227	3315	51	2	1
2014-03-25 09:53:18.942046	3316	20.1	1	1
2014-03-25 09:53:19.174187	3317	51	2	1
2014-03-25 09:53:32.789695	3318	434	3	2
2014-03-25 09:53:44.78977	3319	1464	3	2
2014-03-25 09:53:56.789479	3320	370	3	2
2014-03-25 09:53:57.936437	3321	20.1	1	1
2014-03-25 09:53:58.16001	3322	51	2	1
2014-03-25 09:54:32.648003	3323	370	3	2
2014-03-25 09:54:32.966391	3324	370	3	2
2014-03-25 09:54:36.937618	3325	20.1	1	1
2014-03-25 09:54:37.160459	3326	51	2	1
2014-03-25 09:55:15.939809	3327	20.1	1	1
2014-03-25 09:55:16.172343	3328	51	2	1
2014-03-25 09:55:32.786581	3329	370	3	2
2014-03-25 09:55:44.791124	3330	402	3	2
2014-03-25 09:55:54.936588	3331	20.1	1	1
2014-03-25 09:55:55.173457	3332	51	2	1
2014-03-25 09:55:56.787977	3333	370	3	2
2014-03-25 09:56:08.788989	3334	354	3	2
2014-03-25 09:56:32.790966	3335	370	3	2
2014-03-25 09:56:33.934273	3336	20.1	1	1
2014-03-25 09:56:34.163234	3337	51	2	1
2014-03-25 09:57:12.941616	3338	20.1	1	1
2014-03-25 09:57:13.165238	3339	51	2	1
2014-03-25 09:57:32.791365	3340	402	3	2
2014-03-25 09:57:44.788014	3341	370	3	2
2014-03-25 09:57:51.935672	3342	20.1	1	1
2014-03-25 09:57:52.168319	3343	51	2	1
2014-03-25 09:58:30.740797	3344	370	3	2
2014-03-25 09:58:31.048638	3345	20.1	1	1
2014-03-25 09:58:31.272305	3346	51	2	1
2014-03-25 09:58:32.786014	3347	370	3	2
2014-03-25 09:59:08.790267	3348	1464	3	2
2014-03-25 09:59:09.93257	3349	20.1	1	1
2014-03-25 09:59:10.167879	3350	51	2	1
2014-03-25 09:59:20.790513	3351	354	3	2
2014-03-25 09:59:32.791339	3352	370	3	2
2014-03-25 09:59:48.933204	3353	20.1	1	1
2014-03-25 09:59:49.166627	3354	51	2	1
2014-03-25 10:00:08.788646	3355	434	3	2
2014-03-25 10:00:20.790745	3356	434	3	2
2014-03-25 10:00:27.934774	3357	20.1	1	1
2014-03-25 10:00:28.167343	3358	51	2	1
2014-03-25 10:00:32.787555	3359	418	3	2
2014-03-25 10:01:06.93406	3360	20.1	1	1
2014-03-25 10:01:07.158565	3361	51	2	1
2014-03-25 10:01:32.787346	3362	434	3	2
2014-03-25 10:01:45.935491	3363	20.1	1	1
2014-03-25 10:01:46.162055	3364	51	2	1
2014-03-25 10:02:24.933067	3365	20.0	1	1
2014-03-25 10:02:25.157241	3366	51	2	1
2014-03-25 10:02:32.789944	3367	434	3	2
2014-03-25 10:02:56.785728	3368	402	3	2
2014-03-25 10:03:03.929808	3369	20.0	1	1
2014-03-25 10:03:04.154898	3370	51	2	1
2014-03-25 10:03:08.789875	3371	418	3	2
2014-03-25 10:03:32.782817	3372	418	3	2
2014-03-25 10:03:42.938042	3373	20.0	1	1
2014-03-25 10:03:43.160419	3374	51	2	1
2014-03-25 10:03:44.792206	3375	498	3	2
2014-03-25 10:03:56.789491	3376	498	3	2
2014-03-25 10:04:21.941896	3377	20.0	1	1
2014-03-25 10:04:22.173134	3378	51	2	1
2014-03-25 10:04:32.790672	3379	1641	3	2
2014-03-25 10:04:44.79457	3380	498	3	2
2014-03-25 10:04:56.792271	3381	498	3	2
2014-03-25 10:05:00.940421	3382	20.0	1	1
2014-03-25 10:05:01.163325	3383	51	2	1
2014-03-25 10:05:32.791938	3384	466	3	2
2014-03-25 10:05:39.936308	3385	20.0	1	1
2014-03-25 10:05:40.157452	3386	51	2	1
2014-03-25 10:05:44.787737	3387	450	3	2
2014-03-25 10:06:08.646234	3388	498	3	2
2014-03-25 10:06:08.954862	3389	370	3	2
2014-03-25 10:06:18.932435	3390	20.0	1	1
2014-03-25 10:06:19.166206	3391	51	2	1
2014-03-25 10:06:20.790702	3392	370	3	2
2014-03-25 10:06:32.785214	3393	370	3	2
2014-03-25 10:06:57.929337	3394	20.0	1	1
2014-03-25 10:06:58.162161	3395	51	2	1
2014-03-25 10:07:32.788781	3396	370	3	2
2014-03-25 10:07:36.955515	3397	20.0	1	1
2014-03-25 10:07:37.835426	3398	51	2	1
2014-03-25 10:08:15.928994	3399	20.0	1	1
2014-03-25 10:08:16.151577	3400	51	2	1
2014-03-25 10:08:32.78572	3401	434	3	2
2014-03-25 10:08:44.788405	3402	434	3	2
2014-03-25 10:08:54.926809	3403	20.0	1	1
2014-03-25 10:08:55.149525	3404	51	2	1
2014-03-25 10:09:32.785229	3405	418	3	2
2014-03-25 10:09:33.932041	3406	19.9	1	1
2014-03-25 10:09:34.165816	3407	51	2	1
2014-03-25 10:10:08.78615	3408	1577	3	2
2014-03-25 10:10:12.926691	3409	19.9	1	1
2014-03-25 10:10:13.148825	3410	51	2	1
2014-03-25 10:10:20.792192	3411	434	3	2
2014-03-25 10:10:32.788846	3412	434	3	2
2014-03-25 10:10:51.931302	3413	19.9	1	1
2014-03-25 10:10:52.16379	3414	51	2	1
2014-03-25 10:11:30.934257	3415	19.9	1	1
2014-03-25 10:11:31.157586	3416	51	2	1
2014-03-25 10:11:32.785355	3417	418	3	2
2014-03-25 10:11:56.78567	3418	466	3	2
2014-03-25 10:12:08.784432	3419	466	3	2
2014-03-25 10:12:09.969584	3420	19.9	1	1
2014-03-25 10:12:10.203439	3421	51	2	1
2014-03-25 10:12:32.785595	3422	466	3	2
2014-03-25 10:12:48.928289	3423	19.9	1	1
2014-03-25 10:12:49.15103	3424	51	2	1
2014-03-25 10:13:27.924691	3425	19.9	1	1
2014-03-25 10:13:28.147525	3426	51	2	1
2014-03-25 10:13:32.786207	3427	466	3	2
2014-03-25 10:14:06.92797	3428	19.9	1	1
2014-03-25 10:14:07.177112	3429	51	2	1
2014-03-25 10:14:32.785582	3430	466	3	2
2014-03-25 10:14:45.924305	3431	19.9	1	1
2014-03-25 10:14:46.147451	3432	51	2	1
2014-03-25 10:15:24.915932	3433	19.9	1	1
2014-03-25 10:15:25.14144	3434	51	2	1
2014-03-25 10:15:32.788293	3435	1625	3	2
2014-03-25 10:15:44.788454	3436	466	3	2
2014-03-25 10:15:56.787921	3437	466	3	2
2014-03-25 10:16:03.922668	3438	20.0	1	1
2014-03-25 10:16:04.145044	3439	51	2	1
2014-03-25 10:16:32.783053	3440	466	3	2
2014-03-25 10:16:42.927207	3441	20.0	1	1
2014-03-25 10:16:43.149843	3442	51	2	1
2014-03-25 10:17:20.787297	3443	418	3	2
2014-03-25 10:17:21.925361	3444	20.0	1	1
2014-03-25 10:17:22.149182	3445	51	2	1
2014-03-25 10:17:32.783352	3446	418	3	2
2014-03-25 10:18:00.922511	3447	20.0	1	1
2014-03-25 10:18:01.201445	3448	51	2	1
2014-03-25 10:18:32.783509	3449	418	3	2
2014-03-25 10:18:39.923143	3450	20.0	1	1
2014-03-25 10:18:40.155405	3451	51	2	1
2014-03-25 10:19:18.928254	3452	20.0	1	1
2014-03-25 10:19:19.149565	3453	51	2	1
2014-03-25 10:19:32.784791	3454	418	3	2
2014-03-25 10:19:57.921643	3455	20.0	1	1
2014-03-25 10:19:58.14423	3456	51	2	1
2014-03-25 10:20:32.787536	3457	418	3	2
2014-03-25 10:20:36.92148	3458	20.0	1	1
2014-03-25 10:20:37.158862	3459	51	2	1
2014-03-25 10:20:56.785857	3460	1577	3	2
2014-03-25 10:21:08.787573	3461	418	3	2
2014-03-25 10:21:15.922713	3462	20.0	1	1
2014-03-25 10:21:16.155895	3463	51	2	1
2014-03-25 10:21:20.790893	3464	418	3	2
2014-03-25 10:21:32.787712	3465	434	3	2
2014-03-25 10:21:54.925282	3466	20.0	1	1
2014-03-25 10:21:55.159831	3467	51	2	1
2014-03-25 10:22:32.786615	3468	418	3	2
2014-03-25 10:22:33.92167	3469	20.0	1	1
2014-03-25 10:22:34.144319	3470	51	2	1
2014-03-25 10:22:56.782259	3471	338	3	2
2014-03-25 10:23:08.783417	3472	338	3	2
2014-03-25 10:23:12.920839	3473	20.0	1	1
2014-03-25 10:23:13.154666	3474	51	2	1
2014-03-25 10:23:32.785618	3475	338	3	2
2014-03-25 10:23:44.782568	3476	370	3	2
2014-03-25 10:23:51.922478	3477	20.0	1	1
2014-03-25 10:23:52.163827	3478	51	2	1
2014-03-25 10:23:56.787847	3479	402	3	2
2014-03-25 10:24:08.785018	3480	418	3	2
2014-03-25 10:24:30.917951	3481	20.0	1	1
2014-03-25 10:24:31.180081	3482	51	2	1
2014-03-25 10:24:32.783691	3483	402	3	2
2014-03-25 10:25:09.923084	3484	20.0	1	1
2014-03-25 10:25:10.146207	3485	51	2	1
2014-03-25 10:25:32.785247	3486	418	3	2
2014-03-25 10:25:48.922498	3487	20.0	1	1
2014-03-25 10:25:49.146187	3488	51	2	1
2014-03-25 10:26:27.919476	3489	20.0	1	1
2014-03-25 10:26:28.144832	3490	51	2	1
2014-03-25 10:26:32.788698	3491	402	3	2
2014-03-25 10:27:06.921651	3492	20.0	1	1
2014-03-25 10:27:07.159862	3493	51	2	1
2014-03-25 10:27:32.783385	3494	402	3	2
2014-03-25 10:27:45.919439	3495	20.0	1	1
2014-03-25 10:27:46.144699	3496	51	2	1
2014-03-25 10:28:24.921165	3497	20.0	1	1
2014-03-25 10:28:25.148408	3498	51	2	1
2014-03-25 10:28:32.785629	3499	418	3	2
2014-03-25 10:29:03.920062	3500	20.0	1	1
2014-03-25 10:29:04.142846	3501	51	2	1
2014-03-25 10:29:20.783084	3502	354	3	2
2014-03-25 10:29:32.78392	3503	354	3	2
2014-03-25 10:29:42.917848	3504	20.0	1	1
2014-03-25 10:29:43.140067	3505	51	2	1
2014-03-25 10:30:21.918572	3506	20.0	1	1
2014-03-25 10:30:22.141653	3507	51	2	1
2014-03-25 10:30:32.786065	3508	354	3	2
2014-03-25 10:31:00.917979	3509	20.0	1	1
2014-03-25 10:31:01.141663	3510	51	2	1
2014-03-25 10:31:32.78564	3511	354	3	2
2014-03-25 10:31:39.917406	3512	20.0	1	1
2014-03-25 10:31:40.139578	3513	51	2	1
2014-03-25 10:32:18.921918	3514	20.0	1	1
2014-03-25 10:32:19.161938	3515	51	2	1
2014-03-25 10:32:32.785748	3516	354	3	2
2014-03-25 10:32:57.916658	3517	20.0	1	1
2014-03-25 10:32:58.143746	3518	51	2	1
2014-03-25 10:33:20.78675	3519	402	3	2
2014-03-25 10:33:32.783893	3520	370	3	2
2014-03-25 10:33:36.912889	3521	20.0	1	1
2014-03-25 10:33:37.161567	3522	51	2	1
2014-03-25 10:33:44.785473	3523	370	3	2
2014-03-25 10:33:56.7817	3524	402	3	2
2014-03-25 10:34:08.78256	3525	402	3	2
2014-03-25 10:34:15.916114	3526	20.0	1	1
2014-03-25 10:34:16.160331	3527	51	2	1
2014-03-25 10:34:32.782835	3528	370	3	2
2014-03-25 10:34:44.782547	3529	370	3	2
2014-03-25 10:34:54.911053	3530	20.0	1	1
2014-03-25 10:34:55.134897	3531	51	2	1
2014-03-25 10:34:56.783734	3532	418	3	2
2014-03-25 10:35:08.786272	3533	402	3	2
2014-03-25 10:35:32.783401	3534	402	3	2
2014-03-25 10:35:33.912808	3535	20.0	1	1
2014-03-25 10:35:34.146585	3536	51	2	1
2014-03-25 10:36:12.913501	3537	20.0	1	1
2014-03-25 10:36:13.137456	3538	51	2	1
2014-03-25 10:36:20.784956	3539	434	3	2
2014-03-25 10:36:32.785307	3540	434	3	2
2014-03-25 10:36:51.911435	3541	20.0	1	1
2014-03-25 10:36:52.133984	3542	52	2	1
2014-03-25 10:37:30.91596	3543	20.0	1	1
2014-03-25 10:37:31.150593	3544	52	2	1
2014-03-25 10:37:32.788693	3545	434	3	2
2014-03-25 10:38:09.933637	3546	20.0	1	1
2014-03-25 10:38:10.157654	3547	52	2	1
2014-03-25 10:38:32.785103	3548	450	3	2
2014-03-25 10:38:48.910963	3549	20.0	1	1
2014-03-25 10:38:49.135738	3550	52	2	1
2014-03-25 10:39:27.911678	3551	20.0	1	1
2014-03-25 10:39:28.136403	3552	52	2	1
2014-03-25 10:39:32.782656	3553	434	3	2
2014-03-25 10:40:06.913205	3554	20.0	1	1
2014-03-25 10:40:07.141441	3555	52	2	1
2014-03-25 10:40:45.714506	3556	434	3	2
2014-03-25 10:40:46.031634	3557	20.0	1	1
2014-03-25 10:40:46.254695	3558	52	2	1
2014-03-25 10:41:08.783422	3559	402	3	2
2014-03-25 10:41:20.78379	3560	402	3	2
2014-03-25 10:41:24.908561	3561	20.0	1	1
2014-03-25 10:41:25.133161	3562	52	2	1
2014-03-25 10:41:32.782894	3563	370	3	2
2014-03-25 10:41:44.783873	3564	402	3	2
2014-03-25 10:41:56.779875	3565	402	3	2
2014-03-25 10:42:03.909916	3566	20.0	1	1
2014-03-25 10:42:04.153613	3567	52	2	1
2014-03-25 10:42:32.785233	3568	402	3	2
2014-03-25 10:42:42.90646	3569	20.0	1	1
2014-03-25 10:42:43.132526	3570	52	2	1
2014-03-25 10:42:44.783369	3571	370	3	2
2014-03-25 10:42:56.785679	3572	370	3	2
2014-03-25 10:43:21.91116	3573	20.0	1	1
2014-03-25 10:43:22.135257	3574	52	2	1
2014-03-25 10:43:32.781381	3575	402	3	2
2014-03-25 10:43:44.782154	3576	402	3	2
2014-03-25 10:44:00.910781	3577	20.0	1	1
2014-03-25 10:44:01.134572	3578	52	2	1
2014-03-25 10:44:32.785779	3579	402	3	2
2014-03-25 10:44:39.908459	3580	20.0	1	1
2014-03-25 10:44:40.134012	3581	52	2	1
2014-03-25 10:44:44.782849	3582	370	3	2
2014-03-25 10:44:56.785709	3583	402	3	2
2014-03-25 10:45:08.782149	3584	370	3	2
2014-03-25 10:45:18.909892	3585	20.0	1	1
2014-03-25 10:45:19.133762	3586	52	2	1
2014-03-25 10:45:20.794562	3587	402	3	2
2014-03-25 10:45:32.783917	3588	402	3	2
2014-03-25 10:45:56.785	3589	370	3	2
2014-03-25 10:45:57.908287	3590	20.0	1	1
2014-03-25 10:45:58.140706	3591	52	2	1
2014-03-25 10:46:08.783195	3592	402	3	2
2014-03-25 10:46:20.782422	3593	402	3	2
2014-03-25 10:46:32.783502	3594	370	3	2
2014-03-25 10:46:36.905652	3595	20.0	1	1
2014-03-25 10:46:37.133321	3596	52	2	1
2014-03-25 10:46:44.783841	3597	402	3	2
2014-03-25 10:46:56.781468	3598	402	3	2
2014-03-25 10:47:08.783102	3599	370	3	2
2014-03-25 10:47:15.904828	3600	20.0	1	1
2014-03-25 10:47:16.136369	3601	52	2	1
2014-03-25 10:47:20.7843	3602	402	3	2
2014-03-25 10:47:32.783548	3603	434	3	2
2014-03-25 10:47:44.787421	3604	450	3	2
2014-03-25 10:47:54.90429	3605	20.0	1	1
2014-03-25 10:47:55.127595	3606	52	2	1
2014-03-25 10:48:32.785786	3607	450	3	2
2014-03-25 10:48:33.908031	3608	20.0	1	1
2014-03-25 10:48:34.14257	3609	52	2	1
2014-03-25 10:49:12.907186	3610	20.0	1	1
2014-03-25 10:49:13.662597	3611	52	2	1
2014-03-25 10:49:32.783081	3612	434	3	2
2014-03-25 10:49:51.903958	3613	20.0	1	1
2014-03-25 10:49:52.535634	3614	52	2	1
2014-03-25 10:50:30.908324	3615	20.0	1	1
2014-03-25 10:50:31.136299	3616	52	2	1
2014-03-25 10:50:32.784486	3617	434	3	2
2014-03-25 10:51:09.907934	3620	20.0	1	1
2014-03-25 10:51:10.142524	3621	52	2	1
2014-03-26 19:24:32.582011	29189	595	3	2
2014-03-25 10:51:32.782259	3624	418	3	2
2014-03-25 10:51:48.910034	3625	20.0	1	1
2014-03-25 10:51:49.13351	3626	52	2	1
2014-03-25 10:51:56.785321	3627	450	3	2
2014-03-25 10:52:08.783879	3628	434	3	2
2014-03-26 19:24:32.818529	29190	1086698.930548228	4	2
2014-03-26 19:24:47.054861	29191	21.3	1	9
2014-03-25 10:52:27.90652	3631	20.0	1	1
2014-03-25 10:52:28.130518	3632	52	2	1
2014-03-25 10:52:32.782474	3633	450	3	2
2014-03-26 19:24:47.28151	29192	50	2	9
2014-03-26 19:24:48.143121	29193	20.7	1	8
2014-03-25 10:53:06.905905	3638	20.1	1	1
2014-03-25 10:53:07.130297	3639	52	2	1
2014-03-26 19:24:48.39548	29194	52	2	8
2014-03-26 19:25:02.787864	29195	21.3	1	1
2014-03-25 10:53:32.783155	3644	434	3	2
2014-03-25 10:53:45.910982	3645	20.0	1	1
2014-03-25 10:53:46.140778	3646	52	2	1
2014-03-25 10:53:56.78481	3647	370	3	2
2014-03-26 19:25:03.015902	29196	49	2	1
2014-03-26 19:25:26.056436	29197	21.3	1	9
2014-03-25 10:54:08.781533	3652	370	3	2
2014-03-26 19:25:26.299517	29198	50	2	9
2014-03-26 19:25:27.153083	29199	20.7	1	8
2014-03-25 10:54:24.906934	3655	20.0	1	1
2014-03-25 10:54:25.144766	3656	52	2	1
2014-03-25 10:54:32.781633	3657	370	3	2
2014-03-26 19:25:27.376917	29200	52	2	8
2014-03-26 19:25:32.587683	29201	595	3	2
2014-03-25 10:55:03.903686	3662	20.0	1	1
2014-03-25 10:55:04.128465	3663	52	2	1
2014-03-26 19:25:32.821774	29202	1086708.1228259995	4	2
2014-03-26 19:25:41.792792	29203	21.4	1	1
2014-03-25 10:55:32.776515	3670	370	3	2
2014-03-25 10:55:42.905017	3671	20.0	1	1
2014-03-25 10:55:43.128583	3672	52	2	1
2014-03-25 10:50:52.533287	3618	17.8	1	9
2014-03-25 10:50:52.756468	3619	67	2	9
2014-03-25 10:51:31.509402	3622	18.7	1	9
2014-03-25 10:52:48.807432	3634	18.1	1	10
2014-03-25 10:52:49.033803	3635	65	2	10
2014-03-25 10:53:27.778163	3640	18.7	1	10
2014-03-25 10:53:28.002886	3641	68	2	10
2014-03-25 10:54:06.779386	3648	19.1	1	10
2014-03-25 10:54:07.005229	3649	67	2	10
2014-03-25 10:54:45.778106	3658	19.3	1	10
2014-03-25 10:54:46.004001	3659	67	2	10
2014-03-25 10:55:24.777926	3664	19.4	1	10
2014-03-25 10:55:25.00048	3665	66	2	10
2014-03-25 10:56:08.782689	3677	402	3	2
2014-03-25 10:56:20.781638	3678	402	3	2
2014-03-25 10:56:21.906932	3679	20.0	1	1
2014-03-25 10:56:22.139654	3680	52	2	1
2014-03-25 10:56:32.78195	3681	402	3	2
2014-03-26 19:25:42.015917	29204	49	2	1
2014-03-26 19:26:05.059946	29205	21.3	1	9
2014-03-25 10:57:01.03129	3686	20.0	1	1
2014-03-25 10:57:01.480139	3687	52	2	1
2014-03-26 19:26:05.291505	29206	50	2	9
2014-03-26 19:26:06.141289	29207	20.7	1	8
2014-03-25 10:57:32.779959	3692	402	3	2
2014-03-25 10:57:39.959795	3693	20.0	1	1
2014-03-25 10:57:40.678961	3694	52	2	1
2014-03-25 10:57:44.780106	3695	370	3	2
2014-03-25 10:57:56.778693	3696	370	3	2
2014-03-26 19:26:06.36313	29208	52	2	8
2014-03-26 19:26:20.785526	29209	21.4	1	1
2014-03-25 10:58:18.904544	3701	20.0	1	1
2014-03-25 10:58:19.13634	3702	52	2	1
2014-03-25 10:58:32.784724	3703	402	3	2
2014-03-26 19:26:21.018792	29210	49	2	1
2014-03-26 19:26:32.584377	29211	595	3	2
2014-03-25 10:58:44.782332	3708	370	3	2
2014-03-25 10:58:56.782216	3709	370	3	2
2014-03-25 10:58:57.901027	3710	20.0	1	1
2014-03-25 10:58:58.12811	3711	52	2	1
2014-03-26 19:26:32.815847	29212	1086718.4641384922	4	2
2014-03-26 19:26:44.055439	29213	21.3	1	9
2014-03-25 10:59:32.92146	3716	402	3	2
2014-03-25 10:59:36.904089	3717	20.0	1	1
2014-03-25 10:59:37.126421	3718	52	2	1
2014-03-25 10:59:44.780575	3719	370	3	2
2014-03-25 10:59:56.783565	3720	370	3	2
2014-03-26 19:26:44.287452	29214	50	2	9
2014-03-26 19:26:45.140871	29215	20.7	1	8
2014-03-25 11:00:15.899297	3725	20.0	1	1
2014-03-25 11:00:16.123554	3726	52	2	1
2014-03-25 11:00:32.779705	3727	418	3	2
2014-03-26 19:26:45.363772	29216	52	2	8
2014-03-26 19:26:59.776305	29217	21.4	1	1
2014-03-25 11:00:44.782861	3732	418	3	2
2014-03-25 11:00:54.901327	3733	20.0	1	1
2014-03-25 11:00:55.126669	3734	52	2	1
2014-03-26 19:27:00.010071	29218	49	2	1
2014-03-26 19:27:20.581989	29219	692	3	2
2014-03-25 11:01:33.701486	3739	434	3	2
2014-03-25 11:01:34.019551	3740	20.0	1	1
2014-03-25 11:01:34.244931	3741	52	2	1
2014-03-26 19:27:20.807939	29220	1086726.5073815421	4	2
2014-03-26 19:27:23.055145	29221	21.3	1	9
2014-03-25 11:02:12.898087	3746	20.0	1	1
2014-03-25 11:02:13.130228	3747	52	2	1
2014-03-25 11:02:32.782555	3748	482	3	2
2014-03-26 19:27:23.288136	29222	50	2	9
2014-03-26 19:27:24.142401	29223	20.7	1	8
2014-03-25 11:02:44.782828	3753	482	3	2
2014-03-25 11:02:51.899395	3754	20.0	1	1
2014-03-25 11:02:52.123554	3755	52	2	1
2014-03-26 19:27:24.366296	29224	52	2	8
2014-03-26 19:27:32.581574	29225	708	3	2
2014-03-25 11:03:30.902637	3760	20.0	1	1
2014-03-25 11:03:31.133899	3761	52	2	1
2014-03-25 11:03:32.779712	3762	515	3	2
2014-03-25 11:03:44.920162	3763	498	3	2
2014-03-26 19:27:32.823315	29226	1086728.805450985	4	2
2014-03-26 19:27:38.787063	29227	21.4	1	1
2014-03-25 11:04:09.898585	3768	20.0	1	1
2014-03-25 11:04:10.130358	3769	52	2	1
2014-03-26 19:27:39.016038	29228	49	2	1
2014-03-26 19:27:44.583342	29229	676	3	2
2014-03-25 11:04:32.783121	3774	498	3	2
2014-03-25 11:04:48.904773	3775	20.0	1	1
2014-03-25 11:04:49.131526	3776	52	2	1
2014-03-26 19:27:44.819471	29230	1086731.1035204278	4	2
2014-03-26 19:27:56.580809	29231	692	3	2
2014-03-25 11:05:27.896563	3781	20.0	1	1
2014-03-25 11:05:28.129445	3782	52	2	1
2014-03-25 11:05:32.782974	3783	498	3	2
2014-03-26 19:27:56.804688	29232	1086733.4015898707	4	2
2014-03-26 19:28:02.058437	29233	21.3	1	9
2014-03-26 19:28:02.294767	29234	50	2	9
2014-03-26 19:28:03.142209	29235	20.7	1	8
2014-03-25 11:05:56.782276	3790	450	3	2
2014-03-25 11:06:06.897534	3791	20.0	1	1
2014-03-25 11:06:07.122562	3792	52	2	1
2014-03-26 19:28:03.366447	29236	52	2	8
2014-03-26 19:28:17.786304	29237	21.4	1	1
2014-03-26 19:28:18.023472	29238	49	2	1
2014-03-25 11:06:32.848042	3797	450	3	2
2014-03-25 11:06:45.895331	3798	20.0	1	1
2014-03-25 11:06:46.118183	3799	52	2	1
2014-03-26 19:28:32.580801	29239	579	3	2
2014-03-26 19:28:32.812942	29240	1086740.295798199	4	2
2014-03-25 11:07:24.894259	3804	20.0	1	1
2014-03-25 11:07:25.126023	3805	52	2	1
2014-03-25 11:07:32.781059	3806	434	3	2
2014-03-25 10:56:04.503311	3675	19.7	1	9
2014-03-25 10:56:04.725434	3676	66	2	9
2014-03-25 10:56:03.778891	3673	19.6	1	10
2014-03-25 10:56:04.001313	3674	65	2	10
2014-03-25 10:56:42.782572	3682	19.7	1	10
2014-03-25 10:56:43.023893	3683	65	2	10
2014-03-25 10:57:21.781403	3688	19.8	1	10
2014-03-25 10:57:22.003909	3689	65	2	10
2014-03-25 10:58:00.779929	3697	19.8	1	10
2014-03-25 10:58:01.076308	3698	64	2	10
2014-03-25 10:58:39.780804	3704	19.9	1	10
2014-03-25 10:58:40.005249	3705	64	2	10
2014-03-25 10:59:18.909929	3712	20.0	1	10
2014-03-25 10:59:19.352843	3713	63	2	10
2014-03-25 10:59:57.780871	3721	20.1	1	10
2014-03-25 10:59:58.008784	3722	63	2	10
2014-03-25 11:00:36.779527	3728	20.1	1	10
2014-03-25 11:00:37.00336	3729	63	2	10
2014-03-25 11:01:15.780817	3735	20.2	1	10
2014-03-25 11:01:16.014338	3736	63	2	10
2014-03-25 11:01:54.779717	3742	20.2	1	10
2014-03-25 11:01:55.022593	3743	62	2	10
2014-03-25 11:02:33.780691	3749	20.3	1	10
2014-03-25 11:02:34.002333	3750	62	2	10
2014-03-25 11:03:12.78309	3756	20.3	1	10
2014-03-25 11:03:13.01493	3757	62	2	10
2014-03-25 11:03:51.91003	3764	20.4	1	10
2014-03-25 11:03:52.351315	3765	62	2	10
2014-03-25 11:04:31.09057	3770	20.4	1	10
2014-03-25 11:04:31.355015	3771	62	2	10
2014-03-25 11:05:09.785374	3777	20.4	1	10
2014-03-25 11:05:10.009324	3778	62	2	10
2014-03-25 11:05:48.781869	3784	20.5	1	10
2014-03-25 11:05:49.005488	3785	61	2	10
2014-03-25 11:06:27.781152	3793	20.5	1	10
2014-03-26 19:28:41.059925	29241	21.3	1	9
2014-03-26 19:28:41.294059	29242	50	2	9
2014-03-25 11:08:03.895729	3813	20.0	1	1
2014-03-25 11:08:04.119792	3814	52	2	1
2014-03-25 11:08:42.895531	3819	20.0	1	1
2014-03-25 11:08:43.127047	3820	52	2	1
2014-03-25 11:09:21.895293	3825	20.0	1	1
2014-03-25 11:09:22.118728	3826	52	2	1
2014-03-25 11:10:00.89872	3831	20.0	1	1
2014-03-25 11:10:01.144193	3832	52	2	1
2014-03-25 11:10:32.793878	3837	434	3	2
2014-03-25 11:10:39.898155	3838	20.0	1	1
2014-03-25 11:10:40.136039	3839	52	2	1
2014-03-25 11:10:56.776501	3840	466	3	2
2014-03-25 11:11:08.778718	3845	450	3	2
2014-03-25 11:11:18.896187	3846	20.0	1	1
2014-03-25 11:11:19.124329	3847	52	2	1
2014-03-25 11:11:32.822264	3848	450	3	2
2014-03-26 19:28:42.144348	29243	20.7	1	8
2014-03-25 11:11:57.905979	3853	20.0	1	1
2014-03-25 11:11:58.146594	3854	52	2	1
2014-03-25 11:12:08.782777	3855	482	3	2
2014-03-26 19:28:42.368496	29244	52	2	8
2014-03-26 19:28:44.582667	29245	579	3	2
2014-03-25 11:12:20.775851	3860	482	3	2
2014-03-25 11:12:32.83192	3861	498	3	2
2014-03-25 11:12:36.894031	3862	20.0	1	1
2014-03-25 11:12:37.135106	3863	52	2	1
2014-03-26 19:28:44.829138	29246	1086741.4448329206	4	2
2014-03-26 19:28:56.782846	29247	21.4	1	1
2014-03-25 11:13:15.89473	3868	20.0	1	1
2014-03-25 11:13:16.117351	3869	52	2	1
2014-03-25 11:13:32.837153	3870	482	3	2
2014-03-26 19:28:57.0079	29248	49	2	1
2014-03-26 19:29:08.582341	29249	547	3	2
2014-03-25 11:13:54.896462	3875	20.0	1	1
2014-03-25 11:13:55.118151	3876	52	2	1
2014-03-26 19:29:08.817843	29250	1086746.0409718063	4	2
2014-03-26 19:29:20.055438	29251	21.3	1	9
2014-03-25 11:14:32.841153	3881	482	3	2
2014-03-25 11:14:33.892143	3882	20.0	1	1
2014-03-25 11:14:34.114107	3883	52	2	1
2014-03-26 19:29:20.281473	29252	50	2	9
2014-03-26 19:29:20.589643	29253	579	3	2
2014-03-25 11:15:12.896423	3888	20.0	1	1
2014-03-25 11:15:13.118068	3889	52	2	1
2014-03-25 11:15:32.821212	3890	498	3	2
2014-03-26 19:29:20.823313	29254	1086747.1900065276	4	2
2014-03-26 19:29:21.142856	29255	20.7	1	8
2014-03-26 19:29:21.368784	29256	52	2	8
2014-03-26 19:29:32.583531	29257	579	3	2
2014-03-25 11:15:51.884276	3897	20.0	1	1
2014-03-25 11:15:52.109564	3898	52	2	1
2014-03-26 19:29:32.824636	29258	1086749.4880759704	4	2
2014-03-26 19:29:35.785163	29259	21.4	1	1
2014-03-26 19:29:36.009591	29260	49	2	1
2014-03-26 19:29:56.582457	29261	547	3	2
2014-03-25 11:16:30.891051	3905	20.0	1	1
2014-03-25 11:16:31.115995	3906	52	2	1
2014-03-25 11:16:32.785933	3907	498	3	2
2014-03-26 19:29:56.817698	29262	1086752.9351801346	4	2
2014-03-26 19:29:59.058603	29263	21.3	1	9
2014-03-26 19:29:59.284623	29264	50	2	9
2014-03-26 19:30:00.141529	29265	20.7	1	8
2014-03-25 11:16:56.782906	3914	434	3	2
2014-03-25 11:17:08.781977	3915	434	3	2
2014-03-25 11:17:09.891509	3916	20.0	1	1
2014-03-25 11:17:10.115004	3917	52	2	1
2014-03-26 19:30:00.376728	29266	52	2	8
2014-03-26 19:30:08.58108	29267	579	3	2
2014-03-25 11:17:32.781396	3922	434	3	2
2014-03-26 19:30:08.807747	29268	1086755.2332495775	4	2
2014-03-26 19:30:14.786407	29269	21.4	1	1
2014-03-25 11:17:48.892815	3925	20.0	1	1
2014-03-25 11:17:49.117429	3926	52	2	1
2014-03-26 19:30:15.021178	29270	49	2	1
2014-03-26 19:30:20.583709	29271	579	3	2
2014-03-26 19:30:20.811915	29272	1086757.5313190203	4	2
2014-03-26 19:30:32.581587	29273	579	3	2
2014-03-25 11:18:27.883125	3933	20.0	1	1
2014-03-25 11:18:28.107377	3934	52	2	1
2014-03-25 11:18:32.78012	3935	434	3	2
2014-03-25 11:19:06.884943	3942	20.0	1	1
2014-03-25 11:19:07.118159	3943	52	2	1
2014-03-25 11:19:08.910028	3944	402	3	2
2014-03-25 11:07:46.505696	3809	20.0	1	9
2014-03-25 11:07:46.730376	3810	64	2	9
2014-03-25 11:08:25.502935	3817	20.0	1	9
2014-03-25 11:08:25.727688	3818	63	2	9
2014-03-25 11:09:04.50573	3823	20.0	1	9
2014-03-25 11:09:04.740905	3824	63	2	9
2014-03-25 11:09:43.502638	3829	20.0	1	9
2014-03-25 11:09:43.725883	3830	63	2	9
2014-03-25 11:10:22.507805	3835	20.0	1	9
2014-03-25 11:10:22.751228	3836	63	2	9
2014-03-25 11:11:01.517013	3843	20.0	1	9
2014-03-25 11:11:01.75653	3844	63	2	9
2014-03-25 11:11:40.503333	3851	20.0	1	9
2014-03-25 11:08:24.782754	3815	20.6	1	10
2014-03-25 11:08:25.015501	3816	61	2	10
2014-03-25 11:09:03.782895	3821	20.6	1	10
2014-03-25 11:09:04.008855	3822	61	2	10
2014-03-25 11:09:42.783877	3827	20.6	1	10
2014-03-25 11:09:43.018661	3828	61	2	10
2014-03-25 11:10:21.791359	3833	20.7	1	10
2014-03-25 11:10:22.029854	3834	61	2	10
2014-03-25 11:11:00.789733	3841	20.7	1	10
2014-03-25 11:11:01.021332	3842	60	2	10
2014-03-25 11:11:39.784163	3849	20.7	1	10
2014-03-25 11:11:40.00713	3850	60	2	10
2014-03-25 11:12:18.78495	3856	20.7	1	10
2014-03-25 11:12:19.008264	3857	60	2	10
2014-03-25 11:12:57.78274	3864	20.7	1	10
2014-03-25 11:12:58.005757	3865	60	2	10
2014-03-25 11:13:36.783914	3871	20.8	1	10
2014-03-25 11:13:37.006967	3872	60	2	10
2014-03-25 11:14:15.78472	3877	20.8	1	10
2014-03-25 11:14:16.03931	3878	60	2	10
2014-03-25 11:14:54.78617	3884	20.8	1	10
2014-03-25 11:14:55.009363	3885	60	2	10
2014-03-25 11:15:33.7844	3891	20.8	1	10
2014-03-25 11:15:34.007949	3892	60	2	10
2014-03-25 11:16:12.784363	3899	20.8	1	10
2014-03-25 11:16:13.019822	3900	60	2	10
2014-03-25 11:16:51.786755	3908	20.8	1	10
2014-03-25 11:16:52.010166	3909	60	2	10
2014-03-25 11:17:30.785262	3918	20.9	1	10
2014-03-25 11:17:31.006251	3919	59	2	10
2014-03-25 11:18:09.785027	3927	20.9	1	10
2014-03-25 11:18:10.019543	3928	59	2	10
2014-03-25 11:18:48.809665	3936	20.9	1	10
2014-03-25 11:19:20.910059	3945	402	3	2
2014-03-26 19:30:32.820914	29274	1086758.6803537419	4	2
2014-03-26 19:30:38.060826	29275	21.3	1	9
2014-03-25 11:19:32.780637	3952	402	3	2
2014-03-25 11:19:44.776969	3953	370	3	2
2014-03-25 11:19:45.892172	3954	20.0	1	1
2014-03-25 11:19:46.126067	3955	52	2	1
2014-03-25 11:19:56.780361	3956	402	3	2
2014-03-26 19:30:38.285272	29276	50	2	9
2014-03-25 11:20:08.779758	3961	402	3	2
2014-03-25 11:20:24.893938	3962	20.0	1	1
2014-03-25 11:20:25.126632	3963	52	2	1
2014-03-25 11:20:32.915788	3964	418	3	2
2014-03-26 19:30:39.141605	29277	20.7	1	8
2014-03-26 19:30:39.374914	29278	52	2	8
2014-03-25 11:21:03.891178	3969	20.0	1	1
2014-03-25 11:21:04.132387	3970	53	2	1
2014-03-26 19:30:53.784571	29279	21.4	1	1
2014-03-26 19:30:54.009405	29280	49	2	1
2014-03-25 11:21:32.777501	3975	402	3	2
2014-03-25 11:21:42.887273	3976	20.0	1	1
2014-03-25 11:21:43.111622	3977	53	2	1
2014-03-26 19:31:17.055433	29281	21.3	1	9
2014-03-26 19:31:17.294584	29282	50	2	9
2014-03-25 11:22:21.892789	3982	20.0	1	1
2014-03-25 11:22:22.123356	3983	53	2	1
2014-03-25 11:22:32.773344	3984	402	3	2
2014-03-26 19:31:18.140143	29283	20.7	1	8
2014-03-26 19:31:18.365328	29284	52	2	8
2014-03-25 11:22:44.775169	3989	370	3	2
2014-03-25 11:22:56.781567	3990	338	3	2
2014-03-25 11:23:00.886225	3991	20.0	1	1
2014-03-25 11:23:01.10677	3992	53	2	1
2014-03-25 11:23:08.781984	3993	338	3	2
2014-03-26 19:31:32.581119	29285	579	3	2
2014-03-26 19:31:32.824451	29286	1086767.8771024654	4	2
2014-03-26 19:31:33.132918	29287	21.4	1	1
2014-03-26 19:31:33.358637	29288	49	2	1
2014-03-25 11:23:39.887493	4000	20.0	1	1
2014-03-25 11:23:40.109489	4001	53	2	1
2014-03-25 11:23:44.775703	4002	370	3	2
2014-03-25 11:23:56.775286	4003	402	3	2
2014-03-26 19:31:56.054884	29289	21.3	1	9
2014-03-26 19:31:56.28943	29290	50	2	9
2014-03-25 11:24:08.778611	4008	370	3	2
2014-03-25 11:24:18.889629	4009	20.0	1	1
2014-03-25 11:24:19.123646	4010	53	2	1
2014-03-25 11:24:20.77998	4011	354	3	2
2014-03-25 11:24:32.777971	4012	354	3	2
2014-03-26 19:31:57.142486	29291	20.7	1	8
2014-03-26 19:31:57.366124	29292	52	2	8
2014-03-25 11:24:57.881958	4017	20.0	1	1
2014-03-25 11:24:58.104091	4018	53	2	1
2014-03-26 19:32:11.787862	29293	21.4	1	1
2014-03-26 19:32:12.033311	29294	49	2	1
2014-03-25 11:25:32.780398	4023	402	3	2
2014-03-25 11:25:36.880606	4024	20.0	1	1
2014-03-25 11:25:37.104739	4025	53	2	1
2014-03-25 11:25:44.78081	4026	354	3	2
2014-03-25 11:25:56.778113	4027	418	3	2
2014-03-26 19:32:32.582881	29295	579	3	2
2014-03-26 19:32:32.816456	29296	1086777.0693802366	4	2
2014-03-25 11:26:08.779045	4032	418	3	2
2014-03-25 11:26:15.887967	4033	20.0	1	1
2014-03-25 11:26:16.112399	4034	53	2	1
2014-03-25 11:26:32.775636	4035	418	3	2
2014-03-26 19:32:35.05697	29297	21.3	1	9
2014-03-26 19:32:35.289639	29298	50	2	9
2014-03-25 11:26:54.886956	4040	20.0	1	1
2014-03-25 11:26:55.111973	4041	53	2	1
2014-03-26 19:32:36.141074	29299	20.7	1	8
2014-03-26 19:32:36.363599	29300	52	2	8
2014-03-25 11:27:32.777689	4046	418	3	2
2014-03-25 11:27:33.887505	4047	20.0	1	1
2014-03-25 11:27:34.110576	4048	53	2	1
2014-03-26 19:32:50.783724	29301	21.4	1	1
2014-03-26 19:32:51.021847	29302	49	2	1
2014-03-25 11:28:12.882436	4053	20.0	1	1
2014-03-25 11:28:13.104395	4054	53	2	1
2014-03-25 11:28:32.779162	4055	418	3	2
2014-03-26 19:33:14.056298	29303	21.3	1	9
2014-03-26 19:33:14.280223	29304	50	2	9
2014-03-25 11:28:51.882416	4060	20.0	1	1
2014-03-25 11:28:52.104011	4061	53	2	1
2014-03-26 19:33:15.141351	29305	20.7	1	8
2014-03-26 19:33:15.374249	29306	52	2	8
2014-03-25 11:29:30.883111	4066	20.0	1	1
2014-03-25 11:29:31.104695	4067	53	2	1
2014-03-25 11:29:32.776275	4068	418	3	2
2014-03-25 11:29:44.778154	4069	450	3	2
2014-03-26 19:33:29.782861	29307	21.4	1	1
2014-03-26 19:33:30.008795	29308	49	2	1
2014-03-26 19:33:32.578648	29309	579	3	2
2014-03-25 11:29:56.777731	4074	418	3	2
2014-03-25 11:30:08.779556	4075	402	3	2
2014-03-25 11:30:09.881802	4076	20.1	1	1
2014-03-25 11:30:10.103336	4077	53	2	1
2014-03-25 11:19:28.939948	3948	20.1	1	9
2014-03-25 11:19:29.359942	3949	62	2	9
2014-03-25 11:20:07.503391	3959	20.1	1	9
2014-03-25 11:19:27.91454	3946	20.9	1	10
2014-03-25 11:19:28.360174	3947	59	2	10
2014-03-25 11:20:06.790106	3957	20.9	1	10
2014-03-25 11:20:07.012199	3958	59	2	10
2014-03-25 11:20:45.920057	3965	20.9	1	10
2014-03-25 11:20:46.340069	3966	59	2	10
2014-03-25 11:21:24.787256	3971	20.9	1	10
2014-03-25 11:21:25.012779	3972	59	2	10
2014-03-25 11:22:03.785254	3978	20.9	1	10
2014-03-25 11:22:04.015933	3979	59	2	10
2014-03-25 11:22:42.785307	3985	21.0	1	10
2014-03-25 11:22:43.019434	3986	59	2	10
2014-03-25 11:23:21.785873	3994	21.0	1	10
2014-03-25 11:23:22.007996	3995	58	2	10
2014-03-25 11:24:00.787349	4004	21.0	1	10
2014-03-25 11:24:01.009942	4005	58	2	10
2014-03-25 11:24:39.786337	4013	21.0	1	10
2014-03-25 11:24:40.009333	4014	58	2	10
2014-03-25 11:25:18.991545	4019	21.0	1	10
2014-03-25 11:25:19.224153	4020	58	2	10
2014-03-25 11:25:57.787865	4028	21.0	1	10
2014-03-25 11:25:58.011746	4029	58	2	10
2014-03-25 11:26:36.788096	4036	21.0	1	10
2014-03-25 11:26:37.012076	4037	58	2	10
2014-03-25 11:27:15.788954	4042	21.0	1	10
2014-03-25 11:27:16.009604	4043	58	2	10
2014-03-25 11:27:54.78814	4049	21.0	1	10
2014-03-25 11:27:55.011734	4050	58	2	10
2014-03-25 11:28:33.787887	4056	21.1	1	10
2014-03-25 11:28:34.010601	4057	58	2	10
2014-03-25 11:29:12.789028	4062	21.1	1	10
2014-03-25 11:29:13.011297	4063	58	2	10
2014-03-25 11:29:51.788193	4070	21.1	1	10
2014-03-26 19:33:32.821317	29310	1086787.4106927293	4	2
2014-03-25 11:30:32.780903	4082	418	3	2
2014-03-25 11:30:48.881219	4083	20.1	1	1
2014-03-25 11:30:49.103045	4084	53	2	1
2014-03-26 19:33:53.056314	29311	21.3	1	9
2014-03-26 19:33:53.281976	29312	50	2	9
2014-03-25 11:31:27.883343	4089	20.1	1	1
2014-03-25 11:31:28.106243	4090	53	2	1
2014-03-25 11:31:32.7796	4091	370	3	2
2014-03-25 11:31:44.778409	4092	370	3	2
2014-03-26 19:33:54.143107	29313	20.7	1	8
2014-03-26 19:33:54.37648	29314	52	2	8
2014-03-25 11:32:06.883224	4097	20.1	1	1
2014-03-25 11:32:07.10653	4098	53	2	1
2014-03-26 19:34:08.78295	29315	21.4	1	1
2014-03-26 19:34:09.008646	29316	49	2	1
2014-03-25 11:32:32.777565	4103	370	3	2
2014-03-25 11:32:45.881631	4104	20.1	1	1
2014-03-25 11:32:46.105897	4105	53	2	1
2014-03-26 19:34:32.057358	29317	21.3	1	9
2014-03-26 19:34:32.292438	29318	50	2	9
2014-03-25 11:33:24.877171	4110	20.1	1	1
2014-03-25 11:33:25.099321	4111	53	2	1
2014-03-25 11:33:32.776276	4112	354	3	2
2014-03-26 19:34:32.602592	29319	579	3	2
2014-03-26 19:34:32.832326	29320	1086796.6029705007	4	2
2014-03-25 11:34:03.880701	4117	20.1	1	1
2014-03-25 11:34:04.114268	4118	53	2	1
2014-03-26 19:34:33.144298	29321	20.7	1	8
2014-03-26 19:34:33.378732	29322	52	2	8
2014-03-25 11:34:32.77813	4123	354	3	2
2014-03-25 11:34:42.882482	4124	20.1	1	1
2014-03-25 11:34:43.105013	4125	53	2	1
2014-03-26 19:34:47.780648	29323	21.4	1	1
2014-03-26 19:34:48.004846	29324	49	2	1
2014-03-25 11:35:20.775241	4130	402	3	2
2014-03-25 11:35:22.117902	4131	20.1	1	1
2014-03-25 11:35:22.341039	4132	53	2	1
2014-03-25 11:35:32.779043	4133	402	3	2
2014-03-26 19:35:11.057668	29325	21.3	1	9
2014-03-26 19:35:11.298667	29326	50	2	9
2014-03-25 11:35:44.779496	4138	370	3	2
2014-03-25 11:35:56.778441	4139	370	3	2
2014-03-25 11:36:00.878516	4140	20.1	1	1
2014-03-25 11:36:01.111343	4141	53	2	1
2014-03-25 11:36:08.778696	4142	402	3	2
2014-03-25 11:36:21.58989	4143	402	3	2
2014-03-26 19:35:12.141881	29327	20.7	1	8
2014-03-26 19:35:12.379443	29328	52	2	8
2014-03-25 11:36:32.77781	4148	418	3	2
2014-03-25 11:36:39.880293	4149	20.1	1	1
2014-03-25 11:36:40.101334	4150	53	2	1
2014-03-25 11:36:44.778305	4151	370	3	2
2014-03-25 11:36:56.778669	4152	402	3	2
2014-03-26 19:35:20.582512	29329	515	3	2
2014-03-26 19:35:20.818903	29330	1086804.6462135506	4	2
2014-03-25 11:37:08.775231	4157	370	3	2
2014-03-25 11:37:18.881756	4158	20.1	1	1
2014-03-25 11:37:19.105272	4159	53	2	1
2014-03-25 11:37:20.778674	4160	370	3	2
2014-03-25 11:37:32.776794	4161	370	3	2
2014-03-26 19:35:26.777246	29331	21.5	1	1
2014-03-26 19:35:27.002121	29332	49	2	1
2014-03-25 11:37:44.77903	4166	402	3	2
2014-03-25 11:37:56.775047	4167	418	3	2
2014-03-25 11:37:57.881047	4168	20.1	1	1
2014-03-25 11:37:58.103654	4169	53	2	1
2014-03-26 19:35:32.580199	29333	515	3	2
2014-03-26 19:35:32.821098	29334	1086805.795248272	4	2
2014-03-25 11:38:32.774972	4174	434	3	2
2014-03-25 11:38:36.880448	4175	20.1	1	1
2014-03-25 11:38:37.103172	4176	53	2	1
2014-03-26 19:35:50.055942	29335	21.3	1	9
2014-03-26 19:35:50.283018	29336	50	2	9
2014-03-25 11:39:15.878003	4181	20.1	1	1
2014-03-25 11:39:16.100747	4182	53	2	1
2014-03-25 11:39:32.777796	4183	434	3	2
2014-03-26 19:35:51.143224	29337	20.7	1	8
2014-03-26 19:35:51.490023	29338	52	2	8
2014-03-25 11:39:54.879772	4188	20.1	1	1
2014-03-25 11:39:55.124356	4189	53	2	1
2014-03-26 19:36:05.781659	29339	21.5	1	1
2014-03-26 19:36:06.0058	29340	49	2	1
2014-03-25 11:40:32.776922	4194	418	3	2
2014-03-25 11:40:33.878582	4195	20.1	1	1
2014-03-25 11:40:34.100385	4196	53	2	1
2014-03-26 19:36:29.055013	29341	21.3	1	9
2014-03-26 19:36:29.299974	29342	50	2	9
2014-03-25 11:41:12.878679	4201	20.1	1	1
2014-03-25 11:41:13.100795	4202	53	2	1
2014-03-25 11:41:32.774836	4203	418	3	2
2014-03-26 19:36:30.141714	29343	20.7	1	8
2014-03-26 19:36:30.449725	29344	52	2	8
2014-03-25 11:41:51.875764	4208	20.1	1	1
2014-03-25 11:41:52.107752	4209	53	2	1
2014-03-26 19:36:32.582678	29345	498	3	2
2014-03-25 11:42:30.871735	4214	20.1	1	1
2014-03-25 11:42:31.097002	4215	53	2	1
2014-03-25 11:42:32.777549	4216	450	3	2
2014-03-25 11:31:09.793066	4085	21.1	1	10
2014-03-25 11:31:10.01776	4086	58	2	10
2014-03-25 11:31:48.790154	4093	21.1	1	10
2014-03-25 11:31:49.014367	4094	58	2	10
2014-03-25 11:32:27.790026	4099	21.1	1	10
2014-03-25 11:32:28.035371	4100	58	2	10
2014-03-25 11:33:06.790412	4106	21.1	1	10
2014-03-25 11:33:07.011443	4107	58	2	10
2014-03-25 11:33:45.790117	4113	21.1	1	10
2014-03-25 11:33:46.011043	4114	58	2	10
2014-03-25 11:34:24.789904	4119	21.1	1	10
2014-03-25 11:34:25.013632	4120	58	2	10
2014-03-25 11:35:03.807416	4126	21.1	1	10
2014-03-25 11:35:04.03006	4127	57	2	10
2014-03-25 11:35:42.79204	4134	21.1	1	10
2014-03-25 11:35:43.013596	4135	57	2	10
2014-03-25 11:36:21.907836	4144	21.1	1	10
2014-03-25 11:36:22.153854	4145	57	2	10
2014-03-25 11:37:00.79179	4153	21.1	1	10
2014-03-25 11:37:01.015215	4154	57	2	10
2014-03-25 11:37:39.791812	4162	21.1	1	10
2014-03-25 11:37:40.026073	4163	57	2	10
2014-03-25 11:38:18.79275	4170	21.1	1	10
2014-03-25 11:38:19.01499	4171	57	2	10
2014-03-25 11:38:57.793492	4177	21.1	1	10
2014-03-25 11:38:58.016228	4178	57	2	10
2014-03-25 11:39:36.792218	4184	21.1	1	10
2014-03-25 11:39:37.027611	4185	57	2	10
2014-03-25 11:40:15.792719	4190	21.1	1	10
2014-03-25 11:40:16.015591	4191	57	2	10
2014-03-25 11:40:54.791705	4197	21.1	1	10
2014-03-25 11:40:55.014216	4198	57	2	10
2014-03-25 11:41:33.794566	4204	21.1	1	10
2014-03-25 11:41:34.027189	4205	57	2	10
2014-03-25 11:42:44.777776	4217	450	3	2
2014-03-26 19:36:32.822569	29346	1086814.9875260433	4	2
2014-03-26 19:36:44.780476	29347	21.5	1	1
2014-03-25 11:43:09.874985	4222	20.1	1	1
2014-03-25 11:43:10.099586	4223	53	2	1
2014-03-26 19:36:45.005805	29348	49	2	1
2014-03-26 19:36:56.583001	29349	611	3	2
2014-03-25 11:43:32.789827	4228	450	3	2
2014-03-25 11:43:48.874988	4229	20.1	1	1
2014-03-25 11:43:49.100517	4230	53	2	1
2014-03-26 19:36:56.817725	29350	1086818.4346302075	4	2
2014-03-26 19:37:08.055409	29351	21.3	1	9
2014-03-25 11:44:27.874206	4235	20.1	1	1
2014-03-25 11:44:28.096325	4236	53	2	1
2014-03-25 11:44:32.775203	4237	466	3	2
2014-03-25 11:44:44.775145	4238	434	3	2
2014-03-26 19:37:08.280604	29352	50	2	9
2014-03-26 19:37:08.58744	29353	676	3	2
2014-03-25 11:44:56.775593	4243	434	3	2
2014-03-25 11:45:06.875025	4244	20.1	1	1
2014-03-25 11:45:07.106957	4245	53	2	1
2014-03-26 19:37:08.82474	29354	1086820.7326996503	4	2
2014-03-26 19:37:09.142243	29355	20.7	1	8
2014-03-25 11:45:32.775589	4250	434	3	2
2014-03-25 11:45:46.113186	4251	20.1	1	1
2014-03-25 11:45:46.335876	4252	53	2	1
2014-03-26 19:37:09.36772	29356	52	2	8
2014-03-26 19:37:20.579892	29357	595	3	2
2014-03-25 11:46:24.875096	4257	20.1	1	1
2014-03-25 11:46:25.097445	4258	53	2	1
2014-03-25 11:46:32.779474	4259	418	3	2
2014-03-26 19:37:20.820371	29358	1086823.0307690932	4	2
2014-03-26 19:37:23.780988	29359	21.5	1	1
2014-03-25 11:47:03.875603	4264	20.1	1	1
2014-03-25 11:47:04.152397	4265	53	2	1
2014-03-26 19:37:24.006675	29360	49	2	1
2014-03-26 19:37:32.579384	29361	724	3	2
2014-03-25 11:47:32.77661	4270	418	3	2
2014-03-25 11:47:42.873305	4271	20.1	1	1
2014-03-25 11:47:43.096789	4272	53	2	1
2014-03-26 19:37:32.824645	29362	1086825.328838536	4	2
2014-03-26 19:37:36.664706	29363	22.0	1	10
2014-03-25 11:48:21.870413	4277	20.1	1	1
2014-03-25 11:48:22.116198	4278	53	2	1
2014-03-25 11:48:32.775308	4279	418	3	2
2014-03-26 19:37:36.893427	29364	40	2	10
2014-03-26 19:37:44.579754	29365	724	3	2
2014-03-25 11:48:44.775577	4284	370	3	2
2014-03-25 11:48:56.773588	4285	370	3	2
2014-03-25 11:49:00.869414	4286	20.1	1	1
2014-03-25 11:49:01.090587	4287	53	2	1
2014-03-25 11:49:20.776425	4288	402	3	2
2014-03-26 19:37:44.817242	29366	1086827.626907979	4	2
2014-03-26 19:37:47.056229	29367	21.3	1	9
2014-03-25 11:49:32.77809	4293	370	3	2
2014-03-25 11:49:39.872452	4294	20.1	1	1
2014-03-25 11:49:40.407346	4295	53	2	1
2014-03-25 11:49:44.775499	4296	370	3	2
2014-03-25 11:49:56.774151	4297	402	3	2
2014-03-26 19:37:47.278544	29368	50	2	9
2014-03-26 19:37:48.141332	29369	20.7	1	8
2014-03-25 11:50:08.778636	4302	402	3	2
2014-03-25 11:50:18.87028	4303	20.1	1	1
2014-03-25 11:50:19.128116	4304	53	2	1
2014-03-25 11:50:32.774081	4305	370	3	2
2014-03-26 19:37:48.375449	29370	52	2	8
2014-03-26 19:38:02.78188	29371	21.5	1	1
2014-03-25 11:50:44.774778	4310	402	3	2
2014-03-25 11:50:56.779159	4311	402	3	2
2014-03-25 11:50:57.870495	4312	20.1	1	1
2014-03-25 11:50:58.093236	4313	53	2	1
2014-03-25 11:51:08.776511	4314	354	3	2
2014-03-26 19:38:03.007881	29372	49	2	1
2014-03-26 19:38:15.664995	29373	22.2	1	10
2014-03-25 11:51:20.777036	4319	402	3	2
2014-03-25 11:51:32.774017	4320	434	3	2
2014-03-25 11:51:36.871354	4321	20.1	1	1
2014-03-25 11:51:37.113991	4322	53	2	1
2014-03-25 11:51:44.777983	4323	418	3	2
2014-03-26 19:38:15.901121	29374	40	2	10
2014-03-26 19:38:26.055493	29375	21.3	1	9
2014-03-25 11:52:15.869473	4328	20.1	1	1
2014-03-25 11:52:16.092997	4329	53	2	1
2014-03-25 11:52:32.779369	4330	434	3	2
2014-03-26 19:38:26.279089	29376	50	2	9
2014-03-26 19:38:27.142741	29377	20.8	1	8
2014-03-25 11:52:54.872923	4335	20.1	1	1
2014-03-25 11:52:55.095105	4336	53	2	1
2014-03-26 19:38:27.377664	29378	52	2	8
2014-03-26 19:38:32.581117	29379	659	3	2
2014-03-26 19:38:32.807935	29380	1086836.81918575	4	2
2014-03-25 11:53:32.77401	4341	418	3	2
2014-03-25 11:53:33.871365	4342	20.1	1	1
2014-03-25 11:53:34.150104	4343	53	2	1
2014-03-26 19:38:41.77645	29381	21.5	1	1
2014-03-26 19:38:42.013457	29382	49	2	1
2014-03-25 11:54:12.8668	4348	20.1	1	1
2014-03-25 11:54:13.091364	4349	53	2	1
2014-03-25 11:54:32.775257	4350	418	3	2
2014-03-25 11:42:51.793825	4218	21.1	1	10
2014-03-25 11:42:52.019139	4219	57	2	10
2014-03-25 11:43:30.792498	4224	21.1	1	10
2014-03-25 11:43:31.016236	4225	57	2	10
2014-03-25 11:44:09.793868	4231	21.1	1	10
2014-03-25 11:44:10.017686	4232	57	2	10
2014-03-25 11:44:48.793393	4239	21.1	1	10
2014-03-25 11:44:49.015805	4240	57	2	10
2014-03-25 11:45:27.794375	4246	21.1	1	10
2014-03-25 11:45:28.01729	4247	57	2	10
2014-03-25 11:46:06.794417	4253	21.1	1	10
2014-03-25 11:46:07.0158	4254	57	2	10
2014-03-25 11:46:45.795499	4260	21.1	1	10
2014-03-25 11:46:46.017713	4261	57	2	10
2014-03-25 11:47:24.79531	4266	21.1	1	10
2014-03-25 11:47:25.029915	4267	57	2	10
2014-03-25 11:48:03.79523	4273	21.1	1	10
2014-03-25 11:48:04.049995	4274	57	2	10
2014-03-25 11:48:42.794722	4280	21.1	1	10
2014-03-25 11:48:43.017929	4281	57	2	10
2014-03-25 11:49:21.79465	4289	21.1	1	10
2014-03-25 11:49:22.026624	4290	57	2	10
2014-03-25 11:50:00.796192	4298	21.1	1	10
2014-03-25 11:50:01.067165	4299	57	2	10
2014-03-25 11:50:39.79579	4306	21.1	1	10
2014-03-25 11:50:40.019338	4307	57	2	10
2014-03-25 11:51:18.796495	4315	21.1	1	10
2014-03-25 11:51:19.019273	4316	57	2	10
2014-03-25 11:51:57.796457	4324	21.1	1	10
2014-03-25 11:51:58.019227	4325	57	2	10
2014-03-25 11:52:36.796434	4331	21.1	1	10
2014-03-25 11:52:37.018467	4332	56	2	10
2014-03-25 11:53:15.797058	4337	21.1	1	10
2014-03-26 19:38:44.579745	29383	724	3	2
2014-03-26 19:38:44.804299	29384	1086839.117255193	4	2
2014-03-25 11:54:51.86934	4355	20.1	1	1
2014-03-25 11:54:52.091648	4356	53	2	1
2014-03-26 19:38:54.663804	29385	22.4	1	10
2014-03-26 19:38:54.898894	29386	41	2	10
2014-03-25 11:55:30.867558	4361	20.1	1	1
2014-03-25 11:55:31.101695	4362	53	2	1
2014-03-25 11:55:32.775567	4363	434	3	2
2014-03-26 19:39:05.056594	29387	21.3	1	9
2014-03-26 19:39:05.281462	29388	50	2	9
2014-03-25 11:55:56.775193	4368	402	3	2
2014-03-25 11:56:08.776487	4369	402	3	2
2014-03-25 11:56:09.869617	4370	20.1	1	1
2014-03-25 11:56:10.095396	4371	53	2	1
2014-03-25 11:56:30.597835	4372	434	3	2
2014-03-26 19:39:06.143117	29389	20.8	1	8
2014-03-26 19:39:06.386352	29390	52	2	8
2014-03-25 11:56:32.775889	4377	434	3	2
2014-03-25 11:56:48.868586	4378	20.1	1	1
2014-03-25 11:56:49.091797	4379	53	2	1
2014-03-25 11:56:56.775586	4380	402	3	2
2014-03-25 11:57:08.778079	4381	418	3	2
2014-03-26 19:39:20.775955	29391	21.5	1	1
2014-03-26 19:39:21.000633	29392	49	2	1
2014-03-25 11:57:20.777463	4386	466	3	2
2014-03-25 11:57:27.869773	4387	20.1	1	1
2014-03-25 11:57:28.092365	4388	53	2	1
2014-03-25 11:57:32.778912	4389	450	3	2
2014-03-26 19:39:32.579936	29393	724	3	2
2014-03-26 19:39:32.814799	29394	1086849.4585676857	4	2
2014-03-25 11:58:06.865814	4394	20.1	1	1
2014-03-25 11:58:07.098941	4395	53	2	1
2014-03-26 19:39:33.663263	29395	22.6	1	10
2014-03-26 19:39:33.887616	29396	40	2	10
2014-03-25 11:58:32.775179	4400	466	3	2
2014-03-25 11:58:45.862654	4401	20.1	1	1
2014-03-25 11:58:46.086546	4402	53	2	1
2014-03-26 19:39:44.055315	29397	21.4	1	9
2014-03-26 19:39:44.293982	29398	50	2	9
2014-03-25 11:59:24.865243	4407	20.1	1	1
2014-03-25 11:59:25.093851	4408	53	2	1
2014-03-25 11:59:32.774961	4409	450	3	2
2014-03-26 19:39:45.144162	29399	20.8	1	8
2014-03-26 19:39:45.367363	29400	52	2	8
2014-03-25 12:00:03.867765	4414	20.1	1	1
2014-03-25 12:00:04.093129	4415	53	2	1
2014-03-26 19:39:59.775745	29401	21.5	1	1
2014-03-26 19:40:00.011165	29402	49	2	1
2014-03-25 12:00:32.775898	4420	450	3	2
2014-03-25 12:00:42.865919	4421	20.1	1	1
2014-03-25 12:00:43.091972	4422	53	2	1
2014-03-26 19:40:12.719074	29403	22.6	1	10
2014-03-26 19:40:12.94446	29404	40	2	10
2014-03-25 12:01:21.862781	4427	20.1	1	1
2014-03-25 12:01:22.097162	4428	53	2	1
2014-03-25 12:01:32.776829	4429	450	3	2
2014-03-26 19:40:20.579489	29405	837	3	2
2014-03-26 19:40:20.814798	29406	1086858.650845457	4	2
2014-03-25 12:02:00.863906	4434	20.1	1	1
2014-03-25 12:02:01.100575	4435	53	2	1
2014-03-26 19:40:23.056702	29407	21.4	1	9
2014-03-26 19:40:23.281498	29408	50	2	9
2014-03-25 12:02:32.7748	4440	450	3	2
2014-03-25 12:02:39.860566	4441	20.1	1	1
2014-03-25 12:02:40.084223	4442	53	2	1
2014-03-26 19:40:24.142621	29409	20.8	1	8
2014-03-26 19:40:24.378292	29410	52	2	8
2014-03-25 12:03:18.874031	4447	20.1	1	1
2014-03-25 12:03:19.096181	4448	53	2	1
2014-03-25 12:03:20.777031	4449	498	3	2
2014-03-25 12:03:32.773549	4450	482	3	2
2014-03-26 19:40:32.579851	29411	869	3	2
2014-03-26 19:40:32.804629	29412	1086862.0979496213	4	2
2014-03-25 12:03:57.866007	4455	20.1	1	1
2014-03-25 12:03:58.091018	4456	53	2	1
2014-03-26 19:40:38.776325	29413	21.4	1	1
2014-03-26 19:40:39.015626	29414	49	2	1
2014-03-25 12:04:32.77236	4461	498	3	2
2014-03-25 12:04:36.865123	4462	20.1	1	1
2014-03-25 12:04:37.089246	4463	53	2	1
2014-03-25 12:04:44.774796	4464	466	3	2
2014-03-25 12:04:56.772288	4465	466	3	2
2014-03-26 19:40:44.58155	29415	869	3	2
2014-03-26 19:40:44.810108	29416	1086864.3960190641	4	2
2014-03-25 12:05:15.863598	4470	20.1	1	1
2014-03-25 12:05:16.08762	4471	53	2	1
2014-03-25 12:05:32.775815	4472	466	3	2
2014-03-26 19:40:51.659398	29417	22.6	1	10
2014-03-26 19:40:51.895771	29418	39	2	10
2014-03-25 12:05:54.865825	4477	20.1	1	1
2014-03-25 12:05:55.089109	4478	53	2	1
2014-03-26 19:41:02.056225	29419	21.4	1	9
2014-03-25 12:06:32.777101	4483	466	3	2
2014-03-25 12:06:33.859206	4484	20.1	1	1
2014-03-25 12:06:34.082999	4485	53	2	1
2014-03-25 11:55:12.796728	4357	21.1	1	10
2014-03-25 11:55:13.030121	4358	56	2	10
2014-03-25 11:55:51.797658	4364	21.1	1	10
2014-03-25 11:55:52.021026	4365	56	2	10
2014-03-25 11:56:30.914241	4373	21.1	1	10
2014-03-25 11:56:31.137103	4374	56	2	10
2014-03-25 11:57:09.797781	4382	21.1	1	10
2014-03-25 11:57:10.024538	4383	56	2	10
2014-03-25 11:57:48.799051	4390	21.1	1	10
2014-03-25 11:57:49.033846	4391	56	2	10
2014-03-25 11:58:27.798087	4396	21.1	1	10
2014-03-25 11:58:28.022925	4397	56	2	10
2014-03-25 11:59:06.800308	4403	21.1	1	10
2014-03-25 11:59:07.024896	4404	56	2	10
2014-03-25 11:59:46.00513	4410	21.1	1	10
2014-03-25 11:59:46.230161	4411	56	2	10
2014-03-25 12:00:24.807195	4416	21.1	1	10
2014-03-25 12:00:25.038961	4417	56	2	10
2014-03-25 12:01:03.792553	4423	21.1	1	10
2014-03-25 12:01:04.024817	4424	56	2	10
2014-03-25 12:01:42.799061	4430	21.1	1	10
2014-03-25 12:01:43.021322	4431	56	2	10
2014-03-25 12:02:21.799586	4436	21.1	1	10
2014-03-25 12:02:22.021354	4437	56	2	10
2014-03-25 12:03:00.802499	4443	21.1	1	10
2014-03-25 12:03:01.025067	4444	56	2	10
2014-03-25 12:03:39.80175	4451	21.1	1	10
2014-03-25 12:03:40.026072	4452	56	2	10
2014-03-25 12:04:18.800146	4457	21.1	1	10
2014-03-25 12:04:19.047904	4458	56	2	10
2014-03-25 12:04:57.80179	4466	21.1	1	10
2014-03-25 12:04:58.02403	4467	56	2	10
2014-03-25 12:05:36.799831	4473	21.1	1	10
2014-03-25 12:05:37.025154	4474	56	2	10
2014-03-25 12:06:15.800692	4479	21.1	1	10
2014-03-25 12:06:16.033146	4480	56	2	10
2014-03-25 12:07:12.860377	4490	20.1	1	1
2014-03-25 12:07:13.093427	4491	53	2	1
2014-03-25 12:07:32.774971	4492	466	3	2
2014-03-25 12:07:51.864034	4497	20.1	1	1
2014-03-25 12:07:52.098707	4498	53	2	1
2014-03-26 19:41:02.279104	29420	50	2	9
2014-03-26 19:41:03.142545	29421	20.8	1	8
2014-03-25 12:08:30.857749	4503	20.1	1	1
2014-03-25 12:08:31.080335	4504	53	2	1
2014-03-25 12:08:32.775602	4505	450	3	2
2014-03-26 19:41:03.376783	29422	52	2	8
2014-03-26 19:41:17.776712	29423	21.4	1	1
2014-03-25 12:08:56.773388	4510	418	3	2
2014-03-25 12:09:08.773333	4511	418	3	2
2014-03-25 12:09:09.864205	4512	20.1	1	1
2014-03-25 12:09:10.101217	4513	53	2	1
2014-03-26 19:41:18.00572	29424	49	2	1
2014-03-26 19:41:30.662769	29425	22.6	1	10
2014-03-25 12:09:32.775142	4518	418	3	2
2014-03-25 12:09:48.859745	4519	20.1	1	1
2014-03-25 12:09:49.084535	4520	53	2	1
2014-03-26 19:41:30.898	29426	39	2	10
2014-03-26 19:41:41.054646	29427	21.4	1	9
2014-03-25 12:10:27.863068	4525	20.1	1	1
2014-03-25 12:10:28.086776	4526	53	2	1
2014-03-25 12:10:32.780623	4527	418	3	2
2014-03-26 19:41:41.279192	29428	50	2	9
2014-03-26 19:41:42.142592	29429	20.8	1	8
2014-03-25 12:11:06.864615	4532	20.1	1	1
2014-03-25 12:11:07.087146	4533	53	2	1
2014-03-26 19:41:42.375313	29430	52	2	8
2014-03-26 19:41:44.582151	29431	965	3	2
2014-03-26 19:41:44.808863	29432	1086879.3334704426	4	2
2014-03-26 19:41:56.575781	29433	949	3	2
2014-03-25 12:11:32.772755	4540	418	3	2
2014-03-25 12:11:44.776159	4541	354	3	2
2014-03-25 12:11:45.861843	4542	20.1	1	1
2014-03-25 12:11:46.094424	4543	53	2	1
2014-03-25 12:11:56.778913	4544	338	3	2
2014-03-26 19:41:56.809743	29434	1086882.7805746067	4	2
2014-03-26 19:41:57.118799	29435	21.4	1	1
2014-03-25 12:12:24.86131	4549	20.1	1	1
2014-03-25 12:12:25.103808	4550	53	2	1
2014-03-25 12:12:32.774567	4551	338	3	2
2014-03-26 19:41:57.343365	29436	49	2	1
2014-03-26 19:42:09.667188	29437	22.5	1	10
2014-03-25 12:13:03.860397	4556	20.1	1	1
2014-03-25 12:13:04.088803	4557	53	2	1
2014-03-26 19:42:09.911972	29438	39	2	10
2014-03-26 19:42:20.055285	29439	21.4	1	9
2014-03-25 12:13:32.778183	4562	338	3	2
2014-03-25 12:13:42.857116	4563	20.1	1	1
2014-03-25 12:13:43.081401	4564	53	2	1
2014-03-26 19:42:20.278225	29440	49	2	9
2014-03-26 19:42:20.585808	29441	901	3	2
2014-03-25 12:14:21.864643	4569	20.1	1	1
2014-03-25 12:14:22.087225	4570	53	2	1
2014-03-25 12:14:32.775841	4571	354	3	2
2014-03-26 19:42:20.819434	29442	1086889.6747829353	4	2
2014-03-26 19:42:21.14256	29443	20.8	1	8
2014-03-25 12:15:00.851329	4576	20.1	1	1
2014-03-25 12:15:01.076962	4577	53	2	1
2014-03-25 12:15:20.784715	4578	402	3	2
2014-03-26 19:42:21.365245	29444	52	2	8
2014-03-26 19:42:32.579775	29445	965	3	2
2014-03-25 12:15:32.771383	4583	402	3	2
2014-03-25 12:15:39.859243	4584	20.1	1	1
2014-03-25 12:15:40.08441	4585	53	2	1
2014-03-26 19:42:32.815658	29446	1086891.9728523782	4	2
2014-03-26 19:42:35.776845	29447	21.4	1	1
2014-03-25 12:16:18.859358	4590	20.1	1	1
2014-03-25 12:16:19.082841	4591	53	2	1
2014-03-26 19:42:36.000024	29448	49	2	1
2014-03-26 19:42:44.579855	29449	981	3	2
2014-03-25 12:16:32.771642	4594	402	3	2
2014-03-26 19:42:44.819082	29450	1086895.4199565423	4	2
2014-03-26 19:42:48.666766	29451	22.5	1	10
2014-03-25 12:16:42.42283	4599	20.5	1	8
2014-03-25 12:16:42.64532	4600	63	2	8
2014-03-25 12:16:44.77407	4601	370	3	2
2014-03-25 12:16:56.772468	4602	402	3	2
2014-03-25 12:16:57.85952	4603	20.1	1	1
2014-03-25 12:16:58.092594	4604	53	2	1
2014-03-25 12:17:08.822498	4605	370	3	2
2014-03-26 19:42:48.889589	29452	39	2	10
2014-03-25 12:17:20.775195	4610	402	3	2
2014-03-25 12:17:21.187768	4611	20.7	1	8
2014-03-25 12:17:21.416199	4612	64	2	8
2014-03-25 12:17:32.770583	4613	370	3	2
2014-03-25 12:17:36.857981	4614	20.1	1	1
2014-03-25 12:17:37.103565	4615	53	2	1
2014-03-25 12:17:44.772744	4616	370	3	2
2014-03-25 12:17:56.772099	4617	418	3	2
2014-03-25 12:18:00.186504	4622	20.8	1	8
2014-03-25 12:18:00.418845	4623	63	2	8
2014-03-25 12:18:08.773576	4624	370	3	2
2014-03-25 12:06:55.737972	4489	61	2	9
2014-03-25 12:07:34.558161	4495	20.2	1	9
2014-03-25 12:07:34.784136	4496	61	2	9
2014-03-25 12:07:33.802718	4493	21.1	1	10
2014-03-25 12:07:34.025398	4494	56	2	10
2014-03-25 12:08:12.803911	4499	21.1	1	10
2014-03-25 12:08:13.02805	4500	56	2	10
2014-03-25 12:08:51.803968	4506	21.1	1	10
2014-03-25 12:08:52.046077	4507	56	2	10
2014-03-25 12:09:30.810114	4514	21.1	1	10
2014-03-25 12:09:31.035801	4515	56	2	10
2014-03-25 12:10:09.803984	4521	21.1	1	10
2014-03-25 12:10:10.033553	4522	56	2	10
2014-03-25 12:10:48.802995	4528	21.1	1	10
2014-03-25 12:10:49.027048	4529	56	2	10
2014-03-25 12:11:27.803385	4536	21.1	1	10
2014-03-25 12:11:28.027982	4537	56	2	10
2014-03-25 12:12:06.802501	4545	21.1	1	10
2014-03-25 12:12:07.025337	4546	56	2	10
2014-03-25 12:12:45.803184	4552	21.1	1	10
2014-03-25 12:12:46.026807	4553	56	2	10
2014-03-25 12:13:24.804953	4558	21.1	1	10
2014-03-25 12:13:25.029553	4559	56	2	10
2014-03-25 12:14:03.806637	4565	21.1	1	10
2014-03-25 12:14:04.028862	4566	56	2	10
2014-03-25 12:14:42.839907	4572	21.1	1	10
2014-03-25 12:14:43.078021	4573	56	2	10
2014-03-25 12:15:21.806781	4579	21.1	1	10
2014-03-25 12:15:22.051439	4580	56	2	10
2014-03-25 12:16:00.803674	4586	21.1	1	10
2014-03-25 12:16:01.026993	4587	56	2	10
2014-03-25 12:16:39.804295	4595	21.0	1	10
2014-03-25 12:16:40.026263	4596	56	2	10
2014-03-25 12:17:18.805481	4606	21.0	1	10
2014-03-25 12:17:19.033684	4607	56	2	10
2014-03-25 12:17:57.808022	4618	21.0	1	10
2014-03-25 12:18:15.855311	4625	20.1	1	1
2014-03-25 12:18:16.078799	4626	53	2	1
2014-03-25 12:18:20.772984	4627	402	3	2
2014-03-25 12:18:32.773053	4628	402	3	2
2014-03-26 19:42:56.577665	29453	1062	3	2
2014-03-26 19:42:56.815231	29454	1086898.8670607067	4	2
2014-03-25 12:18:39.18764	4633	20.9	1	8
2014-03-25 12:18:39.431744	4634	63	2	8
2014-03-25 12:18:54.851998	4635	20.1	1	1
2014-03-25 12:18:55.074091	4636	53	2	1
2014-03-26 19:42:59.055384	29455	21.4	1	9
2014-03-26 19:42:59.278026	29456	49	2	9
2014-03-25 12:19:18.188798	4641	20.9	1	8
2014-03-25 12:19:18.422224	4642	62	2	8
2014-03-25 12:19:32.776638	4643	402	3	2
2014-03-25 12:19:33.852171	4644	20.1	1	1
2014-03-25 12:19:34.074154	4645	53	2	1
2014-03-26 19:43:00.142188	29457	20.8	1	8
2014-03-26 19:43:00.375283	29458	52	2	8
2014-03-25 12:19:57.191463	4650	20.9	1	8
2014-03-25 12:19:57.4139	4651	62	2	8
2014-03-25 12:20:12.857144	4652	20.1	1	1
2014-03-25 12:20:13.082066	4653	53	2	1
2014-03-25 12:20:32.784975	4654	418	3	2
2014-03-26 19:43:08.577988	29459	1062	3	2
2014-03-26 19:43:08.804157	29460	1086902.314164871	4	2
2014-03-25 12:20:36.192838	4659	20.9	1	8
2014-03-25 12:20:36.425498	4660	61	2	8
2014-03-25 12:20:51.853977	4661	20.1	1	1
2014-03-25 12:20:52.089641	4662	53	2	1
2014-03-25 12:20:56.769777	4663	370	3	2
2014-03-25 12:21:08.77566	4664	370	3	2
2014-03-26 19:43:15.013151	29461	21.3	1	1
2014-03-26 19:43:15.247703	29462	49	2	1
2014-03-25 12:21:15.17662	4669	21.0	1	8
2014-03-25 12:21:15.409844	4670	61	2	8
2014-03-25 12:21:20.77429	4671	402	3	2
2014-03-25 12:21:30.866931	4672	20.1	1	1
2014-03-25 12:21:31.107358	4673	53	2	1
2014-03-25 12:21:32.783031	4674	370	3	2
2014-03-25 12:21:44.773542	4675	370	3	2
2014-03-26 19:43:27.667181	29463	22.5	1	10
2014-03-26 19:43:27.946795	29464	39	2	10
2014-03-25 12:22:09.856745	4680	20.1	1	1
2014-03-25 12:22:10.09987	4681	53	2	1
2014-03-25 12:22:20.776225	4682	402	3	2
2014-03-26 19:43:32.582715	29465	1046	3	2
2014-03-26 19:43:32.817931	29466	1086909.2083731994	4	2
2014-03-25 12:22:32.77856	4687	370	3	2
2014-03-25 12:22:44.772819	4688	370	3	2
2014-03-25 12:22:48.855602	4689	20.1	1	1
2014-03-25 12:22:49.076986	4690	53	2	1
2014-03-26 19:43:38.056014	29467	21.5	1	9
2014-03-26 19:43:38.284353	29468	49	2	9
2014-03-25 12:23:12.18833	4695	21.1	1	8
2014-03-25 12:23:12.419411	4696	60	2	8
2014-03-25 12:23:27.856883	4697	20.1	1	1
2014-03-25 12:23:28.078958	4698	53	2	1
2014-03-25 12:23:32.772129	4699	370	3	2
2014-03-26 19:43:39.140981	29469	20.8	1	8
2014-03-26 19:43:39.374991	29470	53	2	8
2014-03-25 12:23:51.1862	4704	21.2	1	8
2014-03-25 12:23:51.408433	4705	61	2	8
2014-03-25 12:24:06.854369	4706	20.1	1	1
2014-03-25 12:24:07.088718	4707	53	2	1
2014-03-25 12:24:08.77434	4708	402	3	2
2014-03-25 12:24:20.778113	4709	354	3	2
2014-03-26 19:43:53.779036	29471	21.3	1	1
2014-03-26 19:43:54.006056	29472	49	2	1
2014-03-25 12:24:30.188272	4714	21.3	1	8
2014-03-25 12:24:30.428119	4715	60	2	8
2014-03-25 12:24:32.775424	4716	370	3	2
2014-03-25 12:24:45.886132	4717	20.1	1	1
2014-03-25 12:24:46.108915	4718	53	2	1
2014-03-26 19:44:06.666241	29473	22.4	1	10
2014-03-26 19:44:06.902452	29474	39	2	10
2014-03-25 12:25:09.188322	4723	21.3	1	8
2014-03-25 12:25:09.410229	4724	59	2	8
2014-03-25 12:25:24.852017	4725	20.1	1	1
2014-03-25 12:25:25.103536	4726	53	2	1
2014-03-25 12:25:32.771905	4727	370	3	2
2014-03-26 19:44:17.057305	29475	21.5	1	9
2014-03-26 19:44:17.281179	29476	49	2	9
2014-03-25 12:25:48.320163	4732	21.3	1	8
2014-03-25 12:25:48.755233	4733	59	2	8
2014-03-25 12:25:56.90102	4734	402	3	2
2014-03-25 12:26:03.991134	4735	20.1	1	1
2014-03-25 12:26:04.410042	4736	53	2	1
2014-03-25 12:26:08.930018	4737	370	3	2
2014-03-25 12:26:20.771096	4738	370	3	2
2014-03-26 19:44:18.141532	29477	20.8	1	8
2014-03-26 19:44:18.375929	29478	53	2	8
2014-03-25 12:26:27.189361	4743	21.2	1	8
2014-03-25 12:26:27.421092	4744	58	2	8
2014-03-25 12:26:32.775041	4745	370	3	2
2014-03-25 12:26:42.979987	4746	20.1	1	1
2014-03-25 12:26:43.410023	4747	53	2	1
2014-03-26 19:44:32.571868	29479	1046	3	2
2014-03-26 19:44:32.797671	29480	1086927.592928742	4	2
2014-03-26 19:44:33.114774	29481	21.3	1	1
2014-03-25 12:27:06.190103	4752	21.2	1	8
2014-03-25 12:27:06.414243	4753	58	2	8
2014-03-25 12:27:20.773215	4754	418	3	2
2014-03-25 12:27:21.850845	4755	20.1	1	1
2014-03-25 12:27:22.084578	4756	53	2	1
2014-03-25 12:27:32.773064	4757	434	3	2
2014-03-25 12:18:36.804724	4629	21.0	1	10
2014-03-25 12:18:37.039204	4630	56	2	10
2014-03-25 12:19:15.806426	4637	21.0	1	10
2014-03-25 12:19:16.039191	4638	55	2	10
2014-03-25 12:19:54.805295	4646	21.0	1	10
2014-03-25 12:19:55.029627	4647	55	2	10
2014-03-25 12:20:33.817943	4655	21.0	1	10
2014-03-25 12:20:34.059389	4656	55	2	10
2014-03-25 12:21:12.805326	4665	21.0	1	10
2014-03-25 12:21:13.039202	4666	55	2	10
2014-03-25 12:21:51.807923	4676	21.0	1	10
2014-03-25 12:21:52.041618	4677	55	2	10
2014-03-25 12:22:30.806722	4683	21.0	1	10
2014-03-25 12:22:31.030317	4684	55	2	10
2014-03-25 12:23:09.806646	4691	21.0	1	10
2014-03-25 12:23:10.03979	4692	55	2	10
2014-03-25 12:23:48.805678	4700	21.0	1	10
2014-03-25 12:23:49.0285	4701	55	2	10
2014-03-25 12:24:27.808595	4710	21.0	1	10
2014-03-25 12:24:28.070718	4711	55	2	10
2014-03-25 12:25:06.82009	4719	21.0	1	10
2014-03-25 12:25:07.044713	4720	55	2	10
2014-03-25 12:25:45.806763	4728	21.0	1	10
2014-03-25 12:25:46.030899	4729	55	2	10
2014-03-25 12:26:24.934883	4739	21.0	1	10
2014-03-25 12:26:25.388074	4740	55	2	10
2014-03-25 12:27:03.80785	4748	21.0	1	10
2014-03-26 19:44:33.347913	29482	49	2	1
2014-03-25 12:27:45.186524	4762	21.1	1	8
2014-03-25 12:27:45.412168	4763	58	2	8
2014-03-25 12:28:00.849417	4764	20.1	1	1
2014-03-25 12:28:01.072872	4765	53	2	1
2014-03-26 19:44:45.666365	29483	22.4	1	10
2014-03-26 19:44:45.890829	29484	39	2	10
2014-03-25 12:28:24.188288	4770	21.1	1	8
2014-03-25 12:28:24.43325	4771	58	2	8
2014-03-25 12:28:32.770002	4772	531	3	2
2014-03-25 12:28:39.851861	4773	20.1	1	1
2014-03-25 12:28:40.075418	4774	53	2	1
2014-03-25 12:28:44.773872	4775	531	3	2
2014-03-26 19:44:56.056986	29485	21.5	1	9
2014-03-26 19:44:56.303319	29486	49	2	9
2014-03-25 12:29:03.188325	4780	21.0	1	8
2014-03-25 12:29:03.420675	4781	57	2	8
2014-03-25 12:29:18.850873	4782	20.1	1	1
2014-03-25 12:29:19.072825	4783	53	2	1
2014-03-25 12:29:32.772513	4784	531	3	2
2014-03-26 19:44:57.143252	29487	20.8	1	8
2014-03-26 19:44:57.366484	29488	53	2	8
2014-03-25 12:29:42.186235	4789	21.0	1	8
2014-03-25 12:29:42.408116	4790	57	2	8
2014-03-25 12:29:57.847092	4791	20.1	1	1
2014-03-25 12:29:58.080789	4792	53	2	1
2014-03-26 19:45:11.775504	29489	21.3	1	1
2014-03-26 19:45:12.009535	29490	49	2	1
2014-03-25 12:30:21.186076	4797	20.9	1	8
2014-03-25 12:30:21.409457	4798	57	2	8
2014-03-25 12:30:32.772277	4799	547	3	2
2014-03-25 12:30:36.844569	4800	20.1	1	1
2014-03-25 12:30:37.068697	4801	53	2	1
2014-03-25 12:31:00.18794	4802	20.9	1	8
2014-03-25 12:31:00.420133	4803	57	2	8
2014-03-25 12:31:15.84983	4804	20.1	1	1
2014-03-25 12:31:16.074949	4805	53	2	1
2014-03-25 12:31:32.77027	4806	547	3	2
2014-03-26 19:45:24.664289	29491	22.4	1	10
2014-03-26 19:45:24.890269	29492	39	2	10
2014-03-25 12:31:39.185654	4811	20.8	1	8
2014-03-25 12:31:39.410625	4812	57	2	8
2014-03-25 12:31:54.848543	4813	20.1	1	1
2014-03-25 12:31:55.082041	4814	53	2	1
2014-03-25 12:32:08.774218	4815	515	3	2
2014-03-26 19:45:32.58335	29493	1046	3	2
2014-03-26 19:45:32.819033	29494	1086944.8284495631	4	2
2014-03-25 12:32:18.188989	4820	20.8	1	8
2014-03-25 12:32:18.421514	4821	57	2	8
2014-03-25 12:32:20.773031	4822	498	3	2
2014-03-25 12:32:32.77377	4823	498	3	2
2014-03-25 12:32:33.84719	4824	20.1	1	1
2014-03-25 12:32:34.078244	4825	53	2	1
2014-03-26 19:45:35.054827	29495	21.5	1	9
2014-03-26 19:45:35.27995	29496	49	2	9
2014-03-25 12:32:56.764277	4830	418	3	2
2014-03-25 12:32:57.186822	4831	20.8	1	8
2014-03-25 12:32:57.409556	4832	57	2	8
2014-03-25 12:33:08.774015	4833	418	3	2
2014-03-25 12:33:12.852519	4834	20.0	1	1
2014-03-25 12:33:13.074935	4835	53	2	1
2014-03-25 12:33:32.771907	4836	418	3	2
2014-03-26 19:45:36.141961	29497	20.9	1	8
2014-03-26 19:45:36.378313	29498	53	2	8
2014-03-25 12:33:36.186194	4841	20.7	1	8
2014-03-25 12:33:36.409244	4842	57	2	8
2014-03-25 12:33:51.851486	4843	20.0	1	1
2014-03-25 12:33:52.081698	4844	53	2	1
2014-03-26 19:45:50.773082	29499	21.2	1	1
2014-03-26 19:45:50.999446	29500	49	2	1
2014-03-25 12:34:15.194233	4849	20.7	1	8
2014-03-25 12:34:15.419889	4850	57	2	8
2014-03-25 12:34:30.849455	4851	20.0	1	1
2014-03-25 12:34:31.083034	4852	53	2	1
2014-03-25 12:34:32.773415	4853	418	3	2
2014-03-26 19:46:03.66857	29501	22.4	1	10
2014-03-26 19:46:03.903564	29502	39	2	10
2014-03-25 12:34:54.190538	4858	20.7	1	8
2014-03-25 12:34:54.423993	4859	57	2	8
2014-03-25 12:35:09.843665	4860	20.0	1	1
2014-03-25 12:35:10.066516	4861	53	2	1
2014-03-26 19:46:14.056087	29503	21.5	1	9
2014-03-26 19:46:14.279289	29504	49	2	9
2014-03-25 12:35:32.775769	4866	402	3	2
2014-03-25 12:35:33.187934	4867	20.7	1	8
2014-03-25 12:35:33.413007	4868	57	2	8
2014-03-25 12:35:44.770837	4869	450	3	2
2014-03-25 12:35:48.848645	4870	20.0	1	1
2014-03-25 12:35:49.069293	4871	53	2	1
2014-03-25 12:35:56.773567	4872	402	3	2
2014-03-25 12:36:08.775714	4873	370	3	2
2014-03-26 19:46:15.141042	29505	20.9	1	8
2014-03-26 19:46:15.376275	29506	53	2	8
2014-03-25 12:36:12.187763	4878	20.6	1	8
2014-03-25 12:36:12.409643	4879	57	2	8
2014-03-25 12:36:20.771835	4880	370	3	2
2014-03-25 12:36:27.84449	4881	20.1	1	1
2014-03-25 12:36:28.068555	4882	53	2	1
2014-03-25 12:36:32.770766	4883	402	3	2
2014-03-25 12:36:44.770437	4884	402	3	2
2014-03-26 19:46:29.773161	29507	21.2	1	1
2014-03-26 19:46:29.999238	29508	49	2	1
2014-03-26 19:46:32.578699	29509	1030	3	2
2014-03-25 12:36:51.186423	4889	20.6	1	8
2014-03-25 12:36:51.409038	4890	57	2	8
2014-03-25 12:37:06.842071	4891	20.1	1	1
2014-03-25 12:37:07.075907	4892	53	2	1
2014-03-25 12:37:20.630909	4893	370	3	2
2014-03-25 12:37:20.937833	4894	354	3	2
2014-03-25 12:28:21.807938	4766	21.0	1	10
2014-03-25 12:28:22.040554	4767	55	2	10
2014-03-25 12:29:00.809732	4776	21.0	1	10
2014-03-25 12:29:01.041269	4777	55	2	10
2014-03-25 12:29:39.807949	4785	21.0	1	10
2014-03-25 12:29:40.032956	4786	55	2	10
2014-03-25 12:30:18.810156	4793	21.0	1	10
2014-03-25 12:30:19.033868	4794	55	2	10
2014-03-25 12:31:36.808671	4807	21.0	1	10
2014-03-25 12:31:37.035565	4808	55	2	10
2014-03-25 12:32:15.808997	4816	21.0	1	10
2014-03-25 12:32:16.051479	4817	55	2	10
2014-03-25 12:32:54.808668	4826	21.0	1	10
2014-03-25 12:32:55.032312	4827	55	2	10
2014-03-25 12:33:33.807755	4837	21.0	1	10
2014-03-25 12:33:34.030647	4838	55	2	10
2014-03-25 12:34:12.80932	4845	21.0	1	10
2014-03-25 12:34:13.031042	4846	55	2	10
2014-03-25 12:34:51.812021	4854	21.0	1	10
2014-03-25 12:34:52.036519	4855	55	2	10
2014-03-25 12:35:30.811415	4862	21.0	1	10
2014-03-25 12:35:31.054445	4863	55	2	10
2014-03-25 12:36:09.8097	4874	21.0	1	10
2014-03-25 12:36:10.033271	4875	55	2	10
2014-03-25 12:36:48.81166	4885	21.0	1	10
2014-03-26 19:46:32.812518	29510	1086962.0639703844	4	2
2014-03-26 19:46:42.666941	29511	22.4	1	10
2014-03-25 12:37:30.189272	4899	20.6	1	8
2014-03-25 12:37:30.422413	4900	57	2	8
2014-03-25 12:37:44.770018	4901	402	3	2
2014-03-25 12:37:45.844888	4902	20.1	1	1
2014-03-25 12:37:46.067669	4903	53	2	1
2014-03-26 19:46:42.893317	29512	39	2	10
2014-03-26 19:46:53.056763	29513	21.6	1	9
2014-03-25 12:38:08.772795	4908	370	3	2
2014-03-25 12:38:09.187116	4909	20.6	1	8
2014-03-25 12:38:09.412625	4910	57	2	8
2014-03-25 12:38:20.774211	4911	450	3	2
2014-03-25 12:38:24.846423	4912	20.1	1	1
2014-03-25 12:38:25.067222	4913	53	2	1
2014-03-25 12:38:32.77002	4914	450	3	2
2014-03-26 19:46:53.290766	29514	49	2	9
2014-03-26 19:46:54.142965	29515	20.9	1	8
2014-03-25 12:38:48.187024	4919	20.6	1	8
2014-03-25 12:38:48.413578	4920	57	2	8
2014-03-25 12:39:03.842205	4921	20.1	1	1
2014-03-25 12:39:04.074728	4922	53	2	1
2014-03-26 19:46:54.365905	29516	53	2	8
2014-03-26 19:47:08.773191	29517	21.2	1	1
2014-03-25 12:39:27.186496	4927	20.5	1	8
2014-03-25 12:39:27.408678	4928	57	2	8
2014-03-25 12:39:32.770431	4929	450	3	2
2014-03-25 12:39:42.845852	4930	20.1	1	1
2014-03-25 12:39:43.068665	4931	53	2	1
2014-03-26 19:47:09.00796	29518	49	2	1
2014-03-26 19:47:21.667767	29519	22.4	1	10
2014-03-25 12:40:06.188157	4936	20.5	1	8
2014-03-25 12:40:06.440386	4937	57	2	8
2014-03-25 12:40:20.770782	4938	418	3	2
2014-03-25 12:40:21.843649	4939	20.1	1	1
2014-03-25 12:40:22.066764	4940	53	2	1
2014-03-25 12:40:32.772127	4941	418	3	2
2014-03-26 19:47:21.891818	29520	39	2	10
2014-03-26 19:47:32.054825	29521	21.6	1	9
2014-03-25 12:40:45.187905	4946	20.5	1	8
2014-03-25 12:40:45.411573	4947	57	2	8
2014-03-25 12:41:00.843851	4948	20.0	1	1
2014-03-25 12:41:01.067516	4949	53	2	1
2014-03-26 19:47:32.2885	29522	49	2	9
2014-03-26 19:47:32.597001	29523	1046	3	2
2014-03-25 12:41:24.188445	4954	20.5	1	8
2014-03-25 12:41:24.420748	4955	57	2	8
2014-03-25 12:41:32.77182	4956	418	3	2
2014-03-25 12:41:39.839001	4957	20.0	1	1
2014-03-25 12:41:40.062729	4958	53	2	1
2014-03-26 19:47:32.822175	29524	1086979.2994912057	4	2
2014-03-26 19:47:33.143035	29525	20.9	1	8
2014-03-25 12:42:03.187263	4963	20.5	1	8
2014-03-25 12:42:03.407884	4964	57	2	8
2014-03-25 12:42:18.843534	4965	20.0	1	1
2014-03-25 12:42:19.076185	4966	53	2	1
2014-03-25 12:42:32.770559	4967	418	3	2
2014-03-26 19:47:33.37669	29526	53	2	8
2014-03-26 19:47:47.777444	29527	21.2	1	1
2014-03-25 12:42:42.188916	4972	20.5	1	8
2014-03-25 12:42:42.410303	4973	57	2	8
2014-03-25 12:42:57.839096	4974	20.0	1	1
2014-03-25 12:42:58.062211	4975	53	2	1
2014-03-26 19:47:48.004551	29528	49	2	1
2014-03-26 19:48:00.671233	29529	22.4	1	10
2014-03-25 12:43:21.187189	4980	20.5	1	8
2014-03-25 12:43:21.420162	4981	57	2	8
2014-03-25 12:43:32.76974	4982	418	3	2
2014-03-25 12:43:36.842159	4983	20.0	1	1
2014-03-25 12:43:37.064894	4984	53	2	1
2014-03-26 19:48:00.905266	29530	39	2	10
2014-03-26 19:48:08.580194	29531	949	3	2
2014-03-25 12:44:00.186715	4989	20.5	1	8
2014-03-25 12:44:00.413435	4990	57	2	8
2014-03-25 12:44:15.84105	4991	20.0	1	1
2014-03-25 12:44:16.074214	4992	53	2	1
2014-03-25 12:44:32.769366	4993	370	3	2
2014-03-26 19:48:08.807437	29532	1086989.6408036985	4	2
2014-03-26 19:48:11.056523	29533	21.6	1	9
2014-03-25 12:44:39.186519	4998	20.5	1	8
2014-03-25 12:44:39.417613	4999	57	2	8
2014-03-25 12:44:44.769374	5000	370	3	2
2014-03-25 12:44:54.838663	5001	20.0	1	1
2014-03-25 12:44:55.061415	5002	53	2	1
2014-03-26 19:48:11.30016	29534	49	2	9
2014-03-26 19:48:12.140629	29535	20.9	1	8
2014-03-25 12:45:18.186646	5007	20.5	1	8
2014-03-25 12:45:18.407811	5008	57	2	8
2014-03-25 12:45:20.768944	5009	305	3	2
2014-03-25 12:45:32.768846	5010	338	3	2
2014-03-25 12:45:33.840827	5011	20.0	1	1
2014-03-25 12:45:34.063878	5012	53	2	1
2014-03-25 12:45:44.772187	5013	338	3	2
2014-03-26 19:48:12.3634	29536	53	2	8
2014-03-25 12:45:57.186206	5018	20.4	1	8
2014-03-25 12:45:57.408417	5019	57	2	8
2014-03-25 12:46:08.772586	5020	289	3	2
2014-03-25 12:46:12.848716	5021	20.0	1	1
2014-03-25 12:46:13.08253	5022	53	2	1
2014-03-25 12:46:20.771185	5023	289	3	2
2014-03-25 12:46:32.76915	5024	289	3	2
2014-03-25 12:46:36.185772	5029	20.4	1	8
2014-03-25 12:46:36.419086	5030	57	2	8
2014-03-25 12:46:51.839897	5031	20.0	1	1
2014-03-25 12:46:52.064246	5032	53	2	1
2014-03-25 12:38:06.809563	4904	21.0	1	10
2014-03-25 12:38:07.032907	4905	55	2	10
2014-03-25 12:38:45.809834	4915	21.0	1	10
2014-03-25 12:38:46.033676	4916	55	2	10
2014-03-25 12:39:24.810695	4923	21.0	1	10
2014-03-25 12:39:25.034813	4924	55	2	10
2014-03-25 12:40:03.811967	4932	21.0	1	10
2014-03-25 12:40:04.04315	4933	55	2	10
2014-03-25 12:40:42.813399	4942	21.0	1	10
2014-03-25 12:40:43.037005	4943	55	2	10
2014-03-25 12:41:21.811373	4950	21.0	1	10
2014-03-25 12:41:22.055457	4951	55	2	10
2014-03-25 12:42:00.810118	4959	21.0	1	10
2014-03-25 12:42:01.033546	4960	55	2	10
2014-03-25 12:42:39.822599	4968	21.0	1	10
2014-03-25 12:42:40.045961	4969	55	2	10
2014-03-25 12:43:18.811927	4976	21.0	1	10
2014-03-25 12:43:19.054606	4977	55	2	10
2014-03-25 12:43:57.811791	4985	21.0	1	10
2014-03-25 12:43:58.035538	4986	55	2	10
2014-03-25 12:44:36.812584	4994	21.0	1	10
2014-03-25 12:44:37.055968	4995	55	2	10
2014-03-25 12:45:15.811312	5003	21.0	1	10
2014-03-25 12:45:16.033947	5004	55	2	10
2014-03-25 12:45:54.81378	5014	20.9	1	10
2014-03-25 12:45:55.036545	5015	55	2	10
2014-03-25 12:46:33.814824	5025	20.9	1	10
2014-03-25 12:46:34.049077	5026	55	2	10
2014-03-26 19:48:20.580573	29537	949	3	2
2014-03-26 19:48:20.819021	29538	1086993.0879078626	4	2
2014-03-25 12:47:15.188963	5037	20.4	1	8
2014-03-25 12:47:15.422939	5038	57	2	8
2014-03-25 12:47:30.840017	5039	20.0	1	1
2014-03-25 12:47:31.064545	5040	53	2	1
2014-03-25 12:47:32.771227	5041	289	3	2
2014-03-26 19:48:26.77275	29539	21.2	1	1
2014-03-26 19:48:26.996869	29540	49	2	1
2014-03-25 12:47:54.188857	5046	20.4	1	8
2014-03-25 12:47:54.410547	5047	57	2	8
2014-03-25 12:48:09.84044	5048	20.0	1	1
2014-03-25 12:48:10.073795	5049	53	2	1
2014-03-26 19:48:32.579352	29541	965	3	2
2014-03-26 19:48:32.819089	29542	1086996.5350120268	4	2
2014-03-25 12:48:32.769437	5054	289	3	2
2014-03-25 12:48:33.1873	5055	20.4	1	8
2014-03-25 12:48:33.409268	5056	57	2	8
2014-03-25 12:48:48.841248	5057	20.0	1	1
2014-03-25 12:48:49.065663	5058	53	2	1
2014-03-26 19:48:39.66802	29543	22.3	1	10
2014-03-26 19:48:39.89448	29544	39	2	10
2014-03-25 12:49:12.186759	5063	20.4	1	8
2014-03-25 12:49:12.420604	5064	57	2	8
2014-03-25 12:49:27.840769	5065	20.0	1	1
2014-03-25 12:49:28.064584	5066	53	2	1
2014-03-25 12:49:32.768096	5067	289	3	2
2014-03-26 19:48:50.055346	29545	21.6	1	9
2014-03-26 19:48:50.29154	29546	49	2	9
2014-03-25 12:49:51.18861	5072	20.4	1	8
2014-03-25 12:49:51.41152	5073	57	2	8
2014-03-25 12:50:06.83855	5074	20.0	1	1
2014-03-25 12:50:07.062087	5075	53	2	1
2014-03-26 19:48:51.141123	29547	20.9	1	8
2014-03-26 19:48:51.365843	29548	53	2	8
2014-03-25 12:50:30.18703	5080	20.4	1	8
2014-03-25 12:50:30.410237	5081	57	2	8
2014-03-25 12:50:32.772549	5082	370	3	2
2014-03-25 12:50:44.767916	5083	354	3	2
2014-03-25 12:50:45.841385	5084	20.0	1	1
2014-03-25 12:50:46.063568	5085	53	2	1
2014-03-25 12:50:56.7687	5086	418	3	2
2014-03-26 19:49:05.774094	29549	21.1	1	1
2014-03-26 19:49:06.012429	29550	49	2	1
2014-03-25 12:51:08.769308	5091	418	3	2
2014-03-25 12:51:09.185703	5092	20.4	1	8
2014-03-25 12:51:09.406823	5093	57	2	8
2014-03-25 12:51:24.840463	5094	20.0	1	1
2014-03-25 12:51:25.06312	5095	53	2	1
2014-03-25 12:51:32.773225	5096	466	3	2
2014-03-25 12:51:44.773423	5097	450	3	2
2014-03-26 19:49:18.668584	29551	22.3	1	10
2014-03-26 19:49:18.900298	29552	39	2	10
2014-03-25 12:51:48.186654	5102	20.4	1	8
2014-03-25 12:51:48.409898	5103	57	2	8
2014-03-25 12:52:03.840451	5104	20.0	1	1
2014-03-25 12:52:04.07305	5105	53	2	1
2014-03-26 19:49:29.054004	29553	21.6	1	9
2014-03-26 19:49:29.289593	29554	49	2	9
2014-03-25 12:52:27.185925	5110	20.4	1	8
2014-03-25 12:52:27.408853	5111	57	2	8
2014-03-25 12:52:32.770483	5112	450	3	2
2014-03-25 12:52:42.843342	5113	20.0	1	1
2014-03-25 12:52:43.071858	5114	53	2	1
2014-03-25 12:52:56.772873	5115	482	3	2
2014-03-26 19:49:30.140056	29555	21.0	1	8
2014-03-26 19:49:30.364729	29556	53	2	8
2014-03-25 12:53:06.241886	5120	20.4	1	8
2014-03-25 12:53:06.476675	5121	57	2	8
2014-03-25 12:53:21.638051	5122	466	3	2
2014-03-25 12:53:21.945285	5123	20.0	1	1
2014-03-25 12:53:22.169901	5124	53	2	1
2014-03-25 12:53:32.770931	5125	482	3	2
2014-03-26 19:49:32.583162	29557	965	3	2
2014-03-26 19:49:32.817778	29558	1087012.6214981268	4	2
2014-03-25 12:53:45.187913	5130	20.4	1	8
2014-03-25 12:53:45.4104	5131	57	2	8
2014-03-25 12:54:00.839619	5132	20.0	1	1
2014-03-25 12:54:01.082249	5133	53	2	1
2014-03-26 19:49:44.568788	29559	933	3	2
2014-03-26 19:49:44.794733	29560	1087016.068602291	4	2
2014-03-25 12:54:24.185741	5138	20.4	1	8
2014-03-25 12:54:24.410396	5139	57	2	8
2014-03-25 12:54:32.771965	5140	482	3	2
2014-03-25 12:54:39.838929	5141	20.0	1	1
2014-03-25 12:54:40.061851	5142	53	2	1
2014-03-26 19:49:45.104439	29561	21.1	1	1
2014-03-26 19:49:45.337401	29562	49	2	1
2014-03-25 12:55:03.185306	5147	20.4	1	8
2014-03-25 12:55:03.410214	5148	57	2	8
2014-03-25 12:55:18.838135	5149	20.0	1	1
2014-03-25 12:55:19.06156	5150	53	2	1
2014-03-25 12:55:32.771845	5151	482	3	2
2014-03-26 19:49:56.580254	29563	853	3	2
2014-03-26 19:49:56.806224	29564	1087018.3666717338	4	2
2014-03-25 12:55:42.187836	5156	20.4	1	8
2014-03-25 12:55:42.420239	5157	57	2	8
2014-03-25 12:55:57.836958	5158	20.0	1	1
2014-03-25 12:55:58.059939	5159	53	2	1
2014-03-25 12:56:08.770579	5160	515	3	2
2014-03-26 19:49:57.669441	29565	22.3	1	10
2014-03-25 12:56:20.77274	5165	482	3	2
2014-03-25 12:56:21.185585	5166	20.4	1	8
2014-03-25 12:56:21.409677	5167	57	2	8
2014-03-25 12:56:32.774203	5168	434	3	2
2014-03-25 12:47:12.812707	5033	20.9	1	10
2014-03-25 12:47:13.048187	5034	55	2	10
2014-03-25 12:47:51.813617	5042	20.9	1	10
2014-03-25 12:47:52.038935	5043	55	2	10
2014-03-25 12:48:30.813017	5050	20.9	1	10
2014-03-25 12:48:31.037018	5051	55	2	10
2014-03-25 12:49:09.814142	5059	20.9	1	10
2014-03-25 12:49:10.037292	5060	55	2	10
2014-03-25 12:49:48.813849	5068	20.9	1	10
2014-03-25 12:49:49.03684	5069	55	2	10
2014-03-25 12:50:27.813585	5076	20.9	1	10
2014-03-25 12:50:28.036041	5077	55	2	10
2014-03-25 12:51:06.813631	5087	20.9	1	10
2014-03-25 12:51:07.03869	5088	55	2	10
2014-03-25 12:51:45.817489	5098	20.9	1	10
2014-03-25 12:51:46.049397	5099	55	2	10
2014-03-25 12:52:24.815159	5106	20.9	1	10
2014-03-25 12:52:25.040917	5107	55	2	10
2014-03-25 12:53:03.813827	5116	20.9	1	10
2014-03-25 12:53:04.050193	5117	55	2	10
2014-03-25 12:53:42.81408	5126	20.9	1	10
2014-03-25 12:53:43.037894	5127	55	2	10
2014-03-25 12:54:21.814972	5134	20.9	1	10
2014-03-25 12:54:22.037995	5135	55	2	10
2014-03-25 12:55:00.815323	5143	20.9	1	10
2014-03-25 12:55:01.039402	5144	55	2	10
2014-03-25 12:55:39.815325	5152	20.9	1	10
2014-03-25 12:55:40.04872	5153	55	2	10
2014-03-25 12:56:36.841098	5169	20.0	1	1
2014-03-25 12:56:37.066071	5170	53	2	1
2014-03-25 12:56:44.773187	5171	434	3	2
2014-03-26 19:49:57.905063	29566	39	2	10
2014-03-26 19:50:08.056089	29567	21.6	1	9
2014-03-25 12:57:00.18604	5176	20.4	1	8
2014-03-25 12:57:00.427809	5177	57	2	8
2014-03-25 12:57:15.841268	5178	20.0	1	1
2014-03-25 12:57:16.063139	5179	53	2	1
2014-03-25 12:57:36.614813	5180	434	3	2
2014-03-26 19:50:08.280881	29568	49	2	9
2014-03-26 19:50:08.589402	29569	869	3	2
2014-03-25 12:57:39.185698	5185	20.4	1	8
2014-03-25 12:57:39.409876	5186	57	2	8
2014-03-25 12:57:54.837426	5187	20.0	1	1
2014-03-25 12:57:55.062318	5188	53	2	1
2014-03-26 19:50:08.824602	29570	1087021.813775898	4	2
2014-03-26 19:50:09.145001	29571	21.0	1	8
2014-03-25 12:58:18.185174	5193	20.4	1	8
2014-03-25 12:58:18.409653	5194	57	2	8
2014-03-25 12:58:32.774198	5195	418	3	2
2014-03-25 12:58:33.84057	5196	20.0	1	1
2014-03-25 12:58:34.076361	5197	53	2	1
2014-03-25 12:58:44.773403	5198	515	3	2
2014-03-26 19:50:09.371975	29572	53	2	8
2014-03-26 19:50:23.771131	29573	21.1	1	1
2014-03-25 12:58:56.770905	5203	515	3	2
2014-03-25 12:58:57.18792	5204	20.4	1	8
2014-03-25 12:58:57.423417	5205	57	2	8
2014-03-25 12:59:12.838286	5206	20.0	1	1
2014-03-25 12:59:13.060252	5207	53	2	1
2014-03-25 12:59:32.774675	5208	515	3	2
2014-03-26 19:50:24.005223	29574	49	2	1
2014-03-26 19:50:36.468267	29575	853	3	2
2014-03-25 12:59:36.242142	5213	20.4	1	8
2014-03-25 12:59:36.466057	5214	57	2	8
2014-03-25 12:59:51.835499	5215	20.0	1	1
2014-03-25 12:59:52.067821	5216	53	2	1
2014-03-26 19:50:36.694642	29576	1087027.558949505	4	2
2014-03-26 19:50:37.002777	29577	22.3	1	10
2014-03-25 13:00:15.18483	5221	20.3	1	8
2014-03-25 13:00:15.411776	5222	57	2	8
2014-03-25 13:00:30.827029	5223	20.0	1	1
2014-03-25 13:00:31.069775	5224	53	2	1
2014-03-25 13:00:32.76939	5225	515	3	2
2014-03-26 19:50:37.238037	29578	39	2	10
2014-03-26 19:50:47.055473	29579	21.7	1	9
2014-03-25 13:00:54.185812	5230	20.3	1	8
2014-03-25 13:00:54.416547	5231	57	2	8
2014-03-25 13:01:09.829271	5232	20.0	1	1
2014-03-25 13:01:10.053226	5233	53	2	1
2014-03-26 19:50:47.281894	29580	49	2	9
2014-03-26 19:50:48.141635	29581	21.0	1	8
2014-03-25 13:01:32.772282	5238	531	3	2
2014-03-25 13:01:33.18536	5239	20.3	1	8
2014-03-25 13:01:33.407495	5240	57	2	8
2014-03-25 13:01:48.832898	5241	20.0	1	1
2014-03-25 13:01:49.054914	5242	53	2	1
2014-03-26 19:50:48.389224	29582	53	2	8
2014-03-26 19:51:02.773927	29583	21.1	1	1
2014-03-25 13:02:12.18608	5247	20.3	1	8
2014-03-25 13:02:12.407589	5248	57	2	8
2014-03-25 13:02:27.829851	5249	20.0	1	1
2014-03-25 13:02:28.060993	5250	53	2	1
2014-03-25 13:02:32.768861	5251	531	3	2
2014-03-26 19:51:03.000942	29584	49	2	1
2014-03-26 19:51:15.670416	29585	22.3	1	10
2014-03-25 13:02:51.188597	5256	20.3	1	8
2014-03-25 13:02:51.418796	5257	57	2	8
2014-03-25 13:02:56.771415	5258	579	3	2
2014-03-25 13:03:06.824626	5259	20.0	1	1
2014-03-25 13:03:07.049385	5260	53	2	1
2014-03-25 13:03:08.768059	5261	579	3	2
2014-03-26 19:51:15.904899	29586	39	2	10
2014-03-26 19:51:26.055275	29587	21.7	1	9
2014-03-25 13:03:30.185978	5266	20.3	1	8
2014-03-25 13:03:30.407464	5267	57	2	8
2014-03-25 13:03:32.773109	5268	579	3	2
2014-03-25 13:03:45.83433	5269	20.0	1	1
2014-03-25 13:03:46.059759	5270	53	2	1
2014-03-26 19:51:26.280667	29588	49	2	9
2014-03-26 19:51:27.141902	29589	21.0	1	8
2014-03-25 13:04:09.187399	5275	20.3	1	8
2014-03-25 13:04:09.421837	5276	57	2	8
2014-03-25 13:04:24.831271	5277	20.0	1	1
2014-03-25 13:04:25.055068	5278	53	2	1
2014-03-25 13:04:32.774307	5279	579	3	2
2014-03-26 19:51:27.376445	29590	53	2	8
2014-03-26 19:51:32.574851	29591	869	3	2
2014-03-25 13:04:48.186714	5284	20.3	1	8
2014-03-25 13:04:48.411463	5285	57	2	8
2014-03-25 13:05:03.826239	5286	20.0	1	1
2014-03-25 13:05:04.059302	5287	53	2	1
2014-03-25 13:05:08.768053	5288	676	3	2
2014-03-25 13:05:20.774494	5289	579	3	2
2014-03-26 19:51:32.799982	29592	1087041.347366162	4	2
2014-03-26 19:51:41.76833	29593	21.1	1	1
2014-03-25 13:05:27.184929	5294	20.3	1	8
2014-03-25 13:05:27.421075	5295	57	2	8
2014-03-25 13:05:32.765628	5296	515	3	2
2014-03-25 13:05:42.831223	5297	20.0	1	1
2014-03-25 13:05:43.053843	5298	53	2	1
2014-03-25 13:05:44.766168	5299	515	3	2
2014-03-26 19:51:42.004292	29594	49	2	1
2014-03-25 13:06:06.186153	5304	20.3	1	8
2014-03-25 12:56:57.817273	5172	20.9	1	10
2014-03-25 12:56:58.040505	5173	55	2	10
2014-03-25 12:57:36.933291	5181	20.9	1	10
2014-03-25 12:57:37.165385	5182	55	2	10
2014-03-25 12:58:15.816969	5189	20.9	1	10
2014-03-25 12:58:16.043568	5190	55	2	10
2014-03-25 12:58:54.817166	5199	20.9	1	10
2014-03-25 12:58:55.039431	5200	55	2	10
2014-03-25 12:59:33.816083	5209	20.9	1	10
2014-03-25 12:59:34.037963	5210	55	2	10
2014-03-25 13:00:12.815626	5217	20.9	1	10
2014-03-25 13:00:13.039874	5218	55	2	10
2014-03-25 13:00:51.817041	5226	20.9	1	10
2014-03-25 13:00:52.038941	5227	55	2	10
2014-03-25 13:01:30.817287	5234	20.9	1	10
2014-03-25 13:01:31.051345	5235	55	2	10
2014-03-25 13:02:09.819104	5243	20.9	1	10
2014-03-25 13:02:10.040828	5244	55	2	10
2014-03-25 13:02:48.818678	5252	20.9	1	10
2014-03-25 13:02:49.043965	5253	55	2	10
2014-03-25 13:03:27.818795	5262	20.9	1	10
2014-03-25 13:03:28.043145	5263	55	2	10
2014-03-25 13:04:06.819179	5271	20.9	1	10
2014-03-25 13:04:07.054353	5272	55	2	10
2014-03-25 13:04:45.818601	5280	20.9	1	10
2014-03-25 13:04:46.041926	5281	55	2	10
2014-03-25 13:05:24.820065	5290	20.9	1	10
2014-03-25 13:05:25.053201	5291	55	2	10
2014-03-25 13:06:06.408508	5305	57	2	8
2014-03-25 13:06:21.831145	5306	20.0	1	1
2014-03-25 13:06:22.063703	5307	53	2	1
2014-03-25 13:06:32.769915	5308	498	3	2
2014-03-26 19:51:54.66898	29595	22.3	1	10
2014-03-26 19:51:54.894725	29596	39	2	10
2014-03-25 13:06:45.185843	5313	20.3	1	8
2014-03-25 13:06:45.427507	5314	57	2	8
2014-03-25 13:07:00.830439	5315	20.0	1	1
2014-03-25 13:07:01.053718	5316	53	2	1
2014-03-26 19:52:05.056021	29597	21.7	1	9
2014-03-26 19:52:05.290441	29598	49	2	9
2014-03-25 13:07:24.185568	5321	20.3	1	8
2014-03-25 13:07:24.416792	5322	57	2	8
2014-03-25 13:07:32.77093	5323	498	3	2
2014-03-25 13:07:39.831174	5324	20.0	1	1
2014-03-25 13:07:40.054656	5325	53	2	1
2014-03-26 19:52:06.141964	29599	21.0	1	8
2014-03-26 19:52:06.367513	29600	53	2	8
2014-03-25 13:08:03.185775	5330	20.3	1	8
2014-03-25 13:08:03.408773	5331	57	2	8
2014-03-25 13:08:08.765164	5332	450	3	2
2014-03-25 13:08:18.830512	5333	20.0	1	1
2014-03-25 13:08:19.05901	5334	53	2	1
2014-03-25 13:08:20.769837	5335	466	3	2
2014-03-25 13:08:32.77	5336	450	3	2
2014-03-26 19:52:20.770488	29601	21.0	1	1
2014-03-26 19:52:21.005755	29602	49	2	1
2014-03-25 13:08:42.185675	5341	20.3	1	8
2014-03-25 13:08:42.407528	5342	57	2	8
2014-03-25 13:08:57.829184	5343	20.0	1	1
2014-03-25 13:08:58.065398	5344	53	2	1
2014-03-26 19:52:32.578776	29603	885	3	2
2014-03-26 19:52:32.805233	29604	1087056.2848175406	4	2
2014-03-25 13:09:21.186766	5349	20.3	1	8
2014-03-25 13:09:21.409024	5350	57	2	8
2014-03-25 13:09:32.768484	5351	450	3	2
2014-03-25 13:09:36.829147	5352	20.0	1	1
2014-03-25 13:09:37.053743	5353	53	2	1
2014-03-26 19:52:33.667411	29605	22.3	1	10
2014-03-26 19:52:33.902765	29606	40	2	10
2014-03-25 13:10:00.188088	5358	20.3	1	8
2014-03-25 13:10:00.430088	5359	57	2	8
2014-03-25 13:10:15.83423	5360	19.9	1	1
2014-03-25 13:10:16.056884	5361	53	2	1
2014-03-25 13:10:32.769569	5362	466	3	2
2014-03-26 19:52:44.055776	29607	21.7	1	9
2014-03-26 19:52:44.283067	29608	49	2	9
2014-03-25 13:10:39.189145	5367	20.3	1	8
2014-03-25 13:10:39.413699	5368	57	2	8
2014-03-25 13:10:54.832166	5369	19.9	1	1
2014-03-25 13:10:55.064712	5370	53	2	1
2014-03-26 19:52:45.141231	29609	21.1	1	8
2014-03-26 19:52:45.374046	29610	53	2	8
2014-03-25 13:11:18.187857	5375	20.3	1	8
2014-03-25 13:11:18.411132	5376	57	2	8
2014-03-25 13:11:32.769331	5377	466	3	2
2014-03-25 13:11:33.832209	5378	19.9	1	1
2014-03-25 13:11:34.055902	5379	53	2	1
2014-03-26 19:52:59.768905	29611	21.0	1	1
2014-03-26 19:52:59.994713	29612	49	2	1
2014-03-25 13:11:57.185939	5384	20.3	1	8
2014-03-25 13:11:57.416131	5385	57	2	8
2014-03-25 13:12:12.834762	5386	19.9	1	1
2014-03-25 13:12:13.059467	5387	53	2	1
2014-03-25 13:12:32.774972	5388	466	3	2
2014-03-26 19:53:12.670577	29613	22.3	1	10
2014-03-26 19:53:12.90427	29614	40	2	10
2014-03-25 13:12:36.186346	5393	20.3	1	8
2014-03-25 13:12:36.40983	5394	57	2	8
2014-03-25 13:12:51.83218	5395	19.9	1	1
2014-03-25 13:12:52.064226	5396	53	2	1
2014-03-25 13:13:08.769569	5397	434	3	2
2014-03-26 19:53:23.05604	29615	21.7	1	9
2014-03-26 19:53:23.282035	29616	49	2	9
2014-03-25 13:13:15.186094	5402	20.3	1	8
2014-03-25 13:13:15.408279	5403	57	2	8
2014-03-25 13:13:20.766308	5404	434	3	2
2014-03-25 13:13:31.065002	5405	19.9	1	1
2014-03-25 13:13:31.287911	5406	53	2	1
2014-03-25 13:13:32.770373	5407	418	3	2
2014-03-26 19:53:24.139845	29617	21.1	1	8
2014-03-26 19:53:24.375968	29618	53	2	8
2014-03-25 13:13:54.185734	5412	20.3	1	8
2014-03-25 13:13:54.609537	5413	57	2	8
2014-03-25 13:14:09.825354	5414	19.9	1	1
2014-03-25 13:14:10.559529	5415	53	2	1
2014-03-25 13:14:20.768598	5416	466	3	2
2014-03-26 19:53:32.576619	29619	885	3	2
2014-03-26 19:53:32.803476	29620	1087070.0777051498	4	2
2014-03-25 13:14:32.768156	5421	466	3	2
2014-03-25 13:14:33.185603	5422	20.3	1	8
2014-03-25 13:14:33.418952	5423	57	2	8
2014-03-25 13:14:48.829094	5424	19.9	1	1
2014-03-25 13:14:49.053297	5425	53	2	1
2014-03-26 19:53:38.773372	29621	21.0	1	1
2014-03-26 19:53:39.007383	29622	49	2	1
2014-03-25 13:15:12.187949	5430	20.3	1	8
2014-03-25 13:15:12.420396	5431	57	2	8
2014-03-25 13:15:20.773071	5432	354	3	2
2014-03-25 13:15:27.827647	5433	19.9	1	1
2014-03-25 13:15:28.051305	5434	53	2	1
2014-03-25 13:15:32.768453	5435	354	3	2
2014-03-26 19:53:51.669983	29623	22.3	1	10
2014-03-25 13:15:51.186347	5440	20.3	1	8
2014-03-25 13:06:42.820587	5309	20.9	1	10
2014-03-25 13:06:43.043144	5310	55	2	10
2014-03-25 13:07:21.819454	5317	20.9	1	10
2014-03-25 13:07:22.051923	5318	55	2	10
2014-03-25 13:08:00.821111	5326	20.9	1	10
2014-03-25 13:08:01.043661	5327	55	2	10
2014-03-25 13:08:39.81997	5337	20.9	1	10
2014-03-25 13:08:40.044543	5338	55	2	10
2014-03-25 13:09:18.820944	5345	20.9	1	10
2014-03-25 13:09:19.043276	5346	55	2	10
2014-03-25 13:09:57.819816	5354	20.9	1	10
2014-03-25 13:09:58.051158	5355	55	2	10
2014-03-25 13:10:36.82015	5363	20.8	1	10
2014-03-25 13:10:37.062276	5364	55	2	10
2014-03-25 13:11:15.820413	5371	20.8	1	10
2014-03-25 13:11:16.044134	5372	54	2	10
2014-03-25 13:11:54.82087	5380	20.8	1	10
2014-03-25 13:11:55.043504	5381	54	2	10
2014-03-25 13:12:33.821439	5389	20.8	1	10
2014-03-25 13:12:34.047246	5390	54	2	10
2014-03-25 13:13:12.822826	5398	20.8	1	10
2014-03-25 13:13:13.044285	5399	54	2	10
2014-03-25 13:13:51.822118	5408	20.8	1	10
2014-03-25 13:13:52.098781	5409	54	2	10
2014-03-25 13:14:30.822857	5417	20.8	1	10
2014-03-25 13:14:31.049026	5418	54	2	10
2014-03-25 13:15:09.82202	5426	20.8	1	10
2014-03-25 13:15:10.054746	5427	54	2	10
2014-03-25 13:15:51.411156	5441	57	2	8
2014-03-25 13:16:06.822857	5442	19.9	1	1
2014-03-25 13:16:07.110404	5443	53	2	1
2014-03-25 13:16:20.768861	5444	402	3	2
2014-03-26 19:53:51.896064	29624	40	2	10
2014-03-26 19:54:02.054337	29625	21.7	1	9
2014-03-25 13:16:30.186623	5449	20.3	1	8
2014-03-25 13:16:30.410661	5450	57	2	8
2014-03-25 13:16:32.769571	5451	370	3	2
2014-03-25 13:16:44.770378	5452	370	3	2
2014-03-25 13:16:45.822487	5453	19.9	1	1
2014-03-25 13:16:46.053858	5454	53	2	1
2014-03-26 19:54:02.288862	29626	49	2	9
2014-03-26 19:54:03.142324	29627	21.1	1	8
2014-03-25 13:17:08.768896	5459	402	3	2
2014-03-25 13:17:09.185052	5460	20.3	1	8
2014-03-25 13:17:09.407284	5461	57	2	8
2014-03-25 13:17:20.765664	5462	370	3	2
2014-03-25 13:17:24.82631	5463	19.9	1	1
2014-03-25 13:17:25.047922	5464	53	2	1
2014-03-25 13:17:32.767191	5465	370	3	2
2014-03-26 19:54:03.365624	29628	54	2	8
2014-03-26 19:54:17.774371	29629	21.0	1	1
2014-03-25 13:17:48.18549	5470	20.3	1	8
2014-03-25 13:17:48.408242	5471	57	2	8
2014-03-25 13:18:03.822416	5472	19.9	1	1
2014-03-25 13:18:04.054332	5473	53	2	1
2014-03-26 19:54:18.02205	29630	49	2	1
2014-03-26 19:54:30.662092	29631	22.3	1	10
2014-03-25 13:18:27.183895	5478	20.3	1	8
2014-03-25 13:18:27.406231	5479	57	2	8
2014-03-25 13:18:42.824364	5480	19.9	1	1
2014-03-25 13:18:43.0572	5481	53	2	1
2014-03-26 19:54:30.888918	29632	40	2	10
2014-03-26 19:54:32.580814	29633	804	3	2
2014-03-25 13:19:06.18617	5486	20.3	1	8
2014-03-25 13:19:06.411267	5487	57	2	8
2014-03-25 13:19:21.823508	5488	19.9	1	1
2014-03-25 13:19:22.05876	5489	53	2	1
2014-03-25 13:19:32.770488	5490	370	3	2
2014-03-26 19:54:32.814527	29634	1087082.7170870851	4	2
2014-03-26 19:54:41.05484	29635	21.7	1	9
2014-03-25 13:19:45.186929	5495	20.3	1	8
2014-03-25 13:19:45.409694	5496	57	2	8
2014-03-25 13:20:00.824017	5497	19.9	1	1
2014-03-25 13:20:01.04809	5498	53	2	1
2014-03-25 13:20:08.770001	5499	338	3	2
2014-03-25 13:20:20.770152	5500	338	3	2
2014-03-26 19:54:41.28074	29636	49	2	9
2014-03-26 19:54:42.141269	29637	21.1	1	8
2014-03-25 13:20:24.187109	5505	20.3	1	8
2014-03-25 13:20:24.408996	5506	57	2	8
2014-03-25 13:20:32.769296	5507	338	3	2
2014-03-25 13:20:39.824065	5508	19.9	1	1
2014-03-25 13:20:40.045268	5509	53	2	1
2014-03-26 19:54:42.374103	29638	53	2	8
2014-03-26 19:54:56.771219	29639	21.0	1	1
2014-03-25 13:21:03.319937	5514	20.3	1	8
2014-03-25 13:21:03.760007	5515	57	2	8
2014-03-25 13:21:18.826231	5516	19.9	1	1
2014-03-25 13:21:19.048703	5517	53	2	1
2014-03-25 13:21:20.7686	5518	370	3	2
2014-03-25 13:21:32.770133	5519	354	3	2
2014-03-26 19:54:56.997137	29640	49	2	1
2014-03-26 19:55:08.578625	29641	853	3	2
2014-03-25 13:21:42.18528	5524	20.3	1	8
2014-03-25 13:21:42.408496	5525	57	2	8
2014-03-25 13:21:57.822719	5526	19.9	1	1
2014-03-25 13:21:58.057467	5527	53	2	1
2014-03-26 19:55:08.81197	29642	1087090.7603301352	4	2
2014-03-26 19:55:09.669304	29643	22.4	1	10
2014-03-25 13:22:21.185587	5532	20.3	1	8
2014-03-25 13:22:21.410499	5533	57	2	8
2014-03-25 13:22:32.770034	5534	338	3	2
2014-03-25 13:22:36.864665	5535	19.9	1	1
2014-03-25 13:22:37.104965	5536	53	2	1
2014-03-25 13:22:56.768453	5537	370	3	2
2014-03-26 19:55:09.894762	29644	40	2	10
2014-03-26 19:55:20.057704	29645	21.7	1	9
2014-03-25 13:23:00.18484	5542	20.3	1	8
2014-03-25 13:23:00.407575	5543	57	2	8
2014-03-25 13:23:15.619867	5544	354	3	2
2014-03-25 13:23:16.124963	5545	19.9	1	1
2014-03-25 13:23:16.346382	5546	53	2	1
2014-03-25 13:23:32.897635	5547	338	3	2
2014-03-26 19:55:20.291381	29646	49	2	9
2014-03-26 19:55:20.60009	29647	837	3	2
2014-03-25 13:23:39.309986	5552	20.3	1	8
2014-03-25 13:23:39.750258	5553	57	2	8
2014-03-25 13:23:54.822669	5554	19.9	1	1
2014-03-25 13:23:55.045149	5555	53	2	1
2014-03-25 13:23:56.769419	5556	370	3	2
2014-03-25 13:24:08.769412	5557	370	3	2
2014-03-26 19:55:20.824419	29648	1087093.0583995779	4	2
2014-03-26 19:55:21.139951	29649	21.1	1	8
2014-03-25 13:24:18.18465	5562	20.3	1	8
2014-03-25 13:24:18.406657	5563	57	2	8
2014-03-25 13:24:32.901141	5564	370	3	2
2014-03-25 13:24:33.959978	5565	19.9	1	1
2014-03-25 13:24:34.419962	5566	53	2	1
2014-03-26 19:55:21.374485	29650	53	2	8
2014-03-26 19:55:32.576745	29651	853	3	2
2014-03-25 13:24:57.184692	5571	20.3	1	8
2014-03-25 13:24:57.406044	5572	56	2	8
2014-03-25 13:25:12.822772	5573	19.9	1	1
2014-03-25 13:25:13.059502	5574	53	2	1
2014-03-25 13:25:32.770809	5575	370	3	2
2014-03-25 13:16:27.822394	5445	20.8	1	10
2014-03-25 13:16:28.046336	5446	54	2	10
2014-03-25 13:17:06.822862	5455	20.8	1	10
2014-03-25 13:17:07.104771	5456	54	2	10
2014-03-25 13:17:45.822512	5466	20.8	1	10
2014-03-25 13:17:46.046952	5467	54	2	10
2014-03-25 13:18:24.823482	5474	20.8	1	10
2014-03-25 13:18:25.046556	5475	54	2	10
2014-03-25 13:19:03.822478	5482	20.8	1	10
2014-03-25 13:19:04.047623	5483	54	2	10
2014-03-25 13:19:42.823374	5491	20.8	1	10
2014-03-25 13:19:43.049388	5492	54	2	10
2014-03-25 13:20:21.823557	5501	20.8	1	10
2014-03-25 13:20:22.045242	5502	54	2	10
2014-03-25 13:21:00.951054	5510	20.8	1	10
2014-03-25 13:21:01.40002	5511	54	2	10
2014-03-25 13:21:39.823629	5520	20.8	1	10
2014-03-25 13:21:40.066512	5521	54	2	10
2014-03-25 13:22:18.823795	5528	20.8	1	10
2014-03-25 13:22:19.047271	5529	54	2	10
2014-03-25 13:22:57.82443	5538	20.8	1	10
2014-03-25 13:22:58.046407	5539	54	2	10
2014-03-25 13:23:37.006059	5548	20.8	1	10
2014-03-25 13:23:37.425321	5549	54	2	10
2014-03-25 13:24:15.823163	5558	20.8	1	10
2014-03-25 13:24:16.048963	5559	54	2	10
2014-03-26 19:55:32.803301	29652	1087096.5055037423	4	2
2014-03-26 19:55:35.767692	29653	21.0	1	1
2014-03-25 13:25:36.189007	5580	20.3	1	8
2014-03-25 13:25:36.420557	5581	57	2	8
2014-03-25 13:25:51.819076	5582	19.9	1	1
2014-03-25 13:25:52.042281	5583	53	2	1
2014-03-26 19:55:36.003809	29654	49	2	1
2014-03-26 19:55:44.580847	29655	708	3	2
2014-03-25 13:26:15.184787	5588	20.3	1	8
2014-03-25 13:26:15.417188	5589	57	2	8
2014-03-25 13:26:30.821392	5590	19.9	1	1
2014-03-25 13:26:31.04541	5591	53	2	1
2014-03-25 13:26:32.768425	5592	402	3	2
2014-03-25 13:26:44.768131	5593	418	3	2
2014-03-26 19:55:44.807257	29656	1087098.803573185	4	2
2014-03-26 19:55:48.669526	29657	22.4	1	10
2014-03-25 13:26:54.184401	5598	20.3	1	8
2014-03-25 13:26:54.406625	5599	56	2	8
2014-03-25 13:27:09.818508	5600	19.9	1	1
2014-03-25 13:27:10.050891	5601	53	2	1
2014-03-26 19:55:48.902829	29658	40	2	10
2014-03-26 19:55:56.583837	29659	853	3	2
2014-03-25 13:27:32.769266	5606	418	3	2
2014-03-25 13:27:33.184754	5607	20.3	1	8
2014-03-25 13:27:33.406356	5608	56	2	8
2014-03-25 13:27:48.822328	5609	20.0	1	1
2014-03-25 13:27:49.045275	5610	53	2	1
2014-03-26 19:55:56.810392	29660	1087102.2506773493	4	2
2014-03-26 19:55:59.055631	29661	21.8	1	9
2014-03-25 13:28:12.185481	5615	20.3	1	8
2014-03-25 13:28:12.424281	5616	56	2	8
2014-03-25 13:28:27.817593	5617	20.0	1	1
2014-03-25 13:28:28.039239	5618	53	2	1
2014-03-25 13:28:32.769692	5619	418	3	2
2014-03-26 19:55:59.2911	29662	49	2	9
2014-03-26 19:56:00.143421	29663	21.2	1	8
2014-03-25 13:28:51.185581	5624	20.3	1	8
2014-03-25 13:28:51.411097	5625	56	2	8
2014-03-25 13:29:06.821642	5626	20.0	1	1
2014-03-25 13:29:07.043121	5627	53	2	1
2014-03-26 19:56:00.367532	29664	52	2	8
2014-03-26 19:56:08.582537	29665	853	3	2
2014-03-25 13:29:30.186296	5632	20.3	1	8
2014-03-25 13:29:30.409578	5633	56	2	8
2014-03-25 13:29:32.766436	5634	418	3	2
2014-03-25 13:29:45.819004	5635	20.0	1	1
2014-03-25 13:29:46.041847	5636	53	2	1
2014-03-26 19:56:08.818213	29666	1087104.5487467921	4	2
2014-03-26 19:56:14.766688	29667	21.0	1	1
2014-03-25 13:30:09.185232	5641	20.3	1	8
2014-03-25 13:30:09.41616	5642	56	2	8
2014-03-25 13:30:24.818187	5643	20.0	1	1
2014-03-25 13:30:25.042874	5644	53	2	1
2014-03-25 13:30:32.76784	5645	402	3	2
2014-03-26 19:56:14.991457	29668	49	2	1
2014-03-26 19:56:27.667429	29669	22.4	1	10
2014-03-25 13:30:48.187985	5650	20.3	1	8
2014-03-25 13:30:48.430724	5651	56	2	8
2014-03-25 13:31:03.816067	5652	20.0	1	1
2014-03-25 13:31:04.047484	5653	53	2	1
2014-03-26 19:56:27.901028	29670	40	2	10
2014-03-26 19:56:32.580013	29671	837	3	2
2014-03-25 13:31:27.187078	5658	20.3	1	8
2014-03-25 13:31:27.41144	5659	56	2	8
2014-03-25 13:31:32.769141	5660	418	3	2
2014-03-25 13:31:42.818995	5661	20.0	1	1
2014-03-25 13:31:43.040998	5662	53	2	1
2014-03-25 13:31:56.767301	5663	354	3	2
2014-03-26 19:56:32.805424	29672	1087110.2939203992	4	2
2014-03-26 19:56:38.054154	29673	21.8	1	9
2014-03-25 13:32:06.186185	5668	20.3	1	8
2014-03-25 13:32:06.421212	5669	56	2	8
2014-03-25 13:32:08.769783	5670	354	3	2
2014-03-25 13:32:21.816525	5671	20.0	1	1
2014-03-25 13:32:22.03793	5672	53	2	1
2014-03-25 13:32:32.765576	5673	354	3	2
2014-03-26 19:56:38.294366	29674	49	2	9
2014-03-26 19:56:39.143164	29675	21.2	1	8
2014-03-25 13:32:45.185328	5678	20.3	1	8
2014-03-25 13:32:45.416055	5679	56	2	8
2014-03-25 13:33:00.820165	5680	20.0	1	1
2014-03-25 13:33:01.044402	5681	53	2	1
2014-03-26 19:56:39.368683	29676	52	2	8
2014-03-26 19:56:53.771139	29677	21.0	1	1
2014-03-25 13:33:24.18589	5686	20.3	1	8
2014-03-25 13:33:24.418101	5687	56	2	8
2014-03-25 13:33:32.767619	5688	370	3	2
2014-03-25 13:33:39.814882	5689	20.0	1	1
2014-03-25 13:33:40.038629	5690	53	2	1
2014-03-26 19:56:54.017969	29678	49	2	1
2014-03-26 19:56:56.58155	29679	804	3	2
2014-03-25 13:34:03.186152	5695	20.3	1	8
2014-03-25 13:34:03.407604	5696	56	2	8
2014-03-25 13:34:18.82076	5697	20.0	1	1
2014-03-25 13:34:19.052428	5698	53	2	1
2014-03-25 13:34:32.768277	5699	370	3	2
2014-03-26 19:56:56.805255	29680	1087116.0390940062	4	2
2014-03-26 19:57:06.670185	29681	22.4	1	10
2014-03-25 13:34:42.185199	5704	20.3	1	8
2014-03-25 13:34:42.408826	5705	56	2	8
2014-03-25 13:34:57.813299	5706	20.0	1	1
2014-03-25 13:34:58.037626	5707	53	2	1
2014-03-25 13:35:21.185203	5712	20.3	1	8
2014-03-25 13:25:34.058304	5577	54	2	10
2014-03-25 13:26:12.824551	5584	20.8	1	10
2014-03-25 13:26:13.066231	5585	54	2	10
2014-03-25 13:26:51.824566	5594	20.8	1	10
2014-03-25 13:26:52.045614	5595	54	2	10
2014-03-25 13:27:30.824165	5602	20.8	1	10
2014-03-25 13:27:31.047516	5603	54	2	10
2014-03-25 13:28:09.825342	5611	20.8	1	10
2014-03-25 13:28:10.047159	5612	54	2	10
2014-03-25 13:28:48.825051	5620	20.8	1	10
2014-03-25 13:28:49.047229	5621	54	2	10
2014-03-25 13:29:27.827206	5628	20.8	1	10
2014-03-25 13:29:28.047451	5629	54	2	10
2014-03-25 13:30:06.827755	5637	20.8	1	10
2014-03-25 13:30:07.06154	5638	54	2	10
2014-03-25 13:30:45.825974	5646	20.8	1	10
2014-03-25 13:30:46.049904	5647	54	2	10
2014-03-25 13:31:24.827325	5654	20.8	1	10
2014-03-25 13:31:25.050732	5655	54	2	10
2014-03-25 13:32:03.826577	5664	20.8	1	10
2014-03-25 13:32:04.058798	5665	54	2	10
2014-03-25 13:32:42.825851	5674	20.8	1	10
2014-03-25 13:32:43.05095	5675	54	2	10
2014-03-25 13:33:21.827616	5682	20.8	1	10
2014-03-25 13:33:22.058778	5683	54	2	10
2014-03-25 13:34:00.827903	5691	20.8	1	10
2014-03-25 13:34:01.063118	5692	54	2	10
2014-03-25 13:34:39.829919	5700	20.8	1	10
2014-03-25 13:34:40.051554	5701	54	2	10
2014-03-25 13:35:18.828181	5708	20.8	1	10
2014-03-25 13:35:21.415546	5713	56	2	8
2014-03-25 13:35:32.778464	5714	370	3	2
2014-03-25 13:35:36.813715	5715	20.0	1	1
2014-03-25 13:35:37.039068	5716	53	2	1
2014-03-25 13:35:44.768604	5717	402	3	2
2014-03-25 13:35:56.766434	5718	402	3	2
2014-03-26 19:57:06.904858	29682	40	2	10
2014-03-26 19:57:16.85385	29683	853	3	2
2014-03-25 13:36:00.184706	5723	20.3	1	8
2014-03-25 13:36:00.416776	5724	56	2	8
2014-03-25 13:36:08.76513	5725	370	3	2
2014-03-25 13:36:15.814532	5726	20.0	1	1
2014-03-25 13:36:16.036549	5727	53	2	1
2014-03-25 13:36:20.767486	5728	370	3	2
2014-03-25 13:36:32.76241	5729	402	3	2
2014-03-26 19:57:17.079134	29684	1087118.337163449	4	2
2014-03-26 19:57:17.388151	29685	21.8	1	9
2014-03-25 13:36:39.186448	5734	20.2	1	8
2014-03-25 13:36:39.438774	5735	56	2	8
2014-03-25 13:36:44.763646	5736	402	3	2
2014-03-25 13:36:54.814766	5737	20.0	1	1
2014-03-25 13:36:55.037767	5738	53	2	1
2014-03-26 19:57:17.620878	29686	49	2	9
2014-03-26 19:57:18.141985	29687	21.2	1	8
2014-03-25 13:37:18.185055	5743	20.2	1	8
2014-03-25 13:37:18.407055	5744	56	2	8
2014-03-25 13:37:32.768788	5745	402	3	2
2014-03-25 13:37:33.812254	5746	20.0	1	1
2014-03-25 13:37:34.033493	5747	53	2	1
2014-03-26 19:57:18.36878	29688	52	2	8
2014-03-26 19:57:20.581836	29689	820	3	2
2014-03-25 13:37:57.183803	5752	20.2	1	8
2014-03-25 13:37:57.417	5753	56	2	8
2014-03-25 13:38:12.812277	5754	20.0	1	1
2014-03-25 13:38:13.03753	5755	53	2	1
2014-03-25 13:38:20.769842	5756	434	3	2
2014-03-25 13:38:32.767743	5757	434	3	2
2014-03-26 19:57:20.814696	29690	1087121.7842676134	4	2
2014-03-26 19:57:32.565341	29691	837	3	2
2014-03-25 13:38:36.187224	5762	20.2	1	8
2014-03-25 13:38:36.427339	5763	56	2	8
2014-03-25 13:38:51.811944	5764	20.0	1	1
2014-03-25 13:38:52.035196	5765	53	2	1
2014-03-26 19:57:32.790453	29692	1087124.082337056	4	2
2014-03-26 19:57:33.100168	29693	20.9	1	1
2014-03-25 13:39:15.18464	5770	20.2	1	8
2014-03-25 13:39:15.417351	5771	56	2	8
2014-03-25 13:39:30.816747	5772	20.0	1	1
2014-03-25 13:39:31.040005	5773	53	2	1
2014-03-25 13:39:32.770307	5774	434	3	2
2014-03-26 19:57:33.341145	29694	50	2	1
2014-03-26 19:57:45.670062	29695	22.4	1	10
2014-03-25 13:39:54.184008	5779	20.2	1	8
2014-03-25 13:39:54.406362	5780	56	2	8
2014-03-25 13:40:09.814188	5781	20.0	1	1
2014-03-25 13:40:10.047716	5782	53	2	1
2014-03-26 19:57:45.895242	29696	40	2	10
2014-03-26 19:57:56.053742	29697	21.8	1	9
2014-03-25 13:40:32.768805	5787	434	3	2
2014-03-25 13:40:33.184152	5788	20.2	1	8
2014-03-25 13:40:33.406931	5789	56	2	8
2014-03-25 13:40:48.811953	5790	20.0	1	1
2014-03-25 13:40:49.037206	5791	53	2	1
2014-03-26 19:57:56.288092	29698	49	2	9
2014-03-26 19:57:57.140449	29699	21.3	1	8
2014-03-25 13:41:12.185057	5796	20.2	1	8
2014-03-25 13:41:12.407295	5797	56	2	8
2014-03-25 13:41:27.814264	5798	20.0	1	1
2014-03-25 13:41:28.036686	5799	53	2	1
2014-03-25 13:41:32.765665	5800	434	3	2
2014-03-26 19:57:57.364294	29700	51	2	8
2014-03-26 19:58:11.768194	29701	20.9	1	1
2014-03-25 13:41:51.188116	5805	20.2	1	8
2014-03-25 13:41:51.411	5806	56	2	8
2014-03-25 13:42:06.810737	5807	20.0	1	1
2014-03-25 13:42:07.054463	5808	53	2	1
2014-03-25 13:42:08.767846	5809	482	3	2
2014-03-25 13:42:27.628449	5810	482	3	2
2014-03-26 19:58:12.000998	29702	50	2	1
2014-03-26 19:58:24.672963	29703	22.4	1	10
2014-03-25 13:42:30.185734	5815	20.2	1	8
2014-03-25 13:42:30.423185	5816	56	2	8
2014-03-25 13:42:32.765165	5817	482	3	2
2014-03-25 13:42:45.812568	5818	20.0	1	1
2014-03-25 13:42:46.05713	5819	53	2	1
2014-03-26 19:58:24.897621	29704	40	2	10
2014-03-26 19:58:32.58228	29705	853	3	2
2014-03-25 13:43:09.184492	5824	20.2	1	8
2014-03-25 13:43:09.410169	5825	56	2	8
2014-03-25 13:43:24.814283	5826	20.0	1	1
2014-03-25 13:43:25.039555	5827	53	2	1
2014-03-25 13:43:32.768603	5828	482	3	2
2014-03-26 19:58:32.819275	29706	1087139.0197884345	4	2
2014-03-26 19:58:35.054325	29707	21.8	1	9
2014-03-25 13:43:48.185181	5833	20.2	1	8
2014-03-25 13:43:48.40858	5834	56	2	8
2014-03-25 13:44:03.812831	5835	20.0	1	1
2014-03-25 13:44:04.035384	5836	53	2	1
2014-03-25 13:44:08.765808	5837	450	3	2
2014-03-25 13:44:20.765492	5838	434	3	2
2014-03-26 19:58:35.278017	29708	49	2	9
2014-03-26 19:58:36.142809	29709	21.4	1	8
2014-03-25 13:44:27.185075	5843	20.2	1	8
2014-03-25 13:44:27.407655	5844	56	2	8
2014-03-25 13:44:32.769102	5845	450	3	2
2014-03-25 13:44:42.811626	5846	20.0	1	1
2014-03-25 13:44:43.045785	5847	53	2	1
2014-03-25 13:35:57.829431	5719	20.7	1	10
2014-03-25 13:35:58.07486	5720	54	2	10
2014-03-25 13:36:36.830685	5730	20.7	1	10
2014-03-25 13:36:37.064782	5731	54	2	10
2014-03-25 13:37:16.03282	5739	20.7	1	10
2014-03-25 13:37:16.257018	5740	54	2	10
2014-03-25 13:37:54.829041	5748	20.7	1	10
2014-03-25 13:37:55.063831	5749	54	2	10
2014-03-25 13:38:33.829524	5758	20.7	1	10
2014-03-25 13:38:34.053831	5759	54	2	10
2014-03-25 13:39:13.067497	5766	20.7	1	10
2014-03-25 13:39:13.453124	5767	54	2	10
2014-03-25 13:39:51.832858	5775	20.7	1	10
2014-03-25 13:39:52.05882	5776	54	2	10
2014-03-25 13:40:30.829826	5783	20.7	1	10
2014-03-25 13:40:31.054136	5784	54	2	10
2014-03-25 13:41:09.828935	5792	20.7	1	10
2014-03-25 13:41:10.054765	5793	54	2	10
2014-03-25 13:41:48.829991	5801	20.7	1	10
2014-03-25 13:41:49.054059	5802	54	2	10
2014-03-25 13:42:27.935468	5811	20.7	1	10
2014-03-25 13:42:28.168565	5812	54	2	10
2014-03-25 13:43:06.831877	5820	20.7	1	10
2014-03-25 13:43:07.065593	5821	54	2	10
2014-03-25 13:43:45.830692	5829	20.7	1	10
2014-03-25 13:43:46.05396	5830	54	2	10
2014-03-26 19:58:36.376662	29710	51	2	8
2014-03-26 19:58:50.769601	29711	20.9	1	1
2014-03-25 13:45:06.185039	5852	20.2	1	8
2014-03-25 13:45:06.40784	5853	56	2	8
2014-03-25 13:45:21.810233	5854	20.0	1	1
2014-03-25 13:45:22.056804	5855	53	2	1
2014-03-25 13:45:32.78174	5856	450	3	2
2014-03-26 19:58:50.994735	29712	50	2	1
2014-03-26 19:58:56.578472	29713	708	3	2
2014-03-25 13:45:45.184857	5861	20.2	1	8
2014-03-25 13:45:45.40831	5862	56	2	8
2014-03-25 13:46:00.810977	5863	20.0	1	1
2014-03-25 13:46:01.035675	5864	53	2	1
2014-03-26 19:58:56.819228	29714	1087143.6159273202	4	2
2014-03-26 19:59:03.670172	29715	22.4	1	10
2014-03-25 13:46:24.183735	5869	20.2	1	8
2014-03-25 13:46:24.415403	5870	56	2	8
2014-03-25 13:46:32.767867	5871	450	3	2
2014-03-25 13:46:39.80842	5872	20.0	1	1
2014-03-25 13:46:40.031379	5873	53	2	1
2014-03-26 19:59:03.896903	29716	40	2	10
2014-03-26 19:59:08.576276	29717	724	3	2
2014-03-25 13:47:03.188593	5878	20.2	1	8
2014-03-25 13:47:03.413246	5879	56	2	8
2014-03-25 13:47:18.811434	5880	20.0	1	1
2014-03-25 13:47:19.034236	5881	53	2	1
2014-03-25 13:47:32.764031	5882	434	3	2
2014-03-26 19:59:08.811398	29718	1087147.0630314844	4	2
2014-03-26 19:59:14.053297	29719	21.8	1	9
2014-03-25 13:47:42.184087	5887	20.2	1	8
2014-03-25 13:47:42.40759	5888	56	2	8
2014-03-25 13:47:57.807061	5889	20.0	1	1
2014-03-25 13:47:58.031189	5890	53	2	1
2014-03-26 19:59:14.28471	29720	49	2	9
2014-03-26 19:59:15.143134	29721	21.4	1	8
2014-03-25 13:48:20.770262	5895	466	3	2
2014-03-25 13:48:21.184744	5896	20.2	1	8
2014-03-25 13:48:21.410457	5897	56	2	8
2014-03-25 13:48:32.769165	5898	450	3	2
2014-03-25 13:48:36.806115	5899	20.0	1	1
2014-03-25 13:48:37.028559	5900	53	2	1
2014-03-26 19:59:15.377272	29722	51	2	8
2014-03-26 19:59:20.580082	29723	837	3	2
2014-03-25 13:49:00.184954	5905	20.2	1	8
2014-03-25 13:49:00.405751	5906	56	2	8
2014-03-25 13:49:15.806892	5907	20.0	1	1
2014-03-25 13:49:16.030158	5908	53	2	1
2014-03-25 13:49:32.766713	5909	466	3	2
2014-03-26 19:59:20.807914	29724	1087149.3611009272	4	2
2014-03-26 19:59:29.769468	29725	20.9	1	1
2014-03-25 13:49:39.185179	5914	20.2	1	8
2014-03-25 13:49:39.408725	5915	56	2	8
2014-03-25 13:49:44.767546	5916	434	3	2
2014-03-25 13:49:54.804323	5917	20.0	1	1
2014-03-25 13:49:55.02688	5918	53	2	1
2014-03-25 13:49:56.766573	5919	434	3	2
2014-03-26 19:59:30.01452	29726	50	2	1
2014-03-26 19:59:32.579252	29727	724	3	2
2014-03-25 13:50:18.185173	5924	20.2	1	8
2014-03-25 13:50:18.418746	5925	56	2	8
2014-03-25 13:50:32.765391	5926	466	3	2
2014-03-25 13:50:33.805844	5927	20.0	1	1
2014-03-25 13:50:34.031037	5928	53	2	1
2014-03-25 13:50:44.765416	5929	466	3	2
2014-03-26 19:59:32.804607	29728	1087152.8082050916	4	2
2014-03-26 19:59:42.670277	29729	22.4	1	10
2014-03-25 13:50:57.184306	5934	20.2	1	8
2014-03-25 13:50:57.405103	5935	56	2	8
2014-03-25 13:51:12.803032	5936	20.0	1	1
2014-03-25 13:51:13.027964	5937	53	2	1
2014-03-25 13:51:32.764624	5938	482	3	2
2014-03-26 19:59:42.906099	29730	40	2	10
2014-03-26 19:59:44.580268	29731	837	3	2
2014-03-25 13:51:36.184695	5943	20.2	1	8
2014-03-25 13:51:36.406678	5944	56	2	8
2014-03-25 13:51:51.80627	5945	20.0	1	1
2014-03-25 13:51:52.040039	5946	53	2	1
2014-03-26 19:59:44.804538	29732	1087155.1062745342	4	2
2014-03-26 19:59:53.054444	29733	21.8	1	9
2014-03-25 13:52:15.186528	5951	20.2	1	8
2014-03-25 13:52:15.40687	5952	56	2	8
2014-03-25 13:52:30.804762	5953	20.0	1	1
2014-03-25 13:52:31.038551	5954	53	2	1
2014-03-25 13:52:32.763643	5955	466	3	2
2014-03-26 19:59:53.290264	29734	49	2	9
2014-03-26 19:59:54.140039	29735	21.5	1	8
2014-03-25 13:52:54.186108	5960	20.2	1	8
2014-03-25 13:52:54.413227	5961	56	2	8
2014-03-25 13:53:09.8037	5962	20.0	1	1
2014-03-25 13:53:10.026275	5963	53	2	1
2014-03-25 13:53:20.764088	5964	498	3	2
2014-03-26 19:59:54.364827	29736	51	2	8
2014-03-26 19:59:56.577923	29737	837	3	2
2014-03-25 13:53:32.765321	5969	482	3	2
2014-03-25 13:53:33.183259	5970	20.2	1	8
2014-03-25 13:53:33.407091	5971	56	2	8
2014-03-25 13:53:48.804603	5972	20.0	1	1
2014-03-25 13:53:49.029063	5973	53	2	1
2014-03-26 19:59:56.812415	29738	1087157.404343977	4	2
2014-03-26 20:00:08.766734	29739	20.9	1	1
2014-03-25 13:54:12.185515	5978	20.2	1	8
2014-03-25 13:54:12.416853	5979	56	2	8
2014-03-25 13:54:27.804105	5980	20.0	1	1
2014-03-25 13:54:28.028791	5981	53	2	1
2014-03-25 13:54:32.767656	5982	482	3	2
2014-03-25 13:45:04.057074	5849	54	2	10
2014-03-25 13:45:42.831252	5857	20.7	1	10
2014-03-25 13:45:43.054798	5858	54	2	10
2014-03-25 13:46:21.830384	5865	20.7	1	10
2014-03-25 13:46:22.055647	5866	54	2	10
2014-03-25 13:47:00.830872	5874	20.7	1	10
2014-03-25 13:47:01.055381	5875	54	2	10
2014-03-25 13:47:39.831955	5883	20.7	1	10
2014-03-25 13:47:40.055841	5884	54	2	10
2014-03-25 13:48:18.832575	5891	20.7	1	10
2014-03-25 13:48:19.067005	5892	54	2	10
2014-03-25 13:48:57.832411	5901	20.7	1	10
2014-03-25 13:48:58.054383	5902	54	2	10
2014-03-25 13:49:36.832264	5910	20.7	1	10
2014-03-25 13:49:37.054214	5911	54	2	10
2014-03-25 13:50:15.834717	5920	20.7	1	10
2014-03-25 13:50:16.067012	5921	54	2	10
2014-03-25 13:50:54.834987	5930	20.7	1	10
2014-03-25 13:50:55.057721	5931	54	2	10
2014-03-25 13:51:33.833329	5939	20.7	1	10
2014-03-25 13:51:34.057412	5940	54	2	10
2014-03-25 13:52:12.83038	5947	20.7	1	10
2014-03-25 13:52:13.052024	5948	54	2	10
2014-03-25 13:52:51.835492	5956	20.7	1	10
2014-03-25 13:52:52.058414	5957	54	2	10
2014-03-25 13:53:30.834146	5965	20.7	1	10
2014-03-25 13:53:31.055552	5966	54	2	10
2014-03-25 13:54:09.833617	5974	20.7	1	10
2014-03-26 20:00:08.992966	29740	50	2	1
2014-03-26 20:00:20.577892	29741	724	3	2
2014-03-25 13:54:51.185101	5987	20.2	1	8
2014-03-25 13:54:51.406981	5988	56	2	8
2014-03-25 13:55:06.803006	5989	20.0	1	1
2014-03-25 13:55:07.034145	5990	53	2	1
2014-03-26 20:00:20.813695	29742	1087163.1495175844	4	2
2014-03-26 20:00:21.669265	29743	22.4	1	10
2014-03-25 13:55:30.184638	5995	20.2	1	8
2014-03-25 13:55:30.408095	5996	56	2	8
2014-03-25 13:55:32.764986	5997	482	3	2
2014-03-25 13:55:45.807009	5998	20.0	1	1
2014-03-25 13:55:46.029754	5999	53	2	1
2014-03-25 13:55:56.766482	6000	450	3	2
2014-03-26 20:00:21.893367	29744	40	2	10
2014-03-26 20:00:32.054727	29745	21.8	1	9
2014-03-25 13:56:08.765195	6005	402	3	2
2014-03-25 13:56:09.184372	6006	20.2	1	8
2014-03-25 13:56:09.407033	6007	56	2	8
2014-03-25 13:56:20.76673	6008	402	3	2
2014-03-25 13:56:24.802839	6009	20.0	1	1
2014-03-25 13:56:25.025611	6010	53	2	1
2014-03-25 13:56:32.765311	6011	402	3	2
2014-03-25 13:56:44.762587	6012	370	3	2
2014-03-26 20:00:32.290287	29746	49	2	9
2014-03-26 20:00:32.59801	29747	708	3	2
2014-03-25 13:56:48.185359	6017	20.2	1	8
2014-03-25 13:56:48.406262	6018	56	2	8
2014-03-25 13:56:56.762943	6019	402	3	2
2014-03-25 13:57:03.80344	6020	20.0	1	1
2014-03-25 13:57:04.02863	6021	53	2	1
2014-03-25 13:57:08.76533	6022	370	3	2
2014-03-25 13:57:20.766213	6023	402	3	2
2014-03-26 20:00:32.823017	29748	1087165.4475870272	4	2
2014-03-26 20:00:33.142021	29749	21.5	1	8
2014-03-25 13:57:27.185004	6028	20.2	1	8
2014-03-25 13:57:27.407736	6029	56	2	8
2014-03-25 13:57:32.763869	6030	370	3	2
2014-03-25 13:57:42.804061	6031	20.0	1	1
2014-03-25 13:57:43.04894	6032	53	2	1
2014-03-25 13:57:44.764953	6033	370	3	2
2014-03-26 20:00:33.382856	29750	51	2	8
2014-03-26 20:00:47.768429	29751	20.9	1	1
2014-03-25 13:58:06.185701	6038	20.2	1	8
2014-03-25 13:58:06.407912	6039	56	2	8
2014-03-25 13:58:21.799629	6040	20.0	1	1
2014-03-25 13:58:22.02356	6041	53	2	1
2014-03-25 13:58:32.763116	6042	370	3	2
2014-03-26 20:00:47.992526	29752	50	2	1
2014-03-26 20:00:56.57658	29753	804	3	2
2014-03-25 13:58:45.184427	6047	20.2	1	8
2014-03-25 13:58:45.408097	6048	56	2	8
2014-03-25 13:58:56.765832	6049	402	3	2
2014-03-25 13:59:00.802303	6050	20.0	1	1
2014-03-25 13:59:01.024582	6051	53	2	1
2014-03-25 13:59:08.765912	6052	370	3	2
2014-03-25 13:59:20.763348	6053	370	3	2
2014-03-26 20:00:56.811803	29754	1087170.0437259127	4	2
2014-03-26 20:01:00.673449	29755	22.5	1	10
2014-03-25 13:59:24.185131	6058	20.2	1	8
2014-03-25 13:59:24.412885	6059	56	2	8
2014-03-25 13:59:32.770418	6060	370	3	2
2014-03-25 13:59:39.800245	6061	20.0	1	1
2014-03-25 13:59:40.023915	6062	53	2	1
2014-03-26 20:01:00.900548	29756	40	2	10
2014-03-26 20:01:08.576638	29757	804	3	2
2014-03-25 14:00:03.184556	6067	20.2	1	8
2014-03-25 14:00:03.415348	6068	56	2	8
2014-03-25 14:00:18.803836	6069	20.0	1	1
2014-03-25 14:00:19.028656	6070	53	2	1
2014-03-25 14:00:20.767133	6071	418	3	2
2014-03-25 14:00:32.766371	6072	402	3	2
2014-03-26 20:01:08.811355	29758	1087173.490830077	4	2
2014-03-26 20:01:11.053821	29759	21.9	1	9
2014-03-25 14:00:42.18431	6077	20.2	1	8
2014-03-25 14:00:42.407821	6078	56	2	8
2014-03-25 14:00:44.769529	6079	370	3	2
2014-03-25 14:00:56.768026	6080	370	3	2
2014-03-25 14:00:57.802834	6081	20.0	1	1
2014-03-25 14:00:58.026747	6082	53	2	1
2014-03-26 20:01:11.280081	29760	49	2	9
2014-03-26 20:01:12.143105	29761	21.5	1	8
2014-03-25 14:01:21.184288	6087	20.2	1	8
2014-03-25 14:01:21.417528	6088	56	2	8
2014-03-25 14:01:32.767339	6089	370	3	2
2014-03-25 14:01:36.800431	6090	20.0	1	1
2014-03-25 14:01:37.026684	6091	53	2	1
2014-03-26 20:01:12.377045	29762	51	2	8
2014-03-26 20:01:20.579188	29763	708	3	2
2014-03-25 14:02:00.201366	6096	20.2	1	8
2014-03-25 14:02:00.450482	6097	56	2	8
2014-03-25 14:02:08.763304	6098	418	3	2
2014-03-25 14:02:15.799403	6099	20.0	1	1
2014-03-25 14:02:16.030011	6100	53	2	1
2014-03-25 14:02:20.769714	6101	418	3	2
2014-03-25 14:02:32.767109	6102	402	3	2
2014-03-26 20:01:20.807439	29764	1087175.78889952	4	2
2014-03-25 14:02:39.202141	6107	20.2	1	8
2014-03-25 14:02:39.458805	6108	56	2	8
2014-03-25 14:02:54.831012	6109	20.0	1	1
2014-03-25 14:02:55.05483	6110	53	2	1
2014-03-25 14:03:18.186579	6115	20.2	1	8
2014-03-25 14:03:18.418002	6116	56	2	8
2014-03-25 14:03:32.765597	6117	434	3	2
2014-03-25 14:03:33.802586	6118	20.0	1	1
2014-03-25 14:03:34.026655	6119	53	2	1
2014-03-25 14:03:44.764228	6120	418	3	2
2014-03-25 13:55:27.833818	5991	20.7	1	10
2014-03-25 13:55:28.056264	5992	54	2	10
2014-03-25 13:56:06.837795	6001	20.7	1	10
2014-03-25 13:56:07.061069	6002	54	2	10
2014-03-25 13:56:45.834708	6013	20.7	1	10
2014-03-25 13:56:46.057749	6014	54	2	10
2014-03-25 13:57:24.835617	6024	20.7	1	10
2014-03-25 13:57:25.058228	6025	54	2	10
2014-03-25 13:58:03.835425	6034	20.7	1	10
2014-03-25 13:58:04.058107	6035	54	2	10
2014-03-25 13:58:42.835967	6043	20.7	1	10
2014-03-25 13:58:43.064442	6044	54	2	10
2014-03-25 13:59:21.835199	6054	20.7	1	10
2014-03-25 13:59:22.057428	6055	54	2	10
2014-03-25 14:00:00.981232	6063	20.7	1	10
2014-03-25 14:00:01.449995	6064	54	2	10
2014-03-25 14:00:39.836327	6073	20.7	1	10
2014-03-25 14:00:40.059418	6074	54	2	10
2014-03-25 14:01:18.838268	6083	20.7	1	10
2014-03-25 14:01:19.072394	6084	54	2	10
2014-03-25 14:01:57.836024	6092	20.7	1	10
2014-03-25 14:01:58.061402	6093	54	2	10
2014-03-25 14:02:36.837309	6103	20.7	1	10
2014-03-25 14:02:37.13924	6104	53	2	10
2014-03-25 14:03:15.836878	6111	20.6	1	10
2014-03-25 14:03:16.070551	6112	53	2	10
2014-03-26 20:01:26.767466	29765	20.9	1	1
2014-03-26 20:01:27.002407	29766	50	2	1
2014-03-25 14:03:57.185022	6125	20.2	1	8
2014-03-25 14:03:57.415919	6126	56	2	8
2014-03-25 14:04:12.799688	6127	20.0	1	1
2014-03-25 14:04:13.023325	6128	53	2	1
2014-03-25 14:04:32.767723	6129	402	3	2
2014-03-26 20:01:32.578326	29767	724	3	2
2014-03-26 20:01:32.81186	29768	1087178.0869689626	4	2
2014-03-25 14:04:36.184648	6134	20.2	1	8
2014-03-25 14:04:36.408636	6135	56	2	8
2014-03-25 14:04:44.764848	6136	434	3	2
2014-03-25 14:04:51.797966	6137	20.0	1	1
2014-03-25 14:04:52.019961	6138	53	2	1
2014-03-25 14:04:56.764444	6139	418	3	2
2014-03-26 20:01:39.672112	29769	22.5	1	10
2014-03-26 20:01:39.907156	29770	40	2	10
2014-03-25 14:05:15.186239	6144	20.2	1	8
2014-03-25 14:05:15.409623	6145	56	2	8
2014-03-25 14:05:30.796772	6146	20.0	1	1
2014-03-25 14:05:31.019112	6147	53	2	1
2014-03-25 14:05:32.766788	6148	418	3	2
2014-03-26 20:01:50.055575	29771	21.9	1	9
2014-03-26 20:01:50.283576	29772	49	2	9
2014-03-25 14:05:54.184921	6153	20.2	1	8
2014-03-25 14:05:54.40668	6154	56	2	8
2014-03-25 14:06:09.80099	6155	20.0	1	1
2014-03-25 14:06:10.034031	6156	53	2	1
2014-03-26 20:01:51.140635	29773	21.6	1	8
2014-03-26 20:01:51.387925	29774	51	2	8
2014-03-25 14:06:32.768329	6161	418	3	2
2014-03-25 14:06:33.18438	6162	20.2	1	8
2014-03-25 14:06:33.40649	6163	56	2	8
2014-03-25 14:06:48.8005	6164	20.0	1	1
2014-03-25 14:06:49.026271	6165	53	2	1
2014-03-26 20:02:05.765925	29775	20.9	1	1
2014-03-26 20:02:05.990621	29776	50	2	1
2014-03-25 14:07:12.184	6170	20.2	1	8
2014-03-25 14:07:12.405705	6171	56	2	8
2014-03-25 14:07:27.79815	6172	20.0	1	1
2014-03-25 14:07:28.02349	6173	53	2	1
2014-03-25 14:07:32.764883	6174	402	3	2
2014-03-26 20:02:18.669947	29777	22.5	1	10
2014-03-26 20:02:18.909529	29778	40	2	10
2014-03-25 14:07:51.183741	6179	20.2	1	8
2014-03-25 14:07:51.407366	6180	56	2	8
2014-03-25 14:07:56.764822	6181	354	3	2
2014-03-25 14:08:06.79593	6182	20.0	1	1
2014-03-25 14:08:07.019362	6183	53	2	1
2014-03-25 14:08:08.78142	6184	354	3	2
2014-03-26 20:02:29.053765	29779	21.9	1	9
2014-03-26 20:02:29.277763	29780	49	2	9
2014-03-25 14:08:30.185177	6189	20.2	1	8
2014-03-25 14:08:30.41103	6190	56	2	8
2014-03-25 14:08:32.764494	6191	354	3	2
2014-03-25 14:08:45.792462	6192	20.0	1	1
2014-03-25 14:08:46.01643	6193	53	2	1
2014-03-26 20:02:30.139883	29781	21.6	1	8
2014-03-26 20:02:30.374463	29782	51	2	8
2014-03-25 14:09:09.184922	6198	20.2	1	8
2014-03-25 14:09:09.438224	6199	56	2	8
2014-03-25 14:09:24.796144	6200	20.0	1	1
2014-03-25 14:09:25.019536	6201	53	2	1
2014-03-25 14:09:32.763338	6202	370	3	2
2014-03-26 20:02:32.574917	29783	724	3	2
2014-03-26 20:02:32.799494	29784	1087190.7263508982	4	2
2014-03-25 14:09:48.183926	6207	20.2	1	8
2014-03-25 14:09:48.408707	6208	56	2	8
2014-03-25 14:10:03.794663	6209	20.0	1	1
2014-03-25 14:10:04.02628	6210	53	2	1
2014-03-26 20:02:44.763673	29785	20.8	1	1
2014-03-26 20:02:44.999133	29786	50	2	1
2014-03-25 14:10:27.183687	6215	20.2	1	8
2014-03-25 14:10:27.404768	6216	56	2	8
2014-03-25 14:10:32.761333	6217	370	3	2
2014-03-25 14:10:42.79602	6218	20.0	1	1
2014-03-25 14:10:43.017593	6219	53	2	1
2014-03-26 20:02:56.576541	29787	804	3	2
2014-03-26 20:02:56.80314	29788	1087195.3224897839	4	2
2014-03-25 14:11:06.18596	6224	20.2	1	8
2014-03-25 14:11:06.409168	6225	56	2	8
2014-03-25 14:11:21.794726	6226	20.0	1	1
2014-03-25 14:11:22.016463	6227	53	2	1
2014-03-25 14:11:32.765674	6228	354	3	2
2014-03-26 20:02:57.672355	29789	22.5	1	10
2014-03-26 20:02:57.907268	29790	40	2	10
2014-03-25 14:11:45.183851	6233	20.2	1	8
2014-03-25 14:11:45.40914	6234	56	2	8
2014-03-25 14:12:00.794005	6235	20.0	1	1
2014-03-25 14:12:01.027343	6236	53	2	1
2014-03-26 20:03:08.054615	29791	21.9	1	9
2014-03-26 20:03:08.279565	29792	49	2	9
2014-03-25 14:12:24.186854	6241	20.2	1	8
2014-03-25 14:12:24.413257	6242	56	2	8
2014-03-25 14:12:32.764337	6243	370	3	2
2014-03-25 14:12:39.792352	6244	20.0	1	1
2014-03-25 14:12:40.020217	6245	53	2	1
2014-03-26 20:03:08.588731	29793	724	3	2
2014-03-26 20:03:08.821678	29794	1087197.6205592267	4	2
2014-03-26 20:03:09.142957	29795	21.6	1	8
2014-03-25 14:13:03.184805	6250	20.2	1	8
2014-03-25 14:13:03.43022	6251	56	2	8
2014-03-25 14:13:18.795247	6252	20.0	1	1
2014-03-25 14:13:19.020757	6253	53	2	1
2014-03-25 14:13:32.768587	6254	354	3	2
2014-03-25 14:03:54.838188	6121	20.6	1	10
2014-03-25 14:03:55.061441	6122	53	2	10
2014-03-25 14:04:33.839513	6130	20.6	1	10
2014-03-25 14:04:34.063971	6131	53	2	10
2014-03-25 14:05:12.840181	6140	20.6	1	10
2014-03-25 14:05:13.062115	6141	53	2	10
2014-03-25 14:05:51.837957	6149	20.6	1	10
2014-03-25 14:05:52.061125	6150	53	2	10
2014-03-25 14:06:30.843714	6157	20.6	1	10
2014-03-25 14:06:31.066914	6158	53	2	10
2014-03-25 14:07:09.840104	6166	20.6	1	10
2014-03-25 14:07:10.063467	6167	53	2	10
2014-03-25 14:07:48.838672	6175	20.6	1	10
2014-03-25 14:07:49.065737	6176	53	2	10
2014-03-25 14:08:27.83823	6185	20.6	1	10
2014-03-25 14:08:28.062853	6186	53	2	10
2014-03-25 14:09:06.840364	6194	20.6	1	10
2014-03-25 14:09:07.063358	6195	53	2	10
2014-03-25 14:09:45.839957	6203	20.6	1	10
2014-03-25 14:09:46.064313	6204	53	2	10
2014-03-25 14:10:24.840032	6211	20.6	1	10
2014-03-25 14:10:25.061919	6212	53	2	10
2014-03-25 14:11:03.839503	6220	20.6	1	10
2014-03-25 14:11:04.061451	6221	53	2	10
2014-03-25 14:11:42.842213	6229	20.6	1	10
2014-03-25 14:11:43.064914	6230	53	2	10
2014-03-25 14:12:21.842224	6237	20.6	1	10
2014-03-25 14:12:22.066714	6238	53	2	10
2014-03-26 20:03:09.369158	29796	50	2	8
2014-03-26 20:03:20.577647	29797	708	3	2
2014-03-25 14:13:42.18612	6259	20.2	1	8
2014-03-25 14:13:42.409062	6260	55	2	8
2014-03-25 14:13:57.79506	6261	20.0	1	1
2014-03-25 14:13:58.017359	6262	53	2	1
2014-03-25 14:14:08.76886	6263	418	3	2
2014-03-26 20:03:20.812028	29798	1087199.9186286696	4	2
2014-03-26 20:03:23.761925	29799	20.8	1	1
2014-03-25 14:14:20.763729	6268	418	3	2
2014-03-25 14:14:21.18415	6269	20.2	1	8
2014-03-25 14:14:21.408534	6270	55	2	8
2014-03-25 14:14:32.76486	6271	418	3	2
2014-03-25 14:14:37.03181	6272	20.0	1	1
2014-03-25 14:14:37.256301	6273	53	2	1
2014-03-26 20:03:23.98633	29800	50	2	1
2014-03-26 20:03:32.583075	29801	724	3	2
2014-03-25 14:15:00.184593	6278	20.2	1	8
2014-03-25 14:15:00.409387	6279	55	2	8
2014-03-25 14:15:15.789888	6280	20.0	1	1
2014-03-25 14:15:16.023193	6281	53	2	1
2014-03-25 14:15:32.760183	6282	418	3	2
2014-03-26 20:03:32.818978	29802	1087202.2166981124	4	2
2014-03-26 20:03:36.672667	29803	22.5	1	10
2014-03-25 14:15:39.184462	6287	20.2	1	8
2014-03-25 14:15:39.416597	6288	55	2	8
2014-03-25 14:15:54.790424	6289	20.0	1	1
2014-03-25 14:15:55.013783	6290	53	2	1
2014-03-26 20:03:36.899471	29804	40	2	10
2014-03-26 20:03:44.580398	29805	804	3	2
2014-03-25 14:16:18.186239	6295	20.2	1	8
2014-03-25 14:16:18.427505	6296	55	2	8
2014-03-25 14:16:32.764848	6297	418	3	2
2014-03-25 14:16:33.788461	6298	20.0	1	1
2014-03-25 14:16:34.011925	6299	53	2	1
2014-03-26 20:03:44.814011	29806	1087205.6638022766	4	2
2014-03-26 20:03:47.05296	29807	22.0	1	9
2014-03-25 14:16:57.184082	6304	20.2	1	8
2014-03-25 14:16:57.407997	6305	55	2	8
2014-03-25 14:17:12.790258	6306	20.0	1	1
2014-03-25 14:17:13.013475	6307	53	2	1
2014-03-25 14:17:32.761841	6308	418	3	2
2014-03-26 20:03:47.275823	29808	48	2	9
2014-03-26 20:03:48.140607	29809	21.6	1	8
2014-03-25 14:17:36.185713	6313	20.2	1	8
2014-03-25 14:17:36.417062	6314	55	2	8
2014-03-25 14:17:51.784155	6315	20.0	1	1
2014-03-25 14:17:52.044966	6316	53	2	1
2014-03-26 20:03:48.374086	29810	50	2	8
2014-03-26 20:03:56.577649	29811	676	3	2
2014-03-25 14:18:15.184557	6321	20.2	1	8
2014-03-25 14:18:15.603643	6322	55	2	8
2014-03-25 14:18:30.784032	6323	20.0	1	1
2014-03-25 14:18:31.054869	6324	53	2	1
2014-03-25 14:18:32.763535	6325	418	3	2
2014-03-26 20:03:56.803236	29812	1087207.9618717195	4	2
2014-03-26 20:04:02.76339	29813	20.8	1	1
2014-03-25 14:18:54.185905	6330	20.2	1	8
2014-03-25 14:18:54.409464	6331	55	2	8
2014-03-25 14:19:09.784388	6332	20.0	1	1
2014-03-25 14:19:10.017157	6333	53	2	1
2014-03-26 20:04:02.998568	29814	50	2	1
2014-03-26 20:04:08.580542	29815	708	3	2
2014-03-25 14:19:32.762282	6338	418	3	2
2014-03-25 14:19:33.183997	6339	20.2	1	8
2014-03-25 14:19:33.408729	6340	55	2	8
2014-03-25 14:19:44.762661	6341	354	3	2
2014-03-25 14:19:48.783983	6342	20.0	1	1
2014-03-25 14:19:49.005099	6343	53	2	1
2014-03-25 14:19:56.763324	6344	370	3	2
2014-03-26 20:04:08.814466	29816	1087210.2599411623	4	2
2014-03-26 20:04:15.670876	29817	22.5	1	10
2014-03-25 14:20:12.184126	6349	20.2	1	8
2014-03-25 14:20:12.415261	6350	56	2	8
2014-03-25 14:20:27.786253	6351	20.0	1	1
2014-03-25 14:20:28.008534	6352	53	2	1
2014-03-25 14:20:32.762402	6353	370	3	2
2014-03-26 20:04:15.905842	29818	40	2	10
2014-03-26 20:04:20.577447	29819	804	3	2
2014-03-25 14:20:51.184446	6358	20.2	1	8
2014-03-25 14:20:51.405593	6359	55	2	8
2014-03-25 14:21:06.78446	6360	20.0	1	1
2014-03-25 14:21:07.0149	6361	53	2	1
2014-03-26 20:04:20.804128	29820	1087212.5580106052	4	2
2014-03-26 20:04:26.057725	29821	22.0	1	9
2014-03-25 14:21:30.1835	6366	20.2	1	8
2014-03-25 14:21:30.406085	6367	56	2	8
2014-03-25 14:21:32.761918	6368	354	3	2
2014-03-25 14:21:45.784922	6369	20.0	1	1
2014-03-25 14:21:46.008216	6370	53	2	1
2014-03-26 20:04:26.303744	29822	48	2	9
2014-03-26 20:04:27.140071	29823	21.6	1	8
2014-03-25 14:22:09.224596	6375	20.2	1	8
2014-03-25 14:22:09.455788	6376	55	2	8
2014-03-25 14:22:24.785982	6377	20.0	1	1
2014-03-25 14:22:25.008892	6378	53	2	1
2014-03-25 14:22:32.761539	6379	370	3	2
2014-03-26 20:04:27.365176	29824	50	2	8
2014-03-25 14:22:48.183735	6384	20.2	1	8
2014-03-25 14:22:48.405844	6385	55	2	8
2014-03-25 14:23:03.780854	6386	20.0	1	1
2014-03-25 14:23:04.023341	6387	53	2	1
2014-03-25 14:23:27.183808	6392	20.2	1	8
2014-03-25 14:14:18.841414	6264	20.6	1	10
2014-03-25 14:14:19.065981	6265	53	2	10
2014-03-25 14:14:57.84031	6274	20.6	1	10
2014-03-25 14:14:58.063403	6275	53	2	10
2014-03-25 14:15:36.841832	6283	20.6	1	10
2014-03-25 14:15:37.06481	6284	53	2	10
2014-03-25 14:16:15.841849	6291	20.6	1	10
2014-03-25 14:16:16.075502	6292	53	2	10
2014-03-25 14:16:54.842472	6300	20.6	1	10
2014-03-25 14:16:55.065698	6301	53	2	10
2014-03-25 14:17:33.844058	6309	20.6	1	10
2014-03-25 14:17:34.066541	6310	53	2	10
2014-03-25 14:18:13.048511	6317	20.6	1	10
2014-03-25 14:18:13.336489	6318	53	2	10
2014-03-25 14:18:51.842483	6326	20.6	1	10
2014-03-25 14:18:52.069073	6327	53	2	10
2014-03-25 14:19:30.842747	6334	20.6	1	10
2014-03-25 14:19:31.066039	6335	53	2	10
2014-03-25 14:20:09.841096	6345	20.6	1	10
2014-03-25 14:20:10.063181	6346	53	2	10
2014-03-25 14:20:48.842999	6354	20.6	1	10
2014-03-25 14:20:49.085385	6355	53	2	10
2014-03-25 14:21:27.84454	6362	20.6	1	10
2014-03-25 14:21:28.067234	6363	53	2	10
2014-03-25 14:22:06.842281	6371	20.6	1	10
2014-03-25 14:22:07.07317	6372	53	2	10
2014-03-25 14:22:45.844639	6380	20.6	1	10
2014-03-25 14:22:46.069893	6381	53	2	10
2014-03-25 14:23:24.842893	6388	20.6	1	10
2014-03-25 14:23:25.0696	6389	53	2	10
2014-03-25 14:23:27.405748	6393	55	2	8
2014-03-25 14:23:32.760021	6394	370	3	2
2014-03-25 14:23:42.781959	6395	20.0	1	1
2014-03-25 14:23:43.007679	6396	53	2	1
2014-03-26 20:04:32.576317	29825	804	3	2
2014-03-26 20:04:32.814263	29826	1087214.856080048	4	2
2014-03-25 14:24:06.183548	6401	20.2	1	8
2014-03-25 14:24:06.414351	6402	55	2	8
2014-03-25 14:24:20.758255	6403	402	3	2
2014-03-25 14:24:21.783191	6404	20.0	1	1
2014-03-25 14:24:22.004878	6405	53	2	1
2014-03-25 14:24:32.761298	6406	370	3	2
2014-03-26 20:04:41.763447	29827	20.8	1	1
2014-03-26 20:04:41.988619	29828	50	2	1
2014-03-25 14:24:44.761004	6411	370	3	2
2014-03-25 14:24:45.186274	6412	20.2	1	8
2014-03-25 14:24:45.408054	6413	55	2	8
2014-03-25 14:25:00.780844	6414	20.0	1	1
2014-03-25 14:25:01.011871	6415	53	2	1
2014-03-25 14:25:08.759929	6416	402	3	2
2014-03-25 14:25:20.763155	6417	402	3	2
2014-03-26 20:04:54.672393	29829	22.5	1	10
2014-03-26 20:04:54.908842	29830	40	2	10
2014-03-25 14:25:24.183241	6422	20.2	1	8
2014-03-25 14:25:24.417814	6423	55	2	8
2014-03-25 14:25:32.759688	6424	402	3	2
2014-03-25 14:25:39.778024	6425	20.0	1	1
2014-03-25 14:25:40.000429	6426	53	2	1
2014-03-25 14:25:56.759586	6427	434	3	2
2014-03-26 20:04:56.577401	29831	724	3	2
2014-03-26 20:04:56.803328	29832	1087220.601253655	4	2
2014-03-25 14:26:03.184137	6432	20.2	1	8
2014-03-25 14:26:03.406549	6433	55	2	8
2014-03-25 14:26:08.759937	6434	434	3	2
2014-03-25 14:26:18.780384	6435	20.0	1	1
2014-03-25 14:26:19.000964	6436	53	2	1
2014-03-25 14:26:20.761691	6437	402	3	2
2014-03-25 14:26:32.761008	6438	418	3	2
2014-03-26 20:05:05.053834	29833	22.0	1	9
2014-03-26 20:05:05.288811	29834	48	2	9
2014-03-25 14:26:42.183683	6443	20.2	1	8
2014-03-25 14:26:42.405719	6444	55	2	8
2014-03-25 14:26:57.782725	6445	20.0	1	1
2014-03-25 14:26:58.014057	6446	53	2	1
2014-03-26 20:05:06.142254	29835	21.6	1	8
2014-03-26 20:05:06.365557	29836	50	2	8
2014-03-25 14:27:21.184593	6451	20.2	1	8
2014-03-25 14:27:21.405601	6452	55	2	8
2014-03-25 14:27:32.762634	6453	466	3	2
2014-03-25 14:27:36.786077	6454	20.0	1	1
2014-03-25 14:27:37.007866	6455	53	2	1
2014-03-25 14:27:44.763809	6456	434	3	2
2014-03-25 14:27:56.762626	6457	434	3	2
2014-03-26 20:05:08.57701	29837	804	3	2
2014-03-26 20:05:08.811177	29838	1087222.899323098	4	2
2014-03-25 14:28:00.18646	6462	20.2	1	8
2014-03-25 14:28:00.407126	6463	55	2	8
2014-03-25 14:28:15.78203	6464	20.0	1	1
2014-03-25 14:28:16.014957	6465	53	2	1
2014-03-25 14:28:32.762628	6466	434	3	2
2014-03-26 20:05:20.763475	29839	20.8	1	1
2014-03-26 20:05:20.9896	29840	50	2	1
2014-03-25 14:28:39.183901	6471	20.2	1	8
2014-03-25 14:28:39.41471	6472	55	2	8
2014-03-25 14:28:54.779864	6473	20.0	1	1
2014-03-25 14:28:55.003283	6474	53	2	1
2014-03-26 20:05:32.578267	29841	804	3	2
2014-03-26 20:05:32.813683	29842	1087228.644496705	4	2
2014-03-25 14:29:18.182868	6479	20.2	1	8
2014-03-25 14:29:18.415954	6480	55	2	8
2014-03-25 14:29:33.583423	6481	418	3	2
2014-03-25 14:29:33.893498	6482	20.0	1	1
2014-03-25 14:29:34.116634	6483	53	2	1
2014-03-26 20:05:33.67323	29843	22.5	1	10
2014-03-26 20:05:33.90546	29844	40	2	10
2014-03-25 14:29:57.186212	6488	20.2	1	8
2014-03-25 14:29:57.406376	6489	56	2	8
2014-03-25 14:30:12.780953	6490	20.0	1	1
2014-03-25 14:30:13.014706	6491	53	2	1
2014-03-25 14:30:32.77175	6492	418	3	2
2014-03-26 20:05:44.054655	29845	22.0	1	9
2014-03-26 20:05:44.288613	29846	48	2	9
2014-03-25 14:30:36.182635	6497	20.2	1	8
2014-03-25 14:30:36.416553	6498	55	2	8
2014-03-25 14:30:51.780532	6499	20.0	1	1
2014-03-25 14:30:52.002825	6500	53	2	1
2014-03-26 20:05:45.141145	29847	21.6	1	8
2014-03-26 20:05:45.365054	29848	50	2	8
2014-03-25 14:31:15.183871	6505	20.2	1	8
2014-03-25 14:31:15.416465	6506	55	2	8
2014-03-25 14:31:30.780201	6507	20.0	1	1
2014-03-25 14:31:31.003484	6508	53	2	1
2014-03-25 14:31:32.760625	6509	402	3	2
2014-03-25 14:31:44.761112	6510	370	3	2
2014-03-26 20:05:56.580079	29849	724	3	2
2014-03-26 20:05:56.814708	29850	1087233.2406355906	4	2
2014-03-25 14:31:54.184529	6515	20.2	1	8
2014-03-25 14:31:54.415758	6516	55	2	8
2014-03-25 14:31:56.761217	6517	402	3	2
2014-03-25 14:32:08.758508	6518	418	3	2
2014-03-25 14:32:09.775665	6519	20.0	1	1
2014-03-25 14:32:10.020957	6520	53	2	1
2014-03-25 14:32:20.759784	6521	370	3	2
2014-03-26 20:05:59.76276	29851	20.8	1	1
2014-03-25 14:32:32.763214	6526	402	3	2
2014-03-25 14:32:33.181399	6527	20.2	1	8
2014-03-25 14:32:33.402716	6528	55	2	8
2014-03-25 14:24:03.84383	6397	20.6	1	10
2014-03-25 14:24:04.078624	6398	53	2	10
2014-03-25 14:24:42.843425	6407	20.6	1	10
2014-03-25 14:24:43.067511	6408	53	2	10
2014-03-25 14:25:21.843577	6418	20.6	1	10
2014-03-25 14:25:22.076307	6419	53	2	10
2014-03-25 14:26:00.844755	6428	20.6	1	10
2014-03-25 14:26:01.070532	6429	53	2	10
2014-03-25 14:26:39.843714	6439	20.6	1	10
2014-03-25 14:26:40.066125	6440	53	2	10
2014-03-25 14:27:18.844747	6447	20.6	1	10
2014-03-25 14:27:19.065741	6448	53	2	10
2014-03-25 14:27:57.846178	6458	20.6	1	10
2014-03-25 14:27:58.066951	6459	53	2	10
2014-03-25 14:28:36.844002	6467	20.6	1	10
2014-03-25 14:28:37.066969	6468	53	2	10
2014-03-25 14:29:15.844958	6475	20.6	1	10
2014-03-25 14:29:16.089155	6476	53	2	10
2014-03-25 14:29:54.845122	6484	20.6	1	10
2014-03-25 14:29:55.066418	6485	53	2	10
2014-03-25 14:30:33.84506	6493	20.6	1	10
2014-03-25 14:30:34.066889	6494	53	2	10
2014-03-25 14:31:12.847274	6501	20.6	1	10
2014-03-25 14:31:13.076834	6502	53	2	10
2014-03-25 14:31:51.845097	6511	20.6	1	10
2014-03-25 14:31:52.067587	6512	53	2	10
2014-03-25 14:32:44.765008	6529	402	3	2
2014-03-25 14:32:48.779646	6530	20.0	1	1
2014-03-25 14:32:49.010161	6531	53	2	1
2014-03-26 20:05:59.988436	29852	50	2	1
2014-03-26 20:06:08.576347	29853	724	3	2
2014-03-25 14:33:12.183967	6536	20.1	1	8
2014-03-25 14:33:12.404454	6537	55	2	8
2014-03-25 14:33:27.778889	6538	20.0	1	1
2014-03-25 14:33:28.00935	6539	53	2	1
2014-03-25 14:33:32.763136	6540	402	3	2
2014-03-26 20:06:08.811431	29854	1087235.5387050335	4	2
2014-03-26 20:06:12.672725	29855	22.5	1	10
2014-03-25 14:33:51.183658	6545	20.1	1	8
2014-03-25 14:33:51.404409	6546	55	2	8
2014-03-25 14:34:06.773625	6547	20.0	1	1
2014-03-25 14:34:06.996939	6548	53	2	1
2014-03-26 20:06:12.896471	29856	40	2	10
2014-03-26 20:06:23.055336	29857	22.0	1	9
2014-03-25 14:34:30.185515	6553	20.1	1	8
2014-03-25 14:34:30.416085	6554	55	2	8
2014-03-25 14:34:32.7631	6555	402	3	2
2014-03-25 14:34:45.775642	6556	20.0	1	1
2014-03-25 14:34:45.996599	6557	53	2	1
2014-03-26 20:06:23.41473	29858	48	2	9
2014-03-26 20:06:24.234557	29859	21.6	1	8
2014-03-25 14:35:08.764258	6562	370	3	2
2014-03-25 14:35:09.18829	6563	20.1	1	8
2014-03-25 14:35:09.409429	6564	55	2	8
2014-03-25 14:35:20.761533	6565	402	3	2
2014-03-25 14:35:24.775105	6566	20.0	1	1
2014-03-25 14:35:24.994937	6567	53	2	1
2014-03-25 14:35:44.618735	6568	402	3	2
2014-03-25 14:35:44.941503	6569	370	3	2
2014-03-26 20:06:24.511953	29860	50	2	8
2014-03-26 20:06:32.577261	29861	676	3	2
2014-03-25 14:35:48.184137	6574	20.1	1	8
2014-03-25 14:35:48.407921	6575	55	2	8
2014-03-25 14:35:56.762888	6576	402	3	2
2014-03-25 14:36:03.773492	6577	20.0	1	1
2014-03-25 14:36:03.994614	6578	53	2	1
2014-03-25 14:36:08.761318	6579	402	3	2
2014-03-25 14:36:20.758636	6580	370	3	2
2014-03-26 20:06:33.115464	29862	1087241.2838786405	4	2
2014-03-26 20:06:38.762016	29863	20.8	1	1
2014-03-25 14:36:27.186647	6585	20.1	1	8
2014-03-25 14:36:27.409434	6586	55	2	8
2014-03-25 14:36:32.761623	6587	370	3	2
2014-03-25 14:36:42.774289	6588	20.0	1	1
2014-03-25 14:36:42.997268	6589	53	2	1
2014-03-25 14:36:44.763946	6590	434	3	2
2014-03-25 14:36:56.763732	6591	434	3	2
2014-03-26 20:06:39.068912	29864	50	2	1
2014-03-26 20:06:44.57747	29865	676	3	2
2014-03-25 14:37:06.184097	6596	20.1	1	8
2014-03-25 14:37:06.416439	6597	55	2	8
2014-03-25 14:37:21.775482	6598	20.0	1	1
2014-03-25 14:37:21.997843	6599	53	2	1
2014-03-25 14:37:32.760999	6600	482	3	2
2014-03-26 20:06:44.815641	29866	1087243.5819480834	4	2
2014-03-26 20:06:51.672247	29867	22.6	1	10
2014-03-25 14:37:44.76226	6605	482	3	2
2014-03-25 14:37:45.400975	6606	20.1	1	8
2014-03-25 14:37:45.624552	6607	55	2	8
2014-03-25 14:38:00.774823	6608	20.0	1	1
2014-03-25 14:38:01.00099	6609	54	2	1
2014-03-26 20:06:51.896294	29868	40	2	10
2014-03-26 20:06:56.580469	29869	724	3	2
2014-03-25 14:38:24.183942	6614	20.1	1	8
2014-03-25 14:38:24.418582	6615	55	2	8
2014-03-25 14:38:32.765475	6616	498	3	2
2014-03-25 14:38:39.775849	6617	20.0	1	1
2014-03-25 14:38:40.000173	6618	54	2	1
2014-03-26 20:06:56.830122	29870	1087245.8800175262	4	2
2014-03-26 20:07:02.053556	29871	21.9	1	9
2014-03-25 14:39:03.183632	6623	20.1	1	8
2014-03-25 14:39:03.405595	6624	55	2	8
2014-03-25 14:39:18.770914	6625	20.0	1	1
2014-03-25 14:39:19.006241	6626	54	2	1
2014-03-25 14:39:32.763961	6627	498	3	2
2014-03-26 20:07:02.283953	29872	48	2	9
2014-03-26 20:07:03.140048	29873	21.6	1	8
2014-03-25 14:39:42.183549	6632	20.1	1	8
2014-03-25 14:39:42.417795	6633	55	2	8
2014-03-25 14:39:57.772389	6634	20.0	1	1
2014-03-25 14:39:57.998195	6635	54	2	1
2014-03-26 20:07:03.376611	29874	50	2	8
2014-03-26 20:07:08.578738	29875	820	3	2
2014-03-25 14:40:21.185954	6640	20.1	1	8
2014-03-25 14:40:21.42033	6641	55	2	8
2014-03-25 14:40:32.760191	6642	498	3	2
2014-03-25 14:40:36.77216	6643	20.0	1	1
2014-03-25 14:40:36.995929	6644	54	2	1
2014-03-26 20:07:08.804348	29876	1087248.178086969	4	2
2014-03-26 20:07:17.763016	29877	20.8	1	1
2014-03-25 14:41:00.187018	6649	20.1	1	8
2014-03-25 14:41:00.40866	6650	55	2	8
2014-03-25 14:41:15.776493	6651	20.0	1	1
2014-03-25 14:41:16.023897	6652	54	2	1
2014-03-25 14:41:32.76029	6653	482	3	2
2014-03-26 20:07:17.996683	29878	50	2	1
2014-03-26 20:07:20.579756	29879	837	3	2
2014-03-26 20:07:20.805175	29880	1087251.6251911332	4	2
2014-03-25 14:41:39.18424	6658	20.1	1	8
2014-03-25 14:41:39.480748	6659	55	2	8
2014-03-25 14:41:54.769606	6660	20.0	1	1
2014-03-25 14:41:54.991011	6661	54	2	1
2014-03-25 14:33:09.848316	6532	20.6	1	10
2014-03-25 14:33:10.067805	6533	53	2	10
2014-03-25 14:33:48.849406	6541	20.6	1	10
2014-03-25 14:33:49.071891	6542	53	2	10
2014-03-25 14:34:27.848967	6549	20.6	1	10
2014-03-25 14:34:28.074744	6550	53	2	10
2014-03-25 14:35:06.848052	6558	20.6	1	10
2014-03-25 14:35:07.071739	6559	53	2	10
2014-03-25 14:35:45.848668	6570	20.6	1	10
2014-03-25 14:35:46.072662	6571	53	2	10
2014-03-25 14:36:24.84921	6581	20.6	1	10
2014-03-25 14:36:25.071431	6582	53	2	10
2014-03-25 14:37:03.849175	6592	20.6	1	10
2014-03-25 14:37:04.079513	6593	53	2	10
2014-03-25 14:37:42.848729	6601	20.6	1	10
2014-03-25 14:37:43.077183	6602	53	2	10
2014-03-25 14:38:21.847605	6610	20.6	1	10
2014-03-25 14:38:22.073843	6611	53	2	10
2014-03-25 14:39:00.851045	6619	20.6	1	10
2014-03-25 14:39:01.072978	6620	53	2	10
2014-03-25 14:39:39.848514	6628	20.6	1	10
2014-03-25 14:39:40.077291	6629	53	2	10
2014-03-25 14:40:18.849804	6636	20.6	1	10
2014-03-25 14:40:19.08468	6637	53	2	10
2014-03-25 14:40:57.848675	6645	20.6	1	10
2014-03-25 14:40:58.07041	6646	53	2	10
2014-03-25 14:41:36.8496	6654	20.6	1	10
2014-03-26 20:07:30.672813	29881	22.6	1	10
2014-03-25 14:42:18.185383	6666	20.1	1	8
2014-03-25 14:42:18.421628	6667	55	2	8
2014-03-25 14:42:32.75899	6668	498	3	2
2014-03-25 14:42:33.771474	6669	20.0	1	1
2014-03-25 14:42:33.995374	6670	54	2	1
2014-03-26 20:07:30.908202	29882	40	2	10
2014-03-26 20:07:32.580015	29883	837	3	2
2014-03-25 14:42:57.183131	6675	20.1	1	8
2014-03-25 14:42:57.410158	6676	55	2	8
2014-03-25 14:43:12.773027	6677	20.0	1	1
2014-03-25 14:43:13.007813	6678	54	2	1
2014-03-25 14:43:20.762067	6679	434	3	2
2014-03-25 14:43:32.764766	6680	434	3	2
2014-03-26 20:07:32.804649	29884	1087253.923260576	4	2
2014-03-26 20:07:41.053773	29885	21.9	1	9
2014-03-25 14:43:36.183208	6685	20.1	1	8
2014-03-25 14:43:36.417442	6686	55	2	8
2014-03-25 14:43:51.773795	6687	20.0	1	1
2014-03-25 14:43:51.99644	6688	54	2	1
2014-03-26 20:07:41.291236	29886	48	2	9
2014-03-26 20:07:42.140984	29887	21.6	1	8
2014-03-25 14:44:15.183192	6693	20.1	1	8
2014-03-25 14:44:15.417369	6694	55	2	8
2014-03-25 14:44:30.768529	6695	20.0	1	1
2014-03-25 14:44:30.993052	6696	54	2	1
2014-03-25 14:44:32.762903	6697	434	3	2
2014-03-26 20:07:42.365013	29888	50	2	8
2014-03-26 20:07:56.760754	29889	20.8	1	1
2014-03-25 14:44:54.183655	6702	20.1	1	8
2014-03-25 14:44:54.404454	6703	55	2	8
2014-03-25 14:44:56.755197	6704	515	3	2
2014-03-25 14:45:09.778996	6705	20.0	1	1
2014-03-25 14:45:10.050115	6706	54	2	1
2014-03-26 20:07:56.994967	29890	50	2	1
2014-03-26 20:08:09.672334	29891	22.6	1	10
2014-03-25 14:45:33.183855	6711	20.1	1	8
2014-03-25 14:45:33.41551	6712	55	2	8
2014-03-25 14:45:44.753808	6713	515	3	2
2014-03-25 14:45:48.775173	6714	20.0	1	1
2014-03-25 14:45:48.997634	6715	54	2	1
2014-03-25 14:45:56.759519	6716	418	3	2
2014-03-25 14:46:08.760334	6717	482	3	2
2014-03-26 20:08:09.920033	29892	40	2	10
2014-03-26 20:08:20.053394	29893	21.9	1	9
2014-03-25 14:46:12.185731	6722	20.1	1	8
2014-03-25 14:46:12.416953	6723	55	2	8
2014-03-25 14:46:20.762281	6724	482	3	2
2014-03-25 14:46:28.005464	6725	20.0	1	1
2014-03-25 14:46:28.229998	6726	54	2	1
2014-03-25 14:46:32.762159	6727	498	3	2
2014-03-26 20:08:20.286927	29894	48	2	9
2014-03-26 20:08:21.140681	29895	21.6	1	8
2014-03-25 14:46:51.18379	6732	20.1	1	8
2014-03-25 14:46:51.407047	6733	55	2	8
2014-03-25 14:47:06.7732	6734	20.0	1	1
2014-03-25 14:47:06.994922	6735	54	2	1
2014-03-26 20:08:21.362953	29896	50	2	8
2014-03-26 20:08:32.576981	29897	820	3	2
2014-03-25 14:47:30.184477	6740	20.1	1	8
2014-03-25 14:47:30.428317	6741	55	2	8
2014-03-25 14:47:32.758794	6742	482	3	2
2014-03-25 14:47:45.767674	6743	20.0	1	1
2014-03-25 14:47:45.9905	6744	54	2	1
2014-03-26 20:08:32.812886	29898	1087267.711677233	4	2
2014-03-26 20:08:35.761742	29899	20.8	1	1
2014-03-25 14:48:09.183784	6749	20.1	1	8
2014-03-25 14:48:09.432807	6750	55	2	8
2014-03-25 14:48:24.769336	6751	20.1	1	1
2014-03-25 14:48:25.002188	6752	54	2	1
2014-03-25 14:48:32.761497	6753	466	3	2
2014-03-26 20:08:35.988509	29900	50	2	1
2014-03-26 20:08:48.672596	29901	22.7	1	10
2014-03-25 14:48:48.183861	6758	20.1	1	8
2014-03-25 14:48:48.405526	6759	55	2	8
2014-03-25 14:49:03.771255	6760	20.1	1	1
2014-03-25 14:49:03.994556	6761	54	2	1
2014-03-25 14:49:20.761506	6762	515	3	2
2014-03-26 20:08:48.908603	29902	40	2	10
2014-03-26 20:08:59.053253	29903	21.9	1	9
2014-03-25 14:49:27.183905	6767	20.1	1	8
2014-03-25 14:49:27.406169	6768	55	2	8
2014-03-25 14:49:32.75939	6769	515	3	2
2014-03-25 14:49:42.770099	6770	20.1	1	1
2014-03-25 14:49:42.995183	6771	54	2	1
2014-03-26 20:08:59.277514	29904	48	2	9
2014-03-26 20:09:00.140448	29905	21.6	1	8
2014-03-25 14:50:06.184365	6776	20.1	1	8
2014-03-25 14:50:06.406232	6777	55	2	8
2014-03-25 14:50:21.768222	6778	20.1	1	1
2014-03-25 14:50:21.994813	6779	54	2	1
2014-03-25 14:50:32.76155	6780	515	3	2
2014-03-26 20:09:00.374347	29906	50	2	8
2014-03-26 20:09:14.762202	29907	20.8	1	1
2014-03-25 14:50:45.184917	6785	20.1	1	8
2014-03-25 14:50:45.408136	6786	55	2	8
2014-03-25 14:51:00.769044	6787	20.1	1	1
2014-03-25 14:51:01.000588	6788	54	2	1
2014-03-25 14:51:20.758283	6789	466	3	2
2014-03-26 20:09:14.987664	29908	50	2	1
2014-03-26 20:09:27.675032	29909	22.7	1	10
2014-03-25 14:51:24.185376	6794	20.1	1	8
2014-03-25 14:51:24.406824	6795	55	2	8
2014-03-25 14:51:32.759638	6796	450	3	2
2014-03-25 14:51:40.009274	6797	20.1	1	1
2014-03-25 14:51:40.235258	6798	54	2	1
2014-03-25 14:42:54.850851	6671	20.6	1	10
2014-03-25 14:42:55.077945	6672	53	2	10
2014-03-25 14:43:33.849893	6681	20.6	1	10
2014-03-25 14:43:34.081757	6682	53	2	10
2014-03-25 14:44:12.85213	6689	20.6	1	10
2014-03-25 14:44:13.083915	6690	53	2	10
2014-03-25 14:44:51.851056	6698	20.6	1	10
2014-03-25 14:44:52.074078	6699	53	2	10
2014-03-25 14:45:30.85017	6707	20.6	1	10
2014-03-25 14:45:31.083839	6708	53	2	10
2014-03-25 14:46:09.9046	6718	20.6	1	10
2014-03-25 14:46:10.136811	6719	53	2	10
2014-03-25 14:46:48.850876	6728	20.6	1	10
2014-03-25 14:46:49.07358	6729	53	2	10
2014-03-25 14:47:27.852727	6736	20.6	1	10
2014-03-25 14:47:28.084577	6737	53	2	10
2014-03-25 14:48:06.853289	6745	20.6	1	10
2014-03-25 14:48:07.075036	6746	53	2	10
2014-03-25 14:48:45.852396	6754	20.6	1	10
2014-03-25 14:48:46.074818	6755	53	2	10
2014-03-25 14:49:24.854287	6763	20.6	1	10
2014-03-25 14:49:25.078288	6764	53	2	10
2014-03-25 14:50:03.853217	6772	20.6	1	10
2014-03-25 14:50:04.077454	6773	53	2	10
2014-03-25 14:50:42.854371	6781	20.6	1	10
2014-03-25 14:50:43.07901	6782	53	2	10
2014-03-25 14:51:21.853888	6790	20.6	1	10
2014-03-26 20:09:27.909015	29910	40	2	10
2014-03-26 20:09:32.575957	29911	724	3	2
2014-03-25 14:52:03.183372	6803	20.1	1	8
2014-03-25 14:52:03.406916	6804	55	2	8
2014-03-25 14:52:18.774993	6805	20.1	1	1
2014-03-25 14:52:18.999385	6806	54	2	1
2014-03-25 14:52:32.759703	6807	466	3	2
2014-03-26 20:09:32.803251	29912	1087281.5000938901	4	2
2014-03-26 20:09:38.053382	29913	21.9	1	9
2014-03-25 14:52:42.185368	6812	20.1	1	8
2014-03-25 14:52:42.408625	6813	55	2	8
2014-03-25 14:52:57.76968	6814	20.1	1	1
2014-03-25 14:52:57.993029	6815	54	2	1
2014-03-26 20:09:38.291601	29914	48	2	9
2014-03-26 20:09:39.139892	29915	21.6	1	8
2014-03-25 14:53:21.184727	6820	20.1	1	8
2014-03-25 14:53:21.415405	6821	55	2	8
2014-03-25 14:53:32.758917	6822	466	3	2
2014-03-25 14:53:37.009011	6823	20.1	1	1
2014-03-25 14:53:37.231366	6824	54	2	1
2014-03-26 20:09:39.363645	29916	49	2	8
2014-03-26 20:09:44.576695	29917	837	3	2
2014-03-25 14:54:00.18308	6829	20.1	1	8
2014-03-25 14:54:00.405098	6830	55	2	8
2014-03-25 14:54:15.771912	6831	20.1	1	1
2014-03-25 14:54:16.005511	6832	54	2	1
2014-03-25 14:54:32.760948	6833	466	3	2
2014-03-26 20:09:44.827489	29918	1087283.7981633327	4	2
2014-03-26 20:09:53.759085	29919	20.8	1	1
2014-03-25 14:54:39.183377	6838	20.1	1	8
2014-03-25 14:54:39.414363	6839	55	2	8
2014-03-25 14:54:54.767899	6840	20.1	1	1
2014-03-25 14:54:54.993153	6841	54	2	1
2014-03-25 14:54:56.761235	6842	418	3	2
2014-03-25 14:55:08.758813	6843	418	3	2
2014-03-26 20:09:53.983634	29920	50	2	1
2014-03-26 20:09:56.575716	29921	595	3	2
2014-03-25 14:55:18.184424	6848	20.1	1	8
2014-03-25 14:55:18.405679	6849	55	2	8
2014-03-25 14:55:32.759264	6850	434	3	2
2014-03-25 14:55:33.766446	6851	20.1	1	1
2014-03-25 14:55:33.989819	6852	54	2	1
2014-03-26 20:09:56.811619	29922	1087286.0962327756	4	2
2014-03-26 20:10:06.669469	29923	22.7	1	10
2014-03-25 14:55:57.18338	6857	20.1	1	8
2014-03-25 14:55:57.417394	6858	55	2	8
2014-03-25 14:56:12.76956	6859	20.1	1	1
2014-03-25 14:56:12.993531	6860	54	2	1
2014-03-25 14:56:32.759809	6861	434	3	2
2014-03-26 20:10:06.897001	29924	40	2	10
2014-03-26 20:10:08.579038	29925	611	3	2
2014-03-25 14:56:36.185391	6866	20.1	1	8
2014-03-25 14:56:36.408554	6867	55	2	8
2014-03-25 14:56:51.764058	6868	20.1	1	1
2014-03-25 14:56:51.997319	6869	54	2	1
2014-03-26 20:10:08.813864	29926	1087288.3943022185	4	2
2014-03-26 20:10:17.054122	29927	21.9	1	9
2014-03-25 14:57:15.183711	6874	20.1	1	8
2014-03-25 14:57:15.414461	6875	55	2	8
2014-03-25 14:57:30.764293	6876	20.1	1	1
2014-03-25 14:57:30.998239	6877	54	2	1
2014-03-25 14:57:32.759792	6878	434	3	2
2014-03-26 20:10:17.277012	29928	48	2	9
2014-03-26 20:10:18.140064	29929	21.6	1	8
2014-03-25 14:57:54.183956	6883	20.1	1	8
2014-03-25 14:57:54.407933	6884	55	2	8
2014-03-25 14:58:09.764579	6885	20.1	1	1
2014-03-25 14:58:09.987745	6886	54	2	1
2014-03-26 20:10:18.371531	29930	49	2	8
2014-03-26 20:10:32.760927	29931	20.8	1	1
2014-03-25 14:58:32.758183	6891	434	3	2
2014-03-25 14:58:33.182437	6892	20.1	1	8
2014-03-25 14:58:33.405283	6893	55	2	8
2014-03-25 14:58:48.766221	6894	20.1	1	1
2014-03-25 14:58:48.989599	6895	54	2	1
2014-03-26 20:10:32.987143	29932	50	2	1
2014-03-26 20:10:44.577023	29933	595	3	2
2014-03-25 14:59:12.183296	6900	20.1	1	8
2014-03-25 14:59:12.405928	6901	55	2	8
2014-03-25 14:59:27.766446	6902	20.1	1	1
2014-03-25 14:59:28.000293	6903	54	2	1
2014-03-25 14:59:32.761022	6904	418	3	2
2014-03-26 20:10:44.810182	29934	1087294.1394758255	4	2
2014-03-26 20:10:45.671143	29935	22.7	1	10
2014-03-25 14:59:51.183839	6909	20.1	1	8
2014-03-25 14:59:51.406264	6910	55	2	8
2014-03-25 15:00:06.767766	6911	20.2	1	1
2014-03-25 15:00:06.995056	6912	54	2	1
2014-03-26 20:10:45.897321	29936	40	2	10
2014-03-26 20:10:56.054437	29937	21.9	1	9
2014-03-25 15:00:30.183391	6917	20.1	1	8
2014-03-25 15:00:30.427164	6918	55	2	8
2014-03-25 15:00:32.759428	6919	418	3	2
2014-03-25 15:00:45.762415	6920	20.2	1	1
2014-03-25 15:00:45.990081	6921	54	2	1
2014-03-26 20:10:56.288724	29938	48	2	9
2014-03-25 15:01:08.890006	6926	450	3	2
2014-03-25 15:01:09.530003	6927	20.1	1	8
2014-03-25 15:01:09.950069	6928	55	2	8
2014-03-25 15:01:20.893023	6929	466	3	2
2014-03-25 15:01:24.764408	6930	20.2	1	1
2014-03-25 15:01:24.989912	6931	54	2	1
2014-03-25 15:01:45.658606	6932	450	3	2
2014-03-25 14:52:40.058553	6808	20.6	1	10
2014-03-25 14:52:40.282879	6809	53	2	10
2014-03-25 14:53:18.856388	6816	20.6	1	10
2014-03-25 14:53:19.080525	6817	53	2	10
2014-03-25 14:53:57.855089	6825	20.6	1	10
2014-03-25 14:53:58.079594	6826	53	2	10
2014-03-25 14:54:36.854318	6834	20.6	1	10
2014-03-25 14:54:37.077389	6835	53	2	10
2014-03-25 14:55:15.856444	6844	20.6	1	10
2014-03-25 14:55:16.078808	6845	53	2	10
2014-03-25 14:55:54.854209	6853	20.6	1	10
2014-03-25 14:55:55.078931	6854	53	2	10
2014-03-25 14:56:33.854773	6862	20.6	1	10
2014-03-25 14:56:34.076277	6863	53	2	10
2014-03-25 14:57:12.854418	6870	20.6	1	10
2014-03-25 14:57:13.078747	6871	53	2	10
2014-03-25 14:57:51.856265	6879	20.6	1	10
2014-03-25 14:57:52.080517	6880	53	2	10
2014-03-25 14:58:30.855828	6887	20.6	1	10
2014-03-25 14:58:31.096944	6888	53	2	10
2014-03-25 14:59:09.855614	6896	20.6	1	10
2014-03-25 14:59:10.080146	6897	53	2	10
2014-03-25 14:59:48.855301	6905	20.6	1	10
2014-03-25 14:59:49.077904	6906	53	2	10
2014-03-25 15:00:27.857922	6913	20.6	1	10
2014-03-25 15:00:28.083256	6914	53	2	10
2014-03-25 15:01:06.857842	6922	20.6	1	10
2014-03-25 15:01:07.082981	6923	53	2	10
2014-03-25 15:01:45.982851	6933	20.6	1	10
2014-03-25 15:01:46.20866	6934	53	2	10
2014-03-25 15:01:48.186303	6937	20.1	1	8
2014-03-25 15:01:48.41088	6938	55	2	8
2014-03-25 15:02:03.759435	6939	20.2	1	1
2014-03-25 15:02:03.993136	6940	54	2	1
2014-03-26 20:10:56.596435	29939	611	3	2
2014-03-26 20:10:56.823239	29940	1087296.4375452683	4	2
2014-03-25 15:02:27.186018	6945	20.1	1	8
2014-03-25 15:02:27.409517	6946	55	2	8
2014-03-25 15:02:32.759923	6947	466	3	2
2014-03-25 15:02:42.763393	6948	20.2	1	1
2014-03-25 15:02:42.989449	6949	54	2	1
2014-03-26 20:10:57.140271	29941	21.6	1	8
2014-03-26 20:10:57.375749	29942	49	2	8
2014-03-25 15:03:06.183028	6954	20.1	1	8
2014-03-25 15:03:06.407166	6955	55	2	8
2014-03-25 15:03:21.758984	6956	20.2	1	1
2014-03-25 15:03:21.983778	6957	54	2	1
2014-03-25 15:03:32.759782	6958	482	3	2
2014-03-26 20:11:11.760136	29943	20.8	1	1
2014-03-26 20:11:11.986513	29944	50	2	1
2014-03-25 15:03:45.184223	6963	20.1	1	8
2014-03-25 15:03:45.433707	6964	55	2	8
2014-03-25 15:04:00.760352	6965	20.2	1	1
2014-03-25 15:04:00.983325	6966	54	2	1
2014-03-26 20:11:24.671127	29945	22.8	1	10
2014-03-26 20:11:24.905007	29946	40	2	10
2014-03-25 15:04:24.184193	6971	20.1	1	8
2014-03-25 15:04:24.416159	6972	55	2	8
2014-03-25 15:04:39.562534	6973	466	3	2
2014-03-25 15:04:39.872694	6974	20.2	1	1
2014-03-25 15:04:40.149085	6975	54	2	1
2014-03-26 20:11:32.577399	29947	579	3	2
2014-03-26 20:11:32.803699	29948	1087302.1827188756	4	2
2014-03-25 15:05:03.184619	6980	20.1	1	8
2014-03-25 15:05:03.405414	6981	55	2	8
2014-03-25 15:05:18.765672	6982	20.2	1	1
2014-03-25 15:05:18.988686	6983	54	2	1
2014-03-25 15:05:32.761529	6984	482	3	2
2014-03-26 20:11:35.05528	29949	21.9	1	9
2014-03-26 20:11:35.288855	29950	48	2	9
2014-03-25 15:05:42.183497	6989	20.1	1	8
2014-03-25 15:05:42.405509	6990	55	2	8
2014-03-25 15:05:57.760762	6991	20.2	1	1
2014-03-25 15:05:58.015043	6992	54	2	1
2014-03-26 20:11:36.142782	29951	21.6	1	8
2014-03-26 20:11:36.367384	29952	49	2	8
2014-03-25 15:06:21.183043	6997	20.1	1	8
2014-03-25 15:06:21.405399	6998	55	2	8
2014-03-25 15:06:32.758635	6999	482	3	2
2014-03-25 15:06:36.759754	7000	20.2	1	1
2014-03-25 15:06:36.984496	7001	54	2	1
2014-03-25 15:06:56.758964	7002	450	3	2
2014-03-26 20:11:44.574631	29953	595	3	2
2014-03-26 20:11:44.809654	29954	1087304.4807883182	4	2
2014-03-25 15:07:00.18392	7007	20.1	1	8
2014-03-25 15:07:00.416091	7008	55	2	8
2014-03-25 15:07:08.758912	7009	450	3	2
2014-03-25 15:07:15.759471	7010	20.2	1	1
2014-03-25 15:07:15.982926	7011	54	2	1
2014-03-25 15:07:32.7542	7012	434	3	2
2014-03-26 20:11:50.762601	29955	20.8	1	1
2014-03-26 20:11:50.987918	29956	50	2	1
2014-03-25 15:07:39.185268	7017	20.1	1	8
2014-03-25 15:07:39.416371	7018	55	2	8
2014-03-25 15:07:54.759701	7019	20.2	1	1
2014-03-25 15:07:54.98473	7020	54	2	1
2014-03-26 20:11:56.573312	29957	547	3	2
2014-03-26 20:11:56.812105	29958	1087305.6298230398	4	2
2014-03-25 15:08:18.182794	7025	20.1	1	8
2014-03-25 15:08:18.416101	7026	55	2	8
2014-03-25 15:08:32.758884	7027	450	3	2
2014-03-25 15:08:33.753195	7028	20.2	1	1
2014-03-25 15:08:33.975578	7029	54	2	1
2014-03-26 20:12:03.670841	29959	22.8	1	10
2014-03-26 20:12:03.89471	29960	40	2	10
2014-03-25 15:08:57.183154	7034	20.1	1	8
2014-03-25 15:08:57.409002	7035	55	2	8
2014-03-25 15:09:12.758104	7036	20.2	1	1
2014-03-25 15:09:12.991592	7037	54	2	1
2014-03-25 15:09:32.759576	7038	434	3	2
2014-03-26 20:12:08.581797	29961	595	3	2
2014-03-26 20:12:08.816849	29962	1087307.9278924826	4	2
2014-03-25 15:09:36.182292	7043	20.1	1	8
2014-03-25 15:09:36.404098	7044	55	2	8
2014-03-25 15:09:51.755556	7045	20.2	1	1
2014-03-25 15:09:51.978718	7046	54	2	1
2014-03-26 20:12:14.054214	29963	21.9	1	9
2014-03-26 20:12:14.337087	29964	48	2	9
2014-03-25 15:10:15.184076	7051	20.1	1	8
2014-03-25 15:10:15.406291	7052	55	2	8
2014-03-25 15:10:30.759269	7053	20.2	1	1
2014-03-25 15:10:30.982662	7054	54	2	1
2014-03-25 15:10:32.760623	7055	450	3	2
2014-03-26 20:12:15.141333	29965	21.6	1	8
2014-03-26 20:12:15.386433	29966	49	2	8
2014-03-25 15:10:54.18493	7060	20.1	1	8
2014-03-25 15:10:54.407292	7061	55	2	8
2014-03-25 15:11:09.758771	7062	20.2	1	1
2014-03-25 15:11:09.992294	7063	54	2	1
2014-03-26 20:12:20.575575	29967	579	3	2
2014-03-25 15:11:32.757643	7068	450	3	2
2014-03-25 15:11:33.40119	7069	20.1	1	8
2014-03-25 15:11:33.622931	7070	55	2	8
2014-03-25 15:11:48.75409	7071	20.2	1	1
2014-03-25 15:11:48.978753	7072	54	2	1
2014-03-25 15:02:24.856276	6941	20.6	1	10
2014-03-25 15:02:25.079701	6942	53	2	10
2014-03-25 15:03:03.855905	6950	20.6	1	10
2014-03-25 15:03:04.07967	6951	53	2	10
2014-03-25 15:03:42.858559	6959	20.6	1	10
2014-03-25 15:03:43.090668	6960	53	2	10
2014-03-25 15:04:21.858777	6967	20.6	1	10
2014-03-25 15:04:22.092694	6968	53	2	10
2014-03-25 15:05:00.859605	6976	20.6	1	10
2014-03-25 15:05:01.083197	6977	53	2	10
2014-03-25 15:05:39.861913	6985	20.6	1	10
2014-03-25 15:05:40.123943	6986	53	2	10
2014-03-25 15:06:18.859619	6993	20.6	1	10
2014-03-25 15:06:19.084614	6994	53	2	10
2014-03-25 15:06:57.859655	7003	20.6	1	10
2014-03-25 15:06:58.100845	7004	53	2	10
2014-03-25 15:07:36.859514	7013	20.6	1	10
2014-03-25 15:07:37.081483	7014	53	2	10
2014-03-25 15:08:15.859768	7021	20.6	1	10
2014-03-25 15:08:16.097136	7022	53	2	10
2014-03-25 15:08:54.859731	7030	20.6	1	10
2014-03-25 15:08:55.084115	7031	53	2	10
2014-03-25 15:09:33.859756	7039	20.6	1	10
2014-03-25 15:09:34.082369	7040	53	2	10
2014-03-25 15:10:12.859982	7047	20.6	1	10
2014-03-25 15:10:13.08505	7048	53	2	10
2014-03-25 15:10:51.861739	7056	20.6	1	10
2014-03-25 15:10:52.085295	7057	53	2	10
2014-03-26 20:12:20.800505	29968	1087310.2259619255	4	2
2014-03-26 20:12:29.760901	29969	20.8	1	1
2014-03-25 15:12:12.183988	7077	20.1	1	8
2014-03-25 15:12:12.417008	7078	55	2	8
2014-03-25 15:12:27.753414	7079	20.2	1	1
2014-03-25 15:12:27.996368	7080	54	2	1
2014-03-25 15:12:48.659513	7081	434	3	2
2014-03-26 20:12:30.180157	29970	50	2	1
2014-03-26 20:12:32.579591	29971	531	3	2
2014-03-25 15:12:51.187134	7086	20.1	1	8
2014-03-25 15:12:51.411142	7087	55	2	8
2014-03-25 15:13:06.750616	7088	20.2	1	1
2014-03-25 15:13:06.983119	7089	54	2	1
2014-03-25 15:13:08.758657	7090	482	3	2
2014-03-25 15:13:27.65962	7091	466	3	2
2014-03-26 20:12:32.809897	29972	1087311.3749966468	4	2
2014-03-26 20:12:42.669959	29973	22.8	1	10
2014-03-25 15:13:30.185264	7096	20.1	1	8
2014-03-25 15:13:30.418745	7097	55	2	8
2014-03-25 15:13:32.757014	7098	482	3	2
2014-03-25 15:13:45.758464	7099	20.2	1	1
2014-03-25 15:13:45.99022	7100	54	2	1
2014-03-26 20:12:42.897027	29974	41	2	10
2014-03-26 20:12:44.577084	29975	515	3	2
2014-03-25 15:14:09.184964	7105	20.1	1	8
2014-03-25 15:14:09.410251	7106	55	2	8
2014-03-25 15:14:24.75325	7107	20.2	1	1
2014-03-25 15:14:24.986269	7108	54	2	1
2014-03-25 15:14:32.759345	7109	466	3	2
2014-03-26 20:12:44.810213	29976	1087313.6730660896	4	2
2014-03-26 20:12:53.053824	29977	21.9	1	9
2014-03-25 15:14:48.184384	7114	20.1	1	8
2014-03-25 15:14:48.411105	7115	55	2	8
2014-03-25 15:15:03.752798	7116	20.2	1	1
2014-03-25 15:15:03.976092	7117	54	2	1
2014-03-26 20:12:53.278324	29978	48	2	9
2014-03-26 20:12:54.137983	29979	21.6	1	8
2014-03-25 15:15:27.1842	7122	20.1	1	8
2014-03-25 15:15:27.415203	7123	55	2	8
2014-03-25 15:15:32.75801	7124	466	3	2
2014-03-25 15:15:42.755642	7125	20.2	1	1
2014-03-25 15:15:42.979404	7126	54	2	1
2014-03-26 20:12:54.373608	29980	49	2	8
2014-03-26 20:13:08.758624	29981	20.8	1	1
2014-03-25 15:16:06.1848	7131	20.1	1	8
2014-03-25 15:16:06.406904	7132	55	2	8
2014-03-25 15:16:21.749966	7133	20.2	1	1
2014-03-25 15:16:21.983999	7134	54	2	1
2014-03-25 15:16:32.760254	7135	466	3	2
2014-03-26 20:13:09.00261	29982	50	2	1
2014-03-26 20:13:21.673954	29983	22.9	1	10
2014-03-25 15:16:45.184713	7140	20.1	1	8
2014-03-25 15:16:45.405443	7141	55	2	8
2014-03-25 15:17:00.75214	7142	20.2	1	1
2014-03-25 15:17:00.975991	7143	54	2	1
2014-03-26 20:13:21.908178	29984	41	2	10
2014-03-26 20:13:32.05501	29985	21.9	1	9
2014-03-25 15:17:24.185603	7148	20.1	1	8
2014-03-25 15:17:24.602025	7149	55	2	8
2014-03-25 15:17:32.75785	7150	466	3	2
2014-03-25 15:17:39.747748	7151	20.3	1	1
2014-03-25 15:17:39.971523	7152	54	2	1
2014-03-26 20:13:32.280527	29986	48	2	9
2014-03-26 20:13:32.590026	29987	531	3	2
2014-03-25 15:18:03.185986	7157	20.1	1	8
2014-03-25 15:18:03.416512	7158	55	2	8
2014-03-25 15:18:18.753698	7159	20.3	1	1
2014-03-25 15:18:18.979126	7160	54	2	1
2014-03-25 15:18:32.758425	7161	466	3	2
2014-03-26 20:13:32.822909	29988	1087320.5672744182	4	2
2014-03-26 20:13:33.139481	29989	21.6	1	8
2014-03-25 15:18:42.1836	7166	20.1	1	8
2014-03-25 15:18:42.407635	7167	55	2	8
2014-03-25 15:18:57.747253	7168	20.3	1	1
2014-03-25 15:18:57.983462	7169	54	2	1
2014-03-25 15:19:08.758746	7170	418	3	2
2014-03-26 20:13:33.367983	29990	49	2	8
2014-03-26 20:13:47.760756	29991	20.8	1	1
2014-03-25 15:19:20.759629	7175	418	3	2
2014-03-25 15:19:21.182554	7176	20.1	1	8
2014-03-25 15:19:21.407332	7177	55	2	8
2014-03-25 15:19:32.759855	7178	434	3	2
2014-03-25 15:19:36.749037	7179	20.3	1	1
2014-03-25 15:19:36.972403	7180	54	2	1
2014-03-26 20:13:47.994427	29992	50	2	1
2014-03-26 20:14:00.670369	29993	22.9	1	10
2014-03-25 15:20:00.184519	7185	20.1	1	8
2014-03-25 15:20:00.416297	7186	54	2	8
2014-03-25 15:20:15.754374	7187	20.3	1	1
2014-03-25 15:20:15.98494	7188	54	2	1
2014-03-25 15:20:32.755644	7189	434	3	2
2014-03-26 20:14:00.895388	29994	41	2	10
2014-03-26 20:14:11.055193	29995	21.9	1	9
2014-03-25 15:20:39.183731	7194	20.1	1	8
2014-03-25 15:20:39.404491	7195	54	2	8
2014-03-25 15:20:54.754852	7196	20.3	1	1
2014-03-25 15:20:54.986578	7197	54	2	1
2014-03-26 20:14:11.288778	29996	48	2	9
2014-03-26 20:14:12.138746	29997	21.6	1	8
2014-03-26 20:14:12.36157	29998	49	2	8
2014-03-25 15:21:18.187494	7202	20.1	1	8
2014-03-25 15:21:18.408293	7203	54	2	8
2014-03-25 15:21:32.761207	7204	418	3	2
2014-03-25 15:21:33.753371	7205	20.3	1	1
2014-03-25 15:21:33.975311	7206	54	2	1
2014-03-25 15:12:09.860088	7073	20.6	1	10
2014-03-25 15:12:10.09599	7074	53	2	10
2014-03-25 15:12:48.981546	7082	20.6	1	10
2014-03-25 15:12:49.204646	7083	53	2	10
2014-03-25 15:13:27.975553	7092	20.6	1	10
2014-03-25 15:13:28.208013	7093	53	2	10
2014-03-25 15:14:06.861753	7101	20.6	1	10
2014-03-25 15:14:07.084159	7102	53	2	10
2014-03-25 15:14:45.862559	7110	20.6	1	10
2014-03-25 15:14:46.089459	7111	53	2	10
2014-03-25 15:15:24.86181	7118	20.6	1	10
2014-03-25 15:15:25.094133	7119	53	2	10
2014-03-25 15:16:03.862584	7127	20.6	1	10
2014-03-25 15:16:04.085731	7128	53	2	10
2014-03-25 15:16:42.864289	7136	20.6	1	10
2014-03-25 15:16:43.086519	7137	53	2	10
2014-03-25 15:17:21.863026	7144	20.6	1	10
2014-03-25 15:17:22.110323	7145	53	2	10
2014-03-25 15:18:00.861093	7153	20.6	1	10
2014-03-25 15:18:01.094594	7154	53	2	10
2014-03-25 15:18:39.862508	7162	20.6	1	10
2014-03-25 15:18:40.086088	7163	53	2	10
2014-03-25 15:19:18.863721	7171	20.6	1	10
2014-03-25 15:19:19.096228	7172	53	2	10
2014-03-25 15:19:57.863724	7181	20.6	1	10
2014-03-25 15:19:58.085888	7182	53	2	10
2014-03-25 15:20:36.862379	7190	20.6	1	10
2014-03-25 15:20:37.083198	7191	53	2	10
2014-03-26 20:14:26.761147	29999	20.8	1	1
2014-03-26 20:14:26.995225	30000	50	2	1
2014-03-25 15:21:57.185358	7211	20.1	1	8
2014-03-25 15:21:57.416579	7212	54	2	8
2014-03-25 15:22:12.750524	7213	20.3	1	1
2014-03-25 15:22:12.978088	7214	54	2	1
2014-03-25 15:22:20.758252	7215	450	3	2
2014-03-25 15:22:32.757073	7216	434	3	2
2014-03-26 20:14:32.574399	30001	547	3	2
2014-03-26 20:14:32.804898	30002	1087329.7595521894	4	2
2014-03-25 15:22:36.183709	7221	20.1	1	8
2014-03-25 15:22:36.406569	7222	54	2	8
2014-03-25 15:22:51.752064	7223	20.3	1	1
2014-03-25 15:22:51.990937	7224	54	2	1
2014-03-26 20:14:39.679026	30003	22.9	1	10
2014-03-26 20:14:39.913591	30004	41	2	10
2014-03-25 15:23:15.185363	7229	20.1	1	8
2014-03-25 15:23:15.408193	7230	54	2	8
2014-03-25 15:23:30.752501	7231	20.3	1	1
2014-03-25 15:23:30.985888	7232	54	2	1
2014-03-25 15:23:32.755032	7233	418	3	2
2014-03-26 20:14:50.054381	30005	21.9	1	9
2014-03-26 20:14:50.279609	30006	48	2	9
2014-03-25 15:23:54.185704	7238	20.1	1	8
2014-03-25 15:23:54.417706	7239	54	2	8
2014-03-25 15:24:09.744911	7240	20.3	1	1
2014-03-25 15:24:09.968152	7241	54	2	1
2014-03-26 20:14:51.140159	30007	21.6	1	8
2014-03-26 20:14:51.375539	30008	49	2	8
2014-03-25 15:24:32.761351	7246	434	3	2
2014-03-25 15:24:33.186497	7247	20.1	1	8
2014-03-25 15:24:33.410376	7248	54	2	8
2014-03-25 15:24:48.746937	7249	20.3	1	1
2014-03-25 15:24:48.97957	7250	54	2	1
2014-03-26 20:15:05.760438	30009	20.7	1	1
2014-03-26 20:15:05.985254	30010	50	2	1
2014-03-25 15:25:12.184394	7255	20.1	1	8
2014-03-25 15:25:12.407369	7256	54	2	8
2014-03-25 15:25:20.759587	7257	466	3	2
2014-03-25 15:25:27.98339	7258	20.3	1	1
2014-03-25 15:25:28.206222	7259	54	2	1
2014-03-25 15:25:32.756571	7260	466	3	2
2014-03-26 20:15:18.674627	30011	22.9	1	10
2014-03-26 20:15:18.909987	30012	41	2	10
2014-03-25 15:25:51.184555	7265	20.1	1	8
2014-03-25 15:25:51.406606	7266	54	2	8
2014-03-25 15:26:06.751205	7267	20.3	1	1
2014-03-25 15:26:06.974069	7268	54	2	1
2014-03-26 20:15:20.574661	30013	498	3	2
2014-03-26 20:15:20.799882	30014	1087336.653760518	4	2
2014-03-25 15:26:30.184361	7273	20.1	1	8
2014-03-25 15:26:30.407849	7274	54	2	8
2014-03-25 15:26:32.760721	7275	466	3	2
2014-03-25 15:26:45.750323	7276	20.3	1	1
2014-03-25 15:26:45.980455	7277	54	2	1
2014-03-26 20:15:29.053231	30015	21.8	1	9
2014-03-26 20:15:29.296314	30016	48	2	9
2014-03-25 15:27:09.183354	7282	20.1	1	8
2014-03-25 15:27:09.415216	7283	54	2	8
2014-03-25 15:27:24.746234	7284	20.3	1	1
2014-03-25 15:27:24.97048	7285	54	2	1
2014-03-25 15:27:32.756439	7286	482	3	2
2014-03-26 20:15:30.138631	30017	21.7	1	8
2014-03-26 20:15:30.364921	30018	49	2	8
2014-03-25 15:27:48.18483	7291	20.1	1	8
2014-03-25 15:27:48.406995	7292	54	2	8
2014-03-25 15:28:03.749316	7293	20.3	1	1
2014-03-25 15:28:03.984888	7294	54	2	1
2014-03-26 20:15:32.579346	30019	498	3	2
2014-03-26 20:15:32.814148	30020	1087337.8027952393	4	2
2014-03-25 15:28:27.183154	7299	20.1	1	8
2014-03-25 15:28:27.406775	7300	54	2	8
2014-03-25 15:28:32.758041	7301	466	3	2
2014-03-25 15:28:42.747312	7302	20.3	1	1
2014-03-25 15:28:42.969356	7303	54	2	1
2014-03-26 20:15:44.760117	30021	20.7	1	1
2014-03-26 20:15:44.987411	30022	50	2	1
2014-03-25 15:29:06.185273	7308	20.1	1	8
2014-03-25 15:29:06.41763	7309	54	2	8
2014-03-25 15:29:21.74388	7310	20.3	1	1
2014-03-25 15:29:21.967867	7311	54	2	1
2014-03-25 15:29:32.756222	7312	466	3	2
2014-03-26 20:15:56.577513	30023	547	3	2
2014-03-26 20:15:56.812482	30024	1087342.398934125	4	2
2014-03-25 15:29:45.184502	7317	20.1	1	8
2014-03-25 15:29:45.408767	7318	54	2	8
2014-03-25 15:30:00.746334	7319	20.3	1	1
2014-03-25 15:30:00.98034	7320	54	2	1
2014-03-26 20:15:57.675003	30025	23.0	1	10
2014-03-26 20:15:57.901235	30026	40	2	10
2014-03-25 15:30:24.184053	7325	20.1	1	8
2014-03-25 15:30:24.407954	7326	54	2	8
2014-03-25 15:30:32.754602	7327	466	3	2
2014-03-25 15:30:39.746071	7328	20.3	1	1
2014-03-25 15:30:39.9701	7329	54	2	1
2014-03-26 20:16:08.052754	30027	21.8	1	9
2014-03-25 15:31:03.184058	7334	20.1	1	8
2014-03-25 15:31:03.416076	7335	54	2	8
2014-03-25 15:31:18.552984	7336	434	3	2
2014-03-25 15:31:18.863949	7337	20.3	1	1
2014-03-25 15:31:19.087086	7338	54	2	1
2014-03-25 15:31:20.758103	7339	434	3	2
2014-03-25 15:31:32.75871	7340	434	3	2
2014-03-25 15:22:33.863207	7217	20.6	1	10
2014-03-25 15:22:34.100217	7218	53	2	10
2014-03-25 15:23:12.864178	7225	20.6	1	10
2014-03-25 15:23:13.091736	7226	53	2	10
2014-03-25 15:23:51.863323	7234	20.6	1	10
2014-03-25 15:23:52.086641	7235	53	2	10
2014-03-25 15:24:30.865637	7242	20.5	1	10
2014-03-25 15:24:31.098911	7243	53	2	10
2014-03-25 15:25:09.865243	7251	20.5	1	10
2014-03-25 15:25:10.089912	7252	53	2	10
2014-03-25 15:25:48.865512	7261	20.5	1	10
2014-03-25 15:25:49.089	7262	53	2	10
2014-03-25 15:26:27.864267	7269	20.5	1	10
2014-03-25 15:26:28.090562	7270	53	2	10
2014-03-25 15:27:06.868045	7278	20.5	1	10
2014-03-25 15:27:07.113147	7279	53	2	10
2014-03-25 15:27:45.865347	7287	20.5	1	10
2014-03-25 15:27:46.097938	7288	53	2	10
2014-03-25 15:28:24.866561	7295	20.5	1	10
2014-03-25 15:28:25.092333	7296	53	2	10
2014-03-25 15:29:03.866244	7304	20.5	1	10
2014-03-25 15:29:04.091768	7305	53	2	10
2014-03-25 15:29:42.867469	7313	20.5	1	10
2014-03-25 15:29:43.091118	7314	53	2	10
2014-03-25 15:30:21.867953	7321	20.5	1	10
2014-03-25 15:30:22.090965	7322	53	2	10
2014-03-25 15:31:00.867485	7330	20.5	1	10
2014-03-25 15:31:01.098661	7331	53	2	10
2014-03-25 15:31:39.867388	7341	20.5	1	10
2014-03-25 15:31:40.107719	7342	53	2	10
2014-03-25 15:31:42.183556	7345	20.1	1	8
2014-03-25 15:31:42.416312	7346	54	2	8
2014-03-25 15:31:57.74551	7347	20.3	1	1
2014-03-25 15:31:57.969453	7348	53	2	1
2014-03-26 20:16:08.286784	30028	48	2	9
2014-03-26 20:16:09.142287	30029	21.7	1	8
2014-03-25 15:32:20.760267	7353	482	3	2
2014-03-25 15:32:21.183358	7354	20.1	1	8
2014-03-25 15:32:21.406892	7355	54	2	8
2014-03-25 15:32:32.756732	7356	482	3	2
2014-03-25 15:32:36.749105	7357	20.3	1	1
2014-03-25 15:32:36.976734	7358	53	2	1
2014-03-26 20:16:09.367664	30030	49	2	8
2014-03-26 20:16:20.57713	30031	515	3	2
2014-03-25 15:33:00.183239	7363	20.1	1	8
2014-03-25 15:33:00.415537	7364	54	2	8
2014-03-25 15:33:15.746939	7365	20.3	1	1
2014-03-25 15:33:15.980951	7366	53	2	1
2014-03-25 15:33:32.756825	7367	498	3	2
2014-03-26 20:16:20.811523	30032	1087345.8460382891	4	2
2014-03-26 20:16:23.754775	30033	20.7	1	1
2014-03-25 15:33:39.182657	7372	20.1	1	8
2014-03-25 15:33:39.404573	7373	54	2	8
2014-03-25 15:33:54.744466	7374	20.3	1	1
2014-03-25 15:33:54.96887	7375	53	2	1
2014-03-26 20:16:23.980653	30034	50	2	1
2014-03-26 20:16:32.576158	30035	531	3	2
2014-03-25 15:34:18.184414	7380	20.1	1	8
2014-03-25 15:34:18.40623	7381	54	2	8
2014-03-25 15:34:32.753521	7382	482	3	2
2014-03-25 15:34:33.741636	7383	20.3	1	1
2014-03-25 15:34:33.964326	7384	53	2	1
2014-03-26 20:16:32.810351	30036	1087346.9950730107	4	2
2014-03-26 20:16:36.676534	30037	23.0	1	10
2014-03-25 15:34:57.18327	7389	20.1	1	8
2014-03-25 15:34:57.416582	7390	54	2	8
2014-03-25 15:35:12.742419	7391	20.3	1	1
2014-03-25 15:35:12.965571	7392	53	2	1
2014-03-25 15:35:32.754166	7393	498	3	2
2014-03-26 20:16:36.901651	30038	40	2	10
2014-03-26 20:16:47.054579	30039	21.8	1	9
2014-03-25 15:35:36.185013	7398	20.1	1	8
2014-03-25 15:35:36.410395	7399	54	2	8
2014-03-25 15:35:51.739651	7400	20.3	1	1
2014-03-25 15:35:51.973704	7401	53	2	1
2014-03-26 20:16:47.288164	30040	48	2	9
2014-03-26 20:16:48.139438	30041	21.7	1	8
2014-03-25 15:36:15.183205	7406	20.1	1	8
2014-03-25 15:36:15.40578	7407	54	2	8
2014-03-25 15:36:30.73937	7408	20.3	1	1
2014-03-25 15:36:30.973412	7409	53	2	1
2014-03-25 15:36:32.756593	7410	498	3	2
2014-03-26 20:16:48.363602	30042	49	2	8
2014-03-26 20:17:02.758779	30043	20.7	1	1
2014-03-25 15:36:54.18407	7415	20.1	1	8
2014-03-25 15:36:54.404917	7416	54	2	8
2014-03-25 15:37:09.74428	7417	20.3	1	1
2014-03-25 15:37:09.968575	7418	53	2	1
2014-03-25 15:37:20.758088	7419	547	3	2
2014-03-26 20:17:02.993295	30044	50	2	1
2014-03-26 20:17:15.675688	30045	23.0	1	10
2014-03-25 15:37:32.757315	7424	531	3	2
2014-03-25 15:37:33.183649	7425	20.1	1	8
2014-03-25 15:37:33.404734	7426	54	2	8
2014-03-25 15:37:48.742763	7427	20.3	1	1
2014-03-25 15:37:48.970452	7428	53	2	1
2014-03-26 20:17:15.901573	30046	40	2	10
2014-03-26 20:17:26.052036	30047	21.8	1	9
2014-03-25 15:38:12.18417	7433	20.1	1	8
2014-03-25 15:38:12.415443	7434	54	2	8
2014-03-25 15:38:27.741799	7435	20.3	1	1
2014-03-25 15:38:27.966893	7436	53	2	1
2014-03-25 15:38:32.75829	7437	547	3	2
2014-03-26 20:17:26.288692	30048	48	2	9
2014-03-26 20:17:27.142174	30049	21.7	1	8
2014-03-25 15:38:51.183253	7442	20.1	1	8
2014-03-25 15:38:51.406986	7443	54	2	8
2014-03-25 15:39:06.740731	7444	20.3	1	1
2014-03-25 15:39:06.971896	7445	53	2	1
2014-03-26 20:17:27.365631	30050	49	2	8
2014-03-26 20:17:32.574979	30051	531	3	2
2014-03-25 15:39:30.185067	7450	20.1	1	8
2014-03-25 15:39:30.408062	7451	54	2	8
2014-03-25 15:39:32.75894	7452	547	3	2
2014-03-25 15:39:45.741151	7453	20.3	1	1
2014-03-25 15:39:45.966789	7454	53	2	1
2014-03-25 15:39:56.75456	7455	579	3	2
2014-03-26 20:17:32.810727	30052	1087355.0427870129	4	2
2014-03-26 20:17:41.75707	30053	20.7	1	1
2014-03-25 15:40:08.758577	7460	547	3	2
2014-03-25 15:40:09.181744	7461	20.1	1	8
2014-03-25 15:40:09.444173	7462	54	2	8
2014-03-25 15:40:20.756224	7463	579	3	2
2014-03-25 15:40:24.741198	7464	20.3	1	1
2014-03-25 15:40:24.964314	7465	53	2	1
2014-03-25 15:40:32.760561	7466	547	3	2
2014-03-25 15:40:44.756748	7467	531	3	2
2014-03-26 20:17:41.983394	30054	50	2	1
2014-03-26 20:17:54.679396	30055	23.1	1	10
2014-03-25 15:40:48.184136	7472	20.1	1	8
2014-03-25 15:40:48.417729	7473	54	2	8
2014-03-25 15:41:03.739118	7474	20.3	1	1
2014-03-25 15:41:03.963353	7475	53	2	1
2014-03-26 20:17:54.913696	30056	40	2	10
2014-03-25 15:41:27.183837	7480	20.1	1	8
2014-03-25 15:32:18.869661	7349	20.5	1	10
2014-03-25 15:32:19.101737	7350	53	2	10
2014-03-25 15:32:57.870149	7359	20.5	1	10
2014-03-25 15:32:58.104159	7360	53	2	10
2014-03-25 15:33:36.867394	7368	20.5	1	10
2014-03-25 15:33:37.092609	7369	53	2	10
2014-03-25 15:34:15.86717	7376	20.5	1	10
2014-03-25 15:34:16.090749	7377	53	2	10
2014-03-25 15:34:54.867783	7385	20.5	1	10
2014-03-25 15:34:55.10011	7386	53	2	10
2014-03-25 15:35:33.868698	7394	20.5	1	10
2014-03-25 15:35:34.090836	7395	53	2	10
2014-03-25 15:36:12.869137	7402	20.5	1	10
2014-03-25 15:36:13.091261	7403	53	2	10
2014-03-25 15:36:51.870733	7411	20.5	1	10
2014-03-25 15:36:52.093667	7412	53	2	10
2014-03-25 15:37:30.871534	7420	20.5	1	10
2014-03-25 15:37:31.095737	7421	53	2	10
2014-03-25 15:38:09.873938	7429	20.5	1	10
2014-03-25 15:38:10.096814	7430	53	2	10
2014-03-25 15:38:48.871427	7438	20.5	1	10
2014-03-25 15:38:49.099144	7439	53	2	10
2014-03-25 15:39:27.871428	7446	20.5	1	10
2014-03-25 15:39:28.097421	7447	53	2	10
2014-03-25 15:40:06.89125	7456	20.5	1	10
2014-03-25 15:40:07.147804	7457	53	2	10
2014-03-25 15:40:45.870912	7468	20.5	1	10
2014-03-25 15:40:46.103037	7469	53	2	10
2014-03-25 15:41:27.415095	7481	54	2	8
2014-03-25 15:41:32.756689	7482	547	3	2
2014-03-25 15:41:42.734659	7483	20.3	1	1
2014-03-25 15:41:42.958553	7484	53	2	1
2014-03-26 20:17:56.577575	30057	498	3	2
2014-03-26 20:17:56.803841	30058	1087358.489891177	4	2
2014-03-25 15:42:06.184029	7489	20.1	1	8
2014-03-25 15:42:06.412861	7490	54	2	8
2014-03-25 15:42:21.74282	7491	20.3	1	1
2014-03-25 15:42:21.965418	7492	53	2	1
2014-03-25 15:42:32.757877	7493	547	3	2
2014-03-26 20:18:05.053133	30059	21.8	1	9
2014-03-26 20:18:05.288797	30060	48	2	9
2014-03-25 15:42:44.762094	7498	498	3	2
2014-03-25 15:42:45.182276	7499	20.1	1	8
2014-03-25 15:42:45.404698	7500	54	2	8
2014-03-25 15:42:56.757966	7501	498	3	2
2014-03-25 15:43:00.74048	7502	20.3	1	1
2014-03-25 15:43:00.963194	7503	53	2	1
2014-03-26 20:18:06.140206	30061	21.7	1	8
2014-03-26 20:18:06.366606	30062	49	2	8
2014-03-25 15:43:24.182992	7508	20.1	1	8
2014-03-25 15:43:24.406253	7509	54	2	8
2014-03-25 15:43:32.756758	7510	498	3	2
2014-03-25 15:43:39.739954	7511	20.3	1	1
2014-03-25 15:43:39.966163	7512	53	2	1
2014-03-26 20:18:08.575129	30063	531	3	2
2014-03-26 20:18:08.823373	30064	1087359.6389258984	4	2
2014-03-25 15:44:03.183955	7517	20.0	1	8
2014-03-25 15:44:03.418727	7518	54	2	8
2014-03-25 15:44:18.73697	7519	20.3	1	1
2014-03-25 15:44:18.960877	7520	53	2	1
2014-03-25 15:44:32.759113	7521	498	3	2
2014-03-26 20:18:20.758164	30065	20.7	1	1
2014-03-26 20:18:20.981892	30066	50	2	1
2014-03-25 15:44:42.18607	7526	20.0	1	8
2014-03-25 15:44:42.410421	7527	54	2	8
2014-03-25 15:44:57.738503	7528	20.3	1	1
2014-03-25 15:44:57.971462	7529	53	2	1
2014-03-26 20:18:32.576247	30067	531	3	2
2014-03-26 20:18:32.810405	30068	1087364.235064784	4	2
2014-03-25 15:45:21.186087	7534	20.0	1	8
2014-03-25 15:45:21.408919	7535	54	2	8
2014-03-25 15:45:32.757846	7536	515	3	2
2014-03-25 15:45:36.737524	7537	20.3	1	1
2014-03-25 15:45:36.960256	7538	53	2	1
2014-03-26 20:18:33.675592	30069	23.1	1	10
2014-03-26 20:18:33.906782	30070	40	2	10
2014-03-25 15:46:00.18282	7543	20.0	1	8
2014-03-25 15:46:00.426762	7544	54	2	8
2014-03-25 15:46:15.737337	7545	20.3	1	1
2014-03-25 15:46:15.960178	7546	53	2	1
2014-03-25 15:46:32.754022	7547	515	3	2
2014-03-26 20:18:44.052622	30071	21.8	1	9
2014-03-26 20:18:44.285098	30072	48	2	9
2014-03-25 15:46:39.182677	7552	20.0	1	8
2014-03-25 15:46:39.405425	7553	54	2	8
2014-03-25 15:46:54.540156	7554	450	3	2
2014-03-25 15:46:54.855755	7555	20.3	1	1
2014-03-25 15:46:55.077648	7556	53	2	1
2014-03-25 15:46:56.755645	7557	450	3	2
2014-03-26 20:18:44.59532	30073	482	3	2
2014-03-26 20:18:44.818582	30074	1087365.3840995056	4	2
2014-03-25 15:47:18.182604	7562	20.0	1	8
2014-03-25 15:47:18.404992	7563	54	2	8
2014-03-25 15:47:32.756831	7564	450	3	2
2014-03-25 15:47:33.737982	7565	20.3	1	1
2014-03-25 15:47:33.960583	7566	53	2	1
2014-03-26 20:18:45.139667	30075	21.7	1	8
2014-03-26 20:18:45.374803	30076	49	2	8
2014-03-25 15:47:57.183532	7571	20.0	1	8
2014-03-25 15:47:57.406035	7572	54	2	8
2014-03-25 15:48:12.736236	7573	20.3	1	1
2014-03-25 15:48:12.959096	7574	53	2	1
2014-03-25 15:48:32.75633	7575	450	3	2
2014-03-26 20:18:56.575663	30077	531	3	2
2014-03-26 20:18:56.799187	30078	1087367.6821689485	4	2
2014-03-25 15:48:36.183769	7580	20.0	1	8
2014-03-25 15:48:36.406556	7581	54	2	8
2014-03-25 15:48:44.752109	7582	482	3	2
2014-03-25 15:48:51.735582	7583	20.3	1	1
2014-03-25 15:48:51.96121	7584	53	2	1
2014-03-25 15:48:56.752159	7585	482	3	2
2014-03-26 20:18:59.759311	30079	20.7	1	1
2014-03-26 20:18:59.990996	30080	50	2	1
2014-03-25 15:49:15.182602	7590	20.0	1	8
2014-03-25 15:49:15.439228	7591	54	2	8
2014-03-25 15:49:30.735871	7592	20.3	1	1
2014-03-25 15:49:31.005268	7593	53	2	1
2014-03-25 15:49:32.753232	7594	482	3	2
2014-03-26 20:19:08.578204	30081	531	3	2
2014-03-26 20:19:08.804696	30082	1087368.8312036698	4	2
2014-03-25 15:49:54.183462	7599	20.0	1	8
2014-03-25 15:49:54.414285	7600	54	2	8
2014-03-25 15:50:09.735043	7601	20.3	1	1
2014-03-25 15:50:09.959015	7602	53	2	1
2014-03-26 20:19:12.675433	30083	23.1	1	10
2014-03-26 20:19:12.909682	30084	40	2	10
2014-03-25 15:50:32.758154	7607	515	3	2
2014-03-25 15:50:33.184491	7608	20.0	1	8
2014-03-25 15:50:33.407274	7609	54	2	8
2014-03-25 15:50:44.755825	7610	498	3	2
2014-03-25 15:50:48.736457	7611	20.3	1	1
2014-03-25 15:50:48.969321	7612	53	2	1
2014-03-26 20:19:23.05157	30085	21.8	1	9
2014-03-25 15:42:03.87073	7485	20.5	1	10
2014-03-25 15:42:04.092578	7486	53	2	10
2014-03-25 15:42:42.87089	7494	20.5	1	10
2014-03-25 15:42:43.095361	7495	53	2	10
2014-03-25 15:43:21.873018	7504	20.5	1	10
2014-03-25 15:43:22.098896	7505	53	2	10
2014-03-25 15:44:00.870759	7513	20.5	1	10
2014-03-25 15:44:01.103259	7514	53	2	10
2014-03-25 15:44:39.8717	7522	20.5	1	10
2014-03-25 15:44:40.095784	7523	53	2	10
2014-03-25 15:45:18.872907	7530	20.5	1	10
2014-03-25 15:45:19.095888	7531	53	2	10
2014-03-25 15:45:57.872333	7539	20.5	1	10
2014-03-25 15:45:58.09418	7540	53	2	10
2014-03-25 15:46:36.880206	7548	20.5	1	10
2014-03-25 15:46:37.102141	7549	53	2	10
2014-03-25 15:47:15.872703	7558	20.5	1	10
2014-03-25 15:47:16.094622	7559	53	2	10
2014-03-25 15:47:54.872806	7567	20.5	1	10
2014-03-25 15:47:55.097271	7568	53	2	10
2014-03-25 15:48:33.875791	7576	20.5	1	10
2014-03-25 15:48:34.098506	7577	53	2	10
2014-03-25 15:49:12.874107	7586	20.5	1	10
2014-03-25 15:49:13.09982	7587	52	2	10
2014-03-25 15:49:51.874044	7595	20.5	1	10
2014-03-25 15:49:52.131429	7596	52	2	10
2014-03-25 15:50:30.873619	7603	20.5	1	10
2014-03-25 15:50:31.10536	7604	52	2	10
2014-03-25 15:51:12.184445	7617	20.0	1	8
2014-03-25 15:51:12.410386	7618	54	2	8
2014-03-25 15:51:27.732071	7619	20.3	1	1
2014-03-25 15:51:27.965414	7620	53	2	1
2014-03-25 15:51:32.753519	7621	498	3	2
2014-03-26 20:19:23.276191	30086	48	2	9
2014-03-26 20:19:24.138838	30087	21.7	1	8
2014-03-25 15:51:51.182433	7626	20.0	1	8
2014-03-25 15:51:51.406124	7627	54	2	8
2014-03-25 15:52:06.732475	7628	20.3	1	1
2014-03-25 15:52:06.956821	7629	53	2	1
2014-03-26 20:19:24.371598	30088	49	2	8
2014-03-26 20:19:32.577039	30089	595	3	2
2014-03-25 15:52:30.183148	7634	20.0	1	8
2014-03-25 15:52:30.414421	7635	54	2	8
2014-03-25 15:52:32.752465	7636	482	3	2
2014-03-25 15:52:45.7345	7637	20.3	1	1
2014-03-25 15:52:45.960804	7638	53	2	1
2014-03-26 20:19:32.802452	30090	1087372.278307834	4	2
2014-03-26 20:19:38.755174	30091	20.7	1	1
2014-03-25 15:53:09.183368	7643	20.0	1	8
2014-03-25 15:53:09.407155	7644	54	2	8
2014-03-25 15:53:24.734674	7645	20.3	1	1
2014-03-25 15:53:24.968115	7646	53	2	1
2014-03-25 15:53:32.753644	7647	498	3	2
2014-03-26 20:19:38.989242	30092	50	2	1
2014-03-26 20:19:44.577573	30093	515	3	2
2014-03-25 15:53:48.182077	7652	20.0	1	8
2014-03-25 15:53:48.41335	7653	54	2	8
2014-03-25 15:54:03.72984	7654	20.3	1	1
2014-03-25 15:54:03.953975	7655	53	2	1
2014-03-26 20:19:44.812927	30094	1087374.5763772768	4	2
2014-03-26 20:19:51.676935	30095	23.1	1	10
2014-03-25 15:54:27.182888	7660	20.0	1	8
2014-03-25 15:54:27.41365	7661	54	2	8
2014-03-25 15:54:32.751128	7662	498	3	2
2014-03-25 15:54:42.732689	7663	20.3	1	1
2014-03-25 15:54:42.958455	7664	53	2	1
2014-03-25 15:54:44.752975	7665	450	3	2
2014-03-25 15:54:56.753638	7666	450	3	2
2014-03-26 20:19:51.911482	30096	40	2	10
2014-03-26 20:19:56.576606	30097	595	3	2
2014-03-25 15:55:06.183043	7671	20.0	1	8
2014-03-25 15:55:06.415098	7672	54	2	8
2014-03-25 15:55:21.734658	7673	20.3	1	1
2014-03-25 15:55:21.958919	7674	53	2	1
2014-03-25 15:55:32.75398	7675	450	3	2
2014-03-26 20:19:56.803705	30098	1087376.8744467197	4	2
2014-03-26 20:20:02.052456	30099	21.8	1	9
2014-03-25 15:55:45.185012	7680	20.0	1	8
2014-03-25 15:55:45.407033	7681	54	2	8
2014-03-26 20:20:02.289379	30100	48	2	9
2014-03-26 20:20:03.14061	30101	21.8	1	8
2014-03-25 15:56:24.182274	7686	20.0	1	8
2014-03-25 15:56:24.41639	7687	54	2	8
2014-03-25 15:56:39.729174	7688	20.3	1	1
2014-03-25 15:56:39.952617	7689	53	2	1
2014-03-26 20:20:03.365723	30102	49	2	8
2014-03-26 20:20:08.575874	30103	595	3	2
2014-03-25 15:57:03.182938	7694	20.0	1	8
2014-03-25 15:57:03.415786	7695	54	2	8
2014-03-25 15:57:18.728826	7696	20.3	1	1
2014-03-25 15:57:18.953396	7697	53	2	1
2014-03-25 15:57:32.755812	7698	466	3	2
2014-03-26 20:20:08.815163	30104	1087378.0234814412	4	2
2014-03-26 20:20:17.75879	30105	20.7	1	1
2014-03-25 15:57:42.182348	7703	20.0	1	8
2014-03-25 15:57:42.406516	7704	54	2	8
2014-03-25 15:57:57.730148	7705	20.3	1	1
2014-03-25 15:57:57.964359	7706	53	2	1
2014-03-26 20:20:17.983489	30106	50	2	1
2014-03-26 20:20:30.677681	30107	23.1	1	10
2014-03-25 15:58:21.18246	7711	20.0	1	8
2014-03-25 15:58:21.405602	7712	54	2	8
2014-03-25 15:58:32.75481	7713	450	3	2
2014-03-25 15:58:36.730026	7714	20.3	1	1
2014-03-25 15:58:36.9529	7715	53	2	1
2014-03-26 20:20:30.911984	30108	41	2	10
2014-03-26 20:20:32.57412	30109	595	3	2
2014-03-25 15:59:00.183458	7720	20.0	1	8
2014-03-25 15:59:00.425701	7721	54	2	8
2014-03-25 15:59:15.725839	7722	20.3	1	1
2014-03-25 15:59:15.953691	7723	53	2	1
2014-03-25 15:59:32.753742	7724	450	3	2
2014-03-26 20:20:32.799998	30110	1087382.6196203267	4	2
2014-03-26 20:20:41.051931	30111	21.9	1	9
2014-03-25 15:59:39.183259	7729	20.0	1	8
2014-03-25 15:59:39.407556	7730	54	2	8
2014-03-25 15:59:54.72783	7731	20.3	1	1
2014-03-25 15:59:54.96404	7732	53	2	1
2014-03-26 20:20:41.297573	30112	48	2	9
2014-03-26 20:20:42.139821	30113	21.8	1	8
2014-03-25 16:00:18.183151	7737	20.0	1	8
2014-03-25 16:00:18.406049	7738	54	2	8
2014-03-25 16:00:32.753938	7739	466	3	2
2014-03-25 16:00:33.728947	7740	20.3	1	1
2014-03-25 16:00:33.957153	7741	53	2	1
2014-03-26 20:20:42.363627	30114	49	2	8
2014-03-26 20:20:56.755985	30115	20.7	1	1
2014-03-25 16:00:57.320067	7746	20.0	1	8
2014-03-25 16:00:57.750813	7747	54	2	8
2014-03-25 16:01:12.729119	7748	20.3	1	1
2014-03-25 16:01:12.954819	7749	53	2	1
2014-03-25 16:01:20.75472	7750	498	3	2
2014-03-25 16:01:32.755104	7751	579	3	2
2014-03-25 15:51:48.873526	7622	20.5	1	10
2014-03-25 15:51:49.096961	7623	52	2	10
2014-03-25 15:52:27.874896	7630	20.5	1	10
2014-03-25 15:52:28.136623	7631	52	2	10
2014-03-25 15:53:06.876693	7639	20.5	1	10
2014-03-25 15:53:07.099583	7640	52	2	10
2014-03-25 15:53:45.876231	7648	20.5	1	10
2014-03-25 15:53:46.099842	7649	52	2	10
2014-03-25 15:54:24.877104	7656	20.5	1	10
2014-03-25 15:54:25.109481	7657	52	2	10
2014-03-25 15:55:03.875043	7667	20.5	1	10
2014-03-25 15:55:04.10848	7668	52	2	10
2014-03-25 15:55:42.875581	7676	20.5	1	10
2014-03-25 15:55:43.102275	7677	52	2	10
2014-03-25 15:56:21.875306	7682	20.5	1	10
2014-03-25 15:56:22.107343	7683	52	2	10
2014-03-25 15:57:00.875336	7690	20.5	1	10
2014-03-25 15:57:01.108492	7691	52	2	10
2014-03-25 15:57:39.875395	7699	20.5	1	10
2014-03-25 15:57:40.100654	7700	52	2	10
2014-03-25 15:58:18.878817	7707	20.5	1	10
2014-03-25 15:58:19.100319	7708	52	2	10
2014-03-25 15:58:57.87668	7716	20.5	1	10
2014-03-25 15:58:58.108067	7717	52	2	10
2014-03-25 15:59:36.877356	7725	20.5	1	10
2014-03-25 15:59:37.101004	7726	52	2	10
2014-03-25 16:00:15.877076	7733	20.5	1	10
2014-03-25 16:00:16.10286	7734	52	2	10
2014-03-26 20:20:56.990226	30116	50	2	1
2014-03-26 20:21:08.574318	30117	676	3	2
2014-03-25 16:01:36.184611	7756	20.0	1	8
2014-03-25 16:01:36.416802	7757	54	2	8
2014-03-25 16:01:44.755008	7758	579	3	2
2014-03-25 16:01:51.727945	7759	20.3	1	1
2014-03-25 16:01:51.949906	7760	53	2	1
2014-03-26 20:21:08.800511	30118	1087388.364793934	4	2
2014-03-26 20:21:09.67743	30119	23.1	1	10
2014-03-25 16:02:15.183306	7765	20.0	1	8
2014-03-25 16:02:15.405477	7766	54	2	8
2014-03-25 16:02:30.727893	7767	20.3	1	1
2014-03-25 16:02:30.959425	7768	53	2	1
2014-03-25 16:02:32.758899	7769	595	3	2
2014-03-26 20:21:09.912452	30120	41	2	10
2014-03-26 20:21:20.057993	30121	21.9	1	9
2014-03-25 16:02:54.18544	7774	20.0	1	8
2014-03-25 16:02:54.406286	7775	54	2	8
2014-03-25 16:03:09.730565	7776	20.3	1	1
2014-03-25 16:03:09.953478	7777	53	2	1
2014-03-26 20:21:20.280161	30122	48	2	9
2014-03-26 20:21:20.589146	30123	676	3	2
2014-03-25 16:03:32.753383	7782	595	3	2
2014-03-25 16:03:33.182973	7783	20.0	1	8
2014-03-25 16:03:33.405372	7784	54	2	8
2014-03-25 16:03:48.731543	7785	20.3	1	1
2014-03-25 16:03:48.95461	7786	53	2	1
2014-03-26 20:21:20.824088	30124	1087390.6628633766	4	2
2014-03-26 20:21:21.139598	30125	21.8	1	8
2014-03-25 16:04:12.182981	7791	20.1	1	8
2014-03-25 16:04:12.461959	7792	54	2	8
2014-03-25 16:04:27.726005	7793	20.3	1	1
2014-03-25 16:04:27.958202	7794	53	2	1
2014-03-25 16:04:32.755848	7795	611	3	2
2014-03-26 20:21:21.362881	30126	49	2	8
2014-03-26 20:21:32.57351	30127	643	3	2
2014-03-25 16:04:51.183723	7800	20.1	1	8
2014-03-25 16:04:51.414448	7801	54	2	8
2014-03-25 16:05:06.725772	7802	20.3	1	1
2014-03-25 16:05:06.951758	7803	53	2	1
2014-03-26 20:21:32.806646	30128	1087392.9609328194	4	2
2014-03-26 20:21:35.753128	30129	20.7	1	1
2014-03-25 16:05:30.185691	7808	20.1	1	8
2014-03-25 16:05:30.42931	7809	54	2	8
2014-03-25 16:05:32.759518	7810	595	3	2
2014-03-25 16:05:45.727311	7811	20.3	1	1
2014-03-25 16:05:45.950993	7812	53	2	1
2014-03-26 20:21:35.979324	30130	50	2	1
2014-03-26 20:21:44.577944	30131	676	3	2
2014-03-25 16:06:09.1836	7817	20.1	1	8
2014-03-25 16:06:09.406051	7818	54	2	8
2014-03-25 16:06:24.72669	7819	20.3	1	1
2014-03-25 16:06:24.958857	7820	53	2	1
2014-03-26 20:21:44.81585	30132	1087395.2590022623	4	2
2014-03-26 20:21:48.676364	30133	23.1	1	10
2014-03-25 16:06:48.18623	7825	20.1	1	8
2014-03-25 16:06:48.409367	7826	54	2	8
2014-03-25 16:07:03.527539	7827	498	3	2
2014-03-25 16:07:03.845976	7828	20.3	1	1
2014-03-25 16:07:04.069007	7829	53	2	1
2014-03-25 16:07:20.756545	7830	450	3	2
2014-03-26 20:21:48.899253	30134	41	2	10
2014-03-26 20:21:56.576947	30135	676	3	2
2014-03-25 16:07:27.184103	7835	20.1	1	8
2014-03-25 16:07:27.410044	7836	54	2	8
2014-03-25 16:07:32.754418	7837	450	3	2
2014-03-25 16:07:42.727762	7838	20.3	1	1
2014-03-25 16:07:42.954753	7839	53	2	1
2014-03-26 20:21:56.813626	30136	1087397.557071705	4	2
2014-03-26 20:21:59.054298	30137	21.9	1	9
2014-03-25 16:08:06.18306	7844	20.1	1	8
2014-03-25 16:08:06.416949	7845	54	2	8
2014-03-25 16:08:21.723851	7846	20.3	1	1
2014-03-25 16:08:21.948625	7847	53	2	1
2014-03-25 16:08:32.757991	7848	450	3	2
2014-03-26 20:21:59.279675	30138	48	2	9
2014-03-26 20:22:00.139513	30139	21.9	1	8
2014-03-25 16:08:45.183167	7853	20.1	1	8
2014-03-25 16:08:45.404582	7854	54	2	8
2014-03-25 16:09:00.725074	7855	20.3	1	1
2014-03-25 16:09:00.957405	7856	53	2	1
2014-03-25 16:09:08.75318	7857	402	3	2
2014-03-25 16:09:20.755935	7858	402	3	2
2014-03-26 20:22:00.373775	30140	49	2	8
2014-03-26 20:22:14.808274	30141	20.7	1	1
2014-03-25 16:09:24.183801	7863	20.1	1	8
2014-03-25 16:09:24.416757	7864	54	2	8
2014-03-25 16:09:32.758512	7865	402	3	2
2014-03-25 16:09:39.728631	7866	20.3	1	1
2014-03-25 16:09:39.951362	7867	53	2	1
2014-03-26 20:22:15.03498	30142	50	2	1
2014-03-26 20:22:27.67706	30143	23.1	1	10
2014-03-25 16:10:03.184187	7872	20.1	1	8
2014-03-25 16:10:03.407234	7873	54	2	8
2014-03-25 16:10:18.72211	7874	20.3	1	1
2014-03-25 16:10:18.956625	7875	53	2	1
2014-03-25 16:10:32.754055	7876	402	3	2
2014-03-26 20:22:27.912058	30144	41	2	10
2014-03-26 20:22:32.577086	30145	676	3	2
2014-03-25 16:10:42.239689	7881	20.1	1	8
2014-03-25 16:10:42.474638	7882	54	2	8
2014-03-25 16:10:57.724641	7883	20.3	1	1
2014-03-25 16:10:57.950289	7884	53	2	1
2014-03-25 16:01:34.101644	7753	52	2	10
2014-03-25 16:02:12.878053	7761	20.5	1	10
2014-03-25 16:02:13.100781	7762	52	2	10
2014-03-25 16:02:51.877466	7770	20.5	1	10
2014-03-25 16:02:52.100351	7771	52	2	10
2014-03-25 16:03:30.876708	7778	20.5	1	10
2014-03-25 16:03:31.099882	7779	52	2	10
2014-03-25 16:04:09.878182	7787	20.5	1	10
2014-03-25 16:04:10.103792	7788	52	2	10
2014-03-25 16:04:48.882038	7796	20.5	1	10
2014-03-25 16:04:49.113105	7797	52	2	10
2014-03-25 16:05:27.879093	7804	20.5	1	10
2014-03-25 16:05:28.115571	7805	52	2	10
2014-03-25 16:06:06.879366	7813	20.5	1	10
2014-03-25 16:06:07.103962	7814	52	2	10
2014-03-25 16:06:45.879285	7821	20.5	1	10
2014-03-25 16:06:46.103081	7822	52	2	10
2014-03-25 16:07:24.879708	7831	20.5	1	10
2014-03-25 16:07:25.102635	7832	52	2	10
2014-03-25 16:08:03.881088	7840	20.5	1	10
2014-03-25 16:08:04.104392	7841	52	2	10
2014-03-25 16:08:42.879163	7849	20.5	1	10
2014-03-25 16:08:43.102988	7850	52	2	10
2014-03-25 16:09:21.880559	7859	20.5	1	10
2014-03-25 16:09:22.113944	7860	52	2	10
2014-03-25 16:10:00.88188	7868	20.5	1	10
2014-03-25 16:10:01.108695	7869	52	2	10
2014-03-25 16:10:39.880964	7877	20.5	1	10
2014-03-25 16:10:40.104676	7878	52	2	10
2014-03-25 16:11:18.880706	7885	20.5	1	10
2014-03-25 16:11:21.184916	7889	20.1	1	8
2014-03-25 16:11:21.419474	7890	54	2	8
2014-03-25 16:11:32.75533	7891	418	3	2
2014-03-25 16:11:36.723094	7892	20.2	1	1
2014-03-25 16:11:36.946159	7893	53	2	1
2014-03-26 20:22:32.80338	30146	1087404.4512800337	4	2
2014-03-26 20:22:38.053272	30147	21.9	1	9
2014-03-25 16:12:00.185057	7898	20.1	1	8
2014-03-25 16:12:00.407803	7899	54	2	8
2014-03-25 16:12:15.723807	7900	20.2	1	1
2014-03-25 16:12:16.142545	7901	53	2	1
2014-03-25 16:12:32.753445	7902	418	3	2
2014-03-26 20:22:38.293275	30148	48	2	9
2014-03-26 20:22:39.141871	30149	21.9	1	8
2014-03-25 16:12:39.182928	7907	20.1	1	8
2014-03-25 16:12:39.416184	7908	54	2	8
2014-03-25 16:12:54.723288	7909	20.2	1	1
2014-03-25 16:12:54.944207	7910	53	2	1
2014-03-25 16:12:56.753292	7911	370	3	2
2014-03-25 16:13:08.753792	7912	370	3	2
2014-03-26 20:22:39.365509	30150	49	2	8
2014-03-26 20:22:53.754645	30151	20.8	1	1
2014-03-25 16:13:18.182827	7917	20.1	1	8
2014-03-25 16:13:18.405673	7918	54	2	8
2014-03-25 16:13:32.752851	7919	418	3	2
2014-03-25 16:13:33.723603	7920	20.2	1	1
2014-03-25 16:13:33.94419	7921	53	2	1
2014-03-25 16:13:44.752377	7922	418	3	2
2014-03-26 20:22:53.988752	30152	50	2	1
2014-03-26 20:23:06.678223	30153	23.2	1	10
2014-03-25 16:13:57.182735	7927	20.1	1	8
2014-03-25 16:13:57.413648	7928	54	2	8
2014-03-25 16:14:12.777281	7929	20.2	1	1
2014-03-25 16:14:12.99971	7930	53	2	1
2014-03-25 16:14:32.75348	7931	418	3	2
2014-03-26 20:23:06.904188	30154	41	2	10
2014-03-26 20:23:17.05259	30155	21.9	1	9
2014-03-25 16:14:36.181643	7936	20.1	1	8
2014-03-25 16:14:36.40256	7937	54	2	8
2014-03-25 16:14:51.72138	7938	20.2	1	1
2014-03-25 16:14:51.955054	7939	53	2	1
2014-03-26 20:23:17.649947	30156	48	2	9
2014-03-26 20:23:18.139275	30157	21.9	1	8
2014-03-25 16:15:15.182315	7944	20.1	1	8
2014-03-25 16:15:15.40328	7945	54	2	8
2014-03-25 16:15:30.720086	7946	20.2	1	1
2014-03-25 16:15:30.962725	7947	53	2	1
2014-03-25 16:15:32.754549	7948	418	3	2
2014-03-26 20:23:18.400662	30158	49	2	8
2014-03-26 20:23:32.752353	30159	20.8	1	1
2014-03-25 16:15:54.182781	7953	20.1	1	8
2014-03-25 16:15:54.413182	7954	54	2	8
2014-03-25 16:16:09.719055	7955	20.2	1	1
2014-03-25 16:16:09.943861	7956	53	2	1
2014-03-26 20:23:33.033974	30160	50	2	1
2014-03-26 20:23:45.677353	30161	23.2	1	10
2014-03-25 16:16:32.75337	7961	418	3	2
2014-03-25 16:16:33.181758	7962	20.1	1	8
2014-03-25 16:16:33.403296	7963	54	2	8
2014-03-25 16:16:48.722001	7964	20.2	1	1
2014-03-25 16:16:48.953232	7965	53	2	1
2014-03-25 16:17:08.750358	7966	370	3	2
2014-03-26 20:23:45.936092	30162	41	2	10
2014-03-26 20:23:56.052689	30163	21.9	1	9
2014-03-25 16:17:12.184227	7971	20.1	1	8
2014-03-25 16:17:12.414477	7972	54	2	8
2014-03-25 16:17:27.521765	7973	354	3	2
2014-03-25 16:17:27.827461	7974	20.2	1	1
2014-03-25 16:17:28.051598	7975	53	2	1
2014-03-25 16:17:32.754987	7976	370	3	2
2014-03-26 20:23:56.32348	30164	48	2	9
2014-03-26 20:23:57.139316	30165	21.9	1	8
2014-03-25 16:17:51.183003	7981	20.1	1	8
2014-03-25 16:17:51.413757	7982	54	2	8
2014-03-25 16:18:06.719184	7983	20.2	1	1
2014-03-25 16:18:06.94145	7984	53	2	1
2014-03-26 20:23:57.859069	30166	49	2	8
2014-03-26 20:24:11.753296	30167	20.8	1	1
2014-03-25 16:18:30.182199	7989	20.1	1	8
2014-03-25 16:18:30.424872	7990	53	2	8
2014-03-25 16:18:32.753911	7991	402	3	2
2014-03-25 16:18:44.753819	7992	354	3	2
2014-03-25 16:18:45.716003	7993	20.2	1	1
2014-03-25 16:18:45.947759	7994	53	2	1
2014-03-25 16:18:56.752929	7995	305	3	2
2014-03-26 20:24:11.987318	30168	50	2	1
2014-03-26 20:24:20.573336	30169	643	3	2
2014-03-25 16:19:08.751247	8000	305	3	2
2014-03-25 16:19:09.18202	8001	20.0	1	8
2014-03-25 16:19:09.403387	8002	54	2	8
2014-03-25 16:19:20.756559	8003	338	3	2
2014-03-25 16:19:24.717708	8004	20.2	1	1
2014-03-25 16:19:24.948163	8005	53	2	1
2014-03-25 16:19:32.752059	8006	338	3	2
2014-03-26 20:24:20.798625	30170	1087423.9848702976	4	2
2014-03-26 20:24:24.680545	30171	23.2	1	10
2014-03-25 16:19:48.182469	8011	20.0	1	8
2014-03-25 16:19:48.413113	8012	53	2	8
2014-03-25 16:20:03.7216	8013	20.1	1	1
2014-03-25 16:20:03.944129	8014	53	2	1
2014-03-26 20:24:24.914491	30172	41	2	10
2014-03-26 20:24:32.5741	30173	676	3	2
2014-03-25 16:20:27.182535	8019	20.0	1	8
2014-03-25 16:20:27.413154	8020	53	2	8
2014-03-25 16:20:32.756258	8021	354	3	2
2014-03-25 16:20:42.713932	8022	20.1	1	1
2014-03-25 16:20:42.937178	8023	53	2	1
2014-03-25 16:11:57.87948	7894	20.5	1	10
2014-03-25 16:11:58.102869	7895	52	2	10
2014-03-25 16:12:36.881113	7903	20.5	1	10
2014-03-25 16:12:37.118651	7904	52	2	10
2014-03-25 16:13:15.880345	7913	20.5	1	10
2014-03-25 16:13:16.101146	7914	52	2	10
2014-03-25 16:13:54.880729	7923	20.5	1	10
2014-03-25 16:13:55.112345	7924	52	2	10
2014-03-25 16:14:33.881034	7932	20.5	1	10
2014-03-25 16:14:34.102474	7933	52	2	10
2014-03-25 16:15:12.899846	7940	20.5	1	10
2014-03-25 16:15:13.120833	7941	52	2	10
2014-03-25 16:15:51.882149	7949	20.5	1	10
2014-03-25 16:15:52.104563	7950	52	2	10
2014-03-25 16:16:30.882462	7957	20.5	1	10
2014-03-25 16:16:31.116378	7958	52	2	10
2014-03-25 16:17:09.881994	7967	20.5	1	10
2014-03-25 16:17:10.124042	7968	52	2	10
2014-03-25 16:17:48.883051	7977	20.5	1	10
2014-03-25 16:17:49.108186	7978	52	2	10
2014-03-25 16:18:27.881738	7985	20.5	1	10
2014-03-25 16:18:28.112771	7986	52	2	10
2014-03-25 16:19:06.882039	7996	20.5	1	10
2014-03-25 16:19:07.103708	7997	52	2	10
2014-03-25 16:19:45.884641	8007	20.5	1	10
2014-03-25 16:19:46.105672	8008	52	2	10
2014-03-26 20:24:32.799	30174	1087426.2829397405	4	2
2014-03-26 20:24:35.052428	30175	21.9	1	9
2014-03-25 16:21:06.182398	8028	20.0	1	8
2014-03-25 16:21:06.403527	8029	53	2	8
2014-03-25 16:21:21.716997	8030	20.1	1	1
2014-03-25 16:21:21.951335	8031	53	2	1
2014-03-25 16:21:32.751013	8032	338	3	2
2014-03-26 20:24:35.287033	30176	48	2	9
2014-03-26 20:24:36.140035	30177	22.0	1	8
2014-03-25 16:21:45.182381	8037	20.0	1	8
2014-03-25 16:21:45.403157	8038	53	2	8
2014-03-25 16:22:00.717382	8039	20.1	1	1
2014-03-25 16:22:00.939273	8040	53	2	1
2014-03-26 20:24:36.363272	30178	48	2	8
2014-03-26 20:24:44.576981	30179	627	3	2
2014-03-25 16:22:24.183547	8045	20.0	1	8
2014-03-25 16:22:24.413391	8046	53	2	8
2014-03-25 16:22:32.755647	8047	338	3	2
2014-03-25 16:22:39.715503	8048	20.1	1	1
2014-03-25 16:22:39.939385	8049	53	2	1
2014-03-26 20:24:44.811405	30180	1087428.5810091833	4	2
2014-03-26 20:24:50.753386	30181	20.8	1	1
2014-03-25 16:23:03.183216	8054	20.0	1	8
2014-03-25 16:23:03.404223	8055	53	2	8
2014-03-25 16:23:18.716974	8056	20.1	1	1
2014-03-25 16:23:18.955384	8057	53	2	1
2014-03-25 16:23:32.754213	8058	338	3	2
2014-03-26 20:24:50.976684	30182	50	2	1
2014-03-26 20:24:56.57659	30183	627	3	2
2014-03-25 16:23:42.181083	8063	20.0	1	8
2014-03-25 16:23:42.404641	8064	53	2	8
2014-03-25 16:23:57.714115	8065	20.1	1	1
2014-03-25 16:23:57.936099	8066	53	2	1
2014-03-26 20:24:56.812159	30184	1087430.8790786262	4	2
2014-03-26 20:25:03.677405	30185	23.2	1	10
2014-03-25 16:24:21.182418	8071	20.0	1	8
2014-03-25 16:24:21.413455	8072	53	2	8
2014-03-25 16:24:32.755369	8073	338	3	2
2014-03-25 16:24:36.713897	8074	20.1	1	1
2014-03-25 16:24:36.936852	8075	53	2	1
2014-03-25 16:24:56.753455	8076	370	3	2
2014-03-26 20:25:03.903128	30186	41	2	10
2014-03-26 20:25:14.052095	30187	21.9	1	9
2014-03-25 16:25:00.182501	8081	20.0	1	8
2014-03-25 16:25:00.404361	8082	53	2	8
2014-03-25 16:25:08.75275	8083	370	3	2
2014-03-25 16:25:15.716073	8084	20.1	1	1
2014-03-25 16:25:15.939097	8085	53	2	1
2014-03-25 16:25:20.751996	8086	402	3	2
2014-03-25 16:25:32.754626	8087	370	3	2
2014-03-26 20:25:14.287864	30188	48	2	9
2014-03-26 20:25:15.142108	30189	22.0	1	8
2014-03-25 16:25:39.182847	8092	20.0	1	8
2014-03-25 16:25:39.403789	8093	53	2	8
2014-03-25 16:25:44.75648	8094	370	3	2
2014-03-25 16:25:54.715439	8095	20.1	1	1
2014-03-25 16:25:54.939124	8096	53	2	1
2014-03-26 20:25:15.369188	30190	48	2	8
2014-03-26 20:25:20.577646	30191	547	3	2
2014-03-25 16:26:18.18326	8101	20.0	1	8
2014-03-25 16:26:18.412232	8102	53	2	8
2014-03-25 16:26:32.755314	8103	370	3	2
2014-03-25 16:26:33.714878	8104	20.1	1	1
2014-03-25 16:26:33.937448	8105	53	2	1
2014-03-26 20:25:20.812273	30192	1087434.3261827903	4	2
2014-03-26 20:25:29.748894	30193	20.8	1	1
2014-03-25 16:26:57.184703	8110	20.0	1	8
2014-03-25 16:26:57.415851	8111	53	2	8
2014-03-25 16:27:12.712631	8112	20.1	1	1
2014-03-25 16:27:12.934127	8113	53	2	1
2014-03-25 16:27:32.751339	8114	370	3	2
2014-03-26 20:25:29.973506	30194	50	2	1
2014-03-26 20:25:32.575508	30195	547	3	2
2014-03-25 16:27:36.182828	8119	20.0	1	8
2014-03-25 16:27:36.403227	8120	53	2	8
2014-03-25 16:27:51.712824	8121	20.1	1	1
2014-03-25 16:27:51.947421	8122	53	2	1
2014-03-25 16:27:56.752631	8123	434	3	2
2014-03-25 16:28:08.752581	8124	450	3	2
2014-03-26 20:25:32.812026	30196	1087436.6242522332	4	2
2014-03-26 20:25:42.680934	30197	23.2	1	10
2014-03-25 16:28:15.183728	8129	20.0	1	8
2014-03-25 16:28:15.414978	8130	53	2	8
2014-03-25 16:28:30.712385	8131	20.1	1	1
2014-03-25 16:28:30.934456	8132	53	2	1
2014-03-25 16:28:32.754177	8133	450	3	2
2014-03-26 20:25:42.907551	30198	41	2	10
2014-03-26 20:25:44.573245	30199	611	3	2
2014-03-25 16:28:54.18207	8138	20.0	1	8
2014-03-25 16:28:54.459465	8139	53	2	8
2014-03-25 16:29:09.711732	8140	20.0	1	1
2014-03-25 16:29:10.438932	8141	53	2	1
2014-03-26 20:25:44.810717	30200	1087438.922321676	4	2
2014-03-26 20:25:53.052408	30201	21.9	1	9
2014-03-25 16:29:32.752406	8146	450	3	2
2014-03-25 16:29:33.181962	8147	20.0	1	8
2014-03-25 16:29:33.405902	8148	53	2	8
2014-03-25 16:29:48.714564	8149	20.0	1	1
2014-03-25 16:29:48.936952	8150	53	2	1
2014-03-26 20:25:53.639376	30202	48	2	9
2014-03-25 16:30:12.182434	8155	20.0	1	8
2014-03-25 16:30:12.404207	8156	53	2	8
2014-03-25 16:30:27.71323	8157	20.0	1	1
2014-03-25 16:30:27.935318	8158	53	2	1
2014-03-25 16:30:32.752877	8159	450	3	2
2014-03-25 16:21:04.106188	8025	52	2	10
2014-03-25 16:21:42.883727	8033	20.5	1	10
2014-03-25 16:21:43.106753	8034	52	2	10
2014-03-25 16:22:21.88299	8041	20.5	1	10
2014-03-25 16:22:22.107713	8042	52	2	10
2014-03-25 16:23:00.882342	8050	20.5	1	10
2014-03-25 16:23:01.103809	8051	52	2	10
2014-03-25 16:23:39.883616	8059	20.5	1	10
2014-03-25 16:23:40.106731	8060	52	2	10
2014-03-25 16:24:18.884209	8067	20.5	1	10
2014-03-25 16:24:19.119508	8068	52	2	10
2014-03-25 16:24:57.886804	8077	20.5	1	10
2014-03-25 16:24:58.109204	8078	52	2	10
2014-03-25 16:25:36.884021	8088	20.5	1	10
2014-03-25 16:25:37.106338	8089	52	2	10
2014-03-25 16:26:15.887392	8097	20.5	1	10
2014-03-25 16:26:16.109083	8098	52	2	10
2014-03-25 16:26:54.887056	8106	20.5	1	10
2014-03-25 16:26:55.120232	8107	52	2	10
2014-03-25 16:27:33.88489	8115	20.5	1	10
2014-03-25 16:27:34.10651	8116	52	2	10
2014-03-25 16:28:12.885968	8125	20.5	1	10
2014-03-25 16:28:13.160279	8126	52	2	10
2014-03-25 16:28:51.888152	8134	20.5	1	10
2014-03-25 16:28:52.144225	8135	52	2	10
2014-03-25 16:29:30.888984	8142	20.5	1	10
2014-03-25 16:29:31.112528	8143	52	2	10
2014-03-25 16:30:09.885948	8151	20.5	1	10
2014-03-26 20:25:54.140042	30203	22.0	1	8
2014-03-26 20:25:54.373778	30204	48	2	8
2014-03-25 16:30:51.182444	8164	20.0	1	8
2014-03-25 16:30:51.403265	8165	53	2	8
2014-03-25 16:30:56.753201	8166	418	3	2
2014-03-25 16:31:06.714965	8167	20.0	1	1
2014-03-25 16:31:06.949582	8168	53	2	1
2014-03-25 16:31:08.756379	8169	418	3	2
2014-03-26 20:26:08.430094	30205	611	3	2
2014-03-26 20:26:08.655258	30206	1087441.220391119	4	2
2014-03-25 16:31:30.182405	8174	20.0	1	8
2014-03-25 16:31:30.413158	8175	53	2	8
2014-03-25 16:31:32.753167	8176	418	3	2
2014-03-25 16:31:45.71339	8177	20.0	1	1
2014-03-25 16:31:45.938713	8178	53	2	1
2014-03-26 20:26:08.965233	30207	20.8	1	1
2014-03-26 20:26:09.210721	30208	50	2	1
2014-03-25 16:32:09.182258	8183	20.0	1	8
2014-03-25 16:32:09.404477	8184	53	2	8
2014-03-25 16:32:24.711151	8185	20.0	1	1
2014-03-25 16:32:24.944466	8186	53	2	1
2014-03-25 16:32:32.753453	8187	402	3	2
2014-03-26 20:26:20.574346	30209	611	3	2
2014-03-26 20:26:20.801331	30210	1087444.667495283	4	2
2014-03-25 16:32:48.18192	8192	20.0	1	8
2014-03-25 16:32:48.404026	8193	53	2	8
2014-03-25 16:33:03.70952	8194	20.0	1	1
2014-03-25 16:33:03.931569	8195	53	2	1
2014-03-26 20:26:21.676968	30211	23.2	1	10
2014-03-26 20:26:21.912932	30212	41	2	10
2014-03-25 16:33:27.184771	8200	20.0	1	8
2014-03-25 16:33:27.405595	8201	53	2	8
2014-03-25 16:33:32.753538	8202	434	3	2
2014-03-25 16:33:42.709502	8203	20.0	1	1
2014-03-25 16:33:42.985072	8204	53	2	1
2014-03-25 16:33:44.749996	8205	418	3	2
2014-03-26 20:26:32.053427	30213	21.9	1	9
2014-03-26 20:26:32.276934	30214	48	2	9
2014-03-25 16:34:06.183103	8210	20.0	1	8
2014-03-25 16:34:06.409803	8211	53	2	8
2014-03-25 16:34:21.708558	8212	20.0	1	1
2014-03-25 16:34:21.94255	8213	53	2	1
2014-03-25 16:34:32.755684	8214	434	3	2
2014-03-26 20:26:32.584563	30215	595	3	2
2014-03-26 20:26:32.820212	30216	1087446.965564726	4	2
2014-03-25 16:34:45.181786	8219	20.0	1	8
2014-03-25 16:34:45.414476	8220	53	2	8
2014-03-25 16:34:56.75422	8221	402	3	2
2014-03-25 16:35:00.707485	8222	20.0	1	1
2014-03-25 16:35:00.929211	8223	53	2	1
2014-03-25 16:35:08.752066	8224	402	3	2
2014-03-26 20:26:33.139956	30217	22.0	1	8
2014-03-26 20:26:33.364093	30218	48	2	8
2014-03-25 16:35:24.180888	8229	20.0	1	8
2014-03-25 16:35:24.402353	8230	53	2	8
2014-03-25 16:35:32.751711	8231	434	3	2
2014-03-25 16:35:39.710452	8232	20.0	1	1
2014-03-25 16:35:39.933346	8233	53	2	1
2014-03-25 16:35:44.756593	8234	418	3	2
2014-03-26 20:26:47.750494	30219	20.8	1	1
2014-03-26 20:26:47.986871	30220	50	2	1
2014-03-25 16:36:03.181586	8239	20.0	1	8
2014-03-25 16:36:03.414838	8240	53	2	8
2014-03-25 16:36:18.709167	8241	20.0	1	1
2014-03-25 16:36:18.936683	8242	53	2	1
2014-03-25 16:36:32.755038	8243	418	3	2
2014-03-26 20:27:00.67872	30221	23.2	1	10
2014-03-26 20:27:00.90607	30222	41	2	10
2014-03-25 16:36:42.180946	8248	20.0	1	8
2014-03-25 16:36:42.402866	8249	53	2	8
2014-03-25 16:36:57.708097	8250	20.0	1	1
2014-03-25 16:36:57.943269	8251	53	2	1
2014-03-25 16:37:08.750117	8252	450	3	2
2014-03-26 20:27:11.052823	30223	22.0	1	9
2014-03-26 20:27:11.287813	30224	48	2	9
2014-03-25 16:37:20.752892	8257	434	3	2
2014-03-25 16:37:21.181418	8258	20.0	1	8
2014-03-25 16:37:21.40343	8259	53	2	8
2014-03-25 16:37:32.751956	8260	450	3	2
2014-03-25 16:37:36.709828	8261	20.0	1	1
2014-03-25 16:37:36.934385	8262	53	2	1
2014-03-26 20:27:12.140641	30225	22.0	1	8
2014-03-26 20:27:12.36475	30226	48	2	8
2014-03-25 16:38:00.182858	8267	20.0	1	8
2014-03-25 16:38:00.415461	8268	53	2	8
2014-03-25 16:38:15.709767	8269	20.0	1	1
2014-03-25 16:38:15.933454	8270	53	2	1
2014-03-25 16:38:32.752892	8271	450	3	2
2014-03-26 20:27:20.573831	30227	627	3	2
2014-03-26 20:27:20.808073	30228	1087455.0088077758	4	2
2014-03-25 16:38:39.183437	8276	20.0	1	8
2014-03-25 16:38:39.407241	8277	53	2	8
2014-03-25 16:38:54.710423	8278	20.0	1	1
2014-03-25 16:38:54.944301	8279	53	2	1
2014-03-26 20:27:26.750706	30229	20.8	1	1
2014-03-26 20:27:26.97782	30230	50	2	1
2014-03-25 16:39:18.180853	8284	20.0	1	8
2014-03-25 16:39:18.405162	8285	53	2	8
2014-03-25 16:39:32.750169	8286	466	3	2
2014-03-25 16:39:33.705115	8287	20.0	1	1
2014-03-25 16:39:33.927411	8288	53	2	1
2014-03-25 16:39:57.182638	8293	20.0	1	8
2014-03-25 16:39:57.415584	8294	53	2	8
2014-03-25 16:40:12.707013	8295	20.1	1	1
2014-03-25 16:40:12.932963	8296	53	2	1
2014-03-25 16:30:49.108586	8161	52	2	10
2014-03-25 16:31:27.887104	8170	20.5	1	10
2014-03-25 16:31:28.114994	8171	52	2	10
2014-03-25 16:32:06.890479	8179	20.5	1	10
2014-03-25 16:32:07.112338	8180	52	2	10
2014-03-25 16:32:45.88844	8188	20.5	1	10
2014-03-25 16:32:46.114061	8189	52	2	10
2014-03-25 16:33:24.887564	8196	20.5	1	10
2014-03-25 16:33:25.109889	8197	52	2	10
2014-03-25 16:34:03.888493	8206	20.5	1	10
2014-03-25 16:34:04.111028	8207	52	2	10
2014-03-25 16:34:42.919329	8215	20.5	1	10
2014-03-25 16:34:43.167559	8216	52	2	10
2014-03-25 16:35:21.887302	8225	20.5	1	10
2014-03-25 16:35:22.107648	8226	52	2	10
2014-03-25 16:36:00.888065	8235	20.5	1	10
2014-03-25 16:36:01.121049	8236	52	2	10
2014-03-25 16:36:39.89008	8244	20.5	1	10
2014-03-25 16:36:40.112271	8245	52	2	10
2014-03-25 16:37:18.890181	8253	20.5	1	10
2014-03-25 16:37:19.11341	8254	52	2	10
2014-03-25 16:37:57.889106	8263	20.5	1	10
2014-03-25 16:37:58.122669	8264	52	2	10
2014-03-25 16:38:36.889495	8272	20.6	1	10
2014-03-25 16:38:37.113769	8273	52	2	10
2014-03-25 16:39:15.889577	8280	20.6	1	10
2014-03-25 16:39:16.114081	8281	52	2	10
2014-03-25 16:39:54.889391	8289	20.6	1	10
2014-03-25 16:40:32.750753	8297	466	3	2
2014-03-26 20:27:32.576073	30231	627	3	2
2014-03-26 20:27:32.812841	30232	1087457.3068772187	4	2
2014-03-25 16:40:36.182238	8302	20.0	1	8
2014-03-25 16:40:36.40501	8303	53	2	8
2014-03-25 16:40:44.754953	8304	434	3	2
2014-03-25 16:40:51.701401	8305	20.1	1	1
2014-03-25 16:40:51.923091	8306	53	2	1
2014-03-25 16:40:56.751268	8307	450	3	2
2014-03-26 20:27:39.679416	30233	23.2	1	10
2014-03-26 20:27:39.906117	30234	41	2	10
2014-03-25 16:41:15.181438	8312	20.0	1	8
2014-03-25 16:41:15.413298	8313	53	2	8
2014-03-25 16:41:30.705484	8314	20.1	1	1
2014-03-25 16:41:30.927309	8315	53	2	1
2014-03-25 16:41:32.75618	8316	434	3	2
2014-03-26 20:27:50.057302	30235	22.0	1	9
2014-03-26 20:27:50.292284	30236	48	2	9
2014-03-25 16:41:54.183003	8321	20.0	1	8
2014-03-25 16:41:54.404443	8322	53	2	8
2014-03-25 16:42:09.705244	8323	20.1	1	1
2014-03-25 16:42:09.927952	8324	53	2	1
2014-03-26 20:27:51.142021	30237	22.0	1	8
2014-03-26 20:27:51.366237	30238	48	2	8
2014-03-25 16:42:32.750614	8329	434	3	2
2014-03-25 16:42:33.181933	8330	20.0	1	8
2014-03-25 16:42:33.404692	8331	53	2	8
2014-03-25 16:42:44.752653	8332	370	3	2
2014-03-25 16:42:48.706528	8333	20.1	1	1
2014-03-25 16:42:48.934855	8334	53	2	1
2014-03-25 16:42:56.751554	8335	402	3	2
2014-03-25 16:43:08.75173	8336	370	3	2
2014-03-26 20:27:56.575649	30239	547	3	2
2014-03-26 20:27:56.81051	30240	1087460.753981383	4	2
2014-03-25 16:43:12.182372	8341	20.0	1	8
2014-03-25 16:43:12.41584	8342	53	2	8
2014-03-25 16:43:20.755567	8343	338	3	2
2014-03-25 16:43:27.704079	8344	20.1	1	1
2014-03-25 16:43:27.930972	8345	53	2	1
2014-03-25 16:43:32.753103	8346	338	3	2
2014-03-26 20:28:05.749222	30241	20.8	1	1
2014-03-26 20:28:05.975521	30242	50	2	1
2014-03-25 16:43:51.185499	8351	20.0	1	8
2014-03-25 16:43:51.406641	8352	53	2	8
2014-03-25 16:44:06.942706	8353	20.1	1	1
2014-03-25 16:44:07.169502	8354	53	2	1
2014-03-26 20:28:08.576427	30243	627	3	2
2014-03-26 20:28:08.810441	30244	1087463.052050826	4	2
2014-03-25 16:44:30.184187	8359	20.0	1	8
2014-03-25 16:44:30.406211	8360	53	2	8
2014-03-25 16:44:32.751591	8361	354	3	2
2014-03-25 16:44:45.703698	8362	20.1	1	1
2014-03-25 16:44:45.928675	8363	53	2	1
2014-03-26 20:28:18.678277	30245	23.3	1	10
2014-03-26 20:28:18.903756	30246	41	2	10
2014-03-25 16:45:09.181973	8368	20.0	1	8
2014-03-25 16:45:09.416434	8369	53	2	8
2014-03-25 16:45:24.706497	8370	20.1	1	1
2014-03-25 16:45:24.929066	8371	53	2	1
2014-03-25 16:45:32.753845	8372	338	3	2
2014-03-26 20:28:20.572323	30247	627	3	2
2014-03-26 20:28:20.81446	30248	1087465.3501202685	4	2
2014-03-25 16:45:48.181831	8377	20.0	1	8
2014-03-25 16:45:48.411561	8378	53	2	8
2014-03-25 16:46:03.702311	8379	20.1	1	1
2014-03-25 16:46:03.936343	8380	53	2	1
2014-03-26 20:28:29.053156	30249	22.0	1	9
2014-03-26 20:28:29.280033	30250	48	2	9
2014-03-25 16:46:27.181967	8385	20.0	1	8
2014-03-25 16:46:27.405207	8386	53	2	8
2014-03-25 16:46:32.752001	8387	338	3	2
2014-03-25 16:46:42.704001	8388	20.1	1	1
2014-03-25 16:46:42.92829	8389	53	2	1
2014-03-25 16:46:56.611008	8390	305	3	2
2014-03-25 16:46:56.918143	8391	305	3	2
2014-03-26 20:28:30.140127	30251	22.1	1	8
2014-03-26 20:28:30.375133	30252	48	2	8
2014-03-25 16:47:06.180961	8396	20.0	1	8
2014-03-25 16:47:06.401953	8397	53	2	8
2014-03-25 16:47:08.74942	8398	338	3	2
2014-03-25 16:47:20.752904	8399	338	3	2
2014-03-25 16:47:21.700602	8400	20.1	1	1
2014-03-25 16:47:21.923248	8401	53	2	1
2014-03-25 16:47:32.750301	8402	338	3	2
2014-03-26 20:28:32.572632	30253	627	3	2
2014-03-26 20:28:32.797048	30254	1087467.6481897114	4	2
2014-03-25 16:47:45.181634	8407	20.0	1	8
2014-03-25 16:47:45.413145	8408	53	2	8
2014-03-25 16:48:00.703577	8409	20.1	1	1
2014-03-25 16:48:00.927314	8410	53	2	1
2014-03-26 20:28:44.752672	30255	20.8	1	1
2014-03-26 20:28:44.997696	30256	50	2	1
2014-03-25 16:48:24.182346	8415	20.0	1	8
2014-03-25 16:48:24.412664	8416	53	2	8
2014-03-25 16:48:32.749384	8417	305	3	2
2014-03-25 16:48:39.940185	8418	20.1	1	1
2014-03-25 16:48:40.163696	8419	53	2	1
2014-03-25 16:48:44.750218	8420	305	3	2
2014-03-25 16:48:56.751897	8421	338	3	2
2014-03-26 20:28:57.677451	30257	23.3	1	10
2014-03-25 16:49:03.180937	8426	20.0	1	8
2014-03-25 16:49:03.415417	8427	53	2	8
2014-03-25 16:49:08.752376	8428	305	3	2
2014-03-25 16:49:18.703748	8429	20.1	1	1
2014-03-25 16:49:18.926193	8430	53	2	1
2014-03-25 16:49:20.750339	8431	305	3	2
2014-03-25 16:49:32.749233	8432	370	3	2
2014-03-25 16:40:33.890238	8298	20.6	1	10
2014-03-25 16:40:34.113902	8299	52	2	10
2014-03-25 16:41:12.890577	8308	20.6	1	10
2014-03-25 16:41:13.122834	8309	52	2	10
2014-03-25 16:41:51.890898	8317	20.6	1	10
2014-03-25 16:41:52.112521	8318	52	2	10
2014-03-25 16:42:30.892535	8325	20.6	1	10
2014-03-25 16:42:31.115479	8326	52	2	10
2014-03-25 16:43:09.891926	8337	20.6	1	10
2014-03-25 16:43:10.126262	8338	52	2	10
2014-03-25 16:43:48.890915	8347	20.6	1	10
2014-03-25 16:43:49.121393	8348	52	2	10
2014-03-25 16:44:27.890543	8355	20.6	1	10
2014-03-25 16:44:28.113866	8356	52	2	10
2014-03-25 16:45:06.892531	8364	20.6	1	10
2014-03-25 16:45:07.127373	8365	52	2	10
2014-03-25 16:45:45.891404	8373	20.6	1	10
2014-03-25 16:45:46.114467	8374	52	2	10
2014-03-25 16:46:24.893296	8381	20.6	1	10
2014-03-25 16:46:25.117149	8382	52	2	10
2014-03-25 16:47:03.893006	8392	20.6	1	10
2014-03-25 16:47:04.117169	8393	52	2	10
2014-03-25 16:47:42.894676	8403	20.6	1	10
2014-03-25 16:47:43.119642	8404	52	2	10
2014-03-25 16:48:21.892619	8411	20.6	1	10
2014-03-25 16:48:22.128549	8412	52	2	10
2014-03-26 20:28:57.903042	30258	41	2	10
2014-03-26 20:29:08.052206	30259	22.0	1	9
2014-03-25 16:49:42.183759	8437	20.0	1	8
2014-03-25 16:49:42.426817	8438	53	2	8
2014-03-25 16:49:44.750539	8439	370	3	2
2014-03-25 16:49:57.699534	8440	20.1	1	1
2014-03-25 16:49:57.922664	8441	53	2	1
2014-03-26 20:29:08.289719	30260	48	2	9
2014-03-26 20:29:09.140696	30261	22.1	1	8
2014-03-25 16:50:21.182554	8446	20.0	1	8
2014-03-25 16:50:21.405185	8447	53	2	8
2014-03-25 16:50:32.751608	8448	354	3	2
2014-03-25 16:50:36.699521	8449	20.1	1	1
2014-03-25 16:50:36.93274	8450	53	2	1
2014-03-26 20:29:09.3664	30262	48	2	8
2014-03-26 20:29:23.750077	30263	20.8	1	1
2014-03-25 16:51:00.183401	8455	20.0	1	8
2014-03-25 16:51:00.406135	8456	53	2	8
2014-03-25 16:51:15.698922	8457	20.1	1	1
2014-03-25 16:51:15.933202	8458	53	2	1
2014-03-25 16:51:32.753598	8459	354	3	2
2014-03-26 20:29:23.991117	30264	50	2	1
2014-03-26 20:29:32.574674	30265	611	3	2
2014-03-25 16:51:39.184258	8464	20.0	1	8
2014-03-25 16:51:39.408639	8465	52	2	8
2014-03-25 16:51:54.699443	8466	20.1	1	1
2014-03-25 16:51:54.92287	8467	53	2	1
2014-03-26 20:29:32.800238	30266	1087477.9895022041	4	2
2014-03-26 20:29:36.680506	30267	23.3	1	10
2014-03-25 16:52:18.182644	8472	20.0	1	8
2014-03-25 16:52:18.413708	8473	52	2	8
2014-03-25 16:52:32.750948	8474	354	3	2
2014-03-25 16:52:33.699186	8475	20.1	1	1
2014-03-25 16:52:33.921147	8476	53	2	1
2014-03-26 20:29:36.91558	30268	41	2	10
2014-03-26 20:29:47.054181	30269	22.0	1	9
2014-03-25 16:52:57.181512	8481	20.0	1	8
2014-03-25 16:52:57.40316	8482	52	2	8
2014-03-25 16:53:12.698505	8483	20.1	1	1
2014-03-25 16:53:12.944629	8484	53	2	1
2014-03-25 16:53:32.750025	8485	354	3	2
2014-03-26 20:29:47.279102	30270	48	2	9
2014-03-26 20:29:48.140255	30271	22.1	1	8
2014-03-25 16:53:36.181963	8490	20.0	1	8
2014-03-25 16:53:36.413951	8491	52	2	8
2014-03-25 16:53:51.698994	8492	20.1	1	1
2014-03-25 16:53:51.921591	8493	53	2	1
2014-03-26 20:29:48.374823	30272	48	2	8
2014-03-26 20:30:02.745125	30273	20.8	1	1
2014-03-25 16:54:15.18114	8498	20.0	1	8
2014-03-25 16:54:15.414522	8499	52	2	8
2014-03-25 16:54:30.69595	8500	20.1	1	1
2014-03-25 16:54:30.917954	8501	53	2	1
2014-03-25 16:54:32.74831	8502	370	3	2
2014-03-26 20:30:02.972781	30274	50	2	1
2014-03-26 20:30:15.679266	30275	23.3	1	10
2014-03-25 16:54:54.184487	8507	20.0	1	8
2014-03-25 16:54:54.407345	8508	52	2	8
2014-03-25 16:54:56.751612	8509	305	3	2
2014-03-25 16:55:08.754426	8510	305	3	2
2014-03-25 16:55:09.698147	8511	20.1	1	1
2014-03-25 16:55:09.923684	8512	53	2	1
2014-03-25 16:55:20.751124	8513	338	3	2
2014-03-26 20:30:15.9153	30276	41	2	10
2014-03-26 20:30:26.052882	30277	22.0	1	9
2014-03-25 16:55:32.751326	8518	305	3	2
2014-03-25 16:55:33.18253	8519	20.0	1	8
2014-03-25 16:55:33.406798	8520	52	2	8
2014-03-25 16:55:44.753131	8521	338	3	2
2014-03-25 16:55:48.697236	8522	20.1	1	1
2014-03-25 16:55:48.925379	8523	53	2	1
2014-03-25 16:55:56.748411	8524	305	3	2
2014-03-25 16:56:08.752502	8525	305	3	2
2014-03-26 20:30:26.278145	30278	48	2	9
2014-03-26 20:30:27.13959	30279	22.1	1	8
2014-03-25 16:56:12.182751	8530	20.0	1	8
2014-03-25 16:56:12.416535	8531	52	2	8
2014-03-25 16:56:27.694333	8532	20.2	1	1
2014-03-25 16:56:27.91825	8533	53	2	1
2014-03-25 16:56:32.752402	8534	305	3	2
2014-03-26 20:30:27.372856	30280	48	2	8
2014-03-26 20:30:32.575611	30281	611	3	2
2014-03-25 16:56:51.183505	8539	20.0	1	8
2014-03-25 16:56:51.406062	8540	52	2	8
2014-03-25 16:57:06.695477	8541	20.2	1	1
2014-03-25 16:57:06.927877	8542	53	2	1
2014-03-26 20:30:32.801052	30282	1087488.3308146968	4	2
2014-03-26 20:30:41.749069	30283	20.8	1	1
2014-03-25 16:57:30.181875	8547	20.0	1	8
2014-03-25 16:57:30.405224	8548	52	2	8
2014-03-25 16:57:32.754674	8549	305	3	2
2014-03-25 16:57:45.697578	8550	20.2	1	1
2014-03-25 16:57:45.923566	8551	53	2	1
2014-03-26 20:30:41.986609	30284	50	2	1
2014-03-26 20:30:54.681727	30285	23.3	1	10
2014-03-25 16:58:09.182706	8556	20.0	1	8
2014-03-25 16:58:09.404442	8557	52	2	8
2014-03-25 16:58:24.697408	8558	20.2	1	1
2014-03-25 16:58:24.922518	8559	53	2	1
2014-03-25 16:58:32.750263	8560	305	3	2
2014-03-26 20:30:54.906468	30286	41	2	10
2014-03-25 16:58:48.181638	8565	20.0	1	8
2014-03-25 16:58:48.404621	8566	52	2	8
2014-03-25 16:59:03.696394	8567	20.2	1	1
2014-03-25 16:59:03.931305	8568	53	2	1
2014-03-25 16:49:39.892899	8433	20.6	1	10
2014-03-25 16:49:40.127064	8434	52	2	10
2014-03-25 16:50:18.892769	8442	20.6	1	10
2014-03-25 16:50:19.12077	8443	52	2	10
2014-03-25 16:50:57.892989	8451	20.6	1	10
2014-03-25 16:50:58.1153	8452	52	2	10
2014-03-25 16:51:36.894003	8460	20.7	1	10
2014-03-25 16:51:37.120464	8461	52	2	10
2014-03-25 16:52:15.895435	8468	20.7	1	10
2014-03-25 16:52:16.133646	8469	52	2	10
2014-03-25 16:52:54.895213	8477	20.7	1	10
2014-03-25 16:52:55.119251	8478	52	2	10
2014-03-25 16:53:33.894164	8486	20.7	1	10
2014-03-25 16:53:34.116207	8487	52	2	10
2014-03-25 16:54:12.893562	8494	20.7	1	10
2014-03-25 16:54:13.126909	8495	52	2	10
2014-03-25 16:54:51.895064	8503	20.7	1	10
2014-03-25 16:54:52.119659	8504	52	2	10
2014-03-25 16:55:30.895024	8514	20.7	1	10
2014-03-25 16:55:31.117108	8515	52	2	10
2014-03-25 16:56:10.102146	8526	20.7	1	10
2014-03-25 16:56:10.366975	8527	52	2	10
2014-03-25 16:56:48.896399	8535	20.7	1	10
2014-03-25 16:56:49.12256	8536	52	2	10
2014-03-25 16:57:27.893555	8543	20.7	1	10
2014-03-25 16:57:28.117262	8544	52	2	10
2014-03-25 16:58:06.895945	8552	20.7	1	10
2014-03-25 16:58:07.118651	8553	52	2	10
2014-03-26 20:31:05.051549	30287	22.0	1	9
2014-03-26 20:31:05.28633	30288	48	2	9
2014-03-25 16:59:27.182548	8573	20.0	1	8
2014-03-25 16:59:27.406467	8574	52	2	8
2014-03-25 16:59:32.750193	8575	305	3	2
2014-03-25 16:59:42.696095	8576	20.2	1	1
2014-03-25 16:59:42.918668	8577	53	2	1
2014-03-25 16:59:44.7517	8578	434	3	2
2014-03-25 16:59:56.752385	8579	434	3	2
2014-03-26 20:31:06.140242	30289	22.1	1	8
2014-03-26 20:31:06.363632	30290	48	2	8
2014-03-25 17:00:06.183695	8584	20.0	1	8
2014-03-25 17:00:06.406625	8585	52	2	8
2014-03-25 17:00:21.697292	8586	20.2	1	1
2014-03-25 17:00:21.930311	8587	53	2	1
2014-03-25 17:00:32.753582	8588	434	3	2
2014-03-26 20:31:20.749829	30291	20.8	1	1
2014-03-26 20:31:20.989663	30292	50	2	1
2014-03-25 17:00:44.752706	8593	2993	3	2
2014-03-25 17:00:45.181082	8594	20.0	1	8
2014-03-25 17:00:45.416303	8595	52	2	8
2014-03-25 17:00:56.7504	8596	2961	3	2
2014-03-25 17:01:00.695926	8597	20.2	1	1
2014-03-25 17:01:00.91802	8598	53	2	1
2014-03-25 17:01:08.750365	8599	3010	3	2
2014-03-25 17:01:20.753171	8600	3026	3	2
2014-03-26 20:31:32.576045	30293	627	3	2
2014-03-26 20:31:32.803604	30294	1087498.6721271896	4	2
2014-03-25 17:01:24.182098	8605	20.0	1	8
2014-03-25 17:01:24.415047	8606	52	2	8
2014-03-25 17:01:32.750042	8607	3010	3	2
2014-03-25 17:01:39.693902	8608	20.2	1	1
2014-03-25 17:01:39.918226	8609	53	2	1
2014-03-26 20:31:33.680717	30295	23.3	1	10
2014-03-26 20:31:33.921822	30296	41	2	10
2014-03-25 17:02:03.181508	8614	20.0	1	8
2014-03-25 17:02:03.405497	8615	52	2	8
2014-03-25 17:02:18.829992	8616	20.2	1	1
2014-03-25 17:02:19.245646	8617	53	2	1
2014-03-25 17:02:20.872583	8618	3042	3	2
2014-03-25 17:02:32.748564	8619	3122	3	2
2014-03-26 20:31:44.052233	30297	22.0	1	9
2014-03-26 20:31:44.277427	30298	48	2	9
2014-03-25 17:02:42.181672	8624	20.0	1	8
2014-03-25 17:02:42.414429	8625	52	2	8
2014-03-25 17:02:44.748501	8626	3042	3	2
2014-03-25 17:02:56.749795	8627	3122	3	2
2014-03-25 17:02:57.694845	8628	20.2	1	1
2014-03-25 17:02:57.927061	8629	53	2	1
2014-03-25 17:03:08.754155	8630	3042	3	2
2014-03-26 20:31:44.583752	30299	659	3	2
2014-03-26 20:31:44.82002	30300	1087499.8211619111	4	2
2014-03-25 17:03:20.751535	8635	3026	3	2
2014-03-25 17:03:21.181568	8636	20.0	1	8
2014-03-25 17:03:21.413023	8637	52	2	8
2014-03-25 17:03:32.752842	8638	515	3	2
2014-03-25 17:03:36.693328	8639	20.2	1	1
2014-03-25 17:03:36.91727	8640	53	2	1
2014-03-25 17:03:44.750273	8641	515	3	2
2014-03-26 20:31:45.140484	30301	22.2	1	8
2014-03-26 20:31:45.364025	30302	48	2	8
2014-03-25 17:04:00.181272	8646	20.0	1	8
2014-03-25 17:04:00.412249	8647	52	2	8
2014-03-25 17:04:15.693835	8648	20.2	1	1
2014-03-25 17:04:15.917801	8649	53	2	1
2014-03-25 17:04:32.750375	8650	515	3	2
2014-03-26 20:31:56.572626	30303	659	3	2
2014-03-26 20:31:56.822546	30304	1087502.119231354	4	2
2014-03-25 17:04:39.18129	8655	20.0	1	8
2014-03-25 17:04:39.404278	8656	52	2	8
2014-03-25 17:04:54.690835	8657	20.2	1	1
2014-03-25 17:04:54.959247	8658	53	2	1
2014-03-26 20:31:59.746603	30305	20.8	1	1
2014-03-26 20:31:59.975334	30306	50	2	1
2014-03-25 17:05:18.184001	8663	20.0	1	8
2014-03-25 17:05:18.439245	8664	52	2	8
2014-03-25 17:05:32.753128	8665	515	3	2
2014-03-25 17:05:33.692847	8666	20.2	1	1
2014-03-25 17:05:34.104699	8667	53	2	1
2014-03-26 20:32:12.679203	30307	23.3	1	10
2014-03-26 20:32:12.915677	30308	41	2	10
2014-03-25 17:05:57.183116	8672	20.0	1	8
2014-03-25 17:05:57.437222	8673	52	2	8
2014-03-25 17:06:12.69089	8674	20.1	1	1
2014-03-25 17:06:12.956771	8675	53	2	1
2014-03-25 17:06:20.75171	8676	466	3	2
2014-03-25 17:06:32.750977	8677	3042	3	2
2014-03-26 20:32:23.052933	30309	22.0	1	9
2014-03-26 20:32:23.277651	30310	48	2	9
2014-03-25 17:06:36.180772	8682	20.0	1	8
2014-03-25 17:06:36.403487	8683	52	2	8
2014-03-25 17:06:44.749381	8684	2993	3	2
2014-03-25 17:06:51.690371	8685	20.1	1	1
2014-03-25 17:06:51.91404	8686	53	2	1
2014-03-25 17:06:56.748609	8687	466	3	2
2014-03-25 17:07:08.748416	8688	515	3	2
2014-03-26 20:32:24.13987	30311	22.2	1	8
2014-03-26 20:32:24.37252	30312	48	2	8
2014-03-25 17:07:15.180554	8693	20.0	1	8
2014-03-25 17:07:15.410484	8694	52	2	8
2014-03-25 17:07:20.750962	8695	515	3	2
2014-03-25 17:07:30.689568	8696	20.1	1	1
2014-03-25 17:07:30.921995	8697	53	2	1
2014-03-25 17:07:32.746708	8698	515	3	2
2014-03-26 20:32:32.571757	30313	676	3	2
2014-03-25 17:07:54.177266	8703	20.0	1	8
2014-03-25 17:07:54.417239	8704	52	2	8
2014-03-25 16:59:24.895932	8569	20.7	1	10
2014-03-25 16:59:25.123505	8570	52	2	10
2014-03-25 17:00:03.896074	8580	20.7	1	10
2014-03-25 17:00:04.121571	8581	52	2	10
2014-03-25 17:00:42.897424	8589	20.7	1	10
2014-03-25 17:00:43.119989	8590	52	2	10
2014-03-25 17:01:21.897536	8601	20.7	1	10
2014-03-25 17:01:22.129751	8602	52	2	10
2014-03-25 17:02:00.89818	8610	20.7	1	10
2014-03-25 17:02:01.123498	8611	52	2	10
2014-03-25 17:02:39.898147	8620	20.7	1	10
2014-03-25 17:02:40.131949	8621	52	2	10
2014-03-25 17:03:18.897951	8631	20.7	1	10
2014-03-25 17:03:19.122288	8632	52	2	10
2014-03-25 17:03:57.899191	8642	20.7	1	10
2014-03-25 17:03:58.122008	8643	52	2	10
2014-03-25 17:04:36.896449	8651	20.7	1	10
2014-03-25 17:04:37.120139	8652	52	2	10
2014-03-25 17:05:15.899015	8659	20.7	1	10
2014-03-25 17:05:16.154457	8660	52	2	10
2014-03-25 17:05:54.898531	8668	20.7	1	10
2014-03-25 17:05:55.156848	8669	52	2	10
2014-03-25 17:06:33.901109	8678	20.7	1	10
2014-03-25 17:06:34.121512	8679	52	2	10
2014-03-25 17:07:12.898845	8689	20.7	1	10
2014-03-25 17:07:13.121168	8690	52	2	10
2014-03-25 17:08:09.68981	8705	20.1	1	1
2014-03-25 17:08:09.914126	8706	53	2	1
2014-03-26 20:32:32.797905	30314	1087509.0134396823	4	2
2014-03-26 20:32:38.771245	30315	20.8	1	1
2014-03-25 17:08:32.752344	8711	515	3	2
2014-03-25 17:08:33.18109	8712	20.0	1	8
2014-03-25 17:08:33.401564	8713	52	2	8
2014-03-25 17:08:48.689818	8714	20.1	1	1
2014-03-25 17:08:48.915634	8715	53	2	1
2014-03-26 20:32:39.00716	30316	50	2	1
2014-03-26 20:32:51.679216	30317	23.3	1	10
2014-03-25 17:09:12.180477	8720	20.0	1	8
2014-03-25 17:09:12.402982	8721	52	2	8
2014-03-25 17:09:20.749356	8722	418	3	2
2014-03-25 17:09:27.690883	8723	20.1	1	1
2014-03-25 17:09:27.91437	8724	53	2	1
2014-03-25 17:09:32.747814	8725	418	3	2
2014-03-25 17:09:44.753726	8726	466	3	2
2014-03-26 20:32:51.904264	30318	41	2	10
2014-03-26 20:33:02.053896	30319	22.0	1	9
2014-03-25 17:09:51.180936	8731	20.0	1	8
2014-03-25 17:09:51.411037	8732	52	2	8
2014-03-25 17:09:56.750797	8733	466	3	2
2014-03-25 17:10:06.689709	8734	20.1	1	1
2014-03-25 17:10:06.913243	8735	53	2	1
2014-03-26 20:33:02.288137	30320	48	2	9
2014-03-26 20:33:03.141099	30321	22.2	1	8
2014-03-25 17:10:30.181943	8740	20.0	1	8
2014-03-25 17:10:30.403673	8741	52	2	8
2014-03-25 17:10:32.748139	8742	482	3	2
2014-03-25 17:10:45.687643	8743	20.1	1	1
2014-03-25 17:10:45.911347	8744	53	2	1
2014-03-26 20:33:03.364773	30322	48	2	8
2014-03-26 20:33:08.576796	30323	595	3	2
2014-03-25 17:11:09.183721	8749	20.0	1	8
2014-03-25 17:11:09.414438	8750	52	2	8
2014-03-25 17:11:24.686743	8751	20.1	1	1
2014-03-25 17:11:24.907618	8752	53	2	1
2014-03-25 17:11:32.748566	8753	482	3	2
2014-03-26 20:33:08.811192	30324	1087515.9076480109	4	2
2014-03-26 20:33:17.751991	30325	20.8	1	1
2014-03-25 17:11:48.181832	8758	20.0	1	8
2014-03-25 17:11:48.404121	8759	52	2	8
2014-03-25 17:12:03.686922	8760	20.1	1	1
2014-03-25 17:12:03.918228	8761	53	2	1
2014-03-25 17:12:20.750065	8762	531	3	2
2014-03-26 20:33:17.976252	30326	50	2	1
2014-03-26 20:33:20.576814	30327	595	3	2
2014-03-25 17:12:27.181239	8767	20.0	1	8
2014-03-25 17:12:27.414006	8768	52	2	8
2014-03-25 17:12:32.747139	8769	515	3	2
2014-03-25 17:12:42.687624	8770	20.1	1	1
2014-03-25 17:12:42.913096	8771	53	2	1
2014-03-26 20:33:20.817292	30328	1087518.2057174537	4	2
2014-03-26 20:33:30.682278	30329	23.4	1	10
2014-03-25 17:13:06.182031	8776	20.0	1	8
2014-03-25 17:13:06.404177	8777	52	2	8
2014-03-25 17:13:21.683637	8778	20.1	1	1
2014-03-25 17:13:21.908729	8779	53	2	1
2014-03-25 17:13:32.747891	8780	515	3	2
2014-03-26 20:33:31.244024	30330	41	2	10
2014-03-26 20:33:32.5733	30331	595	3	2
2014-03-25 17:13:45.182129	8785	20.0	1	8
2014-03-25 17:13:45.414006	8786	52	2	8
2014-03-25 17:14:00.689517	8787	20.1	1	1
2014-03-25 17:14:00.912595	8788	53	2	1
2014-03-25 17:14:20.753392	8789	611	3	2
2014-03-26 20:33:32.846586	30332	1087519.354752175	4	2
2014-03-26 20:33:41.053056	30333	22.1	1	9
2014-03-25 17:14:24.182598	8794	20.0	1	8
2014-03-25 17:14:24.403918	8795	52	2	8
2014-03-25 17:14:39.48966	8796	611	3	2
2014-03-25 17:14:39.805	8797	20.1	1	1
2014-03-25 17:14:40.027866	8798	53	2	1
2014-03-26 20:33:41.464781	30334	48	2	9
2014-03-26 20:33:42.141924	30335	22.2	1	8
2014-03-25 17:15:03.182162	8803	20.0	1	8
2014-03-25 17:15:03.415225	8804	52	2	8
2014-03-25 17:15:18.680454	8805	20.2	1	1
2014-03-25 17:15:18.902752	8806	53	2	1
2014-03-25 17:15:32.750757	8807	611	3	2
2014-03-26 20:33:42.747745	30336	48	2	8
2014-03-26 20:33:56.780072	30337	20.8	1	1
2014-03-25 17:15:42.182856	8812	20.0	1	8
2014-03-25 17:15:42.405114	8813	52	2	8
2014-03-25 17:15:57.685436	8814	20.2	1	1
2014-03-25 17:15:57.916309	8815	53	2	1
2014-03-26 20:33:57.008102	30338	50	2	1
2014-03-26 20:34:09.682718	30339	23.4	1	10
2014-03-25 17:16:21.183764	8820	20.0	1	8
2014-03-25 17:16:21.406887	8821	52	2	8
2014-03-25 17:16:32.748192	8822	611	3	2
2014-03-25 17:16:36.684274	8823	20.2	1	1
2014-03-25 17:16:36.90598	8824	53	2	1
2014-03-26 20:34:09.918942	30340	41	2	10
2014-03-26 20:34:20.052016	30341	22.1	1	9
2014-03-25 17:17:00.184062	8829	20.0	1	8
2014-03-25 17:17:00.41625	8830	52	2	8
2014-03-25 17:17:15.682193	8831	20.2	1	1
2014-03-25 17:17:15.906446	8832	53	2	1
2014-03-25 17:17:32.747047	8833	611	3	2
2014-03-26 20:34:20.279412	30342	48	2	9
2014-03-25 17:17:39.180358	8838	20.0	1	8
2014-03-25 17:17:39.403835	8839	52	2	8
2014-03-25 17:17:54.68047	8840	20.2	1	1
2014-03-25 17:08:30.900633	8707	20.7	1	10
2014-03-25 17:08:31.132691	8708	52	2	10
2014-03-25 17:09:09.900691	8716	20.7	1	10
2014-03-25 17:09:10.124919	8717	52	2	10
2014-03-25 17:09:48.899657	8727	20.7	1	10
2014-03-25 17:09:49.129957	8728	52	2	10
2014-03-25 17:10:28.104613	8736	20.7	1	10
2014-03-25 17:10:28.329622	8737	52	2	10
2014-03-25 17:11:06.900007	8745	20.7	1	10
2014-03-25 17:11:07.143412	8746	52	2	10
2014-03-25 17:11:45.899985	8754	20.7	1	10
2014-03-25 17:11:46.121528	8755	52	2	10
2014-03-25 17:12:24.901803	8763	20.7	1	10
2014-03-25 17:12:25.123847	8764	52	2	10
2014-03-25 17:13:03.901664	8772	20.7	1	10
2014-03-25 17:13:04.124002	8773	52	2	10
2014-03-25 17:13:42.901805	8781	20.7	1	10
2014-03-25 17:13:43.124057	8782	52	2	10
2014-03-25 17:14:21.899864	8790	20.7	1	10
2014-03-25 17:14:22.120869	8791	52	2	10
2014-03-25 17:15:00.902644	8799	20.7	1	10
2014-03-25 17:15:01.133734	8800	52	2	10
2014-03-25 17:15:39.901963	8808	20.7	1	10
2014-03-25 17:15:40.126424	8809	52	2	10
2014-03-25 17:16:18.902634	8816	20.7	1	10
2014-03-25 17:16:19.125589	8817	52	2	10
2014-03-25 17:16:57.902615	8825	20.7	1	10
2014-03-25 17:16:58.133823	8826	52	2	10
2014-03-25 17:17:54.902436	8841	54	2	1
2014-03-25 17:18:08.750908	8842	579	3	2
2014-03-26 20:34:21.13954	30343	22.2	1	8
2014-03-26 20:34:21.376621	30344	48	2	8
2014-03-25 17:18:18.181732	8847	20.0	1	8
2014-03-25 17:18:18.403011	8848	52	2	8
2014-03-25 17:18:20.748251	8849	579	3	2
2014-03-25 17:18:32.749352	8850	547	3	2
2014-03-25 17:18:33.681622	8851	20.2	1	1
2014-03-25 17:18:33.903917	8852	54	2	1
2014-03-25 17:18:44.748018	8853	547	3	2
2014-03-26 20:34:32.573286	30345	595	3	2
2014-03-26 20:34:32.798109	30346	1087529.6960646678	4	2
2014-03-25 17:18:57.180762	8858	20.0	1	8
2014-03-25 17:18:57.409321	8859	52	2	8
2014-03-25 17:19:08.7537	8860	579	3	2
2014-03-25 17:19:12.683366	8861	20.2	1	1
2014-03-25 17:19:12.908279	8862	54	2	1
2014-03-25 17:19:20.753358	8863	579	3	2
2014-03-25 17:19:32.752541	8864	547	3	2
2014-03-26 20:34:35.744482	30347	20.8	1	1
2014-03-26 20:34:35.982178	30348	50	2	1
2014-03-25 17:19:36.182036	8869	20.0	1	8
2014-03-25 17:19:36.412548	8870	52	2	8
2014-03-25 17:19:44.748424	8871	595	3	2
2014-03-25 17:19:51.682595	8872	20.2	1	1
2014-03-25 17:19:51.907356	8873	54	2	1
2014-03-25 17:19:56.748885	8874	547	3	2
2014-03-25 17:20:08.752311	8875	547	3	2
2014-03-26 20:34:48.680749	30349	23.4	1	10
2014-03-26 20:34:48.905556	30350	41	2	10
2014-03-25 17:20:15.181542	8880	20.0	1	8
2014-03-25 17:20:15.41352	8881	52	2	8
2014-03-25 17:20:30.680619	8882	20.2	1	1
2014-03-25 17:20:30.906635	8883	54	2	1
2014-03-25 17:20:32.750013	8884	579	3	2
2014-03-25 17:20:44.749876	8885	547	3	2
2014-03-26 20:34:59.052517	30351	22.1	1	9
2014-03-26 20:34:59.297692	30352	48	2	9
2014-03-25 17:20:54.181978	8890	20.0	1	8
2014-03-25 17:20:54.413357	8891	52	2	8
2014-03-25 17:20:56.752705	8892	547	3	2
2014-03-25 17:21:09.67764	8893	20.2	1	1
2014-03-25 17:21:09.903497	8894	54	2	1
2014-03-26 20:35:00.140212	30353	22.2	1	8
2014-03-26 20:35:00.363047	30354	48	2	8
2014-03-25 17:21:32.747837	8899	579	3	2
2014-03-25 17:21:33.183428	8900	20.0	1	8
2014-03-25 17:21:33.405247	8901	52	2	8
2014-03-25 17:21:44.744785	8902	547	3	2
2014-03-25 17:21:48.681666	8903	20.2	1	1
2014-03-25 17:21:48.903508	8904	54	2	1
2014-03-25 17:21:56.752518	8905	579	3	2
2014-03-25 17:22:08.754294	8906	547	3	2
2014-03-26 20:35:14.744615	30355	20.8	1	1
2014-03-26 20:35:14.978536	30356	50	2	1
2014-03-25 17:22:12.181385	8911	20.0	1	8
2014-03-25 17:22:12.406568	8912	52	2	8
2014-03-25 17:22:20.748572	8913	547	3	2
2014-03-25 17:22:27.682336	8914	20.2	1	1
2014-03-25 17:22:27.905436	8915	54	2	1
2014-03-25 17:22:32.748152	8916	547	3	2
2014-03-25 17:22:44.74773	8917	579	3	2
2014-03-26 20:35:27.678973	30357	23.4	1	10
2014-03-26 20:35:27.904681	30358	41	2	10
2014-03-25 17:22:51.18155	8922	20.0	1	8
2014-03-25 17:22:51.403383	8923	52	2	8
2014-03-25 17:22:56.74787	8924	547	3	2
2014-03-25 17:23:06.682369	8925	20.3	1	1
2014-03-25 17:23:06.90477	8926	54	2	1
2014-03-25 17:23:08.74853	8927	547	3	2
2014-03-25 17:23:20.746382	8928	627	3	2
2014-03-26 20:35:32.574739	30359	579	3	2
2014-03-26 20:35:32.810487	30360	1087540.0373771605	4	2
2014-03-25 17:23:30.180904	8933	20.0	1	8
2014-03-25 17:23:30.402354	8934	52	2	8
2014-03-25 17:23:32.751011	8935	643	3	2
2014-03-25 17:23:45.681282	8936	20.3	1	1
2014-03-25 17:23:45.914625	8937	54	2	1
2014-03-26 20:35:38.051809	30361	22.1	1	9
2014-03-26 20:35:38.281582	30362	48	2	9
2014-03-25 17:24:08.744664	8942	692	3	2
2014-03-25 17:24:09.180586	8943	20.0	1	8
2014-03-25 17:24:09.403424	8944	52	2	8
2014-03-25 17:24:20.881062	8945	692	3	2
2014-03-25 17:24:24.810031	8946	20.3	1	1
2014-03-25 17:24:25.22996	8947	54	2	1
2014-03-25 17:24:32.751236	8948	692	3	2
2014-03-26 20:35:39.140427	30363	22.2	1	8
2014-03-26 20:35:39.375227	30364	48	2	8
2014-03-25 17:24:48.182208	8953	20.0	1	8
2014-03-25 17:24:48.403841	8954	52	2	8
2014-03-25 17:25:03.92141	8955	20.3	1	1
2014-03-25 17:25:04.144021	8956	54	2	1
2014-03-26 20:35:53.749858	30365	20.8	1	1
2014-03-26 20:35:53.974719	30366	50	2	1
2014-03-25 17:25:27.180778	8961	20.0	1	8
2014-03-25 17:25:27.413015	8962	53	2	8
2014-03-25 17:25:32.747834	8963	692	3	2
2014-03-25 17:25:42.678831	8964	20.3	1	1
2014-03-25 17:25:42.905591	8965	54	2	1
2014-03-26 20:36:06.683186	30367	23.4	1	10
2014-03-26 20:36:06.917731	30368	41	2	10
2014-03-26 20:36:17.052041	30369	22.1	1	9
2014-03-26 20:36:17.277002	30370	48	2	9
2014-03-25 17:26:06.181194	8970	20.0	1	8
2014-03-25 17:26:06.402661	8971	53	2	8
2014-03-25 17:26:21.680834	8972	20.4	1	1
2014-03-25 17:26:21.912311	8973	54	2	1
2014-03-25 17:26:32.746324	8974	692	3	2
2014-03-25 17:18:15.902995	8843	20.7	1	10
2014-03-25 17:18:16.124021	8844	52	2	10
2014-03-25 17:18:54.902654	8854	20.7	1	10
2014-03-25 17:18:55.12444	8855	52	2	10
2014-03-25 17:19:33.902375	8865	20.7	1	10
2014-03-25 17:19:34.133054	8866	52	2	10
2014-03-25 17:20:12.905367	8876	20.7	1	10
2014-03-25 17:20:13.146957	8877	52	2	10
2014-03-25 17:20:51.902407	8886	20.7	1	10
2014-03-25 17:20:52.126678	8887	52	2	10
2014-03-25 17:21:30.90411	8895	20.7	1	10
2014-03-25 17:21:31.129264	8896	52	2	10
2014-03-25 17:22:09.902431	8907	20.7	1	10
2014-03-25 17:22:10.124531	8908	52	2	10
2014-03-25 17:22:48.90282	8918	20.7	1	10
2014-03-25 17:22:49.127183	8919	52	2	10
2014-03-25 17:23:27.904411	8929	20.7	1	10
2014-03-25 17:23:28.127158	8930	52	2	10
2014-03-25 17:24:06.903465	8938	20.7	1	10
2014-03-25 17:24:07.126396	8939	52	2	10
2014-03-25 17:24:45.904305	8949	20.7	1	10
2014-03-25 17:24:46.126821	8950	52	2	10
2014-03-25 17:25:24.906078	8957	20.7	1	10
2014-03-25 17:25:25.139504	8958	52	2	10
2014-03-26 20:36:18.140715	30371	22.2	1	8
2014-03-26 20:36:18.373759	30372	48	2	8
2014-03-25 17:26:45.182659	8979	20.0	1	8
2014-03-25 17:26:45.413676	8980	53	2	8
2014-03-25 17:27:00.682782	8981	20.4	1	1
2014-03-25 17:27:00.905834	8982	54	2	1
2014-03-25 17:27:08.748249	8983	659	3	2
2014-03-25 17:27:20.746919	8984	659	3	2
2014-03-26 20:36:32.986132	30373	20.8	1	1
2014-03-26 20:36:33.210032	30374	50	2	1
2014-03-25 17:27:24.18404	8989	20.0	1	8
2014-03-25 17:27:24.405618	8990	53	2	8
2014-03-25 17:27:32.751625	8991	676	3	2
2014-03-25 17:27:39.679527	8992	20.4	1	1
2014-03-25 17:27:39.903589	8993	54	2	1
2014-03-26 20:36:45.679309	30375	23.4	1	10
2014-03-26 20:36:45.917044	30376	41	2	10
2014-03-25 17:28:03.182074	8998	20.0	1	8
2014-03-25 17:28:03.404612	8999	53	2	8
2014-03-25 17:28:18.681717	9000	20.4	1	1
2014-03-25 17:28:18.905176	9001	54	2	1
2014-03-25 17:28:32.747881	9002	659	3	2
2014-03-26 20:36:56.052628	30377	22.1	1	9
2014-03-26 20:36:56.277596	30378	48	2	9
2014-03-25 17:28:42.181535	9007	20.0	1	8
2014-03-25 17:28:42.414171	9008	53	2	8
2014-03-25 17:28:57.681488	9009	20.4	1	1
2014-03-25 17:28:57.903402	9010	54	2	1
2014-03-26 20:36:57.13995	30379	22.3	1	8
2014-03-26 20:36:57.374537	30380	48	2	8
2014-03-25 17:29:21.182067	9015	20.0	1	8
2014-03-25 17:29:21.413321	9016	53	2	8
2014-03-25 17:29:32.751465	9017	676	3	2
2014-03-25 17:29:36.678684	9018	20.4	1	1
2014-03-25 17:29:36.901134	9019	54	2	1
2014-03-26 20:37:11.74663	30381	20.8	1	1
2014-03-26 20:37:11.974478	30382	50	2	1
2014-03-25 17:30:00.181538	9024	20.0	1	8
2014-03-25 17:30:00.403887	9025	53	2	8
2014-03-25 17:30:15.674958	9026	20.5	1	1
2014-03-25 17:30:15.908807	9027	54	2	1
2014-03-25 17:30:36.705683	9028	676	3	2
2014-03-26 20:37:20.575331	30383	515	3	2
2014-03-26 20:37:20.811755	30384	1087557.2728979818	4	2
2014-03-25 17:30:39.181498	9033	20.1	1	8
2014-03-25 17:30:39.412759	9034	53	2	8
2014-03-25 17:30:54.674515	9035	20.5	1	1
2014-03-25 17:30:54.899814	9036	54	2	1
2014-03-26 20:37:24.680557	30385	23.4	1	10
2014-03-26 20:37:24.906801	30386	41	2	10
2014-03-25 17:31:18.181123	9041	20.1	1	8
2014-03-25 17:31:18.413366	9042	53	2	8
2014-03-25 17:31:32.748463	9043	627	3	2
2014-03-25 17:31:33.676889	9044	20.5	1	1
2014-03-25 17:31:33.898279	9045	54	2	1
2014-03-25 17:31:44.801614	9046	611	3	2
2014-03-26 20:37:32.57331	30387	531	3	2
2014-03-26 20:37:32.809992	30388	1087559.5709674247	4	2
2014-03-25 17:31:57.182144	9051	20.1	1	8
2014-03-25 17:31:57.404109	9052	53	2	8
2014-03-25 17:32:12.678641	9053	20.5	1	1
2014-03-25 17:32:12.902209	9054	54	2	1
2014-03-25 17:32:32.747665	9055	611	3	2
2014-03-26 20:37:35.061995	30389	22.1	1	9
2014-03-26 20:37:35.285747	30390	48	2	9
2014-03-25 17:32:36.182016	9060	20.1	1	8
2014-03-25 17:32:36.404614	9061	53	2	8
2014-03-25 17:32:51.672767	9062	20.6	1	1
2014-03-25 17:32:51.906101	9063	54	2	1
2014-03-26 20:37:36.139767	30391	22.3	1	8
2014-03-26 20:37:36.373811	30392	48	2	8
2014-03-25 17:33:15.180167	9068	20.1	1	8
2014-03-25 17:33:15.458323	9069	53	2	8
2014-03-25 17:33:30.673317	9070	20.6	1	1
2014-03-25 17:33:30.905373	9071	54	2	1
2014-03-25 17:33:32.749808	9072	627	3	2
2014-03-26 20:37:50.74437	30393	20.8	1	1
2014-03-26 20:37:50.970957	30394	50	2	1
2014-03-25 17:33:54.180999	9077	20.1	1	8
2014-03-25 17:33:54.4157	9078	53	2	8
2014-03-25 17:34:09.675822	9079	20.6	1	1
2014-03-25 17:34:09.897425	9080	54	2	1
2014-03-26 20:38:03.681058	30395	23.5	1	10
2014-03-26 20:38:03.916433	30396	41	2	10
2014-03-25 17:34:32.748598	9085	611	3	2
2014-03-25 17:34:33.180778	9086	20.1	1	8
2014-03-25 17:34:33.404859	9087	53	2	8
2014-03-25 17:34:48.676295	9088	20.6	1	1
2014-03-25 17:34:48.898686	9089	54	2	1
2014-03-26 20:38:14.052687	30397	22.1	1	9
2014-03-26 20:38:14.277702	30398	48	2	9
2014-03-25 17:35:12.181903	9094	20.1	1	8
2014-03-25 17:35:12.404414	9095	53	2	8
2014-03-25 17:35:27.675325	9096	20.7	1	1
2014-03-25 17:35:27.908981	9097	54	2	1
2014-03-25 17:35:32.750183	9098	611	3	2
2014-03-26 20:38:15.141082	30399	22.3	1	8
2014-03-25 17:35:51.180721	9103	20.2	1	8
2014-03-25 17:35:51.411802	9104	53	2	8
2014-03-25 17:36:06.675158	9105	20.7	1	1
2014-03-25 17:36:06.900642	9106	55	2	1
2014-03-25 17:36:30.18121	9111	20.2	1	8
2014-03-25 17:36:30.413338	9112	53	2	8
2014-03-25 17:27:21.905256	8985	20.7	1	10
2014-03-25 17:27:22.127072	8986	52	2	10
2014-03-25 17:28:00.904376	8994	20.7	1	10
2014-03-25 17:28:01.127456	8995	52	2	10
2014-03-25 17:28:39.905956	9003	20.7	1	10
2014-03-25 17:28:40.138711	9004	52	2	10
2014-03-25 17:29:18.906002	9011	20.8	1	10
2014-03-25 17:29:19.149903	9012	52	2	10
2014-03-25 17:29:57.906923	9020	20.8	1	10
2014-03-25 17:29:58.130392	9021	52	2	10
2014-03-25 17:30:37.016317	9029	20.8	1	10
2014-03-25 17:30:37.239117	9030	52	2	10
2014-03-25 17:31:15.906462	9037	20.8	1	10
2014-03-25 17:31:16.142038	9038	52	2	10
2014-03-25 17:31:54.908086	9047	20.8	1	10
2014-03-25 17:31:55.132425	9048	52	2	10
2014-03-25 17:32:33.906294	9056	20.8	1	10
2014-03-25 17:32:34.128059	9057	52	2	10
2014-03-25 17:33:12.907746	9064	20.8	1	10
2014-03-25 17:33:13.130091	9065	52	2	10
2014-03-25 17:33:51.907491	9073	20.8	1	10
2014-03-25 17:33:52.130916	9074	52	2	10
2014-03-25 17:34:30.907697	9081	20.8	1	10
2014-03-25 17:34:31.140014	9082	52	2	10
2014-03-25 17:35:09.90883	9090	20.8	1	10
2014-03-25 17:35:10.130659	9091	52	2	10
2014-03-25 17:35:48.908849	9099	20.8	1	10
2014-03-25 17:35:49.152363	9100	52	2	10
2014-03-25 17:36:27.909974	9107	20.8	1	10
2014-03-25 17:36:28.142268	9108	52	2	10
2014-03-25 17:36:45.478065	9113	627	3	2
2014-03-25 17:36:45.785796	9114	20.7	1	1
2014-03-25 17:36:46.010952	9115	55	2	1
2014-03-26 20:38:15.38517	30400	48	2	8
2014-03-26 20:38:29.778725	30401	20.8	1	1
2014-03-25 17:37:09.180886	9120	20.2	1	8
2014-03-25 17:37:09.403005	9121	54	2	8
2014-03-25 17:37:24.671832	9122	20.8	1	1
2014-03-25 17:37:24.903637	9123	55	2	1
2014-03-25 17:37:32.747576	9124	627	3	2
2014-03-25 17:37:44.749791	9125	547	3	2
2014-03-26 20:38:30.003748	30402	50	2	1
2014-03-26 20:38:32.5731	30403	547	3	2
2014-03-25 17:37:48.183773	9130	20.2	1	8
2014-03-25 17:37:48.415715	9131	54	2	8
2014-03-25 17:37:56.747459	9132	595	3	2
2014-03-25 17:38:03.673041	9133	20.8	1	1
2014-03-25 17:38:03.895808	9134	55	2	1
2014-03-25 17:38:08.75222	9135	595	3	2
2014-03-26 20:38:32.807979	30404	1087567.6142104745	4	2
2014-03-26 20:38:42.681567	30405	23.5	1	10
2014-03-25 17:38:27.180058	9140	20.2	1	8
2014-03-25 17:38:27.403478	9141	54	2	8
2014-03-25 17:38:32.750521	9142	595	3	2
2014-03-25 17:38:42.674477	9143	20.8	1	1
2014-03-25 17:38:42.896591	9144	55	2	1
2014-03-26 20:38:42.906649	30406	41	2	10
2014-03-26 20:38:53.050539	30407	22.1	1	9
2014-03-25 17:39:06.181661	9149	20.2	1	8
2014-03-25 17:39:06.416636	9150	54	2	8
2014-03-25 17:39:21.67249	9151	20.8	1	1
2014-03-25 17:39:21.894733	9152	55	2	1
2014-03-25 17:39:32.750651	9153	595	3	2
2014-03-26 20:38:53.285402	30408	48	2	9
2014-03-26 20:38:54.141295	30409	22.3	1	8
2014-03-25 17:39:45.181568	9158	20.3	1	8
2014-03-25 17:39:45.403673	9159	54	2	8
2014-03-25 17:40:00.673784	9160	20.8	1	1
2014-03-25 17:40:00.90538	9161	55	2	1
2014-03-26 20:38:54.365509	30410	48	2	8
2014-03-26 20:39:08.427975	30411	515	3	2
2014-03-25 17:40:24.182226	9166	20.3	1	8
2014-03-25 17:40:24.405479	9167	54	2	8
2014-03-25 17:40:32.752712	9168	595	3	2
2014-03-25 17:40:39.712455	9169	20.9	1	1
2014-03-25 17:40:39.95468	9170	55	2	1
2014-03-26 20:39:08.665447	30412	1087571.0613146387	4	2
2014-03-26 20:39:08.99551	30413	20.7	1	1
2014-03-25 17:41:03.180722	9175	20.3	1	8
2014-03-25 17:41:03.402713	9176	54	2	8
2014-03-25 17:41:18.672533	9177	20.9	1	1
2014-03-25 17:41:18.897995	9178	55	2	1
2014-03-25 17:41:32.747672	9179	595	3	2
2014-03-26 20:39:09.221321	30414	50	2	1
2014-03-26 20:39:21.681392	30415	23.5	1	10
2014-03-25 17:41:42.181788	9184	20.3	1	8
2014-03-25 17:41:42.415789	9185	54	2	8
2014-03-25 17:41:57.670499	9186	20.9	1	1
2014-03-25 17:41:57.893876	9187	55	2	1
2014-03-26 20:39:21.915519	30416	41	2	10
2014-03-26 20:39:32.051939	30417	22.1	1	9
2014-03-25 17:42:21.182324	9192	20.3	1	8
2014-03-25 17:42:21.428021	9193	54	2	8
2014-03-25 17:42:32.749204	9194	611	3	2
2014-03-25 17:42:36.67018	9195	20.9	1	1
2014-03-25 17:42:36.892076	9196	55	2	1
2014-03-26 20:39:32.27722	30418	48	2	9
2014-03-26 20:39:32.583354	30419	515	3	2
2014-03-25 17:43:00.183378	9201	20.3	1	8
2014-03-25 17:43:00.4054	9202	54	2	8
2014-03-25 17:43:15.727823	9203	21.0	1	1
2014-03-25 17:43:15.96132	9204	54	2	1
2014-03-25 17:43:32.748958	9205	595	3	2
2014-03-26 20:39:32.817054	30420	1087576.806488246	4	2
2014-03-26 20:39:33.139937	30421	22.3	1	8
2014-03-25 17:43:39.180758	9210	20.4	1	8
2014-03-25 17:43:39.406876	9211	54	2	8
2014-03-25 17:43:54.709684	9212	21.0	1	1
2014-03-25 17:43:54.934062	9213	54	2	1
2014-03-25 17:43:56.753163	9214	531	3	2
2014-03-25 17:44:08.749242	9215	531	3	2
2014-03-26 20:39:33.364336	30422	48	2	8
2014-03-26 20:39:47.744047	30423	20.7	1	1
2014-03-25 17:44:18.180234	9220	20.4	1	8
2014-03-25 17:44:18.403526	9221	54	2	8
2014-03-25 17:44:32.748091	9222	531	3	2
2014-03-25 17:44:33.667723	9223	21.0	1	1
2014-03-25 17:44:33.891412	9224	54	2	1
2014-03-26 20:39:47.978057	30424	50	2	1
2014-03-26 20:40:00.680191	30425	23.5	1	10
2014-03-25 17:44:57.18051	9229	20.4	1	8
2014-03-25 17:44:57.403148	9230	54	2	8
2014-03-25 17:45:12.668632	9231	21.0	1	1
2014-03-25 17:45:12.891737	9232	54	2	1
2014-03-25 17:45:32.746495	9233	531	3	2
2014-03-26 20:40:00.904355	30426	41	2	10
2014-03-26 20:40:11.051106	30427	22.1	1	9
2014-03-25 17:45:36.180217	9238	20.4	1	8
2014-03-25 17:45:36.402489	9239	54	2	8
2014-03-25 17:45:51.669957	9240	21.0	1	1
2014-03-25 17:45:51.902279	9241	54	2	1
2014-03-26 20:40:11.284915	30428	48	2	9
2014-03-25 17:46:15.179609	9246	20.4	1	8
2014-03-25 17:46:15.40173	9247	55	2	8
2014-03-25 17:46:30.667568	9248	21.1	1	1
2014-03-25 17:37:06.909954	9116	20.9	1	10
2014-03-25 17:37:07.134006	9117	52	2	10
2014-03-25 17:37:45.909285	9126	20.9	1	10
2014-03-25 17:37:46.149432	9127	52	2	10
2014-03-25 17:38:24.909652	9136	20.9	1	10
2014-03-25 17:38:25.132218	9137	52	2	10
2014-03-25 17:39:04.115532	9145	20.9	1	10
2014-03-25 17:39:04.360981	9146	52	2	10
2014-03-25 17:39:43.112632	9154	20.9	1	10
2014-03-25 17:39:43.334864	9155	52	2	10
2014-03-25 17:40:21.909857	9162	20.9	1	10
2014-03-25 17:40:22.133242	9163	52	2	10
2014-03-25 17:41:00.909581	9171	20.9	1	10
2014-03-25 17:41:01.133357	9172	52	2	10
2014-03-25 17:41:39.913961	9180	20.9	1	10
2014-03-25 17:41:40.146476	9181	52	2	10
2014-03-25 17:42:18.909986	9188	20.9	1	10
2014-03-25 17:42:19.145037	9189	52	2	10
2014-03-25 17:42:57.911824	9197	20.9	1	10
2014-03-25 17:42:58.137404	9198	52	2	10
2014-03-25 17:43:36.909443	9206	20.9	1	10
2014-03-25 17:43:37.132753	9207	52	2	10
2014-03-25 17:44:15.912307	9216	20.9	1	10
2014-03-25 17:44:16.135071	9217	52	2	10
2014-03-25 17:44:54.910882	9225	20.9	1	10
2014-03-25 17:44:55.133374	9226	52	2	10
2014-03-25 17:45:33.912429	9234	20.9	1	10
2014-03-25 17:45:34.134569	9235	52	2	10
2014-03-25 17:46:30.90279	9249	54	2	1
2014-03-25 17:46:32.754213	9250	531	3	2
2014-03-26 20:40:12.140116	30429	22.3	1	8
2014-03-26 20:40:12.366565	30430	48	2	8
2014-03-25 17:46:54.180764	9255	20.4	1	8
2014-03-25 17:46:54.412454	9256	55	2	8
2014-03-25 17:47:09.707967	9257	21.1	1	1
2014-03-25 17:47:09.933557	9258	54	2	1
2014-03-26 20:40:26.743808	30431	20.7	1	1
2014-03-26 20:40:26.978598	30432	50	2	1
2014-03-25 17:47:32.749298	9263	547	3	2
2014-03-25 17:47:33.179751	9264	20.5	1	8
2014-03-25 17:47:33.402696	9265	55	2	8
2014-03-25 17:47:48.668646	9266	21.1	1	1
2014-03-25 17:47:48.893208	9267	54	2	1
2014-03-26 20:40:32.572253	30433	547	3	2
2014-03-26 20:40:32.79651	30434	1087585.9987660171	4	2
2014-03-25 17:48:12.181568	9272	20.5	1	8
2014-03-25 17:48:12.403301	9273	55	2	8
2014-03-25 17:48:27.705938	9274	21.1	1	1
2014-03-25 17:48:27.928703	9275	54	2	1
2014-03-25 17:48:32.74591	9276	547	3	2
2014-03-26 20:40:39.681003	30435	23.5	1	10
2014-03-26 20:40:39.916163	30436	41	2	10
2014-03-25 17:48:51.18426	9281	20.5	1	8
2014-03-25 17:48:51.406787	9282	55	2	8
2014-03-25 17:49:06.666592	9283	21.1	1	1
2014-03-25 17:49:06.891415	9284	54	2	1
2014-03-26 20:40:44.574249	30437	531	3	2
2014-03-26 20:40:44.79893	30438	1087587.1478007387	4	2
2014-03-25 17:49:30.182693	9289	20.5	1	8
2014-03-25 17:49:30.406281	9290	55	2	8
2014-03-25 17:49:32.746174	9291	531	3	2
2014-03-25 17:49:45.665173	9292	21.2	1	1
2014-03-25 17:49:45.888208	9293	54	2	1
2014-03-25 17:49:56.748552	9294	611	3	2
2014-03-26 20:40:50.051317	30439	22.1	1	9
2014-03-26 20:40:50.292925	30440	48	2	9
2014-03-25 17:50:09.073913	9299	595	3	2
2014-03-25 17:50:09.660966	9300	20.5	1	8
2014-03-25 17:50:10.079961	9301	55	2	8
2014-03-25 17:50:24.667534	9302	21.2	1	1
2014-03-25 17:50:24.891197	9303	55	2	1
2014-03-25 17:50:32.750372	9304	595	3	2
2014-03-26 20:40:51.14237	30441	22.3	1	8
2014-03-26 20:40:51.365375	30442	48	2	8
2014-03-25 17:50:48.180113	9309	20.5	1	8
2014-03-25 17:50:48.401353	9310	55	2	8
2014-03-25 17:51:03.666458	9311	21.2	1	1
2014-03-25 17:51:03.898468	9312	55	2	1
2014-03-26 20:41:05.743238	30443	20.7	1	1
2014-03-26 20:41:05.978868	30444	50	2	1
2014-03-25 17:51:27.179838	9317	20.5	1	8
2014-03-25 17:51:27.402506	9318	55	2	8
2014-03-25 17:51:42.466712	9319	595	3	2
2014-03-25 17:51:42.787225	9320	21.2	1	1
2014-03-25 17:51:43.009123	9321	55	2	1
2014-03-26 20:41:18.683061	30445	23.5	1	10
2014-03-26 20:41:18.90757	30446	41	2	10
2014-03-25 17:52:06.179853	9326	20.5	1	8
2014-03-25 17:52:06.423379	9327	55	2	8
2014-03-25 17:52:21.665088	9328	21.2	1	1
2014-03-25 17:52:21.888305	9329	55	2	1
2014-03-25 17:52:32.748747	9330	595	3	2
2014-03-26 20:41:29.052044	30447	22.1	1	9
2014-03-26 20:41:29.297087	30448	48	2	9
2014-03-25 17:52:45.180641	9335	20.6	1	8
2014-03-25 17:52:45.455571	9336	55	2	8
2014-03-25 17:53:00.701398	9337	21.2	1	1
2014-03-25 17:53:00.923994	9338	55	2	1
2014-03-26 20:41:30.140234	30449	22.4	1	8
2014-03-26 20:41:30.363231	30450	48	2	8
2014-03-25 17:53:24.18115	9343	20.6	1	8
2014-03-25 17:53:24.403618	9344	55	2	8
2014-03-25 17:53:32.744771	9345	611	3	2
2014-03-25 17:53:39.66536	9346	21.2	1	1
2014-03-25 17:53:39.889271	9347	55	2	1
2014-03-26 20:41:32.571577	30451	515	3	2
2014-03-26 20:41:32.807061	30452	1087594.042009067	4	2
2014-03-25 17:54:03.182508	9352	20.6	1	8
2014-03-25 17:54:03.414213	9353	55	2	8
2014-03-25 17:54:18.664128	9354	21.2	1	1
2014-03-25 17:54:18.887739	9355	55	2	1
2014-03-25 17:54:32.745826	9356	595	3	2
2014-03-26 20:41:44.744285	30453	20.7	1	1
2014-03-26 20:41:44.969232	30454	50	2	1
2014-03-25 17:54:42.181548	9361	20.6	1	8
2014-03-25 17:54:42.404433	9362	55	2	8
2014-03-25 17:54:57.66508	9363	21.2	1	1
2014-03-25 17:54:57.898306	9364	55	2	1
2014-03-26 20:41:56.570811	30455	547	3	2
2014-03-26 20:41:56.808129	30456	1087598.6381479527	4	2
2014-03-25 17:55:21.179891	9369	20.6	1	8
2014-03-25 17:55:21.411269	9370	55	2	8
2014-03-25 17:55:32.7493	9371	547	3	2
2014-03-25 17:55:36.663172	9372	21.2	1	1
2014-03-25 17:55:36.886534	9373	55	2	1
2014-03-25 17:55:44.747542	9374	531	3	2
2014-03-26 20:41:57.684505	30457	23.5	1	10
2014-03-26 20:41:57.930728	30458	41	2	10
2014-03-25 17:56:00.180578	9379	20.6	1	8
2014-03-25 17:56:00.403176	9380	55	2	8
2014-03-25 17:56:15.665448	9381	21.2	1	1
2014-03-25 17:56:15.89722	9382	55	2	1
2014-03-25 17:56:32.749775	9383	531	3	2
2014-03-25 17:46:51.914112	9251	21.0	1	10
2014-03-25 17:46:52.145441	9252	51	2	10
2014-03-25 17:47:30.911614	9259	21.0	1	10
2014-03-25 17:47:31.145621	9260	51	2	10
2014-03-25 17:48:09.911063	9268	21.0	1	10
2014-03-25 17:48:10.135573	9269	51	2	10
2014-03-25 17:48:48.912855	9277	21.0	1	10
2014-03-25 17:48:49.136076	9278	51	2	10
2014-03-25 17:49:27.913521	9285	21.0	1	10
2014-03-25 17:49:28.13527	9286	51	2	10
2014-03-25 17:50:07.039974	9295	21.0	1	10
2014-03-25 17:50:07.469951	9296	51	2	10
2014-03-25 17:50:45.912901	9305	21.0	1	10
2014-03-25 17:50:46.136413	9306	51	2	10
2014-03-25 17:51:24.913644	9313	21.0	1	10
2014-03-25 17:51:25.137418	9314	51	2	10
2014-03-25 17:52:03.914489	9322	21.0	1	10
2014-03-25 17:52:04.147871	9323	51	2	10
2014-03-25 17:52:42.91605	9331	21.0	1	10
2014-03-25 17:52:43.139303	9332	51	2	10
2014-03-25 17:53:21.913732	9339	21.0	1	10
2014-03-25 17:53:22.137498	9340	51	2	10
2014-03-25 17:54:00.914638	9348	21.0	1	10
2014-03-25 17:54:01.140553	9349	51	2	10
2014-03-25 17:54:39.914464	9357	21.0	1	10
2014-03-25 17:54:40.136963	9358	51	2	10
2014-03-25 17:55:18.914374	9365	21.0	1	10
2014-03-25 17:55:19.137672	9366	51	2	10
2014-03-26 20:42:08.052033	30459	22.1	1	9
2014-03-26 20:42:08.289027	30460	48	2	9
2014-03-25 17:56:39.181342	9388	20.6	1	8
2014-03-25 17:56:39.413276	9389	55	2	8
2014-03-25 17:56:54.662841	9390	21.2	1	1
2014-03-25 17:56:54.886907	9391	55	2	1
2014-03-26 20:42:08.596252	30461	531	3	2
2014-03-26 20:42:08.822045	30462	1087599.7871826743	4	2
2014-03-25 17:57:18.182338	9396	20.6	1	8
2014-03-25 17:57:18.420025	9397	55	2	8
2014-03-25 17:57:32.746032	9398	531	3	2
2014-03-25 17:57:33.662907	9399	21.2	1	1
2014-03-25 17:57:33.885778	9400	55	2	1
2014-03-26 20:42:09.139523	30463	22.4	1	8
2014-03-26 20:42:09.374642	30464	48	2	8
2014-03-25 17:57:57.181005	9405	20.7	1	8
2014-03-25 17:57:57.404138	9406	55	2	8
2014-03-25 17:58:12.658718	9407	21.2	1	1
2014-03-25 17:58:12.892032	9408	55	2	1
2014-03-25 17:58:32.744056	9409	531	3	2
2014-03-26 20:42:23.739545	30465	20.7	1	1
2014-03-26 20:42:23.968681	30466	50	2	1
2014-03-25 17:58:36.181455	9414	20.7	1	8
2014-03-25 17:58:36.423984	9415	55	2	8
2014-03-25 17:58:51.663681	9416	21.2	1	1
2014-03-25 17:58:51.888244	9417	55	2	1
2014-03-26 20:42:32.571203	30467	531	3	2
2014-03-26 20:42:32.806564	30468	1087603.2342868384	4	2
2014-03-25 17:59:15.182392	9422	20.7	1	8
2014-03-25 17:59:15.416526	9423	55	2	8
2014-03-25 17:59:30.661197	9424	21.2	1	1
2014-03-25 17:59:30.886944	9425	55	2	1
2014-03-25 17:59:32.740935	9426	531	3	2
2014-03-26 20:42:36.682328	30469	23.5	1	10
2014-03-26 20:42:36.908465	30470	41	2	10
2014-03-25 17:59:54.178888	9431	20.7	1	8
2014-03-25 17:59:54.403524	9432	55	2	8
2014-03-25 18:00:09.659201	9433	21.2	1	1
2014-03-25 18:00:09.894243	9434	55	2	1
2014-03-26 20:42:47.050132	30471	22.1	1	9
2014-03-26 20:42:47.285662	30472	48	2	9
2014-03-25 18:00:32.74756	9439	531	3	2
2014-03-25 18:00:33.180046	9440	20.7	1	8
2014-03-25 18:00:33.405	9441	55	2	8
2014-03-25 18:00:48.661748	9442	21.2	1	1
2014-03-25 18:00:48.885464	9443	55	2	1
2014-03-26 20:42:48.140329	30473	22.4	1	8
2014-03-26 20:42:48.365815	30474	48	2	8
2014-03-25 18:01:12.180845	9448	20.7	1	8
2014-03-25 18:01:12.41289	9449	55	2	8
2014-03-25 18:01:27.665607	9450	21.2	1	1
2014-03-25 18:01:27.889466	9451	55	2	1
2014-03-25 18:01:32.744674	9452	595	3	2
2014-03-25 18:01:44.748208	9453	595	3	2
2014-03-26 20:43:02.743268	30475	20.7	1	1
2014-03-26 20:43:02.980366	30476	50	2	1
2014-03-25 18:01:51.17969	9458	20.7	1	8
2014-03-25 18:01:51.422844	9459	55	2	8
2014-03-25 18:02:06.661886	9460	21.2	1	1
2014-03-25 18:02:06.883902	9461	55	2	1
2014-03-26 20:43:15.682487	30477	23.5	1	10
2014-03-26 20:43:15.96492	30478	41	2	10
2014-03-25 18:02:30.180384	9466	20.7	1	8
2014-03-25 18:02:30.401725	9467	55	2	8
2014-03-25 18:02:32.750782	9468	595	3	2
2014-03-25 18:02:45.697828	9469	21.2	1	1
2014-03-25 18:02:45.943376	9470	55	2	1
2014-03-26 20:43:26.052842	30479	22.1	1	9
2014-03-26 20:43:26.287951	30480	48	2	9
2014-03-25 18:03:09.180722	9475	20.7	1	8
2014-03-25 18:03:09.411208	9476	55	2	8
2014-03-25 18:03:24.658012	9477	21.2	1	1
2014-03-25 18:03:24.880345	9478	55	2	1
2014-03-25 18:03:32.745812	9479	611	3	2
2014-03-26 20:43:27.139441	30481	22.4	1	8
2014-03-26 20:43:27.364707	30482	48	2	8
2014-03-25 18:03:48.182458	9484	20.7	1	8
2014-03-25 18:03:48.403591	9485	56	2	8
2014-03-25 18:04:03.69516	9486	21.2	1	1
2014-03-25 18:04:03.927197	9487	55	2	1
2014-03-26 20:43:32.572037	30483	531	3	2
2014-03-26 20:43:32.806663	30484	1087612.4265646096	4	2
2014-03-25 18:04:27.182639	9492	20.7	1	8
2014-03-25 18:04:27.404367	9493	56	2	8
2014-03-25 18:04:42.459231	9494	595	3	2
2014-03-25 18:04:42.776476	9495	21.2	1	1
2014-03-25 18:04:43.000317	9496	55	2	1
2014-03-26 20:43:41.740825	30485	20.7	1	1
2014-03-26 20:43:41.965886	30486	50	2	1
2014-03-25 18:05:06.179502	9501	20.7	1	8
2014-03-25 18:05:06.413411	9502	56	2	8
2014-03-25 18:05:21.654424	9503	21.2	1	1
2014-03-25 18:05:21.882209	9504	55	2	1
2014-03-25 18:05:32.748019	9505	595	3	2
2014-03-26 20:43:54.682833	30487	23.6	1	10
2014-03-26 20:43:54.917574	30488	41	2	10
2014-03-25 18:05:45.180584	9510	20.7	1	8
2014-03-25 18:05:45.403768	9511	56	2	8
2014-03-25 18:06:00.659286	9512	21.2	1	1
2014-03-25 18:06:00.891235	9513	55	2	1
2014-03-25 18:06:24.183272	9518	20.8	1	8
2014-03-25 18:06:24.403727	9519	56	2	8
2014-03-25 18:06:32.744723	9520	611	3	2
2014-03-25 17:56:37.138897	9385	51	2	10
2014-03-25 17:57:16.175958	9392	21.1	1	10
2014-03-25 17:57:16.411196	9393	51	2	10
2014-03-25 17:57:54.918041	9401	21.1	1	10
2014-03-25 17:57:55.141545	9402	51	2	10
2014-03-25 17:58:33.915867	9410	21.1	1	10
2014-03-25 17:58:34.139526	9411	52	2	10
2014-03-25 17:59:12.91543	9418	21.1	1	10
2014-03-25 17:59:13.148946	9419	52	2	10
2014-03-25 17:59:51.915884	9427	21.1	1	10
2014-03-25 17:59:52.137097	9428	52	2	10
2014-03-25 18:00:30.915998	9435	21.1	1	10
2014-03-25 18:00:31.138738	9436	52	2	10
2014-03-25 18:01:09.915934	9444	21.1	1	10
2014-03-25 18:01:10.14718	9445	52	2	10
2014-03-25 18:01:48.917539	9454	21.1	1	10
2014-03-25 18:01:49.139824	9455	52	2	10
2014-03-25 18:02:27.917885	9462	21.1	1	10
2014-03-25 18:02:28.335923	9463	52	2	10
2014-03-25 18:03:06.920128	9471	21.2	1	10
2014-03-25 18:03:07.154243	9472	52	2	10
2014-03-25 18:03:45.917567	9480	21.2	1	10
2014-03-25 18:03:46.144379	9481	52	2	10
2014-03-25 18:04:24.918118	9488	21.2	1	10
2014-03-25 18:04:25.14259	9489	52	2	10
2014-03-25 18:05:03.917422	9497	21.2	1	10
2014-03-25 18:05:04.149771	9498	52	2	10
2014-03-25 18:05:42.919492	9506	21.2	1	10
2014-03-25 18:05:43.139873	9507	52	2	10
2014-03-25 18:06:21.918097	9514	21.2	1	10
2014-03-25 18:06:39.654752	9521	21.2	1	1
2014-03-25 18:06:39.878572	9522	55	2	1
2014-03-26 20:44:05.052258	30489	22.2	1	9
2014-03-26 20:44:05.281628	30490	48	2	9
2014-03-25 18:07:03.180986	9527	20.8	1	8
2014-03-25 18:07:03.410651	9528	56	2	8
2014-03-25 18:07:18.661727	9529	21.2	1	1
2014-03-25 18:07:18.883585	9530	55	2	1
2014-03-25 18:07:32.747474	9531	531	3	2
2014-03-26 20:44:06.141697	30491	22.4	1	8
2014-03-26 20:44:06.375121	30492	48	2	8
2014-03-25 18:07:42.181865	9536	20.8	1	8
2014-03-25 18:07:42.404471	9537	56	2	8
2014-03-25 18:07:44.750211	9538	531	3	2
2014-03-25 18:07:57.655746	9539	21.2	1	1
2014-03-25 18:07:57.880956	9540	55	2	1
2014-03-26 20:44:20.740425	30493	20.7	1	1
2014-03-26 20:44:20.973208	30494	50	2	1
2014-03-25 18:08:21.182078	9545	20.8	1	8
2014-03-25 18:08:21.415464	9546	56	2	8
2014-03-25 18:08:32.74619	9547	531	3	2
2014-03-25 18:08:36.658138	9548	21.2	1	1
2014-03-25 18:08:36.882728	9549	55	2	1
2014-03-26 20:44:32.57366	30495	579	3	2
2014-03-26 20:44:32.820495	30496	1087621.618842381	4	2
2014-03-25 18:09:00.18138	9554	20.8	1	8
2014-03-25 18:09:00.402931	9555	56	2	8
2014-03-25 18:09:15.655638	9556	21.2	1	1
2014-03-25 18:09:15.887827	9557	55	2	1
2014-03-25 18:09:32.747748	9558	531	3	2
2014-03-26 20:44:33.682783	30497	23.6	1	10
2014-03-26 20:44:33.914621	30498	41	2	10
2014-03-25 18:09:39.182774	9563	20.8	1	8
2014-03-25 18:09:39.404603	9564	56	2	8
2014-03-25 18:09:54.653668	9565	21.2	1	1
2014-03-25 18:09:54.876767	9566	55	2	1
2014-03-26 20:44:44.05106	30499	22.2	1	9
2014-03-26 20:44:44.286197	30500	48	2	9
2014-03-25 18:10:18.384411	9571	20.8	1	8
2014-03-25 18:10:18.616413	9572	56	2	8
2014-03-25 18:10:32.747523	9573	531	3	2
2014-03-25 18:10:33.692936	9574	21.2	1	1
2014-03-25 18:10:33.915452	9575	56	2	1
2014-03-26 20:44:44.593694	30501	579	3	2
2014-03-26 20:44:44.81705	30502	1087622.7678771026	4	2
2014-03-25 18:10:57.311027	9580	20.8	1	8
2014-03-25 18:10:57.729987	9581	56	2	8
2014-03-25 18:11:12.648183	9582	21.2	1	1
2014-03-25 18:11:12.881445	9583	55	2	1
2014-03-25 18:11:32.746914	9584	659	3	2
2014-03-26 20:44:45.139031	30503	22.4	1	8
2014-03-26 20:44:45.373674	30504	48	2	8
2014-03-25 18:11:36.183114	9589	20.8	1	8
2014-03-25 18:11:36.405332	9590	56	2	8
2014-03-25 18:11:44.743659	9591	659	3	2
2014-03-25 18:11:51.646696	9592	21.2	1	1
2014-03-25 18:11:51.870008	9593	55	2	1
2014-03-25 18:12:08.605076	9594	837	3	2
2014-03-25 18:12:08.912099	9595	837	3	2
2014-03-26 20:44:56.569624	30505	547	3	2
2014-03-26 20:44:56.797128	30506	1087625.0659465452	4	2
2014-03-25 18:12:15.180232	9600	20.8	1	8
2014-03-25 18:12:15.41323	9601	56	2	8
2014-03-25 18:12:30.651823	9602	21.2	1	1
2014-03-25 18:12:30.873817	9603	55	2	1
2014-03-25 18:12:32.746579	9604	837	3	2
2014-03-26 20:44:59.736735	30507	20.7	1	1
2014-03-26 20:44:59.973277	30508	50	2	1
2014-03-25 18:12:54.180792	9609	20.8	1	8
2014-03-25 18:12:54.403436	9610	56	2	8
2014-03-25 18:13:09.649731	9611	21.2	1	1
2014-03-25 18:13:09.883237	9612	55	2	1
2014-03-26 20:45:08.572161	30509	579	3	2
2014-03-26 20:45:08.799559	30510	1087627.364015988	4	2
2014-03-25 18:13:32.745192	9617	837	3	2
2014-03-25 18:13:33.180734	9618	20.8	1	8
2014-03-25 18:13:33.406213	9619	56	2	8
2014-03-25 18:13:48.692251	9620	21.2	1	1
2014-03-25 18:13:48.916076	9621	55	2	1
2014-03-26 20:45:12.682431	30511	23.6	1	10
2014-03-26 20:45:12.915666	30512	41	2	10
2014-03-25 18:14:12.181825	9626	20.8	1	8
2014-03-25 18:14:12.412632	9627	56	2	8
2014-03-25 18:14:27.690224	9628	21.2	1	1
2014-03-25 18:14:27.913475	9629	55	2	1
2014-03-25 18:14:32.74652	9630	853	3	2
2014-03-26 20:45:20.571135	30513	579	3	2
2014-03-26 20:45:20.795674	30514	1087628.5130507096	4	2
2014-03-25 18:14:51.180952	9635	20.8	1	8
2014-03-25 18:14:51.41032	9636	56	2	8
2014-03-25 18:15:06.649373	9637	21.2	1	1
2014-03-25 18:15:06.891522	9638	55	2	1
2014-03-26 20:45:23.050116	30515	22.2	1	9
2014-03-26 20:45:23.28381	30516	48	2	9
2014-03-25 18:15:30.182748	9643	20.8	1	8
2014-03-25 18:15:30.404385	9644	56	2	8
2014-03-25 18:15:32.740611	9645	853	3	2
2014-03-25 18:15:45.648922	9646	21.2	1	1
2014-03-25 18:15:45.873762	9647	55	2	1
2014-03-26 20:45:24.1391	30517	22.4	1	8
2014-03-25 18:16:09.179881	9652	20.8	1	8
2014-03-25 18:16:09.414899	9653	56	2	8
2014-03-25 18:16:24.647449	9654	21.2	1	1
2014-03-25 18:16:24.873396	9655	55	2	1
2014-03-25 18:16:32.742109	9656	708	3	2
2014-03-25 18:07:00.917511	9523	21.2	1	10
2014-03-25 18:07:01.140583	9524	52	2	10
2014-03-25 18:07:39.918879	9532	21.2	1	10
2014-03-25 18:07:40.142265	9533	52	2	10
2014-03-25 18:08:18.921656	9541	21.2	1	10
2014-03-25 18:08:19.145275	9542	52	2	10
2014-03-25 18:08:57.919443	9550	21.2	1	10
2014-03-25 18:08:58.144324	9551	52	2	10
2014-03-25 18:09:36.918823	9559	21.3	1	10
2014-03-25 18:09:37.14288	9560	52	2	10
2014-03-25 18:10:15.915888	9567	21.3	1	10
2014-03-25 18:10:16.147857	9568	52	2	10
2014-03-25 18:10:55.049922	9576	21.3	1	10
2014-03-25 18:10:55.469935	9577	52	2	10
2014-03-25 18:11:33.923467	9585	21.3	1	10
2014-03-25 18:11:34.146448	9586	52	2	10
2014-03-25 18:12:12.918684	9596	21.3	1	10
2014-03-25 18:12:13.150424	9597	52	2	10
2014-03-25 18:12:51.920446	9605	21.3	1	10
2014-03-25 18:12:52.148632	9606	52	2	10
2014-03-25 18:13:30.920626	9613	21.3	1	10
2014-03-25 18:13:31.143815	9614	52	2	10
2014-03-25 18:14:09.922766	9622	21.3	1	10
2014-03-25 18:14:10.154454	9623	52	2	10
2014-03-25 18:14:48.921139	9631	21.3	1	10
2014-03-25 18:14:49.147242	9632	52	2	10
2014-03-25 18:15:27.921149	9639	21.3	1	10
2014-03-25 18:15:28.144565	9640	52	2	10
2014-03-26 20:45:24.364356	30518	48	2	8
2014-03-26 20:45:32.572244	30519	579	3	2
2014-03-25 18:16:48.179843	9661	20.8	1	8
2014-03-25 18:16:48.405143	9662	56	2	8
2014-03-25 18:16:56.745114	9663	804	3	2
2014-03-25 18:17:03.648102	9664	21.2	1	1
2014-03-25 18:17:03.870338	9665	55	2	1
2014-03-26 20:45:32.807376	30520	1087630.8111201525	4	2
2014-03-26 20:45:38.740907	30521	20.7	1	1
2014-03-25 18:17:27.180386	9670	20.8	1	8
2014-03-25 18:17:27.412088	9671	56	2	8
2014-03-25 18:17:32.742098	9672	804	3	2
2014-03-25 18:17:42.64941	9673	21.2	1	1
2014-03-25 18:17:42.875683	9674	55	2	1
2014-03-26 20:45:38.965876	30522	50	2	1
2014-03-26 20:45:51.682547	30523	23.6	1	10
2014-03-25 18:18:06.180432	9679	20.8	1	8
2014-03-25 18:18:06.403422	9680	56	2	8
2014-03-25 18:18:21.648593	9681	21.2	1	1
2014-03-25 18:18:21.894852	9682	55	2	1
2014-03-25 18:18:32.743963	9683	853	3	2
2014-03-26 20:45:51.918088	30524	41	2	10
2014-03-26 20:46:02.050715	30525	22.2	1	9
2014-03-25 18:18:44.747544	9688	869	3	2
2014-03-25 18:18:45.180158	9689	20.8	1	8
2014-03-25 18:18:45.401915	9690	56	2	8
2014-03-25 18:19:00.643708	9691	21.2	1	1
2014-03-25 18:19:00.869476	9692	55	2	1
2014-03-25 18:19:08.742621	9693	837	3	2
2014-03-25 18:19:20.742853	9694	837	3	2
2014-03-26 20:46:02.274571	30526	48	2	9
2014-03-26 20:46:03.138859	30527	22.4	1	8
2014-03-25 18:19:24.180656	9699	20.8	1	8
2014-03-25 18:19:24.413144	9700	56	2	8
2014-03-25 18:19:39.450859	9701	837	3	2
2014-03-25 18:19:39.760762	9702	21.2	1	1
2014-03-25 18:19:39.984541	9703	55	2	1
2014-03-26 20:46:03.373249	30528	48	2	8
2014-03-26 20:46:17.739939	30529	20.7	1	1
2014-03-25 18:20:03.182169	9708	20.8	1	8
2014-03-25 18:20:03.404475	9709	56	2	8
2014-03-25 18:20:18.644276	9710	21.2	1	1
2014-03-25 18:20:18.877268	9711	55	2	1
2014-03-25 18:20:32.739996	9712	837	3	2
2014-03-26 20:46:17.965386	30530	50	2	1
2014-03-26 20:46:30.682027	30531	23.6	1	10
2014-03-25 18:20:42.182493	9717	20.8	1	8
2014-03-25 18:20:42.404935	9718	56	2	8
2014-03-25 18:20:57.644213	9719	21.2	1	1
2014-03-25 18:20:57.871843	9720	55	2	1
2014-03-26 20:46:30.916034	30532	41	2	10
2014-03-26 20:46:32.572551	30533	547	3	2
2014-03-25 18:21:21.181056	9725	20.8	1	8
2014-03-25 18:21:21.424768	9726	56	2	8
2014-03-25 18:21:32.741778	9727	853	3	2
2014-03-25 18:21:36.685275	9728	21.2	1	1
2014-03-25 18:21:36.907856	9729	55	2	1
2014-03-25 18:21:56.741511	9730	804	3	2
2014-03-26 20:46:32.796559	30534	1087641.1524326452	4	2
2014-03-26 20:46:41.050258	30535	22.2	1	9
2014-03-25 18:22:00.180073	9735	20.8	1	8
2014-03-25 18:22:00.404989	9736	56	2	8
2014-03-25 18:22:08.743226	9737	659	3	2
2014-03-25 18:22:15.64388	9738	21.2	1	1
2014-03-25 18:22:15.866441	9739	55	2	1
2014-03-25 18:22:32.745266	9740	724	3	2
2014-03-26 20:46:41.284895	30536	48	2	9
2014-03-26 20:46:42.139656	30537	22.4	1	8
2014-03-25 18:22:39.180225	9745	20.9	1	8
2014-03-25 18:22:39.402014	9746	56	2	8
2014-03-25 18:22:54.648816	9747	21.1	1	1
2014-03-25 18:22:54.883072	9748	55	2	1
2014-03-26 20:46:42.363695	30538	48	2	8
2014-03-26 20:46:44.572224	30539	547	3	2
2014-03-25 18:23:18.182472	9753	20.9	1	8
2014-03-25 18:23:18.40735	9754	56	2	8
2014-03-25 18:23:33.447229	9755	724	3	2
2014-03-25 18:23:33.766056	9756	21.1	1	1
2014-03-25 18:23:33.988883	9757	55	2	1
2014-03-26 20:46:44.80465	30540	1087642.3014673665	4	2
2014-03-26 20:46:56.979496	30541	20.7	1	1
2014-03-25 18:23:57.180039	9762	20.9	1	8
2014-03-25 18:23:57.412548	9763	56	2	8
2014-03-25 18:24:12.642738	9764	21.1	1	1
2014-03-25 18:24:12.866647	9765	55	2	1
2014-03-25 18:24:32.744656	9766	611	3	2
2014-03-26 20:46:57.202879	30542	50	2	1
2014-03-26 20:47:08.574168	30543	595	3	2
2014-03-25 18:24:36.180828	9771	20.9	1	8
2014-03-25 18:24:36.403846	9772	56	2	8
2014-03-25 18:24:44.744013	9773	676	3	2
2014-03-25 18:24:51.643482	9774	21.1	1	1
2014-03-25 18:24:51.866998	9775	55	2	1
2014-03-25 18:24:56.744256	9776	676	3	2
2014-03-25 18:25:08.747944	9777	804	3	2
2014-03-26 20:47:08.823073	30544	1087646.8976062522	4	2
2014-03-26 20:47:09.684249	30545	23.6	1	10
2014-03-25 18:25:15.180746	9782	20.9	1	8
2014-03-25 18:25:15.40195	9783	56	2	8
2014-03-25 18:25:20.744674	9784	724	3	2
2014-03-25 18:25:30.638577	9785	21.0	1	1
2014-03-25 18:25:30.863271	9786	55	2	1
2014-03-25 18:25:32.742138	9787	804	3	2
2014-03-25 18:25:44.743011	9788	724	3	2
2014-03-26 20:47:09.908624	30546	41	2	10
2014-03-25 18:16:46.170022	9657	21.4	1	10
2014-03-25 18:16:46.405916	9658	52	2	10
2014-03-25 18:17:24.92211	9666	21.4	1	10
2014-03-25 18:17:25.173186	9667	52	2	10
2014-03-25 18:18:03.920528	9675	21.4	1	10
2014-03-25 18:18:04.143427	9676	52	2	10
2014-03-25 18:18:43.126253	9684	21.4	1	10
2014-03-25 18:18:43.348007	9685	52	2	10
2014-03-25 18:19:21.923974	9695	21.4	1	10
2014-03-25 18:19:22.160755	9696	52	2	10
2014-03-25 18:20:00.923082	9704	21.4	1	10
2014-03-25 18:20:01.147719	9705	52	2	10
2014-03-25 18:20:39.923812	9713	21.4	1	10
2014-03-25 18:20:40.150301	9714	52	2	10
2014-03-25 18:21:18.924033	9721	21.4	1	10
2014-03-25 18:21:19.155913	9722	52	2	10
2014-03-25 18:21:57.923281	9731	21.5	1	10
2014-03-25 18:21:58.145392	9732	52	2	10
2014-03-25 18:22:36.923161	9741	21.5	1	10
2014-03-25 18:22:37.145154	9742	52	2	10
2014-03-25 18:23:15.924051	9749	21.5	1	10
2014-03-25 18:23:16.147285	9750	52	2	10
2014-03-25 18:23:54.924903	9758	21.5	1	10
2014-03-25 18:23:55.159472	9759	52	2	10
2014-03-25 18:24:33.926072	9767	21.5	1	10
2014-03-25 18:24:34.1515	9768	52	2	10
2014-03-25 18:25:12.924662	9778	21.5	1	10
2014-03-25 18:25:13.147707	9779	52	2	10
2014-03-25 18:25:54.183081	9793	20.9	1	8
2014-03-25 18:25:54.405042	9794	56	2	8
2014-03-25 18:25:56.742173	9795	804	3	2
2014-03-25 18:26:08.748556	9796	659	3	2
2014-03-25 18:26:20.742569	9797	676	3	2
2014-03-26 20:47:20.05087	30547	22.2	1	9
2014-03-26 20:47:20.287874	30548	48	2	9
2014-03-25 18:26:32.742039	9802	659	3	2
2014-03-25 18:26:33.180973	9803	20.8	1	8
2014-03-25 18:26:33.405887	9804	56	2	8
2014-03-25 18:26:48.64955	9805	21.0	1	1
2014-03-25 18:26:48.881396	9806	56	2	1
2014-03-26 20:47:21.139575	30549	22.4	1	8
2014-03-26 20:47:21.390995	30550	48	2	8
2014-03-25 18:27:12.181405	9811	20.8	1	8
2014-03-25 18:27:12.404051	9812	56	2	8
2014-03-25 18:27:27.643091	9813	21.0	1	1
2014-03-25 18:27:27.887167	9814	56	2	1
2014-03-25 18:27:32.744289	9815	659	3	2
2014-03-25 18:27:44.748627	9816	627	3	2
2014-03-26 20:47:32.572346	30551	579	3	2
2014-03-26 20:47:32.810176	30552	1087649.2001466472	4	2
2014-03-25 18:27:51.181505	9821	20.8	1	8
2014-03-25 18:27:51.414283	9822	56	2	8
2014-03-25 18:27:56.742028	9823	627	3	2
2014-03-25 18:28:06.641362	9824	21.0	1	1
2014-03-25 18:28:06.8651	9825	56	2	1
2014-03-26 20:47:35.738598	30553	20.7	1	1
2014-03-26 20:47:35.96446	30554	50	2	1
2014-03-25 18:28:30.17911	9830	20.8	1	8
2014-03-25 18:28:30.403551	9831	56	2	8
2014-03-25 18:28:32.745219	9832	627	3	2
2014-03-25 18:28:45.65006	9833	20.9	1	1
2014-03-25 18:28:45.873665	9834	56	2	1
2014-03-25 18:28:56.745118	9835	498	3	2
2014-03-26 20:47:48.683376	30555	23.6	1	10
2014-03-26 20:47:48.921448	30556	41	2	10
2014-03-25 18:29:08.746137	9840	498	3	2
2014-03-25 18:29:09.180383	9841	20.8	1	8
2014-03-25 18:29:09.404625	9842	56	2	8
2014-03-25 18:29:24.640806	9843	20.9	1	1
2014-03-25 18:29:24.867322	9844	56	2	1
2014-03-25 18:29:32.744765	9845	498	3	2
2014-03-26 20:47:59.050348	30557	22.2	1	9
2014-03-26 20:47:59.273989	30558	48	2	9
2014-03-25 18:29:48.179747	9850	20.8	1	8
2014-03-25 18:29:48.413133	9851	56	2	8
2014-03-25 18:30:03.641771	9852	20.9	1	1
2014-03-25 18:30:03.868495	9853	56	2	1
2014-03-25 18:30:20.742145	9854	466	3	2
2014-03-26 20:48:00.137168	30559	22.5	1	8
2014-03-26 20:48:00.370392	30560	48	2	8
2014-03-25 18:30:27.17988	9859	20.8	1	8
2014-03-25 18:30:27.40101	9860	56	2	8
2014-03-25 18:30:32.743546	9861	466	3	2
2014-03-25 18:30:42.64397	9862	20.9	1	1
2014-03-25 18:30:42.866645	9863	56	2	1
2014-03-26 20:48:08.572368	30561	531	3	2
2014-03-26 20:48:08.798234	30562	1087654.9453202544	4	2
2014-03-25 18:31:06.180693	9868	20.7	1	8
2014-03-25 18:31:06.41141	9869	56	2	8
2014-03-25 18:31:21.766474	9870	20.8	1	1
2014-03-25 18:31:22.192649	9871	56	2	1
2014-03-25 18:31:32.741756	9872	450	3	2
2014-03-26 20:48:14.740873	30563	20.7	1	1
2014-03-26 20:48:14.978097	30564	50	2	1
2014-03-25 18:31:45.181613	9877	20.7	1	8
2014-03-25 18:31:45.402302	9878	56	2	8
2014-03-25 18:32:00.879653	9879	20.8	1	1
2014-03-25 18:32:01.131356	9880	56	2	1
2014-03-25 18:32:08.741818	9881	418	3	2
2014-03-25 18:32:20.739048	9882	338	3	2
2014-03-26 20:48:20.572169	30565	547	3	2
2014-03-26 20:48:20.797633	30566	1087657.243389697	4	2
2014-03-25 18:32:24.179293	9887	20.7	1	8
2014-03-25 18:32:24.414647	9888	56	2	8
2014-03-25 18:32:32.744816	9889	338	3	2
2014-03-25 18:32:39.639495	9890	20.8	1	1
2014-03-25 18:32:39.863908	9891	56	2	1
2014-03-26 20:48:27.683051	30567	23.6	1	10
2014-03-26 20:48:27.919587	30568	41	2	10
2014-03-25 18:33:03.180735	9896	20.7	1	8
2014-03-25 18:33:03.403555	9897	56	2	8
2014-03-25 18:33:18.646356	9898	20.8	1	1
2014-03-25 18:33:18.879178	9899	56	2	1
2014-03-25 18:33:32.741946	9900	338	3	2
2014-03-26 20:48:32.573922	30569	595	3	2
2014-03-26 20:48:32.799351	30570	1087658.3924244186	4	2
2014-03-25 18:33:42.179002	9905	20.7	1	8
2014-03-25 18:33:42.401377	9906	56	2	8
2014-03-25 18:33:57.642268	9907	20.8	1	1
2014-03-25 18:33:57.863582	9908	56	2	1
2014-03-26 20:48:38.052741	30571	22.2	1	9
2014-03-26 20:48:38.292881	30572	48	2	9
2014-03-25 18:34:21.178858	9913	20.7	1	8
2014-03-25 18:34:21.410112	9914	56	2	8
2014-03-25 18:34:32.745813	9915	338	3	2
2014-03-25 18:34:36.637784	9916	20.7	1	1
2014-03-25 18:34:36.862711	9917	56	2	1
2014-03-26 20:48:39.139137	30573	22.5	1	8
2014-03-26 20:48:39.363473	30574	48	2	8
2014-03-26 20:48:44.572109	30575	579	3	2
2014-03-25 18:35:00.179174	9922	20.7	1	8
2014-03-25 18:35:00.399294	9923	56	2	8
2014-03-25 18:35:15.640258	9924	20.7	1	1
2014-03-25 18:35:15.87671	9925	56	2	1
2014-03-25 18:35:32.742665	9926	338	3	2
2014-03-25 18:26:30.923341	9798	21.5	1	10
2014-03-25 18:26:31.157412	9799	52	2	10
2014-03-25 18:27:09.925772	9807	21.5	1	10
2014-03-25 18:27:10.148854	9808	52	2	10
2014-03-25 18:27:48.924184	9817	21.6	1	10
2014-03-25 18:27:49.157627	9818	52	2	10
2014-03-25 18:28:27.925573	9826	21.6	1	10
2014-03-25 18:28:28.148611	9827	52	2	10
2014-03-25 18:29:06.924587	9836	21.6	1	10
2014-03-25 18:29:07.147602	9837	52	2	10
2014-03-25 18:29:46.133227	9846	21.6	1	10
2014-03-25 18:29:46.365678	9847	52	2	10
2014-03-25 18:30:24.926745	9855	21.6	1	10
2014-03-25 18:30:25.150832	9856	52	2	10
2014-03-25 18:31:03.925748	9864	21.6	1	10
2014-03-25 18:31:04.158825	9865	52	2	10
2014-03-25 18:31:42.927069	9873	21.6	1	10
2014-03-25 18:31:43.149754	9874	52	2	10
2014-03-25 18:32:21.927054	9883	21.6	1	10
2014-03-25 18:32:22.158536	9884	52	2	10
2014-03-25 18:33:00.926939	9892	21.6	1	10
2014-03-25 18:33:01.149264	9893	52	2	10
2014-03-25 18:33:39.926147	9901	21.7	1	10
2014-03-25 18:33:40.148026	9902	52	2	10
2014-03-25 18:34:18.925961	9909	21.7	1	10
2014-03-25 18:34:19.14748	9910	52	2	10
2014-03-26 20:48:44.807841	30576	1087660.6904938614	4	2
2014-03-26 20:48:53.737797	30577	20.7	1	1
2014-03-25 18:35:39.179653	9931	20.7	1	8
2014-03-25 18:35:39.410844	9932	56	2	8
2014-03-25 18:35:54.639836	9933	20.7	1	1
2014-03-25 18:35:54.863887	9934	56	2	1
2014-03-26 20:48:53.966525	30578	50	2	1
2014-03-26 20:48:56.571035	30579	611	3	2
2014-03-25 18:36:18.178487	9939	20.7	1	8
2014-03-25 18:36:18.411512	9940	56	2	8
2014-03-25 18:36:32.741115	9941	402	3	2
2014-03-25 18:36:33.63564	9942	20.7	1	1
2014-03-25 18:36:33.858221	9943	56	2	1
2014-03-25 18:36:44.743707	9944	402	3	2
2014-03-26 20:48:56.805341	30580	1087662.9885633043	4	2
2014-03-26 20:49:06.683103	30581	23.7	1	10
2014-03-25 18:36:57.181308	9949	20.7	1	8
2014-03-25 18:36:57.411319	9950	56	2	8
2014-03-25 18:37:12.637849	9951	20.7	1	1
2014-03-25 18:37:12.861433	9952	56	2	1
2014-03-25 18:37:32.74365	9953	402	3	2
2014-03-26 20:49:06.907608	30582	41	2	10
2014-03-26 20:49:08.57302	30583	595	3	2
2014-03-25 18:37:36.179074	9958	20.7	1	8
2014-03-25 18:37:36.403438	9959	56	2	8
2014-03-25 18:37:51.635808	9960	20.6	1	1
2014-03-25 18:37:51.873816	9961	56	2	1
2014-03-26 20:49:08.807685	30584	1087664.1375980256	4	2
2014-03-26 20:49:17.052219	30585	22.2	1	9
2014-03-25 18:38:15.179232	9966	20.6	1	8
2014-03-25 18:38:15.403787	9967	56	2	8
2014-03-25 18:38:30.634758	9968	20.6	1	1
2014-03-25 18:38:30.866999	9969	56	2	1
2014-03-25 18:38:32.739825	9970	402	3	2
2014-03-26 20:49:17.277009	30586	48	2	9
2014-03-26 20:49:18.139985	30587	22.5	1	8
2014-03-25 18:38:54.179943	9975	20.6	1	8
2014-03-25 18:38:54.402562	9976	56	2	8
2014-03-25 18:39:09.634473	9977	20.6	1	1
2014-03-25 18:39:09.856008	9978	55	2	1
2014-03-26 20:49:18.374282	30588	48	2	8
2014-03-26 20:49:32.978718	30589	20.7	1	1
2014-03-25 18:39:32.745623	9983	402	3	2
2014-03-25 18:39:33.181904	9984	20.6	1	8
2014-03-25 18:39:33.403929	9985	56	2	8
2014-03-25 18:39:48.638879	9986	20.6	1	1
2014-03-25 18:39:48.863796	9987	55	2	1
2014-03-26 20:49:33.205817	30590	50	2	1
2014-03-26 20:49:45.685655	30591	23.7	1	10
2014-03-25 18:40:12.179244	9992	20.6	1	8
2014-03-25 18:40:12.400547	9993	56	2	8
2014-03-25 18:40:27.633466	9994	20.6	1	1
2014-03-25 18:40:27.867687	9995	55	2	1
2014-03-25 18:40:32.74179	9996	402	3	2
2014-03-26 20:49:45.932976	30592	41	2	10
2014-03-26 20:49:56.049563	30593	22.2	1	9
2014-03-25 18:40:51.1799	10001	20.6	1	8
2014-03-25 18:40:51.400174	10002	56	2	8
2014-03-25 18:41:06.632331	10003	20.6	1	1
2014-03-25 18:41:06.855456	10004	55	2	1
2014-03-25 18:41:20.744487	10005	338	3	2
2014-03-26 20:49:56.274032	30594	48	2	9
2014-03-26 20:49:57.137447	30595	22.5	1	8
2014-03-25 18:41:30.180147	10010	20.6	1	8
2014-03-25 18:41:30.403084	10011	56	2	8
2014-03-25 18:41:32.870015	10012	338	3	2
2014-03-25 18:41:45.63463	10013	20.5	1	1
2014-03-25 18:41:45.857107	10014	55	2	1
2014-03-26 20:49:57.375121	30596	48	2	8
2014-03-26 20:50:08.569232	30597	531	3	2
2014-03-25 18:42:09.180132	10019	20.6	1	8
2014-03-25 18:42:09.412767	10020	56	2	8
2014-03-25 18:42:24.634958	10021	20.5	1	1
2014-03-25 18:42:24.8579	10022	55	2	1
2014-03-25 18:42:32.74264	10023	338	3	2
2014-03-26 20:50:08.793955	30598	1087674.4789105183	4	2
2014-03-26 20:50:11.739999	30599	20.7	1	1
2014-03-25 18:42:48.179509	10028	20.6	1	8
2014-03-25 18:42:48.404069	10029	56	2	8
2014-03-25 18:43:03.631367	10030	20.5	1	1
2014-03-25 18:43:03.862887	10031	55	2	1
2014-03-26 20:50:11.973377	30600	50	2	1
2014-03-26 20:50:20.571028	30601	515	3	2
2014-03-25 18:43:27.179012	10036	20.6	1	8
2014-03-25 18:43:27.404211	10037	56	2	8
2014-03-25 18:43:32.744989	10038	338	3	2
2014-03-25 18:43:42.628247	10039	20.5	1	1
2014-03-25 18:43:42.851541	10040	55	2	1
2014-03-26 20:50:20.794802	30602	1087676.7769799612	4	2
2014-03-26 20:50:24.68277	30603	23.7	1	10
2014-03-25 18:44:06.178709	10045	20.6	1	8
2014-03-25 18:44:06.409354	10046	56	2	8
2014-03-25 18:44:21.63192	10047	20.5	1	1
2014-03-25 18:44:21.854296	10048	55	2	1
2014-03-25 18:44:32.741978	10049	338	3	2
2014-03-26 20:50:24.918904	30604	41	2	10
2014-03-25 18:44:45.178652	10054	20.6	1	8
2014-03-25 18:44:45.404052	10055	56	2	8
2014-03-25 18:45:00.631504	10056	20.5	1	1
2014-03-25 18:45:00.855878	10057	55	2	1
2014-03-25 18:45:24.178621	10062	20.6	1	8
2014-03-25 18:45:24.402312	10063	56	2	8
2014-03-25 18:45:32.748109	10064	338	3	2
2014-03-25 18:36:15.929371	9935	21.7	1	10
2014-03-25 18:36:16.163669	9936	52	2	10
2014-03-25 18:36:54.929495	9945	21.7	1	10
2014-03-25 18:36:55.153148	9946	52	2	10
2014-03-25 18:37:33.929137	9954	21.7	1	10
2014-03-25 18:37:34.150349	9955	52	2	10
2014-03-25 18:38:12.929899	9962	21.7	1	10
2014-03-25 18:38:13.152555	9963	52	2	10
2014-03-25 18:38:51.930684	9971	21.8	1	10
2014-03-25 18:38:52.157114	9972	52	2	10
2014-03-25 18:39:30.928604	9979	21.8	1	10
2014-03-25 18:39:31.151407	9980	52	2	10
2014-03-25 18:40:09.928442	9988	21.8	1	10
2014-03-25 18:40:10.151731	9989	52	2	10
2014-03-25 18:40:48.930603	9997	21.8	1	10
2014-03-25 18:40:49.153135	9998	52	2	10
2014-03-25 18:41:27.928944	10006	21.8	1	10
2014-03-25 18:41:28.153891	10007	52	2	10
2014-03-25 18:42:06.930606	10015	21.8	1	10
2014-03-25 18:42:07.164172	10016	52	2	10
2014-03-25 18:42:45.929634	10024	21.8	1	10
2014-03-25 18:42:46.152902	10025	52	2	10
2014-03-25 18:43:24.931185	10032	21.8	1	10
2014-03-25 18:43:25.156486	10033	52	2	10
2014-03-25 18:44:03.937799	10041	21.9	1	10
2014-03-25 18:44:04.170363	10042	52	2	10
2014-03-25 18:44:42.932076	10050	21.9	1	10
2014-03-25 18:44:43.155842	10051	52	2	10
2014-03-25 18:45:21.930804	10058	21.9	1	10
2014-03-25 18:45:22.154003	10059	52	2	10
2014-03-25 18:45:39.632657	10065	20.5	1	1
2014-03-25 18:45:39.858618	10066	55	2	1
2014-03-26 20:50:32.571688	30605	531	3	2
2014-03-26 20:50:32.796499	30606	1087677.9260146825	4	2
2014-03-25 18:46:03.179544	10071	20.6	1	8
2014-03-25 18:46:03.400897	10072	55	2	8
2014-03-25 18:46:18.628755	10073	20.4	1	1
2014-03-25 18:46:18.853217	10074	55	2	1
2014-03-25 18:46:32.742835	10075	338	3	2
2014-03-26 20:50:35.049847	30607	22.2	1	9
2014-03-26 20:50:35.287801	30608	48	2	9
2014-03-25 18:46:42.179158	10080	20.6	1	8
2014-03-25 18:46:42.421729	10081	56	2	8
2014-03-25 18:46:57.633388	10082	20.4	1	1
2014-03-25 18:46:57.856426	10083	55	2	1
2014-03-26 20:50:36.137972	30609	22.5	1	8
2014-03-26 20:50:36.362919	30610	48	2	8
2014-03-25 18:47:21.181978	10088	20.6	1	8
2014-03-25 18:47:21.414253	10089	55	2	8
2014-03-25 18:47:32.743061	10090	402	3	2
2014-03-25 18:47:36.629299	10091	20.4	1	1
2014-03-25 18:47:36.852479	10092	55	2	1
2014-03-25 18:47:57.730243	10093	402	3	2
2014-03-26 20:50:50.735491	30611	20.7	1	1
2014-03-26 20:50:50.970792	30612	50	2	1
2014-03-25 18:48:00.18055	10098	20.6	1	8
2014-03-25 18:48:00.41565	10099	55	2	8
2014-03-25 18:48:15.63152	10100	20.4	1	1
2014-03-25 18:48:15.85562	10101	55	2	1
2014-03-25 18:48:32.739553	10102	402	3	2
2014-03-26 20:51:03.684244	30613	23.7	1	10
2014-03-26 20:51:03.909954	30614	41	2	10
2014-03-25 18:48:39.179102	10107	20.6	1	8
2014-03-25 18:48:39.404965	10108	55	2	8
2014-03-25 18:48:54.632385	10109	20.4	1	1
2014-03-25 18:48:54.864021	10110	55	2	1
2014-03-26 20:51:14.05061	30615	22.2	1	9
2014-03-26 20:51:14.284156	30616	48	2	9
2014-03-25 18:49:18.179717	10115	20.6	1	8
2014-03-25 18:49:18.403088	10116	55	2	8
2014-03-25 18:49:32.740494	10117	402	3	2
2014-03-25 18:49:33.63	10118	20.4	1	1
2014-03-25 18:49:33.851517	10119	55	2	1
2014-03-26 20:51:15.138776	30617	22.5	1	8
2014-03-26 20:51:15.364051	30618	48	2	8
2014-03-25 18:49:57.17872	10124	20.6	1	8
2014-03-25 18:49:57.42344	10125	55	2	8
2014-03-25 18:50:12.630605	10126	20.4	1	1
2014-03-25 18:50:12.85335	10127	55	2	1
2014-03-25 18:50:32.744256	10128	402	3	2
2014-03-26 20:51:29.736413	30619	20.7	1	1
2014-03-26 20:51:29.971231	30620	50	2	1
2014-03-25 18:50:36.179169	10133	20.6	1	8
2014-03-25 18:50:36.400141	10134	55	2	8
2014-03-25 18:50:51.628886	10135	20.3	1	1
2014-03-25 18:50:51.861882	10136	55	2	1
2014-03-26 20:51:32.570348	30621	515	3	2
2014-03-26 20:51:32.795267	30622	1087687.118292454	4	2
2014-03-25 18:51:15.178833	10141	20.5	1	8
2014-03-25 18:51:15.399367	10142	55	2	8
2014-03-25 18:51:20.741522	10143	338	3	2
2014-03-25 18:51:30.628789	10144	20.3	1	1
2014-03-25 18:51:30.855085	10145	55	2	1
2014-03-25 18:51:32.742386	10146	338	3	2
2014-03-26 20:51:42.684153	30623	23.7	1	10
2014-03-26 20:51:42.918048	30624	41	2	10
2014-03-25 18:51:54.309986	10151	20.5	1	8
2014-03-25 18:51:54.749738	10152	55	2	8
2014-03-25 18:52:09.625985	10153	20.3	1	1
2014-03-25 18:52:09.848653	10154	55	2	1
2014-03-26 20:51:53.050327	30625	22.2	1	9
2014-03-26 20:51:53.274648	30626	48	2	9
2014-03-25 18:52:32.742123	10159	338	3	2
2014-03-25 18:52:33.180347	10160	20.5	1	8
2014-03-25 18:52:33.401871	10161	55	2	8
2014-03-25 18:52:48.628575	10162	20.3	1	1
2014-03-25 18:52:48.863556	10163	55	2	1
2014-03-26 20:51:54.138175	30627	22.5	1	8
2014-03-26 20:51:54.371376	30628	48	2	8
2014-03-25 18:53:12.180434	10168	20.5	1	8
2014-03-25 18:53:12.403201	10169	55	2	8
2014-03-25 18:53:27.627938	10170	20.3	1	1
2014-03-25 18:53:27.907306	10171	55	2	1
2014-03-25 18:53:32.742689	10172	338	3	2
2014-03-26 20:51:56.573879	30629	547	3	2
2014-03-26 20:51:56.798002	30630	1087690.565396618	4	2
2014-03-25 18:53:51.179408	10177	20.5	1	8
2014-03-25 18:53:51.445871	10178	55	2	8
2014-03-25 18:54:06.630477	10179	20.3	1	1
2014-03-25 18:54:06.88749	10180	55	2	1
2014-03-26 20:52:08.976126	30631	20.7	1	1
2014-03-26 20:52:09.209966	30632	50	2	1
2014-03-25 18:54:30.179753	10185	20.5	1	8
2014-03-25 18:54:30.442884	10186	55	2	8
2014-03-25 18:54:32.739387	10187	338	3	2
2014-03-25 18:54:45.630162	10188	20.3	1	1
2014-03-25 18:54:45.85164	10189	55	2	1
2014-03-26 20:52:21.685649	30633	23.7	1	10
2014-03-26 20:52:21.918593	30634	41	2	10
2014-03-26 20:52:32.049895	30635	22.2	1	9
2014-03-25 18:55:09.178989	10194	20.5	1	8
2014-03-25 18:55:09.400338	10195	55	2	8
2014-03-25 18:55:24.626462	10196	20.3	1	1
2014-03-25 18:55:24.849852	10197	55	2	1
2014-03-25 18:55:32.740953	10198	338	3	2
2014-03-25 18:46:00.933692	10067	21.9	1	10
2014-03-25 18:46:01.157105	10068	52	2	10
2014-03-25 18:46:39.930696	10076	21.9	1	10
2014-03-25 18:46:40.165389	10077	52	2	10
2014-03-25 18:47:18.92996	10084	21.9	1	10
2014-03-25 18:47:19.164733	10085	52	2	10
2014-03-25 18:47:58.040303	10094	21.9	1	10
2014-03-25 18:47:58.263909	10095	52	2	10
2014-03-25 18:48:36.932517	10103	21.9	1	10
2014-03-25 18:48:37.155396	10104	52	2	10
2014-03-25 18:49:15.931149	10111	22.0	1	10
2014-03-25 18:49:16.154368	10112	51	2	10
2014-03-25 18:49:54.9314	10120	22.0	1	10
2014-03-25 18:49:55.15369	10121	51	2	10
2014-03-25 18:50:33.93191	10129	22.0	1	10
2014-03-25 18:50:34.15289	10130	51	2	10
2014-03-25 18:51:12.932849	10137	22.0	1	10
2014-03-25 18:51:13.154826	10138	51	2	10
2014-03-25 18:51:52.061585	10147	22.0	1	10
2014-03-25 18:51:52.510002	10148	51	2	10
2014-03-25 18:52:30.93344	10155	22.0	1	10
2014-03-25 18:52:31.167072	10156	51	2	10
2014-03-25 18:53:09.932465	10164	22.0	1	10
2014-03-25 18:53:10.155036	10165	51	2	10
2014-03-25 18:53:48.933706	10173	22.0	1	10
2014-03-25 18:53:49.359908	10174	51	2	10
2014-03-25 18:54:27.932427	10181	22.0	1	10
2014-03-25 18:54:28.200922	10182	51	2	10
2014-03-26 20:52:32.284711	30636	48	2	9
2014-03-26 20:52:32.595776	30637	531	3	2
2014-03-25 18:55:48.179695	10203	20.5	1	8
2014-03-25 18:55:48.40158	10204	55	2	8
2014-03-25 18:56:03.628647	10205	20.2	1	1
2014-03-25 18:56:03.86413	10206	55	2	1
2014-03-26 20:52:32.821432	30638	1087696.3105702254	4	2
2014-03-26 20:52:33.138843	30639	22.5	1	8
2014-03-25 18:56:27.179928	10211	20.5	1	8
2014-03-25 18:56:27.420549	10212	55	2	8
2014-03-25 18:56:32.74205	10213	338	3	2
2014-03-25 18:56:42.625587	10214	20.2	1	1
2014-03-25 18:56:42.850308	10215	55	2	1
2014-03-26 20:52:33.383095	30640	48	2	8
2014-03-26 20:52:47.737598	30641	20.7	1	1
2014-03-25 18:57:06.179436	10220	20.5	1	8
2014-03-25 18:57:06.595698	10221	55	2	8
2014-03-25 18:57:20.741511	10222	402	3	2
2014-03-25 18:57:21.626586	10223	20.2	1	1
2014-03-25 18:57:21.856059	10224	55	2	1
2014-03-25 18:57:32.741403	10225	402	3	2
2014-03-26 20:52:47.968551	30642	50	2	1
2014-03-26 20:53:00.684296	30643	23.7	1	10
2014-03-25 18:57:45.178485	10230	20.5	1	8
2014-03-25 18:57:45.409093	10231	55	2	8
2014-03-25 18:58:00.62279	10232	20.2	1	1
2014-03-25 18:58:00.843918	10233	55	2	1
2014-03-26 20:53:00.920517	30644	41	2	10
2014-03-26 20:53:11.050771	30645	22.2	1	9
2014-03-25 18:58:24.180681	10238	20.5	1	8
2014-03-25 18:58:24.4128	10239	55	2	8
2014-03-25 18:58:32.738681	10240	402	3	2
2014-03-25 18:58:39.625881	10241	20.2	1	1
2014-03-25 18:58:39.857739	10242	55	2	1
2014-03-26 20:53:11.274427	30646	48	2	9
2014-03-26 20:53:12.139085	30647	22.6	1	8
2014-03-25 18:59:03.178617	10247	20.5	1	8
2014-03-25 18:59:03.400638	10248	55	2	8
2014-03-25 18:59:18.623771	10249	20.2	1	1
2014-03-25 18:59:18.857806	10250	55	2	1
2014-03-25 18:59:32.742517	10251	402	3	2
2014-03-26 20:53:12.371239	30648	48	2	8
2014-03-26 20:53:26.724149	30649	20.7	1	1
2014-03-25 18:59:42.1778	10256	20.5	1	8
2014-03-25 18:59:42.409665	10257	55	2	8
2014-03-25 18:59:57.62286	10258	20.2	1	1
2014-03-25 18:59:57.846073	10259	55	2	1
2014-03-26 20:53:26.949564	30650	50	2	1
2014-03-26 20:53:32.574245	30651	531	3	2
2014-03-25 19:00:21.178592	10264	20.5	1	8
2014-03-25 19:00:21.419873	10265	55	2	8
2014-03-25 19:00:32.738163	10266	402	3	2
2014-03-25 19:00:36.625584	10267	20.2	1	1
2014-03-25 19:00:36.84679	10268	55	2	1
2014-03-26 20:53:32.809297	30652	1087704.3538132752	4	2
2014-03-26 20:53:39.685377	30653	23.7	1	10
2014-03-25 19:01:00.177926	10273	20.5	1	8
2014-03-25 19:01:00.398743	10274	55	2	8
2014-03-25 19:01:15.621686	10275	20.2	1	1
2014-03-25 19:01:15.854288	10276	54	2	1
2014-03-25 19:01:32.742337	10277	338	3	2
2014-03-26 20:53:39.913331	30654	41	2	10
2014-03-26 20:53:50.049916	30655	22.2	1	9
2014-03-25 19:01:39.177929	10282	20.5	1	8
2014-03-25 19:01:39.402156	10283	55	2	8
2014-03-25 19:01:44.740882	10284	338	3	2
2014-03-25 19:01:54.624866	10285	20.2	1	1
2014-03-25 19:01:54.848328	10286	54	2	1
2014-03-26 20:53:50.284885	30656	48	2	9
2014-03-26 20:53:51.138021	30657	22.6	1	8
2014-03-25 19:02:18.2164	10291	20.5	1	8
2014-03-25 19:02:18.467321	10292	55	2	8
2014-03-25 19:02:33.422631	10293	338	3	2
2014-03-25 19:02:33.728507	10294	20.2	1	1
2014-03-25 19:02:33.952032	10295	54	2	1
2014-03-26 20:53:51.360904	30658	48	2	8
2014-03-26 20:54:05.734624	30659	20.7	1	1
2014-03-25 19:02:57.178129	10300	20.5	1	8
2014-03-25 19:02:57.399668	10301	55	2	8
2014-03-25 19:03:12.619739	10302	20.2	1	1
2014-03-25 19:03:12.851275	10303	54	2	1
2014-03-25 19:03:32.740507	10304	338	3	2
2014-03-26 20:54:05.971824	30660	50	2	1
2014-03-26 20:54:18.684315	30661	23.7	1	10
2014-03-25 19:03:36.179117	10309	20.5	1	8
2014-03-25 19:03:36.420666	10310	55	2	8
2014-03-25 19:03:51.621415	10311	20.2	1	1
2014-03-25 19:03:51.844132	10312	54	2	1
2014-03-26 20:54:18.910026	30662	41	2	10
2014-03-26 20:54:29.070495	30663	22.2	1	9
2014-03-25 19:04:15.177018	10317	20.5	1	8
2014-03-25 19:04:15.409119	10318	55	2	8
2014-03-25 19:04:30.62527	10319	20.2	1	1
2014-03-25 19:04:30.846432	10320	54	2	1
2014-03-25 19:04:32.74164	10321	338	3	2
2014-03-26 20:54:29.305291	30664	48	2	9
2014-03-25 19:04:54.178007	10326	20.5	1	8
2014-03-25 19:04:54.400575	10327	55	2	8
2014-03-25 19:05:09.619568	10328	20.2	1	1
2014-03-25 19:05:09.853804	10329	54	2	1
2014-03-25 19:05:32.738948	10334	338	3	2
2014-03-25 19:05:33.179132	10335	20.5	1	8
2014-03-25 19:05:33.403483	10336	55	2	8
2014-03-25 18:56:24.933568	10207	22.1	1	10
2014-03-25 18:56:25.156826	10208	51	2	10
2014-03-25 18:57:03.938308	10216	22.1	1	10
2014-03-25 18:57:04.181288	10217	51	2	10
2014-03-25 18:57:42.933762	10226	22.1	1	10
2014-03-25 18:57:43.168884	10227	51	2	10
2014-03-25 18:58:21.934159	10234	22.1	1	10
2014-03-25 18:58:22.166676	10235	51	2	10
2014-03-25 18:59:00.933315	10243	22.1	1	10
2014-03-25 18:59:01.153883	10244	51	2	10
2014-03-25 18:59:39.935069	10252	22.2	1	10
2014-03-25 18:59:40.16563	10253	51	2	10
2014-03-25 19:00:18.935033	10260	22.2	1	10
2014-03-25 19:00:19.166118	10261	51	2	10
2014-03-25 19:00:57.934126	10269	22.2	1	10
2014-03-25 19:00:58.155271	10270	51	2	10
2014-03-25 19:01:36.93384	10278	22.2	1	10
2014-03-25 19:01:37.157793	10279	51	2	10
2014-03-25 19:02:15.935598	10287	22.2	1	10
2014-03-25 19:02:16.169491	10288	51	2	10
2014-03-25 19:02:54.934862	10296	22.2	1	10
2014-03-25 19:02:55.160152	10297	51	2	10
2014-03-25 19:03:33.933621	10305	22.2	1	10
2014-03-25 19:03:34.15886	10306	51	2	10
2014-03-25 19:04:12.935224	10313	22.2	1	10
2014-03-25 19:04:13.166487	10314	51	2	10
2014-03-25 19:04:51.936565	10322	22.2	1	10
2014-03-25 19:04:52.157735	10323	51	2	10
2014-03-25 19:05:30.935758	10330	22.3	1	10
2014-03-25 19:05:31.158001	10331	51	2	10
2014-03-25 19:05:48.625053	10337	20.2	1	1
2014-03-25 19:05:48.848737	10338	54	2	1
2014-03-26 20:54:30.140322	30665	22.6	1	8
2014-03-26 20:54:30.363175	30666	48	2	8
2014-03-25 19:06:12.178145	10343	20.5	1	8
2014-03-25 19:06:12.410923	10344	55	2	8
2014-03-25 19:06:27.621791	10345	20.3	1	1
2014-03-25 19:06:27.847664	10346	54	2	1
2014-03-25 19:06:32.742273	10347	338	3	2
2014-03-26 20:54:32.570351	30667	515	3	2
2014-03-26 20:54:32.804061	30668	1087713.5460910464	4	2
2014-03-25 19:06:51.178062	10352	20.5	1	8
2014-03-25 19:06:51.398541	10353	55	2	8
2014-03-25 19:07:06.617936	10354	20.3	1	1
2014-03-25 19:07:06.863805	10355	54	2	1
2014-03-26 20:54:44.971653	30669	20.7	1	1
2014-03-26 20:54:45.199007	30670	50	2	1
2014-03-25 19:07:30.178591	10360	20.5	1	8
2014-03-25 19:07:30.39848	10361	55	2	8
2014-03-25 19:07:32.737683	10362	338	3	2
2014-03-25 19:07:44.7422	10363	402	3	2
2014-03-25 19:07:45.616204	10364	20.3	1	1
2014-03-25 19:07:45.837957	10365	54	2	1
2014-03-25 19:07:56.738986	10366	402	3	2
2014-03-26 20:54:57.684536	30671	23.7	1	10
2014-03-26 20:54:57.93902	30672	41	2	10
2014-03-25 19:08:09.178871	10371	20.5	1	8
2014-03-25 19:08:09.409456	10372	55	2	8
2014-03-25 19:08:24.617016	10373	20.3	1	1
2014-03-25 19:08:24.838496	10374	54	2	1
2014-03-25 19:08:32.739965	10375	402	3	2
2014-03-26 20:55:08.049937	30673	22.2	1	9
2014-03-26 20:55:08.276109	30674	48	2	9
2014-03-25 19:08:48.179492	10380	20.5	1	8
2014-03-25 19:08:48.40292	10381	55	2	8
2014-03-25 19:09:03.618912	10382	20.3	1	1
2014-03-25 19:09:03.840206	10383	54	2	1
2014-03-26 20:55:09.140522	30675	22.6	1	8
2014-03-26 20:55:09.375191	30676	48	2	8
2014-03-25 19:09:27.177665	10388	20.5	1	8
2014-03-25 19:09:27.400872	10389	55	2	8
2014-03-25 19:09:32.740683	10390	402	3	2
2014-03-25 19:09:42.620599	10391	20.3	1	1
2014-03-25 19:09:42.854208	10392	54	2	1
2014-03-26 20:55:20.57333	30677	482	3	2
2014-03-26 20:55:20.79783	30678	1087720.440299375	4	2
2014-03-25 19:10:06.177547	10397	20.5	1	8
2014-03-25 19:10:06.400132	10398	55	2	8
2014-03-25 19:10:21.617764	10399	20.4	1	1
2014-03-25 19:10:21.861556	10400	54	2	1
2014-03-25 19:10:32.739192	10401	402	3	2
2014-03-26 20:55:23.733361	30679	20.7	1	1
2014-03-26 20:55:23.968633	30680	50	2	1
2014-03-25 19:10:45.177689	10406	20.5	1	8
2014-03-25 19:10:45.400161	10407	55	2	8
2014-03-25 19:11:00.618169	10408	20.4	1	1
2014-03-25 19:11:00.838273	10409	54	2	1
2014-03-26 20:55:32.573146	30681	531	3	2
2014-03-26 20:55:32.797251	30682	1087722.7383688178	4	2
2014-03-25 19:11:24.177276	10414	20.5	1	8
2014-03-25 19:11:24.410053	10415	55	2	8
2014-03-25 19:11:32.74245	10416	338	3	2
2014-03-25 19:11:39.621025	10417	20.4	1	1
2014-03-25 19:11:39.843109	10418	54	2	1
2014-03-25 19:11:44.738329	10419	338	3	2
2014-03-26 20:55:36.685435	30683	23.8	1	10
2014-03-26 20:55:36.920492	30684	41	2	10
2014-03-25 19:12:03.179203	10424	20.5	1	8
2014-03-25 19:12:03.401598	10425	55	2	8
2014-03-25 19:12:18.81272	10426	20.4	1	1
2014-03-25 19:12:19.259986	10427	54	2	1
2014-03-25 19:12:32.739324	10428	434	3	2
2014-03-26 20:55:44.569735	30685	531	3	2
2014-03-26 20:55:44.794776	30686	1087723.8874035391	4	2
2014-03-25 19:12:42.177467	10433	20.5	1	8
2014-03-25 19:12:42.409148	10434	55	2	8
2014-03-25 19:12:44.740285	10435	434	3	2
2014-03-25 19:12:57.614672	10436	20.4	1	1
2014-03-25 19:12:57.837578	10437	54	2	1
2014-03-26 20:55:47.049612	30687	22.2	1	9
2014-03-26 20:55:47.295639	30688	48	2	9
2014-03-25 19:13:21.177696	10442	20.5	1	8
2014-03-25 19:13:21.398754	10443	55	2	8
2014-03-25 19:13:32.74172	10444	434	3	2
2014-03-25 19:13:36.617834	10445	20.4	1	1
2014-03-25 19:13:36.838713	10446	53	2	1
2014-03-26 20:55:48.138771	30689	22.6	1	8
2014-03-26 20:55:48.364833	30690	48	2	8
2014-03-25 19:14:00.177977	10451	20.5	1	8
2014-03-25 19:14:00.408859	10452	55	2	8
2014-03-25 19:14:15.615847	10453	20.5	1	1
2014-03-25 19:14:15.837879	10454	53	2	1
2014-03-25 19:14:32.738574	10455	434	3	2
2014-03-26 20:56:02.73039	30691	20.7	1	1
2014-03-26 20:56:02.96568	30692	50	2	1
2014-03-25 19:14:39.182457	10460	20.5	1	8
2014-03-25 19:14:39.404448	10461	55	2	8
2014-03-25 19:14:54.613991	10462	20.5	1	1
2014-03-25 19:14:54.845547	10463	53	2	1
2014-03-26 20:56:15.685007	30693	23.8	1	10
2014-03-25 19:15:18.17843	10468	20.5	1	8
2014-03-25 19:15:18.401969	10469	55	2	8
2014-03-25 19:15:32.740384	10470	434	3	2
2014-03-25 19:15:33.615966	10471	20.5	1	1
2014-03-25 19:15:33.840926	10472	53	2	1
2014-03-25 19:06:09.93633	10339	22.3	1	10
2014-03-25 19:06:10.167782	10340	51	2	10
2014-03-25 19:06:48.937112	10348	22.3	1	10
2014-03-25 19:06:49.161855	10349	51	2	10
2014-03-25 19:07:27.938494	10356	22.3	1	10
2014-03-25 19:07:28.159962	10357	51	2	10
2014-03-25 19:08:06.937079	10367	22.3	1	10
2014-03-25 19:08:07.161514	10368	51	2	10
2014-03-25 19:08:45.936182	10376	22.3	1	10
2014-03-25 19:08:46.159631	10377	51	2	10
2014-03-25 19:09:24.936506	10384	22.3	1	10
2014-03-25 19:09:25.160391	10385	51	2	10
2014-03-25 19:10:03.938582	10393	22.3	1	10
2014-03-25 19:10:04.161159	10394	51	2	10
2014-03-25 19:10:42.935602	10402	22.4	1	10
2014-03-25 19:10:43.157451	10403	51	2	10
2014-03-25 19:11:21.938107	10410	22.4	1	10
2014-03-25 19:11:22.161938	10411	51	2	10
2014-03-25 19:12:00.937349	10420	22.4	1	10
2014-03-25 19:12:01.16143	10421	51	2	10
2014-03-25 19:12:39.938305	10429	22.4	1	10
2014-03-25 19:12:40.163713	10430	51	2	10
2014-03-25 19:13:18.940055	10438	22.4	1	10
2014-03-25 19:13:19.163942	10439	51	2	10
2014-03-25 19:13:57.940096	10447	22.4	1	10
2014-03-25 19:13:58.17457	10448	51	2	10
2014-03-25 19:14:36.93918	10456	22.4	1	10
2014-03-25 19:14:37.161292	10457	51	2	10
2014-03-26 20:56:15.909884	30694	41	2	10
2014-03-26 20:56:26.050582	30695	22.2	1	9
2014-03-25 19:15:57.177359	10477	20.5	1	8
2014-03-25 19:15:57.41011	10478	55	2	8
2014-03-25 19:16:12.615732	10479	20.5	1	1
2014-03-25 19:16:12.840503	10480	53	2	1
2014-03-25 19:16:32.742874	10481	434	3	2
2014-03-26 20:56:26.283606	30696	48	2	9
2014-03-26 20:56:27.137273	30697	22.6	1	8
2014-03-25 19:16:36.177872	10486	20.5	1	8
2014-03-25 19:16:36.39878	10487	55	2	8
2014-03-25 19:16:51.617039	10488	20.5	1	1
2014-03-25 19:16:51.861068	10489	53	2	1
2014-03-26 20:56:27.360809	30698	48	2	8
2014-03-26 20:56:32.569014	30699	531	3	2
2014-03-25 19:17:15.180292	10494	20.5	1	8
2014-03-25 19:17:15.400843	10495	55	2	8
2014-03-25 19:17:30.614631	10496	20.5	1	1
2014-03-25 19:17:30.849603	10497	53	2	1
2014-03-25 19:17:32.739692	10498	418	3	2
2014-03-25 19:17:44.741522	10499	482	3	2
2014-03-26 20:56:32.804738	30700	1087730.7816118677	4	2
2014-03-26 20:56:41.730964	30701	20.7	1	1
2014-03-25 19:17:54.178288	10504	20.5	1	8
2014-03-25 19:17:54.410825	10505	55	2	8
2014-03-25 19:17:56.737153	10506	466	3	2
2014-03-25 19:18:09.615593	10507	20.6	1	1
2014-03-25 19:18:09.840654	10508	53	2	1
2014-03-26 20:56:41.954973	30702	50	2	1
2014-03-26 20:56:54.68335	30703	23.8	1	10
2014-03-25 19:18:32.736467	10513	466	3	2
2014-03-25 19:18:33.17964	10514	20.5	1	8
2014-03-25 19:18:33.401251	10515	55	2	8
2014-03-25 19:18:48.616033	10516	20.6	1	1
2014-03-25 19:18:48.838632	10517	53	2	1
2014-03-26 20:56:54.918403	30704	41	2	10
2014-03-26 20:57:05.050927	30705	22.2	1	9
2014-03-25 19:19:12.17772	10522	20.5	1	8
2014-03-25 19:19:12.406952	10523	55	2	8
2014-03-25 19:19:27.611901	10524	20.6	1	1
2014-03-25 19:19:27.835437	10525	53	2	1
2014-03-25 19:19:32.740121	10526	482	3	2
2014-03-26 20:57:05.275985	30706	48	2	9
2014-03-26 20:57:06.13777	30707	22.6	1	8
2014-03-25 19:19:51.179863	10531	20.5	1	8
2014-03-25 19:19:51.401015	10532	55	2	8
2014-03-25 19:20:06.611467	10533	20.6	1	1
2014-03-25 19:20:06.852607	10534	53	2	1
2014-03-26 20:57:06.369499	30708	48	2	8
2014-03-26 20:57:20.973491	30709	20.7	1	1
2014-03-25 19:20:30.177852	10539	20.5	1	8
2014-03-25 19:20:30.400376	10540	55	2	8
2014-03-25 19:20:32.736502	10541	466	3	2
2014-03-25 19:20:45.612179	10542	20.6	1	1
2014-03-25 19:20:45.834568	10543	53	2	1
2014-03-26 20:57:21.197685	30710	50	2	1
2014-03-26 20:57:32.569939	30711	595	3	2
2014-03-25 19:21:09.178043	10548	20.5	1	8
2014-03-25 19:21:09.411151	10549	55	2	8
2014-03-25 19:21:24.609514	10550	20.6	1	1
2014-03-25 19:21:24.832833	10551	53	2	1
2014-03-25 19:21:32.740513	10552	466	3	2
2014-03-26 20:57:32.80689	30712	1087739.9738896391	4	2
2014-03-26 20:57:33.686292	30713	23.8	1	10
2014-03-25 19:21:48.234497	10557	20.5	1	8
2014-03-25 19:21:48.457088	10558	55	2	8
2014-03-25 19:22:03.613795	10559	20.6	1	1
2014-03-25 19:22:03.845505	10560	53	2	1
2014-03-25 19:22:20.738869	10561	418	3	2
2014-03-26 20:57:33.910774	30714	41	2	10
2014-03-26 20:57:44.050994	30715	22.2	1	9
2014-03-25 19:22:27.310039	10566	20.5	1	8
2014-03-25 19:22:27.730036	10567	55	2	8
2014-03-25 19:22:32.870229	10568	418	3	2
2014-03-25 19:22:42.612757	10569	20.7	1	1
2014-03-25 19:22:42.840649	10570	53	2	1
2014-03-26 20:57:44.286707	30716	48	2	9
2014-03-26 20:57:45.138312	30717	22.6	1	8
2014-03-25 19:23:06.178684	10575	20.5	1	8
2014-03-25 19:23:06.403033	10576	55	2	8
2014-03-25 19:23:21.608035	10577	20.7	1	1
2014-03-25 19:23:21.85309	10578	53	2	1
2014-03-25 19:23:32.738179	10579	418	3	2
2014-03-26 20:57:45.362505	30718	48	2	8
2014-03-26 20:57:59.733486	30719	20.7	1	1
2014-03-25 19:23:45.176606	10584	20.5	1	8
2014-03-25 19:23:45.399269	10585	55	2	8
2014-03-25 19:24:00.610348	10586	20.7	1	1
2014-03-25 19:24:00.832537	10587	53	2	1
2014-03-26 20:57:59.969494	30720	50	2	1
2014-03-26 20:58:12.685158	30721	23.8	1	10
2014-03-25 19:24:24.178048	10592	20.5	1	8
2014-03-25 19:24:24.410909	10593	55	2	8
2014-03-25 19:24:32.7374	10594	418	3	2
2014-03-25 19:24:39.611918	10595	20.7	1	1
2014-03-25 19:24:39.833893	10596	53	2	1
2014-03-26 20:58:12.912713	30722	41	2	10
2014-03-26 20:58:23.050187	30723	22.2	1	9
2014-03-26 20:58:23.283113	30724	48	2	9
2014-03-25 19:25:03.179988	10601	20.5	1	8
2014-03-25 19:25:03.401928	10602	55	2	8
2014-03-25 19:25:18.607655	10603	20.7	1	1
2014-03-25 19:25:18.839455	10604	53	2	1
2014-03-25 19:25:32.739337	10605	418	3	2
2014-03-25 19:15:54.939753	10473	22.5	1	10
2014-03-25 19:15:55.171293	10474	51	2	10
2014-03-25 19:16:33.939076	10482	22.5	1	10
2014-03-25 19:16:34.162099	10483	51	2	10
2014-03-25 19:17:12.941191	10490	22.5	1	10
2014-03-25 19:17:13.16398	10491	51	2	10
2014-03-25 19:17:51.939957	10500	22.5	1	10
2014-03-25 19:17:52.173039	10501	51	2	10
2014-03-25 19:18:30.94235	10509	22.5	1	10
2014-03-25 19:18:31.165686	10510	51	2	10
2014-03-25 19:19:09.942012	10518	22.5	1	10
2014-03-25 19:19:10.175444	10519	51	2	10
2014-03-25 19:19:48.943774	10527	22.5	1	10
2014-03-25 19:19:49.168069	10528	51	2	10
2014-03-25 19:20:27.940399	10535	22.5	1	10
2014-03-25 19:20:28.162885	10536	51	2	10
2014-03-25 19:21:06.940874	10544	22.5	1	10
2014-03-25 19:21:07.173184	10545	51	2	10
2014-03-25 19:21:45.941808	10553	22.6	1	10
2014-03-25 19:21:46.164216	10554	51	2	10
2014-03-25 19:22:25.06726	10562	22.6	1	10
2014-03-25 19:22:25.490007	10563	51	2	10
2014-03-25 19:23:03.942511	10571	22.6	1	10
2014-03-25 19:23:04.164746	10572	51	2	10
2014-03-25 19:23:42.947342	10580	22.6	1	10
2014-03-25 19:23:43.168569	10581	51	2	10
2014-03-25 19:24:21.941687	10588	22.6	1	10
2014-03-25 19:24:22.177962	10589	51	2	10
2014-03-25 19:25:00.941608	10597	22.6	1	10
2014-03-26 20:58:24.137526	30725	22.6	1	8
2014-03-25 19:25:42.17811	10610	20.5	1	8
2014-03-25 19:25:42.4109	10611	55	2	8
2014-03-25 19:25:57.609514	10612	20.7	1	1
2014-03-25 19:25:57.831897	10613	53	2	1
2014-03-26 20:58:24.362998	30726	48	2	8
2014-03-26 20:58:32.569016	30727	595	3	2
2014-03-25 19:26:21.178683	10618	20.5	1	8
2014-03-25 19:26:21.411714	10619	55	2	8
2014-03-25 19:26:32.738689	10620	418	3	2
2014-03-25 19:26:36.606364	10621	20.7	1	1
2014-03-25 19:26:36.847361	10622	53	2	1
2014-03-25 19:26:56.739331	10623	338	3	2
2014-03-26 20:58:32.806151	30728	1087750.3152021319	4	2
2014-03-26 20:58:38.732216	30729	20.7	1	1
2014-03-25 19:27:00.177906	10628	20.5	1	8
2014-03-25 19:27:00.409424	10629	55	2	8
2014-03-25 19:27:08.735134	10630	338	3	2
2014-03-25 19:27:15.610241	10631	20.7	1	1
2014-03-25 19:27:15.833638	10632	53	2	1
2014-03-25 19:27:32.733939	10633	354	3	2
2014-03-26 20:58:38.959382	30730	50	2	1
2014-03-26 20:58:51.696871	30731	23.8	1	10
2014-03-25 19:27:39.178513	10638	20.5	1	8
2014-03-25 19:27:39.401949	10639	55	2	8
2014-03-25 19:27:54.608791	10640	20.7	1	1
2014-03-25 19:27:54.8438	10641	52	2	1
2014-03-26 20:58:51.932798	30732	41	2	10
2014-03-26 20:59:02.050059	30733	22.2	1	9
2014-03-25 19:28:18.17865	10646	20.5	1	8
2014-03-25 19:28:18.404018	10647	55	2	8
2014-03-25 19:28:32.740281	10648	338	3	2
2014-03-25 19:28:33.607292	10649	20.7	1	1
2014-03-25 19:28:33.831798	10650	52	2	1
2014-03-25 19:28:44.735147	10651	402	3	2
2014-03-26 20:59:02.274414	30734	48	2	9
2014-03-26 20:59:03.137828	30735	22.6	1	8
2014-03-25 19:28:56.735567	10656	402	3	2
2014-03-25 19:28:57.177432	10657	20.5	1	8
2014-03-25 19:28:57.399807	10658	55	2	8
2014-03-25 19:29:12.605966	10659	20.7	1	1
2014-03-25 19:29:12.840071	10660	52	2	1
2014-03-25 19:29:32.734017	10661	402	3	2
2014-03-26 20:59:03.383242	30736	48	2	8
2014-03-26 20:59:17.732611	30737	20.7	1	1
2014-03-25 19:29:36.178004	10666	20.5	1	8
2014-03-25 19:29:36.418476	10667	55	2	8
2014-03-25 19:29:51.60844	10668	20.7	1	1
2014-03-25 19:29:51.831241	10669	52	2	1
2014-03-26 20:59:17.957736	30738	50	2	1
2014-03-26 20:59:30.686338	30739	23.8	1	10
2014-03-25 19:30:15.180366	10674	20.5	1	8
2014-03-25 19:30:15.412752	10675	55	2	8
2014-03-25 19:30:30.603436	10676	20.7	1	1
2014-03-25 19:30:30.825369	10677	52	2	1
2014-03-25 19:30:32.738588	10678	418	3	2
2014-03-26 20:59:30.921448	30740	41	2	10
2014-03-26 20:59:32.571054	30741	595	3	2
2014-03-25 19:30:54.179824	10683	20.5	1	8
2014-03-25 19:30:54.40046	10684	55	2	8
2014-03-25 19:31:09.604234	10685	20.7	1	1
2014-03-25 19:31:09.837055	10686	52	2	1
2014-03-26 20:59:32.795686	30742	1087760.6565146246	4	2
2014-03-26 20:59:41.052938	30743	22.3	1	9
2014-03-25 19:31:32.73391	10691	418	3	2
2014-03-25 19:31:33.176983	10692	20.5	1	8
2014-03-25 19:31:33.399834	10693	55	2	8
2014-03-25 19:31:48.628238	10694	20.7	1	1
2014-03-25 19:31:48.852266	10695	52	2	1
2014-03-26 20:59:41.286123	30744	48	2	9
2014-03-26 20:59:42.137607	30745	22.6	1	8
2014-03-25 19:32:12.177944	10700	20.5	1	8
2014-03-25 19:32:12.408691	10701	55	2	8
2014-03-25 19:32:27.64404	10702	20.7	1	1
2014-03-25 19:32:27.867247	10703	52	2	1
2014-03-25 19:32:32.738683	10704	402	3	2
2014-03-26 20:59:42.361225	30746	48	2	8
2014-03-26 20:59:56.731476	30747	20.6	1	1
2014-03-25 19:32:51.310002	10709	20.5	1	8
2014-03-25 19:32:51.779992	10710	55	2	8
2014-03-25 19:33:06.608298	10711	20.7	1	1
2014-03-25 19:33:06.850757	10712	52	2	1
2014-03-26 20:59:56.967737	30748	50	2	1
2014-03-26 21:00:09.686031	30749	23.9	1	10
2014-03-25 19:33:30.177346	10717	20.5	1	8
2014-03-25 19:33:30.400291	10718	55	2	8
2014-03-25 19:33:32.737099	10719	402	3	2
2014-03-25 19:33:45.609191	10720	20.7	1	1
2014-03-25 19:33:45.835645	10721	52	2	1
2014-03-26 21:00:09.914557	30750	41	2	10
2014-03-26 21:00:20.049463	30751	22.3	1	9
2014-03-25 19:34:09.178881	10726	20.5	1	8
2014-03-25 19:34:09.410806	10727	55	2	8
2014-03-25 19:34:20.741225	10728	370	3	2
2014-03-25 19:34:24.60468	10729	20.7	1	1
2014-03-25 19:34:24.836215	10730	52	2	1
2014-03-25 19:34:32.738661	10731	370	3	2
2014-03-26 21:00:20.284977	30752	48	2	9
2014-03-26 21:00:21.13901	30753	22.6	1	8
2014-03-25 19:34:48.178244	10736	20.5	1	8
2014-03-25 19:34:48.399563	10737	55	2	8
2014-03-25 19:35:03.601935	10738	20.7	1	1
2014-03-25 19:35:03.836122	10739	52	2	1
2014-03-25 19:35:27.177837	10744	20.5	1	8
2014-03-25 19:26:18.970073	10614	22.6	1	10
2014-03-25 19:26:19.235895	10615	51	2	10
2014-03-25 19:26:57.94199	10624	22.7	1	10
2014-03-25 19:26:58.16347	10625	51	2	10
2014-03-25 19:27:36.943667	10634	22.7	1	10
2014-03-25 19:27:37.176737	10635	51	2	10
2014-03-25 19:28:15.942566	10642	22.7	1	10
2014-03-25 19:28:16.164145	10643	51	2	10
2014-03-25 19:28:54.945346	10652	22.7	1	10
2014-03-25 19:28:55.167892	10653	51	2	10
2014-03-25 19:29:33.947591	10662	22.7	1	10
2014-03-25 19:29:34.168704	10663	51	2	10
2014-03-25 19:30:12.944183	10670	22.7	1	10
2014-03-25 19:30:13.17724	10671	51	2	10
2014-03-25 19:30:51.940582	10679	22.7	1	10
2014-03-25 19:30:52.165615	10680	51	2	10
2014-03-25 19:31:30.942459	10687	22.7	1	10
2014-03-25 19:31:31.166957	10688	51	2	10
2014-03-25 19:32:09.945655	10696	22.7	1	10
2014-03-25 19:32:10.177355	10697	51	2	10
2014-03-25 19:32:49.071264	10705	22.8	1	10
2014-03-25 19:32:49.491982	10706	51	2	10
2014-03-25 19:33:27.945681	10713	22.8	1	10
2014-03-25 19:33:28.168711	10714	51	2	10
2014-03-25 19:34:06.946328	10722	22.8	1	10
2014-03-25 19:34:07.178007	10723	51	2	10
2014-03-25 19:34:45.947234	10732	22.8	1	10
2014-03-25 19:34:46.169772	10733	51	2	10
2014-03-25 19:35:24.948603	10740	22.8	1	10
2014-03-25 19:35:27.399341	10745	55	2	8
2014-03-25 19:35:32.737696	10746	354	3	2
2014-03-25 19:35:42.60739	10747	20.7	1	1
2014-03-25 19:35:42.83004	10748	52	2	1
2014-03-26 21:00:21.363825	30754	48	2	8
2014-03-26 21:00:32.570307	30755	595	3	2
2014-03-25 19:36:06.179517	10753	20.5	1	8
2014-03-25 19:36:06.411461	10754	55	2	8
2014-03-25 19:36:21.604861	10755	20.7	1	1
2014-03-25 19:36:21.828672	10756	52	2	1
2014-03-25 19:36:32.739614	10757	370	3	2
2014-03-26 21:00:32.824499	30756	1087769.8487923958	4	2
2014-03-26 21:00:35.725829	30757	20.6	1	1
2014-03-25 19:36:45.17784	10762	20.5	1	8
2014-03-25 19:36:45.402545	10763	55	2	8
2014-03-25 19:37:00.602886	10764	20.7	1	1
2014-03-25 19:37:00.835225	10765	52	2	1
2014-03-26 21:00:35.951955	30758	50	2	1
2014-03-26 21:00:48.686237	30759	23.9	1	10
2014-03-25 19:37:24.177226	10770	20.5	1	8
2014-03-25 19:37:24.408327	10771	55	2	8
2014-03-25 19:37:32.736197	10772	354	3	2
2014-03-25 19:37:39.601938	10773	20.7	1	1
2014-03-25 19:37:39.827331	10774	52	2	1
2014-03-26 21:00:48.920237	30760	41	2	10
2014-03-26 21:00:59.050103	30761	22.3	1	9
2014-03-25 19:38:03.179229	10779	20.5	1	8
2014-03-25 19:38:03.410312	10780	55	2	8
2014-03-25 19:38:18.604568	10781	20.7	1	1
2014-03-25 19:38:18.827731	10782	52	2	1
2014-03-25 19:38:32.740909	10783	354	3	2
2014-03-26 21:00:59.275445	30762	48	2	9
2014-03-26 21:01:00.13743	30763	22.7	1	8
2014-03-25 19:38:42.177644	10788	20.5	1	8
2014-03-25 19:38:42.399843	10789	55	2	8
2014-03-25 19:38:57.843474	10790	20.7	1	1
2014-03-25 19:38:58.075901	10791	52	2	1
2014-03-26 21:01:00.372799	30764	48	2	8
2014-03-26 21:01:14.731035	30765	20.6	1	1
2014-03-25 19:39:21.176573	10796	20.5	1	8
2014-03-25 19:39:21.398146	10797	55	2	8
2014-03-25 19:39:32.734215	10798	338	3	2
2014-03-25 19:39:36.600676	10799	20.7	1	1
2014-03-25 19:39:36.823616	10800	52	2	1
2014-03-26 21:01:14.955201	30766	50	2	1
2014-03-26 21:01:27.686288	30767	23.9	1	10
2014-03-25 19:40:00.177004	10805	20.5	1	8
2014-03-25 19:40:00.406822	10806	55	2	8
2014-03-25 19:40:15.601143	10807	20.7	1	1
2014-03-25 19:40:15.8244	10808	52	2	1
2014-03-25 19:40:32.735194	10809	354	3	2
2014-03-26 21:01:27.92106	30768	41	2	10
2014-03-26 21:01:32.570424	30769	611	3	2
2014-03-25 19:40:39.178652	10814	20.5	1	8
2014-03-25 19:40:39.401326	10815	55	2	8
2014-03-25 19:40:54.838816	10816	20.6	1	1
2014-03-25 19:40:55.072599	10817	52	2	1
2014-03-25 19:40:56.734668	10818	418	3	2
2014-03-25 19:41:08.736748	10819	402	3	2
2014-03-26 21:01:32.794886	30770	1087780.1901048885	4	2
2014-03-26 21:01:38.050364	30771	22.3	1	9
2014-03-25 19:41:18.179953	10824	20.5	1	8
2014-03-25 19:41:18.413697	10825	55	2	8
2014-03-25 19:41:32.738266	10826	402	3	2
2014-03-25 19:41:33.599084	10827	20.6	1	1
2014-03-25 19:41:33.822107	10828	52	2	1
2014-03-26 21:01:38.287589	30772	48	2	9
2014-03-26 21:01:39.138744	30773	22.7	1	8
2014-03-25 19:41:57.177926	10833	20.5	1	8
2014-03-25 19:41:57.403832	10834	55	2	8
2014-03-25 19:42:12.602114	10835	20.6	1	1
2014-03-25 19:42:12.835227	10836	52	2	1
2014-03-25 19:42:32.736081	10837	402	3	2
2014-03-26 21:01:39.364491	30774	48	2	8
2014-03-26 21:01:53.727965	30775	20.6	1	1
2014-03-25 19:42:36.178037	10842	20.5	1	8
2014-03-25 19:42:36.411349	10843	55	2	8
2014-03-25 19:42:51.601418	10844	20.6	1	1
2014-03-25 19:42:51.828935	10845	52	2	1
2014-03-26 21:01:53.962518	30776	50	2	1
2014-03-26 21:02:06.688008	30777	23.9	1	10
2014-03-25 19:43:15.176862	10850	20.5	1	8
2014-03-25 19:43:15.409059	10851	55	2	8
2014-03-25 19:43:30.602908	10852	20.6	1	1
2014-03-25 19:43:30.825014	10853	52	2	1
2014-03-25 19:43:32.73265	10854	402	3	2
2014-03-26 21:02:06.911907	30778	41	2	10
2014-03-26 21:02:17.048013	30779	22.3	1	9
2014-03-25 19:43:54.177582	10859	20.5	1	8
2014-03-25 19:43:54.39994	10860	55	2	8
2014-03-25 19:44:09.594378	10861	20.6	1	1
2014-03-25 19:44:09.829313	10862	52	2	1
2014-03-26 21:02:17.283234	30780	48	2	9
2014-03-26 21:02:18.137845	30781	22.7	1	8
2014-03-25 19:44:32.734771	10867	402	3	2
2014-03-25 19:44:33.177332	10868	20.5	1	8
2014-03-25 19:44:33.398264	10869	55	2	8
2014-03-25 19:44:48.599149	10870	20.6	1	1
2014-03-25 19:44:48.82498	10871	52	2	1
2014-03-25 19:45:08.734184	10872	354	3	2
2014-03-26 21:02:18.361582	30782	48	2	8
2014-03-25 19:45:12.176907	10877	20.5	1	8
2014-03-25 19:45:12.410217	10878	55	2	8
2014-03-25 19:45:20.738876	10879	354	3	2
2014-03-25 19:45:27.597466	10880	20.6	1	1
2014-03-25 19:36:03.946159	10749	22.8	1	10
2014-03-25 19:36:04.170869	10750	51	2	10
2014-03-25 19:36:42.947639	10758	22.8	1	10
2014-03-25 19:36:43.169325	10759	51	2	10
2014-03-25 19:37:21.947933	10766	22.8	1	10
2014-03-25 19:37:22.172955	10767	51	2	10
2014-03-25 19:38:00.946664	10775	22.8	1	10
2014-03-25 19:38:01.176864	10776	51	2	10
2014-03-25 19:38:39.946018	10784	22.9	1	10
2014-03-25 19:38:40.168949	10785	51	2	10
2014-03-25 19:39:18.946073	10792	22.9	1	10
2014-03-25 19:39:19.170279	10793	51	2	10
2014-03-25 19:39:57.949299	10801	22.9	1	10
2014-03-25 19:39:58.19351	10802	51	2	10
2014-03-25 19:40:36.947774	10810	22.9	1	10
2014-03-25 19:40:37.17278	10811	51	2	10
2014-03-25 19:41:15.947247	10820	22.9	1	10
2014-03-25 19:41:16.181787	10821	51	2	10
2014-03-25 19:41:54.947404	10829	22.9	1	10
2014-03-25 19:41:55.171841	10830	51	2	10
2014-03-25 19:42:33.947923	10838	22.9	1	10
2014-03-25 19:42:34.189316	10839	51	2	10
2014-03-25 19:43:12.947651	10846	22.9	1	10
2014-03-25 19:43:13.19177	10847	51	2	10
2014-03-25 19:43:51.948711	10855	22.9	1	10
2014-03-25 19:43:52.172132	10856	51	2	10
2014-03-25 19:44:30.948827	10863	23.0	1	10
2014-03-25 19:44:31.171113	10864	51	2	10
2014-03-25 19:45:27.819888	10881	52	2	1
2014-03-25 19:45:32.737827	10882	354	3	2
2014-03-26 21:02:32.969435	30783	20.6	1	1
2014-03-26 21:02:33.218676	30784	50	2	1
2014-03-25 19:45:51.177685	10887	20.5	1	8
2014-03-25 19:45:51.407139	10888	55	2	8
2014-03-25 19:46:06.597757	10889	20.6	1	1
2014-03-25 19:46:06.82592	10890	52	2	1
2014-03-26 21:02:44.570599	30785	515	3	2
2014-03-26 21:02:44.796092	30786	1087791.6804521028	4	2
2014-03-25 19:46:30.178477	10895	20.5	1	8
2014-03-25 19:46:30.409812	10896	55	2	8
2014-03-25 19:46:32.742797	10897	354	3	2
2014-03-25 19:46:45.60165	10898	20.6	1	1
2014-03-25 19:46:45.823511	10899	52	2	1
2014-03-26 21:02:45.688604	30787	23.9	1	10
2014-03-26 21:02:46.109274	30788	41	2	10
2014-03-25 19:47:09.177405	10904	20.5	1	8
2014-03-25 19:47:09.401469	10905	55	2	8
2014-03-25 19:47:24.597869	10906	20.5	1	1
2014-03-25 19:47:24.835237	10907	52	2	1
2014-03-25 19:47:32.738084	10908	354	3	2
2014-03-26 21:02:56.049608	30789	22.3	1	9
2014-03-26 21:02:56.272056	30790	48	2	9
2014-03-25 19:47:48.177096	10913	20.5	1	8
2014-03-25 19:47:48.399476	10914	55	2	8
2014-03-25 19:48:03.596913	10915	20.5	1	1
2014-03-25 19:48:03.819938	10916	52	2	1
2014-03-26 21:02:56.584604	30791	531	3	2
2014-03-26 21:02:56.807297	30792	1087793.9785215457	4	2
2014-03-25 19:48:27.177424	10921	20.5	1	8
2014-03-25 19:48:27.409619	10922	55	2	8
2014-03-25 19:48:32.739015	10923	354	3	2
2014-03-25 19:48:42.59665	10924	20.5	1	1
2014-03-25 19:48:42.821151	10925	52	2	1
2014-03-26 21:02:57.136226	30793	22.7	1	8
2014-03-26 21:02:57.365793	30794	48	2	8
2014-03-25 19:49:06.176096	10930	20.5	1	8
2014-03-25 19:49:06.399059	10931	55	2	8
2014-03-25 19:49:21.596275	10932	20.5	1	1
2014-03-25 19:49:21.83166	10933	52	2	1
2014-03-25 19:49:32.735213	10934	354	3	2
2014-03-26 21:03:11.729569	30795	20.6	1	1
2014-03-26 21:03:11.953085	30796	50	2	1
2014-03-25 19:49:45.177346	10939	20.5	1	8
2014-03-25 19:49:45.409194	10940	55	2	8
2014-03-25 19:50:00.599823	10941	20.5	1	1
2014-03-25 19:50:00.825053	10942	52	2	1
2014-03-26 21:03:24.68646	30797	23.9	1	10
2014-03-26 21:03:24.919771	30798	41	2	10
2014-03-25 19:50:24.177613	10947	20.5	1	8
2014-03-25 19:50:24.409115	10948	55	2	8
2014-03-25 19:50:32.738116	10949	354	3	2
2014-03-25 19:50:39.593318	10950	20.5	1	1
2014-03-25 19:50:39.819055	10951	52	2	1
2014-03-26 21:03:32.56994	30799	531	3	2
2014-03-26 21:03:32.794387	30800	1087798.5746604311	4	2
2014-03-25 19:51:03.175814	10956	20.5	1	8
2014-03-25 19:51:03.39796	10957	55	2	8
2014-03-25 19:51:18.595425	10958	20.5	1	1
2014-03-25 19:51:18.828235	10959	52	2	1
2014-03-25 19:51:20.734196	10960	418	3	2
2014-03-25 19:51:32.736997	10961	418	3	2
2014-03-26 21:03:35.050091	30801	22.3	1	9
2014-03-26 21:03:35.28195	30802	48	2	9
2014-03-25 19:51:42.180629	10966	20.5	1	8
2014-03-25 19:51:42.413912	10967	55	2	8
2014-03-25 19:51:57.593094	10968	20.5	1	1
2014-03-25 19:51:57.818044	10969	52	2	1
2014-03-26 21:03:36.137221	30803	22.7	1	8
2014-03-26 21:03:36.35871	30804	48	2	8
2014-03-25 19:52:21.177521	10974	20.5	1	8
2014-03-25 19:52:21.410394	10975	55	2	8
2014-03-25 19:52:32.736305	10976	418	3	2
2014-03-25 19:52:36.595713	10977	20.5	1	1
2014-03-25 19:52:36.82223	10978	51	2	1
2014-03-26 21:03:50.728268	30805	20.6	1	1
2014-03-26 21:03:50.963776	30806	50	2	1
2014-03-25 19:53:00.176576	10983	20.5	1	8
2014-03-25 19:53:00.399448	10984	55	2	8
2014-03-25 19:53:15.719011	10985	20.5	1	1
2014-03-25 19:53:16.550018	10986	51	2	1
2014-03-25 19:53:32.732559	10987	418	3	2
2014-03-26 21:04:03.687707	30807	23.9	1	10
2014-03-26 21:04:03.911936	30808	41	2	10
2014-03-25 19:53:39.174566	10992	20.5	1	8
2014-03-25 19:53:39.405486	10993	55	2	8
2014-03-25 19:53:54.593074	10994	20.4	1	1
2014-03-25 19:53:54.819369	10995	51	2	1
2014-03-26 21:04:14.047646	30809	22.3	1	9
2014-03-26 21:04:14.282961	30810	48	2	9
2014-03-25 19:54:18.178143	11000	20.5	1	8
2014-03-25 19:54:18.408085	11001	55	2	8
2014-03-25 19:54:33.392348	11002	418	3	2
2014-03-25 19:54:33.698872	11003	20.4	1	1
2014-03-25 19:54:33.928602	11004	51	2	1
2014-03-26 21:04:15.137152	30811	22.7	1	8
2014-03-26 21:04:15.358187	30812	48	2	8
2014-03-26 21:04:20.568676	30813	482	3	2
2014-03-25 19:54:57.175113	11009	20.5	1	8
2014-03-25 19:54:57.395901	11010	55	2	8
2014-03-25 19:55:12.593588	11011	20.4	1	1
2014-03-25 19:55:12.825335	11012	51	2	1
2014-03-25 19:55:32.732486	11013	418	3	2
2014-03-25 19:45:49.005017	10883	23.0	1	10
2014-03-25 19:45:49.227403	10884	51	2	10
2014-03-25 19:46:27.94916	10891	23.0	1	10
2014-03-25 19:46:28.193975	10892	51	2	10
2014-03-25 19:47:06.949305	10900	23.0	1	10
2014-03-25 19:47:07.172485	10901	51	2	10
2014-03-25 19:47:45.950501	10909	23.0	1	10
2014-03-25 19:47:46.175146	10910	51	2	10
2014-03-25 19:48:24.953238	10917	23.0	1	10
2014-03-25 19:48:25.18641	10918	51	2	10
2014-03-25 19:49:03.950298	10926	23.0	1	10
2014-03-25 19:49:04.173462	10927	51	2	10
2014-03-25 19:49:42.950591	10935	23.0	1	10
2014-03-25 19:49:43.194114	10936	51	2	10
2014-03-25 19:50:21.952674	10943	23.1	1	10
2014-03-25 19:50:22.185315	10944	51	2	10
2014-03-25 19:51:00.95366	10952	23.1	1	10
2014-03-25 19:51:01.177335	10953	51	2	10
2014-03-25 19:51:39.952076	10962	23.1	1	10
2014-03-25 19:51:40.187811	10963	51	2	10
2014-03-25 19:52:18.950431	10970	23.1	1	10
2014-03-25 19:52:19.184047	10971	51	2	10
2014-03-25 19:52:57.952028	10979	23.1	1	10
2014-03-25 19:52:58.178164	10980	51	2	10
2014-03-25 19:53:36.950949	10988	23.1	1	10
2014-03-25 19:53:37.178262	10989	51	2	10
2014-03-25 19:54:15.950828	10996	23.1	1	10
2014-03-25 19:54:16.181817	10997	51	2	10
2014-03-25 19:54:54.951781	11005	23.1	1	10
2014-03-26 21:04:20.802852	30814	1087806.617903481	4	2
2014-03-25 19:55:36.174757	11018	20.5	1	8
2014-03-25 19:55:36.405146	11019	55	2	8
2014-03-25 19:55:44.734045	11020	354	3	2
2014-03-25 19:55:51.591688	11021	20.4	1	1
2014-03-25 19:55:51.813557	11022	51	2	1
2014-03-25 19:55:56.732597	11023	354	3	2
2014-03-26 21:04:29.728993	30815	20.6	1	1
2014-03-26 21:04:29.954508	30816	50	2	1
2014-03-25 19:56:15.176645	11028	20.5	1	8
2014-03-25 19:56:15.415113	11029	55	2	8
2014-03-25 19:56:30.590491	11030	20.4	1	1
2014-03-25 19:56:30.810847	11031	51	2	1
2014-03-25 19:56:32.733694	11032	354	3	2
2014-03-26 21:04:32.568064	30817	450	3	2
2014-03-26 21:04:32.803626	30818	1087807.7669382025	4	2
2014-03-25 19:56:54.178031	11037	20.5	1	8
2014-03-25 19:56:54.403657	11038	55	2	8
2014-03-25 19:57:09.589296	11039	20.4	1	1
2014-03-25 19:57:09.818076	11040	51	2	1
2014-03-26 21:04:42.68613	30819	23.9	1	10
2014-03-26 21:04:42.90934	30820	41	2	10
2014-03-25 19:57:32.730805	11045	354	3	2
2014-03-25 19:57:33.17637	11046	20.5	1	8
2014-03-25 19:57:33.396618	11047	55	2	8
2014-03-25 19:57:48.59367	11048	20.4	1	1
2014-03-25 19:57:49.160724	11049	51	2	1
2014-03-26 21:04:44.566311	30821	466	3	2
2014-03-26 21:04:44.797541	30822	1087808.9159729239	4	2
2014-03-25 19:58:12.174373	11054	20.5	1	8
2014-03-25 19:58:12.440214	11055	55	2	8
2014-03-25 19:58:27.592299	11056	20.4	1	1
2014-03-25 19:58:27.81419	11057	51	2	1
2014-03-25 19:58:32.729148	11058	354	3	2
2014-03-26 21:04:53.05036	30823	22.3	1	9
2014-03-26 21:04:53.27354	30824	48	2	9
2014-03-25 19:58:51.175185	11063	20.5	1	8
2014-03-25 19:58:51.395541	11064	55	2	8
2014-03-25 19:59:06.593332	11065	20.4	1	1
2014-03-25 19:59:06.826117	11066	51	2	1
2014-03-26 21:04:54.137142	30825	22.7	1	8
2014-03-26 21:04:54.369417	30826	47	2	8
2014-03-25 19:59:30.177698	11071	20.5	1	8
2014-03-25 19:59:30.400137	11072	55	2	8
2014-03-25 19:59:32.733003	11073	354	3	2
2014-03-25 19:59:45.595288	11074	20.4	1	1
2014-03-25 19:59:45.817744	11075	51	2	1
2014-03-26 21:04:56.568775	30827	547	3	2
2014-03-26 21:04:56.790302	30828	1087811.2140423667	4	2
2014-03-25 20:00:09.175081	11080	20.5	1	8
2014-03-25 20:00:09.408687	11081	56	2	8
2014-03-25 20:00:24.591474	11082	20.4	1	1
2014-03-25 20:00:24.815793	11083	51	2	1
2014-03-25 20:00:32.736472	11084	354	3	2
2014-03-26 21:05:08.96722	30829	20.6	1	1
2014-03-26 21:05:09.201795	30830	50	2	1
2014-03-25 20:00:48.175773	11089	20.5	1	8
2014-03-25 20:00:48.397039	11090	56	2	8
2014-03-25 20:01:03.588534	11091	20.3	1	1
2014-03-25 20:01:03.82074	11092	51	2	1
2014-03-26 21:05:20.56681	30831	579	3	2
2014-03-26 21:05:20.790608	30832	1087814.661146531	4	2
2014-03-25 20:01:27.175413	11097	20.5	1	8
2014-03-25 20:01:27.396394	11098	56	2	8
2014-03-25 20:01:32.734306	11099	338	3	2
2014-03-25 20:01:42.58789	11100	20.3	1	1
2014-03-25 20:01:42.812955	11101	51	2	1
2014-03-26 21:05:21.687503	30833	23.9	1	10
2014-03-26 21:05:21.936657	30834	41	2	10
2014-03-25 20:02:06.175609	11106	20.5	1	8
2014-03-25 20:02:06.395877	11107	56	2	8
2014-03-25 20:02:20.72907	11108	402	3	2
2014-03-25 20:02:21.586917	11109	20.3	1	1
2014-03-25 20:02:21.808612	11110	51	2	1
2014-03-25 20:02:32.728841	11111	418	3	2
2014-03-26 21:05:32.049681	30835	22.3	1	9
2014-03-26 21:05:32.275405	30836	48	2	9
2014-03-25 20:02:45.177596	11116	20.5	1	8
2014-03-25 20:02:45.419567	11117	56	2	8
2014-03-25 20:03:00.585675	11118	20.3	1	1
2014-03-25 20:03:00.807323	11119	51	2	1
2014-03-26 21:05:32.580676	30837	579	3	2
2014-03-26 21:05:32.815465	30838	1087816.9592159737	4	2
2014-03-25 20:03:24.307832	11124	20.5	1	8
2014-03-25 20:03:24.740001	11125	56	2	8
2014-03-25 20:03:32.869668	11126	418	3	2
2014-03-25 20:03:39.587558	11127	20.3	1	1
2014-03-25 20:03:39.810916	11128	51	2	1
2014-03-26 21:05:33.138933	30839	22.7	1	8
2014-03-26 21:05:33.363198	30840	47	2	8
2014-03-25 20:04:03.174793	11133	20.5	1	8
2014-03-25 20:04:03.396724	11134	56	2	8
2014-03-25 20:04:18.586632	11135	20.3	1	1
2014-03-25 20:04:18.809628	11136	51	2	1
2014-03-25 20:04:32.732355	11137	418	3	2
2014-03-26 21:05:47.726415	30841	20.6	1	1
2014-03-26 21:05:47.959862	30842	50	2	1
2014-03-25 20:04:42.176025	11142	20.6	1	8
2014-03-25 20:04:42.397989	11143	56	2	8
2014-03-25 20:04:57.58721	11144	20.3	1	1
2014-03-25 20:04:57.820289	11145	51	2	1
2014-03-25 20:05:21.174765	11150	20.6	1	8
2014-03-25 20:05:21.396711	11151	56	2	8
2014-03-25 20:05:32.732559	11152	418	3	2
2014-03-25 19:56:12.956865	11024	23.2	1	10
2014-03-25 19:56:13.178993	11025	51	2	10
2014-03-25 19:56:51.952771	11033	23.2	1	10
2014-03-25 19:56:52.175157	11034	51	2	10
2014-03-25 19:57:30.949817	11041	23.2	1	10
2014-03-25 19:57:31.172035	11042	51	2	10
2014-03-25 19:58:09.951126	11050	23.2	1	10
2014-03-25 19:58:10.235816	11051	51	2	10
2014-03-25 19:58:48.952607	11059	23.2	1	10
2014-03-25 19:58:49.174079	11060	51	2	10
2014-03-25 19:59:27.954316	11067	23.2	1	10
2014-03-25 19:59:28.183563	11068	51	2	10
2014-03-25 20:00:06.952723	11076	23.2	1	10
2014-03-25 20:00:07.18673	11077	51	2	10
2014-03-25 20:00:45.952698	11085	23.2	1	10
2014-03-25 20:00:46.175769	11086	51	2	10
2014-03-25 20:01:24.953546	11093	23.2	1	10
2014-03-25 20:01:25.182286	11094	51	2	10
2014-03-25 20:02:03.952776	11102	23.3	1	10
2014-03-25 20:02:04.175875	11103	51	2	10
2014-03-25 20:02:42.953563	11112	23.3	1	10
2014-03-25 20:02:43.178146	11113	51	2	10
2014-03-25 20:03:22.069295	11120	23.3	1	10
2014-03-25 20:03:22.515282	11121	51	2	10
2014-03-25 20:04:00.952558	11129	23.3	1	10
2014-03-25 20:04:01.174373	11130	51	2	10
2014-03-25 20:04:39.952796	11138	23.3	1	10
2014-03-25 20:04:40.174698	11139	51	2	10
2014-03-25 20:05:18.954551	11146	23.3	1	10
2014-03-25 20:05:36.589358	11153	20.3	1	1
2014-03-25 20:05:36.813376	11154	51	2	1
2014-03-26 21:06:00.688474	30843	24.0	1	10
2014-03-26 21:06:00.914745	30844	41	2	10
2014-03-25 20:06:00.17588	11159	20.6	1	8
2014-03-25 20:06:00.406623	11160	56	2	8
2014-03-25 20:06:15.587859	11161	20.3	1	1
2014-03-25 20:06:15.812988	11162	51	2	1
2014-03-25 20:06:32.731815	11163	418	3	2
2014-03-26 21:06:11.0487	30845	22.3	1	9
2014-03-26 21:06:11.283476	30846	48	2	9
2014-03-25 20:06:39.175812	11168	20.6	1	8
2014-03-25 20:06:39.39959	11169	56	2	8
2014-03-25 20:06:44.730846	11170	482	3	2
2014-03-25 20:06:54.585578	11171	20.3	1	1
2014-03-25 20:06:54.807694	11172	51	2	1
2014-03-25 20:06:56.732065	11173	482	3	2
2014-03-26 21:06:12.134659	30847	22.7	1	8
2014-03-26 21:06:12.359029	30848	47	2	8
2014-03-25 20:07:18.175002	11178	20.6	1	8
2014-03-25 20:07:18.405799	11179	56	2	8
2014-03-25 20:07:20.731318	11180	450	3	2
2014-03-25 20:07:32.730463	11181	450	3	2
2014-03-25 20:07:33.586871	11182	20.3	1	1
2014-03-25 20:07:33.817395	11183	51	2	1
2014-03-26 21:06:26.724632	30849	20.6	1	1
2014-03-26 21:06:26.958583	30850	50	2	1
2014-03-25 20:07:57.177832	11188	20.6	1	8
2014-03-25 20:07:57.398425	11189	56	2	8
2014-03-25 20:08:12.583867	11190	20.3	1	1
2014-03-25 20:08:12.815306	11191	51	2	1
2014-03-25 20:08:32.73186	11192	450	3	2
2014-03-26 21:06:32.569924	30851	547	3	2
2014-03-26 21:06:32.79447	30852	1087826.1514937452	4	2
2014-03-25 20:08:36.174484	11197	20.6	1	8
2014-03-25 20:08:36.398035	11198	56	2	8
2014-03-25 20:08:51.583205	11199	20.3	1	1
2014-03-25 20:08:51.805594	11200	51	2	1
2014-03-26 21:06:39.687202	30853	24.0	1	10
2014-03-26 21:06:39.91998	30854	41	2	10
2014-03-25 20:09:15.176578	11205	20.6	1	8
2014-03-25 20:09:15.40906	11206	56	2	8
2014-03-25 20:09:30.584967	11207	20.3	1	1
2014-03-25 20:09:30.80621	11208	51	2	1
2014-03-25 20:09:32.730511	11209	434	3	2
2014-03-26 21:06:44.565961	30855	547	3	2
2014-03-26 21:06:44.78944	30856	1087828.449563188	4	2
2014-03-25 20:09:54.175193	11214	20.6	1	8
2014-03-25 20:09:54.396187	11215	56	2	8
2014-03-25 20:10:09.586628	11216	20.3	1	1
2014-03-25 20:10:09.816791	11217	51	2	1
2014-03-26 21:06:50.048781	30857	22.3	1	9
2014-03-26 21:06:50.285649	30858	48	2	9
2014-03-25 20:10:32.734108	11222	434	3	2
2014-03-25 20:10:33.175557	11223	20.6	1	8
2014-03-25 20:10:33.39765	11224	56	2	8
2014-03-25 20:10:48.583616	11225	20.3	1	1
2014-03-25 20:10:48.808503	11226	51	2	1
2014-03-26 21:06:51.137967	30859	22.8	1	8
2014-03-26 21:06:51.362639	30860	47	2	8
2014-03-25 20:11:12.176114	11231	20.6	1	8
2014-03-25 20:11:12.405872	11232	56	2	8
2014-03-25 20:11:27.58106	11233	20.3	1	1
2014-03-25 20:11:27.806076	11234	51	2	1
2014-03-25 20:11:32.732336	11235	434	3	2
2014-03-26 21:07:05.724036	30861	20.6	1	1
2014-03-26 21:07:05.957198	30862	50	2	1
2014-03-25 20:11:51.175582	11240	20.6	1	8
2014-03-25 20:11:51.396999	11241	56	2	8
2014-03-25 20:12:06.581429	11242	20.3	1	1
2014-03-25 20:12:06.813962	11243	51	2	1
2014-03-26 21:07:18.687553	30863	24.0	1	10
2014-03-26 21:07:18.911105	30864	41	2	10
2014-03-25 20:12:30.175026	11248	20.6	1	8
2014-03-25 20:12:30.398539	11249	56	2	8
2014-03-25 20:12:32.733513	11250	434	3	2
2014-03-25 20:12:45.584086	11251	20.3	1	1
2014-03-25 20:12:45.807292	11252	51	2	1
2014-03-26 21:07:20.566763	30865	579	3	2
2014-03-26 21:07:20.799085	30866	1087834.194736795	4	2
2014-03-25 20:13:09.178155	11257	20.6	1	8
2014-03-25 20:13:09.409656	11258	56	2	8
2014-03-25 20:13:24.819841	11259	20.3	1	1
2014-03-25 20:13:25.040857	11260	51	2	1
2014-03-25 20:13:32.733162	11261	434	3	2
2014-03-26 21:07:29.087423	30867	22.3	1	9
2014-03-26 21:07:29.327583	30868	48	2	9
2014-03-25 20:13:48.310007	11266	20.6	1	8
2014-03-25 20:13:48.740181	11267	56	2	8
2014-03-25 20:14:03.582403	11268	20.3	1	1
2014-03-25 20:14:03.814797	11269	51	2	1
2014-03-25 20:14:20.73298	11270	482	3	2
2014-03-26 21:07:30.135353	30869	22.8	1	8
2014-03-26 21:07:30.367666	30870	47	2	8
2014-03-25 20:14:27.175063	11275	20.6	1	8
2014-03-25 20:14:27.409648	11276	56	2	8
2014-03-25 20:14:32.73156	11277	482	3	2
2014-03-25 20:14:42.583557	11278	20.3	1	1
2014-03-25 20:14:42.80565	11279	51	2	1
2014-03-26 21:07:32.566165	30871	531	3	2
2014-03-25 20:15:06.175884	11284	20.6	1	8
2014-03-25 20:15:06.39768	11285	56	2	8
2014-03-25 20:15:21.581839	11286	20.3	1	1
2014-03-25 20:15:21.803985	11287	51	2	1
2014-03-25 20:15:42.756355	11288	466	3	2
2014-03-25 20:05:57.954581	11155	23.3	1	10
2014-03-25 20:05:58.185759	11156	51	2	10
2014-03-25 20:06:36.955435	11164	23.3	1	10
2014-03-25 20:06:37.175632	11165	51	2	10
2014-03-25 20:07:15.953909	11174	23.3	1	10
2014-03-25 20:07:16.187416	11175	51	2	10
2014-03-25 20:07:54.958477	11184	23.4	1	10
2014-03-25 20:07:55.183852	11185	51	2	10
2014-03-25 20:08:33.955482	11193	23.4	1	10
2014-03-25 20:08:34.175577	11194	51	2	10
2014-03-25 20:09:12.95477	11201	23.4	1	10
2014-03-25 20:09:13.188583	11202	51	2	10
2014-03-25 20:09:51.956318	11210	23.4	1	10
2014-03-25 20:09:52.176734	11211	51	2	10
2014-03-25 20:10:30.955848	11218	23.4	1	10
2014-03-25 20:10:31.178078	11219	51	2	10
2014-03-25 20:11:09.955047	11227	23.4	1	10
2014-03-25 20:11:10.186172	11228	51	2	10
2014-03-25 20:11:48.957753	11236	23.4	1	10
2014-03-25 20:11:49.17868	11237	51	2	10
2014-03-25 20:12:27.958292	11244	23.4	1	10
2014-03-25 20:12:28.179844	11245	51	2	10
2014-03-25 20:13:06.956473	11253	23.4	1	10
2014-03-25 20:13:07.200803	11254	51	2	10
2014-03-25 20:13:46.130197	11262	23.4	1	10
2014-03-25 20:13:46.56473	11263	51	2	10
2014-03-25 20:14:24.958874	11271	23.4	1	10
2014-03-25 20:14:25.181249	11272	51	2	10
2014-03-26 21:07:32.789749	30872	1087835.3437715166	4	2
2014-03-26 21:07:44.964542	30873	20.6	1	1
2014-03-25 20:15:45.175872	11293	20.6	1	8
2014-03-25 20:15:45.405006	11294	56	2	8
2014-03-25 20:16:00.580779	11295	20.3	1	1
2014-03-25 20:16:00.804641	11296	51	2	1
2014-03-26 21:07:45.200576	30874	50	2	1
2014-03-26 21:07:56.565977	30875	547	3	2
2014-03-25 20:16:24.174606	11301	20.6	1	8
2014-03-25 20:16:24.406901	11302	56	2	8
2014-03-25 20:16:32.730851	11303	466	3	2
2014-03-25 20:16:39.580496	11304	20.3	1	1
2014-03-25 20:16:39.804596	11305	51	2	1
2014-03-26 21:07:56.790412	30876	1087839.939910402	4	2
2014-03-26 21:07:57.69337	30877	24.0	1	10
2014-03-25 20:17:03.17592	11310	20.6	1	8
2014-03-25 20:17:03.396367	11311	56	2	8
2014-03-25 20:17:18.582088	11312	20.3	1	1
2014-03-25 20:17:18.813554	11313	51	2	1
2014-03-25 20:17:32.731994	11314	482	3	2
2014-03-26 21:07:57.929401	30878	41	2	10
2014-03-26 21:08:08.049888	30879	22.3	1	9
2014-03-25 20:17:42.174901	11319	20.6	1	8
2014-03-25 20:17:42.404856	11320	56	2	8
2014-03-25 20:17:57.576085	11321	20.3	1	1
2014-03-25 20:17:57.798169	11322	51	2	1
2014-03-26 21:08:08.272729	30880	48	2	9
2014-03-26 21:08:08.580929	30881	547	3	2
2014-03-25 20:18:21.179256	11327	20.6	1	8
2014-03-25 20:18:21.413125	11328	56	2	8
2014-03-25 20:18:32.72916	11329	482	3	2
2014-03-25 20:18:36.576472	11330	20.3	1	1
2014-03-25 20:18:36.79949	11331	51	2	1
2014-03-25 20:18:44.732613	11332	434	3	2
2014-03-25 20:18:56.728578	11333	418	3	2
2014-03-26 21:08:08.825143	30882	1087841.0889451236	4	2
2014-03-26 21:08:09.136975	30883	22.8	1	8
2014-03-25 20:19:00.17763	11338	20.6	1	8
2014-03-25 20:19:00.412687	11339	56	2	8
2014-03-25 20:19:15.580487	11340	20.3	1	1
2014-03-25 20:19:15.823272	11341	51	2	1
2014-03-25 20:19:32.732762	11342	418	3	2
2014-03-26 21:08:09.359063	30884	47	2	8
2014-03-26 21:08:23.728299	30885	20.6	1	1
2014-03-25 20:19:39.176067	11347	20.6	1	8
2014-03-25 20:19:39.400322	11348	56	2	8
2014-03-25 20:19:54.578975	11349	20.4	1	1
2014-03-25 20:19:54.810517	11350	51	2	1
2014-03-26 21:08:23.96347	30886	50	2	1
2014-03-26 21:08:32.566678	30887	579	3	2
2014-03-25 20:20:18.175896	11355	20.6	1	8
2014-03-25 20:20:18.39718	11356	56	2	8
2014-03-25 20:20:32.729604	11357	418	3	2
2014-03-25 20:20:33.577647	11358	20.4	1	1
2014-03-25 20:20:33.799719	11359	51	2	1
2014-03-26 21:08:32.794216	30888	1087844.5360492878	4	2
2014-03-26 21:08:36.689397	30889	24.0	1	10
2014-03-25 20:20:57.176571	11364	20.6	1	8
2014-03-25 20:20:57.4089	11365	56	2	8
2014-03-25 20:21:08.729306	11366	354	3	2
2014-03-25 20:21:12.577965	11367	20.4	1	1
2014-03-25 20:21:12.798455	11368	51	2	1
2014-03-25 20:21:20.750111	11369	354	3	2
2014-03-25 20:21:32.730447	11370	354	3	2
2014-03-26 21:08:36.923302	30890	41	2	10
2014-03-26 21:08:44.565513	30891	579	3	2
2014-03-25 20:21:36.176784	11375	20.6	1	8
2014-03-25 20:21:36.409402	11376	56	2	8
2014-03-25 20:21:51.581006	11377	20.4	1	1
2014-03-25 20:21:51.805695	11378	51	2	1
2014-03-26 21:08:44.790477	30892	1087846.8341187306	4	2
2014-03-26 21:08:47.047533	30893	22.3	1	9
2014-03-25 20:22:15.175965	11383	20.6	1	8
2014-03-25 20:22:15.407655	11384	56	2	8
2014-03-25 20:22:30.574069	11385	20.4	1	1
2014-03-25 20:22:30.817974	11386	51	2	1
2014-03-25 20:22:32.732459	11387	354	3	2
2014-03-26 21:08:47.281284	30894	48	2	9
2014-03-26 21:08:48.137007	30895	22.8	1	8
2014-03-25 20:22:54.175472	11392	20.6	1	8
2014-03-25 20:22:54.396983	11393	56	2	8
2014-03-25 20:23:09.573184	11394	20.4	1	1
2014-03-25 20:23:09.795533	11395	51	2	1
2014-03-26 21:08:48.360048	30896	47	2	8
2014-03-26 21:08:56.568669	30897	547	3	2
2014-03-25 20:23:32.731553	11400	354	3	2
2014-03-25 20:23:33.175002	11401	20.6	1	8
2014-03-25 20:23:33.396478	11402	56	2	8
2014-03-25 20:23:48.576323	11403	20.4	1	1
2014-03-25 20:23:48.808748	11404	51	2	1
2014-03-26 21:08:56.804475	30898	1087849.1321881735	4	2
2014-03-26 21:09:02.724162	30899	20.6	1	1
2014-03-25 20:24:12.177221	11409	20.6	1	8
2014-03-25 20:24:12.399441	11410	56	2	8
2014-03-25 20:24:27.572224	11411	20.5	1	1
2014-03-25 20:24:27.803493	11412	51	2	1
2014-03-25 20:24:32.731808	11413	354	3	2
2014-03-26 21:09:02.948027	30900	50	2	1
2014-03-26 21:09:08.565772	30901	547	3	2
2014-03-26 21:09:08.801013	30902	1087850.2812228948	4	2
2014-03-25 20:24:51.176283	11418	20.6	1	8
2014-03-25 20:24:51.401515	11419	56	2	8
2014-03-25 20:25:06.577828	11420	20.5	1	1
2014-03-25 20:25:06.799782	11421	51	2	1
2014-03-25 20:25:20.730202	11422	418	3	2
2014-03-25 20:15:43.062899	11289	23.5	1	10
2014-03-25 20:15:43.283682	11290	51	2	10
2014-03-25 20:16:21.957386	11297	23.5	1	10
2014-03-25 20:16:22.201256	11298	51	2	10
2014-03-25 20:17:00.957253	11306	23.5	1	10
2014-03-25 20:17:01.17901	11307	51	2	10
2014-03-25 20:17:39.959159	11315	23.5	1	10
2014-03-25 20:17:40.182742	11316	51	2	10
2014-03-25 20:18:18.957619	11323	23.5	1	10
2014-03-25 20:18:19.19004	11324	51	2	10
2014-03-25 20:18:57.959357	11334	23.5	1	10
2014-03-25 20:18:58.192369	11335	51	2	10
2014-03-25 20:19:36.959535	11343	23.5	1	10
2014-03-25 20:19:37.183157	11344	51	2	10
2014-03-25 20:20:15.959323	11351	23.6	1	10
2014-03-25 20:20:16.182804	11352	51	2	10
2014-03-25 20:20:54.959623	11360	23.6	1	10
2014-03-25 20:20:55.196373	11361	51	2	10
2014-03-25 20:21:33.960631	11371	23.6	1	10
2014-03-25 20:21:34.191435	11372	51	2	10
2014-03-25 20:22:12.96003	11379	23.6	1	10
2014-03-25 20:22:13.19336	11380	51	2	10
2014-03-25 20:22:51.962618	11388	23.6	1	10
2014-03-25 20:22:52.188811	11389	51	2	10
2014-03-25 20:23:30.959012	11396	23.6	1	10
2014-03-25 20:23:31.183286	11397	51	2	10
2014-03-25 20:24:10.166429	11405	23.6	1	10
2014-03-25 20:24:10.389278	11406	50	2	10
2014-03-26 21:09:15.686984	30903	24.0	1	10
2014-03-26 21:09:15.915053	30904	41	2	10
2014-03-25 20:25:30.176115	11427	20.6	1	8
2014-03-25 20:25:30.399674	11428	56	2	8
2014-03-25 20:25:32.731624	11429	418	3	2
2014-03-25 20:25:45.574378	11430	20.5	1	1
2014-03-25 20:25:45.797752	11431	51	2	1
2014-03-26 21:09:20.566917	30905	579	3	2
2014-03-26 21:09:20.800909	30906	1087852.5792923376	4	2
2014-03-25 20:26:09.175379	11436	20.6	1	8
2014-03-25 20:26:09.40704	11437	56	2	8
2014-03-25 20:26:24.574934	11438	20.5	1	1
2014-03-25 20:26:24.797158	11439	51	2	1
2014-03-25 20:26:32.728291	11440	402	3	2
2014-03-26 21:09:26.049561	30907	22.3	1	9
2014-03-26 21:09:26.275883	30908	48	2	9
2014-03-25 20:26:48.176011	11445	20.6	1	8
2014-03-25 20:26:48.396433	11446	56	2	8
2014-03-25 20:27:03.573415	11447	20.5	1	1
2014-03-25 20:27:03.807304	11448	51	2	1
2014-03-26 21:09:27.136713	30909	22.8	1	8
2014-03-26 21:09:27.368692	30910	47	2	8
2014-03-25 20:27:27.175731	11453	20.6	1	8
2014-03-25 20:27:27.399005	11454	56	2	8
2014-03-25 20:27:32.731816	11455	402	3	2
2014-03-25 20:27:42.572708	11456	20.5	1	1
2014-03-25 20:27:42.798259	11457	51	2	1
2014-03-26 21:09:32.568428	30911	547	3	2
2014-03-26 21:09:32.792727	30912	1087854.8773617805	4	2
2014-03-25 20:28:06.175433	11462	20.6	1	8
2014-03-25 20:28:06.406012	11463	56	2	8
2014-03-25 20:28:21.574051	11464	20.5	1	1
2014-03-25 20:28:21.797518	11465	51	2	1
2014-03-25 20:28:32.726686	11466	418	3	2
2014-03-26 21:09:41.72427	30913	20.6	1	1
2014-03-26 21:09:41.95991	30914	50	2	1
2014-03-25 20:28:45.175964	11471	20.6	1	8
2014-03-25 20:28:45.4007	11472	56	2	8
2014-03-25 20:29:00.573295	11473	20.5	1	1
2014-03-25 20:29:00.805755	11474	51	2	1
2014-03-26 21:09:44.569555	30915	531	3	2
2014-03-26 21:09:44.794903	30916	1087856.026396502	4	2
2014-03-25 20:29:24.177381	11479	20.6	1	8
2014-03-25 20:29:24.398616	11480	56	2	8
2014-03-25 20:29:32.72985	11481	402	3	2
2014-03-25 20:29:39.571381	11482	20.5	1	1
2014-03-25 20:29:39.795736	11483	51	2	1
2014-03-25 20:29:56.730451	11484	338	3	2
2014-03-26 21:09:54.689306	30917	24.0	1	10
2014-03-26 21:09:54.925728	30918	41	2	10
2014-03-25 20:30:03.175362	11489	20.6	1	8
2014-03-25 20:30:03.399539	11490	56	2	8
2014-03-25 20:30:08.728249	11491	354	3	2
2014-03-25 20:30:18.573983	11492	20.5	1	1
2014-03-25 20:30:18.798575	11493	51	2	1
2014-03-25 20:30:32.728241	11494	354	3	2
2014-03-26 21:10:05.050967	30919	22.3	1	9
2014-03-26 21:10:05.273669	30920	48	2	9
2014-03-25 20:30:42.175355	11499	20.6	1	8
2014-03-25 20:30:42.397282	11500	56	2	8
2014-03-25 20:30:57.574893	11501	20.6	1	1
2014-03-25 20:30:57.807338	11502	51	2	1
2014-03-26 21:10:06.139058	30921	22.8	1	8
2014-03-26 21:10:06.371061	30922	47	2	8
2014-03-25 20:31:21.233798	11507	20.6	1	8
2014-03-25 20:31:21.458734	11508	56	2	8
2014-03-25 20:31:32.725207	11509	354	3	2
2014-03-25 20:31:36.576671	11510	20.6	1	1
2014-03-25 20:31:36.797189	11511	51	2	1
2014-03-26 21:10:08.565995	30923	595	3	2
2014-03-26 21:10:08.789759	30924	1087859.4735006662	4	2
2014-03-25 20:32:00.176248	11516	20.6	1	8
2014-03-25 20:32:00.407822	11517	56	2	8
2014-03-25 20:32:15.573651	11518	20.6	1	1
2014-03-25 20:32:15.79743	11519	51	2	1
2014-03-25 20:32:32.731551	11520	338	3	2
2014-03-26 21:10:20.962731	30925	20.6	1	1
2014-03-26 21:10:21.197998	30926	50	2	1
2014-03-25 20:32:39.175516	11525	20.7	1	8
2014-03-25 20:32:39.397375	11526	56	2	8
2014-03-25 20:32:54.57278	11527	20.6	1	1
2014-03-25 20:32:54.795998	11528	51	2	1
2014-03-26 21:10:32.564595	30927	595	3	2
2014-03-26 21:10:32.788857	30928	1087864.069639552	4	2
2014-03-25 20:33:18.174722	11533	20.7	1	8
2014-03-25 20:33:18.39674	11534	56	2	8
2014-03-25 20:33:32.730241	11535	354	3	2
2014-03-25 20:33:33.569909	11536	20.6	1	1
2014-03-25 20:33:33.791469	11537	51	2	1
2014-03-26 21:10:33.689671	30929	24.0	1	10
2014-03-26 21:10:33.933143	30930	41	2	10
2014-03-25 20:33:57.175042	11542	20.7	1	8
2014-03-25 20:33:57.405397	11543	56	2	8
2014-03-25 20:34:12.701724	11544	20.6	1	1
2014-03-25 20:34:13.139909	11545	51	2	1
2014-03-25 20:34:32.729435	11546	354	3	2
2014-03-26 21:10:44.051255	30931	22.3	1	9
2014-03-25 20:34:36.177396	11551	20.7	1	8
2014-03-25 20:34:36.432226	11552	56	2	8
2014-03-25 20:34:51.570745	11553	20.6	1	1
2014-03-25 20:34:52.32051	11554	51	2	1
2014-03-25 20:35:15.174351	11559	20.7	1	8
2014-03-25 20:35:15.92416	11560	56	2	8
2014-03-25 20:26:06.964107	11432	23.6	1	10
2014-03-25 20:26:07.20753	11433	50	2	10
2014-03-25 20:26:45.962552	11441	23.6	1	10
2014-03-25 20:26:46.18526	11442	50	2	10
2014-03-25 20:27:24.962268	11449	23.7	1	10
2014-03-25 20:27:25.184521	11450	50	2	10
2014-03-25 20:28:03.962533	11458	23.7	1	10
2014-03-25 20:28:04.19376	11459	50	2	10
2014-03-25 20:28:42.963186	11467	23.7	1	10
2014-03-25 20:28:43.185987	11468	50	2	10
2014-03-25 20:29:21.962154	11475	23.7	1	10
2014-03-25 20:29:22.185982	11476	50	2	10
2014-03-25 20:30:00.961403	11485	23.7	1	10
2014-03-25 20:30:01.183921	11486	50	2	10
2014-03-25 20:30:39.962133	11495	23.7	1	10
2014-03-25 20:30:40.184367	11496	50	2	10
2014-03-25 20:31:18.962764	11503	23.7	1	10
2014-03-25 20:31:19.184092	11504	50	2	10
2014-03-25 20:31:57.961165	11512	23.7	1	10
2014-03-25 20:31:58.184044	11513	50	2	10
2014-03-25 20:32:36.962331	11521	23.7	1	10
2014-03-25 20:32:37.192058	11522	50	2	10
2014-03-25 20:33:15.963704	11529	23.7	1	10
2014-03-25 20:33:16.187463	11530	50	2	10
2014-03-25 20:33:54.965633	11538	23.8	1	10
2014-03-25 20:33:55.199847	11539	50	2	10
2014-03-25 20:34:33.962969	11547	23.8	1	10
2014-03-25 20:34:34.242824	11548	50	2	10
2014-03-25 20:35:13.001392	11555	23.8	1	10
2014-03-25 20:35:13.27259	11556	50	2	10
2014-03-25 20:35:30.570761	11561	20.6	1	1
2014-03-25 20:35:30.805628	11562	51	2	1
2014-03-25 20:35:32.729527	11563	354	3	2
2014-03-26 21:10:44.274015	30932	48	2	9
2014-03-26 21:10:44.581559	30933	531	3	2
2014-03-25 20:35:54.173955	11568	20.7	1	8
2014-03-25 20:35:54.398322	11569	56	2	8
2014-03-25 20:36:09.570258	11570	20.6	1	1
2014-03-25 20:36:09.791498	11571	51	2	1
2014-03-26 21:10:44.81418	30934	1087865.2186742732	4	2
2014-03-26 21:10:45.139769	30935	22.8	1	8
2014-03-25 20:36:32.728093	11576	354	3	2
2014-03-25 20:36:33.174021	11577	20.7	1	8
2014-03-25 20:36:33.405231	11578	56	2	8
2014-03-25 20:36:44.727267	11579	418	3	2
2014-03-25 20:36:48.568926	11580	20.6	1	1
2014-03-25 20:36:48.791363	11581	51	2	1
2014-03-25 20:36:56.730187	11582	418	3	2
2014-03-26 21:10:45.380535	30936	47	2	8
2014-03-26 21:10:56.568257	30937	579	3	2
2014-03-25 20:37:12.175987	11587	20.7	1	8
2014-03-25 20:37:12.404817	11588	56	2	8
2014-03-25 20:37:27.569595	11589	20.6	1	1
2014-03-25 20:37:27.79365	11590	51	2	1
2014-03-25 20:37:32.729996	11591	418	3	2
2014-03-26 21:10:56.800963	30938	1087867.516743716	4	2
2014-03-26 21:10:59.720707	30939	20.6	1	1
2014-03-25 20:37:51.17503	11596	20.7	1	8
2014-03-25 20:37:51.400406	11597	56	2	8
2014-03-25 20:38:06.569558	11598	20.6	1	1
2014-03-25 20:38:06.793823	11599	50	2	1
2014-03-26 21:10:59.944404	30940	50	2	1
2014-03-26 21:11:08.565837	30941	611	3	2
2014-03-25 20:38:30.175836	11604	20.7	1	8
2014-03-25 20:38:30.397705	11605	56	2	8
2014-03-25 20:38:32.727491	11606	418	3	2
2014-03-25 20:38:45.565484	11607	20.6	1	1
2014-03-25 20:38:45.788678	11608	50	2	1
2014-03-26 21:11:08.798173	30942	1087869.814813159	4	2
2014-03-26 21:11:12.688068	30943	24.0	1	10
2014-03-25 20:39:09.174696	11613	20.7	1	8
2014-03-25 20:39:09.406215	11614	56	2	8
2014-03-25 20:39:24.567347	11615	20.6	1	1
2014-03-25 20:39:24.788587	11616	50	2	1
2014-03-25 20:39:32.725987	11617	418	3	2
2014-03-26 21:11:12.91142	30944	41	2	10
2014-03-26 21:11:20.565781	30945	595	3	2
2014-03-25 20:39:48.174905	11622	20.7	1	8
2014-03-25 20:39:48.395547	11623	56	2	8
2014-03-25 20:40:03.566453	11624	20.6	1	1
2014-03-25 20:40:03.797487	11625	50	2	1
2014-03-26 21:11:20.799999	30946	1087872.1128826018	4	2
2014-03-26 21:11:23.053265	30947	22.3	1	9
2014-03-25 20:40:27.177772	11630	20.7	1	8
2014-03-25 20:40:27.400519	11631	56	2	8
2014-03-25 20:40:32.726072	11632	418	3	2
2014-03-25 20:40:42.56569	11633	20.6	1	1
2014-03-25 20:40:42.786742	11634	50	2	1
2014-03-26 21:11:23.279535	30948	48	2	9
2014-03-26 21:11:24.137698	30949	22.8	1	8
2014-03-25 20:41:06.175675	11639	20.7	1	8
2014-03-25 20:41:06.409958	11640	56	2	8
2014-03-25 20:41:08.729741	11641	354	3	2
2014-03-25 20:41:20.725422	11642	354	3	2
2014-03-25 20:41:21.584351	11643	20.6	1	1
2014-03-25 20:41:21.816593	11644	50	2	1
2014-03-25 20:41:32.7281	11645	354	3	2
2014-03-26 21:11:24.371493	30950	47	2	8
2014-03-26 21:11:32.567987	30951	611	3	2
2014-03-25 20:41:45.174767	11650	20.7	1	8
2014-03-25 20:41:45.405748	11651	56	2	8
2014-03-25 20:42:00.569429	11652	20.6	1	1
2014-03-25 20:42:00.792151	11653	50	2	1
2014-03-26 21:11:32.791132	30952	1087873.261917323	4	2
2014-03-26 21:11:38.72116	30953	20.6	1	1
2014-03-25 20:42:24.174785	11658	20.7	1	8
2014-03-25 20:42:24.406075	11659	56	2	8
2014-03-25 20:42:32.726911	11660	354	3	2
2014-03-25 20:42:39.568062	11661	20.6	1	1
2014-03-25 20:42:39.7935	11662	50	2	1
2014-03-26 21:11:38.954392	30954	50	2	1
2014-03-26 21:11:51.690191	30955	24.0	1	10
2014-03-25 20:43:03.17525	11667	20.7	1	8
2014-03-25 20:43:03.397644	11668	56	2	8
2014-03-25 20:43:18.569229	11669	20.6	1	1
2014-03-25 20:43:18.803306	11670	50	2	1
2014-03-25 20:43:32.730897	11671	354	3	2
2014-03-26 21:11:51.914446	30956	41	2	10
2014-03-26 21:12:02.049152	30957	22.3	1	9
2014-03-25 20:43:42.174664	11676	20.7	1	8
2014-03-25 20:43:42.404911	11677	56	2	8
2014-03-25 20:43:57.564762	11678	20.6	1	1
2014-03-25 20:43:57.787398	11679	50	2	1
2014-03-26 21:12:02.28455	30958	48	2	9
2014-03-26 21:12:03.137703	30959	22.8	1	8
2014-03-25 20:44:21.30116	11684	20.7	1	8
2014-03-25 20:44:21.799913	11685	56	2	8
2014-03-25 20:44:36.364315	11686	354	3	2
2014-03-25 20:44:36.670083	11687	20.6	1	1
2014-03-25 20:44:36.893159	11688	50	2	1
2014-03-26 21:12:03.362178	30960	47	2	8
2014-03-25 20:45:00.174593	11693	20.7	1	8
2014-03-25 20:45:00.396604	11694	57	2	8
2014-03-25 20:45:15.565373	11695	20.6	1	1
2014-03-25 20:45:15.796933	11696	50	2	1
2014-03-25 20:35:51.964251	11564	23.8	1	10
2014-03-25 20:35:52.186369	11565	50	2	10
2014-03-25 20:36:30.96378	11572	23.8	1	10
2014-03-25 20:36:31.186593	11573	50	2	10
2014-03-25 20:37:09.96452	11583	23.8	1	10
2014-03-25 20:37:10.185808	11584	50	2	10
2014-03-25 20:37:48.964805	11592	23.8	1	10
2014-03-25 20:37:49.187971	11593	50	2	10
2014-03-25 20:38:27.96358	11600	23.8	1	10
2014-03-25 20:38:28.184919	11601	50	2	10
2014-03-25 20:39:06.966275	11609	23.8	1	10
2014-03-25 20:39:07.208662	11610	50	2	10
2014-03-25 20:39:45.964494	11618	23.8	1	10
2014-03-25 20:39:46.187434	11619	50	2	10
2014-03-25 20:40:24.963839	11626	23.8	1	10
2014-03-25 20:40:25.188137	11627	50	2	10
2014-03-25 20:41:03.965122	11635	23.9	1	10
2014-03-25 20:41:04.186512	11636	50	2	10
2014-03-25 20:41:42.965843	11646	23.9	1	10
2014-03-25 20:41:43.187361	11647	50	2	10
2014-03-25 20:42:21.964148	11654	23.9	1	10
2014-03-25 20:42:22.207435	11655	50	2	10
2014-03-25 20:43:00.965685	11663	23.9	1	10
2014-03-25 20:43:01.187214	11664	50	2	10
2014-03-25 20:43:39.963366	11672	23.9	1	10
2014-03-25 20:43:40.188008	11673	50	2	10
2014-03-25 20:44:19.101305	11680	23.9	1	10
2014-03-25 20:44:19.539985	11681	50	2	10
2014-03-25 20:45:32.7251	11697	354	3	2
2014-03-26 21:12:17.720154	30961	20.5	1	1
2014-03-26 21:12:17.953989	30962	50	2	1
2014-03-25 20:45:39.177434	11702	20.7	1	8
2014-03-25 20:45:39.400815	11703	57	2	8
2014-03-25 20:45:54.565004	11704	20.6	1	1
2014-03-25 20:45:54.78756	11705	50	2	1
2014-03-26 21:12:30.690447	30963	24.1	1	10
2014-03-26 21:12:30.91495	30964	41	2	10
2014-03-25 20:46:18.176139	11710	20.7	1	8
2014-03-25 20:46:18.407879	11711	57	2	8
2014-03-25 20:46:32.725822	11712	354	3	2
2014-03-25 20:46:33.563817	11713	20.6	1	1
2014-03-25 20:46:33.786669	11714	50	2	1
2014-03-26 21:12:32.569151	30965	611	3	2
2014-03-26 21:12:32.803313	30966	1087883.6032298158	4	2
2014-03-25 20:46:57.175424	11719	20.7	1	8
2014-03-25 20:46:57.399077	11720	57	2	8
2014-03-25 20:47:12.559998	11721	20.6	1	1
2014-03-25 20:47:12.79298	11722	50	2	1
2014-03-25 20:47:32.72997	11723	354	3	2
2014-03-26 21:12:41.049503	30967	22.3	1	9
2014-03-26 21:12:41.273605	30968	48	2	9
2014-03-25 20:47:36.175436	11728	20.7	1	8
2014-03-25 20:47:36.405598	11729	57	2	8
2014-03-25 20:47:51.566053	11730	20.6	1	1
2014-03-25 20:47:51.789572	11731	50	2	1
2014-03-25 20:48:08.728079	11732	418	3	2
2014-03-26 21:12:42.136491	30969	22.8	1	8
2014-03-26 21:12:42.368738	30970	47	2	8
2014-03-25 20:48:15.175641	11737	20.7	1	8
2014-03-25 20:48:15.398496	11738	57	2	8
2014-03-25 20:48:20.729298	11739	402	3	2
2014-03-25 20:48:30.561715	11740	20.6	1	1
2014-03-25 20:48:30.786793	11741	50	2	1
2014-03-25 20:48:32.729221	11742	402	3	2
2014-03-26 21:12:56.71931	30971	20.5	1	1
2014-03-26 21:12:56.943327	30972	50	2	1
2014-03-25 20:48:54.174531	11747	20.7	1	8
2014-03-25 20:48:54.395431	11748	57	2	8
2014-03-25 20:49:09.563178	11749	20.6	1	1
2014-03-25 20:49:09.788916	11750	50	2	1
2014-03-26 21:13:09.689839	30973	24.1	1	10
2014-03-26 21:13:09.92326	30974	41	2	10
2014-03-25 20:49:32.727281	11755	402	3	2
2014-03-25 20:49:33.174257	11756	20.7	1	8
2014-03-25 20:49:33.394353	11757	57	2	8
2014-03-25 20:49:48.56492	11758	20.6	1	1
2014-03-25 20:49:48.797443	11759	50	2	1
2014-03-26 21:13:20.048873	30975	22.3	1	9
2014-03-26 21:13:20.272907	30976	48	2	9
2014-03-25 20:50:12.175241	11764	20.7	1	8
2014-03-25 20:50:12.396107	11765	57	2	8
2014-03-25 20:50:27.560697	11766	20.6	1	1
2014-03-25 20:50:27.793416	11767	50	2	1
2014-03-25 20:50:32.726653	11768	418	3	2
2014-03-26 21:13:20.581905	30977	531	3	2
2014-03-26 21:13:20.826491	30978	1087891.6464728657	4	2
2014-03-25 20:50:51.175846	11773	20.7	1	8
2014-03-25 20:50:51.406625	11774	57	2	8
2014-03-25 20:51:06.560008	11775	20.5	1	1
2014-03-25 20:51:06.7849	11776	50	2	1
2014-03-26 21:13:21.135797	30979	22.8	1	8
2014-03-26 21:13:21.359136	30980	47	2	8
2014-03-25 20:51:30.17468	11781	20.7	1	8
2014-03-25 20:51:30.409343	11782	57	2	8
2014-03-25 20:51:32.726538	11783	418	3	2
2014-03-25 20:51:45.558462	11784	20.5	1	1
2014-03-25 20:51:45.790632	11785	50	2	1
2014-03-26 21:13:32.566268	30981	611	3	2
2014-03-26 21:13:32.799198	30982	1087893.9445423086	4	2
2014-03-25 20:52:09.174149	11790	20.7	1	8
2014-03-25 20:52:09.395446	11791	57	2	8
2014-03-25 20:52:24.557296	11792	20.5	1	1
2014-03-25 20:52:24.789442	11793	50	2	1
2014-03-25 20:52:32.727914	11794	418	3	2
2014-03-25 20:52:44.725063	11795	354	3	2
2014-03-26 21:13:35.721849	30983	20.5	1	1
2014-03-26 21:13:35.947051	30984	50	2	1
2014-03-25 20:52:48.174122	11800	20.7	1	8
2014-03-25 20:52:48.404334	11801	57	2	8
2014-03-25 20:52:56.72529	11802	354	3	2
2014-03-25 20:53:03.562488	11803	20.5	1	1
2014-03-25 20:53:03.783055	11804	50	2	1
2014-03-26 21:13:44.562882	30985	611	3	2
2014-03-26 21:13:44.799188	30986	1087896.2426117514	4	2
2014-03-25 20:53:27.17698	11809	20.7	1	8
2014-03-25 20:53:27.399917	11810	57	2	8
2014-03-25 20:53:32.72394	11811	354	3	2
2014-03-25 20:53:42.559375	11812	20.5	1	1
2014-03-25 20:53:42.783894	11813	50	2	1
2014-03-26 21:13:48.692058	30987	24.1	1	10
2014-03-26 21:13:48.91464	30988	41	2	10
2014-03-25 20:54:06.173385	11818	20.7	1	8
2014-03-25 20:54:06.404344	11819	57	2	8
2014-03-25 20:54:21.556523	11820	20.5	1	1
2014-03-25 20:54:21.780454	11821	50	2	1
2014-03-25 20:54:32.851123	11822	354	3	2
2014-03-26 21:13:59.047611	30989	22.3	1	9
2014-03-26 21:13:59.283856	30990	48	2	9
2014-03-26 21:14:00.13744	30991	22.8	1	8
2014-03-25 20:54:45.174842	11827	20.7	1	8
2014-03-25 20:54:45.39588	11828	57	2	8
2014-03-25 20:55:00.556036	11829	20.5	1	1
2014-03-25 20:55:00.788535	11830	50	2	1
2014-03-25 20:45:36.96662	11698	23.9	1	10
2014-03-25 20:45:37.190543	11699	50	2	10
2014-03-25 20:46:15.970055	11706	23.9	1	10
2014-03-25 20:46:16.201228	11707	50	2	10
2014-03-25 20:46:54.968039	11715	23.9	1	10
2014-03-25 20:46:55.209296	11716	50	2	10
2014-03-25 20:47:33.967446	11724	23.9	1	10
2014-03-25 20:47:34.188276	11725	50	2	10
2014-03-25 20:48:12.968205	11733	24.0	1	10
2014-03-25 20:48:13.189842	11734	50	2	10
2014-03-25 20:48:51.967668	11743	24.0	1	10
2014-03-25 20:48:52.188843	11744	50	2	10
2014-03-25 20:49:30.969313	11751	24.0	1	10
2014-03-25 20:49:31.19846	11752	50	2	10
2014-03-25 20:50:09.975344	11760	24.0	1	10
2014-03-25 20:50:10.196176	11761	50	2	10
2014-03-25 20:50:48.968999	11769	24.0	1	10
2014-03-25 20:50:49.192341	11770	50	2	10
2014-03-25 20:51:27.967716	11777	24.0	1	10
2014-03-25 20:51:28.19853	11778	50	2	10
2014-03-25 20:52:06.969467	11786	24.0	1	10
2014-03-25 20:52:07.193433	11787	50	2	10
2014-03-25 20:52:45.968132	11796	24.0	1	10
2014-03-25 20:52:46.20148	11797	50	2	10
2014-03-25 20:53:24.973922	11805	24.0	1	10
2014-03-25 20:53:25.197398	11806	50	2	10
2014-03-25 20:54:03.970213	11814	24.0	1	10
2014-03-25 20:54:04.201205	11815	50	2	10
2014-03-26 21:14:00.359341	30992	47	2	8
2014-03-26 21:14:14.723497	30993	20.5	1	1
2014-03-25 20:55:24.173606	11835	20.7	1	8
2014-03-25 20:55:24.395863	11836	57	2	8
2014-03-25 20:55:32.725783	11837	354	3	2
2014-03-25 20:55:39.560602	11838	20.5	1	1
2014-03-25 20:55:39.781491	11839	50	2	1
2014-03-26 21:14:14.957831	30994	50	2	1
2014-03-26 21:14:27.689898	30995	24.1	1	10
2014-03-25 20:56:03.17679	11844	20.7	1	8
2014-03-25 20:56:03.405982	11845	57	2	8
2014-03-25 20:56:18.557574	11846	20.5	1	1
2014-03-25 20:56:18.780025	11847	50	2	1
2014-03-25 20:56:32.725239	11848	338	3	2
2014-03-26 21:14:27.914474	30996	41	2	10
2014-03-26 21:14:32.56498	30997	595	3	2
2014-03-25 20:56:42.17727	11853	20.7	1	8
2014-03-25 20:56:42.398064	11854	57	2	8
2014-03-25 20:56:57.555072	11855	20.5	1	1
2014-03-25 20:56:57.786611	11856	50	2	1
2014-03-26 21:14:32.800621	30998	1087904.2858548013	4	2
2014-03-26 21:14:38.048889	30999	22.3	1	9
2014-03-25 20:57:21.176162	11861	20.7	1	8
2014-03-25 20:57:21.400907	11862	57	2	8
2014-03-25 20:57:32.722251	11863	354	3	2
2014-03-25 20:57:36.558045	11864	20.5	1	1
2014-03-25 20:57:36.780165	11865	50	2	1
2014-03-26 21:14:38.276861	31000	48	2	9
2014-03-26 21:14:39.136187	31001	22.8	1	8
2014-03-25 20:58:00.175134	11870	20.8	1	8
2014-03-25 20:58:00.40757	11871	57	2	8
2014-03-25 20:58:15.557693	11872	20.4	1	1
2014-03-25 20:58:15.781431	11873	50	2	1
2014-03-25 20:58:32.723231	11874	354	3	2
2014-03-26 21:14:39.368614	31002	47	2	8
2014-03-26 21:14:53.717698	31003	20.5	1	1
2014-03-25 20:58:39.172773	11879	20.8	1	8
2014-03-25 20:58:39.394203	11880	57	2	8
2014-03-25 20:58:54.555953	11881	20.4	1	1
2014-03-25 20:58:54.789397	11882	50	2	1
2014-03-26 21:14:53.944809	31004	50	2	1
2014-03-26 21:15:06.68917	31005	24.1	1	10
2014-03-25 20:59:18.174667	11887	20.8	1	8
2014-03-25 20:59:18.394844	11888	57	2	8
2014-03-25 20:59:32.727249	11889	354	3	2
2014-03-25 20:59:33.555223	11890	20.4	1	1
2014-03-25 20:59:33.775492	11891	50	2	1
2014-03-26 21:15:06.924463	31006	41	2	10
2014-03-26 21:15:17.049173	31007	22.3	1	9
2014-03-25 20:59:56.723805	11896	402	3	2
2014-03-25 20:59:57.175374	11897	20.8	1	8
2014-03-25 20:59:57.397963	11898	57	2	8
2014-03-25 21:00:08.723641	11899	402	3	2
2014-03-25 21:00:12.55413	11900	20.4	1	1
2014-03-25 21:00:12.784948	11901	50	2	1
2014-03-25 21:00:32.724951	11902	418	3	2
2014-03-26 21:15:17.273861	31008	48	2	9
2014-03-26 21:15:18.137176	31009	22.8	1	8
2014-03-25 21:00:36.173773	11907	20.8	1	8
2014-03-25 21:00:36.394789	11908	57	2	8
2014-03-25 21:00:51.550662	11909	20.4	1	1
2014-03-25 21:00:51.775361	11910	50	2	1
2014-03-26 21:15:18.369984	31010	47	2	8
2014-03-26 21:15:20.567172	31011	547	3	2
2014-03-25 21:01:15.173746	11915	20.8	1	8
2014-03-25 21:01:15.40506	11916	57	2	8
2014-03-25 21:01:20.724997	11917	482	3	2
2014-03-25 21:01:30.554325	11918	20.4	1	1
2014-03-25 21:01:30.776859	11919	50	2	1
2014-03-25 21:01:32.724317	11920	482	3	2
2014-03-26 21:15:20.791732	31012	1087912.3290978512	4	2
2014-03-26 21:15:32.960366	31013	20.5	1	1
2014-03-25 21:01:54.176609	11925	20.8	1	8
2014-03-25 21:01:54.40655	11926	57	2	8
2014-03-25 21:02:09.552328	11927	20.4	1	1
2014-03-25 21:02:09.774798	11928	50	2	1
2014-03-26 21:15:33.194054	31014	50	2	1
2014-03-26 21:15:45.691077	31015	24.1	1	10
2014-03-25 21:02:32.723551	11933	498	3	2
2014-03-25 21:02:33.173882	11934	20.8	1	8
2014-03-25 21:02:33.396282	11935	57	2	8
2014-03-25 21:02:48.553103	11936	20.4	1	1
2014-03-25 21:02:48.775828	11937	50	2	1
2014-03-26 21:15:45.914138	31016	41	2	10
2014-03-26 21:15:56.050645	31017	22.3	1	9
2014-03-25 21:03:12.175199	11942	20.8	1	8
2014-03-25 21:03:12.397995	11943	57	2	8
2014-03-25 21:03:27.557312	11944	20.4	1	1
2014-03-25 21:03:27.784724	11945	50	2	1
2014-03-25 21:03:32.722801	11946	498	3	2
2014-03-26 21:15:56.284424	31018	48	2	9
2014-03-26 21:15:57.138672	31019	22.8	1	8
2014-03-25 21:03:51.175263	11951	20.8	1	8
2014-03-25 21:03:51.449541	11952	57	2	8
2014-03-25 21:04:06.552236	11953	20.4	1	1
2014-03-25 21:04:06.786254	11954	50	2	1
2014-03-25 21:04:20.72561	11955	434	3	2
2014-03-26 21:15:57.363152	31020	47	2	8
2014-03-25 21:04:30.175312	11960	20.8	1	8
2014-03-25 21:04:30.40557	11961	57	2	8
2014-03-25 21:04:32.726992	11962	434	3	2
2014-03-25 21:04:45.678692	11963	20.4	1	1
2014-03-25 21:04:46.099994	11964	50	2	1
2014-03-25 20:56:00.970075	11840	24.1	1	10
2014-03-25 20:56:01.20282	11841	50	2	10
2014-03-25 20:56:39.969388	11849	24.1	1	10
2014-03-25 20:56:40.193341	11850	50	2	10
2014-03-25 20:57:18.970402	11857	24.1	1	10
2014-03-25 20:57:19.192793	11858	50	2	10
2014-03-25 20:57:57.97047	11866	24.1	1	10
2014-03-25 20:57:58.215919	11867	50	2	10
2014-03-25 20:58:36.970595	11875	24.1	1	10
2014-03-25 20:58:37.19195	11876	50	2	10
2014-03-25 20:59:15.970764	11883	24.1	1	10
2014-03-25 20:59:16.19093	11884	50	2	10
2014-03-25 20:59:54.970213	11892	24.1	1	10
2014-03-25 20:59:55.192555	11893	50	2	10
2014-03-25 21:00:33.972782	11903	24.1	1	10
2014-03-25 21:00:34.194129	11904	50	2	10
2014-03-25 21:01:12.970802	11911	24.1	1	10
2014-03-25 21:01:13.203608	11912	50	2	10
2014-03-25 21:01:51.971626	11921	24.2	1	10
2014-03-25 21:01:52.195815	11922	50	2	10
2014-03-25 21:02:30.971741	11929	24.2	1	10
2014-03-25 21:02:31.211411	11930	50	2	10
2014-03-25 21:03:09.971485	11938	24.2	1	10
2014-03-25 21:03:10.19275	11939	50	2	10
2014-03-25 21:03:48.971918	11947	24.2	1	10
2014-03-25 21:03:49.193099	11948	50	2	10
2014-03-25 21:04:27.971401	11956	24.2	1	10
2014-03-25 21:04:28.193372	11957	50	2	10
2014-03-25 21:05:06.971553	11965	24.2	1	10
2014-03-25 21:05:07.193496	11966	50	2	10
2014-03-25 21:05:09.17574	11969	20.8	1	8
2014-03-25 21:05:09.396626	11970	57	2	8
2014-03-25 21:05:24.550727	11971	20.4	1	1
2014-03-25 21:05:24.782939	11972	50	2	1
2014-03-25 21:05:32.725448	11973	434	3	2
2014-03-25 21:05:44.724576	11974	370	3	2
2014-03-26 21:16:11.717821	31021	20.5	1	1
2014-03-26 21:16:11.953026	31022	50	2	1
2014-03-25 21:05:48.174435	11979	20.8	1	8
2014-03-25 21:05:48.405531	11980	57	2	8
2014-03-25 21:05:56.723372	11981	370	3	2
2014-03-25 21:06:03.55207	11982	20.4	1	1
2014-03-25 21:06:03.775611	11983	50	2	1
2014-03-26 21:16:24.690202	31023	24.1	1	10
2014-03-26 21:16:24.916433	31024	41	2	10
2014-03-25 21:06:27.173142	11988	20.8	1	8
2014-03-25 21:06:27.403054	11989	57	2	8
2014-03-25 21:06:32.722897	11990	370	3	2
2014-03-25 21:06:42.552588	11991	20.4	1	1
2014-03-25 21:06:42.774939	11992	50	2	1
2014-03-26 21:16:32.568767	31025	515	3	2
2014-03-26 21:16:32.814417	31026	1087922.670410344	4	2
2014-03-25 21:07:06.175752	11997	20.8	1	8
2014-03-25 21:07:06.406618	11998	57	2	8
2014-03-25 21:07:21.552161	11999	20.4	1	1
2014-03-25 21:07:21.774076	12000	50	2	1
2014-03-25 21:07:32.723685	12001	370	3	2
2014-03-26 21:16:35.048003	31027	22.3	1	9
2014-03-26 21:16:35.273063	31028	48	2	9
2014-03-25 21:07:45.174571	12006	20.8	1	8
2014-03-25 21:07:45.397866	12007	57	2	8
2014-03-25 21:08:00.549522	12008	20.4	1	1
2014-03-25 21:08:00.782784	12009	50	2	1
2014-03-26 21:16:36.137617	31029	22.7	1	8
2014-03-26 21:16:36.370568	31030	47	2	8
2014-03-25 21:08:24.175188	12014	20.8	1	8
2014-03-25 21:08:24.398284	12015	57	2	8
2014-03-25 21:08:32.723545	12016	370	3	2
2014-03-25 21:08:39.549843	12017	20.3	1	1
2014-03-25 21:08:39.774104	12018	50	2	1
2014-03-26 21:16:44.566173	31031	531	3	2
2014-03-26 21:16:44.79036	31032	1087924.9684797868	4	2
2014-03-25 21:09:03.17501	12023	20.8	1	8
2014-03-25 21:09:03.396275	12024	57	2	8
2014-03-25 21:09:18.551913	12025	20.3	1	1
2014-03-25 21:09:18.775449	12026	50	2	1
2014-03-25 21:09:32.723127	12027	370	3	2
2014-03-26 21:16:50.718713	31033	20.5	1	1
2014-03-26 21:16:50.953813	31034	50	2	1
2014-03-25 21:09:42.175989	12032	20.8	1	8
2014-03-25 21:09:42.396991	12033	57	2	8
2014-03-25 21:09:57.550762	12034	20.3	1	1
2014-03-25 21:09:57.784635	12035	50	2	1
2014-03-26 21:17:03.691017	31035	24.1	1	10
2014-03-26 21:17:03.915373	31036	41	2	10
2014-03-25 21:10:21.173331	12040	20.8	1	8
2014-03-25 21:10:21.394957	12041	57	2	8
2014-03-25 21:10:32.722767	12042	370	3	2
2014-03-25 21:10:36.550486	12043	20.3	1	1
2014-03-25 21:10:36.774352	12044	50	2	1
2014-03-26 21:17:14.049308	31037	22.3	1	9
2014-03-26 21:17:14.283704	31038	48	2	9
2014-03-25 21:11:00.175553	12049	20.8	1	8
2014-03-25 21:11:00.405927	12050	57	2	8
2014-03-25 21:11:15.551809	12051	20.3	1	1
2014-03-25 21:11:15.776162	12052	50	2	1
2014-03-25 21:11:32.723987	12053	402	3	2
2014-03-26 21:17:15.135455	31039	22.7	1	8
2014-03-26 21:17:15.35875	31040	47	2	8
2014-03-25 21:11:39.174329	12058	20.8	1	8
2014-03-25 21:11:39.396549	12059	57	2	8
2014-03-25 21:11:44.723939	12060	370	3	2
2014-03-25 21:11:54.549788	12061	20.3	1	1
2014-03-25 21:11:54.77248	12062	50	2	1
2014-03-25 21:11:56.72323	12063	402	3	2
2014-03-25 21:12:08.724004	12064	370	3	2
2014-03-26 21:17:20.565964	31041	482	3	2
2014-03-26 21:17:20.799883	31042	1087929.5646186725	4	2
2014-03-25 21:12:18.17705	12069	20.8	1	8
2014-03-25 21:12:18.399843	12070	57	2	8
2014-03-25 21:12:20.723321	12071	370	3	2
2014-03-25 21:12:32.722463	12072	370	3	2
2014-03-25 21:12:33.549231	12073	20.3	1	1
2014-03-25 21:12:33.772011	12074	50	2	1
2014-03-26 21:17:29.718993	31043	20.5	1	1
2014-03-26 21:17:29.943817	31044	50	2	1
2014-03-25 21:12:57.174309	12079	20.8	1	8
2014-03-25 21:12:57.398317	12080	57	2	8
2014-03-25 21:13:12.549673	12081	20.3	1	1
2014-03-25 21:13:12.781743	12082	50	2	1
2014-03-25 21:13:20.723775	12083	434	3	2
2014-03-25 21:13:33.773918	12084	434	3	2
2014-03-26 21:17:32.564067	31045	450	3	2
2014-03-26 21:17:32.799082	31046	1087931.8626881153	4	2
2014-03-25 21:13:36.175686	12089	20.8	1	8
2014-03-25 21:13:36.408325	12090	57	2	8
2014-03-25 21:13:51.545603	12091	20.3	1	1
2014-03-25 21:13:51.824841	12092	50	2	1
2014-03-26 21:17:42.691012	31047	24.1	1	10
2014-03-26 21:17:42.917934	31048	41	2	10
2014-03-26 21:17:44.566446	31049	482	3	2
2014-03-25 21:14:15.174189	12097	20.8	1	8
2014-03-25 21:14:15.407225	12098	57	2	8
2014-03-25 21:14:30.550316	12099	20.3	1	1
2014-03-25 21:14:30.772971	12100	50	2	1
2014-03-25 21:14:32.723424	12101	434	3	2
2014-03-25 21:05:45.974067	11975	24.2	1	10
2014-03-25 21:05:46.206826	11976	50	2	10
2014-03-25 21:06:24.972253	11984	24.2	1	10
2014-03-25 21:06:25.195935	11985	50	2	10
2014-03-25 21:07:03.972993	11993	24.2	1	10
2014-03-25 21:07:04.205217	11994	50	2	10
2014-03-25 21:07:42.972722	12002	24.2	1	10
2014-03-25 21:07:43.196709	12003	50	2	10
2014-03-25 21:08:21.973967	12010	24.2	1	10
2014-03-25 21:08:22.198482	12011	50	2	10
2014-03-25 21:09:00.973097	12019	24.2	1	10
2014-03-25 21:09:01.196131	12020	50	2	10
2014-03-25 21:09:39.972603	12028	24.3	1	10
2014-03-25 21:09:40.19641	12029	50	2	10
2014-03-25 21:10:18.972621	12036	24.3	1	10
2014-03-25 21:10:19.196873	12037	50	2	10
2014-03-25 21:10:57.977007	12045	24.3	1	10
2014-03-25 21:10:58.206563	12046	50	2	10
2014-03-25 21:11:36.976827	12054	24.3	1	10
2014-03-25 21:11:37.197638	12055	50	2	10
2014-03-25 21:12:15.973509	12065	24.3	1	10
2014-03-25 21:12:16.199028	12066	50	2	10
2014-03-25 21:12:54.975676	12075	24.3	1	10
2014-03-25 21:12:55.203475	12076	50	2	10
2014-03-25 21:13:34.081352	12085	24.3	1	10
2014-03-25 21:13:34.315901	12086	50	2	10
2014-03-25 21:14:12.975031	12093	24.3	1	10
2014-03-26 21:17:44.799506	31050	1087933.0117228366	4	2
2014-03-25 21:14:54.174669	12106	20.8	1	8
2014-03-25 21:14:54.396968	12107	57	2	8
2014-03-25 21:15:09.67983	12108	20.3	1	1
2014-03-25 21:15:10.119832	12109	50	2	1
2014-03-26 21:17:53.048271	31051	22.3	1	9
2014-03-26 21:17:53.272484	31052	48	2	9
2014-03-25 21:15:32.723989	12114	434	3	2
2014-03-25 21:15:33.175224	12115	20.8	1	8
2014-03-25 21:15:33.397512	12116	57	2	8
2014-03-25 21:15:44.722239	12117	370	3	2
2014-03-25 21:15:48.54608	12118	20.3	1	1
2014-03-25 21:15:48.77052	12119	50	2	1
2014-03-25 21:15:56.72305	12120	370	3	2
2014-03-26 21:17:54.135827	31053	22.7	1	8
2014-03-26 21:17:54.368561	31054	47	2	8
2014-03-25 21:16:12.176037	12125	20.8	1	8
2014-03-25 21:16:12.408067	12126	57	2	8
2014-03-25 21:16:27.548597	12127	20.3	1	1
2014-03-25 21:16:27.795528	12128	50	2	1
2014-03-25 21:16:32.723084	12129	370	3	2
2014-03-26 21:17:56.567681	31055	466	3	2
2014-03-26 21:17:56.790539	31056	1087934.1607575582	4	2
2014-03-25 21:16:51.175383	12134	20.8	1	8
2014-03-25 21:16:51.398855	12135	57	2	8
2014-03-25 21:17:06.54537	12136	20.3	1	1
2014-03-25 21:17:06.784053	12137	50	2	1
2014-03-26 21:18:08.707068	31057	20.5	1	1
2014-03-26 21:18:08.943643	31058	50	2	1
2014-03-25 21:17:30.175799	12142	20.8	1	8
2014-03-25 21:17:30.398992	12143	57	2	8
2014-03-25 21:17:32.721066	12144	354	3	2
2014-03-25 21:17:45.546449	12145	20.3	1	1
2014-03-25 21:17:45.767025	12146	50	2	1
2014-03-26 21:18:20.566	31059	434	3	2
2014-03-26 21:18:20.793776	31060	1087937.6078617224	4	2
2014-03-25 21:18:09.176119	12151	20.8	1	8
2014-03-25 21:18:09.405179	12152	57	2	8
2014-03-25 21:18:20.719046	12153	305	3	2
2014-03-25 21:18:24.546075	12154	20.3	1	1
2014-03-25 21:18:24.768226	12155	50	2	1
2014-03-25 21:18:32.720274	12156	305	3	2
2014-03-26 21:18:21.692825	31061	24.1	1	10
2014-03-26 21:18:21.927169	31062	41	2	10
2014-03-25 21:18:48.174762	12161	20.8	1	8
2014-03-25 21:18:48.405584	12162	57	2	8
2014-03-25 21:19:03.544944	12163	20.3	1	1
2014-03-25 21:19:03.766975	12164	50	2	1
2014-03-26 21:18:32.049134	31063	22.3	1	9
2014-03-26 21:18:32.294284	31064	48	2	9
2014-03-25 21:19:27.175779	12169	20.8	1	8
2014-03-25 21:19:27.408007	12170	57	2	8
2014-03-25 21:19:32.718599	12171	305	3	2
2014-03-25 21:19:42.54404	12172	20.2	1	1
2014-03-25 21:19:42.767373	12173	50	2	1
2014-03-26 21:18:32.602985	31065	466	3	2
2014-03-26 21:18:32.83541	31066	1087938.756896444	4	2
2014-03-25 21:20:06.175239	12178	20.8	1	8
2014-03-25 21:20:06.398025	12179	57	2	8
2014-03-25 21:20:21.545621	12180	20.2	1	1
2014-03-25 21:20:21.780161	12181	50	2	1
2014-03-25 21:20:32.724329	12182	305	3	2
2014-03-26 21:18:33.143304	31067	22.7	1	8
2014-03-26 21:18:33.365997	31068	47	2	8
2014-03-25 21:20:45.175017	12187	20.8	1	8
2014-03-25 21:20:45.417278	12188	57	2	8
2014-03-25 21:21:00.543301	12189	20.2	1	1
2014-03-25 21:21:00.766208	12190	50	2	1
2014-03-26 21:18:44.567315	31069	450	3	2
2014-03-26 21:18:44.800865	31070	1087939.9104021175	4	2
2014-03-25 21:21:24.174601	12195	20.8	1	8
2014-03-25 21:21:24.406856	12196	57	2	8
2014-03-25 21:21:32.72236	12197	305	3	2
2014-03-25 21:21:39.54171	12198	20.2	1	1
2014-03-25 21:21:39.764228	12199	50	2	1
2014-03-26 21:18:47.718272	31071	20.5	1	1
2014-03-26 21:18:47.941654	31072	50	2	1
2014-03-25 21:22:03.173931	12204	20.8	1	8
2014-03-25 21:22:03.396137	12205	57	2	8
2014-03-25 21:22:18.543052	12206	20.2	1	1
2014-03-25 21:22:18.793691	12207	50	2	1
2014-03-25 21:22:32.719329	12208	305	3	2
2014-03-26 21:19:00.692559	31073	24.1	1	10
2014-03-26 21:19:00.9379	31074	41	2	10
2014-03-25 21:22:42.177317	12213	20.8	1	8
2014-03-25 21:22:42.408543	12214	57	2	8
2014-03-25 21:22:57.541838	12215	20.2	1	1
2014-03-25 21:22:57.765227	12216	50	2	1
2014-03-26 21:19:08.569137	31075	482	3	2
2014-03-26 21:19:08.794473	31076	1087943.3575062817	4	2
2014-03-25 21:23:21.176933	12221	20.8	1	8
2014-03-25 21:23:21.407531	12222	57	2	8
2014-03-25 21:23:32.723015	12223	305	3	2
2014-03-25 21:23:36.542489	12224	20.2	1	1
2014-03-25 21:23:36.764998	12225	50	2	1
2014-03-26 21:19:11.04861	31077	22.3	1	9
2014-03-26 21:19:11.281818	31078	48	2	9
2014-03-25 21:24:00.174439	12230	20.8	1	8
2014-03-25 21:24:00.397806	12231	56	2	8
2014-03-25 21:24:15.540695	12232	20.2	1	1
2014-03-25 21:24:15.784105	12233	50	2	1
2014-03-25 21:24:32.722186	12234	305	3	2
2014-03-25 21:24:39.174469	12239	20.8	1	8
2014-03-25 21:24:39.39871	12240	56	2	8
2014-03-25 21:15:30.975076	12110	24.3	1	10
2014-03-25 21:15:31.196825	12111	50	2	10
2014-03-25 21:16:09.976498	12121	24.3	1	10
2014-03-25 21:16:10.198747	12122	50	2	10
2014-03-25 21:16:48.978239	12130	24.3	1	10
2014-03-25 21:16:49.20037	12131	50	2	10
2014-03-25 21:17:27.979787	12138	24.3	1	10
2014-03-25 21:17:28.203653	12139	50	2	10
2014-03-25 21:18:06.974644	12147	24.3	1	10
2014-03-25 21:18:07.198875	12148	50	2	10
2014-03-25 21:18:45.975904	12157	24.3	1	10
2014-03-25 21:18:46.196825	12158	50	2	10
2014-03-25 21:19:24.976367	12165	24.3	1	10
2014-03-25 21:19:25.207832	12166	50	2	10
2014-03-25 21:20:03.977355	12174	24.3	1	10
2014-03-25 21:20:04.199217	12175	50	2	10
2014-03-25 21:20:42.977771	12183	24.3	1	10
2014-03-25 21:20:43.201288	12184	50	2	10
2014-03-25 21:21:21.977975	12191	24.3	1	10
2014-03-25 21:21:22.210232	12192	50	2	10
2014-03-25 21:22:00.97819	12200	24.3	1	10
2014-03-25 21:22:01.201756	12201	50	2	10
2014-03-25 21:22:39.979456	12209	24.3	1	10
2014-03-25 21:22:40.204444	12210	50	2	10
2014-03-25 21:23:18.978682	12217	24.4	1	10
2014-03-25 21:23:19.211408	12218	50	2	10
2014-03-25 21:23:57.982857	12226	24.4	1	10
2014-03-25 21:23:58.206865	12227	50	2	10
2014-03-25 21:24:36.979046	12235	24.4	1	10
2014-03-25 21:24:54.545349	12241	20.2	1	1
2014-03-25 21:24:54.768132	12242	50	2	1
2014-03-26 21:19:12.137992	31079	22.7	1	8
2014-03-26 21:19:12.363511	31080	47	2	8
2014-03-25 21:25:18.310016	12247	20.8	1	8
2014-03-25 21:25:18.760048	12248	56	2	8
2014-03-25 21:25:32.722106	12249	305	3	2
2014-03-25 21:25:33.541945	12250	20.2	1	1
2014-03-25 21:25:33.76691	12251	50	2	1
2014-03-26 21:19:20.565646	31081	482	3	2
2014-03-26 21:19:20.802111	31082	1087944.506541003	4	2
2014-03-25 21:25:56.719939	12256	354	3	2
2014-03-25 21:25:57.175132	12257	20.8	1	8
2014-03-25 21:25:57.404704	12258	56	2	8
2014-03-25 21:26:08.723165	12259	354	3	2
2014-03-25 21:26:12.539166	12260	20.2	1	1
2014-03-25 21:26:12.762266	12261	50	2	1
2014-03-25 21:26:32.718198	12262	354	3	2
2014-03-26 21:19:26.718697	31083	20.5	1	1
2014-03-26 21:19:26.942481	31084	50	2	1
2014-03-25 21:26:36.17466	12267	20.8	1	8
2014-03-25 21:26:36.397955	12268	56	2	8
2014-03-25 21:26:51.541215	12269	20.2	1	1
2014-03-25 21:26:51.77357	12270	50	2	1
2014-03-26 21:19:39.489113	31085	482	3	2
2014-03-26 21:19:39.724716	31086	1087945.6555757246	4	2
2014-03-25 21:27:15.174948	12275	20.8	1	8
2014-03-25 21:27:15.396913	12276	56	2	8
2014-03-25 21:27:30.544208	12277	20.2	1	1
2014-03-25 21:27:30.790388	12278	50	2	1
2014-03-25 21:27:32.717988	12279	354	3	2
2014-03-26 21:19:40.031694	31087	24.1	1	10
2014-03-26 21:19:40.254876	31088	41	2	10
2014-03-25 21:27:54.173305	12284	20.8	1	8
2014-03-25 21:27:54.404585	12285	56	2	8
2014-03-25 21:28:09.541404	12286	20.2	1	1
2014-03-25 21:28:09.76548	12287	50	2	1
2014-03-26 21:19:50.048263	31089	22.3	1	9
2014-03-26 21:19:50.282326	31090	48	2	9
2014-03-25 21:28:32.719728	12292	354	3	2
2014-03-25 21:28:33.175716	12293	20.8	1	8
2014-03-25 21:28:33.39648	12294	56	2	8
2014-03-25 21:28:48.540941	12295	20.1	1	1
2014-03-25 21:28:48.773588	12296	50	2	1
2014-03-26 21:19:51.136082	31091	22.7	1	8
2014-03-26 21:19:51.359856	31092	47	2	8
2014-03-25 21:29:12.176074	12301	20.8	1	8
2014-03-25 21:29:12.400875	12302	56	2	8
2014-03-25 21:29:27.535832	12303	20.1	1	1
2014-03-25 21:29:27.768867	12304	50	2	1
2014-03-25 21:29:32.721853	12305	354	3	2
2014-03-26 21:20:05.719255	31093	20.5	1	1
2014-03-26 21:20:05.955296	31094	50	2	1
2014-03-25 21:29:51.174295	12310	20.8	1	8
2014-03-25 21:29:51.407797	12311	56	2	8
2014-03-25 21:30:06.538732	12312	20.1	1	1
2014-03-25 21:30:06.760586	12313	50	2	1
2014-03-26 21:20:18.682168	31095	24.1	1	10
2014-03-26 21:20:18.90705	31096	41	2	10
2014-03-25 21:30:30.175552	12318	20.8	1	8
2014-03-25 21:30:30.407325	12319	56	2	8
2014-03-25 21:30:32.720749	12320	305	3	2
2014-03-25 21:30:44.719386	12321	305	3	2
2014-03-25 21:30:45.540924	12322	20.1	1	1
2014-03-25 21:30:45.784337	12323	50	2	1
2014-03-26 21:20:29.048068	31097	22.3	1	9
2014-03-26 21:20:29.336218	31098	48	2	9
2014-03-25 21:31:09.174219	12328	20.8	1	8
2014-03-25 21:31:09.395432	12329	56	2	8
2014-03-25 21:31:24.53547	12330	20.1	1	1
2014-03-25 21:31:24.768853	12331	50	2	1
2014-03-25 21:31:32.723819	12332	305	3	2
2014-03-26 21:20:30.136173	31099	22.7	1	8
2014-03-26 21:20:30.360322	31100	47	2	8
2014-03-25 21:31:48.173986	12337	20.8	1	8
2014-03-25 21:31:48.405691	12338	56	2	8
2014-03-25 21:32:03.536964	12339	20.1	1	1
2014-03-25 21:32:03.760422	12340	50	2	1
2014-03-26 21:20:32.569287	31101	482	3	2
2014-03-26 21:20:32.802608	31102	1087954.8478534957	4	2
2014-03-25 21:32:27.174306	12345	20.8	1	8
2014-03-25 21:32:27.407029	12346	56	2	8
2014-03-25 21:32:32.717364	12347	305	3	2
2014-03-25 21:32:42.53777	12348	20.1	1	1
2014-03-25 21:32:42.762739	12349	50	2	1
2014-03-26 21:20:44.719419	31103	20.5	1	1
2014-03-26 21:20:44.945123	31104	50	2	1
2014-03-25 21:33:06.174176	12354	20.8	1	8
2014-03-25 21:33:06.39478	12355	56	2	8
2014-03-25 21:33:21.534482	12356	20.1	1	1
2014-03-25 21:33:21.76799	12357	50	2	1
2014-03-25 21:33:32.719492	12358	305	3	2
2014-03-26 21:20:57.692624	31105	24.2	1	10
2014-03-26 21:20:57.929712	31106	41	2	10
2014-03-25 21:33:45.175192	12363	20.8	1	8
2014-03-25 21:33:45.397134	12364	56	2	8
2014-03-25 21:34:00.537967	12365	20.1	1	1
2014-03-25 21:34:00.76248	12366	50	2	1
2014-03-26 21:21:08.049578	31107	22.3	1	9
2014-03-26 21:21:08.273711	31108	48	2	9
2014-03-25 21:34:24.175089	12371	20.8	1	8
2014-03-25 21:34:24.407918	12372	56	2	8
2014-03-25 21:34:32.719987	12373	305	3	2
2014-03-25 21:34:39.534884	12374	20.1	1	1
2014-03-25 21:34:39.777519	12375	50	2	1
2014-03-25 21:25:16.110015	12243	24.4	1	10
2014-03-25 21:25:16.570025	12244	50	2	10
2014-03-25 21:25:54.978809	12252	24.4	1	10
2014-03-25 21:25:55.201912	12253	50	2	10
2014-03-25 21:26:33.97872	12263	24.4	1	10
2014-03-25 21:26:34.201768	12264	50	2	10
2014-03-25 21:27:12.980623	12271	24.4	1	10
2014-03-25 21:27:13.204636	12272	50	2	10
2014-03-25 21:27:51.983366	12280	24.4	1	10
2014-03-25 21:27:52.263685	12281	50	2	10
2014-03-25 21:28:30.980005	12288	24.4	1	10
2014-03-25 21:28:31.214304	12289	50	2	10
2014-03-25 21:29:09.988579	12297	24.4	1	10
2014-03-25 21:29:10.212132	12298	50	2	10
2014-03-25 21:29:48.978598	12306	24.4	1	10
2014-03-25 21:29:49.202302	12307	50	2	10
2014-03-25 21:30:27.981885	12314	24.4	1	10
2014-03-25 21:30:28.218254	12315	50	2	10
2014-03-25 21:31:06.980854	12324	24.4	1	10
2014-03-25 21:31:07.203798	12325	50	2	10
2014-03-25 21:31:45.979078	12333	24.4	1	10
2014-03-25 21:31:46.205963	12334	49	2	10
2014-03-25 21:32:24.979353	12341	24.4	1	10
2014-03-25 21:32:25.214551	12342	49	2	10
2014-03-25 21:33:03.98276	12350	24.4	1	10
2014-03-25 21:33:04.20447	12351	49	2	10
2014-03-25 21:33:42.980066	12359	24.4	1	10
2014-03-25 21:33:43.205628	12360	49	2	10
2014-03-26 21:21:09.135644	31109	22.7	1	8
2014-03-26 21:21:09.369042	31110	47	2	8
2014-03-25 21:35:03.173992	12380	20.8	1	8
2014-03-25 21:35:03.395969	12381	56	2	8
2014-03-25 21:35:18.536523	12382	20.1	1	1
2014-03-25 21:35:18.76936	12383	50	2	1
2014-03-25 21:35:32.850148	12384	305	3	2
2014-03-26 21:21:23.71648	31111	20.5	1	1
2014-03-26 21:21:23.941391	31112	50	2	1
2014-03-25 21:35:42.175788	12389	20.8	1	8
2014-03-25 21:35:42.406195	12390	56	2	8
2014-03-25 21:35:57.53662	12391	20.1	1	1
2014-03-25 21:35:57.765117	12392	50	2	1
2014-03-26 21:21:32.565067	31113	498	3	2
2014-03-26 21:21:32.799646	31114	1087962.8910965458	4	2
2014-03-25 21:36:21.176024	12397	20.8	1	8
2014-03-25 21:36:21.409476	12398	56	2	8
2014-03-25 21:36:32.723919	12399	305	3	2
2014-03-25 21:36:36.533939	12400	20.0	1	1
2014-03-25 21:36:36.760034	12401	50	2	1
2014-03-26 21:21:36.69475	31115	24.2	1	10
2014-03-26 21:21:36.921218	31116	41	2	10
2014-03-25 21:37:00.173764	12406	20.8	1	8
2014-03-25 21:37:00.397633	12407	56	2	8
2014-03-25 21:37:15.533441	12408	20.0	1	1
2014-03-25 21:37:15.767089	12409	50	2	1
2014-03-25 21:37:32.724181	12410	305	3	2
2014-03-26 21:21:47.050646	31117	22.3	1	9
2014-03-26 21:21:47.285791	31118	48	2	9
2014-03-25 21:37:39.174094	12415	20.8	1	8
2014-03-25 21:37:39.398433	12416	56	2	8
2014-03-25 21:37:54.536273	12417	20.0	1	1
2014-03-25 21:37:54.759709	12418	50	2	1
2014-03-25 21:38:08.720788	12419	354	3	2
2014-03-26 21:21:48.137015	31119	22.7	1	8
2014-03-26 21:21:48.359133	31120	47	2	8
2014-03-25 21:38:18.174407	12424	20.8	1	8
2014-03-25 21:38:18.396674	12425	56	2	8
2014-03-25 21:38:20.719883	12426	354	3	2
2014-03-25 21:38:32.72024	12427	354	3	2
2014-03-25 21:38:33.532278	12428	20.0	1	1
2014-03-25 21:38:33.754682	12429	50	2	1
2014-03-26 21:22:02.719063	31121	20.5	1	1
2014-03-26 21:22:02.96288	31122	50	2	1
2014-03-25 21:38:57.175613	12434	20.8	1	8
2014-03-25 21:38:57.395902	12435	56	2	8
2014-03-25 21:39:12.534311	12436	20.0	1	1
2014-03-25 21:39:12.766689	12437	50	2	1
2014-03-25 21:39:32.721986	12438	370	3	2
2014-03-26 21:22:15.691944	31123	24.2	1	10
2014-03-26 21:22:15.916721	31124	41	2	10
2014-03-25 21:39:36.175018	12443	20.8	1	8
2014-03-25 21:39:36.398747	12444	56	2	8
2014-03-25 21:39:51.533868	12445	20.0	1	1
2014-03-25 21:39:51.757405	12446	50	2	1
2014-03-25 21:40:12.782777	12447	402	3	2
2014-03-26 21:22:26.050006	31125	22.3	1	9
2014-03-26 21:22:26.285747	31126	48	2	9
2014-03-25 21:40:15.174533	12452	20.8	1	8
2014-03-25 21:40:15.408783	12453	56	2	8
2014-03-25 21:40:20.71925	12454	370	3	2
2014-03-25 21:40:30.533925	12455	20.0	1	1
2014-03-25 21:40:30.756102	12456	50	2	1
2014-03-25 21:40:32.716803	12457	370	3	2
2014-03-26 21:22:27.13485	31127	22.7	1	8
2014-03-26 21:22:27.360392	31128	47	2	8
2014-03-25 21:40:54.174634	12462	20.8	1	8
2014-03-25 21:40:54.407496	12463	56	2	8
2014-03-25 21:41:09.53489	12464	20.0	1	1
2014-03-25 21:41:09.757335	12465	50	2	1
2014-03-26 21:22:41.511953	31129	531	3	2
2014-03-26 21:22:41.747547	31130	1087970.9343395957	4	2
2014-03-25 21:41:32.717735	12470	370	3	2
2014-03-25 21:41:33.174939	12471	20.8	1	8
2014-03-25 21:41:33.397282	12472	56	2	8
2014-03-25 21:41:44.716136	12473	338	3	2
2014-03-25 21:41:48.532098	12474	20.0	1	1
2014-03-25 21:41:48.765779	12475	50	2	1
2014-03-25 21:41:56.720797	12476	338	3	2
2014-03-26 21:22:42.055387	31131	20.5	1	1
2014-03-26 21:22:42.280278	31132	50	2	1
2014-03-25 21:42:12.173461	12481	20.8	1	8
2014-03-25 21:42:12.405913	12482	56	2	8
2014-03-25 21:42:27.529361	12483	20.0	1	1
2014-03-25 21:42:27.752931	12484	50	2	1
2014-03-25 21:42:32.72032	12485	338	3	2
2014-03-26 21:22:44.564815	31133	531	3	2
2014-03-26 21:22:44.797655	31134	1087972.083374317	4	2
2014-03-25 21:42:51.17388	12490	20.8	1	8
2014-03-25 21:42:51.397009	12491	56	2	8
2014-03-25 21:43:06.529272	12492	20.0	1	1
2014-03-25 21:43:06.763275	12493	50	2	1
2014-03-26 21:22:54.692151	31135	24.2	1	10
2014-03-26 21:22:54.916089	31136	41	2	10
2014-03-25 21:43:30.173566	12498	20.8	1	8
2014-03-25 21:43:30.395515	12499	56	2	8
2014-03-25 21:43:32.719356	12500	338	3	2
2014-03-25 21:43:45.529499	12501	20.0	1	1
2014-03-25 21:43:45.753335	12502	50	2	1
2014-03-26 21:23:05.048916	31137	22.3	1	9
2014-03-25 21:44:09.172852	12507	20.8	1	8
2014-03-25 21:44:09.394802	12508	56	2	8
2014-03-25 21:44:24.528152	12509	20.0	1	1
2014-03-25 21:44:24.757852	12510	50	2	1
2014-03-25 21:44:32.720213	12511	338	3	2
2014-03-25 21:35:01.204299	12377	49	2	10
2014-03-25 21:35:39.981057	12385	24.4	1	10
2014-03-25 21:35:40.2027	12386	49	2	10
2014-03-25 21:36:18.981972	12393	24.4	1	10
2014-03-25 21:36:19.214584	12394	49	2	10
2014-03-25 21:36:57.986508	12402	24.4	1	10
2014-03-25 21:36:58.209893	12403	49	2	10
2014-03-25 21:37:36.98323	12411	24.4	1	10
2014-03-25 21:37:37.213336	12412	49	2	10
2014-03-25 21:38:15.984829	12420	24.4	1	10
2014-03-25 21:38:16.208688	12421	49	2	10
2014-03-25 21:38:54.98256	12430	24.4	1	10
2014-03-25 21:38:55.207139	12431	49	2	10
2014-03-25 21:39:33.983214	12439	24.4	1	10
2014-03-25 21:39:34.208577	12440	49	2	10
2014-03-25 21:40:13.090671	12448	24.4	1	10
2014-03-25 21:40:13.327899	12449	49	2	10
2014-03-25 21:40:51.982508	12458	24.4	1	10
2014-03-25 21:40:52.205275	12459	49	2	10
2014-03-25 21:41:30.983059	12466	24.4	1	10
2014-03-25 21:41:31.217757	12467	49	2	10
2014-03-25 21:42:09.982675	12477	24.4	1	10
2014-03-25 21:42:10.205964	12478	49	2	10
2014-03-25 21:42:48.984432	12486	24.4	1	10
2014-03-25 21:42:49.211598	12487	49	2	10
2014-03-25 21:43:27.985457	12494	24.4	1	10
2014-03-25 21:43:28.207993	12495	49	2	10
2014-03-25 21:44:06.984122	12503	24.4	1	10
2014-03-26 21:23:05.284235	31138	48	2	9
2014-03-26 21:23:06.13517	31139	22.6	1	8
2014-03-25 21:44:48.179239	12516	20.8	1	8
2014-03-25 21:44:48.409349	12517	56	2	8
2014-03-25 21:45:03.528177	12518	20.0	1	1
2014-03-25 21:45:03.753281	12519	50	2	1
2014-03-26 21:23:06.358698	31140	47	2	8
2014-03-26 21:23:20.715424	31141	20.5	1	1
2014-03-25 21:45:27.173204	12524	20.8	1	8
2014-03-25 21:45:27.406084	12525	56	2	8
2014-03-25 21:45:32.718044	12526	338	3	2
2014-03-25 21:45:42.660002	12527	20.0	1	1
2014-03-25 21:45:43.092305	12528	50	2	1
2014-03-26 21:23:20.950223	31142	50	2	1
2014-03-26 21:23:32.565702	31143	515	3	2
2014-03-25 21:46:06.173571	12533	20.8	1	8
2014-03-25 21:46:06.396159	12534	56	2	8
2014-03-25 21:46:21.528826	12535	20.0	1	1
2014-03-25 21:46:21.762714	12536	50	2	1
2014-03-25 21:46:32.716477	12537	338	3	2
2014-03-26 21:23:32.79067	31144	1087980.126617367	4	2
2014-03-26 21:23:33.69253	31145	24.2	1	10
2014-03-25 21:46:45.173459	12542	20.8	1	8
2014-03-25 21:46:45.403727	12543	56	2	8
2014-03-25 21:46:56.717534	12544	305	3	2
2014-03-25 21:47:00.526309	12545	19.9	1	1
2014-03-25 21:47:00.751935	12546	50	2	1
2014-03-25 21:47:08.715604	12547	305	3	2
2014-03-26 21:23:33.92652	31146	41	2	10
2014-03-26 21:23:44.048535	31147	22.3	1	9
2014-03-25 21:47:24.172211	12552	20.8	1	8
2014-03-25 21:47:24.39402	12553	56	2	8
2014-03-25 21:47:32.718787	12554	338	3	2
2014-03-25 21:47:39.563511	12555	19.9	1	1
2014-03-25 21:47:39.788089	12556	50	2	1
2014-03-25 21:47:44.715957	12557	338	3	2
2014-03-25 21:47:56.720543	12558	305	3	2
2014-03-26 21:23:44.275479	31148	48	2	9
2014-03-26 21:23:45.13516	31149	22.6	1	8
2014-03-25 21:48:03.172313	12563	20.8	1	8
2014-03-25 21:48:03.40309	12564	56	2	8
2014-03-25 21:48:08.719225	12565	305	3	2
2014-03-25 21:48:18.532454	12566	19.9	1	1
2014-03-25 21:48:18.755468	12567	50	2	1
2014-03-25 21:48:32.719396	12568	338	3	2
2014-03-26 21:23:45.366007	31150	47	2	8
2014-03-26 21:23:59.712907	31151	20.5	1	1
2014-03-25 21:48:42.173638	12573	20.8	1	8
2014-03-25 21:48:42.394713	12574	56	2	8
2014-03-25 21:48:44.718951	12575	305	3	2
2014-03-25 21:48:56.714617	12576	370	3	2
2014-03-25 21:48:57.5291	12577	19.9	1	1
2014-03-25 21:48:57.753501	12578	50	2	1
2014-03-25 21:49:08.718251	12579	370	3	2
2014-03-26 21:23:59.935065	31152	50	2	1
2014-03-26 21:24:12.694012	31153	24.2	1	10
2014-03-25 21:49:21.173086	12584	20.8	1	8
2014-03-25 21:49:21.395105	12585	56	2	8
2014-03-25 21:49:32.719037	12586	370	3	2
2014-03-25 21:49:36.524919	12587	19.9	1	1
2014-03-25 21:49:36.758486	12588	50	2	1
2014-03-26 21:24:12.928897	31154	41	2	10
2014-03-26 21:24:23.072013	31155	22.3	1	9
2014-03-25 21:50:00.175129	12593	20.8	1	8
2014-03-25 21:50:00.395756	12594	55	2	8
2014-03-25 21:50:15.524708	12595	19.9	1	1
2014-03-25 21:50:15.756848	12596	50	2	1
2014-03-25 21:50:32.718694	12597	370	3	2
2014-03-26 21:24:23.333214	31156	48	2	9
2014-03-26 21:24:24.136951	31157	22.6	1	8
2014-03-25 21:50:39.173733	12602	20.8	1	8
2014-03-25 21:50:39.407083	12603	55	2	8
2014-03-25 21:50:54.523609	12604	19.9	1	1
2014-03-25 21:50:54.746494	12605	50	2	1
2014-03-26 21:24:24.404261	31158	47	2	8
2014-03-26 21:24:32.566972	31159	531	3	2
2014-03-25 21:51:18.172125	12610	20.8	1	8
2014-03-25 21:51:18.405526	12611	55	2	8
2014-03-25 21:51:32.716232	12612	370	3	2
2014-03-25 21:51:33.528639	12613	19.9	1	1
2014-03-25 21:51:33.750317	12614	50	2	1
2014-03-26 21:24:32.811841	31160	1087988.1698604168	4	2
2014-03-26 21:24:38.717499	31161	20.5	1	1
2014-03-25 21:51:57.173787	12619	20.8	1	8
2014-03-25 21:51:57.394765	12620	55	2	8
2014-03-25 21:52:12.530235	12621	19.9	1	1
2014-03-25 21:52:12.753298	12622	50	2	1
2014-03-25 21:52:32.714077	12623	354	3	2
2014-03-26 21:24:38.985118	31162	50	2	1
2014-03-26 21:24:51.695214	31163	24.2	1	10
2014-03-25 21:52:36.174014	12628	20.8	1	8
2014-03-25 21:52:36.396431	12629	55	2	8
2014-03-25 21:52:51.521762	12630	19.9	1	1
2014-03-25 21:52:51.781047	12631	50	2	1
2014-03-25 21:52:56.71748	12632	305	3	2
2014-03-25 21:53:08.714091	12633	305	3	2
2014-03-26 21:24:51.953785	31164	41	2	10
2014-03-26 21:25:02.049148	31165	22.3	1	9
2014-03-25 21:53:15.172694	12638	20.8	1	8
2014-03-25 21:53:15.416626	12639	55	2	8
2014-03-25 21:53:30.561252	12640	19.9	1	1
2014-03-25 21:53:30.785282	12641	50	2	1
2014-03-25 21:53:32.717134	12642	305	3	2
2014-03-25 21:53:54.172825	12647	20.8	1	8
2014-03-25 21:53:54.39416	12648	55	2	8
2014-03-25 21:44:46.215093	12513	49	2	10
2014-03-25 21:45:24.983304	12520	24.4	1	10
2014-03-25 21:45:25.2151	12521	49	2	10
2014-03-25 21:46:03.984272	12529	24.4	1	10
2014-03-25 21:46:04.20554	12530	49	2	10
2014-03-25 21:46:42.984006	12538	24.4	1	10
2014-03-25 21:46:43.206018	12539	49	2	10
2014-03-25 21:47:21.983038	12548	24.4	1	10
2014-03-25 21:47:22.211563	12549	49	2	10
2014-03-25 21:48:00.98495	12559	24.4	1	10
2014-03-25 21:48:01.206897	12560	49	2	10
2014-03-25 21:48:39.9857	12569	24.4	1	10
2014-03-25 21:48:40.209399	12570	49	2	10
2014-03-25 21:49:18.987111	12580	24.4	1	10
2014-03-25 21:49:19.208157	12581	49	2	10
2014-03-25 21:49:57.99008	12589	24.3	1	10
2014-03-25 21:49:58.214281	12590	49	2	10
2014-03-25 21:50:36.985619	12598	24.3	1	10
2014-03-25 21:50:37.205655	12599	49	2	10
2014-03-25 21:51:15.985962	12606	24.3	1	10
2014-03-25 21:51:16.216366	12607	49	2	10
2014-03-25 21:51:54.985805	12615	24.3	1	10
2014-03-25 21:51:55.205965	12616	49	2	10
2014-03-25 21:52:33.987903	12624	24.3	1	10
2014-03-25 21:52:34.209316	12625	49	2	10
2014-03-25 21:53:12.985805	12634	24.3	1	10
2014-03-25 21:53:13.2205	12635	49	2	10
2014-03-25 21:53:51.986156	12643	24.3	1	10
2014-03-25 21:54:09.525118	12649	19.9	1	1
2014-03-25 21:54:09.761887	12650	50	2	1
2014-03-26 21:25:02.322688	31166	48	2	9
2014-03-26 21:25:03.136273	31167	22.6	1	8
2014-03-25 21:54:32.719169	12655	305	3	2
2014-03-25 21:54:33.172898	12656	20.8	1	8
2014-03-25 21:54:33.394785	12657	55	2	8
2014-03-25 21:54:48.761131	12658	19.9	1	1
2014-03-25 21:54:48.990712	12659	50	2	1
2014-03-26 21:25:03.393978	31168	47	2	8
2014-03-26 21:25:17.717338	31169	20.5	1	1
2014-03-25 21:55:12.175068	12664	20.8	1	8
2014-03-25 21:55:12.405987	12665	55	2	8
2014-03-25 21:55:27.521199	12666	19.9	1	1
2014-03-25 21:55:27.743382	12667	50	2	1
2014-03-25 21:55:32.713959	12668	305	3	2
2014-03-26 21:25:18.019439	31170	50	2	1
2014-03-26 21:25:30.692987	31171	24.2	1	10
2014-03-25 21:55:51.244205	12673	20.8	1	8
2014-03-25 21:55:51.67002	12674	55	2	8
2014-03-25 21:55:56.841052	12675	1802	3	2
2014-03-25 21:56:06.525165	12676	19.9	1	1
2014-03-25 21:56:06.747387	12677	50	2	1
2014-03-25 21:56:08.713085	12678	370	3	2
2014-03-25 21:56:20.71589	12679	370	3	2
2014-03-26 21:25:30.918101	31172	41	2	10
2014-03-26 21:25:32.566366	31173	531	3	2
2014-03-25 21:56:30.173795	12684	20.8	1	8
2014-03-25 21:56:30.405265	12685	55	2	8
2014-03-25 21:56:32.715495	12686	402	3	2
2014-03-25 21:56:45.320728	12687	370	3	2
2014-03-25 21:56:45.628578	12688	19.9	1	1
2014-03-25 21:56:45.863427	12689	50	2	1
2014-03-25 21:56:56.714289	12690	402	3	2
2014-03-26 21:25:32.799719	31174	1087997.3621381882	4	2
2014-03-26 21:25:41.047841	31175	22.3	1	9
2014-03-25 21:57:08.716871	12695	402	3	2
2014-03-25 21:57:09.174855	12696	20.8	1	8
2014-03-25 21:57:09.408156	12697	55	2	8
2014-03-25 21:57:24.526538	12698	19.9	1	1
2014-03-25 21:57:24.747728	12699	50	2	1
2014-03-25 21:57:32.714311	12700	370	3	2
2014-03-25 21:57:44.712856	12701	370	3	2
2014-03-26 21:25:41.270145	31176	48	2	9
2014-03-26 21:25:42.136036	31177	22.6	1	8
2014-03-25 21:57:48.174205	12706	20.8	1	8
2014-03-25 21:57:48.399302	12707	55	2	8
2014-03-25 21:58:03.523353	12708	19.9	1	1
2014-03-25 21:58:03.748172	12709	50	2	1
2014-03-26 21:25:42.369484	31178	47	2	8
2014-03-26 21:25:56.713173	31179	20.5	1	1
2014-03-25 21:58:27.172858	12714	20.8	1	8
2014-03-25 21:58:27.405852	12715	55	2	8
2014-03-25 21:58:32.714684	12716	370	3	2
2014-03-25 21:58:42.520125	12717	19.9	1	1
2014-03-25 21:58:42.745052	12718	50	2	1
2014-03-26 21:25:56.941885	31180	50	2	1
2014-03-26 21:26:09.692722	31181	24.2	1	10
2014-03-25 21:59:06.172952	12723	20.8	1	8
2014-03-25 21:59:06.394458	12724	55	2	8
2014-03-25 21:59:21.520432	12725	19.8	1	1
2014-03-25 21:59:21.762531	12726	50	2	1
2014-03-25 21:59:32.71579	12727	370	3	2
2014-03-26 21:26:09.928629	31182	41	2	10
2014-03-26 21:26:20.050664	31183	22.3	1	9
2014-03-25 21:59:45.172921	12732	20.8	1	8
2014-03-25 21:59:45.404632	12733	55	2	8
2014-03-25 22:00:00.521489	12734	19.8	1	1
2014-03-25 22:00:00.74367	12735	50	2	1
2014-03-25 22:00:20.712318	12736	434	3	2
2014-03-26 21:26:20.273573	31184	48	2	9
2014-03-26 21:26:20.580571	31185	498	3	2
2014-03-25 22:00:24.18535	12741	20.8	1	8
2014-03-25 22:00:24.407993	12742	55	2	8
2014-03-25 22:00:32.713948	12743	434	3	2
2014-03-25 22:00:39.518193	12744	19.8	1	1
2014-03-25 22:00:39.742598	12745	50	2	1
2014-03-26 21:26:20.813723	31186	1088004.2563465168	4	2
2014-03-26 21:26:21.136027	31187	22.6	1	8
2014-03-25 22:01:03.176848	12750	20.8	1	8
2014-03-25 22:01:03.406666	12751	55	2	8
2014-03-25 22:01:18.51926	12752	19.8	1	1
2014-03-25 22:01:18.743197	12753	50	2	1
2014-03-25 22:01:32.715931	12754	434	3	2
2014-03-26 21:26:21.35808	31188	47	2	8
2014-03-26 21:26:32.56522	31189	515	3	2
2014-03-25 22:01:42.172062	12759	20.8	1	8
2014-03-25 22:01:42.396578	12760	55	2	8
2014-03-25 22:01:57.519992	12761	19.8	1	1
2014-03-25 22:01:57.753449	12762	50	2	1
2014-03-26 21:26:32.799092	31190	1088005.405381238	4	2
2014-03-26 21:26:35.712985	31191	20.5	1	1
2014-03-25 22:02:21.173544	12767	20.8	1	8
2014-03-25 22:02:21.396316	12768	55	2	8
2014-03-25 22:02:32.712658	12769	434	3	2
2014-03-25 22:02:36.516876	12770	19.8	1	1
2014-03-25 22:02:36.738449	12771	50	2	1
2014-03-26 21:26:35.936571	31192	50	2	1
2014-03-26 21:26:48.694244	31193	24.2	1	10
2014-03-25 22:03:00.172818	12776	20.8	1	8
2014-03-25 22:03:00.40518	12777	55	2	8
2014-03-25 22:03:15.517011	12778	19.8	1	1
2014-03-25 22:03:15.740104	12779	50	2	1
2014-03-25 22:03:32.715543	12780	434	3	2
2014-03-26 21:26:48.928773	31194	41	2	10
2014-03-25 21:54:30.989717	12651	24.3	1	10
2014-03-25 21:54:31.211386	12652	49	2	10
2014-03-25 21:55:09.988506	12660	24.3	1	10
2014-03-25 21:55:10.221068	12661	49	2	10
2014-03-25 21:55:48.986856	12669	24.3	1	10
2014-03-25 21:55:49.211973	12670	49	2	10
2014-03-25 21:56:27.98809	12680	24.3	1	10
2014-03-25 21:56:28.217716	12681	49	2	10
2014-03-25 21:57:06.986304	12691	24.3	1	10
2014-03-25 21:57:07.209575	12692	49	2	10
2014-03-25 21:57:45.988645	12702	24.3	1	10
2014-03-25 21:57:46.210376	12703	49	2	10
2014-03-25 21:58:24.990012	12710	24.3	1	10
2014-03-25 21:58:25.212159	12711	49	2	10
2014-03-25 21:59:03.987875	12719	24.3	1	10
2014-03-25 21:59:04.211739	12720	49	2	10
2014-03-25 21:59:42.989514	12728	24.3	1	10
2014-03-25 21:59:43.21292	12729	49	2	10
2014-03-25 22:00:21.989507	12737	24.3	1	10
2014-03-25 22:00:22.212923	12738	49	2	10
2014-03-25 22:01:00.989761	12746	24.3	1	10
2014-03-25 22:01:01.221091	12747	49	2	10
2014-03-25 22:01:39.988687	12755	24.3	1	10
2014-03-25 22:01:40.211839	12756	49	2	10
2014-03-25 22:02:18.988426	12763	24.3	1	10
2014-03-25 22:02:19.210714	12764	49	2	10
2014-03-25 22:02:57.989911	12772	24.3	1	10
2014-03-25 22:02:58.228775	12773	49	2	10
2014-03-25 22:03:39.173185	12785	20.8	1	8
2014-03-25 22:03:39.395587	12786	55	2	8
2014-03-25 22:03:54.553775	12787	19.8	1	1
2014-03-25 22:03:54.786313	12788	50	2	1
2014-03-26 21:26:59.052972	31195	22.3	1	9
2014-03-26 21:26:59.279451	31196	48	2	9
2014-03-25 22:04:18.17293	12793	20.8	1	8
2014-03-25 22:04:18.393901	12794	55	2	8
2014-03-25 22:04:32.714437	12795	434	3	2
2014-03-25 22:04:33.515197	12796	19.8	1	1
2014-03-25 22:04:33.737425	12797	50	2	1
2014-03-26 21:27:00.137882	31197	22.5	1	8
2014-03-26 21:27:00.369515	31198	47	2	8
2014-03-25 22:04:56.71363	12802	370	3	2
2014-03-25 22:04:57.172749	12803	20.8	1	8
2014-03-25 22:04:57.394318	12804	55	2	8
2014-03-25 22:05:08.717568	12805	370	3	2
2014-03-25 22:05:12.51966	12806	19.8	1	1
2014-03-25 22:05:12.740674	12807	50	2	1
2014-03-25 22:05:32.713977	12808	370	3	2
2014-03-26 21:27:08.562188	31199	482	3	2
2014-03-26 21:27:08.785878	31200	1088011.150554845	4	2
2014-03-25 22:05:36.171708	12813	20.8	1	8
2014-03-25 22:05:36.415411	12814	55	2	8
2014-03-25 22:05:51.515285	12815	19.8	1	1
2014-03-25 22:05:51.737345	12816	50	2	1
2014-03-26 21:27:14.711899	31201	20.4	1	1
2014-03-26 21:27:14.944825	31202	50	2	1
2014-03-25 22:06:15.298997	12821	20.8	1	8
2014-03-25 22:06:15.739754	12822	55	2	8
2014-03-25 22:06:30.517536	12823	19.8	1	1
2014-03-25 22:06:30.7404	12824	50	2	1
2014-03-25 22:06:32.712363	12825	370	3	2
2014-03-26 21:27:20.56377	31203	498	3	2
2014-03-26 21:27:20.790004	31204	1088012.2995895667	4	2
2014-03-25 22:06:54.172336	12830	20.8	1	8
2014-03-25 22:06:54.396781	12831	55	2	8
2014-03-25 22:07:09.518918	12832	19.8	1	1
2014-03-25 22:07:09.749423	12833	50	2	1
2014-03-26 21:27:27.692907	31205	24.2	1	10
2014-03-26 21:27:27.927433	31206	41	2	10
2014-03-25 22:07:32.715242	12838	370	3	2
2014-03-25 22:07:33.173174	12839	20.8	1	8
2014-03-25 22:07:33.39631	12840	55	2	8
2014-03-25 22:07:48.518959	12841	19.8	1	1
2014-03-25 22:07:48.743332	12842	50	2	1
2014-03-26 21:27:32.564127	31207	482	3	2
2014-03-26 21:27:32.789075	31208	1088014.5976590095	4	2
2014-03-25 22:08:12.690089	12847	20.8	1	8
2014-03-25 22:08:12.957085	12848	55	2	8
2014-03-25 22:08:27.517612	12849	19.8	1	1
2014-03-25 22:08:27.943636	12850	50	2	1
2014-03-25 22:08:32.713257	12851	370	3	2
2014-03-26 21:27:38.049588	31209	22.3	1	9
2014-03-26 21:27:38.287261	31210	48	2	9
2014-03-25 22:08:51.173039	12856	20.8	1	8
2014-03-25 22:08:51.408552	12857	55	2	8
2014-03-25 22:09:06.518038	12858	19.8	1	1
2014-03-25 22:09:06.762774	12859	50	2	1
2014-03-26 21:27:39.136749	31211	22.5	1	8
2014-03-26 21:27:39.388081	31212	47	2	8
2014-03-25 22:09:30.172526	12864	20.8	1	8
2014-03-25 22:09:30.393781	12865	55	2	8
2014-03-25 22:09:32.715748	12866	354	3	2
2014-03-25 22:09:45.513451	12867	19.8	1	1
2014-03-25 22:09:45.733777	12868	50	2	1
2014-03-26 21:27:53.713311	31213	20.4	1	1
2014-03-26 21:27:53.950048	31214	50	2	1
2014-03-25 22:10:09.173422	12873	20.8	1	8
2014-03-25 22:10:09.404361	12874	55	2	8
2014-03-25 22:10:24.515521	12875	19.8	1	1
2014-03-25 22:10:24.737105	12876	50	2	1
2014-03-25 22:10:32.711117	12877	354	3	2
2014-03-25 22:10:44.711555	12878	289	3	2
2014-03-26 21:28:06.693425	31215	24.2	1	10
2014-03-26 21:28:06.917824	31216	41	2	10
2014-03-25 22:10:48.172704	12883	20.8	1	8
2014-03-25 22:10:48.404928	12884	55	2	8
2014-03-25 22:10:56.71352	12885	305	3	2
2014-03-25 22:11:03.517934	12886	19.8	1	1
2014-03-25 22:11:03.740044	12887	50	2	1
2014-03-26 21:28:17.048925	31217	22.3	1	9
2014-03-26 21:28:17.294853	31218	48	2	9
2014-03-25 22:11:27.176175	12892	20.8	1	8
2014-03-25 22:11:27.397705	12893	55	2	8
2014-03-25 22:11:32.71414	12894	305	3	2
2014-03-25 22:11:42.551782	12895	19.8	1	1
2014-03-25 22:11:42.774942	12896	50	2	1
2014-03-26 21:28:18.190595	31219	22.5	1	8
2014-03-26 21:28:18.416853	31220	47	2	8
2014-03-25 22:12:06.173392	12901	20.8	1	8
2014-03-25 22:12:06.416192	12902	55	2	8
2014-03-25 22:12:21.512141	12903	19.8	1	1
2014-03-25 22:12:21.737095	12904	50	2	1
2014-03-25 22:12:32.714237	12905	354	3	2
2014-03-26 21:28:32.953815	31221	20.4	1	1
2014-03-26 21:28:33.187122	31222	50	2	1
2014-03-25 22:12:44.714257	12910	354	3	2
2014-03-25 22:12:45.173673	12911	20.8	1	8
2014-03-25 22:12:45.396958	12912	55	2	8
2014-03-25 22:13:00.513086	12913	19.8	1	1
2014-03-25 22:13:00.738567	12914	50	2	1
2014-03-26 21:28:45.6934	31223	24.2	1	10
2014-03-25 22:13:24.172631	12919	20.8	1	8
2014-03-25 22:13:24.393885	12920	55	2	8
2014-03-25 22:04:15.988782	12789	24.3	1	10
2014-03-25 22:04:16.210565	12790	49	2	10
2014-03-25 22:04:54.990298	12798	24.2	1	10
2014-03-25 22:04:55.223427	12799	49	2	10
2014-03-25 22:05:33.989798	12809	24.2	1	10
2014-03-25 22:05:34.223056	12810	49	2	10
2014-03-25 22:06:13.120687	12817	24.2	1	10
2014-03-25 22:06:13.564953	12818	49	2	10
2014-03-25 22:06:51.990486	12826	24.2	1	10
2014-03-25 22:06:52.21319	12827	49	2	10
2014-03-25 22:07:30.991328	12834	24.2	1	10
2014-03-25 22:07:31.212859	12835	49	2	10
2014-03-25 22:08:09.990058	12843	24.2	1	10
2014-03-25 22:08:11.228106	12844	49	2	10
2014-03-25 22:08:48.990068	12852	24.2	1	10
2014-03-25 22:08:49.249923	12853	49	2	10
2014-03-25 22:09:27.991313	12860	24.2	1	10
2014-03-25 22:09:28.211916	12861	49	2	10
2014-03-25 22:10:07.198564	12869	24.2	1	10
2014-03-25 22:10:07.430236	12870	49	2	10
2014-03-25 22:10:45.991997	12879	24.2	1	10
2014-03-25 22:10:46.213877	12880	49	2	10
2014-03-25 22:11:24.991075	12888	24.2	1	10
2014-03-25 22:11:25.215018	12889	49	2	10
2014-03-25 22:12:03.991979	12897	24.2	1	10
2014-03-25 22:12:04.225341	12898	49	2	10
2014-03-25 22:12:42.992175	12906	24.2	1	10
2014-03-25 22:12:43.216467	12907	49	2	10
2014-03-25 22:13:32.711498	12921	354	3	2
2014-03-25 22:13:39.516804	12922	19.8	1	1
2014-03-25 22:13:39.739592	12923	50	2	1
2014-03-26 21:28:45.918048	31224	41	2	10
2014-03-26 21:28:56.048677	31225	22.3	1	9
2014-03-25 22:14:03.173304	12928	20.8	1	8
2014-03-25 22:14:03.394117	12929	55	2	8
2014-03-25 22:14:18.510795	12930	19.8	1	1
2014-03-25 22:14:18.744241	12931	50	2	1
2014-03-25 22:14:32.714105	12932	354	3	2
2014-03-26 21:28:56.281726	31226	48	2	9
2014-03-26 21:28:56.591699	31227	450	3	2
2014-03-25 22:14:42.173281	12937	20.8	1	8
2014-03-25 22:14:42.394579	12938	55	2	8
2014-03-25 22:14:57.509491	12939	19.8	1	1
2014-03-25 22:14:57.732097	12940	50	2	1
2014-03-26 21:28:56.815391	31228	1088024.9389715022	4	2
2014-03-26 21:28:57.134926	31229	22.5	1	8
2014-03-25 22:15:21.173307	12945	20.8	1	8
2014-03-25 22:15:21.415365	12946	55	2	8
2014-03-25 22:15:32.713211	12947	354	3	2
2014-03-25 22:15:36.509761	12948	19.7	1	1
2014-03-25 22:15:36.731514	12949	50	2	1
2014-03-26 21:28:57.371079	31230	47	2	8
2014-03-26 21:29:08.5659	31231	466	3	2
2014-03-25 22:16:00.172443	12954	20.9	1	8
2014-03-25 22:16:00.393166	12955	55	2	8
2014-03-25 22:16:15.508846	12956	19.7	1	1
2014-03-25 22:16:15.740572	12957	50	2	1
2014-03-25 22:16:32.710111	12958	354	3	2
2014-03-26 21:29:08.791674	31232	1088027.237040945	4	2
2014-03-26 21:29:11.711243	31233	20.4	1	1
2014-03-25 22:16:39.174033	12963	20.9	1	8
2014-03-25 22:16:39.395333	12964	55	2	8
2014-03-25 22:16:54.509334	12965	19.7	1	1
2014-03-25 22:16:54.732749	12966	50	2	1
2014-03-25 22:17:08.715016	12967	305	3	2
2014-03-26 21:29:11.945282	31234	50	2	1
2014-03-26 21:29:24.695327	31235	24.2	1	10
2014-03-25 22:17:18.173166	12972	20.9	1	8
2014-03-25 22:17:18.405548	12973	55	2	8
2014-03-25 22:17:20.71374	12974	289	3	2
2014-03-25 22:17:32.713574	12975	305	3	2
2014-03-25 22:17:33.501113	12976	19.7	1	1
2014-03-25 22:17:33.733582	12977	50	2	1
2014-03-26 21:29:24.939308	31236	41	2	10
2014-03-26 21:29:32.565777	31237	482	3	2
2014-03-25 22:17:57.17296	12982	20.9	1	8
2014-03-25 22:17:57.396118	12983	55	2	8
2014-03-25 22:18:12.509432	12984	19.7	1	1
2014-03-25 22:18:12.74144	12985	50	2	1
2014-03-25 22:18:32.716613	12986	305	3	2
2014-03-26 21:29:32.800614	31238	1088029.5351103877	4	2
2014-03-26 21:29:35.049084	31239	22.3	1	9
2014-03-25 22:18:36.173227	12991	20.9	1	8
2014-03-25 22:18:36.413716	12992	55	2	8
2014-03-25 22:18:51.50873	12993	19.7	1	1
2014-03-25 22:18:51.731198	12994	50	2	1
2014-03-26 21:29:35.272568	31240	48	2	9
2014-03-26 21:29:36.136355	31241	22.5	1	8
2014-03-25 22:19:15.1728	12999	20.9	1	8
2014-03-25 22:19:15.404338	13000	55	2	8
2014-03-25 22:19:30.507776	13001	19.7	1	1
2014-03-25 22:19:30.731301	13002	50	2	1
2014-03-25 22:19:32.713194	13003	305	3	2
2014-03-26 21:29:36.369745	31242	47	2	8
2014-03-26 21:29:50.715622	31243	20.4	1	1
2014-03-25 22:19:54.173279	13008	20.9	1	8
2014-03-25 22:19:54.394958	13009	55	2	8
2014-03-25 22:20:09.511522	13010	19.7	1	1
2014-03-25 22:20:09.744455	13011	50	2	1
2014-03-26 21:29:50.940171	31244	50	2	1
2014-03-26 21:30:03.695952	31245	24.2	1	10
2014-03-25 22:20:32.715631	13016	305	3	2
2014-03-25 22:20:33.173097	13017	20.9	1	8
2014-03-25 22:20:33.393113	13018	55	2	8
2014-03-25 22:20:48.507457	13019	19.7	1	1
2014-03-25 22:20:48.733366	13020	50	2	1
2014-03-26 21:30:03.930433	31246	41	2	10
2014-03-26 21:30:08.567011	31247	434	3	2
2014-03-25 22:21:12.173072	13025	20.9	1	8
2014-03-25 22:21:12.3947	13026	55	2	8
2014-03-25 22:21:27.509319	13027	19.7	1	1
2014-03-25 22:21:27.730233	13028	50	2	1
2014-03-25 22:21:32.714295	13029	305	3	2
2014-03-26 21:30:08.793478	31248	1088035.280283995	4	2
2014-03-26 21:30:14.047897	31249	22.3	1	9
2014-03-25 22:21:51.17385	13034	20.9	1	8
2014-03-25 22:21:51.395155	13035	55	2	8
2014-03-25 22:22:06.506664	13036	19.7	1	1
2014-03-25 22:22:06.747898	13037	50	2	1
2014-03-26 21:30:14.285624	31250	48	2	9
2014-03-26 21:30:15.136147	31251	22.5	1	8
2014-03-25 22:22:30.174486	13042	20.9	1	8
2014-03-25 22:22:30.397764	13043	55	2	8
2014-03-25 22:22:32.712476	13044	305	3	2
2014-03-25 22:22:45.504883	13045	19.7	1	1
2014-03-25 22:22:45.728574	13046	50	2	1
2014-03-26 21:30:15.359456	31252	47	2	8
2014-03-26 21:30:20.564495	31253	466	3	2
2014-03-25 22:23:09.172971	13051	20.9	1	8
2014-03-25 22:23:09.405531	13052	55	2	8
2014-03-25 22:23:24.507592	13053	19.7	1	1
2014-03-25 22:23:24.737583	13054	50	2	1
2014-03-25 22:23:32.71325	13055	305	3	2
2014-03-25 22:14:00.992658	12924	24.2	1	10
2014-03-25 22:14:01.214123	12925	49	2	10
2014-03-25 22:14:39.992414	12933	24.2	1	10
2014-03-25 22:14:40.213836	12934	49	2	10
2014-03-25 22:15:18.992223	12941	24.2	1	10
2014-03-25 22:15:19.224814	12942	49	2	10
2014-03-25 22:15:57.994037	12950	24.2	1	10
2014-03-25 22:15:58.216571	12951	49	2	10
2014-03-25 22:16:36.992565	12959	24.2	1	10
2014-03-25 22:16:37.217549	12960	49	2	10
2014-03-25 22:17:15.992825	12968	24.2	1	10
2014-03-25 22:17:16.226526	12969	49	2	10
2014-03-25 22:17:54.992636	12978	24.2	1	10
2014-03-25 22:17:55.218172	12979	49	2	10
2014-03-25 22:18:33.993979	12987	24.2	1	10
2014-03-25 22:18:34.216958	12988	49	2	10
2014-03-25 22:19:12.994456	12995	24.2	1	10
2014-03-25 22:19:13.225434	12996	49	2	10
2014-03-25 22:19:51.994185	13004	24.2	1	10
2014-03-25 22:19:52.219591	13005	49	2	10
2014-03-25 22:20:30.994158	13012	24.1	1	10
2014-03-25 22:20:31.215708	13013	49	2	10
2014-03-25 22:21:09.997512	13021	24.1	1	10
2014-03-25 22:21:10.223033	13022	49	2	10
2014-03-25 22:21:48.994873	13030	24.1	1	10
2014-03-25 22:21:49.218135	13031	49	2	10
2014-03-25 22:22:27.996262	13038	24.1	1	10
2014-03-25 22:22:28.220718	13039	49	2	10
2014-03-26 21:30:20.799985	31254	1088036.4293187163	4	2
2014-03-26 21:30:29.71099	31255	20.4	1	1
2014-03-25 22:23:48.175037	13060	20.9	1	8
2014-03-25 22:23:48.397347	13061	55	2	8
2014-03-25 22:24:03.508426	13062	19.7	1	1
2014-03-25 22:24:03.740032	13063	50	2	1
2014-03-26 21:30:29.935914	31256	50	2	1
2014-03-26 21:30:32.565963	31257	450	3	2
2014-03-25 22:24:27.174931	13068	20.9	1	8
2014-03-25 22:24:27.395781	13069	55	2	8
2014-03-25 22:24:32.713315	13070	305	3	2
2014-03-25 22:24:42.507269	13071	19.7	1	1
2014-03-25 22:24:42.730569	13072	50	2	1
2014-03-25 22:24:56.568157	13073	354	3	2
2014-03-25 22:24:56.886923	13074	354	3	2
2014-03-26 21:30:32.800978	31258	1088037.5783534378	4	2
2014-03-26 21:30:42.693472	31259	24.2	1	10
2014-03-25 22:25:06.174848	13079	20.9	1	8
2014-03-25 22:25:06.39614	13080	55	2	8
2014-03-25 22:25:21.503689	13081	19.7	1	1
2014-03-25 22:25:21.727808	13082	50	2	1
2014-03-25 22:25:32.712464	13083	354	3	2
2014-03-26 21:30:42.920529	31260	41	2	10
2014-03-26 21:30:53.04871	31261	22.3	1	9
2014-03-25 22:25:45.173799	13088	20.9	1	8
2014-03-25 22:25:45.397021	13089	55	2	8
2014-03-25 22:26:00.505576	13090	19.7	1	1
2014-03-25 22:26:00.736027	13091	50	2	1
2014-03-26 21:30:53.28351	31262	48	2	9
2014-03-26 21:30:54.134869	31263	22.5	1	8
2014-03-25 22:26:24.174071	13096	20.9	1	8
2014-03-25 22:26:24.396698	13097	55	2	8
2014-03-25 22:26:39.438903	13098	370	3	2
2014-03-25 22:26:40.03321	13099	19.7	1	1
2014-03-25 22:26:40.452525	13100	50	2	1
2014-03-26 21:30:54.36043	31264	47	2	8
2014-03-26 21:31:08.712453	31265	20.4	1	1
2014-03-25 22:27:03.173869	13105	20.9	1	8
2014-03-25 22:27:03.406221	13106	55	2	8
2014-03-25 22:27:18.504883	13107	19.7	1	1
2014-03-25 22:27:18.72678	13108	50	2	1
2014-03-25 22:27:39.796615	13109	354	3	2
2014-03-26 21:31:08.959598	31266	50	2	1
2014-03-26 21:31:21.69524	31267	24.2	1	10
2014-03-25 22:27:42.175022	13114	20.9	1	8
2014-03-25 22:27:42.397422	13115	55	2	8
2014-03-25 22:27:57.50321	13116	19.7	1	1
2014-03-25 22:27:57.735132	13117	50	2	1
2014-03-26 21:31:21.920239	31268	41	2	10
2014-03-26 21:31:32.050257	31269	22.3	1	9
2014-03-25 22:28:21.173432	13122	20.9	1	8
2014-03-25 22:28:21.396306	13123	55	2	8
2014-03-25 22:28:32.71129	13124	354	3	2
2014-03-25 22:28:36.501716	13125	19.7	1	1
2014-03-25 22:28:36.72619	13126	50	2	1
2014-03-26 21:31:32.282568	31270	48	2	9
2014-03-26 21:31:32.58881	31271	482	3	2
2014-03-25 22:29:00.173071	13131	20.9	1	8
2014-03-25 22:29:00.407407	13132	55	2	8
2014-03-25 22:29:15.501455	13133	19.7	1	1
2014-03-25 22:29:15.723726	13134	50	2	1
2014-03-25 22:29:20.712069	13135	482	3	2
2014-03-25 22:29:32.71638	13136	482	3	2
2014-03-26 21:31:32.812115	31272	1088045.6215964877	4	2
2014-03-26 21:31:33.135427	31273	22.5	1	8
2014-03-25 22:29:39.17194	13141	20.9	1	8
2014-03-25 22:29:39.395131	13142	55	2	8
2014-03-25 22:29:54.502305	13143	19.7	1	1
2014-03-25 22:29:54.736043	13144	50	2	1
2014-03-25 22:29:56.710076	13145	434	3	2
2014-03-25 22:30:08.709703	13146	434	3	2
2014-03-26 21:31:33.367517	31274	47	2	8
2014-03-26 21:31:44.56295	31275	482	3	2
2014-03-25 22:30:18.1727	13151	20.9	1	8
2014-03-25 22:30:18.404554	13152	55	2	8
2014-03-25 22:30:32.713832	13153	434	3	2
2014-03-25 22:30:33.500484	13154	19.7	1	1
2014-03-25 22:30:33.725195	13155	50	2	1
2014-03-26 21:31:44.78608	31276	1088046.770631209	4	2
2014-03-26 21:31:47.710855	31277	20.4	1	1
2014-03-25 22:30:57.173345	13160	20.9	1	8
2014-03-25 22:30:57.394322	13161	55	2	8
2014-03-25 22:31:12.502572	13162	19.7	1	1
2014-03-25 22:31:12.734603	13163	50	2	1
2014-03-25 22:31:32.708823	13164	434	3	2
2014-03-26 21:31:47.943932	31278	50	2	1
2014-03-26 21:32:00.694959	31279	24.2	1	10
2014-03-25 22:31:36.173188	13169	20.9	1	8
2014-03-25 22:31:36.413797	13170	55	2	8
2014-03-25 22:31:51.503211	13171	19.7	1	1
2014-03-25 22:31:51.726402	13172	50	2	1
2014-03-26 21:32:00.918597	31280	41	2	10
2014-03-26 21:32:11.05138	31281	22.3	1	9
2014-03-25 22:32:15.172915	13177	20.9	1	8
2014-03-25 22:32:15.404886	13178	55	2	8
2014-03-25 22:32:30.50162	13179	19.7	1	1
2014-03-25 22:32:30.729178	13180	50	2	1
2014-03-25 22:32:32.712838	13181	434	3	2
2014-03-26 21:32:11.285816	31282	48	2	9
2014-03-26 21:32:12.137898	31283	22.5	1	8
2014-03-25 22:32:54.22989	13186	20.9	1	8
2014-03-25 22:32:54.453357	13187	55	2	8
2014-03-25 22:33:09.502055	13188	19.7	1	1
2014-03-25 22:33:09.735024	13189	50	2	1
2014-03-25 22:23:46.425626	13057	49	2	10
2014-03-25 22:24:24.996085	13064	24.1	1	10
2014-03-25 22:24:25.219012	13065	49	2	10
2014-03-25 22:25:03.996768	13075	24.1	1	10
2014-03-25 22:25:04.220036	13076	49	2	10
2014-03-25 22:25:42.997273	13084	24.1	1	10
2014-03-25 22:25:43.21868	13085	49	2	10
2014-03-25 22:26:21.998673	13092	24.1	1	10
2014-03-25 22:26:22.223157	13093	49	2	10
2014-03-25 22:27:00.999564	13101	24.1	1	10
2014-03-25 22:27:01.23161	13102	49	2	10
2014-03-25 22:27:40.117337	13110	24.1	1	10
2014-03-25 22:27:40.340836	13111	49	2	10
2014-03-25 22:28:18.998579	13118	24.0	1	10
2014-03-25 22:28:19.223382	13119	49	2	10
2014-03-25 22:28:57.997129	13127	24.0	1	10
2014-03-25 22:28:58.228145	13128	49	2	10
2014-03-25 22:29:36.998454	13137	24.0	1	10
2014-03-25 22:29:37.219237	13138	49	2	10
2014-03-25 22:30:15.998611	13147	24.0	1	10
2014-03-25 22:30:16.23253	13148	48	2	10
2014-03-25 22:30:54.999359	13156	24.0	1	10
2014-03-25 22:30:55.221228	13157	48	2	10
2014-03-25 22:31:34.205528	13165	24.0	1	10
2014-03-25 22:31:34.429013	13166	48	2	10
2014-03-25 22:32:13.00113	13173	24.0	1	10
2014-03-25 22:32:13.233011	13174	48	2	10
2014-03-25 22:32:51.999227	13182	24.0	1	10
2014-03-25 22:32:52.226943	13183	48	2	10
2014-03-26 21:32:12.361405	31284	47	2	8
2014-03-25 22:33:32.710353	13194	434	3	2
2014-03-25 22:33:33.17313	13195	20.9	1	8
2014-03-25 22:33:33.396233	13196	55	2	8
2014-03-25 22:33:48.499367	13197	19.6	1	1
2014-03-25 22:33:48.721394	13198	50	2	1
2014-03-25 22:34:08.710597	13199	482	3	2
2014-03-26 21:32:26.710375	31285	20.4	1	1
2014-03-26 21:32:26.943323	31286	50	2	1
2014-03-25 22:34:12.17268	13204	20.9	1	8
2014-03-25 22:34:12.404968	13205	55	2	8
2014-03-25 22:34:27.49934	13206	19.6	1	1
2014-03-25 22:34:27.723419	13207	50	2	1
2014-03-25 22:34:32.70508	13208	482	3	2
2014-03-25 22:34:44.716624	13209	595	3	2
2014-03-26 21:32:32.563945	31287	482	3	2
2014-03-26 21:32:32.788456	31288	1088053.6648395376	4	2
2014-03-25 22:34:51.173422	13214	20.9	1	8
2014-03-25 22:34:51.415405	13215	55	2	8
2014-03-25 22:34:56.713002	13216	627	3	2
2014-03-25 22:35:06.496502	13217	19.6	1	1
2014-03-25 22:35:06.722241	13218	50	2	1
2014-03-25 22:35:08.714281	13219	627	3	2
2014-03-26 21:32:39.696461	31289	24.2	1	10
2014-03-26 21:32:39.931204	31290	41	2	10
2014-03-25 22:35:30.172655	13224	20.9	1	8
2014-03-25 22:35:30.415415	13225	55	2	8
2014-03-25 22:35:32.839936	13226	659	3	2
2014-03-25 22:35:44.713475	13227	659	3	2
2014-03-25 22:35:45.500704	13228	19.6	1	1
2014-03-25 22:35:45.734625	13229	50	2	1
2014-03-26 21:32:50.048571	31291	22.3	1	9
2014-03-26 21:32:50.273621	31292	48	2	9
2014-03-25 22:36:09.299908	13234	20.9	1	8
2014-03-25 22:36:09.723424	13235	55	2	8
2014-03-25 22:36:24.495813	13236	19.7	1	1
2014-03-25 22:36:24.72782	13237	50	2	1
2014-03-25 22:36:32.712683	13238	659	3	2
2014-03-26 21:32:51.134687	31293	22.5	1	8
2014-03-26 21:32:51.367596	31294	47	2	8
2014-03-25 22:36:48.17276	13243	20.9	1	8
2014-03-25 22:36:48.403898	13244	55	2	8
2014-03-25 22:37:03.496792	13245	19.7	1	1
2014-03-25 22:37:03.719071	13246	50	2	1
2014-03-25 22:37:08.709899	13247	627	3	2
2014-03-25 22:37:20.711091	13248	547	3	2
2014-03-26 21:33:05.95005	31295	20.4	1	1
2014-03-26 21:33:06.173977	31296	50	2	1
2014-03-25 22:37:27.172862	13253	20.9	1	8
2014-03-25 22:37:27.403362	13254	55	2	8
2014-03-25 22:37:32.712386	13255	531	3	2
2014-03-25 22:37:42.495831	13256	19.7	1	1
2014-03-25 22:37:42.7196	13257	50	2	1
2014-03-25 22:37:44.706868	13258	595	3	2
2014-03-25 22:37:56.71301	13259	611	3	2
2014-03-26 21:33:18.695692	31297	24.2	1	10
2014-03-26 21:33:18.931572	31298	41	2	10
2014-03-25 22:38:06.17463	13264	20.9	1	8
2014-03-25 22:38:06.59304	13265	55	2	8
2014-03-25 22:38:21.493384	13266	19.7	1	1
2014-03-25 22:38:21.71613	13267	50	2	1
2014-03-25 22:38:32.711538	13268	595	3	2
2014-03-26 21:33:29.048317	31299	22.3	1	9
2014-03-26 21:33:29.272365	31300	48	2	9
2014-03-25 22:38:45.17222	13273	20.9	1	8
2014-03-25 22:38:45.404665	13274	55	2	8
2014-03-25 22:38:56.706841	13275	627	3	2
2014-03-25 22:39:00.492704	13276	19.7	1	1
2014-03-25 22:39:00.723979	13277	50	2	1
2014-03-25 22:39:08.707648	13278	595	3	2
2014-03-25 22:39:20.71115	13279	595	3	2
2014-03-26 21:33:30.134655	31301	22.4	1	8
2014-03-26 21:33:30.36961	31302	47	2	8
2014-03-25 22:39:24.173245	13284	20.9	1	8
2014-03-25 22:39:24.407608	13285	55	2	8
2014-03-25 22:39:32.707892	13286	595	3	2
2014-03-25 22:39:39.494859	13287	19.7	1	1
2014-03-25 22:39:39.718865	13288	50	2	1
2014-03-26 21:33:32.566686	31303	482	3	2
2014-03-26 21:33:32.790046	31304	1088061.7080825875	4	2
2014-03-25 22:40:03.173018	13293	20.9	1	8
2014-03-25 22:40:03.395145	13294	55	2	8
2014-03-25 22:40:18.496869	13295	19.7	1	1
2014-03-25 22:40:18.728515	13296	50	2	1
2014-03-25 22:40:32.709588	13297	595	3	2
2014-03-26 21:33:44.70798	31305	20.4	1	1
2014-03-26 21:33:44.942827	31306	50	2	1
2014-03-25 22:40:42.173212	13302	20.9	1	8
2014-03-25 22:40:42.403396	13303	54	2	8
2014-03-25 22:40:57.493698	13304	19.7	1	1
2014-03-25 22:40:57.717706	13305	50	2	1
2014-03-26 21:33:57.695847	31307	24.2	1	10
2014-03-26 21:33:57.920669	31308	41	2	10
2014-03-25 22:41:21.172653	13310	20.9	1	8
2014-03-25 22:41:21.404318	13311	54	2	8
2014-03-25 22:41:32.711638	13312	595	3	2
2014-03-25 22:41:36.4958	13313	19.7	1	1
2014-03-25 22:41:36.717498	13314	50	2	1
2014-03-25 22:41:44.708596	13315	547	3	2
2014-03-25 22:41:56.709414	13316	531	3	2
2014-03-26 21:34:08.047892	31309	22.3	1	9
2014-03-26 21:34:08.281945	31310	48	2	9
2014-03-25 22:42:00.1744	13321	20.9	1	8
2014-03-25 22:42:00.407855	13322	54	2	8
2014-03-25 22:42:15.495709	13323	19.7	1	1
2014-03-25 22:42:15.719427	13324	50	2	1
2014-03-25 22:42:32.711784	13325	547	3	2
2014-03-25 22:34:09.999405	13200	24.0	1	10
2014-03-25 22:34:10.233995	13201	48	2	10
2014-03-25 22:34:48.998886	13210	23.9	1	10
2014-03-25 22:34:49.221867	13211	49	2	10
2014-03-25 22:35:27.999423	13220	23.9	1	10
2014-03-25 22:35:28.23335	13221	49	2	10
2014-03-25 22:36:07.130051	13230	23.9	1	10
2014-03-25 22:36:07.54999	13231	49	2	10
2014-03-25 22:36:45.998618	13239	23.9	1	10
2014-03-25 22:36:46.223211	13240	49	2	10
2014-03-25 22:37:25.00074	13249	23.9	1	10
2014-03-25 22:37:25.26007	13250	49	2	10
2014-03-25 22:38:04.000195	13260	23.9	1	10
2014-03-25 22:38:04.244589	13261	49	2	10
2014-03-25 22:38:43.000438	13269	23.9	1	10
2014-03-25 22:38:43.22582	13270	49	2	10
2014-03-25 22:39:22.000686	13280	23.9	1	10
2014-03-25 22:39:22.231745	13281	49	2	10
2014-03-25 22:40:01.000499	13289	23.9	1	10
2014-03-25 22:40:01.223725	13290	49	2	10
2014-03-25 22:40:40.001106	13298	23.9	1	10
2014-03-25 22:40:40.231803	13299	49	2	10
2014-03-25 22:41:19.002231	13306	23.8	1	10
2014-03-25 22:41:19.24549	13307	49	2	10
2014-03-25 22:41:58.001921	13317	23.8	1	10
2014-03-25 22:41:58.232821	13318	49	2	10
2014-03-26 21:34:09.136676	31311	22.4	1	8
2014-03-25 22:42:39.17246	13330	20.9	1	8
2014-03-25 22:42:39.394672	13331	54	2	8
2014-03-25 22:42:54.548138	13332	19.7	1	1
2014-03-25 22:42:54.78148	13333	50	2	1
2014-03-26 21:34:09.36162	31312	47	2	8
2014-03-26 21:34:23.706978	31313	20.4	1	1
2014-03-25 22:43:18.172405	13338	20.9	1	8
2014-03-25 22:43:18.394408	13339	54	2	8
2014-03-25 22:43:32.707735	13340	531	3	2
2014-03-25 22:43:33.733516	13341	19.7	1	1
2014-03-25 22:43:33.958254	13342	50	2	1
2014-03-26 21:34:23.958995	31314	50	2	1
2014-03-26 21:34:32.565087	31315	531	3	2
2014-03-25 22:43:57.17467	13347	20.9	1	8
2014-03-25 22:43:57.407585	13348	54	2	8
2014-03-25 22:44:12.49083	13349	19.7	1	1
2014-03-25 22:44:12.714947	13350	50	2	1
2014-03-25 22:44:32.709921	13351	547	3	2
2014-03-26 21:34:32.789641	31316	1088069.7513256373	4	2
2014-03-26 21:34:36.904441	31317	24.2	1	10
2014-03-25 22:44:36.174113	13356	20.9	1	8
2014-03-25 22:44:36.396827	13357	54	2	8
2014-03-25 22:44:51.491654	13358	19.7	1	1
2014-03-25 22:44:51.724905	13359	50	2	1
2014-03-26 21:34:37.138866	31318	41	2	10
2014-03-26 21:34:44.564907	31319	531	3	2
2014-03-25 22:45:15.172629	13364	20.9	1	8
2014-03-25 22:45:15.396872	13365	54	2	8
2014-03-25 22:45:30.495425	13366	19.7	1	1
2014-03-25 22:45:30.732391	13367	50	2	1
2014-03-25 22:45:32.709347	13368	547	3	2
2014-03-26 21:34:44.79099	31320	1088072.0493950802	4	2
2014-03-26 21:34:47.047905	31321	22.3	1	9
2014-03-25 22:45:54.172409	13373	20.9	1	8
2014-03-25 22:45:54.403389	13374	54	2	8
2014-03-25 22:46:09.488907	13375	19.7	1	1
2014-03-25 22:46:09.714741	13376	50	2	1
2014-03-26 21:34:47.281055	31322	48	2	9
2014-03-26 21:34:48.134962	31323	22.4	1	8
2014-03-25 22:46:32.710569	13381	547	3	2
2014-03-25 22:46:33.172917	13382	20.9	1	8
2014-03-25 22:46:33.394513	13383	54	2	8
2014-03-25 22:46:48.492174	13384	19.7	1	1
2014-03-25 22:46:48.724805	13385	50	2	1
2014-03-25 22:47:08.567103	13386	515	3	2
2014-03-25 22:47:08.875978	13387	515	3	2
2014-03-26 21:34:48.356262	31324	47	2	8
2014-03-26 21:35:02.714251	31325	20.4	1	1
2014-03-25 22:47:12.172378	13392	20.9	1	8
2014-03-25 22:47:12.406099	13393	54	2	8
2014-03-25 22:47:27.489878	13394	19.7	1	1
2014-03-25 22:47:27.71284	13395	50	2	1
2014-03-25 22:47:32.70758	13396	515	3	2
2014-03-26 21:35:02.948806	31326	50	2	1
2014-03-26 21:35:15.697827	31327	24.2	1	10
2014-03-25 22:47:51.17204	13401	20.9	1	8
2014-03-25 22:47:51.394344	13402	54	2	8
2014-03-25 22:48:06.48915	13403	19.7	1	1
2014-03-25 22:48:06.72296	13404	50	2	1
2014-03-26 21:35:15.922969	31328	41	2	10
2014-03-26 21:35:20.563804	31329	482	3	2
2014-03-25 22:48:30.172527	13409	20.9	1	8
2014-03-25 22:48:30.394194	13410	54	2	8
2014-03-25 22:48:32.710524	13411	515	3	2
2014-03-25 22:48:45.730929	13412	19.7	1	1
2014-03-25 22:48:45.952741	13413	50	2	1
2014-03-26 21:35:20.800999	31330	1088076.645533966	4	2
2014-03-26 21:35:26.048548	31331	22.3	1	9
2014-03-25 22:49:08.710088	13418	547	3	2
2014-03-25 22:49:09.175078	13419	20.9	1	8
2014-03-25 22:49:09.406496	13420	54	2	8
2014-03-25 22:49:20.708576	13421	595	3	2
2014-03-25 22:49:24.493715	13422	19.7	1	1
2014-03-25 22:49:24.71582	13423	50	2	1
2014-03-25 22:49:32.710142	13424	611	3	2
2014-03-26 21:35:26.276514	31332	48	2	9
2014-03-26 21:35:27.134295	31333	22.4	1	8
2014-03-25 22:49:48.173991	13429	20.9	1	8
2014-03-25 22:49:48.398207	13430	54	2	8
2014-03-25 22:50:03.488647	13431	19.7	1	1
2014-03-25 22:50:03.722763	13432	50	2	1
2014-03-26 21:35:27.367255	31334	47	2	8
2014-03-26 21:35:32.569785	31335	531	3	2
2014-03-25 22:50:27.172756	13437	20.9	1	8
2014-03-25 22:50:27.396141	13438	54	2	8
2014-03-25 22:50:32.708696	13439	547	3	2
2014-03-25 22:50:42.49163	13440	19.7	1	1
2014-03-25 22:50:42.713669	13441	50	2	1
2014-03-25 22:50:44.711793	13442	547	3	2
2014-03-25 22:50:56.711756	13443	434	3	2
2014-03-26 21:35:32.796674	31336	1088078.9436034088	4	2
2014-03-26 21:35:41.710776	31337	20.4	1	1
2014-03-25 22:51:06.172046	13448	20.9	1	8
2014-03-25 22:51:06.393976	13449	54	2	8
2014-03-25 22:51:08.70546	13450	531	3	2
2014-03-25 22:51:20.709519	13451	531	3	2
2014-03-25 22:51:21.488915	13452	19.7	1	1
2014-03-25 22:51:21.713066	13453	50	2	1
2014-03-25 22:51:32.71194	13454	611	3	2
2014-03-25 22:51:44.71457	13459	611	3	2
2014-03-25 22:51:45.17228	13460	20.9	1	8
2014-03-25 22:51:45.394597	13461	54	2	8
2014-03-25 22:52:00.488903	13462	19.7	1	1
2014-03-25 22:52:00.713287	13463	50	2	1
2014-03-25 22:52:08.706059	13464	676	3	2
2014-03-25 22:43:16.002286	13334	23.8	1	10
2014-03-25 22:43:16.226896	13335	49	2	10
2014-03-25 22:43:55.001551	13343	23.8	1	10
2014-03-25 22:43:55.235348	13344	49	2	10
2014-03-25 22:44:34.001036	13352	23.8	1	10
2014-03-25 22:44:34.223037	13353	49	2	10
2014-03-25 22:45:13.00117	13360	23.8	1	10
2014-03-25 22:45:13.224128	13361	49	2	10
2014-03-25 22:45:52.002076	13369	23.8	1	10
2014-03-25 22:45:52.223974	13370	49	2	10
2014-03-25 22:46:31.007307	13377	23.8	1	10
2014-03-25 22:46:31.238594	13378	49	2	10
2014-03-25 22:47:10.003038	13388	23.8	1	10
2014-03-25 22:47:10.239733	13389	49	2	10
2014-03-25 22:47:49.004843	13397	23.8	1	10
2014-03-25 22:47:49.228658	13398	49	2	10
2014-03-25 22:48:28.003935	13405	23.7	1	10
2014-03-25 22:48:28.226551	13406	49	2	10
2014-03-25 22:49:07.208555	13414	23.7	1	10
2014-03-25 22:49:07.431696	13415	49	2	10
2014-03-25 22:49:46.004196	13425	23.7	1	10
2014-03-25 22:49:46.226939	13426	49	2	10
2014-03-25 22:50:25.003787	13433	23.7	1	10
2014-03-25 22:50:25.236914	13434	49	2	10
2014-03-25 22:51:04.004857	13444	23.7	1	10
2014-03-25 22:51:04.230289	13445	49	2	10
2014-03-25 22:51:43.007671	13455	23.7	1	10
2014-03-25 22:52:20.705572	13465	676	3	2
2014-03-26 21:35:41.947115	31338	50	2	1
2014-03-26 21:35:44.565302	31339	515	3	2
2014-03-25 22:52:24.173823	13470	21.0	1	8
2014-03-25 22:52:24.395316	13471	54	2	8
2014-03-25 22:52:32.706624	13472	595	3	2
2014-03-25 22:52:39.489708	13473	19.7	1	1
2014-03-25 22:52:39.714875	13474	50	2	1
2014-03-25 22:52:44.707741	13475	595	3	2
2014-03-26 21:35:44.790762	31340	1088080.09263813	4	2
2014-03-26 21:35:54.696504	31341	24.2	1	10
2014-03-25 22:53:03.173393	13480	21.0	1	8
2014-03-25 22:53:03.395624	13481	54	2	8
2014-03-25 22:53:08.711465	13482	498	3	2
2014-03-25 22:53:18.487725	13483	19.7	1	1
2014-03-25 22:53:18.711457	13484	50	2	1
2014-03-25 22:53:20.710037	13485	482	3	2
2014-03-25 22:53:32.7089	13486	498	3	2
2014-03-26 21:35:54.935315	31342	41	2	10
2014-03-26 21:36:05.048282	31343	22.3	1	9
2014-03-25 22:53:42.173678	13491	21.0	1	8
2014-03-25 22:53:42.403855	13492	54	2	8
2014-03-25 22:53:56.70632	13493	434	3	2
2014-03-25 22:53:57.486667	13494	19.7	1	1
2014-03-25 22:53:57.708661	13495	50	2	1
2014-03-25 22:54:08.708954	13496	434	3	2
2014-03-26 21:36:05.272096	31344	48	2	9
2014-03-26 21:36:06.134173	31345	22.4	1	8
2014-03-25 22:54:21.175292	13501	21.0	1	8
2014-03-25 22:54:21.396918	13502	54	2	8
2014-03-25 22:54:32.705228	13503	434	3	2
2014-03-25 22:54:36.48537	13504	19.7	1	1
2014-03-25 22:54:36.707454	13505	50	2	1
2014-03-26 21:36:06.367591	31346	47	2	8
2014-03-26 21:36:20.707818	31347	20.4	1	1
2014-03-25 22:55:00.172613	13510	21.0	1	8
2014-03-25 22:55:00.406823	13511	54	2	8
2014-03-25 22:55:15.482851	13512	19.7	1	1
2014-03-25 22:55:15.705317	13513	50	2	1
2014-03-25 22:55:32.705382	13514	434	3	2
2014-03-26 21:36:20.93442	31348	50	2	1
2014-03-26 21:36:32.565983	31349	531	3	2
2014-03-25 22:55:39.173018	13519	21.0	1	8
2014-03-25 22:55:39.399214	13520	54	2	8
2014-03-25 22:55:54.489188	13521	19.7	1	1
2014-03-25 22:55:54.723932	13522	50	2	1
2014-03-26 21:36:32.800285	31350	1088088.13588118	4	2
2014-03-26 21:36:33.696739	31351	24.2	1	10
2014-03-25 22:56:18.172076	13527	21.0	1	8
2014-03-25 22:56:18.393961	13528	54	2	8
2014-03-25 22:56:32.840026	13529	418	3	2
2014-03-25 22:56:33.609181	13530	19.7	1	1
2014-03-25 22:56:34.03067	13531	50	2	1
2014-03-26 21:36:33.922548	31352	41	2	10
2014-03-26 21:36:44.0483	31353	22.3	1	9
2014-03-25 22:56:57.173003	13536	21.0	1	8
2014-03-25 22:56:57.403641	13537	53	2	8
2014-03-25 22:57:12.483545	13538	19.7	1	1
2014-03-25 22:57:12.707363	13539	50	2	1
2014-03-25 22:57:32.712929	13540	434	3	2
2014-03-26 21:36:44.28183	31354	48	2	9
2014-03-26 21:36:45.134905	31355	22.4	1	8
2014-03-25 22:57:36.171936	13545	21.0	1	8
2014-03-25 22:57:36.394241	13546	53	2	8
2014-03-25 22:57:51.48614	13547	19.7	1	1
2014-03-25 22:57:51.720111	13548	50	2	1
2014-03-26 21:36:45.357524	31356	47	2	8
2014-03-26 21:36:59.710479	31357	20.4	1	1
2014-03-25 22:58:15.176289	13553	21.0	1	8
2014-03-25 22:58:15.399606	13554	53	2	8
2014-03-25 22:58:30.483982	13555	19.7	1	1
2014-03-25 22:58:30.738298	13556	50	2	1
2014-03-25 22:58:32.705001	13557	434	3	2
2014-03-26 21:36:59.945684	31358	50	2	1
2014-03-26 21:37:12.69716	31359	24.2	1	10
2014-03-25 22:58:54.1734	13562	21.0	1	8
2014-03-25 22:58:54.396469	13563	53	2	8
2014-03-25 22:59:09.484027	13564	19.6	1	1
2014-03-25 22:59:09.70605	13565	50	2	1
2014-03-26 21:37:12.923102	31360	41	2	10
2014-03-26 21:37:23.050266	31361	22.3	1	9
2014-03-25 22:59:32.705661	13570	434	3	2
2014-03-25 22:59:33.175461	13571	21.0	1	8
2014-03-25 22:59:33.400276	13572	53	2	8
2014-03-25 22:59:48.48601	13573	19.6	1	1
2014-03-25 22:59:48.729739	13574	50	2	1
2014-03-25 22:59:56.70523	13575	370	3	2
2014-03-25 23:00:08.702303	13576	370	3	2
2014-03-26 21:37:23.295246	31362	48	2	9
2014-03-26 21:37:24.136849	31363	22.4	1	8
2014-03-25 23:00:12.17213	13581	21.0	1	8
2014-03-25 23:00:12.406426	13582	53	2	8
2014-03-25 23:00:20.704086	13583	402	3	2
2014-03-25 23:00:27.48354	13584	19.6	1	1
2014-03-25 23:00:27.705642	13585	50	2	1
2014-03-25 23:00:32.706634	13586	402	3	2
2014-03-25 23:00:44.708601	13587	370	3	2
2014-03-26 21:37:24.361255	31364	47	2	8
2014-03-26 21:37:32.563959	31365	531	3	2
2014-03-26 21:37:32.799806	31366	1088096.1791242298	4	2
2014-03-26 21:37:38.708047	31367	20.4	1	1
2014-03-25 23:00:51.17314	13592	21.0	1	8
2014-03-25 23:00:51.405724	13593	53	2	8
2014-03-25 23:00:56.706448	13594	402	3	2
2014-03-25 23:01:06.487012	13595	19.6	1	1
2014-03-25 23:01:06.714167	13596	50	2	1
2014-03-25 23:01:20.565661	13597	370	3	2
2014-03-25 23:01:20.870976	13598	370	3	2
2014-03-25 22:52:22.004697	13466	23.7	1	10
2014-03-25 22:52:22.226629	13467	49	2	10
2014-03-25 22:53:01.00355	13476	23.7	1	10
2014-03-25 22:53:01.227403	13477	49	2	10
2014-03-25 22:53:40.006288	13487	23.7	1	10
2014-03-25 22:53:40.230354	13488	49	2	10
2014-03-25 22:54:19.004774	13497	23.7	1	10
2014-03-25 22:54:19.229733	13498	49	2	10
2014-03-25 22:54:58.004591	13506	23.7	1	10
2014-03-25 22:54:58.229059	13507	49	2	10
2014-03-25 22:55:37.004947	13515	23.7	1	10
2014-03-25 22:55:37.227976	13516	49	2	10
2014-03-25 22:56:16.006607	13523	23.7	1	10
2014-03-25 22:56:16.228881	13524	49	2	10
2014-03-25 22:56:55.024585	13532	23.7	1	10
2014-03-25 22:56:55.256078	13533	49	2	10
2014-03-25 22:57:34.006009	13541	23.7	1	10
2014-03-25 22:57:34.227114	13542	49	2	10
2014-03-25 22:58:13.00617	13549	23.6	1	10
2014-03-25 22:58:13.227749	13550	49	2	10
2014-03-25 22:58:52.006912	13558	23.6	1	10
2014-03-25 22:58:52.229085	13559	49	2	10
2014-03-25 22:59:31.008523	13566	23.6	1	10
2014-03-25 22:59:31.246503	13567	49	2	10
2014-03-25 23:00:10.007334	13577	23.6	1	10
2014-03-25 23:00:10.240035	13578	49	2	10
2014-03-26 21:37:38.935378	31368	50	2	1
2014-03-26 21:37:51.697281	31369	24.2	1	10
2014-03-25 23:01:30.172723	13603	21.0	1	8
2014-03-25 23:01:30.404282	13604	53	2	8
2014-03-25 23:01:32.706177	13605	402	3	2
2014-03-25 23:01:44.7059	13606	434	3	2
2014-03-25 23:01:45.485585	13607	19.6	1	1
2014-03-25 23:01:45.717394	13608	50	2	1
2014-03-25 23:01:56.707873	13609	434	3	2
2014-03-26 21:37:51.930206	31370	41	2	10
2014-03-26 21:38:02.04773	31371	22.3	1	9
2014-03-25 23:02:09.171123	13614	21.0	1	8
2014-03-25 23:02:09.393505	13615	53	2	8
2014-03-25 23:02:24.477736	13616	19.6	1	1
2014-03-25 23:02:24.703413	13617	50	2	1
2014-03-25 23:02:32.712023	13618	434	3	2
2014-03-26 21:38:02.272933	31372	48	2	9
2014-03-26 21:38:03.135957	31373	22.4	1	8
2014-03-25 23:02:48.172345	13623	21.0	1	8
2014-03-25 23:02:48.393438	13624	53	2	8
2014-03-25 23:03:03.482181	13625	19.6	1	1
2014-03-25 23:03:03.714366	13626	50	2	1
2014-03-26 21:38:03.369043	31374	47	2	8
2014-03-26 21:38:17.707252	31375	20.4	1	1
2014-03-25 23:03:27.172484	13631	21.0	1	8
2014-03-25 23:03:27.39515	13632	53	2	8
2014-03-25 23:03:42.283171	13633	434	3	2
2014-03-25 23:03:42.600194	13634	19.6	1	1
2014-03-25 23:03:42.823394	13635	50	2	1
2014-03-26 21:38:17.93229	31376	50	2	1
2014-03-26 21:38:30.698204	31377	24.2	1	10
2014-03-25 23:04:06.172588	13640	21.0	1	8
2014-03-25 23:04:06.40402	13641	53	2	8
2014-03-25 23:04:21.481274	13642	19.6	1	1
2014-03-25 23:04:21.704368	13643	50	2	1
2014-03-25 23:04:32.707718	13644	450	3	2
2014-03-26 21:38:30.932881	31378	41	2	10
2014-03-26 21:38:32.564811	31379	531	3	2
2014-03-25 23:04:45.174287	13649	21.0	1	8
2014-03-25 23:04:45.396302	13650	53	2	8
2014-03-25 23:05:00.484273	13651	19.6	1	1
2014-03-25 23:05:00.72224	13652	50	2	1
2014-03-26 21:38:32.788192	31380	1088105.3714020012	4	2
2014-03-26 21:38:41.047947	31381	22.3	1	9
2014-03-25 23:05:24.17428	13657	21.0	1	8
2014-03-25 23:05:24.394763	13658	53	2	8
2014-03-25 23:05:32.708695	13659	434	3	2
2014-03-25 23:05:39.478085	13660	19.6	1	1
2014-03-25 23:05:39.701103	13661	50	2	1
2014-03-26 21:38:41.284324	31382	48	2	9
2014-03-26 21:38:42.134503	31383	22.4	1	8
2014-03-25 23:06:03.173232	13666	21.0	1	8
2014-03-25 23:06:03.406677	13667	53	2	8
2014-03-25 23:06:18.478169	13668	19.6	1	1
2014-03-25 23:06:18.700047	13669	50	2	1
2014-03-25 23:06:20.707689	13670	370	3	2
2014-03-25 23:06:39.807721	13671	370	3	2
2014-03-26 21:38:42.358322	31384	47	2	8
2014-03-26 21:38:56.7045	31385	20.4	1	1
2014-03-25 23:06:42.172484	13676	21.0	1	8
2014-03-25 23:06:42.394314	13677	53	2	8
2014-03-25 23:06:44.827111	13678	305	3	2
2014-03-25 23:06:56.707696	13679	338	3	2
2014-03-25 23:06:57.476127	13680	19.6	1	1
2014-03-25 23:06:57.698542	13681	50	2	1
2014-03-25 23:07:08.707148	13682	338	3	2
2014-03-26 21:38:56.939015	31386	50	2	1
2014-03-26 21:39:08.568251	31387	466	3	2
2014-03-25 23:07:20.705818	13687	305	3	2
2014-03-25 23:07:21.172511	13688	21.0	1	8
2014-03-25 23:07:21.396653	13689	53	2	8
2014-03-25 23:07:32.706661	13690	338	3	2
2014-03-25 23:07:36.477824	13691	19.6	1	1
2014-03-25 23:07:36.702804	13692	49	2	1
2014-03-25 23:07:44.705616	13693	338	3	2
2014-03-26 21:39:08.794086	31388	1088109.967540887	4	2
2014-03-26 21:39:09.697281	31389	24.2	1	10
2014-03-25 23:08:00.173406	13698	21.0	1	8
2014-03-25 23:08:00.40236	13699	53	2	8
2014-03-25 23:08:15.474485	13700	19.6	1	1
2014-03-25 23:08:15.70795	13701	49	2	1
2014-03-25 23:08:32.705917	13702	338	3	2
2014-03-26 21:39:09.931114	31390	41	2	10
2014-03-26 21:39:20.04805	31391	22.3	1	9
2014-03-25 23:08:39.172092	13707	21.0	1	8
2014-03-25 23:08:39.394227	13708	53	2	8
2014-03-25 23:08:54.479246	13709	19.6	1	1
2014-03-25 23:08:54.701984	13710	49	2	1
2014-03-26 21:39:20.273649	31392	48	2	9
2014-03-26 21:39:20.582945	31393	466	3	2
2014-03-25 23:09:18.17124	13715	21.0	1	8
2014-03-25 23:09:18.403581	13716	53	2	8
2014-03-25 23:09:32.704942	13717	338	3	2
2014-03-25 23:09:33.477032	13718	19.6	1	1
2014-03-25 23:09:33.697714	13719	49	2	1
2014-03-26 21:39:20.81642	31394	1088112.2656103298	4	2
2014-03-25 23:09:57.171662	13724	21.0	1	8
2014-03-25 23:09:57.394366	13725	53	2	8
2014-03-25 23:10:12.479398	13726	19.6	1	1
2014-03-25 23:10:12.711963	13727	49	2	1
2014-03-25 23:10:32.714339	13728	338	3	2
2014-03-25 23:10:36.174142	13733	21.0	1	8
2014-03-25 23:10:36.405919	13734	53	2	8
2014-03-25 23:10:51.480147	13735	19.6	1	1
2014-03-25 23:10:51.703614	13736	49	2	1
2014-03-25 23:02:07.011503	13610	23.6	1	10
2014-03-25 23:02:07.233814	13611	48	2	10
2014-03-25 23:02:46.00813	13619	23.6	1	10
2014-03-25 23:02:46.233158	13620	48	2	10
2014-03-25 23:03:25.007315	13627	23.6	1	10
2014-03-25 23:03:25.22968	13628	48	2	10
2014-03-25 23:04:04.010387	13636	23.6	1	10
2014-03-25 23:04:04.242335	13637	48	2	10
2014-03-25 23:04:43.008089	13645	23.6	1	10
2014-03-25 23:04:43.232486	13646	48	2	10
2014-03-25 23:05:22.015792	13653	23.6	1	10
2014-03-25 23:05:22.240436	13654	48	2	10
2014-03-25 23:06:01.013454	13662	23.6	1	10
2014-03-25 23:06:01.255798	13663	48	2	10
2014-03-25 23:06:40.113653	13672	23.6	1	10
2014-03-25 23:06:40.336047	13673	48	2	10
2014-03-25 23:07:19.00999	13683	23.6	1	10
2014-03-25 23:07:19.23499	13684	48	2	10
2014-03-25 23:07:58.009634	13694	23.5	1	10
2014-03-25 23:07:58.235202	13695	48	2	10
2014-03-25 23:08:37.010893	13703	23.5	1	10
2014-03-25 23:08:37.233223	13704	48	2	10
2014-03-25 23:09:16.01242	13711	23.5	1	10
2014-03-25 23:09:16.234866	13712	48	2	10
2014-03-25 23:09:55.009571	13720	23.5	1	10
2014-03-25 23:09:55.251937	13721	48	2	10
2014-03-25 23:10:34.009255	13729	23.5	1	10
2014-03-25 23:10:34.233362	13730	48	2	10
2014-03-26 21:39:21.136443	31395	22.3	1	8
2014-03-26 21:39:21.359921	31396	47	2	8
2014-03-25 23:11:15.172041	13741	21.0	1	8
2014-03-25 23:11:15.406653	13742	53	2	8
2014-03-25 23:11:30.475713	13743	19.6	1	1
2014-03-25 23:11:30.697911	13744	49	2	1
2014-03-25 23:11:32.703396	13745	338	3	2
2014-03-26 21:39:32.563055	31397	466	3	2
2014-03-26 21:39:32.798515	31398	1088113.4146450511	4	2
2014-03-25 23:11:54.172443	13750	21.0	1	8
2014-03-25 23:11:54.395738	13751	53	2	8
2014-03-25 23:12:09.47925	13752	19.6	1	1
2014-03-25 23:12:09.723379	13753	49	2	1
2014-03-26 21:39:35.710007	31399	20.4	1	1
2014-03-26 21:39:35.934283	31400	50	2	1
2014-03-25 23:12:32.971712	13758	338	3	2
2014-03-25 23:12:33.279418	13759	21.0	1	8
2014-03-25 23:12:33.501629	13760	53	2	8
2014-03-25 23:12:48.475937	13761	19.6	1	1
2014-03-25 23:12:48.701554	13762	49	2	1
2014-03-26 21:39:44.568675	31401	434	3	2
2014-03-26 21:39:44.802879	31402	1088114.5636797724	4	2
2014-03-25 23:13:12.173172	13767	21.0	1	8
2014-03-25 23:13:12.405022	13768	53	2	8
2014-03-25 23:13:27.474933	13769	19.6	1	1
2014-03-25 23:13:27.69933	13770	49	2	1
2014-03-25 23:13:32.708428	13771	338	3	2
2014-03-26 21:39:48.697966	31403	24.2	1	10
2014-03-26 21:39:48.92861	31404	41	2	10
2014-03-25 23:13:51.170867	13776	20.9	1	8
2014-03-25 23:13:51.392822	13777	53	2	8
2014-03-25 23:14:06.47582	13778	19.6	1	1
2014-03-25 23:14:06.707827	13779	49	2	1
2014-03-26 21:39:56.566044	31405	482	3	2
2014-03-26 21:39:56.801718	31406	1088116.8617492153	4	2
2014-03-25 23:14:30.172494	13784	20.9	1	8
2014-03-25 23:14:30.394541	13785	53	2	8
2014-03-25 23:14:32.707258	13786	338	3	2
2014-03-25 23:14:44.703324	13787	370	3	2
2014-03-25 23:14:45.472844	13788	19.5	1	1
2014-03-25 23:14:45.694991	13789	49	2	1
2014-03-25 23:14:56.705458	13790	370	3	2
2014-03-26 21:39:59.048223	31407	22.3	1	9
2014-03-26 21:39:59.272605	31408	48	2	9
2014-03-25 23:15:09.172749	13795	20.9	1	8
2014-03-25 23:15:09.395461	13796	53	2	8
2014-03-25 23:15:24.47501	13797	19.5	1	1
2014-03-25 23:15:24.716605	13798	49	2	1
2014-03-25 23:15:32.704358	13799	370	3	2
2014-03-26 21:40:00.136219	31409	22.3	1	8
2014-03-26 21:40:00.382434	31410	47	2	8
2014-03-25 23:15:48.172692	13804	20.9	1	8
2014-03-25 23:15:48.404518	13805	53	2	8
2014-03-25 23:16:03.471932	13806	19.5	1	1
2014-03-25 23:16:03.694917	13807	49	2	1
2014-03-26 21:40:08.56585	31411	450	3	2
2014-03-26 21:40:08.790453	31412	1088118.0107839368	4	2
2014-03-25 23:16:27.172131	13812	20.9	1	8
2014-03-25 23:16:27.406371	13813	53	2	8
2014-03-25 23:16:32.706603	13814	354	3	2
2014-03-25 23:16:42.475817	13815	19.5	1	1
2014-03-25 23:16:42.757736	13816	49	2	1
2014-03-26 21:40:14.702454	31413	20.4	1	1
2014-03-26 21:40:14.936203	31414	50	2	1
2014-03-25 23:17:06.299984	13821	20.9	1	8
2014-03-25 23:17:06.839991	13822	53	2	8
2014-03-25 23:17:21.473078	13823	19.5	1	1
2014-03-25 23:17:21.749716	13824	49	2	1
2014-03-25 23:17:32.708853	13825	354	3	2
2014-03-26 21:40:20.56358	31415	466	3	2
2014-03-26 21:40:20.790948	31416	1088119.1598186581	4	2
2014-03-25 23:17:45.172008	13830	20.9	1	8
2014-03-25 23:17:45.396955	13831	53	2	8
2014-03-25 23:18:00.477244	13832	19.5	1	1
2014-03-25 23:18:00.71347	13833	49	2	1
2014-03-26 21:40:27.700437	31417	24.1	1	10
2014-03-26 21:40:27.934172	31418	41	2	10
2014-03-25 23:18:24.173019	13838	20.9	1	8
2014-03-25 23:18:24.411028	13839	53	2	8
2014-03-25 23:18:32.706164	13840	354	3	2
2014-03-25 23:18:39.511815	13841	19.5	1	1
2014-03-25 23:18:39.759704	13842	49	2	1
2014-03-26 21:40:32.563811	31419	466	3	2
2014-03-26 21:40:32.79098	31420	1088121.457888101	4	2
2014-03-25 23:19:03.171616	13847	20.9	1	8
2014-03-25 23:19:03.393875	13848	53	2	8
2014-03-25 23:19:18.475307	13849	19.5	1	1
2014-03-25 23:19:18.709058	13850	49	2	1
2014-03-25 23:19:32.707522	13851	354	3	2
2014-03-26 21:40:38.048719	31421	22.3	1	9
2014-03-26 21:40:38.286297	31422	48	2	9
2014-03-25 23:19:42.171493	13856	20.9	1	8
2014-03-25 23:19:42.404083	13857	53	2	8
2014-03-25 23:19:57.511857	13858	19.5	1	1
2014-03-25 23:19:57.735334	13859	49	2	1
2014-03-26 21:40:39.135305	31423	22.3	1	8
2014-03-26 21:40:39.35804	31424	47	2	8
2014-03-25 23:20:21.171112	13864	20.9	1	8
2014-03-25 23:20:21.403163	13865	53	2	8
2014-03-25 23:20:32.706372	13866	354	3	2
2014-03-25 23:20:36.471868	13867	19.5	1	1
2014-03-25 23:20:36.740068	13868	49	2	1
2014-03-26 21:40:53.705199	31425	20.4	1	1
2014-03-25 23:11:13.01097	13737	23.5	1	10
2014-03-25 23:11:13.243162	13738	48	2	10
2014-03-25 23:11:52.010052	13746	23.5	1	10
2014-03-25 23:11:52.234077	13747	48	2	10
2014-03-25 23:12:31.011044	13754	23.5	1	10
2014-03-25 23:12:31.23361	13755	48	2	10
2014-03-25 23:13:10.010951	13763	23.5	1	10
2014-03-25 23:13:10.24221	13764	48	2	10
2014-03-25 23:13:49.012014	13772	23.5	1	10
2014-03-25 23:13:49.233933	13773	48	2	10
2014-03-25 23:14:28.220682	13780	23.5	1	10
2014-03-25 23:14:28.446028	13781	48	2	10
2014-03-25 23:15:07.014251	13791	23.5	1	10
2014-03-25 23:15:07.236895	13792	48	2	10
2014-03-25 23:15:46.012086	13800	23.5	1	10
2014-03-25 23:15:46.235456	13801	48	2	10
2014-03-25 23:16:25.011943	13808	23.4	1	10
2014-03-25 23:16:25.245194	13809	48	2	10
2014-03-25 23:17:04.141079	13817	23.4	1	10
2014-03-25 23:17:04.589975	13818	48	2	10
2014-03-25 23:17:43.012396	13826	23.4	1	10
2014-03-25 23:17:43.239443	13827	48	2	10
2014-03-25 23:18:22.012636	13834	23.4	1	10
2014-03-25 23:18:22.245584	13835	48	2	10
2014-03-25 23:19:01.020031	13843	23.4	1	10
2014-03-25 23:19:01.245575	13844	48	2	10
2014-03-25 23:19:40.013775	13852	23.4	1	10
2014-03-25 23:19:40.237647	13853	48	2	10
2014-03-25 23:20:19.015274	13860	23.4	1	10
2014-03-25 23:20:19.246565	13861	48	2	10
2014-03-25 23:21:00.173938	13873	20.9	1	8
2014-03-25 23:21:00.397447	13874	53	2	8
2014-03-25 23:21:15.47213	13875	19.5	1	1
2014-03-25 23:21:15.695067	13876	49	2	1
2014-03-25 23:21:32.705354	13877	354	3	2
2014-03-26 21:40:53.938772	31426	50	2	1
2014-03-26 21:41:06.702097	31427	24.1	1	10
2014-03-25 23:21:39.174025	13882	20.9	1	8
2014-03-25 23:21:39.398995	13883	53	2	8
2014-03-25 23:21:54.469737	13884	19.5	1	1
2014-03-25 23:21:54.703533	13885	49	2	1
2014-03-26 21:41:06.926997	31428	41	2	10
2014-03-26 21:41:08.565959	31429	434	3	2
2014-03-25 23:22:18.172128	13890	20.9	1	8
2014-03-25 23:22:18.397287	13891	53	2	8
2014-03-25 23:22:32.706031	13892	354	3	2
2014-03-25 23:22:33.470807	13893	19.5	1	1
2014-03-25 23:22:33.712676	13894	49	2	1
2014-03-26 21:41:08.8016	31430	1088126.0540269867	4	2
2014-03-26 21:41:17.047156	31431	22.3	1	9
2014-03-25 23:22:57.172509	13899	20.9	1	8
2014-03-25 23:22:57.403734	13900	53	2	8
2014-03-25 23:23:08.706021	13901	305	3	2
2014-03-25 23:23:12.470801	13902	19.5	1	1
2014-03-25 23:23:12.694588	13903	49	2	1
2014-03-25 23:23:20.705157	13904	305	3	2
2014-03-25 23:23:32.705743	13905	305	3	2
2014-03-26 21:41:17.271835	31432	48	2	9
2014-03-26 21:41:18.136055	31433	22.3	1	8
2014-03-25 23:23:36.172819	13910	20.9	1	8
2014-03-25 23:23:36.40403	13911	53	2	8
2014-03-25 23:23:51.469263	13912	19.5	1	1
2014-03-25 23:23:51.693727	13913	49	2	1
2014-03-26 21:41:18.36807	31434	47	2	8
2014-03-26 21:41:20.564029	31435	434	3	2
2014-03-25 23:24:15.17351	13918	20.9	1	8
2014-03-25 23:24:15.406456	13919	53	2	8
2014-03-25 23:24:30.469981	13920	19.5	1	1
2014-03-25 23:24:30.692289	13921	49	2	1
2014-03-25 23:24:32.704268	13922	305	3	2
2014-03-26 21:41:20.789848	31436	1088127.203061708	4	2
2014-03-26 21:41:32.946405	31437	20.4	1	1
2014-03-25 23:24:54.173165	13927	20.9	1	8
2014-03-25 23:24:54.395486	13928	53	2	8
2014-03-25 23:25:09.470628	13929	19.5	1	1
2014-03-25 23:25:09.703551	13930	49	2	1
2014-03-26 21:41:33.180307	31438	50	2	1
2014-03-26 21:41:44.562773	31439	498	3	2
2014-03-25 23:25:32.706784	13935	305	3	2
2014-03-25 23:25:33.17278	13936	20.9	1	8
2014-03-25 23:25:33.394391	13937	53	2	8
2014-03-25 23:25:48.469923	13938	19.5	1	1
2014-03-25 23:25:48.693395	13939	49	2	1
2014-03-26 21:41:44.786822	31440	1088130.6501658724	4	2
2014-03-26 21:41:45.698986	31441	24.1	1	10
2014-03-25 23:26:12.174182	13944	20.9	1	8
2014-03-25 23:26:12.40509	13945	53	2	8
2014-03-25 23:26:27.467329	13946	19.5	1	1
2014-03-25 23:26:27.691729	13947	49	2	1
2014-03-25 23:26:32.703025	13948	289	3	2
2014-03-26 21:41:45.936844	31442	41	2	10
2014-03-26 21:41:56.048207	31443	22.3	1	9
2014-03-25 23:26:51.173997	13953	20.9	1	8
2014-03-25 23:26:51.394901	13954	53	2	8
2014-03-25 23:27:06.469697	13955	19.5	1	1
2014-03-25 23:27:06.702072	13956	49	2	1
2014-03-26 21:41:56.274	31444	48	2	9
2014-03-26 21:41:56.582262	31445	434	3	2
2014-03-25 23:27:30.172735	13961	20.9	1	8
2014-03-25 23:27:30.397272	13962	53	2	8
2014-03-25 23:27:32.707519	13963	305	3	2
2014-03-25 23:27:45.464506	13964	19.5	1	1
2014-03-25 23:27:45.689207	13965	49	2	1
2014-03-26 21:41:56.816331	31446	1088131.7992005937	4	2
2014-03-26 21:41:57.136248	31447	22.3	1	8
2014-03-25 23:28:09.17311	13970	20.9	1	8
2014-03-25 23:28:09.39635	13971	53	2	8
2014-03-25 23:28:24.469516	13972	19.5	1	1
2014-03-25 23:28:24.693441	13973	49	2	1
2014-03-25 23:28:32.702462	13974	305	3	2
2014-03-26 21:41:57.358671	31448	47	2	8
2014-03-26 21:42:08.565274	31449	434	3	2
2014-03-25 23:28:48.172373	13979	20.9	1	8
2014-03-25 23:28:48.395037	13980	53	2	8
2014-03-25 23:29:03.46512	13981	19.5	1	1
2014-03-25 23:29:03.691948	13982	49	2	1
2014-03-26 21:42:08.799518	31450	1088134.0972700366	4	2
2014-03-26 21:42:11.704374	31451	20.4	1	1
2014-03-25 23:29:27.172684	13987	20.9	1	8
2014-03-25 23:29:27.394844	13988	53	2	8
2014-03-25 23:29:32.703911	13989	305	3	2
2014-03-25 23:29:42.465719	13990	19.5	1	1
2014-03-25 23:29:42.691124	13991	49	2	1
2014-03-26 21:42:11.929304	31452	50	2	1
2014-03-26 21:42:20.563946	31453	482	3	2
2014-03-25 23:30:06.17207	13996	20.9	1	8
2014-03-25 23:30:06.403327	13997	53	2	8
2014-03-25 23:30:21.464469	13998	19.5	1	1
2014-03-25 23:30:21.68778	13999	49	2	1
2014-03-25 23:30:32.705271	14000	305	3	2
2014-03-26 21:42:20.799726	31454	1088135.246304758	4	2
2014-03-25 23:30:45.173023	14005	20.9	1	8
2014-03-25 23:30:45.395913	14006	53	2	8
2014-03-25 23:31:00.462821	14007	19.4	1	1
2014-03-25 23:31:00.685124	14008	49	2	1
2014-03-25 23:21:37.013309	13878	23.4	1	10
2014-03-25 23:21:37.238274	13879	48	2	10
2014-03-25 23:22:16.013966	13886	23.4	1	10
2014-03-25 23:22:16.237262	13887	48	2	10
2014-03-25 23:22:55.015684	13895	23.4	1	10
2014-03-25 23:22:55.240252	13896	48	2	10
2014-03-25 23:23:34.014781	13906	23.4	1	10
2014-03-25 23:23:34.254146	13907	48	2	10
2014-03-25 23:24:13.015505	13914	23.3	1	10
2014-03-25 23:24:13.248805	13915	48	2	10
2014-03-25 23:24:52.016876	13923	23.3	1	10
2014-03-25 23:24:52.241172	13924	48	2	10
2014-03-25 23:25:31.016222	13931	23.3	1	10
2014-03-25 23:25:31.242708	13932	48	2	10
2014-03-25 23:26:10.014658	13940	23.3	1	10
2014-03-25 23:26:10.239649	13941	48	2	10
2014-03-25 23:26:49.016042	13949	23.3	1	10
2014-03-25 23:26:49.241469	13950	48	2	10
2014-03-25 23:27:28.015711	13957	23.3	1	10
2014-03-25 23:27:28.239373	13958	48	2	10
2014-03-25 23:28:07.015174	13966	23.3	1	10
2014-03-25 23:28:07.237742	13967	48	2	10
2014-03-25 23:28:46.016675	13975	23.3	1	10
2014-03-25 23:28:46.239016	13976	48	2	10
2014-03-25 23:29:25.016668	13983	23.3	1	10
2014-03-25 23:29:25.238115	13984	48	2	10
2014-03-25 23:30:04.016978	13992	23.3	1	10
2014-03-25 23:30:04.251003	13993	48	2	10
2014-03-26 21:42:24.699048	31455	24.1	1	10
2014-03-26 21:42:24.924134	31456	41	2	10
2014-03-25 23:31:24.171691	14013	20.9	1	8
2014-03-25 23:31:24.397741	14014	53	2	8
2014-03-25 23:31:32.70663	14015	354	3	2
2014-03-25 23:31:39.466563	14016	19.4	1	1
2014-03-25 23:31:39.690218	14017	49	2	1
2014-03-25 23:31:44.706697	14018	354	3	2
2014-03-26 21:42:32.562681	31457	450	3	2
2014-03-26 21:42:32.809708	31458	1088136.3953394794	4	2
2014-03-25 23:32:03.174849	14023	20.9	1	8
2014-03-25 23:32:03.396741	14024	53	2	8
2014-03-25 23:32:18.46466	14025	19.4	1	1
2014-03-25 23:32:18.884294	14026	49	2	1
2014-03-25 23:32:32.704908	14027	354	3	2
2014-03-26 21:42:35.051808	31459	22.3	1	9
2014-03-26 21:42:35.275133	31460	48	2	9
2014-03-25 23:32:42.172869	14032	20.9	1	8
2014-03-25 23:32:42.396973	14033	53	2	8
2014-03-25 23:32:57.4638	14034	19.4	1	1
2014-03-25 23:32:57.693643	14035	49	2	1
2014-03-26 21:42:36.13386	31461	22.3	1	8
2014-03-26 21:42:36.367298	31462	47	2	8
2014-03-25 23:33:21.171548	14040	20.9	1	8
2014-03-25 23:33:21.395706	14041	53	2	8
2014-03-25 23:33:32.703625	14042	354	3	2
2014-03-25 23:33:36.465968	14043	19.4	1	1
2014-03-25 23:33:36.688228	14044	49	2	1
2014-03-26 21:42:44.562648	31463	482	3	2
2014-03-26 21:42:44.78973	31464	1088138.6934089223	4	2
2014-03-25 23:34:00.171807	14049	21.0	1	8
2014-03-25 23:34:00.403461	14050	53	2	8
2014-03-25 23:34:15.464446	14051	19.4	1	1
2014-03-25 23:34:15.687063	14052	49	2	1
2014-03-25 23:34:32.705779	14053	354	3	2
2014-03-26 21:42:50.704327	31465	20.4	1	1
2014-03-26 21:42:50.939051	31466	50	2	1
2014-03-25 23:34:39.17209	14058	21.0	1	8
2014-03-25 23:34:39.412101	14059	53	2	8
2014-03-25 23:34:54.46237	14060	19.4	1	1
2014-03-25 23:34:54.695454	14061	49	2	1
2014-03-26 21:42:56.564984	31467	466	3	2
2014-03-26 21:42:56.787883	31468	1088139.8424436436	4	2
2014-03-25 23:35:18.171743	14066	21.0	1	8
2014-03-25 23:35:18.392114	14067	53	2	8
2014-03-25 23:35:32.700444	14068	354	3	2
2014-03-25 23:35:33.463533	14069	19.4	1	1
2014-03-25 23:35:33.68465	14070	49	2	1
2014-03-26 21:43:03.699071	31469	24.1	1	10
2014-03-26 21:43:03.936347	31470	41	2	10
2014-03-25 23:35:56.702299	14075	289	3	2
2014-03-25 23:35:57.172155	14076	21.0	1	8
2014-03-25 23:35:57.393308	14077	53	2	8
2014-03-25 23:36:08.704214	14078	305	3	2
2014-03-25 23:36:12.460031	14079	19.4	1	1
2014-03-25 23:36:12.679743	14080	49	2	1
2014-03-25 23:36:32.701282	14081	305	3	2
2014-03-26 21:43:14.259689	31471	22.3	1	9
2014-03-26 21:43:14.484413	31472	48	2	9
2014-03-25 23:36:36.171967	14086	21.0	1	8
2014-03-25 23:36:36.404682	14087	53	2	8
2014-03-25 23:36:51.460437	14088	19.4	1	1
2014-03-25 23:36:51.681536	14089	49	2	1
2014-03-26 21:43:15.137139	31473	22.3	1	8
2014-03-26 21:43:15.368673	31474	47	2	8
2014-03-25 23:37:15.172795	14094	21.0	1	8
2014-03-25 23:37:15.404371	14095	53	2	8
2014-03-25 23:37:30.591133	14096	19.4	1	1
2014-03-25 23:37:31.010049	14097	49	2	1
2014-03-25 23:37:32.828736	14098	289	3	2
2014-03-26 21:43:29.703763	31475	20.4	1	1
2014-03-26 21:43:29.926995	31476	50	2	1
2014-03-25 23:37:54.171814	14103	21.0	1	8
2014-03-25 23:37:54.395592	14104	53	2	8
2014-03-25 23:38:09.460322	14105	19.4	1	1
2014-03-25 23:38:09.68248	14106	49	2	1
2014-03-26 21:43:32.562347	31477	450	3	2
2014-03-26 21:43:32.794866	31478	1088144.4385825293	4	2
2014-03-25 23:38:32.700678	14111	305	3	2
2014-03-25 23:38:33.172179	14112	21.0	1	8
2014-03-25 23:38:33.396009	14113	53	2	8
2014-03-25 23:38:48.467577	14114	19.4	1	1
2014-03-25 23:38:48.688888	14115	49	2	1
2014-03-26 21:43:42.700249	31479	24.1	1	10
2014-03-26 21:43:42.925355	31480	41	2	10
2014-03-25 23:39:12.171449	14120	21.0	1	8
2014-03-25 23:39:12.400936	14121	53	2	8
2014-03-25 23:39:27.472831	14122	19.4	1	1
2014-03-25 23:39:27.6961	14123	49	2	1
2014-03-25 23:39:32.701698	14124	305	3	2
2014-03-26 21:43:44.564702	31481	482	3	2
2014-03-26 21:43:44.797434	31482	1088145.5876172506	4	2
2014-03-25 23:39:51.171895	14129	21.0	1	8
2014-03-25 23:39:51.39338	14130	53	2	8
2014-03-25 23:40:06.454248	14131	19.4	1	1
2014-03-25 23:40:06.684594	14132	49	2	1
2014-03-26 21:43:53.047098	31483	22.3	1	9
2014-03-26 21:43:53.273179	31484	48	2	9
2014-03-26 21:43:54.136748	31485	22.3	1	8
2014-03-25 23:40:30.172483	14137	21.0	1	8
2014-03-25 23:40:30.39454	14138	53	2	8
2014-03-25 23:40:45.262019	14139	305	3	2
2014-03-25 23:40:45.578809	14140	19.4	1	1
2014-03-25 23:40:45.803216	14141	49	2	1
2014-03-25 23:31:22.018297	14009	23.3	1	10
2014-03-25 23:31:22.243267	14010	48	2	10
2014-03-25 23:32:01.022173	14019	23.2	1	10
2014-03-25 23:32:01.24657	14020	48	2	10
2014-03-25 23:32:40.02394	14028	23.2	1	10
2014-03-25 23:32:40.251927	14029	48	2	10
2014-03-25 23:33:19.017754	14036	23.2	1	10
2014-03-25 23:33:19.240443	14037	48	2	10
2014-03-25 23:33:58.017443	14045	23.2	1	10
2014-03-25 23:33:58.248963	14046	48	2	10
2014-03-25 23:34:37.017366	14054	23.2	1	10
2014-03-25 23:34:37.238195	14055	48	2	10
2014-03-25 23:35:16.0177	14062	23.2	1	10
2014-03-25 23:35:16.239248	14063	48	2	10
2014-03-25 23:35:55.017384	14071	23.2	1	10
2014-03-25 23:35:55.247675	14072	48	2	10
2014-03-25 23:36:34.019836	14082	23.2	1	10
2014-03-25 23:36:34.251502	14083	48	2	10
2014-03-25 23:37:13.019185	14090	23.2	1	10
2014-03-25 23:37:13.25411	14091	48	2	10
2014-03-25 23:37:52.019599	14099	23.2	1	10
2014-03-25 23:37:52.245003	14100	48	2	10
2014-03-25 23:38:31.02022	14107	23.2	1	10
2014-03-25 23:38:31.242273	14108	48	2	10
2014-03-25 23:39:10.019227	14116	23.1	1	10
2014-03-25 23:39:10.249015	14117	48	2	10
2014-03-25 23:39:49.018673	14125	23.1	1	10
2014-03-25 23:39:49.241309	14126	48	2	10
2014-03-25 23:40:28.019591	14133	23.1	1	10
2014-03-26 21:43:54.372168	31486	47	2	8
2014-03-25 23:41:09.171977	14146	21.0	1	8
2014-03-25 23:41:09.402561	14147	53	2	8
2014-03-25 23:41:24.460535	14148	19.4	1	1
2014-03-25 23:41:24.683019	14149	49	2	1
2014-03-25 23:41:32.699106	14150	289	3	2
2014-03-26 21:43:56.565073	31487	434	3	2
2014-03-26 21:43:56.788668	31488	1088147.8856866935	4	2
2014-03-25 23:41:48.171513	14155	21.0	1	8
2014-03-25 23:41:48.392553	14156	53	2	8
2014-03-25 23:42:03.457759	14157	19.4	1	1
2014-03-25 23:42:03.70214	14158	49	2	1
2014-03-26 21:44:08.942294	31489	20.4	1	1
2014-03-26 21:44:09.176432	31490	50	2	1
2014-03-25 23:42:27.173046	14163	21.0	1	8
2014-03-25 23:42:27.431415	14164	53	2	8
2014-03-25 23:42:32.701623	14165	289	3	2
2014-03-25 23:42:42.499441	14166	19.4	1	1
2014-03-25 23:42:42.724221	14167	49	2	1
2014-03-26 21:44:20.562105	31491	466	3	2
2014-03-26 21:44:20.787216	31492	1088151.3327908579	4	2
2014-03-25 23:43:06.173651	14172	21.0	1	8
2014-03-25 23:43:06.403943	14173	52	2	8
2014-03-25 23:43:21.460023	14174	19.4	1	1
2014-03-25 23:43:21.68268	14175	49	2	1
2014-03-25 23:43:42.820908	14176	289	3	2
2014-03-26 21:44:21.699093	31493	24.1	1	10
2014-03-26 21:44:21.934687	31494	41	2	10
2014-03-25 23:43:44.700316	14181	354	3	2
2014-03-25 23:43:45.172519	14182	21.0	1	8
2014-03-25 23:43:45.394718	14183	52	2	8
2014-03-25 23:43:56.699408	14184	354	3	2
2014-03-25 23:44:00.457444	14185	19.4	1	1
2014-03-25 23:44:00.678731	14186	49	2	1
2014-03-26 21:44:32.047875	31495	22.2	1	9
2014-03-26 21:44:32.273019	31496	48	2	9
2014-03-25 23:44:24.171376	14191	21.0	1	8
2014-03-25 23:44:24.403141	14192	52	2	8
2014-03-25 23:44:32.703552	14193	354	3	2
2014-03-25 23:44:39.457872	14194	19.4	1	1
2014-03-25 23:44:39.68357	14195	49	2	1
2014-03-26 21:44:32.582033	31497	466	3	2
2014-03-26 21:44:32.815728	31498	1088152.4818255792	4	2
2014-03-25 23:45:03.172321	14200	21.0	1	8
2014-03-25 23:45:03.392713	14201	52	2	8
2014-03-25 23:45:18.45524	14202	19.4	1	1
2014-03-25 23:45:18.698966	14203	49	2	1
2014-03-25 23:45:32.702928	14204	354	3	2
2014-03-26 21:44:33.138667	31499	22.3	1	8
2014-03-26 21:44:33.36599	31500	47	2	8
2014-03-25 23:45:42.171788	14209	21.0	1	8
2014-03-25 23:45:42.393135	14210	52	2	8
2014-03-25 23:45:57.454617	14211	19.4	1	1
2014-03-25 23:45:57.67798	14212	49	2	1
2014-03-26 21:44:47.701745	31501	20.4	1	1
2014-03-26 21:44:47.936195	31502	50	2	1
2014-03-25 23:46:21.171726	14217	21.0	1	8
2014-03-25 23:46:21.393462	14218	52	2	8
2014-03-25 23:46:32.703788	14219	354	3	2
2014-03-25 23:46:36.45736	14220	19.4	1	1
2014-03-25 23:46:36.679265	14221	49	2	1
2014-03-26 21:45:00.700042	31503	24.1	1	10
2014-03-26 21:45:00.927033	31504	41	2	10
2014-03-25 23:47:00.170376	14226	21.0	1	8
2014-03-25 23:47:00.403015	14227	52	2	8
2014-03-25 23:47:08.701365	14228	418	3	2
2014-03-25 23:47:15.458708	14229	19.4	1	1
2014-03-25 23:47:15.680489	14230	49	2	1
2014-03-25 23:47:32.558703	14231	418	3	2
2014-03-25 23:47:32.871077	14232	418	3	2
2014-03-26 21:45:11.04769	31505	22.2	1	9
2014-03-26 21:45:11.294878	31506	48	2	9
2014-03-25 23:47:39.300005	14237	21.0	1	8
2014-03-25 23:47:39.740048	14238	52	2	8
2014-03-25 23:47:54.456042	14239	19.4	1	1
2014-03-25 23:47:54.677338	14240	49	2	1
2014-03-25 23:47:56.700891	14241	354	3	2
2014-03-25 23:48:08.698968	14242	370	3	2
2014-03-26 21:45:12.134806	31507	22.3	1	8
2014-03-26 21:45:12.360939	31508	47	2	8
2014-03-25 23:48:18.172312	14247	21.0	1	8
2014-03-25 23:48:18.393639	14248	52	2	8
2014-03-25 23:48:32.70279	14249	370	3	2
2014-03-25 23:48:33.453145	14250	19.4	1	1
2014-03-25 23:48:33.674339	14251	49	2	1
2014-03-26 21:45:26.702067	31509	20.4	1	1
2014-03-26 21:45:26.936752	31510	50	2	1
2014-03-25 23:48:57.171297	14256	21.0	1	8
2014-03-25 23:48:57.394247	14257	52	2	8
2014-03-25 23:49:12.693027	14258	19.4	1	1
2014-03-25 23:49:12.922808	14259	49	2	1
2014-03-25 23:49:32.70054	14260	370	3	2
2014-03-26 21:45:32.564675	31511	466	3	2
2014-03-26 21:45:32.788648	31512	1088160.525068629	4	2
2014-03-25 23:49:36.171101	14265	21.0	1	8
2014-03-25 23:49:36.403409	14266	52	2	8
2014-03-25 23:49:51.455818	14267	19.4	1	1
2014-03-25 23:49:51.677153	14268	49	2	1
2014-03-26 21:45:39.699843	31513	24.1	1	10
2014-03-26 21:45:39.934466	31514	41	2	10
2014-03-25 23:50:15.171684	14273	21.0	1	8
2014-03-25 23:50:15.403614	14274	52	2	8
2014-03-25 23:50:30.454379	14275	19.3	1	1
2014-03-25 23:50:30.678022	14276	49	2	1
2014-03-25 23:50:32.702801	14277	370	3	2
2014-03-25 23:41:46.020845	14151	23.1	1	10
2014-03-25 23:41:46.24317	14152	48	2	10
2014-03-25 23:42:25.020308	14159	23.1	1	10
2014-03-25 23:42:25.244369	14160	48	2	10
2014-03-25 23:43:04.018295	14168	23.1	1	10
2014-03-25 23:43:04.25104	14169	48	2	10
2014-03-25 23:43:43.135542	14177	23.1	1	10
2014-03-25 23:43:43.360342	14178	48	2	10
2014-03-25 23:44:22.019383	14187	23.1	1	10
2014-03-25 23:44:22.251658	14188	48	2	10
2014-03-25 23:45:01.019713	14196	23.1	1	10
2014-03-25 23:45:01.241571	14197	48	2	10
2014-03-25 23:45:40.019848	14205	23.1	1	10
2014-03-25 23:45:40.241854	14206	48	2	10
2014-03-25 23:46:19.021576	14213	23.1	1	10
2014-03-25 23:46:19.244248	14214	48	2	10
2014-03-25 23:46:58.022765	14222	23.0	1	10
2014-03-25 23:46:58.254732	14223	48	2	10
2014-03-25 23:47:37.023179	14233	23.0	1	10
2014-03-25 23:47:37.430088	14234	48	2	10
2014-03-25 23:48:16.022435	14243	23.0	1	10
2014-03-25 23:48:16.246433	14244	48	2	10
2014-03-25 23:48:55.021234	14252	23.0	1	10
2014-03-25 23:48:55.243113	14253	48	2	10
2014-03-25 23:49:34.021804	14261	23.0	1	10
2014-03-25 23:49:34.245625	14262	48	2	10
2014-03-25 23:50:13.0221	14269	23.0	1	10
2014-03-25 23:50:13.253008	14270	48	2	10
2014-03-26 21:45:50.047079	31515	22.2	1	9
2014-03-25 23:50:54.172482	14282	21.0	1	8
2014-03-25 23:50:54.393122	14283	52	2	8
2014-03-25 23:51:09.451841	14284	19.3	1	1
2014-03-25 23:51:09.686368	14285	49	2	1
2014-03-26 21:45:50.272368	31516	48	2	9
2014-03-26 21:45:51.135388	31517	22.2	1	8
2014-03-25 23:51:32.700846	14290	370	3	2
2014-03-25 23:51:33.172005	14291	21.0	1	8
2014-03-25 23:51:33.394352	14292	52	2	8
2014-03-25 23:51:48.458303	14293	19.3	1	1
2014-03-25 23:51:48.680782	14294	49	2	1
2014-03-26 21:45:51.368641	31518	47	2	8
2014-03-26 21:46:05.705146	31519	20.4	1	1
2014-03-25 23:52:12.171958	14299	21.0	1	8
2014-03-25 23:52:12.401819	14300	52	2	8
2014-03-25 23:52:27.452184	14301	19.3	1	1
2014-03-25 23:52:27.674058	14302	49	2	1
2014-03-25 23:52:32.700952	14303	370	3	2
2014-03-26 21:46:05.929386	31520	50	2	1
2014-03-26 21:46:08.563376	31521	434	3	2
2014-03-25 23:52:51.172129	14308	21.0	1	8
2014-03-25 23:52:51.393563	14309	52	2	8
2014-03-25 23:53:06.450986	14310	19.3	1	1
2014-03-25 23:53:06.673302	14311	49	2	1
2014-03-26 21:46:08.799785	31522	1088165.1212075148	4	2
2014-03-26 21:46:18.702314	31523	24.1	1	10
2014-03-25 23:53:30.172738	14316	21.0	1	8
2014-03-25 23:53:30.396671	14317	52	2	8
2014-03-25 23:53:32.699838	14318	370	3	2
2014-03-25 23:53:45.452797	14319	19.3	1	1
2014-03-25 23:53:45.68686	14320	49	2	1
2014-03-26 21:46:18.926028	31524	41	2	10
2014-03-26 21:46:20.562909	31525	466	3	2
2014-03-25 23:54:09.17055	14325	21.0	1	8
2014-03-25 23:54:09.393737	14326	52	2	8
2014-03-25 23:54:24.45028	14327	19.3	1	1
2014-03-25 23:54:24.684065	14328	49	2	1
2014-03-25 23:54:32.700129	14329	354	3	2
2014-03-26 21:46:20.797689	31526	1088166.2702422363	4	2
2014-03-26 21:46:29.046683	31527	22.2	1	9
2014-03-25 23:54:48.172533	14334	21.0	1	8
2014-03-25 23:54:48.405256	14335	52	2	8
2014-03-25 23:55:03.452769	14336	19.3	1	1
2014-03-25 23:55:03.674267	14337	49	2	1
2014-03-26 21:46:29.270322	31528	48	2	9
2014-03-26 21:46:30.134406	31529	22.2	1	8
2014-03-25 23:55:27.17156	14342	21.0	1	8
2014-03-25 23:55:27.403392	14343	52	2	8
2014-03-25 23:55:32.69806	14344	354	3	2
2014-03-25 23:55:42.453498	14345	19.3	1	1
2014-03-25 23:55:42.678582	14346	49	2	1
2014-03-25 23:55:56.555063	14347	418	3	2
2014-03-25 23:56:03.8245	14348	418	3	2
2014-03-26 21:46:30.369112	31530	47	2	8
2014-03-26 21:46:32.56601	31531	531	3	2
2014-03-25 23:56:06.171308	14353	20.9	1	8
2014-03-25 23:56:06.403081	14354	53	2	8
2014-03-25 23:56:21.447205	14355	19.3	1	1
2014-03-25 23:56:21.671886	14356	49	2	1
2014-03-25 23:56:32.702895	14357	418	3	2
2014-03-26 21:46:32.792446	31532	1088168.568311679	4	2
2014-03-26 21:46:44.942419	31533	20.4	1	1
2014-03-25 23:56:45.172014	14362	21.0	1	8
2014-03-25 23:56:45.393374	14363	52	2	8
2014-03-25 23:57:00.451682	14364	19.3	1	1
2014-03-25 23:57:00.675362	14365	49	2	1
2014-03-26 21:46:45.176701	31534	50	2	1
2014-03-26 21:46:57.699533	31535	24.1	1	10
2014-03-25 23:57:24.171849	14370	20.9	1	8
2014-03-25 23:57:24.394381	14371	53	2	8
2014-03-25 23:57:32.70011	14372	418	3	2
2014-03-25 23:57:39.452736	14373	19.3	1	1
2014-03-25 23:57:39.677357	14374	49	2	1
2014-03-26 21:46:57.927259	31536	41	2	10
2014-03-26 21:47:08.259774	31537	22.2	1	9
2014-03-25 23:58:03.300015	14379	20.9	1	8
2014-03-25 23:58:03.759775	14380	53	2	8
2014-03-25 23:58:18.45231	14381	19.3	1	1
2014-03-25 23:58:18.674148	14382	49	2	1
2014-03-25 23:58:32.696919	14383	418	3	2
2014-03-26 21:47:08.49692	31538	48	2	9
2014-03-26 21:47:09.135843	31539	22.2	1	8
2014-03-25 23:58:42.172579	14388	20.9	1	8
2014-03-25 23:58:42.394993	14389	53	2	8
2014-03-25 23:58:57.691392	14390	19.3	1	1
2014-03-25 23:58:57.91364	14391	49	2	1
2014-03-26 21:47:09.359349	31540	47	2	8
2014-03-26 21:47:23.703521	31541	20.4	1	1
2014-03-25 23:59:21.17054	14396	20.9	1	8
2014-03-25 23:59:21.395031	14397	53	2	8
2014-03-25 23:59:32.700384	14398	418	3	2
2014-03-25 23:59:36.452342	14399	19.3	1	1
2014-03-25 23:59:36.686478	14400	49	2	1
2014-03-25 23:59:56.696372	14401	354	3	2
2014-03-26 21:47:23.937582	31542	50	2	1
2014-03-26 21:47:32.56323	31543	531	3	2
2014-03-26 00:00:00.171135	14406	20.9	1	8
2014-03-26 00:00:00.404671	14407	53	2	8
2014-03-26 00:00:08.701159	14408	354	3	2
2014-03-26 00:00:15.453482	14409	19.3	1	1
2014-03-26 00:00:15.675886	14410	49	2	1
2014-03-26 00:00:32.698579	14411	354	3	2
2014-03-26 00:00:39.172419	14416	20.9	1	8
2014-03-25 23:51:31.022889	14286	23.0	1	10
2014-03-25 23:51:31.244654	14287	48	2	10
2014-03-25 23:52:10.022247	14295	23.0	1	10
2014-03-25 23:52:10.246924	14296	48	2	10
2014-03-25 23:52:49.024307	14304	23.0	1	10
2014-03-25 23:52:49.248732	14305	48	2	10
2014-03-25 23:53:28.023043	14312	23.0	1	10
2014-03-25 23:53:28.24793	14313	48	2	10
2014-03-25 23:54:07.023243	14321	23.0	1	10
2014-03-25 23:54:07.247558	14322	48	2	10
2014-03-25 23:54:46.024872	14330	23.0	1	10
2014-03-25 23:54:46.246228	14331	48	2	10
2014-03-25 23:55:25.024523	14338	22.9	1	10
2014-03-25 23:55:25.268304	14339	48	2	10
2014-03-25 23:56:04.132059	14349	22.9	1	10
2014-03-25 23:56:04.366212	14350	48	2	10
2014-03-25 23:56:43.024401	14358	22.9	1	10
2014-03-25 23:56:43.255706	14359	48	2	10
2014-03-25 23:57:22.232098	14366	22.9	1	10
2014-03-25 23:57:22.455171	14367	48	2	10
2014-03-25 23:58:01.156179	14375	22.9	1	10
2014-03-25 23:58:01.579998	14376	48	2	10
2014-03-25 23:58:40.025829	14384	22.9	1	10
2014-03-25 23:58:40.249187	14385	48	2	10
2014-03-25 23:59:19.024965	14392	22.9	1	10
2014-03-25 23:59:19.250343	14393	48	2	10
2014-03-25 23:59:58.025988	14402	22.9	1	10
2014-03-25 23:59:58.246371	14403	48	2	10
2014-03-26 00:00:37.025743	14412	22.9	1	10
2014-03-26 00:00:39.393189	14417	53	2	8
2014-03-26 00:00:54.447725	14418	19.3	1	1
2014-03-26 00:00:54.684053	14419	49	2	1
2014-03-26 21:47:32.787741	31544	1088176.611554729	4	2
2014-03-26 21:47:36.701066	31545	24.1	1	10
2014-03-26 00:01:18.172498	14424	20.9	1	8
2014-03-26 00:01:18.394991	14425	53	2	8
2014-03-26 00:01:32.701468	14426	354	3	2
2014-03-26 00:01:33.447757	14427	19.3	1	1
2014-03-26 00:01:33.678592	14428	49	2	1
2014-03-26 21:47:36.937221	31546	41	2	10
2014-03-26 21:47:47.26148	31547	22.2	1	9
2014-03-26 00:01:56.701392	14433	289	3	2
2014-03-26 00:01:57.171471	14434	20.9	1	8
2014-03-26 00:01:57.395853	14435	53	2	8
2014-03-26 00:02:08.699118	14436	305	3	2
2014-03-26 00:02:12.447471	14437	19.3	1	1
2014-03-26 00:02:12.680213	14438	49	2	1
2014-03-26 00:02:32.699816	14439	289	3	2
2014-03-26 21:47:47.488897	31548	48	2	9
2014-03-26 21:47:48.135553	31549	22.2	1	8
2014-03-26 00:02:36.172229	14444	20.9	1	8
2014-03-26 00:02:36.405664	14445	53	2	8
2014-03-26 00:02:51.445906	14446	19.3	1	1
2014-03-26 00:02:51.67015	14447	49	2	1
2014-03-26 21:47:48.3717	31550	47	2	8
2014-03-26 21:47:56.562086	31551	466	3	2
2014-03-26 00:03:15.170562	14452	20.9	1	8
2014-03-26 00:03:15.401946	14453	53	2	8
2014-03-26 00:03:30.446601	14454	19.3	1	1
2014-03-26 00:03:30.66919	14455	49	2	1
2014-03-26 00:03:32.701975	14456	305	3	2
2014-03-26 21:47:56.787191	31552	1088180.0586588932	4	2
2014-03-26 21:48:02.70221	31553	20.4	1	1
2014-03-26 00:03:54.172303	14461	20.9	1	8
2014-03-26 00:03:54.394434	14462	53	2	8
2014-03-26 00:04:09.446395	14463	19.3	1	1
2014-03-26 00:04:09.679384	14464	49	2	1
2014-03-26 21:48:02.948255	31554	50	2	1
2014-03-26 21:48:08.559197	31555	515	3	2
2014-03-26 00:04:32.702867	14469	305	3	2
2014-03-26 00:04:33.174045	14470	20.9	1	8
2014-03-26 00:04:33.402501	14471	53	2	8
2014-03-26 00:04:48.446953	14472	19.3	1	1
2014-03-26 00:04:48.669165	14473	49	2	1
2014-03-26 21:48:08.784217	31556	1088182.356728336	4	2
2014-03-26 21:48:15.70066	31557	24.1	1	10
2014-03-26 00:05:12.174507	14478	20.9	1	8
2014-03-26 00:05:12.406885	14479	53	2	8
2014-03-26 00:05:27.445376	14480	19.3	1	1
2014-03-26 00:05:27.667943	14481	49	2	1
2014-03-26 00:05:32.698931	14482	305	3	2
2014-03-26 21:48:15.934641	31558	41	2	10
2014-03-26 21:48:20.564598	31559	515	3	2
2014-03-26 00:05:51.170913	14487	20.9	1	8
2014-03-26 00:05:51.393821	14488	53	2	8
2014-03-26 00:06:06.446513	14489	19.3	1	1
2014-03-26 00:06:06.679312	14490	49	2	1
2014-03-26 21:48:20.789755	31560	1088183.5057630574	4	2
2014-03-26 21:48:26.047465	31561	22.2	1	9
2014-03-26 00:06:30.171205	14495	20.9	1	8
2014-03-26 00:06:30.392665	14496	53	2	8
2014-03-26 00:06:32.696974	14497	289	3	2
2014-03-26 00:06:45.445742	14498	19.3	1	1
2014-03-26 00:06:45.669207	14499	49	2	1
2014-03-26 21:48:26.287016	31562	48	2	9
2014-03-26 21:48:27.136474	31563	22.2	1	8
2014-03-26 00:07:09.17105	14504	20.9	1	8
2014-03-26 00:07:09.403088	14505	53	2	8
2014-03-26 00:07:24.445925	14506	19.3	1	1
2014-03-26 00:07:24.66769	14507	49	2	1
2014-03-26 00:07:32.694182	14508	354	3	2
2014-03-26 00:07:44.698423	14509	354	3	2
2014-03-26 21:48:27.359783	31564	47	2	8
2014-03-26 21:48:32.564513	31565	515	3	2
2014-03-26 00:07:48.170712	14514	20.9	1	8
2014-03-26 00:07:48.394064	14515	53	2	8
2014-03-26 00:08:03.445345	14516	19.3	1	1
2014-03-26 00:08:03.67898	14517	49	2	1
2014-03-26 21:48:32.799785	31566	1088185.8038325002	4	2
2014-03-26 21:48:41.697521	31567	20.4	1	1
2014-03-26 00:08:27.171497	14522	20.9	1	8
2014-03-26 00:08:27.393254	14523	53	2	8
2014-03-26 00:08:32.694384	14524	354	3	2
2014-03-26 00:08:42.445953	14525	19.3	1	1
2014-03-26 00:08:42.668255	14526	49	2	1
2014-03-26 21:48:41.922855	31568	50	2	1
2014-03-26 21:48:44.563976	31569	2382	3	2
2014-03-26 00:09:06.502124	14531	20.9	1	8
2014-03-26 00:09:06.737156	14532	53	2	8
2014-03-26 00:09:21.44739	14533	19.3	1	1
2014-03-26 00:09:21.669987	14534	49	2	1
2014-03-26 00:09:32.701906	14535	354	3	2
2014-03-26 21:48:44.798816	31570	1088188.101901943	4	2
2014-03-26 21:48:54.700036	31571	24.1	1	10
2014-03-26 00:09:45.172402	14540	20.9	1	8
2014-03-26 00:09:45.397482	14541	53	2	8
2014-03-26 00:10:00.442984	14542	19.3	1	1
2014-03-26 00:10:00.67521	14543	49	2	1
2014-03-26 21:48:54.925388	31572	41	2	10
2014-03-26 00:10:24.172836	14548	20.9	1	8
2014-03-26 00:10:24.396146	14549	53	2	8
2014-03-26 00:10:32.7006	14550	354	3	2
2014-03-26 00:10:39.440332	14551	19.3	1	1
2014-03-26 00:10:39.663757	14552	49	2	1
2014-03-26 00:01:16.025248	14420	22.9	1	10
2014-03-26 00:01:16.246973	14421	48	2	10
2014-03-26 00:01:55.026168	14429	22.9	1	10
2014-03-26 00:01:55.249059	14430	48	2	10
2014-03-26 00:02:34.030967	14440	22.9	1	10
2014-03-26 00:02:34.253701	14441	48	2	10
2014-03-26 00:03:13.029816	14448	22.9	1	10
2014-03-26 00:03:13.260727	14449	48	2	10
2014-03-26 00:03:52.02688	14457	22.8	1	10
2014-03-26 00:03:52.250713	14458	48	2	10
2014-03-26 00:04:31.025899	14465	22.8	1	10
2014-03-26 00:04:31.251716	14466	48	2	10
2014-03-26 00:05:10.028318	14474	22.8	1	10
2014-03-26 00:05:10.250769	14475	48	2	10
2014-03-26 00:05:49.026883	14483	22.8	1	10
2014-03-26 00:05:49.256739	14484	48	2	10
2014-03-26 00:06:28.027437	14491	22.8	1	10
2014-03-26 00:06:28.303448	14492	48	2	10
2014-03-26 00:07:07.028067	14500	22.8	1	10
2014-03-26 00:07:07.259161	14501	48	2	10
2014-03-26 00:07:46.028285	14510	22.8	1	10
2014-03-26 00:07:46.250947	14511	48	2	10
2014-03-26 00:08:25.030633	14518	22.8	1	10
2014-03-26 00:08:25.253241	14519	48	2	10
2014-03-26 00:09:04.030612	14527	22.8	1	10
2014-03-26 00:09:04.263264	14528	48	2	10
2014-03-26 00:09:43.030278	14536	22.8	1	10
2014-03-26 00:09:43.253849	14537	48	2	10
2014-03-26 21:48:56.564111	31573	611	3	2
2014-03-26 21:48:56.799314	31574	1088190.399971386	4	2
2014-03-26 00:11:03.171887	14557	20.9	1	8
2014-03-26 00:11:03.396434	14558	53	2	8
2014-03-26 00:11:18.442058	14559	19.3	1	1
2014-03-26 00:11:18.664315	14560	49	2	1
2014-03-26 00:11:32.698823	14561	354	3	2
2014-03-26 21:49:05.048815	31575	22.2	1	9
2014-03-26 21:49:05.2752	31576	48	2	9
2014-03-26 00:11:42.170885	14566	20.9	1	8
2014-03-26 00:11:42.392372	14567	53	2	8
2014-03-26 00:11:57.442274	14568	19.3	1	1
2014-03-26 00:11:57.666688	14569	49	2	1
2014-03-26 00:12:08.70169	14570	289	3	2
2014-03-26 21:49:06.135635	31577	22.2	1	8
2014-03-26 21:49:06.371587	31578	47	2	8
2014-03-26 00:12:20.699597	14575	289	3	2
2014-03-26 00:12:21.170546	14576	20.9	1	8
2014-03-26 00:12:21.405206	14577	53	2	8
2014-03-26 00:12:32.698098	14578	289	3	2
2014-03-26 00:12:36.441537	14579	19.2	1	1
2014-03-26 00:12:36.664626	14580	49	2	1
2014-03-26 21:49:08.564018	31579	579	3	2
2014-03-26 21:49:08.788659	31580	1088192.6980408288	4	2
2014-03-26 00:13:00.169828	14585	20.9	1	8
2014-03-26 00:13:00.392294	14586	53	2	8
2014-03-26 00:13:15.439809	14587	19.2	1	1
2014-03-26 00:13:15.661633	14588	49	2	1
2014-03-26 00:13:32.695677	14589	289	3	2
2014-03-26 21:49:20.938017	31581	20.4	1	1
2014-03-26 21:49:21.172203	31582	50	2	1
2014-03-26 00:13:39.171481	14594	20.9	1	8
2014-03-26 00:13:39.401735	14595	53	2	8
2014-03-26 00:13:54.439102	14596	19.2	1	1
2014-03-26 00:13:54.662121	14597	49	2	1
2014-03-26 21:49:32.563493	31583	611	3	2
2014-03-26 21:49:32.790668	31584	1088197.2941797145	4	2
2014-03-26 00:14:18.17227	14602	20.9	1	8
2014-03-26 00:14:18.40501	14603	53	2	8
2014-03-26 00:14:32.695461	14604	289	3	2
2014-03-26 00:14:33.436841	14605	19.2	1	1
2014-03-26 00:14:33.664334	14606	49	2	1
2014-03-26 21:49:33.700381	31585	24.1	1	10
2014-03-26 21:49:33.934438	31586	41	2	10
2014-03-26 00:14:57.17266	14611	20.9	1	8
2014-03-26 00:14:57.451096	14612	53	2	8
2014-03-26 00:15:12.442313	14613	19.2	1	1
2014-03-26 00:15:12.673997	14614	49	2	1
2014-03-26 00:15:32.696589	14615	305	3	2
2014-03-26 21:49:44.260969	31587	22.2	1	9
2014-03-26 21:49:44.48668	31588	48	2	9
2014-03-26 00:15:36.172197	14620	20.9	1	8
2014-03-26 00:15:36.40529	14621	53	2	8
2014-03-26 00:15:51.440526	14622	19.2	1	1
2014-03-26 00:15:51.66448	14623	49	2	1
2014-03-26 21:49:45.135	31589	22.2	1	8
2014-03-26 21:49:45.369435	31590	47	2	8
2014-03-26 00:16:15.170405	14628	20.9	1	8
2014-03-26 00:16:15.403269	14629	53	2	8
2014-03-26 00:16:30.442729	14630	19.2	1	1
2014-03-26 00:16:30.667665	14631	49	2	1
2014-03-26 00:16:32.696901	14632	289	3	2
2014-03-26 21:49:59.699857	31591	20.4	1	1
2014-03-26 21:49:59.925477	31592	50	2	1
2014-03-26 00:16:54.171348	14637	20.9	1	8
2014-03-26 00:16:54.393336	14638	53	2	8
2014-03-26 00:17:09.439575	14639	19.2	1	1
2014-03-26 00:17:09.675114	14640	49	2	1
2014-03-26 21:50:12.701842	31593	24.1	1	10
2014-03-26 21:50:12.936312	31594	41	2	10
2014-03-26 00:17:32.969836	14645	305	3	2
2014-03-26 00:17:33.276589	14646	20.9	1	8
2014-03-26 00:17:33.497883	14647	53	2	8
2014-03-26 00:17:48.440629	14648	19.2	1	1
2014-03-26 00:17:48.667481	14649	49	2	1
2014-03-26 21:50:23.046378	31595	22.2	1	9
2014-03-26 21:50:23.271404	31596	48	2	9
2014-03-26 00:18:12.171455	14654	20.9	1	8
2014-03-26 00:18:12.414615	14655	53	2	8
2014-03-26 00:18:27.562091	14656	19.2	1	1
2014-03-26 00:18:27.998958	14657	49	2	1
2014-03-26 00:18:32.823478	14658	289	3	2
2014-03-26 21:50:24.136712	31597	22.2	1	8
2014-03-26 21:50:24.377187	31598	47	2	8
2014-03-26 00:18:51.170783	14663	20.9	1	8
2014-03-26 00:18:51.392512	14664	53	2	8
2014-03-26 00:19:06.433563	14665	19.2	1	1
2014-03-26 00:19:06.666643	14666	49	2	1
2014-03-26 21:50:32.563601	31599	611	3	2
2014-03-26 21:50:32.790112	31600	1088206.4864574857	4	2
2014-03-26 00:19:30.170491	14671	20.9	1	8
2014-03-26 00:19:30.392314	14672	52	2	8
2014-03-26 00:19:32.694506	14673	289	3	2
2014-03-26 00:19:45.438761	14674	19.2	1	1
2014-03-26 00:19:45.663291	14675	49	2	1
2014-03-26 00:19:56.699195	14676	338	3	2
2014-03-26 21:50:38.699937	31601	20.4	1	1
2014-03-26 21:50:38.945191	31602	50	2	1
2014-03-26 21:50:51.70053	31603	24.1	1	10
2014-03-26 00:20:08.697335	14681	338	3	2
2014-03-26 00:20:09.172798	14682	20.9	1	8
2014-03-26 00:20:09.397386	14683	52	2	8
2014-03-26 00:20:24.437473	14684	19.2	1	1
2014-03-26 00:20:24.660287	14685	49	2	1
2014-03-26 00:20:32.694675	14686	338	3	2
2014-03-26 00:11:01.029834	14553	22.8	1	10
2014-03-26 00:11:01.253915	14554	48	2	10
2014-03-26 00:11:40.032667	14562	22.8	1	10
2014-03-26 00:11:40.256253	14563	48	2	10
2014-03-26 00:12:19.030015	14571	22.8	1	10
2014-03-26 00:12:19.252875	14572	48	2	10
2014-03-26 00:12:58.029552	14581	22.8	1	10
2014-03-26 00:12:58.270893	14582	48	2	10
2014-03-26 00:13:37.029161	14590	22.7	1	10
2014-03-26 00:13:37.253081	14591	48	2	10
2014-03-26 00:14:16.033111	14598	22.7	1	10
2014-03-26 00:14:16.264816	14599	48	2	10
2014-03-26 00:14:55.030668	14607	22.7	1	10
2014-03-26 00:14:55.255089	14608	48	2	10
2014-03-26 00:15:34.033869	14616	22.7	1	10
2014-03-26 00:15:34.259241	14617	48	2	10
2014-03-26 00:16:13.03072	14624	22.7	1	10
2014-03-26 00:16:13.263943	14625	48	2	10
2014-03-26 00:16:52.0346	14633	22.7	1	10
2014-03-26 00:16:52.258065	14634	48	2	10
2014-03-26 00:17:31.032651	14641	22.7	1	10
2014-03-26 00:17:31.255651	14642	48	2	10
2014-03-26 00:18:10.032026	14650	22.7	1	10
2014-03-26 00:18:10.254936	14651	48	2	10
2014-03-26 00:18:49.030936	14659	22.7	1	10
2014-03-26 00:18:49.253322	14660	48	2	10
2014-03-26 00:19:28.036081	14667	22.7	1	10
2014-03-26 00:19:28.258135	14668	48	2	10
2014-03-26 21:50:51.927033	31604	41	2	10
2014-03-26 21:51:02.048993	31605	22.2	1	9
2014-03-26 00:20:48.170489	14691	20.9	1	8
2014-03-26 00:20:48.427214	14692	52	2	8
2014-03-26 00:21:03.440319	14693	19.2	1	1
2014-03-26 00:21:03.864609	14694	49	2	1
2014-03-26 21:51:02.468555	31606	48	2	9
2014-03-26 21:51:03.13501	31607	22.2	1	8
2014-03-26 00:21:27.171443	14699	20.9	1	8
2014-03-26 00:21:27.418197	14700	52	2	8
2014-03-26 00:21:32.697728	14701	338	3	2
2014-03-26 00:21:42.440652	14702	19.2	1	1
2014-03-26 00:21:42.661527	14703	49	2	1
2014-03-26 21:51:03.364961	31608	47	2	8
2014-03-26 21:51:17.701475	31609	20.3	1	1
2014-03-26 00:22:06.170683	14708	20.9	1	8
2014-03-26 00:22:06.393724	14709	52	2	8
2014-03-26 00:22:21.438047	14710	19.2	1	1
2014-03-26 00:22:21.672552	14711	49	2	1
2014-03-26 00:22:32.693899	14712	338	3	2
2014-03-26 21:51:17.926053	31610	50	2	1
2014-03-26 21:51:30.703592	31611	24.1	1	10
2014-03-26 00:22:45.170833	14717	20.9	1	8
2014-03-26 00:22:45.393299	14718	52	2	8
2014-03-26 00:23:00.437153	14719	19.2	1	1
2014-03-26 00:23:00.661284	14720	49	2	1
2014-03-26 21:51:30.937999	31612	41	2	10
2014-03-26 21:51:32.563121	31613	611	3	2
2014-03-26 00:23:24.170555	14725	20.9	1	8
2014-03-26 00:23:24.393042	14726	52	2	8
2014-03-26 00:23:32.696408	14727	338	3	2
2014-03-26 00:23:39.434817	14728	19.2	1	1
2014-03-26 00:23:39.658271	14729	49	2	1
2014-03-26 21:51:32.789942	31614	1088216.8277699784	4	2
2014-03-26 21:51:41.047656	31615	22.2	1	9
2014-03-26 00:24:03.172967	14734	20.9	1	8
2014-03-26 00:24:03.396636	14735	52	2	8
2014-03-26 00:24:18.434645	14736	19.2	1	1
2014-03-26 00:24:18.66757	14737	49	2	1
2014-03-26 00:24:32.699883	14738	289	3	2
2014-03-26 21:51:41.28126	31616	48	2	9
2014-03-26 21:51:42.1374	31617	22.2	1	8
2014-03-26 00:24:42.173783	14743	20.9	1	8
2014-03-26 00:24:42.416303	14744	52	2	8
2014-03-26 00:24:44.698764	14745	289	3	2
2014-03-26 00:24:57.436477	14746	19.2	1	1
2014-03-26 00:24:57.71332	14747	49	2	1
2014-03-26 21:51:42.36171	31618	47	2	8
2014-03-26 21:51:56.69762	31619	20.3	1	1
2014-03-26 00:25:21.171953	14752	20.9	1	8
2014-03-26 00:25:21.394053	14753	52	2	8
2014-03-26 00:25:32.698187	14754	289	3	2
2014-03-26 00:25:36.43488	14755	19.2	1	1
2014-03-26 00:25:36.657761	14756	49	2	1
2014-03-26 21:51:56.934439	31620	50	2	1
2014-03-26 21:52:09.702243	31621	24.1	1	10
2014-03-26 00:26:00.174038	14761	20.9	1	8
2014-03-26 00:26:00.405325	14762	52	2	8
2014-03-26 00:26:15.432625	14763	19.2	1	1
2014-03-26 00:26:15.654911	14764	49	2	1
2014-03-26 00:26:32.69512	14765	289	3	2
2014-03-26 21:52:09.928287	31622	41	2	10
2014-03-26 21:52:20.046747	31623	22.2	1	9
2014-03-26 00:26:39.172969	14770	20.9	1	8
2014-03-26 00:26:39.395872	14771	52	2	8
2014-03-26 00:26:54.435555	14772	19.2	1	1
2014-03-26 00:26:54.668856	14773	49	2	1
2014-03-26 21:52:20.280174	31624	48	2	9
2014-03-26 21:52:21.135527	31625	22.2	1	8
2014-03-26 00:27:18.172876	14778	20.9	1	8
2014-03-26 00:27:18.396036	14779	52	2	8
2014-03-26 00:27:32.694435	14780	289	3	2
2014-03-26 00:27:33.434434	14781	19.2	1	1
2014-03-26 00:27:33.659211	14782	49	2	1
2014-03-26 21:52:21.35712	31626	47	2	8
2014-03-26 21:52:32.564241	31627	531	3	2
2014-03-26 00:27:57.172467	14787	20.9	1	8
2014-03-26 00:27:57.419389	14788	52	2	8
2014-03-26 00:28:12.43701	14789	19.2	1	1
2014-03-26 00:28:12.663094	14790	49	2	1
2014-03-26 00:28:32.695492	14791	289	3	2
2014-03-26 21:52:32.798091	31628	1088227.1690824712	4	2
2014-03-26 21:52:35.699985	31629	20.3	1	1
2014-03-26 00:28:36.300628	14796	20.9	1	8
2014-03-26 00:28:36.733435	14797	52	2	8
2014-03-26 00:28:51.432488	14798	19.2	1	1
2014-03-26 00:28:51.656043	14799	49	2	1
2014-03-26 21:52:35.927239	31630	50	2	1
2014-03-26 21:52:44.560286	31631	547	3	2
2014-03-26 00:29:15.170949	14804	20.9	1	8
2014-03-26 00:29:15.402892	14805	52	2	8
2014-03-26 00:29:30.43044	14806	19.2	1	1
2014-03-26 00:29:30.653279	14807	49	2	1
2014-03-26 00:29:32.695411	14808	289	3	2
2014-03-26 21:52:44.795203	31632	1088228.3181171927	4	2
2014-03-26 00:29:54.170508	14813	20.9	1	8
2014-03-26 00:29:54.391578	14814	52	2	8
2014-03-26 00:30:09.432629	14815	19.2	1	1
2014-03-26 00:30:09.664008	14816	49	2	1
2014-03-26 00:30:32.695223	14821	289	3	2
2014-03-26 00:30:33.169853	14822	20.9	1	8
2014-03-26 00:30:33.39242	14823	52	2	8
2014-03-26 00:30:48.432927	14824	19.2	1	1
2014-03-26 00:21:25.033586	14695	22.7	1	10
2014-03-26 00:21:25.266738	14696	48	2	10
2014-03-26 00:22:04.240833	14704	22.7	1	10
2014-03-26 00:22:04.466128	14705	48	2	10
2014-03-26 00:22:43.034231	14713	22.7	1	10
2014-03-26 00:22:43.260881	14714	48	2	10
2014-03-26 00:23:22.033449	14721	22.6	1	10
2014-03-26 00:23:22.257048	14722	48	2	10
2014-03-26 00:24:01.034349	14730	22.6	1	10
2014-03-26 00:24:01.257173	14731	48	2	10
2014-03-26 00:24:40.035277	14739	22.6	1	10
2014-03-26 00:24:40.259113	14740	48	2	10
2014-03-26 00:25:19.034996	14748	22.6	1	10
2014-03-26 00:25:19.25953	14749	48	2	10
2014-03-26 00:25:58.033369	14757	22.6	1	10
2014-03-26 00:25:58.267046	14758	48	2	10
2014-03-26 00:26:37.033591	14766	22.6	1	10
2014-03-26 00:26:37.257258	14767	48	2	10
2014-03-26 00:27:16.033394	14774	22.6	1	10
2014-03-26 00:27:16.257286	14775	48	2	10
2014-03-26 00:27:55.035706	14783	22.6	1	10
2014-03-26 00:27:55.260739	14784	48	2	10
2014-03-26 00:28:34.170564	14792	22.6	1	10
2014-03-26 00:28:34.59	14793	48	2	10
2014-03-26 00:29:13.035235	14800	22.6	1	10
2014-03-26 00:29:13.26751	14801	48	2	10
2014-03-26 00:29:52.037338	14809	22.6	1	10
2014-03-26 00:29:52.268991	14810	48	2	10
2014-03-26 00:30:31.036695	14817	22.6	1	10
2014-03-26 00:30:31.25916	14818	48	2	10
2014-03-26 00:30:48.654762	14825	49	2	1
2014-03-26 21:52:48.702873	31633	24.1	1	10
2014-03-26 21:52:48.930941	31634	41	2	10
2014-03-26 00:31:12.171767	14830	20.9	1	8
2014-03-26 00:31:12.404072	14831	52	2	8
2014-03-26 00:31:27.432196	14832	19.2	1	1
2014-03-26 00:31:27.658733	14833	49	2	1
2014-03-26 00:31:32.696687	14834	289	3	2
2014-03-26 21:52:59.049492	31635	22.2	1	9
2014-03-26 21:52:59.283459	31636	48	2	9
2014-03-26 00:31:51.170464	14839	20.9	1	8
2014-03-26 00:31:51.393727	14840	52	2	8
2014-03-26 00:32:06.431357	14841	19.2	1	1
2014-03-26 00:32:06.663835	14842	49	2	1
2014-03-26 00:32:27.835487	14843	338	3	2
2014-03-26 21:53:00.135464	31637	22.2	1	8
2014-03-26 21:53:00.357179	31638	47	2	8
2014-03-26 00:32:30.170188	14848	20.9	1	8
2014-03-26 00:32:30.403125	14849	52	2	8
2014-03-26 00:32:32.693034	14850	338	3	2
2014-03-26 00:32:45.433476	14851	19.2	1	1
2014-03-26 00:32:45.657093	14852	49	2	1
2014-03-26 21:53:14.697127	31639	20.3	1	1
2014-03-26 21:53:14.931906	31640	50	2	1
2014-03-26 00:33:09.17155	14857	20.9	1	8
2014-03-26 00:33:09.392675	14858	52	2	8
2014-03-26 00:33:24.424901	14859	19.1	1	1
2014-03-26 00:33:24.658255	14860	48	2	1
2014-03-26 00:33:32.694818	14861	354	3	2
2014-03-26 21:53:20.565655	31641	579	3	2
2014-03-26 21:53:20.790596	31642	1088232.9187270305	4	2
2014-03-26 00:33:48.172309	14866	20.9	1	8
2014-03-26 00:33:48.403594	14867	52	2	8
2014-03-26 00:34:03.431875	14868	19.1	1	1
2014-03-26 00:34:03.654211	14869	48	2	1
2014-03-26 21:53:27.702538	31643	24.1	1	10
2014-03-26 21:53:27.938215	31644	41	2	10
2014-03-26 00:34:27.170839	14874	20.9	1	8
2014-03-26 00:34:27.403221	14875	52	2	8
2014-03-26 00:34:32.693797	14876	338	3	2
2014-03-26 00:34:42.43017	14877	19.1	1	1
2014-03-26 00:34:42.674271	14878	48	2	1
2014-03-26 21:53:32.562195	31645	498	3	2
2014-03-26 21:53:32.788916	31646	1088235.2167964734	4	2
2014-03-26 00:35:06.171463	14883	20.9	1	8
2014-03-26 00:35:06.39282	14884	52	2	8
2014-03-26 00:35:21.428894	14885	19.1	1	1
2014-03-26 00:35:21.661919	14886	48	2	1
2014-03-26 00:35:32.693078	14887	338	3	2
2014-03-26 21:53:38.049436	31647	22.2	1	9
2014-03-26 21:53:38.286394	31648	48	2	9
2014-03-26 00:35:45.171735	14892	20.9	1	8
2014-03-26 00:35:45.393751	14893	52	2	8
2014-03-26 00:36:00.430004	14894	19.1	1	1
2014-03-26 00:36:00.653252	14895	48	2	1
2014-03-26 21:53:39.137786	31649	22.1	1	8
2014-03-26 21:53:39.361907	31650	47	2	8
2014-03-26 00:36:24.172828	14900	20.9	1	8
2014-03-26 00:36:24.404311	14901	52	2	8
2014-03-26 00:36:39.233415	14902	289	3	2
2014-03-26 00:36:39.54289	14903	19.1	1	1
2014-03-26 00:36:39.765237	14904	48	2	1
2014-03-26 00:36:44.69653	14905	289	3	2
2014-03-26 21:53:44.563124	31651	547	3	2
2014-03-26 21:53:44.806214	31652	1088236.3658311947	4	2
2014-03-26 00:37:03.171435	14910	20.9	1	8
2014-03-26 00:37:03.404518	14911	52	2	8
2014-03-26 00:37:18.427173	14912	19.1	1	1
2014-03-26 00:37:18.649875	14913	48	2	1
2014-03-26 00:37:39.835655	14914	289	3	2
2014-03-26 21:53:53.69857	31653	20.3	1	1
2014-03-26 21:53:53.922233	31654	50	2	1
2014-03-26 00:37:42.171836	14919	20.9	1	8
2014-03-26 00:37:42.395921	14920	52	2	8
2014-03-26 00:37:57.431017	14921	19.1	1	1
2014-03-26 00:37:57.674859	14922	48	2	1
2014-03-26 21:53:56.561329	31655	547	3	2
2014-03-26 21:53:56.795515	31656	1088238.6639006375	4	2
2014-03-26 00:38:21.171358	14927	20.9	1	8
2014-03-26 00:38:21.394593	14928	52	2	8
2014-03-26 00:38:32.696266	14929	289	3	2
2014-03-26 00:38:36.469045	14930	19.1	1	1
2014-03-26 00:38:36.694309	14931	48	2	1
2014-03-26 21:54:06.702118	31657	24.1	1	10
2014-03-26 21:54:06.925562	31658	41	2	10
2014-03-26 00:39:00.334071	14936	20.9	1	8
2014-03-26 00:39:00.800103	14937	52	2	8
2014-03-26 00:39:15.426973	14938	19.1	1	1
2014-03-26 00:39:15.651201	14939	48	2	1
2014-03-26 00:39:32.697892	14940	289	3	2
2014-03-26 21:54:08.561788	31659	579	3	2
2014-03-26 21:54:08.795477	31660	1088239.812935359	4	2
2014-03-26 00:39:39.170269	14945	20.9	1	8
2014-03-26 00:39:39.393379	14946	52	2	8
2014-03-26 00:39:54.423303	14947	19.1	1	1
2014-03-26 00:39:54.655262	14948	48	2	1
2014-03-26 21:54:17.046608	31661	22.2	1	9
2014-03-26 21:54:17.273019	31662	48	2	9
2014-03-26 21:54:18.135703	31663	22.1	1	8
2014-03-26 00:40:18.170005	14953	20.9	1	8
2014-03-26 00:40:18.393655	14954	52	2	8
2014-03-26 00:40:32.693313	14955	289	3	2
2014-03-26 00:40:33.424123	14956	19.1	1	1
2014-03-26 00:40:33.645809	14957	48	2	1
2014-03-26 00:31:10.03604	14826	22.6	1	10
2014-03-26 00:31:10.268176	14827	48	2	10
2014-03-26 00:31:49.035739	14835	22.5	1	10
2014-03-26 00:31:49.261518	14836	48	2	10
2014-03-26 00:32:28.14259	14844	22.5	1	10
2014-03-26 00:32:28.363896	14845	48	2	10
2014-03-26 00:33:07.034998	14853	22.5	1	10
2014-03-26 00:33:07.256794	14854	48	2	10
2014-03-26 00:33:46.036299	14862	22.5	1	10
2014-03-26 00:33:46.261094	14863	48	2	10
2014-03-26 00:34:25.037378	14870	22.5	1	10
2014-03-26 00:34:25.269024	14871	48	2	10
2014-03-26 00:35:04.03749	14879	22.5	1	10
2014-03-26 00:35:04.259046	14880	48	2	10
2014-03-26 00:35:43.039334	14888	22.5	1	10
2014-03-26 00:35:43.263343	14889	48	2	10
2014-03-26 00:36:22.038734	14896	22.5	1	10
2014-03-26 00:36:22.271971	14897	48	2	10
2014-03-26 00:37:01.038137	14906	22.5	1	10
2014-03-26 00:37:01.261596	14907	48	2	10
2014-03-26 00:37:40.155383	14915	22.5	1	10
2014-03-26 00:37:40.379093	14916	48	2	10
2014-03-26 00:38:19.039946	14923	22.5	1	10
2014-03-26 00:38:19.263956	14924	48	2	10
2014-03-26 00:38:58.231116	14932	22.5	1	10
2014-03-26 00:38:58.699971	14933	48	2	10
2014-03-26 00:39:37.038528	14941	22.5	1	10
2014-03-26 00:39:37.263018	14942	48	2	10
2014-03-26 00:40:16.03933	14949	22.5	1	10
2014-03-26 21:54:18.372053	31664	47	2	8
2014-03-26 00:40:57.171924	14962	20.9	1	8
2014-03-26 00:40:57.403788	14963	52	2	8
2014-03-26 00:41:12.422186	14964	19.1	1	1
2014-03-26 00:41:12.643829	14965	48	2	1
2014-03-26 00:41:32.693098	14966	289	3	2
2014-03-26 21:54:20.560685	31665	579	3	2
2014-03-26 21:54:20.784332	31666	1088242.111004802	4	2
2014-03-26 00:41:36.174215	14971	20.9	1	8
2014-03-26 00:41:36.39604	14972	52	2	8
2014-03-26 00:41:51.427285	14973	19.1	1	1
2014-03-26 00:41:51.656796	14974	48	2	1
2014-03-26 21:54:32.935939	31667	20.3	1	1
2014-03-26 21:54:33.169947	31668	50	2	1
2014-03-26 00:42:15.171764	14979	20.9	1	8
2014-03-26 00:42:15.393981	14980	52	2	8
2014-03-26 00:42:30.425645	14981	19.1	1	1
2014-03-26 00:42:30.657008	14982	48	2	1
2014-03-26 00:42:32.694707	14983	289	3	2
2014-03-26 21:54:44.561122	31669	547	3	2
2014-03-26 21:54:44.785281	31670	1088245.558108966	4	2
2014-03-26 00:42:54.171633	14988	20.9	1	8
2014-03-26 00:42:54.394235	14989	52	2	8
2014-03-26 00:43:09.427545	14990	19.1	1	1
2014-03-26 00:43:09.652025	14991	48	2	1
2014-03-26 21:54:45.702843	31671	24.1	1	10
2014-03-26 21:54:45.935387	31672	41	2	10
2014-03-26 00:43:32.693078	14996	354	3	2
2014-03-26 00:43:33.171059	14997	20.9	1	8
2014-03-26 00:43:33.403888	14998	52	2	8
2014-03-26 00:43:44.695502	14999	354	3	2
2014-03-26 00:43:48.427486	15000	19.1	1	1
2014-03-26 00:43:48.65366	15001	48	2	1
2014-03-26 21:54:56.047564	31673	22.2	1	9
2014-03-26 21:54:56.271743	31674	48	2	9
2014-03-26 00:44:12.169874	15006	20.9	1	8
2014-03-26 00:44:12.393598	15007	52	2	8
2014-03-26 00:44:20.695241	15008	418	3	2
2014-03-26 00:44:27.423169	15009	19.1	1	1
2014-03-26 00:44:27.649165	15010	48	2	1
2014-03-26 00:44:32.695097	15011	418	3	2
2014-03-26 21:54:56.58297	31675	547	3	2
2014-03-26 21:54:56.815927	31676	1088247.856178409	4	2
2014-03-26 00:44:51.17012	15016	20.9	1	8
2014-03-26 00:44:51.402263	15017	52	2	8
2014-03-26 00:45:06.426672	15018	19.1	1	1
2014-03-26 00:45:06.649068	15019	48	2	1
2014-03-26 21:54:57.135833	31677	22.1	1	8
2014-03-26 21:54:57.359489	31678	47	2	8
2014-03-26 00:45:30.170614	15024	20.9	1	8
2014-03-26 00:45:30.403915	15025	52	2	8
2014-03-26 00:45:32.692912	15026	418	3	2
2014-03-26 00:45:45.425324	15027	19.1	1	1
2014-03-26 00:45:45.647125	15028	48	2	1
2014-03-26 21:55:11.495231	31679	579	3	2
2014-03-26 21:55:11.730699	31680	1088249.0052131303	4	2
2014-03-26 00:46:09.169968	15033	20.9	1	8
2014-03-26 00:46:09.391633	15034	52	2	8
2014-03-26 00:46:24.425607	15035	19.1	1	1
2014-03-26 00:46:24.657695	15036	48	2	1
2014-03-26 00:46:32.693668	15037	418	3	2
2014-03-26 21:55:12.038526	31681	20.3	1	1
2014-03-26 21:55:12.260824	31682	50	2	1
2014-03-26 00:46:48.172492	15042	20.9	1	8
2014-03-26 00:46:48.393754	15043	52	2	8
2014-03-26 00:47:03.424811	15044	19.1	1	1
2014-03-26 00:47:03.652493	15045	48	2	1
2014-03-26 21:55:20.561156	31683	547	3	2
2014-03-26 21:55:20.797825	31684	1088251.3032825731	4	2
2014-03-26 00:47:27.171575	15050	20.9	1	8
2014-03-26 00:47:27.402809	15051	52	2	8
2014-03-26 00:47:32.694692	15052	418	3	2
2014-03-26 00:47:42.422805	15053	19.1	1	1
2014-03-26 00:47:42.648459	15054	48	2	1
2014-03-26 21:55:24.703143	31685	24.1	1	10
2014-03-26 21:55:24.953502	31686	41	2	10
2014-03-26 00:48:06.170747	15059	20.9	1	8
2014-03-26 00:48:06.393457	15060	52	2	8
2014-03-26 00:48:21.421664	15061	19.1	1	1
2014-03-26 00:48:21.653785	15062	48	2	1
2014-03-26 00:48:32.692692	15063	370	3	2
2014-03-26 21:55:32.560127	31687	531	3	2
2014-03-26 21:55:32.794698	31688	1088253.601352016	4	2
2014-03-26 00:48:44.693799	15068	370	3	2
2014-03-26 00:48:45.170181	15069	20.9	1	8
2014-03-26 00:48:45.403259	15070	52	2	8
2014-03-26 00:48:56.691848	15071	338	3	2
2014-03-26 00:49:00.422949	15072	19.1	1	1
2014-03-26 00:49:00.645939	15073	48	2	1
2014-03-26 00:49:08.819766	15074	338	3	2
2014-03-26 21:55:35.046703	31689	22.2	1	9
2014-03-26 21:55:35.269911	31690	48	2	9
2014-03-26 00:49:24.170347	15079	20.9	1	8
2014-03-26 00:49:24.39183	15080	52	2	8
2014-03-26 00:49:39.223591	15081	338	3	2
2014-03-26 00:49:39.542403	15082	19.1	1	1
2014-03-26 00:49:39.76668	15083	48	2	1
2014-03-26 21:55:36.137039	31691	22.1	1	8
2014-03-26 21:55:36.373197	31692	47	2	8
2014-03-26 00:50:03.17017	15088	20.9	1	8
2014-03-26 00:50:03.409485	15089	52	2	8
2014-03-26 00:50:18.422298	15090	19.1	1	1
2014-03-26 00:50:18.645619	15091	48	2	1
2014-03-26 00:50:32.692381	15092	338	3	2
2014-03-26 00:41:34.044063	14967	22.4	1	10
2014-03-26 00:41:34.268239	14968	48	2	10
2014-03-26 00:42:13.04098	14975	22.4	1	10
2014-03-26 00:42:13.264913	14976	48	2	10
2014-03-26 00:42:52.038471	14984	22.4	1	10
2014-03-26 00:42:52.264082	14985	48	2	10
2014-03-26 00:43:31.039934	14992	22.4	1	10
2014-03-26 00:43:31.262215	14993	48	2	10
2014-03-26 00:44:10.040152	15002	22.4	1	10
2014-03-26 00:44:10.262483	15003	48	2	10
2014-03-26 00:44:49.039187	15012	22.4	1	10
2014-03-26 00:44:49.283128	15013	48	2	10
2014-03-26 00:45:28.039952	15020	22.4	1	10
2014-03-26 00:45:28.272684	15021	48	2	10
2014-03-26 00:46:07.041223	15029	22.4	1	10
2014-03-26 00:46:07.266116	15030	48	2	10
2014-03-26 00:46:46.044073	15038	22.4	1	10
2014-03-26 00:46:46.267021	15039	48	2	10
2014-03-26 00:47:25.03959	15046	22.4	1	10
2014-03-26 00:47:25.272578	15047	48	2	10
2014-03-26 00:48:04.044846	15055	22.4	1	10
2014-03-26 00:48:04.267297	15056	48	2	10
2014-03-26 00:48:43.040154	15064	22.4	1	10
2014-03-26 00:48:43.262225	15065	48	2	10
2014-03-26 00:49:22.042187	15075	22.4	1	10
2014-03-26 00:49:22.265973	15076	48	2	10
2014-03-26 00:50:01.042258	15084	22.4	1	10
2014-03-26 00:50:01.267166	15085	48	2	10
2014-03-26 00:50:40.042831	15093	22.3	1	10
2014-03-26 00:50:42.170212	15097	20.9	1	8
2014-03-26 00:50:42.393614	15098	52	2	8
2014-03-26 00:50:56.691916	15099	305	3	2
2014-03-26 00:50:57.421889	15100	19.1	1	1
2014-03-26 00:50:57.644698	15101	48	2	1
2014-03-26 00:51:08.691837	15102	305	3	2
2014-03-26 21:55:44.563129	31693	482	3	2
2014-03-26 21:55:44.790001	31694	1088254.7503867373	4	2
2014-03-26 00:51:21.172867	15107	20.9	1	8
2014-03-26 00:51:21.404462	15108	52	2	8
2014-03-26 00:51:32.691177	15109	338	3	2
2014-03-26 00:51:36.420576	15110	19.1	1	1
2014-03-26 00:51:36.64371	15111	48	2	1
2014-03-26 00:51:44.695562	15112	338	3	2
2014-03-26 00:51:56.689766	15113	370	3	2
2014-03-26 21:55:50.695791	31695	20.3	1	1
2014-03-26 21:55:50.931211	31696	50	2	1
2014-03-26 00:52:00.170583	15118	20.9	1	8
2014-03-26 00:52:00.401388	15119	52	2	8
2014-03-26 00:52:08.692003	15120	354	3	2
2014-03-26 00:52:15.419572	15121	19.1	1	1
2014-03-26 00:52:15.641174	15122	48	2	1
2014-03-26 00:52:32.694404	15123	354	3	2
2014-03-26 21:55:59.142405	31697	547	3	2
2014-03-26 21:55:59.366504	31698	1088257.0484561801	4	2
2014-03-26 00:52:39.172806	15128	20.9	1	8
2014-03-26 00:52:39.394885	15129	52	2	8
2014-03-26 00:52:54.419537	15130	19.1	1	1
2014-03-26 00:52:54.651493	15131	48	2	1
2014-03-26 21:56:03.702371	31699	24.2	1	10
2014-03-26 21:56:03.948941	31700	41	2	10
2014-03-26 00:53:18.170799	15136	20.9	1	8
2014-03-26 00:53:18.394379	15137	52	2	8
2014-03-26 00:53:32.692429	15138	354	3	2
2014-03-26 00:53:33.420549	15139	19.1	1	1
2014-03-26 00:53:33.644562	15140	48	2	1
2014-03-26 21:56:08.563125	31701	498	3	2
2014-03-26 21:56:08.788066	31702	1088258.1974909017	4	2
2014-03-26 00:53:57.170036	15145	20.9	1	8
2014-03-26 00:53:57.392971	15146	52	2	8
2014-03-26 00:54:12.423685	15147	19.1	1	1
2014-03-26 00:54:12.646774	15148	48	2	1
2014-03-26 00:54:32.693931	15149	354	3	2
2014-03-26 21:56:14.052346	31703	22.2	1	9
2014-03-26 21:56:14.28738	31704	48	2	9
2014-03-26 00:54:36.170681	15154	20.9	1	8
2014-03-26 00:54:36.392276	15155	52	2	8
2014-03-26 00:54:51.421725	15156	19.1	1	1
2014-03-26 00:54:51.645202	15157	48	2	1
2014-03-26 21:56:15.136187	31705	22.1	1	8
2014-03-26 21:56:15.358999	31706	47	2	8
2014-03-26 00:55:15.171541	15162	20.9	1	8
2014-03-26 00:55:15.393003	15163	52	2	8
2014-03-26 00:55:30.417841	15164	19.0	1	1
2014-03-26 00:55:30.639711	15165	48	2	1
2014-03-26 00:55:32.693745	15166	338	3	2
2014-03-26 21:56:20.563563	31707	547	3	2
2014-03-26 21:56:20.797546	31708	1088260.4955603445	4	2
2014-03-26 00:55:54.171901	15171	20.9	1	8
2014-03-26 00:55:54.395012	15172	52	2	8
2014-03-26 00:56:09.417497	15173	19.0	1	1
2014-03-26 00:56:09.649466	15174	48	2	1
2014-03-26 21:56:29.752877	31709	20.3	1	1
2014-03-26 21:56:29.980985	31710	50	2	1
2014-03-26 00:56:32.691649	15179	338	3	2
2014-03-26 00:56:33.17195	15180	20.9	1	8
2014-03-26 00:56:33.39445	15181	52	2	8
2014-03-26 00:56:44.692646	15182	402	3	2
2014-03-26 00:56:48.415647	15183	19.0	1	1
2014-03-26 00:56:48.637049	15184	48	2	1
2014-03-26 00:56:56.689084	15185	402	3	2
2014-03-26 21:56:32.559123	31711	515	3	2
2014-03-26 21:56:32.795277	31712	1088261.6445950659	4	2
2014-03-26 00:57:12.172118	15190	20.9	1	8
2014-03-26 00:57:12.394479	15191	52	2	8
2014-03-26 00:57:27.414607	15192	19.0	1	1
2014-03-26 00:57:27.639137	15193	48	2	1
2014-03-26 00:57:48.843094	15194	402	3	2
2014-03-26 21:56:42.705301	31713	24.2	1	10
2014-03-26 21:56:42.928876	31714	41	2	10
2014-03-26 00:57:51.17173	15199	20.9	1	8
2014-03-26 00:57:51.402566	15200	52	2	8
2014-03-26 00:58:06.419308	15201	19.0	1	1
2014-03-26 00:58:06.641349	15202	48	2	1
2014-03-26 21:56:44.563974	31715	531	3	2
2014-03-26 21:56:44.797531	31716	1088263.9426645087	4	2
2014-03-26 00:58:30.16993	15207	20.9	1	8
2014-03-26 00:58:30.40462	15208	52	2	8
2014-03-26 00:58:32.689899	15209	338	3	2
2014-03-26 00:58:44.692674	15210	338	3	2
2014-03-26 00:58:45.413272	15211	19.0	1	1
2014-03-26 00:58:45.645865	15212	48	2	1
2014-03-26 21:56:53.046863	31717	22.2	1	9
2014-03-26 21:56:53.273678	31718	48	2	9
2014-03-26 00:59:09.170334	15217	20.9	1	8
2014-03-26 00:59:09.393135	15218	52	2	8
2014-03-26 00:59:24.549958	15219	19.0	1	1
2014-03-26 00:59:24.985489	15220	48	2	1
2014-03-26 00:59:32.692957	15221	338	3	2
2014-03-26 21:56:54.136314	31719	22.1	1	8
2014-03-26 00:59:48.17037	15226	20.9	1	8
2014-03-26 00:59:48.391411	15227	52	2	8
2014-03-26 00:59:56.694725	15228	305	3	2
2014-03-26 01:00:03.415151	15229	19.0	1	1
2014-03-26 01:00:03.640184	15230	48	2	1
2014-03-26 01:00:08.691812	15231	338	3	2
2014-03-26 01:00:20.690175	15232	338	3	2
2014-03-26 00:51:19.041925	15103	22.3	1	10
2014-03-26 00:51:19.284911	15104	48	2	10
2014-03-26 00:51:58.043378	15114	22.3	1	10
2014-03-26 00:51:58.274628	15115	48	2	10
2014-03-26 00:52:37.049117	15124	22.3	1	10
2014-03-26 00:52:37.274874	15125	48	2	10
2014-03-26 00:53:16.043294	15132	22.3	1	10
2014-03-26 00:53:16.266616	15133	48	2	10
2014-03-26 00:53:55.042702	15141	22.3	1	10
2014-03-26 00:53:55.28405	15142	48	2	10
2014-03-26 00:54:34.043075	15150	22.3	1	10
2014-03-26 00:54:34.264582	15151	48	2	10
2014-03-26 00:55:13.042607	15158	22.3	1	10
2014-03-26 00:55:13.265944	15159	48	2	10
2014-03-26 00:55:52.043718	15167	22.3	1	10
2014-03-26 00:55:52.266907	15168	48	2	10
2014-03-26 00:56:31.045731	15175	22.3	1	10
2014-03-26 00:56:31.26797	15176	48	2	10
2014-03-26 00:57:10.045222	15186	22.3	1	10
2014-03-26 00:57:10.268155	15187	48	2	10
2014-03-26 00:57:49.15365	15195	22.3	1	10
2014-03-26 00:57:49.375863	15196	48	2	10
2014-03-26 00:58:28.044369	15203	22.3	1	10
2014-03-26 00:58:28.278196	15204	48	2	10
2014-03-26 00:59:07.0446	15213	22.3	1	10
2014-03-26 00:59:07.265645	15214	48	2	10
2014-03-26 21:56:54.370781	31720	47	2	8
2014-03-26 21:57:08.696493	31721	20.3	1	1
2014-03-26 01:00:27.170043	15237	20.9	1	8
2014-03-26 01:00:27.402702	15238	52	2	8
2014-03-26 01:00:32.693598	15239	354	3	2
2014-03-26 01:00:42.410881	15240	19.0	1	1
2014-03-26 01:00:42.635058	15241	48	2	1
2014-03-26 21:57:08.923184	31722	50	2	1
2014-03-26 21:57:20.5629	31723	498	3	2
2014-03-26 01:01:06.170322	15246	20.9	1	8
2014-03-26 01:01:06.39136	15247	52	2	8
2014-03-26 01:01:08.690533	15248	289	3	2
2014-03-26 01:01:20.692797	15249	289	3	2
2014-03-26 01:01:21.414577	15250	19.0	1	1
2014-03-26 01:01:21.635274	15251	48	2	1
2014-03-26 01:01:32.688891	15252	289	3	2
2014-03-26 21:57:20.798957	31724	1088268.5388033944	4	2
2014-03-26 21:57:21.703126	31725	24.2	1	10
2014-03-26 01:01:45.170578	15257	20.9	1	8
2014-03-26 01:01:45.392016	15258	52	2	8
2014-03-26 01:02:00.415269	15259	19.0	1	1
2014-03-26 01:02:00.646893	15260	48	2	1
2014-03-26 21:57:21.927907	31726	41	2	10
2014-03-26 21:57:32.047605	31727	22.2	1	9
2014-03-26 01:02:24.169828	15265	20.9	1	8
2014-03-26 01:02:24.391316	15266	52	2	8
2014-03-26 01:02:32.68971	15267	289	3	2
2014-03-26 01:02:39.414937	15268	19.0	1	1
2014-03-26 01:02:39.638294	15269	48	2	1
2014-03-26 21:57:32.284377	31728	48	2	9
2014-03-26 21:57:32.592808	31729	547	3	2
2014-03-26 01:03:03.172729	15274	20.9	1	8
2014-03-26 01:03:03.404245	15275	52	2	8
2014-03-26 01:03:18.417817	15276	19.0	1	1
2014-03-26 01:03:18.640486	15277	48	2	1
2014-03-26 01:03:32.692968	15278	289	3	2
2014-03-26 21:57:32.818195	31730	1088270.8368728373	4	2
2014-03-26 21:57:33.13717	31731	22.1	1	8
2014-03-26 01:03:42.170536	15283	20.9	1	8
2014-03-26 01:03:42.393346	15284	52	2	8
2014-03-26 01:03:57.413544	15285	19.0	1	1
2014-03-26 01:03:57.656753	15286	48	2	1
2014-03-26 21:57:33.369106	31732	47	2	8
2014-03-26 21:57:44.559834	31733	547	3	2
2014-03-26 01:04:21.170709	15291	20.9	1	8
2014-03-26 01:04:21.393209	15292	52	2	8
2014-03-26 01:04:32.692713	15293	305	3	2
2014-03-26 01:04:36.413073	15294	19.0	1	1
2014-03-26 01:04:36.636402	15295	48	2	1
2014-03-26 21:57:44.785491	31734	1088273.1349422801	4	2
2014-03-26 21:57:47.697914	31735	20.3	1	1
2014-03-26 01:05:00.169617	15300	20.9	1	8
2014-03-26 01:05:00.39059	15301	52	2	8
2014-03-26 01:05:15.411714	15302	19.0	1	1
2014-03-26 01:05:15.636096	15303	48	2	1
2014-03-26 01:05:32.69452	15304	289	3	2
2014-03-26 21:57:47.934484	31736	50	2	1
2014-03-26 21:57:56.563089	31737	579	3	2
2014-03-26 01:05:39.170029	15309	20.9	1	8
2014-03-26 01:05:39.392397	15310	52	2	8
2014-03-26 01:05:54.413604	15311	19.0	1	1
2014-03-26 01:05:54.648043	15312	48	2	1
2014-03-26 21:57:56.78737	31738	1088274.2839770014	4	2
2014-03-26 21:58:00.703259	31739	24.2	1	10
2014-03-26 01:06:18.169259	15317	20.9	1	8
2014-03-26 01:06:18.392759	15318	52	2	8
2014-03-26 01:06:32.689851	15319	289	3	2
2014-03-26 01:06:33.409858	15320	19.0	1	1
2014-03-26 01:06:33.632604	15321	48	2	1
2014-03-26 21:58:00.937129	31740	41	2	10
2014-03-26 21:58:08.562	31741	547	3	2
2014-03-26 01:06:57.170368	15326	20.9	1	8
2014-03-26 01:06:57.403813	15327	52	2	8
2014-03-26 01:07:12.412573	15328	19.0	1	1
2014-03-26 01:07:12.636763	15329	48	2	1
2014-03-26 01:07:32.690388	15330	305	3	2
2014-03-26 21:58:08.785694	31742	1088276.5820464443	4	2
2014-03-26 21:58:11.047464	31743	22.2	1	9
2014-03-26 01:07:36.169015	15335	20.9	1	8
2014-03-26 01:07:36.391444	15336	52	2	8
2014-03-26 01:07:51.412337	15337	19.0	1	1
2014-03-26 01:07:51.648993	15338	48	2	1
2014-03-26 21:58:11.282453	31744	48	2	9
2014-03-26 21:58:12.136593	31745	22.1	1	8
2014-03-26 01:08:15.171826	15343	20.9	1	8
2014-03-26 01:08:15.394402	15344	52	2	8
2014-03-26 01:08:30.452831	15345	19.0	1	1
2014-03-26 01:08:30.684865	15346	48	2	1
2014-03-26 01:08:32.692494	15347	305	3	2
2014-03-26 21:58:12.359702	31746	47	2	8
2014-03-26 21:58:26.69589	31747	20.3	1	1
2014-03-26 01:08:54.172366	15352	20.9	1	8
2014-03-26 01:08:54.403044	15353	52	2	8
2014-03-26 01:08:56.691638	15354	338	3	2
2014-03-26 01:09:08.690008	15355	338	3	2
2014-03-26 01:09:09.40828	15356	19.0	1	1
2014-03-26 01:09:09.63922	15357	48	2	1
2014-03-26 21:58:26.942701	31748	50	2	1
2014-03-26 21:58:32.559996	31749	627	3	2
2014-03-26 21:58:32.784726	31750	1088280.0291506085	4	2
2014-03-26 01:09:33.204689	15362	338	3	2
2014-03-26 01:09:33.787002	15363	20.9	1	8
2014-03-26 01:09:34.210013	15364	52	2	8
2014-03-26 01:09:48.407778	15365	19.0	1	1
2014-03-26 01:09:48.631698	15366	48	2	1
2014-03-26 01:00:25.0448	15233	22.3	1	10
2014-03-26 01:00:25.277111	15234	48	2	10
2014-03-26 01:01:04.045467	15242	22.3	1	10
2014-03-26 01:01:04.267865	15243	48	2	10
2014-03-26 01:01:43.045698	15253	22.2	1	10
2014-03-26 01:01:43.268941	15254	48	2	10
2014-03-26 01:02:22.047011	15261	22.2	1	10
2014-03-26 01:02:22.269396	15262	48	2	10
2014-03-26 01:03:01.045591	15270	22.2	1	10
2014-03-26 01:03:01.278158	15271	48	2	10
2014-03-26 01:03:40.044868	15279	22.2	1	10
2014-03-26 01:03:40.270147	15280	48	2	10
2014-03-26 01:04:19.045988	15287	22.2	1	10
2014-03-26 01:04:19.269114	15288	48	2	10
2014-03-26 01:04:58.047643	15296	22.2	1	10
2014-03-26 01:04:58.271539	15297	48	2	10
2014-03-26 01:05:37.047144	15305	22.2	1	10
2014-03-26 01:05:37.279521	15306	48	2	10
2014-03-26 01:06:16.047368	15313	22.2	1	10
2014-03-26 01:06:16.270045	15314	48	2	10
2014-03-26 01:06:55.047349	15322	22.2	1	10
2014-03-26 01:06:55.279524	15323	48	2	10
2014-03-26 01:07:34.048594	15331	22.2	1	10
2014-03-26 01:07:34.269106	15332	48	2	10
2014-03-26 01:08:13.049807	15339	22.2	1	10
2014-03-26 01:08:13.272612	15340	48	2	10
2014-03-26 01:08:52.047446	15348	22.2	1	10
2014-03-26 01:08:52.272495	15349	48	2	10
2014-03-26 21:58:39.704063	31751	24.2	1	10
2014-03-26 21:58:39.942471	31752	41	2	10
2014-03-26 01:10:12.169338	15371	20.9	1	8
2014-03-26 01:10:12.401613	15372	52	2	8
2014-03-26 01:10:27.40774	15373	19.0	1	1
2014-03-26 01:10:27.633948	15374	48	2	1
2014-03-26 01:10:32.692991	15375	338	3	2
2014-03-26 21:58:44.559416	31753	627	3	2
2014-03-26 21:58:44.783239	31754	1088282.3272200513	4	2
2014-03-26 01:10:51.170581	15380	20.9	1	8
2014-03-26 01:10:51.391717	15381	52	2	8
2014-03-26 01:11:06.410248	15382	19.0	1	1
2014-03-26 01:11:06.644518	15383	48	2	1
2014-03-26 21:58:50.049415	31755	22.2	1	9
2014-03-26 21:58:50.285945	31756	48	2	9
2014-03-26 01:11:30.170897	15388	20.9	1	8
2014-03-26 01:11:30.43719	15389	52	2	8
2014-03-26 01:11:32.692799	15390	338	3	2
2014-03-26 01:11:45.411833	15391	19.0	1	1
2014-03-26 01:11:45.634988	15392	48	2	1
2014-03-26 21:58:51.138169	31757	22.1	1	8
2014-03-26 21:58:51.36193	31758	47	2	8
2014-03-26 01:12:09.170232	15397	20.9	1	8
2014-03-26 01:12:09.399275	15398	52	2	8
2014-03-26 01:12:24.408695	15399	19.0	1	1
2014-03-26 01:12:24.630621	15400	48	2	1
2014-03-26 01:12:32.690766	15401	338	3	2
2014-03-26 21:58:56.562177	31759	659	3	2
2014-03-26 21:58:56.797907	31760	1088284.6252894942	4	2
2014-03-26 01:12:48.170249	15406	20.9	1	8
2014-03-26 01:12:48.392532	15407	52	2	8
2014-03-26 01:12:56.690533	15408	289	3	2
2014-03-26 01:13:03.447939	15409	19.0	1	1
2014-03-26 01:13:03.67119	15410	48	2	1
2014-03-26 01:13:08.692469	15411	289	3	2
2014-03-26 21:59:05.696876	31761	20.3	1	1
2014-03-26 21:59:05.921357	31762	50	2	1
2014-03-26 01:13:27.169357	15416	20.9	1	8
2014-03-26 01:13:27.401922	15417	52	2	8
2014-03-26 01:13:32.686774	15418	289	3	2
2014-03-26 01:13:42.407426	15419	19.0	1	1
2014-03-26 01:13:42.629326	15420	48	2	1
2014-03-26 21:59:08.561804	31763	659	3	2
2014-03-26 21:59:08.795326	31764	1088286.923358937	4	2
2014-03-26 01:14:06.172098	15425	20.9	1	8
2014-03-26 01:14:06.395006	15426	52	2	8
2014-03-26 01:14:21.44667	15427	19.0	1	1
2014-03-26 01:14:21.668532	15428	48	2	1
2014-03-26 01:14:32.689198	15429	289	3	2
2014-03-26 21:59:18.705111	31765	24.2	1	10
2014-03-26 21:59:18.930568	31766	41	2	10
2014-03-26 01:14:45.170066	15434	20.9	1	8
2014-03-26 01:14:45.393119	15435	52	2	8
2014-03-26 01:15:00.405825	15436	19.0	1	1
2014-03-26 01:15:00.660846	15437	48	2	1
2014-03-26 21:59:29.047257	31767	22.2	1	9
2014-03-26 21:59:29.282515	31768	48	2	9
2014-03-26 01:15:24.172279	15442	20.9	1	8
2014-03-26 01:15:24.397402	15443	52	2	8
2014-03-26 01:15:32.69167	15444	289	3	2
2014-03-26 01:15:39.40449	15445	19.0	1	1
2014-03-26 01:15:39.628046	15446	48	2	1
2014-03-26 21:59:30.137072	31769	22.1	1	8
2014-03-26 21:59:30.360621	31770	47	2	8
2014-03-26 01:16:03.169912	15451	20.9	1	8
2014-03-26 01:16:03.401989	15452	52	2	8
2014-03-26 01:16:18.401569	15453	19.0	1	1
2014-03-26 01:16:18.626944	15454	48	2	1
2014-03-26 01:16:32.694543	15455	289	3	2
2014-03-26 21:59:32.562148	31771	676	3	2
2014-03-26 21:59:32.79541	31772	1088291.5194978227	4	2
2014-03-26 01:16:42.170867	15460	20.9	1	8
2014-03-26 01:16:42.392757	15461	52	2	8
2014-03-26 01:16:57.403978	15462	19.0	1	1
2014-03-26 01:16:57.636659	15463	48	2	1
2014-03-26 21:59:44.694054	31773	20.3	1	1
2014-03-26 21:59:44.917967	31774	50	2	1
2014-03-26 01:17:21.169228	15468	20.9	1	8
2014-03-26 01:17:21.390846	15469	52	2	8
2014-03-26 01:17:32.694458	15470	289	3	2
2014-03-26 01:17:36.403976	15471	19.0	1	1
2014-03-26 01:17:36.628643	15472	48	2	1
2014-03-26 21:59:57.704881	31775	24.2	1	10
2014-03-26 21:59:57.939101	31776	41	2	10
2014-03-26 01:18:00.169259	15477	20.9	1	8
2014-03-26 01:18:00.434849	15478	52	2	8
2014-03-26 01:18:15.406004	15479	19.0	1	1
2014-03-26 01:18:15.666933	15480	48	2	1
2014-03-26 01:18:32.691123	15481	289	3	2
2014-03-26 22:00:08.047421	31777	22.2	1	9
2014-03-26 22:00:08.275381	31778	48	2	9
2014-03-26 01:18:39.170276	15486	20.9	1	8
2014-03-26 01:18:39.393428	15487	52	2	8
2014-03-26 01:18:54.40586	15488	19.0	1	1
2014-03-26 01:18:54.638684	15489	48	2	1
2014-03-26 22:00:08.585024	31779	724	3	2
2014-03-26 01:19:18.171894	15494	20.9	1	8
2014-03-26 01:19:18.393801	15495	52	2	8
2014-03-26 01:19:32.690507	15496	289	3	2
2014-03-26 01:19:33.400331	15497	19.0	1	1
2014-03-26 01:19:33.623197	15498	48	2	1
2014-03-26 01:19:57.299862	15503	20.9	1	8
2014-03-26 01:19:57.739868	15504	52	2	8
2014-03-26 01:10:49.048071	15376	22.2	1	10
2014-03-26 01:10:49.271998	15377	48	2	10
2014-03-26 01:11:28.04845	15384	22.1	1	10
2014-03-26 01:11:28.272066	15385	48	2	10
2014-03-26 01:12:07.050916	15393	22.1	1	10
2014-03-26 01:12:07.283855	15394	48	2	10
2014-03-26 01:12:46.04919	15402	22.1	1	10
2014-03-26 01:12:46.273994	15403	48	2	10
2014-03-26 01:13:25.052144	15412	22.1	1	10
2014-03-26 01:13:25.285812	15413	48	2	10
2014-03-26 01:14:04.054304	15421	22.1	1	10
2014-03-26 01:14:04.278918	15422	48	2	10
2014-03-26 01:14:43.048935	15430	22.1	1	10
2014-03-26 01:14:43.274296	15431	48	2	10
2014-03-26 01:15:22.049893	15438	22.1	1	10
2014-03-26 01:15:22.27199	15439	48	2	10
2014-03-26 01:16:01.048679	15447	22.1	1	10
2014-03-26 01:16:01.281367	15448	48	2	10
2014-03-26 01:16:40.052021	15456	22.1	1	10
2014-03-26 01:16:40.274745	15457	48	2	10
2014-03-26 01:17:19.051698	15464	22.1	1	10
2014-03-26 01:17:19.275498	15465	48	2	10
2014-03-26 01:17:58.052198	15473	22.1	1	10
2014-03-26 01:17:58.325984	15474	48	2	10
2014-03-26 01:18:37.052957	15482	22.1	1	10
2014-03-26 01:18:37.277584	15483	48	2	10
2014-03-26 01:19:16.05078	15490	22.1	1	10
2014-03-26 01:19:16.275112	15491	48	2	10
2014-03-26 01:19:55.179948	15499	22.1	1	10
2014-03-26 01:19:55.640041	15500	48	2	10
2014-03-26 01:20:12.401399	15505	19.0	1	1
2014-03-26 01:20:12.625435	15506	48	2	1
2014-03-26 01:20:32.689041	15507	338	3	2
2014-03-26 22:00:08.818112	31780	1088297.2646714298	4	2
2014-03-26 22:00:09.135865	31781	22.1	1	8
2014-03-26 01:20:36.169781	15512	20.9	1	8
2014-03-26 01:20:36.394891	15513	52	2	8
2014-03-26 01:20:44.686816	15514	354	3	2
2014-03-26 01:20:51.407769	15515	19.0	1	1
2014-03-26 01:20:51.629458	15516	48	2	1
2014-03-26 22:00:09.362494	31782	47	2	8
2014-03-26 22:00:20.561493	31783	708	3	2
2014-03-26 01:21:15.168651	15521	20.9	1	8
2014-03-26 01:21:15.399726	15522	52	2	8
2014-03-26 01:21:30.40157	15523	19.0	1	1
2014-03-26 01:21:30.627397	15524	48	2	1
2014-03-26 01:21:32.689545	15525	338	3	2
2014-03-26 22:00:20.796361	31784	1088299.5627408726	4	2
2014-03-26 22:00:23.694967	31785	20.3	1	1
2014-03-26 01:21:54.170179	15530	20.9	1	8
2014-03-26 01:21:54.391368	15531	52	2	8
2014-03-26 01:22:09.400006	15532	19.0	1	1
2014-03-26 01:22:09.63314	15533	48	2	1
2014-03-26 22:00:23.91986	31786	50	2	1
2014-03-26 22:00:32.561958	31787	692	3	2
2014-03-26 01:22:32.693706	15538	354	3	2
2014-03-26 01:22:33.171971	15539	20.9	1	8
2014-03-26 01:22:33.393489	15540	52	2	8
2014-03-26 01:22:48.403108	15541	19.0	1	1
2014-03-26 01:22:48.627832	15542	48	2	1
2014-03-26 22:00:32.797187	31788	1088301.8608103155	4	2
2014-03-26 22:00:36.70367	31789	24.2	1	10
2014-03-26 01:23:12.17125	15547	20.9	1	8
2014-03-26 01:23:12.403055	15548	52	2	8
2014-03-26 01:23:27.399574	15549	19.0	1	1
2014-03-26 01:23:27.622468	15550	48	2	1
2014-03-26 01:23:32.687697	15551	338	3	2
2014-03-26 22:00:36.928817	31790	41	2	10
2014-03-26 22:00:47.047579	31791	22.2	1	9
2014-03-26 01:23:51.170791	15556	20.9	1	8
2014-03-26 01:23:51.393836	15557	52	2	8
2014-03-26 01:24:06.402303	15558	19.0	1	1
2014-03-26 01:24:06.625194	15559	48	2	1
2014-03-26 22:00:47.283258	31792	48	2	9
2014-03-26 22:00:48.136304	31793	22.1	1	8
2014-03-26 01:24:30.17279	15564	20.9	1	8
2014-03-26 01:24:30.395828	15565	52	2	8
2014-03-26 01:24:32.687481	15566	305	3	2
2014-03-26 01:24:44.692031	15567	289	3	2
2014-03-26 01:24:45.402293	15568	19.0	1	1
2014-03-26 01:24:45.624712	15569	48	2	1
2014-03-26 22:00:48.359509	31794	47	2	8
2014-03-26 22:01:02.693746	31795	20.3	1	1
2014-03-26 01:25:09.169843	15574	20.9	1	8
2014-03-26 01:25:09.393913	15575	52	2	8
2014-03-26 01:25:24.402088	15576	19.0	1	1
2014-03-26 01:25:24.627015	15577	48	2	1
2014-03-26 01:25:32.688848	15578	305	3	2
2014-03-26 22:01:02.939583	31796	50	2	1
2014-03-26 22:01:08.56139	31797	692	3	2
2014-03-26 01:25:48.170754	15583	20.9	1	8
2014-03-26 01:25:48.404182	15584	52	2	8
2014-03-26 01:26:03.402041	15585	19.0	1	1
2014-03-26 01:26:03.624712	15586	48	2	1
2014-03-26 22:01:08.786612	31798	1088309.9040533653	4	2
2014-03-26 22:01:15.705141	31799	24.2	1	10
2014-03-26 01:26:27.170478	15591	20.9	1	8
2014-03-26 01:26:27.40168	15592	52	2	8
2014-03-26 01:26:32.688696	15593	305	3	2
2014-03-26 01:26:42.399923	15594	19.0	1	1
2014-03-26 01:26:42.62527	15595	48	2	1
2014-03-26 22:01:15.938789	31800	41	2	10
2014-03-26 22:01:20.560841	31801	676	3	2
2014-03-26 01:27:06.171046	15600	20.9	1	8
2014-03-26 01:27:06.392127	15601	52	2	8
2014-03-26 01:27:21.399244	15602	19.0	1	1
2014-03-26 01:27:21.646839	15603	48	2	1
2014-03-26 01:27:42.854106	15604	289	3	2
2014-03-26 22:01:20.786231	31802	1088312.2021228082	4	2
2014-03-26 22:01:26.047013	31803	22.2	1	9
2014-03-26 01:27:45.169722	15609	20.9	1	8
2014-03-26 01:27:45.39013	15610	52	2	8
2014-03-26 01:28:00.397356	15611	19.0	1	1
2014-03-26 01:28:00.62654	15612	48	2	1
2014-03-26 22:01:26.284612	31804	48	2	9
2014-03-26 22:01:27.134921	31805	22.1	1	8
2014-03-26 01:28:24.169087	15617	20.9	1	8
2014-03-26 01:28:24.389604	15618	52	2	8
2014-03-26 01:28:39.201555	15619	305	3	2
2014-03-26 01:28:39.518957	15620	19.0	1	1
2014-03-26 01:28:39.739808	15621	48	2	1
2014-03-26 22:01:27.358943	31806	47	2	8
2014-03-26 22:01:32.562689	31807	611	3	2
2014-03-26 01:29:03.169569	15626	20.9	1	8
2014-03-26 01:29:03.399309	15627	52	2	8
2014-03-26 01:29:18.39906	15628	18.9	1	1
2014-03-26 01:29:18.622308	15629	49	2	1
2014-03-26 01:29:32.687018	15630	289	3	2
2014-03-26 22:01:32.798848	31808	1088314.500192251	4	2
2014-03-26 22:01:41.69435	31809	20.3	1	1
2014-03-26 22:01:41.920063	31810	50	2	1
2014-03-26 01:29:42.170001	15635	20.9	1	8
2014-03-26 01:29:42.393632	15636	52	2	8
2014-03-26 01:29:57.399187	15637	18.9	1	1
2014-03-26 01:29:57.63095	15638	49	2	1
2014-03-26 01:20:34.051898	15508	22.1	1	10
2014-03-26 01:20:34.276303	15509	48	2	10
2014-03-26 01:21:13.052637	15517	22.1	1	10
2014-03-26 01:21:13.274009	15518	48	2	10
2014-03-26 01:21:52.052273	15526	22.1	1	10
2014-03-26 01:21:52.274367	15527	48	2	10
2014-03-26 01:22:31.051591	15534	22.1	1	10
2014-03-26 01:22:31.274102	15535	48	2	10
2014-03-26 01:23:10.051934	15543	22.0	1	10
2014-03-26 01:23:10.273313	15544	48	2	10
2014-03-26 01:23:49.055237	15552	22.0	1	10
2014-03-26 01:23:49.286529	15553	48	2	10
2014-03-26 01:24:28.054872	15560	22.0	1	10
2014-03-26 01:24:28.277833	15561	48	2	10
2014-03-26 01:25:07.053241	15570	22.0	1	10
2014-03-26 01:25:07.276258	15571	48	2	10
2014-03-26 01:25:46.052989	15579	22.0	1	10
2014-03-26 01:25:46.287611	15580	48	2	10
2014-03-26 01:26:25.053313	15587	22.0	1	10
2014-03-26 01:26:25.286457	15588	48	2	10
2014-03-26 01:27:04.261697	15596	22.0	1	10
2014-03-26 01:27:04.48532	15597	48	2	10
2014-03-26 01:27:43.163637	15605	22.0	1	10
2014-03-26 01:27:43.387173	15606	48	2	10
2014-03-26 01:28:22.053858	15613	22.0	1	10
2014-03-26 01:28:22.276842	15614	48	2	10
2014-03-26 01:29:01.054048	15622	22.0	1	10
2014-03-26 01:29:01.284063	15623	48	2	10
2014-03-26 22:01:44.560932	31811	611	3	2
2014-03-26 22:01:44.797014	31812	1088315.6492269724	4	2
2014-03-26 01:30:21.172374	15643	20.9	1	8
2014-03-26 01:30:21.39575	15644	52	2	8
2014-03-26 01:30:32.684174	15645	305	3	2
2014-03-26 01:30:36.399176	15646	18.9	1	1
2014-03-26 01:30:36.628077	15647	49	2	1
2014-03-26 22:01:54.705866	31813	24.3	1	10
2014-03-26 22:01:54.931326	31814	41	2	10
2014-03-26 01:31:00.169245	15652	20.9	1	8
2014-03-26 01:31:00.402944	15653	52	2	8
2014-03-26 01:31:15.396737	15654	18.9	1	1
2014-03-26 01:31:15.619751	15655	49	2	1
2014-03-26 01:31:32.691733	15656	305	3	2
2014-03-26 22:02:05.04661	31815	22.2	1	9
2014-03-26 22:02:05.283384	31816	48	2	9
2014-03-26 01:31:39.170392	15661	20.9	1	8
2014-03-26 01:31:39.393183	15662	52	2	8
2014-03-26 01:31:54.439124	15663	18.9	1	1
2014-03-26 01:31:54.660695	15664	49	2	1
2014-03-26 01:31:56.68755	15665	354	3	2
2014-03-26 01:32:08.688681	15666	354	3	2
2014-03-26 22:02:06.136456	31817	22.1	1	8
2014-03-26 22:02:06.359023	31818	47	2	8
2014-03-26 01:32:18.169624	15671	20.9	1	8
2014-03-26 01:32:18.401347	15672	52	2	8
2014-03-26 01:32:32.68587	15673	354	3	2
2014-03-26 01:32:33.394944	15674	18.9	1	1
2014-03-26 01:32:33.618838	15675	49	2	1
2014-03-26 22:02:08.564023	31819	547	3	2
2014-03-26 22:02:08.79992	31820	1088320.245365858	4	2
2014-03-26 01:32:57.169397	15680	20.9	1	8
2014-03-26 01:32:57.39038	15681	52	2	8
2014-03-26 01:33:12.396088	15682	18.9	1	1
2014-03-26 01:33:12.629418	15683	49	2	1
2014-03-26 01:33:32.687754	15684	354	3	2
2014-03-26 22:02:20.932735	31821	20.3	1	1
2014-03-26 22:02:21.157484	31822	50	2	1
2014-03-26 01:33:36.170596	15689	20.9	1	8
2014-03-26 01:33:36.3973	15690	52	2	8
2014-03-26 01:33:51.395999	15691	18.9	1	1
2014-03-26 01:33:51.618965	15692	49	2	1
2014-03-26 22:02:32.556579	31823	515	3	2
2014-03-26 22:02:32.795809	31824	1088323.6924700222	4	2
2014-03-26 01:34:15.169696	15697	20.9	1	8
2014-03-26 01:34:15.398908	15698	52	2	8
2014-03-26 01:34:30.394612	15699	18.9	1	1
2014-03-26 01:34:30.616519	15700	49	2	1
2014-03-26 01:34:32.690559	15701	354	3	2
2014-03-26 22:02:33.705024	31825	24.3	1	10
2014-03-26 22:02:33.930164	31826	41	2	10
2014-03-26 01:34:54.169533	15706	20.9	1	8
2014-03-26 01:34:54.392805	15707	52	2	8
2014-03-26 01:35:09.395218	15708	18.9	1	1
2014-03-26 01:35:09.627737	15709	49	2	1
2014-03-26 22:02:44.04735	31827	22.2	1	9
2014-03-26 22:02:44.283301	31828	48	2	9
2014-03-26 01:35:32.685776	15714	338	3	2
2014-03-26 01:35:33.171193	15715	20.9	1	8
2014-03-26 01:35:33.393108	15716	52	2	8
2014-03-26 01:35:48.395063	15717	18.9	1	1
2014-03-26 01:35:48.61723	15718	49	2	1
2014-03-26 22:02:44.612452	31829	595	3	2
2014-03-26 22:02:44.838877	31830	1088325.990539465	4	2
2014-03-26 01:36:12.170123	15723	20.9	1	8
2014-03-26 01:36:12.403711	15724	52	2	8
2014-03-26 01:36:27.398218	15725	18.9	1	1
2014-03-26 01:36:27.620336	15726	49	2	1
2014-03-26 01:36:32.684151	15727	354	3	2
2014-03-26 22:02:45.147164	31831	22.1	1	8
2014-03-26 22:02:45.381254	31832	47	2	8
2014-03-26 01:36:51.169938	15732	20.9	1	8
2014-03-26 01:36:51.393162	15733	52	2	8
2014-03-26 01:36:56.688623	15734	305	3	2
2014-03-26 01:37:06.397572	15735	18.9	1	1
2014-03-26 01:37:06.619766	15736	49	2	1
2014-03-26 01:37:08.686422	15737	289	3	2
2014-03-26 22:02:56.559599	31833	579	3	2
2014-03-26 22:02:56.784884	31834	1088327.1395741864	4	2
2014-03-26 01:37:30.168203	15742	20.9	1	8
2014-03-26 01:37:30.390133	15743	51	2	8
2014-03-26 01:37:32.685991	15744	305	3	2
2014-03-26 01:37:45.39821	15745	18.9	1	1
2014-03-26 01:37:45.626991	15746	49	2	1
2014-03-26 22:02:59.693566	31835	20.3	1	1
2014-03-26 22:02:59.927919	31836	50	2	1
2014-03-26 01:38:09.170082	15751	20.9	1	8
2014-03-26 01:38:09.392109	15752	51	2	8
2014-03-26 01:38:24.393467	15753	18.9	1	1
2014-03-26 01:38:24.617084	15754	49	2	1
2014-03-26 01:38:32.692228	15755	305	3	2
2014-03-26 22:03:08.557522	31837	611	3	2
2014-03-26 22:03:08.781572	31838	1088329.4376436293	4	2
2014-03-26 01:38:48.169459	15760	20.9	1	8
2014-03-26 01:38:48.390064	15761	52	2	8
2014-03-26 01:39:03.392921	15762	18.9	1	1
2014-03-26 01:39:03.615594	15763	49	2	1
2014-03-26 22:03:12.706293	31839	24.3	1	10
2014-03-26 01:39:27.172882	15768	20.9	1	8
2014-03-26 01:39:27.394586	15769	51	2	8
2014-03-26 01:39:32.68976	15770	305	3	2
2014-03-26 01:39:42.394185	15771	18.9	1	1
2014-03-26 01:39:42.616923	15772	49	2	1
2014-03-26 01:30:58.055021	15648	22.0	1	10
2014-03-26 01:30:58.299062	15649	48	2	10
2014-03-26 01:31:37.05865	15657	22.0	1	10
2014-03-26 01:31:37.281352	15658	48	2	10
2014-03-26 01:32:16.055424	15667	22.0	1	10
2014-03-26 01:32:16.287059	15668	48	2	10
2014-03-26 01:32:55.055378	15676	22.0	1	10
2014-03-26 01:32:55.280051	15677	48	2	10
2014-03-26 01:33:34.05462	15685	22.0	1	10
2014-03-26 01:33:34.276154	15686	48	2	10
2014-03-26 01:34:13.056128	15693	22.0	1	10
2014-03-26 01:34:13.298186	15694	48	2	10
2014-03-26 01:34:52.060056	15702	22.0	1	10
2014-03-26 01:34:52.283141	15703	48	2	10
2014-03-26 01:35:31.055478	15710	22.0	1	10
2014-03-26 01:35:31.335383	15711	48	2	10
2014-03-26 01:36:10.055898	15719	21.9	1	10
2014-03-26 01:36:10.280528	15720	48	2	10
2014-03-26 01:36:49.056687	15728	21.9	1	10
2014-03-26 01:36:49.279453	15729	48	2	10
2014-03-26 01:37:28.058001	15738	21.9	1	10
2014-03-26 01:37:28.279861	15739	48	2	10
2014-03-26 01:38:07.057922	15747	21.9	1	10
2014-03-26 01:38:07.278846	15748	48	2	10
2014-03-26 01:38:46.05667	15756	21.9	1	10
2014-03-26 01:38:46.279369	15757	48	2	10
2014-03-26 01:39:25.058116	15764	21.9	1	10
2014-03-26 01:39:25.279054	15765	48	2	10
2014-03-26 01:40:04.060696	15773	21.9	1	10
2014-03-26 01:40:04.291897	15774	48	2	10
2014-03-26 01:40:06.169754	15777	20.9	1	8
2014-03-26 01:40:06.400645	15778	51	2	8
2014-03-26 01:40:21.543357	15779	18.9	1	1
2014-03-26 01:40:21.965391	15780	49	2	1
2014-03-26 01:40:32.686148	15781	370	3	2
2014-03-26 22:03:12.943227	31840	41	2	10
2014-03-26 22:03:20.563929	31841	595	3	2
2014-03-26 01:40:44.689205	15786	354	3	2
2014-03-26 01:40:45.17019	15787	20.9	1	8
2014-03-26 01:40:45.392127	15788	51	2	8
2014-03-26 01:41:00.391532	15789	18.9	1	1
2014-03-26 01:41:00.61284	15790	49	2	1
2014-03-26 22:03:20.788811	31842	1088331.7357130721	4	2
2014-03-26 22:03:23.046914	31843	22.1	1	9
2014-03-26 01:41:24.168913	15795	20.9	1	8
2014-03-26 01:41:24.401393	15796	51	2	8
2014-03-26 01:41:32.684999	15797	354	3	2
2014-03-26 01:41:39.392301	15798	18.9	1	1
2014-03-26 01:41:39.615033	15799	49	2	1
2014-03-26 22:03:23.288867	31844	48	2	9
2014-03-26 22:03:24.135261	31845	22.1	1	8
2014-03-26 01:42:03.169439	15804	20.9	1	8
2014-03-26 01:42:03.391619	15805	51	2	8
2014-03-26 01:42:18.391252	15806	18.9	1	1
2014-03-26 01:42:18.623051	15807	49	2	1
2014-03-26 01:42:32.684979	15808	370	3	2
2014-03-26 22:03:24.357764	31846	47	2	8
2014-03-26 22:03:32.561188	31847	579	3	2
2014-03-26 01:42:42.170068	15813	20.9	1	8
2014-03-26 01:42:42.390794	15814	51	2	8
2014-03-26 01:42:57.430584	15815	18.9	1	1
2014-03-26 01:42:57.655587	15816	49	2	1
2014-03-26 22:03:32.797761	31848	1088334.033782515	4	2
2014-03-26 22:03:38.695586	31849	20.3	1	1
2014-03-26 01:43:21.170228	15821	20.9	1	8
2014-03-26 01:43:21.403015	15822	51	2	8
2014-03-26 01:43:32.688512	15823	370	3	2
2014-03-26 01:43:36.38898	15824	18.9	1	1
2014-03-26 01:43:36.638746	15825	49	2	1
2014-03-26 22:03:38.92218	31850	50	2	1
2014-03-26 22:03:44.559931	31851	643	3	2
2014-03-26 01:44:00.183518	15830	20.9	1	8
2014-03-26 01:44:00.407121	15831	51	2	8
2014-03-26 01:44:15.39205	15832	18.9	1	1
2014-03-26 01:44:15.623917	15833	49	2	1
2014-03-26 01:44:32.686282	15834	354	3	2
2014-03-26 22:03:44.795091	31852	1088336.3318519578	4	2
2014-03-26 22:03:51.704944	31853	24.3	1	10
2014-03-26 01:44:39.169331	15839	20.9	1	8
2014-03-26 01:44:39.399378	15840	51	2	8
2014-03-26 01:44:44.687661	15841	418	3	2
2014-03-26 01:44:54.388628	15842	18.9	1	1
2014-03-26 01:44:54.612184	15843	49	2	1
2014-03-26 01:44:56.685591	15844	418	3	2
2014-03-26 22:03:51.930746	31854	41	2	10
2014-03-26 22:03:56.560834	31855	643	3	2
2014-03-26 01:45:18.169032	15849	20.9	1	8
2014-03-26 01:45:18.391787	15850	51	2	8
2014-03-26 01:45:32.687983	15851	418	3	2
2014-03-26 01:45:33.392706	15852	18.9	1	1
2014-03-26 01:45:33.615356	15853	49	2	1
2014-03-26 22:03:56.795	31856	1088337.4808866794	4	2
2014-03-26 22:04:02.050057	31857	22.1	1	9
2014-03-26 01:45:57.170654	15858	20.9	1	8
2014-03-26 01:45:57.402819	15859	51	2	8
2014-03-26 01:46:12.632307	15860	18.9	1	1
2014-03-26 01:46:12.856827	15861	49	2	1
2014-03-26 01:46:32.68935	15862	418	3	2
2014-03-26 22:04:02.279669	31858	48	2	9
2014-03-26 22:04:03.136035	31859	22.1	1	8
2014-03-26 01:46:36.174212	15867	20.9	1	8
2014-03-26 01:46:36.397465	15868	51	2	8
2014-03-26 01:46:51.387059	15869	18.9	1	1
2014-03-26 01:46:51.610265	15870	49	2	1
2014-03-26 22:04:03.368597	31860	47	2	8
2014-03-26 22:04:08.562049	31861	820	3	2
2014-03-26 01:47:15.169422	15875	20.9	1	8
2014-03-26 01:47:15.393205	15876	51	2	8
2014-03-26 01:47:30.389011	15877	18.9	1	1
2014-03-26 01:47:30.621218	15878	49	2	1
2014-03-26 01:47:32.684917	15879	402	3	2
2014-03-26 22:04:08.786918	31862	1088340.9279908435	4	2
2014-03-26 22:04:17.695695	31863	20.3	1	1
2014-03-26 01:47:54.168432	15884	20.9	1	8
2014-03-26 01:47:54.391048	15885	51	2	8
2014-03-26 01:48:09.386912	15886	18.9	1	1
2014-03-26 01:48:09.61145	15887	49	2	1
2014-03-26 22:04:17.929555	31864	50	2	1
2014-03-26 22:04:20.559842	31865	643	3	2
2014-03-26 01:48:32.684517	15892	402	3	2
2014-03-26 01:48:33.168876	15893	20.9	1	8
2014-03-26 01:48:33.400546	15894	51	2	8
2014-03-26 01:48:48.388184	15895	18.9	1	1
2014-03-26 01:48:48.612841	15896	49	2	1
2014-03-26 22:04:20.784655	31866	1088343.2260602864	4	2
2014-03-26 22:04:30.705296	31867	24.3	1	10
2014-03-26 01:49:12.168689	15901	20.9	1	8
2014-03-26 01:49:12.400145	15902	51	2	8
2014-03-26 01:49:27.384983	15903	18.9	1	1
2014-03-26 01:49:27.607323	15904	49	2	1
2014-03-26 01:49:32.684112	15905	402	3	2
2014-03-26 22:04:30.93937	31868	41	2	10
2014-03-26 01:49:51.169789	15910	20.9	1	8
2014-03-26 01:49:51.390535	15911	51	2	8
2014-03-26 01:50:06.389134	15912	18.9	1	1
2014-03-26 01:40:43.06128	15782	21.9	1	10
2014-03-26 01:40:43.28453	15783	48	2	10
2014-03-26 01:41:22.059164	15791	21.9	1	10
2014-03-26 01:41:22.291593	15792	48	2	10
2014-03-26 01:42:01.059438	15800	21.9	1	10
2014-03-26 01:42:01.284497	15801	48	2	10
2014-03-26 01:42:40.059472	15809	21.9	1	10
2014-03-26 01:42:40.28489	15810	48	2	10
2014-03-26 01:43:19.05975	15817	21.9	1	10
2014-03-26 01:43:19.292039	15818	48	2	10
2014-03-26 01:43:58.059757	15826	21.9	1	10
2014-03-26 01:43:58.28213	15827	48	2	10
2014-03-26 01:44:37.063648	15835	21.9	1	10
2014-03-26 01:44:37.286497	15836	48	2	10
2014-03-26 01:45:16.059253	15845	21.9	1	10
2014-03-26 01:45:16.281727	15846	48	2	10
2014-03-26 01:45:55.062045	15854	21.9	1	10
2014-03-26 01:45:55.293321	15855	48	2	10
2014-03-26 01:46:34.060279	15863	21.9	1	10
2014-03-26 01:46:34.284615	15864	48	2	10
2014-03-26 01:47:13.059272	15871	21.9	1	10
2014-03-26 01:47:13.28479	15872	48	2	10
2014-03-26 01:47:52.062458	15880	21.9	1	10
2014-03-26 01:47:52.286936	15881	48	2	10
2014-03-26 01:48:31.061761	15888	21.9	1	10
2014-03-26 01:48:31.283395	15889	48	2	10
2014-03-26 01:49:10.060891	15897	21.9	1	10
2014-03-26 01:49:10.293668	15898	48	2	10
2014-03-26 01:50:06.620817	15913	49	2	1
2014-03-26 01:50:20.686274	15914	354	3	2
2014-03-26 22:04:32.55821	31869	595	3	2
2014-03-26 22:04:32.7826	31870	1088345.5241297293	4	2
2014-03-26 01:50:30.295484	15919	20.9	1	8
2014-03-26 01:50:30.734957	15920	51	2	8
2014-03-26 01:50:32.810938	15921	354	3	2
2014-03-26 01:50:45.383801	15922	18.9	1	1
2014-03-26 01:50:45.60606	15923	49	2	1
2014-03-26 22:04:41.04664	31871	22.1	1	9
2014-03-26 22:04:41.283413	31872	48	2	9
2014-03-26 01:51:09.168236	15928	20.9	1	8
2014-03-26 01:51:09.391616	15929	51	2	8
2014-03-26 01:51:24.388147	15930	18.9	1	1
2014-03-26 01:51:24.610721	15931	49	2	1
2014-03-26 01:51:32.683668	15932	354	3	2
2014-03-26 22:04:42.138276	31873	22.0	1	8
2014-03-26 22:04:42.361194	31874	47	2	8
2014-03-26 01:51:48.171694	15937	20.9	1	8
2014-03-26 01:51:48.394232	15938	51	2	8
2014-03-26 01:52:03.385656	15939	18.9	1	1
2014-03-26 01:52:03.618571	15940	49	2	1
2014-03-26 22:04:44.561167	31875	595	3	2
2014-03-26 22:04:44.795715	31876	1088347.822199172	4	2
2014-03-26 01:52:27.168328	15945	20.9	1	8
2014-03-26 01:52:27.393115	15946	51	2	8
2014-03-26 01:52:32.688711	15947	354	3	2
2014-03-26 01:52:42.387989	15948	18.9	1	1
2014-03-26 01:52:42.613247	15949	49	2	1
2014-03-26 22:04:56.932744	31877	20.3	1	1
2014-03-26 22:04:57.157841	31878	50	2	1
2014-03-26 01:53:06.169785	15954	20.9	1	8
2014-03-26 01:53:06.40363	15955	51	2	8
2014-03-26 01:53:21.385313	15956	18.9	1	1
2014-03-26 01:53:21.61063	15957	49	2	1
2014-03-26 01:53:32.685805	15958	354	3	2
2014-03-26 22:05:08.556705	31879	643	3	2
2014-03-26 22:05:08.792523	31880	1088351.2693033363	4	2
2014-03-26 01:53:45.167499	15963	20.9	1	8
2014-03-26 01:53:45.389159	15964	51	2	8
2014-03-26 01:54:00.437384	15965	18.9	1	1
2014-03-26 01:54:00.670215	15966	49	2	1
2014-03-26 22:05:09.705867	31881	24.3	1	10
2014-03-26 22:05:09.929988	31882	41	2	10
2014-03-26 01:54:24.169429	15971	20.9	1	8
2014-03-26 01:54:24.389795	15972	51	2	8
2014-03-26 01:54:32.688209	15973	354	3	2
2014-03-26 01:54:39.385846	15974	18.9	1	1
2014-03-26 01:54:39.608663	15975	49	2	1
2014-03-26 22:05:20.04729	31883	22.1	1	9
2014-03-26 22:05:20.340049	31884	48	2	9
2014-03-26 01:55:03.169529	15980	20.9	1	8
2014-03-26 01:55:03.39905	15981	51	2	8
2014-03-26 01:55:18.382883	15982	18.9	1	1
2014-03-26 01:55:18.604849	15983	49	2	1
2014-03-26 01:55:32.688029	15984	289	3	2
2014-03-26 22:05:20.670157	31885	643	3	2
2014-03-26 22:05:20.897654	31886	1088353.5673727791	4	2
2014-03-26 01:55:42.169502	15989	20.9	1	8
2014-03-26 01:55:42.391121	15990	51	2	8
2014-03-26 01:55:44.685674	15991	289	3	2
2014-03-26 01:55:57.382102	15992	18.9	1	1
2014-03-26 01:55:57.605024	15993	49	2	1
2014-03-26 22:05:21.207874	31887	22.0	1	8
2014-03-26 22:05:21.44412	31888	47	2	8
2014-03-26 01:56:21.169577	15998	20.9	1	8
2014-03-26 01:56:21.39995	15999	51	2	8
2014-03-26 01:56:32.688848	16000	289	3	2
2014-03-26 01:56:36.383714	16001	18.9	1	1
2014-03-26 01:56:36.605789	16002	49	2	1
2014-03-26 22:05:32.560305	31889	643	3	2
2014-03-26 22:05:32.785949	31890	1088355.865442222	4	2
2014-03-26 01:57:00.170477	16007	20.9	1	8
2014-03-26 01:57:00.423435	16008	51	2	8
2014-03-26 01:57:15.384862	16009	18.9	1	1
2014-03-26 01:57:15.620467	16010	49	2	1
2014-03-26 01:57:32.687934	16011	305	3	2
2014-03-26 22:05:35.69001	31891	20.3	1	1
2014-03-26 22:05:35.936473	31892	50	2	1
2014-03-26 01:57:39.168893	16016	20.9	1	8
2014-03-26 01:57:39.393644	16017	51	2	8
2014-03-26 01:57:54.384458	16018	18.9	1	1
2014-03-26 01:57:54.607892	16019	49	2	1
2014-03-26 01:58:08.684416	16020	354	3	2
2014-03-26 22:05:48.705036	31893	24.3	1	10
2014-03-26 22:05:48.929741	31894	41	2	10
2014-03-26 01:58:18.169241	16025	20.9	1	8
2014-03-26 01:58:18.405231	16026	51	2	8
2014-03-26 01:58:20.684283	16027	354	3	2
2014-03-26 01:58:32.684809	16028	354	3	2
2014-03-26 01:58:33.379672	16029	18.9	1	1
2014-03-26 01:58:33.613498	16030	49	2	1
2014-03-26 22:05:59.0468	31895	22.2	1	9
2014-03-26 22:05:59.286098	31896	48	2	9
2014-03-26 01:58:57.168523	16035	20.9	1	8
2014-03-26 01:58:57.390521	16036	51	2	8
2014-03-26 01:59:12.381739	16037	18.9	1	1
2014-03-26 01:59:12.616057	16038	49	2	1
2014-03-26 01:59:32.688862	16039	354	3	2
2014-03-26 22:06:00.136719	31897	22.0	1	8
2014-03-26 22:06:00.362233	31898	47	2	8
2014-03-26 01:59:36.169787	16044	20.9	1	8
2014-03-26 01:59:36.391071	16045	51	2	8
2014-03-26 01:59:51.38369	16046	18.9	1	1
2014-03-26 01:59:51.605179	16047	49	2	1
2014-03-26 01:50:28.185548	15915	21.9	1	10
2014-03-26 01:50:28.659748	15916	48	2	10
2014-03-26 01:51:07.063496	15924	21.8	1	10
2014-03-26 01:51:07.286773	15925	48	2	10
2014-03-26 01:51:46.061613	15933	21.8	1	10
2014-03-26 01:51:46.287485	15934	48	2	10
2014-03-26 01:52:25.061505	15941	21.8	1	10
2014-03-26 01:52:25.284383	15942	48	2	10
2014-03-26 01:53:04.061701	15950	21.8	1	10
2014-03-26 01:53:04.293724	15951	48	2	10
2014-03-26 01:53:43.062639	15959	21.8	1	10
2014-03-26 01:53:43.2846	15960	48	2	10
2014-03-26 01:54:22.063975	15967	21.8	1	10
2014-03-26 01:54:22.285852	15968	48	2	10
2014-03-26 01:55:01.062268	15976	21.8	1	10
2014-03-26 01:55:01.294147	15977	48	2	10
2014-03-26 01:55:40.062938	15985	21.8	1	10
2014-03-26 01:55:40.284105	15986	48	2	10
2014-03-26 01:56:19.07257	15994	21.8	1	10
2014-03-26 01:56:19.295137	15995	48	2	10
2014-03-26 01:56:58.063938	16003	21.8	1	10
2014-03-26 01:56:58.288875	16004	48	2	10
2014-03-26 01:57:37.067735	16012	21.8	1	10
2014-03-26 01:57:37.303344	16013	48	2	10
2014-03-26 01:58:16.063167	16021	21.8	1	10
2014-03-26 01:58:16.296066	16022	48	2	10
2014-03-26 01:58:55.063839	16031	21.8	1	10
2014-03-26 01:58:55.285631	16032	48	2	10
2014-03-26 22:06:14.692864	31899	20.3	1	1
2014-03-26 22:06:14.927973	31900	50	2	1
2014-03-26 02:00:15.169152	16052	20.9	1	8
2014-03-26 02:00:15.390844	16053	51	2	8
2014-03-26 02:00:30.379692	16054	18.9	1	1
2014-03-26 02:00:30.603058	16055	49	2	1
2014-03-26 02:00:32.682777	16056	354	3	2
2014-03-26 22:06:27.70496	31901	24.3	1	10
2014-03-26 22:06:27.929585	31902	41	2	10
2014-03-26 02:00:54.169034	16061	20.9	1	8
2014-03-26 02:00:54.390478	16062	51	2	8
2014-03-26 02:01:09.380453	16063	18.9	1	1
2014-03-26 02:01:09.613415	16064	49	2	1
2014-03-26 22:06:32.559117	31903	643	3	2
2014-03-26 22:06:32.796018	31904	1088366.2067547147	4	2
2014-03-26 02:01:32.68565	16069	354	3	2
2014-03-26 02:01:33.169175	16070	20.9	1	8
2014-03-26 02:01:33.391418	16071	51	2	8
2014-03-26 02:01:48.382549	16072	18.9	1	1
2014-03-26 02:01:48.60455	16073	49	2	1
2014-03-26 22:06:38.045726	31905	22.2	1	9
2014-03-26 22:06:38.275419	31906	48	2	9
2014-03-26 02:02:12.171219	16078	20.9	1	8
2014-03-26 02:02:12.402122	16079	51	2	8
2014-03-26 02:02:27.379518	16080	18.9	1	1
2014-03-26 02:02:27.603204	16081	49	2	1
2014-03-26 02:02:32.685041	16082	354	3	2
2014-03-26 02:02:44.685912	16083	305	3	2
2014-03-26 22:06:39.136086	31907	22.0	1	8
2014-03-26 22:06:39.368425	31908	47	2	8
2014-03-26 02:02:51.168153	16088	20.9	1	8
2014-03-26 02:02:51.392478	16089	51	2	8
2014-03-26 02:02:56.68394	16090	305	3	2
2014-03-26 02:03:06.380194	16091	18.9	1	1
2014-03-26 02:03:06.603575	16092	49	2	1
2014-03-26 22:06:53.69006	31909	20.3	1	1
2014-03-26 22:06:53.916344	31910	50	2	1
2014-03-26 02:03:30.167978	16097	20.8	1	8
2014-03-26 02:03:30.413028	16098	51	2	8
2014-03-26 02:03:32.689294	16099	305	3	2
2014-03-26 02:03:45.383081	16100	18.9	1	1
2014-03-26 02:03:45.605205	16101	49	2	1
2014-03-26 22:07:06.707767	31911	24.3	1	10
2014-03-26 22:07:06.942402	31912	41	2	10
2014-03-26 02:04:09.16955	16106	20.8	1	8
2014-03-26 02:04:09.392589	16107	51	2	8
2014-03-26 02:04:24.377478	16108	18.9	1	1
2014-03-26 02:04:24.601251	16109	49	2	1
2014-03-26 02:04:32.682639	16110	305	3	2
2014-03-26 22:07:17.048203	31913	22.2	1	9
2014-03-26 22:07:17.273436	31914	48	2	9
2014-03-26 02:04:48.169923	16115	20.8	1	8
2014-03-26 02:04:48.403085	16116	51	2	8
2014-03-26 02:05:03.379823	16117	18.9	1	1
2014-03-26 02:05:03.603059	16118	49	2	1
2014-03-26 22:07:18.138322	31915	22.0	1	8
2014-03-26 22:07:18.371549	31916	47	2	8
2014-03-26 02:05:27.1698	16123	20.8	1	8
2014-03-26 02:05:27.399635	16124	51	2	8
2014-03-26 02:05:32.686422	16125	305	3	2
2014-03-26 02:05:42.37812	16126	18.9	1	1
2014-03-26 02:05:42.602345	16127	49	2	1
2014-03-26 22:07:32.930137	31917	20.3	1	1
2014-03-26 22:07:33.153191	31918	50	2	1
2014-03-26 02:06:06.170127	16132	20.8	1	8
2014-03-26 02:06:06.396885	16133	51	2	8
2014-03-26 02:06:21.380257	16134	18.9	1	1
2014-03-26 02:06:21.612526	16135	49	2	1
2014-03-26 02:06:32.684982	16136	305	3	2
2014-03-26 22:07:45.707256	31919	24.3	1	10
2014-03-26 22:07:45.946831	31920	41	2	10
2014-03-26 02:06:45.17046	16141	20.8	1	8
2014-03-26 02:06:45.413818	16142	51	2	8
2014-03-26 02:07:00.374793	16143	18.9	1	1
2014-03-26 02:07:00.596021	16144	49	2	1
2014-03-26 22:07:56.046036	31921	22.2	1	9
2014-03-26 22:07:56.270391	31922	48	2	9
2014-03-26 02:07:24.169553	16149	20.8	1	8
2014-03-26 02:07:24.432415	16150	51	2	8
2014-03-26 02:07:39.18109	16151	305	3	2
2014-03-26 02:07:39.489014	16152	18.8	1	1
2014-03-26 02:07:39.711086	16153	49	2	1
2014-03-26 22:07:57.135592	31923	22.0	1	8
2014-03-26 22:07:57.368188	31924	47	2	8
2014-03-26 02:08:03.170403	16158	20.8	1	8
2014-03-26 02:08:03.39163	16159	51	2	8
2014-03-26 02:08:18.377635	16160	18.8	1	1
2014-03-26 02:08:18.60985	16161	49	2	1
2014-03-26 02:08:32.682747	16162	305	3	2
2014-03-26 22:08:11.691052	31925	20.3	1	1
2014-03-26 22:08:11.918298	31926	50	2	1
2014-03-26 02:08:42.168948	16167	20.8	1	8
2014-03-26 02:08:42.401168	16168	51	2	8
2014-03-26 02:08:57.37436	16169	18.8	1	1
2014-03-26 02:08:57.598471	16170	49	2	1
2014-03-26 22:08:24.706667	31927	24.4	1	10
2014-03-26 22:08:24.94335	31928	41	2	10
2014-03-26 02:09:21.168857	16175	20.8	1	8
2014-03-26 02:09:21.403739	16176	51	2	8
2014-03-26 02:09:32.687963	16177	305	3	2
2014-03-26 02:09:36.374229	16178	18.8	1	1
2014-03-26 02:09:36.598538	16179	49	2	1
2014-03-26 02:10:00.171464	16184	20.8	1	8
2014-03-26 02:00:13.288629	16049	48	2	10
2014-03-26 02:00:52.192214	16057	21.8	1	10
2014-03-26 02:00:52.533589	16058	48	2	10
2014-03-26 02:01:31.06463	16065	21.8	1	10
2014-03-26 02:01:31.288597	16066	48	2	10
2014-03-26 02:02:10.065941	16074	21.8	1	10
2014-03-26 02:02:10.299692	16075	48	2	10
2014-03-26 02:02:49.065751	16084	21.8	1	10
2014-03-26 02:02:49.2894	16085	48	2	10
2014-03-26 02:03:28.065756	16093	21.8	1	10
2014-03-26 02:03:28.297587	16094	48	2	10
2014-03-26 02:04:07.065913	16102	21.8	1	10
2014-03-26 02:04:07.287642	16103	48	2	10
2014-03-26 02:04:46.065882	16111	21.8	1	10
2014-03-26 02:04:46.28699	16112	48	2	10
2014-03-26 02:05:25.067297	16119	21.8	1	10
2014-03-26 02:05:25.307102	16120	48	2	10
2014-03-26 02:06:04.065296	16128	21.8	1	10
2014-03-26 02:06:04.289061	16129	48	2	10
2014-03-26 02:06:43.065698	16137	21.7	1	10
2014-03-26 02:06:43.28899	16138	48	2	10
2014-03-26 02:07:22.067532	16145	21.7	1	10
2014-03-26 02:07:22.334237	16146	48	2	10
2014-03-26 02:08:01.067866	16154	21.7	1	10
2014-03-26 02:08:01.293196	16155	48	2	10
2014-03-26 02:08:40.067357	16163	21.7	1	10
2014-03-26 02:08:40.292586	16164	48	2	10
2014-03-26 02:09:19.067618	16171	21.7	1	10
2014-03-26 02:09:19.30047	16172	48	2	10
2014-03-26 02:09:58.067798	16180	21.7	1	10
2014-03-26 02:10:00.392784	16185	51	2	8
2014-03-26 02:10:15.415499	16186	18.8	1	1
2014-03-26 02:10:15.660001	16187	49	2	1
2014-03-26 02:10:20.689851	16188	354	3	2
2014-03-26 02:10:32.687556	16189	354	3	2
2014-03-26 22:08:32.558097	31929	627	3	2
2014-03-26 22:08:32.784499	31930	1088388.0384144215	4	2
2014-03-26 02:10:39.169351	16194	20.8	1	8
2014-03-26 02:10:39.402455	16195	51	2	8
2014-03-26 02:10:54.500195	16196	18.8	1	1
2014-03-26 02:10:54.920082	16197	49	2	1
2014-03-26 22:08:35.050698	31931	22.2	1	9
2014-03-26 22:08:35.285054	31932	48	2	9
2014-03-26 02:11:18.16972	16202	20.8	1	8
2014-03-26 02:11:18.401575	16203	51	2	8
2014-03-26 02:11:33.1768	16204	354	3	2
2014-03-26 02:11:33.485011	16205	18.8	1	1
2014-03-26 02:11:33.706994	16206	49	2	1
2014-03-26 22:08:36.13557	31933	22.0	1	8
2014-03-26 22:08:36.358671	31934	47	2	8
2014-03-26 02:11:57.169505	16211	20.8	1	8
2014-03-26 02:11:57.391429	16212	51	2	8
2014-03-26 02:12:12.370719	16213	18.8	1	1
2014-03-26 02:12:12.603013	16214	49	2	1
2014-03-26 02:12:32.685923	16215	354	3	2
2014-03-26 22:08:50.689396	31935	20.3	1	1
2014-03-26 22:08:50.926409	31936	50	2	1
2014-03-26 02:12:36.169155	16220	20.8	1	8
2014-03-26 02:12:36.391606	16221	51	2	8
2014-03-26 02:12:51.375742	16222	18.8	1	1
2014-03-26 02:12:51.59797	16223	49	2	1
2014-03-26 22:09:03.706573	31937	24.4	1	10
2014-03-26 22:09:03.933639	31938	41	2	10
2014-03-26 02:13:15.171907	16228	20.8	1	8
2014-03-26 02:13:15.403649	16229	51	2	8
2014-03-26 02:13:30.372444	16230	18.8	1	1
2014-03-26 02:13:30.596035	16231	49	2	1
2014-03-26 02:13:32.68415	16232	354	3	2
2014-03-26 22:09:14.048752	31939	22.2	1	9
2014-03-26 22:09:14.294759	31940	48	2	9
2014-03-26 02:13:54.169263	16237	20.8	1	8
2014-03-26 02:13:54.392832	16238	51	2	8
2014-03-26 02:14:09.377179	16239	18.8	1	1
2014-03-26 02:14:09.609963	16240	49	2	1
2014-03-26 22:09:15.1343	31941	22.0	1	8
2014-03-26 22:09:15.358691	31942	47	2	8
2014-03-26 02:14:32.683004	16245	354	3	2
2014-03-26 02:14:33.169027	16246	20.8	1	8
2014-03-26 02:14:33.392373	16247	51	2	8
2014-03-26 02:14:48.372611	16248	18.8	1	1
2014-03-26 02:14:48.596992	16249	49	2	1
2014-03-26 02:14:56.68039	16250	305	3	2
2014-03-26 02:15:08.683475	16251	289	3	2
2014-03-26 22:09:29.687161	31943	20.3	1	1
2014-03-26 22:09:29.978883	31944	50	2	1
2014-03-26 02:15:12.169133	16256	20.8	1	8
2014-03-26 02:15:12.39015	16257	51	2	8
2014-03-26 02:15:27.375225	16258	18.8	1	1
2014-03-26 02:15:27.607292	16259	49	2	1
2014-03-26 02:15:32.703793	16260	289	3	2
2014-03-26 22:09:32.562171	31945	643	3	2
2014-03-26 22:09:32.785666	31946	1088398.3797269142	4	2
2014-03-26 02:15:51.168689	16265	20.8	1	8
2014-03-26 02:15:51.391204	16266	51	2	8
2014-03-26 02:16:06.373387	16267	18.8	1	1
2014-03-26 02:16:06.60376	16268	49	2	1
2014-03-26 22:09:42.70632	31947	24.4	1	10
2014-03-26 22:09:42.94177	31948	41	2	10
2014-03-26 02:16:30.169492	16273	20.8	1	8
2014-03-26 02:16:30.400524	16274	51	2	8
2014-03-26 02:16:32.728776	16275	289	3	2
2014-03-26 02:16:45.369782	16276	18.8	1	1
2014-03-26 02:16:45.5934	16277	49	2	1
2014-03-26 22:09:53.048974	31949	22.2	1	9
2014-03-26 22:09:53.27465	31950	48	2	9
2014-03-26 02:17:09.169395	16282	20.8	1	8
2014-03-26 02:17:09.391003	16283	51	2	8
2014-03-26 02:17:24.366793	16284	18.8	1	1
2014-03-26 02:17:24.600946	16285	49	2	1
2014-03-26 02:17:32.736371	16286	305	3	2
2014-03-26 22:09:54.137441	31951	22.0	1	8
2014-03-26 22:09:54.370033	31952	47	2	8
2014-03-26 02:17:48.169305	16291	20.8	1	8
2014-03-26 02:17:48.399569	16292	51	2	8
2014-03-26 02:18:03.370593	16293	18.8	1	1
2014-03-26 02:18:03.593157	16294	49	2	1
2014-03-26 22:10:08.692146	31953	20.3	1	1
2014-03-26 22:10:08.917628	31954	50	2	1
2014-03-26 02:18:27.170956	16299	20.8	1	8
2014-03-26 02:18:27.402048	16300	51	2	8
2014-03-26 02:18:32.738221	16301	305	3	2
2014-03-26 02:18:42.370221	16302	18.8	1	1
2014-03-26 02:18:42.593995	16303	49	2	1
2014-03-26 22:10:21.706584	31955	24.4	1	10
2014-03-26 22:10:21.942999	31956	41	2	10
2014-03-26 02:19:06.169785	16308	20.8	1	8
2014-03-26 02:19:06.418484	16309	51	2	8
2014-03-26 02:19:21.374541	16310	18.8	1	1
2014-03-26 02:19:21.597014	16311	49	2	1
2014-03-26 02:19:32.735841	16312	305	3	2
2014-03-26 22:10:32.046147	31957	22.2	1	9
2014-03-26 02:19:45.167631	16317	20.8	1	8
2014-03-26 02:19:45.391386	16318	51	2	8
2014-03-26 02:20:00.370118	16319	18.8	1	1
2014-03-26 02:20:00.606194	16320	49	2	1
2014-03-26 02:10:37.068649	16190	21.7	1	10
2014-03-26 02:10:37.301572	16191	48	2	10
2014-03-26 02:11:16.067615	16198	21.7	1	10
2014-03-26 02:11:16.303203	16199	48	2	10
2014-03-26 02:11:55.067243	16207	21.7	1	10
2014-03-26 02:11:55.289466	16208	48	2	10
2014-03-26 02:12:34.070004	16216	21.7	1	10
2014-03-26 02:12:34.293435	16217	48	2	10
2014-03-26 02:13:13.069465	16224	21.7	1	10
2014-03-26 02:13:13.302932	16225	48	2	10
2014-03-26 02:13:52.06954	16233	21.7	1	10
2014-03-26 02:13:52.29523	16234	48	2	10
2014-03-26 02:14:31.069474	16241	21.7	1	10
2014-03-26 02:14:31.292328	16242	48	2	10
2014-03-26 02:15:10.069097	16252	21.7	1	10
2014-03-26 02:15:10.291716	16253	48	2	10
2014-03-26 02:15:49.069757	16261	21.7	1	10
2014-03-26 02:15:49.293196	16262	48	2	10
2014-03-26 02:16:28.069346	16269	21.7	1	10
2014-03-26 02:16:28.303388	16270	48	2	10
2014-03-26 02:17:07.07288	16278	21.7	1	10
2014-03-26 02:17:07.295724	16279	48	2	10
2014-03-26 02:17:46.071794	16287	21.7	1	10
2014-03-26 02:17:46.297229	16288	48	2	10
2014-03-26 02:18:25.068666	16295	21.7	1	10
2014-03-26 02:18:25.303584	16296	48	2	10
2014-03-26 02:19:04.071681	16304	21.7	1	10
2014-03-26 02:19:04.295342	16305	48	2	10
2014-03-26 22:10:32.271902	31958	48	2	9
2014-03-26 22:10:32.579743	31959	627	3	2
2014-03-26 02:20:24.169731	16325	20.8	1	8
2014-03-26 02:20:24.391772	16326	51	2	8
2014-03-26 02:20:32.720044	16327	289	3	2
2014-03-26 02:20:39.371716	16328	18.8	1	1
2014-03-26 02:20:39.594425	16329	49	2	1
2014-03-26 22:10:32.815022	31960	1088408.721039407	4	2
2014-03-26 22:10:33.136382	31961	22.0	1	8
2014-03-26 02:21:03.166388	16334	20.8	1	8
2014-03-26 02:21:03.387377	16335	51	2	8
2014-03-26 02:21:18.51005	16336	18.8	1	1
2014-03-26 02:21:18.949843	16337	49	2	1
2014-03-26 02:21:32.681696	16338	289	3	2
2014-03-26 22:10:33.361521	31962	47	2	8
2014-03-26 22:10:47.691037	31963	20.3	1	1
2014-03-26 02:21:42.167266	16343	20.8	1	8
2014-03-26 02:21:42.398564	16344	51	2	8
2014-03-26 02:21:57.365869	16345	18.8	1	1
2014-03-26 02:21:57.589093	16346	49	2	1
2014-03-26 22:10:47.924636	31964	50	2	1
2014-03-26 22:11:00.706239	31965	24.4	1	10
2014-03-26 02:22:21.16828	16351	20.8	1	8
2014-03-26 02:22:21.399588	16352	51	2	8
2014-03-26 02:22:32.68229	16353	338	3	2
2014-03-26 02:22:36.364567	16354	18.8	1	1
2014-03-26 02:22:36.586221	16355	49	2	1
2014-03-26 02:22:44.680527	16356	354	3	2
2014-03-26 22:11:00.931534	31966	41	2	10
2014-03-26 22:11:11.046143	31967	22.2	1	9
2014-03-26 02:23:00.170392	16361	20.8	1	8
2014-03-26 02:23:00.40188	16362	51	2	8
2014-03-26 02:23:15.605758	16363	18.8	1	1
2014-03-26 02:23:15.828985	16364	49	2	1
2014-03-26 02:23:32.679992	16365	338	3	2
2014-03-26 22:11:11.279797	31968	48	2	9
2014-03-26 22:11:12.13604	31969	22.0	1	8
2014-03-26 02:23:39.169145	16370	20.8	1	8
2014-03-26 02:23:39.393405	16371	51	2	8
2014-03-26 02:23:54.365329	16372	18.8	1	1
2014-03-26 02:23:54.597211	16373	49	2	1
2014-03-26 22:11:12.361375	31970	47	2	8
2014-03-26 22:11:26.689189	31971	20.3	1	1
2014-03-26 02:24:18.167848	16378	20.8	1	8
2014-03-26 02:24:18.391214	16379	51	2	8
2014-03-26 02:24:32.681828	16380	354	3	2
2014-03-26 02:24:33.371618	16381	18.8	1	1
2014-03-26 02:24:33.593734	16382	49	2	1
2014-03-26 22:11:26.925589	31972	50	2	1
2014-03-26 22:11:32.555572	31973	692	3	2
2014-03-26 02:24:57.169358	16387	20.8	1	8
2014-03-26 02:24:57.402463	16388	51	2	8
2014-03-26 02:25:12.365488	16389	18.8	1	1
2014-03-26 02:25:12.589911	16390	49	2	1
2014-03-26 02:25:32.679446	16391	338	3	2
2014-03-26 22:11:32.780319	31974	1088420.2113866212	4	2
2014-03-26 22:11:39.707086	31975	24.4	1	10
2014-03-26 02:25:36.16853	16396	20.8	1	8
2014-03-26 02:25:36.389118	16397	51	2	8
2014-03-26 02:25:51.363571	16398	18.8	1	1
2014-03-26 02:25:51.596962	16399	49	2	1
2014-03-26 22:11:39.941945	31976	41	2	10
2014-03-26 22:11:44.554565	31977	643	3	2
2014-03-26 02:26:15.168869	16404	20.8	1	8
2014-03-26 02:26:15.389531	16405	51	2	8
2014-03-26 02:26:30.363505	16406	18.8	1	1
2014-03-26 02:26:30.595731	16407	49	2	1
2014-03-26 02:26:32.683074	16408	338	3	2
2014-03-26 02:26:44.682308	16409	289	3	2
2014-03-26 22:11:44.778662	31978	1088422.5094560639	4	2
2014-03-26 22:11:50.046534	31979	22.2	1	9
2014-03-26 02:26:54.169249	16414	20.8	1	8
2014-03-26 02:26:54.390995	16415	51	2	8
2014-03-26 02:26:56.683283	16416	289	3	2
2014-03-26 02:27:09.369227	16417	18.8	1	1
2014-03-26 02:27:09.592744	16418	49	2	1
2014-03-26 22:11:50.284901	31980	48	2	9
2014-03-26 22:11:51.135335	31981	22.1	1	8
2014-03-26 02:27:32.683753	16423	305	3	2
2014-03-26 02:27:33.168721	16424	20.8	1	8
2014-03-26 02:27:33.392262	16425	51	2	8
2014-03-26 02:27:48.36424	16426	18.8	1	1
2014-03-26 02:27:48.58875	16427	49	2	1
2014-03-26 22:11:51.360579	31982	47	2	8
2014-03-26 22:11:56.561493	31983	466	3	2
2014-03-26 02:28:12.168503	16432	20.8	1	8
2014-03-26 02:28:12.389344	16433	51	2	8
2014-03-26 02:28:27.364816	16434	18.8	1	1
2014-03-26 02:28:27.596951	16435	49	2	1
2014-03-26 02:28:32.678718	16436	289	3	2
2014-03-26 22:11:56.799154	31984	1088423.6584907854	4	2
2014-03-26 22:12:05.689412	31985	20.3	1	1
2014-03-26 02:28:51.169472	16441	20.8	1	8
2014-03-26 02:28:51.400107	16442	51	2	8
2014-03-26 02:29:06.364152	16443	18.8	1	1
2014-03-26 02:29:06.593028	16444	49	2	1
2014-03-26 22:12:05.914783	31986	50	2	1
2014-03-26 22:12:08.562686	31987	354	3	2
2014-03-26 22:12:08.808776	31988	1088424.8075255067	4	2
2014-03-26 02:29:30.168123	16449	20.8	1	8
2014-03-26 02:29:30.401848	16450	51	2	8
2014-03-26 02:29:32.681285	16451	305	3	2
2014-03-26 02:29:45.365872	16452	18.8	1	1
2014-03-26 02:29:45.587608	16453	49	2	1
2014-03-26 02:20:22.07082	16321	21.7	1	10
2014-03-26 02:20:22.295132	16322	48	2	10
2014-03-26 02:21:01.070181	16330	21.7	1	10
2014-03-26 02:21:01.347063	16331	48	2	10
2014-03-26 02:21:40.070962	16339	21.7	1	10
2014-03-26 02:21:40.301702	16340	48	2	10
2014-03-26 02:22:19.07111	16347	21.7	1	10
2014-03-26 02:22:19.303418	16348	48	2	10
2014-03-26 02:22:58.07302	16357	21.6	1	10
2014-03-26 02:22:58.296519	16358	48	2	10
2014-03-26 02:23:37.070919	16366	21.6	1	10
2014-03-26 02:23:37.295028	16367	48	2	10
2014-03-26 02:24:16.071448	16374	21.6	1	10
2014-03-26 02:24:16.296944	16375	48	2	10
2014-03-26 02:24:55.07337	16383	21.6	1	10
2014-03-26 02:24:55.303443	16384	48	2	10
2014-03-26 02:25:34.071857	16392	21.6	1	10
2014-03-26 02:25:34.294014	16393	48	2	10
2014-03-26 02:26:13.071078	16400	21.6	1	10
2014-03-26 02:26:13.294591	16401	48	2	10
2014-03-26 02:26:52.072632	16410	21.6	1	10
2014-03-26 02:26:52.295702	16411	48	2	10
2014-03-26 02:27:31.072871	16419	21.6	1	10
2014-03-26 02:27:31.30636	16420	48	2	10
2014-03-26 02:28:10.072932	16428	21.6	1	10
2014-03-26 02:28:10.295331	16429	48	2	10
2014-03-26 02:28:49.074518	16437	21.6	1	10
2014-03-26 02:28:49.296554	16438	48	2	10
2014-03-26 02:29:28.07376	16445	21.6	1	10
2014-03-26 22:12:18.708644	31989	24.4	1	10
2014-03-26 02:30:09.167183	16458	20.8	1	8
2014-03-26 02:30:09.39048	16459	51	2	8
2014-03-26 02:30:24.364288	16460	18.8	1	1
2014-03-26 02:30:24.597391	16461	49	2	1
2014-03-26 02:30:32.680064	16462	289	3	2
2014-03-26 22:12:18.934769	31990	41	2	10
2014-03-26 22:12:20.617026	31991	418	3	2
2014-03-26 02:30:48.167474	16467	20.8	1	8
2014-03-26 02:30:48.399128	16468	51	2	8
2014-03-26 02:31:03.362898	16469	18.8	1	1
2014-03-26 02:31:03.587836	16470	49	2	1
2014-03-26 22:12:20.851473	31992	1088425.9565602283	4	2
2014-03-26 22:12:29.046365	31993	22.2	1	9
2014-03-26 02:31:27.294471	16475	20.8	1	8
2014-03-26 02:31:27.742173	16476	51	2	8
2014-03-26 02:31:32.80917	16477	289	3	2
2014-03-26 02:31:42.363314	16478	18.8	1	1
2014-03-26 02:31:42.64281	16479	49	2	1
2014-03-26 22:12:29.271432	31994	48	2	9
2014-03-26 22:12:30.135483	31995	22.0	1	8
2014-03-26 02:32:06.169222	16484	20.8	1	8
2014-03-26 02:32:06.594765	16485	51	2	8
2014-03-26 02:32:21.361824	16486	18.8	1	1
2014-03-26 02:32:21.618848	16487	49	2	1
2014-03-26 02:32:32.680176	16488	289	3	2
2014-03-26 22:12:30.368659	31996	47	2	8
2014-03-26 22:12:32.561119	31997	418	3	2
2014-03-26 02:32:45.168443	16493	20.8	1	8
2014-03-26 02:32:45.389575	16494	51	2	8
2014-03-26 02:33:00.367851	16495	18.8	1	1
2014-03-26 02:33:00.60343	16496	49	2	1
2014-03-26 22:12:32.786051	31998	1088428.254629671	4	2
2014-03-26 22:12:44.686423	31999	20.3	1	1
2014-03-26 02:33:24.16773	16501	20.8	1	8
2014-03-26 02:33:24.389261	16502	51	2	8
2014-03-26 02:33:32.681964	16503	289	3	2
2014-03-26 02:33:39.362562	16504	18.8	1	1
2014-03-26 02:33:39.584335	16505	49	2	1
2014-03-26 22:12:44.92341	32000	50	2	1
2014-03-26 22:12:57.710171	32001	24.4	1	10
2014-03-26 02:34:03.167245	16510	20.8	1	8
2014-03-26 02:34:03.397465	16511	51	2	8
2014-03-26 02:34:18.363756	16512	18.8	1	1
2014-03-26 02:34:18.586176	16513	49	2	1
2014-03-26 02:34:20.681776	16514	354	3	2
2014-03-26 02:34:32.681859	16515	338	3	2
2014-03-26 22:12:57.934692	32002	41	2	10
2014-03-26 22:13:08.046936	32003	22.2	1	9
2014-03-26 02:34:42.168541	16520	20.8	1	8
2014-03-26 02:34:42.390154	16521	51	2	8
2014-03-26 02:34:57.362566	16522	18.8	1	1
2014-03-26 02:34:57.584567	16523	49	2	1
2014-03-26 22:13:08.282716	32004	48	2	9
2014-03-26 22:13:09.135613	32005	22.0	1	8
2014-03-26 02:35:21.167454	16528	20.8	1	8
2014-03-26 02:35:21.400514	16529	51	2	8
2014-03-26 02:35:32.681084	16530	338	3	2
2014-03-26 02:35:36.361951	16531	18.8	1	1
2014-03-26 02:35:36.583773	16532	49	2	1
2014-03-26 22:13:09.378987	32006	47	2	8
2014-03-26 22:13:20.61484	32007	515	3	2
2014-03-26 02:36:00.167747	16537	20.8	1	8
2014-03-26 02:36:00.391327	16538	51	2	8
2014-03-26 02:36:15.361738	16539	18.8	1	1
2014-03-26 02:36:15.596277	16540	48	2	1
2014-03-26 02:36:32.681193	16541	338	3	2
2014-03-26 22:13:20.851483	32008	1088433.9998032781	4	2
2014-03-26 22:13:23.687007	32009	20.3	1	1
2014-03-26 02:36:39.167906	16546	20.8	1	8
2014-03-26 02:36:39.410066	16547	51	2	8
2014-03-26 02:36:54.360433	16548	18.8	1	1
2014-03-26 02:36:54.584385	16549	48	2	1
2014-03-26 22:13:23.91353	32010	50	2	1
2014-03-26 22:13:32.556999	32011	531	3	2
2014-03-26 02:37:18.167668	16554	20.8	1	8
2014-03-26 02:37:18.397385	16555	51	2	8
2014-03-26 02:37:32.681895	16556	338	3	2
2014-03-26 02:37:33.414117	16557	18.8	1	1
2014-03-26 02:37:33.635927	16558	48	2	1
2014-03-26 22:13:32.79518	32012	1088435.1488379994	4	2
2014-03-26 22:13:36.708901	32013	24.4	1	10
2014-03-26 02:37:56.683992	16563	418	3	2
2014-03-26 02:37:57.167406	16564	20.8	1	8
2014-03-26 02:37:57.389113	16565	51	2	8
2014-03-26 02:38:08.678517	16566	418	3	2
2014-03-26 02:38:12.35915	16567	18.8	1	1
2014-03-26 02:38:12.580002	16568	48	2	1
2014-03-26 02:38:32.678996	16569	418	3	2
2014-03-26 22:13:36.936578	32014	41	2	10
2014-03-26 22:13:47.045352	32015	22.2	1	9
2014-03-26 02:38:36.167623	16574	20.8	1	8
2014-03-26 02:38:36.397213	16575	51	2	8
2014-03-26 02:38:44.682843	16576	354	3	2
2014-03-26 02:38:51.361022	16577	18.8	1	1
2014-03-26 02:38:51.581894	16578	48	2	1
2014-03-26 02:38:56.679028	16579	354	3	2
2014-03-26 22:13:47.280309	32016	48	2	9
2014-03-26 22:13:48.135503	32017	22.0	1	8
2014-03-26 02:39:15.168053	16584	20.8	1	8
2014-03-26 02:39:15.398716	16585	51	2	8
2014-03-26 02:39:30.359844	16586	18.8	1	1
2014-03-26 02:39:30.580887	16587	48	2	1
2014-03-26 02:39:32.680714	16588	354	3	2
2014-03-26 02:30:46.073209	16463	21.6	1	10
2014-03-26 02:30:46.297173	16464	48	2	10
2014-03-26 02:31:25.196709	16471	21.6	1	10
2014-03-26 02:31:25.64075	16472	48	2	10
2014-03-26 02:32:04.074231	16480	21.6	1	10
2014-03-26 02:32:04.418532	16481	48	2	10
2014-03-26 02:32:43.074271	16489	21.6	1	10
2014-03-26 02:32:43.299252	16490	48	2	10
2014-03-26 02:33:22.076061	16497	21.6	1	10
2014-03-26 02:33:22.297699	16498	48	2	10
2014-03-26 02:34:01.075625	16506	21.6	1	10
2014-03-26 02:34:01.30709	16507	48	2	10
2014-03-26 02:34:40.077992	16516	21.6	1	10
2014-03-26 02:34:40.307231	16517	48	2	10
2014-03-26 02:35:19.074663	16524	21.6	1	10
2014-03-26 02:35:19.308254	16525	48	2	10
2014-03-26 02:35:58.074889	16533	21.6	1	10
2014-03-26 02:35:58.297678	16534	48	2	10
2014-03-26 02:36:37.076177	16542	21.6	1	10
2014-03-26 02:36:37.310293	16543	48	2	10
2014-03-26 02:37:16.074102	16550	21.6	1	10
2014-03-26 02:37:16.309679	16551	48	2	10
2014-03-26 02:37:55.075385	16559	21.6	1	10
2014-03-26 02:37:55.298825	16560	48	2	10
2014-03-26 02:38:34.075408	16570	21.5	1	10
2014-03-26 02:38:34.297666	16571	48	2	10
2014-03-26 02:39:13.078481	16580	21.5	1	10
2014-03-26 02:39:13.299905	16581	48	2	10
2014-03-26 02:39:52.075633	16589	21.5	1	10
2014-03-26 02:39:54.170233	16593	20.8	1	8
2014-03-26 02:39:54.390807	16594	51	2	8
2014-03-26 02:40:09.355474	16595	18.8	1	1
2014-03-26 02:40:09.588682	16596	48	2	1
2014-03-26 22:13:48.361179	32018	47	2	8
2014-03-26 22:14:02.68787	32019	20.3	1	1
2014-03-26 02:40:32.678544	16601	354	3	2
2014-03-26 02:40:33.1689	16602	20.8	1	8
2014-03-26 02:40:33.44676	16603	51	2	8
2014-03-26 02:40:48.359129	16604	18.8	1	1
2014-03-26 02:40:48.581426	16605	48	2	1
2014-03-26 22:14:02.925758	32020	50	2	1
2014-03-26 22:14:15.709187	32021	24.4	1	10
2014-03-26 02:41:12.167851	16610	20.8	1	8
2014-03-26 02:41:12.401798	16611	51	2	8
2014-03-26 02:41:27.360243	16612	18.8	1	1
2014-03-26 02:41:27.58331	16613	48	2	1
2014-03-26 02:41:32.67783	16614	354	3	2
2014-03-26 22:14:15.935351	32022	41	2	10
2014-03-26 22:14:26.047896	32023	22.2	1	9
2014-03-26 02:41:51.167329	16619	20.8	1	8
2014-03-26 02:41:51.389807	16620	51	2	8
2014-03-26 02:42:06.355297	16621	18.8	1	1
2014-03-26 02:42:06.588314	16622	48	2	1
2014-03-26 22:14:26.281429	32024	48	2	9
2014-03-26 22:14:27.135468	32025	22.0	1	8
2014-03-26 02:42:30.167745	16627	20.8	1	8
2014-03-26 02:42:30.389097	16628	51	2	8
2014-03-26 02:42:32.684901	16629	354	3	2
2014-03-26 02:42:45.35989	16630	18.8	1	1
2014-03-26 02:42:45.583386	16631	48	2	1
2014-03-26 22:14:27.359762	32026	47	2	8
2014-03-26 22:14:32.561226	32027	515	3	2
2014-03-26 02:43:09.165835	16636	20.8	1	8
2014-03-26 02:43:09.397992	16637	51	2	8
2014-03-26 02:43:24.356105	16638	18.7	1	1
2014-03-26 02:43:24.578266	16639	48	2	1
2014-03-26 02:43:32.681779	16640	354	3	2
2014-03-26 22:14:32.795398	32028	1088444.3411157709	4	2
2014-03-26 22:14:41.686851	32029	20.3	1	1
2014-03-26 02:43:48.16764	16645	20.8	1	8
2014-03-26 02:43:48.390426	16646	51	2	8
2014-03-26 02:44:03.356304	16647	18.7	1	1
2014-03-26 02:44:03.576331	16648	48	2	1
2014-03-26 22:14:41.912008	32030	50	2	1
2014-03-26 22:14:44.553778	32031	418	3	2
2014-03-26 02:44:27.167226	16653	20.8	1	8
2014-03-26 02:44:27.389401	16654	51	2	8
2014-03-26 02:44:32.677517	16655	354	3	2
2014-03-26 02:44:42.358077	16656	18.7	1	1
2014-03-26 02:44:42.580242	16657	48	2	1
2014-03-26 22:14:44.787774	32032	1088445.4901504922	4	2
2014-03-26 22:14:54.707748	32033	24.4	1	10
2014-03-26 02:45:06.169368	16662	20.8	1	8
2014-03-26 02:45:06.393283	16663	51	2	8
2014-03-26 02:45:21.355534	16664	18.7	1	1
2014-03-26 02:45:21.580087	16665	48	2	1
2014-03-26 02:45:32.679719	16666	354	3	2
2014-03-26 22:14:54.933516	32034	41	2	10
2014-03-26 22:14:56.561217	32035	418	3	2
2014-03-26 02:45:45.167201	16671	20.8	1	8
2014-03-26 02:45:45.402248	16672	51	2	8
2014-03-26 02:46:00.35799	16673	18.7	1	1
2014-03-26 02:46:00.58043	16674	48	2	1
2014-03-26 02:46:08.678778	16675	402	3	2
2014-03-26 02:46:20.679047	16676	402	3	2
2014-03-26 22:14:56.805723	32036	1088446.6391852137	4	2
2014-03-26 22:15:05.045253	32037	22.2	1	9
2014-03-26 02:46:24.167656	16681	20.8	1	8
2014-03-26 02:46:24.390634	16682	51	2	8
2014-03-26 02:46:32.680086	16683	402	3	2
2014-03-26 02:46:39.353174	16684	18.7	1	1
2014-03-26 02:46:39.576236	16685	48	2	1
2014-03-26 22:15:05.271834	32038	48	2	9
2014-03-26 22:15:06.137662	32039	22.0	1	8
2014-03-26 02:47:03.166477	16690	20.8	1	8
2014-03-26 02:47:03.397089	16691	51	2	8
2014-03-26 02:47:18.353848	16692	18.7	1	1
2014-03-26 02:47:18.595633	16693	48	2	1
2014-03-26 02:47:32.678918	16694	402	3	2
2014-03-26 22:15:06.372033	32040	47	2	8
2014-03-26 22:15:08.549928	32041	515	3	2
2014-03-26 02:47:42.167262	16699	20.8	1	8
2014-03-26 02:47:42.390026	16700	51	2	8
2014-03-26 02:47:57.354095	16701	18.7	1	1
2014-03-26 02:47:57.584677	16702	48	2	1
2014-03-26 22:15:08.773566	32042	1088448.9372546566	4	2
2014-03-26 22:15:20.924785	32043	20.3	1	1
2014-03-26 02:48:21.167317	16707	20.8	1	8
2014-03-26 02:48:21.388546	16708	51	2	8
2014-03-26 02:48:32.678251	16709	370	3	2
2014-03-26 02:48:36.353249	16710	18.7	1	1
2014-03-26 02:48:36.575044	16711	48	2	1
2014-03-26 02:48:44.682922	16712	370	3	2
2014-03-26 22:15:21.159575	32044	50	2	1
2014-03-26 22:15:32.555057	32045	515	3	2
2014-03-26 02:49:00.167227	16717	20.8	1	8
2014-03-26 02:49:00.398008	16718	51	2	8
2014-03-26 02:49:15.352482	16719	18.7	1	1
2014-03-26 02:49:15.575372	16720	48	2	1
2014-03-26 02:49:32.6791	16721	370	3	2
2014-03-26 22:15:32.779554	32046	1088452.3843588207	4	2
2014-03-26 02:49:39.167313	16726	20.8	1	8
2014-03-26 02:49:39.38953	16727	51	2	8
2014-03-26 02:49:54.355711	16728	18.7	1	1
2014-03-26 02:40:31.077442	16597	21.5	1	10
2014-03-26 02:40:31.300496	16598	48	2	10
2014-03-26 02:41:10.077476	16606	21.5	1	10
2014-03-26 02:41:10.309411	16607	48	2	10
2014-03-26 02:41:49.077678	16615	21.5	1	10
2014-03-26 02:41:49.303005	16616	48	2	10
2014-03-26 02:42:28.076491	16623	21.5	1	10
2014-03-26 02:42:28.298483	16624	48	2	10
2014-03-26 02:43:07.078712	16632	21.5	1	10
2014-03-26 02:43:07.321422	16633	48	2	10
2014-03-26 02:43:46.078436	16641	21.5	1	10
2014-03-26 02:43:46.30188	16642	48	2	10
2014-03-26 02:44:25.080084	16649	21.5	1	10
2014-03-26 02:44:25.302098	16650	48	2	10
2014-03-26 02:45:04.078837	16658	21.5	1	10
2014-03-26 02:45:04.300337	16659	48	2	10
2014-03-26 02:45:43.077868	16667	21.5	1	10
2014-03-26 02:45:43.313391	16668	48	2	10
2014-03-26 02:46:22.079557	16677	21.5	1	10
2014-03-26 02:46:22.300345	16678	48	2	10
2014-03-26 02:47:01.077919	16686	21.5	1	10
2014-03-26 02:47:01.309389	16687	48	2	10
2014-03-26 02:47:40.081487	16695	21.5	1	10
2014-03-26 02:47:40.306683	16696	48	2	10
2014-03-26 02:48:19.078205	16703	21.5	1	10
2014-03-26 02:48:19.300633	16704	48	2	10
2014-03-26 02:48:58.080155	16713	21.5	1	10
2014-03-26 02:48:58.311868	16714	48	2	10
2014-03-26 02:49:54.576351	16729	48	2	1
2014-03-26 22:15:33.70904	32047	24.4	1	10
2014-03-26 22:15:33.945208	32048	41	2	10
2014-03-26 02:50:18.16947	16734	20.8	1	8
2014-03-26 02:50:18.391434	16735	51	2	8
2014-03-26 02:50:32.678436	16736	370	3	2
2014-03-26 02:50:33.351625	16737	18.7	1	1
2014-03-26 02:50:33.575132	16738	48	2	1
2014-03-26 22:15:44.047722	32049	22.1	1	9
2014-03-26 22:15:44.273286	32050	48	2	9
2014-03-26 02:50:56.675202	16743	305	3	2
2014-03-26 02:50:57.167534	16744	20.8	1	8
2014-03-26 02:50:57.389234	16745	51	2	8
2014-03-26 02:51:08.677514	16746	305	3	2
2014-03-26 02:51:12.352684	16747	18.7	1	1
2014-03-26 02:51:12.586873	16748	48	2	1
2014-03-26 02:51:32.678777	16749	305	3	2
2014-03-26 22:15:44.58	32051	418	3	2
2014-03-26 22:15:44.817939	32052	1088453.5333935423	4	2
2014-03-26 02:51:36.166054	16754	20.8	1	8
2014-03-26 02:51:36.397891	16755	51	2	8
2014-03-26 02:51:51.477361	16756	18.7	1	1
2014-03-26 02:51:51.90254	16757	48	2	1
2014-03-26 22:15:45.135258	32053	22.0	1	8
2014-03-26 22:15:45.363402	32054	47	2	8
2014-03-26 02:52:15.166114	16762	20.8	1	8
2014-03-26 02:52:15.397037	16763	51	2	8
2014-03-26 02:52:30.351173	16764	18.7	1	1
2014-03-26 02:52:30.57463	16765	48	2	1
2014-03-26 02:52:32.679628	16766	305	3	2
2014-03-26 02:52:44.676131	16767	370	3	2
2014-03-26 22:15:56.55775	32055	370	3	2
2014-03-26 22:15:56.792837	32056	1088454.6824282636	4	2
2014-03-26 02:52:54.165992	16772	20.8	1	8
2014-03-26 02:52:54.395202	16773	51	2	8
2014-03-26 02:52:56.677069	16774	354	3	2
2014-03-26 02:53:08.678213	16775	305	3	2
2014-03-26 02:53:09.592684	16776	18.7	1	1
2014-03-26 02:53:09.824886	16777	48	2	1
2014-03-26 02:53:20.682044	16778	289	3	2
2014-03-26 22:15:59.686426	32057	20.3	1	1
2014-03-26 22:15:59.908839	32058	50	2	1
2014-03-26 02:53:32.682438	16783	289	3	2
2014-03-26 02:53:33.166771	16784	20.8	1	8
2014-03-26 02:53:33.387973	16785	51	2	8
2014-03-26 02:53:48.349838	16786	18.7	1	1
2014-03-26 02:53:48.581611	16787	48	2	1
2014-03-26 22:16:08.560361	32059	418	3	2
2014-03-26 22:16:08.795135	32060	1088455.831462985	4	2
2014-03-26 02:54:12.168214	16792	20.8	1	8
2014-03-26 02:54:12.391517	16793	51	2	8
2014-03-26 02:54:27.351904	16794	18.7	1	1
2014-03-26 02:54:27.583791	16795	48	2	1
2014-03-26 02:54:32.679341	16796	289	3	2
2014-03-26 22:16:12.708822	32061	24.4	1	10
2014-03-26 22:16:12.933695	32062	41	2	10
2014-03-26 02:54:51.167054	16801	20.8	1	8
2014-03-26 02:54:51.397394	16802	51	2	8
2014-03-26 02:55:06.347714	16803	18.7	1	1
2014-03-26 02:55:06.570797	16804	48	2	1
2014-03-26 22:16:20.559426	32063	418	3	2
2014-03-26 22:16:20.849266	32064	1088456.9804977064	4	2
2014-03-26 02:55:30.165921	16809	20.8	1	8
2014-03-26 02:55:30.398131	16810	51	2	8
2014-03-26 02:55:32.677205	16811	289	3	2
2014-03-26 02:55:45.350861	16812	18.7	1	1
2014-03-26 02:55:45.572709	16813	48	2	1
2014-03-26 22:16:23.045835	32065	22.1	1	9
2014-03-26 22:16:23.270111	32066	48	2	9
2014-03-26 02:56:09.168455	16818	20.8	1	8
2014-03-26 02:56:09.391285	16819	51	2	8
2014-03-26 02:56:24.34867	16820	18.7	1	1
2014-03-26 02:56:24.579172	16821	48	2	1
2014-03-26 02:56:32.676452	16822	289	3	2
2014-03-26 22:16:24.134781	32067	22.0	1	8
2014-03-26 22:16:24.37025	32068	47	2	8
2014-03-26 02:56:48.168992	16827	20.8	1	8
2014-03-26 02:56:48.400405	16828	51	2	8
2014-03-26 02:57:03.349873	16829	18.7	1	1
2014-03-26 02:57:03.571906	16830	48	2	1
2014-03-26 22:16:32.558957	32069	402	3	2
2014-03-26 22:16:32.784335	32070	1088459.2785671493	4	2
2014-03-26 02:57:27.167124	16835	20.8	1	8
2014-03-26 02:57:27.400954	16836	51	2	8
2014-03-26 02:57:32.679683	16837	289	3	2
2014-03-26 02:57:42.348466	16838	18.7	1	1
2014-03-26 02:57:42.574298	16839	48	2	1
2014-03-26 22:16:38.682746	32071	20.3	1	1
2014-03-26 22:16:38.918575	32072	50	2	1
2014-03-26 02:58:06.167519	16844	20.8	1	8
2014-03-26 02:58:06.389906	16845	51	2	8
2014-03-26 02:58:21.349714	16846	18.7	1	1
2014-03-26 02:58:21.58309	16847	48	2	1
2014-03-26 02:58:32.679583	16848	354	3	2
2014-03-26 22:16:51.708968	32073	24.4	1	10
2014-03-26 22:16:51.935099	32074	41	2	10
2014-03-26 02:58:44.681854	16853	338	3	2
2014-03-26 02:58:45.168832	16854	20.8	1	8
2014-03-26 02:58:45.390166	16855	51	2	8
2014-03-26 02:59:00.348644	16856	18.7	1	1
2014-03-26 02:59:00.590783	16857	48	2	1
2014-03-26 22:17:02.045884	32075	22.1	1	9
2014-03-26 02:59:24.167198	16862	20.8	1	8
2014-03-26 02:59:24.392962	16863	51	2	8
2014-03-26 02:59:32.67779	16864	338	3	2
2014-03-26 02:50:16.08202	16730	21.5	1	10
2014-03-26 02:50:16.303703	16731	48	2	10
2014-03-26 02:50:55.080507	16739	21.5	1	10
2014-03-26 02:50:55.313347	16740	48	2	10
2014-03-26 02:51:34.081278	16750	21.5	1	10
2014-03-26 02:51:34.305391	16751	48	2	10
2014-03-26 02:52:13.08064	16758	21.5	1	10
2014-03-26 02:52:13.312813	16759	48	2	10
2014-03-26 02:52:52.080619	16768	21.5	1	10
2014-03-26 02:52:52.303319	16769	48	2	10
2014-03-26 02:53:31.081866	16779	21.5	1	10
2014-03-26 02:53:31.304706	16780	48	2	10
2014-03-26 02:54:10.081211	16788	21.5	1	10
2014-03-26 02:54:10.304079	16789	48	2	10
2014-03-26 02:54:49.08313	16797	21.5	1	10
2014-03-26 02:54:49.306559	16798	48	2	10
2014-03-26 02:55:28.084156	16805	21.5	1	10
2014-03-26 02:55:28.32715	16806	48	2	10
2014-03-26 02:56:07.083184	16814	21.5	1	10
2014-03-26 02:56:07.314662	16815	48	2	10
2014-03-26 02:56:46.080179	16823	21.5	1	10
2014-03-26 02:56:46.307127	16824	48	2	10
2014-03-26 02:57:25.08239	16831	21.5	1	10
2014-03-26 02:57:25.314975	16832	48	2	10
2014-03-26 02:58:04.081955	16840	21.5	1	10
2014-03-26 02:58:04.305115	16841	48	2	10
2014-03-26 02:58:43.081998	16849	21.5	1	10
2014-03-26 02:58:43.30458	16850	48	2	10
2014-03-26 02:59:39.348633	16865	18.7	1	1
2014-03-26 02:59:39.572353	16866	48	2	1
2014-03-26 22:17:02.280024	32076	48	2	9
2014-03-26 22:17:03.1338	32077	22.0	1	8
2014-03-26 03:00:03.167803	16871	20.8	1	8
2014-03-26 03:00:03.401255	16872	51	2	8
2014-03-26 03:00:18.34891	16873	18.7	1	1
2014-03-26 03:00:18.570822	16874	48	2	1
2014-03-26 03:00:32.677387	16875	354	3	2
2014-03-26 22:17:03.357661	32078	47	2	8
2014-03-26 22:17:08.559788	32079	354	3	2
2014-03-26 03:00:42.167745	16880	20.8	1	8
2014-03-26 03:00:42.389013	16881	51	2	8
2014-03-26 03:00:57.346426	16882	18.7	1	1
2014-03-26 03:00:57.577973	16883	48	2	1
2014-03-26 22:17:08.796058	32080	1088462.7256713135	4	2
2014-03-26 22:17:17.68672	32081	20.3	1	1
2014-03-26 03:01:21.168513	16888	20.8	1	8
2014-03-26 03:01:21.389889	16889	51	2	8
2014-03-26 03:01:32.678049	16890	354	3	2
2014-03-26 03:01:36.346316	16891	18.7	1	1
2014-03-26 03:01:36.57208	16892	48	2	1
2014-03-26 22:17:17.910666	32082	50	2	1
2014-03-26 22:17:20.559928	32083	354	3	2
2014-03-26 03:02:00.167821	16897	20.8	1	8
2014-03-26 03:02:00.400529	16898	51	2	8
2014-03-26 03:02:15.583842	16899	18.7	1	1
2014-03-26 03:02:15.80819	16900	48	2	1
2014-03-26 03:02:32.674811	16901	354	3	2
2014-03-26 22:17:20.858294	32084	1088463.874706035	4	2
2014-03-26 22:17:30.709273	32085	24.4	1	10
2014-03-26 03:02:39.165452	16906	20.8	1	8
2014-03-26 03:02:39.389108	16907	51	2	8
2014-03-26 03:02:54.345765	16908	18.7	1	1
2014-03-26 03:02:54.579167	16909	48	2	1
2014-03-26 22:17:30.934036	32086	41	2	10
2014-03-26 22:17:40.843365	32087	354	3	2
2014-03-26 03:03:18.16562	16914	20.8	1	8
2014-03-26 03:03:18.388055	16915	51	2	8
2014-03-26 03:03:20.679512	16916	305	3	2
2014-03-26 03:03:32.675278	16917	305	3	2
2014-03-26 03:03:33.344168	16918	18.7	1	1
2014-03-26 03:03:33.568627	16919	48	2	1
2014-03-26 22:17:41.082806	32088	1088465.0237407563	4	2
2014-03-26 22:17:41.389735	32089	22.1	1	9
2014-03-26 03:03:56.678891	16924	338	3	2
2014-03-26 03:03:57.169004	16925	20.8	1	8
2014-03-26 03:03:57.390768	16926	51	2	8
2014-03-26 03:04:08.681035	16927	305	3	2
2014-03-26 03:04:12.345274	16928	18.7	1	1
2014-03-26 03:04:12.56777	16929	48	2	1
2014-03-26 03:04:20.680992	16930	338	3	2
2014-03-26 03:04:32.677792	16931	305	3	2
2014-03-26 22:17:41.61593	32090	48	2	9
2014-03-26 22:17:42.134811	32091	22.0	1	8
2014-03-26 03:04:36.166203	16936	20.8	1	8
2014-03-26 03:04:36.38721	16937	51	2	8
2014-03-26 03:04:44.675591	16938	305	3	2
2014-03-26 03:04:51.342743	16939	18.7	1	1
2014-03-26 03:04:51.565764	16940	48	2	1
2014-03-26 03:04:56.679735	16941	338	3	2
2014-03-26 03:05:08.67798	16942	305	3	2
2014-03-26 22:17:42.370015	32092	47	2	8
2014-03-26 22:17:56.686288	32093	20.3	1	1
2014-03-26 03:05:15.164793	16947	20.8	1	8
2014-03-26 03:05:15.385184	16948	51	2	8
2014-03-26 03:05:20.67631	16949	305	3	2
2014-03-26 03:05:30.341654	16950	18.7	1	1
2014-03-26 03:05:30.574793	16951	48	2	1
2014-03-26 03:05:32.679346	16952	305	3	2
2014-03-26 22:17:56.910222	32094	50	2	1
2014-03-26 22:18:09.710859	32095	24.4	1	10
2014-03-26 03:05:54.166397	16957	20.8	1	8
2014-03-26 03:05:54.390259	16958	51	2	8
2014-03-26 03:05:56.675865	16959	338	3	2
2014-03-26 03:06:08.674604	16960	305	3	2
2014-03-26 03:06:09.34279	16961	18.7	1	1
2014-03-26 03:06:09.573965	16962	48	2	1
2014-03-26 03:06:20.675155	16963	305	3	2
2014-03-26 22:18:09.944032	32096	41	2	10
2014-03-26 22:18:20.046583	32097	22.1	1	9
2014-03-26 03:06:32.677974	16968	305	3	2
2014-03-26 03:06:33.168858	16969	20.8	1	8
2014-03-26 03:06:33.389445	16970	51	2	8
2014-03-26 03:06:48.34255	16971	18.7	1	1
2014-03-26 03:06:48.573331	16972	48	2	1
2014-03-26 22:18:20.289821	32098	47	2	9
2014-03-26 22:18:21.133984	32099	22.0	1	8
2014-03-26 03:07:12.165491	16977	20.8	1	8
2014-03-26 03:07:12.388719	16978	51	2	8
2014-03-26 03:07:27.34498	16979	18.7	1	1
2014-03-26 03:07:27.577163	16980	48	2	1
2014-03-26 03:07:32.67792	16981	305	3	2
2014-03-26 22:18:21.368229	32100	47	2	8
2014-03-26 22:18:32.558477	32101	338	3	2
2014-03-26 03:07:51.167129	16986	20.8	1	8
2014-03-26 03:07:51.391438	16987	51	2	8
2014-03-26 03:08:06.342851	16988	18.7	1	1
2014-03-26 03:08:06.566179	16989	48	2	1
2014-03-26 22:18:32.784919	32102	1088470.7689143633	4	2
2014-03-26 22:18:35.683352	32103	20.2	1	1
2014-03-26 22:18:35.919184	32104	50	2	1
2014-03-26 03:08:30.166001	16994	20.8	1	8
2014-03-26 03:08:30.388155	16995	51	2	8
2014-03-26 03:08:32.676059	16996	305	3	2
2014-03-26 03:08:45.338771	16997	18.7	1	1
2014-03-26 03:08:45.562463	16998	48	2	1
2014-03-26 03:00:01.082859	16867	21.4	1	10
2014-03-26 03:00:01.314281	16868	48	2	10
2014-03-26 03:00:40.084555	16876	21.4	1	10
2014-03-26 03:00:40.306154	16877	48	2	10
2014-03-26 03:01:19.274385	16884	21.4	1	10
2014-03-26 03:01:19.503197	16885	48	2	10
2014-03-26 03:01:58.085774	16893	21.4	1	10
2014-03-26 03:01:58.31893	16894	48	2	10
2014-03-26 03:02:37.083333	16902	21.4	1	10
2014-03-26 03:02:37.314827	16903	48	2	10
2014-03-26 03:03:16.083534	16910	21.4	1	10
2014-03-26 03:03:16.305809	16911	48	2	10
2014-03-26 03:03:55.084646	16920	21.4	1	10
2014-03-26 03:03:55.31641	16921	48	2	10
2014-03-26 03:04:34.084499	16932	21.4	1	10
2014-03-26 03:04:34.362056	16933	48	2	10
2014-03-26 03:05:13.084746	16943	21.4	1	10
2014-03-26 03:05:13.306568	16944	48	2	10
2014-03-26 03:05:52.08595	16953	21.4	1	10
2014-03-26 03:05:52.30987	16954	48	2	10
2014-03-26 03:06:31.086372	16964	21.4	1	10
2014-03-26 03:06:31.309033	16965	48	2	10
2014-03-26 03:07:10.086003	16973	21.4	1	10
2014-03-26 03:07:10.309895	16974	48	2	10
2014-03-26 03:07:49.084828	16982	21.4	1	10
2014-03-26 03:07:49.309746	16983	48	2	10
2014-03-26 22:18:48.708735	32105	24.4	1	10
2014-03-26 22:18:48.935624	32106	41	2	10
2014-03-26 03:09:09.164419	17003	20.8	1	8
2014-03-26 03:09:09.396533	17004	51	2	8
2014-03-26 03:09:24.339212	17005	18.7	1	1
2014-03-26 03:09:24.560245	17006	48	2	1
2014-03-26 03:09:32.677781	17007	305	3	2
2014-03-26 22:18:59.047731	32107	22.1	1	9
2014-03-26 22:18:59.283074	32108	47	2	9
2014-03-26 03:09:48.165477	17012	20.8	1	8
2014-03-26 03:09:48.388106	17013	51	2	8
2014-03-26 03:10:03.340083	17014	18.7	1	1
2014-03-26 03:10:03.571558	17015	48	2	1
2014-03-26 03:10:20.673948	17016	354	3	2
2014-03-26 22:19:00.13388	32109	22.0	1	8
2014-03-26 22:19:00.357451	32110	47	2	8
2014-03-26 03:10:27.167349	17023	20.8	1	8
2014-03-26 03:10:27.388323	17024	51	2	8
2014-03-26 03:10:32.677086	17025	354	3	2
2014-03-26 03:10:42.340794	17026	18.7	1	1
2014-03-26 03:10:42.564254	17027	48	2	1
2014-03-26 22:19:14.479406	32111	305	3	2
2014-03-26 22:19:14.714043	32112	1088474.2160185277	4	2
2014-03-26 03:11:06.167746	17034	20.8	1	8
2014-03-26 03:11:06.390392	17035	51	2	8
2014-03-26 03:11:21.339453	17036	18.7	1	1
2014-03-26 03:11:21.583631	17037	48	2	1
2014-03-26 03:11:32.673366	17038	354	3	2
2014-03-26 22:19:15.023246	32113	20.2	1	1
2014-03-26 22:19:15.24733	32114	50	2	1
2014-03-26 03:11:45.168822	17045	20.8	1	8
2014-03-26 03:11:45.390253	17046	51	2	8
2014-03-26 03:12:00.340696	17047	18.7	1	1
2014-03-26 03:12:00.57134	17048	48	2	1
2014-03-26 22:19:20.555828	32115	305	3	2
2014-03-26 22:19:20.791165	32116	1088475.365053249	4	2
2014-03-26 03:12:24.300003	17053	20.8	1	8
2014-03-26 03:12:24.720011	17054	51	2	8
2014-03-26 03:12:32.676308	17055	354	3	2
2014-03-26 03:12:39.340832	17056	18.7	1	1
2014-03-26 03:12:39.565629	17057	48	2	1
2014-03-26 22:19:27.708889	32117	24.4	1	10
2014-03-26 22:19:27.936211	32118	41	2	10
2014-03-26 03:13:03.167665	17064	20.8	1	8
2014-03-26 03:13:03.392941	17065	51	2	8
2014-03-26 03:13:18.343529	17066	18.7	1	1
2014-03-26 03:13:18.575116	17067	48	2	1
2014-03-26 03:13:32.675933	17068	354	3	2
2014-03-26 22:19:32.559138	32119	305	3	2
2014-03-26 22:19:32.794339	32120	1088476.5140879704	4	2
2014-03-26 03:13:42.166183	17073	20.8	1	8
2014-03-26 03:13:42.398033	17074	51	2	8
2014-03-26 03:13:57.33959	17075	18.7	1	1
2014-03-26 03:13:57.563505	17076	48	2	1
2014-03-26 22:19:38.049203	32121	22.0	1	9
2014-03-26 22:19:38.277671	32122	47	2	9
2014-03-26 03:14:21.166441	17081	20.8	1	8
2014-03-26 03:14:21.409046	17082	51	2	8
2014-03-26 03:14:32.679346	17083	354	3	2
2014-03-26 03:14:36.337366	17084	18.7	1	1
2014-03-26 03:14:36.559977	17085	48	2	1
2014-03-26 22:19:39.134204	32123	21.9	1	8
2014-03-26 22:19:39.367024	32124	48	2	8
2014-03-26 22:19:53.684873	32125	20.2	1	1
2014-03-26 22:19:53.90977	32126	50	2	1
2014-03-26 03:15:00.165978	17092	20.8	1	8
2014-03-26 03:15:00.389989	17093	51	2	8
2014-03-26 03:15:08.675231	17094	305	3	2
2014-03-26 03:15:15.334449	17095	18.7	1	1
2014-03-26 03:15:15.556548	17096	48	2	1
2014-03-26 03:15:20.67388	17097	338	3	2
2014-03-26 03:15:32.674189	17098	305	3	2
2014-03-26 22:19:56.558782	32127	338	3	2
2014-03-26 22:19:56.793678	32128	1088478.8121574132	4	2
2014-03-26 22:20:06.710384	32129	24.4	1	10
2014-03-26 22:20:06.935591	32130	41	2	10
2014-03-26 03:15:39.166432	17103	20.8	1	8
2014-03-26 03:15:39.396779	17104	51	2	8
2014-03-26 03:15:44.673559	17105	305	3	2
2014-03-26 03:15:54.339756	17106	18.7	1	1
2014-03-26 03:15:54.570438	17107	48	2	1
2014-03-26 22:20:08.557914	32131	354	3	2
2014-03-26 22:20:08.80511	32132	1088479.9611921348	4	2
2014-03-26 22:20:17.046842	32133	22.0	1	9
2014-03-26 22:20:17.270108	32134	47	2	9
2014-03-26 03:16:18.165849	17112	20.8	1	8
2014-03-26 03:16:18.388115	17113	51	2	8
2014-03-26 03:16:32.675303	17114	305	3	2
2014-03-26 03:16:33.335587	17115	18.7	1	1
2014-03-26 03:16:33.55711	17116	48	2	1
2014-03-26 22:20:18.136166	32135	21.9	1	8
2014-03-26 22:20:18.369616	32136	48	2	8
2014-03-26 22:20:32.919482	32137	20.2	1	1
2014-03-26 22:20:33.144244	32138	50	2	1
2014-03-26 22:20:45.709461	32139	24.4	1	10
2014-03-26 22:20:45.944808	32140	41	2	10
2014-03-26 03:16:57.166932	17123	20.8	1	8
2014-03-26 03:16:57.39205	17124	51	2	8
2014-03-26 03:17:12.335594	17125	18.7	1	1
2014-03-26 03:17:12.579084	17126	48	2	1
2014-03-26 03:17:32.673523	17127	305	3	2
2014-03-26 22:20:56.045546	32141	22.0	1	9
2014-03-26 22:20:56.270151	32142	47	2	9
2014-03-26 03:17:36.167938	17132	20.8	1	8
2014-03-26 03:17:36.389072	17133	51	2	8
2014-03-26 03:17:51.338605	17134	18.7	1	1
2014-03-26 03:17:51.562258	17135	48	2	1
2014-03-26 03:09:46.276946	17008	21.4	1	10
2014-03-26 03:09:46.499105	17009	48	2	10
2014-03-26 03:10:25.0863	17017	21.4	1	10
2014-03-26 03:10:25.30871	17018	48	2	10
2014-03-26 03:10:25.623841	17019	21.4	1	10
2014-03-26 03:10:25.848438	17020	48	2	10
2014-03-26 03:11:04.086532	17028	21.4	1	10
2014-03-26 03:11:04.309362	17029	48	2	10
2014-03-26 03:11:04.625991	17030	21.4	1	10
2014-03-26 03:11:04.84886	17031	48	2	10
2014-03-26 03:11:43.088711	17039	21.4	1	10
2014-03-26 03:11:43.311584	17040	48	2	10
2014-03-26 03:11:43.628325	17041	21.4	1	10
2014-03-26 03:11:43.84987	17042	48	2	10
2014-03-26 03:12:22.220066	17049	21.4	1	10
2014-03-26 03:12:22.640006	17050	48	2	10
2014-03-26 03:13:01.087513	17058	21.4	1	10
2014-03-26 03:13:01.323958	17059	48	2	10
2014-03-26 03:13:01.630603	17060	21.4	1	10
2014-03-26 03:13:01.852872	17061	48	2	10
2014-03-26 03:13:40.089056	17069	21.4	1	10
2014-03-26 03:13:40.309587	17070	48	2	10
2014-03-26 03:14:19.088977	17077	21.4	1	10
2014-03-26 03:14:19.323132	17078	48	2	10
2014-03-26 03:14:58.087675	17086	21.4	1	10
2014-03-26 03:14:58.313002	17087	48	2	10
2014-03-26 22:20:57.134389	32143	21.9	1	8
2014-03-26 22:20:57.371408	32144	48	2	8
2014-03-26 03:18:15.167016	17142	20.8	1	8
2014-03-26 03:18:15.392558	17143	51	2	8
2014-03-26 03:18:30.337721	17144	18.7	1	1
2014-03-26 03:18:30.569566	17145	48	2	1
2014-03-26 03:18:32.675209	17146	305	3	2
2014-03-26 22:21:11.682225	32145	20.2	1	1
2014-03-26 22:21:11.927911	32146	50	2	1
2014-03-26 03:18:54.164801	17153	20.8	1	8
2014-03-26 03:18:54.388068	17154	51	2	8
2014-03-26 03:19:09.33351	17155	18.6	1	1
2014-03-26 03:19:09.565267	17156	48	2	1
2014-03-26 22:21:24.710263	32147	24.4	1	10
2014-03-26 22:21:24.943789	32148	41	2	10
2014-03-26 03:19:32.674521	17161	305	3	2
2014-03-26 03:19:33.165149	17162	20.7	1	8
2014-03-26 03:19:33.38545	17163	51	2	8
2014-03-26 03:19:48.337958	17164	18.6	1	1
2014-03-26 03:19:48.560269	17165	48	2	1
2014-03-26 22:21:32.55966	32149	354	3	2
2014-03-26 22:21:32.783684	32150	1088488.0044351846	4	2
2014-03-26 03:20:12.164743	17170	20.7	1	8
2014-03-26 03:20:12.40687	17171	51	2	8
2014-03-26 03:20:27.333178	17172	18.6	1	1
2014-03-26 03:20:27.556478	17173	48	2	1
2014-03-26 03:20:32.674127	17174	305	3	2
2014-03-26 22:21:35.04964	32151	22.0	1	9
2014-03-26 22:21:35.285134	32152	47	2	9
2014-03-26 03:20:51.164104	17179	20.7	1	8
2014-03-26 03:20:51.385794	17180	51	2	8
2014-03-26 03:21:06.331686	17181	18.6	1	1
2014-03-26 03:21:06.563591	17182	48	2	1
2014-03-26 03:21:20.674614	17183	338	3	2
2014-03-26 22:21:36.134588	32153	21.9	1	8
2014-03-26 22:21:36.360498	32154	48	2	8
2014-03-26 03:21:30.164863	17188	20.7	1	8
2014-03-26 03:21:30.395289	17189	51	2	8
2014-03-26 03:21:32.675095	17190	305	3	2
2014-03-26 03:21:44.674709	17191	305	3	2
2014-03-26 03:21:45.334882	17192	18.6	1	1
2014-03-26 03:21:45.565038	17193	48	2	1
2014-03-26 22:21:50.68774	32155	20.2	1	1
2014-03-26 22:21:50.922702	32156	50	2	1
2014-03-26 03:22:09.165192	17198	20.7	1	8
2014-03-26 03:22:09.386595	17199	51	2	8
2014-03-26 03:22:24.332373	17200	18.6	1	1
2014-03-26 03:22:24.56356	17201	48	2	1
2014-03-26 03:22:32.79769	17202	305	3	2
2014-03-26 03:22:44.672095	17203	354	3	2
2014-03-26 22:22:03.711058	32157	24.4	1	10
2014-03-26 22:22:03.934785	32158	41	2	10
2014-03-26 03:22:48.166363	17208	20.7	1	8
2014-03-26 03:22:48.397935	17209	51	2	8
2014-03-26 03:22:56.67478	17210	354	3	2
2014-03-26 03:23:03.331136	17211	18.6	1	1
2014-03-26 03:23:03.553943	17212	48	2	1
2014-03-26 22:22:14.045417	32159	22.0	1	9
2014-03-26 22:22:14.280235	32160	47	2	9
2014-03-26 03:23:27.165859	17219	20.7	1	8
2014-03-26 03:23:27.39857	17220	51	2	8
2014-03-26 03:23:32.673153	17221	354	3	2
2014-03-26 03:23:42.335975	17222	18.6	1	1
2014-03-26 03:23:42.558121	17223	48	2	1
2014-03-26 22:22:15.13536	32161	21.9	1	8
2014-03-26 22:22:15.359001	32162	48	2	8
2014-03-26 03:24:06.165393	17228	20.7	1	8
2014-03-26 03:24:06.387976	17229	51	2	8
2014-03-26 03:24:21.330141	17230	18.6	1	1
2014-03-26 03:24:21.563798	17231	48	2	1
2014-03-26 03:24:32.675118	17232	354	3	2
2014-03-26 22:22:29.680203	32163	20.2	1	1
2014-03-26 22:22:29.971494	32164	50	2	1
2014-03-26 03:24:45.165207	17237	20.7	1	8
2014-03-26 03:24:45.384957	17238	51	2	8
2014-03-26 03:25:00.329863	17239	18.6	1	1
2014-03-26 03:25:00.553729	17240	48	2	1
2014-03-27 00:30:44.766622	34244	1089283.1498752604	4	2
2014-03-27 00:30:45.749719	34245	22.9	1	10
2014-03-27 00:30:45.982857	34246	42	2	10
2014-03-26 03:25:24.165538	17245	20.7	1	8
2014-03-26 03:25:24.397849	17246	51	2	8
2014-03-26 03:25:32.676432	17247	354	3	2
2014-03-26 03:25:39.332103	17248	18.6	1	1
2014-03-26 03:25:39.553106	17249	48	2	1
2014-03-27 00:30:56.044975	34247	20.9	1	9
2014-03-27 00:30:56.269918	34248	48	2	9
2014-03-27 00:30:56.579126	34249	402	3	2
2014-03-27 00:30:56.825599	34250	1089284.298909982	4	2
2014-03-26 03:26:03.219672	17254	20.7	1	8
2014-03-26 03:26:03.460522	17255	51	2	8
2014-03-26 03:26:18.332318	17256	18.6	1	1
2014-03-26 03:26:18.564402	17257	48	2	1
2014-03-26 03:26:32.675121	17258	354	3	2
2014-03-27 00:30:57.132765	34251	21.5	1	8
2014-03-27 00:30:57.358901	34252	47	2	8
2014-03-27 00:31:11.404856	34253	370	3	2
2014-03-27 00:31:11.639909	34254	1089285.4479447033	4	2
2014-03-26 03:26:42.166296	17263	20.7	1	8
2014-03-26 03:26:42.386554	17264	51	2	8
2014-03-26 03:26:57.328939	17265	18.6	1	1
2014-03-26 03:26:57.55073	17266	48	2	1
2014-03-27 00:31:11.949361	34255	20.0	1	1
2014-03-26 03:27:21.163932	17271	20.7	1	8
2014-03-26 03:27:21.385784	17272	51	2	8
2014-03-26 03:18:13.319396	17137	48	2	10
2014-03-26 03:18:13.626932	17138	21.4	1	10
2014-03-26 03:18:13.848325	17139	48	2	10
2014-03-26 03:18:52.088977	17147	21.4	1	10
2014-03-26 03:18:52.309517	17148	48	2	10
2014-03-26 03:18:52.625512	17149	21.4	1	10
2014-03-26 03:18:52.846767	17150	48	2	10
2014-03-26 03:19:31.090679	17157	21.4	1	10
2014-03-26 03:19:31.313216	17158	48	2	10
2014-03-26 03:20:10.088846	17166	21.4	1	10
2014-03-26 03:20:10.320653	17167	48	2	10
2014-03-26 03:20:49.090044	17175	21.4	1	10
2014-03-26 03:20:49.311448	17176	48	2	10
2014-03-26 03:21:28.089241	17184	21.4	1	10
2014-03-26 03:21:28.311031	17185	48	2	10
2014-03-26 03:22:07.092854	17194	21.4	1	10
2014-03-26 03:22:07.315025	17195	48	2	10
2014-03-26 03:22:46.088747	17204	21.4	1	10
2014-03-26 03:22:46.323822	17205	48	2	10
2014-03-26 03:23:25.091715	17213	21.4	1	10
2014-03-26 03:23:25.315506	17214	48	2	10
2014-03-26 03:23:25.621802	17215	21.4	1	10
2014-03-26 03:23:25.862731	17216	48	2	10
2014-03-26 03:24:04.090559	17224	21.4	1	10
2014-03-26 03:24:04.311955	17225	48	2	10
2014-03-26 03:24:43.090722	17233	21.4	1	10
2014-03-26 03:24:43.313063	17234	48	2	10
2014-03-26 03:25:22.092353	17241	21.4	1	10
2014-03-26 03:27:32.671553	17273	305	3	2
2014-03-26 03:27:36.329894	17274	18.6	1	1
2014-03-26 03:27:36.551901	17275	48	2	1
2014-03-26 03:27:44.672538	17276	305	3	2
2014-03-26 22:22:32.559337	32165	354	3	2
2014-03-26 22:22:32.787499	32166	1088493.7496087917	4	2
2014-03-26 03:28:00.167606	17281	20.7	1	8
2014-03-26 03:28:00.388631	17282	51	2	8
2014-03-26 03:28:15.330661	17283	18.6	1	1
2014-03-26 03:28:15.561136	17284	48	2	1
2014-03-26 03:28:32.673712	17285	305	3	2
2014-03-26 22:22:42.71148	32167	24.4	1	10
2014-03-26 22:22:42.9495	32168	41	2	10
2014-03-26 03:28:39.164212	17290	20.7	1	8
2014-03-26 03:28:39.396487	17291	51	2	8
2014-03-26 03:28:54.332268	17292	18.6	1	1
2014-03-26 03:28:54.555856	17293	48	2	1
2014-03-26 22:22:53.046706	32169	22.0	1	9
2014-03-26 22:22:53.272069	32170	47	2	9
2014-03-26 03:29:18.165396	17298	20.7	1	8
2014-03-26 03:29:18.399268	17299	51	2	8
2014-03-26 03:29:32.673564	17300	305	3	2
2014-03-26 03:29:33.332353	17301	18.6	1	1
2014-03-26 03:29:33.5574	17302	48	2	1
2014-03-26 22:22:54.135038	32171	21.9	1	8
2014-03-26 22:22:54.368691	32172	48	2	8
2014-03-26 03:29:57.164348	17307	20.7	1	8
2014-03-26 03:29:57.385631	17308	51	2	8
2014-03-26 03:30:12.331592	17309	18.6	1	1
2014-03-26 03:30:12.564586	17310	48	2	1
2014-03-26 03:30:32.672901	17311	305	3	2
2014-03-26 22:23:08.920398	32173	20.2	1	1
2014-03-26 22:23:09.144433	32174	50	2	1
2014-03-26 03:30:36.164848	17316	20.7	1	8
2014-03-26 03:30:36.387369	17317	51	2	8
2014-03-26 03:30:51.330867	17318	18.6	1	1
2014-03-26 03:30:51.553049	17319	48	2	1
2014-03-26 22:23:20.557224	32175	305	3	2
2014-03-26 22:23:20.794628	32176	1088498.3457476774	4	2
2014-03-26 03:31:15.16529	17324	20.7	1	8
2014-03-26 03:31:15.386302	17325	51	2	8
2014-03-26 03:31:30.330052	17326	18.6	1	1
2014-03-26 03:31:30.5531	17327	48	2	1
2014-03-26 03:31:32.677068	17328	305	3	2
2014-03-26 22:23:21.712928	32177	24.4	1	10
2014-03-26 22:23:21.937176	32178	41	2	10
2014-03-26 03:31:54.16549	17333	20.7	1	8
2014-03-26 03:31:54.387064	17334	50	2	8
2014-03-26 03:31:56.671528	17335	338	3	2
2014-03-26 03:32:08.676283	17336	305	3	2
2014-03-26 03:32:09.327537	17337	18.6	1	1
2014-03-26 03:32:09.549496	17338	48	2	1
2014-03-26 03:32:20.675082	17339	305	3	2
2014-03-26 22:23:32.41032	32179	22.0	1	9
2014-03-26 22:23:32.65777	32180	47	2	9
2014-03-26 03:32:32.675155	17344	305	3	2
2014-03-26 03:32:33.165711	17345	20.7	1	8
2014-03-26 03:32:33.385897	17346	50	2	8
2014-03-26 03:32:48.459996	17347	18.6	1	1
2014-03-26 03:32:48.874608	17348	48	2	1
2014-03-26 22:23:32.967297	32181	305	3	2
2014-03-26 22:23:33.195318	32182	1088499.4947823987	4	2
2014-03-26 03:33:12.167253	17353	20.7	1	8
2014-03-26 03:33:12.397937	17354	50	2	8
2014-03-26 03:33:27.330783	17355	18.6	1	1
2014-03-26 03:33:27.552426	17356	48	2	1
2014-03-26 03:33:32.673305	17357	305	3	2
2014-03-26 22:23:33.503904	32183	21.9	1	8
2014-03-26 22:23:33.740634	32184	48	2	8
2014-03-26 03:33:51.168649	17362	20.7	1	8
2014-03-26 03:33:51.391054	17363	50	2	8
2014-03-26 03:34:06.329865	17364	18.6	1	1
2014-03-26 03:34:06.562867	17365	48	2	1
2014-03-26 22:23:47.684587	32185	20.2	1	1
2014-03-26 22:23:47.909622	32186	50	2	1
2014-03-26 03:34:30.164446	17370	20.7	1	8
2014-03-26 03:34:30.387363	17371	50	2	8
2014-03-26 03:34:32.671654	17372	305	3	2
2014-03-26 03:34:45.330883	17373	18.6	1	1
2014-03-26 03:34:45.553668	17374	48	2	1
2014-03-26 03:34:56.67334	17375	354	3	2
2014-03-26 22:23:56.557944	32187	338	3	2
2014-03-26 22:23:56.793572	32188	1088501.7928518415	4	2
2014-03-26 03:35:08.673695	17380	354	3	2
2014-03-26 03:35:09.165098	17381	20.7	1	8
2014-03-26 03:35:09.387671	17382	50	2	8
2014-03-26 03:35:24.32728	17383	18.6	1	1
2014-03-26 03:35:24.603655	17384	48	2	1
2014-03-26 03:35:32.674222	17385	354	3	2
2014-03-26 22:24:00.712746	32189	24.4	1	10
2014-03-26 22:24:00.937641	32190	41	2	10
2014-03-26 03:35:48.164811	17390	20.7	1	8
2014-03-26 03:35:48.387372	17391	50	2	8
2014-03-26 03:35:56.674573	17392	434	3	2
2014-03-26 03:36:03.325296	17393	18.6	1	1
2014-03-26 03:36:03.604616	17394	48	2	1
2014-03-26 03:36:08.67719	17395	434	3	2
2014-03-26 22:24:08.558967	32191	305	3	2
2014-03-26 22:24:08.79529	32192	1088502.941886563	4	2
2014-03-26 03:36:27.164544	17400	20.7	1	8
2014-03-26 03:36:27.395043	17401	50	2	8
2014-03-26 03:36:32.672497	17402	434	3	2
2014-03-26 03:36:42.327473	17403	18.6	1	1
2014-03-26 03:36:42.549448	17404	48	2	1
2014-03-26 22:24:11.045268	32193	22.0	1	9
2014-03-26 03:27:58.093362	17277	21.4	1	10
2014-03-26 03:27:58.315722	17278	48	2	10
2014-03-26 03:28:37.093201	17286	21.4	1	10
2014-03-26 03:28:37.316718	17287	48	2	10
2014-03-26 03:29:16.092666	17294	21.4	1	10
2014-03-26 03:29:16.328891	17295	48	2	10
2014-03-26 03:29:55.092217	17303	21.4	1	10
2014-03-26 03:29:55.313371	17304	48	2	10
2014-03-26 03:30:34.092049	17312	21.4	1	10
2014-03-26 03:30:34.314444	17313	48	2	10
2014-03-26 03:31:13.092084	17320	21.4	1	10
2014-03-26 03:31:13.314154	17321	48	2	10
2014-03-26 03:31:52.093148	17329	21.4	1	10
2014-03-26 03:31:52.317273	17330	48	2	10
2014-03-26 03:32:31.093123	17340	21.4	1	10
2014-03-26 03:32:31.314964	17341	48	2	10
2014-03-26 03:33:10.096018	17349	21.4	1	10
2014-03-26 03:33:10.339674	17350	48	2	10
2014-03-26 03:33:49.094002	17358	21.4	1	10
2014-03-26 03:33:49.319784	17359	48	2	10
2014-03-26 03:34:28.104107	17366	21.4	1	10
2014-03-26 03:34:28.328144	17367	48	2	10
2014-03-26 03:35:07.093446	17376	21.4	1	10
2014-03-26 03:35:07.327421	17377	48	2	10
2014-03-26 03:35:46.093264	17386	21.4	1	10
2014-03-26 03:35:46.335663	17387	48	2	10
2014-03-26 03:36:25.094528	17396	21.5	1	10
2014-03-26 03:36:25.335706	17397	48	2	10
2014-03-26 03:37:06.166091	17409	20.7	1	8
2014-03-26 03:37:06.387943	17410	50	2	8
2014-03-26 03:37:21.325454	17411	18.6	1	1
2014-03-26 03:37:21.557088	17412	48	2	1
2014-03-26 03:37:32.674594	17413	434	3	2
2014-03-26 22:24:11.269491	32194	47	2	9
2014-03-26 22:24:12.13414	32195	21.9	1	8
2014-03-26 03:37:45.165132	17418	20.7	1	8
2014-03-26 03:37:45.397475	17419	50	2	8
2014-03-26 03:38:00.327416	17420	18.6	1	1
2014-03-26 03:38:00.552431	17421	48	2	1
2014-03-26 22:24:12.366758	32196	48	2	8
2014-03-26 22:24:20.557435	32197	338	3	2
2014-03-26 03:38:24.165063	17426	20.7	1	8
2014-03-26 03:38:24.398678	17427	50	2	8
2014-03-26 03:38:32.6724	17428	434	3	2
2014-03-26 03:38:39.325138	17429	18.6	1	1
2014-03-26 03:38:39.54627	17430	48	2	1
2014-03-26 22:24:20.780928	32198	1088504.0909212844	4	2
2014-03-26 22:24:26.682126	32199	20.2	1	1
2014-03-26 03:39:03.166868	17435	20.7	1	8
2014-03-26 03:39:03.387832	17436	50	2	8
2014-03-26 03:39:18.327069	17437	18.6	1	1
2014-03-26 03:39:18.558713	17438	48	2	1
2014-03-26 03:39:20.67459	17439	370	3	2
2014-03-26 03:39:32.674833	17440	370	3	2
2014-03-26 22:24:26.919437	32200	50	2	1
2014-03-26 22:24:32.557792	32201	370	3	2
2014-03-26 03:39:42.164866	17445	20.7	1	8
2014-03-26 03:39:42.3986	17446	50	2	8
2014-03-26 03:39:57.321198	17447	18.6	1	1
2014-03-26 03:39:57.54358	17448	48	2	1
2014-03-26 22:24:32.78323	32202	1088505.239956006	4	2
2014-03-26 22:24:39.710574	32203	24.4	1	10
2014-03-26 03:40:21.165972	17453	20.7	1	8
2014-03-26 03:40:21.400973	17454	50	2	8
2014-03-26 03:40:32.674016	17455	370	3	2
2014-03-26 03:40:36.324383	17456	18.6	1	1
2014-03-26 03:40:36.547908	17457	48	2	1
2014-03-26 22:24:39.948437	32204	41	2	10
2014-03-26 22:24:44.557804	32205	370	3	2
2014-03-26 03:41:00.164731	17462	20.7	1	8
2014-03-26 03:41:00.38898	17463	50	2	8
2014-03-26 03:41:15.321904	17464	18.6	1	1
2014-03-26 03:41:15.555091	17465	48	2	1
2014-03-26 03:41:32.674396	17466	370	3	2
2014-03-26 22:24:44.783864	32206	1088506.3889907273	4	2
2014-03-26 22:24:50.045727	32207	21.9	1	9
2014-03-26 03:41:39.16524	17471	20.7	1	8
2014-03-26 03:41:39.395283	17472	50	2	8
2014-03-26 03:41:54.324115	17473	18.6	1	1
2014-03-26 03:41:54.547139	17474	48	2	1
2014-03-26 22:24:50.284044	32208	48	2	9
2014-03-26 22:24:51.134701	32209	21.9	1	8
2014-03-26 03:42:18.16468	17479	20.7	1	8
2014-03-26 03:42:18.397042	17480	50	2	8
2014-03-26 03:42:32.672491	17481	370	3	2
2014-03-26 03:42:33.321252	17482	18.6	1	1
2014-03-26 03:42:33.543225	17483	48	2	1
2014-03-26 22:24:51.35847	32210	48	2	8
2014-03-26 22:25:05.679956	32211	20.2	1	1
2014-03-26 03:42:57.293248	17488	20.7	1	8
2014-03-26 03:42:57.710035	17489	50	2	8
2014-03-26 03:43:12.321746	17490	18.6	1	1
2014-03-26 03:43:12.551895	17491	48	2	1
2014-03-26 03:43:32.673956	17492	370	3	2
2014-03-26 22:25:05.913859	32212	50	2	1
2014-03-26 22:25:18.711626	32213	24.4	1	10
2014-03-26 03:43:36.164689	17497	20.7	1	8
2014-03-26 03:43:36.386474	17498	50	2	8
2014-03-26 03:43:51.32207	17499	18.6	1	1
2014-03-26 03:43:51.54441	17500	48	2	1
2014-03-26 22:25:18.937071	32214	41	2	10
2014-03-26 22:25:29.047705	32215	21.9	1	9
2014-03-26 03:44:15.166206	17505	20.7	1	8
2014-03-26 03:44:15.3987	17506	50	2	8
2014-03-26 03:44:30.322424	17507	18.6	1	1
2014-03-26 03:44:30.54572	17508	48	2	1
2014-03-26 03:44:32.670225	17509	354	3	2
2014-03-26 22:25:29.28172	32216	48	2	9
2014-03-26 22:25:30.135456	32217	21.9	1	8
2014-03-26 03:44:54.16516	17514	20.7	1	8
2014-03-26 03:44:54.389298	17515	50	2	8
2014-03-26 03:45:09.321445	17516	18.6	1	1
2014-03-26 03:45:09.545066	17517	48	2	1
2014-03-26 22:25:30.361008	32218	48	2	8
2014-03-26 22:25:32.555773	32219	370	3	2
2014-03-26 03:45:32.672684	17522	370	3	2
2014-03-26 03:45:33.165466	17523	20.7	1	8
2014-03-26 03:45:33.389123	17524	50	2	8
2014-03-26 03:45:48.319619	17525	18.6	1	1
2014-03-26 03:45:48.545077	17526	47	2	1
2014-03-26 22:25:32.789798	32220	1088510.985129613	4	2
2014-03-26 22:25:44.681237	32221	20.2	1	1
2014-03-26 03:46:12.164565	17531	20.7	1	8
2014-03-26 03:46:12.407073	17532	50	2	8
2014-03-26 03:46:27.32213	17533	18.6	1	1
2014-03-26 03:46:27.546273	17534	47	2	1
2014-03-26 03:46:32.671304	17535	434	3	2
2014-03-26 03:46:44.673676	17536	434	3	2
2014-03-26 22:25:44.906232	32222	50	2	1
2014-03-26 03:46:51.16454	17541	20.7	1	8
2014-03-26 03:46:51.385739	17542	50	2	8
2014-03-26 03:47:06.323035	17543	18.6	1	1
2014-03-26 03:47:06.546456	17544	47	2	1
2014-03-26 03:37:43.095046	17414	21.5	1	10
2014-03-26 03:37:43.317384	17415	48	2	10
2014-03-26 03:38:22.098686	17422	21.5	1	10
2014-03-26 03:38:22.330664	17423	48	2	10
2014-03-26 03:39:01.095714	17431	21.5	1	10
2014-03-26 03:39:01.319841	17432	48	2	10
2014-03-26 03:39:40.095639	17441	21.5	1	10
2014-03-26 03:39:40.341653	17442	48	2	10
2014-03-26 03:40:19.095443	17449	21.5	1	10
2014-03-26 03:40:19.326951	17450	48	2	10
2014-03-26 03:40:58.096641	17458	21.5	1	10
2014-03-26 03:40:58.318407	17459	48	2	10
2014-03-26 03:41:37.097011	17467	21.5	1	10
2014-03-26 03:41:37.319565	17468	48	2	10
2014-03-26 03:42:16.097568	17475	21.5	1	10
2014-03-26 03:42:16.329782	17476	48	2	10
2014-03-26 03:42:55.098683	17484	21.5	1	10
2014-03-26 03:42:55.323325	17485	48	2	10
2014-03-26 03:43:34.107006	17493	21.5	1	10
2014-03-26 03:43:34.330047	17494	48	2	10
2014-03-26 03:44:13.100908	17501	21.5	1	10
2014-03-26 03:44:13.33443	17502	48	2	10
2014-03-26 03:44:52.098183	17510	21.5	1	10
2014-03-26 03:44:52.323442	17511	48	2	10
2014-03-26 03:45:31.279183	17518	21.5	1	10
2014-03-26 03:45:31.503879	17519	48	2	10
2014-03-26 03:46:10.097522	17527	21.5	1	10
2014-03-26 03:46:10.330426	17528	48	2	10
2014-03-26 22:25:57.711057	32223	24.4	1	10
2014-03-26 22:25:57.950434	32224	41	2	10
2014-03-26 03:47:30.165261	17549	20.7	1	8
2014-03-26 03:47:30.397406	17550	50	2	8
2014-03-26 03:47:45.122877	17551	418	3	2
2014-03-26 03:47:45.432285	17552	18.5	1	1
2014-03-26 03:47:45.654291	17553	47	2	1
2014-03-26 22:26:08.044672	32225	21.9	1	9
2014-03-26 22:26:08.272425	32226	48	2	9
2014-03-26 03:48:09.16515	17558	20.7	1	8
2014-03-26 03:48:09.388752	17559	50	2	8
2014-03-26 03:48:24.316327	17560	18.5	1	1
2014-03-26 03:48:24.546896	17561	47	2	1
2014-03-26 03:48:32.672846	17562	418	3	2
2014-03-26 22:26:09.136528	32227	21.9	1	8
2014-03-26 22:26:09.380887	32228	48	2	8
2014-03-26 03:48:48.165346	17567	20.7	1	8
2014-03-26 03:48:48.387771	17568	50	2	8
2014-03-26 03:49:03.322861	17569	18.5	1	1
2014-03-26 03:49:03.546969	17570	47	2	1
2014-03-26 22:26:20.555576	32229	402	3	2
2014-03-26 22:26:20.781012	32230	1088516.73030322	4	2
2014-03-26 03:49:27.166386	17575	20.7	1	8
2014-03-26 03:49:27.407867	17576	50	2	8
2014-03-26 03:49:32.67199	17577	418	3	2
2014-03-26 03:49:42.317458	17578	18.5	1	1
2014-03-26 03:49:42.540976	17579	47	2	1
2014-03-26 22:26:23.677011	32231	20.2	1	1
2014-03-26 22:26:23.912261	32232	50	2	1
2014-03-26 03:50:06.164309	17584	20.7	1	8
2014-03-26 03:50:06.388132	17585	50	2	8
2014-03-26 03:50:21.320662	17586	18.5	1	1
2014-03-26 03:50:21.555597	17587	47	2	1
2014-03-26 03:50:32.670978	17588	418	3	2
2014-03-26 22:26:32.559551	32233	402	3	2
2014-03-26 22:26:32.786475	32234	1088517.8793379413	4	2
2014-03-26 03:50:45.164918	17593	20.7	1	8
2014-03-26 03:50:45.388239	17594	50	2	8
2014-03-26 03:51:00.317203	17595	18.5	1	1
2014-03-26 03:51:00.540579	17596	47	2	1
2014-03-26 03:51:08.671648	17597	354	3	2
2014-03-26 03:51:20.674759	17598	354	3	2
2014-03-26 22:26:36.711104	32235	24.4	1	10
2014-03-26 22:26:36.944619	32236	41	2	10
2014-03-26 03:51:24.164743	17603	20.7	1	8
2014-03-26 03:51:24.386475	17604	50	2	8
2014-03-26 03:51:32.670814	17605	305	3	2
2014-03-26 03:51:39.316864	17606	18.5	1	1
2014-03-26 03:51:39.541515	17607	47	2	1
2014-03-26 03:51:44.670406	17608	305	3	2
2014-03-26 22:26:47.046266	32237	21.9	1	9
2014-03-26 22:26:47.271203	32238	48	2	9
2014-03-26 03:52:03.164289	17613	20.7	1	8
2014-03-26 03:52:03.386086	17614	50	2	8
2014-03-26 03:52:18.317804	17615	18.5	1	1
2014-03-26 03:52:18.550287	17616	47	2	1
2014-03-26 03:52:32.672182	17617	305	3	2
2014-03-26 22:26:48.133627	32239	21.9	1	8
2014-03-26 22:26:48.370304	32240	48	2	8
2014-03-26 03:52:42.165114	17622	20.7	1	8
2014-03-26 03:52:42.386991	17623	50	2	8
2014-03-26 03:52:57.317897	17624	18.5	1	1
2014-03-26 03:52:57.541552	17625	47	2	1
2014-03-26 22:26:56.557369	32241	370	3	2
2014-03-26 22:26:56.782388	32242	1088520.1774073842	4	2
2014-03-26 03:53:21.290021	17630	20.7	1	8
2014-03-26 03:53:21.729852	17631	50	2	8
2014-03-26 03:53:32.674611	17632	305	3	2
2014-03-26 03:53:36.315626	17633	18.5	1	1
2014-03-26 03:53:36.538035	17634	47	2	1
2014-03-26 22:27:02.680738	32243	20.2	1	1
2014-03-26 22:27:02.914582	32244	50	2	1
2014-03-26 03:54:00.165174	17639	20.7	1	8
2014-03-26 03:54:00.397753	17640	50	2	8
2014-03-26 03:54:15.356289	17641	18.5	1	1
2014-03-26 03:54:15.579448	17642	47	2	1
2014-03-26 03:54:32.672939	17643	305	3	2
2014-03-26 22:27:08.55586	32245	370	3	2
2014-03-26 22:27:08.781383	32246	1088521.3264421057	4	2
2014-03-26 03:54:39.165882	17648	20.7	1	8
2014-03-26 03:54:39.387714	17649	50	2	8
2014-03-26 03:54:54.315701	17650	18.5	1	1
2014-03-26 03:54:54.547199	17651	47	2	1
2014-03-26 22:27:15.711198	32247	24.4	1	10
2014-03-26 22:27:15.946586	32248	41	2	10
2014-03-26 03:55:18.165568	17656	20.7	1	8
2014-03-26 03:55:18.38841	17657	50	2	8
2014-03-26 03:55:33.119335	17658	305	3	2
2014-03-26 03:55:33.438171	17659	18.5	1	1
2014-03-26 03:55:33.661625	17660	47	2	1
2014-03-26 22:27:20.557833	32249	402	3	2
2014-03-26 22:27:20.782359	32250	1088522.475476827	4	2
2014-03-26 03:55:57.166553	17665	20.7	1	8
2014-03-26 03:55:57.410019	17666	50	2	8
2014-03-26 03:56:12.313574	17667	18.5	1	1
2014-03-26 03:56:12.53786	17668	47	2	1
2014-03-26 03:56:32.668651	17669	305	3	2
2014-03-26 22:27:26.045287	32251	21.9	1	9
2014-03-26 22:27:26.306312	32252	48	2	9
2014-03-26 22:27:27.134376	32253	21.9	1	8
2014-03-26 03:56:36.380218	17674	20.7	1	8
2014-03-26 03:56:36.604405	17675	50	2	8
2014-03-26 03:56:51.314649	17676	18.5	1	1
2014-03-26 03:56:51.548612	17677	47	2	1
2014-03-26 03:47:28.098777	17545	21.5	1	10
2014-03-26 03:47:28.333374	17546	48	2	10
2014-03-26 03:48:07.098792	17554	21.5	1	10
2014-03-26 03:48:07.322716	17555	48	2	10
2014-03-26 03:48:46.099292	17563	21.5	1	10
2014-03-26 03:48:46.324282	17564	48	2	10
2014-03-26 03:49:25.100415	17571	21.5	1	10
2014-03-26 03:49:25.323459	17572	48	2	10
2014-03-26 03:50:04.099528	17580	21.5	1	10
2014-03-26 03:50:04.323844	17581	48	2	10
2014-03-26 03:50:43.098861	17589	21.5	1	10
2014-03-26 03:50:43.324578	17590	48	2	10
2014-03-26 03:51:22.100571	17599	21.5	1	10
2014-03-26 03:51:22.323431	17600	48	2	10
2014-03-26 03:52:01.09955	17609	21.5	1	10
2014-03-26 03:52:01.32337	17610	48	2	10
2014-03-26 03:52:40.100749	17618	21.5	1	10
2014-03-26 03:52:40.343177	17619	48	2	10
2014-03-26 03:53:19.230084	17626	21.5	1	10
2014-03-26 03:53:19.649012	17627	48	2	10
2014-03-26 03:53:58.099969	17635	21.5	1	10
2014-03-26 03:53:58.333935	17636	48	2	10
2014-03-26 03:54:37.104013	17644	21.5	1	10
2014-03-26 03:54:37.327473	17645	48	2	10
2014-03-26 03:55:16.100399	17652	21.5	1	10
2014-03-26 03:55:16.329573	17653	48	2	10
2014-03-26 03:55:55.102511	17661	21.5	1	10
2014-03-26 03:55:55.336568	17662	48	2	10
2014-03-26 03:56:34.101897	17670	21.5	1	10
2014-03-26 22:27:27.357796	32254	48	2	8
2014-03-26 03:57:15.164844	17682	20.7	1	8
2014-03-26 03:57:15.386536	17683	50	2	8
2014-03-26 03:57:30.31432	17684	18.5	1	1
2014-03-26 03:57:30.545864	17685	47	2	1
2014-03-26 03:57:32.673563	17686	305	3	2
2014-03-26 22:27:32.556559	32255	402	3	2
2014-03-26 22:27:32.793615	32256	1088523.6245115486	4	2
2014-03-26 03:57:54.164001	17691	20.7	1	8
2014-03-26 03:57:54.394475	17692	50	2	8
2014-03-26 03:58:09.314577	17693	18.5	1	1
2014-03-26 03:58:09.543251	17694	47	2	1
2014-03-26 22:27:41.677455	32257	20.2	1	1
2014-03-26 22:27:41.906232	32258	50	2	1
2014-03-26 03:58:32.673472	17699	305	3	2
2014-03-26 03:58:33.164518	17700	20.7	1	8
2014-03-26 03:58:33.387013	17701	50	2	8
2014-03-26 03:58:48.31528	17702	18.5	1	1
2014-03-26 03:58:48.545938	17703	47	2	1
2014-03-26 03:58:56.671025	17704	354	3	2
2014-03-26 03:59:08.66951	17705	354	3	2
2014-03-26 22:27:54.712939	32259	24.4	1	10
2014-03-26 22:27:54.946305	32260	41	2	10
2014-03-26 03:59:12.16426	17710	20.7	1	8
2014-03-26 03:59:12.410122	17711	50	2	8
2014-03-26 03:59:27.314738	17712	18.5	1	1
2014-03-26 03:59:27.537236	17713	47	2	1
2014-03-26 03:59:32.670159	17714	354	3	2
2014-03-26 22:28:05.045389	32261	21.9	1	9
2014-03-26 22:28:05.269607	32262	48	2	9
2014-03-26 03:59:51.168467	17719	20.7	1	8
2014-03-26 03:59:51.392796	17720	50	2	8
2014-03-26 04:00:06.314493	17721	18.5	1	1
2014-03-26 04:00:06.547362	17722	47	2	1
2014-03-26 22:28:06.135361	32263	21.9	1	8
2014-03-26 22:28:06.368763	32264	48	2	8
2014-03-26 04:00:30.165315	17727	20.7	1	8
2014-03-26 04:00:30.387786	17728	50	2	8
2014-03-26 04:00:32.670777	17729	354	3	2
2014-03-26 04:00:45.315431	17730	18.5	1	1
2014-03-26 04:00:45.539216	17731	47	2	1
2014-03-26 22:28:08.55645	32265	370	3	2
2014-03-26 22:28:08.781654	32266	1088527.076086665	4	2
2014-03-26 04:01:09.164163	17736	20.7	1	8
2014-03-26 04:01:09.394169	17737	50	2	8
2014-03-26 04:01:24.315827	17738	18.5	1	1
2014-03-26 04:01:24.537544	17739	47	2	1
2014-03-26 04:01:32.672506	17740	354	3	2
2014-03-26 22:28:20.915003	32267	20.2	1	1
2014-03-26 22:28:21.150313	32268	50	2	1
2014-03-26 04:01:48.164408	17745	20.7	1	8
2014-03-26 04:01:48.387633	17746	50	2	8
2014-03-26 04:02:03.312921	17747	18.5	1	1
2014-03-26 04:02:03.546837	17748	47	2	1
2014-03-26 22:28:32.55531	32269	370	3	2
2014-03-26 22:28:32.782719	32270	1088529.374156108	4	2
2014-03-26 04:02:27.163808	17753	20.7	1	8
2014-03-26 04:02:27.406667	17754	50	2	8
2014-03-26 04:02:32.669904	17755	354	3	2
2014-03-26 04:02:42.312376	17756	18.5	1	1
2014-03-26 04:02:42.535577	17757	47	2	1
2014-03-26 22:28:33.714027	32271	24.4	1	10
2014-03-26 22:28:33.94751	32272	41	2	10
2014-03-26 04:03:06.163665	17762	20.7	1	8
2014-03-26 04:03:06.385062	17763	50	2	8
2014-03-26 04:03:21.311106	17764	18.5	1	1
2014-03-26 04:03:21.534723	17765	47	2	1
2014-03-26 04:03:32.8017	17766	354	3	2
2014-03-26 22:28:44.045765	32273	21.9	1	9
2014-03-26 22:28:44.270585	32274	48	2	9
2014-03-26 04:03:45.164371	17771	20.7	1	8
2014-03-26 04:03:45.385778	17772	50	2	8
2014-03-26 04:04:00.312256	17773	18.5	1	1
2014-03-26 04:04:00.543845	17774	47	2	1
2014-03-26 04:04:08.673744	17775	305	3	2
2014-03-26 04:04:20.67137	17776	305	3	2
2014-03-26 22:28:44.579862	32275	402	3	2
2014-03-26 22:28:44.825108	32276	1088530.5231908292	4	2
2014-03-26 04:04:24.166032	17781	20.7	1	8
2014-03-26 04:04:24.399359	17782	50	2	8
2014-03-26 04:04:32.672478	17783	305	3	2
2014-03-26 04:04:39.309485	17784	18.5	1	1
2014-03-26 04:04:39.536533	17785	47	2	1
2014-03-26 22:28:45.134113	32277	21.9	1	8
2014-03-26 22:28:45.357383	32278	48	2	8
2014-03-26 04:05:03.164721	17790	20.7	1	8
2014-03-26 04:05:03.388754	17791	50	2	8
2014-03-26 04:05:18.312695	17792	18.5	1	1
2014-03-26 04:05:18.546274	17793	47	2	1
2014-03-26 04:05:32.670944	17794	338	3	2
2014-03-26 22:28:56.556642	32279	370	3	2
2014-03-26 22:28:56.794267	32280	1088531.6722255505	4	2
2014-03-26 04:05:42.167455	17799	20.7	1	8
2014-03-26 04:05:42.416715	17800	50	2	8
2014-03-26 04:05:44.672175	17801	338	3	2
2014-03-26 04:05:57.306633	17802	18.5	1	1
2014-03-26 04:05:57.528096	17803	47	2	1
2014-03-26 22:28:59.680063	32281	20.2	1	1
2014-03-26 22:28:59.904985	32282	50	2	1
2014-03-26 04:06:21.165496	17808	20.7	1	8
2014-03-26 04:06:21.390391	17809	50	2	8
2014-03-26 04:06:32.671011	17810	338	3	2
2014-03-26 04:06:36.368044	17811	18.5	1	1
2014-03-26 04:06:36.590617	17812	47	2	1
2014-03-26 04:06:56.672966	17813	305	3	2
2014-03-26 03:57:52.102072	17687	21.5	1	10
2014-03-26 03:57:52.326726	17688	48	2	10
2014-03-26 03:58:31.102819	17695	21.5	1	10
2014-03-26 03:58:31.334289	17696	48	2	10
2014-03-26 03:59:10.102461	17706	21.5	1	10
2014-03-26 03:59:10.334971	17707	48	2	10
2014-03-26 03:59:49.104868	17715	21.6	1	10
2014-03-26 03:59:49.326802	17716	48	2	10
2014-03-26 04:00:28.102468	17723	21.6	1	10
2014-03-26 04:00:28.327706	17724	48	2	10
2014-03-26 04:01:07.103506	17732	21.6	1	10
2014-03-26 04:01:07.329537	17733	48	2	10
2014-03-26 04:01:46.102774	17741	21.6	1	10
2014-03-26 04:01:46.327159	17742	48	2	10
2014-03-26 04:02:25.104122	17749	21.6	1	10
2014-03-26 04:02:25.328128	17750	48	2	10
2014-03-26 04:03:04.104091	17758	21.6	1	10
2014-03-26 04:03:04.38378	17759	48	2	10
2014-03-26 04:03:43.104964	17767	21.6	1	10
2014-03-26 04:03:43.328115	17768	48	2	10
2014-03-26 04:04:22.103392	17777	21.6	1	10
2014-03-26 04:04:22.338464	17778	48	2	10
2014-03-26 04:05:01.108797	17786	21.6	1	10
2014-03-26 04:05:01.334417	17787	48	2	10
2014-03-26 04:05:40.108001	17795	21.6	1	10
2014-03-26 04:05:40.334145	17796	48	2	10
2014-03-26 04:06:19.105218	17804	21.6	1	10
2014-03-26 04:06:19.333635	17805	48	2	10
2014-03-26 22:29:08.555743	32283	370	3	2
2014-03-26 04:07:00.168807	17818	20.7	1	8
2014-03-26 04:07:00.406812	17819	50	2	8
2014-03-26 04:07:08.667748	17820	338	3	2
2014-03-26 04:07:15.306069	17821	18.5	1	1
2014-03-26 04:07:15.531428	17822	47	2	1
2014-03-26 04:07:20.669038	17823	338	3	2
2014-03-26 04:07:32.66733	17824	338	3	2
2014-03-26 22:29:08.793652	32284	1088532.821260272	4	2
2014-03-26 22:29:12.712473	32285	24.4	1	10
2014-03-26 04:07:39.16542	17829	20.7	1	8
2014-03-26 04:07:39.398104	17830	50	2	8
2014-03-26 04:07:54.307876	17831	18.5	1	1
2014-03-26 04:07:54.533748	17832	47	2	1
2014-03-26 22:29:12.936818	32286	41	2	10
2014-03-26 22:29:20.554871	32287	338	3	2
2014-03-26 04:08:18.164489	17837	20.7	1	8
2014-03-26 04:08:18.397241	17838	50	2	8
2014-03-26 04:08:32.673616	17839	338	3	2
2014-03-26 04:08:33.3101	17840	18.5	1	1
2014-03-26 04:08:33.534732	17841	47	2	1
2014-03-26 22:29:20.790792	32288	1088533.9702949934	4	2
2014-03-26 22:29:23.04481	32289	21.9	1	9
2014-03-26 04:08:57.164606	17846	20.7	1	8
2014-03-26 04:08:57.385234	17847	50	2	8
2014-03-26 04:09:12.309768	17848	18.4	1	1
2014-03-26 04:09:12.535197	17849	47	2	1
2014-03-26 04:09:32.669797	17850	338	3	2
2014-03-26 22:29:23.271888	32290	48	2	9
2014-03-26 22:29:24.134172	32291	21.9	1	8
2014-03-26 04:09:36.163964	17855	20.7	1	8
2014-03-26 04:09:36.422863	17856	50	2	8
2014-03-26 04:09:44.669378	17857	305	3	2
2014-03-26 04:09:51.306772	17858	18.4	1	1
2014-03-26 04:09:51.529468	17859	47	2	1
2014-03-26 04:09:56.670543	17860	338	3	2
2014-03-26 04:10:08.668262	17861	338	3	2
2014-03-26 22:29:24.370605	32292	48	2	8
2014-03-26 22:29:32.555068	32293	338	3	2
2014-03-26 04:10:15.164982	17866	20.7	1	8
2014-03-26 04:10:15.390037	17867	50	2	8
2014-03-26 04:10:30.307755	17868	18.4	1	1
2014-03-26 04:10:30.540863	17869	47	2	1
2014-03-26 04:10:32.670712	17870	338	3	2
2014-03-26 22:29:32.780963	32294	1088535.119329715	4	2
2014-03-26 22:29:38.678535	32295	20.2	1	1
2014-03-26 04:10:54.167264	17875	20.7	1	8
2014-03-26 04:10:54.39822	17876	50	2	8
2014-03-26 04:11:09.304001	17877	18.4	1	1
2014-03-26 04:11:09.535499	17878	47	2	1
2014-03-26 22:29:38.91595	32296	50	2	1
2014-03-26 22:29:51.712896	32297	24.4	1	10
2014-03-26 04:11:32.670028	17883	370	3	2
2014-03-26 04:11:33.164896	17884	20.7	1	8
2014-03-26 04:11:33.388893	17885	50	2	8
2014-03-26 04:11:44.671768	17886	370	3	2
2014-03-26 04:11:48.310565	17887	18.4	1	1
2014-03-26 04:11:48.543189	17888	47	2	1
2014-03-26 22:29:51.938748	32298	41	2	10
2014-03-26 22:30:02.045412	32299	21.8	1	9
2014-03-26 04:12:12.165925	17893	20.7	1	8
2014-03-26 04:12:12.39056	17894	50	2	8
2014-03-26 04:12:27.304546	17895	18.4	1	1
2014-03-26 04:12:27.730218	17896	47	2	1
2014-03-26 04:12:32.6687	17897	354	3	2
2014-03-26 22:30:02.2796	32300	48	2	9
2014-03-26 22:30:03.134647	32301	21.9	1	8
2014-03-26 04:12:51.163063	17902	20.7	1	8
2014-03-26 04:12:51.393835	17903	50	2	8
2014-03-26 04:13:06.303029	17904	18.4	1	1
2014-03-26 04:13:06.526394	17905	47	2	1
2014-03-26 22:30:03.358217	32302	48	2	8
2014-03-26 22:30:17.676872	32303	20.2	1	1
2014-03-26 04:13:30.16432	17910	20.7	1	8
2014-03-26 04:13:30.394955	17911	50	2	8
2014-03-26 04:13:32.67303	17912	354	3	2
2014-03-26 04:13:45.42997	17913	18.4	1	1
2014-03-26 04:13:45.850003	17914	47	2	1
2014-03-26 22:30:17.911392	32304	50	2	1
2014-03-26 22:30:30.712692	32305	24.4	1	10
2014-03-26 04:14:09.162456	17919	20.7	1	8
2014-03-26 04:14:09.382774	17920	50	2	8
2014-03-26 04:14:24.305909	17921	18.4	1	1
2014-03-26 04:14:24.536359	17922	47	2	1
2014-03-26 04:14:32.669831	17923	354	3	2
2014-03-26 22:30:30.935759	32306	41	2	10
2014-03-26 22:30:32.557206	32307	338	3	2
2014-03-26 04:14:48.163195	17928	20.7	1	8
2014-03-26 04:14:48.39401	17929	50	2	8
2014-03-26 04:15:03.305018	17930	18.4	1	1
2014-03-26 04:15:03.528077	17931	47	2	1
2014-03-26 22:30:32.790662	32308	1088540.864503322	4	2
2014-03-26 22:30:41.047702	32309	21.8	1	9
2014-03-26 04:15:27.163658	17936	20.7	1	8
2014-03-26 04:15:27.394919	17937	50	2	8
2014-03-26 04:15:32.67019	17938	354	3	2
2014-03-26 04:15:42.302616	17939	18.4	1	1
2014-03-26 04:15:42.544272	17940	47	2	1
2014-03-26 22:30:41.271613	32310	48	2	9
2014-03-26 04:16:06.165457	17945	20.6	1	8
2014-03-26 04:16:06.387119	17946	50	2	8
2014-03-26 04:16:08.668052	17947	305	3	2
2014-03-26 04:16:20.66972	17948	305	3	2
2014-03-26 04:16:21.302435	17949	18.4	1	1
2014-03-26 04:16:21.526333	17950	47	2	1
2014-03-26 04:16:32.671409	17951	305	3	2
2014-03-26 04:07:37.113099	17825	21.6	1	10
2014-03-26 04:07:37.348667	17826	48	2	10
2014-03-26 04:08:16.107788	17833	21.6	1	10
2014-03-26 04:08:16.341406	17834	47	2	10
2014-03-26 04:08:55.106539	17842	21.6	1	10
2014-03-26 04:08:55.330381	17843	47	2	10
2014-03-26 04:09:34.106003	17851	21.6	1	10
2014-03-26 04:09:34.326304	17852	47	2	10
2014-03-26 04:10:13.10673	17862	21.6	1	10
2014-03-26 04:10:13.329688	17863	47	2	10
2014-03-26 04:10:52.108408	17871	21.6	1	10
2014-03-26 04:10:52.338419	17872	47	2	10
2014-03-26 04:11:31.106533	17879	21.6	1	10
2014-03-26 04:11:31.341435	17880	47	2	10
2014-03-26 04:12:10.1073	17889	21.6	1	10
2014-03-26 04:12:10.335634	17890	47	2	10
2014-03-26 04:12:49.107323	17898	21.6	1	10
2014-03-26 04:12:49.337626	17899	47	2	10
2014-03-26 04:13:28.107717	17906	21.6	1	10
2014-03-26 04:13:28.339533	17907	47	2	10
2014-03-26 04:14:07.106148	17915	21.6	1	10
2014-03-26 04:14:07.326622	17916	47	2	10
2014-03-26 04:14:46.107109	17924	21.6	1	10
2014-03-26 04:14:46.336796	17925	47	2	10
2014-03-26 04:15:25.11003	17932	21.6	1	10
2014-03-26 04:15:25.343016	17933	47	2	10
2014-03-26 04:16:04.109185	17941	21.6	1	10
2014-03-26 22:30:42.133373	32311	21.9	1	8
2014-03-26 22:30:42.369395	32312	48	2	8
2014-03-26 04:16:45.162579	17956	20.6	1	8
2014-03-26 04:16:45.38633	17957	50	2	8
2014-03-26 04:17:00.543929	17958	18.4	1	1
2014-03-26 04:17:00.77669	17959	47	2	1
2014-03-26 22:30:56.687574	32313	20.2	1	1
2014-03-26 22:30:56.912515	32314	50	2	1
2014-03-26 04:17:24.163333	17964	20.6	1	8
2014-03-26 04:17:24.386188	17965	50	2	8
2014-03-26 04:17:32.668631	17966	305	3	2
2014-03-26 04:17:39.299623	17967	18.4	1	1
2014-03-26 04:17:39.526905	17968	47	2	1
2014-03-26 22:31:09.712117	32315	24.4	1	10
2014-03-26 22:31:09.947258	32316	41	2	10
2014-03-26 04:18:03.163867	17973	20.6	1	8
2014-03-26 04:18:03.394152	17974	50	2	8
2014-03-26 04:18:18.305034	17975	18.4	1	1
2014-03-26 04:18:18.527873	17976	47	2	1
2014-03-26 04:18:32.671928	17977	305	3	2
2014-03-26 22:31:20.044991	32317	21.8	1	9
2014-03-26 22:31:20.270563	32318	48	2	9
2014-03-26 04:18:42.164236	17982	20.6	1	8
2014-03-26 04:18:42.389644	17983	50	2	8
2014-03-26 04:18:57.301501	17984	18.4	1	1
2014-03-26 04:18:57.54298	17985	47	2	1
2014-03-26 22:31:21.135337	32319	21.9	1	8
2014-03-26 22:31:21.369342	32320	48	2	8
2014-03-26 04:19:21.163165	17990	20.6	1	8
2014-03-26 04:19:21.385243	17991	50	2	8
2014-03-26 04:19:32.666631	17992	305	3	2
2014-03-26 04:19:36.300178	17993	18.4	1	1
2014-03-26 04:19:36.52244	17994	47	2	1
2014-03-26 22:31:32.555269	32321	338	3	2
2014-03-26 22:31:32.77952	32322	1088546.609676929	4	2
2014-03-26 04:20:00.163929	17999	20.6	1	8
2014-03-26 04:20:00.385995	18000	50	2	8
2014-03-26 04:20:15.299936	18001	18.4	1	1
2014-03-26 04:20:15.523871	18002	47	2	1
2014-03-26 04:20:32.667299	18003	305	3	2
2014-03-26 22:31:35.678965	32323	20.2	1	1
2014-03-26 22:31:35.930604	32324	50	2	1
2014-03-26 04:20:39.162816	18008	20.6	1	8
2014-03-26 04:20:39.395418	18009	50	2	8
2014-03-26 04:20:54.299827	18010	18.4	1	1
2014-03-26 04:20:54.521419	18011	47	2	1
2014-03-26 22:31:48.714189	32325	24.4	1	10
2014-03-26 22:31:48.93962	32326	41	2	10
2014-03-26 04:21:18.166114	18016	20.6	1	8
2014-03-26 04:21:18.396462	18017	50	2	8
2014-03-26 04:21:32.667746	18018	305	3	2
2014-03-26 04:21:33.300532	18019	18.4	1	1
2014-03-26 04:21:33.521011	18020	47	2	1
2014-03-26 22:31:59.046421	32327	21.8	1	9
2014-03-26 22:31:59.281302	32328	48	2	9
2014-03-26 04:21:57.499822	18025	20.6	1	8
2014-03-26 04:21:57.722682	18026	50	2	8
2014-03-26 04:22:12.303298	18027	18.4	1	1
2014-03-26 04:22:12.535051	18028	47	2	1
2014-03-26 04:22:32.66856	18029	305	3	2
2014-03-26 22:32:00.135897	32329	21.8	1	8
2014-03-26 22:32:00.360553	32330	48	2	8
2014-03-26 04:22:36.163724	18034	20.6	1	8
2014-03-26 04:22:36.395714	18035	50	2	8
2014-03-26 04:22:51.29903	18036	18.4	1	1
2014-03-26 04:22:51.523771	18037	47	2	1
2014-03-26 22:32:14.674744	32331	20.2	1	1
2014-03-26 22:32:14.908852	32332	50	2	1
2014-03-26 04:23:15.163717	18042	20.6	1	8
2014-03-26 04:23:15.396697	18043	50	2	8
2014-03-26 04:23:30.297481	18044	18.4	1	1
2014-03-26 04:23:30.520975	18045	47	2	1
2014-03-26 04:23:32.665888	18046	354	3	2
2014-03-26 04:23:44.667535	18047	354	3	2
2014-03-26 22:32:27.712011	32333	24.4	1	10
2014-03-26 22:32:27.937445	32334	41	2	10
2014-03-26 04:23:54.28994	18052	20.6	1	8
2014-03-26 04:23:54.712082	18053	50	2	8
2014-03-26 04:24:09.300276	18054	18.4	1	1
2014-03-26 04:24:09.521588	18055	47	2	1
2014-03-26 22:32:32.557796	32335	338	3	2
2014-03-26 22:32:32.791384	32336	1088552.354850536	4	2
2014-03-26 04:24:32.963344	18060	354	3	2
2014-03-26 04:24:33.279273	18061	20.6	1	8
2014-03-26 04:24:33.50115	18062	50	2	8
2014-03-26 04:24:48.29875	18063	18.4	1	1
2014-03-26 04:24:48.528602	18064	47	2	1
2014-03-26 22:32:38.045177	32337	21.8	1	9
2014-03-26 22:32:38.272761	32338	48	2	9
2014-03-26 04:25:12.167531	18069	20.6	1	8
2014-03-26 04:25:12.389965	18070	50	2	8
2014-03-26 04:25:27.300589	18071	18.4	1	1
2014-03-26 04:25:27.53201	18072	47	2	1
2014-03-26 04:25:32.667377	18073	354	3	2
2014-03-26 22:32:39.134286	32339	21.8	1	8
2014-03-26 22:32:39.370891	32340	48	2	8
2014-03-26 04:25:51.163918	18078	20.6	1	8
2014-03-26 04:25:51.384473	18079	50	2	8
2014-03-26 04:26:06.295291	18080	18.4	1	1
2014-03-26 04:26:06.517302	18081	47	2	1
2014-03-26 04:26:30.163421	18086	20.6	1	8
2014-03-26 04:26:30.393974	18087	50	2	8
2014-03-26 04:26:32.670617	18088	354	3	2
2014-03-26 04:16:43.340083	17953	47	2	10
2014-03-26 04:17:22.109105	17960	21.6	1	10
2014-03-26 04:17:22.331797	17961	47	2	10
2014-03-26 04:18:01.109432	17969	21.6	1	10
2014-03-26 04:18:01.330795	17970	47	2	10
2014-03-26 04:18:40.108635	17978	21.6	1	10
2014-03-26 04:18:40.329681	17979	47	2	10
2014-03-26 04:19:19.109804	17986	21.6	1	10
2014-03-26 04:19:19.332248	17987	47	2	10
2014-03-26 04:19:58.108825	17995	21.6	1	10
2014-03-26 04:19:58.330432	17996	47	2	10
2014-03-26 04:20:37.109928	18004	21.6	1	10
2014-03-26 04:20:37.341309	18005	47	2	10
2014-03-26 04:21:16.111574	18012	21.6	1	10
2014-03-26 04:21:16.343746	18013	47	2	10
2014-03-26 04:21:55.109034	18021	21.6	1	10
2014-03-26 04:21:55.333411	18022	47	2	10
2014-03-26 04:22:34.109245	18030	21.6	1	10
2014-03-26 04:22:34.352789	18031	47	2	10
2014-03-26 04:23:13.109322	18038	21.6	1	10
2014-03-26 04:23:13.342131	18039	47	2	10
2014-03-26 04:23:52.240044	18048	21.6	1	10
2014-03-26 04:23:52.659998	18049	47	2	10
2014-03-26 04:24:31.112172	18056	21.6	1	10
2014-03-26 04:24:31.33399	18057	47	2	10
2014-03-26 04:25:10.111588	18065	21.6	1	10
2014-03-26 04:25:10.333809	18066	47	2	10
2014-03-26 04:25:49.111012	18074	21.6	1	10
2014-03-26 04:25:49.334599	18075	47	2	10
2014-03-26 04:26:28.114975	18082	21.6	1	10
2014-03-26 04:26:45.299722	18089	18.4	1	1
2014-03-26 04:26:45.523123	18090	47	2	1
2014-03-26 22:32:53.674704	32341	20.2	1	1
2014-03-26 22:32:53.900343	32342	50	2	1
2014-03-26 04:27:09.164589	18095	20.6	1	8
2014-03-26 04:27:09.386116	18096	50	2	8
2014-03-26 04:27:24.297379	18097	18.4	1	1
2014-03-26 04:27:24.533617	18098	47	2	1
2014-03-26 04:27:32.666709	18099	354	3	2
2014-03-26 22:33:06.714163	32343	24.4	1	10
2014-03-26 22:33:06.9481	32344	41	2	10
2014-03-26 04:27:48.163416	18104	20.6	1	8
2014-03-26 04:27:48.386144	18105	50	2	8
2014-03-26 04:28:03.295436	18106	18.4	1	1
2014-03-26 04:28:03.51789	18107	47	2	1
2014-03-26 22:33:17.045007	32345	21.8	1	9
2014-03-26 22:33:17.269759	32346	48	2	9
2014-03-26 04:28:27.163437	18112	20.6	1	8
2014-03-26 04:28:27.396544	18113	50	2	8
2014-03-26 04:28:32.665605	18114	305	3	2
2014-03-26 04:28:42.297733	18115	18.3	1	1
2014-03-26 04:28:42.533057	18116	46	2	1
2014-03-26 04:28:44.668759	18117	305	3	2
2014-03-26 22:33:18.134805	32347	21.8	1	8
2014-03-26 22:33:18.368114	32348	48	2	8
2014-03-26 04:29:06.163129	18122	20.6	1	8
2014-03-26 04:29:06.394357	18123	50	2	8
2014-03-26 04:29:21.294822	18124	18.3	1	1
2014-03-26 04:29:21.516713	18125	46	2	1
2014-03-26 04:29:32.670931	18126	305	3	2
2014-03-26 22:33:32.914651	32349	20.2	1	1
2014-03-26 22:33:33.139092	32350	50	2	1
2014-03-26 04:29:45.163221	18131	20.6	1	8
2014-03-26 04:29:45.385399	18132	50	2	8
2014-03-26 04:30:00.29624	18133	18.3	1	1
2014-03-26 04:30:00.518785	18134	46	2	1
2014-03-26 22:33:45.713388	32351	24.4	1	10
2014-03-26 22:33:45.948427	32352	41	2	10
2014-03-26 04:30:24.163192	18139	20.6	1	8
2014-03-26 04:30:24.384481	18140	50	2	8
2014-03-26 04:30:32.671355	18141	305	3	2
2014-03-26 04:30:39.294709	18142	18.3	1	1
2014-03-26 04:30:39.516987	18143	46	2	1
2014-03-26 22:33:56.044462	32353	21.8	1	9
2014-03-26 22:33:56.269357	32354	48	2	9
2014-03-26 04:31:03.491973	18148	20.6	1	8
2014-03-26 04:31:03.715479	18149	50	2	8
2014-03-26 04:31:18.292628	18150	18.3	1	1
2014-03-26 04:31:18.514457	18151	46	2	1
2014-03-26 04:31:32.669651	18152	305	3	2
2014-03-26 22:33:56.580084	32355	402	3	2
2014-03-26 22:33:56.81494	32356	1088561.5471283074	4	2
2014-03-26 04:31:42.162519	18157	20.6	1	8
2014-03-26 04:31:42.384656	18158	50	2	8
2014-03-26 04:31:57.294031	18159	18.3	1	1
2014-03-26 04:31:57.526531	18160	46	2	1
2014-03-26 22:33:57.134294	32357	21.8	1	8
2014-03-26 22:33:57.35767	32358	48	2	8
2014-03-26 04:32:21.165203	18165	20.6	1	8
2014-03-26 04:32:21.385814	18166	50	2	8
2014-03-26 04:32:32.667296	18167	305	3	2
2014-03-26 04:32:36.291884	18168	18.3	1	1
2014-03-26 04:32:36.513948	18169	46	2	1
2014-03-26 22:34:08.555399	32359	402	3	2
2014-03-26 22:34:08.791587	32360	1088562.6961630287	4	2
2014-03-26 04:33:00.162821	18174	20.6	1	8
2014-03-26 04:33:00.449375	18175	50	2	8
2014-03-26 04:33:15.293015	18176	18.3	1	1
2014-03-26 04:33:15.670907	18177	46	2	1
2014-03-26 04:33:32.666157	18178	305	3	2
2014-03-26 22:34:11.677991	32361	20.2	1	1
2014-03-26 22:34:11.902062	32362	50	2	1
2014-03-26 04:33:39.16191	18183	20.6	1	8
2014-03-26 04:33:39.386081	18184	50	2	8
2014-03-26 04:33:54.291369	18185	18.3	1	1
2014-03-26 04:33:54.52503	18186	46	2	1
2014-03-26 04:34:08.800072	18187	370	3	2
2014-03-26 22:34:24.716357	32363	24.4	1	10
2014-03-26 22:34:24.952325	32364	41	2	10
2014-03-26 04:34:18.306408	18192	20.6	1	8
2014-03-26 04:34:18.771168	18193	50	2	8
2014-03-26 04:34:20.791138	18194	370	3	2
2014-03-26 04:34:32.668661	18195	370	3	2
2014-03-26 04:34:33.296055	18196	18.3	1	1
2014-03-26 04:34:33.529303	18197	46	2	1
2014-03-26 22:34:32.555492	32365	418	3	2
2014-03-26 22:34:32.782818	32366	1088564.9942324716	4	2
2014-03-26 04:34:57.163819	18202	20.6	1	8
2014-03-26 04:34:57.387712	18203	50	2	8
2014-03-26 04:35:12.295501	18204	18.3	1	1
2014-03-26 04:35:12.528545	18205	46	2	1
2014-03-26 04:35:32.668479	18206	370	3	2
2014-03-26 22:34:35.045896	32367	21.8	1	9
2014-03-26 22:34:35.286115	32368	48	2	9
2014-03-26 04:35:36.162433	18211	20.6	1	8
2014-03-26 04:35:36.385915	18212	50	2	8
2014-03-26 04:35:44.668301	18213	402	3	2
2014-03-26 04:35:51.289079	18214	18.3	1	1
2014-03-26 04:35:51.514578	18215	46	2	1
2014-03-26 04:35:56.66768	18216	434	3	2
2014-03-26 04:36:08.667	18217	434	3	2
2014-03-26 22:34:36.134433	32369	21.8	1	8
2014-03-26 04:36:15.162571	18222	20.6	1	8
2014-03-26 04:36:15.394171	18223	50	2	8
2014-03-26 04:36:30.33418	18224	18.3	1	1
2014-03-26 04:27:07.113502	18091	21.6	1	10
2014-03-26 04:27:07.334785	18092	47	2	10
2014-03-26 04:27:46.111582	18100	21.6	1	10
2014-03-26 04:27:46.33592	18101	47	2	10
2014-03-26 04:28:25.110595	18108	21.6	1	10
2014-03-26 04:28:25.342439	18109	47	2	10
2014-03-26 04:29:04.112552	18118	21.6	1	10
2014-03-26 04:29:04.334298	18119	47	2	10
2014-03-26 04:29:43.11118	18127	21.6	1	10
2014-03-26 04:29:43.353818	18128	47	2	10
2014-03-26 04:30:22.112473	18135	21.6	1	10
2014-03-26 04:30:22.335643	18136	47	2	10
2014-03-26 04:31:01.112159	18144	21.6	1	10
2014-03-26 04:31:01.335416	18145	47	2	10
2014-03-26 04:31:40.112947	18153	21.6	1	10
2014-03-26 04:31:40.33571	18154	47	2	10
2014-03-26 04:32:19.114559	18161	21.6	1	10
2014-03-26 04:32:19.336537	18162	47	2	10
2014-03-26 04:32:58.112109	18170	21.6	1	10
2014-03-26 04:32:58.38284	18171	47	2	10
2014-03-26 04:33:37.112779	18179	21.6	1	10
2014-03-26 04:33:37.392045	18180	47	2	10
2014-03-26 04:34:16.240003	18188	21.6	1	10
2014-03-26 04:34:16.659981	18189	47	2	10
2014-03-26 04:34:55.1139	18198	21.6	1	10
2014-03-26 04:34:55.33578	18199	47	2	10
2014-03-26 04:35:34.113464	18207	21.6	1	10
2014-03-26 04:35:34.33561	18208	47	2	10
2014-03-26 04:36:30.556013	18225	46	2	1
2014-03-26 04:36:32.665237	18226	418	3	2
2014-03-26 22:34:36.357795	32370	48	2	8
2014-03-26 22:34:50.674691	32371	20.2	1	1
2014-03-26 04:36:54.163511	18231	20.6	1	8
2014-03-26 04:36:54.385369	18232	50	2	8
2014-03-26 04:37:09.29114	18233	18.3	1	1
2014-03-26 04:37:09.522318	18234	46	2	1
2014-03-26 22:34:50.923759	32372	50	2	1
2014-03-26 22:35:03.713654	32373	24.4	1	10
2014-03-26 04:37:32.667756	18239	418	3	2
2014-03-26 04:37:33.164805	18240	20.6	1	8
2014-03-26 04:37:33.386991	18241	50	2	8
2014-03-26 04:37:48.293645	18242	18.3	1	1
2014-03-26 04:37:48.517897	18243	46	2	1
2014-03-26 22:35:03.939774	32374	41	2	10
2014-03-26 22:35:14.046247	32375	21.7	1	9
2014-03-26 04:38:12.164413	18248	20.6	1	8
2014-03-26 04:38:12.396741	18249	50	2	8
2014-03-26 04:38:27.288568	18250	18.3	1	1
2014-03-26 04:38:27.513241	18251	46	2	1
2014-03-26 04:38:32.669426	18252	418	3	2
2014-03-26 22:35:14.282551	32376	48	2	9
2014-03-26 22:35:15.134436	32377	21.8	1	8
2014-03-26 04:38:51.162922	18257	20.6	1	8
2014-03-26 04:38:51.387081	18258	50	2	8
2014-03-26 04:39:06.290162	18259	18.3	1	1
2014-03-26 04:39:06.524071	18260	46	2	1
2014-03-26 22:35:15.359064	32378	48	2	8
2014-03-26 22:35:29.673475	32379	20.2	1	1
2014-03-26 04:39:30.162616	18265	20.6	1	8
2014-03-26 04:39:30.38405	18266	50	2	8
2014-03-26 04:39:32.66824	18267	418	3	2
2014-03-26 04:39:45.287489	18268	18.3	1	1
2014-03-26 04:39:45.511741	18269	46	2	1
2014-03-26 22:35:29.910008	32380	50	2	1
2014-03-26 22:35:32.556471	32381	418	3	2
2014-03-26 04:40:09.163919	18274	20.6	1	8
2014-03-26 04:40:09.395618	18275	50	2	8
2014-03-26 04:40:24.330642	18276	18.3	1	1
2014-03-26 04:40:24.554031	18277	46	2	1
2014-03-26 04:40:32.66601	18278	418	3	2
2014-03-26 22:35:32.784187	32382	1088571.8884408001	4	2
2014-03-26 22:35:42.713327	32383	24.4	1	10
2014-03-26 04:40:48.162401	18283	20.6	1	8
2014-03-26 04:40:48.384893	18284	50	2	8
2014-03-26 04:41:03.287981	18285	18.3	1	1
2014-03-26 04:41:03.518855	18286	46	2	1
2014-03-26 04:41:08.665487	18287	370	3	2
2014-03-26 04:41:20.668785	18288	370	3	2
2014-03-26 22:35:42.950028	32384	41	2	10
2014-03-26 22:35:53.047103	32385	21.7	1	9
2014-03-26 04:41:27.162943	18293	20.6	1	8
2014-03-26 04:41:27.394913	18294	50	2	8
2014-03-26 04:41:32.66401	18295	354	3	2
2014-03-26 04:41:42.290955	18296	18.3	1	1
2014-03-26 04:41:42.514344	18297	46	2	1
2014-03-26 22:35:53.273642	32386	48	2	9
2014-03-26 22:35:54.135692	32387	21.8	1	8
2014-03-26 04:42:06.163589	18302	20.6	1	8
2014-03-26 04:42:06.386119	18303	50	2	8
2014-03-26 04:42:21.289911	18304	18.3	1	1
2014-03-26 04:42:21.515258	18305	46	2	1
2014-03-26 04:42:32.66859	18306	370	3	2
2014-03-26 22:35:54.368924	32388	48	2	8
2014-03-26 22:36:08.67286	32389	20.2	1	1
2014-03-26 04:42:45.16267	18311	20.6	1	8
2014-03-26 04:42:45.385316	18312	50	2	8
2014-03-26 04:43:00.289073	18313	18.3	1	1
2014-03-26 04:43:00.523285	18314	46	2	1
2014-03-26 22:36:08.898422	32390	50	2	1
2014-03-26 22:36:31.843458	32391	24.4	1	10
2014-03-26 04:43:24.164158	18319	20.6	1	8
2014-03-26 04:43:24.385797	18320	50	2	8
2014-03-26 04:43:32.664947	18321	354	3	2
2014-03-26 04:43:39.287351	18322	18.3	1	1
2014-03-26 04:43:39.509303	18323	46	2	1
2014-03-26 22:36:32.079341	32392	41	2	10
2014-03-26 22:36:32.387635	32393	21.7	1	9
2014-03-26 04:44:03.161931	18328	20.6	1	8
2014-03-26 04:44:03.385743	18329	50	2	8
2014-03-26 04:44:18.285254	18330	18.3	1	1
2014-03-26 04:44:18.509944	18331	46	2	1
2014-03-26 04:44:32.809999	18332	354	3	2
2014-03-26 22:36:32.61326	32394	48	2	9
2014-03-26 22:36:32.924017	32395	402	3	2
2014-03-26 04:44:42.162941	18337	20.6	1	8
2014-03-26 04:44:42.386759	18338	50	2	8
2014-03-26 04:44:57.287282	18339	18.3	1	1
2014-03-26 04:44:57.511831	18340	46	2	1
2014-03-26 22:36:33.160419	32396	1088578.7826491287	4	2
2014-03-26 22:36:33.469405	32397	21.8	1	8
2014-03-26 04:45:21.510007	18345	20.6	1	8
2014-03-26 04:45:21.732127	18346	50	2	8
2014-03-26 04:45:32.671582	18347	354	3	2
2014-03-26 04:45:36.284169	18348	18.3	1	1
2014-03-26 04:45:36.519009	18349	46	2	1
2014-03-26 22:36:33.692947	32398	48	2	8
2014-03-26 22:36:44.55446	32399	450	3	2
2014-03-26 22:36:44.789982	32400	1088579.93168385	4	2
2014-03-26 04:46:00.162426	18354	20.6	1	8
2014-03-26 04:46:00.383737	18355	50	2	8
2014-03-26 04:46:15.284764	18356	18.3	1	1
2014-03-26 04:46:15.519096	18357	46	2	1
2014-03-26 04:46:32.666475	18358	354	3	2
2014-03-26 04:36:52.114178	18227	21.6	1	10
2014-03-26 04:36:52.336848	18228	47	2	10
2014-03-26 04:37:31.116606	18235	21.6	1	10
2014-03-26 04:37:31.339513	18236	47	2	10
2014-03-26 04:38:10.114795	18244	21.6	1	10
2014-03-26 04:38:10.353461	18245	47	2	10
2014-03-26 04:38:49.115529	18253	21.6	1	10
2014-03-26 04:38:49.339432	18254	47	2	10
2014-03-26 04:39:28.115374	18261	21.6	1	10
2014-03-26 04:39:28.336849	18262	47	2	10
2014-03-26 04:40:07.115249	18270	21.6	1	10
2014-03-26 04:40:07.337481	18271	47	2	10
2014-03-26 04:40:46.115933	18279	21.6	1	10
2014-03-26 04:40:46.337988	18280	47	2	10
2014-03-26 04:41:25.114931	18289	21.6	1	10
2014-03-26 04:41:25.347426	18290	47	2	10
2014-03-26 04:42:04.115656	18298	21.6	1	10
2014-03-26 04:42:04.338457	18299	47	2	10
2014-03-26 04:42:43.118017	18307	21.6	1	10
2014-03-26 04:42:43.342807	18308	47	2	10
2014-03-26 04:43:22.117216	18315	21.6	1	10
2014-03-26 04:43:22.343095	18316	47	2	10
2014-03-26 04:44:01.116191	18324	21.6	1	10
2014-03-26 04:44:01.34829	18325	47	2	10
2014-03-26 04:44:40.117921	18333	21.6	1	10
2014-03-26 04:44:40.340587	18334	47	2	10
2014-03-26 04:45:19.117877	18341	21.6	1	10
2014-03-26 04:45:19.339726	18342	47	2	10
2014-03-26 22:36:47.682354	32401	20.2	1	1
2014-03-26 22:36:47.909172	32402	50	2	1
2014-03-26 04:46:39.162388	18363	20.6	1	8
2014-03-26 04:46:39.392826	18364	50	2	8
2014-03-26 04:46:54.2812	18365	18.3	1	1
2014-03-26 04:46:54.505449	18366	46	2	1
2014-03-26 22:36:56.555473	32403	450	3	2
2014-03-26 22:36:56.791489	32404	1088582.2297532929	4	2
2014-03-26 04:47:18.162235	18371	20.6	1	8
2014-03-26 04:47:18.393458	18372	50	2	8
2014-03-26 04:47:32.667741	18373	354	3	2
2014-03-26 04:47:33.285877	18374	18.3	1	1
2014-03-26 04:47:33.507711	18375	46	2	1
2014-03-26 22:37:00.71497	32405	24.4	1	10
2014-03-26 22:37:00.941641	32406	41	2	10
2014-03-26 04:47:57.503246	18380	20.6	1	8
2014-03-26 04:47:57.724512	18381	50	2	8
2014-03-26 04:48:12.287135	18382	18.2	1	1
2014-03-26 04:48:12.518143	18383	46	2	1
2014-03-26 04:48:32.666822	18384	418	3	2
2014-03-26 22:37:11.045049	32407	21.7	1	9
2014-03-26 22:37:11.280577	32408	48	2	9
2014-03-26 04:48:36.165286	18389	20.6	1	8
2014-03-26 04:48:36.386831	18390	50	2	8
2014-03-26 04:48:44.665652	18391	418	3	2
2014-03-26 04:48:51.283368	18392	18.2	1	1
2014-03-26 04:48:51.505469	18393	46	2	1
2014-03-26 22:37:12.1341	32409	21.8	1	8
2014-03-26 22:37:12.360413	32410	48	2	8
2014-03-26 04:49:15.16312	18398	20.6	1	8
2014-03-26 04:49:15.386286	18399	50	2	8
2014-03-26 04:49:20.663247	18400	354	3	2
2014-03-26 04:49:30.286628	18401	18.2	1	1
2014-03-26 04:49:30.508542	18402	46	2	1
2014-03-26 04:49:32.665306	18403	354	3	2
2014-03-26 22:37:26.673798	32411	20.2	1	1
2014-03-26 22:37:26.915146	32412	50	2	1
2014-03-26 04:49:54.163421	18408	20.6	1	8
2014-03-26 04:49:54.397165	18409	50	2	8
2014-03-26 04:50:09.285495	18410	18.2	1	1
2014-03-26 04:50:09.509326	18411	46	2	1
2014-03-26 22:37:32.556002	32413	450	3	2
2014-03-26 22:37:32.78402	32414	1088586.8258921786	4	2
2014-03-26 04:50:32.667672	18416	354	3	2
2014-03-26 04:50:33.163274	18417	20.6	1	8
2014-03-26 04:50:33.385721	18418	50	2	8
2014-03-26 04:50:48.284847	18419	18.2	1	1
2014-03-26 04:50:48.509522	18420	46	2	1
2014-03-26 22:37:39.715878	32415	24.3	1	10
2014-03-26 22:37:39.953434	32416	41	2	10
2014-03-26 04:51:12.163206	18423	20.6	1	8
2014-03-26 04:51:12.385706	18424	50	2	8
2014-03-26 04:51:27.279966	18425	18.2	1	1
2014-03-26 04:51:27.502826	18426	46	2	1
2014-03-26 04:51:32.667269	18427	354	3	2
2014-03-26 22:37:50.04714	32417	21.7	1	9
2014-03-26 22:37:50.271691	32418	48	2	9
2014-03-26 04:51:51.16355	18432	20.6	1	8
2014-03-26 04:51:51.396095	18433	50	2	8
2014-03-26 04:52:06.281398	18434	18.2	1	1
2014-03-26 04:52:06.504229	18435	46	2	1
2014-03-26 22:37:51.133308	32419	21.8	1	8
2014-03-26 22:37:51.38017	32420	48	2	8
2014-03-26 04:52:30.165512	18440	20.6	1	8
2014-03-26 04:52:30.396409	18441	50	2	8
2014-03-26 04:52:32.663455	18442	354	3	2
2014-03-26 04:52:45.286083	18443	18.2	1	1
2014-03-26 04:52:45.508872	18444	46	2	1
2014-03-26 22:38:05.671163	32421	20.2	1	1
2014-03-26 22:38:05.896879	32422	50	2	1
2014-03-26 04:53:09.163336	18449	20.6	1	8
2014-03-26 04:53:09.383589	18450	50	2	8
2014-03-26 04:53:20.666272	18451	305	3	2
2014-03-26 04:53:24.282324	18452	18.2	1	1
2014-03-26 04:53:24.515104	18453	46	2	1
2014-03-26 04:53:32.667432	18454	305	3	2
2014-03-26 22:38:18.713985	32423	24.3	1	10
2014-03-26 22:38:19.136997	32424	41	2	10
2014-03-26 04:53:48.492726	18459	20.6	1	8
2014-03-26 04:53:48.713991	18460	50	2	8
2014-03-26 04:54:03.280674	18461	18.2	1	1
2014-03-26 04:54:03.502571	18462	46	2	1
2014-03-26 22:38:29.045768	32425	21.7	1	9
2014-03-26 22:38:29.27504	32426	48	2	9
2014-03-26 04:54:27.162664	18467	20.6	1	8
2014-03-26 04:54:27.398327	18468	50	2	8
2014-03-26 04:54:32.665154	18469	305	3	2
2014-03-26 04:54:42.407642	18470	18.2	1	1
2014-03-26 04:54:42.830003	18471	46	2	1
2014-03-26 22:38:30.190402	32427	21.8	1	8
2014-03-26 22:38:30.413337	32428	48	2	8
2014-03-26 04:55:06.164883	18476	20.6	1	8
2014-03-26 04:55:06.392006	18477	50	2	8
2014-03-26 04:55:21.277447	18478	18.2	1	1
2014-03-26 04:55:21.511609	18479	46	2	1
2014-03-26 04:55:32.66423	18480	305	3	2
2014-03-26 22:38:32.560205	32429	434	3	2
2014-03-26 04:55:45.163678	18485	20.6	1	8
2014-03-26 04:55:45.395587	18486	50	2	8
2014-03-26 04:56:00.27844	18487	18.2	1	1
2014-03-26 04:56:00.502773	18488	46	2	1
2014-03-26 04:56:24.489706	18493	20.6	1	8
2014-03-26 04:56:24.72469	18494	50	2	8
2014-03-26 04:56:32.666646	18495	305	3	2
2014-03-26 04:56:39.281985	18496	18.2	1	1
2014-03-26 04:47:16.11882	18367	21.6	1	10
2014-03-26 04:47:16.351021	18368	47	2	10
2014-03-26 04:47:55.118909	18376	21.6	1	10
2014-03-26 04:47:55.340994	18377	47	2	10
2014-03-26 04:48:34.119125	18385	21.6	1	10
2014-03-26 04:48:34.340867	18386	47	2	10
2014-03-26 04:49:13.118269	18394	21.6	1	10
2014-03-26 04:49:13.341347	18395	47	2	10
2014-03-26 04:49:52.128778	18404	21.6	1	10
2014-03-26 04:49:52.364023	18405	47	2	10
2014-03-26 04:50:31.119455	18412	21.6	1	10
2014-03-26 04:50:31.356863	18413	47	2	10
2014-03-26 04:51:49.119084	18428	21.6	1	10
2014-03-26 04:51:49.352938	18429	47	2	10
2014-03-26 04:52:28.119777	18436	21.6	1	10
2014-03-26 04:52:28.36268	18437	47	2	10
2014-03-26 04:53:07.120463	18445	21.6	1	10
2014-03-26 04:53:07.342775	18446	47	2	10
2014-03-26 04:53:46.122182	18455	21.6	1	10
2014-03-26 04:53:46.344096	18456	47	2	10
2014-03-26 04:54:25.119821	18463	21.6	1	10
2014-03-26 04:54:25.353856	18464	47	2	10
2014-03-26 04:55:04.120793	18472	21.6	1	10
2014-03-26 04:55:04.345636	18473	47	2	10
2014-03-26 04:55:43.120593	18481	21.6	1	10
2014-03-26 04:55:43.349157	18482	47	2	10
2014-03-26 04:56:22.121352	18489	21.6	1	10
2014-03-26 04:56:22.35601	18490	47	2	10
2014-03-26 04:56:39.503668	18497	46	2	1
2014-03-26 22:38:32.79023	32430	1088593.720100507	4	2
2014-03-26 22:38:44.670895	32431	20.2	1	1
2014-03-26 04:57:03.163859	18502	20.6	1	8
2014-03-26 04:57:03.385717	18503	50	2	8
2014-03-26 04:57:18.285047	18504	18.2	1	1
2014-03-26 04:57:18.507049	18505	46	2	1
2014-03-26 04:57:32.664536	18506	305	3	2
2014-03-26 22:38:44.894261	32432	50	2	1
2014-03-26 22:38:57.713684	32433	24.3	1	10
2014-03-26 04:57:42.163061	18511	20.6	1	8
2014-03-26 04:57:42.385451	18512	50	2	8
2014-03-26 04:57:57.276092	18513	18.2	1	1
2014-03-26 04:57:57.509243	18514	46	2	1
2014-03-26 22:38:57.947658	32434	41	2	10
2014-03-26 22:39:08.045853	32435	21.7	1	9
2014-03-26 04:58:20.664519	18519	338	3	2
2014-03-26 04:58:21.162655	18520	20.6	1	8
2014-03-26 04:58:21.384313	18521	50	2	8
2014-03-26 04:58:32.664983	18522	305	3	2
2014-03-26 04:58:36.279142	18523	18.2	1	1
2014-03-26 04:58:36.502135	18524	46	2	1
2014-03-26 04:58:44.663949	18525	305	3	2
2014-03-26 22:39:08.269638	32436	48	2	9
2014-03-26 22:39:09.13396	32437	21.8	1	8
2014-03-26 04:59:00.163813	18530	20.6	1	8
2014-03-26 04:59:00.386303	18531	50	2	8
2014-03-26 04:59:15.282053	18532	18.2	1	1
2014-03-26 04:59:15.51425	18533	46	2	1
2014-03-26 04:59:32.662187	18534	305	3	2
2014-03-26 22:39:09.365638	32438	48	2	8
2014-03-26 22:39:23.674371	32439	20.2	1	1
2014-03-26 04:59:39.16473	18539	20.6	1	8
2014-03-26 04:59:39.396607	18540	50	2	8
2014-03-26 04:59:54.283885	18541	18.2	1	1
2014-03-26 04:59:54.506508	18542	46	2	1
2014-03-26 22:39:23.897195	32440	50	2	1
2014-03-26 22:39:32.553884	32441	450	3	2
2014-03-26 05:00:18.162229	18547	20.6	1	8
2014-03-26 05:00:18.396561	18548	50	2	8
2014-03-26 05:00:32.667938	18549	354	3	2
2014-03-26 05:00:33.276279	18550	18.2	1	1
2014-03-26 05:00:33.499096	18551	46	2	1
2014-03-26 05:00:44.664101	18552	354	3	2
2014-03-26 22:39:32.788727	32442	1088601.763343557	4	2
2014-03-26 22:39:36.714989	32443	24.3	1	10
2014-03-26 05:00:57.163142	18557	20.6	1	8
2014-03-26 05:00:57.383497	18558	50	2	8
2014-03-26 05:01:12.278828	18559	18.2	1	1
2014-03-26 05:01:12.503777	18560	46	2	1
2014-03-26 05:01:33.921656	18561	354	3	2
2014-03-26 22:39:36.938559	32444	41	2	10
2014-03-26 22:39:47.045429	32445	21.7	1	9
2014-03-26 05:01:36.16283	18566	20.6	1	8
2014-03-26 05:01:36.384322	18567	50	2	8
2014-03-26 05:01:51.279514	18568	18.2	1	1
2014-03-26 05:01:51.510971	18569	46	2	1
2014-03-26 22:39:47.281216	32446	48	2	9
2014-03-26 22:39:48.13328	32447	21.8	1	8
2014-03-26 05:02:15.163459	18574	20.6	1	8
2014-03-26 05:02:15.387324	18575	50	2	8
2014-03-26 05:02:30.318877	18576	18.2	1	1
2014-03-26 05:02:30.553161	18577	46	2	1
2014-03-26 05:02:32.665669	18578	338	3	2
2014-03-26 22:39:48.35555	32448	48	2	8
2014-03-26 22:40:02.671861	32449	20.2	1	1
2014-03-26 05:02:54.162482	18583	20.6	1	8
2014-03-26 05:02:54.385092	18584	50	2	8
2014-03-26 05:03:09.278245	18585	18.2	1	1
2014-03-26 05:03:09.502574	18586	46	2	1
2014-03-26 22:40:02.906887	32450	50	2	1
2014-03-26 22:40:15.715536	32451	24.3	1	10
2014-03-26 05:03:32.662466	18591	354	3	2
2014-03-26 05:03:33.163057	18592	20.6	1	8
2014-03-26 05:03:33.38438	18593	50	2	8
2014-03-26 05:03:48.274942	18594	18.2	1	1
2014-03-26 05:03:48.506829	18595	46	2	1
2014-03-26 22:40:15.940095	32452	41	2	10
2014-03-26 22:40:26.045373	32453	21.7	1	9
2014-03-26 05:04:12.162671	18600	20.6	1	8
2014-03-26 05:04:12.385165	18601	50	2	8
2014-03-26 05:04:27.273006	18602	18.2	1	1
2014-03-26 05:04:27.50508	18603	46	2	1
2014-03-26 05:04:32.66208	18604	354	3	2
2014-03-26 22:40:26.279446	32454	48	2	9
2014-03-26 22:40:27.132544	32455	21.8	1	8
2014-03-26 05:04:51.291361	18609	20.6	1	8
2014-03-26 05:04:51.732238	18610	50	2	8
2014-03-26 05:05:06.319246	18611	18.2	1	1
2014-03-26 05:05:06.543757	18612	46	2	1
2014-03-26 05:05:20.663617	18613	289	3	2
2014-03-26 22:40:27.363202	32456	48	2	8
2014-03-26 22:40:32.553107	32457	450	3	2
2014-03-26 05:05:30.163051	18618	20.6	1	8
2014-03-26 05:05:30.385936	18619	50	2	8
2014-03-26 05:05:32.665606	18620	289	3	2
2014-03-26 05:05:45.275092	18621	18.2	1	1
2014-03-26 05:05:45.501952	18622	46	2	1
2014-03-26 22:40:32.7939	32458	1088608.6575518853	4	2
2014-03-26 22:40:41.671771	32459	20.2	1	1
2014-03-26 05:06:09.162674	18627	20.6	1	8
2014-03-26 05:06:09.427398	18628	50	2	8
2014-03-26 05:06:24.315688	18629	18.2	1	1
2014-03-26 05:06:24.574492	18630	46	2	1
2014-03-26 05:06:32.664248	18631	289	3	2
2014-03-26 04:57:01.12136	18498	21.6	1	10
2014-03-26 04:57:01.363323	18499	47	2	10
2014-03-26 04:57:40.121923	18507	21.6	1	10
2014-03-26 04:57:40.348643	18508	47	2	10
2014-03-26 04:58:19.122028	18515	21.6	1	10
2014-03-26 04:58:19.344535	18516	47	2	10
2014-03-26 04:58:58.1328	18526	21.6	1	10
2014-03-26 04:58:58.355355	18527	47	2	10
2014-03-26 04:59:37.122072	18535	21.6	1	10
2014-03-26 04:59:37.344592	18536	47	2	10
2014-03-26 05:00:16.121524	18543	21.6	1	10
2014-03-26 05:00:16.354112	18544	47	2	10
2014-03-26 05:00:55.12243	18553	21.6	1	10
2014-03-26 05:00:55.34578	18554	47	2	10
2014-03-26 05:01:34.237687	18562	21.6	1	10
2014-03-26 05:01:34.4606	18563	47	2	10
2014-03-26 05:02:13.122823	18570	21.6	1	10
2014-03-26 05:02:13.345203	18571	47	2	10
2014-03-26 05:02:52.122613	18579	21.6	1	10
2014-03-26 05:02:52.346661	18580	47	2	10
2014-03-26 05:03:31.123766	18587	21.6	1	10
2014-03-26 05:03:31.35545	18588	47	2	10
2014-03-26 05:04:10.124954	18596	21.6	1	10
2014-03-26 05:04:10.347049	18597	47	2	10
2014-03-26 05:04:49.260096	18605	21.6	1	10
2014-03-26 05:04:49.680091	18606	47	2	10
2014-03-26 05:05:28.123782	18614	21.6	1	10
2014-03-26 05:05:28.347797	18615	47	2	10
2014-03-26 22:40:41.895489	32460	50	2	1
2014-03-26 22:40:54.714431	32461	24.3	1	10
2014-03-26 05:06:48.162103	18636	20.6	1	8
2014-03-26 05:06:48.382347	18637	50	2	8
2014-03-26 05:07:03.275136	18638	18.2	1	1
2014-03-26 05:07:03.505951	18639	46	2	1
2014-03-26 22:40:54.950304	32462	41	2	10
2014-03-26 22:41:05.044911	32463	21.7	1	9
2014-03-26 05:07:27.162853	18644	20.6	1	8
2014-03-26 05:07:27.386053	18645	50	2	8
2014-03-26 05:07:32.663911	18646	289	3	2
2014-03-26 05:07:42.279508	18647	18.1	1	1
2014-03-26 05:07:42.502482	18648	46	2	1
2014-03-26 22:41:05.269431	32464	48	2	9
2014-03-26 22:41:06.133395	32465	21.8	1	8
2014-03-26 05:08:06.19958	18653	20.6	1	8
2014-03-26 05:08:06.448137	18654	50	2	8
2014-03-26 05:08:21.274279	18655	18.1	1	1
2014-03-26 05:08:21.49635	18656	46	2	1
2014-03-26 05:08:32.665699	18657	289	3	2
2014-03-26 22:41:06.365581	32466	48	2	8
2014-03-26 22:41:20.669493	32467	20.2	1	1
2014-03-26 05:08:45.163018	18662	20.6	1	8
2014-03-26 05:08:45.384485	18663	50	2	8
2014-03-26 05:09:00.275397	18664	18.1	1	1
2014-03-26 05:09:00.695282	18665	46	2	1
2014-03-26 22:41:20.892443	32468	50	2	1
2014-03-26 22:41:32.5536	32469	450	3	2
2014-03-26 05:09:24.162199	18670	20.6	1	8
2014-03-26 05:09:24.393493	18671	50	2	8
2014-03-26 05:09:32.661703	18672	289	3	2
2014-03-26 05:09:39.275154	18673	18.1	1	1
2014-03-26 05:09:39.505474	18674	46	2	1
2014-03-26 22:41:32.79856	32470	1088616.7007949352	4	2
2014-03-26 22:41:33.715985	32471	24.3	1	10
2014-03-26 05:10:03.163843	18679	20.6	1	8
2014-03-26 05:10:03.384467	18680	50	2	8
2014-03-26 05:10:18.272652	18681	18.1	1	1
2014-03-26 05:10:18.505214	18682	46	2	1
2014-03-26 05:10:32.660641	18683	305	3	2
2014-03-26 22:41:33.94133	32472	41	2	10
2014-03-26 22:41:44.044312	32473	21.7	1	9
2014-03-26 05:10:42.162357	18688	20.6	1	8
2014-03-26 05:10:42.394598	18689	50	2	8
2014-03-26 05:10:57.274678	18690	18.1	1	1
2014-03-26 05:10:57.49664	18691	46	2	1
2014-03-26 22:41:44.27906	32474	48	2	9
2014-03-26 22:41:44.587266	32475	402	3	2
2014-03-26 05:11:21.163224	18696	20.6	1	8
2014-03-26 05:11:21.396024	18697	50	2	8
2014-03-26 05:11:32.66399	18698	305	3	2
2014-03-26 05:11:36.271576	18699	18.1	1	1
2014-03-26 05:11:36.505629	18700	46	2	1
2014-03-26 22:41:44.813364	32476	1088617.8498296568	4	2
2014-03-26 22:41:45.136495	32477	21.8	1	8
2014-03-26 05:12:00.16363	18705	20.5	1	8
2014-03-26 05:12:00.385528	18706	50	2	8
2014-03-26 05:12:15.275171	18707	18.1	1	1
2014-03-26 05:12:15.520006	18708	46	2	1
2014-03-26 05:12:32.664739	18709	354	3	2
2014-03-26 22:41:45.368704	32478	48	2	8
2014-03-26 22:41:56.553012	32479	402	3	2
2014-03-26 05:12:39.163829	18714	20.5	1	8
2014-03-26 05:12:39.387843	18715	50	2	8
2014-03-26 05:12:44.664803	18716	354	3	2
2014-03-26 05:12:54.27048	18717	18.1	1	1
2014-03-26 05:12:54.493006	18718	46	2	1
2014-03-26 22:41:56.776988	32480	1088618.998864378	4	2
2014-03-26 22:41:59.669534	32481	20.2	1	1
2014-03-26 05:13:18.162365	18723	20.5	1	8
2014-03-26 05:13:18.384175	18724	50	2	8
2014-03-26 05:13:32.665303	18725	354	3	2
2014-03-26 05:13:33.273486	18726	18.1	1	1
2014-03-26 05:13:33.506715	18727	46	2	1
2014-03-26 22:41:59.90467	32482	50	2	1
2014-03-26 22:42:12.715514	32483	24.3	1	10
2014-03-26 05:13:57.161609	18732	20.5	1	8
2014-03-26 05:13:57.383313	18733	50	2	8
2014-03-26 05:14:12.267601	18734	18.1	1	1
2014-03-26 05:14:12.499588	18735	46	2	1
2014-03-26 05:14:32.666363	18736	338	3	2
2014-03-26 22:42:12.939021	32484	41	2	10
2014-03-26 22:42:23.045789	32485	21.7	1	9
2014-03-26 05:14:36.162054	18741	20.5	1	8
2014-03-26 05:14:36.392354	18742	50	2	8
2014-03-26 05:14:51.267445	18743	18.1	1	1
2014-03-26 05:14:51.493401	18744	46	2	1
2014-03-26 22:42:23.282632	32486	48	2	9
2014-03-26 22:42:24.135553	32487	21.8	1	8
2014-03-26 05:15:15.300955	18747	20.5	1	8
2014-03-26 05:15:15.720053	18748	50	2	8
2014-03-26 05:15:30.269562	18749	18.1	1	1
2014-03-26 05:15:30.501786	18750	46	2	1
2014-03-26 05:15:32.663678	18751	338	3	2
2014-03-26 22:42:24.360283	32488	48	2	8
2014-03-26 05:15:54.161592	18756	20.5	1	8
2014-03-26 05:15:54.394544	18757	50	2	8
2014-03-26 05:16:09.272452	18758	18.1	1	1
2014-03-26 05:16:09.495047	18759	46	2	1
2014-03-26 05:16:32.66085	18764	338	3	2
2014-03-26 05:16:33.160662	18765	20.5	1	8
2014-03-26 05:16:33.384019	18766	50	2	8
2014-03-26 05:16:48.270081	18767	18.1	1	1
2014-03-26 05:16:48.494804	18768	46	2	1
2014-03-26 05:06:46.380642	18633	47	2	10
2014-03-26 05:07:25.12422	18640	21.6	1	10
2014-03-26 05:07:25.346831	18641	47	2	10
2014-03-26 05:08:04.12422	18649	21.6	1	10
2014-03-26 05:08:04.345225	18650	47	2	10
2014-03-26 05:08:43.124788	18658	21.6	1	10
2014-03-26 05:08:43.346937	18659	47	2	10
2014-03-26 05:09:22.126024	18666	21.6	1	10
2014-03-26 05:09:22.354428	18667	47	2	10
2014-03-26 05:10:01.12642	18675	21.6	1	10
2014-03-26 05:10:01.351037	18676	47	2	10
2014-03-26 05:10:40.12516	18684	21.6	1	10
2014-03-26 05:10:40.34969	18685	47	2	10
2014-03-26 05:11:19.124725	18692	21.6	1	10
2014-03-26 05:11:19.359038	18693	47	2	10
2014-03-26 05:11:58.125401	18701	21.6	1	10
2014-03-26 05:11:58.348218	18702	47	2	10
2014-03-26 05:12:37.128784	18710	21.6	1	10
2014-03-26 05:12:37.361531	18711	47	2	10
2014-03-26 05:13:16.125896	18719	21.6	1	10
2014-03-26 05:13:16.3486	18720	47	2	10
2014-03-26 05:13:55.125656	18728	21.6	1	10
2014-03-26 05:13:55.347729	18729	47	2	10
2014-03-26 05:14:34.127631	18737	21.6	1	10
2014-03-26 05:14:34.349283	18738	47	2	10
2014-03-26 05:15:52.125184	18752	21.6	1	10
2014-03-26 05:15:52.349484	18753	47	2	10
2014-03-26 05:16:31.128452	18760	21.6	1	10
2014-03-26 05:16:31.360665	18761	47	2	10
2014-03-26 22:42:32.555371	32489	402	3	2
2014-03-26 22:42:32.7921	32490	1088623.5950032638	4	2
2014-03-26 05:17:12.162056	18773	20.5	1	8
2014-03-26 05:17:12.382589	18774	50	2	8
2014-03-26 05:17:27.266164	18775	18.1	1	1
2014-03-26 05:17:27.499924	18776	45	2	1
2014-03-26 05:17:32.663203	18777	354	3	2
2014-03-26 22:42:38.669525	32491	20.2	1	1
2014-03-26 22:42:38.920997	32492	50	2	1
2014-03-26 05:17:51.161868	18782	20.5	1	8
2014-03-26 05:17:51.392545	18783	50	2	8
2014-03-26 05:18:06.269405	18784	18.1	1	1
2014-03-26 05:18:06.546591	18785	45	2	1
2014-03-26 05:18:20.665806	18786	289	3	2
2014-03-26 22:42:51.716452	32493	24.3	1	10
2014-03-26 22:42:51.948888	32494	41	2	10
2014-03-26 05:18:30.161661	18791	20.5	1	8
2014-03-26 05:18:30.38379	18792	50	2	8
2014-03-26 05:18:32.663774	18793	289	3	2
2014-03-26 05:18:45.265881	18794	18.1	1	1
2014-03-26 05:18:45.488618	18795	45	2	1
2014-03-26 22:43:02.045168	32495	21.7	1	9
2014-03-26 22:43:02.27069	32496	48	2	9
2014-03-26 05:19:09.485098	18800	20.5	1	8
2014-03-26 05:19:09.71583	18801	50	2	8
2014-03-26 05:19:24.269532	18802	18.1	1	1
2014-03-26 05:19:24.491056	18803	45	2	1
2014-03-26 05:19:45.927879	18804	289	3	2
2014-03-26 22:43:03.135362	32497	21.8	1	8
2014-03-26 22:43:03.373774	32498	48	2	8
2014-03-26 05:19:48.497805	18809	20.5	1	8
2014-03-26 05:19:48.718437	18810	50	2	8
2014-03-26 05:20:03.271427	18811	18.1	1	1
2014-03-26 05:20:03.502849	18812	45	2	1
2014-03-26 22:43:17.669985	32499	20.2	1	1
2014-03-26 22:43:17.893586	32500	50	2	1
2014-03-26 05:20:27.16286	18817	20.5	1	8
2014-03-26 05:20:27.384982	18818	50	2	8
2014-03-26 05:20:32.66374	18819	289	3	2
2014-03-26 05:20:42.270098	18820	18.1	1	1
2014-03-26 05:20:42.494632	18821	45	2	1
2014-03-26 22:43:30.716306	32501	24.3	1	10
2014-03-26 22:43:30.984661	32502	41	2	10
2014-03-26 05:21:06.163862	18826	20.5	1	8
2014-03-26 05:21:06.39427	18827	50	2	8
2014-03-26 05:21:21.267797	18828	18.1	1	1
2014-03-26 05:21:21.491046	18829	45	2	1
2014-03-26 05:21:32.660362	18830	289	3	2
2014-03-26 22:43:32.557306	32503	402	3	2
2014-03-26 22:43:32.804396	32504	1088629.3401768708	4	2
2014-03-26 05:21:45.160797	18835	20.5	1	8
2014-03-26 05:21:45.383873	18836	50	2	8
2014-03-26 05:22:00.266841	18837	18.1	1	1
2014-03-26 05:22:00.490544	18838	45	2	1
2014-03-26 22:43:41.045128	32505	21.6	1	9
2014-03-26 22:43:41.312873	32506	48	2	9
2014-03-26 05:22:24.161366	18843	20.5	1	8
2014-03-26 05:22:24.383617	18844	50	2	8
2014-03-26 05:22:32.662354	18845	289	3	2
2014-03-26 05:22:39.265873	18846	18.1	1	1
2014-03-26 05:22:39.491416	18847	45	2	1
2014-03-26 22:43:42.135104	32507	21.8	1	8
2014-03-26 22:43:42.381697	32508	48	2	8
2014-03-26 05:23:03.160653	18852	20.5	1	8
2014-03-26 05:23:03.38153	18853	50	2	8
2014-03-26 05:23:18.267782	18854	18.1	1	1
2014-03-26 05:23:18.489091	18855	45	2	1
2014-03-26 05:23:32.663871	18856	289	3	2
2014-03-26 22:43:56.66891	32509	20.2	1	1
2014-03-26 22:43:57.106056	32510	50	2	1
2014-03-26 05:23:42.161483	18861	20.5	1	8
2014-03-26 05:23:42.3834	18862	50	2	8
2014-03-26 05:23:57.26091	18863	18.1	1	1
2014-03-26 05:23:57.483271	18864	45	2	1
2014-03-26 22:44:08.555715	32511	370	3	2
2014-03-26 22:44:08.814694	32512	1088633.9363157565	4	2
2014-03-26 05:24:21.161941	18869	20.5	1	8
2014-03-26 05:24:21.383366	18870	50	2	8
2014-03-26 05:24:32.662109	18871	305	3	2
2014-03-26 05:24:36.267002	18872	18.1	1	1
2014-03-26 05:24:36.489262	18873	45	2	1
2014-03-26 22:44:09.716871	32513	24.3	1	10
2014-03-26 22:44:09.985776	32514	41	2	10
2014-03-26 05:25:00.161199	18878	20.5	1	8
2014-03-26 05:25:00.395494	18879	50	2	8
2014-03-26 05:25:15.261799	18880	18.1	1	1
2014-03-26 05:25:15.484027	18881	45	2	1
2014-03-26 05:25:32.660452	18882	289	3	2
2014-03-26 22:44:20.044002	32515	21.6	1	9
2014-03-26 22:44:20.304183	32516	48	2	9
2014-03-26 05:25:39.179074	18887	20.5	1	8
2014-03-26 05:25:39.40184	18888	50	2	8
2014-03-26 05:25:44.662767	18889	354	3	2
2014-03-26 05:25:54.263836	18890	18.1	1	1
2014-03-26 05:25:54.485553	18891	45	2	1
2014-03-26 05:25:56.662178	18892	338	3	2
2014-03-26 22:44:20.61231	32517	370	3	2
2014-03-26 22:44:20.85677	32518	1088635.085350478	4	2
2014-03-26 22:44:21.164066	32519	21.8	1	8
2014-03-26 05:26:18.163548	18897	20.5	1	8
2014-03-26 05:26:18.396569	18898	50	2	8
2014-03-26 05:26:32.659412	18899	338	3	2
2014-03-26 05:26:33.266236	18900	18.1	1	1
2014-03-26 05:26:33.487856	18901	45	2	1
2014-03-26 05:17:10.127677	18769	21.5	1	10
2014-03-26 05:17:10.374121	18770	47	2	10
2014-03-26 05:17:49.128112	18778	21.5	1	10
2014-03-26 05:17:49.350717	18779	47	2	10
2014-03-26 05:18:28.128179	18787	21.5	1	10
2014-03-26 05:18:28.351017	18788	47	2	10
2014-03-26 05:19:07.128329	18796	21.5	1	10
2014-03-26 05:19:07.369804	18797	47	2	10
2014-03-26 05:19:46.244316	18805	21.5	1	10
2014-03-26 05:19:46.465035	18806	47	2	10
2014-03-26 05:20:25.13033	18813	21.5	1	10
2014-03-26 05:20:25.352799	18814	47	2	10
2014-03-26 05:21:04.129157	18822	21.5	1	10
2014-03-26 05:21:04.361341	18823	47	2	10
2014-03-26 05:21:43.129314	18831	21.5	1	10
2014-03-26 05:21:43.35357	18832	47	2	10
2014-03-26 05:22:22.129235	18839	21.5	1	10
2014-03-26 05:22:22.351152	18840	47	2	10
2014-03-26 05:23:01.13428	18848	21.5	1	10
2014-03-26 05:23:01.356277	18849	47	2	10
2014-03-26 05:23:40.12885	18857	21.5	1	10
2014-03-26 05:23:40.350284	18858	47	2	10
2014-03-26 05:24:19.131264	18865	21.5	1	10
2014-03-26 05:24:19.355286	18866	47	2	10
2014-03-26 05:24:58.132162	18874	21.5	1	10
2014-03-26 05:24:58.355602	18875	47	2	10
2014-03-26 05:25:37.132407	18883	21.5	1	10
2014-03-26 05:25:37.354856	18884	47	2	10
2014-03-26 05:26:16.131384	18893	21.5	1	10
2014-03-26 22:44:21.387945	32520	48	2	8
2014-03-26 05:26:57.160957	18906	20.5	1	8
2014-03-26 05:26:57.38405	18907	50	2	8
2014-03-26 05:27:12.264741	18908	18.1	1	1
2014-03-26 05:27:12.488901	18909	45	2	1
2014-03-26 05:27:32.664886	18910	338	3	2
2014-03-26 22:44:32.554883	32521	402	3	2
2014-03-26 22:44:32.78758	32522	1088636.2343851994	4	2
2014-03-26 05:27:36.503338	18915	20.5	1	8
2014-03-26 05:27:36.724034	18916	50	2	8
2014-03-26 05:27:51.259008	18917	18.1	1	1
2014-03-26 05:27:51.494852	18918	45	2	1
2014-03-26 22:44:35.671595	32523	20.2	1	1
2014-03-26 22:44:35.904131	32524	50	2	1
2014-03-26 05:28:15.161973	18923	20.5	1	8
2014-03-26 05:28:15.385392	18924	50	2	8
2014-03-26 05:28:30.263621	18925	18.1	1	1
2014-03-26 05:28:30.495823	18926	45	2	1
2014-03-26 05:28:32.664557	18927	338	3	2
2014-03-26 22:44:44.557768	32525	402	3	2
2014-03-26 22:44:44.793598	32526	1088637.3834199207	4	2
2014-03-26 05:28:54.162777	18932	20.5	1	8
2014-03-26 05:28:54.385226	18933	50	2	8
2014-03-26 05:29:09.265548	18934	18.1	1	1
2014-03-26 05:29:09.486937	18935	45	2	1
2014-03-26 22:44:48.719221	32527	24.3	1	10
2014-03-26 22:44:48.941043	32528	41	2	10
2014-03-26 05:29:32.661797	18940	338	3	2
2014-03-26 05:29:33.162035	18941	20.5	1	8
2014-03-26 05:29:33.383799	18942	50	2	8
2014-03-26 05:29:48.262062	18943	18.1	1	1
2014-03-26 05:29:48.484593	18944	45	2	1
2014-03-26 22:44:59.044776	32529	21.6	1	9
2014-03-26 22:44:59.277696	32530	48	2	9
2014-03-26 05:30:12.161746	18949	20.5	1	8
2014-03-26 05:30:12.38391	18950	50	2	8
2014-03-26 05:30:27.264128	18951	18.1	1	1
2014-03-26 05:30:27.49569	18952	45	2	1
2014-03-26 05:30:32.66306	18953	338	3	2
2014-03-26 05:30:44.660304	18954	289	3	2
2014-03-26 22:45:00.133812	32531	21.8	1	8
2014-03-26 22:45:00.358832	32532	48	2	8
2014-03-26 05:30:51.162766	18959	20.5	1	8
2014-03-26 05:30:51.394547	18960	50	2	8
2014-03-26 05:30:56.663296	18961	289	3	2
2014-03-26 05:31:06.258513	18962	18.0	1	1
2014-03-26 05:31:06.481481	18963	45	2	1
2014-03-26 22:45:08.555955	32533	370	3	2
2014-03-26 22:45:08.801851	32534	1088639.6814893635	4	2
2014-03-26 05:31:30.163906	18968	20.5	1	8
2014-03-26 05:31:30.386061	18969	50	2	8
2014-03-26 05:31:32.66207	18970	289	3	2
2014-03-26 05:31:45.263083	18971	18.0	1	1
2014-03-26 05:31:45.49656	18972	45	2	1
2014-03-26 22:45:14.669947	32535	20.2	1	1
2014-03-26 22:45:14.89573	32536	50	2	1
2014-03-26 05:32:09.16198	18977	20.5	1	8
2014-03-26 05:32:09.38602	18978	50	2	8
2014-03-26 05:32:24.263157	18979	18.0	1	1
2014-03-26 05:32:24.508813	18980	45	2	1
2014-03-26 05:32:32.662278	18981	354	3	2
2014-03-26 05:32:44.662483	18982	354	3	2
2014-03-26 22:45:20.553241	32537	370	3	2
2014-03-26 22:45:20.788647	32538	1088640.830524085	4	2
2014-03-26 05:32:48.161717	18987	20.5	1	8
2014-03-26 05:32:48.395022	18988	50	2	8
2014-03-26 05:33:03.260635	18989	18.0	1	1
2014-03-26 05:33:03.484362	18990	45	2	1
2014-03-26 22:45:27.719616	32539	24.3	1	10
2014-03-26 22:45:27.944625	32540	41	2	10
2014-03-26 05:33:27.161842	18995	20.5	1	8
2014-03-26 05:33:27.392207	18996	50	2	8
2014-03-26 05:33:32.662402	18997	354	3	2
2014-03-26 05:33:42.30187	18998	18.0	1	1
2014-03-26 05:33:42.525344	18999	45	2	1
2014-03-26 22:45:32.554403	32541	370	3	2
2014-03-26 22:45:32.790038	32542	1088641.9795588064	4	2
2014-03-26 05:34:06.160712	19004	20.5	1	8
2014-03-26 05:34:06.382853	19005	50	2	8
2014-03-26 05:34:21.257996	19006	18.0	1	1
2014-03-26 05:34:21.489047	19007	45	2	1
2014-03-26 05:34:32.665226	19008	354	3	2
2014-03-26 22:45:38.045037	32543	21.6	1	9
2014-03-26 22:45:38.272432	32544	48	2	9
2014-03-26 05:34:45.162642	19013	20.5	1	8
2014-03-26 05:34:45.395656	19014	50	2	8
2014-03-26 05:35:00.500044	19015	18.0	1	1
2014-03-26 05:35:00.723969	19016	45	2	1
2014-03-26 22:45:39.133738	32545	21.8	1	8
2014-03-26 22:45:39.367554	32546	48	2	8
2014-03-26 05:35:24.161478	19021	20.5	1	8
2014-03-26 05:35:24.3935	19022	50	2	8
2014-03-26 05:35:32.785043	19023	354	3	2
2014-03-26 05:35:39.440053	19024	18.0	1	1
2014-03-26 05:35:39.86089	19025	45	2	1
2014-03-26 22:45:53.670874	32547	20.2	1	1
2014-03-26 22:45:53.897558	32548	50	2	1
2014-03-26 05:36:03.161506	19030	20.5	1	8
2014-03-26 05:36:03.383035	19031	50	2	8
2014-03-26 05:36:18.263762	19032	18.0	1	1
2014-03-26 05:36:18.494869	19033	45	2	1
2014-03-26 05:36:32.658238	19034	354	3	2
2014-03-26 05:36:42.163036	19039	20.5	1	8
2014-03-26 05:36:42.393724	19040	50	2	8
2014-03-26 05:27:34.131514	18911	21.5	1	10
2014-03-26 05:27:34.351957	18912	47	2	10
2014-03-26 05:28:13.13132	18919	21.5	1	10
2014-03-26 05:28:13.354068	18920	47	2	10
2014-03-26 05:28:52.131344	18928	21.5	1	10
2014-03-26 05:28:52.353934	18929	47	2	10
2014-03-26 05:29:31.131223	18936	21.5	1	10
2014-03-26 05:29:31.363724	18937	47	2	10
2014-03-26 05:30:10.132402	18945	21.4	1	10
2014-03-26 05:30:10.355173	18946	47	2	10
2014-03-26 05:30:49.132383	18955	21.4	1	10
2014-03-26 05:30:49.365942	18956	47	2	10
2014-03-26 05:31:28.133327	18964	21.4	1	10
2014-03-26 05:31:28.356408	18965	47	2	10
2014-03-26 05:32:07.134723	18973	21.4	1	10
2014-03-26 05:32:07.358702	18974	47	2	10
2014-03-26 05:32:46.131872	18983	21.4	1	10
2014-03-26 05:32:46.367049	18984	47	2	10
2014-03-26 05:33:25.133019	18991	21.4	1	10
2014-03-26 05:33:25.36591	18992	47	2	10
2014-03-26 05:34:04.132951	19000	21.4	1	10
2014-03-26 05:34:04.355544	19001	47	2	10
2014-03-26 05:34:43.136063	19009	21.4	1	10
2014-03-26 05:34:43.358499	19010	47	2	10
2014-03-26 05:35:22.132817	19017	21.4	1	10
2014-03-26 05:35:22.36397	19018	47	2	10
2014-03-26 05:36:01.133585	19026	21.4	1	10
2014-03-26 05:36:01.355822	19027	47	2	10
2014-03-26 05:36:40.134259	19035	21.4	1	10
2014-03-26 05:36:57.256192	19041	18.0	1	1
2014-03-26 05:36:57.478253	19042	45	2	1
2014-03-26 22:45:56.552698	32549	402	3	2
2014-03-26 22:45:56.786242	32550	1088645.4266629708	4	2
2014-03-26 05:37:21.161533	19047	20.5	1	8
2014-03-26 05:37:21.396611	19048	50	2	8
2014-03-26 05:37:32.662695	19049	354	3	2
2014-03-26 05:37:36.263761	19050	18.0	1	1
2014-03-26 05:37:36.48823	19051	45	2	1
2014-03-26 05:37:44.659447	19052	418	3	2
2014-03-26 05:37:56.660571	19053	418	3	2
2014-03-26 22:46:06.718207	32551	24.3	1	10
2014-03-26 22:46:06.944494	32552	41	2	10
2014-03-26 05:38:00.490323	19058	20.5	1	8
2014-03-26 05:38:00.721918	19059	50	2	8
2014-03-26 05:38:15.260724	19060	18.0	1	1
2014-03-26 05:38:15.486152	19061	45	2	1
2014-03-26 05:38:32.658194	19062	418	3	2
2014-03-26 22:46:08.55446	32553	402	3	2
2014-03-26 22:46:08.789902	32554	1088646.575697692	4	2
2014-03-26 05:38:39.161621	19067	20.5	1	8
2014-03-26 05:38:39.383418	19068	50	2	8
2014-03-26 05:38:54.25844	19069	18.0	1	1
2014-03-26 05:38:54.503622	19070	45	2	1
2014-03-26 22:46:17.042534	32555	21.6	1	9
2014-03-26 22:46:17.267574	32556	48	2	9
2014-03-26 05:39:18.161812	19075	20.5	1	8
2014-03-26 05:39:18.385302	19076	50	2	8
2014-03-26 05:39:32.663781	19077	418	3	2
2014-03-26 05:39:33.257386	19078	18.0	1	1
2014-03-26 05:39:33.477973	19079	45	2	1
2014-03-26 22:46:18.133736	32557	21.8	1	8
2014-03-26 22:46:18.366929	32558	48	2	8
2014-03-26 05:39:57.161328	19084	20.5	1	8
2014-03-26 05:39:57.384144	19085	50	2	8
2014-03-26 05:40:12.256999	19086	18.0	1	1
2014-03-26 05:40:12.485487	19087	45	2	1
2014-03-26 05:40:32.6588	19088	418	3	2
2014-03-26 22:46:32.904034	32559	20.2	1	1
2014-03-26 22:46:33.128833	32560	50	2	1
2014-03-26 05:40:36.160959	19093	20.5	1	8
2014-03-26 05:40:36.383473	19094	50	2	8
2014-03-26 05:40:51.254638	19095	18.0	1	1
2014-03-26 05:40:51.485314	19096	45	2	1
2014-03-26 22:46:45.717854	32561	24.3	1	10
2014-03-26 22:46:45.952478	32562	41	2	10
2014-03-26 05:41:15.162235	19101	20.5	1	8
2014-03-26 05:41:15.384255	19102	50	2	8
2014-03-26 05:41:30.257491	19103	18.0	1	1
2014-03-26 05:41:30.488981	19104	45	2	1
2014-03-26 05:41:32.660086	19105	418	3	2
2014-03-26 22:46:56.046216	32563	21.6	1	9
2014-03-26 22:46:56.270708	32564	48	2	9
2014-03-26 05:41:54.162064	19110	20.5	1	8
2014-03-26 05:41:54.383921	19111	50	2	8
2014-03-26 05:42:09.255681	19112	18.0	1	1
2014-03-26 05:42:09.477249	19113	45	2	1
2014-03-26 22:46:57.134648	32565	21.8	1	8
2014-03-26 22:46:57.379815	32566	48	2	8
2014-03-26 05:42:32.661259	19118	402	3	2
2014-03-26 05:42:33.163013	19119	20.5	1	8
2014-03-26 05:42:33.385573	19120	50	2	8
2014-03-26 05:42:44.66046	19121	354	3	2
2014-03-26 05:42:48.258918	19122	18.0	1	1
2014-03-26 05:42:48.480888	19123	45	2	1
2014-03-26 05:42:56.663427	19124	354	3	2
2014-03-26 22:47:11.666152	32567	20.2	1	1
2014-03-26 22:47:11.891062	32568	50	2	1
2014-03-26 05:43:12.161228	19129	20.5	1	8
2014-03-26 05:43:12.390627	19130	50	2	8
2014-03-26 05:43:27.256681	19131	18.0	1	1
2014-03-26 05:43:27.48044	19132	45	2	1
2014-03-26 05:43:32.65858	19133	354	3	2
2014-03-26 22:47:24.717438	32569	24.2	1	10
2014-03-26 22:47:24.952716	32570	41	2	10
2014-03-26 05:43:51.161639	19138	20.5	1	8
2014-03-26 05:43:51.382578	19139	50	2	8
2014-03-26 05:44:06.254523	19140	18.0	1	1
2014-03-26 05:44:06.489847	19141	45	2	1
2014-03-26 22:47:32.556015	32571	338	3	2
2014-03-26 22:47:32.780343	32572	1088655.7679754635	4	2
2014-03-26 05:44:30.50078	19146	20.5	1	8
2014-03-26 05:44:30.72334	19147	50	2	8
2014-03-26 05:44:32.656759	19148	354	3	2
2014-03-26 05:44:45.251034	19149	18.0	1	1
2014-03-26 05:44:45.474069	19150	45	2	1
2014-03-26 22:47:35.04372	32573	21.6	1	9
2014-03-26 22:47:35.285781	32574	48	2	9
2014-03-26 05:45:09.162238	19155	20.5	1	8
2014-03-26 05:45:09.386188	19156	50	2	8
2014-03-26 05:45:24.254159	19157	18.0	1	1
2014-03-26 05:45:24.476469	19158	45	2	1
2014-03-26 05:45:32.661592	19159	354	3	2
2014-03-26 22:47:36.135756	32575	21.8	1	8
2014-03-26 22:47:36.358022	32576	48	2	8
2014-03-26 05:45:48.290011	19164	20.5	1	8
2014-03-26 05:45:48.710132	19165	50	2	8
2014-03-26 05:46:03.249709	19166	18.0	1	1
2014-03-26 05:46:03.482653	19167	45	2	1
2014-03-26 22:47:44.555509	32577	338	3	2
2014-03-26 05:46:27.496406	19172	20.5	1	8
2014-03-26 05:46:27.719449	19173	50	2	8
2014-03-26 05:46:32.658711	19174	354	3	2
2014-03-26 05:46:42.254422	19175	18.0	1	1
2014-03-26 05:46:42.478259	19176	45	2	1
2014-03-26 05:37:19.13573	19043	21.4	1	10
2014-03-26 05:37:19.369524	19044	47	2	10
2014-03-26 05:37:58.134229	19054	21.4	1	10
2014-03-26 05:37:58.366507	19055	47	2	10
2014-03-26 05:38:37.134686	19063	21.3	1	10
2014-03-26 05:38:37.356674	19064	47	2	10
2014-03-26 05:39:16.134016	19071	21.3	1	10
2014-03-26 05:39:16.356315	19072	47	2	10
2014-03-26 05:39:55.134886	19080	21.3	1	10
2014-03-26 05:39:55.358743	19081	47	2	10
2014-03-26 05:40:34.135221	19089	21.3	1	10
2014-03-26 05:40:34.356342	19090	47	2	10
2014-03-26 05:41:13.134883	19097	21.3	1	10
2014-03-26 05:41:13.357061	19098	47	2	10
2014-03-26 05:41:52.138064	19106	21.3	1	10
2014-03-26 05:41:52.359697	19107	47	2	10
2014-03-26 05:42:31.137684	19114	21.3	1	10
2014-03-26 05:42:31.383001	19115	47	2	10
2014-03-26 05:43:10.134843	19125	21.3	1	10
2014-03-26 05:43:10.359319	19126	47	2	10
2014-03-26 05:43:49.13589	19134	21.3	1	10
2014-03-26 05:43:49.357976	19135	47	2	10
2014-03-26 05:44:28.135919	19142	21.3	1	10
2014-03-26 05:44:28.358115	19143	47	2	10
2014-03-26 05:45:07.136316	19151	21.3	1	10
2014-03-26 05:45:07.415041	19152	47	2	10
2014-03-26 05:45:46.269643	19160	21.3	1	10
2014-03-26 05:45:46.679887	19161	47	2	10
2014-03-26 22:47:44.791981	32578	1088656.9170101848	4	2
2014-03-26 22:47:50.665967	32579	20.2	1	1
2014-03-26 05:47:06.161921	19181	20.5	1	8
2014-03-26 05:47:06.393339	19182	50	2	8
2014-03-26 05:47:21.249247	19183	18.0	1	1
2014-03-26 05:47:21.471657	19184	45	2	1
2014-03-26 05:47:32.663563	19185	354	3	2
2014-03-26 22:47:50.890398	32580	50	2	1
2014-03-26 22:48:03.718547	32581	24.2	1	10
2014-03-26 05:47:45.162468	19190	20.5	1	8
2014-03-26 05:47:45.385368	19191	50	2	8
2014-03-26 05:48:00.056202	19192	289	3	2
2014-03-26 05:48:00.373247	19193	18.0	1	1
2014-03-26 05:48:00.595593	19194	45	2	1
2014-03-26 05:48:08.661511	19195	305	3	2
2014-03-26 22:48:03.952725	32582	41	2	10
2014-03-26 22:48:14.25628	32583	21.6	1	9
2014-03-26 05:48:24.160111	19200	20.5	1	8
2014-03-26 05:48:24.383925	19201	50	2	8
2014-03-26 05:48:32.660506	19202	305	3	2
2014-03-26 05:48:39.254256	19203	18.0	1	1
2014-03-26 05:48:39.47788	19204	45	2	1
2014-03-26 22:48:14.481187	32584	48	2	9
2014-03-26 22:48:15.132684	32585	21.8	1	8
2014-03-26 05:49:03.160668	19209	20.5	1	8
2014-03-26 05:49:03.393241	19210	50	2	8
2014-03-26 05:49:18.249345	19211	18.0	1	1
2014-03-26 05:49:18.473598	19212	45	2	1
2014-03-26 05:49:32.663044	19213	289	3	2
2014-03-26 22:48:15.367488	32586	48	2	8
2014-03-26 22:48:29.668825	32587	20.2	1	1
2014-03-26 05:49:42.161213	19218	20.5	1	8
2014-03-26 05:49:42.384224	19219	50	2	8
2014-03-26 05:49:44.662257	19220	354	3	2
2014-03-26 05:49:56.658753	19221	338	3	2
2014-03-26 05:49:57.25024	19222	18.0	1	1
2014-03-26 05:49:57.471766	19223	45	2	1
2014-03-26 22:48:29.893722	32588	50	2	1
2014-03-26 22:48:32.553345	32589	338	3	2
2014-03-26 05:50:21.160111	19228	20.5	1	8
2014-03-26 05:50:21.382741	19229	50	2	8
2014-03-26 05:50:32.658461	19230	354	3	2
2014-03-26 05:50:36.292227	19231	18.0	1	1
2014-03-26 05:50:36.513557	19232	45	2	1
2014-03-26 22:48:32.786524	32590	1088661.5131490706	4	2
2014-03-26 22:48:42.716282	32591	24.2	1	10
2014-03-26 05:51:00.161644	19237	20.5	1	8
2014-03-26 05:51:00.392464	19238	50	2	8
2014-03-26 05:51:15.253284	19239	18.0	1	1
2014-03-26 05:51:15.475933	19240	45	2	1
2014-03-26 05:51:32.660482	19241	354	3	2
2014-03-26 22:48:42.941603	32592	41	2	10
2014-03-26 22:48:53.045163	32593	21.6	1	9
2014-03-26 05:51:39.160453	19246	20.5	1	8
2014-03-26 05:51:39.380833	19247	50	2	8
2014-03-26 05:51:54.25209	19248	18.0	1	1
2014-03-26 05:51:54.482709	19249	45	2	1
2014-03-26 22:48:53.279764	32594	48	2	9
2014-03-26 22:48:54.134956	32595	21.8	1	8
2014-03-26 05:52:18.160805	19254	20.5	1	8
2014-03-26 05:52:18.382622	19255	50	2	8
2014-03-26 05:52:32.655311	19256	338	3	2
2014-03-26 05:52:33.249342	19257	18.0	1	1
2014-03-26 05:52:33.470963	19258	45	2	1
2014-03-26 22:48:54.360677	32596	48	2	8
2014-03-26 22:49:08.905323	32597	20.2	1	1
2014-03-26 05:52:57.161665	19263	20.5	1	8
2014-03-26 05:52:57.38328	19264	50	2	8
2014-03-26 05:53:12.250538	19265	18.0	1	1
2014-03-26 05:53:12.472854	19266	45	2	1
2014-03-26 05:53:32.661525	19267	338	3	2
2014-03-26 22:49:09.139064	32598	50	2	1
2014-03-26 22:49:20.553765	32599	370	3	2
2014-03-26 05:53:36.161615	19272	20.5	1	8
2014-03-26 05:53:36.386409	19273	50	2	8
2014-03-26 05:53:51.248538	19274	18.0	1	1
2014-03-26 05:53:51.470748	19275	45	2	1
2014-03-26 22:49:20.778429	32600	1088666.1092879563	4	2
2014-03-26 22:49:21.719148	32601	24.2	1	10
2014-03-26 05:54:15.160283	19280	20.5	1	8
2014-03-26 05:54:15.3844	19281	50	2	8
2014-03-26 05:54:30.247383	19282	18.0	1	1
2014-03-26 05:54:30.481941	19283	45	2	1
2014-03-26 05:54:32.658853	19284	354	3	2
2014-03-26 22:49:21.951363	32602	41	2	10
2014-03-26 22:49:32.045462	32603	21.6	1	9
2014-03-26 05:54:54.1607	19289	20.5	1	8
2014-03-26 05:54:54.401961	19290	50	2	8
2014-03-26 05:54:56.661066	19291	305	3	2
2014-03-26 05:55:08.65654	19292	289	3	2
2014-03-26 05:55:09.245968	19293	18.0	1	1
2014-03-26 05:55:09.479123	19294	45	2	1
2014-03-26 22:49:32.27058	32604	48	2	9
2014-03-26 22:49:32.580264	32605	370	3	2
2014-03-26 05:55:32.660174	19299	305	3	2
2014-03-26 05:55:33.160656	19300	20.5	1	8
2014-03-26 05:55:33.416004	19301	50	2	8
2014-03-26 05:55:48.248697	19302	18.0	1	1
2014-03-26 05:55:48.504536	19303	45	2	1
2014-03-26 22:49:32.814227	32606	1088667.2583226776	4	2
2014-03-26 05:56:12.509929	19308	20.5	1	8
2014-03-26 05:56:13.050089	19309	50	2	8
2014-03-26 05:56:27.246968	19310	18.0	1	1
2014-03-26 05:56:27.501156	19311	45	2	1
2014-03-26 05:56:32.660636	19312	305	3	2
2014-03-26 05:47:04.135672	19177	21.3	1	10
2014-03-26 05:47:04.359004	19178	47	2	10
2014-03-26 05:47:43.139098	19186	21.3	1	10
2014-03-26 05:47:43.36308	19187	47	2	10
2014-03-26 05:48:22.137836	19196	21.2	1	10
2014-03-26 05:48:22.361611	19197	47	2	10
2014-03-26 05:49:01.137676	19205	21.2	1	10
2014-03-26 05:49:01.361863	19206	47	2	10
2014-03-26 05:49:40.138046	19214	21.2	1	10
2014-03-26 05:49:40.360658	19215	47	2	10
2014-03-26 05:50:19.13797	19224	21.2	1	10
2014-03-26 05:50:19.36005	19225	47	2	10
2014-03-26 05:50:58.138202	19233	21.2	1	10
2014-03-26 05:50:58.360574	19234	47	2	10
2014-03-26 05:51:37.139249	19242	21.2	1	10
2014-03-26 05:51:37.361549	19243	47	2	10
2014-03-26 05:52:16.139218	19250	21.2	1	10
2014-03-26 05:52:16.361387	19251	47	2	10
2014-03-26 05:52:55.140822	19259	21.2	1	10
2014-03-26 05:52:55.3635	19260	47	2	10
2014-03-26 05:53:34.138943	19268	21.2	1	10
2014-03-26 05:53:34.362464	19269	47	2	10
2014-03-26 05:54:13.140007	19276	21.2	1	10
2014-03-26 05:54:13.363313	19277	47	2	10
2014-03-26 05:54:52.140011	19285	21.2	1	10
2014-03-26 05:54:52.362979	19286	47	2	10
2014-03-26 05:55:31.139842	19295	21.2	1	10
2014-03-26 05:55:31.393833	19296	47	2	10
2014-03-26 22:49:33.134611	32607	21.8	1	8
2014-03-26 22:49:33.359059	32608	48	2	8
2014-03-26 05:56:51.161022	19317	20.5	1	8
2014-03-26 05:56:51.386871	19318	50	2	8
2014-03-26 05:57:06.243563	19319	18.0	1	1
2014-03-26 05:57:06.474329	19320	45	2	1
2014-03-26 22:49:47.665401	32609	20.2	1	1
2014-03-26 22:49:47.899853	32610	50	2	1
2014-03-26 05:57:30.160535	19325	20.5	1	8
2014-03-26 05:57:30.385599	19326	50	2	8
2014-03-26 05:57:32.660021	19327	289	3	2
2014-03-26 05:57:45.247964	19328	18.0	1	1
2014-03-26 05:57:45.484477	19329	45	2	1
2014-03-26 22:50:00.719276	32611	24.2	1	10
2014-03-26 22:50:00.943829	32612	41	2	10
2014-03-26 05:58:09.162422	19334	20.5	1	8
2014-03-26 05:58:09.404449	19335	50	2	8
2014-03-26 05:58:24.248061	19336	18.0	1	1
2014-03-26 05:58:24.468447	19337	45	2	1
2014-03-26 05:58:32.657188	19338	289	3	2
2014-03-26 22:50:11.045511	32613	21.6	1	9
2014-03-26 22:50:11.290803	32614	48	2	9
2014-03-26 05:58:48.162979	19343	20.5	1	8
2014-03-26 05:58:48.383496	19344	49	2	8
2014-03-26 05:59:03.243585	19345	18.0	1	1
2014-03-26 05:59:03.479717	19346	45	2	1
2014-03-26 22:50:12.132574	32615	21.7	1	8
2014-03-26 22:50:12.355717	32616	48	2	8
2014-03-26 05:59:27.161447	19351	20.4	1	8
2014-03-26 05:59:27.384687	19352	49	2	8
2014-03-26 05:59:32.661776	19353	289	3	2
2014-03-26 05:59:42.24744	19354	18.0	1	1
2014-03-26 05:59:42.474502	19355	45	2	1
2014-03-26 22:50:26.665244	32617	20.2	1	1
2014-03-26 22:50:26.898917	32618	50	2	1
2014-03-26 06:00:06.160706	19360	20.4	1	8
2014-03-26 06:00:06.394671	19361	50	2	8
2014-03-26 06:00:21.245645	19362	18.0	1	1
2014-03-26 06:00:21.472797	19363	45	2	1
2014-03-26 06:00:32.658035	19364	305	3	2
2014-03-26 22:50:32.550001	32619	370	3	2
2014-03-26 22:50:32.775626	32620	1088673.0034962846	4	2
2014-03-26 06:00:45.161283	19369	20.4	1	8
2014-03-26 06:00:45.390898	19370	49	2	8
2014-03-26 06:01:00.244859	19371	17.9	1	1
2014-03-26 06:01:00.47566	19372	45	2	1
2014-03-26 22:50:39.721459	32621	24.2	1	10
2014-03-26 22:50:39.954237	32622	41	2	10
2014-03-26 06:01:24.160634	19377	20.4	1	8
2014-03-26 06:01:24.382998	19378	49	2	8
2014-03-26 06:01:32.657622	19379	289	3	2
2014-03-26 06:01:39.244555	19380	17.9	1	1
2014-03-26 06:01:39.467092	19381	45	2	1
2014-03-26 22:50:50.044887	32623	21.6	1	9
2014-03-26 22:50:50.272966	32624	48	2	9
2014-03-26 06:02:03.161156	19386	20.4	1	8
2014-03-26 06:02:03.386374	19387	49	2	8
2014-03-26 06:02:08.659094	19388	354	3	2
2014-03-26 06:02:18.245062	19389	17.9	1	1
2014-03-26 06:02:18.653142	19390	45	2	1
2014-03-26 06:02:20.657895	19391	354	3	2
2014-03-26 06:02:32.660055	19392	354	3	2
2014-03-26 22:50:51.133073	32625	21.7	1	8
2014-03-26 22:50:51.368696	32626	48	2	8
2014-03-26 06:02:42.161668	19397	20.4	1	8
2014-03-26 06:02:42.392931	19398	49	2	8
2014-03-26 06:02:57.244294	19399	17.9	1	1
2014-03-26 06:02:57.467165	19400	45	2	1
2014-03-26 22:51:05.663273	32627	20.2	1	1
2014-03-26 22:51:05.888273	32628	50	2	1
2014-03-26 06:03:21.162455	19405	20.4	1	8
2014-03-26 06:03:21.393535	19406	49	2	8
2014-03-26 06:03:32.659296	19407	338	3	2
2014-03-26 06:03:36.245043	19408	17.9	1	1
2014-03-26 06:03:36.466282	19409	45	2	1
2014-03-26 22:51:18.718138	32629	24.2	1	10
2014-03-26 22:51:18.95474	32630	41	2	10
2014-03-26 06:04:00.164152	19414	20.4	1	8
2014-03-26 06:04:00.387511	19415	49	2	8
2014-03-26 06:04:15.247483	19416	17.9	1	1
2014-03-26 06:04:15.683691	19417	45	2	1
2014-03-26 06:04:32.664796	19418	354	3	2
2014-03-26 22:51:29.044855	32631	21.6	1	9
2014-03-26 22:51:29.267399	32632	48	2	9
2014-03-26 06:04:39.163006	19423	20.4	1	8
2014-03-26 06:04:39.409559	19424	49	2	8
2014-03-26 06:04:54.243375	19425	17.9	1	1
2014-03-26 06:04:54.467924	19426	45	2	1
2014-03-26 22:51:30.171309	32633	21.7	1	8
2014-03-26 22:51:30.421739	32634	48	2	8
2014-03-26 06:05:18.160457	19431	20.4	1	8
2014-03-26 06:05:18.382748	19432	49	2	8
2014-03-26 06:05:32.656692	19433	338	3	2
2014-03-26 06:05:33.243886	19434	17.9	1	1
2014-03-26 06:05:33.465659	19435	45	2	1
2014-03-26 22:51:32.556984	32635	370	3	2
2014-03-26 22:51:32.780145	32636	1088679.8977046132	4	2
2014-03-26 06:05:57.16018	19440	20.4	1	8
2014-03-26 06:05:57.391691	19441	49	2	8
2014-03-26 06:06:12.48332	19442	17.9	1	1
2014-03-26 06:06:12.705961	19443	45	2	1
2014-03-26 06:06:32.656923	19444	338	3	2
2014-03-26 22:51:44.906492	32637	20.2	1	1
2014-03-26 05:56:49.140867	19313	21.2	1	10
2014-03-26 05:56:49.363572	19314	47	2	10
2014-03-26 05:57:28.140104	19321	21.1	1	10
2014-03-26 05:57:28.364691	19322	47	2	10
2014-03-26 05:58:07.14192	19330	21.1	1	10
2014-03-26 05:58:07.373221	19331	47	2	10
2014-03-26 05:58:46.140536	19339	21.1	1	10
2014-03-26 05:58:46.36816	19340	47	2	10
2014-03-26 05:59:25.14238	19347	21.1	1	10
2014-03-26 05:59:25.366893	19348	47	2	10
2014-03-26 06:00:04.14139	19356	21.1	1	10
2014-03-26 06:00:04.377723	19357	47	2	10
2014-03-26 06:00:43.14157	19365	21.1	1	10
2014-03-26 06:00:43.363651	19366	47	2	10
2014-03-26 06:01:22.142523	19373	21.1	1	10
2014-03-26 06:01:22.365995	19374	47	2	10
2014-03-26 06:02:01.141408	19382	21.1	1	10
2014-03-26 06:02:01.376369	19383	47	2	10
2014-03-26 06:02:40.142435	19393	21.1	1	10
2014-03-26 06:02:40.433488	19394	47	2	10
2014-03-26 06:03:19.143915	19401	21.1	1	10
2014-03-26 06:03:19.377548	19402	47	2	10
2014-03-26 06:03:58.145226	19410	21.1	1	10
2014-03-26 06:03:58.367793	19411	47	2	10
2014-03-26 06:04:37.14297	19419	21.1	1	10
2014-03-26 06:04:37.368751	19420	47	2	10
2014-03-26 06:05:16.142853	19427	21.1	1	10
2014-03-26 06:05:16.564302	19428	47	2	10
2014-03-26 06:05:55.142465	19436	21.1	1	10
2014-03-26 06:05:55.372263	19437	47	2	10
2014-03-26 06:06:36.160748	19449	20.4	1	8
2014-03-26 06:06:36.381414	19450	49	2	8
2014-03-26 06:06:51.24326	19451	17.9	1	1
2014-03-26 06:06:51.476102	19452	45	2	1
2014-03-26 06:07:08.65619	19453	305	3	2
2014-03-26 22:51:45.140009	32638	50	2	1
2014-03-26 22:51:56.552575	32639	370	3	2
2014-03-26 06:07:15.160316	19458	20.4	1	8
2014-03-26 06:07:15.3905	19459	49	2	8
2014-03-26 06:07:20.655923	19460	289	3	2
2014-03-26 06:07:30.242358	19461	17.9	1	1
2014-03-26 06:07:30.471196	19462	45	2	1
2014-03-26 06:07:32.65794	19463	289	3	2
2014-03-26 22:51:56.776876	32640	1088682.195774056	4	2
2014-03-26 22:51:57.719877	32641	24.2	1	10
2014-03-26 06:07:54.160097	19468	20.4	1	8
2014-03-26 06:07:54.400236	19469	49	2	8
2014-03-26 06:08:09.241874	19470	17.9	1	1
2014-03-26 06:08:09.463488	19471	45	2	1
2014-03-26 22:51:57.955109	32642	41	2	10
2014-03-26 22:52:08.047092	32643	21.6	1	9
2014-03-26 06:08:33.04226	19476	289	3	2
2014-03-26 06:08:33.355539	19477	20.4	1	8
2014-03-26 06:08:33.57669	19478	49	2	8
2014-03-26 06:08:48.240089	19479	17.9	1	1
2014-03-26 06:08:48.470352	19480	45	2	1
2014-03-26 22:52:08.270594	32644	48	2	9
2014-03-26 22:52:08.578526	32645	370	3	2
2014-03-26 06:09:12.16257	19485	20.4	1	8
2014-03-26 06:09:12.385548	19486	49	2	8
2014-03-26 06:09:27.240331	19487	17.9	1	1
2014-03-26 06:09:27.472033	19488	45	2	1
2014-03-26 06:09:32.65641	19489	289	3	2
2014-03-26 22:52:08.811674	32646	1088683.3448087773	4	2
2014-03-26 22:52:09.133847	32647	21.7	1	8
2014-03-26 06:09:51.160364	19494	20.4	1	8
2014-03-26 06:09:51.382757	19495	49	2	8
2014-03-26 06:10:06.239906	19496	17.9	1	1
2014-03-26 06:10:06.463281	19497	45	2	1
2014-03-26 22:52:09.356759	32648	48	2	8
2014-03-26 22:52:23.664332	32649	20.2	1	1
2014-03-26 06:10:30.160858	19502	20.4	1	8
2014-03-26 06:10:30.392743	19503	49	2	8
2014-03-26 06:10:32.660368	19504	289	3	2
2014-03-26 06:10:45.239913	19505	17.9	1	1
2014-03-26 06:10:45.474465	19506	45	2	1
2014-03-26 22:52:23.898503	32650	50	2	1
2014-03-26 22:52:32.552857	32651	370	3	2
2014-03-26 06:11:09.161538	19511	20.4	1	8
2014-03-26 06:11:09.381301	19512	49	2	8
2014-03-26 06:11:24.240449	19513	17.9	1	1
2014-03-26 06:11:24.482366	19514	45	2	1
2014-03-26 06:11:32.659302	19515	289	3	2
2014-03-26 22:52:32.777899	32652	1088685.6428782202	4	2
2014-03-26 22:52:36.719508	32653	24.2	1	10
2014-03-26 06:11:48.160688	19520	20.4	1	8
2014-03-26 06:11:48.381425	19521	49	2	8
2014-03-26 06:12:03.236676	19522	17.9	1	1
2014-03-26 06:12:03.458836	19523	45	2	1
2014-03-26 22:52:36.953275	32654	41	2	10
2014-03-26 22:52:47.045395	32655	21.6	1	9
2014-03-26 06:12:27.160508	19528	20.4	1	8
2014-03-26 06:12:27.382396	19529	49	2	8
2014-03-26 06:12:32.660841	19530	289	3	2
2014-03-26 06:12:42.240544	19531	17.9	1	1
2014-03-26 06:12:42.463322	19532	45	2	1
2014-03-26 22:52:47.269846	32656	48	2	9
2014-03-26 22:52:48.133819	32657	21.7	1	8
2014-03-26 06:13:06.160985	19537	20.4	1	8
2014-03-26 06:13:06.381721	19538	49	2	8
2014-03-26 06:13:21.243033	19539	17.9	1	1
2014-03-26 06:13:21.463619	19540	45	2	1
2014-03-26 06:13:32.65955	19541	289	3	2
2014-03-26 22:52:48.367401	32658	48	2	8
2014-03-26 22:53:02.664271	32659	20.2	1	1
2014-03-26 06:13:45.160569	19546	20.4	1	8
2014-03-26 06:13:45.429539	19547	49	2	8
2014-03-26 06:14:00.238062	19548	17.9	1	1
2014-03-26 06:14:00.66367	19549	45	2	1
2014-03-26 06:14:08.660436	19550	338	3	2
2014-03-26 06:14:20.658327	19551	354	3	2
2014-03-26 22:53:02.890656	32660	50	2	1
2014-03-26 22:53:15.719606	32661	24.2	1	10
2014-03-26 06:14:24.163488	19556	20.4	1	8
2014-03-26 06:14:24.385109	19557	49	2	8
2014-03-26 06:14:32.656368	19558	338	3	2
2014-03-26 06:14:39.239888	19559	17.9	1	1
2014-03-26 06:14:39.461191	19560	45	2	1
2014-03-26 22:53:15.96344	32662	41	2	10
2014-03-26 22:53:26.044683	32663	21.6	1	9
2014-03-26 06:15:03.160029	19565	20.4	1	8
2014-03-26 06:15:03.393253	19566	49	2	8
2014-03-26 06:15:18.240833	19567	17.9	1	1
2014-03-26 06:15:18.461523	19568	45	2	1
2014-03-26 06:15:32.660297	19569	354	3	2
2014-03-26 22:53:26.269438	32664	48	2	9
2014-03-26 22:53:27.133548	32665	21.7	1	8
2014-03-26 06:15:42.160756	19574	20.4	1	8
2014-03-26 06:15:42.382538	19575	49	2	8
2014-03-26 06:15:57.238138	19576	17.9	1	1
2014-03-26 06:15:57.471264	19577	45	2	1
2014-03-26 22:53:27.367503	32666	48	2	8
2014-03-26 06:16:21.160561	19582	20.4	1	8
2014-03-26 06:16:21.382264	19583	49	2	8
2014-03-26 06:16:32.789994	19584	354	3	2
2014-03-26 06:07:13.143372	19454	21.0	1	10
2014-03-26 06:07:13.372803	19455	47	2	10
2014-03-26 06:07:52.143736	19464	21.0	1	10
2014-03-26 06:07:52.365054	19465	47	2	10
2014-03-26 06:08:31.144077	19472	21.0	1	10
2014-03-26 06:08:31.377649	19473	47	2	10
2014-03-26 06:09:10.145968	19481	21.0	1	10
2014-03-26 06:09:10.366692	19482	47	2	10
2014-03-26 06:09:49.144032	19490	21.0	1	10
2014-03-26 06:09:49.366923	19491	47	2	10
2014-03-26 06:10:28.145173	19498	21.0	1	10
2014-03-26 06:10:28.378072	19499	46	2	10
2014-03-26 06:11:07.145325	19507	21.0	1	10
2014-03-26 06:11:07.368142	19508	46	2	10
2014-03-26 06:11:46.144654	19516	21.0	1	10
2014-03-26 06:11:46.366611	19517	46	2	10
2014-03-26 06:12:25.145521	19524	21.0	1	10
2014-03-26 06:12:25.367289	19525	46	2	10
2014-03-26 06:13:04.14391	19533	21.0	1	10
2014-03-26 06:13:04.366228	19534	46	2	10
2014-03-26 06:13:43.147348	19542	21.0	1	10
2014-03-26 06:13:43.555184	19543	46	2	10
2014-03-26 06:14:22.148774	19552	21.0	1	10
2014-03-26 06:14:22.373333	19553	46	2	10
2014-03-26 06:15:01.144511	19561	21.0	1	10
2014-03-26 06:15:01.379358	19562	46	2	10
2014-03-26 06:15:40.146104	19570	21.0	1	10
2014-03-26 06:15:40.369034	19571	46	2	10
2014-03-26 06:16:36.370002	19585	17.9	1	1
2014-03-26 06:16:36.789909	19586	45	2	1
2014-03-26 22:53:32.550909	32667	305	3	2
2014-03-26 22:53:32.77611	32668	1088691.3880518272	4	2
2014-03-26 06:17:00.161839	19591	20.4	1	8
2014-03-26 06:17:00.392397	19592	49	2	8
2014-03-26 06:17:15.240142	19593	17.9	1	1
2014-03-26 06:17:15.462522	19594	45	2	1
2014-03-26 06:17:32.66101	19595	354	3	2
2014-03-26 22:53:41.665344	32669	20.2	1	1
2014-03-26 22:53:41.901061	32670	50	2	1
2014-03-26 06:17:39.161922	19600	20.4	1	8
2014-03-26 06:17:39.383606	19601	49	2	8
2014-03-26 06:17:54.233787	19602	17.9	1	1
2014-03-26 06:17:54.474772	19603	45	2	1
2014-03-26 22:53:44.551697	32671	305	3	2
2014-03-26 22:53:44.774743	32672	1088692.5370865487	4	2
2014-03-26 06:18:18.162204	19608	20.4	1	8
2014-03-26 06:18:18.38168	19609	49	2	8
2014-03-26 06:18:32.65506	19610	354	3	2
2014-03-26 06:18:33.233627	19611	17.9	1	1
2014-03-26 06:18:33.454141	19612	45	2	1
2014-03-26 22:53:54.720502	32673	24.2	1	10
2014-03-26 22:53:54.954383	32674	41	2	10
2014-03-26 06:18:57.16063	19617	20.4	1	8
2014-03-26 06:18:57.392618	19618	49	2	8
2014-03-26 06:19:08.658623	19619	305	3	2
2014-03-26 06:19:12.236105	19620	17.9	1	1
2014-03-26 06:19:12.459091	19621	45	2	1
2014-03-26 06:19:32.513703	19622	305	3	2
2014-03-26 06:19:32.822427	19623	305	3	2
2014-03-26 22:53:56.555328	32675	338	3	2
2014-03-26 22:53:56.799621	32676	1088693.68612127	4	2
2014-03-26 06:19:36.162303	19628	20.4	1	8
2014-03-26 06:19:36.393413	19629	49	2	8
2014-03-26 06:19:51.235597	19630	17.9	1	1
2014-03-26 06:19:51.457645	19631	45	2	1
2014-03-26 22:54:05.044431	32677	21.6	1	9
2014-03-26 22:54:05.279255	32678	48	2	9
2014-03-26 06:20:15.485345	19636	20.4	1	8
2014-03-26 06:20:15.716305	19637	49	2	8
2014-03-26 06:20:30.2368	19638	17.9	1	1
2014-03-26 06:20:30.459073	19639	45	2	1
2014-03-26 06:20:32.659599	19640	289	3	2
2014-03-26 22:54:06.135173	32679	21.7	1	8
2014-03-26 22:54:06.360861	32680	48	2	8
2014-03-26 06:20:54.161711	19643	20.4	1	8
2014-03-26 06:20:54.383425	19644	49	2	8
2014-03-26 06:21:09.232738	19645	17.9	1	1
2014-03-26 06:21:09.456289	19646	45	2	1
2014-03-26 22:54:08.555026	32681	338	3	2
2014-03-26 22:54:08.788958	32682	1088694.8351559916	4	2
2014-03-26 06:21:32.657772	19651	289	3	2
2014-03-26 06:21:33.375631	19652	20.4	1	8
2014-03-26 06:21:33.609988	19653	49	2	8
2014-03-26 06:21:48.233834	19654	17.9	1	1
2014-03-26 06:21:48.458634	19655	45	2	1
2014-03-26 22:54:20.662166	32683	20.2	1	1
2014-03-26 22:54:20.887783	32684	50	2	1
2014-03-26 06:22:12.161633	19660	20.4	1	8
2014-03-26 06:22:12.393501	19661	49	2	8
2014-03-26 06:22:27.233122	19662	17.9	1	1
2014-03-26 06:22:27.456923	19663	45	2	1
2014-03-26 06:22:32.66147	19664	305	3	2
2014-03-26 22:54:32.553267	32685	305	3	2
2014-03-26 22:54:32.787665	32686	1088697.1332254345	4	2
2014-03-26 06:22:51.496913	19669	20.4	1	8
2014-03-26 06:22:51.719496	19670	49	2	8
2014-03-26 06:23:06.236309	19671	17.9	1	1
2014-03-26 06:23:06.468871	19672	45	2	1
2014-03-26 22:54:33.720464	32687	24.2	1	10
2014-03-26 22:54:33.944639	32688	41	2	10
2014-03-26 06:23:30.161882	19677	20.4	1	8
2014-03-26 06:23:30.38264	19678	49	2	8
2014-03-26 06:23:32.656014	19679	305	3	2
2014-03-26 06:23:45.231272	19680	17.9	1	1
2014-03-26 06:23:45.454138	19681	45	2	1
2014-03-26 22:54:44.045393	32689	21.6	1	9
2014-03-26 22:54:44.278286	32690	48	2	9
2014-03-26 06:24:09.160381	19686	20.4	1	8
2014-03-26 06:24:09.392573	19687	49	2	8
2014-03-26 06:24:24.235303	19688	17.9	1	1
2014-03-26 06:24:24.45667	19689	45	2	1
2014-03-26 06:24:32.657479	19690	289	3	2
2014-03-26 22:54:44.587322	32691	338	3	2
2014-03-26 22:54:44.811179	32692	1088698.2822601558	4	2
2014-03-26 06:24:48.50712	19695	20.4	1	8
2014-03-26 06:24:48.727341	19696	49	2	8
2014-03-26 06:25:03.359908	19697	17.9	1	1
2014-03-26 06:25:03.799941	19698	45	2	1
2014-03-26 22:54:45.135745	32693	21.7	1	8
2014-03-26 22:54:45.370713	32694	48	2	8
2014-03-26 06:25:27.163877	19703	20.4	1	8
2014-03-26 06:25:27.384639	19704	49	2	8
2014-03-26 06:25:32.655391	19705	289	3	2
2014-03-26 06:25:42.232417	19706	17.9	1	1
2014-03-26 06:25:42.454745	19707	45	2	1
2014-03-26 22:54:56.552843	32695	338	3	2
2014-03-26 06:26:06.163023	19712	20.4	1	8
2014-03-26 06:26:06.394327	19713	49	2	8
2014-03-26 06:26:08.656375	19714	354	3	2
2014-03-26 06:26:20.657497	19715	338	3	2
2014-03-26 06:26:21.230517	19716	17.9	1	1
2014-03-26 06:26:21.464063	19717	45	2	1
2014-03-26 06:26:32.655252	19718	338	3	2
2014-03-26 06:16:58.147188	19587	20.9	1	10
2014-03-26 06:16:58.377852	19588	47	2	10
2014-03-26 06:17:37.152383	19596	20.9	1	10
2014-03-26 06:17:37.377054	19597	47	2	10
2014-03-26 06:18:16.148016	19604	20.9	1	10
2014-03-26 06:18:16.372042	19605	47	2	10
2014-03-26 06:18:55.147639	19613	20.9	1	10
2014-03-26 06:18:55.379278	19614	47	2	10
2014-03-26 06:19:34.150084	19624	20.9	1	10
2014-03-26 06:19:34.38074	19625	47	2	10
2014-03-26 06:20:13.15033	19632	20.9	1	10
2014-03-26 06:20:13.387321	19633	47	2	10
2014-03-26 06:21:31.150284	19647	20.9	1	10
2014-03-26 06:21:31.372384	19648	47	2	10
2014-03-26 06:22:10.150241	19656	20.9	1	10
2014-03-26 06:22:10.383733	19657	47	2	10
2014-03-26 06:22:49.149724	19665	20.9	1	10
2014-03-26 06:22:49.374859	19666	47	2	10
2014-03-26 06:23:28.148515	19673	20.9	1	10
2014-03-26 06:23:28.371609	19674	47	2	10
2014-03-26 06:24:07.150204	19682	20.9	1	10
2014-03-26 06:24:07.380712	19683	47	2	10
2014-03-26 06:24:46.150631	19691	20.9	1	10
2014-03-26 06:24:46.380041	19692	47	2	10
2014-03-26 06:25:25.152117	19699	20.9	1	10
2014-03-26 06:25:25.373676	19700	47	2	10
2014-03-26 06:26:04.150785	19708	20.9	1	10
2014-03-26 06:26:04.393944	19709	47	2	10
2014-03-26 22:54:56.779098	32696	1088699.431294877	4	2
2014-03-26 22:54:59.66228	32697	20.2	1	1
2014-03-26 06:26:45.302851	19723	20.4	1	8
2014-03-26 06:26:45.724336	19724	49	2	8
2014-03-26 06:27:00.231208	19725	17.9	1	1
2014-03-26 06:27:00.454757	19726	45	2	1
2014-03-26 22:54:59.894921	32698	50	2	1
2014-03-26 22:55:12.720542	32699	24.2	1	10
2014-03-26 06:27:24.160689	19731	20.4	1	8
2014-03-26 06:27:24.400426	19732	49	2	8
2014-03-26 06:27:32.659279	19733	354	3	2
2014-03-26 06:27:39.233208	19734	17.8	1	1
2014-03-26 06:27:39.458011	19735	45	2	1
2014-03-26 22:55:12.944644	32700	41	2	10
2014-03-26 22:55:23.062543	32701	21.5	1	9
2014-03-26 06:28:03.16035	19740	20.4	1	8
2014-03-26 06:28:03.382565	19741	49	2	8
2014-03-26 06:28:18.2326	19742	17.8	1	1
2014-03-26 06:28:18.464512	19743	45	2	1
2014-03-26 06:28:32.656412	19744	354	3	2
2014-03-26 22:55:23.29508	32702	48	2	9
2014-03-26 22:55:24.132777	32703	21.7	1	8
2014-03-26 06:28:42.160713	19749	20.4	1	8
2014-03-26 06:28:42.382898	19750	49	2	8
2014-03-26 06:28:57.230592	19751	17.8	1	1
2014-03-26 06:28:57.452047	19752	45	2	1
2014-03-26 22:55:24.357652	32704	48	2	8
2014-03-26 22:55:32.552069	32705	338	3	2
2014-03-26 06:29:21.16207	19757	20.4	1	8
2014-03-26 06:29:21.385178	19758	49	2	8
2014-03-26 06:29:32.655162	19759	354	3	2
2014-03-26 06:29:36.228607	19760	17.8	1	1
2014-03-26 06:29:36.449704	19761	45	2	1
2014-03-26 22:55:32.788742	32706	1088702.8783990415	4	2
2014-03-26 22:55:38.661994	32707	20.2	1	1
2014-03-26 06:30:00.161345	19766	20.4	1	8
2014-03-26 06:30:00.392707	19767	49	2	8
2014-03-26 06:30:15.229868	19768	17.8	1	1
2014-03-26 06:30:15.451502	19769	45	2	1
2014-03-26 06:30:32.655989	19770	338	3	2
2014-03-26 22:55:38.885751	32708	50	2	1
2014-03-26 22:55:51.721595	32709	24.2	1	10
2014-03-26 06:30:39.162722	19775	20.4	1	8
2014-03-26 06:30:39.382976	19776	49	2	8
2014-03-26 06:30:44.655625	19777	418	3	2
2014-03-26 06:30:54.231495	19778	17.8	1	1
2014-03-26 06:30:54.454353	19779	45	2	1
2014-03-26 06:30:56.655557	19780	354	3	2
2014-03-26 06:31:08.710036	19781	354	3	2
2014-03-26 22:55:51.967192	32710	41	2	10
2014-03-26 22:56:02.044289	32711	21.5	1	9
2014-03-26 06:31:18.161797	19786	20.4	1	8
2014-03-26 06:31:18.385286	19787	49	2	8
2014-03-26 06:31:32.654728	19788	354	3	2
2014-03-26 06:31:33.230158	19789	17.8	1	1
2014-03-26 06:31:33.454804	19790	45	2	1
2014-03-26 22:56:02.268224	32712	48	2	9
2014-03-26 22:56:03.133386	32713	21.7	1	8
2014-03-26 06:31:57.160764	19795	20.4	1	8
2014-03-26 06:31:57.393643	19796	49	2	8
2014-03-26 06:32:12.229023	19797	17.8	1	1
2014-03-26 06:32:12.451444	19798	45	2	1
2014-03-26 06:32:32.658308	19799	354	3	2
2014-03-26 22:56:03.365352	32714	48	2	8
2014-03-26 22:56:17.661131	32715	20.2	1	1
2014-03-26 06:32:36.160928	19804	20.4	1	8
2014-03-26 06:32:36.381045	19805	49	2	8
2014-03-26 06:32:51.226252	19806	17.8	1	1
2014-03-26 06:32:51.453177	19807	45	2	1
2014-03-26 22:56:17.886122	32716	50	2	1
2014-03-26 22:56:30.720499	32717	24.1	1	10
2014-03-26 06:33:15.161086	19812	20.4	1	8
2014-03-26 06:33:15.382611	19813	49	2	8
2014-03-26 06:33:30.22744	19814	17.8	1	1
2014-03-26 06:33:30.458842	19815	45	2	1
2014-03-26 06:33:32.6577	19816	354	3	2
2014-03-26 22:56:30.956653	32718	41	2	10
2014-03-26 22:56:32.550863	32719	338	3	2
2014-03-26 06:33:54.160059	19821	20.4	1	8
2014-03-26 06:33:54.381063	19822	49	2	8
2014-03-26 06:34:09.229751	19823	17.8	1	1
2014-03-26 06:34:09.451926	19824	45	2	1
2014-03-26 22:56:32.774375	32720	1088708.6235726485	4	2
2014-03-26 22:56:41.044113	32721	21.5	1	9
2014-03-26 06:34:32.959603	19829	354	3	2
2014-03-26 06:34:33.285578	19830	20.4	1	8
2014-03-26 06:34:33.507561	19831	49	2	8
2014-03-26 06:34:48.228834	19832	17.8	1	1
2014-03-26 06:34:48.452076	19833	45	2	1
2014-03-26 22:56:41.277579	32722	48	2	9
2014-03-26 22:56:42.133688	32723	21.7	1	8
2014-03-26 06:35:12.161876	19838	20.4	1	8
2014-03-26 06:35:12.383221	19839	49	2	8
2014-03-26 06:35:27.225973	19840	17.8	1	1
2014-03-26 06:35:27.457307	19841	45	2	1
2014-03-26 06:35:32.657513	19842	354	3	2
2014-03-26 22:56:42.35588	32724	48	2	8
2014-03-26 06:35:51.161751	19847	20.4	1	8
2014-03-26 06:35:51.383346	19848	49	2	8
2014-03-26 06:36:06.230258	19849	17.8	1	1
2014-03-26 06:36:06.451615	19850	45	2	1
2014-03-26 06:36:30.160756	19855	20.4	1	8
2014-03-26 06:36:30.391659	19856	49	2	8
2014-03-26 06:27:22.15084	19727	20.8	1	10
2014-03-26 06:27:22.373727	19728	47	2	10
2014-03-26 06:28:01.150546	19736	20.8	1	10
2014-03-26 06:28:01.3727	19737	47	2	10
2014-03-26 06:28:40.149825	19745	20.8	1	10
2014-03-26 06:28:40.373268	19746	47	2	10
2014-03-26 06:29:19.152629	19753	20.8	1	10
2014-03-26 06:29:19.374955	19754	47	2	10
2014-03-26 06:29:58.150601	19762	20.8	1	10
2014-03-26 06:29:58.38376	19763	47	2	10
2014-03-26 06:30:37.15434	19771	20.8	1	10
2014-03-26 06:30:37.376103	19772	47	2	10
2014-03-26 06:31:16.150571	19782	20.8	1	10
2014-03-26 06:31:16.374666	19783	47	2	10
2014-03-26 06:31:55.152298	19791	20.8	1	10
2014-03-26 06:31:55.386074	19792	47	2	10
2014-03-26 06:32:34.153452	19800	20.8	1	10
2014-03-26 06:32:34.375063	19801	47	2	10
2014-03-26 06:33:13.152107	19808	20.8	1	10
2014-03-26 06:33:13.374498	19809	47	2	10
2014-03-26 06:33:52.152704	19817	20.8	1	10
2014-03-26 06:33:52.374543	19818	47	2	10
2014-03-26 06:34:31.153423	19825	20.8	1	10
2014-03-26 06:34:31.374945	19826	47	2	10
2014-03-26 06:35:10.154406	19834	20.8	1	10
2014-03-26 06:35:10.37737	19835	47	2	10
2014-03-26 06:35:49.154704	19843	20.8	1	10
2014-03-26 06:35:49.37707	19844	47	2	10
2014-03-26 06:36:28.153591	19851	20.8	1	10
2014-03-26 06:36:28.377051	19852	47	2	10
2014-03-26 06:36:32.654139	19857	354	3	2
2014-03-26 06:36:45.22655	19858	17.8	1	1
2014-03-26 06:36:45.447238	19859	45	2	1
2014-03-26 22:56:56.672279	32725	20.2	1	1
2014-03-26 22:56:56.908762	32726	50	2	1
2014-03-26 06:37:09.409463	19864	20.4	1	8
2014-03-26 06:37:09.829803	19865	49	2	8
2014-03-26 06:37:24.22403	19866	17.8	1	1
2014-03-26 06:37:24.459143	19867	45	2	1
2014-03-26 06:37:32.653684	19868	402	3	2
2014-03-26 06:37:44.658221	19869	418	3	2
2014-03-26 22:57:09.723198	32727	24.1	1	10
2014-03-26 22:57:09.947952	32728	41	2	10
2014-03-26 06:37:48.159458	19874	20.4	1	8
2014-03-26 06:37:48.382356	19875	49	2	8
2014-03-26 06:38:03.227663	19876	17.8	1	1
2014-03-26 06:38:03.460141	19877	45	2	1
2014-03-26 22:57:20.047416	32729	21.5	1	9
2014-03-26 22:57:20.280882	32730	48	2	9
2014-03-26 06:38:27.160153	19882	20.4	1	8
2014-03-26 06:38:27.381139	19883	49	2	8
2014-03-26 06:38:32.660949	19884	402	3	2
2014-03-26 06:38:42.223047	19885	17.8	1	1
2014-03-26 06:38:42.445734	19886	45	2	1
2014-03-26 22:57:21.132967	32731	21.7	1	8
2014-03-26 22:57:21.357296	32732	48	2	8
2014-03-26 06:39:06.160359	19891	20.4	1	8
2014-03-26 06:39:06.390504	19892	49	2	8
2014-03-26 06:39:21.227914	19893	17.8	1	1
2014-03-26 06:39:21.451345	19894	45	2	1
2014-03-26 06:39:32.654151	19895	402	3	2
2014-03-26 22:57:32.549603	32733	338	3	2
2014-03-26 22:57:32.78372	32734	1088714.3687462555	4	2
2014-03-26 06:39:45.161152	19900	20.4	1	8
2014-03-26 06:39:45.381561	19901	49	2	8
2014-03-26 06:40:00.225779	19902	17.8	1	1
2014-03-26 06:40:00.458668	19903	45	2	1
2014-03-26 22:57:35.662275	32735	20.2	1	1
2014-03-26 22:57:35.891742	32736	50	2	1
2014-03-26 06:40:24.160834	19908	20.4	1	8
2014-03-26 06:40:24.383183	19909	49	2	8
2014-03-26 06:40:32.655892	19910	402	3	2
2014-03-26 06:40:39.221612	19911	17.8	1	1
2014-03-26 06:40:39.444849	19912	45	2	1
2014-03-26 22:57:48.721233	32737	24.1	1	10
2014-03-26 22:57:48.959908	32738	41	2	10
2014-03-26 06:41:03.16252	19917	20.4	1	8
2014-03-26 06:41:03.405014	19918	49	2	8
2014-03-26 06:41:18.225922	19919	17.8	1	1
2014-03-26 06:41:18.44753	19920	45	2	1
2014-03-26 06:41:32.65365	19921	418	3	2
2014-03-26 22:57:56.553706	32739	305	3	2
2014-03-26 22:57:56.779297	32740	1088716.6668156984	4	2
2014-03-26 06:41:42.162838	19926	20.4	1	8
2014-03-26 06:41:42.384195	19927	49	2	8
2014-03-26 06:41:57.226586	19928	17.8	1	1
2014-03-26 06:41:57.458482	19929	45	2	1
2014-03-26 22:57:59.047195	32741	21.5	1	9
2014-03-26 22:57:59.279117	32742	48	2	9
2014-03-26 06:42:21.160842	19934	20.4	1	8
2014-03-26 06:42:21.383908	19935	49	2	8
2014-03-26 06:42:32.658017	19936	402	3	2
2014-03-26 06:42:36.223162	19937	17.8	1	1
2014-03-26 06:42:36.446688	19938	45	2	1
2014-03-26 22:58:00.134696	32743	21.7	1	8
2014-03-26 22:58:00.358812	32744	48	2	8
2014-03-26 06:43:00.48631	19943	20.4	1	8
2014-03-26 06:43:00.718124	19944	49	2	8
2014-03-26 06:43:08.660018	19945	354	3	2
2014-03-26 06:43:15.223671	19946	17.8	1	1
2014-03-26 06:43:15.447617	19947	45	2	1
2014-03-26 06:43:20.655027	19948	338	3	2
2014-03-26 06:43:32.657341	19949	354	3	2
2014-03-26 22:58:08.55335	32745	305	3	2
2014-03-26 22:58:08.788665	32746	1088717.81585042	4	2
2014-03-26 06:43:39.161077	19954	20.4	1	8
2014-03-26 06:43:39.393286	19955	49	2	8
2014-03-26 06:43:54.220639	19956	17.8	1	1
2014-03-26 06:43:54.443317	19957	45	2	1
2014-03-26 22:58:14.661285	32747	20.2	1	1
2014-03-26 22:58:14.885079	32748	50	2	1
2014-03-26 06:44:18.160292	19962	20.4	1	8
2014-03-26 06:44:18.403363	19963	49	2	8
2014-03-26 06:44:32.65966	19964	338	3	2
2014-03-26 06:44:33.220904	19965	17.8	1	1
2014-03-26 06:44:33.441512	19966	45	2	1
2014-03-26 22:58:20.551649	32749	338	3	2
2014-03-26 22:58:20.786313	32750	1088718.9648851412	4	2
2014-03-26 06:44:57.159205	19971	20.4	1	8
2014-03-26 06:44:57.381579	19972	49	2	8
2014-03-26 06:45:12.221984	19973	17.8	1	1
2014-03-26 06:45:12.454373	19974	45	2	1
2014-03-26 06:45:32.655863	19975	354	3	2
2014-03-26 22:58:27.72059	32751	24.1	1	10
2014-03-26 22:58:27.945471	32752	41	2	10
2014-03-26 06:45:36.161591	19980	20.4	1	8
2014-03-26 06:45:36.392259	19981	49	2	8
2014-03-26 06:45:51.222173	19982	17.8	1	1
2014-03-26 06:45:51.444604	19983	45	2	1
2014-03-26 22:58:32.55255	32753	338	3	2
2014-03-26 06:46:15.16115	19988	20.4	1	8
2014-03-26 06:46:15.394527	19989	49	2	8
2014-03-26 06:46:20.657726	19990	289	3	2
2014-03-26 06:46:30.224968	19991	17.8	1	1
2014-03-26 06:46:30.44731	19992	45	2	1
2014-03-26 06:37:07.289533	19860	20.8	1	10
2014-03-26 06:37:07.709753	19861	47	2	10
2014-03-26 06:37:46.154015	19870	20.8	1	10
2014-03-26 06:37:46.37548	19871	47	2	10
2014-03-26 06:38:25.154686	19878	20.7	1	10
2014-03-26 06:38:25.377232	19879	47	2	10
2014-03-26 06:39:04.155039	19887	20.7	1	10
2014-03-26 06:39:04.37639	19888	47	2	10
2014-03-26 06:39:43.155626	19896	20.7	1	10
2014-03-26 06:39:43.376595	19897	47	2	10
2014-03-26 06:40:22.155049	19904	20.7	1	10
2014-03-26 06:40:22.376644	19905	47	2	10
2014-03-26 06:41:01.154472	19913	20.7	1	10
2014-03-26 06:41:01.377362	19914	47	2	10
2014-03-26 06:41:40.158857	19922	20.7	1	10
2014-03-26 06:41:40.379239	19923	47	2	10
2014-03-26 06:42:19.157105	19930	20.7	1	10
2014-03-26 06:42:19.383912	19931	47	2	10
2014-03-26 06:42:58.155174	19939	20.7	1	10
2014-03-26 06:42:58.392428	19940	47	2	10
2014-03-26 06:43:37.164741	19950	20.7	1	10
2014-03-26 06:43:37.396127	19951	47	2	10
2014-03-26 06:44:16.157417	19958	20.7	1	10
2014-03-26 06:44:16.38954	19959	47	2	10
2014-03-26 06:44:55.155791	19967	20.7	1	10
2014-03-26 06:44:55.37889	19968	47	2	10
2014-03-26 06:45:34.157104	19976	20.7	1	10
2014-03-26 06:45:34.377951	19977	47	2	10
2014-03-26 06:46:32.654517	19993	289	3	2
2014-03-26 22:58:32.785738	32754	1088718.9648851412	4	2
2014-03-26 22:58:38.045283	32755	21.5	1	9
2014-03-26 06:46:54.162045	19998	20.4	1	8
2014-03-26 06:46:54.385385	19999	49	2	8
2014-03-26 06:47:09.255349	20000	17.8	1	1
2014-03-26 06:47:09.4889	20001	45	2	1
2014-03-26 22:58:38.274338	32756	47	2	9
2014-03-26 22:58:39.132915	32757	21.7	1	8
2014-03-26 06:47:32.669031	20006	289	3	2
2014-03-26 06:47:33.161882	20007	20.4	1	8
2014-03-26 06:47:33.384454	20008	49	2	8
2014-03-26 06:47:48.218425	20009	17.8	1	1
2014-03-26 06:47:48.443646	20010	45	2	1
2014-03-26 22:58:39.378592	32758	48	2	8
2014-03-26 22:58:53.664886	32759	20.2	1	1
2014-03-26 06:48:12.159886	20015	20.4	1	8
2014-03-26 06:48:12.383559	20016	49	2	8
2014-03-26 06:48:27.463215	20017	17.8	1	1
2014-03-26 06:48:27.68462	20018	45	2	1
2014-03-26 06:48:32.657435	20019	289	3	2
2014-03-26 22:58:53.891017	32760	50	2	1
2014-03-26 22:58:56.554452	32761	305	3	2
2014-03-26 06:48:51.159761	20024	20.3	1	8
2014-03-26 06:48:51.383312	20025	49	2	8
2014-03-26 06:49:06.218898	20026	17.8	1	1
2014-03-26 06:49:06.451872	20027	45	2	1
2014-03-26 22:58:56.789116	32762	1088721.262954584	4	2
2014-03-26 22:59:06.723068	32763	24.1	1	10
2014-03-26 06:49:30.161247	20032	20.3	1	8
2014-03-26 06:49:30.383113	20033	49	2	8
2014-03-26 06:49:32.659592	20034	289	3	2
2014-03-26 06:49:45.219643	20035	17.8	1	1
2014-03-26 06:49:45.44276	20036	45	2	1
2014-03-26 22:59:06.949089	32764	41	2	10
2014-03-26 22:59:08.551959	32765	338	3	2
2014-03-26 06:50:08.65402	20041	338	3	2
2014-03-26 06:50:09.190045	20042	20.3	1	8
2014-03-26 06:50:09.438834	20043	49	2	8
2014-03-26 06:50:20.654162	20044	338	3	2
2014-03-26 06:50:24.219444	20045	17.8	1	1
2014-03-26 06:50:24.450853	20046	45	2	1
2014-03-26 06:50:32.657117	20047	338	3	2
2014-03-26 22:59:08.785517	32766	1088722.4119893054	4	2
2014-03-26 22:59:17.045672	32767	21.5	1	9
2014-03-26 06:50:48.496086	20052	20.3	1	8
2014-03-26 06:50:48.737111	20053	49	2	8
2014-03-26 06:51:03.216031	20054	17.8	1	1
2014-03-26 06:51:03.439216	20055	45	2	1
2014-03-26 22:59:17.2712	32768	47	2	9
2014-03-26 22:59:18.133355	32769	21.7	1	8
2014-03-26 06:51:27.160207	20060	20.3	1	8
2014-03-26 06:51:27.391597	20061	49	2	8
2014-03-26 06:51:32.653043	20062	338	3	2
2014-03-26 06:51:42.217973	20063	17.8	1	1
2014-03-26 06:51:42.439617	20064	45	2	1
2014-03-26 22:59:18.368152	32770	48	2	8
2014-03-26 22:59:20.551635	32771	305	3	2
2014-03-26 06:52:06.162525	20069	20.3	1	8
2014-03-26 06:52:06.383823	20070	49	2	8
2014-03-26 06:52:21.220043	20071	17.8	1	1
2014-03-26 06:52:21.452535	20072	45	2	1
2014-03-26 06:52:32.65685	20073	338	3	2
2014-03-26 22:59:20.775806	32772	1088723.561024027	4	2
2014-03-26 22:59:32.899045	32773	20.2	1	1
2014-03-26 06:52:45.161659	20078	20.3	1	8
2014-03-26 06:52:45.384163	20079	49	2	8
2014-03-26 06:53:00.217632	20080	17.8	1	1
2014-03-26 06:53:00.441963	20081	45	2	1
2014-03-26 06:53:20.654537	20082	305	3	2
2014-03-26 22:59:33.134536	32774	50	2	1
2014-03-26 22:59:44.554043	32775	338	3	2
2014-03-26 06:53:24.161443	20087	20.3	1	8
2014-03-26 06:53:24.384914	20088	49	2	8
2014-03-26 06:53:32.652157	20089	338	3	2
2014-03-26 06:53:39.215942	20090	17.8	1	1
2014-03-26 06:53:39.439199	20091	45	2	1
2014-03-26 06:53:44.655807	20092	338	3	2
2014-03-26 22:59:44.779011	32776	1088725.8590934698	4	2
2014-03-26 22:59:45.721945	32777	24.1	1	10
2014-03-26 06:54:03.159563	20097	20.3	1	8
2014-03-26 06:54:03.380897	20098	49	2	8
2014-03-26 06:54:18.218082	20099	17.8	1	1
2014-03-26 06:54:18.44181	20100	45	2	1
2014-03-26 06:54:32.658611	20101	338	3	2
2014-03-26 22:59:45.955865	32778	41	2	10
2014-03-26 22:59:56.045153	32779	21.5	1	9
2014-03-26 06:54:42.215681	20106	20.3	1	8
2014-03-26 06:54:42.43775	20107	49	2	8
2014-03-26 06:54:57.216284	20108	17.8	1	1
2014-03-26 06:54:57.448007	20109	45	2	1
2014-03-26 22:59:56.270658	32780	48	2	9
2014-03-26 22:59:57.133347	32781	21.7	1	8
2014-03-26 06:55:21.160804	20114	20.3	1	8
2014-03-26 06:55:21.383199	20115	49	2	8
2014-03-26 06:55:32.652495	20116	338	3	2
2014-03-26 06:55:36.218893	20117	17.8	1	1
2014-03-26 06:55:36.440247	20118	45	2	1
2014-03-26 06:55:56.652151	20119	289	3	2
2014-03-26 22:59:57.367027	32782	48	2	8
2014-03-26 06:56:00.16027	20124	20.3	1	8
2014-03-26 06:56:00.394074	20125	49	2	8
2014-03-26 06:56:08.660269	20126	289	3	2
2014-03-26 06:56:15.216043	20127	17.8	1	1
2014-03-26 06:56:15.438259	20128	45	2	1
2014-03-26 06:46:52.159392	19994	20.7	1	10
2014-03-26 06:46:52.381322	19995	47	2	10
2014-03-26 06:47:31.160819	20002	20.7	1	10
2014-03-26 06:47:31.385437	20003	47	2	10
2014-03-26 06:48:10.1574	20011	20.7	1	10
2014-03-26 06:48:10.379882	20012	47	2	10
2014-03-26 06:48:49.157784	20020	20.7	1	10
2014-03-26 06:48:49.378759	20021	47	2	10
2014-03-26 06:49:28.159108	20028	20.7	1	10
2014-03-26 06:49:28.381162	20029	47	2	10
2014-03-26 06:50:07.158861	20037	20.7	1	10
2014-03-26 06:50:07.379791	20038	47	2	10
2014-03-26 06:50:46.159494	20048	20.7	1	10
2014-03-26 06:50:46.380586	20049	47	2	10
2014-03-26 06:51:25.159368	20056	20.7	1	10
2014-03-26 06:51:25.392301	20057	47	2	10
2014-03-26 06:52:04.16211	20065	20.7	1	10
2014-03-26 06:52:04.384744	20066	47	2	10
2014-03-26 06:52:43.159896	20074	20.7	1	10
2014-03-26 06:52:43.395174	20075	47	2	10
2014-03-26 06:53:22.16002	20083	20.7	1	10
2014-03-26 06:53:22.382699	20084	47	2	10
2014-03-26 06:54:01.159858	20093	20.6	1	10
2014-03-26 06:54:01.382583	20094	47	2	10
2014-03-26 06:54:40.160305	20102	20.7	1	10
2014-03-26 06:54:40.383233	20103	47	2	10
2014-03-26 06:55:19.160732	20110	20.7	1	10
2014-03-26 06:55:19.384813	20111	47	2	10
2014-03-26 06:56:32.652933	20129	289	3	2
2014-03-26 23:00:11.663701	32783	20.2	1	1
2014-03-26 23:00:11.890516	32784	50	2	1
2014-03-26 06:56:39.163473	20134	20.3	1	8
2014-03-26 06:56:39.385133	20135	49	2	8
2014-03-26 06:56:54.219041	20136	17.8	1	1
2014-03-26 06:56:54.453222	20137	45	2	1
2014-03-26 23:00:24.722484	32785	24.1	1	10
2014-03-26 23:00:24.956522	32786	41	2	10
2014-03-26 06:57:18.162972	20142	20.3	1	8
2014-03-26 06:57:18.38493	20143	49	2	8
2014-03-26 06:57:32.77997	20144	289	3	2
2014-03-26 06:57:33.410038	20145	17.8	1	1
2014-03-26 06:57:33.832523	20146	45	2	1
2014-03-26 23:00:32.552348	32787	338	3	2
2014-03-26 23:00:32.777382	32788	1088730.4552323555	4	2
2014-03-26 06:57:57.160401	20151	20.3	1	8
2014-03-26 06:57:57.39299	20152	49	2	8
2014-03-26 06:58:12.215059	20153	17.8	1	1
2014-03-26 06:58:12.441862	20154	45	2	1
2014-03-26 06:58:33.961907	20155	289	3	2
2014-03-26 23:00:35.044329	32789	21.5	1	9
2014-03-26 23:00:35.284515	32790	47	2	9
2014-03-26 06:58:36.160877	20160	20.3	1	8
2014-03-26 06:58:36.385286	20161	49	2	8
2014-03-26 06:58:51.215773	20162	17.8	1	1
2014-03-26 06:58:51.449231	20163	45	2	1
2014-03-26 23:00:36.13343	32791	21.7	1	8
2014-03-26 23:00:36.357678	32792	48	2	8
2014-03-26 06:59:15.503248	20168	20.3	1	8
2014-03-26 06:59:15.726357	20169	49	2	8
2014-03-26 06:59:30.215333	20170	17.8	1	1
2014-03-26 06:59:30.447267	20171	45	2	1
2014-03-26 06:59:32.656421	20172	289	3	2
2014-03-26 23:00:50.660784	32793	20.2	1	1
2014-03-26 23:00:50.899171	32794	50	2	1
2014-03-26 06:59:54.160818	20177	20.3	1	8
2014-03-26 06:59:54.383134	20178	49	2	8
2014-03-26 07:00:09.214084	20179	17.8	1	1
2014-03-26 07:00:09.467161	20180	45	2	1
2014-03-26 23:00:56.551515	32795	370	3	2
2014-03-26 23:00:56.778727	32796	1088732.7533017981	4	2
2014-03-26 07:00:32.653419	20185	289	3	2
2014-03-26 07:00:33.1606	20186	20.3	1	8
2014-03-26 07:00:33.383329	20187	49	2	8
2014-03-26 07:00:48.213841	20188	17.8	1	1
2014-03-26 07:00:48.457388	20189	45	2	1
2014-03-26 23:01:03.723552	32797	24.1	1	10
2014-03-26 23:01:03.957397	32798	41	2	10
2014-03-26 07:01:12.160282	20194	20.3	1	8
2014-03-26 07:01:12.380468	20195	49	2	8
2014-03-26 07:01:27.212305	20196	17.8	1	1
2014-03-26 07:01:27.433646	20197	45	2	1
2014-03-26 07:01:32.652291	20198	289	3	2
2014-03-26 23:01:08.5525	32799	370	3	2
2014-03-26 23:01:08.779238	32800	1088733.9023365197	4	2
2014-03-26 07:01:51.160514	20203	20.3	1	8
2014-03-26 07:01:51.381481	20204	49	2	8
2014-03-26 07:02:06.213409	20205	17.8	1	1
2014-03-26 07:02:06.445709	20206	45	2	1
2014-03-26 23:01:14.045311	32801	21.5	1	9
2014-03-26 23:01:14.281648	32802	48	2	9
2014-03-26 07:02:30.161856	20211	20.3	1	8
2014-03-26 07:02:30.383764	20212	49	2	8
2014-03-26 07:02:32.655426	20213	289	3	2
2014-03-26 07:02:45.212286	20214	17.8	1	1
2014-03-26 07:02:45.437154	20215	45	2	1
2014-03-26 23:01:15.133317	32803	21.7	1	8
2014-03-26 23:01:15.357988	32804	48	2	8
2014-03-26 07:03:08.654783	20220	338	3	2
2014-03-26 07:03:09.162628	20221	20.3	1	8
2014-03-26 07:03:09.384141	20222	49	2	8
2014-03-26 07:03:20.654777	20223	338	3	2
2014-03-26 07:03:24.213919	20224	17.8	1	1
2014-03-26 07:03:24.435465	20225	45	2	1
2014-03-26 07:03:32.652849	20226	338	3	2
2014-03-26 23:01:29.661831	32805	20.1	1	1
2014-03-26 23:01:29.910204	32806	50	2	1
2014-03-26 07:03:48.500252	20231	20.3	1	8
2014-03-26 07:03:48.724814	20232	49	2	8
2014-03-26 07:04:03.213402	20233	17.8	1	1
2014-03-26 07:04:03.460115	20234	45	2	1
2014-03-26 23:01:32.552724	32807	370	3	2
2014-03-26 23:01:32.777609	32808	1088736.2004059625	4	2
2014-03-26 07:04:27.160775	20239	20.3	1	8
2014-03-26 07:04:27.382406	20240	49	2	8
2014-03-26 07:04:32.653542	20241	338	3	2
2014-03-26 07:04:42.213119	20242	17.8	1	1
2014-03-26 07:04:42.472333	20243	45	2	1
2014-03-26 07:04:56.648056	20244	450	3	2
2014-03-26 23:01:42.722269	32809	24.1	1	10
2014-03-26 23:01:42.959041	32810	41	2	10
2014-03-26 07:05:06.159206	20249	20.3	1	8
2014-03-26 07:05:06.391844	20250	49	2	8
2014-03-26 07:05:08.657491	20251	515	3	2
2014-03-26 07:05:20.655421	20252	515	3	2
2014-03-26 07:05:21.21192	20253	17.8	1	1
2014-03-26 07:05:21.444292	20254	45	2	1
2014-03-26 07:05:32.655634	20255	515	3	2
2014-03-26 23:01:53.044509	32811	21.5	1	9
2014-03-26 23:01:53.267535	32812	48	2	9
2014-03-26 07:05:45.162943	20260	20.3	1	8
2014-03-26 07:05:45.3855	20261	49	2	8
2014-03-26 07:06:00.211397	20262	17.8	1	1
2014-03-26 07:06:00.434594	20263	45	2	1
2014-03-26 06:56:37.160428	20130	20.6	1	10
2014-03-26 06:56:37.383196	20131	47	2	10
2014-03-26 06:57:16.162535	20138	20.6	1	10
2014-03-26 06:57:16.385361	20139	47	2	10
2014-03-26 06:57:55.161393	20147	20.6	1	10
2014-03-26 06:57:55.386411	20148	47	2	10
2014-03-26 06:58:34.278963	20156	20.6	1	10
2014-03-26 06:58:34.504052	20157	47	2	10
2014-03-26 06:59:13.161251	20164	20.6	1	10
2014-03-26 06:59:13.384141	20165	47	2	10
2014-03-26 06:59:52.162398	20173	20.6	1	10
2014-03-26 06:59:52.386314	20174	47	2	10
2014-03-26 07:00:31.162726	20181	20.6	1	10
2014-03-26 07:00:31.394003	20182	47	2	10
2014-03-26 07:01:10.161572	20190	20.6	1	10
2014-03-26 07:01:10.383382	20191	47	2	10
2014-03-26 07:01:49.161496	20199	20.6	1	10
2014-03-26 07:01:49.393456	20200	47	2	10
2014-03-26 07:02:28.163913	20207	20.6	1	10
2014-03-26 07:02:28.385933	20208	47	2	10
2014-03-26 07:03:07.16647	20216	20.6	1	10
2014-03-26 07:03:07.399148	20217	47	2	10
2014-03-26 07:03:46.166893	20227	20.6	1	10
2014-03-26 07:03:46.394075	20228	47	2	10
2014-03-26 07:04:25.163083	20235	20.6	1	10
2014-03-26 07:04:25.386806	20236	47	2	10
2014-03-26 07:05:04.16389	20245	20.6	1	10
2014-03-26 07:05:04.396181	20246	47	2	10
2014-03-26 23:01:54.132691	32813	21.7	1	8
2014-03-26 23:01:54.365621	32814	48	2	8
2014-03-26 07:06:24.160453	20268	20.4	1	8
2014-03-26 07:06:24.390954	20269	49	2	8
2014-03-26 07:06:32.654422	20270	498	3	2
2014-03-26 07:06:39.210566	20271	17.8	1	1
2014-03-26 07:06:39.433535	20272	45	2	1
2014-03-26 23:02:08.662364	32815	20.1	1	1
2014-03-26 23:02:08.887419	32816	50	2	1
2014-03-26 07:07:03.159194	20275	20.4	1	8
2014-03-26 07:07:03.384043	20276	50	2	8
2014-03-26 07:07:18.211823	20277	17.8	1	1
2014-03-26 07:07:18.434696	20278	45	2	1
2014-03-26 07:07:32.658016	20279	498	3	2
2014-03-26 23:02:21.722861	32817	24.1	1	10
2014-03-26 23:02:21.95801	32818	41	2	10
2014-03-26 07:07:42.311154	20284	20.4	1	8
2014-03-26 07:07:42.787878	20285	50	2	8
2014-03-26 07:07:57.208759	20286	17.8	1	1
2014-03-26 07:07:57.440504	20287	45	2	1
2014-03-26 23:02:32.04376	32819	21.5	1	9
2014-03-26 23:02:32.267571	32820	48	2	9
2014-03-26 07:08:21.161617	20292	20.5	1	8
2014-03-26 07:08:21.383696	20293	51	2	8
2014-03-26 07:08:32.656043	20294	515	3	2
2014-03-26 07:08:36.210894	20295	17.8	1	1
2014-03-26 07:08:36.434603	20296	45	2	1
2014-03-26 07:08:44.650766	20297	466	3	2
2014-03-26 07:08:56.652967	20298	466	3	2
2014-03-26 23:02:32.573833	32821	370	3	2
2014-03-26 23:02:32.80945	32822	1088743.0946142909	4	2
2014-03-26 07:09:00.160733	20303	20.6	1	8
2014-03-26 07:09:00.384345	20304	52	2	8
2014-03-26 07:09:15.210469	20305	17.8	1	1
2014-03-26 07:09:15.445525	20306	45	2	1
2014-03-26 07:09:32.651959	20307	450	3	2
2014-03-26 23:02:33.133364	32823	21.7	1	8
2014-03-26 23:02:33.357073	32824	48	2	8
2014-03-26 07:09:39.159949	20312	20.7	1	8
2014-03-26 07:09:39.383029	20313	54	2	8
2014-03-26 07:09:54.20714	20314	17.8	1	1
2014-03-26 07:09:54.431657	20315	45	2	1
2014-03-26 23:02:47.673976	32825	20.1	1	1
2014-03-26 23:02:47.908613	32826	50	2	1
2014-03-26 07:10:18.160787	20320	20.8	1	8
2014-03-26 07:10:18.39034	20321	54	2	8
2014-03-26 07:10:32.652829	20322	450	3	2
2014-03-26 07:10:33.209483	20323	17.8	1	1
2014-03-26 07:10:33.430585	20324	45	2	1
2014-03-26 23:03:00.72322	32827	24.1	1	10
2014-03-26 23:03:00.948464	32828	41	2	10
2014-03-26 07:10:57.160347	20329	20.9	1	8
2014-03-26 07:10:57.381576	20330	55	2	8
2014-03-26 07:11:12.209377	20331	17.8	1	1
2014-03-26 07:11:12.431895	20332	45	2	1
2014-03-26 07:11:32.652686	20333	450	3	2
2014-03-26 23:03:11.046249	32829	21.5	1	9
2014-03-26 23:03:11.280311	32830	47	2	9
2014-03-26 07:11:36.160035	20338	20.9	1	8
2014-03-26 07:11:36.383421	20339	56	2	8
2014-03-26 07:11:51.209708	20340	17.8	1	1
2014-03-26 07:11:51.443086	20341	45	2	1
2014-03-26 23:03:12.135198	32831	21.7	1	8
2014-03-26 23:03:12.358913	32832	48	2	8
2014-03-26 07:12:15.158454	20346	21.0	1	8
2014-03-26 07:12:15.381451	20347	56	2	8
2014-03-26 07:12:30.205685	20348	17.8	1	1
2014-03-26 07:12:30.437916	20349	45	2	1
2014-03-26 07:12:32.650146	20350	466	3	2
2014-03-26 23:03:20.553919	32833	402	3	2
2014-03-26 23:03:20.787794	32834	1088747.6907531766	4	2
2014-03-26 07:12:54.160014	20355	21.1	1	8
2014-03-26 07:12:54.39183	20356	57	2	8
2014-03-26 07:13:09.205884	20357	17.8	1	1
2014-03-26 07:13:09.429164	20358	45	2	1
2014-03-26 23:03:26.655476	32835	20.1	1	1
2014-03-26 23:03:26.879164	32836	50	2	1
2014-03-26 07:13:32.654627	20363	450	3	2
2014-03-26 07:13:33.161591	20364	21.2	1	8
2014-03-26 07:13:33.383678	20365	58	2	8
2014-03-26 07:13:48.20783	20366	17.8	1	1
2014-03-26 07:13:48.432257	20367	45	2	1
2014-03-26 23:03:32.553284	32837	370	3	2
2014-03-26 23:03:32.787945	32838	1088748.8397878981	4	2
2014-03-26 07:14:12.159174	20372	21.3	1	8
2014-03-26 07:14:12.382207	20373	59	2	8
2014-03-26 07:14:27.208183	20374	17.8	1	1
2014-03-26 07:14:27.46298	20375	45	2	1
2014-03-26 07:14:32.650583	20376	450	3	2
2014-03-26 23:03:39.723632	32839	24.1	1	10
2014-03-26 23:03:39.947628	32840	41	2	10
2014-03-26 07:14:51.160727	20381	21.3	1	8
2014-03-26 07:14:51.384363	20382	59	2	8
2014-03-26 07:15:06.205252	20383	17.8	1	1
2014-03-26 07:15:06.432271	20384	45	2	1
2014-03-26 23:03:44.552946	32841	370	3	2
2014-03-26 07:15:30.160241	20389	21.4	1	8
2014-03-26 07:15:30.382112	20390	60	2	8
2014-03-26 07:15:32.650809	20391	434	3	2
2014-03-26 07:15:44.65206	20392	466	3	2
2014-03-26 07:15:45.203096	20393	17.7	1	1
2014-03-26 07:15:45.435081	20394	45	2	1
2014-03-26 07:15:56.654772	20395	450	3	2
2014-03-26 07:16:09.159679	20400	21.5	1	8
2014-03-26 07:06:22.385566	20265	47	2	10
2014-03-26 07:07:40.288928	20280	20.6	1	10
2014-03-26 07:07:40.712644	20281	47	2	10
2014-03-26 07:08:19.165357	20288	20.6	1	10
2014-03-26 07:08:19.387584	20289	47	2	10
2014-03-26 07:08:58.166803	20299	20.6	1	10
2014-03-26 07:08:58.390708	20300	47	2	10
2014-03-26 07:09:37.165211	20308	20.6	1	10
2014-03-26 07:09:37.39042	20309	47	2	10
2014-03-26 07:10:16.166495	20316	20.6	1	10
2014-03-26 07:10:16.397044	20317	47	2	10
2014-03-26 07:10:55.16645	20325	20.6	1	10
2014-03-26 07:10:55.388716	20326	47	2	10
2014-03-26 07:11:34.165602	20334	20.6	1	10
2014-03-26 07:11:34.388323	20335	47	2	10
2014-03-26 07:12:13.16568	20342	20.6	1	10
2014-03-26 07:12:13.38809	20343	47	2	10
2014-03-26 07:12:52.168059	20351	20.6	1	10
2014-03-26 07:12:52.392557	20352	47	2	10
2014-03-26 07:13:31.168652	20359	20.6	1	10
2014-03-26 07:13:31.400989	20360	47	2	10
2014-03-26 07:14:10.166447	20368	20.5	1	10
2014-03-26 07:14:10.390885	20369	47	2	10
2014-03-26 07:14:49.167951	20377	20.5	1	10
2014-03-26 07:14:49.3926	20378	47	2	10
2014-03-26 07:15:28.168561	20385	20.5	1	10
2014-03-26 07:15:28.391009	20386	47	2	10
2014-03-26 07:16:07.168087	20396	20.5	1	10
2014-03-26 07:16:07.390162	20397	47	2	10
2014-03-26 07:16:09.381598	20401	60	2	8
2014-03-26 07:16:24.205801	20402	17.7	1	1
2014-03-26 07:16:24.428968	20403	45	2	1
2014-03-26 07:16:32.65578	20404	466	3	2
2014-03-26 23:03:44.786603	32842	1088749.9888226194	4	2
2014-03-26 23:03:50.045266	32843	21.5	1	9
2014-03-26 07:16:48.159368	20409	21.6	1	8
2014-03-26 07:16:48.38198	20410	61	2	8
2014-03-26 07:17:03.202326	20411	17.7	1	1
2014-03-26 07:17:03.434072	20412	45	2	1
2014-03-26 23:03:50.27541	32844	47	2	9
2014-03-26 23:03:51.133286	32845	21.7	1	8
2014-03-26 07:17:27.159774	20417	21.6	1	8
2014-03-26 07:17:27.401307	20418	61	2	8
2014-03-26 07:17:32.64861	20419	466	3	2
2014-03-26 07:17:42.206572	20420	17.7	1	1
2014-03-26 07:17:42.429861	20421	45	2	1
2014-03-26 23:03:51.368135	32846	48	2	8
2014-03-26 23:04:05.661267	32847	20.1	1	1
2014-03-26 07:18:06.339862	20426	21.7	1	8
2014-03-26 07:18:06.7599	20427	60	2	8
2014-03-26 07:18:21.205531	20428	17.7	1	1
2014-03-26 07:18:21.429674	20429	45	2	1
2014-03-26 07:18:32.653417	20430	466	3	2
2014-03-26 23:04:05.885991	32848	50	2	1
2014-03-26 23:04:18.723134	32849	24.0	1	10
2014-03-26 07:18:45.160913	20435	21.7	1	8
2014-03-26 07:18:45.383973	20436	60	2	8
2014-03-26 07:19:00.205171	20437	17.7	1	1
2014-03-26 07:19:00.440241	20438	45	2	1
2014-03-26 23:04:18.957651	32850	41	2	10
2014-03-26 23:04:29.045482	32851	21.4	1	9
2014-03-26 07:19:24.160377	20443	21.7	1	8
2014-03-26 07:19:24.383564	20444	59	2	8
2014-03-26 07:19:32.652852	20445	466	3	2
2014-03-26 07:19:39.203899	20446	17.7	1	1
2014-03-26 07:19:39.427663	20447	45	2	1
2014-03-26 23:04:29.27012	32852	47	2	9
2014-03-26 23:04:30.133488	32853	21.7	1	8
2014-03-26 07:20:03.159367	20452	21.6	1	8
2014-03-26 07:20:03.391608	20453	59	2	8
2014-03-26 07:20:18.205446	20454	17.7	1	1
2014-03-26 07:20:18.428309	20455	45	2	1
2014-03-26 07:20:32.652585	20456	466	3	2
2014-03-26 23:04:30.45558	32854	48	2	8
2014-03-26 23:04:32.550132	32855	370	3	2
2014-03-26 07:20:42.159295	20461	21.6	1	8
2014-03-26 07:20:42.381742	20462	59	2	8
2014-03-26 07:20:57.20417	20463	17.7	1	1
2014-03-26 07:20:57.435309	20464	45	2	1
2014-03-26 07:21:08.654064	20465	418	3	2
2014-03-26 23:04:32.775469	32856	1088755.7339962265	4	2
2014-03-26 23:04:44.656002	32857	20.1	1	1
2014-03-26 07:21:20.655979	20470	418	3	2
2014-03-26 07:21:21.159461	20471	21.6	1	8
2014-03-26 07:21:21.379937	20472	59	2	8
2014-03-26 07:21:32.653364	20473	434	3	2
2014-03-26 07:21:36.20022	20474	17.7	1	1
2014-03-26 07:21:36.430847	20475	45	2	1
2014-03-26 23:04:44.889481	32858	50	2	1
2014-03-26 23:04:57.723589	32859	24.0	1	10
2014-03-26 07:22:00.159218	20480	21.5	1	8
2014-03-26 07:22:00.381536	20481	58	2	8
2014-03-26 07:22:08.643177	20482	402	3	2
2014-03-26 07:22:15.202584	20483	17.7	1	1
2014-03-26 07:22:15.425935	20484	45	2	1
2014-03-26 07:22:20.650097	20485	402	3	2
2014-03-26 07:22:32.65503	20486	466	3	2
2014-03-26 23:04:57.947657	32860	41	2	10
2014-03-26 23:05:08.047056	32861	21.4	1	9
2014-03-26 07:22:39.159498	20491	21.5	1	8
2014-03-26 07:22:39.380107	20492	58	2	8
2014-03-26 07:22:44.655745	20493	466	3	2
2014-03-26 07:22:54.198021	20494	17.7	1	1
2014-03-26 07:22:54.421305	20495	45	2	1
2014-03-26 23:05:08.28108	32862	47	2	9
2014-03-26 23:05:09.133731	32863	21.7	1	8
2014-03-26 07:23:18.159188	20500	21.5	1	8
2014-03-26 07:23:18.391344	20501	58	2	8
2014-03-26 07:23:32.653232	20502	466	3	2
2014-03-26 07:23:33.201396	20503	17.7	1	1
2014-03-26 07:23:33.424646	20504	45	2	1
2014-03-26 23:05:09.359318	32864	48	2	8
2014-03-26 23:05:23.66096	32865	20.1	1	1
2014-03-26 07:23:56.649358	20509	418	3	2
2014-03-26 07:23:57.160813	20510	21.5	1	8
2014-03-26 07:23:57.382182	20511	58	2	8
2014-03-26 07:24:08.652564	20512	418	3	2
2014-03-26 07:24:12.201809	20513	17.7	1	1
2014-03-26 07:24:12.42501	20514	45	2	1
2014-03-26 07:24:32.649424	20515	418	3	2
2014-03-26 23:05:23.895269	32866	50	2	1
2014-03-26 23:05:32.555337	32867	370	3	2
2014-03-26 07:24:36.16264	20520	21.4	1	8
2014-03-26 07:24:36.384785	20521	58	2	8
2014-03-26 07:24:51.20338	20522	17.7	1	1
2014-03-26 07:24:51.436454	20523	45	2	1
2014-03-26 23:05:32.780718	32868	1088761.4791698337	4	2
2014-03-26 23:05:36.722983	32869	24.0	1	10
2014-03-26 07:25:15.159833	20528	21.4	1	8
2014-03-26 07:25:15.389556	20529	58	2	8
2014-03-26 07:25:30.203273	20530	17.7	1	1
2014-03-26 07:25:30.437547	20531	45	2	1
2014-03-26 07:25:32.650248	20532	418	3	2
2014-03-26 23:05:36.956905	32870	41	2	10
2014-03-26 07:16:46.167209	20405	20.5	1	10
2014-03-26 07:16:46.390809	20406	47	2	10
2014-03-26 07:17:25.168518	20413	20.5	1	10
2014-03-26 07:17:25.391966	20414	47	2	10
2014-03-26 07:18:04.300051	20422	20.5	1	10
2014-03-26 07:18:04.722743	20423	47	2	10
2014-03-26 07:18:43.17078	20431	20.5	1	10
2014-03-26 07:18:43.395684	20432	47	2	10
2014-03-26 07:19:22.16902	20439	20.5	1	10
2014-03-26 07:19:22.393885	20440	47	2	10
2014-03-26 07:20:01.168862	20448	20.5	1	10
2014-03-26 07:20:01.392719	20449	47	2	10
2014-03-26 07:20:40.170228	20457	20.5	1	10
2014-03-26 07:20:40.392438	20458	47	2	10
2014-03-26 07:21:19.169692	20466	20.5	1	10
2014-03-26 07:21:19.40076	20467	47	2	10
2014-03-26 07:21:58.17009	20476	20.5	1	10
2014-03-26 07:21:58.392235	20477	47	2	10
2014-03-26 07:22:37.17806	20487	20.5	1	10
2014-03-26 07:22:37.402899	20488	47	2	10
2014-03-26 07:23:16.171965	20496	20.5	1	10
2014-03-26 07:23:16.405739	20497	47	2	10
2014-03-26 07:23:55.170191	20505	20.5	1	10
2014-03-26 07:23:55.395594	20506	47	2	10
2014-03-26 07:24:34.172392	20516	20.5	1	10
2014-03-26 07:24:34.395599	20517	47	2	10
2014-03-26 07:25:13.172008	20524	20.5	1	10
2014-03-26 07:25:13.396003	20525	47	2	10
2014-03-26 07:25:54.160462	20537	21.4	1	8
2014-03-26 07:25:54.393354	20538	57	2	8
2014-03-26 07:26:09.199482	20539	17.7	1	1
2014-03-26 07:26:09.422003	20540	45	2	1
2014-03-26 23:05:47.04493	32871	21.4	1	9
2014-03-26 23:05:47.270985	32872	47	2	9
2014-03-26 07:26:33.024983	20545	450	3	2
2014-03-26 07:26:33.397766	20546	21.4	1	8
2014-03-26 07:26:33.654298	20547	57	2	8
2014-03-26 07:26:44.654167	20548	434	3	2
2014-03-26 07:26:48.196337	20549	17.7	1	1
2014-03-26 07:26:48.552841	20550	45	2	1
2014-03-26 23:05:48.133003	32873	21.7	1	8
2014-03-26 23:05:48.366399	32874	48	2	8
2014-03-26 07:27:12.162024	20555	21.4	1	8
2014-03-26 07:27:12.433898	20556	57	2	8
2014-03-26 07:27:27.437727	20557	17.7	1	1
2014-03-26 07:27:27.659653	20558	45	2	1
2014-03-26 23:05:56.556962	32875	305	3	2
2014-03-26 23:05:56.782952	32876	1088763.7772392763	4	2
2014-03-26 07:27:51.162879	20563	21.3	1	8
2014-03-26 07:27:51.397092	20564	56	2	8
2014-03-26 07:27:56.645243	20565	482	3	2
2014-03-26 07:28:06.196003	20566	17.7	1	1
2014-03-26 07:28:06.417951	20567	45	2	1
2014-03-26 23:06:02.657996	32877	20.1	1	1
2014-03-26 23:06:02.893814	32878	50	2	1
2014-03-26 07:28:30.289146	20572	21.3	1	8
2014-03-26 07:28:30.725747	20573	56	2	8
2014-03-26 07:28:32.780016	20574	482	3	2
2014-03-26 07:28:45.339132	20575	17.7	1	1
2014-03-26 07:28:45.770368	20576	45	2	1
2014-03-26 07:28:56.657118	20577	370	3	2
2014-03-26 23:06:08.551188	32879	338	3	2
2014-03-26 23:06:08.778882	32880	1088764.9262739979	4	2
2014-03-26 07:29:08.651281	20582	402	3	2
2014-03-26 07:29:09.160081	20583	21.3	1	8
2014-03-26 07:29:09.382618	20584	56	2	8
2014-03-26 07:29:20.653217	20585	402	3	2
2014-03-26 07:29:24.200013	20586	17.7	1	1
2014-03-26 07:29:24.430421	20587	45	2	1
2014-03-26 07:29:44.653456	20588	370	3	2
2014-03-26 23:06:15.726125	32881	24.0	1	10
2014-03-26 23:06:15.960791	32882	41	2	10
2014-03-26 07:29:48.162557	20593	21.3	1	8
2014-03-26 07:29:48.391461	20594	56	2	8
2014-03-26 07:29:56.649873	20595	466	3	2
2014-03-26 07:30:03.201558	20596	17.7	1	1
2014-03-26 07:30:03.424278	20597	45	2	1
2014-03-26 07:30:08.651915	20598	450	3	2
2014-03-26 23:06:20.550683	32883	338	3	2
2014-03-26 23:06:20.778198	32884	1088766.0753087192	4	2
2014-03-26 07:30:27.160307	20603	21.3	1	8
2014-03-26 07:30:27.383806	20604	55	2	8
2014-03-26 07:30:32.653529	20605	466	3	2
2014-03-26 07:30:42.199212	20606	17.7	1	1
2014-03-26 07:30:42.4255	20607	45	2	1
2014-03-26 23:06:26.045093	32885	21.4	1	9
2014-03-26 23:06:26.283759	32886	47	2	9
2014-03-26 07:31:06.16053	20612	21.3	1	8
2014-03-26 07:31:06.395415	20613	55	2	8
2014-03-26 07:31:21.199133	20614	17.7	1	1
2014-03-26 07:31:21.425225	20615	45	2	1
2014-03-26 07:31:32.653684	20616	1062	3	2
2014-03-26 23:06:27.132881	32887	21.7	1	8
2014-03-26 23:06:27.356986	32888	48	2	8
2014-03-26 07:31:44.653493	20621	853	3	2
2014-03-26 07:31:45.159196	20622	21.2	1	8
2014-03-26 07:31:45.38162	20623	55	2	8
2014-03-26 07:31:56.655075	20624	482	3	2
2014-03-26 07:32:00.198101	20625	17.7	1	1
2014-03-26 07:32:00.41938	20626	45	2	1
2014-03-26 07:32:08.656331	20627	482	3	2
2014-03-26 07:32:20.652904	20628	515	3	2
2014-03-26 23:06:32.553973	32889	338	3	2
2014-03-26 23:06:32.791334	32890	1088767.2243434407	4	2
2014-03-26 07:32:24.160278	20633	21.2	1	8
2014-03-26 07:32:24.404665	20634	55	2	8
2014-03-26 07:32:32.651792	20635	450	3	2
2014-03-26 07:32:39.194884	20636	17.7	1	1
2014-03-26 07:32:39.41911	20637	45	2	1
2014-03-26 07:32:44.651806	20638	466	3	2
2014-03-26 07:32:56.649106	20639	418	3	2
2014-03-26 23:06:41.657273	32891	20.1	1	1
2014-03-26 23:06:41.884673	32892	50	2	1
2014-03-26 07:33:03.160129	20644	21.2	1	8
2014-03-26 07:33:03.3914	20645	55	2	8
2014-03-26 07:33:08.658199	20646	418	3	2
2014-03-26 07:33:18.2434	20647	17.7	1	1
2014-03-26 07:33:18.466456	20648	45	2	1
2014-03-26 07:33:39.973383	20649	418	3	2
2014-03-26 23:06:54.727088	32893	24.0	1	10
2014-03-26 23:06:54.960363	32894	41	2	10
2014-03-26 07:33:42.160324	20654	21.2	1	8
2014-03-26 07:33:42.38131	20655	55	2	8
2014-03-26 07:33:56.653633	20656	466	3	2
2014-03-26 07:33:57.192618	20657	17.7	1	1
2014-03-26 07:33:57.414154	20658	45	2	1
2014-03-26 07:34:08.653778	20659	450	3	2
2014-03-26 23:07:05.047072	32895	21.4	1	9
2014-03-26 23:07:05.271172	32896	47	2	9
2014-03-26 23:07:06.133892	32897	21.7	1	8
2014-03-26 07:34:20.654199	20664	498	3	2
2014-03-26 07:34:21.158998	20665	21.2	1	8
2014-03-26 07:34:21.379562	20666	55	2	8
2014-03-26 07:34:32.652448	20667	498	3	2
2014-03-26 07:34:36.195009	20668	17.7	1	1
2014-03-26 07:34:36.427849	20669	45	2	1
2014-03-26 07:34:56.655978	20670	627	3	2
2014-03-26 07:26:31.172577	20541	20.5	1	10
2014-03-26 07:26:31.443562	20542	47	2	10
2014-03-26 07:27:10.170508	20551	20.5	1	10
2014-03-26 07:27:10.663537	20552	47	2	10
2014-03-26 07:27:49.172045	20559	20.5	1	10
2014-03-26 07:27:49.406513	20560	47	2	10
2014-03-26 07:28:28.171961	20568	20.5	1	10
2014-03-26 07:28:28.394757	20569	47	2	10
2014-03-26 07:29:07.172298	20578	20.5	1	10
2014-03-26 07:29:07.395442	20579	47	2	10
2014-03-26 07:29:46.174053	20589	20.5	1	10
2014-03-26 07:29:46.395408	20590	47	2	10
2014-03-26 07:30:25.172429	20599	20.5	1	10
2014-03-26 07:30:25.397348	20600	47	2	10
2014-03-26 07:31:04.173066	20608	20.5	1	10
2014-03-26 07:31:04.406216	20609	47	2	10
2014-03-26 07:31:43.172914	20617	20.5	1	10
2014-03-26 07:31:43.434387	20618	47	2	10
2014-03-26 07:32:22.174893	20629	20.5	1	10
2014-03-26 07:32:22.405237	20630	47	2	10
2014-03-26 07:33:01.172441	20640	20.5	1	10
2014-03-26 07:33:01.40569	20641	47	2	10
2014-03-26 07:33:40.280739	20650	20.5	1	10
2014-03-26 07:33:40.502889	20651	47	2	10
2014-03-26 23:07:06.368004	32898	48	2	8
2014-03-26 23:07:20.65491	32899	20.1	1	1
2014-03-26 07:35:00.161363	20675	21.2	1	8
2014-03-26 07:35:00.392498	20676	55	2	8
2014-03-26 07:35:08.65306	20677	2398	3	2
2014-03-26 07:35:15.19702	20678	17.8	1	1
2014-03-26 07:35:15.420734	20679	45	2	1
2014-03-26 07:35:20.653303	20680	2398	3	2
2014-03-26 07:35:32.64941	20681	2398	3	2
2014-03-26 23:07:20.883756	32900	50	2	1
2014-03-26 23:07:32.552422	32901	338	3	2
2014-03-26 07:35:39.159418	20686	21.2	1	8
2014-03-26 07:35:39.394893	20687	55	2	8
2014-03-26 07:35:54.200609	20688	17.8	1	1
2014-03-26 07:35:54.425862	20689	45	2	1
2014-03-26 23:07:32.797778	32902	1088772.9695170477	4	2
2014-03-26 23:07:33.722769	32903	24.0	1	10
2014-03-26 07:36:18.160238	20694	21.2	1	8
2014-03-26 07:36:18.394128	20695	54	2	8
2014-03-26 07:36:32.654745	20696	2527	3	2
2014-03-26 07:36:33.193961	20697	17.8	1	1
2014-03-26 07:36:33.418021	20698	46	2	1
2014-03-26 07:36:44.658002	20699	2704	3	2
2014-03-26 23:07:33.947056	32904	41	2	10
2014-03-26 23:07:44.044852	32905	21.4	1	9
2014-03-26 07:36:56.649176	20704	4925	3	2
2014-03-26 07:36:57.159635	20705	21.2	1	8
2014-03-26 07:36:57.382001	20706	54	2	8
2014-03-26 07:37:08.655167	20707	6116	3	2
2014-03-26 07:37:12.194999	20708	17.9	1	1
2014-03-26 07:37:12.417765	20709	46	2	1
2014-03-26 07:37:20.652784	20710	6116	3	2
2014-03-26 07:37:32.652697	20711	6020	3	2
2014-03-26 23:07:44.279916	32906	47	2	9
2014-03-26 23:07:45.13342	32907	21.7	1	8
2014-03-26 07:37:36.160307	20716	21.1	1	8
2014-03-26 07:37:36.382505	20717	54	2	8
2014-03-26 07:37:44.653068	20718	6116	3	2
2014-03-26 07:37:51.195788	20719	17.9	1	1
2014-03-26 07:37:51.417355	20720	46	2	1
2014-03-26 07:37:56.654683	20721	6261	3	2
2014-03-26 07:38:08.780009	20722	4973	3	2
2014-03-26 23:07:45.356684	32908	48	2	8
2014-03-26 23:07:59.654943	32909	20.1	1	1
2014-03-26 07:38:15.349993	20727	21.1	1	8
2014-03-26 07:38:15.77105	20728	54	2	8
2014-03-26 07:38:20.779122	20729	4973	3	2
2014-03-26 07:38:30.191535	20730	18.0	1	1
2014-03-26 07:38:30.41409	20731	46	2	1
2014-03-26 07:38:32.650827	20732	6100	3	2
2014-03-26 07:38:44.655487	20733	6100	3	2
2014-03-26 23:07:59.890864	32910	50	2	1
2014-03-26 23:08:12.724048	32911	23.9	1	10
2014-03-26 07:38:54.159185	20738	21.1	1	8
2014-03-26 07:38:54.381093	20739	54	2	8
2014-03-26 07:38:56.648687	20740	4957	3	2
2014-03-26 07:39:08.654976	20741	4957	3	2
2014-03-26 07:39:09.193465	20742	18.0	1	1
2014-03-26 07:39:09.426738	20743	46	2	1
2014-03-26 23:08:12.947886	32912	42	2	10
2014-03-26 23:08:23.04607	32913	21.4	1	9
2014-03-26 07:39:32.654149	20748	5070	3	2
2014-03-26 07:39:33.380072	20749	21.1	1	8
2014-03-26 07:39:33.601697	20750	54	2	8
2014-03-26 07:39:44.654115	20751	6213	3	2
2014-03-26 07:39:48.192699	20752	18.1	1	1
2014-03-26 07:39:48.414733	20753	47	2	1
2014-03-26 07:39:56.654088	20754	5070	3	2
2014-03-26 07:40:08.650649	20755	804	3	2
2014-03-26 23:08:23.280369	32914	47	2	9
2014-03-26 23:08:24.133663	32915	21.7	1	8
2014-03-26 07:40:12.161975	20760	21.1	1	8
2014-03-26 07:40:12.384334	20761	54	2	8
2014-03-26 07:40:20.651988	20762	820	3	2
2014-03-26 07:40:27.194434	20763	18.1	1	1
2014-03-26 07:40:27.41639	20764	47	2	1
2014-03-26 07:40:32.649093	20765	804	3	2
2014-03-26 23:08:24.358179	32916	48	2	8
2014-03-26 23:08:32.552447	32917	338	3	2
2014-03-26 07:40:51.159015	20770	21.1	1	8
2014-03-26 07:40:51.383616	20771	54	2	8
2014-03-26 07:41:06.190351	20772	18.2	1	1
2014-03-26 07:41:06.424151	20773	47	2	1
2014-03-26 07:41:08.651852	20774	2060	3	2
2014-03-26 23:08:32.787078	32918	1088778.7146906548	4	2
2014-03-26 23:08:38.654913	32919	20.1	1	1
2014-03-26 07:41:30.15901	20779	21.1	1	8
2014-03-26 07:41:30.383367	20780	53	2	8
2014-03-26 07:41:45.231946	20781	18.2	1	1
2014-03-26 07:41:45.456799	20782	47	2	1
2014-03-26 23:08:38.880093	32920	50	2	1
2014-03-26 23:08:51.72544	32921	23.9	1	10
2014-03-26 07:42:09.159051	20787	21.1	1	8
2014-03-26 07:42:09.390594	20788	53	2	8
2014-03-26 07:42:20.651425	20789	1078	3	2
2014-03-26 07:42:24.196637	20790	18.3	1	1
2014-03-26 07:42:24.419435	20791	47	2	1
2014-03-26 07:42:32.651505	20792	1062	3	2
2014-03-26 07:42:44.657607	20793	2012	3	2
2014-03-26 23:08:51.962122	32922	42	2	10
2014-03-26 07:42:48.158699	20798	21.1	1	8
2014-03-26 07:42:48.392971	20799	53	2	8
2014-03-26 07:42:56.652569	20800	4507	3	2
2014-03-26 07:43:03.190609	20801	18.3	1	1
2014-03-26 07:43:03.414071	20802	48	2	1
2014-03-26 07:43:08.654193	20803	3283	3	2
2014-03-26 07:43:20.652499	20804	3541	3	2
2014-03-26 07:35:37.174337	20682	20.4	1	10
2014-03-26 07:35:37.408243	20683	47	2	10
2014-03-26 07:36:16.173983	20690	20.4	1	10
2014-03-26 07:36:16.408001	20691	46	2	10
2014-03-26 07:36:55.17319	20700	20.4	1	10
2014-03-26 07:36:55.39688	20701	46	2	10
2014-03-26 07:37:34.175396	20712	20.3	1	10
2014-03-26 07:37:34.396841	20713	46	2	10
2014-03-26 07:38:13.310068	20723	20.3	1	10
2014-03-26 07:38:13.729979	20724	46	2	10
2014-03-26 07:38:52.175776	20734	20.3	1	10
2014-03-26 07:38:52.397871	20735	46	2	10
2014-03-26 07:39:31.175707	20744	20.3	1	10
2014-03-26 07:39:31.400052	20745	46	2	10
2014-03-26 07:40:10.178595	20756	20.3	1	10
2014-03-26 07:40:10.402821	20757	46	2	10
2014-03-26 07:40:49.177792	20766	20.3	1	10
2014-03-26 07:40:49.399918	20767	46	2	10
2014-03-26 07:41:28.175882	20775	20.3	1	10
2014-03-26 07:41:28.398547	20776	46	2	10
2014-03-26 07:42:07.1778	20783	20.2	1	10
2014-03-26 07:42:07.410112	20784	46	2	10
2014-03-26 07:42:46.177296	20794	20.2	1	10
2014-03-26 07:42:46.40952	20795	46	2	10
2014-03-26 07:43:25.177358	20805	20.2	1	10
2014-03-26 07:43:25.40928	20806	46	2	10
2014-03-26 07:43:27.487058	20809	21.1	1	8
2014-03-26 07:43:27.723673	20810	53	2	8
2014-03-26 07:43:32.651006	20811	3283	3	2
2014-03-26 07:43:42.193738	20812	18.4	1	1
2014-03-26 07:43:42.437476	20813	48	2	1
2014-03-26 07:43:44.654246	20814	2205	3	2
2014-03-26 07:43:56.650811	20815	1352	3	2
2014-03-26 23:09:02.044553	32923	21.4	1	9
2014-03-26 23:09:02.272017	32924	47	2	9
2014-03-26 07:44:06.15999	20820	21.1	1	8
2014-03-26 07:44:06.391965	20821	53	2	8
2014-03-26 07:44:08.655036	20822	837	3	2
2014-03-26 07:44:20.649854	20823	1979	3	2
2014-03-26 07:44:21.188048	20824	18.4	1	1
2014-03-26 07:44:21.420237	20825	48	2	1
2014-03-26 07:44:32.649985	20826	1963	3	2
2014-03-26 23:09:03.133409	32925	21.7	1	8
2014-03-26 23:09:03.367785	32926	48	2	8
2014-03-26 07:44:44.650213	20831	804	3	2
2014-03-26 07:44:45.376772	20832	21.1	1	8
2014-03-26 07:44:45.598988	20833	53	2	8
2014-03-26 07:44:56.655223	20834	804	3	2
2014-03-26 07:45:00.191246	20835	18.4	1	1
2014-03-26 07:45:00.414281	20836	48	2	1
2014-03-26 07:45:20.65206	20837	1883	3	2
2014-03-26 23:09:17.654496	32927	20.1	1	1
2014-03-26 23:09:17.879318	32928	50	2	1
2014-03-26 07:45:24.160654	20842	21.0	1	8
2014-03-26 07:45:24.393443	20843	53	2	8
2014-03-26 07:45:32.652875	20844	692	3	2
2014-03-26 07:45:39.191833	20845	18.5	1	1
2014-03-26 07:45:39.414828	20846	48	2	1
2014-03-26 07:45:44.65154	20847	627	3	2
2014-03-26 07:45:56.652009	20848	627	3	2
2014-03-26 23:09:30.725819	32929	23.9	1	10
2014-03-26 23:09:30.963437	32930	42	2	10
2014-03-26 07:46:03.161509	20853	21.0	1	8
2014-03-26 07:46:03.392493	20854	53	2	8
2014-03-26 07:46:18.190756	20855	18.5	1	1
2014-03-26 07:46:18.413618	20856	48	2	1
2014-03-26 07:46:32.653393	20857	627	3	2
2014-03-26 23:09:32.549254	32931	338	3	2
2014-03-26 23:09:32.774345	32932	1088784.4598642618	4	2
2014-03-26 07:46:42.159318	20862	21.0	1	8
2014-03-26 07:46:42.38239	20863	53	2	8
2014-03-26 07:46:44.653951	20864	1883	3	2
2014-03-26 07:46:56.655969	20865	1867	3	2
2014-03-26 07:46:57.186738	20866	18.6	1	1
2014-03-26 07:46:57.409432	20867	48	2	1
2014-03-26 07:47:08.653173	20868	676	3	2
2014-03-26 23:09:41.045164	32933	21.4	1	9
2014-03-26 23:09:41.28161	32934	47	2	9
2014-03-26 07:47:20.65313	20873	627	3	2
2014-03-26 07:47:21.15953	20874	21.0	1	8
2014-03-26 07:47:21.380322	20875	54	2	8
2014-03-26 07:47:32.649627	20876	627	3	2
2014-03-26 07:47:36.188963	20877	18.6	1	1
2014-03-26 07:47:36.411258	20878	48	2	1
2014-03-26 23:09:42.133082	32935	21.7	1	8
2014-03-26 23:09:42.358439	32936	48	2	8
2014-03-26 07:48:00.1596	20883	21.0	1	8
2014-03-26 07:48:00.391232	20884	54	2	8
2014-03-26 07:48:15.188638	20885	18.6	1	1
2014-03-26 07:48:15.411442	20886	49	2	1
2014-03-26 07:48:36.980904	20887	627	3	2
2014-03-26 23:09:56.65377	32937	20.1	1	1
2014-03-26 23:09:56.888138	32938	50	2	1
2014-03-26 07:48:39.158213	20892	21.0	1	8
2014-03-26 07:48:39.382587	20893	54	2	8
2014-03-26 07:48:54.187496	20894	18.7	1	1
2014-03-26 07:48:54.419802	20895	49	2	1
2014-03-26 23:10:09.724589	32939	23.9	1	10
2014-03-26 23:10:09.95262	32940	42	2	10
2014-03-26 07:49:18.158773	20900	21.0	1	8
2014-03-26 07:49:18.381735	20901	54	2	8
2014-03-26 07:49:20.653814	20902	595	3	2
2014-03-26 07:49:32.654991	20903	611	3	2
2014-03-26 07:49:33.186534	20904	18.7	1	1
2014-03-26 07:49:33.410829	20905	49	2	1
2014-03-26 23:10:20.046244	32941	21.4	1	9
2014-03-26 23:10:20.334034	32942	47	2	9
2014-03-26 07:49:57.159354	20910	21.0	1	8
2014-03-26 07:49:57.391152	20911	54	2	8
2014-03-26 07:50:12.190795	20912	18.8	1	1
2014-03-26 07:50:12.415476	20913	49	2	1
2014-03-26 07:50:32.783893	20914	627	3	2
2014-03-26 23:10:20.676571	32943	305	3	2
2014-03-26 23:10:20.937735	32944	1088789.0560031475	4	2
2014-03-26 07:50:36.360088	20919	21.0	1	8
2014-03-26 07:50:36.780136	20920	54	2	8
2014-03-26 07:50:51.183437	20921	18.8	1	1
2014-03-26 07:50:51.416718	20922	49	2	1
2014-03-26 23:10:21.269841	32945	21.7	1	8
2014-03-26 23:10:21.540239	32946	48	2	8
2014-03-26 07:51:15.161582	20927	21.0	1	8
2014-03-26 07:51:15.382981	20928	55	2	8
2014-03-26 07:51:30.190216	20929	18.8	1	1
2014-03-26 07:51:30.423943	20930	49	2	1
2014-03-26 07:51:32.65039	20931	627	3	2
2014-03-26 23:10:32.551303	32947	305	3	2
2014-03-26 23:10:32.83032	32948	1088790.205037869	4	2
2014-03-26 07:51:54.1601	20936	21.0	1	8
2014-03-26 07:51:54.391379	20937	55	2	8
2014-03-26 07:51:56.650396	20938	676	3	2
2014-03-26 07:52:08.652258	20939	676	3	2
2014-03-26 23:10:35.653554	32949	20.1	1	1
2014-03-26 07:52:32.645178	20944	676	3	2
2014-03-26 07:44:04.176534	20816	20.2	1	10
2014-03-26 07:44:04.409566	20817	46	2	10
2014-03-26 07:44:43.178256	20827	20.2	1	10
2014-03-26 07:44:43.399666	20828	46	2	10
2014-03-26 07:45:22.177917	20838	20.2	1	10
2014-03-26 07:45:22.410525	20839	46	2	10
2014-03-26 07:46:01.179561	20849	20.2	1	10
2014-03-26 07:46:01.411206	20850	46	2	10
2014-03-26 07:46:40.178574	20858	20.2	1	10
2014-03-26 07:46:40.402442	20859	46	2	10
2014-03-26 07:47:19.179123	20869	20.2	1	10
2014-03-26 07:47:19.403006	20870	46	2	10
2014-03-26 07:47:58.177091	20879	20.2	1	10
2014-03-26 07:47:58.402197	20880	46	2	10
2014-03-26 07:48:37.297587	20888	20.1	1	10
2014-03-26 07:48:37.520044	20889	46	2	10
2014-03-26 07:49:16.179491	20896	20.1	1	10
2014-03-26 07:49:16.401672	20897	46	2	10
2014-03-26 07:49:55.179857	20906	20.1	1	10
2014-03-26 07:49:55.412775	20907	46	2	10
2014-03-26 07:50:34.310068	20915	20.1	1	10
2014-03-26 07:50:34.733775	20916	46	2	10
2014-03-26 07:51:13.181636	20923	20.1	1	10
2014-03-26 07:51:13.405433	20924	46	2	10
2014-03-26 07:51:52.181076	20932	20.1	1	10
2014-03-26 07:51:52.404656	20933	46	2	10
2014-03-26 07:52:33.15899	20945	21.0	1	8
2014-03-26 07:52:33.382161	20946	55	2	8
2014-03-26 07:52:48.18499	20947	19.0	1	1
2014-03-26 07:52:48.60436	20948	48	2	1
2014-03-26 23:10:35.971264	32950	50	2	1
2014-03-26 23:10:44.55429	32951	338	3	2
2014-03-26 07:53:12.160722	20953	21.0	1	8
2014-03-26 07:53:12.389114	20954	55	2	8
2014-03-26 07:53:27.184574	20955	19.0	1	1
2014-03-26 07:53:27.405962	20956	48	2	1
2014-03-26 07:53:32.654591	20957	676	3	2
2014-03-26 23:10:44.819959	32952	1088791.3540725904	4	2
2014-03-26 23:10:48.72505	32953	23.9	1	10
2014-03-26 07:53:51.491302	20962	21.0	1	8
2014-03-26 07:53:51.713619	20963	55	2	8
2014-03-26 07:54:06.183379	20964	19.0	1	1
2014-03-26 07:54:06.41408	20965	48	2	1
2014-03-26 23:10:48.992498	32954	42	2	10
2014-03-26 23:10:56.55097	32955	338	3	2
2014-03-26 07:54:30.159516	20968	21.0	1	8
2014-03-26 07:54:30.390659	20969	55	2	8
2014-03-26 07:54:32.650313	20970	676	3	2
2014-03-26 07:54:45.182892	20971	19.1	1	1
2014-03-26 07:54:45.404905	20972	48	2	1
2014-03-26 23:10:56.776258	32956	1088792.503107312	4	2
2014-03-26 23:10:59.046842	32957	21.4	1	9
2014-03-26 07:55:09.158646	20977	21.0	1	8
2014-03-26 07:55:09.379632	20978	55	2	8
2014-03-26 07:55:24.187115	20979	19.1	1	1
2014-03-26 07:55:24.419518	20980	48	2	1
2014-03-26 07:55:32.654835	20981	676	3	2
2014-03-26 23:10:59.283974	32958	47	2	9
2014-03-26 23:11:00.133473	32959	21.7	1	8
2014-03-26 07:55:48.161101	20986	21.0	1	8
2014-03-26 07:55:48.393138	20987	55	2	8
2014-03-26 07:56:03.184526	20988	19.2	1	1
2014-03-26 07:56:03.406971	20989	48	2	1
2014-03-26 23:11:00.357067	32960	48	2	8
2014-03-26 23:11:08.551589	32961	305	3	2
2014-03-26 07:56:27.160528	20994	21.0	1	8
2014-03-26 07:56:27.392635	20995	55	2	8
2014-03-26 07:56:32.652352	20996	676	3	2
2014-03-26 07:56:42.225375	20997	19.2	1	1
2014-03-26 07:56:42.446404	20998	48	2	1
2014-03-26 23:11:08.786155	32962	1088793.6521420332	4	2
2014-03-26 23:11:14.654985	32963	20.1	1	1
2014-03-26 07:57:06.158297	21003	21.0	1	8
2014-03-26 07:57:06.384015	21004	55	2	8
2014-03-26 07:57:21.182526	21005	19.3	1	1
2014-03-26 07:57:21.416087	21006	48	2	1
2014-03-26 07:57:32.649032	21007	611	3	2
2014-03-26 23:11:14.879706	32964	50	2	1
2014-03-26 23:11:20.554166	32965	338	3	2
2014-03-26 07:57:44.652399	21012	611	3	2
2014-03-26 07:57:45.159121	21013	21.0	1	8
2014-03-26 07:57:45.382917	21014	55	2	8
2014-03-26 07:58:00.184824	21015	19.3	1	1
2014-03-26 07:58:00.418597	21016	48	2	1
2014-03-26 23:11:20.78897	32966	1088794.8011767545	4	2
2014-03-26 23:11:27.930917	32967	23.9	1	10
2014-03-26 07:58:24.160086	21021	21.0	1	8
2014-03-26 07:58:24.38409	21022	55	2	8
2014-03-26 07:58:32.649604	21023	611	3	2
2014-03-26 07:58:39.183002	21024	19.3	1	1
2014-03-26 07:58:39.406133	21025	49	2	1
2014-03-26 23:11:28.155021	32968	42	2	10
2014-03-26 23:11:32.549327	32969	338	3	2
2014-03-26 07:59:03.158575	21030	21.0	1	8
2014-03-26 07:59:03.39124	21031	56	2	8
2014-03-26 07:59:08.650785	21032	724	3	2
2014-03-26 07:59:18.181453	21033	19.4	1	1
2014-03-26 07:59:18.424732	21034	49	2	1
2014-03-26 07:59:32.652937	21035	724	3	2
2014-03-26 23:11:32.784909	32970	1088794.8011767545	4	2
2014-03-26 23:11:38.045032	32971	21.4	1	9
2014-03-26 07:59:42.159141	21040	21.0	1	8
2014-03-26 07:59:42.390796	21041	56	2	8
2014-03-26 07:59:57.179621	21042	19.4	1	1
2014-03-26 07:59:57.403401	21043	49	2	1
2014-03-26 23:11:38.271109	32972	47	2	9
2014-03-26 23:11:39.133262	32973	21.7	1	8
2014-03-26 08:00:21.158239	21048	21.1	1	8
2014-03-26 08:00:21.391107	21049	57	2	8
2014-03-26 08:00:32.650364	21050	724	3	2
2014-03-26 08:00:36.183152	21051	19.5	1	1
2014-03-26 08:00:36.404884	21052	49	2	1
2014-03-26 23:11:39.366999	32974	48	2	8
2014-03-26 23:11:53.654289	32975	20.1	1	1
2014-03-26 08:01:00.159312	21057	21.1	1	8
2014-03-26 08:01:00.379848	21058	59	2	8
2014-03-26 08:01:08.646607	21059	692	3	2
2014-03-26 08:01:15.184331	21060	19.5	1	1
2014-03-26 08:01:15.407527	21061	49	2	1
2014-03-26 08:01:20.647788	21062	692	3	2
2014-03-26 08:01:32.648629	21063	708	3	2
2014-03-26 23:11:53.87986	32976	50	2	1
2014-03-26 08:01:39.495769	21068	21.2	1	8
2014-03-26 08:01:39.717722	21069	61	2	8
2014-03-26 08:01:54.188766	21070	19.6	1	1
2014-03-26 08:01:54.419292	21071	49	2	1
2014-03-26 08:02:18.158684	21076	21.3	1	8
2014-03-26 08:02:18.383172	21077	63	2	8
2014-03-26 08:02:32.65101	21078	692	3	2
2014-03-26 08:02:33.184678	21079	19.6	1	1
2014-03-26 08:02:33.408126	21080	49	2	1
2014-03-26 07:53:10.180634	20949	20.1	1	10
2014-03-26 07:53:10.408755	20950	46	2	10
2014-03-26 07:53:49.17919	20958	20.1	1	10
2014-03-26 07:53:49.406242	20959	46	2	10
2014-03-26 07:55:07.182444	20973	20.1	1	10
2014-03-26 07:55:07.406102	20974	46	2	10
2014-03-26 07:55:46.181278	20982	20.1	1	10
2014-03-26 07:55:46.415614	20983	46	2	10
2014-03-26 07:56:25.182608	20990	20.1	1	10
2014-03-26 07:56:25.424371	20991	46	2	10
2014-03-26 07:57:04.181956	20999	20.1	1	10
2014-03-26 07:57:04.406032	21000	46	2	10
2014-03-26 07:57:43.182341	21008	20.1	1	10
2014-03-26 07:57:43.406474	21009	46	2	10
2014-03-26 07:58:22.181723	21017	20.1	1	10
2014-03-26 07:58:22.403621	21018	46	2	10
2014-03-26 07:59:01.182529	21026	20.1	1	10
2014-03-26 07:59:01.417027	21027	46	2	10
2014-03-26 07:59:40.18257	21036	20.1	1	10
2014-03-26 07:59:40.406195	21037	46	2	10
2014-03-26 08:00:19.182621	21044	20.1	1	10
2014-03-26 08:00:19.415427	21045	46	2	10
2014-03-26 08:00:58.183199	21053	20.1	1	10
2014-03-26 08:00:58.405109	21054	46	2	10
2014-03-26 08:01:37.183804	21064	20.1	1	10
2014-03-26 08:01:37.40682	21065	46	2	10
2014-03-26 08:02:16.18545	21072	20.1	1	10
2014-03-26 08:02:16.417053	21073	46	2	10
2014-03-26 23:12:06.726233	32977	23.9	1	10
2014-03-26 23:12:06.964528	32978	42	2	10
2014-03-26 08:02:57.160959	21085	21.4	1	8
2014-03-26 08:02:57.382321	21086	64	2	8
2014-03-26 08:03:12.184398	21087	19.6	1	1
2014-03-26 08:03:12.406924	21088	49	2	1
2014-03-26 08:03:32.64717	21089	692	3	2
2014-03-26 23:12:17.045069	32979	21.4	1	9
2014-03-26 23:12:17.269691	32980	47	2	9
2014-03-26 08:03:36.157872	21094	21.5	1	8
2014-03-26 08:03:36.392752	21095	66	2	8
2014-03-26 08:03:51.18224	21096	19.7	1	1
2014-03-26 08:03:51.403372	21097	49	2	1
2014-03-26 23:12:18.132758	32981	21.7	1	8
2014-03-26 23:12:18.36878	32982	48	2	8
2014-03-26 08:04:15.158958	21102	21.7	1	8
2014-03-26 08:04:15.389717	21103	67	2	8
2014-03-26 08:04:20.650593	21104	804	3	2
2014-03-26 08:04:30.182356	21105	19.7	1	1
2014-03-26 08:04:30.406063	21106	49	2	1
2014-03-26 08:04:32.651299	21107	804	3	2
2014-03-26 23:12:20.549649	32983	305	3	2
2014-03-26 23:12:20.776159	32984	1088799.3973156402	4	2
2014-03-26 08:04:54.159347	21112	21.8	1	8
2014-03-26 08:04:54.38808	21113	68	2	8
2014-03-26 08:05:09.179882	21114	19.7	1	1
2014-03-26 08:05:09.403224	21115	49	2	1
2014-03-26 23:12:32.892671	32985	20.1	1	1
2014-03-26 23:12:33.127093	32986	50	2	1
2014-03-26 08:05:32.645086	21120	804	3	2
2014-03-26 08:05:33.157479	21121	22.0	1	8
2014-03-26 08:05:33.38004	21122	68	2	8
2014-03-26 08:05:48.183785	21123	19.8	1	1
2014-03-26 08:05:48.408292	21124	49	2	1
2014-03-26 08:05:56.655363	21125	627	3	2
2014-03-26 08:06:08.649255	21126	643	3	2
2014-03-26 23:12:44.54866	32987	338	3	2
2014-03-26 23:12:44.775692	32988	1088801.695385083	4	2
2014-03-26 08:06:12.157375	21131	22.0	1	8
2014-03-26 08:06:12.389216	21132	67	2	8
2014-03-26 08:06:20.651008	21133	692	3	2
2014-03-26 08:06:27.181688	21134	19.8	1	1
2014-03-26 08:06:27.405242	21135	49	2	1
2014-03-26 08:06:32.6512	21136	692	3	2
2014-03-26 08:06:44.701386	21137	643	3	2
2014-03-26 23:12:45.725572	32989	23.9	1	10
2014-03-26 23:12:45.961742	32990	42	2	10
2014-03-26 08:06:51.159466	21142	21.9	1	8
2014-03-26 08:06:51.390535	21143	66	2	8
2014-03-26 08:06:56.649205	21144	643	3	2
2014-03-26 08:07:06.182921	21145	19.8	1	1
2014-03-26 08:07:06.405016	21146	49	2	1
2014-03-26 23:12:56.044543	32991	21.4	1	9
2014-03-26 23:12:56.267526	32992	47	2	9
2014-03-26 08:07:30.159823	21151	21.9	1	8
2014-03-26 08:07:30.381865	21152	65	2	8
2014-03-26 08:07:32.64932	21153	643	3	2
2014-03-26 08:07:45.181819	21154	19.8	1	1
2014-03-26 08:07:45.4074	21155	49	2	1
2014-03-26 23:12:56.575907	32993	305	3	2
2014-03-26 23:12:56.810744	32994	1088802.8444198046	4	2
2014-03-26 08:08:08.649226	21160	611	3	2
2014-03-26 08:08:09.159582	21161	21.8	1	8
2014-03-26 08:08:09.383314	21162	64	2	8
2014-03-26 08:08:20.649658	21163	611	3	2
2014-03-26 08:08:24.176611	21164	19.9	1	1
2014-03-26 08:08:24.400323	21165	49	2	1
2014-03-26 08:08:32.652633	21166	466	3	2
2014-03-26 08:08:44.649432	21167	466	3	2
2014-03-26 23:12:57.134763	32995	21.7	1	8
2014-03-26 23:12:57.362232	32996	48	2	8
2014-03-26 08:08:48.157893	21172	21.8	1	8
2014-03-26 08:08:48.386797	21173	64	2	8
2014-03-26 08:08:56.648907	21174	595	3	2
2014-03-26 08:09:03.179388	21175	19.9	1	1
2014-03-26 08:09:03.401916	21176	49	2	1
2014-03-26 08:09:08.64528	21177	611	3	2
2014-03-26 23:13:08.55091	32997	305	3	2
2014-03-26 23:13:08.796392	32998	1088803.993454526	4	2
2014-03-26 08:09:27.160001	21182	21.7	1	8
2014-03-26 08:09:27.384354	21183	64	2	8
2014-03-26 08:09:32.653514	21184	531	3	2
2014-03-26 08:09:42.174461	21185	19.9	1	1
2014-03-26 08:09:42.396706	21186	49	2	1
2014-03-26 08:09:44.653897	21187	418	3	2
2014-03-26 08:09:56.650217	21188	466	3	2
2014-03-26 23:13:11.650604	32999	20.1	1	1
2014-03-26 23:13:11.874327	33000	50	2	1
2014-03-26 08:10:06.158449	21193	21.7	1	8
2014-03-26 08:10:06.383021	21194	64	2	8
2014-03-26 08:10:08.651051	21195	482	3	2
2014-03-26 08:10:21.178723	21196	19.9	1	1
2014-03-26 08:10:21.399342	21197	49	2	1
2014-03-26 08:10:32.642513	21198	627	3	2
2014-03-26 23:13:20.552995	33001	370	3	2
2014-03-26 23:13:20.787355	33002	1088805.1424892475	4	2
2014-03-26 08:10:44.643156	21203	515	3	2
2014-03-26 08:10:45.159574	21204	21.7	1	8
2014-03-26 08:10:45.38025	21205	64	2	8
2014-03-26 08:10:56.6491	21206	482	3	2
2014-03-26 08:11:00.173402	21207	19.9	1	1
2014-03-26 08:11:00.394875	21208	49	2	1
2014-03-26 08:11:08.647796	21209	466	3	2
2014-03-26 23:13:24.723992	33003	23.9	1	10
2014-03-26 08:11:24.158184	21214	21.6	1	8
2014-03-26 08:11:24.380847	21215	63	2	8
2014-03-26 08:11:32.650769	21216	466	3	2
2014-03-26 08:02:55.183285	21081	20.1	1	10
2014-03-26 08:02:55.408729	21082	46	2	10
2014-03-26 08:03:34.183042	21090	20.1	1	10
2014-03-26 08:03:34.415542	21091	46	2	10
2014-03-26 08:04:13.183088	21098	20.1	1	10
2014-03-26 08:04:13.41459	21099	46	2	10
2014-03-26 08:04:52.184312	21108	20.1	1	10
2014-03-26 08:04:52.405685	21109	46	2	10
2014-03-26 08:05:31.183899	21116	20.1	1	10
2014-03-26 08:05:31.415767	21117	46	2	10
2014-03-26 08:06:10.184192	21127	20.1	1	10
2014-03-26 08:06:10.417662	21128	46	2	10
2014-03-26 08:06:49.18531	21138	20.1	1	10
2014-03-26 08:06:49.41569	21139	46	2	10
2014-03-26 08:07:28.187893	21147	20.1	1	10
2014-03-26 08:07:28.412297	21148	46	2	10
2014-03-26 08:08:07.18598	21156	20.1	1	10
2014-03-26 08:08:07.417617	21157	46	2	10
2014-03-26 08:08:46.185547	21168	20.1	1	10
2014-03-26 08:08:46.407356	21169	46	2	10
2014-03-26 08:09:25.187086	21178	20.1	1	10
2014-03-26 08:09:25.410748	21179	46	2	10
2014-03-26 08:10:04.187221	21189	20.1	1	10
2014-03-26 08:10:04.408268	21190	46	2	10
2014-03-26 08:10:43.186884	21199	20.1	1	10
2014-03-26 08:10:43.408824	21200	45	2	10
2014-03-26 08:11:39.176305	21217	19.9	1	1
2014-03-26 08:11:39.399484	21218	49	2	1
2014-03-26 23:13:24.95173	33004	42	2	10
2014-03-26 23:13:32.550417	33005	370	3	2
2014-03-26 08:12:03.158566	21223	21.6	1	8
2014-03-26 08:12:03.388845	21224	63	2	8
2014-03-26 08:12:18.176334	21225	20.0	1	1
2014-03-26 08:12:18.399181	21226	49	2	1
2014-03-26 08:12:32.653288	21227	466	3	2
2014-03-26 23:13:32.785223	33006	1088806.2915239688	4	2
2014-03-26 23:13:35.046648	33007	21.4	1	9
2014-03-26 08:12:42.162422	21232	21.6	1	8
2014-03-26 08:12:42.385526	21233	63	2	8
2014-03-26 08:12:57.180341	21234	20.0	1	1
2014-03-26 08:12:57.412472	21235	49	2	1
2014-03-26 23:13:35.270706	33008	47	2	9
2014-03-26 23:13:36.132593	33009	21.7	1	8
2014-03-26 08:13:21.158977	21240	21.6	1	8
2014-03-26 08:13:21.384408	21241	63	2	8
2014-03-26 08:13:32.647863	21242	466	3	2
2014-03-26 08:13:36.176453	21243	20.0	1	1
2014-03-26 08:13:36.401517	21244	49	2	1
2014-03-26 23:13:36.369216	33010	48	2	8
2014-03-26 23:13:50.650737	33011	20.1	1	1
2014-03-26 08:14:00.158836	21249	21.6	1	8
2014-03-26 08:14:00.392113	21250	62	2	8
2014-03-26 08:14:15.176687	21251	20.1	1	1
2014-03-26 08:14:15.398427	21252	49	2	1
2014-03-26 08:14:36.986403	21253	466	3	2
2014-03-26 23:13:50.875254	33012	50	2	1
2014-03-26 23:14:03.724474	33013	23.9	1	10
2014-03-26 08:14:39.158545	21258	21.5	1	8
2014-03-26 08:14:39.379733	21259	62	2	8
2014-03-26 08:14:54.17364	21260	20.1	1	1
2014-03-26 08:14:54.40902	21261	49	2	1
2014-03-26 23:14:03.95933	33014	42	2	10
2014-03-26 23:14:14.044713	33015	21.4	1	9
2014-03-26 08:15:18.158768	21266	21.5	1	8
2014-03-26 08:15:18.379434	21267	62	2	8
2014-03-26 08:15:32.652029	21268	466	3	2
2014-03-26 08:15:33.213534	21269	20.1	1	1
2014-03-26 08:15:33.43538	21270	49	2	1
2014-03-26 23:14:14.270599	33016	47	2	9
2014-03-26 23:14:15.135123	33017	21.7	1	8
2014-03-26 08:15:57.157846	21275	21.5	1	8
2014-03-26 08:15:57.388726	21276	62	2	8
2014-03-26 08:16:08.651456	21277	515	3	2
2014-03-26 08:16:12.212556	21278	20.1	1	1
2014-03-26 08:16:12.436255	21279	49	2	1
2014-03-26 08:16:20.646346	21280	515	3	2
2014-03-26 08:16:32.648556	21281	531	3	2
2014-03-26 23:14:15.369178	33018	48	2	8
2014-03-26 23:14:29.652967	33019	20.1	1	1
2014-03-26 08:16:36.158481	21286	21.5	1	8
2014-03-26 08:16:36.389933	21287	62	2	8
2014-03-26 08:16:51.173361	21288	20.2	1	1
2014-03-26 08:16:51.395125	21289	49	2	1
2014-03-26 23:14:29.884831	33020	50	2	1
2014-03-26 23:14:32.549855	33021	370	3	2
2014-03-26 08:17:15.158711	21294	21.5	1	8
2014-03-26 08:17:15.391955	21295	62	2	8
2014-03-26 08:17:30.175401	21296	20.2	1	1
2014-03-26 08:17:30.39746	21297	50	2	1
2014-03-26 08:17:32.647448	21298	515	3	2
2014-03-26 23:14:32.78375	33022	1088813.1857322974	4	2
2014-03-26 23:14:42.725522	33023	23.8	1	10
2014-03-26 08:17:54.160332	21303	21.5	1	8
2014-03-26 08:17:54.382256	21304	62	2	8
2014-03-26 08:18:09.174856	21305	20.2	1	1
2014-03-26 08:18:09.407409	21306	50	2	1
2014-03-26 23:14:42.950273	33024	42	2	10
2014-03-26 23:14:53.044182	33025	21.4	1	9
2014-03-26 08:18:32.957412	21311	515	3	2
2014-03-26 08:18:33.265561	21312	21.5	1	8
2014-03-26 08:18:33.488085	21313	62	2	8
2014-03-26 08:18:48.175988	21314	20.3	1	1
2014-03-26 08:18:48.402658	21315	50	2	1
2014-03-26 23:14:53.280008	33026	47	2	9
2014-03-26 23:14:54.132454	33027	21.6	1	8
2014-03-26 08:19:12.157785	21320	21.5	1	8
2014-03-26 08:19:12.382548	21321	62	2	8
2014-03-26 08:19:27.172563	21322	20.3	1	1
2014-03-26 08:19:27.3955	21323	50	2	1
2014-03-26 08:19:32.652167	21324	515	3	2
2014-03-26 23:14:54.357419	33028	48	2	8
2014-03-26 23:15:08.649535	33029	20.1	1	1
2014-03-26 08:19:51.158696	21329	21.5	1	8
2014-03-26 08:19:51.381052	21330	62	2	8
2014-03-26 08:20:06.173243	21331	20.3	1	1
2014-03-26 08:20:06.40477	21332	50	2	1
2014-03-26 23:15:08.886906	33030	50	2	1
2014-03-26 23:15:21.72659	33031	23.8	1	10
2014-03-26 08:20:30.158539	21337	21.5	1	8
2014-03-26 08:20:30.380119	21338	62	2	8
2014-03-26 08:20:32.64756	21339	515	3	2
2014-03-26 08:20:45.226973	21340	20.4	1	1
2014-03-26 08:20:45.449506	21341	50	2	1
2014-03-26 23:15:21.952166	33032	42	2	10
2014-03-26 23:15:32.044555	33033	21.4	1	9
2014-03-26 08:21:09.157255	21346	21.5	1	8
2014-03-26 08:21:09.379259	21347	62	2	8
2014-03-26 08:21:24.171219	21348	20.4	1	1
2014-03-26 08:21:24.395868	21349	50	2	1
2014-03-26 08:21:32.649267	21350	531	3	2
2014-03-26 08:21:44.648319	21351	466	3	2
2014-03-26 08:12:01.187335	21219	20.1	1	10
2014-03-26 08:12:01.418421	21220	45	2	10
2014-03-26 08:12:40.189179	21228	20.1	1	10
2014-03-26 08:12:40.413673	21229	45	2	10
2014-03-26 08:13:19.18758	21236	20.1	1	10
2014-03-26 08:13:19.412931	21237	45	2	10
2014-03-26 08:13:58.18593	21245	20.1	1	10
2014-03-26 08:13:58.411379	21246	45	2	10
2014-03-26 08:14:37.313171	21254	20.1	1	10
2014-03-26 08:14:37.536627	21255	45	2	10
2014-03-26 08:15:16.188625	21262	20.1	1	10
2014-03-26 08:15:16.410133	21263	45	2	10
2014-03-26 08:15:55.188232	21271	20.1	1	10
2014-03-26 08:15:55.41885	21272	45	2	10
2014-03-26 08:16:34.188808	21282	20.1	1	10
2014-03-26 08:16:34.420335	21283	45	2	10
2014-03-26 08:17:13.189961	21290	20.1	1	10
2014-03-26 08:17:13.422719	21291	45	2	10
2014-03-26 08:17:52.190916	21299	20.2	1	10
2014-03-26 08:17:52.41523	21300	45	2	10
2014-03-26 08:18:31.189429	21307	20.2	1	10
2014-03-26 08:18:31.413239	21308	45	2	10
2014-03-26 08:19:10.190302	21316	20.2	1	10
2014-03-26 08:19:10.413844	21317	45	2	10
2014-03-26 08:19:49.19085	21325	20.2	1	10
2014-03-26 08:19:49.414074	21326	45	2	10
2014-03-26 08:20:28.190045	21333	20.2	1	10
2014-03-26 08:20:28.41251	21334	45	2	10
2014-03-26 23:15:32.277338	33034	47	2	9
2014-03-26 23:15:32.589575	33035	370	3	2
2014-03-26 08:21:48.158083	21356	21.5	1	8
2014-03-26 08:21:48.378823	21357	62	2	8
2014-03-26 08:21:56.6454	21358	482	3	2
2014-03-26 08:22:03.171908	21359	20.4	1	1
2014-03-26 08:22:03.393382	21360	50	2	1
2014-03-26 23:15:32.813787	33036	1088818.9309059044	4	2
2014-03-26 23:15:33.132044	33037	21.6	1	8
2014-03-26 08:22:27.1582	21365	21.5	1	8
2014-03-26 08:22:27.379847	21366	62	2	8
2014-03-26 08:22:32.645797	21367	482	3	2
2014-03-26 08:22:42.172512	21368	20.4	1	1
2014-03-26 08:22:42.395055	21369	50	2	1
2014-03-26 23:15:33.367196	33038	48	2	8
2014-03-26 23:15:47.650648	33039	20.1	1	1
2014-03-26 08:23:06.1593	21374	21.4	1	8
2014-03-26 08:23:06.411856	21375	61	2	8
2014-03-26 08:23:21.170437	21376	20.5	1	1
2014-03-26 08:23:21.393655	21377	50	2	1
2014-03-26 08:23:32.647255	21378	482	3	2
2014-03-26 23:15:47.874569	33040	50	2	1
2014-03-26 23:16:00.726231	33041	23.8	1	10
2014-03-26 08:23:45.156844	21383	21.4	1	8
2014-03-26 08:23:45.437038	21384	61	2	8
2014-03-26 08:24:00.167949	21385	20.5	1	1
2014-03-26 08:24:00.392758	21386	50	2	1
2014-03-26 08:24:20.646674	21387	579	3	2
2014-03-26 23:16:00.960839	33042	42	2	10
2014-03-26 23:16:11.044517	33043	21.3	1	9
2014-03-26 08:24:24.158695	21392	21.4	1	8
2014-03-26 08:24:24.390762	21393	61	2	8
2014-03-26 08:24:32.649241	21394	547	3	2
2014-03-26 08:24:39.169736	21395	20.5	1	1
2014-03-26 08:24:39.395293	21396	50	2	1
2014-03-26 08:24:44.648581	21397	579	3	2
2014-03-26 08:24:56.648771	21398	547	3	2
2014-03-26 23:16:11.268524	33044	47	2	9
2014-03-26 23:16:12.132126	33045	21.6	1	8
2014-03-26 08:25:03.158234	21403	21.4	1	8
2014-03-26 08:25:03.390321	21404	61	2	8
2014-03-26 08:25:08.644459	21405	547	3	2
2014-03-26 08:25:18.173122	21406	20.6	1	1
2014-03-26 08:25:18.394783	21407	50	2	1
2014-03-26 08:25:32.647857	21408	579	3	2
2014-03-26 23:16:12.378052	33046	48	2	8
2014-03-26 23:16:26.652526	33047	20.1	1	1
2014-03-26 08:25:42.160015	21413	21.4	1	8
2014-03-26 08:25:42.382233	21414	61	2	8
2014-03-26 08:25:44.652649	21415	547	3	2
2014-03-26 08:25:56.646113	21416	547	3	2
2014-03-26 08:25:57.16952	21417	20.6	1	1
2014-03-26 08:25:57.391556	21418	50	2	1
2014-03-26 08:26:08.647158	21419	579	3	2
2014-03-26 23:16:26.878498	33048	50	2	1
2014-03-26 23:16:32.550928	33049	370	3	2
2014-03-26 08:26:21.0432	21424	547	3	2
2014-03-26 08:26:21.349179	21425	21.4	1	8
2014-03-26 08:26:21.571836	21426	61	2	8
2014-03-26 08:26:32.644333	21427	547	3	2
2014-03-26 08:26:36.171303	21428	20.6	1	1
2014-03-26 08:26:36.393633	21429	50	2	1
2014-03-26 23:16:32.785518	33050	1088823.5315157422	4	2
2014-03-26 23:16:39.726656	33051	23.8	1	10
2014-03-26 08:27:00.159143	21434	21.4	1	8
2014-03-26 08:27:00.399642	21435	61	2	8
2014-03-26 08:27:15.167781	21436	20.6	1	1
2014-03-26 08:27:15.389309	21437	50	2	1
2014-03-26 08:27:32.648173	21438	531	3	2
2014-03-26 23:16:39.951551	33052	42	2	10
2014-03-26 23:16:50.044401	33053	21.3	1	9
2014-03-26 08:27:39.158999	21443	21.4	1	8
2014-03-26 08:27:39.382636	21444	61	2	8
2014-03-26 08:27:54.170297	21445	20.6	1	1
2014-03-26 08:27:54.403033	21446	50	2	1
2014-03-26 23:16:50.277835	33054	47	2	9
2014-03-26 23:16:51.131645	33055	21.6	1	8
2014-03-26 08:28:18.159806	21451	21.4	1	8
2014-03-26 08:28:18.382845	21452	61	2	8
2014-03-26 08:28:32.645497	21453	595	3	2
2014-03-26 08:28:33.172003	21454	20.6	1	1
2014-03-26 08:28:33.393117	21455	50	2	1
2014-03-26 08:28:44.64611	21456	627	3	2
2014-03-26 23:16:51.355802	33056	48	2	8
2014-03-26 23:17:05.65315	33057	20.1	1	1
2014-03-26 08:28:56.648056	21461	595	3	2
2014-03-26 08:28:57.159373	21462	21.4	1	8
2014-03-26 08:28:57.380819	21463	61	2	8
2014-03-26 08:29:08.649511	21464	595	3	2
2014-03-26 08:29:12.187531	21465	20.7	1	1
2014-03-26 08:29:12.42498	21466	50	2	1
2014-03-26 08:29:32.646763	21467	547	3	2
2014-03-26 23:17:05.888535	33058	50	2	1
2014-03-26 23:17:18.728828	33059	23.8	1	10
2014-03-26 08:29:36.158574	21472	21.4	1	8
2014-03-26 08:29:36.384157	21473	61	2	8
2014-03-26 08:29:44.644576	21474	547	3	2
2014-03-26 08:29:51.168249	21475	20.7	1	1
2014-03-26 08:29:51.393103	21476	50	2	1
2014-03-26 08:29:56.648907	21477	579	3	2
2014-03-26 08:30:08.651887	21478	547	3	2
2014-03-26 08:30:15.15869	21483	21.4	1	8
2014-03-26 08:30:15.392967	21484	61	2	8
2014-03-26 08:30:20.646844	21485	547	3	2
2014-03-26 08:30:30.165534	21486	20.7	1	1
2014-03-26 08:30:30.388549	21487	50	2	1
2014-03-26 08:30:32.647871	21488	579	3	2
2014-03-26 08:21:46.412305	21353	45	2	10
2014-03-26 08:22:25.189659	21361	20.2	1	10
2014-03-26 08:22:25.414354	21362	45	2	10
2014-03-26 08:23:04.190874	21370	20.2	1	10
2014-03-26 08:23:04.423393	21371	45	2	10
2014-03-26 08:23:43.192579	21379	20.2	1	10
2014-03-26 08:23:43.414015	21380	45	2	10
2014-03-26 08:24:22.192857	21388	20.2	1	10
2014-03-26 08:24:22.417105	21389	45	2	10
2014-03-26 08:25:01.192654	21399	20.2	1	10
2014-03-26 08:25:01.426071	21400	45	2	10
2014-03-26 08:25:40.19201	21409	20.2	1	10
2014-03-26 08:25:40.415028	21410	45	2	10
2014-03-26 08:26:19.193057	21420	20.2	1	10
2014-03-26 08:26:19.415045	21421	45	2	10
2014-03-26 08:26:58.192439	21430	20.3	1	10
2014-03-26 08:26:58.424668	21431	45	2	10
2014-03-26 08:27:37.199417	21439	20.3	1	10
2014-03-26 08:27:37.424063	21440	45	2	10
2014-03-26 08:28:16.192386	21447	20.3	1	10
2014-03-26 08:28:16.415252	21448	45	2	10
2014-03-26 08:28:55.193183	21457	20.3	1	10
2014-03-26 08:28:55.425983	21458	45	2	10
2014-03-26 08:29:34.193132	21468	20.3	1	10
2014-03-26 08:29:34.417186	21469	45	2	10
2014-03-26 08:30:13.192776	21479	20.3	1	10
2014-03-26 08:30:44.648539	21489	579	3	2
2014-03-26 23:17:18.954155	33060	42	2	10
2014-03-26 23:17:29.045197	33061	21.3	1	9
2014-03-26 08:30:54.158006	21494	21.4	1	8
2014-03-26 08:30:54.391908	21495	61	2	8
2014-03-26 08:31:09.163179	21496	20.7	1	1
2014-03-26 08:31:09.385306	21497	50	2	1
2014-03-26 23:17:29.286899	33062	47	2	9
2014-03-26 23:17:30.135006	33063	21.6	1	8
2014-03-26 08:31:32.647847	21502	579	3	2
2014-03-26 08:31:33.157352	21503	21.4	1	8
2014-03-26 08:31:33.379446	21504	61	2	8
2014-03-26 08:31:48.168195	21505	20.7	1	1
2014-03-26 08:31:48.389932	21506	50	2	1
2014-03-26 08:31:56.647747	21507	547	3	2
2014-03-26 08:32:08.645815	21508	579	3	2
2014-03-26 23:17:30.41409	33064	48	2	8
2014-03-26 23:17:32.550681	33065	370	3	2
2014-03-26 08:32:12.214177	21513	21.4	1	8
2014-03-26 08:32:12.44662	21514	61	2	8
2014-03-26 08:32:20.649499	21515	547	3	2
2014-03-26 08:32:27.167386	21516	20.7	1	1
2014-03-26 08:32:27.390065	21517	50	2	1
2014-03-26 08:32:32.647256	21518	547	3	2
2014-03-26 23:17:32.787465	33066	1088830.4257240708	4	2
2014-03-26 23:17:44.649217	33067	20.1	1	1
2014-03-26 08:32:51.157428	21523	21.4	1	8
2014-03-26 08:32:51.400291	21524	61	2	8
2014-03-26 08:32:56.647044	21525	579	3	2
2014-03-26 08:33:06.164048	21526	20.7	1	1
2014-03-26 08:33:06.385918	21527	50	2	1
2014-03-26 08:33:08.646128	21528	579	3	2
2014-03-26 08:33:20.647547	21529	547	3	2
2014-03-26 23:17:44.876756	33068	50	2	1
2014-03-26 23:17:57.728864	33069	23.8	1	10
2014-03-26 08:33:30.157133	21534	21.4	1	8
2014-03-26 08:33:30.389764	21535	61	2	8
2014-03-26 08:33:32.644979	21536	547	3	2
2014-03-26 08:33:45.166648	21537	20.8	1	1
2014-03-26 08:33:45.389429	21538	50	2	1
2014-03-26 23:17:57.963839	33070	42	2	10
2014-03-26 23:18:08.045494	33071	21.3	1	9
2014-03-26 08:34:08.64628	21543	498	3	2
2014-03-26 08:34:09.158593	21544	21.4	1	8
2014-03-26 08:34:09.380817	21545	61	2	8
2014-03-26 08:34:20.647601	21546	515	3	2
2014-03-26 08:34:24.170807	21547	20.8	1	1
2014-03-26 08:34:24.393048	21548	50	2	1
2014-03-26 08:34:32.647848	21549	498	3	2
2014-03-26 23:18:08.270519	33072	47	2	9
2014-03-26 23:18:09.133095	33073	21.6	1	8
2014-03-26 08:34:48.156616	21554	21.4	1	8
2014-03-26 08:34:48.379607	21555	61	2	8
2014-03-26 08:35:03.202041	21556	20.8	1	1
2014-03-26 08:35:03.435771	21557	50	2	1
2014-03-26 23:18:09.367366	33074	48	2	8
2014-03-26 23:18:23.649203	33075	20.1	1	1
2014-03-26 08:35:27.156497	21562	21.4	1	8
2014-03-26 08:35:27.380619	21563	61	2	8
2014-03-26 08:35:32.64864	21564	515	3	2
2014-03-26 08:35:42.165094	21565	20.8	1	1
2014-03-26 08:35:42.389647	21566	50	2	1
2014-03-26 23:18:23.874998	33076	50	2	1
2014-03-26 23:18:36.526564	33077	338	3	2
2014-03-26 08:36:06.157933	21571	21.4	1	8
2014-03-26 08:36:06.389298	21572	60	2	8
2014-03-26 08:36:21.164048	21573	20.8	1	1
2014-03-26 08:36:21.387385	21574	50	2	1
2014-03-26 08:36:32.649068	21575	498	3	2
2014-03-26 23:18:36.760513	33078	1088836.1708976778	4	2
2014-03-26 23:18:37.070816	33079	23.8	1	10
2014-03-26 08:36:45.156809	21580	21.4	1	8
2014-03-26 08:36:45.378899	21581	61	2	8
2014-03-26 08:37:00.16521	21582	20.8	1	1
2014-03-26 08:37:00.387157	21583	50	2	1
2014-03-26 23:18:37.294014	33080	42	2	10
2014-03-26 23:18:44.554565	33081	338	3	2
2014-03-26 08:37:24.157454	21588	21.3	1	8
2014-03-26 08:37:24.379252	21589	60	2	8
2014-03-26 08:37:32.646499	21590	450	3	2
2014-03-26 08:37:39.162614	21591	20.8	1	1
2014-03-26 08:37:39.387414	21592	51	2	1
2014-03-26 08:37:44.647631	21593	434	3	2
2014-03-26 23:18:44.789672	33082	1088837.3199323993	4	2
2014-03-26 23:18:47.045553	33083	21.3	1	9
2014-03-26 08:38:03.15778	21598	21.3	1	8
2014-03-26 08:38:03.390464	21599	60	2	8
2014-03-26 08:38:18.164572	21600	20.8	1	1
2014-03-26 08:38:18.388079	21601	51	2	1
2014-03-26 08:38:32.64744	21602	466	3	2
2014-03-26 23:18:47.270158	33084	47	2	9
2014-03-26 23:18:48.13261	33085	21.6	1	8
2014-03-26 08:38:42.158233	21607	21.3	1	8
2014-03-26 08:38:42.380442	21608	60	2	8
2014-03-26 08:38:44.645621	21609	466	3	2
2014-03-26 08:38:57.163453	21610	20.8	1	1
2014-03-26 08:38:57.386906	21611	51	2	1
2014-03-26 23:18:48.366719	33086	48	2	8
2014-03-26 23:19:02.650327	33087	20.1	1	1
2014-03-26 08:39:21.485308	21616	21.3	1	8
2014-03-26 08:39:21.716841	21617	60	2	8
2014-03-26 08:39:32.643418	21618	466	3	2
2014-03-26 08:39:36.162044	21619	20.8	1	1
2014-03-26 08:39:36.384893	21620	51	2	1
2014-03-26 23:19:02.875199	33088	50	2	1
2014-03-26 08:30:52.193574	21490	20.3	1	10
2014-03-26 08:30:52.426295	21491	45	2	10
2014-03-26 08:31:31.193179	21498	20.3	1	10
2014-03-26 08:31:31.4255	21499	45	2	10
2014-03-26 08:32:10.193948	21509	20.3	1	10
2014-03-26 08:32:10.426255	21510	45	2	10
2014-03-26 08:32:49.194635	21519	20.3	1	10
2014-03-26 08:32:49.418928	21520	45	2	10
2014-03-26 08:33:28.1938	21530	20.3	1	10
2014-03-26 08:33:28.42496	21531	45	2	10
2014-03-26 08:34:07.196457	21539	20.3	1	10
2014-03-26 08:34:07.41927	21540	45	2	10
2014-03-26 08:34:46.195102	21550	20.4	1	10
2014-03-26 08:34:46.421311	21551	45	2	10
2014-03-26 08:35:25.19499	21558	20.4	1	10
2014-03-26 08:35:25.419863	21559	45	2	10
2014-03-26 08:36:04.195311	21567	20.4	1	10
2014-03-26 08:36:04.418471	21568	45	2	10
2014-03-26 08:36:43.197682	21576	20.4	1	10
2014-03-26 08:36:43.421856	21577	45	2	10
2014-03-26 08:37:22.195679	21584	20.4	1	10
2014-03-26 08:37:22.418429	21585	45	2	10
2014-03-26 08:38:01.197621	21594	20.4	1	10
2014-03-26 08:38:01.4314	21595	45	2	10
2014-03-26 08:38:40.196835	21603	20.4	1	10
2014-03-26 08:38:40.421104	21604	45	2	10
2014-03-26 08:39:19.197661	21612	20.4	1	10
2014-03-26 08:39:19.421022	21613	45	2	10
2014-03-26 08:40:00.158597	21625	21.3	1	8
2014-03-26 08:40:00.383214	21626	60	2	8
2014-03-26 08:40:15.16273	21627	20.8	1	1
2014-03-26 08:40:15.399282	21628	51	2	1
2014-03-26 08:40:32.64562	21629	466	3	2
2014-03-26 23:19:15.726667	33089	23.8	1	10
2014-03-26 23:19:15.963931	33090	41	2	10
2014-03-26 08:40:39.15829	21634	21.3	1	8
2014-03-26 08:40:39.391411	21635	60	2	8
2014-03-26 08:40:54.162578	21636	20.8	1	1
2014-03-26 08:40:54.388462	21637	51	2	1
2014-03-26 08:40:56.646111	21638	515	3	2
2014-03-26 08:41:08.643637	21639	531	3	2
2014-03-26 23:19:26.046976	33091	21.3	1	9
2014-03-26 23:19:26.269578	33092	47	2	9
2014-03-26 08:41:18.157886	21644	21.3	1	8
2014-03-26 08:41:18.380342	21645	60	2	8
2014-03-26 08:41:32.643292	21646	515	3	2
2014-03-26 08:41:33.160872	21647	20.9	1	1
2014-03-26 08:41:33.383853	21648	51	2	1
2014-03-26 23:19:27.134181	33093	21.6	1	8
2014-03-26 23:19:27.37731	33094	48	2	8
2014-03-26 08:41:57.158679	21653	21.3	1	8
2014-03-26 08:41:57.391108	21654	60	2	8
2014-03-26 08:42:12.161721	21655	20.9	1	1
2014-03-26 08:42:12.422377	21656	51	2	1
2014-03-26 08:42:32.64809	21657	515	3	2
2014-03-26 23:19:32.550415	33095	305	3	2
2014-03-26 23:19:32.775465	33096	1088841.9160712848	4	2
2014-03-26 08:42:36.156663	21662	21.3	1	8
2014-03-26 08:42:36.378627	21663	60	2	8
2014-03-26 08:42:51.162457	21664	20.9	1	1
2014-03-26 08:42:51.397415	21665	51	2	1
2014-03-26 23:19:41.647739	33097	20.1	1	1
2014-03-26 23:19:41.882388	33098	50	2	1
2014-03-26 08:43:15.159547	21670	21.3	1	8
2014-03-26 08:43:15.383168	21671	60	2	8
2014-03-26 08:43:30.16052	21672	20.9	1	1
2014-03-26 08:43:30.393597	21673	51	2	1
2014-03-26 08:43:32.647289	21674	531	3	2
2014-03-26 23:19:44.548212	33099	305	3	2
2014-03-26 23:19:44.772472	33100	1088843.0651060063	4	2
2014-03-26 08:43:54.158955	21679	21.3	1	8
2014-03-26 08:43:54.393212	21680	60	2	8
2014-03-26 08:44:09.162351	21681	20.9	1	1
2014-03-26 08:44:09.38592	21682	51	2	1
2014-03-26 23:19:54.72578	33101	23.8	1	10
2014-03-26 23:19:54.961213	33102	41	2	10
2014-03-26 08:44:32.645671	21687	515	3	2
2014-03-26 08:44:33.159582	21688	21.3	1	8
2014-03-26 08:44:33.382662	21689	60	2	8
2014-03-26 08:44:48.199499	21690	20.9	1	1
2014-03-26 08:44:48.432316	21691	51	2	1
2014-03-26 23:19:56.54575	33103	338	3	2
2014-03-26 23:19:56.771599	33104	1088844.2141407277	4	2
2014-03-26 08:45:12.158564	21696	21.3	1	8
2014-03-26 08:45:12.383675	21697	60	2	8
2014-03-26 08:45:27.159052	21698	20.9	1	1
2014-03-26 08:45:27.394273	21699	51	2	1
2014-03-26 08:45:32.646874	21700	531	3	2
2014-03-26 23:20:05.044418	33105	21.3	1	9
2014-03-26 23:20:05.279511	33106	47	2	9
2014-03-26 08:45:51.159016	21705	21.3	1	8
2014-03-26 08:45:51.388796	21706	60	2	8
2014-03-26 08:46:06.156646	21707	20.9	1	1
2014-03-26 08:46:06.378815	21708	51	2	1
2014-03-26 08:46:08.648521	21709	466	3	2
2014-03-26 08:46:20.647309	21710	466	3	2
2014-03-26 23:20:06.132787	33107	21.6	1	8
2014-03-26 23:20:06.357694	33108	48	2	8
2014-03-26 08:46:30.156571	21715	21.3	1	8
2014-03-26 08:46:30.387745	21716	60	2	8
2014-03-26 08:46:32.644261	21717	466	3	2
2014-03-26 08:46:45.158162	21718	20.9	1	1
2014-03-26 08:46:45.378977	21719	51	2	1
2014-03-26 23:20:08.552424	33109	338	3	2
2014-03-26 23:20:08.786664	33110	1088845.3631754492	4	2
2014-03-26 08:47:09.510781	21724	21.3	1	8
2014-03-26 08:47:09.733046	21725	60	2	8
2014-03-26 08:47:24.157579	21726	20.9	1	1
2014-03-26 08:47:24.388115	21727	51	2	1
2014-03-26 08:47:32.647465	21728	466	3	2
2014-03-26 23:20:20.649867	33111	20.1	1	1
2014-03-26 23:20:20.874788	33112	50	2	1
2014-03-26 08:47:48.155653	21733	21.3	1	8
2014-03-26 08:47:48.386722	21734	60	2	8
2014-03-26 08:48:03.157345	21735	20.9	1	1
2014-03-26 08:48:03.379447	21736	51	2	1
2014-03-26 23:20:32.550285	33113	338	3	2
2014-03-26 23:20:32.785463	33114	1088847.661244892	4	2
2014-03-26 08:48:27.157905	21741	21.3	1	8
2014-03-26 08:48:27.393018	21742	60	2	8
2014-03-26 08:48:32.6428	21743	466	3	2
2014-03-26 08:48:42.156187	21744	20.9	1	1
2014-03-26 08:48:42.379245	21745	51	2	1
2014-03-26 23:20:33.731067	33115	23.8	1	10
2014-03-26 23:20:33.95598	33116	41	2	10
2014-03-26 08:49:06.157116	21750	21.3	1	8
2014-03-26 08:49:06.37781	21751	60	2	8
2014-03-26 08:49:21.159582	21752	20.9	1	1
2014-03-26 08:49:21.391168	21753	51	2	1
2014-03-26 08:49:32.645652	21754	466	3	2
2014-03-26 23:20:44.044262	33117	21.3	1	9
2014-03-26 08:49:45.159095	21759	21.3	1	8
2014-03-26 08:49:45.378815	21760	60	2	8
2014-03-26 08:40:37.199381	21630	20.4	1	10
2014-03-26 08:40:37.430452	21631	45	2	10
2014-03-26 08:41:16.197477	21640	20.4	1	10
2014-03-26 08:41:16.420062	21641	45	2	10
2014-03-26 08:41:55.19699	21649	20.4	1	10
2014-03-26 08:41:55.431855	21650	45	2	10
2014-03-26 08:42:34.197823	21658	20.4	1	10
2014-03-26 08:42:34.419951	21659	45	2	10
2014-03-26 08:43:13.1966	21666	20.4	1	10
2014-03-26 08:43:13.421473	21667	45	2	10
2014-03-26 08:43:52.202051	21675	20.5	1	10
2014-03-26 08:43:52.435952	21676	45	2	10
2014-03-26 08:44:31.19884	21683	20.5	1	10
2014-03-26 08:44:31.43196	21684	45	2	10
2014-03-26 08:45:10.200661	21692	20.5	1	10
2014-03-26 08:45:10.424907	21693	45	2	10
2014-03-26 08:45:49.200774	21701	20.5	1	10
2014-03-26 08:45:49.427889	21702	45	2	10
2014-03-26 08:46:28.198822	21711	20.5	1	10
2014-03-26 08:46:28.431853	21712	45	2	10
2014-03-26 08:47:07.199255	21720	20.5	1	10
2014-03-26 08:47:07.421122	21721	45	2	10
2014-03-26 08:47:46.255253	21729	20.5	1	10
2014-03-26 08:47:46.489183	21730	45	2	10
2014-03-26 08:48:25.199623	21737	20.5	1	10
2014-03-26 08:48:25.433406	21738	45	2	10
2014-03-26 08:49:04.201382	21746	20.5	1	10
2014-03-26 08:49:04.424309	21747	45	2	10
2014-03-26 08:50:00.155031	21761	20.9	1	1
2014-03-26 08:50:00.378032	21762	51	2	1
2014-03-26 23:20:44.277819	33118	47	2	9
2014-03-26 23:20:45.131446	33119	21.6	1	8
2014-03-26 08:50:24.157882	21767	21.3	1	8
2014-03-26 08:50:24.391583	21768	60	2	8
2014-03-26 08:50:32.643218	21769	466	3	2
2014-03-26 08:50:39.152563	21770	20.9	1	1
2014-03-26 08:50:39.377313	21771	51	2	1
2014-03-26 23:20:45.356922	33120	48	2	8
2014-03-26 23:20:59.648847	33121	20.1	1	1
2014-03-26 08:51:03.156205	21776	21.3	1	8
2014-03-26 08:51:03.378692	21777	60	2	8
2014-03-26 08:51:18.16176	21778	20.9	1	1
2014-03-26 08:51:18.395621	21779	51	2	1
2014-03-26 08:51:32.645398	21780	466	3	2
2014-03-26 23:20:59.885216	33122	50	2	1
2014-03-26 23:21:08.551103	33123	402	3	2
2014-03-26 08:51:42.157489	21785	21.3	1	8
2014-03-26 08:51:42.377665	21786	60	2	8
2014-03-26 08:51:57.154078	21787	20.9	1	1
2014-03-26 08:51:57.375923	21788	51	2	1
2014-03-26 23:21:08.777796	33124	1088851.1083490562	4	2
2014-03-26 23:21:12.729437	33125	23.8	1	10
2014-03-26 08:52:21.156203	21793	21.3	1	8
2014-03-26 08:52:21.397331	21794	60	2	8
2014-03-26 08:52:32.645849	21795	482	3	2
2014-03-26 08:52:36.155005	21796	20.9	1	1
2014-03-26 08:52:36.380053	21797	51	2	1
2014-03-26 08:52:56.648826	21798	515	3	2
2014-03-26 23:21:12.963144	33126	41	2	10
2014-03-26 23:21:20.552104	33127	402	3	2
2014-03-26 08:53:00.576479	21803	21.3	1	8
2014-03-26 08:53:00.832743	21804	60	2	8
2014-03-26 08:53:08.640776	21805	515	3	2
2014-03-26 08:53:15.155411	21806	20.9	1	1
2014-03-26 08:53:15.58255	21807	51	2	1
2014-03-26 08:53:32.646965	21808	515	3	2
2014-03-26 23:21:20.778083	33128	1088852.2573837775	4	2
2014-03-26 23:21:23.044512	33129	21.3	1	9
2014-03-26 08:53:39.157017	21813	21.3	1	8
2014-03-26 08:53:39.377902	21814	60	2	8
2014-03-26 08:53:54.152635	21815	20.9	1	1
2014-03-26 08:53:54.375552	21816	51	2	1
2014-03-26 23:21:23.27823	33130	47	2	9
2014-03-26 23:21:24.132098	33131	21.6	1	8
2014-03-26 08:54:18.15649	21821	21.3	1	8
2014-03-26 08:54:18.379176	21822	60	2	8
2014-03-26 08:54:32.643788	21823	515	3	2
2014-03-26 08:54:33.155542	21824	20.9	1	1
2014-03-26 08:54:33.377142	21825	51	2	1
2014-03-26 23:21:24.363079	33132	48	2	8
2014-03-26 23:21:32.550845	33133	402	3	2
2014-03-26 08:54:57.159524	21830	21.3	1	8
2014-03-26 08:54:57.391525	21831	59	2	8
2014-03-26 08:55:12.155063	21832	20.9	1	1
2014-03-26 08:55:12.378423	21833	51	2	1
2014-03-26 08:55:32.645114	21834	498	3	2
2014-03-26 23:21:32.785113	33134	1088853.406418499	4	2
2014-03-26 23:21:38.648687	33135	20.1	1	1
2014-03-26 08:55:36.158208	21839	21.3	1	8
2014-03-26 08:55:36.380863	21840	60	2	8
2014-03-26 08:55:51.153517	21841	20.9	1	1
2014-03-26 08:55:51.836634	21842	51	2	1
2014-03-26 23:21:38.874188	33136	50	2	1
2014-03-26 23:21:51.728653	33137	23.8	1	10
2014-03-26 08:56:15.156337	21847	21.3	1	8
2014-03-26 08:56:15.37954	21848	60	2	8
2014-03-26 08:56:30.150264	21849	20.9	1	1
2014-03-26 08:56:30.384496	21850	51	2	1
2014-03-26 08:56:32.644542	21851	515	3	2
2014-03-26 23:21:51.963425	33138	41	2	10
2014-03-26 23:22:02.04539	33139	21.3	1	9
2014-03-26 08:56:54.156466	21856	21.3	1	8
2014-03-26 08:56:54.388976	21857	60	2	8
2014-03-26 08:57:09.150819	21858	20.9	1	1
2014-03-26 08:57:09.373268	21859	51	2	1
2014-03-26 23:22:02.269594	33140	47	2	9
2014-03-26 23:22:03.132738	33141	21.6	1	8
2014-03-26 08:57:32.644852	21864	515	3	2
2014-03-26 08:57:33.156993	21865	21.3	1	8
2014-03-26 08:57:33.378175	21866	60	2	8
2014-03-26 08:57:48.154452	21867	20.9	1	1
2014-03-26 08:57:48.389929	21868	51	2	1
2014-03-26 08:58:08.770001	21869	466	3	2
2014-03-26 23:22:03.377463	33142	48	2	8
2014-03-26 23:22:17.649529	33143	20.1	1	1
2014-03-26 08:58:12.159021	21874	21.3	1	8
2014-03-26 08:58:12.560055	21875	60	2	8
2014-03-26 08:58:20.64775	21876	466	3	2
2014-03-26 08:58:27.151624	21877	20.8	1	1
2014-03-26 08:58:27.374101	21878	51	2	1
2014-03-26 08:58:32.646519	21879	466	3	2
2014-03-26 23:22:17.874551	33144	50	2	1
2014-03-26 23:22:30.729392	33145	23.8	1	10
2014-03-26 08:58:51.156084	21884	21.3	1	8
2014-03-26 08:58:51.378726	21885	60	2	8
2014-03-26 08:59:06.148929	21886	20.8	1	1
2014-03-26 08:59:06.382381	21887	51	2	1
2014-03-26 23:22:30.964297	33146	41	2	10
2014-03-26 08:59:30.157264	21892	21.3	1	8
2014-03-26 08:59:30.379463	21893	59	2	8
2014-03-26 08:59:32.643012	21894	466	3	2
2014-03-26 08:59:45.153713	21895	20.8	1	1
2014-03-26 08:59:45.375879	21896	51	2	1
2014-03-26 08:50:22.204113	21763	20.5	1	10
2014-03-26 08:50:22.43621	21764	45	2	10
2014-03-26 08:51:01.200599	21772	20.5	1	10
2014-03-26 08:51:01.424497	21773	45	2	10
2014-03-26 08:51:40.200725	21781	20.5	1	10
2014-03-26 08:51:40.425356	21782	45	2	10
2014-03-26 08:52:19.200904	21789	20.5	1	10
2014-03-26 08:52:19.431135	21790	45	2	10
2014-03-26 08:52:58.201315	21799	20.5	1	10
2014-03-26 08:52:58.455779	21800	45	2	10
2014-03-26 08:53:37.201944	21809	20.5	1	10
2014-03-26 08:53:37.424092	21810	45	2	10
2014-03-26 08:54:16.201931	21817	20.6	1	10
2014-03-26 08:54:16.424149	21818	45	2	10
2014-03-26 08:54:55.200531	21826	20.6	1	10
2014-03-26 08:54:55.433331	21827	45	2	10
2014-03-26 08:55:34.203815	21835	20.6	1	10
2014-03-26 08:55:34.426351	21836	45	2	10
2014-03-26 08:56:13.202543	21843	20.6	1	10
2014-03-26 08:56:13.425841	21844	45	2	10
2014-03-26 08:56:52.20347	21852	20.6	1	10
2014-03-26 08:56:52.428149	21853	45	2	10
2014-03-26 08:57:31.202958	21860	20.6	1	10
2014-03-26 08:57:31.436082	21861	45	2	10
2014-03-26 08:58:10.205723	21870	20.6	1	10
2014-03-26 08:58:10.434671	21871	45	2	10
2014-03-26 08:58:49.203114	21880	20.6	1	10
2014-03-26 08:58:49.426591	21881	45	2	10
2014-03-26 23:22:32.547549	33147	402	3	2
2014-03-26 23:22:32.774639	33148	1088860.3006268274	4	2
2014-03-26 09:00:09.156974	21901	21.3	1	8
2014-03-26 09:00:09.387774	21902	60	2	8
2014-03-26 09:00:24.15074	21903	20.8	1	1
2014-03-26 09:00:24.37351	21904	51	2	1
2014-03-26 09:00:32.64451	21905	482	3	2
2014-03-26 09:00:44.643114	21906	450	3	2
2014-03-26 23:22:41.043305	33149	21.3	1	9
2014-03-26 23:22:41.281859	33150	47	2	9
2014-03-26 09:00:48.159183	21911	21.3	1	8
2014-03-26 09:00:48.384468	21912	60	2	8
2014-03-26 09:00:56.642713	21913	466	3	2
2014-03-26 09:01:03.151466	21914	20.8	1	1
2014-03-26 09:01:03.375445	21915	51	2	1
2014-03-26 23:22:42.133364	33151	21.6	1	8
2014-03-26 23:22:42.356429	33152	48	2	8
2014-03-26 09:01:27.156698	21920	21.3	1	8
2014-03-26 09:01:27.392092	21921	59	2	8
2014-03-26 09:01:32.64013	21922	466	3	2
2014-03-26 09:01:42.151627	21923	20.8	1	1
2014-03-26 09:01:42.376098	21924	51	2	1
2014-03-26 23:22:56.645425	33153	20.1	1	1
2014-03-26 23:22:56.883251	33154	50	2	1
2014-03-26 09:02:06.503598	21929	21.2	1	8
2014-03-26 09:02:06.726844	21930	60	2	8
2014-03-26 09:02:21.144678	21931	20.8	1	1
2014-03-26 09:02:21.379125	21932	51	2	1
2014-03-26 09:02:32.645881	21933	482	3	2
2014-03-26 23:23:09.731036	33155	23.8	1	10
2014-03-26 23:23:09.95607	33156	41	2	10
2014-03-26 09:02:44.638706	21938	579	3	2
2014-03-26 09:02:45.15571	21939	21.3	1	8
2014-03-26 09:02:45.389843	21940	60	2	8
2014-03-26 09:02:56.644665	21941	595	3	2
2014-03-26 09:03:00.148006	21942	20.8	1	1
2014-03-26 09:03:00.369595	21943	51	2	1
2014-03-26 23:23:20.044082	33157	21.3	1	9
2014-03-26 23:23:20.278239	33158	47	2	9
2014-03-26 09:03:24.155238	21948	21.3	1	8
2014-03-26 09:03:24.376941	21949	60	2	8
2014-03-26 09:03:32.645173	21950	595	3	2
2014-03-26 09:03:39.145652	21951	20.8	1	1
2014-03-26 09:03:39.368109	21952	51	2	1
2014-03-26 23:23:21.131702	33159	21.6	1	8
2014-03-26 23:23:21.356346	33160	48	2	8
2014-03-26 09:04:03.155421	21957	21.3	1	8
2014-03-26 09:04:03.378098	21958	59	2	8
2014-03-26 09:04:18.147317	21959	20.8	1	1
2014-03-26 09:04:18.396882	21960	51	2	1
2014-03-26 09:04:20.644292	21961	531	3	2
2014-03-26 09:04:32.644743	21962	531	3	2
2014-03-26 23:23:32.549608	33161	402	3	2
2014-03-26 23:23:32.783624	33162	1088867.194835156	4	2
2014-03-26 09:04:42.156502	21967	21.3	1	8
2014-03-26 09:04:42.378669	21968	59	2	8
2014-03-26 09:04:56.640353	21969	579	3	2
2014-03-26 09:04:57.184271	21970	20.8	1	1
2014-03-26 09:04:57.406805	21971	51	2	1
2014-03-26 09:05:08.647392	21972	579	3	2
2014-03-26 23:23:35.64608	33163	20.1	1	1
2014-03-26 23:23:35.881857	33164	50	2	1
2014-03-26 09:05:21.157557	21977	21.3	1	8
2014-03-26 09:05:21.379487	21978	59	2	8
2014-03-26 09:05:32.644015	21979	579	3	2
2014-03-26 09:05:36.145273	21980	20.8	1	1
2014-03-26 09:05:36.366766	21981	51	2	1
2014-03-26 23:23:48.728522	33165	23.7	1	10
2014-03-26 23:23:48.965728	33166	41	2	10
2014-03-26 09:06:00.15757	21986	21.3	1	8
2014-03-26 09:06:00.3892	21987	59	2	8
2014-03-26 09:06:15.147234	21988	20.8	1	1
2014-03-26 09:06:15.370876	21989	51	2	1
2014-03-26 09:06:32.640285	21990	579	3	2
2014-03-26 23:23:59.04484	33167	21.3	1	9
2014-03-26 23:23:59.268993	33168	47	2	9
2014-03-26 09:06:39.155821	21995	21.3	1	8
2014-03-26 09:06:39.380326	21996	59	2	8
2014-03-26 09:06:54.143932	21997	20.8	1	1
2014-03-26 09:06:54.381056	21998	51	2	1
2014-03-26 23:24:00.13356	33169	21.6	1	8
2014-03-26 23:24:00.366778	33170	48	2	8
2014-03-26 09:07:18.157331	22003	21.3	1	8
2014-03-26 09:07:18.38757	22004	59	2	8
2014-03-26 09:07:32.6438	22005	579	3	2
2014-03-26 09:07:33.149161	22006	20.8	1	1
2014-03-26 09:07:33.391909	22007	51	2	1
2014-03-26 23:24:14.646587	33171	20.1	1	1
2014-03-26 23:24:14.871833	33172	50	2	1
2014-03-26 09:07:57.15569	22012	21.3	1	8
2014-03-26 09:07:57.388811	22013	59	2	8
2014-03-26 09:08:12.145595	22014	20.7	1	1
2014-03-26 09:08:12.369655	22015	51	2	1
2014-03-26 09:08:34.00439	22016	579	3	2
2014-03-26 23:24:27.730652	33173	23.7	1	10
2014-03-26 23:24:27.965198	33174	41	2	10
2014-03-26 09:08:36.156015	22021	21.3	1	8
2014-03-26 09:08:36.376759	22022	59	2	8
2014-03-26 09:08:51.145974	22023	20.7	1	1
2014-03-26 09:08:51.376605	22024	51	2	1
2014-03-26 23:24:32.54734	33175	402	3	2
2014-03-26 09:09:15.155678	22029	21.3	1	8
2014-03-26 09:09:15.376631	22030	59	2	8
2014-03-26 09:09:30.144891	22031	20.7	1	1
2014-03-26 09:09:30.379283	22032	51	2	1
2014-03-26 09:00:07.204217	21897	20.6	1	10
2014-03-26 09:00:07.43982	21898	45	2	10
2014-03-26 09:00:46.205866	21907	20.6	1	10
2014-03-26 09:00:46.427565	21908	45	2	10
2014-03-26 09:01:25.205603	21916	20.6	1	10
2014-03-26 09:01:25.437964	21917	45	2	10
2014-03-26 09:02:04.203474	21925	20.6	1	10
2014-03-26 09:02:04.428818	21926	45	2	10
2014-03-26 09:02:43.204562	21934	20.6	1	10
2014-03-26 09:02:43.428604	21935	45	2	10
2014-03-26 09:03:22.203978	21944	20.6	1	10
2014-03-26 09:03:22.426659	21945	45	2	10
2014-03-26 09:04:01.204702	21953	20.6	1	10
2014-03-26 09:04:01.427009	21954	45	2	10
2014-03-26 09:04:40.20554	21963	20.6	1	10
2014-03-26 09:04:40.429424	21964	45	2	10
2014-03-26 09:05:19.205425	21973	20.7	1	10
2014-03-26 09:05:19.428008	21974	45	2	10
2014-03-26 09:05:58.206072	21982	20.7	1	10
2014-03-26 09:05:58.438044	21983	45	2	10
2014-03-26 09:06:37.206722	21991	20.7	1	10
2014-03-26 09:06:37.429553	21992	45	2	10
2014-03-26 09:07:16.205574	21999	20.7	1	10
2014-03-26 09:07:16.430449	22000	45	2	10
2014-03-26 09:07:55.207095	22008	20.7	1	10
2014-03-26 09:07:55.442169	22009	45	2	10
2014-03-26 09:08:34.333068	22017	20.7	1	10
2014-03-26 09:08:34.556532	22018	45	2	10
2014-03-26 09:09:32.644745	22033	579	3	2
2014-03-26 23:24:32.771769	33176	1088874.0890434845	4	2
2014-03-26 23:24:38.045919	33177	21.3	1	9
2014-03-26 09:09:54.155305	22038	21.3	1	8
2014-03-26 09:09:54.379021	22039	59	2	8
2014-03-26 09:10:08.641212	22040	531	3	2
2014-03-26 09:10:09.147836	22041	20.7	1	1
2014-03-26 09:10:09.369136	22042	51	2	1
2014-03-26 09:10:20.642156	22043	531	3	2
2014-03-26 23:24:38.281088	33178	47	2	9
2014-03-26 23:24:39.135326	33179	21.6	1	8
2014-03-26 09:10:33.049344	22048	531	3	2
2014-03-26 09:10:33.356887	22049	21.3	1	8
2014-03-26 09:10:33.577976	22050	59	2	8
2014-03-26 09:10:44.63882	22051	595	3	2
2014-03-26 09:10:48.142812	22052	20.7	1	1
2014-03-26 09:10:48.367237	22053	52	2	1
2014-03-26 09:10:56.641778	22054	595	3	2
2014-03-26 09:11:08.645324	22055	434	3	2
2014-03-26 23:24:39.358475	33180	48	2	8
2014-03-26 23:24:53.646981	33181	20.1	1	1
2014-03-26 09:11:12.158496	22060	21.3	1	8
2014-03-26 09:11:12.400057	22061	59	2	8
2014-03-26 09:11:20.641868	22062	434	3	2
2014-03-26 09:11:27.142746	22063	20.7	1	1
2014-03-26 09:11:27.366106	22064	52	2	1
2014-03-26 09:11:32.64459	22065	434	3	2
2014-03-26 23:24:53.881426	33182	50	2	1
2014-03-26 23:25:06.730518	33183	23.7	1	10
2014-03-26 09:11:51.158295	22070	21.3	1	8
2014-03-26 09:11:51.382603	22071	59	2	8
2014-03-26 09:12:06.140269	22072	20.7	1	1
2014-03-26 09:12:06.376152	22073	52	2	1
2014-03-26 23:25:06.957067	33184	41	2	10
2014-03-26 23:25:17.04422	33185	21.3	1	9
2014-03-26 09:12:30.157069	22078	21.3	1	8
2014-03-26 09:12:30.380853	22079	59	2	8
2014-03-26 09:12:32.642584	22080	434	3	2
2014-03-26 09:12:45.141284	22081	20.7	1	1
2014-03-26 09:12:45.366573	22082	52	2	1
2014-03-26 23:25:17.279543	33186	47	2	9
2014-03-26 23:25:18.135173	33187	21.6	1	8
2014-03-26 09:13:09.156676	22087	21.3	1	8
2014-03-26 09:13:09.388662	22088	58	2	8
2014-03-26 09:13:24.139331	22089	20.7	1	1
2014-03-26 09:13:24.362809	22090	52	2	1
2014-03-26 09:13:32.640847	22091	450	3	2
2014-03-26 23:25:18.359073	33188	48	2	8
2014-03-26 23:25:32.886636	33189	20.1	1	1
2014-03-26 09:13:48.156335	22096	21.3	1	8
2014-03-26 09:13:48.378034	22097	58	2	8
2014-03-26 09:14:03.380851	22098	20.7	1	1
2014-03-26 09:14:03.61474	22099	52	2	1
2014-03-26 23:25:33.133382	33190	50	2	1
2014-03-26 23:25:45.937439	33191	23.7	1	10
2014-03-26 09:14:27.157265	22104	21.3	1	8
2014-03-26 09:14:27.380981	22105	58	2	8
2014-03-26 09:14:32.641292	22106	434	3	2
2014-03-26 09:14:42.142498	22107	20.7	1	1
2014-03-26 09:14:42.366523	22108	52	2	1
2014-03-26 23:25:46.162156	33192	41	2	10
2014-03-26 23:25:56.043477	33193	21.3	1	9
2014-03-26 09:15:06.156004	22113	21.3	1	8
2014-03-26 09:15:06.387894	22114	58	2	8
2014-03-26 09:15:21.379717	22115	20.7	1	1
2014-03-26 09:15:21.604163	22116	52	2	1
2014-03-26 09:15:32.64283	22117	434	3	2
2014-03-26 23:25:56.279756	33194	47	2	9
2014-03-26 23:25:57.132493	33195	21.6	1	8
2014-03-26 09:15:45.155845	22122	21.3	1	8
2014-03-26 09:15:45.378754	22123	58	2	8
2014-03-26 09:16:00.137738	22124	20.7	1	1
2014-03-26 09:16:00.371646	22125	52	2	1
2014-03-26 23:25:57.359	33196	48	2	8
2014-03-26 23:26:08.548704	33197	450	3	2
2014-03-26 09:16:24.156333	22130	21.3	1	8
2014-03-26 09:16:24.379564	22131	58	2	8
2014-03-26 09:16:32.642199	22132	434	3	2
2014-03-26 09:16:39.139436	22133	20.7	1	1
2014-03-26 09:16:39.362139	22134	52	2	1
2014-03-26 09:16:56.642354	22135	466	3	2
2014-03-26 23:26:08.785535	33198	1088884.4303559773	4	2
2014-03-26 23:26:11.64536	33199	20.1	1	1
2014-03-26 09:17:03.485265	22140	21.3	1	8
2014-03-26 09:17:03.718058	22141	58	2	8
2014-03-26 09:17:08.640781	22142	482	3	2
2014-03-26 09:17:18.139074	22143	20.7	1	1
2014-03-26 09:17:18.363024	22144	52	2	1
2014-03-26 09:17:32.645757	22145	482	3	2
2014-03-26 23:26:11.871063	33200	50	2	1
2014-03-26 23:26:20.550044	33201	450	3	2
2014-03-26 09:17:42.157869	22150	21.3	1	8
2014-03-26 09:17:42.382215	22151	58	2	8
2014-03-26 09:17:57.139151	22152	20.7	1	1
2014-03-26 09:17:57.38451	22153	52	2	1
2014-03-26 23:26:20.783988	33202	1088886.7284254201	4	2
2014-03-26 23:26:24.7847	33203	23.7	1	10
2014-03-26 09:18:20.638763	22158	531	3	2
2014-03-26 09:18:21.158703	22159	21.2	1	8
2014-03-26 09:18:21.384277	22160	58	2	8
2014-03-26 09:18:32.642868	22161	515	3	2
2014-03-26 09:18:36.138256	22162	20.7	1	1
2014-03-26 09:18:36.361034	22163	52	2	1
2014-03-26 23:26:25.0089	33204	41	2	10
2014-03-26 09:19:00.156766	22168	21.2	1	8
2014-03-26 09:09:52.206485	22034	20.7	1	10
2014-03-26 09:09:52.429033	22035	45	2	10
2014-03-26 09:10:31.207639	22044	20.7	1	10
2014-03-26 09:10:31.430536	22045	45	2	10
2014-03-26 09:11:10.208189	22056	20.7	1	10
2014-03-26 09:11:10.438741	22057	45	2	10
2014-03-26 09:11:49.211354	22066	20.7	1	10
2014-03-26 09:11:49.435416	22067	45	2	10
2014-03-26 09:12:28.209302	22074	20.7	1	10
2014-03-26 09:12:28.434258	22075	45	2	10
2014-03-26 09:13:07.208785	22083	20.7	1	10
2014-03-26 09:13:07.433588	22084	45	2	10
2014-03-26 09:13:46.208538	22092	20.7	1	10
2014-03-26 09:13:46.431875	22093	45	2	10
2014-03-26 09:14:25.209474	22100	20.7	1	10
2014-03-26 09:14:25.434969	22101	45	2	10
2014-03-26 09:15:04.209996	22109	20.7	1	10
2014-03-26 09:15:04.434991	22110	45	2	10
2014-03-26 09:15:43.209754	22118	20.7	1	10
2014-03-26 09:15:43.432853	22119	45	2	10
2014-03-26 09:16:22.209359	22126	20.7	1	10
2014-03-26 09:16:22.432392	22127	45	2	10
2014-03-26 09:17:01.212109	22136	20.7	1	10
2014-03-26 09:17:01.447892	22137	45	2	10
2014-03-26 09:17:40.210297	22146	20.7	1	10
2014-03-26 09:17:40.436798	22147	45	2	10
2014-03-26 09:18:19.211496	22154	20.7	1	10
2014-03-26 09:18:19.436056	22155	45	2	10
2014-03-26 09:19:00.379541	22169	58	2	8
2014-03-26 09:19:15.142637	22170	20.7	1	1
2014-03-26 09:19:15.37527	22171	52	2	1
2014-03-26 09:19:32.642955	22172	531	3	2
2014-03-26 23:26:32.55043	33205	450	3	2
2014-03-26 23:26:32.788254	33206	1088887.8774601414	4	2
2014-03-26 09:19:39.155666	22177	21.2	1	8
2014-03-26 09:19:39.376612	22178	58	2	8
2014-03-26 09:19:54.13777	22179	20.7	1	1
2014-03-26 09:19:54.360277	22180	52	2	1
2014-03-26 23:26:35.044307	33207	21.3	1	9
2014-03-26 23:26:35.268688	33208	47	2	9
2014-03-26 09:20:18.156857	22185	21.2	1	8
2014-03-26 09:20:18.388843	22186	58	2	8
2014-03-26 09:20:32.642335	22187	531	3	2
2014-03-26 09:20:33.132889	22188	20.7	1	1
2014-03-26 09:20:33.355337	22189	52	2	1
2014-03-26 23:26:36.132755	33209	21.6	1	8
2014-03-26 23:26:36.368897	33210	48	2	8
2014-03-26 09:20:57.155755	22194	21.2	1	8
2014-03-26 09:20:57.378234	22195	58	2	8
2014-03-26 09:21:12.135161	22196	20.7	1	1
2014-03-26 09:21:12.380022	22197	52	2	1
2014-03-26 09:21:32.642925	22198	531	3	2
2014-03-26 23:26:50.644528	33211	20.1	1	1
2014-03-26 23:26:50.867666	33212	50	2	1
2014-03-26 09:21:36.157928	22203	21.2	1	8
2014-03-26 09:21:36.379033	22204	58	2	8
2014-03-26 09:21:44.641615	22205	482	3	2
2014-03-26 09:21:51.378764	22206	20.7	1	1
2014-03-26 09:21:51.600549	22207	52	2	1
2014-03-26 09:21:56.643063	22208	466	3	2
2014-03-26 23:27:03.730561	33213	23.7	1	10
2014-03-26 23:27:03.965121	33214	41	2	10
2014-03-26 09:22:15.157586	22213	21.2	1	8
2014-03-26 09:22:15.400024	22214	58	2	8
2014-03-26 09:22:30.135448	22215	20.7	1	1
2014-03-26 09:22:30.367199	22216	52	2	1
2014-03-26 09:22:32.64226	22217	498	3	2
2014-03-26 09:22:44.642482	22218	515	3	2
2014-03-26 23:27:14.045034	33215	21.3	1	9
2014-03-26 23:27:14.269658	33216	47	2	9
2014-03-26 09:22:54.155449	22223	21.2	1	8
2014-03-26 09:22:54.391004	22224	58	2	8
2014-03-26 09:23:09.137333	22225	20.6	1	1
2014-03-26 09:23:09.362771	22226	52	2	1
2014-03-26 23:27:15.132696	33217	21.6	1	8
2014-03-26 23:27:15.367905	33218	48	2	8
2014-03-26 09:23:32.642375	22231	515	3	2
2014-03-26 09:23:33.155938	22232	21.2	1	8
2014-03-26 09:23:33.383448	22233	58	2	8
2014-03-26 09:23:48.135886	22234	20.6	1	1
2014-03-26 09:23:48.367473	22235	52	2	1
2014-03-26 23:27:29.645275	33219	20.1	1	1
2014-03-26 23:27:29.877921	33220	50	2	1
2014-03-26 09:24:12.156024	22240	21.2	1	8
2014-03-26 09:24:12.37736	22241	58	2	8
2014-03-26 09:24:27.134642	22242	20.6	1	1
2014-03-26 09:24:27.37745	22243	52	2	1
2014-03-26 09:24:49.011234	22244	515	3	2
2014-03-26 23:27:32.551886	33221	450	3	2
2014-03-26 23:27:32.786569	33222	1088894.77166847	4	2
2014-03-26 09:24:51.155786	22249	21.2	1	8
2014-03-26 09:24:51.385818	22250	58	2	8
2014-03-26 09:25:06.134145	22251	20.6	1	1
2014-03-26 09:25:06.355819	22252	52	2	1
2014-03-26 23:27:42.732377	33223	23.7	1	10
2014-03-26 23:27:42.959779	33224	41	2	10
2014-03-26 09:25:30.155998	22257	21.2	1	8
2014-03-26 09:25:30.388329	22258	58	2	8
2014-03-26 09:25:32.64142	22259	515	3	2
2014-03-26 09:25:45.135829	22260	20.6	1	1
2014-03-26 09:25:45.358298	22261	52	2	1
2014-03-26 23:27:53.044224	33225	21.3	1	9
2014-03-26 23:27:53.278306	33226	47	2	9
2014-03-26 09:26:09.157693	22266	21.2	1	8
2014-03-26 09:26:09.382417	22267	59	2	8
2014-03-26 09:26:24.135776	22268	20.6	1	1
2014-03-26 09:26:24.368046	22269	52	2	1
2014-03-26 09:26:32.63965	22270	515	3	2
2014-03-26 23:27:54.133267	33227	21.6	1	8
2014-03-26 23:27:54.356676	33228	48	2	8
2014-03-26 09:26:48.155388	22275	21.2	1	8
2014-03-26 09:26:48.378654	22276	58	2	8
2014-03-26 09:27:03.135214	22277	20.6	1	1
2014-03-26 09:27:03.360734	22278	52	2	1
2014-03-26 23:28:08.640812	33229	20.1	1	1
2014-03-26 23:28:08.879004	33230	50	2	1
2014-03-26 09:27:27.483832	22283	21.2	1	8
2014-03-26 09:27:27.715002	22284	58	2	8
2014-03-26 09:27:32.642695	22285	515	3	2
2014-03-26 09:27:42.136086	22286	20.6	1	1
2014-03-26 09:27:42.362245	22287	52	2	1
2014-03-26 23:28:21.73535	33231	23.7	1	10
2014-03-26 23:28:21.96018	33232	41	2	10
2014-03-26 09:28:06.155806	22292	21.2	1	8
2014-03-26 09:28:06.380086	22293	58	2	8
2014-03-26 09:28:08.639662	22294	450	3	2
2014-03-26 09:28:20.641067	22295	515	3	2
2014-03-26 09:28:21.135092	22296	20.6	1	1
2014-03-26 09:28:21.359912	22297	52	2	1
2014-03-26 09:28:32.638807	22298	515	3	2
2014-03-26 23:28:32.043306	33233	21.3	1	9
2014-03-26 09:28:45.156348	22303	21.2	1	8
2014-03-26 09:28:45.390272	22304	58	2	8
2014-03-26 09:19:37.210951	22173	20.7	1	10
2014-03-26 09:19:37.433447	22174	45	2	10
2014-03-26 09:20:16.210142	22181	20.7	1	10
2014-03-26 09:20:16.433714	22182	45	2	10
2014-03-26 09:20:55.211445	22190	20.7	1	10
2014-03-26 09:20:55.434135	22191	45	2	10
2014-03-26 09:21:34.212364	22199	20.7	1	10
2014-03-26 09:21:34.436438	22200	45	2	10
2014-03-26 09:22:13.211647	22209	20.7	1	10
2014-03-26 09:22:13.434536	22210	45	2	10
2014-03-26 09:22:52.21354	22219	20.7	1	10
2014-03-26 09:22:52.448148	22220	45	2	10
2014-03-26 09:23:31.211804	22227	20.7	1	10
2014-03-26 09:23:31.446249	22228	45	2	10
2014-03-26 09:24:10.21421	22236	20.7	1	10
2014-03-26 09:24:10.437452	22237	45	2	10
2014-03-26 09:24:49.319033	22245	20.7	1	10
2014-03-26 09:24:49.541499	22246	44	2	10
2014-03-26 09:25:28.211632	22253	20.7	1	10
2014-03-26 09:25:28.444038	22254	44	2	10
2014-03-26 09:26:07.214141	22262	20.7	1	10
2014-03-26 09:26:07.436973	22263	44	2	10
2014-03-26 09:26:46.212366	22271	20.7	1	10
2014-03-26 09:26:46.435011	22272	44	2	10
2014-03-26 09:27:25.212735	22279	20.7	1	10
2014-03-26 09:27:25.445498	22280	44	2	10
2014-03-26 09:28:04.216344	22288	20.7	1	10
2014-03-26 09:28:04.439502	22289	44	2	10
2014-03-26 09:29:00.133502	22305	20.6	1	1
2014-03-26 09:29:00.359775	22306	52	2	1
2014-03-26 23:28:32.277551	33234	47	2	9
2014-03-26 23:28:32.587561	33235	450	3	2
2014-03-26 09:29:24.154191	22311	21.2	1	8
2014-03-26 09:29:24.385825	22312	58	2	8
2014-03-26 09:29:32.640959	22313	515	3	2
2014-03-26 09:29:39.132566	22314	20.6	1	1
2014-03-26 09:29:39.355855	22315	52	2	1
2014-03-26 23:28:32.814151	33236	1088902.8149115199	4	2
2014-03-26 23:28:33.133685	33237	21.6	1	8
2014-03-26 09:30:03.155564	22320	21.2	1	8
2014-03-26 09:30:03.37878	22321	58	2	8
2014-03-26 09:30:18.131808	22322	20.6	1	1
2014-03-26 09:30:18.363329	22323	52	2	1
2014-03-26 09:30:32.644369	22324	515	3	2
2014-03-26 23:28:33.378122	33238	48	2	8
2014-03-26 23:28:47.641447	33239	20.1	1	1
2014-03-26 09:30:42.155999	22329	21.2	1	8
2014-03-26 09:30:42.388255	22330	58	2	8
2014-03-26 09:30:57.132034	22331	20.6	1	1
2014-03-26 09:30:57.355481	22332	52	2	1
2014-03-26 23:28:47.866687	33240	50	2	1
2014-03-26 23:29:00.730249	33241	23.7	1	10
2014-03-26 09:31:21.15517	22337	21.2	1	8
2014-03-26 09:31:21.386993	22338	58	2	8
2014-03-26 09:31:32.639455	22339	515	3	2
2014-03-26 09:31:36.131936	22340	20.6	1	1
2014-03-26 09:31:36.353957	22341	52	2	1
2014-03-26 23:29:01.171765	33242	41	2	10
2014-03-26 23:29:11.043029	33243	21.3	1	9
2014-03-26 09:32:00.492207	22346	21.2	1	8
2014-03-26 09:32:00.714715	22347	58	2	8
2014-03-26 09:32:15.129765	22348	20.6	1	1
2014-03-26 09:32:15.360669	22349	52	2	1
2014-03-26 09:32:32.642543	22350	482	3	2
2014-03-26 23:29:11.266975	33244	47	2	9
2014-03-26 23:29:12.131589	33245	21.6	1	8
2014-03-26 09:32:39.15637	22355	21.2	1	8
2014-03-26 09:32:39.378194	22356	58	2	8
2014-03-26 09:32:44.642702	22357	434	3	2
2014-03-26 09:32:54.129683	22358	20.6	1	1
2014-03-26 09:32:54.353574	22359	52	2	1
2014-03-26 09:32:56.642363	22360	450	3	2
2014-03-26 09:33:08.639162	22361	370	3	2
2014-03-26 23:29:12.354315	33246	48	2	8
2014-03-26 23:29:26.643507	33247	20.1	1	1
2014-03-26 09:33:18.157603	22366	21.2	1	8
2014-03-26 09:33:18.379615	22367	58	2	8
2014-03-26 09:33:20.64374	22368	402	3	2
2014-03-26 09:33:32.640596	22369	402	3	2
2014-03-26 09:33:33.128835	22370	20.6	1	1
2014-03-26 09:33:33.353601	22371	52	2	1
2014-03-26 23:29:26.876805	33248	50	2	1
2014-03-26 23:29:32.547958	33249	450	3	2
2014-03-26 09:33:57.155479	22376	21.2	1	8
2014-03-26 09:33:57.38968	22377	58	2	8
2014-03-26 09:34:08.642087	22378	434	3	2
2014-03-26 09:34:12.126022	22379	20.6	1	1
2014-03-26 09:34:12.350342	22380	52	2	1
2014-03-26 09:34:20.640898	22381	434	3	2
2014-03-26 09:34:32.637966	22382	418	3	2
2014-03-26 23:29:32.771507	33250	1088910.8581545698	4	2
2014-03-26 23:29:39.730254	33251	23.7	1	10
2014-03-26 09:34:36.155738	22387	21.2	1	8
2014-03-26 09:34:36.39031	22388	58	2	8
2014-03-26 09:34:51.130775	22389	20.6	1	1
2014-03-26 09:34:51.353278	22390	52	2	1
2014-03-26 23:29:39.966308	33252	41	2	10
2014-03-26 23:29:50.04481	33253	21.3	1	9
2014-03-26 09:35:15.156006	22395	21.2	1	8
2014-03-26 09:35:15.388829	22396	58	2	8
2014-03-26 09:35:30.131386	22397	20.6	1	1
2014-03-26 09:35:30.353215	22398	52	2	1
2014-03-26 09:35:32.63926	22399	418	3	2
2014-03-26 23:29:50.267571	33254	47	2	9
2014-03-26 23:29:51.132869	33255	21.6	1	8
2014-03-26 09:35:54.155067	22404	21.2	1	8
2014-03-26 09:35:54.378008	22405	58	2	8
2014-03-26 09:36:09.129435	22406	20.5	1	1
2014-03-26 09:36:09.361305	22407	52	2	1
2014-03-26 23:29:51.364725	33256	48	2	8
2014-03-26 23:30:05.64214	33257	20.1	1	1
2014-03-26 09:36:32.956014	22412	418	3	2
2014-03-26 09:36:33.262318	22413	21.2	1	8
2014-03-26 09:36:33.484446	22414	58	2	8
2014-03-26 09:36:48.126142	22415	20.5	1	1
2014-03-26 09:36:48.348726	22416	52	2	1
2014-03-26 23:30:05.865425	33258	50	2	1
2014-03-26 23:30:18.732003	33259	23.6	1	10
2014-03-26 09:37:12.480874	22421	21.1	1	8
2014-03-26 09:37:12.703068	22422	58	2	8
2014-03-26 09:37:27.125906	22423	20.5	1	1
2014-03-26 09:37:27.349509	22424	52	2	1
2014-03-26 09:37:32.63939	22425	418	3	2
2014-03-26 23:30:18.967944	33260	41	2	10
2014-03-26 23:30:29.04431	33261	21.3	1	9
2014-03-26 09:37:51.155097	22430	21.1	1	8
2014-03-26 09:37:51.376845	22431	58	2	8
2014-03-26 09:38:06.12658	22432	20.5	1	1
2014-03-26 09:38:06.358272	22433	52	2	1
2014-03-26 09:38:08.640137	22434	450	3	2
2014-03-26 09:38:20.638864	22435	418	3	2
2014-03-26 23:30:29.268528	33262	47	2	9
2014-03-26 09:38:30.156766	22440	21.1	1	8
2014-03-26 09:29:22.213815	22307	20.7	1	10
2014-03-26 09:29:22.448608	22308	44	2	10
2014-03-26 09:30:01.213338	22316	20.7	1	10
2014-03-26 09:30:01.436617	22317	44	2	10
2014-03-26 09:30:40.215236	22325	20.7	1	10
2014-03-26 09:30:40.437311	22326	44	2	10
2014-03-26 09:31:19.216838	22333	20.7	1	10
2014-03-26 09:31:19.461065	22334	44	2	10
2014-03-26 09:31:58.216159	22342	20.7	1	10
2014-03-26 09:31:58.441195	22343	44	2	10
2014-03-26 09:32:37.222677	22351	20.7	1	10
2014-03-26 09:32:37.450898	22352	44	2	10
2014-03-26 09:33:16.217081	22362	20.7	1	10
2014-03-26 09:33:16.440221	22363	44	2	10
2014-03-26 09:33:55.215294	22372	20.7	1	10
2014-03-26 09:33:55.449703	22373	44	2	10
2014-03-26 09:34:34.214091	22383	20.7	1	10
2014-03-26 09:34:34.448456	22384	44	2	10
2014-03-26 09:35:13.215802	22391	20.7	1	10
2014-03-26 09:35:13.446522	22392	44	2	10
2014-03-26 09:35:52.215446	22400	20.6	1	10
2014-03-26 09:35:52.442892	22401	44	2	10
2014-03-26 09:36:31.217714	22408	20.6	1	10
2014-03-26 09:36:31.441612	22409	44	2	10
2014-03-26 09:37:10.215914	22417	20.6	1	10
2014-03-26 09:37:10.439143	22418	44	2	10
2014-03-26 09:37:49.217646	22426	20.6	1	10
2014-03-26 09:37:49.441258	22427	44	2	10
2014-03-26 09:38:30.389199	22441	58	2	8
2014-03-26 09:38:32.639658	22442	434	3	2
2014-03-26 09:38:45.129082	22443	20.5	1	1
2014-03-26 09:38:45.353837	22444	52	2	1
2014-03-26 23:30:30.133267	33263	21.6	1	8
2014-03-26 23:30:30.374404	33264	48	2	8
2014-03-26 09:39:09.154575	22449	21.1	1	8
2014-03-26 09:39:09.378166	22450	58	2	8
2014-03-26 09:39:24.124096	22451	20.5	1	1
2014-03-26 09:39:24.348926	22452	52	2	1
2014-03-26 09:39:32.640586	22453	434	3	2
2014-03-26 09:39:44.639481	22454	466	3	2
2014-03-26 23:30:32.549202	33265	434	3	2
2014-03-26 23:30:32.772046	33266	1088917.7523628983	4	2
2014-03-26 09:39:48.154918	22459	21.1	1	8
2014-03-26 09:39:48.390365	22460	58	2	8
2014-03-26 09:39:56.638882	22461	466	3	2
2014-03-26 09:40:03.124346	22462	20.5	1	1
2014-03-26 09:40:03.34649	22463	52	2	1
2014-03-26 23:30:44.641466	33267	20.1	1	1
2014-03-26 23:30:44.875528	33268	50	2	1
2014-03-26 09:40:27.159776	22468	21.1	1	8
2014-03-26 09:40:27.381886	22469	58	2	8
2014-03-26 09:40:32.640728	22470	466	3	2
2014-03-26 09:40:42.1231	22471	20.5	1	1
2014-03-26 09:40:42.345979	22472	52	2	1
2014-03-26 23:30:56.549861	33269	402	3	2
2014-03-26 23:30:56.774064	33270	1088921.1994670625	4	2
2014-03-26 09:41:06.154375	22477	21.1	1	8
2014-03-26 09:41:06.375053	22478	58	2	8
2014-03-26 09:41:21.128996	22479	20.5	1	1
2014-03-26 09:41:21.359122	22480	52	2	1
2014-03-26 09:41:32.637848	22481	466	3	2
2014-03-26 23:30:57.73097	33271	23.6	1	10
2014-03-26 23:30:57.966076	33272	41	2	10
2014-03-26 09:41:45.154505	22486	21.1	1	8
2014-03-26 09:41:45.385152	22487	58	2	8
2014-03-26 09:42:00.126365	22488	20.5	1	1
2014-03-26 09:42:00.348868	22489	52	2	1
2014-03-26 23:31:08.043891	33273	21.3	1	9
2014-03-26 23:31:08.271517	33274	47	2	9
2014-03-26 09:42:24.155279	22494	21.1	1	8
2014-03-26 09:42:24.387105	22495	58	2	8
2014-03-26 09:42:32.636438	22496	466	3	2
2014-03-26 09:42:39.122255	22497	20.5	1	1
2014-03-26 09:42:39.345021	22498	52	2	1
2014-03-26 23:31:08.578536	33275	402	3	2
2014-03-26 23:31:08.811715	33276	1088922.348501784	4	2
2014-03-26 09:43:03.15453	22503	21.1	1	8
2014-03-26 09:43:03.376097	22504	58	2	8
2014-03-26 09:43:18.125777	22505	20.5	1	1
2014-03-26 09:43:18.356521	22506	52	2	1
2014-03-26 09:43:32.637768	22507	466	3	2
2014-03-26 23:31:09.133191	33277	21.6	1	8
2014-03-26 23:31:09.358033	33278	48	2	8
2014-03-26 09:43:42.155734	22512	21.1	1	8
2014-03-26 09:43:42.387487	22513	58	2	8
2014-03-26 09:43:57.123868	22514	20.5	1	1
2014-03-26 09:43:57.348043	22515	52	2	1
2014-03-26 23:31:23.640439	33279	20.1	1	1
2014-03-26 23:31:23.873842	33280	50	2	1
2014-03-26 09:44:21.154475	22520	21.1	1	8
2014-03-26 09:44:21.388219	22521	58	2	8
2014-03-26 09:44:32.63625	22522	450	3	2
2014-03-26 09:44:36.121184	22523	20.5	1	1
2014-03-26 09:44:36.34625	22524	52	2	1
2014-03-26 09:44:44.63985	22525	402	3	2
2014-03-26 09:44:56.639046	22526	370	3	2
2014-03-26 23:31:32.55001	33281	402	3	2
2014-03-26 23:31:32.774418	33282	1088924.6465712267	4	2
2014-03-26 09:45:00.154451	22531	21.1	1	8
2014-03-26 09:45:00.389315	22532	58	2	8
2014-03-26 09:45:08.638884	22533	402	3	2
2014-03-26 09:45:15.11946	22534	20.5	1	1
2014-03-26 09:45:15.342467	22535	52	2	1
2014-03-26 09:45:20.639932	22536	402	3	2
2014-03-26 09:45:32.637257	22537	402	3	2
2014-03-26 23:31:36.731892	33283	23.6	1	10
2014-03-26 23:31:36.965826	33284	41	2	10
2014-03-26 09:45:39.154328	22542	21.1	1	8
2014-03-26 09:45:39.385633	22543	58	2	8
2014-03-26 09:45:54.123886	22544	20.5	1	1
2014-03-26 09:45:54.345605	22545	52	2	1
2014-03-26 23:31:47.044913	33285	21.3	1	9
2014-03-26 23:31:47.269645	33286	47	2	9
2014-03-26 09:46:18.153444	22550	21.1	1	8
2014-03-26 09:46:18.386632	22551	58	2	8
2014-03-26 09:46:32.6418	22552	402	3	2
2014-03-26 09:46:33.120412	22553	20.5	1	1
2014-03-26 09:46:33.34328	22554	52	2	1
2014-03-26 23:31:48.133044	33287	21.6	1	8
2014-03-26 23:31:48.38011	33288	48	2	8
2014-03-26 09:46:57.154471	22559	21.1	1	8
2014-03-26 09:46:57.37576	22560	58	2	8
2014-03-26 09:47:08.639926	22561	450	3	2
2014-03-26 09:47:12.11989	22562	20.5	1	1
2014-03-26 09:47:12.340043	22563	52	2	1
2014-03-26 09:47:20.63734	22564	434	3	2
2014-03-26 09:47:32.638557	22565	434	3	2
2014-03-26 23:32:02.641442	33289	20.1	1	1
2014-03-26 23:32:02.884679	33290	50	2	1
2014-03-26 23:32:15.730055	33291	23.6	1	10
2014-03-26 09:47:36.153887	22570	21.1	1	8
2014-03-26 09:47:36.385066	22571	58	2	8
2014-03-26 09:47:51.121946	22572	20.5	1	1
2014-03-26 09:47:51.346251	22573	52	2	1
2014-03-26 09:39:07.215804	22445	20.6	1	10
2014-03-26 09:39:07.44057	22446	44	2	10
2014-03-26 09:39:46.217598	22455	20.6	1	10
2014-03-26 09:39:46.451566	22456	44	2	10
2014-03-26 09:40:25.217974	22464	20.6	1	10
2014-03-26 09:40:25.440766	22465	44	2	10
2014-03-26 09:41:04.218675	22473	20.6	1	10
2014-03-26 09:41:04.442451	22474	44	2	10
2014-03-26 09:41:43.227383	22482	20.6	1	10
2014-03-26 09:41:43.459025	22483	44	2	10
2014-03-26 09:42:22.218967	22490	20.6	1	10
2014-03-26 09:42:22.450561	22491	44	2	10
2014-03-26 09:43:01.218837	22499	20.6	1	10
2014-03-26 09:43:01.443954	22500	44	2	10
2014-03-26 09:43:40.218807	22508	20.6	1	10
2014-03-26 09:43:40.449952	22509	44	2	10
2014-03-26 09:44:19.220735	22516	20.6	1	10
2014-03-26 09:44:19.469374	22517	44	2	10
2014-03-26 09:44:58.218706	22527	20.6	1	10
2014-03-26 09:44:58.453145	22528	44	2	10
2014-03-26 09:45:37.219763	22538	20.6	1	10
2014-03-26 09:45:37.453588	22539	44	2	10
2014-03-26 09:46:16.219658	22546	20.6	1	10
2014-03-26 09:46:16.452148	22547	44	2	10
2014-03-26 09:46:55.220786	22555	20.6	1	10
2014-03-26 09:46:55.443199	22556	44	2	10
2014-03-26 09:47:34.220209	22566	20.6	1	10
2014-03-26 23:32:15.963955	33292	41	2	10
2014-03-26 09:48:15.153239	22578	21.1	1	8
2014-03-26 09:48:15.386417	22579	58	2	8
2014-03-26 09:48:30.119088	22580	20.5	1	1
2014-03-26 09:48:30.341452	22581	52	2	1
2014-03-26 09:48:32.638896	22582	418	3	2
2014-03-26 23:32:26.043339	33293	21.3	1	9
2014-03-26 23:32:26.26887	33294	47	2	9
2014-03-26 09:48:54.155851	22587	21.1	1	8
2014-03-26 09:48:54.377998	22588	58	2	8
2014-03-26 09:49:09.123591	22589	20.5	1	1
2014-03-26 09:49:09.347398	22590	52	2	1
2014-03-26 23:32:27.131916	33295	21.6	1	8
2014-03-26 23:32:27.364196	33296	48	2	8
2014-03-26 09:49:32.637471	22595	418	3	2
2014-03-26 09:49:33.155099	22596	21.1	1	8
2014-03-26 09:49:33.410804	22597	58	2	8
2014-03-26 09:49:48.118734	22598	20.5	1	1
2014-03-26 09:49:48.449394	22599	52	2	1
2014-03-26 23:32:32.551356	33297	402	3	2
2014-03-26 23:32:32.77604	33298	1088931.5407795552	4	2
2014-03-26 09:50:12.154793	22604	21.1	1	8
2014-03-26 09:50:12.411004	22605	58	2	8
2014-03-26 09:50:27.120595	22606	20.5	1	1
2014-03-26 09:50:27.365772	22607	52	2	1
2014-03-26 09:50:32.639021	22608	434	3	2
2014-03-26 23:32:41.64093	33299	20.1	1	1
2014-03-26 23:32:41.876598	33300	50	2	1
2014-03-26 09:50:51.478523	22613	21.1	1	8
2014-03-26 09:50:51.708913	22614	58	2	8
2014-03-26 09:51:06.119017	22615	20.5	1	1
2014-03-26 09:51:06.340078	22616	52	2	1
2014-03-26 09:51:20.63686	22617	466	3	2
2014-03-26 23:32:54.730357	33301	23.6	1	10
2014-03-26 23:32:54.954878	33302	41	2	10
2014-03-26 09:51:30.15539	22622	21.1	1	8
2014-03-26 09:51:30.376117	22623	58	2	8
2014-03-26 09:51:32.638707	22624	466	3	2
2014-03-26 09:51:44.638054	22625	434	3	2
2014-03-26 09:51:45.117628	22626	20.5	1	1
2014-03-26 09:51:45.3396	22627	52	2	1
2014-03-26 09:51:56.640737	22628	434	3	2
2014-03-26 23:33:05.043425	33303	21.3	1	9
2014-03-26 23:33:05.276016	33304	47	2	9
2014-03-26 09:52:09.152661	22633	21.1	1	8
2014-03-26 09:52:09.373754	22634	58	2	8
2014-03-26 09:52:24.11849	22635	20.5	1	1
2014-03-26 09:52:24.353372	22636	52	2	1
2014-03-26 09:52:46.020768	22637	434	3	2
2014-03-26 23:33:06.131996	33305	21.6	1	8
2014-03-26 23:33:06.354129	33306	48	2	8
2014-03-26 09:52:48.154117	22642	21.1	1	8
2014-03-26 09:52:48.375588	22643	57	2	8
2014-03-26 09:53:03.121139	22644	20.5	1	1
2014-03-26 09:53:03.342751	22645	52	2	1
2014-03-26 23:33:20.643366	33307	20.1	1	1
2014-03-26 23:33:20.877442	33308	50	2	1
2014-03-26 09:53:27.154409	22650	21.1	1	8
2014-03-26 09:53:27.395717	22651	58	2	8
2014-03-26 09:53:32.634968	22652	434	3	2
2014-03-26 09:53:42.116216	22653	20.5	1	1
2014-03-26 09:53:42.337343	22654	52	2	1
2014-03-26 23:33:32.547748	33309	402	3	2
2014-03-26 23:33:32.77537	33310	1088938.4349878838	4	2
2014-03-26 09:54:06.155133	22659	21.1	1	8
2014-03-26 09:54:06.376117	22660	58	2	8
2014-03-26 09:54:21.118083	22661	20.5	1	1
2014-03-26 09:54:21.348932	22662	52	2	1
2014-03-26 09:54:32.637942	22663	434	3	2
2014-03-26 23:33:33.73285	33311	23.6	1	10
2014-03-26 23:33:33.965961	33312	41	2	10
2014-03-26 09:54:45.156784	22668	21.1	1	8
2014-03-26 09:54:45.389625	22669	57	2	8
2014-03-26 09:55:00.119339	22670	20.5	1	1
2014-03-26 09:55:00.343369	22671	52	2	1
2014-03-26 23:33:44.044103	33313	21.3	1	9
2014-03-26 23:33:44.268801	33314	47	2	9
2014-03-26 09:55:24.480072	22676	21.1	1	8
2014-03-26 09:55:24.711268	22677	58	2	8
2014-03-26 09:55:32.63764	22678	450	3	2
2014-03-26 09:55:39.120106	22679	20.5	1	1
2014-03-26 09:55:39.34428	22680	52	2	1
2014-03-26 23:33:45.133976	33315	21.6	1	8
2014-03-26 23:33:45.366676	33316	47	2	8
2014-03-26 09:56:03.154305	22685	21.1	1	8
2014-03-26 09:56:03.376297	22686	58	2	8
2014-03-26 09:56:18.11718	22687	20.5	1	1
2014-03-26 09:56:18.350758	22688	52	2	1
2014-03-26 09:56:32.637933	22689	402	3	2
2014-03-26 23:33:59.63947	33317	20.1	1	1
2014-03-26 23:33:59.865409	33318	50	2	1
2014-03-26 09:56:42.154698	22694	21.1	1	8
2014-03-26 09:56:42.396555	22695	58	2	8
2014-03-26 09:56:44.63755	22696	370	3	2
2014-03-26 09:56:56.641081	22697	402	3	2
2014-03-26 09:56:57.11907	22698	20.5	1	1
2014-03-26 09:56:57.351211	22699	53	2	1
2014-03-26 09:57:08.638784	22700	402	3	2
2014-03-26 09:57:20.634505	22705	370	3	2
2014-03-26 09:57:21.153474	22706	21.1	1	8
2014-03-26 09:57:21.386351	22707	58	2	8
2014-03-26 09:57:32.638104	22708	370	3	2
2014-03-26 09:57:36.112371	22709	20.5	1	1
2014-03-26 09:57:36.334161	22710	53	2	1
2014-03-26 09:57:44.638167	22711	402	3	2
2014-03-26 09:57:56.632798	22712	370	3	2
2014-03-26 09:48:52.219996	22583	20.6	1	10
2014-03-26 09:48:52.443646	22584	44	2	10
2014-03-26 09:49:31.222562	22591	20.6	1	10
2014-03-26 09:49:31.497718	22592	44	2	10
2014-03-26 09:50:10.220058	22600	20.6	1	10
2014-03-26 09:50:10.475761	22601	44	2	10
2014-03-26 09:50:49.220217	22609	20.6	1	10
2014-03-26 09:50:49.44689	22610	44	2	10
2014-03-26 09:51:28.219695	22618	20.6	1	10
2014-03-26 09:51:28.441341	22619	44	2	10
2014-03-26 09:52:07.220672	22629	20.6	1	10
2014-03-26 09:52:07.443331	22630	44	2	10
2014-03-26 09:52:46.328176	22638	20.6	1	10
2014-03-26 09:52:46.550736	22639	44	2	10
2014-03-26 09:53:25.222031	22646	20.6	1	10
2014-03-26 09:53:25.453784	22647	44	2	10
2014-03-26 09:54:04.220816	22655	20.6	1	10
2014-03-26 09:54:04.44256	22656	44	2	10
2014-03-26 09:54:43.223569	22664	20.6	1	10
2014-03-26 09:54:43.448255	22665	44	2	10
2014-03-26 09:55:22.221255	22672	20.6	1	10
2014-03-26 09:55:22.492139	22673	44	2	10
2014-03-26 09:56:01.222956	22681	20.6	1	10
2014-03-26 09:56:01.444822	22682	44	2	10
2014-03-26 09:56:40.223201	22690	20.6	1	10
2014-03-26 09:56:40.445768	22691	44	2	10
2014-03-26 09:57:19.223294	22701	20.6	1	10
2014-03-26 23:34:08.544252	33319	370	3	2
2014-03-26 23:34:08.78208	33320	1088941.882092048	4	2
2014-03-26 09:58:00.154165	22717	21.1	1	8
2014-03-26 09:58:00.385036	22718	58	2	8
2014-03-26 09:58:08.635606	22719	370	3	2
2014-03-26 09:58:15.11242	22720	20.4	1	1
2014-03-26 09:58:15.335625	22721	53	2	1
2014-03-26 09:58:32.635713	22722	418	3	2
2014-03-26 23:34:12.733296	33321	23.6	1	10
2014-03-26 23:34:12.958666	33322	41	2	10
2014-03-26 09:58:39.155497	22727	21.1	1	8
2014-03-26 09:58:39.377783	22728	57	2	8
2014-03-26 09:58:44.636537	22729	402	3	2
2014-03-26 09:58:54.112771	22730	20.4	1	1
2014-03-26 09:58:54.335262	22731	53	2	1
2014-03-26 09:58:56.637728	22732	370	3	2
2014-03-26 09:59:08.637583	22733	370	3	2
2014-03-26 23:34:20.546796	33323	402	3	2
2014-03-26 23:34:20.781125	33324	1088943.0311267695	4	2
2014-03-26 09:59:18.154376	22738	21.1	1	8
2014-03-26 09:59:18.39589	22739	57	2	8
2014-03-26 09:59:20.635043	22740	402	3	2
2014-03-26 09:59:32.63639	22741	370	3	2
2014-03-26 09:59:33.114679	22742	20.4	1	1
2014-03-26 09:59:33.346604	22743	53	2	1
2014-03-26 09:59:44.634265	22744	402	3	2
2014-03-26 23:34:23.043397	33325	21.3	1	9
2014-03-26 23:34:23.267023	33326	47	2	9
2014-03-26 09:59:56.633405	22749	370	3	2
2014-03-26 09:59:57.154714	22750	21.1	1	8
2014-03-26 09:59:57.376338	22751	58	2	8
2014-03-26 10:00:08.634571	22752	402	3	2
2014-03-26 10:00:12.114313	22753	20.4	1	1
2014-03-26 10:00:12.347213	22754	53	2	1
2014-03-26 10:00:20.634519	22755	370	3	2
2014-03-26 10:00:32.636357	22756	402	3	2
2014-03-26 23:34:24.135423	33327	21.6	1	8
2014-03-26 23:34:24.369641	33328	47	2	8
2014-03-26 10:00:36.153017	22761	21.1	1	8
2014-03-26 10:00:36.388115	22762	58	2	8
2014-03-26 10:00:44.635192	22763	402	3	2
2014-03-26 10:00:51.1111	22764	20.4	1	1
2014-03-26 10:00:51.33448	22765	53	2	1
2014-03-26 23:34:32.547792	33329	402	3	2
2014-03-26 23:34:32.79365	33330	1088944.1801614908	4	2
2014-03-26 10:01:15.155564	22770	21.1	1	8
2014-03-26 10:01:15.380166	22771	57	2	8
2014-03-26 10:01:30.111516	22772	20.4	1	1
2014-03-26 10:01:30.344033	22773	53	2	1
2014-03-26 10:01:32.637295	22774	402	3	2
2014-03-26 23:34:38.642476	33331	20.1	1	1
2014-03-26 23:34:38.878432	33332	50	2	1
2014-03-26 10:01:54.153442	22779	21.1	1	8
2014-03-26 10:01:54.387021	22780	58	2	8
2014-03-26 10:01:56.63338	22781	370	3	2
2014-03-26 10:02:08.637892	22782	402	3	2
2014-03-26 10:02:09.11222	22783	20.4	1	1
2014-03-26 10:02:09.353196	22784	53	2	1
2014-03-26 10:02:20.638768	22785	402	3	2
2014-03-26 23:34:51.732614	33333	23.6	1	10
2014-03-26 23:34:51.960047	33334	41	2	10
2014-03-26 10:02:32.638501	22790	402	3	2
2014-03-26 10:02:33.154495	22791	21.1	1	8
2014-03-26 10:02:33.38515	22792	58	2	8
2014-03-26 10:02:48.112247	22793	20.4	1	1
2014-03-26 10:02:48.335884	22794	53	2	1
2014-03-26 10:02:56.636795	22795	370	3	2
2014-03-26 10:03:08.634385	22796	402	3	2
2014-03-26 23:34:56.546464	33335	338	3	2
2014-03-26 23:34:56.793298	33336	1088947.627265655	4	2
2014-03-26 10:03:12.154211	22801	21.1	1	8
2014-03-26 10:03:12.376601	22802	58	2	8
2014-03-26 10:03:20.638713	22803	434	3	2
2014-03-26 10:03:27.10825	22804	20.4	1	1
2014-03-26 10:03:27.332141	22805	53	2	1
2014-03-26 10:03:32.633323	22806	434	3	2
2014-03-26 23:35:02.045625	33337	21.2	1	9
2014-03-26 23:35:02.273276	33338	47	2	9
2014-03-26 10:03:51.153606	22811	21.1	1	8
2014-03-26 10:03:51.38506	22812	58	2	8
2014-03-26 10:04:06.110254	22813	20.4	1	1
2014-03-26 10:04:06.332522	22814	53	2	1
2014-03-26 23:35:03.132253	33339	21.6	1	8
2014-03-26 23:35:03.367746	33340	47	2	8
2014-03-26 10:04:30.494518	22817	21.1	1	8
2014-03-26 10:04:30.717309	22818	58	2	8
2014-03-26 10:04:44.492186	22819	434	3	2
2014-03-26 10:04:44.809369	22820	3026	3	2
2014-03-26 10:04:45.117632	22821	20.4	1	1
2014-03-26 10:04:45.34009	22822	53	2	1
2014-03-26 10:04:56.637259	22823	2945	3	2
2014-03-26 23:35:08.546736	33341	338	3	2
2014-03-26 23:35:08.7716	33342	1088948.7763003765	4	2
2014-03-26 10:05:08.632844	22828	2945	3	2
2014-03-26 10:05:09.155602	22829	21.1	1	8
2014-03-26 10:05:09.376931	22830	58	2	8
2014-03-26 10:05:24.109288	22831	20.4	1	1
2014-03-26 10:05:24.334058	22832	53	2	1
2014-03-26 10:05:46.024114	22833	2945	3	2
2014-03-26 23:35:17.641141	33343	20.1	1	1
2014-03-26 10:05:48.153028	22838	21.1	1	8
2014-03-26 10:05:48.386616	22839	58	2	8
2014-03-26 10:06:03.111815	22840	20.4	1	1
2014-03-26 10:06:03.33486	22841	53	2	1
2014-03-26 10:06:27.482543	22846	21.1	1	8
2014-03-26 10:06:27.714448	22847	58	2	8
2014-03-26 10:06:32.635954	22848	2961	3	2
2014-03-26 09:57:58.222883	22713	20.6	1	10
2014-03-26 09:57:58.474387	22714	44	2	10
2014-03-26 09:58:37.221931	22723	20.6	1	10
2014-03-26 09:58:37.444215	22724	44	2	10
2014-03-26 09:59:16.223606	22734	20.6	1	10
2014-03-26 09:59:16.451718	22735	44	2	10
2014-03-26 09:59:55.22501	22745	20.6	1	10
2014-03-26 09:59:55.452442	22746	44	2	10
2014-03-26 10:00:34.222543	22757	20.6	1	10
2014-03-26 10:00:34.457723	22758	44	2	10
2014-03-26 10:01:13.224057	22766	20.6	1	10
2014-03-26 10:01:13.447956	22767	44	2	10
2014-03-26 10:01:52.224235	22775	20.6	1	10
2014-03-26 10:01:52.446395	22776	44	2	10
2014-03-26 10:02:31.225568	22786	20.6	1	10
2014-03-26 10:02:31.447745	22787	44	2	10
2014-03-26 10:03:10.224008	22797	20.6	1	10
2014-03-26 10:03:10.445698	22798	44	2	10
2014-03-26 10:03:49.225358	22807	20.6	1	10
2014-03-26 10:03:49.456379	22808	44	2	10
2014-03-26 10:05:07.224484	22824	20.5	1	10
2014-03-26 10:05:07.44683	22825	44	2	10
2014-03-26 10:05:46.331652	22834	20.5	1	10
2014-03-26 10:05:46.566137	22835	44	2	10
2014-03-26 10:06:25.223792	22842	20.5	1	10
2014-03-26 10:06:25.457557	22843	44	2	10
2014-03-26 10:06:42.10929	22849	20.4	1	1
2014-03-26 10:06:42.352147	22850	53	2	1
2014-03-26 23:35:17.876091	33344	50	2	1
2014-03-26 23:35:30.731891	33345	23.6	1	10
2014-03-26 10:07:06.152765	22855	21.1	1	8
2014-03-26 10:07:06.37479	22856	58	2	8
2014-03-26 10:07:08.632578	22857	434	3	2
2014-03-26 10:07:20.633789	22858	450	3	2
2014-03-26 10:07:21.107096	22859	20.4	1	1
2014-03-26 10:07:21.331771	22860	53	2	1
2014-03-26 10:07:32.633663	22861	434	3	2
2014-03-26 23:35:30.957308	33346	41	2	10
2014-03-26 23:35:32.548668	33347	338	3	2
2014-03-26 10:07:45.15394	22866	21.1	1	8
2014-03-26 10:07:45.375696	22867	58	2	8
2014-03-26 10:08:00.110039	22868	20.4	1	1
2014-03-26 10:08:00.33382	22869	53	2	1
2014-03-26 23:35:32.785669	33348	1088951.0743698194	4	2
2014-03-26 23:35:41.043108	33349	21.2	1	9
2014-03-26 10:08:24.15286	22874	21.1	1	8
2014-03-26 10:08:24.395836	22875	58	2	8
2014-03-26 10:08:32.632091	22876	434	3	2
2014-03-26 10:08:39.107574	22877	20.4	1	1
2014-03-26 10:08:39.331154	22878	53	2	1
2014-03-26 10:08:56.633758	22879	402	3	2
2014-03-26 23:35:41.266817	33350	47	2	9
2014-03-26 23:35:42.134892	33351	21.6	1	8
2014-03-26 10:09:03.152524	22884	21.1	1	8
2014-03-26 10:09:03.375048	22885	58	2	8
2014-03-26 10:09:08.63267	22886	402	3	2
2014-03-26 10:09:18.105275	22887	20.4	1	1
2014-03-26 10:09:18.329411	22888	53	2	1
2014-03-26 10:09:32.635036	22889	370	3	2
2014-03-26 23:35:42.367099	33352	47	2	8
2014-03-26 23:35:56.63854	33353	20.1	1	1
2014-03-26 10:09:42.152652	22894	21.1	1	8
2014-03-26 10:09:42.385265	22895	58	2	8
2014-03-26 10:09:44.633982	22896	450	3	2
2014-03-26 10:09:56.906439	22897	450	3	2
2014-03-26 10:09:57.216367	22898	20.4	1	1
2014-03-26 10:09:57.450327	22899	53	2	1
2014-03-26 23:35:56.861603	33354	50	2	1
2014-03-26 23:36:09.734598	33355	23.6	1	10
2014-03-26 10:10:21.155583	22904	21.1	1	8
2014-03-26 10:10:21.376692	22905	58	2	8
2014-03-26 10:10:32.63294	22906	450	3	2
2014-03-26 10:10:36.111451	22907	20.4	1	1
2014-03-26 10:10:36.333568	22908	53	2	1
2014-03-26 23:36:09.969454	33356	41	2	10
2014-03-26 23:36:20.043928	33357	21.2	1	9
2014-03-26 10:11:00.152575	22913	21.1	1	8
2014-03-26 10:11:00.386586	22914	58	2	8
2014-03-26 10:11:08.632859	22915	498	3	2
2014-03-26 10:11:15.104562	22916	20.4	1	1
2014-03-26 10:11:15.328528	22917	53	2	1
2014-03-26 10:11:20.633888	22918	498	3	2
2014-03-26 10:11:32.634329	22919	498	3	2
2014-03-26 23:36:20.272933	33358	47	2	9
2014-03-26 23:36:21.133746	33359	21.6	1	8
2014-03-26 10:11:39.153817	22924	21.1	1	8
2014-03-26 10:11:39.389309	22925	58	2	8
2014-03-26 10:11:54.107178	22926	20.4	1	1
2014-03-26 10:11:54.336694	22927	53	2	1
2014-03-26 23:36:21.368813	33360	47	2	8
2014-03-26 23:36:32.548544	33361	338	3	2
2014-03-26 10:12:18.153188	22932	21.1	1	8
2014-03-26 10:12:18.388008	22933	58	2	8
2014-03-26 10:12:32.633908	22934	482	3	2
2014-03-26 10:12:33.108027	22935	20.4	1	1
2014-03-26 10:12:33.330785	22936	53	2	1
2014-03-26 23:36:32.772479	33362	1088956.8195434264	4	2
2014-03-26 23:36:35.635927	33363	20.1	1	1
2014-03-26 10:12:57.153147	22941	21.1	1	8
2014-03-26 10:12:57.374876	22942	58	2	8
2014-03-26 10:13:12.102394	22943	20.4	1	1
2014-03-26 10:13:12.334354	22944	53	2	1
2014-03-26 10:13:32.636225	22945	482	3	2
2014-03-26 23:36:35.877374	33364	50	2	1
2014-03-26 23:36:48.731996	33365	23.6	1	10
2014-03-26 10:13:36.153669	22950	21.1	1	8
2014-03-26 10:13:36.386018	22951	58	2	8
2014-03-26 10:13:51.103531	22952	20.4	1	1
2014-03-26 10:13:51.327536	22953	53	2	1
2014-03-26 23:36:48.95953	33366	41	2	10
2014-03-26 23:36:59.042649	33367	21.2	1	9
2014-03-26 10:14:15.155795	22958	21.1	1	8
2014-03-26 10:14:15.387338	22959	58	2	8
2014-03-26 10:14:30.105147	22960	20.4	1	1
2014-03-26 10:14:30.327808	22961	53	2	1
2014-03-26 10:14:32.634302	22962	482	3	2
2014-03-26 23:36:59.276876	33368	47	2	9
2014-03-26 23:37:00.132954	33369	21.6	1	8
2014-03-26 10:14:54.153632	22967	21.1	1	8
2014-03-26 10:14:54.382775	22968	57	2	8
2014-03-26 10:15:09.105027	22969	20.4	1	1
2014-03-26 10:15:09.3379	22970	53	2	1
2014-03-26 23:37:00.359547	33370	47	2	8
2014-03-26 23:37:14.63734	33371	20.1	1	1
2014-03-26 23:37:14.872775	33372	50	2	1
2014-03-26 10:15:32.632351	22975	498	3	2
2014-03-26 10:15:33.15354	22976	21.1	1	8
2014-03-26 10:15:33.376342	22977	57	2	8
2014-03-26 10:15:44.632309	22978	531	3	2
2014-03-26 10:15:48.103926	22979	20.4	1	1
2014-03-26 10:15:48.345284	22980	53	2	1
2014-03-26 10:15:56.630737	22981	531	3	2
2014-03-26 10:07:04.231719	22851	20.5	1	10
2014-03-26 10:07:04.459255	22852	44	2	10
2014-03-26 10:07:43.226419	22862	20.5	1	10
2014-03-26 10:07:43.450327	22863	44	2	10
2014-03-26 10:08:22.225754	22870	20.5	1	10
2014-03-26 10:08:22.457811	22871	44	2	10
2014-03-26 10:09:01.226048	22880	20.5	1	10
2014-03-26 10:09:01.447489	22881	44	2	10
2014-03-26 10:09:40.225898	22890	20.5	1	10
2014-03-26 10:09:40.458601	22891	44	2	10
2014-03-26 10:10:19.22713	22900	20.5	1	10
2014-03-26 10:10:19.450225	22901	44	2	10
2014-03-26 10:10:58.22863	22909	20.5	1	10
2014-03-26 10:10:58.46037	22910	44	2	10
2014-03-26 10:11:37.227986	22920	20.5	1	10
2014-03-26 10:11:37.469107	22921	44	2	10
2014-03-26 10:12:16.227425	22928	20.5	1	10
2014-03-26 10:12:16.461435	22929	44	2	10
2014-03-26 10:12:55.228988	22937	20.5	1	10
2014-03-26 10:12:55.45278	22938	44	2	10
2014-03-26 10:13:34.226448	22946	20.5	1	10
2014-03-26 10:13:34.448497	22947	44	2	10
2014-03-26 10:14:13.227866	22954	20.5	1	10
2014-03-26 10:14:13.461651	22955	44	2	10
2014-03-26 10:14:52.228659	22963	20.5	1	10
2014-03-26 10:14:52.45083	22964	44	2	10
2014-03-26 10:15:31.228583	22971	20.5	1	10
2014-03-26 23:37:27.732444	33373	23.6	1	10
2014-03-26 10:16:12.155689	22986	21.1	1	8
2014-03-26 10:16:12.377601	22987	57	2	8
2014-03-26 10:16:27.10194	22988	20.4	1	1
2014-03-26 10:16:27.334588	22989	53	2	1
2014-03-26 10:16:49.027608	22990	531	3	2
2014-03-26 23:37:27.95745	33374	41	2	10
2014-03-26 23:37:32.546408	33375	338	3	2
2014-03-26 10:16:51.152659	22995	21.1	1	8
2014-03-26 10:16:51.378111	22996	57	2	8
2014-03-26 10:17:06.103012	22997	20.4	1	1
2014-03-26 10:17:06.328944	22998	53	2	1
2014-03-26 23:37:32.781081	33376	1088961.415682312	4	2
2014-03-26 23:37:38.044017	33377	21.2	1	9
2014-03-26 10:17:30.483476	23003	21.1	1	8
2014-03-26 10:17:30.716034	23004	57	2	8
2014-03-26 10:17:32.63323	23005	547	3	2
2014-03-26 10:17:45.104723	23006	20.4	1	1
2014-03-26 10:17:45.329649	23007	53	2	1
2014-03-26 23:37:38.270046	33378	47	2	9
2014-03-26 23:37:39.132477	33379	21.6	1	8
2014-03-26 10:18:09.153528	23012	21.1	1	8
2014-03-26 10:18:09.37467	23013	57	2	8
2014-03-26 10:18:24.102422	23014	20.4	1	1
2014-03-26 10:18:24.333514	23015	53	2	1
2014-03-26 10:18:32.634605	23016	531	3	2
2014-03-26 23:37:39.39132	33380	47	2	8
2014-03-26 23:37:53.635728	33381	20.1	1	1
2014-03-26 10:18:48.154198	23021	21.1	1	8
2014-03-26 10:18:48.384347	23022	57	2	8
2014-03-26 10:19:03.101271	23023	20.4	1	1
2014-03-26 10:19:03.323998	23024	53	2	1
2014-03-26 23:37:53.859598	33382	50	2	1
2014-03-26 23:38:06.732681	33383	23.6	1	10
2014-03-26 10:19:27.153139	23029	21.1	1	8
2014-03-26 10:19:27.385482	23030	57	2	8
2014-03-26 10:19:32.633116	23031	531	3	2
2014-03-26 10:19:42.100102	23032	20.4	1	1
2014-03-26 10:19:42.322099	23033	53	2	1
2014-03-26 23:38:06.979907	33384	41	2	10
2014-03-26 23:38:17.043126	33385	21.2	1	9
2014-03-26 10:20:06.152262	23038	21.1	1	8
2014-03-26 10:20:06.374754	23039	57	2	8
2014-03-26 10:20:21.099619	23040	20.4	1	1
2014-03-26 10:20:21.332815	23041	53	2	1
2014-03-26 10:20:32.629922	23042	547	3	2
2014-03-26 23:38:17.266327	33386	47	2	9
2014-03-26 23:38:18.132773	33387	21.6	1	8
2014-03-26 10:20:45.153838	23047	21.1	1	8
2014-03-26 10:20:45.375958	23048	57	2	8
2014-03-26 10:20:56.635814	23049	482	3	2
2014-03-26 10:21:00.101662	23050	20.4	1	1
2014-03-26 10:21:00.324004	23051	53	2	1
2014-03-26 10:21:08.631323	23052	482	3	2
2014-03-26 23:38:18.36571	33388	47	2	8
2014-03-26 23:38:20.546171	33389	370	3	2
2014-03-26 10:21:24.15697	23057	21.1	1	8
2014-03-26 10:21:24.379887	23058	57	2	8
2014-03-26 10:21:32.633697	23059	482	3	2
2014-03-26 10:21:39.100043	23060	20.4	1	1
2014-03-26 10:21:39.324136	23061	53	2	1
2014-03-26 23:38:20.774066	33390	1088966.0118211976	4	2
2014-03-26 23:38:32.875527	33391	20.1	1	1
2014-03-26 10:22:03.153323	23066	21.0	1	8
2014-03-26 10:22:03.377005	23067	56	2	8
2014-03-26 10:22:18.100862	23068	20.4	1	1
2014-03-26 10:22:18.334297	23069	53	2	1
2014-03-26 10:22:32.629471	23070	482	3	2
2014-03-26 23:38:33.109198	33392	50	2	1
2014-03-26 23:38:45.734636	33393	23.5	1	10
2014-03-26 10:22:42.154045	23075	21.0	1	8
2014-03-26 10:22:42.389305	23076	56	2	8
2014-03-26 10:22:57.099979	23077	20.4	1	1
2014-03-26 10:22:57.32314	23078	53	2	1
2014-03-26 23:38:45.958489	33394	41	2	10
2014-03-26 23:38:56.042991	33395	21.2	1	9
2014-03-26 10:23:21.152613	23083	21.0	1	8
2014-03-26 10:23:21.388091	23084	56	2	8
2014-03-26 10:23:32.634619	23085	498	3	2
2014-03-26 10:23:36.101211	23086	20.4	1	1
2014-03-26 10:23:36.323251	23087	53	2	1
2014-03-26 10:23:56.633024	23088	434	3	2
2014-03-26 23:38:56.275914	33396	47	2	9
2014-03-26 23:38:57.131783	33397	21.6	1	8
2014-03-26 10:24:00.153651	23093	21.0	1	8
2014-03-26 10:24:00.384205	23094	56	2	8
2014-03-26 10:24:08.633491	23095	434	3	2
2014-03-26 10:24:15.099631	23096	20.4	1	1
2014-03-26 10:24:15.379022	23097	53	2	1
2014-03-26 10:24:32.628147	23098	434	3	2
2014-03-26 23:38:57.3563	33398	47	2	8
2014-03-26 23:39:11.637248	33399	20.1	1	1
2014-03-26 10:24:39.154353	23103	21.0	1	8
2014-03-26 10:24:39.376893	23104	56	2	8
2014-03-26 10:24:54.099251	23105	20.4	1	1
2014-03-26 10:24:54.321581	23106	53	2	1
2014-03-26 23:39:11.87507	33400	50	2	1
2014-03-26 23:39:24.733214	33401	23.5	1	10
2014-03-26 10:25:18.153256	23111	21.0	1	8
2014-03-26 10:25:18.385935	23112	56	2	8
2014-03-26 10:25:32.629351	23113	434	3	2
2014-03-26 10:25:33.0958	23114	20.4	1	1
2014-03-26 10:25:33.317311	23115	53	2	1
2014-03-26 10:25:57.153463	23120	21.0	1	8
2014-03-26 10:16:49.376768	22991	20.5	1	10
2014-03-26 10:16:49.61765	22992	44	2	10
2014-03-26 10:17:28.227544	22999	20.5	1	10
2014-03-26 10:17:28.462608	23000	44	2	10
2014-03-26 10:18:07.22912	23008	20.5	1	10
2014-03-26 10:18:07.452536	23009	44	2	10
2014-03-26 10:18:46.229004	23017	20.5	1	10
2014-03-26 10:18:46.451584	23018	44	2	10
2014-03-26 10:19:25.229956	23025	20.5	1	10
2014-03-26 10:19:25.461389	23026	44	2	10
2014-03-26 10:20:04.229069	23034	20.5	1	10
2014-03-26 10:20:04.451605	23035	44	2	10
2014-03-26 10:20:43.230628	23043	20.5	1	10
2014-03-26 10:20:43.454552	23044	44	2	10
2014-03-26 10:21:22.231669	23053	20.5	1	10
2014-03-26 10:21:22.454794	23054	44	2	10
2014-03-26 10:22:01.232271	23062	20.5	1	10
2014-03-26 10:22:01.454602	23063	44	2	10
2014-03-26 10:22:40.230212	23071	20.5	1	10
2014-03-26 10:22:40.457305	23072	44	2	10
2014-03-26 10:23:19.230414	23079	20.5	1	10
2014-03-26 10:23:19.463574	23080	44	2	10
2014-03-26 10:23:58.23024	23089	20.5	1	10
2014-03-26 10:23:58.452025	23090	44	2	10
2014-03-26 10:24:37.230473	23099	20.5	1	10
2014-03-26 10:24:37.452887	23100	44	2	10
2014-03-26 10:25:16.230745	23107	20.5	1	10
2014-03-26 10:25:16.463346	23108	44	2	10
2014-03-26 10:25:55.230671	23116	20.4	1	10
2014-03-26 10:25:57.3749	23121	56	2	8
2014-03-26 10:26:12.097745	23122	20.4	1	1
2014-03-26 10:26:12.321321	23123	53	2	1
2014-03-26 10:26:32.631929	23124	434	3	2
2014-03-26 23:39:24.959089	33402	41	2	10
2014-03-26 23:39:32.545148	33403	370	3	2
2014-03-26 10:26:36.15478	23129	21.0	1	8
2014-03-26 10:26:36.386532	23130	56	2	8
2014-03-26 10:26:51.098659	23131	20.4	1	1
2014-03-26 10:26:51.323146	23132	53	2	1
2014-03-26 23:39:32.781397	33404	1088974.0550642477	4	2
2014-03-26 23:39:35.043409	33405	21.2	1	9
2014-03-26 10:27:15.152377	23135	21.0	1	8
2014-03-26 10:27:15.433098	23136	56	2	8
2014-03-26 10:27:30.093655	23137	20.4	1	1
2014-03-26 10:27:30.328655	23138	53	2	1
2014-03-26 10:27:32.63307	23139	434	3	2
2014-03-26 10:27:44.630579	23140	466	3	2
2014-03-26 23:39:35.265564	33406	47	2	9
2014-03-26 23:39:36.133535	33407	21.6	1	8
2014-03-26 10:27:54.152265	23145	21.0	1	8
2014-03-26 10:27:54.375678	23146	56	2	8
2014-03-26 10:27:56.632326	23147	466	3	2
2014-03-26 10:28:09.095048	23148	20.4	1	1
2014-03-26 10:28:09.318857	23149	53	2	1
2014-03-26 23:39:36.367551	33408	47	2	8
2014-03-26 23:39:50.638027	33409	20.1	1	1
2014-03-26 10:28:32.638721	23154	482	3	2
2014-03-26 10:28:33.152103	23155	21.0	1	8
2014-03-26 10:28:33.374198	23156	56	2	8
2014-03-26 10:28:48.09544	23157	20.4	1	1
2014-03-26 10:28:48.321619	23158	53	2	1
2014-03-26 23:39:50.865306	33410	50	2	1
2014-03-26 23:40:03.733115	33411	23.5	1	10
2014-03-26 10:29:12.152324	23163	21.0	1	8
2014-03-26 10:29:12.374959	23164	56	2	8
2014-03-26 10:29:27.098585	23165	20.4	1	1
2014-03-26 10:29:27.331778	23166	53	2	1
2014-03-26 10:29:32.633406	23167	482	3	2
2014-03-26 23:40:03.968688	33412	41	2	10
2014-03-26 23:40:14.045641	33413	21.2	1	9
2014-03-26 10:29:51.152249	23172	21.0	1	8
2014-03-26 10:29:51.374237	23173	56	2	8
2014-03-26 10:30:06.095242	23174	20.4	1	1
2014-03-26 10:30:06.3175	23175	53	2	1
2014-03-26 23:40:14.268936	33414	47	2	9
2014-03-26 23:40:15.13287	33415	21.6	1	8
2014-03-26 10:30:30.153064	23180	21.0	1	8
2014-03-26 10:30:30.384848	23181	56	2	8
2014-03-26 10:30:32.630639	23182	482	3	2
2014-03-26 10:30:45.092029	23183	20.4	1	1
2014-03-26 10:30:45.336619	23184	53	2	1
2014-03-26 23:40:15.366626	33416	47	2	8
2014-03-26 23:40:29.635523	33417	20.1	1	1
2014-03-26 10:31:09.488473	23189	21.0	1	8
2014-03-26 10:31:09.713807	23190	56	2	8
2014-03-26 10:31:24.097489	23191	20.4	1	1
2014-03-26 10:31:24.331044	23192	53	2	1
2014-03-26 10:31:32.630465	23193	482	3	2
2014-03-26 23:40:29.85963	33418	50	2	1
2014-03-26 23:40:32.548996	33419	370	3	2
2014-03-26 10:31:48.152939	23198	21.0	1	8
2014-03-26 10:31:48.37539	23199	56	2	8
2014-03-26 10:32:03.093545	23200	20.4	1	1
2014-03-26 10:32:03.316454	23201	53	2	1
2014-03-26 23:40:32.784051	33420	1088979.8002378547	4	2
2014-03-26 23:40:42.733322	33421	23.5	1	10
2014-03-26 10:32:27.152849	23206	21.0	1	8
2014-03-26 10:32:27.375677	23207	56	2	8
2014-03-26 10:32:32.631441	23208	482	3	2
2014-03-26 10:32:42.090497	23209	20.4	1	1
2014-03-26 10:32:42.316121	23210	53	2	1
2014-03-26 23:40:42.957204	33422	41	2	10
2014-03-26 23:40:53.046718	33423	21.2	1	9
2014-03-26 10:33:06.151895	23215	21.0	1	8
2014-03-26 10:33:06.375284	23216	56	2	8
2014-03-26 10:33:21.091371	23217	20.4	1	1
2014-03-26 10:33:21.32403	23218	53	2	1
2014-03-26 10:33:32.63096	23219	482	3	2
2014-03-26 23:40:53.283059	33424	47	2	9
2014-03-26 23:40:54.13556	33425	21.6	1	8
2014-03-26 10:33:45.151547	23224	21.0	1	8
2014-03-26 10:33:45.384198	23225	56	2	8
2014-03-26 10:33:56.631903	23226	434	3	2
2014-03-26 10:34:00.090061	23227	20.4	1	1
2014-03-26 10:34:00.31214	23228	53	2	1
2014-03-26 10:34:08.629234	23229	434	3	2
2014-03-26 23:40:54.359954	33426	47	2	8
2014-03-26 23:41:08.635321	33427	20.1	1	1
2014-03-26 10:34:24.153168	23234	21.0	1	8
2014-03-26 10:34:24.375012	23235	56	2	8
2014-03-26 10:34:32.632321	23236	434	3	2
2014-03-26 10:34:39.091632	23237	20.4	1	1
2014-03-26 10:34:39.316701	23238	53	2	1
2014-03-26 23:41:08.869877	33428	50	2	1
2014-03-26 23:41:21.733627	33429	23.5	1	10
2014-03-26 10:35:03.152504	23243	21.0	1	8
2014-03-26 10:35:03.382529	23244	56	2	8
2014-03-26 10:35:18.094011	23245	20.4	1	1
2014-03-26 10:35:18.315839	23246	53	2	1
2014-03-26 10:35:32.629158	23247	434	3	2
2014-03-26 10:35:42.151837	23252	21.1	1	8
2014-03-26 10:35:42.373586	23253	56	2	8
2014-03-26 10:35:57.089831	23254	20.4	1	1
2014-03-26 10:35:57.321124	23255	53	2	1
2014-03-26 10:26:34.232597	23125	20.4	1	10
2014-03-26 10:26:34.454447	23126	44	2	10
2014-03-26 10:27:52.231055	23141	20.4	1	10
2014-03-26 10:27:52.45506	23142	44	2	10
2014-03-26 10:28:31.231416	23150	20.4	1	10
2014-03-26 10:28:31.455511	23151	44	2	10
2014-03-26 10:29:10.232059	23159	20.4	1	10
2014-03-26 10:29:10.455329	23160	44	2	10
2014-03-26 10:29:49.232087	23168	20.4	1	10
2014-03-26 10:29:49.455147	23169	44	2	10
2014-03-26 10:30:28.232741	23176	20.4	1	10
2014-03-26 10:30:28.465394	23177	44	2	10
2014-03-26 10:31:07.23314	23185	20.4	1	10
2014-03-26 10:31:07.455553	23186	44	2	10
2014-03-26 10:31:46.232247	23194	20.4	1	10
2014-03-26 10:31:46.456977	23195	44	2	10
2014-03-26 10:32:25.235037	23202	20.4	1	10
2014-03-26 10:32:25.457693	23203	44	2	10
2014-03-26 10:33:04.232327	23211	20.4	1	10
2014-03-26 10:33:04.456673	23212	43	2	10
2014-03-26 10:33:43.232282	23220	20.4	1	10
2014-03-26 10:33:43.456383	23221	43	2	10
2014-03-26 10:34:22.233326	23230	20.4	1	10
2014-03-26 10:34:22.455957	23231	43	2	10
2014-03-26 10:35:01.234188	23239	20.4	1	10
2014-03-26 10:35:01.464461	23240	43	2	10
2014-03-26 10:35:40.233645	23248	20.4	1	10
2014-03-26 10:35:40.455493	23249	43	2	10
2014-03-26 23:41:21.957092	33430	41	2	10
2014-03-26 23:41:32.044474	33431	21.2	1	9
2014-03-26 10:36:21.152455	23260	21.1	1	8
2014-03-26 10:36:21.374367	23261	56	2	8
2014-03-26 10:36:32.630153	23262	418	3	2
2014-03-26 10:36:36.091811	23263	20.4	1	1
2014-03-26 10:36:36.314323	23264	53	2	1
2014-03-26 23:41:32.291375	33432	47	2	9
2014-03-26 23:41:32.601661	33433	370	3	2
2014-03-26 10:37:00.15201	23269	21.1	1	8
2014-03-26 10:37:00.384595	23270	56	2	8
2014-03-26 10:37:15.091559	23271	20.4	1	1
2014-03-26 10:37:15.316827	23272	53	2	1
2014-03-26 10:37:32.626431	23273	434	3	2
2014-03-26 23:41:32.825895	33434	1088986.6944461833	4	2
2014-03-26 23:41:33.132974	33435	21.6	1	8
2014-03-26 10:37:39.154397	23278	21.1	1	8
2014-03-26 10:37:39.376169	23279	56	2	8
2014-03-26 10:37:54.08334	23280	20.4	1	1
2014-03-26 10:37:54.31725	23281	53	2	1
2014-03-26 23:41:33.368491	33436	47	2	8
2014-03-26 23:41:47.638633	33437	20.1	1	1
2014-03-26 10:38:18.151529	23286	21.1	1	8
2014-03-26 10:38:18.374454	23287	56	2	8
2014-03-26 10:38:32.631269	23288	466	3	2
2014-03-26 10:38:33.08765	23289	20.4	1	1
2014-03-26 10:38:33.310533	23290	53	2	1
2014-03-26 10:38:44.628661	23291	466	3	2
2014-03-26 23:41:47.861903	33438	50	2	1
2014-03-26 23:42:00.733895	33439	23.5	1	10
2014-03-26 10:38:57.150893	23296	21.1	1	8
2014-03-26 10:38:57.375151	23297	57	2	8
2014-03-26 10:39:12.085407	23298	20.4	1	1
2014-03-26 10:39:12.307091	23299	53	2	1
2014-03-26 10:39:32.627121	23300	498	3	2
2014-03-26 23:42:00.967484	33440	41	2	10
2014-03-26 23:42:11.043535	33441	21.2	1	9
2014-03-26 10:39:36.155283	23305	21.1	1	8
2014-03-26 10:39:36.377224	23306	57	2	8
2014-03-26 10:39:44.625689	23307	498	3	2
2014-03-26 10:39:51.08367	23308	20.4	1	1
2014-03-26 10:39:51.30638	23309	53	2	1
2014-03-26 23:42:11.267098	33442	47	2	9
2014-03-26 23:42:12.13353	33443	21.6	1	8
2014-03-26 10:40:15.152577	23314	21.1	1	8
2014-03-26 10:40:15.384265	23315	57	2	8
2014-03-26 10:40:30.084645	23316	20.4	1	1
2014-03-26 10:40:30.307256	23317	53	2	1
2014-03-26 10:40:32.627166	23318	498	3	2
2014-03-26 23:42:12.367292	33444	47	2	8
2014-03-26 23:42:26.631951	33445	20.1	1	1
2014-03-26 10:40:54.152628	23323	21.1	1	8
2014-03-26 10:40:54.375087	23324	57	2	8
2014-03-26 10:40:56.630972	23325	531	3	2
2014-03-26 10:41:08.629213	23326	531	3	2
2014-03-26 10:41:09.086043	23327	20.4	1	1
2014-03-26 10:41:09.308025	23328	53	2	1
2014-03-26 23:42:26.856658	33446	50	2	1
2014-03-26 23:42:32.545824	33447	370	3	2
2014-03-26 10:41:32.626366	23333	547	3	2
2014-03-26 10:41:33.152301	23334	21.1	1	8
2014-03-26 10:41:33.373133	23335	57	2	8
2014-03-26 10:41:48.087324	23336	20.4	1	1
2014-03-26 10:41:48.318717	23337	53	2	1
2014-03-26 23:42:32.778712	33448	1088992.4396197903	4	2
2014-03-26 23:42:39.733962	33449	23.5	1	10
2014-03-26 10:42:12.152526	23342	21.1	1	8
2014-03-26 10:42:12.374064	23343	57	2	8
2014-03-26 10:42:27.086219	23344	20.4	1	1
2014-03-26 10:42:27.318764	23345	53	2	1
2014-03-26 10:42:32.629674	23346	531	3	2
2014-03-26 23:42:39.958999	33450	41	2	10
2014-03-26 23:42:50.043727	33451	21.2	1	9
2014-03-26 10:42:51.153322	23351	21.1	1	8
2014-03-26 10:42:51.377094	23352	57	2	8
2014-03-26 10:43:06.085023	23353	20.4	1	1
2014-03-26 10:43:06.309214	23354	53	2	1
2014-03-26 23:42:50.278855	33452	47	2	9
2014-03-26 23:42:51.133607	33453	21.6	1	8
2014-03-26 10:43:30.151009	23359	21.1	1	8
2014-03-26 10:43:30.384961	23360	57	2	8
2014-03-26 10:43:44.887982	23361	547	3	2
2014-03-26 10:43:45.195494	23362	20.4	1	1
2014-03-26 10:43:45.420069	23363	53	2	1
2014-03-26 23:42:51.356522	33454	47	2	8
2014-03-26 23:43:05.638001	33455	20.1	1	1
2014-03-26 10:44:09.152567	23368	21.1	1	8
2014-03-26 10:44:09.376972	23369	57	2	8
2014-03-26 10:44:24.087563	23370	20.4	1	1
2014-03-26 10:44:24.308851	23371	53	2	1
2014-03-26 10:44:32.629481	23372	531	3	2
2014-03-26 23:43:05.873049	33456	50	2	1
2014-03-26 23:43:18.734097	33457	23.5	1	10
2014-03-26 10:44:48.151505	23377	21.1	1	8
2014-03-26 10:44:48.372535	23378	57	2	8
2014-03-26 10:45:03.083806	23379	20.4	1	1
2014-03-26 10:45:03.307776	23380	53	2	1
2014-03-26 23:43:18.959215	33458	41	2	10
2014-03-26 23:43:20.546853	33459	338	3	2
2014-03-26 10:45:27.152203	23385	21.1	1	8
2014-03-26 10:45:27.38347	23386	57	2	8
2014-03-26 10:45:32.631014	23387	547	3	2
2014-03-26 10:45:42.079225	23388	20.4	1	1
2014-03-26 10:45:42.304274	23389	53	2	1
2014-03-26 10:36:19.456565	23257	43	2	10
2014-03-26 10:36:58.234284	23265	20.4	1	10
2014-03-26 10:36:58.46541	23266	43	2	10
2014-03-26 10:37:37.23467	23274	20.4	1	10
2014-03-26 10:37:37.460786	23275	43	2	10
2014-03-26 10:38:16.235211	23282	20.4	1	10
2014-03-26 10:38:16.457666	23283	43	2	10
2014-03-26 10:38:55.234755	23292	20.4	1	10
2014-03-26 10:38:55.464009	23293	43	2	10
2014-03-26 10:39:34.234155	23301	20.4	1	10
2014-03-26 10:39:34.455241	23302	43	2	10
2014-03-26 10:40:13.235407	23310	20.4	1	10
2014-03-26 10:40:13.467206	23311	43	2	10
2014-03-26 10:40:52.236144	23319	20.4	1	10
2014-03-26 10:40:52.459032	23320	43	2	10
2014-03-26 10:41:31.235815	23329	20.4	1	10
2014-03-26 10:41:31.465671	23330	43	2	10
2014-03-26 10:42:10.236104	23338	20.4	1	10
2014-03-26 10:42:10.459414	23339	43	2	10
2014-03-26 10:42:49.237469	23347	20.4	1	10
2014-03-26 10:42:49.463337	23348	43	2	10
2014-03-26 10:43:28.238287	23355	20.4	1	10
2014-03-26 10:43:28.46017	23356	43	2	10
2014-03-26 10:44:07.237149	23364	20.4	1	10
2014-03-26 10:44:07.463496	23365	43	2	10
2014-03-26 10:44:46.244779	23373	20.4	1	10
2014-03-26 10:44:46.466439	23374	43	2	10
2014-03-26 10:45:25.237856	23381	20.4	1	10
2014-03-26 10:45:25.469034	23382	43	2	10
2014-03-26 23:43:20.781614	33460	1088997.035758676	4	2
2014-03-26 10:46:06.152248	23394	21.1	1	8
2014-03-26 10:46:06.373526	23395	57	2	8
2014-03-26 10:46:08.626965	23396	515	3	2
2014-03-26 10:46:20.625678	23397	515	3	2
2014-03-26 10:46:21.083136	23398	20.4	1	1
2014-03-26 10:46:21.306689	23399	53	2	1
2014-03-26 10:46:32.628957	23400	515	3	2
2014-03-26 23:43:29.044412	33461	21.2	1	9
2014-03-26 23:43:29.268768	33462	47	2	9
2014-03-26 10:46:45.150832	23405	21.1	1	8
2014-03-26 10:46:45.39485	23406	58	2	8
2014-03-26 10:47:00.084667	23407	20.4	1	1
2014-03-26 10:47:00.307033	23408	53	2	1
2014-03-26 10:47:20.630724	23409	611	3	2
2014-03-26 23:43:30.13203	33463	21.6	1	8
2014-03-26 23:43:30.365668	33464	47	2	8
2014-03-26 10:47:24.150976	23414	21.1	1	8
2014-03-26 10:47:24.37225	23415	58	2	8
2014-03-26 10:47:32.62726	23416	611	3	2
2014-03-26 10:47:39.08316	23417	20.4	1	1
2014-03-26 10:47:39.318195	23418	53	2	1
2014-03-26 23:43:32.550451	33465	338	3	2
2014-03-26 23:43:32.775052	33466	1088998.1847933973	4	2
2014-03-26 10:48:03.152224	23423	21.1	1	8
2014-03-26 10:48:03.374878	23424	58	2	8
2014-03-26 10:48:18.085778	23425	20.4	1	1
2014-03-26 10:48:18.320367	23426	53	2	1
2014-03-26 10:48:32.632626	23427	611	3	2
2014-03-26 23:43:44.636593	33467	20.1	1	1
2014-03-26 23:43:44.872252	33468	50	2	1
2014-03-26 10:48:42.150924	23432	21.1	1	8
2014-03-26 10:48:42.376859	23433	57	2	8
2014-03-26 10:48:57.081955	23434	20.4	1	1
2014-03-26 10:48:57.306171	23435	53	2	1
2014-03-26 23:43:57.737323	33469	23.5	1	10
2014-03-26 23:43:57.96131	33470	41	2	10
2014-03-26 10:49:21.153602	23440	21.1	1	8
2014-03-26 10:49:21.38697	23441	57	2	8
2014-03-26 10:49:32.628503	23442	627	3	2
2014-03-26 10:49:36.075701	23443	20.4	1	1
2014-03-26 10:49:36.297715	23444	53	2	1
2014-03-26 23:44:08.044505	33471	21.2	1	9
2014-03-26 23:44:08.278252	33472	47	2	9
2014-03-26 10:50:00.152558	23449	21.1	1	8
2014-03-26 10:50:00.373781	23450	57	2	8
2014-03-26 10:50:15.081702	23451	20.4	1	1
2014-03-26 10:50:15.324859	23452	53	2	1
2014-03-26 10:50:32.631232	23453	627	3	2
2014-03-26 23:44:09.133351	33473	21.6	1	8
2014-03-26 23:44:09.355718	33474	47	2	8
2014-03-26 10:50:39.151271	23458	21.1	1	8
2014-03-26 10:50:39.381721	23459	57	2	8
2014-03-26 10:50:54.07753	23460	20.4	1	1
2014-03-26 10:50:54.2983	23461	53	2	1
2014-03-26 23:44:23.633085	33475	20.1	1	1
2014-03-26 23:44:23.869483	33476	50	2	1
2014-03-26 10:51:18.151449	23466	21.2	1	8
2014-03-26 10:51:18.384392	23467	57	2	8
2014-03-26 10:51:32.627649	23468	627	3	2
2014-03-26 10:51:33.081145	23469	20.4	1	1
2014-03-26 10:51:33.301622	23470	53	2	1
2014-03-26 10:51:44.628316	23471	579	3	2
2014-03-26 23:44:32.549428	33477	338	3	2
2014-03-26 23:44:32.775458	33478	1089003.9299670043	4	2
2014-03-26 10:51:56.627775	23476	579	3	2
2014-03-26 10:51:57.151738	23477	21.2	1	8
2014-03-26 10:51:57.37372	23478	56	2	8
2014-03-26 10:52:12.07943	23479	20.4	1	1
2014-03-26 10:52:12.301398	23480	53	2	1
2014-03-26 10:52:32.628849	23481	579	3	2
2014-03-26 23:44:36.736588	33479	23.4	1	10
2014-03-26 23:44:36.982239	33480	41	2	10
2014-03-26 10:52:36.152808	23486	21.2	1	8
2014-03-26 10:52:36.386661	23487	56	2	8
2014-03-26 10:52:44.627858	23488	627	3	2
2014-03-26 10:52:51.079984	23489	20.4	1	1
2014-03-26 10:52:51.302437	23490	53	2	1
2014-03-26 10:52:56.626028	23491	627	3	2
2014-03-26 23:44:47.043858	33481	21.2	1	9
2014-03-26 23:44:47.267165	33482	47	2	9
2014-03-26 10:53:15.152997	23496	21.2	1	8
2014-03-26 10:53:15.375438	23497	56	2	8
2014-03-26 10:53:30.07851	23498	20.4	1	1
2014-03-26 10:53:30.30288	23499	54	2	1
2014-03-26 10:53:32.62858	23500	627	3	2
2014-03-26 23:44:48.132561	33483	21.6	1	8
2014-03-26 23:44:48.366554	33484	47	2	8
2014-03-26 10:53:54.151876	23505	21.2	1	8
2014-03-26 10:53:54.375641	23506	56	2	8
2014-03-26 10:54:09.081659	23507	20.4	1	1
2014-03-26 10:54:09.314926	23508	54	2	1
2014-03-26 10:54:31.040145	23509	676	3	2
2014-03-26 23:45:02.635798	33485	20.1	1	1
2014-03-26 23:45:02.860741	33486	50	2	1
2014-03-26 10:54:32.622576	23514	676	3	2
2014-03-26 10:54:33.152807	23515	21.2	1	8
2014-03-26 10:54:33.377569	23516	56	2	8
2014-03-26 10:54:44.625209	23517	595	3	2
2014-03-26 10:54:48.079083	23518	20.4	1	1
2014-03-26 10:54:48.310524	23519	54	2	1
2014-03-26 10:54:56.627645	23520	515	3	2
2014-03-26 10:55:08.627906	23521	515	3	2
2014-03-26 10:55:12.151581	23526	21.2	1	8
2014-03-26 10:55:12.384703	23527	56	2	8
2014-03-26 10:55:27.079607	23528	20.4	1	1
2014-03-26 10:46:43.238312	23401	20.3	1	10
2014-03-26 10:46:43.45986	23402	43	2	10
2014-03-26 10:47:22.237327	23410	20.3	1	10
2014-03-26 10:47:22.459384	23411	43	2	10
2014-03-26 10:48:01.238975	23419	20.3	1	10
2014-03-26 10:48:01.460754	23420	43	2	10
2014-03-26 10:48:40.241341	23428	20.3	1	10
2014-03-26 10:48:40.483876	23429	43	2	10
2014-03-26 10:49:19.239126	23436	20.3	1	10
2014-03-26 10:49:19.473227	23437	43	2	10
2014-03-26 10:49:58.23811	23445	20.3	1	10
2014-03-26 10:49:58.461955	23446	43	2	10
2014-03-26 10:50:37.240568	23454	20.3	1	10
2014-03-26 10:50:37.461279	23455	43	2	10
2014-03-26 10:51:16.239122	23462	20.3	1	10
2014-03-26 10:51:16.468879	23463	43	2	10
2014-03-26 10:51:55.239523	23472	20.3	1	10
2014-03-26 10:51:55.461335	23473	43	2	10
2014-03-26 10:52:34.242398	23482	20.3	1	10
2014-03-26 10:52:34.475768	23483	43	2	10
2014-03-26 10:53:13.240713	23492	20.3	1	10
2014-03-26 10:53:13.463927	23493	43	2	10
2014-03-26 10:53:52.241568	23501	20.3	1	10
2014-03-26 10:53:52.46425	23502	43	2	10
2014-03-26 10:54:31.34793	23510	20.3	1	10
2014-03-26 10:54:31.572341	23511	43	2	10
2014-03-26 10:55:10.241351	23522	20.3	1	10
2014-03-26 10:55:27.303161	23529	54	2	1
2014-03-26 10:55:32.626066	23530	547	3	2
2014-03-26 10:55:44.628667	23531	547	3	2
2014-03-26 23:45:15.734599	33487	23.4	1	10
2014-03-26 23:45:15.971464	33488	41	2	10
2014-03-26 10:55:51.152899	23536	21.2	1	8
2014-03-26 10:55:51.375351	23537	56	2	8
2014-03-26 10:56:06.083611	23538	20.4	1	1
2014-03-26 10:56:06.315779	23539	54	2	1
2014-03-26 23:45:26.043292	33489	21.2	1	9
2014-03-26 23:45:26.266215	33490	47	2	9
2014-03-26 10:56:30.153311	23544	21.2	1	8
2014-03-26 10:56:30.373447	23545	56	2	8
2014-03-26 10:56:32.626069	23546	547	3	2
2014-03-26 10:56:44.628698	23547	579	3	2
2014-03-26 10:56:45.082271	23548	20.4	1	1
2014-03-26 10:56:45.30382	23549	54	2	1
2014-03-26 10:56:56.630733	23550	547	3	2
2014-03-26 23:45:27.133026	33491	21.6	1	8
2014-03-26 23:45:27.366657	33492	47	2	8
2014-03-26 10:57:08.626672	23555	547	3	2
2014-03-26 10:57:09.153102	23556	21.2	1	8
2014-03-26 10:57:09.37591	23557	56	2	8
2014-03-26 10:57:24.083293	23558	20.4	1	1
2014-03-26 10:57:24.305774	23559	54	2	1
2014-03-26 10:57:32.629648	23560	531	3	2
2014-03-26 23:45:32.550777	33493	338	3	2
2014-03-26 23:45:32.775014	33494	1089009.6751406114	4	2
2014-03-26 10:57:48.152561	23565	21.1	1	8
2014-03-26 10:57:48.375014	23566	55	2	8
2014-03-26 10:58:03.084406	23567	20.4	1	1
2014-03-26 10:58:03.306509	23568	54	2	1
2014-03-26 10:58:08.624494	23569	498	3	2
2014-03-26 10:58:20.629546	23570	498	3	2
2014-03-26 23:45:41.633723	33495	20.1	1	1
2014-03-26 23:45:41.870241	33496	50	2	1
2014-03-26 10:58:27.482603	23575	21.1	1	8
2014-03-26 10:58:27.716832	23576	55	2	8
2014-03-26 10:58:32.624739	23577	498	3	2
2014-03-26 10:58:42.083959	23578	20.4	1	1
2014-03-26 10:58:42.307193	23579	54	2	1
2014-03-26 23:45:44.543416	33497	305	3	2
2014-03-26 23:45:44.766484	33498	1089010.824175333	4	2
2014-03-26 10:59:06.150444	23584	21.1	1	8
2014-03-26 10:59:06.377475	23585	55	2	8
2014-03-26 10:59:21.079462	23586	20.4	1	1
2014-03-26 10:59:21.330249	23587	54	2	1
2014-03-26 10:59:32.627904	23588	498	3	2
2014-03-26 23:45:54.734988	33499	23.4	1	10
2014-03-26 23:45:54.970752	33500	41	2	10
2014-03-26 10:59:45.150969	23593	21.1	1	8
2014-03-26 10:59:45.374624	23594	55	2	8
2014-03-26 11:00:00.077575	23595	20.4	1	1
2014-03-26 11:00:00.300046	23596	54	2	1
2014-03-26 23:45:56.546672	33501	338	3	2
2014-03-26 23:45:56.770197	33502	1089011.9732100542	4	2
2014-03-26 11:00:24.150044	23601	21.1	1	8
2014-03-26 11:00:24.383577	23602	55	2	8
2014-03-26 11:00:32.630938	23603	498	3	2
2014-03-26 11:00:39.081023	23604	20.4	1	1
2014-03-26 11:00:39.30311	23605	54	2	1
2014-03-26 23:46:05.045404	33503	21.2	1	9
2014-03-26 23:46:05.278323	33504	47	2	9
2014-03-26 11:01:03.151502	23610	21.1	1	8
2014-03-26 11:01:03.373373	23611	55	2	8
2014-03-26 11:01:18.082089	23612	20.4	1	1
2014-03-26 11:01:18.314128	23613	54	2	1
2014-03-26 11:01:32.630531	23614	498	3	2
2014-03-26 23:46:06.133389	33505	21.6	1	8
2014-03-26 23:46:06.35654	33506	47	2	8
2014-03-26 11:01:42.150255	23619	21.1	1	8
2014-03-26 11:01:42.372357	23620	55	2	8
2014-03-26 11:01:57.078019	23621	20.4	1	1
2014-03-26 11:01:57.299749	23622	54	2	1
2014-03-26 23:46:08.545931	33507	338	3	2
2014-03-26 23:46:08.779705	33508	1089013.1222447758	4	2
2014-03-26 11:02:21.151685	23627	21.1	1	8
2014-03-26 11:02:21.389924	23628	55	2	8
2014-03-26 11:02:32.628127	23629	498	3	2
2014-03-26 11:02:36.077836	23630	20.4	1	1
2014-03-26 11:02:36.32216	23631	54	2	1
2014-03-26 23:46:20.631443	33509	20.1	1	1
2014-03-26 23:46:20.859532	33510	50	2	1
2014-03-26 11:03:00.489611	23636	21.1	1	8
2014-03-26 11:03:00.710409	23637	55	2	8
2014-03-26 11:03:15.077435	23638	20.4	1	1
2014-03-26 11:03:15.329797	23639	54	2	1
2014-03-26 11:03:32.624932	23640	498	3	2
2014-03-26 23:46:32.548148	33511	338	3	2
2014-03-26 23:46:32.784095	33512	1089015.4203142186	4	2
2014-03-26 11:03:39.150999	23645	21.1	1	8
2014-03-26 11:03:39.373256	23646	55	2	8
2014-03-26 11:03:44.629222	23647	579	3	2
2014-03-26 11:03:54.079686	23648	20.4	1	1
2014-03-26 11:03:54.302753	23649	54	2	1
2014-03-26 11:03:56.62713	23650	579	3	2
2014-03-26 23:46:33.735043	33513	23.4	1	10
2014-03-26 23:46:33.95758	33514	41	2	10
2014-03-26 11:04:18.152862	23655	21.1	1	8
2014-03-26 11:04:18.374175	23656	55	2	8
2014-03-26 11:04:32.629406	23657	579	3	2
2014-03-26 11:04:33.080077	23658	20.4	1	1
2014-03-26 11:04:33.304767	23659	54	2	1
2014-03-26 23:46:44.043175	33515	21.2	1	9
2014-03-26 11:04:56.629101	23664	627	3	2
2014-03-26 10:55:49.242339	23532	20.2	1	10
2014-03-26 10:55:49.46628	23533	43	2	10
2014-03-26 10:56:28.243933	23540	20.2	1	10
2014-03-26 10:56:28.466114	23541	43	2	10
2014-03-26 10:57:07.240924	23551	20.2	1	10
2014-03-26 10:57:07.466527	23552	43	2	10
2014-03-26 10:57:46.242811	23561	20.2	1	10
2014-03-26 10:57:46.465949	23562	43	2	10
2014-03-26 10:58:25.242516	23571	20.2	1	10
2014-03-26 10:58:25.476691	23572	43	2	10
2014-03-26 10:59:04.244672	23580	20.2	1	10
2014-03-26 10:59:04.467348	23581	43	2	10
2014-03-26 10:59:43.252179	23589	20.2	1	10
2014-03-26 10:59:43.476627	23590	43	2	10
2014-03-26 11:00:22.243152	23597	20.2	1	10
2014-03-26 11:00:22.47516	23598	43	2	10
2014-03-26 11:01:01.242475	23606	20.2	1	10
2014-03-26 11:01:01.466391	23607	43	2	10
2014-03-26 11:01:40.242877	23615	20.2	1	10
2014-03-26 11:01:40.464354	23616	43	2	10
2014-03-26 11:02:19.243093	23623	20.2	1	10
2014-03-26 11:02:19.474561	23624	43	2	10
2014-03-26 11:02:58.243423	23632	20.2	1	10
2014-03-26 11:02:58.467131	23633	43	2	10
2014-03-26 11:03:37.243429	23641	20.2	1	10
2014-03-26 11:03:37.465041	23642	43	2	10
2014-03-26 11:04:16.245958	23651	20.2	1	10
2014-03-26 11:04:16.52347	23652	43	2	10
2014-03-26 11:04:57.150946	23665	21.1	1	8
2014-03-26 11:04:57.387988	23666	55	2	8
2014-03-26 11:05:08.628601	23667	627	3	2
2014-03-26 11:05:12.073311	23668	20.4	1	1
2014-03-26 11:05:12.297095	23669	54	2	1
2014-03-26 11:05:32.626261	23670	627	3	2
2014-03-26 23:46:44.279095	33516	47	2	9
2014-03-26 23:46:45.133957	33517	21.5	1	8
2014-03-26 11:05:36.151732	23675	21.1	1	8
2014-03-26 11:05:36.37516	23676	55	2	8
2014-03-26 11:05:51.076059	23677	20.4	1	1
2014-03-26 11:05:51.373375	23678	54	2	1
2014-03-26 23:46:45.356503	33518	47	2	8
2014-03-26 23:46:59.633044	33519	20.1	1	1
2014-03-26 11:06:15.151344	23683	21.1	1	8
2014-03-26 11:06:15.376598	23684	55	2	8
2014-03-26 11:06:30.075164	23685	20.4	1	1
2014-03-26 11:06:30.308249	23686	54	2	1
2014-03-26 11:06:32.629041	23687	611	3	2
2014-03-26 23:46:59.870845	33520	50	2	1
2014-03-26 23:47:08.548719	33521	305	3	2
2014-03-26 11:06:54.47803	23692	21.1	1	8
2014-03-26 11:06:54.701303	23693	55	2	8
2014-03-26 11:07:09.075879	23694	20.4	1	1
2014-03-26 11:07:09.298218	23695	54	2	1
2014-03-26 23:47:08.772875	33522	1089018.8674183828	4	2
2014-03-26 23:47:12.73569	33523	23.4	1	10
2014-03-26 11:07:32.629976	23700	611	3	2
2014-03-26 11:07:33.151675	23701	21.1	1	8
2014-03-26 11:07:33.373837	23702	55	2	8
2014-03-26 11:07:48.07626	23703	20.4	1	1
2014-03-26 11:07:48.309848	23704	54	2	1
2014-03-26 23:47:12.970601	33524	41	2	10
2014-03-26 23:47:20.546021	33525	338	3	2
2014-03-26 11:08:12.151734	23709	21.1	1	8
2014-03-26 11:08:12.375144	23710	55	2	8
2014-03-26 11:08:27.074535	23711	20.4	1	1
2014-03-26 11:08:27.306263	23712	54	2	1
2014-03-26 11:08:32.627244	23713	611	3	2
2014-03-26 23:47:20.770272	33526	1089020.016453104	4	2
2014-03-26 23:47:23.046336	33527	21.2	1	9
2014-03-26 11:08:51.150943	23718	21.1	1	8
2014-03-26 11:08:51.42887	23719	55	2	8
2014-03-26 11:09:06.074955	23720	20.4	1	1
2014-03-26 11:09:06.298003	23721	54	2	1
2014-03-26 23:47:23.293255	33528	47	2	9
2014-03-26 23:47:24.132233	33529	21.5	1	8
2014-03-26 11:09:30.152705	23726	21.1	1	8
2014-03-26 11:09:30.385266	23727	55	2	8
2014-03-26 11:09:32.630466	23728	611	3	2
2014-03-26 11:09:45.075595	23729	20.4	1	1
2014-03-26 11:09:45.299822	23730	54	2	1
2014-03-26 23:47:24.356372	33530	47	2	8
2014-03-26 23:47:32.546502	33531	338	3	2
2014-03-26 11:10:09.152692	23735	21.1	1	8
2014-03-26 11:10:09.376914	23736	55	2	8
2014-03-26 11:10:24.075676	23737	20.4	1	1
2014-03-26 11:10:24.310937	23738	54	2	1
2014-03-26 11:10:32.625831	23739	611	3	2
2014-03-26 11:10:44.627183	23740	547	3	2
2014-03-26 23:47:32.783061	33532	1089021.1654878256	4	2
2014-03-26 23:47:38.634515	33533	20.1	1	1
2014-03-26 11:10:48.152352	23745	21.1	1	8
2014-03-26 11:10:48.38592	23746	55	2	8
2014-03-26 11:10:56.625766	23747	547	3	2
2014-03-26 11:11:03.073961	23748	20.4	1	1
2014-03-26 11:11:03.296602	23749	54	2	1
2014-03-26 23:47:38.886955	33534	50	2	1
2014-03-26 23:47:51.734982	33535	23.4	1	10
2014-03-26 11:11:27.152331	23754	21.1	1	8
2014-03-26 11:11:27.374511	23755	55	2	8
2014-03-26 11:11:32.626109	23756	547	3	2
2014-03-26 11:11:42.072659	23757	20.4	1	1
2014-03-26 11:11:42.29701	23758	54	2	1
2014-03-26 11:11:44.628817	23759	515	3	2
2014-03-26 11:11:56.629616	23760	515	3	2
2014-03-26 23:47:51.968451	33536	41	2	10
2014-03-26 23:48:02.04324	33537	21.1	1	9
2014-03-26 11:12:06.486085	23765	21.1	1	8
2014-03-26 11:12:06.710691	23766	54	2	8
2014-03-26 11:12:21.071998	23767	20.4	1	1
2014-03-26 11:12:21.314486	23768	54	2	1
2014-03-26 11:12:32.627887	23769	515	3	2
2014-03-26 23:48:02.267808	33538	47	2	9
2014-03-26 23:48:03.132368	33539	21.5	1	8
2014-03-26 11:12:45.151274	23774	21.1	1	8
2014-03-26 11:12:45.375472	23775	54	2	8
2014-03-26 11:13:00.073578	23776	20.4	1	1
2014-03-26 11:13:00.29724	23777	54	2	1
2014-03-26 11:13:08.628823	23778	547	3	2
2014-03-26 11:13:20.626618	23779	547	3	2
2014-03-26 23:48:03.367669	33540	47	2	8
2014-03-26 23:48:17.639005	33541	20.1	1	1
2014-03-26 11:13:24.49021	23784	21.1	1	8
2014-03-26 11:13:24.712626	23785	54	2	8
2014-03-26 11:13:32.626663	23786	547	3	2
2014-03-26 11:13:39.069665	23787	20.4	1	1
2014-03-26 11:13:39.292584	23788	54	2	1
2014-03-26 23:48:17.863772	33542	50	2	1
2014-03-26 23:48:30.734449	33543	23.4	1	10
2014-03-26 23:48:30.969259	33544	41	2	10
2014-03-26 11:14:03.150779	23793	21.1	1	8
2014-03-26 11:14:03.38299	23794	54	2	8
2014-03-26 11:14:18.075044	23795	20.4	1	1
2014-03-26 11:14:18.296854	23796	54	2	1
2014-03-26 11:14:32.62895	23797	515	3	2
2014-03-26 11:05:34.244714	23671	20.2	1	10
2014-03-26 11:05:34.468687	23672	43	2	10
2014-03-26 11:06:13.245125	23679	20.1	1	10
2014-03-26 11:06:13.467837	23680	43	2	10
2014-03-26 11:06:52.244119	23688	20.1	1	10
2014-03-26 11:06:52.467349	23689	43	2	10
2014-03-26 11:07:31.252078	23696	20.1	1	10
2014-03-26 11:07:31.474043	23697	43	2	10
2014-03-26 11:08:10.245438	23705	20.1	1	10
2014-03-26 11:08:10.468992	23706	43	2	10
2014-03-26 11:08:49.245026	23714	20.1	1	10
2014-03-26 11:08:49.468047	23715	43	2	10
2014-03-26 11:09:28.244773	23722	20.1	1	10
2014-03-26 11:09:28.487113	23723	43	2	10
2014-03-26 11:10:07.248493	23731	20.1	1	10
2014-03-26 11:10:07.47178	23732	43	2	10
2014-03-26 11:10:46.248905	23741	20.1	1	10
2014-03-26 11:10:46.482822	23742	43	2	10
2014-03-26 11:11:25.247273	23750	20.1	1	10
2014-03-26 11:11:25.471964	23751	43	2	10
2014-03-26 11:12:04.247624	23761	20.1	1	10
2014-03-26 11:12:04.470477	23762	43	2	10
2014-03-26 11:12:43.247866	23770	20.1	1	10
2014-03-26 11:12:43.472359	23771	43	2	10
2014-03-26 11:13:22.247807	23780	20.1	1	10
2014-03-26 11:13:22.472008	23781	43	2	10
2014-03-26 11:14:01.247447	23789	20.1	1	10
2014-03-26 23:48:32.545697	33545	338	3	2
2014-03-26 11:14:42.153781	23802	21.1	1	8
2014-03-26 11:14:42.375442	23803	54	2	8
2014-03-26 11:14:44.625446	23804	515	3	2
2014-03-26 11:14:57.072817	23805	20.4	1	1
2014-03-26 11:14:57.308244	23806	54	2	1
2014-03-26 23:48:32.771613	33546	1089026.9106614327	4	2
2014-03-26 23:48:41.042897	33547	21.1	1	9
2014-03-26 11:15:21.152223	23811	21.0	1	8
2014-03-26 11:15:21.376032	23812	54	2	8
2014-03-26 11:15:32.628752	23813	515	3	2
2014-03-26 11:15:36.070635	23814	20.4	1	1
2014-03-26 11:15:36.293852	23815	54	2	1
2014-03-26 23:48:41.277025	33548	47	2	9
2014-03-26 23:48:42.132664	33549	21.5	1	8
2014-03-26 11:16:00.151795	23820	21.0	1	8
2014-03-26 11:16:00.373983	23821	54	2	8
2014-03-26 11:16:15.06975	23822	20.4	1	1
2014-03-26 11:16:15.293291	23823	54	2	1
2014-03-26 11:16:32.627786	23824	515	3	2
2014-03-26 23:48:42.355938	33550	47	2	8
2014-03-26 23:48:56.633943	33551	20.1	1	1
2014-03-26 11:16:39.151441	23829	21.0	1	8
2014-03-26 11:16:39.383816	23830	54	2	8
2014-03-26 11:16:54.062297	23831	20.5	1	1
2014-03-26 11:16:54.285008	23832	54	2	1
2014-03-26 23:48:56.868285	33552	50	2	1
2014-03-26 23:49:09.737319	33553	23.4	1	10
2014-03-26 11:17:18.151996	23837	21.0	1	8
2014-03-26 11:17:18.383375	23838	54	2	8
2014-03-26 11:17:20.62622	23839	579	3	2
2014-03-26 11:17:32.63085	23840	579	3	2
2014-03-26 11:17:33.069638	23841	20.5	1	1
2014-03-26 11:17:33.304413	23842	54	2	1
2014-03-26 23:49:09.960518	33554	41	2	10
2014-03-26 23:49:20.043441	33555	21.1	1	9
2014-03-26 11:17:56.626402	23847	547	3	2
2014-03-26 11:17:57.154115	23848	21.1	1	8
2014-03-26 11:17:57.376756	23849	55	2	8
2014-03-26 11:18:08.625525	23850	498	3	2
2014-03-26 11:18:12.06974	23851	20.4	1	1
2014-03-26 11:18:12.293175	23852	54	2	1
2014-03-26 11:18:20.625586	23853	498	3	2
2014-03-26 11:18:32.623625	23854	482	3	2
2014-03-26 23:49:20.277473	33556	47	2	9
2014-03-26 23:49:20.58578	33557	305	3	2
2014-03-26 11:18:36.152645	23859	21.1	1	8
2014-03-26 11:18:36.395651	23860	55	2	8
2014-03-26 11:18:51.067939	23861	20.4	1	1
2014-03-26 11:18:51.290487	23862	54	2	1
2014-03-26 23:49:20.812565	33558	1089031.5068003184	4	2
2014-03-26 23:49:21.132886	33559	21.5	1	8
2014-03-26 11:19:15.151836	23867	21.1	1	8
2014-03-26 11:19:15.383409	23868	55	2	8
2014-03-26 11:19:30.064872	23869	20.4	1	1
2014-03-26 11:19:30.286866	23870	54	2	1
2014-03-26 11:19:32.622996	23871	482	3	2
2014-03-26 23:49:21.366115	33560	47	2	8
2014-03-26 23:49:32.547008	33561	338	3	2
2014-03-26 11:19:54.152681	23876	21.1	1	8
2014-03-26 11:19:54.37446	23877	55	2	8
2014-03-26 11:20:09.062461	23878	20.4	1	1
2014-03-26 11:20:09.297504	23879	54	2	1
2014-03-26 23:49:32.773221	33562	1089032.6558350397	4	2
2014-03-26 23:49:35.630237	33563	20.1	1	1
2014-03-26 11:20:32.624912	23884	482	3	2
2014-03-26 11:20:33.152731	23885	21.0	1	8
2014-03-26 11:20:33.379048	23886	55	2	8
2014-03-26 11:20:48.063692	23887	20.4	1	1
2014-03-26 11:20:48.29281	23888	54	2	1
2014-03-26 23:49:35.865276	33564	50	2	1
2014-03-26 23:49:44.544033	33565	338	3	2
2014-03-26 11:21:12.509973	23893	21.0	1	8
2014-03-26 11:21:12.952002	23894	54	2	8
2014-03-26 11:21:27.061468	23895	20.4	1	1
2014-03-26 11:21:27.287562	23896	54	2	1
2014-03-26 11:21:32.622916	23897	482	3	2
2014-03-26 23:49:44.769605	33566	1089033.8048697612	4	2
2014-03-26 23:49:58.842934	33567	23.4	1	10
2014-03-26 11:21:51.151343	23902	21.0	1	8
2014-03-26 11:21:51.374004	23903	54	2	8
2014-03-26 11:22:06.059155	23904	20.4	1	1
2014-03-26 11:22:06.303403	23905	54	2	1
2014-03-26 23:49:59.079659	33568	41	2	10
2014-03-26 23:49:59.38624	33569	21.1	1	9
2014-03-26 11:22:30.151988	23910	21.0	1	8
2014-03-26 11:22:30.374639	23911	54	2	8
2014-03-26 11:22:32.624377	23912	450	3	2
2014-03-26 11:22:44.625813	23913	466	3	2
2014-03-26 11:22:45.064216	23914	20.4	1	1
2014-03-26 11:22:45.287784	23915	54	2	1
2014-03-26 23:49:59.610016	33570	47	2	9
2014-03-26 23:50:00.133521	33571	21.5	1	8
2014-03-26 11:23:09.150863	23920	21.0	1	8
2014-03-26 11:23:09.373328	23921	54	2	8
2014-03-26 11:23:24.064011	23922	20.4	1	1
2014-03-26 11:23:24.331832	23923	54	2	1
2014-03-26 11:23:32.623484	23924	466	3	2
2014-03-26 23:50:00.366814	33572	47	2	8
2014-03-26 23:50:14.63393	33573	20.1	1	1
2014-03-26 11:23:48.150958	23929	21.0	1	8
2014-03-26 11:23:48.416313	23930	54	2	8
2014-03-26 11:24:03.058652	23931	20.4	1	1
2014-03-26 11:24:03.319571	23932	54	2	1
2014-03-26 11:15:19.251196	23807	20.1	1	10
2014-03-26 11:15:19.475938	23808	43	2	10
2014-03-26 11:15:58.249301	23816	20.1	1	10
2014-03-26 11:15:58.473831	23817	43	2	10
2014-03-26 11:16:37.248322	23825	20.1	1	10
2014-03-26 11:16:37.483199	23826	43	2	10
2014-03-26 11:17:16.247279	23833	20.1	1	10
2014-03-26 11:17:16.479632	23834	43	2	10
2014-03-26 11:17:55.249887	23843	20.1	1	10
2014-03-26 11:17:55.47167	23844	43	2	10
2014-03-26 11:18:34.249656	23855	20.1	1	10
2014-03-26 11:18:34.481593	23856	43	2	10
2014-03-26 11:19:13.251172	23863	20.1	1	10
2014-03-26 11:19:13.483455	23864	43	2	10
2014-03-26 11:19:52.250899	23872	20.1	1	10
2014-03-26 11:19:52.474512	23873	43	2	10
2014-03-26 11:20:31.252822	23880	20.1	1	10
2014-03-26 11:20:31.480851	23881	43	2	10
2014-03-26 11:21:10.379983	23889	20.1	1	10
2014-03-26 11:21:10.842409	23890	43	2	10
2014-03-26 11:21:49.252784	23898	20.1	1	10
2014-03-26 11:21:49.479232	23899	43	2	10
2014-03-26 11:22:28.252215	23906	20.1	1	10
2014-03-26 11:22:28.476356	23907	43	2	10
2014-03-26 11:23:07.251796	23916	20.0	1	10
2014-03-26 11:23:07.474847	23917	43	2	10
2014-03-26 11:23:46.251229	23925	20.0	1	10
2014-03-26 11:23:46.508993	23926	43	2	10
2014-03-26 11:24:25.2919	23933	20.0	1	10
2014-03-26 11:24:27.259975	23937	21.0	1	8
2014-03-26 11:24:27.581986	23938	54	2	8
2014-03-26 11:24:41.864099	23939	466	3	2
2014-03-26 11:24:42.173495	23940	20.4	1	1
2014-03-26 11:24:42.395752	23941	54	2	1
2014-03-26 23:50:14.859043	33574	50	2	1
2014-03-26 23:50:20.545384	33575	305	3	2
2014-03-26 11:25:06.15311	23946	21.0	1	8
2014-03-26 11:25:06.375601	23947	54	2	8
2014-03-26 11:25:21.062227	23948	20.4	1	1
2014-03-26 11:25:21.305354	23949	54	2	1
2014-03-26 11:25:32.623495	23950	450	3	2
2014-03-26 23:50:20.794662	33576	1089037.2519739254	4	2
2014-03-26 23:50:27.737137	33577	23.4	1	10
2014-03-26 11:25:45.15431	23955	21.0	1	8
2014-03-26 11:25:45.385594	23956	54	2	8
2014-03-26 11:26:00.060012	23957	20.4	1	1
2014-03-26 11:26:00.284115	23958	54	2	1
2014-03-26 11:26:20.62653	23959	498	3	2
2014-03-26 23:50:27.964378	33578	41	2	10
2014-03-26 23:50:32.546293	33579	305	3	2
2014-03-26 11:26:24.152025	23964	21.0	1	8
2014-03-26 11:26:24.375047	23965	54	2	8
2014-03-26 11:26:32.623689	23966	498	3	2
2014-03-26 11:26:39.058113	23967	20.4	1	1
2014-03-26 11:26:39.279227	23968	54	2	1
2014-03-26 23:50:32.780728	33580	1089037.2519739254	4	2
2014-03-26 23:50:38.045393	33581	21.1	1	9
2014-03-26 11:27:03.152557	23973	21.0	1	8
2014-03-26 11:27:03.38525	23974	54	2	8
2014-03-26 11:27:18.061849	23975	20.4	1	1
2014-03-26 11:27:18.283439	23976	54	2	1
2014-03-26 11:27:32.622325	23977	498	3	2
2014-03-26 23:50:38.270044	33582	47	2	9
2014-03-26 23:50:39.13212	33583	21.5	1	8
2014-03-26 11:27:42.152288	23982	21.0	1	8
2014-03-26 11:27:42.375045	23983	54	2	8
2014-03-26 11:27:57.063833	23984	20.4	1	1
2014-03-26 11:27:57.293701	23985	54	2	1
2014-03-26 23:50:39.366812	33584	47	2	8
2014-03-26 23:50:53.632041	33585	20.0	1	1
2014-03-26 11:28:21.153267	23990	21.0	1	8
2014-03-26 11:28:21.375297	23991	54	2	8
2014-03-26 11:28:32.625866	23992	482	3	2
2014-03-26 11:28:36.0637	23993	20.4	1	1
2014-03-26 11:28:36.286081	23994	54	2	1
2014-03-26 23:50:53.856903	33586	50	2	1
2014-03-26 23:50:56.545718	33587	370	3	2
2014-03-26 11:29:00.152964	23999	21.0	1	8
2014-03-26 11:29:00.375422	24000	54	2	8
2014-03-26 11:29:15.060397	24001	20.4	1	1
2014-03-26 11:29:15.289996	24002	54	2	1
2014-03-26 11:29:20.624995	24003	531	3	2
2014-03-26 11:29:32.624295	24004	515	3	2
2014-03-26 23:50:56.7894	33588	1089039.5500433682	4	2
2014-03-26 23:51:06.739001	33589	23.4	1	10
2014-03-26 11:29:39.153036	24009	21.0	1	8
2014-03-26 11:29:39.378226	24010	54	2	8
2014-03-26 11:29:54.060238	24011	20.4	1	1
2014-03-26 11:29:54.291144	24012	54	2	1
2014-03-26 23:51:06.966227	33590	41	2	10
2014-03-26 23:51:08.544473	33591	370	3	2
2014-03-26 11:30:18.152731	24017	21.0	1	8
2014-03-26 11:30:18.375697	24018	54	2	8
2014-03-26 11:30:32.626505	24019	531	3	2
2014-03-26 11:30:33.061398	24020	20.4	1	1
2014-03-26 11:30:33.283944	24021	54	2	1
2014-03-26 23:51:08.779764	33592	1089040.6990780896	4	2
2014-03-26 23:51:17.04429	33593	21.1	1	9
2014-03-26 11:30:57.154226	24026	21.0	1	8
2014-03-26 11:30:57.393991	24027	54	2	8
2014-03-26 11:31:12.059498	24028	20.4	1	1
2014-03-26 11:31:12.282789	24029	54	2	1
2014-03-26 11:31:32.625037	24030	531	3	2
2014-03-26 23:51:17.269206	33594	47	2	9
2014-03-26 23:51:18.135183	33595	21.5	1	8
2014-03-26 11:31:36.153363	24035	21.0	1	8
2014-03-26 11:31:36.37682	24036	54	2	8
2014-03-26 11:31:51.059575	24037	20.4	1	1
2014-03-26 11:31:51.304307	24038	54	2	1
2014-03-26 23:51:18.368749	33596	47	2	8
2014-03-26 23:51:32.872673	33597	20.0	1	1
2014-03-26 11:32:15.151319	24043	21.0	1	8
2014-03-26 11:32:15.377953	24044	54	2	8
2014-03-26 11:32:30.059091	24045	20.4	1	1
2014-03-26 11:32:30.289982	24046	54	2	1
2014-03-26 11:32:32.626485	24047	531	3	2
2014-03-26 23:51:33.09826	33598	50	2	1
2014-03-26 23:51:45.738559	33599	23.4	1	10
2014-03-26 11:32:54.152191	24052	21.0	1	8
2014-03-26 11:32:54.374152	24053	54	2	8
2014-03-26 11:33:09.057013	24054	20.4	1	1
2014-03-26 11:33:09.279215	24055	54	2	1
2014-03-26 23:51:45.973245	33600	41	2	10
2014-03-26 11:33:32.626673	24058	531	3	2
2014-03-26 11:33:33.152331	24059	21.0	1	8
2014-03-26 11:33:33.375208	24060	54	2	8
2014-03-26 11:33:48.059612	24061	20.4	1	1
2014-03-26 11:33:48.291717	24062	54	2	1
2014-03-26 11:34:12.152085	24067	21.0	1	8
2014-03-26 11:34:12.37404	24068	54	2	8
2014-03-26 11:34:27.060348	24069	20.4	1	1
2014-03-26 11:34:27.291419	24070	54	2	1
2014-03-26 11:34:32.629541	24071	482	3	2
2014-03-26 11:34:44.622787	24072	482	3	2
2014-03-26 11:25:04.252522	23942	20.0	1	10
2014-03-26 11:25:04.476575	23943	43	2	10
2014-03-26 11:25:43.253615	23951	20.0	1	10
2014-03-26 11:25:43.475873	23952	43	2	10
2014-03-26 11:26:22.252886	23960	20.0	1	10
2014-03-26 11:26:22.475423	23961	43	2	10
2014-03-26 11:27:01.252752	23969	20.0	1	10
2014-03-26 11:27:01.487014	23970	43	2	10
2014-03-26 11:27:40.254098	23978	20.0	1	10
2014-03-26 11:27:40.478902	23979	43	2	10
2014-03-26 11:28:19.252438	23986	20.0	1	10
2014-03-26 11:28:19.47683	23987	43	2	10
2014-03-26 11:28:58.252837	23995	20.0	1	10
2014-03-26 11:28:58.474475	23996	43	2	10
2014-03-26 11:29:37.25303	24005	20.0	1	10
2014-03-26 11:29:37.475363	24006	43	2	10
2014-03-26 11:30:16.254084	24013	20.0	1	10
2014-03-26 11:30:16.478112	24014	43	2	10
2014-03-26 11:30:55.253192	24022	20.0	1	10
2014-03-26 11:30:55.485508	24023	43	2	10
2014-03-26 11:31:34.255287	24031	20.0	1	10
2014-03-26 11:31:34.475586	24032	43	2	10
2014-03-26 11:32:13.252717	24039	20.0	1	10
2014-03-26 11:32:13.476282	24040	43	2	10
2014-03-26 11:32:52.308751	24048	19.9	1	10
2014-03-26 11:32:52.532539	24049	43	2	10
2014-03-26 11:34:10.254684	24063	19.9	1	10
2014-03-26 11:34:10.476283	24064	43	2	10
2014-03-26 23:51:56.252432	33601	21.1	1	9
2014-03-26 23:51:56.480253	33602	47	2	9
2014-03-26 11:34:51.151942	24077	21.0	1	8
2014-03-26 11:34:51.386058	24078	54	2	8
2014-03-26 11:35:06.059148	24079	20.4	1	1
2014-03-26 11:35:06.284012	24080	54	2	1
2014-03-26 23:51:57.134037	33603	21.5	1	8
2014-03-26 23:51:57.365978	33604	47	2	8
2014-03-26 11:35:30.151847	24085	21.0	1	8
2014-03-26 11:35:30.392895	24086	54	2	8
2014-03-26 11:35:32.623284	24087	482	3	2
2014-03-26 11:35:45.062338	24088	20.4	1	1
2014-03-26 11:35:45.284875	24089	54	2	1
2014-03-26 23:52:11.628881	33605	20.0	1	1
2014-03-26 23:52:11.85445	33606	50	2	1
2014-03-26 11:36:09.486867	24094	21.0	1	8
2014-03-26 11:36:09.708986	24095	53	2	8
2014-03-26 11:36:24.059917	24096	20.4	1	1
2014-03-26 11:36:24.282857	24097	54	2	1
2014-03-26 11:36:32.624575	24098	482	3	2
2014-03-26 23:52:24.737586	33607	23.4	1	10
2014-03-26 23:52:24.971378	33608	41	2	10
2014-03-26 11:36:48.151921	24103	21.0	1	8
2014-03-26 11:36:48.375112	24104	53	2	8
2014-03-26 11:37:03.058912	24105	20.4	1	1
2014-03-26 11:37:03.29341	24106	54	2	1
2014-03-26 23:52:32.54946	33609	370	3	2
2014-03-26 23:52:32.775288	33610	1089049.891355861	4	2
2014-03-26 11:37:27.151728	24111	21.0	1	8
2014-03-26 11:37:27.376601	24112	53	2	8
2014-03-26 11:37:32.626059	24113	482	3	2
2014-03-26 11:37:42.059571	24114	20.4	1	1
2014-03-26 11:37:42.283155	24115	54	2	1
2014-03-26 23:52:35.042939	33611	21.1	1	9
2014-03-26 23:52:35.279537	33612	47	2	9
2014-03-26 11:38:06.151374	24120	21.0	1	8
2014-03-26 11:38:06.381969	24121	53	2	8
2014-03-26 11:38:21.058201	24122	20.4	1	1
2014-03-26 11:38:21.282591	24123	54	2	1
2014-03-26 11:38:32.62783	24124	466	3	2
2014-03-26 23:52:36.131747	33613	21.5	1	8
2014-03-26 23:52:36.357993	33614	47	2	8
2014-03-26 11:38:45.150821	24129	21.0	1	8
2014-03-26 11:38:45.372375	24130	53	2	8
2014-03-26 11:39:00.058452	24131	20.4	1	1
2014-03-26 11:39:00.299614	24132	54	2	1
2014-03-26 23:52:50.629533	33615	20.0	1	1
2014-03-26 23:52:50.86534	33616	50	2	1
2014-03-26 11:39:24.151599	24137	21.0	1	8
2014-03-26 11:39:24.372888	24138	53	2	8
2014-03-26 11:39:32.625236	24139	482	3	2
2014-03-26 11:39:39.057852	24140	20.4	1	1
2014-03-26 11:39:39.279537	24141	54	2	1
2014-03-26 23:52:56.549377	33617	402	3	2
2014-03-26 23:52:56.774737	33618	1089052.1894253038	4	2
2014-03-26 11:40:03.151929	24146	21.0	1	8
2014-03-26 11:40:03.37473	24147	53	2	8
2014-03-26 11:40:18.055643	24148	20.4	1	1
2014-03-26 11:40:18.277553	24149	54	2	1
2014-03-26 11:40:32.626081	24150	482	3	2
2014-03-26 23:53:03.738783	33619	23.4	1	10
2014-03-26 23:53:03.972877	33620	41	2	10
2014-03-26 11:40:42.150479	24155	21.0	1	8
2014-03-26 11:40:42.372875	24156	53	2	8
2014-03-26 11:40:57.056761	24157	20.4	1	1
2014-03-26 11:40:57.289234	24158	54	2	1
2014-03-26 11:41:08.624194	24159	531	3	2
2014-03-26 23:53:08.543369	33621	370	3	2
2014-03-26 23:53:08.767958	33622	1089053.3384600251	4	2
2014-03-26 11:41:21.002928	24164	531	3	2
2014-03-26 11:41:21.312719	24165	21.0	1	8
2014-03-26 11:41:21.544575	24166	53	2	8
2014-03-26 11:41:32.624189	24167	531	3	2
2014-03-26 11:41:36.059469	24168	20.4	1	1
2014-03-26 11:41:36.283383	24169	54	2	1
2014-03-26 23:53:14.043962	33623	21.1	1	9
2014-03-26 23:53:14.293569	33624	47	2	9
2014-03-26 11:42:00.151918	24174	21.0	1	8
2014-03-26 11:42:00.395275	24175	53	2	8
2014-03-26 11:42:15.054173	24176	20.4	1	1
2014-03-26 11:42:15.297827	24177	54	2	1
2014-03-26 11:42:32.635846	24178	531	3	2
2014-03-26 23:53:15.131614	33625	21.5	1	8
2014-03-26 23:53:15.356846	33626	47	2	8
2014-03-26 11:42:39.150496	24183	21.0	1	8
2014-03-26 11:42:39.373076	24184	53	2	8
2014-03-26 11:42:54.053966	24185	20.4	1	1
2014-03-26 11:42:54.276028	24186	54	2	1
2014-03-26 23:53:20.544621	33627	370	3	2
2014-03-26 23:53:20.779064	33628	1089054.4874947467	4	2
2014-03-26 11:43:18.151036	24191	21.0	1	8
2014-03-26 11:43:18.381073	24192	53	2	8
2014-03-26 11:43:32.62273	24193	531	3	2
2014-03-26 11:43:33.054497	24194	20.4	1	1
2014-03-26 11:43:33.275286	24195	54	2	1
2014-03-26 23:53:29.629886	33629	20.0	1	1
2014-03-26 23:53:29.856627	33630	50	2	1
2014-03-26 11:43:57.151463	24200	21.0	1	8
2014-03-26 11:43:57.37296	24201	53	2	8
2014-03-26 11:44:12.050383	24202	20.4	1	1
2014-03-26 11:44:12.282828	24203	54	2	1
2014-03-26 11:44:32.628326	24204	531	3	2
2014-03-26 23:53:32.5466	33631	370	3	2
2014-03-26 11:34:49.255384	24073	19.9	1	10
2014-03-26 11:34:49.489371	24074	43	2	10
2014-03-26 11:35:28.255567	24081	19.9	1	10
2014-03-26 11:35:28.488136	24082	43	2	10
2014-03-26 11:36:07.253849	24090	19.9	1	10
2014-03-26 11:36:07.477243	24091	43	2	10
2014-03-26 11:36:46.257994	24099	19.9	1	10
2014-03-26 11:36:46.479562	24100	43	2	10
2014-03-26 11:37:25.255868	24107	19.9	1	10
2014-03-26 11:37:25.478291	24108	43	2	10
2014-03-26 11:38:04.256698	24116	19.9	1	10
2014-03-26 11:38:04.49041	24117	43	2	10
2014-03-26 11:38:43.257567	24125	19.9	1	10
2014-03-26 11:38:43.479562	24126	43	2	10
2014-03-26 11:39:22.25655	24133	19.9	1	10
2014-03-26 11:39:22.485314	24134	43	2	10
2014-03-26 11:40:01.258123	24142	19.9	1	10
2014-03-26 11:40:01.479624	24143	43	2	10
2014-03-26 11:40:40.256595	24151	19.9	1	10
2014-03-26 11:40:40.479269	24152	43	2	10
2014-03-26 11:41:19.259828	24160	19.9	1	10
2014-03-26 11:41:19.482476	24161	43	2	10
2014-03-26 11:41:58.259078	24170	19.9	1	10
2014-03-26 11:41:58.483869	24171	43	2	10
2014-03-26 11:42:37.270429	24179	19.9	1	10
2014-03-26 11:42:37.496344	24180	43	2	10
2014-03-26 11:43:16.259281	24187	19.9	1	10
2014-03-26 11:43:16.481848	24188	43	2	10
2014-03-26 11:43:55.259162	24196	19.9	1	10
2014-03-26 11:43:55.480613	24197	43	2	10
2014-03-26 11:44:36.150963	24209	21.0	1	8
2014-03-26 11:44:36.374924	24210	53	2	8
2014-03-26 11:44:51.053717	24211	20.4	1	1
2014-03-26 11:44:51.276691	24212	54	2	1
2014-03-26 23:53:32.782469	33632	1089055.636529468	4	2
2014-03-26 23:53:42.739153	33633	23.4	1	10
2014-03-26 11:45:15.15154	24217	21.0	1	8
2014-03-26 11:45:15.383749	24218	53	2	8
2014-03-26 11:45:30.051875	24219	20.4	1	1
2014-03-26 11:45:30.27526	24220	54	2	1
2014-03-26 11:45:32.625941	24221	531	3	2
2014-03-26 23:53:42.964826	33634	41	2	10
2014-03-26 23:53:53.045803	33635	21.1	1	9
2014-03-26 11:45:54.150139	24226	21.0	1	8
2014-03-26 11:45:54.371644	24227	53	2	8
2014-03-26 11:46:09.053768	24228	20.4	1	1
2014-03-26 11:46:09.285546	24229	54	2	1
2014-03-26 23:53:53.279376	33636	47	2	9
2014-03-26 23:53:54.132276	33637	21.5	1	8
2014-03-26 11:46:33.025572	24234	482	3	2
2014-03-26 11:46:33.330677	24235	21.0	1	8
2014-03-26 11:46:33.553322	24236	53	2	8
2014-03-26 11:46:44.623758	24237	482	3	2
2014-03-26 11:46:48.055062	24238	20.4	1	1
2014-03-26 11:46:48.279432	24239	54	2	1
2014-03-26 23:53:54.356452	33638	47	2	8
2014-03-26 23:54:08.630107	33639	20.0	1	1
2014-03-26 11:47:12.152471	24244	21.0	1	8
2014-03-26 11:47:12.38406	24245	53	2	8
2014-03-26 11:47:27.055482	24246	20.4	1	1
2014-03-26 11:47:27.280865	24247	54	2	1
2014-03-26 11:47:32.625957	24248	482	3	2
2014-03-26 23:54:08.865045	33640	50	2	1
2014-03-26 23:54:21.739851	33641	23.4	1	10
2014-03-26 11:47:51.150583	24253	21.0	1	8
2014-03-26 11:47:51.3744	24254	53	2	8
2014-03-26 11:48:06.054056	24255	20.4	1	1
2014-03-26 11:48:06.285436	24256	54	2	1
2014-03-26 23:54:21.965879	33642	41	2	10
2014-03-26 23:54:32.044681	33643	21.1	1	9
2014-03-26 11:48:30.151441	24261	21.0	1	8
2014-03-26 11:48:30.37263	24262	53	2	8
2014-03-26 11:48:32.624855	24263	482	3	2
2014-03-26 11:48:45.056509	24264	20.4	1	1
2014-03-26 11:48:45.279881	24265	54	2	1
2014-03-26 23:54:32.277063	33644	47	2	9
2014-03-26 23:54:32.587527	33645	370	3	2
2014-03-26 11:49:09.151395	24270	21.0	1	8
2014-03-26 11:49:09.382568	24271	53	2	8
2014-03-26 11:49:24.050709	24272	20.4	1	1
2014-03-26 11:49:24.272558	24273	54	2	1
2014-03-26 11:49:32.625842	24274	466	3	2
2014-03-26 23:54:32.811002	33646	1089062.5307377966	4	2
2014-03-26 23:54:33.131408	33647	21.5	1	8
2014-03-26 11:49:48.153206	24279	21.0	1	8
2014-03-26 11:49:48.376283	24280	53	2	8
2014-03-26 11:50:03.05411	24281	20.4	1	1
2014-03-26 11:50:03.287636	24282	54	2	1
2014-03-26 23:54:33.365011	33648	47	2	8
2014-03-26 23:54:47.631462	33649	20.0	1	1
2014-03-26 11:50:27.488567	24287	21.0	1	8
2014-03-26 11:50:27.710734	24288	53	2	8
2014-03-26 11:50:32.626404	24289	482	3	2
2014-03-26 11:50:42.052792	24290	20.4	1	1
2014-03-26 11:50:42.276687	24291	54	2	1
2014-03-26 23:54:47.855822	33650	50	2	1
2014-03-26 23:55:00.94595	33651	23.4	1	10
2014-03-26 11:51:06.151985	24296	21.0	1	8
2014-03-26 11:51:06.384064	24297	53	2	8
2014-03-26 11:51:21.052399	24298	20.4	1	1
2014-03-26 11:51:21.276152	24299	54	2	1
2014-03-26 11:51:32.623365	24300	466	3	2
2014-03-26 23:55:01.182949	33652	41	2	10
2014-03-26 23:55:11.044533	33653	21.1	1	9
2014-03-26 11:51:45.152517	24305	21.0	1	8
2014-03-26 11:51:45.374562	24306	53	2	8
2014-03-26 11:52:00.052031	24307	20.4	1	1
2014-03-26 11:52:00.283645	24308	54	2	1
2014-03-26 23:55:11.270672	33654	47	2	9
2014-03-26 23:55:12.131994	33655	21.5	1	8
2014-03-26 11:52:24.152988	24313	21.0	1	8
2014-03-26 11:52:24.374322	24314	53	2	8
2014-03-26 11:52:32.622752	24315	466	3	2
2014-03-26 11:52:39.050282	24316	20.4	1	1
2014-03-26 11:52:39.275274	24317	54	2	1
2014-03-26 23:55:12.364229	33656	47	2	8
2014-03-26 23:55:20.549657	33657	305	3	2
2014-03-26 11:53:03.150657	24322	21.0	1	8
2014-03-26 11:53:03.374099	24323	53	2	8
2014-03-26 11:53:18.05057	24324	20.4	1	1
2014-03-26 11:53:18.27339	24325	54	2	1
2014-03-26 11:53:32.478407	24326	515	3	2
2014-03-26 11:53:32.794504	24327	515	3	2
2014-03-26 23:55:20.775889	33658	1089067.1268766823	4	2
2014-03-26 23:55:26.628823	33659	20.0	1	1
2014-03-26 11:53:42.151047	24332	21.0	1	8
2014-03-26 11:53:42.374713	24333	53	2	8
2014-03-26 11:53:57.049701	24334	20.4	1	1
2014-03-26 11:53:57.271387	24335	54	2	1
2014-03-26 23:55:26.86562	33660	50	2	1
2014-03-26 11:54:21.151922	24340	21.0	1	8
2014-03-26 11:54:21.382268	24341	53	2	8
2014-03-26 11:54:32.623775	24342	515	3	2
2014-03-26 11:54:36.048715	24343	20.4	1	1
2014-03-26 11:54:36.269236	24344	54	2	1
2014-03-26 11:45:13.257942	24213	19.9	1	10
2014-03-26 11:45:13.490271	24214	43	2	10
2014-03-26 11:45:52.259103	24222	19.9	1	10
2014-03-26 11:45:52.482013	24223	43	2	10
2014-03-26 11:46:31.259947	24230	19.9	1	10
2014-03-26 11:46:31.481349	24231	43	2	10
2014-03-26 11:47:10.262263	24240	19.9	1	10
2014-03-26 11:47:10.493543	24241	43	2	10
2014-03-26 11:47:49.261472	24249	19.9	1	10
2014-03-26 11:47:49.485336	24250	43	2	10
2014-03-26 11:48:28.261008	24257	19.9	1	10
2014-03-26 11:48:28.484882	24258	43	2	10
2014-03-26 11:49:07.260393	24266	19.9	1	10
2014-03-26 11:49:07.5063	24267	43	2	10
2014-03-26 11:49:46.260479	24275	19.9	1	10
2014-03-26 11:49:46.483576	24276	43	2	10
2014-03-26 11:50:25.261513	24283	19.9	1	10
2014-03-26 11:50:25.483359	24284	43	2	10
2014-03-26 11:51:04.262281	24292	19.8	1	10
2014-03-26 11:51:04.484623	24293	43	2	10
2014-03-26 11:51:43.263608	24301	19.8	1	10
2014-03-26 11:51:43.48664	24302	43	2	10
2014-03-26 11:52:22.261622	24309	19.8	1	10
2014-03-26 11:52:22.484798	24310	43	2	10
2014-03-26 11:53:01.262766	24318	19.8	1	10
2014-03-26 11:53:01.484829	24319	43	2	10
2014-03-26 11:53:40.264508	24328	19.8	1	10
2014-03-26 11:53:40.489466	24329	43	2	10
2014-03-26 23:55:32.541941	33661	305	3	2
2014-03-26 23:55:32.770183	33662	1089068.2759114036	4	2
2014-03-26 11:55:00.15191	24349	21.0	1	8
2014-03-26 11:55:00.373093	24350	53	2	8
2014-03-26 11:55:15.049971	24351	20.4	1	1
2014-03-26 11:55:15.282653	24352	54	2	1
2014-03-26 11:55:32.624848	24353	515	3	2
2014-03-26 23:55:39.739381	33663	23.4	1	10
2014-03-26 23:55:39.977183	33664	41	2	10
2014-03-26 11:55:39.152486	24358	21.0	1	8
2014-03-26 11:55:39.385159	24359	53	2	8
2014-03-26 11:55:54.049056	24360	20.4	1	1
2014-03-26 11:55:54.273141	24361	54	2	1
2014-03-26 23:55:50.044929	33665	21.1	1	9
2014-03-26 23:55:50.270429	33666	47	2	9
2014-03-26 11:56:18.151907	24366	21.0	1	8
2014-03-26 11:56:18.384926	24367	53	2	8
2014-03-26 11:56:32.623287	24368	515	3	2
2014-03-26 11:56:33.049351	24369	20.4	1	1
2014-03-26 11:56:33.272689	24370	54	2	1
2014-03-26 23:55:51.132625	33667	21.5	1	8
2014-03-26 23:55:51.366825	33668	47	2	8
2014-03-26 11:56:56.950747	24375	466	3	2
2014-03-26 11:56:57.258971	24376	21.0	1	8
2014-03-26 11:56:57.482391	24377	53	2	8
2014-03-26 11:57:08.625894	24378	466	3	2
2014-03-26 11:57:12.047377	24379	20.4	1	1
2014-03-26 11:57:12.268873	24380	54	2	1
2014-03-26 11:57:32.624362	24381	482	3	2
2014-03-26 23:56:05.625689	33669	20.0	1	1
2014-03-26 23:56:05.853735	33670	50	2	1
2014-03-26 11:57:36.152598	24386	21.0	1	8
2014-03-26 11:57:36.37539	24387	53	2	8
2014-03-26 11:57:51.046161	24388	20.4	1	1
2014-03-26 11:57:51.283187	24389	54	2	1
2014-03-26 23:56:18.739993	33671	23.3	1	10
2014-03-26 23:56:18.987436	33672	41	2	10
2014-03-26 11:58:15.150488	24394	21.0	1	8
2014-03-26 11:58:15.374209	24395	53	2	8
2014-03-26 11:58:30.045388	24396	20.4	1	1
2014-03-26 11:58:30.28029	24397	54	2	1
2014-03-26 11:58:32.62183	24398	466	3	2
2014-03-26 23:56:29.04576	33673	21.1	1	9
2014-03-26 23:56:29.270706	33674	47	2	9
2014-03-26 11:58:54.150748	24403	21.0	1	8
2014-03-26 11:58:54.37475	24404	53	2	8
2014-03-26 11:59:08.62135	24405	547	3	2
2014-03-26 11:59:09.047504	24406	20.4	1	1
2014-03-26 11:59:09.26908	24407	54	2	1
2014-03-26 11:59:20.622432	24408	531	3	2
2014-03-26 23:56:30.132528	33675	21.5	1	8
2014-03-26 23:56:30.36572	33676	47	2	8
2014-03-26 11:59:32.630454	24413	482	3	2
2014-03-26 11:59:33.150888	24414	21.0	1	8
2014-03-26 11:59:33.374952	24415	53	2	8
2014-03-26 11:59:44.624467	24416	515	3	2
2014-03-26 11:59:48.048119	24417	20.4	1	1
2014-03-26 11:59:48.269972	24418	54	2	1
2014-03-26 11:59:56.623512	24419	498	3	2
2014-03-26 23:56:32.545406	33677	305	3	2
2014-03-26 23:56:32.770086	33678	1089074.0210850106	4	2
2014-03-26 12:00:12.151742	24424	21.0	1	8
2014-03-26 12:00:12.374849	24425	53	2	8
2014-03-26 12:00:27.047239	24426	20.4	1	1
2014-03-26 12:00:27.280625	24427	54	2	1
2014-03-26 12:00:32.623843	24428	498	3	2
2014-03-26 23:56:44.865829	33679	20.0	1	1
2014-03-26 23:56:45.102682	33680	50	2	1
2014-03-26 12:00:51.150333	24433	21.0	1	8
2014-03-26 12:00:51.373079	24434	53	2	8
2014-03-26 12:01:06.043212	24435	20.4	1	1
2014-03-26 12:01:06.267576	24436	54	2	1
2014-03-26 23:56:56.545932	33681	338	3	2
2014-03-26 23:56:56.771639	33682	1089075.1701197322	4	2
2014-03-26 12:01:30.150497	24441	21.0	1	8
2014-03-26 12:01:30.380346	24442	53	2	8
2014-03-26 12:01:32.621967	24443	498	3	2
2014-03-26 12:01:45.049053	24444	20.4	1	1
2014-03-26 12:01:45.271024	24445	54	2	1
2014-03-26 23:56:57.739862	33683	23.3	1	10
2014-03-26 23:56:57.973646	33684	41	2	10
2014-03-26 12:02:09.488916	24450	21.0	1	8
2014-03-26 12:02:09.711252	24451	53	2	8
2014-03-26 12:02:24.046071	24452	20.4	1	1
2014-03-26 12:02:24.269853	24453	54	2	1
2014-03-26 12:02:32.622866	24454	498	3	2
2014-03-26 23:57:08.044031	33685	21.1	1	9
2014-03-26 23:57:08.270117	33686	47	2	9
2014-03-26 12:02:48.152365	24459	21.0	1	8
2014-03-26 12:02:48.374706	24460	53	2	8
2014-03-26 12:03:03.042827	24461	20.4	1	1
2014-03-26 12:03:03.27624	24462	54	2	1
2014-03-26 23:57:08.579843	33687	305	3	2
2014-03-26 23:57:08.814877	33688	1089076.3191544535	4	2
2014-03-26 12:03:27.150617	24467	21.0	1	8
2014-03-26 12:03:27.37589	24468	53	2	8
2014-03-26 12:03:32.621622	24469	482	3	2
2014-03-26 12:03:42.046133	24470	20.4	1	1
2014-03-26 12:03:42.270083	24471	54	2	1
2014-03-26 23:57:09.134796	33689	21.5	1	8
2014-03-26 12:04:06.150747	24476	21.0	1	8
2014-03-26 12:04:06.385151	24477	53	2	8
2014-03-26 12:04:21.040752	24478	20.4	1	1
2014-03-26 12:04:21.263603	24479	54	2	1
2014-03-26 12:04:32.622118	24480	482	3	2
2014-03-26 11:54:58.263816	24345	19.8	1	10
2014-03-26 11:54:58.495062	24346	43	2	10
2014-03-26 11:55:37.262944	24354	19.8	1	10
2014-03-26 11:55:37.485305	24355	43	2	10
2014-03-26 11:56:16.262784	24362	19.8	1	10
2014-03-26 11:56:16.493276	24363	43	2	10
2014-03-26 11:56:55.26432	24371	19.8	1	10
2014-03-26 11:56:55.486224	24372	43	2	10
2014-03-26 11:57:34.263745	24382	19.8	1	10
2014-03-26 11:57:34.486861	24383	43	2	10
2014-03-26 11:58:13.265273	24390	19.8	1	10
2014-03-26 11:58:13.487889	24391	43	2	10
2014-03-26 11:58:52.264605	24399	19.8	1	10
2014-03-26 11:58:52.48903	24400	43	2	10
2014-03-26 11:59:31.263435	24409	19.8	1	10
2014-03-26 11:59:31.488125	24410	43	2	10
2014-03-26 12:00:10.264433	24420	19.7	1	10
2014-03-26 12:00:10.488878	24421	43	2	10
2014-03-26 12:00:49.263001	24429	19.7	1	10
2014-03-26 12:00:49.487135	24430	43	2	10
2014-03-26 12:01:28.264105	24437	19.7	1	10
2014-03-26 12:01:28.495609	24438	43	2	10
2014-03-26 12:02:07.264289	24446	19.7	1	10
2014-03-26 12:02:07.4868	24447	43	2	10
2014-03-26 12:02:46.263152	24455	19.7	1	10
2014-03-26 12:02:46.487934	24456	43	2	10
2014-03-26 12:03:25.265675	24463	19.7	1	10
2014-03-26 12:03:25.4871	24464	43	2	10
2014-03-26 23:57:09.357867	33690	47	2	8
2014-03-26 23:57:20.545014	33691	305	3	2
2014-03-26 12:04:45.151025	24485	21.0	1	8
2014-03-26 12:04:45.372836	24486	53	2	8
2014-03-26 12:05:00.039829	24487	20.4	1	1
2014-03-26 12:05:00.273269	24488	54	2	1
2014-03-26 23:57:20.779493	33692	1089077.468189175	4	2
2014-03-26 23:57:23.623789	33693	20.0	1	1
2014-03-26 12:05:24.151214	24493	21.0	1	8
2014-03-26 12:05:24.375107	24494	53	2	8
2014-03-26 12:05:32.625535	24495	482	3	2
2014-03-26 12:05:39.044473	24496	20.4	1	1
2014-03-26 12:05:39.267182	24497	54	2	1
2014-03-26 23:57:23.848102	33694	50	2	1
2014-03-26 23:57:32.544006	33695	338	3	2
2014-03-26 12:06:03.150098	24502	21.0	1	8
2014-03-26 12:06:03.388832	24503	53	2	8
2014-03-26 12:06:18.099936	24504	20.4	1	1
2014-03-26 12:06:18.323502	24505	54	2	1
2014-03-26 12:06:20.622284	24506	547	3	2
2014-03-26 12:06:32.621248	24507	547	3	2
2014-03-26 23:57:32.78032	33696	1089078.6172238963	4	2
2014-03-26 23:57:36.73879	33697	23.3	1	10
2014-03-26 12:06:42.150275	24512	21.0	1	8
2014-03-26 12:06:42.372624	24513	53	2	8
2014-03-26 12:06:57.04034	24514	20.4	1	1
2014-03-26 12:06:57.27401	24515	54	2	1
2014-03-26 23:57:36.964419	33698	41	2	10
2014-03-26 23:57:44.545752	33699	305	3	2
2014-03-26 12:07:21.151653	24520	21.0	1	8
2014-03-26 12:07:21.374244	24521	52	2	8
2014-03-26 12:07:32.621462	24522	595	3	2
2014-03-26 12:07:36.042828	24523	20.4	1	1
2014-03-26 12:07:36.265749	24524	54	2	1
2014-03-26 12:07:44.620233	24525	595	3	2
2014-03-26 23:57:44.780431	33700	1089079.7662586179	4	2
2014-03-26 23:57:47.044359	33701	21.1	1	9
2014-03-26 12:08:00.152457	24530	21.0	1	8
2014-03-26 12:08:00.374187	24531	52	2	8
2014-03-26 12:08:15.281345	24532	20.4	1	1
2014-03-26 12:08:15.514239	24533	54	2	1
2014-03-26 12:08:32.621305	24534	595	3	2
2014-03-26 23:57:47.270099	33702	47	2	9
2014-03-26 23:57:48.133744	33703	21.5	1	8
2014-03-26 12:08:39.153096	24539	21.0	1	8
2014-03-26 12:08:39.384064	24540	52	2	8
2014-03-26 12:08:54.039563	24541	20.4	1	1
2014-03-26 12:08:54.264294	24542	54	2	1
2014-03-26 12:08:56.623169	24543	547	3	2
2014-03-26 12:09:08.624645	24544	579	3	2
2014-03-26 23:57:48.369839	33704	47	2	8
2014-03-26 23:57:56.545947	33705	338	3	2
2014-03-26 12:09:18.185998	24549	20.9	1	8
2014-03-26 12:09:18.437477	24550	53	2	8
2014-03-26 12:09:20.62239	24551	579	3	2
2014-03-26 12:09:32.620045	24552	579	3	2
2014-03-26 12:09:33.039552	24553	20.4	1	1
2014-03-26 12:09:33.273443	24554	54	2	1
2014-03-26 23:57:56.771075	33706	1089080.9152933392	4	2
2014-03-26 23:58:02.627499	33707	20.0	1	1
2014-03-26 12:09:57.150865	24559	20.9	1	8
2014-03-26 12:09:57.373315	24560	53	2	8
2014-03-26 12:10:12.039752	24561	20.4	1	1
2014-03-26 12:10:12.272551	24562	54	2	1
2014-03-26 12:10:32.624463	24563	579	3	2
2014-03-26 23:58:02.862741	33708	50	2	1
2014-03-26 23:58:08.543644	33709	338	3	2
2014-03-26 12:10:36.152299	24566	20.9	1	8
2014-03-26 12:10:36.374339	24567	53	2	8
2014-03-26 12:10:51.040295	24568	20.4	1	1
2014-03-26 12:10:51.27365	24569	54	2	1
2014-03-26 23:58:08.768117	33710	1089082.0643280607	4	2
2014-03-26 23:58:15.740014	33711	23.3	1	10
2014-03-26 12:11:15.15074	24574	20.9	1	8
2014-03-26 12:11:15.372595	24575	53	2	8
2014-03-26 12:11:30.039516	24576	20.4	1	1
2014-03-26 12:11:30.273279	24577	54	2	1
2014-03-26 12:11:32.621395	24578	579	3	2
2014-03-26 12:11:44.624334	24579	515	3	2
2014-03-26 23:58:15.974947	33712	41	2	10
2014-03-26 23:58:20.542421	33713	305	3	2
2014-03-26 12:11:54.150099	24584	20.9	1	8
2014-03-26 12:11:54.383394	24585	53	2	8
2014-03-26 12:11:56.622067	24586	531	3	2
2014-03-26 12:12:09.035531	24587	20.4	1	1
2014-03-26 12:12:09.257882	24588	54	2	1
2014-03-26 12:12:20.619763	24589	498	3	2
2014-03-26 23:58:20.76545	33714	1089083.213362782	4	2
2014-03-26 23:58:26.046997	33715	21.1	1	9
2014-03-26 12:12:32.622552	24594	531	3	2
2014-03-26 12:12:33.150501	24595	20.9	1	8
2014-03-26 12:12:33.372471	24596	53	2	8
2014-03-26 12:12:44.620504	24597	515	3	2
2014-03-26 12:12:48.039645	24598	20.4	1	1
2014-03-26 12:12:48.262119	24599	54	2	1
2014-03-26 23:58:26.281591	33716	47	2	9
2014-03-26 12:13:12.150031	24604	20.9	1	8
2014-03-26 12:13:12.382599	24605	53	2	8
2014-03-26 12:13:27.035627	24606	20.4	1	1
2014-03-26 12:13:27.2604	24607	54	2	1
2014-03-26 12:13:32.621283	24608	515	3	2
2014-03-26 12:13:51.152547	24613	20.9	1	8
2014-03-26 12:13:51.375182	24614	53	2	8
2014-03-26 12:13:56.622566	24615	466	3	2
2014-03-26 12:14:06.040469	24616	20.4	1	1
2014-03-26 12:04:43.27381	24481	19.7	1	10
2014-03-26 12:04:43.502619	24482	43	2	10
2014-03-26 12:05:22.26667	24489	19.7	1	10
2014-03-26 12:05:22.489346	24490	43	2	10
2014-03-26 12:06:01.263705	24498	19.7	1	10
2014-03-26 12:06:01.497258	24499	43	2	10
2014-03-26 12:06:40.26553	24508	19.7	1	10
2014-03-26 12:06:40.486673	24509	43	2	10
2014-03-26 12:07:19.267975	24516	19.7	1	10
2014-03-26 12:07:19.49228	24517	43	2	10
2014-03-26 12:07:58.264847	24526	19.7	1	10
2014-03-26 12:07:58.489562	24527	43	2	10
2014-03-26 12:08:37.267063	24535	19.7	1	10
2014-03-26 12:08:37.511488	24536	43	2	10
2014-03-26 12:09:16.266402	24545	19.7	1	10
2014-03-26 12:09:16.489369	24546	43	2	10
2014-03-26 12:09:55.264578	24555	19.7	1	10
2014-03-26 12:09:55.48995	24556	43	2	10
2014-03-26 12:11:13.263769	24570	19.7	1	10
2014-03-26 12:11:13.486168	24571	43	2	10
2014-03-26 12:11:52.264641	24580	19.7	1	10
2014-03-26 12:11:52.509386	24581	43	2	10
2014-03-26 12:12:31.26474	24590	19.7	1	10
2014-03-26 12:12:31.48641	24591	43	2	10
2014-03-26 12:13:10.26418	24600	19.7	1	10
2014-03-26 12:13:10.497101	24601	43	2	10
2014-03-26 12:13:49.26371	24609	19.7	1	10
2014-03-26 12:13:49.486876	24610	43	2	10
2014-03-26 12:14:06.264519	24617	54	2	1
2014-03-26 12:14:08.62036	24618	466	3	2
2014-03-26 23:58:27.13356	33717	21.5	1	8
2014-03-26 23:58:27.361004	33718	47	2	8
2014-03-26 12:14:30.150048	24623	20.9	1	8
2014-03-26 12:14:30.383618	24624	53	2	8
2014-03-26 12:14:32.624326	24625	466	3	2
2014-03-26 12:14:45.041671	24626	20.4	1	1
2014-03-26 12:14:45.265089	24627	54	2	1
2014-03-26 23:58:32.545262	33719	305	3	2
2014-03-26 23:58:32.791986	33720	1089084.3623975033	4	2
2014-03-26 12:15:09.150784	24632	20.9	1	8
2014-03-26 12:15:09.374903	24633	53	2	8
2014-03-26 12:15:24.040632	24634	20.4	1	1
2014-03-26 12:15:24.293091	24635	54	2	1
2014-03-26 12:15:32.62183	24636	466	3	2
2014-03-26 23:58:41.626432	33721	20.0	1	1
2014-03-26 23:58:41.852932	33722	50	2	1
2014-03-26 12:15:48.151866	24641	20.9	1	8
2014-03-26 12:15:48.384905	24642	53	2	8
2014-03-26 12:16:03.037275	24643	20.4	1	1
2014-03-26 12:16:03.25957	24644	54	2	1
2014-03-26 23:58:44.544037	33723	338	3	2
2014-03-26 23:58:44.77848	33724	1089085.511432225	4	2
2014-03-26 12:16:27.152207	24649	20.9	1	8
2014-03-26 12:16:27.387031	24650	53	2	8
2014-03-26 12:16:32.622637	24651	466	3	2
2014-03-26 12:16:42.037144	24652	20.4	1	1
2014-03-26 12:16:42.259332	24653	54	2	1
2014-03-26 23:58:54.740018	33725	23.3	1	10
2014-03-26 23:58:54.963928	33726	41	2	10
2014-03-26 12:17:06.149995	24658	20.9	1	8
2014-03-26 12:17:06.380715	24659	53	2	8
2014-03-26 12:17:21.036912	24660	20.4	1	1
2014-03-26 12:17:21.268978	24661	54	2	1
2014-03-26 12:17:32.618981	24662	450	3	2
2014-03-26 23:58:56.547933	33727	305	3	2
2014-03-26 23:58:56.788885	33728	1089086.6604669462	4	2
2014-03-26 12:17:45.152505	24667	20.9	1	8
2014-03-26 12:17:45.375895	24668	53	2	8
2014-03-26 12:17:56.620266	24669	482	3	2
2014-03-26 12:18:00.039534	24670	20.4	1	1
2014-03-26 12:18:00.261218	24671	54	2	1
2014-03-26 12:18:08.619146	24672	450	3	2
2014-03-26 12:18:20.619865	24673	450	3	2
2014-03-26 23:59:05.042778	33729	21.1	1	9
2014-03-26 23:59:05.266057	33730	47	2	9
2014-03-26 12:18:24.151854	24678	20.9	1	8
2014-03-26 12:18:24.385971	24679	53	2	8
2014-03-26 12:18:32.617977	24680	515	3	2
2014-03-26 12:18:39.035627	24681	20.5	1	1
2014-03-26 12:18:39.260121	24682	54	2	1
2014-03-26 12:18:44.620789	24683	515	3	2
2014-03-26 23:59:06.132581	33731	21.5	1	8
2014-03-26 23:59:06.366162	33732	47	2	8
2014-03-26 12:19:03.151434	24688	20.9	1	8
2014-03-26 12:19:03.375253	24689	53	2	8
2014-03-26 12:19:18.03412	24690	20.5	1	1
2014-03-26 12:19:18.306447	24691	54	2	1
2014-03-26 12:19:32.619662	24692	498	3	2
2014-03-26 23:59:08.545637	33733	338	3	2
2014-03-26 23:59:08.771058	33734	1089087.8095016677	4	2
2014-03-26 12:19:42.150089	24697	20.9	1	8
2014-03-26 12:19:42.374354	24698	53	2	8
2014-03-26 12:19:57.035483	24699	20.5	1	1
2014-03-26 12:19:57.26078	24700	54	2	1
2014-03-26 23:59:20.865556	33735	20.0	1	1
2014-03-26 23:59:21.103174	33736	50	2	1
2014-03-26 12:20:21.150514	24705	20.9	1	8
2014-03-26 12:20:21.384244	24706	53	2	8
2014-03-26 12:20:32.624081	24707	498	3	2
2014-03-26 12:20:36.03367	24708	20.5	1	1
2014-03-26 12:20:36.256571	24709	54	2	1
2014-03-26 23:59:32.545579	33737	338	3	2
2014-03-26 23:59:32.822386	33738	1089090.1075711106	4	2
2014-03-26 12:21:00.495572	24714	20.9	1	8
2014-03-26 12:21:00.719063	24715	53	2	8
2014-03-26 12:21:15.034857	24716	20.5	1	1
2014-03-26 12:21:15.261043	24717	54	2	1
2014-03-26 12:21:37.071952	24718	515	3	2
2014-03-26 23:59:33.73971	33739	23.3	1	10
2014-03-26 23:59:34.006938	33740	41	2	10
2014-03-26 12:21:39.150012	24723	20.9	1	8
2014-03-26 12:21:39.373006	24724	53	2	8
2014-03-26 12:21:54.070196	24725	20.5	1	1
2014-03-26 12:21:54.310726	24726	54	2	1
2014-03-26 23:59:44.044042	33741	21.1	1	9
2014-03-26 23:59:44.29896	33742	47	2	9
2014-03-26 12:22:18.15107	24731	20.9	1	8
2014-03-26 12:22:18.436133	24732	53	2	8
2014-03-26 12:22:32.62137	24733	531	3	2
2014-03-26 12:22:33.030635	24734	20.5	1	1
2014-03-26 12:22:33.25318	24735	54	2	1
2014-03-26 12:22:44.620587	24736	498	3	2
2014-03-26 23:59:45.132313	33743	21.5	1	8
2014-03-26 23:59:45.402812	33744	47	2	8
2014-03-26 12:22:56.619802	24741	498	3	2
2014-03-26 12:22:57.150511	24742	20.9	1	8
2014-03-26 12:22:57.382502	24743	53	2	8
2014-03-26 12:23:08.62278	24744	531	3	2
2014-03-26 12:23:12.030469	24745	20.5	1	1
2014-03-26 12:23:12.253372	24746	54	2	1
2014-03-26 12:23:20.621529	24747	515	3	2
2014-03-26 12:23:32.617922	24748	515	3	2
2014-03-26 23:59:59.626369	33745	20.0	1	1
2014-03-26 12:14:28.266056	24619	19.7	1	10
2014-03-26 12:14:28.498789	24620	43	2	10
2014-03-26 12:15:07.264348	24628	19.6	1	10
2014-03-26 12:15:07.489056	24629	43	2	10
2014-03-26 12:15:46.265221	24637	19.6	1	10
2014-03-26 12:15:46.490061	24638	43	2	10
2014-03-26 12:16:25.26434	24645	19.6	1	10
2014-03-26 12:16:25.496051	24646	43	2	10
2014-03-26 12:17:04.263923	24654	19.6	1	10
2014-03-26 12:17:04.495329	24655	43	2	10
2014-03-26 12:17:43.264319	24663	19.6	1	10
2014-03-26 12:17:43.488575	24664	42	2	10
2014-03-26 12:18:22.266367	24674	19.6	1	10
2014-03-26 12:18:22.49832	24675	42	2	10
2014-03-26 12:19:01.26448	24684	19.6	1	10
2014-03-26 12:19:01.486956	24685	42	2	10
2014-03-26 12:19:40.265216	24693	19.6	1	10
2014-03-26 12:19:40.487759	24694	42	2	10
2014-03-26 12:20:19.264351	24701	19.6	1	10
2014-03-26 12:20:19.498856	24702	42	2	10
2014-03-26 12:20:58.264263	24710	19.6	1	10
2014-03-26 12:20:58.490584	24711	42	2	10
2014-03-26 12:21:37.379694	24719	19.6	1	10
2014-03-26 12:21:37.604695	24720	42	2	10
2014-03-26 12:22:16.264517	24727	19.6	1	10
2014-03-26 12:22:16.487944	24728	42	2	10
2014-03-26 12:22:55.264055	24737	19.6	1	10
2014-03-26 12:22:55.486902	24738	42	2	10
2014-03-26 12:23:36.150702	24753	20.9	1	8
2014-03-26 12:23:36.383138	24754	53	2	8
2014-03-26 12:23:51.034894	24755	20.5	1	1
2014-03-26 12:23:51.258592	24756	54	2	1
2014-03-26 23:59:59.881906	33746	50	2	1
2014-03-27 00:00:12.741729	33747	23.3	1	10
2014-03-26 12:24:15.152594	24761	20.9	1	8
2014-03-26 12:24:15.403354	24762	53	2	8
2014-03-26 12:24:30.034115	24763	20.5	1	1
2014-03-26 12:24:30.258599	24764	54	2	1
2014-03-26 12:24:32.622574	24765	498	3	2
2014-03-27 00:00:12.977261	33748	41	2	10
2014-03-27 00:00:23.04362	33749	21.1	1	9
2014-03-26 12:24:54.190798	24770	20.9	1	8
2014-03-26 12:24:54.429547	24771	53	2	8
2014-03-26 12:25:09.03206	24772	20.5	1	1
2014-03-26 12:25:09.257468	24773	54	2	1
2014-03-27 00:00:23.269005	33750	47	2	9
2014-03-27 00:00:24.132687	33751	21.5	1	8
2014-03-26 12:25:32.635028	24778	498	3	2
2014-03-26 12:25:33.14994	24779	20.9	1	8
2014-03-26 12:25:33.373812	24780	52	2	8
2014-03-26 12:25:44.620434	24781	466	3	2
2014-03-26 12:25:48.030296	24782	20.5	1	1
2014-03-26 12:25:48.253149	24783	54	2	1
2014-03-26 12:25:56.620466	24784	466	3	2
2014-03-27 00:00:24.366405	33752	47	2	8
2014-03-27 00:00:32.54369	33753	338	3	2
2014-03-26 12:26:12.151746	24789	20.9	1	8
2014-03-26 12:26:12.373946	24790	52	2	8
2014-03-26 12:26:27.028987	24791	20.5	1	1
2014-03-26 12:26:27.260331	24792	54	2	1
2014-03-26 12:26:32.621751	24793	466	3	2
2014-03-27 00:00:32.771409	33754	1089095.8527447176	4	2
2014-03-27 00:00:38.62459	33755	20.0	1	1
2014-03-26 12:26:51.150056	24798	20.9	1	8
2014-03-26 12:26:51.38251	24799	52	2	8
2014-03-26 12:27:06.032782	24800	20.5	1	1
2014-03-26 12:27:06.255819	24801	54	2	1
2014-03-26 12:27:08.62351	24802	579	3	2
2014-03-26 12:27:20.625062	24803	595	3	2
2014-03-27 00:00:38.862269	33756	50	2	1
2014-03-27 00:00:51.740589	33757	23.3	1	10
2014-03-26 12:27:30.149153	24808	20.9	1	8
2014-03-26 12:27:30.413678	24809	52	2	8
2014-03-26 12:27:32.619634	24810	595	3	2
2014-03-26 12:27:45.026542	24811	20.5	1	1
2014-03-26 12:27:45.282298	24812	54	2	1
2014-03-27 00:00:51.966668	33758	41	2	10
2014-03-27 00:01:02.042868	33759	21.0	1	9
2014-03-26 12:28:09.499657	24817	20.9	1	8
2014-03-26 12:28:09.721569	24818	52	2	8
2014-03-26 12:28:24.034034	24819	20.5	1	1
2014-03-26 12:28:24.265182	24820	54	2	1
2014-03-26 12:28:32.622621	24821	1883	3	2
2014-03-26 12:28:44.618942	24822	1851	3	2
2014-03-27 00:01:02.276761	33760	47	2	9
2014-03-27 00:01:03.132884	33761	21.5	1	8
2014-03-26 12:28:48.150243	24827	20.9	1	8
2014-03-26 12:28:48.383844	24828	52	2	8
2014-03-26 12:28:56.619872	24829	1835	3	2
2014-03-26 12:29:03.031987	24830	20.5	1	1
2014-03-26 12:29:03.253637	24831	54	2	1
2014-03-26 12:29:08.618761	24832	1867	3	2
2014-03-26 12:29:20.619227	24833	1690	3	2
2014-03-27 00:01:03.357506	33762	47	2	8
2014-03-27 00:01:17.624304	33763	20.0	1	1
2014-03-26 12:29:27.154587	24838	20.9	1	8
2014-03-26 12:29:27.386725	24839	52	2	8
2014-03-26 12:29:32.614956	24840	1690	3	2
2014-03-26 12:29:42.025108	24841	20.5	1	1
2014-03-26 12:29:42.248825	24842	54	2	1
2014-03-27 00:01:17.860588	33764	50	2	1
2014-03-27 00:01:30.740661	33765	23.3	1	10
2014-03-26 12:30:06.15275	24847	20.9	1	8
2014-03-26 12:30:06.395549	24848	52	2	8
2014-03-26 12:30:08.619016	24849	1657	3	2
2014-03-26 12:30:20.620851	24850	1674	3	2
2014-03-26 12:30:21.024203	24851	20.5	1	1
2014-03-26 12:30:21.24677	24852	54	2	1
2014-03-26 12:30:32.617154	24853	1690	3	2
2014-03-27 00:01:30.968192	33766	41	2	10
2014-03-27 00:01:32.548327	33767	305	3	2
2014-03-26 12:30:45.488545	24858	20.9	1	8
2014-03-26 12:30:45.710551	24859	52	2	8
2014-03-26 12:30:56.618179	24860	466	3	2
2014-03-26 12:31:00.026136	24861	20.5	1	1
2014-03-26 12:31:00.250096	24862	54	2	1
2014-03-26 12:31:08.618663	24863	450	3	2
2014-03-27 00:01:32.795538	33768	1089100.4488836033	4	2
2014-03-27 00:01:41.043198	33769	21.0	1	9
2014-03-26 12:31:24.49268	24868	20.9	1	8
2014-03-26 12:31:24.714859	24869	52	2	8
2014-03-26 12:31:32.620169	24870	466	3	2
2014-03-26 12:31:39.024141	24871	20.5	1	1
2014-03-26 12:31:39.248096	24872	54	2	1
2014-03-27 00:01:41.26897	33770	47	2	9
2014-03-27 00:01:42.131216	33771	21.5	1	8
2014-03-26 12:32:03.15078	24877	20.9	1	8
2014-03-26 12:32:03.382393	24878	52	2	8
2014-03-26 12:32:18.023877	24879	20.5	1	1
2014-03-26 12:32:18.246146	24880	54	2	1
2014-03-26 12:32:32.61757	24881	515	3	2
2014-03-27 00:01:42.364696	33772	47	2	8
2014-03-26 12:32:42.15008	24886	20.9	1	8
2014-03-26 12:32:42.373601	24887	52	2	8
2014-03-26 12:32:44.61661	24888	515	3	2
2014-03-26 12:24:13.264738	24757	19.6	1	10
2014-03-26 12:24:13.49828	24758	42	2	10
2014-03-26 12:24:52.265437	24766	19.6	1	10
2014-03-26 12:24:52.487018	24767	42	2	10
2014-03-26 12:25:31.262806	24774	19.6	1	10
2014-03-26 12:25:31.497318	24775	42	2	10
2014-03-26 12:26:10.265114	24785	19.6	1	10
2014-03-26 12:26:10.489688	24786	42	2	10
2014-03-26 12:26:49.263104	24794	19.6	1	10
2014-03-26 12:26:49.49573	24795	42	2	10
2014-03-26 12:27:28.26293	24804	19.6	1	10
2014-03-26 12:27:28.521289	24805	42	2	10
2014-03-26 12:28:07.263639	24813	19.6	1	10
2014-03-26 12:28:08.022636	24814	42	2	10
2014-03-26 12:28:46.263714	24823	19.5	1	10
2014-03-26 12:28:46.494568	24824	42	2	10
2014-03-26 12:29:25.263395	24834	19.5	1	10
2014-03-26 12:29:25.49556	24835	42	2	10
2014-03-26 12:30:04.265204	24843	19.5	1	10
2014-03-26 12:30:04.487624	24844	42	2	10
2014-03-26 12:30:43.264446	24854	19.5	1	10
2014-03-26 12:30:43.487993	24855	42	2	10
2014-03-26 12:31:22.264321	24864	19.5	1	10
2014-03-26 12:31:22.490056	24865	42	2	10
2014-03-26 12:32:01.263936	24873	19.5	1	10
2014-03-26 12:32:01.498601	24874	42	2	10
2014-03-26 12:32:57.018623	24889	20.5	1	1
2014-03-26 12:32:57.242632	24890	54	2	1
2014-03-27 00:01:44.538635	33773	338	3	2
2014-03-27 00:01:44.761838	33774	1089101.5979183246	4	2
2014-03-26 12:33:21.150431	24895	20.9	1	8
2014-03-26 12:33:21.383737	24896	52	2	8
2014-03-26 12:33:32.616951	24897	498	3	2
2014-03-26 12:33:36.019013	24898	20.5	1	1
2014-03-26 12:33:36.240666	24899	54	2	1
2014-03-27 00:01:56.861659	33775	20.0	1	1
2014-03-27 00:01:57.096548	33776	50	2	1
2014-03-26 12:34:00.153531	24904	20.9	1	8
2014-03-26 12:34:00.375095	24905	52	2	8
2014-03-26 12:34:15.02227	24906	20.5	1	1
2014-03-26 12:34:15.246407	24907	54	2	1
2014-03-26 12:34:32.74504	24908	498	3	2
2014-03-27 00:02:08.544365	33777	305	3	2
2014-03-27 00:02:08.769157	33778	1089103.8959877675	4	2
2014-03-26 12:34:39.153677	24913	20.9	1	8
2014-03-26 12:34:39.374784	24914	52	2	8
2014-03-26 12:34:54.150032	24915	20.5	1	1
2014-03-26 12:34:54.650302	24916	54	2	1
2014-03-27 00:02:09.739832	33779	23.3	1	10
2014-03-27 00:02:09.974831	33780	41	2	10
2014-03-26 12:35:18.312454	24921	20.9	1	8
2014-03-26 12:35:18.535351	24922	52	2	8
2014-03-27 00:02:20.045171	33781	21.0	1	9
2014-03-27 00:02:20.26845	33782	47	2	9
2014-03-26 12:35:57.280779	24927	20.9	1	8
2014-03-26 12:35:57.503171	24928	52	2	8
2014-03-26 12:36:12.02066	24929	20.5	1	1
2014-03-26 12:36:12.280167	24930	54	2	1
2014-03-26 12:36:32.622868	24931	498	3	2
2014-03-26 12:36:32.893175	24932	1083258.6714118372	4	2
2014-03-27 00:02:20.574745	33783	338	3	2
2014-03-27 00:02:20.809388	33784	1089105.0450224888	4	2
2014-03-26 12:36:36.154191	24937	20.9	1	8
2014-03-26 12:36:36.396352	24938	52	2	8
2014-03-26 12:36:51.153105	24939	20.5	1	1
2014-03-26 12:36:51.580349	24940	54	2	1
2014-03-27 00:02:21.133778	33785	21.5	1	8
2014-03-27 00:02:21.356493	33786	47	2	8
2014-03-26 12:37:15.489038	24945	20.9	1	8
2014-03-26 12:37:15.724107	24946	52	2	8
2014-03-26 12:37:30.034813	24947	20.5	1	1
2014-03-26 12:37:30.260441	24948	54	2	1
2014-03-26 12:37:32.619103	24949	498	3	2
2014-03-26 12:37:32.853303	24950	1083267.8636896086	4	2
2014-03-27 00:02:32.545236	33787	305	3	2
2014-03-27 00:02:32.779132	33788	1089106.1940572103	4	2
2014-03-26 12:37:54.15128	24955	20.9	1	8
2014-03-26 12:37:54.373447	24956	52	2	8
2014-03-26 12:38:08.616912	24957	466	3	2
2014-03-26 12:38:08.853682	24958	1083272.4598284943	4	2
2014-03-26 12:38:09.164269	24959	20.5	1	1
2014-03-26 12:38:09.387969	24960	54	2	1
2014-03-26 12:38:20.618449	24961	466	3	2
2014-03-26 12:38:20.866931	24962	1083273.6088632157	4	2
2014-03-27 00:02:35.625459	33789	20.0	1	1
2014-03-27 00:02:35.850451	33790	50	2	1
2014-03-26 12:38:32.619545	24967	482	3	2
2014-03-26 12:38:32.845497	24968	1083275.9069326585	4	2
2014-03-26 12:38:33.153298	24969	20.9	1	8
2014-03-26 12:38:33.385854	24970	52	2	8
2014-03-26 12:38:48.019986	24971	20.5	1	1
2014-03-26 12:38:48.244867	24972	54	2	1
2014-03-27 00:02:44.549002	33791	370	3	2
2014-03-27 00:02:44.784975	33792	1089107.3430919317	4	2
2014-03-26 12:39:12.151379	24977	20.9	1	8
2014-03-26 12:39:12.38344	24978	52	2	8
2014-03-26 12:39:27.019014	24979	20.5	1	1
2014-03-26 12:39:27.243586	24980	54	2	1
2014-03-26 12:39:32.615578	24981	466	3	2
2014-03-26 12:39:32.854124	24982	1083283.9501757084	4	2
2014-03-27 00:02:48.739511	33793	23.2	1	10
2014-03-27 00:02:48.964272	33794	41	2	10
2014-03-26 12:39:51.150912	24987	20.9	1	8
2014-03-26 12:39:51.373686	24988	52	2	8
2014-03-26 12:40:06.02439	24989	20.5	1	1
2014-03-26 12:40:06.25955	24990	54	2	1
2014-03-27 00:02:56.546519	33795	370	3	2
2014-03-27 00:02:56.780643	33796	1089108.4921266532	4	2
2014-03-26 12:40:30.152879	24995	20.9	1	8
2014-03-26 12:40:30.376671	24996	52	2	8
2014-03-26 12:40:32.619523	24997	466	3	2
2014-03-26 12:40:32.852846	24998	1083290.844384037	4	2
2014-03-26 12:40:45.021939	24999	20.5	1	1
2014-03-26 12:40:45.248136	25000	54	2	1
2014-03-27 00:02:59.043483	33797	21.0	1	9
2014-03-27 00:02:59.268965	33798	47	2	9
2014-03-26 12:41:09.152256	25005	20.9	1	8
2014-03-26 12:41:09.385421	25006	52	2	8
2014-03-26 12:41:24.02507	25007	20.5	1	1
2014-03-26 12:41:24.251648	25008	54	2	1
2014-03-26 12:41:32.619287	25009	466	3	2
2014-03-26 12:41:32.863314	25010	1083298.8876270868	4	2
2014-03-27 00:03:00.13263	33799	21.5	1	8
2014-03-27 00:03:00.367473	33800	47	2	8
2014-03-26 12:41:48.152739	25015	20.9	1	8
2014-03-26 12:41:48.378089	25016	52	2	8
2014-03-26 12:42:03.02271	25017	20.5	1	1
2014-03-26 12:42:03.256268	25018	54	2	1
2014-03-27 00:03:14.624167	33801	20.0	1	1
2014-03-26 12:42:27.150401	25023	20.9	1	8
2014-03-26 12:33:19.263382	24891	19.5	1	10
2014-03-26 12:33:19.505915	24892	42	2	10
2014-03-26 12:33:58.263466	24900	19.5	1	10
2014-03-26 12:33:58.485549	24901	42	2	10
2014-03-26 12:34:37.299977	24909	19.5	1	10
2014-03-26 12:34:37.526639	24910	42	2	10
2014-03-26 12:35:16.432263	24917	19.5	1	10
2014-03-26 12:35:16.860123	24918	42	2	10
2014-03-26 12:35:55.67947	24923	19.5	1	10
2014-03-26 12:35:55.966238	24924	42	2	10
2014-03-26 12:36:34.285336	24933	19.5	1	10
2014-03-26 12:36:34.522609	24934	42	2	10
2014-03-26 12:37:13.285513	24941	19.5	1	10
2014-03-26 12:37:13.522747	24942	42	2	10
2014-03-26 12:37:52.280896	24951	19.5	1	10
2014-03-26 12:37:52.505062	24952	42	2	10
2014-03-26 12:38:31.280791	24963	19.5	1	10
2014-03-26 12:38:31.504509	24964	42	2	10
2014-03-26 12:39:10.265203	24973	19.5	1	10
2014-03-26 12:39:10.499495	24974	42	2	10
2014-03-26 12:39:49.264496	24983	19.5	1	10
2014-03-26 12:39:49.488253	24984	42	2	10
2014-03-26 12:40:28.265057	24991	19.5	1	10
2014-03-26 12:40:28.488624	24992	42	2	10
2014-03-26 12:41:07.266658	25001	19.5	1	10
2014-03-26 12:41:07.499033	25002	42	2	10
2014-03-26 12:41:46.264354	25011	19.5	1	10
2014-03-26 12:41:46.489954	25012	42	2	10
2014-03-26 12:42:27.37428	25024	52	2	8
2014-03-26 12:42:32.616089	25025	466	3	2
2014-03-26 12:42:32.848803	25026	1083306.9308701367	4	2
2014-03-26 12:42:42.018736	25027	20.5	1	1
2014-03-26 12:42:42.242714	25028	54	2	1
2014-03-27 00:03:14.849191	33802	50	2	1
2014-03-27 00:03:27.742865	33803	23.2	1	10
2014-03-26 12:43:06.150949	25033	20.9	1	8
2014-03-26 12:43:06.384212	25034	52	2	8
2014-03-26 12:43:21.016531	25035	20.5	1	1
2014-03-26 12:43:21.238813	25036	54	2	1
2014-03-26 12:43:32.619707	25037	466	3	2
2014-03-26 12:43:32.876793	25038	1083314.9741131866	4	2
2014-03-27 00:03:27.977473	33804	41	2	10
2014-03-27 00:03:32.54457	33805	370	3	2
2014-03-26 12:43:45.488611	25043	20.9	1	8
2014-03-26 12:43:45.713367	25044	52	2	8
2014-03-26 12:44:00.019024	25045	20.5	1	1
2014-03-26 12:44:00.253453	25046	54	2	1
2014-03-27 00:03:32.77057	33806	1089111.9392308174	4	2
2014-03-27 00:03:38.045726	33807	21.0	1	9
2014-03-26 12:44:24.150675	25051	20.9	1	8
2014-03-26 12:44:24.373846	25052	52	2	8
2014-03-26 12:44:32.617212	25053	466	3	2
2014-03-26 12:44:32.854986	25054	1083323.0173562365	4	2
2014-03-26 12:44:39.011902	25055	20.5	1	1
2014-03-26 12:44:39.237658	25056	54	2	1
2014-03-26 12:44:56.620079	25057	498	3	2
2014-03-26 12:44:56.86441	25058	1083325.3154256793	4	2
2014-03-27 00:03:38.280793	33808	47	2	9
2014-03-27 00:03:39.132461	33809	21.5	1	8
2014-03-26 12:45:03.661323	25063	20.9	1	8
2014-03-26 12:45:03.883817	25064	52	2	8
2014-03-26 12:45:08.616385	25065	498	3	2
2014-03-26 12:45:08.838794	25066	1083327.6134951222	4	2
2014-03-26 12:45:18.016401	25067	20.5	1	1
2014-03-26 12:45:18.247926	25068	54	2	1
2014-03-26 12:45:32.614514	25069	498	3	2
2014-03-26 12:45:32.837765	25070	1083331.0605992863	4	2
2014-03-27 00:03:39.357591	33810	47	2	8
2014-03-27 00:03:53.62324	33811	20.0	1	1
2014-03-26 12:45:42.151443	25075	20.9	1	8
2014-03-26 12:45:42.384371	25076	52	2	8
2014-03-26 12:45:57.014858	25077	20.5	1	1
2014-03-26 12:45:57.238609	25078	54	2	1
2014-03-27 00:03:53.859446	33812	50	2	1
2014-03-27 00:04:06.742116	33813	23.2	1	10
2014-03-26 12:46:21.476484	25083	20.9	1	8
2014-03-26 12:46:21.710268	25084	52	2	8
2014-03-26 12:46:32.616092	25085	498	3	2
2014-03-26 12:46:32.839636	25086	1083339.1038423365	4	2
2014-03-26 12:46:36.013678	25087	20.5	1	1
2014-03-26 12:46:36.248879	25088	54	2	1
2014-03-27 00:04:06.965687	33814	41	2	10
2014-03-27 00:04:17.042682	33815	21.0	1	9
2014-03-26 12:47:00.152431	25093	20.9	1	8
2014-03-26 12:47:00.384369	25094	52	2	8
2014-03-26 12:47:15.016785	25095	20.5	1	1
2014-03-26 12:47:15.24876	25096	54	2	1
2014-03-26 12:47:32.615522	25097	498	3	2
2014-03-26 12:47:32.840537	25098	1083347.1470853863	4	2
2014-03-27 00:04:17.289391	33816	47	2	9
2014-03-27 00:04:18.132911	33817	21.5	1	8
2014-03-26 12:47:39.151455	25103	20.9	1	8
2014-03-26 12:47:39.385372	25104	52	2	8
2014-03-26 12:47:54.012932	25105	20.5	1	1
2014-03-26 12:47:54.23588	25106	54	2	1
2014-03-27 00:04:18.356833	33818	47	2	8
2014-03-27 00:04:32.860062	33819	20.0	1	1
2014-03-26 12:48:18.150742	25111	20.9	1	8
2014-03-26 12:48:18.38281	25112	52	2	8
2014-03-26 12:48:32.616307	25113	498	3	2
2014-03-26 12:48:32.840671	25114	1083356.3393631575	4	2
2014-03-26 12:48:33.147426	25115	20.5	1	1
2014-03-26 12:48:33.380726	25116	54	2	1
2014-03-27 00:04:33.09633	33820	50	2	1
2014-03-27 00:04:45.741384	33821	23.2	1	10
2014-03-26 12:48:57.151351	25121	20.9	1	8
2014-03-26 12:48:57.374221	25122	52	2	8
2014-03-26 12:49:12.0155	25123	20.5	1	1
2014-03-26 12:49:12.24863	25124	54	2	1
2014-03-26 12:49:32.615864	25125	498	3	2
2014-03-26 12:49:32.842149	25126	1083364.3826062074	4	2
2014-03-27 00:04:45.965813	33822	41	2	10
2014-03-27 00:04:56.043458	33823	21.0	1	9
2014-03-26 12:49:36.150584	25131	20.9	1	8
2014-03-26 12:49:36.382836	25132	52	2	8
2014-03-26 12:49:44.619037	25133	450	3	2
2014-03-26 12:49:44.846991	25134	1083365.531640929	4	2
2014-03-26 12:49:51.012583	25135	20.5	1	1
2014-03-26 12:49:51.244846	25136	54	2	1
2014-03-26 12:49:56.61527	25137	450	3	2
2014-03-26 12:49:56.848579	25138	1083367.8297103718	4	2
2014-03-27 00:04:56.279339	33824	47	2	9
2014-03-27 00:04:57.132821	33825	21.5	1	8
2014-03-26 12:50:15.148761	25143	20.9	1	8
2014-03-26 12:50:15.381246	25144	52	2	8
2014-03-26 12:50:30.01549	25145	20.5	1	1
2014-03-26 12:50:30.239688	25146	54	2	1
2014-03-26 12:50:32.617374	25147	450	3	2
2014-03-26 12:50:32.853327	25148	1083372.4258492575	4	2
2014-03-27 00:04:57.356059	33826	47	2	8
2014-03-27 00:05:11.623794	33827	20.0	1	1
2014-03-26 12:50:54.152899	25153	20.9	1	8
2014-03-26 12:50:54.375798	25154	52	2	8
2014-03-26 12:50:56.620395	25155	515	3	2
2014-03-26 12:50:56.866289	25156	1083374.7239187001	4	2
2014-03-26 12:51:08.618548	25157	515	3	2
2014-03-26 12:43:04.283024	25029	19.5	1	10
2014-03-26 12:43:04.517088	25030	42	2	10
2014-03-26 12:43:43.26482	25039	19.5	1	10
2014-03-26 12:43:43.488585	25040	42	2	10
2014-03-26 12:44:22.267916	25047	19.5	1	10
2014-03-26 12:44:22.492833	25048	42	2	10
2014-03-26 12:45:01.266892	25059	19.5	1	10
2014-03-26 12:45:01.489369	25060	42	2	10
2014-03-26 12:45:40.266365	25071	19.5	1	10
2014-03-26 12:45:40.49757	25072	42	2	10
2014-03-26 12:46:19.267969	25079	19.5	1	10
2014-03-26 12:46:19.503735	25080	42	2	10
2014-03-26 12:46:58.265271	25089	19.5	1	10
2014-03-26 12:46:58.493913	25090	42	2	10
2014-03-26 12:47:37.266389	25099	19.5	1	10
2014-03-26 12:47:37.505239	25100	42	2	10
2014-03-26 12:48:16.268139	25107	19.5	1	10
2014-03-26 12:48:16.515371	25108	42	2	10
2014-03-26 12:48:55.265628	25117	19.5	1	10
2014-03-26 12:48:55.49011	25118	42	2	10
2014-03-26 12:49:34.268845	25127	19.5	1	10
2014-03-26 12:49:34.501581	25128	42	2	10
2014-03-26 12:50:13.268522	25139	19.5	1	10
2014-03-26 12:50:13.501604	25140	42	2	10
2014-03-26 12:51:08.843522	25158	1083377.021988143	4	2
2014-03-26 12:51:09.152482	25159	20.5	1	1
2014-03-26 12:51:09.385802	25160	54	2	1
2014-03-27 00:05:11.859115	33828	50	2	1
2014-03-27 00:05:24.741382	33829	23.2	1	10
2014-03-26 12:51:32.620471	25165	482	3	2
2014-03-26 12:51:32.845472	25166	1083380.4690923074	4	2
2014-03-26 12:51:33.15479	25167	20.9	1	8
2014-03-26 12:51:33.38627	25168	52	2	8
2014-03-26 12:51:44.61741	25169	482	3	2
2014-03-26 12:51:44.840072	25170	1083381.6181270287	4	2
2014-03-26 12:51:48.013662	25171	20.5	1	1
2014-03-26 12:51:48.24805	25172	54	2	1
2014-03-27 00:05:24.966442	33830	41	2	10
2014-03-27 00:05:32.542785	33831	370	3	2
2014-03-26 12:52:12.151574	25177	20.9	1	8
2014-03-26 12:52:12.376554	25178	52	2	8
2014-03-26 12:52:27.014375	25179	20.4	1	1
2014-03-26 12:52:27.247312	25180	54	2	1
2014-03-26 12:52:32.615229	25181	498	3	2
2014-03-26 12:52:32.838812	25182	1083388.5123353573	4	2
2014-03-27 00:05:32.779404	33832	1089123.4340489837	4	2
2014-03-27 00:05:35.043538	33833	21.0	1	9
2014-03-26 12:52:51.152013	25187	20.9	1	8
2014-03-26 12:52:51.387722	25188	52	2	8
2014-03-26 12:53:06.015953	25189	20.4	1	1
2014-03-26 12:53:06.240409	25190	53	2	1
2014-03-27 00:05:35.268212	33834	47	2	9
2014-03-27 00:05:36.134639	33835	21.5	1	8
2014-03-26 12:53:30.151803	25195	20.9	1	8
2014-03-26 12:53:30.387182	25196	52	2	8
2014-03-26 12:53:32.619571	25197	482	3	2
2014-03-26 12:53:32.843208	25198	1083396.5555784071	4	2
2014-03-26 12:53:45.018123	25199	20.4	1	1
2014-03-26 12:53:45.252671	25200	53	2	1
2014-03-27 00:05:36.368887	33836	47	2	8
2014-03-27 00:05:50.622523	33837	20.0	1	1
2014-03-26 12:54:09.151119	25205	20.9	1	8
2014-03-26 12:54:09.375808	25206	52	2	8
2014-03-26 12:54:24.01591	25207	20.4	1	1
2014-03-26 12:54:24.255454	25208	53	2	1
2014-03-26 12:54:32.619225	25209	482	3	2
2014-03-26 12:54:32.843863	25210	1083404.598821457	4	2
2014-03-26 12:54:44.614261	25211	450	3	2
2014-03-26 12:54:44.851864	25212	1083405.7478561783	4	2
2014-03-27 00:05:50.849216	33838	50	2	1
2014-03-27 00:06:03.742962	33839	23.2	1	10
2014-03-26 12:54:48.150825	25217	20.9	1	8
2014-03-26 12:54:48.372859	25218	52	2	8
2014-03-26 12:54:56.616508	25219	434	3	2
2014-03-26 12:54:56.8508	25220	1083408.0459256212	4	2
2014-03-26 12:55:03.014398	25221	20.4	1	1
2014-03-26 12:55:03.236759	25222	53	2	1
2014-03-27 00:06:03.978173	33840	41	2	10
2014-03-27 00:06:14.042799	33841	21.0	1	9
2014-03-26 12:55:27.150188	25227	20.9	1	8
2014-03-26 12:55:27.382907	25228	52	2	8
2014-03-26 12:55:32.619612	25229	434	3	2
2014-03-26 12:55:32.844117	25230	1083412.642064507	4	2
2014-03-26 12:55:42.01483	25231	20.4	1	1
2014-03-26 12:55:42.249343	25232	53	2	1
2014-03-27 00:06:14.268312	33842	47	2	9
2014-03-27 00:06:15.132855	33843	21.5	1	8
2014-03-26 12:56:06.150358	25237	20.9	1	8
2014-03-26 12:56:06.374403	25238	52	2	8
2014-03-26 12:56:20.619362	25239	498	3	2
2014-03-26 12:56:20.854492	25240	1083418.387238114	4	2
2014-03-26 12:56:21.162903	25241	20.4	1	1
2014-03-26 12:56:21.387164	25242	53	2	1
2014-03-26 12:56:32.620973	25243	498	3	2
2014-03-26 12:56:32.855592	25244	1083419.5362728355	4	2
2014-03-27 00:06:15.365409	33844	47	2	8
2014-03-27 00:06:29.620857	33845	20.0	1	1
2014-03-26 12:56:45.15264	25249	20.9	1	8
2014-03-26 12:56:45.377922	25250	52	2	8
2014-03-26 12:57:00.012219	25251	20.4	1	1
2014-03-26 12:57:00.259583	25252	53	2	1
2014-03-27 00:06:29.847234	33846	50	2	1
2014-03-27 00:06:32.544102	33847	370	3	2
2014-03-26 12:57:24.150942	25257	20.9	1	8
2014-03-26 12:57:24.385875	25258	52	2	8
2014-03-26 12:57:32.619805	25259	498	3	2
2014-03-26 12:57:32.853812	25260	1083428.7285506066	4	2
2014-03-26 12:57:39.014214	25261	20.4	1	1
2014-03-26 12:57:39.239406	25262	53	2	1
2014-03-27 00:06:32.785168	33848	1089129.1792225908	4	2
2014-03-27 00:06:42.742323	33849	23.2	1	10
2014-03-26 12:58:03.150782	25267	20.9	1	8
2014-03-26 12:58:03.385716	25268	52	2	8
2014-03-26 12:58:18.014606	25269	20.4	1	1
2014-03-26 12:58:18.237526	25270	53	2	1
2014-03-26 12:58:32.625802	25271	482	3	2
2014-03-26 12:58:32.859367	25272	1083436.7717936565	4	2
2014-03-27 00:06:42.969591	33850	41	2	10
2014-03-27 00:06:53.042226	33851	21.0	1	9
2014-03-26 12:58:42.150238	25277	20.9	1	8
2014-03-26 12:58:42.374368	25278	52	2	8
2014-03-26 12:58:57.010365	25279	20.4	1	1
2014-03-26 12:58:57.244185	25280	53	2	1
2014-03-27 00:06:53.276997	33852	47	2	9
2014-03-27 00:06:54.132723	33853	21.5	1	8
2014-03-27 00:06:54.357302	33854	47	2	8
2014-03-26 12:59:21.149515	25285	20.9	1	8
2014-03-26 12:59:21.37341	25286	52	2	8
2014-03-26 12:59:32.615061	25287	482	3	2
2014-03-26 12:59:32.85343	25288	1083444.8150367066	4	2
2014-03-26 12:59:36.015532	25289	20.4	1	1
2014-03-26 12:59:36.238829	25290	53	2	1
2014-03-26 12:51:31.268624	25161	19.5	1	10
2014-03-26 12:51:31.493804	25162	42	2	10
2014-03-26 12:52:10.268471	25173	19.5	1	10
2014-03-26 12:52:10.491699	25174	42	2	10
2014-03-26 12:52:49.265751	25183	19.5	1	10
2014-03-26 12:52:49.502318	25184	42	2	10
2014-03-26 12:53:28.26594	25191	19.5	1	10
2014-03-26 12:53:28.5011	25192	42	2	10
2014-03-26 12:54:07.265535	25201	19.5	1	10
2014-03-26 12:54:07.488957	25202	42	2	10
2014-03-26 12:54:46.265461	25213	19.5	1	10
2014-03-26 12:54:46.487966	25214	42	2	10
2014-03-26 12:55:25.263848	25223	19.5	1	10
2014-03-26 12:55:25.499864	25224	42	2	10
2014-03-26 12:56:04.26464	25233	19.5	1	10
2014-03-26 12:56:04.487653	25234	42	2	10
2014-03-26 12:56:43.265514	25245	19.5	1	10
2014-03-26 12:56:43.489919	25246	42	2	10
2014-03-26 12:57:22.267644	25253	19.5	1	10
2014-03-26 12:57:22.491189	25254	42	2	10
2014-03-26 12:58:01.269921	25263	19.5	1	10
2014-03-26 12:58:01.504158	25264	42	2	10
2014-03-26 12:58:40.267612	25273	19.5	1	10
2014-03-26 12:58:40.49412	25274	42	2	10
2014-03-27 00:07:08.622451	33855	20.0	1	1
2014-03-27 00:07:08.859438	33856	50	2	1
2014-03-26 13:00:00.151935	25295	20.8	1	8
2014-03-26 13:00:00.384962	25296	52	2	8
2014-03-26 13:00:15.012887	25297	20.4	1	1
2014-03-26 13:00:15.237028	25298	53	2	1
2014-03-26 13:00:32.617542	25299	482	3	2
2014-03-26 13:00:32.876624	25300	1083452.8582797565	4	2
2014-03-27 00:07:21.742373	33857	23.2	1	10
2014-03-27 00:07:21.96894	33858	41	2	10
2014-03-26 13:00:39.151988	25305	20.8	1	8
2014-03-26 13:00:39.374683	25306	52	2	8
2014-03-26 13:00:54.013155	25307	20.4	1	1
2014-03-26 13:00:54.246703	25308	53	2	1
2014-03-27 00:07:32.044087	33859	21.0	1	9
2014-03-27 00:07:32.284086	33860	47	2	9
2014-03-26 13:01:18.150877	25313	20.8	1	8
2014-03-26 13:01:18.374264	25314	52	2	8
2014-03-26 13:01:32.618673	25315	434	3	2
2014-03-26 13:01:32.873773	25316	1083460.9015228064	4	2
2014-03-26 13:01:33.18227	25317	20.4	1	1
2014-03-26 13:01:33.40442	25318	53	2	1
2014-03-26 13:01:44.619463	25319	434	3	2
2014-03-26 13:01:44.853646	25320	1083462.0505575277	4	2
2014-03-27 00:07:32.592644	33861	370	3	2
2014-03-27 00:07:32.818807	33862	1089136.0734309193	4	2
2014-03-26 13:01:57.155934	25325	20.8	1	8
2014-03-26 13:01:57.378868	25326	52	2	8
2014-03-26 13:02:12.010028	25327	20.4	1	1
2014-03-26 13:02:12.245571	25328	53	2	1
2014-03-26 13:02:32.619108	25329	450	3	2
2014-03-26 13:02:32.842475	25330	1083467.795731135	4	2
2014-03-27 00:07:33.132791	33863	21.5	1	8
2014-03-27 00:07:33.378487	33864	47	2	8
2014-03-26 13:02:36.151495	25335	20.8	1	8
2014-03-26 13:02:36.38724	25336	52	2	8
2014-03-26 13:02:51.008218	25337	20.4	1	1
2014-03-26 13:02:51.232043	25338	53	2	1
2014-03-27 00:07:47.620114	33865	20.0	1	1
2014-03-27 00:07:47.845068	33866	50	2	1
2014-03-26 13:03:15.150816	25343	20.8	1	8
2014-03-26 13:03:15.386343	25344	52	2	8
2014-03-26 13:03:20.615158	25345	482	3	2
2014-03-26 13:03:20.840303	25346	1083474.6899394633	4	2
2014-03-26 13:03:30.010786	25347	20.4	1	1
2014-03-26 13:03:30.254048	25348	53	2	1
2014-03-26 13:03:32.617338	25349	482	3	2
2014-03-26 13:03:32.841269	25350	1083475.8389741848	4	2
2014-03-27 00:07:56.545717	33867	338	3	2
2014-03-27 00:07:56.782974	33868	1089138.3715003622	4	2
2014-03-26 13:03:54.151843	25355	20.8	1	8
2014-03-26 13:03:54.385006	25356	52	2	8
2014-03-26 13:04:09.010824	25357	20.4	1	1
2014-03-26 13:04:09.232771	25358	53	2	1
2014-03-27 00:08:00.741814	33869	23.1	1	10
2014-03-27 00:08:00.967923	33870	41	2	10
2014-03-26 13:04:32.627398	25363	466	3	2
2014-03-26 13:04:32.863064	25364	1083483.8822172347	4	2
2014-03-26 13:04:33.170235	25365	20.8	1	8
2014-03-26 13:04:33.393304	25366	52	2	8
2014-03-26 13:04:48.008966	25367	20.4	1	1
2014-03-26 13:04:48.24477	25368	53	2	1
2014-03-27 00:08:08.544277	33871	305	3	2
2014-03-27 00:08:08.778465	33872	1089139.5205350835	4	2
2014-03-26 13:05:12.151303	25371	20.8	1	8
2014-03-26 13:05:12.383411	25372	52	2	8
2014-03-26 13:05:20.615718	25373	418	3	2
2014-03-26 13:05:20.841329	25374	1083489.6273908417	4	2
2014-03-26 13:05:27.008731	25375	20.4	1	1
2014-03-26 13:05:27.242449	25376	53	2	1
2014-03-26 13:05:32.61948	25377	418	3	2
2014-03-26 13:05:32.849581	25378	1083490.776425563	4	2
2014-03-27 00:08:11.042818	33873	21.0	1	9
2014-03-27 00:08:11.267683	33874	47	2	9
2014-03-26 13:05:51.150832	25383	20.8	1	8
2014-03-26 13:05:51.383817	25384	52	2	8
2014-03-26 13:06:06.010371	25385	20.4	1	1
2014-03-26 13:06:06.233829	25386	53	2	1
2014-03-27 00:08:12.133963	33875	21.5	1	8
2014-03-27 00:08:12.366518	33876	47	2	8
2014-03-26 13:06:30.151118	25391	20.8	1	8
2014-03-26 13:06:30.383207	25392	52	2	8
2014-03-26 13:06:32.615857	25393	418	3	2
2014-03-26 13:06:32.839058	25394	1083498.8196686131	4	2
2014-03-26 13:06:45.0122	25395	20.4	1	1
2014-03-26 13:06:45.25561	25396	53	2	1
2014-03-27 00:08:20.5456	33877	305	3	2
2014-03-27 00:08:20.770808	33878	1089140.669569805	4	2
2014-03-26 13:07:09.153031	25401	20.8	1	8
2014-03-26 13:07:09.376166	25402	52	2	8
2014-03-26 13:07:24.007429	25403	20.4	1	1
2014-03-26 13:07:24.24339	25404	53	2	1
2014-03-26 13:07:46.090065	25405	434	3	2
2014-03-26 13:07:46.317638	25406	1083505.7138769415	4	2
2014-03-27 00:08:26.623976	33879	20.0	1	1
2014-03-27 00:08:26.858998	33880	50	2	1
2014-03-26 13:07:48.149909	25411	20.8	1	8
2014-03-26 13:07:48.384603	25412	52	2	8
2014-03-26 13:07:56.616777	25413	466	3	2
2014-03-26 13:07:56.840257	25414	1083508.0119463843	4	2
2014-03-26 13:08:03.008175	25415	20.4	1	1
2014-03-26 13:08:03.243556	25416	53	2	1
2014-03-26 13:08:08.616497	25417	466	3	2
2014-03-26 13:08:08.845223	25418	1083510.3100158272	4	2
2014-03-26 13:08:27.15139	25423	20.8	1	8
2014-03-26 13:08:27.385927	25424	52	2	8
2014-03-26 13:08:32.618951	25425	450	3	2
2014-03-26 12:59:58.502032	25292	42	2	10
2014-03-26 13:00:37.264657	25301	19.5	1	10
2014-03-26 13:00:37.487496	25302	42	2	10
2014-03-26 13:01:16.264602	25309	19.5	1	10
2014-03-26 13:01:16.487546	25310	42	2	10
2014-03-26 13:01:55.265548	25321	19.5	1	10
2014-03-26 13:01:55.489608	25322	42	2	10
2014-03-26 13:02:34.270943	25331	19.5	1	10
2014-03-26 13:02:34.505165	25332	42	2	10
2014-03-26 13:03:13.270905	25339	19.5	1	10
2014-03-26 13:03:13.506146	25340	42	2	10
2014-03-26 13:03:52.266486	25351	19.5	1	10
2014-03-26 13:03:52.501282	25352	42	2	10
2014-03-26 13:04:31.267283	25359	19.5	1	10
2014-03-26 13:04:31.52068	25360	42	2	10
2014-03-26 13:05:49.266764	25379	19.5	1	10
2014-03-26 13:05:49.499576	25380	42	2	10
2014-03-26 13:06:28.2644	25387	19.5	1	10
2014-03-26 13:06:28.498038	25388	42	2	10
2014-03-26 13:07:07.265891	25397	19.5	1	10
2014-03-26 13:07:07.489157	25398	42	2	10
2014-03-26 13:07:46.625309	25407	19.5	1	10
2014-03-26 13:07:46.857457	25408	42	2	10
2014-03-26 13:08:25.267948	25419	19.5	1	10
2014-03-26 13:08:25.503313	25420	42	2	10
2014-03-26 13:08:32.845678	25426	1083512.60808527	4	2
2014-03-26 13:08:42.007479	25427	20.4	1	1
2014-03-26 13:08:42.239819	25428	53	2	1
2014-03-27 00:08:32.542374	33881	338	3	2
2014-03-27 00:08:32.767592	33882	1089141.8186045263	4	2
2014-03-26 13:09:06.151214	25433	20.8	1	8
2014-03-26 13:09:06.374078	25434	52	2	8
2014-03-26 13:09:21.008594	25435	20.4	1	1
2014-03-26 13:09:21.240971	25436	53	2	1
2014-03-26 13:09:32.620765	25437	466	3	2
2014-03-26 13:09:32.845086	25438	1083520.65132832	4	2
2014-03-27 00:08:39.742315	33883	23.1	1	10
2014-03-27 00:08:39.978077	33884	41	2	10
2014-03-26 13:09:45.151867	25443	20.8	1	8
2014-03-26 13:09:45.394352	25444	52	2	8
2014-03-26 13:10:00.006296	25445	20.4	1	1
2014-03-26 13:10:00.227406	25446	53	2	1
2014-03-27 00:08:44.542966	33885	338	3	2
2014-03-27 00:08:44.769394	33886	1089142.967639248	4	2
2014-03-26 13:10:24.496245	25451	20.8	1	8
2014-03-26 13:10:24.736908	25452	52	2	8
2014-03-26 13:10:32.613567	25453	466	3	2
2014-03-26 13:10:32.839326	25454	1083528.6945713698	4	2
2014-03-26 13:10:39.009306	25455	20.4	1	1
2014-03-26 13:10:39.242392	25456	53	2	1
2014-03-27 00:08:50.044266	33887	21.0	1	9
2014-03-27 00:08:50.285263	33888	47	2	9
2014-03-26 13:11:03.151377	25461	20.8	1	8
2014-03-26 13:11:03.372544	25462	52	2	8
2014-03-26 13:11:18.009318	25463	20.4	1	1
2014-03-26 13:11:18.244204	25464	53	2	1
2014-03-26 13:11:32.618136	25465	466	3	2
2014-03-26 13:11:32.84113	25466	1083536.7378144197	4	2
2014-03-27 00:08:51.13205	33889	21.5	1	8
2014-03-27 00:08:51.355936	33890	47	2	8
2014-03-26 13:11:42.150671	25469	20.8	1	8
2014-03-26 13:11:42.373796	25470	52	2	8
2014-03-26 13:11:57.009589	25471	20.4	1	1
2014-03-26 13:11:57.244	25472	53	2	1
2014-03-27 00:09:05.621095	33891	20.0	1	1
2014-03-27 00:09:05.857872	33892	50	2	1
2014-03-26 13:12:21.151435	25477	20.8	1	8
2014-03-26 13:12:21.373787	25478	52	2	8
2014-03-26 13:12:32.616458	25479	466	3	2
2014-03-26 13:12:32.850129	25480	1083543.6320227482	4	2
2014-03-26 13:12:36.006565	25481	20.4	1	1
2014-03-26 13:12:36.230929	25482	53	2	1
2014-03-26 13:12:56.618765	25483	418	3	2
2014-03-26 13:12:56.854906	25484	1083545.9345631432	4	2
2014-03-27 00:09:18.742532	33893	23.1	1	10
2014-03-27 00:09:18.968799	33894	41	2	10
2014-03-26 13:13:00.152629	25489	20.8	1	8
2014-03-26 13:13:00.376818	25490	52	2	8
2014-03-26 13:13:08.61829	25491	418	3	2
2014-03-26 13:13:08.864366	25492	1083547.0835978647	4	2
2014-03-26 13:13:15.010241	25493	20.4	1	1
2014-03-26 13:13:15.23526	25494	53	2	1
2014-03-26 13:13:32.615599	25495	418	3	2
2014-03-26 13:13:32.849728	25496	1083550.530702029	4	2
2014-03-27 00:09:20.543537	33895	305	3	2
2014-03-27 00:09:20.778286	33896	1089145.2657086907	4	2
2014-03-26 13:13:39.151095	25501	20.8	1	8
2014-03-26 13:13:39.37549	25502	52	2	8
2014-03-26 13:13:54.002509	25503	20.4	1	1
2014-03-26 13:13:54.233811	25504	53	2	1
2014-03-27 00:09:29.042558	33897	21.0	1	9
2014-03-27 00:09:29.267528	33898	47	2	9
2014-03-26 13:14:18.151437	25509	20.8	1	8
2014-03-26 13:14:18.376194	25510	52	2	8
2014-03-26 13:14:32.619128	25511	418	3	2
2014-03-26 13:14:32.854979	25512	1083557.4249103575	4	2
2014-03-26 13:14:33.163734	25513	20.3	1	1
2014-03-26 13:14:33.386251	25514	53	2	1
2014-03-27 00:09:30.133078	33899	21.5	1	8
2014-03-27 00:09:30.368613	33900	47	2	8
2014-03-26 13:14:57.151082	25519	20.8	1	8
2014-03-26 13:14:57.384332	25520	52	2	8
2014-03-26 13:15:12.006957	25521	20.3	1	1
2014-03-26 13:15:12.232969	25522	53	2	1
2014-03-26 13:15:32.614813	25523	418	3	2
2014-03-26 13:15:32.847871	25524	1083564.319118686	4	2
2014-03-27 00:09:32.541631	33901	402	3	2
2014-03-27 00:09:32.774057	33902	1089146.414743412	4	2
2014-03-26 13:15:36.151944	25529	20.8	1	8
2014-03-26 13:15:36.375316	25530	52	2	8
2014-03-26 13:15:51.002885	25531	20.3	1	1
2014-03-26 13:15:51.237869	25532	53	2	1
2014-03-27 00:09:44.860859	33903	20.0	1	1
2014-03-27 00:09:45.099826	33904	50	2	1
2014-03-26 13:16:15.15099	25537	20.8	1	8
2014-03-26 13:16:15.375093	25538	52	2	8
2014-03-26 13:16:30.003967	25539	20.3	1	1
2014-03-26 13:16:30.249703	25540	53	2	1
2014-03-26 13:16:32.620725	25541	418	3	2
2014-03-26 13:16:32.846537	25542	1083571.2133270144	4	2
2014-03-27 00:09:57.7427	33905	23.1	1	10
2014-03-27 00:09:57.96734	33906	41	2	10
2014-03-26 13:16:54.14991	25547	20.8	1	8
2014-03-26 13:16:54.415588	25548	52	2	8
2014-03-26 13:17:09.004098	25549	20.3	1	1
2014-03-26 13:17:09.261729	25550	53	2	1
2014-03-26 13:17:33.703625	25555	418	3	2
2014-03-26 13:17:33.936968	25556	1083578.107535343	4	2
2014-03-26 13:17:34.244118	25557	20.8	1	8
2014-03-26 13:17:34.466283	25558	52	2	8
2014-03-26 13:17:48.002932	25559	20.3	1	1
2014-03-26 13:09:04.265184	25429	19.4	1	10
2014-03-26 13:09:04.48896	25430	42	2	10
2014-03-26 13:09:43.265897	25439	19.4	1	10
2014-03-26 13:09:43.498644	25440	42	2	10
2014-03-26 13:10:22.264361	25447	19.4	1	10
2014-03-26 13:10:22.496975	25448	42	2	10
2014-03-26 13:11:01.265439	25457	19.4	1	10
2014-03-26 13:11:01.487573	25458	42	2	10
2014-03-26 13:12:19.271077	25473	19.4	1	10
2014-03-26 13:12:19.494324	25474	42	2	10
2014-03-26 13:12:58.272156	25485	19.4	1	10
2014-03-26 13:12:58.494128	25486	42	2	10
2014-03-26 13:13:37.26782	25497	19.4	1	10
2014-03-26 13:13:37.490974	25498	42	2	10
2014-03-26 13:14:16.269158	25505	19.4	1	10
2014-03-26 13:14:16.495191	25506	42	2	10
2014-03-26 13:14:55.267241	25515	19.4	1	10
2014-03-26 13:14:55.502907	25516	42	2	10
2014-03-26 13:15:34.264334	25525	19.4	1	10
2014-03-26 13:15:34.486458	25526	41	2	10
2014-03-26 13:16:13.265126	25533	19.4	1	10
2014-03-26 13:16:13.48993	25534	41	2	10
2014-03-26 13:16:52.263725	25543	19.4	1	10
2014-03-26 13:16:52.497333	25544	41	2	10
2014-03-26 13:17:31.26487	25551	19.4	1	10
2014-03-26 13:17:31.552426	25552	41	2	10
2014-03-26 13:17:48.240454	25560	53	2	1
2014-03-27 00:10:08.044777	33907	21.0	1	9
2014-03-27 00:10:08.280452	33908	47	2	9
2014-03-26 13:18:12.153177	25565	20.8	1	8
2014-03-26 13:18:12.377125	25566	52	2	8
2014-03-26 13:18:27.002619	25567	20.3	1	1
2014-03-26 13:18:27.23734	25568	53	2	1
2014-03-26 13:18:32.614699	25569	418	3	2
2014-03-26 13:18:32.843025	25570	1083585.0017436715	4	2
2014-03-27 00:10:09.133074	33909	21.5	1	8
2014-03-27 00:10:09.355498	33910	47	2	8
2014-03-26 13:18:51.150599	25575	20.8	1	8
2014-03-26 13:18:51.385229	25576	52	2	8
2014-03-26 13:19:06.002317	25577	20.3	1	1
2014-03-26 13:19:06.225527	25578	53	2	1
2014-03-26 13:19:20.618288	25579	450	3	2
2014-03-26 13:19:20.853544	25580	1083590.7469172785	4	2
2014-03-27 00:10:23.624053	33911	20.0	1	1
2014-03-27 00:10:23.87291	33912	50	2	1
2014-03-26 13:19:30.150889	25585	20.8	1	8
2014-03-26 13:19:30.376604	25586	52	2	8
2014-03-26 13:19:32.614629	25587	450	3	2
2014-03-26 13:19:32.86018	25588	1083591.8959519998	4	2
2014-03-26 13:19:45.000382	25589	20.3	1	1
2014-03-26 13:19:45.222736	25590	53	2	1
2014-03-26 13:19:56.614257	25591	482	3	2
2014-03-26 13:19:56.847202	25592	1083595.3430561642	4	2
2014-03-27 00:10:32.54823	33913	402	3	2
2014-03-27 00:10:32.773098	33914	1089153.3089517406	4	2
2014-03-26 13:20:08.612536	25597	434	3	2
2014-03-26 13:20:08.837191	25598	1083596.4920908855	4	2
2014-03-26 13:20:09.151875	25599	20.8	1	8
2014-03-26 13:20:09.38565	25600	52	2	8
2014-03-26 13:20:20.619111	25601	466	3	2
2014-03-26 13:20:20.843953	25602	1083598.7901603284	4	2
2014-03-26 13:20:23.996537	25603	20.3	1	1
2014-03-26 13:20:24.229433	25604	53	2	1
2014-03-26 13:20:32.616234	25605	466	3	2
2014-03-26 13:20:32.842299	25606	1083599.9391950497	4	2
2014-03-27 00:10:36.742404	33915	23.1	1	10
2014-03-27 00:10:36.977295	33916	41	2	10
2014-03-26 13:20:48.460097	25611	20.8	1	8
2014-03-26 13:20:48.909998	25612	52	2	8
2014-03-26 13:21:03.000963	25613	20.3	1	1
2014-03-26 13:21:03.223509	25614	53	2	1
2014-03-26 13:21:08.614326	25615	579	3	2
2014-03-26 13:21:08.849664	25616	1083605.684368657	4	2
2014-03-26 13:21:20.614825	25617	579	3	2
2014-03-26 13:21:20.840355	25618	1083606.8334033783	4	2
2014-03-27 00:10:47.042431	33917	21.0	1	9
2014-03-27 00:10:47.266418	33918	47	2	9
2014-03-26 13:21:27.150039	25623	20.8	1	8
2014-03-26 13:21:27.383434	25624	52	2	8
2014-03-26 13:21:32.616323	25625	595	3	2
2014-03-26 13:21:32.842037	25626	1083609.131472821	4	2
2014-03-26 13:21:41.9986	25627	20.3	1	1
2014-03-26 13:21:42.234375	25628	53	2	1
2014-03-27 00:10:48.133118	33919	21.5	1	8
2014-03-27 00:10:48.366294	33920	47	2	8
2014-03-26 13:22:06.150203	25633	20.8	1	8
2014-03-26 13:22:06.373408	25634	52	2	8
2014-03-26 13:22:21.00296	25635	20.3	1	1
2014-03-26 13:22:21.248088	25636	53	2	1
2014-03-26 13:22:32.615147	25637	579	3	2
2014-03-26 13:22:32.841549	25638	1083618.3237505923	4	2
2014-03-27 00:11:02.621047	33921	20.0	1	1
2014-03-27 00:11:02.849197	33922	50	2	1
2014-03-26 13:22:45.150711	25641	20.8	1	8
2014-03-26 13:22:45.375291	25642	52	2	8
2014-03-26 13:23:00.004054	25643	20.3	1	1
2014-03-26 13:23:00.237327	25644	53	2	1
2014-03-27 00:11:15.745098	33923	23.1	1	10
2014-03-27 00:11:15.979083	33924	41	2	10
2014-03-26 13:23:24.152642	25649	20.8	1	8
2014-03-26 13:23:24.37514	25650	52	2	8
2014-03-26 13:23:32.617302	25651	579	3	2
2014-03-26 13:23:32.851909	25652	1083628.6650630853	4	2
2014-03-26 13:23:38.997893	25653	20.3	1	1
2014-03-26 13:23:39.222902	25654	53	2	1
2014-03-27 00:11:26.043293	33925	21.0	1	9
2014-03-27 00:11:26.267845	33926	47	2	9
2014-03-26 13:24:03.15086	25659	20.9	1	8
2014-03-26 13:24:03.385746	25660	52	2	8
2014-03-26 13:24:17.999725	25661	20.3	1	1
2014-03-26 13:24:18.225374	25662	53	2	1
2014-03-26 13:24:40.098217	25663	579	3	2
2014-03-26 13:24:40.332685	25664	1083637.8573408565	4	2
2014-03-27 00:11:27.131517	33927	21.5	1	8
2014-03-26 13:24:42.149448	25669	20.9	1	8
2014-03-26 13:24:42.374433	25670	52	2	8
2014-03-26 13:24:44.611999	25671	659	3	2
2014-03-26 13:24:44.845223	25672	1083640.1554102993	4	2
2014-03-26 13:24:56.652895	25673	579	3	2
2014-03-26 13:24:56.877908	25674	1083642.4534797422	4	2
2014-03-26 13:24:57.184616	25675	20.3	1	1
2014-03-26 13:24:57.418806	25676	53	2	1
2014-03-26 13:25:19.09795	25677	531	3	2
2014-03-26 13:25:19.323831	25678	1083644.751549185	4	2
2014-03-26 13:25:20.950202	25679	531	3	2
2014-03-26 13:25:21.184795	25680	1083645.9005839063	4	2
2014-03-26 13:25:21.494419	25681	20.9	1	8
2014-03-26 13:25:21.71734	25682	52	2	8
2014-03-26 13:25:32.613902	25683	531	3	2
2014-03-26 13:25:32.858998	25684	1083648.1986533492	4	2
2014-03-26 13:25:35.997906	25685	20.3	1	1
2014-03-26 13:25:36.221593	25686	53	2	1
2014-03-26 13:26:00.152137	25687	20.9	1	8
2014-03-26 13:26:00.386796	25688	52	2	8
2014-03-26 13:26:14.993167	25689	20.3	1	1
2014-03-26 13:26:15.217451	25690	53	2	1
2014-03-26 13:26:20.610878	25691	611	3	2
2014-03-26 13:26:20.852925	25692	1083655.0928616778	4	2
2014-03-26 13:18:10.265392	25561	19.4	1	10
2014-03-26 13:18:10.489818	25562	41	2	10
2014-03-26 13:18:49.26972	25571	19.4	1	10
2014-03-26 13:18:49.502613	25572	41	2	10
2014-03-26 13:19:28.269179	25581	19.4	1	10
2014-03-26 13:19:28.494763	25582	41	2	10
2014-03-26 13:20:07.266745	25593	19.4	1	10
2014-03-26 13:20:07.493355	25594	41	2	10
2014-03-26 13:20:46.400113	25607	19.4	1	10
2014-03-26 13:20:46.850065	25608	41	2	10
2014-03-26 13:21:25.264377	25619	19.4	1	10
2014-03-26 13:21:25.498433	25620	41	2	10
2014-03-26 13:22:04.264075	25629	19.4	1	10
2014-03-26 13:22:04.487993	25630	41	2	10
2014-03-26 13:23:22.265039	25645	19.4	1	10
2014-03-26 13:23:22.488506	25646	41	2	10
2014-03-26 13:24:01.270169	25655	19.4	1	10
2014-03-26 13:24:01.509289	25656	41	2	10
2014-03-26 13:24:40.64033	25665	19.4	1	10
2014-03-26 13:24:40.863586	25666	41	2	10
2014-03-26 13:26:32.610254	25693	434	3	2
2014-03-26 13:26:32.837775	25694	1083656.241896399	4	2
2014-03-27 00:11:27.371702	33928	47	2	8
2014-03-27 00:11:32.545728	33929	402	3	2
2014-03-26 13:26:39.152773	25697	20.9	1	8
2014-03-26 13:26:39.377453	25698	52	2	8
2014-03-26 13:26:44.611574	25699	434	3	2
2014-03-26 13:26:44.847496	25700	1083658.539965842	4	2
2014-03-26 13:26:53.990988	25701	20.3	1	1
2014-03-26 13:26:54.215546	25702	53	2	1
2014-03-27 00:11:32.775716	33930	1089160.203160069	4	2
2014-03-27 00:11:41.619914	33931	20.0	1	1
2014-03-26 13:27:18.300022	25705	20.9	1	8
2014-03-26 13:27:18.719965	25706	52	2	8
2014-03-26 13:27:32.612746	25707	450	3	2
2014-03-26 13:27:32.850281	25708	1083664.285139449	4	2
2014-03-26 13:27:33.156657	25709	20.3	1	1
2014-03-26 13:27:33.399208	25710	53	2	1
2014-03-27 00:11:41.857439	33932	50	2	1
2014-03-27 00:11:54.743478	33933	23.1	1	10
2014-03-26 13:27:57.150672	25713	20.9	1	8
2014-03-26 13:27:57.375318	25714	52	2	8
2014-03-26 13:28:11.99316	25715	20.3	1	1
2014-03-26 13:28:12.226697	25716	53	2	1
2014-03-26 13:28:32.616042	25717	434	3	2
2014-03-26 13:28:32.840505	25718	1083671.1793477775	4	2
2014-03-27 00:11:54.970363	33934	41	2	10
2014-03-27 00:12:05.043445	33935	21.0	1	9
2014-03-26 13:28:36.152946	25721	20.9	1	8
2014-03-26 13:28:36.377004	25722	52	2	8
2014-03-26 13:28:50.98758	25723	20.3	1	1
2014-03-26 13:28:51.22339	25724	53	2	1
2014-03-26 13:29:15.151171	25727	20.9	1	8
2014-03-26 13:29:15.387751	25728	51	2	8
2014-03-26 13:29:29.992716	25729	20.3	1	1
2014-03-26 13:29:30.219751	25730	53	2	1
2014-03-26 13:29:32.611381	25731	434	3	2
2014-03-26 13:29:32.855364	25732	1083678.073556106	4	2
2014-03-27 00:12:05.277191	33936	47	2	9
2014-03-27 00:12:06.132658	33937	21.5	1	8
2014-03-26 13:29:54.15115	25737	20.9	1	8
2014-03-26 13:29:54.374649	25738	51	2	8
2014-03-26 13:30:08.992854	25739	20.3	1	1
2014-03-26 13:30:09.226791	25740	53	2	1
2014-03-26 13:30:32.615514	25741	434	3	2
2014-03-26 13:30:32.841572	25742	1083686.116799156	4	2
2014-03-26 13:30:33.150758	25743	20.9	1	8
2014-03-26 13:30:33.384174	25744	51	2	8
2014-03-26 13:30:47.992568	25745	20.3	1	1
2014-03-26 13:30:48.216032	25746	53	2	1
2014-03-26 13:31:12.150162	25747	20.8	1	8
2014-03-26 13:31:12.383566	25748	51	2	8
2014-03-26 13:31:26.989244	25749	20.3	1	1
2014-03-26 13:31:27.21348	25750	53	2	1
2014-03-26 13:31:32.614631	25751	434	3	2
2014-03-26 13:31:32.85328	25752	1083693.0110074843	4	2
2014-03-26 13:31:44.610175	25753	498	3	2
2014-03-26 13:31:44.835341	25754	1083695.3090769271	4	2
2014-03-26 13:31:51.151512	25755	20.8	1	8
2014-03-26 13:31:51.383916	25756	51	2	8
2014-03-26 13:31:56.613531	25757	498	3	2
2014-03-26 13:31:56.89708	25758	1083696.4581116487	4	2
2014-03-26 13:32:05.984361	25759	20.4	1	1
2014-03-26 13:32:06.217061	25760	53	2	1
2014-03-26 13:32:30.151258	25761	20.8	1	8
2014-03-26 13:32:30.376852	25762	51	2	8
2014-03-26 13:32:32.61205	25763	498	3	2
2014-03-26 13:32:32.846585	25764	1083701.0542505344	4	2
2014-03-26 13:32:44.989634	25765	20.4	1	1
2014-03-26 13:32:45.213763	25766	53	2	1
2014-03-26 13:33:09.150707	25767	20.8	1	8
2014-03-26 13:33:09.388267	25768	51	2	8
2014-03-26 13:33:20.610134	25769	466	3	2
2014-03-26 13:33:20.834571	25770	1083707.9484588627	4	2
2014-03-26 13:33:23.995993	25771	20.4	1	1
2014-03-26 13:33:24.231066	25772	53	2	1
2014-03-26 13:33:32.6124	25773	482	3	2
2014-03-26 13:33:32.930066	25774	1083709.0974935843	4	2
2014-03-26 13:33:48.152078	25775	20.8	1	8
2014-03-26 13:33:48.388639	25776	51	2	8
2014-03-26 13:34:02.989743	25777	20.4	1	1
2014-03-26 13:34:03.214208	25778	53	2	1
2014-03-27 00:12:06.357855	33938	47	2	8
2014-03-27 00:12:20.616321	33939	20.0	1	1
2014-03-26 13:34:27.152948	25781	20.8	1	8
2014-03-26 13:34:27.37682	25782	51	2	8
2014-03-26 13:34:32.611586	25783	482	3	2
2014-03-26 13:34:32.844832	25784	1083717.1407366341	4	2
2014-03-26 13:34:41.996001	25785	20.4	1	1
2014-03-26 13:34:42.233236	25786	53	2	1
2014-03-27 00:12:20.851743	33940	50	2	1
2014-03-27 00:12:32.544678	33941	402	3	2
2014-03-26 13:35:06.492605	25789	20.8	1	8
2014-03-26 13:35:06.716527	25790	51	2	8
2014-03-26 13:35:20.988311	25791	20.4	1	1
2014-03-26 13:35:21.220995	25792	53	2	1
2014-03-26 13:35:32.614746	25793	466	3	2
2014-03-26 13:35:32.838599	25794	1083725.183979684	4	2
2014-03-26 13:35:45.150935	25795	20.8	1	8
2014-03-26 13:35:45.387143	25796	51	2	8
2014-03-26 13:35:59.987216	25797	20.4	1	1
2014-03-26 13:36:00.211195	25798	53	2	1
2014-03-26 13:36:24.150553	25799	20.8	1	8
2014-03-26 13:36:24.384835	25800	51	2	8
2014-03-26 13:36:32.612739	25801	482	3	2
2014-03-26 13:36:32.838274	25802	1083733.227222734	4	2
2014-03-26 13:36:38.992035	25803	20.4	1	1
2014-03-26 13:36:39.225987	25804	53	2	1
2014-03-26 13:37:03.150761	25805	20.8	1	8
2014-03-26 13:37:03.373884	25806	51	2	8
2014-03-26 13:37:17.985574	25807	20.4	1	1
2014-03-26 13:37:18.219055	25808	53	2	1
2014-03-26 13:37:32.612856	25809	450	3	2
2014-03-26 13:37:32.838671	25810	1083741.2704657838	4	2
2014-03-26 13:37:42.150353	25811	20.8	1	8
2014-03-26 13:37:42.386895	25812	51	2	8
2014-03-26 13:37:57.00415	25813	20.4	1	1
2014-03-26 13:37:57.260105	25814	53	2	1
2014-03-26 13:38:21.150122	25815	20.8	1	8
2014-03-26 13:38:21.384144	25816	51	2	8
2014-03-26 13:38:32.613041	25817	434	3	2
2014-03-26 13:38:32.839052	25818	1083748.1646741123	4	2
2014-03-26 13:38:35.98789	25819	20.4	1	1
2014-03-26 13:38:36.220388	25820	53	2	1
2014-03-26 13:39:00.152767	25821	20.8	1	8
2014-03-26 13:39:00.377991	25822	51	2	8
2014-03-26 13:39:14.990181	25823	20.4	1	1
2014-03-26 13:39:15.226648	25824	53	2	1
2014-03-26 13:39:32.611891	25825	434	3	2
2014-03-26 13:29:13.27382	25725	19.4	1	10
2014-03-26 13:29:13.498914	25726	41	2	10
2014-03-26 13:29:52.272062	25733	19.4	1	10
2014-03-26 13:29:52.496867	25734	41	2	10
2014-03-26 13:39:32.837041	25826	1083756.2079171622	4	2
2014-03-26 13:39:39.152821	25827	20.8	1	8
2014-03-26 13:39:39.398945	25828	51	2	8
2014-03-26 13:39:53.988548	25829	20.4	1	1
2014-03-26 13:39:54.215861	25830	53	2	1
2014-03-26 13:40:18.150475	25831	20.8	1	8
2014-03-26 13:40:18.386758	25832	51	2	8
2014-03-26 13:40:20.610754	25833	466	3	2
2014-03-26 13:40:20.834048	25834	1083761.9530907692	4	2
2014-03-26 13:40:32.610733	25835	450	3	2
2014-03-26 13:40:32.863792	25836	1083763.1021254908	4	2
2014-03-26 13:40:33.171439	25837	20.4	1	1
2014-03-26 13:40:33.396182	25838	53	2	1
2014-03-26 13:40:57.204477	25839	20.8	1	8
2014-03-26 13:40:57.441101	25840	51	2	8
2014-03-26 13:41:11.985321	25841	20.4	1	1
2014-03-26 13:41:12.208949	25842	53	2	1
2014-03-26 13:41:32.612575	25843	450	3	2
2014-03-26 13:41:32.846158	25844	1083771.1453685407	4	2
2014-03-26 13:41:36.369933	25845	20.8	1	8
2014-03-26 13:41:36.594395	25846	51	2	8
2014-03-26 13:41:50.983692	25847	20.4	1	1
2014-03-26 13:41:51.219685	25848	53	2	1
2014-03-26 13:42:15.15043	25849	20.8	1	8
2014-03-26 13:42:15.374825	25850	51	2	8
2014-03-26 13:42:29.988631	25851	20.4	1	1
2014-03-26 13:42:30.223661	25852	53	2	1
2014-03-26 13:42:32.616367	25853	466	3	2
2014-03-26 13:42:32.840954	25854	1083779.1886115905	4	2
2014-03-26 13:42:54.150745	25855	20.8	1	8
2014-03-26 13:42:54.386606	25856	51	2	8
2014-03-26 13:43:08.983832	25857	20.4	1	1
2014-03-26 13:43:09.208499	25858	53	2	1
2014-03-26 13:43:20.613193	25859	434	3	2
2014-03-26 13:43:20.849431	25860	1083784.9337851976	4	2
2014-03-26 13:43:32.611912	25861	434	3	2
2014-03-26 13:43:32.839521	25862	1083786.082819919	4	2
2014-03-26 13:43:33.150142	25863	20.8	1	8
2014-03-26 13:43:33.386363	25864	51	2	8
2014-03-26 13:43:47.989115	25865	20.4	1	1
2014-03-26 13:43:48.212706	25866	53	2	1
2014-03-26 13:44:08.613138	25867	498	3	2
2014-03-26 13:44:08.848801	25868	1083790.6789588046	4	2
2014-03-26 13:44:12.149625	25869	20.8	1	8
2014-03-26 13:44:12.373943	25870	51	2	8
2014-03-26 13:44:20.615264	25871	482	3	2
2014-03-26 13:44:20.849284	25872	1083792.9770282474	4	2
2014-03-26 13:44:26.985032	25873	20.4	1	1
2014-03-26 13:44:27.210923	25874	53	2	1
2014-03-26 13:44:32.613249	25875	482	3	2
2014-03-26 13:44:32.863652	25876	1083794.126062969	4	2
2014-03-26 13:44:51.152675	25877	20.8	1	8
2014-03-26 13:44:51.376858	25878	51	2	8
2014-03-26 13:45:05.981005	25879	20.4	1	1
2014-03-26 13:45:06.401908	25880	53	2	1
2014-03-26 13:45:30.151645	25881	20.8	1	8
2014-03-26 13:45:30.380864	25882	51	2	8
2014-03-26 13:45:32.614176	25883	498	3	2
2014-03-26 13:45:32.837005	25884	1083803.3183407402	4	2
2014-03-26 13:45:44.980278	25885	20.4	1	1
2014-03-26 13:45:45.213274	25886	53	2	1
2014-03-26 13:45:56.613771	25887	579	3	2
2014-03-26 13:45:56.836507	25888	1083806.7654449046	4	2
2014-03-26 13:46:08.614293	25889	579	3	2
2014-03-26 13:46:08.846756	25890	1083807.9144796259	4	2
2014-03-26 13:46:09.151511	25891	20.8	1	8
2014-03-26 13:46:09.377297	25892	51	2	8
2014-03-26 13:46:23.979393	25893	20.4	1	1
2014-03-26 13:46:24.213636	25894	53	2	1
2014-03-26 13:46:32.612425	25895	547	3	2
2014-03-26 13:46:32.83645	25896	1083812.5106185116	4	2
2014-03-26 13:46:44.612437	25897	579	3	2
2014-03-26 13:46:44.845164	25898	1083813.659653233	4	2
2014-03-26 13:46:48.150231	25899	20.8	1	8
2014-03-26 13:46:48.372735	25900	51	2	8
2014-03-26 13:46:56.610372	25901	547	3	2
2014-03-26 13:46:56.844672	25902	1083815.9577226758	4	2
2014-03-26 13:47:02.980874	25903	20.4	1	1
2014-03-26 13:47:03.203624	25904	53	2	1
2014-03-26 13:47:08.611649	25905	579	3	2
2014-03-26 13:47:08.849717	25906	1083818.2557921186	4	2
2014-03-26 13:47:20.662898	25907	579	3	2
2014-03-26 13:47:20.885476	25908	1083819.40482684	4	2
2014-03-26 13:47:27.151162	25909	20.8	1	8
2014-03-26 13:47:27.383669	25910	51	2	8
2014-03-26 13:47:32.613858	25911	579	3	2
2014-03-26 13:47:32.843052	25912	1083821.7028962828	4	2
2014-03-26 13:47:41.980628	25913	20.4	1	1
2014-03-26 13:47:42.215147	25914	53	2	1
2014-03-26 13:47:56.609995	25915	547	3	2
2014-03-26 13:47:56.834602	25916	1083825.1500004472	4	2
2014-03-26 13:48:06.150854	25917	20.8	1	8
2014-03-26 13:48:06.38608	25918	51	2	8
2014-03-26 13:48:08.61384	25919	595	3	2
2014-03-26 13:48:08.838698	25920	1083827.44806989	4	2
2014-03-26 13:48:20.670528	25921	595	3	2
2014-03-26 13:48:20.905084	25922	1083829.746139333	4	2
2014-03-26 13:48:21.210174	25923	20.4	1	1
2014-03-26 13:48:21.431851	25924	53	2	1
2014-03-26 13:48:32.613737	25925	579	3	2
2014-03-26 13:48:32.859585	25926	1083830.8951740542	4	2
2014-03-26 13:48:45.150663	25927	20.8	1	8
2014-03-26 13:48:45.373962	25928	51	2	8
2014-03-26 13:48:59.978995	25929	20.4	1	1
2014-03-26 13:49:00.211837	25930	53	2	1
2014-03-26 13:49:24.152389	25931	20.7	1	8
2014-03-26 13:49:24.376491	25932	51	2	8
2014-03-26 13:49:32.613837	25933	579	3	2
2014-03-26 13:49:32.867373	25934	1083840.0919227777	4	2
2014-03-26 13:49:38.980679	25935	20.4	1	1
2014-03-26 13:49:39.204051	25936	53	2	1
2014-03-26 13:49:56.611944	25937	515	3	2
2014-03-26 13:49:56.84526	25938	1083843.5390269419	4	2
2014-03-26 13:50:03.152132	25939	20.7	1	8
2014-03-26 13:50:03.375185	25940	51	2	8
2014-03-26 13:50:08.614603	25941	515	3	2
2014-03-26 13:50:08.853315	25942	1083845.8370963847	4	2
2014-03-26 13:50:17.979162	25943	20.4	1	1
2014-03-26 13:50:18.205103	25944	53	2	1
2014-03-26 13:50:40.105786	25945	515	3	2
2014-03-26 13:50:40.341283	25946	1083849.2842005491	4	2
2014-03-26 13:50:42.153239	25947	20.7	1	8
2014-03-26 13:50:42.377046	25948	51	2	8
2014-03-26 13:50:56.979534	25949	20.4	1	1
2014-03-26 13:50:57.216311	25950	53	2	1
2014-03-26 13:51:21.151412	25951	20.7	1	8
2014-03-26 13:51:21.376511	25952	51	2	8
2014-03-26 13:51:32.610248	25953	531	3	2
2014-03-26 13:51:32.843605	25954	1083857.327443599	4	2
2014-03-26 13:51:35.979567	25955	20.4	1	1
2014-03-26 13:51:36.204082	25956	53	2	1
2014-03-26 13:52:00.150282	25957	20.7	1	8
2014-03-26 13:52:00.383971	25958	51	2	8
2014-03-26 13:52:14.976122	25959	20.4	1	1
2014-03-26 13:52:15.19862	25960	53	2	1
2014-03-26 13:52:32.615229	25961	531	3	2
2014-03-26 13:52:32.848881	25962	1083866.5197213702	4	2
2014-03-26 13:52:39.150631	25963	20.7	1	8
2014-03-26 13:52:39.396054	25964	51	2	8
2014-03-26 13:52:53.974106	25965	20.4	1	1
2014-03-26 13:52:54.208924	25966	53	2	1
2014-03-26 13:53:18.149809	25967	20.7	1	8
2014-03-26 13:53:18.373445	25968	51	2	8
2014-03-26 13:53:32.612817	25969	531	3	2
2014-03-26 13:53:32.84958	25970	1083875.7119991416	4	2
2014-03-26 13:53:33.155466	25971	20.4	1	1
2014-03-26 13:53:33.378127	25972	53	2	1
2014-03-26 13:53:57.149389	25973	20.7	1	8
2014-03-26 13:53:57.394274	25974	51	2	8
2014-03-26 13:54:11.974406	25975	20.4	1	1
2014-03-26 13:54:12.196684	25976	53	2	1
2014-03-26 13:54:32.613527	25977	515	3	2
2014-03-26 13:54:32.849121	25978	1083883.7552421915	4	2
2014-03-26 13:54:36.15009	25979	20.7	1	8
2014-03-26 13:54:36.373122	25980	51	2	8
2014-03-26 13:54:50.97927	25981	20.4	1	1
2014-03-26 13:54:51.21283	25982	53	2	1
2014-03-26 13:55:15.150493	25983	20.7	1	8
2014-03-26 13:55:15.374294	25984	51	2	8
2014-03-26 13:55:29.97586	25985	20.4	1	1
2014-03-26 13:55:30.212139	25986	53	2	1
2014-03-26 13:55:32.61385	25987	515	3	2
2014-03-26 13:55:32.837106	25988	1083892.947519963	4	2
2014-03-26 13:55:54.152458	25989	20.7	1	8
2014-03-26 13:55:54.387331	25990	51	2	8
2014-03-26 13:56:08.975078	25991	20.4	1	1
2014-03-26 13:56:09.200279	25992	53	2	1
2014-03-26 13:56:32.611995	25993	547	3	2
2014-03-26 13:56:32.847022	25994	1083900.9907630128	4	2
2014-03-26 13:56:33.174041	25995	20.7	1	8
2014-03-26 13:56:33.397028	25996	51	2	8
2014-03-26 13:56:44.611928	25997	579	3	2
2014-03-26 13:56:44.847846	25998	1083903.2888324556	4	2
2014-03-26 13:56:47.978728	25999	20.4	1	1
2014-03-26 13:56:48.200989	26000	53	2	1
2014-03-26 13:56:56.612191	26001	579	3	2
2014-03-26 13:56:56.844408	26002	1083905.5869018985	4	2
2014-03-26 13:57:12.14964	26003	20.7	1	8
2014-03-26 13:57:12.375798	26004	51	2	8
2014-03-26 13:57:20.60986	26005	531	3	2
2014-03-26 13:57:20.897833	26006	1083909.0340060627	4	2
2014-03-26 13:57:26.975643	26007	20.4	1	1
2014-03-26 13:57:27.20043	26008	53	2	1
2014-03-26 13:57:32.610964	26009	579	3	2
2014-03-26 13:57:32.849078	26010	1083910.183040784	4	2
2014-03-26 13:57:44.610702	26011	579	3	2
2014-03-26 13:57:44.836976	26012	1083912.4811102268	4	2
2014-03-26 13:57:51.150436	26013	20.7	1	8
2014-03-26 13:57:51.383794	26014	51	2	8
2014-03-26 13:57:56.609612	26015	547	3	2
2014-03-26 13:57:56.837779	26016	1083914.7791796697	4	2
2014-03-26 13:58:05.977611	26017	20.4	1	1
2014-03-26 13:58:06.211389	26018	53	2	1
2014-03-26 13:58:08.616302	26019	579	3	2
2014-03-26 13:58:08.839629	26020	1083915.9282143912	4	2
2014-03-26 13:58:20.615981	26021	547	3	2
2014-03-26 13:58:20.915348	26022	1083918.2262838339	4	2
2014-03-26 13:58:30.150207	26023	20.7	1	8
2014-03-26 13:58:30.373968	26024	51	2	8
2014-03-26 13:58:32.613642	26025	579	3	2
2014-03-26 13:58:32.845356	26026	1083920.5243532767	4	2
2014-03-26 13:58:44.609864	26027	579	3	2
2014-03-26 13:58:44.83644	26028	1083921.6733879982	4	2
2014-03-26 13:58:45.144775	26029	20.4	1	1
2014-03-26 13:58:45.378731	26030	53	2	1
2014-03-26 13:59:09.15039	26031	20.7	1	8
2014-03-26 13:59:09.376325	26032	51	2	8
2014-03-26 13:59:20.61046	26033	547	3	2
2014-03-26 13:59:20.898923	26034	1083927.4185616053	4	2
2014-03-26 13:59:23.974486	26035	20.4	1	1
2014-03-26 13:59:24.196459	26036	53	2	1
2014-03-26 13:59:32.610416	26037	579	3	2
2014-03-26 13:59:32.846322	26038	1083929.7166310481	4	2
2014-03-26 13:59:44.611777	26039	547	3	2
2014-03-26 13:59:44.836974	26040	1083930.8656657694	4	2
2014-03-26 13:59:48.149636	26041	20.7	1	8
2014-03-26 13:59:48.383788	26042	51	2	8
2014-03-26 13:59:56.613556	26043	547	3	2
2014-03-26 13:59:56.838077	26044	1083933.1637352123	4	2
2014-03-26 14:00:02.976718	26045	20.4	1	1
2014-03-26 14:00:03.210004	26046	53	2	1
2014-03-26 14:00:25.110413	26047	579	3	2
2014-03-26 14:00:25.333854	26048	1083936.6108393767	4	2
2014-03-26 14:00:27.150109	26049	20.7	1	8
2014-03-26 14:00:27.384717	26050	51	2	8
2014-03-26 14:00:32.61077	26051	547	3	2
2014-03-26 14:00:32.83683	26052	1083938.9089088193	4	2
2014-03-26 14:00:41.974737	26053	20.5	1	1
2014-03-26 14:00:42.208912	26054	53	2	1
2014-03-26 14:00:44.611319	26055	515	3	2
2014-03-26 14:00:44.834952	26056	1083940.0579435409	4	2
2014-03-26 14:00:56.611904	26057	498	3	2
2014-03-26 14:00:56.847835	26058	1083942.3560129837	4	2
2014-03-26 14:01:06.151846	26059	20.7	1	8
2014-03-26 14:01:06.374689	26060	51	2	8
2014-03-26 14:01:21.000661	26061	20.5	1	1
2014-03-26 14:01:21.234476	26062	53	2	1
2014-03-26 14:01:32.609667	26063	498	3	2
2014-03-26 14:01:32.833811	26064	1083946.9521518694	4	2
2014-03-26 14:01:45.152686	26065	20.7	1	8
2014-03-26 14:01:45.388286	26066	51	2	8
2014-03-26 14:01:59.97183	26067	20.5	1	1
2014-03-26 14:02:00.197021	26068	53	2	1
2014-03-26 14:02:08.613467	26069	466	3	2
2014-03-26 14:02:08.858267	26070	1083951.548290755	4	2
2014-03-26 14:02:20.611985	26071	466	3	2
2014-03-26 14:02:20.859987	26072	1083953.8463601978	4	2
2014-03-26 14:02:24.150068	26073	20.7	1	8
2014-03-26 14:02:24.384309	26074	51	2	8
2014-03-26 14:02:32.611211	26075	450	3	2
2014-03-26 14:02:32.834903	26076	1083954.9953949193	4	2
2014-03-26 14:02:38.974316	26077	20.5	1	1
2014-03-26 14:02:39.59469	26078	53	2	1
2014-03-26 14:03:03.149545	26079	20.7	1	8
2014-03-26 14:03:03.434353	26080	51	2	8
2014-03-26 14:03:17.976353	26081	20.5	1	1
2014-03-26 14:03:18.210017	26082	53	2	1
2014-03-26 14:03:32.613304	26083	450	3	2
2014-03-26 14:03:32.83705	26084	1083963.0386379692	4	2
2014-03-26 14:03:42.150296	26085	20.7	1	8
2014-03-26 14:03:42.38135	26086	51	2	8
2014-03-26 14:03:56.972445	26087	20.5	1	1
2014-03-26 14:03:57.19709	26088	53	2	1
2014-03-26 14:04:21.151106	26089	20.7	1	8
2014-03-26 14:04:21.384785	26090	51	2	8
2014-03-26 14:04:32.612695	26091	450	3	2
2014-03-26 14:04:32.838299	26092	1083969.9328462975	4	2
2014-03-26 14:04:35.973163	26093	20.5	1	1
2014-03-26 14:04:36.206644	26094	53	2	1
2014-03-26 14:05:00.149947	26095	20.7	1	8
2014-03-26 14:05:00.374974	26096	51	2	8
2014-03-26 14:05:14.971917	26097	20.5	1	1
2014-03-26 14:05:15.20518	26098	53	2	1
2014-03-26 14:05:32.611996	26099	450	3	2
2014-03-26 14:05:32.836227	26100	1083977.9760893476	4	2
2014-03-26 14:05:39.150036	26101	20.7	1	8
2014-03-26 14:05:39.38507	26102	51	2	8
2014-03-26 14:05:53.972739	26103	20.5	1	1
2014-03-26 14:05:54.196113	26104	53	2	1
2014-03-26 14:06:18.150589	26105	20.7	1	8
2014-03-26 14:06:18.387812	26106	51	2	8
2014-03-26 14:06:32.611665	26107	450	3	2
2014-03-26 14:06:32.835711	26108	1083984.870297676	4	2
2014-03-26 14:06:33.144041	26109	20.5	1	1
2014-03-26 14:06:33.376373	26110	53	2	1
2014-03-26 14:06:57.150062	26111	20.7	1	8
2014-03-26 14:06:57.373727	26112	51	2	8
2014-03-26 14:07:11.971526	26113	20.5	1	1
2014-03-26 14:07:12.205401	26114	53	2	1
2014-03-26 14:07:32.611661	26115	450	3	2
2014-03-26 14:07:32.836946	26116	1083992.9135407258	4	2
2014-03-26 14:07:36.151137	26117	20.7	1	8
2014-03-26 14:07:36.396554	26118	51	2	8
2014-03-26 14:07:50.972176	26119	20.5	1	1
2014-03-26 14:07:51.195384	26120	53	2	1
2014-03-26 14:08:15.149878	26121	20.7	1	8
2014-03-26 14:08:15.386615	26122	51	2	8
2014-03-26 14:08:29.972814	26123	20.5	1	1
2014-03-26 14:08:30.195308	26124	53	2	1
2014-03-26 14:08:32.610058	26125	450	3	2
2014-03-26 14:08:32.844064	26126	1083999.8077490544	4	2
2014-03-26 14:08:44.614309	26127	482	3	2
2014-03-26 14:08:44.839349	26128	1084002.1058184972	4	2
2014-03-26 14:08:54.14987	26129	20.7	1	8
2014-03-26 14:08:54.384643	26130	51	2	8
2014-03-26 14:08:56.61523	26131	482	3	2
2014-03-26 14:08:56.838942	26132	1084003.2548532186	4	2
2014-03-26 14:09:09.208231	26133	20.5	1	1
2014-03-26 14:09:09.441836	26134	53	2	1
2014-03-26 14:09:32.614204	26135	482	3	2
2014-03-26 14:09:32.839785	26136	1084009.0000268258	4	2
2014-03-26 14:09:33.151002	26137	20.7	1	8
2014-03-26 14:09:33.383938	26138	51	2	8
2014-03-26 14:09:47.974355	26139	20.5	1	1
2014-03-26 14:09:48.197442	26140	53	2	1
2014-03-26 14:10:12.149779	26141	20.7	1	8
2014-03-26 14:10:12.383211	26142	51	2	8
2014-03-26 14:10:26.97658	26143	20.5	1	1
2014-03-26 14:10:27.200451	26144	53	2	1
2014-03-26 14:10:32.610351	26145	498	3	2
2014-03-26 14:10:32.849898	26146	1084017.0432698757	4	2
2014-03-26 14:10:51.15094	26147	20.7	1	8
2014-03-26 14:10:51.373664	26148	51	2	8
2014-03-26 14:11:05.97304	26149	20.5	1	1
2014-03-26 14:11:06.20714	26150	53	2	1
2014-03-26 14:11:30.15297	26151	20.7	1	8
2014-03-26 14:11:30.377503	26152	51	2	8
2014-03-26 14:11:32.611742	26153	482	3	2
2014-03-26 14:11:32.846572	26154	1084025.0865129256	4	2
2014-03-26 14:11:45.208858	26155	20.5	1	1
2014-03-26 14:11:45.435007	26156	53	2	1
2014-03-26 14:12:09.152559	26157	20.7	1	8
2014-03-26 14:12:09.385527	26158	51	2	8
2014-03-26 14:12:23.968909	26159	20.5	1	1
2014-03-26 14:12:24.195682	26160	53	2	1
2014-03-26 14:12:32.611937	26161	482	3	2
2014-03-26 14:12:32.845906	26162	1084033.1297559754	4	2
2014-03-26 14:12:48.14898	26163	20.7	1	8
2014-03-26 14:12:48.376329	26164	51	2	8
2014-03-26 14:12:56.610452	26165	515	3	2
2014-03-26 14:12:56.856986	26166	1084036.5768601396	4	2
2014-03-26 14:13:02.972811	26167	20.5	1	1
2014-03-26 14:13:03.196059	26168	53	2	1
2014-03-26 14:13:08.61054	26169	498	3	2
2014-03-26 14:13:08.848937	26170	1084037.7258948612	4	2
2014-03-26 14:13:27.14984	26171	20.7	1	8
2014-03-26 14:13:27.373701	26172	51	2	8
2014-03-26 14:13:32.610164	26173	498	3	2
2014-03-26 14:13:32.846782	26174	1084041.1729990253	4	2
2014-03-26 14:13:41.971612	26175	20.5	1	1
2014-03-26 14:13:42.194305	26176	53	2	1
2014-03-26 14:14:06.148575	26177	20.7	1	8
2014-03-26 14:14:06.383034	26178	51	2	8
2014-03-26 14:14:20.610997	26179	466	3	2
2014-03-26 14:14:20.835035	26180	1084048.067207354	4	2
2014-03-26 14:14:21.179045	26181	20.5	1	1
2014-03-26 14:14:21.431318	26182	53	2	1
2014-03-26 14:14:32.610624	26183	450	3	2
2014-03-26 14:14:32.834418	26184	1084049.2162420752	4	2
2014-03-26 14:14:45.149422	26185	20.7	1	8
2014-03-26 14:14:45.383613	26186	51	2	8
2014-03-26 14:14:59.964582	26187	20.5	1	1
2014-03-26 14:15:00.188148	26188	53	2	1
2014-03-26 14:15:24.149361	26189	20.7	1	8
2014-03-26 14:15:24.383067	26190	51	2	8
2014-03-26 14:15:32.606399	26191	450	3	2
2014-03-26 14:15:32.832865	26192	1084057.259485125	4	2
2014-03-26 14:15:38.966936	26193	20.5	1	1
2014-03-26 14:15:39.199717	26194	53	2	1
2014-03-26 14:16:03.150501	26195	20.7	1	8
2014-03-26 14:16:03.373222	26196	51	2	8
2014-03-26 14:16:17.969585	26197	20.5	1	1
2014-03-26 14:16:18.202368	26198	53	2	1
2014-03-26 14:16:32.611841	26199	450	3	2
2014-03-26 14:16:32.837762	26200	1084064.1536934536	4	2
2014-03-26 14:16:42.150376	26201	20.7	1	8
2014-03-26 14:16:42.38504	26202	51	2	8
2014-03-26 14:16:56.965319	26203	20.5	1	1
2014-03-26 14:16:57.189739	26204	53	2	1
2014-03-26 14:17:21.152448	26205	20.7	1	8
2014-03-26 14:17:21.44252	26206	51	2	8
2014-03-26 14:17:32.610888	26207	450	3	2
2014-03-26 14:17:32.83439	26208	1084072.1969365035	4	2
2014-03-26 14:17:35.966249	26209	20.5	1	1
2014-03-26 14:17:36.20362	26210	53	2	1
2014-03-26 14:18:00.149914	26211	20.7	1	8
2014-03-26 14:18:00.376591	26212	51	2	8
2014-03-26 14:18:14.964758	26213	20.5	1	1
2014-03-26 14:18:15.212122	26214	53	2	1
2014-03-26 14:18:32.609047	26215	450	3	2
2014-03-26 14:18:32.832564	26216	1084080.2401795534	4	2
2014-03-26 14:18:39.150888	26217	20.7	1	8
2014-03-26 14:18:39.387564	26218	51	2	8
2014-03-26 14:18:53.964216	26219	20.5	1	1
2014-03-26 14:18:54.213808	26220	53	2	1
2014-03-26 14:19:18.150452	26221	20.7	1	8
2014-03-26 14:19:18.384129	26222	51	2	8
2014-03-26 14:19:32.61285	26223	450	3	2
2014-03-26 14:19:32.840137	26224	1084087.134387882	4	2
2014-03-26 14:19:33.150202	26225	20.5	1	1
2014-03-26 14:19:33.38434	26226	53	2	1
2014-03-26 14:19:57.15039	26227	20.7	1	8
2014-03-26 14:19:57.374434	26228	51	2	8
2014-03-26 14:20:11.962752	26229	20.5	1	1
2014-03-26 14:20:12.196753	26230	53	2	1
2014-03-26 14:20:32.612953	26231	466	3	2
2014-03-26 14:20:32.841556	26232	1084095.1776309318	4	2
2014-03-26 14:20:36.149907	26233	20.7	1	8
2014-03-26 14:20:36.385991	26234	51	2	8
2014-03-26 14:20:50.963252	26235	20.5	1	1
2014-03-26 14:20:51.187031	26236	53	2	1
2014-03-26 14:20:56.60948	26237	498	3	2
2014-03-26 14:20:56.849209	26238	1084098.624735096	4	2
2014-03-26 14:21:08.608966	26239	482	3	2
2014-03-26 14:21:08.836087	26240	1084099.7737698175	4	2
2014-03-26 14:21:15.150449	26241	20.7	1	8
2014-03-26 14:21:15.383428	26242	51	2	8
2014-03-26 14:21:29.963343	26243	20.5	1	1
2014-03-26 14:21:30.187297	26244	53	2	1
2014-03-26 14:21:32.608965	26245	498	3	2
2014-03-26 14:21:32.843624	26246	1084103.2208739817	4	2
2014-03-26 14:21:54.150283	26247	20.7	1	8
2014-03-26 14:21:54.374326	26248	51	2	8
2014-03-26 14:22:08.964774	26249	20.5	1	1
2014-03-26 14:22:09.199313	26250	53	2	1
2014-03-26 14:22:32.609301	26251	482	3	2
2014-03-26 14:22:32.833282	26252	1084111.2641170316	4	2
2014-03-26 14:22:33.151829	26253	20.7	1	8
2014-03-26 14:22:33.384529	26254	51	2	8
2014-03-26 14:22:47.961979	26255	20.5	1	1
2014-03-26 14:22:48.188017	26256	53	2	1
2014-03-26 14:23:12.150224	26257	20.7	1	8
2014-03-26 14:23:12.385497	26258	51	2	8
2014-03-26 14:23:26.966629	26259	20.5	1	1
2014-03-26 14:23:27.188977	26260	53	2	1
2014-03-26 14:23:32.609601	26261	498	3	2
2014-03-26 14:23:32.857005	26262	1084119.3073600815	4	2
2014-03-26 14:23:51.159357	26263	20.7	1	8
2014-03-26 14:23:51.38511	26264	51	2	8
2014-03-26 14:24:05.962675	26265	20.5	1	1
2014-03-26 14:24:06.196635	26266	53	2	1
2014-03-26 14:24:30.152388	26267	20.7	1	8
2014-03-26 14:24:30.375987	26268	51	2	8
2014-03-26 14:24:32.609933	26269	498	3	2
2014-03-26 14:24:32.844306	26270	1084127.3506031316	4	2
2014-03-26 14:24:44.963523	26271	20.5	1	1
2014-03-26 14:24:45.186894	26272	53	2	1
2014-03-26 14:25:09.150122	26273	20.7	1	8
2014-03-26 14:25:09.384226	26274	51	2	8
2014-03-26 14:25:23.962695	26275	20.5	1	1
2014-03-26 14:25:24.187398	26276	53	2	1
2014-03-26 14:25:32.608738	26277	466	3	2
2014-03-26 14:25:32.844392	26278	1084134.2492824122	4	2
2014-03-26 14:25:44.612125	26279	450	3	2
2014-03-26 14:25:45.025884	26280	1084136.547351855	4	2
2014-03-26 14:25:48.149767	26281	20.7	1	8
2014-03-26 14:25:48.412277	26282	51	2	8
2014-03-26 14:26:02.958743	26283	20.6	1	1
2014-03-26 14:26:03.480894	26284	53	2	1
2014-03-26 14:26:27.20665	26285	20.7	1	8
2014-03-26 14:26:27.563515	26286	51	2	8
2014-03-26 14:26:32.609622	26287	450	3	2
2014-03-26 14:26:32.841046	26288	1084142.292525462	4	2
2014-03-26 14:26:41.958859	26289	20.6	1	1
2014-03-26 14:26:42.193319	26290	53	2	1
2014-03-26 14:27:06.150089	26291	20.7	1	8
2014-03-26 14:27:06.373652	26292	51	2	8
2014-03-26 14:27:20.962825	26293	20.6	1	1
2014-03-26 14:27:21.198295	26294	53	2	1
2014-03-26 14:27:32.608698	26295	450	3	2
2014-03-26 14:27:32.833597	26296	1084150.335768512	4	2
2014-03-26 14:27:45.150778	26297	20.7	1	8
2014-03-26 14:27:45.386865	26298	51	2	8
2014-03-26 14:27:59.955321	26299	20.6	1	1
2014-03-26 14:28:00.181984	26300	53	2	1
2014-03-26 14:28:24.151793	26301	20.7	1	8
2014-03-26 14:28:24.386682	26302	51	2	8
2014-03-26 14:28:32.609213	26303	450	3	2
2014-03-26 14:28:32.83352	26304	1084157.2299768406	4	2
2014-03-26 14:28:39.195744	26305	20.6	1	1
2014-03-26 14:28:39.431041	26306	53	2	1
2014-03-26 14:29:03.149804	26307	20.7	1	8
2014-03-26 14:29:03.374726	26308	51	2	8
2014-03-26 14:29:17.960154	26309	20.6	1	1
2014-03-26 14:29:18.204337	26310	53	2	1
2014-03-26 14:29:32.611523	26311	450	3	2
2014-03-26 14:29:32.834318	26312	1084165.2732198904	4	2
2014-03-26 14:29:42.149607	26313	20.7	1	8
2014-03-26 14:29:42.382725	26314	51	2	8
2014-03-26 14:29:56.954356	26315	20.6	1	1
2014-03-26 14:29:57.17742	26316	53	2	1
2014-03-26 14:30:21.150087	26317	20.7	1	8
2014-03-26 14:30:21.384277	26318	51	2	8
2014-03-26 14:30:32.614578	26319	466	3	2
2014-03-26 14:30:32.838016	26320	1084173.3164629403	4	2
2014-03-26 14:30:35.958894	26321	20.6	1	1
2014-03-26 14:30:36.190756	26322	53	2	1
2014-03-26 14:31:00.148746	26323	20.7	1	8
2014-03-26 14:31:00.371452	26324	51	2	8
2014-03-26 14:31:14.95814	26325	20.6	1	1
2014-03-26 14:31:15.194619	26326	53	2	1
2014-03-26 14:31:37.120916	26327	466	3	2
2014-03-26 14:31:37.346989	26328	1084180.2106712689	4	2
2014-03-26 14:31:39.149385	26329	20.7	1	8
2014-03-26 14:31:39.389583	26330	51	2	8
2014-03-26 14:31:53.954766	26331	20.6	1	1
2014-03-26 14:31:54.177659	26332	53	2	1
2014-03-26 14:32:08.463349	26333	498	3	2
2014-03-26 14:32:08.69784	26334	1084183.657775433	4	2
2014-03-26 14:32:09.008627	26335	498	3	2
2014-03-26 14:32:09.233184	26336	1084185.955844876	4	2
2014-03-26 14:32:18.149949	26337	20.6	1	8
2014-03-26 14:32:18.383605	26338	51	2	8
2014-03-26 14:32:32.607278	26339	515	3	2
2014-03-26 14:32:32.832305	26340	1084189.40294904	4	2
2014-03-26 14:32:33.142112	26341	20.6	1	1
2014-03-26 14:32:33.396092	26342	53	2	1
2014-03-26 14:32:57.152369	26343	20.6	1	8
2014-03-26 14:32:57.378716	26344	51	2	8
2014-03-26 14:33:11.954399	26345	20.6	1	1
2014-03-26 14:33:12.189545	26346	53	2	1
2014-03-26 14:33:32.611639	26347	498	3	2
2014-03-26 14:33:32.835574	26348	1084197.44619209	4	2
2014-03-26 14:33:36.150923	26349	20.6	1	8
2014-03-26 14:33:36.384844	26350	51	2	8
2014-03-26 14:33:50.952214	26351	20.6	1	1
2014-03-26 14:33:51.175662	26352	53	2	1
2014-03-26 14:34:15.149149	26353	20.6	1	8
2014-03-26 14:34:15.384831	26354	51	2	8
2014-03-26 14:34:29.952566	26355	20.6	1	1
2014-03-26 14:34:30.177015	26356	53	2	1
2014-03-26 14:34:32.607856	26357	498	3	2
2014-03-26 14:34:32.85405	26358	1084206.6384698614	4	2
2014-03-26 14:34:54.148502	26359	20.6	1	8
2014-03-26 14:34:54.37159	26360	51	2	8
2014-03-26 14:35:08.956955	26361	20.6	1	1
2014-03-26 14:35:09.192064	26362	53	2	1
2014-03-26 14:35:32.60917	26363	531	3	2
2014-03-26 14:35:32.833808	26364	1084214.6817129112	4	2
2014-03-26 14:35:33.148149	26365	20.6	1	8
2014-03-26 14:35:33.384079	26366	51	2	8
2014-03-26 14:35:44.607865	26367	498	3	2
2014-03-26 14:35:44.833631	26368	1084215.8307476325	4	2
2014-03-26 14:35:47.951232	26369	20.6	1	1
2014-03-26 14:35:48.183486	26370	53	2	1
2014-03-26 14:35:56.608189	26371	515	3	2
2014-03-26 14:35:56.834005	26372	1084218.1288170754	4	2
2014-03-26 14:36:12.147901	26373	20.6	1	8
2014-03-26 14:36:12.381356	26374	51	2	8
2014-03-26 14:36:26.957596	26375	20.6	1	1
2014-03-26 14:36:27.181891	26376	53	2	1
2014-03-26 14:36:32.607857	26377	515	3	2
2014-03-26 14:36:32.849929	26378	1084222.724955961	4	2
2014-03-26 14:36:51.147848	26379	20.6	1	8
2014-03-26 14:36:51.372812	26380	51	2	8
2014-03-26 14:37:05.954566	26381	20.6	1	1
2014-03-26 14:37:06.188085	26382	53	2	1
2014-03-26 14:37:20.602656	26383	595	3	2
2014-03-26 14:37:20.827618	26384	1084230.768199011	4	2
2014-03-26 14:37:30.148623	26385	20.6	1	8
2014-03-26 14:37:30.381762	26386	51	2	8
2014-03-26 14:37:32.601832	26387	531	3	2
2014-03-26 14:37:32.826013	26388	1084231.9172337325	4	2
2014-03-26 14:37:44.611184	26389	482	3	2
2014-03-26 14:37:44.849044	26390	1084234.2153031754	4	2
2014-03-26 14:37:45.156832	26391	20.6	1	1
2014-03-26 14:37:45.380056	26392	53	2	1
2014-03-26 14:37:56.605937	26393	466	3	2
2014-03-26 14:37:56.841176	26394	1084235.3643378967	4	2
2014-03-26 14:38:09.148858	26395	20.6	1	8
2014-03-26 14:38:09.375385	26396	51	2	8
2014-03-26 14:38:23.950975	26397	20.6	1	1
2014-03-26 14:38:24.186444	26398	53	2	1
2014-03-26 14:38:32.606773	26399	466	3	2
2014-03-26 14:38:32.832079	26400	1084239.9604767824	4	2
2014-03-26 14:38:48.150008	26401	20.6	1	8
2014-03-26 14:38:48.385762	26402	51	2	8
2014-03-26 14:39:02.952513	26403	20.6	1	1
2014-03-26 14:39:03.177286	26404	53	2	1
2014-03-26 14:39:27.148751	26405	20.6	1	8
2014-03-26 14:39:27.395053	26406	51	2	8
2014-03-26 14:39:41.752538	26407	482	3	2
2014-03-26 14:39:41.977153	26408	1084248.0037198323	4	2
2014-03-26 14:39:42.284687	26409	20.6	1	1
2014-03-26 14:39:42.517401	26410	53	2	1
2014-03-26 14:40:06.147963	26411	20.6	1	8
2014-03-26 14:40:06.375143	26412	51	2	8
2014-03-26 14:40:20.952377	26413	20.6	1	1
2014-03-26 14:40:21.186653	26414	53	2	1
2014-03-26 14:40:32.605024	26415	466	3	2
2014-03-26 14:40:32.829946	26416	1084256.0469628822	4	2
2014-03-26 14:40:45.148831	26417	20.6	1	8
2014-03-26 14:40:45.381459	26418	51	2	8
2014-03-26 14:40:59.952668	26419	20.6	1	1
2014-03-26 14:41:00.176024	26420	53	2	1
2014-03-26 14:41:24.148589	26421	20.6	1	8
2014-03-26 14:41:24.382438	26422	51	2	8
2014-03-26 14:41:32.61006	26423	450	3	2
2014-03-26 14:41:32.83385	26424	1084264.090205932	4	2
2014-03-26 14:41:38.950776	26425	20.6	1	1
2014-03-26 14:41:39.184926	26426	53	2	1
2014-03-26 14:42:03.148205	26427	20.6	1	8
2014-03-26 14:42:03.372673	26428	52	2	8
2014-03-26 14:42:17.952907	26429	20.6	1	1
2014-03-26 14:42:18.187706	26430	53	2	1
2014-03-26 14:42:20.610333	26431	515	3	2
2014-03-26 14:42:20.83482	26432	1084272.133448982	4	2
2014-03-26 14:42:32.607433	26433	515	3	2
2014-03-26 14:42:32.843564	26434	1084273.2824837035	4	2
2014-03-26 14:42:42.148756	26435	20.6	1	8
2014-03-26 14:42:42.374965	26436	51	2	8
2014-03-26 14:42:56.957579	26437	20.6	1	1
2014-03-26 14:42:57.191061	26438	53	2	1
2014-03-26 14:43:21.147509	26439	20.6	1	8
2014-03-26 14:43:21.373358	26440	51	2	8
2014-03-26 14:43:32.606651	26441	531	3	2
2014-03-26 14:43:32.842421	26442	1084282.4747614746	4	2
2014-03-26 14:43:35.952687	26443	20.6	1	1
2014-03-26 14:43:36.177706	26444	53	2	1
2014-03-26 14:43:56.606847	26445	579	3	2
2014-03-26 14:43:56.839811	26446	1084285.921865639	4	2
2014-03-26 14:44:00.150293	26447	20.6	1	8
2014-03-26 14:44:00.373328	26448	51	2	8
2014-03-26 14:44:08.603054	26449	547	3	2
2014-03-26 14:44:08.838816	26450	1084288.219935082	4	2
2014-03-26 14:44:14.95073	26451	20.6	1	1
2014-03-26 14:44:15.175545	26452	53	2	1
2014-03-26 14:44:20.60757	26453	579	3	2
2014-03-26 14:44:20.859501	26454	1084289.3689698032	4	2
2014-03-26 14:44:32.607528	26455	579	3	2
2014-03-26 14:44:32.831463	26456	1084291.667039246	4	2
2014-03-26 14:44:39.149231	26457	20.6	1	8
2014-03-26 14:44:39.384131	26458	51	2	8
2014-03-26 14:44:44.60638	26459	547	3	2
2014-03-26 14:44:44.834386	26460	1084292.8160739674	4	2
2014-03-26 14:44:53.949413	26461	20.6	1	1
2014-03-26 14:44:54.183311	26462	53	2	1
2014-03-26 14:44:56.609208	26463	547	3	2
2014-03-26 14:44:56.833344	26464	1084295.1141434102	4	2
2014-03-26 14:45:08.609236	26465	579	3	2
2014-03-26 14:45:08.842464	26466	1084297.412212853	4	2
2014-03-26 14:45:18.147202	26467	20.6	1	8
2014-03-26 14:45:18.372788	26468	51	2	8
2014-03-26 14:45:20.607399	26469	547	3	2
2014-03-26 14:45:20.840618	26470	1084298.5612475746	4	2
2014-03-26 14:45:32.608448	26471	547	3	2
2014-03-26 14:45:32.832769	26472	1084300.8593170173	4	2
2014-03-26 14:45:33.140114	26473	20.6	1	1
2014-03-26 14:45:33.374957	26474	53	2	1
2014-03-26 14:45:57.148821	26475	20.6	1	8
2014-03-26 14:45:57.371898	26476	51	2	8
2014-03-26 14:46:11.947302	26477	20.6	1	1
2014-03-26 14:46:12.181455	26478	53	2	1
2014-03-26 14:46:32.610005	26479	547	3	2
2014-03-26 14:46:32.834715	26480	1084310.0515947887	4	2
2014-03-26 14:46:36.14745	26481	20.6	1	8
2014-03-26 14:46:36.380735	26482	51	2	8
2014-03-26 14:46:50.948478	26483	20.6	1	1
2014-03-26 14:46:51.17289	26484	53	2	1
2014-03-26 14:47:15.148603	26485	20.6	1	8
2014-03-26 14:47:15.383588	26486	51	2	8
2014-03-26 14:47:30.081737	26487	20.6	1	1
2014-03-26 14:47:30.499992	26488	53	2	1
2014-03-26 14:47:32.739976	26489	531	3	2
2014-03-26 14:47:33.176876	26490	1084319.24387256	4	2
2014-03-26 14:47:54.148532	26491	20.6	1	8
2014-03-26 14:47:54.374172	26492	51	2	8
2014-03-26 14:48:08.954279	26493	20.6	1	1
2014-03-26 14:48:09.187223	26494	53	2	1
2014-03-26 14:48:32.608182	26495	531	3	2
2014-03-26 14:48:32.864112	26496	1084328.4361503313	4	2
2014-03-26 14:48:33.174838	26497	20.6	1	8
2014-03-26 14:48:33.408026	26498	51	2	8
2014-03-26 14:48:47.950242	26499	20.6	1	1
2014-03-26 14:48:48.176779	26500	53	2	1
2014-03-26 14:49:12.149367	26501	20.6	1	8
2014-03-26 14:49:12.395478	26502	51	2	8
2014-03-26 14:49:26.945101	26503	20.6	1	1
2014-03-26 14:49:27.176736	26504	53	2	1
2014-03-26 14:49:32.608755	26505	531	3	2
2014-03-26 14:49:32.845745	26506	1084336.4793933812	4	2
2014-03-26 14:49:44.606192	26507	498	3	2
2014-03-26 14:49:44.831771	26508	1084338.777462824	4	2
2014-03-26 14:49:51.149926	26509	20.6	1	8
2014-03-26 14:49:51.383624	26510	51	2	8
2014-03-26 14:49:56.605639	26511	498	3	2
2014-03-26 14:49:56.835198	26512	1084339.9264975456	4	2
2014-03-26 14:50:05.946535	26513	20.6	1	1
2014-03-26 14:50:06.179191	26514	53	2	1
2014-03-26 14:50:30.147888	26515	20.6	1	8
2014-03-26 14:50:30.376911	26516	51	2	8
2014-03-26 14:50:32.606896	26517	482	3	2
2014-03-26 14:50:32.840694	26518	1084345.6716711526	4	2
2014-03-26 14:50:45.077931	26519	20.6	1	1
2014-03-26 14:50:45.500064	26520	53	2	1
2014-03-26 14:51:09.610052	26521	20.6	1	8
2014-03-26 14:51:10.630767	26522	51	2	8
2014-03-26 14:51:23.942207	26523	20.6	1	1
2014-03-26 14:51:24.168053	26524	53	2	1
2014-03-26 14:51:32.609233	26525	482	3	2
2014-03-26 14:51:32.843433	26526	1084353.7149142025	4	2
2014-03-26 14:51:48.149223	26527	20.6	1	8
2014-03-26 14:51:48.373527	26528	51	2	8
2014-03-26 14:52:02.945718	26529	20.6	1	1
2014-03-26 14:52:03.179417	26530	52	2	1
2014-03-26 14:52:20.605741	26531	515	3	2
2014-03-26 14:52:20.859022	26532	1084359.4600878095	4	2
2014-03-26 14:52:27.150641	26533	20.6	1	8
2014-03-26 14:52:27.383024	26534	51	2	8
2014-03-26 14:52:41.746213	26535	498	3	2
2014-03-26 14:52:41.973002	26536	1084361.7581572523	4	2
2014-03-26 14:52:42.282475	26537	20.6	1	1
2014-03-26 14:52:42.514418	26538	52	2	1
2014-03-26 14:53:06.150977	26539	20.6	1	8
2014-03-26 14:53:06.374987	26540	51	2	8
2014-03-26 14:53:21.072076	26541	20.6	1	1
2014-03-26 14:53:21.520098	26542	52	2	1
2014-03-26 14:53:32.602739	26543	498	3	2
2014-03-26 14:53:32.828468	26544	1084369.8014003022	4	2
2014-03-26 14:53:45.148748	26545	20.6	1	8
2014-03-26 14:53:45.381681	26546	51	2	8
2014-03-26 14:53:59.94618	26547	20.6	1	1
2014-03-26 14:54:00.224987	26548	52	2	1
2014-03-26 14:54:24.149362	26549	20.6	1	8
2014-03-26 14:54:24.393307	26550	51	2	8
2014-03-26 14:54:32.60984	26551	482	3	2
2014-03-26 14:54:32.83385	26552	1084377.844643352	4	2
2014-03-26 14:54:38.944287	26553	20.6	1	1
2014-03-26 14:54:39.180508	26554	52	2	1
2014-03-26 14:55:03.150771	26555	20.6	1	8
2014-03-26 14:55:03.375139	26556	51	2	8
2014-03-26 14:55:17.941625	26557	20.6	1	1
2014-03-26 14:55:18.177174	26558	52	2	1
2014-03-26 14:55:32.605428	26559	482	3	2
2014-03-26 14:55:32.830302	26560	1084385.887886402	4	2
2014-03-26 14:55:42.14814	26561	20.6	1	8
2014-03-26 14:55:42.384747	26562	51	2	8
2014-03-26 14:55:56.940229	26563	20.6	1	1
2014-03-26 14:55:57.164014	26564	52	2	1
2014-03-26 14:56:20.602493	26565	531	3	2
2014-03-26 14:56:20.836543	26566	1084392.7820947305	4	2
2014-03-26 14:56:21.148193	26567	20.6	1	8
2014-03-26 14:56:21.376014	26568	51	2	8
2014-03-26 14:56:32.603458	26569	547	3	2
2014-03-26 14:56:32.838667	26570	1084393.931129452	4	2
2014-03-26 14:56:35.943113	26571	20.6	1	1
2014-03-26 14:56:36.165608	26572	52	2	1
2014-03-26 14:57:00.180075	26573	20.6	1	8
2014-03-26 14:57:00.438812	26574	51	2	8
2014-03-26 14:57:08.610694	26575	466	3	2
2014-03-26 14:57:08.835669	26576	1084399.676303059	4	2
2014-03-26 14:57:14.939936	26577	20.6	1	1
2014-03-26 14:57:15.173776	26578	52	2	1
2014-03-26 14:57:20.605836	26579	466	3	2
2014-03-26 14:57:20.833917	26580	1084400.8253377804	4	2
2014-03-26 14:57:32.6097	26581	482	3	2
2014-03-26 14:57:32.8437	26582	1084403.1234072233	4	2
2014-03-26 14:57:39.147625	26583	20.6	1	8
2014-03-26 14:57:39.374274	26584	51	2	8
2014-03-26 14:57:53.939636	26585	20.6	1	1
2014-03-26 14:57:54.172861	26586	52	2	1
2014-03-26 14:58:18.148649	26587	20.6	1	8
2014-03-26 14:58:18.373493	26588	51	2	8
2014-03-26 14:58:32.740495	26589	482	3	2
2014-03-26 14:58:32.978769	26590	1084411.1666502731	4	2
2014-03-26 14:58:33.286522	26591	20.6	1	1
2014-03-26 14:58:33.509255	26592	52	2	1
2014-03-26 14:58:57.147607	26593	20.6	1	8
2014-03-26 14:58:57.382044	26594	51	2	8
2014-03-26 14:59:11.944253	26595	20.6	1	1
2014-03-26 14:59:12.167786	26596	52	2	1
2014-03-26 14:59:32.604147	26597	466	3	2
2014-03-26 14:59:32.849197	26598	1084419.209893323	4	2
2014-03-26 14:59:36.148055	26599	20.6	1	8
2014-03-26 14:59:36.371496	26600	51	2	8
2014-03-26 14:59:50.937829	26601	20.6	1	1
2014-03-26 14:59:51.173818	26602	52	2	1
2014-03-26 15:00:15.150163	26603	20.6	1	8
2014-03-26 15:00:15.374279	26604	51	2	8
2014-03-26 15:00:29.938993	26605	20.6	1	1
2014-03-26 15:00:30.173773	26606	52	2	1
2014-03-26 15:00:32.607295	26607	482	3	2
2014-03-26 15:00:32.829105	26608	1084426.108572604	4	2
2014-03-26 15:00:54.14713	26609	20.6	1	8
2014-03-26 15:00:54.383338	26610	51	2	8
2014-03-26 15:01:08.939734	26611	20.6	1	1
2014-03-26 15:01:09.161534	26612	52	2	1
2014-03-26 15:01:32.603877	26613	466	3	2
2014-03-26 15:01:32.839199	26614	1084433.0027809322	4	2
2014-03-26 15:01:33.1486	26615	20.6	1	8
2014-03-26 15:01:33.372969	26616	51	2	8
2014-03-26 15:01:47.940456	26617	20.6	1	1
2014-03-26 15:01:48.174337	26618	52	2	1
2014-03-26 15:02:12.147797	26619	20.6	1	8
2014-03-26 15:02:12.371209	26620	51	2	8
2014-03-26 15:02:26.940843	26621	20.6	1	1
2014-03-26 15:02:27.174184	26622	52	2	1
2014-03-26 15:02:32.605401	26623	434	3	2
2014-03-26 15:02:32.832164	26624	1084441.046023982	4	2
2014-03-26 15:02:44.606518	26625	450	3	2
2014-03-26 15:02:44.841894	26626	1084442.1950587037	4	2
2014-03-26 15:02:51.148728	26627	20.6	1	8
2014-03-26 15:02:51.372837	26628	51	2	8
2014-03-26 15:03:05.942019	26629	20.6	1	1
2014-03-26 15:03:06.174477	26630	52	2	1
2014-03-26 15:03:30.148013	26631	20.6	1	8
2014-03-26 15:03:30.37105	26632	51	2	8
2014-03-26 15:03:32.604502	26633	434	3	2
2014-03-26 15:03:32.840572	26634	1084449.0892670322	4	2
2014-03-26 15:03:44.941055	26635	20.6	1	1
2014-03-26 15:03:45.166894	26636	52	2	1
2014-03-26 15:04:09.14799	26637	20.6	1	8
2014-03-26 15:04:09.383356	26638	51	2	8
2014-03-26 15:04:23.939842	26639	20.6	1	1
2014-03-26 15:04:24.164495	26640	52	2	1
2014-03-26 15:04:32.604919	26641	434	3	2
2014-03-26 15:04:32.840616	26642	1084455.9834753606	4	2
2014-03-26 15:04:48.148116	26643	20.6	1	8
2014-03-26 15:04:48.373112	26644	51	2	8
2014-03-26 15:05:02.935983	26645	20.6	1	1
2014-03-26 15:05:03.184597	26646	52	2	1
2014-03-26 15:05:27.149935	26647	20.6	1	8
2014-03-26 15:05:27.380012	26648	51	2	8
2014-03-26 15:05:32.603241	26649	434	3	2
2014-03-26 15:05:32.842982	26650	1084462.8776836891	4	2
2014-03-26 15:05:41.937677	26651	20.6	1	1
2014-03-26 15:05:42.163545	26652	52	2	1
2014-03-26 15:06:06.148804	26653	20.6	1	8
2014-03-26 15:06:06.384443	26654	51	2	8
2014-03-26 15:06:20.935508	26655	20.6	1	1
2014-03-26 15:06:21.159541	26656	52	2	1
2014-03-26 15:06:32.607274	26657	434	3	2
2014-03-26 15:06:32.875555	26658	1084470.920926739	4	2
2014-03-26 15:06:45.147613	26659	20.6	1	8
2014-03-26 15:06:45.405677	26660	51	2	8
2014-03-26 15:06:59.937152	26661	20.6	1	1
2014-03-26 15:07:00.225911	26662	52	2	1
2014-03-26 15:07:24.148659	26663	20.6	1	8
2014-03-26 15:07:24.405988	26664	51	2	8
2014-03-26 15:07:32.60513	26665	434	3	2
2014-03-26 15:07:32.891082	26666	1084477.8151350676	4	2
2014-03-26 15:07:38.93661	26667	20.6	1	1
2014-03-26 15:07:39.161741	26668	52	2	1
2014-03-26 15:08:03.148713	26669	20.6	1	8
2014-03-26 15:08:03.384037	26670	51	2	8
2014-03-26 15:08:17.942593	26671	20.6	1	1
2014-03-26 15:08:18.167673	26672	52	2	1
2014-03-26 15:08:32.604848	26673	434	3	2
2014-03-26 15:08:32.841113	26674	1084484.709343396	4	2
2014-03-26 15:08:42.148059	26675	20.6	1	8
2014-03-26 15:08:42.370906	26676	51	2	8
2014-03-26 15:08:56.937133	26677	20.6	1	1
2014-03-26 15:08:57.172263	26678	52	2	1
2014-03-26 15:09:08.605457	26679	482	3	2
2014-03-26 15:09:08.832887	26680	1084489.3054822816	4	2
2014-03-26 15:09:20.603501	26681	466	3	2
2014-03-26 15:09:20.841841	26682	1084491.6035517245	4	2
2014-03-26 15:09:21.160826	26683	20.6	1	8
2014-03-26 15:09:21.385453	26684	51	2	8
2014-03-26 15:09:32.6069	26685	466	3	2
2014-03-26 15:09:32.844465	26686	1084492.7525864458	4	2
2014-03-26 15:09:35.938151	26687	20.6	1	1
2014-03-26 15:09:36.161568	26688	52	2	1
2014-03-26 15:10:00.148232	26689	20.6	1	8
2014-03-26 15:10:00.385726	26690	51	2	8
2014-03-26 15:10:14.934604	26691	20.7	1	1
2014-03-26 15:10:15.160667	26692	52	2	1
2014-03-26 15:10:32.604272	26693	482	3	2
2014-03-26 15:10:32.850334	26694	1084500.7958294959	4	2
2014-03-26 15:10:39.149673	26695	20.6	1	8
2014-03-26 15:10:39.375184	26696	51	2	8
2014-03-26 15:10:53.935181	26697	20.7	1	1
2014-03-26 15:10:54.3558	26698	52	2	1
2014-03-26 15:11:18.148918	26699	20.6	1	8
2014-03-26 15:11:18.378547	26700	51	2	8
2014-03-26 15:11:32.604913	26701	482	3	2
2014-03-26 15:11:32.828273	26702	1084508.8390725458	4	2
2014-03-26 15:11:33.134284	26703	20.7	1	1
2014-03-26 15:11:33.366464	26704	52	2	1
2014-03-26 15:11:57.149677	26705	20.6	1	8
2014-03-26 15:11:57.373537	26706	51	2	8
2014-03-26 15:12:11.931668	26707	20.7	1	1
2014-03-26 15:12:12.165719	26708	52	2	1
2014-03-26 15:12:32.606271	26709	466	3	2
2014-03-26 15:12:32.829382	26710	1084516.8823155956	4	2
2014-03-26 15:12:36.148814	26711	20.6	1	8
2014-03-26 15:12:36.383276	26712	51	2	8
2014-03-26 15:12:50.928557	26713	20.7	1	1
2014-03-26 15:12:51.502056	26714	52	2	1
2014-03-26 15:13:15.147846	26715	20.6	1	8
2014-03-26 15:13:15.380561	26716	51	2	8
2014-03-26 15:13:29.928754	26717	20.7	1	1
2014-03-26 15:13:30.151895	26718	52	2	1
2014-03-26 15:13:32.604327	26719	466	3	2
2014-03-26 15:13:32.837135	26720	1084523.776523924	4	2
2014-03-26 15:13:54.149418	26721	20.6	1	8
2014-03-26 15:13:54.373016	26722	51	2	8
2014-03-26 15:14:08.930273	26723	20.7	1	1
2014-03-26 15:14:09.164092	26724	52	2	1
2014-03-26 15:14:32.602291	26725	466	3	2
2014-03-26 15:14:32.827851	26726	1084531.819766974	4	2
2014-03-26 15:14:33.147524	26727	20.6	1	8
2014-03-26 15:14:33.380435	26728	51	2	8
2014-03-26 15:14:48.172169	26729	20.7	1	1
2014-03-26 15:14:48.39662	26730	52	2	1
2014-03-26 15:14:56.601279	26731	434	3	2
2014-03-26 15:14:56.837801	26732	1084535.2668711382	4	2
2014-03-26 15:15:08.604796	26733	434	3	2
2014-03-26 15:15:08.829393	26734	1084536.4159058596	4	2
2014-03-26 15:15:12.147747	26735	20.6	1	8
2014-03-26 15:15:12.380857	26736	51	2	8
2014-03-26 15:15:26.933244	26737	20.7	1	1
2014-03-26 15:15:27.156049	26738	52	2	1
2014-03-26 15:15:32.604038	26739	434	3	2
2014-03-26 15:15:32.836822	26740	1084539.863010024	4	2
2014-03-26 15:15:51.147764	26741	20.6	1	8
2014-03-26 15:15:51.36995	26742	51	2	8
2014-03-26 15:16:05.935225	26743	20.7	1	1
2014-03-26 15:16:06.199866	26744	52	2	1
2014-03-26 15:16:30.150477	26745	20.6	1	8
2014-03-26 15:16:30.374172	26746	51	2	8
2014-03-26 15:16:32.603081	26747	434	3	2
2014-03-26 15:16:32.838577	26748	1084546.7572183523	4	2
2014-03-26 15:16:44.928722	26749	20.7	1	1
2014-03-26 15:16:45.151127	26750	52	2	1
2014-03-26 15:17:09.147202	26751	20.6	1	8
2014-03-26 15:17:09.382826	26752	51	2	8
2014-03-26 15:17:23.929377	26753	20.7	1	1
2014-03-26 15:17:24.153924	26754	52	2	1
2014-03-26 15:17:32.60089	26755	434	3	2
2014-03-26 15:17:32.834553	26756	1084553.6514266809	4	2
2014-03-26 15:17:48.146651	26757	20.5	1	8
2014-03-26 15:17:48.37313	26758	51	2	8
2014-03-26 15:18:02.928105	26759	20.7	1	1
2014-03-26 15:18:03.161701	26760	52	2	1
2014-03-26 15:18:27.146024	26761	20.5	1	8
2014-03-26 15:18:27.369633	26762	50	2	8
2014-03-26 15:18:32.606398	26763	418	3	2
2014-03-26 15:18:32.839405	26764	1084561.6946697307	4	2
2014-03-26 15:18:41.926069	26765	20.7	1	1
2014-03-26 15:18:42.149026	26766	52	2	1
2014-03-26 15:19:06.147549	26767	20.5	1	8
2014-03-26 15:19:06.387233	26768	50	2	8
2014-03-26 15:19:20.930599	26769	20.7	1	1
2014-03-26 15:19:21.154465	26770	52	2	1
2014-03-26 15:19:32.601666	26771	402	3	2
2014-03-26 15:19:32.838197	26772	1084568.5888780593	4	2
2014-03-26 15:19:45.149043	26773	20.5	1	8
2014-03-26 15:19:45.371675	26774	50	2	8
2014-03-26 15:19:59.929268	26775	20.7	1	1
2014-03-26 15:20:00.163695	26776	52	2	1
2014-03-26 15:20:24.146033	26777	20.5	1	8
2014-03-26 15:20:24.369507	26778	51	2	8
2014-03-26 15:20:32.6025	26779	402	3	2
2014-03-26 15:20:32.836873	26780	1084575.4830863879	4	2
2014-03-26 15:20:38.929198	26781	20.7	1	1
2014-03-26 15:20:39.152672	26782	52	2	1
2014-03-26 15:21:03.14751	26783	20.5	1	8
2014-03-26 15:21:03.381967	26784	51	2	8
2014-03-26 15:21:17.930998	26785	20.7	1	1
2014-03-26 15:21:18.157584	26786	52	2	1
2014-03-26 15:21:32.602604	26787	434	3	2
2014-03-26 15:21:32.837721	26788	1084582.3772947162	4	2
2014-03-26 15:21:42.150588	26789	20.5	1	8
2014-03-26 15:21:42.374358	26790	50	2	8
2014-03-26 15:21:44.603012	26791	450	3	2
2014-03-26 15:21:44.847952	26792	1084583.5263294377	4	2
2014-03-26 15:21:56.925529	26793	20.7	1	1
2014-03-26 15:21:57.151416	26794	52	2	1
2014-03-26 15:22:21.147534	26795	20.5	1	8
2014-03-26 15:22:21.383541	26796	50	2	8
2014-03-26 15:22:32.60357	26797	466	3	2
2014-03-26 15:22:32.84748	26798	1084589.2715030448	4	2
2014-03-26 15:22:35.925599	26799	20.7	1	1
2014-03-26 15:22:36.159184	26800	52	2	1
2014-03-26 15:22:44.603559	26801	498	3	2
2014-03-26 15:22:44.830079	26802	1084591.5695724876	4	2
2014-03-26 15:22:58.140973	26803	466	3	2
2014-03-26 15:22:58.374978	26804	1084592.718607209	4	2
2014-03-26 15:23:00.148146	26805	20.5	1	8
2014-03-26 15:23:00.373986	26806	50	2	8
2014-03-26 15:23:08.600929	26807	482	3	2
2014-03-26 15:23:08.837114	26808	1084595.0166766518	4	2
2014-03-26 15:23:14.924874	26809	20.7	1	1
2014-03-26 15:23:15.147541	26810	52	2	1
2014-03-26 15:23:32.603795	26811	466	3	2
2014-03-26 15:23:32.837766	26812	1084597.3147460946	4	2
2014-03-26 15:23:39.146224	26813	20.5	1	8
2014-03-26 15:23:39.37012	26814	50	2	8
2014-03-26 15:23:53.930002	26815	20.7	1	1
2014-03-26 15:23:54.163711	26816	52	2	1
2014-03-26 15:24:18.147782	26817	20.5	1	8
2014-03-26 15:24:18.370672	26818	50	2	8
2014-03-26 15:24:32.602343	26819	466	3	2
2014-03-26 15:24:32.839031	26820	1084605.3579891445	4	2
2014-03-26 15:24:33.146631	26821	20.7	1	1
2014-03-26 15:24:33.369549	26822	52	2	1
2014-03-26 15:24:57.148556	26823	20.5	1	8
2014-03-26 15:24:57.382081	26824	50	2	8
2014-03-26 15:25:11.929456	26825	20.7	1	1
2014-03-26 15:25:12.153105	26826	52	2	1
2014-03-26 15:25:32.604049	26827	466	3	2
2014-03-26 15:25:32.841774	26828	1084613.4012321944	4	2
2014-03-26 15:25:36.148576	26829	20.5	1	8
2014-03-26 15:25:36.37121	26830	50	2	8
2014-03-26 15:25:50.922956	26831	20.7	1	1
2014-03-26 15:25:51.157044	26832	52	2	1
2014-03-26 15:26:15.148157	26833	20.5	1	8
2014-03-26 15:26:15.372793	26834	50	2	8
2014-03-26 15:26:29.926052	26835	20.7	1	1
2014-03-26 15:26:30.163949	26836	52	2	1
2014-03-26 15:26:32.604681	26837	482	3	2
2014-03-26 15:26:32.827804	26838	1084621.4444752443	4	2
2014-03-26 15:26:54.149374	26839	20.5	1	8
2014-03-26 15:26:54.397669	26840	50	2	8
2014-03-26 15:27:08.604676	26841	434	3	2
2014-03-26 15:27:08.830959	26842	1084626.04061413	4	2
2014-03-26 15:27:09.139736	26843	20.7	1	1
2014-03-26 15:27:09.372757	26844	52	2	1
2014-03-26 15:27:20.604404	26845	418	3	2
2014-03-26 15:27:20.830268	26846	1084627.1896488515	4	2
2014-03-26 15:27:32.599989	26847	434	3	2
2014-03-26 15:27:32.843889	26848	1084629.4877182941	4	2
2014-03-26 15:27:33.152209	26849	20.5	1	8
2014-03-26 15:27:33.376486	26850	50	2	8
2014-03-26 15:27:47.923738	26851	20.7	1	1
2014-03-26 15:27:48.159142	26852	52	2	1
2014-03-26 15:28:12.147206	26853	20.5	1	8
2014-03-26 15:28:12.373332	26854	50	2	8
2014-03-26 15:28:26.922253	26855	20.7	1	1
2014-03-26 15:28:27.155439	26856	52	2	1
2014-03-26 15:28:32.603249	26857	434	3	2
2014-03-26 15:28:32.827027	26858	1084636.3819266227	4	2
2014-03-26 15:28:51.147053	26859	20.5	1	8
2014-03-26 15:28:51.38203	26860	51	2	8
2014-03-26 15:29:05.920492	26861	20.7	1	1
2014-03-26 15:29:06.143103	26862	52	2	1
2014-03-26 15:29:30.14642	26863	20.5	1	8
2014-03-26 15:29:30.380916	26864	51	2	8
2014-03-26 15:29:32.602816	26865	418	3	2
2014-03-26 15:29:32.826834	26866	1084643.2761349513	4	2
2014-03-26 15:29:44.928158	26867	20.8	1	1
2014-03-26 15:29:45.160968	26868	52	2	1
2014-03-26 15:30:09.148665	26869	20.5	1	8
2014-03-26 15:30:09.371832	26870	50	2	8
2014-03-26 15:30:23.922711	26871	20.8	1	1
2014-03-26 15:30:24.157208	26872	52	2	1
2014-03-26 15:30:32.604693	26873	450	3	2
2014-03-26 15:30:32.830824	26874	1084650.1703432798	4	2
2014-03-26 15:30:44.604263	26875	434	3	2
2014-03-26 15:30:44.842464	26876	1084652.4684127225	4	2
2014-03-26 15:30:48.146957	26877	20.5	1	8
2014-03-26 15:30:48.372081	26878	51	2	8
2014-03-26 15:31:02.926462	26879	20.8	1	1
2014-03-26 15:31:03.15892	26880	52	2	1
2014-03-26 15:31:27.147055	26881	20.5	1	8
2014-03-26 15:31:27.370573	26882	50	2	8
2014-03-26 15:31:32.603899	26883	418	3	2
2014-03-26 15:31:32.838722	26884	1084658.2135863297	4	2
2014-03-26 15:31:41.924445	26885	20.8	1	1
2014-03-26 15:31:42.149188	26886	52	2	1
2014-03-26 15:32:06.15053	26887	20.5	1	8
2014-03-26 15:32:06.397589	26888	50	2	8
2014-03-26 15:32:20.923172	26889	20.8	1	1
2014-03-26 15:32:21.149202	26890	52	2	1
2014-03-26 15:32:32.601955	26891	434	3	2
2014-03-26 15:32:32.8364	26892	1084665.107794658	4	2
2014-03-26 15:32:45.151398	26893	20.5	1	8
2014-03-26 15:32:45.377908	26894	50	2	8
2014-03-26 15:32:59.92573	26895	20.8	1	1
2014-03-26 15:33:00.159752	26896	52	2	1
2014-03-26 15:33:24.149574	26897	20.5	1	8
2014-03-26 15:33:24.375276	26898	50	2	8
2014-03-26 15:33:32.602828	26899	434	3	2
2014-03-26 15:33:32.838632	26900	1084672.0020029866	4	2
2014-03-26 15:33:38.923983	26901	20.8	1	1
2014-03-26 15:33:39.148287	26902	52	2	1
2014-03-26 15:33:44.603772	26903	482	3	2
2014-03-26 15:33:44.842039	26904	1084674.3000724295	4	2
2014-03-26 15:33:56.602824	26905	466	3	2
2014-03-26 15:33:56.827506	26906	1084675.4491071508	4	2
2014-03-26 15:34:03.149401	26907	20.5	1	8
2014-03-26 15:34:03.387212	26908	50	2	8
2014-03-26 15:34:17.924343	26909	20.8	1	1
2014-03-26 15:34:18.147022	26910	52	2	1
2014-03-26 15:34:32.604862	26911	466	3	2
2014-03-26 15:34:32.840859	26912	1084680.0452460365	4	2
2014-03-26 15:34:42.148064	26913	20.5	1	8
2014-03-26 15:34:42.371778	26914	50	2	8
2014-03-26 15:34:56.91989	26915	20.8	1	1
2014-03-26 15:34:57.153974	26916	52	2	1
2014-03-26 15:35:21.148019	26917	20.5	1	8
2014-03-26 15:35:21.371621	26918	50	2	8
2014-03-26 15:35:32.604013	26919	466	3	2
2014-03-26 15:35:32.84147	26920	1084688.0884890864	4	2
2014-03-26 15:35:35.924616	26921	20.8	1	1
2014-03-26 15:35:36.14863	26922	52	2	1
2014-03-26 15:35:44.602964	26923	531	3	2
2014-03-26 15:35:44.839588	26924	1084690.3865585292	4	2
2014-03-26 15:35:56.603587	26925	531	3	2
2014-03-26 15:35:56.83116	26926	1084691.5355932508	4	2
2014-03-26 15:36:00.148828	26927	20.5	1	8
2014-03-26 15:36:00.383735	26928	50	2	8
2014-03-26 15:36:14.922383	26929	20.8	1	1
2014-03-26 15:36:15.145911	26930	52	2	1
2014-03-26 15:36:32.605379	26931	531	3	2
2014-03-26 15:36:32.840966	26932	1084697.2807668578	4	2
2014-03-26 15:36:39.147828	26933	20.5	1	8
2014-03-26 15:36:39.372044	26934	50	2	8
2014-03-26 15:36:53.92244	26935	20.8	1	1
2014-03-26 15:36:54.167881	26936	52	2	1
2014-03-26 15:37:18.147763	26937	20.5	1	8
2014-03-26 15:37:18.371543	26938	50	2	8
2014-03-26 15:37:32.602496	26939	531	3	2
2014-03-26 15:37:32.838233	26940	1084705.3240099077	4	2
2014-03-26 15:37:33.149387	26941	20.8	1	1
2014-03-26 15:37:33.37354	26942	52	2	1
2014-03-26 15:37:57.151349	26943	20.5	1	8
2014-03-26 15:37:57.397515	26944	50	2	8
2014-03-26 15:38:11.922241	26945	20.8	1	1
2014-03-26 15:38:12.146018	26946	52	2	1
2014-03-26 15:38:32.603069	26947	531	3	2
2014-03-26 15:38:32.837878	26948	1084714.5162876789	4	2
2014-03-26 15:38:36.147846	26949	20.5	1	8
2014-03-26 15:38:36.374026	26950	50	2	8
2014-03-26 15:38:50.92338	26951	20.8	1	1
2014-03-26 15:38:51.156491	26952	52	2	1
2014-03-26 15:39:15.146692	26953	20.5	1	8
2014-03-26 15:39:15.373446	26954	50	2	8
2014-03-26 15:39:29.920291	26955	20.8	1	1
2014-03-26 15:39:30.154881	26956	52	2	1
2014-03-26 15:39:44.461714	26957	515	3	2
2014-03-26 15:39:44.687362	26958	1084722.564001681	4	2
2014-03-26 15:39:44.994341	26959	482	3	2
2014-03-26 15:39:45.226738	26960	1084723.7130364026	4	2
2014-03-26 15:39:54.146129	26961	20.5	1	8
2014-03-26 15:39:54.370669	26962	50	2	8
2014-03-26 15:39:56.603979	26963	482	3	2
2014-03-26 15:39:56.838452	26964	1084726.0111058454	4	2
2014-03-26 15:40:08.921407	26965	20.8	1	1
2014-03-26 15:40:09.146078	26966	52	2	1
2014-03-26 15:40:32.611408	26967	466	3	2
2014-03-26 15:40:32.847028	26968	1084730.607244731	4	2
2014-03-26 15:40:33.154301	26969	20.5	1	8
2014-03-26 15:40:33.378827	26970	50	2	8
2014-03-26 15:40:47.920115	26971	20.8	1	1
2014-03-26 15:40:48.155368	26972	52	2	1
2014-03-26 15:41:12.146569	26973	20.5	1	8
2014-03-26 15:41:12.371654	26974	50	2	8
2014-03-26 15:41:26.915682	26975	20.8	1	1
2014-03-26 15:41:27.148912	26976	52	2	1
2014-03-26 15:41:32.600247	26977	482	3	2
2014-03-26 15:41:32.826237	26978	1084738.6504877808	4	2
2014-03-26 15:41:51.150359	26979	20.5	1	8
2014-03-26 15:41:51.385729	26980	50	2	8
2014-03-26 15:42:05.920003	26981	20.8	1	1
2014-03-26 15:42:06.147227	26982	52	2	1
2014-03-26 15:42:30.147497	26983	20.5	1	8
2014-03-26 15:42:30.393295	26984	50	2	8
2014-03-26 15:42:32.60112	26985	482	3	2
2014-03-26 15:42:32.824131	26986	1084746.693730831	4	2
2014-03-26 15:42:44.918128	26987	20.7	1	1
2014-03-26 15:42:45.157189	26988	52	2	1
2014-03-26 15:43:09.150388	26989	20.5	1	8
2014-03-26 15:43:09.37461	26990	50	2	8
2014-03-26 15:43:23.916354	26991	20.7	1	1
2014-03-26 15:43:24.152197	26992	52	2	1
2014-03-26 15:43:32.604099	26993	482	3	2
2014-03-26 15:43:32.826548	26994	1084754.7369738808	4	2
2014-03-26 15:43:48.148504	26995	20.5	1	8
2014-03-26 15:43:48.384477	26996	50	2	8
2014-03-26 15:44:02.913068	26997	20.7	1	1
2014-03-26 15:44:03.135976	26998	52	2	1
2014-03-26 15:44:27.14729	26999	20.5	1	8
2014-03-26 15:44:27.381814	27000	50	2	8
2014-03-26 15:44:32.603645	27001	482	3	2
2014-03-26 15:44:32.82899	27002	1084762.7802169307	4	2
2014-03-26 15:44:41.911873	27003	20.7	1	1
2014-03-26 15:44:42.14445	27004	52	2	1
2014-03-26 15:45:06.146879	27005	20.5	1	8
2014-03-26 15:45:06.370527	27006	50	2	8
2014-03-26 15:45:20.914569	27007	20.7	1	1
2014-03-26 15:45:21.150712	27008	52	2	1
2014-03-26 15:45:32.603196	27009	498	3	2
2014-03-26 15:45:32.829507	27010	1084770.8234599805	4	2
2014-03-26 15:45:45.147039	27011	20.5	1	8
2014-03-26 15:45:45.380814	27012	50	2	8
2014-03-26 15:45:59.914457	27013	20.7	1	1
2014-03-26 15:46:00.137625	27014	52	2	1
2014-03-26 15:46:08.601635	27015	531	3	2
2014-03-26 15:46:08.839093	27016	1084775.4195988663	4	2
2014-03-26 15:46:20.602242	27017	531	3	2
2014-03-26 15:46:20.827572	27018	1084777.717668309	4	2
2014-03-26 15:46:24.147309	27019	20.5	1	8
2014-03-26 15:46:24.3822	27020	50	2	8
2014-03-26 15:46:32.602827	27021	531	3	2
2014-03-26 15:46:32.828967	27022	1084778.8667030304	4	2
2014-03-26 15:46:38.914459	27023	20.7	1	1
2014-03-26 15:46:39.148687	27024	52	2	1
2014-03-26 15:47:03.148137	27025	20.5	1	8
2014-03-26 15:47:03.37324	27026	50	2	8
2014-03-26 15:47:17.91334	27027	20.7	1	1
2014-03-26 15:47:18.148229	27028	52	2	1
2014-03-26 15:47:32.602188	27029	547	3	2
2014-03-26 15:47:32.82808	27030	1084788.0589808018	4	2
2014-03-26 15:47:42.146535	27031	20.5	1	8
2014-03-26 15:47:42.394903	27032	50	2	8
2014-03-26 15:47:56.910914	27033	20.7	1	1
2014-03-26 15:47:57.138574	27034	52	2	1
2014-03-26 15:48:21.147958	27035	20.5	1	8
2014-03-26 15:48:21.382902	27036	50	2	8
2014-03-26 15:48:32.603131	27037	547	3	2
2014-03-26 15:48:32.827361	27038	1084797.251258573	4	2
2014-03-26 15:48:35.908837	27039	20.7	1	1
2014-03-26 15:48:36.143585	27040	52	2	1
2014-03-26 15:49:00.146895	27041	20.5	1	8
2014-03-26 15:49:00.374018	27042	50	2	8
2014-03-26 15:49:14.90901	27043	20.7	1	1
2014-03-26 15:49:15.142377	27044	52	2	1
2014-03-26 15:49:32.603487	27045	531	3	2
2014-03-26 15:49:32.828615	27046	1084806.4435363444	4	2
2014-03-26 15:49:39.147917	27047	20.5	1	8
2014-03-26 15:49:39.386645	27048	50	2	8
2014-03-26 15:49:53.909134	27049	20.7	1	1
2014-03-26 15:49:54.13309	27050	52	2	1
2014-03-26 15:49:56.60254	27051	482	3	2
2014-03-26 15:49:56.835792	27052	1084809.8906405086	4	2
2014-03-26 15:50:08.603994	27053	482	3	2
2014-03-26 15:50:08.828692	27054	1084811.0396752302	4	2
2014-03-26 15:50:18.147973	27055	20.5	1	8
2014-03-26 15:50:18.382095	27056	50	2	8
2014-03-26 15:50:32.603399	27057	482	3	2
2014-03-26 15:50:32.828716	27058	1084814.4867793943	4	2
2014-03-26 15:50:33.136193	27059	20.7	1	1
2014-03-26 15:50:33.368006	27060	52	2	1
2014-03-26 15:50:57.146052	27061	20.5	1	8
2014-03-26 15:50:57.37065	27062	50	2	8
2014-03-26 15:51:11.910217	27063	20.7	1	1
2014-03-26 15:51:12.142959	27064	52	2	1
2014-03-26 15:51:32.602268	27065	482	3	2
2014-03-26 15:51:32.829156	27066	1084822.5300224442	4	2
2014-03-26 15:51:36.145918	27067	20.5	1	8
2014-03-26 15:51:36.378555	27068	50	2	8
2014-03-26 15:51:50.910287	27069	20.8	1	1
2014-03-26 15:51:51.134581	27070	52	2	1
2014-03-26 15:51:56.602111	27071	450	3	2
2014-03-26 15:51:56.843445	27072	1084825.9771266084	4	2
2014-03-26 15:52:08.601728	27073	434	3	2
2014-03-26 15:52:08.828724	27074	1084827.12616133	4	2
2014-03-26 15:52:15.148583	27075	20.5	1	8
2014-03-26 15:52:15.382798	27076	50	2	8
2014-03-26 15:52:29.910069	27077	20.7	1	1
2014-03-26 15:52:30.132861	27078	52	2	1
2014-03-26 15:52:32.600865	27079	434	3	2
2014-03-26 15:52:32.847682	27080	1084830.573265494	4	2
2014-03-26 15:52:54.145671	27081	20.5	1	8
2014-03-26 15:52:54.372725	27082	50	2	8
2014-03-26 15:53:08.910417	27083	20.7	1	1
2014-03-26 15:53:09.146817	27084	52	2	1
2014-03-26 15:53:20.601755	27085	466	3	2
2014-03-26 15:53:20.824808	27086	1084836.318439101	4	2
2014-03-26 15:53:32.601249	27087	434	3	2
2014-03-26 15:53:32.846347	27088	1084837.4674738226	4	2
2014-03-26 15:53:33.155781	27089	20.5	1	8
2014-03-26 15:53:33.379104	27090	50	2	8
2014-03-26 15:53:44.599118	27091	434	3	2
2014-03-26 15:53:44.835156	27092	1084838.616508544	4	2
2014-03-26 15:53:47.909581	27093	20.8	1	1
2014-03-26 15:53:48.134008	27094	52	2	1
2014-03-26 15:54:12.149611	27095	20.5	1	8
2014-03-26 15:54:12.384273	27096	50	2	8
2014-03-26 15:54:20.600714	27097	466	3	2
2014-03-26 15:54:20.826763	27098	1084843.2126474297	4	2
2014-03-26 15:54:26.910623	27099	20.8	1	1
2014-03-26 15:54:27.143766	27100	52	2	1
2014-03-26 15:54:32.603955	27101	434	3	2
2014-03-26 15:54:32.832823	27102	1084844.361682151	4	2
2014-03-26 15:54:44.601034	27103	450	3	2
2014-03-26 15:54:44.83415	27104	1084846.6597515938	4	2
2014-03-26 15:54:51.147735	27105	20.5	1	8
2014-03-26 15:54:51.393564	27106	50	2	8
2014-03-26 15:55:05.905695	27107	20.8	1	1
2014-03-26 15:55:06.139738	27108	52	2	1
2014-03-26 15:55:30.149541	27109	20.5	1	8
2014-03-26 15:55:30.373376	27110	50	2	8
2014-03-26 15:55:32.602268	27111	434	3	2
2014-03-26 15:55:32.836585	27112	1084852.404925201	4	2
2014-03-26 15:55:44.907389	27113	20.8	1	1
2014-03-26 15:55:45.133158	27114	52	2	1
2014-03-26 15:56:09.147832	27115	20.5	1	8
2014-03-26 15:56:09.383628	27116	50	2	8
2014-03-26 15:56:23.906202	27117	20.8	1	1
2014-03-26 15:56:24.130995	27118	52	2	1
2014-03-26 15:56:32.606309	27119	434	3	2
2014-03-26 15:56:32.843565	27120	1084859.2991335294	4	2
2014-03-26 15:56:48.148663	27121	20.5	1	8
2014-03-26 15:56:48.373562	27122	50	2	8
2014-03-26 15:57:02.904309	27123	20.8	1	1
2014-03-26 15:57:03.138746	27124	52	2	1
2014-03-26 15:57:27.146768	27125	20.5	1	8
2014-03-26 15:57:27.371284	27126	50	2	8
2014-03-26 15:57:32.603492	27127	418	3	2
2014-03-26 15:57:32.850613	27128	1084866.193341858	4	2
2014-03-26 15:57:41.905184	27129	20.8	1	1
2014-03-26 15:57:42.13092	27130	52	2	1
2014-03-26 15:58:06.146108	27131	20.5	1	8
2014-03-26 15:58:06.380543	27132	50	2	8
2014-03-26 15:58:20.910042	27133	20.8	1	1
2014-03-26 15:58:21.134685	27134	52	2	1
2014-03-26 15:58:32.604279	27135	466	3	2
2014-03-26 15:58:32.83905	27136	1084874.2365849079	4	2
2014-03-26 15:58:44.946961	27137	466	3	2
2014-03-26 15:58:45.173748	27138	1084875.3856196292	4	2
2014-03-26 15:58:45.482591	27139	20.5	1	8
2014-03-26 15:58:45.715729	27140	50	2	8
2014-03-26 15:58:59.904918	27141	20.8	1	1
2014-03-26 15:59:00.134109	27142	52	2	1
2014-03-26 15:59:24.149655	27143	20.5	1	8
2014-03-26 15:59:24.383317	27144	50	2	8
2014-03-26 15:59:32.601199	27145	466	3	2
2014-03-26 15:59:32.824767	27146	1084881.1307932364	4	2
2014-03-26 15:59:38.905883	27147	20.8	1	1
2014-03-26 15:59:39.139026	27148	52	2	1
2014-03-26 16:00:03.148034	27149	20.5	1	8
2014-03-26 16:00:03.374622	27150	50	2	8
2014-03-26 16:00:17.94377	27151	20.8	1	1
2014-03-26 16:00:18.177625	27152	52	2	1
2014-03-26 16:00:32.602375	27153	482	3	2
2014-03-26 16:00:32.828919	27154	1084889.1740362863	4	2
2014-03-26 16:00:42.148046	27155	20.5	1	8
2014-03-26 16:00:42.383098	27156	50	2	8
2014-03-26 16:00:56.904315	27157	20.8	1	1
2014-03-26 16:00:57.129074	27158	52	2	1
2014-03-26 16:01:21.147431	27159	20.5	1	8
2014-03-26 16:01:21.381341	27160	50	2	8
2014-03-26 16:01:32.599588	27161	482	3	2
2014-03-26 16:01:32.825355	27162	1084897.2172793362	4	2
2014-03-26 16:01:35.903838	27163	20.8	1	1
2014-03-26 16:01:36.138484	27164	52	2	1
2014-03-26 16:02:00.14717	27165	20.5	1	8
2014-03-26 16:02:00.371802	27166	50	2	8
2014-03-26 16:02:14.905658	27167	20.8	1	1
2014-03-26 16:02:15.139204	27168	52	2	1
2014-03-26 16:02:32.600657	27169	466	3	2
2014-03-26 16:02:32.826804	27170	1084905.260522386	4	2
2014-03-26 16:02:39.147231	27171	20.5	1	8
2014-03-26 16:02:39.382078	27172	50	2	8
2014-03-26 16:02:53.905515	27173	20.8	1	1
2014-03-26 16:02:54.131564	27174	52	2	1
2014-03-26 16:03:18.146018	27175	20.5	1	8
2014-03-26 16:03:18.394398	27176	50	2	8
2014-03-26 16:03:32.602652	27177	466	3	2
2014-03-26 16:03:32.826648	27178	1084913.303765436	4	2
2014-03-26 16:03:33.136207	27179	20.8	1	1
2014-03-26 16:03:33.370889	27180	52	2	1
2014-03-26 16:03:57.146999	27181	20.5	1	8
2014-03-26 16:03:57.371637	27182	50	2	8
2014-03-26 16:04:08.604013	27183	434	3	2
2014-03-26 16:04:08.839039	27184	1084917.8999043216	4	2
2014-03-26 16:04:11.902612	27185	20.8	1	1
2014-03-26 16:04:12.127438	27186	52	2	1
2014-03-26 16:04:20.601552	27187	434	3	2
2014-03-26 16:04:20.836553	27188	1084919.048939043	4	2
2014-03-26 16:04:32.600764	27189	434	3	2
2014-03-26 16:04:32.845494	27190	1084920.1979737645	4	2
2014-03-26 16:04:36.148664	27191	20.5	1	8
2014-03-26 16:04:36.382794	27192	50	2	8
2014-03-26 16:04:50.900129	27193	20.7	1	1
2014-03-26 16:04:51.126137	27194	52	2	1
2014-03-26 16:05:15.147109	27195	20.5	1	8
2014-03-26 16:05:15.383717	27196	50	2	8
2014-03-26 16:05:29.901666	27197	20.7	1	1
2014-03-26 16:05:30.128326	27198	52	2	1
2014-03-26 16:05:32.601947	27199	434	3	2
2014-03-26 16:05:32.836062	27200	1084928.2412168144	4	2
2014-03-26 16:05:54.1456	27201	20.4	1	8
2014-03-26 16:05:54.37075	27202	50	2	8
2014-03-26 16:06:08.899755	27203	20.7	1	1
2014-03-26 16:06:09.137436	27204	52	2	1
2014-03-26 16:06:32.600062	27205	434	3	2
2014-03-26 16:06:32.835414	27206	1084935.135425143	4	2
2014-03-26 16:06:33.147837	27207	20.4	1	8
2014-03-26 16:06:33.38287	27208	50	2	8
2014-03-26 16:06:47.901573	27209	20.7	1	1
2014-03-26 16:06:48.128288	27210	52	2	1
2014-03-26 16:07:12.147956	27211	20.4	1	8
2014-03-26 16:07:12.384717	27212	50	2	8
2014-03-26 16:07:26.901991	27213	20.7	1	1
2014-03-26 16:07:27.125261	27214	52	2	1
2014-03-26 16:07:32.599939	27215	434	3	2
2014-03-26 16:07:32.835699	27216	1084942.0296334713	4	2
2014-03-26 16:07:51.146945	27217	20.4	1	8
2014-03-26 16:07:51.372859	27218	50	2	8
2014-03-26 16:08:05.904457	27219	20.7	1	1
2014-03-26 16:08:06.137329	27220	52	2	1
2014-03-26 16:08:30.147345	27221	20.4	1	8
2014-03-26 16:08:30.371999	27222	50	2	8
2014-03-26 16:08:32.600897	27223	434	3	2
2014-03-26 16:08:32.848859	27224	1084950.0728765212	4	2
2014-03-26 16:08:44.903623	27225	20.7	1	1
2014-03-26 16:08:45.127511	27226	52	2	1
2014-03-26 16:09:09.147707	27227	20.4	1	8
2014-03-26 16:09:09.381832	27228	50	2	8
2014-03-26 16:09:23.945163	27229	20.7	1	1
2014-03-26 16:09:24.171261	27230	52	2	1
2014-03-26 16:09:32.602115	27231	450	3	2
2014-03-26 16:09:32.837373	27232	1084956.9670848497	4	2
2014-03-26 16:09:48.148807	27233	20.4	1	8
2014-03-26 16:09:48.373429	27234	50	2	8
2014-03-26 16:10:02.900187	27235	20.7	1	1
2014-03-26 16:10:03.135847	27236	52	2	1
2014-03-26 16:10:27.1479	27237	20.4	1	8
2014-03-26 16:10:27.374329	27238	50	2	8
2014-03-26 16:10:32.601576	27239	482	3	2
2014-03-26 16:10:32.83633	27240	1084965.0103278996	4	2
2014-03-26 16:10:41.900363	27241	20.7	1	1
2014-03-26 16:10:42.123909	27242	52	2	1
2014-03-26 16:10:44.600027	27243	482	3	2
2014-03-26 16:10:44.837513	27244	1084966.1593626211	4	2
2014-03-26 16:11:06.148698	27245	20.4	1	8
2014-03-26 16:11:06.374013	27246	50	2	8
2014-03-26 16:11:20.899217	27247	20.7	1	1
2014-03-26 16:11:21.133406	27248	52	2	1
2014-03-26 16:11:32.600406	27249	466	3	2
2014-03-26 16:11:32.826424	27250	1084971.9045362282	4	2
2014-03-26 16:11:45.146456	27251	20.4	1	8
2014-03-26 16:11:45.380226	27252	50	2	8
2014-03-26 16:11:59.903233	27253	20.7	1	1
2014-03-26 16:12:00.127201	27254	52	2	1
2014-03-26 16:12:24.147159	27255	20.4	1	8
2014-03-26 16:12:24.381408	27256	50	2	8
2014-03-26 16:12:32.601865	27257	466	3	2
2014-03-26 16:12:32.826153	27258	1084979.947779278	4	2
2014-03-26 16:12:38.895307	27259	20.7	1	1
2014-03-26 16:12:39.130452	27260	52	2	1
2014-03-26 16:13:03.146657	27261	20.4	1	8
2014-03-26 16:13:03.42442	27262	50	2	8
2014-03-26 16:13:17.900749	27263	20.7	1	1
2014-03-26 16:13:18.134106	27264	52	2	1
2014-03-26 16:13:32.600199	27265	466	3	2
2014-03-26 16:13:32.826725	27266	1084987.991022328	4	2
2014-03-26 16:13:42.146229	27267	20.4	1	8
2014-03-26 16:13:42.379718	27268	50	2	8
2014-03-26 16:13:56.897291	27269	20.7	1	1
2014-03-26 16:13:57.122557	27270	52	2	1
2014-03-26 16:14:21.146251	27271	20.4	1	8
2014-03-26 16:14:21.392164	27272	50	2	8
2014-03-26 16:14:35.698055	27273	466	3	2
2014-03-26 16:14:35.924299	27274	1084996.0342653778	4	2
2014-03-26 16:14:36.232719	27275	20.7	1	1
2014-03-26 16:14:36.466995	27276	52	2	1
2014-03-26 16:15:00.151016	27277	20.4	1	8
2014-03-26 16:15:00.376412	27278	50	2	8
2014-03-26 16:15:14.897476	27279	20.7	1	1
2014-03-26 16:15:15.135963	27280	52	2	1
2014-03-26 16:15:32.602656	27281	482	3	2
2014-03-26 16:15:32.827359	27282	1085004.0775084277	4	2
2014-03-26 16:15:39.147678	27283	20.4	1	8
2014-03-26 16:15:39.380891	27284	50	2	8
2014-03-26 16:15:53.90067	27285	20.7	1	1
2014-03-26 16:15:54.126653	27286	52	2	1
2014-03-26 16:16:08.600614	27287	434	3	2
2014-03-26 16:16:08.843579	27288	1085008.6736473134	4	2
2014-03-26 16:16:18.146179	27289	20.4	1	8
2014-03-26 16:16:18.373651	27290	50	2	8
2014-03-26 16:16:20.599789	27291	434	3	2
2014-03-26 16:16:20.834519	27292	1085009.822682035	4	2
2014-03-26 16:16:32.599432	27293	434	3	2
2014-03-26 16:16:32.823548	27294	1085009.827152987	4	2
2014-03-26 16:16:33.132469	27295	20.7	1	1
2014-03-26 16:16:33.368574	27296	52	2	1
2014-03-26 16:16:57.146355	27297	20.4	1	8
2014-03-26 16:16:57.370975	27298	50	2	8
2014-03-26 16:17:11.893015	27299	20.7	1	1
2014-03-26 16:17:12.12776	27300	52	2	1
2014-03-26 16:17:32.602496	27301	434	3	2
2014-03-26 16:17:32.829996	27302	1085017.870396037	4	2
2014-03-26 16:17:36.145603	27303	20.4	1	8
2014-03-26 16:17:36.379802	27304	50	2	8
2014-03-26 16:17:50.893609	27305	20.7	1	1
2014-03-26 16:17:51.119538	27306	52	2	1
2014-03-26 16:18:15.14551	27307	20.4	1	8
2014-03-26 16:18:15.379833	27308	50	2	8
2014-03-26 16:18:29.895022	27309	20.6	1	1
2014-03-26 16:18:30.123854	27310	52	2	1
2014-03-26 16:18:32.602516	27311	418	3	2
2014-03-26 16:18:32.83872	27312	1085024.7646043655	4	2
2014-03-26 16:18:54.146466	27313	20.4	1	8
2014-03-26 16:18:54.369537	27314	50	2	8
2014-03-26 16:19:08.893901	27315	20.6	1	1
2014-03-26 16:19:09.132762	27316	52	2	1
2014-03-26 16:19:32.599376	27317	418	3	2
2014-03-26 16:19:32.833336	27318	1085031.658812694	4	2
2014-03-26 16:19:33.145862	27319	20.4	1	8
2014-03-26 16:19:33.389862	27320	50	2	8
2014-03-26 16:19:47.892624	27321	20.6	1	1
2014-03-26 16:19:48.121137	27322	52	2	1
2014-03-26 16:20:12.146893	27323	20.4	1	8
2014-03-26 16:20:12.381047	27324	50	2	8
2014-03-26 16:20:26.891246	27325	20.6	1	1
2014-03-26 16:20:27.117223	27326	52	2	1
2014-03-26 16:20:32.600244	27327	450	3	2
2014-03-26 16:20:32.833994	27328	1085039.702055744	4	2
2014-03-26 16:20:44.598276	27329	434	3	2
2014-03-26 16:20:44.823685	27330	1085040.8510904652	4	2
2014-03-26 16:20:51.147451	27331	20.4	1	8
2014-03-26 16:20:51.382056	27332	50	2	8
2014-03-26 16:21:05.892558	27333	20.6	1	1
2014-03-26 16:21:06.11611	27334	52	2	1
2014-03-26 16:21:30.146148	27335	20.4	1	8
2014-03-26 16:21:30.384065	27336	50	2	8
2014-03-26 16:21:32.600272	27337	434	3	2
2014-03-26 16:21:32.824953	27338	1085046.5962640722	4	2
2014-03-26 16:21:44.892575	27339	20.6	1	1
2014-03-26 16:21:45.12711	27340	52	2	1
2014-03-26 16:22:09.367706	27341	20.4	1	8
2014-03-26 16:22:09.593595	27342	50	2	8
2014-03-26 16:22:23.890832	27343	20.6	1	1
2014-03-26 16:22:24.18003	27344	52	2	1
2014-03-26 16:22:32.598231	27345	482	3	2
2014-03-26 16:22:32.822774	27346	1085054.6395071223	4	2
2014-03-26 16:22:44.598195	27347	482	3	2
2014-03-26 16:22:44.835265	27348	1085055.7885418436	4	2
2014-03-26 16:22:48.147049	27349	20.4	1	8
2014-03-26 16:22:48.370747	27350	50	2	8
2014-03-26 16:23:02.892936	27351	20.6	1	1
2014-03-26 16:23:03.125613	27352	52	2	1
2014-03-26 16:23:27.146134	27353	20.4	1	8
2014-03-26 16:23:27.369319	27354	50	2	8
2014-03-26 16:23:32.601058	27355	482	3	2
2014-03-26 16:23:32.837991	27356	1085061.5337154507	4	2
2014-03-26 16:23:41.892413	27357	20.6	1	1
2014-03-26 16:23:42.118033	27358	52	2	1
2014-03-26 16:24:06.147415	27359	20.4	1	8
2014-03-26 16:24:06.382885	27360	50	2	8
2014-03-26 16:24:20.890485	27361	20.6	1	1
2014-03-26 16:24:21.115271	27362	52	2	1
2014-03-26 16:24:32.601884	27363	466	3	2
2014-03-26 16:24:32.838499	27364	1085069.5769585005	4	2
2014-03-26 16:24:45.146201	27365	20.4	1	8
2014-03-26 16:24:45.372511	27366	50	2	8
2014-03-26 16:24:59.89166	27367	20.6	1	1
2014-03-26 16:25:00.135715	27368	52	2	1
2014-03-26 16:25:24.211151	27369	20.4	1	8
2014-03-26 16:25:24.435585	27370	50	2	8
2014-03-26 16:25:32.598863	27371	466	3	2
2014-03-26 16:25:32.832561	27372	1085077.6202015507	4	2
2014-03-26 16:25:38.889704	27373	20.6	1	1
2014-03-26 16:25:39.116553	27374	51	2	1
2014-03-26 16:26:03.147572	27375	20.4	1	8
2014-03-26 16:26:03.382384	27376	50	2	8
2014-03-26 16:26:17.890229	27377	20.6	1	1
2014-03-26 16:26:18.115968	27378	51	2	1
2014-03-26 16:26:32.601753	27379	466	3	2
2014-03-26 16:26:32.835055	27380	1085085.6634446005	4	2
2014-03-26 16:26:42.146964	27381	20.4	1	8
2014-03-26 16:26:42.373282	27382	50	2	8
2014-03-26 16:26:56.888453	27383	20.6	1	1
2014-03-26 16:26:57.124267	27384	51	2	1
2014-03-26 16:27:21.146226	27385	20.4	1	8
2014-03-26 16:27:21.372565	27386	50	2	8
2014-03-26 16:27:32.59868	27387	466	3	2
2014-03-26 16:27:32.835069	27388	1085093.7066876504	4	2
2014-03-26 16:27:35.888306	27389	20.6	1	1
2014-03-26 16:27:36.11253	27390	51	2	1
2014-03-26 16:27:56.598021	27391	434	3	2
2014-03-26 16:27:56.833657	27392	1085097.1537918146	4	2
2014-03-26 16:28:00.145895	27393	20.4	1	8
2014-03-26 16:28:00.371019	27394	50	2	8
2014-03-26 16:28:08.603394	27395	418	3	2
2014-03-26 16:28:08.838742	27396	1085098.3028265361	4	2
2014-03-26 16:28:14.884382	27397	20.6	1	1
2014-03-26 16:28:15.111873	27398	51	2	1
2014-03-26 16:28:32.602025	27399	434	3	2
2014-03-26 16:28:32.835434	27400	1085100.6008959787	4	2
2014-03-26 16:28:39.146166	27401	20.4	1	8
2014-03-26 16:28:39.371485	27402	50	2	8
2014-03-26 16:28:53.885117	27403	20.6	1	1
2014-03-26 16:28:54.119727	27404	51	2	1
2014-03-26 16:29:18.146613	27405	20.4	1	8
2014-03-26 16:29:18.369896	27406	50	2	8
2014-03-26 16:29:32.600004	27407	434	3	2
2014-03-26 16:29:32.836611	27408	1085108.6441390289	4	2
2014-03-26 16:29:33.145391	27409	20.6	1	1
2014-03-26 16:29:33.368895	27410	51	2	1
2014-03-26 16:29:57.145711	27411	20.4	1	8
2014-03-26 16:29:57.383113	27412	50	2	8
2014-03-26 16:30:11.888846	27413	20.6	1	1
2014-03-26 16:30:12.114001	27414	51	2	1
2014-03-26 16:30:32.598984	27415	434	3	2
2014-03-26 16:30:32.843879	27416	1085115.5383473572	4	2
2014-03-26 16:30:36.146084	27417	20.4	1	8
2014-03-26 16:30:36.370437	27418	50	2	8
2014-03-26 16:30:50.888071	27419	20.6	1	1
2014-03-26 16:30:51.125088	27420	51	2	1
2014-03-26 16:30:56.599666	27421	482	3	2
2014-03-26 16:30:56.8269	27422	1085118.9854515216	4	2
2014-03-26 16:31:08.595873	27423	482	3	2
2014-03-26 16:31:08.849608	27424	1085120.134486243	4	2
2014-03-26 16:31:15.1474	27425	20.4	1	8
2014-03-26 16:31:15.372558	27426	50	2	8
2014-03-26 16:31:29.888933	27427	20.6	1	1
2014-03-26 16:31:30.124134	27428	51	2	1
2014-03-26 16:31:32.600716	27429	482	3	2
2014-03-26 16:31:32.824252	27430	1085123.581590407	4	2
2014-03-26 16:31:54.146514	27431	20.4	1	8
2014-03-26 16:31:54.383151	27432	50	2	8
2014-03-26 16:32:08.88727	27433	20.6	1	1
2014-03-26 16:32:09.114199	27434	51	2	1
2014-03-26 16:32:32.598821	27435	498	3	2
2014-03-26 16:32:32.843621	27436	1085131.624833457	4	2
2014-03-26 16:32:33.151532	27437	20.4	1	8
2014-03-26 16:32:33.377856	27438	50	2	8
2014-03-26 16:32:47.886304	27439	20.6	1	1
2014-03-26 16:32:48.122731	27440	51	2	1
2014-03-26 16:33:12.146456	27441	20.4	1	8
2014-03-26 16:33:12.36989	27442	50	2	8
2014-03-26 16:33:26.884014	27443	20.6	1	1
2014-03-26 16:33:27.118487	27444	51	2	1
2014-03-26 16:33:32.599471	27445	482	3	2
2014-03-26 16:33:32.826297	27446	1085140.8171112284	4	2
2014-03-26 16:33:51.145368	27447	20.4	1	8
2014-03-26 16:33:51.381059	27448	50	2	8
2014-03-26 16:34:05.885747	27449	20.6	1	1
2014-03-26 16:34:06.110879	27450	51	2	1
2014-03-26 16:34:28.165336	27451	547	3	2
2014-03-26 16:34:28.39886	27452	1085146.5622848354	4	2
2014-03-26 16:34:30.146026	27453	20.4	1	8
2014-03-26 16:34:30.370163	27454	50	2	8
2014-03-26 16:34:32.597983	27455	547	3	2
2014-03-26 16:34:32.832421	27456	1085148.8603542782	4	2
2014-03-26 16:34:44.883862	27457	20.6	1	1
2014-03-26 16:34:45.107592	27458	51	2	1
2014-03-26 16:35:09.148661	27459	20.4	1	8
2014-03-26 16:35:09.388438	27460	50	2	8
2014-03-26 16:35:23.884593	27461	20.6	1	1
2014-03-26 16:35:24.107905	27462	51	2	1
2014-03-26 16:35:32.597704	27463	531	3	2
2014-03-26 16:35:32.844479	27464	1085158.0526320497	4	2
2014-03-26 16:35:48.145751	27465	20.4	1	8
2014-03-26 16:35:48.369168	27466	50	2	8
2014-03-26 16:36:02.883109	27467	20.6	1	1
2014-03-26 16:36:03.117738	27468	51	2	1
2014-03-26 16:36:27.148287	27469	20.4	1	8
2014-03-26 16:36:27.371696	27470	50	2	8
2014-03-26 16:36:32.599413	27471	531	3	2
2014-03-26 16:36:32.833492	27472	1085167.2449098208	4	2
2014-03-26 16:36:41.8841	27473	20.6	1	1
2014-03-26 16:36:42.110619	27474	51	2	1
2014-03-26 16:37:06.145364	27475	20.4	1	8
2014-03-26 16:37:06.381045	27476	50	2	8
2014-03-26 16:37:20.881324	27477	20.6	1	1
2014-03-26 16:37:21.105505	27478	51	2	1
2014-03-26 16:37:32.602709	27479	531	3	2
2014-03-26 16:37:32.837587	27480	1085175.2881528707	4	2
2014-03-26 16:37:45.14461	27481	20.4	1	8
2014-03-26 16:37:45.371726	27482	50	2	8
2014-03-26 16:37:59.880213	27483	20.6	1	1
2014-03-26 16:38:00.11423	27484	51	2	1
2014-03-26 16:38:24.146264	27485	20.4	1	8
2014-03-26 16:38:24.376894	27486	50	2	8
2014-03-26 16:38:32.600826	27487	531	3	2
2014-03-26 16:38:32.835664	27488	1085184.4804306421	4	2
2014-03-26 16:38:38.881347	27489	20.6	1	1
2014-03-26 16:38:39.105524	27490	51	2	1
2014-03-26 16:39:03.146245	27491	20.4	1	8
2014-03-26 16:39:03.382422	27492	50	2	8
2014-03-26 16:39:17.884316	27493	20.6	1	1
2014-03-26 16:39:18.109485	27494	51	2	1
2014-03-26 16:39:32.597705	27495	531	3	2
2014-03-26 16:39:32.835	27496	1085193.6727084136	4	2
2014-03-26 16:39:42.145705	27497	20.4	1	8
2014-03-26 16:39:42.368896	27498	50	2	8
2014-03-26 16:39:56.879623	27499	20.6	1	1
2014-03-26 16:39:57.11457	27500	51	2	1
2014-03-26 16:40:19.168555	27501	482	3	2
2014-03-26 16:40:19.393786	27502	1085198.268847299	4	2
2014-03-26 16:40:20.596475	27503	482	3	2
2014-03-26 16:40:20.833142	27504	1085200.566916742	4	2
2014-03-26 16:40:21.146118	27505	20.4	1	8
2014-03-26 16:40:21.368183	27506	50	2	8
2014-03-26 16:40:32.596237	27507	482	3	2
2014-03-26 16:40:32.83386	27508	1085201.7159514634	4	2
2014-03-26 16:40:35.883614	27509	20.6	1	1
2014-03-26 16:40:36.10737	27510	51	2	1
2014-03-26 16:41:00.14571	27511	20.4	1	8
2014-03-26 16:41:00.391336	27512	50	2	8
2014-03-26 16:41:14.88221	27513	20.6	1	1
2014-03-26 16:41:15.109697	27514	51	2	1
2014-03-26 16:41:32.59997	27515	482	3	2
2014-03-26 16:41:33.020603	27516	1085209.7591945133	4	2
2014-03-26 16:41:39.145988	27517	20.4	1	8
2014-03-26 16:41:39.367809	27518	50	2	8
2014-03-26 16:41:53.881249	27519	20.6	1	1
2014-03-26 16:41:54.105049	27520	51	2	1
2014-03-26 16:42:18.364739	27521	20.4	1	8
2014-03-26 16:42:18.595747	27522	50	2	8
2014-03-26 16:42:32.599295	27523	498	3	2
2014-03-26 16:42:32.823665	27524	1085217.8024375632	4	2
2014-03-26 16:42:33.130359	27525	20.6	1	1
2014-03-26 16:42:33.363848	27526	51	2	1
2014-03-26 16:42:57.144879	27527	20.4	1	8
2014-03-26 16:42:57.374461	27528	50	2	8
2014-03-26 16:43:11.879102	27529	20.6	1	1
2014-03-26 16:43:12.112871	27530	51	2	1
2014-03-26 16:43:32.597324	27531	498	3	2
2014-03-26 16:43:32.822445	27532	1085226.9947153344	4	2
2014-03-26 16:43:36.145529	27533	20.4	1	8
2014-03-26 16:43:36.380676	27534	50	2	8
2014-03-26 16:43:50.877453	27535	20.6	1	1
2014-03-26 16:43:51.10137	27536	51	2	1
2014-03-26 16:44:15.144457	27537	20.4	1	8
2014-03-26 16:44:15.37746	27538	50	2	8
2014-03-26 16:44:29.876779	27539	20.6	1	1
2014-03-26 16:44:30.104404	27540	51	2	1
2014-03-26 16:44:32.600041	27541	498	3	2
2014-03-26 16:44:32.831677	27542	1085235.0379583845	4	2
2014-03-26 16:44:54.144586	27543	20.4	1	8
2014-03-26 16:44:54.3685	27544	50	2	8
2014-03-26 16:45:08.875278	27545	20.6	1	1
2014-03-26 16:45:09.109854	27546	51	2	1
2014-03-26 16:45:20.595963	27547	466	3	2
2014-03-26 16:45:20.824124	27548	1085241.9321667128	4	2
2014-03-26 16:45:32.596553	27549	450	3	2
2014-03-26 16:45:32.833112	27550	1085243.0812014344	4	2
2014-03-26 16:45:33.144637	27551	20.4	1	8
2014-03-26 16:45:33.367848	27552	50	2	8
2014-03-26 16:45:47.882492	27553	20.6	1	1
2014-03-26 16:45:48.115422	27554	51	2	1
2014-03-26 16:46:12.14571	27555	20.4	1	8
2014-03-26 16:46:12.368799	27556	50	2	8
2014-03-26 16:46:26.876432	27557	20.6	1	1
2014-03-26 16:46:27.113776	27558	51	2	1
2014-03-26 16:46:32.593656	27559	498	3	2
2014-03-26 16:46:32.817096	27560	1085251.1244444842	4	2
2014-03-26 16:46:44.596662	27561	498	3	2
2014-03-26 16:46:44.843544	27562	1085252.2734792056	4	2
2014-03-26 16:46:51.153405	27563	20.4	1	8
2014-03-26 16:46:51.37856	27564	50	2	8
2014-03-26 16:47:05.875423	27565	20.6	1	1
2014-03-26 16:47:06.112383	27566	51	2	1
2014-03-26 16:47:30.145608	27567	20.4	1	8
2014-03-26 16:47:30.369694	27568	50	2	8
2014-03-26 16:47:32.594658	27569	498	3	2
2014-03-26 16:47:32.828194	27570	1085259.1676875341	4	2
2014-03-26 16:47:44.873886	27571	20.6	1	1
2014-03-26 16:47:45.097963	27572	51	2	1
2014-03-26 16:48:09.145339	27573	20.4	1	8
2014-03-26 16:48:09.381088	27574	50	2	8
2014-03-26 16:48:23.874698	27575	20.6	1	1
2014-03-26 16:48:24.09741	27576	51	2	1
2014-03-26 16:48:32.596922	27577	498	3	2
2014-03-26 16:48:32.830824	27578	1085267.210930584	4	2
2014-03-26 16:48:48.144592	27579	20.4	1	8
2014-03-26 16:48:48.371178	27580	50	2	8
2014-03-26 16:49:02.878852	27581	20.6	1	1
2014-03-26 16:49:03.112966	27582	51	2	1
2014-03-26 16:49:27.146397	27583	20.4	1	8
2014-03-26 16:49:27.36985	27584	50	2	8
2014-03-26 16:49:32.598737	27585	498	3	2
2014-03-26 16:49:32.832009	27586	1085275.2541736339	4	2
2014-03-26 16:49:41.875077	27587	20.6	1	1
2014-03-26 16:49:42.098808	27588	51	2	1
2014-03-26 16:50:06.145077	27589	20.4	1	8
2014-03-26 16:50:06.379484	27590	50	2	8
2014-03-26 16:50:20.874619	27591	20.6	1	1
2014-03-26 16:50:21.099271	27592	51	2	1
2014-03-26 16:50:32.59634	27593	498	3	2
2014-03-26 16:50:32.834708	27594	1085283.2974166838	4	2
2014-03-26 16:50:45.145254	27595	20.4	1	8
2014-03-26 16:50:45.370517	27596	50	2	8
2014-03-26 16:50:59.873508	27597	20.6	1	1
2014-03-26 16:51:00.108461	27598	51	2	1
2014-03-26 16:51:24.145298	27599	20.4	1	8
2014-03-26 16:51:24.368177	27600	50	2	8
2014-03-26 16:51:32.593807	27601	482	3	2
2014-03-26 16:51:32.829656	27602	1085292.4896944552	4	2
2014-03-26 16:51:38.87256	27603	20.6	1	1
2014-03-26 16:51:39.097524	27604	51	2	1
2014-03-26 16:52:03.144685	27605	20.3	1	8
2014-03-26 16:52:03.378112	27606	50	2	8
2014-03-26 16:52:17.87395	27607	20.6	1	1
2014-03-26 16:52:18.100274	27608	51	2	1
2014-03-26 16:52:32.594996	27609	450	3	2
2014-03-26 16:52:32.840365	27610	1085300.532937505	4	2
2014-03-26 16:52:42.145854	27611	20.3	1	8
2014-03-26 16:52:42.372011	27612	50	2	8
2014-03-26 16:52:44.596373	27613	450	3	2
2014-03-26 16:52:44.833147	27614	1085301.6819722264	4	2
2014-03-26 16:52:56.871762	27615	20.6	1	1
2014-03-26 16:52:57.097181	27616	51	2	1
2014-03-26 16:53:21.144725	27617	20.3	1	8
2014-03-26 16:53:21.379314	27618	50	2	8
2014-03-26 16:53:32.595254	27619	434	3	2
2014-03-26 16:53:32.818855	27620	1085306.2825820644	4	2
2014-03-26 16:53:35.869985	27621	20.6	1	1
2014-03-26 16:53:36.102669	27622	51	2	1
2014-03-26 16:54:00.144337	27623	20.3	1	8
2014-03-26 16:54:00.369225	27624	50	2	8
2014-03-26 16:54:14.872832	27625	20.6	1	1
2014-03-26 16:54:15.140227	27626	51	2	1
2014-03-26 16:54:32.595562	27627	466	3	2
2014-03-26 16:54:32.854059	27628	1085313.1767903927	4	2
2014-03-26 16:54:39.145538	27629	20.3	1	8
2014-03-26 16:54:39.415309	27630	50	2	8
2014-03-26 16:54:44.595585	27631	466	3	2
2014-03-26 16:54:44.88962	27632	1085315.4748598356	4	2
2014-03-26 16:54:53.872533	27633	20.6	1	1
2014-03-26 16:54:54.138438	27634	51	2	1
2014-03-26 16:55:18.145462	27635	20.3	1	8
2014-03-26 16:55:18.557998	27636	50	2	8
2014-03-26 16:55:32.597719	27637	450	3	2
2014-03-26 16:55:32.833847	27638	1085321.2200334428	4	2
2014-03-26 16:55:33.140268	27639	20.6	1	1
2014-03-26 16:55:33.362898	27640	51	2	1
2014-03-26 16:55:57.144567	27641	20.3	1	8
2014-03-26 16:55:57.376816	27642	50	2	8
2014-03-26 16:56:11.872385	27643	20.6	1	1
2014-03-26 16:56:12.094546	27644	51	2	1
2014-03-26 16:56:32.592539	27645	450	3	2
2014-03-26 16:56:32.825317	27646	1085329.2632764927	4	2
2014-03-26 16:56:36.144996	27647	20.3	1	8
2014-03-26 16:56:36.370934	27648	50	2	8
2014-03-26 16:56:50.873328	27649	20.6	1	1
2014-03-26 16:56:51.10691	27650	51	2	1
2014-03-26 16:57:15.143827	27651	20.3	1	8
2014-03-26 16:57:15.367328	27652	50	2	8
2014-03-26 16:57:29.870124	27653	20.6	1	1
2014-03-26 16:57:30.107661	27654	51	2	1
2014-03-26 16:57:32.594913	27655	450	3	2
2014-03-26 16:57:32.817177	27656	1085336.157484821	4	2
2014-03-26 16:57:54.146041	27657	20.3	1	8
2014-03-26 16:57:54.391035	27658	50	2	8
2014-03-26 16:58:08.869837	27659	20.6	1	1
2014-03-26 16:58:09.094037	27660	51	2	1
2014-03-26 16:58:32.943729	27661	450	3	2
2014-03-26 16:58:33.179042	27662	1085344.2007278712	4	2
2014-03-26 16:58:33.484885	27663	20.3	1	8
2014-03-26 16:58:33.706873	27664	50	2	8
2014-03-26 16:58:47.870157	27665	20.6	1	1
2014-03-26 16:58:48.103509	27666	51	2	1
2014-03-26 16:59:08.596516	27667	498	3	2
2014-03-26 16:59:08.819562	27668	1085348.7968667566	4	2
2014-03-26 16:59:12.145235	27669	20.3	1	8
2014-03-26 16:59:12.381728	27670	50	2	8
2014-03-26 16:59:20.596562	27671	482	3	2
2014-03-26 16:59:20.819519	27672	1085349.9459014782	4	2
2014-03-26 16:59:26.867423	27673	20.6	1	1
2014-03-26 16:59:27.101006	27674	51	2	1
2014-03-26 16:59:32.593896	27675	498	3	2
2014-03-26 16:59:32.821782	27676	1085352.243970921	4	2
2014-03-26 16:59:51.144666	27677	20.3	1	8
2014-03-26 16:59:51.381007	27678	50	2	8
2014-03-26 17:00:05.871099	27679	20.6	1	1
2014-03-26 17:00:06.094002	27680	51	2	1
2014-03-26 17:00:30.14511	27681	20.3	1	8
2014-03-26 17:00:30.37863	27682	50	2	8
2014-03-26 17:00:32.5979	27683	482	3	2
2014-03-26 17:00:32.820943	27684	1085360.287213971	4	2
2014-03-26 17:00:44.869378	27685	20.6	1	1
2014-03-26 17:00:45.103828	27686	51	2	1
2014-03-26 17:01:09.144122	27687	20.3	1	8
2014-03-26 17:01:09.367942	27688	50	2	8
2014-03-26 17:01:23.869197	27689	20.6	1	1
2014-03-26 17:01:24.10386	27690	51	2	1
2014-03-26 17:01:32.596318	27691	482	3	2
2014-03-26 17:01:32.823219	27692	1085368.3304570208	4	2
2014-03-26 17:01:48.145296	27693	20.3	1	8
2014-03-26 17:01:48.37933	27694	50	2	8
2014-03-26 17:02:02.869826	27695	20.6	1	1
2014-03-26 17:02:03.094216	27696	51	2	1
2014-03-26 17:02:27.144742	27697	20.3	1	8
2014-03-26 17:02:27.376787	27698	50	2	8
2014-03-26 17:02:32.598298	27699	482	3	2
2014-03-26 17:02:32.823213	27700	1085376.3737000707	4	2
2014-03-26 17:02:41.869552	27701	20.6	1	1
2014-03-26 17:02:42.106082	27702	51	2	1
2014-03-26 17:03:06.144385	27703	20.3	1	8
2014-03-26 17:03:06.369014	27704	50	2	8
2014-03-26 17:03:20.866776	27705	20.6	1	1
2014-03-26 17:03:21.112925	27706	51	2	1
2014-03-26 17:03:32.594039	27707	482	3	2
2014-03-26 17:03:32.818068	27708	1085384.4169431205	4	2
2014-03-26 17:03:45.146318	27709	20.3	1	8
2014-03-26 17:03:45.379685	27710	50	2	8
2014-03-26 17:03:59.8654	27711	20.6	1	1
2014-03-26 17:04:00.091147	27712	51	2	1
2014-03-26 17:04:24.144588	27713	20.3	1	8
2014-03-26 17:04:24.37929	27714	50	2	8
2014-03-26 17:04:32.596901	27715	482	3	2
2014-03-26 17:04:32.820142	27716	1085392.4601861704	4	2
2014-03-26 17:04:38.868981	27717	20.6	1	1
2014-03-26 17:04:39.104627	27718	51	2	1
2014-03-26 17:04:56.594589	27719	434	3	2
2014-03-26 17:04:56.819401	27720	1085395.9072903348	4	2
2014-03-26 17:05:03.143948	27721	20.3	1	8
2014-03-26 17:05:03.379291	27722	50	2	8
2014-03-26 17:05:08.59482	27723	434	3	2
2014-03-26 17:05:08.826898	27724	1085397.0563250561	4	2
2014-03-26 17:05:17.868036	27725	20.6	1	1
2014-03-26 17:05:18.100647	27726	51	2	1
2014-03-26 17:05:32.595486	27727	434	3	2
2014-03-26 17:05:32.819011	27728	1085399.354394499	4	2
2014-03-26 17:05:42.143581	27729	20.3	1	8
2014-03-26 17:05:42.379061	27730	50	2	8
2014-03-26 17:05:56.865373	27731	20.6	1	1
2014-03-26 17:05:57.088732	27732	51	2	1
2014-03-26 17:06:21.147872	27733	20.3	1	8
2014-03-26 17:06:21.38074	27734	50	2	8
2014-03-26 17:06:32.593534	27735	418	3	2
2014-03-26 17:06:32.819075	27736	1085407.3976375489	4	2
2014-03-26 17:06:35.865537	27737	20.6	1	1
2014-03-26 17:06:36.096451	27738	51	2	1
2014-03-26 17:07:00.144275	27739	20.3	1	8
2014-03-26 17:07:00.36808	27740	50	2	8
2014-03-26 17:07:14.864661	27741	20.6	1	1
2014-03-26 17:07:15.09668	27742	51	2	1
2014-03-26 17:07:32.593102	27743	434	3	2
2014-03-26 17:07:32.820063	27744	1085414.2918458774	4	2
2014-03-26 17:07:39.145265	27745	20.3	1	8
2014-03-26 17:07:39.380236	27746	50	2	8
2014-03-26 17:07:53.865003	27747	20.6	1	1
2014-03-26 17:07:54.088944	27748	51	2	1
2014-03-26 17:08:18.145221	27749	20.3	1	8
2014-03-26 17:08:18.379533	27750	50	2	8
2014-03-26 17:08:32.593306	27751	434	3	2
2014-03-26 17:08:32.818487	27752	1085422.3350889273	4	2
2014-03-26 17:08:33.126706	27753	20.6	1	1
2014-03-26 17:08:33.371853	27754	51	2	1
2014-03-26 17:08:57.144439	27755	20.3	1	8
2014-03-26 17:08:57.368638	27756	50	2	8
2014-03-26 17:09:11.861449	27757	20.6	1	1
2014-03-26 17:09:12.095472	27758	51	2	1
2014-03-26 17:09:32.595584	27759	434	3	2
2014-03-26 17:09:32.819012	27760	1085429.2292972556	4	2
2014-03-26 17:09:36.14538	27761	20.3	1	8
2014-03-26 17:09:36.381275	27762	50	2	8
2014-03-26 17:09:50.861616	27763	20.6	1	1
2014-03-26 17:09:51.085855	27764	51	2	1
2014-03-26 17:10:15.144306	27765	20.3	1	8
2014-03-26 17:10:15.379303	27766	50	2	8
2014-03-26 17:10:29.862471	27767	20.6	1	1
2014-03-26 17:10:30.087555	27768	51	2	1
2014-03-26 17:10:32.594642	27769	434	3	2
2014-03-26 17:10:32.827589	27770	1085436.1235055842	4	2
2014-03-26 17:10:54.144372	27771	20.3	1	8
2014-03-26 17:10:54.368134	27772	50	2	8
2014-03-26 17:11:08.861554	27773	20.6	1	1
2014-03-26 17:11:09.094303	27774	51	2	1
2014-03-26 17:11:32.597159	27775	482	3	2
2014-03-26 17:11:32.832878	27776	1085444.166748634	4	2
2014-03-26 17:11:33.14481	27777	20.3	1	8
2014-03-26 17:11:33.376897	27778	50	2	8
2014-03-26 17:11:44.594061	27779	482	3	2
2014-03-26 17:11:44.818639	27780	1085445.3157833556	4	2
2014-03-26 17:11:47.86344	27781	20.6	1	1
2014-03-26 17:11:48.096701	27782	51	2	1
2014-03-26 17:12:12.14599	27783	20.3	1	8
2014-03-26 17:12:12.368949	27784	50	2	8
2014-03-26 17:12:26.862281	27785	20.5	1	1
2014-03-26 17:12:27.096224	27786	51	2	1
2014-03-26 17:12:32.592501	27787	466	3	2
2014-03-26 17:12:32.818905	27788	1085452.209991684	4	2
2014-03-26 17:12:51.146176	27789	20.3	1	8
2014-03-26 17:12:51.382966	27790	50	2	8
2014-03-26 17:13:05.881343	27791	20.5	1	1
2014-03-26 17:13:06.143776	27792	51	2	1
2014-03-26 17:13:30.14357	27793	20.3	1	8
2014-03-26 17:13:30.386973	27794	50	2	8
2014-03-26 17:13:32.595198	27795	466	3	2
2014-03-26 17:13:32.818464	27796	1085460.253234734	4	2
2014-03-26 17:13:44.86038	27797	20.5	1	1
2014-03-26 17:13:45.095918	27798	51	2	1
2014-03-26 17:14:09.146037	27799	20.3	1	8
2014-03-26 17:14:09.369924	27800	50	2	8
2014-03-26 17:14:20.594268	27801	547	3	2
2014-03-26 17:14:20.841954	27802	1085465.998408341	4	2
2014-03-26 17:14:23.857654	27803	20.5	1	1
2014-03-26 17:14:24.083619	27804	51	2	1
2014-03-26 17:14:32.594004	27805	547	3	2
2014-03-26 17:14:32.827888	27806	1085468.296477784	4	2
2014-03-26 17:14:48.144269	27807	20.3	1	8
2014-03-26 17:14:48.371766	27808	50	2	8
2014-03-26 17:15:02.861671	27809	20.5	1	1
2014-03-26 17:15:03.095813	27810	51	2	1
2014-03-26 17:15:27.143703	27811	20.3	1	8
2014-03-26 17:15:27.370253	27812	50	2	8
2014-03-26 17:15:32.594604	27813	547	3	2
2014-03-26 17:15:32.828138	27814	1085477.4887555551	4	2
2014-03-26 17:15:41.858512	27815	20.5	1	1
2014-03-26 17:15:42.084107	27816	51	2	1
2014-03-26 17:16:06.192552	27817	20.3	1	8
2014-03-26 17:16:06.426614	27818	50	2	8
2014-03-26 17:16:20.594344	27819	515	3	2
2014-03-26 17:16:20.818939	27820	1085484.3829638837	4	2
2014-03-26 17:16:21.124872	27821	20.5	1	1
2014-03-26 17:16:21.358328	27822	51	2	1
2014-03-26 17:16:32.59364	27823	498	3	2
2014-03-26 17:16:32.818615	27824	1085486.6810333265	4	2
2014-03-26 17:16:45.143899	27825	20.3	1	8
2014-03-26 17:16:45.3768	27826	50	2	8
2014-03-26 17:16:59.858229	27827	20.5	1	1
2014-03-26 17:17:00.080513	27828	51	2	1
2014-03-26 17:17:24.144503	27829	20.3	1	8
2014-03-26 17:17:24.376823	27830	50	2	8
2014-03-26 17:17:32.594713	27831	482	3	2
2014-03-26 17:17:32.820453	27832	1085494.7242763764	4	2
2014-03-26 17:17:38.85888	27833	20.5	1	1
2014-03-26 17:17:39.094979	27834	51	2	1
2014-03-26 17:18:03.143852	27835	20.3	1	8
2014-03-26 17:18:03.370018	27836	50	2	8
2014-03-26 17:18:17.864931	27837	20.5	1	1
2014-03-26 17:18:18.098479	27838	51	2	1
2014-03-26 17:18:20.59558	27839	515	3	2
2014-03-26 17:18:20.821337	27840	1085501.618484705	4	2
2014-03-26 17:18:32.593165	27841	498	3	2
2014-03-26 17:18:32.826934	27842	1085502.7675194263	4	2
2014-03-26 17:18:42.144349	27843	20.3	1	8
2014-03-26 17:18:42.367164	27844	50	2	8
2014-03-26 17:18:56.857686	27845	20.5	1	1
2014-03-26 17:18:57.094133	27846	51	2	1
2014-03-26 17:19:21.143591	27847	20.3	1	8
2014-03-26 17:19:21.369521	27848	50	2	8
2014-03-26 17:19:32.593976	27849	498	3	2
2014-03-26 17:19:32.840897	27850	1085511.9597971977	4	2
2014-03-26 17:19:35.855321	27851	20.5	1	1
2014-03-26 17:19:36.079163	27852	51	2	1
2014-03-26 17:20:00.145028	27853	20.3	1	8
2014-03-26 17:20:00.379086	27854	50	2	8
2014-03-26 17:20:14.855632	27855	20.5	1	1
2014-03-26 17:20:15.076813	27856	51	2	1
2014-03-26 17:20:32.594563	27857	498	3	2
2014-03-26 17:20:32.828739	27858	1085520.0030402476	4	2
2014-03-26 17:20:39.143845	27859	20.3	1	8
2014-03-26 17:20:39.368988	27860	50	2	8
2014-03-26 17:20:53.854862	27861	20.5	1	1
2014-03-26 17:20:54.088061	27862	51	2	1
2014-03-26 17:21:18.14393	27863	20.3	1	8
2014-03-26 17:21:18.369056	27864	50	2	8
2014-03-26 17:21:32.598106	27865	482	3	2
2014-03-26 17:21:32.833968	27866	1085528.0462832975	4	2
2014-03-26 17:21:33.14181	27867	20.5	1	1
2014-03-26 17:21:33.365221	27868	51	2	1
2014-03-26 17:21:57.143956	27869	20.3	1	8
2014-03-26 17:21:57.37734	27870	50	2	8
2014-03-26 17:22:11.856647	27871	20.5	1	1
2014-03-26 17:22:12.086266	27872	51	2	1
2014-03-26 17:22:32.596613	27873	547	3	2
2014-03-26 17:22:32.831072	27874	1085536.0895263474	4	2
2014-03-26 17:22:36.143276	27875	20.3	1	8
2014-03-26 17:22:36.36774	27876	50	2	8
2014-03-26 17:22:44.594401	27877	547	3	2
2014-03-26 17:22:44.832091	27878	1085538.3875957902	4	2
2014-03-26 17:22:50.854914	27879	20.5	1	1
2014-03-26 17:22:51.079502	27880	51	2	1
2014-03-26 17:23:15.143687	27881	20.3	1	8
2014-03-26 17:23:15.377451	27882	50	2	8
2014-03-26 17:23:20.594775	27883	515	3	2
2014-03-26 17:23:20.826594	27884	1085542.983734676	4	2
2014-03-26 17:23:29.856069	27885	20.5	1	1
2014-03-26 17:23:30.088654	27886	51	2	1
2014-03-26 17:23:32.593906	27887	531	3	2
2014-03-26 17:23:32.818027	27888	1085545.2818041188	4	2
2014-03-26 17:23:54.143876	27889	20.3	1	8
2014-03-26 17:23:54.378231	27890	50	2	8
2014-03-26 17:24:08.854771	27891	20.5	1	1
2014-03-26 17:24:09.079532	27892	51	2	1
2014-03-26 17:24:32.593187	27893	531	3	2
2014-03-26 17:24:32.834404	27894	1085554.47408189	4	2
2014-03-26 17:24:33.144161	27895	20.3	1	8
2014-03-26 17:24:33.365603	27896	50	2	8
2014-03-26 17:24:44.59271	27897	579	3	2
2014-03-26 17:24:44.836747	27898	1085555.6231166115	4	2
2014-03-26 17:24:47.853646	27899	20.5	1	1
2014-03-26 17:24:48.077634	27900	51	2	1
2014-03-26 17:24:56.592939	27901	547	3	2
2014-03-26 17:24:56.828597	27902	1085557.9211860541	4	2
2014-03-26 17:25:08.592719	27903	547	3	2
2014-03-26 17:25:08.818063	27904	1085560.219255497	4	2
2014-03-26 17:25:12.145801	27905	20.3	1	8
2014-03-26 17:25:12.378271	27906	50	2	8
2014-03-26 17:25:26.852663	27907	20.6	1	1
2014-03-26 17:25:27.075126	27908	51	2	1
2014-03-26 17:25:32.593349	27909	547	3	2
2014-03-26 17:25:32.82817	27910	1085563.6663596614	4	2
2014-03-26 17:25:51.143654	27911	20.3	1	8
2014-03-26 17:25:51.367808	27912	50	2	8
2014-03-26 17:26:05.85421	27913	20.6	1	1
2014-03-26 17:26:06.087317	27914	51	2	1
2014-03-26 17:26:08.594636	27915	1062	3	2
2014-03-26 17:26:08.818035	27916	1085569.4115332684	4	2
2014-03-26 17:26:20.594973	27917	627	3	2
2014-03-26 17:26:20.828957	27918	1085571.7096027113	4	2
2014-03-26 17:26:30.14453	27919	20.3	1	8
2014-03-26 17:26:30.370521	27920	50	2	8
2014-03-26 17:26:32.593241	27921	627	3	2
2014-03-26 17:26:32.826503	27922	1085572.8586374326	4	2
2014-03-26 17:26:44.853603	27923	20.6	1	1
2014-03-26 17:26:45.078956	27924	51	2	1
2014-03-26 17:27:09.144051	27925	20.3	1	8
2014-03-26 17:27:09.377126	27926	50	2	8
2014-03-26 17:27:23.85187	27927	20.6	1	1
2014-03-26 17:27:24.075117	27928	51	2	1
2014-03-26 17:27:32.595348	27929	627	3	2
2014-03-26 17:27:32.829612	27930	1085584.3489846468	4	2
2014-03-26 17:27:48.143698	27931	20.3	1	8
2014-03-26 17:27:48.369264	27932	50	2	8
2014-03-26 17:28:02.855438	27933	20.6	1	1
2014-03-26 17:28:03.089529	27934	51	2	1
2014-03-26 17:28:08.593761	27935	579	3	2
2014-03-26 17:28:08.825344	27936	1085590.0941582539	4	2
2014-03-26 17:28:20.594455	27937	579	3	2
2014-03-26 17:28:20.829769	27938	1085592.3922276967	4	2
2014-03-26 17:28:27.145123	27939	20.3	1	8
2014-03-26 17:28:27.370859	27940	50	2	8
2014-03-26 17:28:41.653031	27941	595	3	2
2014-03-26 17:28:41.88978	27942	1085593.541262418	4	2
2014-03-26 17:28:42.197771	27943	20.6	1	1
2014-03-26 17:28:42.421092	27944	51	2	1
2014-03-26 17:28:44.594414	27945	547	3	2
2014-03-26 17:28:44.841663	27946	1085595.839331861	4	2
2014-03-26 17:28:56.593585	27947	547	3	2
2014-03-26 17:28:56.819779	27948	1085596.9928375345	4	2
2014-03-26 17:29:06.142883	27949	20.3	1	8
2014-03-26 17:29:06.37613	27950	50	2	8
2014-03-26 17:29:20.851745	27951	20.6	1	1
2014-03-26 17:29:21.075251	27952	51	2	1
2014-03-26 17:29:32.594626	27953	579	3	2
2014-03-26 17:29:32.828926	27954	1085602.7380111415	4	2
2014-03-26 17:29:44.596305	27955	595	3	2
2014-03-26 17:29:44.822101	27956	1085603.887045863	4	2
2014-03-26 17:29:45.144234	27957	20.3	1	8
2014-03-26 17:29:45.377106	27958	50	2	8
2014-03-26 17:29:59.850971	27959	20.6	1	1
2014-03-26 17:30:00.075817	27960	51	2	1
2014-03-26 17:30:24.146117	27961	20.3	1	8
2014-03-26 17:30:24.378871	27962	50	2	8
2014-03-26 17:30:32.592098	27963	547	3	2
2014-03-26 17:30:32.817054	27964	1085611.930288913	4	2
2014-03-26 17:30:38.849726	27965	20.7	1	1
2014-03-26 17:30:39.082847	27966	51	2	1
2014-03-26 17:30:44.593955	27967	579	3	2
2014-03-26 17:30:44.822673	27968	1085614.2283583558	4	2
2014-03-26 17:30:56.59508	27969	579	3	2
2014-03-26 17:30:56.828834	27970	1085615.3773930771	4	2
2014-03-26 17:31:03.146097	27971	20.3	1	8
2014-03-26 17:31:03.373199	27972	50	2	8
2014-03-26 17:31:08.59409	27973	547	3	2
2014-03-26 17:31:08.835968	27974	1085617.67546252	4	2
2014-03-26 17:31:17.852501	27975	20.7	1	1
2014-03-26 17:31:18.077538	27976	51	2	1
2014-03-26 17:31:20.592136	27977	547	3	2
2014-03-26 17:31:20.825966	27978	1085618.8244972415	4	2
2014-03-26 17:31:32.596811	27979	547	3	2
2014-03-26 17:31:32.823016	27980	1085621.1225666844	4	2
2014-03-26 17:31:42.145615	27981	20.3	1	8
2014-03-26 17:31:42.381379	27982	50	2	8
2014-03-26 17:31:44.592219	27983	579	3	2
2014-03-26 17:31:44.817998	27984	1085623.420636127	4	2
2014-03-26 17:31:56.595434	27985	547	3	2
2014-03-26 17:31:56.829917	27986	1085624.5696708485	4	2
2014-03-26 17:31:57.13768	27987	20.7	1	1
2014-03-26 17:31:57.363253	27988	51	2	1
2014-03-26 17:32:08.594941	27989	547	3	2
2014-03-26 17:32:08.828773	27990	1085626.8677402914	4	2
2014-03-26 17:32:21.144069	27991	20.3	1	8
2014-03-26 17:32:21.367816	27992	50	2	8
2014-03-26 17:32:32.592803	27993	547	3	2
2014-03-26 17:32:32.838109	27994	1085630.3148444556	4	2
2014-03-26 17:32:35.850104	27995	20.7	1	1
2014-03-26 17:32:36.072512	27996	51	2	1
2014-03-26 17:32:56.596242	27997	595	3	2
2014-03-26 17:32:56.832656	27998	1085633.7619486197	4	2
2014-03-26 17:33:00.144438	27999	20.3	1	8
2014-03-26 17:33:00.36711	28000	50	2	8
2014-03-26 17:33:08.598233	28001	547	3	2
2014-03-26 17:33:08.833769	28002	1085636.0600180626	4	2
2014-03-26 17:33:14.850342	28003	20.7	1	1
2014-03-26 17:33:15.074512	28004	51	2	1
2014-03-26 17:33:20.59616	28005	547	3	2
2014-03-26 17:33:20.836289	28006	1085638.3580875054	4	2
2014-03-26 17:33:32.59642	28007	547	3	2
2014-03-26 17:33:32.82342	28008	1085639.507122227	4	2
2014-03-26 17:33:39.144703	28009	20.3	1	8
2014-03-26 17:33:39.37906	28010	50	2	8
2014-03-26 17:33:53.853297	28011	20.8	1	1
2014-03-26 17:33:54.077115	28012	51	2	1
2014-03-26 17:34:18.144448	28013	20.3	1	8
2014-03-26 17:34:18.378485	28014	50	2	8
2014-03-26 17:34:32.594418	28015	627	3	2
2014-03-26 17:34:32.820133	28016	1085649.8484347197	4	2
2014-03-26 17:34:33.128614	28017	20.8	1	1
2014-03-26 17:34:33.364521	28018	51	2	1
2014-03-26 17:34:44.594346	28019	611	3	2
2014-03-26 17:34:44.819513	28020	1085650.997469441	4	2
2014-03-26 17:34:57.144034	28021	20.4	1	8
2014-03-26 17:34:57.376823	28022	50	2	8
2014-03-26 17:35:11.851964	28023	20.8	1	1
2014-03-26 17:35:12.080587	28024	51	2	1
2014-03-26 17:35:32.595683	28025	611	3	2
2014-03-26 17:35:32.831632	28026	1085660.1897472125	4	2
2014-03-26 17:35:36.146034	28027	20.4	1	8
2014-03-26 17:35:36.369199	28028	50	2	8
2014-03-26 17:35:50.851638	28029	20.8	1	1
2014-03-26 17:35:51.086403	28030	51	2	1
2014-03-26 17:36:15.146342	28031	20.4	1	8
2014-03-26 17:36:15.36974	28032	50	2	8
2014-03-26 17:36:29.851112	28033	20.9	1	1
2014-03-26 17:36:30.085006	28034	51	2	1
2014-03-26 17:36:32.595204	28035	627	3	2
2014-03-26 17:36:32.821283	28036	1085669.3820249836	4	2
2014-03-26 17:36:54.144261	28037	20.4	1	8
2014-03-26 17:36:54.379129	28038	50	2	8
2014-03-26 17:37:08.850829	28039	20.9	1	1
2014-03-26 17:37:09.074389	28040	51	2	1
2014-03-26 17:37:32.59233	28041	627	3	2
2014-03-26 17:37:32.840577	28042	1085679.7233374764	4	2
2014-03-26 17:37:33.148273	28043	20.4	1	8
2014-03-26 17:37:33.373659	28044	50	2	8
2014-03-26 17:37:47.846434	28045	20.9	1	1
2014-03-26 17:37:48.082054	28046	51	2	1
2014-03-26 17:38:12.144504	28047	20.4	1	8
2014-03-26 17:38:12.376061	28048	50	2	8
2014-03-26 17:38:26.844844	28049	20.9	1	1
2014-03-26 17:38:27.078621	28050	51	2	1
2014-03-26 17:38:32.599708	28051	611	3	2
2014-03-26 17:38:32.824219	28052	1085690.064649969	4	2
2014-03-26 17:38:51.14346	28053	20.4	1	8
2014-03-26 17:38:51.377218	28054	50	2	8
2014-03-26 17:39:05.845654	28055	21.0	1	1
2014-03-26 17:39:06.068984	28056	50	2	1
2014-03-26 17:39:30.144806	28057	20.4	1	8
2014-03-26 17:39:30.377431	28058	50	2	8
2014-03-26 17:39:32.5933	28059	611	3	2
2014-03-26 17:39:32.818871	28060	1085700.4059624618	4	2
2014-03-26 17:39:44.848718	28061	21.0	1	1
2014-03-26 17:39:45.083572	28062	50	2	1
2014-03-26 17:40:08.591233	28063	547	3	2
2014-03-26 17:40:08.816475	28064	1085707.3001707904	4	2
2014-03-26 17:40:09.143479	28065	20.4	1	8
2014-03-26 17:40:09.378019	28066	50	2	8
2014-03-26 17:40:20.5915	28067	498	3	2
2014-03-26 17:40:20.816065	28068	1085708.4492055117	4	2
2014-03-26 17:40:23.88548	28069	21.0	1	1
2014-03-26 17:40:24.121438	28070	50	2	1
2014-03-26 17:40:32.590983	28071	498	3	2
2014-03-26 17:40:32.814586	28072	1085710.7472749546	4	2
2014-03-26 17:40:48.143205	28073	20.4	1	8
2014-03-26 17:40:48.377242	28074	50	2	8
2014-03-26 17:41:02.845678	28075	21.0	1	1
2014-03-26 17:41:03.075544	28076	50	2	1
2014-03-26 17:41:27.146254	28077	20.4	1	8
2014-03-26 17:41:27.382634	28078	50	2	8
2014-03-26 17:41:32.593156	28079	498	3	2
2014-03-26 17:41:32.820221	28080	1085718.7905180044	4	2
2014-03-26 17:41:41.844658	28081	21.1	1	1
2014-03-26 17:41:42.077879	28082	50	2	1
2014-03-26 17:42:06.143366	28083	20.4	1	8
2014-03-26 17:42:06.423572	28084	50	2	8
2014-03-26 17:42:20.844244	28085	21.1	1	1
2014-03-26 17:42:21.114098	28086	50	2	1
2014-03-26 17:42:32.589995	28087	498	3	2
2014-03-26 17:42:32.846567	28088	1085726.8337610546	4	2
2014-03-26 17:42:45.143928	28089	20.4	1	8
2014-03-26 17:42:45.391048	28090	50	2	8
2014-03-26 17:42:59.844553	28091	21.1	1	1
2014-03-26 17:43:00.069054	28092	50	2	1
2014-03-26 17:43:24.143969	28093	20.4	1	8
2014-03-26 17:43:24.378204	28094	50	2	8
2014-03-26 17:43:32.592993	28095	482	3	2
2014-03-26 17:43:32.817113	28096	1085734.8770041044	4	2
2014-03-26 17:43:38.843698	28097	21.1	1	1
2014-03-26 17:43:39.076488	28098	50	2	1
2014-03-26 17:44:03.143179	28099	20.4	1	8
2014-03-26 17:44:03.366655	28100	50	2	8
2014-03-26 17:44:17.846158	28101	21.1	1	1
2014-03-26 17:44:18.079184	28102	50	2	1
2014-03-26 17:44:32.589094	28103	482	3	2
2014-03-26 17:44:32.816969	28104	1085742.9202471543	4	2
2014-03-26 17:44:42.144676	28105	20.4	1	8
2014-03-26 17:44:42.378418	28106	50	2	8
2014-03-26 17:44:56.845671	28107	21.2	1	1
2014-03-26 17:44:57.06872	28108	50	2	1
2014-03-26 17:45:21.144012	28109	20.4	1	8
2014-03-26 17:45:21.379148	28110	50	2	8
2014-03-26 17:45:32.594379	28111	498	3	2
2014-03-26 17:45:32.818051	28112	1085750.9634902042	4	2
2014-03-26 17:45:35.842773	28113	21.2	1	1
2014-03-26 17:45:36.078262	28114	50	2	1
2014-03-26 17:46:00.143253	28115	20.4	1	8
2014-03-26 17:46:00.36785	28116	50	2	8
2014-03-26 17:46:14.844746	28117	21.2	1	1
2014-03-26 17:46:15.080258	28118	50	2	1
2014-03-26 17:46:32.592214	28119	531	3	2
2014-03-26 17:46:32.816919	28120	1085760.1557679754	4	2
2014-03-26 17:46:39.144917	28121	20.4	1	8
2014-03-26 17:46:39.379241	28122	50	2	8
2014-03-26 17:46:44.5932	28123	531	3	2
2014-03-26 17:46:44.822607	28124	1085761.304802697	4	2
2014-03-26 17:46:53.841964	28125	21.2	1	1
2014-03-26 17:46:54.074445	28126	50	2	1
2014-03-26 17:47:18.145887	28127	20.4	1	8
2014-03-26 17:47:18.371668	28128	50	2	8
2014-03-26 17:47:32.591975	28129	515	3	2
2014-03-26 17:47:32.82829	28130	1085768.1990110255	4	2
2014-03-26 17:47:33.136049	28131	21.2	1	1
2014-03-26 17:47:33.361585	28132	50	2	1
2014-03-26 17:47:57.144763	28133	20.4	1	8
2014-03-26 17:47:57.40295	28134	50	2	8
2014-03-26 17:48:11.838971	28135	21.2	1	1
2014-03-26 17:48:12.061991	28136	50	2	1
2014-03-26 17:48:32.594324	28137	547	3	2
2014-03-26 17:48:32.841014	28138	1085777.3912887967	4	2
2014-03-26 17:48:36.14412	28139	20.4	1	8
2014-03-26 17:48:36.367239	28140	50	2	8
2014-03-26 17:48:44.591535	28141	531	3	2
2014-03-26 17:48:44.824931	28142	1085779.6893582395	4	2
2014-03-26 17:48:50.841945	28143	21.3	1	1
2014-03-26 17:48:51.0652	28144	50	2	1
2014-03-26 17:49:15.142604	28145	20.4	1	8
2014-03-26 17:49:15.376918	28146	50	2	8
2014-03-26 17:49:29.840425	28147	21.3	1	1
2014-03-26 17:49:30.064253	28148	50	2	1
2014-03-26 17:49:32.593658	28149	531	3	2
2014-03-26 17:49:32.827858	28150	1085786.583566568	4	2
2014-03-26 17:49:54.143951	28151	20.4	1	8
2014-03-26 17:49:54.36809	28152	51	2	8
2014-03-26 17:50:08.84319	28153	21.3	1	1
2014-03-26 17:50:09.076445	28154	50	2	1
2014-03-26 17:50:32.593261	28155	531	3	2
2014-03-26 17:50:32.821351	28156	1085795.7758443393	4	2
2014-03-26 17:50:33.143726	28157	20.4	1	8
2014-03-26 17:50:33.376737	28158	50	2	8
2014-03-26 17:50:47.843513	28159	21.3	1	1
2014-03-26 17:50:48.067605	28160	50	2	1
2014-03-26 17:51:12.142707	28161	20.4	1	8
2014-03-26 17:51:12.377323	28162	51	2	8
2014-03-26 17:51:26.843777	28163	21.3	1	1
2014-03-26 17:51:27.069528	28164	50	2	1
2014-03-26 17:51:32.590877	28165	611	3	2
2014-03-26 17:51:32.82707	28166	1085803.8190873892	4	2
2014-03-26 17:51:44.592196	28167	611	3	2
2014-03-26 17:51:44.817719	28168	1085806.117156832	4	2
2014-03-26 17:51:51.145508	28169	20.5	1	8
2014-03-26 17:51:51.379884	28170	51	2	8
2014-03-26 17:52:05.842128	28171	21.3	1	1
2014-03-26 17:52:06.067792	28172	50	2	1
2014-03-26 17:52:30.14428	28173	20.5	1	8
2014-03-26 17:52:30.37896	28174	51	2	8
2014-03-26 17:52:32.590971	28175	611	3	2
2014-03-26 17:52:32.817195	28176	1085814.160399882	4	2
2014-03-26 17:52:44.840196	28177	21.3	1	1
2014-03-26 17:52:45.076788	28178	50	2	1
2014-03-26 17:53:09.143648	28179	20.5	1	8
2014-03-26 17:53:09.369625	28180	51	2	8
2014-03-26 17:53:23.840909	28181	21.3	1	1
2014-03-26 17:53:24.076794	28182	50	2	1
2014-03-26 17:53:32.591664	28183	611	3	2
2014-03-26 17:53:32.814312	28184	1085824.5017123746	4	2
2014-03-26 17:53:48.143244	28185	20.5	1	8
2014-03-26 17:53:48.392604	28186	51	2	8
2014-03-26 17:54:02.839389	28187	21.3	1	1
2014-03-26 17:54:03.063016	28188	50	2	1
2014-03-26 17:54:27.144411	28189	20.5	1	8
2014-03-26 17:54:27.378945	28190	51	2	8
2014-03-26 17:54:32.593115	28191	595	3	2
2014-03-26 17:54:32.818786	28192	1085834.8430248674	4	2
2014-03-26 17:54:41.837287	28193	21.3	1	1
2014-03-26 17:54:42.07173	28194	50	2	1
2014-03-26 17:55:06.143152	28195	20.5	1	8
2014-03-26 17:55:06.366211	28196	51	2	8
2014-03-26 17:55:20.841479	28197	21.3	1	1
2014-03-26 17:55:21.074558	28198	50	2	1
2014-03-26 17:55:32.592323	28199	595	3	2
2014-03-26 17:55:32.817784	28200	1085844.0353026388	4	2
2014-03-26 17:55:45.142576	28201	20.5	1	8
2014-03-26 17:55:45.376921	28202	51	2	8
2014-03-26 17:55:59.842624	28203	21.3	1	1
2014-03-26 17:56:00.065963	28204	50	2	1
2014-03-26 17:56:24.142183	28205	20.5	1	8
2014-03-26 17:56:24.376325	28206	51	2	8
2014-03-26 17:56:38.636805	28207	595	3	2
2014-03-26 17:56:38.860717	28208	1085854.3766151315	4	2
2014-03-26 17:56:39.171507	28209	21.3	1	1
2014-03-26 17:56:39.405191	28210	50	2	1
2014-03-26 17:57:03.143899	28211	20.5	1	8
2014-03-26 17:57:03.368621	28212	51	2	8
2014-03-26 17:57:17.877303	28213	21.3	1	1
2014-03-26 17:57:18.112351	28214	50	2	1
2014-03-26 17:57:32.582271	28215	611	3	2
2014-03-26 17:57:32.807638	28216	1085864.7179276242	4	2
2014-03-26 17:57:42.145356	28217	20.5	1	8
2014-03-26 17:57:42.380105	28218	51	2	8
2014-03-26 17:57:56.590741	28219	659	3	2
2014-03-26 17:57:56.818453	28220	1085869.31406651	4	2
2014-03-26 17:57:57.12476	28221	21.3	1	1
2014-03-26 17:57:57.360552	28222	50	2	1
2014-03-26 17:58:08.590034	28223	659	3	2
2014-03-26 17:58:08.814054	28224	1085871.6121359528	4	2
2014-03-26 17:58:21.143508	28225	20.5	1	8
2014-03-26 17:58:21.380135	28226	51	2	8
2014-03-26 17:58:32.589776	28227	643	3	2
2014-03-26 17:58:32.814702	28228	1085875.059240117	4	2
2014-03-26 17:58:35.839298	28229	21.3	1	1
2014-03-26 17:58:36.073659	28230	50	2	1
2014-03-26 17:58:44.591746	28231	676	3	2
2014-03-26 17:58:44.816485	28232	1085877.3573095598	4	2
2014-03-26 17:58:56.591996	28233	659	3	2
2014-03-26 17:58:56.839468	28234	1085879.6553790027	4	2
2014-03-26 17:59:00.14414	28235	20.5	1	8
2014-03-26 17:59:00.371412	28236	51	2	8
2014-03-26 17:59:14.834985	28237	21.3	1	1
2014-03-26 17:59:15.068543	28238	50	2	1
2014-03-26 17:59:32.594719	28239	659	3	2
2014-03-26 17:59:32.819625	28240	1085886.549587331	4	2
2014-03-26 17:59:39.143753	28241	20.5	1	8
2014-03-26 17:59:39.377679	28242	51	2	8
2014-03-26 17:59:53.838584	28243	21.3	1	1
2014-03-26 17:59:54.063152	28244	50	2	1
2014-03-26 18:00:18.143396	28245	20.5	1	8
2014-03-26 18:00:18.377387	28246	51	2	8
2014-03-26 18:00:32.592823	28247	643	3	2
2014-03-26 18:00:32.818933	28248	1085895.7463360548	4	2
2014-03-26 18:00:33.128009	28249	21.3	1	1
2014-03-26 18:00:33.363386	28250	50	2	1
2014-03-26 18:00:57.142804	28251	20.5	1	8
2014-03-26 18:00:57.36814	28252	51	2	8
2014-03-26 18:01:11.839859	28253	21.3	1	1
2014-03-26 18:01:12.073471	28254	50	2	1
2014-03-26 18:01:32.590951	28255	676	3	2
2014-03-26 18:01:32.816825	28256	1085907.2366832688	4	2
2014-03-26 18:01:36.144383	28257	20.5	1	8
2014-03-26 18:01:36.38001	28258	51	2	8
2014-03-26 18:01:44.592622	28259	659	3	2
2014-03-26 18:01:44.8174	28260	1085909.5347527117	4	2
2014-03-26 18:01:50.872403	28261	21.3	1	1
2014-03-26 18:01:51.106733	28262	50	2	1
2014-03-26 18:02:15.142773	28263	20.5	1	8
2014-03-26 18:02:15.366399	28264	51	2	8
2014-03-26 18:02:29.835804	28265	21.3	1	1
2014-03-26 18:02:30.071847	28266	50	2	1
2014-03-26 18:02:32.588096	28267	643	3	2
2014-03-26 18:02:32.8148	28268	1085918.727030483	4	2
2014-03-26 18:02:54.144581	28269	20.5	1	8
2014-03-26 18:02:54.379279	28270	51	2	8
2014-03-26 18:03:08.833558	28271	21.3	1	1
2014-03-26 18:03:09.058582	28272	50	2	1
2014-03-26 18:03:32.592108	28273	659	3	2
2014-03-26 18:03:32.830287	28274	1085929.0683429758	4	2
2014-03-26 18:03:33.145026	28275	20.5	1	8
2014-03-26 18:03:33.371989	28276	51	2	8
2014-03-26 18:03:44.590659	28277	611	3	2
2014-03-26 18:03:44.825979	28278	1085931.3664124184	4	2
2014-03-26 18:03:47.833797	28279	21.3	1	1
2014-03-26 18:03:48.05817	28280	50	2	1
2014-03-26 18:03:56.59459	28281	611	3	2
2014-03-26 18:03:56.843875	28282	1085933.6644818613	4	2
2014-03-26 18:04:12.144166	28283	20.5	1	8
2014-03-26 18:04:12.371221	28284	51	2	8
2014-03-26 18:04:26.83131	28285	21.3	1	1
2014-03-26 18:04:27.066579	28286	50	2	1
2014-03-26 18:04:32.596513	28287	611	3	2
2014-03-26 18:04:32.82027	28288	1085939.4096554685	4	2
2014-03-26 18:04:51.142431	28289	20.5	1	8
2014-03-26 18:04:51.377052	28290	51	2	8
2014-03-26 18:05:05.831053	28291	21.3	1	1
2014-03-26 18:05:06.053732	28292	50	2	1
2014-03-26 18:05:30.142779	28293	20.5	1	8
2014-03-26 18:05:30.375995	28294	51	2	8
2014-03-26 18:05:32.591022	28295	611	3	2
2014-03-26 18:05:32.816247	28296	1085949.7509679613	4	2
2014-03-26 18:05:44.833272	28297	21.3	1	1
2014-03-26 18:05:45.068579	28298	50	2	1
2014-03-26 18:06:09.363649	28299	20.5	1	8
2014-03-26 18:06:09.58887	28300	51	2	8
2014-03-26 18:06:23.835105	28301	21.3	1	1
2014-03-26 18:06:24.070225	28302	50	2	1
2014-03-26 18:06:32.591628	28303	595	3	2
2014-03-26 18:06:32.818652	28304	1085960.092280454	4	2
2014-03-26 18:06:44.593054	28305	482	3	2
2014-03-26 18:06:44.83126	28306	1085962.3903498966	4	2
2014-03-26 18:06:48.143786	28307	20.5	1	8
2014-03-26 18:06:48.374946	28308	51	2	8
2014-03-26 18:06:56.593079	28309	482	3	2
2014-03-26 18:06:56.831189	28310	1085963.5393846182	4	2
2014-03-26 18:07:02.834512	28311	21.3	1	1
2014-03-26 18:07:03.059278	28312	50	2	1
2014-03-26 18:07:27.143004	28313	20.5	1	8
2014-03-26 18:07:27.376513	28314	51	2	8
2014-03-26 18:07:32.592997	28315	466	3	2
2014-03-26 18:07:32.83816	28316	1085968.1355235039	4	2
2014-03-26 18:07:41.831725	28317	21.3	1	1
2014-03-26 18:07:42.069068	28318	50	2	1
2014-03-26 18:08:06.144629	28319	20.5	1	8
2014-03-26 18:08:06.370296	28320	51	2	8
2014-03-26 18:08:21.071338	28321	21.3	1	1
2014-03-26 18:08:21.305925	28322	50	2	1
2014-03-26 18:08:32.590632	28323	466	3	2
2014-03-26 18:08:32.814473	28324	1085976.1787665538	4	2
2014-03-26 18:08:45.141848	28325	20.5	1	8
2014-03-26 18:08:45.379943	28326	51	2	8
2014-03-26 18:08:59.833013	28327	21.3	1	1
2014-03-26 18:09:00.057437	28328	50	2	1
2014-03-26 18:09:24.142393	28329	20.5	1	8
2014-03-26 18:09:24.390812	28330	51	2	8
2014-03-26 18:09:32.591176	28331	482	3	2
2014-03-26 18:09:32.816305	28332	1085984.2220096036	4	2
2014-03-26 18:09:38.830444	28333	21.3	1	1
2014-03-26 18:09:39.247233	28334	50	2	1
2014-03-26 18:09:56.593929	28335	1931	3	2
2014-03-26 18:09:56.819204	28336	1085988.8181484893	4	2
2014-03-26 18:10:03.143639	28337	20.5	1	8
2014-03-26 18:10:03.368637	28338	51	2	8
2014-03-26 18:10:08.605059	28339	627	3	2
2014-03-26 18:10:08.838967	28340	1085989.9671832107	4	2
2014-03-26 18:10:17.827196	28341	21.3	1	1
2014-03-26 18:10:18.050645	28342	50	2	1
2014-03-26 18:10:20.589142	28343	611	3	2
2014-03-26 18:10:20.821684	28344	1085992.2652526535	4	2
2014-03-26 18:10:32.591763	28345	627	3	2
2014-03-26 18:10:32.834465	28346	1085994.5633220964	4	2
2014-03-26 18:10:42.14268	28347	20.5	1	8
2014-03-26 18:10:42.377471	28348	51	2	8
2014-03-26 18:10:56.830279	28349	21.3	1	1
2014-03-26 18:10:57.05733	28350	50	2	1
2014-03-26 18:11:21.142841	28351	20.5	1	8
2014-03-26 18:11:21.376086	28352	51	2	8
2014-03-26 18:11:32.589789	28353	611	3	2
2014-03-26 18:11:32.814727	28354	1086004.904634589	4	2
2014-03-26 18:11:35.830178	28355	21.3	1	1
2014-03-26 18:11:36.061908	28356	50	2	1
2014-03-26 18:12:00.142659	28357	20.5	1	8
2014-03-26 18:12:00.366899	28358	51	2	8
2014-03-26 18:12:14.832608	28359	21.3	1	1
2014-03-26 18:12:15.066368	28360	50	2	1
2014-03-26 18:12:32.592026	28361	611	3	2
2014-03-26 18:12:32.815366	28362	1086015.2459470818	4	2
2014-03-26 18:12:39.142013	28363	20.5	1	8
2014-03-26 18:12:39.377133	28364	51	2	8
2014-03-26 18:12:53.830918	28365	21.3	1	1
2014-03-26 18:12:54.056461	28366	50	2	1
2014-03-26 18:13:18.143087	28367	20.5	1	8
2014-03-26 18:13:18.376218	28368	51	2	8
2014-03-26 18:13:32.590057	28369	611	3	2
2014-03-26 18:13:32.815761	28370	1086025.5872595746	4	2
2014-03-26 18:13:33.124137	28371	21.3	1	1
2014-03-26 18:13:33.358619	28372	50	2	1
2014-03-26 18:13:57.144553	28373	20.5	1	8
2014-03-26 18:13:57.368932	28374	51	2	8
2014-03-26 18:14:11.830097	28375	21.3	1	1
2014-03-26 18:14:12.063207	28376	50	2	1
2014-03-26 18:14:32.589648	28377	627	3	2
2014-03-26 18:14:32.815845	28378	1086035.9285720673	4	2
2014-03-26 18:14:36.14348	28379	20.5	1	8
2014-03-26 18:14:36.388865	28380	51	2	8
2014-03-26 18:14:50.828002	28381	21.3	1	1
2014-03-26 18:14:51.051111	28382	50	2	1
2014-03-26 18:15:15.141861	28383	20.5	1	8
2014-03-26 18:15:15.378142	28384	51	2	8
2014-03-26 18:15:29.826784	28385	21.3	1	1
2014-03-26 18:15:30.048541	28386	50	2	1
2014-03-26 18:15:32.589499	28387	611	3	2
2014-03-26 18:15:32.824802	28388	1086046.26988456	4	2
2014-03-26 18:15:54.142566	28389	20.5	1	8
2014-03-26 18:15:54.364505	28390	51	2	8
2014-03-26 18:15:56.590718	28391	531	3	2
2014-03-26 18:15:56.82396	28392	1086049.7169887242	4	2
2014-03-26 18:16:08.590804	28393	547	3	2
2014-03-26 18:16:08.870767	28394	1086052.015058167	4	2
2014-03-26 18:16:09.176177	28395	21.3	1	1
2014-03-26 18:16:09.409	28396	50	2	1
2014-03-26 18:16:32.590637	28397	579	3	2
2014-03-26 18:16:32.814628	28398	1086055.4621623314	4	2
2014-03-26 18:16:33.143079	28399	20.5	1	8
2014-03-26 18:16:33.375396	28400	51	2	8
2014-03-26 18:16:44.587637	28401	547	3	2
2014-03-26 18:16:44.813617	28402	1086057.760231774	4	2
2014-03-26 18:16:47.825581	28403	21.3	1	1
2014-03-26 18:16:48.057598	28404	50	2	1
2014-03-26 18:16:56.593002	28405	547	3	2
2014-03-26 18:16:56.816315	28406	1086058.9092664956	4	2
2014-03-26 18:17:12.142938	28407	20.5	1	8
2014-03-26 18:17:12.377044	28408	51	2	8
2014-03-26 18:17:26.828486	28409	21.3	1	1
2014-03-26 18:17:27.051987	28410	50	2	1
2014-03-26 18:17:32.58888	28411	547	3	2
2014-03-26 18:17:32.824489	28412	1086064.6544401026	4	2
2014-03-26 18:17:51.142651	28413	20.5	1	8
2014-03-26 18:17:51.366352	28414	51	2	8
2014-03-26 18:18:05.824782	28415	21.3	1	1
2014-03-26 18:18:06.060611	28416	50	2	1
2014-03-26 18:18:30.143038	28417	20.5	1	8
2014-03-26 18:18:30.367362	28418	51	2	8
2014-03-26 18:18:32.589162	28419	547	3	2
2014-03-26 18:18:32.823378	28420	1086073.846717874	4	2
2014-03-26 18:18:44.825524	28421	21.3	1	1
2014-03-26 18:18:45.053452	28422	50	2	1
2014-03-26 18:19:09.143246	28423	20.5	1	8
2014-03-26 18:19:09.378027	28424	51	2	8
2014-03-26 18:19:23.82378	28425	21.2	1	1
2014-03-26 18:19:24.047419	28426	49	2	1
2014-03-26 18:19:32.589926	28427	547	3	2
2014-03-26 18:19:32.83548	28428	1086083.0389956452	4	2
2014-03-26 18:19:44.58888	28429	579	3	2
2014-03-26 18:19:44.813132	28430	1086085.337065088	4	2
2014-03-26 18:19:48.143297	28431	20.5	1	8
2014-03-26 18:19:48.380048	28432	51	2	8
2014-03-26 18:19:56.588082	28433	579	3	2
2014-03-26 18:19:56.81291	28434	1086086.4860998096	4	2
2014-03-26 18:20:02.825373	28435	21.2	1	1
2014-03-26 18:20:03.059427	28436	49	2	1
2014-03-26 18:20:08.588724	28437	547	3	2
2014-03-26 18:20:08.817141	28438	1086088.7841692525	4	2
2014-03-26 18:20:20.591456	28439	579	3	2
2014-03-26 18:20:20.828016	28440	1086091.0822386951	4	2
2014-03-26 18:20:27.143903	28441	20.5	1	8
2014-03-26 18:20:27.371492	28442	51	2	8
2014-03-26 18:20:32.588276	28443	547	3	2
2014-03-26 18:20:32.822293	28444	1086092.2312734167	4	2
2014-03-26 18:20:41.819904	28445	21.2	1	1
2014-03-26 18:20:42.043143	28446	49	2	1
2014-03-26 18:20:44.589961	28447	547	3	2
2014-03-26 18:20:44.82336	28448	1086094.5293428595	4	2
2014-03-26 18:21:06.142571	28449	20.5	1	8
2014-03-26 18:21:06.366083	28450	51	2	8
2014-03-26 18:21:20.823812	28451	21.2	1	1
2014-03-26 18:21:21.056333	28452	49	2	1
2014-03-26 18:21:32.593257	28453	547	3	2
2014-03-26 18:21:32.816978	28454	1086101.4235511879	4	2
2014-03-26 18:21:45.143994	28455	20.5	1	8
2014-03-26 18:21:45.377538	28456	51	2	8
2014-03-26 18:21:59.820672	28457	21.2	1	1
2014-03-26 18:22:00.043837	28458	49	2	1
2014-03-26 18:22:24.142782	28459	20.5	1	8
2014-03-26 18:22:24.375495	28460	51	2	8
2014-03-26 18:22:32.586083	28461	611	3	2
2014-03-26 18:22:32.814685	28462	1086110.6158289593	4	2
2014-03-26 18:22:38.823178	28463	21.2	1	1
2014-03-26 18:22:39.057859	28464	49	2	1
2014-03-26 18:22:44.589643	28465	547	3	2
2014-03-26 18:22:44.820803	28466	1086112.9138984021	4	2
2014-03-26 18:22:56.586371	28467	547	3	2
2014-03-26 18:22:56.843108	28468	1086115.211967845	4	2
2014-03-26 18:23:03.142576	28469	20.5	1	8
2014-03-26 18:23:03.36546	28470	51	2	8
2014-03-26 18:23:17.820396	28471	21.2	1	1
2014-03-26 18:23:18.056206	28472	49	2	1
2014-03-26 18:23:32.587795	28473	547	3	2
2014-03-26 18:23:32.812908	28474	1086119.8081067307	4	2
2014-03-26 18:23:42.142826	28475	20.5	1	8
2014-03-26 18:23:42.387359	28476	51	2	8
2014-03-26 18:23:56.819879	28477	21.2	1	1
2014-03-26 18:23:57.04443	28478	49	2	1
2014-03-26 18:24:21.143861	28479	20.5	1	8
2014-03-26 18:24:21.376647	28480	51	2	8
2014-03-26 18:24:32.588825	28481	531	3	2
2014-03-26 18:24:32.812969	28482	1086129.0003845019	4	2
2014-03-26 18:24:35.821501	28483	21.2	1	1
2014-03-26 18:24:36.053735	28484	49	2	1
2014-03-26 18:25:00.142631	28485	20.6	1	8
2014-03-26 18:25:00.367142	28486	51	2	8
2014-03-26 18:25:14.825181	28487	21.2	1	1
2014-03-26 18:25:15.062969	28488	49	2	1
2014-03-26 18:25:32.590698	28489	515	3	2
2014-03-26 18:25:32.816386	28490	1086138.1926622733	4	2
2014-03-26 18:25:39.143493	28491	20.6	1	8
2014-03-26 18:25:39.377119	28492	51	2	8
2014-03-26 18:25:53.822096	28493	21.2	1	1
2014-03-26 18:25:54.047226	28494	49	2	1
2014-03-26 18:26:08.587466	28495	547	3	2
2014-03-26 18:26:08.820915	28496	1086142.7888011588	4	2
2014-03-26 18:26:18.141751	28497	20.6	1	8
2014-03-26 18:26:18.365229	28498	51	2	8
2014-03-26 18:26:20.590059	28499	515	3	2
2014-03-26 18:26:20.823555	28500	1086145.0868706016	4	2
2014-03-26 18:26:32.590137	28501	515	3	2
2014-03-26 18:26:32.814954	28502	1086146.2359053232	4	2
2014-03-26 18:26:33.120989	28503	21.2	1	1
2014-03-26 18:26:33.354834	28504	49	2	1
2014-03-26 18:26:57.362663	28505	20.6	1	8
2014-03-26 18:26:57.586835	28506	51	2	8
2014-03-26 18:27:11.818949	28507	21.2	1	1
2014-03-26 18:27:12.052287	28508	49	2	1
2014-03-26 18:27:34.205032	28509	531	3	2
2014-03-26 18:27:34.428741	28510	1086155.4281830944	4	2
2014-03-26 18:27:36.143637	28511	20.6	1	8
2014-03-26 18:27:36.37629	28512	51	2	8
2014-03-26 18:27:44.589849	28513	498	3	2
2014-03-26 18:27:44.81754	28514	1086157.7262525372	4	2
2014-03-26 18:27:50.821071	28515	21.2	1	1
2014-03-26 18:27:51.055525	28516	49	2	1
2014-03-26 18:27:56.588566	28517	482	3	2
2014-03-26 18:27:56.817448	28518	1086158.8752872588	4	2
2014-03-26 18:28:15.143401	28519	20.6	1	8
2014-03-26 18:28:15.37635	28520	51	2	8
2014-03-26 18:28:29.822967	28521	21.2	1	1
2014-03-26 18:28:30.049392	28522	49	2	1
2014-03-26 18:28:32.590533	28523	482	3	2
2014-03-26 18:28:32.837536	28524	1086163.4714261442	4	2
2014-03-26 18:28:54.143823	28525	20.6	1	8
2014-03-26 18:28:54.367433	28526	51	2	8
2014-03-26 18:29:08.820399	28527	21.2	1	1
2014-03-26 18:29:09.054896	28528	49	2	1
2014-03-26 18:29:32.94285	28529	482	3	2
2014-03-26 18:29:33.168672	28530	1086171.5146691944	4	2
2014-03-26 18:29:33.475661	28531	20.6	1	8
2014-03-26 18:29:33.709394	28532	51	2	8
2014-03-26 18:29:47.817949	28533	21.2	1	1
2014-03-26 18:29:48.04337	28534	49	2	1
2014-03-26 18:30:12.144844	28535	20.6	1	8
2014-03-26 18:30:12.379445	28536	51	2	8
2014-03-26 18:30:26.820112	28537	21.2	1	1
2014-03-26 18:30:27.044094	28538	49	2	1
2014-03-26 18:30:32.588488	28539	498	3	2
2014-03-26 18:30:32.82335	28540	1086179.5579122442	4	2
2014-03-26 18:30:51.143086	28541	20.6	1	8
2014-03-26 18:30:51.36793	28542	51	2	8
2014-03-26 18:31:05.817079	28543	21.2	1	1
2014-03-26 18:31:06.051524	28544	49	2	1
2014-03-26 18:31:30.143014	28545	20.6	1	8
2014-03-26 18:31:30.366524	28546	51	2	8
2014-03-26 18:31:32.589237	28547	498	3	2
2014-03-26 18:31:32.825195	28548	1086187.6056262462	4	2
2014-03-26 18:31:44.818706	28549	21.2	1	1
2014-03-26 18:31:45.043928	28550	49	2	1
2014-03-26 18:32:09.142765	28551	20.6	1	8
2014-03-26 18:32:09.376119	28552	51	2	8
2014-03-26 18:32:23.815415	28553	21.2	1	1
2014-03-26 18:32:24.039638	28554	49	2	1
2014-03-26 18:32:32.59137	28555	498	3	2
2014-03-26 18:32:32.828116	28556	1086195.6488692963	4	2
2014-03-26 18:32:48.143451	28557	20.6	1	8
2014-03-26 18:32:48.36924	28558	51	2	8
2014-03-26 18:33:02.815638	28559	21.2	1	1
2014-03-26 18:33:03.049395	28560	49	2	1
2014-03-26 18:33:27.142789	28561	20.6	1	8
2014-03-26 18:33:27.3669	28562	51	2	8
2014-03-26 18:33:41.615709	28563	515	3	2
2014-03-26 18:33:41.85238	28564	1086203.6921123462	4	2
2014-03-26 18:33:42.159761	28565	21.2	1	1
2014-03-26 18:33:42.382909	28566	49	2	1
2014-03-26 18:34:06.142823	28567	20.6	1	8
2014-03-26 18:34:06.378226	28568	51	2	8
2014-03-26 18:34:20.586793	28569	547	3	2
2014-03-26 18:34:20.813405	28570	1086210.5863206745	4	2
2014-03-26 18:34:21.122595	28571	21.2	1	1
2014-03-26 18:34:21.368762	28572	49	2	1
2014-03-26 18:34:32.590028	28573	547	3	2
2014-03-26 18:34:32.815987	28574	1086212.8843901174	4	2
2014-03-26 18:34:45.142679	28575	20.6	1	8
2014-03-26 18:34:45.377051	28576	51	2	8
2014-03-26 18:34:56.590212	28577	579	3	2
2014-03-26 18:34:56.814722	28578	1086216.3314942818	4	2
2014-03-26 18:34:59.814456	28579	21.2	1	1
2014-03-26 18:35:00.049572	28580	49	2	1
2014-03-26 18:35:08.590403	28581	579	3	2
2014-03-26 18:35:08.814756	28582	1086218.6295637244	4	2
2014-03-26 18:35:20.586563	28583	547	3	2
2014-03-26 18:35:20.821956	28584	1086220.9276331672	4	2
2014-03-26 18:35:24.146661	28585	20.6	1	8
2014-03-26 18:35:24.370743	28586	51	2	8
2014-03-26 18:35:32.588003	28587	579	3	2
2014-03-26 18:35:32.823755	28588	1086222.0766678888	4	2
2014-03-26 18:35:38.815779	28589	21.2	1	1
2014-03-26 18:35:39.043562	28590	49	2	1
2014-03-26 18:35:44.587041	28591	547	3	2
2014-03-26 18:35:44.826249	28592	1086224.3747373316	4	2
2014-03-26 18:35:56.595397	28593	579	3	2
2014-03-26 18:35:56.819348	28594	1086226.6728067745	4	2
2014-03-26 18:36:03.143986	28595	20.6	1	8
2014-03-26 18:36:03.381838	28596	51	2	8
2014-03-26 18:36:08.5886	28597	579	3	2
2014-03-26 18:36:08.819513	28598	1086227.8218414958	4	2
2014-03-26 18:36:17.815449	28599	21.2	1	1
2014-03-26 18:36:18.047233	28600	49	2	1
2014-03-26 18:36:20.58852	28601	547	3	2
2014-03-26 18:36:20.812545	28602	1086230.1199109387	4	2
2014-03-26 18:36:32.587814	28603	547	3	2
2014-03-26 18:36:32.824512	28604	1086232.4179803815	4	2
2014-03-26 18:36:42.141973	28605	20.6	1	8
2014-03-26 18:36:42.368653	28606	51	2	8
2014-03-26 18:36:44.590163	28607	579	3	2
2014-03-26 18:36:44.825043	28608	1086233.5670151028	4	2
2014-03-26 18:36:56.586425	28609	579	3	2
2014-03-26 18:36:56.813696	28610	1086235.8650845457	4	2
2014-03-26 18:36:57.122293	28611	21.2	1	1
2014-03-26 18:36:57.355003	28612	49	2	1
2014-03-26 18:37:21.142981	28613	20.6	1	8
2014-03-26 18:37:21.366794	28614	51	2	8
2014-03-26 18:37:32.58953	28615	579	3	2
2014-03-26 18:37:32.823856	28616	1086241.6102581527	4	2
2014-03-26 18:37:35.815253	28617	21.2	1	1
2014-03-26 18:37:36.038517	28618	49	2	1
2014-03-26 18:38:00.143139	28619	20.6	1	8
2014-03-26 18:38:00.388306	28620	51	2	8
2014-03-26 18:38:14.81163	28621	21.2	1	1
2014-03-26 18:38:15.039018	28622	49	2	1
2014-03-26 18:38:32.587342	28623	595	3	2
2014-03-26 18:38:32.826765	28624	1086251.9515706454	4	2
2014-03-26 18:38:39.142569	28625	20.6	1	8
2014-03-26 18:38:39.365779	28626	51	2	8
2014-03-26 18:38:53.81625	28627	21.2	1	1
2014-03-26 18:38:54.04984	28628	49	2	1
2014-03-26 18:39:18.142635	28629	20.6	1	8
2014-03-26 18:39:18.652675	28630	51	2	8
2014-03-26 18:39:32.587629	28631	579	3	2
2014-03-26 18:39:32.822166	28632	1086261.1438484169	4	2
2014-03-26 18:39:33.131335	28633	21.2	1	1
2014-03-26 18:39:33.353546	28634	49	2	1
2014-03-26 18:39:44.585464	28635	515	3	2
2014-03-26 18:39:44.820376	28636	1086263.4419178597	4	2
2014-03-26 18:39:56.590516	28637	482	3	2
2014-03-26 18:39:56.815462	28638	1086264.590952581	4	2
2014-03-26 18:39:57.14251	28639	20.6	1	8
2014-03-26 18:39:57.375887	28640	51	2	8
2014-03-26 18:40:08.590387	28641	498	3	2
2014-03-26 18:40:08.815082	28642	1086265.7399873026	4	2
2014-03-26 18:40:11.812184	28643	21.2	1	1
2014-03-26 18:40:12.04926	28644	49	2	1
2014-03-26 18:40:32.590236	28645	498	3	2
2014-03-26 18:40:32.815245	28646	1086269.1870914667	4	2
2014-03-26 18:40:36.143962	28647	20.6	1	8
2014-03-26 18:40:36.375724	28648	51	2	8
2014-03-26 18:40:50.810669	28649	21.2	1	1
2014-03-26 18:40:51.035592	28650	49	2	1
2014-03-26 18:41:15.142382	28651	20.6	1	8
2014-03-26 18:41:15.38107	28652	51	2	8
2014-03-26 18:41:29.812745	28653	21.2	1	1
2014-03-26 18:41:30.03743	28654	49	2	1
2014-03-26 18:41:32.585509	28655	482	3	2
2014-03-26 18:41:32.819306	28656	1086277.2303345166	4	2
2014-03-26 18:41:54.143547	28657	20.6	1	8
2014-03-26 18:41:54.369302	28658	51	2	8
2014-03-26 18:42:08.808924	28659	21.2	1	1
2014-03-26 18:42:09.044315	28660	49	2	1
2014-03-26 18:42:32.588815	28661	482	3	2
2014-03-26 18:42:32.814427	28662	1086285.2735775665	4	2
2014-03-26 18:42:33.142705	28663	20.6	1	8
2014-03-26 18:42:33.375739	28664	51	2	8
2014-03-26 18:42:47.812205	28665	21.2	1	1
2014-03-26 18:42:48.036095	28666	49	2	1
2014-03-26 18:43:12.142229	28667	20.6	1	8
2014-03-26 18:43:12.389586	28668	51	2	8
2014-03-26 18:43:26.830115	28669	21.2	1	1
2014-03-26 18:43:27.093691	28670	49	2	1
2014-03-26 18:43:32.586021	28671	498	3	2
2014-03-26 18:43:32.823298	28672	1086293.3168206164	4	2
2014-03-26 18:43:51.142762	28673	20.6	1	8
2014-03-26 18:43:51.366783	28674	51	2	8
2014-03-26 18:44:05.809175	28675	21.2	1	1
2014-03-26 18:44:06.045112	28676	49	2	1
2014-03-26 18:44:30.143	28677	20.6	1	8
2014-03-26 18:44:30.370117	28678	51	2	8
2014-03-26 18:44:32.589486	28679	498	3	2
2014-03-26 18:44:32.825824	28680	1086302.5090983878	4	2
2014-03-26 18:44:44.80804	28681	21.2	1	1
2014-03-26 18:44:45.033984	28682	49	2	1
2014-03-26 18:45:09.142277	28683	20.6	1	8
2014-03-26 18:45:09.377178	28684	51	2	8
2014-03-26 18:45:23.810652	28685	21.2	1	1
2014-03-26 18:45:24.036474	28686	49	2	1
2014-03-26 18:45:32.584886	28687	515	3	2
2014-03-26 18:45:32.820019	28688	1086310.5523414377	4	2
2014-03-26 18:45:48.143819	28689	20.6	1	8
2014-03-26 18:45:48.368499	28690	51	2	8
2014-03-26 18:46:02.811513	28691	21.2	1	1
2014-03-26 18:46:03.045158	28692	49	2	1
2014-03-26 18:46:08.589105	28693	547	3	2
2014-03-26 18:46:08.817877	28694	1086315.1484803234	4	2
2014-03-26 18:46:20.58584	28695	547	3	2
2014-03-26 18:46:20.819231	28696	1086317.4465497662	4	2
2014-03-26 18:46:27.363126	28697	20.6	1	8
2014-03-26 18:46:27.586608	28698	51	2	8
2014-03-26 18:46:32.587121	28699	547	3	2
2014-03-26 18:46:32.821953	28700	1086319.744619209	4	2
2014-03-26 18:46:41.806108	28701	21.2	1	1
2014-03-26 18:46:42.030739	28702	49	2	1
2014-03-26 18:47:06.142407	28703	20.6	1	8
2014-03-26 18:47:06.377276	28704	51	2	8
2014-03-26 18:47:20.806528	28705	21.2	1	1
2014-03-26 18:47:21.031512	28706	49	2	1
2014-03-26 18:47:32.587941	28707	547	3	2
2014-03-26 18:47:32.824296	28708	1086327.787862259	4	2
2014-03-26 18:47:45.142269	28709	20.6	1	8
2014-03-26 18:47:45.369241	28710	51	2	8
2014-03-26 18:47:59.805886	28711	21.2	1	1
2014-03-26 18:48:00.040744	28712	49	2	1
2014-03-26 18:48:24.143371	28713	20.6	1	8
2014-03-26 18:48:24.36795	28714	51	2	8
2014-03-26 18:48:32.593739	28715	547	3	2
2014-03-26 18:48:32.841349	28716	1086336.9801400302	4	2
2014-03-26 18:48:38.809337	28717	21.2	1	1
2014-03-26 18:48:39.037922	28718	49	2	1
2014-03-26 18:49:01.340121	28719	579	3	2
2014-03-26 18:49:01.802986	28720	1086341.5762789159	4	2
2014-03-26 18:49:03.143724	28721	20.6	1	8
2014-03-26 18:49:03.36649	28722	51	2	8
2014-03-26 18:49:08.588703	28723	547	3	2
2014-03-26 18:49:08.826632	28724	1086342.7253136374	4	2
2014-03-26 18:49:17.808698	28725	21.2	1	1
2014-03-26 18:49:18.033893	28726	49	2	1
2014-03-26 18:49:20.591466	28727	547	3	2
2014-03-26 18:49:20.829653	28728	1086345.02338308	4	2
2014-03-26 18:49:32.588991	28729	531	3	2
2014-03-26 18:49:32.845802	28730	1086347.3214525229	4	2
2014-03-26 18:49:42.143088	28731	20.6	1	8
2014-03-26 18:49:42.376827	28732	51	2	8
2014-03-26 18:49:56.808884	28733	21.2	1	1
2014-03-26 18:49:57.034278	28734	49	2	1
2014-03-26 18:50:20.587144	28735	579	3	2
2014-03-26 18:50:20.823545	28736	1086354.2156608514	4	2
2014-03-26 18:50:21.15294	28737	20.6	1	8
2014-03-26 18:50:21.39387	28738	51	2	8
2014-03-26 18:50:32.610531	28739	547	3	2
2014-03-26 18:50:32.885276	28740	1086356.5137302943	4	2
2014-03-26 18:50:35.820683	28741	21.2	1	1
2014-03-26 18:50:36.062038	28742	49	2	1
2014-03-26 18:50:44.588612	28743	547	3	2
2014-03-26 18:50:44.823262	28744	1086357.6627650156	4	2
2014-03-26 18:51:00.145201	28745	20.6	1	8
2014-03-26 18:51:00.370012	28746	51	2	8
2014-03-26 18:51:08.58793	28747	627	3	2
2014-03-26 18:51:08.824706	28748	1086362.2589039013	4	2
2014-03-26 18:51:14.80338	28749	21.2	1	1
2014-03-26 18:51:15.031274	28750	49	2	1
2014-03-26 18:51:20.588421	28751	611	3	2
2014-03-26 18:51:20.909954	28752	1086363.4079386229	4	2
2014-03-26 18:51:32.586814	28753	611	3	2
2014-03-26 18:51:32.817155	28754	1086365.7060080657	4	2
2014-03-27 00:12:32.775114	33942	1089167.0973683975	4	2
2014-03-27 00:12:33.743139	33943	23.1	1	10
2014-03-26 18:51:38.105294	28757	21.6	1	9
2014-03-26 18:51:38.331093	28758	52	2	9
2014-03-26 18:51:39.145094	28759	20.6	1	8
2014-03-26 18:51:39.56975	28760	51	2	8
2014-03-26 18:51:53.808688	28761	21.2	1	1
2014-03-26 18:51:54.034267	28762	49	2	1
2014-03-26 18:52:08.587891	28763	579	3	2
2014-03-26 18:52:08.834559	28764	1086372.600216394	4	2
2014-03-27 00:12:33.979674	33944	41	2	10
2014-03-26 18:52:17.057824	28767	22.4	1	9
2014-03-26 18:52:17.293025	28768	53	2	9
2014-03-26 18:52:18.142698	28769	20.6	1	8
2014-03-26 18:52:18.36869	28770	51	2	8
2014-03-26 18:52:20.588449	28771	579	3	2
2014-03-26 18:52:20.823179	28772	1086373.7492511156	4	2
2014-03-26 18:52:32.585838	28773	659	3	2
2014-03-26 18:52:32.810306	28774	1086376.0473205585	4	2
2014-03-26 18:52:33.116667	28775	21.2	1	1
2014-03-26 18:52:33.350903	28776	49	2	1
2014-03-26 18:52:44.586889	28777	1577	3	2
2014-03-26 18:52:44.812314	28778	1086379.4944247226	4	2
2014-03-26 18:52:56.056689	28779	22.5	1	9
2014-03-26 18:52:56.290489	28780	52	2	9
2014-03-26 18:52:56.599599	28781	643	3	2
2014-03-26 18:52:56.823895	28782	1086381.7924941655	4	2
2014-03-26 18:52:57.143029	28783	20.6	1	8
2014-03-26 18:52:57.376048	28784	52	2	8
2014-03-26 18:53:08.585217	28785	659	3	2
2014-03-26 18:53:08.813246	28786	1086382.9415288868	4	2
2014-03-26 18:53:11.810368	28787	21.2	1	1
2014-03-26 18:53:12.045441	28788	49	2	1
2014-03-26 18:53:32.719984	28789	659	3	2
2014-03-26 18:53:33.142575	28790	1086387.5376677725	4	2
2014-03-26 18:53:35.056497	28791	22.5	1	9
2014-03-26 18:53:35.295819	28792	52	2	9
2014-03-26 18:53:36.142843	28793	20.6	1	8
2014-03-26 18:53:36.365195	28794	52	2	8
2014-03-26 18:53:50.807256	28795	21.2	1	1
2014-03-26 18:53:51.040926	28796	49	2	1
2014-03-26 18:54:08.584437	28797	627	3	2
2014-03-26 18:54:08.811182	28798	1086394.431876101	4	2
2014-03-26 18:54:14.062037	28799	22.4	1	9
2014-03-26 18:54:14.295832	28800	51	2	9
2014-03-26 18:54:15.142723	28801	20.6	1	8
2014-03-26 18:54:15.367262	28802	52	2	8
2014-03-26 18:54:20.585524	28803	643	3	2
2014-03-26 18:54:20.822257	28804	1086396.729945544	4	2
2014-03-26 18:54:29.805564	28805	21.2	1	1
2014-03-26 18:54:30.031558	28806	49	2	1
2014-03-26 18:54:32.585588	28807	643	3	2
2014-03-26 18:54:32.827684	28808	1086399.0280149865	4	2
2014-03-26 18:54:53.057956	28809	22.3	1	9
2014-03-26 18:54:53.282864	28810	51	2	9
2014-03-26 18:54:54.143278	28811	20.6	1	8
2014-03-26 18:54:54.389055	28812	52	2	8
2014-03-26 18:55:08.808842	28813	21.2	1	1
2014-03-26 18:55:09.033546	28814	49	2	1
2014-03-26 18:55:32.057957	28815	22.2	1	9
2014-03-26 18:55:32.297259	28816	51	2	9
2014-03-26 18:55:32.606547	28817	643	3	2
2014-03-26 18:55:32.831245	28818	1086409.3693274793	4	2
2014-03-26 18:55:33.142881	28819	20.6	1	8
2014-03-26 18:55:33.375999	28820	52	2	8
2014-03-26 18:55:47.804561	28821	21.2	1	1
2014-03-26 18:55:48.031994	28822	49	2	1
2014-03-26 18:56:11.05888	28823	22.2	1	9
2014-03-26 18:56:11.29355	28824	50	2	9
2014-03-26 18:56:12.142577	28825	20.6	1	8
2014-03-26 18:56:12.368091	28826	52	2	8
2014-03-26 18:56:26.804328	28827	21.2	1	1
2014-03-26 18:56:27.047333	28828	49	2	1
2014-03-26 18:56:32.591278	28829	627	3	2
2014-03-26 18:56:32.824708	28830	1086419.710639972	4	2
2014-03-26 18:56:50.057435	28831	22.1	1	9
2014-03-26 18:56:50.292796	28832	50	2	9
2014-03-26 18:56:51.143628	28833	20.6	1	8
2014-03-26 18:56:51.366961	28834	51	2	8
2014-03-26 18:57:05.805786	28835	21.2	1	1
2014-03-26 18:57:06.042173	28836	49	2	1
2014-03-25 10:51:31.737057	3623	69	2	9
2014-03-25 10:52:10.506182	3629	19.1	1	9
2014-03-25 10:52:10.728934	3630	69	2	9
2014-03-25 10:52:49.502951	3636	19.3	1	9
2014-03-25 10:52:49.726507	3637	69	2	9
2014-03-25 10:53:28.503649	3642	19.4	1	9
2014-03-25 10:53:28.724426	3643	68	2	9
2014-03-25 10:54:07.503196	3650	19.5	1	9
2014-03-25 10:54:07.731918	3651	68	2	9
2014-03-25 10:54:46.502771	3660	19.6	1	9
2014-03-25 10:54:46.725648	3661	67	2	9
2014-03-25 10:55:25.503345	3666	19.6	1	9
2014-03-25 10:55:25.724669	3667	67	2	9
2014-03-25 10:56:43.503267	3684	19.7	1	9
2014-03-25 10:56:43.732601	3685	66	2	9
2014-03-25 10:57:22.506473	3690	19.7	1	9
2014-03-25 10:57:22.741801	3691	66	2	9
2014-03-25 10:58:01.502636	3699	19.8	1	9
2014-03-25 10:58:01.727807	3700	66	2	9
2014-03-25 10:58:40.503187	3706	19.8	1	9
2014-03-25 10:58:40.727217	3707	66	2	9
2014-03-25 10:59:19.948318	3714	19.8	1	9
2014-03-25 10:59:20.37381	3715	65	2	9
2014-03-25 10:59:58.505525	3723	19.8	1	9
2014-03-25 10:59:58.729661	3724	65	2	9
2014-03-25 11:00:37.505072	3730	19.9	1	9
2014-03-25 11:00:37.735875	3731	65	2	9
2014-03-25 11:01:16.503733	3737	19.9	1	9
2014-03-25 11:01:16.728071	3738	65	2	9
2014-03-25 11:01:55.504223	3744	19.9	1	9
2014-03-25 11:01:55.726352	3745	65	2	9
2014-03-25 11:02:34.505253	3751	19.9	1	9
2014-03-25 11:02:34.727428	3752	65	2	9
2014-03-25 11:03:13.503837	3758	19.9	1	9
2014-03-25 11:03:13.727598	3759	65	2	9
2014-03-25 11:03:52.943191	3766	19.9	1	9
2014-03-25 11:03:53.359965	3767	64	2	9
2014-03-25 11:04:31.679126	3772	19.9	1	9
2014-03-25 11:04:31.913917	3773	64	2	9
2014-03-25 11:05:10.503322	3779	19.9	1	9
2014-03-25 11:05:10.725246	3780	64	2	9
2014-03-25 11:05:49.503273	3786	20.0	1	9
2014-03-25 11:05:49.745835	3787	64	2	9
2014-03-25 11:06:28.503439	3795	20.0	1	9
2014-03-25 11:06:28.725669	3796	64	2	9
2014-03-25 11:07:07.503287	3802	20.0	1	9
2014-03-25 11:07:07.726225	3803	64	2	9
2014-03-25 11:11:40.735703	3852	63	2	9
2014-03-25 11:12:19.503368	3858	20.0	1	9
2014-03-25 11:12:19.736069	3859	63	2	9
2014-03-25 11:12:58.504778	3866	20.0	1	9
2014-03-25 11:12:58.737458	3867	63	2	9
2014-03-25 11:13:37.505309	3873	20.1	1	9
2014-03-25 11:13:37.736034	3874	63	2	9
2014-03-25 11:14:16.505435	3879	20.1	1	9
2014-03-25 11:14:16.734654	3880	63	2	9
2014-03-25 11:14:55.501592	3886	20.1	1	9
2014-03-25 11:14:55.725115	3887	63	2	9
2014-03-25 11:15:34.503691	3893	20.1	1	9
2014-03-25 11:15:34.72658	3894	63	2	9
2014-03-25 11:16:13.504075	3901	20.1	1	9
2014-03-25 11:16:13.725626	3902	63	2	9
2014-03-25 11:16:52.503629	3910	20.1	1	9
2014-03-25 11:16:52.724683	3911	63	2	9
2014-03-25 11:17:31.501954	3920	20.1	1	9
2014-03-25 11:17:31.725398	3921	63	2	9
2014-03-25 11:18:10.503239	3929	20.1	1	9
2014-03-25 11:18:10.725453	3930	62	2	9
2014-03-25 11:18:49.507428	3938	20.1	1	9
2014-03-25 11:18:49.747642	3939	62	2	9
2014-03-25 11:20:07.728847	3960	62	2	9
2014-03-25 11:20:46.970076	3967	20.1	1	9
2014-03-25 11:20:47.392695	3968	62	2	9
2014-03-25 11:21:25.502461	3973	20.1	1	9
2014-03-25 11:21:25.919743	3974	62	2	9
2014-03-25 11:22:04.502262	3980	20.1	1	9
2014-03-25 11:22:04.72373	3981	62	2	9
2014-03-25 11:22:43.504576	3987	20.1	1	9
2014-03-25 11:22:43.724566	3988	62	2	9
2014-03-25 11:23:22.502293	3996	20.1	1	9
2014-03-25 11:23:22.72356	3997	62	2	9
2014-03-25 11:24:01.709084	4006	20.1	1	9
2014-03-25 11:24:01.932554	4007	62	2	9
2014-03-25 11:24:40.501982	4015	20.1	1	9
2014-03-25 11:24:40.733762	4016	62	2	9
2014-03-25 11:25:19.529948	4021	20.1	1	9
2014-03-25 11:25:19.752673	4022	62	2	9
2014-03-25 11:25:58.501344	4030	20.1	1	9
2014-03-25 11:25:58.733407	4031	62	2	9
2014-03-25 11:26:37.50101	4038	20.1	1	9
2014-03-25 11:26:37.723647	4039	62	2	9
2014-03-25 11:27:16.502737	4044	20.2	1	9
2014-03-25 11:27:16.733914	4045	62	2	9
2014-03-25 11:27:55.502673	4051	20.2	1	9
2014-03-25 11:27:55.723777	4052	62	2	9
2014-03-25 11:28:34.502578	4058	20.2	1	9
2014-03-25 11:28:34.723653	4059	62	2	9
2014-03-25 11:29:13.503929	4064	20.2	1	9
2014-03-25 11:29:13.72499	4065	62	2	9
2014-03-25 11:29:52.502043	4072	20.2	1	9
2014-03-25 11:29:52.72495	4073	62	2	9
2014-03-25 11:30:31.501229	4080	20.2	1	9
2014-03-25 11:30:31.733336	4081	62	2	9
2014-03-25 11:31:10.503109	4087	20.2	1	9
2014-03-25 11:31:10.734259	4088	62	2	9
2014-03-25 11:31:49.502166	4095	20.2	1	9
2014-03-25 11:31:49.736108	4096	62	2	9
2014-03-25 11:32:28.709191	4101	20.2	1	9
2014-03-25 11:32:28.931948	4102	62	2	9
2014-03-25 11:33:07.501784	4108	20.2	1	9
2014-03-25 11:33:07.724831	4109	62	2	9
2014-03-25 11:33:46.501986	4115	20.2	1	9
2014-03-25 11:33:46.724767	4116	62	2	9
2014-03-25 11:34:25.708788	4121	20.2	1	9
2014-03-25 11:34:25.941256	4122	62	2	9
2014-03-25 11:35:04.504204	4128	20.2	1	9
2014-03-25 11:35:04.735584	4129	62	2	9
2014-03-25 11:35:43.500921	4136	20.2	1	9
2014-03-25 11:35:43.735953	4137	62	2	9
2014-03-25 11:36:22.502177	4146	20.2	1	9
2014-03-25 11:36:22.724058	4147	61	2	9
2014-03-25 11:37:01.504018	4155	20.2	1	9
2014-03-25 11:37:01.735835	4156	61	2	9
2014-03-25 11:37:40.501592	4164	20.2	1	9
2014-03-25 11:37:40.723643	4165	61	2	9
2014-03-25 11:38:19.502563	4172	20.2	1	9
2014-03-25 11:38:19.724872	4173	61	2	9
2014-03-25 11:38:58.501922	4179	20.2	1	9
2014-03-25 11:38:58.723124	4180	61	2	9
2014-03-25 11:39:37.502052	4186	20.2	1	9
2014-03-25 11:39:37.726228	4187	61	2	9
2014-03-25 11:40:16.504505	4192	20.2	1	9
2014-03-25 11:40:16.735765	4193	61	2	9
2014-03-25 11:40:55.501902	4199	20.2	1	9
2014-03-25 11:40:55.725669	4200	61	2	9
2014-03-25 11:41:34.501616	4206	20.2	1	9
2014-03-25 11:41:34.725755	4207	61	2	9
2014-03-25 11:42:13.501887	4212	20.2	1	9
2014-03-25 11:42:13.733628	4213	61	2	9
2014-03-25 11:42:52.502437	4220	20.2	1	9
2014-03-25 11:42:52.734582	4221	61	2	9
2014-03-25 11:43:31.502207	4226	20.2	1	9
2014-03-25 11:43:31.733301	4227	61	2	9
2014-03-25 11:44:10.502636	4233	20.2	1	9
2014-03-25 11:44:10.744408	4234	61	2	9
2014-03-25 11:44:49.501899	4241	20.2	1	9
2014-03-25 11:44:49.723804	4242	61	2	9
2014-03-25 11:45:28.503114	4248	20.2	1	9
2014-03-25 11:45:28.73752	4249	61	2	9
2014-03-25 11:46:07.505044	4255	20.2	1	9
2014-03-25 11:46:07.737296	4256	61	2	9
2014-03-25 11:46:46.502622	4262	20.2	1	9
2014-03-25 11:46:46.735345	4263	61	2	9
2014-03-25 11:47:25.502584	4268	20.2	1	9
2014-03-25 11:47:25.724801	4269	61	2	9
2014-03-25 11:48:04.50082	4275	20.2	1	9
2014-03-25 11:48:04.72311	4276	61	2	9
2014-03-25 11:48:43.504147	4282	20.2	1	9
2014-03-25 11:48:43.727011	4283	61	2	9
2014-03-25 11:49:22.502691	4291	20.2	1	9
2014-03-25 11:49:22.725325	4292	61	2	9
2014-03-25 11:50:01.502612	4300	20.2	1	9
2014-03-25 11:50:01.761802	4301	61	2	9
2014-03-25 11:50:40.50336	4308	20.2	1	9
2014-03-25 11:50:40.72628	4309	61	2	9
2014-03-25 11:51:19.501949	4317	20.2	1	9
2014-03-25 11:51:19.736675	4318	61	2	9
2014-03-25 11:51:58.502027	4326	20.2	1	9
2014-03-25 11:51:58.733951	4327	61	2	9
2014-03-25 11:52:37.502543	4333	20.2	1	9
2014-03-25 11:52:37.738709	4334	61	2	9
2014-03-25 11:53:16.502551	4339	20.2	1	9
2014-03-25 11:53:16.724302	4340	61	2	9
2014-03-25 11:53:55.5015	4346	20.2	1	9
2014-03-25 11:53:55.724866	4347	61	2	9
2014-03-25 11:54:34.500399	4353	20.2	1	9
2014-03-25 11:54:34.735586	4354	61	2	9
2014-03-25 11:55:13.501537	4359	20.2	1	9
2014-03-25 11:55:13.72389	4360	61	2	9
2014-03-25 11:55:52.503437	4366	20.2	1	9
2014-03-25 11:55:52.725089	4367	61	2	9
2014-03-25 11:56:31.504263	4375	20.2	1	9
2014-03-25 11:56:31.725878	4376	61	2	9
2014-03-25 11:57:10.501188	4384	20.2	1	9
2014-03-25 11:57:10.725087	4385	61	2	9
2014-03-25 11:57:49.50255	4392	20.2	1	9
2014-03-25 11:57:49.723388	4393	61	2	9
2014-03-25 11:58:28.502952	4398	20.2	1	9
2014-03-25 11:58:28.734289	4399	61	2	9
2014-03-25 11:59:07.501455	4405	20.2	1	9
2014-03-25 11:59:07.734406	4406	61	2	9
2014-03-25 11:59:46.536367	4412	20.2	1	9
2014-03-25 11:59:46.781086	4413	61	2	9
2014-03-25 12:00:25.502617	4418	20.2	1	9
2014-03-25 12:00:25.7247	4419	61	2	9
2014-03-25 12:01:04.555388	4425	20.2	1	9
2014-03-25 12:01:04.779424	4426	61	2	9
2014-03-25 12:01:43.503853	4432	20.2	1	9
2014-03-25 12:01:43.725955	4433	61	2	9
2014-03-25 12:02:22.502002	4438	20.2	1	9
2014-03-25 12:02:22.736265	4439	61	2	9
2014-03-25 12:03:01.502612	4445	20.2	1	9
2014-03-25 12:03:01.728735	4446	61	2	9
2014-03-25 12:03:40.50237	4453	20.2	1	9
2014-03-25 12:03:40.735959	4454	61	2	9
2014-03-25 12:04:19.502156	4459	20.2	1	9
2014-03-25 12:04:19.725256	4460	61	2	9
2014-03-25 12:04:58.501756	4468	20.2	1	9
2014-03-25 12:04:58.735197	4469	61	2	9
2014-03-25 12:05:37.503123	4475	20.2	1	9
2014-03-25 12:05:37.724933	4476	61	2	9
2014-03-25 12:06:16.503481	4481	20.2	1	9
2014-03-25 12:06:16.726537	4482	61	2	9
2014-03-25 12:06:55.512785	4488	20.2	1	9
2014-03-25 12:08:13.502065	4501	20.2	1	9
2014-03-25 12:08:13.748689	4502	61	2	9
2014-03-25 12:08:52.501578	4508	20.2	1	9
2014-03-25 12:08:52.724899	4509	61	2	9
2014-03-25 12:09:31.502888	4516	20.2	1	9
2014-03-25 12:09:31.734026	4517	61	2	9
2014-03-25 12:10:10.502407	4523	20.2	1	9
2014-03-25 12:10:10.723604	4524	61	2	9
2014-03-25 12:10:49.501701	4530	20.2	1	9
2014-03-25 12:10:49.733868	4531	61	2	9
2014-03-25 12:11:28.501807	4538	20.2	1	9
2014-03-25 12:11:28.733292	4539	61	2	9
2014-03-25 12:12:07.503188	4547	20.2	1	9
2014-03-25 12:12:07.725287	4548	61	2	9
2014-03-25 12:12:46.503279	4554	20.2	1	9
2014-03-25 12:12:46.726991	4555	61	2	9
2014-03-25 12:13:25.504123	4560	20.2	1	9
2014-03-25 12:13:25.732582	4561	61	2	9
2014-03-25 12:14:04.501575	4567	20.2	1	9
2014-03-25 12:14:04.733318	4568	60	2	9
2014-03-25 12:14:43.504755	4574	20.2	1	9
2014-03-25 12:14:43.736187	4575	60	2	9
2014-03-25 12:15:22.512179	4581	20.2	1	9
2014-03-25 12:15:22.76316	4582	60	2	9
2014-03-25 12:16:01.502607	4588	20.2	1	9
2014-03-25 12:16:01.744355	4589	60	2	9
2014-03-25 12:16:40.501895	4597	20.2	1	9
2014-03-25 12:16:40.724124	4598	60	2	9
2014-03-25 12:17:19.503967	4608	20.2	1	9
2014-03-25 12:17:19.727119	4609	60	2	9
2014-03-25 12:17:58.506044	4620	20.2	1	9
2014-03-25 12:17:58.728212	4621	60	2	9
2014-03-25 12:18:37.502538	4631	20.2	1	9
2014-03-25 12:18:37.72673	4632	60	2	9
2014-03-25 12:19:16.501713	4639	20.2	1	9
2014-03-25 12:19:16.723422	4640	60	2	9
2014-03-25 12:19:55.500407	4648	20.2	1	9
2014-03-25 12:19:55.726981	4649	60	2	9
2014-03-25 12:20:34.503265	4657	20.2	1	9
2014-03-25 12:20:34.736812	4658	60	2	9
2014-03-25 12:21:13.502182	4667	20.2	1	9
2014-03-25 12:21:13.725244	4668	60	2	9
2014-03-25 12:21:52.502352	4678	20.2	1	9
2014-03-25 12:21:52.725144	4679	60	2	9
2014-03-25 12:22:31.502078	4685	20.2	1	9
2014-03-25 12:22:31.724129	4686	60	2	9
2014-03-25 12:23:10.50344	4693	20.2	1	9
2014-03-25 12:23:10.727091	4694	60	2	9
2014-03-25 12:23:49.502265	4702	20.2	1	9
2014-03-25 12:23:49.725615	4703	60	2	9
2014-03-25 12:24:28.512775	4712	20.2	1	9
2014-03-25 12:24:28.744903	4713	60	2	9
2014-03-25 12:25:07.501876	4721	20.2	1	9
2014-03-25 12:25:07.734551	4722	60	2	9
2014-03-25 12:25:46.502499	4730	20.2	1	9
2014-03-25 12:25:46.724453	4731	60	2	9
2014-03-25 12:26:25.980016	4741	20.2	1	9
2014-03-25 12:26:26.29668	4742	60	2	9
2014-03-25 12:27:04.501459	4750	20.2	1	9
2014-03-25 12:27:04.724358	4751	60	2	9
2014-03-25 12:27:43.502727	4760	20.2	1	9
2014-03-25 12:27:43.72659	4761	60	2	9
2014-03-25 12:28:22.503281	4768	20.2	1	9
2014-03-25 12:28:22.728539	4769	60	2	9
2014-03-25 12:29:01.501829	4778	20.2	1	9
2014-03-25 12:29:01.726085	4779	60	2	9
2014-03-25 12:29:40.503498	4787	20.2	1	9
2014-03-25 12:29:40.735173	4788	60	2	9
2014-03-25 12:30:19.504003	4795	20.2	1	9
2014-03-25 12:30:19.735544	4796	60	2	9
2014-03-25 12:31:37.502373	4809	20.2	1	9
2014-03-25 12:31:37.734424	4810	60	2	9
2014-03-25 12:32:16.500435	4818	20.3	1	9
2014-03-25 12:32:16.723437	4819	60	2	9
2014-03-25 12:32:55.50074	4828	20.3	1	9
2014-03-25 12:32:55.733308	4829	60	2	9
2014-03-25 12:33:34.502749	4839	20.3	1	9
2014-03-25 12:33:34.727092	4840	60	2	9
2014-03-25 12:34:13.529635	4847	20.3	1	9
2014-03-25 12:34:13.776169	4848	60	2	9
2014-03-25 12:34:52.501412	4856	20.2	1	9
2014-03-25 12:34:52.724574	4857	60	2	9
2014-03-25 12:35:31.500783	4864	20.2	1	9
2014-03-25 12:35:31.723942	4865	60	2	9
2014-03-25 12:36:10.501712	4876	20.2	1	9
2014-03-25 12:36:10.740188	4877	60	2	9
2014-03-25 12:36:49.50328	4887	20.2	1	9
2014-03-25 12:36:49.734929	4888	60	2	9
2014-03-25 12:37:28.500787	4897	20.2	1	9
2014-03-25 12:37:28.725462	4898	60	2	9
2014-03-25 12:38:07.50079	4906	20.2	1	9
2014-03-25 12:38:07.721803	4907	60	2	9
2014-03-25 12:38:46.501803	4917	20.2	1	9
2014-03-25 12:38:46.735071	4918	60	2	9
2014-03-25 12:39:25.503094	4925	20.2	1	9
2014-03-25 12:39:25.734725	4926	59	2	9
2014-03-25 12:40:04.508056	4934	20.2	1	9
2014-03-25 12:40:04.73355	4935	59	2	9
2014-03-25 12:40:43.500964	4944	20.2	1	9
2014-03-25 12:40:43.725351	4945	59	2	9
2014-03-25 12:41:22.500724	4952	20.2	1	9
2014-03-25 12:41:22.722465	4953	59	2	9
2014-03-25 12:42:01.500257	4961	20.2	1	9
2014-03-25 12:42:01.73268	4962	59	2	9
2014-03-25 12:42:40.500959	4970	20.2	1	9
2014-03-25 12:42:40.723393	4971	59	2	9
2014-03-25 12:43:19.501132	4978	20.2	1	9
2014-03-25 12:43:19.7243	4979	59	2	9
2014-03-25 12:43:58.501003	4987	20.2	1	9
2014-03-25 12:43:58.733451	4988	59	2	9
2014-03-25 12:44:37.502132	4996	20.2	1	9
2014-03-25 12:44:37.725656	4997	59	2	9
2014-03-25 12:45:16.501472	5005	20.2	1	9
2014-03-25 12:45:16.72315	5006	59	2	9
2014-03-25 12:45:55.500339	5016	20.2	1	9
2014-03-25 12:45:55.72594	5017	59	2	9
2014-03-25 12:46:34.501542	5027	20.2	1	9
2014-03-25 12:46:34.724439	5028	59	2	9
2014-03-25 12:47:13.50045	5035	20.2	1	9
2014-03-25 12:47:13.722012	5036	59	2	9
2014-03-25 12:47:52.707695	5044	20.2	1	9
2014-03-25 12:47:52.929997	5045	59	2	9
2014-03-25 12:48:31.50061	5052	20.2	1	9
2014-03-25 12:48:31.732507	5053	59	2	9
2014-03-25 12:49:10.500093	5061	20.1	1	9
2014-03-25 12:49:10.722606	5062	59	2	9
2014-03-25 12:49:49.502157	5070	20.1	1	9
2014-03-25 12:49:49.726456	5071	59	2	9
2014-03-25 12:50:28.500604	5078	20.1	1	9
2014-03-25 12:50:28.736262	5079	59	2	9
2014-03-25 12:51:07.500642	5089	20.1	1	9
2014-03-25 12:51:07.734912	5090	59	2	9
2014-03-25 12:51:46.499804	5100	20.1	1	9
2014-03-25 12:51:46.731382	5101	59	2	9
2014-03-25 12:52:25.499157	5108	20.1	1	9
2014-03-25 12:52:25.729912	5109	59	2	9
2014-03-25 12:53:04.501299	5118	20.1	1	9
2014-03-25 12:53:04.72317	5119	59	2	9
2014-03-25 12:53:43.5015	5128	20.1	1	9
2014-03-25 12:53:43.735362	5129	59	2	9
2014-03-25 12:54:22.503728	5136	20.1	1	9
2014-03-25 12:54:22.735215	5137	59	2	9
2014-03-25 12:55:01.502685	5145	20.1	1	9
2014-03-25 12:55:01.725249	5146	59	2	9
2014-03-25 12:55:40.501152	5154	20.1	1	9
2014-03-25 12:55:40.727018	5155	59	2	9
2014-03-25 12:56:19.501602	5163	20.1	1	9
2014-03-25 12:56:19.725428	5164	59	2	9
2014-03-25 12:56:58.501392	5174	20.1	1	9
2014-03-25 12:56:58.722416	5175	59	2	9
2014-03-25 12:57:37.500697	5183	20.1	1	9
2014-03-25 12:57:37.724338	5184	59	2	9
2014-03-25 12:58:16.501835	5191	20.1	1	9
2014-03-25 12:58:16.723935	5192	59	2	9
2014-03-25 12:58:55.500981	5201	20.1	1	9
2014-03-25 12:58:55.724679	5202	59	2	9
2014-03-25 12:59:34.500389	5211	20.1	1	9
2014-03-25 12:59:34.731484	5212	59	2	9
2014-03-25 13:00:13.502235	5219	20.1	1	9
2014-03-25 13:00:13.734363	5220	58	2	9
2014-03-25 13:00:52.50248	5228	20.2	1	9
2014-03-25 13:00:52.724243	5229	58	2	9
2014-03-25 13:01:31.500949	5236	20.2	1	9
2014-03-25 13:01:31.724693	5237	58	2	9
2014-03-25 13:02:10.500616	5245	20.2	1	9
2014-03-25 13:02:10.735165	5246	58	2	9
2014-03-25 13:02:49.501232	5254	20.2	1	9
2014-03-25 13:02:49.724054	5255	58	2	9
2014-03-25 13:03:28.499955	5264	20.2	1	9
2014-03-25 13:03:28.72342	5265	58	2	9
2014-03-25 13:04:07.502164	5273	20.3	1	9
2014-03-25 13:04:07.724848	5274	58	2	9
2014-03-25 13:04:46.501785	5282	20.3	1	9
2014-03-25 13:04:46.733465	5283	58	2	9
2014-03-25 13:05:25.501867	5292	20.3	1	9
2014-03-25 13:05:25.724342	5293	58	2	9
2014-03-25 13:06:04.502617	5302	20.3	1	9
2014-03-25 13:06:04.733952	5303	58	2	9
2014-03-25 13:06:43.499639	5311	20.3	1	9
2014-03-25 13:06:43.724907	5312	58	2	9
2014-03-25 13:07:22.500355	5319	20.3	1	9
2014-03-25 13:07:22.733318	5320	58	2	9
2014-03-25 13:08:01.500295	5328	20.3	1	9
2014-03-25 13:08:01.72363	5329	58	2	9
2014-03-25 13:08:40.50041	5339	20.4	1	9
2014-03-25 13:08:40.733227	5340	58	2	9
2014-03-25 13:09:19.500234	5347	20.4	1	9
2014-03-25 13:09:19.731915	5348	58	2	9
2014-03-25 13:09:58.502784	5356	20.4	1	9
2014-03-25 13:09:58.724537	5357	58	2	9
2014-03-25 13:10:37.500777	5365	20.4	1	9
2014-03-25 13:10:37.724516	5366	58	2	9
2014-03-25 13:11:16.502851	5373	20.4	1	9
2014-03-25 13:11:16.73476	5374	58	2	9
2014-03-25 13:11:55.499935	5382	20.4	1	9
2014-03-25 13:11:55.7247	5383	58	2	9
2014-03-25 13:12:34.501026	5391	20.4	1	9
2014-03-25 13:12:34.735689	5392	58	2	9
2014-03-25 13:13:13.502365	5400	20.4	1	9
2014-03-25 13:13:13.725405	5401	58	2	9
2014-03-25 13:13:52.498664	5410	20.4	1	9
2014-03-25 13:13:52.766367	5411	58	2	9
2014-03-25 13:14:31.500321	5419	20.4	1	9
2014-03-25 13:14:31.723215	5420	58	2	9
2014-03-25 13:15:10.499927	5428	20.4	1	9
2014-03-25 13:15:10.723661	5429	58	2	9
2014-03-25 13:15:49.502487	5438	20.4	1	9
2014-03-25 13:15:49.735287	5439	58	2	9
2014-03-25 13:16:28.502298	5447	20.4	1	9
2014-03-25 13:16:28.726613	5448	58	2	9
2014-03-25 13:17:07.503043	5457	20.4	1	9
2014-03-25 13:17:07.736655	5458	58	2	9
2014-03-25 13:17:46.500853	5468	20.4	1	9
2014-03-25 13:17:46.736783	5469	58	2	9
2014-03-25 13:18:25.500304	5476	20.4	1	9
2014-03-25 13:18:25.732115	5477	58	2	9
2014-03-25 13:19:04.500617	5484	20.4	1	9
2014-03-25 13:19:04.732671	5485	58	2	9
2014-03-25 13:19:43.499631	5493	20.4	1	9
2014-03-25 13:19:43.723111	5494	58	2	9
2014-03-25 13:20:22.499367	5503	20.3	1	9
2014-03-25 13:20:22.730822	5504	58	2	9
2014-03-25 13:21:01.985867	5512	20.3	1	9
2014-03-25 13:21:02.410043	5513	58	2	9
2014-03-25 13:21:40.499664	5522	20.3	1	9
2014-03-25 13:21:40.733477	5523	58	2	9
2014-03-25 13:22:19.510462	5530	20.3	1	9
2014-03-25 13:22:19.743418	5531	58	2	9
2014-03-25 13:22:58.499425	5540	20.3	1	9
2014-03-25 13:22:58.743955	5541	58	2	9
2014-03-25 13:23:38.030021	5550	20.3	1	9
2014-03-25 13:23:38.449966	5551	58	2	9
2014-03-25 13:24:16.500226	5560	20.3	1	9
2014-03-25 13:24:16.721582	5561	58	2	9
2014-03-25 13:24:55.500082	5569	20.3	1	9
2014-03-25 13:24:55.729141	5570	58	2	9
2014-03-25 13:25:34.500237	5578	20.3	1	9
2014-03-25 13:25:34.725059	5579	58	2	9
2014-03-25 13:26:13.499137	5586	20.3	1	9
2014-03-25 13:26:13.718752	5587	58	2	9
2014-03-25 13:26:52.498219	5596	20.3	1	9
2014-03-25 13:26:52.729998	5597	57	2	9
2014-03-25 13:27:31.501864	5604	20.3	1	9
2014-03-25 13:27:31.733425	5605	57	2	9
2014-03-25 13:28:10.500179	5613	20.3	1	9
2014-03-25 13:28:10.7224	5614	57	2	9
2014-03-25 13:28:49.499609	5622	20.2	1	9
2014-03-25 13:28:49.723802	5623	57	2	9
2014-03-25 13:29:28.498638	5630	20.2	1	9
2014-03-25 13:29:28.743618	5631	57	2	9
2014-03-25 13:30:07.537669	5639	20.2	1	9
2014-03-25 13:30:07.759879	5640	57	2	9
2014-03-25 13:30:46.499828	5648	20.2	1	9
2014-03-25 13:30:46.720768	5649	57	2	9
2014-03-25 13:31:25.499742	5656	20.2	1	9
2014-03-25 13:31:25.737815	5657	57	2	9
2014-03-25 13:32:04.498461	5666	20.2	1	9
2014-03-25 13:32:04.72147	5667	57	2	9
2014-03-25 13:32:43.500234	5676	20.2	1	9
2014-03-25 13:32:43.723358	5677	57	2	9
2014-03-25 13:33:22.49848	5684	20.2	1	9
2014-03-25 13:33:22.72445	5685	57	2	9
2014-03-25 13:34:01.499457	5693	20.2	1	9
2014-03-25 13:34:01.734621	5694	57	2	9
2014-03-25 13:34:40.499319	5702	20.2	1	9
2014-03-25 13:34:40.722692	5703	57	2	9
2014-03-25 13:35:19.500571	5710	20.2	1	9
2014-03-25 13:35:19.72274	5711	57	2	9
2014-03-25 13:35:58.498692	5721	20.2	1	9
2014-03-25 13:35:58.720238	5722	57	2	9
2014-03-25 13:36:37.498972	5732	20.2	1	9
2014-03-25 13:36:37.721585	5733	57	2	9
2014-03-25 13:37:16.565044	5741	20.2	1	9
2014-03-25 13:37:16.796566	5742	57	2	9
2014-03-25 13:37:55.502688	5750	20.2	1	9
2014-03-25 13:37:55.725663	5751	57	2	9
2014-03-25 13:38:34.498249	5760	20.2	1	9
2014-03-25 13:38:34.724264	5761	57	2	9
2014-03-25 13:39:13.762225	5768	20.2	1	9
2014-03-25 13:39:13.986205	5769	57	2	9
2014-03-25 13:39:52.500045	5777	20.2	1	9
2014-03-25 13:39:52.731069	5778	57	2	9
2014-03-25 13:40:31.499758	5785	20.2	1	9
2014-03-25 13:40:31.740434	5786	57	2	9
2014-03-25 13:41:10.499285	5794	20.2	1	9
2014-03-25 13:41:10.720521	5795	57	2	9
2014-03-25 13:41:49.499602	5803	20.2	1	9
2014-03-25 13:41:49.731003	5804	57	2	9
2014-03-25 13:42:28.498903	5813	20.2	1	9
2014-03-25 13:42:28.720814	5814	57	2	9
2014-03-25 13:43:07.499968	5822	20.2	1	9
2014-03-25 13:43:07.722552	5823	57	2	9
2014-03-25 13:43:46.502228	5831	20.2	1	9
2014-03-25 13:43:46.724245	5832	57	2	9
2014-03-25 13:44:25.499721	5841	20.2	1	9
2014-03-25 13:44:25.723299	5842	57	2	9
2014-03-25 13:45:04.499509	5850	20.2	1	9
2014-03-25 13:45:04.733908	5851	57	2	9
2014-03-25 13:45:43.498737	5859	20.2	1	9
2014-03-25 13:45:43.723672	5860	57	2	9
2014-03-25 13:46:22.5096	5867	20.2	1	9
2014-03-25 13:46:22.732659	5868	57	2	9
2014-03-25 13:47:01.50009	5876	20.2	1	9
2014-03-25 13:47:01.720647	5877	57	2	9
2014-03-25 13:47:40.499865	5885	20.1	1	9
2014-03-25 13:47:40.722302	5886	57	2	9
2014-03-25 13:48:19.499445	5893	20.1	1	9
2014-03-25 13:48:19.725185	5894	57	2	9
2014-03-25 13:48:58.501616	5903	20.1	1	9
2014-03-25 13:48:58.72364	5904	57	2	9
2014-03-25 13:49:37.499705	5912	20.1	1	9
2014-03-25 13:49:37.784307	5913	57	2	9
2014-03-25 13:50:16.498461	5922	20.1	1	9
2014-03-25 13:50:16.722682	5923	57	2	9
2014-03-25 13:50:55.500595	5932	20.1	1	9
2014-03-25 13:50:55.723271	5933	57	2	9
2014-03-25 13:51:34.499476	5941	20.1	1	9
2014-03-25 13:51:34.721739	5942	57	2	9
2014-03-25 13:52:13.499323	5949	20.1	1	9
2014-03-25 13:52:13.732232	5950	57	2	9
2014-03-25 13:52:52.497948	5958	20.1	1	9
2014-03-25 13:52:52.720102	5959	57	2	9
2014-03-25 13:53:31.498881	5967	20.1	1	9
2014-03-25 13:53:31.730972	5968	57	2	9
2014-03-25 13:54:10.502153	5976	20.1	1	9
2014-03-25 13:54:10.725381	5977	57	2	9
2014-03-25 13:54:49.499163	5985	20.1	1	9
2014-03-25 13:54:49.745263	5986	57	2	9
2014-03-25 13:55:28.508819	5993	20.1	1	9
2014-03-25 13:55:28.752916	5994	57	2	9
2014-03-25 13:56:07.500035	6003	20.1	1	9
2014-03-25 13:56:07.729857	6004	57	2	9
2014-03-25 13:56:46.498264	6015	20.1	1	9
2014-03-25 13:56:46.733379	6016	57	2	9
2014-03-25 13:57:25.500055	6026	20.1	1	9
2014-03-25 13:57:25.724222	6027	57	2	9
2014-03-25 13:58:04.500134	6036	20.1	1	9
2014-03-25 13:58:04.721148	6037	57	2	9
2014-03-25 13:58:43.500201	6045	20.1	1	9
2014-03-25 13:58:43.721518	6046	57	2	9
2014-03-25 13:59:22.501397	6056	20.1	1	9
2014-03-25 13:59:22.723545	6057	57	2	9
2014-03-25 14:00:02.080027	6065	20.1	1	9
2014-03-25 14:00:02.504774	6066	57	2	9
2014-03-25 14:00:40.500198	6075	20.1	1	9
2014-03-25 14:00:40.745369	6076	57	2	9
2014-03-25 14:01:19.500042	6085	20.1	1	9
2014-03-25 14:01:19.72331	6086	57	2	9
2014-03-25 14:01:58.50031	6094	20.1	1	9
2014-03-25 14:01:58.731785	6095	57	2	9
2014-03-25 14:02:37.500644	6105	20.1	1	9
2014-03-25 14:02:37.741013	6106	57	2	9
2014-03-25 14:03:16.500586	6113	20.1	1	9
2014-03-25 14:03:16.723102	6114	57	2	9
2014-03-25 14:03:55.499349	6123	20.1	1	9
2014-03-25 14:03:55.725049	6124	57	2	9
2014-03-25 14:04:34.501698	6132	20.1	1	9
2014-03-25 14:04:34.738553	6133	57	2	9
2014-03-25 14:05:13.500902	6142	20.1	1	9
2014-03-25 14:05:13.729285	6143	57	2	9
2014-03-25 14:05:52.499233	6151	20.1	1	9
2014-03-25 14:05:52.733559	6152	57	2	9
2014-03-25 14:06:31.498952	6159	20.1	1	9
2014-03-25 14:06:31.734216	6160	57	2	9
2014-03-25 14:07:10.499999	6168	20.1	1	9
2014-03-25 14:07:10.725198	6169	57	2	9
2014-03-25 14:07:49.50086	6177	20.1	1	9
2014-03-25 14:07:49.733318	6178	57	2	9
2014-03-25 14:08:28.500017	6187	20.1	1	9
2014-03-25 14:08:28.732262	6188	57	2	9
2014-03-25 14:09:07.49931	6196	20.1	1	9
2014-03-25 14:09:07.722853	6197	57	2	9
2014-03-25 14:09:46.500116	6205	20.1	1	9
2014-03-25 14:09:46.742732	6206	57	2	9
2014-03-25 14:10:25.501107	6213	20.1	1	9
2014-03-25 14:10:25.733525	6214	57	2	9
2014-03-25 14:11:04.499594	6222	20.1	1	9
2014-03-25 14:11:04.725815	6223	57	2	9
2014-03-25 14:11:43.4998	6231	20.1	1	9
2014-03-25 14:11:43.739987	6232	57	2	9
2014-03-25 14:12:22.498512	6239	20.1	1	9
2014-03-25 14:12:22.732694	6240	57	2	9
2014-03-25 14:13:01.500036	6248	20.1	1	9
2014-03-25 14:13:01.722984	6249	57	2	9
2014-03-25 14:13:40.499231	6257	20.1	1	9
2014-03-25 14:13:40.724054	6258	57	2	9
2014-03-25 14:14:19.500028	6266	20.1	1	9
2014-03-25 14:14:19.7353	6267	57	2	9
2014-03-25 14:14:58.499566	6276	20.1	1	9
2014-03-25 14:14:58.743728	6277	57	2	9
2014-03-25 14:15:37.501526	6285	20.1	1	9
2014-03-25 14:15:37.72487	6286	57	2	9
2014-03-25 14:16:16.499486	6293	20.1	1	9
2014-03-25 14:16:16.723219	6294	57	2	9
2014-03-25 14:16:55.499852	6302	20.1	1	9
2014-03-25 14:16:55.723642	6303	57	2	9
2014-03-25 14:17:34.499477	6311	20.1	1	9
2014-03-25 14:17:34.722398	6312	57	2	9
2014-03-25 14:18:13.676818	6319	20.1	1	9
2014-03-25 14:18:13.934091	6320	57	2	9
2014-03-25 14:18:52.499822	6328	20.1	1	9
2014-03-25 14:18:52.734467	6329	57	2	9
2014-03-25 14:19:31.499052	6336	20.1	1	9
2014-03-25 14:19:31.733078	6337	57	2	9
2014-03-25 14:20:10.499358	6347	20.1	1	9
2014-03-25 14:20:10.71908	6348	56	2	9
2014-03-25 14:20:49.501347	6356	20.1	1	9
2014-03-25 14:20:49.731952	6357	56	2	9
2014-03-25 14:21:28.499959	6364	20.1	1	9
2014-03-25 14:21:28.732283	6365	56	2	9
2014-03-25 14:22:07.498715	6373	20.1	1	9
2014-03-25 14:22:07.72279	6374	56	2	9
2014-03-25 14:22:46.703708	6382	20.1	1	9
2014-03-25 14:22:46.94745	6383	56	2	9
2014-03-25 14:23:25.499209	6390	20.0	1	9
2014-03-25 14:23:25.731203	6391	56	2	9
2014-03-25 14:24:04.498888	6399	20.0	1	9
2014-03-25 14:24:04.719297	6400	56	2	9
2014-03-25 14:24:43.499613	6409	20.0	1	9
2014-03-25 14:24:43.720633	6410	56	2	9
2014-03-25 14:25:22.499232	6420	20.0	1	9
2014-03-25 14:25:22.720293	6421	56	2	9
2014-03-25 14:26:01.499596	6430	20.0	1	9
2014-03-25 14:26:01.742848	6431	56	2	9
2014-03-25 14:26:40.499598	6441	20.0	1	9
2014-03-25 14:26:40.732817	6442	56	2	9
2014-03-25 14:27:19.497882	6449	20.0	1	9
2014-03-25 14:27:19.731229	6450	56	2	9
2014-03-25 14:27:58.497823	6460	20.0	1	9
2014-03-25 14:27:58.719302	6461	56	2	9
2014-03-25 14:28:37.498972	6469	20.0	1	9
2014-03-25 14:28:37.720051	6470	56	2	9
2014-03-25 14:29:16.499387	6477	20.0	1	9
2014-03-25 14:29:16.721493	6478	56	2	9
2014-03-25 14:29:55.497612	6486	20.0	1	9
2014-03-25 14:29:55.730326	6487	56	2	9
2014-03-25 14:30:34.500364	6495	20.0	1	9
2014-03-25 14:30:34.724864	6496	56	2	9
2014-03-25 14:31:13.500452	6503	20.0	1	9
2014-03-25 14:31:13.72245	6504	56	2	9
2014-03-25 14:31:52.500872	6513	20.0	1	9
2014-03-25 14:31:52.723112	6514	56	2	9
2014-03-25 14:32:31.705058	6524	20.0	1	9
2014-03-25 14:32:31.926344	6525	56	2	9
2014-03-25 14:33:10.497642	6534	20.0	1	9
2014-03-25 14:33:10.731394	6535	56	2	9
2014-03-25 14:33:49.499121	6543	20.0	1	9
2014-03-25 14:33:49.719651	6544	56	2	9
2014-03-25 14:34:28.498068	6551	20.0	1	9
2014-03-25 14:34:28.719478	6552	56	2	9
2014-03-25 14:35:07.498012	6560	20.0	1	9
2014-03-25 14:35:07.728834	6561	56	2	9
2014-03-25 14:35:46.499835	6572	20.0	1	9
2014-03-25 14:35:46.720287	6573	56	2	9
2014-03-25 14:36:25.499836	6583	20.0	1	9
2014-03-25 14:36:25.723934	6584	56	2	9
2014-03-25 14:37:04.501609	6594	20.0	1	9
2014-03-25 14:37:04.724512	6595	56	2	9
2014-03-25 14:37:43.49922	6603	20.0	1	9
2014-03-25 14:37:43.734678	6604	56	2	9
2014-03-25 14:38:22.499114	6612	20.0	1	9
2014-03-25 14:38:22.725873	6613	56	2	9
2014-03-25 14:39:01.499762	6621	20.0	1	9
2014-03-25 14:39:01.720569	6622	56	2	9
2014-03-25 14:39:40.499118	6630	20.0	1	9
2014-03-25 14:39:40.725456	6631	56	2	9
2014-03-25 14:40:19.499479	6638	20.0	1	9
2014-03-25 14:40:19.724919	6639	56	2	9
2014-03-25 14:40:58.499352	6647	20.0	1	9
2014-03-25 14:40:58.730905	6648	56	2	9
2014-03-25 14:41:37.498612	6656	20.0	1	9
2014-03-25 14:41:37.722566	6657	56	2	9
2014-03-25 14:42:16.500773	6664	20.0	1	9
2014-03-25 14:42:16.725256	6665	56	2	9
2014-03-25 14:42:55.499579	6673	20.0	1	9
2014-03-25 14:42:55.734611	6674	56	2	9
2014-03-25 14:43:34.49879	6683	20.0	1	9
2014-03-25 14:43:34.725271	6684	56	2	9
2014-03-25 14:44:13.499582	6691	20.0	1	9
2014-03-25 14:44:13.7212	6692	56	2	9
2014-03-25 14:44:52.497886	6700	20.0	1	9
2014-03-25 14:44:52.719844	6701	56	2	9
2014-03-25 14:45:31.499174	6709	20.0	1	9
2014-03-25 14:45:31.720302	6710	56	2	9
2014-03-25 14:46:10.499151	6720	20.0	1	9
2014-03-25 14:46:10.721194	6721	56	2	9
2014-03-25 14:46:49.500693	6730	20.0	1	9
2014-03-25 14:46:49.728199	6731	56	2	9
2014-03-25 14:47:28.499503	6738	20.0	1	9
2014-03-25 14:47:28.721519	6739	56	2	9
2014-03-25 14:48:07.497954	6747	20.0	1	9
2014-03-25 14:48:07.732355	6748	56	2	9
2014-03-25 14:48:46.498322	6756	20.0	1	9
2014-03-25 14:48:46.723334	6757	56	2	9
2014-03-25 14:49:25.498556	6765	20.0	1	9
2014-03-25 14:49:25.729189	6766	56	2	9
2014-03-25 14:50:04.499649	6774	20.0	1	9
2014-03-25 14:50:04.722462	6775	56	2	9
2014-03-25 14:50:43.501442	6783	20.0	1	9
2014-03-25 14:50:43.744279	6784	56	2	9
2014-03-25 14:51:22.499699	6792	20.0	1	9
2014-03-25 14:51:22.721631	6793	56	2	9
2014-03-25 14:52:01.499277	6801	20.0	1	9
2014-03-25 14:52:01.721794	6802	56	2	9
2014-03-25 14:52:40.604746	6810	20.0	1	9
2014-03-25 14:52:40.828971	6811	56	2	9
2014-03-25 14:53:19.499939	6818	20.0	1	9
2014-03-25 14:53:19.723358	6819	56	2	9
2014-03-25 14:53:58.499879	6827	20.0	1	9
2014-03-25 14:53:58.743109	6828	56	2	9
2014-03-25 14:54:37.499225	6836	20.0	1	9
2014-03-25 14:54:37.722447	6837	56	2	9
2014-03-25 14:55:16.498248	6846	20.0	1	9
2014-03-25 14:55:16.730417	6847	56	2	9
2014-03-25 14:55:55.499314	6855	20.0	1	9
2014-03-25 14:55:55.721882	6856	56	2	9
2014-03-25 14:56:34.49825	6864	20.0	1	9
2014-03-25 14:56:34.732328	6865	56	2	9
2014-03-25 14:57:13.49936	6872	20.0	1	9
2014-03-25 14:57:13.743183	6873	56	2	9
2014-03-25 14:57:52.499256	6881	20.0	1	9
2014-03-25 14:57:52.720952	6882	56	2	9
2014-03-25 14:58:31.501433	6889	20.0	1	9
2014-03-25 14:58:31.723575	6890	56	2	9
2014-03-25 14:59:10.499012	6898	20.0	1	9
2014-03-25 14:59:10.734843	6899	56	2	9
2014-03-25 14:59:49.499529	6907	20.0	1	9
2014-03-25 14:59:49.722658	6908	56	2	9
2014-03-25 15:00:28.499819	6915	20.0	1	9
2014-03-25 15:00:28.722955	6916	56	2	9
2014-03-25 15:01:07.49843	6924	20.0	1	9
2014-03-25 15:01:07.721801	6925	56	2	9
2014-03-25 15:01:46.52276	6935	20.0	1	9
2014-03-25 15:01:46.754793	6936	56	2	9
2014-03-25 15:02:25.499318	6943	20.0	1	9
2014-03-25 15:02:25.731903	6944	56	2	9
2014-03-25 15:03:04.499131	6952	20.0	1	9
2014-03-25 15:03:04.722985	6953	56	2	9
2014-03-25 15:03:43.500937	6961	20.0	1	9
2014-03-25 15:03:43.723335	6962	56	2	9
2014-03-25 15:04:22.49811	6969	20.0	1	9
2014-03-25 15:04:22.722065	6970	56	2	9
2014-03-25 15:05:01.498619	6978	20.0	1	9
2014-03-25 15:05:01.722226	6979	56	2	9
2014-03-25 15:05:40.496689	6987	20.0	1	9
2014-03-25 15:05:40.729581	6988	56	2	9
2014-03-25 15:06:19.498637	6995	20.0	1	9
2014-03-25 15:06:19.731241	6996	56	2	9
2014-03-25 15:06:58.497666	7005	20.0	1	9
2014-03-25 15:06:58.721049	7006	56	2	9
2014-03-25 15:07:37.502382	7015	20.0	1	9
2014-03-25 15:07:37.727246	7016	56	2	9
2014-03-25 15:08:16.500052	7023	20.0	1	9
2014-03-25 15:08:16.723995	7024	56	2	9
2014-03-25 15:08:55.50089	7032	20.0	1	9
2014-03-25 15:08:55.731925	7033	56	2	9
2014-03-25 15:09:34.498967	7041	20.0	1	9
2014-03-25 15:09:34.723944	7042	56	2	9
2014-03-25 15:10:13.500084	7049	20.0	1	9
2014-03-25 15:10:13.723187	7050	56	2	9
2014-03-25 15:10:52.498538	7058	20.0	1	9
2014-03-25 15:10:52.729375	7059	56	2	9
2014-03-25 15:11:31.498754	7066	20.0	1	9
2014-03-25 15:11:31.730793	7067	56	2	9
2014-03-25 15:12:10.49909	7075	20.0	1	9
2014-03-25 15:12:10.775001	7076	56	2	9
2014-03-25 15:12:49.511388	7084	20.0	1	9
2014-03-25 15:12:49.7434	7085	56	2	9
2014-03-25 15:13:28.516562	7094	20.0	1	9
2014-03-25 15:13:28.738317	7095	56	2	9
2014-03-25 15:14:07.498259	7103	20.0	1	9
2014-03-25 15:14:07.719821	7104	56	2	9
2014-03-25 15:14:46.500482	7112	20.0	1	9
2014-03-25 15:14:46.721338	7113	56	2	9
2014-03-25 15:15:25.498902	7120	20.0	1	9
2014-03-25 15:15:25.723412	7121	56	2	9
2014-03-25 15:16:04.499186	7129	20.0	1	9
2014-03-25 15:16:04.734254	7130	56	2	9
2014-03-25 15:16:43.499092	7138	20.0	1	9
2014-03-25 15:16:43.723172	7139	56	2	9
2014-03-25 15:17:22.500162	7146	20.0	1	9
2014-03-25 15:17:22.723869	7147	56	2	9
2014-03-25 15:18:01.497948	7155	20.0	1	9
2014-03-25 15:18:01.721812	7156	56	2	9
2014-03-25 15:18:40.537408	7164	20.0	1	9
2014-03-25 15:18:40.788533	7165	56	2	9
2014-03-25 15:19:19.49872	7173	20.0	1	9
2014-03-25 15:19:19.721612	7174	56	2	9
2014-03-25 15:19:58.501754	7183	20.0	1	9
2014-03-25 15:19:58.724845	7184	56	2	9
2014-03-25 15:20:37.497864	7192	20.0	1	9
2014-03-25 15:20:37.731765	7193	56	2	9
2014-03-25 15:21:16.499411	7200	20.0	1	9
2014-03-25 15:21:16.732491	7201	56	2	9
2014-03-25 15:21:55.500086	7209	20.0	1	9
2014-03-25 15:21:55.722877	7210	56	2	9
2014-03-25 15:22:34.49956	7219	20.0	1	9
2014-03-25 15:22:34.731671	7220	56	2	9
2014-03-25 15:23:13.49913	7227	20.0	1	9
2014-03-25 15:23:13.731804	7228	56	2	9
2014-03-25 15:23:52.703297	7236	20.0	1	9
2014-03-25 15:23:52.925068	7237	56	2	9
2014-03-25 15:24:31.498859	7244	20.0	1	9
2014-03-25 15:24:31.721326	7245	56	2	9
2014-03-25 15:25:10.501224	7253	20.0	1	9
2014-03-25 15:25:10.733024	7254	56	2	9
2014-03-25 15:25:49.499282	7263	20.0	1	9
2014-03-25 15:25:49.72442	7264	56	2	9
2014-03-25 15:26:28.498105	7271	20.0	1	9
2014-03-25 15:26:28.733595	7272	56	2	9
2014-03-25 15:27:07.5014	7280	20.0	1	9
2014-03-25 15:27:07.722921	7281	56	2	9
2014-03-25 15:27:46.499121	7289	20.0	1	9
2014-03-25 15:27:46.728847	7290	56	2	9
2014-03-25 15:28:25.499238	7297	20.0	1	9
2014-03-25 15:28:25.730486	7298	56	2	9
2014-03-25 15:29:04.499455	7306	20.0	1	9
2014-03-25 15:29:04.727388	7307	56	2	9
2014-03-25 15:29:43.499388	7315	20.0	1	9
2014-03-25 15:29:43.7215	7316	56	2	9
2014-03-25 15:30:22.499264	7323	20.0	1	9
2014-03-25 15:30:22.742441	7324	56	2	9
2014-03-25 15:31:01.49772	7332	20.0	1	9
2014-03-25 15:31:01.722784	7333	56	2	9
2014-03-25 15:31:40.499103	7343	20.0	1	9
2014-03-25 15:31:40.72331	7344	56	2	9
2014-03-25 15:32:19.49914	7351	20.0	1	9
2014-03-25 15:32:19.72326	7352	56	2	9
2014-03-25 15:32:58.500052	7361	20.0	1	9
2014-03-25 15:32:58.723877	7362	56	2	9
2014-03-25 15:33:37.49918	7370	20.0	1	9
2014-03-25 15:33:37.743503	7371	56	2	9
2014-03-25 15:34:16.49937	7378	20.0	1	9
2014-03-25 15:34:16.726911	7379	56	2	9
2014-03-25 15:34:55.499024	7387	20.0	1	9
2014-03-25 15:34:55.722655	7388	56	2	9
2014-03-25 15:35:34.499644	7396	20.0	1	9
2014-03-25 15:35:34.731905	7397	56	2	9
2014-03-25 15:36:13.502212	7404	20.0	1	9
2014-03-25 15:36:13.737248	7405	56	2	9
2014-03-25 15:36:52.499178	7413	20.0	1	9
2014-03-25 15:36:52.723864	7414	56	2	9
2014-03-25 15:37:31.498172	7422	20.0	1	9
2014-03-25 15:37:31.730722	7423	56	2	9
2014-03-25 15:38:10.497782	7431	20.0	1	9
2014-03-25 15:38:10.72017	7432	56	2	9
2014-03-25 15:38:49.500263	7440	20.0	1	9
2014-03-25 15:38:49.72292	7441	56	2	9
2014-03-25 15:39:28.498961	7448	20.0	1	9
2014-03-25 15:39:28.73291	7449	56	2	9
2014-03-25 15:40:07.499819	7458	20.0	1	9
2014-03-25 15:40:07.770167	7459	56	2	9
2014-03-25 15:40:46.497577	7470	20.0	1	9
2014-03-25 15:40:46.721006	7471	56	2	9
2014-03-25 15:41:25.499884	7478	20.0	1	9
2014-03-25 15:41:25.724639	7479	56	2	9
2014-03-25 15:42:04.497666	7487	20.0	1	9
2014-03-25 15:42:04.721951	7488	56	2	9
2014-03-25 15:42:43.498861	7496	20.0	1	9
2014-03-25 15:42:43.733521	7497	56	2	9
2014-03-25 15:43:22.49878	7506	20.0	1	9
2014-03-25 15:43:22.721524	7507	56	2	9
2014-03-25 15:44:01.505706	7515	20.0	1	9
2014-03-25 15:44:01.727481	7516	56	2	9
2014-03-25 15:44:40.497626	7524	20.0	1	9
2014-03-25 15:44:40.730467	7525	56	2	9
2014-03-25 15:45:19.498979	7532	20.0	1	9
2014-03-25 15:45:19.730387	7533	56	2	9
2014-03-25 15:45:58.499557	7541	20.0	1	9
2014-03-25 15:45:58.721594	7542	56	2	9
2014-03-25 15:46:37.499128	7550	20.0	1	9
2014-03-25 15:46:37.720343	7551	56	2	9
2014-03-25 15:47:16.498509	7560	20.0	1	9
2014-03-25 15:47:16.721607	7561	56	2	9
2014-03-25 15:47:55.498908	7569	20.0	1	9
2014-03-25 15:47:55.723206	7570	56	2	9
2014-03-25 15:48:34.497748	7578	20.0	1	9
2014-03-25 15:48:34.729683	7579	56	2	9
2014-03-25 15:49:13.498642	7588	20.0	1	9
2014-03-25 15:49:13.773607	7589	56	2	9
2014-03-25 15:49:52.498704	7597	20.0	1	9
2014-03-25 15:49:52.7214	7598	56	2	9
2014-03-25 15:50:31.497747	7605	20.0	1	9
2014-03-25 15:50:31.721982	7606	56	2	9
2014-03-25 15:51:10.497811	7615	20.0	1	9
2014-03-25 15:51:10.730702	7616	56	2	9
2014-03-25 15:51:49.500038	7624	20.0	1	9
2014-03-25 15:51:49.72228	7625	56	2	9
2014-03-25 15:52:28.499478	7632	20.0	1	9
2014-03-25 15:52:28.722415	7633	56	2	9
2014-03-25 15:53:07.498203	7641	20.0	1	9
2014-03-25 15:53:07.732963	7642	56	2	9
2014-03-25 15:53:46.499392	7650	20.0	1	9
2014-03-25 15:53:46.726322	7651	56	2	9
2014-03-25 15:54:25.497376	7658	20.0	1	9
2014-03-25 15:54:25.719328	7659	56	2	9
2014-03-25 15:55:04.497185	7669	20.0	1	9
2014-03-25 15:55:04.719053	7670	56	2	9
2014-03-25 15:55:43.491485	7678	20.0	1	9
2014-03-25 15:55:43.722915	7679	56	2	9
2014-03-25 15:56:22.49755	7684	20.0	1	9
2014-03-25 15:56:22.718305	7685	56	2	9
2014-03-25 15:57:01.498846	7692	20.0	1	9
2014-03-25 15:57:01.720334	7693	56	2	9
2014-03-25 15:57:40.500723	7701	20.0	1	9
2014-03-25 15:57:40.732941	7702	56	2	9
2014-03-25 15:58:19.498008	7709	20.0	1	9
2014-03-25 15:58:19.734725	7710	56	2	9
2014-03-25 15:58:58.498946	7718	20.0	1	9
2014-03-25 15:58:58.722763	7719	56	2	9
2014-03-25 15:59:37.499473	7727	20.0	1	9
2014-03-25 15:59:37.719687	7728	56	2	9
2014-03-25 16:00:16.500079	7735	20.0	1	9
2014-03-25 16:00:16.730753	7736	56	2	9
2014-03-25 16:00:55.499872	7744	20.0	1	9
2014-03-25 16:00:55.722065	7745	56	2	9
2014-03-25 16:01:34.500241	7754	20.0	1	9
2014-03-25 16:01:34.722698	7755	56	2	9
2014-03-25 16:02:13.497209	7763	20.0	1	9
2014-03-25 16:02:13.748262	7764	56	2	9
2014-03-25 16:02:52.498238	7772	20.0	1	9
2014-03-25 16:02:52.721208	7773	56	2	9
2014-03-25 16:03:31.499306	7780	20.0	1	9
2014-03-25 16:03:31.723315	7781	56	2	9
2014-03-25 16:04:10.498493	7789	20.0	1	9
2014-03-25 16:04:10.732469	7790	56	2	9
2014-03-25 16:04:49.498148	7798	19.9	1	9
2014-03-25 16:04:49.719955	7799	56	2	9
2014-03-25 16:05:28.499021	7806	19.9	1	9
2014-03-25 16:05:28.72442	7807	56	2	9
2014-03-25 16:06:07.500085	7815	19.9	1	9
2014-03-25 16:06:07.734101	7816	56	2	9
2014-03-25 16:06:46.498959	7823	19.9	1	9
2014-03-25 16:06:46.734145	7824	56	2	9
2014-03-25 16:07:25.498911	7833	19.9	1	9
2014-03-25 16:07:25.729225	7834	56	2	9
2014-03-25 16:08:04.502657	7842	19.9	1	9
2014-03-25 16:08:04.726362	7843	57	2	9
2014-03-25 16:08:43.499346	7851	19.9	1	9
2014-03-25 16:08:43.744555	7852	57	2	9
2014-03-25 16:09:22.49903	7861	19.9	1	9
2014-03-25 16:09:22.723277	7862	57	2	9
2014-03-25 16:10:01.499871	7870	19.9	1	9
2014-03-25 16:10:01.732646	7871	57	2	9
2014-03-25 16:10:40.498721	7879	19.9	1	9
2014-03-25 16:10:40.720131	7880	57	2	9
2014-03-25 16:11:19.497318	7887	19.9	1	9
2014-03-25 16:11:19.720654	7888	57	2	9
2014-03-25 16:11:58.499931	7896	19.9	1	9
2014-03-25 16:11:58.742434	7897	57	2	9
2014-03-25 16:12:37.498568	7905	19.9	1	9
2014-03-25 16:12:37.720918	7906	57	2	9
2014-03-25 16:13:16.499481	7915	19.9	1	9
2014-03-25 16:13:16.732371	7916	57	2	9
2014-03-25 16:13:55.498832	7925	19.9	1	9
2014-03-25 16:13:55.718956	7926	57	2	9
2014-03-25 16:14:34.497508	7934	19.9	1	9
2014-03-25 16:14:34.729876	7935	57	2	9
2014-03-25 16:15:13.496862	7942	19.9	1	9
2014-03-25 16:15:13.731644	7943	57	2	9
2014-03-25 16:15:52.498472	7951	19.9	1	9
2014-03-25 16:15:52.719646	7952	57	2	9
2014-03-25 16:16:31.497756	7959	19.9	1	9
2014-03-25 16:16:31.717967	7960	57	2	9
2014-03-25 16:17:10.512426	7969	19.9	1	9
2014-03-25 16:17:10.733839	7970	57	2	9
2014-03-25 16:17:49.497341	7979	19.9	1	9
2014-03-25 16:17:49.719151	7980	57	2	9
2014-03-25 16:18:28.498466	7987	19.9	1	9
2014-03-25 16:18:28.719712	7988	57	2	9
2014-03-25 16:19:07.499437	7998	19.9	1	9
2014-03-25 16:19:07.721314	7999	57	2	9
2014-03-25 16:19:46.500108	8009	19.9	1	9
2014-03-25 16:19:46.743644	8010	57	2	9
2014-03-25 16:20:25.497374	8017	19.9	1	9
2014-03-25 16:20:25.720847	8018	57	2	9
2014-03-25 16:21:04.497288	8026	19.9	1	9
2014-03-25 16:21:04.727314	8027	57	2	9
2014-03-25 16:21:43.496192	8035	19.9	1	9
2014-03-25 16:21:43.717461	8036	57	2	9
2014-03-25 16:22:22.499831	8043	19.9	1	9
2014-03-25 16:22:22.720196	8044	57	2	9
2014-03-25 16:23:01.497337	8052	19.9	1	9
2014-03-25 16:23:01.7271	8053	57	2	9
2014-03-25 16:23:40.497276	8061	19.9	1	9
2014-03-25 16:23:40.717171	8062	57	2	9
2014-03-25 16:24:19.703089	8069	19.9	1	9
2014-03-25 16:24:19.924683	8070	57	2	9
2014-03-25 16:24:58.49945	8079	19.9	1	9
2014-03-25 16:24:58.723443	8080	57	2	9
2014-03-25 16:25:37.496315	8090	19.9	1	9
2014-03-25 16:25:37.730873	8091	57	2	9
2014-03-25 16:26:16.496859	8099	19.9	1	9
2014-03-25 16:26:16.721171	8100	57	2	9
2014-03-25 16:26:55.496982	8108	19.9	1	9
2014-03-25 16:26:55.718785	8109	57	2	9
2014-03-25 16:27:34.497213	8117	19.8	1	9
2014-03-25 16:27:34.72687	8118	57	2	9
2014-03-25 16:28:13.496741	8127	19.8	1	9
2014-03-25 16:28:13.716242	8128	57	2	9
2014-03-25 16:28:52.49721	8136	19.8	1	9
2014-03-25 16:28:52.848136	8137	57	2	9
2014-03-25 16:29:31.501027	8144	19.8	1	9
2014-03-25 16:29:31.731767	8145	57	2	9
2014-03-25 16:30:10.497297	8153	19.8	1	9
2014-03-25 16:30:10.722496	8154	57	2	9
2014-03-25 16:30:49.499609	8162	19.8	1	9
2014-03-25 16:30:49.723627	8163	57	2	9
2014-03-25 16:31:28.500453	8172	19.8	1	9
2014-03-25 16:31:28.720974	8173	57	2	9
2014-03-25 16:32:07.499087	8181	19.8	1	9
2014-03-25 16:32:07.728164	8182	57	2	9
2014-03-25 16:32:46.4987	8190	19.8	1	9
2014-03-25 16:32:46.720609	8191	57	2	9
2014-03-25 16:33:25.498545	8198	19.8	1	9
2014-03-25 16:33:25.719704	8199	57	2	9
2014-03-25 16:34:04.499346	8208	19.8	1	9
2014-03-25 16:34:04.731775	8209	57	2	9
2014-03-25 16:34:43.499545	8217	19.8	1	9
2014-03-25 16:34:43.719657	8218	57	2	9
2014-03-25 16:35:22.499712	8227	19.8	1	9
2014-03-25 16:35:22.739395	8228	57	2	9
2014-03-25 16:36:01.498181	8237	19.8	1	9
2014-03-25 16:36:01.722175	8238	57	2	9
2014-03-25 16:36:40.496638	8246	19.8	1	9
2014-03-25 16:36:40.718082	8247	57	2	9
2014-03-25 16:37:19.498198	8255	19.8	1	9
2014-03-25 16:37:19.72006	8256	57	2	9
2014-03-25 16:37:58.497813	8265	19.8	1	9
2014-03-25 16:37:58.720979	8266	57	2	9
2014-03-25 16:38:37.498684	8274	19.8	1	9
2014-03-25 16:38:37.72871	8275	57	2	9
2014-03-25 16:39:16.498881	8282	19.8	1	9
2014-03-25 16:39:16.730722	8283	57	2	9
2014-03-25 16:39:55.498589	8291	19.8	1	9
2014-03-25 16:39:55.721209	8292	57	2	9
2014-03-25 16:40:34.498904	8300	19.8	1	9
2014-03-25 16:40:34.730966	8301	57	2	9
2014-03-25 16:41:13.497862	8310	19.8	1	9
2014-03-25 16:41:13.776381	8311	57	2	9
2014-03-25 16:41:52.498042	8319	19.8	1	9
2014-03-25 16:41:52.720965	8320	57	2	9
2014-03-25 16:42:31.497321	8327	19.8	1	9
2014-03-25 16:42:31.726672	8328	57	2	9
2014-03-25 16:43:10.498285	8339	19.8	1	9
2014-03-25 16:43:10.721297	8340	57	2	9
2014-03-25 16:43:49.49877	8349	19.8	1	9
2014-03-25 16:43:49.721277	8350	57	2	9
2014-03-25 16:44:28.498574	8357	19.8	1	9
2014-03-25 16:44:28.721187	8358	57	2	9
2014-03-25 16:45:07.499693	8366	19.8	1	9
2014-03-25 16:45:07.722663	8367	57	2	9
2014-03-25 16:45:46.500196	8375	19.8	1	9
2014-03-25 16:45:46.721668	8376	57	2	9
2014-03-25 16:46:25.498289	8383	19.8	1	9
2014-03-25 16:46:25.73056	8384	57	2	9
2014-03-25 16:47:04.503526	8394	19.8	1	9
2014-03-25 16:47:04.727142	8395	57	2	9
2014-03-25 16:47:43.501188	8405	19.8	1	9
2014-03-25 16:47:43.724935	8406	57	2	9
2014-03-25 16:48:22.497997	8413	19.8	1	9
2014-03-25 16:48:22.721818	8414	57	2	9
2014-03-25 16:49:01.497638	8424	19.8	1	9
2014-03-25 16:49:01.717795	8425	57	2	9
2014-03-25 16:49:40.499877	8435	19.8	1	9
2014-03-25 16:49:40.722723	8436	57	2	9
2014-03-25 16:50:19.497103	8444	19.8	1	9
2014-03-25 16:50:19.721004	8445	57	2	9
2014-03-25 16:50:58.502236	8453	19.8	1	9
2014-03-25 16:50:58.734399	8454	57	2	9
2014-03-25 16:51:37.497527	8462	19.8	1	9
2014-03-25 16:51:37.720655	8463	57	2	9
2014-03-25 16:52:16.497741	8470	19.8	1	9
2014-03-25 16:52:16.722641	8471	57	2	9
2014-03-25 16:52:55.497726	8479	19.8	1	9
2014-03-25 16:52:55.729113	8480	57	2	9
2014-03-25 16:53:34.496419	8488	19.8	1	9
2014-03-25 16:53:34.717468	8489	57	2	9
2014-03-25 16:54:13.497329	8496	19.8	1	9
2014-03-25 16:54:13.719163	8497	57	2	9
2014-03-25 16:54:52.497356	8505	19.8	1	9
2014-03-25 16:54:52.728693	8506	57	2	9
2014-03-25 16:55:31.496528	8516	19.8	1	9
2014-03-25 16:55:31.727359	8517	57	2	9
2014-03-25 16:56:10.67872	8528	19.8	1	9
2014-03-25 16:56:10.901061	8529	57	2	9
2014-03-25 16:56:49.499814	8537	19.8	1	9
2014-03-25 16:56:49.721293	8538	57	2	9
2014-03-25 16:57:28.500636	8545	19.8	1	9
2014-03-25 16:57:28.734583	8546	57	2	9
2014-03-25 16:58:07.497192	8554	19.8	1	9
2014-03-25 16:58:07.721799	8555	57	2	9
2014-03-25 16:58:46.498494	8563	19.8	1	9
2014-03-25 16:58:46.720331	8564	57	2	9
2014-03-25 16:59:25.498549	8571	19.8	1	9
2014-03-25 16:59:25.741483	8572	57	2	9
2014-03-25 17:00:04.497054	8582	19.8	1	9
2014-03-25 17:00:04.7286	8583	57	2	9
2014-03-25 17:00:43.496674	8591	19.8	1	9
2014-03-25 17:00:43.756073	8592	57	2	9
2014-03-25 17:01:22.499	8603	19.8	1	9
2014-03-25 17:01:22.720292	8604	57	2	9
2014-03-25 17:02:01.500193	8612	19.8	1	9
2014-03-25 17:02:01.722269	8613	57	2	9
2014-03-25 17:02:40.496418	8622	19.8	1	9
2014-03-25 17:02:40.719753	8623	57	2	9
2014-03-25 17:03:19.495391	8633	19.8	1	9
2014-03-25 17:03:19.719055	8634	57	2	9
2014-03-25 17:03:58.496966	8644	19.9	1	9
2014-03-25 17:03:58.721697	8645	57	2	9
2014-03-25 17:04:37.498436	8653	19.9	1	9
2014-03-25 17:04:37.731359	8654	57	2	9
2014-03-25 17:05:16.649668	8661	19.9	1	9
2014-03-25 17:05:17.09467	8662	57	2	9
2014-03-25 17:05:55.497468	8670	19.9	1	9
2014-03-25 17:05:55.757696	8671	57	2	9
2014-03-25 17:06:34.496888	8680	19.9	1	9
2014-03-25 17:06:34.727569	8681	57	2	9
2014-03-25 17:07:13.499337	8691	20.0	1	9
2014-03-25 17:07:13.719399	8692	56	2	9
2014-03-25 17:07:52.49756	8701	20.0	1	9
2014-03-25 17:07:52.720364	8702	56	2	9
2014-03-25 17:08:31.495243	8709	20.0	1	9
2014-03-25 17:08:31.717609	8710	57	2	9
2014-03-25 17:09:10.496987	8718	20.0	1	9
2014-03-25 17:09:10.725835	8719	57	2	9
2014-03-25 17:09:49.494975	8729	20.0	1	9
2014-03-25 17:09:49.719286	8730	57	2	9
2014-03-25 17:10:28.637498	8738	20.0	1	9
2014-03-25 17:10:28.870788	8739	57	2	9
2014-03-25 17:11:07.496742	8747	20.0	1	9
2014-03-25 17:11:07.721171	8748	57	2	9
2014-03-25 17:11:46.49742	8756	20.0	1	9
2014-03-25 17:11:46.719094	8757	57	2	9
2014-03-25 17:12:25.498517	8765	20.0	1	9
2014-03-25 17:12:25.719941	8766	57	2	9
2014-03-25 17:13:04.497516	8774	20.0	1	9
2014-03-25 17:13:04.721067	8775	57	2	9
2014-03-25 17:13:43.497753	8783	20.0	1	9
2014-03-25 17:13:43.72007	8784	57	2	9
2014-03-25 17:14:22.497709	8792	20.0	1	9
2014-03-25 17:14:22.728552	8793	57	2	9
2014-03-25 17:15:01.4961	8801	20.0	1	9
2014-03-25 17:15:01.717268	8802	57	2	9
2014-03-25 17:15:40.49707	8810	20.0	1	9
2014-03-25 17:15:40.726872	8811	57	2	9
2014-03-25 17:16:19.49749	8818	19.9	1	9
2014-03-25 17:16:19.727734	8819	57	2	9
2014-03-25 17:16:58.497175	8827	19.9	1	9
2014-03-25 17:16:58.719033	8828	57	2	9
2014-03-25 17:17:37.499203	8836	19.9	1	9
2014-03-25 17:17:37.72146	8837	57	2	9
2014-03-25 17:18:16.498763	8845	19.9	1	9
2014-03-25 17:18:16.733284	8846	57	2	9
2014-03-25 17:18:55.497589	8856	19.9	1	9
2014-03-25 17:18:55.72151	8857	57	2	9
2014-03-25 17:19:34.496491	8867	19.9	1	9
2014-03-25 17:19:34.718616	8868	57	2	9
2014-03-25 17:20:13.496757	8878	19.9	1	9
2014-03-25 17:20:13.720449	8879	57	2	9
2014-03-25 17:20:52.497733	8888	19.9	1	9
2014-03-25 17:20:52.72032	8889	57	2	9
2014-03-25 17:21:31.495749	8897	19.9	1	9
2014-03-25 17:21:31.718746	8898	57	2	9
2014-03-25 17:22:10.496976	8909	19.9	1	9
2014-03-25 17:22:10.728421	8910	57	2	9
2014-03-25 17:22:49.497464	8920	19.9	1	9
2014-03-25 17:22:49.745995	8921	57	2	9
2014-03-25 17:23:28.498535	8931	20.0	1	9
2014-03-25 17:23:28.719721	8932	57	2	9
2014-03-25 17:24:07.496366	8940	20.0	1	9
2014-03-25 17:24:07.72991	8941	57	2	9
2014-03-25 17:24:46.496394	8951	20.0	1	9
2014-03-25 17:24:46.719493	8952	57	2	9
2014-03-25 17:25:25.500002	8959	20.0	1	9
2014-03-25 17:25:25.723265	8960	57	2	9
2014-03-25 17:26:04.495523	8968	20.0	1	9
2014-03-25 17:26:04.726285	8969	57	2	9
2014-03-25 17:26:43.49577	8977	20.0	1	9
2014-03-25 17:26:43.719139	8978	57	2	9
2014-03-25 17:27:22.498205	8987	20.1	1	9
2014-03-25 17:27:22.730093	8988	57	2	9
2014-03-25 17:28:01.496213	8996	20.1	1	9
2014-03-25 17:28:01.718756	8997	57	2	9
2014-03-25 17:28:40.498873	9005	20.1	1	9
2014-03-25 17:28:40.720915	9006	57	2	9
2014-03-25 17:29:19.494992	9013	20.1	1	9
2014-03-25 17:29:19.718239	9014	57	2	9
2014-03-25 17:29:58.496208	9022	20.1	1	9
2014-03-25 17:29:58.72812	9023	57	2	9
2014-03-25 17:30:37.553796	9031	20.2	1	9
2014-03-25 17:30:37.775964	9032	57	2	9
2014-03-25 17:31:16.49748	9039	20.2	1	9
2014-03-25 17:31:16.741467	9040	58	2	9
2014-03-25 17:31:55.495945	9049	20.2	1	9
2014-03-25 17:31:55.718602	9050	58	2	9
2014-03-25 17:32:34.498811	9058	20.2	1	9
2014-03-25 17:32:34.720092	9059	58	2	9
2014-03-25 17:33:13.495818	9066	20.3	1	9
2014-03-25 17:33:13.726134	9067	58	2	9
2014-03-25 17:33:52.498018	9075	20.3	1	9
2014-03-25 17:33:52.719538	9076	58	2	9
2014-03-25 17:34:31.49585	9083	20.3	1	9
2014-03-25 17:34:31.719567	9084	58	2	9
2014-03-25 17:35:10.495688	9092	20.3	1	9
2014-03-25 17:35:10.735034	9093	58	2	9
2014-03-25 17:35:49.496912	9101	20.4	1	9
2014-03-25 17:35:49.718301	9102	58	2	9
2014-03-25 17:36:28.49539	9109	20.4	1	9
2014-03-25 17:36:28.717886	9110	58	2	9
2014-03-25 17:37:07.497099	9118	20.4	1	9
2014-03-25 17:37:07.728105	9119	58	2	9
2014-03-25 17:37:46.495573	9128	20.4	1	9
2014-03-25 17:37:46.717125	9129	58	2	9
2014-03-25 17:38:25.49738	9138	20.4	1	9
2014-03-25 17:38:25.719084	9139	58	2	9
2014-03-25 17:39:04.669326	9147	20.5	1	9
2014-03-25 17:39:04.892504	9148	58	2	9
2014-03-25 17:39:43.641465	9156	20.5	1	9
2014-03-25 17:39:43.873647	9157	58	2	9
2014-03-25 17:40:22.496571	9164	20.5	1	9
2014-03-25 17:40:22.730083	9165	58	2	9
2014-03-25 17:41:01.496643	9173	20.6	1	9
2014-03-25 17:41:01.718659	9174	58	2	9
2014-03-25 17:41:40.495817	9182	20.6	1	9
2014-03-25 17:41:40.719184	9183	58	2	9
2014-03-25 17:42:19.497384	9190	20.6	1	9
2014-03-25 17:42:19.720586	9191	58	2	9
2014-03-25 17:42:58.496233	9199	20.6	1	9
2014-03-25 17:42:58.726111	9200	58	2	9
2014-03-25 17:43:37.496474	9208	20.7	1	9
2014-03-25 17:43:37.718852	9209	58	2	9
2014-03-25 17:44:16.496932	9218	20.7	1	9
2014-03-25 17:44:16.727443	9219	58	2	9
2014-03-25 17:44:55.497759	9227	20.7	1	9
2014-03-25 17:44:55.720053	9228	58	2	9
2014-03-25 17:45:34.495843	9236	20.7	1	9
2014-03-25 17:45:34.719638	9237	58	2	9
2014-03-25 17:46:13.496262	9244	20.7	1	9
2014-03-25 17:46:13.727338	9245	58	2	9
2014-03-25 17:46:52.498532	9253	20.8	1	9
2014-03-25 17:46:52.720999	9254	58	2	9
2014-03-25 17:47:31.496168	9261	20.8	1	9
2014-03-25 17:47:31.718261	9262	58	2	9
2014-03-25 17:48:10.496542	9270	20.8	1	9
2014-03-25 17:48:10.718087	9271	58	2	9
2014-03-25 17:48:49.496389	9279	20.8	1	9
2014-03-25 17:48:49.718538	9280	58	2	9
2014-03-25 17:49:28.495907	9287	20.8	1	9
2014-03-25 17:49:28.717022	9288	58	2	9
2014-03-25 17:50:08.050002	9297	20.8	1	9
2014-03-25 17:50:08.489968	9298	58	2	9
2014-03-25 17:50:46.495823	9307	20.9	1	9
2014-03-25 17:50:46.727635	9308	58	2	9
2014-03-25 17:51:25.498148	9315	20.9	1	9
2014-03-25 17:51:25.731232	9316	58	2	9
2014-03-25 17:52:04.49693	9324	20.9	1	9
2014-03-25 17:52:04.71964	9325	58	2	9
2014-03-25 17:52:43.494213	9333	20.9	1	9
2014-03-25 17:52:43.717135	9334	58	2	9
2014-03-25 17:53:22.49632	9341	20.9	1	9
2014-03-25 17:53:22.72686	9342	58	2	9
2014-03-25 17:54:01.496334	9350	20.9	1	9
2014-03-25 17:54:01.717318	9351	58	2	9
2014-03-25 17:54:40.494811	9359	20.9	1	9
2014-03-25 17:54:40.726308	9360	58	2	9
2014-03-25 17:55:19.497993	9367	20.9	1	9
2014-03-25 17:55:19.730701	9368	58	2	9
2014-03-25 17:55:58.496386	9377	21.0	1	9
2014-03-25 17:55:58.72896	9378	58	2	9
2014-03-25 17:56:37.496521	9386	21.0	1	9
2014-03-25 17:56:37.720113	9387	58	2	9
2014-03-25 17:57:16.715873	9394	21.0	1	9
2014-03-25 17:57:16.940613	9395	58	2	9
2014-03-25 17:57:55.494708	9403	21.0	1	9
2014-03-25 17:57:55.718485	9404	58	2	9
2014-03-25 17:58:34.495286	9412	21.0	1	9
2014-03-25 17:58:34.717289	9413	58	2	9
2014-03-25 17:59:13.495523	9420	21.0	1	9
2014-03-25 17:59:13.717418	9421	58	2	9
2014-03-25 17:59:52.494693	9429	21.0	1	9
2014-03-25 17:59:52.726389	9430	58	2	9
2014-03-25 18:00:31.496939	9437	21.0	1	9
2014-03-25 18:00:31.728795	9438	58	2	9
2014-03-25 18:01:10.497002	9446	21.0	1	9
2014-03-25 18:01:10.718038	9447	58	2	9
2014-03-25 18:01:49.498058	9456	21.0	1	9
2014-03-25 18:01:49.722565	9457	58	2	9
2014-03-25 18:02:28.641086	9464	21.1	1	9
2014-03-25 18:02:28.871808	9465	58	2	9
2014-03-25 18:03:07.493892	9473	21.1	1	9
2014-03-25 18:03:07.716346	9474	58	2	9
2014-03-25 18:03:46.496418	9482	21.1	1	9
2014-03-25 18:03:46.727521	9483	58	2	9
2014-03-25 18:04:25.496125	9490	21.1	1	9
2014-03-25 18:04:25.729658	9491	58	2	9
2014-03-25 18:05:04.494838	9499	21.1	1	9
2014-03-25 18:05:04.720204	9500	58	2	9
2014-03-25 18:05:43.495082	9508	21.1	1	9
2014-03-25 18:05:43.726209	9509	58	2	9
2014-03-25 18:06:22.495708	9516	21.1	1	9
2014-03-25 18:06:22.727504	9517	58	2	9
2014-03-25 18:07:01.494481	9525	21.1	1	9
2014-03-25 18:07:01.71796	9526	58	2	9
2014-03-25 18:07:40.494273	9534	21.1	1	9
2014-03-25 18:07:40.727383	9535	58	2	9
2014-03-25 18:08:19.495304	9543	21.1	1	9
2014-03-25 18:08:19.718659	9544	58	2	9
2014-03-25 18:08:58.494659	9552	21.1	1	9
2014-03-25 18:08:58.725324	9553	58	2	9
2014-03-25 18:09:37.49491	9561	21.1	1	9
2014-03-25 18:09:37.716399	9562	58	2	9
2014-03-25 18:10:16.548665	9569	21.1	1	9
2014-03-25 18:10:16.773131	9570	58	2	9
2014-03-25 18:10:56.048962	9578	21.1	1	9
2014-03-25 18:10:56.491497	9579	58	2	9
2014-03-25 18:11:34.49661	9587	21.1	1	9
2014-03-25 18:11:34.718136	9588	58	2	9
2014-03-25 18:12:13.495638	9598	21.1	1	9
2014-03-25 18:12:13.718649	9599	58	2	9
2014-03-25 18:12:52.495569	9607	21.2	1	9
2014-03-25 18:12:52.716813	9608	58	2	9
2014-03-25 18:13:31.496045	9615	21.2	1	9
2014-03-25 18:13:31.728601	9616	58	2	9
2014-03-25 18:14:10.494829	9624	21.2	1	9
2014-03-25 18:14:10.717516	9625	58	2	9
2014-03-25 18:14:49.495899	9633	21.2	1	9
2014-03-25 18:14:49.71675	9634	58	2	9
2014-03-25 18:15:28.495514	9641	21.2	1	9
2014-03-25 18:15:28.726666	9642	58	2	9
2014-03-25 18:16:07.496627	9650	21.2	1	9
2014-03-25 18:16:07.717372	9651	58	2	9
2014-03-25 18:16:46.710386	9659	21.3	1	9
2014-03-25 18:16:46.933081	9660	58	2	9
2014-03-25 18:17:25.497282	9668	21.3	1	9
2014-03-25 18:17:25.733186	9669	58	2	9
2014-03-25 18:18:04.495301	9677	21.3	1	9
2014-03-25 18:18:04.72906	9678	58	2	9
2014-03-25 18:18:43.665242	9686	21.3	1	9
2014-03-25 18:18:43.889069	9687	58	2	9
2014-03-25 18:19:22.495034	9697	21.3	1	9
2014-03-25 18:19:22.71653	9698	58	2	9
2014-03-25 18:20:01.495462	9706	21.3	1	9
2014-03-25 18:20:01.726137	9707	58	2	9
2014-03-25 18:20:40.49542	9715	21.3	1	9
2014-03-25 18:20:40.718653	9716	58	2	9
2014-03-25 18:21:19.494451	9723	21.3	1	9
2014-03-25 18:21:19.717367	9724	58	2	9
2014-03-25 18:21:58.494923	9733	21.3	1	9
2014-03-25 18:21:58.717381	9734	58	2	9
2014-03-25 18:22:37.497234	9743	21.3	1	9
2014-03-25 18:22:37.729576	9744	58	2	9
2014-03-25 18:23:16.495531	9751	21.3	1	9
2014-03-25 18:23:16.729318	9752	58	2	9
2014-03-25 18:23:55.494169	9760	21.4	1	9
2014-03-25 18:23:55.7178	9761	58	2	9
2014-03-25 18:24:34.496095	9769	21.4	1	9
2014-03-25 18:24:34.717978	9770	58	2	9
2014-03-25 18:25:13.495937	9780	21.4	1	9
2014-03-25 18:25:13.72882	9781	58	2	9
2014-03-25 18:25:52.494946	9791	21.4	1	9
2014-03-25 18:25:52.728755	9792	58	2	9
2014-03-25 18:26:31.495691	9800	21.4	1	9
2014-03-25 18:26:31.718071	9801	58	2	9
2014-03-25 18:27:10.495715	9809	21.4	1	9
2014-03-25 18:27:10.726105	9810	58	2	9
2014-03-25 18:27:49.500797	9819	21.5	1	9
2014-03-25 18:27:49.722622	9820	58	2	9
2014-03-25 18:28:28.495456	9828	21.5	1	9
2014-03-25 18:28:28.726558	9829	58	2	9
2014-03-25 18:29:07.494817	9838	21.5	1	9
2014-03-25 18:29:07.719949	9839	58	2	9
2014-03-25 18:29:46.727812	9848	21.5	1	9
2014-03-25 18:29:46.953657	9849	58	2	9
2014-03-25 18:30:25.4945	9857	21.4	1	9
2014-03-25 18:30:25.736201	9858	58	2	9
2014-03-25 18:31:04.494272	9866	21.4	1	9
2014-03-25 18:31:04.716106	9867	58	2	9
2014-03-25 18:31:43.493918	9875	21.4	1	9
2014-03-25 18:31:43.715494	9876	58	2	9
2014-03-25 18:32:22.495029	9885	21.4	1	9
2014-03-25 18:32:22.729171	9886	57	2	9
2014-03-25 18:33:01.496066	9894	21.3	1	9
2014-03-25 18:33:01.717764	9895	57	2	9
2014-03-25 18:33:40.492841	9903	21.3	1	9
2014-03-25 18:33:40.717042	9904	57	2	9
2014-03-25 18:34:19.493185	9911	21.3	1	9
2014-03-25 18:34:19.717365	9912	57	2	9
2014-03-25 18:34:58.49265	9920	21.3	1	9
2014-03-25 18:34:58.713637	9921	57	2	9
2014-03-25 18:35:37.492347	9929	21.3	1	9
2014-03-25 18:35:37.714552	9930	57	2	9
2014-03-25 18:36:16.493853	9937	21.3	1	9
2014-03-25 18:36:16.715174	9938	57	2	9
2014-03-25 18:36:55.493889	9947	21.3	1	9
2014-03-25 18:36:55.714057	9948	57	2	9
2014-03-25 18:37:34.492882	9956	21.3	1	9
2014-03-25 18:37:34.714569	9957	57	2	9
2014-03-25 18:38:13.495418	9964	21.3	1	9
2014-03-25 18:38:13.727077	9965	57	2	9
2014-03-25 18:38:52.4954	9973	21.3	1	9
2014-03-25 18:38:52.717028	9974	57	2	9
2014-03-25 18:39:31.493437	9981	21.2	1	9
2014-03-25 18:39:31.718062	9982	57	2	9
2014-03-25 18:40:10.494216	9990	21.2	1	9
2014-03-25 18:40:10.73866	9991	57	2	9
2014-03-25 18:40:49.494305	9999	21.2	1	9
2014-03-25 18:40:49.716059	10000	57	2	9
2014-03-25 18:41:28.49312	10008	21.2	1	9
2014-03-25 18:41:28.72418	10009	57	2	9
2014-03-25 18:42:07.496307	10017	21.2	1	9
2014-03-25 18:42:07.718107	10018	57	2	9
2014-03-25 18:42:46.492881	10026	21.2	1	9
2014-03-25 18:42:46.715622	10027	57	2	9
2014-03-25 18:43:25.49382	10034	21.2	1	9
2014-03-25 18:43:25.736122	10035	57	2	9
2014-03-25 18:44:04.496141	10043	21.2	1	9
2014-03-25 18:44:04.716454	10044	57	2	9
2014-03-25 18:44:43.495014	10052	21.2	1	9
2014-03-25 18:44:43.720933	10053	57	2	9
2014-03-25 18:45:22.495182	10060	21.2	1	9
2014-03-25 18:45:22.734194	10061	57	2	9
2014-03-25 18:46:01.494812	10069	21.1	1	9
2014-03-25 18:46:01.717144	10070	57	2	9
2014-03-25 18:46:40.494837	10078	21.1	1	9
2014-03-25 18:46:40.71745	10079	57	2	9
2014-03-25 18:47:19.494099	10086	21.1	1	9
2014-03-25 18:47:19.716363	10087	57	2	9
2014-03-25 18:47:58.578825	10096	21.1	1	9
2014-03-25 18:47:58.800622	10097	57	2	9
2014-03-25 18:48:37.494563	10105	21.1	1	9
2014-03-25 18:48:37.726268	10106	57	2	9
2014-03-25 18:49:16.494236	10113	21.1	1	9
2014-03-25 18:49:16.72751	10114	57	2	9
2014-03-25 18:49:55.493571	10122	21.1	1	9
2014-03-25 18:49:55.720254	10123	57	2	9
2014-03-25 18:50:34.493546	10131	21.1	1	9
2014-03-25 18:50:34.734218	10132	57	2	9
2014-03-25 18:51:13.493299	10139	21.1	1	9
2014-03-25 18:51:13.723983	10140	57	2	9
2014-03-25 18:51:53.082932	10149	21.1	1	9
2014-03-25 18:51:53.509948	10150	57	2	9
2014-03-25 18:52:31.49319	10157	21.1	1	9
2014-03-25 18:52:31.715125	10158	57	2	9
2014-03-25 18:53:10.493529	10166	21.1	1	9
2014-03-25 18:53:10.725346	10167	57	2	9
2014-03-25 18:53:50.040586	10175	21.1	1	9
2014-03-25 18:53:50.317822	10176	57	2	9
2014-03-25 18:54:28.539662	10183	21.1	1	9
2014-03-25 18:54:28.793657	10184	57	2	9
2014-03-25 18:55:07.493615	10192	21.1	1	9
2014-03-25 18:55:07.717116	10193	57	2	9
2014-03-25 18:55:46.493206	10201	21.1	1	9
2014-03-25 18:55:46.729962	10202	57	2	9
2014-03-25 18:56:25.504282	10209	21.1	1	9
2014-03-25 18:56:25.736838	10210	57	2	9
2014-03-25 18:57:04.493165	10218	21.1	1	9
2014-03-25 18:57:04.715109	10219	57	2	9
2014-03-25 18:57:43.493873	10228	21.1	1	9
2014-03-25 18:57:43.71495	10229	57	2	9
2014-03-25 18:58:22.492527	10236	21.1	1	9
2014-03-25 18:58:22.714099	10237	57	2	9
2014-03-25 18:59:01.49221	10245	21.1	1	9
2014-03-25 18:59:01.722397	10246	57	2	9
2014-03-25 18:59:40.494828	10254	21.1	1	9
2014-03-25 18:59:40.715401	10255	57	2	9
2014-03-25 19:00:19.495715	10262	21.1	1	9
2014-03-25 19:00:19.716036	10263	57	2	9
2014-03-25 19:00:58.492497	10271	21.1	1	9
2014-03-25 19:00:58.724347	10272	57	2	9
2014-03-25 19:01:37.494012	10280	21.1	1	9
2014-03-25 19:01:37.715542	10281	57	2	9
2014-03-25 19:02:16.493473	10289	21.1	1	9
2014-03-25 19:02:16.715152	10290	57	2	9
2014-03-25 19:02:55.49289	10298	21.1	1	9
2014-03-25 19:02:55.716959	10299	57	2	9
2014-03-25 19:03:34.49275	10307	21.1	1	9
2014-03-25 19:03:34.71456	10308	57	2	9
2014-03-25 19:04:13.493494	10315	21.1	1	9
2014-03-25 19:04:13.717419	10316	57	2	9
2014-03-25 19:04:52.492736	10324	21.1	1	9
2014-03-25 19:04:52.729488	10325	57	2	9
2014-03-25 19:05:31.494422	10332	21.1	1	9
2014-03-25 19:05:31.725128	10333	57	2	9
2014-03-25 19:06:10.493561	10341	21.1	1	9
2014-03-25 19:06:10.717267	10342	57	2	9
2014-03-25 19:06:49.493128	10350	21.1	1	9
2014-03-25 19:06:49.725915	10351	57	2	9
2014-03-25 19:07:28.492571	10358	21.1	1	9
2014-03-25 19:07:28.72399	10359	57	2	9
2014-03-25 19:08:07.492494	10369	21.1	1	9
2014-03-25 19:08:07.714209	10370	57	2	9
2014-03-25 19:08:46.493014	10378	21.1	1	9
2014-03-25 19:08:46.713507	10379	57	2	9
2014-03-25 19:09:25.4936	10386	21.1	1	9
2014-03-25 19:09:25.714238	10387	57	2	9
2014-03-25 19:10:04.492572	10395	21.1	1	9
2014-03-25 19:10:04.723751	10396	57	2	9
2014-03-25 19:10:43.494387	10404	21.0	1	9
2014-03-25 19:10:43.717142	10405	57	2	9
2014-03-25 19:11:22.492862	10412	21.0	1	9
2014-03-25 19:11:22.71598	10413	57	2	9
2014-03-25 19:12:01.492436	10422	21.0	1	9
2014-03-25 19:12:01.726249	10423	57	2	9
2014-03-25 19:12:40.492407	10431	21.0	1	9
2014-03-25 19:12:40.714383	10432	57	2	9
2014-03-25 19:13:19.700627	10440	21.0	1	9
2014-03-25 19:13:19.932928	10441	57	2	9
2014-03-25 19:13:58.492821	10449	21.0	1	9
2014-03-25 19:13:58.714295	10450	57	2	9
2014-03-25 19:14:37.705056	10458	21.0	1	9
2014-03-25 19:14:37.94033	10459	57	2	9
2014-03-25 19:15:16.492863	10466	21.0	1	9
2014-03-25 19:15:16.743139	10467	57	2	9
2014-03-25 19:15:55.494971	10475	21.0	1	9
2014-03-25 19:15:55.715528	10476	57	2	9
2014-03-25 19:16:34.494379	10484	21.0	1	9
2014-03-25 19:16:34.728019	10485	57	2	9
2014-03-25 19:17:13.492686	10492	21.0	1	9
2014-03-25 19:17:13.725149	10493	57	2	9
2014-03-25 19:17:52.491623	10502	21.0	1	9
2014-03-25 19:17:52.713777	10503	57	2	9
2014-03-25 19:18:31.492767	10511	21.0	1	9
2014-03-25 19:18:31.714783	10512	57	2	9
2014-03-25 19:19:10.493005	10520	21.0	1	9
2014-03-25 19:19:10.714021	10521	57	2	9
2014-03-25 19:19:49.493251	10529	21.0	1	9
2014-03-25 19:19:49.724569	10530	57	2	9
2014-03-25 19:20:28.491941	10537	21.0	1	9
2014-03-25 19:20:28.727086	10538	57	2	9
2014-03-25 19:21:07.493207	10546	21.0	1	9
2014-03-25 19:21:07.715333	10547	57	2	9
2014-03-25 19:21:46.495376	10555	21.0	1	9
2014-03-25 19:21:46.724823	10556	57	2	9
2014-03-25 19:22:26.089987	10564	21.0	1	9
2014-03-25 19:22:26.509983	10565	57	2	9
2014-03-25 19:23:04.492513	10573	21.0	1	9
2014-03-25 19:23:04.72226	10574	57	2	9
2014-03-25 19:23:43.491993	10582	21.0	1	9
2014-03-25 19:23:43.719911	10583	57	2	9
2014-03-25 19:24:22.492519	10590	21.0	1	9
2014-03-25 19:24:22.714338	10591	57	2	9
2014-03-25 19:25:01.491574	10599	21.0	1	9
2014-03-25 19:25:01.723243	10600	57	2	9
2014-03-25 19:25:40.49253	10608	21.0	1	9
2014-03-25 19:25:40.71392	10609	57	2	9
2014-03-25 19:26:19.544599	10616	21.0	1	9
2014-03-25 19:26:19.765875	10617	57	2	9
2014-03-25 19:26:58.493293	10626	21.0	1	9
2014-03-25 19:26:58.714124	10627	57	2	9
2014-03-25 19:27:37.492335	10636	21.0	1	9
2014-03-25 19:27:37.726767	10637	57	2	9
2014-03-25 19:28:16.492209	10644	21.0	1	9
2014-03-25 19:28:16.723738	10645	57	2	9
2014-03-25 19:28:55.491081	10654	21.0	1	9
2014-03-25 19:28:55.713444	10655	57	2	9
2014-03-25 19:29:34.498639	10664	21.0	1	9
2014-03-25 19:29:34.726764	10665	57	2	9
2014-03-25 19:30:13.487354	10672	21.0	1	9
2014-03-25 19:30:13.709525	10673	57	2	9
2014-03-25 19:30:52.492161	10681	21.0	1	9
2014-03-25 19:30:52.723164	10682	57	2	9
2014-03-25 19:31:31.492326	10689	21.0	1	9
2014-03-25 19:31:31.723997	10690	57	2	9
2014-03-25 19:32:10.494854	10698	21.0	1	9
2014-03-25 19:32:10.717044	10699	57	2	9
2014-03-25 19:32:50.07303	10707	21.0	1	9
2014-03-25 19:32:50.493846	10708	57	2	9
2014-03-25 19:33:28.491408	10715	21.0	1	9
2014-03-25 19:33:28.724472	10716	57	2	9
2014-03-25 19:34:07.49191	10724	21.0	1	9
2014-03-25 19:34:07.714732	10725	57	2	9
2014-03-25 19:34:46.491569	10734	21.0	1	9
2014-03-25 19:34:46.724283	10735	57	2	9
2014-03-25 19:35:25.491237	10742	21.0	1	9
2014-03-25 19:35:25.724288	10743	57	2	9
2014-03-25 19:36:04.492339	10751	21.0	1	9
2014-03-25 19:36:04.713949	10752	57	2	9
2014-03-25 19:36:43.491732	10760	21.0	1	9
2014-03-25 19:36:43.713364	10761	57	2	9
2014-03-25 19:37:22.495465	10768	21.0	1	9
2014-03-25 19:37:22.726593	10769	57	2	9
2014-03-25 19:38:01.493703	10777	21.0	1	9
2014-03-25 19:38:01.718287	10778	57	2	9
2014-03-25 19:38:40.491935	10786	21.0	1	9
2014-03-25 19:38:40.734796	10787	57	2	9
2014-03-25 19:39:19.543619	10794	21.0	1	9
2014-03-25 19:39:19.778795	10795	57	2	9
2014-03-25 19:39:58.49866	10803	21.0	1	9
2014-03-25 19:39:58.720534	10804	57	2	9
2014-03-25 19:40:37.494698	10812	21.0	1	9
2014-03-25 19:40:37.715149	10813	57	2	9
2014-03-25 19:41:16.492517	10822	21.0	1	9
2014-03-25 19:41:16.715092	10823	57	2	9
2014-03-25 19:41:55.493871	10831	21.0	1	9
2014-03-25 19:41:55.7167	10832	57	2	9
2014-03-25 19:42:34.508747	10840	21.0	1	9
2014-03-25 19:42:34.731606	10841	57	2	9
2014-03-25 19:43:13.49591	10848	21.0	1	9
2014-03-25 19:43:13.720242	10849	57	2	9
2014-03-25 19:43:52.492355	10857	21.0	1	9
2014-03-25 19:43:52.715713	10858	57	2	9
2014-03-25 19:44:31.493247	10865	21.0	1	9
2014-03-25 19:44:31.724342	10866	57	2	9
2014-03-25 19:45:10.692498	10875	21.0	1	9
2014-03-25 19:45:10.916009	10876	57	2	9
2014-03-25 19:45:49.543304	10885	21.0	1	9
2014-03-25 19:45:49.765678	10886	57	2	9
2014-03-25 19:46:28.501044	10893	21.0	1	9
2014-03-25 19:46:28.722719	10894	57	2	9
2014-03-25 19:47:07.491879	10902	21.0	1	9
2014-03-25 19:47:07.714163	10903	57	2	9
2014-03-25 19:47:46.495205	10911	21.0	1	9
2014-03-25 19:47:46.72468	10912	57	2	9
2014-03-25 19:48:25.493491	10919	21.0	1	9
2014-03-25 19:48:25.716406	10920	57	2	9
2014-03-25 19:49:04.492423	10928	21.0	1	9
2014-03-25 19:49:04.725281	10929	57	2	9
2014-03-25 19:49:43.500448	10937	21.0	1	9
2014-03-25 19:49:43.723997	10938	57	2	9
2014-03-25 19:50:22.493409	10945	21.0	1	9
2014-03-25 19:50:22.716165	10946	57	2	9
2014-03-25 19:51:01.491979	10954	21.0	1	9
2014-03-25 19:51:01.714383	10955	57	2	9
2014-03-25 19:51:40.493523	10964	21.0	1	9
2014-03-25 19:51:40.716483	10965	57	2	9
2014-03-25 19:52:19.492232	10972	21.0	1	9
2014-03-25 19:52:19.715232	10973	57	2	9
2014-03-25 19:52:58.491116	10981	21.0	1	9
2014-03-25 19:52:58.7322	10982	57	2	9
2014-03-25 19:53:37.499981	10990	21.0	1	9
2014-03-25 19:53:37.720566	10991	57	2	9
2014-03-25 19:54:16.490926	10998	21.0	1	9
2014-03-25 19:54:16.713528	10999	57	2	9
2014-03-25 19:54:55.489097	11007	21.0	1	9
2014-03-25 19:54:55.72119	11008	57	2	9
2014-03-25 19:55:34.490473	11016	21.0	1	9
2014-03-25 19:55:34.708651	11017	57	2	9
2014-03-25 19:56:13.494464	11026	21.0	1	9
2014-03-25 19:56:13.715524	11027	57	2	9
2014-03-25 19:56:52.488172	11035	21.0	1	9
2014-03-25 19:56:52.710579	11036	57	2	9
2014-03-25 19:57:31.489939	11043	21.0	1	9
2014-03-25 19:57:31.72349	11044	57	2	9
2014-03-25 19:58:10.576676	11052	21.0	1	9
2014-03-25 19:58:10.833007	11053	57	2	9
2014-03-25 19:58:49.537495	11061	21.0	1	9
2014-03-25 19:58:49.767764	11062	57	2	9
2014-03-25 19:59:28.490089	11069	21.0	1	9
2014-03-25 19:59:28.723503	11070	57	2	9
2014-03-25 20:00:07.492733	11078	21.0	1	9
2014-03-25 20:00:07.715665	11079	57	2	9
2014-03-25 20:00:46.492465	11087	21.0	1	9
2014-03-25 20:00:46.714027	11088	57	2	9
2014-03-25 20:01:25.492418	11095	21.0	1	9
2014-03-25 20:01:25.723262	11096	57	2	9
2014-03-25 20:02:04.491569	11104	21.0	1	9
2014-03-25 20:02:04.713555	11105	57	2	9
2014-03-25 20:02:43.50014	11114	21.0	1	9
2014-03-25 20:02:43.722443	11115	57	2	9
2014-03-25 20:03:23.093581	11122	21.0	1	9
2014-03-25 20:03:23.519937	11123	57	2	9
2014-03-25 20:04:01.492443	11131	21.0	1	9
2014-03-25 20:04:01.713146	11132	57	2	9
2014-03-25 20:04:40.493334	11140	21.0	1	9
2014-03-25 20:04:40.725684	11141	57	2	9
2014-03-25 20:05:19.490615	11148	21.0	1	9
2014-03-25 20:05:19.723162	11149	57	2	9
2014-03-25 20:05:58.491354	11157	21.0	1	9
2014-03-25 20:05:58.712599	11158	57	2	9
2014-03-25 20:06:37.490447	11166	21.0	1	9
2014-03-25 20:06:37.709688	11167	57	2	9
2014-03-25 20:07:16.49351	11176	21.0	1	9
2014-03-25 20:07:16.734459	11177	57	2	9
2014-03-25 20:07:55.491343	11186	21.0	1	9
2014-03-25 20:07:55.723895	11187	57	2	9
2014-03-25 20:08:34.492564	11195	21.0	1	9
2014-03-25 20:08:34.712595	11196	57	2	9
2014-03-25 20:09:13.493478	11203	21.0	1	9
2014-03-25 20:09:13.715103	11204	57	2	9
2014-03-25 20:09:52.492005	11212	21.0	1	9
2014-03-25 20:09:52.711785	11213	57	2	9
2014-03-25 20:10:31.490714	11220	21.0	1	9
2014-03-25 20:10:31.722254	11221	57	2	9
2014-03-25 20:11:10.491394	11229	21.0	1	9
2014-03-25 20:11:10.714686	11230	57	2	9
2014-03-25 20:11:49.489782	11238	21.0	1	9
2014-03-25 20:11:49.780075	11239	57	2	9
2014-03-25 20:12:28.491416	11246	21.0	1	9
2014-03-25 20:12:28.722463	11247	57	2	9
2014-03-25 20:13:07.50693	11255	21.0	1	9
2014-03-25 20:13:07.727647	11256	57	2	9
2014-03-25 20:13:47.159355	11264	21.0	1	9
2014-03-25 20:13:47.603782	11265	57	2	9
2014-03-25 20:14:25.499456	11273	21.0	1	9
2014-03-25 20:14:25.726536	11274	57	2	9
2014-03-25 20:15:04.493205	11282	21.0	1	9
2014-03-25 20:15:04.714101	11283	57	2	9
2014-03-25 20:15:43.602092	11291	21.0	1	9
2014-03-25 20:15:43.825519	11292	57	2	9
2014-03-25 20:16:22.505946	11299	21.0	1	9
2014-03-25 20:16:22.729653	11300	57	2	9
2014-03-25 20:17:01.582197	11308	21.0	1	9
2014-03-25 20:17:01.817421	11309	57	2	9
2014-03-25 20:17:40.497355	11317	21.0	1	9
2014-03-25 20:17:40.717983	11318	57	2	9
2014-03-25 20:18:19.495557	11325	21.0	1	9
2014-03-25 20:18:19.716363	11326	57	2	9
2014-03-25 20:18:58.499272	11336	21.0	1	9
2014-03-25 20:18:58.722681	11337	57	2	9
2014-03-25 20:19:37.491478	11345	21.0	1	9
2014-03-25 20:19:37.721644	11346	57	2	9
2014-03-25 20:20:16.49224	11353	21.0	1	9
2014-03-25 20:20:16.724253	11354	57	2	9
2014-03-25 20:20:55.502553	11362	21.0	1	9
2014-03-25 20:20:55.726158	11363	57	2	9
2014-03-25 20:21:34.496519	11373	21.0	1	9
2014-03-25 20:21:34.719457	11374	57	2	9
2014-03-25 20:22:13.499774	11381	21.0	1	9
2014-03-25 20:22:13.720911	11382	57	2	9
2014-03-25 20:22:52.494304	11390	21.0	1	9
2014-03-25 20:22:52.715872	11391	57	2	9
2014-03-25 20:23:31.490179	11398	21.0	1	9
2014-03-25 20:23:31.713495	11399	57	2	9
2014-03-25 20:24:10.693842	11407	21.0	1	9
2014-03-25 20:24:10.92771	11408	57	2	9
2014-03-25 20:24:49.499741	11416	21.0	1	9
2014-03-25 20:24:49.720167	11417	57	2	9
2014-03-25 20:25:28.508437	11425	21.0	1	9
2014-03-25 20:25:28.730561	11426	57	2	9
2014-03-25 20:26:07.514253	11434	21.0	1	9
2014-03-25 20:26:07.736394	11435	57	2	9
2014-03-25 20:26:46.491778	11443	21.0	1	9
2014-03-25 20:26:46.714312	11444	57	2	9
2014-03-25 20:27:25.490324	11451	21.0	1	9
2014-03-25 20:27:25.720158	11452	57	2	9
2014-03-25 20:28:04.499972	11460	21.1	1	9
2014-03-25 20:28:04.721219	11461	57	2	9
2014-03-25 20:28:43.49108	11469	21.1	1	9
2014-03-25 20:28:43.719931	11470	57	2	9
2014-03-25 20:29:22.491994	11477	21.1	1	9
2014-03-25 20:29:22.733881	11478	57	2	9
2014-03-25 20:30:01.492185	11487	21.1	1	9
2014-03-25 20:30:01.72448	11488	57	2	9
2014-03-25 20:30:40.492151	11497	21.1	1	9
2014-03-25 20:30:40.723163	11498	57	2	9
2014-03-25 20:31:19.493164	11505	21.1	1	9
2014-03-25 20:31:19.725835	11506	57	2	9
2014-03-25 20:31:58.500005	11514	21.1	1	9
2014-03-25 20:31:58.723895	11515	57	2	9
2014-03-25 20:32:37.500118	11523	21.1	1	9
2014-03-25 20:32:37.72998	11524	57	2	9
2014-03-25 20:33:16.492792	11531	21.1	1	9
2014-03-25 20:33:16.723726	11532	57	2	9
2014-03-25 20:33:55.510424	11540	21.1	1	9
2014-03-25 20:33:55.742053	11541	57	2	9
2014-03-25 20:34:34.583142	11549	21.1	1	9
2014-03-25 20:34:34.840171	11550	57	2	9
2014-03-25 20:35:13.613058	11557	21.0	1	9
2014-03-25 20:35:13.878099	11558	57	2	9
2014-03-25 20:35:52.515003	11566	21.0	1	9
2014-03-25 20:35:52.735657	11567	57	2	9
2014-03-25 20:36:31.508171	11574	21.0	1	9
2014-03-25 20:36:31.729769	11575	57	2	9
2014-03-25 20:37:10.500049	11585	21.0	1	9
2014-03-25 20:37:10.722644	11586	57	2	9
2014-03-25 20:37:49.492583	11594	21.0	1	9
2014-03-25 20:37:49.715324	11595	57	2	9
2014-03-25 20:38:28.497967	11602	21.0	1	9
2014-03-25 20:38:28.729007	11603	57	2	9
2014-03-25 20:39:07.513386	11611	21.0	1	9
2014-03-25 20:39:07.735404	11612	57	2	9
2014-03-25 20:39:46.492655	11620	21.0	1	9
2014-03-25 20:39:46.723244	11621	57	2	9
2014-03-25 20:40:25.493622	11628	21.0	1	9
2014-03-25 20:40:25.72422	11629	57	2	9
2014-03-25 20:41:04.503473	11637	21.0	1	9
2014-03-25 20:41:04.72397	11638	57	2	9
2014-03-25 20:41:43.504002	11648	21.0	1	9
2014-03-25 20:41:43.734194	11649	57	2	9
2014-03-25 20:42:22.513484	11656	21.0	1	9
2014-03-25 20:42:22.735066	11657	57	2	9
2014-03-25 20:43:01.492951	11665	21.0	1	9
2014-03-25 20:43:01.725488	11666	57	2	9
2014-03-25 20:43:40.503477	11674	21.0	1	9
2014-03-25 20:43:40.725031	11675	57	2	9
2014-03-25 20:44:20.130014	11682	21.0	1	9
2014-03-25 20:44:20.543683	11683	57	2	9
2014-03-25 20:44:58.494846	11691	21.0	1	9
2014-03-25 20:44:58.725996	11692	57	2	9
2014-03-25 20:45:37.519513	11700	21.0	1	9
2014-03-25 20:45:37.740315	11701	57	2	9
2014-03-25 20:46:16.511511	11708	21.0	1	9
2014-03-25 20:46:16.733411	11709	57	2	9
2014-03-25 20:46:55.517684	11717	21.0	1	9
2014-03-25 20:46:55.747565	11718	57	2	9
2014-03-25 20:47:34.505125	11726	21.0	1	9
2014-03-25 20:47:34.728178	11727	57	2	9
2014-03-25 20:48:13.495648	11735	21.0	1	9
2014-03-25 20:48:13.719441	11736	57	2	9
2014-03-25 20:48:52.492376	11745	21.0	1	9
2014-03-25 20:48:52.910894	11746	57	2	9
2014-03-25 20:49:31.503076	11753	21.0	1	9
2014-03-25 20:49:31.723954	11754	57	2	9
2014-03-25 20:50:10.500053	11762	21.0	1	9
2014-03-25 20:50:10.730838	11763	57	2	9
2014-03-25 20:50:49.506673	11771	21.0	1	9
2014-03-25 20:50:49.729372	11772	57	2	9
2014-03-25 20:51:28.504815	11779	21.0	1	9
2014-03-25 20:51:28.726234	11780	57	2	9
2014-03-25 20:52:07.499984	11788	21.0	1	9
2014-03-25 20:52:07.7423	11789	57	2	9
2014-03-25 20:52:46.507508	11798	21.0	1	9
2014-03-25 20:52:46.727319	11799	57	2	9
2014-03-25 20:53:25.502225	11807	21.0	1	9
2014-03-25 20:53:25.735307	11808	57	2	9
2014-03-25 20:54:04.506767	11816	21.0	1	9
2014-03-25 20:54:04.729166	11817	57	2	9
2014-03-25 20:54:43.828156	11825	21.0	1	9
2014-03-25 20:54:44.060188	11826	57	2	9
2014-03-25 20:55:22.554866	11833	21.0	1	9
2014-03-25 20:55:22.797896	11834	57	2	9
2014-03-25 20:56:01.509101	11842	21.0	1	9
2014-03-25 20:56:01.732736	11843	57	2	9
2014-03-25 20:56:40.506066	11851	21.0	1	9
2014-03-25 20:56:40.726803	11852	57	2	9
2014-03-25 20:57:19.498699	11859	21.0	1	9
2014-03-25 20:57:19.728743	11860	57	2	9
2014-03-25 20:57:58.522421	11868	21.0	1	9
2014-03-25 20:57:58.741611	11869	57	2	9
2014-03-25 20:58:37.498897	11877	21.0	1	9
2014-03-25 20:58:37.742276	11878	57	2	9
2014-03-25 20:59:16.495429	11885	21.0	1	9
2014-03-25 20:59:16.727421	11886	57	2	9
2014-03-25 20:59:55.506934	11894	21.0	1	9
2014-03-25 20:59:55.728443	11895	57	2	9
2014-03-25 21:00:34.5106	11905	21.0	1	9
2014-03-25 21:00:34.732326	11906	56	2	9
2014-03-25 21:01:13.50914	11913	21.0	1	9
2014-03-25 21:01:13.729806	11914	56	2	9
2014-03-25 21:01:52.519776	11923	21.0	1	9
2014-03-25 21:01:52.740488	11924	56	2	9
2014-03-25 21:02:31.51817	11931	21.0	1	9
2014-03-25 21:02:31.738503	11932	56	2	9
2014-03-25 21:03:10.500998	11940	21.0	1	9
2014-03-25 21:03:10.721116	11941	56	2	9
2014-03-25 21:03:49.497668	11949	21.0	1	9
2014-03-25 21:03:49.730717	11950	56	2	9
2014-03-25 21:04:28.507729	11958	21.0	1	9
2014-03-25 21:04:28.72998	11959	56	2	9
2014-03-25 21:05:07.498158	11967	21.0	1	9
2014-03-25 21:05:07.739419	11968	56	2	9
2014-03-25 21:05:46.520556	11977	21.0	1	9
2014-03-25 21:05:46.748972	11978	56	2	9
2014-03-25 21:06:25.50167	11986	21.0	1	9
2014-03-25 21:06:25.722874	11987	56	2	9
2014-03-25 21:07:04.510445	11995	21.0	1	9
2014-03-25 21:07:04.731348	11996	56	2	9
2014-03-25 21:07:43.504773	12004	21.0	1	9
2014-03-25 21:07:43.735168	12005	56	2	9
2014-03-25 21:08:22.56197	12012	21.0	1	9
2014-03-25 21:08:22.804742	12013	56	2	9
2014-03-25 21:09:01.512241	12021	21.0	1	9
2014-03-25 21:09:01.734369	12022	56	2	9
2014-03-25 21:09:40.500022	12030	21.0	1	9
2014-03-25 21:09:40.731931	12031	56	2	9
2014-03-25 21:10:19.500786	12038	21.0	1	9
2014-03-25 21:10:19.734153	12039	56	2	9
2014-03-25 21:10:58.512303	12047	21.0	1	9
2014-03-25 21:10:58.732714	12048	56	2	9
2014-03-25 21:11:37.50291	12056	21.0	1	9
2014-03-25 21:11:37.744037	12057	56	2	9
2014-03-25 21:12:16.504432	12067	21.0	1	9
2014-03-25 21:12:16.725136	12068	56	2	9
2014-03-25 21:12:55.510437	12077	21.0	1	9
2014-03-25 21:12:55.73699	12078	56	2	9
2014-03-25 21:13:34.624418	12087	20.9	1	9
2014-03-25 21:13:34.849492	12088	57	2	9
2014-03-25 21:14:13.521971	12095	20.9	1	9
2014-03-25 21:14:13.744144	12096	57	2	9
2014-03-25 21:14:52.505791	12104	20.9	1	9
2014-03-25 21:14:52.738881	12105	57	2	9
2014-03-25 21:15:31.504816	12112	20.9	1	9
2014-03-25 21:15:31.737835	12113	57	2	9
2014-03-25 21:16:10.51282	12123	20.9	1	9
2014-03-25 21:16:10.734024	12124	57	2	9
2014-03-25 21:16:49.505979	12132	20.9	1	9
2014-03-25 21:16:49.726681	12133	57	2	9
2014-03-25 21:17:28.510215	12140	20.9	1	9
2014-03-25 21:17:28.75552	12141	57	2	9
2014-03-25 21:18:07.514009	12149	20.9	1	9
2014-03-25 21:18:07.736218	12150	57	2	9
2014-03-25 21:18:46.512444	12159	20.9	1	9
2014-03-25 21:18:46.734419	12160	57	2	9
2014-03-25 21:19:25.514082	12167	20.9	1	9
2014-03-25 21:19:25.735456	12168	57	2	9
2014-03-25 21:20:04.505254	12176	20.9	1	9
2014-03-25 21:20:04.737196	12177	57	2	9
2014-03-25 21:20:43.517904	12185	20.9	1	9
2014-03-25 21:20:43.742599	12186	57	2	9
2014-03-25 21:21:22.515701	12193	20.9	1	9
2014-03-25 21:21:22.785994	12194	57	2	9
2014-03-25 21:22:01.509759	12202	20.9	1	9
2014-03-25 21:22:01.741649	12203	57	2	9
2014-03-25 21:22:40.520715	12211	20.9	1	9
2014-03-25 21:22:40.742782	12212	57	2	9
2014-03-25 21:23:19.524383	12219	20.9	1	9
2014-03-25 21:23:19.747127	12220	57	2	9
2014-03-25 21:23:58.513468	12228	20.9	1	9
2014-03-25 21:23:58.745931	12229	57	2	9
2014-03-25 21:24:37.520359	12237	20.9	1	9
2014-03-25 21:24:37.741608	12238	57	2	9
2014-03-25 21:25:17.151216	12245	20.9	1	9
2014-03-25 21:25:17.580102	12246	57	2	9
2014-03-25 21:25:55.50776	12254	20.9	1	9
2014-03-25 21:25:55.741812	12255	57	2	9
2014-03-25 21:26:34.507136	12265	20.9	1	9
2014-03-25 21:26:34.741719	12266	57	2	9
2014-03-25 21:27:13.511271	12273	20.9	1	9
2014-03-25 21:27:13.743494	12274	57	2	9
2014-03-25 21:27:52.580453	12282	20.9	1	9
2014-03-25 21:27:52.80054	12283	57	2	9
2014-03-25 21:28:31.519286	12290	20.9	1	9
2014-03-25 21:28:31.74166	12291	57	2	9
2014-03-25 21:29:10.520065	12299	20.9	1	9
2014-03-25 21:29:10.752459	12300	57	2	9
2014-03-25 21:29:49.519013	12308	20.9	1	9
2014-03-25 21:29:49.742262	12309	57	2	9
2014-03-25 21:30:28.527495	12316	20.9	1	9
2014-03-25 21:30:28.748555	12317	57	2	9
2014-03-25 21:31:07.509269	12326	20.9	1	9
2014-03-25 21:31:07.74351	12327	57	2	9
2014-03-25 21:31:46.521697	12335	20.9	1	9
2014-03-25 21:31:46.745163	12336	57	2	9
2014-03-25 21:32:25.521782	12343	20.9	1	9
2014-03-25 21:32:25.744009	12344	57	2	9
2014-03-25 21:33:04.511818	12352	20.9	1	9
2014-03-25 21:33:04.745112	12353	57	2	9
2014-03-25 21:33:43.521058	12361	20.9	1	9
2014-03-25 21:33:43.74442	12362	56	2	9
2014-03-25 21:34:22.532556	12369	20.9	1	9
2014-03-25 21:34:22.755376	12370	56	2	9
2014-03-25 21:35:01.513658	12378	20.9	1	9
2014-03-25 21:35:01.735444	12379	56	2	9
2014-03-25 21:35:40.517962	12387	20.9	1	9
2014-03-25 21:35:40.748911	12388	56	2	9
2014-03-25 21:36:19.519613	12395	20.9	1	9
2014-03-25 21:36:19.743396	12396	56	2	9
2014-03-25 21:36:58.516922	12404	20.9	1	9
2014-03-25 21:36:58.751906	12405	56	2	9
2014-03-25 21:37:37.543639	12413	20.9	1	9
2014-03-25 21:37:37.767603	12414	56	2	9
2014-03-25 21:38:16.516521	12422	20.9	1	9
2014-03-25 21:38:16.737613	12423	56	2	9
2014-03-25 21:38:55.51295	12432	20.9	1	9
2014-03-25 21:38:55.73525	12433	56	2	9
2014-03-25 21:39:34.523704	12441	20.9	1	9
2014-03-25 21:39:34.745787	12442	56	2	9
2014-03-25 21:40:13.633381	12450	20.9	1	9
2014-03-25 21:40:13.856559	12451	56	2	9
2014-03-25 21:40:52.575819	12460	20.8	1	9
2014-03-25 21:40:52.798635	12461	56	2	9
2014-03-25 21:41:31.533525	12468	20.8	1	9
2014-03-25 21:41:31.756112	12469	56	2	9
2014-03-25 21:42:10.521957	12479	20.8	1	9
2014-03-25 21:42:10.745797	12480	56	2	9
2014-03-25 21:42:49.518547	12488	20.8	1	9
2014-03-25 21:42:49.751724	12489	56	2	9
2014-03-25 21:43:28.515624	12496	20.8	1	9
2014-03-25 21:43:28.755341	12497	56	2	9
2014-03-25 21:44:07.709989	12505	20.8	1	9
2014-03-25 21:44:07.932094	12506	56	2	9
2014-03-25 21:44:46.521428	12514	20.8	1	9
2014-03-25 21:44:46.745187	12515	56	2	9
2014-03-25 21:45:25.521987	12522	20.8	1	9
2014-03-25 21:45:25.743703	12523	56	2	9
2014-03-25 21:46:04.512367	12531	20.8	1	9
2014-03-25 21:46:04.74284	12532	56	2	9
2014-03-25 21:46:43.522614	12540	20.8	1	9
2014-03-25 21:46:43.744459	12541	56	2	9
2014-03-25 21:47:22.518548	12550	20.8	1	9
2014-03-25 21:47:22.753295	12551	56	2	9
2014-03-25 21:48:01.520761	12561	20.8	1	9
2014-03-25 21:48:01.744106	12562	56	2	9
2014-03-25 21:48:40.513721	12571	20.8	1	9
2014-03-25 21:48:40.746417	12572	56	2	9
2014-03-25 21:49:19.513862	12582	20.8	1	9
2014-03-25 21:49:19.737761	12583	56	2	9
2014-03-25 21:49:58.51947	12591	20.8	1	9
2014-03-25 21:49:58.76072	12592	56	2	9
2014-03-25 21:50:37.522247	12600	20.8	1	9
2014-03-25 21:50:37.74411	12601	56	2	9
2014-03-25 21:51:16.524094	12608	20.8	1	9
2014-03-25 21:51:16.74508	12609	56	2	9
2014-03-25 21:51:55.51483	12617	20.8	1	9
2014-03-25 21:51:55.734737	12618	56	2	9
2014-03-25 21:52:34.51454	12626	20.8	1	9
2014-03-25 21:52:34.747551	12627	56	2	9
2014-03-25 21:53:13.525983	12636	20.8	1	9
2014-03-25 21:53:13.747875	12637	56	2	9
2014-03-25 21:53:52.515202	12645	20.8	1	9
2014-03-25 21:53:52.746969	12646	56	2	9
2014-03-25 21:54:31.517746	12653	20.7	1	9
2014-03-25 21:54:31.75102	12654	56	2	9
2014-03-25 21:55:10.524542	12662	20.7	1	9
2014-03-25 21:55:10.746055	12663	56	2	9
2014-03-25 21:55:49.517097	12671	20.7	1	9
2014-03-25 21:55:49.747367	12672	56	2	9
2014-03-25 21:56:28.545413	12682	20.7	1	9
2014-03-25 21:56:28.766371	12683	56	2	9
2014-03-25 21:57:07.525982	12693	20.7	1	9
2014-03-25 21:57:07.748677	12694	56	2	9
2014-03-25 21:57:46.525541	12704	20.7	1	9
2014-03-25 21:57:46.748031	12705	56	2	9
2014-03-25 21:58:25.526938	12712	20.7	1	9
2014-03-25 21:58:25.751573	12713	56	2	9
2014-03-25 21:59:04.51796	12721	20.7	1	9
2014-03-25 21:59:04.749368	12722	56	2	9
2014-03-25 21:59:43.53046	12730	20.7	1	9
2014-03-25 21:59:43.751343	12731	56	2	9
2014-03-25 22:00:22.518774	12739	20.7	1	9
2014-03-25 22:00:22.740548	12740	56	2	9
2014-03-25 22:01:01.525043	12748	20.7	1	9
2014-03-25 22:01:01.747159	12749	56	2	9
2014-03-25 22:01:40.519817	12757	20.7	1	9
2014-03-25 22:01:40.750667	12758	56	2	9
2014-03-25 22:02:19.524747	12765	20.7	1	9
2014-03-25 22:02:19.758818	12766	56	2	9
2014-03-25 22:02:58.53429	12774	20.7	1	9
2014-03-25 22:02:58.756293	12775	56	2	9
2014-03-25 22:03:37.516082	12783	20.7	1	9
2014-03-25 22:03:37.751515	12784	56	2	9
2014-03-25 22:04:16.515336	12791	20.7	1	9
2014-03-25 22:04:16.746954	12792	56	2	9
2014-03-25 22:04:55.529251	12800	20.7	1	9
2014-03-25 22:04:55.753257	12801	56	2	9
2014-03-25 22:05:34.529363	12811	20.7	1	9
2014-03-25 22:05:34.751338	12812	56	2	9
2014-03-25 22:06:14.145654	12819	20.7	1	9
2014-03-25 22:06:14.569946	12820	56	2	9
2014-03-25 22:06:52.523282	12828	20.7	1	9
2014-03-25 22:06:52.753512	12829	56	2	9
2014-03-25 22:07:31.521392	12836	20.7	1	9
2014-03-25 22:07:31.752116	12837	56	2	9
2014-03-25 22:08:11.740853	12845	20.7	1	9
2014-03-25 22:08:12.332691	12846	56	2	9
2014-03-25 22:08:49.586143	12854	20.7	1	9
2014-03-25 22:08:49.836591	12855	56	2	9
2014-03-25 22:09:28.520369	12862	20.7	1	9
2014-03-25 22:09:28.75205	12863	56	2	9
2014-03-25 22:10:07.734182	12871	20.7	1	9
2014-03-25 22:10:07.957529	12872	56	2	9
2014-03-25 22:10:46.529776	12881	20.7	1	9
2014-03-25 22:10:46.751142	12882	56	2	9
2014-03-25 22:11:25.521782	12890	20.7	1	9
2014-03-25 22:11:25.752927	12891	56	2	9
2014-03-25 22:12:04.531099	12899	20.7	1	9
2014-03-25 22:12:04.753749	12900	56	2	9
2014-03-25 22:12:43.525524	12908	20.7	1	9
2014-03-25 22:12:43.756866	12909	56	2	9
2014-03-25 22:13:22.532623	12917	20.7	1	9
2014-03-25 22:13:22.754008	12918	56	2	9
2014-03-25 22:14:01.521286	12926	20.7	1	9
2014-03-25 22:14:01.753706	12927	56	2	9
2014-03-25 22:14:40.530083	12935	20.7	1	9
2014-03-25 22:14:40.753146	12936	56	2	9
2014-03-25 22:15:19.53015	12943	20.7	1	9
2014-03-25 22:15:19.753017	12944	56	2	9
2014-03-25 22:15:58.521646	12952	20.7	1	9
2014-03-25 22:15:58.762767	12953	56	2	9
2014-03-25 22:16:37.534531	12961	20.7	1	9
2014-03-25 22:16:37.756141	12962	56	2	9
2014-03-25 22:17:16.531564	12970	20.7	1	9
2014-03-25 22:17:16.753724	12971	56	2	9
2014-03-25 22:17:55.523815	12980	20.7	1	9
2014-03-25 22:17:55.757124	12981	56	2	9
2014-03-25 22:18:34.53459	12989	20.7	1	9
2014-03-25 22:18:34.756593	12990	56	2	9
2014-03-25 22:19:13.53276	12997	20.7	1	9
2014-03-25 22:19:13.75595	12998	56	2	9
2014-03-25 22:19:52.52526	13006	20.7	1	9
2014-03-25 22:19:52.751971	13007	56	2	9
2014-03-25 22:20:31.523203	13014	20.7	1	9
2014-03-25 22:20:31.764914	13015	56	2	9
2014-03-25 22:21:10.54073	13023	20.6	1	9
2014-03-25 22:21:10.763495	13024	56	2	9
2014-03-25 22:21:49.522875	13032	20.6	1	9
2014-03-25 22:21:49.754546	13033	56	2	9
2014-03-25 22:22:28.52511	13040	20.6	1	9
2014-03-25 22:22:28.758592	13041	56	2	9
2014-03-25 22:23:07.53617	13049	20.6	1	9
2014-03-25 22:23:07.759755	13050	56	2	9
2014-03-25 22:23:46.731842	13058	20.6	1	9
2014-03-25 22:23:46.953858	13059	56	2	9
2014-03-25 22:24:25.527866	13066	20.6	1	9
2014-03-25 22:24:25.759753	13067	56	2	9
2014-03-25 22:25:04.532943	13077	20.6	1	9
2014-03-25 22:25:04.757335	13078	56	2	9
2014-03-25 22:25:43.524013	13086	20.6	1	9
2014-03-25 22:25:43.745004	13087	56	2	9
2014-03-25 22:26:22.531406	13094	20.6	1	9
2014-03-25 22:26:22.762646	13095	56	2	9
2014-03-25 22:27:01.539634	13103	20.6	1	9
2014-03-25 22:27:01.762924	13104	56	2	9
2014-03-25 22:27:40.648533	13112	20.6	1	9
2014-03-25 22:27:40.880189	13113	56	2	9
2014-03-25 22:28:19.532757	13120	20.6	1	9
2014-03-25 22:28:19.764765	13121	56	2	9
2014-03-25 22:28:58.535903	13129	20.6	1	9
2014-03-25 22:28:58.757342	13130	56	2	9
2014-03-25 22:29:37.527145	13139	20.6	1	9
2014-03-25 22:29:37.758859	13140	56	2	9
2014-03-25 22:30:16.538283	13149	20.6	1	9
2014-03-25 22:30:16.762398	13150	56	2	9
2014-03-25 22:30:55.528244	13158	20.6	1	9
2014-03-25 22:30:55.754827	13159	56	2	9
2014-03-25 22:31:34.743413	13167	20.6	1	9
2014-03-25 22:31:34.967182	13168	56	2	9
2014-03-25 22:32:13.539014	13175	20.6	1	9
2014-03-25 22:32:13.76173	13176	55	2	9
2014-03-25 22:32:52.532547	13184	20.6	1	9
2014-03-25 22:32:52.764225	13185	55	2	9
2014-03-25 22:33:31.53479	13192	20.6	1	9
2014-03-25 22:33:31.766679	13193	55	2	9
2014-03-25 22:34:10.541537	13202	20.6	1	9
2014-03-25 22:34:10.763543	13203	55	2	9
2014-03-25 22:34:49.530437	13212	20.6	1	9
2014-03-25 22:34:49.764619	13213	55	2	9
2014-03-25 22:35:28.540265	13222	20.7	1	9
2014-03-25 22:35:28.765104	13223	55	2	9
2014-03-25 22:36:08.129132	13232	20.7	1	9
2014-03-25 22:36:08.570051	13233	55	2	9
2014-03-25 22:36:46.539255	13241	20.7	1	9
2014-03-25 22:36:46.76199	13242	55	2	9
2014-03-25 22:37:25.594035	13251	20.7	1	9
2014-03-25 22:37:25.816701	13252	55	2	9
2014-03-25 22:38:04.549658	13262	20.8	1	9
2014-03-25 22:38:04.772919	13263	55	2	9
2014-03-25 22:38:43.540454	13271	20.8	1	9
2014-03-25 22:38:43.762794	13272	55	2	9
2014-03-25 22:39:22.540315	13282	20.8	1	9
2014-03-25 22:39:22.76207	13283	55	2	9
2014-03-25 22:40:01.533138	13291	20.8	1	9
2014-03-25 22:40:01.765118	13292	55	2	9
2014-03-25 22:40:40.537098	13300	20.9	1	9
2014-03-25 22:40:40.760955	13301	55	2	9
2014-03-25 22:41:19.550749	13308	20.9	1	9
2014-03-25 22:41:19.774919	13309	55	2	9
2014-03-25 22:41:58.539892	13319	20.9	1	9
2014-03-25 22:41:58.760913	13320	55	2	9
2014-03-25 22:42:37.543749	13328	20.9	1	9
2014-03-25 22:42:37.776391	13329	55	2	9
2014-03-25 22:43:16.553259	13336	20.9	1	9
2014-03-25 22:43:16.784746	13337	55	2	9
2014-03-25 22:43:55.54217	13345	20.9	1	9
2014-03-25 22:43:55.765389	13346	55	2	9
2014-03-25 22:44:34.536901	13354	20.9	1	9
2014-03-25 22:44:34.770401	13355	55	2	9
2014-03-25 22:45:13.531617	13362	20.9	1	9
2014-03-25 22:45:13.763778	13363	55	2	9
2014-03-25 22:45:52.543133	13371	21.0	1	9
2014-03-25 22:45:52.766713	13372	54	2	9
2014-03-25 22:46:31.544756	13379	21.0	1	9
2014-03-25 22:46:31.768599	13380	54	2	9
2014-03-25 22:47:10.546646	13390	21.0	1	9
2014-03-25 22:47:10.771441	13391	54	2	9
2014-03-25 22:47:49.534344	13399	21.0	1	9
2014-03-25 22:47:49.765401	13400	54	2	9
2014-03-25 22:48:28.531787	13407	21.0	1	9
2014-03-25 22:48:28.765145	13408	54	2	9
2014-03-25 22:49:07.746765	13416	21.0	1	9
2014-03-25 22:49:07.968596	13417	54	2	9
2014-03-25 22:49:46.534921	13427	21.0	1	9
2014-03-25 22:49:46.767376	13428	54	2	9
2014-03-25 22:50:25.544591	13435	21.0	1	9
2014-03-25 22:50:25.833508	13436	54	2	9
2014-03-25 22:51:04.537464	13446	21.0	1	9
2014-03-25 22:51:04.769558	13447	54	2	9
2014-03-25 22:51:43.542844	13457	21.0	1	9
2014-03-25 22:51:43.77607	13458	54	2	9
2014-03-25 22:52:22.53412	13468	21.0	1	9
2014-03-25 22:52:22.76868	13469	54	2	9
2014-03-25 22:53:01.535077	13478	21.0	1	9
2014-03-25 22:53:01.760552	13479	54	2	9
2014-03-25 22:53:40.546147	13489	20.9	1	9
2014-03-25 22:53:40.777477	13490	55	2	9
2014-03-25 22:54:19.534462	13499	20.9	1	9
2014-03-25 22:54:19.76872	13500	55	2	9
2014-03-25 22:54:58.544131	13508	20.9	1	9
2014-03-25 22:54:58.766172	13509	55	2	9
2014-03-25 22:55:37.536323	13517	20.9	1	9
2014-03-25 22:55:37.767105	13518	55	2	9
2014-03-25 22:56:16.537929	13525	20.9	1	9
2014-03-25 22:56:16.770089	13526	55	2	9
2014-03-25 22:56:55.562761	13534	20.9	1	9
2014-03-25 22:56:55.786287	13535	55	2	9
2014-03-25 22:57:34.533108	13543	20.9	1	9
2014-03-25 22:57:34.766033	13544	55	2	9
2014-03-25 22:58:13.533116	13551	20.9	1	9
2014-03-25 22:58:13.764098	13552	55	2	9
2014-03-25 22:58:52.544981	13560	20.8	1	9
2014-03-25 22:58:52.766597	13561	55	2	9
2014-03-25 22:59:31.561834	13568	20.8	1	9
2014-03-25 22:59:31.78273	13569	55	2	9
2014-03-25 23:00:10.545869	13579	20.8	1	9
2014-03-25 23:00:10.767821	13580	55	2	9
2014-03-25 23:00:49.546965	13590	20.8	1	9
2014-03-25 23:00:49.76891	13591	55	2	9
2014-03-25 23:01:28.547625	13601	20.8	1	9
2014-03-25 23:01:28.771578	13602	55	2	9
2014-03-25 23:02:07.552485	13612	20.8	1	9
2014-03-25 23:02:07.776221	13613	55	2	9
2014-03-25 23:02:46.539444	13621	20.8	1	9
2014-03-25 23:02:46.765553	13622	55	2	9
2014-03-25 23:03:25.534136	13629	20.8	1	9
2014-03-25 23:03:25.766401	13630	55	2	9
2014-03-25 23:04:04.548927	13638	20.8	1	9
2014-03-25 23:04:04.772269	13639	55	2	9
2014-03-25 23:04:43.539241	13647	20.8	1	9
2014-03-25 23:04:43.769859	13648	55	2	9
2014-03-25 23:05:22.545897	13655	20.8	1	9
2014-03-25 23:05:22.780291	13656	55	2	9
2014-03-25 23:06:01.563816	13664	20.8	1	9
2014-03-25 23:06:01.787488	13665	55	2	9
2014-03-25 23:06:40.642481	13674	20.8	1	9
2014-03-25 23:06:40.877124	13675	55	2	9
2014-03-25 23:07:19.543251	13685	20.8	1	9
2014-03-25 23:07:19.775653	13686	55	2	9
2014-03-25 23:07:58.540825	13696	20.8	1	9
2014-03-25 23:07:58.766057	13697	55	2	9
2014-03-25 23:08:37.690739	13705	20.7	1	9
2014-03-25 23:08:37.914064	13706	55	2	9
2014-03-25 23:09:16.551575	13713	20.7	1	9
2014-03-25 23:09:16.774695	13714	55	2	9
2014-03-25 23:09:55.597874	13722	20.7	1	9
2014-03-25 23:09:55.820048	13723	55	2	9
2014-03-25 23:10:34.548956	13731	20.7	1	9
2014-03-25 23:10:34.771735	13732	55	2	9
2014-03-25 23:11:13.552674	13739	20.7	1	9
2014-03-25 23:11:13.774487	13740	55	2	9
2014-03-25 23:11:52.541702	13748	20.7	1	9
2014-03-25 23:11:52.778703	13749	55	2	9
2014-03-25 23:12:31.550597	13756	20.7	1	9
2014-03-25 23:12:31.783116	13757	55	2	9
2014-03-25 23:13:10.548615	13765	20.7	1	9
2014-03-25 23:13:10.774659	13766	55	2	9
2014-03-25 23:13:49.541007	13774	20.7	1	9
2014-03-25 23:13:49.765214	13775	55	2	9
2014-03-25 23:14:28.752575	13782	20.7	1	9
2014-03-25 23:14:28.9878	13783	55	2	9
2014-03-25 23:15:07.544578	13793	20.7	1	9
2014-03-25 23:15:07.766055	13794	55	2	9
2014-03-25 23:15:46.550993	13802	20.7	1	9
2014-03-25 23:15:46.773466	13803	55	2	9
2014-03-25 23:16:25.551369	13810	20.7	1	9
2014-03-25 23:16:25.775315	13811	55	2	9
2014-03-25 23:17:05.199983	13819	20.7	1	9
2014-03-25 23:17:05.670003	13820	55	2	9
2014-03-25 23:17:43.557463	13828	20.7	1	9
2014-03-25 23:17:43.78422	13829	55	2	9
2014-03-25 23:18:22.554691	13836	20.7	1	9
2014-03-25 23:18:22.779508	13837	55	2	9
2014-03-25 23:19:01.55727	13845	20.7	1	9
2014-03-25 23:19:01.791707	13846	55	2	9
2014-03-25 23:19:40.552905	13854	20.7	1	9
2014-03-25 23:19:40.776148	13855	55	2	9
2014-03-25 23:20:19.553743	13862	20.7	1	9
2014-03-25 23:20:19.776697	13863	55	2	9
2014-03-25 23:20:58.545387	13871	20.7	1	9
2014-03-25 23:20:58.770146	13872	55	2	9
2014-03-25 23:21:37.544874	13880	20.6	1	9
2014-03-25 23:21:37.778651	13881	55	2	9
2014-03-25 23:22:16.545858	13888	20.6	1	9
2014-03-25 23:22:16.791664	13889	55	2	9
2014-03-25 23:22:55.557792	13897	20.6	1	9
2014-03-25 23:22:55.836765	13898	55	2	9
2014-03-25 23:23:34.561019	13908	20.6	1	9
2014-03-25 23:23:34.78558	13909	55	2	9
2014-03-25 23:24:13.558619	13916	20.6	1	9
2014-03-25 23:24:13.783551	13917	55	2	9
2014-03-25 23:24:52.55286	13925	20.6	1	9
2014-03-25 23:24:52.775437	13926	55	2	9
2014-03-25 23:25:31.548921	13933	20.6	1	9
2014-03-25 23:25:31.793977	13934	55	2	9
2014-03-25 23:26:10.558507	13942	20.6	1	9
2014-03-25 23:26:10.782623	13943	55	2	9
2014-03-25 23:26:49.558913	13951	20.6	1	9
2014-03-25 23:26:49.783461	13952	55	2	9
2014-03-25 23:27:28.549157	13959	20.6	1	9
2014-03-25 23:27:28.784703	13960	55	2	9
2014-03-25 23:28:07.555232	13968	20.6	1	9
2014-03-25 23:28:07.778925	13969	55	2	9
2014-03-25 23:28:46.548316	13977	20.6	1	9
2014-03-25 23:28:46.770769	13978	55	2	9
2014-03-25 23:29:25.544983	13985	20.6	1	9
2014-03-25 23:29:25.769132	13986	55	2	9
2014-03-25 23:30:04.557737	13994	20.6	1	9
2014-03-25 23:30:04.782527	13995	55	2	9
2014-03-25 23:30:43.549693	14003	20.6	1	9
2014-03-25 23:30:43.7727	14004	55	2	9
2014-03-25 23:31:22.550834	14011	20.6	1	9
2014-03-25 23:31:22.783085	14012	55	2	9
2014-03-25 23:32:01.55456	14021	20.6	1	9
2014-03-25 23:32:01.776654	14022	55	2	9
2014-03-25 23:32:40.55628	14030	20.6	1	9
2014-03-25 23:32:40.779329	14031	55	2	9
2014-03-25 23:33:19.548717	14038	20.6	1	9
2014-03-25 23:33:19.778667	14039	55	2	9
2014-03-25 23:33:58.557455	14047	20.6	1	9
2014-03-25 23:33:58.781066	14048	55	2	9
2014-03-25 23:34:37.543394	14056	20.6	1	9
2014-03-25 23:34:37.776509	14057	55	2	9
2014-03-25 23:35:16.543621	14064	20.6	1	9
2014-03-25 23:35:16.776039	14065	55	2	9
2014-03-25 23:35:55.552913	14073	20.6	1	9
2014-03-25 23:35:55.783154	14074	55	2	9
2014-03-25 23:36:34.557645	14084	20.6	1	9
2014-03-25 23:36:34.779552	14085	55	2	9
2014-03-25 23:37:13.561744	14092	20.6	1	9
2014-03-25 23:37:13.783453	14093	55	2	9
2014-03-25 23:37:52.551243	14101	20.6	1	9
2014-03-25 23:37:52.773602	14102	55	2	9
2014-03-25 23:38:31.551018	14109	20.6	1	9
2014-03-25 23:38:31.772304	14110	55	2	9
2014-03-25 23:39:10.555754	14118	20.6	1	9
2014-03-25 23:39:10.775721	14119	55	2	9
2014-03-25 23:39:49.54552	14127	20.5	1	9
2014-03-25 23:39:49.780895	14128	55	2	9
2014-03-25 23:40:28.548565	14135	20.5	1	9
2014-03-25 23:40:28.781458	14136	55	2	9
2014-03-25 23:41:07.557045	14144	20.5	1	9
2014-03-25 23:41:07.779516	14145	55	2	9
2014-03-25 23:41:46.563294	14153	20.5	1	9
2014-03-25 23:41:46.785056	14154	55	2	9
2014-03-25 23:42:25.549596	14161	20.5	1	9
2014-03-25 23:42:25.783086	14162	55	2	9
2014-03-25 23:43:04.554322	14170	20.5	1	9
2014-03-25 23:43:04.776146	14171	55	2	9
2014-03-25 23:43:43.663963	14179	20.5	1	9
2014-03-25 23:43:43.886178	14180	55	2	9
2014-03-25 23:44:22.558945	14189	20.5	1	9
2014-03-25 23:44:22.780482	14190	55	2	9
2014-03-25 23:45:01.554263	14198	20.5	1	9
2014-03-25 23:45:01.783344	14199	55	2	9
2014-03-25 23:45:40.555218	14207	20.5	1	9
2014-03-25 23:45:40.778633	14208	55	2	9
2014-03-25 23:46:19.560058	14215	20.5	1	9
2014-03-25 23:46:19.782678	14216	55	2	9
2014-03-25 23:46:58.5608	14224	20.5	1	9
2014-03-25 23:46:58.782326	14225	55	2	9
2014-03-25 23:47:38.040011	14235	20.5	1	9
2014-03-25 23:47:38.460085	14236	55	2	9
2014-03-25 23:48:16.560052	14245	20.5	1	9
2014-03-25 23:48:16.783326	14246	55	2	9
2014-03-25 23:48:55.548256	14254	20.5	1	9
2014-03-25 23:48:55.780103	14255	55	2	9
2014-03-25 23:49:34.561668	14263	20.5	1	9
2014-03-25 23:49:34.784018	14264	55	2	9
2014-03-25 23:50:13.559998	14271	20.5	1	9
2014-03-25 23:50:13.782737	14272	55	2	9
2014-03-25 23:50:52.55823	14280	20.5	1	9
2014-03-25 23:50:52.793751	14281	55	2	9
2014-03-25 23:51:31.550071	14288	20.5	1	9
2014-03-25 23:51:31.784373	14289	55	2	9
2014-03-25 23:52:10.562697	14297	20.5	1	9
2014-03-25 23:52:10.78621	14298	55	2	9
2014-03-25 23:52:49.554061	14306	20.5	1	9
2014-03-25 23:52:49.776156	14307	55	2	9
2014-03-25 23:53:28.553009	14314	20.5	1	9
2014-03-25 23:53:28.774769	14315	55	2	9
2014-03-25 23:54:07.55257	14323	20.5	1	9
2014-03-25 23:54:07.785663	14324	55	2	9
2014-03-25 23:54:46.562172	14332	20.5	1	9
2014-03-25 23:54:46.785039	14333	55	2	9
2014-03-25 23:55:25.573942	14340	20.5	1	9
2014-03-25 23:55:25.79556	14341	55	2	9
2014-03-25 23:56:04.673593	14351	20.5	1	9
2014-03-25 23:56:04.895308	14352	55	2	9
2014-03-25 23:56:43.562913	14360	20.5	1	9
2014-03-25 23:56:43.786741	14361	55	2	9
2014-03-25 23:57:22.763505	14368	20.5	1	9
2014-03-25 23:57:22.996211	14369	55	2	9
2014-03-25 23:58:02.190027	14377	20.5	1	9
2014-03-25 23:58:02.612712	14378	55	2	9
2014-03-25 23:58:40.553536	14386	20.5	1	9
2014-03-25 23:58:40.775669	14387	55	2	9
2014-03-25 23:59:19.556809	14394	20.5	1	9
2014-03-25 23:59:19.780156	14395	55	2	9
2014-03-25 23:59:58.563662	14404	20.5	1	9
2014-03-25 23:59:58.786427	14405	55	2	9
2014-03-26 00:00:37.554853	14414	20.5	1	9
2014-03-26 00:00:37.78711	14415	55	2	9
2014-03-26 00:01:16.552398	14422	20.5	1	9
2014-03-26 00:01:16.78735	14423	55	2	9
2014-03-26 00:01:55.57776	14431	20.5	1	9
2014-03-26 00:01:55.801356	14432	55	2	9
2014-03-26 00:02:34.569905	14442	20.5	1	9
2014-03-26 00:02:34.792923	14443	55	2	9
2014-03-26 00:03:13.56752	14450	20.5	1	9
2014-03-26 00:03:13.788938	14451	55	2	9
2014-03-26 00:03:52.557341	14459	20.5	1	9
2014-03-26 00:03:52.779397	14460	55	2	9
2014-03-26 00:04:31.558198	14467	20.5	1	9
2014-03-26 00:04:31.791328	14468	55	2	9
2014-03-26 00:05:10.578951	14476	20.5	1	9
2014-03-26 00:05:10.8014	14477	55	2	9
2014-03-26 00:05:49.563473	14485	20.5	1	9
2014-03-26 00:05:49.785187	14486	55	2	9
2014-03-26 00:06:28.611482	14493	20.5	1	9
2014-03-26 00:06:28.842804	14494	55	2	9
2014-03-26 00:07:07.565587	14502	20.5	1	9
2014-03-26 00:07:07.788674	14503	55	2	9
2014-03-26 00:07:46.55732	14512	20.5	1	9
2014-03-26 00:07:46.791624	14513	55	2	9
2014-03-26 00:08:25.560035	14520	20.5	1	9
2014-03-26 00:08:25.803537	14521	55	2	9
2014-03-26 00:09:05.969156	14529	20.5	1	9
2014-03-26 00:09:06.19523	14530	55	2	9
2014-03-26 00:09:43.561629	14538	20.5	1	9
2014-03-26 00:09:43.793161	14539	55	2	9
2014-03-26 00:10:22.562521	14546	20.5	1	9
2014-03-26 00:10:22.794805	14547	55	2	9
2014-03-26 00:11:01.573563	14555	20.5	1	9
2014-03-26 00:11:01.796419	14556	55	2	9
2014-03-26 00:11:40.565068	14564	20.5	1	9
2014-03-26 00:11:40.78724	14565	55	2	9
2014-03-26 00:12:19.567567	14573	20.5	1	9
2014-03-26 00:12:19.792052	14574	55	2	9
2014-03-26 00:12:58.576668	14583	20.5	1	9
2014-03-26 00:12:58.799706	14584	55	2	9
2014-03-26 00:13:37.56889	14592	20.5	1	9
2014-03-26 00:13:37.792889	14593	55	2	9
2014-03-26 00:14:16.574406	14600	20.5	1	9
2014-03-26 00:14:16.797438	14601	55	2	9
2014-03-26 00:14:55.569067	14609	20.5	1	9
2014-03-26 00:14:55.813226	14610	55	2	9
2014-03-26 00:15:34.575357	14618	20.4	1	9
2014-03-26 00:15:34.798792	14619	55	2	9
2014-03-26 00:16:13.573496	14626	20.4	1	9
2014-03-26 00:16:13.795762	14627	55	2	9
2014-03-26 00:16:52.567359	14635	20.4	1	9
2014-03-26 00:16:52.800082	14636	55	2	9
2014-03-26 00:17:31.562117	14643	20.4	1	9
2014-03-26 00:17:31.799715	14644	55	2	9
2014-03-26 00:18:10.571708	14652	20.4	1	9
2014-03-26 00:18:10.797284	14653	55	2	9
2014-03-26 00:18:49.559896	14661	20.4	1	9
2014-03-26 00:18:49.782926	14662	55	2	9
2014-03-26 00:19:28.563282	14669	20.4	1	9
2014-03-26 00:19:28.851605	14670	55	2	9
2014-03-26 00:20:07.572591	14679	20.4	1	9
2014-03-26 00:20:07.795861	14680	55	2	9
2014-03-26 00:20:47.160395	14689	20.4	1	9
2014-03-26 00:20:47.440798	14690	55	2	9
2014-03-26 00:21:25.573957	14697	20.4	1	9
2014-03-26 00:21:25.796286	14698	55	2	9
2014-03-26 00:22:04.770924	14706	20.4	1	9
2014-03-26 00:22:04.99394	14707	55	2	9
2014-03-26 00:22:43.582657	14715	20.4	1	9
2014-03-26 00:22:43.805312	14716	55	2	9
2014-03-26 00:23:22.576572	14723	20.4	1	9
2014-03-26 00:23:22.803183	14724	55	2	9
2014-03-26 00:24:01.564591	14732	20.4	1	9
2014-03-26 00:24:01.788988	14733	55	2	9
2014-03-26 00:24:40.575044	14741	20.4	1	9
2014-03-26 00:24:40.797587	14742	55	2	9
2014-03-26 00:25:19.563527	14750	20.4	1	9
2014-03-26 00:25:19.795111	14751	55	2	9
2014-03-26 00:25:58.57311	14759	20.4	1	9
2014-03-26 00:25:58.795297	14760	55	2	9
2014-03-26 00:26:37.566815	14768	20.4	1	9
2014-03-26 00:26:37.789537	14769	55	2	9
2014-03-26 00:27:16.567252	14776	20.4	1	9
2014-03-26 00:27:16.808021	14777	55	2	9
2014-03-26 00:27:55.577655	14785	20.4	1	9
2014-03-26 00:27:55.799801	14786	55	2	9
2014-03-26 00:28:35.181958	14794	20.4	1	9
2014-03-26 00:28:35.610002	14795	55	2	9
2014-03-26 00:29:13.575657	14802	20.4	1	9
2014-03-26 00:29:13.798926	14803	55	2	9
2014-03-26 00:29:52.574035	14811	20.4	1	9
2014-03-26 00:29:52.804297	14812	55	2	9
2014-03-26 00:30:31.56455	14819	20.4	1	9
2014-03-26 00:30:31.795995	14820	55	2	9
2014-03-26 00:31:10.573991	14828	20.4	1	9
2014-03-26 00:31:10.795753	14829	55	2	9
2014-03-26 00:31:49.566864	14837	20.4	1	9
2014-03-26 00:31:49.798477	14838	55	2	9
2014-03-26 00:32:28.680366	14846	20.4	1	9
2014-03-26 00:32:28.901117	14847	55	2	9
2014-03-26 00:33:07.573745	14855	20.4	1	9
2014-03-26 00:33:07.795747	14856	55	2	9
2014-03-26 00:33:46.575436	14864	20.4	1	9
2014-03-26 00:33:46.800087	14865	55	2	9
2014-03-26 00:34:25.574241	14872	20.4	1	9
2014-03-26 00:34:25.79785	14873	55	2	9
2014-03-26 00:35:04.563364	14881	20.4	1	9
2014-03-26 00:35:04.795169	14882	55	2	9
2014-03-26 00:35:43.579486	14890	20.4	1	9
2014-03-26 00:35:43.801299	14891	55	2	9
2014-03-26 00:36:22.576249	14898	20.4	1	9
2014-03-26 00:36:22.797517	14899	55	2	9
2014-03-26 00:37:01.575969	14908	20.4	1	9
2014-03-26 00:37:01.802997	14909	55	2	9
2014-03-26 00:37:40.684751	14917	20.4	1	9
2014-03-26 00:37:40.907353	14918	55	2	9
2014-03-26 00:38:19.573961	14925	20.4	1	9
2014-03-26 00:38:19.806942	14926	55	2	9
2014-03-26 00:38:59.319982	14934	20.4	1	9
2014-03-26 00:38:59.750335	14935	55	2	9
2014-03-26 00:39:37.571031	14943	20.4	1	9
2014-03-26 00:39:37.803237	14944	55	2	9
2014-03-26 00:40:16.569824	14951	20.4	1	9
2014-03-26 00:40:16.802286	14952	55	2	9
2014-03-26 00:40:55.578008	14960	20.4	1	9
2014-03-26 00:40:55.799846	14961	55	2	9
2014-03-26 00:41:34.573598	14969	20.3	1	9
2014-03-26 00:41:34.795425	14970	55	2	9
2014-03-26 00:42:13.571061	14977	20.3	1	9
2014-03-26 00:42:13.802361	14978	55	2	9
2014-03-26 00:42:52.581553	14986	20.3	1	9
2014-03-26 00:42:52.803254	14987	55	2	9
2014-03-26 00:43:31.580912	14994	20.3	1	9
2014-03-26 00:43:31.802767	14995	55	2	9
2014-03-26 00:44:10.57042	15004	20.3	1	9
2014-03-26 00:44:10.793111	15005	55	2	9
2014-03-26 00:44:49.595981	15014	20.3	1	9
2014-03-26 00:44:49.81999	15015	55	2	9
2014-03-26 00:45:28.578617	15022	20.3	1	9
2014-03-26 00:45:28.801929	15023	55	2	9
2014-03-26 00:46:07.572114	15031	20.3	1	9
2014-03-26 00:46:07.804452	15032	55	2	9
2014-03-26 00:46:46.581861	15040	20.3	1	9
2014-03-26 00:46:46.80363	15041	55	2	9
2014-03-26 00:47:25.578473	15048	20.3	1	9
2014-03-26 00:47:25.803032	15049	55	2	9
2014-03-26 00:48:04.574281	15057	20.3	1	9
2014-03-26 00:48:04.817645	15058	55	2	9
2014-03-26 00:48:43.579244	15066	20.3	1	9
2014-03-26 00:48:43.800847	15067	55	2	9
2014-03-26 00:49:22.573046	15077	20.3	1	9
2014-03-26 00:49:22.80536	15078	55	2	9
2014-03-26 00:50:01.58411	15086	20.3	1	9
2014-03-26 00:50:01.806746	15087	55	2	9
2014-03-26 00:50:40.576291	15095	20.3	1	9
2014-03-26 00:50:40.809655	15096	55	2	9
2014-03-26 00:51:19.594479	15105	20.3	1	9
2014-03-26 00:51:19.818299	15106	55	2	9
2014-03-26 00:51:58.637823	15116	20.3	1	9
2014-03-26 00:51:58.86181	15117	55	2	9
2014-03-26 00:52:37.580943	15126	20.3	1	9
2014-03-26 00:52:37.815866	15127	55	2	9
2014-03-26 00:53:16.572536	15134	20.3	1	9
2014-03-26 00:53:16.803692	15135	55	2	9
2014-03-26 00:53:55.601721	15143	20.3	1	9
2014-03-26 00:53:55.832914	15144	55	2	9
2014-03-26 00:54:34.571724	15152	20.3	1	9
2014-03-26 00:54:34.793586	15153	55	2	9
2014-03-26 00:55:13.570785	15160	20.3	1	9
2014-03-26 00:55:13.794967	15161	55	2	9
2014-03-26 00:55:52.572281	15169	20.3	1	9
2014-03-26 00:55:52.808071	15170	55	2	9
2014-03-26 00:56:31.573334	15177	20.3	1	9
2014-03-26 00:56:31.806481	15178	55	2	9
2014-03-26 00:57:10.573777	15188	20.3	1	9
2014-03-26 00:57:10.7949	15189	55	2	9
2014-03-26 00:57:49.700352	15197	20.3	1	9
2014-03-26 00:57:49.921615	15198	55	2	9
2014-03-26 00:58:28.58398	15205	20.3	1	9
2014-03-26 00:58:28.80922	15206	55	2	9
2014-03-26 00:59:07.572946	15215	20.3	1	9
2014-03-26 00:59:07.804258	15216	55	2	9
2014-03-26 00:59:46.594768	15224	20.3	1	9
2014-03-26 00:59:46.816584	15225	55	2	9
2014-03-26 01:00:25.583145	15235	20.3	1	9
2014-03-26 01:00:25.804959	15236	55	2	9
2014-03-26 01:01:04.574047	15244	20.3	1	9
2014-03-26 01:01:04.796399	15245	55	2	9
2014-03-26 01:01:43.574107	15255	20.3	1	9
2014-03-26 01:01:43.80426	15256	55	2	9
2014-03-26 01:02:22.573663	15263	20.3	1	9
2014-03-26 01:02:22.806694	15264	55	2	9
2014-03-26 01:03:01.586046	15272	20.3	1	9
2014-03-26 01:03:01.811213	15273	55	2	9
2014-03-26 01:03:40.575021	15281	20.3	1	9
2014-03-26 01:03:40.807306	15282	55	2	9
2014-03-26 01:04:19.575811	15289	20.3	1	9
2014-03-26 01:04:19.80858	15290	55	2	9
2014-03-26 01:04:58.589778	15298	20.3	1	9
2014-03-26 01:04:58.858251	15299	55	2	9
2014-03-26 01:05:37.590339	15307	20.3	1	9
2014-03-26 01:05:37.81198	15308	55	2	9
2014-03-26 01:06:16.576106	15315	20.3	1	9
2014-03-26 01:06:16.808929	15316	55	2	9
2014-03-26 01:06:55.586154	15324	20.3	1	9
2014-03-26 01:06:55.811089	15325	55	2	9
2014-03-26 01:07:34.574134	15333	20.3	1	9
2014-03-26 01:07:34.795239	15334	55	2	9
2014-03-26 01:08:13.580108	15341	20.3	1	9
2014-03-26 01:08:13.811428	15342	55	2	9
2014-03-26 01:08:52.595653	15350	20.3	1	9
2014-03-26 01:08:52.818626	15351	55	2	9
2014-03-26 01:09:32.183346	15360	20.3	1	9
2014-03-26 01:09:32.629984	15361	55	2	9
2014-03-26 01:10:10.689766	15369	20.3	1	9
2014-03-26 01:10:10.911258	15370	55	2	9
2014-03-26 01:10:49.580003	15378	20.3	1	9
2014-03-26 01:10:49.812045	15379	55	2	9
2014-03-26 01:11:28.578094	15386	20.3	1	9
2014-03-26 01:11:28.812457	15387	55	2	9
2014-03-26 01:12:07.589838	15395	20.3	1	9
2014-03-26 01:12:07.81299	15396	55	2	9
2014-03-26 01:12:46.582459	15404	20.3	1	9
2014-03-26 01:12:46.813507	15405	55	2	9
2014-03-26 01:13:25.591227	15414	20.3	1	9
2014-03-26 01:13:25.814327	15415	55	2	9
2014-03-26 01:14:04.692217	15423	20.3	1	9
2014-03-26 01:14:04.91443	15424	55	2	9
2014-03-26 01:14:43.580114	15432	20.3	1	9
2014-03-26 01:14:43.813433	15433	55	2	9
2014-03-26 01:15:22.580977	15440	20.3	1	9
2014-03-26 01:15:22.812998	15441	55	2	9
2014-03-26 01:16:01.58921	15449	20.3	1	9
2014-03-26 01:16:01.813134	15450	55	2	9
2014-03-26 01:16:40.581599	15458	20.3	1	9
2014-03-26 01:16:40.814061	15459	55	2	9
2014-03-26 01:17:19.582019	15466	20.3	1	9
2014-03-26 01:17:19.8258	15467	55	2	9
2014-03-26 01:17:58.713439	15475	20.3	1	9
2014-03-26 01:17:59.096381	15476	55	2	9
2014-03-26 01:18:37.585377	15484	20.3	1	9
2014-03-26 01:18:37.817796	15485	55	2	9
2014-03-26 01:19:16.583627	15492	20.3	1	9
2014-03-26 01:19:16.817498	15493	55	2	9
2014-03-26 01:19:56.230093	15501	20.3	1	9
2014-03-26 01:19:56.650058	15502	55	2	9
2014-03-26 01:20:34.58388	15510	20.3	1	9
2014-03-26 01:20:34.826173	15511	55	2	9
2014-03-26 01:21:13.593033	15519	20.3	1	9
2014-03-26 01:21:13.814438	15520	55	2	9
2014-03-26 01:21:52.581417	15528	20.3	1	9
2014-03-26 01:21:52.804378	15529	55	2	9
2014-03-26 01:22:31.580733	15536	20.3	1	9
2014-03-26 01:22:31.816148	15537	55	2	9
2014-03-26 01:23:10.589619	15545	20.3	1	9
2014-03-26 01:23:10.814349	15546	55	2	9
2014-03-26 01:23:49.594057	15554	20.3	1	9
2014-03-26 01:23:49.815798	15555	55	2	9
2014-03-26 01:24:28.584536	15562	20.3	1	9
2014-03-26 01:24:28.806004	15563	55	2	9
2014-03-26 01:25:07.593485	15572	20.3	1	9
2014-03-26 01:25:07.816318	15573	55	2	9
2014-03-26 01:25:46.594492	15581	20.3	1	9
2014-03-26 01:25:46.817188	15582	55	2	9
2014-03-26 01:26:25.594162	15589	20.3	1	9
2014-03-26 01:26:25.817392	15590	55	2	9
2014-03-26 01:27:04.802235	15598	20.3	1	9
2014-03-26 01:27:05.033613	15599	55	2	9
2014-03-26 01:27:43.888872	15607	20.3	1	9
2014-03-26 01:27:44.109754	15608	55	2	9
2014-03-26 01:28:22.581876	15615	20.3	1	9
2014-03-26 01:28:22.814209	15616	55	2	9
2014-03-26 01:29:01.589455	15624	20.3	1	9
2014-03-26 01:29:01.811263	15625	55	2	9
2014-03-26 01:29:40.590541	15633	20.2	1	9
2014-03-26 01:29:40.821164	15634	55	2	9
2014-03-26 01:30:19.584335	15641	20.3	1	9
2014-03-26 01:30:19.816078	15642	55	2	9
2014-03-26 01:30:58.60433	15650	20.2	1	9
2014-03-26 01:30:58.825797	15651	55	2	9
2014-03-26 01:31:37.58861	15659	20.2	1	9
2014-03-26 01:31:37.810676	15660	55	2	9
2014-03-26 01:32:16.598214	15669	20.2	1	9
2014-03-26 01:32:16.819155	15670	55	2	9
2014-03-26 01:32:55.588424	15678	20.2	1	9
2014-03-26 01:32:55.82034	15679	55	2	9
2014-03-26 01:33:34.592208	15687	20.2	1	9
2014-03-26 01:33:34.816391	15688	55	2	9
2014-03-26 01:34:13.6033	15695	20.2	1	9
2014-03-26 01:34:13.825421	15696	55	2	9
2014-03-26 01:34:52.588644	15704	20.2	1	9
2014-03-26 01:34:52.81061	15705	55	2	9
2014-03-26 01:35:31.642886	15712	20.2	1	9
2014-03-26 01:35:31.874924	15713	55	2	9
2014-03-26 01:36:10.59754	15721	20.2	1	9
2014-03-26 01:36:10.820919	15722	55	2	9
2014-03-26 01:36:49.588179	15730	20.2	1	9
2014-03-26 01:36:49.820058	15731	55	2	9
2014-03-26 01:37:28.588185	15740	20.2	1	9
2014-03-26 01:37:28.817205	15741	55	2	9
2014-03-26 01:38:07.595953	15749	20.2	1	9
2014-03-26 01:38:07.816432	15750	55	2	9
2014-03-26 01:38:46.584779	15758	20.2	1	9
2014-03-26 01:38:46.808859	15759	55	2	9
2014-03-26 01:39:25.584968	15766	20.2	1	9
2014-03-26 01:39:25.816609	15767	55	2	9
2014-03-26 01:40:04.599417	15775	20.2	1	9
2014-03-26 01:40:04.820158	15776	55	2	9
2014-03-26 01:40:43.59091	15784	20.2	1	9
2014-03-26 01:40:43.82097	15785	55	2	9
2014-03-26 01:41:22.597256	15793	20.2	1	9
2014-03-26 01:41:22.816866	15794	55	2	9
2014-03-26 01:42:01.593648	15802	20.2	1	9
2014-03-26 01:42:01.814863	15803	55	2	9
2014-03-26 01:42:40.602998	15811	20.2	1	9
2014-03-26 01:42:40.825253	15812	55	2	9
2014-03-26 01:43:19.602391	15819	20.2	1	9
2014-03-26 01:43:19.825645	15820	55	2	9
2014-03-26 01:43:58.588693	15828	20.2	1	9
2014-03-26 01:43:58.822925	15829	55	2	9
2014-03-26 01:44:37.610098	15837	20.2	1	9
2014-03-26 01:44:37.833647	15838	55	2	9
2014-03-26 01:45:16.588913	15847	20.2	1	9
2014-03-26 01:45:16.821575	15848	55	2	9
2014-03-26 01:45:55.60001	15856	20.2	1	9
2014-03-26 01:45:55.821296	15857	55	2	9
2014-03-26 01:46:34.590802	15865	20.2	1	9
2014-03-26 01:46:34.813968	15866	55	2	9
2014-03-26 01:47:13.590613	15873	20.2	1	9
2014-03-26 01:47:13.822515	15874	55	2	9
2014-03-26 01:47:52.605616	15882	20.2	1	9
2014-03-26 01:47:52.828258	15883	55	2	9
2014-03-26 01:48:31.630069	15890	20.2	1	9
2014-03-26 01:48:31.88033	15891	55	2	9
2014-03-26 01:49:10.599709	15899	20.2	1	9
2014-03-26 01:49:10.823482	15900	55	2	9
2014-03-26 01:49:49.589614	15908	20.2	1	9
2014-03-26 01:49:49.822649	15909	55	2	9
2014-03-26 01:50:29.248833	15917	20.2	1	9
2014-03-26 01:50:29.659956	15918	55	2	9
2014-03-26 01:51:07.592564	15926	20.2	1	9
2014-03-26 01:51:07.814465	15927	55	2	9
2014-03-26 01:51:46.593268	15935	20.2	1	9
2014-03-26 01:51:46.827229	15936	55	2	9
2014-03-26 01:52:25.591429	15943	20.2	1	9
2014-03-26 01:52:25.822727	15944	55	2	9
2014-03-26 01:53:04.601973	15952	20.2	1	9
2014-03-26 01:53:04.825141	15953	55	2	9
2014-03-26 01:53:43.594164	15961	20.2	1	9
2014-03-26 01:53:43.835573	15962	55	2	9
2014-03-26 01:54:22.591165	15969	20.2	1	9
2014-03-26 01:54:22.82666	15970	55	2	9
2014-03-26 01:55:01.600031	15978	20.2	1	9
2014-03-26 01:55:01.823115	15979	55	2	9
2014-03-26 01:55:40.590442	15987	20.2	1	9
2014-03-26 01:55:40.810914	15988	55	2	9
2014-03-26 01:56:19.610601	15996	20.2	1	9
2014-03-26 01:56:19.833078	15997	55	2	9
2014-03-26 01:56:58.595257	16005	20.2	1	9
2014-03-26 01:56:58.837094	16006	55	2	9
2014-03-26 01:57:37.621753	16014	20.2	1	9
2014-03-26 01:57:37.847791	16015	55	2	9
2014-03-26 01:58:16.604489	16023	20.2	1	9
2014-03-26 01:58:16.826738	16024	55	2	9
2014-03-26 01:58:55.59592	16033	20.2	1	9
2014-03-26 01:58:55.828237	16034	55	2	9
2014-03-26 01:59:34.602421	16042	20.2	1	9
2014-03-26 01:59:34.824198	16043	55	2	9
2014-03-26 02:00:13.606122	16050	20.2	1	9
2014-03-26 02:00:13.830551	16051	55	2	9
2014-03-26 02:00:52.840805	16059	20.2	1	9
2014-03-26 02:00:53.07197	16060	55	2	9
2014-03-26 02:01:31.595332	16067	20.2	1	9
2014-03-26 02:01:31.828181	16068	55	2	9
2014-03-26 02:02:10.607694	16076	20.2	1	9
2014-03-26 02:02:10.829209	16077	55	2	9
2014-03-26 02:02:49.598959	16086	20.2	1	9
2014-03-26 02:02:49.844661	16087	55	2	9
2014-03-26 02:03:28.606062	16095	20.2	1	9
2014-03-26 02:03:28.830502	16096	55	2	9
2014-03-26 02:04:07.686227	16104	20.2	1	9
2014-03-26 02:04:07.909902	16105	55	2	9
2014-03-26 02:04:46.604603	16113	20.2	1	9
2014-03-26 02:04:46.827144	16114	55	2	9
2014-03-26 02:05:25.613698	16121	20.2	1	9
2014-03-26 02:05:25.838295	16122	55	2	9
2014-03-26 02:06:04.594305	16130	20.2	1	9
2014-03-26 02:06:04.819138	16131	55	2	9
2014-03-26 02:06:43.603776	16139	20.2	1	9
2014-03-26 02:06:43.827105	16140	55	2	9
2014-03-26 02:07:22.768241	16147	20.2	1	9
2014-03-26 02:07:23.516498	16148	55	2	9
2014-03-26 02:08:01.5997	16156	20.2	1	9
2014-03-26 02:08:01.831714	16157	55	2	9
2014-03-26 02:08:40.617549	16165	20.2	1	9
2014-03-26 02:08:40.842609	16166	55	2	9
2014-03-26 02:09:19.609219	16173	20.2	1	9
2014-03-26 02:09:19.832404	16174	55	2	9
2014-03-26 02:09:58.598265	16182	20.2	1	9
2014-03-26 02:09:58.82016	16183	55	2	9
2014-03-26 02:10:37.690965	16192	20.2	1	9
2014-03-26 02:10:37.913375	16193	55	2	9
2014-03-26 02:11:16.610041	16200	20.2	1	9
2014-03-26 02:11:16.834839	16201	55	2	9
2014-03-26 02:11:55.595558	16209	20.2	1	9
2014-03-26 02:11:55.827042	16210	55	2	9
2014-03-26 02:12:34.612245	16218	20.2	1	9
2014-03-26 02:12:34.836122	16219	55	2	9
2014-03-26 02:13:13.608947	16226	20.2	1	9
2014-03-26 02:13:13.831302	16227	55	2	9
2014-03-26 02:13:52.609169	16235	20.2	1	9
2014-03-26 02:13:52.83114	16236	55	2	9
2014-03-26 02:14:31.600343	16243	20.2	1	9
2014-03-26 02:14:31.832245	16244	55	2	9
2014-03-26 02:15:10.599618	16254	20.2	1	9
2014-03-26 02:15:10.832631	16255	55	2	9
2014-03-26 02:15:49.612465	16263	20.2	1	9
2014-03-26 02:15:49.834811	16264	55	2	9
2014-03-26 02:16:28.610114	16271	20.2	1	9
2014-03-26 02:16:28.835446	16272	55	2	9
2014-03-26 02:17:07.603157	16280	20.2	1	9
2014-03-26 02:17:07.835237	16281	55	2	9
2014-03-26 02:17:46.613129	16289	20.2	1	9
2014-03-26 02:17:46.837364	16290	55	2	9
2014-03-26 02:18:25.609884	16297	20.2	1	9
2014-03-26 02:18:25.834021	16298	55	2	9
2014-03-26 02:19:04.601558	16306	20.2	1	9
2014-03-26 02:19:04.824032	16307	55	2	9
2014-03-26 02:19:43.604197	16315	20.2	1	9
2014-03-26 02:19:43.83714	16316	55	2	9
2014-03-26 02:20:22.687962	16323	20.2	1	9
2014-03-26 02:20:22.931544	16324	55	2	9
2014-03-26 02:21:01.656209	16332	20.2	1	9
2014-03-26 02:21:01.886077	16333	55	2	9
2014-03-26 02:21:40.608018	16341	20.2	1	9
2014-03-26 02:21:40.830771	16342	55	2	9
2014-03-26 02:22:19.610486	16349	20.1	1	9
2014-03-26 02:22:19.833012	16350	55	2	9
2014-03-26 02:22:58.610764	16359	20.1	1	9
2014-03-26 02:22:58.841633	16360	55	2	9
2014-03-26 02:23:37.601868	16368	20.1	1	9
2014-03-26 02:23:37.848515	16369	55	2	9
2014-03-26 02:24:16.60191	16376	20.1	1	9
2014-03-26 02:24:16.833602	16377	55	2	9
2014-03-26 02:24:55.610177	16385	20.1	1	9
2014-03-26 02:24:55.832983	16386	55	2	9
2014-03-26 02:25:34.600685	16394	20.1	1	9
2014-03-26 02:25:34.831892	16395	55	2	9
2014-03-26 02:26:13.60261	16402	20.1	1	9
2014-03-26 02:26:13.834902	16403	55	2	9
2014-03-26 02:26:52.600659	16412	20.1	1	9
2014-03-26 02:26:52.84445	16413	55	2	9
2014-03-26 02:27:31.612958	16421	20.1	1	9
2014-03-26 02:27:31.835425	16422	55	2	9
2014-03-26 02:28:10.601797	16430	20.1	1	9
2014-03-26 02:28:10.835548	16431	55	2	9
2014-03-26 02:28:49.621549	16439	20.1	1	9
2014-03-26 02:28:49.843999	16440	55	2	9
2014-03-26 02:29:28.613434	16447	20.1	1	9
2014-03-26 02:29:28.835334	16448	55	2	9
2014-03-26 02:30:07.608627	16456	20.1	1	9
2014-03-26 02:30:07.850247	16457	55	2	9
2014-03-26 02:30:46.615608	16465	20.1	1	9
2014-03-26 02:30:46.837155	16466	55	2	9
2014-03-26 02:31:26.219271	16473	20.1	1	9
2014-03-26 02:31:26.639972	16474	55	2	9
2014-03-26 02:32:05.243073	16482	20.1	1	9
2014-03-26 02:32:05.515581	16483	55	2	9
2014-03-26 02:32:43.604713	16491	20.1	1	9
2014-03-26 02:32:43.839537	16492	55	2	9
2014-03-26 02:33:22.605035	16499	20.1	1	9
2014-03-26 02:33:22.837016	16500	55	2	9
2014-03-26 02:34:01.668936	16508	20.1	1	9
2014-03-26 02:34:01.892393	16509	55	2	9
2014-03-26 02:34:40.620841	16518	20.1	1	9
2014-03-26 02:34:40.841804	16519	55	2	9
2014-03-26 02:35:19.612838	16526	20.1	1	9
2014-03-26 02:35:19.834857	16527	55	2	9
2014-03-26 02:35:58.603085	16535	20.1	1	9
2014-03-26 02:35:58.835608	16536	55	2	9
2014-03-26 02:36:37.617563	16544	20.1	1	9
2014-03-26 02:36:37.840025	16545	55	2	9
2014-03-26 02:37:16.615745	16552	20.1	1	9
2014-03-26 02:37:16.840568	16553	55	2	9
2014-03-26 02:37:55.616906	16561	20.1	1	9
2014-03-26 02:37:55.842934	16562	55	2	9
2014-03-26 02:38:34.611693	16572	20.1	1	9
2014-03-26 02:38:34.834919	16573	55	2	9
2014-03-26 02:39:13.615894	16582	20.1	1	9
2014-03-26 02:39:13.83738	16583	55	2	9
2014-03-26 02:39:52.602809	16591	20.1	1	9
2014-03-26 02:39:52.833841	16592	55	2	9
2014-03-26 02:40:31.60474	16599	20.1	1	9
2014-03-26 02:40:31.837545	16600	55	2	9
2014-03-26 02:41:10.618438	16608	20.1	1	9
2014-03-26 02:41:10.840795	16609	55	2	9
2014-03-26 02:41:49.61092	16617	20.1	1	9
2014-03-26 02:41:49.841525	16618	55	2	9
2014-03-26 02:42:28.606164	16625	20.1	1	9
2014-03-26 02:42:28.838596	16626	55	2	9
2014-03-26 02:43:07.627427	16634	20.1	1	9
2014-03-26 02:43:07.851458	16635	55	2	9
2014-03-26 02:43:46.608318	16643	20.1	1	9
2014-03-26 02:43:46.8322	16644	55	2	9
2014-03-26 02:44:25.609281	16651	20.1	1	9
2014-03-26 02:44:25.830041	16652	55	2	9
2014-03-26 02:45:04.615799	16660	20.1	1	9
2014-03-26 02:45:04.838121	16661	55	2	9
2014-03-26 02:45:43.619378	16669	20.1	1	9
2014-03-26 02:45:43.841569	16670	55	2	9
2014-03-26 02:46:22.608139	16679	20.1	1	9
2014-03-26 02:46:22.850664	16680	55	2	9
2014-03-26 02:47:01.617025	16688	20.1	1	9
2014-03-26 02:47:01.839091	16689	55	2	9
2014-03-26 02:47:40.613723	16697	20.1	1	9
2014-03-26 02:47:40.846603	16698	55	2	9
2014-03-26 02:48:19.605392	16705	20.1	1	9
2014-03-26 02:48:19.839867	16706	55	2	9
2014-03-26 02:48:58.619398	16715	20.1	1	9
2014-03-26 02:48:58.842926	16716	55	2	9
2014-03-26 02:49:37.61273	16724	20.1	1	9
2014-03-26 02:49:37.836	16725	55	2	9
2014-03-26 02:50:16.610413	16732	20.1	1	9
2014-03-26 02:50:16.841448	16733	55	2	9
2014-03-26 02:50:55.618882	16741	20.1	1	9
2014-03-26 02:50:55.840472	16742	55	2	9
2014-03-26 02:51:34.620321	16752	20.1	1	9
2014-03-26 02:51:34.844006	16753	55	2	9
2014-03-26 02:52:13.62051	16760	20.1	1	9
2014-03-26 02:52:13.843327	16761	55	2	9
2014-03-26 02:52:52.63195	16770	20.1	1	9
2014-03-26 02:52:52.854103	16771	55	2	9
2014-03-26 02:53:31.620753	16781	20.1	1	9
2014-03-26 02:53:31.844	16782	55	2	9
2014-03-26 02:54:10.612134	16790	20.1	1	9
2014-03-26 02:54:10.845315	16791	55	2	9
2014-03-26 02:54:49.622372	16799	20.1	1	9
2014-03-26 02:54:49.843835	16800	55	2	9
2014-03-26 02:55:28.63388	16807	20.1	1	9
2014-03-26 02:55:28.855875	16808	55	2	9
2014-03-26 02:56:07.622289	16816	20.1	1	9
2014-03-26 02:56:07.846658	16817	55	2	9
2014-03-26 02:56:46.62213	16825	20.1	1	9
2014-03-26 02:56:46.846133	16826	55	2	9
2014-03-26 02:57:25.623336	16833	20.1	1	9
2014-03-26 02:57:25.844153	16834	55	2	9
2014-03-26 02:58:04.612678	16842	20.1	1	9
2014-03-26 02:58:04.844176	16843	55	2	9
2014-03-26 02:58:43.621467	16851	20.1	1	9
2014-03-26 02:58:43.844098	16852	55	2	9
2014-03-26 02:59:22.611334	16860	20.1	1	9
2014-03-26 02:59:22.863312	16861	55	2	9
2014-03-26 03:00:01.618659	16869	20.1	1	9
2014-03-26 03:00:01.841007	16870	55	2	9
2014-03-26 03:00:40.612506	16878	20.1	1	9
2014-03-26 03:00:40.846056	16879	55	2	9
2014-03-26 03:01:19.809439	16886	20.1	1	9
2014-03-26 03:01:20.040943	16887	55	2	9
2014-03-26 03:01:58.624569	16895	20.1	1	9
2014-03-26 03:01:58.846526	16896	55	2	9
2014-03-26 03:02:37.623918	16904	20.1	1	9
2014-03-26 03:02:37.85533	16905	55	2	9
2014-03-26 03:03:16.613913	16912	20.1	1	9
2014-03-26 03:03:16.846155	16913	55	2	9
2014-03-26 03:03:55.624352	16922	20.1	1	9
2014-03-26 03:03:55.84681	16923	55	2	9
2014-03-26 03:04:34.66773	16934	20.1	1	9
2014-03-26 03:04:34.900853	16935	55	2	9
2014-03-26 03:05:13.611972	16945	20.1	1	9
2014-03-26 03:05:13.836014	16946	55	2	9
2014-03-26 03:05:52.624321	16955	20.1	1	9
2014-03-26 03:05:52.846173	16956	55	2	9
2014-03-26 03:06:31.625056	16966	20.1	1	9
2014-03-26 03:06:31.847013	16967	55	2	9
2014-03-26 03:07:10.615626	16975	20.1	1	9
2014-03-26 03:07:10.847741	16976	55	2	9
2014-03-26 03:07:49.625299	16984	20.1	1	9
2014-03-26 03:07:49.85769	16985	55	2	9
2014-03-26 03:08:28.638433	16992	20.1	1	9
2014-03-26 03:08:28.860632	16993	55	2	9
2014-03-26 03:09:07.623269	17001	20.1	1	9
2014-03-26 03:09:07.854828	17002	55	2	9
2014-03-26 03:09:46.804757	17010	20.1	1	9
2014-03-26 03:09:47.026852	17011	55	2	9
2014-03-26 03:10:26.157171	17021	20.1	1	9
2014-03-26 03:10:26.387801	17022	55	2	9
2014-03-26 03:11:05.155444	17032	20.1	1	9
2014-03-26 03:11:05.387404	17033	55	2	9
2014-03-26 03:11:44.156189	17043	20.1	1	9
2014-03-26 03:11:44.377146	17044	55	2	9
2014-03-26 03:12:23.21999	17051	20.1	1	9
2014-03-26 03:12:23.654503	17052	55	2	9
2014-03-26 03:13:02.157106	17062	20.1	1	9
2014-03-26 03:13:02.390815	17063	55	2	9
2014-03-26 03:13:40.63596	17071	20.1	1	9
2014-03-26 03:13:40.859816	17072	55	2	9
2014-03-26 03:14:19.633015	17079	20.1	1	9
2014-03-26 03:14:19.854938	17080	55	2	9
2014-03-26 03:14:59.154691	17090	20.1	1	9
2014-03-26 03:14:59.379872	17091	55	2	9
2014-03-26 03:15:37.625518	17101	20.0	1	9
2014-03-26 03:15:37.851829	17102	55	2	9
2014-03-26 03:16:16.615155	17110	20.0	1	9
2014-03-26 03:16:16.845802	17111	55	2	9
2014-03-26 03:16:56.163999	17121	20.0	1	9
2014-03-26 03:16:56.396736	17122	55	2	9
2014-03-26 03:17:34.680011	17130	20.0	1	9
2014-03-26 03:17:34.906866	17131	55	2	9
2014-03-26 03:18:14.152851	17140	20.0	1	9
2014-03-26 03:18:14.385811	17141	55	2	9
2014-03-26 03:18:53.150478	17151	20.0	1	9
2014-03-26 03:18:53.371162	17152	55	2	9
2014-03-26 03:19:31.620074	17159	20.0	1	9
2014-03-26 03:19:31.851775	17160	55	2	9
2014-03-26 03:20:10.627434	17168	20.0	1	9
2014-03-26 03:20:10.849007	17169	55	2	9
2014-03-26 03:20:49.616476	17177	20.0	1	9
2014-03-26 03:20:49.848279	17178	55	2	9
2014-03-26 03:21:28.625512	17186	20.0	1	9
2014-03-26 03:21:28.847956	17187	55	2	9
2014-03-26 03:22:07.620672	17196	20.0	1	9
2014-03-26 03:22:07.852296	17197	55	2	9
2014-03-26 03:22:46.629711	17206	20.0	1	9
2014-03-26 03:22:46.853096	17207	55	2	9
2014-03-26 03:23:26.168325	17217	20.0	1	9
2014-03-26 03:23:26.391098	17218	55	2	9
2014-03-26 03:24:04.617646	17226	20.0	1	9
2014-03-26 03:24:04.84907	17227	55	2	9
2014-03-26 03:24:43.629595	17235	20.0	1	9
2014-03-26 03:24:43.851497	17236	55	2	9
2014-03-26 03:25:22.632381	17243	20.0	1	9
2014-03-26 03:25:22.854485	17244	55	2	9
2014-03-26 03:26:01.618881	17252	20.0	1	9
2014-03-26 03:26:01.843083	17253	55	2	9
2014-03-26 03:26:40.641634	17261	20.0	1	9
2014-03-26 03:26:40.864912	17262	55	2	9
2014-03-26 03:27:19.631113	17269	20.0	1	9
2014-03-26 03:27:19.852349	17270	55	2	9
2014-03-26 03:27:58.620242	17279	20.0	1	9
2014-03-26 03:27:58.852117	17280	55	2	9
2014-03-26 03:28:37.631133	17288	20.0	1	9
2014-03-26 03:28:37.854549	17289	55	2	9
2014-03-26 03:29:16.634483	17296	20.0	1	9
2014-03-26 03:29:16.855789	17297	55	2	9
2014-03-26 03:29:55.62069	17305	20.0	1	9
2014-03-26 03:29:55.864709	17306	55	2	9
2014-03-26 03:30:34.631585	17314	20.0	1	9
2014-03-26 03:30:34.854431	17315	55	2	9
2014-03-26 03:31:13.631168	17322	20.0	1	9
2014-03-26 03:31:13.855353	17323	55	2	9
2014-03-26 03:31:52.62226	17331	20.0	1	9
2014-03-26 03:31:52.86504	17332	55	2	9
2014-03-26 03:32:31.621839	17342	20.0	1	9
2014-03-26 03:32:31.844515	17343	55	2	9
2014-03-26 03:33:10.644329	17351	20.0	1	9
2014-03-26 03:33:10.866315	17352	55	2	9
2014-03-26 03:33:49.627762	17360	20.0	1	9
2014-03-26 03:33:49.848794	17361	55	2	9
2014-03-26 03:34:28.63659	17368	20.0	1	9
2014-03-26 03:34:28.869325	17369	55	2	9
2014-03-26 03:35:07.636125	17378	20.0	1	9
2014-03-26 03:35:07.860078	17379	55	2	9
2014-03-26 03:35:46.660668	17388	20.0	1	9
2014-03-26 03:35:46.89456	17389	55	2	9
2014-03-26 03:36:25.639969	17398	20.0	1	9
2014-03-26 03:36:25.864122	17399	55	2	9
2014-03-26 03:37:04.621554	17407	20.0	1	9
2014-03-26 03:37:04.853799	17408	55	2	9
2014-03-26 03:37:43.648089	17416	20.0	1	9
2014-03-26 03:37:43.87014	17417	55	2	9
2014-03-26 03:38:22.638865	17424	20.0	1	9
2014-03-26 03:38:22.860548	17425	55	2	9
2014-03-26 03:39:01.625455	17433	20.0	1	9
2014-03-26 03:39:01.855691	17434	55	2	9
2014-03-26 03:39:40.646445	17443	20.0	1	9
2014-03-26 03:39:40.868271	17444	55	2	9
2014-03-26 03:40:19.634335	17451	20.0	1	9
2014-03-26 03:40:19.856232	17452	55	2	9
2014-03-26 03:40:58.62525	17460	20.0	1	9
2014-03-26 03:40:58.856919	17461	55	2	9
2014-03-26 03:41:37.636296	17469	20.0	1	9
2014-03-26 03:41:37.858221	17470	55	2	9
2014-03-26 03:42:16.635495	17477	20.0	1	9
2014-03-26 03:42:16.859047	17478	55	2	9
2014-03-26 03:42:55.860454	17486	20.0	1	9
2014-03-26 03:42:56.289922	17487	55	2	9
2014-03-26 03:43:34.643432	17495	20.0	1	9
2014-03-26 03:43:34.866093	17496	55	2	9
2014-03-26 03:44:13.641363	17503	20.0	1	9
2014-03-26 03:44:13.883615	17504	55	2	9
2014-03-26 03:44:52.630697	17512	20.0	1	9
2014-03-26 03:44:52.853396	17513	55	2	9
2014-03-26 03:45:31.810235	17520	20.0	1	9
2014-03-26 03:45:32.043984	17521	55	2	9
2014-03-26 03:46:10.639142	17529	20.0	1	9
2014-03-26 03:46:10.862862	17530	55	2	9
2014-03-26 03:46:49.645856	17539	20.0	1	9
2014-03-26 03:46:49.869213	17540	55	2	9
2014-03-26 03:47:28.638849	17547	20.0	1	9
2014-03-26 03:47:28.864139	17548	55	2	9
2014-03-26 03:48:07.629584	17556	20.0	1	9
2014-03-26 03:48:07.853983	17557	55	2	9
2014-03-26 03:48:46.640687	17565	20.0	1	9
2014-03-26 03:48:46.863537	17566	55	2	9
2014-03-26 03:49:25.640062	17573	20.0	1	9
2014-03-26 03:49:25.863508	17574	55	2	9
2014-03-26 03:50:04.629767	17582	20.0	1	9
2014-03-26 03:50:04.852996	17583	55	2	9
2014-03-26 03:50:43.639508	17591	20.0	1	9
2014-03-26 03:50:43.863076	17592	55	2	9
2014-03-26 03:51:22.641147	17601	20.0	1	9
2014-03-26 03:51:22.864092	17602	55	2	9
2014-03-26 03:52:01.633104	17611	20.0	1	9
2014-03-26 03:52:01.866121	17612	55	2	9
2014-03-26 03:52:40.670541	17620	20.0	1	9
2014-03-26 03:52:40.896896	17621	55	2	9
2014-03-26 03:53:20.260028	17628	20.0	1	9
2014-03-26 03:53:20.679995	17629	55	2	9
2014-03-26 03:53:58.639613	17637	20.0	1	9
2014-03-26 03:53:58.862965	17638	55	2	9
2014-03-26 03:54:37.633943	17646	20.0	1	9
2014-03-26 03:54:37.86489	17647	55	2	9
2014-03-26 03:55:16.636705	17654	20.0	1	9
2014-03-26 03:55:16.870107	17655	55	2	9
2014-03-26 03:55:55.650925	17663	20.0	1	9
2014-03-26 03:55:55.876457	17664	55	2	9
2014-03-26 03:56:34.630898	17672	20.0	1	9
2014-03-26 03:56:34.864663	17673	55	2	9
2014-03-26 03:57:13.63158	17680	20.0	1	9
2014-03-26 03:57:13.864424	17681	55	2	9
2014-03-26 03:57:52.641299	17689	20.0	1	9
2014-03-26 03:57:52.866088	17690	55	2	9
2014-03-26 03:58:31.64207	17697	20.0	1	9
2014-03-26 03:58:31.865388	17698	55	2	9
2014-03-26 03:59:10.64224	17708	20.0	1	9
2014-03-26 03:59:10.864763	17709	55	2	9
2014-03-26 03:59:49.632529	17717	20.0	1	9
2014-03-26 03:59:49.854667	17718	55	2	9
2014-03-26 04:00:28.633889	17725	20.0	1	9
2014-03-26 04:00:28.865328	17726	55	2	9
2014-03-26 04:01:07.645396	17734	20.0	1	9
2014-03-26 04:01:07.86923	17735	55	2	9
2014-03-26 04:01:46.634968	17743	20.0	1	9
2014-03-26 04:01:46.867462	17744	55	2	9
2014-03-26 04:02:25.636428	17751	20.0	1	9
2014-03-26 04:02:25.87098	17752	55	2	9
2014-03-26 04:03:04.699825	17760	20.0	1	9
2014-03-26 04:03:04.921679	17761	55	2	9
2014-03-26 04:03:43.634602	17769	20.0	1	9
2014-03-26 04:03:43.867769	17770	55	2	9
2014-03-26 04:04:22.644361	17779	20.0	1	9
2014-03-26 04:04:22.868626	17780	55	2	9
2014-03-26 04:05:01.645528	17788	20.0	1	9
2014-03-26 04:05:01.870725	17789	55	2	9
2014-03-26 04:05:40.651976	17797	20.0	1	9
2014-03-26 04:05:40.876671	17798	55	2	9
2014-03-26 04:06:19.642638	17806	20.0	1	9
2014-03-26 04:06:19.877481	17807	55	2	9
2014-03-26 04:06:58.649474	17816	20.0	1	9
2014-03-26 04:06:58.875231	17817	55	2	9
2014-03-26 04:07:37.687374	17827	20.0	1	9
2014-03-26 04:07:37.911187	17828	55	2	9
2014-03-26 04:08:16.650502	17835	20.0	1	9
2014-03-26 04:08:16.874293	17836	55	2	9
2014-03-26 04:08:55.684206	17844	20.0	1	9
2014-03-26 04:08:55.909397	17845	55	2	9
2014-03-26 04:09:34.683418	17853	20.0	1	9
2014-03-26 04:09:34.917835	17854	55	2	9
2014-03-26 04:10:13.682079	17864	20.0	1	9
2014-03-26 04:10:13.904633	17865	55	2	9
2014-03-26 04:10:52.688782	17873	20.0	1	9
2014-03-26 04:10:52.913165	17874	55	2	9
2014-03-26 04:11:31.648273	17881	20.0	1	9
2014-03-26 04:11:31.870997	17882	55	2	9
2014-03-26 04:12:10.689678	17891	20.0	1	9
2014-03-26 04:12:10.934385	17892	55	2	9
2014-03-26 04:12:49.68671	17900	20.0	1	9
2014-03-26 04:12:49.907965	17901	55	2	9
2014-03-26 04:13:28.690419	17908	20.0	1	9
2014-03-26 04:13:28.911309	17909	55	2	9
2014-03-26 04:14:07.685121	17917	20.0	1	9
2014-03-26 04:14:07.915676	17918	55	2	9
2014-03-26 04:14:46.684845	17926	19.9	1	9
2014-03-26 04:14:46.907589	17927	55	2	9
2014-03-26 04:15:25.689503	17934	19.9	1	9
2014-03-26 04:15:25.91101	17935	55	2	9
2014-03-26 04:16:04.743889	17943	19.9	1	9
2014-03-26 04:16:04.976639	17944	55	2	9
2014-03-26 04:16:43.688812	17954	19.9	1	9
2014-03-26 04:16:43.922403	17955	55	2	9
2014-03-26 04:17:22.685634	17962	19.9	1	9
2014-03-26 04:17:22.917118	17963	55	2	9
2014-03-26 04:18:01.684391	17971	19.9	1	9
2014-03-26 04:18:01.90576	17972	55	2	9
2014-03-26 04:18:40.686606	17980	19.9	1	9
2014-03-26 04:18:40.908957	17981	55	2	9
2014-03-26 04:19:19.686804	17988	19.9	1	9
2014-03-26 04:19:19.916535	17989	55	2	9
2014-03-26 04:19:58.682349	17997	19.9	1	9
2014-03-26 04:19:58.907035	17998	55	2	9
2014-03-26 04:20:37.68718	18006	19.9	1	9
2014-03-26 04:20:37.917481	18007	55	2	9
2014-03-26 04:21:16.683277	18014	19.9	1	9
2014-03-26 04:21:16.905551	18015	55	2	9
2014-03-26 04:21:56.961762	18023	19.9	1	9
2014-03-26 04:21:57.195534	18024	55	2	9
2014-03-26 04:22:34.68711	18032	19.9	1	9
2014-03-26 04:22:34.909006	18033	55	2	9
2014-03-26 04:23:13.687732	18040	19.9	1	9
2014-03-26 04:23:13.91008	18041	55	2	9
2014-03-26 04:23:53.260007	18050	19.9	1	9
2014-03-26 04:23:53.674508	18051	55	2	9
2014-03-26 04:24:31.690364	18058	19.9	1	9
2014-03-26 04:24:31.912943	18059	55	2	9
2014-03-26 04:25:10.688645	18067	19.9	1	9
2014-03-26 04:25:10.92327	18068	55	2	9
2014-03-26 04:25:49.684119	18076	19.9	1	9
2014-03-26 04:25:49.907858	18077	55	2	9
2014-03-26 04:26:28.687535	18084	19.9	1	9
2014-03-26 04:26:28.90953	18085	55	2	9
2014-03-26 04:27:07.68712	18093	19.9	1	9
2014-03-26 04:27:07.918078	18094	55	2	9
2014-03-26 04:27:46.685178	18102	19.9	1	9
2014-03-26 04:27:46.908249	18103	55	2	9
2014-03-26 04:28:25.682484	18110	19.9	1	9
2014-03-26 04:28:25.905056	18111	55	2	9
2014-03-26 04:29:04.684425	18120	19.9	1	9
2014-03-26 04:29:04.906895	18121	55	2	9
2014-03-26 04:29:43.689335	18129	19.9	1	9
2014-03-26 04:29:43.911436	18130	55	2	9
2014-03-26 04:30:22.683984	18137	19.9	1	9
2014-03-26 04:30:22.907376	18138	55	2	9
2014-03-26 04:31:02.963132	18146	19.9	1	9
2014-03-26 04:31:03.186148	18147	55	2	9
2014-03-26 04:31:40.685509	18155	19.9	1	9
2014-03-26 04:31:40.910761	18156	55	2	9
2014-03-26 04:32:19.684615	18163	19.9	1	9
2014-03-26 04:32:19.935806	18164	55	2	9
2014-03-26 04:32:58.72065	18172	19.9	1	9
2014-03-26 04:32:59.148007	18173	55	2	9
2014-03-26 04:33:37.696827	18181	19.9	1	9
2014-03-26 04:33:37.927055	18182	55	2	9
2014-03-26 04:34:17.259934	18190	19.9	1	9
2014-03-26 04:34:17.699831	18191	55	2	9
2014-03-26 04:34:55.685835	18200	19.9	1	9
2014-03-26 04:34:55.917996	18201	55	2	9
2014-03-26 04:35:34.689304	18209	19.9	1	9
2014-03-26 04:35:34.911925	18210	55	2	9
2014-03-26 04:36:13.684889	18220	19.9	1	9
2014-03-26 04:36:13.908285	18221	55	2	9
2014-03-26 04:36:52.685573	18229	19.9	1	9
2014-03-26 04:36:52.920491	18230	55	2	9
2014-03-26 04:37:31.687634	18237	19.9	1	9
2014-03-26 04:37:31.923581	18238	55	2	9
2014-03-26 04:38:10.692002	18246	19.9	1	9
2014-03-26 04:38:10.91482	18247	55	2	9
2014-03-26 04:38:49.68736	18255	19.9	1	9
2014-03-26 04:38:49.928117	18256	55	2	9
2014-03-26 04:39:28.685888	18263	19.9	1	9
2014-03-26 04:39:28.915512	18264	55	2	9
2014-03-26 04:40:07.683987	18272	19.9	1	9
2014-03-26 04:40:07.90618	18273	55	2	9
2014-03-26 04:40:46.687745	18281	19.9	1	9
2014-03-26 04:40:46.91025	18282	55	2	9
2014-03-26 04:41:25.686418	18291	19.9	1	9
2014-03-26 04:41:25.91426	18292	55	2	9
2014-03-26 04:42:04.685347	18300	19.9	1	9
2014-03-26 04:42:04.909324	18301	55	2	9
2014-03-26 04:42:43.684088	18309	19.9	1	9
2014-03-26 04:42:43.916744	18310	55	2	9
2014-03-26 04:43:22.686583	18317	19.9	1	9
2014-03-26 04:43:22.918535	18318	55	2	9
2014-03-26 04:44:01.684089	18326	19.9	1	9
2014-03-26 04:44:01.907159	18327	55	2	9
2014-03-26 04:44:40.685839	18335	19.9	1	9
2014-03-26 04:44:40.908249	18336	55	2	9
2014-03-26 04:45:20.960706	18343	19.9	1	9
2014-03-26 04:45:21.181476	18344	55	2	9
2014-03-26 04:45:58.685182	18352	19.9	1	9
2014-03-26 04:45:58.917425	18353	55	2	9
2014-03-26 04:46:37.742649	18361	19.9	1	9
2014-03-26 04:46:37.973981	18362	55	2	9
2014-03-26 04:47:16.683426	18369	19.9	1	9
2014-03-26 04:47:16.913396	18370	55	2	9
2014-03-26 04:47:56.961544	18378	19.9	1	9
2014-03-26 04:47:57.195334	18379	55	2	9
2014-03-26 04:48:34.685288	18387	19.9	1	9
2014-03-26 04:48:34.906911	18388	55	2	9
2014-03-26 04:49:13.684734	18396	19.9	1	9
2014-03-26 04:49:13.916388	18397	55	2	9
2014-03-26 04:49:52.687852	18406	19.9	1	9
2014-03-26 04:49:52.910507	18407	55	2	9
2014-03-26 04:50:31.687839	18414	19.9	1	9
2014-03-26 04:50:31.910576	18415	55	2	9
2014-03-26 04:51:10.689037	18421	19.9	1	9
2014-03-26 04:51:10.918151	18422	55	2	9
2014-03-26 04:51:49.685109	18430	19.9	1	9
2014-03-26 04:51:49.91271	18431	55	2	9
2014-03-26 04:52:28.68373	18438	19.9	1	9
2014-03-26 04:52:28.909179	18439	55	2	9
2014-03-26 04:53:07.684396	18447	19.9	1	9
2014-03-26 04:53:07.905803	18448	55	2	9
2014-03-26 04:53:47.963458	18457	19.9	1	9
2014-03-26 04:53:48.187506	18458	55	2	9
2014-03-26 04:54:25.683097	18465	19.9	1	9
2014-03-26 04:54:25.905102	18466	55	2	9
2014-03-26 04:55:04.686537	18474	19.9	1	9
2014-03-26 04:55:04.908257	18475	55	2	9
2014-03-26 04:55:43.683177	18483	19.9	1	9
2014-03-26 04:55:43.905591	18484	55	2	9
2014-03-26 04:56:23.960724	18491	19.9	1	9
2014-03-26 04:56:24.183949	18492	55	2	9
2014-03-26 04:57:01.686904	18500	19.9	1	9
2014-03-26 04:57:01.908515	18501	55	2	9
2014-03-26 04:57:40.683181	18509	19.9	1	9
2014-03-26 04:57:40.917111	18510	55	2	9
2014-03-26 04:58:19.686053	18517	19.9	1	9
2014-03-26 04:58:19.918876	18518	55	2	9
2014-03-26 04:58:58.687088	18528	19.9	1	9
2014-03-26 04:58:58.929655	18529	55	2	9
2014-03-26 04:59:37.683849	18537	19.9	1	9
2014-03-26 04:59:37.910454	18538	55	2	9
2014-03-26 05:00:16.685932	18545	19.9	1	9
2014-03-26 05:00:16.909346	18546	55	2	9
2014-03-26 05:00:55.685787	18555	19.9	1	9
2014-03-26 05:00:55.908295	18556	55	2	9
2014-03-26 05:01:34.76852	18564	19.9	1	9
2014-03-26 05:01:34.990268	18565	55	2	9
2014-03-26 05:02:13.683682	18572	19.9	1	9
2014-03-26 05:02:13.926614	18573	55	2	9
2014-03-26 05:02:52.686711	18581	19.9	1	9
2014-03-26 05:02:52.910456	18582	55	2	9
2014-03-26 05:03:31.687272	18589	19.9	1	9
2014-03-26 05:03:31.91136	18590	55	2	9
2014-03-26 05:04:10.684063	18598	19.9	1	9
2014-03-26 05:04:10.915638	18599	55	2	9
2014-03-26 05:04:50.280077	18607	19.9	1	9
2014-03-26 05:04:50.700128	18608	55	2	9
2014-03-26 05:05:28.682384	18616	19.9	1	9
2014-03-26 05:05:28.925775	18617	55	2	9
2014-03-26 05:06:07.732484	18625	19.9	1	9
2014-03-26 05:06:07.978024	18626	55	2	9
2014-03-26 05:06:46.71944	18634	19.9	1	9
2014-03-26 05:06:46.948986	18635	55	2	9
2014-03-26 05:07:25.687155	18642	19.8	1	9
2014-03-26 05:07:25.923675	18643	55	2	9
2014-03-26 05:08:04.688089	18651	19.8	1	9
2014-03-26 05:08:04.911672	18652	55	2	9
2014-03-26 05:08:43.685812	18660	19.8	1	9
2014-03-26 05:08:43.930737	18661	55	2	9
2014-03-26 05:09:22.68322	18668	19.8	1	9
2014-03-26 05:09:22.90455	18669	55	2	9
2014-03-26 05:10:01.687947	18677	19.8	1	9
2014-03-26 05:10:01.921526	18678	55	2	9
2014-03-26 05:10:40.683785	18686	19.8	1	9
2014-03-26 05:10:40.907401	18687	55	2	9
2014-03-26 05:11:19.684433	18694	19.8	1	9
2014-03-26 05:11:19.906076	18695	55	2	9
2014-03-26 05:11:58.687415	18703	19.8	1	9
2014-03-26 05:11:58.918426	18704	55	2	9
2014-03-26 05:12:37.684783	18712	19.8	1	9
2014-03-26 05:12:37.907688	18713	55	2	9
2014-03-26 05:13:16.684744	18721	19.8	1	9
2014-03-26 05:13:16.907078	18722	55	2	9
2014-03-26 05:13:55.685477	18730	19.8	1	9
2014-03-26 05:13:55.918029	18731	55	2	9
2014-03-26 05:14:34.684796	18739	19.8	1	9
2014-03-26 05:14:34.907739	18740	55	2	9
2014-03-26 05:15:13.828846	18745	19.8	1	9
2014-03-26 05:15:14.289919	18746	55	2	9
2014-03-26 05:15:52.68268	18754	19.8	1	9
2014-03-26 05:15:52.907277	18755	55	2	9
2014-03-26 05:16:31.682842	18762	19.8	1	9
2014-03-26 05:16:31.904522	18763	55	2	9
2014-03-26 05:17:10.682595	18771	19.8	1	9
2014-03-26 05:17:10.904448	18772	55	2	9
2014-03-26 05:17:49.687253	18780	19.8	1	9
2014-03-26 05:17:49.908622	18781	55	2	9
2014-03-26 05:18:28.685514	18789	19.8	1	9
2014-03-26 05:18:28.91633	18790	55	2	9
2014-03-26 05:19:08.959739	18798	19.8	1	9
2014-03-26 05:19:09.180278	18799	55	2	9
2014-03-26 05:19:47.96221	18807	19.8	1	9
2014-03-26 05:19:48.18278	18808	55	2	9
2014-03-26 05:20:25.689415	18815	19.8	1	9
2014-03-26 05:20:25.920964	18816	55	2	9
2014-03-26 05:21:04.685452	18824	19.8	1	9
2014-03-26 05:21:04.90682	18825	55	2	9
2014-03-26 05:21:43.684941	18833	19.8	1	9
2014-03-26 05:21:43.915713	18834	55	2	9
2014-03-26 05:22:22.685465	18841	19.8	1	9
2014-03-26 05:22:22.926106	18842	55	2	9
2014-03-26 05:23:01.683412	18850	19.8	1	9
2014-03-26 05:23:01.906186	18851	55	2	9
2014-03-26 05:23:40.684706	18859	19.8	1	9
2014-03-26 05:23:40.906204	18860	55	2	9
2014-03-26 05:24:19.685151	18867	19.8	1	9
2014-03-26 05:24:19.91715	18868	55	2	9
2014-03-26 05:24:58.684929	18876	19.8	1	9
2014-03-26 05:24:58.908876	18877	55	2	9
2014-03-26 05:25:37.684573	18885	19.8	1	9
2014-03-26 05:25:37.931304	18886	55	2	9
2014-03-26 05:26:16.684921	18895	19.8	1	9
2014-03-26 05:26:16.908963	18896	55	2	9
2014-03-26 05:26:55.684841	18904	19.8	1	9
2014-03-26 05:26:55.9064	18905	55	2	9
2014-03-26 05:27:35.961849	18913	19.8	1	9
2014-03-26 05:27:36.196017	18914	55	2	9
2014-03-26 05:28:13.684079	18921	19.8	1	9
2014-03-26 05:28:13.916148	18922	55	2	9
2014-03-26 05:28:52.684744	18930	19.8	1	9
2014-03-26 05:28:52.90751	18931	55	2	9
2014-03-26 05:29:31.681736	18938	19.8	1	9
2014-03-26 05:29:31.913974	18939	55	2	9
2014-03-26 05:30:10.684548	18947	19.8	1	9
2014-03-26 05:30:10.918292	18948	55	2	9
2014-03-26 05:30:49.68475	18957	19.8	1	9
2014-03-26 05:30:49.910608	18958	55	2	9
2014-03-26 05:31:28.683626	18966	19.8	1	9
2014-03-26 05:31:28.90475	18967	55	2	9
2014-03-26 05:32:07.686045	18975	19.8	1	9
2014-03-26 05:32:07.918903	18976	55	2	9
2014-03-26 05:32:46.685545	18985	19.8	1	9
2014-03-26 05:32:46.90755	18986	54	2	9
2014-03-26 05:33:25.684472	18993	19.8	1	9
2014-03-26 05:33:25.905755	18994	54	2	9
2014-03-26 05:34:04.685097	19002	19.8	1	9
2014-03-26 05:34:04.917415	19003	54	2	9
2014-03-26 05:34:43.682397	19011	19.8	1	9
2014-03-26 05:34:43.906264	19012	54	2	9
2014-03-26 05:35:22.68166	19019	19.8	1	9
2014-03-26 05:35:22.906441	19020	54	2	9
2014-03-26 05:36:01.682399	19028	19.8	1	9
2014-03-26 05:36:01.904218	19029	54	2	9
2014-03-26 05:36:40.683555	19037	19.8	1	9
2014-03-26 05:36:40.906485	19038	54	2	9
2014-03-26 05:37:19.688116	19045	19.8	1	9
2014-03-26 05:37:19.911046	19046	54	2	9
2014-03-26 05:37:59.960271	19056	19.8	1	9
2014-03-26 05:38:00.181586	19057	54	2	9
2014-03-26 05:38:37.683248	19065	19.8	1	9
2014-03-26 05:38:37.918284	19066	54	2	9
2014-03-26 05:39:16.687086	19073	19.8	1	9
2014-03-26 05:39:16.918473	19074	54	2	9
2014-03-26 05:39:55.688247	19082	19.8	1	9
2014-03-26 05:39:55.910609	19083	54	2	9
2014-03-26 05:40:34.684865	19091	19.8	1	9
2014-03-26 05:40:34.908846	19092	54	2	9
2014-03-26 05:41:13.681178	19099	19.8	1	9
2014-03-26 05:41:13.914485	19100	54	2	9
2014-03-26 05:41:52.683059	19108	19.8	1	9
2014-03-26 05:41:52.906205	19109	54	2	9
2014-03-26 05:42:31.69191	19116	19.8	1	9
2014-03-26 05:42:31.914029	19117	54	2	9
2014-03-26 05:43:10.685773	19127	19.8	1	9
2014-03-26 05:43:10.909644	19128	54	2	9
2014-03-26 05:43:49.684616	19136	19.8	1	9
2014-03-26 05:43:49.916448	19137	54	2	9
2014-03-26 05:44:29.96072	19144	19.8	1	9
2014-03-26 05:44:30.193019	19145	54	2	9
2014-03-26 05:45:07.732735	19153	19.8	1	9
2014-03-26 05:45:07.955498	19154	54	2	9
2014-03-26 05:45:47.259972	19162	19.8	1	9
2014-03-26 05:45:47.699944	19163	54	2	9
2014-03-26 05:46:26.96105	19170	19.8	1	9
2014-03-26 05:46:27.19163	19171	54	2	9
2014-03-26 05:47:04.682711	19179	19.8	1	9
2014-03-26 05:47:04.904856	19180	54	2	9
2014-03-26 05:47:43.68436	19188	19.8	1	9
2014-03-26 05:47:43.906232	19189	54	2	9
2014-03-26 05:48:22.683095	19198	19.8	1	9
2014-03-26 05:48:22.913094	19199	54	2	9
2014-03-26 05:49:01.683836	19207	19.8	1	9
2014-03-26 05:49:01.910914	19208	54	2	9
2014-03-26 05:49:40.688056	19216	19.8	1	9
2014-03-26 05:49:40.919052	19217	54	2	9
2014-03-26 05:50:19.6855	19226	19.8	1	9
2014-03-26 05:50:19.917993	19227	54	2	9
2014-03-26 05:50:58.685214	19235	19.8	1	9
2014-03-26 05:50:58.90899	19236	54	2	9
2014-03-26 05:51:37.683863	19244	19.8	1	9
2014-03-26 05:51:37.933389	19245	54	2	9
2014-03-26 05:52:16.683696	19252	19.8	1	9
2014-03-26 05:52:16.936762	19253	54	2	9
2014-03-26 05:52:55.683499	19261	19.8	1	9
2014-03-26 05:52:55.904885	19262	54	2	9
2014-03-26 05:53:34.684008	19270	19.8	1	9
2014-03-26 05:53:34.905763	19271	54	2	9
2014-03-26 05:54:13.684582	19278	19.8	1	9
2014-03-26 05:54:13.90709	19279	54	2	9
2014-03-26 05:54:52.683538	19287	19.8	1	9
2014-03-26 05:54:52.905033	19288	54	2	9
2014-03-26 05:55:31.7196	19297	19.8	1	9
2014-03-26 05:55:31.983381	19298	54	2	9
2014-03-26 05:56:11.434058	19306	19.8	1	9
2014-03-26 05:56:11.88999	19307	54	2	9
2014-03-26 05:56:49.683764	19315	19.8	1	9
2014-03-26 05:56:49.915484	19316	54	2	9
2014-03-26 05:57:28.687392	19323	19.8	1	9
2014-03-26 05:57:28.925049	19324	54	2	9
2014-03-26 05:58:07.748592	19332	19.8	1	9
2014-03-26 05:58:07.973319	19333	54	2	9
2014-03-26 05:58:46.684078	19341	19.8	1	9
2014-03-26 05:58:46.915164	19342	54	2	9
2014-03-26 05:59:25.685035	19349	19.8	1	9
2014-03-26 05:59:25.916297	19350	54	2	9
2014-03-26 06:00:04.688225	19358	19.8	1	9
2014-03-26 06:00:04.913578	19359	54	2	9
2014-03-26 06:00:43.687713	19367	19.8	1	9
2014-03-26 06:00:43.920299	19368	54	2	9
2014-03-26 06:01:22.688307	19375	19.8	1	9
2014-03-26 06:01:22.921472	19376	54	2	9
2014-03-26 06:02:01.691645	19384	19.8	1	9
2014-03-26 06:02:01.917704	19385	54	2	9
2014-03-26 06:02:40.740092	19395	19.8	1	9
2014-03-26 06:02:40.96471	19396	54	2	9
2014-03-26 06:03:19.68466	19403	19.8	1	9
2014-03-26 06:03:19.907667	19404	54	2	9
2014-03-26 06:03:58.684856	19412	19.8	1	9
2014-03-26 06:03:58.916126	19413	54	2	9
2014-03-26 06:04:37.683072	19421	19.8	1	9
2014-03-26 06:04:37.912362	19422	54	2	9
2014-03-26 06:05:16.868898	19429	19.8	1	9
2014-03-26 06:05:17.088939	19430	54	2	9
2014-03-26 06:05:55.684482	19438	19.7	1	9
2014-03-26 06:05:55.904409	19439	54	2	9
2014-03-26 06:06:34.687552	19447	19.7	1	9
2014-03-26 06:06:34.917739	19448	54	2	9
2014-03-26 06:07:13.683235	19456	19.7	1	9
2014-03-26 06:07:13.906152	19457	54	2	9
2014-03-26 06:07:52.682416	19466	19.7	1	9
2014-03-26 06:07:52.904406	19467	54	2	9
2014-03-26 06:08:32.51302	19474	19.7	1	9
2014-03-26 06:08:32.73493	19475	54	2	9
2014-03-26 06:09:10.682802	19483	19.7	1	9
2014-03-26 06:09:10.912613	19484	54	2	9
2014-03-26 06:09:49.683719	19492	19.7	1	9
2014-03-26 06:09:49.905267	19493	54	2	9
2014-03-26 06:10:28.683067	19500	19.7	1	9
2014-03-26 06:10:28.904139	19501	54	2	9
2014-03-26 06:11:07.683247	19509	19.7	1	9
2014-03-26 06:11:07.913034	19510	54	2	9
2014-03-26 06:11:46.68434	19518	19.7	1	9
2014-03-26 06:11:46.905465	19519	54	2	9
2014-03-26 06:12:25.683593	19526	19.7	1	9
2014-03-26 06:12:25.906734	19527	54	2	9
2014-03-26 06:13:04.681306	19535	19.7	1	9
2014-03-26 06:13:04.904966	19536	54	2	9
2014-03-26 06:13:44.074205	19544	19.7	1	9
2014-03-26 06:13:44.606627	19545	54	2	9
2014-03-26 06:14:22.686047	19554	19.7	1	9
2014-03-26 06:14:22.908562	19555	54	2	9
2014-03-26 06:15:01.683242	19563	19.7	1	9
2014-03-26 06:15:01.904298	19564	54	2	9
2014-03-26 06:15:40.680313	19572	19.7	1	9
2014-03-26 06:15:40.966254	19573	54	2	9
2014-03-26 06:16:19.682045	19580	19.7	1	9
2014-03-26 06:16:19.913166	19581	54	2	9
2014-03-26 06:16:58.683868	19589	19.7	1	9
2014-03-26 06:16:58.906303	19590	54	2	9
2014-03-26 06:17:37.685461	19598	19.7	1	9
2014-03-26 06:17:37.907159	19599	54	2	9
2014-03-26 06:18:16.683258	19606	19.7	1	9
2014-03-26 06:18:16.91577	19607	54	2	9
2014-03-26 06:18:55.683923	19615	19.7	1	9
2014-03-26 06:18:55.908041	19616	54	2	9
2014-03-26 06:19:34.687644	19626	19.7	1	9
2014-03-26 06:19:34.907669	19627	54	2	9
2014-03-26 06:20:14.958662	19634	19.7	1	9
2014-03-26 06:20:15.180804	19635	54	2	9
2014-03-26 06:20:52.681487	19641	19.7	1	9
2014-03-26 06:20:52.903224	19642	54	2	9
2014-03-26 06:21:31.700737	19649	19.7	1	9
2014-03-26 06:21:31.922988	19650	54	2	9
2014-03-26 06:22:10.69117	19658	19.7	1	9
2014-03-26 06:22:10.912795	19659	54	2	9
2014-03-26 06:22:50.958873	19667	19.7	1	9
2014-03-26 06:22:51.180014	19668	54	2	9
2014-03-26 06:23:28.68511	19675	19.7	1	9
2014-03-26 06:23:28.929901	19676	54	2	9
2014-03-26 06:24:07.686453	19684	19.7	1	9
2014-03-26 06:24:07.911209	19685	54	2	9
2014-03-26 06:24:47.958009	19693	19.7	1	9
2014-03-26 06:24:48.18291	19694	54	2	9
2014-03-26 06:25:25.682747	19701	19.7	1	9
2014-03-26 06:25:25.91374	19702	54	2	9
2014-03-26 06:26:04.699505	19710	19.7	1	9
2014-03-26 06:26:04.9211	19711	54	2	9
2014-03-26 06:26:44.300056	19721	19.7	1	9
2014-03-26 06:26:44.722184	19722	54	2	9
2014-03-26 06:27:22.692535	19729	19.7	1	9
2014-03-26 06:27:22.913792	19730	54	2	9
2014-03-26 06:28:01.684271	19738	19.7	1	9
2014-03-26 06:28:01.925328	19739	54	2	9
2014-03-26 06:28:40.687707	19747	19.7	1	9
2014-03-26 06:28:40.9118	19748	54	2	9
2014-03-26 06:29:19.690625	19755	19.7	1	9
2014-03-26 06:29:19.916924	19756	54	2	9
2014-03-26 06:29:58.688906	19764	19.7	1	9
2014-03-26 06:29:58.909567	19765	54	2	9
2014-03-26 06:30:37.684137	19773	19.7	1	9
2014-03-26 06:30:37.920197	19774	54	2	9
2014-03-26 06:31:16.682627	19784	19.7	1	9
2014-03-26 06:31:16.924832	19785	54	2	9
2014-03-26 06:31:55.692555	19793	19.7	1	9
2014-03-26 06:31:55.914834	19794	54	2	9
2014-03-26 06:32:34.683746	19802	19.7	1	9
2014-03-26 06:32:34.905771	19803	54	2	9
2014-03-26 06:33:13.683364	19810	19.7	1	9
2014-03-26 06:33:13.923711	19811	54	2	9
2014-03-26 06:33:52.692385	19819	19.7	1	9
2014-03-26 06:33:52.915001	19820	54	2	9
2014-03-26 06:34:31.690497	19827	19.7	1	9
2014-03-26 06:34:31.916124	19828	54	2	9
2014-03-26 06:35:10.68398	19836	19.7	1	9
2014-03-26 06:35:10.918035	19837	54	2	9
2014-03-26 06:35:49.692527	19845	19.7	1	9
2014-03-26 06:35:49.915147	19846	54	2	9
2014-03-26 06:36:28.691761	19853	19.7	1	9
2014-03-26 06:36:28.913572	19854	54	2	9
2014-03-26 06:37:08.32146	19862	19.7	1	9
2014-03-26 06:37:08.766213	19863	54	2	9
2014-03-26 06:37:46.692805	19872	19.7	1	9
2014-03-26 06:37:46.936274	19873	54	2	9
2014-03-26 06:38:25.683009	19880	19.7	1	9
2014-03-26 06:38:25.914213	19881	54	2	9
2014-03-26 06:39:04.693497	19889	19.7	1	9
2014-03-26 06:39:04.914063	19890	54	2	9
2014-03-26 06:39:43.682331	19898	19.7	1	9
2014-03-26 06:39:43.915935	19899	54	2	9
2014-03-26 06:40:22.682605	19906	19.7	1	9
2014-03-26 06:40:22.918042	19907	54	2	9
2014-03-26 06:41:01.692875	19915	19.7	1	9
2014-03-26 06:41:01.92543	19916	54	2	9
2014-03-26 06:41:40.688036	19924	19.7	1	9
2014-03-26 06:41:40.909202	19925	54	2	9
2014-03-26 06:42:19.689511	19932	19.7	1	9
2014-03-26 06:42:19.918917	19933	54	2	9
2014-03-26 06:42:59.957611	19941	19.7	1	9
2014-03-26 06:43:00.179939	19942	54	2	9
2014-03-26 06:43:37.703702	19952	19.7	1	9
2014-03-26 06:43:37.933409	19953	54	2	9
2014-03-26 06:44:16.698537	19960	19.7	1	9
2014-03-26 06:44:16.922076	19961	54	2	9
2014-03-26 06:44:55.684933	19969	19.7	1	9
2014-03-26 06:44:55.908866	19970	54	2	9
2014-03-26 06:45:34.692814	19978	19.7	1	9
2014-03-26 06:45:34.916392	19979	54	2	9
2014-03-26 06:46:13.695049	19986	19.7	1	9
2014-03-26 06:46:13.917039	19987	54	2	9
2014-03-26 06:46:52.687217	19996	19.7	1	9
2014-03-26 06:46:52.919783	19997	54	2	9
2014-03-26 06:47:31.690596	20004	19.7	1	9
2014-03-26 06:47:31.921707	20005	54	2	9
2014-03-26 06:48:10.693603	20013	19.7	1	9
2014-03-26 06:48:10.915695	20014	54	2	9
2014-03-26 06:48:49.686917	20022	19.7	1	9
2014-03-26 06:48:49.916751	20023	54	2	9
2014-03-26 06:49:28.688687	20030	19.7	1	9
2014-03-26 06:49:28.920766	20031	54	2	9
2014-03-26 06:50:07.695359	20039	19.7	1	9
2014-03-26 06:50:07.927571	20040	54	2	9
2014-03-26 06:50:47.964748	20050	19.7	1	9
2014-03-26 06:50:48.189418	20051	54	2	9
2014-03-26 06:51:25.698049	20058	19.7	1	9
2014-03-26 06:51:25.923559	20059	54	2	9
2014-03-26 06:52:04.690181	20067	19.7	1	9
2014-03-26 06:52:04.920782	20068	54	2	9
2014-03-26 06:52:43.712104	20076	19.7	1	9
2014-03-26 06:52:43.933492	20077	54	2	9
2014-03-26 06:53:22.687694	20085	19.7	1	9
2014-03-26 06:53:22.918011	20086	54	2	9
2014-03-26 06:54:01.690842	20095	19.7	1	9
2014-03-26 06:54:01.913024	20096	54	2	9
2014-03-26 06:54:40.689301	20104	19.7	1	9
2014-03-26 06:54:40.921304	20105	54	2	9
2014-03-26 06:55:19.691123	20112	19.7	1	9
2014-03-26 06:55:19.924238	20113	54	2	9
2014-03-26 06:55:58.706875	20122	19.7	1	9
2014-03-26 06:55:58.933074	20123	54	2	9
2014-03-26 06:56:37.689607	20132	19.7	1	9
2014-03-26 06:56:37.928616	20133	54	2	9
2014-03-26 06:57:16.691186	20140	19.7	1	9
2014-03-26 06:57:16.923733	20141	54	2	9
2014-03-26 06:57:55.702234	20149	19.7	1	9
2014-03-26 06:57:55.924764	20150	54	2	9
2014-03-26 06:58:34.810293	20158	19.7	1	9
2014-03-26 06:58:35.041346	20159	54	2	9
2014-03-26 06:59:14.961751	20166	19.7	1	9
2014-03-26 06:59:15.19424	20167	54	2	9
2014-03-26 06:59:52.704202	20175	19.7	1	9
2014-03-26 06:59:52.926098	20176	54	2	9
2014-03-26 07:00:31.703244	20183	19.7	1	9
2014-03-26 07:00:31.925316	20184	54	2	9
2014-03-26 07:01:10.690062	20192	19.6	1	9
2014-03-26 07:01:11.108002	20193	54	2	9
2014-03-26 07:01:49.703825	20201	19.6	1	9
2014-03-26 07:01:49.934735	20202	54	2	9
2014-03-26 07:02:28.693162	20209	19.6	1	9
2014-03-26 07:02:28.944034	20210	54	2	9
2014-03-26 07:03:07.708895	20218	19.6	1	9
2014-03-26 07:03:07.930646	20219	54	2	9
2014-03-26 07:03:47.960126	20229	19.6	1	9
2014-03-26 07:03:48.193415	20230	54	2	9
2014-03-26 07:04:25.694845	20237	19.6	1	9
2014-03-26 07:04:25.927739	20238	54	2	9
2014-03-26 07:05:04.71382	20247	19.6	1	9
2014-03-26 07:05:04.937245	20248	54	2	9
2014-03-26 07:05:43.703796	20258	19.6	1	9
2014-03-26 07:05:43.926836	20259	54	2	9
2014-03-26 07:06:22.71384	20266	19.6	1	9
2014-03-26 07:06:22.937483	20267	54	2	9
2014-03-26 07:07:01.682295	20273	19.6	1	9
2014-03-26 07:07:01.906103	20274	54	2	9
2014-03-26 07:07:41.299972	20282	19.6	1	9
2014-03-26 07:07:41.73004	20283	54	2	9
2014-03-26 07:08:19.692895	20290	19.6	1	9
2014-03-26 07:08:19.925711	20291	54	2	9
2014-03-26 07:08:58.698483	20301	19.6	1	9
2014-03-26 07:08:58.932314	20302	54	2	9
2014-03-26 07:09:37.706655	20310	19.6	1	9
2014-03-26 07:09:37.934989	20311	54	2	9
2014-03-26 07:10:16.705672	20318	19.6	1	9
2014-03-26 07:10:16.927351	20319	54	2	9
2014-03-26 07:10:55.695596	20327	19.6	1	9
2014-03-26 07:10:55.918584	20328	54	2	9
2014-03-26 07:11:34.692841	20336	19.6	1	9
2014-03-26 07:11:34.927865	20337	54	2	9
2014-03-26 07:12:13.693113	20344	19.6	1	9
2014-03-26 07:12:13.927431	20345	54	2	9
2014-03-26 07:12:52.707557	20353	19.6	1	9
2014-03-26 07:12:52.930859	20354	54	2	9
2014-03-26 07:13:31.708444	20361	19.6	1	9
2014-03-26 07:13:31.934391	20362	54	2	9
2014-03-26 07:14:10.697403	20370	19.6	1	9
2014-03-26 07:14:10.919551	20371	54	2	9
2014-03-26 07:14:49.707672	20379	19.6	1	9
2014-03-26 07:14:49.929791	20380	54	2	9
2014-03-26 07:15:28.718132	20387	19.6	1	9
2014-03-26 07:15:28.941198	20388	54	2	9
2014-03-26 07:16:07.7079	20398	19.6	1	9
2014-03-26 07:16:07.932269	20399	54	2	9
2014-03-26 07:16:46.698821	20407	19.6	1	9
2014-03-26 07:16:46.922314	20408	54	2	9
2014-03-26 07:17:25.698602	20415	19.6	1	9
2014-03-26 07:17:25.943229	20416	54	2	9
2014-03-26 07:18:05.340081	20424	19.6	1	9
2014-03-26 07:18:05.762385	20425	54	2	9
2014-03-26 07:18:43.702423	20433	19.6	1	9
2014-03-26 07:18:43.933298	20434	54	2	9
2014-03-26 07:19:22.699881	20441	19.6	1	9
2014-03-26 07:19:22.931796	20442	54	2	9
2014-03-26 07:20:01.711214	20450	19.6	1	9
2014-03-26 07:20:01.934074	20451	54	2	9
2014-03-26 07:20:40.701837	20459	19.6	1	9
2014-03-26 07:20:40.94464	20460	54	2	9
2014-03-26 07:21:19.71738	20468	19.6	1	9
2014-03-26 07:21:19.939221	20469	54	2	9
2014-03-26 07:21:58.6989	20478	19.6	1	9
2014-03-26 07:21:58.932249	20479	54	2	9
2014-03-26 07:22:37.710693	20489	19.6	1	9
2014-03-26 07:22:37.945601	20490	54	2	9
2014-03-26 07:23:16.71308	20498	19.6	1	9
2014-03-26 07:23:16.938685	20499	54	2	9
2014-03-26 07:23:55.702486	20507	19.6	1	9
2014-03-26 07:23:55.93432	20508	54	2	9
2014-03-26 07:24:34.706779	20518	19.6	1	9
2014-03-26 07:24:34.944931	20519	54	2	9
2014-03-26 07:25:13.702912	20526	19.6	1	9
2014-03-26 07:25:13.936959	20527	54	2	9
2014-03-26 07:25:52.711955	20535	19.6	1	9
2014-03-26 07:25:52.934025	20536	54	2	9
2014-03-26 07:26:31.939012	20543	19.6	1	9
2014-03-26 07:26:32.364409	20544	54	2	9
2014-03-26 07:27:11.409453	20553	19.6	1	9
2014-03-26 07:27:11.684101	20554	54	2	9
2014-03-26 07:27:49.713779	20561	19.6	1	9
2014-03-26 07:27:49.935954	20562	54	2	9
2014-03-26 07:28:28.700945	20570	19.6	1	9
2014-03-26 07:28:29.050017	20571	54	2	9
2014-03-26 07:29:07.702247	20580	19.6	1	9
2014-03-26 07:29:07.933025	20581	54	2	9
2014-03-26 07:29:46.702635	20591	19.6	1	9
2014-03-26 07:29:46.944288	20592	54	2	9
2014-03-26 07:30:25.705604	20601	19.6	1	9
2014-03-26 07:30:25.936351	20602	54	2	9
2014-03-26 07:31:04.713297	20610	19.6	1	9
2014-03-26 07:31:04.936308	20611	54	2	9
2014-03-26 07:31:43.760289	20619	19.6	1	9
2014-03-26 07:31:43.991489	20620	54	2	9
2014-03-26 07:32:22.714033	20631	19.6	1	9
2014-03-26 07:32:22.935363	20632	54	2	9
2014-03-26 07:33:01.712951	20642	19.6	1	9
2014-03-26 07:33:01.941264	20643	54	2	9
2014-03-26 07:33:40.809603	20652	19.6	1	9
2014-03-26 07:33:41.044064	20653	54	2	9
2014-03-26 07:34:19.71786	20662	19.6	1	9
2014-03-26 07:34:19.939346	20663	54	2	9
2014-03-26 07:34:58.714464	20673	19.6	1	9
2014-03-26 07:34:58.936577	20674	54	2	9
2014-03-26 07:35:37.714402	20684	19.6	1	9
2014-03-26 07:35:37.944178	20685	54	2	9
2014-03-26 07:36:16.733382	20692	19.6	1	9
2014-03-26 07:36:16.956869	20693	54	2	9
2014-03-26 07:36:55.704919	20702	19.6	1	9
2014-03-26 07:36:55.938663	20703	54	2	9
2014-03-26 07:37:34.705888	20714	19.6	1	9
2014-03-26 07:37:34.938444	20715	54	2	9
2014-03-26 07:38:14.340331	20725	19.7	1	9
2014-03-26 07:38:14.770002	20726	54	2	9
2014-03-26 07:38:52.713199	20736	19.7	1	9
2014-03-26 07:38:52.937063	20737	54	2	9
2014-03-26 07:39:31.707336	20746	19.7	1	9
2014-03-26 07:39:31.941268	20747	54	2	9
2014-03-26 07:40:10.779137	20758	19.7	1	9
2014-03-26 07:40:11.002108	20759	54	2	9
2014-03-26 07:40:49.70597	20768	19.8	1	9
2014-03-26 07:40:49.949613	20769	54	2	9
2014-03-26 07:41:28.715824	20777	19.8	1	9
2014-03-26 07:41:28.936412	20778	54	2	9
2014-03-26 07:42:07.71738	20785	19.8	1	9
2014-03-26 07:42:07.940294	20786	54	2	9
2014-03-26 07:42:46.720018	20796	19.8	1	9
2014-03-26 07:42:46.943476	20797	54	2	9
2014-03-26 07:43:26.955955	20807	19.8	1	9
2014-03-26 07:43:27.179591	20808	54	2	9
2014-03-26 07:44:04.715634	20818	19.9	1	9
2014-03-26 07:44:04.939542	20819	54	2	9
2014-03-26 07:44:43.715745	20829	19.9	1	9
2014-03-26 07:44:43.993815	20830	54	2	9
2014-03-26 07:45:22.717326	20840	19.9	1	9
2014-03-26 07:45:22.939595	20841	55	2	9
2014-03-26 07:46:01.718925	20851	19.9	1	9
2014-03-26 07:46:01.945605	20852	55	2	9
2014-03-26 07:46:40.712342	20860	19.9	1	9
2014-03-26 07:46:40.942347	20861	55	2	9
2014-03-26 07:47:19.718288	20871	20.0	1	9
2014-03-26 07:47:19.940262	20872	54	2	9
2014-03-26 07:47:58.721599	20881	20.0	1	9
2014-03-26 07:47:58.944664	20882	54	2	9
2014-03-26 07:48:37.827957	20890	20.0	1	9
2014-03-26 07:48:38.060251	20891	54	2	9
2014-03-26 07:49:16.709244	20898	20.0	1	9
2014-03-26 07:49:16.955087	20899	54	2	9
2014-03-26 07:49:55.719606	20908	20.0	1	9
2014-03-26 07:49:55.94339	20909	55	2	9
2014-03-26 07:50:35.321682	20917	20.1	1	9
2014-03-26 07:50:35.769961	20918	55	2	9
2014-03-26 07:51:13.712073	20925	20.1	1	9
2014-03-26 07:51:13.94483	20926	55	2	9
2014-03-26 07:51:52.721186	20934	20.1	1	9
2014-03-26 07:51:52.943179	20935	55	2	9
2014-03-26 07:52:31.719893	20942	20.1	1	9
2014-03-26 07:52:31.949249	20943	55	2	9
2014-03-26 07:53:10.715926	20951	20.2	1	9
2014-03-26 07:53:10.937826	20952	55	2	9
2014-03-26 07:53:50.956185	20960	20.2	1	9
2014-03-26 07:53:51.186164	20961	55	2	9
2014-03-26 07:54:28.681109	20966	20.2	1	9
2014-03-26 07:54:28.905676	20967	55	2	9
2014-03-26 07:55:07.711998	20975	20.2	1	9
2014-03-26 07:55:07.94345	20976	55	2	9
2014-03-26 07:55:46.723714	20984	20.2	1	9
2014-03-26 07:55:46.947118	20985	55	2	9
2014-03-26 07:56:25.729222	20992	20.3	1	9
2014-03-26 07:56:25.953079	20993	55	2	9
2014-03-26 07:57:04.712417	21001	20.3	1	9
2014-03-26 07:57:04.94294	21002	55	2	9
2014-03-26 07:57:43.722409	21010	20.3	1	9
2014-03-26 07:57:43.943674	21011	55	2	9
2014-03-26 07:58:22.71326	21019	20.4	1	9
2014-03-26 07:58:22.944705	21020	55	2	9
2014-03-26 07:59:01.735637	21028	20.4	1	9
2014-03-26 07:59:01.959466	21029	55	2	9
2014-03-26 07:59:40.723202	21038	20.4	1	9
2014-03-26 07:59:40.946747	21039	55	2	9
2014-03-26 08:00:19.722449	21046	20.4	1	9
2014-03-26 08:00:19.94593	21047	55	2	9
2014-03-26 08:00:58.712497	21055	20.5	1	9
2014-03-26 08:00:58.934706	21056	55	2	9
2014-03-26 08:01:38.95637	21066	20.5	1	9
2014-03-26 08:01:39.190528	21067	55	2	9
2014-03-26 08:02:16.722565	21074	20.5	1	9
2014-03-26 08:02:16.954336	21075	55	2	9
2014-03-26 08:02:55.724553	21083	20.5	1	9
2014-03-26 08:02:55.94494	21084	55	2	9
2014-03-26 08:03:34.721498	21092	20.5	1	9
2014-03-26 08:03:34.942987	21093	55	2	9
2014-03-26 08:04:13.722382	21100	20.5	1	9
2014-03-26 08:04:13.943738	21101	55	2	9
2014-03-26 08:04:52.72288	21110	20.6	1	9
2014-03-26 08:04:52.943657	21111	55	2	9
2014-03-26 08:05:31.723576	21118	20.6	1	9
2014-03-26 08:05:31.948141	21119	55	2	9
2014-03-26 08:06:10.722476	21129	20.6	1	9
2014-03-26 08:06:10.945477	21130	55	2	9
2014-03-26 08:06:49.721994	21140	20.7	1	9
2014-03-26 08:06:49.948856	21141	55	2	9
2014-03-26 08:07:28.719227	21149	20.7	1	9
2014-03-26 08:07:28.942339	21150	55	2	9
2014-03-26 08:08:07.732571	21158	20.7	1	9
2014-03-26 08:08:07.956359	21159	55	2	9
2014-03-26 08:08:46.722057	21170	20.7	1	9
2014-03-26 08:08:46.943274	21171	55	2	9
2014-03-26 08:09:25.718851	21180	20.7	1	9
2014-03-26 08:09:25.951794	21181	55	2	9
2014-03-26 08:10:04.727248	21191	20.7	1	9
2014-03-26 08:10:04.948835	21192	55	2	9
2014-03-26 08:10:43.717136	21201	20.7	1	9
2014-03-26 08:10:43.950871	21202	55	2	9
2014-03-26 08:11:22.712205	21212	20.7	1	9
2014-03-26 08:11:22.946249	21213	55	2	9
2014-03-26 08:12:01.722672	21221	20.7	1	9
2014-03-26 08:12:01.944408	21222	55	2	9
2014-03-26 08:12:40.720353	21230	20.7	1	9
2014-03-26 08:12:40.942886	21231	55	2	9
2014-03-26 08:13:19.718762	21238	20.7	1	9
2014-03-26 08:13:19.94985	21239	55	2	9
2014-03-26 08:13:58.729641	21247	20.7	1	9
2014-03-26 08:13:58.960479	21248	55	2	9
2014-03-26 08:14:37.862858	21256	20.7	1	9
2014-03-26 08:14:38.083528	21257	55	2	9
2014-03-26 08:15:16.7187	21264	20.7	1	9
2014-03-26 08:15:16.955404	21265	55	2	9
2014-03-26 08:15:55.727579	21273	20.7	1	9
2014-03-26 08:15:55.949472	21274	55	2	9
2014-03-26 08:16:34.725524	21284	20.8	1	9
2014-03-26 08:16:34.9496	21285	55	2	9
2014-03-26 08:17:13.730768	21292	20.8	1	9
2014-03-26 08:17:13.952301	21293	55	2	9
2014-03-26 08:17:52.721894	21301	20.8	1	9
2014-03-26 08:17:52.953064	21302	55	2	9
2014-03-26 08:18:31.719709	21309	20.8	1	9
2014-03-26 08:18:31.951624	21310	55	2	9
2014-03-26 08:19:10.729505	21318	20.8	1	9
2014-03-26 08:19:10.95094	21319	55	2	9
2014-03-26 08:19:49.722571	21327	20.8	1	9
2014-03-26 08:19:49.953241	21328	55	2	9
2014-03-26 08:20:28.721824	21335	20.8	1	9
2014-03-26 08:20:28.954214	21336	55	2	9
2014-03-26 08:21:07.742466	21344	20.8	1	9
2014-03-26 08:21:07.965007	21345	55	2	9
2014-03-26 08:21:46.718468	21354	20.8	1	9
2014-03-26 08:21:46.941872	21355	55	2	9
2014-03-26 08:22:25.730084	21363	20.8	1	9
2014-03-26 08:22:25.954735	21364	55	2	9
2014-03-26 08:23:04.729551	21372	20.8	1	9
2014-03-26 08:23:04.951013	21373	55	2	9
2014-03-26 08:23:43.723237	21381	20.9	1	9
2014-03-26 08:23:43.946844	21382	55	2	9
2014-03-26 08:24:22.74123	21390	20.9	1	9
2014-03-26 08:24:22.963331	21391	55	2	9
2014-03-26 08:25:01.733663	21401	20.9	1	9
2014-03-26 08:25:01.95928	21402	55	2	9
2014-03-26 08:25:40.722849	21411	20.9	1	9
2014-03-26 08:25:40.956936	21412	55	2	9
2014-03-26 08:26:20.502728	21422	20.9	1	9
2014-03-26 08:26:20.727858	21423	55	2	9
2014-03-26 08:26:58.73174	21432	20.9	1	9
2014-03-26 08:26:58.955682	21433	55	2	9
2014-03-26 08:27:37.729705	21441	20.9	1	9
2014-03-26 08:27:37.954121	21442	55	2	9
2014-03-26 08:28:16.720817	21449	20.9	1	9
2014-03-26 08:28:16.952179	21450	55	2	9
2014-03-26 08:28:55.732019	21459	20.9	1	9
2014-03-26 08:28:55.954617	21460	55	2	9
2014-03-26 08:29:34.733903	21470	20.9	1	9
2014-03-26 08:29:34.957418	21471	55	2	9
2014-03-26 08:30:13.744103	21481	21.0	1	9
2014-03-26 08:30:13.973353	21482	55	2	9
2014-03-26 08:30:52.733336	21492	21.0	1	9
2014-03-26 08:30:52.956086	21493	55	2	9
2014-03-26 08:31:31.732569	21500	21.0	1	9
2014-03-26 08:31:31.955256	21501	55	2	9
2014-03-26 08:32:10.736766	21511	21.0	1	9
2014-03-26 08:32:10.981594	21512	55	2	9
2014-03-26 08:32:49.734274	21521	21.0	1	9
2014-03-26 08:32:49.958675	21522	55	2	9
2014-03-26 08:33:28.733676	21532	21.0	1	9
2014-03-26 08:33:28.957077	21533	55	2	9
2014-03-26 08:34:07.726939	21541	21.0	1	9
2014-03-26 08:34:07.950119	21542	55	2	9
2014-03-26 08:34:46.7291	21552	21.0	1	9
2014-03-26 08:34:46.961466	21553	55	2	9
2014-03-26 08:35:25.725737	21560	21.0	1	9
2014-03-26 08:35:25.959172	21561	55	2	9
2014-03-26 08:36:04.746764	21569	21.1	1	9
2014-03-26 08:36:04.968923	21570	55	2	9
2014-03-26 08:36:43.73174	21578	21.1	1	9
2014-03-26 08:36:43.954784	21579	55	2	9
2014-03-26 08:37:22.727122	21586	21.1	1	9
2014-03-26 08:37:22.958845	21587	55	2	9
2014-03-26 08:38:01.749181	21596	21.1	1	9
2014-03-26 08:38:01.975153	21597	55	2	9
2014-03-26 08:38:40.728681	21605	21.1	1	9
2014-03-26 08:38:40.950893	21606	55	2	9
2014-03-26 08:39:20.955499	21614	21.1	1	9
2014-03-26 08:39:21.179886	21615	55	2	9
2014-03-26 08:39:58.728724	21623	21.1	1	9
2014-03-26 08:39:58.952162	21624	55	2	9
2014-03-26 08:40:37.750644	21632	21.1	1	9
2014-03-26 08:40:37.972812	21633	55	2	9
2014-03-26 08:41:16.742446	21642	21.1	1	9
2014-03-26 08:41:16.966872	21643	55	2	9
2014-03-26 08:41:55.73983	21651	21.1	1	9
2014-03-26 08:41:55.964989	21652	55	2	9
2014-03-26 08:42:34.728867	21660	21.1	1	9
2014-03-26 08:42:34.960178	21661	55	2	9
2014-03-26 08:43:13.728645	21668	21.1	1	9
2014-03-26 08:43:13.963426	21669	55	2	9
2014-03-26 08:43:52.752106	21677	21.1	1	9
2014-03-26 08:43:52.977104	21678	55	2	9
2014-03-26 08:44:31.739675	21685	21.1	1	9
2014-03-26 08:44:31.961724	21686	55	2	9
2014-03-26 08:45:10.731029	21694	21.1	1	9
2014-03-26 08:45:10.963264	21695	55	2	9
2014-03-26 08:45:49.75592	21703	21.1	1	9
2014-03-26 08:45:49.978913	21704	55	2	9
2014-03-26 08:46:28.736666	21713	21.1	1	9
2014-03-26 08:46:28.959148	21714	55	2	9
2014-03-26 08:47:08.954757	21722	21.1	1	9
2014-03-26 08:47:09.205985	21723	54	2	9
2014-03-26 08:47:46.796348	21731	21.1	1	9
2014-03-26 08:47:47.017921	21732	54	2	9
2014-03-26 08:48:25.739339	21739	21.1	1	9
2014-03-26 08:48:25.964366	21740	54	2	9
2014-03-26 08:49:04.730598	21748	21.1	1	9
2014-03-26 08:49:04.972461	21749	54	2	9
2014-03-26 08:49:43.738702	21757	21.1	1	9
2014-03-26 08:49:43.960269	21758	54	2	9
2014-03-26 08:50:22.742102	21765	21.1	1	9
2014-03-26 08:50:22.965095	21766	54	2	9
2014-03-26 08:51:01.731825	21774	21.1	1	9
2014-03-26 08:51:01.955625	21775	54	2	9
2014-03-26 08:51:40.742138	21783	21.1	1	9
2014-03-26 08:51:40.965336	21784	54	2	9
2014-03-26 08:52:19.740813	21791	21.1	1	9
2014-03-26 08:52:19.963212	21792	54	2	9
2014-03-26 08:52:58.888925	21801	21.1	1	9
2014-03-26 08:53:00.215918	21802	54	2	9
2014-03-26 08:53:37.730134	21811	21.1	1	9
2014-03-26 08:53:37.959931	21812	54	2	9
2014-03-26 08:54:16.731175	21819	21.1	1	9
2014-03-26 08:54:16.96501	21820	54	2	9
2014-03-26 08:54:55.739841	21828	21.1	1	9
2014-03-26 08:54:55.962651	21829	54	2	9
2014-03-26 08:55:34.732996	21837	21.1	1	9
2014-03-26 08:55:34.976057	21838	54	2	9
2014-03-26 08:56:13.731062	21845	21.1	1	9
2014-03-26 08:56:13.963734	21846	54	2	9
2014-03-26 08:56:52.742811	21854	21.1	1	9
2014-03-26 08:56:52.96481	21855	54	2	9
2014-03-26 08:57:31.742983	21862	21.1	1	9
2014-03-26 08:57:31.964503	21863	54	2	9
2014-03-26 08:58:10.763904	21872	21.1	1	9
2014-03-26 08:58:10.986094	21873	54	2	9
2014-03-26 08:58:49.736068	21882	21.1	1	9
2014-03-26 08:58:49.980097	21883	54	2	9
2014-03-26 08:59:28.732115	21890	21.1	1	9
2014-03-26 08:59:28.966444	21891	54	2	9
2014-03-26 09:00:07.746408	21899	21.1	1	9
2014-03-26 09:00:07.970398	21900	54	2	9
2014-03-26 09:00:46.78907	21909	21.1	1	9
2014-03-26 09:00:47.026764	21910	54	2	9
2014-03-26 09:01:25.74399	21918	21.1	1	9
2014-03-26 09:01:25.966468	21919	54	2	9
2014-03-26 09:02:05.954073	21927	21.1	1	9
2014-03-26 09:02:06.196433	21928	54	2	9
2014-03-26 09:02:43.74585	21936	21.1	1	9
2014-03-26 09:02:43.967723	21937	54	2	9
2014-03-26 09:03:22.734123	21946	21.1	1	9
2014-03-26 09:03:22.956546	21947	54	2	9
2014-03-26 09:04:01.745136	21955	21.1	1	9
2014-03-26 09:04:01.966461	21956	54	2	9
2014-03-26 09:04:40.745252	21965	21.0	1	9
2014-03-26 09:04:40.969287	21966	54	2	9
2014-03-26 09:05:19.732783	21975	21.0	1	9
2014-03-26 09:05:19.967212	21976	54	2	9
2014-03-26 09:05:58.744694	21984	21.0	1	9
2014-03-26 09:05:58.96596	21985	54	2	9
2014-03-26 09:06:37.73473	21993	21.0	1	9
2014-03-26 09:06:37.971684	21994	54	2	9
2014-03-26 09:07:16.735454	22001	21.0	1	9
2014-03-26 09:07:16.967478	22002	54	2	9
2014-03-26 09:07:55.749219	22010	21.0	1	9
2014-03-26 09:07:55.973286	22011	54	2	9
2014-03-26 09:08:34.861062	22019	21.0	1	9
2014-03-26 09:08:35.093521	22020	54	2	9
2014-03-26 09:09:13.792508	22027	21.0	1	9
2014-03-26 09:09:14.023362	22028	54	2	9
2014-03-26 09:09:52.74527	22036	21.0	1	9
2014-03-26 09:09:52.978066	22037	55	2	9
2014-03-26 09:10:32.496998	22046	21.0	1	9
2014-03-26 09:10:32.728139	22047	55	2	9
2014-03-26 09:11:10.744974	22058	21.0	1	9
2014-03-26 09:11:10.966448	22059	55	2	9
2014-03-26 09:11:49.741715	22068	21.0	1	9
2014-03-26 09:11:49.97446	22069	55	2	9
2014-03-26 09:12:28.739173	22076	21.0	1	9
2014-03-26 09:12:28.970945	22077	55	2	9
2014-03-26 09:13:07.750588	22085	21.0	1	9
2014-03-26 09:13:07.972962	22086	55	2	9
2014-03-26 09:13:46.739229	22094	21.0	1	9
2014-03-26 09:13:46.961055	22095	55	2	9
2014-03-26 09:14:25.742875	22102	21.0	1	9
2014-03-26 09:14:25.974926	22103	55	2	9
2014-03-26 09:15:04.754281	22111	21.0	1	9
2014-03-26 09:15:04.977254	22112	55	2	9
2014-03-26 09:15:43.748092	22120	21.0	1	9
2014-03-26 09:15:43.982074	22121	55	2	9
2014-03-26 09:16:22.740096	22128	21.0	1	9
2014-03-26 09:16:22.971249	22129	55	2	9
2014-03-26 09:17:02.9533	22138	21.0	1	9
2014-03-26 09:17:03.179789	22139	55	2	9
2014-03-26 09:17:40.742709	22148	21.0	1	9
2014-03-26 09:17:40.975246	22149	55	2	9
2014-03-26 09:18:19.742122	22156	20.9	1	9
2014-03-26 09:18:19.974535	22157	55	2	9
2014-03-26 09:18:58.743426	22166	20.9	1	9
2014-03-26 09:18:58.974511	22167	55	2	9
2014-03-26 09:19:37.752844	22175	20.9	1	9
2014-03-26 09:19:37.979807	22176	55	2	9
2014-03-26 09:20:16.75278	22183	20.9	1	9
2014-03-26 09:20:16.975725	22184	55	2	9
2014-03-26 09:20:55.740372	22192	20.9	1	9
2014-03-26 09:20:55.972563	22193	55	2	9
2014-03-26 09:21:34.752483	22201	20.9	1	9
2014-03-26 09:21:34.975545	22202	55	2	9
2014-03-26 09:22:13.797466	22211	20.9	1	9
2014-03-26 09:22:14.02948	22212	55	2	9
2014-03-26 09:22:52.75403	22221	20.9	1	9
2014-03-26 09:22:52.977685	22222	55	2	9
2014-03-26 09:23:31.752621	22229	20.9	1	9
2014-03-26 09:23:31.97475	22230	55	2	9
2014-03-26 09:24:10.746269	22238	20.9	1	9
2014-03-26 09:24:10.978724	22239	55	2	9
2014-03-26 09:24:49.858952	22247	20.9	1	9
2014-03-26 09:24:50.080967	22248	55	2	9
2014-03-26 09:25:28.752598	22255	20.9	1	9
2014-03-26 09:25:28.975702	22256	55	2	9
2014-03-26 09:26:07.742578	22264	20.9	1	9
2014-03-26 09:26:07.966739	22265	55	2	9
2014-03-26 09:26:46.750575	22273	20.9	1	9
2014-03-26 09:26:46.97453	22274	55	2	9
2014-03-26 09:27:26.952819	22281	20.9	1	9
2014-03-26 09:27:27.17729	22282	55	2	9
2014-03-26 09:28:04.744653	22290	20.9	1	9
2014-03-26 09:28:04.966727	22291	55	2	9
2014-03-26 09:28:43.756919	22301	20.9	1	9
2014-03-26 09:28:43.981245	22302	55	2	9
2014-03-26 09:29:22.754271	22309	20.9	1	9
2014-03-26 09:29:22.976316	22310	55	2	9
2014-03-26 09:30:01.745121	22318	20.9	1	9
2014-03-26 09:30:01.989771	22319	55	2	9
2014-03-26 09:30:40.754367	22327	20.9	1	9
2014-03-26 09:30:40.975987	22328	55	2	9
2014-03-26 09:31:19.770143	22335	20.9	1	9
2014-03-26 09:31:19.994926	22336	55	2	9
2014-03-26 09:31:59.955504	22344	20.9	1	9
2014-03-26 09:32:00.186894	22345	55	2	9
2014-03-26 09:32:37.770887	22353	20.9	1	9
2014-03-26 09:32:37.996805	22354	55	2	9
2014-03-26 09:33:16.745854	22364	20.9	1	9
2014-03-26 09:33:16.981823	22365	55	2	9
2014-03-26 09:33:55.756017	22374	20.9	1	9
2014-03-26 09:33:55.978051	22375	55	2	9
2014-03-26 09:34:34.755424	22385	20.9	1	9
2014-03-26 09:34:34.978083	22386	55	2	9
2014-03-26 09:35:13.754817	22393	20.9	1	9
2014-03-26 09:35:14.032376	22394	55	2	9
2014-03-26 09:35:52.752003	22402	20.9	1	9
2014-03-26 09:35:52.980941	22403	55	2	9
2014-03-26 09:36:31.74922	22410	20.9	1	9
2014-03-26 09:36:31.980624	22411	55	2	9
2014-03-26 09:37:11.954071	22419	20.9	1	9
2014-03-26 09:37:12.17658	22420	55	2	9
2014-03-26 09:37:49.748634	22428	20.9	1	9
2014-03-26 09:37:49.979623	22429	55	2	9
2014-03-26 09:38:28.759834	22438	20.9	1	9
2014-03-26 09:38:28.982424	22439	55	2	9
2014-03-26 09:39:07.745113	22447	20.9	1	9
2014-03-26 09:39:07.983863	22448	55	2	9
2014-03-26 09:39:46.75876	22457	20.8	1	9
2014-03-26 09:39:46.981341	22458	55	2	9
2014-03-26 09:40:25.750253	22466	20.8	1	9
2014-03-26 09:40:25.973633	22467	55	2	9
2014-03-26 09:41:04.944136	22475	20.8	1	9
2014-03-26 09:41:05.166514	22476	55	2	9
2014-03-26 09:41:43.766295	22484	20.8	1	9
2014-03-26 09:41:43.986148	22485	55	2	9
2014-03-26 09:42:22.75667	22492	20.8	1	9
2014-03-26 09:42:22.982665	22493	55	2	9
2014-03-26 09:43:01.748653	22501	20.8	1	9
2014-03-26 09:43:01.983409	22502	55	2	9
2014-03-26 09:43:40.755183	22510	20.8	1	9
2014-03-26 09:43:40.976122	22511	55	2	9
2014-03-26 09:44:19.775276	22518	20.8	1	9
2014-03-26 09:44:19.997068	22519	55	2	9
2014-03-26 09:44:58.75952	22529	20.8	1	9
2014-03-26 09:44:58.979139	22530	55	2	9
2014-03-26 09:45:37.760461	22540	20.8	1	9
2014-03-26 09:45:37.985023	22541	55	2	9
2014-03-26 09:46:16.759607	22548	20.8	1	9
2014-03-26 09:46:16.982218	22549	55	2	9
2014-03-26 09:46:55.751956	22557	20.8	1	9
2014-03-26 09:46:55.973149	22558	55	2	9
2014-03-26 09:47:34.756275	22568	20.8	1	9
2014-03-26 09:47:34.981677	22569	55	2	9
2014-03-26 09:48:13.761219	22576	20.8	1	9
2014-03-26 09:48:13.986517	22577	55	2	9
2014-03-26 09:48:52.749334	22585	20.8	1	9
2014-03-26 09:48:52.972177	22586	55	2	9
2014-03-26 09:49:31.837095	22593	20.8	1	9
2014-03-26 09:49:32.093675	22594	55	2	9
2014-03-26 09:50:10.816455	22602	20.8	1	9
2014-03-26 09:50:11.082877	22603	55	2	9
2014-03-26 09:50:50.951893	22611	20.8	1	9
2014-03-26 09:50:51.173363	22612	55	2	9
2014-03-26 09:51:28.747917	22620	20.8	1	9
2014-03-26 09:51:28.979316	22621	55	2	9
2014-03-26 09:52:07.750644	22631	20.8	1	9
2014-03-26 09:52:07.984867	22632	55	2	9
2014-03-26 09:52:46.867115	22640	20.7	1	9
2014-03-26 09:52:47.09037	22641	55	2	9
2014-03-26 09:53:25.761411	22648	20.7	1	9
2014-03-26 09:53:25.984332	22649	55	2	9
2014-03-26 09:54:04.747431	22657	20.7	1	9
2014-03-26 09:54:04.978214	22658	55	2	9
2014-03-26 09:54:43.76241	22666	20.7	1	9
2014-03-26 09:54:43.984281	22667	55	2	9
2014-03-26 09:55:23.952327	22674	20.7	1	9
2014-03-26 09:55:24.173798	22675	55	2	9
2014-03-26 09:56:01.751294	22683	20.7	1	9
2014-03-26 09:56:01.982331	22684	55	2	9
2014-03-26 09:56:40.764271	22692	20.7	1	9
2014-03-26 09:56:40.986584	22693	55	2	9
2014-03-26 09:57:19.771074	22703	20.7	1	9
2014-03-26 09:57:19.993732	22704	55	2	9
2014-03-26 09:57:58.782962	22715	20.7	1	9
2014-03-26 09:57:59.004665	22716	55	2	9
2014-03-26 09:58:37.749823	22725	20.7	1	9
2014-03-26 09:58:37.988275	22726	55	2	9
2014-03-26 09:59:16.770676	22736	20.7	1	9
2014-03-26 09:59:16.995014	22737	55	2	9
2014-03-26 09:59:55.769826	22747	20.7	1	9
2014-03-26 09:59:55.994125	22748	55	2	9
2014-03-26 10:00:34.763511	22759	20.7	1	9
2014-03-26 10:00:34.985834	22760	55	2	9
2014-03-26 10:01:13.752458	22768	20.7	1	9
2014-03-26 10:01:13.985662	22769	55	2	9
2014-03-26 10:01:52.763722	22777	20.7	1	9
2014-03-26 10:01:52.986325	22778	55	2	9
2014-03-26 10:02:31.765714	22788	20.7	1	9
2014-03-26 10:02:31.986658	22789	55	2	9
2014-03-26 10:03:10.753723	22799	20.7	1	9
2014-03-26 10:03:10.98585	22800	55	2	9
2014-03-26 10:03:49.762814	22809	20.7	1	9
2014-03-26 10:03:49.985387	22810	55	2	9
2014-03-26 10:04:29.952181	22815	20.7	1	9
2014-03-26 10:04:30.188148	22816	55	2	9
2014-03-26 10:05:07.753159	22826	20.7	1	9
2014-03-26 10:05:07.986059	22827	55	2	9
2014-03-26 10:05:46.871533	22836	20.7	1	9
2014-03-26 10:05:47.092966	22837	55	2	9
2014-03-26 10:06:26.951665	22844	20.7	1	9
2014-03-26 10:06:27.174186	22845	55	2	9
2014-03-26 10:07:04.763931	22853	20.7	1	9
2014-03-26 10:07:04.985071	22854	55	2	9
2014-03-26 10:07:43.766122	22864	20.7	1	9
2014-03-26 10:07:43.988109	22865	55	2	9
2014-03-26 10:08:22.766024	22872	20.7	1	9
2014-03-26 10:08:22.98882	22873	55	2	9
2014-03-26 10:09:01.753338	22882	20.7	1	9
2014-03-26 10:09:01.991597	22883	55	2	9
2014-03-26 10:09:40.765264	22892	20.7	1	9
2014-03-26 10:09:40.98925	22893	55	2	9
2014-03-26 10:10:19.760977	22902	20.7	1	9
2014-03-26 10:10:19.998912	22903	55	2	9
2014-03-26 10:10:58.766475	22911	20.7	1	9
2014-03-26 10:10:58.991255	22912	55	2	9
2014-03-26 10:11:37.775003	22922	20.7	1	9
2014-03-26 10:11:38.000507	22923	55	2	9
2014-03-26 10:12:16.768028	22930	20.7	1	9
2014-03-26 10:12:16.990676	22931	55	2	9
2014-03-26 10:12:55.760786	22939	20.6	1	9
2014-03-26 10:12:55.990509	22940	55	2	9
2014-03-26 10:13:34.76586	22948	20.6	1	9
2014-03-26 10:13:34.989271	22949	55	2	9
2014-03-26 10:14:13.770036	22956	20.6	1	9
2014-03-26 10:14:13.992703	22957	55	2	9
2014-03-26 10:14:52.757793	22965	20.6	1	9
2014-03-26 10:14:53.002084	22966	55	2	9
2014-03-26 10:15:31.756404	22973	20.6	1	9
2014-03-26 10:15:31.988165	22974	55	2	9
2014-03-26 10:16:10.768926	22984	20.6	1	9
2014-03-26 10:16:10.999951	22985	55	2	9
2014-03-26 10:16:49.932899	22993	20.6	1	9
2014-03-26 10:16:50.154349	22994	55	2	9
2014-03-26 10:17:29.950872	23001	20.6	1	9
2014-03-26 10:17:30.173324	23002	55	2	9
2014-03-26 10:18:07.761954	23010	20.6	1	9
2014-03-26 10:18:08.003535	23011	55	2	9
2014-03-26 10:18:46.768188	23019	20.6	1	9
2014-03-26 10:18:46.989194	23020	55	2	9
2014-03-26 10:19:25.769899	23027	20.6	1	9
2014-03-26 10:19:25.991688	23028	55	2	9
2014-03-26 10:20:04.76012	23036	20.6	1	9
2014-03-26 10:20:04.984047	23037	55	2	9
2014-03-26 10:20:43.769569	23045	20.6	1	9
2014-03-26 10:20:43.991898	23046	55	2	9
2014-03-26 10:21:22.783515	23055	20.6	1	9
2014-03-26 10:21:23.006221	23056	55	2	9
2014-03-26 10:22:01.760963	23064	20.6	1	9
2014-03-26 10:22:01.992501	23065	55	2	9
2014-03-26 10:22:40.771846	23073	20.6	1	9
2014-03-26 10:22:40.994593	23074	55	2	9
2014-03-26 10:23:19.77025	23081	20.6	1	9
2014-03-26 10:23:19.993007	23082	55	2	9
2014-03-26 10:23:58.77214	23091	20.6	1	9
2014-03-26 10:23:58.995055	23092	55	2	9
2014-03-26 10:24:37.772703	23101	20.6	1	9
2014-03-26 10:24:38.000122	23102	55	2	9
2014-03-26 10:25:16.768865	23109	20.6	1	9
2014-03-26 10:25:16.993624	23110	55	2	9
2014-03-26 10:25:55.760787	23118	20.6	1	9
2014-03-26 10:25:55.983543	23119	55	2	9
2014-03-26 10:26:34.770125	23127	20.6	1	9
2014-03-26 10:26:34.992073	23128	55	2	9
2014-03-26 10:27:13.678564	23133	20.6	1	9
2014-03-26 10:27:13.911738	23134	55	2	9
2014-03-26 10:27:52.771581	23143	20.6	1	9
2014-03-26 10:27:53.002537	23144	55	2	9
2014-03-26 10:28:31.771884	23152	20.6	1	9
2014-03-26 10:28:31.994385	23153	55	2	9
2014-03-26 10:29:10.762469	23161	20.6	1	9
2014-03-26 10:29:10.993833	23162	55	2	9
2014-03-26 10:29:49.775405	23170	20.6	1	9
2014-03-26 10:29:50.054128	23171	55	2	9
2014-03-26 10:30:28.772307	23178	20.6	1	9
2014-03-26 10:30:28.996028	23179	55	2	9
2014-03-26 10:31:08.951091	23187	20.6	1	9
2014-03-26 10:31:09.183525	23188	54	2	9
2014-03-26 10:31:46.771293	23196	20.6	1	9
2014-03-26 10:31:46.993478	23197	54	2	9
2014-03-26 10:32:25.779124	23204	20.6	1	9
2014-03-26 10:32:26.002798	23205	54	2	9
2014-03-26 10:33:04.763443	23213	20.6	1	9
2014-03-26 10:33:04.997659	23214	54	2	9
2014-03-26 10:33:43.772883	23222	20.6	1	9
2014-03-26 10:33:43.997036	23223	54	2	9
2014-03-26 10:34:22.957719	23232	20.6	1	9
2014-03-26 10:34:23.180851	23233	54	2	9
2014-03-26 10:35:01.773003	23241	20.6	1	9
2014-03-26 10:35:01.994681	23242	54	2	9
2014-03-26 10:35:40.760423	23250	20.6	1	9
2014-03-26 10:35:40.993321	23251	54	2	9
2014-03-26 10:36:19.765772	23258	20.6	1	9
2014-03-26 10:36:19.999552	23259	54	2	9
2014-03-26 10:36:58.77212	23267	20.6	1	9
2014-03-26 10:36:58.994802	23268	54	2	9
2014-03-26 10:37:37.766577	23276	20.6	1	9
2014-03-26 10:37:37.998855	23277	54	2	9
2014-03-26 10:38:16.76327	23284	20.6	1	9
2014-03-26 10:38:16.994983	23285	54	2	9
2014-03-26 10:38:55.779769	23294	20.6	1	9
2014-03-26 10:38:56.002137	23295	54	2	9
2014-03-26 10:39:34.762534	23303	20.6	1	9
2014-03-26 10:39:34.995794	23304	54	2	9
2014-03-26 10:40:13.775301	23312	20.6	1	9
2014-03-26 10:40:13.9971	23313	54	2	9
2014-03-26 10:40:52.765587	23321	20.6	1	9
2014-03-26 10:40:52.989094	23322	54	2	9
2014-03-26 10:41:31.770895	23331	20.5	1	9
2014-03-26 10:41:31.994306	23332	54	2	9
2014-03-26 10:42:10.765871	23340	20.5	1	9
2014-03-26 10:42:11.006715	23341	54	2	9
2014-03-26 10:42:49.779623	23349	20.5	1	9
2014-03-26 10:42:50.002024	23350	54	2	9
2014-03-26 10:43:28.776124	23357	20.5	1	9
2014-03-26 10:43:28.99814	23358	54	2	9
2014-03-26 10:44:07.768956	23366	20.5	1	9
2014-03-26 10:44:07.990259	23367	54	2	9
2014-03-26 10:44:46.783151	23375	20.5	1	9
2014-03-26 10:44:47.004476	23376	54	2	9
2014-03-26 10:45:25.776243	23383	20.5	1	9
2014-03-26 10:45:25.996995	23384	54	2	9
2014-03-26 10:46:04.768813	23392	20.5	1	9
2014-03-26 10:46:04.998642	23393	54	2	9
2014-03-26 10:46:43.77573	23403	20.5	1	9
2014-03-26 10:46:43.998508	23404	54	2	9
2014-03-26 10:47:22.766252	23412	20.5	1	9
2014-03-26 10:47:22.990523	23413	54	2	9
2014-03-26 10:48:01.770052	23421	20.5	1	9
2014-03-26 10:48:02.003528	23422	54	2	9
2014-03-26 10:48:40.800481	23430	20.5	1	9
2014-03-26 10:48:41.023649	23431	54	2	9
2014-03-26 10:49:19.780669	23438	20.5	1	9
2014-03-26 10:49:20.002721	23439	54	2	9
2014-03-26 10:49:58.76863	23447	20.5	1	9
2014-03-26 10:49:58.999994	23448	54	2	9
2014-03-26 10:50:37.778081	23456	20.5	1	9
2014-03-26 10:50:38.003416	23457	54	2	9
2014-03-26 10:51:16.775802	23464	20.5	1	9
2014-03-26 10:51:16.99614	23465	54	2	9
2014-03-26 10:51:55.777201	23474	20.5	1	9
2014-03-26 10:51:56.013613	23475	54	2	9
2014-03-26 10:52:34.783172	23484	20.5	1	9
2014-03-26 10:52:35.005853	23485	54	2	9
2014-03-26 10:53:13.782222	23494	20.5	1	9
2014-03-26 10:53:14.00551	23495	54	2	9
2014-03-26 10:53:52.77247	23503	20.5	1	9
2014-03-26 10:53:53.004229	23504	55	2	9
2014-03-26 10:54:31.888914	23512	20.5	1	9
2014-03-26 10:54:32.114732	23513	55	2	9
2014-03-26 10:55:10.781125	23524	20.5	1	9
2014-03-26 10:55:11.004619	23525	55	2	9
2014-03-26 10:55:49.775086	23534	20.5	1	9
2014-03-26 10:55:50.011153	23535	55	2	9
2014-03-26 10:56:28.77563	23542	20.5	1	9
2014-03-26 10:56:29.016205	23543	55	2	9
2014-03-26 10:57:07.771957	23553	20.5	1	9
2014-03-26 10:57:08.014093	23554	55	2	9
2014-03-26 10:57:46.772534	23563	20.5	1	9
2014-03-26 10:57:46.995033	23564	55	2	9
2014-03-26 10:58:26.951117	23573	20.5	1	9
2014-03-26 10:58:27.176401	23574	55	2	9
2014-03-26 10:59:04.774298	23582	20.5	1	9
2014-03-26 10:59:05.005774	23583	55	2	9
2014-03-26 10:59:43.793483	23591	20.5	1	9
2014-03-26 10:59:44.014983	23592	55	2	9
2014-03-26 11:00:22.779969	23599	20.5	1	9
2014-03-26 11:00:23.001577	23600	55	2	9
2014-03-26 11:01:01.775832	23608	20.5	1	9
2014-03-26 11:01:02.005994	23609	55	2	9
2014-03-26 11:01:40.781689	23617	20.5	1	9
2014-03-26 11:01:41.00518	23618	55	2	9
2014-03-26 11:02:19.782854	23625	20.5	1	9
2014-03-26 11:02:20.004147	23626	55	2	9
2014-03-26 11:02:59.951147	23634	20.5	1	9
2014-03-26 11:03:00.183267	23635	55	2	9
2014-03-26 11:03:37.782082	23643	20.5	1	9
2014-03-26 11:03:38.010116	23644	55	2	9
2014-03-26 11:04:16.830558	23653	20.5	1	9
2014-03-26 11:04:17.062301	23654	55	2	9
2014-03-26 11:04:55.784367	23662	20.5	1	9
2014-03-26 11:04:56.005761	23663	55	2	9
2014-03-26 11:05:34.774269	23673	20.5	1	9
2014-03-26 11:05:35.008957	23674	55	2	9
2014-03-26 11:06:13.775602	23681	20.5	1	9
2014-03-26 11:06:14.008697	23682	55	2	9
2014-03-26 11:06:53.949823	23690	20.5	1	9
2014-03-26 11:06:54.17292	23691	55	2	9
2014-03-26 11:07:31.793356	23698	20.5	1	9
2014-03-26 11:07:32.016216	23699	55	2	9
2014-03-26 11:08:10.774243	23707	20.5	1	9
2014-03-26 11:08:11.010983	23708	55	2	9
2014-03-26 11:08:49.784232	23716	20.5	1	9
2014-03-26 11:08:50.010753	23717	55	2	9
2014-03-26 11:09:28.793089	23724	20.5	1	9
2014-03-26 11:09:29.014904	23725	55	2	9
2014-03-26 11:10:07.776509	23733	20.5	1	9
2014-03-26 11:10:08.007143	23734	55	2	9
2014-03-26 11:10:46.798571	23743	20.5	1	9
2014-03-26 11:10:47.020288	23744	55	2	9
2014-03-26 11:11:25.778	23752	20.5	1	9
2014-03-26 11:11:26.008993	23753	55	2	9
2014-03-26 11:12:05.947824	23763	20.5	1	9
2014-03-26 11:12:06.18045	23764	55	2	9
2014-03-26 11:12:43.791031	23772	20.5	1	9
2014-03-26 11:12:44.013357	23773	55	2	9
2014-03-26 11:13:23.952681	23782	20.5	1	9
2014-03-26 11:13:24.184428	23783	55	2	9
2014-03-26 11:14:01.785777	23791	20.5	1	9
2014-03-26 11:14:02.011826	23792	55	2	9
2014-03-26 11:14:40.776748	23800	20.5	1	9
2014-03-26 11:14:40.998417	23801	55	2	9
2014-03-26 11:15:19.783372	23809	20.5	1	9
2014-03-26 11:15:20.015313	23810	55	2	9
2014-03-26 11:15:58.790876	23818	20.5	1	9
2014-03-26 11:15:59.012397	23819	55	2	9
2014-03-26 11:16:37.791112	23827	20.5	1	9
2014-03-26 11:16:38.017876	23828	55	2	9
2014-03-26 11:17:16.842625	23835	20.5	1	9
2014-03-26 11:17:17.065361	23836	55	2	9
2014-03-26 11:17:55.78051	23845	20.4	1	9
2014-03-26 11:17:56.01325	23846	55	2	9
2014-03-26 11:18:34.791365	23857	20.4	1	9
2014-03-26 11:18:35.014133	23858	55	2	9
2014-03-26 11:19:13.789902	23865	20.4	1	9
2014-03-26 11:19:14.012108	23866	55	2	9
2014-03-26 11:19:52.780469	23874	20.4	1	9
2014-03-26 11:19:53.013817	23875	54	2	9
2014-03-26 11:20:31.787558	23882	20.4	1	9
2014-03-26 11:20:32.019355	23883	54	2	9
2014-03-26 11:21:11.430064	23891	20.4	1	9
2014-03-26 11:21:11.901993	23892	54	2	9
2014-03-26 11:21:49.787225	23900	20.4	1	9
2014-03-26 11:21:50.019172	23901	54	2	9
2014-03-26 11:22:28.787015	23908	20.4	1	9
2014-03-26 11:22:29.020738	23909	54	2	9
2014-03-26 11:23:07.784727	23918	20.4	1	9
2014-03-26 11:23:08.017545	23919	54	2	9
2014-03-26 11:23:46.867685	23927	20.4	1	9
2014-03-26 11:23:47.12541	23928	54	2	9
2014-03-26 11:24:26.260151	23935	20.4	1	9
2014-03-26 11:24:26.880057	23936	54	2	9
2014-03-26 11:25:04.783174	23944	20.4	1	9
2014-03-26 11:25:05.020504	23945	54	2	9
2014-03-26 11:25:43.790576	23953	20.4	1	9
2014-03-26 11:25:44.014188	23954	54	2	9
2014-03-26 11:26:22.781072	23962	20.4	1	9
2014-03-26 11:26:23.013731	23963	54	2	9
2014-03-26 11:27:01.793673	23971	20.4	1	9
2014-03-26 11:27:02.016463	23972	54	2	9
2014-03-26 11:27:40.78619	23980	20.4	1	9
2014-03-26 11:27:41.010918	23981	54	2	9
2014-03-26 11:28:19.784415	23988	20.4	1	9
2014-03-26 11:28:20.017922	23989	54	2	9
2014-03-26 11:28:58.979151	23997	20.4	1	9
2014-03-26 11:28:59.200913	23998	54	2	9
2014-03-26 11:29:37.781047	24007	20.4	1	9
2014-03-26 11:29:38.016525	24008	54	2	9
2014-03-26 11:30:16.784096	24015	20.4	1	9
2014-03-26 11:30:17.074617	24016	54	2	9
2014-03-26 11:30:55.791823	24024	20.4	1	9
2014-03-26 11:30:56.013891	24025	54	2	9
2014-03-26 11:31:34.781334	24033	20.4	1	9
2014-03-26 11:31:35.012492	24034	54	2	9
2014-03-26 11:32:13.780644	24041	20.4	1	9
2014-03-26 11:32:14.011562	24042	54	2	9
2014-03-26 11:32:52.846434	24050	20.4	1	9
2014-03-26 11:32:53.066865	24051	54	2	9
2014-03-26 11:33:31.677639	24056	20.4	1	9
2014-03-26 11:33:31.901434	24057	54	2	9
2014-03-26 11:34:10.783954	24065	20.4	1	9
2014-03-26 11:34:11.022916	24066	54	2	9
2014-03-26 11:34:49.797992	24075	20.4	1	9
2014-03-26 11:34:50.025661	24076	54	2	9
2014-03-26 11:35:28.795751	24083	20.4	1	9
2014-03-26 11:35:29.018229	24084	54	2	9
2014-03-26 11:36:08.949491	24092	20.4	1	9
2014-03-26 11:36:09.173082	24093	54	2	9
2014-03-26 11:36:46.787456	24101	20.4	1	9
2014-03-26 11:36:47.020358	24102	54	2	9
2014-03-26 11:37:25.784549	24109	20.4	1	9
2014-03-26 11:37:26.016968	24110	54	2	9
2014-03-26 11:38:04.796665	24118	20.4	1	9
2014-03-26 11:38:05.01796	24119	54	2	9
2014-03-26 11:38:43.789162	24127	20.4	1	9
2014-03-26 11:38:44.011202	24128	54	2	9
2014-03-26 11:39:22.793798	24135	20.4	1	9
2014-03-26 11:39:23.024484	24136	54	2	9
2014-03-26 11:40:01.797451	24144	20.4	1	9
2014-03-26 11:40:02.018119	24145	54	2	9
2014-03-26 11:40:40.784646	24153	20.4	1	9
2014-03-26 11:40:41.017896	24154	54	2	9
2014-03-26 11:41:20.477145	24162	20.4	1	9
2014-03-26 11:41:20.699221	24163	54	2	9
2014-03-26 11:41:58.79044	24172	20.4	1	9
2014-03-26 11:41:59.013578	24173	54	2	9
2014-03-26 11:42:37.813403	24181	20.4	1	9
2014-03-26 11:42:38.057929	24182	54	2	9
2014-03-26 11:43:16.79922	24189	20.4	1	9
2014-03-26 11:43:17.019479	24190	54	2	9
2014-03-26 11:43:55.788895	24198	20.4	1	9
2014-03-26 11:43:56.01159	24199	54	2	9
2014-03-26 11:44:34.797816	24207	20.4	1	9
2014-03-26 11:44:35.020443	24208	54	2	9
2014-03-26 11:45:13.798298	24215	20.4	1	9
2014-03-26 11:45:14.021048	24216	54	2	9
2014-03-26 11:45:52.842533	24224	20.4	1	9
2014-03-26 11:45:53.066779	24225	54	2	9
2014-03-26 11:46:32.477509	24232	20.4	1	9
2014-03-26 11:46:32.71691	24233	54	2	9
2014-03-26 11:47:10.799729	24242	20.4	1	9
2014-03-26 11:47:11.020313	24243	54	2	9
2014-03-26 11:47:49.811775	24251	20.4	1	9
2014-03-26 11:47:50.042804	24252	54	2	9
2014-03-26 11:48:28.79067	24259	20.4	1	9
2014-03-26 11:48:29.023406	24260	54	2	9
2014-03-26 11:49:07.821536	24268	20.4	1	9
2014-03-26 11:49:08.044215	24269	54	2	9
2014-03-26 11:49:46.792389	24277	20.4	1	9
2014-03-26 11:49:47.023921	24278	54	2	9
2014-03-26 11:50:26.94985	24285	20.4	1	9
2014-03-26 11:50:27.183477	24286	54	2	9
2014-03-26 11:51:04.801969	24294	20.4	1	9
2014-03-26 11:51:05.026507	24295	54	2	9
2014-03-26 11:51:43.794419	24303	20.4	1	9
2014-03-26 11:51:44.017297	24304	54	2	9
2014-03-26 11:52:22.799172	24311	20.4	1	9
2014-03-26 11:52:23.045663	24312	54	2	9
2014-03-26 11:53:01.800582	24320	20.4	1	9
2014-03-26 11:53:02.023181	24321	54	2	9
2014-03-26 11:53:40.80553	24330	20.4	1	9
2014-03-26 11:53:41.025952	24331	54	2	9
2014-03-26 11:54:19.803475	24338	20.4	1	9
2014-03-26 11:54:20.02717	24339	54	2	9
2014-03-26 11:54:58.803865	24347	20.4	1	9
2014-03-26 11:54:59.037194	24348	54	2	9
2014-03-26 11:55:37.813762	24356	20.4	1	9
2014-03-26 11:55:38.034794	24357	54	2	9
2014-03-26 11:56:16.799538	24364	20.4	1	9
2014-03-26 11:56:17.024067	24365	54	2	9
2014-03-26 11:56:55.792731	24373	20.4	1	9
2014-03-26 11:56:56.026247	24374	54	2	9
2014-03-26 11:57:34.792945	24384	20.4	1	9
2014-03-26 11:57:35.02635	24385	54	2	9
2014-03-26 11:58:13.794331	24392	20.4	1	9
2014-03-26 11:58:14.026696	24393	54	2	9
2014-03-26 11:58:52.814815	24401	20.4	1	9
2014-03-26 11:58:53.037099	24402	54	2	9
2014-03-26 11:59:31.797504	24411	20.3	1	9
2014-03-26 11:59:32.02806	24412	54	2	9
2014-03-26 12:00:10.797004	24422	20.3	1	9
2014-03-26 12:00:11.028906	24423	54	2	9
2014-03-26 12:00:49.804423	24431	20.3	1	9
2014-03-26 12:00:50.026478	24432	54	2	9
2014-03-26 12:01:28.801646	24439	20.3	1	9
2014-03-26 12:01:29.025991	24440	54	2	9
2014-03-26 12:02:08.948726	24448	20.3	1	9
2014-03-26 12:02:09.173733	24449	54	2	9
2014-03-26 12:02:46.793127	24457	20.3	1	9
2014-03-26 12:02:47.026075	24458	54	2	9
2014-03-26 12:03:25.795039	24465	20.3	1	9
2014-03-26 12:03:26.026482	24466	54	2	9
2014-03-26 12:04:04.803467	24474	20.3	1	9
2014-03-26 12:04:05.025638	24475	54	2	9
2014-03-26 12:04:43.809971	24483	20.3	1	9
2014-03-26 12:04:44.040597	24484	54	2	9
2014-03-26 12:05:22.797847	24491	20.3	1	9
2014-03-26 12:05:23.047337	24492	54	2	9
2014-03-26 12:06:01.804948	24500	20.3	1	9
2014-03-26 12:06:02.027116	24501	54	2	9
2014-03-26 12:06:40.797214	24510	20.3	1	9
2014-03-26 12:06:41.029854	24511	54	2	9
2014-03-26 12:07:19.800277	24518	20.3	1	9
2014-03-26 12:07:20.034026	24519	54	2	9
2014-03-26 12:07:58.805999	24528	20.3	1	9
2014-03-26 12:07:59.03863	24529	54	2	9
2014-03-26 12:08:37.820957	24537	20.3	1	9
2014-03-26 12:08:38.046983	24538	54	2	9
2014-03-26 12:09:16.809458	24547	20.3	1	9
2014-03-26 12:09:17.032073	24548	54	2	9
2014-03-26 12:09:55.797881	24557	20.3	1	9
2014-03-26 12:09:56.033581	24558	54	2	9
2014-03-26 12:10:34.675974	24564	20.3	1	9
2014-03-26 12:10:34.904264	24565	54	2	9
2014-03-26 12:11:13.794719	24572	20.3	1	9
2014-03-26 12:11:14.034703	24573	54	2	9
2014-03-26 12:11:52.817813	24582	20.3	1	9
2014-03-26 12:11:53.044585	24583	54	2	9
2014-03-26 12:12:31.792694	24592	20.3	1	9
2014-03-26 12:12:32.0277	24593	54	2	9
2014-03-26 12:13:10.803332	24602	20.3	1	9
2014-03-26 12:13:11.027233	24603	54	2	9
2014-03-26 12:13:49.792546	24611	20.3	1	9
2014-03-26 12:13:50.024475	24612	54	2	9
2014-03-26 12:14:28.806101	24621	20.3	1	9
2014-03-26 12:14:29.026842	24622	54	2	9
2014-03-26 12:15:07.796144	24630	20.3	1	9
2014-03-26 12:15:08.028157	24631	54	2	9
2014-03-26 12:15:46.806659	24639	20.3	1	9
2014-03-26 12:15:47.027858	24640	54	2	9
2014-03-26 12:16:25.804972	24647	20.3	1	9
2014-03-26 12:16:26.026778	24648	54	2	9
2014-03-26 12:17:04.804338	24656	20.3	1	9
2014-03-26 12:17:05.034813	24657	54	2	9
2014-03-26 12:17:43.80428	24665	20.3	1	9
2014-03-26 12:17:44.028008	24666	54	2	9
2014-03-26 12:18:22.804584	24676	20.3	1	9
2014-03-26 12:18:23.028048	24677	54	2	9
2014-03-26 12:19:01.792583	24686	20.3	1	9
2014-03-26 12:19:02.02556	24687	54	2	9
2014-03-26 12:19:40.803924	24695	20.3	1	9
2014-03-26 12:19:41.026785	24696	54	2	9
2014-03-26 12:20:19.805489	24703	20.3	1	9
2014-03-26 12:20:20.028048	24704	54	2	9
2014-03-26 12:20:59.953836	24712	20.3	1	9
2014-03-26 12:21:00.177721	24713	54	2	9
2014-03-26 12:21:37.940732	24721	20.3	1	9
2014-03-26 12:21:38.164024	24722	54	2	9
2014-03-26 12:22:16.80626	24729	20.3	1	9
2014-03-26 12:22:17.030306	24730	54	2	9
2014-03-26 12:22:55.805502	24739	20.3	1	9
2014-03-26 12:22:56.027466	24740	54	2	9
2014-03-26 12:23:34.805473	24751	20.3	1	9
2014-03-26 12:23:35.030828	24752	54	2	9
2014-03-26 12:24:13.804896	24759	20.3	1	9
2014-03-26 12:24:14.027194	24760	54	2	9
2014-03-26 12:24:52.799127	24768	20.3	1	9
2014-03-26 12:24:53.021473	24769	54	2	9
2014-03-26 12:25:31.80342	24776	20.3	1	9
2014-03-26 12:25:32.027195	24777	54	2	9
2014-03-26 12:26:10.795375	24787	20.3	1	9
2014-03-26 12:26:11.024812	24788	54	2	9
2014-03-26 12:26:49.804107	24796	20.3	1	9
2014-03-26 12:26:50.026743	24797	54	2	9
2014-03-26 12:27:28.884368	24806	20.3	1	9
2014-03-26 12:27:29.1406	24807	54	2	9
2014-03-26 12:28:08.95952	24815	20.4	1	9
2014-03-26 12:28:09.183393	24816	54	2	9
2014-03-26 12:28:46.800842	24825	20.4	1	9
2014-03-26 12:28:47.024083	24826	54	2	9
2014-03-26 12:29:25.801647	24836	20.4	1	9
2014-03-26 12:29:26.026485	24837	54	2	9
2014-03-26 12:30:04.794499	24845	20.4	1	9
2014-03-26 12:30:05.025078	24846	54	2	9
2014-03-26 12:30:44.94906	24856	20.4	1	9
2014-03-26 12:30:45.180114	24857	54	2	9
2014-03-26 12:31:23.952885	24866	20.4	1	9
2014-03-26 12:31:24.184468	24867	54	2	9
2014-03-26 12:32:01.803706	24875	20.4	1	9
2014-03-26 12:32:02.02559	24876	54	2	9
2014-03-26 12:32:40.800446	24884	20.4	1	9
2014-03-26 12:32:41.033022	24885	54	2	9
2014-03-26 12:33:19.813955	24893	20.4	1	9
2014-03-26 12:33:20.037743	24894	54	2	9
2014-03-26 12:33:58.79228	24902	20.4	1	9
2014-03-26 12:33:59.01593	24903	54	2	9
2014-03-26 12:34:37.839164	24911	20.4	1	9
2014-03-26 12:34:38.080968	24912	54	2	9
2014-03-26 12:35:17.443217	24919	20.4	1	9
2014-03-26 12:35:17.88211	24920	54	2	9
2014-03-26 12:35:56.274296	24925	20.4	1	9
2014-03-26 12:35:56.503275	24926	54	2	9
2014-03-26 12:36:34.834509	24935	20.4	1	9
2014-03-26 12:36:35.064546	24936	54	2	9
2014-03-26 12:37:14.951948	24943	20.4	1	9
2014-03-26 12:37:15.177225	24944	54	2	9
2014-03-26 12:37:52.814476	24953	20.4	1	9
2014-03-26 12:37:53.046786	24954	54	2	9
2014-03-26 12:38:31.813493	24965	20.4	1	9
2014-03-26 12:38:32.046786	24966	54	2	9
2014-03-26 12:39:10.807499	24975	20.4	1	9
2014-03-26 12:39:11.033712	24976	54	2	9
2014-03-26 12:39:49.796349	24985	20.4	1	9
2014-03-26 12:39:50.032243	24986	54	2	9
2014-03-26 12:40:28.796764	24993	20.4	1	9
2014-03-26 12:40:29.030568	24994	54	2	9
2014-03-26 12:41:07.806817	25003	20.3	1	9
2014-03-26 12:41:08.031091	25004	54	2	9
2014-03-26 12:41:46.7981	25013	20.3	1	9
2014-03-26 12:41:47.031475	25014	54	2	9
2014-03-26 12:42:25.8137	25021	20.3	1	9
2014-03-26 12:42:26.049184	25022	54	2	9
2014-03-26 12:43:04.824851	25031	20.3	1	9
2014-03-26 12:43:05.047651	25032	54	2	9
2014-03-26 12:43:44.948479	25041	20.3	1	9
2014-03-26 12:43:45.181015	25042	54	2	9
2014-03-26 12:44:22.804383	25049	20.3	1	9
2014-03-26 12:44:23.037922	25050	54	2	9
2014-03-26 12:45:02.950178	25061	20.3	1	9
2014-03-26 12:45:03.356927	25062	54	2	9
2014-03-26 12:45:40.801928	25073	20.3	1	9
2014-03-26 12:45:41.025068	25074	54	2	9
2014-03-26 12:46:20.9473	25081	20.3	1	9
2014-03-26 12:46:21.172017	25082	54	2	9
2014-03-26 12:46:58.800202	25091	20.3	1	9
2014-03-26 12:46:59.033136	25092	54	2	9
2014-03-26 12:47:37.817518	25101	20.3	1	9
2014-03-26 12:47:38.06433	25102	53	2	9
2014-03-26 12:48:16.825188	25109	20.3	1	9
2014-03-26 12:48:17.050306	25110	53	2	9
2014-03-26 12:48:55.802359	25119	20.3	1	9
2014-03-26 12:48:56.036279	25120	53	2	9
2014-03-26 12:49:34.812709	25129	20.3	1	9
2014-03-26 12:49:35.036423	25130	53	2	9
2014-03-26 12:50:13.809584	25141	20.3	1	9
2014-03-26 12:50:14.035466	25142	53	2	9
2014-03-26 12:50:52.798667	25151	20.3	1	9
2014-03-26 12:50:53.034221	25152	53	2	9
2014-03-26 12:51:31.800683	25163	20.3	1	9
2014-03-26 12:51:32.033781	25164	53	2	9
2014-03-26 12:52:10.799502	25175	20.3	1	9
2014-03-26 12:52:11.033604	25176	53	2	9
2014-03-26 12:52:49.808738	25185	20.3	1	9
2014-03-26 12:52:50.030655	25186	53	2	9
2014-03-26 12:53:28.809642	25193	20.3	1	9
2014-03-26 12:53:29.032684	25194	53	2	9
2014-03-26 12:54:07.796303	25203	20.3	1	9
2014-03-26 12:54:08.041311	25204	53	2	9
2014-03-26 12:54:46.796325	25215	20.3	1	9
2014-03-26 12:54:47.030276	25216	53	2	9
2014-03-26 12:55:25.805542	25225	20.3	1	9
2014-03-26 12:55:26.031076	25226	53	2	9
2014-03-26 12:56:04.796148	25235	20.3	1	9
2014-03-26 12:56:05.031579	25236	53	2	9
2014-03-26 12:56:43.797608	25247	20.3	1	9
2014-03-26 12:56:44.030729	25248	53	2	9
2014-03-26 12:57:22.798236	25255	20.3	1	9
2014-03-26 12:57:23.032133	25256	53	2	9
2014-03-26 12:58:01.813642	25265	20.3	1	9
2014-03-26 12:58:02.035738	25266	53	2	9
2014-03-26 12:58:40.802184	25275	20.3	1	9
2014-03-26 12:58:41.035103	25276	53	2	9
2014-03-26 12:59:19.853487	25283	20.3	1	9
2014-03-26 12:59:20.086983	25284	53	2	9
2014-03-26 12:59:58.812516	25293	20.3	1	9
2014-03-26 12:59:59.035222	25294	53	2	9
2014-03-26 13:00:37.794838	25303	20.3	1	9
2014-03-26 13:00:38.032952	25304	53	2	9
2014-03-26 13:01:16.795111	25311	20.3	1	9
2014-03-26 13:01:17.029945	25312	53	2	9
2014-03-26 13:01:55.852651	25323	20.3	1	9
2014-03-26 13:01:56.086591	25324	53	2	9
2014-03-26 13:02:34.814352	25333	20.3	1	9
2014-03-26 13:02:35.03802	25334	53	2	9
2014-03-26 13:03:13.815691	25341	20.3	1	9
2014-03-26 13:03:14.038461	25342	53	2	9
2014-03-26 13:03:52.80732	25353	20.3	1	9
2014-03-26 13:03:53.030497	25354	53	2	9
2014-03-26 13:04:31.830755	25361	20.3	1	9
2014-03-26 13:04:32.053351	25362	53	2	9
2014-03-26 13:05:10.679526	25369	20.3	1	9
2014-03-26 13:05:10.904067	25370	53	2	9
2014-03-26 13:05:49.809602	25381	20.3	1	9
2014-03-26 13:05:50.0324	25382	53	2	9
2014-03-26 13:06:28.805618	25389	20.3	1	9
2014-03-26 13:06:29.031182	25390	53	2	9
2014-03-26 13:07:07.797593	25399	20.3	1	9
2014-03-26 13:07:08.041501	25400	53	2	9
2014-03-26 13:07:47.166683	25409	20.3	1	9
2014-03-26 13:07:47.388664	25410	53	2	9
2014-03-26 13:08:25.812172	25421	20.3	1	9
2014-03-26 13:08:26.034773	25422	53	2	9
2014-03-26 13:09:04.796891	25431	20.3	1	9
2014-03-26 13:09:05.029463	25432	53	2	9
2014-03-26 13:09:43.808871	25441	20.3	1	9
2014-03-26 13:09:44.033097	25442	53	2	9
2014-03-26 13:10:23.947776	25449	20.3	1	9
2014-03-26 13:10:24.171809	25450	53	2	9
2014-03-26 13:11:01.796516	25459	20.3	1	9
2014-03-26 13:11:02.030309	25460	53	2	9
2014-03-26 13:11:40.680813	25467	20.3	1	9
2014-03-26 13:11:40.916379	25468	53	2	9
2014-03-26 13:12:19.858178	25475	20.3	1	9
2014-03-26 13:12:20.092582	25476	53	2	9
2014-03-26 13:12:58.804372	25487	20.3	1	9
2014-03-26 13:12:59.036608	25488	53	2	9
2014-03-26 13:13:37.798914	25499	20.3	1	9
2014-03-26 13:13:38.034358	25500	53	2	9
2014-03-26 13:14:16.800802	25507	20.3	1	9
2014-03-26 13:14:17.033563	25508	53	2	9
2014-03-26 13:14:55.809492	25517	20.3	1	9
2014-03-26 13:14:56.03157	25518	53	2	9
2014-03-26 13:15:34.796614	25527	20.3	1	9
2014-03-26 13:15:35.029178	25528	53	2	9
2014-03-26 13:16:13.797478	25535	20.3	1	9
2014-03-26 13:16:14.032824	25536	53	2	9
2014-03-26 13:16:52.803927	25545	20.3	1	9
2014-03-26 13:16:53.082149	25546	53	2	9
2014-03-26 13:17:32.468327	25553	20.3	1	9
2014-03-26 13:17:33.399324	25554	53	2	9
2014-03-26 13:18:10.796512	25563	20.3	1	9
2014-03-26 13:18:11.028926	25564	53	2	9
2014-03-26 13:18:49.810789	25573	20.3	1	9
2014-03-26 13:18:50.03555	25574	53	2	9
2014-03-26 13:19:28.803004	25583	20.3	1	9
2014-03-26 13:19:29.039225	25584	53	2	9
2014-03-26 13:20:07.802493	25595	20.3	1	9
2014-03-26 13:20:08.045098	25596	53	2	9
2014-03-26 13:20:47.435242	25609	20.3	1	9
2014-03-26 13:20:47.859796	25610	53	2	9
2014-03-26 13:21:25.808185	25621	20.3	1	9
2014-03-26 13:21:26.030831	25622	53	2	9
2014-03-26 13:22:04.795192	25631	20.3	1	9
2014-03-26 13:22:05.029872	25632	53	2	9
2014-03-26 13:22:43.678082	25639	20.3	1	9
2014-03-26 13:22:43.914342	25640	53	2	9
2014-03-26 13:23:22.796137	25647	20.3	1	9
2014-03-26 13:23:23.028422	25648	53	2	9
2014-03-26 13:24:01.816845	25657	20.3	1	9
2014-03-26 13:24:02.041831	25658	53	2	9
2014-03-26 13:24:41.170148	25667	20.3	1	9
2014-03-26 13:24:41.405057	25668	53	2	9
2014-03-26 13:26:37.677143	25695	20.3	1	9
2014-03-26 13:26:37.915502	25696	53	2	9
2014-03-26 13:27:16.83004	25703	20.3	1	9
2014-03-26 13:27:17.279914	25704	53	2	9
2014-03-26 13:27:55.678995	25711	20.3	1	9
2014-03-26 13:27:55.916567	25712	53	2	9
2014-03-26 13:28:34.675925	25719	20.3	1	9
2014-03-26 13:28:34.911832	25720	53	2	9
2014-03-26 13:29:52.804766	25735	20.3	1	9
2014-03-26 13:29:53.037917	25736	53	2	9
2014-03-26 13:34:25.678187	25779	20.3	1	9
2014-03-26 13:34:25.927327	25780	53	2	9
2014-03-26 13:35:05.949538	25787	20.3	1	9
2014-03-26 13:35:06.183212	25788	53	2	9
2014-03-27 00:12:44.044124	33945	21.0	1	9
2014-03-27 00:12:44.271007	33946	47	2	9
2014-03-27 00:12:45.133513	33947	21.5	1	8
2014-03-27 00:12:45.366029	33948	47	2	8
2014-03-27 00:12:59.620275	33949	20.0	1	1
2014-03-27 00:12:59.845479	33950	50	2	1
2014-03-27 00:13:12.743349	33951	23.1	1	10
2014-03-27 00:13:12.977696	33952	41	2	10
2014-03-27 00:13:20.544925	33953	370	3	2
2014-03-27 00:13:20.771108	33954	1089172.8425420045	4	2
2014-03-27 00:13:23.042553	33955	21.0	1	9
2014-03-27 00:13:23.279309	33956	47	2	9
2014-03-27 00:13:24.133714	33957	21.5	1	8
2014-03-27 00:13:24.358585	33958	47	2	8
2014-03-27 00:13:32.542701	33959	402	3	2
2014-03-27 00:13:32.79648	33960	1089173.991576726	4	2
2014-03-27 00:13:38.619009	33961	20.0	1	1
2014-03-27 00:13:38.84492	33962	50	2	1
2014-03-27 00:13:44.54423	33963	402	3	2
2014-03-27 00:13:44.779536	33964	1089175.1406114474	4	2
2014-03-27 00:13:51.743334	33965	23.1	1	10
2014-03-27 00:13:51.969046	33966	41	2	10
2014-03-27 00:14:02.042261	33967	21.0	1	9
2014-03-27 00:14:02.277398	33968	47	2	9
2014-03-27 00:14:03.132201	33969	21.5	1	8
2014-03-27 00:14:03.356398	33970	47	2	8
2014-03-27 00:14:17.623396	33971	20.0	1	1
2014-03-27 00:14:17.858028	33972	50	2	1
2014-03-27 00:14:30.763074	33973	23.1	1	10
2014-03-27 00:14:30.987319	33974	41	2	10
2014-03-27 00:14:32.542008	33975	370	3	2
2014-03-27 00:14:32.783075	33976	1089180.8857850544	4	2
2014-03-27 00:14:41.042282	33977	21.0	1	9
2014-03-27 00:14:41.267935	33978	47	2	9
2014-03-27 00:14:42.132446	33979	21.5	1	8
2014-03-27 00:14:42.36853	33980	47	2	8
2014-03-27 00:14:44.542006	33981	402	3	2
2014-03-27 00:14:44.766152	33982	1089182.034819776	4	2
2014-03-27 00:14:56.856979	33983	20.0	1	1
2014-03-27 00:14:57.08958	33984	50	2	1
2014-03-27 00:15:09.744896	33985	23.1	1	10
2014-03-27 00:15:09.968931	33986	41	2	10
2014-03-27 00:15:20.043117	33987	21.0	1	9
2014-03-26 18:57:29.185416	28837	22.0	1	9
2014-03-26 18:57:29.626232	28838	50	2	9
2014-03-26 18:57:30.39997	28839	20.6	1	8
2014-03-26 18:57:30.8034	28840	51	2	8
2014-03-26 18:57:32.588119	28841	627	3	2
2014-03-26 18:57:32.813461	28842	1086430.0519524647	4	2
2014-03-26 18:57:44.804988	28843	21.2	1	1
2014-03-26 18:57:45.044815	28844	49	2	1
2014-03-26 18:58:08.058437	28845	22.0	1	9
2014-03-26 18:58:08.283946	28846	50	2	9
2014-03-26 18:58:09.14285	28847	20.6	1	8
2014-03-26 18:58:09.387586	28848	51	2	8
2014-03-26 18:58:23.802582	28849	21.2	1	1
2014-03-26 18:58:24.048293	28850	49	2	1
2014-03-26 18:58:32.587576	28851	643	3	2
2014-03-26 18:58:32.825542	28852	1086441.542299679	4	2
2014-03-26 18:58:44.585807	28853	676	3	2
2014-03-26 18:58:44.810827	28854	1086443.8403691219	4	2
2014-03-26 18:58:47.058864	28855	21.9	1	9
2014-03-26 18:58:47.291676	28856	50	2	9
2014-03-26 18:58:48.142281	28857	20.6	1	8
2014-03-26 18:58:48.365546	28858	51	2	8
2014-03-26 18:58:56.593912	28859	676	3	2
2014-03-26 18:58:56.839227	28860	1086446.1384385647	4	2
2014-03-26 18:59:02.802644	28861	21.2	1	1
2014-03-26 18:59:03.026255	28862	49	2	1
2014-03-26 18:59:26.057633	28863	21.9	1	9
2014-03-26 18:59:26.294138	28864	50	2	9
2014-03-26 18:59:27.197222	28865	20.6	1	8
2014-03-26 18:59:27.423644	28866	52	2	8
2014-03-26 18:59:32.585165	28867	676	3	2
2014-03-26 18:59:32.823132	28868	1086451.8836121717	4	2
2014-03-26 18:59:41.796983	28869	21.2	1	1
2014-03-26 18:59:42.021805	28870	49	2	1
2014-03-26 19:00:05.056452	28871	21.8	1	9
2014-03-26 19:00:05.291679	28872	50	2	9
2014-03-26 19:00:06.14269	28873	20.6	1	8
2014-03-26 19:00:06.366025	28874	52	2	8
2014-03-26 19:00:20.803108	28875	21.2	1	1
2014-03-26 19:00:21.039395	28876	49	2	1
2014-03-26 19:00:32.58511	28877	676	3	2
2014-03-26 19:00:32.817652	28878	1086463.3739593858	4	2
2014-03-26 19:00:44.058047	28879	21.8	1	9
2014-03-26 19:00:44.292175	28880	50	2	9
2014-03-26 19:00:45.142729	28881	20.6	1	8
2014-03-26 19:00:45.375431	28882	52	2	8
2014-03-26 19:00:59.801971	28883	21.2	1	1
2014-03-26 19:01:00.037161	28884	49	2	1
2014-03-26 19:01:23.059276	28885	21.7	1	9
2014-03-26 19:01:23.283138	28886	50	2	9
2014-03-26 19:01:24.141816	28887	20.6	1	8
2014-03-26 19:01:24.375454	28888	52	2	8
2014-03-26 19:01:32.586279	28889	692	3	2
2014-03-26 19:01:32.81115	28890	1086474.8643066	4	2
2014-03-26 19:01:38.799187	28891	21.2	1	1
2014-03-26 19:01:39.035008	28892	49	2	1
2014-03-26 19:02:02.06014	28893	21.7	1	9
2014-03-26 19:02:02.285366	28894	50	2	9
2014-03-26 19:02:03.143769	28895	20.6	1	8
2014-03-26 19:02:03.376473	28896	52	2	8
2014-03-26 19:02:17.800002	28897	21.2	1	1
2014-03-26 19:02:18.024225	28898	49	2	1
2014-03-26 19:02:32.587295	28899	659	3	2
2014-03-26 19:02:32.826406	28900	1086485.210090045	4	2
2014-03-26 19:02:41.058063	28901	21.7	1	9
2014-03-26 19:02:41.285926	28902	50	2	9
2014-03-26 19:02:42.142432	28903	20.6	1	8
2014-03-26 19:02:42.392648	28904	52	2	8
2014-03-26 19:02:44.58444	28905	676	3	2
2014-03-26 19:02:44.809376	28906	1086487.5081594877	4	2
2014-03-26 19:02:56.800438	28907	21.2	1	1
2014-03-26 19:02:57.046559	28908	49	2	1
2014-03-26 19:03:20.057209	28909	21.6	1	9
2014-03-26 19:03:20.282327	28910	50	2	9
2014-03-26 19:03:21.142804	28911	20.6	1	8
2014-03-26 19:03:21.377213	28912	52	2	8
2014-03-26 19:03:32.585199	28913	659	3	2
2014-03-26 19:03:32.815613	28914	1086496.7004372592	4	2
2014-03-26 19:03:35.80064	28915	21.2	1	1
2014-03-26 19:03:36.034546	28916	49	2	1
2014-03-26 19:03:59.05798	28917	21.6	1	9
2014-03-26 19:03:59.284274	28918	50	2	9
2014-03-26 19:04:00.143118	28919	20.7	1	8
2014-03-26 19:04:00.376888	28920	52	2	8
2014-03-26 19:04:14.794858	28921	21.2	1	1
2014-03-26 19:04:15.019947	28922	49	2	1
2014-03-26 19:04:32.584179	28923	676	3	2
2014-03-26 19:04:32.824318	28924	1086508.1907844732	4	2
2014-03-26 19:04:38.191199	28925	21.6	1	9
2014-03-26 19:04:38.620096	28926	50	2	9
2014-03-26 19:04:39.270012	28927	20.7	1	8
2014-03-26 19:04:39.719994	28928	52	2	8
2014-03-26 19:04:44.601251	28929	627	3	2
2014-03-26 19:04:44.851259	28930	1086510.488853916	4	2
2014-03-26 19:04:53.799137	28931	21.2	1	1
2014-03-26 19:04:54.033705	28932	49	2	1
2014-03-26 19:04:56.586841	28933	611	3	2
2014-03-26 19:04:56.814902	28934	1086511.6378886376	4	2
2014-03-26 19:05:17.062006	28935	21.6	1	9
2014-03-26 19:05:17.295049	28936	50	2	9
2014-03-26 19:05:18.142184	28937	20.7	1	8
2014-03-26 19:05:18.365057	28938	52	2	8
2014-03-26 19:05:20.583439	28939	547	3	2
2014-03-26 19:05:20.81798	28940	1086516.234027523	4	2
2014-03-26 19:05:32.586523	28941	531	3	2
2014-03-26 19:05:32.833587	28942	1086517.3830622446	4	2
2014-03-26 19:05:33.141674	28943	21.2	1	1
2014-03-26 19:05:33.375238	28944	49	2	1
2014-03-26 19:05:56.059027	28945	21.5	1	9
2014-03-26 19:05:56.283562	28946	50	2	9
2014-03-26 19:05:57.142328	28947	20.7	1	8
2014-03-26 19:05:57.374808	28948	52	2	8
2014-03-26 19:06:11.797427	28949	21.2	1	1
2014-03-26 19:06:12.02354	28950	49	2	1
2014-03-26 19:06:32.586368	28951	531	3	2
2014-03-26 19:06:32.827519	28952	1086526.575340016	4	2
2014-03-26 19:06:35.057479	28953	21.5	1	9
2014-03-26 19:06:35.285405	28954	50	2	9
2014-03-26 19:06:36.14211	28955	20.7	1	8
2014-03-26 19:06:36.386144	28956	52	2	8
2014-03-26 19:06:50.795441	28957	21.2	1	1
2014-03-26 19:06:51.023597	28958	49	2	1
2014-03-26 19:07:14.059183	28959	21.5	1	9
2014-03-26 19:07:14.294184	28960	50	2	9
2014-03-26 19:07:15.143808	28961	20.7	1	8
2014-03-26 19:07:15.367661	28962	52	2	8
2014-03-26 19:07:29.793286	28963	21.2	1	1
2014-03-26 19:07:30.0272	28964	49	2	1
2014-03-26 19:07:32.585807	28965	547	3	2
2014-03-26 19:07:32.817814	28966	1086535.7676177872	4	2
2014-03-26 19:07:53.057117	28967	21.5	1	9
2014-03-26 19:07:53.294754	28968	50	2	9
2014-03-26 19:07:54.142016	28969	20.7	1	8
2014-03-26 19:07:54.368655	28970	52	2	8
2014-03-26 19:08:08.796659	28971	21.2	1	1
2014-03-26 19:08:09.032018	28972	49	2	1
2014-03-26 19:08:32.057001	28973	21.4	1	9
2014-03-26 19:08:32.302415	28974	50	2	9
2014-03-26 19:08:32.617811	28975	531	3	2
2014-03-26 19:08:32.85422	28976	1086544.9598955587	4	2
2014-03-26 19:08:33.161935	28977	20.7	1	8
2014-03-26 19:08:33.390832	28978	52	2	8
2014-03-26 19:08:44.583785	28979	579	3	2
2014-03-26 19:08:44.81874	28980	1086547.2579650015	4	2
2014-03-26 19:08:47.7959	28981	21.2	1	1
2014-03-26 19:08:48.019412	28982	49	2	1
2014-03-26 19:08:56.581374	28983	547	3	2
2014-03-26 19:08:56.816572	28984	1086548.4069997228	4	2
2014-03-26 19:09:08.585075	28985	547	3	2
2014-03-26 19:09:08.810582	28986	1086550.7050691657	4	2
2014-03-26 19:09:11.056747	28987	21.4	1	9
2014-03-26 19:09:11.348083	28988	50	2	9
2014-03-26 19:09:12.142155	28989	20.7	1	8
2014-03-26 19:09:12.365493	28990	52	2	8
2014-03-26 19:09:26.794633	28991	21.2	1	1
2014-03-26 19:09:27.029883	28992	49	2	1
2014-03-26 19:09:32.587766	28993	579	3	2
2014-03-26 19:09:32.820662	28994	1086554.1521733298	4	2
2014-03-26 19:09:44.586192	28995	547	3	2
2014-03-26 19:09:44.819789	28996	1086556.4502427727	4	2
2014-03-26 19:09:50.061402	28997	21.4	1	9
2014-03-26 19:09:50.285229	28998	50	2	9
2014-03-26 19:09:51.142909	28999	20.7	1	8
2014-03-26 19:09:51.375644	29000	52	2	8
2014-03-26 19:09:56.58897	29001	547	3	2
2014-03-26 19:09:56.81399	29002	1086557.5992774942	4	2
2014-03-26 19:10:05.794249	29003	21.2	1	1
2014-03-26 19:10:06.039545	29004	49	2	1
2014-03-26 19:10:29.057187	29005	21.4	1	9
2014-03-26 19:10:29.282028	29006	50	2	9
2014-03-26 19:10:30.140812	29007	20.7	1	8
2014-03-26 19:10:30.374448	29008	52	2	8
2014-03-26 19:10:32.585158	29009	579	3	2
2014-03-26 19:10:32.818074	29010	1086563.3444511013	4	2
2014-03-26 19:10:44.585311	29011	531	3	2
2014-03-26 19:10:44.824925	29012	1086565.6425205441	4	2
2014-03-26 19:10:45.132572	29013	21.2	1	1
2014-03-26 19:10:45.356346	29014	49	2	1
2014-03-26 19:10:56.58638	29015	547	3	2
2014-03-26 19:10:56.821819	29016	1086567.940589987	4	2
2014-03-26 19:11:08.057287	29017	21.4	1	9
2014-03-26 19:11:08.281455	29018	50	2	9
2014-03-26 19:11:09.143239	29019	20.7	1	8
2014-03-26 19:11:09.375463	29020	52	2	8
2014-03-26 19:11:20.583775	29021	627	3	2
2014-03-26 19:11:20.809249	29022	1086571.3876941511	4	2
2014-03-26 19:11:23.792388	29023	21.2	1	1
2014-03-26 19:11:24.028716	29024	49	2	1
2014-03-26 19:11:32.583188	29025	643	3	2
2014-03-26 19:11:32.814214	29026	1086573.685763594	4	2
2014-03-26 19:11:47.05673	29027	21.4	1	9
2014-03-26 19:11:47.292825	29028	50	2	9
2014-03-26 19:11:48.142709	29029	20.7	1	8
2014-03-26 19:11:48.374234	29030	52	2	8
2014-03-26 19:12:02.791136	29031	21.2	1	1
2014-03-26 19:12:03.026089	29032	49	2	1
2014-03-26 19:12:08.585024	29033	611	3	2
2014-03-26 19:12:08.814317	29034	1086579.430937201	4	2
2014-03-26 19:12:20.588591	29035	627	3	2
2014-03-26 19:12:20.82189	29036	1086581.7290066439	4	2
2014-03-26 19:12:26.062792	29037	21.4	1	9
2014-03-26 19:12:26.286512	29038	50	2	9
2014-03-26 19:12:27.143955	29039	20.7	1	8
2014-03-26 19:12:27.432661	29040	52	2	8
2014-03-26 19:12:32.584287	29041	627	3	2
2014-03-26 19:12:32.807565	29042	1086584.0270760867	4	2
2014-03-26 19:12:41.791937	29043	21.2	1	1
2014-03-26 19:12:42.027338	29044	49	2	1
2014-03-26 19:13:05.055715	29045	21.4	1	9
2014-03-26 19:13:05.281806	29046	50	2	9
2014-03-26 19:13:06.143441	29047	20.7	1	8
2014-03-26 19:13:06.377912	29048	52	2	8
2014-03-26 19:13:20.793076	29049	21.2	1	1
2014-03-26 19:13:21.017822	29050	49	2	1
2014-03-26 19:13:32.582618	29051	627	3	2
2014-03-26 19:13:32.834489	29052	1086594.3683885795	4	2
2014-03-26 19:13:44.056235	29053	21.4	1	9
2014-03-26 19:13:44.283842	29054	50	2	9
2014-03-26 19:13:45.142786	29055	20.7	1	8
2014-03-26 19:13:45.379626	29056	52	2	8
2014-03-26 19:13:59.791603	29057	21.2	1	1
2014-03-26 19:14:00.035347	29058	49	2	1
2014-03-26 19:14:20.582258	29059	595	3	2
2014-03-26 19:14:20.816757	29060	1086602.4116316293	4	2
2014-03-26 19:14:23.058686	29061	21.4	1	9
2014-03-26 19:14:23.282797	29062	50	2	9
2014-03-26 19:14:24.142825	29063	20.7	1	8
2014-03-26 19:14:24.377095	29064	52	2	8
2014-03-26 19:14:32.584173	29065	595	3	2
2014-03-26 19:14:32.815452	29066	1086604.7097010722	4	2
2014-03-26 19:14:38.787332	29067	21.2	1	1
2014-03-26 19:14:39.023249	29068	49	2	1
2014-03-26 19:15:02.056545	29069	21.3	1	9
2014-03-26 19:15:02.284319	29070	50	2	9
2014-03-26 19:15:03.142856	29071	20.7	1	8
2014-03-26 19:15:03.37655	29072	52	2	8
2014-03-26 19:15:17.790516	29073	21.3	1	1
2014-03-26 19:15:18.014277	29074	49	2	1
2014-03-26 19:15:32.584491	29075	595	3	2
2014-03-26 19:15:32.826412	29076	1086615.051013565	4	2
2014-03-26 19:15:41.056434	29077	21.3	1	9
2014-03-26 19:15:41.281981	29078	50	2	9
2014-03-26 19:15:42.141678	29079	20.7	1	8
2014-03-26 19:15:42.384574	29080	52	2	8
2014-03-26 19:15:56.79348	29081	21.3	1	1
2014-03-26 19:15:57.018746	29082	49	2	1
2014-03-26 19:16:20.056363	29083	21.3	1	9
2014-03-26 19:16:20.290547	29084	50	2	9
2014-03-26 19:16:21.142008	29085	20.7	1	8
2014-03-26 19:16:21.367238	29086	52	2	8
2014-03-26 19:16:32.581794	29087	531	3	2
2014-03-26 19:16:32.825368	29088	1086624.243291336	4	2
2014-03-26 19:16:35.792561	29089	21.3	1	1
2014-03-26 19:16:36.01728	29090	49	2	1
2014-03-26 19:16:44.581977	29091	531	3	2
2014-03-26 19:16:44.824079	29092	1086626.541360779	4	2
2014-03-26 19:16:59.056427	29093	21.3	1	9
2014-03-26 19:16:59.281937	29094	50	2	9
2014-03-26 19:17:00.144221	29095	20.7	1	8
2014-03-26 19:17:00.378681	29096	52	2	8
2014-03-26 19:17:14.792836	29097	21.3	1	1
2014-03-26 19:17:15.020163	29098	49	2	1
2014-03-26 19:17:32.584647	29099	531	3	2
2014-03-26 19:17:32.836065	29100	1086633.4355691075	4	2
2014-03-26 19:17:38.057685	29101	21.3	1	9
2014-03-26 19:17:38.304224	29102	50	2	9
2014-03-26 19:17:39.14184	29103	20.7	1	8
2014-03-26 19:17:39.396058	29104	52	2	8
2014-03-26 19:17:53.791793	29105	21.3	1	1
2014-03-26 19:17:54.017703	29106	49	2	1
2014-03-26 19:18:17.056465	29107	21.3	1	9
2014-03-26 19:18:17.292393	29108	50	2	9
2014-03-26 19:18:18.143348	29109	20.7	1	8
2014-03-26 19:18:18.366891	29110	52	2	8
2014-03-26 19:18:32.583976	29111	531	3	2
2014-03-26 19:18:32.824054	29112	1086642.627846879	4	2
2014-03-26 19:18:33.132292	29113	21.3	1	1
2014-03-26 19:18:33.35709	29114	49	2	1
2014-03-26 19:18:56.056504	29115	21.3	1	9
2014-03-26 19:18:56.291322	29116	50	2	9
2014-03-26 19:18:57.142464	29117	20.7	1	8
2014-03-26 19:18:57.366621	29118	52	2	8
2014-03-26 19:19:11.80558	29119	21.3	1	1
2014-03-26 19:19:12.039553	29120	49	2	1
2014-03-26 19:19:32.583916	29121	531	3	2
2014-03-26 19:19:32.835409	29122	1086650.6710899288	4	2
2014-03-26 19:19:35.056156	29123	21.3	1	9
2014-03-26 19:19:35.290672	29124	50	2	9
2014-03-26 19:19:36.142294	29125	20.7	1	8
2014-03-26 19:19:36.366447	29126	52	2	8
2014-03-26 19:19:50.78965	29127	21.3	1	1
2014-03-26 19:19:51.02397	29128	49	2	1
2014-03-26 19:20:14.056523	29129	21.3	1	9
2014-03-26 19:20:14.278941	29130	50	2	9
2014-03-26 19:20:15.142121	29131	20.7	1	8
2014-03-26 19:20:15.375548	29132	52	2	8
2014-03-26 19:20:29.785825	29133	21.3	1	1
2014-03-26 19:20:30.011492	29134	49	2	1
2014-03-26 19:20:32.587522	29135	531	3	2
2014-03-26 19:20:32.829059	29136	1086659.8633677	4	2
2014-03-26 19:20:53.056379	29137	21.3	1	9
2014-03-26 19:20:53.280644	29138	50	2	9
2014-03-26 19:20:54.142354	29139	20.7	1	8
2014-03-26 19:20:54.376016	29140	52	2	8
2014-03-26 19:21:08.790658	29141	21.3	1	1
2014-03-26 19:21:09.015182	29142	49	2	1
2014-03-26 19:21:32.055569	29143	21.3	1	9
2014-03-26 19:21:32.29062	29144	50	2	9
2014-03-26 19:21:32.600738	29145	531	3	2
2014-03-26 19:21:32.834655	29146	1086669.0556454714	4	2
2014-03-26 19:21:33.14498	29147	20.7	1	8
2014-03-26 19:21:33.390885	29148	52	2	8
2014-03-26 19:21:47.791942	29149	21.3	1	1
2014-03-26 19:21:48.01755	29150	49	2	1
2014-03-26 19:22:11.056982	29151	21.3	1	9
2014-03-26 19:22:11.475878	29152	50	2	9
2014-03-26 19:22:12.140995	29153	20.7	1	8
2014-03-26 19:22:12.371322	29154	52	2	8
2014-03-26 19:22:20.585718	29155	627	3	2
2014-03-26 19:22:20.811945	29156	1086675.9498537998	4	2
2014-03-26 19:22:26.78476	29157	21.3	1	1
2014-03-26 19:22:27.02085	29158	49	2	1
2014-03-26 19:22:32.580278	29159	611	3	2
2014-03-26 19:22:32.811004	29160	1086678.2479232426	4	2
2014-03-26 19:22:39.689949	29161	21.5	1	10
2014-03-26 19:22:39.926437	29162	40	2	10
2014-03-26 19:22:50.058707	29163	21.3	1	9
2014-03-26 19:22:50.283752	29164	50	2	9
2014-03-26 19:22:51.141853	29165	20.7	1	8
2014-03-26 19:22:51.375657	29166	52	2	8
2014-03-26 19:22:56.582548	29167	659	3	2
2014-03-26 19:22:56.807578	29168	1086682.8440621283	4	2
2014-03-26 19:23:05.785545	29169	21.3	1	1
2014-03-26 19:23:06.020023	29170	49	2	1
2014-03-26 19:23:08.581512	29171	595	3	2
2014-03-26 19:23:08.804575	29172	1086683.9930968499	4	2
2014-03-26 19:23:20.582719	29173	595	3	2
2014-03-26 19:23:20.816865	29174	1086686.2911662925	4	2
2014-03-26 19:23:29.055825	29175	21.3	1	9
2014-03-26 19:23:29.282811	29176	50	2	9
2014-03-26 19:23:30.142903	29177	20.7	1	8
2014-03-26 19:23:30.377793	29178	52	2	8
2014-03-26 19:23:32.712257	29179	595	3	2
2014-03-26 19:23:33.140001	29180	1086688.5892357354	4	2
2014-03-26 19:23:44.790492	29181	21.3	1	1
2014-03-26 19:23:45.031059	29182	49	2	1
2014-03-26 19:24:08.056329	29183	21.3	1	9
2014-03-26 19:24:08.281576	29184	50	2	9
2014-03-26 19:24:09.143128	29185	20.7	1	8
2014-03-26 19:24:09.37792	29186	52	2	8
2014-03-25 11:06:28.014726	3794	61	2	10
2014-03-25 11:07:06.782457	3800	20.5	1	10
2014-03-25 11:07:07.015297	3801	61	2	10
2014-03-25 11:07:45.782642	3807	20.6	1	10
2014-03-25 11:07:46.008174	3808	61	2	10
2014-03-25 11:18:49.033119	3937	59	2	10
2014-03-25 11:29:52.022169	4071	58	2	10
2014-03-25 11:30:30.79051	4078	21.1	1	10
2014-03-25 11:30:31.014244	4079	58	2	10
2014-03-25 11:42:12.793794	4210	21.1	1	10
2014-03-25 11:42:13.017175	4211	57	2	10
2014-03-25 11:53:16.032087	4338	56	2	10
2014-03-25 11:53:54.797008	4344	21.1	1	10
2014-03-25 11:53:55.02159	4345	56	2	10
2014-03-25 11:54:33.797144	4351	21.1	1	10
2014-03-25 11:54:34.064354	4352	56	2	10
2014-03-25 12:06:54.801694	4486	21.1	1	10
2014-03-25 12:06:55.033163	4487	56	2	10
2014-03-25 12:17:58.043705	4619	56	2	10
2014-03-25 12:27:04.030587	4749	55	2	10
2014-03-25 12:27:42.807806	4758	21.0	1	10
2014-03-25 12:27:43.043122	4759	55	2	10
2014-03-25 12:36:49.035753	4886	55	2	10
2014-03-25 12:37:27.810167	4895	21.0	1	10
2014-03-25 12:37:28.043501	4896	55	2	10
2014-03-25 12:56:18.815542	5161	20.9	1	10
2014-03-25 12:56:19.039368	5162	55	2	10
2014-03-25 13:06:03.818494	5300	20.9	1	10
2014-03-25 13:06:04.044288	5301	55	2	10
2014-03-25 13:15:48.822577	5436	20.8	1	10
2014-03-25 13:15:49.046396	5437	54	2	10
2014-03-25 13:24:54.82494	5567	20.8	1	10
2014-03-25 13:24:55.048596	5568	54	2	10
2014-03-25 13:25:33.8251	5576	20.8	1	10
2014-03-25 13:35:19.062994	5709	54	2	10
2014-03-25 13:44:24.83033	5839	20.7	1	10
2014-03-25 13:44:25.053987	5840	54	2	10
2014-03-25 13:45:03.833621	5848	20.7	1	10
2014-03-25 13:54:10.066517	5975	54	2	10
2014-03-25 13:54:48.835008	5983	20.7	1	10
2014-03-25 13:54:49.058865	5984	54	2	10
2014-03-25 14:13:00.840122	6246	20.6	1	10
2014-03-25 14:13:01.076922	6247	53	2	10
2014-03-25 14:13:39.840355	6255	20.6	1	10
2014-03-25 14:13:40.064317	6256	53	2	10
2014-03-25 14:32:30.847233	6522	20.6	1	10
2014-03-25 14:32:31.068903	6523	53	2	10
2014-03-25 14:41:37.074084	6655	53	2	10
2014-03-25 14:42:15.851578	6662	20.6	1	10
2014-03-25 14:42:16.087918	6663	53	2	10
2014-03-25 14:51:22.078084	6791	53	2	10
2014-03-25 14:52:00.853637	6799	20.6	1	10
2014-03-25 14:52:01.076845	6800	53	2	10
2014-03-25 15:11:30.859407	7064	20.6	1	10
2014-03-25 15:11:31.083694	7065	53	2	10
2014-03-25 15:21:15.863013	7198	20.6	1	10
2014-03-25 15:21:16.091658	7199	53	2	10
2014-03-25 15:21:54.865296	7207	20.6	1	10
2014-03-25 15:21:55.098556	7208	53	2	10
2014-03-25 15:41:24.869732	7476	20.5	1	10
2014-03-25 15:41:25.102422	7477	53	2	10
2014-03-25 15:51:09.874031	7613	20.5	1	10
2014-03-25 15:51:10.097126	7614	52	2	10
2014-03-25 16:00:54.878975	7742	20.5	1	10
2014-03-25 16:00:55.104425	7743	52	2	10
2014-03-25 16:01:33.877604	7752	20.5	1	10
2014-03-25 16:11:19.113828	7886	52	2	10
2014-03-25 16:20:24.883091	8015	20.5	1	10
2014-03-25 16:20:25.114819	8016	52	2	10
2014-03-25 16:21:03.885539	8024	20.5	1	10
2014-03-25 16:30:10.108581	8152	52	2	10
2014-03-25 16:30:48.886524	8160	20.5	1	10
2014-03-25 16:39:55.113574	8290	52	2	10
2014-03-25 16:49:00.892691	8422	20.6	1	10
2014-03-25 16:49:01.125901	8423	52	2	10
2014-03-25 16:58:45.896979	8561	20.7	1	10
2014-03-25 16:58:46.120283	8562	52	2	10
2014-03-25 17:07:51.899993	8699	20.7	1	10
2014-03-25 17:07:52.123196	8700	52	2	10
2014-03-25 17:17:36.901734	8834	20.7	1	10
2014-03-25 17:17:37.123903	8835	52	2	10
2014-03-25 17:26:03.905259	8966	20.7	1	10
2014-03-25 17:26:04.136408	8967	52	2	10
2014-03-25 17:26:42.905167	8975	20.7	1	10
2014-03-25 17:26:43.129369	8976	52	2	10
2014-03-25 17:46:12.912876	9242	21.0	1	10
2014-03-25 17:46:13.13744	9243	51	2	10
2014-03-25 17:55:57.914479	9375	21.1	1	10
2014-03-25 17:55:58.138566	9376	51	2	10
2014-03-25 17:56:36.915307	9384	21.1	1	10
2014-03-25 18:06:22.143826	9515	52	2	10
2014-03-25 18:16:06.921656	9648	21.4	1	10
2014-03-25 18:16:07.15525	9649	52	2	10
2014-03-25 18:25:51.923023	9789	21.5	1	10
2014-03-25 18:25:52.147309	9790	52	2	10
2014-03-25 18:34:57.936522	9918	21.7	1	10
2014-03-25 18:34:58.158279	9919	52	2	10
2014-03-25 18:35:36.929528	9927	21.7	1	10
2014-03-25 18:35:37.151257	9928	52	2	10
2014-03-25 18:55:06.936216	10190	22.1	1	10
2014-03-25 18:55:07.159857	10191	51	2	10
2014-03-25 18:55:45.933853	10199	22.1	1	10
2014-03-25 18:55:46.159006	10200	51	2	10
2014-03-25 19:15:15.940155	10464	22.4	1	10
2014-03-25 19:15:16.162995	10465	51	2	10
2014-03-25 19:25:01.165659	10598	51	2	10
2014-03-25 19:25:39.942638	10606	22.6	1	10
2014-03-25 19:25:40.165834	10607	51	2	10
2014-03-25 19:35:25.173189	10741	51	2	10
2014-03-25 19:45:10.154079	10873	23.0	1	10
2014-03-25 19:45:10.387293	10874	51	2	10
2014-03-25 19:54:55.177196	11006	51	2	10
2014-03-25 19:55:33.953076	11014	23.1	1	10
2014-03-25 19:55:34.175687	11015	51	2	10
2014-03-25 20:05:19.175624	11147	51	2	10
2014-03-25 20:15:03.957914	11280	23.5	1	10
2014-03-25 20:15:04.180258	11281	51	2	10
2014-03-25 20:24:48.961065	11414	23.6	1	10
2014-03-25 20:24:49.182864	11415	50	2	10
2014-03-25 20:25:27.959789	11423	23.6	1	10
2014-03-25 20:25:28.200692	11424	50	2	10
2014-03-25 20:44:57.965332	11689	23.9	1	10
2014-03-25 20:44:58.189854	11690	50	2	10
2014-03-25 20:54:43.095049	11823	24.0	1	10
2014-03-25 20:54:43.512345	11824	50	2	10
2014-03-25 20:55:22.02615	11831	24.1	1	10
2014-03-25 20:55:22.247064	11832	50	2	10
2014-03-25 21:14:13.213544	12094	50	2	10
2014-03-25 21:14:51.977321	12102	24.3	1	10
2014-03-25 21:14:52.20004	12103	50	2	10
2014-03-25 21:24:37.20321	12236	50	2	10
2014-03-25 21:34:21.982149	12367	24.4	1	10
2014-03-25 21:34:22.20687	12368	49	2	10
2014-03-25 21:35:00.981366	12376	24.4	1	10
2014-03-25 21:44:07.208066	12504	49	2	10
2014-03-25 21:44:45.982463	12512	24.4	1	10
2014-03-25 21:53:52.207464	12644	49	2	10
2014-03-25 22:03:36.988092	12781	24.3	1	10
2014-03-25 22:03:37.210885	12782	49	2	10
2014-03-25 22:13:21.992455	12915	24.2	1	10
2014-03-25 22:13:22.214146	12916	49	2	10
2014-03-25 22:23:06.995499	13047	24.1	1	10
2014-03-25 22:23:07.229003	13048	49	2	10
2014-03-25 22:23:46.199967	13056	24.1	1	10
2014-03-25 22:33:31.003399	13190	24.0	1	10
2014-03-25 22:33:31.227535	13191	48	2	10
2014-03-25 22:42:37.00294	13326	23.8	1	10
2014-03-25 22:42:37.236672	13327	49	2	10
2014-03-25 22:51:43.232262	13456	49	2	10
2014-03-25 23:00:49.005554	13588	23.6	1	10
2014-03-25 23:00:49.240005	13589	48	2	10
2014-03-25 23:01:28.007173	13599	23.6	1	10
2014-03-25 23:01:28.238261	13600	48	2	10
2014-03-25 23:20:58.01371	13869	23.4	1	10
2014-03-25 23:20:58.238605	13870	48	2	10
2014-03-25 23:30:43.017686	14001	23.3	1	10
2014-03-25 23:30:43.242072	14002	48	2	10
2014-03-25 23:40:28.240814	14134	48	2	10
2014-03-25 23:41:07.020293	14142	23.1	1	10
2014-03-25 23:41:07.251898	14143	48	2	10
2014-03-25 23:50:52.02258	14278	23.0	1	10
2014-03-25 23:50:52.243821	14279	48	2	10
2014-03-26 00:00:37.247258	14413	48	2	10
2014-03-26 00:10:22.031917	14544	22.8	1	10
2014-03-26 00:10:22.255743	14545	48	2	10
2014-03-26 00:20:07.031951	14677	22.7	1	10
2014-03-26 00:20:07.266809	14678	48	2	10
2014-03-26 00:20:46.048875	14687	22.7	1	10
2014-03-26 00:20:46.501115	14688	48	2	10
2014-03-26 00:40:16.26243	14950	48	2	10
2014-03-26 00:40:55.040509	14958	22.4	1	10
2014-03-26 00:40:55.271727	14959	48	2	10
2014-03-26 00:50:40.268091	15094	48	2	10
2014-03-26 00:59:46.045459	15222	22.3	1	10
2014-03-26 00:59:46.267849	15223	48	2	10
2014-03-26 01:09:31.179128	15358	22.2	1	10
2014-03-26 01:09:31.602998	15359	48	2	10
2014-03-26 01:10:10.04881	15367	22.2	1	10
2014-03-26 01:10:10.280548	15368	48	2	10
2014-03-26 01:29:40.063399	15631	22.0	1	10
2014-03-26 01:29:40.284789	15632	48	2	10
2014-03-26 01:30:19.054433	15639	22.0	1	10
2014-03-26 01:30:19.277697	15640	48	2	10
2014-03-26 01:49:49.061379	15906	21.9	1	10
2014-03-26 01:49:49.283016	15907	48	2	10
2014-03-26 01:59:34.063242	16040	21.8	1	10
2014-03-26 01:59:34.285415	16041	48	2	10
2014-03-26 02:00:13.063507	16048	21.8	1	10
2014-03-26 02:09:58.291063	16181	48	2	10
2014-03-26 02:19:43.072064	16313	21.7	1	10
2014-03-26 02:19:43.295296	16314	48	2	10
2014-03-26 02:29:28.307244	16446	48	2	10
2014-03-26 02:30:07.078517	16454	21.6	1	10
2014-03-26 02:30:07.30224	16455	48	2	10
2014-03-26 02:39:52.299102	16590	48	2	10
2014-03-26 02:49:37.079095	16722	21.5	1	10
2014-03-26 02:49:37.303916	16723	48	2	10
2014-03-26 02:59:22.082291	16858	21.5	1	10
2014-03-26 02:59:22.303266	16859	48	2	10
2014-03-26 03:08:28.084541	16990	21.4	1	10
2014-03-26 03:08:28.307315	16991	48	2	10
2014-03-26 03:09:07.085111	16999	21.4	1	10
2014-03-26 03:09:07.316805	17000	48	2	10
2014-03-26 03:14:58.626232	17088	21.4	1	10
2014-03-26 03:14:58.851639	17089	48	2	10
2014-03-26 03:15:37.088187	17099	21.4	1	10
2014-03-26 03:15:37.309575	17100	48	2	10
2014-03-26 03:16:16.088002	17108	21.4	1	10
2014-03-26 03:16:16.309887	17109	48	2	10
2014-03-26 03:16:55.090157	17117	21.4	1	10
2014-03-26 03:16:55.321391	17118	48	2	10
2014-03-26 03:16:55.625916	17119	21.4	1	10
2014-03-26 03:16:55.847946	17120	48	2	10
2014-03-26 03:17:34.088168	17128	21.4	1	10
2014-03-26 03:17:34.312933	17129	48	2	10
2014-03-26 03:18:13.088087	17136	21.4	1	10
2014-03-26 03:25:22.314163	17242	48	2	10
2014-03-26 03:26:01.091741	17250	21.4	1	10
2014-03-26 03:26:01.312569	17251	48	2	10
2014-03-26 03:26:40.091372	17259	21.4	1	10
2014-03-26 03:26:40.313857	17260	48	2	10
2014-03-26 03:27:19.091598	17267	21.4	1	10
2014-03-26 03:27:19.313361	17268	48	2	10
2014-03-26 03:37:04.094539	17405	21.5	1	10
2014-03-26 03:37:04.317021	17406	48	2	10
2014-03-26 03:46:49.097508	17537	21.5	1	10
2014-03-26 03:46:49.320569	17538	48	2	10
2014-03-26 03:56:34.324163	17671	48	2	10
2014-03-26 03:57:13.100807	17678	21.5	1	10
2014-03-26 03:57:13.324384	17679	48	2	10
2014-03-26 04:06:58.104249	17814	21.6	1	10
2014-03-26 04:06:58.33945	17815	48	2	10
2014-03-26 04:16:04.332565	17942	47	2	10
2014-03-26 04:16:43.117002	17952	21.6	1	10
2014-03-26 04:26:28.336752	18083	47	2	10
2014-03-26 04:36:13.114473	18218	21.6	1	10
2014-03-26 04:36:13.337198	18219	47	2	10
2014-03-26 04:45:58.117372	18350	21.6	1	10
2014-03-26 04:45:58.340156	18351	47	2	10
2014-03-26 04:46:37.117395	18359	21.6	1	10
2014-03-26 04:46:37.339623	18360	47	2	10
2014-03-26 05:06:07.123675	18623	21.6	1	10
2014-03-26 05:06:07.392133	18624	47	2	10
2014-03-26 05:06:46.124651	18632	21.6	1	10
2014-03-26 05:26:16.36417	18894	47	2	10
2014-03-26 05:26:55.131856	18902	21.5	1	10
2014-03-26 05:26:55.356087	18903	47	2	10
2014-03-26 05:36:40.356778	19036	47	2	10
2014-03-26 05:46:25.136576	19168	21.3	1	10
2014-03-26 05:46:25.358853	19169	47	2	10
2014-03-26 05:56:10.277252	19304	21.2	1	10
2014-03-26 05:56:10.753425	19305	47	2	10
2014-03-26 06:06:34.142338	19445	21.1	1	10
2014-03-26 06:06:34.362958	19446	47	2	10
2014-03-26 06:16:19.146599	19578	20.9	1	10
2014-03-26 06:16:19.368109	19579	47	2	10
2014-03-26 06:26:43.279966	19719	20.9	1	10
2014-03-26 06:26:43.699988	19720	47	2	10
2014-03-26 06:46:13.157319	19984	20.7	1	10
2014-03-26 06:46:13.388533	19985	47	2	10
2014-03-26 06:55:58.160173	20120	20.6	1	10
2014-03-26 06:55:58.393174	20121	47	2	10
2014-03-26 07:05:43.16348	20256	20.6	1	10
2014-03-26 07:05:43.386255	20257	47	2	10
2014-03-26 07:06:22.163765	20264	20.6	1	10
2014-03-26 07:25:52.171649	20533	20.5	1	10
2014-03-26 07:25:52.394883	20534	47	2	10
2014-03-26 07:34:19.17379	20660	20.4	1	10
2014-03-26 07:34:19.408067	20661	47	2	10
2014-03-26 07:34:58.17536	20671	20.4	1	10
2014-03-26 07:34:58.396587	20672	47	2	10
2014-03-26 07:52:31.180695	20940	20.1	1	10
2014-03-26 07:52:31.413828	20941	46	2	10
2014-03-26 08:11:22.186839	21210	20.1	1	10
2014-03-26 08:11:22.409002	21211	45	2	10
2014-03-26 08:21:07.190041	21342	20.2	1	10
2014-03-26 08:21:07.413409	21343	45	2	10
2014-03-26 08:21:46.18995	21352	20.2	1	10
2014-03-26 08:30:13.437394	21480	45	2	10
2014-03-26 08:39:58.196868	21621	20.4	1	10
2014-03-26 08:39:58.422864	21622	45	2	10
2014-03-26 08:49:43.200322	21755	20.5	1	10
2014-03-26 08:49:43.422396	21756	45	2	10
2014-03-26 08:59:28.202471	21888	20.6	1	10
2014-03-26 08:59:28.426612	21889	45	2	10
2014-03-26 09:09:13.26309	22025	20.7	1	10
2014-03-26 09:09:13.484786	22026	45	2	10
2014-03-26 09:18:58.210027	22164	20.7	1	10
2014-03-26 09:18:58.433349	22165	45	2	10
2014-03-26 09:28:43.21302	22299	20.7	1	10
2014-03-26 09:28:43.448651	22300	44	2	10
2014-03-26 09:38:28.219545	22436	20.6	1	10
2014-03-26 09:38:28.453421	22437	44	2	10
2014-03-26 09:47:34.442094	22567	44	2	10
2014-03-26 09:48:13.220174	22574	20.6	1	10
2014-03-26 09:48:13.453621	22575	44	2	10
2014-03-26 09:57:19.445683	22702	44	2	10
2014-03-26 10:15:31.451332	22972	44	2	10
2014-03-26 10:16:10.229356	22982	20.5	1	10
2014-03-26 10:16:10.462299	22983	44	2	10
2014-03-26 10:25:55.453234	23117	44	2	10
2014-03-26 10:36:19.23445	23256	20.4	1	10
2014-03-26 10:46:04.238215	23390	20.3	1	10
2014-03-26 10:46:04.460833	23391	43	2	10
2014-03-26 10:55:10.475699	23523	43	2	10
2014-03-26 11:04:55.246489	23660	20.2	1	10
2014-03-26 11:04:55.468726	23661	43	2	10
2014-03-26 11:14:01.480037	23790	43	2	10
2014-03-26 11:14:40.247848	23798	20.1	1	10
2014-03-26 11:14:40.470839	23799	43	2	10
2014-03-26 11:24:25.73344	23934	43	2	10
2014-03-26 11:44:34.25775	24205	19.9	1	10
2014-03-26 11:44:34.481197	24206	43	2	10
2014-03-26 11:54:19.262609	24336	19.8	1	10
2014-03-26 11:54:19.485578	24337	43	2	10
2014-03-26 12:04:04.263393	24472	19.7	1	10
2014-03-26 12:04:04.497079	24473	43	2	10
2014-03-26 12:23:34.264503	24749	19.6	1	10
2014-03-26 12:23:34.4983	24750	42	2	10
2014-03-26 12:32:40.262673	24882	19.5	1	10
2014-03-26 12:32:40.490839	24883	42	2	10
2014-03-26 12:42:25.280143	25019	19.5	1	10
2014-03-26 12:42:25.506359	25020	42	2	10
2014-03-26 12:50:52.267088	25149	19.5	1	10
2014-03-26 12:50:52.491359	25150	42	2	10
2014-03-26 12:59:19.270368	25281	19.5	1	10
2014-03-26 12:59:19.544294	25282	42	2	10
2014-03-26 12:59:58.26598	25291	19.5	1	10
2014-03-26 18:51:37.414013	28755	21.1	1	10
2014-03-26 18:51:37.649715	28756	39	2	10
2014-03-26 18:52:16.413379	28765	21.1	1	10
2014-03-26 18:52:16.637893	28766	39	2	10
2014-03-27 00:15:20.276262	33988	47	2	9
2014-03-27 00:15:21.132506	33989	21.5	1	8
2014-03-27 00:15:21.355891	33990	47	2	8
2014-03-27 00:15:32.545695	33991	450	3	2
2014-03-27 00:15:32.785557	33992	1089187.779993383	4	2
2014-03-27 00:15:35.619009	33993	20.0	1	1
2014-03-27 00:15:35.844038	33994	50	2	1
2014-03-27 00:15:44.544356	33995	434	3	2
2014-03-27 00:15:44.779274	33996	1089188.9290281045	4	2
2014-03-27 00:15:48.744027	33997	23.0	1	10
2014-03-27 00:15:48.968523	33998	41	2	10
2014-03-27 00:15:59.042769	33999	21.0	1	9
2014-03-27 00:15:59.275989	34000	47	2	9
2014-03-27 00:16:00.133227	34001	21.5	1	8
2014-03-27 00:16:00.357669	34002	47	2	8
2014-03-27 00:16:14.610852	34003	20.0	1	1
2014-03-27 00:16:14.845939	34004	50	2	1
2014-03-27 00:16:27.804589	34005	23.1	1	10
2014-03-27 00:16:28.029753	34006	41	2	10
2014-03-27 00:16:32.543549	34007	434	3	2
2014-03-27 00:16:32.798318	34008	1089194.6742017115	4	2
2014-03-27 00:16:38.045939	34009	21.0	1	9
2014-03-27 00:16:38.269092	34010	47	2	9
2014-03-27 00:16:39.131409	34011	21.5	1	8
2014-03-27 00:16:39.366727	34012	47	2	8
2014-03-27 00:16:53.614134	34013	20.0	1	1
2014-03-27 00:16:53.841468	34014	50	2	1
2014-03-27 00:17:06.744164	34015	23.0	1	10
2014-03-27 00:17:06.988974	34016	41	2	10
2014-03-27 00:17:17.041623	34017	21.0	1	9
2014-03-27 00:17:17.266203	34018	47	2	9
2014-03-27 00:17:18.131986	34019	21.5	1	8
2014-03-27 00:17:18.366258	34020	47	2	8
2014-03-27 00:17:32.854667	34021	20.0	1	1
2014-03-27 00:17:33.082769	34022	50	2	1
2014-03-27 00:17:45.745127	34023	23.0	1	10
2014-03-27 00:17:45.984536	34024	41	2	10
2014-03-27 00:17:56.045114	34025	21.0	1	9
2014-03-27 00:17:56.267916	34026	47	2	9
2014-03-27 00:17:57.132231	34027	21.5	1	8
2014-03-27 00:17:57.365937	34028	47	2	8
2014-03-27 00:18:11.616447	34029	20.0	1	1
2014-03-27 00:18:11.839821	34030	50	2	1
2014-03-27 00:18:24.744768	34031	23.0	1	10
2014-03-27 00:18:24.98019	34032	41	2	10
2014-03-27 00:18:32.542709	34033	418	3	2
2014-03-27 00:18:32.768033	34034	1089209.61165309	4	2
2014-03-27 00:18:35.045839	34035	21.0	1	9
2014-03-27 00:18:35.28048	34036	47	2	9
2014-03-27 00:18:36.132132	34037	21.5	1	8
2014-03-27 00:18:36.357334	34038	47	2	8
2014-03-27 00:18:50.61518	34039	20.0	1	1
2014-03-27 00:18:50.849802	34040	50	2	1
2014-03-27 00:19:03.747804	34041	23.0	1	10
2014-03-27 00:19:03.971734	34042	41	2	10
2014-03-27 00:19:14.042429	34043	21.0	1	9
2014-03-27 00:19:14.280584	34044	47	2	9
2014-03-27 00:19:15.132217	34045	21.5	1	8
2014-03-27 00:19:15.35694	34046	47	2	8
2014-03-27 00:19:29.613344	34047	20.0	1	1
2014-03-27 00:19:29.849398	34048	50	2	1
2014-03-27 00:19:32.546843	34049	418	3	2
2014-03-27 00:19:32.7713	34050	1089216.5058614183	4	2
2014-03-27 00:19:42.745836	34051	23.0	1	10
2014-03-27 00:19:42.980454	34052	41	2	10
2014-03-27 00:19:53.041688	34053	21.0	1	9
2014-03-27 00:19:53.268203	34054	47	2	9
2014-03-27 00:19:54.132674	34055	21.5	1	8
2014-03-27 00:19:54.379065	34056	47	2	8
2014-03-27 00:20:08.613506	34057	20.0	1	1
2014-03-27 00:20:08.838853	34058	50	2	1
2014-03-27 00:20:20.544245	34059	354	3	2
2014-03-27 00:20:20.964314	34060	1089221.102000304	4	2
2014-03-27 00:20:21.745306	34061	23.0	1	10
2014-03-27 00:20:21.973998	34062	41	2	10
2014-03-27 00:20:32.042805	34063	21.0	1	9
2014-03-27 00:20:32.264748	34064	47	2	9
2014-03-27 00:20:32.572476	34065	354	3	2
2014-03-27 00:20:32.80572	34066	1089223.400069747	4	2
2014-03-27 00:20:33.132277	34067	21.5	1	8
2014-03-27 00:20:33.356793	34068	47	2	8
2014-03-27 00:20:47.615615	34069	20.0	1	1
2014-03-27 00:20:47.849774	34070	50	2	1
2014-03-27 00:21:00.744683	34071	23.0	1	10
2014-03-27 00:21:00.967411	34072	41	2	10
2014-03-27 00:21:11.041476	34073	21.0	1	9
2014-03-27 00:21:11.275028	34074	47	2	9
2014-03-27 00:21:12.132391	34075	21.5	1	8
2014-03-27 00:21:12.356117	34076	47	2	8
2014-03-27 00:21:26.617555	34077	20.0	1	1
2014-03-27 00:21:26.852878	34078	50	2	1
2014-03-27 00:21:32.543339	34079	354	3	2
2014-03-27 00:21:32.768987	34080	1089229.145243354	4	2
2014-03-27 00:21:39.746342	34081	22.9	1	10
2014-03-27 00:21:39.978877	34082	42	2	10
2014-03-27 00:21:50.041977	34083	21.0	1	9
2014-03-27 00:21:50.265642	34084	47	2	9
2014-03-27 00:21:51.133493	34085	21.5	1	8
2014-03-27 00:21:51.366953	34086	47	2	8
2014-03-27 00:22:05.611346	34087	20.0	1	1
2014-03-27 00:22:05.849726	34088	50	2	1
2014-03-27 00:22:18.747671	34089	22.9	1	10
2014-03-27 00:22:18.979633	34090	42	2	10
2014-03-27 00:22:29.042234	34091	21.0	1	9
2014-03-27 00:22:29.264832	34092	47	2	9
2014-03-27 00:22:30.131854	34093	21.5	1	8
2014-03-27 00:22:30.36678	34094	47	2	8
2014-03-27 00:22:32.542013	34095	354	3	2
2014-03-27 00:22:32.766409	34096	1089234.890416961	4	2
2014-03-27 00:22:44.852204	34097	20.0	1	1
2014-03-27 00:22:45.085431	34098	50	2	1
2014-03-27 00:22:56.540052	34099	402	3	2
2014-03-27 00:22:56.765838	34100	1089237.1884864038	4	2
2014-03-27 00:22:57.746268	34101	22.9	1	10
2014-03-27 00:22:57.982906	34102	42	2	10
2014-03-27 00:23:08.042646	34103	21.0	1	9
2014-03-27 00:23:08.265706	34104	47	2	9
2014-03-27 00:23:08.573686	34105	370	3	2
2014-03-27 00:23:08.819005	34106	1089238.3375211253	4	2
2014-03-27 00:23:09.131791	34107	21.5	1	8
2014-03-27 00:23:09.35319	34108	47	2	8
2014-03-27 00:23:20.544052	34109	370	3	2
2014-03-27 00:23:20.781843	34110	1089239.4865558466	4	2
2014-03-27 00:23:23.613241	34111	20.0	1	1
2014-03-27 00:23:23.838131	34112	50	2	1
2014-03-26 19:24:23.784935	29187	21.3	1	1
2014-03-26 19:24:24.015403	29188	49	2	1
2014-03-27 00:23:32.542601	34113	305	3	2
2014-03-27 00:23:32.775829	34114	1089240.6355905682	4	2
2014-03-27 00:23:36.746031	34115	22.9	1	10
2014-03-27 00:23:36.969375	34116	42	2	10
2014-03-27 00:23:44.542061	34117	338	3	2
2014-03-27 00:23:44.776174	34118	1089241.7846252895	4	2
2014-03-27 00:23:47.044632	34119	21.0	1	9
2014-03-27 00:23:47.267533	34120	47	2	9
2014-03-27 00:23:48.132688	34121	21.5	1	8
2014-03-27 00:23:48.366127	34122	47	2	8
2014-03-27 00:23:56.54124	34123	338	3	2
2014-03-27 00:23:56.766198	34124	1089242.933660011	4	2
2014-03-27 00:24:02.611079	34125	20.0	1	1
2014-03-27 00:24:02.845693	34126	50	2	1
2014-03-27 00:24:15.746656	34127	22.9	1	10
2014-03-27 00:24:15.971633	34128	42	2	10
2014-03-27 00:24:26.042643	34129	21.0	1	9
2014-03-27 00:24:26.277329	34130	47	2	9
2014-03-27 00:24:27.133516	34131	21.5	1	8
2014-03-27 00:24:27.355072	34132	47	2	8
2014-03-27 00:24:32.543622	34133	338	3	2
2014-03-27 00:24:32.780095	34134	1089246.3807641752	4	2
2014-03-27 00:24:41.61236	34135	20.0	1	1
2014-03-27 00:24:41.836562	34136	50	2	1
2014-03-27 00:24:54.746126	34137	22.9	1	10
2014-03-27 00:24:54.981372	34138	42	2	10
2014-03-27 00:24:56.543769	34139	305	3	2
2014-03-27 00:24:56.770739	34140	1089248.678833618	4	2
2014-03-27 00:25:05.04285	34141	21.0	1	9
2014-03-27 00:25:05.277629	34142	47	2	9
2014-03-27 00:25:06.130875	34143	21.5	1	8
2014-03-27 00:25:06.358075	34144	47	2	8
2014-03-27 00:25:08.543277	34145	305	3	2
2014-03-27 00:25:08.777272	34146	1089249.8278683394	4	2
2014-03-27 00:25:20.848826	34147	20.0	1	1
2014-03-27 00:25:21.073585	34148	50	2	1
2014-03-27 00:25:32.540959	34149	338	3	2
2014-03-27 00:25:32.775436	34150	1089252.1259377822	4	2
2014-03-27 00:25:33.746547	34151	23.0	1	10
2014-03-27 00:25:33.976802	34152	41	2	10
2014-03-27 00:25:44.042883	34153	21.0	1	9
2014-03-27 00:25:44.28916	34154	47	2	9
2014-03-27 00:25:45.13096	34155	21.5	1	8
2014-03-27 00:25:45.352313	34156	47	2	8
2014-03-27 00:25:59.608456	34157	20.0	1	1
2014-03-27 00:25:59.841604	34158	50	2	1
2014-03-27 00:26:12.747366	34159	23.0	1	10
2014-03-27 00:26:12.971125	34160	41	2	10
2014-03-27 00:26:23.042972	34161	21.0	1	9
2014-03-27 00:26:23.275217	34162	47	2	9
2014-03-27 00:26:24.132537	34163	21.5	1	8
2014-03-27 00:26:24.353581	34164	47	2	8
2014-03-27 00:26:32.542868	34165	305	3	2
2014-03-27 00:26:32.776297	34166	1089257.8711113892	4	2
2014-03-27 00:26:38.612694	34167	20.0	1	1
2014-03-27 00:26:38.835541	34168	50	2	1
2014-03-27 00:26:44.539479	34169	338	3	2
2014-03-27 00:26:44.775055	34170	1089259.0201461108	4	2
2014-03-27 00:26:51.74755	34171	23.0	1	10
2014-03-27 00:26:51.971483	34172	41	2	10
2014-03-27 00:26:56.545611	34173	338	3	2
2014-03-27 00:26:56.781079	34174	1089260.169180832	4	2
2014-03-27 00:27:02.043331	34175	21.0	1	9
2014-03-27 00:27:02.2693	34176	47	2	9
2014-03-27 00:27:03.131507	34177	21.5	1	8
2014-03-27 00:27:03.364968	34178	47	2	8
2014-03-27 00:27:17.609086	34179	20.0	1	1
2014-03-27 00:27:17.834384	34180	50	2	1
2014-03-27 00:27:30.792549	34181	23.0	1	10
2014-03-27 00:27:31.025248	34182	41	2	10
2014-03-27 00:27:32.541776	34183	305	3	2
2014-03-27 00:27:32.766417	34184	1089262.467250275	4	2
2014-03-27 00:27:41.042169	34185	21.0	1	9
2014-03-27 00:27:41.278609	34186	47	2	9
2014-03-27 00:27:42.131868	34187	21.5	1	8
2014-03-27 00:27:42.356844	34188	47	2	8
2014-03-27 00:27:44.544614	34189	370	3	2
2014-03-27 00:27:44.782234	34190	1089263.6162849965	4	2
2014-03-27 00:27:56.852668	34191	20.0	1	1
2014-03-27 00:27:57.075352	34192	50	2	1
2014-03-27 00:28:09.748823	34193	23.0	1	10
2014-03-27 00:28:09.985047	34194	41	2	10
2014-03-27 00:28:20.042371	34195	21.0	1	9
2014-03-27 00:28:20.268009	34196	47	2	9
2014-03-27 00:28:21.131724	34197	21.5	1	8
2014-03-27 00:28:21.363929	34198	47	2	8
2014-03-27 00:28:32.539162	34199	370	3	2
2014-03-27 00:28:32.763598	34200	1089269.3614586035	4	2
2014-03-27 00:28:35.609181	34201	20.0	1	1
2014-03-27 00:28:35.855359	34202	50	2	1
2014-03-27 00:28:44.541955	34203	402	3	2
2014-03-27 00:28:44.765499	34204	1089270.5104933248	4	2
2014-03-27 00:28:48.748724	34205	22.9	1	10
2014-03-27 00:28:48.984133	34206	42	2	10
2014-03-27 00:28:56.542289	34207	370	3	2
2014-03-27 00:28:56.76663	34208	1089271.6595280464	4	2
2014-03-27 00:28:59.043859	34209	21.0	1	9
2014-03-27 00:28:59.277483	34210	47	2	9
2014-03-27 00:29:00.132121	34211	21.5	1	8
2014-03-27 00:29:00.354608	34212	47	2	8
2014-03-27 00:29:08.543816	34213	370	3	2
2014-03-27 00:29:08.777976	34214	1089272.8085627677	4	2
2014-03-27 00:29:14.611345	34215	20.0	1	1
2014-03-27 00:29:14.834997	34216	50	2	1
2014-03-27 00:29:27.748767	34217	22.9	1	10
2014-03-27 00:29:27.984035	34218	42	2	10
2014-03-27 00:29:32.540925	34219	370	3	2
2014-03-27 00:29:32.765388	34220	1089275.1066322105	4	2
2014-03-27 00:29:38.042798	34221	21.0	1	9
2014-03-27 00:29:38.282703	34222	47	2	9
2014-03-27 00:29:39.133549	34223	21.5	1	8
2014-03-27 00:29:39.356124	34224	47	2	8
2014-03-27 00:29:44.541658	34225	402	3	2
2014-03-27 00:29:44.776378	34226	1089276.2556669319	4	2
2014-03-27 00:29:53.609089	34227	20.0	1	1
2014-03-27 00:29:53.835088	34228	50	2	1
2014-03-27 00:29:56.54441	34229	370	3	2
2014-03-27 00:29:56.777453	34230	1089277.4047016534	4	2
2014-03-27 00:30:06.748596	34231	22.9	1	10
2014-03-27 00:30:06.973954	34232	42	2	10
2014-03-27 00:30:08.539874	34233	402	3	2
2014-03-27 00:30:08.773954	34234	1089279.7027710963	4	2
2014-03-27 00:30:17.04335	34235	20.9	1	9
2014-03-27 00:30:17.268113	34236	48	2	9
2014-03-27 00:30:18.132141	34237	21.5	1	8
2014-03-27 00:30:18.368652	34238	47	2	8
2014-03-27 00:30:20.542496	34239	402	3	2
2014-03-27 00:30:20.767431	34240	1089280.8518058176	4	2
2014-03-27 00:30:32.847978	34241	20.0	1	1
2014-03-27 00:30:33.080999	34242	50	2	1
2014-03-27 00:30:44.541449	34243	370	3	2
2014-03-27 00:31:12.172135	34256	50	2	1
2014-03-27 00:31:20.545259	34257	402	3	2
2014-03-27 00:31:20.780718	34258	1089286.5969794246	4	2
2014-03-27 00:31:24.750536	34259	22.9	1	10
2014-03-27 00:31:24.973536	34260	42	2	10
2014-03-27 00:31:32.543566	34261	402	3	2
2014-03-27 00:31:32.778201	34262	1089287.7460141461	4	2
2014-03-27 00:31:35.042213	34263	20.9	1	9
2014-03-27 00:31:35.266576	34264	48	2	9
2014-03-27 00:31:36.130741	34265	21.5	1	8
2014-03-27 00:31:36.363365	34266	47	2	8
2014-03-27 00:31:44.54419	34267	370	3	2
2014-03-27 00:31:44.767978	34268	1089290.044083589	4	2
2014-03-27 00:31:50.610078	34269	20.0	1	1
2014-03-27 00:31:50.842798	34270	50	2	1
2014-03-27 00:31:56.543065	34271	402	3	2
2014-03-27 00:31:56.767826	34272	1089291.1931183103	4	2
2014-03-27 00:32:03.749816	34273	22.9	1	10
2014-03-27 00:32:03.984349	34274	42	2	10
2014-03-27 00:32:08.540335	34275	402	3	2
2014-03-27 00:32:08.765655	34276	1089292.3421530318	4	2
2014-03-27 00:32:14.042412	34277	20.9	1	9
2014-03-27 00:32:14.279323	34278	48	2	9
2014-03-27 00:32:15.131375	34279	21.5	1	8
2014-03-27 00:32:15.354576	34280	47	2	8
2014-03-27 00:32:20.544576	34281	370	3	2
2014-03-27 00:32:20.780738	34282	1089293.4911877532	4	2
2014-03-27 00:32:29.605648	34283	20.0	1	1
2014-03-27 00:32:29.834001	34284	50	2	1
2014-03-27 00:32:32.541589	34285	370	3	2
2014-03-27 00:32:32.778522	34286	1089294.6402224747	4	2
2014-03-27 00:32:42.75313	34287	22.9	1	10
2014-03-27 00:32:42.979013	34288	42	2	10
2014-03-27 00:32:53.042002	34289	20.9	1	9
2014-03-27 00:32:53.277201	34290	48	2	9
2014-03-27 00:32:54.131386	34291	21.5	1	8
2014-03-27 00:32:54.353478	34292	47	2	8
2014-03-27 00:33:08.395588	34293	338	3	2
2014-03-27 00:33:08.631998	34294	1089296.9382919173	4	2
2014-03-27 00:33:08.943518	34295	20.0	1	1
2014-03-27 00:33:09.166325	34296	50	2	1
2014-03-27 00:33:21.750361	34297	22.9	1	10
2014-03-27 00:33:21.99777	34298	42	2	10
2014-03-27 00:33:32.04274	34299	20.9	1	9
2014-03-27 00:33:32.26638	34300	48	2	9
2014-03-27 00:33:32.573108	34301	338	3	2
2014-03-27 00:33:32.80735	34302	1089300.3853960817	4	2
2014-03-27 00:33:33.131073	34303	21.5	1	8
2014-03-27 00:33:33.354593	34304	47	2	8
2014-03-27 00:33:47.609586	34305	20.0	1	1
2014-03-27 00:33:47.844644	34306	50	2	1
2014-03-27 00:34:00.749186	34307	22.9	1	10
2014-03-27 00:34:00.977732	34308	42	2	10
2014-03-27 00:34:11.045153	34309	20.9	1	9
2014-03-27 00:34:11.278224	34310	48	2	9
2014-03-27 00:34:12.131553	34311	21.4	1	8
2014-03-27 00:34:12.354988	34312	47	2	8
2014-03-27 00:34:26.607657	34313	20.0	1	1
2014-03-27 00:34:26.841804	34314	50	2	1
2014-03-27 00:34:32.541034	34315	338	3	2
2014-03-27 00:34:32.769043	34316	1089306.1305696887	4	2
2014-03-27 00:34:39.750519	34317	22.9	1	10
2014-03-27 00:34:39.985115	34318	42	2	10
2014-03-27 00:34:50.042291	34319	20.9	1	9
2014-03-27 00:34:50.268568	34320	48	2	9
2014-03-27 00:34:51.134081	34321	21.4	1	8
2014-03-27 00:34:51.366589	34322	47	2	8
2014-03-27 00:35:05.603975	34323	20.0	1	1
2014-03-27 00:35:05.827641	34324	50	2	1
2014-03-27 00:35:18.749961	34325	22.8	1	10
2014-03-27 00:35:18.98398	34326	42	2	10
2014-03-27 00:35:29.06478	34327	20.9	1	9
2014-03-27 00:35:29.29009	34328	48	2	9
2014-03-27 00:35:30.131528	34329	21.4	1	8
2014-03-27 00:35:30.366426	34330	47	2	8
2014-03-27 00:35:32.542902	34331	338	3	2
2014-03-27 00:35:32.769173	34332	1089311.8757432958	4	2
2014-03-27 00:35:44.606817	34333	20.0	1	1
2014-03-27 00:35:44.841853	34334	50	2	1
2014-03-27 00:35:57.75116	34335	22.8	1	10
2014-03-27 00:35:57.976195	34336	42	2	10
2014-03-27 00:36:08.042544	34337	20.9	1	9
2014-03-27 00:36:08.276192	34338	48	2	9
2014-03-27 00:36:08.585499	34339	305	3	2
2014-03-27 00:36:08.810536	34340	1089315.3228474602	4	2
2014-03-27 00:36:09.135914	34341	21.4	1	8
2014-03-27 00:36:09.371956	34342	47	2	8
2014-03-27 00:36:20.541633	34343	305	3	2
2014-03-27 00:36:20.767842	34344	1089316.4718821815	4	2
2014-03-27 00:36:23.604564	34345	20.0	1	1
2014-03-27 00:36:23.849167	34346	50	2	1
2014-03-27 00:36:32.540776	34347	305	3	2
2014-03-27 00:36:32.765919	34348	1089317.6209169028	4	2
2014-03-27 00:36:36.750328	34349	22.8	1	10
2014-03-27 00:36:36.985905	34350	42	2	10
2014-03-27 00:36:47.251203	34351	20.9	1	9
2014-03-27 00:36:47.475303	34352	48	2	9
2014-03-27 00:36:48.131879	34353	21.4	1	8
2014-03-27 00:36:48.363842	34354	47	2	8
2014-03-27 00:36:56.543152	34355	338	3	2
2014-03-27 00:36:56.767806	34356	1089319.9189863456	4	2
2014-03-27 00:37:02.607305	34357	20.0	1	1
2014-03-27 00:37:02.842379	34358	50	2	1
2014-03-27 00:37:08.542704	34359	305	3	2
2014-03-27 00:37:08.766827	34360	1089321.0680210672	4	2
2014-03-27 00:37:15.750927	34361	22.8	1	10
2014-03-27 00:37:15.984153	34362	42	2	10
2014-03-27 00:37:20.543866	34363	338	3	2
2014-03-27 00:37:20.767742	34364	1089322.2170557885	4	2
2014-03-27 00:37:26.04272	34365	20.9	1	9
2014-03-27 00:37:26.280934	34366	48	2	9
2014-03-27 00:37:27.132271	34367	21.4	1	8
2014-03-27 00:37:27.35532	34368	47	2	8
2014-03-27 00:37:32.541128	34369	338	3	2
2014-03-27 00:37:32.778291	34370	1089323.36609051	4	2
2014-03-27 00:37:41.606482	34371	20.0	1	1
2014-03-27 00:37:41.834228	34372	50	2	1
2014-03-27 00:37:54.752664	34373	22.8	1	10
2014-03-27 00:37:54.98614	34374	42	2	10
2014-03-27 00:38:04.844699	34375	305	3	2
2014-03-27 00:38:05.067568	34376	1089325.664159953	4	2
2014-03-27 00:38:05.375209	34377	20.9	1	9
2014-03-27 00:38:05.607636	34378	48	2	9
2014-03-27 00:38:06.132501	34379	21.4	1	8
2014-03-27 00:38:06.355517	34380	47	2	8
2014-03-27 00:38:08.542745	34381	305	3	2
2014-03-27 00:38:08.776736	34382	1089326.8131946742	4	2
2014-03-27 00:38:20.846268	34383	20.0	1	1
2014-03-27 00:38:21.071311	34384	50	2	1
2014-03-27 00:38:32.541049	34385	338	3	2
2014-03-27 00:38:32.779297	34386	1089327.9622293955	4	2
2014-03-27 00:38:33.751853	34387	22.8	1	10
2014-03-27 00:38:33.97708	34388	42	2	10
2014-03-27 00:38:44.043109	34389	20.9	1	9
2014-03-27 00:38:44.278647	34390	48	2	9
2014-03-27 00:38:45.131703	34391	21.4	1	8
2014-03-27 00:38:45.354885	34392	47	2	8
2014-03-27 00:38:59.603667	34393	19.9	1	1
2014-03-27 00:38:59.851573	34394	50	2	1
2014-03-27 00:39:12.750324	34395	22.8	1	10
2014-03-27 00:39:12.97723	34396	42	2	10
2014-03-27 00:39:23.044752	34397	20.9	1	9
2014-03-27 00:39:23.278528	34398	48	2	9
2014-03-27 00:39:24.132197	34399	21.4	1	8
2014-03-27 00:39:24.356652	34400	47	2	8
2014-03-27 00:39:32.5429	34401	305	3	2
2014-03-27 00:39:32.776079	34402	1089333.7074030028	4	2
2014-03-27 00:39:38.60147	34403	20.0	1	1
2014-03-27 00:39:38.827518	34404	50	2	1
2014-03-27 00:39:44.541255	34405	338	3	2
2014-03-27 00:39:44.777517	34406	1089334.856437724	4	2
2014-03-27 00:39:51.751258	34407	22.8	1	10
2014-03-27 00:39:51.975612	34408	42	2	10
2014-03-27 00:39:56.539505	34409	338	3	2
2014-03-27 00:39:56.77308	34410	1089336.0054724456	4	2
2014-03-27 00:40:02.044961	34411	20.9	1	9
2014-03-27 00:40:02.272494	34412	48	2	9
2014-03-27 00:40:03.134039	34413	21.4	1	8
2014-03-27 00:40:03.367135	34414	47	2	8
2014-03-27 00:40:17.60345	34415	19.9	1	1
2014-03-27 00:40:17.82859	34416	50	2	1
2014-03-27 00:40:30.808841	34417	22.8	1	10
2014-03-27 00:40:31.043245	34418	42	2	10
2014-03-27 00:40:32.540156	34419	370	3	2
2014-03-27 00:40:32.764414	34420	1089339.4525766098	4	2
2014-03-27 00:40:41.04261	34421	20.9	1	9
2014-03-27 00:40:41.277707	34422	48	2	9
2014-03-27 00:40:42.13182	34423	21.4	1	8
2014-03-27 00:40:42.357169	34424	47	2	8
2014-03-27 00:40:44.542356	34425	370	3	2
2014-03-27 00:40:44.77596	34426	1089340.601611331	4	2
2014-03-27 00:40:56.603777	34427	19.9	1	1
2014-03-27 00:40:56.829122	34428	50	2	1
2014-03-27 00:41:09.753719	34429	22.8	1	10
2014-03-27 00:41:09.987453	34430	42	2	10
2014-03-27 00:41:20.043807	34431	20.9	1	9
2014-03-27 00:41:20.267919	34432	48	2	9
2014-03-27 00:41:21.132121	34433	21.4	1	8
2014-03-27 00:41:21.367319	34434	47	2	8
2014-03-27 00:41:32.540045	34435	370	3	2
2014-03-27 00:41:32.765201	34436	1089346.3467849384	4	2
2014-03-27 00:41:35.60305	34437	19.9	1	1
2014-03-27 00:41:35.835543	34438	50	2	1
2014-03-27 00:41:48.751982	34439	22.8	1	10
2014-03-27 00:41:48.9792	34440	42	2	10
2014-03-27 00:41:59.042748	34441	20.9	1	9
2014-03-27 00:41:59.29143	34442	48	2	9
2014-03-27 00:42:00.131291	34443	21.4	1	8
2014-03-27 00:42:00.354331	34444	47	2	8
2014-03-27 00:42:14.601082	34445	19.9	1	1
2014-03-27 00:42:14.835743	34446	50	2	1
2014-03-27 00:42:27.75162	34447	22.7	1	10
2014-03-27 00:42:27.975064	34448	42	2	10
2014-03-27 00:42:32.545359	34449	370	3	2
2014-03-27 00:42:32.779521	34450	1089352.0919585454	4	2
2014-03-27 00:42:38.04311	34451	20.9	1	9
2014-03-27 00:42:38.273026	34452	48	2	9
2014-03-27 00:42:39.132929	34453	21.4	1	8
2014-03-27 00:42:39.367189	34454	47	2	8
2014-03-27 00:42:53.601252	34455	19.9	1	1
2014-03-27 00:42:53.826208	34456	50	2	1
2014-03-27 00:43:06.75331	34457	22.7	1	10
2014-03-27 00:43:06.98732	34458	42	2	10
2014-03-27 00:43:17.042654	34459	20.8	1	9
2014-03-27 00:43:17.267421	34460	48	2	9
2014-03-27 00:43:18.131818	34461	21.4	1	8
2014-03-27 00:43:18.365522	34462	47	2	8
2014-03-27 00:43:20.542594	34463	402	3	2
2014-03-27 00:43:20.768269	34464	1089356.688097431	4	2
2014-03-27 00:43:32.842296	34465	19.9	1	1
2014-03-27 00:43:33.075705	34466	50	2	1
2014-03-27 00:43:45.752948	34467	22.8	1	10
2014-03-27 00:43:45.978735	34468	42	2	10
2014-03-27 00:43:56.044015	34469	20.8	1	9
2014-03-27 00:43:56.27797	34470	48	2	9
2014-03-27 00:43:56.58782	34471	370	3	2
2014-03-27 00:43:56.813984	34472	1089361.2842363166	4	2
2014-03-27 00:43:57.132851	34473	21.4	1	8
2014-03-27 00:43:57.365818	34474	47	2	8
2014-03-27 00:44:08.541913	34475	370	3	2
2014-03-27 00:44:08.768038	34476	1089362.433271038	4	2
2014-03-27 00:44:11.600476	34477	19.9	1	1
2014-03-27 00:44:11.836256	34478	50	2	1
2014-03-27 00:44:24.752786	34479	22.8	1	10
2014-03-27 00:44:24.98049	34480	42	2	10
2014-03-27 00:44:32.540397	34481	370	3	2
2014-03-27 00:44:32.775082	34482	1089364.731340481	4	2
2014-03-27 00:44:35.042645	34483	20.8	1	9
2014-03-27 00:44:35.264856	34484	48	2	9
2014-03-27 00:44:36.133634	34485	21.4	1	8
2014-03-27 00:44:36.370001	34486	47	2	8
2014-03-27 00:44:50.60301	34487	19.9	1	1
2014-03-27 00:44:50.827441	34488	50	2	1
2014-03-27 00:45:03.752768	34489	22.8	1	10
2014-03-27 00:45:03.999584	34490	42	2	10
2014-03-27 00:45:08.540085	34491	338	3	2
2014-03-27 00:45:08.766112	34492	1089368.1784446451	4	2
2014-03-27 00:45:14.04536	34493	20.8	1	9
2014-03-27 00:45:14.283073	34494	48	2	9
2014-03-27 00:45:15.134234	34495	21.4	1	8
2014-03-27 00:45:15.359262	34496	47	2	8
2014-03-27 00:45:20.539651	34497	338	3	2
2014-03-27 00:45:20.775002	34498	1089369.3274793667	4	2
2014-03-27 00:45:29.654435	34499	19.9	1	1
2014-03-27 00:45:29.879734	34500	50	2	1
2014-03-27 00:45:32.537256	34501	338	3	2
2014-03-27 00:45:32.772351	34502	1089370.476514088	4	2
2014-03-27 00:45:42.752857	34503	22.8	1	10
2014-03-27 00:45:42.976534	34504	42	2	10
2014-03-27 00:45:53.042824	34505	20.8	1	9
2014-03-27 00:45:53.2785	34506	48	2	9
2014-03-27 00:45:54.133903	34507	21.4	1	8
2014-03-27 00:45:54.360049	34508	47	2	8
2014-03-27 00:46:08.601321	34509	19.9	1	1
2014-03-27 00:46:08.835693	34510	50	2	1
2014-03-27 00:46:21.752406	34511	22.8	1	10
2014-03-27 00:46:21.977181	34512	42	2	10
2014-03-27 00:46:32.042282	34513	20.8	1	9
2014-03-27 00:46:32.280839	34514	48	2	9
2014-03-27 00:46:32.588967	34515	338	3	2
2014-03-27 00:46:32.813645	34516	1089376.221687695	4	2
2014-03-27 00:46:33.13193	34517	21.4	1	8
2014-03-27 00:46:33.366286	34518	47	2	8
2014-03-27 00:46:44.539911	34519	305	3	2
2014-03-27 00:46:44.764251	34520	1089377.3707224166	4	2
2014-03-27 00:46:47.599098	34521	19.9	1	1
2014-03-27 00:46:47.834251	34522	50	2	1
2014-03-27 00:46:56.541139	34523	338	3	2
2014-03-27 00:46:56.768122	34524	1089378.5197571379	4	2
2014-03-27 00:47:00.753429	34525	22.8	1	10
2014-03-27 00:47:00.985851	34526	42	2	10
2014-03-27 00:47:08.539514	34527	338	3	2
2014-03-27 00:47:08.764722	34528	1089379.6687918594	4	2
2014-03-27 00:47:11.042993	34529	20.8	1	9
2014-03-27 00:47:11.276789	34530	48	2	9
2014-03-27 00:47:12.131166	34531	21.4	1	8
2014-03-27 00:47:12.356635	34532	47	2	8
2014-03-27 00:47:26.601201	34533	19.9	1	1
2014-03-27 00:47:26.835343	34534	50	2	1
2014-03-27 00:47:32.541436	34535	338	3	2
2014-03-27 00:47:32.767759	34536	1089381.966861302	4	2
2014-03-27 00:47:39.754456	34537	22.7	1	10
2014-03-27 00:47:40.000124	34538	42	2	10
2014-03-27 00:47:50.042421	34539	20.8	1	9
2014-03-27 00:47:50.267305	34540	48	2	9
2014-03-27 00:47:51.132134	34541	21.4	1	8
2014-03-27 00:47:51.366006	34542	47	2	8
2014-03-27 00:48:05.60009	34543	19.9	1	1
2014-03-27 00:48:05.826065	34544	50	2	1
2014-03-27 00:48:18.75445	34545	22.7	1	10
2014-03-27 00:48:18.988213	34546	42	2	10
2014-03-27 00:48:29.042622	34547	20.8	1	9
2014-03-27 00:48:29.265599	34548	48	2	9
2014-03-27 00:48:30.131012	34549	21.4	1	8
2014-03-27 00:48:30.365306	34550	47	2	8
2014-03-27 00:48:32.540841	34551	338	3	2
2014-03-27 00:48:32.767247	34552	1089387.7120349093	4	2
2014-03-27 00:48:44.594456	34553	19.9	1	1
2014-03-27 00:48:44.830872	34554	50	2	1
2014-03-27 00:48:57.755462	34555	22.7	1	10
2014-03-27 00:48:57.983285	34556	42	2	10
2014-03-27 00:49:08.042044	34557	20.8	1	9
2014-03-27 00:49:08.276849	34558	48	2	9
2014-03-27 00:49:09.132103	34559	21.4	1	8
2014-03-27 00:49:09.355938	34560	47	2	8
2014-03-27 00:49:23.630546	34561	19.9	1	1
2014-03-27 00:49:23.867274	34562	50	2	1
2014-03-27 00:49:32.53917	34563	338	3	2
2014-03-27 00:49:32.763946	34564	1089392.3081737948	4	2
2014-03-27 00:49:36.754828	34565	22.7	1	10
2014-03-27 00:49:36.990653	34566	42	2	10
2014-03-27 00:49:47.042661	34567	20.8	1	9
2014-03-27 00:49:47.266464	34568	48	2	9
2014-03-27 00:49:48.131971	34569	21.4	1	8
2014-03-27 00:49:48.364555	34570	47	2	8
2014-03-27 00:50:02.593222	34571	19.9	1	1
2014-03-27 00:50:02.817762	34572	50	2	1
2014-03-27 00:50:08.540081	34573	305	3	2
2014-03-27 00:50:08.775116	34574	1089395.7552779592	4	2
2014-03-27 00:50:15.755543	34575	22.7	1	10
2014-03-27 00:50:15.981204	34576	42	2	10
2014-03-27 00:50:20.542666	34577	338	3	2
2014-03-27 00:50:20.774672	34578	1089396.9043126805	4	2
2014-03-27 00:50:26.04363	34579	20.8	1	9
2014-03-27 00:50:26.271113	34580	48	2	9
2014-03-27 00:50:27.132175	34581	21.4	1	8
2014-03-27 00:50:27.364385	34582	47	2	8
2014-03-27 00:50:32.541773	34583	338	3	2
2014-03-27 00:50:32.766845	34584	1089398.053347402	4	2
2014-03-27 00:50:41.598903	34585	19.9	1	1
2014-03-27 00:50:41.844704	34586	50	2	1
2014-03-27 00:50:44.540551	34587	305	3	2
2014-03-27 00:50:44.767068	34588	1089399.2023821233	4	2
2014-03-27 00:50:54.755374	34589	22.7	1	10
2014-03-27 00:50:54.992103	34590	42	2	10
2014-03-27 00:50:56.541752	34591	305	3	2
2014-03-27 00:50:56.765719	34592	1089400.3514168449	4	2
2014-03-27 00:51:05.042393	34593	20.8	1	9
2014-03-27 00:51:05.278481	34594	48	2	9
2014-03-27 00:51:06.132754	34595	21.4	1	8
2014-03-27 00:51:06.356983	34596	47	2	8
2014-03-27 00:51:08.541393	34597	338	3	2
2014-03-27 00:51:08.77718	34598	1089401.5004515662	4	2
2014-03-27 00:51:20.839801	34599	19.9	1	1
2014-03-27 00:51:21.063656	34600	50	2	1
2014-03-27 00:51:32.54442	34601	338	3	2
2014-03-27 00:51:32.779041	34602	1089403.798521009	4	2
2014-03-27 00:51:33.755745	34603	22.7	1	10
2014-03-27 00:51:33.979657	34604	42	2	10
2014-03-27 00:51:44.043193	34605	20.8	1	9
2014-03-27 00:51:44.280387	34606	48	2	9
2014-03-27 00:51:44.587654	34607	305	3	2
2014-03-27 00:51:44.814285	34608	1089404.9475557304	4	2
2014-03-27 00:51:45.132182	34609	21.4	1	8
2014-03-27 00:51:45.366916	34610	47	2	8
2014-03-27 00:51:56.539949	34611	338	3	2
2014-03-27 00:51:56.764081	34612	1089404.9520266827	4	2
2014-03-27 00:51:59.595439	34613	19.9	1	1
2014-03-27 00:51:59.829389	34614	50	2	1
2014-03-27 00:52:08.539316	34615	338	3	2
2014-03-27 00:52:08.765219	34616	1089406.101061404	4	2
2014-03-27 00:52:12.756263	34617	22.7	1	10
2014-03-27 00:52:12.99006	34618	42	2	10
2014-03-27 00:52:20.541076	34619	305	3	2
2014-03-27 00:52:20.767299	34620	1089407.2500961255	4	2
2014-03-27 00:52:23.042325	34621	20.8	1	9
2014-03-27 00:52:23.275009	34622	48	2	9
2014-03-27 00:52:24.131757	34623	21.4	1	8
2014-03-27 00:52:24.359464	34624	47	2	8
2014-03-27 00:52:32.539528	34625	338	3	2
2014-03-27 00:52:32.7742	34626	1089408.3991308468	4	2
2014-03-27 00:52:38.595123	34627	19.9	1	1
2014-03-27 00:52:38.822036	34628	50	2	1
2014-03-27 00:52:44.537987	34629	370	3	2
2014-03-27 00:52:44.774054	34630	1089409.5481655684	4	2
2014-03-27 00:52:51.755365	34631	22.7	1	10
2014-03-27 00:52:51.999532	34632	42	2	10
2014-03-27 00:53:01.841996	34633	370	3	2
2014-03-27 00:53:02.086527	34634	1089410.6972002897	4	2
2014-03-27 00:53:02.392847	34635	20.8	1	9
2014-03-27 00:53:02.617284	34636	48	2	9
2014-03-27 00:53:03.131122	34637	21.4	1	8
2014-03-27 00:53:03.363624	34638	47	2	8
2014-03-27 00:53:17.601041	34639	19.9	1	1
2014-03-27 00:53:17.825303	34640	50	2	1
2014-03-27 00:53:30.812648	34641	22.7	1	10
2014-03-27 00:53:31.046307	34642	42	2	10
2014-03-27 00:53:32.539831	34643	370	3	2
2014-03-27 00:53:32.764633	34644	1089414.144304454	4	2
2014-03-27 00:53:41.042876	34645	20.8	1	9
2014-03-27 00:53:41.276728	34646	48	2	9
2014-03-27 00:53:42.131438	34647	21.4	1	8
2014-03-27 00:53:42.354169	34648	47	2	8
2014-03-27 00:53:56.594217	34649	19.9	1	1
2014-03-27 00:53:56.831082	34650	50	2	1
2014-03-27 00:54:09.757944	34651	22.7	1	10
2014-03-27 00:54:09.982853	34652	42	2	10
2014-03-27 00:54:20.040859	34653	20.8	1	9
2014-03-27 00:54:20.27525	34654	48	2	9
2014-03-27 00:54:21.132504	34655	21.4	1	8
2014-03-27 00:54:21.355592	34656	47	2	8
2014-03-27 00:54:32.540199	34657	370	3	2
2014-03-27 00:54:32.775187	34658	1089419.889478061	4	2
2014-03-27 00:54:35.595225	34659	19.9	1	1
2014-03-27 00:54:35.826337	34660	50	2	1
2014-03-27 00:54:48.756269	34661	22.7	1	10
2014-03-27 00:54:48.991914	34662	42	2	10
2014-03-27 00:54:59.042717	34663	20.8	1	9
2014-03-27 00:54:59.266566	34664	48	2	9
2014-03-27 00:55:00.130077	34665	21.4	1	8
2014-03-27 00:55:00.362375	34666	47	2	8
2014-03-27 00:55:14.597109	34667	19.9	1	1
2014-03-27 00:55:14.82299	34668	50	2	1
2014-03-27 00:55:27.75647	34669	22.7	1	10
2014-03-27 00:55:27.992872	34670	42	2	10
2014-03-27 00:55:32.537352	34671	370	3	2
2014-03-27 00:55:32.762407	34672	1089426.7836863894	4	2
2014-03-27 00:55:38.04428	34673	20.8	1	9
2014-03-27 00:55:38.27745	34674	48	2	9
2014-03-27 00:55:39.130701	34675	21.4	1	8
2014-03-27 00:55:39.354144	34676	47	2	8
2014-03-27 00:55:53.593175	34677	19.9	1	1
2014-03-27 00:55:53.831707	34678	50	2	1
2014-03-27 00:56:06.962823	34679	22.7	1	10
2014-03-27 00:56:07.189078	34680	42	2	10
2014-03-27 00:56:17.044504	34681	20.8	1	9
2014-03-27 00:56:17.290796	34682	48	2	9
2014-03-27 00:56:18.133622	34683	21.4	1	8
2014-03-27 00:56:18.356706	34684	47	2	8
2014-03-27 00:56:32.834718	34685	19.9	1	1
2014-03-27 00:56:33.069741	34686	50	2	1
2014-03-27 00:56:45.756702	34687	22.7	1	10
2014-03-27 00:56:45.980538	34688	42	2	10
2014-03-27 00:56:56.042554	34689	20.8	1	9
2014-03-27 00:56:56.279301	34690	48	2	9
2014-03-27 00:56:57.132294	34691	21.4	1	8
2014-03-27 00:56:57.357956	34692	47	2	8
2014-03-27 00:57:11.593884	34693	19.9	1	1
2014-03-27 00:57:11.82812	34694	50	2	1
2014-03-27 00:57:24.758149	34695	22.7	1	10
2014-03-27 00:57:24.981891	34696	42	2	10
2014-03-27 00:57:32.539139	34697	370	3	2
2014-03-27 00:57:32.773693	34698	1089439.423068325	4	2
2014-03-27 00:57:35.042508	34699	20.8	1	9
2014-03-27 00:57:35.267883	34700	48	2	9
2014-03-27 00:57:36.13231	34701	21.4	1	8
2014-03-27 00:57:36.367375	34702	47	2	8
2014-03-27 00:57:50.594032	34703	19.9	1	1
2014-03-27 00:57:50.82005	34704	50	2	1
2014-03-27 00:58:03.757797	34705	22.7	1	10
2014-03-27 00:58:03.991855	34706	42	2	10
2014-03-27 00:58:14.042432	34707	20.8	1	9
2014-03-27 00:58:14.268003	34708	48	2	9
2014-03-27 00:58:15.132657	34709	21.4	1	8
2014-03-27 00:58:15.366404	34710	47	2	8
2014-03-27 00:58:29.594711	34711	19.9	1	1
2014-03-27 00:58:29.816951	34712	50	2	1
2014-03-27 00:58:32.541216	34713	370	3	2
2014-03-27 00:58:32.775169	34714	1089445.1682419323	4	2
2014-03-27 00:58:42.758141	34715	22.7	1	10
2014-03-27 00:58:42.982159	34716	42	2	10
2014-03-27 00:58:44.540073	34717	338	3	2
2014-03-27 00:58:44.773322	34718	1089446.3172766536	4	2
2014-03-27 00:58:53.041243	34719	20.8	1	9
2014-03-27 00:58:53.265119	34720	48	2	9
2014-03-27 00:58:54.131288	34721	21.4	1	8
2014-03-27 00:58:54.365084	34722	47	2	8
2014-03-27 00:58:56.538596	34723	338	3	2
2014-03-27 00:58:56.764206	34724	1089447.466311375	4	2
2014-03-27 00:59:08.832348	34725	19.9	1	1
2014-03-27 00:59:09.066861	34726	50	2	1
2014-03-27 00:59:20.541172	34727	402	3	2
2014-03-27 00:59:20.770278	34728	1089450.9134155393	4	2
2014-03-27 00:59:21.759371	34729	22.7	1	10
2014-03-27 00:59:22.004929	34730	42	2	10
2014-03-27 00:59:32.042183	34731	20.8	1	9
2014-03-27 00:59:32.266649	34732	48	2	9
2014-03-27 00:59:32.573989	34733	402	3	2
2014-03-27 00:59:32.809189	34734	1089452.0624502606	4	2
2014-03-27 00:59:33.1324	34735	21.4	1	8
2014-03-27 00:59:33.355842	34736	47	2	8
2014-03-27 00:59:47.62553	34737	19.9	1	1
2014-03-27 00:59:47.863249	34738	50	2	1
2014-03-27 01:00:00.758572	34739	22.7	1	10
2014-03-27 01:00:00.982821	34740	42	2	10
2014-03-27 01:00:11.041672	34741	20.8	1	9
2014-03-27 01:00:11.276067	34742	48	2	9
2014-03-27 01:00:12.132136	34743	21.4	1	8
2014-03-27 01:00:12.356398	34744	47	2	8
2014-03-27 01:00:26.589924	34745	19.9	1	1
2014-03-27 01:00:26.826028	34746	50	2	1
2014-03-27 01:00:32.539607	34747	402	3	2
2014-03-27 01:00:32.7652	34748	1089458.9566585892	4	2
2014-03-27 01:00:39.758681	34749	22.7	1	10
2014-03-27 01:00:39.994109	34750	42	2	10
2014-03-27 01:00:50.04163	34751	20.8	1	9
2014-03-27 01:00:50.264986	34752	48	2	9
2014-03-27 01:00:51.131048	34753	21.4	1	8
2014-03-27 01:00:51.365736	34754	47	2	8
2014-03-27 01:01:05.589886	34755	19.9	1	1
2014-03-27 01:01:05.814709	34756	50	2	1
2014-03-27 01:01:18.759658	34757	22.6	1	10
2014-03-27 01:01:18.99613	34758	42	2	10
2014-03-27 01:01:29.043427	34759	20.8	1	9
2014-03-27 01:01:29.26666	34760	48	2	9
2014-03-27 01:01:30.134315	34761	21.4	1	8
2014-03-27 01:01:30.368674	34762	47	2	8
2014-03-27 01:01:32.536178	34763	402	3	2
2014-03-27 01:01:32.75988	34764	1089465.8508669178	4	2
2014-03-27 01:01:44.59084	34765	19.9	1	1
2014-03-27 01:01:44.824393	34766	50	2	1
2014-03-27 01:01:57.76011	34767	22.6	1	10
2014-03-27 01:01:57.984938	34768	42	2	10
2014-03-27 01:02:08.044017	34769	20.8	1	9
2014-03-27 01:02:08.280737	34770	48	2	9
2014-03-27 01:02:09.132735	34771	21.4	1	8
2014-03-27 01:02:09.357307	34772	47	2	8
2014-03-27 01:02:23.589476	34773	19.9	1	1
2014-03-27 01:02:23.82462	34774	50	2	1
2014-03-27 01:02:32.537629	34775	402	3	2
2014-03-27 01:02:32.764054	34776	1089471.5960405248	4	2
2014-03-27 01:02:36.757865	34777	22.6	1	10
2014-03-27 01:02:37.005341	34778	42	2	10
2014-03-27 01:02:47.043362	34779	20.8	1	9
2014-03-27 01:02:47.272608	34780	48	2	9
2014-03-27 01:02:48.13204	34781	21.4	1	8
2014-03-27 01:02:48.387739	34782	47	2	8
2014-03-27 01:03:02.588668	34783	19.9	1	1
2014-03-27 01:03:02.811329	34784	50	2	1
2014-03-27 01:03:15.758776	34785	22.6	1	10
2014-03-27 01:03:15.994057	34786	42	2	10
2014-03-27 01:03:26.041564	34787	20.8	1	9
2014-03-27 01:03:26.265794	34788	48	2	9
2014-03-27 01:03:27.131508	34789	21.4	1	8
2014-03-27 01:03:27.36429	34790	47	2	8
2014-03-27 01:03:32.540363	34791	402	3	2
2014-03-27 01:03:32.764121	34792	1089478.490248853	4	2
2014-03-27 01:03:41.587781	34793	19.9	1	1
2014-03-27 01:03:41.822812	34794	50	2	1
2014-03-27 01:03:54.759996	34795	22.6	1	10
2014-03-27 01:03:54.9856	34796	42	2	10
2014-03-27 01:04:05.040859	34797	20.8	1	9
2014-03-27 01:04:05.275062	34798	48	2	9
2014-03-27 01:04:06.132978	34799	21.4	1	8
2014-03-27 01:04:06.356861	34800	47	2	8
2014-03-27 01:04:20.590544	34801	19.9	1	1
2014-03-27 01:04:20.823247	34802	50	2	1
2014-03-27 01:04:32.53644	34803	402	3	2
2014-03-27 01:04:32.763599	34804	1089485.3844571817	4	2
2014-03-27 01:04:33.75905	34805	22.6	1	10
2014-03-27 01:04:33.99094	34806	42	2	10
2014-03-27 01:04:44.043067	34807	20.8	1	9
2014-03-27 01:04:44.266384	34808	48	2	9
2014-03-27 01:04:45.13251	34809	21.4	1	8
2014-03-27 01:04:45.367493	34810	47	2	8
2014-03-27 01:04:59.590269	34811	19.9	1	1
2014-03-27 01:04:59.81847	34812	50	2	1
2014-03-27 01:05:12.761013	34813	22.6	1	10
2014-03-27 01:05:12.995199	34814	42	2	10
2014-03-27 01:05:23.041728	34815	20.8	1	9
2014-03-27 01:05:23.265541	34816	48	2	9
2014-03-27 01:05:24.132701	34817	21.4	1	8
2014-03-27 01:05:24.36672	34818	47	2	8
2014-03-27 01:05:32.539267	34819	402	3	2
2014-03-27 01:05:32.765535	34820	1089492.2786655102	4	2
2014-03-27 01:05:38.588244	34821	19.9	1	1
2014-03-27 01:05:38.823545	34822	50	2	1
2014-03-27 01:05:51.760322	34823	22.6	1	10
2014-03-27 01:05:51.986454	34824	42	2	10
2014-03-27 01:06:02.04256	34825	20.8	1	9
2014-03-27 01:06:02.289001	34826	48	2	9
2014-03-27 01:06:03.131533	34827	21.4	1	8
2014-03-27 01:06:03.354369	34828	47	2	8
2014-03-27 01:06:17.589531	34829	19.9	1	1
2014-03-27 01:06:17.825075	34830	50	2	1
2014-03-27 01:06:30.760931	34831	22.6	1	10
2014-03-27 01:06:31.09076	34832	42	2	10
2014-03-27 01:06:32.53876	34833	450	3	2
2014-03-27 01:06:32.772675	34834	1089499.1728738386	4	2
2014-03-27 01:06:41.044338	34835	20.8	1	9
2014-03-27 01:06:41.269098	34836	48	2	9
2014-03-27 01:06:42.131995	34837	21.4	1	8
2014-03-27 01:06:42.365842	34838	47	2	8
2014-03-27 01:06:44.537223	34839	450	3	2
2014-03-27 01:06:44.762663	34840	1089500.32190856	4	2
2014-03-27 01:06:56.587428	34841	19.9	1	1
2014-03-27 01:06:56.821283	34842	50	2	1
2014-03-27 01:07:09.759912	34843	22.6	1	10
2014-03-27 01:07:09.983669	34844	42	2	10
2014-03-27 01:07:20.042691	34845	20.8	1	9
2014-03-27 01:07:20.280372	34846	48	2	9
2014-03-27 01:07:21.132909	34847	21.4	1	8
2014-03-27 01:07:21.355512	34848	47	2	8
2014-03-27 01:07:32.53875	34849	450	3	2
2014-03-27 01:07:32.775885	34850	1089506.0670821671	4	2
2014-03-27 01:07:35.58714	34851	19.9	1	1
2014-03-27 01:07:35.810431	34852	50	2	1
2014-03-27 01:07:48.760746	34853	22.6	1	10
2014-03-27 01:07:48.996488	34854	42	2	10
2014-03-27 01:07:59.043132	34855	20.8	1	9
2014-03-27 01:07:59.268466	34856	48	2	9
2014-03-27 01:08:00.131779	34857	21.4	1	8
2014-03-27 01:08:00.366482	34858	47	2	8
2014-03-27 01:08:14.587228	34859	19.9	1	1
2014-03-27 01:08:14.811926	34860	50	2	1
2014-03-27 01:08:27.759671	34861	22.6	1	10
2014-03-27 01:08:27.994106	34862	42	2	10
2014-03-27 01:08:32.536811	34863	450	3	2
2014-03-27 01:08:32.764086	34864	1089514.110325217	4	2
2014-03-27 01:08:38.042745	34865	20.8	1	9
2014-03-27 01:08:38.283783	34866	48	2	9
2014-03-27 01:08:39.132319	34867	21.4	1	8
2014-03-27 01:08:39.357536	34868	47	2	8
2014-03-27 01:08:53.583609	34869	19.9	1	1
2014-03-27 01:08:53.817674	34870	50	2	1
2014-03-27 01:09:06.760022	34871	22.6	1	10
2014-03-27 01:09:06.990657	34872	42	2	10
2014-03-27 01:09:17.041971	34873	20.8	1	9
2014-03-27 01:09:17.287453	34874	48	2	9
2014-03-27 01:09:18.131804	34875	21.4	1	8
2014-03-27 01:09:18.368887	34876	47	2	8
2014-03-27 01:09:45.55949	34877	19.9	1	1
2014-03-27 01:09:46.014695	34878	50	2	1
2014-03-27 01:09:46.356942	34879	22.6	1	10
2014-03-27 01:09:46.618253	34880	42	2	10
2014-03-27 01:09:56.042918	34881	20.8	1	9
2014-03-27 01:09:56.26624	34882	48	2	9
2014-03-27 01:09:57.130547	34883	21.4	1	8
2014-03-27 01:09:57.362376	34884	47	2	8
2014-03-27 01:10:11.584192	34885	19.9	1	1
2014-03-27 01:10:11.809977	34886	50	2	1
2014-03-27 01:10:24.762265	34887	22.6	1	10
2014-03-27 01:10:24.99576	34888	42	2	10
2014-03-27 01:10:32.538755	34889	450	3	2
2014-03-27 01:10:32.764902	34890	1089529.0477765955	4	2
2014-03-27 01:10:35.042335	34891	20.8	1	9
2014-03-27 01:10:35.27534	34892	48	2	9
2014-03-27 01:10:36.130148	34893	21.4	1	8
2014-03-27 01:10:36.360541	34894	47	2	8
2014-03-27 01:10:50.582242	34895	19.9	1	1
2014-03-27 01:10:50.817819	34896	50	2	1
2014-03-27 01:11:03.760631	34897	22.6	1	10
2014-03-27 01:11:03.985605	34898	42	2	10
2014-03-27 01:11:14.042752	34899	20.8	1	9
2014-03-27 01:11:14.277211	34900	48	2	9
2014-03-27 01:11:15.131646	34901	21.4	1	8
2014-03-27 01:11:15.353808	34902	47	2	8
2014-03-27 01:11:29.582316	34903	19.9	1	1
2014-03-27 01:11:29.815062	34904	50	2	1
2014-03-27 01:11:32.537329	34905	450	3	2
2014-03-27 01:11:32.761876	34906	1089535.941984924	4	2
2014-03-27 01:11:42.762449	34907	22.6	1	10
2014-03-27 01:11:42.996825	34908	42	2	10
2014-03-27 01:11:53.044114	34909	20.8	1	9
2014-03-27 01:11:53.267534	34910	48	2	9
2014-03-27 01:11:54.131624	34911	21.4	1	8
2014-03-27 01:11:54.365542	34912	47	2	8
2014-03-27 01:12:08.826985	34913	19.9	1	1
2014-03-27 01:12:09.053498	34914	50	2	1
2014-03-27 01:12:20.53809	34915	402	3	2
2014-03-27 01:12:20.771695	34916	1089541.687158531	4	2
2014-03-27 01:12:21.760963	34917	22.6	1	10
2014-03-27 01:12:21.9839	34918	42	2	10
2014-03-27 01:12:32.041152	34919	20.8	1	9
2014-03-27 01:12:32.629933	34920	48	2	9
2014-03-27 01:12:32.972341	34921	402	3	2
2014-03-27 01:12:33.198608	34922	1089543.985227974	4	2
2014-03-27 01:12:33.504133	34923	21.4	1	8
2014-03-27 01:12:33.747161	34924	47	2	8
2014-03-27 01:12:47.583987	34925	19.9	1	1
2014-03-27 01:12:47.80924	34926	50	2	1
2014-03-27 01:13:00.76119	34927	22.5	1	10
2014-03-27 01:13:00.995611	34928	42	2	10
2014-03-27 01:13:08.53398	34929	338	3	2
2014-03-27 01:13:08.758122	34930	1089547.432332138	4	2
2014-03-27 01:13:11.041813	34931	20.8	1	9
2014-03-27 01:13:11.276878	34932	48	2	9
2014-03-27 01:13:12.131344	34933	21.4	1	8
2014-03-27 01:13:12.356684	34934	47	2	8
2014-03-27 01:13:20.533999	34935	338	3	2
2014-03-27 01:13:20.767963	34936	1089548.5813668596	4	2
2014-03-27 01:13:26.581297	34937	19.9	1	1
2014-03-27 01:13:26.805325	34938	50	2	1
2014-03-27 01:13:32.53826	34939	338	3	2
2014-03-27 01:13:32.771706	34940	1089549.730401581	4	2
2014-03-27 01:13:39.761131	34941	22.5	1	10
2014-03-27 01:13:39.984504	34942	42	2	10
2014-03-27 01:13:50.04211	34943	20.8	1	9
2014-03-27 01:13:50.275941	34944	48	2	9
2014-03-27 01:13:51.13026	34945	21.4	1	8
2014-03-27 01:13:51.355979	34946	47	2	8
2014-03-27 01:14:05.583943	34947	19.9	1	1
2014-03-27 01:14:05.816675	34948	50	2	1
2014-03-27 01:14:18.761446	34949	22.5	1	10
2014-03-27 01:14:18.985241	34950	42	2	10
2014-03-27 01:14:29.050207	34951	20.8	1	9
2014-03-27 01:14:29.283285	34952	48	2	9
2014-03-27 01:14:30.130141	34953	21.4	1	8
2014-03-27 01:14:30.354492	34954	47	2	8
2014-03-27 01:14:32.536303	34955	338	3	2
2014-03-27 01:14:32.769535	34956	1089555.475575188	4	2
2014-03-27 01:14:44.586864	34957	19.9	1	1
2014-03-27 01:14:44.811841	34958	50	2	1
2014-03-27 01:14:57.761202	34959	22.5	1	10
2014-03-27 01:14:57.995597	34960	42	2	10
2014-03-27 01:15:08.041617	34961	20.8	1	9
2014-03-27 01:15:08.266323	34962	48	2	9
2014-03-27 01:15:09.139409	34963	21.4	1	8
2014-03-27 01:15:09.374749	34964	47	2	8
2014-03-27 01:15:23.583893	34965	19.9	1	1
2014-03-27 01:15:23.809484	34966	50	2	1
2014-03-27 01:15:32.539786	34967	338	3	2
2014-03-27 01:15:32.777218	34968	1089561.2207487952	4	2
2014-03-27 01:15:36.764333	34969	22.5	1	10
2014-03-27 01:15:36.993181	34970	42	2	10
2014-03-27 01:15:47.042832	34971	20.8	1	9
2014-03-27 01:15:47.288319	34972	48	2	9
2014-03-27 01:15:48.130497	34973	21.4	1	8
2014-03-27 01:15:48.354273	34974	47	2	8
2014-03-27 01:16:02.578843	34975	19.9	1	1
2014-03-27 01:16:02.814202	34976	50	2	1
2014-03-27 01:16:15.764136	34977	22.5	1	10
2014-03-27 01:16:15.987946	34978	42	2	10
2014-03-27 01:16:26.042037	34979	20.8	1	9
2014-03-27 01:16:26.276154	34980	48	2	9
2014-03-27 01:16:27.130367	34981	21.4	1	8
2014-03-27 01:16:27.354294	34982	47	2	8
2014-03-27 01:16:32.535059	34983	338	3	2
2014-03-27 01:16:32.769591	34984	1089566.9659224022	4	2
2014-03-27 01:16:41.584024	34985	19.9	1	1
2014-03-27 01:16:41.808033	34986	50	2	1
2014-03-27 01:16:54.76209	34987	22.5	1	10
2014-03-27 01:16:54.995625	34988	42	2	10
2014-03-27 01:17:05.042989	34989	20.8	1	9
2014-03-27 01:17:05.266787	34990	48	2	9
2014-03-27 01:17:06.13209	34991	21.4	1	8
2014-03-27 01:17:06.365281	34992	47	2	8
2014-03-27 01:17:20.581553	34993	19.9	1	1
2014-03-27 01:17:20.806394	34994	50	2	1
2014-03-27 01:17:32.537765	34995	338	3	2
2014-03-27 01:17:32.771277	34996	1089572.7110960092	4	2
2014-03-27 01:17:33.762662	34997	22.5	1	10
2014-03-27 01:17:33.985667	34998	42	2	10
2014-03-27 01:17:44.043814	34999	20.8	1	9
2014-03-27 01:17:44.279932	35000	48	2	9
2014-03-27 01:17:45.132045	35001	21.4	1	8
2014-03-27 01:17:45.358064	35002	47	2	8
2014-03-27 01:17:59.582769	35003	19.9	1	1
2014-03-27 01:17:59.815455	35004	50	2	1
2014-03-27 01:18:12.763591	35005	22.5	1	10
2014-03-27 01:18:12.988277	35006	42	2	10
2014-03-27 01:18:23.041511	35007	20.8	1	9
2014-03-27 01:18:23.276691	35008	48	2	9
2014-03-27 01:18:24.131348	35009	21.4	1	8
2014-03-27 01:18:24.357265	35010	47	2	8
2014-03-27 01:18:32.534743	35011	338	3	2
2014-03-27 01:18:32.771229	35012	1089578.4562696163	4	2
2014-03-27 01:18:38.582254	35013	19.9	1	1
2014-03-27 01:18:38.807492	35014	50	2	1
2014-03-27 01:18:51.970626	35015	22.5	1	10
2014-03-27 01:18:52.205777	35016	42	2	10
2014-03-27 01:19:02.043204	35017	20.8	1	9
2014-03-27 01:19:02.269664	35018	48	2	9
2014-03-27 01:19:03.130881	35019	21.4	1	8
2014-03-27 01:19:03.376016	35020	47	2	8
2014-03-27 01:19:17.579789	35021	19.9	1	1
2014-03-27 01:19:17.801883	35022	50	2	1
2014-03-27 01:19:30.762741	35023	22.5	1	10
2014-03-27 01:19:30.995437	35024	42	2	10
2014-03-27 01:19:32.537832	35025	338	3	2
2014-03-27 01:19:32.760982	35026	1089583.052408502	4	2
2014-03-27 01:19:41.042403	35027	20.8	1	9
2014-03-27 01:19:41.275948	35028	48	2	9
2014-03-27 01:19:42.130768	35029	21.4	1	8
2014-03-27 01:19:42.35404	35030	47	2	8
2014-03-27 01:19:56.820524	35031	19.9	1	1
2014-03-27 01:19:57.054402	35032	50	2	1
2014-03-27 01:20:08.537704	35033	370	3	2
2014-03-27 01:20:08.763323	35034	1089587.6485473877	4	2
2014-03-27 01:20:09.762474	35035	22.5	1	10
2014-03-27 01:20:09.99809	35036	42	2	10
2014-03-27 01:20:20.04212	35037	20.8	1	9
2014-03-27 01:20:20.264766	35038	48	2	9
2014-03-27 01:20:21.130638	35039	21.4	1	8
2014-03-27 01:20:21.364017	35040	47	2	8
2014-03-27 01:20:32.537967	35041	370	3	2
2014-03-27 01:20:32.763514	35042	1089589.9466168305	4	2
2014-03-27 01:20:35.581281	35043	19.9	1	1
2014-03-27 01:20:35.814916	35044	50	2	1
2014-03-27 01:20:48.764328	35045	22.5	1	10
2014-03-27 01:20:48.987564	35046	42	2	10
2014-03-27 01:20:59.040776	35047	20.8	1	9
2014-03-27 01:20:59.27664	35048	48	2	9
2014-03-27 01:21:00.130002	35049	21.4	1	8
2014-03-27 01:21:00.355858	35050	47	2	8
2014-03-27 01:21:14.579971	35051	19.9	1	1
2014-03-27 01:21:14.815209	35052	50	2	1
2014-03-27 01:21:27.76601	35053	22.5	1	10
2014-03-27 01:21:27.991035	35054	42	2	10
2014-03-27 01:21:32.534717	35055	370	3	2
2014-03-27 01:21:32.769596	35056	1089595.6917904376	4	2
2014-03-27 01:21:38.042135	35057	20.8	1	9
2014-03-27 01:21:38.267573	35058	48	2	9
2014-03-27 01:21:39.130677	35059	21.4	1	8
2014-03-27 01:21:39.369676	35060	47	2	8
2014-03-27 01:21:53.578938	35061	19.9	1	1
2014-03-27 01:21:53.803896	35062	50	2	1
2014-03-27 01:22:06.761614	35063	22.5	1	10
2014-03-27 01:22:07.00379	35064	42	2	10
2014-03-27 01:22:17.041246	35065	20.7	1	9
2014-03-27 01:22:17.265102	35066	48	2	9
2014-03-27 01:22:18.130756	35067	21.4	1	8
2014-03-27 01:22:18.374706	35068	47	2	8
2014-03-27 01:22:32.81614	35069	19.9	1	1
2014-03-27 01:22:33.043671	35070	50	2	1
2014-03-27 01:22:45.764838	35071	22.5	1	10
2014-03-27 01:22:46.001238	35072	42	2	10
2014-03-27 01:22:56.043536	35073	20.7	1	9
2014-03-27 01:22:56.268515	35074	48	2	9
2014-03-27 01:22:57.132293	35075	21.4	1	8
2014-03-27 01:22:57.36481	35076	47	2	8
2014-03-27 01:23:11.579539	35077	19.9	1	1
2014-03-27 01:23:11.82457	35078	50	2	1
2014-03-27 01:23:24.764834	35079	22.5	1	10
2014-03-27 01:23:24.99858	35080	42	2	10
2014-03-27 01:23:32.537968	35081	354	3	2
2014-03-27 01:23:32.762089	35082	1089608.3311723731	4	2
2014-03-27 01:23:35.041006	35083	20.7	1	9
2014-03-27 01:23:35.277647	35084	48	2	9
2014-03-27 01:23:36.130336	35085	21.4	1	8
2014-03-27 01:23:36.355604	35086	47	2	8
2014-03-27 01:23:50.574767	35087	19.8	1	1
2014-03-27 01:23:50.809566	35088	50	2	1
2014-03-27 01:24:03.76312	35089	22.5	1	10
2014-03-27 01:24:03.987456	35090	42	2	10
2014-03-27 01:24:14.040567	35091	20.7	1	9
2014-03-27 01:24:14.277149	35092	48	2	9
2014-03-27 01:24:15.130993	35093	21.4	1	8
2014-03-27 01:24:15.356646	35094	47	2	8
2014-03-27 01:24:29.577178	35095	19.8	1	1
2014-03-27 01:24:29.811393	35096	50	2	1
2014-03-27 01:24:32.533155	35097	354	3	2
2014-03-27 01:24:32.757558	35098	1089614.0763459802	4	2
2014-03-27 01:24:42.764808	35099	22.5	1	10
2014-03-27 01:24:42.998818	35100	42	2	10
2014-03-27 01:24:53.041924	35101	20.7	1	9
2014-03-27 01:24:53.264874	35102	48	2	9
2014-03-27 01:24:54.129651	35103	21.3	1	8
2014-03-27 01:24:54.363201	35104	47	2	8
2014-03-27 01:24:56.537509	35105	305	3	2
2014-03-27 01:24:56.763324	35106	1089616.374415423	4	2
2014-03-27 01:25:08.820024	35107	19.8	1	1
2014-03-27 01:25:09.052857	35108	50	2	1
2014-03-27 01:25:21.76468	35109	22.5	1	10
2014-03-27 01:25:21.990456	35110	42	2	10
2014-03-27 01:25:32.042152	35111	20.7	1	9
2014-03-27 01:25:32.27528	35112	48	2	9
2014-03-27 01:25:32.584528	35113	305	3	2
2014-03-27 01:25:32.807907	35114	1089619.8215195872	4	2
2014-03-27 01:25:33.133001	35115	21.3	1	8
2014-03-27 01:25:33.377741	35116	47	2	8
2014-03-27 01:25:44.532783	35117	338	3	2
2014-03-27 01:25:44.758148	35118	1089620.9705543087	4	2
2014-03-27 01:25:47.576303	35119	19.8	1	1
2014-03-27 01:25:47.809959	35120	50	2	1
2014-03-27 01:25:56.534307	35121	338	3	2
2014-03-27 01:25:56.759635	35122	1089620.9705543087	4	2
2014-03-27 01:26:00.764038	35123	22.5	1	10
2014-03-27 01:26:00.996714	35124	42	2	10
2014-03-27 01:26:08.534315	35125	305	3	2
2014-03-27 01:26:08.760597	35126	1089622.11958903	4	2
2014-03-27 01:26:11.041656	35127	20.7	1	9
2014-03-27 01:26:11.275362	35128	48	2	9
2014-03-27 01:26:12.130184	35129	21.3	1	8
2014-03-27 01:26:12.374241	35130	47	2	8
2014-03-27 01:26:20.535282	35131	338	3	2
2014-03-27 01:26:20.770822	35132	1089623.2686237516	4	2
2014-03-27 01:26:26.572911	35133	19.8	1	1
2014-03-27 01:26:26.79927	35134	50	2	1
2014-03-27 01:26:32.53654	35135	305	3	2
2014-03-27 01:26:32.772516	35136	1089624.417658473	4	2
2014-03-27 01:26:39.767602	35137	22.5	1	10
2014-03-27 01:26:39.991265	35138	42	2	10
2014-03-27 01:26:44.535722	35139	305	3	2
2014-03-27 01:26:44.771492	35140	1089625.5666931944	4	2
2014-03-27 01:26:50.04072	35141	20.7	1	9
2014-03-27 01:26:50.267217	35142	48	2	9
2014-03-27 01:26:51.12966	35143	21.3	1	8
2014-03-27 01:26:51.363456	35144	47	2	8
2014-03-27 01:27:05.577106	35145	19.8	1	1
2014-03-27 01:27:05.802898	35146	50	2	1
2014-03-27 01:27:18.76573	35147	22.5	1	10
2014-03-27 01:27:19.002386	35148	42	2	10
2014-03-27 01:27:29.041474	35149	20.7	1	9
2014-03-27 01:27:29.265296	35150	48	2	9
2014-03-27 01:27:30.130911	35151	21.3	1	8
2014-03-27 01:27:30.363911	35152	47	2	8
2014-03-27 01:27:32.534226	35153	305	3	2
2014-03-27 01:27:32.757825	35154	1089630.16283208	4	2
2014-03-27 01:27:44.571866	35155	19.8	1	1
2014-03-27 01:27:44.809759	35156	50	2	1
2014-03-27 01:27:57.764926	35157	22.4	1	10
2014-03-27 01:27:57.991531	35158	42	2	10
2014-03-27 01:28:08.044302	35159	20.7	1	9
2014-03-27 01:28:08.278029	35160	48	2	9
2014-03-27 01:28:09.130211	35161	21.3	1	8
2014-03-27 01:28:09.353256	35162	47	2	8
2014-03-27 01:28:23.573742	35163	19.8	1	1
2014-03-27 01:28:23.819782	35164	50	2	1
2014-03-27 01:28:32.532849	35165	305	3	2
2014-03-27 01:28:32.760018	35166	1089634.7589709656	4	2
2014-03-27 01:28:36.765296	35167	22.4	1	10
2014-03-27 01:28:37.003139	35168	42	2	10
2014-03-27 01:28:47.040471	35169	20.7	1	9
2014-03-27 01:28:47.266301	35170	48	2	9
2014-03-27 01:28:48.134019	35171	21.3	1	8
2014-03-27 01:28:48.368073	35172	47	2	8
2014-03-27 01:29:02.578519	35173	19.8	1	1
2014-03-27 01:29:02.801725	35174	50	2	1
2014-03-27 01:29:15.766442	35175	22.4	1	10
2014-03-27 01:29:16.000914	35176	42	2	10
2014-03-27 01:29:26.040935	35177	20.7	1	9
2014-03-27 01:29:26.267266	35178	48	2	9
2014-03-27 01:29:27.129607	35179	21.3	1	8
2014-03-27 01:29:27.364659	35180	47	2	8
2014-03-27 01:29:32.534032	35181	305	3	2
2014-03-27 01:29:32.758272	35182	1089640.5041445727	4	2
2014-03-27 01:29:41.574075	35183	19.8	1	1
2014-03-27 01:29:41.809635	35184	50	2	1
2014-03-27 01:29:54.765386	35185	22.4	1	10
2014-03-27 01:29:54.99021	35186	42	2	10
2014-03-27 01:30:05.040841	35187	20.7	1	9
2014-03-27 01:30:05.27542	35188	48	2	9
2014-03-27 01:30:06.129561	35189	21.3	1	8
2014-03-27 01:30:06.356773	35190	47	2	8
2014-03-27 01:30:20.57294	35191	19.8	1	1
2014-03-27 01:30:20.807204	35192	50	2	1
2014-03-27 01:30:33.567869	35193	305	3	2
2014-03-27 01:30:33.79303	35194	1089645.1002834584	4	2
2014-03-27 01:30:34.10041	35195	22.4	1	10
2014-03-27 01:30:34.332577	35196	42	2	10
2014-03-27 01:30:44.040549	35197	20.7	1	9
2014-03-27 01:30:44.264911	35198	48	2	9
2014-03-27 01:30:45.129981	35199	21.3	1	8
2014-03-27 01:30:45.361857	35200	47	2	8
2014-03-27 01:30:59.575386	35201	19.8	1	1
2014-03-27 01:30:59.80086	35202	50	2	1
2014-03-27 01:31:12.766858	35203	22.4	1	10
2014-03-27 01:31:13.001203	35204	42	2	10
2014-03-27 01:31:23.04176	35205	20.7	1	9
2014-03-27 01:31:23.265764	35206	48	2	9
2014-03-27 01:31:24.133026	35207	21.3	1	8
2014-03-27 01:31:24.365902	35208	47	2	8
2014-03-27 01:31:32.533785	35209	305	3	2
2014-03-27 01:31:32.759826	35210	1089650.8454570654	4	2
2014-03-27 01:31:38.572511	35211	19.8	1	1
2014-03-27 01:31:38.819738	35212	50	2	1
2014-03-27 01:31:51.768895	35213	22.4	1	10
2014-03-27 01:31:51.993265	35214	42	2	10
2014-03-27 01:32:02.041104	35215	20.7	1	9
2014-03-27 01:32:02.275896	35216	48	2	9
2014-03-27 01:32:03.129232	35217	21.3	1	8
2014-03-27 01:32:03.352918	35218	47	2	8
2014-03-27 01:32:17.573082	35219	19.8	1	1
2014-03-27 01:32:17.80936	35220	50	2	1
2014-03-27 01:32:20.535884	35221	354	3	2
2014-03-27 01:32:20.759428	35222	1089654.2925612298	4	2
2014-03-27 01:32:30.767316	35223	22.4	1	10
2014-03-27 01:32:31.002448	35224	42	2	10
2014-03-27 01:32:32.536171	35225	354	3	2
2014-03-27 01:32:32.759537	35226	1089655.441595951	4	2
2014-03-27 01:32:41.041076	35227	20.7	1	9
2014-03-27 01:32:41.276273	35228	48	2	9
2014-03-27 01:32:42.129909	35229	21.3	1	8
2014-03-27 01:32:42.351891	35230	47	2	8
2014-03-27 01:32:56.570257	35231	19.8	1	1
2014-03-27 01:32:56.804507	35232	50	2	1
2014-03-27 01:33:09.768281	35233	22.4	1	10
2014-03-27 01:33:09.99174	35234	42	2	10
2014-03-27 01:33:20.043249	35235	20.7	1	9
2014-03-27 01:33:20.276847	35236	48	2	9
2014-03-27 01:33:21.129783	35237	21.3	1	8
2014-03-27 01:33:21.352593	35238	47	2	8
2014-03-27 01:33:32.534106	35239	370	3	2
2014-03-27 01:33:32.768314	35240	1089661.1867695581	4	2
2014-03-27 01:33:35.572987	35241	19.8	1	1
2014-03-27 01:33:35.799237	35242	50	2	1
2014-03-27 01:33:48.766586	35243	22.4	1	10
2014-03-27 01:33:49.00098	35244	42	2	10
2014-03-27 01:33:59.041615	35245	20.7	1	9
2014-03-27 01:33:59.266912	35246	48	2	9
2014-03-27 01:34:00.131598	35247	21.3	1	8
2014-03-27 01:34:00.364989	35248	47	2	8
2014-03-27 01:34:14.569953	35249	19.8	1	1
2014-03-27 01:34:14.796245	35250	50	2	1
2014-03-27 01:34:27.766854	35251	22.4	1	10
2014-03-27 01:34:28.000047	35252	42	2	10
2014-03-27 01:34:32.535454	35253	370	3	2
2014-03-27 01:34:32.760702	35254	1089668.0809778867	4	2
2014-03-27 01:34:38.040641	35255	20.7	1	9
2014-03-27 01:34:38.275407	35256	48	2	9
2014-03-27 01:34:39.129861	35257	21.3	1	8
2014-03-27 01:34:39.354938	35258	47	2	8
2014-03-27 01:34:53.570128	35259	19.8	1	1
2014-03-27 01:34:53.814665	35260	50	2	1
2014-03-27 01:35:06.769645	35261	22.4	1	10
2014-03-27 01:35:06.995153	35262	42	2	10
2014-03-27 01:35:17.041169	35263	20.7	1	9
2014-03-27 01:35:17.275549	35264	48	2	9
2014-03-27 01:35:18.130997	35265	21.3	1	8
2014-03-27 01:35:18.355432	35266	47	2	8
2014-03-27 01:35:32.812866	35267	19.8	1	1
2014-03-27 01:35:33.04591	35268	50	2	1
2014-03-27 01:35:45.768893	35269	22.4	1	10
2014-03-27 01:35:45.995818	35270	42	2	10
2014-03-27 01:35:56.041943	35271	20.7	1	9
2014-03-27 01:35:56.275569	35272	48	2	9
2014-03-27 01:35:57.131918	35273	21.3	1	8
2014-03-27 01:35:57.355366	35274	47	2	8
2014-03-27 01:36:11.573585	35275	19.8	1	1
2014-03-27 01:36:11.810087	35276	50	2	1
2014-03-27 01:36:24.769056	35277	22.3	1	10
2014-03-27 01:36:24.994643	35278	42	2	10
2014-03-27 01:36:32.535961	35279	370	3	2
2014-03-27 01:36:32.772387	35280	1089680.7203598223	4	2
2014-03-27 01:36:35.042175	35281	20.7	1	9
2014-03-27 01:36:35.264956	35282	48	2	9
2014-03-27 01:36:36.132635	35283	21.3	1	8
2014-03-27 01:36:36.365231	35284	47	2	8
2014-03-27 01:36:50.570647	35285	19.8	1	1
2014-03-27 01:36:50.796223	35286	50	2	1
2014-03-27 01:37:03.769914	35287	22.3	1	10
2014-03-27 01:37:04.005656	35288	42	2	10
2014-03-27 01:37:14.040809	35289	20.7	1	9
2014-03-27 01:37:14.265517	35290	48	2	9
2014-03-27 01:37:15.130279	35291	21.3	1	8
2014-03-27 01:37:15.362859	35292	47	2	8
2014-03-27 01:37:29.567546	35293	19.8	1	1
2014-03-27 01:37:29.793943	35294	50	2	1
2014-03-27 01:37:32.531472	35295	370	3	2
2014-03-27 01:37:32.803881	35296	1089686.4655334293	4	2
2014-03-27 01:37:42.770645	35297	22.3	1	10
2014-03-27 01:37:42.995783	35298	42	2	10
2014-03-27 01:37:53.042017	35299	20.7	1	9
2014-03-27 01:37:53.274586	35300	48	2	9
2014-03-27 01:37:54.129921	35301	21.3	1	8
2014-03-27 01:37:54.353941	35302	47	2	8
2014-03-27 01:37:56.531386	35303	402	3	2
2014-03-27 01:37:56.765926	35304	1089688.7636028721	4	2
2014-03-27 01:38:08.80727	35305	19.8	1	1
2014-03-27 01:38:09.033005	35306	50	2	1
2014-03-27 01:38:20.533545	35307	370	3	2
2014-03-27 01:38:20.777931	35308	1089691.061672315	4	2
2014-03-27 01:38:21.768724	35309	22.3	1	10
2014-03-27 01:38:22.001712	35310	42	2	10
2014-03-27 01:38:32.097186	35311	20.7	1	9
2014-03-27 01:38:32.330905	35312	48	2	9
2014-03-27 01:38:32.638916	35313	338	3	2
2014-03-27 01:38:32.863586	35314	1089692.2107070363	4	2
2014-03-27 01:38:33.173132	35315	21.3	1	8
2014-03-27 01:38:33.407964	35316	47	2	8
2014-03-27 01:38:44.535095	35317	305	3	2
2014-03-27 01:38:44.759999	35318	1089693.3597417579	4	2
2014-03-27 01:38:47.572731	35319	19.8	1	1
2014-03-27 01:38:47.806255	35320	50	2	1
2014-03-27 01:38:56.533261	35321	338	3	2
2014-03-27 01:38:56.757654	35322	1089694.5087764792	4	2
2014-03-27 01:39:00.769095	35323	22.3	1	10
2014-03-27 01:39:01.003997	35324	42	2	10
2014-03-27 01:39:08.531707	35325	305	3	2
2014-03-27 01:39:08.755251	35326	1089695.6578112007	4	2
2014-03-27 01:39:11.041823	35327	20.7	1	9
2014-03-27 01:39:11.27617	35328	48	2	9
2014-03-27 01:39:12.132992	35329	21.3	1	8
2014-03-27 01:39:12.357931	35330	47	2	8
2014-03-27 01:39:20.533532	35331	305	3	2
2014-03-27 01:39:20.768072	35332	1089696.806845922	4	2
2014-03-27 01:39:26.570605	35333	19.8	1	1
2014-03-27 01:39:26.794401	35334	50	2	1
2014-03-27 01:39:32.53652	35335	305	3	2
2014-03-27 01:39:32.769383	35336	1089697.9558806436	4	2
2014-03-27 01:39:39.769249	35337	22.3	1	10
2014-03-27 01:39:39.993032	35338	42	2	10
2014-03-27 01:39:50.042012	35339	20.7	1	9
2014-03-27 01:39:50.277356	35340	48	2	9
2014-03-27 01:39:51.130568	35341	21.3	1	8
2014-03-27 01:39:51.356476	35342	47	2	8
2014-03-27 01:40:05.570264	35343	19.8	1	1
2014-03-27 01:40:05.804041	35344	50	2	1
2014-03-27 01:40:18.770211	35345	22.3	1	10
2014-03-27 01:40:18.993991	35346	42	2	10
2014-03-27 01:40:29.042232	35347	20.7	1	9
2014-03-27 01:40:29.276446	35348	48	2	9
2014-03-27 01:40:30.130734	35349	21.3	1	8
2014-03-27 01:40:30.355647	35350	47	2	8
2014-03-27 01:40:32.53424	35351	305	3	2
2014-03-27 01:40:32.770403	35352	1089701.40745576	4	2
2014-03-27 01:40:44.565101	35353	19.8	1	1
2014-03-27 01:40:44.789561	35354	50	2	1
2014-03-27 01:40:57.768995	35355	22.3	1	10
2014-03-27 01:40:58.014732	35356	42	2	10
2014-03-27 01:41:08.040623	35357	20.7	1	9
2014-03-27 01:41:08.264404	35358	48	2	9
2014-03-27 01:41:09.130831	35359	21.3	1	8
2014-03-27 01:41:09.363389	35360	47	2	8
2014-03-27 01:41:23.60132	35361	19.8	1	1
2014-03-27 01:41:23.824092	35362	50	2	1
2014-03-27 01:41:32.535859	35363	305	3	2
2014-03-27 01:41:32.769742	35364	1089707.152629367	4	2
2014-03-27 01:41:36.769397	35365	22.3	1	10
2014-03-27 01:41:36.991798	35366	42	2	10
2014-03-27 01:41:47.040707	35367	20.7	1	9
2014-03-27 01:41:47.275606	35368	48	2	9
2014-03-27 01:41:48.130195	35369	21.3	1	8
2014-03-27 01:41:48.353677	35370	47	2	8
2014-03-27 01:42:02.566437	35371	19.8	1	1
2014-03-27 01:42:02.801785	35372	50	2	1
2014-03-27 01:42:08.533239	35373	338	3	2
2014-03-27 01:42:08.758795	35374	1089710.5997335312	4	2
2014-03-27 01:42:15.7706	35375	22.3	1	10
2014-03-27 01:42:16.004127	35376	42	2	10
2014-03-27 01:42:20.531612	35377	305	3	2
2014-03-27 01:42:20.756311	35378	1089710.5997335312	4	2
2014-03-27 01:42:26.041187	35379	20.7	1	9
2014-03-27 01:42:26.276195	35380	48	2	9
2014-03-27 01:42:27.130485	35381	21.3	1	8
2014-03-27 01:42:27.353922	35382	47	2	8
2014-03-27 01:42:32.533296	35383	305	3	2
2014-03-27 01:42:32.771817	35384	1089711.7487682528	4	2
2014-03-27 01:42:41.56666	35385	19.8	1	1
2014-03-27 01:42:41.79465	35386	50	2	1
2014-03-27 01:42:54.770873	35387	22.3	1	10
2014-03-27 01:42:55.004487	35388	42	2	10
2014-03-27 01:43:05.041076	35389	20.7	1	9
2014-03-27 01:43:05.266733	35390	48	2	9
2014-03-27 01:43:06.130868	35391	21.3	1	8
2014-03-27 01:43:06.364703	35392	47	2	8
2014-03-27 01:43:20.567222	35393	19.8	1	1
2014-03-27 01:43:20.793043	35394	50	2	1
2014-03-27 01:43:32.535632	35395	305	3	2
2014-03-27 01:43:32.770877	35396	1089717.4939418598	4	2
2014-03-27 01:43:33.771015	35397	22.3	1	10
2014-03-27 01:43:33.995303	35398	42	2	10
2014-03-27 01:43:44.041568	35399	20.7	1	9
2014-03-27 01:43:44.276636	35400	48	2	9
2014-03-27 01:43:45.131199	35401	21.3	1	8
2014-03-27 01:43:45.354236	35402	47	2	8
2014-03-27 01:43:59.566031	35403	19.8	1	1
2014-03-27 01:43:59.811197	35404	50	2	1
2014-03-27 01:44:08.533248	35405	338	3	2
2014-03-27 01:44:08.757494	35406	1089720.941046024	4	2
2014-03-27 01:44:12.770276	35407	22.2	1	10
2014-03-27 01:44:13.005225	35408	42	2	10
2014-03-27 01:44:20.533318	35409	338	3	2
2014-03-27 01:44:20.757438	35410	1089722.0900807455	4	2
2014-03-27 01:44:23.250271	35411	20.7	1	9
2014-03-27 01:44:23.483721	35412	48	2	9
2014-03-27 01:44:24.133856	35413	21.3	1	8
2014-03-27 01:44:24.357319	35414	47	2	8
2014-03-27 01:44:32.531722	35415	305	3	2
2014-03-27 01:44:32.766264	35416	1089722.0900807455	4	2
2014-03-27 01:44:38.565586	35417	19.8	1	1
2014-03-27 01:44:38.792043	35418	50	2	1
2014-03-27 01:44:44.533609	35419	305	3	2
2014-03-27 01:44:44.768179	35420	1089723.2391154668	4	2
2014-03-27 01:44:51.770971	35421	22.2	1	10
2014-03-27 01:44:51.995661	35422	42	2	10
2014-03-27 01:45:02.041594	35423	20.7	1	9
2014-03-27 01:45:02.33265	35424	48	2	9
2014-03-27 01:45:03.130152	35425	21.3	1	8
2014-03-27 01:45:03.3546	35426	47	2	8
2014-03-27 01:45:08.53446	35427	338	3	2
2014-03-27 01:45:08.769075	35428	1089725.5371849097	4	2
2014-03-27 01:45:17.600273	35429	19.8	1	1
2014-03-27 01:45:17.824816	35430	50	2	1
2014-03-27 01:45:20.532865	35431	338	3	2
2014-03-27 01:45:20.768645	35432	1089726.686219631	4	2
2014-03-27 01:45:30.770724	35433	22.2	1	10
2014-03-27 01:45:31.017332	35434	42	2	10
2014-03-27 01:45:32.532587	35435	305	3	2
2014-03-27 01:45:32.767295	35436	1089727.8352543525	4	2
2014-03-27 01:45:41.039726	35437	20.7	1	9
2014-03-27 01:45:41.266025	35438	48	2	9
2014-03-27 01:45:42.130367	35439	21.3	1	8
2014-03-27 01:45:42.365441	35440	47	2	8
2014-03-27 01:45:44.533296	35441	305	3	2
2014-03-27 01:45:44.757105	35442	1089728.9842890739	4	2
2014-03-27 01:45:56.565315	35443	19.8	1	1
2014-03-27 01:45:56.80025	35444	50	2	1
2014-03-27 01:46:08.53148	35445	370	3	2
2014-03-27 01:46:08.75944	35446	1089731.2823585167	4	2
2014-03-27 01:46:09.774915	35447	22.2	1	10
2014-03-27 01:46:10.009055	35448	42	2	10
2014-03-27 01:46:20.041086	35449	20.7	1	9
2014-03-27 01:46:20.265474	35450	48	2	9
2014-03-27 01:46:20.577501	35451	354	3	2
2014-03-27 01:46:20.823421	35452	1089732.4313932383	4	2
2014-03-27 01:46:21.132044	35453	21.3	1	8
2014-03-27 01:46:21.355292	35454	47	2	8
2014-03-27 01:46:32.533685	35455	370	3	2
2014-03-27 01:46:32.767552	35456	1089733.5804279596	4	2
2014-03-27 01:46:35.564973	35457	19.8	1	1
2014-03-27 01:46:35.788232	35458	50	2	1
2014-03-27 01:46:48.771545	35459	22.2	1	10
2014-03-27 01:46:49.005545	35460	42	2	10
2014-03-27 01:46:59.041938	35461	20.7	1	9
2014-03-27 01:46:59.266586	35462	48	2	9
2014-03-27 01:47:00.130608	35463	21.3	1	8
2014-03-27 01:47:00.365159	35464	47	2	8
2014-03-27 01:47:14.566692	35465	19.8	1	1
2014-03-27 01:47:14.792543	35466	50	2	1
2014-03-27 01:47:27.772923	35467	22.2	1	10
2014-03-27 01:47:28.010972	35468	42	2	10
2014-03-27 01:47:32.536915	35469	370	3	2
2014-03-27 01:47:32.763655	35470	1089739.3256015666	4	2
2014-03-27 01:47:38.04199	35471	20.7	1	9
2014-03-27 01:47:38.277501	35472	48	2	9
2014-03-27 01:47:39.130189	35473	21.3	1	8
2014-03-27 01:47:39.354776	35474	47	2	8
2014-03-27 01:47:53.564849	35475	19.8	1	1
2014-03-27 01:47:53.803455	35476	50	2	1
2014-03-27 01:48:06.772943	35477	22.2	1	10
2014-03-27 01:48:06.996971	35478	42	2	10
2014-03-27 01:48:17.041111	35479	20.7	1	9
2014-03-27 01:48:17.274961	35480	48	2	9
2014-03-27 01:48:18.130574	35481	21.3	1	8
2014-03-27 01:48:18.355653	35482	47	2	8
2014-03-27 01:48:32.803106	35483	19.8	1	1
2014-03-27 01:48:33.037086	35484	50	2	1
2014-03-27 01:48:45.772746	35485	22.2	1	10
2014-03-27 01:48:45.998882	35486	42	2	10
2014-03-27 01:48:56.041589	35487	20.7	1	9
2014-03-27 01:48:56.276919	35488	48	2	9
2014-03-27 01:48:57.131293	35489	21.3	1	8
2014-03-27 01:48:57.355205	35490	47	2	8
2014-03-27 01:49:11.563942	35491	19.8	1	1
2014-03-27 01:49:11.798614	35492	50	2	1
2014-03-27 01:49:24.772698	35493	22.2	1	10
2014-03-27 01:49:24.997768	35494	42	2	10
2014-03-27 01:49:32.541031	35495	370	3	2
2014-03-27 01:49:32.776899	35496	1089751.9649835022	4	2
2014-03-27 01:49:35.042288	35497	20.7	1	9
2014-03-27 01:49:35.266243	35498	48	2	9
2014-03-27 01:49:36.130623	35499	21.3	1	8
2014-03-27 01:49:36.375796	35500	47	2	8
2014-03-27 01:49:44.531506	35501	434	3	2
2014-03-27 01:49:44.757436	35502	1089754.263052945	4	2
2014-03-27 01:49:50.560696	35503	19.8	1	1
2014-03-27 01:49:50.795942	35504	50	2	1
2014-03-27 01:50:03.569859	35505	434	3	2
2014-03-27 01:50:03.796934	35506	1089755.4120876663	4	2
2014-03-27 01:50:04.105088	35507	22.2	1	10
2014-03-27 01:50:04.339735	35508	42	2	10
2014-03-27 01:50:14.040829	35509	20.7	1	9
2014-03-27 01:50:14.2672	35510	48	2	9
2014-03-27 01:50:15.13105	35511	21.3	1	8
2014-03-27 01:50:15.363563	35512	47	2	8
2014-03-27 01:50:29.561665	35513	19.8	1	1
2014-03-27 01:50:29.787069	35514	50	2	1
2014-03-27 01:50:32.564839	35515	434	3	2
2014-03-27 01:50:32.800983	35516	1089760.008226552	4	2
2014-03-27 01:50:42.773135	35517	22.2	1	10
2014-03-27 01:50:42.996276	35518	42	2	10
2014-03-27 01:50:53.041032	35519	20.7	1	9
2014-03-27 01:50:53.275055	35520	48	2	9
2014-03-27 01:50:54.129718	35521	21.3	1	8
2014-03-27 01:50:54.354032	35522	46	2	8
2014-03-27 01:51:08.560858	35523	19.8	1	1
2014-03-27 01:51:08.795964	35524	50	2	1
2014-03-27 01:51:20.533076	35525	402	3	2
2014-03-27 01:51:20.760211	35526	1089765.753400159	4	2
2014-03-27 01:51:21.772994	35527	22.1	1	10
2014-03-27 01:51:22.005824	35528	42	2	10
2014-03-27 01:51:32.24954	35529	20.7	1	9
2014-03-27 01:51:32.529953	35530	48	2	9
2014-03-27 01:51:32.839722	35531	402	3	2
2014-03-27 01:51:33.072522	35532	1089766.9024348806	4	2
2014-03-27 01:51:33.382484	35533	21.3	1	8
2014-03-27 01:51:33.607248	35534	46	2	8
2014-03-27 01:51:47.562416	35535	19.8	1	1
2014-03-27 01:51:47.79742	35536	50	2	1
2014-03-27 01:52:00.772891	35537	22.1	1	10
2014-03-27 01:52:00.995887	35538	42	2	10
2014-03-27 01:52:11.039981	35539	20.7	1	9
2014-03-27 01:52:11.27639	35540	48	2	9
2014-03-27 01:52:12.131152	35541	21.3	1	8
2014-03-27 01:52:12.354726	35542	46	2	8
2014-03-27 01:52:26.562743	35543	19.8	1	1
2014-03-27 01:52:26.800525	35544	50	2	1
2014-03-27 01:52:32.591468	35545	402	3	2
2014-03-27 01:52:32.815532	35546	1089773.7966432092	4	2
2014-03-27 01:52:39.774606	35547	22.1	1	10
2014-03-27 01:52:40.024676	35548	42	2	10
2014-03-27 01:52:50.040116	35549	20.7	1	9
2014-03-27 01:52:50.264465	35550	48	2	9
2014-03-27 01:52:51.130112	35551	21.3	1	8
2014-03-27 01:52:51.362731	35552	46	2	8
2014-03-27 01:53:05.562558	35553	19.8	1	1
2014-03-27 01:53:05.789497	35554	50	2	1
2014-03-27 01:53:18.775158	35555	22.1	1	10
2014-03-27 01:53:19.010552	35556	42	2	10
2014-03-27 01:53:29.042204	35557	20.7	1	9
2014-03-27 01:53:29.267277	35558	48	2	9
2014-03-27 01:53:30.130278	35559	21.3	1	8
2014-03-27 01:53:30.363147	35560	46	2	8
2014-03-27 01:53:32.586788	35561	370	3	2
2014-03-27 01:53:32.813593	35562	1089780.6908515375	4	2
2014-03-27 01:53:44.802446	35563	19.8	1	1
2014-03-27 01:53:45.034918	35564	50	2	1
2014-03-27 01:53:57.772198	35565	22.1	1	10
2014-03-27 01:53:57.999751	35566	42	2	10
2014-03-27 01:54:08.041967	35567	20.6	1	9
2014-03-27 01:54:08.278955	35568	48	2	9
2014-03-27 01:54:09.129642	35569	21.3	1	8
2014-03-27 01:54:09.353468	35570	46	2	8
2014-03-27 01:54:23.559526	35571	19.8	1	1
2014-03-27 01:54:23.803399	35572	50	2	1
2014-03-27 01:54:32.577701	35573	370	3	2
2014-03-27 01:54:32.811915	35574	1089786.4360251448	4	2
2014-03-27 01:54:36.772385	35575	22.1	1	10
2014-03-27 01:54:37.007495	35576	42	2	10
2014-03-27 01:54:47.042917	35577	20.6	1	9
2014-03-27 01:54:47.265514	35578	48	2	9
2014-03-27 01:54:48.1315	35579	21.3	1	8
2014-03-27 01:54:48.365648	35580	46	2	8
2014-03-27 01:55:02.353887	35581	402	3	2
2014-03-27 01:55:02.617484	35582	1089789.883129309	4	2
2014-03-27 01:55:02.942988	35583	19.8	1	1
2014-03-27 01:55:03.178176	35584	50	2	1
2014-03-27 01:55:08.530808	35585	370	3	2
2014-03-27 01:55:08.756625	35586	1089791.0321640302	4	2
2014-03-27 01:55:15.774328	35587	22.1	1	10
2014-03-27 01:55:16.008239	35588	42	2	10
2014-03-27 01:55:20.531284	35589	370	3	2
2014-03-27 01:55:20.754857	35590	1089792.1811987518	4	2
2014-03-27 01:55:26.040504	35591	20.6	1	9
2014-03-27 01:55:26.277125	35592	48	2	9
2014-03-27 01:55:27.133635	35593	21.3	1	8
2014-03-27 01:55:27.359233	35594	46	2	8
2014-03-27 01:55:32.573677	35595	370	3	2
2014-03-27 01:55:32.835565	35596	1089793.330233473	4	2
2014-03-27 01:55:41.560967	35597	19.8	1	1
2014-03-27 01:55:41.784692	35598	50	2	1
2014-03-27 01:55:54.774284	35599	22.1	1	10
2014-03-27 01:55:55.007757	35600	42	2	10
2014-03-27 01:56:05.040909	35601	20.6	1	9
2014-03-27 01:56:05.266683	35602	48	2	9
2014-03-27 01:56:06.131062	35603	21.3	1	8
2014-03-27 01:56:06.36592	35604	46	2	8
2014-03-27 01:56:20.560791	35605	19.8	1	1
2014-03-27 01:56:20.785172	35606	50	2	1
2014-03-27 01:56:32.530004	35607	370	3	2
2014-03-27 01:56:32.8209	35608	1089799.0754070801	4	2
2014-03-27 01:56:33.774596	35609	22.1	1	10
2014-03-27 01:56:33.99691	35610	42	2	10
2014-03-27 01:56:44.040908	35611	20.6	1	9
2014-03-27 01:56:44.274645	35612	48	2	9
2014-03-27 01:56:45.129998	35613	21.3	1	8
2014-03-27 01:56:45.357335	35614	46	2	8
2014-03-27 01:56:56.534229	35615	402	3	2
2014-03-27 01:56:56.76885	35616	1089801.373476523	4	2
2014-03-27 01:56:59.555763	35617	19.8	1	1
2014-03-27 01:56:59.781855	35618	50	2	1
2014-03-27 01:57:08.53203	35619	370	3	2
2014-03-27 01:57:08.769365	35620	1089802.5225112445	4	2
2014-03-27 01:57:12.773328	35621	22.1	1	10
2014-03-27 01:57:12.99787	35622	42	2	10
2014-03-27 01:57:20.533732	35623	370	3	2
2014-03-27 01:57:20.768518	35624	1089804.8205806874	4	2
2014-03-27 01:57:23.041187	35625	20.6	1	9
2014-03-27 01:57:23.264391	35626	48	2	9
2014-03-27 01:57:24.130799	35627	21.3	1	8
2014-03-27 01:57:24.364832	35628	46	2	8
2014-03-27 01:57:32.534459	35629	370	3	2
2014-03-27 01:57:32.815384	35630	1089805.9696154087	4	2
2014-03-27 01:57:38.558088	35631	19.8	1	1
2014-03-27 01:57:38.814464	35632	50	2	1
2014-03-27 01:57:51.775524	35633	22.0	1	10
2014-03-27 01:57:51.999882	35634	42	2	10
2014-03-27 01:58:02.040723	35635	20.6	1	9
2014-03-27 01:58:02.27536	35636	48	2	9
2014-03-27 01:58:03.129769	35637	21.3	1	8
2014-03-27 01:58:03.35535	35638	46	2	8
2014-03-27 01:58:17.559923	35639	19.8	1	1
2014-03-27 01:58:17.798701	35640	50	2	1
2014-03-27 01:58:30.7767	35641	22.1	1	10
2014-03-27 01:58:31.000149	35642	42	2	10
2014-03-27 01:58:32.532309	35643	370	3	2
2014-03-27 01:58:32.834293	35644	1089811.7147890157	4	2
2014-03-27 01:58:41.040671	35645	20.6	1	9
2014-03-27 01:58:41.263848	35646	48	2	9
2014-03-27 01:58:42.130735	35647	21.3	1	8
2014-03-27 01:58:42.365862	35648	46	2	8
2014-03-27 01:58:56.797753	35649	19.8	1	1
2014-03-27 01:58:57.022911	35650	50	2	1
2014-03-27 01:59:08.532084	35651	434	3	2
2014-03-27 01:59:08.768732	35652	1089816.3109279014	4	2
2014-03-27 01:59:09.780654	35653	22.0	1	10
2014-03-27 01:59:10.004045	35654	42	2	10
2014-03-27 01:59:20.040545	35655	20.6	1	9
2014-03-27 01:59:20.275091	35656	48	2	9
2014-03-27 01:59:21.129752	35657	21.3	1	8
2014-03-27 01:59:21.3545	35658	46	2	8
2014-03-27 01:59:32.53257	35659	434	3	2
2014-03-27 01:59:32.820566	35660	1089818.6089973443	4	2
2014-03-27 01:59:35.555378	35661	19.8	1	1
2014-03-27 01:59:35.779449	35662	50	2	1
2014-03-27 01:59:48.774391	35663	22.0	1	10
2014-03-27 01:59:49.011244	35664	42	2	10
2014-03-27 01:59:59.041664	35665	20.6	1	9
2014-03-27 01:59:59.267588	35666	48	2	9
2014-03-27 02:00:00.131222	35667	21.3	1	8
2014-03-27 02:00:00.363842	35668	46	2	8
2014-03-27 02:00:14.557601	35669	19.8	1	1
2014-03-27 02:00:14.782187	35670	50	2	1
2014-03-27 02:00:27.774556	35671	22.0	1	10
2014-03-27 02:00:28.012133	35672	42	2	10
2014-03-27 02:00:32.532602	35673	434	3	2
2014-03-27 02:00:32.813571	35674	1089826.6522403941	4	2
2014-03-27 02:00:38.041368	35675	20.6	1	9
2014-03-27 02:00:38.279266	35676	48	2	9
2014-03-27 02:00:39.132166	35677	21.3	1	8
2014-03-27 02:00:39.355799	35678	46	2	8
2014-03-27 02:00:53.556963	35679	19.8	1	1
2014-03-27 02:00:53.791945	35680	50	2	1
2014-03-27 02:01:06.775641	35681	22.0	1	10
2014-03-27 02:01:06.999182	35682	42	2	10
2014-03-27 02:01:17.040467	35683	20.6	1	9
2014-03-27 02:01:17.275447	35684	48	2	9
2014-03-27 02:01:18.129556	35685	21.3	1	8
2014-03-27 02:01:18.356613	35686	46	2	8
2014-03-27 02:01:32.854622	35687	19.8	1	1
2014-03-27 02:01:33.090933	35688	50	2	1
2014-03-27 02:01:45.776426	35689	22.0	1	10
2014-03-27 02:01:46.001189	35690	42	2	10
2014-03-27 02:01:56.04066	35691	20.6	1	9
2014-03-27 02:01:56.288712	35692	48	2	9
2014-03-27 02:01:57.13042	35693	21.3	1	8
2014-03-27 02:01:57.356325	35694	46	2	8
2014-03-27 02:02:11.554022	35695	19.8	1	1
2014-03-27 02:02:11.973785	35696	50	2	1
2014-03-27 02:02:24.774188	35697	22.0	1	10
2014-03-27 02:02:25.002484	35698	42	2	10
2014-03-27 02:02:32.530288	35699	434	3	2
2014-03-27 02:02:32.780273	35700	1089840.440657051	4	2
2014-03-27 02:02:35.039561	35701	20.6	1	9
2014-03-27 02:02:35.270529	35702	48	2	9
2014-03-27 02:02:36.130196	35703	21.3	1	8
2014-03-27 02:02:36.353407	35704	46	2	8
2014-03-27 02:02:50.556367	35705	19.8	1	1
2014-03-27 02:02:50.794258	35706	50	2	1
2014-03-27 02:03:03.776061	35707	22.0	1	10
2014-03-27 02:03:03.999504	35708	42	2	10
2014-03-27 02:03:14.040495	35709	20.6	1	9
2014-03-27 02:03:14.275511	35710	48	2	9
2014-03-27 02:03:15.129611	35711	21.3	1	8
2014-03-27 02:03:15.352714	35712	46	2	8
2014-03-27 02:03:29.553998	35713	19.8	1	1
2014-03-27 02:03:29.79023	35714	50	2	1
2014-03-27 02:03:35.301692	35715	434	3	2
2014-03-27 02:03:35.524733	35716	1089848.4839001012	4	2
2014-03-27 02:03:42.774757	35717	22.0	1	10
2014-03-27 02:03:43.00871	35718	42	2	10
2014-03-27 02:03:53.039197	35719	20.6	1	9
2014-03-27 02:03:53.263501	35720	48	2	9
2014-03-27 02:03:54.12924	35721	21.3	1	8
2014-03-27 02:03:54.364739	35722	46	2	8
2014-03-27 02:03:56.533049	35723	370	3	2
2014-03-27 02:03:56.757695	35724	1089850.7819695438	4	2
2014-03-27 02:04:08.794048	35725	19.8	1	1
2014-03-27 02:04:09.028555	35726	50	2	1
2014-03-27 02:04:20.530116	35727	305	3	2
2014-03-27 02:04:20.756112	35728	1089853.0800389866	4	2
2014-03-27 02:04:21.777745	35729	22.0	1	10
2014-03-27 02:04:22.010352	35730	42	2	10
2014-03-27 02:04:32.040469	35731	20.6	1	9
2014-03-27 02:04:32.264141	35732	48	2	9
2014-03-27 02:04:32.570916	35733	305	3	2
2014-03-27 02:04:32.81213	35734	1089854.2290737082	4	2
2014-03-27 02:04:33.16948	35735	21.3	1	8
2014-03-27 02:04:33.392289	35736	46	2	8
2014-03-27 02:04:44.530406	35737	338	3	2
2014-03-27 02:04:44.765411	35738	1089855.3781084295	4	2
2014-03-27 02:04:47.553346	35739	19.8	1	1
2014-03-27 02:04:47.776974	35740	50	2	1
2014-03-27 02:04:56.52952	35741	338	3	2
2014-03-27 02:04:56.773397	35742	1089856.527143151	4	2
2014-03-27 02:05:00.774777	35743	22.0	1	10
2014-03-27 02:05:01.005425	35744	42	2	10
2014-03-27 02:05:11.039975	35745	20.6	1	9
2014-03-27 02:05:11.273721	35746	48	2	9
2014-03-27 02:05:12.12894	35747	21.3	1	8
2014-03-27 02:05:12.35295	35748	46	2	8
2014-03-27 02:05:26.550335	35749	19.8	1	1
2014-03-27 02:05:26.783832	35750	50	2	1
2014-03-27 02:05:32.528623	35751	338	3	2
2014-03-27 02:05:32.754361	35752	1089859.9742473152	4	2
2014-03-27 02:05:39.776221	35753	21.9	1	10
2014-03-27 02:05:40.013378	35754	42	2	10
2014-03-27 02:05:44.529902	35755	305	3	2
2014-03-27 02:05:44.755608	35756	1089861.1232820365	4	2
2014-03-27 02:05:50.042333	35757	20.6	1	9
2014-03-27 02:05:50.275384	35758	48	2	9
2014-03-27 02:05:51.130629	35759	21.3	1	8
2014-03-27 02:05:51.353432	35760	46	2	8
2014-03-27 02:05:56.53214	35761	305	3	2
2014-03-27 02:05:56.766131	35762	1089862.272316758	4	2
2014-03-27 02:06:05.550916	35763	19.8	1	1
2014-03-27 02:06:05.775969	35764	50	2	1
2014-03-27 02:06:08.530343	35765	338	3	2
2014-03-27 02:06:08.76516	35766	1089862.272316758	4	2
2014-03-27 02:06:18.776825	35767	21.9	1	10
2014-03-27 02:06:19.020975	35768	42	2	10
2014-03-27 02:06:20.532668	35769	338	3	2
2014-03-27 02:06:20.766489	35770	1089863.4213514794	4	2
2014-03-27 02:06:29.040635	35771	20.6	1	9
2014-03-27 02:06:29.264951	35772	48	2	9
2014-03-27 02:06:30.128747	35773	21.3	1	8
2014-03-27 02:06:30.364223	35774	46	2	8
2014-03-27 02:06:32.532697	35775	305	3	2
2014-03-27 02:06:32.757367	35776	1089864.570386201	4	2
2014-03-27 02:06:44.788819	35777	19.8	1	1
2014-03-27 02:06:45.024168	35778	50	2	1
2014-03-27 02:06:57.775911	35779	21.9	1	10
2014-03-27 02:06:58.000841	35780	42	2	10
2014-03-27 02:07:08.039632	35781	20.6	1	9
2014-03-27 02:07:08.280826	35782	48	2	9
2014-03-27 02:07:09.131217	35783	21.3	1	8
2014-03-27 02:07:09.35697	35784	46	2	8
2014-03-27 02:07:23.549973	35785	19.8	1	1
2014-03-27 02:07:23.785245	35786	50	2	1
2014-03-27 02:07:32.531526	35787	305	3	2
2014-03-27 02:07:32.759723	35788	1089870.315559808	4	2
2014-03-27 02:07:36.776317	35789	21.9	1	10
2014-03-27 02:07:37.022254	35790	42	2	10
2014-03-27 02:07:47.04004	35791	20.6	1	9
2014-03-27 02:07:47.262485	35792	48	2	9
2014-03-27 02:07:48.129175	35793	21.3	1	8
2014-03-27 02:07:48.362177	35794	46	2	8
2014-03-27 02:08:02.553554	35795	19.8	1	1
2014-03-27 02:08:02.778498	35796	50	2	1
2014-03-27 02:08:15.775818	35797	21.9	1	10
2014-03-27 02:08:16.014915	35798	42	2	10
2014-03-27 02:08:26.040633	35799	20.6	1	9
2014-03-27 02:08:26.265004	35800	48	2	9
2014-03-27 02:08:27.130891	35801	21.3	1	8
2014-03-27 02:08:27.364241	35802	46	2	8
2014-03-27 02:08:32.533179	35803	305	3	2
2014-03-27 02:08:32.757259	35804	1089874.9116986936	4	2
2014-03-27 02:08:41.554381	35805	19.8	1	1
2014-03-27 02:08:41.788894	35806	50	2	1
2014-03-27 02:08:54.77858	35807	21.9	1	10
2014-03-27 02:08:55.002985	35808	42	2	10
2014-03-27 02:09:05.041093	35809	20.6	1	9
2014-03-27 02:09:05.276495	35810	48	2	9
2014-03-27 02:09:06.12935	35811	21.3	1	8
2014-03-27 02:09:06.353231	35812	46	2	8
2014-03-27 02:09:20.558706	35813	19.8	1	1
2014-03-27 02:09:20.795196	35814	50	2	1
2014-03-27 02:09:32.528231	35815	305	3	2
2014-03-27 02:09:32.752969	35816	1089880.6568723007	4	2
2014-03-27 02:09:33.779879	35817	21.9	1	10
2014-03-27 02:09:34.013584	35818	42	2	10
2014-03-27 02:09:44.040985	35819	20.6	1	9
2014-03-27 02:09:44.266476	35820	48	2	9
2014-03-27 02:09:45.130096	35821	21.3	1	8
2014-03-27 02:09:45.364189	35822	46	2	8
2014-03-27 02:09:59.550725	35823	19.8	1	1
2014-03-27 02:09:59.775734	35824	50	2	1
2014-03-27 02:10:12.778596	35825	21.9	1	10
2014-03-27 02:10:13.013762	35826	42	2	10
2014-03-27 02:10:23.040187	35827	20.6	1	9
2014-03-27 02:10:23.265198	35828	48	2	9
2014-03-27 02:10:24.130335	35829	21.3	1	8
2014-03-27 02:10:24.363463	35830	46	2	8
2014-03-27 02:10:32.530973	35831	305	3	2
2014-03-27 02:10:32.75514	35832	1089885.2530111864	4	2
2014-03-27 02:10:38.548155	35833	19.7	1	1
2014-03-27 02:10:38.783631	35834	50	2	1
2014-03-27 02:10:51.778455	35835	21.9	1	10
2014-03-27 02:10:52.005729	35836	42	2	10
2014-03-27 02:11:02.042341	35837	20.6	1	9
2014-03-27 02:11:02.28696	35838	48	2	9
2014-03-27 02:11:03.187468	35839	21.3	1	8
2014-03-27 02:11:03.412067	35840	46	2	8
2014-03-27 02:11:17.546506	35841	19.7	1	1
2014-03-27 02:11:17.780326	35842	50	2	1
2014-03-27 02:11:30.777118	35843	21.9	1	10
2014-03-27 02:11:31.000296	35844	42	2	10
2014-03-27 02:11:32.529873	35845	354	3	2
2014-03-27 02:11:32.764478	35846	1089890.9981847934	4	2
2014-03-27 02:11:41.040399	35847	20.6	1	9
2014-03-27 02:11:41.266374	35848	48	2	9
2014-03-27 02:11:42.132101	35849	21.3	1	8
2014-03-27 02:11:42.366465	35850	46	2	8
2014-03-27 02:11:44.531374	35851	354	3	2
2014-03-27 02:11:44.755274	35852	1089892.147219515	4	2
2014-03-27 02:11:56.547715	35853	19.7	1	1
2014-03-27 02:11:56.781483	35854	50	2	1
2014-03-27 02:12:09.78076	35855	21.9	1	10
2014-03-27 02:12:10.004017	35856	42	2	10
2014-03-27 02:12:20.040799	35857	20.6	1	9
2014-03-27 02:12:20.27563	35858	48	2	9
2014-03-27 02:12:21.132164	35859	21.3	1	8
2014-03-27 02:12:21.357876	35860	46	2	8
2014-03-27 02:12:32.528736	35861	354	3	2
2014-03-27 02:12:32.763656	35862	1089896.7433584004	4	2
2014-03-27 02:12:35.546258	35863	19.7	1	1
2014-03-27 02:12:35.77021	35864	50	2	1
2014-03-27 02:12:48.779961	35865	21.9	1	10
2014-03-27 02:12:49.014351	35866	42	2	10
2014-03-27 02:12:59.039905	35867	20.6	1	9
2014-03-27 02:12:59.263342	35868	48	2	9
2014-03-27 02:13:00.129392	35869	21.3	1	8
2014-03-27 02:13:00.3648	35870	46	2	8
2014-03-27 02:13:14.54858	35871	19.7	1	1
2014-03-27 02:13:14.773671	35872	50	2	1
2014-03-27 02:13:27.778211	35873	21.9	1	10
2014-03-27 02:13:28.011758	35874	42	2	10
2014-03-27 02:13:32.528284	35875	354	3	2
2014-03-27 02:13:32.754259	35876	1089902.4885320077	4	2
2014-03-27 02:13:38.041227	35877	20.6	1	9
2014-03-27 02:13:38.283634	35878	48	2	9
2014-03-27 02:13:39.129973	35879	21.3	1	8
2014-03-27 02:13:39.353444	35880	46	2	8
2014-03-27 02:13:53.55293	35881	19.7	1	1
2014-03-27 02:13:53.786058	35882	50	2	1
2014-03-27 02:14:06.777796	35883	21.9	1	10
2014-03-27 02:14:07.003175	35884	42	2	10
2014-03-27 02:14:17.039446	35885	20.6	1	9
2014-03-27 02:14:17.284661	35886	48	2	9
2014-03-27 02:14:18.129727	35887	21.3	1	8
2014-03-27 02:14:18.353527	35888	46	2	8
2014-03-27 02:14:32.78618	35889	19.7	1	1
2014-03-27 02:14:33.02049	35890	50	2	1
2014-03-27 02:14:45.782115	35891	21.9	1	10
2014-03-27 02:14:46.005186	35892	42	2	10
2014-03-27 02:14:56.042767	35893	20.6	1	9
2014-03-27 02:14:56.276562	35894	48	2	9
2014-03-27 02:14:57.129236	35895	21.3	1	8
2014-03-27 02:14:57.353939	35896	46	2	8
2014-03-27 02:15:11.544982	35897	19.7	1	1
2014-03-27 02:15:11.781163	35898	50	2	1
2014-03-27 02:15:24.780477	35899	21.9	1	10
2014-03-27 02:15:25.005415	35900	42	2	10
2014-03-27 02:15:32.530434	35901	354	3	2
2014-03-27 02:15:32.763961	35902	1089915.127913943	4	2
2014-03-27 02:15:35.039667	35903	20.6	1	9
2014-03-27 02:15:35.264341	35904	48	2	9
2014-03-27 02:15:36.130401	35905	21.3	1	8
2014-03-27 02:15:36.364061	35906	46	2	8
2014-03-27 02:15:50.546177	35907	19.7	1	1
2014-03-27 02:15:50.77046	35908	50	2	1
2014-03-27 02:16:03.780093	35909	21.9	1	10
2014-03-27 02:16:04.014809	35910	42	2	10
2014-03-27 02:16:14.04202	35911	20.6	1	9
2014-03-27 02:16:14.265947	35912	48	2	9
2014-03-27 02:16:15.129758	35913	21.3	1	8
2014-03-27 02:16:15.362279	35914	46	2	8
2014-03-27 02:16:29.545837	35915	19.7	1	1
2014-03-27 02:16:29.770464	35916	50	2	1
2014-03-27 02:16:32.529446	35917	354	3	2
2014-03-27 02:16:32.763746	35918	1089920.8730875503	4	2
2014-03-27 02:16:42.778315	35919	21.9	1	10
2014-03-27 02:16:43.002448	35920	42	2	10
2014-03-27 02:16:53.039257	35921	20.6	1	9
2014-03-27 02:16:53.275126	35922	48	2	9
2014-03-27 02:16:54.132209	35923	21.3	1	8
2014-03-27 02:16:54.35558	35924	46	2	8
2014-03-27 02:16:56.528174	35925	305	3	2
2014-03-27 02:16:56.763393	35926	1089923.1711569931	4	2
2014-03-27 02:17:08.786889	35927	19.7	1	1
2014-03-27 02:17:09.012951	35928	50	2	1
2014-03-27 02:17:21.781392	35929	21.8	1	10
2014-03-27 02:17:22.014241	35930	42	2	10
2014-03-27 02:17:32.040465	35931	20.6	1	9
2014-03-27 02:17:32.265101	35932	48	2	9
2014-03-27 02:17:32.573194	35933	305	3	2
2014-03-27 02:17:32.816739	35934	1089925.4692264358	4	2
2014-03-27 02:17:33.128953	35935	21.3	1	8
2014-03-27 02:17:33.409797	35936	46	2	8
2014-03-27 02:17:47.542568	35937	19.7	1	1
2014-03-27 02:17:47.778619	35938	50	2	1
2014-03-27 02:18:00.780175	35939	21.8	1	10
2014-03-27 02:18:01.00269	35940	42	2	10
2014-03-27 02:18:11.039421	35941	20.6	1	9
2014-03-27 02:18:11.273651	35942	48	2	9
2014-03-27 02:18:12.128897	35943	21.2	1	8
2014-03-27 02:18:12.35287	35944	46	2	8
2014-03-27 02:18:26.543846	35945	19.7	1	1
2014-03-27 02:18:26.785126	35946	50	2	1
2014-03-27 02:18:32.532243	35947	305	3	2
2014-03-27 02:18:32.75598	35948	1089931.214400043	4	2
2014-03-27 02:18:39.780436	35949	21.8	1	10
2014-03-27 02:18:40.013678	35950	42	2	10
2014-03-27 02:18:50.039088	35951	20.6	1	9
2014-03-27 02:18:50.263609	35952	48	2	9
2014-03-27 02:18:51.128873	35953	21.2	1	8
2014-03-27 02:18:51.362861	35954	46	2	8
2014-03-27 02:19:05.5443	35955	19.7	1	1
2014-03-27 02:19:05.771332	35956	50	2	1
2014-03-27 02:19:18.780135	35957	21.8	1	10
2014-03-27 02:19:19.01264	35958	42	2	10
2014-03-27 02:19:29.039996	35959	20.6	1	9
2014-03-27 02:19:29.263427	35960	48	2	9
2014-03-27 02:19:30.129444	35961	21.2	1	8
2014-03-27 02:19:30.364449	35962	46	2	8
2014-03-27 02:19:32.529641	35963	305	3	2
2014-03-27 02:19:32.754673	35964	1089935.8105389285	4	2
2014-03-27 02:19:44.544172	35965	19.7	1	1
2014-03-27 02:19:44.780794	35966	50	2	1
2014-03-27 02:19:57.782122	35967	21.8	1	10
2014-03-27 02:19:58.005705	35968	42	2	10
2014-03-27 02:20:08.040453	35969	20.6	1	9
2014-03-27 02:20:08.276599	35970	48	2	9
2014-03-27 02:20:09.129579	35971	21.2	1	8
2014-03-27 02:20:09.353412	35972	46	2	8
2014-03-27 02:20:23.544864	35973	19.7	1	1
2014-03-27 02:20:23.781901	35974	50	2	1
2014-03-27 02:20:32.529787	35975	305	3	2
2014-03-27 02:20:32.755569	35976	1089941.5557125357	4	2
2014-03-27 02:20:36.986089	35977	21.8	1	10
2014-03-27 02:20:37.21986	35978	42	2	10
2014-03-27 02:20:47.040225	35979	20.6	1	9
2014-03-27 02:20:47.264857	35980	48	2	9
2014-03-27 02:20:48.129913	35981	21.2	1	8
2014-03-27 02:20:48.373926	35982	46	2	8
2014-03-27 02:21:02.54195	35983	19.7	1	1
2014-03-27 02:21:02.766168	35984	50	2	1
2014-03-27 02:21:15.780467	35985	21.8	1	10
2014-03-27 02:21:16.014877	35986	42	2	10
2014-03-27 02:21:26.041981	35987	20.6	1	9
2014-03-27 02:21:26.264888	35988	48	2	9
2014-03-27 02:21:27.128259	35989	21.2	1	8
2014-03-27 02:21:27.364388	35990	46	2	8
2014-03-27 02:21:32.530741	35991	305	3	2
2014-03-27 02:21:32.755072	35992	1089946.1518514212	4	2
2014-03-27 02:21:41.543805	35993	19.7	1	1
2014-03-27 02:21:41.778745	35994	50	2	1
2014-03-27 02:21:54.78068	35995	21.8	1	10
2014-03-27 02:21:55.004042	35996	42	2	10
2014-03-27 02:22:05.042071	35997	20.5	1	9
2014-03-27 02:22:05.275854	35998	48	2	9
2014-03-27 02:22:06.13057	35999	21.2	1	8
2014-03-27 02:22:06.353058	36000	46	2	8
2014-03-27 02:22:20.5418	36001	19.7	1	1
2014-03-27 02:22:20.775768	36002	50	2	1
2014-03-27 02:22:32.528916	36003	305	3	2
2014-03-27 02:22:32.757387	36004	1089951.8970250285	4	2
2014-03-27 02:22:33.781428	36005	21.8	1	10
2014-03-27 02:22:34.014219	36006	42	2	10
2014-03-27 02:22:44.040117	36007	20.5	1	9
2014-03-27 02:22:44.267287	36008	48	2	9
2014-03-27 02:22:45.129491	36009	21.2	1	8
2014-03-27 02:22:45.363521	36010	46	2	8
2014-03-27 02:22:59.542716	36011	19.7	1	1
2014-03-27 02:22:59.767177	36012	50	2	1
2014-03-27 02:23:12.993244	36013	21.7	1	10
2014-03-27 02:23:13.227725	36014	42	2	10
2014-03-27 02:23:23.041463	36015	20.5	1	9
2014-03-27 02:23:23.264786	36016	48	2	9
2014-03-27 02:23:24.129033	36017	21.2	1	8
2014-03-27 02:23:24.363363	36018	46	2	8
2014-03-27 02:23:38.339959	36019	305	3	2
2014-03-27 02:23:38.571602	36020	1089956.493163914	4	2
2014-03-27 02:23:38.880003	36021	19.7	1	1
2014-03-27 02:23:39.113723	36022	50	2	1
2014-03-27 02:23:51.784774	36023	21.7	1	10
2014-03-27 02:23:52.00934	36024	42	2	10
2014-03-27 02:24:02.040232	36025	20.5	1	9
2014-03-27 02:24:02.273731	36026	48	2	9
2014-03-27 02:24:03.130432	36027	21.2	1	8
2014-03-27 02:24:03.353696	36028	46	2	8
2014-03-27 02:24:17.542755	36029	19.7	1	1
2014-03-27 02:24:17.788558	36030	50	2	1
2014-03-27 02:24:30.782754	36031	21.7	1	10
2014-03-27 02:24:31.007043	36032	42	2	10
2014-03-27 02:24:32.530095	36033	354	3	2
2014-03-27 02:24:32.763936	36034	1089962.2383375212	4	2
2014-03-27 02:24:41.040938	36035	20.5	1	9
2014-03-27 02:24:41.265191	36036	48	2	9
2014-03-27 02:24:42.129545	36037	21.2	1	8
2014-03-27 02:24:42.361182	36038	46	2	8
2014-03-27 02:24:44.530172	36039	370	3	2
2014-03-27 02:24:44.754811	36040	1089963.3873722425	4	2
2014-03-27 02:24:56.541882	36041	19.7	1	1
2014-03-27 02:24:56.777574	36042	50	2	1
2014-03-27 02:25:09.782995	36043	21.7	1	10
2014-03-27 02:25:10.006111	36044	42	2	10
2014-03-27 02:25:20.040175	36045	20.5	1	9
2014-03-27 02:25:20.274328	36046	48	2	9
2014-03-27 02:25:21.129408	36047	21.2	1	8
2014-03-27 02:25:21.35194	36048	46	2	8
2014-03-27 02:25:32.534454	36049	354	3	2
2014-03-27 02:25:32.772665	36050	1089967.9835111282	4	2
2014-03-27 02:25:35.542372	36051	19.7	1	1
2014-03-27 02:25:35.769142	36052	50	2	1
2014-03-27 02:25:48.784831	36053	21.7	1	10
2014-03-27 02:25:49.019309	36054	42	2	10
2014-03-27 02:25:59.040528	36055	20.5	1	9
2014-03-27 02:25:59.283929	36056	48	2	9
2014-03-27 02:26:00.131753	36057	21.2	1	8
2014-03-27 02:26:00.366069	36058	46	2	8
2014-03-27 02:26:14.53964	36059	19.7	1	1
2014-03-27 02:26:14.764841	36060	50	2	1
2014-03-27 02:26:27.782792	36061	21.7	1	10
2014-03-27 02:26:28.018224	36062	42	2	10
2014-03-27 02:26:32.531247	36063	354	3	2
2014-03-27 02:26:32.756078	36064	1089973.7286847353	4	2
2014-03-27 02:26:38.042864	36065	20.5	1	9
2014-03-27 02:26:38.276639	36066	48	2	9
2014-03-27 02:26:39.129671	36067	21.2	1	8
2014-03-27 02:26:39.353516	36068	46	2	8
2014-03-27 02:26:53.539223	36069	19.7	1	1
2014-03-27 02:26:53.775144	36070	50	2	1
2014-03-27 02:27:06.784091	36071	21.7	1	10
2014-03-27 02:27:07.009645	36072	42	2	10
2014-03-27 02:27:17.042137	36073	20.5	1	9
2014-03-27 02:27:17.276252	36074	48	2	9
2014-03-27 02:27:18.13111	36075	21.2	1	8
2014-03-27 02:27:18.353952	36076	46	2	8
2014-03-27 02:27:32.789676	36077	19.7	1	1
2014-03-27 02:27:33.035793	36078	50	2	1
2014-03-27 02:27:45.784872	36079	21.7	1	10
2014-03-27 02:27:46.010741	36080	42	2	10
2014-03-27 02:27:56.040879	36081	20.5	1	9
2014-03-27 02:27:56.276948	36082	48	2	9
2014-03-27 02:27:57.131605	36083	21.2	1	8
2014-03-27 02:27:57.355148	36084	46	2	8
2014-03-27 02:28:11.539784	36085	19.7	1	1
2014-03-27 02:28:11.774915	36086	50	2	1
2014-03-27 02:28:24.78391	36087	21.7	1	10
2014-03-27 02:28:25.00817	36088	42	2	10
2014-03-27 02:28:32.526571	36089	354	3	2
2014-03-27 02:28:32.761282	36090	1089985.2190319495	4	2
2014-03-27 02:28:35.041187	36091	20.5	1	9
2014-03-27 02:28:35.270429	36092	48	2	9
2014-03-27 02:28:36.129526	36093	21.2	1	8
2014-03-27 02:28:36.364785	36094	46	2	8
2014-03-27 02:28:50.539503	36095	19.7	1	1
2014-03-27 02:28:50.762614	36096	50	2	1
2014-03-27 02:29:03.839579	36097	21.6	1	10
2014-03-27 02:29:04.073139	36098	42	2	10
2014-03-27 02:29:14.0428	36099	20.5	1	9
2014-03-27 02:29:14.267998	36100	48	2	9
2014-03-27 02:29:15.128173	36101	21.2	1	8
2014-03-27 02:29:15.361613	36102	46	2	8
2014-03-27 02:29:29.537566	36103	19.7	1	1
2014-03-27 02:29:29.762044	36104	50	2	1
2014-03-27 02:29:32.529846	36105	354	3	2
2014-03-27 02:29:32.764482	36106	1089990.9686765086	4	2
2014-03-27 02:29:42.783092	36107	21.6	1	10
2014-03-27 02:29:43.008292	36108	42	2	10
2014-03-27 02:29:53.039534	36109	20.5	1	9
2014-03-27 02:29:53.273434	36110	48	2	9
2014-03-27 02:29:54.130496	36111	21.2	1	8
2014-03-27 02:29:54.353822	36112	46	2	8
2014-03-27 02:30:08.7756	36113	19.7	1	1
2014-03-27 02:30:09.013776	36114	50	2	1
2014-03-27 02:30:20.527006	36115	305	3	2
2014-03-27 02:30:20.753903	36116	1089995.5648153943	4	2
2014-03-27 02:30:21.784056	36117	21.6	1	10
2014-03-27 02:30:22.015832	36118	42	2	10
2014-03-27 02:30:32.04052	36119	20.5	1	9
2014-03-27 02:30:32.264764	36120	48	2	9
2014-03-27 02:30:32.573818	36121	305	3	2
2014-03-27 02:30:32.810746	36122	1089996.713850116	4	2
2014-03-27 02:30:33.130401	36123	21.2	1	8
2014-03-27 02:30:33.355549	36124	46	2	8
2014-03-27 02:30:47.541734	36125	19.7	1	1
2014-03-27 02:30:47.789208	36126	50	2	1
2014-03-27 02:31:00.786204	36127	21.6	1	10
2014-03-27 02:31:01.010598	36128	42	2	10
2014-03-27 02:31:11.038705	36129	20.5	1	9
2014-03-27 02:31:11.273654	36130	48	2	9
2014-03-27 02:31:12.129716	36131	21.2	1	8
2014-03-27 02:31:12.354879	36132	46	2	8
2014-03-27 02:31:26.538045	36133	19.7	1	1
2014-03-27 02:31:26.775086	36134	50	2	1
2014-03-27 02:31:32.526691	36135	305	3	2
2014-03-27 02:31:32.750027	36136	1090001.3099890014	4	2
2014-03-27 02:31:39.784266	36137	21.6	1	10
2014-03-27 02:31:40.019382	36138	42	2	10
2014-03-27 02:31:50.038663	36139	20.5	1	9
2014-03-27 02:31:50.262615	36140	48	2	9
2014-03-27 02:31:51.129325	36141	21.2	1	8
2014-03-27 02:31:51.361701	36142	46	2	8
2014-03-27 02:32:05.537352	36143	19.7	1	1
2014-03-27 02:32:05.760292	36144	50	2	1
2014-03-27 02:32:18.783246	36145	21.6	1	10
2014-03-27 02:32:19.019871	36146	42	2	10
2014-03-27 02:32:29.041249	36147	20.5	1	9
2014-03-27 02:32:29.265534	36148	48	2	9
2014-03-27 02:32:30.129549	36149	21.2	1	8
2014-03-27 02:32:30.362441	36150	46	2	8
2014-03-27 02:32:32.528889	36151	305	3	2
2014-03-27 02:32:32.751308	36152	1090005.906127887	4	2
2014-03-27 02:32:44.534457	36153	19.7	1	1
2014-03-27 02:32:44.769929	36154	50	2	1
2014-03-27 02:32:57.785455	36155	21.6	1	10
2014-03-27 02:32:58.008208	36156	42	2	10
2014-03-27 02:33:08.039952	36157	20.5	1	9
2014-03-27 02:33:08.277544	36158	48	2	9
2014-03-27 02:33:09.129964	36159	21.2	1	8
2014-03-27 02:33:09.354178	36160	46	2	8
2014-03-27 02:33:23.536565	36161	19.7	1	1
2014-03-27 02:33:23.770625	36162	50	2	1
2014-03-27 02:33:32.530314	36163	305	3	2
2014-03-27 02:33:32.755378	36164	1090011.651301494	4	2
2014-03-27 02:33:36.784438	36165	21.6	1	10
2014-03-27 02:33:37.0197	36166	42	2	10
2014-03-27 02:33:47.040823	36167	20.5	1	9
2014-03-27 02:33:47.269363	36168	48	2	9
2014-03-27 02:33:48.129121	36169	21.2	1	8
2014-03-27 02:33:48.364719	36170	46	2	8
2014-03-27 02:34:02.534723	36171	19.7	1	1
2014-03-27 02:34:02.759277	36172	50	2	1
2014-03-27 02:34:15.785021	36173	21.6	1	10
2014-03-27 02:34:16.030141	36174	42	2	10
2014-03-27 02:34:26.039922	36175	20.5	1	9
2014-03-27 02:34:26.263604	36176	48	2	9
2014-03-27 02:34:27.129478	36177	21.2	1	8
2014-03-27 02:34:27.363646	36178	46	2	8
2014-03-27 02:34:32.52798	36179	305	3	2
2014-03-27 02:34:32.754569	36180	1090016.2474403798	4	2
2014-03-27 02:34:41.535613	36181	19.7	1	1
2014-03-27 02:34:41.770805	36182	50	2	1
2014-03-27 02:34:54.783809	36183	21.6	1	10
2014-03-27 02:34:55.008595	36184	42	2	10
2014-03-27 02:35:05.039589	36185	20.5	1	9
2014-03-27 02:35:05.272861	36186	48	2	9
2014-03-27 02:35:06.130591	36187	21.2	1	8
2014-03-27 02:35:06.354325	36188	46	2	8
2014-03-27 02:35:20.535097	36189	19.7	1	1
2014-03-27 02:35:20.770094	36190	50	2	1
2014-03-27 02:35:32.529569	36191	305	3	2
2014-03-27 02:35:32.759566	36192	1090021.9926139868	4	2
2014-03-27 02:35:33.784662	36193	21.6	1	10
2014-03-27 02:35:34.076792	36194	42	2	10
2014-03-27 02:35:44.039376	36195	20.5	1	9
2014-03-27 02:35:44.264175	36196	48	2	9
2014-03-27 02:35:45.128249	36197	21.2	1	8
2014-03-27 02:35:45.362855	36198	46	2	8
2014-03-27 02:35:59.534319	36199	19.7	1	1
2014-03-27 02:35:59.761563	36200	50	2	1
2014-03-27 02:36:12.787259	36201	21.6	1	10
2014-03-27 02:36:13.024006	36202	42	2	10
2014-03-27 02:36:23.040023	36203	20.5	1	9
2014-03-27 02:36:23.26471	36204	48	2	9
2014-03-27 02:36:24.12892	36205	21.2	1	8
2014-03-27 02:36:24.362808	36206	46	2	8
2014-03-27 02:36:32.528714	36207	305	3	2
2014-03-27 02:36:32.756035	36208	1090026.5887528725	4	2
2014-03-27 02:36:38.532225	36209	19.7	1	1
2014-03-27 02:36:38.769573	36210	50	2	1
2014-03-27 02:36:44.528478	36211	338	3	2
2014-03-27 02:36:44.7539	36212	1090027.737787594	4	2
2014-03-27 02:36:51.788323	36213	21.6	1	10
2014-03-27 02:36:52.023426	36214	42	2	10
2014-03-27 02:36:56.532493	36215	338	3	2
2014-03-27 02:36:56.759101	36216	1090028.8868223154	4	2
2014-03-27 02:37:02.039937	36217	20.5	1	9
2014-03-27 02:37:02.273921	36218	48	2	9
2014-03-27 02:37:03.129149	36219	21.2	1	8
2014-03-27 02:37:03.353102	36220	46	2	8
2014-03-27 02:37:17.535823	36221	19.7	1	1
2014-03-27 02:37:17.78342	36222	50	2	1
2014-03-27 02:37:20.525312	36223	305	3	2
2014-03-27 02:37:20.750097	36224	1090031.1848917583	4	2
2014-03-27 02:37:30.788235	36225	21.5	1	10
2014-03-27 02:37:31.024128	36226	42	2	10
2014-03-27 02:37:32.529488	36227	370	3	2
2014-03-27 02:37:32.753699	36228	1090032.3339264796	4	2
2014-03-27 02:37:41.041102	36229	20.5	1	9
2014-03-27 02:37:41.275792	36230	48	2	9
2014-03-27 02:37:42.128876	36231	21.2	1	8
2014-03-27 02:37:42.351483	36232	46	2	8
2014-03-27 02:37:44.529631	36233	370	3	2
2014-03-27 02:37:44.763578	36234	1090033.482961201	4	2
2014-03-27 02:37:56.534854	36235	19.7	1	1
2014-03-27 02:37:56.759943	36236	50	2	1
2014-03-27 02:38:09.785693	36237	21.5	1	10
2014-03-27 02:38:10.02447	36238	42	2	10
2014-03-27 02:38:20.038629	36239	20.5	1	9
2014-03-27 02:38:20.264981	36240	48	2	9
2014-03-27 02:38:21.131316	36241	21.2	1	8
2014-03-27 02:38:21.364995	36242	46	2	8
2014-03-27 02:38:32.526632	36243	370	3	2
2014-03-27 02:38:32.751667	36244	1090038.0791000868	4	2
2014-03-27 02:38:35.531625	36245	19.7	1	1
2014-03-27 02:38:35.764944	36246	50	2	1
2014-03-27 02:38:48.7856	36247	21.5	1	10
2014-03-27 02:38:49.010675	36248	42	2	10
2014-03-27 02:38:59.039908	36249	20.5	1	9
2014-03-27 02:38:59.275339	36250	48	2	9
2014-03-27 02:39:00.128717	36251	21.2	1	8
2014-03-27 02:39:00.353217	36252	46	2	8
2014-03-27 02:39:14.534165	36253	19.7	1	1
2014-03-27 02:39:14.770994	36254	50	2	1
2014-03-27 02:39:27.786758	36255	21.5	1	10
2014-03-27 02:39:28.012635	36256	42	2	10
2014-03-27 02:39:32.530662	36257	370	3	2
2014-03-27 02:39:32.764878	36258	1090044.9733084152	4	2
2014-03-27 02:39:38.042358	36259	20.5	1	9
2014-03-27 02:39:38.26671	36260	48	2	9
2014-03-27 02:39:39.129494	36261	21.2	1	8
2014-03-27 02:39:39.369505	36262	46	2	8
2014-03-27 02:39:53.535459	36263	19.7	1	1
2014-03-27 02:39:53.761258	36264	50	2	1
2014-03-27 02:40:06.7866	36265	21.5	1	10
2014-03-27 02:40:07.021805	36266	42	2	10
2014-03-27 02:40:17.04044	36267	20.5	1	9
2014-03-27 02:40:17.264331	36268	48	2	9
2014-03-27 02:40:18.12947	36269	21.2	1	8
2014-03-27 02:40:18.373692	36270	46	2	8
2014-03-27 02:40:32.774487	36271	19.7	1	1
2014-03-27 02:40:32.999017	36272	50	2	1
2014-03-27 02:40:45.786442	36273	21.5	1	10
2014-03-27 02:40:46.018975	36274	42	2	10
2014-03-27 02:40:56.040968	36275	20.5	1	9
2014-03-27 02:40:56.264063	36276	48	2	9
2014-03-27 02:40:57.127219	36277	21.2	1	8
2014-03-27 02:40:57.361214	36278	46	2	8
2014-03-27 02:41:11.533018	36279	19.7	1	1
2014-03-27 02:41:11.758927	36280	50	2	1
2014-03-27 02:41:24.787665	36281	21.5	1	10
2014-03-27 02:41:25.022729	36282	42	2	10
2014-03-27 02:41:32.526776	36283	434	3	2
2014-03-27 02:41:32.753226	36284	1090057.6126903507	4	2
2014-03-27 02:41:35.040421	36285	20.5	1	9
2014-03-27 02:41:35.274083	36286	48	2	9
2014-03-27 02:41:36.130057	36287	21.2	1	8
2014-03-27 02:41:36.353129	36288	46	2	8
2014-03-27 02:41:44.534966	36289	434	3	2
2014-03-27 02:41:44.771013	36290	1090058.7617250723	4	2
2014-03-27 02:41:50.533729	36291	19.7	1	1
2014-03-27 02:41:50.759402	36292	50	2	1
2014-03-27 02:42:03.790253	36293	21.5	1	10
2014-03-27 02:42:04.024083	36294	42	2	10
2014-03-27 02:42:08.525216	36295	370	3	2
2014-03-27 02:42:08.749807	36296	1090062.2088292364	4	2
2014-03-27 02:42:14.039338	36297	20.5	1	9
2014-03-27 02:42:14.273669	36298	48	2	9
2014-03-27 02:42:15.128633	36299	21.2	1	8
2014-03-27 02:42:15.355256	36300	46	2	8
2014-03-27 02:42:20.527054	36301	370	3	2
2014-03-27 02:42:20.761187	36302	1090063.357863958	4	2
2014-03-27 02:42:29.533788	36303	19.7	1	1
2014-03-27 02:42:29.760068	36304	50	2	1
2014-03-27 02:42:32.531098	36305	370	3	2
2014-03-27 02:42:32.7637	36306	1090064.5068986793	4	2
2014-03-27 02:42:42.787872	36307	21.5	1	10
2014-03-27 02:42:43.014147	36308	42	2	10
2014-03-27 02:42:44.527816	36309	402	3	2
2014-03-27 02:42:44.761879	36310	1090065.6559334006	4	2
2014-03-27 02:42:53.042429	36311	20.5	1	9
2014-03-27 02:42:53.267258	36312	48	2	9
2014-03-27 02:42:54.128936	36313	21.2	1	8
2014-03-27 02:42:54.363575	36314	46	2	8
2014-03-27 02:42:56.529319	36315	370	3	2
2014-03-27 02:42:56.75401	36316	1090066.8049681222	4	2
2014-03-27 02:43:08.770639	36317	19.7	1	1
2014-03-27 02:43:09.018316	36318	50	2	1
2014-03-27 02:43:20.528979	36319	370	3	2
2014-03-27 02:43:20.754198	36320	1090070.2520722863	4	2
2014-03-27 02:43:21.78697	36321	21.5	1	10
2014-03-27 02:43:22.01937	36322	42	2	10
2014-03-27 02:43:32.04186	36323	20.5	1	9
2014-03-27 02:43:32.265858	36324	48	2	9
2014-03-27 02:43:32.572972	36325	370	3	2
2014-03-27 02:43:32.808101	36326	1090071.4011070079	4	2
2014-03-27 02:43:33.130186	36327	21.2	1	8
2014-03-27 02:43:33.354214	36328	46	2	8
2014-03-27 02:43:44.529689	36329	402	3	2
2014-03-27 02:43:44.763962	36330	1090072.5501417292	4	2
2014-03-27 02:43:47.532528	36331	19.7	1	1
2014-03-27 02:43:47.75705	36332	50	2	1
2014-03-27 02:43:56.528679	36333	370	3	2
2014-03-27 02:43:56.762065	36334	1090073.6991764507	4	2
2014-03-27 02:44:00.786954	36335	21.4	1	10
2014-03-27 02:44:01.008615	36336	42	2	10
2014-03-27 02:44:08.524768	36337	370	3	2
2014-03-27 02:44:08.757892	36338	1090074.848211172	4	2
2014-03-27 02:44:11.041208	36339	20.5	1	9
2014-03-27 02:44:11.267169	36340	48	2	9
2014-03-27 02:44:12.129514	36341	21.2	1	8
2014-03-27 02:44:12.36453	36342	46	2	8
2014-03-27 02:44:26.5279	36343	19.7	1	1
2014-03-27 02:44:26.752348	36344	50	2	1
2014-03-27 02:44:32.530057	36345	370	3	2
2014-03-27 02:44:32.764552	36346	1090077.146280615	4	2
2014-03-27 02:44:39.788873	36347	21.4	1	10
2014-03-27 02:44:40.011928	36348	42	2	10
2014-03-27 02:44:50.040113	36349	20.5	1	9
2014-03-27 02:44:50.275589	36350	48	2	9
2014-03-27 02:44:51.128175	36351	21.2	1	8
2014-03-27 02:44:51.353477	36352	46	2	8
2014-03-27 02:45:05.530543	36353	19.7	1	1
2014-03-27 02:45:05.765204	36354	50	2	1
2014-03-27 02:45:18.789849	36355	21.4	1	10
2014-03-27 02:45:19.015176	36356	42	2	10
2014-03-27 02:45:29.039538	36357	20.5	1	9
2014-03-27 02:45:29.273921	36358	48	2	9
2014-03-27 02:45:30.128673	36359	21.2	1	8
2014-03-27 02:45:30.353854	36360	46	2	8
2014-03-27 02:45:32.529122	36361	370	3	2
2014-03-27 02:45:32.761569	36362	1090084.0404889435	4	2
2014-03-27 02:45:44.532335	36363	19.7	1	1
2014-03-27 02:45:44.757384	36364	50	2	1
2014-03-27 02:45:57.788931	36365	21.4	1	10
2014-03-27 02:45:58.034958	36366	42	2	10
2014-03-27 02:46:08.038757	36367	20.5	1	9
2014-03-27 02:46:08.265292	36368	48	2	9
2014-03-27 02:46:09.128081	36369	21.2	1	8
2014-03-27 02:46:09.368809	36370	46	2	8
2014-03-27 02:46:23.530658	36371	19.7	1	1
2014-03-27 02:46:23.756533	36372	50	2	1
2014-03-27 02:46:32.526006	36373	370	3	2
2014-03-27 02:46:32.764641	36374	1090089.7856625505	4	2
2014-03-27 02:46:36.787744	36375	21.4	1	10
2014-03-27 02:46:37.013189	36376	42	2	10
2014-03-27 02:46:44.529331	36377	402	3	2
2014-03-27 02:46:44.766354	36378	1090090.9346972718	4	2
2014-03-27 02:46:47.039946	36379	20.5	1	9
2014-03-27 02:46:47.263383	36380	48	2	9
2014-03-27 02:46:48.128302	36381	21.2	1	8
2014-03-27 02:46:48.362088	36382	46	2	8
2014-03-27 02:46:56.524163	36383	370	3	2
2014-03-27 02:46:56.751363	36384	1090092.0837319933	4	2
2014-03-27 02:47:02.529913	36385	19.7	1	1
2014-03-27 02:47:02.764615	36386	50	2	1
2014-03-27 02:47:08.524654	36387	370	3	2
2014-03-27 02:47:08.749286	36388	1090093.2327667146	4	2
2014-03-27 02:47:15.791013	36389	21.4	1	10
2014-03-27 02:47:16.02601	36390	42	2	10
2014-03-27 02:47:26.04009	36391	20.5	1	9
2014-03-27 02:47:26.26372	36392	48	2	9
2014-03-27 02:47:27.130228	36393	21.2	1	8
2014-03-27 02:47:27.36531	36394	46	2	8
2014-03-27 02:47:32.526364	36395	370	3	2
2014-03-27 02:47:32.751554	36396	1090096.6798708788	4	2
2014-03-27 02:47:41.52657	36397	19.7	1	1
2014-03-27 02:47:41.761858	36398	50	2	1
2014-03-27 02:47:54.789085	36399	21.4	1	10
2014-03-27 02:47:55.014713	36400	42	2	10
2014-03-27 02:48:05.039579	36401	20.5	1	9
2014-03-27 02:48:05.275	36402	48	2	9
2014-03-27 02:48:06.128603	36403	21.2	1	8
2014-03-27 02:48:06.355515	36404	46	2	8
2014-03-27 02:48:20.526318	36405	19.7	1	1
2014-03-27 02:48:20.762169	36406	50	2	1
2014-03-27 02:48:32.529883	36407	370	3	2
2014-03-27 02:48:32.756404	36408	1090102.425044486	4	2
2014-03-27 02:48:33.789837	36409	21.4	1	10
2014-03-27 02:48:34.02582	36410	42	2	10
2014-03-27 02:48:44.041573	36411	20.5	1	9
2014-03-27 02:48:44.265549	36412	48	2	9
2014-03-27 02:48:45.131422	36413	21.2	1	8
2014-03-27 02:48:45.375817	36414	46	2	8
2014-03-27 02:48:59.528648	36415	19.7	1	1
2014-03-27 02:48:59.752934	36416	50	2	1
2014-03-27 02:49:12.789893	36417	21.4	1	10
2014-03-27 02:49:13.023912	36418	42	2	10
2014-03-27 02:49:23.039286	36419	20.5	1	9
2014-03-27 02:49:23.26562	36420	48	2	9
2014-03-27 02:49:24.130845	36421	21.2	1	8
2014-03-27 02:49:24.36458	36422	46	2	8
2014-03-27 02:49:32.524897	36423	434	3	2
2014-03-27 02:49:32.75035	36424	1090109.3192528144	4	2
2014-03-27 02:49:38.529162	36425	19.7	1	1
2014-03-27 02:49:38.763114	36426	50	2	1
2014-03-27 02:49:44.52756	36427	434	3	2
2014-03-27 02:49:44.751669	36428	1090110.468287536	4	2
2014-03-27 02:49:51.790274	36429	21.4	1	10
2014-03-27 02:49:52.025701	36430	42	2	10
2014-03-27 02:50:02.039581	36431	20.5	1	9
2014-03-27 02:50:02.265453	36432	48	2	9
2014-03-27 02:50:03.128966	36433	21.2	1	8
2014-03-27 02:50:03.362844	36434	46	2	8
2014-03-27 02:50:17.529376	36435	19.7	1	1
2014-03-27 02:50:17.753316	36436	50	2	1
2014-03-27 02:50:30.790103	36437	21.4	1	10
2014-03-27 02:50:31.024354	36438	42	2	10
2014-03-27 02:50:32.526556	36439	434	3	2
2014-03-27 02:50:32.74996	36440	1090116.213461143	4	2
2014-03-27 02:50:41.040383	36441	20.5	1	9
2014-03-27 02:50:41.275214	36442	48	2	9
2014-03-27 02:50:42.128529	36443	21.2	1	8
2014-03-27 02:50:42.350416	36444	46	2	8
2014-03-27 02:50:56.53046	36445	19.7	1	1
2014-03-27 02:50:56.765889	36446	50	2	1
2014-03-27 02:51:09.790299	36447	21.4	1	10
2014-03-27 02:51:10.019818	36448	42	2	10
2014-03-27 02:51:20.039593	36449	20.5	1	9
2014-03-27 02:51:20.274655	36450	48	2	9
2014-03-27 02:51:21.128854	36451	21.2	1	8
2014-03-27 02:51:21.35294	36452	46	2	8
2014-03-27 02:51:32.531058	36453	434	3	2
2014-03-27 02:51:32.766535	36454	1090123.1076694715	4	2
2014-03-27 02:51:35.527801	36455	19.7	1	1
2014-03-27 02:51:35.753987	36456	50	2	1
2014-03-27 02:51:48.791985	36457	21.4	1	10
2014-03-27 02:51:49.025854	36458	42	2	10
2014-03-27 02:51:59.039658	36459	20.5	1	9
2014-03-27 02:51:59.26304	36460	48	2	9
2014-03-27 02:52:00.12812	36461	21.2	1	8
2014-03-27 02:52:00.373916	36462	46	2	8
2014-03-27 02:52:14.526226	36463	19.7	1	1
2014-03-27 02:52:14.752705	36464	50	2	1
2014-03-27 02:52:27.792744	36465	21.4	1	10
2014-03-27 02:52:28.026252	36466	42	2	10
2014-03-27 02:52:32.528623	36467	418	3	2
2014-03-27 02:52:32.757532	36468	1090130.0018777999	4	2
2014-03-27 02:52:38.062829	36469	20.5	1	9
2014-03-27 02:52:38.299059	36470	48	2	9
2014-03-27 02:52:39.128051	36471	21.2	1	8
2014-03-27 02:52:39.351163	36472	46	2	8
2014-03-27 02:52:53.523275	36473	19.7	1	1
2014-03-27 02:52:53.758607	36474	50	2	1
2014-03-27 02:53:06.789329	36475	21.4	1	10
2014-03-27 02:53:07.016597	36476	42	2	10
2014-03-27 02:53:17.039672	36477	20.5	1	9
2014-03-27 02:53:17.273406	36478	48	2	9
2014-03-27 02:53:18.129086	36479	21.2	1	8
2014-03-27 02:53:18.351112	36480	46	2	8
2014-03-27 02:53:32.76434	36481	19.7	1	1
2014-03-27 02:53:33.000871	36482	50	2	1
2014-03-27 02:53:45.790645	36483	21.4	1	10
2014-03-27 02:53:46.016154	36484	42	2	10
2014-03-27 02:53:56.041024	36485	20.5	1	9
2014-03-27 02:53:56.273698	36486	48	2	9
2014-03-27 02:53:57.127526	36487	21.2	1	8
2014-03-27 02:53:57.350645	36488	46	2	8
2014-03-27 02:54:08.528531	36489	370	3	2
2014-03-27 02:54:08.764223	36490	1090141.4922250141	4	2
2014-03-27 02:54:11.526015	36491	19.7	1	1
2014-03-27 02:54:11.75288	36492	50	2	1
2014-03-27 02:54:20.529111	36493	370	3	2
2014-03-27 02:54:20.76436	36494	1090142.6412597355	4	2
2014-03-27 02:54:24.790432	36495	21.4	1	10
2014-03-27 02:54:25.014212	36496	42	2	10
2014-03-27 02:54:32.526294	36497	370	3	2
2014-03-27 02:54:32.76194	36498	1090143.790294457	4	2
2014-03-27 02:54:35.040603	36499	20.5	1	9
2014-03-27 02:54:35.267324	36500	48	2	9
2014-03-27 02:54:36.130517	36501	21.2	1	8
2014-03-27 02:54:36.363803	36502	46	2	8
2014-03-27 02:54:50.525088	36503	19.7	1	1
2014-03-27 02:54:50.750746	36504	50	2	1
2014-03-27 02:55:03.790719	36505	21.3	1	10
2014-03-27 02:55:04.025839	36506	42	2	10
2014-03-27 02:55:14.040041	36507	20.5	1	9
2014-03-27 02:55:14.263885	36508	48	2	9
2014-03-27 02:55:15.128318	36509	21.2	1	8
2014-03-27 02:55:15.37462	36510	46	2	8
2014-03-27 02:55:29.529058	36511	19.6	1	1
2014-03-27 02:55:29.755072	36512	50	2	1
2014-03-27 02:55:32.527187	36513	370	3	2
2014-03-27 02:55:32.947248	36514	1090150.6845027853	4	2
2014-03-27 02:55:42.791484	36515	21.3	1	10
2014-03-27 02:55:43.020541	36516	42	2	10
2014-03-27 02:55:53.039438	36517	20.5	1	9
2014-03-27 02:55:53.264041	36518	48	2	9
2014-03-27 02:55:54.128872	36519	21.2	1	8
2014-03-27 02:55:54.361646	36520	46	2	8
2014-03-27 02:55:56.524108	36521	305	3	2
2014-03-27 02:55:56.748083	36522	1090152.9825722282	4	2
2014-03-27 02:56:08.763638	36523	19.6	1	1
2014-03-27 02:56:08.997162	36524	50	2	1
2014-03-27 02:56:21.792091	36525	21.3	1	10
2014-03-27 02:56:22.017203	36526	42	2	10
2014-03-27 02:56:32.040969	36527	20.5	1	9
2014-03-27 02:56:32.276256	36528	48	2	9
2014-03-27 02:56:32.585567	36529	305	3	2
2014-03-27 02:56:32.810588	36530	1090155.280641671	4	2
2014-03-27 02:56:33.128807	36531	21.2	1	8
2014-03-27 02:56:33.362246	36532	46	2	8
2014-03-27 02:56:47.524366	36533	19.6	1	1
2014-03-27 02:56:47.747885	36534	49	2	1
2014-03-27 02:57:00.792059	36535	21.3	1	10
2014-03-27 02:57:01.026073	36536	42	2	10
2014-03-27 02:57:11.039675	36537	20.5	1	9
2014-03-27 02:57:11.262782	36538	48	2	9
2014-03-27 02:57:12.127943	36539	21.2	1	8
2014-03-27 02:57:12.361447	36540	46	2	8
2014-03-27 02:57:26.520522	36541	19.6	1	1
2014-03-27 02:57:26.745312	36542	50	2	1
2014-03-27 02:57:32.524414	36543	305	3	2
2014-03-27 02:57:32.761908	36544	1090161.025815278	4	2
2014-03-27 02:57:39.792712	36545	21.3	1	10
2014-03-27 02:57:40.019664	36546	42	2	10
2014-03-27 02:57:50.040385	36547	20.5	1	9
2014-03-27 02:57:50.275164	36548	48	2	9
2014-03-27 02:57:51.128969	36549	21.2	1	8
2014-03-27 02:57:51.351066	36550	46	2	8
2014-03-27 02:58:05.556379	36551	19.6	1	1
2014-03-27 02:58:05.794654	36552	49	2	1
2014-03-27 02:58:18.794605	36553	21.3	1	10
2014-03-27 02:58:19.018623	36554	42	2	10
2014-03-27 02:58:29.040277	36555	20.5	1	9
2014-03-27 02:58:29.274586	36556	48	2	9
2014-03-27 02:58:30.129117	36557	21.2	1	8
2014-03-27 02:58:30.353028	36558	46	2	8
2014-03-27 02:58:32.525707	36559	305	3	2
2014-03-27 02:58:32.770506	36560	1090165.6219541638	4	2
2014-03-27 02:58:44.523186	36561	19.6	1	1
2014-03-27 02:58:44.749959	36562	49	2	1
2014-03-27 02:58:57.791712	36563	21.3	1	10
2014-03-27 02:58:58.027186	36564	42	2	10
2014-03-27 02:59:08.040915	36565	20.5	1	9
2014-03-27 02:59:08.263953	36566	48	2	9
2014-03-27 02:59:09.126998	36567	21.2	1	8
2014-03-27 02:59:09.362686	36568	46	2	8
2014-03-27 02:59:23.521662	36569	19.6	1	1
2014-03-27 02:59:23.745258	36570	49	2	1
2014-03-27 02:59:32.522774	36571	305	3	2
2014-03-27 02:59:32.759185	36572	1090171.3671277708	4	2
2014-03-27 02:59:36.793203	36573	21.3	1	10
2014-03-27 02:59:37.021042	36574	42	2	10
2014-03-27 02:59:47.03956	36575	20.5	1	9
2014-03-27 02:59:47.275885	36576	48	2	9
2014-03-27 02:59:48.130145	36577	21.2	1	8
2014-03-27 02:59:48.376566	36578	46	2	8
2014-03-27 03:00:02.519563	36579	19.6	1	1
2014-03-27 03:00:02.757126	36580	49	2	1
2014-03-27 03:00:08.524717	36581	338	3	2
2014-03-27 03:00:08.749343	36582	1090174.8142319352	4	2
2014-03-27 03:00:15.792817	36583	21.2	1	10
2014-03-27 03:00:16.028871	36584	42	2	10
2014-03-27 03:00:20.52381	36585	305	3	2
2014-03-27 03:00:20.747388	36586	1090174.8142319352	4	2
2014-03-27 03:00:26.040242	36587	20.5	1	9
2014-03-27 03:00:26.277003	36588	48	2	9
2014-03-27 03:00:27.128175	36589	21.2	1	8
2014-03-27 03:00:27.353965	36590	46	2	8
2014-03-27 03:00:32.526423	36591	305	3	2
2014-03-27 03:00:32.760815	36592	1090175.9632666565	4	2
2014-03-27 03:00:41.521994	36593	19.6	1	1
2014-03-27 03:00:41.755113	36594	49	2	1
2014-03-27 03:00:44.530096	36595	338	3	2
2014-03-27 03:00:44.764099	36596	1090177.112301378	4	2
2014-03-27 03:00:54.793194	36597	21.2	1	10
2014-03-27 03:00:55.018911	36598	42	2	10
2014-03-27 03:00:56.524479	36599	305	3	2
2014-03-27 03:00:56.759375	36600	1090178.2613360994	4	2
2014-03-27 03:01:05.039842	36601	20.5	1	9
2014-03-27 03:01:05.264723	36602	48	2	9
2014-03-27 03:01:06.128581	36603	21.2	1	8
2014-03-27 03:01:06.36374	36604	46	2	8
2014-03-27 03:01:08.528094	36605	305	3	2
2014-03-27 03:01:08.753487	36606	1090179.410370821	4	2
2014-03-27 03:01:20.760413	36607	19.6	1	1
2014-03-27 03:01:21.005088	36608	49	2	1
2014-03-27 03:01:32.525025	36609	370	3	2
2014-03-27 03:01:32.749967	36610	1090181.7084402635	4	2
2014-03-27 03:01:33.792408	36611	21.2	1	10
2014-03-27 03:01:34.025512	36612	42	2	10
2014-03-27 03:01:44.038994	36613	20.5	1	9
2014-03-27 03:01:44.264142	36614	48	2	9
2014-03-27 03:01:45.126235	36615	21.2	1	8
2014-03-27 03:01:45.35824	36616	46	2	8
2014-03-27 03:01:59.518441	36617	19.6	1	1
2014-03-27 03:01:59.742625	36618	49	2	1
2014-03-27 03:02:12.79337	36619	21.2	1	10
2014-03-27 03:02:13.02784	36620	42	2	10
2014-03-27 03:02:23.038997	36621	20.5	1	9
2014-03-27 03:02:23.263386	36622	48	2	9
2014-03-27 03:02:24.128995	36623	21.2	1	8
2014-03-27 03:02:24.363926	36624	46	2	8
2014-03-27 03:02:32.526246	36625	370	3	2
2014-03-27 03:02:32.753257	36626	1090188.602648592	4	2
2014-03-27 03:02:38.518719	36627	19.6	1	1
2014-03-27 03:02:38.757023	36628	49	2	1
2014-03-27 03:02:51.7955	36629	21.2	1	10
2014-03-27 03:02:52.019445	36630	42	2	10
2014-03-27 03:03:02.03933	36631	20.5	1	9
2014-03-27 03:03:02.27384	36632	48	2	9
2014-03-27 03:03:03.127899	36633	21.2	1	8
2014-03-27 03:03:03.351601	36634	46	2	8
2014-03-27 03:03:17.525307	36635	19.6	1	1
2014-03-27 03:03:17.762803	36636	49	2	1
2014-03-27 03:03:30.795645	36637	21.2	1	10
2014-03-27 03:03:31.019223	36638	42	2	10
2014-03-27 03:03:32.523924	36639	370	3	2
2014-03-27 03:03:32.760453	36640	1090194.347822199	4	2
2014-03-27 03:03:41.038951	36641	20.5	1	9
2014-03-27 03:03:41.263589	36642	48	2	9
2014-03-27 03:03:42.12799	36643	21.2	1	8
2014-03-27 03:03:42.361415	36644	46	2	8
2014-03-27 03:03:56.516504	36645	19.6	1	1
2014-03-27 03:03:56.740799	36646	49	2	1
2014-03-27 03:04:09.794025	36647	21.2	1	10
2014-03-27 03:04:10.035877	36648	42	2	10
2014-03-27 03:04:20.040405	36649	20.5	1	9
2014-03-27 03:04:20.262937	36650	48	2	9
2014-03-27 03:04:21.128183	36651	21.2	1	8
2014-03-27 03:04:21.36072	36652	46	2	8
2014-03-27 03:04:32.526822	36653	370	3	2
2014-03-27 03:04:32.752211	36654	1090200.0929958064	4	2
2014-03-27 03:04:35.516191	36655	19.6	1	1
2014-03-27 03:04:35.76201	36656	49	2	1
2014-03-27 03:04:48.794672	36657	21.2	1	10
2014-03-27 03:04:49.019869	36658	42	2	10
2014-03-27 03:04:59.040362	36659	20.5	1	9
2014-03-27 03:04:59.275282	36660	48	2	9
2014-03-27 03:05:00.129543	36661	21.2	1	8
2014-03-27 03:05:00.351076	36662	46	2	8
2014-03-27 03:05:14.520131	36663	19.6	1	1
2014-03-27 03:05:14.775435	36664	49	2	1
2014-03-27 03:05:27.793299	36665	21.2	1	10
2014-03-27 03:05:28.016422	36666	42	2	10
2014-03-27 03:05:32.526256	36667	370	3	2
2014-03-27 03:05:32.760315	36668	1090206.9872041347	4	2
2014-03-27 03:05:38.039817	36669	20.5	1	9
2014-03-27 03:05:38.26612	36670	48	2	9
2014-03-27 03:05:39.127791	36671	21.2	1	8
2014-03-27 03:05:39.362055	36672	46	2	8
2014-03-27 03:05:44.522802	36673	338	3	2
2014-03-27 03:05:44.747861	36674	1090208.1362388562	4	2
2014-03-27 03:05:53.51955	36675	19.6	1	1
2014-03-27 03:05:53.754534	36676	49	2	1
2014-03-27 03:05:56.522691	36677	338	3	2
2014-03-27 03:05:56.745716	36678	1090209.2852735776	4	2
2014-03-27 03:06:06.793827	36679	21.2	1	10
2014-03-27 03:06:07.030415	36680	42	2	10
2014-03-27 03:06:17.03966	36681	20.5	1	9
2014-03-27 03:06:17.262568	36682	48	2	9
2014-03-27 03:06:18.127303	36683	21.2	1	8
2014-03-27 03:06:18.360876	36684	46	2	8
2014-03-27 03:06:32.759912	36685	19.6	1	1
2014-03-27 03:06:32.984858	36686	49	2	1
2014-03-27 03:06:45.794994	36687	21.2	1	10
2014-03-27 03:06:46.028825	36688	42	2	10
2014-03-27 03:06:56.039408	36689	20.5	1	9
2014-03-27 03:06:56.264242	36690	48	2	9
2014-03-27 03:06:57.129594	36691	21.2	1	8
2014-03-27 03:06:57.363504	36692	46	2	8
2014-03-27 03:07:11.520061	36693	19.6	1	1
2014-03-27 03:07:11.745005	36694	49	2	1
2014-03-27 03:07:24.795138	36695	21.2	1	10
2014-03-27 03:07:25.029981	36696	42	2	10
2014-03-27 03:07:32.527444	36697	338	3	2
2014-03-27 03:07:32.753794	36698	1090217.3285166274	4	2
2014-03-27 03:07:35.03909	36699	20.4	1	9
2014-03-27 03:07:35.273813	36700	48	2	9
2014-03-27 03:07:36.129161	36701	21.2	1	8
2014-03-27 03:07:36.353241	36702	46	2	8
2014-03-27 03:07:50.517415	36703	19.6	1	1
2014-03-27 03:07:50.766911	36704	49	2	1
2014-03-27 03:08:03.794211	36705	21.2	1	10
2014-03-27 03:08:04.017979	36706	42	2	10
2014-03-27 03:08:14.039747	36707	20.4	1	9
2014-03-27 03:08:14.274583	36708	48	2	9
2014-03-27 03:08:15.127892	36709	21.2	1	8
2014-03-27 03:08:15.350118	36710	46	2	8
2014-03-27 03:08:29.512985	36711	19.6	1	1
2014-03-27 03:08:29.748328	36712	49	2	1
2014-03-27 03:08:32.524324	36713	338	3	2
2014-03-27 03:08:32.750363	36714	1090223.0736902345	4	2
2014-03-27 03:08:42.796617	36715	21.2	1	10
2014-03-27 03:08:43.029412	36716	42	2	10
2014-03-27 03:08:53.039994	36717	20.4	1	9
2014-03-27 03:08:53.263616	36718	48	2	9
2014-03-27 03:08:54.127878	36719	21.2	1	8
2014-03-27 03:08:54.359501	36720	46	2	8
2014-03-27 03:09:08.519853	36721	19.6	1	1
2014-03-27 03:09:08.744123	36722	49	2	1
2014-03-27 03:09:21.794794	36723	21.2	1	10
2014-03-27 03:09:22.031957	36724	42	2	10
2014-03-27 03:09:32.039469	36725	20.4	1	9
2014-03-27 03:09:32.262753	36726	48	2	9
2014-03-27 03:09:32.570999	36727	338	3	2
2014-03-27 03:09:32.805709	36728	1090228.8188638417	4	2
2014-03-27 03:09:33.127285	36729	21.2	1	8
2014-03-27 03:09:33.353723	36730	46	2	8
2014-03-27 03:09:47.513767	36731	19.6	1	1
2014-03-27 03:09:47.747053	36732	49	2	1
2014-03-27 03:10:00.794626	36733	21.2	1	10
2014-03-27 03:10:01.022918	36734	42	2	10
2014-03-27 03:10:11.042659	36735	20.4	1	9
2014-03-27 03:10:11.277045	36736	48	2	9
2014-03-27 03:10:12.129652	36737	21.2	1	8
2014-03-27 03:10:12.352586	36738	46	2	8
2014-03-27 03:10:26.517163	36739	19.6	1	1
2014-03-27 03:10:26.750557	36740	49	2	1
2014-03-27 03:10:32.522936	36741	305	3	2
2014-03-27 03:10:32.748447	36742	1090234.5640374487	4	2
2014-03-27 03:10:39.796205	36743	21.2	1	10
2014-03-27 03:10:40.031062	36744	42	2	10
2014-03-27 03:10:44.525852	36745	305	3	2
2014-03-27 03:10:44.749218	36746	1090235.71307217	4	2
2014-03-27 03:10:50.04027	36747	20.4	1	9
2014-03-27 03:10:50.27618	36748	48	2	9
2014-03-27 03:10:51.130176	36749	21.2	1	8
2014-03-27 03:10:51.353405	36750	46	2	8
2014-03-27 03:11:05.519236	36751	19.6	1	1
2014-03-27 03:11:05.766042	36752	49	2	1
2014-03-27 03:11:18.795623	36753	21.2	1	10
2014-03-27 03:11:19.019567	36754	42	2	10
2014-03-27 03:11:29.03864	36755	20.4	1	9
2014-03-27 03:11:29.276055	36756	48	2	9
2014-03-27 03:11:30.128317	36757	21.1	1	8
2014-03-27 03:11:30.352604	36758	46	2	8
2014-03-27 03:11:32.525926	36759	305	3	2
2014-03-27 03:11:32.759149	36760	1090240.3092110557	4	2
2014-03-27 03:11:44.755854	36761	19.6	1	1
2014-03-27 03:11:44.979661	36762	49	2	1
2014-03-27 03:11:56.52462	36763	338	3	2
2014-03-27 03:11:56.761089	36764	1090242.6072804986	4	2
2014-03-27 03:11:57.796546	36765	21.2	1	10
2014-03-27 03:11:58.01831	36766	42	2	10
2014-03-27 03:12:08.037535	36767	20.4	1	9
2014-03-27 03:12:08.273572	36768	48	2	9
2014-03-27 03:12:09.128532	36769	21.1	1	8
2014-03-27 03:12:09.351346	36770	46	2	8
2014-03-27 03:12:23.514763	36771	19.6	1	1
2014-03-27 03:12:23.749922	36772	49	2	1
2014-03-27 03:12:32.528462	36773	338	3	2
2014-03-27 03:12:32.752741	36774	1090246.0543846628	4	2
2014-03-27 03:12:36.796285	36775	21.2	1	10
2014-03-27 03:12:37.029499	36776	42	2	10
2014-03-27 03:12:47.039698	36777	20.4	1	9
2014-03-27 03:12:47.264424	36778	48	2	9
2014-03-27 03:12:48.128259	36779	21.1	1	8
2014-03-27 03:12:48.361147	36780	46	2	8
2014-03-27 03:13:02.511305	36781	19.6	1	1
2014-03-27 03:13:02.738168	36782	49	2	1
2014-03-27 03:13:08.52453	36783	370	3	2
2014-03-27 03:13:08.761117	36784	1090249.5014888272	4	2
2014-03-27 03:13:15.798517	36785	21.2	1	10
2014-03-27 03:13:16.022356	36786	42	2	10
2014-03-27 03:13:20.525459	36787	370	3	2
2014-03-27 03:13:20.762766	36788	1090250.6505235485	4	2
2014-03-27 03:13:26.038775	36789	20.4	1	9
2014-03-27 03:13:26.264079	36790	48	2	9
2014-03-27 03:13:27.127031	36791	21.1	1	8
2014-03-27 03:13:27.360146	36792	46	2	8
2014-03-27 03:13:32.524846	36793	370	3	2
2014-03-27 03:13:32.751961	36794	1090251.79955827	4	2
2014-03-27 03:13:41.51047	36795	19.6	1	1
2014-03-27 03:13:41.746985	36796	49	2	1
2014-03-27 03:13:54.802287	36797	21.2	1	10
2014-03-27 03:13:55.028855	36798	42	2	10
2014-03-27 03:14:05.038713	36799	20.4	1	9
2014-03-27 03:14:05.340866	36800	48	2	9
2014-03-27 03:14:06.127935	36801	21.1	1	8
2014-03-27 03:14:06.352022	36802	46	2	8
2014-03-27 03:14:20.513986	36803	19.6	1	1
2014-03-27 03:14:20.748308	36804	49	2	1
2014-03-27 03:14:32.524933	36805	370	3	2
2014-03-27 03:14:32.748646	36806	1090257.544731877	4	2
2014-03-27 03:14:33.796438	36807	21.2	1	10
2014-03-27 03:14:34.036037	36808	42	2	10
2014-03-27 03:14:44.039235	36809	20.4	1	9
2014-03-27 03:14:44.264256	36810	48	2	9
2014-03-27 03:14:45.127512	36811	21.1	1	8
2014-03-27 03:14:45.360525	36812	46	2	8
2014-03-27 03:14:59.513535	36813	19.6	1	1
2014-03-27 03:14:59.737542	36814	49	2	1
2014-03-27 03:15:12.797784	36815	21.2	1	10
2014-03-27 03:15:13.033426	36816	42	2	10
2014-03-27 03:15:23.040788	36817	20.4	1	9
2014-03-27 03:15:23.265094	36818	48	2	9
2014-03-27 03:15:24.128477	36819	21.1	1	8
2014-03-27 03:15:24.364267	36820	46	2	8
2014-03-27 03:15:32.526254	36821	370	3	2
2014-03-27 03:15:32.751838	36822	1090264.4389402056	4	2
2014-03-27 03:15:38.519178	36823	19.6	1	1
2014-03-27 03:15:38.75517	36824	49	2	1
2014-03-27 03:15:51.797831	36825	21.2	1	10
2014-03-27 03:15:52.021541	36826	42	2	10
2014-03-27 03:16:02.03973	36827	20.4	1	9
2014-03-27 03:16:02.274978	36828	48	2	9
2014-03-27 03:16:03.128121	36829	21.1	1	8
2014-03-27 03:16:03.351892	36830	46	2	8
2014-03-27 03:16:17.514959	36831	19.6	1	1
2014-03-27 03:16:17.749991	36832	49	2	1
2014-03-27 03:16:30.797237	36833	21.2	1	10
2014-03-27 03:16:31.021607	36834	42	2	10
2014-03-27 03:16:32.5232	36835	370	3	2
2014-03-27 03:16:32.758241	36836	1090270.1841138126	4	2
2014-03-27 03:16:41.039735	36837	20.4	1	9
2014-03-27 03:16:41.266062	36838	48	2	9
2014-03-27 03:16:42.127453	36839	21.1	1	8
2014-03-27 03:16:42.362631	36840	46	2	8
2014-03-27 03:16:56.54586	36841	19.6	1	1
2014-03-27 03:16:56.772029	36842	49	2	1
2014-03-27 03:17:09.799117	36843	21.2	1	10
2014-03-27 03:17:10.033226	36844	42	2	10
2014-03-27 03:17:20.039524	36845	20.4	1	9
2014-03-27 03:17:20.263474	36846	48	2	9
2014-03-27 03:17:21.127127	36847	21.1	1	8
2014-03-27 03:17:21.374353	36848	46	2	8
2014-03-27 03:17:32.527947	36849	370	3	2
2014-03-27 03:17:32.754294	36850	1090275.9292874197	4	2
2014-03-27 03:17:35.510922	36851	19.6	1	1
2014-03-27 03:17:35.745649	36852	49	2	1
2014-03-27 03:17:48.800057	36853	21.2	1	10
2014-03-27 03:17:49.029585	36854	42	2	10
2014-03-27 03:17:59.040772	36855	20.4	1	9
2014-03-27 03:17:59.274195	36856	48	2	9
2014-03-27 03:18:00.126779	36857	21.1	1	8
2014-03-27 03:18:00.350313	36858	46	2	8
2014-03-27 03:18:14.51342	36859	19.6	1	1
2014-03-27 03:18:14.748613	36860	49	2	1
2014-03-27 03:18:27.799104	36861	21.2	1	10
2014-03-27 03:18:28.02583	36862	42	2	10
2014-03-27 03:18:32.525187	36863	338	3	2
2014-03-27 03:18:32.76041	36864	1090282.8234957482	4	2
2014-03-27 03:18:38.040512	36865	20.4	1	9
2014-03-27 03:18:38.266634	36866	48	2	9
2014-03-27 03:18:39.127191	36867	21.1	1	8
2014-03-27 03:18:39.359875	36868	46	2	8
2014-03-27 03:18:44.523889	36869	338	3	2
2014-03-27 03:18:44.750124	36870	1090283.9725304695	4	2
2014-03-27 03:18:53.509072	36871	19.6	1	1
2014-03-27 03:18:53.745554	36872	49	2	1
2014-03-27 03:19:06.798683	36873	21.2	1	10
2014-03-27 03:19:07.023146	36874	42	2	10
2014-03-27 03:19:17.039136	36875	20.4	1	9
2014-03-27 03:19:17.275049	36876	48	2	9
2014-03-27 03:19:18.125967	36877	21.1	1	8
2014-03-27 03:19:18.350182	36878	46	2	8
2014-03-27 03:19:32.749965	36879	19.6	1	1
2014-03-27 03:19:32.982786	36880	49	2	1
2014-03-27 03:19:45.80129	36881	21.2	1	10
2014-03-27 03:19:46.025324	36882	42	2	10
2014-03-27 03:19:56.037878	36883	20.4	1	9
2014-03-27 03:19:56.273391	36884	48	2	9
2014-03-27 03:19:57.129448	36885	21.1	1	8
2014-03-27 03:19:57.354133	36886	46	2	8
2014-03-27 03:20:11.510068	36887	19.6	1	1
2014-03-27 03:20:11.744358	36888	49	2	1
2014-03-27 03:20:24.798717	36889	21.2	1	10
2014-03-27 03:20:25.02484	36890	42	2	10
2014-03-27 03:20:32.525483	36891	305	3	2
2014-03-27 03:20:32.76087	36892	1090293.169279193	4	2
2014-03-27 03:20:35.040721	36893	20.4	1	9
2014-03-27 03:20:35.302908	36894	48	2	9
2014-03-27 03:20:36.128675	36895	21.1	1	8
2014-03-27 03:20:36.375307	36896	46	2	8
2014-03-27 03:20:44.521127	36897	338	3	2
2014-03-27 03:20:44.74812	36898	1090293.169279193	4	2
2014-03-27 03:20:50.507585	36899	19.6	1	1
2014-03-27 03:20:50.741167	36900	49	2	1
2014-03-27 03:20:56.52453	36901	338	3	2
2014-03-27 03:20:56.74795	36902	1090294.3183139146	4	2
2014-03-27 03:21:03.799523	36903	21.2	1	10
2014-03-27 03:21:04.036044	36904	42	2	10
2014-03-27 03:21:14.039094	36905	20.4	1	9
2014-03-27 03:21:14.264983	36906	48	2	9
2014-03-27 03:21:15.128017	36907	21.1	1	8
2014-03-27 03:21:15.364926	36908	46	2	8
2014-03-27 03:21:20.523465	36909	305	3	2
2014-03-27 03:21:20.747644	36910	1090296.6163833574	4	2
2014-03-27 03:21:29.507365	36911	19.6	1	1
2014-03-27 03:21:29.742428	36912	49	2	1
2014-03-27 03:21:32.52324	36913	338	3	2
2014-03-27 03:21:32.747185	36914	1090297.7654180788	4	2
2014-03-27 03:21:42.799905	36915	21.2	1	10
2014-03-27 03:21:43.033975	36916	42	2	10
2014-03-27 03:21:44.523785	36917	338	3	2
2014-03-27 03:21:44.747172	36918	1090298.9144528	4	2
2014-03-27 03:21:53.038186	36919	20.4	1	9
2014-03-27 03:21:53.275032	36920	48	2	9
2014-03-27 03:21:54.127111	36921	21.1	1	8
2014-03-27 03:21:54.353569	36922	46	2	8
2014-03-27 03:21:56.526048	36923	305	3	2
2014-03-27 03:21:56.75994	36924	1090300.0634875216	4	2
2014-03-27 03:22:20.378846	36925	19.6	1	1
2014-03-27 03:22:20.788805	36926	49	2	1
2014-03-27 03:22:21.302916	36927	338	3	2
2014-03-27 03:22:21.883254	36928	1090302.3615569645	4	2
2014-03-27 03:22:22.243858	36929	21.2	1	10
2014-03-27 03:22:22.502341	36930	42	2	10
2014-03-27 03:22:32.038713	36931	20.4	1	9
2014-03-27 03:22:32.328711	36932	48	2	9
2014-03-27 03:22:32.671444	36933	338	3	2
2014-03-27 03:22:32.928706	36934	1090303.5105916858	4	2
2014-03-27 03:22:33.424862	36935	21.1	1	8
2014-03-27 03:22:33.860033	36936	46	2	8
2014-03-27 03:22:47.511567	36937	19.6	1	1
2014-03-27 03:22:47.737595	36938	49	2	1
2014-03-27 03:23:00.79964	36939	21.2	1	10
2014-03-27 03:23:01.033676	36940	42	2	10
2014-03-27 03:23:11.038798	36941	20.4	1	9
2014-03-27 03:23:11.264811	36942	48	2	9
2014-03-27 03:23:12.127206	36943	21.1	1	8
2014-03-27 03:23:12.371628	36944	46	2	8
2014-03-27 03:23:26.508005	36945	19.6	1	1
2014-03-27 03:23:26.732582	36946	49	2	1
2014-03-27 03:23:32.527917	36947	338	3	2
2014-03-27 03:23:32.763954	36948	1090309.2557652928	4	2
2014-03-27 03:23:39.800471	36949	21.2	1	10
2014-03-27 03:23:40.025353	36950	42	2	10
2014-03-27 03:23:50.038981	36951	20.4	1	9
2014-03-27 03:23:50.272747	36952	48	2	9
2014-03-27 03:23:51.12709	36953	21.1	1	8
2014-03-27 03:23:51.351119	36954	46	2	8
2014-03-27 03:24:05.601466	36955	19.6	1	1
2014-03-27 03:24:05.835419	36956	49	2	1
2014-03-27 03:24:18.80085	36957	21.2	1	10
2014-03-27 03:24:19.026903	36958	42	2	10
2014-03-27 03:24:29.039778	36959	20.4	1	9
2014-03-27 03:24:29.272607	36960	48	2	9
2014-03-27 03:24:30.127153	36961	21.1	1	8
2014-03-27 03:24:30.350879	36962	46	2	8
2014-03-27 03:24:32.523985	36963	338	3	2
2014-03-27 03:24:32.762458	36964	1090315.0009389	4	2
2014-03-27 03:24:44.508111	36965	19.6	1	1
2014-03-27 03:24:44.746418	36966	49	2	1
2014-03-27 03:24:57.802702	36967	21.2	1	10
2014-03-27 03:24:58.036686	36968	42	2	10
2014-03-27 03:25:08.039316	36969	20.4	1	9
2014-03-27 03:25:08.264101	36970	48	2	9
2014-03-27 03:25:09.128194	36971	21.1	1	8
2014-03-27 03:25:09.363294	36972	46	2	8
2014-03-27 03:25:23.506627	36973	19.6	1	1
2014-03-27 03:25:23.731232	36974	49	2	1
2014-03-27 03:25:32.528058	36975	338	3	2
2014-03-27 03:25:32.763756	36976	1090320.746112507	4	2
2014-03-27 03:25:36.801002	36977	21.1	1	10
2014-03-27 03:25:37.028817	36978	42	2	10
2014-03-27 03:25:47.039761	36979	20.4	1	9
2014-03-27 03:25:47.273753	36980	48	2	9
2014-03-27 03:25:48.128792	36981	21.1	1	8
2014-03-27 03:25:48.351541	36982	46	2	8
2014-03-27 03:26:02.30312	36983	370	3	2
2014-03-27 03:26:02.537282	36984	1090323.04418195	4	2
2014-03-27 03:26:02.846291	36985	19.6	1	1
2014-03-27 03:26:03.071104	36986	49	2	1
2014-03-27 03:26:08.523652	36987	370	3	2
2014-03-27 03:26:08.760797	36988	1090324.1932166712	4	2
2014-03-27 03:26:15.80062	36989	21.1	1	10
2014-03-27 03:26:16.026588	36990	42	2	10
2014-03-27 03:26:26.042921	36991	20.4	1	9
2014-03-27 03:26:26.288003	36992	48	2	9
2014-03-27 03:26:27.132082	36993	21.1	1	8
2014-03-27 03:26:27.356167	36994	46	2	8
2014-03-27 03:26:41.302603	36995	370	3	2
2014-03-27 03:26:41.53801	36996	1090326.491286114	4	2
2014-03-27 03:26:41.845283	36997	19.6	1	1
2014-03-27 03:26:42.068872	36998	49	2	1
2014-03-27 03:26:54.802565	36999	21.2	1	10
2014-03-27 03:26:55.036194	37000	42	2	10
2014-03-27 03:27:05.03912	37001	20.4	1	9
2014-03-27 03:27:05.265935	37002	48	2	9
2014-03-27 03:27:06.128119	37003	21.1	1	8
2014-03-27 03:27:06.363823	37004	46	2	8
2014-03-27 03:27:20.505946	37005	19.6	1	1
2014-03-27 03:27:20.728752	37006	49	2	1
2014-03-27 03:27:32.52223	37007	370	3	2
2014-03-27 03:27:32.756191	37008	1090333.3854944427	4	2
2014-03-27 03:27:33.802109	37009	21.2	1	10
2014-03-27 03:27:34.026665	37010	42	2	10
2014-03-27 03:27:44.039484	37011	20.4	1	9
2014-03-27 03:27:44.276612	37012	48	2	9
2014-03-27 03:27:45.127958	37013	21.1	1	8
2014-03-27 03:27:45.352787	37014	46	2	8
2014-03-27 03:27:59.540688	37015	19.6	1	1
2014-03-27 03:27:59.775194	37016	49	2	1
2014-03-27 03:28:12.800142	37017	21.2	1	10
2014-03-27 03:28:13.024856	37018	42	2	10
2014-03-27 03:28:23.038966	37019	20.4	1	9
2014-03-27 03:28:23.273595	37020	48	2	9
2014-03-27 03:28:24.127634	37021	21.1	1	8
2014-03-27 03:28:24.350907	37022	46	2	8
2014-03-27 03:28:32.525357	37023	370	3	2
2014-03-27 03:28:32.762004	37024	1090339.1306680497	4	2
2014-03-27 03:28:38.509214	37025	19.6	1	1
2014-03-27 03:28:38.735052	37026	49	2	1
2014-03-27 03:28:51.801749	37027	21.2	1	10
2014-03-27 03:28:52.036108	37028	42	2	10
2014-03-27 03:29:02.038829	37029	20.4	1	9
2014-03-27 03:29:02.263964	37030	48	2	9
2014-03-27 03:29:03.127364	37031	21.1	1	8
2014-03-27 03:29:03.361264	37032	46	2	8
2014-03-27 03:29:17.50616	37033	19.6	1	1
2014-03-27 03:29:17.733637	37034	49	2	1
2014-03-27 03:29:30.802334	37035	21.2	1	10
2014-03-27 03:29:31.037232	37036	42	2	10
2014-03-27 03:29:32.521505	37037	370	3	2
2014-03-27 03:29:32.747139	37038	1090344.8758416567	4	2
2014-03-27 03:29:41.038793	37039	20.4	1	9
2014-03-27 03:29:41.284348	37040	48	2	9
2014-03-27 03:29:42.127406	37041	21.1	1	8
2014-03-27 03:29:42.35045	37042	46	2	8
2014-03-27 03:29:56.503757	37043	19.6	1	1
2014-03-27 03:29:56.739063	37044	49	2	1
2014-03-27 03:30:09.803525	37045	21.2	1	10
2014-03-27 03:30:10.028803	37046	42	2	10
2014-03-27 03:30:20.038805	37047	20.4	1	9
2014-03-27 03:30:20.273362	37048	48	2	9
2014-03-27 03:30:21.126586	37049	21.1	1	8
2014-03-27 03:30:21.35144	37050	46	2	8
2014-03-27 03:30:32.519421	37051	370	3	2
2014-03-27 03:30:32.754823	37052	1090351.7700499853	4	2
2014-03-27 03:30:35.504996	37053	19.6	1	1
2014-03-27 03:30:35.78542	37054	49	2	1
2014-03-27 03:30:44.523629	37055	338	3	2
2014-03-27 03:30:44.757587	37056	1090352.9190847066	4	2
2014-03-27 03:30:48.802172	37057	21.2	1	10
2014-03-27 03:30:49.028149	37058	42	2	10
2014-03-27 03:30:56.524985	37059	305	3	2
2014-03-27 03:30:56.76344	37060	1090354.0681194281	4	2
2014-03-27 03:30:59.038174	37061	20.4	1	9
2014-03-27 03:30:59.260509	37062	48	2	9
2014-03-27 03:31:00.127173	37063	21.1	1	8
2014-03-27 03:31:00.36079	37064	46	2	8
2014-03-27 03:31:08.520985	37065	338	3	2
2014-03-27 03:31:08.746204	37066	1090355.2171541494	4	2
2014-03-27 03:31:14.504028	37067	19.6	1	1
2014-03-27 03:31:14.738297	37068	49	2	1
2014-03-27 03:31:20.520737	37069	338	3	2
2014-03-27 03:31:20.746283	37070	1090356.366188871	4	2
2014-03-27 03:31:27.802577	37071	21.2	1	10
2014-03-27 03:31:28.040235	37072	42	2	10
2014-03-27 03:31:32.522187	37073	305	3	2
2014-03-27 03:31:32.746723	37074	1090357.5152235923	4	2
2014-03-27 03:31:38.040371	37075	20.4	1	9
2014-03-27 03:31:38.274293	37076	48	2	9
2014-03-27 03:31:39.12899	37077	21.1	1	8
2014-03-27 03:31:39.351439	37078	46	2	8
2014-03-27 03:31:44.523046	37079	305	3	2
2014-03-27 03:31:44.759511	37080	1090358.6642583138	4	2
2014-03-27 03:31:53.502286	37081	19.6	1	1
2014-03-27 03:31:53.727313	37082	49	2	1
2014-03-27 03:32:06.802903	37083	21.2	1	10
2014-03-27 03:32:07.037085	37084	42	2	10
2014-03-27 03:32:17.039065	37085	20.4	1	9
2014-03-27 03:32:17.264402	37086	48	2	9
2014-03-27 03:32:18.127582	37087	21.1	1	8
2014-03-27 03:32:18.372356	37088	46	2	8
2014-03-27 03:32:32.740785	37089	19.6	1	1
2014-03-27 03:32:32.966436	37090	49	2	1
2014-03-27 03:32:44.524807	37091	338	3	2
2014-03-27 03:32:44.764126	37092	1090363.2603971993	4	2
2014-03-27 03:32:45.803222	37093	21.2	1	10
2014-03-27 03:32:46.030033	37094	42	2	10
2014-03-27 03:32:56.038028	37095	20.4	1	9
2014-03-27 03:32:56.275114	37096	48	2	9
2014-03-27 03:32:56.582412	37097	305	3	2
2014-03-27 03:32:56.807194	37098	1090364.4094319209	4	2
2014-03-27 03:32:57.128041	37099	21.1	1	8
2014-03-27 03:32:57.386907	37100	46	2	8
2014-03-27 03:33:08.523137	37101	305	3	2
2014-03-27 03:33:08.747038	37102	1090365.5584666422	4	2
2014-03-27 03:33:11.502874	37103	19.6	1	1
2014-03-27 03:33:11.736992	37104	49	2	1
2014-03-27 03:33:20.524723	37105	338	3	2
2014-03-27 03:33:20.748782	37106	1090366.7075013637	4	2
2014-03-27 03:33:24.802938	37107	21.2	1	10
2014-03-27 03:33:25.03571	37108	42	2	10
2014-03-27 03:33:32.522136	37109	402	3	2
2014-03-27 03:33:32.748143	37110	1090367.856536085	4	2
2014-03-27 03:33:35.038994	37111	20.4	1	9
2014-03-27 03:33:35.272309	37112	48	2	9
2014-03-27 03:33:36.127227	37113	21.1	1	8
2014-03-27 03:33:36.35112	37114	46	2	8
2014-03-27 03:33:44.523325	37115	402	3	2
2014-03-27 03:33:44.7586	37116	1090369.0055708066	4	2
2014-03-27 03:33:50.504667	37117	19.6	1	1
2014-03-27 03:33:50.730191	37118	49	2	1
2014-03-27 03:34:03.802017	37119	21.2	1	10
2014-03-27 03:34:04.036091	37120	42	2	10
2014-03-27 03:34:14.038709	37121	20.4	1	9
2014-03-27 03:34:14.263136	37122	48	2	9
2014-03-27 03:34:15.126405	37123	21.1	1	8
2014-03-27 03:34:15.36061	37124	46	2	8
2014-03-27 03:34:29.502398	37125	19.6	1	1
2014-03-27 03:34:29.729415	37126	49	2	1
2014-03-27 03:34:32.523456	37127	402	3	2
2014-03-27 03:34:32.759574	37128	1090374.7507444136	4	2
2014-03-27 03:34:43.011474	37129	21.2	1	10
2014-03-27 03:34:43.235405	37130	42	2	10
2014-03-27 03:34:53.038891	37131	20.4	1	9
2014-03-27 03:34:53.274089	37132	48	2	9
2014-03-27 03:34:54.126745	37133	21.1	1	8
2014-03-27 03:34:54.35431	37134	46	2	8
2014-03-27 03:35:08.501059	37135	19.6	1	1
2014-03-27 03:35:08.747284	37136	49	2	1
2014-03-27 03:35:21.805805	37137	21.2	1	10
2014-03-27 03:35:22.032713	37138	42	2	10
2014-03-27 03:35:32.039502	37139	20.4	1	9
2014-03-27 03:35:32.276167	37140	48	2	9
2014-03-27 03:35:32.582455	37141	402	3	2
2014-03-27 03:35:32.809248	37142	1090381.6449527422	4	2
2014-03-27 03:35:33.127607	37143	21.1	1	8
2014-03-27 03:35:33.360673	37144	46	2	8
2014-03-27 03:35:47.500037	37145	19.6	1	1
2014-03-27 03:35:47.725119	37146	49	2	1
2014-03-27 03:36:00.804721	37147	21.2	1	10
2014-03-27 03:36:01.03904	37148	42	2	10
2014-03-27 03:36:11.046503	37149	20.4	1	9
2014-03-27 03:36:11.272065	37150	48	2	9
2014-03-27 03:36:12.126164	37151	21.1	1	8
2014-03-27 03:36:12.359062	37152	46	2	8
2014-03-27 03:36:26.498071	37153	19.6	1	1
2014-03-27 03:36:26.723153	37154	49	2	1
2014-03-27 03:36:32.523987	37155	402	3	2
2014-03-27 03:36:32.758756	37156	1090388.5391610705	4	2
2014-03-27 03:36:39.804294	37157	21.2	1	10
2014-03-27 03:36:40.030818	37158	42	2	10
2014-03-27 03:36:50.039662	37159	20.4	1	9
2014-03-27 03:36:50.274205	37160	48	2	9
2014-03-27 03:36:51.129886	37161	21.1	1	8
2014-03-27 03:36:51.353571	37162	46	2	8
2014-03-27 03:37:05.498029	37163	19.6	1	1
2014-03-27 03:37:05.733662	37164	49	2	1
2014-03-27 03:37:18.803267	37165	21.2	1	10
2014-03-27 03:37:19.029388	37166	42	2	10
2014-03-27 03:37:29.041901	37167	20.4	1	9
2014-03-27 03:37:29.277127	37168	48	2	9
2014-03-27 03:37:30.129182	37169	21.1	1	8
2014-03-27 03:37:30.354867	37170	46	2	8
2014-03-27 03:37:32.522127	37171	402	3	2
2014-03-27 03:37:32.757043	37172	1090394.2843346775	4	2
2014-03-27 03:37:44.500168	37173	19.6	1	1
2014-03-27 03:37:44.727881	37174	49	2	1
2014-03-27 03:37:56.520966	37175	450	3	2
2014-03-27 03:37:56.755977	37176	1090397.731438842	4	2
2014-03-27 03:37:57.804745	37177	21.2	1	10
2014-03-27 03:37:58.029578	37178	42	2	10
2014-03-27 03:38:08.039879	37179	20.4	1	9
2014-03-27 03:38:08.274042	37180	48	2	9
2014-03-27 03:38:08.582863	37181	450	3	2
2014-03-27 03:38:08.80718	37182	1090398.8804735632	4	2
2014-03-27 03:38:09.127467	37183	21.1	1	8
2014-03-27 03:38:09.374737	37184	46	2	8
2014-03-27 03:38:23.498942	37185	19.6	1	1
2014-03-27 03:38:23.724227	37186	49	2	1
2014-03-27 03:38:32.524098	37187	450	3	2
2014-03-27 03:38:32.759278	37188	1090402.3275777276	4	2
2014-03-27 03:38:36.802684	37189	21.2	1	10
2014-03-27 03:38:37.0274	37190	42	2	10
2014-03-27 03:38:47.038209	37191	20.4	1	9
2014-03-27 03:38:47.273743	37192	48	2	9
2014-03-27 03:38:48.127544	37193	21.1	1	8
2014-03-27 03:38:48.35419	37194	46	2	8
2014-03-27 03:39:02.50224	37195	19.6	1	1
2014-03-27 03:39:02.73506	37196	49	2	1
2014-03-27 03:39:15.806125	37197	21.2	1	10
2014-03-27 03:39:16.030522	37198	42	2	10
2014-03-27 03:39:26.039523	37199	20.4	1	9
2014-03-27 03:39:26.274867	37200	48	2	9
2014-03-27 03:39:27.129063	37201	21.1	1	8
2014-03-27 03:39:27.352417	37202	46	2	8
2014-03-27 03:39:32.525827	37203	450	3	2
2014-03-27 03:39:32.760719	37204	1090409.221786056	4	2
2014-03-27 03:39:41.499946	37205	19.6	1	1
2014-03-27 03:39:41.724978	37206	49	2	1
2014-03-27 03:39:54.803785	37207	21.2	1	10
2014-03-27 03:39:55.038205	37208	42	2	10
2014-03-27 03:40:05.039725	37209	20.4	1	9
2014-03-27 03:40:05.264273	37210	48	2	9
2014-03-27 03:40:06.141129	37211	21.1	1	8
2014-03-27 03:40:06.381058	37212	46	2	8
2014-03-27 03:40:20.496134	37213	19.6	1	1
2014-03-27 03:40:20.722767	37214	49	2	1
2014-03-27 03:40:32.522744	37215	450	3	2
2014-03-27 03:40:32.758303	37216	1090417.2650291058	4	2
2014-03-27 03:40:33.804911	37217	21.2	1	10
2014-03-27 03:40:34.028144	37218	42	2	10
2014-03-27 03:40:44.038673	37219	20.4	1	9
2014-03-27 03:40:44.273872	37220	48	2	9
2014-03-27 03:40:45.126619	37221	21.1	1	8
2014-03-27 03:40:45.349726	37222	46	2	8
2014-03-27 03:40:59.497154	37223	19.5	1	1
2014-03-27 03:40:59.731303	37224	49	2	1
2014-03-27 03:41:12.807069	37225	21.2	1	10
2014-03-27 03:41:13.031594	37226	42	2	10
2014-03-27 03:41:23.039343	37227	20.4	1	9
2014-03-27 03:41:23.273456	37228	48	2	9
2014-03-27 03:41:24.125959	37229	21.1	1	8
2014-03-27 03:41:24.349545	37230	46	2	8
2014-03-27 03:41:32.522919	37231	450	3	2
2014-03-27 03:41:32.76848	37232	1090424.1592374344	4	2
2014-03-27 03:41:38.496888	37233	19.5	1	1
2014-03-27 03:41:38.721353	37234	49	2	1
2014-03-27 03:41:51.804574	37235	21.2	1	10
2014-03-27 03:41:52.062369	37236	42	2	10
2014-03-27 03:42:02.041688	37237	20.4	1	9
2014-03-27 03:42:02.267141	37238	48	2	9
2014-03-27 03:42:03.127465	37239	21.1	1	8
2014-03-27 03:42:03.360386	37240	46	2	8
2014-03-27 03:42:17.497455	37241	19.5	1	1
2014-03-27 03:42:17.721662	37242	49	2	1
2014-03-27 03:42:30.803888	37243	21.2	1	10
2014-03-27 03:42:31.041444	37244	42	2	10
2014-03-27 03:42:32.523827	37245	450	3	2
2014-03-27 03:42:32.750964	37246	1090432.2024804843	4	2
2014-03-27 03:42:41.036871	37247	20.4	1	9
2014-03-27 03:42:41.276047	37248	48	2	9
2014-03-27 03:42:42.129438	37249	21.1	1	8
2014-03-27 03:42:42.35373	37250	46	2	8
2014-03-27 03:42:56.497342	37251	19.5	1	1
2014-03-27 03:42:56.734034	37252	49	2	1
2014-03-27 03:43:08.523209	37253	402	3	2
2014-03-27 03:43:08.747542	37254	1090436.79861937	4	2
2014-03-27 03:43:09.80624	37255	21.2	1	10
2014-03-27 03:43:10.04039	37256	42	2	10
2014-03-27 03:43:20.039481	37257	20.4	1	9
2014-03-27 03:43:20.267212	37258	48	2	9
2014-03-27 03:43:20.5761	37259	402	3	2
2014-03-27 03:43:20.810303	37260	1090437.9476540913	4	2
2014-03-27 03:43:21.126743	37261	21.1	1	8
2014-03-27 03:43:21.352223	37262	46	2	8
2014-03-27 03:43:32.522563	37263	402	3	2
2014-03-27 03:43:32.757587	37264	1090439.0966888128	4	2
2014-03-27 03:43:35.496556	37265	19.5	1	1
2014-03-27 03:43:35.72321	37266	49	2	1
2014-03-27 03:43:48.805447	37267	21.2	1	10
2014-03-27 03:43:49.041709	37268	42	2	10
2014-03-27 03:43:59.037904	37269	20.4	1	9
2014-03-27 03:43:59.263392	37270	48	2	9
2014-03-27 03:44:00.126767	37271	21.1	1	8
2014-03-27 03:44:00.362712	37272	46	2	8
2014-03-27 03:44:14.496932	37273	19.5	1	1
2014-03-27 03:44:14.721112	37274	49	2	1
2014-03-27 03:44:27.80546	37275	21.2	1	10
2014-03-27 03:44:28.039527	37276	42	2	10
2014-03-27 03:44:32.523913	37277	402	3	2
2014-03-27 03:44:32.747953	37278	1090445.9908971414	4	2
2014-03-27 03:44:38.038734	37279	20.4	1	9
2014-03-27 03:44:38.283498	37280	48	2	9
2014-03-27 03:44:39.125741	37281	21.1	1	8
2014-03-27 03:44:39.348437	37282	46	2	8
2014-03-27 03:44:53.495077	37283	19.5	1	1
2014-03-27 03:44:53.728908	37284	49	2	1
2014-03-27 03:45:06.806239	37285	21.2	1	10
2014-03-27 03:45:07.029118	37286	42	2	10
2014-03-27 03:45:17.037296	37287	20.4	1	9
2014-03-27 03:45:17.271457	37288	48	2	9
2014-03-27 03:45:18.125926	37289	21.1	1	8
2014-03-27 03:45:18.348125	37290	46	2	8
2014-03-27 03:45:45.602507	37291	19.5	1	1
2014-03-27 03:45:45.839829	37292	49	2	1
2014-03-27 03:45:46.147373	37293	21.2	1	10
2014-03-27 03:45:46.370927	37294	42	2	10
2014-03-27 03:45:56.038018	37295	20.4	1	9
2014-03-27 03:45:56.271178	37296	48	2	9
2014-03-27 03:45:57.133162	37297	21.1	1	8
2014-03-27 03:45:57.357659	37298	46	2	8
2014-03-27 03:46:11.49591	37299	19.5	1	1
2014-03-27 03:46:11.739688	37300	49	2	1
2014-03-27 03:46:24.808518	37301	21.2	1	10
2014-03-27 03:46:25.034594	37302	42	2	10
2014-03-27 03:46:32.519785	37303	402	3	2
2014-03-27 03:46:32.754228	37304	1090459.7793137983	4	2
2014-03-27 03:46:35.038586	37305	20.4	1	9
2014-03-27 03:46:35.26285	37306	48	2	9
2014-03-27 03:46:36.180114	37307	21.1	1	8
2014-03-27 03:46:36.416262	37308	46	2	8
2014-03-27 03:46:50.495575	37309	19.5	1	1
2014-03-27 03:46:50.719607	37310	49	2	1
2014-03-27 03:46:56.522735	37311	370	3	2
2014-03-27 03:46:56.757388	37312	1090462.0773832412	4	2
2014-03-27 03:47:03.806302	37313	21.1	1	10
2014-03-27 03:47:04.031512	37314	42	2	10
2014-03-27 03:47:08.522487	37315	402	3	2
2014-03-27 03:47:08.758466	37316	1090463.2264179625	4	2
2014-03-27 03:47:14.039434	37317	20.4	1	9
2014-03-27 03:47:14.264471	37318	48	2	9
2014-03-27 03:47:15.127192	37319	21.1	1	8
2014-03-27 03:47:15.361229	37320	46	2	8
2014-03-27 03:47:20.521359	37321	402	3	2
2014-03-27 03:47:20.747477	37322	1090464.375452684	4	2
2014-03-27 03:47:29.529646	37323	19.5	1	1
2014-03-27 03:47:29.7651	37324	49	2	1
2014-03-27 03:47:32.523478	37325	402	3	2
2014-03-27 03:47:32.746799	37326	1090465.5244874053	4	2
2014-03-27 03:47:42.806273	37327	21.1	1	10
2014-03-27 03:47:43.056724	37328	42	2	10
2014-03-27 03:47:44.519997	37329	370	3	2
2014-03-27 03:47:44.74395	37330	1090466.6735221269	4	2
2014-03-27 03:47:53.040127	37331	20.4	1	9
2014-03-27 03:47:53.458005	37332	48	2	9
2014-03-27 03:47:54.128242	37333	21.1	1	8
2014-03-27 03:47:54.353939	37334	46	2	8
2014-03-27 03:47:56.520284	37335	338	3	2
2014-03-27 03:47:56.745122	37336	1090467.8225568482	4	2
2014-03-27 03:48:08.734274	37337	19.5	1	1
2014-03-27 03:48:08.966144	37338	49	2	1
2014-03-27 03:48:21.807038	37339	21.1	1	10
2014-03-27 03:48:22.030606	37340	42	2	10
2014-03-27 03:48:32.036482	37341	20.4	1	9
2014-03-27 03:48:32.270224	37342	48	2	9
2014-03-27 03:48:32.587931	37343	338	3	2
2014-03-27 03:48:32.811078	37344	1090471.2696610123	4	2
2014-03-27 03:48:33.126531	37345	21.1	1	8
2014-03-27 03:48:33.360919	37346	46	2	8
2014-03-27 03:48:47.493814	37347	19.5	1	1
2014-03-27 03:48:47.718228	37348	49	2	1
2014-03-27 03:49:00.804438	37349	21.1	1	10
2014-03-27 03:49:01.038704	37350	42	2	10
2014-03-27 03:49:11.037967	37351	20.4	1	9
2014-03-27 03:49:11.259847	37352	48	2	9
2014-03-27 03:49:12.125089	37353	21.1	1	8
2014-03-27 03:49:12.360161	37354	46	2	8
2014-03-27 03:49:26.49287	37355	19.5	1	1
2014-03-27 03:49:26.715058	37356	49	2	1
2014-03-27 03:49:32.520329	37357	338	3	2
2014-03-27 03:49:32.753808	37358	1090477.0148346196	4	2
2014-03-27 03:49:39.807059	37359	21.1	1	10
2014-03-27 03:49:40.031011	37360	42	2	10
2014-03-27 03:49:50.037627	37361	20.4	1	9
2014-03-27 03:49:50.270053	37362	48	2	9
2014-03-27 03:49:51.125386	37363	21.1	1	8
2014-03-27 03:49:51.347397	37364	46	2	8
2014-03-27 03:50:05.493114	37365	19.5	1	1
2014-03-27 03:50:05.762753	37366	49	2	1
2014-03-27 03:50:18.807821	37367	21.1	1	10
2014-03-27 03:50:19.065114	37368	42	2	10
2014-03-27 03:50:29.039067	37369	20.4	1	9
2014-03-27 03:50:29.292978	37370	48	2	9
2014-03-27 03:50:30.124953	37371	21.1	1	8
2014-03-27 03:50:30.401255	37372	46	2	8
2014-03-27 03:50:32.524695	37373	370	3	2
2014-03-27 03:50:32.793895	37374	1090482.7600082266	4	2
2014-03-27 03:50:44.7282	37375	19.5	1	1
2014-03-27 03:50:44.95073	37376	49	2	1
2014-03-27 03:50:57.806823	37377	21.1	1	10
2014-03-27 03:50:58.050835	37378	42	2	10
2014-03-27 03:51:08.038993	37379	20.4	1	9
2014-03-27 03:51:08.263247	37380	48	2	9
2014-03-27 03:51:09.125403	37381	21.1	1	8
2014-03-27 03:51:09.358251	37382	46	2	8
2014-03-27 03:51:23.490261	37383	19.5	1	1
2014-03-27 03:51:23.715516	37384	49	2	1
2014-03-27 03:51:32.519048	37385	370	3	2
2014-03-27 03:51:32.756083	37386	1090489.654216555	4	2
2014-03-27 03:51:36.810769	37387	21.1	1	10
2014-03-27 03:51:37.036525	37388	42	2	10
2014-03-27 03:51:47.036922	37389	20.4	1	9
2014-03-27 03:51:47.270248	37390	48	2	9
2014-03-27 03:51:48.125017	37391	21.1	1	8
2014-03-27 03:51:48.348799	37392	46	2	8
2014-03-27 03:52:02.492715	37393	19.5	1	1
2014-03-27 03:52:02.724922	37394	49	2	1
2014-03-27 03:52:15.809361	37395	21.1	1	10
2014-03-27 03:52:16.035432	37396	42	2	10
2014-03-27 03:52:26.039132	37397	20.4	1	9
2014-03-27 03:52:26.273756	37398	48	2	9
2014-03-27 03:52:27.125652	37399	21.1	1	8
2014-03-27 03:52:27.348611	37400	46	2	8
2014-03-27 03:52:32.519284	37401	370	3	2
2014-03-27 03:52:32.754139	37402	1090495.3993901622	4	2
2014-03-27 03:52:41.492705	37403	19.5	1	1
2014-03-27 03:52:41.717815	37404	49	2	1
2014-03-27 03:52:54.807669	37405	21.1	1	10
2014-03-27 03:52:55.043146	37406	42	2	10
2014-03-27 03:53:05.040746	37407	20.4	1	9
2014-03-27 03:53:05.265744	37408	48	2	9
2014-03-27 03:53:06.125628	37409	21.1	1	8
2014-03-27 03:53:06.386542	37410	46	2	8
2014-03-27 03:53:20.491417	37411	19.5	1	1
2014-03-27 03:53:20.71508	37412	49	2	1
2014-03-27 03:53:32.520606	37413	370	3	2
2014-03-27 03:53:32.753765	37414	1090501.1445637692	4	2
2014-03-27 03:53:33.807005	37415	21.1	1	10
2014-03-27 03:53:34.031012	37416	42	2	10
2014-03-27 03:53:44.036909	37417	20.4	1	9
2014-03-27 03:53:44.273659	37418	48	2	9
2014-03-27 03:53:45.127219	37419	21.1	1	8
2014-03-27 03:53:45.349556	37420	46	2	8
2014-03-27 03:53:56.520157	37421	402	3	2
2014-03-27 03:53:56.753979	37422	1090504.5916679334	4	2
2014-03-27 03:53:59.491984	37423	19.5	1	1
2014-03-27 03:53:59.714348	37424	49	2	1
2014-03-27 03:54:08.517176	37425	370	3	2
2014-03-27 03:54:08.76139	37426	1090505.740702655	4	2
2014-03-27 03:54:12.808743	37427	21.1	1	10
2014-03-27 03:54:13.032779	37428	42	2	10
2014-03-27 03:54:20.521535	37429	370	3	2
2014-03-27 03:54:20.755452	37430	1090506.8897373762	4	2
2014-03-27 03:54:23.037539	37431	20.4	1	9
2014-03-27 03:54:23.269759	37432	48	2	9
2014-03-27 03:54:24.126413	37433	21.1	1	8
2014-03-27 03:54:24.363975	37434	46	2	8
2014-03-27 03:54:32.521387	37435	370	3	2
2014-03-27 03:54:32.745722	37436	1090508.0387720978	4	2
2014-03-27 03:54:38.490577	37437	19.5	1	1
2014-03-27 03:54:38.724261	37438	49	2	1
2014-03-27 03:54:51.808882	37439	21.1	1	10
2014-03-27 03:54:52.033588	37440	42	2	10
2014-03-27 03:55:02.03797	37441	20.4	1	9
2014-03-27 03:55:02.270955	37442	48	2	9
2014-03-27 03:55:03.126427	37443	21.1	1	8
2014-03-27 03:55:03.349734	37444	46	2	8
2014-03-27 03:55:17.493971	37445	19.5	1	1
2014-03-27 03:55:17.728097	37446	49	2	1
2014-03-27 03:55:30.808999	37447	21.1	1	10
2014-03-27 03:55:31.033648	37448	42	2	10
2014-03-27 03:55:32.52106	37449	338	3	2
2014-03-27 03:55:32.755689	37450	1090513.7839457048	4	2
2014-03-27 03:55:41.037433	37451	20.3	1	9
2014-03-27 03:55:41.261494	37452	48	2	9
2014-03-27 03:55:42.124941	37453	21.1	1	8
2014-03-27 03:55:42.358885	37454	46	2	8
2014-03-27 03:55:44.52103	37455	338	3	2
2014-03-27 03:55:44.743614	37456	1090514.9329804261	4	2
2014-03-27 03:55:56.488772	37457	19.5	1	1
2014-03-27 03:55:56.72362	37458	49	2	1
2014-03-27 03:56:09.809949	37459	21.1	1	10
2014-03-27 03:56:10.035268	37460	42	2	10
2014-03-27 03:56:20.037216	37461	20.3	1	9
2014-03-27 03:56:20.271032	37462	48	2	9
2014-03-27 03:56:21.127163	37463	21.1	1	8
2014-03-27 03:56:21.350783	37464	46	2	8
2014-03-27 03:56:32.520233	37465	338	3	2
2014-03-27 03:56:32.755706	37466	1090519.5291193118	4	2
2014-03-27 03:56:35.48536	37467	19.5	1	1
2014-03-27 03:56:35.712591	37468	49	2	1
2014-03-27 03:56:48.809555	37469	21.1	1	10
2014-03-27 03:56:49.045814	37470	42	2	10
2014-03-27 03:56:59.039735	37471	20.3	1	9
2014-03-27 03:56:59.264157	37472	48	2	9
2014-03-27 03:57:00.126815	37473	21.1	1	8
2014-03-27 03:57:00.370625	37474	46	2	8
2014-03-27 03:57:14.487522	37475	19.5	1	1
2014-03-27 03:57:14.709986	37476	49	2	1
2014-03-27 03:57:27.81153	37477	21.1	1	10
2014-03-27 03:57:28.045647	37478	42	2	10
2014-03-27 03:57:32.516288	37479	338	3	2
2014-03-27 03:57:32.740092	37480	1090525.2742929189	4	2
2014-03-27 03:57:38.056236	37481	20.3	1	9
2014-03-27 03:57:38.289503	37482	48	2	9
2014-03-27 03:57:39.126333	37483	21.0	1	8
2014-03-27 03:57:39.350313	37484	46	2	8
2014-03-27 03:57:53.48849	37485	19.5	1	1
2014-03-27 03:57:53.723468	37486	49	2	1
2014-03-27 03:58:06.809256	37487	21.1	1	10
2014-03-27 03:58:07.03472	37488	42	2	10
2014-03-27 03:58:17.039481	37489	20.3	1	9
2014-03-27 03:58:17.271529	37490	48	2	9
2014-03-27 03:58:18.124183	37491	21.0	1	8
2014-03-27 03:58:18.346743	37492	46	2	8
2014-03-27 03:58:32.727783	37493	19.5	1	1
2014-03-27 03:58:32.96151	37494	49	2	1
2014-03-27 03:58:45.810284	37495	21.1	1	10
2014-03-27 03:58:46.033808	37496	42	2	10
2014-03-27 03:58:56.038588	37497	20.3	1	9
2014-03-27 03:58:56.273912	37498	48	2	9
2014-03-27 03:58:57.127282	37499	21.0	1	8
2014-03-27 03:58:57.350406	37500	46	2	8
2014-03-27 03:59:11.490029	37501	19.5	1	1
2014-03-27 03:59:11.72975	37502	49	2	1
2014-03-27 03:59:20.52237	37503	305	3	2
2014-03-27 03:59:20.747975	37504	1090535.6156054116	4	2
2014-03-27 03:59:24.809395	37505	21.1	1	10
2014-03-27 03:59:25.044199	37506	42	2	10
2014-03-27 03:59:32.520584	37507	338	3	2
2014-03-27 03:59:32.744059	37508	1090536.7646401331	4	2
2014-03-27 03:59:35.035366	37509	20.3	1	9
2014-03-27 03:59:35.27282	37510	48	2	9
2014-03-27 03:59:36.127812	37511	21.0	1	8
2014-03-27 03:59:36.353965	37512	46	2	8
2014-03-27 03:59:44.519079	37513	338	3	2
2014-03-27 03:59:44.753854	37514	1090537.9136748544	4	2
2014-03-27 03:59:50.485786	37515	19.5	1	1
2014-03-27 03:59:50.709009	37516	49	2	1
2014-03-27 04:00:03.810475	37517	21.1	1	10
2014-03-27 04:00:04.045383	37518	42	2	10
2014-03-27 04:00:14.037	37519	20.3	1	9
2014-03-27 04:00:14.261762	37520	48	2	9
2014-03-27 04:00:15.125437	37521	21.0	1	8
2014-03-27 04:00:15.373686	37522	46	2	8
2014-03-27 04:00:29.486613	37523	19.5	1	1
2014-03-27 04:00:29.711574	37524	49	2	1
2014-03-27 04:00:32.517926	37525	338	3	2
2014-03-27 04:00:32.752908	37526	1090542.5098137402	4	2
2014-03-27 04:00:42.810307	37527	21.1	1	10
2014-03-27 04:00:43.034331	37528	42	2	10
2014-03-27 04:00:53.03737	37529	20.3	1	9
2014-03-27 04:00:53.269371	37530	48	2	9
2014-03-27 04:00:54.126344	37531	21.0	1	8
2014-03-27 04:00:54.350818	37532	46	2	8
2014-03-27 04:01:08.488021	37533	19.5	1	1
2014-03-27 04:01:08.742608	37534	49	2	1
2014-03-27 04:01:21.810534	37535	21.1	1	10
2014-03-27 04:01:22.034108	37536	42	2	10
2014-03-27 04:01:32.039116	37537	20.3	1	9
2014-03-27 04:01:32.273187	37538	48	2	9
2014-03-27 04:01:32.583769	37539	338	3	2
2014-03-27 04:01:32.810263	37540	1090548.2549873472	4	2
2014-03-27 04:01:33.126545	37541	21.0	1	8
2014-03-27 04:01:33.358815	37542	46	2	8
2014-03-27 04:01:47.484339	37543	19.5	1	1
2014-03-27 04:01:47.709833	37544	49	2	1
2014-03-27 04:02:00.810048	37545	21.2	1	10
2014-03-27 04:02:01.044371	37546	42	2	10
2014-03-27 04:02:11.038906	37547	20.3	1	9
2014-03-27 04:02:11.263163	37548	48	2	9
2014-03-27 04:02:12.126264	37549	21.0	1	8
2014-03-27 04:02:12.360048	37550	46	2	8
2014-03-27 04:02:26.482484	37551	19.5	1	1
2014-03-27 04:02:26.707541	37552	49	2	1
2014-03-27 04:02:32.520256	37553	338	3	2
2014-03-27 04:02:32.757028	37554	1090554.0001609542	4	2
2014-03-27 04:02:39.812578	37555	21.2	1	10
2014-03-27 04:02:40.038156	37556	42	2	10
2014-03-27 04:02:44.520617	37557	370	3	2
2014-03-27 04:02:44.754981	37558	1090555.1491956757	4	2
2014-03-27 04:02:50.038674	37559	20.3	1	9
2014-03-27 04:02:50.261297	37560	48	2	9
2014-03-27 04:02:51.125188	37561	21.0	1	8
2014-03-27 04:02:51.357721	37562	46	2	8
2014-03-27 04:02:56.519593	37563	370	3	2
2014-03-27 04:02:56.744281	37564	1090556.298230397	4	2
2014-03-27 04:03:05.483899	37565	19.5	1	1
2014-03-27 04:03:05.717949	37566	49	2	1
2014-03-27 04:03:18.81114	37567	21.1	1	10
2014-03-27 04:03:19.037222	37568	42	2	10
2014-03-27 04:03:29.039319	37569	20.3	1	9
2014-03-27 04:03:29.28435	37570	48	2	9
2014-03-27 04:03:30.126245	37571	21.0	1	8
2014-03-27 04:03:30.349344	37572	46	2	8
2014-03-27 04:03:32.520987	37573	370	3	2
2014-03-27 04:03:32.754953	37574	1090559.7453345614	4	2
2014-03-27 04:03:44.485331	37575	19.5	1	1
2014-03-27 04:03:44.709199	37576	49	2	1
2014-03-27 04:03:57.810826	37577	21.1	1	10
2014-03-27 04:03:58.045722	37578	42	2	10
2014-03-27 04:04:08.03877	37579	20.3	1	9
2014-03-27 04:04:08.263327	37580	48	2	9
2014-03-27 04:04:09.127384	37581	21.0	1	8
2014-03-27 04:04:09.360711	37582	46	2	8
2014-03-27 04:04:23.480076	37583	19.5	1	1
2014-03-27 04:04:23.703357	37584	49	2	1
2014-03-27 04:04:32.520263	37585	370	3	2
2014-03-27 04:04:32.755029	37586	1090565.4905081685	4	2
2014-03-27 04:04:36.860252	37587	21.1	1	10
2014-03-27 04:04:37.083813	37588	42	2	10
2014-03-27 04:04:47.038033	37589	20.3	1	9
2014-03-27 04:04:47.272809	37590	48	2	9
2014-03-27 04:04:48.124141	37591	21.0	1	8
2014-03-27 04:04:48.349444	37592	46	2	8
2014-03-27 04:05:02.48286	37593	19.5	1	1
2014-03-27 04:05:02.716472	37594	49	2	1
2014-03-27 04:05:15.811856	37595	21.1	1	10
2014-03-27 04:05:16.035295	37596	42	2	10
2014-03-27 04:05:26.037533	37597	20.3	1	9
2014-03-27 04:05:26.271988	37598	48	2	9
2014-03-27 04:05:27.125556	37599	21.0	1	8
2014-03-27 04:05:27.351798	37600	46	2	8
2014-03-27 04:05:32.521642	37601	354	3	2
2014-03-27 04:05:32.75745	37602	1090572.384716497	4	2
2014-03-27 04:05:41.482954	37603	19.5	1	1
2014-03-27 04:05:41.70598	37604	49	2	1
2014-03-27 04:05:54.81201	37605	21.1	1	10
2014-03-27 04:05:55.046308	37606	42	2	10
2014-03-27 04:06:05.038462	37607	20.3	1	9
2014-03-27 04:06:05.261811	37608	48	2	9
2014-03-27 04:06:06.124939	37609	21.0	1	8
2014-03-27 04:06:06.35809	37610	46	2	8
2014-03-27 04:06:20.516718	37611	19.5	1	1
2014-03-27 04:06:20.740376	37612	49	2	1
2014-03-27 04:06:32.52153	37613	370	3	2
2014-03-27 04:06:32.760523	37614	1090576.9853263348	4	2
2014-03-27 04:06:33.813098	37615	21.1	1	10
2014-03-27 04:06:34.036387	37616	42	2	10
2014-03-27 04:06:44.037675	37617	20.3	1	9
2014-03-27 04:06:44.30402	37618	48	2	9
2014-03-27 04:06:45.1254	37619	21.0	1	8
2014-03-27 04:06:45.348538	37620	46	2	8
2014-03-27 04:06:59.480594	37621	19.5	1	1
2014-03-27 04:06:59.715411	37622	49	2	1
2014-03-27 04:07:12.811533	37623	21.1	1	10
2014-03-27 04:07:13.036068	37624	42	2	10
2014-03-27 04:07:23.038158	37625	20.3	1	9
2014-03-27 04:07:23.27173	37626	48	2	9
2014-03-27 04:07:24.12501	37627	21.0	1	8
2014-03-27 04:07:24.348842	37628	46	2	8
2014-03-27 04:07:32.517628	37629	370	3	2
2014-03-27 04:07:32.753225	37630	1090582.7304999419	4	2
2014-03-27 04:07:38.480187	37631	19.5	1	1
2014-03-27 04:07:38.708015	37632	49	2	1
2014-03-27 04:07:51.814	37633	21.1	1	10
2014-03-27 04:07:52.046008	37634	42	2	10
2014-03-27 04:08:02.038688	37635	20.3	1	9
2014-03-27 04:08:02.262968	37636	48	2	9
2014-03-27 04:08:03.125382	37637	21.0	1	8
2014-03-27 04:08:03.358247	37638	46	2	8
2014-03-27 04:08:17.480158	37639	19.5	1	1
2014-03-27 04:08:17.703974	37640	49	2	1
2014-03-27 04:08:30.813777	37641	21.1	1	10
2014-03-27 04:08:31.05197	37642	42	2	10
2014-03-27 04:08:32.519163	37643	370	3	2
2014-03-27 04:08:32.743174	37644	1090589.6247082704	4	2
2014-03-27 04:08:41.037657	37645	20.3	1	9
2014-03-27 04:08:41.271946	37646	48	2	9
2014-03-27 04:08:42.126033	37647	21.0	1	8
2014-03-27 04:08:42.349651	37648	46	2	8
2014-03-27 04:09:08.373043	37649	19.5	1	1
2014-03-27 04:09:08.606943	37650	49	2	1
2014-03-27 04:09:08.915162	37651	305	3	2
2014-03-27 04:09:09.139757	37652	1090593.0718124346	4	2
2014-03-27 04:09:09.814178	37653	21.1	1	10
2014-03-27 04:09:10.051239	37654	42	2	10
2014-03-27 04:09:20.247318	37655	20.3	1	9
2014-03-27 04:09:20.471711	37656	48	2	9
2014-03-27 04:09:20.779722	37657	338	3	2
2014-03-27 04:09:21.016387	37658	1090594.2208471561	4	2
2014-03-27 04:09:21.324786	37659	21.0	1	8
2014-03-27 04:09:21.54825	37660	46	2	8
2014-03-27 04:09:32.518093	37661	305	3	2
2014-03-27 04:09:32.751796	37662	1090594.2208471561	4	2
2014-03-27 04:09:35.481833	37663	19.5	1	1
2014-03-27 04:09:35.704576	37664	49	2	1
2014-03-27 04:09:44.518321	37665	305	3	2
2014-03-27 04:09:44.765388	37666	1090595.3698818774	4	2
2014-03-27 04:09:48.813168	37667	21.1	1	10
2014-03-27 04:09:49.036899	37668	42	2	10
2014-03-27 04:09:59.040434	37669	20.3	1	9
2014-03-27 04:09:59.277267	37670	48	2	9
2014-03-27 04:10:00.125561	37671	21.0	1	8
2014-03-27 04:10:00.353608	37672	46	2	8
2014-03-27 04:10:14.481987	37673	19.5	1	1
2014-03-27 04:10:14.716685	37674	49	2	1
2014-03-27 04:10:27.813143	37675	21.1	1	10
2014-03-27 04:10:28.036871	37676	42	2	10
2014-03-27 04:10:32.524333	37677	338	3	2
2014-03-27 04:10:32.759265	37678	1090599.9660207632	4	2
2014-03-27 04:10:38.038768	37679	20.3	1	9
2014-03-27 04:10:38.264549	37680	48	2	9
2014-03-27 04:10:39.125907	37681	21.0	1	8
2014-03-27 04:10:39.361346	37682	46	2	8
2014-03-27 04:10:44.521886	37683	338	3	2
2014-03-27 04:10:44.745274	37684	1090601.1150554845	4	2
2014-03-27 04:10:53.480912	37685	19.5	1	1
2014-03-27 04:10:53.714755	37686	49	2	1
2014-03-27 04:10:56.521014	37687	305	3	2
2014-03-27 04:10:56.744792	37688	1090602.264090206	4	2
2014-03-27 04:11:06.812989	37689	21.1	1	10
2014-03-27 04:11:07.103032	37690	42	2	10
2014-03-27 04:11:08.520033	37691	305	3	2
2014-03-27 04:11:08.742947	37692	1090603.4131249273	4	2
2014-03-27 04:11:17.039887	37693	20.3	1	9
2014-03-27 04:11:17.274002	37694	48	2	9
2014-03-27 04:11:18.127915	37695	21.0	1	8
2014-03-27 04:11:18.352575	37696	46	2	8
2014-03-27 04:11:32.717004	37697	19.5	1	1
2014-03-27 04:11:32.951673	37698	49	2	1
2014-03-27 04:11:44.518763	37699	338	3	2
2014-03-27 04:11:44.744617	37700	1090605.7111943702	4	2
2014-03-27 04:11:45.812945	37701	21.1	1	10
2014-03-27 04:11:46.047125	37702	42	2	10
2014-03-27 04:11:56.039362	37703	20.3	1	9
2014-03-27 04:11:56.263488	37704	48	2	9
2014-03-27 04:11:56.572763	37705	305	3	2
2014-03-27 04:11:56.808673	37706	1090606.8602290917	4	2
2014-03-27 04:11:57.126172	37707	21.0	1	8
2014-03-27 04:11:57.35376	37708	46	2	8
2014-03-27 04:12:08.517899	37709	338	3	2
2014-03-27 04:12:08.755184	37710	1090608.009263813	4	2
2014-03-27 04:12:11.482256	37711	19.5	1	1
2014-03-27 04:12:11.706343	37712	49	2	1
2014-03-27 04:12:20.518462	37713	305	3	2
2014-03-27 04:12:20.765269	37714	1090609.1582985343	4	2
2014-03-27 04:12:24.813652	37715	21.1	1	10
2014-03-27 04:12:25.036103	37716	42	2	10
2014-03-27 04:12:32.518587	37717	338	3	2
2014-03-27 04:12:32.753827	37718	1090610.307333256	4	2
2014-03-27 04:12:35.03656	37719	20.3	1	9
2014-03-27 04:12:35.260269	37720	48	2	9
2014-03-27 04:12:36.125558	37721	21.0	1	8
2014-03-27 04:12:36.359611	37722	46	2	8
2014-03-27 04:12:44.516558	37723	305	3	2
2014-03-27 04:12:44.74403	37724	1090611.4563679772	4	2
2014-03-27 04:12:50.478563	37725	19.5	1	1
2014-03-27 04:12:50.715249	37726	49	2	1
2014-03-27 04:12:56.521241	37727	305	3	2
2014-03-27 04:12:56.746469	37728	1090612.6054026987	4	2
2014-03-27 04:13:04.017979	37729	21.1	1	10
2014-03-27 04:13:04.252984	37730	42	2	10
2014-03-27 04:13:14.03673	37731	20.3	1	9
2014-03-27 04:13:14.26122	37732	48	2	9
2014-03-27 04:13:15.125769	37733	21.0	1	8
2014-03-27 04:13:15.358586	37734	46	2	8
2014-03-27 04:13:20.517486	37735	338	3	2
2014-03-27 04:13:20.741563	37736	1090614.9034721416	4	2
2014-03-27 04:13:29.478475	37737	19.5	1	1
2014-03-27 04:13:29.712222	37738	49	2	1
2014-03-27 04:13:32.523696	37739	305	3	2
2014-03-27 04:13:32.747158	37740	1090616.052506863	4	2
2014-03-27 04:13:42.814564	37741	21.2	1	10
2014-03-27 04:13:43.054292	37742	42	2	10
2014-03-27 04:13:44.51672	37743	338	3	2
2014-03-27 04:13:44.739412	37744	1090617.2015415845	4	2
2014-03-27 04:13:53.038294	37745	20.3	1	9
2014-03-27 04:13:53.274876	37746	48	2	9
2014-03-27 04:13:54.125822	37747	21.0	1	8
2014-03-27 04:13:54.35014	37748	46	2	8
2014-03-27 04:13:56.51895	37749	305	3	2
2014-03-27 04:13:56.753364	37750	1090618.3505763058	4	2
2014-03-27 04:14:08.71436	37751	19.5	1	1
2014-03-27 04:14:08.940156	37752	49	2	1
2014-03-27 04:14:20.51953	37753	305	3	2
2014-03-27 04:14:20.755477	37754	1090619.499611027	4	2
2014-03-27 04:14:21.814696	37755	21.2	1	10
2014-03-27 04:14:22.042614	37756	42	2	10
2014-03-27 04:14:32.039329	37757	20.3	1	9
2014-03-27 04:14:32.271998	37758	48	2	9
2014-03-27 04:14:32.579621	37759	305	3	2
2014-03-27 04:14:32.801691	37760	1090620.6486457486	4	2
2014-03-27 04:14:33.124703	37761	21.0	1	8
2014-03-27 04:14:33.369464	37762	46	2	8
2014-03-27 04:14:47.47794	37763	19.5	1	1
2014-03-27 04:14:47.702332	37764	49	2	1
2014-03-27 04:15:00.813914	37765	21.2	1	10
2014-03-27 04:15:01.04927	37766	42	2	10
2014-03-27 04:15:11.037569	37767	20.2	1	9
2014-03-27 04:15:11.264447	37768	48	2	9
2014-03-27 04:15:12.127381	37769	21.0	1	8
2014-03-27 04:15:12.367306	37770	46	2	8
2014-03-27 04:15:20.516889	37771	338	3	2
2014-03-27 04:15:20.74263	37772	1090625.2447846343	4	2
2014-03-27 04:15:26.47697	37773	19.5	1	1
2014-03-27 04:15:26.710585	37774	49	2	1
2014-03-27 04:15:32.520509	37775	305	3	2
2014-03-27 04:15:32.745122	37776	1090626.3938193556	4	2
2014-03-27 04:15:39.81447	37777	21.2	1	10
2014-03-27 04:15:40.048577	37778	42	2	10
2014-03-27 04:15:44.520644	37779	305	3	2
2014-03-27 04:15:44.745645	37780	1090627.5428540772	4	2
2014-03-27 04:15:50.037354	37781	20.2	1	9
2014-03-27 04:15:50.273419	37782	48	2	9
2014-03-27 04:15:51.12676	37783	21.0	1	8
2014-03-27 04:15:51.353434	37784	46	2	8
2014-03-27 04:15:56.519159	37785	338	3	2
2014-03-27 04:15:56.753306	37786	1090628.6918887985	4	2
2014-03-27 04:16:05.477356	37787	19.5	1	1
2014-03-27 04:16:05.702498	37788	49	2	1
2014-03-27 04:16:08.516572	37789	305	3	2
2014-03-27 04:16:08.750759	37790	1090629.8409235198	4	2
2014-03-27 04:16:18.813545	37791	21.2	1	10
2014-03-27 04:16:19.039418	37792	42	2	10
2014-03-27 04:16:20.518246	37793	370	3	2
2014-03-27 04:16:20.757675	37794	1090630.9899582413	4	2
2014-03-27 04:16:29.037849	37795	20.2	1	9
2014-03-27 04:16:29.262269	37796	48	2	9
2014-03-27 04:16:30.125258	37797	21.0	1	8
2014-03-27 04:16:30.360155	37798	46	2	8
2014-03-27 04:16:32.518047	37799	370	3	2
2014-03-27 04:16:32.744112	37800	1090632.1389929627	4	2
2014-03-27 04:16:44.512728	37801	19.5	1	1
2014-03-27 04:16:44.746033	37802	49	2	1
2014-03-27 04:16:57.815754	37803	21.2	1	10
2014-03-27 04:16:58.039434	37804	42	2	10
2014-03-27 04:17:08.037607	37805	20.2	1	9
2014-03-27 04:17:08.271482	37806	48	2	9
2014-03-27 04:17:09.125897	37807	21.0	1	8
2014-03-27 04:17:09.349414	37808	46	2	8
2014-03-27 04:17:23.474109	37809	19.5	1	1
2014-03-27 04:17:23.720029	37810	49	2	1
2014-03-27 04:17:32.519315	37811	370	3	2
2014-03-27 04:17:32.74556	37812	1090637.88416657	4	2
2014-03-27 04:17:36.814367	37813	21.2	1	10
2014-03-27 04:17:37.051196	37814	42	2	10
2014-03-27 04:17:47.035749	37815	20.2	1	9
2014-03-27 04:17:47.26043	37816	48	2	9
2014-03-27 04:17:48.124874	37817	21.0	1	8
2014-03-27 04:17:48.358198	37818	46	2	8
2014-03-27 04:18:02.509821	37819	19.5	1	1
2014-03-27 04:18:02.734323	37820	49	2	1
2014-03-27 04:18:15.816381	37821	21.2	1	10
2014-03-27 04:18:16.051144	37822	42	2	10
2014-03-27 04:18:26.036482	37823	20.2	1	9
2014-03-27 04:18:26.260179	37824	48	2	9
2014-03-27 04:18:27.125926	37825	21.0	1	8
2014-03-27 04:18:27.359504	37826	46	2	8
2014-03-27 04:18:32.520268	37827	354	3	2
2014-03-27 04:18:32.745388	37828	1090643.629340177	4	2
2014-03-27 04:18:41.474898	37829	19.5	1	1
2014-03-27 04:18:41.708143	37830	49	2	1
2014-03-27 04:18:54.8164	37831	21.2	1	10
2014-03-27 04:18:55.040802	37832	42	2	10
2014-03-27 04:19:05.037875	37833	20.2	1	9
2014-03-27 04:19:05.273451	37834	48	2	9
2014-03-27 04:19:06.125335	37835	21.0	1	8
2014-03-27 04:19:06.3475	37836	46	2	8
2014-03-27 04:19:20.472789	37837	19.5	1	1
2014-03-27 04:19:20.707279	37838	49	2	1
2014-03-27 04:19:32.519421	37839	370	3	2
2014-03-27 04:19:32.745588	37840	1090650.5235485053	4	2
2014-03-27 04:19:33.815372	37841	21.2	1	10
2014-03-27 04:19:34.050922	37842	42	2	10
2014-03-27 04:19:44.040151	37843	20.2	1	9
2014-03-27 04:19:44.264188	37844	48	2	9
2014-03-27 04:19:45.12445	37845	21.0	1	8
2014-03-27 04:19:45.358209	37846	46	2	8
2014-03-27 04:19:59.475117	37847	19.5	1	1
2014-03-27 04:19:59.698929	37848	49	2	1
2014-03-27 04:20:12.81621	37849	21.1	1	10
2014-03-27 04:20:13.055361	37850	42	2	10
2014-03-27 04:20:23.036715	37851	20.2	1	9
2014-03-27 04:20:23.261447	37852	48	2	9
2014-03-27 04:20:24.125805	37853	21.0	1	8
2014-03-27 04:20:24.359182	37854	46	2	8
2014-03-27 04:20:32.516326	37855	370	3	2
2014-03-27 04:20:32.740385	37856	1090656.2687221125	4	2
2014-03-27 04:20:38.477921	37857	19.5	1	1
2014-03-27 04:20:38.724007	37858	49	2	1
2014-03-27 04:20:51.81638	37859	21.2	1	10
2014-03-27 04:20:52.039869	37860	42	2	10
2014-03-27 04:20:56.52008	37861	305	3	2
2014-03-27 04:20:56.751946	37862	1090658.5667915554	4	2
2014-03-27 04:21:02.037367	37863	20.2	1	9
2014-03-27 04:21:02.262971	37864	48	2	9
2014-03-27 04:21:03.125322	37865	21.0	1	8
2014-03-27 04:21:03.359154	37866	46	2	8
2014-03-27 04:21:08.519976	37867	338	3	2
2014-03-27 04:21:08.745225	37868	1090659.7158262767	4	2
2014-03-27 04:21:17.475559	37869	19.5	1	1
2014-03-27 04:21:17.710486	37870	49	2	1
2014-03-27 04:21:20.519528	37871	338	3	2
2014-03-27 04:21:20.743751	37872	1090660.864860998	4	2
2014-03-27 04:21:30.818302	37873	21.2	1	10
2014-03-27 04:21:31.053592	37874	42	2	10
2014-03-27 04:21:32.517137	37875	305	3	2
2014-03-27 04:21:32.741688	37876	1090662.0138957195	4	2
2014-03-27 04:21:41.036112	37877	20.2	1	9
2014-03-27 04:21:41.269806	37878	48	2	9
2014-03-27 04:21:42.124438	37879	21.0	1	8
2014-03-27 04:21:42.358461	37880	46	2	8
2014-03-27 04:21:44.517447	37881	305	3	2
2014-03-27 04:21:44.751195	37882	1090663.1629304409	4	2
2014-03-27 04:21:56.473047	37883	19.5	1	1
2014-03-27 04:21:56.698029	37884	49	2	1
2014-03-27 04:22:09.816289	37885	21.2	1	10
2014-03-27 04:22:10.048896	37886	42	2	10
2014-03-27 04:22:20.037463	37887	20.2	1	9
2014-03-27 04:22:20.261364	37888	48	2	9
2014-03-27 04:22:21.125647	37889	21.0	1	8
2014-03-27 04:22:21.359892	37890	46	2	8
2014-03-27 04:22:32.51712	37891	305	3	2
2014-03-27 04:22:32.741053	37892	1090666.6100346053	4	2
2014-03-27 04:22:35.47502	37893	19.5	1	1
2014-03-27 04:22:35.708977	37894	49	2	1
2014-03-27 04:22:44.522049	37895	338	3	2
2014-03-27 04:22:44.746666	37896	1090667.7590693266	4	2
2014-03-27 04:22:48.815527	37897	21.1	1	10
2014-03-27 04:22:49.049792	37898	42	2	10
2014-03-27 04:22:56.522977	37899	338	3	2
2014-03-27 04:22:56.748929	37900	1090668.908104048	4	2
2014-03-27 04:22:59.036919	37901	20.2	1	9
2014-03-27 04:22:59.270079	37902	48	2	9
2014-03-27 04:23:00.124603	37903	21.0	1	8
2014-03-27 04:23:00.347898	37904	46	2	8
2014-03-27 04:23:14.472039	37905	19.5	1	1
2014-03-27 04:23:14.718513	37906	49	2	1
2014-03-27 04:23:27.818707	37907	21.2	1	10
2014-03-27 04:23:28.042923	37908	42	2	10
2014-03-27 04:23:32.517117	37909	338	3	2
2014-03-27 04:23:32.752924	37910	1090672.3552082123	4	2
2014-03-27 04:23:38.036727	37911	20.2	1	9
2014-03-27 04:23:38.259424	37912	48	2	9
2014-03-27 04:23:39.125352	37913	21.0	1	8
2014-03-27 04:23:39.359847	37914	46	2	8
2014-03-27 04:23:44.515346	37915	305	3	2
2014-03-27 04:23:44.74221	37916	1090673.5042429336	4	2
2014-03-27 04:23:53.472913	37917	19.5	1	1
2014-03-27 04:23:53.70691	37918	49	2	1
2014-03-27 04:23:56.51584	37919	338	3	2
2014-03-27 04:23:56.740408	37920	1090674.6532776551	4	2
2014-03-27 04:24:07.024325	37921	21.2	1	10
2014-03-27 04:24:07.259727	37922	42	2	10
2014-03-27 04:24:08.516196	37923	305	3	2
2014-03-27 04:24:08.739355	37924	1090675.8023123764	4	2
2014-03-27 04:24:17.036855	37925	20.2	1	9
2014-03-27 04:24:17.271197	37926	48	2	9
2014-03-27 04:24:18.124722	37927	21.0	1	8
2014-03-27 04:24:18.347869	37928	46	2	8
2014-03-27 04:24:20.517733	37929	338	3	2
2014-03-27 04:24:20.752495	37930	1090676.951347098	4	2
2014-03-27 04:24:45.613193	37931	19.5	1	1
2014-03-27 04:24:45.839434	37932	49	2	1
2014-03-27 04:24:46.148467	37933	21.2	1	10
2014-03-27 04:24:46.382393	37934	42	2	10
2014-03-27 04:24:56.039895	37935	20.2	1	9
2014-03-27 04:24:56.263966	37936	48	2	9
2014-03-27 04:24:56.573524	37937	305	3	2
2014-03-27 04:24:56.806643	37938	1090680.3984512622	4	2
2014-03-27 04:24:57.125319	37939	21.0	1	8
2014-03-27 04:24:57.347841	37940	46	2	8
2014-03-27 04:25:08.518581	37941	305	3	2
2014-03-27 04:25:08.751307	37942	1090681.5474859835	4	2
2014-03-27 04:25:11.474472	37943	19.5	1	1
2014-03-27 04:25:11.696357	37944	49	2	1
2014-03-27 04:25:24.818981	37945	21.2	1	10
2014-03-27 04:25:25.054215	37946	42	2	10
2014-03-27 04:25:32.5189	37947	305	3	2
2014-03-27 04:25:32.744064	37948	1090683.8455554263	4	2
2014-03-27 04:25:35.037432	37949	20.2	1	9
2014-03-27 04:25:35.271457	37950	48	2	9
2014-03-27 04:25:36.12819	37951	21.0	1	8
2014-03-27 04:25:36.351694	37952	46	2	8
2014-03-27 04:25:44.517283	37953	338	3	2
2014-03-27 04:25:44.764082	37954	1090684.9945901479	4	2
2014-03-27 04:25:50.505409	37955	19.5	1	1
2014-03-27 04:25:50.729166	37956	49	2	1
2014-03-27 04:25:56.518572	37957	338	3	2
2014-03-27 04:25:56.752551	37958	1090686.1436248692	4	2
2014-03-27 04:26:03.816223	37959	21.1	1	10
2014-03-27 04:26:04.043223	37960	42	2	10
2014-03-27 04:26:08.516677	37961	305	3	2
2014-03-27 04:26:08.74899	37962	1090687.2926595907	4	2
2014-03-27 04:26:14.036983	37963	20.2	1	9
2014-03-27 04:26:14.262414	37964	48	2	9
2014-03-27 04:26:15.124645	37965	21.0	1	8
2014-03-27 04:26:15.359965	37966	46	2	8
2014-03-27 04:26:20.519989	37967	338	3	2
2014-03-27 04:26:20.744265	37968	1090687.2926595907	4	2
2014-03-27 04:26:29.472865	37969	19.5	1	1
2014-03-27 04:26:29.707222	37970	49	2	1
2014-03-27 04:26:32.520191	37971	402	3	2
2014-03-27 04:26:32.74512	37972	1090689.5907290336	4	2
2014-03-27 04:26:42.819048	37973	21.1	1	10
2014-03-27 04:26:43.056809	37974	42	2	10
2014-03-27 04:26:44.517768	37975	402	3	2
2014-03-27 04:26:44.741634	37976	1090690.739763755	4	2
2014-03-27 04:26:53.037949	37977	20.2	1	9
2014-03-27 04:26:53.270484	37978	48	2	9
2014-03-27 04:26:54.124962	37979	21.0	1	8
2014-03-27 04:26:54.350794	37980	46	2	8
2014-03-27 04:27:08.474365	37981	19.5	1	1
2014-03-27 04:27:08.706942	37982	49	2	1
2014-03-27 04:27:21.818643	37983	21.1	1	10
2014-03-27 04:27:22.045223	37984	42	2	10
2014-03-27 04:27:32.038225	37985	20.2	1	9
2014-03-27 04:27:32.273812	37986	48	2	9
2014-03-27 04:27:32.582544	37987	402	3	2
2014-03-27 04:27:32.805332	37988	1090695.3359026406	4	2
2014-03-27 04:27:33.125614	37989	21.0	1	8
2014-03-27 04:27:33.358671	37990	46	2	8
2014-03-27 04:27:47.474148	37991	19.5	1	1
2014-03-27 04:27:47.700299	37992	49	2	1
2014-03-27 04:27:56.522274	37993	450	3	2
2014-03-27 04:27:56.756974	37994	1090698.7830068048	4	2
2014-03-27 04:28:00.817954	37995	21.1	1	10
2014-03-27 04:28:01.04396	37996	42	2	10
2014-03-27 04:28:08.520192	37997	450	3	2
2014-03-27 04:28:08.757199	37998	1090699.9320415263	4	2
2014-03-27 04:28:11.037281	37999	20.3	1	9
2014-03-27 04:28:11.264757	38000	48	2	9
2014-03-27 04:28:12.124321	38001	21.0	1	8
2014-03-27 04:28:12.374315	38002	46	2	8
2014-03-27 04:28:26.470847	38003	19.4	1	1
2014-03-27 04:28:26.696109	38004	49	2	1
2014-03-27 04:28:32.516314	38005	450	3	2
2014-03-27 04:28:32.752193	38006	1090703.3791456905	4	2
2014-03-27 04:28:39.819574	38007	21.1	1	10
2014-03-27 04:28:40.045338	38008	42	2	10
2014-03-27 04:28:50.038179	38009	20.2	1	9
2014-03-27 04:28:50.274969	38010	48	2	9
2014-03-27 04:28:51.12457	38011	21.0	1	8
2014-03-27 04:28:51.348479	38012	46	2	8
2014-03-27 04:29:05.469574	38013	19.4	1	1
2014-03-27 04:29:05.705518	38014	49	2	1
2014-03-27 04:29:18.821282	38015	21.1	1	10
2014-03-27 04:29:19.044446	38016	42	2	10
2014-03-27 04:29:29.038411	38017	20.2	1	9
2014-03-27 04:29:29.27274	38018	48	2	9
2014-03-27 04:29:30.125143	38019	21.0	1	8
2014-03-27 04:29:30.351833	38020	46	2	8
2014-03-27 04:29:32.515281	38021	434	3	2
2014-03-27 04:29:32.749036	38022	1090710.273354019	4	2
2014-03-27 04:29:44.46934	38023	19.4	1	1
2014-03-27 04:29:44.694674	38024	49	2	1
2014-03-27 04:29:57.819302	38025	21.1	1	10
2014-03-27 04:29:58.05415	38026	42	2	10
2014-03-27 04:30:08.037743	38027	20.2	1	9
2014-03-27 04:30:08.260984	38028	48	2	9
2014-03-27 04:30:09.125957	38029	21.0	1	8
2014-03-27 04:30:09.361464	38030	46	2	8
2014-03-27 04:30:23.709597	38031	19.4	1	1
2014-03-27 04:30:23.935124	38032	49	2	1
2014-03-27 04:30:32.520513	38033	434	3	2
2014-03-27 04:30:32.754341	38034	1090718.316597069	4	2
2014-03-27 04:30:36.819077	38035	21.1	1	10
2014-03-27 04:30:37.043787	38036	42	2	10
2014-03-27 04:30:47.040054	38037	20.2	1	9
2014-03-27 04:30:47.294019	38038	48	2	9
2014-03-27 04:30:48.127174	38039	21.0	1	8
2014-03-27 04:30:48.352266	38040	46	2	8
2014-03-27 04:31:02.470588	38041	19.4	1	1
2014-03-27 04:31:02.713169	38042	49	2	1
2014-03-27 04:31:15.819357	38043	21.1	1	10
2014-03-27 04:31:16.043883	38044	42	2	10
2014-03-27 04:31:26.036911	38045	20.2	1	9
2014-03-27 04:31:26.275659	38046	48	2	9
2014-03-27 04:31:27.125612	38047	21.0	1	8
2014-03-27 04:31:27.352077	38048	46	2	8
2014-03-27 04:31:32.517635	38049	434	3	2
2014-03-27 04:31:32.763482	38050	1090725.2108053972	4	2
2014-03-27 04:31:41.468978	38051	19.4	1	1
2014-03-27 04:31:41.692022	38052	49	2	1
2014-03-27 04:31:54.8198	38053	21.1	1	10
2014-03-27 04:31:55.056898	38054	42	2	10
2014-03-27 04:32:05.03739	38055	20.2	1	9
2014-03-27 04:32:05.264635	38056	48	2	9
2014-03-27 04:32:06.125123	38057	21.0	1	8
2014-03-27 04:32:06.360031	38058	46	2	8
2014-03-27 04:32:20.501705	38059	19.4	1	1
2014-03-27 04:32:20.725946	38060	49	2	1
2014-03-27 04:32:32.520531	38061	434	3	2
2014-03-27 04:32:32.755771	38062	1090732.1050137258	4	2
2014-03-27 04:32:33.820546	38063	21.1	1	10
2014-03-27 04:32:34.043725	38064	42	2	10
2014-03-27 04:32:44.037799	38065	20.2	1	9
2014-03-27 04:32:44.273881	38066	48	2	9
2014-03-27 04:32:45.124298	38067	21.0	1	8
2014-03-27 04:32:45.34773	38068	46	2	8
2014-03-27 04:32:59.468558	38069	19.4	1	1
2014-03-27 04:32:59.701555	38070	49	2	1
2014-03-27 04:33:12.820244	38071	21.1	1	10
2014-03-27 04:33:13.048824	38072	42	2	10
2014-03-27 04:33:23.037301	38073	20.2	1	9
2014-03-27 04:33:23.269828	38074	48	2	9
2014-03-27 04:33:24.126632	38075	21.0	1	8
2014-03-27 04:33:24.350954	38076	46	2	8
2014-03-27 04:33:32.513717	38077	434	3	2
2014-03-27 04:33:32.750445	38078	1090740.1482567757	4	2
2014-03-27 04:33:38.46938	38079	19.4	1	1
2014-03-27 04:33:38.696256	38080	49	2	1
2014-03-27 04:33:51.820439	38081	21.1	1	10
2014-03-27 04:33:52.053532	38082	42	2	10
2014-03-27 04:34:02.037766	38083	20.2	1	9
2014-03-27 04:34:02.263609	38084	48	2	9
2014-03-27 04:34:03.125729	38085	21.0	1	8
2014-03-27 04:34:03.360889	38086	46	2	8
2014-03-27 04:34:08.517381	38087	370	3	2
2014-03-27 04:34:08.745157	38088	1090743.59536094	4	2
2014-03-27 04:34:17.469887	38089	19.4	1	1
2014-03-27 04:34:17.704733	38090	49	2	1
2014-03-27 04:34:20.517413	38091	402	3	2
2014-03-27 04:34:20.744016	38092	1090744.7443956614	4	2
2014-03-27 04:34:30.822646	38093	21.1	1	10
2014-03-27 04:34:31.058215	38094	42	2	10
2014-03-27 04:34:32.516258	38095	402	3	2
2014-03-27 04:34:32.74372	38096	1090745.8934303827	4	2
2014-03-27 04:34:41.038667	38097	20.2	1	9
2014-03-27 04:34:41.283528	38098	48	2	9
2014-03-27 04:34:42.124412	38099	21.0	1	8
2014-03-27 04:34:42.348168	38100	46	2	8
2014-03-27 04:34:56.710272	38101	19.4	1	1
2014-03-27 04:34:56.946604	38102	49	2	1
2014-03-27 04:35:08.514195	38103	370	3	2
2014-03-27 04:35:08.739475	38104	1090750.4895692684	4	2
2014-03-27 04:35:09.820711	38105	21.1	1	10
2014-03-27 04:35:10.055068	38106	42	2	10
2014-03-27 04:35:20.037111	38107	20.2	1	9
2014-03-27 04:35:20.260857	38108	48	2	9
2014-03-27 04:35:20.57103	38109	402	3	2
2014-03-27 04:35:20.805095	38110	1090751.63860399	4	2
2014-03-27 04:35:21.123882	38111	21.0	1	8
2014-03-27 04:35:21.347783	38112	46	2	8
2014-03-27 04:35:32.519564	38113	370	3	2
2014-03-27 04:35:32.753718	38114	1090752.7876387113	4	2
2014-03-27 04:35:35.464367	38115	19.4	1	1
2014-03-27 04:35:35.688046	38116	49	2	1
2014-03-27 04:35:44.518912	38117	370	3	2
2014-03-27 04:35:44.753684	38118	1090753.9366734328	4	2
2014-03-27 04:35:48.820873	38119	21.1	1	10
2014-03-27 04:35:49.050502	38120	42	2	10
2014-03-27 04:35:59.039235	38121	20.2	1	9
2014-03-27 04:35:59.272741	38122	48	2	9
2014-03-27 04:36:00.12538	38123	21.0	1	8
2014-03-27 04:36:00.350165	38124	46	2	8
2014-03-27 04:36:14.466366	38125	19.4	1	1
2014-03-27 04:36:14.701236	38126	49	2	1
2014-03-27 04:36:27.820647	38127	21.1	1	10
2014-03-27 04:36:28.045438	38128	42	2	10
2014-03-27 04:36:32.517657	38129	402	3	2
2014-03-27 04:36:32.751002	38130	1090759.6818470398	4	2
2014-03-27 04:36:38.037677	38131	20.3	1	9
2014-03-27 04:36:38.264523	38132	48	2	9
2014-03-27 04:36:39.12542	38133	21.0	1	8
2014-03-27 04:36:39.36136	38134	46	2	8
2014-03-27 04:36:44.516396	38135	370	3	2
2014-03-27 04:36:44.741414	38136	1090760.8308817612	4	2
2014-03-27 04:36:53.499553	38137	19.4	1	1
2014-03-27 04:36:53.73435	38138	49	2	1
2014-03-27 04:36:56.515984	38139	402	3	2
2014-03-27 04:36:56.740628	38140	1090761.9799164827	4	2
2014-03-27 04:37:06.82125	38141	21.1	1	10
2014-03-27 04:37:07.055242	38142	42	2	10
2014-03-27 04:37:08.514189	38143	370	3	2
2014-03-27 04:37:08.738124	38144	1090763.128951204	4	2
2014-03-27 04:37:17.037327	38145	20.3	1	9
2014-03-27 04:37:17.284448	38146	48	2	9
2014-03-27 04:37:18.125048	38147	21.0	1	8
2014-03-27 04:37:18.356339	38148	46	2	8
2014-03-27 04:37:20.516396	38149	370	3	2
2014-03-27 04:37:20.936663	38150	1090764.2779859256	4	2
2014-03-27 04:37:32.706917	38151	19.4	1	1
2014-03-27 04:37:32.937649	38152	49	2	1
2014-03-27 04:37:45.822632	38153	21.1	1	10
2014-03-27 04:37:46.04763	38154	42	2	10
2014-03-27 04:37:56.036593	38155	20.3	1	9
2014-03-27 04:37:56.267174	38156	48	2	9
2014-03-27 04:37:57.12598	38157	21.0	1	8
2014-03-27 04:37:57.34865	38158	46	2	8
2014-03-27 04:38:11.463948	38159	19.4	1	1
2014-03-27 04:38:11.699995	38160	49	2	1
2014-03-27 04:38:24.821699	38161	21.1	1	10
2014-03-27 04:38:25.046079	38162	42	2	10
2014-03-27 04:38:32.515833	38163	370	3	2
2014-03-27 04:38:32.749772	38164	1090771.172194254	4	2
2014-03-27 04:38:35.037185	38165	20.3	1	9
2014-03-27 04:38:35.259118	38166	48	2	9
2014-03-27 04:38:36.124389	38167	21.0	1	8
2014-03-27 04:38:36.358675	38168	46	2	8
2014-03-27 04:38:50.464416	38169	19.4	1	1
2014-03-27 04:38:50.689897	38170	49	2	1
2014-03-27 04:39:03.820702	38171	21.1	1	10
2014-03-27 04:39:04.054527	38172	42	2	10
2014-03-27 04:39:14.036011	38173	20.3	1	9
2014-03-27 04:39:14.259834	38174	48	2	9
2014-03-27 04:39:15.126248	38175	21.0	1	8
2014-03-27 04:39:15.360074	38176	46	2	8
2014-03-27 04:39:29.461694	38177	19.4	1	1
2014-03-27 04:39:29.687996	38178	49	2	1
2014-03-27 04:39:32.518258	38179	370	3	2
2014-03-27 04:39:32.753836	38180	1090778.0664025825	4	2
2014-03-27 04:39:42.823241	38181	21.1	1	10
2014-03-27 04:39:43.052623	38182	42	2	10
2014-03-27 04:39:44.518466	38183	402	3	2
2014-03-27 04:39:44.753899	38184	1090779.2154373038	4	2
2014-03-27 04:39:53.037496	38185	20.3	1	9
2014-03-27 04:39:53.260999	38186	48	2	9
2014-03-27 04:39:54.124127	38187	21.0	1	8
2014-03-27 04:39:54.357486	38188	46	2	8
2014-03-27 04:39:56.515471	38189	402	3	2
2014-03-27 04:39:56.741036	38190	1090780.3644720253	4	2
2014-03-27 04:40:08.70539	38191	19.4	1	1
2014-03-27 04:40:08.940565	38192	49	2	1
2014-03-27 04:40:20.516003	38193	370	3	2
2014-03-27 04:40:20.73961	38194	1090782.6625414682	4	2
2014-03-27 04:40:22.026407	38195	21.1	1	10
2014-03-27 04:40:22.268211	38196	42	2	10
2014-03-27 04:40:32.037515	38197	20.3	1	9
2014-03-27 04:40:32.260529	38198	48	2	9
2014-03-27 04:40:32.568284	38199	370	3	2
2014-03-27 04:40:32.802272	38200	1090783.8115761895	4	2
2014-03-27 04:40:33.124424	38201	21.0	1	8
2014-03-27 04:40:33.349073	38202	46	2	8
2014-03-27 04:40:47.461813	38203	19.4	1	1
2014-03-27 04:40:47.694744	38204	49	2	1
2014-03-27 04:40:56.513432	38205	305	3	2
2014-03-27 04:40:56.737004	38206	1090786.1096456323	4	2
2014-03-27 04:41:00.822022	38207	21.1	1	10
2014-03-27 04:41:01.0557	38208	42	2	10
2014-03-27 04:41:10.835602	38209	305	3	2
2014-03-27 04:41:11.064314	38210	1090787.2586803539	4	2
2014-03-27 04:41:11.370621	38211	20.3	1	9
2014-03-27 04:41:11.604751	38212	48	2	9
2014-03-27 04:41:12.125773	38213	21.0	1	8
2014-03-27 04:41:12.349257	38214	46	2	8
2014-03-27 04:41:20.517622	38215	370	3	2
2014-03-27 04:41:20.752887	38216	1090788.4077150752	4	2
2014-03-27 04:41:26.462018	38217	19.4	1	1
2014-03-27 04:41:26.686043	38218	49	2	1
2014-03-27 04:41:32.516429	38219	370	3	2
2014-03-27 04:41:32.753031	38220	1090789.5567497965	4	2
2014-03-27 04:41:39.822198	38221	21.1	1	10
2014-03-27 04:41:40.045837	38222	42	2	10
2014-03-27 04:41:50.036655	38223	20.3	1	9
2014-03-27 04:41:50.271424	38224	48	2	9
2014-03-27 04:41:51.127059	38225	21.0	1	8
2014-03-27 04:41:51.354047	38226	46	2	8
2014-03-27 04:42:05.460832	38227	19.4	1	1
2014-03-27 04:42:05.694497	38228	49	2	1
2014-03-27 04:42:18.822217	38229	21.1	1	10
2014-03-27 04:42:19.045607	38230	42	2	10
2014-03-27 04:42:29.037318	38231	20.3	1	9
2014-03-27 04:42:29.270653	38232	48	2	9
2014-03-27 04:42:30.124842	38233	21.0	1	8
2014-03-27 04:42:30.35041	38234	46	2	8
2014-03-27 04:42:32.515896	38235	370	3	2
2014-03-27 04:42:32.750468	38236	1090796.450958125	4	2
2014-03-27 04:42:44.464926	38237	19.4	1	1
2014-03-27 04:42:44.690189	38238	49	2	1
2014-03-27 04:42:57.822855	38239	21.1	1	10
2014-03-27 04:42:58.056146	38240	42	2	10
2014-03-27 04:43:08.091789	38241	20.3	1	9
2014-03-27 04:43:08.316042	38242	48	2	9
2014-03-27 04:43:09.125805	38243	21.0	1	8
2014-03-27 04:43:09.374097	38244	46	2	8
2014-03-27 04:43:23.462758	38245	19.4	1	1
2014-03-27 04:43:23.686289	38246	49	2	1
2014-03-27 04:43:32.519719	38247	370	3	2
2014-03-27 04:43:32.753408	38248	1090802.196131732	4	2
2014-03-27 04:43:36.823572	38249	21.1	1	10
2014-03-27 04:43:37.046752	38250	42	2	10
2014-03-27 04:43:47.03788	38251	20.3	1	9
2014-03-27 04:43:47.271529	38252	48	2	9
2014-03-27 04:43:48.124024	38253	21.0	1	8
2014-03-27 04:43:48.347623	38254	46	2	8
2014-03-27 04:44:02.461793	38255	19.4	1	1
2014-03-27 04:44:02.698503	38256	49	2	1
2014-03-27 04:44:15.822514	38257	21.1	1	10
2014-03-27 04:44:16.045129	38258	42	2	10
2014-03-27 04:44:26.037835	38259	20.3	1	9
2014-03-27 04:44:26.276198	38260	48	2	9
2014-03-27 04:44:27.124315	38261	21.0	1	8
2014-03-27 04:44:27.347297	38262	46	2	8
2014-03-27 04:44:32.514383	38263	370	3	2
2014-03-27 04:44:32.750687	38264	1090809.0903400606	4	2
2014-03-27 04:44:41.462483	38265	19.4	1	1
2014-03-27 04:44:41.68606	38266	49	2	1
2014-03-27 04:44:54.82273	38267	21.1	1	10
2014-03-27 04:44:55.056172	38268	42	2	10
2014-03-27 04:45:05.035697	38269	20.3	1	9
2014-03-27 04:45:05.260154	38270	48	2	9
2014-03-27 04:45:06.124695	38271	21.0	1	8
2014-03-27 04:45:06.357972	38272	46	2	8
2014-03-27 04:45:08.518278	38273	402	3	2
2014-03-27 04:45:08.743781	38274	1090812.5374442248	4	2
2014-03-27 04:45:32.37081	38275	19.4	1	1
2014-03-27 04:45:32.604956	38276	49	2	1
2014-03-27 04:45:32.916061	38277	370	3	2
2014-03-27 04:45:33.140635	38278	1090814.8355136677	4	2
2014-03-27 04:45:33.825888	38279	21.1	1	10
2014-03-27 04:45:34.058634	38280	42	2	10
2014-03-27 04:45:44.040131	38281	20.3	1	9
2014-03-27 04:45:44.264095	38282	48	2	9
2014-03-27 04:45:45.124909	38283	21.0	1	8
2014-03-27 04:45:45.361761	38284	46	2	8
2014-03-27 04:45:56.515933	38285	402	3	2
2014-03-27 04:45:56.741064	38286	1090817.1335831105	4	2
2014-03-27 04:45:59.459523	38287	19.4	1	1
2014-03-27 04:45:59.693428	38288	49	2	1
2014-03-27 04:46:08.515871	38289	370	3	2
2014-03-27 04:46:08.739638	38290	1090818.282617832	4	2
2014-03-27 04:46:12.823895	38291	21.1	1	10
2014-03-27 04:46:13.070128	38292	42	2	10
2014-03-27 04:46:20.516808	38293	370	3	2
2014-03-27 04:46:20.743782	38294	1090819.4316525534	4	2
2014-03-27 04:46:23.038025	38295	20.2	1	9
2014-03-27 04:46:23.271884	38296	48	2	9
2014-03-27 04:46:24.126169	38297	21.0	1	8
2014-03-27 04:46:24.351817	38298	46	2	8
2014-03-27 04:46:32.515784	38299	338	3	2
2014-03-27 04:46:32.748694	38300	1090820.5806872747	4	2
2014-03-27 04:46:38.458488	38301	19.4	1	1
2014-03-27 04:46:38.683152	38302	49	2	1
2014-03-27 04:46:44.520912	38303	338	3	2
2014-03-27 04:46:44.755021	38304	1090821.7297219962	4	2
2014-03-27 04:46:51.823608	38305	21.1	1	10
2014-03-27 04:46:52.049014	38306	42	2	10
2014-03-27 04:47:02.0373	38307	20.3	1	9
2014-03-27 04:47:02.274035	38308	48	2	9
2014-03-27 04:47:03.12614	38309	21.0	1	8
2014-03-27 04:47:03.349152	38310	46	2	8
2014-03-27 04:47:17.459678	38311	19.4	1	1
2014-03-27 04:47:17.692585	38312	49	2	1
2014-03-27 04:47:30.822862	38313	21.1	1	10
2014-03-27 04:47:31.047599	38314	42	2	10
2014-03-27 04:47:32.515648	38315	338	3	2
2014-03-27 04:47:32.748513	38316	1090826.325860882	4	2
2014-03-27 04:47:41.036647	38317	20.2	1	9
2014-03-27 04:47:41.263099	38318	48	2	9
2014-03-27 04:47:42.125314	38319	20.9	1	8
2014-03-27 04:47:42.35939	38320	46	2	8
2014-03-27 04:47:56.460367	38321	19.4	1	1
2014-03-27 04:47:56.68357	38322	49	2	1
2014-03-27 04:48:09.823865	38323	21.1	1	10
2014-03-27 04:48:10.05728	38324	42	2	10
2014-03-27 04:48:20.038022	38325	20.2	1	9
2014-03-27 04:48:20.263614	38326	48	2	9
2014-03-27 04:48:21.124804	38327	20.9	1	8
2014-03-27 04:48:21.359067	38328	46	2	8
2014-03-27 04:48:32.519436	38329	338	3	2
2014-03-27 04:48:32.743338	38330	1090832.071034489	4	2
2014-03-27 04:48:35.46097	38331	19.4	1	1
2014-03-27 04:48:35.694345	38332	49	2	1
2014-03-27 04:48:44.513254	38333	305	3	2
2014-03-27 04:48:44.738226	38334	1090833.2200692103	4	2
2014-03-27 04:48:48.824676	38335	21.1	1	10
2014-03-27 04:48:49.056865	38336	42	2	10
2014-03-27 04:48:56.518463	38337	305	3	2
2014-03-27 04:48:56.744086	38338	1090834.3691039318	4	2
2014-03-27 04:48:59.036561	38339	20.2	1	9
2014-03-27 04:48:59.283495	38340	48	2	9
2014-03-27 04:49:00.123776	38341	20.9	1	8
2014-03-27 04:49:00.349049	38342	46	2	8
2014-03-27 04:49:14.45727	38343	19.4	1	1
2014-03-27 04:49:14.692141	38344	49	2	1
2014-03-27 04:49:27.824118	38345	21.1	1	10
2014-03-27 04:49:28.046174	38346	42	2	10
2014-03-27 04:49:32.517072	38347	305	3	2
2014-03-27 04:49:32.749856	38348	1090837.816208096	4	2
2014-03-27 04:49:38.036658	38349	20.2	1	9
2014-03-27 04:49:38.31499	38350	48	2	9
2014-03-27 04:49:39.123529	38351	20.9	1	8
2014-03-27 04:49:39.355779	38352	46	2	8
2014-03-27 04:49:53.45527	38353	19.4	1	1
2014-03-27 04:49:53.680406	38354	49	2	1
2014-03-27 04:49:56.519429	38355	338	3	2
2014-03-27 04:49:56.755097	38356	1090838.9652428175	4	2
2014-03-27 04:50:06.824738	38357	21.1	1	10
2014-03-27 04:50:07.046872	38358	42	2	10
2014-03-27 04:50:08.51565	38359	338	3	2
2014-03-27 04:50:08.752961	38360	1090840.1142775388	4	2
2014-03-27 04:50:17.036177	38361	20.2	1	9
2014-03-27 04:50:17.259561	38362	48	2	9
2014-03-27 04:50:18.124007	38363	20.9	1	8
2014-03-27 04:50:18.357599	38364	46	2	8
2014-03-27 04:50:32.697642	38365	19.4	1	1
2014-03-27 04:50:32.924176	38366	49	2	1
2014-03-27 04:50:45.826194	38367	21.1	1	10
2014-03-27 04:50:46.059579	38368	42	2	10
2014-03-27 04:50:56.035229	38369	20.2	1	9
2014-03-27 04:50:56.259935	38370	48	2	9
2014-03-27 04:50:56.567622	38371	305	3	2
2014-03-27 04:50:56.804795	38372	1090844.7104164246	4	2
2014-03-27 04:50:57.12473	38373	20.9	1	8
2014-03-27 04:50:57.349446	38374	46	2	8
2014-03-27 04:51:08.51412	38375	305	3	2
2014-03-27 04:51:08.747366	38376	1090845.8594511459	4	2
2014-03-27 04:51:11.455305	38377	19.4	1	1
2014-03-27 04:51:11.679839	38378	49	2	1
2014-03-27 04:51:24.825173	38379	21.1	1	10
2014-03-27 04:51:25.061731	38380	42	2	10
2014-03-27 04:51:32.514719	38381	305	3	2
2014-03-27 04:51:32.739094	38382	1090848.1575205887	4	2
2014-03-27 04:51:35.043793	38383	20.2	1	9
2014-03-27 04:51:35.277606	38384	48	2	9
2014-03-27 04:51:36.124223	38385	20.9	1	8
2014-03-27 04:51:36.348587	38386	46	2	8
2014-03-27 04:51:50.455051	38387	19.4	1	1
2014-03-27 04:51:50.699381	38388	49	2	1
2014-03-27 04:52:03.825693	38389	21.1	1	10
2014-03-27 04:52:04.050659	38390	42	2	10
2014-03-27 04:52:14.039143	38391	20.2	1	9
2014-03-27 04:52:14.271789	38392	48	2	9
2014-03-27 04:52:15.125395	38393	20.9	1	8
2014-03-27 04:52:15.348221	38394	46	2	8
2014-03-27 04:52:29.452989	38395	19.4	1	1
2014-03-27 04:52:29.685992	38396	49	2	1
2014-03-27 04:52:32.518083	38397	305	3	2
2014-03-27 04:52:32.742099	38398	1090852.7536594744	4	2
2014-03-27 04:52:42.825335	38399	21.1	1	10
2014-03-27 04:52:43.060108	38400	42	2	10
2014-03-27 04:52:44.513829	38401	338	3	2
2014-03-27 04:52:44.737621	38402	1090853.9026941957	4	2
2014-03-27 04:52:53.036761	38403	20.2	1	9
2014-03-27 04:52:53.272377	38404	48	2	9
2014-03-27 04:52:54.124536	38405	20.9	1	8
2014-03-27 04:52:54.349593	38406	46	2	8
2014-03-27 04:52:56.516275	38407	338	3	2
2014-03-27 04:52:56.749144	38408	1090855.0517289173	4	2
2014-03-27 04:53:08.48461	38409	19.4	1	1
2014-03-27 04:53:08.709269	38410	49	2	1
2014-03-27 04:53:21.82532	38411	21.1	1	10
2014-03-27 04:53:22.06241	38412	42	2	10
2014-03-27 04:53:32.035472	38413	20.2	1	9
2014-03-27 04:53:32.262535	38414	48	2	9
2014-03-27 04:53:32.569758	38415	370	3	2
2014-03-27 04:53:32.803747	38416	1090858.4988330815	4	2
2014-03-27 04:53:33.12453	38417	20.9	1	8
2014-03-27 04:53:33.349455	38418	46	2	8
2014-03-27 04:53:44.513963	38419	370	3	2
2014-03-27 04:53:44.748433	38420	1090859.647867803	4	2
2014-03-27 04:53:47.455064	38421	19.4	1	1
2014-03-27 04:53:47.677283	38422	49	2	1
2014-03-27 04:54:00.826143	38423	21.1	1	10
2014-03-27 04:54:01.060966	38424	42	2	10
2014-03-27 04:54:11.038034	38425	20.2	1	9
2014-03-27 04:54:11.261492	38426	48	2	9
2014-03-27 04:54:12.123296	38427	20.9	1	8
2014-03-27 04:54:12.358568	38428	46	2	8
2014-03-27 04:54:26.455235	38429	19.4	1	1
2014-03-27 04:54:26.679243	38430	49	2	1
2014-03-27 04:54:39.626955	38431	370	3	2
2014-03-27 04:54:39.863483	38432	1090865.39304141	4	2
2014-03-27 04:54:40.172614	38433	21.1	1	10
2014-03-27 04:54:40.396159	38434	42	2	10
2014-03-27 04:54:50.035423	38435	20.2	1	9
2014-03-27 04:54:50.281349	38436	48	2	9
2014-03-27 04:54:51.124169	38437	20.9	1	8
2014-03-27 04:54:51.347685	38438	46	2	8
2014-03-27 04:55:05.453991	38439	19.4	1	1
2014-03-27 04:55:05.690772	38440	49	2	1
2014-03-27 04:55:18.826339	38441	21.1	1	10
2014-03-27 04:55:19.049589	38442	42	2	10
2014-03-27 04:55:29.036339	38443	20.2	1	9
2014-03-27 04:55:29.26991	38444	48	2	9
2014-03-27 04:55:30.126397	38445	20.9	1	8
2014-03-27 04:55:30.350465	38446	46	2	8
2014-03-27 04:55:32.513884	38447	370	3	2
2014-03-27 04:55:32.749154	38448	1090869.9936512478	4	2
2014-03-27 04:55:44.453691	38449	19.4	1	1
2014-03-27 04:55:44.681574	38450	49	2	1
2014-03-27 04:55:57.828296	38451	21.1	1	10
2014-03-27 04:55:58.061942	38452	42	2	10
2014-03-27 04:56:08.035844	38453	20.2	1	9
2014-03-27 04:56:08.260115	38454	48	2	9
2014-03-27 04:56:09.124534	38455	20.9	1	8
2014-03-27 04:56:09.357362	38456	46	2	8
2014-03-27 04:56:23.455893	38457	19.4	1	1
2014-03-27 04:56:23.679966	38458	49	2	1
2014-03-27 04:56:32.516275	38459	354	3	2
2014-03-27 04:56:32.750252	38460	1090876.8878595764	4	2
2014-03-27 04:56:36.826069	38461	21.1	1	10
2014-03-27 04:56:37.051446	38462	42	2	10
2014-03-27 04:56:47.035757	38463	20.2	1	9
2014-03-27 04:56:47.271643	38464	48	2	9
2014-03-27 04:56:48.12446	38465	20.9	1	8
2014-03-27 04:56:48.350858	38466	46	2	8
2014-03-27 04:57:02.4539	38467	19.4	1	1
2014-03-27 04:57:02.687311	38468	49	2	1
2014-03-27 04:57:15.827116	38469	21.1	1	10
2014-03-27 04:57:16.052931	38470	42	2	10
2014-03-27 04:57:20.515637	38471	305	3	2
2014-03-27 04:57:20.750377	38472	1090881.483998462	4	2
2014-03-27 04:57:26.039475	38473	20.2	1	9
2014-03-27 04:57:26.264115	38474	48	2	9
2014-03-27 04:57:27.126887	38475	20.9	1	8
2014-03-27 04:57:27.360909	38476	46	2	8
2014-03-27 04:57:32.512655	38477	305	3	2
2014-03-27 04:57:32.738636	38478	1090882.6330331834	4	2
2014-03-27 04:57:41.694062	38479	19.4	1	1
2014-03-27 04:57:41.929331	38480	49	2	1
2014-03-27 04:57:54.827356	38481	21.1	1	10
2014-03-27 04:57:55.051621	38482	42	2	10
2014-03-27 04:58:05.037473	38483	20.2	1	9
2014-03-27 04:58:05.338505	38484	48	2	9
2014-03-27 04:58:06.178809	38485	20.9	1	8
2014-03-27 04:58:06.747859	38486	46	2	8
2014-03-27 04:58:08.582904	38487	338	3	2
2014-03-27 04:58:09.343709	38488	1090884.9311026263	4	2
2014-03-27 04:58:20.689836	38489	19.4	1	1
2014-03-27 04:58:20.955878	38490	49	2	1
2014-03-27 04:58:32.512876	38491	305	3	2
2014-03-27 04:58:32.779046	38492	1090887.229172069	4	2
2014-03-27 04:58:33.828009	38493	21.1	1	10
2014-03-27 04:58:34.050708	38494	42	2	10
2014-03-27 04:58:44.041936	38495	20.2	1	9
2014-03-27 04:58:44.277263	38496	48	2	9
2014-03-27 04:58:44.58324	38497	338	3	2
2014-03-27 04:58:44.806704	38498	1090888.3782067904	4	2
2014-03-27 04:58:45.124423	38499	20.9	1	8
2014-03-27 04:58:45.361834	38500	46	2	8
2014-03-27 04:58:56.513733	38501	338	3	2
2014-03-27 04:58:56.738506	38502	1090889.527241512	4	2
2014-03-27 04:58:59.487576	38503	19.4	1	1
2014-03-27 04:58:59.719668	38504	49	2	1
2014-03-27 04:59:12.827279	38505	21.1	1	10
2014-03-27 04:59:13.053788	38506	42	2	10
2014-03-27 04:59:23.036388	38507	20.2	1	9
2014-03-27 04:59:23.270863	38508	48	2	9
2014-03-27 04:59:24.123825	38509	20.9	1	8
2014-03-27 04:59:24.347168	38510	46	2	8
2014-03-27 04:59:32.520023	38511	305	3	2
2014-03-27 04:59:32.754399	38512	1090892.9743456761	4	2
2014-03-27 04:59:38.479738	38513	19.4	1	1
2014-03-27 04:59:38.7343	38514	49	2	1
2014-03-27 04:59:44.513809	38515	305	3	2
2014-03-27 04:59:44.747886	38516	1090894.1233803977	4	2
2014-03-27 04:59:51.828923	38517	21.1	1	10
2014-03-27 04:59:52.053262	38518	42	2	10
2014-03-27 04:59:56.51668	38519	338	3	2
2014-03-27 04:59:56.750595	38520	1090895.272415119	4	2
2014-03-27 05:00:02.036897	38521	20.2	1	9
2014-03-27 05:00:02.260345	38522	48	2	9
2014-03-27 05:00:03.124013	38523	20.9	1	8
2014-03-27 05:00:03.357485	38524	46	2	8
2014-03-27 05:00:08.529044	38525	338	3	2
2014-03-27 05:00:08.796484	38526	1090896.4214498403	4	2
2014-03-27 05:00:17.453579	38527	19.4	1	1
2014-03-27 05:00:17.688932	38528	49	2	1
2014-03-27 05:00:30.828315	38529	21.1	1	10
2014-03-27 05:00:31.052995	38530	42	2	10
2014-03-27 05:00:32.515328	38531	305	3	2
2014-03-27 05:00:32.762137	38532	1090898.7195192832	4	2
2014-03-27 05:00:41.039259	38533	20.2	1	9
2014-03-27 05:00:41.266007	38534	48	2	9
2014-03-27 05:00:42.124104	38535	20.9	1	8
2014-03-27 05:00:42.359497	38536	46	2	8
2014-03-27 05:00:44.517287	38537	338	3	2
2014-03-27 05:00:44.742927	38538	1090899.8685540047	4	2
2014-03-27 05:00:56.693547	38539	19.4	1	1
2014-03-27 05:00:56.927966	38540	49	2	1
2014-03-27 05:01:09.828681	38541	21.1	1	10
2014-03-27 05:01:10.051355	38542	42	2	10
2014-03-27 05:01:20.038088	38543	20.2	1	9
2014-03-27 05:01:20.272835	38544	48	2	9
2014-03-27 05:01:20.580923	38545	305	3	2
2014-03-27 05:01:20.807802	38546	1090902.1666234476	4	2
2014-03-27 05:01:21.124108	38547	20.9	1	8
2014-03-27 05:01:21.358652	38548	46	2	8
2014-03-27 05:01:32.512119	38549	305	3	2
2014-03-27 05:01:32.7371	38550	1090903.3156581689	4	2
2014-03-27 05:01:35.45256	38551	19.4	1	1
2014-03-27 05:01:35.684709	38552	49	2	1
2014-03-27 05:01:48.830654	38553	21.1	1	10
2014-03-27 05:01:49.054163	38554	42	2	10
2014-03-27 05:01:59.036177	38555	20.2	1	9
2014-03-27 05:01:59.269079	38556	48	2	9
2014-03-27 05:02:00.124619	38557	20.9	1	8
2014-03-27 05:02:00.347829	38558	46	2	8
2014-03-27 05:02:14.451239	38559	19.4	1	1
2014-03-27 05:02:14.683641	38560	49	2	1
2014-03-27 05:02:27.830266	38561	21.1	1	10
2014-03-27 05:02:28.056245	38562	42	2	10
2014-03-27 05:02:32.514456	38563	305	3	2
2014-03-27 05:02:32.748979	38564	1090909.060831776	4	2
2014-03-27 05:02:38.040221	38565	20.2	1	9
2014-03-27 05:02:38.26782	38566	48	2	9
2014-03-27 05:02:39.125096	38567	20.9	1	8
2014-03-27 05:02:39.358516	38568	46	2	8
2014-03-27 05:02:53.691824	38569	19.4	1	1
2014-03-27 05:02:53.91504	38570	49	2	1
2014-03-27 05:03:06.829434	38571	21.1	1	10
2014-03-27 05:03:07.066788	38572	42	2	10
2014-03-27 05:03:17.039126	38573	20.2	1	9
2014-03-27 05:03:17.267193	38574	48	2	9
2014-03-27 05:03:18.126847	38575	20.9	1	8
2014-03-27 05:03:18.358574	38576	46	2	8
2014-03-27 05:03:45.82992	38577	21.1	1	10
2014-03-27 05:03:46.053628	38578	42	2	10
2014-03-27 05:03:56.036241	38579	20.2	1	9
2014-03-27 05:03:56.285456	38580	48	2	9
2014-03-27 05:03:56.594166	38581	354	3	2
2014-03-27 05:03:56.819319	38582	1090915.9550401045	4	2
2014-03-27 05:03:57.124894	38583	20.9	1	8
2014-03-27 05:03:57.360073	38584	46	2	8
2014-03-27 05:04:08.512316	38585	354	3	2
2014-03-27 05:04:08.794855	38586	1090917.1040748258	4	2
2014-03-27 05:04:11.484222	38587	19.4	1	1
2014-03-27 05:04:11.717224	38588	49	2	1
2014-03-27 05:04:24.829519	38589	21.1	1	10
2014-03-27 05:04:25.052546	38590	42	2	10
2014-03-27 05:04:32.514952	38591	354	3	2
2014-03-27 05:04:32.75062	38592	1090919.4021442686	4	2
2014-03-27 05:04:35.036048	38593	20.2	1	9
2014-03-27 05:04:35.259583	38594	48	2	9
2014-03-27 05:04:36.12463	38595	20.9	1	8
2014-03-27 05:04:36.359565	38596	46	2	8
2014-03-27 05:04:50.450963	38597	19.4	1	1
2014-03-27 05:04:50.674461	38598	49	2	1
2014-03-27 05:05:04.034341	38599	21.1	1	10
2014-03-27 05:05:04.267659	38600	42	2	10
2014-03-27 05:05:14.036112	38601	20.1	1	9
2014-03-27 05:05:14.260099	38602	48	2	9
2014-03-27 05:05:15.124579	38603	20.9	1	8
2014-03-27 05:05:15.359651	38604	46	2	8
2014-03-27 05:05:29.687701	38605	19.4	1	1
2014-03-27 05:05:29.913432	38606	49	2	1
2014-03-27 05:05:32.517761	38607	354	3	2
2014-03-27 05:05:32.753935	38608	1090925.1473178759	4	2
2014-03-27 05:05:42.830521	38609	21.1	1	10
2014-03-27 05:05:43.055123	38610	42	2	10
2014-03-27 05:05:53.036298	38611	20.1	1	9
2014-03-27 05:05:53.270747	38612	48	2	9
2014-03-27 05:05:54.124968	38613	20.9	1	8
2014-03-27 05:05:54.352738	38614	46	2	8
2014-03-27 05:06:08.449944	38615	19.4	1	1
2014-03-27 05:06:08.68672	38616	49	2	1
2014-03-27 05:06:21.831357	38617	21.1	1	10
2014-03-27 05:06:22.0554	38618	42	2	10
2014-03-27 05:06:32.036663	38619	20.1	1	9
2014-03-27 05:06:32.290943	38620	48	2	9
2014-03-27 05:06:32.599766	38621	370	3	2
2014-03-27 05:06:32.825876	38622	1090932.0415262042	4	2
2014-03-27 05:06:33.132665	38623	20.9	1	8
2014-03-27 05:06:33.366211	38624	46	2	8
2014-03-27 05:06:47.483307	38625	19.4	1	1
2014-03-27 05:06:47.707985	38626	49	2	1
2014-03-27 05:07:00.832854	38627	21.1	1	10
2014-03-27 05:07:01.078767	38628	42	2	10
2014-03-27 05:07:11.036629	38629	20.1	1	9
2014-03-27 05:07:11.260663	38630	48	2	9
2014-03-27 05:07:12.122645	38631	20.9	1	8
2014-03-27 05:07:12.358027	38632	46	2	8
2014-03-27 05:07:26.44686	38633	19.4	1	1
2014-03-27 05:07:26.670304	38634	49	2	1
2014-03-27 05:07:32.516147	38635	354	3	2
2014-03-27 05:07:32.751485	38636	1090937.7866998112	4	2
2014-03-27 05:07:39.832965	38637	21.1	1	10
2014-03-27 05:07:40.060216	38638	42	2	10
2014-03-27 05:07:50.037797	38639	20.1	1	9
2014-03-27 05:07:50.272629	38640	48	2	9
2014-03-27 05:07:51.124034	38641	20.9	1	8
2014-03-27 05:07:51.348113	38642	46	2	8
2014-03-27 05:08:05.444023	38643	19.4	1	1
2014-03-27 05:08:05.677433	38644	49	2	1
2014-03-27 05:08:18.830742	38645	21.1	1	10
2014-03-27 05:08:19.05668	38646	42	2	10
2014-03-27 05:08:29.03858	38647	20.2	1	9
2014-03-27 05:08:29.274474	38648	48	2	9
2014-03-27 05:08:30.125572	38649	20.9	1	8
2014-03-27 05:08:30.349482	38650	46	2	8
2014-03-27 05:08:32.513405	38651	305	3	2
2014-03-27 05:08:32.747614	38652	1090943.5318734185	4	2
2014-03-27 05:08:44.688494	38653	19.4	1	1
2014-03-27 05:08:44.912536	38654	49	2	1
2014-03-27 05:08:58.036751	38655	21.1	1	10
2014-03-27 05:08:58.272437	38656	42	2	10
2014-03-27 05:09:08.036503	38657	20.2	1	9
2014-03-27 05:09:08.262582	38658	48	2	9
2014-03-27 05:09:09.124223	38659	20.9	1	8
2014-03-27 05:09:09.359225	38660	46	2	8
2014-03-27 05:09:23.445697	38661	19.4	1	1
2014-03-27 05:09:23.688717	38662	49	2	1
2014-03-27 05:09:32.515669	38663	305	3	2
2014-03-27 05:09:32.751014	38664	1090948.128012304	4	2
2014-03-27 05:09:36.83227	38665	21.1	1	10
2014-03-27 05:09:37.058509	38666	42	2	10
2014-03-27 05:09:47.035837	38667	20.1	1	9
2014-03-27 05:09:47.270324	38668	48	2	9
2014-03-27 05:09:48.124623	38669	20.9	1	8
2014-03-27 05:09:48.350449	38670	46	2	8
2014-03-27 05:10:02.449202	38671	19.4	1	1
2014-03-27 05:10:02.684137	38672	49	2	1
2014-03-27 05:10:15.83168	38673	21.1	1	10
2014-03-27 05:10:16.056555	38674	42	2	10
2014-03-27 05:10:26.037428	38675	20.1	1	9
2014-03-27 05:10:26.282511	38676	48	2	9
2014-03-27 05:10:27.124556	38677	20.9	1	8
2014-03-27 05:10:27.347783	38678	46	2	8
2014-03-27 05:10:32.51545	38679	305	3	2
2014-03-27 05:10:32.750507	38680	1090953.8731859112	4	2
2014-03-27 05:10:41.447209	38681	19.4	1	1
2014-03-27 05:10:41.673699	38682	49	2	1
2014-03-27 05:10:54.832574	38683	21.1	1	10
2014-03-27 05:10:55.06667	38684	42	2	10
2014-03-27 05:11:05.036187	38685	20.1	1	9
2014-03-27 05:11:05.260956	38686	48	2	9
2014-03-27 05:11:06.124726	38687	20.9	1	8
2014-03-27 05:11:06.358636	38688	46	2	8
2014-03-27 05:11:20.444108	38689	19.4	1	1
2014-03-27 05:11:20.670122	38690	49	2	1
2014-03-27 05:11:32.516288	38691	305	3	2
2014-03-27 05:11:32.754241	38692	1090958.469324797	4	2
2014-03-27 05:11:33.831466	38693	21.1	1	10
2014-03-27 05:11:34.05646	38694	42	2	10
2014-03-27 05:11:44.040785	38695	20.1	1	9
2014-03-27 05:11:44.275372	38696	48	2	9
2014-03-27 05:11:45.124908	38697	20.9	1	8
2014-03-27 05:11:45.347281	38698	46	2	8
2014-03-27 05:11:59.443068	38699	19.4	1	1
2014-03-27 05:11:59.677704	38700	49	2	1
2014-03-27 05:12:12.833265	38701	21.1	1	10
2014-03-27 05:12:13.058743	38702	42	2	10
2014-03-27 05:12:23.035853	38703	20.1	1	9
2014-03-27 05:12:23.270616	38704	48	2	9
2014-03-27 05:12:24.124644	38705	20.9	1	8
2014-03-27 05:12:24.35123	38706	46	2	8
2014-03-27 05:12:32.513508	38707	305	3	2
2014-03-27 05:12:32.767712	38708	1090964.214498404	4	2
2014-03-27 05:12:38.445058	38709	19.4	1	1
2014-03-27 05:12:38.670904	38710	49	2	1
2014-03-27 05:12:51.83162	38711	21.1	1	10
2014-03-27 05:12:52.06769	38712	42	2	10
2014-03-27 05:13:02.03728	38713	20.1	1	9
2014-03-27 05:13:02.262911	38714	48	2	9
2014-03-27 05:13:03.123162	38715	20.9	1	8
2014-03-27 05:13:03.357669	38716	46	2	8
2014-03-27 05:13:17.447819	38717	19.4	1	1
2014-03-27 05:13:17.67485	38718	49	2	1
2014-03-27 05:13:30.833104	38719	21.1	1	10
2014-03-27 05:13:31.068497	38720	42	2	10
2014-03-27 05:13:32.514104	38721	305	3	2
2014-03-27 05:13:32.746575	38722	1090968.8106372897	4	2
2014-03-27 05:13:41.038319	38723	20.1	1	9
2014-03-27 05:13:41.283309	38724	48	2	9
2014-03-27 05:13:42.125351	38725	20.9	1	8
2014-03-27 05:13:42.348636	38726	46	2	8
2014-03-27 05:13:56.443538	38727	19.4	1	1
2014-03-27 05:13:56.678803	38728	49	2	1
2014-03-27 05:14:09.832838	38729	21.1	1	10
2014-03-27 05:14:10.056618	38730	42	2	10
2014-03-27 05:14:20.035869	38731	20.1	1	9
2014-03-27 05:14:20.270518	38732	48	2	9
2014-03-27 05:14:21.124118	38733	20.9	1	8
2014-03-27 05:14:21.349225	38734	46	2	8
2014-03-27 05:14:32.512595	38735	305	3	2
2014-03-27 05:14:32.747644	38736	1090973.4067761751	4	2
2014-03-27 05:14:35.478885	38737	19.4	1	1
2014-03-27 05:14:35.700886	38738	49	2	1
2014-03-27 05:14:48.832133	38739	21.0	1	10
2014-03-27 05:14:49.068766	38740	42	2	10
2014-03-27 05:14:59.036415	38741	20.1	1	9
2014-03-27 05:14:59.260859	38742	48	2	9
2014-03-27 05:15:00.123423	38743	20.9	1	8
2014-03-27 05:15:00.359232	38744	46	2	8
2014-03-27 05:15:14.442052	38745	19.4	1	1
2014-03-27 05:15:14.692565	38746	49	2	1
2014-03-27 05:15:20.513779	38747	354	3	2
2014-03-27 05:15:20.750612	38748	1090978.0029150608	4	2
2014-03-27 05:15:27.841386	38749	21.0	1	10
2014-03-27 05:15:28.06536	38750	42	2	10
2014-03-27 05:15:32.511959	38751	370	3	2
2014-03-27 05:15:32.746494	38752	1090979.1519497824	4	2
2014-03-27 05:15:38.036251	38753	20.1	1	9
2014-03-27 05:15:38.262018	38754	48	2	9
2014-03-27 05:15:39.158892	38755	20.9	1	8
2014-03-27 05:15:39.394157	38756	46	2	8
2014-03-27 05:15:53.445924	38757	19.3	1	1
2014-03-27 05:15:53.670991	38758	49	2	1
2014-03-27 05:16:06.832672	38759	21.0	1	10
2014-03-27 05:16:07.067441	38760	42	2	10
2014-03-27 05:16:17.035706	38761	20.1	1	9
2014-03-27 05:16:17.261011	38762	48	2	9
2014-03-27 05:16:18.124486	38763	20.9	1	8
2014-03-27 05:16:18.357589	38764	46	2	8
2014-03-27 05:16:32.680428	38765	19.3	1	1
2014-03-27 05:16:32.905598	38766	49	2	1
2014-03-27 05:16:45.833846	38767	21.0	1	10
2014-03-27 05:16:46.06922	38768	42	2	10
2014-03-27 05:16:56.0374	38769	20.1	1	9
2014-03-27 05:16:56.26347	38770	48	2	9
2014-03-27 05:16:57.124485	38771	20.9	1	8
2014-03-27 05:16:57.368972	38772	46	2	8
2014-03-27 05:17:11.442628	38773	19.3	1	1
2014-03-27 05:17:11.668809	38774	49	2	1
2014-03-27 05:17:24.834233	38775	21.0	1	10
2014-03-27 05:17:25.067368	38776	42	2	10
2014-03-27 05:17:32.512325	38777	370	3	2
2014-03-27 05:17:32.739144	38778	1090991.7913317177	4	2
2014-03-27 05:17:35.036013	38779	20.1	1	9
2014-03-27 05:17:35.268808	38780	48	2	9
2014-03-27 05:17:36.123121	38781	20.9	1	8
2014-03-27 05:17:36.34858	38782	46	2	8
2014-03-27 05:17:50.441423	38783	19.3	1	1
2014-03-27 05:17:50.679884	38784	49	2	1
2014-03-27 05:18:03.834967	38785	21.0	1	10
2014-03-27 05:18:04.059397	38786	42	2	10
2014-03-27 05:18:14.035062	38787	20.1	1	9
2014-03-27 05:18:14.276027	38788	48	2	9
2014-03-27 05:18:15.12431	38789	20.9	1	8
2014-03-27 05:18:15.34799	38790	46	2	8
2014-03-27 05:18:29.443788	38791	19.3	1	1
2014-03-27 05:18:29.677189	38792	49	2	1
2014-03-27 05:18:32.514896	38793	354	3	2
2014-03-27 05:18:32.741032	38794	1090997.536505325	4	2
2014-03-27 05:18:42.834345	38795	21.0	1	10
2014-03-27 05:18:43.069793	38796	42	2	10
2014-03-27 05:18:53.037961	38797	20.1	1	9
2014-03-27 05:18:53.26502	38798	48	2	9
2014-03-27 05:18:54.126403	38799	20.9	1	8
2014-03-27 05:18:54.358957	38800	46	2	8
2014-03-27 05:19:08.441935	38801	19.3	1	1
2014-03-27 05:19:08.665208	38802	49	2	1
2014-03-27 05:19:21.834971	38803	21.0	1	10
2014-03-27 05:19:22.072051	38804	42	2	10
2014-03-27 05:19:32.034908	38805	20.1	1	9
2014-03-27 05:19:32.260803	38806	48	2	9
2014-03-27 05:19:32.569812	38807	354	3	2
2014-03-27 05:19:32.804744	38808	1091003.281678932	4	2
2014-03-27 05:19:33.125911	38809	20.9	1	8
2014-03-27 05:19:33.356175	38810	46	2	8
2014-03-27 05:19:47.443823	38811	19.3	1	1
2014-03-27 05:19:47.678291	38812	49	2	1
2014-03-27 05:20:00.835615	38813	21.0	1	10
2014-03-27 05:20:01.062738	38814	42	2	10
2014-03-27 05:20:11.038635	38815	20.1	1	9
2014-03-27 05:20:11.277395	38816	48	2	9
2014-03-27 05:20:12.123322	38817	20.9	1	8
2014-03-27 05:20:12.348898	38818	46	2	8
2014-03-27 05:20:20.513514	38819	402	3	2
2014-03-27 05:20:20.761994	38820	1091009.026852539	4	2
2014-03-27 05:20:26.442088	38821	19.3	1	1
2014-03-27 05:20:26.665691	38822	49	2	1
2014-03-27 05:20:32.512265	38823	402	3	2
2014-03-27 05:20:32.745821	38824	1091010.1758872606	4	2
2014-03-27 05:20:39.833681	38825	21.0	1	10
2014-03-27 05:20:40.057398	38826	42	2	10
2014-03-27 05:20:50.035109	38827	20.1	1	9
2014-03-27 05:20:50.272264	38828	48	2	9
2014-03-27 05:20:51.123867	38829	20.9	1	8
2014-03-27 05:20:51.348943	38830	46	2	8
2014-03-27 05:21:05.442167	38831	19.3	1	1
2014-03-27 05:21:05.676535	38832	49	2	1
2014-03-27 05:21:18.833845	38833	21.0	1	10
2014-03-27 05:21:19.057209	38834	42	2	10
2014-03-27 05:21:20.513712	38835	370	3	2
2014-03-27 05:21:20.74761	38836	1091015.9210608676	4	2
2014-03-27 05:21:29.035879	38837	20.1	1	9
2014-03-27 05:21:29.260925	38838	48	2	9
2014-03-27 05:21:30.123758	38839	20.9	1	8
2014-03-27 05:21:30.357001	38840	46	2	8
2014-03-27 05:21:32.512566	38841	402	3	2
2014-03-27 05:21:32.736244	38842	1091017.070095589	4	2
2014-03-27 05:21:57.837627	38843	21.0	1	10
2014-03-27 05:21:58.073402	38844	42	2	10
2014-03-27 05:22:08.036492	38845	20.1	1	9
2014-03-27 05:22:08.260547	38846	48	2	9
2014-03-27 05:22:09.124997	38847	20.9	1	8
2014-03-27 05:22:09.416166	38848	46	2	8
2014-03-27 05:22:23.440857	38849	19.3	1	1
2014-03-27 05:22:23.666239	38850	49	2	1
2014-03-27 05:22:32.512086	38851	402	3	2
2014-03-27 05:22:32.748965	38852	1091023.9643039175	4	2
2014-03-27 05:22:36.835839	38853	21.0	1	10
2014-03-27 05:22:37.060353	38854	42	2	10
2014-03-27 05:22:44.513102	38855	370	3	2
2014-03-27 05:22:44.755393	38856	1091025.1133386388	4	2
2014-03-27 05:22:47.03606	38857	20.1	1	9
2014-03-27 05:22:47.259634	38858	48	2	9
2014-03-27 05:22:48.125483	38859	20.9	1	8
2014-03-27 05:22:48.361747	38860	46	2	8
2014-03-27 05:22:56.512597	38861	370	3	2
2014-03-27 05:22:56.738842	38862	1091026.2623733603	4	2
2014-03-27 05:23:02.439035	38863	19.3	1	1
2014-03-27 05:23:02.672349	38864	49	2	1
2014-03-27 05:23:15.83702	38865	21.0	1	10
2014-03-27 05:23:16.245609	38866	42	2	10
2014-03-27 05:23:26.035549	38867	20.1	1	9
2014-03-27 05:23:26.31807	38868	48	2	9
2014-03-27 05:23:27.123089	38869	20.9	1	8
2014-03-27 05:23:27.38155	38870	46	2	8
2014-03-27 05:23:32.514001	38871	370	3	2
2014-03-27 05:23:32.782287	38872	1091029.7094775245	4	2
2014-03-27 05:23:41.442213	38873	19.3	1	1
2014-03-27 05:23:41.66794	38874	49	2	1
2014-03-27 05:23:54.834932	38875	21.0	1	10
2014-03-27 05:23:55.071478	38876	42	2	10
2014-03-27 05:24:05.04077	38877	20.1	1	9
2014-03-27 05:24:05.265467	38878	48	2	9
2014-03-27 05:24:06.123999	38879	20.9	1	8
2014-03-27 05:24:06.357039	38880	46	2	8
2014-03-27 05:24:20.435437	38881	19.3	1	1
2014-03-27 05:24:20.659738	38882	49	2	1
2014-03-27 05:24:32.51511	38883	354	3	2
2014-03-27 05:24:32.750115	38884	1091036.603685853	4	2
2014-03-27 05:24:33.835616	38885	21.0	1	10
2014-03-27 05:24:34.068861	38886	42	2	10
2014-03-27 05:24:44.036929	38887	20.1	1	9
2014-03-27 05:24:44.272782	38888	48	2	9
2014-03-27 05:24:45.124823	38889	20.9	1	8
2014-03-27 05:24:45.349653	38890	46	2	8
2014-03-27 05:24:59.442084	38891	19.3	1	1
2014-03-27 05:24:59.674455	38892	49	2	1
2014-03-27 05:25:12.835891	38893	21.0	1	10
2014-03-27 05:25:13.060402	38894	42	2	10
2014-03-27 05:25:23.036667	38895	20.1	1	9
2014-03-27 05:25:23.273011	38896	48	2	9
2014-03-27 05:25:24.124329	38897	20.9	1	8
2014-03-27 05:25:24.349092	38898	46	2	8
2014-03-27 05:25:32.511971	38899	370	3	2
2014-03-27 05:25:32.744401	38900	1091042.34885946	4	2
2014-03-27 05:25:38.437384	38901	19.3	1	1
2014-03-27 05:25:38.663264	38902	49	2	1
2014-03-27 05:25:51.834741	38903	21.0	1	10
2014-03-27 05:25:52.069503	38904	42	2	10
2014-03-27 05:26:02.035632	38905	20.1	1	9
2014-03-27 05:26:02.260526	38906	48	2	9
2014-03-27 05:26:03.124295	38907	20.9	1	8
2014-03-27 05:26:03.359503	38908	46	2	8
2014-03-27 05:26:17.441839	38909	19.3	1	1
2014-03-27 05:26:17.667456	38910	49	2	1
2014-03-27 05:26:30.836027	38911	21.0	1	10
2014-03-27 05:26:31.072836	38912	42	2	10
2014-03-27 05:26:32.515933	38913	434	3	2
2014-03-27 05:26:32.740569	38914	1091049.2430677887	4	2
2014-03-27 05:26:41.035723	38915	20.1	1	9
2014-03-27 05:26:41.281089	38916	48	2	9
2014-03-27 05:26:42.123742	38917	20.9	1	8
2014-03-27 05:26:42.346389	38918	46	2	8
2014-03-27 05:26:44.516172	38919	434	3	2
2014-03-27 05:26:44.756954	38920	1091050.39210251	4	2
2014-03-27 05:26:56.437971	38921	19.3	1	1
2014-03-27 05:26:56.663318	38922	49	2	1
2014-03-27 05:27:09.834561	38923	20.9	1	10
2014-03-27 05:27:10.069012	38924	42	2	10
2014-03-27 05:27:20.03619	38925	20.1	1	9
2014-03-27 05:27:20.259468	38926	48	2	9
2014-03-27 05:27:21.122936	38927	20.9	1	8
2014-03-27 05:27:21.357635	38928	46	2	8
2014-03-27 05:27:32.510984	38929	434	3	2
2014-03-27 05:27:32.736348	38930	1091056.137276117	4	2
2014-03-27 05:27:35.436429	38931	19.3	1	1
2014-03-27 05:27:35.671567	38932	49	2	1
2014-03-27 05:27:48.83629	38933	20.9	1	10
2014-03-27 05:27:49.061478	38934	42	2	10
2014-03-27 05:27:59.036457	38935	20.1	1	9
2014-03-27 05:27:59.269799	38936	48	2	9
2014-03-27 05:28:00.123577	38937	20.9	1	8
2014-03-27 05:28:00.348821	38938	46	2	8
2014-03-27 05:28:14.47051	38939	19.3	1	1
2014-03-27 05:28:14.710411	38940	49	2	1
2014-03-27 05:28:27.837058	38941	20.9	1	10
2014-03-27 05:28:28.061923	38942	42	2	10
2014-03-27 05:28:32.515951	38943	434	3	2
2014-03-27 05:28:32.751859	38944	1091063.0314844456	4	2
2014-03-27 05:28:38.035326	38945	20.1	1	9
2014-03-27 05:28:38.262626	38946	48	2	9
2014-03-27 05:28:39.123526	38947	20.8	1	8
2014-03-27 05:28:39.356058	38948	46	2	8
2014-03-27 05:28:53.436595	38949	19.3	1	1
2014-03-27 05:28:53.66276	38950	49	2	1
2014-03-27 05:29:06.836602	38951	20.9	1	10
2014-03-27 05:29:07.073556	38952	42	2	10
2014-03-27 05:29:17.037425	38953	20.1	1	9
2014-03-27 05:29:17.263479	38954	48	2	9
2014-03-27 05:29:18.124229	38955	20.8	1	8
2014-03-27 05:29:18.358712	38956	46	2	8
2014-03-27 05:29:45.836879	38957	20.9	1	10
2014-03-27 05:29:46.065055	38958	42	2	10
2014-03-27 05:29:56.037376	38959	20.1	1	9
2014-03-27 05:29:56.273176	38960	48	2	9
2014-03-27 05:29:57.126408	38961	20.8	1	8
2014-03-27 05:29:57.34956	38962	46	2	8
2014-03-27 05:30:11.435895	38963	19.3	1	1
2014-03-27 05:30:11.683052	38964	49	2	1
2014-03-27 05:30:24.836547	38965	20.9	1	10
2014-03-27 05:30:25.062691	38966	42	2	10
2014-03-27 05:30:32.510859	38967	370	3	2
2014-03-27 05:30:32.930302	38968	1091077.968935824	4	2
2014-03-27 05:30:35.037789	38969	20.1	1	9
2014-03-27 05:30:35.262079	38970	48	2	9
2014-03-27 05:30:36.123258	38971	20.8	1	8
2014-03-27 05:30:36.347436	38972	46	2	8
2014-03-27 05:30:44.510177	38973	370	3	2
2014-03-27 05:30:44.74761	38974	1091079.1179705453	4	2
2014-03-27 05:30:50.434597	38975	19.3	1	1
2014-03-27 05:30:50.660435	38976	49	2	1
2014-03-27 05:31:03.83679	38977	20.9	1	10
2014-03-27 05:31:04.069263	38978	42	2	10
2014-03-27 05:31:14.035244	38979	20.1	1	9
2014-03-27 05:31:14.257905	38980	48	2	9
2014-03-27 05:31:15.123991	38981	20.8	1	8
2014-03-27 05:31:15.35964	38982	46	2	8
2014-03-27 05:31:29.432446	38983	19.3	1	1
2014-03-27 05:31:29.659614	38984	49	2	1
2014-03-27 05:31:32.510137	38985	370	3	2
2014-03-27 05:31:32.741875	38986	1091083.714109431	4	2
2014-03-27 05:31:42.836433	38987	20.9	1	10
2014-03-27 05:31:43.080386	38988	42	2	10
2014-03-27 05:31:53.035782	38989	20.1	1	9
2014-03-27 05:31:53.27036	38990	48	2	9
2014-03-27 05:31:54.122968	38991	20.8	1	8
2014-03-27 05:31:54.346118	38992	46	2	8
2014-03-27 05:32:08.43402	38993	19.3	1	1
2014-03-27 05:32:08.669046	38994	49	2	1
2014-03-27 05:32:21.836353	38995	20.9	1	10
2014-03-27 05:32:22.059429	38996	42	2	10
2014-03-27 05:32:32.036001	38997	20.1	1	9
2014-03-27 05:32:32.269412	38998	48	2	9
2014-03-27 05:32:32.577611	38999	370	3	2
2014-03-27 05:32:32.800603	39000	1091089.459283038	4	2
2014-03-27 05:32:33.122388	39001	20.8	1	8
2014-03-27 05:32:33.356403	39002	46	2	8
2014-03-27 05:32:47.434787	39003	19.3	1	1
2014-03-27 05:32:47.663397	39004	49	2	1
2014-03-27 05:33:00.836499	39005	20.9	1	10
2014-03-27 05:33:01.069994	39006	42	2	10
2014-03-27 05:33:11.035236	39007	20.1	1	9
2014-03-27 05:33:11.257574	39008	48	2	9
2014-03-27 05:33:12.123121	39009	20.8	1	8
2014-03-27 05:33:12.356253	39010	46	2	8
2014-03-27 05:33:26.431923	39011	19.3	1	1
2014-03-27 05:33:26.6558	39012	49	2	1
2014-03-27 05:33:32.511441	39013	370	3	2
2014-03-27 05:33:32.757853	39014	1091096.3534913666	4	2
2014-03-27 05:33:39.839795	39015	20.9	1	10
2014-03-27 05:33:40.063692	39016	42	2	10
2014-03-27 05:33:50.03773	39017	20.1	1	9
2014-03-27 05:33:50.271264	39018	48	2	9
2014-03-27 05:33:51.122343	39019	20.8	1	8
2014-03-27 05:33:51.345287	39020	46	2	8
2014-03-27 05:34:05.431749	39021	19.3	1	1
2014-03-27 05:34:05.665095	39022	49	2	1
2014-03-27 05:34:18.837835	39023	20.9	1	10
2014-03-27 05:34:19.065372	39024	42	2	10
2014-03-27 05:34:20.51134	39025	305	3	2
2014-03-27 05:34:20.744835	39026	1091100.9496302523	4	2
2014-03-27 05:34:29.036029	39027	20.1	1	9
2014-03-27 05:34:29.258811	39028	48	2	9
2014-03-27 05:34:30.12269	39029	20.8	1	8
2014-03-27 05:34:30.355705	39030	46	2	8
2014-03-27 05:34:32.509373	39031	305	3	2
2014-03-27 05:34:32.733792	39032	1091102.0986649736	4	2
2014-03-27 05:34:44.431627	39033	19.3	1	1
2014-03-27 05:34:44.671786	39034	49	2	1
2014-03-27 05:34:57.838109	39035	20.8	1	10
2014-03-27 05:34:58.063146	39036	42	2	10
2014-03-27 05:35:08.036477	39037	20.1	1	9
2014-03-27 05:35:08.270912	39038	48	2	9
2014-03-27 05:35:09.125757	39039	20.8	1	8
2014-03-27 05:35:09.348745	39040	46	2	8
2014-03-27 05:35:23.430454	39041	19.3	1	1
2014-03-27 05:35:23.667142	39042	49	2	1
2014-03-27 05:35:32.512612	39043	305	3	2
2014-03-27 05:35:32.736622	39044	1091106.6948038593	4	2
2014-03-27 05:35:36.839067	39045	20.8	1	10
2014-03-27 05:35:37.07287	39046	42	2	10
2014-03-27 05:35:47.035284	39047	20.1	1	9
2014-03-27 05:35:47.261191	39048	48	2	9
2014-03-27 05:35:48.126609	39049	20.8	1	8
2014-03-27 05:35:48.360537	39050	46	2	8
2014-03-27 05:36:02.433147	39051	19.3	1	1
2014-03-27 05:36:02.656796	39052	49	2	1
2014-03-27 05:36:15.841035	39053	20.8	1	10
2014-03-27 05:36:16.073792	39054	42	2	10
2014-03-27 05:36:26.035317	39055	20.1	1	9
2014-03-27 05:36:26.260023	39056	48	2	9
2014-03-27 05:36:27.123906	39057	20.8	1	8
2014-03-27 05:36:27.359604	39058	46	2	8
2014-03-27 05:36:32.512554	39059	305	3	2
2014-03-27 05:36:32.737816	39060	1091112.4399774664	4	2
2014-03-27 05:36:41.429881	39061	19.3	1	1
2014-03-27 05:36:41.675509	39062	49	2	1
2014-03-27 05:36:54.84176	39063	20.8	1	10
2014-03-27 05:36:55.066151	39064	42	2	10
2014-03-27 05:37:05.036849	39065	20.1	1	9
2014-03-27 05:37:05.271218	39066	48	2	9
2014-03-27 05:37:06.124233	39067	20.8	1	8
2014-03-27 05:37:06.347416	39068	46	2	8
2014-03-27 05:37:08.513461	39069	370	3	2
2014-03-27 05:37:08.747106	39070	1091115.8870816308	4	2
2014-03-27 05:37:32.513821	39071	370	3	2
2014-03-27 05:37:32.738958	39072	1091118.1851510734	4	2
2014-03-27 05:37:33.840189	39073	20.8	1	10
2014-03-27 05:37:34.076607	39074	42	2	10
2014-03-27 05:37:44.037611	39075	20.1	1	9
2014-03-27 05:37:44.26546	39076	48	2	9
2014-03-27 05:37:45.124558	39077	20.8	1	8
2014-03-27 05:37:45.357615	39078	46	2	8
2014-03-27 05:37:59.669513	39079	19.3	1	1
2014-03-27 05:37:59.894783	39080	49	2	1
2014-03-27 05:38:12.840762	39081	20.8	1	10
2014-03-27 05:38:13.075341	39082	42	2	10
2014-03-27 05:38:23.038556	39083	20.1	1	9
2014-03-27 05:38:23.265991	39084	48	2	9
2014-03-27 05:38:24.124028	39085	20.8	1	8
2014-03-27 05:38:24.357345	39086	46	2	8
2014-03-27 05:38:32.513127	39087	354	3	2
2014-03-27 05:38:32.739049	39088	1091123.9303246806	4	2
2014-03-27 05:38:38.42798	39089	19.3	1	1
2014-03-27 05:38:38.665266	39090	49	2	1
2014-03-27 05:38:51.841072	39091	20.8	1	10
2014-03-27 05:38:52.067318	39092	42	2	10
2014-03-27 05:39:02.035734	39093	20.1	1	9
2014-03-27 05:39:02.270532	39094	48	2	9
2014-03-27 05:39:03.124881	39095	20.8	1	8
2014-03-27 05:39:03.348656	39096	46	2	8
2014-03-27 05:39:17.432893	39097	19.3	1	1
2014-03-27 05:39:17.666441	39098	49	2	1
2014-03-27 05:39:30.842956	39099	20.8	1	10
2014-03-27 05:39:31.068285	39100	42	2	10
2014-03-27 05:39:32.510762	39101	354	3	2
2014-03-27 05:39:32.747887	39102	1091129.6754982877	4	2
2014-03-27 05:39:41.036295	39103	20.1	1	9
2014-03-27 05:39:41.259662	39104	48	2	9
2014-03-27 05:39:42.124231	39105	20.8	1	8
2014-03-27 05:39:42.360125	39106	46	2	8
2014-03-27 05:39:56.430002	39107	19.3	1	1
2014-03-27 05:39:56.655137	39108	49	2	1
2014-03-27 05:40:09.879414	39109	20.8	1	10
2014-03-27 05:40:10.143696	39110	42	2	10
2014-03-27 05:40:20.037383	39111	20.1	1	9
2014-03-27 05:40:20.260581	39112	48	2	9
2014-03-27 05:40:21.124393	39113	20.8	1	8
2014-03-27 05:40:21.358215	39114	46	2	8
2014-03-27 05:40:32.51293	39115	354	3	2
2014-03-27 05:40:32.737353	39116	1091135.4206718947	4	2
2014-03-27 05:40:35.429557	39117	19.3	1	1
2014-03-27 05:40:35.663834	39118	49	2	1
2014-03-27 05:40:48.839517	39119	20.8	1	10
2014-03-27 05:40:49.064342	39120	42	2	10
2014-03-27 05:40:59.035554	39121	20.1	1	9
2014-03-27 05:40:59.27197	39122	48	2	9
2014-03-27 05:41:00.125793	39123	20.8	1	8
2014-03-27 05:41:00.349084	39124	46	2	8
2014-03-27 05:41:14.427144	39125	19.3	1	1
2014-03-27 05:41:14.660396	39126	49	2	1
2014-03-27 05:41:27.840634	39127	20.8	1	10
2014-03-27 05:41:28.065158	39128	42	2	10
2014-03-27 05:41:32.50964	39129	305	3	2
2014-03-27 05:41:32.745204	39130	1091141.1658455017	4	2
2014-03-27 05:41:38.036555	39131	20.1	1	9
2014-03-27 05:41:38.263828	39132	48	2	9
2014-03-27 05:41:39.124077	39133	20.8	1	8
2014-03-27 05:41:39.359243	39134	46	2	8
2014-03-27 05:41:44.509856	39135	305	3	2
2014-03-27 05:41:44.734729	39136	1091142.3148802232	4	2
2014-03-27 05:41:53.429451	39137	19.3	1	1
2014-03-27 05:41:53.66424	39138	49	2	1
2014-03-27 05:42:06.842169	39139	20.8	1	10
2014-03-27 05:42:07.068128	39140	42	2	10
2014-03-27 05:42:17.035805	39141	20.1	1	9
2014-03-27 05:42:17.271335	39142	48	2	9
2014-03-27 05:42:18.123743	39143	20.8	1	8
2014-03-27 05:42:18.34969	39144	46	2	8
2014-03-27 05:42:45.840627	39145	20.8	1	10
2014-03-27 05:42:46.086994	39146	42	2	10
2014-03-27 05:42:56.036041	39147	20.1	1	9
2014-03-27 05:42:56.261432	39148	48	2	9
2014-03-27 05:42:57.124395	39149	20.8	1	8
2014-03-27 05:42:57.357462	39150	46	2	8
2014-03-27 05:43:11.428845	39151	19.3	1	1
2014-03-27 05:43:11.659995	39152	49	2	1
2014-03-27 05:43:24.840622	39153	20.7	1	10
2014-03-27 05:43:25.076131	39154	42	2	10
2014-03-27 05:43:32.512261	39155	305	3	2
2014-03-27 05:43:32.740642	39156	1091151.5071579944	4	2
2014-03-27 05:43:35.036907	39157	20.1	1	9
2014-03-27 05:43:35.281378	39158	48	2	9
2014-03-27 05:43:36.124411	39159	20.8	1	8
2014-03-27 05:43:36.348693	39160	46	2	8
2014-03-27 05:43:50.425894	39161	19.3	1	1
2014-03-27 05:43:50.659081	39162	49	2	1
2014-03-27 05:44:03.84235	39163	20.7	1	10
2014-03-27 05:44:04.066901	39164	42	2	10
2014-03-27 05:44:14.036542	39165	20.1	1	9
2014-03-27 05:44:14.269524	39166	48	2	9
2014-03-27 05:44:15.122901	39167	20.8	1	8
2014-03-27 05:44:15.35376	39168	46	2	8
2014-03-27 05:44:29.425613	39169	19.3	1	1
2014-03-27 05:44:29.660852	39170	49	2	1
2014-03-27 05:44:32.510674	39171	305	3	2
2014-03-27 05:44:32.732179	39172	1091157.2523316017	4	2
2014-03-27 05:44:42.843368	39173	20.7	1	10
2014-03-27 05:44:43.077599	39174	42	2	10
2014-03-27 05:44:53.036195	39175	20.1	1	9
2014-03-27 05:44:53.259816	39176	48	2	9
2014-03-27 05:44:54.122654	39177	20.8	1	8
2014-03-27 05:44:54.355915	39178	46	2	8
2014-03-27 05:45:08.425677	39179	19.3	1	1
2014-03-27 05:45:08.647675	39180	49	2	1
2014-03-27 05:45:21.84212	39181	20.7	1	10
2014-03-27 05:45:22.078062	39182	42	2	10
2014-03-27 05:45:32.037142	39183	20.1	1	9
2014-03-27 05:45:32.262828	39184	48	2	9
2014-03-27 05:45:32.570483	39185	305	3	2
2014-03-27 05:45:32.808466	39186	1091161.8484704872	4	2
2014-03-27 05:45:33.123149	39187	20.8	1	8
2014-03-27 05:45:33.345946	39188	46	2	8
2014-03-27 05:45:47.425479	39189	19.3	1	1
2014-03-27 05:45:47.660725	39190	49	2	1
2014-03-27 05:46:00.840704	39191	20.7	1	10
2014-03-27 05:46:01.067101	39192	42	2	10
2014-03-27 05:46:11.036375	39193	20.1	1	9
2014-03-27 05:46:11.273512	39194	48	2	9
2014-03-27 05:46:12.125286	39195	20.8	1	8
2014-03-27 05:46:12.348916	39196	46	2	8
2014-03-27 05:46:26.459893	39197	19.3	1	1
2014-03-27 05:46:26.694516	39198	49	2	1
2014-03-27 05:46:32.514196	39199	305	3	2
2014-03-27 05:46:32.740138	39200	1091166.4490803252	4	2
2014-03-27 05:46:39.841385	39201	20.7	1	10
2014-03-27 05:46:40.133647	39202	42	2	10
2014-03-27 05:46:50.036125	39203	20.1	1	9
2014-03-27 05:46:50.263327	39204	48	2	9
2014-03-27 05:46:51.122439	39205	20.8	1	8
2014-03-27 05:46:51.368613	39206	46	2	8
2014-03-27 05:47:05.42396	39207	19.3	1	1
2014-03-27 05:47:05.648956	39208	49	2	1
2014-03-27 05:47:18.842709	39209	20.7	1	10
2014-03-27 05:47:19.075982	39210	42	2	10
2014-03-27 05:47:29.036134	39211	20.1	1	9
2014-03-27 05:47:29.260902	39212	48	2	9
2014-03-27 05:47:30.123265	39213	20.8	1	8
2014-03-27 05:47:30.358744	39214	46	2	8
2014-03-27 05:47:32.511929	39215	305	3	2
2014-03-27 05:47:32.735466	39216	1091171.045219211	4	2
2014-03-27 05:47:44.426554	39217	19.3	1	1
2014-03-27 05:47:44.661289	39218	49	2	1
2014-03-27 05:47:57.84502	39219	20.7	1	10
2014-03-27 05:47:58.070449	39220	42	2	10
2014-03-27 05:48:08.03551	39221	20.1	1	9
2014-03-27 05:48:08.269312	39222	48	2	9
2014-03-27 05:48:09.124082	39223	20.8	1	8
2014-03-27 05:48:09.34874	39224	46	2	8
2014-03-27 05:48:20.513095	39225	370	3	2
2014-03-27 05:48:20.768326	39226	1091175.6413580964	4	2
2014-03-27 05:48:23.421227	39227	19.3	1	1
2014-03-27 05:48:23.646828	39228	49	2	1
2014-03-27 05:48:32.510006	39229	370	3	2
2014-03-27 05:48:32.745656	39230	1091176.790392818	4	2
2014-03-27 05:48:36.842233	39231	20.7	1	10
2014-03-27 05:48:37.068813	39232	42	2	10
2014-03-27 05:48:47.037158	39233	20.1	1	9
2014-03-27 05:48:47.272061	39234	48	2	9
2014-03-27 05:48:48.122683	39235	20.8	1	8
2014-03-27 05:48:48.346138	39236	46	2	8
2014-03-27 05:49:02.42408	39237	19.3	1	1
2014-03-27 05:49:02.660273	39238	49	2	1
2014-03-27 05:49:15.843154	39239	20.7	1	10
2014-03-27 05:49:16.073573	39240	42	2	10
2014-03-27 05:49:26.036662	39241	20.1	1	9
2014-03-27 05:49:26.27181	39242	48	2	9
2014-03-27 05:49:27.12286	39243	20.8	1	8
2014-03-27 05:49:27.346068	39244	46	2	8
2014-03-27 05:49:32.510175	39245	370	3	2
2014-03-27 05:49:32.747075	39246	1091182.535566425	4	2
2014-03-27 05:49:41.422333	39247	19.3	1	1
2014-03-27 05:49:41.646377	39248	49	2	1
2014-03-27 05:49:54.845397	39249	20.7	1	10
2014-03-27 05:49:55.077974	39250	42	2	10
2014-03-27 05:50:05.03607	39251	20.1	1	9
2014-03-27 05:50:05.261914	39252	48	2	9
2014-03-27 05:50:06.126956	39253	20.8	1	8
2014-03-27 05:50:06.373444	39254	46	2	8
2014-03-27 05:50:20.425904	39255	19.3	1	1
2014-03-27 05:50:20.64941	39256	49	2	1
2014-03-27 05:50:32.507775	39257	370	3	2
2014-03-27 05:50:32.742653	39258	1091189.4297747535	4	2
2014-03-27 05:50:33.842995	39259	20.7	1	10
2014-03-27 05:50:34.066458	39260	42	2	10
2014-03-27 05:50:44.036981	39261	20.1	1	9
2014-03-27 05:50:44.270353	39262	48	2	9
2014-03-27 05:50:45.122716	39263	20.8	1	8
2014-03-27 05:50:45.353827	39264	46	2	8
2014-03-27 05:50:59.420464	39265	19.3	1	1
2014-03-27 05:50:59.654276	39266	49	2	1
2014-03-27 05:51:12.843636	39267	20.7	1	10
2014-03-27 05:51:13.069967	39268	42	2	10
2014-03-27 05:51:23.035206	39269	20.1	1	9
2014-03-27 05:51:23.27139	39270	48	2	9
2014-03-27 05:51:24.123854	39271	20.8	1	8
2014-03-27 05:51:24.347904	39272	46	2	8
2014-03-27 05:51:32.507745	39273	370	3	2
2014-03-27 05:51:32.741975	39274	1091195.1749483605	4	2
2014-03-27 05:51:38.425176	39275	19.3	1	1
2014-03-27 05:51:38.649214	39276	49	2	1
2014-03-27 05:51:44.510149	39277	305	3	2
2014-03-27 05:51:44.744786	39278	1091196.3239830818	4	2
2014-03-27 05:51:51.843119	39279	20.7	1	10
2014-03-27 05:51:52.067221	39280	42	2	10
2014-03-27 05:51:56.511179	39281	305	3	2
2014-03-27 05:51:56.744765	39282	1091197.4730178034	4	2
2014-03-27 05:52:02.036518	39283	20.1	1	9
2014-03-27 05:52:02.270837	39284	48	2	9
2014-03-27 05:52:03.123919	39285	20.8	1	8
2014-03-27 05:52:03.358282	39286	46	2	8
2014-03-27 05:52:08.512174	39287	338	3	2
2014-03-27 05:52:08.736342	39288	1091198.6220525247	4	2
2014-03-27 05:52:17.425792	39289	19.3	1	1
2014-03-27 05:52:17.660461	39290	49	2	1
2014-03-27 05:52:20.512391	39291	338	3	2
2014-03-27 05:52:20.735623	39292	1091199.7710872462	4	2
2014-03-27 05:52:30.843583	39293	20.7	1	10
2014-03-27 05:52:31.078781	39294	42	2	10
2014-03-27 05:52:32.508636	39295	338	3	2
2014-03-27 05:52:32.732934	39296	1091200.9201219676	4	2
2014-03-27 05:52:41.036278	39297	20.0	1	9
2014-03-27 05:52:41.272819	39298	48	2	9
2014-03-27 05:52:42.122751	39299	20.8	1	8
2014-03-27 05:52:42.356507	39300	46	2	8
2014-03-27 05:52:44.510827	39301	305	3	2
2014-03-27 05:52:44.757706	39302	1091202.069156689	4	2
2014-03-27 05:53:09.84458	39303	20.7	1	10
2014-03-27 05:53:10.068092	39304	42	2	10
2014-03-27 05:53:20.036423	39305	20.0	1	9
2014-03-27 05:53:20.269574	39306	48	2	9
2014-03-27 05:53:21.122576	39307	20.8	1	8
2014-03-27 05:53:21.346338	39308	46	2	8
2014-03-27 05:53:32.51103	39309	305	3	2
2014-03-27 05:53:32.746413	39310	1091205.5162608533	4	2
2014-03-27 05:53:35.457354	39311	19.3	1	1
2014-03-27 05:53:35.680437	39312	49	2	1
2014-03-27 05:53:48.844394	39313	20.7	1	10
2014-03-27 05:53:49.08201	39314	42	2	10
2014-03-27 05:53:59.035047	39315	20.0	1	9
2014-03-27 05:53:59.259438	39316	48	2	9
2014-03-27 05:54:00.123899	39317	20.8	1	8
2014-03-27 05:54:00.356303	39318	46	2	8
2014-03-27 05:54:14.417581	39319	19.3	1	1
2014-03-27 05:54:14.645622	39320	49	2	1
2014-03-27 05:54:27.843546	39321	20.7	1	10
2014-03-27 05:54:28.079437	39322	42	2	10
2014-03-27 05:54:32.512752	39323	305	3	2
2014-03-27 05:54:32.738115	39324	1091211.2614344603	4	2
2014-03-27 05:54:38.035482	39325	20.0	1	9
2014-03-27 05:54:38.268732	39326	48	2	9
2014-03-27 05:54:39.12308	39327	20.8	1	8
2014-03-27 05:54:39.347551	39328	46	2	8
2014-03-27 05:54:53.421121	39329	19.3	1	1
2014-03-27 05:54:53.654502	39330	49	2	1
2014-03-27 05:55:06.845582	39331	20.7	1	10
2014-03-27 05:55:07.071268	39332	42	2	10
2014-03-27 05:55:17.035601	39333	20.0	1	9
2014-03-27 05:55:17.270364	39334	48	2	9
2014-03-27 05:55:18.122769	39335	20.8	1	8
2014-03-27 05:55:18.348254	39336	46	2	8
2014-03-27 05:55:45.84431	39337	20.7	1	10
2014-03-27 05:55:46.084468	39338	42	2	10
2014-03-27 05:55:56.035323	39339	20.0	1	9
2014-03-27 05:55:56.259901	39340	48	2	9
2014-03-27 05:55:57.123586	39341	20.8	1	8
2014-03-27 05:55:57.357364	39342	46	2	8
2014-03-27 05:56:11.42198	39343	19.3	1	1
2014-03-27 05:56:11.646826	39344	49	2	1
2014-03-27 05:56:24.844364	39345	20.7	1	10
2014-03-27 05:56:25.082303	39346	42	2	10
2014-03-27 05:56:32.510258	39347	305	3	2
2014-03-27 05:56:32.746193	39348	1091221.602746953	4	2
2014-03-27 05:56:35.036893	39349	20.0	1	9
2014-03-27 05:56:35.280457	39350	48	2	9
2014-03-27 05:56:36.124351	39351	20.8	1	8
2014-03-27 05:56:36.347545	39352	46	2	8
2014-03-27 05:56:50.418808	39353	19.3	1	1
2014-03-27 05:56:50.655076	39354	49	2	1
2014-03-27 05:57:03.84504	39355	20.7	1	10
2014-03-27 05:57:04.069823	39356	42	2	10
2014-03-27 05:57:14.035429	39357	20.0	1	9
2014-03-27 05:57:14.274996	39358	48	2	9
2014-03-27 05:57:15.123495	39359	20.8	1	8
2014-03-27 05:57:15.350885	39360	46	2	8
2014-03-27 05:57:29.418257	39361	19.3	1	1
2014-03-27 05:57:29.653454	39362	49	2	1
2014-03-27 05:57:32.509112	39363	305	3	2
2014-03-27 05:57:32.733595	39364	1091226.1988858387	4	2
2014-03-27 05:57:42.844738	39365	20.6	1	10
2014-03-27 05:57:43.080168	39366	42	2	10
2014-03-27 05:57:53.03484	39367	20.0	1	9
2014-03-27 05:57:53.2622	39368	48	2	9
2014-03-27 05:57:54.122804	39369	20.8	1	8
2014-03-27 05:57:54.356526	39370	46	2	8
2014-03-27 05:58:20.511835	39371	354	3	2
2014-03-27 05:58:20.737841	39372	1091230.7950247244	4	2
2014-03-27 05:58:21.846061	39373	20.6	1	10
2014-03-27 05:58:22.080041	39374	42	2	10
2014-03-27 05:58:32.034259	39375	20.0	1	9
2014-03-27 05:58:32.259627	39376	48	2	9
2014-03-27 05:58:32.570162	39377	354	3	2
2014-03-27 05:58:32.805707	39378	1091231.9440594458	4	2
2014-03-27 05:58:33.122414	39379	20.8	1	8
2014-03-27 05:58:33.346756	39380	46	2	8
2014-03-27 05:58:47.422583	39381	19.3	1	1
2014-03-27 05:58:47.65591	39382	49	2	1
2014-03-27 05:59:00.845933	39383	20.6	1	10
2014-03-27 05:59:01.069303	39384	42	2	10
2014-03-27 05:59:11.035908	39385	20.0	1	9
2014-03-27 05:59:11.269816	39386	48	2	9
2014-03-27 05:59:12.122376	39387	20.8	1	8
2014-03-27 05:59:12.348041	39388	46	2	8
2014-03-27 05:59:26.417765	39389	19.3	1	1
2014-03-27 05:59:26.653783	39390	49	2	1
2014-03-27 05:59:32.510084	39391	354	3	2
2014-03-27 05:59:32.738124	39392	1091237.6892330528	4	2
2014-03-27 05:59:39.846212	39393	20.6	1	10
2014-03-27 05:59:40.082452	39394	42	2	10
2014-03-27 05:59:50.036232	39395	20.0	1	9
2014-03-27 05:59:50.26452	39396	48	2	9
2014-03-27 05:59:51.123375	39397	20.8	1	8
2014-03-27 05:59:51.368597	39398	46	2	8
2014-03-27 06:00:05.416816	39399	19.3	1	1
2014-03-27 06:00:05.640841	39400	49	2	1
2014-03-27 06:00:18.844894	39401	20.6	1	10
2014-03-27 06:00:19.078916	39402	42	2	10
2014-03-27 06:00:29.034876	39403	20.0	1	9
2014-03-27 06:00:29.25911	39404	48	2	9
2014-03-27 06:00:30.122207	39405	20.8	1	8
2014-03-27 06:00:30.356316	39406	46	2	8
2014-03-27 06:00:32.510413	39407	370	3	2
2014-03-27 06:00:32.734706	39408	1091243.43440666	4	2
2014-03-27 06:00:44.415631	39409	19.3	1	1
2014-03-27 06:00:44.649369	39410	49	2	1
2014-03-27 06:00:57.846273	39411	20.6	1	10
2014-03-27 06:00:58.070006	39412	42	2	10
2014-03-27 06:01:08.033998	39413	20.0	1	9
2014-03-27 06:01:08.274868	39414	48	2	9
2014-03-27 06:01:09.122594	39415	20.8	1	8
2014-03-27 06:01:09.347545	39416	46	2	8
2014-03-27 06:01:23.415286	39417	19.3	1	1
2014-03-27 06:01:23.649201	39418	49	2	1
2014-03-27 06:01:32.508063	39419	370	3	2
2014-03-27 06:01:32.732546	39420	1091250.3286149884	4	2
2014-03-27 06:01:36.848652	39421	20.6	1	10
2014-03-27 06:01:37.083024	39422	42	2	10
2014-03-27 06:01:47.037346	39423	20.0	1	9
2014-03-27 06:01:47.26113	39424	48	2	9
2014-03-27 06:01:48.122014	39425	20.8	1	8
2014-03-27 06:01:48.364481	39426	46	2	8
2014-03-27 06:02:02.415885	39427	19.3	1	1
2014-03-27 06:02:02.639098	39428	49	2	1
2014-03-27 06:02:15.845681	39429	20.6	1	10
2014-03-27 06:02:16.087312	39430	42	2	10
2014-03-27 06:02:26.034647	39431	20.0	1	9
2014-03-27 06:02:26.260276	39432	48	2	9
2014-03-27 06:02:27.124271	39433	20.8	1	8
2014-03-27 06:02:27.357687	39434	46	2	8
2014-03-27 06:02:32.507406	39435	354	3	2
2014-03-27 06:02:32.732358	39436	1091256.0737885956	4	2
2014-03-27 06:02:41.41283	39437	19.3	1	1
2014-03-27 06:02:41.650633	39438	49	2	1
2014-03-27 06:02:44.508495	39439	305	3	2
2014-03-27 06:02:44.731672	39440	1091257.222823317	4	2
2014-03-27 06:02:54.846785	39441	20.6	1	10
2014-03-27 06:02:55.081322	39442	42	2	10
2014-03-27 06:02:56.510101	39443	305	3	2
2014-03-27 06:02:56.735001	39444	1091258.3718580382	4	2
2014-03-27 06:03:05.036162	39445	20.0	1	9
2014-03-27 06:03:05.282695	39446	48	2	9
2014-03-27 06:03:06.122339	39447	20.8	1	8
2014-03-27 06:03:06.347792	39448	46	2	8
2014-03-27 06:03:20.414136	39449	19.3	1	1
2014-03-27 06:03:20.648976	39450	49	2	1
2014-03-27 06:03:32.508604	39451	305	3	2
2014-03-27 06:03:32.733636	39452	1091260.669927481	4	2
2014-03-27 06:03:33.846572	39453	20.6	1	10
2014-03-27 06:03:34.081522	39454	42	2	10
2014-03-27 06:03:44.035814	39455	20.0	1	9
2014-03-27 06:03:44.260826	39456	48	2	9
2014-03-27 06:03:45.122746	39457	20.8	1	8
2014-03-27 06:03:45.35939	39458	46	2	8
2014-03-27 06:03:59.414394	39459	19.2	1	1
2014-03-27 06:03:59.641212	39460	49	2	1
2014-03-27 06:04:12.848773	39461	20.6	1	10
2014-03-27 06:04:13.084146	39462	42	2	10
2014-03-27 06:04:23.036086	39463	20.0	1	9
2014-03-27 06:04:23.260929	39464	48	2	9
2014-03-27 06:04:24.122824	39465	20.8	1	8
2014-03-27 06:04:24.356713	39466	46	2	8
2014-03-27 06:04:32.511078	39467	305	3	2
2014-03-27 06:04:32.737418	39468	1091266.4151010884	4	2
2014-03-27 06:04:38.449367	39469	19.2	1	1
2014-03-27 06:04:38.687002	39470	49	2	1
2014-03-27 06:04:51.84759	39471	20.6	1	10
2014-03-27 06:04:52.072091	39472	42	2	10
2014-03-27 06:05:02.035662	39473	20.0	1	9
2014-03-27 06:05:02.269053	39474	48	2	9
2014-03-27 06:05:03.121135	39475	20.8	1	8
2014-03-27 06:05:03.345864	39476	46	2	8
2014-03-27 06:05:17.416818	39477	19.2	1	1
2014-03-27 06:05:17.653112	39478	49	2	1
2014-03-27 06:05:30.646945	39479	338	3	2
2014-03-27 06:05:30.87575	39480	1091269.8622052525	4	2
2014-03-27 06:05:31.183625	39481	20.6	1	10
2014-03-27 06:05:31.416822	39482	42	2	10
2014-03-27 06:05:32.509486	39483	305	3	2
2014-03-27 06:05:32.73693	39484	1091271.0112399738	4	2
2014-03-27 06:05:41.03519	39485	20.0	1	9
2014-03-27 06:05:41.269407	39486	48	2	9
2014-03-27 06:05:42.122698	39487	20.8	1	8
2014-03-27 06:05:42.348131	39488	46	2	8
2014-03-27 06:05:44.507097	39489	305	3	2
2014-03-27 06:05:44.743881	39490	1091272.1602746954	4	2
2014-03-27 06:05:56.446183	39491	19.2	1	1
2014-03-27 06:05:56.671211	39492	49	2	1
2014-03-27 06:06:09.848621	39493	20.6	1	10
2014-03-27 06:06:10.093606	39494	42	2	10
2014-03-27 06:06:20.036176	39495	20.0	1	9
2014-03-27 06:06:20.261595	39496	48	2	9
2014-03-27 06:06:21.121831	39497	20.8	1	8
2014-03-27 06:06:21.357417	39498	46	2	8
2014-03-27 06:06:32.506191	39499	305	3	2
2014-03-27 06:06:32.731224	39500	1091276.756413581	4	2
2014-03-27 06:06:35.414535	39501	19.2	1	1
2014-03-27 06:06:35.650166	39502	49	2	1
2014-03-27 06:06:48.846621	39503	20.5	1	10
2014-03-27 06:06:49.073642	39504	42	2	10
2014-03-27 06:06:59.043518	39505	20.0	1	9
2014-03-27 06:06:59.277432	39506	48	2	9
2014-03-27 06:07:00.121876	39507	20.8	1	8
2014-03-27 06:07:00.346246	39508	46	2	8
2014-03-27 06:07:14.413152	39509	19.2	1	1
2014-03-27 06:07:14.647931	39510	49	2	1
2014-03-27 06:07:27.848685	39511	20.5	1	10
2014-03-27 06:07:28.073466	39512	42	2	10
2014-03-27 06:07:32.50998	39513	305	3	2
2014-03-27 06:07:32.744302	39514	1091281.3525524666	4	2
2014-03-27 06:07:38.03555	39515	20.0	1	9
2014-03-27 06:07:38.278501	39516	48	2	9
2014-03-27 06:07:39.134309	39517	20.8	1	8
2014-03-27 06:07:39.369066	39518	46	2	8
2014-03-27 06:07:53.412906	39519	19.2	1	1
2014-03-27 06:07:53.636421	39520	49	2	1
2014-03-27 06:08:06.848737	39521	20.5	1	10
2014-03-27 06:08:07.086105	39522	42	2	10
2014-03-27 06:08:17.035005	39523	20.0	1	9
2014-03-27 06:08:17.260793	39524	48	2	9
2014-03-27 06:08:18.122456	39525	20.8	1	8
2014-03-27 06:08:18.357206	39526	46	2	8
2014-03-27 06:08:45.849137	39527	20.5	1	10
2014-03-27 06:08:46.076703	39528	42	2	10
2014-03-27 06:08:56.038078	39529	20.0	1	9
2014-03-27 06:08:56.271351	39530	48	2	9
2014-03-27 06:08:57.122018	39531	20.8	1	8
2014-03-27 06:08:57.347874	39532	46	2	8
2014-03-27 06:09:11.41347	39533	19.2	1	1
2014-03-27 06:09:11.647565	39534	49	2	1
2014-03-27 06:09:20.511161	39535	354	3	2
2014-03-27 06:09:20.735602	39536	1091290.544830238	4	2
2014-03-27 06:09:24.848872	39537	20.5	1	10
2014-03-27 06:09:25.082884	39538	42	2	10
2014-03-27 06:09:32.510989	39539	354	3	2
2014-03-27 06:09:32.734207	39540	1091291.6938649593	4	2
2014-03-27 06:09:35.034629	39541	20.0	1	9
2014-03-27 06:09:35.280255	39542	48	2	9
2014-03-27 06:09:36.122415	39543	20.8	1	8
2014-03-27 06:09:36.34559	39544	46	2	8
2014-03-27 06:09:50.410936	39545	19.2	1	1
2014-03-27 06:09:50.64781	39546	49	2	1
2014-03-27 06:10:03.848856	39547	20.5	1	10
2014-03-27 06:10:04.072299	39548	42	2	10
2014-03-27 06:10:14.035374	39549	20.0	1	9
2014-03-27 06:10:14.270678	39550	48	2	9
2014-03-27 06:10:15.122458	39551	20.8	1	8
2014-03-27 06:10:15.346767	39552	46	2	8
2014-03-27 06:10:29.412761	39553	19.2	1	1
2014-03-27 06:10:29.648689	39554	49	2	1
2014-03-27 06:10:32.51088	39555	354	3	2
2014-03-27 06:10:32.74099	39556	1091297.4390385665	4	2
2014-03-27 06:10:42.85052	39557	20.5	1	10
2014-03-27 06:10:43.086417	39558	42	2	10
2014-03-27 06:10:53.03514	39559	20.0	1	9
2014-03-27 06:10:53.25883	39560	48	2	9
2014-03-27 06:10:54.121983	39561	20.8	1	8
2014-03-27 06:10:54.355469	39562	46	2	8
2014-03-27 06:11:08.41259	39563	19.2	1	1
2014-03-27 06:11:08.640352	39564	49	2	1
2014-03-27 06:11:21.851601	39565	20.5	1	10
2014-03-27 06:11:22.085901	39566	42	2	10
2014-03-27 06:11:32.036463	39567	20.0	1	9
2014-03-27 06:11:32.26202	39568	48	2	9
2014-03-27 06:11:32.571085	39569	354	3	2
2014-03-27 06:11:32.806601	39570	1091304.3332468949	4	2
2014-03-27 06:11:33.122637	39571	20.8	1	8
2014-03-27 06:11:33.345269	39572	46	2	8
2014-03-27 06:11:47.409012	39573	19.2	1	1
2014-03-27 06:11:47.643715	39574	49	2	1
2014-03-27 06:12:00.849062	39575	20.5	1	10
2014-03-27 06:12:01.074597	39576	42	2	10
2014-03-27 06:12:11.036203	39577	20.0	1	9
2014-03-27 06:12:11.273063	39578	48	2	9
2014-03-27 06:12:12.122829	39579	20.8	1	8
2014-03-27 06:12:12.346809	39580	46	2	8
2014-03-27 06:12:26.411039	39581	19.2	1	1
2014-03-27 06:12:26.64564	39582	49	2	1
2014-03-27 06:12:32.506312	39583	370	3	2
2014-03-27 06:12:32.730819	39584	1091310.078420502	4	2
2014-03-27 06:12:39.850116	39585	20.5	1	10
2014-03-27 06:12:40.088631	39586	42	2	10
2014-03-27 06:12:50.034157	39587	20.0	1	9
2014-03-27 06:12:50.259758	39588	48	2	9
2014-03-27 06:12:51.125277	39589	20.7	1	8
2014-03-27 06:12:51.372499	39590	46	2	8
2014-03-27 06:13:05.40558	39591	19.2	1	1
2014-03-27 06:13:05.630112	39592	49	2	1
2014-03-27 06:13:18.8495	39593	20.5	1	10
2014-03-27 06:13:19.084571	39594	42	2	10
2014-03-27 06:13:29.035005	39595	20.0	1	9
2014-03-27 06:13:29.26153	39596	48	2	9
2014-03-27 06:13:30.120149	39597	20.7	1	8
2014-03-27 06:13:30.35908	39598	46	2	8
2014-03-27 06:13:32.50671	39599	354	3	2
2014-03-27 06:13:32.730289	39600	1091315.8235941092	4	2
2014-03-27 06:13:44.410525	39601	19.2	1	1
2014-03-27 06:13:44.644704	39602	49	2	1
2014-03-27 06:13:57.648859	39603	434	3	2
2014-03-27 06:13:57.874693	39604	1091318.121663552	4	2
2014-03-27 06:13:58.185406	39605	20.5	1	10
2014-03-27 06:13:58.421082	39606	42	2	10
2014-03-27 06:14:08.035287	39607	20.0	1	9
2014-03-27 06:14:08.260011	39608	48	2	9
2014-03-27 06:14:08.569373	39609	434	3	2
2014-03-27 06:14:08.80493	39610	1091319.2706982733	4	2
2014-03-27 06:14:09.122274	39611	20.7	1	8
2014-03-27 06:14:09.348765	39612	46	2	8
2014-03-27 06:14:23.412918	39613	19.2	1	1
2014-03-27 06:14:23.645489	39614	49	2	1
2014-03-27 06:14:32.505321	39615	402	3	2
2014-03-27 06:14:32.732045	39616	1091322.7178024375	4	2
2014-03-27 06:14:36.849473	39617	20.5	1	10
2014-03-27 06:14:37.08399	39618	42	2	10
2014-03-27 06:14:44.508749	39619	370	3	2
2014-03-27 06:14:44.733266	39620	1091323.866837159	4	2
2014-03-27 06:14:47.03512	39621	20.0	1	9
2014-03-27 06:14:47.26959	39622	48	2	9
2014-03-27 06:14:48.123686	39623	20.7	1	8
2014-03-27 06:14:48.347993	39624	46	2	8
2014-03-27 06:14:56.508775	39625	370	3	2
2014-03-27 06:14:56.741691	39626	1091325.0158718803	4	2
2014-03-27 06:15:02.407119	39627	19.2	1	1
2014-03-27 06:15:02.633395	39628	49	2	1
2014-03-27 06:15:15.849606	39629	20.5	1	10
2014-03-27 06:15:16.091992	39630	42	2	10
2014-03-27 06:15:20.511736	39631	402	3	2
2014-03-27 06:15:20.738219	39632	1091327.3139413232	4	2
2014-03-27 06:15:26.033431	39633	20.0	1	9
2014-03-27 06:15:26.268176	39634	48	2	9
2014-03-27 06:15:27.121666	39635	20.7	1	8
2014-03-27 06:15:27.345156	39636	46	2	8
2014-03-27 06:15:32.508312	39637	370	3	2
2014-03-27 06:15:32.754992	39638	1091328.4629760447	4	2
2014-03-27 06:15:41.407502	39639	19.2	1	1
2014-03-27 06:15:41.63371	39640	49	2	1
2014-03-27 06:15:44.509026	39641	370	3	2
2014-03-27 06:15:44.744214	39642	1091329.612010766	4	2
2014-03-27 06:15:54.849843	39643	20.5	1	10
2014-03-27 06:15:55.074583	39644	42	2	10
2014-03-27 06:16:05.034334	39645	20.0	1	9
2014-03-27 06:16:05.267718	39646	48	2	9
2014-03-27 06:16:06.119721	39647	20.7	1	8
2014-03-27 06:16:06.344289	39648	46	2	8
2014-03-27 06:16:20.442559	39649	19.2	1	1
2014-03-27 06:16:20.675387	39650	49	2	1
2014-03-27 06:16:32.506199	39651	370	3	2
2014-03-27 06:16:32.732425	39652	1091335.357184373	4	2
2014-03-27 06:16:33.853649	39653	20.5	1	10
2014-03-27 06:16:34.08721	39654	42	2	10
2014-03-27 06:16:44.034307	39655	20.0	1	9
2014-03-27 06:16:44.25707	39656	48	2	9
2014-03-27 06:16:45.120374	39657	20.7	1	8
2014-03-27 06:16:45.353201	39658	46	2	8
2014-03-27 06:16:59.407951	39659	19.2	1	1
2014-03-27 06:16:59.631795	39660	49	2	1
2014-03-27 06:17:12.851343	39661	20.5	1	10
2014-03-27 06:17:13.086895	39662	42	2	10
2014-03-27 06:17:23.034195	39663	20.0	1	9
2014-03-27 06:17:23.25827	39664	48	2	9
2014-03-27 06:17:24.119848	39665	20.7	1	8
2014-03-27 06:17:24.352853	39666	46	2	8
2014-03-27 06:17:32.508673	39667	370	3	2
2014-03-27 06:17:32.731759	39668	1091341.1023579803	4	2
2014-03-27 06:17:38.431547	39669	19.2	1	1
2014-03-27 06:17:38.668284	39670	49	2	1
2014-03-27 06:17:51.851601	39671	20.5	1	10
2014-03-27 06:17:52.078617	39672	42	2	10
2014-03-27 06:18:02.036213	39673	20.0	1	9
2014-03-27 06:18:02.269308	39674	48	2	9
2014-03-27 06:18:03.122246	39675	20.7	1	8
2014-03-27 06:18:03.344767	39676	46	2	8
2014-03-27 06:18:17.411127	39677	19.2	1	1
2014-03-27 06:18:17.648096	39678	49	2	1
2014-03-27 06:18:30.851237	39679	20.5	1	10
2014-03-27 06:18:31.076057	39680	42	2	10
2014-03-27 06:18:32.508712	39681	370	3	2
2014-03-27 06:18:32.742839	39682	1091347.9965663087	4	2
2014-03-27 06:18:41.088169	39683	20.0	1	9
2014-03-27 06:18:41.31593	39684	48	2	9
2014-03-27 06:18:42.121142	39685	20.7	1	8
2014-03-27 06:18:42.367968	39686	46	2	8
2014-03-27 06:18:56.406829	39687	19.2	1	1
2014-03-27 06:18:56.633457	39688	49	2	1
2014-03-27 06:19:09.8512	39689	20.5	1	10
2014-03-27 06:19:10.085303	39690	42	2	10
2014-03-27 06:19:20.034195	39691	20.0	1	9
2014-03-27 06:19:20.260365	39692	48	2	9
2014-03-27 06:19:21.120702	39693	20.7	1	8
2014-03-27 06:19:21.37699	39694	46	2	8
2014-03-27 06:19:32.510674	39695	370	3	2
2014-03-27 06:19:32.735905	39696	1091353.7417399157	4	2
2014-03-27 06:19:35.410276	39697	19.2	1	1
2014-03-27 06:19:35.64975	39698	49	2	1
2014-03-27 06:19:48.851273	39699	20.5	1	10
2014-03-27 06:19:49.076468	39700	42	2	10
2014-03-27 06:19:59.034703	39701	20.0	1	9
2014-03-27 06:19:59.267427	39702	48	2	9
2014-03-27 06:20:00.121674	39703	20.7	1	8
2014-03-27 06:20:00.345199	39704	46	2	8
2014-03-27 06:20:14.406009	39705	19.2	1	1
2014-03-27 06:20:14.643494	39706	49	2	1
2014-03-27 06:20:27.853022	39707	20.5	1	10
2014-03-27 06:20:28.077325	39708	42	2	10
2014-03-27 06:20:32.510496	39709	370	3	2
2014-03-27 06:20:32.745226	39710	1091359.486913523	4	2
2014-03-27 06:20:38.034191	39711	20.0	1	9
2014-03-27 06:20:38.257351	39712	48	2	9
2014-03-27 06:20:39.11981	39713	20.7	1	8
2014-03-27 06:20:39.35425	39714	46	2	8
2014-03-27 06:20:53.404037	39715	19.2	1	1
2014-03-27 06:20:53.630898	39716	49	2	1
2014-03-27 06:21:06.85243	39717	20.5	1	10
2014-03-27 06:21:07.088177	39718	42	2	10
2014-03-27 06:21:17.034163	39719	20.0	1	9
2014-03-27 06:21:17.258471	39720	48	2	9
2014-03-27 06:21:18.120918	39721	20.7	1	8
2014-03-27 06:21:18.355089	39722	46	2	8
2014-03-27 06:21:20.508296	39723	418	3	2
2014-03-27 06:21:20.738236	39724	1091365.23208713	4	2
2014-03-27 06:21:45.853537	39725	20.4	1	10
2014-03-27 06:21:46.087058	39726	42	2	10
2014-03-27 06:21:56.033375	39727	20.0	1	9
2014-03-27 06:21:56.260435	39728	48	2	9
2014-03-27 06:21:57.120356	39729	20.7	1	8
2014-03-27 06:21:57.353386	39730	46	2	8
2014-03-27 06:22:11.40178	39731	19.2	1	1
2014-03-27 06:22:11.626446	39732	49	2	1
2014-03-27 06:22:24.854197	39733	20.4	1	10
2014-03-27 06:22:25.099238	39734	42	2	10
2014-03-27 06:22:32.509836	39735	418	3	2
2014-03-27 06:22:32.734534	39736	1091373.2753301798	4	2
2014-03-27 06:22:35.034405	39737	20.0	1	9
2014-03-27 06:22:35.26762	39738	48	2	9
2014-03-27 06:22:36.120984	39739	20.7	1	8
2014-03-27 06:22:36.346062	39740	46	2	8
2014-03-27 06:22:50.402445	39741	19.2	1	1
2014-03-27 06:22:50.637475	39742	49	2	1
2014-03-27 06:23:03.853871	39743	20.4	1	10
2014-03-27 06:23:04.080884	39744	42	2	10
2014-03-27 06:23:14.03631	39745	20.0	1	9
2014-03-27 06:23:14.272443	39746	48	2	9
2014-03-27 06:23:15.122091	39747	20.7	1	8
2014-03-27 06:23:15.345109	39748	46	2	8
2014-03-27 06:23:29.403142	39749	19.2	1	1
2014-03-27 06:23:29.637792	39750	49	2	1
2014-03-27 06:23:32.506645	39751	434	3	2
2014-03-27 06:23:32.730682	39752	1091380.1695385084	4	2
2014-03-27 06:23:42.853068	39753	20.4	1	10
2014-03-27 06:23:43.089097	39754	42	2	10
2014-03-27 06:23:53.033565	39755	20.0	1	9
2014-03-27 06:23:53.263607	39756	48	2	9
2014-03-27 06:23:54.121909	39757	20.7	1	8
2014-03-27 06:23:54.355854	39758	46	2	8
2014-03-27 06:24:08.403813	39759	19.2	1	1
2014-03-27 06:24:08.627424	39760	49	2	1
2014-03-27 06:24:21.852532	39761	20.4	1	10
2014-03-27 06:24:22.086783	39762	42	2	10
2014-03-27 06:24:32.033431	39763	20.0	1	9
2014-03-27 06:24:32.260104	39764	48	2	9
2014-03-27 06:24:32.567129	39765	418	3	2
2014-03-27 06:24:32.804133	39766	1091388.2127815583	4	2
2014-03-27 06:24:33.121144	39767	20.7	1	8
2014-03-27 06:24:33.346815	39768	46	2	8
2014-03-27 06:24:47.405319	39769	19.2	1	1
2014-03-27 06:24:47.642199	39770	49	2	1
2014-03-27 06:25:00.851472	39771	20.4	1	10
2014-03-27 06:25:01.07706	39772	42	2	10
2014-03-27 06:25:11.035079	39773	20.0	1	9
2014-03-27 06:25:11.36462	39774	48	2	9
2014-03-27 06:25:12.121497	39775	20.7	1	8
2014-03-27 06:25:12.344933	39776	46	2	8
2014-03-27 06:25:26.400493	39777	19.2	1	1
2014-03-27 06:25:26.635377	39778	49	2	1
2014-03-27 06:25:32.506423	39779	418	3	2
2014-03-27 06:25:32.732336	39780	1091395.1069898866	4	2
2014-03-27 06:25:39.853532	39781	20.4	1	10
2014-03-27 06:25:40.099481	39782	42	2	10
2014-03-27 06:25:44.509087	39783	370	3	2
2014-03-27 06:25:44.734233	39784	1091396.2560246082	4	2
2014-03-27 06:25:50.034788	39785	20.0	1	9
2014-03-27 06:25:50.453947	39786	48	2	9
2014-03-27 06:25:51.119497	39787	20.7	1	8
2014-03-27 06:25:51.340639	39788	46	2	8
2014-03-27 06:25:56.50781	39789	370	3	2
2014-03-27 06:25:56.730251	39790	1091397.4050593295	4	2
2014-03-27 06:26:05.400313	39791	19.2	1	1
2014-03-27 06:26:05.634148	39792	49	2	1
2014-03-27 06:26:18.853614	39793	20.4	1	10
2014-03-27 06:26:19.075934	39794	42	2	10
2014-03-27 06:26:29.033506	39795	20.0	1	9
2014-03-27 06:26:29.266013	39796	48	2	9
2014-03-27 06:26:30.12006	39797	20.7	1	8
2014-03-27 06:26:30.342147	39798	46	2	8
2014-03-27 06:26:32.506957	39799	370	3	2
2014-03-27 06:26:32.741866	39800	1091400.8521634939	4	2
2014-03-27 06:26:44.400364	39801	19.2	1	1
2014-03-27 06:26:44.623836	39802	49	2	1
2014-03-27 06:26:57.852208	39803	20.4	1	10
2014-03-27 06:26:58.088436	39804	42	2	10
2014-03-27 06:27:08.034508	39805	20.0	1	9
2014-03-27 06:27:08.258158	39806	48	2	9
2014-03-27 06:27:09.120181	39807	20.7	1	8
2014-03-27 06:27:09.352841	39808	46	2	8
2014-03-27 06:27:23.401085	39809	19.2	1	1
2014-03-27 06:27:23.623656	39810	49	2	1
2014-03-27 06:27:36.651991	39811	370	3	2
2014-03-27 06:27:36.889068	39812	1091407.7463718222	4	2
2014-03-27 06:27:37.203916	39813	20.4	1	10
2014-03-27 06:27:37.430448	39814	42	2	10
2014-03-27 06:27:47.036914	39815	20.0	1	9
2014-03-27 06:27:47.271371	39816	48	2	9
2014-03-27 06:27:48.120759	39817	20.7	1	8
2014-03-27 06:27:48.341993	39818	46	2	8
2014-03-27 06:28:02.401709	39819	19.2	1	1
2014-03-27 06:28:02.635792	39820	49	2	1
2014-03-27 06:28:15.851837	39821	20.4	1	10
2014-03-27 06:28:16.077028	39822	42	2	10
2014-03-27 06:28:26.035433	39823	20.0	1	9
2014-03-27 06:28:26.26794	39824	48	2	9
2014-03-27 06:28:27.121846	39825	20.7	1	8
2014-03-27 06:28:27.344338	39826	46	2	8
2014-03-27 06:28:32.508253	39827	305	3	2
2014-03-27 06:28:32.742011	39828	1091413.4915454295	4	2
2014-03-27 06:28:41.458611	39829	19.2	1	1
2014-03-27 06:28:41.683307	39830	49	2	1
2014-03-27 06:28:44.504982	39831	338	3	2
2014-03-27 06:28:44.747322	39832	1091414.6405801508	4	2
2014-03-27 06:28:54.853266	39833	20.4	1	10
2014-03-27 06:28:55.078922	39834	42	2	10
2014-03-27 06:28:56.506789	39835	305	3	2
2014-03-27 06:28:56.738909	39836	1091415.789614872	4	2
2014-03-27 06:29:05.033119	39837	20.0	1	9
2014-03-27 06:29:05.259517	39838	48	2	9
2014-03-27 06:29:06.121924	39839	20.7	1	8
2014-03-27 06:29:06.354821	39840	46	2	8
2014-03-27 06:29:08.505325	39841	305	3	2
2014-03-27 06:29:08.727531	39842	1091415.789614872	4	2
2014-03-27 06:29:20.397991	39843	19.2	1	1
2014-03-27 06:29:20.629792	39844	49	2	1
2014-03-27 06:29:32.506795	39845	305	3	2
2014-03-27 06:29:32.730291	39846	1091418.087684315	4	2
2014-03-27 06:29:33.853468	39847	20.4	1	10
2014-03-27 06:29:34.085671	39848	42	2	10
2014-03-27 06:29:44.034595	39849	20.0	1	9
2014-03-27 06:29:44.278143	39850	48	2	9
2014-03-27 06:29:45.120605	39851	20.7	1	8
2014-03-27 06:29:45.354748	39852	46	2	8
2014-03-27 06:29:59.39973	39853	19.2	1	1
2014-03-27 06:29:59.623743	39854	49	2	1
2014-03-27 06:30:12.854259	39855	20.4	1	10
2014-03-27 06:30:13.088568	39856	42	2	10
2014-03-27 06:30:23.033556	39857	20.0	1	9
2014-03-27 06:30:23.25741	39858	48	2	9
2014-03-27 06:30:24.119797	39859	20.7	1	8
2014-03-27 06:30:24.354391	39860	46	2	8
2014-03-27 06:30:32.504549	39861	305	3	2
2014-03-27 06:30:32.727404	39862	1091423.8328579222	4	2
2014-03-27 06:30:38.402561	39863	19.2	1	1
2014-03-27 06:30:38.63619	39864	49	2	1
2014-03-27 06:30:51.860637	39865	20.3	1	10
2014-03-27 06:30:52.084236	39866	42	2	10
2014-03-27 06:31:02.034436	39867	20.0	1	9
2014-03-27 06:31:02.267606	39868	48	2	9
2014-03-27 06:31:03.120102	39869	20.7	1	8
2014-03-27 06:31:03.344678	39870	46	2	8
2014-03-27 06:31:17.398504	39871	19.2	1	1
2014-03-27 06:31:17.634431	39872	49	2	1
2014-03-27 06:31:30.85368	39873	20.3	1	10
2014-03-27 06:31:31.07731	39874	42	2	10
2014-03-27 06:31:32.505578	39875	305	3	2
2014-03-27 06:31:32.741195	39876	1091428.4289968077	4	2
2014-03-27 06:31:41.033849	39877	20.0	1	9
2014-03-27 06:31:41.257373	39878	48	2	9
2014-03-27 06:31:42.119881	39879	20.7	1	8
2014-03-27 06:31:42.364043	39880	46	2	8
2014-03-27 06:31:56.399992	39881	19.2	1	1
2014-03-27 06:31:56.627756	39882	49	2	1
2014-03-27 06:32:09.854727	39883	20.3	1	10
2014-03-27 06:32:10.088954	39884	42	2	10
2014-03-27 06:32:20.03402	39885	20.0	1	9
2014-03-27 06:32:20.257383	39886	48	2	9
2014-03-27 06:32:20.565309	39887	354	3	2
2014-03-27 06:32:20.800074	39888	1091433.0251356934	4	2
2014-03-27 06:32:21.118273	39889	20.7	1	8
2014-03-27 06:32:21.342836	39890	46	2	8
2014-03-27 06:32:32.508636	39891	354	3	2
2014-03-27 06:32:32.746584	39892	1091434.174170415	4	2
2014-03-27 06:32:35.399702	39893	19.2	1	1
2014-03-27 06:32:35.622928	39894	49	2	1
2014-03-27 06:32:48.855926	39895	20.3	1	10
2014-03-27 06:32:49.089931	39896	42	2	10
2014-03-27 06:32:59.034985	39897	20.0	1	9
2014-03-27 06:32:59.260018	39898	48	2	9
2014-03-27 06:33:00.120345	39899	20.7	1	8
2014-03-27 06:33:00.353219	39900	46	2	8
2014-03-27 06:33:14.399017	39901	19.2	1	1
2014-03-27 06:33:14.624052	39902	49	2	1
2014-03-27 06:33:27.853381	39903	20.3	1	10
2014-03-27 06:33:28.088452	39904	42	2	10
2014-03-27 06:33:32.506584	39905	354	3	2
2014-03-27 06:33:32.729743	39906	1091439.919344022	4	2
2014-03-27 06:33:38.036237	39907	20.0	1	9
2014-03-27 06:33:38.270429	39908	48	2	9
2014-03-27 06:33:39.120422	39909	20.7	1	8
2014-03-27 06:33:39.343528	39910	46	2	8
2014-03-27 06:33:53.397339	39911	19.2	1	1
2014-03-27 06:33:53.631613	39912	49	2	1
2014-03-27 06:34:06.854968	39913	20.3	1	10
2014-03-27 06:34:07.081394	39914	42	2	10
2014-03-27 06:34:17.035009	39915	20.0	1	9
2014-03-27 06:34:17.269802	39916	48	2	9
2014-03-27 06:34:18.121695	39917	20.7	1	8
2014-03-27 06:34:18.344887	39918	46	2	8
2014-03-27 06:34:32.362418	39919	19.2	1	1
2014-03-27 06:34:32.595803	39920	49	2	1
2014-03-27 06:34:45.854755	39921	20.3	1	10
2014-03-27 06:34:46.077674	39922	42	2	10
2014-03-27 06:34:56.032943	39923	20.0	1	9
2014-03-27 06:34:56.268325	39924	48	2	9
2014-03-27 06:34:57.119882	39925	20.7	1	8
2014-03-27 06:34:57.34644	39926	46	2	8
2014-03-27 06:35:11.432182	39927	19.2	1	1
2014-03-27 06:35:11.729772	39928	49	2	1
2014-03-27 06:35:24.856444	39929	20.3	1	10
2014-03-27 06:35:25.081307	39930	42	2	10
2014-03-27 06:35:32.513779	39931	354	3	2
2014-03-27 06:35:32.747463	39932	1091451.409691236	4	2
2014-03-27 06:35:35.033119	39933	20.0	1	9
2014-03-27 06:35:35.254488	39934	48	2	9
2014-03-27 06:35:36.119184	39935	20.7	1	8
2014-03-27 06:35:36.353346	39936	46	2	8
2014-03-27 06:35:50.396477	39937	19.2	1	1
2014-03-27 06:35:50.620461	39938	49	2	1
2014-03-27 06:36:03.856375	39939	20.3	1	10
2014-03-27 06:36:04.092017	39940	42	2	10
2014-03-27 06:36:14.036497	39941	20.0	1	9
2014-03-27 06:36:14.25929	39942	48	2	9
2014-03-27 06:36:15.119216	39943	20.7	1	8
2014-03-27 06:36:15.353082	39944	46	2	8
2014-03-27 06:36:29.397917	39945	19.2	1	1
2014-03-27 06:36:29.623451	39946	49	2	1
2014-03-27 06:36:32.506966	39947	354	3	2
2014-03-27 06:36:32.740056	39948	1091457.1593357953	4	2
2014-03-27 06:36:42.854776	39949	20.3	1	10
2014-03-27 06:36:43.077072	39950	42	2	10
2014-03-27 06:36:53.034099	39951	20.0	1	9
2014-03-27 06:36:53.26914	39952	48	2	9
2014-03-27 06:36:54.119059	39953	20.7	1	8
2014-03-27 06:36:54.342907	39954	46	2	8
2014-03-27 06:37:08.397494	39955	19.2	1	1
2014-03-27 06:37:08.633411	39956	49	2	1
2014-03-27 06:37:21.856366	39957	20.3	1	10
2014-03-27 06:37:22.079048	39958	42	2	10
2014-03-27 06:37:32.03367	39959	20.0	1	9
2014-03-27 06:37:32.268952	39960	48	2	9
2014-03-27 06:37:32.577721	39961	305	3	2
2014-03-27 06:37:32.811732	39962	1091462.9045094023	4	2
2014-03-27 06:37:33.120552	39963	20.7	1	8
2014-03-27 06:37:33.351739	39964	46	2	8
2014-03-27 06:37:44.505806	39965	305	3	2
2014-03-27 06:37:44.732919	39966	1091464.053544124	4	2
2014-03-27 06:37:47.396479	39967	19.2	1	1
2014-03-27 06:37:47.63019	39968	49	2	1
2014-03-27 06:38:01.06283	39969	20.3	1	10
2014-03-27 06:38:01.285865	39970	42	2	10
2014-03-27 06:38:11.032968	39971	20.0	1	9
2014-03-27 06:38:11.265749	39972	48	2	9
2014-03-27 06:38:12.12071	39973	20.7	1	8
2014-03-27 06:38:12.34674	39974	46	2	8
2014-03-27 06:38:26.395548	39975	19.2	1	1
2014-03-27 06:38:26.639519	39976	49	2	1
2014-03-27 06:38:32.504982	39977	305	3	2
2014-03-27 06:38:32.727901	39978	1091467.500648288	4	2
2014-03-27 06:38:39.854889	39979	20.3	1	10
2014-03-27 06:38:40.090721	39980	42	2	10
2014-03-27 06:38:50.034953	39981	20.0	1	9
2014-03-27 06:38:50.257535	39982	48	2	9
2014-03-27 06:38:51.119791	39983	20.7	1	8
2014-03-27 06:38:51.351913	39984	46	2	8
2014-03-27 06:39:05.394045	39985	19.2	1	1
2014-03-27 06:39:05.617049	39986	49	2	1
2014-03-27 06:39:19.063867	39987	20.3	1	10
2014-03-27 06:39:19.296828	39988	42	2	10
2014-03-27 06:39:29.035914	39989	20.0	1	9
2014-03-27 06:39:29.259435	39990	48	2	9
2014-03-27 06:39:30.12175	39991	20.7	1	8
2014-03-27 06:39:30.353892	39992	46	2	8
2014-03-27 06:39:32.506131	39993	305	3	2
2014-03-27 06:39:32.728427	39994	1091473.245821895	4	2
2014-03-27 06:39:44.394636	39995	19.2	1	1
2014-03-27 06:39:44.627561	39996	49	2	1
2014-03-27 06:39:57.85696	39997	20.3	1	10
2014-03-27 06:39:58.082487	39998	42	2	10
2014-03-27 06:40:08.043216	39999	20.0	1	9
2014-03-27 06:40:08.27879	40000	48	2	9
2014-03-27 06:40:09.120133	40001	20.7	1	8
2014-03-27 06:40:09.344906	40002	46	2	8
2014-03-27 06:40:23.428235	40003	19.2	1	1
2014-03-27 06:40:23.660359	40004	49	2	1
2014-03-27 06:40:36.656036	40005	305	3	2
2014-03-27 06:40:36.881265	40006	1091477.8419607808	4	2
2014-03-27 06:40:37.190728	40007	20.3	1	10
2014-03-27 06:40:37.425826	40008	42	2	10
2014-03-27 06:40:47.033638	40009	20.0	1	9
2014-03-27 06:40:47.260121	40010	48	2	9
2014-03-27 06:40:48.12558	40011	20.7	1	8
2014-03-27 06:40:48.361859	40012	46	2	8
2014-03-27 06:41:02.393189	40013	19.2	1	1
2014-03-27 06:41:02.617014	40014	49	2	1
2014-03-27 06:41:15.857077	40015	20.2	1	10
2014-03-27 06:41:16.091342	40016	42	2	10
2014-03-27 06:41:26.034061	40017	20.0	1	9
2014-03-27 06:41:26.257435	40018	48	2	9
2014-03-27 06:41:27.120001	40019	20.7	1	8
2014-03-27 06:41:27.353786	40020	46	2	8
2014-03-27 06:41:32.505427	40021	305	3	2
2014-03-27 06:41:32.730169	40022	1091482.4380996665	4	2
2014-03-27 06:41:41.393181	40023	19.2	1	1
2014-03-27 06:41:41.639623	40024	49	2	1
2014-03-27 06:41:54.858653	40025	20.2	1	10
2014-03-27 06:41:55.082534	40026	42	2	10
2014-03-27 06:42:05.034114	40027	20.0	1	9
2014-03-27 06:42:05.268331	40028	48	2	9
2014-03-27 06:42:06.120609	40029	20.7	1	8
2014-03-27 06:42:06.343946	40030	46	2	8
2014-03-27 06:42:20.393029	40031	19.2	1	1
2014-03-27 06:42:20.627169	40032	49	2	1
2014-03-27 06:42:32.505526	40033	305	3	2
2014-03-27 06:42:32.731904	40034	1091488.1832732735	4	2
2014-03-27 06:42:33.858166	40035	20.2	1	10
2014-03-27 06:42:34.091683	40036	42	2	10
2014-03-27 06:42:44.033343	40037	20.0	1	9
2014-03-27 06:42:44.260236	40038	48	2	9
2014-03-27 06:42:45.119975	40039	20.7	1	8
2014-03-27 06:42:45.35311	40040	46	2	8
2014-03-27 06:42:59.395105	40041	19.2	1	1
2014-03-27 06:42:59.618096	40042	49	2	1
2014-03-27 06:43:12.86036	40043	20.2	1	10
2014-03-27 06:43:13.096414	40044	42	2	10
2014-03-27 06:43:23.032029	40045	20.0	1	9
2014-03-27 06:43:23.256576	40046	48	2	9
2014-03-27 06:43:24.12022	40047	20.7	1	8
2014-03-27 06:43:24.356151	40048	46	2	8
2014-03-27 06:43:32.504073	40049	305	3	2
2014-03-27 06:43:32.72778	40050	1091492.7794121592	4	2
2014-03-27 06:43:38.393342	40051	19.2	1	1
2014-03-27 06:43:38.625135	40052	49	2	1
2014-03-27 06:43:51.860188	40053	20.2	1	10
2014-03-27 06:43:52.08468	40054	42	2	10
2014-03-27 06:44:02.034185	40055	19.9	1	9
2014-03-27 06:44:02.267785	40056	48	2	9
2014-03-27 06:44:03.119793	40057	20.7	1	8
2014-03-27 06:44:03.34284	40058	46	2	8
2014-03-27 06:44:08.502471	40059	354	3	2
2014-03-27 06:44:08.737142	40060	1091496.2265163234	4	2
2014-03-27 06:44:17.394046	40061	19.2	1	1
2014-03-27 06:44:17.617722	40062	49	2	1
2014-03-27 06:44:20.504421	40063	354	3	2
2014-03-27 06:44:20.737561	40064	1091497.375551045	4	2
2014-03-27 06:44:30.858257	40065	20.2	1	10
2014-03-27 06:44:31.084652	40066	42	2	10
2014-03-27 06:44:32.503663	40067	354	3	2
2014-03-27 06:44:32.736846	40068	1091498.5245857663	4	2
2014-03-27 06:44:41.036415	40069	19.9	1	9
2014-03-27 06:44:41.260716	40070	48	2	9
2014-03-27 06:44:42.120568	40071	20.7	1	8
2014-03-27 06:44:42.366816	40072	46	2	8
2014-03-27 06:44:56.391831	40073	19.2	1	1
2014-03-27 06:44:56.616662	40074	49	2	1
2014-03-27 06:45:09.858953	40075	20.2	1	10
2014-03-27 06:45:10.094555	40076	42	2	10
2014-03-27 06:45:20.033886	40077	19.9	1	9
2014-03-27 06:45:20.259178	40078	48	2	9
2014-03-27 06:45:21.118248	40079	20.7	1	8
2014-03-27 06:45:21.353684	40080	46	2	8
2014-03-27 06:45:32.504094	40081	354	3	2
2014-03-27 06:45:32.727062	40082	1091504.2697593733	4	2
2014-03-27 06:45:35.388882	40083	19.2	1	1
2014-03-27 06:45:35.623845	40084	49	2	1
2014-03-27 06:45:48.857751	40085	20.2	1	10
2014-03-27 06:45:49.083073	40086	42	2	10
2014-03-27 06:45:59.033558	40087	19.9	1	9
2014-03-27 06:45:59.270033	40088	48	2	9
2014-03-27 06:46:00.12062	40089	20.7	1	8
2014-03-27 06:46:00.34612	40090	46	2	8
2014-03-27 06:46:14.391054	40091	19.2	1	1
2014-03-27 06:46:14.624805	40092	49	2	1
2014-03-27 06:46:27.858998	40093	20.2	1	10
2014-03-27 06:46:28.085308	40094	42	2	10
2014-03-27 06:46:32.502719	40095	354	3	2
2014-03-27 06:46:32.73743	40096	1091511.1639677018	4	2
2014-03-27 06:46:38.03389	40097	19.9	1	9
2014-03-27 06:46:38.257519	40098	48	2	9
2014-03-27 06:46:39.119554	40099	20.7	1	8
2014-03-27 06:46:39.353549	40100	46	2	8
2014-03-27 06:46:53.38894	40101	19.2	1	1
2014-03-27 06:46:53.615056	40102	49	2	1
2014-03-27 06:47:06.858924	40103	20.2	1	10
2014-03-27 06:47:07.094016	40104	42	2	10
2014-03-27 06:47:17.034451	40105	19.9	1	9
2014-03-27 06:47:17.257473	40106	48	2	9
2014-03-27 06:47:18.118557	40107	20.7	1	8
2014-03-27 06:47:18.351306	40108	46	2	8
2014-03-27 06:47:32.36207	40109	19.2	1	1
2014-03-27 06:47:32.587668	40110	49	2	1
2014-03-27 06:47:45.859747	40111	20.2	1	10
2014-03-27 06:47:46.09568	40112	42	2	10
2014-03-27 06:47:56.034406	40113	19.9	1	9
2014-03-27 06:47:56.257415	40114	48	2	9
2014-03-27 06:47:57.119558	40115	20.7	1	8
2014-03-27 06:47:57.35319	40116	46	2	8
2014-03-27 06:48:11.38772	40117	19.2	1	1
2014-03-27 06:48:11.612811	40118	49	2	1
2014-03-27 06:48:24.858674	40119	20.2	1	10
2014-03-27 06:48:25.103671	40120	42	2	10
2014-03-27 06:48:32.503779	40121	338	3	2
2014-03-27 06:48:32.730325	40122	1091522.654314916	4	2
2014-03-27 06:48:35.034184	40123	19.9	1	9
2014-03-27 06:48:35.268907	40124	48	2	9
2014-03-27 06:48:36.119442	40125	20.7	1	8
2014-03-27 06:48:36.341708	40126	46	2	8
2014-03-27 06:48:50.389579	40127	19.2	1	1
2014-03-27 06:48:50.626882	40128	49	2	1
2014-03-27 06:49:03.862126	40129	20.2	1	10
2014-03-27 06:49:04.085854	40130	42	2	10
2014-03-27 06:49:14.03401	40131	19.9	1	9
2014-03-27 06:49:14.268907	40132	48	2	9
2014-03-27 06:49:15.119625	40133	20.7	1	8
2014-03-27 06:49:15.34339	40134	46	2	8
2014-03-27 06:49:29.387377	40135	19.2	1	1
2014-03-27 06:49:29.619977	40136	49	2	1
2014-03-27 06:49:32.506694	40137	338	3	2
2014-03-27 06:49:32.730181	40138	1091528.3994885231	4	2
2014-03-27 06:49:42.860092	40139	20.2	1	10
2014-03-27 06:49:43.095094	40140	42	2	10
2014-03-27 06:49:53.035319	40141	19.9	1	9
2014-03-27 06:49:53.25805	40142	48	2	9
2014-03-27 06:49:54.119667	40143	20.7	1	8
2014-03-27 06:49:54.352443	40144	46	2	8
2014-03-27 06:50:08.386487	40145	19.2	1	1
2014-03-27 06:50:08.609821	40146	49	2	1
2014-03-27 06:50:20.506126	40147	289	3	2
2014-03-27 06:50:20.739708	40148	1091532.9956274088	4	2
2014-03-27 06:50:21.861515	40149	20.2	1	10
2014-03-27 06:50:22.087906	40150	42	2	10
2014-03-27 06:50:32.032733	40151	19.9	1	9
2014-03-27 06:50:32.267348	40152	48	2	9
2014-03-27 06:50:32.57439	40153	289	3	2
2014-03-27 06:50:32.798267	40154	1091532.9956274088	4	2
2014-03-27 06:50:33.12091	40155	20.7	1	8
2014-03-27 06:50:33.354909	40156	46	2	8
2014-03-27 06:50:47.387721	40157	19.2	1	1
2014-03-27 06:50:47.620604	40158	49	2	1
2014-03-27 06:51:00.861245	40159	20.2	1	10
2014-03-27 06:51:01.095903	40160	42	2	10
2014-03-27 06:51:11.035395	40161	19.9	1	9
2014-03-27 06:51:11.261881	40162	48	2	9
2014-03-27 06:51:12.166961	40163	20.7	1	8
2014-03-27 06:51:12.413134	40164	46	2	8
2014-03-27 06:51:20.506832	40165	338	3	2
2014-03-27 06:51:20.734826	40166	1091537.5917662943	4	2
2014-03-27 06:51:26.389171	40167	19.2	1	1
2014-03-27 06:51:26.632539	40168	49	2	1
2014-03-27 06:51:32.501638	40169	305	3	2
2014-03-27 06:51:32.725894	40170	1091538.7408010159	4	2
2014-03-27 06:51:39.860668	40171	20.2	1	10
2014-03-27 06:51:40.093481	40172	42	2	10
2014-03-27 06:51:44.507642	40173	305	3	2
2014-03-27 06:51:44.730894	40174	1091539.8898357372	4	2
2014-03-27 06:51:50.033457	40175	19.9	1	9
2014-03-27 06:51:50.267968	40176	48	2	9
2014-03-27 06:51:51.118256	40177	20.7	1	8
2014-03-27 06:51:51.343598	40178	46	2	8
2014-03-27 06:52:05.390873	40179	19.2	1	1
2014-03-27 06:52:05.624049	40180	49	2	1
2014-03-27 06:52:08.503333	40181	434	3	2
2014-03-27 06:52:08.726286	40182	1091542.18790518	4	2
2014-03-27 06:52:18.860587	40183	20.2	1	10
2014-03-27 06:52:19.093769	40184	42	2	10
2014-03-27 06:52:20.501923	40185	434	3	2
2014-03-27 06:52:20.726691	40186	1091543.3369399016	4	2
2014-03-27 06:52:29.033687	40187	19.9	1	9
2014-03-27 06:52:29.268811	40188	48	2	9
2014-03-27 06:52:30.118737	40189	20.7	1	8
2014-03-27 06:52:30.34213	40190	46	2	8
2014-03-27 06:52:32.506232	40191	482	3	2
2014-03-27 06:52:32.73999	40192	1091544.485974623	4	2
2014-03-27 06:52:44.359733	40193	19.1	1	1
2014-03-27 06:52:44.586591	40194	49	2	1
2014-03-27 06:52:57.862049	40195	20.2	1	10
2014-03-27 06:52:58.097153	40196	42	2	10
2014-03-27 06:53:08.033734	40197	19.9	1	9
2014-03-27 06:53:08.256776	40198	48	2	9
2014-03-27 06:53:09.119049	40199	20.7	1	8
2014-03-27 06:53:09.354393	40200	46	2	8
2014-03-27 06:53:23.384337	40201	19.1	1	1
2014-03-27 06:53:23.608172	40202	49	2	1
2014-03-27 06:53:32.503245	40203	466	3	2
2014-03-27 06:53:32.738013	40204	1091552.5292176728	4	2
2014-03-27 06:53:36.860127	40205	20.2	1	10
2014-03-27 06:53:37.083841	40206	42	2	10
2014-03-27 06:53:47.033784	40207	19.9	1	9
2014-03-27 06:53:47.273403	40208	48	2	9
2014-03-27 06:53:48.118969	40209	20.7	1	8
2014-03-27 06:53:48.344708	40210	46	2	8
2014-03-27 06:54:02.387238	40211	19.1	1	1
2014-03-27 06:54:02.620689	40212	49	2	1
2014-03-27 06:54:15.862772	40213	20.2	1	10
2014-03-27 06:54:16.08766	40214	42	2	10
2014-03-27 06:54:26.033563	40215	19.9	1	9
2014-03-27 06:54:26.279216	40216	48	2	9
2014-03-27 06:54:27.118767	40217	20.7	1	8
2014-03-27 06:54:27.342868	40218	46	2	8
2014-03-27 06:54:32.505841	40219	466	3	2
2014-03-27 06:54:32.738903	40220	1091560.5724607226	4	2
2014-03-27 06:54:41.383508	40221	19.1	1	1
2014-03-27 06:54:41.606996	40222	49	2	1
2014-03-27 06:54:54.861366	40223	20.2	1	10
2014-03-27 06:54:55.096385	40224	42	2	10
2014-03-27 06:55:05.033983	40225	19.9	1	9
2014-03-27 06:55:05.259393	40226	48	2	9
2014-03-27 06:55:06.120359	40227	20.7	1	8
2014-03-27 06:55:06.353008	40228	46	2	8
2014-03-27 06:55:20.382553	40229	19.1	1	1
2014-03-27 06:55:20.607334	40230	49	2	1
2014-03-27 06:55:32.502779	40231	450	3	2
2014-03-27 06:55:32.736025	40232	1091567.4666690512	4	2
2014-03-27 06:55:33.862043	40233	20.1	1	10
2014-03-27 06:55:34.086703	40234	42	2	10
2014-03-27 06:55:44.034447	40235	19.9	1	9
2014-03-27 06:55:44.270691	40236	48	2	9
2014-03-27 06:55:45.121667	40237	20.8	1	8
2014-03-27 06:55:45.346013	40238	47	2	8
2014-03-27 06:55:59.624366	40239	19.1	1	1
2014-03-27 06:55:59.858256	40240	49	2	1
2014-03-27 06:56:12.862382	40241	20.1	1	10
2014-03-27 06:56:13.086263	40242	42	2	10
2014-03-27 06:56:23.033861	40243	19.9	1	9
2014-03-27 06:56:23.270146	40244	48	2	9
2014-03-27 06:56:24.119416	40245	20.8	1	8
2014-03-27 06:56:24.345538	40246	48	2	8
2014-03-27 06:56:32.503883	40247	450	3	2
2014-03-27 06:56:32.738659	40248	1091575.509912101	4	2
2014-03-27 06:56:38.382324	40249	19.1	1	1
2014-03-27 06:56:38.609083	40250	49	2	1
2014-03-27 06:56:51.862729	40251	20.1	1	10
2014-03-27 06:56:52.097252	40252	42	2	10
2014-03-27 06:57:02.03358	40253	19.9	1	9
2014-03-27 06:57:02.257923	40254	48	2	9
2014-03-27 06:57:03.119999	40255	20.9	1	8
2014-03-27 06:57:03.355909	40256	50	2	8
2014-03-27 06:57:08.502361	40257	498	3	2
2014-03-27 06:57:08.727486	40258	1091580.1060509868	4	2
2014-03-27 06:57:17.385688	40259	19.1	1	1
2014-03-27 06:57:17.621156	40260	49	2	1
2014-03-27 06:57:20.504139	40261	515	3	2
2014-03-27 06:57:20.727457	40262	1091581.255085708	4	2
2014-03-27 06:57:30.860756	40263	20.1	1	10
2014-03-27 06:57:31.107813	40264	42	2	10
2014-03-27 06:57:32.504143	40265	498	3	2
2014-03-27 06:57:32.725845	40266	1091583.553155151	4	2
2014-03-27 06:57:41.032557	40267	19.9	1	9
2014-03-27 06:57:41.270018	40268	48	2	9
2014-03-27 06:57:42.119762	40269	21.1	1	8
2014-03-27 06:57:42.398678	40270	51	2	8
2014-03-27 06:57:56.417868	40271	19.1	1	1
2014-03-27 06:57:56.654384	40272	49	2	1
2014-03-27 06:58:09.863426	40273	20.1	1	10
2014-03-27 06:58:10.087327	40274	42	2	10
2014-03-27 06:58:20.032659	40275	19.9	1	9
2014-03-27 06:58:20.268766	40276	48	2	9
2014-03-27 06:58:21.120756	40277	21.2	1	8
2014-03-27 06:58:21.345217	40278	53	2	8
2014-03-27 06:58:32.506621	40279	515	3	2
2014-03-27 06:58:32.743522	40280	1091591.5963982008	4	2
2014-03-27 06:58:35.381186	40281	19.1	1	1
2014-03-27 06:58:35.60585	40282	49	2	1
2014-03-27 06:58:48.861934	40283	20.1	1	10
2014-03-27 06:58:49.097422	40284	42	2	10
2014-03-27 06:58:59.032168	40285	19.9	1	9
2014-03-27 06:58:59.257194	40286	48	2	9
2014-03-27 06:59:00.120088	40287	21.4	1	8
2014-03-27 06:59:00.355336	40288	56	2	8
2014-03-27 06:59:14.383031	40289	19.1	1	1
2014-03-27 06:59:14.606752	40290	49	2	1
2014-03-27 06:59:27.864375	40291	20.1	1	10
2014-03-27 06:59:28.097563	40292	42	2	10
2014-03-27 06:59:32.506087	40293	498	3	2
2014-03-27 06:59:32.730037	40294	1091600.7886759723	4	2
2014-03-27 06:59:38.032968	40295	19.9	1	9
2014-03-27 06:59:38.270267	40296	48	2	9
2014-03-27 06:59:39.119716	40297	21.6	1	8
2014-03-27 06:59:39.34306	40298	58	2	8
2014-03-27 06:59:53.383516	40299	19.1	1	1
2014-03-27 06:59:53.619284	40300	49	2	1
2014-03-27 07:00:06.862092	40301	20.1	1	10
2014-03-27 07:00:07.088484	40302	42	2	10
2014-03-27 07:00:17.034409	40303	19.9	1	9
2014-03-27 07:00:17.269105	40304	48	2	9
2014-03-27 07:00:18.12091	40305	21.9	1	8
2014-03-27 07:00:18.345377	40306	61	2	8
2014-03-27 07:00:32.358323	40307	19.1	1	1
2014-03-27 07:00:32.594708	40308	49	2	1
2014-03-27 07:00:45.863183	40309	20.1	1	10
2014-03-27 07:00:46.094336	40310	42	2	10
2014-03-27 07:00:56.034447	40311	19.9	1	9
2014-03-27 07:00:56.300638	40312	48	2	9
2014-03-27 07:00:57.121872	40313	22.2	1	8
2014-03-27 07:00:57.345167	40314	63	2	8
2014-03-27 07:01:11.380143	40315	19.1	1	1
2014-03-27 07:01:11.614419	40316	49	2	1
2014-03-27 07:01:24.862705	40317	20.1	1	10
2014-03-27 07:01:25.086939	40318	42	2	10
2014-03-27 07:01:32.502917	40319	515	3	2
2014-03-27 07:01:32.73627	40320	1091616.875162072	4	2
2014-03-27 07:01:35.244792	40321	19.9	1	9
2014-03-27 07:01:35.467472	40322	48	2	9
2014-03-27 07:01:36.120057	40323	22.4	1	8
2014-03-27 07:01:36.354554	40324	65	2	8
2014-03-27 07:01:50.381068	40325	19.1	1	1
2014-03-27 07:01:50.606175	40326	49	2	1
2014-03-27 07:02:03.863749	40327	20.1	1	10
2014-03-27 07:02:04.096473	40328	42	2	10
2014-03-27 07:02:14.033744	40329	19.9	1	9
2014-03-27 07:02:14.261994	40330	48	2	9
2014-03-27 07:02:15.120455	40331	22.6	1	8
2014-03-27 07:02:15.354515	40332	65	2	8
2014-03-27 07:02:29.380807	40333	19.1	1	1
2014-03-27 07:02:29.605337	40334	49	2	1
2014-03-27 07:02:32.505139	40335	515	3	2
2014-03-27 07:02:32.738951	40336	1091626.0674398434	4	2
2014-03-27 07:02:42.863949	40337	20.1	1	10
2014-03-27 07:02:43.090013	40338	42	2	10
2014-03-27 07:02:53.032829	40339	19.9	1	9
2014-03-27 07:02:53.26695	40340	48	2	9
2014-03-27 07:02:54.119548	40341	22.9	1	8
2014-03-27 07:02:54.34294	40342	66	2	8
2014-03-27 07:03:08.38046	40343	19.1	1	1
2014-03-27 07:03:08.618553	40344	49	2	1
2014-03-27 07:03:21.862961	40345	20.1	1	10
2014-03-27 07:03:22.087549	40346	42	2	10
2014-03-27 07:03:32.033313	40347	19.9	1	9
2014-03-27 07:03:32.266463	40348	48	2	9
2014-03-27 07:03:32.576992	40349	515	3	2
2014-03-27 07:03:32.800933	40350	1091634.1106828933	4	2
2014-03-27 07:03:33.119569	40351	23.1	1	8
2014-03-27 07:03:33.352941	40352	67	2	8
2014-03-27 07:03:47.379689	40353	19.1	1	1
2014-03-27 07:03:47.613842	40354	49	2	1
2014-03-27 07:04:00.872216	40355	20.1	1	10
2014-03-27 07:04:01.107184	40356	42	2	10
2014-03-27 07:04:11.033974	40357	19.9	1	9
2014-03-27 07:04:11.258766	40358	48	2	9
2014-03-27 07:04:12.119963	40359	23.2	1	8
2014-03-27 07:04:12.364882	40360	68	2	8
2014-03-27 07:04:26.380154	40361	19.1	1	1
2014-03-27 07:04:26.603302	40362	49	2	1
2014-03-27 07:04:32.507507	40363	498	3	2
2014-03-27 07:04:32.744531	40364	1091643.3029606645	4	2
2014-03-27 07:04:39.864796	40365	20.1	1	10
2014-03-27 07:04:40.089362	40366	42	2	10
2014-03-27 07:04:44.503958	40367	466	3	2
2014-03-27 07:04:44.740826	40368	1091644.451995386	4	2
2014-03-27 07:04:50.032794	40369	19.9	1	9
2014-03-27 07:04:50.256582	40370	48	2	9
2014-03-27 07:04:51.119683	40371	23.4	1	8
2014-03-27 07:04:51.353655	40372	68	2	8
2014-03-27 07:04:56.502844	40373	466	3	2
2014-03-27 07:04:56.727304	40374	1091646.750064829	4	2
2014-03-27 07:05:05.379005	40375	19.1	1	1
2014-03-27 07:05:05.613939	40376	49	2	1
2014-03-27 07:05:08.503253	40377	418	3	2
2014-03-27 07:05:08.72815	40378	1091647.8990995502	4	2
2014-03-27 07:05:18.86695	40379	20.1	1	10
2014-03-27 07:05:19.103599	40380	42	2	10
2014-03-27 07:05:20.503119	40381	418	3	2
2014-03-27 07:05:20.727385	40382	1091649.0481342718	4	2
2014-03-27 07:05:29.032483	40383	19.9	1	9
2014-03-27 07:05:29.266572	40384	48	2	9
2014-03-27 07:05:30.119553	40385	23.5	1	8
2014-03-27 07:05:30.343595	40386	68	2	8
2014-03-27 07:05:32.503599	40387	418	3	2
2014-03-27 07:05:32.738949	40388	1091650.197168993	4	2
2014-03-27 07:05:44.378564	40389	19.1	1	1
2014-03-27 07:05:44.604522	40390	49	2	1
2014-03-27 07:05:57.865152	40391	20.1	1	10
2014-03-27 07:05:58.101578	40392	42	2	10
2014-03-27 07:06:08.035269	40393	19.9	1	9
2014-03-27 07:06:08.26098	40394	48	2	9
2014-03-27 07:06:09.120103	40395	23.6	1	8
2014-03-27 07:06:09.354227	40396	67	2	8
2014-03-27 07:06:23.380001	40397	19.1	1	1
2014-03-27 07:06:23.604401	40398	49	2	1
2014-03-27 07:06:32.502379	40399	418	3	2
2014-03-27 07:06:32.736144	40400	1091657.0913773216	4	2
2014-03-27 07:06:36.865343	40401	20.1	1	10
2014-03-27 07:06:37.088967	40402	42	2	10
2014-03-27 07:06:47.033071	40403	19.9	1	9
2014-03-27 07:06:47.272555	40404	48	2	9
2014-03-27 07:06:48.120768	40405	23.5	1	8
2014-03-27 07:06:48.345151	40406	67	2	8
2014-03-27 07:07:02.377534	40407	19.1	1	1
2014-03-27 07:07:02.623668	40408	49	2	1
2014-03-27 07:07:15.864938	40409	20.1	1	10
2014-03-27 07:07:16.086993	40410	42	2	10
2014-03-27 07:07:26.033398	40411	19.9	1	9
2014-03-27 07:07:26.269558	40412	48	2	9
2014-03-27 07:07:27.117978	40413	23.4	1	8
2014-03-27 07:07:27.344308	40414	66	2	8
2014-03-27 07:07:32.501556	40415	418	3	2
2014-03-27 07:07:32.73494	40416	1091663.98558565	4	2
2014-03-27 07:07:41.381308	40417	19.1	1	1
2014-03-27 07:07:41.606635	40418	49	2	1
2014-03-27 07:07:54.865317	40419	20.1	1	10
2014-03-27 07:07:55.099726	40420	42	2	10
2014-03-27 07:07:56.50611	40421	482	3	2
2014-03-27 07:07:56.733037	40422	1091667.4326898144	4	2
2014-03-27 07:08:05.033855	40423	19.9	1	9
2014-03-27 07:08:05.267747	40424	48	2	9
2014-03-27 07:08:06.118662	40425	23.3	1	8
2014-03-27 07:08:06.343487	40426	66	2	8
2014-03-27 07:08:08.505147	40427	466	3	2
2014-03-27 07:08:08.73953	40428	1091668.5817245357	4	2
2014-03-27 07:08:20.379797	40429	19.1	1	1
2014-03-27 07:08:20.604257	40430	49	2	1
2014-03-27 07:08:32.503277	40431	418	3	2
2014-03-27 07:08:32.737753	40432	1091672.0288286998	4	2
2014-03-27 07:08:33.865733	40433	20.1	1	10
2014-03-27 07:08:34.091799	40434	42	2	10
2014-03-27 07:08:44.03244	40435	19.9	1	9
2014-03-27 07:08:44.267799	40436	48	2	9
2014-03-27 07:08:44.576452	40437	418	3	2
2014-03-27 07:08:44.800634	40438	1091673.1778634214	4	2
2014-03-27 07:08:45.119778	40439	23.1	1	8
2014-03-27 07:08:45.353683	40440	65	2	8
2014-03-27 07:08:56.502327	40441	482	3	2
2014-03-27 07:08:56.727625	40442	1091674.3268981427	4	2
2014-03-27 07:08:59.375102	40443	19.1	1	1
2014-03-27 07:08:59.609339	40444	49	2	1
2014-03-27 07:09:08.500977	40445	482	3	2
2014-03-27 07:09:08.729133	40446	1091676.6249675856	4	2
2014-03-27 07:09:12.866827	40447	20.1	1	10
2014-03-27 07:09:13.101944	40448	42	2	10
2014-03-27 07:09:23.033671	40449	19.9	1	9
2014-03-27 07:09:23.258925	40450	48	2	9
2014-03-27 07:09:24.119086	40451	23.0	1	8
2014-03-27 07:09:24.352968	40452	63	2	8
2014-03-27 07:09:32.505098	40453	482	3	2
2014-03-27 07:09:32.733264	40454	1091680.07207175	4	2
2014-03-27 07:09:38.375576	40455	19.1	1	1
2014-03-27 07:09:38.623252	40456	49	2	1
2014-03-27 07:09:51.865943	40457	20.1	1	10
2014-03-27 07:09:52.090741	40458	42	2	10
2014-03-27 07:10:02.034241	40459	19.9	1	9
2014-03-27 07:10:02.267004	40460	48	2	9
2014-03-27 07:10:03.118959	40461	22.8	1	8
2014-03-27 07:10:03.342535	40462	62	2	8
2014-03-27 07:10:17.377048	40463	19.1	1	1
2014-03-27 07:10:17.61192	40464	49	2	1
2014-03-27 07:10:30.868404	40465	20.1	1	10
2014-03-27 07:10:31.092804	40466	42	2	10
2014-03-27 07:10:32.502754	40467	482	3	2
2014-03-27 07:10:32.736114	40468	1091688.1153147998	4	2
2014-03-27 07:10:41.033935	40469	19.9	1	9
2014-03-27 07:10:41.258705	40470	48	2	9
2014-03-27 07:10:42.120225	40471	22.7	1	8
2014-03-27 07:10:42.353826	40472	61	2	8
2014-03-27 07:10:56.374054	40473	19.1	1	1
2014-03-27 07:10:56.597374	40474	49	2	1
2014-03-27 07:11:09.86657	40475	20.1	1	10
2014-03-27 07:11:10.103711	40476	42	2	10
2014-03-27 07:11:20.035613	40477	19.9	1	9
2014-03-27 07:11:20.260326	40478	48	2	9
2014-03-27 07:11:21.119174	40479	22.5	1	8
2014-03-27 07:11:21.353942	40480	60	2	8
2014-03-27 07:11:32.500862	40481	482	3	2
2014-03-27 07:11:32.72518	40482	1091696.1585578497	4	2
2014-03-27 07:11:35.375309	40483	19.1	1	1
2014-03-27 07:11:35.6086	40484	49	2	1
2014-03-27 07:11:48.867645	40485	20.1	1	10
2014-03-27 07:11:49.093772	40486	42	2	10
2014-03-27 07:11:56.499041	40487	531	3	2
2014-03-27 07:11:56.734731	40488	1091699.6056620139	4	2
2014-03-27 07:11:59.033839	40489	19.9	1	9
2014-03-27 07:11:59.262534	40490	48	2	9
2014-03-27 07:12:00.121762	40491	22.4	1	8
2014-03-27 07:12:00.355908	40492	59	2	8
2014-03-27 07:12:08.496974	40493	515	3	2
2014-03-27 07:12:08.721397	40494	1091700.7546967354	4	2
2014-03-27 07:12:14.37832	40495	19.1	1	1
2014-03-27 07:12:14.611863	40496	49	2	1
2014-03-27 07:12:27.867139	40497	20.1	1	10
2014-03-27 07:12:28.094001	40498	42	2	10
2014-03-27 07:12:37.831903	40499	515	3	2
2014-03-27 07:12:38.089546	40500	1091704.2018008996	4	2
2014-03-27 07:12:38.400044	40501	19.9	1	9
2014-03-27 07:12:38.624522	40502	48	2	9
2014-03-27 07:12:39.120509	40503	22.2	1	8
2014-03-27 07:12:39.366129	40504	58	2	8
2014-03-27 07:12:53.374296	40505	19.1	1	1
2014-03-27 07:12:53.597797	40506	49	2	1
2014-03-27 07:12:56.502167	40507	547	3	2
2014-03-27 07:12:56.735993	40508	1091707.6489050637	4	2
2014-03-27 07:13:06.866971	40509	20.1	1	10
2014-03-27 07:13:07.099594	40510	42	2	10
2014-03-27 07:13:08.502614	40511	547	3	2
2014-03-27 07:13:08.736451	40512	1091709.9469745066	4	2
2014-03-27 07:13:17.033585	40513	19.9	1	9
2014-03-27 07:13:17.258269	40514	48	2	9
2014-03-27 07:13:18.119545	40515	22.1	1	8
2014-03-27 07:13:18.357121	40516	58	2	8
2014-03-27 07:13:32.356593	40517	19.1	1	1
2014-03-27 07:13:32.583629	40518	49	2	1
2014-03-27 07:13:44.502063	40519	579	3	2
2014-03-27 07:13:44.735722	40520	1091715.6921481136	4	2
2014-03-27 07:13:45.866887	40521	20.0	1	10
2014-03-27 07:13:46.091493	40522	42	2	10
2014-03-27 07:13:56.033048	40523	19.9	1	9
2014-03-27 07:13:56.269507	40524	48	2	9
2014-03-27 07:13:56.579923	40525	547	3	2
2014-03-27 07:13:56.804493	40526	1091716.8411828352	4	2
2014-03-27 07:13:57.119519	40527	21.9	1	8
2014-03-27 07:13:57.353844	40528	59	2	8
2014-03-27 07:14:08.504437	40529	547	3	2
2014-03-27 07:14:08.727671	40530	1091719.139252278	4	2
2014-03-27 07:14:11.37318	40531	19.1	1	1
2014-03-27 07:14:11.611877	40532	49	2	1
2014-03-27 07:14:24.868734	40533	20.0	1	10
2014-03-27 07:14:25.092536	40534	42	2	10
2014-03-27 07:14:32.495016	40535	547	3	2
2014-03-27 07:14:32.731268	40536	1091722.5863564422	4	2
2014-03-27 07:14:35.033256	40537	19.9	1	9
2014-03-27 07:14:35.257127	40538	48	2	9
2014-03-27 07:14:36.119354	40539	21.8	1	8
2014-03-27 07:14:36.354036	40540	59	2	8
2014-03-27 07:14:50.371607	40541	19.1	1	1
2014-03-27 07:14:50.595896	40542	49	2	1
2014-03-27 07:15:03.86827	40543	20.1	1	10
2014-03-27 07:15:04.101826	40544	42	2	10
2014-03-27 07:15:14.033525	40545	19.9	1	9
2014-03-27 07:15:14.257829	40546	48	2	9
2014-03-27 07:15:15.119308	40547	21.8	1	8
2014-03-27 07:15:15.352419	40548	58	2	8
2014-03-27 07:15:29.373136	40549	19.1	1	1
2014-03-27 07:15:29.598082	40550	49	2	1
2014-03-27 07:15:32.498193	40551	547	3	2
2014-03-27 07:15:32.74394	40552	1091731.7786342136	4	2
2014-03-27 07:15:42.925111	40553	20.1	1	10
2014-03-27 07:15:43.149487	40554	42	2	10
2014-03-27 07:15:53.033218	40555	19.9	1	9
2014-03-27 07:15:53.267416	40556	48	2	9
2014-03-27 07:15:54.118407	40557	21.7	1	8
2014-03-27 07:15:54.343252	40558	58	2	8
2014-03-27 07:16:08.37603	40559	19.1	1	1
2014-03-27 07:16:08.610915	40560	49	2	1
2014-03-27 07:16:21.866771	40561	20.0	1	10
2014-03-27 07:16:22.094311	40562	42	2	10
2014-03-27 07:16:32.035096	40563	19.9	1	9
2014-03-27 07:16:32.269949	40564	48	2	9
2014-03-27 07:16:32.5808	40565	579	3	2
2014-03-27 07:16:32.805282	40566	1091740.9709119848	4	2
2014-03-27 07:16:33.119196	40567	21.6	1	8
2014-03-27 07:16:33.352788	40568	58	2	8
2014-03-27 07:16:44.49649	40569	579	3	2
2014-03-27 07:16:44.72061	40570	1091743.2689814277	4	2
2014-03-27 07:16:47.371869	40571	19.1	1	1
2014-03-27 07:16:47.605724	40572	49	2	1
2014-03-27 07:16:56.498189	40573	547	3	2
2014-03-27 07:16:56.723711	40574	1091744.4180161492	4	2
2014-03-27 07:17:00.869323	40575	20.0	1	10
2014-03-27 07:17:01.104	40576	42	2	10
2014-03-27 07:17:08.499043	40577	547	3	2
2014-03-27 07:17:08.723675	40578	1091746.7160855918	4	2
2014-03-27 07:17:11.033799	40579	19.9	1	9
2014-03-27 07:17:11.267825	40580	48	2	9
2014-03-27 07:17:12.119997	40581	21.6	1	8
2014-03-27 07:17:12.344369	40582	58	2	8
2014-03-27 07:17:26.407573	40583	19.1	1	1
2014-03-27 07:17:26.642718	40584	49	2	1
2014-03-27 07:17:32.50445	40585	547	3	2
2014-03-27 07:17:32.72917	40586	1091749.018625987	4	2
2014-03-27 07:17:39.866935	40587	20.0	1	10
2014-03-27 07:17:40.179557	40588	42	2	10
2014-03-27 07:17:50.033121	40589	19.9	1	9
2014-03-27 07:17:50.294874	40590	48	2	9
2014-03-27 07:17:51.117906	40591	21.6	1	8
2014-03-27 07:17:51.387418	40592	58	2	8
2014-03-27 07:18:05.372301	40593	19.1	1	1
2014-03-27 07:18:06.091359	40594	49	2	1
2014-03-27 07:18:08.50613	40595	515	3	2
2014-03-27 07:18:08.774295	40596	1091754.763799594	4	2
2014-03-27 07:18:18.868913	40597	20.0	1	10
2014-03-27 07:18:19.096003	40598	42	2	10
2014-03-27 07:18:20.502337	40599	515	3	2
2014-03-27 07:18:20.747678	40600	1091755.9128343156	4	2
2014-03-27 07:18:29.033097	40601	19.9	1	9
2014-03-27 07:18:29.257577	40602	48	2	9
2014-03-27 07:18:30.118675	40603	21.6	1	8
2014-03-27 07:18:30.539153	40604	58	2	8
2014-03-27 07:18:32.503898	40605	515	3	2
2014-03-27 07:18:32.725373	40606	1091758.2109037582	4	2
2014-03-27 07:18:44.371784	40607	19.1	1	1
2014-03-27 07:18:44.594523	40608	49	2	1
2014-03-27 07:18:57.869878	40609	20.0	1	10
2014-03-27 07:18:58.103972	40610	42	2	10
2014-03-27 07:19:08.034005	40611	19.9	1	9
2014-03-27 07:19:08.25601	40612	48	2	9
2014-03-27 07:19:09.116229	40613	21.6	1	8
2014-03-27 07:19:09.348267	40614	58	2	8
2014-03-27 07:19:23.369706	40615	19.1	1	1
2014-03-27 07:19:23.594319	40616	49	2	1
2014-03-27 07:19:32.502788	40617	515	3	2
2014-03-27 07:19:32.7365	40618	1091766.2541468083	4	2
2014-03-27 07:19:36.869223	40619	20.0	1	10
2014-03-27 07:19:37.093251	40620	42	2	10
2014-03-27 07:19:47.031923	40621	19.9	1	9
2014-03-27 07:19:47.266873	40622	48	2	9
2014-03-27 07:19:48.119032	40623	21.6	1	8
2014-03-27 07:19:48.348805	40624	57	2	8
2014-03-27 07:20:02.370804	40625	19.1	1	1
2014-03-27 07:20:02.625614	40626	49	2	1
2014-03-27 07:20:15.87084	40627	20.0	1	10
2014-03-27 07:20:16.094154	40628	42	2	10
2014-03-27 07:20:26.032735	40629	19.9	1	9
2014-03-27 07:20:26.267007	40630	48	2	9
2014-03-27 07:20:27.120407	40631	21.6	1	8
2014-03-27 07:20:27.340906	40632	57	2	8
2014-03-27 07:20:32.498689	40633	515	3	2
2014-03-27 07:20:32.734751	40634	1091775.4464245795	4	2
2014-03-27 07:20:41.370203	40635	19.1	1	1
2014-03-27 07:20:41.592915	40636	49	2	1
2014-03-27 07:20:54.870418	40637	20.0	1	10
2014-03-27 07:20:55.103506	40638	42	2	10
2014-03-27 07:21:05.032699	40639	19.9	1	9
2014-03-27 07:21:05.255471	40640	48	2	9
2014-03-27 07:21:06.119984	40641	21.6	1	8
2014-03-27 07:21:06.354157	40642	57	2	8
2014-03-27 07:21:20.370191	40643	19.1	1	1
2014-03-27 07:21:20.593891	40644	49	2	1
2014-03-27 07:21:32.50314	40645	611	3	2
2014-03-27 07:21:32.736954	40646	1091783.4896676294	4	2
2014-03-27 07:21:33.871086	40647	20.0	1	10
2014-03-27 07:21:34.0937	40648	42	2	10
2014-03-27 07:21:44.03501	40649	19.9	1	9
2014-03-27 07:21:44.277528	40650	48	2	9
2014-03-27 07:21:44.584345	40651	981	3	2
2014-03-27 07:21:44.807673	40652	1091788.085806515	4	2
2014-03-27 07:21:45.11832	40653	21.6	1	8
2014-03-27 07:21:45.350944	40654	56	2	8
2014-03-27 07:21:56.503734	40655	837	3	2
2014-03-27 07:21:56.727916	40656	1091790.383875958	4	2
2014-03-27 07:21:59.369769	40657	19.1	1	1
2014-03-27 07:21:59.603908	40658	49	2	1
2014-03-27 07:22:08.498051	40659	515	3	2
2014-03-27 07:22:08.722082	40660	1091792.6819454008	4	2
2014-03-27 07:22:12.872368	40661	20.0	1	10
2014-03-27 07:22:13.143097	40662	42	2	10
2014-03-27 07:22:20.495346	40663	579	3	2
2014-03-27 07:22:20.717512	40664	1091794.9800148436	4	2
2014-03-27 07:22:23.039382	40665	19.9	1	9
2014-03-27 07:22:23.273911	40666	48	2	9
2014-03-27 07:22:24.121288	40667	21.6	1	8
2014-03-27 07:22:24.343706	40668	56	2	8
2014-03-27 07:22:32.502999	40669	498	3	2
2014-03-27 07:22:32.737348	40670	1091797.2780842865	4	2
2014-03-27 07:22:38.391946	40671	19.1	1	1
2014-03-27 07:22:38.616772	40672	49	2	1
2014-03-27 07:22:44.499014	40673	515	3	2
2014-03-27 07:22:44.733631	40674	1091799.5761537293	4	2
2014-03-27 07:22:51.870331	40675	20.0	1	10
2014-03-27 07:22:52.09381	40676	42	2	10
2014-03-27 07:23:02.032814	40677	19.9	1	9
2014-03-27 07:23:02.267516	40678	48	2	9
2014-03-27 07:23:03.120215	40679	21.6	1	8
2014-03-27 07:23:03.344625	40680	56	2	8
2014-03-27 07:23:17.372291	40681	19.1	1	1
2014-03-27 07:23:17.605829	40682	49	2	1
2014-03-27 07:23:30.870287	40683	20.0	1	10
2014-03-27 07:23:31.093953	40684	42	2	10
2014-03-27 07:23:32.49924	40685	515	3	2
2014-03-27 07:23:32.732209	40686	1091807.6193967792	4	2
2014-03-27 07:23:41.031653	40687	19.9	1	9
2014-03-27 07:23:41.255714	40688	48	2	9
2014-03-27 07:23:42.119003	40689	21.6	1	8
2014-03-27 07:23:42.353667	40690	56	2	8
2014-03-27 07:23:44.502041	40691	466	3	2
2014-03-27 07:23:44.728194	40692	1091808.7684315005	4	2
2014-03-27 07:23:56.357099	40693	19.1	1	1
2014-03-27 07:23:56.591431	40694	49	2	1
2014-03-27 07:24:08.502741	40695	2044	3	2
2014-03-27 07:24:08.7291	40696	1091814.5136051076	4	2
2014-03-27 07:24:09.870065	40697	20.0	1	10
2014-03-27 07:24:10.114439	40698	42	2	10
2014-03-27 07:24:20.033037	40699	19.9	1	9
2014-03-27 07:24:20.25794	40700	48	2	9
2014-03-27 07:24:20.567656	40701	2028	3	2
2014-03-27 07:24:20.802293	40702	1091821.4078134361	4	2
2014-03-27 07:24:21.119354	40703	21.6	1	8
2014-03-27 07:24:21.343782	40704	56	2	8
2014-03-27 07:24:32.50595	40705	2044	3	2
2014-03-27 07:24:32.739715	40706	1091828.3020217647	4	2
2014-03-27 07:24:35.367707	40707	19.1	1	1
2014-03-27 07:24:35.593694	40708	49	2	1
2014-03-27 07:24:48.871158	40709	20.0	1	10
2014-03-27 07:24:49.109398	40710	42	2	10
2014-03-27 07:24:56.504539	40711	2237	3	2
2014-03-27 07:24:56.729368	40712	1091843.239473143	4	2
2014-03-27 07:24:59.034172	40713	19.9	1	9
2014-03-27 07:24:59.267585	40714	48	2	9
2014-03-27 07:25:00.117712	40715	21.6	1	8
2014-03-27 07:25:00.342848	40716	55	2	8
2014-03-27 07:25:14.163598	40717	3492	3	2
2014-03-27 07:25:14.397629	40718	1091851.282716193	4	2
2014-03-27 07:25:14.709166	40719	19.1	1	1
2014-03-27 07:25:14.933772	40720	49	2	1
2014-03-27 07:25:20.500596	40721	6020	3	2
2014-03-27 07:25:20.735168	40722	1091865.07113285	4	2
2014-03-27 07:25:27.87076	40723	20.0	1	10
2014-03-27 07:25:28.094708	40724	42	2	10
2014-03-27 07:25:32.505472	40725	6004	3	2
2014-03-27 07:25:32.743254	40726	1091885.7537578354	4	2
2014-03-27 07:25:38.033521	40727	19.9	1	9
2014-03-27 07:25:38.257318	40728	48	2	9
2014-03-27 07:25:39.11976	40729	21.6	1	8
2014-03-27 07:25:39.354236	40730	55	2	8
2014-03-27 07:25:53.36406	40731	19.1	1	1
2014-03-27 07:25:53.588871	40732	49	2	1
2014-03-27 07:25:56.502339	40733	5939	3	2
2014-03-27 07:25:56.737101	40734	1091925.969973085	4	2
2014-03-27 07:26:06.869469	40735	20.0	1	10
2014-03-27 07:26:07.09462	40736	42	2	10
2014-03-27 07:26:08.510575	40737	6004	3	2
2014-03-27 07:26:08.747255	40738	1091946.6525980704	4	2
2014-03-27 07:26:17.033349	40739	19.9	1	9
2014-03-27 07:26:17.257137	40740	48	2	9
2014-03-27 07:26:18.12004	40741	21.6	1	8
2014-03-27 07:26:18.360584	40742	55	2	8
2014-03-27 07:26:20.502337	40743	4812	3	2
2014-03-27 07:26:20.725892	40744	1091965.037153613	4	2
2014-03-27 07:26:32.354918	40745	19.1	1	1
2014-03-27 07:26:32.599759	40746	49	2	1
2014-03-27 07:26:44.505016	40747	6004	3	2
2014-03-27 07:26:44.72847	40748	1091998.359160534	4	2
2014-03-27 07:26:46.078615	40749	20.0	1	10
2014-03-27 07:26:46.310741	40750	42	2	10
2014-03-27 07:26:56.032942	40751	19.9	1	9
2014-03-27 07:26:56.256211	40752	48	2	9
2014-03-27 07:26:56.562262	40753	5939	3	2
2014-03-27 07:26:56.795677	40754	1092017.892750798	4	2
2014-03-27 07:26:57.119466	40755	21.6	1	8
2014-03-27 07:26:57.343284	40756	55	2	8
2014-03-27 07:27:08.503485	40757	4812	3	2
2014-03-27 07:27:08.738252	40758	1092033.9792368978	4	2
2014-03-27 07:27:11.366761	40759	19.1	1	1
2014-03-27 07:27:11.590428	40760	49	2	1
2014-03-27 07:27:20.504962	40761	4796	3	2
2014-03-27 07:27:20.740236	40762	1092048.9211592285	4	2
2014-03-27 07:27:24.871472	40763	20.0	1	10
2014-03-27 07:27:25.100083	40764	42	2	10
2014-03-27 07:27:32.504013	40765	4780	3	2
2014-03-27 07:27:32.738197	40766	1092065.0076453283	4	2
2014-03-27 07:27:35.035424	40767	19.9	1	9
2014-03-27 07:27:35.257369	40768	48	2	9
2014-03-27 07:27:36.119928	40769	21.5	1	8
2014-03-27 07:27:36.352352	40770	54	2	8
2014-03-27 07:27:50.366964	40771	19.1	1	1
2014-03-27 07:27:50.594762	40772	49	2	1
2014-03-27 07:27:56.505208	40773	5939	3	2
2014-03-27 07:27:56.739283	40774	1092100.6277216922	4	2
2014-03-27 07:28:03.870466	40775	20.0	1	10
2014-03-27 07:28:04.095354	40776	42	2	10
2014-03-27 07:28:08.501957	40777	4780	3	2
2014-03-27 07:28:08.735346	40778	1092117.8632425135	4	2
2014-03-27 07:28:14.034061	40779	19.9	1	9
2014-03-27 07:28:14.259305	40780	48	2	9
2014-03-27 07:28:15.119928	40781	21.5	1	8
2014-03-27 07:28:15.352325	40782	54	2	8
2014-03-27 07:28:20.500338	40783	4796	3	2
2014-03-27 07:28:20.72413	40784	1092133.9497286133	4	2
2014-03-27 07:28:29.368521	40785	19.1	1	1
2014-03-27 07:28:29.604718	40786	49	2	1
2014-03-27 07:28:32.495072	40787	4796	3	2
2014-03-27 07:28:32.717795	40788	1092150.036214713	4	2
2014-03-27 07:28:42.872373	40789	20.0	1	10
2014-03-27 07:28:43.105344	40790	42	2	10
2014-03-27 07:28:44.498981	40791	4909	3	2
2014-03-27 07:28:44.721764	40792	1092167.2717355343	4	2
2014-03-27 07:28:53.033226	40793	19.9	1	9
2014-03-27 07:28:53.281321	40794	48	2	9
2014-03-27 07:28:54.118859	40795	21.5	1	8
2014-03-27 07:28:54.34526	40796	55	2	8
2014-03-27 07:28:56.502609	40797	2511	3	2
2014-03-27 07:28:56.736197	40798	1092177.613048027	4	2
2014-03-27 07:29:08.357686	40799	19.1	1	1
2014-03-27 07:29:08.583179	40800	49	2	1
2014-03-27 07:29:20.505325	40801	3702	3	2
2014-03-27 07:29:20.73823	40802	1092195.9976035696	4	2
2014-03-27 07:29:21.872044	40803	20.0	1	10
2014-03-27 07:29:22.094343	40804	42	2	10
2014-03-27 07:29:32.032652	40805	19.9	1	9
2014-03-27 07:29:32.264601	40806	48	2	9
2014-03-27 07:29:32.575404	40807	2494	3	2
2014-03-27 07:29:32.797698	40808	1092207.4879507837	4	2
2014-03-27 07:29:33.118224	40809	21.5	1	8
2014-03-27 07:29:33.352898	40810	55	2	8
2014-03-27 07:29:44.506358	40811	2398	3	2
2014-03-27 07:29:44.730212	40812	1092215.5311938336	4	2
2014-03-27 07:29:47.366065	40813	19.1	1	1
2014-03-27 07:29:47.600435	40814	49	2	1
2014-03-27 07:29:56.499836	40815	2575	3	2
2014-03-27 07:29:56.724085	40816	1092224.723471605	4	2
2014-03-27 07:30:00.871337	40817	20.0	1	10
2014-03-27 07:30:01.104551	40818	42	2	10
2014-03-27 07:30:08.501424	40819	853	3	2
2014-03-27 07:30:08.725077	40820	1092228.1705757692	4	2
2014-03-27 07:30:11.033346	40821	19.9	1	9
2014-03-27 07:30:11.266886	40822	48	2	9
2014-03-27 07:30:12.11935	40823	21.6	1	8
2014-03-27 07:30:12.343653	40824	56	2	8
2014-03-27 07:30:20.505762	40825	869	3	2
2014-03-27 07:30:20.740156	40826	1092230.468645212	4	2
2014-03-27 07:30:26.40038	40827	19.1	1	1
2014-03-27 07:30:26.62569	40828	49	2	1
2014-03-27 07:30:32.502421	40829	853	3	2
2014-03-27 07:30:32.736684	40830	1092233.9157493764	4	2
2014-03-27 07:30:39.872312	40831	20.0	1	10
2014-03-27 07:30:40.097911	40832	42	2	10
2014-03-27 07:30:50.034168	40833	19.9	1	9
2014-03-27 07:30:50.271061	40834	48	2	9
2014-03-27 07:30:51.119832	40835	21.6	1	8
2014-03-27 07:30:51.343456	40836	57	2	8
2014-03-27 07:31:05.363384	40837	19.1	1	1
2014-03-27 07:31:05.597045	40838	49	2	1
2014-03-27 07:31:18.872419	40839	20.0	1	10
2014-03-27 07:31:19.101066	40840	42	2	10
2014-03-27 07:31:29.03187	40841	19.9	1	9
2014-03-27 07:31:29.277498	40842	49	2	9
2014-03-27 07:31:30.117705	40843	21.7	1	8
2014-03-27 07:31:30.342384	40844	59	2	8
2014-03-27 07:31:32.502854	40845	965	3	2
2014-03-27 07:31:32.738657	40846	1092245.4060965905	4	2
2014-03-27 07:31:44.354801	40847	19.1	1	1
2014-03-27 07:31:44.579814	40848	49	2	1
2014-03-27 07:31:56.499958	40849	853	3	2
2014-03-27 07:31:56.733226	40850	1092254.5983743619	4	2
2014-03-27 07:31:57.873611	40851	20.0	1	10
2014-03-27 07:31:58.095332	40852	42	2	10
2014-03-27 07:32:08.033168	40853	20.0	1	9
2014-03-27 07:32:08.268122	40854	48	2	9
2014-03-27 07:32:08.576521	40855	837	3	2
2014-03-27 07:32:08.800632	40856	1092256.8964438047	4	2
2014-03-27 07:32:09.118316	40857	21.7	1	8
2014-03-27 07:32:09.351001	40858	59	2	8
2014-03-27 07:32:23.36462	40859	19.1	1	1
2014-03-27 07:32:23.589705	40860	49	2	1
2014-03-27 07:32:32.499312	40861	837	3	2
2014-03-27 07:32:32.733	40862	1092261.4925826902	4	2
2014-03-27 07:32:36.872032	40863	19.9	1	10
2014-03-27 07:32:37.097535	40864	43	2	10
2014-03-27 07:32:47.033697	40865	20.0	1	9
2014-03-27 07:32:47.26742	40866	48	2	9
2014-03-27 07:32:48.120958	40867	21.8	1	8
2014-03-27 07:32:48.345535	40868	62	2	8
2014-03-27 07:33:02.364284	40869	19.1	1	1
2014-03-27 07:33:02.598304	40870	49	2	1
2014-03-27 07:33:15.873317	40871	19.9	1	10
2014-03-27 07:33:16.099398	40872	43	2	10
2014-03-27 07:33:26.032972	40873	20.0	1	9
2014-03-27 07:33:26.268688	40874	48	2	9
2014-03-27 07:33:27.12019	40875	22.0	1	8
2014-03-27 07:33:27.342752	40876	63	2	8
2014-03-27 07:33:32.502127	40877	837	3	2
2014-03-27 07:33:32.73718	40878	1092272.9829299045	4	2
2014-03-27 07:33:41.365166	40879	19.1	1	1
2014-03-27 07:33:41.589542	40880	49	2	1
2014-03-27 07:33:54.872984	40881	19.9	1	10
2014-03-27 07:33:55.106204	40882	43	2	10
2014-03-27 07:34:05.031771	40883	20.0	1	9
2014-03-27 07:34:05.257949	40884	48	2	9
2014-03-27 07:34:06.118255	40885	22.1	1	8
2014-03-27 07:34:06.353529	40886	65	2	8
2014-03-27 07:34:20.363192	40887	19.1	1	1
2014-03-27 07:34:20.58893	40888	49	2	1
2014-03-27 07:34:32.504698	40889	595	3	2
2014-03-27 07:34:32.751609	40890	1092286.7713465614	4	2
2014-03-27 07:34:33.873204	40891	19.9	1	10
2014-03-27 07:34:34.095931	40892	43	2	10
2014-03-27 07:34:44.032361	40893	20.0	1	9
2014-03-27 07:34:44.266779	40894	48	2	9
2014-03-27 07:34:44.574962	40895	595	3	2
2014-03-27 07:34:44.798904	40896	1092289.0694160042	4	2
2014-03-27 07:34:45.1189	40897	22.3	1	8
2014-03-27 07:34:45.353254	40898	66	2	8
2014-03-27 07:34:59.361978	40899	19.1	1	1
2014-03-27 07:34:59.594256	40900	49	2	1
2014-03-27 07:35:08.50732	40901	1818	3	2
2014-03-27 07:35:08.742799	40902	1092295.9636243328	4	2
2014-03-27 07:35:12.873117	40903	19.9	1	10
2014-03-27 07:35:13.094886	40904	43	2	10
2014-03-27 07:35:20.50491	40905	611	3	2
2014-03-27 07:35:20.737821	40906	1092301.7087979398	4	2
2014-03-27 07:35:23.032131	40907	20.1	1	9
2014-03-27 07:35:23.256128	40908	49	2	9
2014-03-27 07:35:24.117944	40909	22.5	1	8
2014-03-27 07:35:24.350532	40910	68	2	8
2014-03-27 07:35:32.504085	40911	627	3	2
2014-03-27 07:35:32.728125	40912	1092304.0068673827	4	2
2014-03-27 07:35:38.361242	40913	19.1	1	1
2014-03-27 07:35:38.597559	40914	49	2	1
2014-03-27 07:35:51.873582	40915	19.9	1	10
2014-03-27 07:35:52.096696	40916	43	2	10
2014-03-27 07:36:02.032954	40917	20.1	1	9
2014-03-27 07:36:02.26565	40918	49	2	9
2014-03-27 07:36:03.118748	40919	22.8	1	8
2014-03-27 07:36:03.340798	40920	69	2	8
2014-03-27 07:36:17.362899	40921	19.1	1	1
2014-03-27 07:36:17.597893	40922	49	2	1
2014-03-27 07:36:30.874275	40923	19.9	1	10
2014-03-27 07:36:31.097186	40924	43	2	10
2014-03-27 07:36:32.49936	40925	627	3	2
2014-03-27 07:36:32.734772	40926	1092316.6462493183	4	2
2014-03-27 07:36:41.033526	40927	20.1	1	9
2014-03-27 07:36:41.258217	40928	49	2	9
2014-03-27 07:36:42.119679	40929	23.0	1	8
2014-03-27 07:36:42.353174	40930	68	2	8
2014-03-27 07:36:56.359729	40931	19.1	1	1
2014-03-27 07:36:56.584205	40932	49	2	1
2014-03-27 07:37:09.876987	40933	19.9	1	10
2014-03-27 07:37:10.111016	40934	43	2	10
2014-03-27 07:37:20.033036	40935	20.1	1	9
2014-03-27 07:37:20.258564	40936	49	2	9
2014-03-27 07:37:21.118036	40937	23.0	1	8
2014-03-27 07:37:21.363208	40938	68	2	8
2014-03-27 07:37:32.499671	40939	643	3	2
2014-03-27 07:37:32.72548	40940	1092330.4346659752	4	2
2014-03-27 07:37:35.360264	40941	19.1	1	1
2014-03-27 07:37:35.594542	40942	49	2	1
2014-03-27 07:37:48.87364	40943	19.9	1	10
2014-03-27 07:37:49.105818	40944	43	2	10
2014-03-27 07:37:59.034519	40945	20.1	1	9
2014-03-27 07:37:59.267972	40946	49	2	9
2014-03-27 07:38:00.118282	40947	23.0	1	8
2014-03-27 07:38:00.342124	40948	67	2	8
2014-03-27 07:38:08.503831	40949	837	3	2
2014-03-27 07:38:08.737435	40950	1092337.3333452558	4	2
2014-03-27 07:38:14.359297	40951	19.1	1	1
2014-03-27 07:38:14.584347	40952	49	2	1
2014-03-27 07:38:20.502306	40953	933	3	2
2014-03-27 07:38:20.737212	40954	1092340.7804494202	4	2
2014-03-27 07:38:27.874714	40955	19.9	1	10
2014-03-27 07:38:28.101785	40956	43	2	10
2014-03-27 07:38:32.501689	40957	595	3	2
2014-03-27 07:38:32.755355	40958	1092343.078518863	4	2
2014-03-27 07:38:38.033608	40959	20.1	1	9
2014-03-27 07:38:38.260154	40960	49	2	9
2014-03-27 07:38:39.120079	40961	22.9	1	8
2014-03-27 07:38:39.351995	40962	66	2	8
2014-03-27 07:38:44.502659	40963	1158	3	2
2014-03-27 07:38:44.725388	40964	1092346.5256230272	4	2
2014-03-27 07:38:53.360566	40965	19.1	1	1
2014-03-27 07:38:53.594188	40966	49	2	1
2014-03-27 07:38:56.504485	40967	579	3	2
2014-03-27 07:38:56.728165	40968	1092348.82369247	4	2
2014-03-27 07:39:06.874904	40969	19.9	1	10
2014-03-27 07:39:07.113208	40970	43	2	10
2014-03-27 07:39:08.502892	40971	901	3	2
2014-03-27 07:39:08.725089	40972	1092351.121761913	4	2
2014-03-27 07:39:17.03358	40973	20.1	1	9
2014-03-27 07:39:17.269762	40974	49	2	9
2014-03-27 07:39:18.118266	40975	22.8	1	8
2014-03-27 07:39:18.343905	40976	64	2	8
2014-03-27 07:39:20.503874	40977	579	3	2
2014-03-27 07:39:20.739401	40978	1092353.4198313558	4	2
2014-03-27 07:39:32.354426	40979	19.1	1	1
2014-03-27 07:39:32.578751	40980	49	2	1
2014-03-27 07:39:44.502656	40981	1754	3	2
2014-03-27 07:39:44.736344	40982	1092361.4630744057	4	2
2014-03-27 07:39:45.874773	40983	19.9	1	10
2014-03-27 07:39:46.097483	40984	43	2	10
2014-03-27 07:39:56.034098	40985	20.1	1	9
2014-03-27 07:39:56.280927	40986	49	2	9
2014-03-27 07:39:56.59214	40987	579	3	2
2014-03-27 07:39:56.816438	40988	1092363.7611438485	4	2
2014-03-27 07:39:57.123261	40989	22.7	1	8
2014-03-27 07:39:57.357338	40990	63	2	8
2014-03-27 07:40:11.156466	40991	579	3	2
2014-03-27 07:40:11.383644	40992	1092364.9101785698	4	2
2014-03-27 07:40:11.69006	40993	19.1	1	1
2014-03-27 07:40:11.923217	40994	49	2	1
2014-03-27 07:40:24.874903	40995	19.9	1	10
2014-03-27 07:40:25.098421	40996	43	2	10
2014-03-27 07:40:32.500365	40997	579	3	2
2014-03-27 07:40:32.735519	40998	1092369.5063174556	4	2
2014-03-27 07:40:35.033104	40999	20.2	1	9
2014-03-27 07:40:35.264077	41000	49	2	9
2014-03-27 07:40:36.118248	41001	22.6	1	8
2014-03-27 07:40:36.352932	41002	62	2	8
2014-03-27 07:40:50.359579	41003	19.1	1	1
2014-03-27 07:40:50.586693	41004	49	2	1
2014-03-27 07:41:03.876267	41005	19.9	1	10
2014-03-27 07:41:04.109982	41006	43	2	10
2014-03-27 07:41:14.033303	41007	20.2	1	9
2014-03-27 07:41:14.257436	41008	49	2	9
2014-03-27 07:41:15.119797	41009	22.6	1	8
2014-03-27 07:41:15.351313	41010	61	2	8
2014-03-27 07:41:29.356469	41011	19.1	1	1
2014-03-27 07:41:29.582488	41012	49	2	1
2014-03-27 07:41:32.502526	41013	579	3	2
2014-03-27 07:41:32.736883	41014	1092378.6985952267	4	2
2014-03-27 07:41:42.875234	41015	20.0	1	10
2014-03-27 07:41:43.101587	41016	42	2	10
2014-03-27 07:41:53.032612	41017	20.2	1	9
2014-03-27 07:41:53.265629	41018	49	2	9
2014-03-27 07:41:54.119071	41019	22.5	1	8
2014-03-27 07:41:54.346397	41020	60	2	8
2014-03-27 07:41:56.505043	41021	3251	3	2
2014-03-27 07:41:56.740441	41022	1092389.0399077195	4	2
2014-03-27 07:42:08.354256	41023	19.1	1	1
2014-03-27 07:42:08.578118	41024	49	2	1
2014-03-27 07:42:20.502777	41025	3154	3	2
2014-03-27 07:42:20.739101	41026	1092410.8715674265	4	2
2014-03-27 07:42:21.876837	41027	20.0	1	10
2014-03-27 07:42:22.101357	41028	42	2	10
2014-03-27 07:42:32.033245	41029	20.2	1	9
2014-03-27 07:42:32.266789	41030	49	2	9
2014-03-27 07:42:32.57438	41031	595	3	2
2014-03-27 07:42:32.800047	41032	1092413.1696368693	4	2
2014-03-27 07:42:33.120927	41033	22.4	1	8
2014-03-27 07:42:33.367935	41034	59	2	8
2014-03-27 07:42:44.503025	41035	595	3	2
2014-03-27 07:42:44.731106	41036	1092414.3186715906	4	2
2014-03-27 07:42:47.362524	41037	19.1	1	1
2014-03-27 07:42:47.596628	41038	49	2	1
2014-03-27 07:43:00.876918	41039	20.0	1	10
2014-03-27 07:43:01.102459	41040	42	2	10
2014-03-27 07:43:11.034321	41041	20.2	1	9
2014-03-27 07:43:11.266821	41042	49	2	9
2014-03-27 07:43:12.117434	41043	22.3	1	8
2014-03-27 07:43:12.341459	41044	59	2	8
2014-03-27 07:43:26.357875	41045	19.1	1	1
2014-03-27 07:43:26.591588	41046	49	2	1
2014-03-27 07:43:32.506911	41047	692	3	2
2014-03-27 07:43:32.733522	41048	1092422.3619146405	4	2
2014-03-27 07:43:39.876294	41049	20.0	1	10
2014-03-27 07:43:40.113086	41050	42	2	10
2014-03-27 07:43:44.502779	41051	1738	3	2
2014-03-27 07:43:44.727674	41052	1092425.809018805	4	2
2014-03-27 07:43:50.034702	41053	20.2	1	9
2014-03-27 07:43:50.302557	41054	49	2	9
2014-03-27 07:43:51.121025	41055	22.2	1	8
2014-03-27 07:43:51.433874	41056	58	2	8
2014-03-27 07:43:56.500001	41057	1690	3	2
2014-03-27 07:43:56.76761	41058	1092431.554192412	4	2
2014-03-27 07:44:05.358488	41059	19.1	1	1
2014-03-27 07:44:05.637601	41060	49	2	1
2014-03-27 07:44:08.502679	41061	531	3	2
2014-03-27 07:44:08.935615	41062	1092435.001296576	4	2
2014-03-27 07:44:18.876129	41063	20.0	1	10
2014-03-27 07:44:19.159149	41064	42	2	10
2014-03-27 07:44:20.504033	41065	531	3	2
2014-03-27 07:44:20.77081	41066	1092436.1503312977	4	2
2014-03-27 07:44:29.031834	41067	20.2	1	9
2014-03-27 07:44:29.25819	41068	49	2	9
2014-03-27 07:44:30.121343	41069	22.1	1	8
2014-03-27 07:44:30.356893	41070	58	2	8
2014-03-27 07:44:32.50498	41071	531	3	2
2014-03-27 07:44:32.729922	41072	1092438.4484007405	4	2
2014-03-27 07:44:44.359169	41073	19.1	1	1
2014-03-27 07:44:44.592861	41074	49	2	1
2014-03-27 07:44:56.504972	41075	1690	3	2
2014-03-27 07:44:56.729074	41076	1092444.1935743475	4	2
2014-03-27 07:44:57.876833	41077	20.0	1	10
2014-03-27 07:44:58.110971	41078	42	2	10
2014-03-27 07:45:08.032461	41079	20.2	1	9
2014-03-27 07:45:08.258939	41080	49	2	9
2014-03-27 07:45:08.917854	41081	515	3	2
2014-03-27 07:45:09.16407	41082	1092447.6406785117	4	2
2014-03-27 07:45:09.472859	41083	22.1	1	8
2014-03-27 07:45:09.696401	41084	58	2	8
2014-03-27 07:45:20.504138	41085	515	3	2
2014-03-27 07:45:20.740119	41086	1092449.9387479546	4	2
2014-03-27 07:45:23.360048	41087	19.2	1	1
2014-03-27 07:45:23.583943	41088	49	2	1
2014-03-27 07:45:32.505323	41089	531	3	2
2014-03-27 07:45:32.738224	41090	1092451.0877826759	4	2
2014-03-27 07:45:36.876502	41091	20.1	1	10
2014-03-27 07:45:37.099545	41092	42	2	10
2014-03-27 07:45:47.032706	41093	20.3	1	9
2014-03-27 07:45:47.265261	41094	49	2	9
2014-03-27 07:45:48.11625	41095	22.0	1	8
2014-03-27 07:45:48.340028	41096	57	2	8
2014-03-27 07:45:56.503953	41097	643	3	2
2014-03-27 07:45:56.739089	41098	1092454.5348868403	4	2
2014-03-27 07:46:02.358108	41099	19.2	1	1
2014-03-27 07:46:02.584482	41100	49	2	1
2014-03-27 07:46:08.502871	41101	627	3	2
2014-03-27 07:46:08.737111	41102	1092456.8329562831	4	2
2014-03-27 07:46:15.879742	41103	20.1	1	10
2014-03-27 07:46:16.124651	41104	42	2	10
2014-03-27 07:46:20.502502	41105	531	3	2
2014-03-27 07:46:20.737102	41106	1092459.131025726	4	2
2014-03-27 07:46:26.035982	41107	20.3	1	9
2014-03-27 07:46:26.259219	41108	49	2	9
2014-03-27 07:46:27.117632	41109	22.0	1	8
2014-03-27 07:46:27.350945	41110	57	2	8
2014-03-27 07:46:32.500563	41111	515	3	2
2014-03-27 07:46:32.72877	41112	1092460.2800604473	4	2
2014-03-27 07:46:41.358415	41113	19.2	1	1
2014-03-27 07:46:41.595277	41114	49	2	1
2014-03-27 07:46:44.502341	41115	595	3	2
2014-03-27 07:46:44.727608	41116	1092462.5781298901	4	2
2014-03-27 07:46:54.8778	41117	20.1	1	10
2014-03-27 07:46:55.111407	41118	42	2	10
2014-03-27 07:46:56.502291	41119	1754	3	2
2014-03-27 07:46:56.7298	41120	1092467.1742687759	4	2
2014-03-27 07:47:05.033197	41121	20.3	1	9
2014-03-27 07:47:05.267076	41122	49	2	9
2014-03-27 07:47:06.117361	41123	22.0	1	8
2014-03-27 07:47:06.339892	41124	57	2	8
2014-03-27 07:47:08.504847	41125	1690	3	2
2014-03-27 07:47:08.740724	41126	1092472.9194423829	4	2
2014-03-27 07:47:20.352726	41127	19.2	1	1
2014-03-27 07:47:20.577356	41128	49	2	1
2014-03-27 07:47:32.504547	41129	515	3	2
2014-03-27 07:47:32.753658	41130	1092476.366546547	4	2
2014-03-27 07:47:33.879284	41131	20.1	1	10
2014-03-27 07:47:34.102821	41132	42	2	10
2014-03-27 07:47:44.049877	41133	20.3	1	9
2014-03-27 07:47:44.285666	41134	50	2	9
2014-03-27 07:47:45.118034	41135	21.9	1	8
2014-03-27 07:47:45.340498	41136	57	2	8
2014-03-27 07:47:56.500847	41137	1706	3	2
2014-03-27 07:47:56.735035	41138	1092480.9626854328	4	2
2014-03-27 07:47:59.355286	41139	19.2	1	1
2014-03-27 07:47:59.578165	41140	49	2	1
2014-03-27 07:48:08.505121	41141	515	3	2
2014-03-27 07:48:08.737766	41142	1092485.5588243185	4	2
2014-03-27 07:48:12.879217	41143	20.2	1	10
2014-03-27 07:48:13.10374	41144	42	2	10
2014-03-27 07:48:20.502617	41145	531	3	2
2014-03-27 07:48:20.736398	41146	1092487.8568937613	4	2
2014-03-27 07:48:23.033218	41147	20.3	1	9
2014-03-27 07:48:23.256107	41148	50	2	9
2014-03-27 07:48:24.118664	41149	21.9	1	8
2014-03-27 07:48:24.351601	41150	57	2	8
2014-03-27 07:48:32.503421	41151	579	3	2
2014-03-27 07:48:32.728995	41152	1092489.0059284826	4	2
2014-03-27 07:48:38.359039	41153	19.3	1	1
2014-03-27 07:48:38.593118	41154	49	2	1
2014-03-27 07:48:44.500923	41155	595	3	2
2014-03-27 07:48:44.725791	41156	1092491.3039979255	4	2
2014-03-27 07:48:51.87951	41157	20.2	1	10
2014-03-27 07:48:52.114632	41158	42	2	10
2014-03-27 07:48:56.502194	41159	2221	3	2
2014-03-27 07:48:56.726994	41160	1092494.7511020896	4	2
2014-03-27 07:49:02.034821	41161	20.3	1	9
2014-03-27 07:49:02.268113	41162	50	2	9
2014-03-27 07:49:03.118694	41163	21.9	1	8
2014-03-27 07:49:03.34284	41164	57	2	8
2014-03-27 07:49:08.502845	41165	4329	3	2
2014-03-27 07:49:08.739116	41166	1092509.688553468	4	2
2014-03-27 07:49:17.355613	41167	19.3	1	1
2014-03-27 07:49:17.581679	41168	49	2	1
2014-03-27 07:49:20.500642	41169	579	3	2
2014-03-27 07:49:20.736495	41170	1092517.731796518	4	2
2014-03-27 07:49:30.87919	41171	20.2	1	10
2014-03-27 07:49:31.104655	41172	42	2	10
2014-03-27 07:49:32.505144	41173	531	3	2
2014-03-27 07:49:32.739446	41174	1092518.8808312395	4	2
2014-03-27 07:49:41.035619	41175	20.3	1	9
2014-03-27 07:49:41.262581	41176	50	2	9
2014-03-27 07:49:42.119756	41177	21.9	1	8
2014-03-27 07:49:42.363874	41178	57	2	8
2014-03-27 07:49:44.498976	41179	515	3	2
2014-03-27 07:49:44.724438	41180	1092521.1789006824	4	2
2014-03-27 07:49:56.360583	41181	19.3	1	1
2014-03-27 07:49:56.594724	41182	49	2	1
2014-03-27 07:50:09.878934	41183	20.2	1	10
2014-03-27 07:50:10.103479	41184	42	2	10
2014-03-27 07:50:20.033346	41185	20.3	1	9
2014-03-27 07:50:20.268116	41186	50	2	9
2014-03-27 07:50:20.574098	41187	595	3	2
2014-03-27 07:50:20.79761	41188	1092526.9240742894	4	2
2014-03-27 07:50:21.117727	41189	21.9	1	8
2014-03-27 07:50:21.353715	41190	57	2	8
2014-03-27 07:50:32.501546	41191	579	3	2
2014-03-27 07:50:32.724771	41192	1092528.0731090107	4	2
2014-03-27 07:50:35.352846	41193	19.3	1	1
2014-03-27 07:50:35.585075	41194	49	2	1
2014-03-27 07:50:49.086208	41195	20.2	1	10
2014-03-27 07:50:49.314957	41196	42	2	10
2014-03-27 07:50:59.033667	41197	20.4	1	9
2014-03-27 07:50:59.266536	41198	50	2	9
2014-03-27 07:51:00.117881	41199	21.9	1	8
2014-03-27 07:51:00.342693	41200	57	2	8
2014-03-27 07:51:14.355884	41201	19.4	1	1
2014-03-27 07:51:14.58987	41202	49	2	1
2014-03-27 07:51:27.878897	41203	20.2	1	10
2014-03-27 07:51:28.105419	41204	42	2	10
2014-03-27 07:51:32.502863	41205	595	3	2
2014-03-27 07:51:32.73678	41206	1092538.4144215034	4	2
2014-03-27 07:51:38.032821	41207	20.4	1	9
2014-03-27 07:51:38.257933	41208	50	2	9
2014-03-27 07:51:39.117371	41209	21.9	1	8
2014-03-27 07:51:39.353082	41210	57	2	8
2014-03-27 07:51:53.353538	41211	19.4	1	1
2014-03-27 07:51:53.581115	41212	49	2	1
2014-03-27 07:52:06.880479	41213	20.3	1	10
2014-03-27 07:52:07.119654	41214	42	2	10
2014-03-27 07:52:17.033415	41215	20.4	1	9
2014-03-27 07:52:17.257431	41216	50	2	9
2014-03-27 07:52:18.118974	41217	21.9	1	8
2014-03-27 07:52:18.353016	41218	56	2	8
2014-03-27 07:52:32.355224	41219	19.4	1	1
2014-03-27 07:52:32.583209	41220	49	2	1
2014-03-27 07:52:45.88036	41221	20.3	1	10
2014-03-27 07:52:46.116979	41222	42	2	10
2014-03-27 07:52:56.033485	41223	20.4	1	9
2014-03-27 07:52:56.258164	41224	50	2	9
2014-03-27 07:52:57.118733	41225	21.9	1	8
2014-03-27 07:52:57.362922	41226	56	2	8
2014-03-27 07:53:11.346436	41227	19.5	1	1
2014-03-27 07:53:11.572824	41228	49	2	1
2014-03-27 07:53:24.877315	41229	20.3	1	10
2014-03-27 07:53:25.111122	41230	42	2	10
2014-03-27 07:53:35.032536	41231	20.4	1	9
2014-03-27 07:53:35.258211	41232	50	2	9
2014-03-27 07:53:36.117126	41233	21.9	1	8
2014-03-27 07:53:36.352065	41234	56	2	8
2014-03-27 07:53:50.351107	41235	19.5	1	1
2014-03-27 07:53:50.574642	41236	49	2	1
2014-03-27 07:54:03.88276	41237	20.3	1	10
2014-03-27 07:54:04.117857	41238	42	2	10
2014-03-27 07:54:14.033807	41239	20.4	1	9
2014-03-27 07:54:14.314562	41240	50	2	9
2014-03-27 07:54:15.116201	41241	21.9	1	8
2014-03-27 07:54:15.349562	41242	57	2	8
2014-03-27 07:54:29.386732	41243	19.5	1	1
2014-03-27 07:54:29.613643	41244	49	2	1
2014-03-27 07:54:32.502026	41245	579	3	2
2014-03-27 07:54:32.736382	41246	1092568.2893242603	4	2
2014-03-27 07:54:52.830296	41247	20.3	1	10
2014-03-27 07:54:53.055105	41248	42	2	10
2014-03-27 07:54:53.364791	41249	20.4	1	9
2014-03-27 07:54:53.598186	41250	50	2	9
2014-03-27 07:54:54.119348	41251	21.9	1	8
2014-03-27 07:54:54.343496	41252	57	2	8
2014-03-27 07:54:56.503242	41253	515	3	2
2014-03-27 07:54:56.737452	41254	1092571.7364284245	4	2
2014-03-27 07:55:08.350852	41255	19.6	1	1
2014-03-27 07:55:08.575352	41256	49	2	1
2014-03-27 07:55:21.881316	41257	20.3	1	10
2014-03-27 07:55:22.115262	41258	42	2	10
2014-03-27 07:55:32.03472	41259	20.5	1	9
2014-03-27 07:55:32.260936	41260	50	2	9
2014-03-27 07:55:32.568957	41261	515	3	2
2014-03-27 07:55:32.802856	41262	1092576.3325673102	4	2
2014-03-27 07:55:33.119168	41263	21.9	1	8
2014-03-27 07:55:33.344489	41264	57	2	8
2014-03-27 07:55:47.354413	41265	19.6	1	1
2014-03-27 07:55:47.588508	41266	49	2	1
2014-03-27 07:56:00.88107	41267	20.4	1	10
2014-03-27 07:56:01.106312	41268	42	2	10
2014-03-27 07:56:11.033768	41269	20.5	1	9
2014-03-27 07:56:11.268491	41270	50	2	9
2014-03-27 07:56:12.120503	41271	21.9	1	8
2014-03-27 07:56:12.347134	41272	57	2	8
2014-03-27 07:56:26.350488	41273	19.6	1	1
2014-03-27 07:56:26.598515	41274	49	2	1
2014-03-27 07:56:32.500039	41275	531	3	2
2014-03-27 07:56:32.724185	41276	1092585.5248450816	4	2
2014-03-27 07:56:39.880974	41277	20.4	1	10
2014-03-27 07:56:40.116642	41278	42	2	10
2014-03-27 07:56:50.033387	41279	20.5	1	9
2014-03-27 07:56:50.258467	41280	50	2	9
2014-03-27 07:56:51.118964	41281	21.9	1	8
2014-03-27 07:56:51.353106	41282	58	2	8
2014-03-27 07:57:05.349921	41283	19.7	1	1
2014-03-27 07:57:05.595652	41284	49	2	1
2014-03-27 07:57:18.881667	41285	20.4	1	10
2014-03-27 07:57:19.113987	41286	42	2	10
2014-03-27 07:57:29.03288	41287	20.5	1	9
2014-03-27 07:57:29.257286	41288	50	2	9
2014-03-27 07:57:30.119112	41289	21.9	1	8
2014-03-27 07:57:30.352715	41290	58	2	8
2014-03-27 07:57:32.501995	41291	531	3	2
2014-03-27 07:57:32.728844	41292	1092594.7171228528	4	2
2014-03-27 07:57:44.369868	41293	19.7	1	1
2014-03-27 07:57:44.604277	41294	49	2	1
2014-03-27 07:57:57.880875	41295	20.4	1	10
2014-03-27 07:57:58.105343	41296	42	2	10
2014-03-27 07:58:08.033821	41297	20.5	1	9
2014-03-27 07:58:08.269012	41298	50	2	9
2014-03-27 07:58:09.11988	41299	21.8	1	8
2014-03-27 07:58:09.34366	41300	58	2	8
2014-03-27 07:58:23.384274	41301	19.7	1	1
2014-03-27 07:58:23.617669	41302	49	2	1
2014-03-27 07:58:32.503736	41303	531	3	2
2014-03-27 07:58:32.729056	41304	1092603.9094006242	4	2
2014-03-27 07:58:36.88261	41305	20.4	1	10
2014-03-27 07:58:37.1161	41306	42	2	10
2014-03-27 07:58:47.032627	41307	20.5	1	9
2014-03-27 07:58:47.257365	41308	50	2	9
2014-03-27 07:58:48.119608	41309	21.8	1	8
2014-03-27 07:58:48.35367	41310	58	2	8
2014-03-27 07:59:02.350556	41311	19.8	1	1
2014-03-27 07:59:02.583761	41312	49	2	1
2014-03-27 07:59:15.880159	41313	20.4	1	10
2014-03-27 07:59:16.116462	41314	42	2	10
2014-03-27 07:59:26.034287	41315	20.5	1	9
2014-03-27 07:59:26.259198	41316	50	2	9
2014-03-27 07:59:27.119728	41317	21.8	1	8
2014-03-27 07:59:27.354066	41318	58	2	8
2014-03-27 07:59:32.501863	41319	547	3	2
2014-03-27 07:59:32.727968	41320	1092613.1016783954	4	2
2014-03-27 07:59:41.348568	41321	19.8	1	1
2014-03-27 07:59:41.594751	41322	49	2	1
2014-03-27 07:59:54.88319	41323	20.4	1	10
2014-03-27 07:59:55.112272	41324	43	2	10
2014-03-27 08:00:05.032915	41325	20.5	1	9
2014-03-27 08:00:05.268524	41326	50	2	9
2014-03-27 08:00:06.121668	41327	21.8	1	8
2014-03-27 08:00:06.345313	41328	58	2	8
2014-03-27 08:00:20.346998	41329	19.8	1	1
2014-03-27 08:00:20.581253	41330	49	2	1
2014-03-27 08:00:32.498603	41331	611	3	2
2014-03-27 08:00:32.723973	41332	1092622.2939561668	4	2
2014-03-27 08:00:33.882944	41333	20.4	1	10
2014-03-27 08:00:34.118861	41334	43	2	10
2014-03-27 08:00:44.033716	41335	20.5	1	9
2014-03-27 08:00:44.267545	41336	50	2	9
2014-03-27 08:00:44.625857	41337	2156	3	2
2014-03-27 08:00:44.861176	41338	1092625.741060331	4	2
2014-03-27 08:00:45.17274	41339	21.8	1	8
2014-03-27 08:00:45.399005	41340	58	2	8
2014-03-27 08:00:56.500378	41341	2012	3	2
2014-03-27 08:00:56.734507	41342	1092630.341670169	4	2
2014-03-27 08:00:59.351375	41343	19.8	1	1
2014-03-27 08:00:59.574977	41344	49	2	1
2014-03-27 08:01:08.499885	41345	1995	3	2
2014-03-27 08:01:08.734066	41346	1092637.2358784974	4	2
2014-03-27 08:01:12.882836	41347	20.5	1	10
2014-03-27 08:01:13.107949	41348	43	2	10
2014-03-27 08:01:20.500358	41349	2060	3	2
2014-03-27 08:01:20.733694	41350	1092644.130086826	4	2
2014-03-27 08:01:23.034064	41351	20.6	1	9
2014-03-27 08:01:23.260815	41352	50	2	9
2014-03-27 08:01:24.119282	41353	21.8	1	8
2014-03-27 08:01:24.35426	41354	58	2	8
2014-03-27 08:01:32.500597	41355	2044	3	2
2014-03-27 08:01:32.734804	41356	1092651.0242951545	4	2
2014-03-27 08:01:38.347547	41357	19.9	1	1
2014-03-27 08:01:38.582509	41358	49	2	1
2014-03-27 08:01:51.882666	41359	20.5	1	10
2014-03-27 08:01:52.107203	41360	43	2	10
2014-03-27 08:01:56.504097	41361	2012	3	2
2014-03-27 08:01:56.737831	41362	1092664.8127118114	4	2
2014-03-27 08:02:02.034061	41363	20.6	1	9
2014-03-27 08:02:02.260146	41364	50	2	9
2014-03-27 08:02:03.119549	41365	21.8	1	8
2014-03-27 08:02:03.352741	41366	58	2	8
2014-03-27 08:02:08.501783	41367	2012	3	2
2014-03-27 08:02:08.726448	41368	1092671.70692014	4	2
2014-03-27 08:02:17.347197	41369	19.9	1	1
2014-03-27 08:02:17.594418	41370	49	2	1
2014-03-27 08:02:30.882498	41371	20.5	1	10
2014-03-27 08:02:31.108326	41372	43	2	10
2014-03-27 08:02:32.498285	41373	659	3	2
2014-03-27 08:02:32.734248	41374	1092683.197267354	4	2
2014-03-27 08:02:41.033909	41375	20.6	1	9
2014-03-27 08:02:41.260832	41376	50	2	9
2014-03-27 08:02:42.11919	41377	21.8	1	8
2014-03-27 08:02:42.352916	41378	58	2	8
2014-03-27 08:02:44.534415	41379	659	3	2
2014-03-27 08:02:44.760207	41380	1092685.4953367969	4	2
2014-03-27 08:02:56.38333	41381	20.0	1	1
2014-03-27 08:02:56.619239	41382	49	2	1
2014-03-27 08:03:09.882529	41383	20.5	1	10
2014-03-27 08:03:10.106188	41384	43	2	10
2014-03-27 08:03:20.032932	41385	20.6	1	9
2014-03-27 08:03:20.26774	41386	50	2	9
2014-03-27 08:03:21.120219	41387	21.8	1	8
2014-03-27 08:03:21.342335	41388	59	2	8
2014-03-27 08:03:32.501097	41389	643	3	2
2014-03-27 08:03:32.736707	41390	1092693.5385798467	4	2
2014-03-27 08:03:35.34569	41391	20.0	1	1
2014-03-27 08:03:35.571014	41392	49	2	1
2014-03-27 08:03:48.884903	41393	20.5	1	10
2014-03-27 08:03:49.118043	41394	43	2	10
2014-03-27 08:03:59.034929	41395	20.6	1	9
2014-03-27 08:03:59.259007	41396	51	2	9
2014-03-27 08:04:00.120484	41397	21.8	1	8
2014-03-27 08:04:00.354256	41398	59	2	8
2014-03-27 08:04:14.347981	41399	20.0	1	1
2014-03-27 08:04:14.62903	41400	49	2	1
2014-03-27 08:04:27.884395	41401	20.5	1	10
2014-03-27 08:04:28.118862	41402	43	2	10
2014-03-27 08:04:32.498821	41403	643	3	2
2014-03-27 08:04:32.723106	41404	1092705.028927061	4	2
2014-03-27 08:04:38.035411	41405	20.6	1	9
2014-03-27 08:04:38.273074	41406	51	2	9
2014-03-27 08:04:39.120614	41407	21.8	1	8
2014-03-27 08:04:39.343771	41408	59	2	8
2014-03-27 08:04:53.344591	41409	20.0	1	1
2014-03-27 08:04:53.57918	41410	49	2	1
2014-03-27 08:05:06.883947	41411	20.6	1	10
2014-03-27 08:05:07.110519	41412	43	2	10
2014-03-27 08:05:17.036141	41413	20.6	1	9
2014-03-27 08:05:17.270329	41414	51	2	9
2014-03-27 08:05:18.124506	41415	21.8	1	8
2014-03-27 08:05:18.348031	41416	58	2	8
2014-03-27 08:05:32.346579	41417	20.0	1	1
2014-03-27 08:05:32.594315	41418	49	2	1
2014-03-27 08:05:45.884518	41419	20.6	1	10
2014-03-27 08:05:46.108799	41420	43	2	10
2014-03-27 08:05:56.033585	41421	20.6	1	9
2014-03-27 08:05:56.454086	41422	51	2	9
2014-03-27 08:05:57.118181	41423	21.8	1	8
2014-03-27 08:05:57.344683	41424	58	2	8
2014-03-27 08:06:11.346834	41425	20.1	1	1
2014-03-27 08:06:11.5699	41426	49	2	1
2014-03-27 08:06:24.883078	41427	20.6	1	10
2014-03-27 08:06:25.115353	41428	43	2	10
2014-03-27 08:06:32.499442	41429	595	3	2
2014-03-27 08:06:32.724466	41430	1092725.7115520465	4	2
2014-03-27 08:06:35.033326	41431	20.7	1	9
2014-03-27 08:06:35.264496	41432	51	2	9
2014-03-27 08:06:36.116443	41433	21.7	1	8
2014-03-27 08:06:36.340877	41434	58	2	8
2014-03-27 08:06:44.539674	41435	595	3	2
2014-03-27 08:06:44.784675	41436	1092728.009621489	4	2
2014-03-27 08:06:50.346401	41437	20.1	1	1
2014-03-27 08:06:50.569608	41438	49	2	1
2014-03-27 08:07:03.875438	41439	20.6	1	10
2014-03-27 08:07:04.107574	41440	43	2	10
2014-03-27 08:07:14.03325	41441	20.7	1	9
2014-03-27 08:07:14.255365	41442	51	2	9
2014-03-27 08:07:15.117369	41443	21.7	1	8
2014-03-27 08:07:15.349722	41444	58	2	8
2014-03-27 08:07:29.342627	41445	20.2	1	1
2014-03-27 08:07:29.566101	41446	49	2	1
2014-03-27 08:07:42.883225	41447	20.6	1	10
2014-03-27 08:07:43.119908	41448	43	2	10
2014-03-27 08:07:44.530189	41449	692	3	2
2014-03-27 08:07:44.781135	41450	1092738.3509339818	4	2
2014-03-27 08:07:53.238239	41451	20.7	1	9
2014-03-27 08:07:53.472027	41452	51	2	9
2014-03-27 08:07:54.116774	41453	21.7	1	8
2014-03-27 08:07:54.338041	41454	59	2	8
2014-03-27 08:07:56.500055	41455	595	3	2
2014-03-27 08:07:56.735198	41456	1092740.6490034247	4	2
2014-03-27 08:08:08.342892	41457	20.2	1	1
2014-03-27 08:08:08.593541	41458	49	2	1
2014-03-27 08:08:21.884552	41459	20.6	1	10
2014-03-27 08:08:22.118247	41460	43	2	10
2014-03-27 08:08:32.0332	41461	20.7	1	9
2014-03-27 08:08:32.256198	41462	51	2	9
2014-03-27 08:08:32.562609	41463	595	3	2
2014-03-27 08:08:32.798882	41464	1092746.394177032	4	2
2014-03-27 08:08:33.118086	41465	21.7	1	8
2014-03-27 08:08:33.339952	41466	58	2	8
2014-03-27 08:08:44.500508	41467	676	3	2
2014-03-27 08:08:44.802157	41468	1092748.6922464746	4	2
2014-03-27 08:08:47.344046	41469	20.2	1	1
2014-03-27 08:08:47.565779	41470	49	2	1
2014-03-27 08:08:56.500419	41471	676	3	2
2014-03-27 08:08:56.735846	41472	1092750.9903159174	4	2
2014-03-27 08:09:00.970692	41473	20.6	1	10
2014-03-27 08:09:01.38421	41474	43	2	10
2014-03-27 08:09:08.629212	41475	837	3	2
2014-03-27 08:09:09.080001	41476	1092753.2883853603	4	2
2014-03-27 08:09:11.160022	41477	20.7	1	9
2014-03-27 08:09:11.584725	41478	51	2	9
2014-03-27 08:09:12.247108	41479	21.7	1	8
2014-03-27 08:09:12.541788	41480	58	2	8
2014-03-27 08:09:20.506802	41481	837	3	2
2014-03-27 08:09:20.731994	41482	1092756.7354895247	4	2
2014-03-27 08:09:26.469431	41483	20.2	1	1
2014-03-27 08:09:26.920098	41484	49	2	1
2014-03-27 08:09:32.629993	41485	837	3	2
2014-03-27 08:09:33.050045	41486	1092759.0335589673	4	2
2014-03-27 08:09:40.012868	41487	20.7	1	10
2014-03-27 08:09:40.460018	41488	43	2	10
2014-03-27 08:09:50.033429	41489	20.7	1	9
2014-03-27 08:09:50.263292	41490	51	2	9
2014-03-27 08:09:51.117054	41491	21.7	1	8
2014-03-27 08:09:51.35756	41492	58	2	8
2014-03-27 08:10:05.345699	41493	20.3	1	1
2014-03-27 08:10:05.5692	41494	49	2	1
2014-03-27 08:10:18.88564	41495	20.7	1	10
2014-03-27 08:10:19.122352	41496	43	2	10
2014-03-27 08:10:29.034592	41497	20.7	1	9
2014-03-27 08:10:29.257003	41498	51	2	9
2014-03-27 08:10:30.158833	41499	21.7	1	8
2014-03-27 08:10:30.390469	41500	58	2	8
2014-03-27 08:10:32.498933	41501	837	3	2
2014-03-27 08:10:32.722395	41502	1092772.8219756244	4	2
2014-03-27 08:10:44.344232	41503	20.3	1	1
2014-03-27 08:10:44.577159	41504	49	2	1
2014-03-27 08:10:57.885608	41505	20.7	1	10
2014-03-27 08:10:58.110345	41506	43	2	10
2014-03-27 08:11:08.033436	41507	20.7	1	9
2014-03-27 08:11:08.269607	41508	51	2	9
2014-03-27 08:11:09.117834	41509	21.7	1	8
2014-03-27 08:11:09.343024	41510	58	2	8
2014-03-27 08:11:23.343529	41511	20.4	1	1
2014-03-27 08:11:23.578623	41512	49	2	1
2014-03-27 08:11:32.498797	41513	837	3	2
2014-03-27 08:11:32.72408	41514	1092786.6103922813	4	2
2014-03-27 08:11:36.885615	41515	20.7	1	10
2014-03-27 08:11:37.130345	41516	43	2	10
2014-03-27 08:11:47.033546	41517	20.7	1	9
2014-03-27 08:11:47.259796	41518	51	2	9
2014-03-27 08:11:48.116529	41519	21.7	1	8
2014-03-27 08:11:48.351472	41520	58	2	8
2014-03-27 08:12:02.345796	41521	20.4	1	1
2014-03-27 08:12:02.570136	41522	49	2	1
2014-03-27 08:12:15.886166	41523	20.7	1	10
2014-03-27 08:12:16.120519	41524	43	2	10
2014-03-27 08:12:26.033528	41525	20.7	1	9
2014-03-27 08:12:26.25656	41526	51	2	9
2014-03-27 08:12:27.249981	41527	21.7	1	8
2014-03-27 08:12:27.69295	41528	58	2	8
2014-03-27 08:12:32.503562	41529	837	3	2
2014-03-27 08:12:32.730874	41530	1092801.5478436598	4	2
2014-03-27 08:17:28.287367	41531	43	2	10
2014-03-27 08:17:28.582549	41532	20.8	1	10
2014-03-27 08:17:32.496793	41533	804	3	2
2014-03-27 08:17:32.727696	41534	1092870.4899269447	4	2
2014-03-27 08:17:38.037344	41535	51	2	9
2014-03-27 08:17:38.262967	41536	20.8	1	9
2014-03-27 08:17:39.120805	41537	58	2	8
2014-03-27 08:17:39.354538	41538	21.8	1	8
2014-03-27 08:17:44.504645	41539	837	3	2
2014-03-27 08:17:44.732203	41540	1092872.7879963876	4	2
2014-03-27 08:17:53.341161	41541	50	2	1
2014-03-27 08:17:53.575543	41542	20.8	1	1
2014-03-27 08:17:56.501602	41543	804	3	2
2014-03-27 08:17:56.724099	41544	1092876.2351005517	4	2
2014-03-27 08:18:06.890055	41545	43	2	10
2014-03-27 08:18:07.122086	41546	20.9	1	10
2014-03-27 08:18:08.50425	41547	804	3	2
2014-03-27 08:18:08.726607	41548	1092878.5331699946	4	2
2014-03-27 08:18:17.034902	41549	51	2	9
2014-03-27 08:18:17.267347	41550	20.8	1	9
2014-03-27 08:18:18.120195	41551	58	2	8
2014-03-27 08:18:18.341659	41552	21.8	1	8
2014-03-27 08:18:20.502502	41553	643	3	2
2014-03-27 08:18:20.736082	41554	1092880.8312394375	4	2
2014-03-27 08:18:32.35364	41555	50	2	1
2014-03-27 08:18:32.576343	41556	20.8	1	1
2014-03-27 08:18:44.499834	41557	595	3	2
2014-03-27 08:18:44.734336	41558	1092885.4273783232	4	2
2014-03-27 08:18:45.889646	41559	43	2	10
2014-03-27 08:18:46.112213	41560	20.9	1	10
2014-03-27 08:18:56.034629	41561	51	2	9
2014-03-27 08:18:56.266319	41562	20.8	1	9
2014-03-27 08:18:57.120201	41563	57	2	8
2014-03-27 08:18:57.343099	41564	21.7	1	8
2014-03-27 08:19:11.341044	41565	50	2	1
2014-03-27 08:19:11.572956	41566	20.8	1	1
2014-03-27 08:19:24.890094	41567	43	2	10
2014-03-27 08:19:25.114637	41568	20.9	1	10
2014-03-27 08:19:35.033679	41569	51	2	9
2014-03-27 08:19:35.278989	41570	20.9	1	9
2014-03-27 08:19:36.119523	41571	58	2	8
2014-03-27 08:19:36.340832	41572	21.7	1	8
2014-03-27 08:19:50.342301	41573	50	2	1
2014-03-27 08:19:50.574398	41574	20.8	1	1
2014-03-27 08:20:03.891108	41575	43	2	10
2014-03-27 08:20:04.114	41576	20.9	1	10
2014-03-27 08:20:14.03443	41577	51	2	9
2014-03-27 08:20:14.268601	41578	20.9	1	9
2014-03-27 08:20:15.151084	41579	58	2	8
2014-03-27 08:20:15.374067	41580	21.7	1	8
2014-03-27 08:20:29.341645	41581	50	2	1
2014-03-27 08:20:29.573889	41582	20.8	1	1
2014-03-27 08:20:32.497123	41583	595	3	2
2014-03-27 08:20:32.719283	41584	1092903.8119338658	4	2
2014-03-27 08:20:42.890137	41585	43	2	10
2014-03-27 08:20:43.124927	41586	20.9	1	10
2014-03-27 08:20:53.036981	41587	51	2	9
2014-03-27 08:20:53.25906	41588	20.9	1	9
2014-03-27 08:20:54.119045	41589	58	2	8
2014-03-27 08:20:54.350834	41590	21.7	1	8
2014-03-27 08:21:08.374364	41591	50	2	1
2014-03-27 08:21:08.598988	41592	20.8	1	1
2014-03-27 08:21:21.890864	41593	43	2	10
2014-03-27 08:21:22.125768	41594	20.9	1	10
2014-03-27 08:21:32.034997	41595	51	2	9
2014-03-27 08:21:32.260107	41596	20.9	1	9
2014-03-27 08:21:32.57041	41597	595	3	2
2014-03-27 08:21:32.805118	41598	1092913.004211637	4	2
2014-03-27 08:21:33.123895	41599	57	2	8
2014-03-27 08:21:33.347382	41600	21.7	1	8
2014-03-27 08:21:47.34246	41601	50	2	1
2014-03-27 08:21:47.575835	41602	20.9	1	1
2014-03-27 08:22:00.892035	41603	42	2	10
2014-03-27 08:22:01.114784	41604	21.0	1	10
2014-03-27 08:22:11.034095	41605	51	2	9
2014-03-27 08:22:11.290163	41606	20.9	1	9
2014-03-27 08:22:12.121161	41607	57	2	8
2014-03-27 08:22:12.345095	41608	21.7	1	8
2014-03-27 08:22:26.342732	41609	50	2	1
2014-03-27 08:22:26.573939	41610	20.9	1	1
2014-03-27 08:22:32.500729	41611	611	3	2
2014-03-27 08:22:32.72443	41612	1092922.2009603605	4	2
2014-03-27 08:22:39.889808	41613	42	2	10
2014-03-27 08:22:40.123849	41614	21.0	1	10
2014-03-27 08:22:50.034522	41615	51	2	9
2014-03-27 08:22:50.257966	41616	21.0	1	9
2014-03-27 08:22:51.120073	41617	57	2	8
2014-03-27 08:22:51.365694	41618	21.7	1	8
2014-03-27 08:23:05.336917	41619	50	2	1
2014-03-27 08:23:05.560795	41620	20.9	1	1
2014-03-27 08:23:18.892282	41621	42	2	10
2014-03-27 08:23:19.123329	41622	21.0	1	10
2014-03-27 08:23:29.034132	41623	51	2	9
2014-03-27 08:23:29.257848	41624	21.0	1	9
2014-03-27 08:23:30.12104	41625	57	2	8
2014-03-27 08:23:30.35238	41626	21.7	1	8
2014-03-27 08:23:32.502258	41627	595	3	2
2014-03-27 08:23:32.724321	41628	1092932.5422728532	4	2
2014-03-27 08:23:44.337072	41629	50	2	1
2014-03-27 08:23:44.572746	41630	20.9	1	1
2014-03-27 08:23:57.892325	41631	42	2	10
2014-03-27 08:23:58.114059	41632	21.0	1	10
2014-03-27 08:24:08.034917	41633	51	2	9
2014-03-27 08:24:08.267887	41634	21.0	1	9
2014-03-27 08:24:09.120795	41635	57	2	8
2014-03-27 08:24:09.343077	41636	21.7	1	8
2014-03-27 08:24:23.33568	41637	50	2	1
2014-03-27 08:24:23.569839	41638	20.9	1	1
2014-03-27 08:24:32.500667	41639	595	3	2
2014-03-27 08:24:32.725208	41640	1092941.7345506246	4	2
2014-03-27 08:24:36.891685	41641	42	2	10
2014-03-27 08:24:37.123948	41642	21.0	1	10
2014-03-27 08:24:47.034006	41643	51	2	9
2014-03-27 08:24:47.256469	41644	21.0	1	9
2014-03-27 08:24:48.120543	41645	57	2	8
2014-03-27 08:24:48.353223	41646	21.7	1	8
2014-03-27 08:25:02.33748	41647	50	2	1
2014-03-27 08:25:02.560865	41648	20.9	1	1
2014-03-27 08:25:08.501285	41649	643	3	2
2014-03-27 08:25:08.73474	41650	1092948.6287589532	4	2
2014-03-27 08:25:15.893919	41651	42	2	10
2014-03-27 08:25:16.117412	41652	21.1	1	10
2014-03-27 08:25:20.500313	41653	643	3	2
2014-03-27 08:25:20.738963	41654	1092949.7777936745	4	2
2014-03-27 08:25:26.039229	41655	51	2	9
2014-03-27 08:25:26.263382	41656	21.0	1	9
2014-03-27 08:25:27.121366	41657	57	2	8
2014-03-27 08:25:27.354069	41658	21.7	1	8
2014-03-27 08:25:32.502355	41659	643	3	2
2014-03-27 08:25:32.725041	41660	1092952.0758631174	4	2
2014-03-27 08:25:41.339297	41661	50	2	1
2014-03-27 08:25:41.5724	41662	21.0	1	1
2014-03-27 08:25:54.894825	41663	42	2	10
2014-03-27 08:25:55.121718	41664	21.1	1	10
2014-03-27 08:26:05.037822	41665	51	2	9
2014-03-27 08:26:05.283253	41666	21.0	1	9
2014-03-27 08:26:06.119922	41667	56	2	8
2014-03-27 08:26:06.344208	41668	21.6	1	8
2014-03-27 08:26:20.334601	41669	50	2	1
2014-03-27 08:26:20.747339	41670	21.0	1	1
2014-03-27 08:26:32.503523	41671	659	3	2
2014-03-27 08:26:32.733159	41672	1092963.5662103314	4	2
2014-03-27 08:26:33.893227	41673	42	2	10
2014-03-27 08:26:34.117889	41674	21.1	1	10
2014-03-27 08:26:44.034185	41675	51	2	9
2014-03-27 08:26:44.268873	41676	21.0	1	9
2014-03-27 08:26:45.160246	41677	56	2	8
2014-03-27 08:26:45.400063	41678	21.6	1	8
2014-03-27 08:26:59.337395	41679	50	2	1
2014-03-27 08:26:59.569914	41680	21.0	1	1
2014-03-27 08:27:12.892157	41681	42	2	10
2014-03-27 08:27:13.115946	41682	21.1	1	10
2014-03-27 08:27:20.498858	41683	627	3	2
2014-03-27 08:27:20.734543	41684	1092971.6094533815	4	2
2014-03-27 08:27:23.034848	41685	51	2	9
2014-03-27 08:27:23.260965	41686	21.0	1	9
2014-03-27 08:27:24.120421	41687	56	2	8
2014-03-27 08:27:24.355908	41688	21.6	1	8
2014-03-27 08:27:32.500867	41689	643	3	2
2014-03-27 08:27:32.723548	41690	1092973.9075228241	4	2
2014-03-27 08:27:38.390446	41691	50	2	1
2014-03-27 08:27:39.087457	41692	21.0	1	1
2014-03-27 08:27:51.889054	41693	42	2	10
2014-03-27 08:27:52.146092	41694	21.1	1	10
2014-03-27 08:28:02.030664	41695	51	2	9
2014-03-27 08:28:02.338669	41696	21.0	1	9
2014-03-27 08:28:03.115653	41697	56	2	8
2014-03-27 08:28:03.373928	41698	21.6	1	8
2014-03-27 08:28:17.335363	41699	50	2	1
2014-03-27 08:28:17.935644	41700	21.0	1	1
2014-03-27 08:28:30.891709	41701	42	2	10
2014-03-27 08:28:31.140838	41702	21.1	1	10
2014-03-27 08:28:32.497367	41703	643	3	2
2014-03-27 08:28:33.156457	41704	1092984.2488353169	4	2
2014-03-27 08:28:41.030897	41705	51	2	9
2014-03-27 08:28:41.294252	41706	21.0	1	9
2014-03-27 08:28:42.115698	41707	56	2	8
2014-03-27 08:28:42.386893	41708	21.6	1	8
2014-03-27 08:28:56.330878	41709	50	2	1
2014-03-27 08:28:56.554963	41710	21.0	1	1
2014-03-27 08:29:09.889129	41711	42	2	10
2014-03-27 08:29:10.118213	41712	21.2	1	10
2014-03-27 08:29:20.029567	41713	51	2	9
2014-03-27 08:29:20.252581	41714	21.0	1	9
2014-03-27 08:29:21.115422	41715	56	2	8
2014-03-27 08:29:21.356842	41716	21.6	1	8
2014-03-27 08:29:32.495756	41717	643	3	2
2014-03-27 08:29:32.718506	41718	1092995.7391825311	4	2
2014-03-27 08:29:35.333944	41719	50	2	1
2014-03-27 08:29:35.564221	41720	21.0	1	1
2014-03-27 08:29:48.890229	41721	42	2	10
2014-03-27 08:29:49.110927	41722	21.2	1	10
2014-03-27 08:29:59.030045	41723	51	2	9
2014-03-27 08:29:59.260946	41724	21.1	1	9
2014-03-27 08:30:00.115346	41725	56	2	8
2014-03-27 08:30:00.336221	41726	21.6	1	8
2014-03-27 08:30:14.332371	41727	50	2	1
2014-03-27 08:30:14.583157	41728	21.0	1	1
2014-03-27 08:30:27.89047	41729	42	2	10
2014-03-27 08:30:28.113062	41730	21.2	1	10
2014-03-27 08:30:32.49765	41731	643	3	2
2014-03-27 08:30:32.72794	41732	1093006.0804950239	4	2
2014-03-27 08:30:38.029218	41733	51	2	9
2014-03-27 08:30:38.249346	41734	21.1	1	9
2014-03-27 08:30:39.11735	41735	56	2	8
2014-03-27 08:30:39.347699	41736	21.6	1	8
2014-03-27 08:30:44.498196	41737	595	3	2
2014-03-27 08:30:44.720378	41738	1093008.3785644667	4	2
2014-03-27 08:30:53.329296	41739	50	2	1
2014-03-27 08:30:53.560469	41740	21.0	1	1
2014-03-27 08:30:56.493615	41741	595	3	2
2014-03-27 08:30:56.715242	41742	1093010.6766339096	4	2
2014-03-27 08:31:06.892699	41743	42	2	10
2014-03-27 08:31:07.12498	41744	21.2	1	10
2014-03-27 08:31:17.031913	41745	51	2	9
2014-03-27 08:31:17.254002	41746	21.1	1	9
2014-03-27 08:31:18.115201	41747	56	2	8
2014-03-27 08:31:18.346967	41748	21.6	1	8
2014-03-27 08:31:32.349044	41749	50	2	1
2014-03-27 08:31:32.574704	41750	21.1	1	1
2014-03-27 08:31:45.890926	41751	42	2	10
2014-03-27 08:31:46.124493	41752	21.2	1	10
2014-03-27 08:31:56.032026	41753	51	2	9
2014-03-27 08:31:56.255273	41754	21.1	1	9
2014-03-27 08:31:57.11898	41755	55	2	8
2014-03-27 08:31:57.349063	41756	21.6	1	8
2014-03-27 08:32:11.332511	41757	50	2	1
2014-03-27 08:32:11.554306	41758	21.1	1	1
2014-03-27 08:32:24.890704	41759	42	2	10
2014-03-27 08:32:25.123162	41760	21.3	1	10
2014-03-27 08:32:32.498592	41761	595	3	2
2014-03-27 08:32:32.720377	41762	1093025.6140852878	4	2
2014-03-27 08:32:35.03192	41763	51	2	9
2014-03-27 08:32:35.276397	41764	21.1	1	9
2014-03-27 08:32:36.116078	41765	55	2	8
2014-03-27 08:32:36.338743	41766	21.6	1	8
2014-03-27 08:32:50.329921	41767	50	2	1
2014-03-27 08:32:50.566169	41768	21.1	1	1
2014-03-27 08:33:03.889874	41769	42	2	10
2014-03-27 08:33:04.112591	41770	21.3	1	10
2014-03-27 08:33:14.030391	41771	51	2	9
2014-03-27 08:33:14.265196	41772	21.1	1	9
2014-03-27 08:33:15.116191	41773	55	2	8
2014-03-27 08:33:15.339275	41774	21.6	1	8
2014-03-27 08:33:29.329688	41775	50	2	1
2014-03-27 08:33:29.559511	41776	21.1	1	1
2014-03-27 08:33:32.498548	41777	611	3	2
2014-03-27 08:33:32.719921	41778	1093035.9553977805	4	2
2014-03-27 08:33:42.890669	41779	42	2	10
2014-03-27 08:33:43.123195	41780	21.3	1	10
2014-03-27 08:33:53.030333	41781	51	2	9
2014-03-27 08:33:53.253123	41782	21.1	1	9
2014-03-27 08:33:54.115211	41783	55	2	8
2014-03-27 08:33:54.34719	41784	21.5	1	8
2014-03-27 08:34:08.326017	41785	50	2	1
2014-03-27 08:34:08.550014	41786	21.1	1	1
2014-03-27 08:34:20.502597	41787	579	3	2
2014-03-27 08:34:20.740272	41788	1093043.9986408306	4	2
2014-03-27 08:34:21.891552	41789	42	2	10
2014-03-27 08:34:22.11329	41790	21.3	1	10
2014-03-27 08:34:32.032327	41791	51	2	9
2014-03-27 08:34:32.264152	41792	21.1	1	9
2014-03-27 08:34:32.570823	41793	595	3	2
2014-03-27 08:34:32.793122	41794	1093045.147675552	4	2
2014-03-27 08:34:33.11696	41795	55	2	8
2014-03-27 08:34:33.348965	41796	21.5	1	8
2014-03-27 08:34:47.328704	41797	50	2	1
2014-03-27 08:34:47.552186	41798	21.1	1	1
2014-03-27 08:35:00.891705	41799	42	2	10
2014-03-27 08:35:01.122391	41800	21.3	1	10
2014-03-27 08:35:11.030323	41801	51	2	9
2014-03-27 08:35:11.251841	41802	21.1	1	9
2014-03-27 08:35:12.117468	41803	55	2	8
2014-03-27 08:35:12.352811	41804	21.5	1	8
2014-03-27 08:35:26.329412	41805	50	2	1
2014-03-27 08:35:26.550261	41806	21.1	1	1
2014-03-27 08:35:32.498966	41807	595	3	2
2014-03-27 08:35:32.733346	41808	1093055.4889880447	4	2
2014-03-27 08:35:39.890235	41809	42	2	10
2014-03-27 08:35:40.113613	41810	21.3	1	10
2014-03-27 08:35:50.030463	41811	51	2	9
2014-03-27 08:35:50.273641	41812	21.1	1	9
2014-03-27 08:35:51.116437	41813	55	2	8
2014-03-27 08:35:51.339856	41814	21.5	1	8
2014-03-27 08:36:05.32796	41815	50	2	1
2014-03-27 08:36:05.559356	41816	21.1	1	1
2014-03-27 08:36:18.892904	41817	42	2	10
2014-03-27 08:36:19.113031	41818	21.4	1	10
2014-03-27 08:36:29.031205	41819	51	2	9
2014-03-27 08:36:29.262966	41820	21.1	1	9
2014-03-27 08:36:30.115587	41821	55	2	8
2014-03-27 08:36:30.335916	41822	21.5	1	8
2014-03-27 08:36:32.497762	41823	579	3	2
2014-03-27 08:36:32.72889	41824	1093065.8303005374	4	2
2014-03-27 08:36:44.325559	41825	50	2	1
2014-03-27 08:36:44.547223	41826	21.1	1	1
2014-03-27 08:36:57.891831	41827	42	2	10
2014-03-27 08:36:58.126275	41828	21.4	1	10
2014-03-27 08:37:08.032415	41829	51	2	9
2014-03-27 08:37:08.254302	41830	21.2	1	9
2014-03-27 08:37:09.117133	41831	55	2	8
2014-03-27 08:37:09.348434	41832	21.5	1	8
2014-03-27 08:37:23.327959	41833	51	2	1
2014-03-27 08:37:23.548564	41834	21.1	1	1
2014-03-27 08:37:32.498981	41835	643	3	2
2014-03-27 08:37:32.729553	41836	1093075.0225783088	4	2
2014-03-27 08:37:36.892712	41837	42	2	10
2014-03-27 08:37:37.124359	41838	21.4	1	10
2014-03-27 08:37:44.499448	41839	627	3	2
2014-03-27 08:37:44.730811	41840	1093077.3206477517	4	2
2014-03-27 08:37:47.030904	41841	51	2	9
2014-03-27 08:37:47.254417	41842	21.2	1	9
2014-03-27 08:37:48.116286	41843	55	2	8
2014-03-27 08:37:48.34804	41844	21.5	1	8
2014-03-27 08:38:02.325593	41845	51	2	1
2014-03-27 08:38:02.546472	41846	21.1	1	1
2014-03-27 08:38:15.892595	41847	42	2	10
2014-03-27 08:38:16.12502	41848	21.4	1	10
2014-03-27 08:38:26.032337	41849	51	2	9
2014-03-27 08:38:26.256523	41850	21.2	1	9
2014-03-27 08:38:27.114809	41851	55	2	8
2014-03-27 08:38:27.346995	41852	21.5	1	8
2014-03-27 08:38:32.49678	41853	643	3	2
2014-03-27 08:38:32.738559	41854	1093086.5129255229	4	2
2014-03-27 08:38:41.326295	41855	51	2	1
2014-03-27 08:38:41.556868	41856	21.1	1	1
2014-03-27 08:38:54.893585	41857	42	2	10
2014-03-27 08:38:55.115867	41858	21.4	1	10
2014-03-27 08:39:05.030981	41859	51	2	9
2014-03-27 08:39:05.274247	41860	21.2	1	9
2014-03-27 08:39:06.116569	41861	55	2	8
2014-03-27 08:39:06.337953	41862	21.5	1	8
2014-03-27 08:39:20.325789	41863	51	2	1
2014-03-27 08:39:20.55853	41864	21.2	1	1
2014-03-27 08:39:32.49806	41865	643	3	2
2014-03-27 08:39:32.720775	41866	1093096.8542380156	4	2
2014-03-27 08:39:33.893303	41867	42	2	10
2014-03-27 08:39:34.124175	41868	21.4	1	10
2014-03-27 08:39:44.031705	41869	51	2	9
2014-03-27 08:39:44.253957	41870	21.2	1	9
2014-03-27 08:39:45.115504	41871	55	2	8
2014-03-27 08:39:45.345481	41872	21.5	1	8
2014-03-27 08:39:59.324637	41873	51	2	1
2014-03-27 08:39:59.547802	41874	21.2	1	1
2014-03-27 08:40:12.893596	41875	43	2	10
2014-03-27 08:40:13.12581	41876	21.5	1	10
2014-03-27 08:40:23.032062	41877	51	2	9
2014-03-27 08:40:23.253943	41878	21.2	1	9
2014-03-27 08:40:24.115542	41879	55	2	8
2014-03-27 08:40:24.346552	41880	21.5	1	8
2014-03-27 08:40:32.494766	41881	627	3	2
2014-03-27 08:40:32.718761	41882	1093107.1955505083	4	2
2014-03-27 08:40:38.324055	41883	51	2	1
2014-03-27 08:40:38.554735	41884	21.2	1	1
2014-03-27 08:40:51.893143	41885	43	2	10
2014-03-27 08:40:52.115146	41886	21.5	1	10
2014-03-27 08:41:02.030854	41887	51	2	9
2014-03-27 08:41:02.262492	41888	21.2	1	9
2014-03-27 08:41:03.115403	41889	55	2	8
2014-03-27 08:41:03.336869	41890	21.5	1	8
2014-03-27 08:41:17.358911	41891	51	2	1
2014-03-27 08:41:17.590493	41892	21.2	1	1
2014-03-27 08:41:30.894463	41893	43	2	10
2014-03-27 08:41:31.116797	41894	21.5	1	10
2014-03-27 08:41:32.499721	41895	643	3	2
2014-03-27 08:41:32.730646	41896	1093118.6858977226	4	2
2014-03-27 08:41:41.031235	41897	51	2	9
2014-03-27 08:41:41.253888	41898	21.2	1	9
2014-03-27 08:41:42.117969	41899	55	2	8
2014-03-27 08:41:42.348758	41900	21.5	1	8
2014-03-27 08:41:56.323303	41901	51	2	1
2014-03-27 08:41:56.864913	41902	21.2	1	1
2014-03-27 08:42:09.894185	41903	43	2	10
2014-03-27 08:42:10.147776	41904	21.5	1	10
2014-03-27 08:42:20.032601	41905	51	2	9
2014-03-27 08:42:20.287755	41906	21.2	1	9
2014-03-27 08:42:20.779835	41907	595	3	2
2014-03-27 08:42:21.587499	41908	1093126.7291407725	4	2
2014-03-27 08:42:21.922416	41909	55	2	8
2014-03-27 08:42:22.181557	41910	21.5	1	8
2014-03-27 08:42:32.496398	41911	595	3	2
2014-03-27 08:42:32.765409	41912	1093129.0272102153	4	2
2014-03-27 08:42:35.32265	41913	51	2	1
2014-03-27 08:42:35.97585	41914	21.2	1	1
2014-03-27 08:42:48.893182	41915	43	2	10
2014-03-27 08:42:49.126417	41916	21.5	1	10
2014-03-27 08:42:59.031518	41917	51	2	9
2014-03-27 08:42:59.253732	41918	21.2	1	9
2014-03-27 08:43:00.116204	41919	55	2	8
2014-03-27 08:43:00.346534	41920	21.5	1	8
2014-03-27 08:43:14.323093	41921	51	2	1
2014-03-27 08:43:14.543074	41922	21.2	1	1
2014-03-27 08:43:27.894139	41923	43	2	10
2014-03-27 08:43:28.125144	41924	21.5	1	10
2014-03-27 08:43:32.495732	41925	579	3	2
2014-03-27 08:43:32.717196	41926	1093138.2194879865	4	2
2014-03-27 08:43:38.03113	41927	51	2	9
2014-03-27 08:43:38.263777	41928	21.2	1	9
2014-03-27 08:43:39.115252	41929	55	2	8
2014-03-27 08:43:39.338143	41930	21.5	1	8
2014-03-27 08:43:53.328209	41931	51	2	1
2014-03-27 08:43:53.566312	41932	21.2	1	1
2014-03-27 08:44:06.896149	41933	43	2	10
2014-03-27 08:44:07.117244	41934	21.6	1	10
2014-03-27 08:44:17.03113	41935	51	2	9
2014-03-27 08:44:17.26352	41936	21.2	1	9
2014-03-27 08:44:18.116039	41937	54	2	8
2014-03-27 08:44:18.337758	41938	21.5	1	8
2014-03-27 08:44:32.325815	41939	51	2	1
2014-03-27 08:44:32.558741	41940	21.2	1	1
2014-03-27 08:44:45.897194	41941	43	2	10
2014-03-27 08:44:46.118309	41942	21.6	1	10
2014-03-27 08:44:56.032447	41943	51	2	9
2014-03-27 08:44:56.264105	41944	21.2	1	9
2014-03-27 08:44:57.115725	41945	54	2	8
2014-03-27 08:44:57.335949	41946	21.5	1	8
2014-03-27 08:45:11.321896	41947	51	2	1
2014-03-27 08:45:11.553831	41948	21.2	1	1
2014-03-27 08:45:24.895276	41949	43	2	10
2014-03-27 08:45:25.116622	41950	21.6	1	10
2014-03-27 08:45:32.495207	41951	659	3	2
2014-03-27 08:45:32.727861	41952	1093158.902112972	4	2
2014-03-27 08:45:35.031279	41953	51	2	9
2014-03-27 08:45:35.252239	41954	21.2	1	9
2014-03-27 08:45:36.115561	41955	54	2	8
2014-03-27 08:45:36.358441	41956	21.5	1	8
2014-03-27 08:45:44.496365	41957	659	3	2
2014-03-27 08:45:44.720369	41958	1093161.2001824148	4	2
2014-03-27 08:45:50.325011	41959	51	2	1
2014-03-27 08:45:50.557781	41960	21.2	1	1
2014-03-27 08:46:03.895355	41961	43	2	10
2014-03-27 08:46:04.11794	41962	21.6	1	10
2014-03-27 08:46:14.030621	41963	51	2	9
2014-03-27 08:46:14.262298	41964	21.2	1	9
2014-03-27 08:46:15.116259	41965	54	2	8
2014-03-27 08:46:15.337399	41966	21.5	1	8
2014-03-27 08:46:29.322166	41967	51	2	1
2014-03-27 08:46:29.553096	41968	21.2	1	1
2014-03-27 08:46:32.499309	41969	659	3	2
2014-03-27 08:46:32.720561	41970	1093169.2434254647	4	2
2014-03-27 08:46:42.89648	41971	43	2	10
2014-03-27 08:46:43.129603	41972	21.6	1	10
2014-03-27 08:46:53.030756	41973	51	2	9
2014-03-27 08:46:53.253237	41974	21.3	1	9
2014-03-27 08:46:54.115498	41975	54	2	8
2014-03-27 08:46:54.347663	41976	21.5	1	8
2014-03-27 08:47:08.32086	41977	51	2	1
2014-03-27 08:47:08.54508	41978	21.2	1	1
2014-03-27 08:47:21.896833	41979	43	2	10
2014-03-27 08:47:22.128521	41980	21.6	1	10
2014-03-27 08:47:32.032579	41981	51	2	9
2014-03-27 08:47:32.253928	41982	21.3	1	9
2014-03-27 08:47:32.560326	41983	692	3	2
2014-03-27 08:47:32.791927	41984	1093180.733772679	4	2
2014-03-27 08:47:33.115479	41985	54	2	8
2014-03-27 08:47:33.336679	41986	21.5	1	8
2014-03-27 08:47:44.496633	41987	676	3	2
2014-03-27 08:47:44.729501	41988	1093183.0318421219	4	2
2014-03-27 08:47:47.322623	41989	51	2	1
2014-03-27 08:47:47.544419	41990	21.2	1	1
2014-03-27 08:48:00.897312	41991	43	2	10
2014-03-27 08:48:01.131939	41992	21.7	1	10
2014-03-27 08:48:11.03092	41993	51	2	9
2014-03-27 08:48:11.253829	41994	21.3	1	9
2014-03-27 08:48:12.117352	41995	54	2	8
2014-03-27 08:48:12.348742	41996	21.5	1	8
2014-03-27 08:48:26.322383	41997	51	2	1
2014-03-27 08:48:26.543648	41998	21.2	1	1
2014-03-27 08:48:32.49422	41999	643	3	2
2014-03-27 08:48:32.72623	42000	1093192.224119893	4	2
2014-03-27 08:48:39.89449	42001	43	2	10
2014-03-27 08:48:40.117078	42002	21.7	1	10
2014-03-27 08:48:44.495884	42003	643	3	2
2014-03-27 08:48:44.739369	42004	1093194.522189336	4	2
2014-03-27 08:48:50.030695	42005	51	2	9
2014-03-27 08:48:50.253925	42006	21.3	1	9
2014-03-27 08:48:51.115891	42007	54	2	8
2014-03-27 08:48:51.34992	42008	21.5	1	8
2014-03-27 08:48:56.494093	42009	708	3	2
2014-03-27 08:48:56.72472	42010	1093196.8202587788	4	2
2014-03-27 08:49:05.32247	42011	51	2	1
2014-03-27 08:49:05.552985	42012	21.2	1	1
2014-03-27 08:49:08.495022	42013	692	3	2
2014-03-27 08:49:08.716359	42014	1093199.1183282216	4	2
2014-03-27 08:49:18.895719	42015	43	2	10
2014-03-27 08:49:19.127046	42016	21.7	1	10
2014-03-27 08:49:29.03129	42017	52	2	9
2014-03-27 08:49:29.257881	42018	21.3	1	9
2014-03-27 08:49:30.11552	42019	54	2	8
2014-03-27 08:49:30.347637	42020	21.5	1	8
2014-03-27 08:49:32.494894	42021	692	3	2
2014-03-27 08:49:32.716166	42022	1093203.7144671073	4	2
2014-03-27 08:49:44.330477	42023	51	2	1
2014-03-27 08:49:44.564144	42024	21.2	1	1
2014-03-27 08:49:57.897372	42025	43	2	10
2014-03-27 08:49:58.11948	42026	21.7	1	10
2014-03-27 08:50:08.030672	42027	52	2	9
2014-03-27 08:50:08.261826	42028	21.3	1	9
2014-03-27 08:50:09.115312	42029	54	2	8
2014-03-27 08:50:09.337868	42030	21.5	1	8
2014-03-27 08:50:23.3217	42031	51	2	1
2014-03-27 08:50:23.554057	42032	21.2	1	1
2014-03-27 08:50:32.501398	42033	692	3	2
2014-03-27 08:50:32.72589	42034	1093214.0602505521	4	2
2014-03-27 08:50:36.896978	42035	43	2	10
2014-03-27 08:50:37.127644	42036	21.7	1	10
2014-03-27 08:50:47.031706	42037	52	2	9
2014-03-27 08:50:47.253375	42038	21.3	1	9
2014-03-27 08:50:48.115543	42039	54	2	8
2014-03-27 08:50:48.347531	42040	21.5	1	8
2014-03-27 08:51:02.319027	42041	51	2	1
2014-03-27 08:51:02.540088	42042	21.2	1	1
2014-03-27 08:51:15.896348	42043	43	2	10
2014-03-27 08:51:16.186801	42044	21.7	1	10
2014-03-27 08:51:26.03069	42045	52	2	9
2014-03-27 08:51:26.253676	42046	21.3	1	9
2014-03-27 08:51:27.11556	42047	54	2	8
2014-03-27 08:51:27.347468	42048	21.5	1	8
2014-03-27 08:51:32.499015	42049	692	3	2
2014-03-27 08:51:32.722402	42050	1093225.5505977664	4	2
2014-03-27 08:51:41.320714	42051	51	2	1
2014-03-27 08:51:41.56273	42052	21.2	1	1
2014-03-27 08:51:54.897022	42053	43	2	10
2014-03-27 08:51:55.11956	42054	21.8	1	10
2014-03-27 08:52:05.030461	42055	52	2	9
2014-03-27 08:52:05.263669	42056	21.3	1	9
2014-03-27 08:52:06.116356	42057	54	2	8
2014-03-27 08:52:06.337494	42058	21.5	1	8
2014-03-27 08:52:20.35262	42059	51	2	1
2014-03-27 08:52:20.583272	42060	21.2	1	1
2014-03-27 08:52:32.496967	42061	676	3	2
2014-03-27 08:52:32.71988	42062	1093237.0409449805	4	2
2014-03-27 08:52:33.901054	42063	43	2	10
2014-03-27 08:52:34.132658	42064	21.8	1	10
2014-03-27 08:52:44.033015	42065	52	2	9
2014-03-27 08:52:44.258156	42066	21.3	1	9
2014-03-27 08:52:44.563785	42067	724	3	2
2014-03-27 08:52:44.796924	42068	1093239.3390144233	4	2
2014-03-27 08:52:45.11579	42069	54	2	8
2014-03-27 08:52:45.336457	42070	21.5	1	8
2014-03-27 08:52:56.495272	42071	708	3	2
2014-03-27 08:52:56.72708	42072	1093241.6370838662	4	2
2014-03-27 08:52:59.320818	42073	52	2	1
2014-03-27 08:52:59.542569	42074	21.2	1	1
2014-03-27 08:53:12.89855	42075	43	2	10
2014-03-27 08:53:13.132915	42076	21.8	1	10
2014-03-27 08:53:23.032388	42077	52	2	9
2014-03-27 08:53:23.255849	42078	21.3	1	9
2014-03-27 08:53:24.118808	42079	54	2	8
2014-03-27 08:53:24.350426	42080	21.5	1	8
2014-03-27 08:53:32.498161	42081	708	3	2
2014-03-27 08:53:32.720819	42082	1093248.5312921947	4	2
2014-03-27 08:53:38.318317	42083	52	2	1
2014-03-27 08:53:38.547873	42084	21.2	1	1
2014-03-27 08:53:51.898168	42085	43	2	10
2014-03-27 08:53:52.126586	42086	21.8	1	10
2014-03-27 08:54:02.031578	42087	52	2	9
2014-03-27 08:54:02.265082	42088	21.4	1	9
2014-03-27 08:54:03.117307	42089	54	2	8
2014-03-27 08:54:03.341432	42090	21.5	1	8
2014-03-27 08:54:17.319495	42091	52	2	1
2014-03-27 08:54:17.550966	42092	21.2	1	1
2014-03-27 08:54:30.898027	42093	43	2	10
2014-03-27 08:54:31.120923	42094	21.8	1	10
2014-03-27 08:54:32.498937	42095	708	3	2
2014-03-27 08:54:32.730857	42096	1093261.17067413	4	2
2014-03-27 08:54:41.031785	42097	52	2	9
2014-03-27 08:54:41.254034	42098	21.4	1	9
2014-03-27 08:54:42.114948	42099	54	2	8
2014-03-27 08:54:42.360226	42100	21.5	1	8
2014-03-27 08:54:56.322366	42101	52	2	1
2014-03-27 08:54:56.543078	42102	21.2	1	1
2014-03-27 08:55:08.498575	42103	659	3	2
2014-03-27 08:55:08.730999	42104	1093268.0648824587	4	2
2014-03-27 08:55:09.899996	42105	43	2	10
2014-03-27 08:55:10.123227	42106	21.8	1	10
2014-03-27 08:55:20.030538	42107	52	2	9
2014-03-27 08:55:20.264346	42108	21.4	1	9
2014-03-27 08:55:21.11572	42109	54	2	8
2014-03-27 08:55:21.363682	42110	21.5	1	8
2014-03-27 08:55:32.496396	42111	659	3	2
2014-03-27 08:55:32.727706	42112	1093272.6610213444	4	2
2014-03-27 08:55:35.314203	42113	52	2	1
2014-03-27 08:55:35.53633	42114	21.2	1	1
2014-03-27 08:55:48.897943	42115	43	2	10
2014-03-27 08:55:49.132981	42116	21.9	1	10
2014-03-27 08:55:59.032097	42117	52	2	9
2014-03-27 08:55:59.255301	42118	21.4	1	9
2014-03-27 08:56:00.115971	42119	54	2	8
2014-03-27 08:56:00.346627	42120	21.5	1	8
2014-03-27 08:56:14.315332	42121	52	2	1
2014-03-27 08:56:14.536708	42122	21.2	1	1
2014-03-27 08:56:27.898559	42123	43	2	10
2014-03-27 08:56:28.131529	42124	21.9	1	10
2014-03-27 08:56:32.495672	42125	659	3	2
2014-03-27 08:56:32.7181	42126	1093283.002333837	4	2
2014-03-27 08:56:38.030552	42127	52	2	9
2014-03-27 08:56:38.265212	42128	21.4	1	9
2014-03-27 08:56:39.115297	42129	54	2	8
2014-03-27 08:56:39.337014	42130	21.5	1	8
2014-03-27 08:56:53.317275	42131	52	2	1
2014-03-27 08:56:53.548624	42132	21.2	1	1
2014-03-27 08:57:06.898773	42133	43	2	10
2014-03-27 08:57:07.12003	42134	21.9	1	10
2014-03-27 08:57:17.032784	42135	52	2	9
2014-03-27 08:57:17.264393	42136	21.4	1	9
2014-03-27 08:57:18.115354	42137	53	2	8
2014-03-27 08:57:18.336565	42138	21.5	1	8
2014-03-27 08:57:32.317589	42139	52	2	1
2014-03-27 08:57:32.548151	42140	21.2	1	1
2014-03-27 08:57:44.495445	42141	611	3	2
2014-03-27 08:57:44.720045	42142	1093296.790750494	4	2
2014-03-27 08:57:45.900099	42143	43	2	10
2014-03-27 08:57:46.178636	42144	21.9	1	10
2014-03-27 08:57:56.029686	42145	52	2	9
2014-03-27 08:57:56.251974	42146	21.4	1	9
2014-03-27 08:57:56.561851	42147	595	3	2
2014-03-27 08:57:56.805405	42148	1093297.9397852155	4	2
2014-03-27 08:57:57.115557	42149	53	2	8
2014-03-27 08:57:57.336437	42150	21.5	1	8
2014-03-27 08:58:11.317719	42151	52	2	1
2014-03-27 08:58:11.548271	42152	21.2	1	1
2014-03-27 08:58:24.899057	42153	43	2	10
2014-03-27 08:58:25.122069	42154	21.9	1	10
2014-03-27 08:58:32.498284	42155	595	3	2
2014-03-27 08:58:32.72881	42156	1093304.8339935439	4	2
2014-03-27 08:58:35.032479	42157	52	2	9
2014-03-27 08:58:35.254169	42158	21.4	1	9
2014-03-27 08:58:36.118699	42159	53	2	8
2014-03-27 08:58:36.351385	42160	21.5	1	8
2014-03-27 08:58:50.319347	42161	52	2	1
2014-03-27 08:58:50.539669	42162	21.2	1	1
2014-03-27 08:59:03.899235	42163	43	2	10
2014-03-27 08:59:04.132823	42164	21.9	1	10
2014-03-27 08:59:14.03077	42165	52	2	9
2014-03-27 08:59:14.254665	42166	21.4	1	9
2014-03-27 08:59:15.116905	42167	53	2	8
2014-03-27 08:59:15.351737	42168	21.5	1	8
2014-03-27 08:59:29.316348	42169	52	2	1
2014-03-27 08:59:29.537435	42170	21.2	1	1
2014-03-27 08:59:32.495221	42171	595	3	2
2014-03-27 08:59:32.726353	42172	1093314.0262713153	4	2
2014-03-27 08:59:42.899941	42173	43	2	10
2014-03-27 08:59:43.121099	42174	21.9	1	10
2014-03-27 08:59:53.030835	42175	52	2	9
2014-03-27 08:59:53.26596	42176	21.4	1	9
2014-03-27 08:59:54.115785	42177	53	2	8
2014-03-27 08:59:54.339157	42178	21.5	1	8
2014-03-27 09:00:08.317663	42179	52	2	1
2014-03-27 09:00:08.548904	42180	21.2	1	1
2014-03-27 09:00:21.9003	42181	42	2	10
2014-03-27 09:00:22.128972	42182	22.0	1	10
2014-03-27 09:00:32.031294	42183	52	2	9
2014-03-27 09:00:32.263117	42184	21.4	1	9
2014-03-27 09:00:32.571324	42185	595	3	2
2014-03-27 09:00:32.793421	42186	1093324.367583808	4	2
2014-03-27 09:00:33.115787	42187	53	2	8
2014-03-27 09:00:33.349564	42188	21.5	1	8
2014-03-27 09:00:47.313469	42189	52	2	1
2014-03-27 09:00:47.537364	42190	21.2	1	1
2014-03-27 09:01:00.900166	42191	42	2	10
2014-03-27 09:01:01.132038	42192	22.0	1	10
2014-03-27 09:01:11.031677	42193	52	2	9
2014-03-27 09:01:11.252941	42194	21.4	1	9
2014-03-27 09:01:12.11672	42195	53	2	8
2014-03-27 09:01:12.360098	42196	21.5	1	8
2014-03-27 09:01:26.313979	42197	52	2	1
2014-03-27 09:01:26.539509	42198	21.2	1	1
2014-03-27 09:01:32.494687	42199	595	3	2
2014-03-27 09:01:32.728826	42200	1093334.7088963008	4	2
2014-03-27 09:01:39.900809	42201	42	2	10
2014-03-27 09:01:40.125449	42202	22.0	1	10
2014-03-27 09:01:50.031647	42203	52	2	9
2014-03-27 09:01:50.263515	42204	21.5	1	9
2014-03-27 09:01:51.11523	42205	53	2	8
2014-03-27 09:01:51.342422	42206	21.5	1	8
2014-03-27 09:01:56.495877	42207	643	3	2
2014-03-27 09:01:56.734868	42208	1093338.156000465	4	2
2014-03-27 09:02:05.346255	42209	52	2	1
2014-03-27 09:02:05.569518	42210	21.2	1	1
2014-03-27 09:02:08.498645	42211	627	3	2
2014-03-27 09:02:08.730062	42212	1093340.4540699078	4	2
2014-03-27 09:02:18.899788	42213	42	2	10
2014-03-27 09:02:19.122867	42214	22.0	1	10
2014-03-27 09:02:29.031565	42215	52	2	9
2014-03-27 09:02:29.265473	42216	21.5	1	9
2014-03-27 09:02:30.114973	42217	53	2	8
2014-03-27 09:02:30.336046	42218	21.5	1	8
2014-03-27 09:02:32.495423	42219	643	3	2
2014-03-27 09:02:32.726188	42220	1093345.0502087935	4	2
2014-03-27 09:02:44.312866	42221	52	2	1
2014-03-27 09:02:44.53844	42222	21.2	1	1
2014-03-27 09:02:57.902275	42223	42	2	10
2014-03-27 09:02:58.133287	42224	22.0	1	10
2014-03-27 09:03:08.031713	42225	52	2	9
2014-03-27 09:03:08.253476	42226	21.5	1	9
2014-03-27 09:03:09.114528	42227	53	2	8
2014-03-27 09:03:09.34672	42228	21.5	1	8
2014-03-27 09:03:23.312107	42229	52	2	1
2014-03-27 09:03:23.534757	42230	21.2	1	1
2014-03-27 09:03:32.495289	42231	643	3	2
2014-03-27 09:03:32.727069	42232	1093355.3915212862	4	2
2014-03-27 09:03:36.901744	42233	42	2	10
2014-03-27 09:03:37.124788	42234	22.1	1	10
2014-03-27 09:03:47.032356	42235	52	2	9
2014-03-27 09:03:47.266302	42236	21.5	1	9
2014-03-27 09:03:48.115426	42237	53	2	8
2014-03-27 09:03:48.336506	42238	21.5	1	8
2014-03-27 09:04:02.311055	42239	52	2	1
2014-03-27 09:04:02.543713	42240	21.2	1	1
2014-03-27 09:04:15.901853	42241	42	2	10
2014-03-27 09:04:16.126241	42242	22.1	1	10
2014-03-27 09:04:20.495207	42243	595	3	2
2014-03-27 09:04:20.739285	42244	1093364.5837990576	4	2
2014-03-27 09:04:26.030355	42245	52	2	9
2014-03-27 09:04:26.254854	42246	21.5	1	9
2014-03-27 09:04:27.117351	42247	53	2	8
2014-03-27 09:04:27.349192	42248	21.5	1	8
2014-03-27 09:04:32.493768	42249	595	3	2
2014-03-27 09:04:32.717736	42250	1093365.732833779	4	2
2014-03-27 09:04:54.699373	42251	52	2	1
2014-03-27 09:04:54.930951	42252	21.2	1	1
2014-03-27 09:04:55.235089	42253	42	2	10
2014-03-27 09:04:55.456074	42254	22.1	1	10
2014-03-27 09:05:05.031047	42255	52	2	9
2014-03-27 09:05:05.26409	42256	21.5	1	9
2014-03-27 09:05:06.115001	42257	53	2	8
2014-03-27 09:05:06.338142	42258	21.5	1	8
2014-03-27 09:05:20.313544	42259	52	2	1
2014-03-27 09:05:20.545645	42260	21.2	1	1
2014-03-27 09:05:33.703377	42261	595	3	2
2014-03-27 09:05:33.925034	42262	1093376.0741462717	4	2
2014-03-27 09:05:34.226606	42263	42	2	10
2014-03-27 09:05:34.460041	42264	22.1	1	10
2014-03-27 09:05:44.031329	42265	52	2	9
2014-03-27 09:05:44.253309	42266	21.5	1	9
2014-03-27 09:05:45.114385	42267	53	2	8
2014-03-27 09:05:45.348812	42268	21.5	1	8
2014-03-27 09:05:59.311033	42269	52	2	1
2014-03-27 09:05:59.53666	42270	21.2	1	1
2014-03-27 09:06:12.901245	42271	42	2	10
2014-03-27 09:06:13.133534	42272	22.1	1	10
2014-03-27 09:06:23.031507	42273	52	2	9
2014-03-27 09:06:23.253276	42274	21.5	1	9
2014-03-27 09:06:24.113905	42275	53	2	8
2014-03-27 09:06:24.346267	42276	21.5	1	8
2014-03-27 09:06:32.497082	42277	531	3	2
2014-03-27 09:06:32.718291	42278	1093385.266424043	4	2
2014-03-27 09:06:38.343736	42279	52	2	1
2014-03-27 09:06:38.576584	42280	21.2	1	1
2014-03-27 09:06:44.493564	42281	531	3	2
2014-03-27 09:06:44.717553	42282	1093387.5644934857	4	2
2014-03-27 09:06:52.029998	42283	42	2	10
2014-03-27 09:06:52.469632	42284	22.1	1	10
2014-03-27 09:07:02.045731	42285	52	2	9
2014-03-27 09:07:02.320161	42286	21.5	1	9
2014-03-27 09:07:03.115445	42287	53	2	8
2014-03-27 09:07:03.346238	42288	21.5	1	8
2014-03-27 09:07:17.31192	42289	52	2	1
2014-03-27 09:07:17.533324	42290	21.2	1	1
2014-03-27 09:07:20.494097	42291	498	3	2
2014-03-27 09:07:20.738559	42292	1093392.1606323714	4	2
2014-03-27 09:07:30.902626	42293	42	2	10
2014-03-27 09:07:31.123103	42294	22.1	1	10
2014-03-27 09:07:32.495737	42295	498	3	2
2014-03-27 09:07:32.728153	42296	1093394.4587018143	4	2
2014-03-27 09:07:41.029944	42297	52	2	9
2014-03-27 09:07:41.253767	42298	21.5	1	9
2014-03-27 09:07:42.115342	42299	53	2	8
2014-03-27 09:07:42.346105	42300	21.5	1	8
2014-03-27 09:07:56.309898	42301	52	2	1
2014-03-27 09:07:56.532567	42302	21.2	1	1
2014-03-27 09:08:09.908068	42303	42	2	10
2014-03-27 09:08:10.139453	42304	22.2	1	10
2014-03-27 09:08:20.239244	42305	52	2	9
2014-03-27 09:08:20.459667	42306	21.5	1	9
2014-03-27 09:08:21.118572	42307	53	2	8
2014-03-27 09:08:21.35297	42308	21.5	1	8
2014-03-27 09:08:32.63256	42309	482	3	2
2014-03-27 09:08:33.066305	42310	1093402.5019448642	4	2
2014-03-27 09:08:35.45416	42311	52	2	1
2014-03-27 09:08:35.922255	42312	21.2	1	1
2014-03-27 09:08:48.903135	42313	42	2	10
2014-03-27 09:08:49.126266	42314	22.2	1	10
2014-03-27 09:08:59.037375	42315	52	2	9
2014-03-27 09:08:59.269954	42316	21.5	1	9
2014-03-27 09:09:00.115546	42317	53	2	8
2014-03-27 09:09:00.337144	42318	21.5	1	8
2014-03-27 09:09:08.495929	42319	515	3	2
2014-03-27 09:09:08.72739	42320	1093407.0980837499	4	2
2014-03-27 09:09:14.309467	42321	52	2	1
2014-03-27 09:09:14.533751	42322	21.2	1	1
2014-03-27 09:09:20.492904	42323	515	3	2
2014-03-27 09:09:20.724352	42324	1093409.3961531927	4	2
2014-03-27 09:09:27.903194	42325	42	2	10
2014-03-27 09:09:28.12661	42326	22.2	1	10
2014-03-27 09:09:32.494126	42327	498	3	2
2014-03-27 09:09:32.726469	42328	1093410.545187914	4	2
2014-03-27 09:09:38.033662	42329	52	2	9
2014-03-27 09:09:38.259048	42330	21.5	1	9
2014-03-27 09:09:39.117254	42331	53	2	8
2014-03-27 09:09:39.350085	42332	21.5	1	8
2014-03-27 09:09:44.493832	42333	531	3	2
2014-03-27 09:09:44.71603	42334	1093412.843257357	4	2
2014-03-27 09:09:53.308187	42335	52	2	1
2014-03-27 09:09:53.5432	42336	21.2	1	1
2014-03-27 09:09:56.495373	42337	531	3	2
2014-03-27 09:09:56.723939	42338	1093413.9922920784	4	2
2014-03-27 09:10:06.902929	42339	42	2	10
2014-03-27 09:10:07.149379	42340	22.2	1	10
2014-03-27 09:10:17.032052	42341	52	2	9
2014-03-27 09:10:17.255397	42342	21.5	1	9
2014-03-27 09:10:18.115693	42343	53	2	8
2014-03-27 09:10:18.348022	42344	21.5	1	8
2014-03-27 09:10:32.310369	42345	52	2	1
2014-03-27 09:10:32.533662	42346	21.2	1	1
2014-03-27 09:10:45.903259	42347	42	2	10
2014-03-27 09:10:46.135449	42348	22.2	1	10
2014-03-27 09:10:56.030846	42349	52	2	9
2014-03-27 09:10:56.254107	42350	21.5	1	9
2014-03-27 09:10:57.117378	42351	52	2	8
2014-03-27 09:10:57.350238	42352	21.5	1	8
2014-03-27 09:11:11.313789	42353	52	2	1
2014-03-27 09:11:11.538453	42354	21.2	1	1
2014-03-27 09:11:24.903698	42355	42	2	10
2014-03-27 09:11:25.134812	42356	22.2	1	10
2014-03-27 09:11:32.490262	42357	515	3	2
2014-03-27 09:11:32.7133	42358	1093428.929743457	4	2
2014-03-27 09:11:35.031247	42359	52	2	9
2014-03-27 09:11:35.263582	42360	21.5	1	9
2014-03-27 09:11:36.117075	42361	52	2	8
2014-03-27 09:11:36.339716	42362	21.5	1	8
2014-03-27 09:11:50.105747	42363	643	3	2
2014-03-27 09:11:50.338253	42364	1093431.2278128995	4	2
2014-03-27 09:11:50.644766	42365	52	2	1
2014-03-27 09:11:50.866865	42366	21.2	1	1
2014-03-27 09:11:56.496977	42367	643	3	2
2014-03-27 09:11:56.730173	42368	1093432.376847621	4	2
2014-03-27 09:12:03.904476	42369	42	2	10
2014-03-27 09:12:04.126959	42370	22.2	1	10
2014-03-27 09:12:14.03148	42371	52	2	9
2014-03-27 09:12:14.264012	42372	21.5	1	9
2014-03-27 09:12:15.116569	42373	52	2	8
2014-03-27 09:12:15.337442	42374	21.5	1	8
2014-03-27 09:12:29.3093	42375	52	2	1
2014-03-27 09:12:29.543027	42376	21.2	1	1
2014-03-27 09:12:32.497239	42377	643	3	2
2014-03-27 09:12:32.722642	42378	1093439.2710559496	4	2
2014-03-27 09:12:42.903909	42379	42	2	10
2014-03-27 09:12:43.137222	42380	22.3	1	10
2014-03-27 09:12:53.030253	42381	52	2	9
2014-03-27 09:12:53.254696	42382	21.5	1	9
2014-03-27 09:12:54.117332	42383	52	2	8
2014-03-27 09:12:54.349133	42384	21.5	1	8
2014-03-27 09:13:08.309399	42385	52	2	1
2014-03-27 09:13:08.532314	42386	21.2	1	1
2014-03-27 09:13:20.497641	42387	659	3	2
2014-03-27 09:13:20.740254	42388	1093448.4633337208	4	2
2014-03-27 09:13:21.904181	42389	42	2	10
2014-03-27 09:13:22.13073	42390	22.3	1	10
2014-03-27 09:13:32.030632	42391	52	2	9
2014-03-27 09:13:32.263675	42392	21.5	1	9
2014-03-27 09:13:32.568029	42393	659	3	2
2014-03-27 09:13:32.792812	42394	1093450.7614031637	4	2
2014-03-27 09:13:33.116387	42395	52	2	8
2014-03-27 09:13:33.347458	42396	21.5	1	8
2014-03-27 09:13:47.306875	42397	52	2	1
2014-03-27 09:13:47.528514	42398	21.1	1	1
2014-03-27 09:14:00.904677	42399	42	2	10
2014-03-27 09:14:01.136379	42400	22.3	1	10
2014-03-27 09:14:11.032563	42401	52	2	9
2014-03-27 09:14:11.254634	42402	21.5	1	9
2014-03-27 09:14:12.115494	42403	53	2	8
2014-03-27 09:14:12.348957	42404	21.5	1	8
2014-03-27 09:14:26.306505	42405	52	2	1
2014-03-27 09:14:26.530229	42406	21.1	1	1
2014-03-27 09:14:32.493126	42407	659	3	2
2014-03-27 09:14:32.724571	42408	1093461.1027156564	4	2
2014-03-27 09:14:39.903844	42409	42	2	10
2014-03-27 09:14:40.128769	42410	22.3	1	10
2014-03-27 09:14:50.032641	42411	52	2	9
2014-03-27 09:14:50.264179	42412	21.5	1	9
2014-03-27 09:14:51.117238	42413	53	2	8
2014-03-27 09:14:51.33951	42414	21.5	1	8
2014-03-27 09:15:05.305947	42415	52	2	1
2014-03-27 09:15:05.536931	42416	21.1	1	1
2014-03-27 09:15:18.904286	42417	42	2	10
2014-03-27 09:15:19.126714	42418	22.3	1	10
2014-03-27 09:15:29.031125	42419	52	2	9
2014-03-27 09:15:29.26441	42420	21.5	1	9
2014-03-27 09:15:30.115652	42421	53	2	8
2014-03-27 09:15:30.340631	42422	21.5	1	8
2014-03-27 09:15:32.496412	42423	659	3	2
2014-03-27 09:15:32.727699	42424	1093472.5930628704	4	2
2014-03-27 09:15:44.309406	42425	53	2	1
2014-03-27 09:15:44.532446	42426	21.1	1	1
2014-03-27 09:15:57.905506	42427	42	2	10
2014-03-27 09:15:58.136909	42428	22.3	1	10
2014-03-27 09:16:08.031586	42429	52	2	9
2014-03-27 09:16:08.254594	42430	21.5	1	9
2014-03-27 09:16:09.116124	42431	53	2	8
2014-03-27 09:16:09.348803	42432	21.5	1	8
2014-03-27 09:16:23.307237	42433	53	2	1
2014-03-27 09:16:23.530606	42434	21.1	1	1
2014-03-27 09:16:32.490584	42435	708	3	2
2014-03-27 09:16:32.734433	42436	1093484.0834100847	4	2
2014-03-27 09:16:36.905756	42437	42	2	10
2014-03-27 09:16:37.131219	42438	22.3	1	10
2014-03-27 09:16:44.495058	42439	547	3	2
2014-03-27 09:16:44.725706	42440	1093486.3814795276	4	2
2014-03-27 09:16:47.030372	42441	52	2	9
2014-03-27 09:16:47.25303	42442	21.5	1	9
2014-03-27 09:16:48.116042	42443	53	2	8
2014-03-27 09:16:48.391734	42444	21.5	1	8
2014-03-27 09:16:56.497697	42445	434	3	2
2014-03-27 09:16:57.047057	42446	1093487.5305142489	4	2
2014-03-27 09:17:02.304334	42447	53	2	1
2014-03-27 09:17:02.583772	42448	21.1	1	1
2014-03-27 09:17:08.495346	42449	434	3	2
2014-03-27 09:17:08.76873	42450	1093488.6795489704	4	2
2014-03-27 09:17:15.905193	42451	42	2	10
2014-03-27 09:17:16.341754	42452	22.3	1	10
2014-03-27 09:17:26.032467	42453	52	2	9
2014-03-27 09:17:26.784101	42454	21.5	1	9
2014-03-27 09:17:27.14519	42455	53	2	8
2014-03-27 09:17:27.413254	42456	21.5	1	8
2014-03-27 09:17:32.492876	42457	434	3	2
2014-03-27 09:17:33.049197	42458	1093492.1266531346	4	2
2014-03-27 09:17:41.302265	42459	53	2	1
2014-03-27 09:17:41.537408	42460	21.1	1	1
2014-03-27 09:17:54.905963	42461	42	2	10
2014-03-27 09:17:55.129657	42462	22.3	1	10
2014-03-27 09:18:05.031965	42463	52	2	9
2014-03-27 09:18:05.265391	42464	21.5	1	9
2014-03-27 09:18:06.114515	42465	53	2	8
2014-03-27 09:18:06.336054	42466	21.5	1	8
2014-03-27 09:18:20.338269	42467	53	2	1
2014-03-27 09:18:20.571317	42468	21.1	1	1
2014-03-27 09:18:32.493719	42469	370	3	2
2014-03-27 09:18:32.722313	42470	1093499.0208614632	4	2
2014-03-27 09:18:33.908061	42471	42	2	10
2014-03-27 09:18:34.140471	42472	22.4	1	10
2014-03-27 09:18:44.03039	42473	52	2	9
2014-03-27 09:18:44.257087	42474	21.5	1	9
2014-03-27 09:18:45.11599	42475	52	2	8
2014-03-27 09:18:45.347328	42476	21.5	1	8
2014-03-27 09:18:59.302306	42477	53	2	1
2014-03-27 09:18:59.524145	42478	21.1	1	1
2014-03-27 09:19:12.907064	42479	42	2	10
2014-03-27 09:19:13.140098	42480	22.4	1	10
2014-03-27 09:19:20.492298	42481	418	3	2
2014-03-27 09:19:20.714304	42482	1093503.6170003489	4	2
2014-03-27 09:19:23.031333	42483	52	2	9
2014-03-27 09:19:23.275516	42484	21.5	1	9
2014-03-27 09:19:24.116899	42485	52	2	8
2014-03-27 09:19:24.339271	42486	21.5	1	8
2014-03-27 09:19:32.49274	42487	402	3	2
2014-03-27 09:19:32.913111	42488	1093504.7660350702	4	2
2014-03-27 09:19:38.302075	42489	53	2	1
2014-03-27 09:19:38.531291	42490	21.1	1	1
2014-03-27 09:19:51.907031	42491	42	2	10
2014-03-27 09:19:52.135573	42492	22.4	1	10
2014-03-27 09:20:02.032696	42493	52	2	9
2014-03-27 09:20:02.262964	42494	21.5	1	9
2014-03-27 09:20:03.117841	42495	52	2	8
2014-03-27 09:20:03.339001	42496	21.5	1	8
2014-03-27 09:20:08.494515	42497	370	3	2
2014-03-27 09:20:08.726732	42498	1093508.2176101867	4	2
2014-03-27 09:20:17.305301	42499	53	2	1
2014-03-27 09:20:17.526658	42500	21.1	1	1
2014-03-27 09:20:20.489483	42501	402	3	2
2014-03-27 09:20:20.720612	42502	1093509.366644908	4	2
2014-03-27 09:20:30.906762	42503	42	2	10
2014-03-27 09:20:31.130105	42504	22.4	1	10
2014-03-27 09:20:32.493153	42505	450	3	2
2014-03-27 09:20:32.726191	42506	1093510.5156796295	4	2
2014-03-27 09:20:41.031129	42507	52	2	9
2014-03-27 09:20:41.254246	42508	21.5	1	9
2014-03-27 09:20:42.114702	42509	52	2	8
2014-03-27 09:20:42.349118	42510	21.5	1	8
2014-03-27 09:20:44.490249	42511	418	3	2
2014-03-27 09:20:44.713824	42512	1093511.6647143508	4	2
2014-03-27 09:20:56.303592	42513	53	2	1
2014-03-27 09:20:56.535105	42514	21.1	1	1
2014-03-27 09:21:09.906889	42515	42	2	10
2014-03-27 09:21:10.128142	42516	22.4	1	10
2014-03-27 09:21:20.0303	42517	52	2	9
2014-03-27 09:21:20.263967	42518	21.5	1	9
2014-03-27 09:21:21.115541	42519	52	2	8
2014-03-27 09:21:21.336893	42520	21.5	1	8
2014-03-27 09:21:32.492573	42521	434	3	2
2014-03-27 09:21:32.724623	42522	1093517.4098879579	4	2
2014-03-27 09:21:35.30463	42523	53	2	1
2014-03-27 09:21:35.525526	42524	21.1	1	1
2014-03-27 09:21:48.904934	42525	42	2	10
2014-03-27 09:21:49.136849	42526	22.4	1	10
2014-03-27 09:21:59.03064	42527	52	2	9
2014-03-27 09:21:59.253026	42528	21.5	1	9
2014-03-27 09:22:00.114364	42529	52	2	8
2014-03-27 09:22:00.345852	42530	21.5	1	8
2014-03-27 09:22:14.305257	42531	53	2	1
2014-03-27 09:22:14.527236	42532	21.1	1	1
2014-03-27 09:22:27.90619	42533	42	2	10
2014-03-27 09:22:28.149254	42534	22.4	1	10
2014-03-27 09:22:32.493621	42535	418	3	2
2014-03-27 09:22:32.71477	42536	1093525.453131008	4	2
2014-03-27 09:22:38.031762	42537	52	2	9
2014-03-27 09:22:38.267274	42538	21.5	1	9
2014-03-27 09:22:39.115906	42539	52	2	8
2014-03-27 09:22:39.337108	42540	21.5	1	8
2014-03-27 09:22:53.298273	42541	53	2	1
2014-03-27 09:22:53.530583	42542	21.1	1	1
2014-03-27 09:23:06.907801	42543	42	2	10
2014-03-27 09:23:07.131121	42544	22.4	1	10
2014-03-27 09:23:17.086459	42545	52	2	9
2014-03-27 09:23:17.31685	42546	21.5	1	9
2014-03-27 09:23:18.115072	42547	52	2	8
2014-03-27 09:23:18.336118	42548	21.4	1	8
2014-03-27 09:23:20.490141	42549	450	3	2
2014-03-27 09:23:20.722614	42550	1093531.198304615	4	2
2014-03-27 09:23:32.30147	42551	53	2	1
2014-03-27 09:23:32.523658	42552	21.1	1	1
2014-03-27 09:23:45.906851	42553	42	2	10
2014-03-27 09:23:46.139284	42554	22.4	1	10
2014-03-27 09:23:56.030253	42555	52	2	9
2014-03-27 09:23:56.252812	42556	21.5	1	9
2014-03-27 09:23:57.115728	42557	52	2	8
2014-03-27 09:23:57.346282	42558	21.4	1	8
2014-03-27 09:24:11.300335	42559	53	2	1
2014-03-27 09:24:11.522919	42560	21.1	1	1
2014-03-27 09:24:24.909327	42561	42	2	10
2014-03-27 09:24:25.140867	42562	22.5	1	10
2014-03-27 09:24:32.49413	42563	434	3	2
2014-03-27 09:24:32.715585	42564	1093539.2415476649	4	2
2014-03-27 09:24:35.032282	42565	52	2	9
2014-03-27 09:24:35.264859	42566	21.5	1	9
2014-03-27 09:24:36.115557	42567	52	2	8
2014-03-27 09:24:36.337252	42568	21.4	1	8
2014-03-27 09:24:50.298456	42569	53	2	1
2014-03-27 09:24:50.530864	42570	21.1	1	1
2014-03-27 09:25:03.907515	42571	42	2	10
2014-03-27 09:25:04.134789	42572	22.5	1	10
2014-03-27 09:25:08.492728	42573	466	3	2
2014-03-27 09:25:08.724279	42574	1093543.8376865506	4	2
2014-03-27 09:25:14.032724	42575	52	2	9
2014-03-27 09:25:14.255724	42576	21.5	1	9
2014-03-27 09:25:15.117489	42577	52	2	8
2014-03-27 09:25:15.349424	42578	21.4	1	8
2014-03-27 09:25:20.492112	42579	466	3	2
2014-03-27 09:25:20.713879	42580	1093544.9867212719	4	2
2014-03-27 09:25:29.301008	42581	53	2	1
2014-03-27 09:25:29.54402	42582	21.0	1	1
2014-03-27 09:25:32.492764	42583	482	3	2
2014-03-27 09:25:32.714733	42584	1093547.2847907147	4	2
2014-03-27 09:25:42.908673	42585	42	2	10
2014-03-27 09:25:43.1441	42586	22.5	1	10
2014-03-27 09:25:53.030501	42587	52	2	9
2014-03-27 09:25:53.2544	42588	21.5	1	9
2014-03-27 09:25:54.117515	42589	52	2	8
2014-03-27 09:25:54.34621	42590	21.4	1	8
2014-03-27 09:26:08.295517	42591	53	2	1
2014-03-27 09:26:08.538766	42592	21.0	1	1
2014-03-27 09:26:21.910259	42593	42	2	10
2014-03-27 09:26:22.146906	42594	22.5	1	10
2014-03-27 09:26:32.031818	42595	52	2	9
2014-03-27 09:26:32.255177	42596	21.5	1	9
2014-03-27 09:26:32.561279	42597	466	3	2
2014-03-27 09:26:32.791245	42598	1093555.3280337646	4	2
2014-03-27 09:26:33.115169	42599	52	2	8
2014-03-27 09:26:33.339174	42600	21.4	1	8
2014-03-27 09:26:47.301609	42601	53	2	1
2014-03-27 09:26:47.533864	42602	21.0	1	1
2014-03-27 09:27:00.908578	42603	42	2	10
2014-03-27 09:27:01.130653	42604	22.5	1	10
2014-03-27 09:27:11.029737	42605	52	2	9
2014-03-27 09:27:11.263719	42606	21.5	1	9
2014-03-27 09:27:12.116781	42607	52	2	8
2014-03-27 09:27:12.339716	42608	21.4	1	8
2014-03-27 09:27:26.297032	42609	53	2	1
2014-03-27 09:27:26.529306	42610	21.0	1	1
2014-03-27 09:27:32.494449	42611	466	3	2
2014-03-27 09:27:32.714968	42612	1093562.2222420932	4	2
2014-03-27 09:27:39.907939	42613	42	2	10
2014-03-27 09:27:40.141929	42614	22.5	1	10
2014-03-27 09:27:50.029696	42615	52	2	9
2014-03-27 09:27:50.251697	42616	21.4	1	9
2014-03-27 09:27:51.115055	42617	52	2	8
2014-03-27 09:27:51.346724	42618	21.4	1	8
2014-03-27 09:28:05.299095	42619	53	2	1
2014-03-27 09:28:05.524288	42620	21.0	1	1
2014-03-27 09:28:18.9085	42621	42	2	10
2014-03-27 09:28:19.140268	42622	22.5	1	10
2014-03-27 09:28:29.030095	42623	52	2	9
2014-03-27 09:28:29.25214	42624	21.4	1	9
2014-03-27 09:28:30.114502	42625	52	2	8
2014-03-27 09:28:30.346959	42626	21.4	1	8
2014-03-27 09:28:44.097695	42627	434	3	2
2014-03-27 09:28:44.323163	42628	1093570.265485143	4	2
2014-03-27 09:28:44.629459	42629	53	2	1
2014-03-27 09:28:44.872304	42630	21.0	1	1
2014-03-27 09:28:57.908651	42631	42	2	10
2014-03-27 09:28:58.129903	42632	22.5	1	10
2014-03-27 09:29:08.028918	42633	52	2	9
2014-03-27 09:29:08.261646	42634	21.4	1	9
2014-03-27 09:29:09.114792	42635	52	2	8
2014-03-27 09:29:09.335526	42636	21.4	1	8
2014-03-27 09:29:23.298582	42637	53	2	1
2014-03-27 09:29:23.531061	42638	21.0	1	1
2014-03-27 09:29:32.492507	42639	434	3	2
2014-03-27 09:29:32.71542	42640	1093578.308728193	4	2
2014-03-27 09:29:36.910348	42641	42	2	10
2014-03-27 09:29:37.142045	42642	22.5	1	10
2014-03-27 09:29:47.029866	42643	52	2	9
2014-03-27 09:29:47.30723	42644	21.4	1	9
2014-03-27 09:29:48.114996	42645	52	2	8
2014-03-27 09:29:48.345208	42646	21.4	1	8
2014-03-27 09:30:02.297918	42647	53	2	1
2014-03-27 09:30:02.519645	42648	21.0	1	1
2014-03-27 09:30:08.490995	42649	466	3	2
2014-03-27 09:30:08.721953	42650	1093582.9048670786	4	2
2014-03-27 09:30:15.911671	42651	42	2	10
2014-03-27 09:30:16.133303	42652	22.6	1	10
2014-03-27 09:30:20.489372	42653	466	3	2
2014-03-27 09:30:20.721178	42654	1093584.0539018	4	2
2014-03-27 09:30:26.031851	42655	52	2	9
2014-03-27 09:30:26.254073	42656	21.4	1	9
2014-03-27 09:30:27.115387	42657	52	2	8
2014-03-27 09:30:27.346279	42658	21.4	1	8
2014-03-27 09:30:32.49295	42659	466	3	2
2014-03-27 09:30:32.716757	42660	1093585.2029365215	4	2
2014-03-27 09:30:41.29536	42661	53	2	1
2014-03-27 09:30:41.529166	42662	21.0	1	1
2014-03-27 09:30:54.909758	42663	42	2	10
2014-03-27 09:30:55.133274	42664	22.6	1	10
2014-03-27 09:31:05.02979	42665	52	2	9
2014-03-27 09:31:05.263906	42666	21.4	1	9
2014-03-27 09:31:06.116597	42667	52	2	8
2014-03-27 09:31:06.33843	42668	21.4	1	8
2014-03-27 09:31:20.092944	42669	434	3	2
2014-03-27 09:31:20.328639	42670	1093589.7990754072	4	2
2014-03-27 09:31:20.632862	42671	53	2	1
2014-03-27 09:31:20.855055	42672	21.0	1	1
2014-03-27 09:31:32.494758	42673	498	3	2
2014-03-27 09:31:32.725993	42674	1093594.3952142927	4	2
2014-03-27 09:31:33.910103	42675	42	2	10
2014-03-27 09:31:34.1315	42676	22.6	1	10
2014-03-27 09:31:44.029858	42677	52	2	9
2014-03-27 09:31:44.27655	42678	21.4	1	9
2014-03-27 09:31:45.114431	42679	52	2	8
2014-03-27 09:31:45.337546	42680	21.4	1	8
2014-03-27 09:31:59.299996	42681	53	2	1
2014-03-27 09:31:59.532559	42682	21.0	1	1
2014-03-27 09:32:12.911341	42683	42	2	10
2014-03-27 09:32:13.133814	42684	22.6	1	10
2014-03-27 09:32:23.029527	42685	52	2	9
2014-03-27 09:32:23.261799	42686	21.4	1	9
2014-03-27 09:32:24.115568	42687	52	2	8
2014-03-27 09:32:24.338918	42688	21.4	1	8
2014-03-27 09:32:32.492221	42689	515	3	2
2014-03-27 09:32:32.724167	42690	1093602.4384573426	4	2
2014-03-27 09:32:38.304259	42691	53	2	1
2014-03-27 09:32:38.53042	42692	21.0	1	1
2014-03-27 09:32:44.493769	42693	482	3	2
2014-03-27 09:32:44.724818	42694	1093604.7365267854	4	2
2014-03-27 09:32:51.910945	42695	42	2	10
2014-03-27 09:32:52.136132	42696	22.6	1	10
2014-03-27 09:32:56.49129	42697	482	3	2
2014-03-27 09:32:56.723309	42698	1093605.885561507	4	2
2014-03-27 09:33:02.029787	42699	52	2	9
2014-03-27 09:33:02.252667	42700	21.4	1	9
2014-03-27 09:33:03.115257	42701	52	2	8
2014-03-27 09:33:03.346698	42702	21.4	1	8
2014-03-27 09:33:17.337478	42703	53	2	1
2014-03-27 09:33:17.579561	42704	21.0	1	1
2014-03-27 09:33:30.910554	42705	42	2	10
2014-03-27 09:33:31.143583	42706	22.6	1	10
2014-03-27 09:33:32.491115	42707	482	3	2
2014-03-27 09:33:32.715493	42708	1093611.630735114	4	2
2014-03-27 09:33:41.029957	42709	52	2	9
2014-03-27 09:33:41.261284	42710	21.4	1	9
2014-03-27 09:33:42.115193	42711	52	2	8
2014-03-27 09:33:42.335381	42712	21.4	1	8
2014-03-27 09:33:56.294737	42713	53	2	1
2014-03-27 09:33:56.526438	42714	21.0	1	1
2014-03-27 09:34:09.911451	42715	42	2	10
2014-03-27 09:34:10.133952	42716	22.6	1	10
2014-03-27 09:34:20.030157	42717	52	2	9
2014-03-27 09:34:20.262791	42718	21.4	1	9
2014-03-27 09:34:21.114748	42719	52	2	8
2014-03-27 09:34:21.337138	42720	21.4	1	8
2014-03-27 09:34:32.491591	42721	482	3	2
2014-03-27 09:34:32.746446	42722	1093619.6739781639	4	2
2014-03-27 09:34:35.295601	42723	53	2	1
2014-03-27 09:34:35.517246	42724	21.0	1	1
2014-03-27 09:34:48.910026	42725	42	2	10
2014-03-27 09:34:49.155832	42726	22.6	1	10
2014-03-27 09:34:59.030582	42727	52	2	9
2014-03-27 09:34:59.253048	42728	21.4	1	9
2014-03-27 09:35:00.116271	42729	52	2	8
2014-03-27 09:35:00.347734	42730	21.3	1	8
2014-03-27 09:35:14.29206	42731	53	2	1
2014-03-27 09:35:14.513822	42732	21.0	1	1
2014-03-27 09:35:20.492869	42733	515	3	2
2014-03-27 09:35:20.724977	42734	1093625.4191517709	4	2
2014-03-27 09:35:27.912918	42735	42	2	10
2014-03-27 09:35:28.137063	42736	22.6	1	10
2014-03-27 09:35:32.492171	42737	482	3	2
2014-03-27 09:35:32.72314	42738	1093627.7172212137	4	2
2014-03-27 09:35:38.033983	42739	52	2	9
2014-03-27 09:35:38.257095	42740	21.4	1	9
2014-03-27 09:35:39.115989	42741	52	2	8
2014-03-27 09:35:39.346586	42742	21.3	1	8
2014-03-27 09:35:44.493675	42743	498	3	2
2014-03-27 09:35:44.715626	42744	1093628.8662559353	4	2
2014-03-27 09:35:53.291545	42745	53	2	1
2014-03-27 09:35:53.523846	42746	21.0	1	1
2014-03-27 09:36:06.911028	42747	42	2	10
2014-03-27 09:36:07.134061	42748	22.7	1	10
2014-03-27 09:36:17.03064	42749	52	2	9
2014-03-27 09:36:17.264815	42750	21.4	1	9
2014-03-27 09:36:18.117457	42751	52	2	8
2014-03-27 09:36:18.339237	42752	21.3	1	8
2014-03-27 09:36:32.296342	42753	53	2	1
2014-03-27 09:36:32.52843	42754	21.0	1	1
2014-03-27 09:36:45.910462	42755	42	2	10
2014-03-27 09:36:46.134639	42756	22.7	1	10
2014-03-27 09:36:56.030926	42757	52	2	9
2014-03-27 09:36:56.264186	42758	21.4	1	9
2014-03-27 09:36:57.116354	42759	52	2	8
2014-03-27 09:36:57.339296	42760	21.3	1	8
2014-03-27 09:37:11.292266	42761	53	2	1
2014-03-27 09:37:11.525503	42762	21.0	1	1
2014-03-27 09:37:24.912486	42763	42	2	10
2014-03-27 09:37:25.136044	42764	22.7	1	10
2014-03-27 09:37:32.489499	42765	482	3	2
2014-03-27 09:37:32.72183	42766	1093643.8037073135	4	2
2014-03-27 09:37:35.030142	42767	52	2	9
2014-03-27 09:37:35.252656	42768	21.4	1	9
2014-03-27 09:37:36.117631	42769	52	2	8
2014-03-27 09:37:36.350775	42770	21.3	1	8
2014-03-27 09:37:50.293285	42771	53	2	1
2014-03-27 09:37:50.523627	42772	21.0	1	1
2014-03-27 09:37:56.489528	42773	531	3	2
2014-03-27 09:37:56.734594	42774	1093647.250811478	4	2
2014-03-27 09:38:03.911466	42775	42	2	10
2014-03-27 09:38:04.134076	42776	22.7	1	10
2014-03-27 09:38:08.49013	42777	531	3	2
2014-03-27 09:38:08.721073	42778	1093649.5488809207	4	2
2014-03-27 09:38:14.031535	42779	52	2	9
2014-03-27 09:38:14.253358	42780	21.4	1	9
2014-03-27 09:38:15.114568	42781	52	2	8
2014-03-27 09:38:15.346078	42782	21.3	1	8
2014-03-27 09:38:29.292037	42783	53	2	1
2014-03-27 09:38:29.516372	42784	21.0	1	1
2014-03-27 09:38:32.495206	42785	531	3	2
2014-03-27 09:38:32.726496	42786	1093652.995985085	4	2
2014-03-27 09:38:42.912491	42787	42	2	10
2014-03-27 09:38:43.134916	42788	22.7	1	10
2014-03-27 09:38:53.029336	42789	52	2	9
2014-03-27 09:38:53.261588	42790	21.4	1	9
2014-03-27 09:38:54.117401	42791	52	2	8
2014-03-27 09:38:54.338826	42792	21.3	1	8
2014-03-27 09:39:08.295561	42793	53	2	1
2014-03-27 09:39:08.52662	42794	21.0	1	1
2014-03-27 09:39:21.912256	42795	42	2	10
2014-03-27 09:39:22.135743	42796	22.7	1	10
2014-03-27 09:39:32.029954	42797	52	2	9
2014-03-27 09:39:32.2628	42798	21.4	1	9
2014-03-27 09:39:32.571533	42799	531	3	2
2014-03-27 09:39:32.796839	42800	1093662.1882628563	4	2
2014-03-27 09:39:33.335962	42801	52	2	8
2014-03-27 09:39:33.566723	42802	21.3	1	8
2014-03-27 09:39:47.292793	42803	53	2	1
2014-03-27 09:39:47.571183	42804	21.0	1	1
2014-03-27 09:40:00.912119	42805	42	2	10
2014-03-27 09:40:01.144222	42806	22.7	1	10
2014-03-27 09:40:11.029981	42807	52	2	9
2014-03-27 09:40:11.255549	42808	21.4	1	9
2014-03-27 09:40:12.115699	42809	52	2	8
2014-03-27 09:40:12.348108	42810	21.3	1	8
2014-03-27 09:40:26.291479	42811	54	2	1
2014-03-27 09:40:26.51448	42812	20.9	1	1
2014-03-27 09:40:32.489987	42813	547	3	2
2014-03-27 09:40:32.722759	42814	1093670.2315059062	4	2
2014-03-27 09:40:39.914071	42815	42	2	10
2014-03-27 09:40:40.13631	42816	22.7	1	10
2014-03-27 09:40:50.031166	42817	52	2	9
2014-03-27 09:40:50.264349	42818	21.4	1	9
2014-03-27 09:40:51.116195	42819	52	2	8
2014-03-27 09:40:51.337573	42820	21.3	1	8
2014-03-27 09:41:05.288312	42821	54	2	1
2014-03-27 09:41:05.545857	42822	20.9	1	1
2014-03-27 09:41:18.91302	42823	42	2	10
2014-03-27 09:41:19.137085	42824	22.7	1	10
2014-03-27 09:41:29.032022	42825	52	2	9
2014-03-27 09:41:29.264387	42826	21.4	1	9
2014-03-27 09:41:30.118676	42827	52	2	8
2014-03-27 09:41:30.340867	42828	21.3	1	8
2014-03-27 09:41:32.492668	42829	531	3	2
2014-03-27 09:41:32.726953	42830	1093679.4237836774	4	2
2014-03-27 09:41:44.290633	42831	54	2	1
2014-03-27 09:41:44.514158	42832	20.9	1	1
2014-03-27 09:41:57.915822	42833	42	2	10
2014-03-27 09:41:58.151162	42834	22.7	1	10
2014-03-27 09:42:08.030462	42835	52	2	9
2014-03-27 09:42:08.255852	42836	21.4	1	9
2014-03-27 09:42:09.115224	42837	52	2	8
2014-03-27 09:42:09.348589	42838	21.3	1	8
2014-03-27 09:42:23.292689	42839	54	2	1
2014-03-27 09:42:23.51588	42840	20.9	1	1
2014-03-27 09:42:32.491344	42841	531	3	2
2014-03-27 09:42:32.724317	42842	1093688.6160614488	4	2
2014-03-27 09:42:36.913123	42843	42	2	10
2014-03-27 09:42:37.135787	42844	22.7	1	10
2014-03-27 09:42:44.492278	42845	482	3	2
2014-03-27 09:42:44.724963	42846	1093689.7650961701	4	2
2014-03-27 09:42:47.030661	42847	52	2	9
2014-03-27 09:42:47.25481	42848	21.3	1	9
2014-03-27 09:42:48.115871	42849	51	2	8
2014-03-27 09:42:48.349916	42850	21.3	1	8
2014-03-27 09:42:56.491598	42851	498	3	2
2014-03-27 09:42:56.761649	42852	1093692.063165613	4	2
2014-03-27 09:43:02.325068	42853	54	2	1
2014-03-27 09:43:02.601596	42854	20.9	1	1
2014-03-27 09:43:15.913292	42855	42	2	10
2014-03-27 09:43:16.175914	42856	22.7	1	10
2014-03-27 09:43:26.029351	42857	52	2	9
2014-03-27 09:43:26.306567	42858	21.3	1	9
2014-03-27 09:43:27.116089	42859	51	2	8
2014-03-27 09:43:27.372866	42860	21.3	1	8
2014-03-27 09:43:32.491885	42861	482	3	2
2014-03-27 09:43:32.739545	42862	1093696.6593044987	4	2
2014-03-27 09:43:41.288785	42863	54	2	1
2014-03-27 09:43:41.516299	42864	20.9	1	1
2014-03-27 09:43:54.91342	42865	42	2	10
2014-03-27 09:43:55.145942	42866	22.7	1	10
2014-03-27 09:44:05.03013	42867	52	2	9
2014-03-27 09:44:05.255895	42868	21.3	1	9
2014-03-27 09:44:06.115732	42869	51	2	8
2014-03-27 09:44:06.363494	42870	21.3	1	8
2014-03-27 09:44:20.290026	42871	54	2	1
2014-03-27 09:44:20.515194	42872	20.9	1	1
2014-03-27 09:44:32.491013	42873	482	3	2
2014-03-27 09:44:32.724051	42874	1093704.7025475486	4	2
2014-03-27 09:44:34.123862	42875	42	2	10
2014-03-27 09:44:34.345302	42876	22.7	1	10
2014-03-27 09:44:44.030149	42877	52	2	9
2014-03-27 09:44:44.261633	42878	21.3	1	9
2014-03-27 09:44:44.571102	42879	418	3	2
2014-03-27 09:44:44.79334	42880	1093705.85158227	4	2
2014-03-27 09:44:45.113802	42881	51	2	8
2014-03-27 09:44:45.345204	42882	21.3	1	8
2014-03-27 09:44:56.491766	42883	434	3	2
2014-03-27 09:44:56.719843	42884	1093708.1496517127	4	2
2014-03-27 09:44:59.292048	42885	54	2	1
2014-03-27 09:44:59.529245	42886	20.9	1	1
2014-03-27 09:45:12.913978	42887	42	2	10
2014-03-27 09:45:13.140518	42888	22.7	1	10
2014-03-27 09:45:23.028483	42889	52	2	9
2014-03-27 09:45:23.260201	42890	21.3	1	9
2014-03-27 09:45:24.115673	42891	51	2	8
2014-03-27 09:45:24.336744	42892	21.3	1	8
2014-03-27 09:45:32.491106	42893	418	3	2
2014-03-27 09:45:32.723875	42894	1093711.5967558771	4	2
2014-03-27 09:45:38.287911	42895	54	2	1
2014-03-27 09:45:38.509703	42896	20.9	1	1
2014-03-27 09:45:44.490821	42897	450	3	2
2014-03-27 09:45:44.722473	42898	1093713.89482532	4	2
2014-03-27 09:45:51.915492	42899	42	2	10
2014-03-27 09:45:52.137381	42900	22.7	1	10
2014-03-27 09:45:56.489241	42901	434	3	2
2014-03-27 09:45:56.723445	42902	1093715.0438600413	4	2
2014-03-27 09:46:02.030779	42903	52	2	9
2014-03-27 09:46:02.253597	42904	21.3	1	9
2014-03-27 09:46:03.115203	42905	51	2	8
2014-03-27 09:46:03.345559	42906	21.3	1	8
2014-03-27 09:46:17.288079	42907	54	2	1
2014-03-27 09:46:17.510154	42908	20.9	1	1
2014-03-27 09:46:30.914247	42909	42	2	10
2014-03-27 09:46:31.147417	42910	22.7	1	10
2014-03-27 09:46:32.490419	42911	418	3	2
2014-03-27 09:46:32.713096	42912	1093719.639998927	4	2
2014-03-27 09:46:41.031912	42913	52	2	9
2014-03-27 09:46:41.269824	42914	21.3	1	9
2014-03-27 09:46:42.11566	42915	51	2	8
2014-03-27 09:46:42.33697	42916	21.3	1	8
2014-03-27 09:46:56.284829	42917	54	2	1
2014-03-27 09:46:56.528307	42918	20.9	1	1
2014-03-27 09:47:09.914779	42919	42	2	10
2014-03-27 09:47:10.139486	42920	22.7	1	10
2014-03-27 09:47:20.03052	42921	52	2	9
2014-03-27 09:47:20.265199	42922	21.3	1	9
2014-03-27 09:47:20.572366	42923	450	3	2
2014-03-27 09:47:20.795381	42924	1093725.385172534	4	2
2014-03-27 09:47:21.117479	42925	51	2	8
2014-03-27 09:47:21.35065	42926	21.3	1	8
2014-03-27 09:47:32.492159	42927	434	3	2
2014-03-27 09:47:32.714974	42928	1093726.5342072556	4	2
2014-03-27 09:47:35.287326	42929	54	2	1
2014-03-27 09:47:35.518983	42930	20.9	1	1
2014-03-27 09:47:48.913378	42931	42	2	10
2014-03-27 09:47:49.139943	42932	22.7	1	10
2014-03-27 09:47:59.029583	42933	52	2	9
2014-03-27 09:47:59.264376	42934	21.3	1	9
2014-03-27 09:48:00.116187	42935	51	2	8
2014-03-27 09:48:00.341835	42936	21.3	1	8
2014-03-27 09:48:14.287033	42937	54	2	1
2014-03-27 09:48:14.518668	42938	20.9	1	1
2014-03-27 09:48:27.915185	42939	42	2	10
2014-03-27 09:48:28.138947	42940	22.7	1	10
2014-03-27 09:48:32.48987	42941	434	3	2
2014-03-27 09:48:32.723245	42942	1093733.428415584	4	2
2014-03-27 09:48:38.030205	42943	52	2	9
2014-03-27 09:48:38.25149	42944	21.3	1	9
2014-03-27 09:48:39.115204	42945	51	2	8
2014-03-27 09:48:39.347092	42946	21.3	1	8
2014-03-27 09:48:53.290409	42947	54	2	1
2014-03-27 09:48:53.515172	42948	20.9	1	1
2014-03-27 09:49:06.915643	42949	42	2	10
2014-03-27 09:49:07.148571	42950	22.7	1	10
2014-03-27 09:49:08.492741	42951	402	3	2
2014-03-27 09:49:08.714017	42952	1093738.0245544696	4	2
2014-03-27 09:49:17.029412	42953	52	2	9
2014-03-27 09:49:17.261371	42954	21.3	1	9
2014-03-27 09:49:18.115271	42955	51	2	8
2014-03-27 09:49:18.336383	42956	21.3	1	8
2014-03-27 09:49:20.490203	42957	466	3	2
2014-03-27 09:49:20.721308	42958	1093739.173589191	4	2
2014-03-27 09:49:32.284443	42959	54	2	1
2014-03-27 09:49:32.507682	42960	20.9	1	1
2014-03-27 09:49:45.915288	42961	42	2	10
2014-03-27 09:49:46.14632	42962	22.7	1	10
2014-03-27 09:49:56.030237	42963	52	2	9
2014-03-27 09:49:56.251	42964	21.3	1	9
2014-03-27 09:49:57.113972	42965	51	2	8
2014-03-27 09:49:57.35822	42966	21.3	1	8
2014-03-27 09:50:11.286932	42967	54	2	1
2014-03-27 09:50:11.509715	42968	20.9	1	1
2014-03-27 09:50:24.915247	42969	42	2	10
2014-03-27 09:50:25.147559	42970	22.7	1	10
2014-03-27 09:50:32.489593	42971	434	3	2
2014-03-27 09:50:32.714631	42972	1093748.3658669624	4	2
2014-03-27 09:50:35.030577	42973	52	2	9
2014-03-27 09:50:35.261633	42974	21.3	1	9
2014-03-27 09:50:36.114923	42975	51	2	8
2014-03-27 09:50:36.33931	42976	21.3	1	8
2014-03-27 09:50:44.491906	42977	466	3	2
2014-03-27 09:50:44.72402	42978	1093749.5149016837	4	2
2014-03-27 09:50:50.282262	42979	54	2	1
2014-03-27 09:50:50.505088	42980	20.9	1	1
2014-03-27 09:50:56.490273	42981	466	3	2
2014-03-27 09:50:56.723812	42982	1093751.8129711265	4	2
2014-03-27 09:51:03.916914	42983	42	2	10
2014-03-27 09:51:04.141148	42984	22.7	1	10
2014-03-27 09:51:14.029538	42985	52	2	9
2014-03-27 09:51:14.262578	42986	21.3	1	9
2014-03-27 09:51:15.114592	42987	51	2	8
2014-03-27 09:51:15.357695	42988	21.3	1	8
2014-03-27 09:51:29.282818	42989	54	2	1
2014-03-27 09:51:29.515449	42990	20.9	1	1
2014-03-27 09:51:32.490189	42991	466	3	2
2014-03-27 09:51:32.713223	42992	1093756.4091100122	4	2
2014-03-27 09:51:42.91694	42993	42	2	10
2014-03-27 09:51:43.15316	42994	22.7	1	10
2014-03-27 09:51:53.031513	42995	52	2	9
2014-03-27 09:51:53.256684	42996	21.3	1	9
2014-03-27 09:51:54.114992	42997	51	2	8
2014-03-27 09:51:54.345561	42998	21.3	1	8
2014-03-27 09:52:08.282514	42999	54	2	1
2014-03-27 09:52:08.506343	43000	20.9	1	1
2014-03-27 09:52:20.489686	43001	434	3	2
2014-03-27 09:52:20.723751	43002	1093762.1542836193	4	2
2014-03-27 09:52:21.916452	43003	42	2	10
2014-03-27 09:52:22.140491	43004	22.7	1	10
2014-03-27 09:52:32.034736	43005	52	2	9
2014-03-27 09:52:32.269763	43006	21.3	1	9
2014-03-27 09:52:32.577708	43007	434	3	2
2014-03-27 09:52:32.801766	43008	1093764.452353062	4	2
2014-03-27 09:52:33.116257	43009	51	2	8
2014-03-27 09:52:33.350739	43010	21.3	1	8
2014-03-27 09:52:44.491646	43011	482	3	2
2014-03-27 09:52:44.716156	43012	1093765.6013877837	4	2
2014-03-27 09:52:47.283326	43013	54	2	1
2014-03-27 09:52:47.524631	43014	20.9	1	1
2014-03-27 09:52:56.490419	43015	466	3	2
2014-03-27 09:52:56.713565	43016	1093766.750422505	4	2
2014-03-27 09:53:00.915487	43017	42	2	10
2014-03-27 09:53:01.147507	43018	22.7	1	10
2014-03-27 09:53:11.030557	43019	52	2	9
2014-03-27 09:53:11.253706	43020	21.3	1	9
2014-03-27 09:53:12.113969	43021	51	2	8
2014-03-27 09:53:12.346676	43022	21.3	1	8
2014-03-27 09:53:26.282945	43023	54	2	1
2014-03-27 09:53:26.504377	43024	20.9	1	1
2014-03-27 09:53:32.491618	43025	450	3	2
2014-03-27 09:53:32.723617	43026	1093771.3465613907	4	2
2014-03-27 09:53:39.917075	43027	42	2	10
2014-03-27 09:53:40.140157	43028	22.7	1	10
2014-03-27 09:53:50.030148	43029	51	2	9
2014-03-27 09:53:50.261537	43030	21.3	1	9
2014-03-27 09:53:51.114514	43031	51	2	8
2014-03-27 09:53:51.33972	43032	21.3	1	8
2014-03-27 09:54:05.281058	43033	54	2	1
2014-03-27 09:54:05.516118	43034	20.9	1	1
2014-03-27 09:54:18.915672	43035	42	2	10
2014-03-27 09:54:19.13703	43036	22.7	1	10
2014-03-27 09:54:29.029793	43037	51	2	9
2014-03-27 09:54:29.261866	43038	21.3	1	9
2014-03-27 09:54:30.118177	43039	51	2	8
2014-03-27 09:54:30.341952	43040	21.3	1	8
2014-03-27 09:54:32.49095	43041	434	3	2
2014-03-27 09:54:32.724426	43042	1093779.3898044406	4	2
2014-03-27 09:54:44.318681	43043	54	2	1
2014-03-27 09:54:44.543613	43044	20.9	1	1
2014-03-27 09:54:57.915529	43045	42	2	10
2014-03-27 09:54:58.147062	43046	22.7	1	10
2014-03-27 09:55:08.030466	43047	51	2	9
2014-03-27 09:55:08.252378	43048	21.3	1	9
2014-03-27 09:55:09.114392	43049	51	2	8
2014-03-27 09:55:09.346788	43050	21.3	1	8
2014-03-27 09:55:23.282806	43051	54	2	1
2014-03-27 09:55:23.511636	43052	20.9	1	1
2014-03-27 09:55:36.719337	43053	434	3	2
2014-03-27 09:55:36.951877	43054	1093787.4330474904	4	2
2014-03-27 09:55:37.256546	43055	42	2	10
2014-03-27 09:55:37.477217	43056	22.7	1	10
2014-03-27 09:55:47.030489	43057	51	2	9
2014-03-27 09:55:47.269985	43058	21.3	1	9
2014-03-27 09:55:48.133337	43059	51	2	8
2014-03-27 09:55:48.354982	43060	21.3	1	8
2014-03-27 09:56:02.520645	43061	54	2	1
2014-03-27 09:56:02.765227	43062	20.9	1	1
2014-03-27 09:56:15.917796	43063	42	2	10
2014-03-27 09:56:16.142277	43064	22.7	1	10
2014-03-27 09:56:26.029586	43065	51	2	9
2014-03-27 09:56:26.263616	43066	21.3	1	9
2014-03-27 09:56:27.115337	43067	51	2	8
2014-03-27 09:56:27.343867	43068	21.3	1	8
2014-03-27 09:56:32.489477	43069	418	3	2
2014-03-27 09:56:32.722314	43070	1093794.327255819	4	2
2014-03-27 09:56:41.283022	43071	54	2	1
2014-03-27 09:56:41.504751	43072	20.9	1	1
2014-03-27 09:56:54.920742	43073	42	2	10
2014-03-27 09:56:55.15398	43074	22.7	1	10
2014-03-27 09:57:05.032532	43075	51	2	9
2014-03-27 09:57:05.256376	43076	21.3	1	9
2014-03-27 09:57:06.114995	43077	51	2	8
2014-03-27 09:57:06.345297	43078	21.3	1	8
2014-03-27 09:57:20.314158	43079	54	2	1
2014-03-27 09:57:20.538953	43080	20.9	1	1
2014-03-27 09:57:32.488684	43081	434	3	2
2014-03-27 09:57:32.721363	43082	1093800.0769003783	4	2
2014-03-27 09:57:33.918166	43083	42	2	10
2014-03-27 09:57:34.143043	43084	22.7	1	10
2014-03-27 09:57:44.029752	43085	51	2	9
2014-03-27 09:57:44.264502	43086	21.3	1	9
2014-03-27 09:57:45.115851	43087	51	2	8
2014-03-27 09:57:45.338861	43088	21.3	1	8
2014-03-27 09:57:56.489608	43089	402	3	2
2014-03-27 09:57:56.722166	43090	1093803.5240045425	4	2
2014-03-27 09:57:59.280607	43091	54	2	1
2014-03-27 09:57:59.502891	43092	20.9	1	1
2014-03-27 09:58:08.487425	43093	370	3	2
2014-03-27 09:58:08.719659	43094	1093804.6730392638	4	2
2014-03-27 09:58:12.917749	43095	42	2	10
2014-03-27 09:58:13.142398	43096	22.7	1	10
2014-03-27 09:58:20.486457	43097	402	3	2
2014-03-27 09:58:20.717876	43098	1093805.8220739854	4	2
2014-03-27 09:58:23.030436	43099	51	2	9
2014-03-27 09:58:23.262523	43100	21.3	1	9
2014-03-27 09:58:24.114739	43101	51	2	8
2014-03-27 09:58:24.347381	43102	21.3	1	8
2014-03-27 09:58:32.486687	43103	402	3	2
2014-03-27 09:58:32.709751	43104	1093806.9711087067	4	2
2014-03-27 09:58:38.284799	43105	54	2	1
2014-03-27 09:58:38.517917	43106	20.9	1	1
2014-03-27 09:58:51.918061	43107	42	2	10
2014-03-27 09:58:52.143832	43108	22.7	1	10
2014-03-27 09:59:02.030413	43109	51	2	9
2014-03-27 09:59:02.274846	43110	21.3	1	9
2014-03-27 09:59:03.114693	43111	51	2	8
2014-03-27 09:59:03.337853	43112	21.2	1	8
2014-03-27 09:59:17.281343	43113	54	2	1
2014-03-27 09:59:17.51677	43114	20.9	1	1
2014-03-27 09:59:30.917257	43115	42	2	10
2014-03-27 09:59:31.139518	43116	22.7	1	10
2014-03-27 09:59:32.491322	43117	402	3	2
2014-03-27 09:59:32.723804	43118	1093813.8653170352	4	2
2014-03-27 09:59:41.030688	43119	51	2	9
2014-03-27 09:59:41.253591	43120	21.3	1	9
2014-03-27 09:59:42.11495	43121	51	2	8
2014-03-27 09:59:42.346431	43122	21.2	1	8
2014-03-27 09:59:56.279962	43123	54	2	1
2014-03-27 09:59:56.50471	43124	20.9	1	1
2014-03-27 10:00:09.917985	43125	42	2	10
2014-03-27 10:00:10.149372	43126	22.7	1	10
2014-03-27 10:00:20.029352	43127	51	2	9
2014-03-27 10:00:20.250909	43128	21.3	1	9
2014-03-27 10:00:21.114331	43129	51	2	8
2014-03-27 10:00:21.345228	43130	21.2	1	8
2014-03-27 10:00:32.488024	43131	434	3	2
2014-03-27 10:00:32.712293	43132	1093820.7595253638	4	2
2014-03-27 10:00:35.277022	43133	54	2	1
2014-03-27 10:00:35.508812	43134	20.9	1	1
2014-03-27 10:00:44.48886	43135	434	3	2
2014-03-27 10:00:44.715012	43136	1093821.908560085	4	2
2014-03-27 10:00:48.918664	43137	42	2	10
2014-03-27 10:00:49.151396	43138	22.7	1	10
2014-03-27 10:00:59.029695	43139	51	2	9
2014-03-27 10:00:59.251788	43140	21.2	1	9
2014-03-27 10:01:00.113476	43141	51	2	8
2014-03-27 10:01:00.34888	43142	21.2	1	8
2014-03-27 10:01:14.313135	43143	54	2	1
2014-03-27 10:01:14.538257	43144	20.9	1	1
2014-03-27 10:01:27.918627	43145	42	2	10
2014-03-27 10:01:28.150138	43146	22.7	1	10
2014-03-27 10:01:32.486649	43147	482	3	2
2014-03-27 10:01:32.708649	43148	1093827.6537336921	4	2
2014-03-27 10:01:38.029196	43149	51	2	9
2014-03-27 10:01:38.262055	43150	21.2	1	9
2014-03-27 10:01:39.114165	43151	51	2	8
2014-03-27 10:01:39.336396	43152	21.2	1	8
2014-03-27 10:01:44.487188	43153	466	3	2
2014-03-27 10:01:44.717656	43154	1093829.951803135	4	2
2014-03-27 10:01:53.31369	43155	54	2	1
2014-03-27 10:01:53.537501	43156	20.9	1	1
2014-03-27 10:02:06.919073	43157	42	2	10
2014-03-27 10:02:07.162489	43158	22.7	1	10
2014-03-27 10:02:17.029154	43159	51	2	9
2014-03-27 10:02:17.250878	43160	21.2	1	9
2014-03-27 10:02:18.113118	43161	51	2	8
2014-03-27 10:02:18.399388	43162	21.2	1	8
2014-03-27 10:02:32.276837	43163	54	2	1
2014-03-27 10:02:32.497424	43164	20.9	1	1
2014-03-27 10:02:45.917873	43165	42	2	10
2014-03-27 10:02:46.153082	43166	22.7	1	10
2014-03-27 10:02:56.031429	43167	51	2	9
2014-03-27 10:02:56.253544	43168	21.2	1	9
2014-03-27 10:02:57.114689	43169	51	2	8
2014-03-27 10:02:57.347014	43170	21.2	1	8
2014-03-27 10:03:11.278557	43171	54	2	1
2014-03-27 10:03:11.501772	43172	20.9	1	1
2014-03-27 10:03:25.125008	43173	42	2	10
2014-03-27 10:03:25.355787	43174	22.7	1	10
2014-03-27 10:03:34.830477	43175	434	3	2
2014-03-27 10:03:35.055021	43176	1093843.7402197921	4	2
2014-03-27 10:03:35.359946	43177	51	2	9
2014-03-27 10:03:35.594038	43178	21.2	1	9
2014-03-27 10:03:36.114642	43179	51	2	8
2014-03-27 10:03:36.338057	43180	21.2	1	8
2014-03-27 10:03:44.486562	43181	450	3	2
2014-03-27 10:03:44.718841	43182	1093844.8892545134	4	2
2014-03-27 10:03:50.275144	43183	54	2	1
2014-03-27 10:03:50.496577	43184	20.9	1	1
2014-03-27 10:04:03.919	43185	42	2	10
2014-03-27 10:04:04.153128	43186	22.7	1	10
2014-03-27 10:04:14.029293	43187	51	2	9
2014-03-27 10:04:14.249168	43188	21.2	1	9
2014-03-27 10:04:15.113935	43189	51	2	8
2014-03-27 10:04:15.346402	43190	21.2	1	8
2014-03-27 10:04:29.272913	43191	54	2	1
2014-03-27 10:04:29.496436	43192	20.9	1	1
2014-03-27 10:04:32.489672	43193	466	3	2
2014-03-27 10:04:32.722936	43194	1093851.783462842	4	2
2014-03-27 10:04:42.919473	43195	42	2	10
2014-03-27 10:04:43.141492	43196	22.7	1	10
2014-03-27 10:04:53.029017	43197	51	2	9
2014-03-27 10:04:53.260459	43198	21.2	1	9
2014-03-27 10:04:54.113057	43199	51	2	8
2014-03-27 10:04:54.336205	43200	21.2	1	8
2014-03-27 10:05:08.279547	43201	54	2	1
2014-03-27 10:05:08.534672	43202	20.9	1	1
2014-03-27 10:05:21.91981	43203	42	2	10
2014-03-27 10:05:22.142647	43204	22.7	1	10
2014-03-27 10:05:32.029162	43205	51	2	9
2014-03-27 10:05:32.273427	43206	21.2	1	9
2014-03-27 10:05:32.582657	43207	450	3	2
2014-03-27 10:05:32.805888	43208	1093858.6776711703	4	2
2014-03-27 10:05:33.115164	43209	51	2	8
2014-03-27 10:05:33.345307	43210	21.2	1	8
2014-03-27 10:05:47.275052	43211	54	2	1
2014-03-27 10:05:47.500742	43212	20.9	1	1
2014-03-27 10:06:00.920569	43213	42	2	10
2014-03-27 10:06:01.153562	43214	22.7	1	10
2014-03-27 10:06:11.029562	43215	51	2	9
2014-03-27 10:06:11.251951	43216	21.2	1	9
2014-03-27 10:06:12.115304	43217	51	2	8
2014-03-27 10:06:12.346528	43218	21.2	1	8
2014-03-27 10:06:26.274343	43219	54	2	1
2014-03-27 10:06:26.497288	43220	20.9	1	1
2014-03-27 10:06:32.489122	43221	434	3	2
2014-03-27 10:06:32.724531	43222	1093866.7209142204	4	2
2014-03-27 10:06:39.91954	43223	42	2	10
2014-03-27 10:06:40.143032	43224	22.7	1	10
2014-03-27 10:06:50.028423	43225	51	2	9
2014-03-27 10:06:50.260428	43226	21.2	1	9
2014-03-27 10:06:51.113703	43227	51	2	8
2014-03-27 10:06:51.336031	43228	21.2	1	8
2014-03-27 10:06:56.488296	43229	402	3	2
2014-03-27 10:06:56.720707	43230	1093869.018983663	4	2
2014-03-27 10:07:05.277384	43231	54	2	1
2014-03-27 10:07:05.501679	43232	20.9	1	1
2014-03-27 10:07:08.48921	43233	418	3	2
2014-03-27 10:07:08.723289	43234	1093871.317053106	4	2
2014-03-27 10:07:18.921548	43235	42	2	10
2014-03-27 10:07:19.143697	43236	22.6	1	10
2014-03-27 10:07:29.02892	43237	51	2	9
2014-03-27 10:07:29.26115	43238	21.2	1	9
2014-03-27 10:07:30.115607	43239	51	2	8
2014-03-27 10:07:30.337161	43240	21.2	1	8
2014-03-27 10:07:32.491217	43241	418	3	2
2014-03-27 10:07:32.72271	43242	1093873.6151225488	4	2
2014-03-27 10:07:44.275796	43243	54	2	1
2014-03-27 10:07:44.500655	43244	20.9	1	1
2014-03-27 10:07:57.923729	43245	42	2	10
2014-03-27 10:07:58.157278	43246	22.6	1	10
2014-03-27 10:08:08.030428	43247	51	2	9
2014-03-27 10:08:08.252933	43248	21.2	1	9
2014-03-27 10:08:09.116671	43249	51	2	8
2014-03-27 10:08:09.348737	43250	21.2	1	8
2014-03-27 10:08:23.276071	43251	54	2	1
2014-03-27 10:08:23.503789	43252	20.9	1	1
2014-03-27 10:08:32.487325	43253	418	3	2
2014-03-27 10:08:32.729963	43254	1093880.5093308773	4	2
2014-03-27 10:08:36.921899	43255	42	2	10
2014-03-27 10:08:37.145906	43256	22.6	1	10
2014-03-27 10:08:47.030159	43257	51	2	9
2014-03-27 10:08:47.2662	43258	21.2	1	9
2014-03-27 10:08:48.11675	43259	51	2	8
2014-03-27 10:08:48.336607	43260	21.2	1	8
2014-03-27 10:09:02.277451	43261	54	2	1
2014-03-27 10:09:02.507612	43262	20.9	1	1
2014-03-27 10:09:15.919952	43263	42	2	10
2014-03-27 10:09:16.144464	43264	22.6	1	10
2014-03-27 10:09:26.030854	43265	51	2	9
2014-03-27 10:09:26.266392	43266	21.2	1	9
2014-03-27 10:09:27.114044	43267	51	2	8
2014-03-27 10:09:27.336715	43268	21.2	1	8
2014-03-27 10:09:32.488672	43269	418	3	2
2014-03-27 10:09:32.720367	43270	1093887.403539206	4	2
2014-03-27 10:09:41.272184	43271	54	2	1
2014-03-27 10:09:41.493965	43272	20.9	1	1
2014-03-27 10:09:54.919875	43273	42	2	10
2014-03-27 10:09:55.153654	43274	22.6	1	10
2014-03-27 10:10:05.029223	43275	51	2	9
2014-03-27 10:10:05.251975	43276	21.2	1	9
2014-03-27 10:10:06.114709	43277	51	2	8
2014-03-27 10:10:06.346046	43278	21.2	1	8
2014-03-27 10:10:20.275218	43279	54	2	1
2014-03-27 10:10:20.498795	43280	20.9	1	1
2014-03-27 10:10:32.490582	43281	402	3	2
2014-03-27 10:10:32.723846	43282	1093894.2977475342	4	2
2014-03-27 10:10:33.920527	43283	42	2	10
2014-03-27 10:10:34.143416	43284	22.6	1	10
2014-03-27 10:10:44.034417	43285	51	2	9
2014-03-27 10:10:44.28577	43286	21.2	1	9
2014-03-27 10:10:45.115204	43287	51	2	8
2014-03-27 10:10:45.33657	43288	21.2	1	8
2014-03-27 10:10:59.273916	43289	54	2	1
2014-03-27 10:10:59.505336	43290	20.9	1	1
2014-03-27 10:11:12.921726	43291	42	2	10
2014-03-27 10:11:13.144344	43292	22.6	1	10
2014-03-27 10:11:23.234768	43293	51	2	9
2014-03-27 10:11:23.467413	43294	21.2	1	9
2014-03-27 10:11:24.123868	43295	51	2	8
2014-03-27 10:11:24.347481	43296	21.2	1	8
2014-03-27 10:11:32.486076	43297	402	3	2
2014-03-27 10:11:32.720747	43298	1093901.1919558628	4	2
2014-03-27 10:11:38.272456	43299	54	2	1
2014-03-27 10:11:38.494728	43300	20.9	1	1
2014-03-27 10:11:51.919961	43301	42	2	10
2014-03-27 10:11:52.163345	43302	22.6	1	10
2014-03-27 10:12:02.028828	43303	51	2	9
2014-03-27 10:12:02.251329	43304	21.2	1	9
2014-03-27 10:12:03.114022	43305	51	2	8
2014-03-27 10:12:03.533065	43306	21.2	1	8
2014-03-27 10:12:08.489444	43307	498	3	2
2014-03-27 10:12:08.709636	43308	1093904.639060027	4	2
2014-03-27 10:12:17.269922	43309	54	2	1
2014-03-27 10:12:17.48992	43310	20.9	1	1
2014-03-27 10:12:20.48769	43311	482	3	2
2014-03-27 10:12:20.716969	43312	1093906.9371294698	4	2
2014-03-27 10:12:30.923796	43313	42	2	10
2014-03-27 10:12:31.144944	43314	22.6	1	10
2014-03-27 10:12:32.489534	43315	482	3	2
2014-03-27 10:12:32.720191	43316	1093908.0861641914	4	2
2014-03-27 10:12:41.028031	43317	51	2	9
2014-03-27 10:12:41.25112	43318	21.2	1	9
2014-03-27 10:12:42.112668	43319	51	2	8
2014-03-27 10:12:42.343577	43320	21.2	1	8
2014-03-27 10:12:56.273103	43321	54	2	1
2014-03-27 10:12:56.493401	43322	20.9	1	1
2014-03-27 10:13:09.921697	43323	42	2	10
2014-03-27 10:13:10.152856	43324	22.6	1	10
2014-03-27 10:13:20.029753	43325	51	2	9
2014-03-27 10:13:20.251471	43326	21.2	1	9
2014-03-27 10:13:21.113978	43327	51	2	8
2014-03-27 10:13:21.343424	43328	21.2	1	8
2014-03-27 10:13:32.486651	43329	482	3	2
2014-03-27 10:13:32.708188	43330	1093916.1294072412	4	2
2014-03-27 10:13:35.271847	43331	54	2	1
2014-03-27 10:13:35.501578	43332	20.9	1	1
2014-03-27 10:13:44.488671	43333	531	3	2
2014-03-27 10:13:44.710476	43334	1093918.427476684	4	2
2014-03-27 10:13:48.920964	43335	42	2	10
2014-03-27 10:13:49.153507	43336	22.6	1	10
2014-03-27 10:13:56.48562	43337	531	3	2
2014-03-27 10:13:56.707453	43338	1093919.5765114054	4	2
2014-03-27 10:13:59.029016	43339	51	2	9
2014-03-27 10:13:59.262968	43340	21.2	1	9
2014-03-27 10:14:00.115618	43341	51	2	8
2014-03-27 10:14:00.335933	43342	21.2	1	8
2014-03-27 10:14:14.270115	43343	54	2	1
2014-03-27 10:14:14.501398	43344	20.9	1	1
2014-03-27 10:14:27.921192	43345	42	2	10
2014-03-27 10:14:28.144629	43346	22.6	1	10
2014-03-27 10:14:32.487108	43347	531	3	2
2014-03-27 10:14:32.721674	43348	1093925.3216850124	4	2
2014-03-27 10:14:38.028879	43349	51	2	9
2014-03-27 10:14:38.252478	43350	21.2	1	9
2014-03-27 10:14:39.112499	43351	51	2	8
2014-03-27 10:14:39.356434	43352	21.3	1	8
2014-03-27 10:14:53.273756	43353	54	2	1
2014-03-27 10:14:53.494369	43354	20.9	1	1
2014-03-27 10:15:06.92079	43355	42	2	10
2014-03-27 10:15:07.153177	43356	22.6	1	10
2014-03-27 10:15:17.028601	43357	51	2	9
2014-03-27 10:15:17.249713	43358	21.2	1	9
2014-03-27 10:15:18.114676	43359	50	2	8
2014-03-27 10:15:18.346308	43360	21.3	1	8
2014-03-27 10:15:32.270463	43361	54	2	1
2014-03-27 10:15:32.493176	43362	20.9	1	1
2014-03-27 10:15:44.484581	43363	595	3	2
2014-03-27 10:15:44.718596	43364	1093936.8120322267	4	2
2014-03-27 10:15:45.921708	43365	42	2	10
2014-03-27 10:15:46.142791	43366	22.6	1	10
2014-03-27 10:15:56.028511	43367	51	2	9
2014-03-27 10:15:56.258236	43368	21.2	1	9
2014-03-27 10:15:56.565645	43369	450	3	2
2014-03-27 10:15:56.786192	43370	1093937.961066948	4	2
2014-03-27 10:15:57.113482	43371	50	2	8
2014-03-27 10:15:57.344901	43372	21.3	1	8
2014-03-27 10:16:08.487705	43373	434	3	2
2014-03-27 10:16:08.711146	43374	1093939.1101016696	4	2
2014-03-27 10:16:11.30241	43375	54	2	1
2014-03-27 10:16:11.535629	43376	20.9	1	1
2014-03-27 10:16:24.922279	43377	42	2	10
2014-03-27 10:16:25.14505	43378	22.6	1	10
2014-03-27 10:16:32.484349	43379	450	3	2
2014-03-27 10:16:32.719615	43380	1093942.5572058337	4	2
2014-03-27 10:16:35.02883	43381	51	2	9
2014-03-27 10:16:35.252601	43382	21.2	1	9
2014-03-27 10:16:36.114477	43383	50	2	8
2014-03-27 10:16:36.345931	43384	21.3	1	8
2014-03-27 10:16:50.270098	43385	54	2	1
2014-03-27 10:16:50.490799	43386	20.8	1	1
2014-03-27 10:17:03.921386	43387	42	2	10
2014-03-27 10:17:04.153077	43388	22.6	1	10
2014-03-27 10:17:14.238469	43389	51	2	9
2014-03-27 10:17:14.460086	43390	21.2	1	9
2014-03-27 10:17:15.113649	43391	50	2	8
2014-03-27 10:17:15.344518	43392	21.3	1	8
2014-03-27 10:17:29.269086	43393	54	2	1
2014-03-27 10:17:29.489601	43394	20.8	1	1
2014-03-27 10:17:32.485452	43395	434	3	2
2014-03-27 10:17:32.717941	43396	1093949.4514141623	4	2
2014-03-27 10:17:42.923962	43397	42	2	10
2014-03-27 10:17:43.147421	43398	22.6	1	10
2014-03-27 10:17:53.028761	43399	51	2	9
2014-03-27 10:17:53.272136	43400	21.2	1	9
2014-03-27 10:17:54.11339	43401	50	2	8
2014-03-27 10:17:54.33379	43402	21.3	1	8
2014-03-27 10:18:08.266776	43403	54	2	1
2014-03-27 10:18:08.498741	43404	20.8	1	1
2014-03-27 10:18:21.924457	43405	42	2	10
2014-03-27 10:18:22.145085	43406	22.6	1	10
2014-03-27 10:18:32.030581	43407	51	2	9
2014-03-27 10:18:32.261897	43408	21.2	1	9
2014-03-27 10:18:32.566368	43409	450	3	2
2014-03-27 10:18:32.787465	43410	1093957.4946572122	4	2
2014-03-27 10:18:33.113655	43411	50	2	8
2014-03-27 10:18:33.344006	43412	21.3	1	8
2014-03-27 10:18:47.270481	43413	54	2	1
2014-03-27 10:18:47.491056	43414	20.8	1	1
2014-03-27 10:19:00.922994	43415	42	2	10
2014-03-27 10:19:01.15426	43416	22.6	1	10
2014-03-27 10:19:11.239081	43417	51	2	9
2014-03-27 10:19:11.460108	43418	21.2	1	9
2014-03-27 10:19:12.116409	43419	50	2	8
2014-03-27 10:19:12.346757	43420	21.3	1	8
2014-03-27 10:19:26.267123	43421	54	2	1
2014-03-27 10:19:26.490398	43422	20.8	1	1
2014-03-27 10:19:32.487216	43423	450	3	2
2014-03-27 10:19:32.718472	43424	1093964.3888655405	4	2
2014-03-27 10:19:39.922379	43425	42	2	10
2014-03-27 10:19:40.144553	43426	22.6	1	10
2014-03-27 10:19:50.028179	43427	51	2	9
2014-03-27 10:19:50.261638	43428	21.2	1	9
2014-03-27 10:19:51.114041	43429	50	2	8
2014-03-27 10:19:51.3364	43430	21.2	1	8
2014-03-27 10:20:05.265727	43431	54	2	1
2014-03-27 10:20:05.498264	43432	20.8	1	1
2014-03-27 10:20:18.975633	43433	42	2	10
2014-03-27 10:20:19.197304	43434	22.5	1	10
2014-03-27 10:20:29.027703	43435	51	2	9
2014-03-27 10:20:29.259492	43436	21.1	1	9
2014-03-27 10:20:30.113861	43437	50	2	8
2014-03-27 10:20:30.335925	43438	21.2	1	8
2014-03-27 10:20:32.486674	43439	434	3	2
2014-03-27 10:20:32.7174	43440	1093972.4321085906	4	2
2014-03-27 10:20:44.2638	43441	54	2	1
2014-03-27 10:20:44.486175	43442	20.8	1	1
2014-03-27 10:20:57.923048	43443	42	2	10
2014-03-27 10:20:58.153948	43444	22.5	1	10
2014-03-27 10:21:08.02748	43445	51	2	9
2014-03-27 10:21:08.249353	43446	21.1	1	9
2014-03-27 10:21:08.559454	43447	498	3	2
2014-03-27 10:21:08.803277	43448	1093977.028247476	4	2
2014-03-27 10:21:09.114217	43449	50	2	8
2014-03-27 10:21:09.33682	43450	21.2	1	8
2014-03-27 10:21:23.064092	43451	515	3	2
2014-03-27 10:21:23.296379	43452	1093978.1772821976	4	2
2014-03-27 10:21:23.602682	43453	54	2	1
2014-03-27 10:21:23.823034	43454	20.8	1	1
2014-03-27 10:21:32.486576	43455	498	3	2
2014-03-27 10:21:32.719707	43456	1093980.4753516405	4	2
2014-03-27 10:21:36.923488	43457	42	2	10
2014-03-27 10:21:37.14337	43458	22.5	1	10
2014-03-27 10:21:47.027923	43459	51	2	9
2014-03-27 10:21:47.259087	43460	21.1	1	9
2014-03-27 10:21:48.113641	43461	50	2	8
2014-03-27 10:21:48.334724	43462	21.2	1	8
2014-03-27 10:22:02.265797	43463	54	2	1
2014-03-27 10:22:02.496159	43464	20.8	1	1
2014-03-27 10:22:15.923824	43465	42	2	10
2014-03-27 10:22:16.146516	43466	22.5	1	10
2014-03-27 10:22:26.028788	43467	51	2	9
2014-03-27 10:22:26.260048	43468	21.1	1	9
2014-03-27 10:22:27.113709	43469	50	2	8
2014-03-27 10:22:27.334872	43470	21.2	1	8
2014-03-27 10:22:32.487401	43471	498	3	2
2014-03-27 10:22:32.719862	43472	1093988.5185946904	4	2
2014-03-27 10:22:41.389029	43473	54	2	1
2014-03-27 10:22:41.820056	43474	20.8	1	1
2014-03-27 10:22:55.053733	43475	42	2	10
2014-03-27 10:22:55.49002	43476	22.5	1	10
2014-03-27 10:23:05.154879	43477	51	2	9
2014-03-27 10:23:05.610075	43478	21.1	1	9
2014-03-27 10:23:06.239157	43479	50	2	8
2014-03-27 10:23:06.690145	43480	21.2	1	8
2014-03-27 10:23:20.267443	43481	54	2	1
2014-03-27 10:23:20.490498	43482	20.8	1	1
2014-03-27 10:23:32.485988	43483	482	3	2
2014-03-27 10:23:32.720225	43484	1093996.5618377402	4	2
2014-03-27 10:23:33.927879	43485	42	2	10
2014-03-27 10:23:34.151393	43486	22.5	1	10
2014-03-27 10:23:44.02989	43487	51	2	9
2014-03-27 10:23:44.260644	43488	21.1	1	9
2014-03-27 10:23:45.112358	43489	50	2	8
2014-03-27 10:23:45.334782	43490	21.2	1	8
2014-03-27 10:23:59.262219	43491	54	2	1
2014-03-27 10:23:59.494489	43492	20.8	1	1
2014-03-27 10:24:12.924966	43493	42	2	10
2014-03-27 10:24:13.148627	43494	22.5	1	10
2014-03-27 10:24:23.030321	43495	51	2	9
2014-03-27 10:24:23.273362	43496	21.1	1	9
2014-03-27 10:24:24.114922	43497	50	2	8
2014-03-27 10:24:24.341242	43498	21.2	1	8
2014-03-27 10:24:32.485668	43499	498	3	2
2014-03-27 10:24:32.717164	43500	1094004.6050807901	4	2
2014-03-27 10:24:38.26376	43501	54	2	1
2014-03-27 10:24:38.48431	43502	20.8	1	1
2014-03-27 10:24:51.923398	43503	42	2	10
2014-03-27 10:24:52.155199	43504	22.5	1	10
2014-03-27 10:25:02.027274	43505	51	2	9
2014-03-27 10:25:02.250249	43506	21.1	1	9
2014-03-27 10:25:03.11435	43507	50	2	8
2014-03-27 10:25:03.345667	43508	21.2	1	8
2014-03-27 10:25:17.300321	43509	54	2	1
2014-03-27 10:25:17.52065	43510	20.8	1	1
2014-03-27 10:25:30.925961	43511	42	2	10
2014-03-27 10:25:31.158889	43512	22.5	1	10
2014-03-27 10:25:32.487568	43513	482	3	2
2014-03-27 10:25:32.709027	43514	1094012.64832384	4	2
2014-03-27 10:25:41.03055	43515	51	2	9
2014-03-27 10:25:41.260265	43516	21.1	1	9
2014-03-27 10:25:42.114513	43517	50	2	8
2014-03-27 10:25:42.337395	43518	21.2	1	8
2014-03-27 10:25:56.262403	43519	54	2	1
2014-03-27 10:25:56.494747	43520	20.8	1	1
2014-03-27 10:26:09.923169	43521	42	2	10
2014-03-27 10:26:10.147949	43522	22.5	1	10
2014-03-27 10:26:20.029718	43523	51	2	9
2014-03-27 10:26:20.263967	43524	21.1	1	9
2014-03-27 10:26:21.115202	43525	50	2	8
2014-03-27 10:26:21.335813	43526	21.2	1	8
2014-03-27 10:26:32.486734	43527	547	3	2
2014-03-27 10:26:32.71875	43528	1094020.6915668899	4	2
2014-03-27 10:26:35.263558	43529	54	2	1
2014-03-27 10:26:35.487162	43530	20.8	1	1
2014-03-27 10:26:44.487078	43531	547	3	2
2014-03-27 10:26:44.718471	43532	1094022.9896363327	4	2
2014-03-27 10:26:48.92973	43533	42	2	10
2014-03-27 10:26:49.202586	43534	22.5	1	10
2014-03-27 10:26:59.027892	43535	51	2	9
2014-03-27 10:26:59.260554	43536	21.1	1	9
2014-03-27 10:27:00.114638	43537	50	2	8
2014-03-27 10:27:00.333945	43538	21.2	1	8
2014-03-27 10:27:14.264106	43539	54	2	1
2014-03-27 10:27:14.49554	43540	20.8	1	1
2014-03-27 10:27:27.925486	43541	42	2	10
2014-03-27 10:27:28.148912	43542	22.5	1	10
2014-03-27 10:27:32.48831	43543	547	3	2
2014-03-27 10:27:32.73399	43544	1094029.8838446613	4	2
2014-03-27 10:27:38.029282	43545	51	2	9
2014-03-27 10:27:38.253429	43546	21.1	1	9
2014-03-27 10:27:39.122507	43547	50	2	8
2014-03-27 10:27:39.37671	43548	21.2	1	8
2014-03-27 10:27:53.262384	43549	54	2	1
2014-03-27 10:27:53.484302	43550	20.8	1	1
2014-03-27 10:28:06.925575	43551	42	2	10
2014-03-27 10:28:07.158049	43552	22.4	1	10
2014-03-27 10:28:17.029039	43553	51	2	9
2014-03-27 10:28:17.253571	43554	21.1	1	9
2014-03-27 10:28:18.114939	43555	50	2	8
2014-03-27 10:28:18.347511	43556	21.2	1	8
2014-03-27 10:28:32.26235	43557	54	2	1
2014-03-27 10:28:32.485362	43558	20.8	1	1
2014-03-27 10:28:45.927323	43559	42	2	10
2014-03-27 10:28:46.167279	43560	22.4	1	10
2014-03-27 10:28:56.028272	43561	51	2	9
2014-03-27 10:28:56.250077	43562	21.1	1	9
2014-03-27 10:28:57.113932	43563	50	2	8
2014-03-27 10:28:57.34589	43564	21.2	1	8
2014-03-27 10:29:11.295364	43565	54	2	1
2014-03-27 10:29:11.517906	43566	20.8	1	1
2014-03-27 10:29:24.924519	43567	42	2	10
2014-03-27 10:29:25.16423	43568	22.4	1	10
2014-03-27 10:29:32.483436	43569	547	3	2
2014-03-27 10:29:32.706709	43570	1094048.268400204	4	2
2014-03-27 10:29:35.030826	43571	51	2	9
2014-03-27 10:29:35.262882	43572	21.1	1	9
2014-03-27 10:29:36.115596	43573	50	2	8
2014-03-27 10:29:36.3376	43574	21.2	1	8
2014-03-27 10:29:50.261472	43575	54	2	1
2014-03-27 10:29:50.493847	43576	20.8	1	1
2014-03-27 10:30:03.925113	43577	42	2	10
2014-03-27 10:30:04.148499	43578	22.4	1	10
2014-03-27 10:30:08.483435	43579	515	3	2
2014-03-27 10:30:08.714197	43580	1094054.013573811	4	2
2014-03-27 10:30:14.028668	43581	51	2	9
2014-03-27 10:30:14.255921	43582	21.1	1	9
2014-03-27 10:30:15.114214	43583	51	2	8
2014-03-27 10:30:15.346989	43584	21.2	1	8
2014-03-27 10:30:20.487358	43585	531	3	2
2014-03-27 10:30:20.71061	43586	1094055.1626085325	4	2
2014-03-27 10:30:29.261961	43587	54	2	1
2014-03-27 10:30:29.494163	43588	20.8	1	1
2014-03-27 10:30:32.484566	43589	515	3	2
2014-03-27 10:30:32.705869	43590	1094057.4606779753	4	2
2014-03-27 10:30:42.926491	43591	42	2	10
2014-03-27 10:30:43.167879	43592	22.4	1	10
2014-03-27 10:30:53.026372	43593	51	2	9
2014-03-27 10:30:53.250194	43594	21.1	1	9
2014-03-27 10:30:54.113316	43595	50	2	8
2014-03-27 10:30:54.350906	43596	21.2	1	8
2014-03-27 10:31:08.259972	43597	54	2	1
2014-03-27 10:31:08.481499	43598	20.9	1	1
2014-03-27 10:31:21.925002	43599	42	2	10
2014-03-27 10:31:22.156217	43600	22.4	1	10
2014-03-27 10:31:32.031848	43601	51	2	9
2014-03-27 10:31:32.253792	43602	21.1	1	9
2014-03-27 10:31:32.561768	43603	531	3	2
2014-03-27 10:31:32.792974	43604	1094066.6529557465	4	2
2014-03-27 10:31:33.113497	43605	50	2	8
2014-03-27 10:31:33.33453	43606	21.2	1	8
2014-03-27 10:31:47.258929	43607	54	2	1
2014-03-27 10:31:47.492373	43608	20.9	1	1
2014-03-27 10:32:00.925204	43609	42	2	10
2014-03-27 10:32:01.14649	43610	22.4	1	10
2014-03-27 10:32:11.027831	43611	51	2	9
2014-03-27 10:32:11.259423	43612	21.1	1	9
2014-03-27 10:32:12.112991	43613	50	2	8
2014-03-27 10:32:12.334221	43614	21.2	1	8
2014-03-27 10:32:20.486377	43615	482	3	2
2014-03-27 10:32:20.720414	43616	1094073.547164075	4	2
2014-03-27 10:32:26.258259	43617	54	2	1
2014-03-27 10:32:26.479659	43618	20.9	1	1
2014-03-27 10:32:39.72801	43619	482	3	2
2014-03-27 10:32:39.962485	43620	1094074.6961987964	4	2
2014-03-27 10:32:40.26606	43621	42	2	10
2014-03-27 10:32:40.489718	43622	22.4	1	10
2014-03-27 10:32:50.02855	43623	51	2	9
2014-03-27 10:32:50.259706	43624	21.1	1	9
2014-03-27 10:32:51.114177	43625	50	2	8
2014-03-27 10:32:51.334885	43626	21.2	1	8
2014-03-27 10:33:05.257295	43627	54	2	1
2014-03-27 10:33:05.488245	43628	20.9	1	1
2014-03-27 10:33:18.927426	43629	42	2	10
2014-03-27 10:33:19.149016	43630	22.4	1	10
2014-03-27 10:33:29.027389	43631	51	2	9
2014-03-27 10:33:29.260235	43632	21.1	1	9
2014-03-27 10:33:30.11419	43633	50	2	8
2014-03-27 10:33:30.336176	43634	21.2	1	8
2014-03-27 10:33:32.488882	43635	482	3	2
2014-03-27 10:33:32.719524	43636	1094082.7394418463	4	2
2014-03-27 10:33:44.258697	43637	54	2	1
2014-03-27 10:33:44.480551	43638	20.9	1	1
2014-03-27 10:33:57.930016	43639	42	2	10
2014-03-27 10:33:58.174539	43640	22.4	1	10
2014-03-27 10:34:08.02831	43641	51	2	9
2014-03-27 10:34:08.249553	43642	21.1	1	9
2014-03-27 10:34:09.113719	43643	50	2	8
2014-03-27 10:34:09.344135	43644	21.2	1	8
2014-03-27 10:34:23.255238	43645	54	2	1
2014-03-27 10:34:23.478755	43646	20.9	1	1
2014-03-27 10:34:32.485763	43647	466	3	2
2014-03-27 10:34:32.71758	43648	1094090.7826848961	4	2
2014-03-27 10:34:36.936032	43649	42	2	10
2014-03-27 10:34:37.159484	43650	22.4	1	10
2014-03-27 10:34:47.029172	43651	51	2	9
2014-03-27 10:34:47.26121	43652	21.1	1	9
2014-03-27 10:34:48.115409	43653	50	2	8
2014-03-27 10:34:48.335351	43654	21.2	1	8
2014-03-27 10:34:56.488783	43655	418	3	2
2014-03-27 10:34:56.720106	43656	1094093.0852252913	4	2
2014-03-27 10:35:02.259955	43657	54	2	1
2014-03-27 10:35:02.483852	43658	20.9	1	1
2014-03-27 10:35:08.486333	43659	434	3	2
2014-03-27 10:35:08.717853	43660	1094094.2342600126	4	2
2014-03-27 10:35:15.929072	43661	42	2	10
2014-03-27 10:35:16.152833	43662	22.4	1	10
2014-03-27 10:35:26.027884	43663	51	2	9
2014-03-27 10:35:26.262135	43664	21.1	1	9
2014-03-27 10:35:27.115768	43665	50	2	8
2014-03-27 10:35:27.336441	43666	21.2	1	8
2014-03-27 10:35:41.055703	43667	418	3	2
2014-03-27 10:35:41.289206	43668	1094096.5323294555	4	2
2014-03-27 10:35:41.592974	43669	54	2	1
2014-03-27 10:35:41.815404	43670	20.9	1	1
2014-03-27 10:35:54.928053	43671	42	2	10
2014-03-27 10:35:55.163447	43672	22.3	1	10
2014-03-27 10:36:05.02858	43673	51	2	9
2014-03-27 10:36:05.251197	43674	21.1	1	9
2014-03-27 10:36:06.113601	43675	50	2	8
2014-03-27 10:36:06.34575	43676	21.2	1	8
2014-03-27 10:36:20.292372	43677	54	2	1
2014-03-27 10:36:20.514906	43678	20.9	1	1
2014-03-27 10:36:32.484949	43679	418	3	2
2014-03-27 10:36:32.718084	43680	1094104.5755725054	4	2
2014-03-27 10:36:33.928421	43681	42	2	10
2014-03-27 10:36:34.150497	43682	22.3	1	10
2014-03-27 10:36:44.028123	43683	51	2	9
2014-03-27 10:36:44.258688	43684	21.1	1	9
2014-03-27 10:36:45.113606	43685	50	2	8
2014-03-27 10:36:45.333628	43686	21.2	1	8
2014-03-27 10:36:59.290571	43687	54	2	1
2014-03-27 10:36:59.535344	43688	20.9	1	1
2014-03-27 10:37:12.927867	43689	42	2	10
2014-03-27 10:37:13.149629	43690	22.3	1	10
2014-03-27 10:37:23.027973	43691	51	2	9
2014-03-27 10:37:23.259136	43692	21.1	1	9
2014-03-27 10:37:24.11454	43693	50	2	8
2014-03-27 10:37:24.335323	43694	21.2	1	8
2014-03-27 10:37:32.484308	43695	418	3	2
2014-03-27 10:37:32.718807	43696	1094111.469780834	4	2
2014-03-27 10:37:38.254757	43697	54	2	1
2014-03-27 10:37:38.498667	43698	20.9	1	1
2014-03-27 10:37:51.929364	43699	42	2	10
2014-03-27 10:37:52.16086	43700	22.3	1	10
2014-03-27 10:38:02.029008	43701	51	2	9
2014-03-27 10:38:02.250751	43702	21.1	1	9
2014-03-27 10:38:03.112395	43703	51	2	8
2014-03-27 10:38:03.342359	43704	21.2	1	8
2014-03-27 10:38:17.25724	43705	54	2	1
2014-03-27 10:38:17.479386	43706	20.9	1	1
2014-03-27 10:38:30.928423	43707	42	2	10
2014-03-27 10:38:31.16078	43708	22.3	1	10
2014-03-27 10:38:32.487153	43709	434	3	2
2014-03-27 10:38:32.710157	43710	1094118.3639891625	4	2
2014-03-27 10:38:41.027269	43711	51	2	9
2014-03-27 10:38:41.259698	43712	21.1	1	9
2014-03-27 10:38:42.11285	43713	51	2	8
2014-03-27 10:38:42.33332	43714	21.2	1	8
2014-03-27 10:38:56.258826	43715	54	2	1
2014-03-27 10:38:56.495197	43716	20.9	1	1
2014-03-27 10:39:09.932955	43717	42	2	10
2014-03-27 10:39:10.156143	43718	22.3	1	10
2014-03-27 10:39:20.032117	43719	51	2	9
2014-03-27 10:39:20.265526	43720	21.1	1	9
2014-03-27 10:39:21.116091	43721	51	2	8
2014-03-27 10:39:21.339072	43722	21.2	1	8
2014-03-27 10:39:32.490081	43723	450	3	2
2014-03-27 10:39:32.725057	43724	1094125.2581974908	4	2
2014-03-27 10:39:35.261059	43725	54	2	1
2014-03-27 10:39:35.485525	43726	20.9	1	1
2014-03-27 10:39:48.93304	43727	42	2	10
2014-03-27 10:39:49.167927	43728	22.3	1	10
2014-03-27 10:39:59.034514	43729	51	2	9
2014-03-27 10:39:59.258834	43730	21.0	1	9
2014-03-27 10:40:00.116897	43731	51	2	8
2014-03-27 10:40:00.349147	43732	21.2	1	8
2014-03-27 10:40:14.261257	43733	54	2	1
2014-03-27 10:40:14.485027	43734	20.9	1	1
2014-03-27 10:40:27.934463	43735	42	2	10
2014-03-27 10:40:28.216674	43736	22.3	1	10
2014-03-27 10:40:32.487562	43737	450	3	2
2014-03-27 10:40:32.897114	43738	1094133.301440541	4	2
2014-03-27 10:40:38.032712	43739	51	2	9
2014-03-27 10:40:38.303489	43740	21.0	1	9
2014-03-27 10:40:39.118589	43741	51	2	8
2014-03-27 10:40:39.378783	43742	21.2	1	8
2014-03-27 10:40:53.256511	43743	55	2	1
2014-03-27 10:40:53.527099	43744	20.9	1	1
2014-03-27 10:41:06.933396	43745	42	2	10
2014-03-27 10:41:07.682003	43746	22.3	1	10
2014-03-27 10:41:17.031696	43747	51	2	9
2014-03-27 10:41:17.26912	43748	21.0	1	9
2014-03-27 10:41:18.116718	43749	51	2	8
2014-03-27 10:41:18.346218	43750	21.2	1	8
2014-03-27 10:41:32.256926	43751	55	2	1
2014-03-27 10:41:32.491172	43752	20.9	1	1
2014-03-27 10:41:45.933992	43753	42	2	10
2014-03-27 10:41:46.157631	43754	22.3	1	10
2014-03-27 10:41:56.030841	43755	51	2	9
2014-03-27 10:41:56.266704	43756	21.0	1	9
2014-03-27 10:41:57.116732	43757	51	2	8
2014-03-27 10:41:57.340901	43758	21.2	1	8
2014-03-27 10:42:11.291914	43759	55	2	1
2014-03-27 10:42:11.530305	43760	20.9	1	1
2014-03-27 10:42:24.937371	43761	42	2	10
2014-03-27 10:42:25.161637	43762	22.3	1	10
2014-03-27 10:42:32.489387	43763	450	3	2
2014-03-27 10:42:32.724607	43764	1094148.2388919191	4	2
2014-03-27 10:42:35.031678	43765	51	2	9
2014-03-27 10:42:35.255399	43766	21.0	1	9
2014-03-27 10:42:36.118624	43767	51	2	8
2014-03-27 10:42:36.352676	43768	21.2	1	8
2014-03-27 10:42:50.256643	43769	55	2	1
2014-03-27 10:42:50.484232	43770	20.9	1	1
2014-03-27 10:43:03.933396	43771	42	2	10
2014-03-27 10:43:04.167734	43772	22.3	1	10
2014-03-27 10:43:14.032153	43773	51	2	9
2014-03-27 10:43:14.256909	43774	21.0	1	9
2014-03-27 10:43:15.1188	43775	51	2	8
2014-03-27 10:43:15.354805	43776	21.2	1	8
2014-03-27 10:43:29.256223	43777	55	2	1
2014-03-27 10:43:29.479964	43778	20.9	1	1
2014-03-27 10:43:32.485844	43779	482	3	2
2014-03-27 10:43:32.721597	43780	1094155.1331002477	4	2
2014-03-27 10:43:42.940796	43781	42	2	10
2014-03-27 10:43:43.166834	43782	22.3	1	10
2014-03-27 10:43:53.032504	43783	51	2	9
2014-03-27 10:43:53.279427	43784	21.0	1	9
2014-03-27 10:43:54.117124	43785	51	2	8
2014-03-27 10:43:54.33989	43786	21.2	1	8
2014-03-27 10:44:08.257845	43787	54	2	1
2014-03-27 10:44:08.490768	43788	20.9	1	1
2014-03-27 10:44:20.490202	43789	434	3	2
2014-03-27 10:44:20.714086	43790	1094162.0273085763	4	2
2014-03-27 10:44:21.934379	43791	42	2	10
2014-03-27 10:44:22.166601	43792	22.3	1	10
2014-03-27 10:44:32.031179	43793	51	2	9
2014-03-27 10:44:32.258232	43794	21.0	1	9
2014-03-27 10:44:32.566282	43795	450	3	2
2014-03-27 10:44:32.802065	43796	1094163.1763432976	4	2
2014-03-27 10:44:33.118611	43797	50	2	8
2014-03-27 10:44:33.341363	43798	21.2	1	8
2014-03-27 10:44:47.291769	43799	54	2	1
2014-03-27 10:44:47.525739	43800	20.9	1	1
2014-03-27 10:45:00.935476	43801	42	2	10
2014-03-27 10:45:01.159113	43802	22.3	1	10
2014-03-27 10:45:11.033351	43803	51	2	9
2014-03-27 10:45:11.267377	43804	21.0	1	9
2014-03-27 10:45:12.117553	43805	50	2	8
2014-03-27 10:45:12.339441	43806	21.2	1	8
2014-03-27 10:45:26.252488	43807	54	2	1
2014-03-27 10:45:26.485801	43808	20.9	1	1
2014-03-27 10:45:32.490329	43809	434	3	2
2014-03-27 10:45:32.714158	43810	1094171.2195863475	4	2
2014-03-27 10:45:39.935047	43811	42	2	10
2014-03-27 10:45:40.171332	43812	22.3	1	10
2014-03-27 10:45:50.033936	43813	51	2	9
2014-03-27 10:45:50.257205	43814	21.0	1	9
2014-03-27 10:45:51.119298	43815	50	2	8
2014-03-27 10:45:51.352576	43816	21.2	1	8
2014-03-27 10:46:05.25824	43817	54	2	1
2014-03-27 10:46:05.482338	43818	20.9	1	1
2014-03-27 10:46:18.934011	43819	42	2	10
2014-03-27 10:46:19.19034	43820	22.2	1	10
2014-03-27 10:46:29.031768	43821	51	2	9
2014-03-27 10:46:29.257497	43822	21.0	1	9
2014-03-27 10:46:30.118159	43823	50	2	8
2014-03-27 10:46:30.352347	43824	21.2	1	8
2014-03-27 10:46:32.490978	43825	434	3	2
2014-03-27 10:46:32.715542	43826	1094178.113794676	4	2
2014-03-27 10:46:44.255034	43827	54	2	1
2014-03-27 10:46:44.492066	43828	20.9	1	1
2014-03-27 10:46:57.9361	43829	42	2	10
2014-03-27 10:46:58.159378	43830	22.2	1	10
2014-03-27 10:47:08.030809	43831	51	2	9
2014-03-27 10:47:08.279124	43832	21.0	1	9
2014-03-27 10:47:09.118322	43833	50	2	8
2014-03-27 10:47:09.343363	43834	21.2	1	8
2014-03-27 10:47:23.255411	43835	54	2	1
2014-03-27 10:47:23.491432	43836	20.9	1	1
2014-03-27 10:47:32.487817	43837	450	3	2
2014-03-27 10:47:32.712322	43838	1094186.157037726	4	2
2014-03-27 10:47:36.935573	43839	42	2	10
2014-03-27 10:47:37.177029	43840	22.2	1	10
2014-03-27 10:47:47.031518	43841	51	2	9
2014-03-27 10:47:47.255796	43842	21.0	1	9
2014-03-27 10:47:48.117184	43843	50	2	8
2014-03-27 10:47:48.351184	43844	21.2	1	8
2014-03-27 10:48:02.25496	43845	54	2	1
2014-03-27 10:48:02.481367	43846	20.9	1	1
2014-03-27 10:48:15.936338	43847	42	2	10
2014-03-27 10:48:16.169642	43848	22.2	1	10
2014-03-27 10:48:26.030151	43849	51	2	9
2014-03-27 10:48:26.255426	43850	21.0	1	9
2014-03-27 10:48:27.11748	43851	50	2	8
2014-03-27 10:48:27.351502	43852	21.2	1	8
2014-03-27 10:48:32.489078	43853	434	3	2
2014-03-27 10:48:32.717407	43854	1094193.0512460545	4	2
2014-03-27 10:48:41.255672	43855	54	2	1
2014-03-27 10:48:41.48924	43856	20.9	1	1
2014-03-27 10:48:54.938087	43857	42	2	10
2014-03-27 10:48:55.161889	43858	22.2	1	10
2014-03-27 10:49:05.030422	43859	51	2	9
2014-03-27 10:49:05.264936	43860	21.0	1	9
2014-03-27 10:49:06.117657	43861	50	2	8
2014-03-27 10:49:06.34163	43862	21.2	1	8
2014-03-27 10:49:20.253098	43863	54	2	1
2014-03-27 10:49:20.485772	43864	20.9	1	1
2014-03-27 10:49:32.487921	43865	450	3	2
2014-03-27 10:49:32.713914	43866	1094201.0944891043	4	2
2014-03-27 10:49:33.936028	43867	42	2	10
2014-03-27 10:49:34.168443	43868	22.2	1	10
2014-03-27 10:49:44.031536	43869	51	2	9
2014-03-27 10:49:44.256936	43870	21.0	1	9
2014-03-27 10:49:45.118161	43871	50	2	8
2014-03-27 10:49:45.350396	43872	21.2	1	8
2014-03-27 10:49:59.255051	43873	54	2	1
2014-03-27 10:49:59.481537	43874	20.9	1	1
2014-03-27 10:50:12.939371	43875	42	2	10
2014-03-27 10:50:13.172804	43876	22.2	1	10
2014-03-27 10:50:23.031677	43877	51	2	9
2014-03-27 10:50:23.255918	43878	21.0	1	9
2014-03-27 10:50:24.116977	43879	50	2	8
2014-03-27 10:50:24.359982	43880	21.2	1	8
2014-03-27 10:50:32.484797	43881	450	3	2
2014-03-27 10:50:32.709631	43882	1094207.9886974327	4	2
2014-03-27 10:50:38.250712	43883	54	2	1
2014-03-27 10:50:38.486486	43884	20.9	1	1
2014-03-27 10:50:51.936224	43885	42	2	10
2014-03-27 10:50:52.160502	43886	22.2	1	10
2014-03-27 10:51:02.033507	43887	51	2	9
2014-03-27 10:51:02.26787	43888	21.0	1	9
2014-03-27 10:51:03.119907	43889	50	2	8
2014-03-27 10:51:03.342964	43890	21.2	1	8
2014-03-27 10:51:08.489236	43891	482	3	2
2014-03-27 10:51:08.724492	43892	1094212.5848363184	4	2
2014-03-27 10:51:17.254319	43893	54	2	1
2014-03-27 10:51:17.47735	43894	20.8	1	1
2014-03-27 10:51:20.486088	43895	482	3	2
2014-03-27 10:51:20.719857	43896	1094213.73387104	4	2
2014-03-27 10:51:30.935867	43897	42	2	10
2014-03-27 10:51:31.161597	43898	22.2	1	10
2014-03-27 10:51:32.489682	43899	466	3	2
2014-03-27 10:51:32.72362	43900	1094216.0319404828	4	2
2014-03-27 10:51:41.031972	43901	51	2	9
2014-03-27 10:51:41.258444	43902	21.0	1	9
2014-03-27 10:51:42.117113	43903	50	2	8
2014-03-27 10:51:42.351084	43904	21.2	1	8
2014-03-27 10:51:56.288821	43905	54	2	1
2014-03-27 10:51:56.511406	43906	20.9	1	1
2014-03-27 10:52:09.936658	43907	42	2	10
2014-03-27 10:52:10.170847	43908	22.2	1	10
2014-03-27 10:52:20.03192	43909	51	2	9
2014-03-27 10:52:20.257127	43910	21.0	1	9
2014-03-27 10:52:21.117101	43911	50	2	8
2014-03-27 10:52:21.350299	43912	21.2	1	8
2014-03-27 10:52:32.487036	43913	482	3	2
2014-03-27 10:52:32.712859	43914	1094224.0751835327	4	2
2014-03-27 10:52:35.251209	43915	54	2	1
2014-03-27 10:52:35.486913	43916	20.8	1	1
2014-03-27 10:52:48.93705	43917	42	2	10
2014-03-27 10:52:49.165729	43918	22.2	1	10
2014-03-27 10:52:59.044978	43919	51	2	9
2014-03-27 10:52:59.276963	43920	21.0	1	9
2014-03-27 10:53:00.115552	43921	50	2	8
2014-03-27 10:53:00.338642	43922	21.2	1	8
2014-03-27 10:53:14.285776	43923	54	2	1
2014-03-27 10:53:14.522465	43924	20.8	1	1
2014-03-27 10:53:27.938026	43925	42	2	10
2014-03-27 10:53:28.16494	43926	22.2	1	10
2014-03-27 10:53:32.489516	43927	482	3	2
2014-03-27 10:53:32.734842	43928	1094232.1184265825	4	2
2014-03-27 10:53:38.031645	43929	51	2	9
2014-03-27 10:53:38.255835	43930	21.0	1	9
2014-03-27 10:53:39.127843	43931	50	2	8
2014-03-27 10:53:39.362294	43932	21.2	1	8
2014-03-27 10:53:53.251208	43933	54	2	1
2014-03-27 10:53:53.475772	43934	20.8	1	1
2014-03-27 10:53:56.485309	43935	450	3	2
2014-03-27 10:53:56.721299	43936	1094235.5655307467	4	2
2014-03-27 10:54:06.936573	43937	42	2	10
2014-03-27 10:54:07.161392	43938	22.2	1	10
2014-03-27 10:54:08.490165	43939	450	3	2
2014-03-27 10:54:08.725995	43940	1094236.7145654683	4	2
2014-03-27 10:54:17.031169	43941	51	2	9
2014-03-27 10:54:17.256269	43942	21.0	1	9
2014-03-27 10:54:18.116249	43943	50	2	8
2014-03-27 10:54:18.349921	43944	21.2	1	8
2014-03-27 10:54:32.246345	43945	54	2	1
2014-03-27 10:54:32.471202	43946	20.8	1	1
2014-03-27 10:54:45.937022	43947	42	2	10
2014-03-27 10:54:46.171202	43948	22.2	1	10
2014-03-27 10:54:56.0333	43949	51	2	9
2014-03-27 10:54:56.257476	43950	21.0	1	9
2014-03-27 10:54:57.117059	43951	50	2	8
2014-03-27 10:54:57.352316	43952	21.2	1	8
2014-03-27 10:55:11.249924	43953	54	2	1
2014-03-27 10:55:11.474306	43954	20.9	1	1
2014-03-27 10:55:24.941405	43955	42	2	10
2014-03-27 10:55:25.175103	43956	22.2	1	10
2014-03-27 10:55:32.484275	43957	466	3	2
2014-03-27 10:55:32.708565	43958	1094247.055877961	4	2
2014-03-27 10:55:36.117109	43959	50	2	8
2014-03-27 10:55:36.350849	43960	21.2	1	8
2014-03-27 10:55:50.247202	43961	54	2	1
2014-03-27 10:55:50.471239	43962	20.9	1	1
2014-03-27 10:56:03.939618	43963	42	2	10
2014-03-27 10:56:04.175594	43964	22.2	1	10
2014-03-27 10:56:29.24931	43965	54	2	1
2014-03-27 10:56:29.474689	43966	20.9	1	1
2014-03-27 10:56:32.485295	43967	466	3	2
2014-03-27 10:56:32.718148	43968	1094255.0991210109	4	2
2014-03-27 10:56:42.939723	43969	42	2	10
2014-03-27 10:56:43.167728	43970	22.2	1	10
2014-03-27 10:56:53.031711	43971	51	2	9
2014-03-27 10:56:53.269402	43972	21.0	1	9
2014-03-27 10:56:54.118954	43973	50	2	8
2014-03-27 10:56:54.341575	43974	21.2	1	8
2014-03-27 10:57:08.249275	43975	54	2	1
2014-03-27 10:57:08.493289	43976	20.9	1	1
2014-03-27 10:57:21.936959	43977	42	2	10
2014-03-27 10:57:22.160445	43978	22.2	1	10
2014-03-27 10:57:44.487712	43979	402	3	2
2014-03-27 10:57:44.724646	43980	1094263.1423640607	4	2
2014-03-27 10:57:47.252512	43981	54	2	1
2014-03-27 10:57:47.474816	43982	20.9	1	1
2014-03-27 10:58:00.93732	43983	42	2	10
2014-03-27 10:58:01.172741	43984	22.1	1	10
2014-03-27 10:58:11.033344	43985	51	2	9
2014-03-27 10:58:11.258324	43986	20.9	1	9
2014-03-27 10:58:12.118738	43987	50	2	8
2014-03-27 10:58:12.353808	43988	21.2	1	8
2014-03-27 10:58:26.252094	43989	54	2	1
2014-03-27 10:58:26.476924	43990	20.9	1	1
2014-03-27 10:58:32.490842	43991	450	3	2
2014-03-27 10:58:32.72463	43992	1094268.8875376678	4	2
2014-03-27 10:58:39.937726	43993	42	2	10
2014-03-27 10:58:40.162502	43994	22.1	1	10
2014-03-27 10:58:44.4906	43995	450	3	2
2014-03-27 10:58:44.7249	43996	1094271.1856071106	4	2
2014-03-27 10:58:50.088541	43997	51	2	9
2014-03-27 10:58:50.311732	43998	20.9	1	9
2014-03-27 10:58:51.118197	43999	50	2	8
2014-03-27 10:58:51.353416	44000	21.2	1	8
2014-03-27 10:59:05.247859	44001	54	2	1
2014-03-27 10:59:05.472527	44002	20.8	1	1
2014-03-27 10:59:18.939679	44003	42	2	10
2014-03-27 10:59:19.174455	44004	22.1	1	10
2014-03-27 10:59:29.030626	44005	51	2	9
2014-03-27 10:59:29.255114	44006	20.9	1	9
2014-03-27 10:59:30.116759	44007	50	2	8
2014-03-27 10:59:30.348875	44008	21.2	1	8
2014-03-27 10:59:32.485483	44009	466	3	2
2014-03-27 10:59:32.70999	44010	1094276.9307807176	4	2
2014-03-27 10:59:44.249639	44011	54	2	1
2014-03-27 10:59:44.484089	44012	20.8	1	1
2014-03-27 10:59:56.48846	44013	450	3	2
2014-03-27 10:59:56.713119	44014	1094280.377884882	4	2
2014-03-27 10:59:57.939617	44015	42	2	10
2014-03-27 10:59:58.171267	44016	22.1	1	10
2014-03-27 11:00:08.031278	44017	51	2	9
2014-03-27 11:00:08.256664	44018	20.9	1	9
2014-03-27 11:00:09.119353	44019	50	2	8
2014-03-27 11:00:09.352964	44020	21.2	1	8
2014-03-27 11:00:23.247093	44021	54	2	1
2014-03-27 11:00:23.471436	44022	20.9	1	1
2014-03-27 11:00:32.485179	44023	450	3	2
2014-03-27 11:00:32.731155	44024	1094283.8249890462	4	2
2014-03-27 11:00:36.938124	44025	42	2	10
2014-03-27 11:00:37.162223	44026	22.1	1	10
2014-03-27 11:00:47.031972	44027	51	2	9
2014-03-27 11:00:47.266297	44028	20.9	1	9
2014-03-27 11:00:48.116485	44029	50	2	8
2014-03-27 11:00:48.33986	44030	21.2	1	8
2014-03-27 11:01:02.244393	44031	54	2	1
2014-03-27 11:01:02.478584	44032	20.9	1	1
2014-03-27 11:01:08.483784	44033	370	3	2
2014-03-27 11:01:08.711159	44034	1094288.421127932	4	2
2014-03-27 11:01:15.941524	44035	42	2	10
2014-03-27 11:01:16.175746	44036	22.1	1	10
2014-03-27 11:01:20.484933	44037	402	3	2
2014-03-27 11:01:20.709276	44038	1094289.5701626532	4	2
2014-03-27 11:01:26.032727	44039	51	2	9
2014-03-27 11:01:26.266443	44040	20.9	1	9
2014-03-27 11:01:27.117235	44041	50	2	8
2014-03-27 11:01:27.34047	44042	21.2	1	8
2014-03-27 11:01:32.483387	44043	370	3	2
2014-03-27 11:01:32.7178	44044	1094290.7191973748	4	2
2014-03-27 11:01:41.247344	44045	54	2	1
2014-03-27 11:01:41.470261	44046	20.8	1	1
2014-03-27 11:01:44.482594	44047	370	3	2
2014-03-27 11:01:44.715802	44048	1094291.868232096	4	2
2014-03-27 11:01:54.939643	44049	42	2	10
2014-03-27 11:01:55.170942	44050	22.1	1	10
2014-03-27 11:02:05.030343	44051	51	2	9
2014-03-27 11:02:05.26554	44052	20.9	1	9
2014-03-27 11:02:06.118233	44053	50	2	8
2014-03-27 11:02:06.342053	44054	21.2	1	8
2014-03-27 11:02:20.312128	44055	54	2	1
2014-03-27 11:02:20.546283	44056	20.8	1	1
2014-03-27 11:02:33.739612	44057	370	3	2
2014-03-27 11:02:33.965096	44058	1094297.613405703	4	2
2014-03-27 11:02:34.274313	44059	42	2	10
2014-03-27 11:02:34.508534	44060	22.1	1	10
2014-03-27 11:02:44.031484	44061	51	2	9
2014-03-27 11:02:44.25728	44062	20.9	1	9
2014-03-27 11:02:45.117455	44063	50	2	8
2014-03-27 11:02:45.353659	44064	21.2	1	8
2014-03-27 11:02:59.244852	44065	54	2	1
2014-03-27 11:02:59.468995	44066	20.8	1	1
2014-03-27 11:03:08.486523	44067	402	3	2
2014-03-27 11:03:08.723742	44068	1094301.0605098675	4	2
2014-03-27 11:03:12.940291	44069	42	2	10
2014-03-27 11:03:13.165023	44070	22.1	1	10
2014-03-27 11:03:20.488209	44071	370	3	2
2014-03-27 11:03:20.734833	44072	1094302.2095445888	4	2
2014-03-27 11:03:23.029541	44073	51	2	9
2014-03-27 11:03:23.253841	44074	20.9	1	9
2014-03-27 11:03:24.116479	44075	50	2	8
2014-03-27 11:03:24.351871	44076	21.2	1	8
2014-03-27 11:03:32.486056	44077	370	3	2
2014-03-27 11:03:32.712184	44078	1094303.3585793101	4	2
2014-03-27 11:03:38.243698	44079	54	2	1
2014-03-27 11:03:38.479428	44080	20.8	1	1
2014-03-27 11:03:51.939296	44081	42	2	10
2014-03-27 11:03:52.164338	44082	22.1	1	10
2014-03-27 11:04:02.030311	44083	51	2	9
2014-03-27 11:04:02.264864	44084	20.9	1	9
2014-03-27 11:04:03.117688	44085	50	2	8
2014-03-27 11:04:03.340666	44086	21.2	1	8
2014-03-27 11:04:17.245536	44087	54	2	1
2014-03-27 11:04:17.480571	44088	20.8	1	1
2014-03-27 11:04:20.488845	44089	402	3	2
2014-03-27 11:04:20.714077	44090	1094309.1037529174	4	2
2014-03-27 11:04:30.941039	44091	42	2	10
2014-03-27 11:04:31.174783	44092	22.1	1	10
2014-03-27 11:04:32.485088	44093	402	3	2
2014-03-27 11:04:32.711344	44094	1094310.2527876387	4	2
2014-03-27 11:04:41.031063	44095	51	2	9
2014-03-27 11:04:41.26496	44096	20.9	1	9
2014-03-27 11:04:42.117843	44097	50	2	8
2014-03-27 11:04:42.340851	44098	21.2	1	8
2014-03-27 11:04:56.242294	44099	54	2	1
2014-03-27 11:04:56.476119	44100	20.8	1	1
2014-03-27 11:05:09.942097	44101	42	2	10
2014-03-27 11:05:10.165901	44102	22.1	1	10
2014-03-27 11:05:20.030692	44103	51	2	9
2014-03-27 11:05:20.303711	44104	20.9	1	9
2014-03-27 11:05:21.116466	44105	50	2	8
2014-03-27 11:05:21.340237	44106	21.2	1	8
2014-03-27 11:05:32.486157	44107	418	3	2
2014-03-27 11:05:32.721414	44108	1094317.1469959673	4	2
2014-03-27 11:05:35.24224	44109	54	2	1
2014-03-27 11:05:35.465758	44110	20.8	1	1
2014-03-27 11:05:48.941204	44111	42	2	10
2014-03-27 11:05:49.174726	44112	22.1	1	10
2014-03-27 11:05:59.030604	44113	51	2	9
2014-03-27 11:05:59.255682	44114	20.9	1	9
2014-03-27 11:06:00.117384	44115	50	2	8
2014-03-27 11:06:00.352786	44116	21.2	1	8
2014-03-27 11:06:14.246	44117	54	2	1
2014-03-27 11:06:14.471513	44118	20.8	1	1
2014-03-27 11:06:27.943044	44119	42	2	10
2014-03-27 11:06:28.190933	44120	22.1	1	10
2014-03-27 11:06:32.487719	44121	418	3	2
2014-03-27 11:06:32.71059	44122	1094324.0412042958	4	2
2014-03-27 11:06:38.029161	44123	51	2	9
2014-03-27 11:06:38.450115	44124	20.9	1	9
2014-03-27 11:06:39.111047	44125	50	2	8
2014-03-27 11:06:39.337034	44126	21.2	1	8
2014-03-27 11:06:53.241932	44127	54	2	1
2014-03-27 11:06:53.46325	44128	20.8	1	1
2014-03-27 11:07:06.935725	44129	42	2	10
2014-03-27 11:07:07.167074	44130	22.0	1	10
2014-03-27 11:07:17.028031	44131	51	2	9
2014-03-27 11:07:17.248574	44132	20.9	1	9
2014-03-27 11:07:18.114274	44133	50	2	8
2014-03-27 11:07:18.344617	44134	21.2	1	8
2014-03-27 11:07:32.236656	44135	54	2	1
2014-03-27 11:07:32.456958	44136	20.8	1	1
2014-03-27 11:07:45.936134	44137	42	2	10
2014-03-27 11:07:46.171476	44138	22.0	1	10
2014-03-27 11:07:56.02646	44139	51	2	9
2014-03-27 11:07:56.248016	44140	20.9	1	9
2014-03-27 11:07:57.111434	44141	50	2	8
2014-03-27 11:07:57.34443	44142	21.2	1	8
2014-03-27 11:08:11.240316	44143	54	2	1
2014-03-27 11:08:11.462878	44144	20.8	1	1
2014-03-27 11:08:24.935994	44145	42	2	10
2014-03-27 11:08:25.166404	44146	22.0	1	10
2014-03-27 11:08:32.480687	44147	434	3	2
2014-03-27 11:08:32.72272	44148	1094338.978655674	4	2
2014-03-27 11:08:35.026902	44149	51	2	9
2014-03-27 11:08:35.256712	44150	20.9	1	9
2014-03-27 11:08:36.113656	44151	50	2	8
2014-03-27 11:08:36.336965	44152	21.2	1	8
2014-03-27 11:08:50.239581	44153	54	2	1
2014-03-27 11:08:50.529487	44154	20.8	1	1
2014-03-27 11:09:03.937707	44155	42	2	10
2014-03-27 11:09:04.158851	44156	22.0	1	10
2014-03-27 11:09:14.026424	44157	51	2	9
2014-03-27 11:09:14.257792	44158	20.9	1	9
2014-03-27 11:09:15.11287	44159	50	2	8
2014-03-27 11:09:15.334112	44160	21.2	1	8
2014-03-27 11:09:29.238595	44161	55	2	1
2014-03-27 11:09:29.472772	44162	20.8	1	1
2014-03-27 11:09:32.482768	44163	450	3	2
2014-03-27 11:09:32.705234	44164	1094345.8728640026	4	2
2014-03-27 11:09:42.936926	44165	42	2	10
2014-03-27 11:09:43.16821	44166	22.0	1	10
2014-03-27 11:09:44.482519	44167	418	3	2
2014-03-27 11:09:44.705678	44168	1094347.021898724	4	2
2014-03-27 11:09:53.027744	44169	51	2	9
2014-03-27 11:09:53.269059	44170	20.9	1	9
2014-03-27 11:09:54.114806	44171	50	2	8
2014-03-27 11:09:54.334797	44172	21.2	1	8
2014-03-27 11:09:56.482697	44173	354	3	2
2014-03-27 11:09:56.716307	44174	1094348.1709334454	4	2
2014-03-27 11:10:08.234867	44175	55	2	1
2014-03-27 11:10:08.456986	44176	20.8	1	1
2014-03-27 11:10:21.937744	44177	42	2	10
2014-03-27 11:10:22.169445	44178	22.0	1	10
2014-03-27 11:10:32.027132	44179	51	2	9
2014-03-27 11:10:32.248822	44180	20.9	1	9
2014-03-27 11:10:32.553764	44181	370	3	2
2014-03-27 11:10:32.786483	44182	1094351.6180376096	4	2
2014-03-27 11:10:33.111571	44183	50	2	8
2014-03-27 11:10:33.333523	44184	21.2	1	8
2014-03-27 11:10:47.233366	44185	55	2	1
2014-03-27 11:10:47.464596	44186	20.8	1	1
2014-03-27 11:11:00.940341	44187	42	2	10
2014-03-27 11:11:01.161753	44188	22.0	1	10
2014-03-27 11:11:11.026497	44189	51	2	9
2014-03-27 11:11:11.259377	44190	20.9	1	9
2014-03-27 11:11:12.113126	44191	50	2	8
2014-03-27 11:11:12.333618	44192	21.2	1	8
2014-03-27 11:11:26.243665	44193	55	2	1
2014-03-27 11:11:26.495241	44194	20.8	1	1
2014-03-27 11:11:32.482453	44195	354	3	2
2014-03-27 11:11:32.704944	44196	1094358.5122459382	4	2
2014-03-27 11:11:39.939335	44197	42	2	10
2014-03-27 11:11:40.170306	44198	22.0	1	10
2014-03-27 11:11:50.027188	44199	51	2	9
2014-03-27 11:11:50.249252	44200	20.9	1	9
2014-03-27 11:11:51.112633	44201	50	2	8
2014-03-27 11:11:51.344905	44202	21.2	1	8
2014-03-27 11:12:05.2352	44203	55	2	1
2014-03-27 11:12:05.456589	44204	20.8	1	1
2014-03-27 11:12:18.937434	44205	42	2	10
2014-03-27 11:12:19.173349	44206	22.0	1	10
2014-03-27 11:12:29.028282	44207	51	2	9
2014-03-27 11:12:29.249545	44208	20.9	1	9
2014-03-27 11:12:30.112709	44209	50	2	8
2014-03-27 11:12:30.344653	44210	21.2	1	8
2014-03-27 11:12:32.482915	44211	354	3	2
2014-03-27 11:12:32.704197	44212	1094364.2574195452	4	2
2014-03-27 11:12:44.235482	44213	55	2	1
2014-03-27 11:12:44.468083	44214	20.7	1	1
2014-03-27 11:12:56.480883	44215	434	3	2
2014-03-27 11:12:56.703824	44216	1094367.7045237094	4	2
2014-03-27 11:12:57.938988	44217	42	2	10
2014-03-27 11:12:58.183287	44218	22.0	1	10
2014-03-27 11:13:08.02487	44219	51	2	9
2014-03-27 11:13:08.248656	44220	20.9	1	9
2014-03-27 11:13:08.557003	44221	434	3	2
2014-03-27 11:13:08.789335	44222	1094368.853558431	4	2
2014-03-27 11:13:09.115175	44223	50	2	8
2014-03-27 11:13:09.338653	44224	21.2	1	8
2014-03-27 11:13:20.483178	44225	482	3	2
2014-03-27 11:13:20.771117	44226	1094371.1516278738	4	2
2014-03-27 11:13:23.236353	44227	55	2	1
2014-03-27 11:13:23.4583	44228	20.7	1	1
2014-03-27 11:13:32.480421	44229	418	3	2
2014-03-27 11:13:32.712291	44230	1094372.300662595	4	2
2014-03-27 11:13:36.94024	44231	42	2	10
2014-03-27 11:13:37.162451	44232	22.0	1	10
2014-03-27 11:13:44.481379	44233	531	3	2
2014-03-27 11:13:44.714289	44234	1094374.598732038	4	2
2014-03-27 11:13:47.025987	44235	51	2	9
2014-03-27 11:13:47.250832	44236	20.9	1	9
2014-03-27 11:13:48.111843	44237	50	2	8
2014-03-27 11:13:48.344819	44238	21.2	1	8
2014-03-27 11:13:56.481978	44239	531	3	2
2014-03-27 11:13:56.715632	44240	1094375.7477667595	4	2
2014-03-27 11:14:02.235326	44241	55	2	1
2014-03-27 11:14:02.467204	44242	20.7	1	1
2014-03-27 11:14:15.938424	44243	42	2	10
2014-03-27 11:14:16.160872	44244	22.0	1	10
2014-03-27 11:14:26.027927	44245	51	2	9
2014-03-27 11:14:26.261596	44246	20.9	1	9
2014-03-27 11:14:27.112958	44247	50	2	8
2014-03-27 11:14:27.333349	44248	21.2	1	8
2014-03-27 11:14:32.480841	44249	531	3	2
2014-03-27 11:14:32.712936	44250	1094381.4929403665	4	2
2014-03-27 11:14:41.233471	44251	55	2	1
2014-03-27 11:14:41.458115	44252	20.7	1	1
2014-03-27 11:14:54.93917	44253	42	2	10
2014-03-27 11:14:55.170664	44254	22.0	1	10
2014-03-27 11:15:05.026514	44255	51	2	9
2014-03-27 11:15:05.248798	44256	20.9	1	9
2014-03-27 11:15:06.111937	44257	50	2	8
2014-03-27 11:15:06.343255	44258	21.2	1	8
2014-03-27 11:15:08.482991	44259	434	3	2
2014-03-27 11:15:08.70527	44260	1094386.0890792522	4	2
2014-03-27 11:15:20.23272	44261	55	2	1
2014-03-27 11:15:20.46351	44262	20.7	1	1
2014-03-27 11:15:32.479737	44263	434	3	2
2014-03-27 11:15:32.704882	44264	1094388.3916196472	4	2
2014-03-27 11:15:33.93985	44265	42	2	10
2014-03-27 11:15:34.181531	44266	22.0	1	10
2014-03-27 11:15:44.026616	44267	51	2	9
2014-03-27 11:15:44.247552	44268	20.9	1	9
2014-03-27 11:15:45.113171	44269	50	2	8
2014-03-27 11:15:45.347008	44270	21.2	1	8
2014-03-27 11:15:59.232457	44271	55	2	1
2014-03-27 11:15:59.453992	44272	20.7	1	1
2014-03-27 11:16:12.939406	44273	42	2	10
2014-03-27 11:16:13.173095	44274	22.0	1	10
2014-03-27 11:16:23.026586	44275	51	2	9
2014-03-27 11:16:23.247599	44276	20.9	1	9
2014-03-27 11:16:24.11196	44277	50	2	8
2014-03-27 11:16:24.344191	44278	21.2	1	8
2014-03-27 11:16:32.479918	44279	450	3	2
2014-03-27 11:16:32.701025	44280	1094395.2858279757	4	2
2014-03-27 11:16:38.229092	44281	54	2	1
2014-03-27 11:16:38.46013	44282	20.7	1	1
2014-03-27 11:16:51.93942	44283	42	2	10
2014-03-27 11:16:52.161063	44284	22.0	1	10
2014-03-27 11:17:02.053263	44285	51	2	9
2014-03-27 11:17:02.356047	44286	20.9	1	9
2014-03-27 11:17:03.112106	44287	50	2	8
2014-03-27 11:17:03.336082	44288	21.2	1	8
2014-03-27 11:17:17.233957	44289	54	2	1
2014-03-27 11:17:17.466143	44290	20.7	1	1
2014-03-27 11:17:30.941141	44291	42	2	10
2014-03-27 11:17:31.163597	44292	22.0	1	10
2014-03-27 11:17:32.482855	44293	466	3	2
2014-03-27 11:17:32.71376	44294	1094403.3290710256	4	2
2014-03-27 11:17:41.027894	44295	51	2	9
2014-03-27 11:17:41.250536	44296	20.9	1	9
2014-03-27 11:17:42.112419	44297	50	2	8
2014-03-27 11:17:42.344523	44298	21.2	1	8
2014-03-27 11:17:56.230759	44299	54	2	1
2014-03-27 11:17:56.453373	44300	20.7	1	1
2014-03-27 11:18:09.939205	44301	42	2	10
2014-03-27 11:18:10.172677	44302	22.0	1	10
2014-03-27 11:18:20.027909	44303	51	2	9
2014-03-27 11:18:20.252382	44304	20.9	1	9
2014-03-27 11:18:21.11446	44305	50	2	8
2014-03-27 11:18:21.345053	44306	21.2	1	8
2014-03-27 11:18:32.479645	44307	466	3	2
2014-03-27 11:18:32.70323	44308	1094411.3723140755	4	2
2014-03-27 11:18:35.234256	44309	54	2	1
2014-03-27 11:18:35.465317	44310	20.7	1	1
2014-03-27 11:18:48.940685	44311	42	2	10
2014-03-27 11:18:49.162805	44312	22.0	1	10
2014-03-27 11:18:59.026445	44313	51	2	9
2014-03-27 11:18:59.2706	44314	20.9	1	9
2014-03-27 11:19:00.112408	44315	50	2	8
2014-03-27 11:19:00.333615	44316	21.2	1	8
2014-03-27 11:19:14.229083	44317	54	2	1
2014-03-27 11:19:14.462757	44318	20.7	1	1
2014-03-27 11:19:27.93982	44319	43	2	10
2014-03-27 11:19:28.195118	44320	21.9	1	10
2014-03-27 11:19:32.47792	44321	466	3	2
2014-03-27 11:19:32.734325	44322	1094418.266522404	4	2
2014-03-27 11:19:38.027163	44323	51	2	9
2014-03-27 11:19:38.452908	44324	20.9	1	9
2014-03-27 11:19:39.115899	44325	50	2	8
2014-03-27 11:19:39.401666	44326	21.2	1	8
2014-03-27 11:19:53.229938	44327	54	2	1
2014-03-27 11:19:53.507012	44328	20.7	1	1
2014-03-27 11:20:06.942254	44329	43	2	10
2014-03-27 11:20:07.665336	44330	21.9	1	10
2014-03-27 11:20:17.027307	44331	51	2	9
2014-03-27 11:20:17.285385	44332	20.9	1	9
2014-03-27 11:20:18.112324	44333	50	2	8
2014-03-27 11:20:18.378836	44334	21.2	1	8
2014-03-27 11:20:32.22814	44335	54	2	1
2014-03-27 11:20:32.456959	44336	20.7	1	1
2014-03-27 11:20:45.942086	44337	43	2	10
2014-03-27 11:20:46.173621	44338	21.9	1	10
2014-03-27 11:20:56.026319	44339	51	2	9
2014-03-27 11:20:56.248234	44340	20.9	1	9
2014-03-27 11:20:57.112585	44341	50	2	8
2014-03-27 11:20:57.344485	44342	21.2	1	8
2014-03-27 11:21:11.230673	44343	54	2	1
2014-03-27 11:21:11.453277	44344	20.7	1	1
2014-03-27 11:21:24.94173	44345	43	2	10
2014-03-27 11:21:25.172269	44346	21.9	1	10
2014-03-27 11:21:32.476757	44347	450	3	2
2014-03-27 11:21:32.700003	44348	1094434.3530085038	4	2
2014-03-27 11:21:35.026209	44349	51	2	9
2014-03-27 11:21:35.256604	44350	20.9	1	9
2014-03-27 11:21:36.111626	44351	50	2	8
2014-03-27 11:21:36.33444	44352	21.2	1	8
2014-03-27 11:21:44.475993	44353	370	3	2
2014-03-27 11:21:44.707493	44354	1094435.502043225	4	2
2014-03-27 11:21:50.232808	44355	54	2	1
2014-03-27 11:21:50.455757	44356	20.7	1	1
2014-03-27 11:21:56.480241	44357	370	3	2
2014-03-27 11:21:56.71144	44358	1094436.6510779466	4	2
2014-03-27 11:22:03.941362	44359	43	2	10
2014-03-27 11:22:04.164117	44360	21.9	1	10
2014-03-27 11:22:14.026273	44361	51	2	9
2014-03-27 11:22:14.268831	44362	20.9	1	9
2014-03-27 11:22:15.111355	44363	50	2	8
2014-03-27 11:22:15.333407	44364	21.2	1	8
2014-03-27 11:22:29.229033	44365	54	2	1
2014-03-27 11:22:29.459711	44366	20.6	1	1
2014-03-27 11:22:32.479196	44367	370	3	2
2014-03-27 11:22:32.699143	44368	1094440.0981821108	4	2
2014-03-27 11:22:42.942884	44369	43	2	10
2014-03-27 11:22:43.174463	44370	21.9	1	10
2014-03-27 11:22:53.027709	44371	51	2	9
2014-03-27 11:22:53.249089	44372	20.9	1	9
2014-03-27 11:22:54.11187	44373	50	2	8
2014-03-27 11:22:54.343144	44374	21.2	1	8
2014-03-27 11:23:08.230038	44375	54	2	1
2014-03-27 11:23:08.450685	44376	20.6	1	1
2014-03-27 11:23:21.943548	44377	43	2	10
2014-03-27 11:23:22.176893	44378	21.9	1	10
2014-03-27 11:23:32.025387	44379	51	2	9
2014-03-27 11:23:32.247953	44380	20.9	1	9
2014-03-27 11:23:32.552015	44381	370	3	2
2014-03-27 11:23:32.783469	44382	1094445.8433557178	4	2
2014-03-27 11:23:33.112532	44383	50	2	8
2014-03-27 11:23:33.334975	44384	21.2	1	8
2014-03-27 11:23:47.222081	44385	54	2	1
2014-03-27 11:23:47.454752	44386	20.6	1	1
2014-03-27 11:24:00.94097	44387	43	2	10
2014-03-27 11:24:01.163485	44388	21.9	1	10
2014-03-27 11:24:11.028638	44389	51	2	9
2014-03-27 11:24:11.26246	44390	20.9	1	9
2014-03-27 11:24:12.111615	44391	50	2	8
2014-03-27 11:24:12.335168	44392	21.2	1	8
2014-03-27 11:24:26.227701	44393	54	2	1
2014-03-27 11:24:26.460717	44394	20.6	1	1
2014-03-27 11:24:32.478986	44395	418	3	2
2014-03-27 11:24:32.699539	44396	1094452.7375640464	4	2
2014-03-27 11:24:39.94222	44397	43	2	10
2014-03-27 11:24:40.174131	44398	21.9	1	10
2014-03-27 11:24:44.478621	44399	418	3	2
2014-03-27 11:24:44.698219	44400	1094453.8865987677	4	2
2014-03-27 11:24:50.027549	44401	51	2	9
2014-03-27 11:24:50.260625	44402	20.9	1	9
2014-03-27 11:24:51.112709	44403	50	2	8
2014-03-27 11:24:51.33498	44404	21.2	1	8
2014-03-27 11:25:05.224148	44405	54	2	1
2014-03-27 11:25:05.456684	44406	20.6	1	1
2014-03-27 11:25:18.942438	44407	43	2	10
2014-03-27 11:25:19.165555	44408	21.9	1	10
2014-03-27 11:25:29.027608	44409	51	2	9
2014-03-27 11:25:29.270244	44410	20.9	1	9
2014-03-27 11:25:30.114622	44411	50	2	8
2014-03-27 11:25:30.334919	44412	21.2	1	8
2014-03-27 11:25:32.480931	44413	418	3	2
2014-03-27 11:25:32.71116	44414	1094459.631772375	4	2
2014-03-27 11:25:44.227118	44415	54	2	1
2014-03-27 11:25:44.447866	44416	20.6	1	1
2014-03-27 11:25:57.942291	44417	43	2	10
2014-03-27 11:25:58.174419	44418	21.9	1	10
2014-03-27 11:26:08.026499	44419	51	2	9
2014-03-27 11:26:08.249414	44420	20.8	1	9
2014-03-27 11:26:09.112214	44421	50	2	8
2014-03-27 11:26:09.342949	44422	21.2	1	8
2014-03-27 11:26:23.224349	44423	54	2	1
2014-03-27 11:26:23.446332	44424	20.6	1	1
2014-03-27 11:26:32.479747	44425	418	3	2
2014-03-27 11:26:32.714093	44426	1094466.5259807033	4	2
2014-03-27 11:26:36.942116	44427	43	2	10
2014-03-27 11:26:37.163526	44428	21.9	1	10
2014-03-27 11:26:44.476209	44429	370	3	2
2014-03-27 11:26:44.712671	44430	1094467.6750154248	4	2
2014-03-27 11:26:47.026065	44431	51	2	9
2014-03-27 11:26:47.24742	44432	20.8	1	9
2014-03-27 11:26:48.112884	44433	50	2	8
2014-03-27 11:26:48.347668	44434	21.2	1	8
2014-03-27 11:26:56.478934	44435	370	3	2
2014-03-27 11:26:56.702476	44436	1094468.8240501462	4	2
2014-03-27 11:27:02.223634	44437	54	2	1
2014-03-27 11:27:02.454475	44438	20.6	1	1
2014-03-27 11:27:15.942419	44439	43	2	10
2014-03-27 11:27:16.165385	44440	21.9	1	10
2014-03-27 11:27:26.026041	44441	51	2	9
2014-03-27 11:27:26.258408	44442	20.8	1	9
2014-03-27 11:27:27.11283	44443	50	2	8
2014-03-27 11:27:27.334133	44444	21.2	1	8
2014-03-27 11:27:32.475613	44445	305	3	2
2014-03-27 11:27:32.708857	44446	1094472.2711543106	4	2
2014-03-27 11:27:41.225874	44447	54	2	1
2014-03-27 11:27:41.449553	44448	20.6	1	1
2014-03-27 11:27:44.47595	44449	338	3	2
2014-03-27 11:27:44.706844	44450	1094473.4201890319	4	2
2014-03-27 11:27:54.945217	44451	43	2	10
2014-03-27 11:27:55.166592	44452	21.9	1	10
2014-03-27 11:27:56.476582	44453	338	3	2
2014-03-27 11:27:56.709575	44454	1094474.5692237532	4	2
2014-03-27 11:28:05.028252	44455	51	2	9
2014-03-27 11:28:05.251443	44456	20.8	1	9
2014-03-27 11:28:06.11132	44457	49	2	8
2014-03-27 11:28:06.35279	44458	21.1	1	8
2014-03-27 11:28:08.477035	44459	305	3	2
2014-03-27 11:28:08.698566	44460	1094475.7182584747	4	2
2014-03-27 11:28:20.226912	44461	54	2	1
2014-03-27 11:28:20.457382	44462	20.6	1	1
2014-03-27 11:28:32.478853	44463	370	3	2
2014-03-27 11:28:32.699245	44464	1094478.0163279176	4	2
2014-03-27 11:28:33.942517	44465	43	2	10
2014-03-27 11:28:34.175576	44466	21.9	1	10
2014-03-27 11:28:44.027889	44467	51	2	9
2014-03-27 11:28:44.249191	44468	20.8	1	9
2014-03-27 11:28:44.554297	44469	354	3	2
2014-03-27 11:28:44.7847	44470	1094479.165362639	4	2
2014-03-27 11:28:45.113	44471	49	2	8
2014-03-27 11:28:45.334251	44472	21.1	1	8
2014-03-27 11:28:59.22583	44473	54	2	1
2014-03-27 11:28:59.457541	44474	20.6	1	1
2014-03-27 11:29:12.942593	44475	43	2	10
2014-03-27 11:29:13.165979	44476	21.8	1	10
2014-03-27 11:29:23.025072	44477	51	2	9
2014-03-27 11:29:23.258776	44478	20.8	1	9
2014-03-27 11:29:24.110705	44479	49	2	8
2014-03-27 11:29:24.335137	44480	21.1	1	8
2014-03-27 11:29:32.478794	44481	354	3	2
2014-03-27 11:29:32.710947	44482	1094483.7615015246	4	2
2014-03-27 11:29:38.226942	44483	54	2	1
2014-03-27 11:29:38.44986	44484	20.6	1	1
2014-03-27 11:29:51.942998	44485	43	2	10
2014-03-27 11:29:52.172559	44486	21.8	1	10
2014-03-27 11:30:02.02577	44487	51	2	9
2014-03-27 11:30:02.247306	44488	20.8	1	9
2014-03-27 11:30:03.111697	44489	49	2	8
2014-03-27 11:30:03.347153	44490	21.1	1	8
2014-03-27 11:30:17.222129	44491	54	2	1
2014-03-27 11:30:17.44676	44492	20.6	1	1
2014-03-27 11:30:30.94489	44493	43	2	10
2014-03-27 11:30:31.176995	44494	21.8	1	10
2014-03-27 11:30:32.477809	44495	370	3	2
2014-03-27 11:30:32.699169	44496	1094490.6557098532	4	2
2014-03-27 11:30:41.025287	44497	51	2	9
2014-03-27 11:30:41.256813	44498	20.8	1	9
2014-03-27 11:30:42.110974	44499	49	2	8
2014-03-27 11:30:42.333333	44500	21.1	1	8
2014-03-27 11:30:56.221472	44501	54	2	1
2014-03-27 11:30:56.460709	44502	20.6	1	1
2014-03-27 11:31:09.944508	44503	43	2	10
2014-03-27 11:31:10.166978	44504	21.8	1	10
2014-03-27 11:31:20.025964	44505	51	2	9
2014-03-27 11:31:20.27085	44506	20.8	1	9
2014-03-27 11:31:21.157575	44507	49	2	8
2014-03-27 11:31:21.389119	44508	21.1	1	8
2014-03-27 11:31:32.479216	44509	370	3	2
2014-03-27 11:31:32.711225	44510	1094496.4008834602	4	2
2014-03-27 11:31:35.222723	44511	54	2	1
2014-03-27 11:31:35.443154	44512	20.6	1	1
2014-03-27 11:31:48.943172	44513	43	2	10
2014-03-27 11:31:49.176858	44514	21.8	1	10
2014-03-27 11:31:59.025193	44515	51	2	9
2014-03-27 11:31:59.247955	44516	20.8	1	9
2014-03-27 11:32:00.11059	44517	49	2	8
2014-03-27 11:32:00.340735	44518	21.1	1	8
2014-03-27 11:32:14.220744	44519	54	2	1
2014-03-27 11:32:14.441809	44520	20.6	1	1
2014-03-27 11:32:27.944295	44521	43	2	10
2014-03-27 11:32:28.176633	44522	21.8	1	10
2014-03-27 11:32:32.475493	44523	354	3	2
2014-03-27 11:32:32.698636	44524	1094502.1460570672	4	2
2014-03-27 11:32:38.029751	44525	51	2	9
2014-03-27 11:32:38.263539	44526	20.8	1	9
2014-03-27 11:32:39.112136	44527	49	2	8
2014-03-27 11:32:39.334322	44528	21.1	1	8
2014-03-27 11:32:53.221033	44529	54	2	1
2014-03-27 11:32:53.452414	44530	20.6	1	1
2014-03-27 11:33:06.945876	44531	43	2	10
2014-03-27 11:33:07.167885	44532	21.8	1	10
2014-03-27 11:33:17.024604	44533	51	2	9
2014-03-27 11:33:17.257296	44534	20.8	1	9
2014-03-27 11:33:18.112174	44535	49	2	8
2014-03-27 11:33:18.334205	44536	21.1	1	8
2014-03-27 11:33:32.222153	44537	54	2	1
2014-03-27 11:33:32.453143	44538	20.6	1	1
2014-03-27 11:33:44.480046	44539	305	3	2
2014-03-27 11:33:44.701765	44540	1094510.189300117	4	2
2014-03-27 11:33:45.944144	44541	43	2	10
2014-03-27 11:33:46.176408	44542	21.8	1	10
2014-03-27 11:33:56.028753	44543	51	2	9
2014-03-27 11:33:56.255995	44544	20.8	1	9
2014-03-27 11:33:56.561765	44545	305	3	2
2014-03-27 11:33:56.792523	44546	1094511.3383348386	4	2
2014-03-27 11:33:57.112799	44547	49	2	8
2014-03-27 11:33:57.333577	44548	21.1	1	8
2014-03-27 11:34:08.479334	44549	338	3	2
2014-03-27 11:34:08.71262	44550	1094512.48736956	4	2
2014-03-27 11:34:11.219655	44551	54	2	1
2014-03-27 11:34:11.441917	44552	20.6	1	1
2014-03-27 11:34:20.477255	44553	305	3	2
2014-03-27 11:34:20.721708	44554	1094512.48736956	4	2
2014-03-27 11:34:24.944043	44555	43	2	10
2014-03-27 11:34:25.166711	44556	21.8	1	10
2014-03-27 11:34:32.478697	44557	305	3	2
2014-03-27 11:34:32.710744	44558	1094513.6364042815	4	2
2014-03-27 11:34:35.025159	44559	51	2	9
2014-03-27 11:34:35.248676	44560	20.8	1	9
2014-03-27 11:34:36.111713	44561	49	2	8
2014-03-27 11:34:36.343533	44562	21.1	1	8
2014-03-27 11:34:44.474497	44563	338	3	2
2014-03-27 11:34:44.69648	44564	1094514.7854390028	4	2
2014-03-27 11:34:50.221449	44565	54	2	1
2014-03-27 11:34:50.452365	44566	20.6	1	1
2014-03-27 11:35:03.744799	44567	338	3	2
2014-03-27 11:35:03.967717	44568	1094515.9344737243	4	2
2014-03-27 11:35:04.271291	44569	43	2	10
2014-03-27 11:35:04.503003	44570	21.8	1	10
2014-03-27 11:35:14.025688	44571	51	2	9
2014-03-27 11:35:14.251414	44572	20.8	1	9
2014-03-27 11:35:15.110813	44573	49	2	8
2014-03-27 11:35:15.344701	44574	21.1	1	8
2014-03-27 11:35:29.220779	44575	54	2	1
2014-03-27 11:35:29.443949	44576	20.6	1	1
2014-03-27 11:35:32.478814	44577	338	3	2
2014-03-27 11:35:32.710309	44578	1094519.3815778885	4	2
2014-03-27 11:35:42.944158	44579	43	2	10
2014-03-27 11:35:43.165463	44580	21.8	1	10
2014-03-27 11:35:53.025668	44581	51	2	9
2014-03-27 11:35:53.257451	44582	20.8	1	9
2014-03-27 11:35:54.110669	44583	49	2	8
2014-03-27 11:35:54.330855	44584	21.1	1	8
2014-03-27 11:36:08.222958	44585	54	2	1
2014-03-27 11:36:08.456065	44586	20.6	1	1
2014-03-27 11:36:21.945076	44587	43	2	10
2014-03-27 11:36:22.167135	44588	21.8	1	10
2014-03-27 11:36:32.024858	44589	51	2	9
2014-03-27 11:36:32.255139	44590	20.8	1	9
2014-03-27 11:36:32.56323	44591	338	3	2
2014-03-27 11:36:32.784563	44592	1094525.1267514955	4	2
2014-03-27 11:36:33.110272	44593	49	2	8
2014-03-27 11:36:33.341472	44594	21.1	1	8
2014-03-27 11:36:47.220427	44595	54	2	1
2014-03-27 11:36:47.441816	44596	20.6	1	1
2014-03-27 11:37:00.944293	44597	43	2	10
2014-03-27 11:37:01.178731	44598	21.8	1	10
2014-03-27 11:37:11.025619	44599	51	2	9
2014-03-27 11:37:11.246117	44600	20.8	1	9
2014-03-27 11:37:12.109981	44601	49	2	8
2014-03-27 11:37:12.351514	44602	21.1	1	8
2014-03-27 11:37:26.220412	44603	54	2	1
2014-03-27 11:37:26.446685	44604	20.6	1	1
2014-03-27 11:37:32.481074	44605	354	3	2
2014-03-27 11:37:32.714536	44606	1094530.8719251025	4	2
2014-03-27 11:37:39.944799	44607	43	2	10
2014-03-27 11:37:40.169174	44608	21.8	1	10
2014-03-27 11:37:50.024242	44609	51	2	9
2014-03-27 11:37:50.25672	44610	20.8	1	9
2014-03-27 11:37:51.111181	44611	49	2	8
2014-03-27 11:37:51.388187	44612	21.1	1	8
2014-03-27 11:38:05.221129	44613	54	2	1
2014-03-27 11:38:05.453817	44614	20.6	1	1
2014-03-27 11:38:18.947027	44615	43	2	10
2014-03-27 11:38:19.168128	44616	21.8	1	10
2014-03-27 11:38:29.027466	44617	51	2	9
2014-03-27 11:38:29.258155	44618	20.8	1	9
2014-03-27 11:38:30.110151	44619	49	2	8
2014-03-27 11:38:30.333248	44620	21.1	1	8
2014-03-27 11:38:32.481647	44621	354	3	2
2014-03-27 11:38:32.71349	44622	1094536.6170987098	4	2
2014-03-27 11:38:44.46336	44623	54	2	1
2014-03-27 11:38:44.68479	44624	20.6	1	1
2014-03-27 11:38:57.948579	44625	43	2	10
2014-03-27 11:38:58.179135	44626	21.8	1	10
2014-03-27 11:39:08.027439	44627	51	2	9
2014-03-27 11:39:08.248719	44628	20.8	1	9
2014-03-27 11:39:09.110283	44629	49	2	8
2014-03-27 11:39:09.341857	44630	21.1	1	8
2014-03-27 11:39:23.221981	44631	54	2	1
2014-03-27 11:39:23.446156	44632	20.6	1	1
2014-03-27 11:39:32.477124	44633	354	3	2
2014-03-27 11:39:32.710723	44634	1094542.3622723168	4	2
2014-03-27 11:39:36.946015	44635	43	2	10
2014-03-27 11:39:37.169174	44636	21.8	1	10
2014-03-27 11:39:47.024714	44637	51	2	9
2014-03-27 11:39:47.25828	44638	20.8	1	9
2014-03-27 11:39:48.112608	44639	49	2	8
2014-03-27 11:39:48.332572	44640	21.1	1	8
2014-03-27 11:40:02.220882	44641	54	2	1
2014-03-27 11:40:02.452894	44642	20.6	1	1
2014-03-27 11:40:15.945625	44643	43	2	10
2014-03-27 11:40:16.168525	44644	21.8	1	10
2014-03-27 11:40:20.479353	44645	402	3	2
2014-03-27 11:40:20.711114	44646	1094548.1074459238	4	2
2014-03-27 11:40:26.025241	44647	51	2	9
2014-03-27 11:40:26.249049	44648	20.8	1	9
2014-03-27 11:40:27.110477	44649	49	2	8
2014-03-27 11:40:27.355351	44650	21.1	1	8
2014-03-27 11:40:32.478155	44651	402	3	2
2014-03-27 11:40:32.697493	44652	1094549.2564806452	4	2
2014-03-27 11:40:41.219437	44653	54	2	1
2014-03-27 11:40:41.452925	44654	20.6	1	1
2014-03-27 11:40:55.156939	44655	43	2	10
2014-03-27 11:40:55.38086	44656	21.8	1	10
2014-03-27 11:41:05.025193	44657	51	2	9
2014-03-27 11:41:05.256625	44658	20.8	1	9
2014-03-27 11:41:06.11054	44659	49	2	8
2014-03-27 11:41:06.331651	44660	21.1	1	8
2014-03-27 11:41:20.220384	44661	54	2	1
2014-03-27 11:41:20.453925	44662	20.6	1	1
2014-03-27 11:41:32.479157	44663	402	3	2
2014-03-27 11:41:32.700862	44664	1094556.1506889737	4	2
2014-03-27 11:41:33.946798	44665	43	2	10
2014-03-27 11:41:34.177921	44666	21.8	1	10
2014-03-27 11:41:44.025986	44667	51	2	9
2014-03-27 11:41:44.247449	44668	20.8	1	9
2014-03-27 11:41:45.11122	44669	49	2	8
2014-03-27 11:41:45.341909	44670	21.1	1	8
2014-03-27 11:41:59.219133	44671	54	2	1
2014-03-27 11:41:59.440718	44672	20.6	1	1
2014-03-27 11:42:12.948134	44673	43	2	10
2014-03-27 11:42:13.181116	44674	21.7	1	10
2014-03-27 11:42:23.025499	44675	51	2	9
2014-03-27 11:42:23.2473	44676	20.8	1	9
2014-03-27 11:42:24.11024	44677	49	2	8
2014-03-27 11:42:24.342421	44678	21.1	1	8
2014-03-27 11:42:32.478094	44679	418	3	2
2014-03-27 11:42:32.701106	44680	1094563.0448973023	4	2
2014-03-27 11:42:38.21958	44681	54	2	1
2014-03-27 11:42:38.453335	44682	20.6	1	1
2014-03-27 11:42:51.946728	44683	43	2	10
2014-03-27 11:42:52.168933	44684	21.7	1	10
2014-03-27 11:43:02.024612	44685	51	2	9
2014-03-27 11:43:02.258718	44686	20.8	1	9
2014-03-27 11:43:03.110969	44687	49	2	8
2014-03-27 11:43:03.332122	44688	21.1	1	8
2014-03-27 11:43:17.218266	44689	54	2	1
2014-03-27 11:43:17.449208	44690	20.6	1	1
2014-03-27 11:43:30.947371	44691	43	2	10
2014-03-27 11:43:31.171184	44692	21.7	1	10
2014-03-27 11:43:32.476695	44693	402	3	2
2014-03-27 11:43:32.707425	44694	1094569.9391056306	4	2
2014-03-27 11:43:41.025591	44695	51	2	9
2014-03-27 11:43:41.24773	44696	20.8	1	9
2014-03-27 11:43:42.111152	44697	49	2	8
2014-03-27 11:43:42.353283	44698	21.1	1	8
2014-03-27 11:43:56.219915	44699	54	2	1
2014-03-27 11:43:56.441494	44700	20.6	1	1
2014-03-27 11:44:09.949983	44701	43	2	10
2014-03-27 11:44:10.182405	44702	21.7	1	10
2014-03-27 11:44:20.028637	44703	51	2	9
2014-03-27 11:44:20.263155	44704	20.8	1	9
2014-03-27 11:44:21.10894	44705	49	2	8
2014-03-27 11:44:21.341135	44706	21.1	1	8
2014-03-27 11:44:32.478625	44707	402	3	2
2014-03-27 11:44:32.700417	44708	1094576.8333139592	4	2
2014-03-27 11:44:35.215576	44709	54	2	1
2014-03-27 11:44:35.446375	44710	20.6	1	1
2014-03-27 11:44:48.94779	44711	43	2	10
2014-03-27 11:44:49.170593	44712	21.7	1	10
2014-03-27 11:44:56.476071	44713	354	3	2
2014-03-27 11:44:56.707708	44714	1094579.131383402	4	2
2014-03-27 11:44:59.235669	44715	51	2	9
2014-03-27 11:44:59.456342	44716	20.8	1	9
2014-03-27 11:45:00.112878	44717	49	2	8
2014-03-27 11:45:00.350445	44718	21.1	1	8
2014-03-27 11:45:14.014133	44719	370	3	2
2014-03-27 11:45:14.239843	44720	1094580.2804181234	4	2
2014-03-27 11:45:14.543052	44721	54	2	1
2014-03-27 11:45:14.773932	44722	20.6	1	1
2014-03-27 11:45:27.947903	44723	42	2	10
2014-03-27 11:45:28.172066	44724	21.7	1	10
2014-03-27 11:45:32.478434	44725	354	3	2
2014-03-27 11:45:32.712144	44726	1094582.5784875662	4	2
2014-03-27 11:45:38.025021	44727	51	2	9
2014-03-27 11:45:38.250359	44728	20.8	1	9
2014-03-27 11:45:39.109774	44729	49	2	8
2014-03-27 11:45:39.343704	44730	21.1	1	8
2014-03-27 11:45:53.218077	44731	54	2	1
2014-03-27 11:45:53.442836	44732	20.6	1	1
2014-03-27 11:46:06.948799	44733	42	2	10
2014-03-27 11:46:07.182887	44734	21.7	1	10
2014-03-27 11:46:17.02749	44735	51	2	9
2014-03-27 11:46:17.249721	44736	20.8	1	9
2014-03-27 11:46:18.10997	44737	49	2	8
2014-03-27 11:46:18.343368	44738	21.1	1	8
2014-03-27 11:46:32.213423	44739	54	2	1
2014-03-27 11:46:32.437106	44740	20.6	1	1
2014-03-27 11:46:45.948025	44741	43	2	10
2014-03-27 11:46:46.180469	44742	21.7	1	10
2014-03-27 11:46:56.024679	44743	51	2	9
2014-03-27 11:46:56.248942	44744	20.8	1	9
2014-03-27 11:46:57.110069	44745	49	2	8
2014-03-27 11:46:57.352536	44746	21.1	1	8
2014-03-27 11:47:11.214329	44747	54	2	1
2014-03-27 11:47:11.435054	44748	20.6	1	1
2014-03-27 11:47:24.946971	44749	43	2	10
2014-03-27 11:47:25.178785	44750	21.7	1	10
2014-03-27 11:47:32.476301	44751	370	3	2
2014-03-27 11:47:32.699919	44752	1094595.2178695018	4	2
2014-03-27 11:47:35.025622	44753	51	2	9
2014-03-27 11:47:35.255687	44754	20.8	1	9
2014-03-27 11:47:36.109537	44755	49	2	8
2014-03-27 11:47:36.330138	44756	21.1	1	8
2014-03-27 11:47:50.214719	44757	54	2	1
2014-03-27 11:47:50.448287	44758	20.6	1	1
2014-03-27 11:48:03.950813	44759	43	2	10
2014-03-27 11:48:04.172134	44760	21.7	1	10
2014-03-27 11:48:14.02537	44761	51	2	9
2014-03-27 11:48:14.255865	44762	20.8	1	9
2014-03-27 11:48:15.111811	44763	49	2	8
2014-03-27 11:48:15.3335	44764	21.1	1	8
2014-03-27 11:48:29.213311	44765	54	2	1
2014-03-27 11:48:29.44494	44766	20.6	1	1
2014-03-27 11:48:32.478505	44767	370	3	2
2014-03-27 11:48:32.699982	44768	1094600.963043109	4	2
2014-03-27 11:48:42.949099	44769	43	2	10
2014-03-27 11:48:43.181558	44770	21.7	1	10
2014-03-27 11:48:53.024832	44771	51	2	9
2014-03-27 11:48:53.248258	44772	20.8	1	9
2014-03-27 11:48:54.110589	44773	49	2	8
2014-03-27 11:48:54.34145	44774	21.1	1	8
2014-03-27 11:48:56.475301	44775	338	3	2
2014-03-27 11:48:56.704718	44776	1094603.2611125517	4	2
2014-03-27 11:49:08.214	44777	54	2	1
2014-03-27 11:49:08.44749	44778	20.6	1	1
2014-03-27 11:49:21.951426	44779	42	2	10
2014-03-27 11:49:22.171888	44780	21.7	1	10
2014-03-27 11:49:32.025428	44781	51	2	9
2014-03-27 11:49:32.25643	44782	20.7	1	9
2014-03-27 11:49:32.562051	44783	338	3	2
2014-03-27 11:49:32.783708	44784	1094606.708216716	4	2
2014-03-27 11:49:33.110786	44785	49	2	8
2014-03-27 11:49:33.34154	44786	21.1	1	8
2014-03-27 11:49:47.218318	44787	54	2	1
2014-03-27 11:49:47.440864	44788	20.6	1	1
2014-03-27 11:50:00.949578	44789	42	2	10
2014-03-27 11:50:01.183717	44790	21.7	1	10
2014-03-27 11:50:11.027475	44791	51	2	9
2014-03-27 11:50:11.248736	44792	20.7	1	9
2014-03-27 11:50:12.113118	44793	49	2	8
2014-03-27 11:50:12.357543	44794	21.1	1	8
2014-03-27 11:50:26.213726	44795	54	2	1
2014-03-27 11:50:26.436062	44796	20.6	1	1
2014-03-27 11:50:32.478081	44797	354	3	2
2014-03-27 11:50:32.710507	44798	1094612.453390323	4	2
2014-03-27 11:50:39.948962	44799	42	2	10
2014-03-27 11:50:40.173508	44800	21.7	1	10
2014-03-27 11:50:50.025249	44801	51	2	9
2014-03-27 11:50:50.258619	44802	20.7	1	9
2014-03-27 11:50:51.10888	44803	49	2	8
2014-03-27 11:50:51.333869	44804	21.1	1	8
2014-03-27 11:51:05.218567	44805	54	2	1
2014-03-27 11:51:05.450516	44806	20.6	1	1
2014-03-27 11:51:18.949757	44807	42	2	10
2014-03-27 11:51:19.170454	44808	21.7	1	10
2014-03-27 11:51:29.024615	44809	51	2	9
2014-03-27 11:51:29.255409	44810	20.7	1	9
2014-03-27 11:51:30.108536	44811	49	2	8
2014-03-27 11:51:30.329491	44812	21.1	1	8
2014-03-27 11:51:44.01062	44813	370	3	2
2014-03-27 11:51:44.242213	44814	1094618.19856393	4	2
2014-03-27 11:51:44.546976	44815	54	2	1
2014-03-27 11:51:44.768087	44816	20.6	1	1
2014-03-27 11:51:57.950485	44817	42	2	10
2014-03-27 11:51:58.183033	44818	21.7	1	10
2014-03-27 11:52:08.0265	44819	51	2	9
2014-03-27 11:52:08.248243	44820	20.7	1	9
2014-03-27 11:52:09.11069	44821	49	2	8
2014-03-27 11:52:09.343012	44822	21.1	1	8
2014-03-27 11:52:23.216236	44823	54	2	1
2014-03-27 11:52:23.440965	44824	20.6	1	1
2014-03-27 11:52:32.475109	44825	370	3	2
2014-03-27 11:52:32.705931	44826	1094625.0927722587	4	2
2014-03-27 11:52:36.95071	44827	42	2	10
2014-03-27 11:52:37.179875	44828	21.7	1	10
2014-03-27 11:52:44.479572	44829	402	3	2
2014-03-27 11:52:44.71328	44830	1094626.24180698	4	2
2014-03-27 11:52:47.025181	44831	51	2	9
2014-03-27 11:52:47.248124	44832	20.7	1	9
2014-03-27 11:52:48.110449	44833	49	2	8
2014-03-27 11:52:48.341638	44834	21.1	1	8
2014-03-27 11:52:56.475345	44835	402	3	2
2014-03-27 11:52:56.698711	44836	1094627.3908417015	4	2
2014-03-27 11:53:02.212939	44837	54	2	1
2014-03-27 11:53:02.445366	44838	20.6	1	1
2014-03-27 11:53:15.951117	44839	42	2	10
2014-03-27 11:53:16.173902	44840	21.7	1	10
2014-03-27 11:53:20.477767	44841	370	3	2
2014-03-27 11:53:20.722312	44842	1094629.6889111444	4	2
2014-03-27 11:53:26.025854	44843	50	2	9
2014-03-27 11:53:26.247123	44844	20.7	1	9
2014-03-27 11:53:27.11022	44845	49	2	8
2014-03-27 11:53:27.343268	44846	21.1	1	8
2014-03-27 11:53:32.478951	44847	402	3	2
2014-03-27 11:53:32.707518	44848	1094630.8379458657	4	2
2014-03-27 11:53:41.212842	44849	54	2	1
2014-03-27 11:53:41.444621	44850	20.6	1	1
2014-03-27 11:53:44.475703	44851	370	3	2
2014-03-27 11:53:44.698001	44852	1094631.9869805872	4	2
2014-03-27 11:53:54.950568	44853	42	2	10
2014-03-27 11:53:55.1831	44854	21.7	1	10
2014-03-27 11:53:56.47456	44855	370	3	2
2014-03-27 11:53:56.69626	44856	1094634.2850500299	4	2
2014-03-27 11:54:05.027421	44857	50	2	9
2014-03-27 11:54:05.259485	44858	20.7	1	9
2014-03-27 11:54:06.110672	44859	49	2	8
2014-03-27 11:54:06.335416	44860	21.1	1	8
2014-03-27 11:54:20.212006	44861	54	2	1
2014-03-27 11:54:20.443929	44862	20.6	1	1
2014-03-27 11:54:32.475182	44863	402	3	2
2014-03-27 11:54:32.696239	44864	1094637.7321541943	4	2
2014-03-27 11:54:33.951664	44865	42	2	10
2014-03-27 11:54:34.182518	44866	21.7	1	10
2014-03-27 11:54:44.025423	44867	50	2	9
2014-03-27 11:54:44.247176	44868	20.7	1	9
2014-03-27 11:54:44.552744	44869	370	3	2
2014-03-27 11:54:44.784248	44870	1094638.8811889156	4	2
2014-03-27 11:54:45.110106	44871	49	2	8
2014-03-27 11:54:45.332216	44872	21.1	1	8
2014-03-27 11:54:56.479083	44873	370	3	2
2014-03-27 11:54:56.709484	44874	1094640.0302236371	4	2
2014-03-27 11:54:59.209302	44875	54	2	1
2014-03-27 11:54:59.432182	44876	20.6	1	1
2014-03-27 11:55:12.952069	44877	42	2	10
2014-03-27 11:55:13.187407	44878	21.7	1	10
2014-03-27 11:55:23.02748	44879	50	2	9
2014-03-27 11:55:23.250399	44880	20.7	1	9
2014-03-27 11:55:24.112576	44881	49	2	8
2014-03-27 11:55:24.3439	44882	21.1	1	8
2014-03-27 11:55:32.473882	44883	370	3	2
2014-03-27 11:55:32.696334	44884	1094643.4773278013	4	2
2014-03-27 11:55:38.210291	44885	54	2	1
2014-03-27 11:55:38.442827	44886	20.6	1	1
2014-03-27 11:55:51.982556	44887	42	2	10
2014-03-27 11:55:52.208704	44888	21.7	1	10
2014-03-27 11:56:02.025747	44889	50	2	9
2014-03-27 11:56:02.273162	44890	20.7	1	9
2014-03-27 11:56:03.110026	44891	49	2	8
2014-03-27 11:56:03.335105	44892	21.1	1	8
2014-03-27 11:56:08.474594	44893	402	3	2
2014-03-27 11:56:08.707867	44894	1094646.9244319655	4	2
2014-03-27 11:56:17.216901	44895	54	2	1
2014-03-27 11:56:17.439515	44896	20.6	1	1
2014-03-27 11:56:20.47757	44897	402	3	2
2014-03-27 11:56:20.707402	44898	1094649.2225014083	4	2
2014-03-27 11:56:30.951506	44899	42	2	10
2014-03-27 11:56:31.174193	44900	21.7	1	10
2014-03-27 11:56:40.825535	44901	402	3	2
2014-03-27 11:56:41.057413	44902	1094650.3715361299	4	2
2014-03-27 11:56:41.362257	44903	50	2	9
2014-03-27 11:56:41.584188	44904	20.7	1	9
2014-03-27 11:56:42.11096	44905	49	2	8
2014-03-27 11:56:42.343103	44906	21.1	1	8
2014-03-27 11:56:44.475166	44907	370	3	2
2014-03-27 11:56:44.695998	44908	1094651.5205708512	4	2
2014-03-27 11:56:56.21194	44909	54	2	1
2014-03-27 11:56:56.447402	44910	20.6	1	1
2014-03-27 11:57:08.478482	44911	354	3	2
2014-03-27 11:57:08.700154	44912	1094653.818640294	4	2
2014-03-27 11:57:09.951984	44913	42	2	10
2014-03-27 11:57:10.183896	44914	21.7	1	10
2014-03-27 11:57:20.024937	44915	50	2	9
2014-03-27 11:57:20.248258	44916	20.7	1	9
2014-03-27 11:57:20.555541	44917	338	3	2
2014-03-27 11:57:20.787635	44918	1094654.9676750153	4	2
2014-03-27 11:57:21.111038	44919	49	2	8
2014-03-27 11:57:21.333082	44920	21.1	1	8
2014-03-27 11:57:32.476205	44921	354	3	2
2014-03-27 11:57:32.707486	44922	1094656.1167097369	4	2
2014-03-27 11:57:35.211553	44923	54	2	1
2014-03-27 11:57:35.434477	44924	20.6	1	1
2014-03-27 11:57:48.952532	44925	42	2	10
2014-03-27 11:57:49.189087	44926	21.7	1	10
2014-03-27 11:57:59.027544	44927	50	2	9
2014-03-27 11:57:59.250146	44928	20.7	1	9
2014-03-27 11:58:00.109971	44929	49	2	8
2014-03-27 11:58:00.341765	44930	21.1	1	8
2014-03-27 11:58:14.212527	44931	54	2	1
2014-03-27 11:58:14.433491	44932	20.6	1	1
2014-03-27 11:58:27.955597	44933	42	2	10
2014-03-27 11:58:28.189607	44934	21.6	1	10
2014-03-27 11:58:32.473605	44935	354	3	2
2014-03-27 11:58:32.696189	44936	1094661.861883344	4	2
2014-03-27 11:58:38.024636	44937	50	2	9
2014-03-27 11:58:38.269175	44938	20.7	1	9
2014-03-27 11:58:39.11065	44939	49	2	8
2014-03-27 11:58:39.333257	44940	21.1	1	8
2014-03-27 11:58:53.209771	44941	54	2	1
2014-03-27 11:58:53.625903	44942	20.6	1	1
2014-03-27 11:59:06.951935	44943	42	2	10
2014-03-27 11:59:07.178061	44944	21.6	1	10
2014-03-27 11:59:17.025054	44945	50	2	9
2014-03-27 11:59:17.246519	44946	20.7	1	9
2014-03-27 11:59:18.109404	44947	49	2	8
2014-03-27 11:59:18.338706	44948	21.1	1	8
2014-03-27 11:59:32.208079	44949	54	2	1
2014-03-27 11:59:32.430468	44950	20.6	1	1
2014-03-27 11:59:45.952906	44951	42	2	10
2014-03-27 11:59:46.184227	44952	21.6	1	10
2014-03-27 11:59:56.024522	44953	50	2	9
2014-03-27 11:59:56.246438	44954	20.7	1	9
2014-03-27 11:59:57.110247	44955	49	2	8
2014-03-27 11:59:57.348108	44956	21.1	1	8
2014-03-27 12:00:11.207848	44957	54	2	1
2014-03-27 12:00:11.429309	44958	20.6	1	1
2014-03-27 12:00:32.327856	44959	42	2	10
2014-03-27 12:00:32.567782	44960	21.6	1	10
2014-03-27 12:00:32.87696	44961	338	3	2
2014-03-27 12:00:33.100025	44962	1094673.3522305582	4	2
2014-03-27 12:00:35.026734	44963	50	2	9
2014-03-27 12:00:35.259514	44964	20.7	1	9
2014-03-27 12:00:36.112304	44965	49	2	8
2014-03-27 12:00:36.333127	44966	21.1	1	8
2014-03-27 12:00:50.209401	44967	54	2	1
2014-03-27 12:00:50.439822	44968	20.6	1	1
2014-03-27 12:01:03.952151	44969	42	2	10
2014-03-27 12:01:04.175158	44970	21.6	1	10
2014-03-27 12:01:14.025727	44971	50	2	9
2014-03-27 12:01:14.260455	44972	20.7	1	9
2014-03-27 12:01:15.112504	44973	49	2	8
2014-03-27 12:01:15.333737	44974	21.1	1	8
2014-03-27 12:01:20.47788	44975	370	3	2
2014-03-27 12:01:20.728797	44976	1094677.9483694436	4	2
2014-03-27 12:01:29.210768	44977	54	2	1
2014-03-27 12:01:29.432684	44978	20.6	1	1
2014-03-27 12:01:32.475116	44979	354	3	2
2014-03-27 12:01:32.706919	44980	1094679.0974041652	4	2
2014-03-27 12:01:42.953355	44981	42	2	10
2014-03-27 12:01:43.17593	44982	21.6	1	10
2014-03-27 12:01:53.023676	44983	50	2	9
2014-03-27 12:01:53.258225	44984	20.7	1	9
2014-03-27 12:01:54.109914	44985	49	2	8
2014-03-27 12:01:54.333448	44986	21.1	1	8
2014-03-27 12:02:08.209469	44987	54	2	1
2014-03-27 12:02:08.452015	44988	20.6	1	1
2014-03-27 12:02:21.952634	44989	42	2	10
2014-03-27 12:02:22.229653	44990	21.6	1	10
2014-03-27 12:02:32.025032	44991	50	2	9
2014-03-27 12:02:32.257917	44992	20.7	1	9
2014-03-27 12:02:32.565804	44993	354	3	2
2014-03-27 12:02:32.788056	44994	1094683.698014003	4	2
2014-03-27 12:02:33.110237	44995	49	2	8
2014-03-27 12:02:33.343035	44996	21.1	1	8
2014-03-27 12:02:47.209209	44997	54	2	1
2014-03-27 12:02:47.4347	44998	20.6	1	1
2014-03-27 12:03:00.95281	44999	42	2	10
2014-03-27 12:03:01.183927	45000	21.6	1	10
2014-03-27 12:03:11.025199	45001	50	2	9
2014-03-27 12:03:11.247615	45002	20.7	1	9
2014-03-27 12:03:12.110315	45003	49	2	8
2014-03-27 12:03:12.340092	45004	21.1	1	8
2014-03-27 12:03:26.205395	45005	54	2	1
2014-03-27 12:03:26.426365	45006	20.6	1	1
2014-03-27 12:03:32.474683	45007	370	3	2
2014-03-27 12:03:32.707849	45008	1094689.44318761	4	2
2014-03-27 12:03:39.952832	45009	42	2	10
2014-03-27 12:03:40.174353	45010	21.6	1	10
2014-03-27 12:03:50.024513	45011	50	2	9
2014-03-27 12:03:50.256076	45012	20.7	1	9
2014-03-27 12:03:51.109317	45013	49	2	8
2014-03-27 12:03:51.331329	45014	21.1	1	8
2014-03-27 12:03:56.476589	45015	418	3	2
2014-03-27 12:03:56.709276	45016	1094692.8902917744	4	2
2014-03-27 12:04:05.208286	45017	54	2	1
2014-03-27 12:04:05.430939	45018	20.6	1	1
2014-03-27 12:04:08.475292	45019	434	3	2
2014-03-27 12:04:08.71082	45020	1094694.0393264957	4	2
2014-03-27 12:04:18.95441	45021	42	2	10
2014-03-27 12:04:19.177341	45022	21.6	1	10
2014-03-27 12:04:20.475666	45023	402	3	2
2014-03-27 12:04:20.708417	45024	1094695.1883612173	4	2
2014-03-27 12:04:29.02433	45025	50	2	9
2014-03-27 12:04:29.245585	45026	20.7	1	9
2014-03-27 12:04:30.109815	45027	49	2	8
2014-03-27 12:04:30.341384	45028	21.1	1	8
2014-03-27 12:04:32.477503	45029	418	3	2
2014-03-27 12:04:32.699662	45030	1094696.3373959386	4	2
2014-03-27 12:04:44.208244	45031	54	2	1
2014-03-27 12:04:44.439115	45032	20.5	1	1
2014-03-27 12:04:56.474344	45033	466	3	2
2014-03-27 12:04:56.696882	45034	1094699.7845001027	4	2
2014-03-27 12:04:57.958997	45035	42	2	10
2014-03-27 12:04:58.201621	45036	21.6	1	10
2014-03-27 12:05:08.026007	45037	50	2	9
2014-03-27 12:05:08.249124	45038	20.7	1	9
2014-03-27 12:05:08.552925	45039	482	3	2
2014-03-27 12:05:08.784119	45040	1094700.9335348243	4	2
2014-03-27 12:05:09.110157	45041	49	2	8
2014-03-27 12:05:09.331012	45042	21.1	1	8
2014-03-27 12:05:23.204261	45043	54	2	1
2014-03-27 12:05:23.438109	45044	20.5	1	1
2014-03-27 12:05:32.47665	45045	466	3	2
2014-03-27 12:05:32.699486	45046	1094704.3806389885	4	2
2014-03-27 12:05:36.955208	45047	42	2	10
2014-03-27 12:05:37.187836	45048	21.6	1	10
2014-03-27 12:05:47.027226	45049	50	2	9
2014-03-27 12:05:47.251683	45050	20.7	1	9
2014-03-27 12:05:48.109485	45051	49	2	8
2014-03-27 12:05:48.339597	45052	21.1	1	8
2014-03-27 12:05:56.475011	45053	498	3	2
2014-03-27 12:05:56.699034	45054	1094707.8277431529	4	2
2014-03-27 12:06:02.203823	45055	54	2	1
2014-03-27 12:06:02.435669	45056	20.5	1	1
2014-03-27 12:06:08.478813	45057	498	3	2
2014-03-27 12:06:08.70136	45058	1094708.9767778742	4	2
2014-03-27 12:06:15.953501	45059	42	2	10
2014-03-27 12:06:16.187205	45060	21.6	1	10
2014-03-27 12:06:20.47261	45061	466	3	2
2014-03-27 12:06:20.696287	45062	1094711.274847317	4	2
2014-03-27 12:06:26.027496	45063	50	2	9
2014-03-27 12:06:26.263407	45064	20.7	1	9
2014-03-27 12:06:27.112325	45065	49	2	8
2014-03-27 12:06:27.33998	45066	21.1	1	8
2014-03-27 12:06:32.478477	45067	466	3	2
2014-03-27 12:06:32.714378	45068	1094712.4238820383	4	2
2014-03-27 12:06:41.209896	45069	54	2	1
2014-03-27 12:06:41.432279	45070	20.5	1	1
2014-03-27 12:06:54.954123	45071	42	2	10
2014-03-27 12:06:55.188169	45072	21.6	1	10
2014-03-27 12:07:05.025097	45073	50	2	9
2014-03-27 12:07:05.247528	45074	20.7	1	9
2014-03-27 12:07:06.110845	45075	49	2	8
2014-03-27 12:07:06.34418	45076	21.1	1	8
2014-03-27 12:07:20.207738	45077	54	2	1
2014-03-27 12:07:20.430565	45078	20.6	1	1
2014-03-27 12:07:32.477387	45079	466	3	2
2014-03-27 12:07:32.708955	45080	1094720.4671250882	4	2
2014-03-27 12:07:33.954383	45081	42	2	10
2014-03-27 12:07:34.175046	45082	21.6	1	10
2014-03-27 12:07:44.025068	45083	50	2	9
2014-03-27 12:07:44.270355	45084	20.7	1	9
2014-03-27 12:07:45.111955	45085	49	2	8
2014-03-27 12:07:45.337866	45086	21.1	1	8
2014-03-27 12:07:59.201107	45087	54	2	1
2014-03-27 12:07:59.433901	45088	20.6	1	1
2014-03-27 12:08:12.954949	45089	42	2	10
2014-03-27 12:08:13.17962	45090	21.6	1	10
2014-03-27 12:08:23.024729	45091	50	2	9
2014-03-27 12:08:23.258597	45092	20.7	1	9
2014-03-27 12:08:24.110555	45093	49	2	8
2014-03-27 12:08:24.334072	45094	21.1	1	8
2014-03-27 12:08:32.478197	45095	482	3	2
2014-03-27 12:08:32.713104	45096	1094728.5103681383	4	2
2014-03-27 12:08:38.220779	45097	54	2	1
2014-03-27 12:08:38.443243	45098	20.6	1	1
2014-03-27 12:08:51.955307	45099	42	2	10
2014-03-27 12:08:52.186527	45100	21.6	1	10
2014-03-27 12:08:56.477324	45101	450	3	2
2014-03-27 12:08:56.700563	45102	1094731.9574723025	4	2
2014-03-27 12:09:02.023744	45103	50	2	9
2014-03-27 12:09:02.255481	45104	20.7	1	9
2014-03-27 12:09:03.110526	45105	49	2	8
2014-03-27 12:09:03.332881	45106	21.1	1	8
2014-03-27 12:09:08.476591	45107	450	3	2
2014-03-27 12:09:08.710152	45108	1094733.1065070238	4	2
2014-03-27 12:09:17.204333	45109	54	2	1
2014-03-27 12:09:17.426513	45110	20.6	1	1
2014-03-27 12:09:20.477308	45111	402	3	2
2014-03-27 12:09:20.711838	45112	1094734.2555417453	4	2
2014-03-27 12:09:30.954885	45113	42	2	10
2014-03-27 12:09:31.176642	45114	21.6	1	10
2014-03-27 12:09:32.475058	45115	418	3	2
2014-03-27 12:09:32.708663	45116	1094735.4045764667	4	2
2014-03-27 12:09:41.024291	45117	50	2	9
2014-03-27 12:09:41.246652	45118	20.7	1	9
2014-03-27 12:09:42.110648	45119	49	2	8
2014-03-27 12:09:42.341896	45120	21.1	1	8
2014-03-27 12:09:56.203492	45121	54	2	1
2014-03-27 12:09:56.425546	45122	20.6	1	1
2014-03-27 12:10:09.953987	45123	42	2	10
2014-03-27 12:10:10.187165	45124	21.6	1	10
2014-03-27 12:10:20.025752	45125	50	2	9
2014-03-27 12:10:20.246864	45126	20.7	1	9
2014-03-27 12:10:21.109308	45127	49	2	8
2014-03-27 12:10:21.339967	45128	21.1	1	8
2014-03-27 12:10:32.477261	45129	418	3	2
2014-03-27 12:10:32.700309	45130	1094742.2987847952	4	2
2014-03-27 12:10:35.200014	45131	54	2	1
2014-03-27 12:10:35.445081	45132	20.6	1	1
2014-03-27 12:10:48.957422	45133	42	2	10
2014-03-27 12:10:49.179429	45134	21.6	1	10
2014-03-27 12:10:59.025908	45135	50	2	9
2014-03-27 12:10:59.25955	45136	20.7	1	9
2014-03-27 12:11:00.108935	45137	49	2	8
2014-03-27 12:11:00.330673	45138	21.1	1	8
2014-03-27 12:11:08.482189	45139	450	3	2
2014-03-27 12:11:08.713527	45140	1094746.894923681	4	2
2014-03-27 12:11:14.202125	45141	54	2	1
2014-03-27 12:11:14.424215	45142	20.6	1	1
2014-03-27 12:11:20.474609	45143	434	3	2
2014-03-27 12:11:20.707051	45144	1094748.0439584022	4	2
2014-03-27 12:11:27.956338	45145	42	2	10
2014-03-27 12:11:28.181113	45146	21.6	1	10
2014-03-27 12:11:32.476659	45147	450	3	2
2014-03-27 12:11:32.707771	45148	1094750.342027845	4	2
2014-03-27 12:11:38.023904	45149	50	2	9
2014-03-27 12:11:38.247903	45150	20.7	1	9
2014-03-27 12:11:39.111996	45151	49	2	8
2014-03-27 12:11:39.343178	45152	21.1	1	8
2014-03-27 12:11:53.204174	45153	54	2	1
2014-03-27 12:11:53.425082	45154	20.6	1	1
2014-03-27 12:12:06.954213	45155	42	2	10
2014-03-27 12:12:07.188763	45156	21.6	1	10
2014-03-27 12:12:17.025269	45157	50	2	9
2014-03-27 12:12:17.251652	45158	20.7	1	9
2014-03-27 12:12:18.11056	45159	49	2	8
2014-03-27 12:12:18.344279	45160	21.1	1	8
2014-03-27 12:12:32.206388	45161	54	2	1
2014-03-27 12:12:32.429331	45162	20.6	1	1
2014-03-27 12:12:45.955339	45163	42	2	10
2014-03-27 12:12:46.190313	45164	21.6	1	10
2014-03-27 12:12:56.024375	45165	50	2	9
2014-03-27 12:12:56.248825	45166	20.7	1	9
2014-03-27 12:12:57.109177	45167	49	2	8
2014-03-27 12:12:57.343553	45168	21.1	1	8
2014-03-27 12:13:11.200365	45169	54	2	1
2014-03-27 12:13:11.423309	45170	20.6	1	1
2014-03-27 12:13:24.955766	45171	42	2	10
2014-03-27 12:13:25.186835	45172	21.6	1	10
2014-03-27 12:13:32.47589	45173	450	3	2
2014-03-27 12:13:32.698086	45174	1094765.2794792235	4	2
2014-03-27 12:13:35.025225	45175	50	2	9
2014-03-27 12:13:35.257842	45176	20.7	1	9
2014-03-27 12:13:36.109665	45177	49	2	8
2014-03-27 12:13:36.330236	45178	21.1	1	8
2014-03-27 12:13:50.203206	45179	54	2	1
2014-03-27 12:13:50.44795	45180	20.6	1	1
2014-03-27 12:14:03.956474	45181	42	2	10
2014-03-27 12:14:04.178722	45182	21.6	1	10
2014-03-27 12:14:14.024823	45183	50	2	9
2014-03-27 12:14:14.257426	45184	20.7	1	9
2014-03-27 12:14:15.108468	45185	49	2	8
2014-03-27 12:14:15.330434	45186	21.1	1	8
2014-03-27 12:14:29.199922	45187	54	2	1
2014-03-27 12:14:29.433209	45188	20.6	1	1
2014-03-27 12:14:32.472871	45189	434	3	2
2014-03-27 12:14:32.697181	45190	1094772.173687552	4	2
2014-03-27 12:14:42.955841	45191	42	2	10
2014-03-27 12:14:43.187464	45192	21.5	1	10
2014-03-27 12:14:53.025441	45193	50	2	9
2014-03-27 12:14:53.246265	45194	20.7	1	9
2014-03-27 12:14:54.108691	45195	49	2	8
2014-03-27 12:14:54.340263	45196	21.0	1	8
2014-03-27 12:15:08.199665	45197	54	2	1
2014-03-27 12:15:08.422788	45198	20.6	1	1
2014-03-27 12:15:21.956042	45199	42	2	10
2014-03-27 12:15:22.191584	45200	21.5	1	10
2014-03-27 12:15:32.025244	45201	50	2	9
2014-03-27 12:15:32.247488	45202	20.7	1	9
2014-03-27 12:15:32.554255	45203	434	3	2
2014-03-27 12:15:32.788038	45204	1094779.0678958804	4	2
2014-03-27 12:15:33.109194	45205	49	2	8
2014-03-27 12:15:33.332568	45206	21.0	1	8
2014-03-27 12:15:47.202272	45207	54	2	1
2014-03-27 12:15:47.43374	45208	20.6	1	1
2014-03-27 12:15:56.474137	45209	466	3	2
2014-03-27 12:15:56.69879	45210	1094782.5150000448	4	2
2014-03-27 12:16:00.959043	45211	42	2	10
2014-03-27 12:16:01.189679	45212	21.5	1	10
2014-03-27 12:16:08.474613	45213	482	3	2
2014-03-27 12:16:08.698218	45214	1094783.6640347661	4	2
2014-03-27 12:16:11.025284	45215	50	2	9
2014-03-27 12:16:11.256993	45216	20.7	1	9
2014-03-27 12:16:12.10984	45217	49	2	8
2014-03-27 12:16:12.331815	45218	21.0	1	8
2014-03-27 12:16:26.201957	45219	54	2	1
2014-03-27 12:16:26.435286	45220	20.6	1	1
2014-03-27 12:16:32.475245	45221	466	3	2
2014-03-27 12:16:32.698471	45222	1094787.1111389303	4	2
2014-03-27 12:16:39.956903	45223	42	2	10
2014-03-27 12:16:40.191096	45224	21.5	1	10
2014-03-27 12:16:50.02701	45225	50	2	9
2014-03-27 12:16:50.249585	45226	20.7	1	9
2014-03-27 12:16:51.112309	45227	49	2	8
2014-03-27 12:16:51.353537	45228	21.0	1	8
2014-03-27 12:17:05.197598	45229	54	2	1
2014-03-27 12:17:05.423045	45230	20.6	1	1
2014-03-27 12:17:18.9562	45231	42	2	10
2014-03-27 12:17:19.191076	45232	21.5	1	10
2014-03-27 12:17:29.025229	45233	50	2	9
2014-03-27 12:17:29.248582	45234	20.7	1	9
2014-03-27 12:17:30.109094	45235	49	2	8
2014-03-27 12:17:30.342786	45236	21.0	1	8
2014-03-27 12:17:32.474311	45237	466	3	2
2014-03-27 12:17:32.696606	45238	1094795.1543819802	4	2
2014-03-27 12:17:44.20118	45239	54	2	1
2014-03-27 12:17:44.434528	45240	20.6	1	1
2014-03-27 12:17:57.960313	45241	42	2	10
2014-03-27 12:17:58.182598	45242	21.5	1	10
2014-03-27 12:18:08.024717	45243	50	2	9
2014-03-27 12:18:08.259255	45244	20.7	1	9
2014-03-27 12:18:09.110426	45245	49	2	8
2014-03-27 12:18:09.334595	45246	21.0	1	8
2014-03-27 12:18:23.197749	45247	54	2	1
2014-03-27 12:18:23.433117	45248	20.6	1	1
2014-03-27 12:18:32.47495	45249	482	3	2
2014-03-27 12:18:32.6973	45250	1094803.1976250303	4	2
2014-03-27 12:18:36.958525	45251	42	2	10
2014-03-27 12:18:37.189272	45252	21.5	1	10
2014-03-27 12:18:47.024927	45253	50	2	9
2014-03-27 12:18:47.248101	45254	20.7	1	9
2014-03-27 12:18:48.109282	45255	49	2	8
2014-03-27 12:18:48.341587	45256	21.0	1	8
2014-03-27 12:18:56.47552	45257	418	3	2
2014-03-27 12:18:56.698557	45258	1094805.495694473	4	2
2014-03-27 12:19:02.197454	45259	54	2	1
2014-03-27 12:19:02.430052	45260	20.6	1	1
2014-03-27 12:19:08.477188	45261	418	3	2
2014-03-27 12:19:08.699092	45262	1094807.7937639158	4	2
2014-03-27 12:19:15.957275	45263	42	2	10
2014-03-27 12:19:16.192816	45264	21.5	1	10
2014-03-27 12:19:26.024797	45265	50	2	9
2014-03-27 12:19:26.246951	45266	20.7	1	9
2014-03-27 12:19:27.108632	45267	49	2	8
2014-03-27 12:19:27.341554	45268	21.0	1	8
2014-03-27 12:19:32.478102	45269	434	3	2
2014-03-27 12:19:32.702573	45270	1094810.0918333586	4	2
2014-03-27 12:19:41.19682	45271	54	2	1
2014-03-27 12:19:41.429055	45272	20.6	1	1
2014-03-27 12:19:54.958644	45273	42	2	10
2014-03-27 12:19:55.181122	45274	21.5	1	10
2014-03-27 12:20:05.025185	45275	50	2	9
2014-03-27 12:20:05.267097	45276	20.7	1	9
2014-03-27 12:20:06.110049	45277	49	2	8
2014-03-27 12:20:06.329575	45278	21.0	1	8
2014-03-27 12:20:20.196552	45279	54	2	1
2014-03-27 12:20:20.427302	45280	20.6	1	1
2014-03-27 12:20:33.762657	45281	434	3	2
2014-03-27 12:20:33.985424	45282	1094818.1350764085	4	2
2014-03-27 12:20:34.288831	45283	42	2	10
2014-03-27 12:20:34.520674	45284	21.5	1	10
2014-03-27 12:20:44.023798	45285	50	2	9
2014-03-27 12:20:44.246361	45286	20.7	1	9
2014-03-27 12:20:45.11014	45287	49	2	8
2014-03-27 12:20:45.340765	45288	21.0	1	8
2014-03-27 12:20:56.471763	45289	466	3	2
2014-03-27 12:20:56.695657	45290	1094820.4331458514	4	2
2014-03-27 12:20:59.198467	45291	54	2	1
2014-03-27 12:20:59.430432	45292	20.6	1	1
2014-03-27 12:21:08.472344	45293	402	3	2
2014-03-27 12:21:08.694332	45294	1094821.582180573	4	2
2014-03-27 12:21:12.96089	45295	42	2	10
2014-03-27 12:21:13.190784	45296	21.5	1	10
2014-03-27 12:21:20.477362	45297	402	3	2
2014-03-27 12:21:20.699649	45298	1094823.8802500158	4	2
2014-03-27 12:21:23.025035	45299	50	2	9
2014-03-27 12:21:23.255608	45300	20.7	1	9
2014-03-27 12:21:24.109217	45301	49	2	8
2014-03-27 12:21:24.330195	45302	21.0	1	8
2014-03-27 12:21:32.475374	45303	402	3	2
2014-03-27 12:21:32.707732	45304	1094825.029284737	4	2
2014-03-27 12:21:38.194343	45305	54	2	1
2014-03-27 12:21:38.416562	45306	20.6	1	1
2014-03-27 12:21:51.960501	45307	42	2	10
2014-03-27 12:21:52.192759	45308	21.5	1	10
2014-03-27 12:22:02.026254	45309	50	2	9
2014-03-27 12:22:02.249266	45310	20.7	1	9
2014-03-27 12:22:03.111776	45311	49	2	8
2014-03-27 12:22:03.343086	45312	21.0	1	8
2014-03-27 12:22:17.195025	45313	54	2	1
2014-03-27 12:22:17.418731	45314	20.6	1	1
2014-03-27 12:22:30.958792	45315	42	2	10
2014-03-27 12:22:31.192805	45316	21.5	1	10
2014-03-27 12:22:32.47646	45317	418	3	2
2014-03-27 12:22:32.698778	45318	1094831.9234930656	4	2
2014-03-27 12:22:41.023783	45319	50	2	9
2014-03-27 12:22:41.259722	45320	20.7	1	9
2014-03-27 12:22:42.111752	45321	49	2	8
2014-03-27 12:22:42.332498	45322	21.0	1	8
2014-03-27 12:22:56.195161	45323	54	2	1
2014-03-27 12:22:56.436731	45324	20.6	1	1
2014-03-27 12:23:09.95919	45325	42	2	10
2014-03-27 12:23:10.181319	45326	21.5	1	10
2014-03-27 12:23:20.025131	45327	50	2	9
2014-03-27 12:23:20.258779	45328	20.7	1	9
2014-03-27 12:23:21.11187	45329	49	2	8
2014-03-27 12:23:21.334039	45330	21.0	1	8
2014-03-27 12:23:32.47387	45331	402	3	2
2014-03-27 12:23:32.707176	45332	1094838.817701394	4	2
2014-03-27 12:23:35.197262	45333	54	2	1
2014-03-27 12:23:35.41941	45334	20.6	1	1
2014-03-27 12:23:48.96121	45335	42	2	10
2014-03-27 12:23:49.194231	45336	21.5	1	10
2014-03-27 12:23:56.475251	45337	434	3	2
2014-03-27 12:23:56.697748	45338	1094841.1157708368	4	2
2014-03-27 12:23:59.025552	45339	50	2	9
2014-03-27 12:23:59.256262	45340	20.7	1	9
2014-03-27 12:24:00.109628	45341	49	2	8
2014-03-27 12:24:00.331942	45342	21.0	1	8
2014-03-27 12:24:08.47785	45343	418	3	2
2014-03-27 12:24:08.711044	45344	1094843.4138402797	4	2
2014-03-27 12:24:14.196328	45345	54	2	1
2014-03-27 12:24:14.418884	45346	20.6	1	1
2014-03-27 12:24:27.964155	45347	42	2	10
2014-03-27 12:24:28.198288	45348	21.5	1	10
2014-03-27 12:24:32.477113	45349	402	3	2
2014-03-27 12:24:32.697519	45350	1094845.7119097225	4	2
2014-03-27 12:24:38.026714	45351	50	2	9
2014-03-27 12:24:38.258839	45352	20.7	1	9
2014-03-27 12:24:39.109059	45353	49	2	8
2014-03-27 12:24:39.331668	45354	21.0	1	8
2014-03-27 12:24:53.196054	45355	54	2	1
2014-03-27 12:24:53.428058	45356	20.6	1	1
2014-03-27 12:25:06.960422	45357	42	2	10
2014-03-27 12:25:07.185155	45358	21.5	1	10
2014-03-27 12:25:17.024739	45359	50	2	9
2014-03-27 12:25:17.258219	45360	20.7	1	9
2014-03-27 12:25:18.10931	45361	49	2	8
2014-03-27 12:25:18.33111	45362	21.0	1	8
2014-03-27 12:25:32.192783	45363	54	2	1
2014-03-27 12:25:32.426493	45364	20.6	1	1
2014-03-27 12:25:45.9598	45365	42	2	10
2014-03-27 12:25:46.181795	45366	21.5	1	10
2014-03-27 12:25:56.0248	45367	50	2	9
2014-03-27 12:25:56.256559	45368	20.7	1	9
2014-03-27 12:25:57.109568	45369	49	2	8
2014-03-27 12:25:57.330894	45370	21.0	1	8
2014-03-27 12:26:11.197094	45371	54	2	1
2014-03-27 12:26:11.441193	45372	20.6	1	1
2014-03-27 12:26:24.959012	45373	42	2	10
2014-03-27 12:26:25.181008	45374	21.5	1	10
2014-03-27 12:26:32.473739	45375	434	3	2
2014-03-27 12:26:32.70537	45376	1094859.5003263794	4	2
2014-03-27 12:26:35.024529	45377	50	2	9
2014-03-27 12:26:35.246358	45378	20.7	1	9
2014-03-27 12:26:36.110747	45379	49	2	8
2014-03-27 12:26:36.34146	45380	21.0	1	8
2014-03-27 12:26:44.47233	45381	402	3	2
2014-03-27 12:26:44.69311	45382	1094860.649361101	4	2
2014-03-27 12:26:50.193085	45383	54	2	1
2014-03-27 12:26:50.433459	45384	20.6	1	1
2014-03-27 12:26:56.474709	45385	402	3	2
2014-03-27 12:26:56.696618	45386	1094862.9474305438	4	2
2014-03-27 12:27:03.962343	45387	42	2	10
2014-03-27 12:27:04.194305	45388	21.5	1	10
2014-03-27 12:27:14.025491	45389	50	2	9
2014-03-27 12:27:14.248494	45390	20.7	1	9
2014-03-27 12:27:15.11085	45391	49	2	8
2014-03-27 12:27:15.344573	45392	21.0	1	8
2014-03-27 12:27:29.192844	45393	54	2	1
2014-03-27 12:27:29.414075	45394	20.6	1	1
2014-03-27 12:27:32.472563	45395	418	3	2
2014-03-27 12:27:32.704361	45396	1094866.394534708	4	2
2014-03-27 12:27:42.962005	45397	42	2	10
2014-03-27 12:27:43.188454	45398	21.5	1	10
2014-03-27 12:27:53.024309	45399	50	2	9
2014-03-27 12:27:53.258231	45400	20.7	1	9
2014-03-27 12:27:54.111752	45401	49	2	8
2014-03-27 12:27:54.33348	45402	21.0	1	8
2014-03-27 12:28:08.192661	45403	54	2	1
2014-03-27 12:28:08.425342	45404	20.6	1	1
2014-03-27 12:28:20.47183	45405	434	3	2
2014-03-27 12:28:20.696624	45406	1094872.139708315	4	2
2014-03-27 12:28:21.962295	45407	42	2	10
2014-03-27 12:28:22.19552	45408	21.5	1	10
2014-03-27 12:28:32.025045	45409	50	2	9
2014-03-27 12:28:32.248959	45410	20.7	1	9
2014-03-27 12:28:32.554716	45411	450	3	2
2014-03-27 12:28:32.786703	45412	1094873.2887430366	4	2
2014-03-27 12:28:33.109875	45413	49	2	8
2014-03-27 12:28:33.334709	45414	21.0	1	8
2014-03-27 12:28:47.19098	45415	54	2	1
2014-03-27 12:28:47.4246	45416	20.6	1	1
2014-03-27 12:29:00.960515	45417	42	2	10
2014-03-27 12:29:01.182851	45418	21.5	1	10
2014-03-27 12:29:11.024764	45419	50	2	9
2014-03-27 12:29:11.269353	45420	20.7	1	9
2014-03-27 12:29:12.109725	45421	49	2	8
2014-03-27 12:29:12.333803	45422	21.0	1	8
2014-03-27 12:29:26.190077	45423	54	2	1
2014-03-27 12:29:26.422177	45424	20.6	1	1
2014-03-27 12:29:32.472888	45425	434	3	2
2014-03-27 12:29:32.694836	45426	1094881.3319860864	4	2
2014-03-27 12:29:39.961299	45427	42	2	10
2014-03-27 12:29:40.193475	45428	21.5	1	10
2014-03-27 12:29:50.024372	45429	50	2	9
2014-03-27 12:29:50.246482	45430	20.7	1	9
2014-03-27 12:29:51.109304	45431	49	2	8
2014-03-27 12:29:51.342874	45432	21.0	1	8
2014-03-27 12:30:05.192459	45433	54	2	1
2014-03-27 12:30:05.414049	45434	20.6	1	1
2014-03-27 12:30:18.961732	45435	42	2	10
2014-03-27 12:30:19.193166	45436	21.5	1	10
2014-03-27 12:30:29.023514	45437	50	2	9
2014-03-27 12:30:29.247177	45438	20.6	1	9
2014-03-27 12:30:30.110252	45439	49	2	8
2014-03-27 12:30:30.341815	45440	21.0	1	8
2014-03-27 12:30:32.472808	45441	450	3	2
2014-03-27 12:30:32.696077	45442	1094888.226194415	4	2
2014-03-27 12:30:44.193849	45443	54	2	1
2014-03-27 12:30:44.425103	45444	20.6	1	1
2014-03-27 12:30:57.965735	45445	42	2	10
2014-03-27 12:30:58.188291	45446	21.4	1	10
2014-03-27 12:31:08.024747	45447	50	2	9
2014-03-27 12:31:08.256438	45448	20.6	1	9
2014-03-27 12:31:09.110494	45449	49	2	8
2014-03-27 12:31:09.332412	45450	21.0	1	8
2014-03-27 12:31:23.205063	45451	54	2	1
2014-03-27 12:31:23.456437	45452	20.6	1	1
2014-03-27 12:31:32.472913	45453	434	3	2
2014-03-27 12:31:32.693673	45454	1094895.1204027433	4	2
2014-03-27 12:31:36.962247	45455	42	2	10
2014-03-27 12:31:37.192258	45456	21.4	1	10
2014-03-27 12:31:47.024441	45457	50	2	9
2014-03-27 12:31:47.247163	45458	20.6	1	9
2014-03-27 12:31:48.110016	45459	49	2	8
2014-03-27 12:31:48.340417	45460	21.0	1	8
2014-03-27 12:32:02.188651	45461	54	2	1
2014-03-27 12:32:02.410666	45462	20.6	1	1
2014-03-27 12:32:15.964022	45463	42	2	10
2014-03-27 12:32:16.196047	45464	21.4	1	10
2014-03-27 12:32:26.026586	45465	50	2	9
2014-03-27 12:32:26.249951	45466	20.6	1	9
2014-03-27 12:32:27.109298	45467	49	2	8
2014-03-27 12:32:27.35071	45468	21.0	1	8
2014-03-27 12:32:32.473246	45469	434	3	2
2014-03-27 12:32:32.694278	45470	1094903.1636457932	4	2
2014-03-27 12:32:41.194237	45471	54	2	1
2014-03-27 12:32:41.42865	45472	20.6	1	1
2014-03-27 12:32:54.962308	45473	42	2	10
2014-03-27 12:32:55.185259	45474	21.4	1	10
2014-03-27 12:32:56.474892	45475	402	3	2
2014-03-27 12:32:56.705288	45476	1094905.461715236	4	2
2014-03-27 12:33:05.024254	45477	50	2	9
2014-03-27 12:33:05.246737	45478	20.6	1	9
2014-03-27 12:33:06.110955	45479	49	2	8
2014-03-27 12:33:06.342716	45480	21.0	1	8
2014-03-27 12:33:08.476325	45481	402	3	2
2014-03-27 12:33:08.697419	45482	1094907.759784679	4	2
2014-03-27 12:33:20.188556	45483	54	2	1
2014-03-27 12:33:20.420716	45484	20.6	1	1
2014-03-27 12:33:32.473187	45485	402	3	2
2014-03-27 12:33:32.694806	45486	1094910.0578541218	4	2
2014-03-27 12:33:33.961842	45487	42	2	10
2014-03-27 12:33:34.195271	45488	21.4	1	10
2014-03-27 12:33:44.025383	45489	50	2	9
2014-03-27 12:33:44.250486	45490	20.6	1	9
2014-03-27 12:33:45.109464	45491	49	2	8
2014-03-27 12:33:45.34262	45492	21.0	1	8
2014-03-27 12:33:59.186925	45493	54	2	1
2014-03-27 12:33:59.409243	45494	20.5	1	1
2014-03-27 12:34:12.962152	45495	42	2	10
2014-03-27 12:34:13.194721	45496	21.4	1	10
2014-03-27 12:34:23.024576	45497	50	2	9
2014-03-27 12:34:23.305636	45498	20.6	1	9
2014-03-27 12:34:24.11177	45499	49	2	8
2014-03-27 12:34:24.343825	45500	21.0	1	8
2014-03-27 12:34:32.473596	45501	402	3	2
2014-03-27 12:34:32.695919	45502	1094916.9520624503	4	2
2014-03-27 12:34:38.192095	45503	54	2	1
2014-03-27 12:34:38.425017	45504	20.5	1	1
2014-03-27 12:34:51.964276	45505	42	2	10
2014-03-27 12:34:52.186969	45506	21.4	1	10
2014-03-27 12:35:02.024403	45507	50	2	9
2014-03-27 12:35:02.255728	45508	20.6	1	9
2014-03-27 12:35:03.11068	45509	49	2	8
2014-03-27 12:35:03.332734	45510	21.0	1	8
2014-03-27 12:35:17.192861	45511	54	2	1
2014-03-27 12:35:17.427087	45512	20.5	1	1
2014-03-27 12:35:30.96279	45513	42	2	10
2014-03-27 12:35:31.184948	45514	21.4	1	10
2014-03-27 12:35:32.475077	45515	402	3	2
2014-03-27 12:35:32.718818	45516	1094923.8462707787	4	2
2014-03-27 12:35:41.023683	45517	50	2	9
2014-03-27 12:35:41.246081	45518	20.6	1	9
2014-03-27 12:35:42.109768	45519	49	2	8
2014-03-27 12:35:42.342324	45520	21.0	1	8
2014-03-27 12:35:56.186456	45521	54	2	1
2014-03-27 12:35:56.41013	45522	20.5	1	1
2014-03-27 12:36:09.962528	45523	42	2	10
2014-03-27 12:36:10.194131	45524	21.4	1	10
2014-03-27 12:36:20.023322	45525	50	2	9
2014-03-27 12:36:20.246407	45526	20.6	1	9
2014-03-27 12:36:21.109589	45527	49	2	8
2014-03-27 12:36:21.341622	45528	21.0	1	8
2014-03-27 12:36:32.473347	45529	402	3	2
2014-03-27 12:36:32.697707	45530	1094930.7404791072	4	2
2014-03-27 12:36:35.186112	45531	54	2	1
2014-03-27 12:36:35.416544	45532	20.5	1	1
2014-03-27 12:36:48.965169	45533	42	2	10
2014-03-27 12:36:49.186385	45534	21.4	1	10
2014-03-27 12:36:59.024339	45535	50	2	9
2014-03-27 12:36:59.255853	45536	20.6	1	9
2014-03-27 12:37:00.108954	45537	49	2	8
2014-03-27 12:37:00.329168	45538	21.0	1	8
2014-03-27 12:37:14.191551	45539	54	2	1
2014-03-27 12:37:14.423366	45540	20.5	1	1
2014-03-27 12:37:27.964776	45541	42	2	10
2014-03-27 12:37:28.185502	45542	21.4	1	10
2014-03-27 12:37:32.472587	45543	434	3	2
2014-03-27 12:37:32.703283	45544	1094937.6346874358	4	2
2014-03-27 12:37:38.022984	45545	50	2	9
2014-03-27 12:37:38.267943	45546	20.6	1	9
2014-03-27 12:37:39.109647	45547	49	2	8
2014-03-27 12:37:39.339736	45548	21.0	1	8
2014-03-27 12:37:44.473687	45549	402	3	2
2014-03-27 12:37:44.697486	45550	1094938.7837221571	4	2
2014-03-27 12:37:53.241602	45551	54	2	1
2014-03-27 12:37:53.473127	45552	20.5	1	1
2014-03-27 12:37:56.471717	45553	402	3	2
2014-03-27 12:37:56.692397	45554	1094939.9327568787	4	2
2014-03-27 12:38:06.963232	45555	42	2	10
2014-03-27 12:38:07.197317	45556	21.4	1	10
2014-03-27 12:38:17.026791	45557	50	2	9
2014-03-27 12:38:17.249144	45558	20.6	1	9
2014-03-27 12:38:18.111481	45559	49	2	8
2014-03-27 12:38:18.341951	45560	21.0	1	8
2014-03-27 12:38:32.184447	45561	54	2	1
2014-03-27 12:38:32.407341	45562	20.5	1	1
2014-03-27 12:38:45.964169	45563	42	2	10
2014-03-27 12:38:46.208092	45564	21.4	1	10
2014-03-27 12:38:56.023739	45565	50	2	9
2014-03-27 12:38:56.247997	45566	20.6	1	9
2014-03-27 12:38:57.109553	45567	49	2	8
2014-03-27 12:38:57.342587	45568	21.0	1	8
2014-03-27 12:39:11.187414	45569	54	2	1
2014-03-27 12:39:11.407066	45570	20.5	1	1
2014-03-27 12:39:24.964412	45571	42	2	10
2014-03-27 12:39:25.196687	45572	21.4	1	10
2014-03-27 12:39:32.474207	45573	450	3	2
2014-03-27 12:39:32.696536	45574	1094950.2740693714	4	2
2014-03-27 12:39:35.023815	45575	50	2	9
2014-03-27 12:39:35.257759	45576	20.6	1	9
2014-03-27 12:39:36.109331	45577	49	2	8
2014-03-27 12:39:36.334499	45578	21.0	1	8
2014-03-27 12:39:44.470801	45579	450	3	2
2014-03-27 12:39:44.703401	45580	1094952.5721388143	4	2
2014-03-27 12:39:50.185761	45581	54	2	1
2014-03-27 12:39:50.409423	45582	20.5	1	1
2014-03-27 12:40:03.964172	45583	42	2	10
2014-03-27 12:40:04.196987	45584	21.4	1	10
2014-03-27 12:40:14.024364	45585	50	2	9
2014-03-27 12:40:14.245841	45586	20.6	1	9
2014-03-27 12:40:15.108653	45587	49	2	8
2014-03-27 12:40:15.340491	45588	21.0	1	8
2014-03-27 12:40:29.184758	45589	54	2	1
2014-03-27 12:40:29.406106	45590	20.5	1	1
2014-03-27 12:40:32.475025	45591	466	3	2
2014-03-27 12:40:32.705706	45592	1094958.3173124213	4	2
2014-03-27 12:40:42.96412	45593	42	2	10
2014-03-27 12:40:43.186653	45594	21.4	1	10
2014-03-27 12:40:53.024336	45595	50	2	9
2014-03-27 12:40:53.293991	45596	20.6	1	9
2014-03-27 12:40:54.108966	45597	49	2	8
2014-03-27 12:40:54.330133	45598	21.0	1	8
2014-03-27 12:41:08.183853	45599	54	2	1
2014-03-27 12:41:08.417995	45600	20.5	1	1
2014-03-27 12:41:20.469216	45601	418	3	2
2014-03-27 12:41:20.693484	45602	1094964.0624860283	4	2
2014-03-27 12:41:21.964581	45603	42	2	10
2014-03-27 12:41:22.195954	45604	21.4	1	10
2014-03-27 12:41:32.023504	45605	50	2	9
2014-03-27 12:41:32.247016	45606	20.6	1	9
2014-03-27 12:41:32.552871	45607	434	3	2
2014-03-27 12:41:32.786336	45608	1094966.3605554712	4	2
2014-03-27 12:41:33.110432	45609	49	2	8
2014-03-27 12:41:33.331774	45610	21.0	1	8
2014-03-27 12:41:44.470557	45611	466	3	2
2014-03-27 12:41:44.717799	45612	1094967.5095901925	4	2
2014-03-27 12:41:47.189892	45613	54	2	1
2014-03-27 12:41:47.412958	45614	20.5	1	1
2014-03-27 12:41:56.472554	45615	466	3	2
2014-03-27 12:41:56.706394	45616	1094968.658624914	4	2
2014-03-27 12:42:00.964457	45617	42	2	10
2014-03-27 12:42:01.185989	45618	21.4	1	10
2014-03-27 12:42:11.023626	45619	50	2	9
2014-03-27 12:42:11.256512	45620	20.6	1	9
2014-03-27 12:42:12.109224	45621	49	2	8
2014-03-27 12:42:12.332324	45622	21.0	1	8
2014-03-27 12:42:26.183209	45623	54	2	1
2014-03-27 12:42:26.415462	45624	20.5	1	1
2014-03-27 12:42:32.471862	45625	466	3	2
2014-03-27 12:42:32.693866	45626	1094972.1102000305	4	2
2014-03-27 12:42:39.966239	45627	42	2	10
2014-03-27 12:42:40.200052	45628	21.4	1	10
2014-03-27 12:42:50.02465	45629	50	2	9
2014-03-27 12:42:50.248192	45630	20.6	1	9
2014-03-27 12:42:51.109687	45631	49	2	8
2014-03-27 12:42:51.341633	45632	21.0	1	8
2014-03-27 12:43:05.182748	45633	54	2	1
2014-03-27 12:43:05.407677	45634	20.5	1	1
2014-03-27 12:43:18.967946	45635	42	2	10
2014-03-27 12:43:19.20221	45636	21.4	1	10
2014-03-27 12:43:29.026109	45637	50	2	9
2014-03-27 12:43:29.249845	45638	20.6	1	9
2014-03-27 12:43:30.109757	45639	49	2	8
2014-03-27 12:43:30.339617	45640	21.0	1	8
2014-03-27 12:43:32.472013	45641	434	3	2
2014-03-27 12:43:32.691597	45642	1094980.1534430804	4	2
2014-03-27 12:43:44.182333	45643	54	2	1
2014-03-27 12:43:44.413446	45644	20.6	1	1
2014-03-27 12:43:56.474092	45645	498	3	2
2014-03-27 12:43:56.698956	45646	1094983.6005472445	4	2
2014-03-27 12:43:57.966599	45647	42	2	10
2014-03-27 12:43:58.201475	45648	21.4	1	10
2014-03-27 12:44:08.026074	45649	50	2	9
2014-03-27 12:44:08.251791	45650	20.6	1	9
2014-03-27 12:44:08.559615	45651	434	3	2
2014-03-27 12:44:08.790232	45652	1094984.749581966	4	2
2014-03-27 12:44:09.111183	45653	49	2	8
2014-03-27 12:44:09.333359	45654	21.0	1	8
2014-03-27 12:44:20.469835	45655	418	3	2
2014-03-27 12:44:20.700781	45656	1094985.8986166874	4	2
2014-03-27 12:44:23.183292	45657	54	2	1
2014-03-27 12:44:23.405805	45658	20.6	1	1
2014-03-27 12:44:32.466689	45659	418	3	2
2014-03-27 12:44:32.710004	45660	1094987.0476514087	4	2
2014-03-27 12:44:36.96588	45661	42	2	10
2014-03-27 12:44:37.188107	45662	21.4	1	10
2014-03-27 12:44:47.022977	45663	50	2	9
2014-03-27 12:44:47.25758	45664	20.6	1	9
2014-03-27 12:44:48.108303	45665	49	2	8
2014-03-27 12:44:48.332177	45666	21.0	1	8
2014-03-27 12:45:02.182397	45667	54	2	1
2014-03-27 12:45:02.416586	45668	20.6	1	1
2014-03-27 12:45:15.965309	45669	42	2	10
2014-03-27 12:45:16.18695	45670	21.4	1	10
2014-03-27 12:45:20.471132	45671	370	3	2
2014-03-27 12:45:20.702611	45672	1094992.792825016	4	2
2014-03-27 12:45:26.024458	45673	50	2	9
2014-03-27 12:45:26.245029	45674	20.6	1	9
2014-03-27 12:45:27.108597	45675	49	2	8
2014-03-27 12:45:27.340522	45676	21.0	1	8
2014-03-27 12:45:32.470456	45677	370	3	2
2014-03-27 12:45:32.699195	45678	1094993.9418597373	4	2
2014-03-27 12:45:41.180299	45679	54	2	1
2014-03-27 12:45:41.413696	45680	20.6	1	1
2014-03-27 12:45:54.966395	45681	42	2	10
2014-03-27 12:45:55.18875	45682	21.4	1	10
2014-03-27 12:46:05.024072	45683	50	2	9
2014-03-27 12:46:05.255783	45684	20.6	1	9
2014-03-27 12:46:06.109624	45685	49	2	8
2014-03-27 12:46:06.331312	45686	21.0	1	8
2014-03-27 12:46:20.182913	45687	54	2	1
2014-03-27 12:46:20.414861	45688	20.5	1	1
2014-03-27 12:46:32.471504	45689	338	3	2
2014-03-27 12:46:32.695802	45690	1095000.8360680658	4	2
2014-03-27 12:46:33.966254	45691	42	2	10
2014-03-27 12:46:34.197633	45692	21.4	1	10
2014-03-27 12:46:44.02481	45693	50	2	9
2014-03-27 12:46:44.248013	45694	20.6	1	9
2014-03-27 12:46:44.554183	45695	338	3	2
2014-03-27 12:46:44.787	45696	1095001.9851027871	4	2
2014-03-27 12:46:45.109743	45697	49	2	8
2014-03-27 12:46:45.333104	45698	21.0	1	8
2014-03-27 12:46:56.470232	45699	418	3	2
2014-03-27 12:46:56.702975	45700	1095003.1341375087	4	2
2014-03-27 12:46:59.184597	45701	54	2	1
2014-03-27 12:46:59.406494	45702	20.5	1	1
2014-03-27 12:47:08.471942	45703	418	3	2
2014-03-27 12:47:08.704807	45704	1095004.28317223	4	2
2014-03-27 12:47:12.966179	45705	42	2	10
2014-03-27 12:47:13.18757	45706	21.4	1	10
2014-03-27 12:47:20.467514	45707	354	3	2
2014-03-27 12:47:20.713119	45708	1095005.4322069515	4	2
2014-03-27 12:47:23.022909	45709	50	2	9
2014-03-27 12:47:23.244872	45710	20.6	1	9
2014-03-27 12:47:24.108951	45711	49	2	8
2014-03-27 12:47:24.341636	45712	21.0	1	8
2014-03-27 12:47:37.997606	45713	289	3	2
2014-03-27 12:47:38.222362	45714	1095006.5812416729	4	2
2014-03-27 12:47:38.528594	45715	54	2	1
2014-03-27 12:47:38.763265	45716	20.5	1	1
2014-03-27 12:47:44.470875	45717	289	3	2
2014-03-27 12:47:44.695225	45718	1095007.7302763942	4	2
2014-03-27 12:47:51.965889	45719	42	2	10
2014-03-27 12:47:52.198531	45720	21.4	1	10
2014-03-27 12:48:02.024336	45721	50	2	9
2014-03-27 12:48:02.245915	45722	20.6	1	9
2014-03-27 12:48:03.109003	45723	49	2	8
2014-03-27 12:48:03.339522	45724	21.0	1	8
2014-03-27 12:48:17.184592	45725	54	2	1
2014-03-27 12:48:17.406635	45726	20.5	1	1
2014-03-27 12:48:30.969387	45727	42	2	10
2014-03-27 12:48:31.201459	45728	21.4	1	10
2014-03-27 12:48:32.470149	45729	289	3	2
2014-03-27 12:48:32.692789	45730	1095011.1773805586	4	2
2014-03-27 12:48:41.025881	45731	50	2	9
2014-03-27 12:48:41.257321	45732	20.6	1	9
2014-03-27 12:48:42.108595	45733	49	2	8
2014-03-27 12:48:42.330661	45734	21.0	1	8
2014-03-27 12:48:56.180509	45735	54	2	1
2014-03-27 12:48:56.410469	45736	20.5	1	1
2014-03-27 12:49:08.470622	45737	338	3	2
2014-03-27 12:49:08.693206	45738	1095014.6244847227	4	2
2014-03-27 12:49:09.967692	45739	42	2	10
2014-03-27 12:49:10.201385	45740	21.3	1	10
2014-03-27 12:49:20.024927	45741	50	2	9
2014-03-27 12:49:20.24814	45742	20.6	1	9
2014-03-27 12:49:21.110822	45743	49	2	8
2014-03-27 12:49:21.341727	45744	21.0	1	8
2014-03-27 12:49:32.470556	45745	338	3	2
2014-03-27 12:49:32.693292	45746	1095016.9225541656	4	2
2014-03-27 12:49:35.178135	45747	54	2	1
2014-03-27 12:49:35.409534	45748	20.5	1	1
2014-03-27 12:49:48.970097	45749	42	2	10
2014-03-27 12:49:49.194168	45750	21.3	1	10
2014-03-27 12:49:59.02452	45751	50	2	9
2014-03-27 12:49:59.257895	45752	20.6	1	9
2014-03-27 12:50:00.109093	45753	49	2	8
2014-03-27 12:50:00.333014	45754	21.0	1	8
2014-03-27 12:50:14.180881	45755	54	2	1
2014-03-27 12:50:14.425763	45756	20.5	1	1
2014-03-27 12:50:27.966898	45757	42	2	10
2014-03-27 12:50:28.189354	45758	21.3	1	10
2014-03-27 12:50:32.470747	45759	338	3	2
2014-03-27 12:50:32.887989	45760	1095022.6677277726	4	2
2014-03-27 12:50:38.026767	45761	50	2	9
2014-03-27 12:50:38.263292	45762	20.6	1	9
2014-03-27 12:50:39.109428	45763	49	2	8
2014-03-27 12:50:39.332301	45764	21.0	1	8
2014-03-27 12:50:53.179286	45765	54	2	1
2014-03-27 12:50:53.410438	45766	20.5	1	1
2014-03-27 12:51:06.967573	45767	42	2	10
2014-03-27 12:51:07.188115	45768	21.3	1	10
2014-03-27 12:51:17.023748	45769	50	2	9
2014-03-27 12:51:17.254163	45770	20.6	1	9
2014-03-27 12:51:18.109344	45771	48	2	8
2014-03-27 12:51:18.34071	45772	21.0	1	8
2014-03-27 12:51:32.177354	45773	54	2	1
2014-03-27 12:51:32.407723	45774	20.5	1	1
2014-03-27 12:51:44.471527	45775	402	3	2
2014-03-27 12:51:44.694909	45776	1095029.5619361012	4	2
2014-03-27 12:51:45.967291	45777	42	2	10
2014-03-27 12:51:46.19731	45778	21.3	1	10
2014-03-27 12:51:56.024536	45779	50	2	9
2014-03-27 12:51:56.245155	45780	20.6	1	9
2014-03-27 12:51:56.551875	45781	354	3	2
2014-03-27 12:51:56.783741	45782	1095030.7109708225	4	2
2014-03-27 12:51:57.109897	45783	48	2	8
2014-03-27 12:51:57.331567	45784	21.0	1	8
2014-03-27 12:52:08.470253	45785	354	3	2
2014-03-27 12:52:08.703513	45786	1095031.860005544	4	2
2014-03-27 12:52:11.176258	45787	54	2	1
2014-03-27 12:52:11.397778	45788	20.5	1	1
2014-03-27 12:52:24.967916	45789	42	2	10
2014-03-27 12:52:25.199134	45790	21.3	1	10
2014-03-27 12:52:32.46718	45791	370	3	2
2014-03-27 12:52:32.691427	45792	1095034.158074987	4	2
2014-03-27 12:52:35.024333	45793	50	2	9
2014-03-27 12:52:35.256024	45794	20.6	1	9
2014-03-27 12:52:36.109736	45795	48	2	8
2014-03-27 12:52:36.330078	45796	21.0	1	8
2014-03-27 12:52:50.176635	45797	54	2	1
2014-03-27 12:52:50.410637	45798	20.5	1	1
2014-03-27 12:53:03.968986	45799	42	2	10
2014-03-27 12:53:04.190208	45800	21.3	1	10
2014-03-27 12:53:14.024031	45801	50	2	9
2014-03-27 12:53:14.257055	45802	20.6	1	9
2014-03-27 12:53:15.108475	45803	48	2	8
2014-03-27 12:53:15.32931	45804	21.0	1	8
2014-03-27 12:53:29.175492	45805	54	2	1
2014-03-27 12:53:29.416736	45806	20.5	1	1
2014-03-27 12:53:32.468145	45807	354	3	2
2014-03-27 12:53:32.687946	45808	1095041.0522833152	4	2
2014-03-27 12:53:42.969803	45809	42	2	10
2014-03-27 12:53:43.201144	45810	21.3	1	10
2014-03-27 12:53:53.025615	45811	50	2	9
2014-03-27 12:53:53.2474	45812	20.6	1	9
2014-03-27 12:53:54.108322	45813	48	2	8
2014-03-27 12:53:54.340342	45814	21.0	1	8
2014-03-27 12:54:08.178146	45815	54	2	1
2014-03-27 12:54:08.398169	45816	20.5	1	1
2014-03-27 12:54:21.969256	45817	42	2	10
2014-03-27 12:54:22.203981	45818	21.3	1	10
2014-03-27 12:54:32.023937	45819	50	2	9
2014-03-27 12:54:32.247032	45820	20.6	1	9
2014-03-27 12:54:32.552146	45821	370	3	2
2014-03-27 12:54:32.78362	45822	1095046.7974569225	4	2
2014-03-27 12:54:33.110278	45823	49	2	8
2014-03-27 12:54:33.331434	45824	20.9	1	8
2014-03-27 12:54:47.177781	45825	54	2	1
2014-03-27 12:54:47.411225	45826	20.5	1	1
2014-03-27 12:55:00.969289	45827	42	2	10
2014-03-27 12:55:01.192823	45828	21.3	1	10
2014-03-27 12:55:11.024424	45829	50	2	9
2014-03-27 12:55:11.259303	45830	20.6	1	9
2014-03-27 12:55:12.110067	45831	49	2	8
2014-03-27 12:55:12.333532	45832	20.9	1	8
2014-03-27 12:55:26.179151	45833	54	2	1
2014-03-27 12:55:26.413693	45834	20.5	1	1
2014-03-27 12:55:32.468492	45835	338	3	2
2014-03-27 12:55:32.693069	45836	1095052.5426305295	4	2
2014-03-27 12:55:39.969307	45837	42	2	10
2014-03-27 12:55:40.202876	45838	21.3	1	10
2014-03-27 12:55:44.469024	45839	338	3	2
2014-03-27 12:55:44.689041	45840	1095053.6916652508	4	2
2014-03-27 12:55:50.024214	45841	50	2	9
2014-03-27 12:55:50.256538	45842	20.6	1	9
2014-03-27 12:55:51.108783	45843	49	2	8
2014-03-27 12:55:51.333422	45844	20.9	1	8
2014-03-27 12:56:05.175003	45845	54	2	1
2014-03-27 12:56:05.409473	45846	20.5	1	1
2014-03-27 12:56:18.970291	45847	42	2	10
2014-03-27 12:56:19.193103	45848	21.3	1	10
2014-03-27 12:56:20.472575	45849	402	3	2
2014-03-27 12:56:20.703238	45850	1095057.1387694152	4	2
2014-03-27 12:56:29.023293	45851	50	2	9
2014-03-27 12:56:29.249479	45852	20.6	1	9
2014-03-27 12:56:30.109295	45853	49	2	8
2014-03-27 12:56:30.351342	45854	20.9	1	8
2014-03-27 12:56:32.468796	45855	354	3	2
2014-03-27 12:56:32.710606	45856	1095058.2878041365	4	2
2014-03-27 12:56:44.175372	45857	54	2	1
2014-03-27 12:56:44.406633	45858	20.5	1	1
2014-03-27 12:56:57.968661	45859	42	2	10
2014-03-27 12:56:58.191311	45860	21.2	1	10
2014-03-27 12:57:08.024064	45861	50	2	9
2014-03-27 12:57:08.255762	45862	20.6	1	9
2014-03-27 12:57:08.563033	45863	466	3	2
2014-03-27 12:57:08.785008	45864	1095061.7349083007	4	2
2014-03-27 12:57:09.10931	45865	49	2	8
2014-03-27 12:57:09.341055	45866	20.9	1	8
2014-03-27 12:57:20.472112	45867	434	3	2
2014-03-27 12:57:20.694522	45868	1095062.8839430222	4	2
2014-03-27 12:57:23.176133	45869	54	2	1
2014-03-27 12:57:23.404993	45870	20.5	1	1
2014-03-27 12:57:32.46382	45871	434	3	2
2014-03-27 12:57:32.686839	45872	1095064.0329777435	4	2
2014-03-27 12:57:36.969488	45873	42	2	10
2014-03-27 12:57:37.209506	45874	21.2	1	10
2014-03-27 12:57:47.02403	45875	50	2	9
2014-03-27 12:57:47.245797	45876	20.6	1	9
2014-03-27 12:57:48.108244	45877	49	2	8
2014-03-27 12:57:48.338613	45878	20.9	1	8
2014-03-27 12:57:56.470723	45879	482	3	2
2014-03-27 12:57:56.693315	45880	1095067.480081908	4	2
2014-03-27 12:58:02.175131	45881	54	2	1
2014-03-27 12:58:02.40583	45882	20.6	1	1
2014-03-27 12:58:08.469945	45883	482	3	2
2014-03-27 12:58:08.692743	45884	1095068.6291166293	4	2
2014-03-27 12:58:15.969442	45885	42	2	10
2014-03-27 12:58:16.204645	45886	21.2	1	10
2014-03-27 12:58:20.467846	45887	515	3	2
2014-03-27 12:58:20.687786	45888	1095070.927186072	4	2
2014-03-27 12:58:26.023752	45889	50	2	9
2014-03-27 12:58:26.255047	45890	20.6	1	9
2014-03-27 12:58:27.108961	45891	49	2	8
2014-03-27 12:58:27.331015	45892	20.9	1	8
2014-03-27 12:58:32.46974	45893	531	3	2
2014-03-27 12:58:32.70188	45894	1095072.0762207934	4	2
2014-03-27 12:58:41.1718	45895	54	2	1
2014-03-27 12:58:41.392403	45896	20.6	1	1
2014-03-27 12:58:54.973408	45897	42	2	10
2014-03-27 12:58:55.205369	45898	21.2	1	10
2014-03-27 12:59:05.029364	45899	50	2	9
2014-03-27 12:59:05.273245	45900	20.6	1	9
2014-03-27 12:59:06.109084	45901	49	2	8
2014-03-27 12:59:06.3516	45902	20.9	1	8
2014-03-27 12:59:20.175385	45903	54	2	1
2014-03-27 12:59:20.397406	45904	20.6	1	1
2014-03-27 12:59:32.47027	45905	515	3	2
2014-03-27 12:59:32.702187	45906	1095081.2684985648	4	2
2014-03-27 12:59:33.971139	45907	42	2	10
2014-03-27 12:59:34.191485	45908	21.2	1	10
2014-03-27 12:59:44.025042	45909	50	2	9
2014-03-27 12:59:44.258507	45910	20.6	1	9
2014-03-27 12:59:45.110691	45911	49	2	8
2014-03-27 12:59:45.331684	45912	20.9	1	8
2014-03-27 12:59:59.309947	45913	54	2	1
2014-03-27 12:59:59.750386	45914	20.6	1	1
2014-03-27 13:00:12.97141	45915	42	2	10
2014-03-27 13:00:13.195095	45916	21.2	1	10
2014-03-27 13:00:23.024245	45917	50	2	9
2014-03-27 13:00:23.257389	45918	20.6	1	9
2014-03-27 13:00:24.144371	45919	49	2	8
2014-03-27 13:00:24.366285	45920	20.9	1	8
2014-03-27 13:00:38.175454	45921	54	2	1
2014-03-27 13:00:38.406216	45922	20.6	1	1
2014-03-27 13:00:51.970629	45923	42	2	10
2014-03-27 13:00:52.192646	45924	21.2	1	10
2014-03-27 13:01:02.024503	45925	50	2	9
2014-03-27 13:01:02.257601	45926	20.6	1	9
2014-03-27 13:01:03.10831	45927	49	2	8
2014-03-27 13:01:03.331145	45928	20.9	1	8
2014-03-27 13:01:17.172475	45929	54	2	1
2014-03-27 13:01:17.407518	45930	20.6	1	1
2014-03-27 13:01:30.97021	45931	42	2	10
2014-03-27 13:01:31.194077	45932	21.2	1	10
2014-03-27 13:01:32.468073	45933	515	3	2
2014-03-27 13:01:32.699046	45934	1095098.5040193861	4	2
2014-03-27 13:01:41.024287	45935	50	2	9
2014-03-27 13:01:41.246546	45936	20.6	1	9
2014-03-27 13:01:42.109458	45937	49	2	8
2014-03-27 13:01:42.339479	45938	20.9	1	8
2014-03-27 13:01:56.17276	45939	54	2	1
2014-03-27 13:01:56.395025	45940	20.6	1	1
2014-03-27 13:02:09.971883	45941	42	2	10
2014-03-27 13:02:10.238697	45942	21.2	1	10
2014-03-27 13:02:20.02379	45943	50	2	9
2014-03-27 13:02:20.283272	45944	20.6	1	9
2014-03-27 13:02:21.108963	45945	49	2	8
2014-03-27 13:02:21.374005	45946	20.9	1	8
2014-03-27 13:02:32.46849	45947	515	3	2
2014-03-27 13:02:32.726288	45948	1095107.6962971573	4	2
2014-03-27 13:02:35.171487	45949	54	2	1
2014-03-27 13:02:35.434582	45950	20.6	1	1
2014-03-27 13:02:48.972473	45951	42	2	10
2014-03-27 13:02:49.198999	45952	21.2	1	10
2014-03-27 13:02:59.025244	45953	50	2	9
2014-03-27 13:02:59.258157	45954	20.6	1	9
2014-03-27 13:03:00.109262	45955	49	2	8
2014-03-27 13:03:00.3314	45956	20.9	1	8
2014-03-27 13:03:14.171745	45957	54	2	1
2014-03-27 13:03:14.403057	45958	20.6	1	1
2014-03-27 13:03:27.970981	45959	42	2	10
2014-03-27 13:03:28.19511	45960	21.2	1	10
2014-03-27 13:03:32.468689	45961	515	3	2
2014-03-27 13:03:32.699675	45962	1095115.7395402072	4	2
2014-03-27 13:03:38.028962	45963	50	2	9
2014-03-27 13:03:38.252226	45964	20.6	1	9
2014-03-27 13:03:39.107627	45965	49	2	8
2014-03-27 13:03:39.339213	45966	20.9	1	8
2014-03-27 13:03:53.169919	45967	54	2	1
2014-03-27 13:03:53.393048	45968	20.6	1	1
2014-03-27 13:03:56.46949	45969	547	3	2
2014-03-27 13:03:56.704077	45970	1095119.1866443716	4	2
2014-03-27 13:04:06.971005	45971	42	2	10
2014-03-27 13:04:07.193368	45972	21.1	1	10
2014-03-27 13:04:08.468598	45973	547	3	2
2014-03-27 13:04:08.70084	45974	1095120.335679093	4	2
2014-03-27 13:04:17.231607	45975	50	2	9
2014-03-27 13:04:17.455525	45976	20.6	1	9
2014-03-27 13:04:18.108273	45977	49	2	8
2014-03-27 13:04:18.338672	45978	20.9	1	8
2014-03-27 13:04:32.17011	45979	54	2	1
2014-03-27 13:04:32.391768	45980	20.6	1	1
2014-03-27 13:04:45.973367	45981	42	2	10
2014-03-27 13:04:46.20343	45982	21.1	1	10
2014-03-27 13:04:56.024634	45983	50	2	9
2014-03-27 13:04:56.246614	45984	20.6	1	9
2014-03-27 13:04:57.110173	45985	49	2	8
2014-03-27 13:04:57.341583	45986	20.9	1	8
2014-03-27 13:05:11.171061	45987	54	2	1
2014-03-27 13:05:11.392673	45988	20.6	1	1
2014-03-27 13:05:24.973651	45989	42	2	10
2014-03-27 13:05:25.206697	45990	21.1	1	10
2014-03-27 13:05:32.469206	45991	531	3	2
2014-03-27 13:05:32.692599	45992	1095134.12409575	4	2
2014-03-27 13:05:35.024063	45993	50	2	9
2014-03-27 13:05:35.258816	45994	20.6	1	9
2014-03-27 13:05:36.111994	45995	49	2	8
2014-03-27 13:05:36.333462	45996	20.9	1	8
2014-03-27 13:05:44.469014	45997	482	3	2
2014-03-27 13:05:44.713022	45998	1095135.2731304714	4	2
2014-03-27 13:05:50.170526	45999	54	2	1
2014-03-27 13:05:50.392502	46000	20.6	1	1
2014-03-27 13:05:56.46828	46001	482	3	2
2014-03-27 13:05:56.699539	46002	1095137.5711999142	4	2
2014-03-27 13:06:03.972581	46003	42	2	10
2014-03-27 13:06:04.197938	46004	21.1	1	10
2014-03-27 13:06:14.022998	46005	50	2	9
2014-03-27 13:06:14.25745	46006	20.6	1	9
2014-03-27 13:06:15.109341	46007	49	2	8
2014-03-27 13:06:15.333343	46008	20.9	1	8
2014-03-27 13:06:29.168203	46009	54	2	1
2014-03-27 13:06:29.406631	46010	20.6	1	1
2014-03-27 13:06:32.466476	46011	482	3	2
2014-03-27 13:06:32.689751	46012	1095142.1673388	4	2
2014-03-27 13:06:42.972276	46013	42	2	10
2014-03-27 13:06:43.20326	46014	21.1	1	10
2014-03-27 13:06:53.023821	46015	50	2	9
2014-03-27 13:06:53.246217	46016	20.6	1	9
2014-03-27 13:06:54.163766	46017	49	2	8
2014-03-27 13:06:54.396195	46018	20.9	1	8
2014-03-27 13:07:08.170429	46019	54	2	1
2014-03-27 13:07:08.393226	46020	20.6	1	1
2014-03-27 13:07:21.972248	46021	42	2	10
2014-03-27 13:07:22.205029	46022	21.1	1	10
2014-03-27 13:07:32.026482	46023	50	2	9
2014-03-27 13:07:32.284359	46024	20.6	1	9
2014-03-27 13:07:32.624696	46025	466	3	2
2014-03-27 13:07:32.887796	46026	1095150.2105818498	4	2
2014-03-27 13:07:33.225087	46027	49	2	8
2014-03-27 13:07:33.479909	46028	20.9	1	8
2014-03-27 13:07:47.167672	46029	54	2	1
2014-03-27 13:07:47.401198	46030	20.6	1	1
2014-03-27 13:08:00.973444	46031	42	2	10
2014-03-27 13:08:01.195996	46032	21.1	1	10
2014-03-27 13:08:11.023876	46033	50	2	9
2014-03-27 13:08:11.255959	46034	20.6	1	9
2014-03-27 13:08:12.10732	46035	49	2	8
2014-03-27 13:08:12.329923	46036	20.9	1	8
2014-03-27 13:08:26.168269	46037	54	2	1
2014-03-27 13:08:26.402679	46038	20.6	1	1
2014-03-27 13:08:32.467418	46039	466	3	2
2014-03-27 13:08:32.69082	46040	1095158.2538248997	4	2
2014-03-27 13:08:39.972441	46041	42	2	10
2014-03-27 13:08:40.20517	46042	21.1	1	10
2014-03-27 13:08:50.023319	46043	50	2	9
2014-03-27 13:08:50.245985	46044	20.6	1	9
2014-03-27 13:08:51.108992	46045	49	2	8
2014-03-27 13:08:51.352569	46046	20.9	1	8
2014-03-27 13:09:05.16768	46047	54	2	1
2014-03-27 13:09:05.388849	46048	20.6	1	1
2014-03-27 13:09:08.468067	46049	418	3	2
2014-03-27 13:09:08.697663	46050	1095162.8499637854	4	2
2014-03-27 13:09:18.973131	46051	42	2	10
2014-03-27 13:09:19.193819	46052	21.1	1	10
2014-03-27 13:09:20.466895	46053	418	3	2
2014-03-27 13:09:20.699396	46054	1095163.9989985067	4	2
2014-03-27 13:09:29.022896	46055	50	2	9
2014-03-27 13:09:29.243789	46056	20.6	1	9
2014-03-27 13:09:30.107292	46057	49	2	8
2014-03-27 13:09:30.34328	46058	20.9	1	8
2014-03-27 13:09:32.471069	46059	434	3	2
2014-03-27 13:09:32.693785	46060	1095165.1480332282	4	2
2014-03-27 13:09:44.165074	46061	54	2	1
2014-03-27 13:09:44.397985	46062	20.6	1	1
2014-03-27 13:09:57.974701	46063	42	2	10
2014-03-27 13:09:58.195775	46064	21.1	1	10
2014-03-27 13:10:08.026468	46065	50	2	9
2014-03-27 13:10:08.259112	46066	20.6	1	9
2014-03-27 13:10:09.108747	46067	49	2	8
2014-03-27 13:10:09.329941	46068	20.9	1	8
2014-03-27 13:10:23.169436	46069	54	2	1
2014-03-27 13:10:23.402402	46070	20.6	1	1
2014-03-27 13:10:32.470275	46071	466	3	2
2014-03-27 13:10:32.691595	46072	1095172.0422415566	4	2
2014-03-27 13:10:36.972696	46073	42	2	10
2014-03-27 13:10:37.206963	46074	21.1	1	10
2014-03-27 13:10:44.465014	46075	450	3	2
2014-03-27 13:10:44.687328	46076	1095174.3403109994	4	2
2014-03-27 13:10:47.023792	46077	50	2	9
2014-03-27 13:10:47.255871	46078	20.6	1	9
2014-03-27 13:10:48.109974	46079	49	2	8
2014-03-27 13:10:48.331769	46080	20.9	1	8
2014-03-27 13:11:02.166976	46081	54	2	1
2014-03-27 13:11:02.399132	46082	20.6	1	1
2014-03-27 13:11:15.972898	46083	42	2	10
2014-03-27 13:11:16.197408	46084	21.1	1	10
2014-03-27 13:11:26.022743	46085	50	2	9
2014-03-27 13:11:26.256048	46086	20.6	1	9
2014-03-27 13:11:27.108612	46087	49	2	8
2014-03-27 13:11:27.332462	46088	20.9	1	8
2014-03-27 13:11:32.46926	46089	450	3	2
2014-03-27 13:11:32.700379	46090	1095180.0854846064	4	2
2014-03-27 13:11:41.16385	46091	54	2	1
2014-03-27 13:11:41.390079	46092	20.6	1	1
2014-03-27 13:11:54.973963	46093	42	2	10
2014-03-27 13:11:55.217958	46094	21.2	1	10
2014-03-27 13:12:05.022968	46095	50	2	9
2014-03-27 13:12:05.244374	46096	20.5	1	9
2014-03-27 13:12:06.108045	46097	49	2	8
2014-03-27 13:12:06.341163	46098	20.9	1	8
2014-03-27 13:12:20.166657	46099	54	2	1
2014-03-27 13:12:20.390939	46100	20.6	1	1
2014-03-27 13:12:32.467577	46101	402	3	2
2014-03-27 13:12:32.698078	46102	1095186.979692935	4	2
2014-03-27 13:12:33.973439	46103	42	2	10
2014-03-27 13:12:34.195231	46104	21.2	1	10
2014-03-27 13:12:44.024284	46105	50	2	9
2014-03-27 13:12:44.278191	46106	20.5	1	9
2014-03-27 13:12:45.108544	46107	49	2	8
2014-03-27 13:12:45.329462	46108	20.9	1	8
2014-03-27 13:12:59.164827	46109	54	2	1
2014-03-27 13:12:59.403495	46110	20.6	1	1
2014-03-27 13:13:12.972885	46111	42	2	10
2014-03-27 13:13:13.197172	46112	21.2	1	10
2014-03-27 13:13:20.467978	46113	370	3	2
2014-03-27 13:13:20.701464	46114	1095192.724866542	4	2
2014-03-27 13:13:23.023324	46115	50	2	9
2014-03-27 13:13:23.244631	46116	20.5	1	9
2014-03-27 13:13:24.109222	46117	49	2	8
2014-03-27 13:13:24.340663	46118	20.9	1	8
2014-03-27 13:13:32.46539	46119	418	3	2
2014-03-27 13:13:32.688535	46120	1095193.8739012636	4	2
2014-03-27 13:13:38.167156	46121	54	2	1
2014-03-27 13:13:38.400628	46122	20.6	1	1
2014-03-27 13:13:44.469699	46123	418	3	2
2014-03-27 13:13:44.69359	46124	1095195.022935985	4	2
2014-03-27 13:13:51.973806	46125	42	2	10
2014-03-27 13:13:52.207903	46126	21.2	1	10
2014-03-27 13:14:02.023781	46127	50	2	9
2014-03-27 13:14:02.24594	46128	20.5	1	9
2014-03-27 13:14:03.10803	46129	49	2	8
2014-03-27 13:14:03.340664	46130	20.9	1	8
2014-03-27 13:14:17.16316	46131	54	2	1
2014-03-27 13:14:17.385222	46132	20.6	1	1
2014-03-27 13:14:30.975136	46133	42	2	10
2014-03-27 13:14:31.206737	46134	21.2	1	10
2014-03-27 13:14:32.466133	46135	402	3	2
2014-03-27 13:14:32.687335	46136	1095200.768109592	4	2
2014-03-27 13:14:41.023482	46137	50	2	9
2014-03-27 13:14:41.255485	46138	20.5	1	9
2014-03-27 13:14:42.10894	46139	49	2	8
2014-03-27 13:14:42.329999	46140	20.9	1	8
2014-03-27 13:14:56.163621	46141	54	2	1
2014-03-27 13:14:56.406907	46142	20.6	1	1
2014-03-27 13:15:08.469404	46143	402	3	2
2014-03-27 13:15:08.689666	46144	1095205.3642484776	4	2
2014-03-27 13:15:09.975146	46145	42	2	10
2014-03-27 13:15:10.205058	46146	21.2	1	10
2014-03-27 13:15:20.023764	46147	50	2	9
2014-03-27 13:15:20.247032	46148	20.5	1	9
2014-03-27 13:15:20.551972	46149	402	3	2
2014-03-27 13:15:20.784425	46150	1095206.5132831992	4	2
2014-03-27 13:15:21.1089	46151	49	2	8
2014-03-27 13:15:21.330646	46152	20.9	1	8
2014-03-27 13:15:32.465546	46153	402	3	2
2014-03-27 13:15:32.696498	46154	1095207.6623179205	4	2
2014-03-27 13:15:35.161384	46155	54	2	1
2014-03-27 13:15:35.383106	46156	20.6	1	1
2014-03-27 13:15:48.974937	46157	42	2	10
2014-03-27 13:15:49.209682	46158	21.2	1	10
2014-03-27 13:15:56.470843	46159	434	3	2
2014-03-27 13:15:56.693254	46160	1095209.9603873633	4	2
2014-03-27 13:15:59.024115	46161	50	2	9
2014-03-27 13:15:59.25479	46162	20.5	1	9
2014-03-27 13:16:00.109362	46163	49	2	8
2014-03-27 13:16:00.330419	46164	20.9	1	8
2014-03-27 13:16:08.469658	46165	450	3	2
2014-03-27 13:16:08.700367	46166	1095212.2584568062	4	2
2014-03-27 13:16:14.164396	46167	54	2	1
2014-03-27 13:16:14.388689	46168	20.6	1	1
2014-03-27 13:16:27.975053	46169	42	2	10
2014-03-27 13:16:28.208089	46170	21.2	1	10
2014-03-27 13:16:32.465181	46171	434	3	2
2014-03-27 13:16:32.688869	46172	1095214.556526249	4	2
2014-03-27 13:16:38.023137	46173	50	2	9
2014-03-27 13:16:38.257849	46174	20.5	1	9
2014-03-27 13:16:39.108286	46175	49	2	8
2014-03-27 13:16:39.332586	46176	20.9	1	8
2014-03-27 13:16:53.164216	46177	54	2	1
2014-03-27 13:16:53.398286	46178	20.6	1	1
2014-03-27 13:17:06.980463	46179	42	2	10
2014-03-27 13:17:07.203098	46180	21.2	1	10
2014-03-27 13:17:17.022798	46181	50	2	9
2014-03-27 13:17:17.255334	46182	20.5	1	9
2014-03-27 13:17:18.108807	46183	49	2	8
2014-03-27 13:17:18.330409	46184	20.9	1	8
2014-03-27 13:17:32.162248	46185	54	2	1
2014-03-27 13:17:32.39571	46186	20.6	1	1
2014-03-27 13:17:45.975214	46187	42	2	10
2014-03-27 13:17:46.198552	46188	21.2	1	10
2014-03-27 13:17:56.023247	46189	50	2	9
2014-03-27 13:17:56.267313	46190	20.5	1	9
2014-03-27 13:17:57.108475	46191	49	2	8
2014-03-27 13:17:57.329485	46192	20.9	1	8
2014-03-27 13:18:11.162793	46193	54	2	1
2014-03-27 13:18:11.395433	46194	20.6	1	1
2014-03-27 13:18:24.974258	46195	42	2	10
2014-03-27 13:18:25.197071	46196	21.2	1	10
2014-03-27 13:18:32.466823	46197	450	3	2
2014-03-27 13:18:32.700839	46198	1095229.4939776275	4	2
2014-03-27 13:18:35.023588	46199	50	2	9
2014-03-27 13:18:35.245535	46200	20.5	1	9
2014-03-27 13:18:36.108687	46201	49	2	8
2014-03-27 13:18:36.337985	46202	20.9	1	8
2014-03-27 13:18:50.162746	46203	54	2	1
2014-03-27 13:18:50.384925	46204	20.6	1	1
2014-03-27 13:19:03.975266	46205	42	2	10
2014-03-27 13:19:04.208194	46206	21.2	1	10
2014-03-27 13:19:14.022862	46207	50	2	9
2014-03-27 13:19:14.24436	46208	20.5	1	9
2014-03-27 13:19:15.108966	46209	49	2	8
2014-03-27 13:19:15.340061	46210	20.9	1	8
2014-03-27 13:19:29.16211	46211	54	2	1
2014-03-27 13:19:29.38315	46212	20.6	1	1
2014-03-27 13:19:32.46638	46213	466	3	2
2014-03-27 13:19:32.702393	46214	1095237.5372206774	4	2
2014-03-27 13:19:42.978713	46215	42	2	10
2014-03-27 13:19:43.19891	46216	21.2	1	10
2014-03-27 13:19:44.464469	46217	434	3	2
2014-03-27 13:19:44.695008	46218	1095238.6862553987	4	2
2014-03-27 13:19:53.022784	46219	50	2	9
2014-03-27 13:19:53.245085	46220	20.5	1	9
2014-03-27 13:19:54.107443	46221	49	2	8
2014-03-27 13:19:54.33859	46222	20.9	1	8
2014-03-27 13:19:56.464489	46223	450	3	2
2014-03-27 13:19:56.686636	46224	1095239.8352901202	4	2
2014-03-27 13:20:08.158666	46225	54	2	1
2014-03-27 13:20:08.390326	46226	20.6	1	1
2014-03-27 13:20:21.97677	46227	42	2	10
2014-03-27 13:20:22.201283	46228	21.2	1	10
2014-03-27 13:20:32.025515	46229	50	2	9
2014-03-27 13:20:32.259661	46230	20.5	1	9
2014-03-27 13:20:32.563263	46231	450	3	2
2014-03-27 13:20:32.786655	46232	1095244.4314290057	4	2
2014-03-27 13:20:33.108987	46233	49	2	8
2014-03-27 13:20:33.340773	46234	20.9	1	8
2014-03-27 13:20:44.46581	46235	418	3	2
2014-03-27 13:20:44.688064	46236	1095245.5804637272	4	2
2014-03-27 13:20:47.158817	46237	54	2	1
2014-03-27 13:20:47.401595	46238	20.6	1	1
2014-03-27 13:20:56.467445	46239	418	3	2
2014-03-27 13:20:56.688676	46240	1095246.7294984485	4	2
2014-03-27 13:21:00.978579	46241	42	2	10
2014-03-27 13:21:01.209445	46242	21.2	1	10
2014-03-27 13:21:11.025727	46243	50	2	9
2014-03-27 13:21:11.249493	46244	20.5	1	9
2014-03-27 13:21:12.108058	46245	49	2	8
2014-03-27 13:21:12.340709	46246	20.9	1	8
2014-03-27 13:21:26.163014	46247	54	2	1
2014-03-27 13:21:26.38464	46248	20.6	1	1
2014-03-27 13:21:32.467623	46249	418	3	2
2014-03-27 13:21:32.700126	46250	1095251.3256373343	4	2
2014-03-27 13:21:40.005406	46251	42	2	10
2014-03-27 13:21:40.228876	46252	21.2	1	10
2014-03-27 13:21:50.022752	46253	50	2	9
2014-03-27 13:21:50.256368	46254	20.5	1	9
2014-03-27 13:21:51.110117	46255	49	2	8
2014-03-27 13:21:51.331448	46256	20.9	1	8
2014-03-27 13:22:05.16314	46257	54	2	1
2014-03-27 13:22:05.39556	46258	20.6	1	1
2014-03-27 13:22:18.977006	46259	42	2	10
2014-03-27 13:22:19.200575	46260	21.2	1	10
2014-03-27 13:22:29.023659	46261	50	2	9
2014-03-27 13:22:29.256837	46262	20.5	1	9
2014-03-27 13:22:30.111497	46263	49	2	8
2014-03-27 13:22:30.335645	46264	20.9	1	8
2014-03-27 13:22:32.469232	46265	418	3	2
2014-03-27 13:22:32.700357	46266	1095258.2198456628	4	2
2014-03-27 13:22:44.160629	46267	54	2	1
2014-03-27 13:22:44.385438	46268	20.6	1	1
2014-03-27 13:22:57.977702	46269	42	2	10
2014-03-27 13:22:58.208709	46270	21.2	1	10
2014-03-27 13:23:08.023094	46271	50	2	9
2014-03-27 13:23:08.245395	46272	20.5	1	9
2014-03-27 13:23:09.110421	46273	49	2	8
2014-03-27 13:23:09.341512	46274	20.9	1	8
2014-03-27 13:23:20.468021	46275	370	3	2
2014-03-27 13:23:20.689538	46276	1095263.9650192698	4	2
2014-03-27 13:23:23.159088	46277	54	2	1
2014-03-27 13:23:23.390774	46278	20.6	1	1
2014-03-27 13:23:32.467415	46279	402	3	2
2014-03-27 13:23:32.689533	46280	1095265.1140539912	4	2
2014-03-27 13:23:36.978325	46281	42	2	10
2014-03-27 13:23:37.209643	46282	21.2	1	10
2014-03-27 13:23:44.467627	46283	370	3	2
2014-03-27 13:23:44.6897	46284	1095265.1185249435	4	2
2014-03-27 13:23:47.02476	46285	50	2	9
2014-03-27 13:23:47.266993	46286	20.5	1	9
2014-03-27 13:23:48.107756	46287	49	2	8
2014-03-27 13:23:48.328459	46288	20.9	1	8
2014-03-27 13:23:56.463418	46289	402	3	2
2014-03-27 13:23:56.695431	46290	1095266.2675596648	4	2
2014-03-27 13:24:02.160195	46291	54	2	1
2014-03-27 13:24:02.381642	46292	20.6	1	1
2014-03-27 13:24:08.468746	46293	370	3	2
2014-03-27 13:24:08.703189	46294	1095267.4165943863	4	2
2014-03-27 13:24:15.978507	46295	42	2	10
2014-03-27 13:24:16.20095	46296	21.2	1	10
2014-03-27 13:24:20.465208	46297	402	3	2
2014-03-27 13:24:20.69911	46298	1095268.5656291076	4	2
2014-03-27 13:24:26.024044	46299	50	2	9
2014-03-27 13:24:26.247439	46300	20.5	1	9
2014-03-27 13:24:27.107752	46301	49	2	8
2014-03-27 13:24:27.338844	46302	20.9	1	8
2014-03-27 13:24:32.468945	46303	370	3	2
2014-03-27 13:24:32.692437	46304	1095269.7146638292	4	2
2014-03-27 13:24:41.158813	46305	54	2	1
2014-03-27 13:24:41.389156	46306	20.6	1	1
2014-03-27 13:24:44.467027	46307	370	3	2
2014-03-27 13:24:44.688566	46308	1095270.8636985505	4	2
2014-03-27 13:24:54.978293	46309	42	2	10
2014-03-27 13:24:55.209369	46310	21.2	1	10
2014-03-27 13:25:05.023253	46311	50	2	9
2014-03-27 13:25:05.246192	46312	20.5	1	9
2014-03-27 13:25:06.107562	46313	49	2	8
2014-03-27 13:25:06.338731	46314	20.9	1	8
2014-03-27 13:25:20.157387	46315	54	2	1
2014-03-27 13:25:20.377491	46316	20.6	1	1
2014-03-27 13:25:32.46646	46317	370	3	2
2014-03-27 13:25:32.698443	46318	1095276.6088721575	4	2
2014-03-27 13:25:33.977792	46319	42	2	10
2014-03-27 13:25:34.200163	46320	21.2	1	10
2014-03-27 13:25:44.023869	46321	50	2	9
2014-03-27 13:25:44.254965	46322	20.5	1	9
2014-03-27 13:25:44.561847	46323	370	3	2
2014-03-27 13:25:44.782361	46324	1095277.757906879	4	2
2014-03-27 13:25:45.108035	46325	49	2	8
2014-03-27 13:25:45.339051	46326	20.9	1	8
2014-03-27 13:25:59.161096	46327	54	2	1
2014-03-27 13:25:59.383007	46328	20.6	1	1
2014-03-27 13:26:12.980472	46329	42	2	10
2014-03-27 13:26:13.211402	46330	21.2	1	10
2014-03-27 13:26:23.025601	46331	50	2	9
2014-03-27 13:26:23.250523	46332	20.5	1	9
2014-03-27 13:26:24.108236	46333	49	2	8
2014-03-27 13:26:24.351064	46334	20.9	1	8
2014-03-27 13:26:32.476811	46335	370	3	2
2014-03-27 13:26:32.698203	46336	1095282.3540457648	4	2
2014-03-27 13:26:38.159026	46337	54	2	1
2014-03-27 13:26:38.390143	46338	20.6	1	1
2014-03-27 13:26:51.978119	46339	42	2	10
2014-03-27 13:26:52.204099	46340	21.2	1	10
2014-03-27 13:27:02.02286	46341	50	2	9
2014-03-27 13:27:02.255342	46342	20.5	1	9
2014-03-27 13:27:03.109823	46343	49	2	8
2014-03-27 13:27:03.330937	46344	20.9	1	8
2014-03-27 13:27:17.159529	46345	54	2	1
2014-03-27 13:27:17.392379	46346	20.6	1	1
2014-03-27 13:27:20.467753	46347	418	3	2
2014-03-27 13:27:20.688997	46348	1095288.0992193718	4	2
2014-03-27 13:27:30.979168	46349	42	2	10
2014-03-27 13:27:31.212804	46350	21.2	1	10
2014-03-27 13:27:32.46196	46351	418	3	2
2014-03-27 13:27:32.683188	46352	1095289.248254093	4	2
2014-03-27 13:27:41.02278	46353	50	2	9
2014-03-27 13:27:41.258079	46354	20.5	1	9
2014-03-27 13:27:42.106964	46355	49	2	8
2014-03-27 13:27:42.330237	46356	20.9	1	8
2014-03-27 13:27:56.155858	46357	54	2	1
2014-03-27 13:27:56.390038	46358	20.5	1	1
2014-03-27 13:28:09.979482	46359	42	2	10
2014-03-27 13:28:10.201659	46360	21.2	1	10
2014-03-27 13:28:20.0226	46361	50	2	9
2014-03-27 13:28:20.254549	46362	20.5	1	9
2014-03-27 13:28:21.108147	46363	49	2	8
2014-03-27 13:28:21.330812	46364	20.9	1	8
2014-03-27 13:28:34.954133	46365	434	3	2
2014-03-27 13:28:35.185341	46366	1095296.1424624217	4	2
2014-03-27 13:28:35.493872	46367	54	2	1
2014-03-27 13:28:35.714815	46368	20.5	1	1
2014-03-27 13:28:48.978585	46369	42	2	10
2014-03-27 13:28:49.232893	46370	21.2	1	10
2014-03-27 13:28:59.022252	46371	50	2	9
2014-03-27 13:28:59.245747	46372	20.5	1	9
2014-03-27 13:29:00.108258	46373	49	2	8
2014-03-27 13:29:00.342569	46374	20.9	1	8
2014-03-27 13:29:14.154668	46375	54	2	1
2014-03-27 13:29:14.377076	46376	20.5	1	1
2014-03-27 13:29:27.979531	46377	42	2	10
2014-03-27 13:29:28.211942	46378	21.2	1	10
2014-03-27 13:29:38.025098	46379	50	2	9
2014-03-27 13:29:38.2471	46380	20.5	1	9
2014-03-27 13:29:39.108734	46381	49	2	8
2014-03-27 13:29:39.351495	46382	20.9	1	8
2014-03-27 13:29:53.156016	46383	54	2	1
2014-03-27 13:29:53.377666	46384	20.5	1	1
2014-03-27 13:30:06.979574	46385	42	2	10
2014-03-27 13:30:07.212436	46386	21.2	1	10
2014-03-27 13:30:17.023005	46387	50	2	9
2014-03-27 13:30:17.24418	46388	20.5	1	9
2014-03-27 13:30:18.106725	46389	49	2	8
2014-03-27 13:30:18.338508	46390	20.9	1	8
2014-03-27 13:30:32.152921	46391	54	2	1
2014-03-27 13:30:32.376075	46392	20.5	1	1
2014-03-27 13:30:45.980563	46393	42	2	10
2014-03-27 13:30:46.212863	46394	21.2	1	10
2014-03-27 13:30:56.02352	46395	50	2	9
2014-03-27 13:30:56.245858	46396	20.5	1	9
2014-03-27 13:30:57.107922	46397	49	2	8
2014-03-27 13:30:57.338297	46398	20.9	1	8
2014-03-27 13:31:11.393103	46399	54	2	1
2014-03-27 13:31:11.615452	46400	20.5	1	1
2014-03-27 13:31:25.020767	46401	42	2	10
2014-03-27 13:31:25.270207	46402	21.2	1	10
2014-03-27 13:31:32.465938	46403	434	3	2
2014-03-27 13:31:32.687988	46404	1095317.9741221284	4	2
2014-03-27 13:31:35.02503	46405	50	2	9
2014-03-27 13:31:35.257128	46406	20.5	1	9
2014-03-27 13:31:36.108102	46407	49	2	8
2014-03-27 13:31:36.330295	46408	20.9	1	8
2014-03-27 13:31:50.153896	46409	54	2	1
2014-03-27 13:31:50.386009	46410	20.5	1	1
2014-03-27 13:32:03.979479	46411	42	2	10
2014-03-27 13:32:04.203322	46412	21.2	1	10
2014-03-27 13:32:14.023058	46413	50	2	9
2014-03-27 13:32:14.257073	46414	20.5	1	9
2014-03-27 13:32:15.108524	46415	49	2	8
2014-03-27 13:32:15.329408	46416	20.9	1	8
2014-03-27 13:32:29.15726	46417	54	2	1
2014-03-27 13:32:29.388817	46418	20.5	1	1
2014-03-27 13:32:32.464767	46419	434	3	2
2014-03-27 13:32:32.687772	46420	1095324.868330457	4	2
2014-03-27 13:32:42.980249	46421	42	2	10
2014-03-27 13:32:43.217405	46422	21.2	1	10
2014-03-27 13:32:53.022843	46423	50	2	9
2014-03-27 13:32:53.247181	46424	20.5	1	9
2014-03-27 13:32:54.107804	46425	49	2	8
2014-03-27 13:32:54.340041	46426	20.9	1	8
2014-03-27 13:32:56.467458	46427	370	3	2
2014-03-27 13:32:56.691159	46428	1095328.3154346212	4	2
2014-03-27 13:33:08.156687	46429	54	2	1
2014-03-27 13:33:08.403049	46430	20.5	1	1
2014-03-27 13:33:21.980604	46431	42	2	10
2014-03-27 13:33:22.20343	46432	21.2	1	10
2014-03-27 13:33:32.022985	46433	50	2	9
2014-03-27 13:33:32.254771	46434	20.5	1	9
2014-03-27 13:33:32.564463	46435	402	3	2
2014-03-27 13:33:32.786589	46436	1095331.7625387856	4	2
2014-03-27 13:33:33.107271	46437	48	2	8
2014-03-27 13:33:33.341303	46438	20.9	1	8
2014-03-27 13:33:44.466693	46439	402	3	2
2014-03-27 13:33:44.687607	46440	1095332.911573507	4	2
2014-03-27 13:33:47.155283	46441	54	2	1
2014-03-27 13:33:47.386553	46442	20.5	1	1
2014-03-27 13:34:00.979636	46443	42	2	10
2014-03-27 13:34:01.201995	46444	21.3	1	10
2014-03-27 13:34:08.466129	46445	370	3	2
2014-03-27 13:34:08.697227	46446	1095336.3586776713	4	2
2014-03-27 13:34:11.023398	46447	50	2	9
2014-03-27 13:34:11.24394	46448	20.5	1	9
2014-03-27 13:34:12.107806	46449	48	2	8
2014-03-27 13:34:12.337381	46450	20.9	1	8
2014-03-27 13:34:20.46828	46451	402	3	2
2014-03-27 13:34:20.690004	46452	1095337.5077123926	4	2
2014-03-27 13:34:26.15235	46453	54	2	1
2014-03-27 13:34:26.383454	46454	20.5	1	1
2014-03-27 13:34:32.465266	46455	402	3	2
2014-03-27 13:34:32.689512	46456	1095338.656747114	4	2
2014-03-27 13:34:39.979845	46457	42	2	10
2014-03-27 13:34:40.210755	46458	21.3	1	10
2014-03-27 13:34:50.023034	46459	50	2	9
2014-03-27 13:34:50.245675	46460	20.5	1	9
2014-03-27 13:34:51.107459	46461	48	2	8
2014-03-27 13:34:51.340093	46462	20.9	1	8
2014-03-27 13:35:05.150416	46463	54	2	1
2014-03-27 13:35:05.373198	46464	20.5	1	1
2014-03-27 13:35:18.979948	46465	42	2	10
2014-03-27 13:35:19.212804	46466	21.3	1	10
2014-03-27 13:35:20.46764	46467	370	3	2
2014-03-27 13:35:20.691215	46468	1095343.2528859996	4	2
2014-03-27 13:35:29.024404	46469	50	2	9
2014-03-27 13:35:29.257427	46470	20.5	1	9
2014-03-27 13:35:30.108662	46471	48	2	8
2014-03-27 13:35:30.336242	46472	20.9	1	8
2014-03-27 13:35:32.468947	46473	370	3	2
2014-03-27 13:35:32.703581	46474	1095345.5509554425	4	2
2014-03-27 13:35:44.153525	46475	54	2	1
2014-03-27 13:35:44.374443	46476	20.5	1	1
2014-03-27 13:35:56.465418	46477	370	3	2
2014-03-27 13:35:56.709946	46478	1095347.8490248853	4	2
2014-03-27 13:35:57.980732	46479	42	2	10
2014-03-27 13:35:58.200707	46480	21.3	1	10
2014-03-27 13:36:08.023502	46481	50	2	9
2014-03-27 13:36:08.255084	46482	20.5	1	9
2014-03-27 13:36:08.559838	46483	402	3	2
2014-03-27 13:36:08.78344	46484	1095348.9980596066	4	2
2014-03-27 13:36:09.10713	46485	48	2	8
2014-03-27 13:36:09.339074	46486	20.9	1	8
2014-03-27 13:36:20.462945	46487	370	3	2
2014-03-27 13:36:20.684259	46488	1095350.1470943282	4	2
2014-03-27 13:36:23.151301	46489	54	2	1
2014-03-27 13:36:23.382591	46490	20.5	1	1
2014-03-27 13:36:32.465525	46491	402	3	2
2014-03-27 13:36:32.686815	46492	1095351.2961290495	4	2
2014-03-27 13:36:36.984451	46493	42	2	10
2014-03-27 13:36:37.217181	46494	21.3	1	10
2014-03-27 13:36:44.468168	46495	402	3	2
2014-03-27 13:36:44.689557	46496	1095352.445163771	4	2
2014-03-27 13:36:47.025437	46497	50	2	9
2014-03-27 13:36:47.256181	46498	20.5	1	9
2014-03-27 13:36:48.108428	46499	48	2	8
2014-03-27 13:36:48.328583	46500	20.9	1	8
2014-03-27 13:37:02.150431	46501	54	2	1
2014-03-27 13:37:02.382593	46502	20.5	1	1
2014-03-27 13:37:15.982949	46503	43	2	10
2014-03-27 13:37:16.209612	46504	21.3	1	10
2014-03-27 13:37:26.024804	46505	50	2	9
2014-03-27 13:37:26.257268	46506	20.5	1	9
2014-03-27 13:37:27.1096	46507	48	2	8
2014-03-27 13:37:27.330948	46508	20.9	1	8
2014-03-27 13:37:32.465495	46509	402	3	2
2014-03-27 13:37:32.698104	46510	1095358.190337378	4	2
2014-03-27 13:37:41.153486	46511	54	2	1
2014-03-27 13:37:41.37865	46512	20.5	1	1
2014-03-27 13:37:44.463393	46513	354	3	2
2014-03-27 13:37:44.694895	46514	1095359.3393720994	4	2
2014-03-27 13:37:54.98083	46515	43	2	10
2014-03-27 13:37:55.261259	46516	21.3	1	10
2014-03-27 13:37:56.464258	46517	338	3	2
2014-03-27 13:37:56.696531	46518	1095360.488406821	4	2
2014-03-27 13:38:05.023932	46519	50	2	9
2014-03-27 13:38:05.250169	46520	20.5	1	9
2014-03-27 13:38:06.107593	46521	48	2	8
2014-03-27 13:38:06.341228	46522	20.9	1	8
2014-03-27 13:38:20.150275	46523	54	2	1
2014-03-27 13:38:20.374526	46524	20.5	1	1
2014-03-27 13:38:32.465697	46525	354	3	2
2014-03-27 13:38:32.709009	46526	1095363.935510985	4	2
2014-03-27 13:38:33.982406	46527	43	2	10
2014-03-27 13:38:34.20312	46528	21.3	1	10
2014-03-27 13:38:44.03057	46529	50	2	9
2014-03-27 13:38:44.265014	46530	20.5	1	9
2014-03-27 13:38:45.108307	46531	48	2	8
2014-03-27 13:38:45.331766	46532	20.9	1	8
2014-03-27 13:38:59.148239	46533	54	2	1
2014-03-27 13:38:59.389078	46534	20.5	1	1
2014-03-27 13:39:12.982518	46535	43	2	10
2014-03-27 13:39:13.204717	46536	21.3	1	10
2014-03-27 13:39:23.023416	46537	50	2	9
2014-03-27 13:39:23.257347	46538	20.5	1	9
2014-03-27 13:39:24.118852	46539	48	2	8
2014-03-27 13:39:24.342903	46540	20.9	1	8
2014-03-27 13:39:32.464607	46541	370	3	2
2014-03-27 13:39:32.699406	46542	1095369.680684592	4	2
2014-03-27 13:39:38.149394	46543	54	2	1
2014-03-27 13:39:38.372049	46544	20.5	1	1
2014-03-27 13:39:51.983773	46545	43	2	10
2014-03-27 13:39:52.215475	46546	21.3	1	10
2014-03-27 13:40:02.022439	46547	50	2	9
2014-03-27 13:40:02.24432	46548	20.5	1	9
2014-03-27 13:40:03.109371	46549	48	2	8
2014-03-27 13:40:03.343826	46550	20.8	1	8
2014-03-27 13:40:17.15238	46551	54	2	1
2014-03-27 13:40:17.373795	46552	20.4	1	1
2014-03-27 13:40:30.985633	46553	43	2	10
2014-03-27 13:40:31.217294	46554	21.3	1	10
2014-03-27 13:40:32.462438	46555	370	3	2
2014-03-27 13:40:32.686227	46556	1095376.5748929207	4	2
2014-03-27 13:40:41.022901	46557	50	2	9
2014-03-27 13:40:41.255719	46558	20.5	1	9
2014-03-27 13:40:42.108659	46559	48	2	8
2014-03-27 13:40:42.329952	46560	20.8	1	8
2014-03-27 13:40:56.149838	46561	54	2	1
2014-03-27 13:40:56.38084	46562	20.4	1	1
2014-03-27 13:41:09.983705	46563	43	2	10
2014-03-27 13:41:10.206283	46564	21.3	1	10
2014-03-27 13:41:20.023195	46565	50	2	9
2014-03-27 13:41:20.256317	46566	20.4	1	9
2014-03-27 13:41:21.108885	46567	48	2	8
2014-03-27 13:41:21.33081	46568	20.8	1	8
2014-03-27 13:41:32.464269	46569	370	3	2
2014-03-27 13:41:32.694838	46570	1095382.3200665277	4	2
2014-03-27 13:41:35.152565	46571	54	2	1
2014-03-27 13:41:35.376737	46572	20.4	1	1
2014-03-27 13:41:48.982704	46573	43	2	10
2014-03-27 13:41:49.225884	46574	21.3	1	10
2014-03-27 13:41:59.022146	46575	50	2	9
2014-03-27 13:41:59.246959	46576	20.4	1	9
2014-03-27 13:42:00.107851	46577	48	2	8
2014-03-27 13:42:00.530081	46578	20.8	1	8
2014-03-27 13:42:08.464189	46579	402	3	2
2014-03-27 13:42:08.692573	46580	1095385.767170692	4	2
2014-03-27 13:42:14.147507	46581	54	2	1
2014-03-27 13:42:14.368804	46582	20.4	1	1
2014-03-27 13:42:20.465183	46583	402	3	2
2014-03-27 13:42:20.693685	46584	1095386.9162054134	4	2
2014-03-27 13:42:27.985131	46585	43	2	10
2014-03-27 13:42:28.205708	46586	21.4	1	10
2014-03-27 13:42:32.465314	46587	402	3	2
2014-03-27 13:42:32.695669	46588	1095389.2142748563	4	2
2014-03-27 13:42:38.023997	46589	50	2	9
2014-03-27 13:42:38.248464	46590	20.4	1	9
2014-03-27 13:42:39.109008	46591	48	2	8
2014-03-27 13:42:39.339694	46592	20.8	1	8
2014-03-27 13:42:44.464351	46593	370	3	2
2014-03-27 13:42:44.688546	46594	1095390.3633095776	4	2
2014-03-27 13:42:53.149084	46595	54	2	1
2014-03-27 13:42:53.380156	46596	20.4	1	1
2014-03-27 13:42:56.464304	46597	370	3	2
2014-03-27 13:42:56.68522	46598	1095391.5123442991	4	2
2014-03-27 13:43:06.982732	46599	43	2	10
2014-03-27 13:43:07.21516	46600	21.4	1	10
2014-03-27 13:43:17.02328	46601	50	2	9
2014-03-27 13:43:17.246597	46602	20.4	1	9
2014-03-27 13:43:18.108873	46603	48	2	8
2014-03-27 13:43:18.341085	46604	20.8	1	8
2014-03-27 13:43:32.146017	46605	54	2	1
2014-03-27 13:43:32.368982	46606	20.4	1	1
2014-03-27 13:43:44.465554	46607	402	3	2
2014-03-27 13:43:44.705107	46608	1095396.1084831848	4	2
2014-03-27 13:43:45.985706	46609	43	2	10
2014-03-27 13:43:46.207403	46610	21.4	1	10
2014-03-27 13:43:56.022611	46611	50	2	9
2014-03-27 13:43:56.255099	46612	20.4	1	9
2014-03-27 13:43:56.558641	46613	370	3	2
2014-03-27 13:43:56.778734	46614	1095397.2575179061	4	2
2014-03-27 13:43:57.330617	46615	48	2	8
2014-03-27 13:43:57.561228	46616	20.8	1	8
2014-03-27 13:44:08.462856	46617	370	3	2
2014-03-27 13:44:08.685351	46618	1095398.4065526277	4	2
2014-03-27 13:44:11.149003	46619	54	2	1
2014-03-27 13:44:11.381473	46620	20.4	1	1
2014-03-27 13:44:24.983684	46621	43	2	10
2014-03-27 13:44:25.204242	46622	21.4	1	10
2014-03-27 13:44:32.464915	46623	370	3	2
2014-03-27 13:44:32.706168	46624	1095401.8536567918	4	2
2014-03-27 13:44:35.021544	46625	50	2	9
2014-03-27 13:44:35.242453	46626	20.4	1	9
2014-03-27 13:44:36.107587	46627	48	2	8
2014-03-27 13:44:36.338205	46628	20.8	1	8
2014-03-27 13:44:50.146407	46629	54	2	1
2014-03-27 13:44:50.367852	46630	20.4	1	1
2014-03-27 13:45:03.983972	46631	43	2	10
2014-03-27 13:45:04.215779	46632	21.4	1	10
2014-03-27 13:45:14.023174	46633	50	2	9
2014-03-27 13:45:14.265121	46634	20.4	1	9
2014-03-27 13:45:15.107308	46635	48	2	8
2014-03-27 13:45:15.338803	46636	20.8	1	8
2014-03-27 13:45:29.145821	46637	54	2	1
2014-03-27 13:45:29.366761	46638	20.4	1	1
2014-03-27 13:45:32.463295	46639	338	3	2
2014-03-27 13:45:32.696226	46640	1095407.5988303989	4	2
2014-03-27 13:45:42.983143	46641	43	2	10
2014-03-27 13:45:43.20465	46642	21.4	1	10
2014-03-27 13:45:44.463851	46643	338	3	2
2014-03-27 13:45:44.695531	46644	1095408.7478651204	4	2
2014-03-27 13:45:53.023624	46645	50	2	9
2014-03-27 13:45:53.24432	46646	20.4	1	9
2014-03-27 13:45:54.106889	46647	48	2	8
2014-03-27 13:45:54.338033	46648	20.8	1	8
2014-03-27 13:46:08.144347	46649	54	2	1
2014-03-27 13:46:08.368329	46650	20.4	1	1
2014-03-27 13:46:21.984123	46651	43	2	10
2014-03-27 13:46:22.214625	46652	21.4	1	10
2014-03-27 13:46:32.022671	46653	50	2	9
2014-03-27 13:46:32.244438	46654	20.4	1	9
2014-03-27 13:46:32.549919	46655	338	3	2
2014-03-27 13:46:32.781249	46656	1095413.344004006	4	2
2014-03-27 13:46:33.108063	46657	48	2	8
2014-03-27 13:46:33.328103	46658	20.8	1	8
2014-03-27 13:46:47.148028	46659	54	2	1
2014-03-27 13:46:47.380131	46660	20.4	1	1
2014-03-27 13:47:00.989264	46661	43	2	10
2014-03-27 13:47:01.210974	46662	21.4	1	10
2014-03-27 13:47:11.02331	46663	50	2	9
2014-03-27 13:47:11.255045	46664	20.4	1	9
2014-03-27 13:47:12.107329	46665	48	2	8
2014-03-27 13:47:12.329062	46666	20.8	1	8
2014-03-27 13:47:26.148752	46667	54	2	1
2014-03-27 13:47:26.382181	46668	20.4	1	1
2014-03-27 13:47:32.463118	46669	354	3	2
2014-03-27 13:47:32.684145	46670	1095419.0891776131	4	2
2014-03-27 13:47:39.986835	46671	43	2	10
2014-03-27 13:47:40.230959	46672	21.4	1	10
2014-03-27 13:47:50.02436	46673	50	2	9
2014-03-27 13:47:50.245612	46674	20.4	1	9
2014-03-27 13:47:51.108035	46675	48	2	8
2014-03-27 13:47:51.33925	46676	20.8	1	8
2014-03-27 13:48:05.1468	46677	54	2	1
2014-03-27 13:48:05.368054	46678	20.4	1	1
2014-03-27 13:48:18.984345	46679	43	2	10
2014-03-27 13:48:19.216873	46680	21.4	1	10
2014-03-27 13:48:29.02287	46681	50	2	9
2014-03-27 13:48:29.245869	46682	20.4	1	9
2014-03-27 13:48:30.109071	46683	48	2	8
2014-03-27 13:48:30.338766	46684	20.8	1	8
2014-03-27 13:48:32.46317	46685	338	3	2
2014-03-27 13:48:32.684024	46686	1095424.8343512202	4	2
2014-03-27 13:48:44.146916	46687	54	2	1
2014-03-27 13:48:44.379176	46688	20.4	1	1
2014-03-27 13:48:57.985565	46689	43	2	10
2014-03-27 13:48:58.207096	46690	21.4	1	10
2014-03-27 13:49:08.022976	46691	50	2	9
2014-03-27 13:49:08.25615	46692	20.4	1	9
2014-03-27 13:49:09.107378	46693	48	2	8
2014-03-27 13:49:09.329964	46694	20.8	1	8
2014-03-27 13:49:23.142515	46695	54	2	1
2014-03-27 13:49:23.375097	46696	20.4	1	1
2014-03-27 13:49:32.463999	46697	354	3	2
2014-03-27 13:49:32.685121	46698	1095430.5795248272	4	2
2014-03-27 13:49:36.985457	46699	43	2	10
2014-03-27 13:49:37.215788	46700	21.4	1	10
2014-03-27 13:49:47.022483	46701	50	2	9
2014-03-27 13:49:47.244616	46702	20.4	1	9
2014-03-27 13:49:48.107005	46703	48	2	8
2014-03-27 13:49:48.339059	46704	20.8	1	8
2014-03-27 13:50:02.144905	46705	54	2	1
2014-03-27 13:50:02.368508	46706	20.4	1	1
2014-03-27 13:50:15.98452	46707	43	2	10
2014-03-27 13:50:16.215779	46708	21.5	1	10
2014-03-27 13:50:26.025388	46709	50	2	9
2014-03-27 13:50:26.247149	46710	20.4	1	9
2014-03-27 13:50:27.107512	46711	48	2	8
2014-03-27 13:50:27.336939	46712	20.8	1	8
2014-03-27 13:50:32.466139	46713	338	3	2
2014-03-27 13:50:32.687971	46714	1095436.3246984342	4	2
2014-03-27 13:50:41.142498	46715	54	2	1
2014-03-27 13:50:41.374657	46716	20.4	1	1
2014-03-27 13:50:54.984921	46717	43	2	10
2014-03-27 13:50:55.206349	46718	21.5	1	10
2014-03-27 13:51:05.023257	46719	50	2	9
2014-03-27 13:51:05.267766	46720	20.4	1	9
2014-03-27 13:51:06.107575	46721	48	2	8
2014-03-27 13:51:06.327648	46722	20.8	1	8
2014-03-27 13:51:20.142228	46723	54	2	1
2014-03-27 13:51:20.373726	46724	20.4	1	1
2014-03-27 13:51:32.465732	46725	354	3	2
2014-03-27 13:51:32.689002	46726	1095442.0698720415	4	2
2014-03-27 13:51:33.987556	46727	43	2	10
2014-03-27 13:51:34.219627	46728	21.5	1	10
2014-03-27 13:51:44.024044	46729	50	2	9
2014-03-27 13:51:44.244349	46730	20.4	1	9
2014-03-27 13:51:45.105906	46731	48	2	8
2014-03-27 13:51:45.336518	46732	20.8	1	8
2014-03-27 13:51:56.464233	46733	418	3	2
2014-03-27 13:51:56.685436	46734	1095444.367941484	4	2
2014-03-27 13:51:59.141808	46735	54	2	1
2014-03-27 13:51:59.373384	46736	20.4	1	1
2014-03-27 13:52:08.461607	46737	418	3	2
2014-03-27 13:52:08.684146	46738	1095445.5169762056	4	2
2014-03-27 13:52:12.985589	46739	43	2	10
2014-03-27 13:52:13.215852	46740	21.5	1	10
2014-03-27 13:52:23.023016	46741	50	2	9
2014-03-27 13:52:23.244882	46742	20.4	1	9
2014-03-27 13:52:24.107362	46743	48	2	8
2014-03-27 13:52:24.341813	46744	20.8	1	8
2014-03-27 13:52:32.46371	46745	434	3	2
2014-03-27 13:52:32.684655	46746	1095448.9640803698	4	2
2014-03-27 13:52:38.161814	46747	54	2	1
2014-03-27 13:52:38.395117	46748	20.4	1	1
2014-03-27 13:52:51.987927	46749	43	2	10
2014-03-27 13:52:52.208262	46750	21.5	1	10
2014-03-27 13:53:02.023655	46751	50	2	9
2014-03-27 13:53:02.256313	46752	20.4	1	9
2014-03-27 13:53:03.106405	46753	48	2	8
2014-03-27 13:53:03.32763	46754	20.8	1	8
2014-03-27 13:53:17.142395	46755	54	2	1
2014-03-27 13:53:17.374212	46756	20.4	1	1
2014-03-27 13:53:30.988217	46757	43	2	10
2014-03-27 13:53:31.211018	46758	21.5	1	10
2014-03-27 13:53:32.46324	46759	418	3	2
2014-03-27 13:53:32.694876	46760	1095455.8582886984	4	2
2014-03-27 13:53:41.022956	46761	50	2	9
2014-03-27 13:53:41.24505	46762	20.4	1	9
2014-03-27 13:53:42.108275	46763	48	2	8
2014-03-27 13:53:42.340478	46764	20.8	1	8
2014-03-27 13:53:56.14325	46765	54	2	1
2014-03-27 13:53:56.363929	46766	20.4	1	1
2014-03-27 13:54:09.987284	46767	43	2	10
2014-03-27 13:54:10.232624	46768	21.5	1	10
2014-03-27 13:54:20.02281	46769	50	2	9
2014-03-27 13:54:20.244249	46770	20.4	1	9
2014-03-27 13:54:21.106334	46771	48	2	8
2014-03-27 13:54:21.339263	46772	20.8	1	8
2014-03-27 13:54:32.461851	46773	418	3	2
2014-03-27 13:54:32.683335	46774	1095462.752497027	4	2
2014-03-27 13:54:35.139861	46775	54	2	1
2014-03-27 13:54:35.372732	46776	20.4	1	1
2014-03-27 13:54:48.985396	46777	43	2	10
2014-03-27 13:54:49.212854	46778	21.5	1	10
2014-03-27 13:54:59.022572	46779	50	2	9
2014-03-27 13:54:59.255152	46780	20.4	1	9
2014-03-27 13:55:00.106339	46781	48	2	8
2014-03-27 13:55:00.328726	46782	20.8	1	8
2014-03-27 13:55:14.142051	46783	54	2	1
2014-03-27 13:55:14.375561	46784	20.4	1	1
2014-03-27 13:55:27.987163	46785	43	2	10
2014-03-27 13:55:28.209735	46786	21.5	1	10
2014-03-27 13:55:32.465613	46787	418	3	2
2014-03-27 13:55:32.696318	46788	1095469.6467053553	4	2
2014-03-27 13:55:38.026703	46789	50	2	9
2014-03-27 13:55:38.248895	46790	20.4	1	9
2014-03-27 13:55:39.107331	46791	48	2	8
2014-03-27 13:55:39.337606	46792	20.8	1	8
2014-03-27 13:55:53.140718	46793	54	2	1
2014-03-27 13:55:53.362719	46794	20.4	1	1
2014-03-27 13:56:06.986915	46795	43	2	10
2014-03-27 13:56:07.220081	46796	21.5	1	10
2014-03-27 13:56:17.022401	46797	50	2	9
2014-03-27 13:56:17.243389	46798	20.4	1	9
2014-03-27 13:56:18.107106	46799	48	2	8
2014-03-27 13:56:18.337604	46800	20.8	1	8
2014-03-27 13:56:32.140221	46801	54	2	1
2014-03-27 13:56:32.360958	46802	20.4	1	1
2014-03-27 13:56:44.46242	46803	450	3	2
2014-03-27 13:56:44.716808	46804	1095478.8389831267	4	2
2014-03-27 13:56:45.986713	46805	43	2	10
2014-03-27 13:56:46.215135	46806	21.5	1	10
2014-03-27 13:56:56.022227	46807	50	2	9
2014-03-27 13:56:56.253854	46808	20.4	1	9
2014-03-27 13:56:57.107637	46809	48	2	8
2014-03-27 13:56:57.33123	46810	20.8	1	8
2014-03-27 13:57:08.465542	46811	402	3	2
2014-03-27 13:57:08.700955	46812	1095481.1370525695	4	2
2014-03-27 13:57:11.139371	46813	54	2	1
2014-03-27 13:57:11.360705	46814	20.4	1	1
2014-03-27 13:57:20.46266	46815	402	3	2
2014-03-27 13:57:20.707666	46816	1095482.2860872908	4	2
2014-03-27 13:57:24.987294	46817	43	2	10
2014-03-27 13:57:25.208702	46818	21.5	1	10
2014-03-27 13:57:32.463551	46819	402	3	2
2014-03-27 13:57:32.69586	46820	1095484.5841567337	4	2
2014-03-27 13:57:35.022476	46821	50	2	9
2014-03-27 13:57:35.243519	46822	20.4	1	9
2014-03-27 13:57:36.108852	46823	48	2	8
2014-03-27 13:57:36.340593	46824	20.8	1	8
2014-03-27 13:57:50.139552	46825	54	2	1
2014-03-27 13:57:50.363689	46826	20.4	1	1
2014-03-27 13:58:03.988992	46827	43	2	10
2014-03-27 13:58:04.220845	46828	21.6	1	10
2014-03-27 13:58:14.023311	46829	50	2	9
2014-03-27 13:58:14.245035	46830	20.4	1	9
2014-03-27 13:58:15.108095	46831	48	2	8
2014-03-27 13:58:15.339566	46832	20.8	1	8
2014-03-27 13:58:29.139642	46833	54	2	1
2014-03-27 13:58:29.363442	46834	20.4	1	1
2014-03-27 13:58:32.463635	46835	402	3	2
2014-03-27 13:58:32.69597	46836	1095490.3293303407	4	2
2014-03-27 13:58:42.98964	46837	43	2	10
2014-03-27 13:58:43.211327	46838	21.6	1	10
2014-03-27 13:58:53.024289	46839	50	2	9
2014-03-27 13:58:53.257227	46840	20.4	1	9
2014-03-27 13:58:54.109151	46841	48	2	8
2014-03-27 13:58:54.330558	46842	20.8	1	8
2014-03-27 13:59:08.14051	46843	54	2	1
2014-03-27 13:59:08.373474	46844	20.4	1	1
2014-03-27 13:59:21.990558	46845	43	2	10
2014-03-27 13:59:22.213038	46846	21.6	1	10
2014-03-27 13:59:32.023217	46847	50	2	9
2014-03-27 13:59:32.256846	46848	20.4	1	9
2014-03-27 13:59:32.561572	46849	402	3	2
2014-03-27 13:59:32.783636	46850	1095497.2235386693	4	2
2014-03-27 13:59:33.107076	46851	48	2	8
2014-03-27 13:59:33.339137	46852	20.8	1	8
2014-03-27 13:59:47.137816	46853	54	2	1
2014-03-27 13:59:47.361048	46854	20.3	1	1
2014-03-27 14:00:00.99242	46855	43	2	10
2014-03-27 14:00:01.226226	46856	21.6	1	10
2014-03-27 14:00:11.022544	46857	50	2	9
2014-03-27 14:00:11.244189	46858	20.4	1	9
2014-03-27 14:00:12.106924	46859	48	2	8
2014-03-27 14:00:12.339984	46860	20.8	1	8
2014-03-27 14:00:26.13867	46861	54	2	1
2014-03-27 14:00:26.361526	46862	20.3	1	1
2014-03-27 14:00:32.46185	46863	402	3	2
2014-03-27 14:00:32.706666	46864	1095504.1177469979	4	2
2014-03-27 14:00:39.988494	46865	43	2	10
2014-03-27 14:00:40.208704	46866	21.6	1	10
2014-03-27 14:00:50.022431	46867	50	2	9
2014-03-27 14:00:50.253594	46868	20.4	1	9
2014-03-27 14:00:51.107372	46869	48	2	8
2014-03-27 14:00:51.326317	46870	20.8	1	8
2014-03-27 14:01:05.136792	46871	54	2	1
2014-03-27 14:01:05.369528	46872	20.3	1	1
2014-03-27 14:01:18.988815	46873	43	2	10
2014-03-27 14:01:19.208814	46874	21.6	1	10
2014-03-27 14:01:29.022269	46875	50	2	9
2014-03-27 14:01:29.253856	46876	20.4	1	9
2014-03-27 14:01:30.107576	46877	48	2	8
2014-03-27 14:01:30.328048	46878	20.8	1	8
2014-03-27 14:01:32.463614	46879	402	3	2
2014-03-27 14:01:32.69822	46880	1095511.0119553262	4	2
2014-03-27 14:01:44.134382	46881	53	2	1
2014-03-27 14:01:44.355197	46882	20.3	1	1
2014-03-27 14:01:57.989259	46883	43	2	10
2014-03-27 14:01:58.221775	46884	21.6	1	10
2014-03-27 14:02:08.02319	46885	50	2	9
2014-03-27 14:02:08.244057	46886	20.4	1	9
2014-03-27 14:02:09.10784	46887	48	2	8
2014-03-27 14:02:09.338267	46888	20.8	1	8
2014-03-27 14:02:23.137339	46889	53	2	1
2014-03-27 14:02:23.357668	46890	20.3	1	1
2014-03-27 14:02:32.460083	46891	402	3	2
2014-03-27 14:02:32.694945	46892	1095517.9061636548	4	2
2014-03-27 14:02:36.989662	46893	43	2	10
2014-03-27 14:02:37.222542	46894	21.6	1	10
2014-03-27 14:02:47.021306	46895	50	2	9
2014-03-27 14:02:47.253325	46896	20.4	1	9
2014-03-27 14:02:48.107542	46897	48	2	8
2014-03-27 14:02:48.328174	46898	20.8	1	8
2014-03-27 14:03:02.133839	46899	53	2	1
2014-03-27 14:03:02.364661	46900	20.3	1	1
2014-03-27 14:03:15.989996	46901	43	2	10
2014-03-27 14:03:16.211694	46902	21.6	1	10
2014-03-27 14:03:26.069289	46903	50	2	9
2014-03-27 14:03:26.309719	46904	20.4	1	9
2014-03-27 14:03:27.106318	46905	48	2	8
2014-03-27 14:03:27.327131	46906	20.8	1	8
2014-03-27 14:03:32.460571	46907	402	3	2
2014-03-27 14:03:32.69329	46908	1095524.8003719833	4	2
2014-03-27 14:03:41.13491	46909	53	2	1
2014-03-27 14:03:41.357815	46910	20.3	1	1
2014-03-27 14:03:44.461602	46911	434	3	2
2014-03-27 14:03:44.706376	46912	1095525.9494067046	4	2
2014-03-27 14:03:54.99233	46913	43	2	10
2014-03-27 14:03:55.213446	46914	21.6	1	10
2014-03-27 14:03:56.466723	46915	434	3	2
2014-03-27 14:03:56.697798	46916	1095527.0984414262	4	2
2014-03-27 14:04:05.024083	46917	50	2	9
2014-03-27 14:04:05.244701	46918	20.4	1	9
2014-03-27 14:04:06.108721	46919	48	2	8
2014-03-27 14:04:06.339151	46920	20.8	1	8
2014-03-27 14:04:20.138657	46921	53	2	1
2014-03-27 14:04:20.360115	46922	20.3	1	1
2014-03-27 14:04:32.461383	46923	434	3	2
2014-03-27 14:04:32.693134	46924	1095531.6945803117	4	2
2014-03-27 14:04:33.988903	46925	43	2	10
2014-03-27 14:04:34.212327	46926	21.6	1	10
2014-03-27 14:04:44.022482	46927	50	2	9
2014-03-27 14:04:44.255218	46928	20.4	1	9
2014-03-27 14:04:45.109586	46929	48	2	8
2014-03-27 14:04:45.329031	46930	20.8	1	8
2014-03-27 14:04:59.132738	46931	53	2	1
2014-03-27 14:04:59.366186	46932	20.3	1	1
2014-03-27 14:05:12.989646	46933	43	2	10
2014-03-27 14:05:13.214323	46934	21.6	1	10
2014-03-27 14:05:23.022822	46935	50	2	9
2014-03-27 14:05:23.254967	46936	20.4	1	9
2014-03-27 14:05:24.107283	46937	48	2	8
2014-03-27 14:05:24.33124	46938	20.8	1	8
2014-03-27 14:05:32.462951	46939	434	3	2
2014-03-27 14:05:32.694995	46940	1095539.7378233615	4	2
2014-03-27 14:05:38.13507	46941	53	2	1
2014-03-27 14:05:38.360478	46942	20.3	1	1
2014-03-27 14:05:51.991379	46943	43	2	10
2014-03-27 14:05:52.223157	46944	21.6	1	10
2014-03-27 14:06:02.023113	46945	50	2	9
2014-03-27 14:06:02.247412	46946	20.4	1	9
2014-03-27 14:06:03.107915	46947	48	2	8
2014-03-27 14:06:03.338603	46948	20.8	1	8
2014-03-27 14:06:08.463004	46949	370	3	2
2014-03-27 14:06:08.687233	46950	1095543.184927526	4	2
2014-03-27 14:06:17.136069	46951	53	2	1
2014-03-27 14:06:17.367389	46952	20.3	1	1
2014-03-27 14:06:20.46469	46953	370	3	2
2014-03-27 14:06:20.686043	46954	1095544.3339622472	4	2
2014-03-27 14:06:30.990851	46955	43	2	10
2014-03-27 14:06:31.229813	46956	21.6	1	10
2014-03-27 14:06:32.46375	46957	370	3	2
2014-03-27 14:06:32.686964	46958	1095545.4829969688	4	2
2014-03-27 14:06:41.023106	46959	50	2	9
2014-03-27 14:06:41.265329	46960	20.4	1	9
2014-03-27 14:06:42.106174	46961	48	2	8
2014-03-27 14:06:42.327959	46962	20.8	1	8
2014-03-27 14:06:56.1774	46963	53	2	1
2014-03-27 14:06:56.40877	46964	20.3	1	1
2014-03-27 14:07:09.990725	46965	43	2	10
2014-03-27 14:07:10.210831	46966	21.6	1	10
2014-03-27 14:07:20.023282	46967	50	2	9
2014-03-27 14:07:20.254768	46968	20.4	1	9
2014-03-27 14:07:20.559169	46969	402	3	2
2014-03-27 14:07:20.783097	46970	1095551.2281705758	4	2
2014-03-27 14:07:21.10781	46971	48	2	8
2014-03-27 14:07:21.338323	46972	20.8	1	8
2014-03-27 14:07:32.475579	46973	402	3	2
2014-03-27 14:07:32.700088	46974	1095552.3772052971	4	2
2014-03-27 14:07:35.133384	46975	53	2	1
2014-03-27 14:07:35.364245	46976	20.3	1	1
2014-03-27 14:07:48.99118	46977	43	2	10
2014-03-27 14:07:49.21391	46978	21.6	1	10
2014-03-27 14:07:59.023529	46979	50	2	9
2014-03-27 14:07:59.255586	46980	20.4	1	9
2014-03-27 14:08:00.108245	46981	48	2	8
2014-03-27 14:08:00.330334	46982	20.8	1	8
2014-03-27 14:08:08.462488	46983	370	3	2
2014-03-27 14:08:08.697456	46984	1095555.8243094615	4	2
2014-03-27 14:08:14.376109	46985	53	2	1
2014-03-27 14:08:14.597355	46986	20.3	1	1
2014-03-27 14:08:20.463738	46987	402	3	2
2014-03-27 14:08:20.695096	46988	1095556.9733441828	4	2
2014-03-27 14:08:27.990604	46989	43	2	10
2014-03-27 14:08:28.213758	46990	21.6	1	10
2014-03-27 14:08:32.462542	46991	402	3	2
2014-03-27 14:08:32.693298	46992	1095558.1268498565	4	2
2014-03-27 14:08:38.026198	46993	50	2	9
2014-03-27 14:08:38.248761	46994	20.4	1	9
2014-03-27 14:08:39.107344	46995	48	2	8
2014-03-27 14:08:39.339621	46996	20.8	1	8
2014-03-27 14:08:44.461482	46997	370	3	2
2014-03-27 14:08:44.682404	46998	1095559.275884578	4	2
2014-03-27 14:08:53.129939	46999	53	2	1
2014-03-27 14:08:53.361055	47000	20.3	1	1
2014-03-27 14:08:56.463986	47001	402	3	2
2014-03-27 14:08:56.685338	47002	1095560.4249192993	4	2
2014-03-27 14:09:06.992174	47003	43	2	10
2014-03-27 14:09:07.225851	47004	21.6	1	10
2014-03-27 14:09:08.462743	47005	402	3	2
2014-03-27 14:09:08.684457	47006	1095561.5739540206	4	2
2014-03-27 14:09:17.024038	47007	50	2	9
2014-03-27 14:09:17.267432	47008	20.4	1	9
2014-03-27 14:09:18.106938	47009	48	2	8
2014-03-27 14:09:18.328862	47010	20.8	1	8
2014-03-27 14:09:20.460968	47011	370	3	2
2014-03-27 14:09:20.69069	47012	1095562.7229887422	4	2
2014-03-27 14:09:32.139314	47013	53	2	1
2014-03-27 14:09:32.362519	47014	20.3	1	1
2014-03-27 14:09:44.462095	47015	338	3	2
2014-03-27 14:09:44.695088	47016	1095565.021058185	4	2
2014-03-27 14:09:45.991894	47017	43	2	10
2014-03-27 14:09:46.215979	47018	21.6	1	10
2014-03-27 14:09:56.02236	47019	50	2	9
2014-03-27 14:09:56.31207	47020	20.4	1	9
2014-03-27 14:09:56.617042	47021	338	3	2
2014-03-27 14:09:56.838733	47022	1095566.1700929063	4	2
2014-03-27 14:09:57.142909	47023	48	2	8
2014-03-27 14:09:57.373693	47024	20.8	1	8
2014-03-27 14:10:11.134334	47025	53	2	1
2014-03-27 14:10:11.356732	47026	20.3	1	1
2014-03-27 14:10:24.991614	47027	43	2	10
2014-03-27 14:10:25.225876	47028	21.7	1	10
2014-03-27 14:10:32.465262	47029	354	3	2
2014-03-27 14:10:32.685961	47030	1095569.6171970707	4	2
2014-03-27 14:10:35.022374	47031	50	2	9
2014-03-27 14:10:35.25557	47032	20.4	1	9
2014-03-27 14:10:36.107885	47033	48	2	8
2014-03-27 14:10:36.331039	47034	20.8	1	8
2014-03-27 14:10:50.13365	47035	53	2	1
2014-03-27 14:10:50.367212	47036	20.3	1	1
2014-03-27 14:11:03.991198	47037	42	2	10
2014-03-27 14:11:04.213826	47038	21.7	1	10
2014-03-27 14:11:14.022174	47039	50	2	9
2014-03-27 14:11:14.254235	47040	20.4	1	9
2014-03-27 14:11:15.108074	47041	48	2	8
2014-03-27 14:11:15.331374	47042	20.8	1	8
2014-03-27 14:11:29.133256	47043	53	2	1
2014-03-27 14:11:29.3655	47044	20.3	1	1
2014-03-27 14:11:32.46299	47045	338	3	2
2014-03-27 14:11:32.687704	47046	1095575.3623706778	4	2
2014-03-27 14:11:42.992216	47047	42	2	10
2014-03-27 14:11:43.223334	47048	21.7	1	10
2014-03-27 14:11:53.021926	47049	50	2	9
2014-03-27 14:11:53.243804	47050	20.3	1	9
2014-03-27 14:11:54.10744	47051	48	2	8
2014-03-27 14:11:54.341325	47052	20.8	1	8
2014-03-27 14:12:08.134552	47053	53	2	1
2014-03-27 14:12:08.356818	47054	20.3	1	1
2014-03-27 14:12:21.993736	47055	42	2	10
2014-03-27 14:12:22.236625	47056	21.7	1	10
2014-03-27 14:12:32.022857	47057	50	2	9
2014-03-27 14:12:32.245479	47058	20.3	1	9
2014-03-27 14:12:32.550185	47059	338	3	2
2014-03-27 14:12:32.783475	47060	1095581.1075442848	4	2
2014-03-27 14:12:33.106586	47061	48	2	8
2014-03-27 14:12:33.328666	47062	20.8	1	8
2014-03-27 14:12:47.131197	47063	53	2	1
2014-03-27 14:12:47.366433	47064	20.3	1	1
2014-03-27 14:13:00.992123	47065	42	2	10
2014-03-27 14:13:01.214272	47066	21.7	1	10
2014-03-27 14:13:08.463338	47067	450	3	2
2014-03-27 14:13:08.697557	47068	1095584.554648449	4	2
2014-03-27 14:13:11.023843	47069	50	2	9
2014-03-27 14:13:11.246176	47070	20.3	1	9
2014-03-27 14:13:12.107313	47071	48	2	8
2014-03-27 14:13:12.338694	47072	20.8	1	8
2014-03-27 14:13:20.461552	47073	450	3	2
2014-03-27 14:13:20.6834	47074	1095586.8527178918	4	2
2014-03-27 14:13:26.129238	47075	53	2	1
2014-03-27 14:13:26.417751	47076	20.3	1	1
2014-03-27 14:13:32.463023	47077	482	3	2
2014-03-27 14:13:32.683581	47078	1095588.0017526133	4	2
2014-03-27 14:13:39.992544	47079	42	2	10
2014-03-27 14:13:40.224854	47080	21.7	1	10
2014-03-27 14:13:44.462609	47081	498	3	2
2014-03-27 14:13:44.683294	47082	1095589.1507873347	4	2
2014-03-27 14:13:50.022534	47083	50	2	9
2014-03-27 14:13:50.255829	47084	20.3	1	9
2014-03-27 14:13:51.105937	47085	48	2	8
2014-03-27 14:13:51.326329	47086	20.8	1	8
2014-03-27 14:14:05.127763	47087	53	2	1
2014-03-27 14:14:05.360697	47088	20.3	1	1
2014-03-27 14:14:08.459335	47089	547	3	2
2014-03-27 14:14:08.680578	47090	1095592.597891499	4	2
2014-03-27 14:14:18.994666	47091	42	2	10
2014-03-27 14:14:19.226748	47092	21.7	1	10
2014-03-27 14:14:20.461728	47093	482	3	2
2014-03-27 14:14:20.682704	47094	1095594.8959609417	4	2
2014-03-27 14:14:29.024387	47095	50	2	9
2014-03-27 14:14:29.256078	47096	20.3	1	9
2014-03-27 14:14:30.107234	47097	48	2	8
2014-03-27 14:14:30.329557	47098	20.8	1	8
2014-03-27 14:14:32.461761	47099	402	3	2
2014-03-27 14:14:32.693937	47100	1095596.0449956632	4	2
2014-03-27 14:14:44.131451	47101	53	2	1
2014-03-27 14:14:44.353376	47102	20.3	1	1
2014-03-27 14:14:57.993582	47103	42	2	10
2014-03-27 14:14:58.238098	47104	21.7	1	10
2014-03-27 14:15:08.022487	47105	50	2	9
2014-03-27 14:15:08.247924	47106	20.4	1	9
2014-03-27 14:15:09.110075	47107	48	2	8
2014-03-27 14:15:09.343589	47108	20.8	1	8
2014-03-27 14:15:23.129251	47109	53	2	1
2014-03-27 14:15:23.352436	47110	20.2	1	1
2014-03-27 14:15:32.462011	47111	402	3	2
2014-03-27 14:15:32.69435	47112	1095602.9392039918	4	2
2014-03-27 14:15:36.993534	47113	42	2	10
2014-03-27 14:15:37.218693	47114	21.7	1	10
2014-03-27 14:15:47.022912	47115	50	2	9
2014-03-27 14:15:47.256804	47116	20.4	1	9
2014-03-27 14:15:48.107893	47117	48	2	8
2014-03-27 14:15:48.333818	47118	20.8	1	8
2014-03-27 14:15:56.474917	47119	450	3	2
2014-03-27 14:15:56.706189	47120	1095605.2372734344	4	2
2014-03-27 14:16:02.130459	47121	53	2	1
2014-03-27 14:16:02.355974	47122	20.2	1	1
2014-03-27 14:16:08.461642	47123	450	3	2
2014-03-27 14:16:08.694633	47124	1095607.5353428773	4	2
2014-03-27 14:16:15.993722	47125	42	2	10
2014-03-27 14:16:16.214912	47126	21.7	1	10
2014-03-27 14:16:26.022507	47127	50	2	9
2014-03-27 14:16:26.255345	47128	20.4	1	9
2014-03-27 14:16:27.107559	47129	48	2	8
2014-03-27 14:16:27.334682	47130	20.8	1	8
2014-03-27 14:16:32.463332	47131	498	3	2
2014-03-27 14:16:32.695134	47132	1095609.8334123201	4	2
2014-03-27 14:16:41.129186	47133	53	2	1
2014-03-27 14:16:41.354305	47134	20.3	1	1
2014-03-27 14:16:44.461818	47135	482	3	2
2014-03-27 14:16:44.694536	47136	1095612.131481763	4	2
2014-03-27 14:16:54.993507	47137	42	2	10
2014-03-27 14:16:55.21673	47138	21.7	1	10
2014-03-27 14:17:05.022597	47139	50	2	9
2014-03-27 14:17:05.253746	47140	20.4	1	9
2014-03-27 14:17:06.106337	47141	48	2	8
2014-03-27 14:17:06.327669	47142	20.8	1	8
2014-03-27 14:17:20.124131	47143	53	2	1
2014-03-27 14:17:20.355476	47144	20.3	1	1
2014-03-27 14:17:32.462963	47145	482	3	2
2014-03-27 14:17:32.687572	47146	1095619.0256900915	4	2
2014-03-27 14:17:33.994565	47147	42	2	10
2014-03-27 14:17:34.227851	47148	21.7	1	10
2014-03-27 14:17:44.022694	47149	50	2	9
2014-03-27 14:17:44.247486	47150	20.4	1	9
2014-03-27 14:17:45.106029	47151	48	2	8
2014-03-27 14:17:45.347726	47152	20.8	1	8
2014-03-27 14:17:59.131227	47153	53	2	1
2014-03-27 14:17:59.353509	47154	20.3	1	1
2014-03-27 14:18:12.995645	47155	42	2	10
2014-03-27 14:18:13.227703	47156	21.7	1	10
2014-03-27 14:18:23.022431	47157	50	2	9
2014-03-27 14:18:23.244003	47158	20.4	1	9
2014-03-27 14:18:24.106448	47159	48	2	8
2014-03-27 14:18:24.337953	47160	20.8	1	8
2014-03-27 14:18:32.463631	47161	498	3	2
2014-03-27 14:18:32.687081	47162	1095627.0689331414	4	2
2014-03-27 14:18:38.126192	47163	53	2	1
2014-03-27 14:18:38.358939	47164	20.3	1	1
2014-03-27 14:18:51.992978	47165	42	2	10
2014-03-27 14:18:52.214746	47166	21.7	1	10
2014-03-27 14:19:02.02138	47167	50	2	9
2014-03-27 14:19:02.253201	47168	20.4	1	9
2014-03-27 14:19:03.107773	47169	48	2	8
2014-03-27 14:19:03.328468	47170	20.8	1	8
2014-03-27 14:19:17.127675	47171	53	2	1
2014-03-27 14:19:17.358682	47172	20.3	1	1
2014-03-27 14:19:30.995734	47173	42	2	10
2014-03-27 14:19:31.217371	47174	21.7	1	10
2014-03-27 14:19:32.459605	47175	498	3	2
2014-03-27 14:19:32.692338	47176	1095635.1121761913	4	2
2014-03-27 14:19:41.02409	47177	50	2	9
2014-03-27 14:19:41.2464	47178	20.4	1	9
2014-03-27 14:19:42.105547	47179	48	2	8
2014-03-27 14:19:42.337273	47180	20.8	1	8
2014-03-27 14:19:56.129097	47181	53	2	1
2014-03-27 14:19:56.351049	47182	20.3	1	1
2014-03-27 14:20:09.996026	47183	42	2	10
2014-03-27 14:20:10.227282	47184	21.7	1	10
2014-03-27 14:20:20.025266	47185	50	2	9
2014-03-27 14:20:20.247239	47186	20.4	1	9
2014-03-27 14:20:21.108635	47187	48	2	8
2014-03-27 14:20:21.33871	47188	20.8	1	8
2014-03-27 14:20:32.46053	47189	498	3	2
2014-03-27 14:20:32.685002	47190	1095643.1554192412	4	2
2014-03-27 14:20:35.128881	47191	53	2	1
2014-03-27 14:20:35.360674	47192	20.3	1	1
2014-03-27 14:20:48.99553	47193	42	2	10
2014-03-27 14:20:49.219314	47194	21.7	1	10
2014-03-27 14:20:59.02248	47195	50	2	9
2014-03-27 14:20:59.255556	47196	20.4	1	9
2014-03-27 14:21:00.106463	47197	48	2	8
2014-03-27 14:21:00.33016	47198	20.8	1	8
2014-03-27 14:21:14.127172	47199	53	2	1
2014-03-27 14:21:14.373192	47200	20.3	1	1
2014-03-27 14:21:27.995524	47201	42	2	10
2014-03-27 14:21:28.216469	47202	21.7	1	10
2014-03-27 14:21:32.46334	47203	466	3	2
2014-03-27 14:21:32.6958	47204	1095651.198662291	4	2
2014-03-27 14:21:38.027245	47205	50	2	9
2014-03-27 14:21:38.250032	47206	20.4	1	9
2014-03-27 14:21:39.10659	47207	48	2	8
2014-03-27 14:21:39.338578	47208	20.8	1	8
2014-03-27 14:21:44.459847	47209	466	3	2
2014-03-27 14:21:44.683473	47210	1095653.496731734	4	2
2014-03-27 14:21:53.117994	47211	53	2	1
2014-03-27 14:21:53.353877	47212	20.3	1	1
2014-03-27 14:22:06.996088	47213	42	2	10
2014-03-27 14:22:07.219084	47214	21.7	1	10
2014-03-27 14:22:17.022101	47215	50	2	9
2014-03-27 14:22:17.254026	47216	20.4	1	9
2014-03-27 14:22:18.107184	47217	48	2	8
2014-03-27 14:22:18.329205	47218	20.8	1	8
2014-03-27 14:22:32.128909	47219	53	2	1
2014-03-27 14:22:32.361565	47220	20.3	1	1
2014-03-27 14:22:45.995216	47221	42	2	10
2014-03-27 14:22:46.219306	47222	21.7	1	10
2014-03-27 14:22:56.023386	47223	50	2	9
2014-03-27 14:22:56.257913	47224	20.4	1	9
2014-03-27 14:22:57.106804	47225	48	2	8
2014-03-27 14:22:57.328782	47226	20.8	1	8
2014-03-27 14:23:11.128797	47227	53	2	1
2014-03-27 14:23:11.361943	47228	20.3	1	1
2014-03-27 14:23:24.996317	47229	42	2	10
2014-03-27 14:23:25.217552	47230	21.7	1	10
2014-03-27 14:23:32.460761	47231	450	3	2
2014-03-27 14:23:33.215364	47232	1095667.285148391	4	2
2014-03-27 14:23:35.022493	47233	50	2	9
2014-03-27 14:23:35.276935	47234	20.4	1	9
2014-03-27 14:23:36.105774	47235	48	2	8
2014-03-27 14:23:36.37526	47236	20.8	1	8
2014-03-27 14:23:50.127712	47237	53	2	1
2014-03-27 14:23:50.383915	47238	20.3	1	1
2014-03-27 14:24:03.997465	47239	42	2	10
2014-03-27 14:24:04.264083	47240	21.7	1	10
2014-03-27 14:24:14.022508	47241	50	2	9
2014-03-27 14:24:14.609209	47242	20.3	1	9
2014-03-27 14:24:15.106236	47243	48	2	8
2014-03-27 14:24:15.374211	47244	20.8	1	8
2014-03-27 14:24:29.124834	47245	53	2	1
2014-03-27 14:24:29.546012	47246	20.4	1	1
2014-03-27 14:24:32.463085	47247	466	3	2
2014-03-27 14:24:32.705499	47248	1095675.328391441	4	2
2014-03-27 14:24:42.995502	47249	42	2	10
2014-03-27 14:24:43.215855	47250	21.7	1	10
2014-03-27 14:24:53.02135	47251	50	2	9
2014-03-27 14:24:53.254312	47252	20.3	1	9
2014-03-27 14:24:54.105376	47253	48	2	8
2014-03-27 14:24:54.326325	47254	20.8	1	8
2014-03-27 14:25:08.124108	47255	53	2	1
2014-03-27 14:25:08.353438	47256	20.4	1	1
2014-03-27 14:25:21.996792	47257	42	2	10
2014-03-27 14:25:22.220919	47258	21.7	1	10
2014-03-27 14:25:32.022542	47259	50	2	9
2014-03-27 14:25:32.255089	47260	20.3	1	9
2014-03-27 14:25:32.559821	47261	466	3	2
2014-03-27 14:25:32.782226	47262	1095682.2225997692	4	2
2014-03-27 14:25:33.107801	47263	48	2	8
2014-03-27 14:25:33.339179	47264	20.8	1	8
2014-03-27 14:25:47.12579	47265	53	2	1
2014-03-27 14:25:47.347072	47266	20.4	1	1
2014-03-27 14:26:00.997954	47267	42	2	10
2014-03-27 14:26:01.229955	47268	21.7	1	10
2014-03-27 14:26:11.022102	47269	50	2	9
2014-03-27 14:26:11.244041	47270	20.3	1	9
2014-03-27 14:26:12.108127	47271	48	2	8
2014-03-27 14:26:12.340604	47272	20.8	1	8
2014-03-27 14:26:26.121701	47273	53	2	1
2014-03-27 14:26:26.344948	47274	20.4	1	1
2014-03-27 14:26:32.46053	47275	466	3	2
2014-03-27 14:26:32.692306	47276	1095690.2658428191	4	2
2014-03-27 14:26:39.996467	47277	42	2	10
2014-03-27 14:26:40.218712	47278	21.7	1	10
2014-03-27 14:26:50.022131	47279	50	2	9
2014-03-27 14:26:50.255153	47280	20.3	1	9
2014-03-27 14:26:51.1078	47281	48	2	8
2014-03-27 14:26:51.332492	47282	20.7	1	8
2014-03-27 14:27:05.121748	47283	53	2	1
2014-03-27 14:27:05.354854	47284	20.4	1	1
2014-03-27 14:27:18.997454	47285	42	2	10
2014-03-27 14:27:19.219815	47286	21.7	1	10
2014-03-27 14:27:29.021038	47287	50	2	9
2014-03-27 14:27:29.253742	47288	20.3	1	9
2014-03-27 14:27:30.107749	47289	48	2	8
2014-03-27 14:27:30.328828	47290	20.7	1	8
2014-03-27 14:27:32.462144	47291	466	3	2
2014-03-27 14:27:32.693495	47292	1095698.3090858692	4	2
2014-03-27 14:27:44.122606	47293	53	2	1
2014-03-27 14:27:44.345819	47294	20.4	1	1
2014-03-27 14:27:56.463243	47295	498	3	2
2014-03-27 14:27:56.762522	47296	1095701.7561900334	4	2
2014-03-27 14:27:57.997529	47297	42	2	10
2014-03-27 14:27:58.218866	47298	21.7	1	10
2014-03-27 14:28:08.022535	47299	50	2	9
2014-03-27 14:28:08.255581	47300	20.3	1	9
2014-03-27 14:28:08.563139	47301	498	3	2
2014-03-27 14:28:08.786927	47302	1095702.9052247547	4	2
2014-03-27 14:28:09.109265	47303	48	2	8
2014-03-27 14:28:09.343044	47304	20.7	1	8
2014-03-27 14:28:23.122641	47305	53	2	1
2014-03-27 14:28:23.34519	47306	20.4	1	1
2014-03-27 14:28:32.458753	47307	498	3	2
2014-03-27 14:28:32.693771	47308	1095706.352328919	4	2
2014-03-27 14:28:36.99738	47309	42	2	10
2014-03-27 14:28:37.219302	47310	21.7	1	10
2014-03-27 14:28:47.022513	47311	50	2	9
2014-03-27 14:28:47.274796	47312	20.3	1	9
2014-03-27 14:28:48.107453	47313	48	2	8
2014-03-27 14:28:48.32926	47314	20.7	1	8
2014-03-27 14:29:02.122475	47315	53	2	1
2014-03-27 14:29:02.356926	47316	20.4	1	1
2014-03-27 14:29:15.999133	47317	42	2	10
2014-03-27 14:29:16.220527	47318	21.7	1	10
2014-03-27 14:29:26.023093	47319	50	2	9
2014-03-27 14:29:26.255954	47320	20.3	1	9
2014-03-27 14:29:27.106384	47321	48	2	8
2014-03-27 14:29:27.329956	47322	20.7	1	8
2014-03-27 14:29:32.461343	47323	515	3	2
2014-03-27 14:29:32.693249	47324	1095714.395571969	4	2
2014-03-27 14:29:41.120224	47325	53	2	1
2014-03-27 14:29:41.342369	47326	20.4	1	1
2014-03-27 14:29:54.999388	47327	42	2	10
2014-03-27 14:29:55.232263	47328	21.7	1	10
2014-03-27 14:30:05.02176	47329	50	2	9
2014-03-27 14:30:05.244679	47330	20.3	1	9
2014-03-27 14:30:06.107019	47331	48	2	8
2014-03-27 14:30:06.338436	47332	20.7	1	8
2014-03-27 14:30:20.119833	47333	53	2	1
2014-03-27 14:30:20.342785	47334	20.4	1	1
2014-03-27 14:30:32.460051	47335	498	3	2
2014-03-27 14:30:32.693104	47336	1095723.5878497402	4	2
2014-03-27 14:30:34.001399	47337	42	2	10
2014-03-27 14:30:34.225187	47338	21.7	1	10
2014-03-27 14:30:44.024875	47339	50	2	9
2014-03-27 14:30:44.256978	47340	20.3	1	9
2014-03-27 14:30:45.106967	47341	48	2	8
2014-03-27 14:30:45.336904	47342	20.7	1	8
2014-03-27 14:30:59.121743	47343	53	2	1
2014-03-27 14:30:59.36506	47344	20.4	1	1
2014-03-27 14:31:12.997679	47345	42	2	10
2014-03-27 14:31:13.223732	47346	21.8	1	10
2014-03-27 14:31:23.024257	47347	50	2	9
2014-03-27 14:31:23.258967	47348	20.3	1	9
2014-03-27 14:31:24.107936	47349	48	2	8
2014-03-27 14:31:24.330547	47350	20.7	1	8
2014-03-27 14:31:32.45962	47351	547	3	2
2014-03-27 14:31:32.693615	47352	1095731.63109279	4	2
2014-03-27 14:31:38.124215	47353	53	2	1
2014-03-27 14:31:38.345464	47354	20.4	1	1
2014-03-27 14:31:44.460746	47355	515	3	2
2014-03-27 14:31:44.693615	47356	1095733.929162233	4	2
2014-03-27 14:31:51.998301	47357	42	2	10
2014-03-27 14:31:52.221531	47358	21.8	1	10
2014-03-27 14:31:56.4604	47359	515	3	2
2014-03-27 14:31:56.693388	47360	1095735.0781969544	4	2
2014-03-27 14:32:02.023215	47361	50	2	9
2014-03-27 14:32:02.246977	47362	20.3	1	9
2014-03-27 14:32:03.106979	47363	48	2	8
2014-03-27 14:32:03.338823	47364	20.7	1	8
2014-03-27 14:32:17.122317	47365	53	2	1
2014-03-27 14:32:17.345267	47366	20.4	1	1
2014-03-27 14:32:30.996613	47367	42	2	10
2014-03-27 14:32:31.229636	47368	21.8	1	10
2014-03-27 14:32:32.460734	47369	498	3	2
2014-03-27 14:32:32.688324	47370	1095740.8233705615	4	2
2014-03-27 14:32:41.021549	47371	50	2	9
2014-03-27 14:32:41.256027	47372	20.3	1	9
2014-03-27 14:32:42.108711	47373	48	2	8
2014-03-27 14:32:42.332565	47374	20.7	1	8
2014-03-27 14:32:56.120057	47375	53	2	1
2014-03-27 14:32:56.350947	47376	20.4	1	1
2014-03-27 14:33:09.999289	47377	42	2	10
2014-03-27 14:33:10.219961	47378	21.8	1	10
2014-03-27 14:33:20.022507	47379	50	2	9
2014-03-27 14:33:20.254409	47380	20.3	1	9
2014-03-27 14:33:21.108947	47381	48	2	8
2014-03-27 14:33:21.329609	47382	20.7	1	8
2014-03-27 14:33:32.461316	47383	498	3	2
2014-03-27 14:33:32.701039	47384	1095748.8666136113	4	2
2014-03-27 14:33:35.119376	47385	53	2	1
2014-03-27 14:33:35.339618	47386	20.4	1	1
2014-03-27 14:33:48.997655	47387	42	2	10
2014-03-27 14:33:49.229309	47388	21.8	1	10
2014-03-27 14:33:59.022449	47389	50	2	9
2014-03-27 14:33:59.244026	47390	20.3	1	9
2014-03-27 14:34:00.106555	47391	48	2	8
2014-03-27 14:34:00.348702	47392	20.7	1	8
2014-03-27 14:34:14.11918	47393	53	2	1
2014-03-27 14:34:14.341193	47394	20.4	1	1
2014-03-27 14:34:28.00085	47395	42	2	10
2014-03-27 14:34:28.416433	47396	21.8	1	10
2014-03-27 14:34:32.460004	47397	515	3	2
2014-03-27 14:34:32.68911	47398	1095756.9098566612	4	2
2014-03-27 14:34:38.026002	47399	50	2	9
2014-03-27 14:34:38.248233	47400	20.3	1	9
2014-03-27 14:34:39.105497	47401	48	2	8
2014-03-27 14:34:39.335542	47402	20.7	1	8
2014-03-27 14:34:44.460856	47403	482	3	2
2014-03-27 14:34:44.683364	47404	1095759.207926104	4	2
2014-03-27 14:34:53.119761	47405	53	2	1
2014-03-27 14:34:53.350251	47406	20.4	1	1
2014-03-27 14:34:56.458687	47407	482	3	2
2014-03-27 14:34:56.680795	47408	1095760.3569608256	4	2
2014-03-27 14:35:06.999244	47409	42	2	10
2014-03-27 14:35:07.232938	47410	21.8	1	10
2014-03-27 14:35:17.022162	47411	50	2	9
2014-03-27 14:35:17.242516	47412	20.3	1	9
2014-03-27 14:35:18.105747	47413	48	2	8
2014-03-27 14:35:18.335908	47414	20.7	1	8
2014-03-27 14:35:32.116287	47415	53	2	1
2014-03-27 14:35:32.342804	47416	20.4	1	1
2014-03-27 14:35:46.000946	47417	42	2	10
2014-03-27 14:35:46.233537	47418	21.8	1	10
2014-03-27 14:35:56.024238	47419	50	2	9
2014-03-27 14:35:56.246231	47420	20.3	1	9
2014-03-27 14:35:57.111558	47421	48	2	8
2014-03-27 14:35:57.34246	47422	20.7	1	8
2014-03-27 14:36:11.11735	47423	53	2	1
2014-03-27 14:36:11.339555	47424	20.5	1	1
2014-03-27 14:36:24.999675	47425	42	2	10
2014-03-27 14:36:25.233191	47426	21.8	1	10
2014-03-27 14:36:32.459901	47427	466	3	2
2014-03-27 14:36:32.68166	47428	1095772.9963427612	4	2
2014-03-27 14:36:35.021812	47429	50	2	9
2014-03-27 14:36:35.256908	47430	20.3	1	9
2014-03-27 14:36:36.109636	47431	48	2	8
2014-03-27 14:36:36.331685	47432	20.7	1	8
2014-03-27 14:36:50.119089	47433	53	2	1
2014-03-27 14:36:50.3514	47434	20.5	1	1
2014-03-27 14:36:56.461653	47435	498	3	2
2014-03-27 14:36:56.683663	47436	1095776.4434469254	4	2
2014-03-27 14:37:03.999126	47437	42	2	10
2014-03-27 14:37:04.232123	47438	21.8	1	10
2014-03-27 14:37:08.457496	47439	466	3	2
2014-03-27 14:37:08.680007	47440	1095777.5924816467	4	2
2014-03-27 14:37:14.022289	47441	50	2	9
2014-03-27 14:37:14.264858	47442	20.3	1	9
2014-03-27 14:37:15.105256	47443	48	2	8
2014-03-27 14:37:15.328263	47444	20.7	1	8
2014-03-27 14:37:20.459748	47445	466	3	2
2014-03-27 14:37:20.690997	47446	1095779.8905510895	4	2
2014-03-27 14:37:29.117207	47447	53	2	1
2014-03-27 14:37:29.341356	47448	20.5	1	1
2014-03-27 14:37:32.461044	47449	482	3	2
2014-03-27 14:37:32.69814	47450	1095781.039585811	4	2
2014-03-27 14:37:42.999402	47451	42	2	10
2014-03-27 14:37:43.224057	47452	21.8	1	10
2014-03-27 14:37:53.02155	47453	50	2	9
2014-03-27 14:37:53.253361	47454	20.3	1	9
2014-03-27 14:37:54.106689	47455	48	2	8
2014-03-27 14:37:54.330171	47456	20.7	1	8
2014-03-27 14:38:08.115164	47457	53	2	1
2014-03-27 14:38:08.346373	47458	20.5	1	1
2014-03-27 14:38:22.207484	47459	42	2	10
2014-03-27 14:38:22.431353	47460	21.8	1	10
2014-03-27 14:38:32.022339	47461	50	2	9
2014-03-27 14:38:32.254028	47462	20.3	1	9
2014-03-27 14:38:32.561378	47463	482	3	2
2014-03-27 14:38:32.785294	47464	1095789.082828861	4	2
2014-03-27 14:38:33.105555	47465	48	2	8
2014-03-27 14:38:33.337711	47466	20.7	1	8
2014-03-27 14:38:47.117061	47467	53	2	1
2014-03-27 14:38:47.337865	47468	20.5	1	1
2014-03-27 14:39:00.999517	47469	42	2	10
2014-03-27 14:39:01.231414	47470	21.8	1	10
2014-03-27 14:39:11.0223	47471	50	2	9
2014-03-27 14:39:11.244943	47472	20.3	1	9
2014-03-27 14:39:12.107867	47473	48	2	8
2014-03-27 14:39:12.338484	47474	20.7	1	8
2014-03-27 14:39:26.115251	47475	53	2	1
2014-03-27 14:39:26.337166	47476	20.5	1	1
2014-03-27 14:39:32.459585	47477	482	3	2
2014-03-27 14:39:32.693998	47478	1095797.1260719108	4	2
2014-03-27 14:39:40.000134	47479	42	2	10
2014-03-27 14:39:40.222925	47480	21.8	1	10
2014-03-27 14:39:50.022599	47481	50	2	9
2014-03-27 14:39:50.255287	47482	20.3	1	9
2014-03-27 14:39:51.10776	47483	48	2	8
2014-03-27 14:39:51.330723	47484	20.7	1	8
2014-03-27 14:40:05.113778	47485	53	2	1
2014-03-27 14:40:05.344903	47486	20.5	1	1
2014-03-27 14:40:19.001718	47487	42	2	10
2014-03-27 14:40:19.223947	47488	21.8	1	10
2014-03-27 14:40:29.022302	47489	50	2	9
2014-03-27 14:40:29.263778	47490	20.3	1	9
2014-03-27 14:40:30.106758	47491	48	2	8
2014-03-27 14:40:30.328088	47492	20.7	1	8
2014-03-27 14:40:32.460032	47493	450	3	2
2014-03-27 14:40:32.697121	47494	1095805.1693149607	4	2
2014-03-27 14:40:44.115492	47495	53	2	1
2014-03-27 14:40:44.336909	47496	20.5	1	1
2014-03-27 14:40:58.002703	47497	42	2	10
2014-03-27 14:40:58.235094	47498	21.8	1	10
2014-03-27 14:41:08.024067	47499	50	2	9
2014-03-27 14:41:08.244198	47500	20.3	1	9
2014-03-27 14:41:09.107027	47501	48	2	8
2014-03-27 14:41:09.337723	47502	20.7	1	8
2014-03-27 14:41:23.113705	47503	53	2	1
2014-03-27 14:41:23.335077	47504	20.5	1	1
2014-03-27 14:41:32.461361	47505	466	3	2
2014-03-27 14:41:32.692823	47506	1095812.0635232893	4	2
2014-03-27 14:41:37.002629	47507	42	2	10
2014-03-27 14:41:37.223888	47508	21.8	1	10
2014-03-27 14:41:44.45879	47509	498	3	2
2014-03-27 14:41:44.689123	47510	1095814.3615927321	4	2
2014-03-27 14:41:47.023271	47511	50	2	9
2014-03-27 14:41:47.244773	47512	20.3	1	9
2014-03-27 14:41:48.110025	47513	48	2	8
2014-03-27 14:41:48.34021	47514	20.7	1	8
2014-03-27 14:41:56.459161	47515	498	3	2
2014-03-27 14:41:56.680316	47516	1095815.5106274534	4	2
2014-03-27 14:42:02.116131	47517	53	2	1
2014-03-27 14:42:02.350444	47518	20.5	1	1
2014-03-27 14:42:08.459587	47519	595	3	2
2014-03-27 14:42:08.682223	47520	1095817.8086968963	4	2
2014-03-27 14:42:16.000355	47521	42	2	10
2014-03-27 14:42:16.234833	47522	21.8	1	10
2014-03-27 14:42:25.822834	47523	595	3	2
2014-03-27 14:42:26.044139	47524	1095820.1067663392	4	2
2014-03-27 14:42:26.348795	47525	50	2	9
2014-03-27 14:42:26.580074	47526	20.3	1	9
2014-03-27 14:42:27.107969	47527	48	2	8
2014-03-27 14:42:27.386461	47528	20.7	1	8
2014-03-27 14:42:32.459508	47529	885	3	2
2014-03-27 14:42:32.692559	47530	1095822.404835782	4	2
2014-03-27 14:42:41.112791	47531	53	2	1
2014-03-27 14:42:41.337301	47532	20.5	1	1
2014-03-27 14:42:44.461223	47533	1722	3	2
2014-03-27 14:42:44.693457	47534	1095828.150009389	4	2
2014-03-27 14:42:55.00153	47535	42	2	10
2014-03-27 14:42:55.226035	47536	21.8	1	10
2014-03-27 14:42:56.458649	47537	1867	3	2
2014-03-27 14:42:56.701725	47538	1095833.895182996	4	2
2014-03-27 14:43:05.022348	47539	50	2	9
2014-03-27 14:43:05.243533	47540	20.3	1	9
2014-03-27 14:43:06.105955	47541	48	2	8
2014-03-27 14:43:06.338461	47542	20.7	1	8
2014-03-27 14:43:08.45632	47543	1867	3	2
2014-03-27 14:43:08.677126	47544	1095840.7893913246	4	2
2014-03-27 14:43:20.111388	47545	53	2	1
2014-03-27 14:43:20.345288	47546	20.5	1	1
2014-03-27 14:43:32.458991	47547	1979	3	2
2014-03-27 14:43:32.687123	47548	1095852.284209491	4	2
2014-03-27 14:43:34.001995	47549	42	2	10
2014-03-27 14:43:34.233242	47550	21.8	1	10
2014-03-27 14:43:44.02492	47551	50	2	9
2014-03-27 14:43:44.245784	47552	20.3	1	9
2014-03-27 14:43:45.106511	47553	48	2	8
2014-03-27 14:43:45.335925	47554	20.7	1	8
2014-03-27 14:43:59.113334	47555	53	2	1
2014-03-27 14:43:59.335446	47556	20.5	1	1
2014-03-27 14:44:08.463705	47557	1947	3	2
2014-03-27 14:44:08.69594	47558	1095871.817799755	4	2
2014-03-27 14:44:13.001993	47559	42	2	10
2014-03-27 14:44:13.223085	47560	21.8	1	10
2014-03-27 14:44:20.458957	47561	1947	3	2
2014-03-27 14:44:20.693704	47562	1095878.7120080835	4	2
2014-03-27 14:44:23.02177	47563	50	2	9
2014-03-27 14:44:23.243374	47564	20.3	1	9
2014-03-27 14:44:24.107208	47565	48	2	8
2014-03-27 14:44:24.337825	47566	20.7	1	8
2014-03-27 14:44:32.461407	47567	1963	3	2
2014-03-27 14:44:32.689987	47568	1095885.606216412	4	2
2014-03-27 14:44:38.113638	47569	53	2	1
2014-03-27 14:44:38.344903	47570	20.5	1	1
2014-03-27 14:44:52.00264	47571	42	2	10
2014-03-27 14:44:52.223726	47572	21.8	1	10
2014-03-27 14:45:02.022183	47573	50	2	9
2014-03-27 14:45:02.25481	47574	20.3	1	9
2014-03-27 14:45:03.107504	47575	48	2	8
2014-03-27 14:45:03.328825	47576	20.7	1	8
2014-03-27 14:45:08.457494	47577	692	3	2
2014-03-27 14:45:08.69173	47578	1095901.6927025118	4	2
2014-03-27 14:45:17.110905	47579	53	2	1
2014-03-27 14:45:17.333903	47580	20.5	1	1
2014-03-27 14:45:20.461443	47581	676	3	2
2014-03-27 14:45:20.695609	47582	1095903.9907719546	4	2
2014-03-27 14:45:31.001352	47583	42	2	10
2014-03-27 14:45:31.223392	47584	21.8	1	10
2014-03-27 14:45:32.459087	47585	659	3	2
2014-03-27 14:45:32.708099	47586	1095906.2888413975	4	2
2014-03-27 14:45:41.020933	47587	50	2	9
2014-03-27 14:45:41.243427	47588	20.3	1	9
2014-03-27 14:45:42.106562	47589	48	2	8
2014-03-27 14:45:42.338811	47590	20.7	1	8
2014-03-27 14:45:56.10909	47591	53	2	1
2014-03-27 14:45:56.330862	47592	20.5	1	1
2014-03-27 14:46:10.002372	47593	42	2	10
2014-03-27 14:46:10.233279	47594	21.8	1	10
2014-03-27 14:46:20.021362	47595	50	2	9
2014-03-27 14:46:20.242268	47596	20.3	1	9
2014-03-27 14:46:21.107652	47597	48	2	8
2014-03-27 14:46:21.337457	47598	20.7	1	8
2014-03-27 14:46:32.457935	47599	659	3	2
2014-03-27 14:46:32.685215	47600	1095917.7791886115	4	2
2014-03-27 14:46:35.239941	47601	53	2	1
2014-03-27 14:46:35.675537	47602	20.5	1	1
2014-03-27 14:46:44.458006	47603	692	3	2
2014-03-27 14:46:44.684537	47604	1095920.0772580544	4	2
2014-03-27 14:46:49.004365	47605	42	2	10
2014-03-27 14:46:49.234554	47606	21.8	1	10
2014-03-27 14:46:56.45916	47607	676	3	2
2014-03-27 14:46:56.680985	47608	1095922.3753274973	4	2
2014-03-27 14:46:59.023427	47609	50	2	9
2014-03-27 14:46:59.254406	47610	20.4	1	9
2014-03-27 14:47:00.107949	47611	48	2	8
2014-03-27 14:47:00.349262	47612	20.7	1	8
2014-03-27 14:47:14.241186	47613	53	2	1
2014-03-27 14:47:14.682602	47614	20.5	1	1
2014-03-27 14:47:28.005085	47615	42	2	10
2014-03-27 14:47:28.231931	47616	21.8	1	10
2014-03-27 14:47:32.461046	47617	611	3	2
2014-03-27 14:47:32.702697	47618	1095928.1205011043	4	2
2014-03-27 14:47:38.042249	47619	50	2	9
2014-03-27 14:47:38.270096	47620	20.4	1	9
2014-03-27 14:47:39.105589	47621	48	2	8
2014-03-27 14:47:39.338995	47622	20.7	1	8
2014-03-27 14:47:44.458632	47623	611	3	2
2014-03-27 14:47:44.680811	47624	1095930.4185705471	4	2
2014-03-27 14:47:53.112049	47625	53	2	1
2014-03-27 14:47:53.347729	47626	20.5	1	1
2014-03-27 14:48:07.005245	47627	42	2	10
2014-03-27 14:48:07.240543	47628	21.9	1	10
2014-03-27 14:48:17.020684	47629	50	2	9
2014-03-27 14:48:17.256489	47630	20.4	1	9
2014-03-27 14:48:18.107673	47631	48	2	8
2014-03-27 14:48:18.330846	47632	20.7	1	8
2014-03-27 14:48:32.11111	47633	53	2	1
2014-03-27 14:48:32.357884	47634	20.5	1	1
2014-03-27 14:48:32.673847	47635	611	3	2
2014-03-27 14:48:32.896805	47636	1095938.461813597	4	2
2014-03-27 14:48:46.00322	47637	42	2	10
2014-03-27 14:48:46.238599	47638	21.9	1	10
2014-03-27 14:48:56.022528	47639	50	2	9
2014-03-27 14:48:56.243471	47640	20.4	1	9
2014-03-27 14:48:57.109279	47641	48	2	8
2014-03-27 14:48:57.388713	47642	20.7	1	8
2014-03-27 14:49:11.110865	47643	53	2	1
2014-03-27 14:49:11.341223	47644	20.5	1	1
2014-03-27 14:49:25.01697	47645	42	2	10
2014-03-27 14:49:25.267154	47646	21.9	1	10
2014-03-27 14:49:32.459896	47647	611	3	2
2014-03-27 14:49:32.690729	47648	1095948.8031260897	4	2
2014-03-27 14:49:35.025465	47649	50	2	9
2014-03-27 14:49:35.25554	47650	20.4	1	9
2014-03-27 14:49:36.106916	47651	48	2	8
2014-03-27 14:49:36.329538	47652	20.7	1	8
2014-03-27 14:49:50.240041	47653	53	2	1
2014-03-27 14:49:50.680041	47654	20.5	1	1
2014-03-27 14:50:04.004558	47655	42	2	10
2014-03-27 14:50:04.229482	47656	21.9	1	10
2014-03-27 14:50:14.045012	47657	50	2	9
2014-03-27 14:50:14.300821	47658	20.4	1	9
2014-03-27 14:50:15.119823	47659	48	2	8
2014-03-27 14:50:15.391501	47660	20.7	1	8
2014-03-27 14:50:29.108978	47661	53	2	1
2014-03-27 14:50:29.340433	47662	20.5	1	1
2014-03-27 14:50:32.458124	47663	611	3	2
2014-03-27 14:50:32.690263	47664	1095959.1444385825	4	2
2014-03-27 14:50:43.004616	47665	42	2	10
2014-03-27 14:50:43.236147	47666	21.9	1	10
2014-03-27 14:50:53.149973	47667	50	2	9
2014-03-27 14:50:53.570179	47668	20.4	1	9
2014-03-27 14:50:54.232722	47669	48	2	8
2014-03-27 14:50:54.675827	47670	20.7	1	8
2014-03-27 14:51:08.232524	47671	53	2	1
2014-03-27 14:51:08.660029	47672	20.5	1	1
2014-03-27 14:51:22.130045	47673	42	2	10
2014-03-27 14:51:22.565373	47674	21.9	1	10
2014-03-27 14:51:32.022189	47675	50	2	9
2014-03-27 14:51:32.244393	47676	20.4	1	9
2014-03-27 14:51:32.552809	47677	611	3	2
2014-03-27 14:51:32.791501	47678	1095969.4857510752	4	2
2014-03-27 14:51:33.108023	47679	48	2	8
2014-03-27 14:51:33.328945	47680	20.7	1	8
2014-03-27 14:51:47.108814	47681	53	2	1
2014-03-27 14:51:47.35297	47682	20.5	1	1
2014-03-27 14:52:01.00485	47683	42	2	10
2014-03-27 14:52:01.226838	47684	21.9	1	10
2014-03-27 14:52:08.457009	47685	643	3	2
2014-03-27 14:52:08.691458	47686	1095975.2309246825	4	2
2014-03-27 14:52:11.023143	47687	50	2	9
2014-03-27 14:52:11.243077	47688	20.4	1	9
2014-03-27 14:52:12.106985	47689	48	2	8
2014-03-27 14:52:12.339205	47690	20.7	1	8
2014-03-27 14:52:20.456817	47691	643	3	2
2014-03-27 14:52:20.698598	47692	1095977.528994125	4	2
2014-03-27 14:52:26.107895	47693	53	2	1
2014-03-27 14:52:26.337588	47694	20.5	1	1
2014-03-27 14:52:32.456895	47695	627	3	2
2014-03-27 14:52:32.678548	47696	1095979.827063568	4	2
2014-03-27 14:52:40.003937	47697	42	2	10
2014-03-27 14:52:40.239192	47698	21.9	1	10
2014-03-27 14:52:50.023342	47699	50	2	9
2014-03-27 14:52:50.247259	47700	20.4	1	9
2014-03-27 14:52:51.109657	47701	48	2	8
2014-03-27 14:52:51.341604	47702	20.7	1	8
2014-03-27 14:53:05.108503	47703	53	2	1
2014-03-27 14:53:05.333919	47704	20.5	1	1
2014-03-27 14:53:19.004949	47705	42	2	10
2014-03-27 14:53:19.237319	47706	21.9	1	10
2014-03-27 14:53:29.022662	47707	50	2	9
2014-03-27 14:53:29.247143	47708	20.4	1	9
2014-03-27 14:53:30.106328	47709	48	2	8
2014-03-27 14:53:30.337865	47710	20.7	1	8
2014-03-27 14:53:32.458829	47711	611	3	2
2014-03-27 14:53:32.686952	47712	1095990.1683760607	4	2
2014-03-27 14:53:44.105494	47713	53	2	1
2014-03-27 14:53:44.338029	47714	20.5	1	1
2014-03-27 14:53:57.806204	47715	643	3	2
2014-03-27 14:53:58.029598	47716	1095994.7645149464	4	2
2014-03-27 14:53:58.333078	47717	42	2	10
2014-03-27 14:53:58.565095	47718	21.9	1	10
2014-03-27 14:54:08.022496	47719	50	2	9
2014-03-27 14:54:08.245667	47720	20.4	1	9
2014-03-27 14:54:08.552481	47721	611	3	2
2014-03-27 14:54:08.78432	47722	1095997.0625843892	4	2
2014-03-27 14:54:09.107754	47723	48	2	8
2014-03-27 14:54:09.329992	47724	20.7	1	8
2014-03-27 14:54:20.457742	47725	676	3	2
2014-03-27 14:54:20.689483	47726	1095999.360653832	4	2
2014-03-27 14:54:23.103781	47727	53	2	1
2014-03-27 14:54:23.325221	47728	20.5	1	1
2014-03-27 14:54:32.458182	47729	676	3	2
2014-03-27 14:54:32.727295	47730	1096000.5096885534	4	2
2014-03-27 14:54:37.005961	47731	42	2	10
2014-03-27 14:54:37.225881	47732	21.9	1	10
2014-03-27 14:54:47.022202	47733	50	2	9
2014-03-27 14:54:47.253819	47734	20.4	1	9
2014-03-27 14:54:48.113463	47735	48	2	8
2014-03-27 14:54:48.336753	47736	20.7	1	8
2014-03-27 14:55:02.106052	47737	53	2	1
2014-03-27 14:55:02.339913	47738	20.5	1	1
2014-03-27 14:55:16.005952	47739	42	2	10
2014-03-27 14:55:16.228674	47740	21.9	1	10
2014-03-27 14:55:26.0214	47741	50	2	9
2014-03-27 14:55:26.253856	47742	20.4	1	9
2014-03-27 14:55:27.10723	47743	48	2	8
2014-03-27 14:55:27.329264	47744	20.7	1	8
2014-03-27 14:55:32.458998	47745	676	3	2
2014-03-27 14:55:32.693574	47746	1096012.0000357677	4	2
2014-03-27 14:55:41.107425	47747	53	2	1
2014-03-27 14:55:41.329488	47748	20.5	1	1
2014-03-27 14:55:55.005844	47749	42	2	10
2014-03-27 14:55:55.237308	47750	21.9	1	10
2014-03-27 14:56:05.022234	47751	50	2	9
2014-03-27 14:56:05.244431	47752	20.4	1	9
2014-03-27 14:56:06.109844	47753	48	2	8
2014-03-27 14:56:06.340493	47754	20.7	1	8
2014-03-27 14:56:20.106344	47755	53	2	1
2014-03-27 14:56:20.328448	47756	20.5	1	1
2014-03-27 14:56:32.457637	47757	692	3	2
2014-03-27 14:56:32.689731	47758	1096023.4903829817	4	2
2014-03-27 14:56:34.005855	47759	42	2	10
2014-03-27 14:56:34.229051	47760	21.9	1	10
2014-03-27 14:56:44.022443	47761	50	2	9
2014-03-27 14:56:44.253668	47762	20.4	1	9
2014-03-27 14:56:45.108257	47763	48	2	8
2014-03-27 14:56:45.33078	47764	20.7	1	8
2014-03-27 14:56:59.103821	47765	53	2	1
2014-03-27 14:56:59.335493	47766	20.5	1	1
2014-03-27 14:57:13.008324	47767	42	2	10
2014-03-27 14:57:13.230914	47768	21.9	1	10
2014-03-27 14:57:20.459247	47769	611	3	2
2014-03-27 14:57:20.690671	47770	1096032.6826607531	4	2
2014-03-27 14:57:23.024888	47771	50	2	9
2014-03-27 14:57:23.245792	47772	20.4	1	9
2014-03-27 14:57:24.107459	47773	48	2	8
2014-03-27 14:57:24.339501	47774	20.7	1	8
2014-03-27 14:57:32.455528	47775	627	3	2
2014-03-27 14:57:32.679437	47776	1096034.980730196	4	2
2014-03-27 14:57:38.105574	47777	53	2	1
2014-03-27 14:57:38.370263	47778	20.5	1	1
2014-03-27 14:57:52.005743	47779	42	2	10
2014-03-27 14:57:52.228834	47780	21.9	1	10
2014-03-27 14:57:56.459721	47781	595	3	2
2014-03-27 14:57:56.689342	47782	1096039.5768690817	4	2
2014-03-27 14:58:02.022511	47783	50	2	9
2014-03-27 14:58:02.245076	47784	20.4	1	9
2014-03-27 14:58:03.108454	47785	48	2	8
2014-03-27 14:58:03.34104	47786	20.7	1	8
2014-03-27 14:58:08.456808	47787	627	3	2
2014-03-27 14:58:08.682878	47788	1096040.725903803	4	2
2014-03-27 14:58:17.104562	47789	53	2	1
2014-03-27 14:58:17.337037	47790	20.5	1	1
2014-03-27 14:58:20.457473	47791	627	3	2
2014-03-27 14:58:20.67925	47792	1096043.0239732459	4	2
2014-03-27 14:58:31.004803	47793	42	2	10
2014-03-27 14:58:31.238321	47794	21.9	1	10
2014-03-27 14:58:32.455475	47795	611	3	2
2014-03-27 14:58:32.676556	47796	1096045.3220426887	4	2
2014-03-27 14:58:41.02044	47797	50	2	9
2014-03-27 14:58:41.254894	47798	20.4	1	9
2014-03-27 14:58:42.106215	47799	48	2	8
2014-03-27 14:58:42.328961	47800	20.7	1	8
2014-03-27 14:58:56.103107	47801	53	2	1
2014-03-27 14:58:56.335917	47802	20.5	1	1
2014-03-27 14:59:10.006676	47803	42	2	10
2014-03-27 14:59:10.228234	47804	21.9	1	10
2014-03-27 14:59:20.022493	47805	50	2	9
2014-03-27 14:59:20.254696	47806	20.4	1	9
2014-03-27 14:59:21.106841	47807	48	2	8
2014-03-27 14:59:21.329322	47808	20.7	1	8
2014-03-27 14:59:32.460306	47809	627	3	2
2014-03-27 14:59:32.692356	47810	1096055.6633551815	4	2
2014-03-27 14:59:35.101066	47811	53	2	1
2014-03-27 14:59:35.322726	47812	20.5	1	1
2014-03-27 14:59:49.006175	47813	42	2	10
2014-03-27 14:59:49.237664	47814	21.9	1	10
2014-03-27 14:59:59.021197	47815	50	2	9
2014-03-27 14:59:59.264095	47816	20.4	1	9
2014-03-27 15:00:00.106388	47817	48	2	8
2014-03-27 15:00:00.336619	47818	20.6	1	8
2014-03-27 15:00:08.455964	47819	579	3	2
2014-03-27 15:00:08.67874	47820	1096061.4085287885	4	2
2014-03-27 15:00:14.098211	47821	53	2	1
2014-03-27 15:00:14.330224	47822	20.5	1	1
2014-03-27 15:00:20.456297	47823	547	3	2
2014-03-27 15:00:20.681952	47824	1096063.7065982313	4	2
2014-03-27 15:00:28.025083	47825	42	2	10
2014-03-27 15:00:28.26692	47826	21.9	1	10
2014-03-27 15:00:32.457198	47827	547	3	2
2014-03-27 15:00:32.679459	47828	1096066.0046676742	4	2
2014-03-27 15:00:38.024493	47829	50	2	9
2014-03-27 15:00:38.256032	47830	20.4	1	9
2014-03-27 15:00:39.106449	47831	48	2	8
2014-03-27 15:00:39.327806	47832	20.6	1	8
2014-03-27 15:00:53.103968	47833	53	2	1
2014-03-27 15:00:53.336564	47834	20.5	1	1
2014-03-27 15:01:07.007108	47835	42	2	10
2014-03-27 15:01:07.229174	47836	21.9	1	10
2014-03-27 15:01:17.022731	47837	50	2	9
2014-03-27 15:01:17.253429	47838	20.4	1	9
2014-03-27 15:01:18.107513	47839	48	2	8
2014-03-27 15:01:18.328728	47840	20.6	1	8
2014-03-27 15:01:32.104476	47841	53	2	1
2014-03-27 15:01:32.337194	47842	20.5	1	1
2014-03-27 15:01:32.643984	47843	547	3	2
2014-03-27 15:01:32.866459	47844	1096074.047910724	4	2
2014-03-27 15:01:44.457203	47845	515	3	2
2014-03-27 15:01:44.689354	47846	1096076.345980167	4	2
2014-03-27 15:01:46.008043	47847	42	2	10
2014-03-27 15:01:46.228661	47848	21.9	1	10
2014-03-27 15:01:56.021917	47849	50	2	9
2014-03-27 15:01:56.253839	47850	20.4	1	9
2014-03-27 15:01:56.559339	47851	531	3	2
2014-03-27 15:01:56.783466	47852	1096077.4950148882	4	2
2014-03-27 15:01:57.107011	47853	48	2	8
2014-03-27 15:01:57.33918	47854	20.6	1	8
2014-03-27 15:02:11.103945	47855	53	2	1
2014-03-27 15:02:11.326841	47856	20.5	1	1
2014-03-27 15:02:25.006329	47857	42	2	10
2014-03-27 15:02:25.238222	47858	21.9	1	10
2014-03-27 15:02:32.457667	47859	531	3	2
2014-03-27 15:02:32.679616	47860	1096083.2401884953	4	2
2014-03-27 15:02:35.024124	47861	50	2	9
2014-03-27 15:02:35.25634	47862	20.4	1	9
2014-03-27 15:02:36.106379	47863	48	2	8
2014-03-27 15:02:36.326537	47864	20.6	1	8
2014-03-27 15:02:50.100636	47865	53	2	1
2014-03-27 15:02:50.333133	47866	20.5	1	1
2014-03-27 15:03:04.010721	47867	42	2	10
2014-03-27 15:03:04.231577	47868	21.9	1	10
2014-03-27 15:03:14.022558	47869	50	2	9
2014-03-27 15:03:14.254552	47870	20.4	1	9
2014-03-27 15:03:15.108654	47871	48	2	8
2014-03-27 15:03:15.330902	47872	20.6	1	8
2014-03-27 15:03:29.100981	47873	53	2	1
2014-03-27 15:03:29.345513	47874	20.5	1	1
2014-03-27 15:03:32.459967	47875	531	3	2
2014-03-27 15:03:32.683235	47876	1096092.4324662667	4	2
2014-03-27 15:03:43.008681	47877	42	2	10
2014-03-27 15:03:43.242094	47878	21.9	1	10
2014-03-27 15:03:53.022914	47879	50	2	9
2014-03-27 15:03:53.246535	47880	20.4	1	9
2014-03-27 15:03:54.106318	47881	48	2	8
2014-03-27 15:03:54.338851	47882	20.6	1	8
2014-03-27 15:04:08.102482	47883	53	2	1
2014-03-27 15:04:08.325378	47884	20.5	1	1
2014-03-27 15:04:22.008292	47885	42	2	10
2014-03-27 15:04:22.242505	47886	21.9	1	10
2014-03-27 15:04:32.023198	47887	50	2	9
2014-03-27 15:04:32.247182	47888	20.4	1	9
2014-03-27 15:04:32.555337	47889	547	3	2
2014-03-27 15:04:32.786872	47890	1096101.624744038	4	2
2014-03-27 15:04:33.107161	47891	48	2	8
2014-03-27 15:04:33.329168	47892	20.6	1	8
2014-03-27 15:04:47.101993	47893	53	2	1
2014-03-27 15:04:47.336392	47894	20.5	1	1
2014-03-27 15:05:01.009629	47895	42	2	10
2014-03-27 15:05:01.231952	47896	21.9	1	10
2014-03-27 15:05:11.022383	47897	50	2	9
2014-03-27 15:05:11.255243	47898	20.3	1	9
2014-03-27 15:05:12.105892	47899	48	2	8
2014-03-27 15:05:12.326084	47900	20.6	1	8
2014-03-27 15:05:26.100645	47901	53	2	1
2014-03-27 15:05:26.332536	47902	20.5	1	1
2014-03-27 15:05:32.458617	47903	531	3	2
2014-03-27 15:05:32.681194	47904	1096109.667987088	4	2
2014-03-27 15:05:40.007446	47905	42	2	10
2014-03-27 15:05:40.240301	47906	21.9	1	10
2014-03-27 15:05:50.022468	47907	50	2	9
2014-03-27 15:05:50.244639	47908	20.3	1	9
2014-03-27 15:05:51.106078	47909	48	2	8
2014-03-27 15:05:51.339167	47910	20.6	1	8
2014-03-27 15:06:05.099858	47911	53	2	1
2014-03-27 15:06:05.321909	47912	20.5	1	1
2014-03-27 15:06:19.009709	47913	42	2	10
2014-03-27 15:06:19.240681	47914	21.9	1	10
2014-03-27 15:06:29.022307	47915	50	2	9
2014-03-27 15:06:29.244184	47916	20.3	1	9
2014-03-27 15:06:30.105343	47917	48	2	8
2014-03-27 15:06:30.33692	47918	20.6	1	8
2014-03-27 15:06:32.454768	47919	531	3	2
2014-03-27 15:06:32.68068	47920	1096118.8602648592	4	2
2014-03-27 15:06:44.100879	47921	53	2	1
2014-03-27 15:06:44.345575	47922	20.5	1	1
2014-03-27 15:06:44.65665	47923	595	3	2
2014-03-27 15:06:44.880553	47924	1096121.158334302	4	2
2014-03-27 15:06:56.457744	47925	595	3	2
2014-03-27 15:06:56.690767	47926	1096123.4564037449	4	2
2014-03-27 15:06:58.064643	47927	42	2	10
2014-03-27 15:06:58.286763	47928	21.8	1	10
2014-03-27 15:07:08.020992	47929	50	2	9
2014-03-27 15:07:08.253344	47930	20.3	1	9
2014-03-27 15:07:09.107441	47931	48	2	8
2014-03-27 15:07:09.328276	47932	20.6	1	8
2014-03-27 15:07:23.09892	47933	53	2	1
2014-03-27 15:07:23.330819	47934	20.5	1	1
2014-03-27 15:07:32.457776	47935	595	3	2
2014-03-27 15:07:32.680066	47936	1096129.201577352	4	2
2014-03-27 15:07:37.009589	47937	42	2	10
2014-03-27 15:07:37.248086	47938	21.8	1	10
2014-03-27 15:07:47.021993	47939	50	2	9
2014-03-27 15:07:47.244047	47940	20.3	1	9
2014-03-27 15:07:48.107318	47941	48	2	8
2014-03-27 15:07:48.337979	47942	20.6	1	8
2014-03-27 15:08:02.099757	47943	53	2	1
2014-03-27 15:08:02.324136	47944	20.5	1	1
2014-03-27 15:08:16.011373	47945	42	2	10
2014-03-27 15:08:16.243267	47946	21.8	1	10
2014-03-27 15:08:26.024282	47947	50	2	9
2014-03-27 15:08:26.2471	47948	20.3	1	9
2014-03-27 15:08:27.108853	47949	48	2	8
2014-03-27 15:08:27.339969	47950	20.6	1	8
2014-03-27 15:08:32.456642	47951	595	3	2
2014-03-27 15:08:32.679064	47952	1096138.3938551233	4	2
2014-03-27 15:08:41.102534	47953	53	2	1
2014-03-27 15:08:41.334258	47954	20.5	1	1
2014-03-27 15:08:55.011232	47955	42	2	10
2014-03-27 15:08:55.233735	47956	21.8	1	10
2014-03-27 15:09:05.021581	47957	50	2	9
2014-03-27 15:09:05.254724	47958	20.3	1	9
2014-03-27 15:09:06.109396	47959	48	2	8
2014-03-27 15:09:06.331025	47960	20.6	1	8
2014-03-27 15:09:20.099371	47961	53	2	1
2014-03-27 15:09:20.332624	47962	20.5	1	1
2014-03-27 15:09:32.452797	47963	595	3	2
2014-03-27 15:09:32.674728	47964	1096147.5906038468	4	2
2014-03-27 15:09:34.013865	47965	42	2	10
2014-03-27 15:09:34.246816	47966	21.8	1	10
2014-03-27 15:09:44.022309	47967	50	2	9
2014-03-27 15:09:44.246209	47968	20.3	1	9
2014-03-27 15:09:45.107307	47969	48	2	8
2014-03-27 15:09:45.352902	47970	20.6	1	8
2014-03-27 15:09:59.096678	47971	53	2	1
2014-03-27 15:09:59.31938	47972	20.5	1	1
2014-03-27 15:10:13.011874	47973	42	2	10
2014-03-27 15:10:13.243626	47974	21.8	1	10
2014-03-27 15:10:20.456949	47975	482	3	2
2014-03-27 15:10:20.678656	47976	1096155.6338468967	4	2
2014-03-27 15:10:23.021256	47977	50	2	9
2014-03-27 15:10:23.253842	47978	20.3	1	9
2014-03-27 15:10:24.106966	47979	48	2	8
2014-03-27 15:10:24.327862	47980	20.6	1	8
2014-03-27 15:10:32.455838	47981	482	3	2
2014-03-27 15:10:32.688991	47982	1096156.7828816182	4	2
2014-03-27 15:10:38.09528	47983	53	2	1
2014-03-27 15:10:38.317318	47984	20.5	1	1
2014-03-27 15:10:52.010402	47985	42	2	10
2014-03-27 15:10:52.244463	47986	21.8	1	10
2014-03-27 15:11:02.022752	47987	50	2	9
2014-03-27 15:11:02.247428	47988	20.3	1	9
2014-03-27 15:11:03.10759	47989	48	2	8
2014-03-27 15:11:03.343691	47990	20.6	1	8
2014-03-27 15:11:17.09791	47991	53	2	1
2014-03-27 15:11:17.319605	47992	20.5	1	1
2014-03-27 15:11:31.010063	47993	42	2	10
2014-03-27 15:11:31.241587	47994	21.9	1	10
2014-03-27 15:11:32.45926	47995	482	3	2
2014-03-27 15:11:32.682346	47996	1096164.8261246681	4	2
2014-03-27 15:11:41.025678	47997	50	2	9
2014-03-27 15:11:41.257862	47998	20.3	1	9
2014-03-27 15:11:42.106803	47999	48	2	8
2014-03-27 15:11:42.326282	48000	20.6	1	8
2014-03-27 15:11:56.095464	48001	53	2	1
2014-03-27 15:11:56.327625	48002	20.5	1	1
2014-03-27 15:12:08.45501	48003	531	3	2
2014-03-27 15:12:08.679314	48004	1096169.4222635536	4	2
2014-03-27 15:12:10.010418	48005	42	2	10
2014-03-27 15:12:10.242457	48006	21.8	1	10
2014-03-27 15:12:20.021864	48007	50	2	9
2014-03-27 15:12:20.244414	48008	20.3	1	9
2014-03-27 15:12:20.552101	48009	515	3	2
2014-03-27 15:12:20.786957	48010	1096171.7203329965	4	2
2014-03-27 15:12:21.10796	48011	48	2	8
2014-03-27 15:12:21.329321	48012	20.6	1	8
2014-03-27 15:12:32.453383	48013	515	3	2
2014-03-27 15:12:32.686358	48014	1096172.869367718	4	2
2014-03-27 15:12:35.093714	48015	53	2	1
2014-03-27 15:12:35.317686	48016	20.5	1	1
2014-03-27 15:12:49.011738	48017	42	2	10
2014-03-27 15:12:49.255532	48018	21.8	1	10
2014-03-27 15:12:59.021488	48019	50	2	9
2014-03-27 15:12:59.243749	48020	20.3	1	9
2014-03-27 15:13:00.107743	48021	48	2	8
2014-03-27 15:13:00.345273	48022	20.6	1	8
2014-03-27 15:13:14.095108	48023	53	2	1
2014-03-27 15:13:14.317948	48024	20.5	1	1
2014-03-27 15:13:28.013285	48025	42	2	10
2014-03-27 15:13:28.270036	48026	21.8	1	10
2014-03-27 15:13:32.454101	48027	515	3	2
2014-03-27 15:13:32.675798	48028	1096182.0616454892	4	2
2014-03-27 15:13:38.022287	48029	50	2	9
2014-03-27 15:13:38.253754	48030	20.3	1	9
2014-03-27 15:13:39.107556	48031	48	2	8
2014-03-27 15:13:39.331148	48032	20.6	1	8
2014-03-27 15:13:53.096889	48033	53	2	1
2014-03-27 15:13:53.329172	48034	20.5	1	1
2014-03-27 15:14:07.009644	48035	42	2	10
2014-03-27 15:14:07.234046	48036	21.8	1	10
2014-03-27 15:14:17.021248	48037	50	2	9
2014-03-27 15:14:17.255382	48038	20.3	1	9
2014-03-27 15:14:18.107407	48039	48	2	8
2014-03-27 15:14:18.329756	48040	20.6	1	8
2014-03-27 15:14:32.095384	48041	53	2	1
2014-03-27 15:14:32.330121	48042	20.5	1	1
2014-03-27 15:14:32.634396	48043	515	3	2
2014-03-27 15:14:32.8562	48044	1096191.2539232606	4	2
2014-03-27 15:14:46.011908	48045	42	2	10
2014-03-27 15:14:46.246235	48046	21.8	1	10
2014-03-27 15:14:56.025291	48047	50	2	9
2014-03-27 15:14:56.248306	48048	20.3	1	9
2014-03-27 15:14:57.105841	48049	48	2	8
2014-03-27 15:14:57.339903	48050	20.6	1	8
2014-03-27 15:15:11.092346	48051	53	2	1
2014-03-27 15:15:11.315524	48052	20.5	1	1
2014-03-27 15:15:25.011353	48053	42	2	10
2014-03-27 15:15:25.243829	48054	21.8	1	10
2014-03-27 15:15:32.456386	48055	531	3	2
2014-03-27 15:15:32.680361	48056	1096199.2971663105	4	2
2014-03-27 15:15:35.022374	48057	50	2	9
2014-03-27 15:15:35.254543	48058	20.3	1	9
2014-03-27 15:15:36.106843	48059	48	2	8
2014-03-27 15:15:36.330376	48060	20.6	1	8
2014-03-27 15:15:50.093755	48061	52	2	1
2014-03-27 15:15:50.326415	48062	20.5	1	1
2014-03-27 15:16:04.015908	48063	42	2	10
2014-03-27 15:16:04.237502	48064	21.8	1	10
2014-03-27 15:16:14.021612	48065	50	2	9
2014-03-27 15:16:14.265041	48066	20.3	1	9
2014-03-27 15:16:15.106433	48067	48	2	8
2014-03-27 15:16:15.328287	48068	20.6	1	8
2014-03-27 15:16:29.095085	48069	52	2	1
2014-03-27 15:16:29.328477	48070	20.5	1	1
2014-03-27 15:16:32.455845	48071	531	3	2
2014-03-27 15:16:32.67888	48072	1096208.489444082	4	2
2014-03-27 15:16:43.011477	48073	42	2	10
2014-03-27 15:16:43.242424	48074	21.8	1	10
2014-03-27 15:16:53.021369	48075	50	2	9
2014-03-27 15:16:53.242966	48076	20.3	1	9
2014-03-27 15:16:54.106006	48077	48	2	8
2014-03-27 15:16:54.336441	48078	20.6	1	8
2014-03-27 15:17:08.093921	48079	52	2	1
2014-03-27 15:17:08.317138	48080	20.5	1	1
2014-03-27 15:17:22.01402	48081	42	2	10
2014-03-27 15:17:22.245852	48082	21.8	1	10
2014-03-27 15:17:32.020941	48083	50	2	9
2014-03-27 15:17:32.243411	48084	20.3	1	9
2014-03-27 15:17:32.549774	48085	531	3	2
2014-03-27 15:17:32.784139	48086	1096216.5326871318	4	2
2014-03-27 15:17:33.108295	48087	48	2	8
2014-03-27 15:17:33.330639	48088	20.6	1	8
2014-03-27 15:17:47.092091	48089	52	2	1
2014-03-27 15:17:47.328092	48090	20.5	1	1
2014-03-27 15:18:01.011867	48091	42	2	10
2014-03-27 15:18:01.234648	48092	21.8	1	10
2014-03-27 15:18:11.022354	48093	50	2	9
2014-03-27 15:18:11.255408	48094	20.3	1	9
2014-03-27 15:18:12.107124	48095	48	2	8
2014-03-27 15:18:12.329916	48096	20.6	1	8
2014-03-27 15:18:26.092561	48097	52	2	1
2014-03-27 15:18:26.32429	48098	20.5	1	1
2014-03-27 15:18:32.45545	48099	515	3	2
2014-03-27 15:18:32.677226	48100	1096225.724964903	4	2
2014-03-27 15:18:40.01466	48101	42	2	10
2014-03-27 15:18:40.246463	48102	21.8	1	10
2014-03-27 15:18:44.456678	48103	547	3	2
2014-03-27 15:18:44.67943	48104	1096228.0230343458	4	2
2014-03-27 15:18:50.023439	48105	50	2	9
2014-03-27 15:18:50.255009	48106	20.3	1	9
2014-03-27 15:18:51.106149	48107	48	2	8
2014-03-27 15:18:51.328207	48108	20.6	1	8
2014-03-27 15:18:56.453503	48109	531	3	2
2014-03-27 15:18:56.686379	48110	1096229.1720690674	4	2
2014-03-27 15:19:05.093376	48111	52	2	1
2014-03-27 15:19:05.315231	48112	20.5	1	1
2014-03-27 15:19:19.014136	48113	42	2	10
2014-03-27 15:19:19.258676	48114	21.8	1	10
2014-03-27 15:19:29.021588	48115	50	2	9
2014-03-27 15:19:29.248097	48116	20.3	1	9
2014-03-27 15:19:30.107548	48117	48	2	8
2014-03-27 15:19:30.339131	48118	20.6	1	8
2014-03-27 15:19:32.45399	48119	547	3	2
2014-03-27 15:19:32.676771	48120	1096234.9172426744	4	2
2014-03-27 15:19:44.096845	48121	52	2	1
2014-03-27 15:19:44.327964	48122	20.5	1	1
2014-03-27 15:19:56.455822	48123	595	3	2
2014-03-27 15:19:56.677575	48124	1096238.3643468386	4	2
2014-03-27 15:19:58.013462	48125	42	2	10
2014-03-27 15:19:58.245067	48126	21.8	1	10
2014-03-27 15:20:08.020607	48127	49	2	9
2014-03-27 15:20:08.244166	48128	20.3	1	9
2014-03-27 15:20:08.550461	48129	579	3	2
2014-03-27 15:20:08.78367	48130	1096240.6624162814	4	2
2014-03-27 15:20:09.106708	48131	48	2	8
2014-03-27 15:20:09.33055	48132	20.6	1	8
2014-03-27 15:20:20.453516	48133	498	3	2
2014-03-27 15:20:20.684614	48134	1096242.9604857243	4	2
2014-03-27 15:20:23.089447	48135	52	2	1
2014-03-27 15:20:23.311171	48136	20.5	1	1
2014-03-27 15:20:32.456705	48137	482	3	2
2014-03-27 15:20:32.69046	48138	1096244.1095204456	4	2
2014-03-27 15:20:37.013279	48139	42	2	10
2014-03-27 15:20:37.236009	48140	21.8	1	10
2014-03-27 15:20:47.021318	48141	49	2	9
2014-03-27 15:20:47.253344	48142	20.3	1	9
2014-03-27 15:20:48.106986	48143	48	2	8
2014-03-27 15:20:48.32978	48144	20.6	1	8
2014-03-27 15:21:02.08841	48145	52	2	1
2014-03-27 15:21:02.323561	48146	20.5	1	1
2014-03-27 15:21:16.012493	48147	42	2	10
2014-03-27 15:21:16.236689	48148	21.8	1	10
2014-03-27 15:21:26.022365	48149	49	2	9
2014-03-27 15:21:26.263556	48150	20.3	1	9
2014-03-27 15:21:27.105365	48151	48	2	8
2014-03-27 15:21:27.327053	48152	20.6	1	8
2014-03-27 15:21:32.454851	48153	482	3	2
2014-03-27 15:21:32.687312	48154	1096252.1527634957	4	2
2014-03-27 15:21:41.090906	48155	52	2	1
2014-03-27 15:21:41.313472	48156	20.5	1	1
2014-03-27 15:21:55.01314	48157	42	2	10
2014-03-27 15:21:55.245128	48158	21.8	1	10
2014-03-27 15:22:05.02257	48159	49	2	9
2014-03-27 15:22:05.244137	48160	20.3	1	9
2014-03-27 15:22:06.105248	48161	48	2	8
2014-03-27 15:22:06.3554	48162	20.6	1	8
2014-03-27 15:22:08.4532	48163	579	3	2
2014-03-27 15:22:08.67603	48164	1096257.8979371027	4	2
2014-03-27 15:22:20.08965	48165	52	2	1
2014-03-27 15:22:20.324476	48166	20.5	1	1
2014-03-27 15:22:20.630859	48167	52	2	1
2014-03-27 15:22:20.854587	48168	20.5	1	1
2014-03-27 15:22:21.160762	48169	579	3	2
2014-03-27 15:22:21.39213	48170	1096259.046971824	4	2
2014-03-27 15:22:32.453723	48171	579	3	2
2014-03-27 15:22:32.678129	48172	1096261.3450412669	4	2
2014-03-27 15:22:34.016337	48173	42	2	10
2014-03-27 15:22:34.247695	48174	21.8	1	10
2014-03-27 15:22:44.022345	48175	49	2	9
2014-03-27 15:22:44.245123	48176	20.3	1	9
2014-03-27 15:22:45.106887	48177	48	2	8
2014-03-27 15:22:45.337246	48178	20.6	1	8
2014-03-27 15:22:59.088902	48179	52	2	1
2014-03-27 15:22:59.311372	48180	20.5	1	1
2014-03-27 15:23:13.014102	48181	42	2	10
2014-03-27 15:23:13.245847	48182	21.8	1	10
2014-03-27 15:23:23.022047	48183	49	2	9
2014-03-27 15:23:23.24626	48184	20.3	1	9
2014-03-27 15:23:24.106602	48185	48	2	8
2014-03-27 15:23:24.337297	48186	20.6	1	8
2014-03-27 15:23:32.454401	48187	547	3	2
2014-03-27 15:23:32.677783	48188	1096271.6863537596	4	2
2014-03-27 15:23:38.086572	48189	52	2	1
2014-03-27 15:23:38.318042	48190	20.5	1	1
2014-03-27 15:23:44.454211	48191	595	3	2
2014-03-27 15:23:44.67733	48192	1096272.8353884812	4	2
2014-03-27 15:23:52.014629	48193	42	2	10
2014-03-27 15:23:52.246663	48194	21.8	1	10
2014-03-27 15:23:56.453107	48195	595	3	2
2014-03-27 15:23:56.674667	48196	1096275.1334579238	4	2
2014-03-27 15:24:02.023077	48197	49	2	9
2014-03-27 15:24:02.255375	48198	20.3	1	9
2014-03-27 15:24:03.105831	48199	48	2	8
2014-03-27 15:24:03.326605	48200	20.6	1	8
2014-03-27 15:24:17.085661	48201	52	2	1
2014-03-27 15:24:17.316913	48202	20.5	1	1
2014-03-27 15:24:20.455318	48203	547	3	2
2014-03-27 15:24:20.67611	48204	1096278.5805620882	4	2
2014-03-27 15:24:31.016195	48205	42	2	10
2014-03-27 15:24:31.247374	48206	21.8	1	10
2014-03-27 15:24:32.457122	48207	531	3	2
2014-03-27 15:24:32.677638	48208	1096280.878631531	4	2
2014-03-27 15:24:41.023936	48209	49	2	9
2014-03-27 15:24:41.267768	48210	20.3	1	9
2014-03-27 15:24:42.108742	48211	48	2	8
2014-03-27 15:24:42.330058	48212	20.6	1	8
2014-03-27 15:24:56.089357	48213	52	2	1
2014-03-27 15:24:56.505302	48214	20.5	1	1
2014-03-27 15:25:08.454956	48215	2494	3	2
2014-03-27 15:25:08.684294	48216	1096292.368978745	4	2
2014-03-27 15:25:10.014431	48217	42	2	10
2014-03-27 15:25:10.235706	48218	21.8	1	10
2014-03-27 15:25:20.021566	48219	49	2	9
2014-03-27 15:25:20.252836	48220	20.3	1	9
2014-03-27 15:25:20.556984	48221	2478	3	2
2014-03-27 15:25:20.777201	48222	1096300.412221795	4	2
2014-03-27 15:25:21.105344	48223	48	2	8
2014-03-27 15:25:21.340149	48224	20.6	1	8
2014-03-27 15:25:34.885636	48225	2494	3	2
2014-03-27 15:25:35.106396	48226	1096309.6044995664	4	2
2014-03-27 15:25:35.410466	48227	52	2	1
2014-03-27 15:25:35.642599	48228	20.5	1	1
2014-03-27 15:25:49.014509	48229	42	2	10
2014-03-27 15:25:49.237789	48230	21.8	1	10
2014-03-27 15:25:59.020564	48231	49	2	9
2014-03-27 15:25:59.254381	48232	20.3	1	9
2014-03-27 15:26:00.105786	48233	48	2	8
2014-03-27 15:26:00.328787	48234	20.6	1	8
2014-03-27 15:26:08.452092	48235	2462	3	2
2014-03-27 15:26:08.6836	48236	1096333.734228716	4	2
2014-03-27 15:26:14.085632	48237	52	2	1
2014-03-27 15:26:14.309198	48238	20.5	1	1
2014-03-27 15:26:20.457698	48239	2462	3	2
2014-03-27 15:26:20.690207	48240	1096342.9265064874	4	2
2014-03-27 15:26:28.013095	48241	42	2	10
2014-03-27 15:26:28.234529	48242	21.8	1	10
2014-03-27 15:26:32.458921	48243	2478	3	2
2014-03-27 15:26:32.690236	48244	1096350.9697495373	4	2
2014-03-27 15:26:38.02018	48245	49	2	9
2014-03-27 15:26:38.242132	48246	20.3	1	9
2014-03-27 15:26:39.106299	48247	48	2	8
2014-03-27 15:26:39.336436	48248	20.6	1	8
2014-03-27 15:26:53.087249	48249	52	2	1
2014-03-27 15:26:53.308128	48250	20.5	1	1
2014-03-27 15:27:07.015683	48251	42	2	10
2014-03-27 15:27:07.246757	48252	21.8	1	10
2014-03-27 15:27:17.030251	48253	49	2	9
2014-03-27 15:27:17.251443	48254	20.3	1	9
2014-03-27 15:27:18.105772	48255	48	2	8
2014-03-27 15:27:18.336334	48256	20.6	1	8
2014-03-27 15:27:32.085551	48257	52	2	1
2014-03-27 15:27:32.309658	48258	20.5	1	1
2014-03-27 15:27:32.616001	48259	2478	3	2
2014-03-27 15:27:32.85755	48260	1096392.3349995082	4	2
2014-03-27 15:27:46.015263	48261	42	2	10
2014-03-27 15:27:46.241465	48262	21.8	1	10
2014-03-27 15:27:56.021766	48263	49	2	9
2014-03-27 15:27:56.255025	48264	20.3	1	9
2014-03-27 15:27:57.112704	48265	48	2	8
2014-03-27 15:27:57.333822	48266	20.6	1	8
2014-03-27 15:28:11.083491	48267	52	2	1
2014-03-27 15:28:11.314079	48268	20.5	1	1
2014-03-27 15:28:25.014932	48269	42	2	10
2014-03-27 15:28:25.236299	48270	21.8	1	10
2014-03-27 15:28:32.452288	48271	2494	3	2
2014-03-27 15:28:32.683878	48272	1096433.7002494792	4	2
2014-03-27 15:28:35.021544	48273	49	2	9
2014-03-27 15:28:35.241753	48274	20.3	1	9
2014-03-27 15:28:36.1051	48275	48	2	8
2014-03-27 15:28:36.334717	48276	20.6	1	8
2014-03-27 15:28:50.082747	48277	52	2	1
2014-03-27 15:28:50.30513	48278	20.5	1	1
2014-03-27 15:29:04.018582	48279	42	2	10
2014-03-27 15:29:04.250116	48280	21.8	1	10
2014-03-27 15:29:14.02118	48281	49	2	9
2014-03-27 15:29:14.242478	48282	20.3	1	9
2014-03-27 15:29:15.1065	48283	48	2	8
2014-03-27 15:29:15.336813	48284	20.6	1	8
2014-03-27 15:29:29.085638	48285	52	2	1
2014-03-27 15:29:29.306412	48286	20.5	1	1
2014-03-27 15:29:32.457892	48287	2494	3	2
2014-03-27 15:29:32.687558	48288	1096473.9209356809	4	2
2014-03-27 15:29:43.015834	48289	42	2	10
2014-03-27 15:29:43.237908	48290	21.8	1	10
2014-03-27 15:29:53.230594	48291	49	2	9
2014-03-27 15:29:53.461012	48292	20.3	1	9
2014-03-27 15:29:54.108737	48293	48	2	8
2014-03-27 15:29:54.328508	48294	20.6	1	8
2014-03-27 15:30:08.089585	48295	52	2	1
2014-03-27 15:30:08.319546	48296	20.5	1	1
2014-03-27 15:30:22.015202	48297	42	2	10
2014-03-27 15:30:22.237345	48298	21.8	1	10
2014-03-27 15:30:32.021233	48299	49	2	9
2014-03-27 15:30:32.255752	48300	20.3	1	9
2014-03-27 15:30:32.562516	48301	2478	3	2
2014-03-27 15:30:32.784188	48302	1096515.2861856518	4	2
2014-03-27 15:30:33.107405	48303	48	2	8
2014-03-27 15:30:33.33879	48304	20.6	1	8
2014-03-27 15:30:47.085062	48305	52	2	1
2014-03-27 15:30:47.307747	48306	20.5	1	1
2014-03-27 15:30:56.454521	48307	2575	3	2
2014-03-27 15:30:56.695984	48308	1096532.521706473	4	2
2014-03-27 15:31:01.0155	48309	42	2	10
2014-03-27 15:31:01.238902	48310	21.8	1	10
2014-03-27 15:31:10.821874	48311	2527	3	2
2014-03-27 15:31:11.053049	48312	1096540.564949523	4	2
2014-03-27 15:31:11.357041	48313	49	2	9
2014-03-27 15:31:11.57797	48314	20.3	1	9
2014-03-27 15:31:12.105428	48315	48	2	8
2014-03-27 15:31:12.337438	48316	20.6	1	8
2014-03-27 15:31:20.452949	48317	2527	3	2
2014-03-27 15:31:20.674356	48318	1096549.7572272944	4	2
2014-03-27 15:31:26.085253	48319	52	2	1
2014-03-27 15:31:26.317799	48320	20.5	1	1
2014-03-27 15:31:32.456588	48321	2527	3	2
2014-03-27 15:31:32.678996	48322	1096557.8004703443	4	2
2014-03-27 15:31:40.016416	48323	42	2	10
2014-03-27 15:31:40.248263	48324	21.8	1	10
2014-03-27 15:31:44.45693	48325	2575	3	2
2014-03-27 15:31:44.678452	48326	1096566.9927481154	4	2
2014-03-27 15:31:50.021388	48327	49	2	9
2014-03-27 15:31:50.251226	48328	20.3	1	9
2014-03-27 15:31:51.103578	48329	48	2	8
2014-03-27 15:31:51.324464	48330	20.6	1	8
2014-03-27 15:31:56.455144	48331	2575	3	2
2014-03-27 15:31:56.686503	48332	1096575.0359911653	4	2
2014-03-27 15:32:05.084654	48333	52	2	1
2014-03-27 15:32:05.305327	48334	20.5	1	1
2014-03-27 15:32:19.015688	48335	42	2	10
2014-03-27 15:32:19.246687	48336	21.8	1	10
2014-03-27 15:32:29.045877	48337	49	2	9
2014-03-27 15:32:29.267356	48338	20.3	1	9
2014-03-27 15:32:30.105529	48339	48	2	8
2014-03-27 15:32:30.336925	48340	20.6	1	8
2014-03-27 15:32:32.453485	48341	2527	3	2
2014-03-27 15:32:32.675826	48342	1096600.3147550365	4	2
2014-03-27 15:32:44.084419	48343	52	2	1
2014-03-27 15:32:44.31767	48344	20.6	1	1
2014-03-27 15:32:44.622469	48345	2575	3	2
2014-03-27 15:32:44.843792	48346	1096609.507032808	4	2
2014-03-27 15:32:56.451995	48347	2575	3	2
2014-03-27 15:32:56.68702	48348	1096617.5502758578	4	2
2014-03-27 15:32:58.016041	48349	42	2	10
2014-03-27 15:32:58.236885	48350	21.8	1	10
2014-03-27 15:33:08.227929	48351	49	2	9
2014-03-27 15:33:08.458967	48352	20.3	1	9
2014-03-27 15:33:09.104046	48353	47	2	8
2014-03-27 15:33:09.32518	48354	20.5	1	8
2014-03-27 15:33:23.080399	48355	52	2	1
2014-03-27 15:33:23.32534	48356	20.6	1	1
2014-03-27 15:33:32.456127	48357	2591	3	2
2014-03-27 15:33:32.685395	48358	1096643.9780744503	4	2
2014-03-27 15:33:37.017194	48359	42	2	10
2014-03-27 15:33:37.248853	48360	21.8	1	10
2014-03-27 15:33:47.021438	48361	49	2	9
2014-03-27 15:33:47.243106	48362	20.3	1	9
2014-03-27 15:33:48.10412	48363	47	2	8
2014-03-27 15:33:48.335841	48364	20.5	1	8
2014-03-27 15:34:02.080426	48365	52	2	1
2014-03-27 15:34:02.302369	48366	20.6	1	1
2014-03-27 15:34:16.0172	48367	42	2	10
2014-03-27 15:34:16.247086	48368	21.8	1	10
2014-03-27 15:34:26.021233	48369	49	2	9
2014-03-27 15:34:26.243673	48370	20.3	1	9
2014-03-27 15:34:27.105177	48371	48	2	8
2014-03-27 15:34:27.336468	48372	20.5	1	8
2014-03-27 15:34:32.454849	48373	2575	3	2
2014-03-27 15:34:32.677748	48374	1096687.641393864	4	2
2014-03-27 15:34:41.07824	48375	52	2	1
2014-03-27 15:34:41.308077	48376	20.6	1	1
2014-03-27 15:34:55.018814	48377	42	2	10
2014-03-27 15:34:55.241431	48378	21.9	1	10
2014-03-27 15:35:05.022505	48379	49	2	9
2014-03-27 15:35:05.253561	48380	20.3	1	9
2014-03-27 15:35:06.104552	48381	48	2	8
2014-03-27 15:35:06.32616	48382	20.5	1	8
2014-03-27 15:35:20.082178	48383	52	2	1
2014-03-27 15:35:20.313486	48384	20.6	1	1
2014-03-27 15:35:32.454039	48385	2575	3	2
2014-03-27 15:35:32.674928	48386	1096730.1556785565	4	2
2014-03-27 15:35:34.018288	48387	42	2	10
2014-03-27 15:35:34.258145	48388	21.9	1	10
2014-03-27 15:35:44.021985	48389	49	2	9
2014-03-27 15:35:44.245697	48390	20.3	1	9
2014-03-27 15:35:45.105583	48391	48	2	8
2014-03-27 15:35:45.33846	48392	20.5	1	8
2014-03-27 15:35:59.082722	48393	52	2	1
2014-03-27 15:35:59.304261	48394	20.6	1	1
2014-03-27 15:36:08.456742	48395	2655	3	2
2014-03-27 15:36:08.689195	48396	1096755.4389133798	4	2
2014-03-27 15:36:13.018024	48397	42	2	10
2014-03-27 15:36:13.241421	48398	21.9	1	10
2014-03-27 15:36:20.454676	48399	2607	3	2
2014-03-27 15:36:20.687091	48400	1096764.6311911512	4	2
2014-03-27 15:36:23.021977	48401	49	2	9
2014-03-27 15:36:23.244184	48402	20.3	1	9
2014-03-27 15:36:24.104793	48403	48	2	8
2014-03-27 15:36:24.347614	48404	20.5	1	8
2014-03-27 15:36:32.451988	48405	2607	3	2
2014-03-27 15:36:32.672889	48406	1096772.674434201	4	2
2014-03-27 15:36:38.080449	48407	52	2	1
2014-03-27 15:36:38.31358	48408	20.6	1	1
2014-03-27 15:36:52.016084	48409	42	2	10
2014-03-27 15:36:52.239125	48410	21.9	1	10
2014-03-27 15:36:56.45444	48411	627	3	2
2014-03-27 15:36:56.684742	48412	1096786.462850858	4	2
2014-03-27 15:37:02.020987	48413	49	2	9
2014-03-27 15:37:02.241837	48414	20.3	1	9
2014-03-27 15:37:03.105898	48415	48	2	8
2014-03-27 15:37:03.336699	48416	20.5	1	8
2014-03-27 15:37:08.450899	48417	627	3	2
2014-03-27 15:37:08.673595	48418	1096788.7609203008	4	2
2014-03-27 15:37:17.081909	48419	52	2	1
2014-03-27 15:37:17.313837	48420	20.6	1	1
2014-03-27 15:37:31.017791	48421	42	2	10
2014-03-27 15:37:31.239219	48422	21.9	1	10
2014-03-27 15:37:32.456979	48423	627	3	2
2014-03-27 15:37:32.689656	48424	1096793.3570591866	4	2
2014-03-27 15:37:41.020644	48425	49	2	9
2014-03-27 15:37:41.24681	48426	20.3	1	9
2014-03-27 15:37:42.105863	48427	48	2	8
2014-03-27 15:37:42.336447	48428	20.5	1	8
2014-03-27 15:37:56.078579	48429	52	2	1
2014-03-27 15:37:56.300437	48430	20.6	1	1
2014-03-27 15:38:10.018252	48431	42	2	10
2014-03-27 15:38:10.250111	48432	21.9	1	10
2014-03-27 15:38:20.020583	48433	49	2	9
2014-03-27 15:38:20.241559	48434	20.3	1	9
2014-03-27 15:38:21.104716	48435	48	2	8
2014-03-27 15:38:21.336215	48436	20.5	1	8
2014-03-27 15:38:32.454299	48437	627	3	2
2014-03-27 15:38:32.678016	48438	1096803.6983716793	4	2
2014-03-27 15:38:35.08169	48439	52	2	1
2014-03-27 15:38:35.312347	48440	20.6	1	1
2014-03-27 15:38:49.020735	48441	42	2	10
2014-03-27 15:38:49.241512	48442	21.9	1	10
2014-03-27 15:38:59.076241	48443	49	2	9
2014-03-27 15:38:59.308833	48444	20.3	1	9
2014-03-27 15:39:00.106012	48445	48	2	8
2014-03-27 15:39:00.327146	48446	20.5	1	8
2014-03-27 15:39:14.080457	48447	52	2	1
2014-03-27 15:39:14.311698	48448	20.6	1	1
2014-03-27 15:39:28.017884	48449	42	2	10
2014-03-27 15:39:28.238968	48450	21.9	1	10
2014-03-27 15:39:32.45332	48451	611	3	2
2014-03-27 15:39:32.696436	48452	1096814.039684172	4	2
2014-03-27 15:39:38.021309	48453	49	2	9
2014-03-27 15:39:38.243405	48454	20.3	1	9
2014-03-27 15:39:39.10536	48455	48	2	8
2014-03-27 15:39:39.336145	48456	20.5	1	8
2014-03-27 15:39:53.079159	48457	52	2	1
2014-03-27 15:39:53.301258	48458	20.6	1	1
2014-03-27 15:40:07.225412	48459	42	2	10
2014-03-27 15:40:07.458177	48460	21.9	1	10
2014-03-27 15:40:17.022844	48461	49	2	9
2014-03-27 15:40:17.244133	48462	20.3	1	9
2014-03-27 15:40:18.10594	48463	48	2	8
2014-03-27 15:40:18.334482	48464	20.5	1	8
2014-03-27 15:40:32.081609	48465	52	2	1
2014-03-27 15:40:32.303268	48466	20.6	1	1
2014-03-27 15:40:32.607745	48467	611	3	2
2014-03-27 15:40:32.838966	48468	1096824.3809966648	4	2
2014-03-27 15:40:46.021982	48469	42	2	10
2014-03-27 15:40:46.244376	48470	21.9	1	10
2014-03-27 15:40:56.021936	48471	49	2	9
2014-03-27 15:40:56.255542	48472	20.3	1	9
2014-03-27 15:40:57.107681	48473	48	2	8
2014-03-27 15:40:57.327492	48474	20.5	1	8
2014-03-27 15:41:11.079956	48475	52	2	1
2014-03-27 15:41:11.31254	48476	20.6	1	1
2014-03-27 15:41:25.019123	48477	42	2	10
2014-03-27 15:41:25.243383	48478	21.9	1	10
2014-03-27 15:41:32.45502	48479	611	3	2
2014-03-27 15:41:32.686767	48480	1096834.7223091575	4	2
2014-03-27 15:41:35.019567	48481	49	2	9
2014-03-27 15:41:35.243333	48482	20.3	1	9
2014-03-27 15:41:36.106193	48483	48	2	8
2014-03-27 15:41:36.339741	48484	20.5	1	8
2014-03-27 15:41:50.07578	48485	52	2	1
2014-03-27 15:41:50.299581	48486	20.6	1	1
2014-03-27 15:42:04.019234	48487	42	2	10
2014-03-27 15:42:04.257276	48488	21.9	1	10
2014-03-27 15:42:14.020579	48489	49	2	9
2014-03-27 15:42:14.243637	48490	20.3	1	9
2014-03-27 15:42:15.106832	48491	48	2	8
2014-03-27 15:42:15.338901	48492	20.5	1	8
2014-03-27 15:42:29.080122	48493	52	2	1
2014-03-27 15:42:29.359484	48494	20.6	1	1
2014-03-27 15:42:32.453186	48495	611	3	2
2014-03-27 15:42:32.685469	48496	1096845.0636216502	4	2
2014-03-27 15:42:43.020766	48497	42	2	10
2014-03-27 15:42:43.244328	48498	21.9	1	10
2014-03-27 15:42:53.020566	48499	49	2	9
2014-03-27 15:42:53.263044	48500	20.3	1	9
2014-03-27 15:42:54.104147	48501	48	2	8
2014-03-27 15:42:54.325573	48502	20.5	1	8
2014-03-27 15:42:56.455818	48503	659	3	2
2014-03-27 15:42:56.685935	48504	1096849.659760536	4	2
2014-03-27 15:43:08.078474	48505	52	2	1
2014-03-27 15:43:08.301321	48506	20.6	1	1
2014-03-27 15:43:08.60851	48507	659	3	2
2014-03-27 15:43:08.839648	48508	1096851.9578299785	4	2
2014-03-27 15:43:22.021946	48509	42	2	10
2014-03-27 15:43:22.245222	48510	21.9	1	10
2014-03-27 15:43:32.022577	48511	49	2	9
2014-03-27 15:43:32.255147	48512	20.3	1	9
2014-03-27 15:43:32.906097	48513	659	3	2
2014-03-27 15:43:33.127337	48514	1096856.5539688643	4	2
2014-03-27 15:43:33.431051	48515	48	2	8
2014-03-27 15:43:33.66365	48516	20.5	1	8
2014-03-27 15:43:47.079287	48517	52	2	1
2014-03-27 15:43:47.300568	48518	20.6	1	1
2014-03-27 15:44:01.019379	48519	42	2	10
2014-03-27 15:44:01.251595	48520	21.9	1	10
2014-03-27 15:44:11.021602	48521	49	2	9
2014-03-27 15:44:11.265876	48522	20.3	1	9
2014-03-27 15:44:12.106344	48523	48	2	8
2014-03-27 15:44:12.337852	48524	20.5	1	8
2014-03-27 15:44:26.074759	48525	52	2	1
2014-03-27 15:44:26.297649	48526	20.7	1	1
2014-03-27 15:44:32.455119	48527	676	3	2
2014-03-27 15:44:32.686601	48528	1096866.895281357	4	2
2014-03-27 15:44:40.018809	48529	42	2	10
2014-03-27 15:44:40.240205	48530	21.9	1	10
2014-03-27 15:44:50.020579	48531	49	2	9
2014-03-27 15:44:50.252622	48532	20.3	1	9
2014-03-27 15:44:51.105055	48533	47	2	8
2014-03-27 15:44:51.327577	48534	20.5	1	8
2014-03-27 15:45:05.075715	48535	52	2	1
2014-03-27 15:45:05.30767	48536	20.7	1	1
2014-03-27 15:45:19.019372	48537	42	2	10
2014-03-27 15:45:19.249462	48538	21.9	1	10
2014-03-27 15:45:29.022174	48539	49	2	9
2014-03-27 15:45:29.254683	48540	20.3	1	9
2014-03-27 15:45:30.10645	48541	48	2	8
2014-03-27 15:45:30.329722	48542	20.5	1	8
2014-03-27 15:45:32.45431	48543	676	3	2
2014-03-27 15:45:32.68593	48544	1096878.3856285713	4	2
2014-03-27 15:45:44.075583	48545	52	2	1
2014-03-27 15:45:44.297358	48546	20.7	1	1
2014-03-27 15:45:58.022103	48547	42	2	10
2014-03-27 15:45:58.26513	48548	21.9	1	10
2014-03-27 15:46:08.021331	48549	49	2	9
2014-03-27 15:46:08.24335	48550	20.3	1	9
2014-03-27 15:46:09.108584	48551	48	2	8
2014-03-27 15:46:09.341777	48552	20.5	1	8
2014-03-27 15:46:23.075024	48553	52	2	1
2014-03-27 15:46:23.297454	48554	20.7	1	1
2014-03-27 15:46:32.452969	48555	659	3	2
2014-03-27 15:46:32.685775	48556	1096889.8759757853	4	2
2014-03-27 15:46:37.021441	48557	42	2	10
2014-03-27 15:46:37.246014	48558	21.9	1	10
2014-03-27 15:46:47.020053	48559	49	2	9
2014-03-27 15:46:47.254324	48560	20.3	1	9
2014-03-27 15:46:48.107066	48561	48	2	8
2014-03-27 15:46:48.330611	48562	20.5	1	8
2014-03-27 15:47:02.075027	48563	52	2	1
2014-03-27 15:47:02.310292	48564	20.7	1	1
2014-03-27 15:47:16.020477	48565	42	2	10
2014-03-27 15:47:16.242865	48566	21.9	1	10
2014-03-27 15:47:26.021607	48567	49	2	9
2014-03-27 15:47:26.25329	48568	20.3	1	9
2014-03-27 15:47:27.104358	48569	48	2	8
2014-03-27 15:47:27.327674	48570	20.5	1	8
2014-03-27 15:47:32.455036	48571	676	3	2
2014-03-27 15:47:32.687027	48572	1096900.217288278	4	2
2014-03-27 15:47:41.076358	48573	52	2	1
2014-03-27 15:47:41.300112	48574	20.7	1	1
2014-03-27 15:47:55.019791	48575	42	2	10
2014-03-27 15:47:55.251556	48576	21.9	1	10
2014-03-27 15:48:05.021552	48577	49	2	9
2014-03-27 15:48:05.243617	48578	20.3	1	9
2014-03-27 15:48:06.10504	48579	48	2	8
2014-03-27 15:48:06.336615	48580	20.5	1	8
2014-03-27 15:48:20.074486	48581	52	2	1
2014-03-27 15:48:20.295957	48582	20.7	1	1
2014-03-27 15:48:32.453105	48583	627	3	2
2014-03-27 15:48:32.686034	48584	1096911.7076354923	4	2
2014-03-27 15:48:34.021361	48585	42	2	10
2014-03-27 15:48:34.241784	48586	21.9	1	10
2014-03-27 15:48:44.021791	48587	49	2	9
2014-03-27 15:48:44.253909	48588	20.3	1	9
2014-03-27 15:48:44.562275	48589	627	3	2
2014-03-27 15:48:44.785021	48590	1096914.005704935	4	2
2014-03-27 15:48:45.105541	48591	48	2	8
2014-03-27 15:48:45.336404	48592	20.5	1	8
2014-03-27 15:48:59.072795	48593	52	2	1
2014-03-27 15:48:59.34275	48594	20.7	1	1
2014-03-27 15:49:13.021497	48595	42	2	10
2014-03-27 15:49:13.265865	48596	22.0	1	10
2014-03-27 15:49:23.019363	48597	49	2	9
2014-03-27 15:49:23.242158	48598	20.3	1	9
2014-03-27 15:49:24.105341	48599	48	2	8
2014-03-27 15:49:24.335048	48600	20.5	1	8
2014-03-27 15:49:32.453875	48601	627	3	2
2014-03-27 15:49:32.677734	48602	1096922.048947985	4	2
2014-03-27 15:49:38.073147	48603	52	2	1
2014-03-27 15:49:38.304763	48604	20.7	1	1
2014-03-27 15:49:52.020653	48605	42	2	10
2014-03-27 15:49:52.242687	48606	22.0	1	10
2014-03-27 15:50:02.021528	48607	49	2	9
2014-03-27 15:50:02.253628	48608	20.3	1	9
2014-03-27 15:50:03.104145	48609	48	2	8
2014-03-27 15:50:03.324937	48610	20.5	1	8
2014-03-27 15:50:17.074622	48611	52	2	1
2014-03-27 15:50:17.306554	48612	20.7	1	1
2014-03-27 15:50:20.453979	48613	531	3	2
2014-03-27 15:50:20.674462	48614	1096930.092191035	4	2
2014-03-27 15:50:31.02142	48615	42	2	10
2014-03-27 15:50:31.253445	48616	22.0	1	10
2014-03-27 15:50:32.452315	48617	547	3	2
2014-03-27 15:50:32.674191	48618	1096932.3902604778	4	2
2014-03-27 15:50:41.021738	48619	49	2	9
2014-03-27 15:50:41.253487	48620	20.3	1	9
2014-03-27 15:50:42.105491	48621	48	2	8
2014-03-27 15:50:42.326264	48622	20.5	1	8
2014-03-27 15:50:56.072373	48623	52	2	1
2014-03-27 15:50:56.302815	48624	20.7	1	1
2014-03-27 15:51:10.022503	48625	42	2	10
2014-03-27 15:51:10.243592	48626	22.0	1	10
2014-03-27 15:51:20.022964	48627	49	2	9
2014-03-27 15:51:20.257537	48628	20.3	1	9
2014-03-27 15:51:21.107066	48629	48	2	8
2014-03-27 15:51:21.3293	48630	20.5	1	8
2014-03-27 15:51:32.454757	48631	531	3	2
2014-03-27 15:51:32.685553	48632	1096941.582538249	4	2
2014-03-27 15:51:35.075994	48633	52	2	1
2014-03-27 15:51:35.29713	48634	20.7	1	1
2014-03-27 15:51:49.020947	48635	42	2	10
2014-03-27 15:51:49.254877	48636	22.0	1	10
2014-03-27 15:51:59.021861	48637	49	2	9
2014-03-27 15:51:59.244612	48638	20.3	1	9
2014-03-27 15:52:00.105065	48639	48	2	8
2014-03-27 15:52:00.337117	48640	20.5	1	8
2014-03-27 15:52:14.072527	48641	52	2	1
2014-03-27 15:52:14.295518	48642	20.7	1	1
2014-03-27 15:52:28.022522	48643	42	2	10
2014-03-27 15:52:28.264642	48644	22.0	1	10
2014-03-27 15:52:32.45322	48645	531	3	2
2014-03-27 15:52:32.676484	48646	1096950.7748160204	4	2
2014-03-27 15:52:38.040504	48647	49	2	9
2014-03-27 15:52:38.275475	48648	20.3	1	9
2014-03-27 15:52:39.10376	48649	48	2	8
2014-03-27 15:52:39.327438	48650	20.5	1	8
2014-03-27 15:52:53.072941	48651	52	2	1
2014-03-27 15:52:53.308843	48652	20.7	1	1
2014-03-27 15:53:07.022503	48653	42	2	10
2014-03-27 15:53:07.243841	48654	22.0	1	10
2014-03-27 15:53:17.02067	48655	49	2	9
2014-03-27 15:53:17.25136	48656	20.3	1	9
2014-03-27 15:53:18.105946	48657	48	2	8
2014-03-27 15:53:18.327273	48658	20.5	1	8
2014-03-27 15:53:32.070636	48659	52	2	1
2014-03-27 15:53:32.300672	48660	20.7	1	1
2014-03-27 15:53:32.611099	48661	531	3	2
2014-03-27 15:53:32.833765	48662	1096958.8180590703	4	2
2014-03-27 15:53:46.022074	48663	42	2	10
2014-03-27 15:53:46.254463	48664	22.0	1	10
2014-03-27 15:53:56.020753	48665	49	2	9
2014-03-27 15:53:56.243373	48666	20.3	1	9
2014-03-27 15:53:57.105994	48667	48	2	8
2014-03-27 15:53:57.336203	48668	20.5	1	8
2014-03-27 15:54:11.068133	48669	52	2	1
2014-03-27 15:54:11.289755	48670	20.7	1	1
2014-03-27 15:54:25.022759	48671	42	2	10
2014-03-27 15:54:25.255219	48672	22.0	1	10
2014-03-27 15:54:32.451243	48673	547	3	2
2014-03-27 15:54:32.6755	48674	1096968.0103368415	4	2
2014-03-27 15:54:35.23514	48675	49	2	9
2014-03-27 15:54:35.467352	48676	20.3	1	9
2014-03-27 15:54:36.104677	48677	48	2	8
2014-03-27 15:54:36.326944	48678	20.5	1	8
2014-03-27 15:54:50.309379	48679	52	2	1
2014-03-27 15:54:50.54175	48680	20.7	1	1
2014-03-27 15:54:56.458117	48681	482	3	2
2014-03-27 15:54:56.682164	48682	1096971.4574410059	4	2
2014-03-27 15:55:04.023157	48683	42	2	10
2014-03-27 15:55:04.254547	48684	22.0	1	10
2014-03-27 15:55:08.454245	48685	611	3	2
2014-03-27 15:55:08.67591	48686	1096973.7555104487	4	2
2014-03-27 15:55:14.02093	48687	49	2	9
2014-03-27 15:55:14.253798	48688	20.3	1	9
2014-03-27 15:55:15.10556	48689	48	2	8
2014-03-27 15:55:15.327083	48690	20.5	1	8
2014-03-27 15:55:20.452566	48691	579	3	2
2014-03-27 15:55:20.6958	48692	1096974.90454517	4	2
2014-03-27 15:55:29.070491	48693	52	2	1
2014-03-27 15:55:29.293241	48694	20.7	1	1
2014-03-27 15:55:42.827355	48695	611	3	2
2014-03-27 15:55:43.059641	48696	1096977.2026146129	4	2
2014-03-27 15:55:43.360772	48697	42	2	10
2014-03-27 15:55:43.581707	48698	22.0	1	10
2014-03-27 15:55:44.455564	48699	611	3	2
2014-03-27 15:55:44.686274	48700	1096979.5006840557	4	2
2014-03-27 15:55:53.020774	48701	49	2	9
2014-03-27 15:55:53.242527	48702	20.3	1	9
2014-03-27 15:55:54.103857	48703	47	2	8
2014-03-27 15:55:54.334751	48704	20.5	1	8
2014-03-27 15:56:08.069696	48705	52	2	1
2014-03-27 15:56:08.291464	48706	20.7	1	1
2014-03-27 15:56:20.455009	48707	579	3	2
2014-03-27 15:56:20.693696	48708	1096985.2458576628	4	2
2014-03-27 15:56:22.023912	48709	42	2	10
2014-03-27 15:56:22.244413	48710	22.0	1	10
2014-03-27 15:56:32.023424	48711	49	2	9
2014-03-27 15:56:32.254962	48712	20.3	1	9
2014-03-27 15:56:32.560196	48713	579	3	2
2014-03-27 15:56:32.782238	48714	1096987.5439271056	4	2
2014-03-27 15:56:33.105335	48715	47	2	8
2014-03-27 15:56:33.336951	48716	20.5	1	8
2014-03-27 15:56:47.072736	48717	52	2	1
2014-03-27 15:56:47.292975	48718	20.7	1	1
2014-03-27 15:57:01.023382	48719	42	2	10
2014-03-27 15:57:01.257042	48720	22.0	1	10
2014-03-27 15:57:11.022267	48721	49	2	9
2014-03-27 15:57:11.246192	48722	20.3	1	9
2014-03-27 15:57:12.106456	48723	47	2	8
2014-03-27 15:57:12.336965	48724	20.5	1	8
2014-03-27 15:57:26.067186	48725	52	2	1
2014-03-27 15:57:26.289991	48726	20.7	1	1
2014-03-27 15:57:32.452964	48727	595	3	2
2014-03-27 15:57:32.684979	48728	1096996.736204877	4	2
2014-03-27 15:57:40.024314	48729	42	2	10
2014-03-27 15:57:40.247518	48730	22.0	1	10
2014-03-27 15:57:50.021635	48731	49	2	9
2014-03-27 15:57:50.255153	48732	20.3	1	9
2014-03-27 15:57:51.10635	48733	47	2	8
2014-03-27 15:57:51.33015	48734	20.5	1	8
2014-03-27 15:58:05.070709	48735	52	2	1
2014-03-27 15:58:05.304525	48736	20.7	1	1
2014-03-27 15:58:19.023717	48737	42	2	10
2014-03-27 15:58:19.243937	48738	22.0	1	10
2014-03-27 15:58:29.020553	48739	49	2	9
2014-03-27 15:58:29.29927	48740	20.3	1	9
2014-03-27 15:58:30.103117	48741	47	2	8
2014-03-27 15:58:30.360793	48742	20.5	1	8
2014-03-27 15:58:32.457154	48743	611	3	2
2014-03-27 15:58:32.71894	48744	1097007.0775173698	4	2
2014-03-27 15:58:44.068216	48745	52	2	1
2014-03-27 15:58:44.474106	48746	20.7	1	1
2014-03-27 15:58:44.97854	48747	579	3	2
2014-03-27 15:58:45.578288	48748	1097009.3755868124	4	2
2014-03-27 15:58:56.455862	48749	595	3	2
2014-03-27 15:58:56.713336	48750	1097011.6736562552	4	2
2014-03-27 15:58:58.022769	48751	42	2	10
2014-03-27 15:58:58.290757	48752	22.0	1	10
2014-03-27 15:59:08.021905	48753	49	2	9
2014-03-27 15:59:08.294583	48754	20.3	1	9
2014-03-27 15:59:09.102395	48755	47	2	8
2014-03-27 15:59:09.367358	48756	20.5	1	8
2014-03-27 15:59:23.069163	48757	52	2	1
2014-03-27 15:59:23.411879	48758	20.7	1	1
2014-03-27 15:59:32.454989	48759	595	3	2
2014-03-27 15:59:33.215106	48760	1097017.4188298625	4	2
2014-03-27 15:59:37.025699	48761	42	2	10
2014-03-27 15:59:37.248979	48762	22.0	1	10
2014-03-27 15:59:47.022079	48763	49	2	9
2014-03-27 15:59:47.253913	48764	20.3	1	9
2014-03-27 15:59:48.103346	48765	47	2	8
2014-03-27 15:59:48.324148	48766	20.5	1	8
2014-03-27 16:00:02.06916	48767	52	2	1
2014-03-27 16:00:02.299765	48768	20.7	1	1
2014-03-27 16:00:16.024075	48769	42	2	10
2014-03-27 16:00:16.245993	48770	22.0	1	10
2014-03-27 16:00:20.452785	48771	515	3	2
2014-03-27 16:00:20.684175	48772	1097024.3175091431	4	2
2014-03-27 16:00:26.020159	48773	49	2	9
2014-03-27 16:00:26.243834	48774	20.3	1	9
2014-03-27 16:00:27.10333	48775	47	2	8
2014-03-27 16:00:27.334983	48776	20.5	1	8
2014-03-27 16:00:32.452671	48777	531	3	2
2014-03-27 16:00:32.673394	48778	1097025.4665438645	4	2
2014-03-27 16:00:41.065979	48779	52	2	1
2014-03-27 16:00:41.298138	48780	20.7	1	1
2014-03-27 16:00:55.023753	48781	42	2	10
2014-03-27 16:00:55.245666	48782	22.0	1	10
2014-03-27 16:01:05.021163	48783	49	2	9
2014-03-27 16:01:05.25241	48784	20.3	1	9
2014-03-27 16:01:06.103034	48785	47	2	8
2014-03-27 16:01:06.344705	48786	20.5	1	8
2014-03-27 16:01:20.067709	48787	52	2	1
2014-03-27 16:01:20.311407	48788	20.7	1	1
2014-03-27 16:01:32.454224	48789	531	3	2
2014-03-27 16:01:32.676248	48790	1097034.6588216359	4	2
2014-03-27 16:01:34.026836	48791	42	2	10
2014-03-27 16:01:34.25858	48792	22.0	1	10
2014-03-27 16:01:44.022568	48793	50	2	9
2014-03-27 16:01:44.245878	48794	20.3	1	9
2014-03-27 16:01:45.10473	48795	47	2	8
2014-03-27 16:01:45.33926	48796	20.5	1	8
2014-03-27 16:01:59.070334	48797	52	2	1
2014-03-27 16:01:59.29163	48798	20.7	1	1
2014-03-27 16:02:13.023226	48799	42	2	10
2014-03-27 16:02:13.256292	48800	22.0	1	10
2014-03-27 16:02:23.020699	48801	50	2	9
2014-03-27 16:02:23.246608	48802	20.3	1	9
2014-03-27 16:02:24.107595	48803	48	2	8
2014-03-27 16:02:24.339425	48804	20.5	1	8
2014-03-27 16:02:32.455169	48805	531	3	2
2014-03-27 16:02:32.676573	48806	1097043.851099407	4	2
2014-03-27 16:02:38.087518	48807	52	2	1
2014-03-27 16:02:38.3229	48808	20.7	1	1
2014-03-27 16:02:52.025641	48809	42	2	10
2014-03-27 16:02:52.250136	48810	22.0	1	10
2014-03-27 16:03:02.020648	48811	50	2	9
2014-03-27 16:03:02.25331	48812	20.3	1	9
2014-03-27 16:03:03.102792	48813	47	2	8
2014-03-27 16:03:03.326046	48814	20.5	1	8
2014-03-27 16:03:17.069795	48815	52	2	1
2014-03-27 16:03:17.304997	48816	20.7	1	1
2014-03-27 16:03:31.025687	48817	42	2	10
2014-03-27 16:03:31.246941	48818	22.0	1	10
2014-03-27 16:03:32.452902	48819	547	3	2
2014-03-27 16:03:32.683389	48820	1097053.0433771785	4	2
2014-03-27 16:03:41.02059	48821	50	2	9
2014-03-27 16:03:41.243502	48822	20.3	1	9
2014-03-27 16:03:42.10363	48823	47	2	8
2014-03-27 16:03:42.336285	48824	20.5	1	8
2014-03-27 16:03:56.066155	48825	52	2	1
2014-03-27 16:03:56.287802	48826	20.7	1	1
2014-03-27 16:04:10.024791	48827	42	2	10
2014-03-27 16:04:10.257935	48828	22.0	1	10
2014-03-27 16:04:20.020668	48829	50	2	9
2014-03-27 16:04:20.244016	48830	20.3	1	9
2014-03-27 16:04:21.104336	48831	48	2	8
2014-03-27 16:04:21.344246	48832	20.5	1	8
2014-03-27 16:04:32.454937	48833	531	3	2
2014-03-27 16:04:32.678837	48834	1097061.0866202284	4	2
2014-03-27 16:04:35.065427	48835	52	2	1
2014-03-27 16:04:35.309737	48836	20.7	1	1
2014-03-27 16:04:49.025156	48837	42	2	10
2014-03-27 16:04:49.247448	48838	22.0	1	10
2014-03-27 16:04:59.020201	48839	50	2	9
2014-03-27 16:04:59.252506	48840	20.3	1	9
2014-03-27 16:05:00.103541	48841	47	2	8
2014-03-27 16:05:00.326802	48842	20.5	1	8
2014-03-27 16:05:08.452704	48843	482	3	2
2014-03-27 16:05:08.687114	48844	1097066.8317938354	4	2
2014-03-27 16:05:14.303334	48845	52	2	1
2014-03-27 16:05:14.523747	48846	20.7	1	1
2014-03-27 16:05:20.453043	48847	450	3	2
2014-03-27 16:05:20.687078	48848	1097069.1298632782	4	2
2014-03-27 16:05:28.025385	48849	42	2	10
2014-03-27 16:05:28.246808	48850	22.0	1	10
2014-03-27 16:05:32.45078	48851	466	3	2
2014-03-27 16:05:32.684897	48852	1097070.2788979998	4	2
2014-03-27 16:05:38.020976	48853	50	2	9
2014-03-27 16:05:38.243108	48854	20.3	1	9
2014-03-27 16:05:39.103213	48855	47	2	8
2014-03-27 16:05:39.334624	48856	20.5	1	8
2014-03-27 16:05:53.063029	48857	52	2	1
2014-03-27 16:05:53.285039	48858	20.7	1	1
2014-03-27 16:06:07.026482	48859	42	2	10
2014-03-27 16:06:07.25779	48860	22.0	1	10
2014-03-27 16:06:17.021729	48861	50	2	9
2014-03-27 16:06:17.245154	48862	20.3	1	9
2014-03-27 16:06:18.105287	48863	47	2	8
2014-03-27 16:06:18.336912	48864	20.5	1	8
2014-03-27 16:06:32.062264	48865	52	2	1
2014-03-27 16:06:32.284729	48866	20.7	1	1
2014-03-27 16:06:32.590464	48867	466	3	2
2014-03-27 16:06:32.823323	48868	1097078.3221410497	4	2
2014-03-27 16:06:46.027729	48869	42	2	10
2014-03-27 16:06:46.252503	48870	22.0	1	10
2014-03-27 16:06:56.023335	48871	50	2	9
2014-03-27 16:06:56.25521	48872	20.3	1	9
2014-03-27 16:06:57.103399	48873	47	2	8
2014-03-27 16:06:57.325963	48874	20.5	1	8
2014-03-27 16:07:08.452339	48875	498	3	2
2014-03-27 16:07:08.684612	48876	1097082.9182799354	4	2
2014-03-27 16:07:11.064271	48877	52	2	1
2014-03-27 16:07:11.286529	48878	20.7	1	1
2014-03-27 16:07:20.453432	48879	482	3	2
2014-03-27 16:07:20.683836	48880	1097084.0673146567	4	2
2014-03-27 16:07:25.028647	48881	42	2	10
2014-03-27 16:07:25.249526	48882	22.0	1	10
2014-03-27 16:07:32.456399	48883	498	3	2
2014-03-27 16:07:32.698479	48884	1097086.3653840995	4	2
2014-03-27 16:07:35.019699	48885	50	2	9
2014-03-27 16:07:35.24849	48886	20.3	1	9
2014-03-27 16:07:36.106846	48887	48	2	8
2014-03-27 16:07:36.339172	48888	20.5	1	8
2014-03-27 16:07:50.05964	48889	52	2	1
2014-03-27 16:07:50.283625	48890	20.7	1	1
2014-03-27 16:08:04.027093	48891	42	2	10
2014-03-27 16:08:04.260598	48892	22.0	1	10
2014-03-27 16:08:14.021052	48893	50	2	9
2014-03-27 16:08:14.243626	48894	20.3	1	9
2014-03-27 16:08:15.102735	48895	47	2	8
2014-03-27 16:08:15.336696	48896	20.5	1	8
2014-03-27 16:08:20.454372	48897	595	3	2
2014-03-27 16:08:20.675847	48898	1097093.259592428	4	2
2014-03-27 16:08:29.062741	48899	52	2	1
2014-03-27 16:08:29.297132	48900	20.7	1	1
2014-03-27 16:08:32.453289	48901	627	3	2
2014-03-27 16:08:32.675977	48902	1097094.4086271494	4	2
2014-03-27 16:08:43.02802	48903	42	2	10
2014-03-27 16:08:43.262624	48904	22.0	1	10
2014-03-27 16:08:44.454167	48905	595	3	2
2014-03-27 16:08:44.675155	48906	1097096.7066965923	4	2
2014-03-27 16:08:53.02133	48907	50	2	9
2014-03-27 16:08:53.253299	48908	20.3	1	9
2014-03-27 16:08:54.103664	48909	47	2	8
2014-03-27 16:08:54.327443	48910	20.5	1	8
2014-03-27 16:08:56.452015	48911	595	3	2
2014-03-27 16:08:56.683691	48912	1097099.0047660351	4	2
2014-03-27 16:09:08.062034	48913	52	2	1
2014-03-27 16:09:08.285467	48914	20.7	1	1
2014-03-27 16:09:22.028644	48915	42	2	10
2014-03-27 16:09:22.260122	48916	22.0	1	10
2014-03-27 16:09:32.020229	48917	50	2	9
2014-03-27 16:09:32.263363	48918	20.3	1	9
2014-03-27 16:09:32.571739	48919	595	3	2
2014-03-27 16:09:32.804149	48920	1097104.7499396421	4	2
2014-03-27 16:09:33.109976	48921	47	2	8
2014-03-27 16:09:33.331966	48922	20.5	1	8
2014-03-27 16:09:47.060169	48923	52	2	1
2014-03-27 16:09:47.293726	48924	20.7	1	1
2014-03-27 16:10:01.027531	48925	42	2	10
2014-03-27 16:10:01.250361	48926	22.0	1	10
2014-03-27 16:10:11.020251	48927	50	2	9
2014-03-27 16:10:11.253011	48928	20.3	1	9
2014-03-27 16:10:12.105873	48929	48	2	8
2014-03-27 16:10:12.327044	48930	20.5	1	8
2014-03-27 16:10:20.451605	48931	2591	3	2
2014-03-27 16:10:20.696453	48932	1097119.6873910206	4	2
2014-03-27 16:10:26.063846	48933	52	2	1
2014-03-27 16:10:26.287593	48934	20.7	1	1
2014-03-27 16:10:32.452279	48935	2527	3	2
2014-03-27 16:10:32.687253	48936	1097127.7306340705	4	2
2014-03-27 16:10:40.028452	48937	42	2	10
2014-03-27 16:10:40.250714	48938	22.0	1	10
2014-03-27 16:10:44.453017	48939	2575	3	2
2014-03-27 16:10:44.685658	48940	1097136.922911842	4	2
2014-03-27 16:10:50.022086	48941	50	2	9
2014-03-27 16:10:50.244954	48942	20.3	1	9
2014-03-27 16:10:51.104426	48943	47	2	8
2014-03-27 16:10:51.335978	48944	20.5	1	8
2014-03-27 16:10:56.453508	48945	2591	3	2
2014-03-27 16:10:56.677621	48946	1097144.9661548918	4	2
2014-03-27 16:11:05.058272	48947	52	2	1
2014-03-27 16:11:05.289594	48948	20.7	1	1
2014-03-27 16:11:19.027889	48949	42	2	10
2014-03-27 16:11:19.249508	48950	22.0	1	10
2014-03-27 16:11:29.021925	48951	50	2	9
2014-03-27 16:11:29.25515	48952	20.3	1	9
2014-03-27 16:11:30.109765	48953	47	2	8
2014-03-27 16:11:30.383401	48954	20.5	1	8
2014-03-27 16:11:32.450574	48955	2575	3	2
2014-03-27 16:11:32.681422	48956	1097171.3939534843	4	2
2014-03-27 16:11:44.058824	48957	52	2	1
2014-03-27 16:11:44.280356	48958	20.7	1	1
2014-03-27 16:11:44.586722	48959	2607	3	2
2014-03-27 16:11:44.819592	48960	1097179.4371965341	4	2
2014-03-27 16:11:56.451918	48961	2607	3	2
2014-03-27 16:11:56.674037	48962	1097188.6294743055	4	2
2014-03-27 16:11:58.028858	48963	42	2	10
2014-03-27 16:11:58.26245	48964	22.0	1	10
2014-03-27 16:12:08.022322	48965	50	2	9
2014-03-27 16:12:08.24528	48966	20.3	1	9
2014-03-27 16:12:09.104827	48967	47	2	8
2014-03-27 16:12:09.336626	48968	20.5	1	8
2014-03-27 16:12:23.060551	48969	52	2	1
2014-03-27 16:12:23.284869	48970	20.7	1	1
2014-03-27 16:12:32.45155	48971	2591	3	2
2014-03-27 16:12:32.682705	48972	1097215.057272898	4	2
2014-03-27 16:12:37.032299	48973	42	2	10
2014-03-27 16:12:37.265491	48974	22.0	1	10
2014-03-27 16:12:47.022357	48975	50	2	9
2014-03-27 16:12:47.255937	48976	20.3	1	9
2014-03-27 16:12:48.105727	48977	47	2	8
2014-03-27 16:12:48.326387	48978	20.5	1	8
2014-03-27 16:13:02.060222	48979	52	2	1
2014-03-27 16:13:02.30496	48980	20.7	1	1
2014-03-27 16:13:16.027894	48981	42	2	10
2014-03-27 16:13:16.25225	48982	22.0	1	10
2014-03-27 16:13:26.022173	48983	50	2	9
2014-03-27 16:13:26.25744	48984	20.3	1	9
2014-03-27 16:13:27.103544	48985	47	2	8
2014-03-27 16:13:27.327741	48986	20.5	1	8
2014-03-27 16:13:32.454034	48987	2607	3	2
2014-03-27 16:13:32.684585	48988	1097257.5715575903	4	2
2014-03-27 16:13:41.058611	48989	52	2	1
2014-03-27 16:13:41.283219	48990	20.7	1	1
2014-03-27 16:13:44.453982	48991	2527	3	2
2014-03-27 16:13:44.686454	48992	1097266.7638353617	4	2
2014-03-27 16:13:55.028455	48993	42	2	10
2014-03-27 16:13:55.252592	48994	22.0	1	10
2014-03-27 16:13:56.455035	48995	2511	3	2
2014-03-27 16:13:56.685975	48996	1097274.8070784116	4	2
2014-03-27 16:14:05.020731	48997	50	2	9
2014-03-27 16:14:05.245782	48998	20.3	1	9
2014-03-27 16:14:06.104884	48999	48	2	8
2014-03-27 16:14:06.337755	49000	20.5	1	8
2014-03-27 16:14:20.057866	49001	52	2	1
2014-03-27 16:14:20.28012	49002	20.7	1	1
2014-03-27 16:14:32.455632	49003	2494	3	2
2014-03-27 16:14:32.687287	49004	1097300.0858422827	4	2
2014-03-27 16:14:34.029478	49005	42	2	10
2014-03-27 16:14:34.250716	49006	22.0	1	10
2014-03-27 16:14:44.022156	49007	50	2	9
2014-03-27 16:14:44.254489	49008	20.3	1	9
2014-03-27 16:14:45.104443	49009	47	2	8
2014-03-27 16:14:45.326378	49010	20.5	1	8
2014-03-27 16:14:59.059978	49011	52	2	1
2014-03-27 16:14:59.293789	49012	20.7	1	1
2014-03-27 16:15:13.029735	49013	42	2	10
2014-03-27 16:15:13.254487	49014	22.0	1	10
2014-03-27 16:15:23.021771	49015	50	2	9
2014-03-27 16:15:23.254708	49016	20.3	1	9
2014-03-27 16:15:24.103952	49017	47	2	8
2014-03-27 16:15:24.327348	49018	20.5	1	8
2014-03-27 16:15:32.453352	49019	579	3	2
2014-03-27 16:15:32.687265	49020	1097338.0084590416	4	2
2014-03-27 16:15:38.059141	49021	52	2	1
2014-03-27 16:15:38.281322	49022	20.7	1	1
2014-03-27 16:15:44.454452	49023	595	3	2
2014-03-27 16:15:44.689145	49024	1097339.1574937631	4	2
2014-03-27 16:15:52.029374	49025	42	2	10
2014-03-27 16:15:52.253976	49026	22.0	1	10
2014-03-27 16:16:02.019681	49027	50	2	9
2014-03-27 16:16:02.265098	49028	20.3	1	9
2014-03-27 16:16:03.103579	49029	47	2	8
2014-03-27 16:16:03.325555	49030	20.5	1	8
2014-03-27 16:16:17.061572	49031	52	2	1
2014-03-27 16:16:17.478668	49032	20.7	1	1
2014-03-27 16:16:31.029194	49033	42	2	10
2014-03-27 16:16:31.255555	49034	22.0	1	10
2014-03-27 16:16:32.452731	49035	579	3	2
2014-03-27 16:16:32.671299	49036	1097347.200736813	4	2
2014-03-27 16:16:41.020563	49037	50	2	9
2014-03-27 16:16:41.25058	49038	20.3	1	9
2014-03-27 16:16:42.104716	49039	47	2	8
2014-03-27 16:16:42.325757	49040	20.5	1	8
2014-03-27 16:16:56.055451	49041	52	2	1
2014-03-27 16:16:56.288422	49042	20.7	1	1
2014-03-27 16:16:56.593913	49043	2527	3	2
2014-03-27 16:16:56.815517	49044	1097352.94591042	4	2
2014-03-27 16:17:08.452657	49045	2511	3	2
2014-03-27 16:17:08.684817	49046	1097360.98915347	4	2
2014-03-27 16:17:10.028625	49047	42	2	10
2014-03-27 16:17:10.248476	49048	22.0	1	10
2014-03-27 16:17:20.021272	49049	50	2	9
2014-03-27 16:17:20.252867	49050	20.3	1	9
2014-03-27 16:17:21.103661	49051	47	2	8
2014-03-27 16:17:21.32665	49052	20.5	1	8
2014-03-27 16:17:32.449691	49053	2494	3	2
2014-03-27 16:17:32.681748	49054	1097378.2246742912	4	2
2014-03-27 16:17:35.055597	49055	52	2	1
2014-03-27 16:17:35.276665	49056	20.7	1	1
2014-03-27 16:17:49.032009	49057	42	2	10
2014-03-27 16:17:49.265099	49058	22.0	1	10
2014-03-27 16:17:59.023546	49059	50	2	9
2014-03-27 16:17:59.244605	49060	20.3	1	9
2014-03-27 16:18:00.105068	49061	47	2	8
2014-03-27 16:18:00.390456	49062	20.5	1	8
2014-03-27 16:18:14.056225	49063	52	2	1
2014-03-27 16:18:14.277551	49064	20.7	1	1
2014-03-27 16:18:20.455394	49065	2527	3	2
2014-03-27 16:18:20.688147	49066	1097411.5466812123	4	2
2014-03-27 16:18:28.029486	49067	42	2	10
2014-03-27 16:18:28.253612	49068	21.9	1	10
2014-03-27 16:18:32.452686	49069	2494	3	2
2014-03-27 16:18:32.685731	49070	1097419.5899242621	4	2
2014-03-27 16:18:38.020027	49071	50	2	9
2014-03-27 16:18:38.251647	49072	20.3	1	9
2014-03-27 16:18:39.105266	49073	47	2	8
2014-03-27 16:18:39.336096	49074	20.5	1	8
2014-03-27 16:18:44.448147	49075	2478	3	2
2014-03-27 16:18:44.672141	49076	1097427.633167312	4	2
2014-03-27 16:18:53.056022	49077	52	2	1
2014-03-27 16:18:53.299909	49078	20.7	1	1
2014-03-27 16:19:06.831723	49079	2752	3	2
2014-03-27 16:19:07.053124	49080	1097436.8254450832	4	2
2014-03-27 16:19:07.358292	49081	42	2	10
2014-03-27 16:19:07.588551	49082	21.9	1	10
2014-03-27 16:19:17.020485	49083	50	2	9
2014-03-27 16:19:17.245243	49084	20.3	1	9
2014-03-27 16:19:18.104076	49085	47	2	8
2014-03-27 16:19:18.344144	49086	20.5	1	8
2014-03-27 16:19:32.054269	49087	52	2	1
2014-03-27 16:19:32.277778	49088	20.7	1	1
2014-03-27 16:19:32.582549	49089	2623	3	2
2014-03-27 16:19:32.813975	49090	1097464.4022783972	4	2
2014-03-27 16:19:44.452627	49091	2462	3	2
2014-03-27 16:19:44.675359	49092	1097472.445521447	4	2
2014-03-27 16:19:46.029596	49093	42	2	10
2014-03-27 16:19:46.261403	49094	21.9	1	10
2014-03-27 16:19:56.020868	49095	50	2	9
2014-03-27 16:19:56.242647	49096	20.3	1	9
2014-03-27 16:19:56.54951	49097	2494	3	2
2014-03-27 16:19:56.780778	49098	1097480.488764497	4	2
2014-03-27 16:19:57.103608	49099	47	2	8
2014-03-27 16:19:57.324308	49100	20.5	1	8
2014-03-27 16:20:08.45317	49101	2494	3	2
2014-03-27 16:20:08.686932	49102	1097489.6810422684	4	2
2014-03-27 16:20:11.055045	49103	52	2	1
2014-03-27 16:20:11.276057	49104	20.7	1	1
2014-03-27 16:20:20.452913	49105	2527	3	2
2014-03-27 16:20:20.683901	49106	1097497.7242853183	4	2
2014-03-27 16:20:25.030654	49107	42	2	10
2014-03-27 16:20:25.252817	49108	21.9	1	10
2014-03-27 16:20:32.454758	49109	2575	3	2
2014-03-27 16:20:32.689294	49110	1097506.9165630897	4	2
2014-03-27 16:20:35.020145	49111	50	2	9
2014-03-27 16:20:35.24309	49112	20.3	1	9
2014-03-27 16:20:36.103274	49113	47	2	8
2014-03-27 16:20:36.335953	49114	20.5	1	8
2014-03-27 16:20:44.450246	49115	2575	3	2
2014-03-27 16:20:44.675542	49116	1097514.9598061396	4	2
2014-03-27 16:20:50.057396	49117	52	2	1
2014-03-27 16:20:50.289801	49118	20.7	1	1
2014-03-27 16:20:56.45256	49119	2527	3	2
2014-03-27 16:20:56.677508	49120	1097523.0030491895	4	2
2014-03-27 16:21:04.030298	49121	42	2	10
2014-03-27 16:21:04.261671	49122	21.9	1	10
2014-03-27 16:21:08.462861	49123	2527	3	2
2014-03-27 16:21:08.686653	49124	1097532.1953269606	4	2
2014-03-27 16:21:14.020995	49125	50	2	9
2014-03-27 16:21:14.265299	49126	20.3	1	9
2014-03-27 16:21:15.103225	49127	47	2	8
2014-03-27 16:21:15.323861	49128	20.5	1	8
2014-03-27 16:21:29.05473	49129	52	2	1
2014-03-27 16:21:29.286354	49130	20.7	1	1
2014-03-27 16:21:32.451656	49131	2575	3	2
2014-03-27 16:21:32.677179	49132	1097549.430847782	4	2
2014-03-27 16:21:43.030671	49133	42	2	10
2014-03-27 16:21:43.26329	49134	21.9	1	10
2014-03-27 16:21:44.454402	49135	2575	3	2
2014-03-27 16:21:44.677476	49136	1097557.4740908318	4	2
2014-03-27 16:21:53.019728	49137	50	2	9
2014-03-27 16:21:53.251335	49138	20.3	1	9
2014-03-27 16:21:54.104513	49139	47	2	8
2014-03-27 16:21:54.325887	49140	20.5	1	8
2014-03-27 16:21:56.448413	49141	2527	3	2
2014-03-27 16:21:56.679043	49142	1097566.6663686032	4	2
2014-03-27 16:22:08.053345	49143	52	2	1
2014-03-27 16:22:08.274345	49144	20.7	1	1
2014-03-27 16:22:08.582373	49145	2527	3	2
2014-03-27 16:22:08.814801	49146	1097574.7096116531	4	2
2014-03-27 16:22:20.453214	49147	2575	3	2
2014-03-27 16:22:20.67557	49148	1097582.752854703	4	2
2014-03-27 16:22:22.032583	49149	42	2	10
2014-03-27 16:22:22.263685	49150	21.9	1	10
2014-03-27 16:22:32.02023	49151	50	2	9
2014-03-27 16:22:32.242801	49152	20.3	1	9
2014-03-27 16:22:32.549301	49153	2527	3	2
2014-03-27 16:22:32.780313	49154	1097591.9451324744	4	2
2014-03-27 16:22:33.102895	49155	47	2	8
2014-03-27 16:22:33.324759	49156	20.5	1	8
2014-03-27 16:22:44.450254	49157	2527	3	2
2014-03-27 16:22:44.683599	49158	1097599.9883755243	4	2
2014-03-27 16:22:47.053279	49159	52	2	1
2014-03-27 16:22:47.276072	49160	20.7	1	1
2014-03-27 16:23:01.032957	49161	42	2	10
2014-03-27 16:23:01.264329	49162	21.9	1	10
2014-03-27 16:23:08.455155	49163	2575	3	2
2014-03-27 16:23:08.678246	49164	1097616.0793325764	4	2
2014-03-27 16:23:11.022581	49165	50	2	9
2014-03-27 16:23:11.256857	49166	20.3	1	9
2014-03-27 16:23:12.103735	49167	47	2	8
2014-03-27 16:23:12.325715	49168	20.5	1	8
2014-03-27 16:23:20.452469	49169	2575	3	2
2014-03-27 16:23:20.683645	49170	1097624.1225756262	4	2
2014-03-27 16:23:26.061095	49171	52	2	1
2014-03-27 16:23:26.283876	49172	20.7	1	1
2014-03-27 16:23:32.453388	49173	2527	3	2
2014-03-27 16:23:32.696544	49174	1097633.3148533974	4	2
2014-03-27 16:23:40.030857	49175	42	2	10
2014-03-27 16:23:40.254796	49176	21.9	1	10
2014-03-27 16:23:44.452443	49177	2575	3	2
2014-03-27 16:23:44.683096	49178	1097641.3580964473	4	2
2014-03-27 16:23:50.229186	49179	50	2	9
2014-03-27 16:23:50.450945	49180	20.3	1	9
2014-03-27 16:23:51.104022	49181	47	2	8
2014-03-27 16:23:51.334802	49182	20.5	1	8
2014-03-27 16:23:56.451562	49183	2527	3	2
2014-03-27 16:23:56.671983	49184	1097650.5503742187	4	2
2014-03-27 16:24:05.054049	49185	52	2	1
2014-03-27 16:24:05.286154	49186	20.7	1	1
2014-03-27 16:24:08.452908	49187	2575	3	2
2014-03-27 16:24:08.673892	49188	1097658.5936172686	4	2
2014-03-27 16:24:19.031018	49189	42	2	10
2014-03-27 16:24:19.265143	49190	21.9	1	10
2014-03-27 16:24:20.451323	49191	2527	3	2
2014-03-27 16:24:20.674347	49192	1097667.78589504	4	2
2014-03-27 16:24:29.021607	49193	50	2	9
2014-03-27 16:24:29.253886	49194	20.3	1	9
2014-03-27 16:24:30.10319	49195	47	2	8
2014-03-27 16:24:30.32627	49196	20.5	1	8
2014-03-27 16:24:32.453882	49197	2575	3	2
2014-03-27 16:24:32.685321	49198	1097675.82913809	4	2
2014-03-27 16:24:44.053065	49199	52	2	1
2014-03-27 16:24:44.275398	49200	20.7	1	1
2014-03-27 16:24:44.582085	49201	2575	3	2
2014-03-27 16:24:44.813794	49202	1097685.021415861	4	2
2014-03-27 16:24:58.033311	49203	42	2	10
2014-03-27 16:24:58.255094	49204	21.9	1	10
2014-03-27 16:25:08.021519	49205	50	2	9
2014-03-27 16:25:08.253349	49206	20.3	1	9
2014-03-27 16:25:08.563525	49207	2527	3	2
2014-03-27 16:25:08.785325	49208	1097701.107901961	4	2
2014-03-27 16:25:09.102315	49209	47	2	8
2014-03-27 16:25:09.33557	49210	20.5	1	8
2014-03-27 16:25:20.45496	49211	2575	3	2
2014-03-27 16:25:20.676693	49212	1097710.3001797323	4	2
2014-03-27 16:25:23.052047	49213	52	2	1
2014-03-27 16:25:23.283682	49214	20.7	1	1
2014-03-27 16:25:32.4553	49215	2575	3	2
2014-03-27 16:25:32.676033	49216	1097718.3434227821	4	2
2014-03-27 16:25:37.032256	49217	42	2	10
2014-03-27 16:25:37.264267	49218	21.9	1	10
2014-03-27 16:25:47.021757	49219	50	2	9
2014-03-27 16:25:47.243895	49220	20.3	1	9
2014-03-27 16:25:48.103825	49221	47	2	8
2014-03-27 16:25:48.346101	49222	20.5	1	8
2014-03-27 16:26:02.052487	49223	52	2	1
2014-03-27 16:26:02.274376	49224	20.7	1	1
2014-03-27 16:26:08.454082	49225	2494	3	2
2014-03-27 16:26:08.687473	49226	1097744.7712213749	4	2
2014-03-27 16:26:16.030727	49227	42	2	10
2014-03-27 16:26:16.25472	49228	21.9	1	10
2014-03-27 16:26:20.451849	49229	2478	3	2
2014-03-27 16:26:20.68637	49230	1097752.8144644247	4	2
2014-03-27 16:26:26.021338	49231	50	2	9
2014-03-27 16:26:26.244005	49232	20.3	1	9
2014-03-27 16:26:27.105981	49233	47	2	8
2014-03-27 16:26:27.336954	49234	20.5	1	8
2014-03-27 16:26:32.449328	49235	2478	3	2
2014-03-27 16:26:32.674867	49236	1097760.8577074746	4	2
2014-03-27 16:26:41.05003	49237	52	2	1
2014-03-27 16:26:41.283003	49238	20.7	1	1
2014-03-27 16:26:55.033613	49239	42	2	10
2014-03-27 16:26:55.256697	49240	21.9	1	10
2014-03-27 16:27:05.020406	49241	50	2	9
2014-03-27 16:27:05.253205	49242	20.3	1	9
2014-03-27 16:27:06.103396	49243	47	2	8
2014-03-27 16:27:06.327086	49244	20.5	1	8
2014-03-27 16:27:20.050992	49245	52	2	1
2014-03-27 16:27:20.283245	49246	20.7	1	1
2014-03-27 16:27:32.454404	49247	2494	3	2
2014-03-27 16:27:32.677199	49248	1097802.2229574455	4	2
2014-03-27 16:27:34.033002	49249	42	2	10
2014-03-27 16:27:34.268849	49250	21.9	1	10
2014-03-27 16:27:44.020739	49251	50	2	9
2014-03-27 16:27:44.244905	49252	20.3	1	9
2014-03-27 16:27:45.102864	49253	47	2	8
2014-03-27 16:27:45.33487	49254	20.5	1	8
2014-03-27 16:27:59.050407	49255	52	2	1
2014-03-27 16:27:59.273687	49256	20.7	1	1
2014-03-27 16:28:13.031842	49257	42	2	10
2014-03-27 16:28:13.263941	49258	21.9	1	10
2014-03-27 16:28:23.022712	49259	50	2	9
2014-03-27 16:28:23.247637	49260	20.3	1	9
2014-03-27 16:28:24.103173	49261	47	2	8
2014-03-27 16:28:24.334839	49262	20.5	1	8
2014-03-27 16:28:32.454577	49263	579	3	2
2014-03-27 16:28:32.676898	49264	1097840.141103252	4	2
2014-03-27 16:28:38.051716	49265	52	2	1
2014-03-27 16:28:38.284978	49266	20.7	1	1
2014-03-27 16:28:44.4508	49267	579	3	2
2014-03-27 16:28:44.675053	49268	1097841.2901379736	4	2
2014-03-27 16:28:52.035966	49269	42	2	10
2014-03-27 16:28:52.278856	49270	21.9	1	10
2014-03-27 16:29:02.020282	49271	50	2	9
2014-03-27 16:29:02.243133	49272	20.3	1	9
2014-03-27 16:29:03.104254	49273	47	2	8
2014-03-27 16:29:03.336035	49274	20.5	1	8
2014-03-27 16:29:17.049108	49275	52	2	1
2014-03-27 16:29:17.272103	49276	20.7	1	1
2014-03-27 16:29:31.033808	49277	42	2	10
2014-03-27 16:29:31.269765	49278	21.9	1	10
2014-03-27 16:29:32.452093	49279	547	3	2
2014-03-27 16:29:32.672876	49280	1097849.3333810235	4	2
2014-03-27 16:29:41.022746	49281	50	2	9
2014-03-27 16:29:41.259622	49282	20.3	1	9
2014-03-27 16:29:42.103809	49283	47	2	8
2014-03-27 16:29:42.326723	49284	20.4	1	8
2014-03-27 16:29:44.450169	49285	547	3	2
2014-03-27 16:29:44.680602	49286	1097850.482415745	4	2
2014-03-27 16:29:56.05055	49287	52	2	1
2014-03-27 16:29:56.274663	49288	20.7	1	1
2014-03-27 16:29:56.579841	49289	1738	3	2
2014-03-27 16:29:56.812505	49290	1097853.9295199092	4	2
2014-03-27 16:30:08.450465	49291	627	3	2
2014-03-27 16:30:08.672584	49292	1097856.227589352	4	2
2014-03-27 16:30:10.03243	49293	42	2	10
2014-03-27 16:30:10.267074	49294	21.9	1	10
2014-03-27 16:30:20.020136	49295	50	2	9
2014-03-27 16:30:20.244817	49296	20.3	1	9
2014-03-27 16:30:20.905046	49297	643	3	2
2014-03-27 16:30:21.137493	49298	1097858.525658795	4	2
2014-03-27 16:30:21.442749	49299	47	2	8
2014-03-27 16:30:21.66661	49300	20.4	1	8
2014-03-27 16:30:32.453645	49301	643	3	2
2014-03-27 16:30:32.684748	49302	1097860.8237282378	4	2
2014-03-27 16:30:35.049212	49303	52	2	1
2014-03-27 16:30:35.270655	49304	20.7	1	1
2014-03-27 16:30:49.032826	49305	42	2	10
2014-03-27 16:30:49.265667	49306	21.9	1	10
2014-03-27 16:30:56.45583	49307	676	3	2
2014-03-27 16:30:56.678559	49308	1097864.270832402	4	2
2014-03-27 16:30:59.02089	49309	50	2	9
2014-03-27 16:30:59.252607	49310	20.3	1	9
2014-03-27 16:31:00.104128	49311	47	2	8
2014-03-27 16:31:00.325331	49312	20.4	1	8
2014-03-27 16:31:08.452297	49313	659	3	2
2014-03-27 16:31:08.685538	49314	1097866.5689018448	4	2
2014-03-27 16:31:14.051715	49315	52	2	1
2014-03-27 16:31:14.276435	49316	20.7	1	1
2014-03-27 16:31:28.033204	49317	42	2	10
2014-03-27 16:31:28.276451	49318	21.9	1	10
2014-03-27 16:31:32.452994	49319	643	3	2
2014-03-27 16:31:32.677343	49320	1097871.1650407305	4	2
2014-03-27 16:31:38.019809	49321	50	2	9
2014-03-27 16:31:38.253753	49322	20.3	1	9
2014-03-27 16:31:39.104743	49323	47	2	8
2014-03-27 16:31:39.326767	49324	20.4	1	8
2014-03-27 16:31:53.049067	49325	52	2	1
2014-03-27 16:31:53.280296	49326	20.7	1	1
2014-03-27 16:32:07.033044	49327	42	2	10
2014-03-27 16:32:07.254942	49328	21.9	1	10
2014-03-27 16:32:17.020549	49329	50	2	9
2014-03-27 16:32:17.25237	49330	20.3	1	9
2014-03-27 16:32:18.10344	49331	47	2	8
2014-03-27 16:32:18.326142	49332	20.4	1	8
2014-03-27 16:32:32.048597	49333	52	2	1
2014-03-27 16:32:32.283597	49334	20.7	1	1
2014-03-27 16:32:32.591587	49335	579	3	2
2014-03-27 16:32:32.81455	49336	1097881.5063532232	4	2
2014-03-27 16:32:44.450614	49337	579	3	2
2014-03-27 16:32:44.683639	49338	1097883.8044226659	4	2
2014-03-27 16:32:46.03495	49339	42	2	10
2014-03-27 16:32:46.25665	49340	21.9	1	10
2014-03-27 16:32:56.020593	49341	50	2	9
2014-03-27 16:32:56.25378	49342	20.3	1	9
2014-03-27 16:32:57.102474	49343	47	2	8
2014-03-27 16:32:57.324869	49344	20.4	1	8
2014-03-27 16:33:11.047233	49345	52	2	1
2014-03-27 16:33:11.279645	49346	20.7	1	1
2014-03-27 16:33:25.033687	49347	42	2	10
2014-03-27 16:33:25.256865	49348	21.9	1	10
2014-03-27 16:33:32.451105	49349	579	3	2
2014-03-27 16:33:32.685232	49350	1097891.847665716	4	2
2014-03-27 16:33:35.226641	49351	50	2	9
2014-03-27 16:33:35.449586	49352	20.3	1	9
2014-03-27 16:33:36.103783	49353	47	2	8
2014-03-27 16:33:36.334621	49354	20.4	1	8
2014-03-27 16:33:50.049609	49355	52	2	1
2014-03-27 16:33:50.273097	49356	20.7	1	1
2014-03-27 16:34:04.036486	49357	42	2	10
2014-03-27 16:34:04.27017	49358	21.9	1	10
2014-03-27 16:34:08.453191	49359	547	3	2
2014-03-27 16:34:08.67531	49360	1097897.592839323	4	2
2014-03-27 16:34:14.229282	49361	50	2	9
2014-03-27 16:34:14.462171	49362	20.3	1	9
2014-03-27 16:34:15.105612	49363	47	2	8
2014-03-27 16:34:15.326894	49364	20.4	1	8
2014-03-27 16:34:20.45114	49365	579	3	2
2014-03-27 16:34:20.692724	49366	1097898.7418740443	4	2
2014-03-27 16:34:29.047454	49367	52	2	1
2014-03-27 16:34:29.271374	49368	20.7	1	1
2014-03-27 16:34:32.452928	49369	579	3	2
2014-03-27 16:34:32.685331	49370	1097901.0399434872	4	2
2014-03-27 16:34:43.034797	49371	42	2	10
2014-03-27 16:34:43.259289	49372	21.9	1	10
2014-03-27 16:34:53.021049	49373	50	2	9
2014-03-27 16:34:53.254609	49374	20.3	1	9
2014-03-27 16:34:54.103505	49375	47	2	8
2014-03-27 16:34:54.326631	49376	20.4	1	8
2014-03-27 16:35:08.047731	49377	52	2	1
2014-03-27 16:35:08.280997	49378	20.7	1	1
2014-03-27 16:35:20.451052	49379	547	3	2
2014-03-27 16:35:20.673055	49380	1097907.9386227678	4	2
2014-03-27 16:35:22.035051	49381	42	2	10
2014-03-27 16:35:22.268234	49382	21.9	1	10
2014-03-27 16:35:32.226434	49383	50	2	9
2014-03-27 16:35:32.454472	49384	20.3	1	9
2014-03-27 16:35:32.758857	49385	547	3	2
2014-03-27 16:35:32.991327	49386	1097909.0876574893	4	2
2014-03-27 16:35:33.295793	49387	47	2	8
2014-03-27 16:35:33.516992	49388	20.4	1	8
2014-03-27 16:35:47.044528	49389	52	2	1
2014-03-27 16:35:47.277217	49390	20.7	1	1
2014-03-27 16:35:56.453436	49391	579	3	2
2014-03-27 16:35:56.676245	49392	1097912.5347616535	4	2
2014-03-27 16:36:01.034366	49393	42	2	10
2014-03-27 16:36:01.266757	49394	21.9	1	10
2014-03-27 16:36:08.452644	49395	547	3	2
2014-03-27 16:36:08.673463	49396	1097914.8328310964	4	2
2014-03-27 16:36:11.019731	49397	50	2	9
2014-03-27 16:36:11.251658	49398	20.3	1	9
2014-03-27 16:36:12.103653	49399	47	2	8
2014-03-27 16:36:12.324829	49400	20.4	1	8
2014-03-27 16:36:20.455626	49401	676	3	2
2014-03-27 16:36:20.686209	49402	1097917.1309005392	4	2
2014-03-27 16:36:26.049156	49403	52	2	1
2014-03-27 16:36:26.271708	49404	20.7	1	1
2014-03-27 16:36:32.454667	49405	676	3	2
2014-03-27 16:36:32.687601	49406	1097919.428969982	4	2
2014-03-27 16:36:40.035948	49407	42	2	10
2014-03-27 16:36:40.258771	49408	21.9	1	10
2014-03-27 16:36:50.020954	49409	50	2	9
2014-03-27 16:36:50.253107	49410	20.3	1	9
2014-03-27 16:36:51.104042	49411	47	2	8
2014-03-27 16:36:51.325476	49412	20.4	1	8
2014-03-27 16:37:19.035447	49413	42	2	10
2014-03-27 16:37:19.278008	49414	21.9	1	10
2014-03-27 16:37:29.02017	49415	50	2	9
2014-03-27 16:37:29.241695	49416	20.3	1	9
2014-03-27 16:37:30.102736	49417	47	2	8
2014-03-27 16:37:30.33547	49418	20.4	1	8
2014-03-27 16:37:32.451963	49419	692	3	2
2014-03-27 16:37:32.675891	49420	1097930.9193171961	4	2
2014-03-27 16:37:44.042799	49421	52	2	1
2014-03-27 16:37:44.275613	49422	20.7	1	1
2014-03-27 16:37:58.037217	49423	42	2	10
2014-03-27 16:37:58.259112	49424	21.8	1	10
2014-03-27 16:38:08.021373	49425	50	2	9
2014-03-27 16:38:08.2547	49426	20.3	1	9
2014-03-27 16:38:09.103441	49427	47	2	8
2014-03-27 16:38:09.325042	49428	20.4	1	8
2014-03-27 16:38:20.450647	49429	643	3	2
2014-03-27 16:38:20.683029	49430	1097940.1115949675	4	2
2014-03-27 16:38:23.044841	49431	52	2	1
2014-03-27 16:38:23.266434	49432	20.7	1	1
2014-03-27 16:38:32.450613	49433	643	3	2
2014-03-27 16:38:32.683494	49434	1097942.4096644104	4	2
2014-03-27 16:38:37.041852	49435	42	2	10
2014-03-27 16:38:37.263808	49436	21.8	1	10
2014-03-27 16:38:47.020731	49437	50	2	9
2014-03-27 16:38:47.253428	49438	20.3	1	9
2014-03-27 16:38:48.10309	49439	47	2	8
2014-03-27 16:38:48.32573	49440	20.4	1	8
2014-03-27 16:39:02.042321	49441	52	2	1
2014-03-27 16:39:02.273408	49442	20.7	1	1
2014-03-27 16:39:16.039482	49443	42	2	10
2014-03-27 16:39:16.26033	49444	21.8	1	10
2014-03-27 16:39:26.02314	49445	50	2	9
2014-03-27 16:39:26.254277	49446	20.4	1	9
2014-03-27 16:39:27.104088	49447	47	2	8
2014-03-27 16:39:27.326566	49448	20.4	1	8
2014-03-27 16:39:32.452075	49449	643	3	2
2014-03-27 16:39:32.683261	49450	1097952.7509769031	4	2
2014-03-27 16:39:41.044505	49451	52	2	1
2014-03-27 16:39:41.267774	49452	20.7	1	1
2014-03-27 16:39:55.036135	49453	42	2	10
2014-03-27 16:39:55.2701	49454	21.8	1	10
2014-03-27 16:40:05.021901	49455	50	2	9
2014-03-27 16:40:05.246784	49456	20.4	1	9
2014-03-27 16:40:06.1051	49457	47	2	8
2014-03-27 16:40:06.34377	49458	20.4	1	8
2014-03-27 16:40:20.04142	49459	52	2	1
2014-03-27 16:40:20.264437	49460	20.7	1	1
2014-03-27 16:40:32.452679	49461	659	3	2
2014-03-27 16:40:32.697025	49462	1097964.2413241172	4	2
2014-03-27 16:40:34.03642	49463	42	2	10
2014-03-27 16:40:34.260213	49464	21.8	1	10
2014-03-27 16:40:44.020607	49465	50	2	9
2014-03-27 16:40:44.254459	49466	20.4	1	9
2014-03-27 16:40:45.103189	49467	47	2	8
2014-03-27 16:40:45.325817	49468	20.4	1	8
2014-03-27 16:40:59.040877	49469	52	2	1
2014-03-27 16:40:59.274514	49470	20.7	1	1
2014-03-27 16:41:13.036654	49471	42	2	10
2014-03-27 16:41:13.260239	49472	21.8	1	10
2014-03-27 16:41:23.021181	49473	50	2	9
2014-03-27 16:41:23.253707	49474	20.4	1	9
2014-03-27 16:41:24.102545	49475	47	2	8
2014-03-27 16:41:24.324707	49476	20.4	1	8
2014-03-27 16:41:32.452977	49477	643	3	2
2014-03-27 16:41:32.684298	49478	1097974.58263661	4	2
2014-03-27 16:41:38.042612	49479	52	2	1
2014-03-27 16:41:38.264556	49480	20.7	1	1
2014-03-27 16:41:52.037043	49481	42	2	10
2014-03-27 16:41:52.269554	49482	21.8	1	10
2014-03-27 16:42:02.020105	49483	50	2	9
2014-03-27 16:42:02.243308	49484	20.4	1	9
2014-03-27 16:42:03.103317	49485	47	2	8
2014-03-27 16:42:03.335335	49486	20.4	1	8
2014-03-27 16:42:17.040729	49487	52	2	1
2014-03-27 16:42:17.263618	49488	20.7	1	1
2014-03-27 16:42:31.044791	49489	42	2	10
2014-03-27 16:42:31.333911	49490	21.8	1	10
2014-03-27 16:42:32.45172	49491	724	3	2
2014-03-27 16:42:32.675119	49492	1097986.0729838242	4	2
2014-03-27 16:42:41.019557	49493	50	2	9
2014-03-27 16:42:41.254901	49494	20.5	1	9
2014-03-27 16:42:42.103167	49495	47	2	8
2014-03-27 16:42:42.325643	49496	20.4	1	8
2014-03-27 16:42:44.451942	49497	643	3	2
2014-03-27 16:42:44.685167	49498	1097988.371053267	4	2
2014-03-27 16:42:56.040451	49499	52	2	1
2014-03-27 16:42:56.26328	49500	20.7	1	1
2014-03-27 16:42:56.56983	49501	643	3	2
2014-03-27 16:42:56.805067	49502	1097989.5200879883	4	2
2014-03-27 16:43:10.039214	49503	42	2	10
2014-03-27 16:43:10.262619	49504	21.8	1	10
2014-03-27 16:43:20.022514	49505	50	2	9
2014-03-27 16:43:20.256018	49506	20.5	1	9
2014-03-27 16:43:21.102982	49507	47	2	8
2014-03-27 16:43:21.325659	49508	20.4	1	8
2014-03-27 16:43:32.451545	49509	643	3	2
2014-03-27 16:43:32.696508	49510	1097996.414296317	4	2
2014-03-27 16:43:35.040628	49511	52	2	1
2014-03-27 16:43:35.262765	49512	20.7	1	1
2014-03-27 16:43:49.039074	49513	42	2	10
2014-03-27 16:43:49.271161	49514	21.8	1	10
2014-03-27 16:43:59.022067	49515	50	2	9
2014-03-27 16:43:59.247417	49516	20.5	1	9
2014-03-27 16:44:00.103222	49517	47	2	8
2014-03-27 16:44:00.337596	49518	20.4	1	8
2014-03-27 16:44:14.040724	49519	52	2	1
2014-03-27 16:44:14.263581	49520	20.7	1	1
2014-03-27 16:44:20.455157	49521	579	3	2
2014-03-27 16:44:20.686776	49522	1098004.4575393668	4	2
2014-03-27 16:44:28.038802	49523	42	2	10
2014-03-27 16:44:28.26177	49524	21.8	1	10
2014-03-27 16:44:32.452465	49525	579	3	2
2014-03-27 16:44:32.685072	49526	1098006.7556088096	4	2
2014-03-27 16:44:38.022567	49527	50	2	9
2014-03-27 16:44:38.243789	49528	20.5	1	9
2014-03-27 16:44:39.104176	49529	47	2	8
2014-03-27 16:44:39.33353	49530	20.4	1	8
2014-03-27 16:44:53.041404	49531	52	2	1
2014-03-27 16:44:53.263666	49532	20.7	1	1
2014-03-27 16:44:56.455392	49533	627	3	2
2014-03-27 16:44:56.686823	49534	1098011.3517476951	4	2
2014-03-27 16:45:07.043492	49535	42	2	10
2014-03-27 16:45:07.269361	49536	21.8	1	10
2014-03-27 16:45:08.451658	49537	627	3	2
2014-03-27 16:45:08.683263	49538	1098012.5007824167	4	2
2014-03-27 16:45:17.02056	49539	50	2	9
2014-03-27 16:45:17.244875	49540	20.6	1	9
2014-03-27 16:45:18.106051	49541	47	2	8
2014-03-27 16:45:18.337284	49542	20.4	1	8
2014-03-27 16:45:32.042533	49543	52	2	1
2014-03-27 16:45:32.268445	49544	20.7	1	1
2014-03-27 16:45:32.572567	49545	627	3	2
2014-03-27 16:45:32.804158	49546	1098017.0969213024	4	2
2014-03-27 16:45:46.037014	49547	42	2	10
2014-03-27 16:45:46.261336	49548	21.8	1	10
2014-03-27 16:45:56.02173	49549	50	2	9
2014-03-27 16:45:56.254697	49550	20.6	1	9
2014-03-27 16:45:57.102898	49551	47	2	8
2014-03-27 16:45:57.326941	49552	20.4	1	8
2014-03-27 16:46:11.036171	49553	52	2	1
2014-03-27 16:46:11.268641	49554	20.7	1	1
2014-03-27 16:46:20.452377	49555	595	3	2
2014-03-27 16:46:20.678123	49556	1098025.1401643523	4	2
2014-03-27 16:46:25.24623	49557	42	2	10
2014-03-27 16:46:25.491269	49558	21.8	1	10
2014-03-27 16:46:32.453051	49559	595	3	2
2014-03-27 16:46:32.676078	49560	1098027.438233795	4	2
2014-03-27 16:46:35.020644	49561	50	2	9
2014-03-27 16:46:35.250904	49562	20.6	1	9
2014-03-27 16:46:36.102075	49563	47	2	8
2014-03-27 16:46:36.333752	49564	20.4	1	8
2014-03-27 16:46:50.038954	49565	52	2	1
2014-03-27 16:46:50.271948	49566	20.7	1	1
2014-03-27 16:47:04.039413	49567	42	2	10
2014-03-27 16:47:04.263255	49568	21.8	1	10
2014-03-27 16:47:08.455765	49569	676	3	2
2014-03-27 16:47:08.687429	49570	1098033.1834074021	4	2
2014-03-27 16:47:14.022443	49571	51	2	9
2014-03-27 16:47:14.246517	49572	20.6	1	9
2014-03-27 16:47:15.103496	49573	47	2	8
2014-03-27 16:47:15.335863	49574	20.4	1	8
2014-03-27 16:47:20.453081	49575	595	3	2
2014-03-27 16:47:20.675676	49576	1098035.481476845	4	2
2014-03-27 16:47:29.040232	49577	52	2	1
2014-03-27 16:47:29.273247	49578	20.7	1	1
2014-03-27 16:47:32.450739	49579	595	3	2
2014-03-27 16:47:32.675497	49580	1098037.7795462878	4	2
2014-03-27 16:47:43.039398	49581	42	2	10
2014-03-27 16:47:43.273946	49582	21.8	1	10
2014-03-27 16:47:44.450215	49583	466	3	2
2014-03-27 16:47:44.673533	49584	1098040.0776157307	4	2
2014-03-27 16:47:53.02091	49585	51	2	9
2014-03-27 16:47:53.253607	49586	20.6	1	9
2014-03-27 16:47:54.102518	49587	47	2	8
2014-03-27 16:47:54.325911	49588	20.4	1	8
2014-03-27 16:47:56.451043	49589	450	3	2
2014-03-27 16:47:56.686276	49590	1098041.226650452	4	2
2014-03-27 16:48:08.034927	49591	52	2	1
2014-03-27 16:48:08.258452	49592	20.7	1	1
2014-03-27 16:48:08.56521	49593	482	3	2
2014-03-27 16:48:08.799488	49594	1098042.3756851736	4	2
2014-03-27 16:48:20.449014	49595	482	3	2
2014-03-27 16:48:20.673477	49596	1098044.6737546162	4	2
2014-03-27 16:48:22.03992	49597	42	2	10
2014-03-27 16:48:22.271396	49598	21.8	1	10
2014-03-27 16:48:32.019824	49599	51	2	9
2014-03-27 16:48:32.242858	49600	20.6	1	9
2014-03-27 16:48:32.549316	49601	482	3	2
2014-03-27 16:48:32.784104	49602	1098045.8227893377	4	2
2014-03-27 16:48:33.104001	49603	47	2	8
2014-03-27 16:48:33.32589	49604	20.4	1	8
2014-03-27 16:48:47.035866	49605	52	2	1
2014-03-27 16:48:47.28035	49606	20.7	1	1
2014-03-27 16:49:01.039717	49607	42	2	10
2014-03-27 16:49:01.315048	49608	21.8	1	10
2014-03-27 16:49:11.019972	49609	51	2	9
2014-03-27 16:49:11.251586	49610	20.6	1	9
2014-03-27 16:49:12.103049	49611	47	2	8
2014-03-27 16:49:12.324267	49612	20.4	1	8
2014-03-27 16:49:26.033658	49613	52	2	1
2014-03-27 16:49:26.265344	49614	20.7	1	1
2014-03-27 16:49:32.453605	49615	498	3	2
2014-03-27 16:49:32.694741	49616	1098053.8660323876	4	2
2014-03-27 16:49:40.039126	49617	42	2	10
2014-03-27 16:49:40.271315	49618	21.8	1	10
2014-03-27 16:49:50.021404	49619	51	2	9
2014-03-27 16:49:50.244051	49620	20.6	1	9
2014-03-27 16:49:51.102528	49621	47	2	8
2014-03-27 16:49:51.336369	49622	20.4	1	8
2014-03-27 16:50:05.036543	49623	52	2	1
2014-03-27 16:50:05.260194	49624	20.7	1	1
2014-03-27 16:50:19.042449	49625	42	2	10
2014-03-27 16:50:19.273748	49626	21.8	1	10
2014-03-27 16:50:20.450349	49627	450	3	2
2014-03-27 16:50:20.670526	49628	1098060.7602407162	4	2
2014-03-27 16:50:29.020525	49629	51	2	9
2014-03-27 16:50:29.255327	49630	20.6	1	9
2014-03-27 16:50:30.104332	49631	47	2	8
2014-03-27 16:50:30.327375	49632	20.4	1	8
2014-03-27 16:50:32.452977	49633	466	3	2
2014-03-27 16:50:32.686138	49634	1098061.9092754375	4	2
2014-03-27 16:50:44.03878	49635	52	2	1
2014-03-27 16:50:44.263689	49636	20.7	1	1
2014-03-27 16:50:58.039458	49637	42	2	10
2014-03-27 16:50:58.272788	49638	21.8	1	10
2014-03-27 16:51:08.021316	49639	51	2	9
2014-03-27 16:51:08.245719	49640	20.6	1	9
2014-03-27 16:51:09.102403	49641	47	2	8
2014-03-27 16:51:09.335122	49642	20.4	1	8
2014-03-27 16:51:23.036419	49643	52	2	1
2014-03-27 16:51:23.261271	49644	20.7	1	1
2014-03-27 16:51:32.449149	49645	450	3	2
2014-03-27 16:51:32.68158	49646	1098069.9525184873	4	2
2014-03-27 16:51:37.054265	49647	42	2	10
2014-03-27 16:51:37.279546	49648	21.8	1	10
2014-03-27 16:51:47.020397	49649	51	2	9
2014-03-27 16:51:47.252555	49650	20.6	1	9
2014-03-27 16:51:48.102132	49651	47	2	8
2014-03-27 16:51:48.325937	49652	20.4	1	8
2014-03-27 16:52:02.035279	49653	52	2	1
2014-03-27 16:52:02.277469	49654	20.7	1	1
2014-03-27 16:52:16.039067	49655	42	2	10
2014-03-27 16:52:16.262356	49656	21.8	1	10
2014-03-27 16:52:26.020181	49657	51	2	9
2014-03-27 16:52:26.25158	49658	20.6	1	9
2014-03-27 16:52:27.103564	49659	47	2	8
2014-03-27 16:52:27.325259	49660	20.4	1	8
2014-03-27 16:52:32.453111	49661	450	3	2
2014-03-27 16:52:32.686415	49662	1098076.846726816	4	2
2014-03-27 16:52:41.036012	49663	52	2	1
2014-03-27 16:52:41.260037	49664	20.7	1	1
2014-03-27 16:52:55.040193	49665	42	2	10
2014-03-27 16:52:55.272075	49666	21.8	1	10
2014-03-27 16:53:05.020249	49667	51	2	9
2014-03-27 16:53:05.242432	49668	20.6	1	9
2014-03-27 16:53:06.102914	49669	47	2	8
2014-03-27 16:53:06.335201	49670	20.4	1	8
2014-03-27 16:53:20.033648	49671	52	2	1
2014-03-27 16:53:20.255034	49672	20.7	1	1
2014-03-27 16:53:32.45061	49673	450	3	2
2014-03-27 16:53:32.688185	49674	1098084.8899698658	4	2
2014-03-27 16:53:34.040505	49675	42	2	10
2014-03-27 16:53:34.265709	49676	21.9	1	10
2014-03-27 16:53:44.020101	49677	51	2	9
2014-03-27 16:53:44.253243	49678	20.6	1	9
2014-03-27 16:53:45.103333	49679	47	2	8
2014-03-27 16:53:45.323358	49680	20.4	1	8
2014-03-27 16:53:59.033416	49681	52	2	1
2014-03-27 16:53:59.268761	49682	20.7	1	1
2014-03-27 16:54:13.040378	49683	42	2	10
2014-03-27 16:54:13.263712	49684	21.9	1	10
2014-03-27 16:54:20.451353	49685	482	3	2
2014-03-27 16:54:20.683669	49686	1098090.6351434728	4	2
2014-03-27 16:54:23.020627	49687	51	2	9
2014-03-27 16:54:23.244308	49688	20.6	1	9
2014-03-27 16:54:24.102583	49689	47	2	8
2014-03-27 16:54:24.337521	49690	20.4	1	8
2014-03-27 16:54:37.836247	49691	450	3	2
2014-03-27 16:54:38.061639	49692	1098092.9332129157	4	2
2014-03-27 16:54:38.368551	49693	52	2	1
2014-03-27 16:54:38.603288	49694	20.7	1	1
2014-03-27 16:54:44.451405	49695	450	3	2
2014-03-27 16:54:44.67437	49696	1098094.0822476372	4	2
2014-03-27 16:54:52.040246	49697	42	2	10
2014-03-27 16:54:52.273343	49698	21.9	1	10
2014-03-27 16:55:02.021385	49699	51	2	9
2014-03-27 16:55:02.282321	49700	20.6	1	9
2014-03-27 16:55:03.102131	49701	47	2	8
2014-03-27 16:55:03.377539	49702	20.4	1	8
2014-03-27 16:55:17.035907	49703	52	2	1
2014-03-27 16:55:17.294793	49704	20.7	1	1
2014-03-27 16:55:31.044042	49705	42	2	10
2014-03-27 16:55:31.309147	49706	21.9	1	10
2014-03-27 16:55:32.450105	49707	450	3	2
2014-03-27 16:55:32.706023	49708	1098099.8274212442	4	2
2014-03-27 16:55:41.022205	49709	51	2	9
2014-03-27 16:55:41.314895	49710	20.6	1	9
2014-03-27 16:55:42.103408	49711	47	2	8
2014-03-27 16:55:42.358195	49712	20.4	1	8
2014-03-27 16:55:56.032117	49713	52	2	1
2014-03-27 16:55:56.266797	49714	20.7	1	1
2014-03-27 16:56:10.041009	49715	42	2	10
2014-03-27 16:56:10.264138	49716	21.9	1	10
2014-03-27 16:56:20.019344	49717	51	2	9
2014-03-27 16:56:20.254323	49718	20.6	1	9
2014-03-27 16:56:21.103281	49719	47	2	8
2014-03-27 16:56:21.327426	49720	20.4	1	8
2014-03-27 16:56:32.449967	49721	466	3	2
2014-03-27 16:56:32.681821	49722	1098107.870664294	4	2
2014-03-27 16:56:35.03047	49723	52	2	1
2014-03-27 16:56:35.253379	49724	20.7	1	1
2014-03-27 16:56:49.04297	49725	42	2	10
2014-03-27 16:56:49.27927	49726	21.9	1	10
2014-03-27 16:56:59.023143	49727	51	2	9
2014-03-27 16:56:59.24763	49728	20.6	1	9
2014-03-27 16:57:00.103871	49729	47	2	8
2014-03-27 16:57:00.337662	49730	20.4	1	8
2014-03-27 16:57:14.034521	49731	52	2	1
2014-03-27 16:57:14.257207	49732	20.7	1	1
2014-03-27 16:57:28.041921	49733	42	2	10
2014-03-27 16:57:28.273846	49734	21.9	1	10
2014-03-27 16:57:32.452528	49735	482	3	2
2014-03-27 16:57:32.678535	49736	1098115.913907344	4	2
2014-03-27 16:57:38.05566	49737	51	2	9
2014-03-27 16:57:38.315251	49738	20.6	1	9
2014-03-27 16:57:39.102556	49739	47	2	8
2014-03-27 16:57:39.329581	49740	20.4	1	8
2014-03-27 16:57:53.034764	49741	52	2	1
2014-03-27 16:57:53.267124	49742	20.7	1	1
2014-03-27 16:58:07.05078	49743	42	2	10
2014-03-27 16:58:07.273463	49744	21.9	1	10
2014-03-27 16:58:17.019572	49745	51	2	9
2014-03-27 16:58:17.255058	49746	20.6	1	9
2014-03-27 16:58:18.103857	49747	47	2	8
2014-03-27 16:58:18.328909	49748	20.4	1	8
2014-03-27 16:58:32.029962	49749	52	2	1
2014-03-27 16:58:32.273964	49750	20.7	1	1
2014-03-27 16:58:32.585383	49751	482	3	2
2014-03-27 16:58:32.80691	49752	1098123.9571503939	4	2
2014-03-27 16:58:46.041635	49753	42	2	10
2014-03-27 16:58:46.273812	49754	21.9	1	10
2014-03-27 16:58:56.020737	49755	51	2	9
2014-03-27 16:58:56.246663	49756	20.6	1	9
2014-03-27 16:58:57.102912	49757	47	2	8
2014-03-27 16:58:57.339908	49758	20.4	1	8
2014-03-27 16:59:11.029857	49759	52	2	1
2014-03-27 16:59:11.251891	49760	20.7	1	1
2014-03-27 16:59:25.044317	49761	42	2	10
2014-03-27 16:59:25.275969	49762	21.9	1	10
2014-03-27 16:59:32.450839	49763	482	3	2
2014-03-27 16:59:32.672832	49764	1098132.0003934437	4	2
2014-03-27 16:59:35.019323	49765	51	2	9
2014-03-27 16:59:35.250833	49766	20.6	1	9
2014-03-27 16:59:36.103446	49767	47	2	8
2014-03-27 16:59:36.326449	49768	20.4	1	8
2014-03-27 16:59:50.030277	49769	52	2	1
2014-03-27 16:59:50.261247	49770	20.7	1	1
2014-03-27 17:00:04.04486	49771	42	2	10
2014-03-27 17:00:04.266956	49772	21.9	1	10
2014-03-27 17:00:14.030314	49773	51	2	9
2014-03-27 17:00:14.262801	49774	20.6	1	9
2014-03-27 17:00:15.102406	49775	47	2	8
2014-03-27 17:00:15.324545	49776	20.4	1	8
2014-03-27 17:00:29.033876	49777	52	2	1
2014-03-27 17:00:29.265804	49778	20.7	1	1
2014-03-27 17:00:32.451365	49779	498	3	2
2014-03-27 17:00:32.673427	49780	1098140.0436364936	4	2
2014-03-27 17:00:43.044201	49781	42	2	10
2014-03-27 17:00:43.281501	49782	21.9	1	10
2014-03-27 17:00:53.021689	49783	51	2	9
2014-03-27 17:00:53.248993	49784	20.6	1	9
2014-03-27 17:00:54.105587	49785	47	2	8
2014-03-27 17:00:54.339794	49786	20.4	1	8
2014-03-27 17:00:56.450676	49787	466	3	2
2014-03-27 17:00:56.674872	49788	1098143.490740658	4	2
2014-03-27 17:01:08.030311	49789	52	2	1
2014-03-27 17:01:08.263852	49790	20.7	1	1
2014-03-27 17:01:08.575955	49791	466	3	2
2014-03-27 17:01:08.797198	49792	1098144.6397753793	4	2
2014-03-27 17:01:22.042789	49793	42	2	10
2014-03-27 17:01:22.276647	49794	21.9	1	10
2014-03-27 17:01:32.018925	49795	51	2	9
2014-03-27 17:01:32.245987	49796	20.6	1	9
2014-03-27 17:01:32.557878	49797	466	3	2
2014-03-27 17:01:32.802469	49798	1098148.0868795437	4	2
2014-03-27 17:01:33.111668	49799	47	2	8
2014-03-27 17:01:33.33494	49800	20.4	1	8
2014-03-27 17:01:47.028328	49801	52	2	1
2014-03-27 17:01:47.265623	49802	20.7	1	1
2014-03-27 17:02:01.042769	49803	42	2	10
2014-03-27 17:02:01.268716	49804	21.9	1	10
2014-03-27 17:02:11.019604	49805	51	2	9
2014-03-27 17:02:11.25262	49806	20.6	1	9
2014-03-27 17:02:12.102611	49807	47	2	8
2014-03-27 17:02:12.325731	49808	20.4	1	8
2014-03-27 17:02:26.030549	49809	52	2	1
2014-03-27 17:02:26.262438	49810	20.7	1	1
2014-03-27 17:02:32.450213	49811	498	3	2
2014-03-27 17:02:32.673361	49812	1098156.1301225936	4	2
2014-03-27 17:02:40.042517	49813	42	2	10
2014-03-27 17:02:40.280471	49814	21.9	1	10
2014-03-27 17:02:44.453808	49815	450	3	2
2014-03-27 17:02:44.675533	49816	1098157.279157315	4	2
2014-03-27 17:02:50.020557	49817	51	2	9
2014-03-27 17:02:50.254126	49818	20.6	1	9
2014-03-27 17:02:51.102792	49819	47	2	8
2014-03-27 17:02:51.32341	49820	20.4	1	8
2014-03-27 17:02:56.450839	49821	434	3	2
2014-03-27 17:02:56.686891	49822	1098159.5772267578	4	2
2014-03-27 17:03:05.030549	49823	52	2	1
2014-03-27 17:03:05.253641	49824	20.7	1	1
2014-03-27 17:03:19.044296	49825	42	2	10
2014-03-27 17:03:19.276546	49826	21.9	1	10
2014-03-27 17:03:29.020026	49827	51	2	9
2014-03-27 17:03:29.241707	49828	20.6	1	9
2014-03-27 17:03:30.101777	49829	47	2	8
2014-03-27 17:03:30.335314	49830	20.4	1	8
2014-03-27 17:03:32.448028	49831	450	3	2
2014-03-27 17:03:32.673555	49832	1098164.1733656435	4	2
2014-03-27 17:03:44.028261	49833	52	2	1
2014-03-27 17:03:44.25981	49834	20.7	1	1
2014-03-27 17:03:58.045077	49835	42	2	10
2014-03-27 17:03:58.267207	49836	21.8	1	10
2014-03-27 17:04:08.018436	49837	51	2	9
2014-03-27 17:04:08.250389	49838	20.6	1	9
2014-03-27 17:04:09.102435	49839	47	2	8
2014-03-27 17:04:09.325075	49840	20.4	1	8
2014-03-27 17:04:23.271639	49841	52	2	1
2014-03-27 17:04:23.503573	49842	20.7	1	1
2014-03-27 17:04:32.450946	49843	450	3	2
2014-03-27 17:04:32.677225	49844	1098171.0675739718	4	2
2014-03-27 17:04:37.047174	49845	42	2	10
2014-03-27 17:04:37.289325	49846	21.8	1	10
2014-03-27 17:04:47.018949	49847	51	2	9
2014-03-27 17:04:47.240981	49848	20.6	1	9
2014-03-27 17:04:48.102662	49849	47	2	8
2014-03-27 17:04:48.518793	49850	20.3	1	8
2014-03-27 17:05:02.029955	49851	52	2	1
2014-03-27 17:05:02.250516	49852	20.7	1	1
2014-03-27 17:05:16.042664	49853	42	2	10
2014-03-27 17:05:16.263575	49854	21.8	1	10
2014-03-27 17:05:26.019487	49855	51	2	9
2014-03-27 17:05:26.249159	49856	20.6	1	9
2014-03-27 17:05:27.102257	49857	47	2	8
2014-03-27 17:05:27.323225	49858	20.3	1	8
2014-03-27 17:05:32.448113	49859	434	3	2
2014-03-27 17:05:32.678165	49860	1098177.9617823004	4	2
2014-03-27 17:05:41.028562	49861	52	2	1
2014-03-27 17:05:41.249564	49862	20.7	1	1
2014-03-27 17:05:55.045563	49863	42	2	10
2014-03-27 17:05:55.276517	49864	21.8	1	10
2014-03-27 17:06:05.020554	49865	51	2	9
2014-03-27 17:06:05.241589	49866	20.6	1	9
2014-03-27 17:06:06.101453	49867	47	2	8
2014-03-27 17:06:06.332698	49868	20.3	1	8
2014-03-27 17:06:20.030102	49869	52	2	1
2014-03-27 17:06:20.251615	49870	20.7	1	1
2014-03-27 17:06:32.444974	49871	466	3	2
2014-03-27 17:06:32.678627	49872	1098186.0050253503	4	2
2014-03-27 17:06:34.045529	49873	42	2	10
2014-03-27 17:06:34.26646	49874	21.8	1	10
2014-03-27 17:06:44.019955	49875	51	2	9
2014-03-27 17:06:44.25233	49876	20.6	1	9
2014-03-27 17:06:44.558633	49877	450	3	2
2014-03-27 17:06:44.779553	49878	1098187.1540600718	4	2
2014-03-27 17:06:45.103701	49879	47	2	8
2014-03-27 17:06:45.334975	49880	20.3	1	8
2014-03-27 17:06:59.265305	49881	52	2	1
2014-03-27 17:06:59.487167	49882	20.7	1	1
2014-03-27 17:07:13.044478	49883	42	2	10
2014-03-27 17:07:13.277794	49884	21.8	1	10
2014-03-27 17:07:23.020098	49885	52	2	9
2014-03-27 17:07:23.24281	49886	20.6	1	9
2014-03-27 17:07:24.102219	49887	47	2	8
2014-03-27 17:07:24.335495	49888	20.3	1	8
2014-03-27 17:07:32.448212	49889	434	3	2
2014-03-27 17:07:32.670935	49890	1098192.8992336788	4	2
2014-03-27 17:07:38.026622	49891	52	2	1
2014-03-27 17:07:38.262604	49892	20.7	1	1
2014-03-27 17:07:52.04393	49893	42	2	10
2014-03-27 17:07:52.266113	49894	21.8	1	10
2014-03-27 17:08:02.02014	49895	52	2	9
2014-03-27 17:08:02.262334	49896	20.6	1	9
2014-03-27 17:08:03.104078	49897	47	2	8
2014-03-27 17:08:03.327857	49898	20.3	1	8
2014-03-27 17:08:17.025918	49899	52	2	1
2014-03-27 17:08:17.25925	49900	20.7	1	1
2014-03-27 17:08:31.045137	49901	42	2	10
2014-03-27 17:08:31.26676	49902	21.8	1	10
2014-03-27 17:08:32.452163	49903	434	3	2
2014-03-27 17:08:32.682463	49904	1098199.7979129595	4	2
2014-03-27 17:08:41.020284	49905	52	2	9
2014-03-27 17:08:41.243174	49906	20.7	1	9
2014-03-27 17:08:42.102785	49907	47	2	8
2014-03-27 17:08:42.334268	49908	20.3	1	8
2014-03-27 17:08:56.025526	49909	52	2	1
2014-03-27 17:08:56.246656	49910	20.7	1	1
2014-03-27 17:09:08.449166	49911	482	3	2
2014-03-27 17:09:08.682451	49912	1098204.3940518452	4	2
2014-03-27 17:09:10.044567	49913	42	2	10
2014-03-27 17:09:10.264621	49914	21.8	1	10
2014-03-27 17:09:20.019066	49915	52	2	9
2014-03-27 17:09:20.25089	49916	20.7	1	9
2014-03-27 17:09:20.555383	49917	466	3	2
2014-03-27 17:09:20.779016	49918	1098205.5430865665	4	2
2014-03-27 17:09:21.102834	49919	47	2	8
2014-03-27 17:09:21.334881	49920	20.3	1	8
2014-03-27 17:09:32.446547	49921	466	3	2
2014-03-27 17:09:32.668991	49922	1098207.8411560094	4	2
2014-03-27 17:09:35.027801	49923	52	2	1
2014-03-27 17:09:35.260342	49924	20.7	1	1
2014-03-27 17:09:49.044902	49925	42	2	10
2014-03-27 17:09:49.266478	49926	21.8	1	10
2014-03-27 17:09:59.018066	49927	52	2	9
2014-03-27 17:09:59.250189	49928	20.7	1	9
2014-03-27 17:10:00.102807	49929	47	2	8
2014-03-27 17:10:00.323984	49930	20.3	1	8
2014-03-27 17:10:14.027114	49931	52	2	1
2014-03-27 17:10:14.257875	49932	20.7	1	1
2014-03-27 17:10:28.048288	49933	42	2	10
2014-03-27 17:10:28.27092	49934	21.8	1	10
2014-03-27 17:10:32.453591	49935	466	3	2
2014-03-27 17:10:32.684996	49936	1098214.735364338	4	2
2014-03-27 17:10:38.021767	49937	52	2	9
2014-03-27 17:10:38.243229	49938	20.7	1	9
2014-03-27 17:10:39.105423	49939	47	2	8
2014-03-27 17:10:39.337654	49940	20.3	1	8
2014-03-27 17:10:53.027377	49941	52	2	1
2014-03-27 17:10:53.249509	49942	20.7	1	1
2014-03-27 17:11:07.049842	49943	42	2	10
2014-03-27 17:11:07.294191	49944	21.8	1	10
2014-03-27 17:11:17.022668	49945	52	2	9
2014-03-27 17:11:17.245578	49946	20.7	1	9
2014-03-27 17:11:18.102948	49947	47	2	8
2014-03-27 17:11:18.334331	49948	20.3	1	8
2014-03-27 17:11:32.024681	49949	52	2	1
2014-03-27 17:11:32.304171	49950	20.7	1	1
2014-03-27 17:11:45.847912	49951	482	3	2
2014-03-27 17:11:46.083136	49952	1098222.7786073878	4	2
2014-03-27 17:11:46.385126	49953	42	2	10
2014-03-27 17:11:46.607681	49954	21.8	1	10
2014-03-27 17:11:56.018681	49955	52	2	9
2014-03-27 17:11:56.253336	49956	20.7	1	9
2014-03-27 17:11:57.103879	49957	47	2	8
2014-03-27 17:11:57.32519	49958	20.3	1	8
2014-03-27 17:12:11.023037	49959	52	2	1
2014-03-27 17:12:11.257195	49960	20.7	1	1
2014-03-27 17:12:25.044937	49961	42	2	10
2014-03-27 17:12:25.268654	49962	21.8	1	10
2014-03-27 17:12:32.450903	49963	466	3	2
2014-03-27 17:12:32.681914	49964	1098230.8218504377	4	2
2014-03-27 17:12:35.020496	49965	52	2	9
2014-03-27 17:12:35.243077	49966	20.7	1	9
2014-03-27 17:12:36.106132	49967	47	2	8
2014-03-27 17:12:36.339783	49968	20.3	1	8
2014-03-27 17:12:50.02228	49969	52	2	1
2014-03-27 17:12:50.24807	49970	20.7	1	1
2014-03-27 17:13:04.045692	49971	42	2	10
2014-03-27 17:13:04.2796	49972	21.8	1	10
2014-03-27 17:13:14.022056	49973	52	2	9
2014-03-27 17:13:14.24357	49974	20.7	1	9
2014-03-27 17:13:15.102917	49975	47	2	8
2014-03-27 17:13:15.336838	49976	20.3	1	8
2014-03-27 17:13:29.02006	49977	52	2	1
2014-03-27 17:13:29.242565	49978	20.7	1	1
2014-03-27 17:13:43.04542	49979	42	2	10
2014-03-27 17:13:43.278201	49980	21.8	1	10
2014-03-27 17:13:44.448669	49981	595	3	2
2014-03-27 17:13:44.670077	49982	1098241.1631629304	4	2
2014-03-27 17:13:53.019409	49983	52	2	9
2014-03-27 17:13:53.249266	49984	20.7	1	9
2014-03-27 17:13:54.10241	49985	48	2	8
2014-03-27 17:13:54.324211	49986	20.3	1	8
2014-03-27 17:14:08.255975	49987	52	2	1
2014-03-27 17:14:08.490058	49988	20.7	1	1
2014-03-27 17:14:21.848531	49989	659	3	2
2014-03-27 17:14:22.070543	49990	1098246.9083365374	4	2
2014-03-27 17:14:22.373795	49991	42	2	10
2014-03-27 17:14:22.618497	49992	21.8	1	10
2014-03-27 17:14:32.019833	49993	52	2	9
2014-03-27 17:14:32.295712	49994	20.7	1	9
2014-03-27 17:14:32.603344	49995	676	3	2
2014-03-27 17:14:32.833924	49996	1098249.2064059803	4	2
2014-03-27 17:14:33.137345	49997	48	2	8
2014-03-27 17:14:33.378476	49998	20.3	1	8
2014-03-27 17:14:47.02079	49999	52	2	1
2014-03-27 17:14:47.253159	50000	20.7	1	1
2014-03-27 17:15:01.045691	50001	42	2	10
2014-03-27 17:15:01.269296	50002	21.8	1	10
2014-03-27 17:15:11.018452	50003	52	2	9
2014-03-27 17:15:11.250167	50004	20.7	1	9
2014-03-27 17:15:12.104815	50005	48	2	8
2014-03-27 17:15:12.326225	50006	20.4	1	8
2014-03-27 17:15:20.448829	50007	627	3	2
2014-03-27 17:15:20.683079	50008	1098258.3986837517	4	2
2014-03-27 17:15:26.026035	50009	52	2	1
2014-03-27 17:15:26.247432	50010	20.7	1	1
2014-03-27 17:15:32.450572	50011	627	3	2
2014-03-27 17:15:32.682671	50012	1098260.6967531946	4	2
2014-03-27 17:15:40.047581	50013	42	2	10
2014-03-27 17:15:40.268475	50014	21.7	1	10
2014-03-27 17:15:50.018855	50015	52	2	9
2014-03-27 17:15:50.249207	50016	20.7	1	9
2014-03-27 17:15:51.103232	50017	48	2	8
2014-03-27 17:15:51.3246	50018	20.4	1	8
2014-03-27 17:16:05.015066	50019	52	2	1
2014-03-27 17:16:05.246664	50020	20.7	1	1
2014-03-27 17:16:19.047459	50021	42	2	10
2014-03-27 17:16:19.269779	50022	21.7	1	10
2014-03-27 17:16:29.022256	50023	52	2	9
2014-03-27 17:16:29.254386	50024	20.7	1	9
2014-03-27 17:16:30.103107	50025	48	2	8
2014-03-27 17:16:30.323853	50026	20.4	1	8
2014-03-27 17:16:44.260053	50027	52	2	1
2014-03-27 17:16:44.492375	50028	20.7	1	1
2014-03-27 17:16:58.049167	50029	42	2	10
2014-03-27 17:16:58.269572	50030	21.7	1	10
2014-03-27 17:17:08.021303	50031	53	2	9
2014-03-27 17:17:08.253341	50032	20.7	1	9
2014-03-27 17:17:08.558829	50033	515	3	2
2014-03-27 17:17:08.781633	50034	1098276.7832392943	4	2
2014-03-27 17:17:09.104639	50035	48	2	8
2014-03-27 17:17:09.340795	50036	20.4	1	8
2014-03-27 17:17:20.44957	50037	515	3	2
2014-03-27 17:17:20.67178	50038	1098277.9322740156	4	2
2014-03-27 17:17:23.019496	50039	52	2	1
2014-03-27 17:17:23.265879	50040	20.7	1	1
2014-03-27 17:17:32.449478	50041	515	3	2
2014-03-27 17:17:32.671459	50042	1098280.2303434585	4	2
2014-03-27 17:17:37.056949	50043	42	2	10
2014-03-27 17:17:37.293591	50044	21.7	1	10
2014-03-27 17:17:47.020344	50045	53	2	9
2014-03-27 17:17:47.242731	50046	20.7	1	9
2014-03-27 17:17:48.101818	50047	47	2	8
2014-03-27 17:17:48.334806	50048	20.4	1	8
2014-03-27 17:18:02.016006	50049	52	2	1
2014-03-27 17:18:02.294269	50050	20.7	1	1
2014-03-27 17:18:08.451653	50051	643	3	2
2014-03-27 17:18:08.68335	50052	1098284.8264823442	4	2
2014-03-27 17:18:16.049136	50053	42	2	10
2014-03-27 17:18:16.272873	50054	21.7	1	10
2014-03-27 17:18:20.44866	50055	3235	3	2
2014-03-27 17:18:20.680559	50056	1098294.0187601156	4	2
2014-03-27 17:18:26.019434	50057	53	2	9
2014-03-27 17:18:26.241943	50058	20.7	1	9
2014-03-27 17:18:27.102525	50059	47	2	8
2014-03-27 17:18:27.335121	50060	20.4	1	8
2014-03-27 17:18:32.467299	50061	3219	3	2
2014-03-27 17:18:32.69026	50062	1098304.3600726083	4	2
2014-03-27 17:18:41.020673	50063	52	2	1
2014-03-27 17:18:41.253843	50064	20.7	1	1
2014-03-27 17:18:55.049538	50065	42	2	10
2014-03-27 17:18:55.272655	50066	21.7	1	10
2014-03-27 17:19:05.020395	50067	53	2	9
2014-03-27 17:19:05.252587	50068	20.7	1	9
2014-03-27 17:19:06.103529	50069	48	2	8
2014-03-27 17:19:06.327533	50070	20.4	1	8
2014-03-27 17:19:20.017904	50071	52	2	1
2014-03-27 17:19:20.250723	50072	20.7	1	1
2014-03-27 17:19:33.848307	50073	3203	3	2
2014-03-27 17:19:34.073545	50074	1098358.3647045149	4	2
2014-03-27 17:19:34.377887	50075	42	2	10
2014-03-27 17:19:34.612818	50076	21.7	1	10
2014-03-27 17:19:44.018576	50077	53	2	9
2014-03-27 17:19:44.240333	50078	20.7	1	9
2014-03-27 17:19:45.102302	50079	47	2	8
2014-03-27 17:19:45.33347	50080	20.4	1	8
2014-03-27 17:19:59.017066	50081	52	2	1
2014-03-27 17:19:59.238215	50082	20.7	1	1
2014-03-27 17:20:13.04856	50083	42	2	10
2014-03-27 17:20:13.279798	50084	21.7	1	10
2014-03-27 17:20:23.020594	50085	53	2	9
2014-03-27 17:20:23.261472	50086	20.7	1	9
2014-03-27 17:20:24.101431	50087	47	2	8
2014-03-27 17:20:24.343704	50088	20.4	1	8
2014-03-27 17:20:32.50743	50089	3203	3	2
2014-03-27 17:20:32.731194	50090	1098412.3693364214	4	2
2014-03-27 17:20:38.020489	50091	52	2	1
2014-03-27 17:20:38.251525	50092	20.7	1	1
2014-03-27 17:20:44.445433	50093	3283	3	2
2014-03-27 17:20:44.667014	50094	1098422.710648914	4	2
2014-03-27 17:20:52.049012	50095	42	2	10
2014-03-27 17:20:52.280362	50096	21.7	1	10
2014-03-27 17:21:02.017312	50097	53	2	9
2014-03-27 17:21:02.280182	50098	20.8	1	9
2014-03-27 17:21:03.103052	50099	48	2	8
2014-03-27 17:21:03.334506	50100	20.4	1	8
2014-03-27 17:21:17.015868	50101	52	2	1
2014-03-27 17:21:17.237954	50102	20.7	1	1
2014-03-27 17:21:20.445307	50103	804	3	2
2014-03-27 17:21:20.675915	50104	1098435.3500308497	4	2
2014-03-27 17:21:31.048958	50105	42	2	10
2014-03-27 17:21:31.271108	50106	21.7	1	10
2014-03-27 17:21:32.506964	50107	804	3	2
2014-03-27 17:21:32.742097	50108	1098437.6481002923	4	2
2014-03-27 17:21:41.019136	50109	53	2	9
2014-03-27 17:21:41.242041	50110	20.8	1	9
2014-03-27 17:21:42.102884	50111	48	2	8
2014-03-27 17:21:42.333617	50112	20.4	1	8
2014-03-27 17:21:44.449584	50113	724	3	2
2014-03-27 17:21:44.670722	50114	1098439.9461697352	4	2
2014-03-27 17:21:56.022167	50115	52	2	1
2014-03-27 17:21:56.253994	50116	20.7	1	1
2014-03-27 17:21:56.559788	50117	853	3	2
2014-03-27 17:21:56.78169	50118	1098442.244239178	4	2
2014-03-27 17:22:08.45154	50119	837	3	2
2014-03-27 17:22:08.683858	50120	1098445.6913433424	4	2
2014-03-27 17:22:10.050629	50121	42	2	10
2014-03-27 17:22:10.27055	50122	21.7	1	10
2014-03-27 17:22:20.021849	50123	53	2	9
2014-03-27 17:22:20.253994	50124	20.8	1	9
2014-03-27 17:22:21.104444	50125	48	2	8
2014-03-27 17:22:21.325763	50126	20.4	1	8
2014-03-27 17:22:32.505461	50127	837	3	2
2014-03-27 17:22:32.736157	50128	1098451.4365169494	4	2
2014-03-27 17:22:35.017738	50129	52	2	1
2014-03-27 17:22:35.240729	50130	20.7	1	1
2014-03-27 17:22:49.048067	50131	42	2	10
2014-03-27 17:22:49.28615	50132	21.8	1	10
2014-03-27 17:22:56.451619	50133	3492	3	2
2014-03-27 17:22:56.673687	50134	1098459.4797599993	4	2
2014-03-27 17:22:59.019079	50135	53	2	9
2014-03-27 17:22:59.261678	50136	20.8	1	9
2014-03-27 17:23:00.101492	50137	48	2	8
2014-03-27 17:23:00.323772	50138	20.4	1	8
2014-03-27 17:23:08.44619	50139	3396	3	2
2014-03-27 17:23:08.677988	50140	1098469.821072492	4	2
2014-03-27 17:23:14.0225	50141	52	2	1
2014-03-27 17:23:14.246319	50142	20.7	1	1
2014-03-27 17:23:20.451913	50143	3380	3	2
2014-03-27 17:23:20.683311	50144	1098481.311419706	4	2
2014-03-27 17:23:28.049319	50145	42	2	10
2014-03-27 17:23:28.273072	50146	21.8	1	10
2014-03-27 17:23:32.489045	50147	3396	3	2
2014-03-27 17:23:32.73959	50148	1098491.6572031511	4	2
2014-03-27 17:23:38.018312	50149	53	2	9
2014-03-27 17:23:38.242308	50150	20.8	1	9
2014-03-27 17:23:39.102942	50151	47	2	8
2014-03-27 17:23:39.336424	50152	20.4	1	8
2014-03-27 17:23:53.014762	50153	52	2	1
2014-03-27 17:23:53.237632	50154	20.7	1	1
2014-03-27 17:24:07.050659	50155	42	2	10
2014-03-27 17:24:07.282275	50156	21.8	1	10
2014-03-27 17:24:17.019296	50157	53	2	9
2014-03-27 17:24:17.241244	50158	20.9	1	9
2014-03-27 17:24:18.102284	50159	47	2	8
2014-03-27 17:24:18.331824	50160	20.4	1	8
2014-03-27 17:24:32.010496	50161	52	2	1
2014-03-27 17:24:32.232851	50162	20.7	1	1
2014-03-27 17:24:44.450039	50163	3396	3	2
2014-03-27 17:24:44.682302	50164	1098559.4502517146	4	2
2014-03-27 17:24:46.050951	50165	42	2	10
2014-03-27 17:24:46.273277	50166	21.8	1	10
2014-03-27 17:24:56.020767	50167	53	2	9
2014-03-27 17:24:56.252999	50168	20.9	1	9
2014-03-27 17:24:56.903809	50169	3380	3	2
2014-03-27 17:24:57.125004	50170	1098570.9405989288	4	2
2014-03-27 17:24:57.429426	50171	48	2	8
2014-03-27 17:24:57.66229	50172	20.4	1	8
2014-03-27 17:25:11.016979	50173	52	2	1
2014-03-27 17:25:11.246296	50174	20.7	1	1
2014-03-27 17:25:25.049789	50175	42	2	10
2014-03-27 17:25:25.2807	50176	21.8	1	10
2014-03-27 17:25:32.451343	50177	3364	3	2
2014-03-27 17:25:32.73218	50178	1098605.4116405712	4	2
2014-03-27 17:25:35.019467	50179	54	2	9
2014-03-27 17:25:35.251237	50180	20.9	1	9
2014-03-27 17:25:36.103271	50181	48	2	8
2014-03-27 17:25:36.330966	50182	20.4	1	8
2014-03-27 17:25:44.449656	50183	837	3	2
2014-03-27 17:25:44.694338	50184	1098612.3058488998	4	2
2014-03-27 17:25:50.015715	50185	52	2	1
2014-03-27 17:25:50.237145	50186	20.7	1	1
2014-03-27 17:25:56.447986	50187	820	3	2
2014-03-27 17:25:56.682692	50188	1098614.6039183426	4	2
2014-03-27 17:26:04.051133	50189	42	2	10
2014-03-27 17:26:04.273417	50190	21.9	1	10
2014-03-27 17:26:14.018097	50191	54	2	9
2014-03-27 17:26:14.250663	50192	20.9	1	9
2014-03-27 17:26:15.104969	50193	48	2	8
2014-03-27 17:26:15.327562	50194	20.4	1	8
2014-03-27 17:26:29.018274	50195	52	2	1
2014-03-27 17:26:29.250291	50196	20.8	1	1
2014-03-27 17:26:32.44796	50197	820	3	2
2014-03-27 17:26:32.860071	50198	1098622.6471613925	4	2
2014-03-27 17:26:43.049598	50199	42	2	10
2014-03-27 17:26:43.281798	50200	21.9	1	10
2014-03-27 17:26:53.017459	50201	54	2	9
2014-03-27 17:26:53.240566	50202	21.0	1	9
2014-03-27 17:26:54.103448	50203	48	2	8
2014-03-27 17:26:54.336717	50204	20.4	1	8
2014-03-27 17:27:08.01855	50205	52	2	1
2014-03-27 17:27:08.240238	50206	20.8	1	1
2014-03-27 17:27:08.547594	50207	724	3	2
2014-03-27 17:27:08.779206	50208	1098630.6904044424	4	2
2014-03-27 17:27:20.450504	50209	708	3	2
2014-03-27 17:27:20.673199	50210	1098634.1375086065	4	2
2014-03-27 17:27:22.052224	50211	42	2	10
2014-03-27 17:27:22.283686	50212	21.9	1	10
2014-03-27 17:27:32.020312	50213	54	2	9
2014-03-27 17:27:32.242585	50214	21.0	1	9
2014-03-27 17:27:32.55503	50215	708	3	2
2014-03-27 17:27:32.837254	50216	1098636.4355780494	4	2
2014-03-27 17:27:33.142791	50217	48	2	8
2014-03-27 17:27:33.363692	50218	20.5	1	8
2014-03-27 17:27:47.016821	50219	52	2	1
2014-03-27 17:27:47.248565	50220	20.8	1	1
2014-03-27 17:28:01.05201	50221	42	2	10
2014-03-27 17:28:01.274841	50222	21.9	1	10
2014-03-27 17:28:11.019509	50223	54	2	9
2014-03-27 17:28:11.253037	50224	21.0	1	9
2014-03-27 17:28:12.104225	50225	48	2	8
2014-03-27 17:28:12.361376	50226	20.5	1	8
2014-03-27 17:28:26.014518	50227	52	2	1
2014-03-27 17:28:26.282246	50228	20.8	1	1
2014-03-27 17:28:32.451315	50229	708	3	2
2014-03-27 17:28:32.744887	50230	1098647.9259252637	4	2
2014-03-27 17:28:40.050656	50231	42	2	10
2014-03-27 17:28:40.296473	50232	21.9	1	10
2014-03-27 17:28:50.01932	50233	55	2	9
2014-03-27 17:28:50.243022	50234	21.0	1	9
2014-03-27 17:28:51.102705	50235	48	2	8
2014-03-27 17:28:51.335438	50236	20.5	1	8
2014-03-27 17:29:05.04874	50237	52	2	1
2014-03-27 17:29:05.275944	50238	20.8	1	1
2014-03-27 17:29:19.051603	50239	42	2	10
2014-03-27 17:29:19.289691	50240	22.0	1	10
2014-03-27 17:29:29.01907	50241	55	2	9
2014-03-27 17:29:29.249537	50242	21.0	1	9
2014-03-27 17:29:30.103046	50243	48	2	8
2014-03-27 17:29:30.339139	50244	20.5	1	8
2014-03-27 17:29:32.454638	50245	659	3	2
2014-03-27 17:29:32.740765	50246	1098659.4162724777	4	2
2014-03-27 17:29:44.00901	50247	52	2	1
2014-03-27 17:29:44.241336	50248	20.8	1	1
2014-03-27 17:29:44.553002	50249	611	3	2
2014-03-27 17:29:44.779976	50250	1098661.7143419206	4	2
2014-03-27 17:29:56.453343	50251	611	3	2
2014-03-27 17:29:56.684536	50252	1098664.0124113634	4	2
2014-03-27 17:29:58.051701	50253	42	2	10
2014-03-27 17:29:58.273657	50254	22.0	1	10
2014-03-27 17:30:08.025366	50255	55	2	9
2014-03-27 17:30:08.25775	50256	21.1	1	9
2014-03-27 17:30:09.103658	50257	48	2	8
2014-03-27 17:30:09.326723	50258	20.5	1	8
2014-03-27 17:30:23.012519	50259	52	2	1
2014-03-27 17:30:23.249371	50260	20.8	1	1
2014-03-27 17:30:32.448667	50261	627	3	2
2014-03-27 17:30:32.717812	50262	1098669.7575849704	4	2
2014-03-27 17:30:37.051417	50263	42	2	10
2014-03-27 17:30:37.287509	50264	22.0	1	10
2014-03-27 17:30:47.019543	50265	56	2	9
2014-03-27 17:30:47.240309	50266	21.1	1	9
2014-03-27 17:30:48.103142	50267	48	2	8
2014-03-27 17:30:48.33356	50268	20.5	1	8
2014-03-27 17:31:02.013351	50269	52	2	1
2014-03-27 17:31:02.234761	50270	20.8	1	1
2014-03-27 17:31:16.051494	50271	42	2	10
2014-03-27 17:31:16.286661	50272	22.0	1	10
2014-03-27 17:31:26.019606	50273	56	2	9
2014-03-27 17:31:26.241262	50274	21.1	1	9
2014-03-27 17:31:27.102804	50275	48	2	8
2014-03-27 17:31:27.338034	50276	20.5	1	8
2014-03-27 17:31:32.451374	50277	611	3	2
2014-03-27 17:31:32.685405	50278	1098680.0988974632	4	2
2014-03-27 17:31:41.015497	50279	52	2	1
2014-03-27 17:31:41.262694	50280	20.9	1	1
2014-03-27 17:31:55.050618	50281	42	2	10
2014-03-27 17:31:55.272674	50282	22.0	1	10
2014-03-27 17:32:05.018907	50283	57	2	9
2014-03-27 17:32:05.254468	50284	21.2	1	9
2014-03-27 17:32:06.103322	50285	48	2	8
2014-03-27 17:32:06.328142	50286	20.5	1	8
2014-03-27 17:32:20.015885	50287	52	2	1
2014-03-27 17:32:20.253296	50288	20.9	1	1
2014-03-27 17:32:32.443881	50289	611	3	2
2014-03-27 17:32:32.666666	50290	1098690.440209956	4	2
2014-03-27 17:32:34.05113	50291	42	2	10
2014-03-27 17:32:34.286155	50292	22.0	1	10
2014-03-27 17:32:44.02053	50293	57	2	9
2014-03-27 17:32:44.250717	50294	21.2	1	9
2014-03-27 17:32:45.10236	50295	49	2	8
2014-03-27 17:32:45.333643	50296	20.5	1	8
2014-03-27 17:32:59.01354	50297	52	2	1
2014-03-27 17:32:59.234871	50298	20.9	1	1
2014-03-27 17:33:13.261042	50299	42	2	10
2014-03-27 17:33:13.492671	50300	22.0	1	10
2014-03-27 17:33:22.819615	50301	659	3	2
2014-03-27 17:33:23.048909	50302	1098698.4834530058	4	2
2014-03-27 17:33:23.352789	50303	57	2	9
2014-03-27 17:33:23.589433	50304	21.2	1	9
2014-03-27 17:33:24.104248	50305	49	2	8
2014-03-27 17:33:24.326034	50306	20.6	1	8
2014-03-27 17:33:32.454956	50307	659	3	2
2014-03-27 17:33:32.691203	50308	1098700.7815224486	4	2
2014-03-27 17:33:38.060969	50309	52	2	1
2014-03-27 17:33:38.287036	50310	20.9	1	1
2014-03-27 17:33:52.052338	50311	42	2	10
2014-03-27 17:33:52.290535	50312	22.1	1	10
2014-03-27 17:34:02.01941	50313	58	2	9
2014-03-27 17:34:02.244456	50314	21.3	1	9
2014-03-27 17:34:03.102645	50315	49	2	8
2014-03-27 17:34:03.336794	50316	20.6	1	8
2014-03-27 17:34:17.012659	50317	52	2	1
2014-03-27 17:34:17.240409	50318	20.9	1	1
2014-03-27 17:34:31.05247	50319	42	2	10
2014-03-27 17:34:31.290414	50320	22.1	1	10
2014-03-27 17:34:32.450705	50321	659	3	2
2014-03-27 17:34:32.675594	50322	1098712.271869663	4	2
2014-03-27 17:34:41.019724	50323	59	2	9
2014-03-27 17:34:41.252264	50324	21.3	1	9
2014-03-27 17:34:42.103881	50325	49	2	8
2014-03-27 17:34:42.328613	50326	20.6	1	8
2014-03-27 17:34:56.009087	50327	52	2	1
2014-03-27 17:34:56.255044	50328	20.9	1	1
2014-03-27 17:35:08.447784	50329	595	3	2
2014-03-27 17:35:08.670264	50330	1098718.01704327	4	2
2014-03-27 17:35:10.052159	50331	42	2	10
2014-03-27 17:35:10.283838	50332	22.1	1	10
2014-03-27 17:35:20.019518	50333	59	2	9
2014-03-27 17:35:20.240322	50334	21.3	1	9
2014-03-27 17:35:20.59844	50335	595	3	2
2014-03-27 17:35:21.021232	50336	1098720.3151127128	4	2
2014-03-27 17:35:21.342309	50337	50	2	8
2014-03-27 17:35:21.566658	50338	20.7	1	8
2014-03-27 17:35:32.453213	50339	595	3	2
2014-03-27 17:35:32.685728	50340	1098722.6131821556	4	2
2014-03-27 17:35:35.009986	50341	52	2	1
2014-03-27 17:35:35.231259	50342	20.9	1	1
2014-03-27 17:35:49.055323	50343	42	2	10
2014-03-27 17:35:49.287337	50344	22.1	1	10
2014-03-27 17:35:59.019025	50345	60	2	9
2014-03-27 17:35:59.242147	50346	21.3	1	9
2014-03-27 17:36:00.102944	50347	50	2	8
2014-03-27 17:36:00.334224	50348	20.7	1	8
2014-03-27 17:36:14.008696	50349	52	2	1
2014-03-27 17:36:14.231669	50350	21.0	1	1
2014-03-27 17:36:28.053564	50351	42	2	10
2014-03-27 17:36:28.28568	50352	22.1	1	10
2014-03-27 17:36:32.448725	50353	595	3	2
2014-03-27 17:36:32.67131	50354	1098732.9544946484	4	2
2014-03-27 17:36:38.018903	50355	60	2	9
2014-03-27 17:36:38.249349	50356	21.4	1	9
2014-03-27 17:36:39.102124	50357	50	2	8
2014-03-27 17:36:39.324271	50358	20.7	1	8
2014-03-27 17:36:53.009592	50359	52	2	1
2014-03-27 17:36:53.241201	50360	21.0	1	1
2014-03-27 17:37:07.053073	50361	42	2	10
2014-03-27 17:37:07.275182	50362	22.1	1	10
2014-03-27 17:37:17.019616	50363	61	2	9
2014-03-27 17:37:17.25025	50364	21.4	1	9
2014-03-27 17:37:18.103814	50365	50	2	8
2014-03-27 17:37:18.325304	50366	20.8	1	8
2014-03-27 17:37:32.009364	50367	52	2	1
2014-03-27 17:37:32.242075	50368	21.0	1	1
2014-03-27 17:37:32.554641	50369	595	3	2
2014-03-27 17:37:32.776852	50370	1098742.1467724196	4	2
2014-03-27 17:37:46.05467	50371	42	2	10
2014-03-27 17:37:46.289515	50372	22.1	1	10
2014-03-27 17:37:56.021003	50373	62	2	9
2014-03-27 17:37:56.241303	50374	21.4	1	9
2014-03-27 17:37:57.102904	50375	51	2	8
2014-03-27 17:37:57.344385	50376	20.8	1	8
2014-03-27 17:38:11.011098	50377	52	2	1
2014-03-27 17:38:11.232848	50378	21.0	1	1
2014-03-27 17:38:25.056345	50379	42	2	10
2014-03-27 17:38:25.288781	50380	22.1	1	10
2014-03-27 17:38:32.449135	50381	595	3	2
2014-03-27 17:38:32.672261	50382	1098752.4880849123	4	2
2014-03-27 17:38:35.021732	50383	62	2	9
2014-03-27 17:38:35.254105	50384	21.5	1	9
2014-03-27 17:38:36.103697	50385	51	2	8
2014-03-27 17:38:36.326583	50386	20.9	1	8
2014-03-27 17:38:50.010132	50387	52	2	1
2014-03-27 17:38:50.24274	50388	21.0	1	1
2014-03-27 17:39:04.053904	50389	42	2	10
2014-03-27 17:39:04.276428	50390	22.1	1	10
2014-03-27 17:39:08.450965	50391	531	3	2
2014-03-27 17:39:08.681467	50392	1098758.2332585193	4	2
2014-03-27 17:39:14.022163	50393	62	2	9
2014-03-27 17:39:14.245847	50394	21.5	1	9
2014-03-27 17:39:15.102266	50395	51	2	8
2014-03-27 17:39:15.334828	50396	20.9	1	8
2014-03-27 17:39:20.447456	50397	531	3	2
2014-03-27 17:39:20.668894	50398	1098760.5313279622	4	2
2014-03-27 17:39:29.008308	50399	52	2	1
2014-03-27 17:39:29.240949	50400	21.0	1	1
2014-03-27 17:39:32.448208	50401	515	3	2
2014-03-27 17:39:32.66944	50402	1098761.6803626837	4	2
2014-03-27 17:39:43.054872	50403	42	2	10
2014-03-27 17:39:43.288537	50404	22.1	1	10
2014-03-27 17:39:53.019046	50405	63	2	9
2014-03-27 17:39:53.24274	50406	21.5	1	9
2014-03-27 17:39:54.104488	50407	51	2	8
2014-03-27 17:39:54.337454	50408	21.0	1	8
2014-03-27 17:40:08.009275	50409	52	2	1
2014-03-27 17:40:08.233619	50410	21.0	1	1
2014-03-27 17:40:22.055019	50411	42	2	10
2014-03-27 17:40:22.287541	50412	22.1	1	10
2014-03-27 17:40:32.021115	50413	63	2	9
2014-03-27 17:40:32.243552	50414	21.5	1	9
2014-03-27 17:40:32.550847	50415	498	3	2
2014-03-27 17:40:32.782864	50416	1098769.7236057336	4	2
2014-03-27 17:40:33.160833	50417	51	2	8
2014-03-27 17:40:33.385872	50418	21.0	1	8
2014-03-27 17:40:47.007551	50419	52	2	1
2014-03-27 17:40:47.24068	50420	21.1	1	1
2014-03-27 17:41:01.054739	50421	42	2	10
2014-03-27 17:41:01.27779	50422	22.1	1	10
2014-03-27 17:41:11.018828	50423	64	2	9
2014-03-27 17:41:11.262925	50424	21.5	1	9
2014-03-27 17:41:12.104063	50425	52	2	8
2014-03-27 17:41:12.325832	50426	21.0	1	8
2014-03-27 17:41:26.005564	50427	52	2	1
2014-03-27 17:41:26.238134	50428	21.1	1	1
2014-03-27 17:41:32.449926	50429	498	3	2
2014-03-27 17:41:32.674707	50430	1098778.9158835048	4	2
2014-03-27 17:41:40.054098	50431	42	2	10
2014-03-27 17:41:40.286743	50432	22.1	1	10
2014-03-27 17:41:50.019276	50433	64	2	9
2014-03-27 17:41:50.242884	50434	21.6	1	9
2014-03-27 17:41:51.103038	50435	52	2	8
2014-03-27 17:41:51.333389	50436	21.1	1	8
2014-03-27 17:42:05.005293	50437	52	2	1
2014-03-27 17:42:05.227702	50438	21.1	1	1
2014-03-27 17:42:08.44734	50439	595	3	2
2014-03-27 17:42:08.681515	50440	1098782.3674586213	4	2
2014-03-27 17:42:19.054936	50441	42	2	10
2014-03-27 17:42:19.277488	50442	22.1	1	10
2014-03-27 17:42:20.446736	50443	579	3	2
2014-03-27 17:42:20.680413	50444	1098784.6655280641	4	2
2014-03-27 17:42:29.019198	50445	64	2	9
2014-03-27 17:42:29.242688	50446	21.6	1	9
2014-03-27 17:42:30.105093	50447	52	2	8
2014-03-27 17:42:30.337072	50448	21.1	1	8
2014-03-27 17:42:32.449199	50449	547	3	2
2014-03-27 17:42:32.67056	50450	1098786.963597507	4	2
2014-03-27 17:42:44.248297	50451	52	2	1
2014-03-27 17:42:44.481953	50452	21.1	1	1
2014-03-27 17:42:44.789222	50453	434	3	2
2014-03-27 17:42:45.010244	50454	1098788.1126322285	4	2
2014-03-27 17:42:56.447594	50455	418	3	2
2014-03-27 17:42:56.680033	50456	1098789.2616669498	4	2
2014-03-27 17:42:58.263797	50457	42	2	10
2014-03-27 17:42:58.485217	50458	22.1	1	10
2014-03-27 17:43:08.018598	50459	64	2	9
2014-03-27 17:43:08.257204	50460	21.6	1	9
2014-03-27 17:43:09.103295	50461	52	2	8
2014-03-27 17:43:09.324966	50462	21.1	1	8
2014-03-27 17:43:23.008438	50463	52	2	1
2014-03-27 17:43:23.241445	50464	21.1	1	1
2014-03-27 17:43:36.855917	50465	418	3	2
2014-03-27 17:43:37.080627	50466	1098793.8578058355	4	2
2014-03-27 17:43:37.385438	50467	42	2	10
2014-03-27 17:43:37.61692	50468	22.2	1	10
2014-03-27 17:43:47.020731	50469	64	2	9
2014-03-27 17:43:47.24281	50470	21.6	1	9
2014-03-27 17:43:48.104855	50471	52	2	8
2014-03-27 17:43:48.347434	50472	21.1	1	8
2014-03-27 17:44:02.005156	50473	52	2	1
2014-03-27 17:44:02.228952	50474	21.1	1	1
2014-03-27 17:44:16.055037	50475	42	2	10
2014-03-27 17:44:16.290146	50476	22.2	1	10
2014-03-27 17:44:26.018987	50477	65	2	9
2014-03-27 17:44:26.244881	50478	21.6	1	9
2014-03-27 17:44:27.104849	50479	52	2	8
2014-03-27 17:44:27.336208	50480	21.2	1	8
2014-03-27 17:44:32.445658	50481	418	3	2
2014-03-27 17:44:32.668866	50482	1098800.7520141639	4	2
2014-03-27 17:44:41.245548	50483	52	2	1
2014-03-27 17:44:41.477692	50484	21.2	1	1
2014-03-27 17:44:55.05618	50485	42	2	10
2014-03-27 17:44:55.280214	50486	22.2	1	10
2014-03-27 17:45:05.019186	50487	65	2	9
2014-03-27 17:45:05.252778	50488	21.6	1	9
2014-03-27 17:45:06.102988	50489	52	2	8
2014-03-27 17:45:06.325174	50490	21.2	1	8
2014-03-27 17:45:20.03921	50491	52	2	1
2014-03-27 17:45:20.274982	50492	21.2	1	1
2014-03-27 17:45:32.447512	50493	418	3	2
2014-03-27 17:45:32.670496	50494	1098807.6462224924	4	2
2014-03-27 17:45:34.05464	50495	42	2	10
2014-03-27 17:45:34.30885	50496	22.2	1	10
2014-03-27 17:45:44.018802	50497	65	2	9
2014-03-27 17:45:44.240536	50498	21.6	1	9
2014-03-27 17:45:44.548888	50499	466	3	2
2014-03-27 17:45:44.780005	50500	1098808.795257214	4	2
2014-03-27 17:45:45.103478	50501	52	2	8
2014-03-27 17:45:45.325149	50502	21.2	1	8
2014-03-27 17:45:56.450096	50503	466	3	2
2014-03-27 17:45:56.681313	50504	1098811.0933266566	4	2
2014-03-27 17:45:59.006241	50505	52	2	1
2014-03-27 17:45:59.226941	50506	21.2	1	1
2014-03-27 17:46:13.055137	50507	42	2	10
2014-03-27 17:46:13.287159	50508	22.2	1	10
2014-03-27 17:46:23.018615	50509	65	2	9
2014-03-27 17:46:23.24024	50510	21.6	1	9
2014-03-27 17:46:24.105316	50511	53	2	8
2014-03-27 17:46:24.335538	50512	21.2	1	8
2014-03-27 17:46:32.447954	50513	466	3	2
2014-03-27 17:46:32.670686	50514	1098815.6894655423	4	2
2014-03-27 17:46:38.010015	50515	52	2	1
2014-03-27 17:46:38.242823	50516	21.2	1	1
2014-03-27 17:46:52.056299	50517	42	2	10
2014-03-27 17:46:52.278875	50518	22.2	1	10
2014-03-27 17:47:02.019288	50519	65	2	9
2014-03-27 17:47:02.262091	50520	21.6	1	9
2014-03-27 17:47:03.158516	50521	53	2	8
2014-03-27 17:47:03.380193	50522	21.3	1	8
2014-03-27 17:47:17.004998	50523	52	2	1
2014-03-27 17:47:17.239478	50524	21.2	1	1
2014-03-27 17:47:31.056532	50525	42	2	10
2014-03-27 17:47:31.276627	50526	22.2	1	10
2014-03-27 17:47:32.448167	50527	466	3	2
2014-03-27 17:47:32.680519	50528	1098823.7327085922	4	2
2014-03-27 17:47:41.017457	50529	65	2	9
2014-03-27 17:47:41.240677	50530	21.6	1	9
2014-03-27 17:47:42.104038	50531	53	2	8
2014-03-27 17:47:42.335195	50532	21.3	1	8
2014-03-27 17:47:56.003533	50533	51	2	1
2014-03-27 17:47:56.227576	50534	21.2	1	1
2014-03-27 17:48:10.05578	50535	42	2	10
2014-03-27 17:48:10.286806	50536	22.2	1	10
2014-03-27 17:48:20.01877	50537	65	2	9
2014-03-27 17:48:20.239684	50538	21.6	1	9
2014-03-27 17:48:21.102032	50539	53	2	8
2014-03-27 17:48:21.334298	50540	21.3	1	8
2014-03-27 17:48:32.446887	50541	466	3	2
2014-03-27 17:48:32.705656	50542	1098831.7759516423	4	2
2014-03-27 17:48:35.006727	50543	51	2	1
2014-03-27 17:48:35.422551	50544	21.2	1	1
2014-03-27 17:48:49.057508	50545	42	2	10
2014-03-27 17:48:49.315991	50546	22.2	1	10
2014-03-27 17:48:59.020544	50547	65	2	9
2014-03-27 17:48:59.282861	50548	21.6	1	9
2014-03-27 17:49:00.102361	50549	53	2	8
2014-03-27 17:49:00.358987	50550	21.4	1	8
2014-03-27 17:49:14.005985	50551	51	2	1
2014-03-27 17:49:14.238978	50552	21.2	1	1
2014-03-27 17:49:28.058563	50553	43	2	10
2014-03-27 17:49:28.284107	50554	22.2	1	10
2014-03-27 17:49:32.447611	50555	466	3	2
2014-03-27 17:49:32.684643	50556	1098838.6701599706	4	2
2014-03-27 17:49:38.018971	50557	65	2	9
2014-03-27 17:49:38.245835	50558	21.6	1	9
2014-03-27 17:49:39.104526	50559	53	2	8
2014-03-27 17:49:39.339926	50560	21.4	1	8
2014-03-27 17:49:53.003256	50561	51	2	1
2014-03-27 17:49:53.226631	50562	21.2	1	1
2014-03-27 17:50:07.058016	50563	43	2	10
2014-03-27 17:50:07.295539	50564	22.2	1	10
2014-03-27 17:50:17.018759	50565	65	2	9
2014-03-27 17:50:17.245408	50566	21.6	1	9
2014-03-27 17:50:18.103028	50567	53	2	8
2014-03-27 17:50:18.349561	50568	21.4	1	8
2014-03-27 17:50:31.999614	50569	51	2	1
2014-03-27 17:50:32.225446	50570	21.2	1	1
2014-03-27 17:50:32.533453	50571	482	3	2
2014-03-27 17:50:32.768955	50572	1098846.7134030205	4	2
2014-03-27 17:50:46.057681	50573	43	2	10
2014-03-27 17:50:46.284331	50574	22.2	1	10
2014-03-27 17:50:56.018027	50575	65	2	9
2014-03-27 17:50:56.248851	50576	21.6	1	9
2014-03-27 17:50:57.102725	50577	53	2	8
2014-03-27 17:50:57.325466	50578	21.4	1	8
2014-03-27 17:51:08.450573	50579	402	3	2
2014-03-27 17:51:08.714276	50580	1098851.3095419062	4	2
2014-03-27 17:51:10.99945	50581	51	2	1
2014-03-27 17:51:11.220459	50582	21.2	1	1
2014-03-27 17:51:25.057769	50583	43	2	10
2014-03-27 17:51:25.290064	50584	22.2	1	10
2014-03-27 17:51:32.450024	50585	515	3	2
2014-03-27 17:51:32.672482	50586	1098854.7566460704	4	2
2014-03-27 17:51:35.019594	50587	65	2	9
2014-03-27 17:51:35.250401	50588	21.7	1	9
2014-03-27 17:51:36.102515	50589	53	2	8
2014-03-27 17:51:36.324083	50590	21.5	1	8
2014-03-27 17:51:49.999157	50591	51	2	1
2014-03-27 17:51:50.230568	50592	21.2	1	1
2014-03-27 17:51:56.453845	50593	466	3	2
2014-03-27 17:51:56.676843	50594	1098858.2037502348	4	2
2014-03-27 17:52:04.058086	50595	43	2	10
2014-03-27 17:52:04.289547	50596	22.2	1	10
2014-03-27 17:52:08.452765	50597	466	3	2
2014-03-27 17:52:08.684967	50598	1098860.5018196777	4	2
2014-03-27 17:52:14.020676	50599	65	2	9
2014-03-27 17:52:14.251949	50600	21.7	1	9
2014-03-27 17:52:15.101604	50601	53	2	8
2014-03-27 17:52:15.322817	50602	21.5	1	8
2014-03-27 17:52:29.00161	50603	51	2	1
2014-03-27 17:52:29.23531	50604	21.2	1	1
2014-03-27 17:52:32.4495	50605	466	3	2
2014-03-27 17:52:32.671856	50606	1098862.7998891205	4	2
2014-03-27 17:52:43.058075	50607	43	2	10
2014-03-27 17:52:43.293566	50608	22.2	1	10
2014-03-27 17:52:53.019236	50609	64	2	9
2014-03-27 17:52:53.240838	50610	21.7	1	9
2014-03-27 17:52:54.102436	50611	53	2	8
2014-03-27 17:52:54.334393	50612	21.5	1	8
2014-03-27 17:53:08.001712	50613	51	2	1
2014-03-27 17:53:08.22362	50614	21.2	1	1
2014-03-27 17:53:22.057221	50615	43	2	10
2014-03-27 17:53:22.299617	50616	22.2	1	10
2014-03-27 17:53:32.019029	50617	64	2	9
2014-03-27 17:53:32.239714	50618	21.7	1	9
2014-03-27 17:53:32.54823	50619	466	3	2
2014-03-27 17:53:32.779881	50620	1098870.8431321704	4	2
2014-03-27 17:53:33.101706	50621	53	2	8
2014-03-27 17:53:33.323723	50622	21.5	1	8
2014-03-27 17:53:44.442487	50623	595	3	2
2014-03-27 17:53:44.678766	50624	1098873.1412016132	4	2
2014-03-27 17:53:47.003361	50625	51	2	1
2014-03-27 17:53:47.227779	50626	21.2	1	1
2014-03-27 17:53:56.450495	50627	595	3	2
2014-03-27 17:53:56.682576	50628	1098875.4392710559	4	2
2014-03-27 17:54:01.059191	50629	43	2	10
2014-03-27 17:54:01.283804	50630	22.2	1	10
2014-03-27 17:54:11.020824	50631	64	2	9
2014-03-27 17:54:11.255712	50632	21.8	1	9
2014-03-27 17:54:12.102146	50633	53	2	8
2014-03-27 17:54:12.325664	50634	21.5	1	8
2014-03-27 17:54:25.997814	50635	51	2	1
2014-03-27 17:54:26.2338	50636	21.2	1	1
2014-03-27 17:54:32.450819	50637	595	3	2
2014-03-27 17:54:32.673125	50638	1098881.184444663	4	2
2014-03-27 17:54:40.06073	50639	43	2	10
2014-03-27 17:54:40.294081	50640	22.2	1	10
2014-03-27 17:54:50.019882	50641	64	2	9
2014-03-27 17:54:50.244014	50642	21.8	1	9
2014-03-27 17:54:51.103981	50643	53	2	8
2014-03-27 17:54:51.333667	50644	21.5	1	8
2014-03-27 17:55:04.999124	50645	51	2	1
2014-03-27 17:55:05.229016	50646	21.2	1	1
2014-03-27 17:55:19.058738	50647	43	2	10
2014-03-27 17:55:19.292456	50648	22.2	1	10
2014-03-27 17:55:29.019915	50649	64	2	9
2014-03-27 17:55:29.242882	50650	21.8	1	9
2014-03-27 17:55:30.100831	50651	53	2	8
2014-03-27 17:55:30.3336	50652	21.5	1	8
2014-03-27 17:55:32.449992	50653	595	3	2
2014-03-27 17:55:32.671426	50654	1098890.3767224343	4	2
2014-03-27 17:55:44.001686	50655	51	2	1
2014-03-27 17:55:44.2355	50656	21.2	1	1
2014-03-27 17:55:58.059188	50657	43	2	10
2014-03-27 17:55:58.282401	50658	22.3	1	10
2014-03-27 17:56:08.018702	50659	64	2	9
2014-03-27 17:56:08.250197	50660	21.8	1	9
2014-03-27 17:56:09.103324	50661	53	2	8
2014-03-27 17:56:09.326709	50662	21.5	1	8
2014-03-27 17:56:22.999445	50663	51	2	1
2014-03-27 17:56:23.24354	50664	21.2	1	1
2014-03-27 17:56:32.442798	50665	595	3	2
2014-03-27 17:56:32.664165	50666	1098900.718034927	4	2
2014-03-27 17:56:37.058055	50667	43	2	10
2014-03-27 17:56:37.475155	50668	22.3	1	10
2014-03-27 17:56:47.017754	50669	64	2	9
2014-03-27 17:56:47.249998	50670	21.8	1	9
2014-03-27 17:56:48.102666	50671	53	2	8
2014-03-27 17:56:48.328268	50672	21.5	1	8
2014-03-27 17:57:01.996915	50673	51	2	1
2014-03-27 17:57:02.226197	50674	21.2	1	1
2014-03-27 17:57:16.057303	50675	43	2	10
2014-03-27 17:57:16.282435	50676	22.3	1	10
2014-03-27 17:57:20.445618	50677	482	3	2
2014-03-27 17:57:20.681889	50678	1098908.761277977	4	2
2014-03-27 17:57:26.020122	50679	63	2	9
2014-03-27 17:57:26.24458	50680	21.8	1	9
2014-03-27 17:57:27.102455	50681	53	2	8
2014-03-27 17:57:27.337168	50682	21.5	1	8
2014-03-27 17:57:32.449118	50683	515	3	2
2014-03-27 17:57:32.67305	50684	1098909.9103126985	4	2
2014-03-27 17:57:40.997225	50685	51	2	1
2014-03-27 17:57:41.230485	50686	21.2	1	1
2014-03-27 17:57:44.447196	50687	531	3	2
2014-03-27 17:57:44.670635	50688	1098912.2083821413	4	2
2014-03-27 17:57:55.069011	50689	43	2	10
2014-03-27 17:57:55.300584	50690	22.3	1	10
2014-03-27 17:57:56.443544	50691	498	3	2
2014-03-27 17:57:56.665888	50692	1098913.3574168626	4	2
2014-03-27 17:58:05.018251	50693	63	2	9
2014-03-27 17:58:05.248459	50694	21.8	1	9
2014-03-27 17:58:06.101375	50695	53	2	8
2014-03-27 17:58:06.322206	50696	21.5	1	8
2014-03-27 17:58:08.445019	50697	515	3	2
2014-03-27 17:58:08.683289	50698	1098915.6554863055	4	2
2014-03-27 17:58:19.99754	50699	51	2	1
2014-03-27 17:58:20.218869	50700	21.2	1	1
2014-03-27 17:58:32.447597	50701	579	3	2
2014-03-27 17:58:32.678571	50702	1098919.1025904696	4	2
2014-03-27 17:58:34.058845	50703	43	2	10
2014-03-27 17:58:34.280466	50704	22.3	1	10
2014-03-27 17:58:44.017972	50705	63	2	9
2014-03-27 17:58:44.247855	50706	21.9	1	9
2014-03-27 17:58:44.552987	50707	547	3	2
2014-03-27 17:58:44.775909	50708	1098920.2516251912	4	2
2014-03-27 17:58:45.101605	50709	53	2	8
2014-03-27 17:58:45.331865	50710	21.5	1	8
2014-03-27 17:58:56.448764	50711	579	3	2
2014-03-27 17:58:56.668602	50712	1098922.549694634	4	2
2014-03-27 17:58:59.032434	50713	52	2	1
2014-03-27 17:58:59.273151	50714	21.2	1	1
2014-03-27 17:59:08.44803	50715	579	3	2
2014-03-27 17:59:08.675112	50716	1098924.847764077	4	2
2014-03-27 17:59:13.059171	50717	43	2	10
2014-03-27 17:59:13.290603	50718	22.3	1	10
2014-03-27 17:59:20.446864	50719	547	3	2
2014-03-27 17:59:20.667495	50720	1098925.9967987982	4	2
2014-03-27 17:59:23.018733	50721	63	2	9
2014-03-27 17:59:23.251454	50722	21.9	1	9
2014-03-27 17:59:24.102306	50723	53	2	8
2014-03-27 17:59:24.32407	50724	21.4	1	8
2014-03-27 17:59:32.444282	50725	547	3	2
2014-03-27 17:59:32.677293	50726	1098928.294868241	4	2
2014-03-27 17:59:38.003454	50727	52	2	1
2014-03-27 17:59:38.223518	50728	21.2	1	1
2014-03-27 17:59:52.060647	50729	43	2	10
2014-03-27 17:59:52.292826	50730	22.3	1	10
2014-03-27 17:59:56.446645	50731	579	3	2
2014-03-27 17:59:56.666975	50732	1098931.7419724052	4	2
2014-03-27 18:00:02.020901	50733	63	2	9
2014-03-27 18:00:02.253345	50734	21.9	1	9
2014-03-27 18:00:03.104209	50735	53	2	8
2014-03-27 18:00:03.324548	50736	21.4	1	8
2014-03-27 18:00:08.448522	50737	579	3	2
2014-03-27 18:00:08.680354	50738	1098934.040041848	4	2
2014-03-27 18:00:16.994604	50739	52	2	1
2014-03-27 18:00:17.218043	50740	21.2	1	1
2014-03-27 18:00:31.060907	50741	43	2	10
2014-03-27 18:00:31.293412	50742	22.3	1	10
2014-03-27 18:00:32.445602	50743	547	3	2
2014-03-27 18:00:32.667329	50744	1098937.4871460125	4	2
2014-03-27 18:00:41.018247	50745	63	2	9
2014-03-27 18:00:41.252206	50746	21.9	1	9
2014-03-27 18:00:42.1033	50747	53	2	8
2014-03-27 18:00:42.325266	50748	21.4	1	8
2014-03-27 18:00:44.44898	50749	579	3	2
2014-03-27 18:00:44.680884	50750	1098939.785215455	4	2
2014-03-27 18:00:55.99518	50751	52	2	1
2014-03-27 18:00:56.218457	50752	21.2	1	1
2014-03-27 18:00:56.523167	50753	547	3	2
2014-03-27 18:00:56.754419	50754	1098942.083284898	4	2
2014-03-27 18:01:08.447028	50755	579	3	2
2014-03-27 18:01:08.675064	50756	1098943.2323196195	4	2
2014-03-27 18:01:10.060479	50757	43	2	10
2014-03-27 18:01:10.293502	50758	22.3	1	10
2014-03-27 18:01:20.018808	50759	63	2	9
2014-03-27 18:01:20.241231	50760	21.9	1	9
2014-03-27 18:01:20.546105	50761	547	3	2
2014-03-27 18:01:20.788142	50762	1098945.5303890624	4	2
2014-03-27 18:01:21.10249	50763	53	2	8
2014-03-27 18:01:21.324261	50764	21.4	1	8
2014-03-27 18:01:32.445826	50765	579	3	2
2014-03-27 18:01:32.677291	50766	1098946.6794237837	4	2
2014-03-27 18:01:34.99559	50767	52	2	1
2014-03-27 18:01:35.21579	50768	21.2	1	1
2014-03-27 18:01:44.44482	50769	579	3	2
2014-03-27 18:01:44.676056	50770	1098948.9774932265	4	2
2014-03-27 18:01:49.059539	50771	43	2	10
2014-03-27 18:01:49.279237	50772	22.3	1	10
2014-03-27 18:01:56.447299	50773	547	3	2
2014-03-27 18:01:56.67895	50774	1098951.2755626694	4	2
2014-03-27 18:01:59.018212	50775	63	2	9
2014-03-27 18:01:59.238666	50776	21.9	1	9
2014-03-27 18:02:00.102542	50777	53	2	8
2014-03-27 18:02:00.332453	50778	21.3	1	8
2014-03-27 18:02:08.450235	50779	547	3	2
2014-03-27 18:02:08.679168	50780	1098952.4245973907	4	2
2014-03-27 18:02:13.99774	50781	52	2	1
2014-03-27 18:02:14.229843	50782	21.2	1	1
2014-03-27 18:02:28.060495	50783	43	2	10
2014-03-27 18:02:28.280835	50784	22.3	1	10
2014-03-27 18:02:32.445808	50785	579	3	2
2014-03-27 18:02:32.679676	50786	1098955.871701555	4	2
2014-03-27 18:02:38.01605	50787	63	2	9
2014-03-27 18:02:38.244724	50788	22.0	1	9
2014-03-27 18:02:39.100912	50789	53	2	8
2014-03-27 18:02:39.333511	50790	21.3	1	8
2014-03-27 18:02:44.445152	50791	547	3	2
2014-03-27 18:02:44.668724	50792	1098958.169770998	4	2
2014-03-27 18:02:52.992885	50793	52	2	1
2014-03-27 18:02:53.223482	50794	21.1	1	1
2014-03-27 18:02:56.447779	50795	547	3	2
2014-03-27 18:02:56.671103	50796	1098960.4678404406	4	2
2014-03-27 18:03:07.060307	50797	43	2	10
2014-03-27 18:03:07.292187	50798	22.3	1	10
2014-03-27 18:03:17.017932	50799	63	2	9
2014-03-27 18:03:17.240203	50800	22.0	1	9
2014-03-27 18:03:18.102288	50801	53	2	8
2014-03-27 18:03:18.332434	50802	21.3	1	8
2014-03-27 18:03:31.994243	50803	52	2	1
2014-03-27 18:03:32.214487	50804	21.1	1	1
2014-03-27 18:03:32.518963	50805	547	3	2
2014-03-27 18:03:32.753072	50806	1098966.2130140478	4	2
2014-03-27 18:03:46.060618	50807	43	2	10
2014-03-27 18:03:46.282057	50808	22.3	1	10
2014-03-27 18:03:56.016475	50809	63	2	9
2014-03-27 18:03:56.259176	50810	22.0	1	9
2014-03-27 18:03:57.102979	50811	53	2	8
2014-03-27 18:03:57.324087	50812	21.3	1	8
2014-03-27 18:04:08.444158	50813	579	3	2
2014-03-27 18:04:08.683466	50814	1098970.8091529333	4	2
2014-03-27 18:04:10.99517	50815	52	2	1
2014-03-27 18:04:11.217225	50816	21.1	1	1
2014-03-27 18:04:20.447762	50817	547	3	2
2014-03-27 18:04:20.678911	50818	1098973.1072223762	4	2
2014-03-27 18:04:25.061222	50819	43	2	10
2014-03-27 18:04:25.28156	50820	22.3	1	10
2014-03-27 18:04:32.44436	50821	547	3	2
2014-03-27 18:04:32.675977	50822	1098975.405291819	4	2
2014-03-27 18:04:35.017879	50823	63	2	9
2014-03-27 18:04:35.238691	50824	22.0	1	9
2014-03-27 18:04:36.102899	50825	53	2	8
2014-03-27 18:04:36.33345	50826	21.3	1	8
2014-03-27 18:04:44.447537	50827	515	3	2
2014-03-27 18:04:44.670261	50828	1098976.5543265406	4	2
2014-03-27 18:04:49.99706	50829	52	2	1
2014-03-27 18:04:50.228956	50830	21.1	1	1
2014-03-27 18:04:56.447485	50831	531	3	2
2014-03-27 18:04:56.669262	50832	1098978.8523959834	4	2
2014-03-27 18:05:04.062046	50833	43	2	10
2014-03-27 18:05:04.292085	50834	22.3	1	10
2014-03-27 18:05:14.019755	50835	63	2	9
2014-03-27 18:05:14.243009	50836	22.0	1	9
2014-03-27 18:05:15.104028	50837	53	2	8
2014-03-27 18:05:15.336009	50838	21.3	1	8
2014-03-27 18:05:28.995829	50839	52	2	1
2014-03-27 18:05:29.217982	50840	21.1	1	1
2014-03-27 18:05:32.4459	50841	515	3	2
2014-03-27 18:05:32.677173	50842	1098983.448534869	4	2
2014-03-27 18:05:43.062336	50843	43	2	10
2014-03-27 18:05:43.285207	50844	22.3	1	10
2014-03-27 18:05:53.01778	50845	63	2	9
2014-03-27 18:05:53.25036	50846	22.0	1	9
2014-03-27 18:05:54.10353	50847	53	2	8
2014-03-27 18:05:54.326086	50848	21.3	1	8
2014-03-27 18:05:56.447558	50849	611	3	2
2014-03-27 18:05:56.677953	50850	1098989.1937084761	4	2
2014-03-27 18:06:07.992495	50851	52	2	1
2014-03-27 18:06:08.215874	50852	21.1	1	1
2014-03-27 18:06:08.520614	50853	595	3	2
2014-03-27 18:06:08.758942	50854	1098990.3427431975	4	2
2014-03-27 18:06:22.061517	50855	43	2	10
2014-03-27 18:06:22.284742	50856	22.3	1	10
2014-03-27 18:06:32.017059	50857	63	2	9
2014-03-27 18:06:32.260449	50858	22.0	1	9
2014-03-27 18:06:33.101745	50859	53	2	8
2014-03-27 18:06:33.323945	50860	21.2	1	8
2014-03-27 18:06:46.994561	50861	52	2	1
2014-03-27 18:06:47.225338	50862	21.1	1	1
2014-03-27 18:07:01.068014	50863	43	2	10
2014-03-27 18:07:01.289738	50864	22.3	1	10
2014-03-27 18:07:11.017281	50865	63	2	9
2014-03-27 18:07:11.248893	50866	22.0	1	9
2014-03-27 18:07:12.102344	50867	53	2	8
2014-03-27 18:07:12.322277	50868	21.2	1	8
2014-03-27 18:07:25.99154	50869	52	2	1
2014-03-27 18:07:26.223014	50870	21.1	1	1
2014-03-27 18:07:32.447335	50871	611	3	2
2014-03-27 18:07:32.669058	50872	1099005.280194576	4	2
2014-03-27 18:07:40.061815	50873	43	2	10
2014-03-27 18:07:40.294964	50874	22.3	1	10
2014-03-27 18:07:50.018445	50875	63	2	9
2014-03-27 18:07:50.238871	50876	22.1	1	9
2014-03-27 18:07:51.101201	50877	53	2	8
2014-03-27 18:07:51.331524	50878	21.2	1	8
2014-03-27 18:08:04.992597	50879	52	2	1
2014-03-27 18:08:05.213944	50880	21.1	1	1
2014-03-27 18:08:19.063783	50881	43	2	10
2014-03-27 18:08:19.294962	50882	22.4	1	10
2014-03-27 18:08:29.01865	50883	63	2	9
2014-03-27 18:08:29.240708	50884	22.1	1	9
2014-03-27 18:08:30.101824	50885	53	2	8
2014-03-27 18:08:30.332421	50886	21.2	1	8
2014-03-27 18:08:32.445927	50887	595	3	2
2014-03-27 18:08:32.670736	50888	1099014.472472347	4	2
2014-03-27 18:08:43.991642	50889	52	2	1
2014-03-27 18:08:44.222486	50890	21.1	1	1
2014-03-27 18:08:58.062193	50891	43	2	10
2014-03-27 18:08:58.283616	50892	22.4	1	10
2014-03-27 18:09:08.020341	50893	63	2	9
2014-03-27 18:09:08.252895	50894	22.1	1	9
2014-03-27 18:09:09.101755	50895	53	2	8
2014-03-27 18:09:09.322753	50896	21.2	1	8
2014-03-27 18:09:22.991664	50897	52	2	1
2014-03-27 18:09:23.22321	50898	21.1	1	1
2014-03-27 18:09:32.445907	50899	595	3	2
2014-03-27 18:09:32.668033	50900	1099024.8137848398	4	2
2014-03-27 18:09:37.062776	50901	43	2	10
2014-03-27 18:09:37.293514	50902	22.4	1	10
2014-03-27 18:09:47.01754	50903	62	2	9
2014-03-27 18:09:47.239371	50904	22.1	1	9
2014-03-27 18:09:48.102096	50905	53	2	8
2014-03-27 18:09:48.364194	50906	21.2	1	8
2014-03-27 18:10:01.990479	50907	52	2	1
2014-03-27 18:10:02.210834	50908	21.1	1	1
2014-03-27 18:10:16.062864	50909	43	2	10
2014-03-27 18:10:16.292926	50910	22.4	1	10
2014-03-27 18:10:26.019227	50911	62	2	9
2014-03-27 18:10:26.239534	50912	22.1	1	9
2014-03-27 18:10:27.101845	50913	53	2	8
2014-03-27 18:10:27.333179	50914	21.2	1	8
2014-03-27 18:10:32.444959	50915	595	3	2
2014-03-27 18:10:32.665968	50916	1099035.1550973326	4	2
2014-03-27 18:10:40.988753	50917	52	2	1
2014-03-27 18:10:41.221617	50918	21.1	1	1
2014-03-27 18:10:55.066077	50919	43	2	10
2014-03-27 18:10:55.289458	50920	22.4	1	10
2014-03-27 18:11:05.017747	50921	62	2	9
2014-03-27 18:11:05.251553	50922	22.1	1	9
2014-03-27 18:11:06.103394	50923	53	2	8
2014-03-27 18:11:06.324041	50924	21.2	1	8
2014-03-27 18:11:19.990417	50925	52	2	1
2014-03-27 18:11:20.223307	50926	21.1	1	1
2014-03-27 18:11:20.531111	50927	643	3	2
2014-03-27 18:11:20.75404	50928	1099043.1983403827	4	2
2014-03-27 18:11:32.441881	50929	643	3	2
2014-03-27 18:11:32.672907	50930	1099045.4964098253	4	2
2014-03-27 18:11:34.119082	50931	43	2	10
2014-03-27 18:11:34.467754	50932	22.4	1	10
2014-03-27 18:11:44.01723	50933	62	2	9
2014-03-27 18:11:44.388105	50934	22.1	1	9
2014-03-27 18:11:45.101148	50935	52	2	8
2014-03-27 18:11:45.327541	50936	21.1	1	8
2014-03-27 18:11:58.98797	50937	52	2	1
2014-03-27 18:11:59.220212	50938	21.1	1	1
2014-03-27 18:12:13.064121	50939	43	2	10
2014-03-27 18:12:13.291924	50940	22.4	1	10
2014-03-27 18:12:23.018035	50941	62	2	9
2014-03-27 18:12:23.252835	50942	22.1	1	9
2014-03-27 18:12:24.102303	50943	52	2	8
2014-03-27 18:12:24.327171	50944	21.1	1	8
2014-03-27 18:12:32.447034	50945	643	3	2
2014-03-27 18:12:32.678611	50946	1099055.837722318	4	2
2014-03-27 18:12:37.990273	50947	52	2	1
2014-03-27 18:12:38.21968	50948	21.1	1	1
2014-03-27 18:12:52.063656	50949	43	2	10
2014-03-27 18:12:52.299371	50950	22.4	1	10
2014-03-27 18:13:02.017526	50951	62	2	9
2014-03-27 18:13:02.237678	50952	22.1	1	9
2014-03-27 18:13:03.101722	50953	52	2	8
2014-03-27 18:13:03.344931	50954	21.1	1	8
2014-03-27 18:13:16.985144	50955	52	2	1
2014-03-27 18:13:17.206142	50956	21.1	1	1
2014-03-27 18:13:31.062495	50957	43	2	10
2014-03-27 18:13:31.297055	50958	22.4	1	10
2014-03-27 18:13:40.819312	50959	643	3	2
2014-03-27 18:13:41.043628	50960	1099066.1790348107	4	2
2014-03-27 18:13:41.346124	50961	62	2	9
2014-03-27 18:13:41.583118	50962	22.1	1	9
2014-03-27 18:13:42.103216	50963	52	2	8
2014-03-27 18:13:42.328238	50964	21.1	1	8
2014-03-27 18:13:55.989596	50965	52	2	1
2014-03-27 18:13:56.221084	50966	21.0	1	1
2014-03-27 18:14:10.064197	50967	43	2	10
2014-03-27 18:14:10.284276	50968	22.4	1	10
2014-03-27 18:14:20.017997	50969	62	2	9
2014-03-27 18:14:20.25326	50970	22.1	1	9
2014-03-27 18:14:21.101323	50971	52	2	8
2014-03-27 18:14:21.325349	50972	21.1	1	8
2014-03-27 18:14:32.443529	50973	643	3	2
2014-03-27 18:14:32.679319	50974	1099076.5248182558	4	2
2014-03-27 18:14:34.990021	50975	52	2	1
2014-03-27 18:14:35.212132	50976	21.0	1	1
2014-03-27 18:14:49.063325	50977	43	2	10
2014-03-27 18:14:49.298306	50978	22.4	1	10
2014-03-27 18:14:59.0173	50979	62	2	9
2014-03-27 18:14:59.243871	50980	22.2	1	9
2014-03-27 18:15:00.102498	50981	52	2	8
2014-03-27 18:15:00.338411	50982	21.1	1	8
2014-03-27 18:15:13.987077	50983	52	2	1
2014-03-27 18:15:14.211569	50984	21.0	1	1
2014-03-27 18:15:28.064587	50985	43	2	10
2014-03-27 18:15:28.294332	50986	22.4	1	10
2014-03-27 18:15:32.447282	50987	643	3	2
2014-03-27 18:15:32.667736	50988	1099086.8661307485	4	2
2014-03-27 18:15:38.019375	50989	62	2	9
2014-03-27 18:15:38.250658	50990	22.2	1	9
2014-03-27 18:15:39.10279	50991	52	2	8
2014-03-27 18:15:39.33336	50992	21.1	1	8
2014-03-27 18:15:53.023259	50993	52	2	1
2014-03-27 18:15:53.256498	50994	21.0	1	1
2014-03-27 18:16:07.065221	50995	43	2	10
2014-03-27 18:16:07.293667	50996	22.4	1	10
2014-03-27 18:16:17.018326	50997	62	2	9
2014-03-27 18:16:17.256453	50998	22.2	1	9
2014-03-27 18:16:18.103662	50999	52	2	8
2014-03-27 18:16:18.327602	51000	21.1	1	8
2014-03-27 18:16:31.988094	51001	52	2	1
2014-03-27 18:16:32.235141	51002	21.0	1	1
2014-03-27 18:16:32.540456	51003	611	3	2
2014-03-27 18:16:32.76446	51004	1099097.2074432413	4	2
2014-03-27 18:16:44.44608	51005	611	3	2
2014-03-27 18:16:44.676899	51006	1099099.5055126841	4	2
2014-03-27 18:16:46.06527	51007	43	2	10
2014-03-27 18:16:46.288324	51008	22.4	1	10
2014-03-27 18:16:56.017138	51009	61	2	9
2014-03-27 18:16:56.255143	51010	22.2	1	9
2014-03-27 18:16:57.102364	51011	52	2	8
2014-03-27 18:16:57.328898	51012	21.1	1	8
2014-03-27 18:17:08.444035	51013	547	3	2
2014-03-27 18:17:08.675876	51014	1099104.1016515698	4	2
2014-03-27 18:17:10.983199	51015	52	2	1
2014-03-27 18:17:11.20805	51016	21.0	1	1
2014-03-27 18:17:20.444627	51017	547	3	2
2014-03-27 18:17:20.676158	51018	1099105.2506862911	4	2
2014-03-27 18:17:25.064322	51019	43	2	10
2014-03-27 18:17:25.287076	51020	22.5	1	10
2014-03-27 18:17:32.445754	51021	547	3	2
2014-03-27 18:17:32.677102	51022	1099107.548755734	4	2
2014-03-27 18:17:35.017041	51023	61	2	9
2014-03-27 18:17:35.241795	51024	22.2	1	9
2014-03-27 18:17:36.1026	51025	52	2	8
2014-03-27 18:17:36.33896	51026	21.1	1	8
2014-03-27 18:17:44.445362	51027	482	3	2
2014-03-27 18:17:44.670501	51028	1099108.6977904555	4	2
2014-03-27 18:17:49.992906	51029	52	2	1
2014-03-27 18:17:50.228691	51030	21.0	1	1
2014-03-27 18:17:56.44442	51031	482	3	2
2014-03-27 18:17:56.684927	51032	1099110.9958598982	4	2
2014-03-27 18:18:04.113032	51033	43	2	10
2014-03-27 18:18:04.360186	51034	22.5	1	10
2014-03-27 18:18:14.016865	51035	61	2	9
2014-03-27 18:18:14.242462	51036	22.2	1	9
2014-03-27 18:18:15.102414	51037	52	2	8
2014-03-27 18:18:15.335795	51038	21.1	1	8
2014-03-27 18:18:28.983385	51039	52	2	1
2014-03-27 18:18:29.203959	51040	21.0	1	1
2014-03-27 18:18:32.453296	51041	482	3	2
2014-03-27 18:18:32.686672	51042	1099115.5919987839	4	2
2014-03-27 18:18:43.065003	51043	43	2	10
2014-03-27 18:18:43.286563	51044	22.5	1	10
2014-03-27 18:18:53.01703	51045	61	2	9
2014-03-27 18:18:53.248023	51046	22.2	1	9
2014-03-27 18:18:54.101231	51047	52	2	8
2014-03-27 18:18:54.322053	51048	21.1	1	8
2014-03-27 18:19:07.986712	51049	53	2	1
2014-03-27 18:19:08.228911	51050	20.9	1	1
2014-03-27 18:19:22.064381	51051	43	2	10
2014-03-27 18:19:22.286648	51052	22.5	1	10
2014-03-27 18:19:32.017677	51053	61	2	9
2014-03-27 18:19:32.247783	51054	22.2	1	9
2014-03-27 18:19:32.553073	51055	482	3	2
2014-03-27 18:19:32.77572	51056	1099123.6352418337	4	2
2014-03-27 18:19:33.101728	51057	52	2	8
2014-03-27 18:19:33.333137	51058	21.0	1	8
2014-03-27 18:19:46.985498	51059	53	2	1
2014-03-27 18:19:47.2079	51060	20.9	1	1
2014-03-27 18:20:01.066507	51061	43	2	10
2014-03-27 18:20:01.29695	51062	22.5	1	10
2014-03-27 18:20:11.017335	51063	61	2	9
2014-03-27 18:20:11.239491	51064	22.2	1	9
2014-03-27 18:20:12.102422	51065	52	2	8
2014-03-27 18:20:12.332764	51066	21.0	1	8
2014-03-27 18:20:25.98793	51067	53	2	1
2014-03-27 18:20:26.21174	51068	20.9	1	1
2014-03-27 18:20:32.443841	51069	482	3	2
2014-03-27 18:20:32.674075	51070	1099131.6784848836	4	2
2014-03-27 18:20:40.065497	51071	43	2	10
2014-03-27 18:20:40.286252	51072	22.5	1	10
2014-03-27 18:20:50.018293	51073	61	2	9
2014-03-27 18:20:50.250654	51074	22.2	1	9
2014-03-27 18:20:51.10238	51075	52	2	8
2014-03-27 18:20:51.323445	51076	21.0	1	8
2014-03-27 18:21:04.986452	51077	53	2	1
2014-03-27 18:21:05.217602	51078	20.9	1	1
2014-03-27 18:21:19.06774	51079	43	2	10
2014-03-27 18:21:19.288853	51080	22.5	1	10
2014-03-27 18:21:29.019608	51081	61	2	9
2014-03-27 18:21:29.252403	51082	22.2	1	9
2014-03-27 18:21:30.106395	51083	52	2	8
2014-03-27 18:21:30.327463	51084	21.0	1	8
2014-03-27 18:21:32.447434	51085	482	3	2
2014-03-27 18:21:32.677019	51086	1099139.7217279337	4	2
2014-03-27 18:21:43.982415	51087	53	2	1
2014-03-27 18:21:44.204936	51088	20.9	1	1
2014-03-27 18:21:58.066291	51089	43	2	10
2014-03-27 18:21:58.299906	51090	22.5	1	10
2014-03-27 18:22:08.016561	51091	61	2	9
2014-03-27 18:22:08.240775	51092	22.2	1	9
2014-03-27 18:22:09.101984	51093	52	2	8
2014-03-27 18:22:09.340987	51094	21.0	1	8
2014-03-27 18:22:22.987852	51095	53	2	1
2014-03-27 18:22:23.212396	51096	20.9	1	1
2014-03-27 18:22:32.445097	51097	466	3	2
2014-03-27 18:22:32.687346	51098	1099147.7649709836	4	2
2014-03-27 18:22:37.068264	51099	43	2	10
2014-03-27 18:22:37.302953	51100	22.5	1	10
2014-03-27 18:22:47.016148	51101	61	2	9
2014-03-27 18:22:47.247064	51102	22.2	1	9
2014-03-27 18:22:48.101478	51103	52	2	8
2014-03-27 18:22:48.323625	51104	21.0	1	8
2014-03-27 18:23:01.981372	51105	53	2	1
2014-03-27 18:23:02.212929	51106	20.9	1	1
2014-03-27 18:23:16.066799	51107	43	2	10
2014-03-27 18:23:16.287033	51108	22.5	1	10
2014-03-27 18:23:26.017211	51109	61	2	9
2014-03-27 18:23:26.247848	51110	22.2	1	9
2014-03-27 18:23:27.100401	51111	52	2	8
2014-03-27 18:23:27.320292	51112	21.0	1	8
2014-03-27 18:23:32.446025	51113	482	3	2
2014-03-27 18:23:32.677159	51114	1099155.8082140335	4	2
2014-03-27 18:23:40.98241	51115	53	2	1
2014-03-27 18:23:41.20307	51116	20.9	1	1
2014-03-27 18:23:44.445346	51117	515	3	2
2014-03-27 18:23:44.675828	51118	1099156.9572487548	4	2
2014-03-27 18:23:55.0662	51119	43	2	10
2014-03-27 18:23:55.288047	51120	22.5	1	10
2014-03-27 18:23:56.4457	51121	531	3	2
2014-03-27 18:23:56.679488	51122	1099159.2553181977	4	2
2014-03-27 18:24:05.017716	51123	61	2	9
2014-03-27 18:24:05.238823	51124	22.3	1	9
2014-03-27 18:24:06.102282	51125	52	2	8
2014-03-27 18:24:06.332845	51126	21.0	1	8
2014-03-27 18:24:19.982493	51127	53	2	1
2014-03-27 18:24:20.203383	51128	20.9	1	1
2014-03-27 18:24:32.445712	51129	531	3	2
2014-03-27 18:24:32.6808	51130	1099163.8514570834	4	2
2014-03-27 18:24:34.067059	51131	43	2	10
2014-03-27 18:24:34.288285	51132	22.6	1	10
2014-03-27 18:24:44.018314	51133	61	2	9
2014-03-27 18:24:44.249807	51134	22.3	1	9
2014-03-27 18:24:45.102026	51135	52	2	8
2014-03-27 18:24:45.322514	51136	21.0	1	8
2014-03-27 18:24:58.981792	51137	53	2	1
2014-03-27 18:24:59.212959	51138	20.9	1	1
2014-03-27 18:25:13.067309	51139	43	2	10
2014-03-27 18:25:13.290026	51140	22.6	1	10
2014-03-27 18:25:23.017734	51141	60	2	9
2014-03-27 18:25:23.249138	51142	22.3	1	9
2014-03-27 18:25:24.103447	51143	52	2	8
2014-03-27 18:25:24.324763	51144	21.0	1	8
2014-03-27 18:25:32.445068	51145	531	3	2
2014-03-27 18:25:32.688583	51146	1099173.0437348546	4	2
2014-03-27 18:25:37.983466	51147	53	2	1
2014-03-27 18:25:38.204887	51148	20.8	1	1
2014-03-27 18:25:52.067961	51149	43	2	10
2014-03-27 18:25:52.301351	51150	22.6	1	10
2014-03-27 18:26:02.01705	51151	60	2	9
2014-03-27 18:26:02.238609	51152	22.3	1	9
2014-03-27 18:26:03.102317	51153	52	2	8
2014-03-27 18:26:03.332825	51154	21.0	1	8
2014-03-27 18:26:16.983315	51155	53	2	1
2014-03-27 18:26:17.204933	51156	20.8	1	1
2014-03-27 18:26:31.069828	51157	43	2	10
2014-03-27 18:26:31.300843	51158	22.6	1	10
2014-03-27 18:26:32.444876	51159	531	3	2
2014-03-27 18:26:32.665915	51160	1099182.236012626	4	2
2014-03-27 18:26:41.020017	51161	60	2	9
2014-03-27 18:26:41.250343	51162	22.3	1	9
2014-03-27 18:26:42.10469	51163	52	2	8
2014-03-27 18:26:42.324719	51164	21.0	1	8
2014-03-27 18:26:55.979051	51165	53	2	1
2014-03-27 18:26:56.21161	51166	20.8	1	1
2014-03-27 18:27:10.073969	51167	43	2	10
2014-03-27 18:27:10.300626	51168	22.6	1	10
2014-03-27 18:27:20.016418	51169	60	2	9
2014-03-27 18:27:20.250236	51170	22.3	1	9
2014-03-27 18:27:21.104372	51171	52	2	8
2014-03-27 18:27:21.325086	51172	21.0	1	8
2014-03-27 18:27:32.442691	51173	531	3	2
2014-03-27 18:27:32.675015	51174	1099190.2792556759	4	2
2014-03-27 18:27:34.97869	51175	53	2	1
2014-03-27 18:27:35.201402	51176	20.8	1	1
2014-03-27 18:27:49.069447	51177	43	2	10
2014-03-27 18:27:49.305196	51178	22.6	1	10
2014-03-27 18:27:59.018758	51179	60	2	9
2014-03-27 18:27:59.242462	51180	22.3	1	9
2014-03-27 18:28:00.10225	51181	52	2	8
2014-03-27 18:28:00.335403	51182	21.0	1	8
2014-03-27 18:28:13.980485	51183	53	2	1
2014-03-27 18:28:14.205321	51184	20.8	1	1
2014-03-27 18:28:28.06935	51185	43	2	10
2014-03-27 18:28:28.299823	51186	22.6	1	10
2014-03-27 18:28:32.4496	51187	531	3	2
2014-03-27 18:28:32.671548	51188	1099199.4715334473	4	2
2014-03-27 18:28:38.017835	51189	60	2	9
2014-03-27 18:28:38.248207	51190	22.3	1	9
2014-03-27 18:28:39.102522	51191	52	2	8
2014-03-27 18:28:39.32227	51192	21.0	1	8
2014-03-27 18:28:44.444168	51193	482	3	2
2014-03-27 18:28:44.688103	51194	1099201.7696028901	4	2
2014-03-27 18:28:52.980676	51195	53	2	1
2014-03-27 18:28:53.201845	51196	20.8	1	1
2014-03-27 18:28:56.446888	51197	482	3	2
2014-03-27 18:28:56.677675	51198	1099202.9186376114	4	2
2014-03-27 18:29:07.068322	51199	43	2	10
2014-03-27 18:29:07.288682	51200	22.6	1	10
2014-03-27 18:29:17.015968	51201	60	2	9
2014-03-27 18:29:17.248986	51202	22.3	1	9
2014-03-27 18:29:18.103205	51203	52	2	8
2014-03-27 18:29:18.32445	51204	21.0	1	8
2014-03-27 18:29:31.981289	51205	53	2	1
2014-03-27 18:29:32.210721	51206	20.8	1	1
2014-03-27 18:29:32.517623	51207	482	3	2
2014-03-27 18:29:32.737243	51208	1099207.5147764971	4	2
2014-03-27 18:29:46.06803	51209	43	2	10
2014-03-27 18:29:46.299282	51210	22.6	1	10
2014-03-27 18:29:56.01635	51211	60	2	9
2014-03-27 18:29:56.236879	51212	22.3	1	9
2014-03-27 18:29:57.100723	51213	51	2	8
2014-03-27 18:29:57.333482	51214	21.0	1	8
2014-03-27 18:30:10.979838	51215	53	2	1
2014-03-27 18:30:11.200202	51216	20.8	1	1
2014-03-27 18:30:25.06756	51217	43	2	10
2014-03-27 18:30:25.300454	51218	22.6	1	10
2014-03-27 18:30:32.444695	51219	482	3	2
2014-03-27 18:30:32.666689	51220	1099215.558019547	4	2
2014-03-27 18:30:35.016438	51221	60	2	9
2014-03-27 18:30:35.248283	51222	22.3	1	9
2014-03-27 18:30:36.101927	51223	51	2	8
2014-03-27 18:30:36.322356	51224	21.0	1	8
2014-03-27 18:30:50.012607	51225	53	2	1
2014-03-27 18:30:50.243428	51226	20.8	1	1
2014-03-27 18:31:04.069549	51227	43	2	10
2014-03-27 18:31:04.291626	51228	22.6	1	10
2014-03-27 18:31:14.015193	51229	60	2	9
2014-03-27 18:31:14.246917	51230	22.3	1	9
2014-03-27 18:31:15.101505	51231	52	2	8
2014-03-27 18:31:15.322993	51232	20.9	1	8
2014-03-27 18:31:29.023026	51233	53	2	1
2014-03-27 18:31:29.254781	51234	20.8	1	1
2014-03-27 18:31:32.44285	51235	482	3	2
2014-03-27 18:31:32.666391	51236	1099223.601262597	4	2
2014-03-27 18:31:43.068217	51237	43	2	10
2014-03-27 18:31:43.301394	51238	22.6	1	10
2014-03-27 18:31:53.017881	51239	60	2	9
2014-03-27 18:31:53.24022	51240	22.3	1	9
2014-03-27 18:31:54.101544	51241	52	2	8
2014-03-27 18:31:54.343003	51242	20.9	1	8
2014-03-27 18:32:08.015223	51243	53	2	1
2014-03-27 18:32:08.236807	51244	20.8	1	1
2014-03-27 18:32:22.072615	51245	43	2	10
2014-03-27 18:32:22.303225	51246	22.7	1	10
2014-03-27 18:32:32.017419	51247	60	2	9
2014-03-27 18:32:32.240354	51248	22.3	1	9
2014-03-27 18:32:32.545386	51249	482	3	2
2014-03-27 18:32:32.77717	51250	1099231.6445056468	4	2
2014-03-27 18:32:33.104955	51251	52	2	8
2014-03-27 18:32:33.326222	51252	20.9	1	8
2014-03-27 18:32:46.976302	51253	53	2	1
2014-03-27 18:32:47.212704	51254	20.8	1	1
2014-03-27 18:33:01.069743	51255	43	2	10
2014-03-27 18:33:01.293416	51256	22.7	1	10
2014-03-27 18:33:11.016867	51257	60	2	9
2014-03-27 18:33:11.249863	51258	22.3	1	9
2014-03-27 18:33:12.101673	51259	52	2	8
2014-03-27 18:33:12.32528	51260	20.9	1	8
2014-03-27 18:33:25.977623	51261	53	2	1
2014-03-27 18:33:26.209302	51262	20.8	1	1
2014-03-27 18:33:32.442539	51263	482	3	2
2014-03-27 18:33:32.664748	51264	1099239.6877486967	4	2
2014-03-27 18:33:40.069876	51265	43	2	10
2014-03-27 18:33:40.304272	51266	22.7	1	10
2014-03-27 18:33:50.016128	51267	60	2	9
2014-03-27 18:33:50.237397	51268	22.3	1	9
2014-03-27 18:33:51.1016	51269	52	2	8
2014-03-27 18:33:51.332744	51270	20.9	1	8
2014-03-27 18:34:04.976376	51271	53	2	1
2014-03-27 18:34:05.197218	51272	20.8	1	1
2014-03-27 18:34:19.069626	51273	43	2	10
2014-03-27 18:34:19.302565	51274	22.7	1	10
2014-03-27 18:34:29.016033	51275	60	2	9
2014-03-27 18:34:29.238532	51276	22.3	1	9
2014-03-27 18:34:30.101558	51277	52	2	8
2014-03-27 18:34:30.331281	51278	20.9	1	8
2014-03-27 18:34:32.445607	51279	498	3	2
2014-03-27 18:34:32.666939	51280	1099247.7309917465	4	2
2014-03-27 18:34:43.974208	51281	53	2	1
2014-03-27 18:34:44.206053	51282	20.7	1	1
2014-03-27 18:34:58.069796	51283	43	2	10
2014-03-27 18:34:58.291147	51284	22.7	1	10
2014-03-27 18:35:08.015978	51285	60	2	9
2014-03-27 18:35:08.246758	51286	22.3	1	9
2014-03-27 18:35:09.102016	51287	52	2	8
2014-03-27 18:35:09.323857	51288	20.9	1	8
2014-03-27 18:35:20.441601	51289	531	3	2
2014-03-27 18:35:20.684873	51290	1099254.625200075	4	2
2014-03-27 18:35:22.975625	51291	53	2	1
2014-03-27 18:35:23.195762	51292	20.7	1	1
2014-03-27 18:35:32.444831	51293	531	3	2
2014-03-27 18:35:32.679924	51294	1099256.923269518	4	2
2014-03-27 18:35:37.070306	51295	43	2	10
2014-03-27 18:35:37.290455	51296	22.7	1	10
2014-03-27 18:35:47.017594	51297	60	2	9
2014-03-27 18:35:47.248884	51298	22.3	1	9
2014-03-27 18:35:48.101556	51299	52	2	8
2014-03-27 18:35:48.321477	51300	20.9	1	8
2014-03-27 18:36:01.975742	51301	53	2	1
2014-03-27 18:36:02.208623	51302	20.7	1	1
2014-03-27 18:36:16.070647	51303	43	2	10
2014-03-27 18:36:16.291453	51304	22.7	1	10
2014-03-27 18:36:26.015956	51305	60	2	9
2014-03-27 18:36:26.246555	51306	22.3	1	9
2014-03-27 18:36:27.101776	51307	52	2	8
2014-03-27 18:36:27.322438	51308	20.9	1	8
2014-03-27 18:36:32.441494	51309	531	3	2
2014-03-27 18:36:32.673051	51310	1099264.9665125678	4	2
2014-03-27 18:36:40.975685	51311	53	2	1
2014-03-27 18:36:41.197945	51312	20.7	1	1
2014-03-27 18:36:55.070917	51313	43	2	10
2014-03-27 18:36:55.301567	51314	22.7	1	10
2014-03-27 18:37:05.017666	51315	59	2	9
2014-03-27 18:37:05.239928	51316	22.3	1	9
2014-03-27 18:37:06.102561	51317	52	2	8
2014-03-27 18:37:06.333413	51318	20.9	1	8
2014-03-27 18:37:19.973095	51319	53	2	1
2014-03-27 18:37:20.194796	51320	20.7	1	1
2014-03-27 18:37:32.441405	51321	531	3	2
2014-03-27 18:37:32.673245	51322	1099274.1587903393	4	2
2014-03-27 18:37:34.072791	51323	43	2	10
2014-03-27 18:37:34.294676	51324	22.7	1	10
2014-03-27 18:37:44.017436	51325	59	2	9
2014-03-27 18:37:44.252496	51326	22.3	1	9
2014-03-27 18:37:45.102589	51327	52	2	8
2014-03-27 18:37:45.323662	51328	20.9	1	8
2014-03-27 18:37:58.971789	51329	53	2	1
2014-03-27 18:37:59.206	51330	20.7	1	1
2014-03-27 18:38:13.071206	51331	43	2	10
2014-03-27 18:38:13.293679	51332	22.7	1	10
2014-03-27 18:38:23.017268	51333	59	2	9
2014-03-27 18:38:23.249713	51334	22.3	1	9
2014-03-27 18:38:24.102109	51335	52	2	8
2014-03-27 18:38:24.323928	51336	20.9	1	8
2014-03-27 18:38:32.442134	51337	531	3	2
2014-03-27 18:38:32.685379	51338	1099283.3510681104	4	2
2014-03-27 18:38:37.981936	51339	53	2	1
2014-03-27 18:38:38.203349	51340	20.7	1	1
2014-03-27 18:38:52.070762	51341	43	2	10
2014-03-27 18:38:52.303709	51342	22.8	1	10
2014-03-27 18:39:02.017841	51343	59	2	9
2014-03-27 18:39:02.238031	51344	22.3	1	9
2014-03-27 18:39:03.101681	51345	52	2	8
2014-03-27 18:39:03.333608	51346	20.9	1	8
2014-03-27 18:39:16.974638	51347	54	2	1
2014-03-27 18:39:17.196885	51348	20.7	1	1
2014-03-27 18:39:31.072186	51349	43	2	10
2014-03-27 18:39:31.303448	51350	22.8	1	10
2014-03-27 18:39:32.444939	51351	515	3	2
2014-03-27 18:39:32.669104	51352	1099292.5433458819	4	2
2014-03-27 18:39:41.018073	51353	59	2	9
2014-03-27 18:39:41.24929	51354	22.3	1	9
2014-03-27 18:39:42.100593	51355	52	2	8
2014-03-27 18:39:42.322706	51356	20.9	1	8
2014-03-27 18:39:55.974514	51357	54	2	1
2014-03-27 18:39:56.206243	51358	20.7	1	1
2014-03-27 18:40:10.075005	51359	43	2	10
2014-03-27 18:40:10.295863	51360	22.8	1	10
2014-03-27 18:40:20.017318	51361	59	2	9
2014-03-27 18:40:20.248695	51362	22.3	1	9
2014-03-27 18:40:21.102274	51363	52	2	8
2014-03-27 18:40:21.32331	51364	20.9	1	8
2014-03-27 18:40:32.442801	51365	531	3	2
2014-03-27 18:40:32.676884	51366	1099300.5865889317	4	2
2014-03-27 18:40:35.028289	51367	54	2	1
2014-03-27 18:40:35.250902	51368	20.7	1	1
2014-03-27 18:40:49.07233	51369	43	2	10
2014-03-27 18:40:49.304989	51370	22.8	1	10
2014-03-27 18:40:56.443579	51371	482	3	2
2014-03-27 18:40:56.668674	51372	1099304.033693096	4	2
2014-03-27 18:40:59.01971	51373	59	2	9
2014-03-27 18:40:59.249617	51374	22.3	1	9
2014-03-27 18:41:00.101696	51375	52	2	8
2014-03-27 18:41:00.323215	51376	20.9	1	8
2014-03-27 18:41:08.441635	51377	466	3	2
2014-03-27 18:41:08.671837	51378	1099306.3317625388	4	2
2014-03-27 18:41:13.973129	51379	54	2	1
2014-03-27 18:41:14.195231	51380	20.7	1	1
2014-03-27 18:41:28.072105	51381	43	2	10
2014-03-27 18:41:28.303002	51382	22.8	1	10
2014-03-27 18:41:32.443619	51383	482	3	2
2014-03-27 18:41:32.665459	51384	1099309.7788667032	4	2
2014-03-27 18:41:38.017003	51385	59	2	9
2014-03-27 18:41:38.260759	51386	22.3	1	9
2014-03-27 18:41:39.101387	51387	52	2	8
2014-03-27 18:41:39.322464	51388	20.9	1	8
2014-03-27 18:41:52.969843	51389	54	2	1
2014-03-27 18:41:53.202566	51390	20.6	1	1
2014-03-27 18:42:07.07397	51391	43	2	10
2014-03-27 18:42:07.297995	51392	22.8	1	10
2014-03-27 18:42:17.019846	51393	59	2	9
2014-03-27 18:42:17.252112	51394	22.3	1	9
2014-03-27 18:42:18.10096	51395	52	2	8
2014-03-27 18:42:18.322419	51396	20.9	1	8
2014-03-27 18:42:31.974207	51397	54	2	1
2014-03-27 18:42:32.205668	51398	20.6	1	1
2014-03-27 18:42:32.512319	51399	482	3	2
2014-03-27 18:42:32.733708	51400	1099316.6730750315	4	2
2014-03-27 18:42:46.074687	51401	43	2	10
2014-03-27 18:42:46.30867	51402	22.8	1	10
2014-03-27 18:42:56.018828	51403	59	2	9
2014-03-27 18:42:56.242442	51404	22.4	1	9
2014-03-27 18:42:57.101918	51405	52	2	8
2014-03-27 18:42:57.333362	51406	20.9	1	8
2014-03-27 18:43:11.210673	51407	54	2	1
2014-03-27 18:43:11.433045	51408	20.6	1	1
2014-03-27 18:43:25.072793	51409	43	2	10
2014-03-27 18:43:25.306509	51410	22.8	1	10
2014-03-27 18:43:32.442495	51411	466	3	2
2014-03-27 18:43:32.665055	51412	1099324.7163180814	4	2
2014-03-27 18:43:35.043444	51413	59	2	9
2014-03-27 18:43:35.307541	51414	22.4	1	9
2014-03-27 18:43:36.10326	51415	52	2	8
2014-03-27 18:43:36.326801	51416	20.9	1	8
2014-03-27 18:43:49.968669	51417	54	2	1
2014-03-27 18:43:50.202911	51418	20.6	1	1
2014-03-27 18:44:04.073839	51419	43	2	10
2014-03-27 18:44:04.298761	51420	22.8	1	10
2014-03-27 18:44:14.017056	51421	59	2	9
2014-03-27 18:44:14.248609	51422	22.4	1	9
2014-03-27 18:44:15.103132	51423	51	2	8
2014-03-27 18:44:15.326501	51424	20.9	1	8
2014-03-27 18:44:28.969844	51425	54	2	1
2014-03-27 18:44:29.202011	51426	20.6	1	1
2014-03-27 18:44:32.445587	51427	482	3	2
2014-03-27 18:44:32.666772	51428	1099332.7595611312	4	2
2014-03-27 18:44:43.073331	51429	43	2	10
2014-03-27 18:44:43.305786	51430	22.9	1	10
2014-03-27 18:44:53.017042	51431	59	2	9
2014-03-27 18:44:53.238711	51432	22.4	1	9
2014-03-27 18:44:54.100927	51433	52	2	8
2014-03-27 18:44:54.344352	51434	20.9	1	8
2014-03-27 18:45:07.969157	51435	54	2	1
2014-03-27 18:45:08.190618	51436	20.6	1	1
2014-03-27 18:45:22.072502	51437	43	2	10
2014-03-27 18:45:22.303287	51438	22.9	1	10
2014-03-27 18:45:32.015003	51439	59	2	9
2014-03-27 18:45:32.236654	51440	22.4	1	9
2014-03-27 18:45:32.542531	51441	482	3	2
2014-03-27 18:45:32.775734	51442	1099340.8028041814	4	2
2014-03-27 18:45:33.102373	51443	51	2	8
2014-03-27 18:45:33.32318	51444	20.9	1	8
2014-03-27 18:45:46.969688	51445	54	2	1
2014-03-27 18:45:47.199444	51446	20.6	1	1
2014-03-27 18:46:01.073199	51447	44	2	10
2014-03-27 18:46:01.295018	51448	22.9	1	10
2014-03-27 18:46:11.01589	51449	59	2	9
2014-03-27 18:46:11.248686	51450	22.4	1	9
2014-03-27 18:46:12.101367	51451	51	2	8
2014-03-27 18:46:12.321589	51452	20.9	1	8
2014-03-27 18:46:25.972344	51453	54	2	1
2014-03-27 18:46:26.204018	51454	20.6	1	1
2014-03-27 18:46:32.440733	51455	482	3	2
2014-03-27 18:46:32.663447	51456	1099348.8460472312	4	2
2014-03-27 18:46:40.072551	51457	44	2	10
2014-03-27 18:46:40.305721	51458	22.9	1	10
2014-03-27 18:46:50.015578	51459	59	2	9
2014-03-27 18:46:50.237315	51460	22.4	1	9
2014-03-27 18:46:51.101262	51461	51	2	8
2014-03-27 18:46:51.332999	51462	20.9	1	8
2014-03-27 18:47:04.967195	51463	54	2	1
2014-03-27 18:47:05.243997	51464	20.6	1	1
2014-03-27 18:47:19.074461	51465	44	2	10
2014-03-27 18:47:19.305634	51466	22.9	1	10
2014-03-27 18:47:29.016169	51467	59	2	9
2014-03-27 18:47:29.237917	51468	22.4	1	9
2014-03-27 18:47:30.101831	51469	51	2	8
2014-03-27 18:47:30.333253	51470	20.9	1	8
2014-03-27 18:47:32.445156	51471	498	3	2
2014-03-27 18:47:32.66779	51472	1099358.0383250024	4	2
2014-03-27 18:47:43.969968	51473	54	2	1
2014-03-27 18:47:44.203997	51474	20.6	1	1
2014-03-27 18:47:44.511843	51475	531	3	2
2014-03-27 18:47:44.732757	51476	1099359.187359724	4	2
2014-03-27 18:47:57.876201	51477	547	3	2
2014-03-27 18:47:58.11247	51478	1099361.4854291668	4	2
2014-03-27 18:47:58.415446	51479	44	2	10
2014-03-27 18:47:58.636904	51480	22.9	1	10
2014-03-27 18:48:08.018441	51481	59	2	9
2014-03-27 18:48:08.261297	51482	22.4	1	9
2014-03-27 18:48:09.103186	51483	51	2	8
2014-03-27 18:48:09.32321	51484	20.9	1	8
2014-03-27 18:48:22.965971	51485	54	2	1
2014-03-27 18:48:23.385096	51486	20.6	1	1
2014-03-27 18:48:32.444194	51487	531	3	2
2014-03-27 18:48:32.6663	51488	1099366.0815680523	4	2
2014-03-27 18:48:37.07463	51489	44	2	10
2014-03-27 18:48:37.296813	51490	22.9	1	10
2014-03-27 18:48:47.016486	51491	59	2	9
2014-03-27 18:48:47.248074	51492	22.4	1	9
2014-03-27 18:48:48.101767	51493	51	2	8
2014-03-27 18:48:48.324092	51494	20.9	1	8
2014-03-27 18:49:01.967769	51495	54	2	1
2014-03-27 18:49:02.200259	51496	20.6	1	1
2014-03-27 18:49:16.073927	51497	44	2	10
2014-03-27 18:49:16.296448	51498	22.9	1	10
2014-03-27 18:49:26.015125	51499	58	2	9
2014-03-27 18:49:26.249657	51500	22.4	1	9
2014-03-27 18:49:27.101209	51501	51	2	8
2014-03-27 18:49:27.344025	51502	20.9	1	8
2014-03-27 18:49:32.443641	51503	531	3	2
2014-03-27 18:49:32.674915	51504	1099374.1292820545	4	2
2014-03-27 18:49:40.966978	51505	54	2	1
2014-03-27 18:49:41.198239	51506	20.6	1	1
2014-03-27 18:49:55.075081	51507	44	2	10
2014-03-27 18:49:55.306164	51508	22.9	1	10
2014-03-27 18:50:05.016058	51509	58	2	9
2014-03-27 18:50:05.293233	51510	22.4	1	9
2014-03-27 18:50:06.102461	51511	51	2	8
2014-03-27 18:50:06.33306	51512	20.9	1	8
2014-03-27 18:50:19.967061	51513	54	2	1
2014-03-27 18:50:20.190201	51514	20.6	1	1
2014-03-27 18:50:32.442505	51515	531	3	2
2014-03-27 18:50:32.674226	51516	1099383.321559826	4	2
2014-03-27 18:50:34.074842	51517	43	2	10
2014-03-27 18:50:34.295933	51518	23.0	1	10
2014-03-27 18:50:44.016281	51519	58	2	9
2014-03-27 18:50:44.247292	51520	22.4	1	9
2014-03-27 18:50:45.101647	51521	51	2	8
2014-03-27 18:50:45.322679	51522	20.8	1	8
2014-03-27 18:50:58.964601	51523	54	2	1
2014-03-27 18:50:59.19668	51524	20.6	1	1
2014-03-27 18:51:13.074962	51525	43	2	10
2014-03-27 18:51:13.297072	51526	23.0	1	10
2014-03-27 18:51:23.015558	51527	58	2	9
2014-03-27 18:51:23.247873	51528	22.4	1	9
2014-03-27 18:51:24.101734	51529	51	2	8
2014-03-27 18:51:24.323364	51530	20.8	1	8
2014-03-27 18:51:32.441221	51531	627	3	2
2014-03-27 18:51:32.684784	51532	1099392.513837597	4	2
2014-03-27 18:51:37.968665	51533	54	2	1
2014-03-27 18:51:38.190803	51534	20.5	1	1
2014-03-27 18:51:44.442039	51535	627	3	2
2014-03-27 18:51:44.675561	51536	1099394.81190704	4	2
2014-03-27 18:51:52.07491	51537	43	2	10
2014-03-27 18:51:52.295987	51538	23.0	1	10
2014-03-27 18:52:02.016072	51539	58	2	9
2014-03-27 18:52:02.247233	51540	22.4	1	9
2014-03-27 18:52:03.102416	51541	51	2	8
2014-03-27 18:52:03.323337	51542	20.8	1	8
2014-03-27 18:52:16.966603	51543	54	2	1
2014-03-27 18:52:17.198191	51544	20.5	1	1
2014-03-27 18:52:31.076963	51545	43	2	10
2014-03-27 18:52:31.297715	51546	23.0	1	10
2014-03-27 18:52:32.442533	51547	627	3	2
2014-03-27 18:52:32.673673	51548	1099402.8551500898	4	2
2014-03-27 18:52:41.015423	51549	58	2	9
2014-03-27 18:52:41.239792	51550	22.4	1	9
2014-03-27 18:52:42.101003	51551	51	2	8
2014-03-27 18:52:42.331128	51552	20.8	1	8
2014-03-27 18:52:55.968652	51553	54	2	1
2014-03-27 18:52:56.192698	51554	20.5	1	1
2014-03-27 18:53:20.016429	51555	58	2	9
2014-03-27 18:53:20.249765	51556	22.4	1	9
2014-03-27 18:53:20.555273	51557	676	3	2
2014-03-27 18:53:20.776906	51558	1099410.8983931397	4	2
2014-03-27 18:53:21.101625	51559	52	2	8
2014-03-27 18:53:21.333253	51560	20.8	1	8
2014-03-27 18:53:32.440976	51561	853	3	2
2014-03-27 18:53:32.662617	51562	1099414.345497304	4	2
2014-03-27 18:53:34.964015	51563	54	2	1
2014-03-27 18:53:35.196952	51564	20.5	1	1
2014-03-27 18:53:44.442385	51565	837	3	2
2014-03-27 18:53:44.6649	51566	1099416.643566747	4	2
2014-03-27 18:53:49.076446	51567	43	2	10
2014-03-27 18:53:49.306842	51568	23.0	1	10
2014-03-27 18:53:59.139874	51569	58	2	9
2014-03-27 18:53:59.564488	51570	22.4	1	9
2014-03-27 18:54:00.230033	51571	52	2	8
2014-03-27 18:54:00.672499	51572	20.9	1	8
2014-03-27 18:54:13.966456	51573	54	2	1
2014-03-27 18:54:14.189467	51574	20.5	1	1
2014-03-27 18:54:28.075318	51575	43	2	10
2014-03-27 18:54:28.308239	51576	23.0	1	10
2014-03-27 18:54:32.443836	51577	820	3	2
2014-03-27 18:54:32.669186	51578	1099428.133913961	4	2
2014-03-27 18:54:38.01831	51579	58	2	9
2014-03-27 18:54:38.2926	51580	22.4	1	9
2014-03-27 18:54:39.2249	51581	52	2	8
2014-03-27 18:54:39.642036	51582	20.9	1	8
2014-03-27 18:54:52.960382	51583	54	2	1
2014-03-27 18:54:53.231206	51584	20.5	1	1
2014-03-27 18:55:07.07718	51585	43	2	10
2014-03-27 18:55:07.33396	51586	23.0	1	10
2014-03-27 18:55:17.014702	51587	58	2	9
2014-03-27 18:55:17.285793	51588	22.4	1	9
2014-03-27 18:55:18.102132	51589	52	2	8
2014-03-27 18:55:18.325552	51590	20.9	1	8
2014-03-27 18:55:31.98107	51591	54	2	1
2014-03-27 18:55:32.21588	51592	20.6	1	1
2014-03-27 18:55:32.52308	51593	820	3	2
2014-03-27 18:55:32.747276	51594	1099441.922330618	4	2
2014-03-27 18:55:46.076766	51595	43	2	10
2014-03-27 18:55:46.313942	51596	23.0	1	10
2014-03-27 18:55:56.015751	51597	58	2	9
2014-03-27 18:55:56.240806	51598	22.4	1	9
2014-03-27 18:55:57.100354	51599	52	2	8
2014-03-27 18:55:57.334565	51600	20.9	1	8
2014-03-27 18:56:10.969048	51601	54	2	1
2014-03-27 18:56:11.195001	51602	20.6	1	1
2014-03-27 18:56:25.074701	51603	43	2	10
2014-03-27 18:56:25.306447	51604	23.1	1	10
2014-03-27 18:56:32.443134	51605	820	3	2
2014-03-27 18:56:32.666879	51606	1099455.710747275	4	2
2014-03-27 18:56:35.01717	51607	58	2	9
2014-03-27 18:56:35.248733	51608	22.4	1	9
2014-03-27 18:56:36.101083	51609	52	2	8
2014-03-27 18:56:36.325247	51610	20.9	1	8
2014-03-27 18:56:49.959397	51611	54	2	1
2014-03-27 18:56:50.190756	51612	20.6	1	1
2014-03-27 18:57:04.077136	51613	43	2	10
2014-03-27 18:57:04.300651	51614	23.1	1	10
2014-03-27 18:57:14.015932	51615	58	2	9
2014-03-27 18:57:14.24783	51616	22.4	1	9
2014-03-27 18:57:15.101282	51617	52	2	8
2014-03-27 18:57:15.322517	51618	21.0	1	8
2014-03-27 18:57:28.960989	51619	54	2	1
2014-03-27 18:57:29.195693	51620	20.6	1	1
2014-03-27 18:57:32.442068	51621	820	3	2
2014-03-27 18:57:32.667479	51622	1099469.499163932	4	2
2014-03-27 18:57:43.075978	51623	43	2	10
2014-03-27 18:57:43.318556	51624	23.1	1	10
2014-03-27 18:57:53.015907	51625	58	2	9
2014-03-27 18:57:53.240191	51626	22.4	1	9
2014-03-27 18:57:54.102607	51627	52	2	8
2014-03-27 18:57:54.348117	51628	21.0	1	8
2014-03-27 18:58:07.960627	51629	54	2	1
2014-03-27 18:58:08.184893	51630	20.6	1	1
2014-03-27 18:58:20.443793	51631	643	3	2
2014-03-27 18:58:20.679466	51632	1099479.8404764247	4	2
2014-03-27 18:58:22.07785	51633	43	2	10
2014-03-27 18:58:22.302075	51634	23.1	1	10
2014-03-27 18:58:32.017262	51635	58	2	9
2014-03-27 18:58:32.252977	51636	22.4	1	9
2014-03-27 18:58:32.557907	51637	659	3	2
2014-03-27 18:58:32.783563	51638	1099480.9895111462	4	2
2014-03-27 18:58:33.102738	51639	52	2	8
2014-03-27 18:58:33.335817	51640	21.0	1	8
2014-03-27 18:58:44.443669	51641	820	3	2
2014-03-27 18:58:44.665389	51642	1099484.4366153104	4	2
2014-03-27 18:58:46.960437	51643	54	2	1
2014-03-27 18:58:47.193483	51644	20.6	1	1
2014-03-27 18:58:56.449606	51645	820	3	2
2014-03-27 18:58:56.675012	51646	1099486.7346847532	4	2
2014-03-27 18:59:01.079663	51647	43	2	10
2014-03-27 18:59:01.315408	51648	23.1	1	10
2014-03-27 18:59:11.022794	51649	58	2	9
2014-03-27 18:59:11.250064	51650	22.4	1	9
2014-03-27 18:59:12.10245	51651	52	2	8
2014-03-27 18:59:12.336391	51652	21.1	1	8
2014-03-27 18:59:25.955842	51653	54	2	1
2014-03-27 18:59:26.183284	51654	20.6	1	1
2014-03-27 18:59:32.453202	51655	820	3	2
2014-03-27 18:59:32.689603	51656	1099494.777927803	4	2
2014-03-27 18:59:40.078247	51657	43	2	10
2014-03-27 18:59:40.305923	51658	23.1	1	10
2014-03-27 18:59:50.015205	51659	58	2	9
2014-03-27 18:59:50.248411	51660	22.4	1	9
2014-03-27 18:59:51.100721	51661	52	2	8
2014-03-27 18:59:51.323641	51662	21.1	1	8
2014-03-27 19:00:04.96051	51663	54	2	1
2014-03-27 19:00:05.194706	51664	20.6	1	1
2014-03-27 19:00:08.444265	51665	2977	3	2
2014-03-27 19:00:08.667103	51666	1099505.1192402958	4	2
2014-03-27 19:00:19.077987	51667	43	2	10
2014-03-27 19:00:19.311257	51668	23.1	1	10
2014-03-27 19:00:20.441668	51669	2945	3	2
2014-03-27 19:00:20.663109	51670	1099514.311518067	4	2
2014-03-27 19:00:29.015413	51671	58	2	9
2014-03-27 19:00:29.250577	51672	22.4	1	9
2014-03-27 19:00:30.100691	51673	52	2	8
2014-03-27 19:00:30.326672	51674	21.1	1	8
2014-03-27 19:00:32.445507	51675	2913	3	2
2014-03-27 19:00:32.690075	51676	1099524.6528305598	4	2
2014-03-27 19:00:43.959304	51677	54	2	1
2014-03-27 19:00:44.179893	51678	20.6	1	1
2014-03-27 19:00:44.490781	51679	2913	3	2
2014-03-27 19:00:44.72107	51680	1099533.8451083312	4	2
2014-03-27 19:00:58.077315	51681	43	2	10
2014-03-27 19:00:58.306413	51682	23.1	1	10
2014-03-27 19:01:08.015779	51683	57	2	9
2014-03-27 19:01:08.24632	51684	22.4	1	9
2014-03-27 19:01:08.555752	51685	2832	3	2
2014-03-27 19:01:08.776859	51686	1099553.3786985953	4	2
2014-03-27 19:01:09.100529	51687	52	2	8
2014-03-27 19:01:09.330868	51688	21.1	1	8
2014-03-27 19:01:20.439886	51689	2897	3	2
2014-03-27 19:01:20.666967	51690	1099563.720011088	4	2
2014-03-27 19:01:22.957322	51691	54	2	1
2014-03-27 19:01:23.187851	51692	20.6	1	1
2014-03-27 19:01:32.441352	51693	2929	3	2
2014-03-27 19:01:32.665443	51694	1099572.9122888593	4	2
2014-03-27 19:01:37.078849	51695	43	2	10
2014-03-27 19:01:37.314171	51696	23.1	1	10
2014-03-27 19:01:44.443354	51697	2945	3	2
2014-03-27 19:01:44.666562	51698	1099583.253601352	4	2
2014-03-27 19:01:47.014848	51699	57	2	9
2014-03-27 19:01:47.245402	51700	22.4	1	9
2014-03-27 19:01:48.100567	51701	52	2	8
2014-03-27 19:01:48.322642	51702	21.1	1	8
2014-03-27 19:01:56.442447	51703	2913	3	2
2014-03-27 19:01:56.680888	51704	1099592.4458791234	4	2
2014-03-27 19:02:01.961776	51705	54	2	1
2014-03-27 19:02:02.185052	51706	20.6	1	1
2014-03-27 19:02:08.442732	51707	2929	3	2
2014-03-27 19:02:08.67635	51708	1099602.7871916161	4	2
2014-03-27 19:02:16.077783	51709	43	2	10
2014-03-27 19:02:16.299434	51710	23.2	1	10
2014-03-27 19:02:26.015587	51711	57	2	9
2014-03-27 19:02:26.267134	51712	22.4	1	9
2014-03-27 19:02:27.101585	51713	53	2	8
2014-03-27 19:02:27.32284	51714	21.1	1	8
2014-03-27 19:02:32.443486	51715	2929	3	2
2014-03-27 19:02:32.67937	51716	1099622.32078188	4	2
2014-03-27 19:02:40.958276	51717	54	2	1
2014-03-27 19:02:41.181181	51718	20.6	1	1
2014-03-27 19:02:55.078487	51719	43	2	10
2014-03-27 19:02:55.310791	51720	23.2	1	10
2014-03-27 19:03:05.015688	51721	57	2	9
2014-03-27 19:03:05.238838	51722	22.4	1	9
2014-03-27 19:03:06.10074	51723	53	2	8
2014-03-27 19:03:06.343633	51724	21.2	1	8
2014-03-27 19:03:19.957264	51725	54	2	1
2014-03-27 19:03:20.179244	51726	20.6	1	1
2014-03-27 19:03:32.442842	51727	2913	3	2
2014-03-27 19:03:32.676622	51728	1099669.4356764103	4	2
2014-03-27 19:03:34.079336	51729	43	2	10
2014-03-27 19:03:34.300227	51730	23.2	1	10
2014-03-27 19:03:44.018489	51731	57	2	9
2014-03-27 19:03:44.249164	51732	22.4	1	9
2014-03-27 19:03:45.101767	51733	53	2	8
2014-03-27 19:03:45.3228	51734	21.2	1	8
2014-03-27 19:03:58.963824	51735	54	2	1
2014-03-27 19:03:59.196762	51736	20.5	1	1
2014-03-27 19:04:13.081872	51737	43	2	10
2014-03-27 19:04:13.302981	51738	23.2	1	10
2014-03-27 19:04:20.44287	51739	2784	3	2
2014-03-27 19:04:20.675978	51740	1099708.5028569384	4	2
2014-03-27 19:04:23.023615	51741	57	2	9
2014-03-27 19:04:23.245346	51742	22.4	1	9
2014-03-27 19:04:24.103004	51743	53	2	8
2014-03-27 19:04:24.334538	51744	21.2	1	8
2014-03-27 19:04:32.439048	51745	2720	3	2
2014-03-27 19:04:32.661901	51746	1099717.6951347098	4	2
2014-03-27 19:04:38.190867	51747	54	2	1
2014-03-27 19:04:38.423984	51748	20.5	1	1
2014-03-27 19:04:44.44358	51749	2720	3	2
2014-03-27 19:04:44.66609	51750	1099726.887412481	4	2
2014-03-27 19:04:52.079515	51751	43	2	10
2014-03-27 19:04:52.313915	51752	23.2	1	10
2014-03-27 19:05:02.015166	51753	57	2	9
2014-03-27 19:05:02.239612	51754	22.4	1	9
2014-03-27 19:05:03.100733	51755	53	2	8
2014-03-27 19:05:03.336242	51756	21.2	1	8
2014-03-27 19:05:16.955781	51757	54	2	1
2014-03-27 19:05:17.182042	51758	20.5	1	1
2014-03-27 19:05:20.441494	51759	2639	3	2
2014-03-27 19:05:20.672735	51760	1099753.3152110737	4	2
2014-03-27 19:05:31.079289	51761	43	2	10
2014-03-27 19:05:31.303492	51762	23.2	1	10
2014-03-27 19:05:32.441568	51763	2655	3	2
2014-03-27 19:05:32.672783	51764	1099762.507488845	4	2
2014-03-27 19:05:41.015618	51765	57	2	9
2014-03-27 19:05:41.236907	51766	22.4	1	9
2014-03-27 19:05:42.100681	51767	53	2	8
2014-03-27 19:05:42.333988	51768	21.2	1	8
2014-03-27 19:05:55.953878	51769	54	2	1
2014-03-27 19:05:56.176438	51770	20.5	1	1
2014-03-27 19:06:10.079038	51771	43	2	10
2014-03-27 19:06:10.320715	51772	23.2	1	10
2014-03-27 19:06:20.014083	51773	57	2	9
2014-03-27 19:06:20.235974	51774	22.4	1	9
2014-03-27 19:06:21.102112	51775	53	2	8
2014-03-27 19:06:21.33257	51776	21.2	1	8
2014-03-27 19:06:32.442519	51777	2655	3	2
2014-03-27 19:06:32.664421	51778	1099807.3198429802	4	2
2014-03-27 19:06:34.954962	51779	54	2	1
2014-03-27 19:06:35.185704	51780	20.5	1	1
2014-03-27 19:06:44.441666	51781	2607	3	2
2014-03-27 19:06:44.665024	51782	1099816.5121207514	4	2
2014-03-27 19:06:49.079779	51783	43	2	10
2014-03-27 19:06:49.311472	51784	23.2	1	10
2014-03-27 19:06:56.443546	51785	2607	3	2
2014-03-27 19:06:56.669652	51786	1099824.5553638013	4	2
2014-03-27 19:06:59.016208	51787	58	2	9
2014-03-27 19:06:59.246719	51788	22.4	1	9
2014-03-27 19:07:00.103374	51789	53	2	8
2014-03-27 19:07:00.32513	51790	21.2	1	8
2014-03-27 19:07:13.954763	51791	54	2	1
2014-03-27 19:07:14.185685	51792	20.5	1	1
2014-03-27 19:07:28.079901	51793	43	2	10
2014-03-27 19:07:28.30152	51794	23.3	1	10
2014-03-27 19:07:32.441467	51795	2591	3	2
2014-03-27 19:07:32.673901	51796	1099850.983162394	4	2
2014-03-27 19:07:38.01462	51797	58	2	9
2014-03-27 19:07:38.239468	51798	22.4	1	9
2014-03-27 19:07:39.101159	51799	53	2	8
2014-03-27 19:07:39.33317	51800	21.2	1	8
2014-03-27 19:07:52.958824	51801	54	2	1
2014-03-27 19:07:53.181593	51802	20.5	1	1
2014-03-27 19:08:07.07938	51803	43	2	10
2014-03-27 19:08:07.312357	51804	23.3	1	10
2014-03-27 19:08:17.015111	51805	58	2	9
2014-03-27 19:08:17.236464	51806	22.4	1	9
2014-03-27 19:08:18.100185	51807	53	2	8
2014-03-27 19:08:18.330523	51808	21.1	1	8
2014-03-27 19:08:31.956457	51809	54	2	1
2014-03-27 19:08:32.179532	51810	20.5	1	1
2014-03-27 19:08:32.48452	51811	2591	3	2
2014-03-27 19:08:32.716361	51812	1099894.6464818078	4	2
2014-03-27 19:08:46.080959	51813	43	2	10
2014-03-27 19:08:46.302245	51814	23.3	1	10
2014-03-27 19:08:56.015864	51815	58	2	9
2014-03-27 19:08:56.247425	51816	22.4	1	9
2014-03-27 19:08:57.100366	51817	53	2	8
2014-03-27 19:08:57.32076	51818	21.1	1	8
2014-03-27 19:09:10.966045	51819	54	2	1
2014-03-27 19:09:11.207656	51820	20.5	1	1
2014-03-27 19:09:25.081933	51821	43	2	10
2014-03-27 19:09:25.303089	51822	23.3	1	10
2014-03-27 19:09:32.444805	51823	2575	3	2
2014-03-27 19:09:32.677613	51824	1099938.3098012216	4	2
2014-03-27 19:09:35.017549	51825	58	2	9
2014-03-27 19:09:35.236943	51826	22.4	1	9
2014-03-27 19:09:36.101689	51827	53	2	8
2014-03-27 19:09:36.333336	51828	21.1	1	8
2014-03-27 19:09:44.448215	51829	2607	3	2
2014-03-27 19:09:44.669579	51830	1099946.3530442715	4	2
2014-03-27 19:09:56.434706	51831	2607	3	2
2014-03-27 19:09:56.66612	51832	1099954.4007582734	4	2
2014-03-27 19:10:04.082321	51833	43	2	10
2014-03-27 19:10:04.30455	51834	23.3	1	10
2014-03-27 19:10:14.014384	51835	58	2	9
2014-03-27 19:10:14.246704	51836	22.4	1	9
2014-03-27 19:10:15.102618	51837	53	2	8
2014-03-27 19:10:15.324691	51838	21.1	1	8
2014-03-27 19:10:32.433631	51839	2607	3	2
2014-03-27 19:10:32.664894	51840	1099979.6795221446	4	2
2014-03-27 19:10:43.082448	51841	43	2	10
2014-03-27 19:10:43.308271	51842	23.3	1	10
2014-03-27 19:10:53.013964	51843	58	2	9
2014-03-27 19:10:53.24875	51844	22.5	1	9
2014-03-27 19:10:54.099731	51845	53	2	8
2014-03-27 19:10:54.322647	51846	21.1	1	8
2014-03-27 19:11:08.437444	51847	2591	3	2
2014-03-27 19:11:08.669177	51848	1100006.107320737	4	2
2014-03-27 19:11:22.080416	51849	43	2	10
2014-03-27 19:11:22.304343	51850	23.3	1	10
2014-03-27 19:11:32.014721	51851	58	2	9
2014-03-27 19:11:32.247234	51852	22.5	1	9
2014-03-27 19:11:32.555745	51853	2607	3	2
2014-03-27 19:11:32.782288	51854	1100023.3428415584	4	2
2014-03-27 19:11:33.308598	51855	53	2	8
2014-03-27 19:11:33.540912	51856	21.1	1	8
2014-03-27 19:11:44.438862	51857	2575	3	2
2014-03-27 19:11:44.662115	51858	1100032.5351193298	4	2
2014-03-27 19:11:56.434637	51859	2591	3	2
2014-03-27 19:11:56.667639	51860	1100040.5783623797	4	2
2014-03-27 19:12:01.077805	51861	43	2	10
2014-03-27 19:12:01.301162	51862	23.3	1	10
2014-03-27 19:12:11.014907	51863	58	2	9
2014-03-27 19:12:11.246551	51864	22.5	1	9
2014-03-27 19:12:12.100541	51865	53	2	8
2014-03-27 19:12:12.323683	51866	21.1	1	8
2014-03-27 19:12:32.437843	51867	2591	3	2
2014-03-27 19:12:32.683805	51868	1100067.0061609722	4	2
2014-03-27 19:12:40.081837	51869	43	2	10
2014-03-27 19:12:40.306123	51870	23.3	1	10
2014-03-27 19:12:50.014818	51871	58	2	9
2014-03-27 19:12:50.247275	51872	22.5	1	9
2014-03-27 19:12:51.100957	51873	53	2	8
2014-03-27 19:12:51.324087	51874	21.1	1	8
2014-03-27 19:13:19.081261	51875	43	2	10
2014-03-27 19:13:19.313646	51876	23.4	1	10
2014-03-27 19:13:29.010728	51877	58	2	9
2014-03-27 19:13:29.233048	51878	22.5	1	9
2014-03-27 19:13:30.099883	51879	53	2	8
2014-03-27 19:13:30.332695	51880	21.1	1	8
2014-03-27 19:13:32.436025	51881	2639	3	2
2014-03-27 19:13:32.658223	51882	1100110.669480386	4	2
2014-03-27 19:13:44.435011	51883	2655	3	2
2014-03-27 19:13:44.667876	51884	1100118.7127234358	4	2
2014-03-27 19:13:56.432559	51885	2607	3	2
2014-03-27 19:13:56.656621	51886	1100127.9050012073	4	2
2014-03-27 19:13:58.080658	51887	43	2	10
2014-03-27 19:13:58.314315	51888	23.4	1	10
2014-03-27 19:14:08.012745	51889	58	2	9
2014-03-27 19:14:08.235784	51890	22.5	1	9
2014-03-27 19:14:08.542598	51891	2623	3	2
2014-03-27 19:14:08.77538	51892	1100137.0972789784	4	2
2014-03-27 19:14:09.099499	51893	53	2	8
2014-03-27 19:14:09.32209	51894	21.1	1	8
2014-03-27 19:14:32.434752	51895	2639	3	2
2014-03-27 19:14:32.665977	51896	1100154.3327997997	4	2
2014-03-27 19:14:37.08166	51897	43	2	10
2014-03-27 19:14:37.303433	51898	23.4	1	10
2014-03-27 19:14:47.012267	51899	58	2	9
2014-03-27 19:14:47.244991	51900	22.5	1	9
2014-03-27 19:14:48.306984	51901	53	2	8
2014-03-27 19:14:48.527592	51902	21.1	1	8
2014-03-27 19:15:16.084344	51903	43	2	10
2014-03-27 19:15:16.316223	51904	23.4	1	10
2014-03-27 19:15:26.010098	51905	58	2	9
2014-03-27 19:15:26.235367	51906	22.5	1	9
2014-03-27 19:15:27.102399	51907	53	2	8
2014-03-27 19:15:27.333021	51908	21.1	1	8
2014-03-27 19:15:32.43499	51909	643	3	2
2014-03-27 19:15:32.656975	51910	1100195.6980497707	4	2
2014-03-27 19:15:55.082729	51911	43	2	10
2014-03-27 19:15:55.31595	51912	23.4	1	10
2014-03-27 19:16:05.010179	51913	59	2	9
2014-03-27 19:16:05.233182	51914	22.5	1	9
2014-03-27 19:16:06.117416	51915	53	2	8
2014-03-27 19:16:06.363008	51916	21.1	1	8
2014-03-27 19:16:32.434687	51917	627	3	2
2014-03-27 19:16:32.656631	51918	1100206.0393622634	4	2
2014-03-27 19:16:34.081699	51919	43	2	10
2014-03-27 19:16:34.314825	51920	23.4	1	10
2014-03-27 19:16:44.013018	51921	59	2	9
2014-03-27 19:16:44.237835	51922	22.6	1	9
2014-03-27 19:16:45.100868	51923	53	2	8
2014-03-27 19:16:45.335517	51924	21.1	1	8
2014-03-27 19:17:13.082085	51925	43	2	10
2014-03-27 19:17:13.304193	51926	23.4	1	10
2014-03-27 19:17:23.011947	51927	59	2	9
2014-03-27 19:17:23.243671	51928	22.6	1	9
2014-03-27 19:17:24.099812	51929	53	2	8
2014-03-27 19:17:24.322291	51930	21.1	1	8
2014-03-27 19:17:32.437633	51931	643	3	2
2014-03-27 19:17:32.671323	51932	1100216.3806747561	4	2
2014-03-27 19:17:44.433667	51933	724	3	2
2014-03-27 19:17:44.66076	51934	1100218.678744199	4	2
2014-03-27 19:17:52.082117	51935	43	2	10
2014-03-27 19:17:52.315314	51936	23.4	1	10
2014-03-27 19:17:56.437709	51937	804	3	2
2014-03-27 19:17:56.663089	51938	1100220.9768136418	4	2
2014-03-27 19:18:02.014283	51939	59	2	9
2014-03-27 19:18:02.24513	51940	22.6	1	9
2014-03-27 19:18:03.100485	51941	53	2	8
2014-03-27 19:18:03.321852	51942	21.1	1	8
2014-03-27 19:18:31.08431	51943	43	2	10
2014-03-27 19:18:31.316363	51944	23.4	1	10
2014-03-27 19:18:41.013769	51945	59	2	9
2014-03-27 19:18:41.236152	51946	22.6	1	9
2014-03-27 19:18:42.099882	51947	53	2	8
2014-03-27 19:18:42.332234	51948	21.1	1	8
2014-03-27 19:19:08.434038	51949	724	3	2
2014-03-27 19:19:08.656756	51950	1100237.0632997416	4	2
2014-03-27 19:19:10.080664	51951	43	2	10
2014-03-27 19:19:10.312029	51952	23.5	1	10
2014-03-27 19:19:20.015418	51953	59	2	9
2014-03-27 19:19:20.237326	51954	22.6	1	9
2014-03-27 19:19:21.098949	51955	53	2	8
2014-03-27 19:19:21.330574	51956	21.1	1	8
2014-03-27 19:19:49.085811	51957	43	2	10
2014-03-27 19:19:49.307936	51958	23.5	1	10
2014-03-27 19:19:59.015007	51959	59	2	9
2014-03-27 19:19:59.247384	51960	22.6	1	9
2014-03-27 19:20:00.306391	51961	53	2	8
2014-03-27 19:20:00.528666	51962	21.1	1	8
2014-03-27 19:20:28.085	51963	43	2	10
2014-03-27 19:20:28.328582	51964	23.5	1	10
2014-03-27 19:20:32.432316	51965	692	3	2
2014-03-27 19:20:32.655417	51966	1100252.0052220721	4	2
2014-03-27 19:20:38.012483	51967	59	2	9
2014-03-27 19:20:38.247153	51968	22.7	1	9
2014-03-27 19:20:39.100555	51969	53	2	8
2014-03-27 19:20:39.323244	51970	21.1	1	8
2014-03-27 19:20:56.432199	51971	724	3	2
2014-03-27 19:20:56.663819	51972	1100256.6013609578	4	2
2014-03-27 19:21:07.083844	51973	43	2	10
2014-03-27 19:21:07.30646	51974	23.5	1	10
2014-03-27 19:21:08.433969	51975	692	3	2
2014-03-27 19:21:08.664749	51976	1100258.8994304007	4	2
2014-03-27 19:21:17.01307	51977	59	2	9
2014-03-27 19:21:17.236923	51978	22.7	1	9
2014-03-27 19:21:18.100271	51979	53	2	8
2014-03-27 19:21:18.333291	51980	21.1	1	8
2014-03-27 19:21:32.434979	51981	2768	3	2
2014-03-27 19:21:32.656821	51982	1100266.9426734506	4	2
2014-03-27 19:21:44.432045	51983	2752	3	2
2014-03-27 19:21:44.663389	51984	1100276.134951222	4	2
2014-03-27 19:21:46.08343	51985	43	2	10
2014-03-27 19:21:46.308899	51986	23.5	1	10
2014-03-27 19:21:56.012554	51987	59	2	9
2014-03-27 19:21:56.243222	51988	22.7	1	9
2014-03-27 19:21:57.099724	51989	52	2	8
2014-03-27 19:21:57.323205	51990	21.1	1	8
2014-03-27 19:22:25.086053	51991	43	2	10
2014-03-27 19:22:25.319729	51992	23.5	1	10
2014-03-27 19:22:32.434478	51993	2704	3	2
2014-03-27 19:22:32.659786	51994	1100312.9040623072	4	2
2014-03-27 19:22:35.013181	51995	59	2	9
2014-03-27 19:22:35.244063	51996	22.7	1	9
2014-03-27 19:22:36.36239	51997	52	2	8
2014-03-27 19:22:36.586599	51998	21.1	1	8
2014-03-27 19:23:04.085439	51999	43	2	10
2014-03-27 19:23:04.318045	52000	23.5	1	10
2014-03-27 19:23:14.012137	52001	59	2	9
2014-03-27 19:23:14.233406	52002	22.7	1	9
2014-03-27 19:23:15.099679	52003	52	2	8
2014-03-27 19:23:15.331241	52004	21.1	1	8
2014-03-27 19:23:32.431527	52005	2720	3	2
2014-03-27 19:23:32.655975	52006	1100358.8654511638	4	2
2014-03-27 19:23:43.083723	52007	43	2	10
2014-03-27 19:23:43.317357	52008	23.5	1	10
2014-03-27 19:23:53.015593	52009	59	2	9
2014-03-27 19:23:53.238626	52010	22.7	1	9
2014-03-27 19:23:54.099931	52011	52	2	8
2014-03-27 19:23:54.341888	52012	21.1	1	8
2014-03-27 19:24:22.083973	52013	43	2	10
2014-03-27 19:24:22.305537	52014	23.6	1	10
2014-03-27 19:24:32.013991	52015	59	2	9
2014-03-27 19:24:32.244998	52016	22.7	1	9
2014-03-27 19:24:33.100082	52017	52	2	8
2014-03-27 19:24:33.3215	52018	21.1	1	8
2014-03-27 19:25:01.084196	52019	43	2	10
2014-03-27 19:25:01.317838	52020	23.6	1	10
2014-03-27 19:25:11.010239	52021	58	2	9
2014-03-27 19:25:11.232832	52022	22.7	1	9
2014-03-27 19:25:12.100432	52023	52	2	8
2014-03-27 19:25:12.332662	52024	21.0	1	8
2014-03-27 19:25:40.090647	52025	43	2	10
2014-03-27 19:25:40.31322	52026	23.6	1	10
2014-03-27 19:25:50.012502	52027	58	2	9
2014-03-27 19:25:50.244159	52028	22.7	1	9
2014-03-27 19:25:51.102313	52029	52	2	8
2014-03-27 19:25:51.323326	52030	21.0	1	8
2014-03-27 19:26:08.433544	52031	853	3	2
2014-03-27 19:26:08.666024	52032	1100399.0816664132	4	2
2014-03-27 19:26:19.085577	52033	43	2	10
2014-03-27 19:26:19.310939	52034	23.6	1	10
2014-03-27 19:26:20.435687	52035	853	3	2
2014-03-27 19:26:20.666367	52036	1100402.5287705776	4	2
2014-03-27 19:26:29.009858	52037	58	2	9
2014-03-27 19:26:29.235956	52038	22.7	1	9
2014-03-27 19:26:30.100566	52039	52	2	8
2014-03-27 19:26:30.334949	52040	21.0	1	8
2014-03-27 19:26:32.435114	52041	869	3	2
2014-03-27 19:26:32.656693	52042	1100404.8268400205	4	2
2014-03-27 19:26:58.084911	52043	43	2	10
2014-03-27 19:26:58.31906	52044	23.6	1	10
2014-03-27 19:27:08.009429	52045	58	2	9
2014-03-27 19:27:08.23109	52046	22.7	1	9
2014-03-27 19:27:09.101536	52047	52	2	8
2014-03-27 19:27:09.333896	52048	21.0	1	8
2014-03-27 19:27:32.434425	52049	869	3	2
2014-03-27 19:27:32.655639	52050	1100419.7642913987	4	2
2014-03-27 19:27:37.096747	52051	43	2	10
2014-03-27 19:27:37.33238	52052	23.6	1	10
2014-03-27 19:27:47.004499	52053	58	2	9
2014-03-27 19:27:47.226515	52054	22.8	1	9
2014-03-27 19:27:48.101285	52055	52	2	8
2014-03-27 19:27:48.335499	52056	21.0	1	8
2014-03-27 19:28:16.086118	52057	43	2	10
2014-03-27 19:28:16.310633	52058	23.6	1	10
2014-03-27 19:28:20.435807	52059	2929	3	2
2014-03-27 19:28:20.679981	52060	1100434.7017427771	4	2
2014-03-27 19:28:26.009538	52061	58	2	9
2014-03-27 19:28:26.2317	52062	22.8	1	9
2014-03-27 19:28:27.101012	52063	52	2	8
2014-03-27 19:28:27.330357	52064	21.0	1	8
2014-03-27 19:28:55.084602	52065	43	2	10
2014-03-27 19:28:55.305788	52066	23.6	1	10
2014-03-27 19:28:56.435676	52067	2849	3	2
2014-03-27 19:28:56.66863	52068	1100463.4276108125	4	2
2014-03-27 19:29:05.012416	52069	58	2	9
2014-03-27 19:29:05.233619	52070	22.8	1	9
2014-03-27 19:29:06.101744	52071	52	2	8
2014-03-27 19:29:06.352186	52072	21.0	1	8
2014-03-27 19:29:19.744092	52073	2897	3	2
2014-03-27 19:29:19.967189	52074	1100473.7689233052	4	2
2014-03-27 19:29:34.086772	52075	43	2	10
2014-03-27 19:29:34.319399	52076	23.6	1	10
2014-03-27 19:29:44.011027	52077	58	2	9
2014-03-27 19:29:44.232961	52078	22.8	1	9
2014-03-27 19:29:45.100997	52079	52	2	8
2014-03-27 19:29:45.332168	52080	21.0	1	8
2014-03-27 19:29:56.430881	52081	2849	3	2
2014-03-27 19:29:56.655227	52082	1100511.687069112	4	2
2014-03-27 19:30:13.086337	52083	43	2	10
2014-03-27 19:30:13.317423	52084	23.7	1	10
2014-03-27 19:30:23.009111	52085	58	2	9
2014-03-27 19:30:23.230118	52086	22.8	1	9
2014-03-27 19:30:24.101109	52087	52	2	8
2014-03-27 19:30:24.331843	52088	21.0	1	8
2014-03-27 19:30:52.08688	52089	43	2	10
2014-03-27 19:30:52.308641	52090	23.7	1	10
2014-03-27 19:31:02.011878	52091	58	2	9
2014-03-27 19:31:02.246066	52092	22.8	1	9
2014-03-27 19:31:03.103769	52093	52	2	8
2014-03-27 19:31:03.327177	52094	21.0	1	8
2014-03-27 19:31:20.433147	52095	1368	3	2
2014-03-27 19:31:20.665559	52096	1100573.7394150207	4	2
2014-03-27 19:31:31.087739	52097	43	2	10
2014-03-27 19:31:31.315841	52098	23.7	1	10
2014-03-27 19:31:41.012509	52099	58	2	9
2014-03-27 19:31:41.246646	52100	22.8	1	9
2014-03-27 19:31:42.102803	52101	52	2	8
2014-03-27 19:31:42.323259	52102	21.0	1	8
2014-03-27 19:32:10.085767	52103	43	2	10
2014-03-27 19:32:10.319883	52104	23.7	1	10
2014-03-27 19:32:20.008531	52105	58	2	9
2014-03-27 19:32:20.23143	52106	22.8	1	9
2014-03-27 19:32:21.099402	52107	52	2	8
2014-03-27 19:32:21.344855	52108	21.0	1	8
2014-03-27 19:32:49.08742	52109	43	2	10
2014-03-27 19:32:49.31275	52110	23.7	1	10
2014-03-27 19:32:59.012184	52111	58	2	9
2014-03-27 19:32:59.243283	52112	22.8	1	9
2014-03-27 19:33:00.100415	52113	52	2	8
2014-03-27 19:33:00.321301	52114	21.0	1	8
2014-03-27 19:33:28.087684	52115	43	2	10
2014-03-27 19:33:28.319655	52116	23.7	1	10
2014-03-27 19:33:32.432074	52117	949	3	2
2014-03-27 19:33:32.655569	52118	1100607.0614219417	4	2
2014-03-27 19:33:38.013245	52119	58	2	9
2014-03-27 19:33:38.244957	52120	22.8	1	9
2014-03-27 19:33:39.100234	52121	52	2	8
2014-03-27 19:33:39.320717	52122	21.0	1	8
2014-03-27 19:33:44.430762	52123	837	3	2
2014-03-27 19:33:44.663921	52124	1100610.508526106	4	2
2014-03-27 19:33:56.434197	52125	837	3	2
2014-03-27 19:33:56.658618	52126	1100612.8065955488	4	2
2014-03-27 19:34:07.292096	52127	43	2	10
2014-03-27 19:34:07.525356	52128	23.7	1	10
2014-03-27 19:34:17.008559	52129	58	2	9
2014-03-27 19:34:17.22922	52130	22.8	1	9
2014-03-27 19:34:18.100067	52131	52	2	8
2014-03-27 19:34:18.331786	52132	21.0	1	8
2014-03-27 19:34:20.432018	52133	692	3	2
2014-03-27 19:34:20.656473	52134	1100618.5517691558	4	2
2014-03-27 19:34:32.167987	52135	55	2	1
2014-03-27 19:34:32.400008	52136	21.6	1	1
2014-03-27 19:34:46.088916	52137	43	2	10
2014-03-27 19:34:46.313278	52138	23.7	1	10
2014-03-27 19:34:56.00995	52139	58	2	9
2014-03-27 19:34:56.242957	52140	22.9	1	9
2014-03-27 19:34:57.101673	52141	52	2	8
2014-03-27 19:34:57.323379	52142	21.0	1	8
2014-03-27 19:35:25.087327	52143	43	2	10
2014-03-27 19:35:25.318606	52144	23.7	1	10
2014-03-27 19:35:35.012375	52145	58	2	9
2014-03-27 19:35:35.235354	52146	22.9	1	9
2014-03-27 19:35:36.101156	52147	52	2	8
2014-03-27 19:35:36.332432	52148	21.0	1	8
2014-03-27 19:36:04.291982	52149	43	2	10
2014-03-27 19:36:04.513856	52150	23.8	1	10
2014-03-27 19:36:08.43403	52151	2849	3	2
2014-03-27 19:36:08.667019	52152	1100646.1286024698	4	2
2014-03-27 19:36:14.012217	52153	58	2	9
2014-03-27 19:36:14.234318	52154	22.9	1	9
2014-03-27 19:36:15.099539	52155	52	2	8
2014-03-27 19:36:15.343567	52156	21.0	1	8
2014-03-27 19:36:20.432922	52157	2816	3	2
2014-03-27 19:36:20.657458	52158	1100655.320880241	4	2
2014-03-27 19:36:32.435318	52159	2832	3	2
2014-03-27 19:36:32.667454	52160	1100664.5131580124	4	2
2014-03-27 19:36:43.089229	52161	43	2	10
2014-03-27 19:36:43.314359	52162	23.8	1	10
2014-03-27 19:36:44.430304	52163	2752	3	2
2014-03-27 19:36:44.662195	52164	1100673.7054357838	4	2
2014-03-27 19:36:53.006048	52165	58	2	9
2014-03-27 19:36:53.229742	52166	22.9	1	9
2014-03-27 19:36:54.102779	52167	52	2	8
2014-03-27 19:36:54.333931	52168	21.0	1	8
2014-03-27 19:36:56.43639	52169	2720	3	2
2014-03-27 19:36:56.657332	52170	1100682.897713555	4	2
2014-03-27 19:37:08.431215	52171	2736	3	2
2014-03-27 19:37:08.663293	52172	1100692.0899913264	4	2
2014-03-27 19:37:22.086173	52173	43	2	10
2014-03-27 19:37:22.309447	52174	23.8	1	10
2014-03-27 19:37:32.009323	52175	58	2	9
2014-03-27 19:37:32.241679	52176	22.9	1	9
2014-03-27 19:37:32.549776	52177	2720	3	2
2014-03-27 19:37:32.770951	52178	1100710.474546869	4	2
2014-03-27 19:37:33.100055	52179	52	2	8
2014-03-27 19:37:33.332546	52180	21.0	1	8
2014-03-27 19:37:56.43225	52181	2752	3	2
2014-03-27 19:37:56.654678	52182	1100728.8591024117	4	2
2014-03-27 19:38:01.087929	52183	43	2	10
2014-03-27 19:38:01.322011	52184	23.8	1	10
2014-03-27 19:38:08.435357	52185	2623	3	2
2014-03-27 19:38:08.657113	52186	1100738.051380183	4	2
2014-03-27 19:38:11.010305	52187	58	2	9
2014-03-27 19:38:11.241465	52188	22.9	1	9
2014-03-27 19:38:12.100008	52189	52	2	8
2014-03-27 19:38:12.324078	52190	21.0	1	8
2014-03-27 19:38:40.089227	52191	43	2	10
2014-03-27 19:38:40.321926	52192	23.8	1	10
2014-03-27 19:38:50.00784	52193	58	2	9
2014-03-27 19:38:50.230198	52194	22.9	1	9
2014-03-27 19:38:51.100336	52195	52	2	8
2014-03-27 19:38:51.330227	52196	21.0	1	8
2014-03-27 19:38:56.43257	52197	2527	3	2
2014-03-27 19:38:56.657221	52198	1100772.5224218254	4	2
2014-03-27 19:39:19.089048	52199	43	2	10
2014-03-27 19:39:19.323626	52200	23.8	1	10
2014-03-27 19:39:29.008763	52201	58	2	9
2014-03-27 19:39:29.230417	52202	22.9	1	9
2014-03-27 19:39:30.100208	52203	52	2	8
2014-03-27 19:39:30.344078	52204	21.0	1	8
2014-03-27 19:39:32.42959	52205	2623	3	2
2014-03-27 19:39:32.653236	52206	1100797.8011856966	4	2
2014-03-27 19:39:58.089269	52207	43	2	10
2014-03-27 19:39:58.320913	52208	23.8	1	10
2014-03-27 19:40:08.007905	52209	58	2	9
2014-03-27 19:40:08.229887	52210	23.0	1	9
2014-03-27 19:40:09.101874	52211	52	2	8
2014-03-27 19:40:09.334343	52212	21.0	1	8
2014-03-27 19:40:20.42994	52213	611	3	2
2014-03-27 19:40:20.652571	52214	1100819.6328454034	4	2
2014-03-27 19:40:37.089117	52215	43	2	10
2014-03-27 19:40:37.321204	52216	23.8	1	10
2014-03-27 19:40:47.011357	52217	58	2	9
2014-03-27 19:40:47.233558	52218	23.0	1	9
2014-03-27 19:40:48.1011	52219	52	2	8
2014-03-27 19:40:48.332365	52220	21.0	1	8
2014-03-27 19:41:16.091103	52221	43	2	10
2014-03-27 19:41:16.31563	52222	23.9	1	10
2014-03-27 19:41:26.012984	52223	58	2	9
2014-03-27 19:41:26.246386	52224	23.0	1	9
2014-03-27 19:41:27.099821	52225	52	2	8
2014-03-27 19:41:27.324848	52226	21.0	1	8
2014-03-27 19:41:55.089919	52227	43	2	10
2014-03-27 19:41:55.323162	52228	23.9	1	10
2014-03-27 19:42:05.008753	52229	58	2	9
2014-03-27 19:42:05.233156	52230	23.0	1	9
2014-03-27 19:42:06.102568	52231	52	2	8
2014-03-27 19:42:06.33346	52232	21.0	1	8
2014-03-27 19:42:34.089719	52233	43	2	10
2014-03-27 19:42:34.314673	52234	23.9	1	10
2014-03-27 19:42:44.007793	52235	58	2	9
2014-03-27 19:42:44.244301	52236	23.0	1	9
2014-03-27 19:42:45.101436	52237	52	2	8
2014-03-27 19:42:45.328007	52238	21.0	1	8
2014-03-27 19:43:13.088602	52239	43	2	10
2014-03-27 19:43:13.323696	52240	23.9	1	10
2014-03-27 19:43:23.00861	52241	58	2	9
2014-03-27 19:43:23.231254	52242	23.0	1	9
2014-03-27 19:43:24.101692	52243	52	2	8
2014-03-27 19:43:24.335371	52244	21.0	1	8
2014-03-27 19:43:32.432743	52245	611	3	2
2014-03-27 19:43:32.655222	52246	1100851.8102885552	4	2
2014-03-27 19:43:52.09148	52247	43	2	10
2014-03-27 19:43:52.323336	52248	23.9	1	10
2014-03-27 19:44:02.009607	52249	58	2	9
2014-03-27 19:44:02.232064	52250	23.0	1	9
2014-03-27 19:44:03.101002	52251	52	2	8
2014-03-27 19:44:03.343814	52252	21.0	1	8
2014-03-27 19:44:31.09022	52253	43	2	10
2014-03-27 19:44:31.311937	52254	23.9	1	10
2014-03-27 19:44:41.010064	52255	58	2	9
2014-03-27 19:44:41.243035	52256	23.0	1	9
2014-03-27 19:44:42.100423	52257	52	2	8
2014-03-27 19:44:42.329286	52258	21.0	1	8
2014-03-27 19:45:10.09187	52259	43	2	10
2014-03-27 19:45:10.326822	52260	23.9	1	10
2014-03-27 19:45:20.010819	52261	58	2	9
2014-03-27 19:45:20.234031	52262	23.1	1	9
2014-03-27 19:45:21.099382	52263	52	2	8
2014-03-27 19:45:21.332492	52264	21.0	1	8
2014-03-27 19:45:49.092904	52265	43	2	10
2014-03-27 19:45:49.314939	52266	23.9	1	10
2014-03-27 19:45:59.010052	52267	58	2	9
2014-03-27 19:45:59.241682	52268	23.1	1	9
2014-03-27 19:46:00.099529	52269	52	2	8
2014-03-27 19:46:00.320859	52270	21.0	1	8
2014-03-27 19:46:28.089595	52271	43	2	10
2014-03-27 19:46:28.321205	52272	23.9	1	10
2014-03-27 19:46:38.010406	52273	58	2	9
2014-03-27 19:46:38.232781	52274	23.1	1	9
2014-03-27 19:46:39.100913	52275	52	2	8
2014-03-27 19:46:39.333421	52276	21.0	1	8
2014-03-27 19:47:07.109498	52277	43	2	10
2014-03-27 19:47:07.330799	52278	24.0	1	10
2014-03-27 19:47:17.014641	52279	58	2	9
2014-03-27 19:47:17.246385	52280	23.1	1	9
2014-03-27 19:47:18.103332	52281	52	2	8
2014-03-27 19:47:18.323864	52282	21.0	1	8
2014-03-27 19:47:46.093269	52283	43	2	10
2014-03-27 19:47:46.327778	52284	24.0	1	10
2014-03-27 19:47:56.008752	52285	58	2	9
2014-03-27 19:47:56.233423	52286	23.1	1	9
2014-03-27 19:47:57.100715	52287	52	2	8
2014-03-27 19:47:57.334236	52288	21.0	1	8
2014-03-27 19:48:25.091717	52289	43	2	10
2014-03-27 19:48:25.315216	52290	24.0	1	10
2014-03-27 19:48:32.430151	52291	2511	3	2
2014-03-27 19:48:32.663915	52292	1100969.0118301397	4	2
2014-03-27 19:48:35.011326	52293	58	2	9
2014-03-27 19:48:35.232645	52294	23.1	1	9
2014-03-27 19:48:36.100187	52295	52	2	8
2014-03-27 19:48:36.333136	52296	21.0	1	8
2014-03-27 19:49:04.091704	52297	43	2	10
2014-03-27 19:49:04.314394	52298	24.0	1	10
2014-03-27 19:49:14.013866	52299	58	2	9
2014-03-27 19:49:14.259396	52300	23.1	1	9
2014-03-27 19:49:15.302425	52301	52	2	8
2014-03-27 19:49:15.524297	52302	21.0	1	8
2014-03-27 19:49:20.432416	52303	498	3	2
2014-03-27 19:49:20.850933	52304	1100991.992524568	4	2
2014-03-27 19:49:32.43162	52305	498	3	2
2014-03-27 19:49:32.653616	52306	1100993.1415592893	4	2
2014-03-27 19:49:43.091207	52307	43	2	10
2014-03-27 19:49:43.311378	52308	24.0	1	10
2014-03-27 19:49:53.010476	52309	58	2	9
2014-03-27 19:49:53.238949	52310	23.1	1	9
2014-03-27 19:49:54.089778	52311	52	2	8
2014-03-27 19:49:54.310485	52312	21.0	1	8
2014-03-27 19:50:22.09091	52313	43	2	10
2014-03-27 19:50:22.322969	52314	24.0	1	10
2014-03-27 19:50:32.012866	52315	58	2	9
2014-03-27 19:50:32.23373	52316	23.1	1	9
2014-03-27 19:50:33.100042	52317	52	2	8
2014-03-27 19:50:33.331168	52318	21.0	1	8
2014-03-27 19:51:01.092079	52319	43	2	10
2014-03-27 19:51:01.313167	52320	24.0	1	10
2014-03-27 19:51:11.011895	52321	58	2	9
2014-03-27 19:51:11.243544	52322	23.1	1	9
2014-03-27 19:51:12.100405	52323	52	2	8
2014-03-27 19:51:12.327032	52324	21.0	1	8
2014-03-27 19:51:40.093101	52325	43	2	10
2014-03-27 19:51:40.324201	52326	24.0	1	10
2014-03-27 19:51:50.01379	52327	58	2	9
2014-03-27 19:51:50.233868	52328	23.2	1	9
2014-03-27 19:51:51.099195	52329	52	2	8
2014-03-27 19:51:51.329453	52330	21.0	1	8
2014-03-27 19:52:19.092562	52331	43	2	10
2014-03-27 19:52:19.314603	52332	24.0	1	10
2014-03-27 19:52:29.010604	52333	58	2	9
2014-03-27 19:52:29.244841	52334	23.2	1	9
2014-03-27 19:52:30.100644	52335	51	2	8
2014-03-27 19:52:30.322481	52336	21.0	1	8
2014-03-27 19:52:58.093913	52337	43	2	10
2014-03-27 19:52:58.325962	52338	24.0	1	10
2014-03-27 19:53:08.007435	52339	58	2	9
2014-03-27 19:53:08.230592	52340	23.2	1	9
2014-03-27 19:53:09.101434	52341	52	2	8
2014-03-27 19:53:09.33253	52342	21.0	1	8
2014-03-27 19:53:32.431625	52343	595	3	2
2014-03-27 19:53:32.653736	52344	1101031.059705096	4	2
2014-03-27 19:53:37.092319	52345	43	2	10
2014-03-27 19:53:37.379706	52346	24.1	1	10
2014-03-27 19:53:47.00962	52347	58	2	9
2014-03-27 19:53:47.231559	52348	23.2	1	9
2014-03-27 19:53:48.099969	52349	52	2	8
2014-03-27 19:53:48.343136	52350	21.0	1	8
2014-03-27 19:54:16.09217	52351	43	2	10
2014-03-27 19:54:16.315322	52352	24.1	1	10
2014-03-27 19:54:26.008829	52353	58	2	9
2014-03-27 19:54:26.240382	52354	23.2	1	9
2014-03-27 19:54:27.099601	52355	52	2	8
2014-03-27 19:54:27.320605	52356	21.0	1	8
2014-03-27 19:54:55.092028	52357	43	2	10
2014-03-27 19:54:55.323709	52358	24.1	1	10
2014-03-27 19:55:05.012673	52359	58	2	9
2014-03-27 19:55:05.234265	52360	23.2	1	9
2014-03-27 19:55:06.303298	52361	52	2	8
2014-03-27 19:55:06.535186	52362	21.0	1	8
2014-03-27 19:55:34.093828	52363	43	2	10
2014-03-27 19:55:34.315281	52364	24.1	1	10
2014-03-27 19:55:44.007908	52365	58	2	9
2014-03-27 19:55:44.246788	52366	23.2	1	9
2014-03-27 19:55:44.552176	52367	643	3	2
2014-03-27 19:55:44.776862	52368	1101087.3624064454	4	2
2014-03-27 19:55:45.100197	52369	52	2	8
2014-03-27 19:55:45.330508	52370	21.0	1	8
2014-03-27 19:56:13.095119	52371	43	2	10
2014-03-27 19:56:13.31701	52372	24.1	1	10
2014-03-27 19:56:23.009833	52373	58	2	9
2014-03-27 19:56:23.240381	52374	23.3	1	9
2014-03-27 19:56:24.099225	52375	52	2	8
2014-03-27 19:56:24.328511	52376	21.0	1	8
2014-03-27 19:56:52.093547	52377	43	2	10
2014-03-27 19:56:52.323956	52378	24.1	1	10
2014-03-27 19:57:02.008251	52379	58	2	9
2014-03-27 19:57:02.230692	52380	23.3	1	9
2014-03-27 19:57:03.099156	52381	52	2	8
2014-03-27 19:57:03.329218	52382	21.0	1	8
2014-03-27 19:57:31.094991	52383	43	2	10
2014-03-27 19:57:31.316677	52384	24.1	1	10
2014-03-27 19:57:41.015233	52385	58	2	9
2014-03-27 19:57:41.247591	52386	23.3	1	9
2014-03-27 19:57:42.09932	52387	52	2	8
2014-03-27 19:57:42.320788	52388	21.0	1	8
2014-03-27 19:58:10.097471	52389	43	2	10
2014-03-27 19:58:10.330445	52390	24.1	1	10
2014-03-27 19:58:20.014186	52391	58	2	9
2014-03-27 19:58:20.238522	52392	23.3	1	9
2014-03-27 19:58:21.100622	52393	52	2	8
2014-03-27 19:58:21.333151	52394	21.0	1	8
2014-03-27 19:58:49.094338	52395	43	2	10
2014-03-27 19:58:49.318988	52396	24.1	1	10
2014-03-27 19:58:59.013051	52397	58	2	9
2014-03-27 19:58:59.258917	52398	23.3	1	9
2014-03-27 19:59:00.098652	52399	52	2	8
2014-03-27 19:59:00.320941	52400	21.0	1	8
2014-03-27 19:59:28.094095	52401	43	2	10
2014-03-27 19:59:28.326039	52402	24.2	1	10
2014-03-27 19:59:38.008601	52403	58	2	9
2014-03-27 19:59:38.228541	52404	23.3	1	9
2014-03-27 19:59:39.099215	52405	52	2	8
2014-03-27 19:59:39.331566	52406	21.0	1	8
2014-03-27 20:00:07.094412	52407	43	2	10
2014-03-27 20:00:07.340286	52408	24.2	1	10
2014-03-27 20:00:17.00675	52409	58	2	9
2014-03-27 20:00:17.237398	52410	23.3	1	9
2014-03-27 20:00:18.099646	52411	51	2	8
2014-03-27 20:00:18.323144	52412	21.0	1	8
2014-03-27 20:00:46.095314	52413	43	2	10
2014-03-27 20:00:46.326808	52414	24.2	1	10
2014-03-27 20:00:56.008848	52415	58	2	9
2014-03-27 20:00:56.230051	52416	23.4	1	9
2014-03-27 20:00:57.099494	52417	51	2	8
2014-03-27 20:00:57.33133	52418	21.0	1	8
2014-03-27 20:01:25.093687	52419	43	2	10
2014-03-27 20:01:25.314511	52420	24.2	1	10
2014-03-27 20:01:35.006902	52421	58	2	9
2014-03-27 20:01:35.238209	52422	23.4	1	9
2014-03-27 20:01:36.304765	52423	51	2	8
2014-03-27 20:01:36.526173	52424	21.0	1	8
2014-03-27 20:02:04.094101	52425	43	2	10
2014-03-27 20:02:04.3243	52426	24.2	1	10
2014-03-27 20:02:14.007734	52427	58	2	9
2014-03-27 20:02:14.230972	52428	23.4	1	9
2014-03-27 20:02:15.099636	52429	51	2	8
2014-03-27 20:02:15.330067	52430	21.0	1	8
2014-03-27 20:02:32.43088	52431	659	3	2
2014-03-27 20:02:32.653809	52432	1101283.8518147594	4	2
2014-03-27 20:02:43.095908	52433	43	2	10
2014-03-27 20:02:43.328519	52434	24.2	1	10
2014-03-27 20:02:53.009721	52435	58	2	9
2014-03-27 20:02:53.231839	52436	23.4	1	9
2014-03-27 20:02:54.09925	52437	51	2	8
2014-03-27 20:02:54.330421	52438	21.0	1	8
2014-03-27 20:03:22.098447	52439	43	2	10
2014-03-27 20:03:22.319436	52440	24.2	1	10
2014-03-27 20:03:32.007785	52441	58	2	9
2014-03-27 20:03:32.242915	52442	23.4	1	9
2014-03-27 20:03:33.101645	52443	51	2	8
2014-03-27 20:03:33.320517	52444	21.0	1	8
2014-03-27 20:04:01.095756	52445	43	2	10
2014-03-27 20:04:01.33892	52446	24.2	1	10
2014-03-27 20:04:11.005871	52447	58	2	9
2014-03-27 20:04:11.228697	52448	23.4	1	9
2014-03-27 20:04:12.09896	52449	51	2	8
2014-03-27 20:04:12.33003	52450	21.0	1	8
2014-03-27 20:04:40.095796	52451	43	2	10
2014-03-27 20:04:40.319055	52452	24.2	1	10
2014-03-27 20:04:50.006215	52453	58	2	9
2014-03-27 20:04:50.23712	52454	23.4	1	9
2014-03-27 20:04:51.097721	52455	51	2	8
2014-03-27 20:04:51.319281	52456	21.0	1	8
2014-03-27 20:05:19.09617	52457	43	2	10
2014-03-27 20:05:19.327678	52458	24.2	1	10
2014-03-27 20:05:29.004275	52459	58	2	9
2014-03-27 20:05:29.225192	52460	23.4	1	9
2014-03-27 20:05:30.098982	52461	51	2	8
2014-03-27 20:05:30.338309	52462	21.0	1	8
2014-03-27 20:05:58.095813	52463	43	2	10
2014-03-27 20:05:58.317254	52464	24.3	1	10
2014-03-27 20:06:08.00848	52465	58	2	9
2014-03-27 20:06:08.239209	52466	23.4	1	9
2014-03-27 20:06:09.100139	52467	51	2	8
2014-03-27 20:06:09.320389	52468	21.0	1	8
2014-03-27 20:06:32.429122	52469	2832	3	2
2014-03-27 20:06:32.663432	52470	1101337.856446666	4	2
2014-03-27 20:06:37.098954	52471	43	2	10
2014-03-27 20:06:37.320537	52472	24.3	1	10
2014-03-27 20:06:47.007612	52473	58	2	9
2014-03-27 20:06:47.239006	52474	23.5	1	9
2014-03-27 20:06:48.099626	52475	51	2	8
2014-03-27 20:06:48.3205	52476	21.0	1	8
2014-03-27 20:07:16.097535	52477	43	2	10
2014-03-27 20:07:16.327472	52478	24.3	1	10
2014-03-27 20:07:26.003909	52479	58	2	9
2014-03-27 20:07:26.226147	52480	23.5	1	9
2014-03-27 20:07:27.099663	52481	52	2	8
2014-03-27 20:07:27.331075	52482	21.0	1	8
2014-03-27 20:07:55.095968	52483	43	2	10
2014-03-27 20:07:55.319096	52484	24.3	1	10
2014-03-27 20:08:05.005201	52485	58	2	9
2014-03-27 20:08:05.237749	52486	23.5	1	9
2014-03-27 20:08:06.099487	52487	51	2	8
2014-03-27 20:08:06.321041	52488	21.0	1	8
2014-03-27 20:08:34.098405	52489	43	2	10
2014-03-27 20:08:34.330892	52490	24.3	1	10
2014-03-27 20:08:44.009357	52491	58	2	9
2014-03-27 20:08:44.231533	52492	23.5	1	9
2014-03-27 20:08:45.100597	52493	51	2	8
2014-03-27 20:08:45.342924	52494	21.0	1	8
2014-03-27 20:09:13.100827	52495	43	2	10
2014-03-27 20:09:13.32257	52496	24.3	1	10
2014-03-27 20:09:23.007207	52497	58	2	9
2014-03-27 20:09:23.240575	52498	23.5	1	9
2014-03-27 20:09:24.098716	52499	51	2	8
2014-03-27 20:09:24.322357	52500	21.0	1	8
2014-03-27 20:09:52.098256	52501	43	2	10
2014-03-27 20:09:52.331189	52502	24.3	1	10
2014-03-27 20:10:02.008973	52503	59	2	9
2014-03-27 20:10:02.230431	52504	23.5	1	9
2014-03-27 20:10:03.101849	52505	51	2	8
2014-03-27 20:10:03.333174	52506	21.0	1	8
2014-03-27 20:10:20.428892	52507	595	3	2
2014-03-27 20:10:20.651235	52508	1101504.4709522235	4	2
2014-03-27 20:10:31.097459	52509	43	2	10
2014-03-27 20:10:31.329461	52510	24.3	1	10
2014-03-27 20:10:32.429385	52511	595	3	2
2014-03-27 20:10:32.649609	52512	1101506.7690216661	4	2
2014-03-27 20:10:41.005547	52513	59	2	9
2014-03-27 20:10:41.236413	52514	23.6	1	9
2014-03-27 20:10:42.099331	52515	52	2	8
2014-03-27 20:10:42.319364	52516	21.0	1	8
2014-03-27 20:11:10.098942	52517	43	2	10
2014-03-27 20:11:10.329967	52518	24.3	1	10
2014-03-27 20:11:20.012107	52519	59	2	9
2014-03-27 20:11:20.235082	52520	23.6	1	9
2014-03-27 20:11:21.308841	52521	51	2	8
2014-03-27 20:11:21.541794	52522	21.0	1	8
2014-03-27 20:11:49.098099	52523	43	2	10
2014-03-27 20:11:49.31984	52524	24.4	1	10
2014-03-27 20:11:59.005702	52525	59	2	9
2014-03-27 20:11:59.238049	52526	23.6	1	9
2014-03-27 20:12:00.098801	52527	51	2	8
2014-03-27 20:12:00.319828	52528	21.0	1	8
2014-03-27 20:12:08.42733	52529	2623	3	2
2014-03-27 20:12:08.661385	52530	1101533.1968202589	4	2
2014-03-27 20:12:28.098632	52531	43	2	10
2014-03-27 20:12:28.319632	52532	24.4	1	10
2014-03-27 20:12:32.43022	52533	2607	3	2
2014-03-27 20:12:32.662569	52534	1101550.43234108	4	2
2014-03-27 20:12:38.080469	52535	59	2	9
2014-03-27 20:12:38.303777	52536	23.7	1	9
2014-03-27 20:12:39.099034	52537	51	2	8
2014-03-27 20:12:39.329505	52538	21.0	1	8
2014-03-27 20:13:07.099336	52539	43	2	10
2014-03-27 20:13:07.322849	52540	24.4	1	10
2014-03-27 20:13:17.006729	52541	59	2	9
2014-03-27 20:13:17.250294	52542	23.7	1	9
2014-03-27 20:13:18.099444	52543	51	2	8
2014-03-27 20:13:18.319719	52544	21.0	1	8
2014-03-27 20:13:46.098765	52545	43	2	10
2014-03-27 20:13:46.337636	52546	24.4	1	10
2014-03-27 20:13:56.009333	52547	59	2	9
2014-03-27 20:13:56.230874	52548	23.7	1	9
2014-03-27 20:13:57.100017	52549	51	2	8
2014-03-27 20:13:57.330318	52550	21.0	1	8
2014-03-27 20:14:25.100887	52551	43	2	10
2014-03-27 20:14:25.322255	52552	24.4	1	10
2014-03-27 20:14:35.009078	52553	59	2	9
2014-03-27 20:14:35.241186	52554	23.7	1	9
2014-03-27 20:14:36.100018	52555	51	2	8
2014-03-27 20:14:36.320821	52556	21.0	1	8
2014-03-27 20:15:04.099976	52557	43	2	10
2014-03-27 20:15:04.334495	52558	24.4	1	10
2014-03-27 20:15:14.003458	52559	59	2	9
2014-03-27 20:15:14.22799	52560	23.7	1	9
2014-03-27 20:15:15.098762	52561	51	2	8
2014-03-27 20:15:15.331687	52562	21.0	1	8
2014-03-27 20:15:32.426282	52563	595	3	2
2014-03-27 20:15:32.648623	52564	1101637.7589799075	4	2
2014-03-27 20:15:43.100802	52565	43	2	10
2014-03-27 20:15:43.341233	52566	24.4	1	10
2014-03-27 20:15:53.011662	52567	59	2	9
2014-03-27 20:15:53.234404	52568	23.7	1	9
2014-03-27 20:15:54.097811	52569	51	2	8
2014-03-27 20:15:54.330396	52570	21.0	1	8
2014-03-27 20:16:22.097424	52571	43	2	10
2014-03-27 20:16:22.319152	52572	24.4	1	10
2014-03-27 20:16:32.007578	52573	59	2	9
2014-03-27 20:16:32.240452	52574	23.7	1	9
2014-03-27 20:16:32.550102	52575	595	3	2
2014-03-27 20:16:32.773348	52576	1101648.1002924002	4	2
2014-03-27 20:16:33.099251	52577	51	2	8
2014-03-27 20:16:33.328692	52578	21.0	1	8
2014-03-27 20:17:01.100977	52579	43	2	10
2014-03-27 20:17:01.420778	52580	24.4	1	10
2014-03-27 20:17:11.009865	52581	59	2	9
2014-03-27 20:17:11.242371	52582	23.7	1	9
2014-03-27 20:17:12.101141	52583	51	2	8
2014-03-27 20:17:12.323708	52584	21.0	1	8
2014-03-27 20:17:32.425776	52585	595	3	2
2014-03-27 20:17:32.660296	52586	1101658.441604893	4	2
2014-03-27 20:17:40.100721	52587	43	2	10
2014-03-27 20:17:40.32356	52588	24.5	1	10
2014-03-27 20:17:50.007117	52589	59	2	9
2014-03-27 20:17:50.248751	52590	23.7	1	9
2014-03-27 20:17:51.099366	52591	51	2	8
2014-03-27 20:17:51.322625	52592	21.0	1	8
2014-03-27 20:18:19.099592	52593	43	2	10
2014-03-27 20:18:19.330236	52594	24.5	1	10
2014-03-27 20:18:29.006754	52595	59	2	9
2014-03-27 20:18:29.230825	52596	23.7	1	9
2014-03-27 20:18:30.099134	52597	51	2	8
2014-03-27 20:18:30.330101	52598	21.0	1	8
2014-03-27 20:18:58.100012	52599	43	2	10
2014-03-27 20:18:58.321034	52600	24.5	1	10
2014-03-27 20:19:08.06474	52601	59	2	9
2014-03-27 20:19:08.295648	52602	23.7	1	9
2014-03-27 20:19:09.099784	52603	52	2	8
2014-03-27 20:19:09.319437	52604	21.0	1	8
2014-03-27 20:19:37.103173	52605	43	2	10
2014-03-27 20:19:37.333668	52606	24.5	1	10
2014-03-27 20:19:47.00903	52607	59	2	9
2014-03-27 20:19:47.232209	52608	23.7	1	9
2014-03-27 20:19:48.100856	52609	51	2	8
2014-03-27 20:19:48.330082	52610	21.0	1	8
2014-03-27 20:20:16.102072	52611	43	2	10
2014-03-27 20:20:16.323811	52612	24.5	1	10
2014-03-27 20:20:26.009815	52613	59	2	9
2014-03-27 20:20:26.243255	52614	23.7	1	9
2014-03-27 20:20:27.098519	52615	51	2	8
2014-03-27 20:20:27.321741	52616	21.0	1	8
2014-03-27 20:20:55.090164	52617	43	2	10
2014-03-27 20:20:55.321159	52618	24.5	1	10
2014-03-27 20:21:05.005587	52619	59	2	9
2014-03-27 20:21:05.227515	52620	23.7	1	9
2014-03-27 20:21:06.095764	52621	51	2	8
2014-03-27 20:21:06.327753	52622	21.0	1	8
2014-03-27 20:21:34.102016	52623	43	2	10
2014-03-27 20:21:34.324142	52624	24.5	1	10
2014-03-27 20:21:44.01039	52625	59	2	9
2014-03-27 20:21:44.282257	52626	23.8	1	9
2014-03-27 20:21:44.619319	52627	643	3	2
2014-03-27 20:21:44.875513	52628	1101742.3256105084	4	2
2014-03-27 20:21:45.217614	52629	51	2	8
2014-03-27 20:21:45.483994	52630	21.0	1	8
2014-03-27 20:22:13.100688	52631	43	2	10
2014-03-27 20:22:13.417353	52632	24.5	1	10
2014-03-27 20:22:23.007958	52633	59	2	9
2014-03-27 20:22:23.282133	52634	23.8	1	9
2014-03-27 20:22:24.099226	52635	51	2	8
2014-03-27 20:22:24.354094	52636	21.0	1	8
2014-03-27 20:22:32.428053	52637	2736	3	2
2014-03-27 20:22:32.672761	52638	1101754.964992444	4	2
2014-03-27 20:22:44.426364	52639	2736	3	2
2014-03-27 20:22:44.656854	52640	1101764.1572702155	4	2
2014-03-27 20:22:52.102044	52641	43	2	10
2014-03-27 20:22:52.33354	52642	24.5	1	10
2014-03-27 20:23:02.007662	52643	59	2	9
2014-03-27 20:23:02.232563	52644	23.8	1	9
2014-03-27 20:23:03.098049	52645	51	2	8
2014-03-27 20:23:03.333404	52646	21.0	1	8
2014-03-27 20:23:08.428426	52647	2623	3	2
2014-03-27 20:23:08.648846	52648	1101781.3927910367	4	2
2014-03-27 20:23:31.307207	52649	43	2	10
2014-03-27 20:23:31.538468	52650	24.5	1	10
2014-03-27 20:23:32.427317	52651	2623	3	2
2014-03-27 20:23:32.648272	52652	1101798.6283118578	4	2
2014-03-27 20:23:41.007601	52653	59	2	9
2014-03-27 20:23:41.241721	52654	23.8	1	9
2014-03-27 20:23:42.099038	52655	51	2	8
2014-03-27 20:23:42.320268	52656	21.0	1	8
2014-03-27 20:24:10.101921	52657	43	2	10
2014-03-27 20:24:10.333237	52658	24.5	1	10
2014-03-27 20:24:20.008741	52659	59	2	9
2014-03-27 20:24:20.229697	52660	23.8	1	9
2014-03-27 20:24:21.099289	52661	51	2	8
2014-03-27 20:24:21.328306	52662	21.0	1	8
2014-03-27 20:24:32.427944	52663	2607	3	2
2014-03-27 20:24:32.67122	52664	1101842.2916312716	4	2
2014-03-27 20:24:49.104387	52665	43	2	10
2014-03-27 20:24:49.335327	52666	24.6	1	10
2014-03-27 20:24:59.008658	52667	59	2	9
2014-03-27 20:24:59.23243	52668	23.8	1	9
2014-03-27 20:25:00.10073	52669	51	2	8
2014-03-27 20:25:00.332053	52670	21.0	1	8
2014-03-27 20:25:28.104586	52671	43	2	10
2014-03-27 20:25:28.325472	52672	24.6	1	10
2014-03-27 20:25:32.423324	52673	2607	3	2
2014-03-27 20:25:32.654018	52674	1101885.9549506854	4	2
2014-03-27 20:25:38.012196	52675	59	2	9
2014-03-27 20:25:38.234903	52676	23.8	1	9
2014-03-27 20:25:39.100538	52677	51	2	8
2014-03-27 20:25:39.332985	52678	21.0	1	8
2014-03-27 20:26:07.103082	52679	43	2	10
2014-03-27 20:26:07.325565	52680	24.6	1	10
2014-03-27 20:26:17.00791	52681	59	2	9
2014-03-27 20:26:17.239406	52682	23.8	1	9
2014-03-27 20:26:18.099429	52683	51	2	8
2014-03-27 20:26:18.321069	52684	21.0	1	8
2014-03-27 20:26:46.102758	52685	43	2	10
2014-03-27 20:26:46.347303	52686	24.6	1	10
2014-03-27 20:26:56.010525	52687	59	2	9
2014-03-27 20:26:56.234017	52688	23.8	1	9
2014-03-27 20:26:57.099522	52689	51	2	8
2014-03-27 20:26:57.332418	52690	21.0	1	8
2014-03-27 20:27:25.103167	52691	43	2	10
2014-03-27 20:27:25.323982	52692	24.6	1	10
2014-03-27 20:27:32.427481	52693	595	3	2
2014-03-27 20:27:32.66559	52694	1101961.791242299	4	2
2014-03-27 20:27:35.010139	52695	59	2	9
2014-03-27 20:27:35.234026	52696	23.8	1	9
2014-03-27 20:27:36.098439	52697	51	2	8
2014-03-27 20:27:36.333392	52698	21.0	1	8
2014-03-27 20:28:04.102771	52699	43	2	10
2014-03-27 20:28:04.333276	52700	24.6	1	10
2014-03-27 20:28:14.007921	52701	59	2	9
2014-03-27 20:28:14.2399	52702	23.8	1	9
2014-03-27 20:28:15.09895	52703	51	2	8
2014-03-27 20:28:15.318793	52704	21.0	1	8
2014-03-27 20:28:43.103327	52705	43	2	10
2014-03-27 20:28:43.334696	52706	24.6	1	10
2014-03-27 20:28:53.007419	52707	59	2	9
2014-03-27 20:28:53.229154	52708	23.8	1	9
2014-03-27 20:28:54.097485	52709	51	2	8
2014-03-27 20:28:54.327982	52710	21.0	1	8
2014-03-27 20:29:22.105554	52711	43	2	10
2014-03-27 20:29:22.326638	52712	24.6	1	10
2014-03-27 20:29:32.007625	52713	59	2	9
2014-03-27 20:29:32.239032	52714	23.8	1	9
2014-03-27 20:29:32.54414	52715	595	3	2
2014-03-27 20:29:32.765778	52716	1101981.3248325628	4	2
2014-03-27 20:29:33.099399	52717	51	2	8
2014-03-27 20:29:33.34272	52718	21.0	1	8
2014-03-27 20:30:01.104023	52719	43	2	10
2014-03-27 20:30:01.327188	52720	24.6	1	10
2014-03-27 20:30:11.010249	52721	59	2	9
2014-03-27 20:30:11.244659	52722	23.8	1	9
2014-03-27 20:30:12.100463	52723	51	2	8
2014-03-27 20:30:12.324714	52724	21.0	1	8
2014-03-27 20:30:32.426067	52725	659	3	2
2014-03-27 20:30:32.657774	52726	1101991.6661450556	4	2
2014-03-27 20:30:40.106751	52727	43	2	10
2014-03-27 20:30:40.329128	52728	24.6	1	10
2014-03-27 20:30:50.010967	52729	59	2	9
2014-03-27 20:30:50.244675	52730	23.8	1	9
2014-03-27 20:30:51.099354	52731	51	2	8
2014-03-27 20:30:51.32142	52732	21.0	1	8
2014-03-27 20:31:19.10546	52733	43	2	10
2014-03-27 20:31:19.351197	52734	24.7	1	10
2014-03-27 20:31:29.007626	52735	59	2	9
2014-03-27 20:31:29.232685	52736	23.8	1	9
2014-03-27 20:31:30.098613	52737	51	2	8
2014-03-27 20:31:30.330595	52738	21.1	1	8
2014-03-27 20:31:32.429791	52739	643	3	2
2014-03-27 20:31:32.650359	52740	1102002.0074575483	4	2
2014-03-27 20:31:58.103893	52741	43	2	10
2014-03-27 20:31:58.336732	52742	24.7	1	10
2014-03-27 20:32:08.010032	52743	59	2	9
2014-03-27 20:32:08.232548	52744	23.8	1	9
2014-03-27 20:32:09.098697	52745	51	2	8
2014-03-27 20:32:09.330016	52746	21.1	1	8
2014-03-27 20:32:37.118322	52747	43	2	10
2014-03-27 20:32:37.342005	52748	24.7	1	10
2014-03-27 20:32:47.009106	52749	59	2	9
2014-03-27 20:32:47.243902	52750	23.8	1	9
2014-03-27 20:32:48.099646	52751	51	2	8
2014-03-27 20:32:48.325063	52752	21.1	1	8
2014-03-27 20:33:16.105612	52753	43	2	10
2014-03-27 20:33:16.336454	52754	24.7	1	10
2014-03-27 20:33:26.010256	52755	59	2	9
2014-03-27 20:33:26.235012	52756	23.8	1	9
2014-03-27 20:33:27.100421	52757	51	2	8
2014-03-27 20:33:27.336405	52758	21.1	1	8
2014-03-27 20:33:55.105041	52759	43	2	10
2014-03-27 20:33:55.329456	52760	24.7	1	10
2014-03-27 20:34:05.005754	52761	59	2	9
2014-03-27 20:34:05.235857	52762	23.8	1	9
2014-03-27 20:34:06.098408	52763	51	2	8
2014-03-27 20:34:06.320438	52764	21.1	1	8
2014-03-27 20:34:34.105247	52765	43	2	10
2014-03-27 20:34:34.337081	52766	24.7	1	10
2014-03-27 20:34:44.003719	52767	59	2	9
2014-03-27 20:34:44.224014	52768	23.8	1	9
2014-03-27 20:34:44.528639	52769	724	3	2
2014-03-27 20:34:44.760015	52770	1102037.6320048645	4	2
2014-03-27 20:34:45.098486	52771	51	2	8
2014-03-27 20:34:45.319766	52772	21.1	1	8
2014-03-27 20:35:13.104884	52773	43	2	10
2014-03-27 20:35:13.335507	52774	24.7	1	10
2014-03-27 20:35:20.423899	52775	804	3	2
2014-03-27 20:35:20.646666	52776	1102045.6752479144	4	2
2014-03-27 20:35:23.008491	52777	59	2	9
2014-03-27 20:35:23.238235	52778	23.8	1	9
2014-03-27 20:35:24.098046	52779	51	2	8
2014-03-27 20:35:24.32139	52780	21.1	1	8
2014-03-27 20:35:32.424206	52781	724	3	2
2014-03-27 20:35:32.669428	52782	1102047.9733173572	4	2
2014-03-27 20:35:52.107751	52783	43	2	10
2014-03-27 20:35:52.329329	52784	24.7	1	10
2014-03-27 20:36:02.009311	52785	59	2	9
2014-03-27 20:36:02.243523	52786	23.8	1	9
2014-03-27 20:36:03.100184	52787	51	2	8
2014-03-27 20:36:03.319951	52788	21.1	1	8
2014-03-27 20:36:31.105602	52789	43	2	10
2014-03-27 20:36:31.339271	52790	24.7	1	10
2014-03-27 20:36:41.004129	52791	59	2	9
2014-03-27 20:36:41.231199	52792	23.8	1	9
2014-03-27 20:36:42.09848	52793	51	2	8
2014-03-27 20:36:42.333727	52794	21.1	1	8
2014-03-27 20:37:10.105798	52795	43	2	10
2014-03-27 20:37:10.332348	52796	24.7	1	10
2014-03-27 20:37:20.003876	52797	59	2	9
2014-03-27 20:37:20.240382	52798	23.8	1	9
2014-03-27 20:37:21.098539	52799	51	2	8
2014-03-27 20:37:21.324281	52800	21.1	1	8
2014-03-27 20:37:49.106565	52801	43	2	10
2014-03-27 20:37:49.343432	52802	24.7	1	10
2014-03-27 20:37:59.221159	52803	59	2	9
2014-03-27 20:37:59.44415	52804	23.8	1	9
2014-03-27 20:38:00.098183	52805	52	2	8
2014-03-27 20:38:00.327719	52806	21.1	1	8
2014-03-27 20:38:28.106486	52807	43	2	10
2014-03-27 20:38:28.327224	52808	24.8	1	10
2014-03-27 20:38:38.00641	52809	59	2	9
2014-03-27 20:38:38.237077	52810	23.9	1	9
2014-03-27 20:38:39.09883	52811	52	2	8
2014-03-27 20:38:39.323134	52812	21.1	1	8
2014-03-27 20:39:07.105498	52813	43	2	10
2014-03-27 20:39:07.34095	52814	24.8	1	10
2014-03-27 20:39:17.008691	52815	59	2	9
2014-03-27 20:39:17.230599	52816	23.9	1	9
2014-03-27 20:39:18.098839	52817	51	2	8
2014-03-27 20:39:18.329473	52818	21.1	1	8
2014-03-27 20:39:32.424569	52819	643	3	2
2014-03-27 20:39:32.645693	52820	1102092.7856714923	4	2
2014-03-27 20:39:46.107318	52821	43	2	10
2014-03-27 20:39:46.337645	52822	24.8	1	10
2014-03-27 20:39:56.006371	52823	59	2	9
2014-03-27 20:39:56.228228	52824	23.9	1	9
2014-03-27 20:39:57.301305	52825	52	2	8
2014-03-27 20:39:57.532796	52826	21.1	1	8
2014-03-27 20:40:25.105835	52827	43	2	10
2014-03-27 20:40:25.327286	52828	24.8	1	10
2014-03-27 20:40:35.01398	52829	59	2	9
2014-03-27 20:40:35.256516	52830	23.9	1	9
2014-03-27 20:40:36.101222	52831	52	2	8
2014-03-27 20:40:36.322002	52832	21.1	1	8
2014-03-27 20:41:04.109339	52833	43	2	10
2014-03-27 20:41:04.341471	52834	24.8	1	10
2014-03-27 20:41:08.424305	52835	676	3	2
2014-03-27 20:41:08.689434	52836	1102111.170227035	4	2
2014-03-27 20:41:14.007007	52837	59	2	9
2014-03-27 20:41:14.240068	52838	23.9	1	9
2014-03-27 20:41:15.100589	52839	52	2	8
2014-03-27 20:41:15.322309	52840	21.1	1	8
2014-03-27 20:41:20.426208	52841	837	3	2
2014-03-27 20:41:20.659642	52842	1102113.4682964778	4	2
2014-03-27 20:41:32.424395	52843	853	3	2
2014-03-27 20:41:32.645881	52844	1102115.7663659207	4	2
2014-03-27 20:41:43.107656	52845	43	2	10
2014-03-27 20:41:43.342818	52846	24.8	1	10
2014-03-27 20:41:53.012073	52847	59	2	9
2014-03-27 20:41:53.234812	52848	23.9	1	9
2014-03-27 20:41:54.098022	52849	52	2	8
2014-03-27 20:41:54.330181	52850	21.1	1	8
2014-03-27 20:42:22.105946	52851	43	2	10
2014-03-27 20:42:22.328575	52852	24.8	1	10
2014-03-27 20:42:32.009143	52853	59	2	9
2014-03-27 20:42:32.239912	52854	23.9	1	9
2014-03-27 20:42:32.547297	52855	853	3	2
2014-03-27 20:42:32.768171	52856	1102130.703817299	4	2
2014-03-27 20:42:33.098735	52857	51	2	8
2014-03-27 20:42:33.330819	52858	21.1	1	8
2014-03-27 20:43:01.108057	52859	43	2	10
2014-03-27 20:43:01.332194	52860	24.8	1	10
2014-03-27 20:43:11.004739	52861	59	2	9
2014-03-27 20:43:11.235652	52862	23.9	1	9
2014-03-27 20:43:12.099441	52863	51	2	8
2014-03-27 20:43:12.319041	52864	21.1	1	8
2014-03-27 20:43:32.428279	52865	869	3	2
2014-03-27 20:43:32.661643	52866	1102144.492233956	4	2
2014-03-27 20:43:40.107718	52867	43	2	10
2014-03-27 20:43:40.328654	52868	24.8	1	10
2014-03-27 20:43:50.20916	52869	58	2	9
2014-03-27 20:43:50.440714	52870	23.9	1	9
2014-03-27 20:43:51.099123	52871	51	2	8
2014-03-27 20:43:51.319831	52872	21.1	1	8
2014-03-27 20:44:19.107554	52873	43	2	10
2014-03-27 20:44:19.340314	52874	24.8	1	10
2014-03-27 20:44:29.009303	52875	58	2	9
2014-03-27 20:44:29.2307	52876	23.9	1	9
2014-03-27 20:44:30.097662	52877	52	2	8
2014-03-27 20:44:30.340984	52878	21.1	1	8
2014-03-27 20:44:32.427341	52879	869	3	2
2014-03-27 20:44:32.64795	52880	1102159.4296853344	4	2
2014-03-27 20:44:44.424302	52881	933	3	2
2014-03-27 20:44:44.655448	52882	1102161.7277547773	4	2
2014-03-27 20:44:56.422893	52883	869	3	2
2014-03-27 20:44:56.644521	52884	1102165.1748589415	4	2
2014-03-27 20:44:58.107736	52885	43	2	10
2014-03-27 20:44:58.339242	52886	24.9	1	10
2014-03-27 20:45:08.005901	52887	58	2	9
2014-03-27 20:45:08.22657	52888	23.9	1	9
2014-03-27 20:45:08.531682	52889	853	3	2
2014-03-27 20:45:08.801706	52890	1102168.6219631056	4	2
2014-03-27 20:45:09.123102	52891	52	2	8
2014-03-27 20:45:09.343097	52892	21.1	1	8
2014-03-27 20:45:32.426759	52893	853	3	2
2014-03-27 20:45:32.65799	52894	1102174.367136713	4	2
2014-03-27 20:45:37.107316	52895	43	2	10
2014-03-27 20:45:37.328934	52896	24.9	1	10
2014-03-27 20:45:47.010351	52897	58	2	9
2014-03-27 20:45:47.240712	52898	23.9	1	9
2014-03-27 20:45:48.099186	52899	51	2	8
2014-03-27 20:45:48.320578	52900	21.1	1	8
2014-03-27 20:46:16.11027	52901	43	2	10
2014-03-27 20:46:16.343288	52902	24.9	1	10
2014-03-27 20:46:26.013232	52903	58	2	9
2014-03-27 20:46:26.234778	52904	23.9	1	9
2014-03-27 20:46:27.098604	52905	51	2	8
2014-03-27 20:46:27.328321	52906	21.1	1	8
2014-03-27 20:46:32.427502	52907	853	3	2
2014-03-27 20:46:32.648178	52908	1102188.1555533698	4	2
2014-03-27 20:46:55.111829	52909	43	2	10
2014-03-27 20:46:55.3435	52910	24.9	1	10
2014-03-27 20:47:04.812355	52911	820	3	2
2014-03-27 20:47:05.034156	52912	1102193.9007269768	4	2
2014-03-27 20:47:05.349756	52913	58	2	9
2014-03-27 20:47:05.582297	52914	23.9	1	9
2014-03-27 20:47:06.099535	52915	52	2	8
2014-03-27 20:47:06.322107	52916	21.1	1	8
2014-03-27 20:47:08.428934	52917	901	3	2
2014-03-27 20:47:08.660777	52918	1102196.1987964197	4	2
2014-03-27 20:47:20.424376	52919	901	3	2
2014-03-27 20:47:20.645749	52920	1102199.6459005838	4	2
2014-03-27 20:47:32.42665	52921	885	3	2
2014-03-27 20:47:32.658635	52922	1102203.0930047482	4	2
2014-03-27 20:47:34.108516	52923	43	2	10
2014-03-27 20:47:34.331574	52924	24.9	1	10
2014-03-27 20:47:44.009569	52925	58	2	9
2014-03-27 20:47:44.263151	52926	23.9	1	9
2014-03-27 20:47:45.099241	52927	52	2	8
2014-03-27 20:47:45.328271	52928	21.1	1	8
2014-03-27 20:48:13.109175	52929	43	2	10
2014-03-27 20:48:13.33992	52930	24.9	1	10
2014-03-27 20:48:23.003906	52931	57	2	9
2014-03-27 20:48:23.228422	52932	23.9	1	9
2014-03-27 20:48:24.099586	52933	52	2	8
2014-03-27 20:48:24.332247	52934	21.2	1	8
2014-03-27 20:48:32.426278	52935	885	3	2
2014-03-27 20:48:32.648931	52936	1102218.0304561267	4	2
2014-03-27 20:48:44.423808	52937	837	3	2
2014-03-27 20:48:44.663918	52938	1102220.3285255693	4	2
2014-03-27 20:48:52.109437	52939	43	2	10
2014-03-27 20:48:52.33113	52940	24.9	1	10
2014-03-27 20:48:56.426554	52941	837	3	2
2014-03-27 20:48:56.659407	52942	1102222.6265950121	4	2
2014-03-27 20:49:02.006316	52943	57	2	9
2014-03-27 20:49:02.228048	52944	23.9	1	9
2014-03-27 20:49:03.099174	52945	52	2	8
2014-03-27 20:49:03.331749	52946	21.2	1	8
2014-03-27 20:49:31.109569	52947	43	2	10
2014-03-27 20:49:31.332071	52948	24.9	1	10
2014-03-27 20:49:32.425595	52949	853	3	2
2014-03-27 20:49:32.65892	52950	1102231.8188727836	4	2
2014-03-27 20:49:41.011231	52951	57	2	9
2014-03-27 20:49:41.233314	52952	23.9	1	9
2014-03-27 20:49:42.098919	52953	52	2	8
2014-03-27 20:49:42.330228	52954	21.3	1	8
2014-03-27 20:50:10.109334	52955	43	2	10
2014-03-27 20:50:10.330616	52956	24.9	1	10
2014-03-27 20:50:20.004463	52957	57	2	9
2014-03-27 20:50:20.235794	52958	23.9	1	9
2014-03-27 20:50:21.09855	52959	52	2	8
2014-03-27 20:50:21.320102	52960	21.4	1	8
2014-03-27 20:50:44.42634	52961	708	3	2
2014-03-27 20:50:44.66402	52962	1102247.9053588833	4	2
2014-03-27 20:50:49.111131	52963	43	2	10
2014-03-27 20:50:49.331685	52964	24.9	1	10
2014-03-27 20:50:56.42597	52965	708	3	2
2014-03-27 20:50:56.659677	52966	1102250.2034283262	4	2
2014-03-27 20:50:59.005427	52967	57	2	9
2014-03-27 20:50:59.227335	52968	23.9	1	9
2014-03-27 20:51:00.099061	52969	52	2	8
2014-03-27 20:51:00.33009	52970	21.4	1	8
2014-03-27 20:51:28.109195	52971	43	2	10
2014-03-27 20:51:28.330901	52972	24.9	1	10
2014-03-27 20:51:32.423504	52973	708	3	2
2014-03-27 20:51:32.664821	52974	1102257.0976366547	4	2
2014-03-27 20:51:38.012331	52975	57	2	9
2014-03-27 20:51:38.233111	52976	23.9	1	9
2014-03-27 20:51:39.100216	52977	52	2	8
2014-03-27 20:51:39.387833	52978	21.5	1	8
2014-03-27 20:52:07.111212	52979	43	2	10
2014-03-27 20:52:07.332848	52980	24.9	1	10
2014-03-27 20:52:17.007233	52981	57	2	9
2014-03-27 20:52:17.2398	52982	23.8	1	9
2014-03-27 20:52:18.098995	52983	52	2	8
2014-03-27 20:52:18.321019	52984	21.5	1	8
2014-03-27 20:52:32.422342	52985	708	3	2
2014-03-27 20:52:32.657848	52986	1102269.7370185903	4	2
2014-03-27 20:52:46.110456	52987	43	2	10
2014-03-27 20:52:46.33474	52988	25.0	1	10
2014-03-27 20:52:56.018197	52989	57	2	9
2014-03-27 20:52:56.251124	52990	23.8	1	9
2014-03-27 20:52:56.555508	52991	804	3	2
2014-03-27 20:52:56.77578	52992	1102274.3331574758	4	2
2014-03-27 20:52:57.098609	52993	52	2	8
2014-03-27 20:52:57.330157	52994	21.5	1	8
2014-03-27 20:53:08.42681	52995	804	3	2
2014-03-27 20:53:08.649605	52996	1102277.7802616402	4	2
2014-03-27 20:53:25.111235	52997	43	2	10
2014-03-27 20:53:25.34579	52998	25.0	1	10
2014-03-27 20:53:32.43106	52999	724	3	2
2014-03-27 20:53:32.651839	53000	1102282.376400526	4	2
2014-03-27 20:53:35.003198	53001	57	2	9
2014-03-27 20:53:35.233531	53002	23.8	1	9
2014-03-27 20:53:36.104561	53003	52	2	8
2014-03-27 20:53:36.325428	53004	21.6	1	8
2014-03-27 20:53:44.426102	53005	708	3	2
2014-03-27 20:53:44.665184	53006	1102284.6744699685	4	2
2014-03-27 20:54:04.110242	53007	43	2	10
2014-03-27 20:54:04.332254	53008	25.0	1	10
2014-03-27 20:54:14.004512	53009	57	2	9
2014-03-27 20:54:14.235278	53010	23.8	1	9
2014-03-27 20:54:15.098103	53011	52	2	8
2014-03-27 20:54:15.319423	53012	21.6	1	8
2014-03-27 20:54:32.423909	53013	708	3	2
2014-03-27 20:54:32.656593	53014	1102293.86674774	4	2
2014-03-27 20:54:43.111727	53015	43	2	10
2014-03-27 20:54:43.333307	53016	25.0	1	10
2014-03-27 20:54:53.005148	53017	57	2	9
2014-03-27 20:54:53.237133	53018	23.8	1	9
2014-03-27 20:54:54.098293	53019	52	2	8
2014-03-27 20:54:54.321608	53020	21.6	1	8
2014-03-27 20:55:22.110914	53021	43	2	10
2014-03-27 20:55:22.354191	53022	25.0	1	10
2014-03-27 20:55:32.005555	53023	57	2	9
2014-03-27 20:55:32.227185	53024	23.8	1	9
2014-03-27 20:55:32.532324	53025	724	3	2
2014-03-27 20:55:32.766243	53026	1102305.3615659063	4	2
2014-03-27 20:55:33.09953	53027	52	2	8
2014-03-27 20:55:33.321073	53028	21.7	1	8
2014-03-27 20:56:01.111604	53029	43	2	10
2014-03-27 20:56:01.34463	53030	25.0	1	10
2014-03-27 20:56:11.00476	53031	56	2	9
2014-03-27 20:56:11.260978	53032	23.8	1	9
2014-03-27 20:56:12.099712	53033	52	2	8
2014-03-27 20:56:12.515816	53034	21.7	1	8
2014-03-27 20:56:32.425173	53035	837	3	2
2014-03-27 20:56:32.68415	53036	1102316.8519131204	4	2
2014-03-27 20:56:40.112608	53037	43	2	10
2014-03-27 20:56:40.378026	53038	25.0	1	10
2014-03-27 20:56:44.425443	53039	837	3	2
2014-03-27 20:56:44.727561	53040	1102320.2990172848	4	2
2014-03-27 20:56:50.008929	53041	56	2	9
2014-03-27 20:56:50.241808	53042	23.8	1	9
2014-03-27 20:56:51.099322	53043	52	2	8
2014-03-27 20:56:51.322109	53044	21.7	1	8
2014-03-27 20:57:19.112689	53045	43	2	10
2014-03-27 20:57:19.344723	53046	25.0	1	10
2014-03-27 20:57:29.005173	53047	56	2	9
2014-03-27 20:57:29.228299	53048	23.8	1	9
2014-03-27 20:57:30.098885	53049	52	2	8
2014-03-27 20:57:30.330886	53050	21.8	1	8
2014-03-27 20:57:32.422693	53051	820	3	2
2014-03-27 20:57:32.645416	53052	1102331.7893644988	4	2
2014-03-27 20:57:58.111103	53053	43	2	10
2014-03-27 20:57:58.348828	53054	25.0	1	10
2014-03-27 20:58:08.002726	53055	56	2	9
2014-03-27 20:58:08.226348	53056	23.8	1	9
2014-03-27 20:58:09.098227	53057	52	2	8
2014-03-27 20:58:09.385862	53058	21.8	1	8
2014-03-27 20:58:32.423811	53059	837	3	2
2014-03-27 20:58:32.647193	53060	1102345.577781156	4	2
2014-03-27 20:58:37.112077	53061	43	2	10
2014-03-27 20:58:37.345454	53062	25.0	1	10
2014-03-27 20:58:47.002774	53063	56	2	9
2014-03-27 20:58:47.224857	53064	23.8	1	9
2014-03-27 20:58:48.09747	53065	52	2	8
2014-03-27 20:58:48.33004	53066	21.8	1	8
2014-03-27 20:59:16.113068	53067	43	2	10
2014-03-27 20:59:16.335503	53068	25.0	1	10
2014-03-27 20:59:26.003877	53069	56	2	9
2014-03-27 20:59:26.247157	53070	23.8	1	9
2014-03-27 20:59:27.097076	53071	52	2	8
2014-03-27 20:59:27.316982	53072	21.8	1	8
2014-03-27 20:59:32.422607	53073	837	3	2
2014-03-27 20:59:32.656222	53074	1102359.3661978128	4	2
2014-03-27 20:59:55.11217	53075	43	2	10
2014-03-27 20:59:55.333993	53076	25.1	1	10
2014-03-27 21:00:05.002801	53077	56	2	9
2014-03-27 21:00:05.234877	53078	23.8	1	9
2014-03-27 21:00:06.097933	53079	52	2	8
2014-03-27 21:00:06.318926	53080	21.9	1	8
2014-03-27 21:00:32.422503	53081	820	3	2
2014-03-27 21:00:32.65601	53082	1102373.1546144697	4	2
2014-03-27 21:00:34.114128	53083	43	2	10
2014-03-27 21:00:34.334568	53084	25.1	1	10
2014-03-27 21:00:44.004037	53085	56	2	9
2014-03-27 21:00:44.234497	53086	23.8	1	9
2014-03-27 21:00:45.095643	53087	52	2	8
2014-03-27 21:00:45.31593	53088	21.9	1	8
2014-03-27 21:01:13.113749	53089	43	2	10
2014-03-27 21:01:13.34585	53090	25.1	1	10
2014-03-27 21:01:23.012168	53091	56	2	9
2014-03-27 21:01:23.235784	53092	23.8	1	9
2014-03-27 21:01:24.098038	53093	52	2	8
2014-03-27 21:01:24.329193	53094	21.9	1	8
2014-03-27 21:01:32.425204	53095	724	3	2
2014-03-27 21:01:32.646966	53096	1102386.9430311269	4	2
2014-03-27 21:01:44.422053	53097	708	3	2
2014-03-27 21:01:44.65868	53098	1102389.2411005697	4	2
2014-03-27 21:01:52.113085	53099	43	2	10
2014-03-27 21:01:52.336428	53100	25.1	1	10
2014-03-27 21:02:02.009646	53101	56	2	9
2014-03-27 21:02:02.242667	53102	23.8	1	9
2014-03-27 21:02:03.096705	53103	52	2	8
2014-03-27 21:02:03.317821	53104	21.9	1	8
2014-03-27 21:02:31.115719	53105	43	2	10
2014-03-27 21:02:31.346646	53106	25.1	1	10
2014-03-27 21:02:32.422898	53107	708	3	2
2014-03-27 21:02:32.644926	53108	1102398.433378341	4	2
2014-03-27 21:02:41.009092	53109	56	2	9
2014-03-27 21:02:41.243808	53110	23.8	1	9
2014-03-27 21:02:42.100415	53111	52	2	8
2014-03-27 21:02:42.324675	53112	21.9	1	8
2014-03-27 21:03:10.113245	53113	43	2	10
2014-03-27 21:03:10.347623	53114	25.1	1	10
2014-03-27 21:03:20.003272	53115	56	2	9
2014-03-27 21:03:20.225837	53116	23.8	1	9
2014-03-27 21:03:21.097143	53117	51	2	8
2014-03-27 21:03:21.343225	53118	22.0	1	8
2014-03-27 21:03:32.424385	53119	708	3	2
2014-03-27 21:03:32.645983	53120	1102409.9237255552	4	2
2014-03-27 21:03:49.113239	53121	43	2	10
2014-03-27 21:03:49.532332	53122	25.1	1	10
2014-03-27 21:03:59.001301	53123	56	2	9
2014-03-27 21:03:59.222572	53124	23.8	1	9
2014-03-27 21:04:00.09514	53125	51	2	8
2014-03-27 21:04:00.3177	53126	22.0	1	8
2014-03-27 21:04:20.42375	53127	659	3	2
2014-03-27 21:04:20.655512	53128	1102419.1160033264	4	2
2014-03-27 21:04:28.11282	53129	43	2	10
2014-03-27 21:04:28.332014	53130	25.1	1	10
2014-03-27 21:04:32.422838	53131	643	3	2
2014-03-27 21:04:32.651844	53132	1102421.4140727692	4	2
2014-03-27 21:04:38.00753	53133	56	2	9
2014-03-27 21:04:38.230472	53134	23.8	1	9
2014-03-27 21:04:39.09738	53135	51	2	8
2014-03-27 21:04:39.327759	53136	22.0	1	8
2014-03-27 21:05:07.11422	53137	43	2	10
2014-03-27 21:05:07.334839	53138	25.1	1	10
2014-03-27 21:05:17.003794	53139	56	2	9
2014-03-27 21:05:17.23489	53140	23.8	1	9
2014-03-27 21:05:18.096936	53141	51	2	8
2014-03-27 21:05:18.316066	53142	22.0	1	8
2014-03-27 21:05:32.422803	53143	659	3	2
2014-03-27 21:05:32.654791	53144	1102432.9044199833	4	2
2014-03-27 21:05:46.112513	53145	43	2	10
2014-03-27 21:05:46.332699	53146	25.1	1	10
2014-03-27 21:05:57.096059	53147	51	2	8
2014-03-27 21:05:57.327218	53148	22.1	1	8
2014-03-27 21:06:25.115444	53149	43	2	10
2014-03-27 21:06:25.335831	53150	25.2	1	10
2014-03-27 21:06:32.421631	53151	659	3	2
2014-03-27 21:06:32.653975	53152	1102443.245732476	4	2
2014-03-27 21:06:35.005829	53153	55	2	9
2014-03-27 21:06:35.226631	53154	23.9	1	9
2014-03-27 21:06:36.097849	53155	51	2	8
2014-03-27 21:06:36.32901	53156	22.1	1	8
2014-03-27 21:07:04.117995	53157	43	2	10
2014-03-27 21:07:04.33761	53158	25.2	1	10
2014-03-27 21:07:14.00469	53159	55	2	9
2014-03-27 21:07:14.234388	53160	23.8	1	9
2014-03-27 21:07:15.096423	53161	51	2	8
2014-03-27 21:07:15.317974	53162	22.1	1	8
2014-03-27 21:07:43.114766	53163	43	2	10
2014-03-27 21:07:43.347016	53164	25.2	1	10
2014-03-27 21:07:53.011373	53165	55	2	9
2014-03-27 21:07:53.233692	53166	23.8	1	9
2014-03-27 21:07:54.101022	53167	51	2	8
2014-03-27 21:07:54.341617	53168	22.1	1	8
2014-03-27 21:08:22.318017	53169	43	2	10
2014-03-27 21:08:22.538888	53170	25.2	1	10
2014-03-27 21:08:32.002675	53171	55	2	9
2014-03-27 21:08:32.236241	53172	23.8	1	9
2014-03-27 21:08:32.540955	53173	659	3	2
2014-03-27 21:08:32.76276	53174	1102465.077392183	4	2
2014-03-27 21:08:33.096855	53175	51	2	8
2014-03-27 21:08:33.33171	53176	22.1	1	8
2014-03-27 21:09:01.320075	53177	43	2	10
2014-03-27 21:09:01.541452	53178	25.2	1	10
2014-03-27 21:09:11.003659	53179	55	2	9
2014-03-27 21:09:11.238059	53180	23.8	1	9
2014-03-27 21:09:12.096025	53181	51	2	8
2014-03-27 21:09:12.317296	53182	22.1	1	8
2014-03-27 21:09:20.422255	53183	724	3	2
2014-03-27 21:09:20.65301	53184	1102474.2696699544	4	2
2014-03-27 21:09:32.422882	53185	627	3	2
2014-03-27 21:09:32.644099	53186	1102476.567739397	4	2
2014-03-27 21:09:40.114568	53187	43	2	10
2014-03-27 21:09:40.347659	53188	25.2	1	10
2014-03-27 21:09:44.423027	53189	627	3	2
2014-03-27 21:09:44.643966	53190	1102478.86580884	4	2
2014-03-27 21:09:50.005348	53191	55	2	9
2014-03-27 21:09:50.235994	53192	23.8	1	9
2014-03-27 21:09:51.096074	53193	51	2	8
2014-03-27 21:09:51.316471	53194	22.1	1	8
2014-03-27 21:10:19.113829	53195	43	2	10
2014-03-27 21:10:19.344993	53196	25.2	1	10
2014-03-27 21:10:29.003077	53197	55	2	9
2014-03-27 21:10:29.223083	53198	23.8	1	9
2014-03-27 21:10:30.096296	53199	51	2	8
2014-03-27 21:10:30.326467	53200	22.1	1	8
2014-03-27 21:10:32.4244	53201	627	3	2
2014-03-27 21:10:32.64757	53202	1102486.9090518898	4	2
2014-03-27 21:10:58.11655	53203	43	2	10
2014-03-27 21:10:58.346493	53204	25.2	1	10
2014-03-27 21:11:08.00152	53205	55	2	9
2014-03-27 21:11:08.223597	53206	23.8	1	9
2014-03-27 21:11:09.096632	53207	51	2	8
2014-03-27 21:11:09.327091	53208	22.1	1	8
2014-03-27 21:11:20.420674	53209	708	3	2
2014-03-27 21:11:20.645051	53210	1102496.1013296612	4	2
2014-03-27 21:11:32.422944	53211	724	3	2
2014-03-27 21:11:32.655942	53212	1102498.399399104	4	2
2014-03-27 21:11:37.115877	53213	43	2	10
2014-03-27 21:11:37.336975	53214	25.2	1	10
2014-03-27 21:11:47.001933	53215	55	2	9
2014-03-27 21:11:47.243395	53216	23.8	1	9
2014-03-27 21:11:48.096868	53217	51	2	8
2014-03-27 21:11:48.318545	53218	22.1	1	8
2014-03-27 21:12:08.421643	53219	853	3	2
2014-03-27 21:12:08.653894	53220	1102505.2936074326	4	2
2014-03-27 21:12:16.1164	53221	43	2	10
2014-03-27 21:12:16.338782	53222	25.2	1	10
2014-03-27 21:12:20.422351	53223	853	3	2
2014-03-27 21:12:20.653225	53224	1102508.7407115968	4	2
2014-03-27 21:12:26.001698	53225	55	2	9
2014-03-27 21:12:26.224748	53226	23.8	1	9
2014-03-27 21:12:27.094708	53227	51	2	8
2014-03-27 21:12:27.325162	53228	22.1	1	8
2014-03-27 21:12:32.42284	53229	853	3	2
2014-03-27 21:12:32.643998	53230	1102511.0387810396	4	2
2014-03-27 21:12:55.115775	53231	43	2	10
2014-03-27 21:12:55.349634	53232	25.2	1	10
2014-03-27 21:13:05.005293	53233	55	2	9
2014-03-27 21:13:05.22823	53234	23.8	1	9
2014-03-27 21:13:06.09747	53235	51	2	8
2014-03-27 21:13:06.327996	53236	22.1	1	8
2014-03-27 21:13:32.420025	53237	837	3	2
2014-03-27 21:13:32.64017	53238	1102525.976232418	4	2
2014-03-27 21:13:34.118629	53239	43	2	10
2014-03-27 21:13:34.350705	53240	25.2	1	10
2014-03-27 21:13:44.005039	53241	55	2	9
2014-03-27 21:13:44.228772	53242	23.8	1	9
2014-03-27 21:13:45.099804	53243	51	2	8
2014-03-27 21:13:45.332052	53244	22.1	1	8
2014-03-27 21:14:13.116773	53245	43	2	10
2014-03-27 21:14:13.341512	53246	25.2	1	10
2014-03-27 21:14:23.002485	53247	55	2	9
2014-03-27 21:14:23.236045	53248	23.8	1	9
2014-03-27 21:14:24.09729	53249	51	2	8
2014-03-27 21:14:24.320916	53250	22.1	1	8
2014-03-27 21:14:32.423655	53251	804	3	2
2014-03-27 21:14:32.656757	53252	1102539.764649075	4	2
2014-03-27 21:14:44.420511	53253	820	3	2
2014-03-27 21:14:44.643262	53254	1102542.0627185178	4	2
2014-03-27 21:14:52.118177	53255	43	2	10
2014-03-27 21:14:52.352421	53256	25.2	1	10
2014-03-27 21:15:02.004978	53257	55	2	9
2014-03-27 21:15:02.227625	53258	23.8	1	9
2014-03-27 21:15:03.097321	53259	51	2	8
2014-03-27 21:15:03.332645	53260	22.1	1	8
2014-03-27 21:15:31.116566	53261	43	2	10
2014-03-27 21:15:31.339186	53262	25.3	1	10
2014-03-27 21:15:32.424035	53263	804	3	2
2014-03-27 21:15:32.666587	53264	1102553.553065732	4	2
2014-03-27 21:15:41.00108	53265	55	2	9
2014-03-27 21:15:41.224372	53266	23.8	1	9
2014-03-27 21:15:42.097171	53267	51	2	8
2014-03-27 21:15:42.329355	53268	22.1	1	8
2014-03-27 21:16:10.116584	53269	43	2	10
2014-03-27 21:16:10.337946	53270	25.3	1	10
2014-03-27 21:16:20.001795	53271	55	2	9
2014-03-27 21:16:20.235399	53272	23.8	1	9
2014-03-27 21:16:21.098865	53273	51	2	8
2014-03-27 21:16:21.320293	53274	22.1	1	8
2014-03-27 21:16:32.419783	53275	804	3	2
2014-03-27 21:16:32.652217	53276	1102566.1924476675	4	2
2014-03-27 21:16:49.117305	53277	43	2	10
2014-03-27 21:16:49.337964	53278	25.3	1	10
2014-03-27 21:16:59.003242	53279	55	2	9
2014-03-27 21:16:59.234477	53280	23.8	1	9
2014-03-27 21:17:00.099105	53281	51	2	8
2014-03-27 21:17:00.321172	53282	22.1	1	8
2014-03-27 21:17:28.116907	53283	43	2	10
2014-03-27 21:17:28.348979	53284	25.3	1	10
2014-03-27 21:17:32.421725	53285	724	3	2
2014-03-27 21:17:32.643903	53286	1102579.9808643246	4	2
2014-03-27 21:17:38.002692	53287	55	2	9
2014-03-27 21:17:38.277491	53288	23.8	1	9
2014-03-27 21:17:39.097158	53289	51	2	8
2014-03-27 21:17:39.318179	53290	22.1	1	8
2014-03-27 21:17:44.422712	53291	724	3	2
2014-03-27 21:17:44.653721	53292	1102582.2789337672	4	2
2014-03-27 21:17:56.420708	53293	804	3	2
2014-03-27 21:17:56.64265	53294	1102585.7260379316	4	2
2014-03-27 21:18:07.11745	53295	43	2	10
2014-03-27 21:18:07.349433	53296	25.3	1	10
2014-03-27 21:18:08.421759	53297	724	3	2
2014-03-27 21:18:08.643871	53298	1102588.0241073745	4	2
2014-03-27 21:18:17.002909	53299	55	2	9
2014-03-27 21:18:17.23493	53300	23.8	1	9
2014-03-27 21:18:18.096722	53301	51	2	8
2014-03-27 21:18:18.31983	53302	22.1	1	8
2014-03-27 21:18:20.422946	53303	804	3	2
2014-03-27 21:18:20.654673	53304	1102590.3221768173	4	2
2014-03-27 21:18:32.423835	53305	804	3	2
2014-03-27 21:18:32.645303	53306	1102591.475682491	4	2
2014-03-27 21:18:46.120602	53307	43	2	10
2014-03-27 21:18:46.352206	53308	25.3	1	10
2014-03-27 21:18:56.008683	53309	55	2	9
2014-03-27 21:18:56.233772	53310	23.8	1	9
2014-03-27 21:18:57.098441	53311	51	2	8
2014-03-27 21:18:57.339083	53312	22.1	1	8
2014-03-27 21:19:25.117443	53313	43	2	10
2014-03-27 21:19:25.341372	53314	25.3	1	10
2014-03-27 21:19:32.422505	53315	676	3	2
2014-03-27 21:19:32.65365	53316	1102604.1150644263	4	2
2014-03-27 21:19:35.001431	53317	55	2	9
2014-03-27 21:19:35.224156	53318	23.8	1	9
2014-03-27 21:19:36.094805	53319	51	2	8
2014-03-27 21:19:36.326318	53320	22.1	1	8
2014-03-27 21:19:44.423446	53321	498	3	2
2014-03-27 21:19:44.64515	53322	1102606.4131338692	4	2
2014-03-27 21:20:03.919879	53323	498	3	2
2014-03-27 21:20:04.153369	53324	1102607.5621685907	4	2
2014-03-27 21:20:04.46355	53325	43	2	10
2014-03-27 21:20:04.684426	53326	25.3	1	10
2014-03-27 21:20:14.003326	53327	55	2	9
2014-03-27 21:20:14.23465	53328	23.8	1	9
2014-03-27 21:20:15.094828	53329	51	2	8
2014-03-27 21:20:15.318832	53330	22.1	1	8
2014-03-27 21:20:32.42178	53331	515	3	2
2014-03-27 21:20:32.653747	53332	1102613.3073421977	4	2
2014-03-27 21:20:43.117657	53333	43	2	10
2014-03-27 21:20:43.339792	53334	25.3	1	10
2014-03-27 21:20:44.42644	53335	482	3	2
2014-03-27 21:20:44.658127	53336	1102614.456376919	4	2
2014-03-27 21:20:53.00307	53337	55	2	9
2014-03-27 21:20:53.223143	53338	23.7	1	9
2014-03-27 21:20:54.095464	53339	51	2	8
2014-03-27 21:20:54.325472	53340	22.1	1	8
2014-03-27 21:21:22.117982	53341	43	2	10
2014-03-27 21:21:22.338707	53342	25.3	1	10
2014-03-27 21:21:32.004748	53343	55	2	9
2014-03-27 21:21:32.23573	53344	23.7	1	9
2014-03-27 21:21:32.543097	53345	531	3	2
2014-03-27 21:21:32.764988	53346	1102623.6486546905	4	2
2014-03-27 21:21:33.093644	53347	51	2	8
2014-03-27 21:21:33.323804	53348	22.1	1	8
2014-03-27 21:21:44.420287	53349	547	3	2
2014-03-27 21:21:44.643009	53350	1102625.9467241333	4	2
2014-03-27 21:22:01.118886	53351	43	2	10
2014-03-27 21:22:01.35175	53352	25.3	1	10
2014-03-27 21:22:08.419343	53353	595	3	2
2014-03-27 21:22:08.640486	53354	1102629.3938282975	4	2
2014-03-27 21:22:11.003613	53355	55	2	9
2014-03-27 21:22:11.235143	53356	23.7	1	9
2014-03-27 21:22:12.095596	53357	51	2	8
2014-03-27 21:22:12.316894	53358	22.1	1	8
2014-03-27 21:22:20.421676	53359	595	3	2
2014-03-27 21:22:20.665361	53360	1102631.6918977404	4	2
2014-03-27 21:22:32.42055	53361	611	3	2
2014-03-27 21:22:32.641571	53362	1102632.840932462	4	2
2014-03-27 21:22:40.118158	53363	43	2	10
2014-03-27 21:22:40.409634	53364	25.3	1	10
2014-03-27 21:22:49.999984	53365	55	2	9
2014-03-27 21:22:50.222222	53366	23.7	1	9
2014-03-27 21:22:51.097665	53367	51	2	8
2014-03-27 21:22:51.328647	53368	22.1	1	8
2014-03-27 21:23:19.11866	53369	43	2	10
2014-03-27 21:23:19.340048	53370	25.3	1	10
2014-03-27 21:23:29.005498	53371	55	2	9
2014-03-27 21:23:29.235673	53372	23.7	1	9
2014-03-27 21:23:30.097014	53373	51	2	8
2014-03-27 21:23:30.31701	53374	22.1	1	8
2014-03-27 21:23:32.418822	53375	611	3	2
2014-03-27 21:23:32.649637	53376	1102643.1822449546	4	2
2014-03-27 21:23:58.121518	53377	43	2	10
2014-03-27 21:23:58.343389	53378	25.3	1	10
2014-03-27 21:24:08.003168	53379	55	2	9
2014-03-27 21:24:08.235752	53380	23.7	1	9
2014-03-27 21:24:09.096416	53381	51	2	8
2014-03-27 21:24:09.318239	53382	22.1	1	8
2014-03-27 21:24:20.41633	53383	2494	3	2
2014-03-27 21:24:20.648601	53384	1102661.5668004972	4	2
2014-03-27 21:24:32.419805	53385	2494	3	2
2014-03-27 21:24:32.641048	53386	1102669.610043547	4	2
2014-03-27 21:24:37.121919	53387	43	2	10
2014-03-27 21:24:37.353342	53388	25.4	1	10
2014-03-27 21:24:47.005104	53389	55	2	9
2014-03-27 21:24:47.228784	53390	23.6	1	9
2014-03-27 21:24:48.097566	53391	51	2	8
2014-03-27 21:24:48.329145	53392	22.1	1	8
2014-03-27 21:25:16.120755	53393	43	2	10
2014-03-27 21:25:16.343635	53394	25.4	1	10
2014-03-27 21:25:26.003015	53395	55	2	9
2014-03-27 21:25:26.234257	53396	23.6	1	9
2014-03-27 21:25:27.09975	53397	51	2	8
2014-03-27 21:25:27.322395	53398	22.1	1	8
2014-03-27 21:25:32.418765	53399	2494	3	2
2014-03-27 21:25:32.649344	53400	1102710.975293518	4	2
2014-03-27 21:25:55.12089	53401	43	2	10
2014-03-27 21:25:55.344238	53402	25.4	1	10
2014-03-27 21:26:05.00492	53403	55	2	9
2014-03-27 21:26:05.23634	53404	23.6	1	9
2014-03-27 21:26:06.097581	53405	51	2	8
2014-03-27 21:26:06.318518	53406	22.1	1	8
2014-03-27 21:26:32.419526	53407	2478	3	2
2014-03-27 21:26:32.665124	53408	1102752.340543489	4	2
2014-03-27 21:26:34.120144	53409	43	2	10
2014-03-27 21:26:34.340639	53410	25.4	1	10
2014-03-27 21:26:44.002673	53411	55	2	9
2014-03-27 21:26:44.233472	53412	23.6	1	9
2014-03-27 21:26:45.09505	53413	51	2	8
2014-03-27 21:26:45.314557	53414	22.1	1	8
2014-03-27 21:27:13.11845	53415	43	2	10
2014-03-27 21:27:13.351287	53416	25.4	1	10
2014-03-27 21:27:20.419569	53417	2446	3	2
2014-03-27 21:27:20.641645	53418	1102785.66255041	4	2
2014-03-27 21:27:23.00384	53419	55	2	9
2014-03-27 21:27:23.234595	53420	23.6	1	9
2014-03-27 21:27:24.095068	53421	51	2	8
2014-03-27 21:27:24.314502	53422	22.0	1	8
2014-03-27 21:27:32.418597	53423	2430	3	2
2014-03-27 21:27:32.652124	53424	1102793.70579346	4	2
2014-03-27 21:27:52.121196	53425	43	2	10
2014-03-27 21:27:52.342973	53426	25.4	1	10
2014-03-27 21:28:02.003331	53427	55	2	9
2014-03-27 21:28:02.235444	53428	23.6	1	9
2014-03-27 21:28:03.09752	53429	51	2	8
2014-03-27 21:28:03.318198	53430	22.0	1	8
2014-03-27 21:28:31.124663	53431	43	2	10
2014-03-27 21:28:31.355653	53432	25.4	1	10
2014-03-27 21:28:32.418292	53433	2430	3	2
2014-03-27 21:28:32.638559	53434	1102835.0710434308	4	2
2014-03-27 21:28:41.004865	53435	55	2	9
2014-03-27 21:28:41.239526	53436	23.6	1	9
2014-03-27 21:28:42.097869	53437	51	2	8
2014-03-27 21:28:42.31827	53438	22.0	1	8
2014-03-27 21:29:10.120692	53439	43	2	10
2014-03-27 21:29:10.408254	53440	25.4	1	10
2014-03-27 21:29:20.006948	53441	55	2	9
2014-03-27 21:29:20.231025	53442	23.6	1	9
2014-03-27 21:29:21.098736	53443	51	2	8
2014-03-27 21:29:21.329312	53444	22.0	1	8
2014-03-27 21:29:32.419743	53445	2414	3	2
2014-03-27 21:29:32.640766	53446	1102875.2872586804	4	2
2014-03-27 21:29:49.122573	53447	43	2	10
2014-03-27 21:29:49.353477	53448	25.4	1	10
2014-03-27 21:29:59.004784	53449	55	2	9
2014-03-27 21:29:59.227489	53450	23.5	1	9
2014-03-27 21:30:00.097906	53451	51	2	8
2014-03-27 21:30:00.328329	53452	22.0	1	8
2014-03-27 21:30:28.123393	53453	43	2	10
2014-03-27 21:30:28.347045	53454	25.4	1	10
2014-03-27 21:30:32.420115	53455	2430	3	2
2014-03-27 21:30:32.662173	53456	1102914.3589101606	4	2
2014-03-27 21:30:38.008317	53457	55	2	9
2014-03-27 21:30:38.23202	53458	23.5	1	9
2014-03-27 21:30:39.096602	53459	50	2	8
2014-03-27 21:30:39.331274	53460	22.0	1	8
2014-03-27 21:31:07.32583	53461	43	2	10
2014-03-27 21:31:07.547318	53462	25.4	1	10
2014-03-27 21:31:17.007972	53463	55	2	9
2014-03-27 21:31:17.23846	53464	23.5	1	9
2014-03-27 21:31:18.096016	53465	50	2	8
2014-03-27 21:31:18.319433	53466	22.0	1	8
2014-03-27 21:31:46.12244	53467	43	2	10
2014-03-27 21:31:46.354732	53468	25.4	1	10
2014-03-27 21:31:56.004259	53469	55	2	9
2014-03-27 21:31:56.224972	53470	23.5	1	9
2014-03-27 21:31:57.097046	53471	50	2	8
2014-03-27 21:31:57.327097	53472	22.0	1	8
2014-03-27 21:32:25.121523	53473	43	2	10
2014-03-27 21:32:25.343474	53474	25.4	1	10
2014-03-27 21:32:32.41654	53475	2430	3	2
2014-03-27 21:32:32.648159	53476	1102995.9403753811	4	2
2014-03-27 21:32:35.002659	53477	55	2	9
2014-03-27 21:32:35.223743	53478	23.5	1	9
2014-03-27 21:32:36.097015	53479	50	2	8
2014-03-27 21:32:36.327455	53480	22.0	1	8
2014-03-27 21:33:04.121043	53481	43	2	10
2014-03-27 21:33:04.343873	53482	25.4	1	10
2014-03-27 21:33:14.004515	53483	55	2	9
2014-03-27 21:33:14.236178	53484	23.5	1	9
2014-03-27 21:33:15.096731	53485	50	2	8
2014-03-27 21:33:15.323457	53486	22.0	1	8
2014-03-27 21:33:32.418452	53487	2414	3	2
2014-03-27 21:33:32.64923	53488	1103036.1565906308	4	2
2014-03-27 21:33:43.122468	53489	43	2	10
2014-03-27 21:33:43.34482	53490	25.4	1	10
2014-03-27 21:33:53.003531	53491	55	2	9
2014-03-27 21:33:53.234145	53492	23.5	1	9
2014-03-27 21:33:54.09639	53493	50	2	8
2014-03-27 21:33:54.318441	53494	22.0	1	8
2014-03-27 21:34:22.12141	53495	43	2	10
2014-03-27 21:34:22.353188	53496	25.4	1	10
2014-03-27 21:34:32.00356	53497	55	2	9
2014-03-27 21:34:32.224303	53498	23.5	1	9
2014-03-27 21:34:33.096102	53499	51	2	8
2014-03-27 21:34:33.328269	53500	21.9	1	8
2014-03-27 21:34:44.417756	53501	466	3	2
2014-03-27 21:34:44.639111	53502	1103072.925701716	4	2
2014-03-27 21:35:01.126318	53503	43	2	10
2014-03-27 21:35:01.367649	53504	25.4	1	10
2014-03-27 21:35:08.415473	53505	515	3	2
2014-03-27 21:35:08.637054	53506	1103076.3728058801	4	2
2014-03-27 21:35:11.003737	53507	55	2	9
2014-03-27 21:35:11.236987	53508	23.5	1	9
2014-03-27 21:35:12.098804	53509	51	2	8
2014-03-27 21:35:12.321342	53510	21.9	1	8
2014-03-27 21:35:20.418146	53511	515	3	2
2014-03-27 21:35:20.651104	53512	1103078.670875323	4	2
2014-03-27 21:35:32.417417	53513	515	3	2
2014-03-27 21:35:32.638913	53514	1103079.8199100445	4	2
2014-03-27 21:35:40.123292	53515	43	2	10
2014-03-27 21:35:40.356612	53516	25.4	1	10
2014-03-27 21:35:50.001689	53517	55	2	9
2014-03-27 21:35:50.225844	53518	23.5	1	9
2014-03-27 21:35:51.09851	53519	51	2	8
2014-03-27 21:35:51.333712	53520	21.9	1	8
2014-03-27 21:36:19.123497	53521	43	2	10
2014-03-27 21:36:19.348508	53522	25.4	1	10
2014-03-27 21:36:29.002386	53523	55	2	9
2014-03-27 21:36:29.233918	53524	23.5	1	9
2014-03-27 21:36:30.096689	53525	51	2	8
2014-03-27 21:36:30.318256	53526	21.9	1	8
2014-03-27 21:36:32.419991	53527	515	3	2
2014-03-27 21:36:32.651696	53528	1103089.0121878157	4	2
2014-03-27 21:36:58.123306	53529	43	2	10
2014-03-27 21:36:58.34426	53530	25.4	1	10
2014-03-27 21:37:08.00305	53531	55	2	9
2014-03-27 21:37:08.235515	53532	23.4	1	9
2014-03-27 21:37:09.096899	53533	51	2	8
2014-03-27 21:37:09.320038	53534	21.9	1	8
2014-03-27 21:37:32.418525	53535	515	3	2
2014-03-27 21:37:32.65378	53536	1103097.0554308656	4	2
2014-03-27 21:37:37.132947	53537	43	2	10
2014-03-27 21:37:37.354416	53538	25.4	1	10
2014-03-27 21:37:47.002536	53539	55	2	9
2014-03-27 21:37:47.234147	53540	23.4	1	9
2014-03-27 21:37:48.093903	53541	51	2	8
2014-03-27 21:37:48.3147	53542	21.9	1	8
2014-03-27 21:38:16.123625	53543	43	2	10
2014-03-27 21:38:16.356792	53544	25.4	1	10
2014-03-27 21:38:26.00197	53545	54	2	9
2014-03-27 21:38:26.224015	53546	23.4	1	9
2014-03-27 21:38:27.094302	53547	51	2	8
2014-03-27 21:38:27.326429	53548	21.9	1	8
2014-03-27 21:38:32.419707	53549	515	3	2
2014-03-27 21:38:32.641413	53550	1103106.247708637	4	2
2014-03-27 21:38:55.124799	53551	43	2	10
2014-03-27 21:38:55.367765	53552	25.4	1	10
2014-03-27 21:39:05.003145	53553	54	2	9
2014-03-27 21:39:05.2254	53554	23.4	1	9
2014-03-27 21:39:06.096498	53555	51	2	8
2014-03-27 21:39:06.326831	53556	21.9	1	8
2014-03-27 21:39:34.124199	53557	43	2	10
2014-03-27 21:39:34.345773	53558	25.4	1	10
2014-03-27 21:39:44.007357	53559	54	2	9
2014-03-27 21:39:44.238144	53560	23.4	1	9
2014-03-27 21:39:45.092472	53561	51	2	8
2014-03-27 21:39:45.317015	53562	21.9	1	8
2014-03-27 21:40:13.126071	53563	43	2	10
2014-03-27 21:40:13.358081	53564	25.4	1	10
2014-03-27 21:40:23.003825	53565	54	2	9
2014-03-27 21:40:23.226551	53566	23.4	1	9
2014-03-27 21:40:24.097186	53567	51	2	8
2014-03-27 21:40:24.326942	53568	21.9	1	8
2014-03-27 21:40:32.419856	53569	515	3	2
2014-03-27 21:40:32.646555	53570	1103123.4832294583	4	2
2014-03-27 21:40:52.126012	53571	43	2	10
2014-03-27 21:40:52.360927	53572	25.3	1	10
2014-03-27 21:40:56.417428	53573	466	3	2
2014-03-27 21:40:56.639332	53574	1103126.9303336225	4	2
2014-03-27 21:41:02.003137	53575	54	2	9
2014-03-27 21:41:02.236611	53576	23.4	1	9
2014-03-27 21:41:03.094497	53577	50	2	8
2014-03-27 21:41:03.317	53578	21.9	1	8
2014-03-27 21:41:08.416164	53579	466	3	2
2014-03-27 21:41:08.648647	53580	1103128.0793683438	4	2
2014-03-27 21:41:31.124982	53581	43	2	10
2014-03-27 21:41:31.35047	53582	25.3	1	10
2014-03-27 21:41:32.419167	53583	482	3	2
2014-03-27 21:41:32.652364	53584	1103131.5264725082	4	2
2014-03-27 21:41:41.000707	53585	54	2	9
2014-03-27 21:41:41.224232	53586	23.4	1	9
2014-03-27 21:41:42.096187	53587	50	2	8
2014-03-27 21:41:42.328176	53588	21.9	1	8
2014-03-27 21:42:10.125081	53589	43	2	10
2014-03-27 21:42:10.347569	53590	25.3	1	10
2014-03-27 21:42:20.002866	53591	54	2	9
2014-03-27 21:42:20.23441	53592	23.4	1	9
2014-03-27 21:42:21.096979	53593	50	2	8
2014-03-27 21:42:21.319547	53594	21.9	1	8
2014-03-27 21:42:32.41667	53595	466	3	2
2014-03-27 21:42:32.650883	53596	1103139.569715558	4	2
2014-03-27 21:42:49.121816	53597	43	2	10
2014-03-27 21:42:49.343848	53598	25.3	1	10
2014-03-27 21:42:59.002583	53599	54	2	9
2014-03-27 21:42:59.245478	53600	23.4	1	9
2014-03-27 21:43:00.095448	53601	50	2	8
2014-03-27 21:43:00.318188	53602	21.9	1	8
2014-03-27 21:43:28.125547	53603	43	2	10
2014-03-27 21:43:28.360623	53604	25.3	1	10
2014-03-27 21:43:32.418234	53605	466	3	2
2014-03-27 21:43:32.641036	53606	1103146.4639238864	4	2
2014-03-27 21:43:38.001275	53607	54	2	9
2014-03-27 21:43:38.233261	53608	23.4	1	9
2014-03-27 21:43:39.095447	53609	50	2	8
2014-03-27 21:43:39.315817	53610	21.9	1	8
2014-03-27 21:44:07.132583	53611	43	2	10
2014-03-27 21:44:07.365939	53612	25.3	1	10
2014-03-27 21:44:17.001379	53613	54	2	9
2014-03-27 21:44:17.223713	53614	23.3	1	9
2014-03-27 21:44:18.095301	53615	50	2	8
2014-03-27 21:44:18.326396	53616	21.9	1	8
2014-03-27 21:44:32.414305	53617	466	3	2
2014-03-27 21:44:32.636071	53618	1103154.5071669365	4	2
2014-03-27 21:44:46.125655	53619	43	2	10
2014-03-27 21:44:46.357865	53620	25.3	1	10
2014-03-27 21:44:56.003039	53621	54	2	9
2014-03-27 21:44:56.223194	53622	23.3	1	9
2014-03-27 21:44:57.092701	53623	50	2	8
2014-03-27 21:44:57.324231	53624	21.8	1	8
2014-03-27 21:45:25.126232	53625	43	2	10
2014-03-27 21:45:25.347752	53626	25.3	1	10
2014-03-27 21:45:32.413887	53627	466	3	2
2014-03-27 21:45:32.645466	53628	1103162.5504099864	4	2
2014-03-27 21:45:35.001146	53629	54	2	9
2014-03-27 21:45:35.224374	53630	23.3	1	9
2014-03-27 21:45:36.095743	53631	50	2	8
2014-03-27 21:45:36.328043	53632	21.8	1	8
2014-03-27 21:46:04.127765	53633	43	2	10
2014-03-27 21:46:04.35016	53634	25.3	1	10
2014-03-27 21:46:14.003269	53635	54	2	9
2014-03-27 21:46:14.236356	53636	23.3	1	9
2014-03-27 21:46:15.098538	53637	50	2	8
2014-03-27 21:46:15.322207	53638	21.8	1	8
2014-03-27 21:46:42.9278	53639	466	3	2
2014-03-27 21:46:43.159684	53640	1103170.5936530363	4	2
2014-03-27 21:46:43.465421	53641	43	2	10
2014-03-27 21:46:43.687224	53642	25.3	1	10
2014-03-27 21:46:53.002809	53643	54	2	9
2014-03-27 21:46:53.233689	53644	23.3	1	9
2014-03-27 21:46:54.094722	53645	50	2	8
2014-03-27 21:46:54.317923	53646	21.8	1	8
2014-03-27 21:47:22.126054	53647	42	2	10
2014-03-27 21:47:22.370735	53648	25.3	1	10
2014-03-27 21:47:32.00516	53649	54	2	9
2014-03-27 21:47:32.226714	53650	23.3	1	9
2014-03-27 21:47:32.534804	53651	466	3	2
2014-03-27 21:47:32.770942	53652	1103177.492332317	4	2
2014-03-27 21:47:33.09545	53653	50	2	8
2014-03-27 21:47:33.317005	53654	21.8	1	8
2014-03-27 21:48:01.126313	53655	42	2	10
2014-03-27 21:48:01.359084	53656	25.3	1	10
2014-03-27 21:48:11.007695	53657	54	2	9
2014-03-27 21:48:11.230041	53658	23.3	1	9
2014-03-27 21:48:12.095215	53659	50	2	8
2014-03-27 21:48:12.326044	53660	21.8	1	8
2014-03-27 21:48:32.418711	53661	450	3	2
2014-03-27 21:48:32.64155	53662	1103184.3865406455	4	2
2014-03-27 21:48:40.127094	53663	42	2	10
2014-03-27 21:48:40.357283	53664	25.2	1	10
2014-03-27 21:48:50.003766	53665	54	2	9
2014-03-27 21:48:50.226895	53666	23.3	1	9
2014-03-27 21:48:51.095947	53667	50	2	8
2014-03-27 21:48:51.327219	53668	21.8	1	8
2014-03-27 21:49:19.125408	53669	42	2	10
2014-03-27 21:49:19.347883	53670	25.2	1	10
2014-03-27 21:49:20.417536	53671	498	3	2
2014-03-27 21:49:20.651768	53672	1103191.2807489738	4	2
2014-03-27 21:49:29.002316	53673	54	2	9
2014-03-27 21:49:29.224242	53674	23.3	1	9
2014-03-27 21:49:30.095134	53675	50	2	8
2014-03-27 21:49:30.325657	53676	21.8	1	8
2014-03-27 21:49:32.415098	53677	498	3	2
2014-03-27 21:49:32.635559	53678	1103192.4297836954	4	2
2014-03-27 21:49:58.127513	53679	42	2	10
2014-03-27 21:49:58.360135	53680	25.2	1	10
2014-03-27 21:50:08.002887	53681	54	2	9
2014-03-27 21:50:08.224407	53682	23.2	1	9
2014-03-27 21:50:09.096066	53683	50	2	8
2014-03-27 21:50:09.326578	53684	21.8	1	8
2014-03-27 21:50:32.416239	53685	498	3	2
2014-03-27 21:50:32.639379	53686	1103200.4730267453	4	2
2014-03-27 21:50:37.126983	53687	42	2	10
2014-03-27 21:50:37.35862	53688	25.2	1	10
2014-03-27 21:50:47.007703	53689	54	2	9
2014-03-27 21:50:47.229303	53690	23.2	1	9
2014-03-27 21:50:48.097099	53691	50	2	8
2014-03-27 21:50:48.328987	53692	21.8	1	8
2014-03-27 21:51:16.127652	53693	42	2	10
2014-03-27 21:51:16.350138	53694	25.2	1	10
2014-03-27 21:51:26.003333	53695	54	2	9
2014-03-27 21:51:26.247903	53696	23.2	1	9
2014-03-27 21:51:27.094898	53697	50	2	8
2014-03-27 21:51:27.318002	53698	21.8	1	8
2014-03-27 21:51:32.413804	53699	498	3	2
2014-03-27 21:51:32.645376	53700	1103209.6653045167	4	2
2014-03-27 21:51:55.128194	53701	42	2	10
2014-03-27 21:51:55.351946	53702	25.2	1	10
2014-03-27 21:52:05.000952	53703	54	2	9
2014-03-27 21:52:05.235585	53704	23.2	1	9
2014-03-27 21:52:06.095702	53705	50	2	8
2014-03-27 21:52:06.320771	53706	21.8	1	8
2014-03-27 21:52:32.415605	53707	515	3	2
2014-03-27 21:52:32.647332	53708	1103217.7085475666	4	2
2014-03-27 21:52:34.127246	53709	42	2	10
2014-03-27 21:52:34.350235	53710	25.2	1	10
2014-03-27 21:52:44.001885	53711	54	2	9
2014-03-27 21:52:44.235841	53712	23.2	1	9
2014-03-27 21:52:45.095434	53713	50	2	8
2014-03-27 21:52:45.316253	53714	21.8	1	8
2014-03-27 21:53:13.129977	53715	42	2	10
2014-03-27 21:53:13.362413	53716	25.2	1	10
2014-03-27 21:53:23.002171	53717	54	2	9
2014-03-27 21:53:23.225321	53718	23.2	1	9
2014-03-27 21:53:24.095362	53719	50	2	8
2014-03-27 21:53:24.326721	53720	21.8	1	8
2014-03-27 21:53:32.417177	53721	611	3	2
2014-03-27 21:53:32.643262	53722	1103226.9008253377	4	2
2014-03-27 21:53:44.416698	53723	611	3	2
2014-03-27 21:53:44.649679	53724	1103228.0498600593	4	2
2014-03-27 21:53:52.126438	53725	42	2	10
2014-03-27 21:53:52.349496	53726	25.2	1	10
2014-03-27 21:53:56.41585	53727	547	3	2
2014-03-27 21:53:56.648523	53728	1103230.3479295021	4	2
2014-03-27 21:54:02.007456	53729	54	2	9
2014-03-27 21:54:02.229856	53730	23.2	1	9
2014-03-27 21:54:03.09466	53731	50	2	8
2014-03-27 21:54:03.32427	53732	21.8	1	8
2014-03-27 21:54:08.415867	53733	547	3	2
2014-03-27 21:54:08.640003	53734	1103232.6459989448	4	2
2014-03-27 21:54:31.128646	53735	42	2	10
2014-03-27 21:54:31.360112	53736	25.1	1	10
2014-03-27 21:54:32.414963	53737	547	3	2
2014-03-27 21:54:32.638671	53738	1103236.0931031092	4	2
2014-03-27 21:54:40.999901	53739	54	2	9
2014-03-27 21:54:41.28881	53740	23.2	1	9
2014-03-27 21:54:42.095907	53741	50	2	8
2014-03-27 21:54:42.318542	53742	21.8	1	8
2014-03-27 21:55:10.129122	53743	42	2	10
2014-03-27 21:55:10.371293	53744	25.1	1	10
2014-03-27 21:55:20.003231	53745	54	2	9
2014-03-27 21:55:20.244568	53746	23.2	1	9
2014-03-27 21:55:21.095571	53747	50	2	8
2014-03-27 21:55:21.327177	53748	21.8	1	8
2014-03-27 21:55:32.416069	53749	547	3	2
2014-03-27 21:55:32.638771	53750	1103245.2853808803	4	2
2014-03-27 21:55:49.128633	53751	42	2	10
2014-03-27 21:55:49.35996	53752	25.1	1	10
2014-03-27 21:55:59.00374	53753	54	2	9
2014-03-27 21:55:59.223446	53754	23.2	1	9
2014-03-27 21:56:00.095685	53755	50	2	8
2014-03-27 21:56:00.326166	53756	21.8	1	8
2014-03-27 21:56:28.130598	53757	42	2	10
2014-03-27 21:56:28.351262	53758	25.1	1	10
2014-03-27 21:56:32.413509	53759	547	3	2
2014-03-27 21:56:32.646616	53760	1103254.4776586518	4	2
2014-03-27 21:56:37.999428	53761	54	2	9
2014-03-27 21:56:38.223306	53762	23.2	1	9
2014-03-27 21:56:39.097126	53763	50	2	8
2014-03-27 21:56:39.327114	53764	21.8	1	8
2014-03-27 21:57:07.129274	53765	42	2	10
2014-03-27 21:57:07.353209	53766	25.1	1	10
2014-03-27 21:57:17.000279	53767	54	2	9
2014-03-27 21:57:17.234231	53768	23.1	1	9
2014-03-27 21:57:18.094669	53769	50	2	8
2014-03-27 21:57:18.316787	53770	21.8	1	8
2014-03-27 21:57:32.412638	53771	547	3	2
2014-03-27 21:57:32.647432	53772	1103262.5209017016	4	2
2014-03-27 21:57:46.129537	53773	42	2	10
2014-03-27 21:57:46.359239	53774	25.1	1	10
2014-03-27 21:57:56.000493	53775	54	2	9
2014-03-27 21:57:56.231364	53776	23.1	1	9
2014-03-27 21:57:57.095629	53777	50	2	8
2014-03-27 21:57:57.317023	53778	21.8	1	8
2014-03-27 21:58:25.129275	53779	42	2	10
2014-03-27 21:58:25.362599	53780	25.1	1	10
2014-03-27 21:58:32.411184	53781	547	3	2
2014-03-27 21:58:32.635439	53782	1103271.713179473	4	2
2014-03-27 21:58:35.001837	53783	54	2	9
2014-03-27 21:58:35.233025	53784	23.1	1	9
2014-03-27 21:58:36.093831	53785	50	2	8
2014-03-27 21:58:36.316306	53786	21.8	1	8
2014-03-27 21:59:04.129627	53787	42	2	10
2014-03-27 21:59:04.360214	53788	25.1	1	10
2014-03-27 21:59:14.001948	53789	54	2	9
2014-03-27 21:59:14.22374	53790	23.1	1	9
2014-03-27 21:59:15.094338	53791	50	2	8
2014-03-27 21:59:15.336931	53792	21.8	1	8
2014-03-27 21:59:32.41318	53793	531	3	2
2014-03-27 21:59:32.638447	53794	1103280.9054572443	4	2
2014-03-27 21:59:43.129113	53795	42	2	10
2014-03-27 21:59:43.363349	53796	25.1	1	10
2014-03-27 21:59:53.004229	53797	54	2	9
2014-03-27 21:59:53.226761	53798	23.1	1	9
2014-03-27 21:59:54.095304	53799	50	2	8
2014-03-27 21:59:54.325345	53800	21.8	1	8
2014-03-27 22:00:22.130665	53801	42	2	10
2014-03-27 22:00:22.352951	53802	25.1	1	10
2014-03-27 22:00:32.00207	53803	54	2	9
2014-03-27 22:00:32.233577	53804	23.1	1	9
2014-03-27 22:00:32.542646	53805	531	3	2
2014-03-27 22:00:32.764263	53806	1103290.0977350157	4	2
2014-03-27 22:00:33.094876	53807	50	2	8
2014-03-27 22:00:33.326308	53808	21.8	1	8
2014-03-27 22:01:01.130486	53809	42	2	10
2014-03-27 22:01:01.353273	53810	25.1	1	10
2014-03-27 22:01:11.001577	53811	54	2	9
2014-03-27 22:01:11.287519	53812	23.1	1	9
2014-03-27 22:01:12.094033	53813	50	2	8
2014-03-27 22:01:12.314788	53814	21.8	1	8
2014-03-27 22:01:32.413891	53815	531	3	2
2014-03-27 22:01:32.645469	53816	1103299.2900127869	4	2
2014-03-27 22:01:40.131305	53817	42	2	10
2014-03-27 22:01:40.354246	53818	25.0	1	10
2014-03-27 22:01:50.001964	53819	54	2	9
2014-03-27 22:01:50.26805	53820	23.1	1	9
2014-03-27 22:01:51.094262	53821	50	2	8
2014-03-27 22:01:51.355702	53822	21.8	1	8
2014-03-27 22:01:56.415008	53823	595	3	2
2014-03-27 22:01:56.683013	53824	1103302.7371169513	4	2
2014-03-27 22:02:19.131556	53825	42	2	10
2014-03-27 22:02:19.552569	53826	25.0	1	10
2014-03-27 22:02:20.411683	53827	466	3	2
2014-03-27 22:02:20.677601	53828	1103306.1842211154	4	2
2014-03-27 22:02:29.001964	53829	54	2	9
2014-03-27 22:02:29.227594	53830	23.1	1	9
2014-03-27 22:02:30.094934	53831	50	2	8
2014-03-27 22:02:30.329241	53832	21.8	1	8
2014-03-27 22:02:32.414017	53833	466	3	2
2014-03-27 22:02:32.640137	53834	1103308.4822905583	4	2
2014-03-27 22:02:58.130824	53835	42	2	10
2014-03-27 22:02:58.370505	53836	25.0	1	10
2014-03-27 22:03:08.001861	53837	54	2	9
2014-03-27 22:03:08.227651	53838	23.1	1	9
2014-03-27 22:03:09.096446	53839	50	2	8
2014-03-27 22:03:09.344552	53840	21.8	1	8
2014-03-27 22:03:32.414926	53841	482	3	2
2014-03-27 22:03:32.640207	53842	1103316.5255336082	4	2
2014-03-27 22:03:37.132752	53843	42	2	10
2014-03-27 22:03:37.36479	53844	25.0	1	10
2014-03-27 22:03:47.005178	53845	54	2	9
2014-03-27 22:03:47.227486	53846	23.1	1	9
2014-03-27 22:03:48.095148	53847	50	2	8
2014-03-27 22:03:48.325084	53848	21.8	1	8
2014-03-27 22:04:16.131094	53849	42	2	10
2014-03-27 22:04:16.354232	53850	25.0	1	10
2014-03-27 22:04:25.999573	53851	54	2	9
2014-03-27 22:04:26.230371	53852	23.1	1	9
2014-03-27 22:04:27.095185	53853	50	2	8
2014-03-27 22:04:27.316848	53854	21.7	1	8
2014-03-27 22:04:55.130799	53855	42	2	10
2014-03-27 22:04:55.367627	53856	25.0	1	10
2014-03-27 22:05:05.002028	53857	54	2	9
2014-03-27 22:05:05.227616	53858	23.1	1	9
2014-03-27 22:05:06.09534	53859	50	2	8
2014-03-27 22:05:06.329045	53860	21.7	1	8
2014-03-27 22:05:32.413693	53861	579	3	2
2014-03-27 22:05:32.639737	53862	1103331.4629849866	4	2
2014-03-27 22:05:34.133902	53863	42	2	10
2014-03-27 22:05:34.369519	53864	25.0	1	10
2014-03-27 22:05:44.002785	53865	54	2	9
2014-03-27 22:05:44.230481	53866	23.1	1	9
2014-03-27 22:05:44.533856	53867	595	3	2
2014-03-27 22:05:44.771345	53868	1103333.7610544295	4	2
2014-03-27 22:05:45.095817	53869	50	2	8
2014-03-27 22:05:45.321758	53870	21.7	1	8
2014-03-27 22:06:13.132743	53871	42	2	10
2014-03-27 22:06:13.365639	53872	25.0	1	10
2014-03-27 22:06:20.412431	53873	498	3	2
2014-03-27 22:06:20.638606	53874	1103339.5062280365	4	2
2014-03-27 22:06:24.095732	53875	50	2	8
2014-03-27 22:06:24.330291	53876	21.7	1	8
2014-03-27 22:06:32.41459	53877	515	3	2
2014-03-27 22:06:32.636351	53878	1103341.8042974793	4	2
2014-03-27 22:06:52.130865	53879	43	2	10
2014-03-27 22:06:52.362865	53880	24.9	1	10
2014-03-27 22:07:02.002293	53881	54	2	9
2014-03-27 22:07:02.226073	53882	23.0	1	9
2014-03-27 22:07:03.097427	53883	50	2	8
2014-03-27 22:07:03.328073	53884	21.7	1	8
2014-03-27 22:07:08.411464	53885	466	3	2
2014-03-27 22:07:08.638452	53886	1103346.400436365	4	2
2014-03-27 22:07:20.414057	53887	466	3	2
2014-03-27 22:07:20.661777	53888	1103347.5494710864	4	2
2014-03-27 22:07:31.13237	53889	43	2	10
2014-03-27 22:07:31.353104	53890	24.9	1	10
2014-03-27 22:07:40.805889	53891	2430	3	2
2014-03-27 22:07:41.043609	53892	1103353.2946446934	4	2
2014-03-27 22:07:41.35591	53893	54	2	9
2014-03-27 22:07:41.61016	53894	23.0	1	9
2014-03-27 22:07:42.096744	53895	50	2	8
2014-03-27 22:07:42.333269	53896	21.7	1	8
2014-03-27 22:07:44.412706	53897	2414	3	2
2014-03-27 22:07:44.637877	53898	1103361.3378877433	4	2
2014-03-27 22:08:10.129979	53899	43	2	10
2014-03-27 22:08:10.362014	53900	24.9	1	10
2014-03-27 22:08:20.004843	53901	54	2	9
2014-03-27 22:08:20.226631	53902	23.0	1	9
2014-03-27 22:08:21.095588	53903	50	2	8
2014-03-27 22:08:21.329671	53904	21.7	1	8
2014-03-27 22:08:32.414596	53905	2414	3	2
2014-03-27 22:08:32.638642	53906	1103393.510859943	4	2
2014-03-27 22:08:49.131654	53907	43	2	10
2014-03-27 22:08:49.364959	53908	24.9	1	10
2014-03-27 22:08:59.00128	53909	54	2	9
2014-03-27 22:08:59.225269	53910	23.0	1	9
2014-03-27 22:09:00.095177	53911	50	2	8
2014-03-27 22:09:00.331218	53912	21.7	1	8
2014-03-27 22:09:28.132601	53913	43	2	10
2014-03-27 22:09:28.355523	53914	24.9	1	10
2014-03-27 22:09:32.409464	53915	2398	3	2
2014-03-27 22:09:32.647385	53916	1103433.7270751924	4	2
2014-03-27 22:09:38.00346	53917	54	2	9
2014-03-27 22:09:38.225495	53918	23.0	1	9
2014-03-27 22:09:39.095323	53919	50	2	8
2014-03-27 22:09:39.325578	53920	21.7	1	8
2014-03-27 22:10:07.132451	53921	43	2	10
2014-03-27 22:10:07.353813	53922	24.9	1	10
2014-03-27 22:10:16.999556	53923	54	2	9
2014-03-27 22:10:17.231436	53924	23.0	1	9
2014-03-27 22:10:18.095457	53925	50	2	8
2014-03-27 22:10:18.316024	53926	21.7	1	8
2014-03-27 22:10:32.412858	53927	2414	3	2
2014-03-27 22:10:32.648754	53928	1103472.7987266728	4	2
2014-03-27 22:10:46.132197	53929	43	2	10
2014-03-27 22:10:46.354196	53930	24.9	1	10
2014-03-27 22:10:56.00183	53931	54	2	9
2014-03-27 22:10:56.233197	53932	23.0	1	9
2014-03-27 22:10:57.095993	53933	50	2	8
2014-03-27 22:10:57.317306	53934	21.7	1	8
2014-03-27 22:11:25.130952	53935	43	2	10
2014-03-27 22:11:25.377169	53936	24.8	1	10
2014-03-27 22:11:32.412302	53937	2414	3	2
2014-03-27 22:11:32.63657	53938	1103513.0149419224	4	2
2014-03-27 22:11:34.998594	53939	54	2	9
2014-03-27 22:11:35.417042	53940	23.0	1	9
2014-03-27 22:11:36.096001	53941	50	2	8
2014-03-27 22:11:36.32353	53942	21.7	1	8
2014-03-27 22:12:04.132777	53943	43	2	10
2014-03-27 22:12:04.353866	53944	24.8	1	10
2014-03-27 22:12:14.004087	53945	54	2	9
2014-03-27 22:12:14.236402	53946	23.0	1	9
2014-03-27 22:12:15.097681	53947	50	2	8
2014-03-27 22:12:15.318832	53948	21.7	1	8
2014-03-27 22:12:20.411071	53949	466	3	2
2014-03-27 22:12:20.647185	53950	1103540.5917752364	4	2
2014-03-27 22:12:43.135048	53951	43	2	10
2014-03-27 22:12:43.360364	53952	24.8	1	10
2014-03-27 22:12:52.997603	53953	54	2	9
2014-03-27 22:12:53.23509	53954	23.0	1	9
2014-03-27 22:12:54.097011	53955	50	2	8
2014-03-27 22:12:54.320395	53956	21.7	1	8
2014-03-27 22:13:22.1329	53957	43	2	10
2014-03-27 22:13:22.364895	53958	24.8	1	10
2014-03-27 22:13:31.999294	53959	54	2	9
2014-03-27 22:13:32.226465	53960	23.0	1	9
2014-03-27 22:13:32.531779	53961	466	3	2
2014-03-27 22:13:32.767289	53962	1103549.7840530076	4	2
2014-03-27 22:13:33.095175	53963	50	2	8
2014-03-27 22:13:33.317345	53964	21.7	1	8
2014-03-27 22:13:44.412665	53965	2623	3	2
2014-03-27 22:13:44.678236	53966	1103556.6782613362	4	2
2014-03-27 22:13:56.415544	53967	2623	3	2
2014-03-27 22:13:56.671467	53968	1103565.8705391074	4	2
2014-03-27 22:14:01.132715	53969	43	2	10
2014-03-27 22:14:01.397204	53970	24.8	1	10
2014-03-27 22:14:10.999335	53971	54	2	9
2014-03-27 22:14:11.220081	53972	22.9	1	9
2014-03-27 22:14:12.094709	53973	50	2	8
2014-03-27 22:14:12.324851	53974	21.7	1	8
2014-03-27 22:14:40.133639	53975	43	2	10
2014-03-27 22:14:40.354852	53976	24.8	1	10
2014-03-27 22:14:44.410097	53977	2575	3	2
2014-03-27 22:14:44.643337	53978	1103600.34158075	4	2
2014-03-27 22:14:49.999835	53979	54	2	9
2014-03-27 22:14:50.222589	53980	22.9	1	9
2014-03-27 22:14:51.094686	53981	50	2	8
2014-03-27 22:14:51.32573	53982	21.7	1	8
2014-03-27 22:15:19.132997	53983	43	2	10
2014-03-27 22:15:19.353558	53984	24.8	1	10
2014-03-27 22:15:20.413249	53985	2639	3	2
2014-03-27 22:15:20.661668	53986	1103626.7693793424	4	2
2014-03-27 22:15:29.004348	53987	54	2	9
2014-03-27 22:15:29.229544	53988	22.9	1	9
2014-03-27 22:15:30.093667	53989	50	2	8
2014-03-27 22:15:30.328749	53990	21.7	1	8
2014-03-27 22:15:32.411706	53991	2800	3	2
2014-03-27 22:15:32.638843	53992	1103635.9616571139	4	2
2014-03-27 22:15:44.411305	53993	2784	3	2
2014-03-27 22:15:44.643389	53994	1103645.153934885	4	2
2014-03-27 22:15:58.13356	53995	43	2	10
2014-03-27 22:15:58.353754	53996	24.8	1	10
2014-03-27 22:16:07.998929	53997	54	2	9
2014-03-27 22:16:08.23361	53998	22.9	1	9
2014-03-27 22:16:09.094508	53999	50	2	8
2014-03-27 22:16:09.320507	54000	21.7	1	8
2014-03-27 22:16:32.412541	54001	2800	3	2
2014-03-27 22:16:32.646627	54002	1103681.9230459703	4	2
2014-03-27 22:16:37.134064	54003	43	2	10
2014-03-27 22:16:37.355028	54004	24.8	1	10
2014-03-27 22:16:47.003982	54005	54	2	9
2014-03-27 22:16:47.235292	54006	22.9	1	9
2014-03-27 22:16:48.093623	54007	50	2	8
2014-03-27 22:16:48.314764	54008	21.8	1	8
2014-03-27 22:16:56.407971	54009	2768	3	2
2014-03-27 22:16:56.638948	54010	1103701.4566362344	4	2
2014-03-27 22:17:08.409041	54011	2768	3	2
2014-03-27 22:17:08.630318	54012	1103710.6489140056	4	2
2014-03-27 22:17:16.133806	54013	43	2	10
2014-03-27 22:17:16.365516	54014	24.8	1	10
2014-03-27 22:17:26.001294	54015	54	2	9
2014-03-27 22:17:26.222015	54016	22.9	1	9
2014-03-27 22:17:27.091829	54017	50	2	8
2014-03-27 22:17:27.321547	54018	21.8	1	8
2014-03-27 22:17:32.409092	54019	2768	3	2
2014-03-27 22:17:32.63175	54020	1103729.0334695484	4	2
2014-03-27 22:17:55.131375	54021	43	2	10
2014-03-27 22:17:55.368623	54022	24.7	1	10
2014-03-27 22:18:04.995829	54023	54	2	9
2014-03-27 22:18:05.21826	54024	22.9	1	9
2014-03-27 22:18:06.094907	54025	50	2	8
2014-03-27 22:18:06.325426	54026	21.8	1	8
2014-03-27 22:18:20.408618	54027	2720	3	2
2014-03-27 22:18:20.62996	54028	1103764.6580168644	4	2
2014-03-27 22:18:34.134937	54029	43	2	10
2014-03-27 22:18:34.367125	54030	24.7	1	10
2014-03-27 22:18:43.999081	54031	54	2	9
2014-03-27 22:18:44.2216	54032	22.9	1	9
2014-03-27 22:18:44.527634	54033	2527	3	2
2014-03-27 22:18:44.770477	54034	1103781.8935376857	4	2
2014-03-27 22:18:45.093741	54035	50	2	8
2014-03-27 22:18:45.316492	54036	21.8	1	8
2014-03-27 22:18:56.412476	54037	2527	3	2
2014-03-27 22:18:56.644053	54038	1103789.9367807356	4	2
2014-03-27 22:19:13.134798	54039	43	2	10
2014-03-27 22:19:13.361864	54040	24.7	1	10
2014-03-27 22:19:22.995299	54041	53	2	9
2014-03-27 22:19:23.227093	54042	22.9	1	9
2014-03-27 22:19:24.093358	54043	50	2	8
2014-03-27 22:19:24.315334	54044	21.8	1	8
2014-03-27 22:19:52.136757	54045	43	2	10
2014-03-27 22:19:52.368593	54046	24.7	1	10
2014-03-27 22:19:56.411054	54047	2414	3	2
2014-03-27 22:19:56.630877	54048	1103832.4510654279	4	2
2014-03-27 22:20:01.997275	54049	53	2	9
2014-03-27 22:20:02.231542	54050	22.9	1	9
2014-03-27 22:20:03.093055	54051	50	2	8
2014-03-27 22:20:03.317267	54052	21.8	1	8
2014-03-27 22:20:08.409917	54053	2430	3	2
2014-03-27 22:20:08.64408	54054	1103840.4943084777	4	2
2014-03-27 22:20:31.136606	54055	43	2	10
2014-03-27 22:20:31.36381	54056	24.7	1	10
2014-03-27 22:20:41.199644	54057	53	2	9
2014-03-27 22:20:41.437519	54058	22.9	1	9
2014-03-27 22:20:42.15435	54059	50	2	8
2014-03-27 22:20:42.375055	54060	21.8	1	8
2014-03-27 22:20:44.408965	54061	2398	3	2
2014-03-27 22:20:44.646554	54062	1103864.6240376276	4	2
2014-03-27 22:20:56.406306	54063	2430	3	2
2014-03-27 22:20:56.630949	54064	1103872.6672806775	4	2
2014-03-27 22:21:10.135926	54065	43	2	10
2014-03-27 22:21:10.839428	54066	24.7	1	10
2014-03-27 22:21:19.997578	54067	53	2	9
2014-03-27 22:21:20.218573	54068	22.8	1	9
2014-03-27 22:21:20.525108	54069	2382	3	2
2014-03-27 22:21:20.760072	54070	1103888.7537667772	4	2
2014-03-27 22:21:21.093238	54071	50	2	8
2014-03-27 22:21:21.314052	54072	21.8	1	8
2014-03-27 22:21:49.135228	54073	43	2	10
2014-03-27 22:21:49.368135	54074	24.7	1	10
2014-03-27 22:21:58.998687	54075	53	2	9
2014-03-27 22:21:59.219866	54076	22.8	1	9
2014-03-27 22:22:00.094075	54077	50	2	8
2014-03-27 22:22:00.32585	54078	21.8	1	8
2014-03-27 22:22:28.135368	54079	43	2	10
2014-03-27 22:22:28.356445	54080	24.7	1	10
2014-03-27 22:22:37.99966	54081	53	2	9
2014-03-27 22:22:38.256608	54082	22.8	1	9
2014-03-27 22:22:39.094663	54083	50	2	8
2014-03-27 22:22:39.313895	54084	21.7	1	8
2014-03-27 22:23:07.137031	54085	43	2	10
2014-03-27 22:23:07.368686	54086	24.7	1	10
2014-03-27 22:23:16.998079	54087	53	2	9
2014-03-27 22:23:17.221518	54088	22.8	1	9
2014-03-27 22:23:18.095851	54089	50	2	8
2014-03-27 22:23:18.32562	54090	21.7	1	8
2014-03-27 22:23:46.137	54091	43	2	10
2014-03-27 22:23:46.357844	54092	24.6	1	10
2014-03-27 22:23:55.997971	54093	53	2	9
2014-03-27 22:23:56.23166	54094	22.8	1	9
2014-03-27 22:23:57.094859	54095	50	2	8
2014-03-27 22:23:57.316868	54096	21.7	1	8
2014-03-27 22:24:25.135214	54097	43	2	10
2014-03-27 22:24:25.36646	54098	24.6	1	10
2014-03-27 22:24:34.999444	54099	53	2	9
2014-03-27 22:24:35.219703	54100	22.8	1	9
2014-03-27 22:24:36.093647	54101	50	2	8
2014-03-27 22:24:36.327337	54102	21.7	1	8
2014-03-27 22:25:04.136255	54103	43	2	10
2014-03-27 22:25:04.35808	54104	24.6	1	10
2014-03-27 22:25:13.999123	54105	53	2	9
2014-03-27 22:25:14.230523	54106	22.8	1	9
2014-03-27 22:25:15.095463	54107	50	2	8
2014-03-27 22:25:15.318521	54108	21.7	1	8
2014-03-27 22:25:43.136578	54109	43	2	10
2014-03-27 22:25:43.367478	54110	24.6	1	10
2014-03-27 22:25:52.999212	54111	53	2	9
2014-03-27 22:25:53.220499	54112	22.8	1	9
2014-03-27 22:25:54.094713	54113	50	2	8
2014-03-27 22:25:54.32624	54114	21.7	1	8
2014-03-27 22:26:22.13677	54115	43	2	10
2014-03-27 22:26:22.366832	54116	24.6	1	10
2014-03-27 22:26:32.001544	54117	53	2	9
2014-03-27 22:26:32.233309	54118	22.8	1	9
2014-03-27 22:26:33.095206	54119	50	2	8
2014-03-27 22:26:33.315212	54120	21.7	1	8
2014-03-27 22:27:01.137615	54121	43	2	10
2014-03-27 22:27:01.368957	54122	24.5	1	10
2014-03-27 22:27:10.997536	54123	53	2	9
2014-03-27 22:27:11.219213	54124	22.8	1	9
2014-03-27 22:27:12.151861	54125	50	2	8
2014-03-27 22:27:12.383832	54126	21.7	1	8
2014-03-27 22:27:40.138656	54127	43	2	10
2014-03-27 22:27:40.360164	54128	24.5	1	10
2014-03-27 22:27:50.000095	54129	53	2	9
2014-03-27 22:27:50.243005	54130	22.7	1	9
2014-03-27 22:27:51.093079	54131	50	2	8
2014-03-27 22:27:51.314685	54132	21.7	1	8
2014-03-27 22:28:19.137283	54133	43	2	10
2014-03-27 22:28:19.368292	54134	24.5	1	10
2014-03-27 22:28:28.998537	54135	53	2	9
2014-03-27 22:28:29.220092	54136	22.7	1	9
2014-03-27 22:28:30.095063	54137	49	2	8
2014-03-27 22:28:30.325177	54138	21.7	1	8
2014-03-27 22:28:58.139454	54139	43	2	10
2014-03-27 22:28:58.360604	54140	24.5	1	10
2014-03-27 22:29:07.996133	54141	53	2	9
2014-03-27 22:29:08.228612	54142	22.7	1	9
2014-03-27 22:29:09.09275	54143	49	2	8
2014-03-27 22:29:09.315391	54144	21.7	1	8
2014-03-27 22:29:37.137566	54145	43	2	10
2014-03-27 22:29:37.37078	54146	24.5	1	10
2014-03-27 22:29:44.407135	54147	370	3	2
2014-03-27 22:29:44.628916	54148	1103987.5707528188	4	2
2014-03-27 22:29:46.99768	54149	53	2	9
2014-03-27 22:29:47.227309	54150	22.7	1	9
2014-03-27 22:29:48.094053	54151	49	2	8
2014-03-27 22:29:48.320088	54152	21.7	1	8
2014-03-27 22:30:16.138496	54153	43	2	10
2014-03-27 22:30:16.373165	54154	24.5	1	10
2014-03-27 22:30:25.996115	54155	53	2	9
2014-03-27 22:30:26.217789	54156	22.7	1	9
2014-03-27 22:30:27.093388	54157	49	2	8
2014-03-27 22:30:27.325366	54158	21.7	1	8
2014-03-27 22:30:55.13734	54159	43	2	10
2014-03-27 22:30:55.359419	54160	24.4	1	10
2014-03-27 22:31:04.99823	54161	53	2	9
2014-03-27 22:31:05.230256	54162	22.7	1	9
2014-03-27 22:31:06.092885	54163	49	2	8
2014-03-27 22:31:06.313297	54164	21.7	1	8
2014-03-27 22:31:32.408129	54165	370	3	2
2014-03-27 22:31:32.643781	54166	1103999.061100033	4	2
2014-03-27 22:31:34.137815	54167	43	2	10
2014-03-27 22:31:34.360046	54168	24.4	1	10
2014-03-27 22:31:44.199547	54169	53	2	9
2014-03-27 22:31:44.433411	54170	22.7	1	9
2014-03-27 22:31:45.093037	54171	49	2	8
2014-03-27 22:31:45.313814	54172	21.7	1	8
2014-03-27 22:32:13.139681	54173	43	2	10
2014-03-27 22:32:13.37189	54174	24.4	1	10
2014-03-27 22:32:22.997791	54175	53	2	9
2014-03-27 22:32:23.21943	54176	22.7	1	9
2014-03-27 22:32:24.092881	54177	49	2	8
2014-03-27 22:32:24.335037	54178	21.7	1	8
2014-03-27 22:32:52.138961	54179	43	2	10
2014-03-27 22:32:52.36175	54180	24.4	1	10
2014-03-27 22:33:01.998327	54181	53	2	9
2014-03-27 22:33:02.229389	54182	22.7	1	9
2014-03-27 22:33:03.092873	54183	49	2	8
2014-03-27 22:33:03.315047	54184	21.7	1	8
2014-03-27 22:33:31.138684	54185	43	2	10
2014-03-27 22:33:31.371076	54186	24.4	1	10
2014-03-27 22:33:40.999063	54187	53	2	9
2014-03-27 22:33:41.219548	54188	22.7	1	9
2014-03-27 22:33:42.094558	54189	49	2	8
2014-03-27 22:33:42.325713	54190	21.6	1	8
2014-03-27 22:33:56.40449	54191	402	3	2
2014-03-27 22:33:56.626108	54192	1104013.9985514116	4	2
2014-03-27 22:34:10.141885	54193	43	2	10
2014-03-27 22:34:10.374291	54194	24.4	1	10
2014-03-27 22:34:19.999244	54195	53	2	9
2014-03-27 22:34:20.225832	54196	22.7	1	9
2014-03-27 22:34:20.531886	54197	402	3	2
2014-03-27 22:34:20.763511	54198	1104017.4456555757	4	2
2014-03-27 22:34:21.094404	54199	49	2	8
2014-03-27 22:34:21.31461	54200	21.6	1	8
2014-03-27 22:34:32.406538	54201	338	3	2
2014-03-27 22:34:32.637265	54202	1104018.5946902973	4	2
2014-03-27 22:34:44.404942	54203	338	3	2
2014-03-27 22:34:44.627822	54204	1104019.7437250186	4	2
2014-03-27 22:34:49.138897	54205	43	2	10
2014-03-27 22:34:49.372518	54206	24.4	1	10
2014-03-27 22:34:59.200834	54207	53	2	9
2014-03-27 22:34:59.426069	54208	22.7	1	9
2014-03-27 22:35:00.091509	54209	49	2	8
2014-03-27 22:35:00.324292	54210	21.6	1	8
2014-03-27 22:35:28.139105	54211	43	2	10
2014-03-27 22:35:28.370938	54212	24.4	1	10
2014-03-27 22:35:37.996306	54213	53	2	9
2014-03-27 22:35:38.227527	54214	22.7	1	9
2014-03-27 22:35:39.092756	54215	49	2	8
2014-03-27 22:35:39.314967	54216	21.6	1	8
2014-03-27 22:36:07.139395	54217	43	2	10
2014-03-27 22:36:07.370697	54218	24.3	1	10
2014-03-27 22:36:16.997273	54219	53	2	9
2014-03-27 22:36:17.220958	54220	22.7	1	9
2014-03-27 22:36:18.093832	54221	49	2	8
2014-03-27 22:36:18.327135	54222	21.6	1	8
2014-03-27 22:36:32.402657	54223	338	3	2
2014-03-27 22:36:32.626179	54224	1104028.93600279	4	2
2014-03-27 22:36:46.137999	54225	43	2	10
2014-03-27 22:36:46.383325	54226	24.3	1	10
2014-03-27 22:36:55.997055	54227	53	2	9
2014-03-27 22:36:56.217959	54228	22.6	1	9
2014-03-27 22:36:57.092801	54229	49	2	8
2014-03-27 22:36:57.32335	54230	21.6	1	8
2014-03-27 22:37:25.139306	54231	43	2	10
2014-03-27 22:37:25.360433	54232	24.3	1	10
2014-03-27 22:37:34.994931	54233	53	2	9
2014-03-27 22:37:35.227564	54234	22.6	1	9
2014-03-27 22:37:36.092535	54235	49	2	8
2014-03-27 22:37:36.314512	54236	21.6	1	8
2014-03-27 22:38:04.34445	54237	43	2	10
2014-03-27 22:38:04.578474	54238	24.3	1	10
2014-03-27 22:38:13.996651	54239	53	2	9
2014-03-27 22:38:14.216928	54240	22.6	1	9
2014-03-27 22:38:15.092272	54241	49	2	8
2014-03-27 22:38:15.325349	54242	21.6	1	8
2014-03-27 22:38:43.140936	54243	43	2	10
2014-03-27 22:38:43.361682	54244	24.3	1	10
2014-03-27 22:38:52.997215	54245	53	2	9
2014-03-27 22:38:53.228659	54246	22.6	1	9
2014-03-27 22:38:54.093444	54247	49	2	8
2014-03-27 22:38:54.315783	54248	21.6	1	8
2014-03-27 22:39:22.141419	54249	43	2	10
2014-03-27 22:39:22.371918	54250	24.3	1	10
2014-03-27 22:39:31.998532	54251	53	2	9
2014-03-27 22:39:32.222781	54252	22.6	1	9
2014-03-27 22:39:33.093573	54253	49	2	8
2014-03-27 22:39:33.324193	54254	21.6	1	8
2014-03-27 22:40:01.344083	54255	43	2	10
2014-03-27 22:40:01.566655	54256	24.3	1	10
2014-03-27 22:40:10.9968	54257	53	2	9
2014-03-27 22:40:11.229789	54258	22.6	1	9
2014-03-27 22:40:12.092398	54259	49	2	8
2014-03-27 22:40:12.31565	54260	21.6	1	8
2014-03-27 22:40:40.141283	54261	43	2	10
2014-03-27 22:40:40.374025	54262	24.3	1	10
2014-03-27 22:40:49.995411	54263	53	2	9
2014-03-27 22:40:50.218072	54264	22.6	1	9
2014-03-27 22:40:51.092844	54265	49	2	8
2014-03-27 22:40:51.325575	54266	21.6	1	8
2014-03-27 22:41:19.148013	54267	43	2	10
2014-03-27 22:41:19.369489	54268	24.3	1	10
2014-03-27 22:41:29.199459	54269	53	2	9
2014-03-27 22:41:29.433373	54270	22.6	1	9
2014-03-27 22:41:30.092886	54271	49	2	8
2014-03-27 22:41:30.313889	54272	21.6	1	8
2014-03-27 22:41:58.140518	54273	43	2	10
2014-03-27 22:41:58.385109	54274	24.3	1	10
2014-03-27 22:42:07.993309	54275	53	2	9
2014-03-27 22:42:08.217049	54276	22.6	1	9
2014-03-27 22:42:09.092129	54277	49	2	8
2014-03-27 22:42:09.322435	54278	21.6	1	8
2014-03-27 22:42:32.404735	54279	434	3	2
2014-03-27 22:42:32.629725	54280	1104068.0076542702	4	2
2014-03-27 22:42:37.149979	54281	43	2	10
2014-03-27 22:42:37.383929	54282	24.2	1	10
2014-03-27 22:42:46.9939	54283	53	2	9
2014-03-27 22:42:47.216862	54284	22.6	1	9
2014-03-27 22:42:48.092599	54285	49	2	8
2014-03-27 22:42:48.3236	54286	21.6	1	8
2014-03-27 22:43:16.140459	54287	43	2	10
2014-03-27 22:43:16.36363	54288	24.2	1	10
2014-03-27 22:43:25.995032	54289	53	2	9
2014-03-27 22:43:26.22808	54290	22.6	1	9
2014-03-27 22:43:27.092726	54291	49	2	8
2014-03-27 22:43:27.313945	54292	21.6	1	8
2014-03-27 22:43:55.142136	54293	43	2	10
2014-03-27 22:43:55.373508	54294	24.2	1	10
2014-03-27 22:44:04.999043	54295	53	2	9
2014-03-27 22:44:05.219997	54296	22.6	1	9
2014-03-27 22:44:06.091555	54297	49	2	8
2014-03-27 22:44:06.323435	54298	21.6	1	8
2014-03-27 22:44:34.142132	54299	43	2	10
2014-03-27 22:44:34.363358	54300	24.2	1	10
2014-03-27 22:44:43.995453	54301	53	2	9
2014-03-27 22:44:44.229392	54302	22.6	1	9
2014-03-27 22:44:45.093798	54303	49	2	8
2014-03-27 22:44:45.315306	54304	21.6	1	8
2014-03-27 22:45:13.143787	54305	43	2	10
2014-03-27 22:45:13.375021	54306	24.2	1	10
2014-03-27 22:45:22.995128	54307	53	2	9
2014-03-27 22:45:23.218791	54308	22.6	1	9
2014-03-27 22:45:24.094401	54309	49	2	8
2014-03-27 22:45:24.326513	54310	21.6	1	8
2014-03-27 22:45:52.142541	54311	43	2	10
2014-03-27 22:45:52.364956	54312	24.2	1	10
2014-03-27 22:46:01.994942	54313	53	2	9
2014-03-27 22:46:02.227987	54314	22.6	1	9
2014-03-27 22:46:03.092478	54315	49	2	8
2014-03-27 22:46:03.316026	54316	21.6	1	8
2014-03-27 22:46:31.141775	54317	43	2	10
2014-03-27 22:46:31.376026	54318	24.2	1	10
2014-03-27 22:46:40.996285	54319	53	2	9
2014-03-27 22:46:41.2175	54320	22.6	1	9
2014-03-27 22:46:42.091691	54321	49	2	8
2014-03-27 22:46:42.334711	54322	21.6	1	8
2014-03-27 22:47:08.406691	54323	402	3	2
2014-03-27 22:47:08.631501	54324	1104102.4786959128	4	2
2014-03-27 22:47:10.143364	54325	43	2	10
2014-03-27 22:47:10.375768	54326	24.2	1	10
2014-03-27 22:47:19.993705	54327	53	2	9
2014-03-27 22:47:20.21644	54328	22.6	1	9
2014-03-27 22:47:21.092591	54329	49	2	8
2014-03-27 22:47:21.324967	54330	21.6	1	8
2014-03-27 22:47:49.143924	54331	43	2	10
2014-03-27 22:47:49.367525	54332	24.1	1	10
2014-03-27 22:47:58.995902	54333	53	2	9
2014-03-27 22:47:59.22921	54334	22.6	1	9
2014-03-27 22:48:00.091234	54335	49	2	8
2014-03-27 22:48:00.311752	54336	21.6	1	8
2014-03-27 22:48:28.142618	54337	43	2	10
2014-03-27 22:48:28.375564	54338	24.1	1	10
2014-03-27 22:48:37.995009	54339	53	2	9
2014-03-27 22:48:38.216232	54340	22.6	1	9
2014-03-27 22:48:39.092786	54341	49	2	8
2014-03-27 22:48:39.323675	54342	21.6	1	8
2014-03-27 22:48:56.404181	54343	402	3	2
2014-03-27 22:48:56.626449	54344	1104113.9690431268	4	2
2014-03-27 22:49:07.143954	54345	43	2	10
2014-03-27 22:49:07.376371	54346	24.1	1	10
2014-03-27 22:49:16.997974	54347	53	2	9
2014-03-27 22:49:17.22004	54348	22.5	1	9
2014-03-27 22:49:18.092936	54349	49	2	8
2014-03-27 22:49:18.325169	54350	21.6	1	8
2014-03-27 22:49:32.402353	54351	402	3	2
2014-03-27 22:49:32.625065	54352	1104118.5651820125	4	2
2014-03-27 22:49:46.143338	54353	43	2	10
2014-03-27 22:49:46.375684	54354	24.1	1	10
2014-03-27 22:49:55.997522	54355	53	2	9
2014-03-27 22:49:56.220619	54356	22.5	1	9
2014-03-27 22:49:57.092635	54357	49	2	8
2014-03-27 22:49:57.325637	54358	21.6	1	8
2014-03-27 22:50:25.145861	54359	43	2	10
2014-03-27 22:50:25.369388	54360	24.1	1	10
2014-03-27 22:50:32.404563	54361	338	3	2
2014-03-27 22:50:32.636557	54362	1104124.3103556195	4	2
2014-03-27 22:50:34.99497	54363	53	2	9
2014-03-27 22:50:35.217269	54364	22.5	1	9
2014-03-27 22:50:36.091706	54365	49	2	8
2014-03-27 22:50:36.324186	54366	21.6	1	8
2014-03-27 22:51:04.144002	54367	43	2	10
2014-03-27 22:51:04.366974	54368	24.1	1	10
2014-03-27 22:51:13.996556	54369	53	2	9
2014-03-27 22:51:14.241266	54370	22.5	1	9
2014-03-27 22:51:15.091644	54371	49	2	8
2014-03-27 22:51:15.313362	54372	21.6	1	8
2014-03-27 22:51:43.179803	54373	43	2	10
2014-03-27 22:51:43.413547	54374	24.0	1	10
2014-03-27 22:51:52.995682	54375	53	2	9
2014-03-27 22:51:53.216934	54376	22.5	1	9
2014-03-27 22:51:54.091902	54377	49	2	8
2014-03-27 22:51:54.322126	54378	21.6	1	8
2014-03-27 22:52:22.143693	54379	43	2	10
2014-03-27 22:52:22.365736	54380	24.0	1	10
2014-03-27 22:52:31.993271	54381	53	2	9
2014-03-27 22:52:32.226151	54382	22.5	1	9
2014-03-27 22:52:33.092539	54383	49	2	8
2014-03-27 22:52:33.31414	54384	21.6	1	8
2014-03-27 22:53:01.143727	54385	43	2	10
2014-03-27 22:53:01.377433	54386	24.0	1	10
2014-03-27 22:53:10.996188	54387	53	2	9
2014-03-27 22:53:11.21809	54388	22.5	1	9
2014-03-27 22:53:12.092798	54389	49	2	8
2014-03-27 22:53:12.323875	54390	21.6	1	8
2014-03-27 22:53:40.142873	54391	43	2	10
2014-03-27 22:53:40.366623	54392	24.0	1	10
2014-03-27 22:53:49.995522	54393	53	2	9
2014-03-27 22:53:50.227604	54394	22.5	1	9
2014-03-27 22:53:51.091478	54395	49	2	8
2014-03-27 22:53:51.313541	54396	21.6	1	8
2014-03-27 22:54:19.144936	54397	43	2	10
2014-03-27 22:54:19.376997	54398	24.0	1	10
2014-03-27 22:54:28.999323	54399	53	2	9
2014-03-27 22:54:29.222687	54400	22.5	1	9
2014-03-27 22:54:30.090219	54401	49	2	8
2014-03-27 22:54:30.322422	54402	21.6	1	8
2014-03-27 22:54:32.403515	54403	338	3	2
2014-03-27 22:54:32.624964	54404	1104147.2910500478	4	2
2014-03-27 22:54:58.144275	54405	43	2	10
2014-03-27 22:54:58.376053	54406	24.0	1	10
2014-03-27 22:55:07.997181	54407	53	2	9
2014-03-27 22:55:08.219925	54408	22.5	1	9
2014-03-27 22:55:09.092466	54409	49	2	8
2014-03-27 22:55:09.325531	54410	21.6	1	8
2014-03-27 22:55:20.402367	54411	370	3	2
2014-03-27 22:55:20.625096	54412	1104151.8871889336	4	2
2014-03-27 22:55:37.147422	54413	43	2	10
2014-03-27 22:55:37.378909	54414	24.0	1	10
2014-03-27 22:55:47.003895	54415	53	2	9
2014-03-27 22:55:47.227004	54416	22.5	1	9
2014-03-27 22:55:48.093531	54417	49	2	8
2014-03-27 22:55:48.340957	54418	21.6	1	8
2014-03-27 22:55:56.400243	54419	402	3	2
2014-03-27 22:55:56.62231	54420	1104155.3342930977	4	2
2014-03-27 22:56:08.4048	54421	370	3	2
2014-03-27 22:56:08.637182	54422	1104156.4833278193	4	2
2014-03-27 22:56:16.144335	54423	43	2	10
2014-03-27 22:56:16.368083	54424	24.0	1	10
2014-03-27 22:56:25.997435	54425	53	2	9
2014-03-27 22:56:26.233463	54426	22.5	1	9
2014-03-27 22:56:27.091957	54427	49	2	8
2014-03-27 22:56:27.314373	54428	21.6	1	8
2014-03-27 22:56:55.145773	54429	42	2	10
2014-03-27 22:56:55.380062	54430	24.0	1	10
2014-03-27 22:57:04.995758	54431	53	2	9
2014-03-27 22:57:05.217803	54432	22.5	1	9
2014-03-27 22:57:06.091821	54433	49	2	8
2014-03-27 22:57:06.323648	54434	21.6	1	8
2014-03-27 22:57:32.402417	54435	370	3	2
2014-03-27 22:57:32.623994	54436	1104165.6756055905	4	2
2014-03-27 22:57:34.148633	54437	43	2	10
2014-03-27 22:57:34.379906	54438	23.9	1	10
2014-03-27 22:57:43.995399	54439	53	2	9
2014-03-27 22:57:44.219382	54440	22.5	1	9
2014-03-27 22:57:45.091191	54441	49	2	8
2014-03-27 22:57:45.323458	54442	21.6	1	8
2014-03-27 22:58:13.160639	54443	43	2	10
2014-03-27 22:58:13.384369	54444	23.9	1	10
2014-03-27 22:58:22.995359	54445	53	2	9
2014-03-27 22:58:23.227019	54446	22.5	1	9
2014-03-27 22:58:24.09098	54447	49	2	8
2014-03-27 22:58:24.313823	54448	21.6	1	8
2014-03-27 22:58:52.144989	54449	43	2	10
2014-03-27 22:58:52.377352	54450	23.9	1	10
2014-03-27 22:59:01.995591	54451	53	2	9
2014-03-27 22:59:02.217686	54452	22.5	1	9
2014-03-27 22:59:03.090258	54453	49	2	8
2014-03-27 22:59:03.3231	54454	21.6	1	8
2014-03-27 22:59:31.145774	54455	43	2	10
2014-03-27 22:59:31.381573	54456	23.9	1	10
2014-03-27 22:59:40.995573	54457	53	2	9
2014-03-27 22:59:41.227968	54458	22.5	1	9
2014-03-27 22:59:42.092379	54459	49	2	8
2014-03-27 22:59:42.314973	54460	21.6	1	8
2014-03-27 22:59:44.399494	54461	338	3	2
2014-03-27 22:59:44.633225	54462	1104179.4640222476	4	2
2014-03-27 23:00:10.146746	54463	43	2	10
2014-03-27 23:00:10.36961	54464	23.9	1	10
2014-03-27 23:00:19.996171	54465	53	2	9
2014-03-27 23:00:20.238303	54466	22.5	1	9
2014-03-27 23:00:21.091747	54467	49	2	8
2014-03-27 23:00:21.313624	54468	21.6	1	8
2014-03-27 23:00:49.148005	54469	43	2	10
2014-03-27 23:00:49.383002	54470	23.9	1	10
2014-03-27 23:00:58.995725	54471	53	2	9
2014-03-27 23:00:59.220134	54472	22.5	1	9
2014-03-27 23:01:00.092702	54473	49	2	8
2014-03-27 23:01:00.323818	54474	21.6	1	8
2014-03-27 23:01:28.149522	54475	43	2	10
2014-03-27 23:01:28.373052	54476	23.8	1	10
2014-03-27 23:01:37.994187	54477	53	2	9
2014-03-27 23:01:38.230703	54478	22.4	1	9
2014-03-27 23:01:39.091966	54479	49	2	8
2014-03-27 23:01:39.31351	54480	21.5	1	8
2014-03-27 23:02:07.147394	54481	43	2	10
2014-03-27 23:02:07.380658	54482	23.8	1	10
2014-03-27 23:02:16.993278	54483	53	2	9
2014-03-27 23:02:17.213775	54484	22.4	1	9
2014-03-27 23:02:18.092676	54485	49	2	8
2014-03-27 23:02:18.332819	54486	21.5	1	8
2014-03-27 23:02:46.147109	54487	43	2	10
2014-03-27 23:02:46.373845	54488	23.8	1	10
2014-03-27 23:02:55.995358	54489	53	2	9
2014-03-27 23:02:56.22694	54490	22.4	1	9
2014-03-27 23:02:57.093236	54491	49	2	8
2014-03-27 23:02:57.314997	54492	21.5	1	8
2014-03-27 23:03:25.149376	54493	43	2	10
2014-03-27 23:03:25.380134	54494	23.8	1	10
2014-03-27 23:03:32.399244	54495	338	3	2
2014-03-27 23:03:32.622815	54496	1104201.2956819544	4	2
2014-03-27 23:03:34.993043	54497	53	2	9
2014-03-27 23:03:35.223754	54498	22.4	1	9
2014-03-27 23:03:36.092375	54499	49	2	8
2014-03-27 23:03:36.313639	54500	21.5	1	8
2014-03-27 23:04:04.147417	54501	43	2	10
2014-03-27 23:04:04.378544	54502	23.8	1	10
2014-03-27 23:04:13.997433	54503	53	2	9
2014-03-27 23:04:14.219295	54504	22.4	1	9
2014-03-27 23:04:15.091914	54505	49	2	8
2014-03-27 23:04:15.323842	54506	21.5	1	8
2014-03-27 23:04:32.402848	54507	338	3	2
2014-03-27 23:04:32.625695	54508	1104207.0408555614	4	2
2014-03-27 23:04:43.145775	54509	43	2	10
2014-03-27 23:04:43.378559	54510	23.8	1	10
2014-03-27 23:04:52.998503	54511	53	2	9
2014-03-27 23:04:53.220663	54512	22.4	1	9
2014-03-27 23:04:54.09182	54513	49	2	8
2014-03-27 23:04:54.332779	54514	21.5	1	8
2014-03-27 23:05:22.14647	54515	43	2	10
2014-03-27 23:05:22.366581	54516	23.8	1	10
2014-03-27 23:05:31.997282	54517	53	2	9
2014-03-27 23:05:32.230186	54518	22.4	1	9
2014-03-27 23:05:33.090902	54519	49	2	8
2014-03-27 23:05:33.313288	54520	21.5	1	8
2014-03-27 23:06:01.147197	54521	43	2	10
2014-03-27 23:06:01.37882	54522	23.8	1	10
2014-03-27 23:06:11.004509	54523	53	2	9
2014-03-27 23:06:11.224683	54524	22.4	1	9
2014-03-27 23:06:12.092685	54525	49	2	8
2014-03-27 23:06:12.323576	54526	21.5	1	8
2014-03-27 23:06:40.149917	54527	43	2	10
2014-03-27 23:06:40.371264	54528	23.8	1	10
2014-03-27 23:06:49.995755	54529	53	2	9
2014-03-27 23:06:50.229531	54530	22.4	1	9
2014-03-27 23:06:51.091867	54531	49	2	8
2014-03-27 23:06:51.314547	54532	21.5	1	8
2014-03-27 23:07:19.148568	54533	43	2	10
2014-03-27 23:07:19.382123	54534	23.7	1	10
2014-03-27 23:07:28.996215	54535	53	2	9
2014-03-27 23:07:29.217394	54536	22.4	1	9
2014-03-27 23:07:30.090797	54537	49	2	8
2014-03-27 23:07:30.324276	54538	21.5	1	8
2014-03-27 23:07:32.400773	54539	402	3	2
2014-03-27 23:07:32.62273	54540	1104224.2763763827	4	2
2014-03-27 23:07:58.14865	54541	43	2	10
2014-03-27 23:07:58.384072	54542	23.7	1	10
2014-03-27 23:08:07.993947	54543	53	2	9
2014-03-27 23:08:08.216197	54544	22.4	1	9
2014-03-27 23:08:09.091675	54545	49	2	8
2014-03-27 23:08:09.321412	54546	21.5	1	8
2014-03-27 23:08:37.147497	54547	43	2	10
2014-03-27 23:08:37.376431	54548	23.7	1	10
2014-03-27 23:08:46.992682	54549	53	2	9
2014-03-27 23:08:47.224621	54550	22.4	1	9
2014-03-27 23:08:48.092051	54551	49	2	8
2014-03-27 23:08:48.312281	54552	21.5	1	8
2014-03-27 23:09:16.148494	54553	43	2	10
2014-03-27 23:09:16.381178	54554	23.7	1	10
2014-03-27 23:09:25.993761	54555	53	2	9
2014-03-27 23:09:26.21886	54556	22.4	1	9
2014-03-27 23:09:27.091982	54557	49	2	8
2014-03-27 23:09:27.323457	54558	21.5	1	8
2014-03-27 23:09:55.149086	54559	43	2	10
2014-03-27 23:09:55.372177	54560	23.7	1	10
2014-03-27 23:10:04.993953	54561	53	2	9
2014-03-27 23:10:05.237643	54562	22.4	1	9
2014-03-27 23:10:06.091663	54563	49	2	8
2014-03-27 23:10:06.314584	54564	21.5	1	8
2014-03-27 23:10:32.40097	54565	370	3	2
2014-03-27 23:10:32.640526	54566	1104243.8099666466	4	2
2014-03-27 23:10:34.149576	54567	43	2	10
2014-03-27 23:10:34.370665	54568	23.7	1	10
2014-03-27 23:10:43.994633	54569	53	2	9
2014-03-27 23:10:44.227246	54570	22.4	1	9
2014-03-27 23:10:45.092008	54571	49	2	8
2014-03-27 23:10:45.312751	54572	21.5	1	8
2014-03-27 23:11:13.147555	54573	43	2	10
2014-03-27 23:11:13.406469	54574	23.6	1	10
2014-03-27 23:11:22.994475	54575	53	2	9
2014-03-27 23:11:23.215992	54576	22.4	1	9
2014-03-27 23:11:24.09342	54577	49	2	8
2014-03-27 23:11:24.325675	54578	21.5	1	8
2014-03-27 23:11:52.151261	54579	43	2	10
2014-03-27 23:11:52.373813	54580	23.6	1	10
2014-03-27 23:12:01.994964	54581	53	2	9
2014-03-27 23:12:02.228948	54582	22.4	1	9
2014-03-27 23:12:03.091325	54583	49	2	8
2014-03-27 23:12:03.313966	54584	21.5	1	8
2014-03-27 23:12:31.149728	54585	43	2	10
2014-03-27 23:12:31.384006	54586	23.6	1	10
2014-03-27 23:12:40.997908	54587	53	2	9
2014-03-27 23:12:41.223442	54588	22.4	1	9
2014-03-27 23:12:42.090023	54589	49	2	8
2014-03-27 23:12:42.323945	54590	21.5	1	8
2014-03-27 23:13:10.148293	54591	43	2	10
2014-03-27 23:13:10.370949	54592	23.6	1	10
2014-03-27 23:13:19.993627	54593	53	2	9
2014-03-27 23:13:20.226026	54594	22.4	1	9
2014-03-27 23:13:21.091947	54595	49	2	8
2014-03-27 23:13:21.313708	54596	21.5	1	8
2014-03-27 23:13:49.149167	54597	43	2	10
2014-03-27 23:13:49.382863	54598	23.6	1	10
2014-03-27 23:13:58.994592	54599	53	2	9
2014-03-27 23:13:59.219406	54600	22.4	1	9
2014-03-27 23:14:00.091503	54601	49	2	8
2014-03-27 23:14:00.321414	54602	21.5	1	8
2014-03-27 23:14:28.150072	54603	43	2	10
2014-03-27 23:14:28.371646	54604	23.6	1	10
2014-03-27 23:14:38.002	54605	53	2	9
2014-03-27 23:14:38.2348	54606	22.3	1	9
2014-03-27 23:14:39.091909	54607	48	2	8
2014-03-27 23:14:39.313563	54608	21.5	1	8
2014-03-27 23:15:07.151382	54609	43	2	10
2014-03-27 23:15:07.393589	54610	23.5	1	10
2014-03-27 23:15:16.993067	54611	53	2	9
2014-03-27 23:15:17.216641	54612	22.3	1	9
2014-03-27 23:15:18.091291	54613	48	2	8
2014-03-27 23:15:18.323317	54614	21.5	1	8
2014-03-27 23:15:46.1483	54615	43	2	10
2014-03-27 23:15:46.371114	54616	23.5	1	10
2014-03-27 23:15:55.99257	54617	53	2	9
2014-03-27 23:15:56.223324	54618	22.3	1	9
2014-03-27 23:15:57.091701	54619	48	2	8
2014-03-27 23:15:57.313896	54620	21.5	1	8
2014-03-27 23:16:25.151956	54621	43	2	10
2014-03-27 23:16:25.385167	54622	23.5	1	10
2014-03-27 23:16:34.996947	54623	53	2	9
2014-03-27 23:16:35.218664	54624	22.3	1	9
2014-03-27 23:16:36.091073	54625	48	2	8
2014-03-27 23:16:36.32298	54626	21.5	1	8
2014-03-27 23:17:04.154126	54627	43	2	10
2014-03-27 23:17:04.377148	54628	23.5	1	10
2014-03-27 23:17:13.993248	54629	53	2	9
2014-03-27 23:17:14.227653	54630	22.3	1	9
2014-03-27 23:17:15.093792	54631	48	2	8
2014-03-27 23:17:15.317943	54632	21.5	1	8
2014-03-27 23:17:43.153919	54633	43	2	10
2014-03-27 23:17:43.386946	54634	23.5	1	10
2014-03-27 23:17:52.994487	54635	53	2	9
2014-03-27 23:17:53.218834	54636	22.3	1	9
2014-03-27 23:17:54.091317	54637	48	2	8
2014-03-27 23:17:54.323212	54638	21.5	1	8
2014-03-27 23:18:20.401608	54639	338	3	2
2014-03-27 23:18:20.623947	54640	1104288.622320782	4	2
2014-03-27 23:18:22.152491	54641	43	2	10
2014-03-27 23:18:22.385109	54642	23.5	1	10
2014-03-27 23:18:31.993642	54643	53	2	9
2014-03-27 23:18:32.215612	54644	22.3	1	9
2014-03-27 23:18:33.091027	54645	48	2	8
2014-03-27 23:18:33.327843	54646	21.5	1	8
2014-03-27 23:19:01.151568	54647	43	2	10
2014-03-27 23:19:01.375308	54648	23.5	1	10
2014-03-27 23:19:10.996348	54649	53	2	9
2014-03-27 23:19:11.228085	54650	22.3	1	9
2014-03-27 23:19:12.091733	54651	48	2	8
2014-03-27 23:19:12.314611	54652	21.5	1	8
2014-03-27 23:19:32.400789	54653	338	3	2
2014-03-27 23:19:32.635698	54654	1104295.5165291105	4	2
2014-03-27 23:19:40.152509	54655	43	2	10
2014-03-27 23:19:40.373963	54656	23.5	1	10
2014-03-27 23:19:49.993205	54657	53	2	9
2014-03-27 23:19:50.237046	54658	22.3	1	9
2014-03-27 23:19:51.090208	54659	48	2	8
2014-03-27 23:19:51.310923	54660	21.5	1	8
2014-03-27 23:20:19.151572	54661	43	2	10
2014-03-27 23:20:19.384279	54662	23.5	1	10
2014-03-27 23:20:28.993452	54663	53	2	9
2014-03-27 23:20:29.215053	54664	22.3	1	9
2014-03-27 23:20:30.090802	54665	48	2	8
2014-03-27 23:20:30.322741	54666	21.5	1	8
2014-03-27 23:20:32.399322	54667	305	3	2
2014-03-27 23:20:32.621284	54668	1104301.2617027175	4	2
2014-03-27 23:20:44.399018	54669	338	3	2
2014-03-27 23:20:44.632283	54670	1104302.4107374388	4	2
2014-03-27 23:20:58.15063	54671	43	2	10
2014-03-27 23:20:58.372894	54672	23.5	1	10
2014-03-27 23:21:07.994233	54673	53	2	9
2014-03-27 23:21:08.226239	54674	22.3	1	9
2014-03-27 23:21:08.532844	54675	338	3	2
2014-03-27 23:21:08.753955	54676	1104304.7088068817	4	2
2014-03-27 23:21:09.091942	54677	48	2	8
2014-03-27 23:21:09.322341	54678	21.5	1	8
2014-03-27 23:21:20.400388	54679	370	3	2
2014-03-27 23:21:20.624214	54680	1104305.8578416032	4	2
2014-03-27 23:21:37.149647	54681	43	2	10
2014-03-27 23:21:37.381572	54682	23.4	1	10
2014-03-27 23:21:46.995376	54683	53	2	9
2014-03-27 23:21:47.21758	54684	22.3	1	9
2014-03-27 23:21:48.091756	54685	48	2	8
2014-03-27 23:21:48.320914	54686	21.5	1	8
2014-03-27 23:22:16.151821	54687	43	2	10
2014-03-27 23:22:16.373303	54688	23.4	1	10
2014-03-27 23:22:25.995866	54689	53	2	9
2014-03-27 23:22:26.228905	54690	22.3	1	9
2014-03-27 23:22:27.092377	54691	48	2	8
2014-03-27 23:22:27.313724	54692	21.5	1	8
2014-03-27 23:22:55.15243	54693	43	2	10
2014-03-27 23:22:55.387807	54694	23.4	1	10
2014-03-27 23:23:04.992331	54695	53	2	9
2014-03-27 23:23:05.216206	54696	22.3	1	9
2014-03-27 23:23:06.090207	54697	48	2	8
2014-03-27 23:23:06.322997	54698	21.5	1	8
2014-03-27 23:23:34.153506	54699	43	2	10
2014-03-27 23:23:34.37701	54700	23.4	1	10
2014-03-27 23:23:43.99353	54701	53	2	9
2014-03-27 23:23:44.282561	54702	22.3	1	9
2014-03-27 23:23:45.090313	54703	48	2	8
2014-03-27 23:23:45.313217	54704	21.5	1	8
2014-03-27 23:24:13.151116	54705	43	2	10
2014-03-27 23:24:13.397268	54706	23.4	1	10
2014-03-27 23:24:22.99601	54707	53	2	9
2014-03-27 23:24:23.216524	54708	22.3	1	9
2014-03-27 23:24:24.081364	54709	48	2	8
2014-03-27 23:24:24.313399	54710	21.5	1	8
2014-03-27 23:24:52.153448	54711	43	2	10
2014-03-27 23:24:52.375664	54712	23.4	1	10
2014-03-27 23:25:01.995216	54713	53	2	9
2014-03-27 23:25:02.228296	54714	22.3	1	9
2014-03-27 23:25:03.091601	54715	48	2	8
2014-03-27 23:25:03.31382	54716	21.5	1	8
2014-03-27 23:25:31.152889	54717	43	2	10
2014-03-27 23:25:31.385416	54718	23.3	1	10
2014-03-27 23:25:40.994443	54719	53	2	9
2014-03-27 23:25:41.216985	54720	22.3	1	9
2014-03-27 23:25:42.09068	54721	48	2	8
2014-03-27 23:25:42.321732	54722	21.5	1	8
2014-03-27 23:26:10.15315	54723	43	2	10
2014-03-27 23:26:10.376898	54724	23.3	1	10
2014-03-27 23:26:19.992533	54725	53	2	9
2014-03-27 23:26:20.224927	54726	22.2	1	9
2014-03-27 23:26:21.091458	54727	48	2	8
2014-03-27 23:26:21.314661	54728	21.5	1	8
2014-03-27 23:26:49.153814	54729	43	2	10
2014-03-27 23:26:49.392448	54730	23.3	1	10
2014-03-27 23:26:58.995772	54731	53	2	9
2014-03-27 23:26:59.218976	54732	22.2	1	9
2014-03-27 23:27:00.092163	54733	48	2	8
2014-03-27 23:27:00.323291	54734	21.5	1	8
2014-03-27 23:27:20.40248	54735	370	3	2
2014-03-27 23:27:20.624782	54736	1104348.3765972478	4	2
2014-03-27 23:27:28.152151	54737	43	2	10
2014-03-27 23:27:28.384067	54738	23.3	1	10
2014-03-27 23:27:37.996585	54739	53	2	9
2014-03-27 23:27:38.238593	54740	22.2	1	9
2014-03-27 23:27:39.092261	54741	48	2	8
2014-03-27 23:27:39.323401	54742	21.5	1	8
2014-03-27 23:27:44.395895	54743	370	3	2
2014-03-27 23:27:44.619617	54744	1104350.6746666906	4	2
2014-03-27 23:27:56.400124	54745	370	3	2
2014-03-27 23:27:56.633342	54746	1104351.823701412	4	2
2014-03-27 23:28:07.155534	54747	43	2	10
2014-03-27 23:28:07.377343	54748	23.3	1	10
2014-03-27 23:28:16.997977	54749	53	2	9
2014-03-27 23:28:17.232223	54750	22.2	1	9
2014-03-27 23:28:18.091594	54751	48	2	8
2014-03-27 23:28:18.315652	54752	21.5	1	8
2014-03-27 23:28:46.153214	54753	43	2	10
2014-03-27 23:28:46.398746	54754	23.3	1	10
2014-03-27 23:28:55.992145	54755	53	2	9
2014-03-27 23:28:56.214077	54756	22.2	1	9
2014-03-27 23:28:57.089754	54757	48	2	8
2014-03-27 23:28:57.506957	54758	21.5	1	8
2014-03-27 23:29:20.396797	54759	370	3	2
2014-03-27 23:29:20.616314	54760	1104361.0159791834	4	2
2014-03-27 23:29:25.154599	54761	43	2	10
2014-03-27 23:29:25.375895	54762	23.3	1	10
2014-03-27 23:29:34.992138	54763	53	2	9
2014-03-27 23:29:35.222954	54764	22.2	1	9
2014-03-27 23:29:36.090098	54765	48	2	8
2014-03-27 23:29:36.310491	54766	21.5	1	8
2014-03-27 23:30:04.153157	54767	43	2	10
2014-03-27 23:30:04.384132	54768	23.2	1	10
2014-03-27 23:30:14.046522	54769	53	2	9
2014-03-27 23:30:14.279372	54770	22.2	1	9
2014-03-27 23:30:15.089213	54771	48	2	8
2014-03-27 23:30:15.319447	54772	21.5	1	8
2014-03-27 23:30:43.154615	54773	43	2	10
2014-03-27 23:30:43.376566	54774	23.2	1	10
2014-03-27 23:30:44.433697	54775	402	3	2
2014-03-27 23:30:44.666594	54776	1104369.0592222332	4	2
2014-03-27 23:30:52.993489	54777	53	2	9
2014-03-27 23:30:53.213885	54778	22.2	1	9
2014-03-27 23:30:54.090449	54779	48	2	8
2014-03-27 23:30:54.323705	54780	21.5	1	8
2014-03-27 23:30:56.394718	54781	370	3	2
2014-03-27 23:30:56.61754	54782	1104371.357291676	4	2
2014-03-27 23:31:08.398898	54783	370	3	2
2014-03-27 23:31:08.628821	54784	1104372.5063263974	4	2
2014-03-27 23:31:22.154461	54785	43	2	10
2014-03-27 23:31:22.37529	54786	23.2	1	10
2014-03-27 23:31:31.991604	54787	53	2	9
2014-03-27 23:31:32.223078	54788	22.2	1	9
2014-03-27 23:31:32.528038	54789	370	3	2
2014-03-27 23:31:32.751061	54790	1104374.8043958403	4	2
2014-03-27 23:31:33.092082	54791	48	2	8
2014-03-27 23:31:33.323347	54792	21.5	1	8
2014-03-27 23:32:01.155882	54793	43	2	10
2014-03-27 23:32:01.378963	54794	23.2	1	10
2014-03-27 23:32:10.994962	54795	53	2	9
2014-03-27 23:32:11.225787	54796	22.2	1	9
2014-03-27 23:32:12.089828	54797	48	2	8
2014-03-27 23:32:12.310089	54798	21.5	1	8
2014-03-27 23:32:32.395631	54799	370	3	2
2014-03-27 23:32:32.627129	54800	1104380.5495694473	4	2
2014-03-27 23:32:40.153484	54801	43	2	10
2014-03-27 23:32:40.388698	54802	23.2	1	10
2014-03-27 23:32:49.995433	54803	53	2	9
2014-03-27 23:32:50.239731	54804	22.2	1	9
2014-03-27 23:32:51.092494	54805	48	2	8
2014-03-27 23:32:51.31338	54806	21.5	1	8
2014-03-27 23:33:19.157085	54807	43	2	10
2014-03-27 23:33:19.397655	54808	23.2	1	10
2014-03-27 23:33:28.992606	54809	53	2	9
2014-03-27 23:33:29.214782	54810	22.2	1	9
2014-03-27 23:33:30.092684	54811	48	2	8
2014-03-27 23:33:30.32352	54812	21.5	1	8
2014-03-27 23:33:58.154426	54813	43	2	10
2014-03-27 23:33:58.378435	54814	23.2	1	10
2014-03-27 23:34:07.992435	54815	53	2	9
2014-03-27 23:34:08.225284	54816	22.2	1	9
2014-03-27 23:34:09.091328	54817	48	2	8
2014-03-27 23:34:09.311796	54818	21.5	1	8
2014-03-27 23:34:32.398798	54819	370	3	2
2014-03-27 23:34:32.62894	54820	1104393.1889513829	4	2
2014-03-27 23:34:37.155168	54821	43	2	10
2014-03-27 23:34:37.377763	54822	23.2	1	10
2014-03-27 23:34:46.994186	54823	53	2	9
2014-03-27 23:34:47.225411	54824	22.2	1	9
2014-03-27 23:34:48.09262	54825	48	2	8
2014-03-27 23:34:48.313504	54826	21.5	1	8
2014-03-27 23:35:16.15649	54827	43	2	10
2014-03-27 23:35:16.387779	54828	23.1	1	10
2014-03-27 23:35:20.396045	54829	434	3	2
2014-03-27 23:35:20.642583	54830	1104398.93412499	4	2
2014-03-27 23:35:25.997401	54831	53	2	9
2014-03-27 23:35:26.228482	54832	22.2	1	9
2014-03-27 23:35:27.091742	54833	48	2	8
2014-03-27 23:35:27.314533	54834	21.5	1	8
2014-03-27 23:35:32.395382	54835	370	3	2
2014-03-27 23:35:32.628087	54836	1104400.0831597114	4	2
2014-03-27 23:35:55.156582	54837	43	2	10
2014-03-27 23:35:55.379504	54838	23.1	1	10
2014-03-27 23:36:04.994839	54839	53	2	9
2014-03-27 23:36:05.225624	54840	22.2	1	9
2014-03-27 23:36:06.09125	54841	48	2	8
2014-03-27 23:36:06.313853	54842	21.5	1	8
2014-03-27 23:36:34.155674	54843	43	2	10
2014-03-27 23:36:34.385979	54844	23.1	1	10
2014-03-27 23:36:43.992351	54845	53	2	9
2014-03-27 23:36:44.21307	54846	22.2	1	9
2014-03-27 23:36:45.092592	54847	48	2	8
2014-03-27 23:36:45.324609	54848	21.5	1	8
2014-03-27 23:37:13.156927	54849	43	2	10
2014-03-27 23:37:13.378468	54850	23.1	1	10
2014-03-27 23:37:22.995312	54851	53	2	9
2014-03-27 23:37:23.235941	54852	22.2	1	9
2014-03-27 23:37:24.088461	54853	48	2	8
2014-03-27 23:37:24.309459	54854	21.5	1	8
2014-03-27 23:37:52.15352	54855	43	2	10
2014-03-27 23:37:52.386017	54856	23.1	1	10
2014-03-27 23:38:01.995888	54857	53	2	9
2014-03-27 23:38:02.215988	54858	22.2	1	9
2014-03-27 23:38:03.090417	54859	48	2	8
2014-03-27 23:38:03.321195	54860	21.5	1	8
2014-03-27 23:38:31.156578	54861	43	2	10
2014-03-27 23:38:31.377245	54862	23.1	1	10
2014-03-27 23:38:32.39598	54863	370	3	2
2014-03-27 23:38:32.626044	54864	1104418.467715254	4	2
2014-03-27 23:38:40.994754	54865	53	2	9
2014-03-27 23:38:41.218636	54866	22.2	1	9
2014-03-27 23:38:42.092262	54867	48	2	8
2014-03-27 23:38:42.322719	54868	21.5	1	8
2014-03-27 23:39:10.159194	54869	43	2	10
2014-03-27 23:39:10.380757	54870	23.1	1	10
2014-03-27 23:39:19.992366	54871	53	2	9
2014-03-27 23:39:20.22515	54872	22.2	1	9
2014-03-27 23:39:21.090331	54873	48	2	8
2014-03-27 23:39:21.312855	54874	21.5	1	8
2014-03-27 23:39:32.397406	54875	370	3	2
2014-03-27 23:39:32.627799	54876	1104424.212888861	4	2
2014-03-27 23:39:44.394712	54877	338	3	2
2014-03-27 23:39:44.670031	54878	1104425.3619235824	4	2
2014-03-27 23:39:49.156919	54879	43	2	10
2014-03-27 23:39:49.38919	54880	23.1	1	10
2014-03-27 23:39:58.993672	54881	53	2	9
2014-03-27 23:39:59.214824	54882	22.2	1	9
2014-03-27 23:40:00.091352	54883	48	2	8
2014-03-27 23:40:00.324061	54884	21.5	1	8
2014-03-27 23:40:28.156639	54885	43	2	10
2014-03-27 23:40:28.379838	54886	23.0	1	10
2014-03-27 23:40:32.399968	54887	338	3	2
2014-03-27 23:40:32.629397	54888	1104429.958062468	4	2
2014-03-27 23:40:37.994579	54889	53	2	9
2014-03-27 23:40:38.216246	54890	22.2	1	9
2014-03-27 23:40:39.090574	54891	48	2	8
2014-03-27 23:40:39.320386	54892	21.5	1	8
2014-03-27 23:41:07.15789	54893	43	2	10
2014-03-27 23:41:07.377965	54894	23.0	1	10
2014-03-27 23:41:17.000852	54895	53	2	9
2014-03-27 23:41:17.232943	54896	22.1	1	9
2014-03-27 23:41:18.088262	54897	48	2	8
2014-03-27 23:41:18.30897	54898	21.5	1	8
2014-03-27 23:41:32.393866	54899	338	3	2
2014-03-27 23:41:32.639002	54900	1104435.7032360754	4	2
2014-03-27 23:41:46.158537	54901	43	2	10
2014-03-27 23:41:46.378679	54902	23.0	1	10
2014-03-27 23:41:55.997085	54903	53	2	9
2014-03-27 23:41:56.246186	54904	22.1	1	9
2014-03-27 23:41:57.091384	54905	48	2	8
2014-03-27 23:41:57.31148	54906	21.5	1	8
2014-03-27 23:42:25.158458	54907	43	2	10
2014-03-27 23:42:25.388634	54908	23.0	1	10
2014-03-27 23:42:34.993033	54909	53	2	9
2014-03-27 23:42:35.214137	54910	22.1	1	9
2014-03-27 23:42:36.090384	54911	48	2	8
2014-03-27 23:42:36.320143	54912	21.5	1	8
2014-03-27 23:43:04.15943	54913	43	2	10
2014-03-27 23:43:04.38336	54914	23.0	1	10
2014-03-27 23:43:13.994057	54915	53	2	9
2014-03-27 23:43:14.225584	54916	22.1	1	9
2014-03-27 23:43:15.089993	54917	48	2	8
2014-03-27 23:43:15.311108	54918	21.5	1	8
2014-03-27 23:43:43.15815	54919	43	2	10
2014-03-27 23:43:43.388883	54920	23.0	1	10
2014-03-27 23:43:52.995042	54921	53	2	9
2014-03-27 23:43:53.217593	54922	22.1	1	9
2014-03-27 23:43:54.091424	54923	48	2	8
2014-03-27 23:43:54.322455	54924	21.5	1	8
2014-03-27 23:44:22.160518	54925	43	2	10
2014-03-27 23:44:22.380471	54926	23.0	1	10
2014-03-27 23:44:31.992054	54927	53	2	9
2014-03-27 23:44:32.225156	54928	22.1	1	9
2014-03-27 23:44:33.089914	54929	48	2	8
2014-03-27 23:44:33.31319	54930	21.5	1	8
2014-03-27 23:45:01.15825	54931	43	2	10
2014-03-27 23:45:01.390832	54932	23.0	1	10
2014-03-27 23:45:10.99505	54933	53	2	9
2014-03-27 23:45:11.216378	54934	22.1	1	9
2014-03-27 23:45:12.09049	54935	48	2	8
2014-03-27 23:45:12.322747	54936	21.5	1	8
2014-03-27 23:45:32.396576	54937	418	3	2
2014-03-27 23:45:32.619135	54938	1104458.6839305034	4	2
2014-03-27 23:45:40.159208	54939	43	2	10
2014-03-27 23:45:40.392057	54940	22.9	1	10
2014-03-27 23:45:49.999318	54941	53	2	9
2014-03-27 23:45:50.220514	54942	22.1	1	9
2014-03-27 23:45:51.089863	54943	48	2	8
2014-03-27 23:45:51.322385	54944	21.5	1	8
2014-03-27 23:46:19.158697	54945	43	2	10
2014-03-27 23:46:19.381135	54946	22.9	1	10
2014-03-27 23:46:29.001988	54947	53	2	9
2014-03-27 23:46:29.246997	54948	22.1	1	9
2014-03-27 23:46:30.090231	54949	48	2	8
2014-03-27 23:46:30.310796	54950	21.5	1	8
2014-03-27 23:46:44.402644	54951	338	3	2
2014-03-27 23:46:44.634053	54952	1104467.8762082749	4	2
2014-03-27 23:46:58.365689	54953	43	2	10
2014-03-27 23:46:58.58765	54954	22.9	1	10
2014-03-27 23:47:07.996843	54955	53	2	9
2014-03-27 23:47:08.228696	54956	22.1	1	9
2014-03-27 23:47:09.09065	54957	48	2	8
2014-03-27 23:47:09.31159	54958	21.5	1	8
2014-03-27 23:47:32.39364	54959	338	3	2
2014-03-27 23:47:32.625456	54960	1104472.4723471606	4	2
2014-03-27 23:47:37.167485	54961	43	2	10
2014-03-27 23:47:37.393188	54962	22.9	1	10
2014-03-27 23:47:46.991935	54963	53	2	9
2014-03-27 23:47:47.223612	54964	22.1	1	9
2014-03-27 23:47:48.090771	54965	48	2	8
2014-03-27 23:47:48.31134	54966	21.5	1	8
2014-03-27 23:47:56.394321	54967	370	3	2
2014-03-27 23:47:56.625276	54968	1104474.7704166034	4	2
2014-03-27 23:48:16.161012	54969	43	2	10
2014-03-27 23:48:16.383932	54970	22.9	1	10
2014-03-27 23:48:25.996981	54971	53	2	9
2014-03-27 23:48:26.229039	54972	22.1	1	9
2014-03-27 23:48:27.09118	54973	48	2	8
2014-03-27 23:48:27.311693	54974	21.5	1	8
2014-03-27 23:48:55.162638	54975	43	2	10
2014-03-27 23:48:55.393289	54976	22.9	1	10
2014-03-27 23:49:04.999235	54977	53	2	9
2014-03-27 23:49:05.220468	54978	22.1	1	9
2014-03-27 23:49:06.092889	54979	48	2	8
2014-03-27 23:49:06.324396	54980	21.5	1	8
2014-03-27 23:49:34.161407	54981	43	2	10
2014-03-27 23:49:34.385986	54982	22.9	1	10
2014-03-27 23:49:43.991968	54983	53	2	9
2014-03-27 23:49:44.225224	54984	22.1	1	9
2014-03-27 23:49:45.090304	54985	48	2	8
2014-03-27 23:49:45.314049	54986	21.5	1	8
2014-03-27 23:50:13.161491	54987	43	2	10
2014-03-27 23:50:13.394103	54988	22.9	1	10
2014-03-27 23:50:22.993524	54989	53	2	9
2014-03-27 23:50:23.215139	54990	22.1	1	9
2014-03-27 23:50:24.090696	54991	48	2	8
2014-03-27 23:50:24.323279	54992	21.5	1	8
2014-03-27 23:50:52.161654	54993	43	2	10
2014-03-27 23:50:52.396936	54994	22.9	1	10
2014-03-27 23:51:01.990807	54995	53	2	9
2014-03-27 23:51:02.233067	54996	22.1	1	9
2014-03-27 23:51:03.087644	54997	48	2	8
2014-03-27 23:51:03.310302	54998	21.5	1	8
2014-03-27 23:51:31.159965	54999	43	2	10
2014-03-27 23:51:31.391139	55000	22.9	1	10
2014-03-27 23:51:40.992339	55001	53	2	9
2014-03-27 23:51:41.213245	55002	22.1	1	9
2014-03-27 23:51:42.089979	55003	48	2	8
2014-03-27 23:51:42.319588	55004	21.5	1	8
2014-03-27 23:52:08.393292	55005	289	3	2
2014-03-27 23:52:08.61485	55006	1104498.900145753	4	2
2014-03-27 23:52:10.159173	55007	43	2	10
2014-03-27 23:52:10.389474	55008	22.8	1	10
2014-03-27 23:52:19.995853	55009	53	2	9
2014-03-27 23:52:20.217683	55010	22.1	1	9
2014-03-27 23:52:21.089836	55011	48	2	8
2014-03-27 23:52:21.319206	55012	21.5	1	8
2014-03-27 23:52:49.160846	55013	43	2	10
2014-03-27 23:52:49.38325	55014	22.8	1	10
2014-03-27 23:52:58.995411	55015	53	2	9
2014-03-27 23:52:59.22675	55016	22.1	1	9
2014-03-27 23:53:00.089094	55017	48	2	8
2014-03-27 23:53:00.310361	55018	21.5	1	8
2014-03-27 23:53:28.161608	55019	43	2	10
2014-03-27 23:53:28.393198	55020	22.8	1	10
2014-03-27 23:53:37.994648	55021	53	2	9
2014-03-27 23:53:38.216054	55022	22.1	1	9
2014-03-27 23:53:39.089691	55023	48	2	8
2014-03-27 23:53:39.319547	55024	21.5	1	8
2014-03-27 23:54:07.162288	55025	43	2	10
2014-03-27 23:54:07.384771	55026	22.8	1	10
2014-03-27 23:54:16.995866	55027	53	2	9
2014-03-27 23:54:17.228446	55028	22.1	1	9
2014-03-27 23:54:18.090343	55029	48	2	8
2014-03-27 23:54:18.310939	55030	21.5	1	8
2014-03-27 23:54:46.162651	55031	43	2	10
2014-03-27 23:54:46.39513	55032	22.8	1	10
2014-03-27 23:54:55.993773	55033	53	2	9
2014-03-27 23:54:56.216836	55034	22.1	1	9
2014-03-27 23:54:57.091765	55035	48	2	8
2014-03-27 23:54:57.321504	55036	21.5	1	8
2014-03-27 23:55:08.393647	55037	305	3	2
2014-03-27 23:55:08.61518	55038	1104514.9866318528	4	2
2014-03-27 23:55:20.394768	55039	338	3	2
2014-03-27 23:55:20.626696	55040	1104516.1356665744	4	2
2014-03-27 23:55:25.164207	55041	43	2	10
2014-03-27 23:55:25.38649	55042	22.8	1	10
2014-03-27 23:55:32.393013	55043	338	3	2
2014-03-27 23:55:32.638058	55044	1104517.2847012957	4	2
2014-03-27 23:55:34.993046	55045	53	2	9
2014-03-27 23:55:35.215297	55046	22.1	1	9
2014-03-27 23:55:36.090197	55047	48	2	8
2014-03-27 23:55:36.323392	55048	21.5	1	8
2014-03-27 23:56:04.163905	55049	43	2	10
2014-03-27 23:56:04.386985	55050	22.8	1	10
2014-03-27 23:56:13.998244	55051	53	2	9
2014-03-27 23:56:14.229306	55052	22.0	1	9
2014-03-27 23:56:15.090823	55053	48	2	8
2014-03-27 23:56:15.31431	55054	21.5	1	8
2014-03-27 23:56:32.39507	55055	338	3	2
2014-03-27 23:56:32.626614	55056	1104523.0298749027	4	2
2014-03-27 23:56:43.171897	55057	43	2	10
2014-03-27 23:56:43.393548	55058	22.8	1	10
2014-03-27 23:56:52.992976	55059	53	2	9
2014-03-27 23:56:53.223217	55060	22.0	1	9
2014-03-27 23:56:54.091179	55061	48	2	8
2014-03-27 23:56:54.313442	55062	21.5	1	8
2014-03-27 23:57:22.164764	55063	43	2	10
2014-03-27 23:57:22.397639	55064	22.8	1	10
2014-03-27 23:57:31.996247	55065	53	2	9
2014-03-27 23:57:32.218858	55066	22.0	1	9
2014-03-27 23:57:33.090104	55067	48	2	8
2014-03-27 23:57:33.320805	55068	21.5	1	8
2014-03-27 23:58:01.16308	55069	43	2	10
2014-03-27 23:58:01.411229	55070	22.8	1	10
2014-03-27 23:58:10.992697	55071	53	2	9
2014-03-27 23:58:11.225871	55072	22.0	1	9
2014-03-27 23:58:12.090947	55073	48	2	8
2014-03-27 23:58:12.312833	55074	21.5	1	8
2014-03-27 23:58:32.394857	55075	338	3	2
2014-03-27 23:58:32.626632	55076	1104534.520222117	4	2
2014-03-27 23:58:40.162943	55077	43	2	10
2014-03-27 23:58:40.385851	55078	22.8	1	10
2014-03-27 23:58:49.991457	55079	53	2	9
2014-03-27 23:58:50.224876	55080	22.0	1	9
2014-03-27 23:58:51.089907	55081	48	2	8
2014-03-27 23:58:51.312506	55082	21.5	1	8
2014-03-27 23:59:19.163375	55083	43	2	10
2014-03-27 23:59:19.395093	55084	22.8	1	10
2014-03-27 23:59:28.996429	55085	53	2	9
2014-03-27 23:59:29.218449	55086	22.0	1	9
2014-03-27 23:59:30.090071	55087	48	2	8
2014-03-27 23:59:30.321292	55088	21.5	1	8
2014-03-27 23:59:32.395494	55089	338	3	2
2014-03-27 23:59:32.617335	55090	1104540.265395724	4	2
2014-03-27 23:59:58.164407	55091	43	2	10
2014-03-27 23:59:58.407524	55092	22.7	1	10
2014-03-28 00:00:07.992243	55093	53	2	9
2014-03-28 00:00:08.216024	55094	22.0	1	9
2014-03-28 00:00:08.520085	55095	370	3	2
2014-03-28 00:00:08.754119	55096	1104543.7124998881	4	2
2014-03-28 00:00:09.093459	55097	48	2	8
2014-03-28 00:00:09.316217	55098	21.5	1	8
2014-03-28 00:00:37.165748	55099	43	2	10
2014-03-28 00:00:37.398135	55100	22.7	1	10
2014-03-28 00:00:46.991002	55101	53	2	9
2014-03-28 00:00:47.214655	55102	22.0	1	9
2014-03-28 00:00:48.091674	55103	48	2	8
2014-03-28 00:00:48.32553	55104	21.5	1	8
2014-03-28 00:01:16.164579	55105	43	2	10
2014-03-28 00:01:16.388653	55106	22.7	1	10
2014-03-28 00:01:25.995329	55107	53	2	9
2014-03-28 00:01:26.228455	55108	22.0	1	9
2014-03-28 00:01:27.090957	55109	48	2	8
2014-03-28 00:01:27.317126	55110	21.5	1	8
2014-03-28 00:01:32.397435	55111	370	3	2
2014-03-28 00:01:32.628428	55112	1104551.7557429383	4	2
2014-03-28 00:01:55.163577	55113	43	2	10
2014-03-28 00:01:55.387499	55114	22.7	1	10
2014-03-28 00:02:04.992468	55115	53	2	9
2014-03-28 00:02:05.225012	55116	22.0	1	9
2014-03-28 00:02:06.089806	55117	48	2	8
2014-03-28 00:02:06.310379	55118	21.5	1	8
2014-03-28 00:02:34.165	55119	43	2	10
2014-03-28 00:02:34.396636	55120	22.7	1	10
2014-03-28 00:02:43.994898	55121	53	2	9
2014-03-28 00:02:44.218457	55122	22.0	1	9
2014-03-28 00:02:45.089662	55123	48	2	8
2014-03-28 00:02:45.374152	55124	21.5	1	8
2014-03-28 00:03:13.164511	55125	43	2	10
2014-03-28 00:03:13.387395	55126	22.7	1	10
2014-03-28 00:03:22.993893	55127	53	2	9
2014-03-28 00:03:23.227515	55128	22.0	1	9
2014-03-28 00:03:24.090984	55129	48	2	8
2014-03-28 00:03:24.312516	55130	21.5	1	8
2014-03-28 00:03:52.165543	55131	43	2	10
2014-03-28 00:03:52.396385	55132	22.7	1	10
2014-03-28 00:04:01.99331	55133	53	2	9
2014-03-28 00:04:02.214527	55134	22.0	1	9
2014-03-28 00:04:03.090717	55135	48	2	8
2014-03-28 00:04:03.322562	55136	21.5	1	8
2014-03-28 00:04:31.165646	55137	43	2	10
2014-03-28 00:04:31.38735	55138	22.7	1	10
2014-03-28 00:04:40.994047	55139	53	2	9
2014-03-28 00:04:41.237926	55140	22.0	1	9
2014-03-28 00:04:42.089309	55141	48	2	8
2014-03-28 00:04:42.311539	55142	21.5	1	8
2014-03-28 00:04:44.392654	55143	338	3	2
2014-03-28 00:04:44.624524	55144	1104571.2893332022	4	2
2014-03-28 00:05:10.165875	55145	43	2	10
2014-03-28 00:05:10.387529	55146	22.7	1	10
2014-03-28 00:05:19.999949	55147	53	2	9
2014-03-28 00:05:20.233356	55148	22.0	1	9
2014-03-28 00:05:21.09249	55149	48	2	8
2014-03-28 00:05:21.316189	55150	21.5	1	8
2014-03-28 00:05:49.168414	55151	43	2	10
2014-03-28 00:05:49.399639	55152	22.7	1	10
2014-03-28 00:05:58.993174	55153	53	2	9
2014-03-28 00:05:59.216895	55154	22.0	1	9
2014-03-28 00:06:00.087724	55155	48	2	8
2014-03-28 00:06:00.320408	55156	21.5	1	8
2014-03-28 00:06:28.164813	55157	43	2	10
2014-03-28 00:06:28.387571	55158	22.6	1	10
2014-03-28 00:06:32.394741	55159	338	3	2
2014-03-28 00:06:32.624298	55160	1104581.630645695	4	2
2014-03-28 00:06:37.991901	55161	53	2	9
2014-03-28 00:06:38.213109	55162	22.0	1	9
2014-03-28 00:06:39.090138	55163	48	2	8
2014-03-28 00:06:39.32328	55164	21.5	1	8
2014-03-28 00:07:07.165786	55165	43	2	10
2014-03-28 00:07:07.389603	55166	22.6	1	10
2014-03-28 00:07:16.992854	55167	53	2	9
2014-03-28 00:07:17.223909	55168	21.9	1	9
2014-03-28 00:07:18.090412	55169	48	2	8
2014-03-28 00:07:18.309602	55170	21.5	1	8
2014-03-28 00:07:32.393288	55171	338	3	2
2014-03-28 00:07:32.624921	55172	1104587.375819302	4	2
2014-03-28 00:07:46.166212	55173	43	2	10
2014-03-28 00:07:46.392143	55174	22.6	1	10
2014-03-28 00:07:55.992453	55175	53	2	9
2014-03-28 00:07:56.22311	55176	21.9	1	9
2014-03-28 00:07:57.08819	55177	48	2	8
2014-03-28 00:07:57.333223	55178	21.5	1	8
2014-03-28 00:08:25.16671	55179	43	2	10
2014-03-28 00:08:25.398162	55180	22.6	1	10
2014-03-28 00:08:34.992783	55181	53	2	9
2014-03-28 00:08:35.214337	55182	21.9	1	9
2014-03-28 00:08:36.091567	55183	48	2	8
2014-03-28 00:08:36.323501	55184	21.5	1	8
2014-03-28 00:08:56.393228	55185	402	3	2
2014-03-28 00:08:56.614886	55186	1104595.4190623518	4	2
2014-03-28 00:09:04.167507	55187	43	2	10
2014-03-28 00:09:04.410429	55188	22.6	1	10
2014-03-28 00:09:08.390944	55189	402	3	2
2014-03-28 00:09:08.613477	55190	1104596.5680970734	4	2
2014-03-28 00:09:13.993962	55191	53	2	9
2014-03-28 00:09:14.22494	55192	21.9	1	9
2014-03-28 00:09:15.090209	55193	48	2	8
2014-03-28 00:09:15.366751	55194	21.5	1	8
2014-03-28 00:09:32.3935	55195	402	3	2
2014-03-28 00:09:32.623298	55196	1104600.0152012375	4	2
2014-03-28 00:09:43.166128	55197	43	2	10
2014-03-28 00:09:43.388772	55198	22.6	1	10
2014-03-28 00:09:44.392293	55199	370	3	2
2014-03-28 00:09:44.629882	55200	1104601.164235959	4	2
2014-03-28 00:09:52.994233	55201	53	2	9
2014-03-28 00:09:53.21602	55202	21.9	1	9
2014-03-28 00:09:54.090438	55203	48	2	8
2014-03-28 00:09:54.320385	55204	21.5	1	8
2014-03-28 00:09:56.392138	55205	370	3	2
2014-03-28 00:09:56.613295	55206	1104602.3132706804	4	2
2014-03-28 00:10:22.166852	55207	43	2	10
2014-03-28 00:10:22.398985	55208	22.6	1	10
2014-03-28 00:10:31.997389	55209	53	2	9
2014-03-28 00:10:32.219184	55210	21.9	1	9
2014-03-28 00:10:33.090822	55211	48	2	8
2014-03-28 00:10:33.322222	55212	21.5	1	8
2014-03-28 00:11:01.168481	55213	43	2	10
2014-03-28 00:11:01.390994	55214	22.6	1	10
2014-03-28 00:11:10.992071	55215	53	2	9
2014-03-28 00:11:11.227656	55216	21.9	1	9
2014-03-28 00:11:12.094151	55217	48	2	8
2014-03-28 00:11:12.314472	55218	21.5	1	8
2014-03-28 00:11:40.164924	55219	43	2	10
2014-03-28 00:11:40.399006	55220	22.6	1	10
2014-03-28 00:11:49.993257	55221	53	2	9
2014-03-28 00:11:50.216318	55222	21.9	1	9
2014-03-28 00:11:51.090753	55223	48	2	8
2014-03-28 00:11:51.323452	55224	21.5	1	8
2014-03-28 00:12:19.168179	55225	43	2	10
2014-03-28 00:12:19.392423	55226	22.6	1	10
2014-03-28 00:12:28.990294	55227	53	2	9
2014-03-28 00:12:29.221076	55228	21.9	1	9
2014-03-28 00:12:30.090273	55229	48	2	8
2014-03-28 00:12:30.311556	55230	21.5	1	8
2014-03-28 00:12:44.396452	55231	434	3	2
2014-03-28 00:12:44.632704	55232	1104620.697826223	4	2
2014-03-28 00:12:58.16864	55233	43	2	10
2014-03-28 00:12:58.389277	55234	22.5	1	10
2014-03-28 00:13:07.990608	55235	53	2	9
2014-03-28 00:13:08.233944	55236	21.9	1	9
2014-03-28 00:13:09.090272	55237	48	2	8
2014-03-28 00:13:09.310591	55238	21.5	1	8
2014-03-28 00:13:32.39188	55239	434	3	2
2014-03-28 00:13:32.625192	55240	1104626.44299983	4	2
2014-03-28 00:13:37.168706	55241	43	2	10
2014-03-28 00:13:37.390134	55242	22.5	1	10
2014-03-28 00:13:46.993322	55243	53	2	9
2014-03-28 00:13:47.22601	55244	21.9	1	9
2014-03-28 00:13:48.090379	55245	48	2	8
2014-03-28 00:13:48.31165	55246	21.5	1	8
2014-03-28 00:14:16.168486	55247	43	2	10
2014-03-28 00:14:16.400588	55248	22.5	1	10
2014-03-28 00:14:25.993812	55249	53	2	9
2014-03-28 00:14:26.218816	55250	21.9	1	9
2014-03-28 00:14:27.08809	55251	48	2	8
2014-03-28 00:14:27.317866	55252	21.5	1	8
2014-03-28 00:14:55.166899	55253	43	2	10
2014-03-28 00:14:55.397286	55254	22.5	1	10
2014-03-28 00:15:04.992613	55255	53	2	9
2014-03-28 00:15:05.224115	55256	21.9	1	9
2014-03-28 00:15:06.089961	55257	48	2	8
2014-03-28 00:15:06.311566	55258	21.5	1	8
2014-03-28 00:15:34.167731	55259	43	2	10
2014-03-28 00:15:34.399597	55260	22.5	1	10
2014-03-28 00:15:43.992458	55261	53	2	9
2014-03-28 00:15:44.2141	55262	21.9	1	9
2014-03-28 00:15:45.090233	55263	48	2	8
2014-03-28 00:15:45.321562	55264	21.5	1	8
2014-03-28 00:16:13.169295	55265	43	2	10
2014-03-28 00:16:13.38979	55266	22.5	1	10
2014-03-28 00:16:22.99402	55267	53	2	9
2014-03-28 00:16:23.225569	55268	21.9	1	9
2014-03-28 00:16:24.091249	55269	48	2	8
2014-03-28 00:16:24.312296	55270	21.5	1	8
2014-03-28 00:16:52.171782	55271	43	2	10
2014-03-28 00:16:52.403539	55272	22.5	1	10
2014-03-28 00:17:01.99241	55273	53	2	9
2014-03-28 00:17:02.215758	55274	21.9	1	9
2014-03-28 00:17:03.090139	55275	48	2	8
2014-03-28 00:17:03.323163	55276	21.5	1	8
2014-03-28 00:17:31.169501	55277	43	2	10
2014-03-28 00:17:31.392787	55278	22.5	1	10
2014-03-28 00:17:32.393071	55279	434	3	2
2014-03-28 00:17:32.624569	55280	1104654.0243040964	4	2
2014-03-28 00:17:40.992007	55281	53	2	9
2014-03-28 00:17:41.291268	55282	21.9	1	9
2014-03-28 00:17:42.090275	55283	48	2	8
2014-03-28 00:17:42.368218	55284	21.5	1	8
2014-03-28 00:17:56.392999	55285	370	3	2
2014-03-28 00:17:56.797964	55286	1104656.3223735392	4	2
2014-03-28 00:18:10.170462	55287	43	2	10
2014-03-28 00:18:10.423113	55288	22.5	1	10
2014-03-28 00:18:19.99383	55289	53	2	9
2014-03-28 00:18:20.593493	55290	21.9	1	9
2014-03-28 00:18:21.552376	55291	48	2	8
2014-03-28 00:18:22.305126	55292	21.5	1	8
2014-03-28 00:18:49.169444	55293	43	2	10
2014-03-28 00:18:49.392825	55294	22.5	1	10
2014-03-28 00:18:58.992909	55295	53	2	9
2014-03-28 00:18:59.224594	55296	21.9	1	9
2014-03-28 00:19:00.089017	55297	48	2	8
2014-03-28 00:19:00.308543	55298	21.5	1	8
2014-03-28 00:19:28.169693	55299	43	2	10
2014-03-28 00:19:28.402001	55300	22.5	1	10
2014-03-28 00:19:37.992414	55301	53	2	9
2014-03-28 00:19:38.21381	55302	21.9	1	9
2014-03-28 00:19:39.089386	55303	48	2	8
2014-03-28 00:19:39.319561	55304	21.5	1	8
2014-03-28 00:19:44.392301	55305	402	3	2
2014-03-28 00:19:44.613724	55306	1104667.8127207533	4	2
2014-03-28 00:19:56.390611	55307	402	3	2
2014-03-28 00:19:56.623142	55308	1104668.9617554748	4	2
2014-03-28 00:20:07.170105	55309	43	2	10
2014-03-28 00:20:07.393006	55310	22.5	1	10
2014-03-28 00:20:16.992404	55311	53	2	9
2014-03-28 00:20:17.223989	55312	21.9	1	9
2014-03-28 00:20:18.088967	55313	48	2	8
2014-03-28 00:20:18.30904	55314	21.5	1	8
2014-03-28 00:20:32.389969	55315	402	3	2
2014-03-28 00:20:32.62357	55316	1104673.5578943603	4	2
2014-03-28 00:20:46.171335	55317	43	2	10
2014-03-28 00:20:46.395501	55318	22.5	1	10
2014-03-28 00:20:55.995637	55319	53	2	9
2014-03-28 00:20:56.226899	55320	21.9	1	9
2014-03-28 00:20:57.089226	55321	48	2	8
2014-03-28 00:20:57.310424	55322	21.5	1	8
2014-03-28 00:21:25.169279	55323	43	2	10
2014-03-28 00:21:25.400072	55324	22.5	1	10
2014-03-28 00:21:34.997661	55325	53	2	9
2014-03-28 00:21:35.219744	55326	21.9	1	9
2014-03-28 00:21:36.099631	55327	48	2	8
2014-03-28 00:21:36.331611	55328	21.5	1	8
2014-03-28 00:22:04.172332	55329	43	2	10
2014-03-28 00:22:04.393275	55330	22.4	1	10
2014-03-28 00:22:13.990564	55331	53	2	9
2014-03-28 00:22:14.235116	55332	21.9	1	9
2014-03-28 00:22:15.089643	55333	48	2	8
2014-03-28 00:22:15.313072	55334	21.5	1	8
2014-03-28 00:22:43.169823	55335	43	2	10
2014-03-28 00:22:43.40355	55336	22.4	1	10
2014-03-28 00:22:44.39286	55337	354	3	2
2014-03-28 00:22:44.61407	55338	1104687.3463110174	4	2
2014-03-28 00:22:52.992266	55339	53	2	9
2014-03-28 00:22:53.222142	55340	21.9	1	9
2014-03-28 00:22:54.089878	55341	48	2	8
2014-03-28 00:22:54.310666	55342	21.5	1	8
2014-03-28 00:23:22.171863	55343	43	2	10
2014-03-28 00:23:22.404312	55344	22.4	1	10
2014-03-28 00:23:31.994108	55345	53	2	9
2014-03-28 00:23:32.216325	55346	21.9	1	9
2014-03-28 00:23:33.089258	55347	48	2	8
2014-03-28 00:23:33.319158	55348	21.5	1	8
2014-03-28 00:24:01.16997	55349	43	2	10
2014-03-28 00:24:01.394604	55350	22.4	1	10
2014-03-28 00:24:10.997142	55351	53	2	9
2014-03-28 00:24:11.229717	55352	21.9	1	9
2014-03-28 00:24:12.09196	55353	48	2	8
2014-03-28 00:24:12.312586	55354	21.5	1	8
2014-03-28 00:24:40.171618	55355	43	2	10
2014-03-28 00:24:40.406903	55356	22.4	1	10
2014-03-28 00:24:49.992357	55357	53	2	9
2014-03-28 00:24:50.216508	55358	21.9	1	9
2014-03-28 00:24:51.089954	55359	48	2	8
2014-03-28 00:24:51.326374	55360	21.5	1	8
2014-03-28 00:25:19.169851	55361	43	2	10
2014-03-28 00:25:19.393611	55362	22.4	1	10
2014-03-28 00:25:28.997558	55363	53	2	9
2014-03-28 00:25:29.229498	55364	21.9	1	9
2014-03-28 00:25:30.08926	55365	48	2	8
2014-03-28 00:25:30.308532	55366	21.5	1	8
2014-03-28 00:25:32.391307	55367	338	3	2
2014-03-28 00:25:32.623279	55368	1104704.5818318385	4	2
2014-03-28 00:25:44.391408	55369	370	3	2
2014-03-28 00:25:44.612379	55370	1104705.73086656	4	2
2014-03-28 00:25:58.173389	55371	43	2	10
2014-03-28 00:25:58.404335	55372	22.4	1	10
2014-03-28 00:26:07.996678	55373	53	2	9
2014-03-28 00:26:08.219026	55374	21.9	1	9
2014-03-28 00:26:08.525874	55375	370	3	2
2014-03-28 00:26:08.759356	55376	1104708.0289360029	4	2
2014-03-28 00:26:09.08967	55377	48	2	8
2014-03-28 00:26:09.310138	55378	21.5	1	8
2014-03-28 00:26:37.171779	55379	43	2	10
2014-03-28 00:26:37.413814	55380	22.4	1	10
2014-03-28 00:26:46.994325	55381	53	2	9
2014-03-28 00:26:47.217446	55382	21.9	1	9
2014-03-28 00:26:48.092909	55383	48	2	8
2014-03-28 00:26:48.326248	55384	21.5	1	8
2014-03-28 00:27:16.173489	55385	43	2	10
2014-03-28 00:27:16.396102	55386	22.4	1	10
2014-03-28 00:27:25.993282	55387	53	2	9
2014-03-28 00:27:26.226318	55388	21.9	1	9
2014-03-28 00:27:27.090635	55389	48	2	8
2014-03-28 00:27:27.315204	55390	21.5	1	8
2014-03-28 00:27:55.171403	55391	43	2	10
2014-03-28 00:27:55.406894	55392	22.4	1	10
2014-03-28 00:28:04.993283	55393	53	2	9
2014-03-28 00:28:05.215093	55394	21.8	1	9
2014-03-28 00:28:06.090609	55395	48	2	8
2014-03-28 00:28:06.324293	55396	21.5	1	8
2014-03-28 00:28:34.172042	55397	43	2	10
2014-03-28 00:28:34.395454	55398	22.4	1	10
2014-03-28 00:28:43.991737	55399	53	2	9
2014-03-28 00:28:44.223813	55400	21.8	1	9
2014-03-28 00:28:45.09043	55401	48	2	8
2014-03-28 00:28:45.312147	55402	21.5	1	8
2014-03-28 00:29:13.172727	55403	43	2	10
2014-03-28 00:29:13.405348	55404	22.4	1	10
2014-03-28 00:29:22.993731	55405	53	2	9
2014-03-28 00:29:23.217126	55406	21.8	1	9
2014-03-28 00:29:24.088466	55407	48	2	8
2014-03-28 00:29:24.320648	55408	21.5	1	8
2014-03-28 00:29:52.172003	55409	43	2	10
2014-03-28 00:29:52.39492	55410	22.4	1	10
2014-03-28 00:30:01.997001	55411	53	2	9
2014-03-28 00:30:02.235717	55412	21.8	1	9
2014-03-28 00:30:03.088518	55413	48	2	8
2014-03-28 00:30:03.310209	55414	21.5	1	8
2014-03-28 00:30:20.394206	55415	402	3	2
2014-03-28 00:30:20.626083	55416	1104734.4567345954	4	2
2014-03-28 00:30:31.173066	55417	43	2	10
2014-03-28 00:30:31.394752	55418	22.4	1	10
2014-03-28 00:30:32.391309	55419	354	3	2
2014-03-28 00:30:32.622086	55420	1104735.6057693167	4	2
2014-03-28 00:30:40.992418	55421	53	2	9
2014-03-28 00:30:41.216802	55422	21.8	1	9
2014-03-28 00:30:42.090376	55423	48	2	8
2014-03-28 00:30:42.329497	55424	21.5	1	8
2014-03-28 00:30:44.392926	55425	354	3	2
2014-03-28 00:30:44.614007	55426	1104736.7548040382	4	2
2014-03-28 00:31:10.173827	55427	43	2	10
2014-03-28 00:31:10.417866	55428	22.4	1	10
2014-03-28 00:31:19.991633	55429	53	2	9
2014-03-28 00:31:20.213072	55430	21.8	1	9
2014-03-28 00:31:21.090071	55431	48	2	8
2014-03-28 00:31:21.321156	55432	21.5	1	8
2014-03-28 00:31:32.390022	55433	338	3	2
2014-03-28 00:31:32.613173	55434	1104741.350942924	4	2
2014-03-28 00:31:49.375746	55435	43	2	10
2014-03-28 00:31:49.607905	55436	22.3	1	10
2014-03-28 00:31:58.992704	55437	53	2	9
2014-03-28 00:31:59.214035	55438	21.8	1	9
2014-03-28 00:32:00.090439	55439	48	2	8
2014-03-28 00:32:00.320734	55440	21.5	1	8
2014-03-28 00:32:28.175	55441	43	2	10
2014-03-28 00:32:28.397223	55442	22.4	1	10
2014-03-28 00:32:32.390093	55443	354	3	2
2014-03-28 00:32:32.621657	55444	1104747.096116531	4	2
2014-03-28 00:32:38.00934	55445	53	2	9
2014-03-28 00:32:38.242242	55446	21.8	1	9
2014-03-28 00:32:39.090716	55447	48	2	8
2014-03-28 00:32:39.32359	55448	21.5	1	8
2014-03-28 00:33:07.17251	55449	43	2	10
2014-03-28 00:33:07.395348	55450	22.3	1	10
2014-03-28 00:33:16.993202	55451	53	2	9
2014-03-28 00:33:17.228741	55452	21.8	1	9
2014-03-28 00:33:18.09041	55453	48	2	8
2014-03-28 00:33:18.313022	55454	21.5	1	8
2014-03-28 00:33:32.391899	55455	354	3	2
2014-03-28 00:33:32.626674	55456	1104752.841290138	4	2
2014-03-28 00:33:46.172319	55457	43	2	10
2014-03-28 00:33:46.452676	55458	22.3	1	10
2014-03-28 00:33:55.992423	55459	53	2	9
2014-03-28 00:33:56.223777	55460	21.8	1	9
2014-03-28 00:33:57.089969	55461	48	2	8
2014-03-28 00:33:57.310891	55462	21.5	1	8
2014-03-28 00:34:25.174828	55463	43	2	10
2014-03-28 00:34:25.406156	55464	22.3	1	10
2014-03-28 00:34:32.390316	55465	354	3	2
2014-03-28 00:34:32.615354	55466	1104758.586463745	4	2
2014-03-28 00:34:34.991713	55467	53	2	9
2014-03-28 00:34:35.223622	55468	21.8	1	9
2014-03-28 00:34:36.090146	55469	47	2	8
2014-03-28 00:34:36.312767	55470	21.5	1	8
2014-03-28 00:35:04.174868	55471	43	2	10
2014-03-28 00:35:04.407136	55472	22.4	1	10
2014-03-28 00:35:13.992766	55473	53	2	9
2014-03-28 00:35:14.213855	55474	21.8	1	9
2014-03-28 00:35:15.090691	55475	47	2	8
2014-03-28 00:35:15.332505	55476	21.5	1	8
2014-03-28 00:35:43.175462	55477	43	2	10
2014-03-28 00:35:43.39676	55478	22.4	1	10
2014-03-28 00:35:52.990467	55479	53	2	9
2014-03-28 00:35:53.223393	55480	21.8	1	9
2014-03-28 00:35:54.090559	55481	47	2	8
2014-03-28 00:35:54.310251	55482	21.5	1	8
2014-03-28 00:36:22.175396	55483	43	2	10
2014-03-28 00:36:22.406875	55484	22.4	1	10
2014-03-28 00:36:31.994753	55485	53	2	9
2014-03-28 00:36:32.217782	55486	21.8	1	9
2014-03-28 00:36:33.089655	55487	47	2	8
2014-03-28 00:36:33.320416	55488	21.5	1	8
2014-03-28 00:37:01.174154	55489	43	2	10
2014-03-28 00:37:01.397639	55490	22.4	1	10
2014-03-28 00:37:10.994821	55491	53	2	9
2014-03-28 00:37:11.22606	55492	21.8	1	9
2014-03-28 00:37:12.09161	55493	47	2	8
2014-03-28 00:37:12.312335	55494	21.5	1	8
2014-03-28 00:37:32.389112	55495	338	3	2
2014-03-28 00:37:32.620633	55496	1104775.8219845663	4	2
2014-03-28 00:37:40.174372	55497	43	2	10
2014-03-28 00:37:40.397844	55498	22.4	1	10
2014-03-28 00:37:49.994015	55499	53	2	9
2014-03-28 00:37:50.227491	55500	21.8	1	9
2014-03-28 00:37:51.091498	55501	47	2	8
2014-03-28 00:37:51.313488	55502	21.5	1	8
2014-03-28 00:38:19.176701	55503	43	2	10
2014-03-28 00:38:19.40727	55504	22.4	1	10
2014-03-28 00:38:28.990945	55505	53	2	9
2014-03-28 00:38:29.215269	55506	21.8	1	9
2014-03-28 00:38:30.090346	55507	47	2	8
2014-03-28 00:38:30.323934	55508	21.5	1	8
2014-03-28 00:38:32.392322	55509	370	3	2
2014-03-28 00:38:32.6148	55510	1104781.5671581733	4	2
2014-03-28 00:38:44.388611	55511	370	3	2
2014-03-28 00:38:44.61928	55512	1104782.7161928948	4	2
2014-03-28 00:38:58.176921	55513	43	2	10
2014-03-28 00:38:58.400879	55514	22.4	1	10
2014-03-28 00:39:07.992677	55515	53	2	9
2014-03-28 00:39:08.226267	55516	21.8	1	9
2014-03-28 00:39:09.090478	55517	47	2	8
2014-03-28 00:39:09.314702	55518	21.5	1	8
2014-03-28 00:39:32.394038	55519	370	3	2
2014-03-28 00:39:32.629735	55520	1104787.3123317803	4	2
2014-03-28 00:39:37.177065	55521	43	2	10
2014-03-28 00:39:37.400316	55522	22.4	1	10
2014-03-28 00:39:46.992876	55523	53	2	9
2014-03-28 00:39:47.237125	55524	21.8	1	9
2014-03-28 00:39:48.088735	55525	47	2	8
2014-03-28 00:39:48.310107	55526	21.5	1	8
2014-03-28 00:40:16.176064	55527	43	2	10
2014-03-28 00:40:16.463192	55528	22.4	1	10
2014-03-28 00:40:26.198049	55529	53	2	9
2014-03-28 00:40:26.420475	55530	21.8	1	9
2014-03-28 00:40:27.089444	55531	47	2	8
2014-03-28 00:40:27.321521	55532	21.4	1	8
2014-03-28 00:40:32.389172	55533	370	3	2
2014-03-28 00:40:32.613979	55534	1104794.206540109	4	2
2014-03-28 00:40:55.175992	55535	43	2	10
2014-03-28 00:40:55.407122	55536	22.3	1	10
2014-03-28 00:41:04.992536	55537	53	2	9
2014-03-28 00:41:05.21342	55538	21.8	1	9
2014-03-28 00:41:06.091136	55539	47	2	8
2014-03-28 00:41:06.32207	55540	21.4	1	8
2014-03-28 00:41:32.390133	55541	370	3	2
2014-03-28 00:41:32.612711	55542	1104799.951713716	4	2
2014-03-28 00:41:34.177339	55543	43	2	10
2014-03-28 00:41:34.408842	55544	22.3	1	10
2014-03-28 00:41:43.993097	55545	53	2	9
2014-03-28 00:41:44.214815	55546	21.8	1	9
2014-03-28 00:41:45.090219	55547	47	2	8
2014-03-28 00:41:45.320303	55548	21.4	1	8
2014-03-28 00:42:13.177533	55549	43	2	10
2014-03-28 00:42:13.397584	55550	22.3	1	10
2014-03-28 00:42:22.994096	55551	53	2	9
2014-03-28 00:42:23.225895	55552	21.8	1	9
2014-03-28 00:42:24.092422	55553	47	2	8
2014-03-28 00:42:24.313189	55554	21.4	1	8
2014-03-28 00:42:32.389789	55555	370	3	2
2014-03-28 00:42:32.623123	55556	1104805.6968873232	4	2
2014-03-28 00:42:52.176583	55557	43	2	10
2014-03-28 00:42:52.399566	55558	22.3	1	10
2014-03-28 00:43:01.994951	55559	53	2	9
2014-03-28 00:43:02.228957	55560	21.8	1	9
2014-03-28 00:43:03.092741	55561	47	2	8
2014-03-28 00:43:03.314199	55562	21.4	1	8
2014-03-28 00:43:20.392168	55563	338	3	2
2014-03-28 00:43:20.624067	55564	1104811.4420609302	4	2
2014-03-28 00:43:31.17941	55565	43	2	10
2014-03-28 00:43:31.402189	55566	22.3	1	10
2014-03-28 00:43:32.391923	55567	338	3	2
2014-03-28 00:43:32.624969	55568	1104811.4420609302	4	2
2014-03-28 00:43:40.99501	55569	53	2	9
2014-03-28 00:43:41.218197	55570	21.8	1	9
2014-03-28 00:43:42.091507	55571	47	2	8
2014-03-28 00:43:42.335029	55572	21.4	1	8
2014-03-28 00:44:10.173295	55573	43	2	10
2014-03-28 00:44:10.396592	55574	22.3	1	10
2014-03-28 00:44:19.992398	55575	53	2	9
2014-03-28 00:44:20.412757	55576	21.7	1	9
2014-03-28 00:44:21.09119	55577	47	2	8
2014-03-28 00:44:21.320206	55578	21.4	1	8
2014-03-28 00:44:32.391807	55579	338	3	2
2014-03-28 00:44:32.61467	55580	1104817.1872345372	4	2
2014-03-28 00:44:49.177778	55581	43	2	10
2014-03-28 00:44:49.410877	55582	22.3	1	10
2014-03-28 00:44:58.992194	55583	53	2	9
2014-03-28 00:44:59.214794	55584	21.7	1	9
2014-03-28 00:45:00.091053	55585	47	2	8
2014-03-28 00:45:00.321638	55586	21.4	1	8
2014-03-28 00:45:28.177091	55587	43	2	10
2014-03-28 00:45:28.399476	55588	22.3	1	10
2014-03-28 00:45:32.388648	55589	338	3	2
2014-03-28 00:45:32.622932	55590	1104822.9324081442	4	2
2014-03-28 00:45:37.995045	55591	53	2	9
2014-03-28 00:45:38.217941	55592	21.7	1	9
2014-03-28 00:45:39.092089	55593	47	2	8
2014-03-28 00:45:39.324744	55594	21.4	1	8
2014-03-28 00:46:07.178057	55595	43	2	10
2014-03-28 00:46:07.399084	55596	22.3	1	10
2014-03-28 00:46:16.994808	55597	53	2	9
2014-03-28 00:46:17.22633	55598	21.7	1	9
2014-03-28 00:46:18.090176	55599	47	2	8
2014-03-28 00:46:18.311213	55600	21.4	1	8
2014-03-28 00:46:46.178605	55601	43	2	10
2014-03-28 00:46:46.410375	55602	22.3	1	10
2014-03-28 00:46:55.993953	55603	53	2	9
2014-03-28 00:46:56.215805	55604	21.7	1	9
2014-03-28 00:46:57.091036	55605	47	2	8
2014-03-28 00:46:57.320671	55606	21.4	1	8
2014-03-28 00:47:25.179235	55607	43	2	10
2014-03-28 00:47:25.399948	55608	22.3	1	10
2014-03-28 00:47:35.001761	55609	53	2	9
2014-03-28 00:47:35.233131	55610	21.7	1	9
2014-03-28 00:47:36.088839	55611	47	2	8
2014-03-28 00:47:36.310109	55612	21.4	1	8
2014-03-28 00:48:04.177366	55613	43	2	10
2014-03-28 00:48:04.410399	55614	22.3	1	10
2014-03-28 00:48:13.998966	55615	53	2	9
2014-03-28 00:48:14.222364	55616	21.7	1	9
2014-03-28 00:48:15.090473	55617	47	2	8
2014-03-28 00:48:15.322307	55618	21.4	1	8
2014-03-28 00:48:43.178962	55619	43	2	10
2014-03-28 00:48:43.400189	55620	22.3	1	10
2014-03-28 00:48:52.994923	55621	53	2	9
2014-03-28 00:48:53.237039	55622	21.7	1	9
2014-03-28 00:48:54.090657	55623	47	2	8
2014-03-28 00:48:54.313826	55624	21.4	1	8
2014-03-28 00:49:22.17999	55625	43	2	10
2014-03-28 00:49:22.413521	55626	22.3	1	10
2014-03-28 00:49:31.995146	55627	53	2	9
2014-03-28 00:49:32.215241	55628	21.7	1	9
2014-03-28 00:49:32.521419	55629	338	3	2
2014-03-28 00:49:32.754111	55630	1104845.9131025726	4	2
2014-03-28 00:49:33.088423	55631	47	2	8
2014-03-28 00:49:33.311545	55632	21.4	1	8
2014-03-28 00:50:01.178822	55633	43	2	10
2014-03-28 00:50:01.414959	55634	22.3	1	10
2014-03-28 00:50:10.992855	55635	53	2	9
2014-03-28 00:50:11.234735	55636	21.7	1	9
2014-03-28 00:50:12.08995	55637	47	2	8
2014-03-28 00:50:12.32038	55638	21.4	1	8
2014-03-28 00:50:32.391279	55639	338	3	2
2014-03-28 00:50:32.615774	55640	1104851.6582761796	4	2
2014-03-28 00:50:40.179336	55641	43	2	10
2014-03-28 00:50:40.412161	55642	22.2	1	10
2014-03-28 00:50:49.992963	55643	53	2	9
2014-03-28 00:50:50.216791	55644	21.7	1	9
2014-03-28 00:50:51.090565	55645	47	2	8
2014-03-28 00:50:51.321302	55646	21.4	1	8
2014-03-28 00:51:08.388548	55647	402	3	2
2014-03-28 00:51:08.611695	55648	1104855.105380344	4	2
2014-03-28 00:51:19.180143	55649	43	2	10
2014-03-28 00:51:19.411163	55650	22.2	1	10
2014-03-28 00:51:28.993224	55651	53	2	9
2014-03-28 00:51:29.215377	55652	21.7	1	9
2014-03-28 00:51:30.09088	55653	47	2	8
2014-03-28 00:51:30.324681	55654	21.4	1	8
2014-03-28 00:51:32.388896	55655	370	3	2
2014-03-28 00:51:32.610003	55656	1104857.4034497868	4	2
2014-03-28 00:51:58.17997	55657	43	2	10
2014-03-28 00:51:58.410677	55658	22.2	1	10
2014-03-28 00:52:07.992768	55659	53	2	9
2014-03-28 00:52:08.214669	55660	21.7	1	9
2014-03-28 00:52:09.089905	55661	47	2	8
2014-03-28 00:52:09.324891	55662	21.4	1	8
2014-03-28 00:52:32.390078	55663	370	3	2
2014-03-28 00:52:32.61269	55664	1104864.2976581152	4	2
2014-03-28 00:52:37.180141	55665	43	2	10
2014-03-28 00:52:37.414099	55666	22.2	1	10
2014-03-28 00:52:47.052525	55667	53	2	9
2014-03-28 00:52:47.293983	55668	21.7	1	9
2014-03-28 00:52:48.092118	55669	47	2	8
2014-03-28 00:52:48.337397	55670	21.4	1	8
2014-03-28 00:53:16.179544	55671	43	2	10
2014-03-28 00:53:16.401542	55672	22.2	1	10
2014-03-28 00:53:25.995566	55673	53	2	9
2014-03-28 00:53:26.227514	55674	21.7	1	9
2014-03-28 00:53:27.091689	55675	47	2	8
2014-03-28 00:53:27.313612	55676	21.4	1	8
2014-03-28 00:53:32.38958	55677	370	3	2
2014-03-28 00:53:32.622878	55678	1104870.0428317224	4	2
2014-03-28 00:53:55.182233	55679	43	2	10
2014-03-28 00:53:55.403523	55680	22.2	1	10
2014-03-28 00:54:04.993279	55681	53	2	9
2014-03-28 00:54:05.22527	55682	21.7	1	9
2014-03-28 00:54:06.091644	55683	47	2	8
2014-03-28 00:54:06.313155	55684	21.4	1	8
2014-03-28 00:54:34.181052	55685	43	2	10
2014-03-28 00:54:34.412229	55686	22.2	1	10
2014-03-28 00:54:43.997663	55687	53	2	9
2014-03-28 00:54:44.224396	55688	21.7	1	9
2014-03-28 00:54:45.09008	55689	47	2	8
2014-03-28 00:54:45.322112	55690	21.4	1	8
2014-03-28 00:55:13.180774	55691	43	2	10
2014-03-28 00:55:13.403348	55692	22.2	1	10
2014-03-28 00:55:22.992679	55693	53	2	9
2014-03-28 00:55:23.223913	55694	21.7	1	9
2014-03-28 00:55:24.090626	55695	47	2	8
2014-03-28 00:55:24.313516	55696	21.4	1	8
2014-03-28 00:55:32.390911	55697	370	3	2
2014-03-28 00:55:32.623347	55698	1104882.6822136578	4	2
2014-03-28 00:55:52.180325	55699	43	2	10
2014-03-28 00:55:52.407624	55700	22.2	1	10
2014-03-28 00:55:56.388243	55701	402	3	2
2014-03-28 00:55:56.621351	55702	1104884.9802831006	4	2
2014-03-28 00:56:01.993236	55703	53	2	9
2014-03-28 00:56:02.215255	55704	21.7	1	9
2014-03-28 00:56:03.090558	55705	47	2	8
2014-03-28 00:56:03.321906	55706	21.4	1	8
2014-03-28 00:56:08.388316	55707	402	3	2
2014-03-28 00:56:08.612894	55708	1104886.1293178222	4	2
2014-03-28 00:56:31.181553	55709	43	2	10
2014-03-28 00:56:31.413394	55710	22.2	1	10
2014-03-28 00:56:32.388607	55711	402	3	2
2014-03-28 00:56:32.613031	55712	1104889.5764219863	4	2
2014-03-28 00:56:40.994153	55713	53	2	9
2014-03-28 00:56:41.226689	55714	21.7	1	9
2014-03-28 00:56:42.090765	55715	47	2	8
2014-03-28 00:56:42.312326	55716	21.4	1	8
2014-03-28 00:57:10.182625	55717	43	2	10
2014-03-28 00:57:10.433564	55718	22.2	1	10
2014-03-28 00:57:19.992388	55719	53	2	9
2014-03-28 00:57:20.213947	55720	21.7	1	9
2014-03-28 00:57:21.092602	55721	47	2	8
2014-03-28 00:57:21.322961	55722	21.4	1	8
2014-03-28 00:57:32.386638	55723	402	3	2
2014-03-28 00:57:32.609807	55724	1104895.3215955934	4	2
2014-03-28 00:57:49.180995	55725	43	2	10
2014-03-28 00:57:49.413467	55726	22.2	1	10
2014-03-28 00:57:58.992282	55727	53	2	9
2014-03-28 00:57:59.213481	55728	21.7	1	9
2014-03-28 00:58:00.089595	55729	47	2	8
2014-03-28 00:58:00.320358	55730	21.4	1	8
2014-03-28 00:58:28.182852	55731	43	2	10
2014-03-28 00:58:28.404132	55732	22.2	1	10
2014-03-28 00:58:37.995113	55733	53	2	9
2014-03-28 00:58:38.226612	55734	21.7	1	9
2014-03-28 00:58:39.089908	55735	47	2	8
2014-03-28 00:58:39.311316	55736	21.4	1	8
2014-03-28 00:59:07.181483	55737	43	2	10
2014-03-28 00:59:07.414006	55738	22.2	1	10
2014-03-28 00:59:16.994491	55739	53	2	9
2014-03-28 00:59:17.218639	55740	21.7	1	9
2014-03-28 00:59:18.093195	55741	47	2	8
2014-03-28 00:59:18.325271	55742	21.4	1	8
2014-03-28 00:59:46.184226	55743	43	2	10
2014-03-28 00:59:46.405754	55744	22.2	1	10
2014-03-28 00:59:55.992161	55745	53	2	9
2014-03-28 00:59:56.226188	55746	21.7	1	9
2014-03-28 00:59:57.090718	55747	47	2	8
2014-03-28 00:59:57.313394	55748	21.4	1	8
2014-03-28 01:00:25.182472	55749	43	2	10
2014-03-28 01:00:25.415657	55750	22.2	1	10
2014-03-28 01:00:32.391432	55751	402	3	2
2014-03-28 01:00:32.613415	55752	1104916.0042205788	4	2
2014-03-28 01:00:34.992436	55753	53	2	9
2014-03-28 01:00:35.222265	55754	21.7	1	9
2014-03-28 01:00:36.090476	55755	47	2	8
2014-03-28 01:00:36.314456	55756	21.4	1	8
2014-03-28 01:01:04.182436	55757	43	2	10
2014-03-28 01:01:04.415348	55758	22.2	1	10
2014-03-28 01:01:13.999231	55759	53	2	9
2014-03-28 01:01:14.220312	55760	21.6	1	9
2014-03-28 01:01:15.089645	55761	47	2	8
2014-03-28 01:01:15.321669	55762	21.4	1	8
2014-03-28 01:01:32.38907	55763	402	3	2
2014-03-28 01:01:32.613241	55764	1104922.8984289074	4	2
2014-03-28 01:01:43.183299	55765	43	2	10
2014-03-28 01:01:43.42821	55766	22.2	1	10
2014-03-28 01:01:52.992016	55767	53	2	9
2014-03-28 01:01:53.213932	55768	21.6	1	9
2014-03-28 01:01:54.088936	55769	47	2	8
2014-03-28 01:01:54.319285	55770	21.4	1	8
2014-03-28 01:02:22.18308	55771	43	2	10
2014-03-28 01:02:22.404285	55772	22.2	1	10
2014-03-28 01:02:31.990676	55773	53	2	9
2014-03-28 01:02:32.222958	55774	21.6	1	9
2014-03-28 01:02:32.529086	55775	402	3	2
2014-03-28 01:02:32.751912	55776	1104929.792637236	4	2
2014-03-28 01:02:33.090361	55777	47	2	8
2014-03-28 01:02:33.321145	55778	21.4	1	8
2014-03-28 01:03:01.182754	55779	43	2	10
2014-03-28 01:03:01.405472	55780	22.2	1	10
2014-03-28 01:03:10.992467	55781	53	2	9
2014-03-28 01:03:11.223796	55782	21.6	1	9
2014-03-28 01:03:12.089836	55783	47	2	8
2014-03-28 01:03:12.310371	55784	21.4	1	8
2014-03-28 01:03:32.388826	55785	370	3	2
2014-03-28 01:03:32.619798	55786	1104934.3932470737	4	2
2014-03-28 01:03:40.182169	55787	43	2	10
2014-03-28 01:03:40.403541	55788	22.2	1	10
2014-03-28 01:03:49.99201	55789	53	2	9
2014-03-28 01:03:50.223942	55790	21.6	1	9
2014-03-28 01:03:51.090318	55791	47	2	8
2014-03-28 01:03:51.312292	55792	21.4	1	8
2014-03-28 01:04:08.388469	55793	434	3	2
2014-03-28 01:04:08.62087	55794	1104938.9893859595	4	2
2014-03-28 01:04:19.183526	55795	43	2	10
2014-03-28 01:04:19.404821	55796	22.2	1	10
2014-03-28 01:04:28.990885	55797	53	2	9
2014-03-28 01:04:29.22335	55798	21.6	1	9
2014-03-28 01:04:30.094286	55799	47	2	8
2014-03-28 01:04:30.3147	55800	21.4	1	8
2014-03-28 01:04:58.184706	55801	43	2	10
2014-03-28 01:04:58.417473	55802	22.2	1	10
2014-03-28 01:05:07.990033	55803	53	2	9
2014-03-28 01:05:08.212741	55804	21.6	1	9
2014-03-28 01:05:09.089459	55805	47	2	8
2014-03-28 01:05:09.322601	55806	21.4	1	8
2014-03-28 01:05:37.181432	55807	43	2	10
2014-03-28 01:05:37.404496	55808	22.2	1	10
2014-03-28 01:05:46.993216	55809	53	2	9
2014-03-28 01:05:47.226025	55810	21.6	1	9
2014-03-28 01:05:48.090294	55811	47	2	8
2014-03-28 01:05:48.334063	55812	21.4	1	8
2014-03-28 01:06:16.184844	55813	43	2	10
2014-03-28 01:06:16.437367	55814	22.2	1	10
2014-03-28 01:06:25.993305	55815	53	2	9
2014-03-28 01:06:26.215574	55816	21.6	1	9
2014-03-28 01:06:27.089449	55817	47	2	8
2014-03-28 01:06:27.320028	55818	21.4	1	8
2014-03-28 01:06:55.184378	55819	43	2	10
2014-03-28 01:06:55.407585	55820	22.2	1	10
2014-03-28 01:07:04.993111	55821	53	2	9
2014-03-28 01:07:05.225366	55822	21.6	1	9
2014-03-28 01:07:06.089539	55823	47	2	8
2014-03-28 01:07:06.309558	55824	21.4	1	8
2014-03-28 01:07:34.184322	55825	43	2	10
2014-03-28 01:07:34.416342	55826	22.1	1	10
2014-03-28 01:07:43.992661	55827	53	2	9
2014-03-28 01:07:44.215233	55828	21.6	1	9
2014-03-28 01:07:45.090358	55829	47	2	8
2014-03-28 01:07:45.320952	55830	21.4	1	8
2014-03-28 01:08:13.185125	55831	43	2	10
2014-03-28 01:08:13.406003	55832	22.1	1	10
2014-03-28 01:08:22.995495	55833	53	2	9
2014-03-28 01:08:23.226654	55834	21.6	1	9
2014-03-28 01:08:24.089396	55835	47	2	8
2014-03-28 01:08:24.309237	55836	21.4	1	8
2014-03-28 01:08:32.387805	55837	370	3	2
2014-03-28 01:08:32.620739	55838	1104971.162358159	4	2
2014-03-28 01:08:52.183939	55839	43	2	10
2014-03-28 01:08:52.405288	55840	22.1	1	10
2014-03-28 01:09:01.995542	55841	53	2	9
2014-03-28 01:09:02.226235	55842	21.6	1	9
2014-03-28 01:09:03.090465	55843	47	2	8
2014-03-28 01:09:03.312292	55844	21.4	1	8
2014-03-28 01:09:31.389148	55845	43	2	10
2014-03-28 01:09:31.620556	55846	22.1	1	10
2014-03-28 01:09:40.99157	55847	53	2	9
2014-03-28 01:09:41.21477	55848	21.6	1	9
2014-03-28 01:09:42.090647	55849	47	2	8
2014-03-28 01:09:42.320826	55850	21.4	1	8
2014-03-28 01:10:10.185961	55851	43	2	10
2014-03-28 01:10:10.410159	55852	22.1	1	10
2014-03-28 01:10:19.998013	55853	53	2	9
2014-03-28 01:10:20.234015	55854	21.6	1	9
2014-03-28 01:10:21.089646	55855	47	2	8
2014-03-28 01:10:21.316134	55856	21.4	1	8
2014-03-28 01:10:49.185481	55857	43	2	10
2014-03-28 01:10:49.421109	55858	22.1	1	10
2014-03-28 01:10:58.993571	55859	53	2	9
2014-03-28 01:10:59.218107	55860	21.6	1	9
2014-03-28 01:11:00.089921	55861	47	2	8
2014-03-28 01:11:00.334447	55862	21.4	1	8
2014-03-28 01:11:28.185592	55863	43	2	10
2014-03-28 01:11:28.409626	55864	22.1	1	10
2014-03-28 01:11:32.388115	55865	338	3	2
2014-03-28 01:11:32.619129	55866	1104988.3978789803	4	2
2014-03-28 01:11:37.999219	55867	53	2	9
2014-03-28 01:11:38.223811	55868	21.6	1	9
2014-03-28 01:11:39.089244	55869	47	2	8
2014-03-28 01:11:39.319294	55870	21.4	1	8
2014-03-28 01:12:07.192525	55871	43	2	10
2014-03-28 01:12:07.414138	55872	22.1	1	10
2014-03-28 01:12:16.989889	55873	53	2	9
2014-03-28 01:12:17.261052	55874	21.6	1	9
2014-03-28 01:12:18.091138	55875	47	2	8
2014-03-28 01:12:18.311652	55876	21.4	1	8
2014-03-28 01:12:32.385004	55877	354	3	2
2014-03-28 01:12:32.61848	55878	1104994.1430525873	4	2
2014-03-28 01:12:46.187156	55879	43	2	10
2014-03-28 01:12:46.409086	55880	22.1	1	10
2014-03-28 01:12:55.990391	55881	53	2	9
2014-03-28 01:12:56.222744	55882	21.6	1	9
2014-03-28 01:12:57.091511	55883	47	2	8
2014-03-28 01:12:57.312906	55884	21.4	1	8
2014-03-28 01:13:25.184756	55885	43	2	10
2014-03-28 01:13:25.417282	55886	22.1	1	10
2014-03-28 01:13:32.38444	55887	338	3	2
2014-03-28 01:13:32.606714	55888	1104999.8882261945	4	2
2014-03-28 01:13:34.994545	55889	53	2	9
2014-03-28 01:13:35.225213	55890	21.6	1	9
2014-03-28 01:13:36.089178	55891	47	2	8
2014-03-28 01:13:36.312479	55892	21.4	1	8
2014-03-28 01:14:04.186113	55893	43	2	10
2014-03-28 01:14:04.416595	55894	22.1	1	10
2014-03-28 01:14:13.992463	55895	53	2	9
2014-03-28 01:14:14.213845	55896	21.6	1	9
2014-03-28 01:14:15.089416	55897	47	2	8
2014-03-28 01:14:15.319157	55898	21.4	1	8
2014-03-28 01:14:32.386327	55899	354	3	2
2014-03-28 01:14:32.609186	55900	1105005.6333998016	4	2
2014-03-28 01:14:43.184371	55901	43	2	10
2014-03-28 01:14:43.419428	55902	22.1	1	10
2014-03-28 01:14:52.999984	55903	53	2	9
2014-03-28 01:14:53.223335	55904	21.6	1	9
2014-03-28 01:14:54.092097	55905	47	2	8
2014-03-28 01:14:54.323384	55906	21.4	1	8
2014-03-28 01:15:22.187854	55907	43	2	10
2014-03-28 01:15:22.415409	55908	22.1	1	10
2014-03-28 01:15:31.99382	55909	53	2	9
2014-03-28 01:15:32.23827	55910	21.6	1	9
2014-03-28 01:15:32.544585	55911	338	3	2
2014-03-28 01:15:32.767348	55912	1105011.3785734086	4	2
2014-03-28 01:15:33.092117	55913	47	2	8
2014-03-28 01:15:33.322296	55914	21.4	1	8
2014-03-28 01:16:01.186608	55915	43	2	10
2014-03-28 01:16:01.408567	55916	22.1	1	10
2014-03-28 01:16:10.993923	55917	53	2	9
2014-03-28 01:16:11.228261	55918	21.6	1	9
2014-03-28 01:16:12.090029	55919	47	2	8
2014-03-28 01:16:12.31183	55920	21.4	1	8
2014-03-28 01:16:32.389069	55921	370	3	2
2014-03-28 01:16:32.620639	55922	1105017.1237470156	4	2
2014-03-28 01:16:40.187708	55923	43	2	10
2014-03-28 01:16:40.410218	55924	22.1	1	10
2014-03-28 01:16:49.992888	55925	53	2	9
2014-03-28 01:16:50.224823	55926	21.6	1	9
2014-03-28 01:16:51.088864	55927	47	2	8
2014-03-28 01:16:51.309431	55928	21.4	1	8
2014-03-28 01:17:19.187549	55929	43	2	10
2014-03-28 01:17:19.420384	55930	22.1	1	10
2014-03-28 01:17:28.995272	55931	53	2	9
2014-03-28 01:17:29.216793	55932	21.6	1	9
2014-03-28 01:17:30.090282	55933	47	2	8
2014-03-28 01:17:30.320745	55934	21.4	1	8
2014-03-28 01:17:32.385293	55935	370	3	2
2014-03-28 01:17:32.612759	55936	1105024.0179553442	4	2
2014-03-28 01:17:58.187804	55937	43	2	10
2014-03-28 01:17:58.421118	55938	22.1	1	10
2014-03-28 01:18:07.99861	55939	53	2	9
2014-03-28 01:18:08.219366	55940	21.6	1	9
2014-03-28 01:18:09.089988	55941	47	2	8
2014-03-28 01:18:09.320034	55942	21.4	1	8
2014-03-28 01:18:32.389047	55943	370	3	2
2014-03-28 01:18:32.610785	55944	1105029.7631289512	4	2
2014-03-28 01:18:37.185369	55945	43	2	10
2014-03-28 01:18:37.417232	55946	22.1	1	10
2014-03-28 01:18:46.993444	55947	53	2	9
2014-03-28 01:18:47.234836	55948	21.6	1	9
2014-03-28 01:18:48.090808	55949	47	2	8
2014-03-28 01:18:48.32246	55950	21.4	1	8
2014-03-28 01:19:16.187776	55951	43	2	10
2014-03-28 01:19:16.410188	55952	22.1	1	10
2014-03-28 01:19:25.992664	55953	53	2	9
2014-03-28 01:19:26.225739	55954	21.6	1	9
2014-03-28 01:19:27.090872	55955	47	2	8
2014-03-28 01:19:27.311461	55956	21.4	1	8
2014-03-28 01:19:32.383773	55957	370	3	2
2014-03-28 01:19:32.628041	55958	1105035.5083025582	4	2
2014-03-28 01:19:55.188063	55959	43	2	10
2014-03-28 01:19:55.409639	55960	22.1	1	10
2014-03-28 01:20:05.000318	55961	53	2	9
2014-03-28 01:20:05.231257	55962	21.6	1	9
2014-03-28 01:20:06.089577	55963	47	2	8
2014-03-28 01:20:06.310416	55964	21.4	1	8
2014-03-28 01:20:34.186877	55965	43	2	10
2014-03-28 01:20:34.419382	55966	22.1	1	10
2014-03-28 01:20:43.99213	55967	53	2	9
2014-03-28 01:20:44.2156	55968	21.6	1	9
2014-03-28 01:20:45.091472	55969	47	2	8
2014-03-28 01:20:45.321267	55970	21.4	1	8
2014-03-28 01:21:13.197574	55971	43	2	10
2014-03-28 01:21:13.41937	55972	22.1	1	10
2014-03-28 01:21:20.387456	55973	338	3	2
2014-03-28 01:21:20.620726	55974	1105046.9986497725	4	2
2014-03-28 01:21:22.992891	55975	53	2	9
2014-03-28 01:21:23.215412	55976	21.6	1	9
2014-03-28 01:21:24.089781	55977	47	2	8
2014-03-28 01:21:24.323334	55978	21.4	1	8
2014-03-28 01:21:32.384799	55979	338	3	2
2014-03-28 01:21:32.606266	55980	1105048.1476844938	4	2
2014-03-28 01:21:52.18929	55981	43	2	10
2014-03-28 01:21:52.422942	55982	22.1	1	10
2014-03-28 01:22:01.992581	55983	53	2	9
2014-03-28 01:22:02.215179	55984	21.6	1	9
2014-03-28 01:22:03.089852	55985	47	2	8
2014-03-28 01:22:03.322078	55986	21.4	1	8
2014-03-28 01:22:31.188808	55987	43	2	10
2014-03-28 01:22:31.412978	55988	22.0	1	10
2014-03-28 01:22:40.992988	55989	53	2	9
2014-03-28 01:22:41.229029	55990	21.6	1	9
2014-03-28 01:22:42.08913	55991	47	2	8
2014-03-28 01:22:42.311566	55992	21.4	1	8
2014-03-28 01:22:44.38319	55993	305	3	2
2014-03-28 01:22:44.615859	55994	1105055.0418928224	4	2
2014-03-28 01:22:56.382095	55995	305	3	2
2014-03-28 01:22:56.606042	55996	1105056.1909275437	4	2
2014-03-28 01:23:10.189757	55997	43	2	10
2014-03-28 01:23:10.421759	55998	22.0	1	10
2014-03-28 01:23:19.993101	55999	53	2	9
2014-03-28 01:23:20.215802	56000	21.6	1	9
2014-03-28 01:23:21.090335	56001	47	2	8
2014-03-28 01:23:21.320756	56002	21.4	1	8
2014-03-28 01:23:49.189121	56003	43	2	10
2014-03-28 01:23:49.41013	56004	22.0	1	10
2014-03-28 01:23:58.993406	56005	53	2	9
2014-03-28 01:23:59.236797	56006	21.6	1	9
2014-03-28 01:24:00.090286	56007	47	2	8
2014-03-28 01:24:00.310871	56008	21.4	1	8
2014-03-28 01:24:28.188539	56009	43	2	10
2014-03-28 01:24:28.421098	56010	22.0	1	10
2014-03-28 01:24:32.385478	56011	305	3	2
2014-03-28 01:24:32.606891	56012	1105064.2341705936	4	2
2014-03-28 01:24:37.992205	56013	53	2	9
2014-03-28 01:24:38.223435	56014	21.6	1	9
2014-03-28 01:24:39.088299	56015	47	2	8
2014-03-28 01:24:39.310986	56016	21.4	1	8
2014-03-28 01:25:07.189745	56017	43	2	10
2014-03-28 01:25:07.422749	56018	22.0	1	10
2014-03-28 01:25:16.991599	56019	53	2	9
2014-03-28 01:25:17.214044	56020	21.6	1	9
2014-03-28 01:25:18.089537	56021	47	2	8
2014-03-28 01:25:18.319565	56022	21.4	1	8
2014-03-28 01:25:32.386472	56023	305	3	2
2014-03-28 01:25:32.644184	56024	1105068.8303094793	4	2
2014-03-28 01:25:46.189641	56025	43	2	10
2014-03-28 01:25:46.473415	56026	22.0	1	10
2014-03-28 01:25:55.99211	56027	53	2	9
2014-03-28 01:25:56.299686	56028	21.6	1	9
2014-03-28 01:25:57.135245	56029	47	2	8
2014-03-28 01:25:57.418272	56030	21.4	1	8
2014-03-28 01:26:08.385872	56031	338	3	2
2014-03-28 01:26:09.134591	56032	1105072.2774136437	4	2
2014-03-28 01:26:20.385273	56033	338	3	2
2014-03-28 01:26:20.616681	56034	1105073.426448365	4	2
2014-03-28 01:26:25.190097	56035	43	2	10
2014-03-28 01:26:25.412666	56036	22.0	1	10
2014-03-28 01:26:32.385578	56037	338	3	2
2014-03-28 01:26:32.616896	56038	1105074.5754830865	4	2
2014-03-28 01:26:34.993219	56039	53	2	9
2014-03-28 01:26:35.218183	56040	21.6	1	9
2014-03-28 01:26:36.090958	56041	47	2	8
2014-03-28 01:26:36.322909	56042	21.4	1	8
2014-03-28 01:27:04.190248	56043	43	2	10
2014-03-28 01:27:04.413596	56044	22.0	1	10
2014-03-28 01:27:13.992626	56045	53	2	9
2014-03-28 01:27:14.224347	56046	21.6	1	9
2014-03-28 01:27:15.090555	56047	47	2	8
2014-03-28 01:27:15.313699	56048	21.4	1	8
2014-03-28 01:27:32.386367	56049	338	3	2
2014-03-28 01:27:32.619492	56050	1105080.3206566935	4	2
2014-03-28 01:27:43.191924	56051	43	2	10
2014-03-28 01:27:43.414605	56052	22.0	1	10
2014-03-28 01:27:52.991824	56053	53	2	9
2014-03-28 01:27:53.233864	56054	21.5	1	9
2014-03-28 01:27:54.088702	56055	47	2	8
2014-03-28 01:27:54.309836	56056	21.4	1	8
2014-03-28 01:28:22.193057	56057	43	2	10
2014-03-28 01:28:22.423529	56058	22.0	1	10
2014-03-28 01:28:31.9905	56059	53	2	9
2014-03-28 01:28:32.213582	56060	21.5	1	9
2014-03-28 01:28:32.520237	56061	338	3	2
2014-03-28 01:28:32.752792	56062	1105086.0658303006	4	2
2014-03-28 01:28:33.090327	56063	47	2	8
2014-03-28 01:28:33.312657	56064	21.4	1	8
2014-03-28 01:28:56.384911	56065	370	3	2
2014-03-28 01:28:56.618699	56066	1105088.3638997434	4	2
2014-03-28 01:29:01.193445	56067	43	2	10
2014-03-28 01:29:01.416536	56068	22.0	1	10
2014-03-28 01:29:08.386209	56069	370	3	2
2014-03-28 01:29:08.62038	56070	1105089.5129344647	4	2
2014-03-28 01:29:10.993725	56071	53	2	9
2014-03-28 01:29:11.216581	56072	21.5	1	9
2014-03-28 01:29:12.09129	56073	47	2	8
2014-03-28 01:29:12.322374	56074	21.4	1	8
2014-03-28 01:29:32.383697	56075	370	3	2
2014-03-28 01:29:32.606183	56076	1105091.8110039076	4	2
2014-03-28 01:29:40.192131	56077	43	2	10
2014-03-28 01:29:40.42524	56078	21.9	1	10
2014-03-28 01:29:49.993143	56079	53	2	9
2014-03-28 01:29:50.216514	56080	21.5	1	9
2014-03-28 01:29:51.089344	56081	47	2	8
2014-03-28 01:29:51.320687	56082	21.4	1	8
2014-03-28 01:30:19.192357	56083	43	2	10
2014-03-28 01:30:19.414412	56084	21.9	1	10
2014-03-28 01:30:28.99261	56085	53	2	9
2014-03-28 01:30:29.224409	56086	21.5	1	9
2014-03-28 01:30:30.090852	56087	47	2	8
2014-03-28 01:30:30.312552	56088	21.4	1	8
2014-03-28 01:30:32.385221	56089	370	3	2
2014-03-28 01:30:32.61774	56090	1105097.5561775146	4	2
2014-03-28 01:30:58.189849	56091	43	2	10
2014-03-28 01:30:58.412432	56092	21.9	1	10
2014-03-28 01:31:07.99204	56093	53	2	9
2014-03-28 01:31:08.224198	56094	21.5	1	9
2014-03-28 01:31:09.092984	56095	47	2	8
2014-03-28 01:31:09.316624	56096	21.4	1	8
2014-03-28 01:31:37.193856	56097	43	2	10
2014-03-28 01:31:37.425421	56098	21.9	1	10
2014-03-28 01:31:46.993599	56099	53	2	9
2014-03-28 01:31:47.218719	56100	21.5	1	9
2014-03-28 01:31:48.089843	56101	47	2	8
2014-03-28 01:31:48.394501	56102	21.4	1	8
2014-03-28 01:32:16.190932	56103	43	2	10
2014-03-28 01:32:16.414905	56104	21.9	1	10
2014-03-28 01:32:25.990057	56105	53	2	9
2014-03-28 01:32:26.222685	56106	21.5	1	9
2014-03-28 01:32:27.089318	56107	47	2	8
2014-03-28 01:32:27.31404	56108	21.4	1	8
2014-03-28 01:32:55.190429	56109	43	2	10
2014-03-28 01:32:55.425693	56110	21.9	1	10
2014-03-28 01:33:04.991886	56111	53	2	9
2014-03-28 01:33:05.214015	56112	21.5	1	9
2014-03-28 01:33:06.08871	56113	47	2	8
2014-03-28 01:33:06.319331	56114	21.4	1	8
2014-03-28 01:33:34.192088	56115	43	2	10
2014-03-28 01:33:34.414149	56116	21.9	1	10
2014-03-28 01:33:43.990627	56117	53	2	9
2014-03-28 01:33:44.223251	56118	21.5	1	9
2014-03-28 01:33:45.089958	56119	47	2	8
2014-03-28 01:33:45.310771	56120	21.4	1	8
2014-03-28 01:34:13.192577	56121	43	2	10
2014-03-28 01:34:13.425327	56122	21.9	1	10
2014-03-28 01:34:22.991932	56123	53	2	9
2014-03-28 01:34:23.213702	56124	21.5	1	9
2014-03-28 01:34:24.09009	56125	47	2	8
2014-03-28 01:34:24.320583	56126	21.4	1	8
2014-03-28 01:34:52.193216	56127	43	2	10
2014-03-28 01:34:52.415653	56128	21.9	1	10
2014-03-28 01:35:01.991623	56129	53	2	9
2014-03-28 01:35:02.223629	56130	21.5	1	9
2014-03-28 01:35:03.089708	56131	47	2	8
2014-03-28 01:35:03.31159	56132	21.4	1	8
2014-03-28 01:35:31.191476	56133	43	2	10
2014-03-28 01:35:31.42419	56134	21.9	1	10
2014-03-28 01:35:40.990389	56135	53	2	9
2014-03-28 01:35:41.213467	56136	21.5	1	9
2014-03-28 01:35:42.089711	56137	47	2	8
2014-03-28 01:35:42.321351	56138	21.4	1	8
2014-03-28 01:36:10.193887	56139	43	2	10
2014-03-28 01:36:10.415244	56140	21.9	1	10
2014-03-28 01:36:19.996454	56141	53	2	9
2014-03-28 01:36:20.229796	56142	21.5	1	9
2014-03-28 01:36:21.092573	56143	47	2	8
2014-03-28 01:36:21.31435	56144	21.4	1	8
2014-03-28 01:36:49.194197	56145	43	2	10
2014-03-28 01:36:49.426449	56146	21.9	1	10
2014-03-28 01:36:58.993139	56147	53	2	9
2014-03-28 01:36:59.219079	56148	21.5	1	9
2014-03-28 01:37:00.091608	56149	47	2	8
2014-03-28 01:37:00.333507	56150	21.4	1	8
2014-03-28 01:37:28.192598	56151	43	2	10
2014-03-28 01:37:28.414984	56152	21.9	1	10
2014-03-28 01:37:38.012011	56153	53	2	9
2014-03-28 01:37:38.247427	56154	21.5	1	9
2014-03-28 01:37:39.089321	56155	47	2	8
2014-03-28 01:37:39.311747	56156	21.4	1	8
2014-03-28 01:38:07.193386	56157	43	2	10
2014-03-28 01:38:07.429793	56158	21.9	1	10
2014-03-28 01:38:16.990972	56159	53	2	9
2014-03-28 01:38:17.211783	56160	21.5	1	9
2014-03-28 01:38:18.145616	56161	47	2	8
2014-03-28 01:38:18.380859	56162	21.4	1	8
2014-03-28 01:38:32.3858	56163	338	3	2
2014-03-28 01:38:32.607521	56164	1105144.6666010928	4	2
2014-03-28 01:38:46.194097	56165	43	2	10
2014-03-28 01:38:46.42774	56166	21.9	1	10
2014-03-28 01:38:55.992456	56167	53	2	9
2014-03-28 01:38:56.214621	56168	21.5	1	9
2014-03-28 01:38:57.089538	56169	47	2	8
2014-03-28 01:38:57.320549	56170	21.4	1	8
2014-03-28 01:39:25.195892	56171	43	2	10
2014-03-28 01:39:25.427269	56172	21.9	1	10
2014-03-28 01:39:34.993251	56173	53	2	9
2014-03-28 01:39:35.225524	56174	21.5	1	9
2014-03-28 01:39:36.089498	56175	47	2	8
2014-03-28 01:39:36.30967	56176	21.4	1	8
2014-03-28 01:39:56.382762	56177	305	3	2
2014-03-28 01:39:56.616089	56178	1105152.7098441427	4	2
2014-03-28 01:40:04.193893	56179	43	2	10
2014-03-28 01:40:04.415939	56180	21.9	1	10
2014-03-28 01:40:08.384906	56181	338	3	2
2014-03-28 01:40:08.617292	56182	1105153.858878864	4	2
2014-03-28 01:40:13.990466	56183	53	2	9
2014-03-28 01:40:14.212695	56184	21.5	1	9
2014-03-28 01:40:15.089893	56185	47	2	8
2014-03-28 01:40:15.321148	56186	21.4	1	8
2014-03-28 01:40:20.385785	56187	338	3	2
2014-03-28 01:40:20.607965	56188	1105155.0079135855	4	2
2014-03-28 01:40:43.194336	56189	43	2	10
2014-03-28 01:40:43.42707	56190	21.9	1	10
2014-03-28 01:40:44.384895	56191	305	3	2
2014-03-28 01:40:44.608482	56192	1105157.3059830284	4	2
2014-03-28 01:40:52.998122	56193	53	2	9
2014-03-28 01:40:53.230502	56194	21.5	1	9
2014-03-28 01:40:54.08993	56195	47	2	8
2014-03-28 01:40:54.312376	56196	21.4	1	8
2014-03-28 01:40:56.383317	56197	338	3	2
2014-03-28 01:40:56.625011	56198	1105158.4550177497	4	2
2014-03-28 01:41:20.381511	56199	370	3	2
2014-03-28 01:41:20.605765	56200	1105160.7530871925	4	2
2014-03-28 01:41:22.195786	56201	43	2	10
2014-03-28 01:41:22.426512	56202	21.8	1	10
2014-03-28 01:41:31.994054	56203	53	2	9
2014-03-28 01:41:32.215587	56204	21.5	1	9
2014-03-28 01:41:32.521601	56205	370	3	2
2014-03-28 01:41:32.75391	56206	1105161.9021219139	4	2
2014-03-28 01:41:33.088638	56207	47	2	8
2014-03-28 01:41:33.311625	56208	21.4	1	8
2014-03-28 01:42:01.193495	56209	43	2	10
2014-03-28 01:42:01.425896	56210	21.8	1	10
2014-03-28 01:42:10.990148	56211	53	2	9
2014-03-28 01:42:11.213424	56212	21.5	1	9
2014-03-28 01:42:12.09079	56213	47	2	8
2014-03-28 01:42:12.322811	56214	21.4	1	8
2014-03-28 01:42:32.383746	56215	370	3	2
2014-03-28 01:42:32.605976	56216	1105167.647295521	4	2
2014-03-28 01:42:40.197834	56217	43	2	10
2014-03-28 01:42:40.43139	56218	21.8	1	10
2014-03-28 01:42:49.992342	56219	53	2	9
2014-03-28 01:42:50.216129	56220	21.5	1	9
2014-03-28 01:42:51.089972	56221	47	2	8
2014-03-28 01:42:51.32257	56222	21.4	1	8
2014-03-28 01:43:19.195928	56223	43	2	10
2014-03-28 01:43:19.420958	56224	21.8	1	10
2014-03-28 01:43:20.385325	56225	434	3	2
2014-03-28 01:43:20.61556	56226	1105174.5415038494	4	2
2014-03-28 01:43:28.991498	56227	53	2	9
2014-03-28 01:43:29.214958	56228	21.5	1	9
2014-03-28 01:43:30.090701	56229	47	2	8
2014-03-28 01:43:30.323815	56230	21.4	1	8
2014-03-28 01:43:32.388212	56231	434	3	2
2014-03-28 01:43:32.60954	56232	1105175.690538571	4	2
2014-03-28 01:43:58.195921	56233	43	2	10
2014-03-28 01:43:58.428974	56234	21.8	1	10
2014-03-28 01:44:07.995702	56235	53	2	9
2014-03-28 01:44:08.217399	56236	21.5	1	9
2014-03-28 01:44:09.088216	56237	47	2	8
2014-03-28 01:44:09.319921	56238	21.4	1	8
2014-03-28 01:44:37.196133	56239	43	2	10
2014-03-28 01:44:37.418007	56240	21.8	1	10
2014-03-28 01:44:46.996685	56241	53	2	9
2014-03-28 01:44:47.229254	56242	21.5	1	9
2014-03-28 01:44:48.08946	56243	47	2	8
2014-03-28 01:44:48.311146	56244	21.4	1	8
2014-03-28 01:45:16.198639	56245	43	2	10
2014-03-28 01:45:16.44158	56246	21.8	1	10
2014-03-28 01:45:25.989812	56247	53	2	9
2014-03-28 01:45:26.212358	56248	21.5	1	9
2014-03-28 01:45:27.088989	56249	47	2	8
2014-03-28 01:45:27.320741	56250	21.4	1	8
2014-03-28 01:45:32.382707	56251	434	3	2
2014-03-28 01:45:32.605371	56252	1105190.6279899494	4	2
2014-03-28 01:45:55.195601	56253	43	2	10
2014-03-28 01:45:55.427603	56254	21.8	1	10
2014-03-28 01:46:04.992312	56255	53	2	9
2014-03-28 01:46:05.213797	56256	21.5	1	9
2014-03-28 01:46:06.090058	56257	47	2	8
2014-03-28 01:46:06.321196	56258	21.4	1	8
2014-03-28 01:46:08.382907	56259	402	3	2
2014-03-28 01:46:08.603674	56260	1105195.224128835	4	2
2014-03-28 01:46:34.196903	56261	43	2	10
2014-03-28 01:46:34.428697	56262	21.8	1	10
2014-03-28 01:46:43.994677	56263	53	2	9
2014-03-28 01:46:44.21705	56264	21.5	1	9
2014-03-28 01:46:44.522683	56265	370	3	2
2014-03-28 01:46:44.754656	56266	1105198.6712329993	4	2
2014-03-28 01:46:45.088613	56267	47	2	8
2014-03-28 01:46:45.309917	56268	21.4	1	8
2014-03-28 01:46:56.38378	56269	370	3	2
2014-03-28 01:46:56.616452	56270	1105199.8202677206	4	2
2014-03-28 01:47:13.199033	56271	43	2	10
2014-03-28 01:47:13.42283	56272	21.8	1	10
2014-03-28 01:47:22.992818	56273	53	2	9
2014-03-28 01:47:23.227553	56274	21.5	1	9
2014-03-28 01:47:24.090878	56275	47	2	8
2014-03-28 01:47:24.312405	56276	21.4	1	8
2014-03-28 01:47:32.383911	56277	370	3	2
2014-03-28 01:47:32.618603	56278	1105203.2673718848	4	2
2014-03-28 01:47:52.20236	56279	43	2	10
2014-03-28 01:47:52.428922	56280	21.8	1	10
2014-03-28 01:48:01.991737	56281	53	2	9
2014-03-28 01:48:02.226949	56282	21.5	1	9
2014-03-28 01:48:03.090189	56283	47	2	8
2014-03-28 01:48:03.313093	56284	21.4	1	8
2014-03-28 01:48:20.382565	56285	402	3	2
2014-03-28 01:48:20.616092	56286	1105209.012545492	4	2
2014-03-28 01:48:31.197773	56287	43	2	10
2014-03-28 01:48:31.421546	56288	21.8	1	10
2014-03-28 01:48:32.381568	56289	370	3	2
2014-03-28 01:48:32.613276	56290	1105210.1615802133	4	2
2014-03-28 01:48:40.992113	56291	53	2	9
2014-03-28 01:48:41.21421	56292	21.5	1	9
2014-03-28 01:48:42.089265	56293	47	2	8
2014-03-28 01:48:42.33405	56294	21.4	1	8
2014-03-28 01:48:44.381992	56295	370	3	2
2014-03-28 01:48:44.605047	56296	1105211.310614935	4	2
2014-03-28 01:49:10.198126	56297	43	2	10
2014-03-28 01:49:10.431647	56298	21.8	1	10
2014-03-28 01:49:19.992969	56299	53	2	9
2014-03-28 01:49:20.214393	56300	21.4	1	9
2014-03-28 01:49:21.090224	56301	47	2	8
2014-03-28 01:49:21.323839	56302	21.4	1	8
2014-03-28 01:49:32.383849	56303	370	3	2
2014-03-28 01:49:32.609069	56304	1105215.9067538204	4	2
2014-03-28 01:49:44.38333	56305	370	3	2
2014-03-28 01:49:44.616399	56306	1105217.055788542	4	2
2014-03-28 01:49:49.197962	56307	43	2	10
2014-03-28 01:49:49.420889	56308	21.8	1	10
2014-03-28 01:49:58.989309	56309	53	2	9
2014-03-28 01:49:59.220944	56310	21.4	1	9
2014-03-28 01:50:00.090224	56311	47	2	8
2014-03-28 01:50:00.313601	56312	21.4	1	8
2014-03-28 01:50:28.19892	56313	43	2	10
2014-03-28 01:50:28.43253	56314	21.8	1	10
2014-03-28 01:50:32.382374	56315	370	3	2
2014-03-28 01:50:32.605986	56316	1105221.6519274276	4	2
2014-03-28 01:50:37.992094	56317	53	2	9
2014-03-28 01:50:38.223347	56318	21.4	1	9
2014-03-28 01:50:39.088636	56319	47	2	8
2014-03-28 01:50:39.310205	56320	21.4	1	8
2014-03-28 01:51:07.197692	56321	43	2	10
2014-03-28 01:51:07.449429	56322	21.8	1	10
2014-03-28 01:51:16.991742	56323	53	2	9
2014-03-28 01:51:17.214072	56324	21.4	1	9
2014-03-28 01:51:18.090186	56325	47	2	8
2014-03-28 01:51:18.323065	56326	21.4	1	8
2014-03-28 01:51:32.382569	56327	370	3	2
2014-03-28 01:51:32.605559	56328	1105227.4015719867	4	2
2014-03-28 01:51:46.197522	56329	43	2	10
2014-03-28 01:51:46.430768	56330	21.8	1	10
2014-03-28 01:51:55.992465	56331	53	2	9
2014-03-28 01:51:56.215556	56332	21.4	1	9
2014-03-28 01:51:57.089096	56333	47	2	8
2014-03-28 01:51:57.320376	56334	21.4	1	8
2014-03-28 01:52:25.19912	56335	43	2	10
2014-03-28 01:52:25.420205	56336	21.8	1	10
2014-03-28 01:52:34.9918	56337	53	2	9
2014-03-28 01:52:35.224239	56338	21.4	1	9
2014-03-28 01:52:36.092784	56339	47	2	8
2014-03-28 01:52:36.314005	56340	21.4	1	8
2014-03-28 01:52:44.38078	56341	370	3	2
2014-03-28 01:52:44.626111	56342	1105234.2957803153	4	2
2014-03-28 01:52:56.38336	56343	370	3	2
2014-03-28 01:52:56.605534	56344	1105235.4448150366	4	2
2014-03-28 01:53:04.200629	56345	43	2	10
2014-03-28 01:53:04.431823	56346	21.8	1	10
2014-03-28 01:53:13.991863	56347	53	2	9
2014-03-28 01:53:14.21898	56348	21.4	1	9
2014-03-28 01:53:15.089209	56349	47	2	8
2014-03-28 01:53:15.322821	56350	21.4	1	8
2014-03-28 01:53:43.199071	56351	43	2	10
2014-03-28 01:53:43.421525	56352	21.8	1	10
2014-03-28 01:53:44.382266	56353	370	3	2
2014-03-28 01:53:44.612656	56354	1105241.1899886439	4	2
2014-03-28 01:53:52.99093	56355	53	2	9
2014-03-28 01:53:53.213422	56356	21.4	1	9
2014-03-28 01:53:54.09025	56357	47	2	8
2014-03-28 01:53:54.324043	56358	21.4	1	8
2014-03-28 01:53:56.382738	56359	434	3	2
2014-03-28 01:53:56.608562	56360	1105242.3390233652	4	2
2014-03-28 01:54:08.385611	56361	434	3	2
2014-03-28 01:54:08.617237	56362	1105243.4880580867	4	2
2014-03-28 01:54:22.198735	56363	43	2	10
2014-03-28 01:54:22.423538	56364	21.8	1	10
2014-03-28 01:54:31.989804	56365	53	2	9
2014-03-28 01:54:32.220401	56366	21.4	1	9
2014-03-28 01:54:32.52944	56367	434	3	2
2014-03-28 01:54:32.750866	56368	1105246.935162251	4	2
2014-03-28 01:54:33.089432	56369	47	2	8
2014-03-28 01:54:33.320151	56370	21.4	1	8
2014-03-28 01:55:01.200267	56371	43	2	10
2014-03-28 01:55:01.423007	56372	21.7	1	10
2014-03-28 01:55:10.995413	56373	53	2	9
2014-03-28 01:55:11.227789	56374	21.4	1	9
2014-03-28 01:55:12.089644	56375	47	2	8
2014-03-28 01:55:12.311346	56376	21.4	1	8
2014-03-28 01:55:32.381697	56377	434	3	2
2014-03-28 01:55:32.615808	56378	1105253.8293705794	4	2
2014-03-28 01:55:40.198843	56379	43	2	10
2014-03-28 01:55:40.420705	56380	21.7	1	10
2014-03-28 01:55:49.98963	56381	53	2	9
2014-03-28 01:55:50.224537	56382	21.4	1	9
2014-03-28 01:55:51.089338	56383	47	2	8
2014-03-28 01:55:51.311404	56384	21.4	1	8
2014-03-28 01:56:19.19951	56385	43	2	10
2014-03-28 01:56:19.43103	56386	21.7	1	10
2014-03-28 01:56:28.990381	56387	53	2	9
2014-03-28 01:56:29.213652	56388	21.4	1	9
2014-03-28 01:56:30.088821	56389	47	2	8
2014-03-28 01:56:30.331308	56390	21.4	1	8
2014-03-28 01:56:32.383811	56391	434	3	2
2014-03-28 01:56:32.605948	56392	1105260.7235789078	4	2
2014-03-28 01:56:58.202117	56393	43	2	10
2014-03-28 01:56:58.61935	56394	21.7	1	10
2014-03-28 01:57:07.991859	56395	53	2	9
2014-03-28 01:57:08.218616	56396	21.4	1	9
2014-03-28 01:57:08.524039	56397	370	3	2
2014-03-28 01:57:08.744207	56398	1105265.3197177935	4	2
2014-03-28 01:57:09.088987	56399	47	2	8
2014-03-28 01:57:09.317759	56400	21.4	1	8
2014-03-28 01:57:37.206516	56401	43	2	10
2014-03-28 01:57:37.430713	56402	21.7	1	10
2014-03-28 01:57:46.992581	56403	53	2	9
2014-03-28 01:57:47.223248	56404	21.4	1	9
2014-03-28 01:57:48.089385	56405	47	2	8
2014-03-28 01:57:48.309172	56406	21.4	1	8
2014-03-28 01:58:16.199489	56407	43	2	10
2014-03-28 01:58:16.431675	56408	21.7	1	10
2014-03-28 01:58:25.992178	56409	53	2	9
2014-03-28 01:58:26.21624	56410	21.4	1	9
2014-03-28 01:58:27.090606	56411	47	2	8
2014-03-28 01:58:27.321272	56412	21.4	1	8
2014-03-28 01:58:32.382206	56413	370	3	2
2014-03-28 01:58:32.603667	56414	1105274.511995565	4	2
2014-03-28 01:58:55.202924	56415	43	2	10
2014-03-28 01:58:55.434083	56416	21.7	1	10
2014-03-28 01:59:04.992351	56417	53	2	9
2014-03-28 01:59:05.215517	56418	21.4	1	9
2014-03-28 01:59:06.089508	56419	47	2	8
2014-03-28 01:59:06.321229	56420	21.4	1	8
2014-03-28 01:59:08.380787	56421	305	3	2
2014-03-28 01:59:08.602237	56422	1105277.959099729	4	2
2014-03-28 01:59:20.38111	56423	338	3	2
2014-03-28 01:59:20.613673	56424	1105279.1081344504	4	2
2014-03-28 01:59:32.384807	56425	338	3	2
2014-03-28 01:59:32.60618	56426	1105280.257169172	4	2
2014-03-28 01:59:34.199866	56427	43	2	10
2014-03-28 01:59:34.431585	56428	21.7	1	10
2014-03-28 01:59:43.992431	56429	53	2	9
2014-03-28 01:59:44.214025	56430	21.4	1	9
2014-03-28 01:59:45.089199	56431	47	2	8
2014-03-28 01:59:45.323102	56432	21.4	1	8
2014-03-28 01:59:56.383135	56433	338	3	2
2014-03-28 01:59:56.605148	56434	1105281.4062038932	4	2
2014-03-28 02:00:08.382437	56435	338	3	2
2014-03-28 02:00:08.615688	56436	1105282.5552386148	4	2
2014-03-28 02:00:13.200449	56437	43	2	10
2014-03-28 02:00:13.42383	56438	21.7	1	10
2014-03-28 02:00:22.798504	56439	305	3	2
2014-03-28 02:00:23.04007	56440	1105283.704273336	4	2
2014-03-28 02:00:23.34357	56441	53	2	9
2014-03-28 02:00:23.566648	56442	21.4	1	9
2014-03-28 02:00:24.089172	56443	47	2	8
2014-03-28 02:00:24.319574	56444	21.4	1	8
2014-03-28 02:00:32.381466	56445	305	3	2
2014-03-28 02:00:32.60492	56446	1105284.8533080576	4	2
2014-03-28 02:00:44.379379	56447	338	3	2
2014-03-28 02:00:44.61091	56448	1105286.002342779	4	2
2014-03-28 02:00:52.199728	56449	43	2	10
2014-03-28 02:00:52.421192	56450	21.7	1	10
2014-03-28 02:00:56.381579	56451	305	3	2
2014-03-28 02:00:56.61425	56452	1105287.1513775005	4	2
2014-03-28 02:01:01.991389	56453	53	2	9
2014-03-28 02:01:02.211392	56454	21.4	1	9
2014-03-28 02:01:03.088672	56455	47	2	8
2014-03-28 02:01:03.32015	56456	21.4	1	8
2014-03-28 02:01:08.380427	56457	338	3	2
2014-03-28 02:01:08.603807	56458	1105288.3004122218	4	2
2014-03-28 02:01:20.38274	56459	305	3	2
2014-03-28 02:01:20.618115	56460	1105289.4494469431	4	2
2014-03-28 02:01:31.200861	56461	43	2	10
2014-03-28 02:01:31.422413	56462	21.7	1	10
2014-03-28 02:01:32.38125	56463	338	3	2
2014-03-28 02:01:32.6126	56464	1105290.5984816647	4	2
2014-03-28 02:01:40.989576	56465	53	2	9
2014-03-28 02:01:41.21068	56466	21.4	1	9
2014-03-28 02:01:42.090066	56467	47	2	8
2014-03-28 02:01:42.320534	56468	21.4	1	8
2014-03-28 02:02:10.201672	56469	43	2	10
2014-03-28 02:02:10.423073	56470	21.7	1	10
2014-03-28 02:02:19.989802	56471	53	2	9
2014-03-28 02:02:20.223008	56472	21.4	1	9
2014-03-28 02:02:21.09008	56473	47	2	8
2014-03-28 02:02:21.310361	56474	21.4	1	8
2014-03-28 02:02:32.383156	56475	338	3	2
2014-03-28 02:02:32.615346	56476	1105296.3436552717	4	2
2014-03-28 02:02:44.380524	56477	305	3	2
2014-03-28 02:02:44.6028	56478	1105297.4926899932	4	2
2014-03-28 02:02:49.25688	56479	43	2	10
2014-03-28 02:02:49.489986	56480	21.7	1	10
2014-03-28 02:02:56.380399	56481	305	3	2
2014-03-28 02:02:56.602522	56482	1105298.6417247145	4	2
2014-03-28 02:02:58.992797	56483	53	2	9
2014-03-28 02:02:59.224829	56484	21.4	1	9
2014-03-28 02:03:00.091482	56485	47	2	8
2014-03-28 02:03:00.312531	56486	21.4	1	8
2014-03-28 02:03:08.382566	56487	338	3	2
2014-03-28 02:03:08.625727	56488	1105299.7907594359	4	2
2014-03-28 02:03:20.381209	56489	338	3	2
2014-03-28 02:03:20.602917	56490	1105300.9397941574	4	2
2014-03-28 02:03:28.199906	56491	43	2	10
2014-03-28 02:03:28.432685	56492	21.7	1	10
2014-03-28 02:03:32.3816	56493	338	3	2
2014-03-28 02:03:32.606588	56494	1105302.0888288787	4	2
2014-03-28 02:03:37.991726	56495	52	2	9
2014-03-28 02:03:38.225248	56496	21.4	1	9
2014-03-28 02:03:39.092242	56497	47	2	8
2014-03-28 02:03:39.3131	56498	21.4	1	8
2014-03-28 02:04:07.203854	56499	43	2	10
2014-03-28 02:04:07.434582	56500	21.7	1	10
2014-03-28 02:04:16.990204	56501	52	2	9
2014-03-28 02:04:17.214262	56502	21.4	1	9
2014-03-28 02:04:18.089203	56503	47	2	8
2014-03-28 02:04:18.322979	56504	21.4	1	8
2014-03-28 02:04:20.381741	56505	305	3	2
2014-03-28 02:04:20.603295	56506	1105306.6849677644	4	2
2014-03-28 02:04:44.383391	56507	338	3	2
2014-03-28 02:04:44.615344	56508	1105308.9830372073	4	2
2014-03-28 02:04:46.202542	56509	43	2	10
2014-03-28 02:04:46.426054	56510	21.7	1	10
2014-03-28 02:04:55.991781	56511	52	2	9
2014-03-28 02:04:56.223374	56512	21.4	1	9
2014-03-28 02:04:57.088658	56513	47	2	8
2014-03-28 02:04:57.313177	56514	21.3	1	8
2014-03-28 02:05:08.384299	56515	305	3	2
2014-03-28 02:05:08.617363	56516	1105310.1320719286	4	2
2014-03-28 02:05:20.382574	56517	338	3	2
2014-03-28 02:05:20.605227	56518	1105311.2811066501	4	2
2014-03-28 02:05:25.204007	56519	43	2	10
2014-03-28 02:05:25.435957	56520	21.7	1	10
2014-03-28 02:05:32.380736	56521	338	3	2
2014-03-28 02:05:32.604192	56522	1105312.4301413714	4	2
2014-03-28 02:05:34.99233	56523	52	2	9
2014-03-28 02:05:35.224575	56524	21.4	1	9
2014-03-28 02:05:36.088781	56525	47	2	8
2014-03-28 02:05:36.310711	56526	21.3	1	8
2014-03-28 02:06:04.20578	56527	43	2	10
2014-03-28 02:06:04.438632	56528	21.7	1	10
2014-03-28 02:06:13.990098	56529	52	2	9
2014-03-28 02:06:14.214232	56530	21.4	1	9
2014-03-28 02:06:15.089529	56531	47	2	8
2014-03-28 02:06:15.320825	56532	21.3	1	8
2014-03-28 02:06:43.003075	56533	338	3	2
2014-03-28 02:06:43.227102	56534	1105318.1753149787	4	2
2014-03-28 02:06:43.532112	56535	43	2	10
2014-03-28 02:06:43.785622	56536	21.7	1	10
2014-03-28 02:06:52.992828	56537	52	2	9
2014-03-28 02:06:53.21472	56538	21.4	1	9
2014-03-28 02:06:54.088074	56539	47	2	8
2014-03-28 02:06:54.318256	56540	21.3	1	8
2014-03-28 02:06:56.378858	56541	370	3	2
2014-03-28 02:06:56.600359	56542	1105320.4733844213	4	2
2014-03-28 02:07:22.201597	56543	43	2	10
2014-03-28 02:07:22.434918	56544	21.6	1	10
2014-03-28 02:07:31.990204	56545	52	2	9
2014-03-28 02:07:32.212967	56546	21.4	1	9
2014-03-28 02:07:32.51865	56547	370	3	2
2014-03-28 02:07:32.753222	56548	1105325.069523307	4	2
2014-03-28 02:07:33.089799	56549	47	2	8
2014-03-28 02:07:33.310178	56550	21.3	1	8
2014-03-28 02:08:01.203094	56551	43	2	10
2014-03-28 02:08:01.435775	56552	21.6	1	10
2014-03-28 02:08:10.997164	56553	52	2	9
2014-03-28 02:08:11.219133	56554	21.4	1	9
2014-03-28 02:08:12.090834	56555	47	2	8
2014-03-28 02:08:12.322695	56556	21.3	1	8
2014-03-28 02:08:40.201553	56557	43	2	10
2014-03-28 02:08:40.423111	56558	21.6	1	10
2014-03-28 02:08:49.9888	56559	52	2	9
2014-03-28 02:08:50.223158	56560	21.4	1	9
2014-03-28 02:08:51.092754	56561	47	2	8
2014-03-28 02:08:51.335742	56562	21.3	1	8
2014-03-28 02:09:19.204988	56563	43	2	10
2014-03-28 02:09:19.435124	56564	21.6	1	10
2014-03-28 02:09:28.992231	56565	52	2	9
2014-03-28 02:09:29.215884	56566	21.4	1	9
2014-03-28 02:09:30.08853	56567	47	2	8
2014-03-28 02:09:30.322367	56568	21.3	1	8
2014-03-28 02:09:32.379939	56569	370	3	2
2014-03-28 02:09:32.60098	56570	1105336.5598705213	4	2
2014-03-28 02:09:58.204079	56571	43	2	10
2014-03-28 02:09:58.437557	56572	21.6	1	10
2014-03-28 02:10:07.991748	56573	52	2	9
2014-03-28 02:10:08.214341	56574	21.4	1	9
2014-03-28 02:10:09.088698	56575	47	2	8
2014-03-28 02:10:09.32008	56576	21.3	1	8
2014-03-28 02:10:32.378663	56577	370	3	2
2014-03-28 02:10:32.601071	56578	1105343.4540788496	4	2
2014-03-28 02:10:37.203639	56579	43	2	10
2014-03-28 02:10:37.437373	56580	21.6	1	10
2014-03-28 02:10:46.990735	56581	52	2	9
2014-03-28 02:10:47.211777	56582	21.4	1	9
2014-03-28 02:10:48.089474	56583	46	2	8
2014-03-28 02:10:48.332559	56584	21.3	1	8
2014-03-28 02:11:16.202956	56585	43	2	10
2014-03-28 02:11:16.424627	56586	21.6	1	10
2014-03-28 02:11:25.990459	56587	52	2	9
2014-03-28 02:11:26.225617	56588	21.4	1	9
2014-03-28 02:11:27.08832	56589	46	2	8
2014-03-28 02:11:27.309566	56590	21.3	1	8
2014-03-28 02:11:32.380898	56591	370	3	2
2014-03-28 02:11:32.613907	56592	1105349.199252457	4	2
2014-03-28 02:11:55.203836	56593	43	2	10
2014-03-28 02:11:55.42551	56594	21.6	1	10
2014-03-28 02:12:04.988628	56595	52	2	9
2014-03-28 02:12:05.222937	56596	21.4	1	9
2014-03-28 02:12:06.089816	56597	46	2	8
2014-03-28 02:12:06.311451	56598	21.3	1	8
2014-03-28 02:12:34.20501	56599	43	2	10
2014-03-28 02:12:34.436297	56600	21.6	1	10
2014-03-28 02:12:43.988094	56601	52	2	9
2014-03-28 02:12:44.213076	56602	21.4	1	9
2014-03-28 02:12:44.518728	56603	338	3	2
2014-03-28 02:12:44.752346	56604	1105356.0934607852	4	2
2014-03-28 02:12:45.090559	56605	46	2	8
2014-03-28 02:12:45.31175	56606	21.3	1	8
2014-03-28 02:13:13.2044	56607	43	2	10
2014-03-28 02:13:13.435378	56608	21.6	1	10
2014-03-28 02:13:22.992715	56609	52	2	9
2014-03-28 02:13:23.214758	56610	21.4	1	9
2014-03-28 02:13:24.090246	56611	46	2	8
2014-03-28 02:13:24.328038	56612	21.3	1	8
2014-03-28 02:13:32.380538	56613	305	3	2
2014-03-28 02:13:32.602358	56614	1105360.689599671	4	2
2014-03-28 02:13:44.379293	56615	305	3	2
2014-03-28 02:13:44.611319	56616	1105361.8386343925	4	2
2014-03-28 02:13:52.204122	56617	43	2	10
2014-03-28 02:13:52.426315	56618	21.6	1	10
2014-03-28 02:14:01.991818	56619	52	2	9
2014-03-28 02:14:02.223959	56620	21.4	1	9
2014-03-28 02:14:03.090142	56621	46	2	8
2014-03-28 02:14:03.314619	56622	21.3	1	8
2014-03-28 02:14:31.206543	56623	43	2	10
2014-03-28 02:14:31.438876	56624	21.6	1	10
2014-03-28 02:14:32.381753	56625	305	3	2
2014-03-28 02:14:32.603995	56626	1105366.434773278	4	2
2014-03-28 02:14:40.992094	56627	52	2	9
2014-03-28 02:14:41.228451	56628	21.4	1	9
2014-03-28 02:14:42.089316	56629	46	2	8
2014-03-28 02:14:42.311704	56630	21.3	1	8
2014-03-28 02:15:10.207238	56631	43	2	10
2014-03-28 02:15:10.450418	56632	21.6	1	10
2014-03-28 02:15:19.990559	56633	52	2	9
2014-03-28 02:15:20.248081	56634	21.4	1	9
2014-03-28 02:15:21.088904	56635	46	2	8
2014-03-28 02:15:21.344848	56636	21.3	1	8
2014-03-28 02:15:32.382315	56637	305	3	2
2014-03-28 02:15:33.13031	56638	1105371.0309121637	4	2
2014-03-28 02:15:49.20433	56639	43	2	10
2014-03-28 02:15:49.476961	56640	21.6	1	10
2014-03-28 02:15:58.994359	56641	52	2	9
2014-03-28 02:15:59.403932	56642	21.4	1	9
2014-03-28 02:16:00.087309	56643	46	2	8
2014-03-28 02:16:00.635821	56644	21.3	1	8
2014-03-28 02:16:28.20569	56645	43	2	10
2014-03-28 02:16:28.427467	56646	21.6	1	10
2014-03-28 02:16:32.379864	56647	305	3	2
2014-03-28 02:16:32.61329	56648	1105376.7760857707	4	2
2014-03-28 02:16:37.989712	56649	52	2	9
2014-03-28 02:16:38.213023	56650	21.4	1	9
2014-03-28 02:16:39.089266	56651	46	2	8
2014-03-28 02:16:39.320572	56652	21.3	1	8
2014-03-28 02:17:07.203691	56653	43	2	10
2014-03-28 02:17:07.426751	56654	21.6	1	10
2014-03-28 02:17:16.993209	56655	52	2	9
2014-03-28 02:17:17.224225	56656	21.4	1	9
2014-03-28 02:17:18.089435	56657	46	2	8
2014-03-28 02:17:18.310186	56658	21.3	1	8
2014-03-28 02:17:46.203681	56659	43	2	10
2014-03-28 02:17:46.437288	56660	21.6	1	10
2014-03-28 02:17:55.991907	56661	52	2	9
2014-03-28 02:17:56.215665	56662	21.4	1	9
2014-03-28 02:17:57.087285	56663	46	2	8
2014-03-28 02:17:57.316767	56664	21.3	1	8
2014-03-28 02:18:25.206493	56665	43	2	10
2014-03-28 02:18:25.427979	56666	21.6	1	10
2014-03-28 02:18:32.379486	56667	305	3	2
2014-03-28 02:18:32.613013	56668	1105385.968363542	4	2
2014-03-28 02:18:34.990244	56669	52	2	9
2014-03-28 02:18:35.213137	56670	21.3	1	9
2014-03-28 02:18:36.08747	56671	46	2	8
2014-03-28 02:18:36.31999	56672	21.3	1	8
2014-03-28 02:19:04.206497	56673	43	2	10
2014-03-28 02:19:04.427972	56674	21.6	1	10
2014-03-28 02:19:13.797249	56675	338	3	2
2014-03-28 02:19:14.030203	56676	1105389.4154677063	4	2
2014-03-28 02:19:14.334187	56677	52	2	9
2014-03-28 02:19:14.555585	56678	21.3	1	9
2014-03-28 02:19:15.09009	56679	46	2	8
2014-03-28 02:19:15.332159	56680	21.3	1	8
2014-03-28 02:19:32.382	56681	338	3	2
2014-03-28 02:19:32.603574	56682	1105391.7135371491	4	2
2014-03-28 02:19:43.207284	56683	43	2	10
2014-03-28 02:19:43.438472	56684	21.6	1	10
2014-03-28 02:19:44.378552	56685	305	3	2
2014-03-28 02:19:44.600576	56686	1105392.8625718707	4	2
2014-03-28 02:19:52.98956	56687	52	2	9
2014-03-28 02:19:53.22292	56688	21.3	1	9
2014-03-28 02:19:54.089555	56689	46	2	8
2014-03-28 02:19:54.311053	56690	21.3	1	8
2014-03-28 02:19:56.380024	56691	305	3	2
2014-03-28 02:19:56.613044	56692	1105394.011606592	4	2
2014-03-28 02:20:08.3786	56693	338	3	2
2014-03-28 02:20:08.600099	56694	1105395.1606413133	4	2
2014-03-28 02:20:20.380722	56695	338	3	2
2014-03-28 02:20:20.613509	56696	1105396.3096760348	4	2
2014-03-28 02:20:22.206904	56697	43	2	10
2014-03-28 02:20:22.428465	56698	21.6	1	10
2014-03-28 02:20:31.992836	56699	52	2	9
2014-03-28 02:20:32.225875	56700	21.3	1	9
2014-03-28 02:20:32.530021	56701	370	3	2
2014-03-28 02:20:32.752815	56702	1105397.4587107562	4	2
2014-03-28 02:20:33.087537	56703	46	2	8
2014-03-28 02:20:33.321134	56704	21.3	1	8
2014-03-28 02:20:44.378027	56705	370	3	2
2014-03-28 02:20:44.600624	56706	1105398.6077454777	4	2
2014-03-28 02:21:01.20761	56707	43	2	10
2014-03-28 02:21:01.440487	56708	21.5	1	10
2014-03-28 02:21:10.990388	56709	52	2	9
2014-03-28 02:21:11.213217	56710	21.3	1	9
2014-03-28 02:21:12.088295	56711	46	2	8
2014-03-28 02:21:12.321844	56712	21.3	1	8
2014-03-28 02:21:40.20782	56713	43	2	10
2014-03-28 02:21:40.435408	56714	21.5	1	10
2014-03-28 02:21:49.989295	56715	52	2	9
2014-03-28 02:21:50.221176	56716	21.3	1	9
2014-03-28 02:21:51.087112	56717	46	2	8
2014-03-28 02:21:51.309343	56718	21.3	1	8
2014-03-28 02:22:19.208068	56719	43	2	10
2014-03-28 02:22:19.483095	56720	21.5	1	10
2014-03-28 02:22:28.989745	56721	52	2	9
2014-03-28 02:22:29.212628	56722	21.3	1	9
2014-03-28 02:22:30.089988	56723	46	2	8
2014-03-28 02:22:30.320787	56724	21.3	1	8
2014-03-28 02:22:58.209847	56725	43	2	10
2014-03-28 02:22:58.43389	56726	21.5	1	10
2014-03-28 02:23:07.990412	56727	52	2	9
2014-03-28 02:23:08.231685	56728	21.3	1	9
2014-03-28 02:23:09.090502	56729	46	2	8
2014-03-28 02:23:09.312859	56730	21.3	1	8
2014-03-28 02:23:32.379879	56731	370	3	2
2014-03-28 02:23:32.613055	56732	1105415.8432662988	4	2
2014-03-28 02:23:37.208594	56733	43	2	10
2014-03-28 02:23:37.429352	56734	21.5	1	10
2014-03-28 02:23:46.990486	56735	52	2	9
2014-03-28 02:23:47.222504	56736	21.3	1	9
2014-03-28 02:23:48.089234	56737	46	2	8
2014-03-28 02:23:48.30971	56738	21.3	1	8
2014-03-28 02:24:16.20779	56739	43	2	10
2014-03-28 02:24:16.439451	56740	21.5	1	10
2014-03-28 02:24:25.992061	56741	52	2	9
2014-03-28 02:24:26.213342	56742	21.3	1	9
2014-03-28 02:24:27.088928	56743	46	2	8
2014-03-28 02:24:27.318478	56744	21.3	1	8
2014-03-28 02:24:32.379837	56745	370	3	2
2014-03-28 02:24:32.60202	56746	1105421.588439906	4	2
2014-03-28 02:24:55.206649	56747	43	2	10
2014-03-28 02:24:55.438581	56748	21.5	1	10
2014-03-28 02:25:04.992014	56749	52	2	9
2014-03-28 02:25:05.216825	56750	21.3	1	9
2014-03-28 02:25:06.09113	56751	46	2	8
2014-03-28 02:25:06.320992	56752	21.3	1	8
2014-03-28 02:25:32.375788	56753	370	3	2
2014-03-28 02:25:32.598575	56754	1105428.4826482343	4	2
2014-03-28 02:25:34.21021	56755	43	2	10
2014-03-28 02:25:34.442887	56756	21.5	1	10
2014-03-28 02:25:43.991476	56757	52	2	9
2014-03-28 02:25:44.216991	56758	21.3	1	9
2014-03-28 02:25:44.524573	56759	338	3	2
2014-03-28 02:25:44.755892	56760	1105429.631682956	4	2
2014-03-28 02:25:45.089227	56761	46	2	8
2014-03-28 02:25:45.313508	56762	21.3	1	8
2014-03-28 02:25:56.380592	56763	338	3	2
2014-03-28 02:25:56.612683	56764	1105430.7807176772	4	2
2014-03-28 02:26:08.379596	56765	305	3	2
2014-03-28 02:26:08.602262	56766	1105431.9297523987	4	2
2014-03-28 02:26:13.208706	56767	43	2	10
2014-03-28 02:26:13.443496	56768	21.5	1	10
2014-03-28 02:26:20.381615	56769	338	3	2
2014-03-28 02:26:20.603457	56770	1105433.07878712	4	2
2014-03-28 02:26:22.989964	56771	52	2	9
2014-03-28 02:26:23.222588	56772	21.3	1	9
2014-03-28 02:26:24.088041	56773	46	2	8
2014-03-28 02:26:24.310966	56774	21.3	1	8
2014-03-28 02:26:32.381566	56775	338	3	2
2014-03-28 02:26:32.623679	56776	1105434.2278218416	4	2
2014-03-28 02:26:52.208759	56777	43	2	10
2014-03-28 02:26:52.43082	56778	21.5	1	10
2014-03-28 02:27:01.997785	56779	52	2	9
2014-03-28 02:27:02.229692	56780	21.3	1	9
2014-03-28 02:27:03.08918	56781	46	2	8
2014-03-28 02:27:03.310652	56782	21.3	1	8
2014-03-28 02:27:31.209476	56783	43	2	10
2014-03-28 02:27:31.442379	56784	21.5	1	10
2014-03-28 02:27:32.380115	56785	338	3	2
2014-03-28 02:27:32.603553	56786	1105439.9729954486	4	2
2014-03-28 02:27:40.992286	56787	52	2	9
2014-03-28 02:27:41.225201	56788	21.3	1	9
2014-03-28 02:27:42.088201	56789	46	2	8
2014-03-28 02:27:42.310176	56790	21.3	1	8
2014-03-28 02:28:10.20897	56791	43	2	10
2014-03-28 02:28:10.4401	56792	21.5	1	10
2014-03-28 02:28:19.992355	56793	52	2	9
2014-03-28 02:28:20.216066	56794	21.3	1	9
2014-03-28 02:28:21.088142	56795	46	2	8
2014-03-28 02:28:21.323577	56796	21.3	1	8
2014-03-28 02:28:49.208511	56797	43	2	10
2014-03-28 02:28:49.430712	56798	21.5	1	10
2014-03-28 02:28:58.996078	56799	52	2	9
2014-03-28 02:28:59.228041	56800	21.3	1	9
2014-03-28 02:29:00.087873	56801	46	2	8
2014-03-28 02:29:00.310407	56802	21.3	1	8
2014-03-28 02:29:28.412984	56803	43	2	10
2014-03-28 02:29:28.644547	56804	21.5	1	10
2014-03-28 02:29:37.990175	56805	52	2	9
2014-03-28 02:29:38.21141	56806	21.3	1	9
2014-03-28 02:29:39.087972	56807	46	2	8
2014-03-28 02:29:39.318514	56808	21.3	1	8
2014-03-28 02:29:44.379642	56809	305	3	2
2014-03-28 02:29:44.601838	56810	1105451.4633426627	4	2
2014-03-28 02:29:56.38023	56811	338	3	2
2014-03-28 02:29:56.612058	56812	1105452.6123773842	4	2
2014-03-28 02:30:07.209145	56813	43	2	10
2014-03-28 02:30:07.432219	56814	21.5	1	10
2014-03-28 02:30:08.379319	56815	338	3	2
2014-03-28 02:30:08.609426	56816	1105453.7614121055	4	2
2014-03-28 02:30:16.989353	56817	52	2	9
2014-03-28 02:30:17.213507	56818	21.3	1	9
2014-03-28 02:30:18.091155	56819	46	2	8
2014-03-28 02:30:18.323144	56820	21.3	1	8
2014-03-28 02:30:32.37818	56821	338	3	2
2014-03-28 02:30:32.600781	56822	1105456.0594815484	4	2
2014-03-28 02:30:46.212345	56823	43	2	10
2014-03-28 02:30:46.456474	56824	21.5	1	10
2014-03-28 02:30:55.991484	56825	52	2	9
2014-03-28 02:30:56.214485	56826	21.3	1	9
2014-03-28 02:30:57.088306	56827	46	2	8
2014-03-28 02:30:57.323433	56828	21.3	1	8
2014-03-28 02:31:25.2099	56829	43	2	10
2014-03-28 02:31:25.434252	56830	21.5	1	10
2014-03-28 02:31:32.378791	56831	338	3	2
2014-03-28 02:31:32.610617	56832	1105461.8046551554	4	2
2014-03-28 02:31:34.991563	56833	52	2	9
2014-03-28 02:31:35.211351	56834	21.3	1	9
2014-03-28 02:31:36.08725	56835	46	2	8
2014-03-28 02:31:36.320445	56836	21.3	1	8
2014-03-28 02:32:04.209504	56837	43	2	10
2014-03-28 02:32:04.433365	56838	21.5	1	10
2014-03-28 02:32:13.990349	56839	52	2	9
2014-03-28 02:32:14.222626	56840	21.3	1	9
2014-03-28 02:32:15.087766	56841	46	2	8
2014-03-28 02:32:15.309589	56842	21.3	1	8
2014-03-28 02:32:20.378007	56843	370	3	2
2014-03-28 02:32:20.611702	56844	1105467.5498287627	4	2
2014-03-28 02:32:32.377467	56845	402	3	2
2014-03-28 02:32:32.60149	56846	1105469.8478982053	4	2
2014-03-28 02:32:43.210055	56847	43	2	10
2014-03-28 02:32:43.443578	56848	21.4	1	10
2014-03-28 02:32:44.379744	56849	402	3	2
2014-03-28 02:32:44.603597	56850	1105470.9969329268	4	2
2014-03-28 02:32:52.99152	56851	52	2	9
2014-03-28 02:32:53.222993	56852	21.3	1	9
2014-03-28 02:32:54.088808	56853	46	2	8
2014-03-28 02:32:54.30921	56854	21.3	1	8
2014-03-28 02:33:20.378242	56855	370	3	2
2014-03-28 02:33:20.612917	56856	1105474.444037091	4	2
2014-03-28 02:33:22.210122	56857	43	2	10
2014-03-28 02:33:22.432096	56858	21.4	1	10
2014-03-28 02:33:31.987782	56859	52	2	9
2014-03-28 02:33:32.219473	56860	21.3	1	9
2014-03-28 02:33:33.08966	56861	46	2	8
2014-03-28 02:33:33.31217	56862	21.3	1	8
2014-03-28 02:33:44.381333	56863	450	3	2
2014-03-28 02:33:44.613503	56864	1105477.8911412554	4	2
2014-03-28 02:34:01.211664	56865	43	2	10
2014-03-28 02:34:01.433363	56866	21.4	1	10
2014-03-28 02:34:10.987749	56867	52	2	9
2014-03-28 02:34:11.219477	56868	21.3	1	9
2014-03-28 02:34:12.087403	56869	46	2	8
2014-03-28 02:34:12.310914	56870	21.3	1	8
2014-03-28 02:34:32.378947	56871	434	3	2
2014-03-28 02:34:32.623638	56872	1105483.6363148624	4	2
2014-03-28 02:34:40.211152	56873	43	2	10
2014-03-28 02:34:40.433018	56874	21.4	1	10
2014-03-28 02:34:49.995049	56875	52	2	9
2014-03-28 02:34:50.281687	56876	21.3	1	9
2014-03-28 02:34:51.087125	56877	46	2	8
2014-03-28 02:34:51.307868	56878	21.3	1	8
2014-03-28 02:35:19.210904	56879	43	2	10
2014-03-28 02:35:19.443287	56880	21.4	1	10
2014-03-28 02:35:28.990218	56881	52	2	9
2014-03-28 02:35:29.213128	56882	21.3	1	9
2014-03-28 02:35:30.089239	56883	46	2	8
2014-03-28 02:35:30.319887	56884	21.3	1	8
2014-03-28 02:35:32.37646	56885	434	3	2
2014-03-28 02:35:32.597677	56886	1105490.5305231907	4	2
2014-03-28 02:35:58.213204	56887	43	2	10
2014-03-28 02:35:58.444578	56888	21.4	1	10
2014-03-28 02:36:08.192888	56889	52	2	9
2014-03-28 02:36:08.41402	56890	21.3	1	9
2014-03-28 02:36:09.089402	56891	46	2	8
2014-03-28 02:36:09.320933	56892	21.3	1	8
2014-03-28 02:36:32.377931	56893	434	3	2
2014-03-28 02:36:32.620466	56894	1105497.4247315193	4	2
2014-03-28 02:36:37.221805	56895	43	2	10
2014-03-28 02:36:37.453279	56896	21.4	1	10
2014-03-28 02:36:46.990122	56897	52	2	9
2014-03-28 02:36:47.211733	56898	21.3	1	9
2014-03-28 02:36:48.088168	56899	46	2	8
2014-03-28 02:36:48.319062	56900	21.3	1	8
2014-03-28 02:37:16.21204	56901	43	2	10
2014-03-28 02:37:16.435899	56902	21.4	1	10
2014-03-28 02:37:25.991493	56903	52	2	9
2014-03-28 02:37:26.222389	56904	21.3	1	9
2014-03-28 02:37:27.08773	56905	46	2	8
2014-03-28 02:37:27.308521	56906	21.3	1	8
2014-03-28 02:37:32.38113	56907	434	3	2
2014-03-28 02:37:32.612883	56908	1105505.4679745692	4	2
2014-03-28 02:37:55.213063	56909	43	2	10
2014-03-28 02:37:55.440511	56910	21.4	1	10
2014-03-28 02:38:04.991236	56911	52	2	9
2014-03-28 02:38:05.222969	56912	21.3	1	9
2014-03-28 02:38:06.089663	56913	46	2	8
2014-03-28 02:38:06.310722	56914	21.3	1	8
2014-03-28 02:38:34.212851	56915	43	2	10
2014-03-28 02:38:34.444846	56916	21.4	1	10
2014-03-28 02:38:43.990159	56917	52	2	9
2014-03-28 02:38:44.213448	56918	21.3	1	9
2014-03-28 02:38:44.520266	56919	370	3	2
2014-03-28 02:38:44.765093	56920	1105513.511217619	4	2
2014-03-28 02:38:45.088972	56921	46	2	8
2014-03-28 02:38:45.310285	56922	21.3	1	8
2014-03-28 02:39:08.37853	56923	402	3	2
2014-03-28 02:39:08.611571	56924	1105515.809287062	4	2
2014-03-28 02:39:13.211094	56925	43	2	10
2014-03-28 02:39:13.433298	56926	21.4	1	10
2014-03-28 02:39:20.377401	56927	370	3	2
2014-03-28 02:39:20.609422	56928	1105516.9583217835	4	2
2014-03-28 02:39:22.989229	56929	52	2	9
2014-03-28 02:39:23.209251	56930	21.3	1	9
2014-03-28 02:39:24.088649	56931	46	2	8
2014-03-28 02:39:24.319301	56932	21.3	1	8
2014-03-28 02:39:32.378533	56933	370	3	2
2014-03-28 02:39:32.601416	56934	1105518.1073565048	4	2
2014-03-28 02:39:44.376894	56935	402	3	2
2014-03-28 02:39:44.607633	56936	1105520.4054259476	4	2
2014-03-28 02:39:52.21319	56937	43	2	10
2014-03-28 02:39:52.435563	56938	21.4	1	10
2014-03-28 02:40:01.993497	56939	52	2	9
2014-03-28 02:40:02.225368	56940	21.3	1	9
2014-03-28 02:40:03.089044	56941	46	2	8
2014-03-28 02:40:03.308961	56942	21.3	1	8
2014-03-28 02:40:08.375925	56943	370	3	2
2014-03-28 02:40:08.606797	56944	1105521.5589316213	4	2
2014-03-28 02:40:31.211842	56945	43	2	10
2014-03-28 02:40:31.433357	56946	21.4	1	10
2014-03-28 02:40:32.376338	56947	370	3	2
2014-03-28 02:40:32.605869	56948	1105523.857001064	4	2
2014-03-28 02:40:40.992212	56949	52	2	9
2014-03-28 02:40:41.213752	56950	21.3	1	9
2014-03-28 02:40:42.089455	56951	46	2	8
2014-03-28 02:40:42.320339	56952	21.3	1	8
2014-03-28 02:41:10.213134	56953	43	2	10
2014-03-28 02:41:10.434719	56954	21.4	1	10
2014-03-28 02:41:19.987679	56955	52	2	9
2014-03-28 02:41:20.277593	56956	21.3	1	9
2014-03-28 02:41:21.090811	56957	46	2	8
2014-03-28 02:41:21.313067	56958	21.3	1	8
2014-03-28 02:41:32.379036	56959	370	3	2
2014-03-28 02:41:32.611845	56960	1105529.6021746711	4	2
2014-03-28 02:41:49.215166	56961	43	2	10
2014-03-28 02:41:49.437074	56962	21.4	1	10
2014-03-28 02:41:58.992096	56963	52	2	9
2014-03-28 02:41:59.226762	56964	21.3	1	9
2014-03-28 02:42:00.091247	56965	46	2	8
2014-03-28 02:42:00.314352	56966	21.3	1	8
2014-03-28 02:42:08.377598	56967	402	3	2
2014-03-28 02:42:08.621009	56968	1105534.1983135568	4	2
2014-03-28 02:42:20.379539	56969	370	3	2
2014-03-28 02:42:20.60189	56970	1105535.3473482782	4	2
2014-03-28 02:42:28.214114	56971	43	2	10
2014-03-28 02:42:28.446595	56972	21.4	1	10
2014-03-28 02:42:32.380167	56973	402	3	2
2014-03-28 02:42:32.601472	56974	1105536.4963829997	4	2
2014-03-28 02:42:38.009087	56975	52	2	9
2014-03-28 02:42:38.242793	56976	21.3	1	9
2014-03-28 02:42:39.088841	56977	46	2	8
2014-03-28 02:42:39.310236	56978	21.3	1	8
2014-03-28 02:42:44.378844	56979	370	3	2
2014-03-28 02:42:44.612223	56980	1105537.645417721	4	2
2014-03-28 02:42:56.382203	56981	402	3	2
2014-03-28 02:42:56.605005	56982	1105538.7944524426	4	2
2014-03-28 02:43:07.214807	56983	43	2	10
2014-03-28 02:43:07.448633	56984	21.4	1	10
2014-03-28 02:43:08.376082	56985	402	3	2
2014-03-28 02:43:08.601474	56986	1105539.9434871639	4	2
2014-03-28 02:43:16.990718	56987	52	2	9
2014-03-28 02:43:17.223648	56988	21.3	1	9
2014-03-28 02:43:18.08962	56989	46	2	8
2014-03-28 02:43:18.310546	56990	21.3	1	8
2014-03-28 02:43:20.375401	56991	370	3	2
2014-03-28 02:43:20.609143	56992	1105541.0925218854	4	2
2014-03-28 02:43:32.377455	56993	370	3	2
2014-03-28 02:43:32.600271	56994	1105543.3905913283	4	2
2014-03-28 02:43:44.377703	56995	402	3	2
2014-03-28 02:43:44.613533	56996	1105544.5396260496	4	2
2014-03-28 02:43:46.213766	56997	43	2	10
2014-03-28 02:43:46.43704	56998	21.4	1	10
2014-03-28 02:43:55.995012	56999	52	2	9
2014-03-28 02:43:56.226846	57000	21.3	1	9
2014-03-28 02:43:56.532291	57001	402	3	2
2014-03-28 02:43:56.756361	57002	1105545.688660771	4	2
2014-03-28 02:43:57.087373	57003	46	2	8
2014-03-28 02:43:57.318314	57004	21.3	1	8
2014-03-28 02:44:25.215034	57005	43	2	10
2014-03-28 02:44:25.437593	57006	21.4	1	10
2014-03-28 02:44:34.99074	57007	52	2	9
2014-03-28 02:44:35.223042	57008	21.3	1	9
2014-03-28 02:44:36.088972	57009	46	2	8
2014-03-28 02:44:36.310861	57010	21.3	1	8
2014-03-28 02:44:44.378791	57011	370	3	2
2014-03-28 02:44:44.614121	57012	1105550.2847996566	4	2
2014-03-28 02:45:04.214948	57013	43	2	10
2014-03-28 02:45:04.438132	57014	21.4	1	10
2014-03-28 02:45:13.992413	57015	52	2	9
2014-03-28 02:45:14.23637	57016	21.3	1	9
2014-03-28 02:45:15.087541	57017	46	2	8
2014-03-28 02:45:15.307893	57018	21.3	1	8
2014-03-28 02:45:32.375989	57019	370	3	2
2014-03-28 02:45:32.60748	57020	1105556.0299732636	4	2
2014-03-28 02:45:43.213717	57021	43	2	10
2014-03-28 02:45:43.44536	57022	21.3	1	10
2014-03-28 02:45:44.374858	57023	402	3	2
2014-03-28 02:45:44.605566	57024	1105557.1790079852	4	2
2014-03-28 02:45:52.993082	57025	52	2	9
2014-03-28 02:45:53.216621	57026	21.3	1	9
2014-03-28 02:45:54.087823	57027	46	2	8
2014-03-28 02:45:54.319451	57028	21.3	1	8
2014-03-28 02:46:08.377007	57029	370	3	2
2014-03-28 02:46:08.599224	57030	1105559.477077428	4	2
2014-03-28 02:46:22.215685	57031	43	2	10
2014-03-28 02:46:22.448237	57032	21.3	1	10
2014-03-28 02:46:31.99188	57033	52	2	9
2014-03-28 02:46:32.215751	57034	21.3	1	9
2014-03-28 02:46:33.09222	57035	46	2	8
2014-03-28 02:46:33.323542	57036	21.3	1	8
2014-03-28 02:47:01.21679	57037	43	2	10
2014-03-28 02:47:01.437432	57038	21.3	1	10
2014-03-28 02:47:10.990165	57039	52	2	9
2014-03-28 02:47:11.2242	57040	21.3	1	9
2014-03-28 02:47:12.089871	57041	46	2	8
2014-03-28 02:47:12.313599	57042	21.3	1	8
2014-03-28 02:47:40.214964	57043	43	2	10
2014-03-28 02:47:40.450321	57044	21.3	1	10
2014-03-28 02:47:49.990426	57045	52	2	9
2014-03-28 02:47:50.213323	57046	21.3	1	9
2014-03-28 02:47:51.089649	57047	46	2	8
2014-03-28 02:47:51.324663	57048	21.3	1	8
2014-03-28 02:48:19.214116	57049	43	2	10
2014-03-28 02:48:19.437661	57050	21.3	1	10
2014-03-28 02:48:28.988102	57051	52	2	9
2014-03-28 02:48:29.220703	57052	21.3	1	9
2014-03-28 02:48:30.090143	57053	46	2	8
2014-03-28 02:48:30.311813	57054	21.3	1	8
2014-03-28 02:48:32.376011	57055	370	3	2
2014-03-28 02:48:32.60945	57056	1105574.4145288065	4	2
2014-03-28 02:48:58.215607	57057	43	2	10
2014-03-28 02:48:58.436893	57058	21.3	1	10
2014-03-28 02:49:07.992546	57059	52	2	9
2014-03-28 02:49:08.223324	57060	21.3	1	9
2014-03-28 02:49:09.085522	57061	46	2	8
2014-03-28 02:49:09.306069	57062	21.3	1	8
2014-03-28 02:49:37.215273	57063	43	2	10
2014-03-28 02:49:37.456782	57064	21.3	1	10
2014-03-28 02:49:46.989584	57065	52	2	9
2014-03-28 02:49:47.212913	57066	21.2	1	9
2014-03-28 02:49:48.08813	57067	46	2	8
2014-03-28 02:49:48.321164	57068	21.3	1	8
2014-03-28 02:50:16.214829	57069	43	2	10
2014-03-28 02:50:16.437959	57070	21.3	1	10
2014-03-28 02:50:25.991619	57071	52	2	9
2014-03-28 02:50:26.223001	57072	21.2	1	9
2014-03-28 02:50:27.087592	57073	46	2	8
2014-03-28 02:50:27.30967	57074	21.3	1	8
2014-03-28 02:50:32.377639	57075	338	3	2
2014-03-28 02:50:32.610137	57076	1105587.0539107418	4	2
2014-03-28 02:50:55.21497	57077	43	2	10
2014-03-28 02:50:55.437596	57078	21.3	1	10
2014-03-28 02:51:04.991203	57079	52	2	9
2014-03-28 02:51:05.223297	57080	21.2	1	9
2014-03-28 02:51:06.088079	57081	46	2	8
2014-03-28 02:51:06.309268	57082	21.3	1	8
2014-03-28 02:51:34.215922	57083	43	2	10
2014-03-28 02:51:34.447815	57084	21.3	1	10
2014-03-28 02:51:43.99165	57085	52	2	9
2014-03-28 02:51:44.215553	57086	21.2	1	9
2014-03-28 02:51:45.089579	57087	46	2	8
2014-03-28 02:51:45.320851	57088	21.3	1	8
2014-03-28 02:52:13.218287	57089	43	2	10
2014-03-28 02:52:13.440216	57090	21.3	1	10
2014-03-28 02:52:23.1965	57091	52	2	9
2014-03-28 02:52:23.427767	57092	21.2	1	9
2014-03-28 02:52:24.089499	57093	46	2	8
2014-03-28 02:52:24.313239	57094	21.3	1	8
2014-03-28 02:52:37.484788	57095	338	3	2
2014-03-28 02:52:37.719299	57096	1105598.544257956	4	2
2014-03-28 02:52:52.216111	57097	43	2	10
2014-03-28 02:52:52.44084	57098	21.3	1	10
2014-03-28 02:52:56.38001	57099	305	3	2
2014-03-28 02:52:56.613685	57100	1105599.6932926774	4	2
2014-03-28 02:53:01.995157	57101	52	2	9
2014-03-28 02:53:02.219819	57102	21.2	1	9
2014-03-28 02:53:03.087652	57103	46	2	8
2014-03-28 02:53:03.321657	57104	21.3	1	8
2014-03-28 02:53:31.217053	57105	43	2	10
2014-03-28 02:53:31.441694	57106	21.3	1	10
2014-03-28 02:53:32.380184	57107	305	3	2
2014-03-28 02:53:32.611594	57108	1105603.1403968418	4	2
2014-03-28 02:53:40.991737	57109	52	2	9
2014-03-28 02:53:41.213825	57110	21.2	1	9
2014-03-28 02:53:42.087929	57111	46	2	8
2014-03-28 02:53:42.330318	57112	21.3	1	8
2014-03-28 02:53:44.37389	57113	338	3	2
2014-03-28 02:53:44.598283	57114	1105604.289431563	4	2
2014-03-28 02:54:10.216528	57115	43	2	10
2014-03-28 02:54:10.446971	57116	21.3	1	10
2014-03-28 02:54:19.993525	57117	52	2	9
2014-03-28 02:54:20.217222	57118	21.2	1	9
2014-03-28 02:54:21.086519	57119	46	2	8
2014-03-28 02:54:21.318853	57120	21.3	1	8
2014-03-28 02:54:32.375605	57121	338	3	2
2014-03-28 02:54:32.599401	57122	1105608.8855704488	4	2
2014-03-28 02:54:49.218014	57123	43	2	10
2014-03-28 02:54:49.458208	57124	21.3	1	10
2014-03-28 02:54:58.991253	57125	52	2	9
2014-03-28 02:54:59.213649	57126	21.2	1	9
2014-03-28 02:55:00.087967	57127	46	2	8
2014-03-28 02:55:00.318185	57128	21.3	1	8
2014-03-28 02:55:28.216874	57129	43	2	10
2014-03-28 02:55:28.439225	57130	21.3	1	10
2014-03-28 02:55:32.378747	57131	338	3	2
2014-03-28 02:55:32.612726	57132	1105614.6307440558	4	2
2014-03-28 02:55:37.990954	57133	52	2	9
2014-03-28 02:55:38.212986	57134	21.2	1	9
2014-03-28 02:55:39.088829	57135	46	2	8
2014-03-28 02:55:39.320786	57136	21.3	1	8
2014-03-28 02:56:07.217844	57137	43	2	10
2014-03-28 02:56:07.438318	57138	21.3	1	10
2014-03-28 02:56:16.991035	57139	52	2	9
2014-03-28 02:56:17.222858	57140	21.2	1	9
2014-03-28 02:56:18.088655	57141	46	2	8
2014-03-28 02:56:18.309776	57142	21.3	1	8
2014-03-28 02:56:46.219236	57143	43	2	10
2014-03-28 02:56:46.450893	57144	21.3	1	10
2014-03-28 02:56:55.988592	57145	52	2	9
2014-03-28 02:56:56.212884	57146	21.2	1	9
2014-03-28 02:56:57.090925	57147	46	2	8
2014-03-28 02:56:57.321885	57148	21.3	1	8
2014-03-28 02:57:25.220305	57149	43	2	10
2014-03-28 02:57:25.442852	57150	21.3	1	10
2014-03-28 02:57:32.376454	57151	338	3	2
2014-03-28 02:57:32.607469	57152	1105626.1210912701	4	2
2014-03-28 02:57:34.990174	57153	52	2	9
2014-03-28 02:57:35.21356	57154	21.2	1	9
2014-03-28 02:57:36.089105	57155	46	2	8
2014-03-28 02:57:36.322573	57156	21.3	1	8
2014-03-28 02:58:04.219687	57157	43	2	10
2014-03-28 02:58:04.443963	57158	21.3	1	10
2014-03-28 02:58:08.374535	57159	370	3	2
2014-03-28 02:58:08.61685	57160	1105629.5681954343	4	2
2014-03-28 02:58:13.989977	57161	52	2	9
2014-03-28 02:58:14.212754	57162	21.2	1	9
2014-03-28 02:58:15.088891	57163	46	2	8
2014-03-28 02:58:15.320625	57164	21.3	1	8
2014-03-28 02:58:20.377426	57165	370	3	2
2014-03-28 02:58:20.654983	57166	1105630.7172301556	4	2
2014-03-28 02:58:43.218564	57167	43	2	10
2014-03-28 02:58:43.450837	57168	21.3	1	10
2014-03-28 02:58:52.991537	57169	52	2	9
2014-03-28 02:58:53.214033	57170	21.2	1	9
2014-03-28 02:58:54.087389	57171	46	2	8
2014-03-28 02:58:54.318248	57172	21.3	1	8
2014-03-28 02:59:22.217448	57173	43	2	10
2014-03-28 02:59:22.438133	57174	21.3	1	10
2014-03-28 02:59:31.990664	57175	52	2	9
2014-03-28 02:59:32.222829	57176	21.2	1	9
2014-03-28 02:59:33.086745	57177	46	2	8
2014-03-28 02:59:33.308602	57178	21.3	1	8
2014-03-28 03:00:01.217411	57179	43	2	10
2014-03-28 03:00:01.450641	57180	21.3	1	10
2014-03-28 03:00:08.375093	57181	402	3	2
2014-03-28 03:00:08.597819	57182	1105642.2075773699	4	2
2014-03-28 03:00:10.989468	57183	52	2	9
2014-03-28 03:00:11.221805	57184	21.2	1	9
2014-03-28 03:00:12.088881	57185	46	2	8
2014-03-28 03:00:12.310287	57186	21.3	1	8
2014-03-28 03:00:20.376087	57187	402	3	2
2014-03-28 03:00:20.640111	57188	1105643.3566120912	4	2
2014-03-28 03:00:32.37557	57189	402	3	2
2014-03-28 03:00:32.597594	57190	1105644.5056468127	4	2
2014-03-28 03:00:40.225933	57191	43	2	10
2014-03-28 03:00:40.458691	57192	21.2	1	10
2014-03-28 03:00:49.987877	57193	52	2	9
2014-03-28 03:00:50.209679	57194	21.2	1	9
2014-03-28 03:00:51.142432	57195	46	2	8
2014-03-28 03:00:51.374204	57196	21.3	1	8
2014-03-28 03:01:19.219729	57197	43	2	10
2014-03-28 03:01:19.442025	57198	21.2	1	10
2014-03-28 03:01:28.989408	57199	52	2	9
2014-03-28 03:01:29.221394	57200	21.2	1	9
2014-03-28 03:01:30.08802	57201	46	2	8
2014-03-28 03:01:30.310034	57202	21.3	1	8
2014-03-28 03:01:58.219799	57203	43	2	10
2014-03-28 03:01:58.451779	57204	21.2	1	10
2014-03-28 03:02:07.993464	57205	52	2	9
2014-03-28 03:02:08.216555	57206	21.2	1	9
2014-03-28 03:02:09.08948	57207	46	2	8
2014-03-28 03:02:09.333309	57208	21.3	1	8
2014-03-28 03:02:32.37481	57209	370	3	2
2014-03-28 03:02:32.598496	57210	1105657.1450287483	4	2
2014-03-28 03:02:37.226902	57211	43	2	10
2014-03-28 03:02:37.645799	57212	21.2	1	10
2014-03-28 03:02:46.990591	57213	52	2	9
2014-03-28 03:02:47.213598	57214	21.2	1	9
2014-03-28 03:02:48.089702	57215	46	2	8
2014-03-28 03:02:48.311084	57216	21.3	1	8
2014-03-28 03:03:01.477515	57217	402	3	2
2014-03-28 03:03:01.707312	57218	1105659.4430981912	4	2
2014-03-28 03:03:16.222417	57219	43	2	10
2014-03-28 03:03:16.443889	57220	21.2	1	10
2014-03-28 03:03:25.989492	57221	52	2	9
2014-03-28 03:03:26.222067	57222	21.2	1	9
2014-03-28 03:03:27.087327	57223	46	2	8
2014-03-28 03:03:27.31089	57224	21.3	1	8
2014-03-28 03:03:32.372794	57225	402	3	2
2014-03-28 03:03:32.604623	57226	1105664.0392370766	4	2
2014-03-28 03:03:55.220821	57227	43	2	10
2014-03-28 03:03:55.44377	57228	21.2	1	10
2014-03-28 03:04:04.994062	57229	52	2	9
2014-03-28 03:04:05.228713	57230	21.2	1	9
2014-03-28 03:04:06.087797	57231	46	2	8
2014-03-28 03:04:06.308851	57232	21.3	1	8
2014-03-28 03:04:08.376332	57233	370	3	2
2014-03-28 03:04:08.60778	57234	1105667.486341241	4	2
2014-03-28 03:04:32.374517	57235	354	3	2
2014-03-28 03:04:32.598751	57236	1105669.784410684	4	2
2014-03-28 03:04:34.220331	57237	43	2	10
2014-03-28 03:04:34.454749	57238	21.2	1	10
2014-03-28 03:04:43.990395	57239	52	2	9
2014-03-28 03:04:44.212737	57240	21.2	1	9
2014-03-28 03:04:45.086458	57241	46	2	8
2014-03-28 03:04:45.316501	57242	21.3	1	8
2014-03-28 03:05:13.219566	57243	43	2	10
2014-03-28 03:05:13.441063	57244	21.2	1	10
2014-03-28 03:05:22.988951	57245	52	2	9
2014-03-28 03:05:23.221324	57246	21.2	1	9
2014-03-28 03:05:24.089782	57247	46	2	8
2014-03-28 03:05:24.308541	57248	21.3	1	8
2014-03-28 03:05:52.220362	57249	43	2	10
2014-03-28 03:05:52.452945	57250	21.2	1	10
2014-03-28 03:06:01.988439	57251	52	2	9
2014-03-28 03:06:02.210893	57252	21.2	1	9
2014-03-28 03:06:03.089425	57253	46	2	8
2014-03-28 03:06:03.32362	57254	21.3	1	8
2014-03-28 03:06:31.221709	57255	43	2	10
2014-03-28 03:06:31.443499	57256	21.2	1	10
2014-03-28 03:06:32.375203	57257	338	3	2
2014-03-28 03:06:32.61623	57258	1105681.274757898	4	2
2014-03-28 03:06:40.990942	57259	52	2	9
2014-03-28 03:06:41.212598	57260	21.2	1	9
2014-03-28 03:06:42.084364	57261	46	2	8
2014-03-28 03:06:42.317814	57262	21.2	1	8
2014-03-28 03:07:10.220964	57263	43	2	10
2014-03-28 03:07:10.44291	57264	21.2	1	10
2014-03-28 03:07:19.996006	57265	52	2	9
2014-03-28 03:07:20.226837	57266	21.2	1	9
2014-03-28 03:07:21.088028	57267	46	2	8
2014-03-28 03:07:21.308308	57268	21.2	1	8
2014-03-28 03:07:32.37321	57269	338	3	2
2014-03-28 03:07:32.604292	57270	1105687.019931505	4	2
2014-03-28 03:07:49.220722	57271	43	2	10
2014-03-28 03:07:49.44275	57272	21.2	1	10
2014-03-28 03:07:58.989364	57273	52	2	9
2014-03-28 03:07:59.22454	57274	21.2	1	9
2014-03-28 03:08:00.09037	57275	46	2	8
2014-03-28 03:08:00.311988	57276	21.2	1	8
2014-03-28 03:08:28.222992	57277	43	2	10
2014-03-28 03:08:28.454402	57278	21.2	1	10
2014-03-28 03:08:37.990011	57279	52	2	9
2014-03-28 03:08:38.214503	57280	21.2	1	9
2014-03-28 03:08:39.08568	57281	46	2	8
2014-03-28 03:08:39.319327	57282	21.2	1	8
2014-03-28 03:09:07.221546	57283	43	2	10
2014-03-28 03:09:07.445163	57284	21.2	1	10
2014-03-28 03:09:16.987462	57285	52	2	9
2014-03-28 03:09:17.219916	57286	21.2	1	9
2014-03-28 03:09:18.088029	57287	46	2	8
2014-03-28 03:09:18.310719	57288	21.2	1	8
2014-03-28 03:09:32.378936	57289	338	3	2
2014-03-28 03:09:32.61169	57290	1105698.5102787192	4	2
2014-03-28 03:09:46.23023	57291	43	2	10
2014-03-28 03:09:46.455602	57292	21.2	1	10
2014-03-28 03:09:55.989962	57293	52	2	9
2014-03-28 03:09:56.222601	57294	21.2	1	9
2014-03-28 03:09:57.087258	57295	46	2	8
2014-03-28 03:09:57.308686	57296	21.2	1	8
2014-03-28 03:10:25.222496	57297	43	2	10
2014-03-28 03:10:25.454708	57298	21.2	1	10
2014-03-28 03:10:32.375002	57299	354	3	2
2014-03-28 03:10:32.599929	57300	1105704.2554523263	4	2
2014-03-28 03:10:34.98937	57301	52	2	9
2014-03-28 03:10:35.219633	57302	21.2	1	9
2014-03-28 03:10:36.088258	57303	46	2	8
2014-03-28 03:10:36.310259	57304	21.2	1	8
2014-03-28 03:11:04.221709	57305	43	2	10
2014-03-28 03:11:04.464401	57306	21.2	1	10
2014-03-28 03:11:13.987449	57307	52	2	9
2014-03-28 03:11:14.213532	57308	21.2	1	9
2014-03-28 03:11:15.088308	57309	46	2	8
2014-03-28 03:11:15.319853	57310	21.2	1	8
2014-03-28 03:11:32.375614	57311	354	3	2
2014-03-28 03:11:32.59765	57312	1105710.0006259333	4	2
2014-03-28 03:11:43.222539	57313	43	2	10
2014-03-28 03:11:43.454787	57314	21.2	1	10
2014-03-28 03:11:52.989302	57315	52	2	9
2014-03-28 03:11:53.212974	57316	21.2	1	9
2014-03-28 03:11:54.088757	57317	46	2	8
2014-03-28 03:11:54.31882	57318	21.2	1	8
2014-03-28 03:12:20.375599	57319	402	3	2
2014-03-28 03:12:20.598567	57320	1105715.7457995403	4	2
2014-03-28 03:12:22.223085	57321	43	2	10
2014-03-28 03:12:22.454963	57322	21.2	1	10
2014-03-28 03:12:31.99442	57323	52	2	9
2014-03-28 03:12:32.216542	57324	21.2	1	9
2014-03-28 03:12:32.522743	57325	402	3	2
2014-03-28 03:12:32.753746	57326	1105716.8948342619	4	2
2014-03-28 03:12:33.088091	57327	46	2	8
2014-03-28 03:12:33.309888	57328	21.2	1	8
2014-03-28 03:13:01.221854	57329	43	2	10
2014-03-28 03:13:01.456359	57330	21.2	1	10
2014-03-28 03:13:10.993726	57331	52	2	9
2014-03-28 03:13:11.217024	57332	21.2	1	9
2014-03-28 03:13:12.090739	57333	46	2	8
2014-03-28 03:13:12.324166	57334	21.2	1	8
2014-03-28 03:13:32.374279	57335	402	3	2
2014-03-28 03:13:32.596858	57336	1105723.7890425904	4	2
2014-03-28 03:13:40.224663	57337	43	2	10
2014-03-28 03:13:40.456352	57338	21.2	1	10
2014-03-28 03:13:49.995971	57339	52	2	9
2014-03-28 03:13:50.221227	57340	21.2	1	9
2014-03-28 03:13:51.08771	57341	46	2	8
2014-03-28 03:13:51.323473	57342	21.2	1	8
2014-03-28 03:14:19.223315	57343	43	2	10
2014-03-28 03:14:19.447072	57344	21.2	1	10
2014-03-28 03:14:28.989122	57345	52	2	9
2014-03-28 03:14:29.221679	57346	21.2	1	9
2014-03-28 03:14:30.087741	57347	46	2	8
2014-03-28 03:14:30.312085	57348	21.2	1	8
2014-03-28 03:14:32.374902	57349	402	3	2
2014-03-28 03:14:32.606649	57350	1105729.5342161974	4	2
2014-03-28 03:14:56.37725	57351	370	3	2
2014-03-28 03:14:56.605081	57352	1105732.9813203616	4	2
2014-03-28 03:14:58.223648	57353	43	2	10
2014-03-28 03:14:58.466086	57354	21.2	1	10
2014-03-28 03:15:07.9914	57355	52	2	9
2014-03-28 03:15:08.214877	57356	21.2	1	9
2014-03-28 03:15:08.520924	57357	402	3	2
2014-03-28 03:15:08.752464	57358	1105734.1303550832	4	2
2014-03-28 03:15:09.08713	57359	46	2	8
2014-03-28 03:15:09.308008	57360	21.2	1	8
2014-03-28 03:15:20.374396	57361	402	3	2
2014-03-28 03:15:20.607857	57362	1105735.2793898045	4	2
2014-03-28 03:15:32.375979	57363	370	3	2
2014-03-28 03:15:32.598756	57364	1105736.4284245258	4	2
2014-03-28 03:15:37.223152	57365	43	2	10
2014-03-28 03:15:37.454386	57366	21.2	1	10
2014-03-28 03:15:44.378177	57367	402	3	2
2014-03-28 03:15:44.602579	57368	1105737.5774592473	4	2
2014-03-28 03:15:46.999332	57369	52	2	9
2014-03-28 03:15:47.22979	57370	21.1	1	9
2014-03-28 03:15:48.08722	57371	46	2	8
2014-03-28 03:15:48.310009	57372	21.2	1	8
2014-03-28 03:15:56.373397	57373	370	3	2
2014-03-28 03:15:56.612636	57374	1105738.7264939686	4	2
2014-03-28 03:16:08.373952	57375	370	3	2
2014-03-28 03:16:08.599525	57376	1105741.0245634115	4	2
2014-03-28 03:16:16.223602	57377	43	2	10
2014-03-28 03:16:16.455199	57378	21.2	1	10
2014-03-28 03:16:20.37499	57379	402	3	2
2014-03-28 03:16:20.597377	57380	1105742.173598133	4	2
2014-03-28 03:16:25.991524	57381	52	2	9
2014-03-28 03:16:26.222937	57382	21.1	1	9
2014-03-28 03:16:27.084878	57383	46	2	8
2014-03-28 03:16:27.306541	57384	21.2	1	8
2014-03-28 03:16:55.224243	57385	43	2	10
2014-03-28 03:16:55.455518	57386	21.2	1	10
2014-03-28 03:17:04.990049	57387	52	2	9
2014-03-28 03:17:05.212542	57388	21.1	1	9
2014-03-28 03:17:06.086926	57389	46	2	8
2014-03-28 03:17:06.318716	57390	21.2	1	8
2014-03-28 03:17:34.224297	57391	43	2	10
2014-03-28 03:17:34.446874	57392	21.2	1	10
2014-03-28 03:17:43.99447	57393	52	2	9
2014-03-28 03:17:44.228164	57394	21.1	1	9
2014-03-28 03:17:45.087043	57395	46	2	8
2014-03-28 03:17:45.309214	57396	21.2	1	8
2014-03-28 03:18:13.224434	57397	43	2	10
2014-03-28 03:18:13.457092	57398	21.2	1	10
2014-03-28 03:18:22.99014	57399	52	2	9
2014-03-28 03:18:23.212722	57400	21.1	1	9
2014-03-28 03:18:24.090288	57401	46	2	8
2014-03-28 03:18:24.332469	57402	21.2	1	8
2014-03-28 03:18:52.352462	57403	43	2	10
2014-03-28 03:18:52.780064	57404	21.2	1	10
2014-03-28 03:19:01.991461	57405	52	2	9
2014-03-28 03:19:02.227238	57406	21.1	1	9
2014-03-28 03:19:03.087928	57407	46	2	8
2014-03-28 03:19:03.31172	57408	21.2	1	8
2014-03-28 03:19:31.224358	57409	43	2	10
2014-03-28 03:19:31.457152	57410	21.2	1	10
2014-03-28 03:19:32.383945	57411	354	3	2
2014-03-28 03:19:32.606675	57412	1105760.5581536756	4	2
2014-03-28 03:19:40.989165	57413	52	2	9
2014-03-28 03:19:41.222661	57414	21.1	1	9
2014-03-28 03:19:42.086054	57415	46	2	8
2014-03-28 03:19:42.3086	57416	21.2	1	8
2014-03-28 03:20:10.22489	57417	43	2	10
2014-03-28 03:20:10.457419	57418	21.2	1	10
2014-03-28 03:20:19.990268	57419	52	2	9
2014-03-28 03:20:20.212552	57420	21.1	1	9
2014-03-28 03:20:21.085505	57421	46	2	8
2014-03-28 03:20:21.375712	57422	21.2	1	8
2014-03-28 03:20:32.373645	57423	354	3	2
2014-03-28 03:20:32.59853	57424	1105767.452362004	4	2
2014-03-28 03:20:49.225112	57425	43	2	10
2014-03-28 03:20:49.458857	57426	21.2	1	10
2014-03-28 03:20:58.989598	57427	52	2	9
2014-03-28 03:20:59.211862	57428	21.1	1	9
2014-03-28 03:21:00.088081	57429	46	2	8
2014-03-28 03:21:00.319642	57430	21.2	1	8
2014-03-28 03:21:28.224548	57431	43	2	10
2014-03-28 03:21:28.44733	57432	21.2	1	10
2014-03-28 03:21:32.374627	57433	354	3	2
2014-03-28 03:21:32.606698	57434	1105773.1975356112	4	2
2014-03-28 03:21:37.99052	57435	52	2	9
2014-03-28 03:21:38.210855	57436	21.1	1	9
2014-03-28 03:21:39.087108	57437	46	2	8
2014-03-28 03:21:39.318908	57438	21.2	1	8
2014-03-28 03:22:07.227218	57439	43	2	10
2014-03-28 03:22:07.448881	57440	21.2	1	10
2014-03-28 03:22:08.374905	57441	418	3	2
2014-03-28 03:22:08.606364	57442	1105776.6446397754	4	2
2014-03-28 03:22:16.990449	57443	52	2	9
2014-03-28 03:22:17.213476	57444	21.1	1	9
2014-03-28 03:22:18.089282	57445	46	2	8
2014-03-28 03:22:18.321043	57446	21.2	1	8
2014-03-28 03:22:46.227907	57447	43	2	10
2014-03-28 03:22:46.454734	57448	21.2	1	10
2014-03-28 03:22:55.987766	57449	52	2	9
2014-03-28 03:22:56.233179	57450	21.1	1	9
2014-03-28 03:22:57.08589	57451	46	2	8
2014-03-28 03:22:57.306556	57452	21.2	1	8
2014-03-28 03:23:25.225741	57453	43	2	10
2014-03-28 03:23:25.456639	57454	21.2	1	10
2014-03-28 03:23:34.992343	57455	52	2	9
2014-03-28 03:23:35.214732	57456	21.1	1	9
2014-03-28 03:23:36.090391	57457	46	2	8
2014-03-28 03:23:36.321183	57458	21.2	1	8
2014-03-28 03:24:04.225383	57459	43	2	10
2014-03-28 03:24:04.447374	57460	21.2	1	10
2014-03-28 03:24:13.989669	57461	52	2	9
2014-03-28 03:24:14.223543	57462	21.1	1	9
2014-03-28 03:24:15.08966	57463	46	2	8
2014-03-28 03:24:15.310572	57464	21.2	1	8
2014-03-28 03:24:43.227767	57465	43	2	10
2014-03-28 03:24:43.459547	57466	21.2	1	10
2014-03-28 03:24:44.37388	57467	450	3	2
2014-03-28 03:24:44.59744	57468	1105795.029195318	4	2
2014-03-28 03:24:52.992985	57469	52	2	9
2014-03-28 03:24:53.22604	57470	21.1	1	9
2014-03-28 03:24:54.087831	57471	46	2	8
2014-03-28 03:24:54.311381	57472	21.2	1	8
2014-03-28 03:25:22.225689	57473	43	2	10
2014-03-28 03:25:22.459341	57474	21.2	1	10
2014-03-28 03:25:31.987131	57475	52	2	9
2014-03-28 03:25:32.209658	57476	21.1	1	9
2014-03-28 03:25:32.518222	57477	450	3	2
2014-03-28 03:25:32.749282	57478	1105800.774368925	4	2
2014-03-28 03:25:33.090912	57479	46	2	8
2014-03-28 03:25:33.31159	57480	21.2	1	8
2014-03-28 03:26:01.228274	57481	43	2	10
2014-03-28 03:26:01.462457	57482	21.2	1	10
2014-03-28 03:26:10.988644	57483	52	2	9
2014-03-28 03:26:11.209798	57484	21.1	1	9
2014-03-28 03:26:12.0888	57485	46	2	8
2014-03-28 03:26:12.319238	57486	21.2	1	8
2014-03-28 03:26:32.372091	57487	450	3	2
2014-03-28 03:26:32.595872	57488	1105808.8176119751	4	2
2014-03-28 03:26:40.227099	57489	43	2	10
2014-03-28 03:26:40.459354	57490	21.2	1	10
2014-03-28 03:26:49.987812	57491	52	2	9
2014-03-28 03:26:50.209345	57492	21.1	1	9
2014-03-28 03:26:51.088243	57493	46	2	8
2014-03-28 03:26:51.320625	57494	21.2	1	8
2014-03-28 03:27:19.227551	57495	43	2	10
2014-03-28 03:27:19.449157	57496	21.2	1	10
2014-03-28 03:27:28.98983	57497	52	2	9
2014-03-28 03:27:29.2317	57498	21.1	1	9
2014-03-28 03:27:30.086297	57499	46	2	8
2014-03-28 03:27:30.307799	57500	21.2	1	8
2014-03-28 03:27:32.371129	57501	450	3	2
2014-03-28 03:27:32.604372	57502	1105814.5672565342	4	2
2014-03-28 03:27:58.226629	57503	43	2	10
2014-03-28 03:27:58.451614	57504	21.2	1	10
2014-03-28 03:28:07.990471	57505	52	2	9
2014-03-28 03:28:08.221741	57506	21.1	1	9
2014-03-28 03:28:09.08827	57507	46	2	8
2014-03-28 03:28:09.3095	57508	21.2	1	8
2014-03-28 03:28:37.228094	57509	43	2	10
2014-03-28 03:28:37.459681	57510	21.2	1	10
2014-03-28 03:28:46.991545	57511	52	2	9
2014-03-28 03:28:47.213375	57512	21.1	1	9
2014-03-28 03:28:48.086671	57513	46	2	8
2014-03-28 03:28:48.321294	57514	21.2	1	8
2014-03-28 03:29:16.227825	57515	43	2	10
2014-03-28 03:29:16.448729	57516	21.2	1	10
2014-03-28 03:29:20.375543	57517	402	3	2
2014-03-28 03:29:20.606806	57518	1105828.3556731914	4	2
2014-03-28 03:29:25.986303	57519	52	2	9
2014-03-28 03:29:26.209842	57520	21.1	1	9
2014-03-28 03:29:27.086339	57521	46	2	8
2014-03-28 03:29:27.318722	57522	21.2	1	8
2014-03-28 03:29:55.229016	57523	43	2	10
2014-03-28 03:29:55.451253	57524	21.2	1	10
2014-03-28 03:30:04.98852	57525	52	2	9
2014-03-28 03:30:05.2225	57526	21.1	1	9
2014-03-28 03:30:06.086157	57527	46	2	8
2014-03-28 03:30:06.309667	57528	21.2	1	8
2014-03-28 03:30:32.372984	57529	402	3	2
2014-03-28 03:30:32.604403	57530	1105836.3989162412	4	2
2014-03-28 03:30:34.227496	57531	43	2	10
2014-03-28 03:30:34.452477	57532	21.2	1	10
2014-03-28 03:30:43.989582	57533	52	2	9
2014-03-28 03:30:44.222005	57534	21.1	1	9
2014-03-28 03:30:45.088816	57535	46	2	8
2014-03-28 03:30:45.312458	57536	21.2	1	8
2014-03-28 03:31:13.228875	57537	43	2	10
2014-03-28 03:31:13.463116	57538	21.2	1	10
2014-03-28 03:31:22.990676	57539	52	2	9
2014-03-28 03:31:23.213092	57540	21.1	1	9
2014-03-28 03:31:24.0858	57541	46	2	8
2014-03-28 03:31:24.318095	57542	21.2	1	8
2014-03-28 03:31:32.372281	57543	402	3	2
2014-03-28 03:31:32.595489	57544	1105843.2931245696	4	2
2014-03-28 03:31:52.235502	57545	43	2	10
2014-03-28 03:31:52.477984	57546	21.2	1	10
2014-03-28 03:32:01.987105	57547	52	2	9
2014-03-28 03:32:02.212171	57548	21.1	1	9
2014-03-28 03:32:03.08575	57549	46	2	8
2014-03-28 03:32:03.318185	57550	21.2	1	8
2014-03-28 03:32:31.227182	57551	43	2	10
2014-03-28 03:32:31.448661	57552	21.2	1	10
2014-03-28 03:32:32.372707	57553	402	3	2
2014-03-28 03:32:32.604803	57554	1105850.1873328981	4	2
2014-03-28 03:32:40.988749	57555	52	2	9
2014-03-28 03:32:41.21001	57556	21.1	1	9
2014-03-28 03:32:42.084396	57557	46	2	8
2014-03-28 03:32:42.315113	57558	21.2	1	8
2014-03-28 03:33:10.227951	57559	43	2	10
2014-03-28 03:33:10.44935	57560	21.2	1	10
2014-03-28 03:33:19.987179	57561	52	2	9
2014-03-28 03:33:20.219558	57562	21.1	1	9
2014-03-28 03:33:21.087833	57563	46	2	8
2014-03-28 03:33:21.310169	57564	21.2	1	8
2014-03-28 03:33:32.373202	57565	402	3	2
2014-03-28 03:33:32.605057	57566	1105855.9325065052	4	2
2014-03-28 03:33:49.228662	57567	43	2	10
2014-03-28 03:33:49.449284	57568	21.2	1	10
2014-03-28 03:33:58.989228	57569	52	2	9
2014-03-28 03:33:59.228296	57570	21.1	1	9
2014-03-28 03:34:00.085651	57571	46	2	8
2014-03-28 03:34:00.307578	57572	21.2	1	8
2014-03-28 03:34:28.230743	57573	43	2	10
2014-03-28 03:34:28.464547	57574	21.2	1	10
2014-03-28 03:34:37.989445	57575	52	2	9
2014-03-28 03:34:38.215394	57576	21.1	1	9
2014-03-28 03:34:39.088179	57577	46	2	8
2014-03-28 03:34:39.327837	57578	21.2	1	8
2014-03-28 03:35:07.230792	57579	43	2	10
2014-03-28 03:35:07.453741	57580	21.2	1	10
2014-03-28 03:35:16.984915	57581	52	2	9
2014-03-28 03:35:17.220423	57582	21.1	1	9
2014-03-28 03:35:18.085457	57583	46	2	8
2014-03-28 03:35:18.306814	57584	21.2	1	8
2014-03-28 03:35:32.37275	57585	402	3	2
2014-03-28 03:35:32.604772	57586	1105869.7209231623	4	2
2014-03-28 03:35:46.23011	57587	43	2	10
2014-03-28 03:35:46.452852	57588	21.2	1	10
2014-03-28 03:35:56.19491	57589	52	2	9
2014-03-28 03:35:56.429925	57590	21.1	1	9
2014-03-28 03:35:56.734911	57591	354	3	2
2014-03-28 03:35:56.95892	57592	1105872.0189926052	4	2
2014-03-28 03:35:57.266225	57593	46	2	8
2014-03-28 03:35:57.513543	57594	21.2	1	8
2014-03-28 03:36:25.22823	57595	43	2	10
2014-03-28 03:36:25.450717	57596	21.2	1	10
2014-03-28 03:36:32.373315	57597	354	3	2
2014-03-28 03:36:32.605582	57598	1105875.4660967693	4	2
2014-03-28 03:36:34.988923	57599	52	2	9
2014-03-28 03:36:35.21028	57600	21.1	1	9
2014-03-28 03:36:36.086688	57601	46	2	8
2014-03-28 03:36:36.317063	57602	21.2	1	8
2014-03-28 03:37:04.03018	57603	402	3	2
2014-03-28 03:37:04.252543	57604	1105878.9132009335	4	2
2014-03-28 03:37:04.558835	57605	43	2	10
2014-03-28 03:37:04.791296	57606	21.2	1	10
2014-03-28 03:37:13.988492	57607	52	2	9
2014-03-28 03:37:14.210867	57608	21.1	1	9
2014-03-28 03:37:15.085064	57609	46	2	8
2014-03-28 03:37:15.315432	57610	21.2	1	8
2014-03-28 03:37:32.370913	57611	402	3	2
2014-03-28 03:37:32.594768	57612	1105882.360305098	4	2
2014-03-28 03:37:43.435642	57613	43	2	10
2014-03-28 03:37:43.67118	57614	21.2	1	10
2014-03-28 03:37:52.991547	57615	52	2	9
2014-03-28 03:37:53.214031	57616	21.1	1	9
2014-03-28 03:37:54.086666	57617	46	2	8
2014-03-28 03:37:54.316538	57618	21.2	1	8
2014-03-28 03:38:22.228821	57619	43	2	10
2014-03-28 03:38:22.451201	57620	21.2	1	10
2014-03-28 03:38:31.992547	57621	52	2	9
2014-03-28 03:38:32.223303	57622	21.1	1	9
2014-03-28 03:38:33.08573	57623	46	2	8
2014-03-28 03:38:33.305762	57624	21.2	1	8
2014-03-28 03:39:01.230666	57625	43	2	10
2014-03-28 03:39:01.461537	57626	21.2	1	10
2014-03-28 03:39:08.373098	57627	370	3	2
2014-03-28 03:39:08.596029	57628	1105892.7016175906	4	2
2014-03-28 03:39:10.990436	57629	52	2	9
2014-03-28 03:39:11.220501	57630	21.1	1	9
2014-03-28 03:39:12.086987	57631	46	2	8
2014-03-28 03:39:12.307936	57632	21.2	1	8
2014-03-28 03:39:20.37329	57633	402	3	2
2014-03-28 03:39:20.604554	57634	1105893.850652312	4	2
2014-03-28 03:39:32.36989	57635	402	3	2
2014-03-28 03:39:32.593743	57636	1105896.1487217548	4	2
2014-03-28 03:39:40.230442	57637	43	2	10
2014-03-28 03:39:40.461993	57638	21.2	1	10
2014-03-28 03:39:49.994654	57639	52	2	9
2014-03-28 03:39:50.216751	57640	21.1	1	9
2014-03-28 03:39:51.087762	57641	46	2	8
2014-03-28 03:39:51.328913	57642	21.2	1	8
2014-03-28 03:39:56.37029	57643	370	3	2
2014-03-28 03:39:56.591692	57644	1105898.4467911976	4	2
2014-03-28 03:40:19.229024	57645	43	2	10
2014-03-28 03:40:19.46153	57646	21.2	1	10
2014-03-28 03:40:20.371728	57647	370	3	2
2014-03-28 03:40:20.593418	57648	1105900.7448606405	4	2
2014-03-28 03:40:28.988227	57649	52	2	9
2014-03-28 03:40:29.222628	57650	21.1	1	9
2014-03-28 03:40:30.086453	57651	46	2	8
2014-03-28 03:40:30.309625	57652	21.2	1	8
2014-03-28 03:40:32.370085	57653	370	3	2
2014-03-28 03:40:32.601778	57654	1105901.8938953618	4	2
2014-03-28 03:40:58.232442	57655	43	2	10
2014-03-28 03:40:58.454497	57656	21.2	1	10
2014-03-28 03:41:07.988299	57657	52	2	9
2014-03-28 03:41:08.220968	57658	21.1	1	9
2014-03-28 03:41:09.084466	57659	46	2	8
2014-03-28 03:41:09.308704	57660	21.2	1	8
2014-03-28 03:41:37.230688	57661	43	2	10
2014-03-28 03:41:37.463562	57662	21.2	1	10
2014-03-28 03:41:46.98596	57663	52	2	9
2014-03-28 03:41:47.22805	57664	21.1	1	9
2014-03-28 03:41:48.084956	57665	46	2	8
2014-03-28 03:41:48.317203	57666	21.2	1	8
2014-03-28 03:42:16.231271	57667	43	2	10
2014-03-28 03:42:16.455018	57668	21.2	1	10
2014-03-28 03:42:25.989012	57669	52	2	9
2014-03-28 03:42:26.223537	57670	21.1	1	9
2014-03-28 03:42:27.087497	57671	46	2	8
2014-03-28 03:42:27.309222	57672	21.2	1	8
2014-03-28 03:42:32.372433	57673	338	3	2
2014-03-28 03:42:32.609512	57674	1105914.5332772974	4	2
2014-03-28 03:42:55.235519	57675	43	2	10
2014-03-28 03:42:55.45857	57676	21.2	1	10
2014-03-28 03:43:04.993209	57677	52	2	9
2014-03-28 03:43:05.226616	57678	21.1	1	9
2014-03-28 03:43:06.08765	57679	46	2	8
2014-03-28 03:43:06.309146	57680	21.2	1	8
2014-03-28 03:43:32.370511	57681	354	3	2
2014-03-28 03:43:32.603406	57682	1105920.2784509044	4	2
2014-03-28 03:43:34.232602	57683	43	2	10
2014-03-28 03:43:34.454934	57684	21.2	1	10
2014-03-28 03:43:43.992006	57685	52	2	9
2014-03-28 03:43:44.225467	57686	21.1	1	9
2014-03-28 03:43:45.087261	57687	46	2	8
2014-03-28 03:43:45.309018	57688	21.2	1	8
2014-03-28 03:44:13.232277	57689	43	2	10
2014-03-28 03:44:13.4765	57690	21.2	1	10
2014-03-28 03:44:22.986091	57691	52	2	9
2014-03-28 03:44:23.207577	57692	21.1	1	9
2014-03-28 03:44:24.087775	57693	46	2	8
2014-03-28 03:44:24.318523	57694	21.2	1	8
2014-03-28 03:44:32.369247	57695	338	3	2
2014-03-28 03:44:32.590744	57696	1105926.0236245117	4	2
2014-03-28 03:44:52.231739	57697	43	2	10
2014-03-28 03:44:52.490093	57698	21.2	1	10
2014-03-28 03:45:01.990993	57699	52	2	9
2014-03-28 03:45:02.213945	57700	21.1	1	9
2014-03-28 03:45:03.087725	57701	46	2	8
2014-03-28 03:45:03.318878	57702	21.2	1	8
2014-03-28 03:45:31.233701	57703	43	2	10
2014-03-28 03:45:31.455731	57704	21.2	1	10
2014-03-28 03:45:32.371308	57705	338	3	2
2014-03-28 03:45:32.60334	57706	1105931.7687981187	4	2
2014-03-28 03:45:40.987709	57707	52	2	9
2014-03-28 03:45:41.212159	57708	21.1	1	9
2014-03-28 03:45:42.088759	57709	46	2	8
2014-03-28 03:45:42.319522	57710	21.2	1	8
2014-03-28 03:46:10.232667	57711	43	2	10
2014-03-28 03:46:10.454798	57712	21.2	1	10
2014-03-28 03:46:19.993229	57713	52	2	9
2014-03-28 03:46:20.227329	57714	21.1	1	9
2014-03-28 03:46:21.086438	57715	46	2	8
2014-03-28 03:46:21.310213	57716	21.2	1	8
2014-03-28 03:46:49.232519	57717	43	2	10
2014-03-28 03:46:49.466722	57718	21.2	1	10
2014-03-28 03:46:58.990749	57719	52	2	9
2014-03-28 03:46:59.214304	57720	21.1	1	9
2014-03-28 03:47:00.085636	57721	46	2	8
2014-03-28 03:47:00.31673	57722	21.2	1	8
2014-03-28 03:47:28.233557	57723	43	2	10
2014-03-28 03:47:28.457554	57724	21.2	1	10
2014-03-28 03:47:38.00132	57725	52	2	9
2014-03-28 03:47:38.247215	57726	21.0	1	9
2014-03-28 03:47:39.086255	57727	46	2	8
2014-03-28 03:47:39.308134	57728	21.2	1	8
2014-03-28 03:48:07.233724	57729	43	2	10
2014-03-28 03:48:07.46691	57730	21.2	1	10
2014-03-28 03:48:16.98899	57731	52	2	9
2014-03-28 03:48:17.210795	57732	21.0	1	9
2014-03-28 03:48:18.084909	57733	46	2	8
2014-03-28 03:48:18.315963	57734	21.2	1	8
2014-03-28 03:48:46.232674	57735	43	2	10
2014-03-28 03:48:46.455759	57736	21.3	1	10
2014-03-28 03:48:55.990686	57737	52	2	9
2014-03-28 03:48:56.232863	57738	21.0	1	9
2014-03-28 03:48:57.084568	57739	46	2	8
2014-03-28 03:48:57.305267	57740	21.2	1	8
2014-03-28 03:49:25.232687	57741	43	2	10
2014-03-28 03:49:25.463184	57742	21.3	1	10
2014-03-28 03:49:32.369621	57743	370	3	2
2014-03-28 03:49:32.592214	57744	1105953.6004578255	4	2
2014-03-28 03:49:34.993014	57745	52	2	9
2014-03-28 03:49:35.224338	57746	21.0	1	9
2014-03-28 03:49:36.086683	57747	46	2	8
2014-03-28 03:49:36.307574	57748	21.2	1	8
2014-03-28 03:49:44.370608	57749	370	3	2
2014-03-28 03:49:44.601641	57750	1105954.749492547	4	2
2014-03-28 03:50:04.233385	57751	43	2	10
2014-03-28 03:50:04.454861	57752	21.3	1	10
2014-03-28 03:50:13.989131	57753	52	2	9
2014-03-28 03:50:14.223495	57754	21.0	1	9
2014-03-28 03:50:15.08712	57755	46	2	8
2014-03-28 03:50:15.307259	57756	21.2	1	8
2014-03-28 03:50:43.233459	57757	43	2	10
2014-03-28 03:50:43.465093	57758	21.3	1	10
2014-03-28 03:50:52.989236	57759	52	2	9
2014-03-28 03:50:53.212545	57760	21.0	1	9
2014-03-28 03:50:54.085835	57761	46	2	8
2014-03-28 03:50:54.317158	57762	21.2	1	8
2014-03-28 03:51:08.372328	57763	370	3	2
2014-03-28 03:51:08.593659	57764	1105963.9417703182	4	2
2014-03-28 03:51:22.280411	57765	43	2	10
2014-03-28 03:51:22.521535	57766	21.3	1	10
2014-03-28 03:51:31.989682	57767	52	2	9
2014-03-28 03:51:32.213262	57768	21.0	1	9
2014-03-28 03:51:32.51899	57769	370	3	2
2014-03-28 03:51:32.749833	57770	1105966.239839761	4	2
2014-03-28 03:51:33.085388	57771	46	2	8
2014-03-28 03:51:33.307891	57772	21.2	1	8
2014-03-28 03:52:01.23344	57773	43	2	10
2014-03-28 03:52:01.474637	57774	21.3	1	10
2014-03-28 03:52:10.989315	57775	52	2	9
2014-03-28 03:52:11.212707	57776	21.0	1	9
2014-03-28 03:52:12.085379	57777	46	2	8
2014-03-28 03:52:12.317765	57778	21.2	1	8
2014-03-28 03:52:40.23311	57779	43	2	10
2014-03-28 03:52:40.457001	57780	21.3	1	10
2014-03-28 03:52:44.371959	57781	402	3	2
2014-03-28 03:52:44.60606	57782	1105974.283082811	4	2
2014-03-28 03:52:49.987671	57783	52	2	9
2014-03-28 03:52:50.210903	57784	21.0	1	9
2014-03-28 03:52:51.083902	57785	46	2	8
2014-03-28 03:52:51.327443	57786	21.2	1	8
2014-03-28 03:52:56.369601	57787	370	3	2
2014-03-28 03:52:56.594858	57788	1105975.4321175325	4	2
2014-03-28 03:53:08.370297	57789	370	3	2
2014-03-28 03:53:08.604126	57790	1105976.5811522538	4	2
2014-03-28 03:53:19.234313	57791	43	2	10
2014-03-28 03:53:19.455173	57792	21.3	1	10
2014-03-28 03:53:28.988794	57793	52	2	9
2014-03-28 03:53:29.221416	57794	21.0	1	9
2014-03-28 03:53:30.085835	57795	46	2	8
2014-03-28 03:53:30.30697	57796	21.2	1	8
2014-03-28 03:53:32.369856	57797	402	3	2
2014-03-28 03:53:32.604295	57798	1105978.8792216966	4	2
2014-03-28 03:53:44.370176	57799	370	3	2
2014-03-28 03:53:44.595057	57800	1105980.0282564182	4	2
2014-03-28 03:53:56.368638	57801	370	3	2
2014-03-28 03:53:56.602307	57802	1105981.1772911395	4	2
2014-03-28 03:53:58.234152	57803	43	2	10
2014-03-28 03:53:58.45855	57804	21.3	1	10
2014-03-28 03:54:07.987643	57805	52	2	9
2014-03-28 03:54:08.218645	57806	21.0	1	9
2014-03-28 03:54:09.085288	57807	46	2	8
2014-03-28 03:54:09.306491	57808	21.2	1	8
2014-03-28 03:54:32.369622	57809	338	3	2
2014-03-28 03:54:32.602946	57810	1105984.6243953037	4	2
2014-03-28 03:54:37.234417	57811	43	2	10
2014-03-28 03:54:37.456741	57812	21.3	1	10
2014-03-28 03:54:44.370027	57813	338	3	2
2014-03-28 03:54:44.601754	57814	1105985.7734300252	4	2
2014-03-28 03:54:46.988001	57815	52	2	9
2014-03-28 03:54:47.209454	57816	21.0	1	9
2014-03-28 03:54:48.084892	57817	46	2	8
2014-03-28 03:54:48.316201	57818	21.2	1	8
2014-03-28 03:55:16.234016	57819	43	2	10
2014-03-28 03:55:16.456648	57820	21.3	1	10
2014-03-28 03:55:25.990639	57821	52	2	9
2014-03-28 03:55:26.222299	57822	21.0	1	9
2014-03-28 03:55:27.086541	57823	46	2	8
2014-03-28 03:55:27.306199	57824	21.2	1	8
2014-03-28 03:55:32.369106	57825	354	3	2
2014-03-28 03:55:32.603915	57826	1105990.369568911	4	2
2014-03-28 03:55:55.235323	57827	43	2	10
2014-03-28 03:55:55.457268	57828	21.3	1	10
2014-03-28 03:56:04.98935	57829	52	2	9
2014-03-28 03:56:05.221967	57830	21.0	1	9
2014-03-28 03:56:06.086878	57831	46	2	8
2014-03-28 03:56:06.308751	57832	21.2	1	8
2014-03-28 03:56:32.370548	57833	338	3	2
2014-03-28 03:56:32.613517	57834	1105996.114742518	4	2
2014-03-28 03:56:34.23695	57835	43	2	10
2014-03-28 03:56:34.457835	57836	21.2	1	10
2014-03-28 03:56:43.987466	57837	52	2	9
2014-03-28 03:56:44.22396	57838	21.0	1	9
2014-03-28 03:56:45.087064	57839	46	2	8
2014-03-28 03:56:45.311346	57840	21.2	1	8
2014-03-28 03:57:13.237015	57841	43	2	10
2014-03-28 03:57:13.4692	57842	21.2	1	10
2014-03-28 03:57:22.991558	57843	52	2	9
2014-03-28 03:57:23.213702	57844	21.0	1	9
2014-03-28 03:57:24.084988	57845	46	2	8
2014-03-28 03:57:24.31854	57846	21.1	1	8
2014-03-28 03:57:52.235765	57847	43	2	10
2014-03-28 03:57:52.460599	57848	21.2	1	10
2014-03-28 03:58:01.987588	57849	52	2	9
2014-03-28 03:58:02.219495	57850	21.0	1	9
2014-03-28 03:58:03.086467	57851	46	2	8
2014-03-28 03:58:03.307093	57852	21.1	1	8
2014-03-28 03:58:31.235313	57853	43	2	10
2014-03-28 03:58:31.466216	57854	21.2	1	10
2014-03-28 03:58:32.370076	57855	338	3	2
2014-03-28 03:58:32.593869	57856	1106007.605089732	4	2
2014-03-28 03:58:40.990247	57857	52	2	9
2014-03-28 03:58:41.222943	57858	21.0	1	9
2014-03-28 03:58:42.086032	57859	46	2	8
2014-03-28 03:58:42.30653	57860	21.1	1	8
2014-03-28 03:59:10.236486	57861	43	2	10
2014-03-28 03:59:10.467817	57862	21.2	1	10
2014-03-28 03:59:19.987785	57863	51	2	9
2014-03-28 03:59:20.210162	57864	21.0	1	9
2014-03-28 03:59:21.08509	57865	46	2	8
2014-03-28 03:59:21.316671	57866	21.1	1	8
2014-03-28 03:59:49.236244	57867	43	2	10
2014-03-28 03:59:49.457018	57868	21.2	1	10
2014-03-28 03:59:58.985466	57869	51	2	9
2014-03-28 03:59:59.218316	57870	21.0	1	9
2014-03-28 04:00:00.086491	57871	46	2	8
2014-03-28 04:00:00.309159	57872	21.1	1	8
2014-03-28 04:00:28.235356	57873	43	2	10
2014-03-28 04:00:28.467786	57874	21.2	1	10
2014-03-28 04:00:32.371354	57875	354	3	2
2014-03-28 04:00:32.593913	57876	1106019.0954369463	4	2
2014-03-28 04:00:37.989114	57877	51	2	9
2014-03-28 04:00:38.221147	57878	21.0	1	9
2014-03-28 04:00:39.086479	57879	46	2	8
2014-03-28 04:00:39.30781	57880	21.1	1	8
2014-03-28 04:01:07.23651	57881	43	2	10
2014-03-28 04:01:07.479424	57882	21.2	1	10
2014-03-28 04:01:16.986385	57883	51	2	9
2014-03-28 04:01:17.209265	57884	21.0	1	9
2014-03-28 04:01:18.088097	57885	46	2	8
2014-03-28 04:01:18.320756	57886	21.1	1	8
2014-03-28 04:01:32.370064	57887	338	3	2
2014-03-28 04:01:32.592689	57888	1106024.8406105533	4	2
2014-03-28 04:01:44.3693	57889	370	3	2
2014-03-28 04:01:44.601003	57890	1106025.9896452746	4	2
2014-03-28 04:01:46.238202	57891	43	2	10
2014-03-28 04:01:46.46014	57892	21.2	1	10
2014-03-28 04:01:55.986635	57893	51	2	9
2014-03-28 04:01:56.220223	57894	21.0	1	9
2014-03-28 04:01:57.087422	57895	46	2	8
2014-03-28 04:01:57.310386	57896	21.1	1	8
2014-03-28 04:02:25.237311	57897	43	2	10
2014-03-28 04:02:25.467963	57898	21.3	1	10
2014-03-28 04:02:34.988903	57899	51	2	9
2014-03-28 04:02:35.211026	57900	21.0	1	9
2014-03-28 04:02:36.084105	57901	46	2	8
2014-03-28 04:02:36.317762	57902	21.1	1	8
2014-03-28 04:03:04.236945	57903	43	2	10
2014-03-28 04:03:04.463538	57904	21.3	1	10
2014-03-28 04:03:13.98745	57905	51	2	9
2014-03-28 04:03:14.222035	57906	21.0	1	9
2014-03-28 04:03:15.085308	57907	46	2	8
2014-03-28 04:03:15.307222	57908	21.1	1	8
2014-03-28 04:03:43.237425	57909	43	2	10
2014-03-28 04:03:43.472607	57910	21.3	1	10
2014-03-28 04:03:44.370341	57911	402	3	2
2014-03-28 04:03:44.592742	57912	1106038.6290272102	4	2
2014-03-28 04:03:52.98747	57913	51	2	9
2014-03-28 04:03:53.275698	57914	21.0	1	9
2014-03-28 04:03:54.085235	57915	46	2	8
2014-03-28 04:03:54.308059	57916	21.1	1	8
2014-03-28 04:04:08.36923	57917	370	3	2
2014-03-28 04:04:08.603343	57918	1106042.0761313746	4	2
2014-03-28 04:04:22.238657	57919	43	2	10
2014-03-28 04:04:22.459553	57920	21.3	1	10
2014-03-28 04:04:31.986325	57921	52	2	9
2014-03-28 04:04:32.216745	57922	20.9	1	9
2014-03-28 04:04:32.523854	57923	402	3	2
2014-03-28 04:04:32.746719	57924	1106044.3742008172	4	2
2014-03-28 04:04:33.086544	57925	46	2	8
2014-03-28 04:04:33.318859	57926	21.1	1	8
2014-03-28 04:04:44.371923	57927	402	3	2
2014-03-28 04:04:44.593573	57928	1106045.5232355387	4	2
2014-03-28 04:05:01.237254	57929	43	2	10
2014-03-28 04:05:01.478999	57930	21.3	1	10
2014-03-28 04:05:08.36776	57931	370	3	2
2014-03-28 04:05:08.59029	57932	1106047.8213049816	4	2
2014-03-28 04:05:10.988814	57933	52	2	9
2014-03-28 04:05:11.220358	57934	20.9	1	9
2014-03-28 04:05:12.084205	57935	46	2	8
2014-03-28 04:05:12.30601	57936	21.1	1	8
2014-03-28 04:05:40.237911	57937	43	2	10
2014-03-28 04:05:40.468672	57938	21.3	1	10
2014-03-28 04:05:49.985479	57939	52	2	9
2014-03-28 04:05:50.207031	57940	20.9	1	9
2014-03-28 04:05:51.085501	57941	46	2	8
2014-03-28 04:05:51.316129	57942	21.1	1	8
2014-03-28 04:06:19.236376	57943	43	2	10
2014-03-28 04:06:19.458655	57944	21.3	1	10
2014-03-28 04:06:28.989569	57945	52	2	9
2014-03-28 04:06:29.220477	57946	20.9	1	9
2014-03-28 04:06:30.087082	57947	46	2	8
2014-03-28 04:06:30.307872	57948	21.1	1	8
2014-03-28 04:06:58.239203	57949	43	2	10
2014-03-28 04:06:58.477498	57950	21.3	1	10
2014-03-28 04:07:07.986667	57951	52	2	9
2014-03-28 04:07:08.210946	57952	20.9	1	9
2014-03-28 04:07:09.086214	57953	46	2	8
2014-03-28 04:07:09.33704	57954	21.1	1	8
2014-03-28 04:07:37.246864	57955	43	2	10
2014-03-28 04:07:37.469445	57956	21.3	1	10
2014-03-28 04:07:46.988929	57957	52	2	9
2014-03-28 04:07:47.221541	57958	20.9	1	9
2014-03-28 04:07:48.083995	57959	46	2	8
2014-03-28 04:07:48.307925	57960	21.1	1	8
2014-03-28 04:08:16.239097	57961	43	2	10
2014-03-28 04:08:16.47213	57962	21.2	1	10
2014-03-28 04:08:25.987139	57963	52	2	9
2014-03-28 04:08:26.208936	57964	20.9	1	9
2014-03-28 04:08:27.084912	57965	46	2	8
2014-03-28 04:08:27.316351	57966	21.1	1	8
2014-03-28 04:08:32.373353	57967	338	3	2
2014-03-28 04:08:32.594416	57968	1106068.503929967	4	2
2014-03-28 04:08:55.238569	57969	43	2	10
2014-03-28 04:08:55.471297	57970	21.2	1	10
2014-03-28 04:09:04.98752	57971	52	2	9
2014-03-28 04:09:05.21206	57972	20.9	1	9
2014-03-28 04:09:06.085519	57973	46	2	8
2014-03-28 04:09:06.316655	57974	21.1	1	8
2014-03-28 04:09:32.369327	57975	338	3	2
2014-03-28 04:09:32.59228	57976	1106074.249103574	4	2
2014-03-28 04:09:34.240793	57977	43	2	10
2014-03-28 04:09:34.483799	57978	21.3	1	10
2014-03-28 04:09:43.989012	57979	52	2	9
2014-03-28 04:09:44.210361	57980	20.9	1	9
2014-03-28 04:09:45.084797	57981	46	2	8
2014-03-28 04:09:45.315613	57982	21.1	1	8
2014-03-28 04:10:13.237992	57983	43	2	10
2014-03-28 04:10:13.459367	57984	21.3	1	10
2014-03-28 04:10:22.991656	57985	52	2	9
2014-03-28 04:10:23.243219	57986	20.9	1	9
2014-03-28 04:10:24.085187	57987	46	2	8
2014-03-28 04:10:24.305756	57988	21.1	1	8
2014-03-28 04:10:32.369884	57989	338	3	2
2014-03-28 04:10:32.601472	57990	1106079.994277181	4	2
2014-03-28 04:10:52.239481	57991	43	2	10
2014-03-28 04:10:52.461615	57992	21.3	1	10
2014-03-28 04:11:01.991448	57993	52	2	9
2014-03-28 04:11:02.223997	57994	20.9	1	9
2014-03-28 04:11:03.083364	57995	46	2	8
2014-03-28 04:11:03.30478	57996	21.1	1	8
2014-03-28 04:11:31.239354	57997	43	2	10
2014-03-28 04:11:31.472056	57998	21.3	1	10
2014-03-28 04:11:32.369816	57999	338	3	2
2014-03-28 04:11:32.591191	58000	1106085.7394507884	4	2
2014-03-28 04:11:40.98934	58001	52	2	9
2014-03-28 04:11:41.221008	58002	20.9	1	9
2014-03-28 04:11:42.085332	58003	46	2	8
2014-03-28 04:11:42.307049	58004	21.1	1	8
2014-03-28 04:12:10.23922	58005	43	2	10
2014-03-28 04:12:10.471744	58006	21.3	1	10
2014-03-28 04:12:19.98744	58007	52	2	9
2014-03-28 04:12:20.213065	58008	20.9	1	9
2014-03-28 04:12:20.519537	58009	869	3	2
2014-03-28 04:12:20.750899	58010	1106090.3355896738	4	2
2014-03-28 04:12:21.087675	58011	46	2	8
2014-03-28 04:12:21.309187	58012	21.1	1	8
2014-03-28 04:12:32.369811	58013	402	3	2
2014-03-28 04:12:32.601061	58014	1106091.4846243954	4	2
2014-03-28 04:12:44.367778	58015	402	3	2
2014-03-28 04:12:44.592429	58016	1106092.6336591167	4	2
2014-03-28 04:12:49.241276	58017	43	2	10
2014-03-28 04:12:49.473713	58018	21.3	1	10
2014-03-28 04:12:58.988237	58019	52	2	9
2014-03-28 04:12:59.211606	58020	20.9	1	9
2014-03-28 04:13:00.085635	58021	46	2	8
2014-03-28 04:13:00.318739	58022	21.1	1	8
2014-03-28 04:13:28.239677	58023	43	2	10
2014-03-28 04:13:28.463044	58024	21.3	1	10
2014-03-28 04:13:32.37216	58025	418	3	2
2014-03-28 04:13:32.613431	58026	1106098.3788327237	4	2
2014-03-28 04:13:37.984136	58027	52	2	9
2014-03-28 04:13:38.209264	58028	20.9	1	9
2014-03-28 04:13:39.085669	58029	46	2	8
2014-03-28 04:13:39.502369	58030	21.1	1	8
2014-03-28 04:14:07.239106	58031	43	2	10
2014-03-28 04:14:07.466959	58032	21.3	1	10
2014-03-28 04:14:08.367468	58033	450	3	2
2014-03-28 04:14:08.588879	58034	1106102.9749716094	4	2
2014-03-28 04:14:16.986462	58035	52	2	9
2014-03-28 04:14:17.215262	58036	20.9	1	9
2014-03-28 04:14:18.08398	58037	46	2	8
2014-03-28 04:14:18.30346	58038	21.1	1	8
2014-03-28 04:14:20.372193	58039	450	3	2
2014-03-28 04:14:20.602365	58040	1106104.124006331	4	2
2014-03-28 04:14:32.369056	58041	450	3	2
2014-03-28 04:14:32.590777	58042	1106105.2730410523	4	2
2014-03-28 04:14:46.239479	58043	43	2	10
2014-03-28 04:14:46.468887	58044	21.3	1	10
2014-03-28 04:14:55.984913	58045	52	2	9
2014-03-28 04:14:56.206463	58046	20.9	1	9
2014-03-28 04:14:57.084053	58047	46	2	8
2014-03-28 04:14:57.312924	58048	21.1	1	8
2014-03-28 04:15:25.240915	58049	43	2	10
2014-03-28 04:15:25.461573	58050	21.3	1	10
2014-03-28 04:15:34.984934	58051	52	2	9
2014-03-28 04:15:35.215891	58052	20.9	1	9
2014-03-28 04:15:36.084134	58053	46	2	8
2014-03-28 04:15:36.305885	58054	21.1	1	8
2014-03-28 04:16:04.241241	58055	43	2	10
2014-03-28 04:16:04.473287	58056	21.3	1	10
2014-03-28 04:16:13.988805	58057	52	2	9
2014-03-28 04:16:14.20824	58058	20.9	1	9
2014-03-28 04:16:15.084716	58059	46	2	8
2014-03-28 04:16:15.315503	58060	21.1	1	8
2014-03-28 04:16:32.369346	58061	450	3	2
2014-03-28 04:16:32.590867	58062	1106119.0659286615	4	2
2014-03-28 04:16:43.238157	58063	43	2	10
2014-03-28 04:16:43.469334	58064	21.3	1	10
2014-03-28 04:16:52.98772	58065	52	2	9
2014-03-28 04:16:53.208516	58066	20.9	1	9
2014-03-28 04:16:54.084364	58067	46	2	8
2014-03-28 04:16:54.31818	58068	21.1	1	8
2014-03-28 04:17:22.241757	58069	43	2	10
2014-03-28 04:17:22.464847	58070	21.3	1	10
2014-03-28 04:17:31.987499	58071	52	2	9
2014-03-28 04:17:32.221005	58072	20.9	1	9
2014-03-28 04:17:32.52887	58073	434	3	2
2014-03-28 04:17:32.748974	58074	1106127.1091717114	4	2
2014-03-28 04:17:33.086621	58075	46	2	8
2014-03-28 04:17:33.327361	58076	21.1	1	8
2014-03-28 04:18:01.243948	58077	43	2	10
2014-03-28 04:18:01.468724	58078	21.3	1	10
2014-03-28 04:18:10.986663	58079	52	2	9
2014-03-28 04:18:11.220565	58080	20.9	1	9
2014-03-28 04:18:12.083723	58081	46	2	8
2014-03-28 04:18:12.306358	58082	21.1	1	8
2014-03-28 04:18:32.36976	58083	418	3	2
2014-03-28 04:18:32.600606	58084	1106134.00338004	4	2
2014-03-28 04:18:40.244121	58085	43	2	10
2014-03-28 04:18:40.467583	58086	21.3	1	10
2014-03-28 04:18:49.987117	58087	52	2	9
2014-03-28 04:18:50.219391	58088	20.9	1	9
2014-03-28 04:18:51.085204	58089	46	2	8
2014-03-28 04:18:51.309224	58090	21.1	1	8
2014-03-28 04:19:19.242047	58091	43	2	10
2014-03-28 04:19:19.474342	58092	21.3	1	10
2014-03-28 04:19:28.989369	58093	52	2	9
2014-03-28 04:19:29.211159	58094	20.9	1	9
2014-03-28 04:19:30.084969	58095	46	2	8
2014-03-28 04:19:30.316002	58096	21.1	1	8
2014-03-28 04:19:32.366347	58097	354	3	2
2014-03-28 04:19:32.588875	58098	1106140.8975883683	4	2
2014-03-28 04:19:58.241834	58099	43	2	10
2014-03-28 04:19:58.475438	58100	21.3	1	10
2014-03-28 04:20:07.985366	58101	52	2	9
2014-03-28 04:20:08.241678	58102	20.9	1	9
2014-03-28 04:20:09.085142	58103	46	2	8
2014-03-28 04:20:09.349493	58104	21.1	1	8
2014-03-28 04:20:32.368578	58105	354	3	2
2014-03-28 04:20:32.643534	58106	1106146.6427619755	4	2
2014-03-28 04:20:37.242262	58107	43	2	10
2014-03-28 04:20:37.505922	58108	21.3	1	10
2014-03-28 04:20:46.987733	58109	52	2	9
2014-03-28 04:20:47.244034	58110	20.9	1	9
2014-03-28 04:20:48.084069	58111	46	2	8
2014-03-28 04:20:48.34944	58112	21.1	1	8
2014-03-28 04:21:16.242365	58113	43	2	10
2014-03-28 04:21:16.464424	58114	21.3	1	10
2014-03-28 04:21:25.991938	58115	52	2	9
2014-03-28 04:21:26.223857	58116	20.9	1	9
2014-03-28 04:21:27.085046	58117	46	2	8
2014-03-28 04:21:27.307499	58118	21.1	1	8
2014-03-28 04:21:32.368972	58119	370	3	2
2014-03-28 04:21:32.599515	58120	1106152.3879355825	4	2
2014-03-28 04:21:44.368107	58121	418	3	2
2014-03-28 04:21:44.589478	58122	1106153.5369703039	4	2
2014-03-28 04:21:55.241671	58123	43	2	10
2014-03-28 04:21:55.485113	58124	21.3	1	10
2014-03-28 04:21:56.367822	58125	402	3	2
2014-03-28 04:21:56.587251	58126	1106155.8350397467	4	2
2014-03-28 04:22:04.989502	58127	52	2	9
2014-03-28 04:22:05.222232	58128	20.9	1	9
2014-03-28 04:22:06.084191	58129	46	2	8
2014-03-28 04:22:06.305067	58130	21.1	1	8
2014-03-28 04:22:32.368685	58131	402	3	2
2014-03-28 04:22:32.601323	58132	1106159.282143911	4	2
2014-03-28 04:22:34.241602	58133	43	2	10
2014-03-28 04:22:34.463065	58134	21.3	1	10
2014-03-28 04:22:43.986401	58135	52	2	9
2014-03-28 04:22:44.220675	58136	20.9	1	9
2014-03-28 04:22:45.089833	58137	46	2	8
2014-03-28 04:22:45.588022	58138	21.1	1	8
2014-03-28 04:23:13.242475	58139	43	2	10
2014-03-28 04:23:13.476742	58140	21.3	1	10
2014-03-28 04:23:22.984462	58141	52	2	9
2014-03-28 04:23:23.240123	58142	20.9	1	9
2014-03-28 04:23:24.085405	58143	46	2	8
2014-03-28 04:23:24.317622	58144	21.1	1	8
2014-03-28 04:23:32.369373	58145	370	3	2
2014-03-28 04:23:32.590257	58146	1106166.1763522394	4	2
2014-03-28 04:23:52.2438	58147	43	2	10
2014-03-28 04:23:52.475451	58148	21.3	1	10
2014-03-28 04:23:56.36973	58149	402	3	2
2014-03-28 04:23:56.593512	58150	1106168.4744216823	4	2
2014-03-28 04:24:01.985847	58151	52	2	9
2014-03-28 04:24:02.219855	58152	20.9	1	9
2014-03-28 04:24:03.084274	58153	46	2	8
2014-03-28 04:24:03.307097	58154	21.1	1	8
2014-03-28 04:24:08.368104	58155	370	3	2
2014-03-28 04:24:08.600364	58156	1106169.6234564038	4	2
2014-03-28 04:24:20.368901	58157	370	3	2
2014-03-28 04:24:20.59125	58158	1106170.7724911252	4	2
2014-03-28 04:24:31.243213	58159	43	2	10
2014-03-28 04:24:31.476673	58160	21.3	1	10
2014-03-28 04:24:32.368915	58161	370	3	2
2014-03-28 04:24:32.589519	58162	1106171.9215258467	4	2
2014-03-28 04:24:40.98942	58163	52	2	9
2014-03-28 04:24:41.220694	58164	20.9	1	9
2014-03-28 04:24:42.087459	58165	46	2	8
2014-03-28 04:24:42.307643	58166	21.1	1	8
2014-03-28 04:25:10.244317	58167	43	2	10
2014-03-28 04:25:10.47669	58168	21.3	1	10
2014-03-28 04:25:19.984754	58169	52	2	9
2014-03-28 04:25:20.207274	58170	20.9	1	9
2014-03-28 04:25:21.084237	58171	46	2	8
2014-03-28 04:25:21.326361	58172	21.1	1	8
2014-03-28 04:25:34.428581	58173	370	3	2
2014-03-28 04:25:34.656044	58174	1106178.815734175	4	2
2014-03-28 04:25:49.242173	58175	43	2	10
2014-03-28 04:25:49.473993	58176	21.3	1	10
2014-03-28 04:25:58.987017	58177	52	2	9
2014-03-28 04:25:59.227993	58178	20.9	1	9
2014-03-28 04:26:00.084649	58179	46	2	8
2014-03-28 04:26:00.32101	58180	21.1	1	8
2014-03-28 04:26:28.243573	58181	43	2	10
2014-03-28 04:26:28.471249	58182	21.3	1	10
2014-03-28 04:26:37.986765	58183	52	2	9
2014-03-28 04:26:38.217227	58184	20.9	1	9
2014-03-28 04:26:39.083937	58185	46	2	8
2014-03-28 04:26:39.304374	58186	21.1	1	8
2014-03-28 04:26:52.429539	58187	370	3	2
2014-03-28 04:26:52.660851	58188	1106185.7099425036	4	2
2014-03-28 04:26:56.365416	58189	370	3	2
2014-03-28 04:26:56.586832	58190	1106186.858977225	4	2
2014-03-28 04:27:07.243433	58191	43	2	10
2014-03-28 04:27:07.473895	58192	21.3	1	10
2014-03-28 04:27:16.987066	58193	52	2	9
2014-03-28 04:27:17.208179	58194	20.9	1	9
2014-03-28 04:27:18.085194	58195	46	2	8
2014-03-28 04:27:18.314861	58196	21.1	1	8
2014-03-28 04:27:32.368673	58197	402	3	2
2014-03-28 04:27:32.59167	58198	1106190.3060813893	4	2
2014-03-28 04:27:46.243515	58199	43	2	10
2014-03-28 04:27:46.479145	58200	21.3	1	10
2014-03-28 04:27:55.988905	58201	52	2	9
2014-03-28 04:27:56.211498	58202	20.9	1	9
2014-03-28 04:27:57.085604	58203	46	2	8
2014-03-28 04:27:57.317207	58204	21.1	1	8
2014-03-28 04:28:08.369393	58205	370	3	2
2014-03-28 04:28:08.59034	58206	1106194.9022202748	4	2
2014-03-28 04:28:25.049385	58207	370	3	2
2014-03-28 04:28:25.280098	58208	1106196.0512549963	4	2
2014-03-28 04:28:25.58317	58209	43	2	10
2014-03-28 04:28:25.805449	58210	21.3	1	10
2014-03-28 04:28:34.987875	58211	52	2	9
2014-03-28 04:28:35.220572	58212	20.9	1	9
2014-03-28 04:28:36.08646	58213	46	2	8
2014-03-28 04:28:36.306634	58214	21.1	1	8
2014-03-28 04:29:04.247343	58215	43	2	10
2014-03-28 04:29:04.477513	58216	21.3	1	10
2014-03-28 04:29:13.985697	58217	52	2	9
2014-03-28 04:29:14.207961	58218	20.9	1	9
2014-03-28 04:29:15.085221	58219	46	2	8
2014-03-28 04:29:15.328629	58220	21.1	1	8
2014-03-28 04:29:32.36773	58221	370	3	2
2014-03-28 04:29:32.589496	58222	1106202.945463325	4	2
2014-03-28 04:29:43.243426	58223	43	2	10
2014-03-28 04:29:43.476673	58224	21.3	1	10
2014-03-28 04:29:52.988916	58225	52	2	9
2014-03-28 04:29:53.209884	58226	20.9	1	9
2014-03-28 04:29:54.113174	58227	46	2	8
2014-03-28 04:29:54.345404	58228	21.1	1	8
2014-03-28 04:30:22.24362	58229	43	2	10
2014-03-28 04:30:22.466151	58230	21.3	1	10
2014-03-28 04:30:31.989231	58231	52	2	9
2014-03-28 04:30:32.218778	58232	20.9	1	9
2014-03-28 04:30:32.52615	58233	370	3	2
2014-03-28 04:30:32.748044	58234	1106209.8396716532	4	2
2014-03-28 04:30:33.084265	58235	46	2	8
2014-03-28 04:30:33.314365	58236	21.1	1	8
2014-03-28 04:31:01.24468	58237	43	2	10
2014-03-28 04:31:01.465122	58238	21.3	1	10
2014-03-28 04:31:11.003784	58239	52	2	9
2014-03-28 04:31:11.236296	58240	20.9	1	9
2014-03-28 04:31:12.084879	58241	46	2	8
2014-03-28 04:31:12.306337	58242	21.1	1	8
2014-03-28 04:31:32.369196	58243	370	3	2
2014-03-28 04:31:32.600076	58244	1106215.5848452603	4	2
2014-03-28 04:31:40.243918	58245	43	2	10
2014-03-28 04:31:40.466466	58246	21.3	1	10
2014-03-28 04:31:49.988862	58247	52	2	9
2014-03-28 04:31:50.220166	58248	20.9	1	9
2014-03-28 04:31:51.091101	58249	46	2	8
2014-03-28 04:31:51.313264	58250	21.1	1	8
2014-03-28 04:32:08.36615	58251	338	3	2
2014-03-28 04:32:08.59588	58252	1106219.0319494247	4	2
2014-03-28 04:32:19.244824	58253	43	2	10
2014-03-28 04:32:19.467244	58254	21.3	1	10
2014-03-28 04:32:28.985248	58255	52	2	9
2014-03-28 04:32:29.216781	58256	20.9	1	9
2014-03-28 04:32:30.084306	58257	46	2	8
2014-03-28 04:32:30.304238	58258	21.1	1	8
2014-03-28 04:32:32.367777	58259	338	3	2
2014-03-28 04:32:32.598459	58260	1106221.3300188675	4	2
2014-03-28 04:32:58.244841	58261	43	2	10
2014-03-28 04:32:58.469251	58262	21.3	1	10
2014-03-28 04:33:07.98691	58263	52	2	9
2014-03-28 04:33:08.218244	58264	20.9	1	9
2014-03-28 04:33:09.083261	58265	46	2	8
2014-03-28 04:33:09.303572	58266	21.1	1	8
2014-03-28 04:33:32.366917	58267	338	3	2
2014-03-28 04:33:32.612335	58268	1106227.0751924745	4	2
2014-03-28 04:33:37.244544	58269	43	2	10
2014-03-28 04:33:37.465905	58270	21.3	1	10
2014-03-28 04:33:46.991365	58271	52	2	9
2014-03-28 04:33:47.223585	58272	20.9	1	9
2014-03-28 04:33:48.086558	58273	46	2	8
2014-03-28 04:33:48.310878	58274	21.1	1	8
2014-03-28 04:34:16.247558	58275	43	2	10
2014-03-28 04:34:16.479473	58276	21.3	1	10
2014-03-28 04:34:25.9864	58277	52	2	9
2014-03-28 04:34:26.209708	58278	20.9	1	9
2014-03-28 04:34:27.084725	58279	46	2	8
2014-03-28 04:34:27.317998	58280	21.1	1	8
2014-03-28 04:34:55.245527	58281	43	2	10
2014-03-28 04:34:55.468681	58282	21.3	1	10
2014-03-28 04:35:05.192384	58283	52	2	9
2014-03-28 04:35:05.42674	58284	20.9	1	9
2014-03-28 04:35:06.083614	58285	46	2	8
2014-03-28 04:35:06.307758	58286	21.1	1	8
2014-03-28 04:35:34.245787	58287	43	2	10
2014-03-28 04:35:34.477928	58288	21.3	1	10
2014-03-28 04:35:43.983284	58289	52	2	9
2014-03-28 04:35:44.203805	58290	20.9	1	9
2014-03-28 04:35:45.083282	58291	46	2	8
2014-03-28 04:35:45.313511	58292	21.1	1	8
2014-03-28 04:36:08.36765	58293	305	3	2
2014-03-28 04:36:08.592048	58294	1106242.012643853	4	2
2014-03-28 04:36:13.245258	58295	43	2	10
2014-03-28 04:36:13.475413	58296	21.3	1	10
2014-03-28 04:36:22.985339	58297	52	2	9
2014-03-28 04:36:23.207231	58298	20.9	1	9
2014-03-28 04:36:24.083462	58299	46	2	8
2014-03-28 04:36:24.31411	58300	21.1	1	8
2014-03-28 04:36:52.246429	58301	43	2	10
2014-03-28 04:36:52.467409	58302	21.3	1	10
2014-03-28 04:37:01.984465	58303	52	2	9
2014-03-28 04:37:02.216258	58304	20.9	1	9
2014-03-28 04:37:03.084015	58305	46	2	8
2014-03-28 04:37:03.304757	58306	21.1	1	8
2014-03-28 04:37:31.247613	58307	43	2	10
2014-03-28 04:37:31.481329	58308	21.3	1	10
2014-03-28 04:37:32.366738	58309	338	3	2
2014-03-28 04:37:32.588171	58310	1106250.0558869028	4	2
2014-03-28 04:37:40.985172	58311	52	2	9
2014-03-28 04:37:41.218188	58312	20.9	1	9
2014-03-28 04:37:42.083287	58313	46	2	8
2014-03-28 04:37:42.304227	58314	21.1	1	8
2014-03-28 04:38:10.245885	58315	43	2	10
2014-03-28 04:38:10.488811	58316	21.3	1	10
2014-03-28 04:38:19.988261	58317	52	2	9
2014-03-28 04:38:20.211353	58318	20.9	1	9
2014-03-28 04:38:21.084206	58319	46	2	8
2014-03-28 04:38:21.315843	58320	21.1	1	8
2014-03-28 04:38:49.246825	58321	43	2	10
2014-03-28 04:38:49.467343	58322	21.3	1	10
2014-03-28 04:38:58.989406	58323	52	2	9
2014-03-28 04:38:59.221613	58324	20.9	1	9
2014-03-28 04:39:00.085102	58325	46	2	8
2014-03-28 04:39:00.306273	58326	21.1	1	8
2014-03-28 04:39:20.364706	58327	370	3	2
2014-03-28 04:39:20.595136	58328	1106260.3971993956	4	2
2014-03-28 04:39:28.246799	58329	43	2	10
2014-03-28 04:39:28.470057	58330	21.3	1	10
2014-03-28 04:39:37.985967	58331	52	2	9
2014-03-28 04:39:38.218062	58332	20.9	1	9
2014-03-28 04:39:39.083738	58333	46	2	8
2014-03-28 04:39:39.305723	58334	21.1	1	8
2014-03-28 04:40:07.250329	58335	43	2	10
2014-03-28 04:40:07.481752	58336	21.3	1	10
2014-03-28 04:40:16.985446	58337	52	2	9
2014-03-28 04:40:17.217014	58338	20.9	1	9
2014-03-28 04:40:18.083698	58339	46	2	8
2014-03-28 04:40:18.316231	58340	21.1	1	8
2014-03-28 04:40:46.248179	58341	43	2	10
2014-03-28 04:40:46.47333	58342	21.3	1	10
2014-03-28 04:40:55.987422	58343	52	2	9
2014-03-28 04:40:56.219544	58344	20.9	1	9
2014-03-28 04:40:57.084053	58345	46	2	8
2014-03-28 04:40:57.310405	58346	21.0	1	8
2014-03-28 04:41:25.248164	58347	43	2	10
2014-03-28 04:41:25.481621	58348	21.3	1	10
2014-03-28 04:41:32.364382	58349	370	3	2
2014-03-28 04:41:32.587846	58350	1106274.1856160525	4	2
2014-03-28 04:41:34.983389	58351	52	2	9
2014-03-28 04:41:35.21458	58352	20.9	1	9
2014-03-28 04:41:36.084384	58353	46	2	8
2014-03-28 04:41:36.30504	58354	21.0	1	8
2014-03-28 04:41:44.366182	58355	402	3	2
2014-03-28 04:41:44.599623	58356	1106275.334650774	4	2
2014-03-28 04:41:56.364624	58357	370	3	2
2014-03-28 04:41:56.588542	58358	1106276.4836854953	4	2
2014-03-28 04:42:04.248645	58359	43	2	10
2014-03-28 04:42:04.480395	58360	21.3	1	10
2014-03-28 04:42:13.992085	58361	52	2	9
2014-03-28 04:42:14.213579	58362	20.9	1	9
2014-03-28 04:42:15.085157	58363	46	2	8
2014-03-28 04:42:15.327338	58364	21.0	1	8
2014-03-28 04:42:43.248162	58365	43	2	10
2014-03-28 04:42:43.470832	58366	21.3	1	10
2014-03-28 04:42:44.364584	58367	402	3	2
2014-03-28 04:42:44.596105	58368	1106282.2288591024	4	2
2014-03-28 04:42:52.988493	58369	52	2	9
2014-03-28 04:42:53.21057	58370	20.9	1	9
2014-03-28 04:42:54.085268	58371	46	2	8
2014-03-28 04:42:54.315926	58372	21.0	1	8
2014-03-28 04:42:56.364931	58373	370	3	2
2014-03-28 04:42:56.586408	58374	1106283.377893824	4	2
2014-03-28 04:43:08.36508	58375	370	3	2
2014-03-28 04:43:08.59818	58376	1106284.5269285452	4	2
2014-03-28 04:43:20.364851	58377	402	3	2
2014-03-28 04:43:20.586714	58378	1106285.6759632668	4	2
2014-03-28 04:43:22.249149	58379	43	2	10
2014-03-28 04:43:22.480306	58380	21.3	1	10
2014-03-28 04:43:31.987649	58381	52	2	9
2014-03-28 04:43:32.208963	58382	20.9	1	9
2014-03-28 04:43:33.08439	58383	46	2	8
2014-03-28 04:43:33.316773	58384	21.0	1	8
2014-03-28 04:43:44.365336	58385	370	3	2
2014-03-28 04:43:44.587685	58386	1106287.9740327096	4	2
2014-03-28 04:44:01.250428	58387	43	2	10
2014-03-28 04:44:01.481539	58388	21.3	1	10
2014-03-28 04:44:10.986416	58389	52	2	9
2014-03-28 04:44:11.20792	58390	20.9	1	9
2014-03-28 04:44:12.084197	58391	46	2	8
2014-03-28 04:44:12.315527	58392	21.0	1	8
2014-03-28 04:44:32.36379	58393	338	3	2
2014-03-28 04:44:32.585128	58394	1106292.570171595	4	2
2014-03-28 04:44:40.249088	58395	43	2	10
2014-03-28 04:44:40.480143	58396	21.3	1	10
2014-03-28 04:44:44.367112	58397	338	3	2
2014-03-28 04:44:44.588626	58398	1106293.7192063166	4	2
2014-03-28 04:44:49.988317	58399	52	2	9
2014-03-28 04:44:50.220304	58400	20.9	1	9
2014-03-28 04:44:51.082433	58401	46	2	8
2014-03-28 04:44:51.304823	58402	21.0	1	8
2014-03-28 04:45:19.25003	58403	43	2	10
2014-03-28 04:45:19.481191	58404	21.3	1	10
2014-03-28 04:45:28.992406	58405	52	2	9
2014-03-28 04:45:29.213628	58406	20.9	1	9
2014-03-28 04:45:30.082499	58407	46	2	8
2014-03-28 04:45:30.316142	58408	21.0	1	8
2014-03-28 04:45:58.250215	58409	43	2	10
2014-03-28 04:45:58.473118	58410	21.3	1	10
2014-03-28 04:46:07.984811	58411	52	2	9
2014-03-28 04:46:08.227187	58412	20.9	1	9
2014-03-28 04:46:09.083139	58413	46	2	8
2014-03-28 04:46:09.304674	58414	21.0	1	8
2014-03-28 04:46:37.24948	58415	43	2	10
2014-03-28 04:46:37.483158	58416	21.3	1	10
2014-03-28 04:46:46.985208	58417	52	2	9
2014-03-28 04:46:47.207071	58418	20.8	1	9
2014-03-28 04:46:48.084156	58419	46	2	8
2014-03-28 04:46:48.315014	58420	21.0	1	8
2014-03-28 04:47:16.24978	58421	43	2	10
2014-03-28 04:47:16.474921	58422	21.3	1	10
2014-03-28 04:47:25.990624	58423	52	2	9
2014-03-28 04:47:26.224283	58424	20.8	1	9
2014-03-28 04:47:27.084125	58425	46	2	8
2014-03-28 04:47:27.305008	58426	21.0	1	8
2014-03-28 04:47:55.250875	58427	43	2	10
2014-03-28 04:47:55.484465	58428	21.3	1	10
2014-03-28 04:48:04.98454	58429	52	2	9
2014-03-28 04:48:05.207106	58430	20.8	1	9
2014-03-28 04:48:06.0828	58431	46	2	8
2014-03-28 04:48:06.315381	58432	21.0	1	8
2014-03-28 04:48:34.25163	58433	43	2	10
2014-03-28 04:48:34.47341	58434	21.3	1	10
2014-03-28 04:48:43.987665	58435	52	2	9
2014-03-28 04:48:44.218782	58436	20.8	1	9
2014-03-28 04:48:45.083672	58437	46	2	8
2014-03-28 04:48:45.304257	58438	21.0	1	8
2014-03-28 04:49:13.250426	58439	43	2	10
2014-03-28 04:49:13.484451	58440	21.3	1	10
2014-03-28 04:49:22.990527	58441	52	2	9
2014-03-28 04:49:23.224132	58442	20.8	1	9
2014-03-28 04:49:24.141828	58443	46	2	8
2014-03-28 04:49:24.374813	58444	21.0	1	8
2014-03-28 04:49:32.365008	58445	338	3	2
2014-03-28 04:49:32.587802	58446	1106322.445074352	4	2
2014-03-28 04:49:52.25077	58447	43	2	10
2014-03-28 04:49:52.483312	58448	21.3	1	10
2014-03-28 04:50:01.987896	58449	52	2	9
2014-03-28 04:50:02.212684	58450	20.8	1	9
2014-03-28 04:50:03.085397	58451	46	2	8
2014-03-28 04:50:03.324707	58452	21.0	1	8
2014-03-28 04:50:31.252277	58453	43	2	10
2014-03-28 04:50:31.475333	58454	21.3	1	10
2014-03-28 04:50:40.985465	58455	52	2	9
2014-03-28 04:50:41.22013	58456	20.8	1	9
2014-03-28 04:50:42.084082	58457	46	2	8
2014-03-28 04:50:42.306489	58458	21.0	1	8
2014-03-28 04:51:10.249964	58459	43	2	10
2014-03-28 04:51:10.494425	58460	21.3	1	10
2014-03-28 04:51:19.99132	58461	52	2	9
2014-03-28 04:51:20.213262	58462	20.8	1	9
2014-03-28 04:51:21.082987	58463	46	2	8
2014-03-28 04:51:21.313752	58464	21.0	1	8
2014-03-28 04:51:49.250338	58465	43	2	10
2014-03-28 04:51:49.491373	58466	21.3	1	10
2014-03-28 04:51:56.367174	58467	402	3	2
2014-03-28 04:51:56.60055	58468	1106336.2334910089	4	2
2014-03-28 04:51:58.989134	58469	52	2	9
2014-03-28 04:51:59.209942	58470	20.8	1	9
2014-03-28 04:52:00.083246	58471	46	2	8
2014-03-28 04:52:00.315456	58472	21.0	1	8
2014-03-28 04:52:08.365203	58473	402	3	2
2014-03-28 04:52:08.591337	58474	1106337.3825257304	4	2
2014-03-28 04:52:28.252301	58475	43	2	10
2014-03-28 04:52:28.485499	58476	21.3	1	10
2014-03-28 04:52:32.365196	58477	402	3	2
2014-03-28 04:52:32.589821	58478	1106339.6805951733	4	2
2014-03-28 04:52:37.989125	58479	52	2	9
2014-03-28 04:52:38.243176	58480	20.8	1	9
2014-03-28 04:52:39.084462	58481	46	2	8
2014-03-28 04:52:39.306163	58482	21.0	1	8
2014-03-28 04:52:44.364763	58483	370	3	2
2014-03-28 04:52:44.597957	58484	1106341.978664616	4	2
2014-03-28 04:52:56.363729	58485	370	3	2
2014-03-28 04:52:56.585348	58486	1106343.1276993374	4	2
2014-03-28 04:53:07.251483	58487	43	2	10
2014-03-28 04:53:07.483456	58488	21.3	1	10
2014-03-28 04:53:16.988562	58489	52	2	9
2014-03-28 04:53:17.209604	58490	20.8	1	9
2014-03-28 04:53:18.082141	58491	46	2	8
2014-03-28 04:53:18.313794	58492	21.0	1	8
2014-03-28 04:53:32.363998	58493	370	3	2
2014-03-28 04:53:32.584925	58494	1106346.5748035016	4	2
2014-03-28 04:53:46.25129	58495	43	2	10
2014-03-28 04:53:46.483395	58496	21.3	1	10
2014-03-28 04:53:55.99049	58497	52	2	9
2014-03-28 04:53:56.213326	58498	20.8	1	9
2014-03-28 04:53:57.084267	58499	46	2	8
2014-03-28 04:53:57.315408	58500	21.0	1	8
2014-03-28 04:54:25.25146	58501	43	2	10
2014-03-28 04:54:25.473273	58502	21.3	1	10
2014-03-28 04:54:32.365795	58503	370	3	2
2014-03-28 04:54:32.596322	58504	1106352.3199771089	4	2
2014-03-28 04:54:34.985553	58505	52	2	9
2014-03-28 04:54:35.206005	58506	20.8	1	9
2014-03-28 04:54:36.084027	58507	46	2	8
2014-03-28 04:54:36.324842	58508	21.0	1	8
2014-03-28 04:55:04.254159	58509	43	2	10
2014-03-28 04:55:04.475568	58510	21.3	1	10
2014-03-28 04:55:13.792367	58511	402	3	2
2014-03-28 04:55:14.024896	58512	1106356.9161159943	4	2
2014-03-28 04:55:14.331342	58513	52	2	9
2014-03-28 04:55:14.553671	58514	20.8	1	9
2014-03-28 04:55:15.085681	58515	46	2	8
2014-03-28 04:55:15.315758	58516	21.0	1	8
2014-03-28 04:55:32.363153	58517	402	3	2
2014-03-28 04:55:32.58498	58518	1106359.2141854372	4	2
2014-03-28 04:55:43.253585	58519	43	2	10
2014-03-28 04:55:43.484606	58520	21.3	1	10
2014-03-28 04:55:44.367389	58521	370	3	2
2014-03-28 04:55:44.589519	58522	1106360.3632201587	4	2
2014-03-28 04:55:52.985139	58523	52	2	9
2014-03-28 04:55:53.218258	58524	20.8	1	9
2014-03-28 04:55:54.082984	58525	45	2	8
2014-03-28 04:55:54.305972	58526	21.0	1	8
2014-03-28 04:55:56.36571	58527	402	3	2
2014-03-28 04:55:56.597778	58528	1106361.51225488	4	2
2014-03-28 04:56:22.054864	58529	402	3	2
2014-03-28 04:56:22.277651	58530	1106362.6612896016	4	2
2014-03-28 04:56:22.580665	58531	43	2	10
2014-03-28 04:56:22.810231	58532	21.3	1	10
2014-03-28 04:56:31.985225	58533	52	2	9
2014-03-28 04:56:32.206474	58534	20.8	1	9
2014-03-28 04:56:32.513614	58535	402	3	2
2014-03-28 04:56:32.744642	58536	1106366.1083937658	4	2
2014-03-28 04:56:33.084973	58537	45	2	8
2014-03-28 04:56:33.307572	58538	21.0	1	8
2014-03-28 04:56:44.367799	58539	338	3	2
2014-03-28 04:56:44.599464	58540	1106367.257428487	4	2
2014-03-28 04:56:56.366801	58541	354	3	2
2014-03-28 04:56:56.588597	58542	1106368.4064632086	4	2
2014-03-28 04:57:01.252216	58543	43	2	10
2014-03-28 04:57:01.487081	58544	21.3	1	10
2014-03-28 04:57:10.984826	58545	52	2	9
2014-03-28 04:57:11.206755	58546	20.8	1	9
2014-03-28 04:57:12.083814	58547	45	2	8
2014-03-28 04:57:12.315184	58548	21.0	1	8
2014-03-28 04:57:40.253144	58549	43	2	10
2014-03-28 04:57:40.477077	58550	21.3	1	10
2014-03-28 04:57:49.989453	58551	52	2	9
2014-03-28 04:57:50.221713	58552	20.8	1	9
2014-03-28 04:57:51.083766	58553	45	2	8
2014-03-28 04:57:51.305156	58554	21.0	1	8
2014-03-28 04:58:19.253363	58555	43	2	10
2014-03-28 04:58:19.497091	58556	21.3	1	10
2014-03-28 04:58:28.987067	58557	52	2	9
2014-03-28 04:58:29.208883	58558	20.8	1	9
2014-03-28 04:58:30.082404	58559	45	2	8
2014-03-28 04:58:30.312608	58560	21.0	1	8
2014-03-28 04:58:32.364009	58561	338	3	2
2014-03-28 04:58:32.584826	58562	1106377.5987409798	4	2
2014-03-28 04:58:58.25305	58563	43	2	10
2014-03-28 04:58:58.484958	58564	21.3	1	10
2014-03-28 04:59:07.992592	58565	52	2	9
2014-03-28 04:59:08.213791	58566	20.8	1	9
2014-03-28 04:59:09.083853	58567	45	2	8
2014-03-28 04:59:09.314696	58568	21.0	1	8
2014-03-28 04:59:37.054245	58569	338	3	2
2014-03-28 04:59:37.277023	58570	1106383.343914587	4	2
2014-03-28 04:59:37.580721	58571	43	2	10
2014-03-28 04:59:37.81357	58572	21.3	1	10
2014-03-28 04:59:46.987219	58573	52	2	9
2014-03-28 04:59:47.209759	58574	20.8	1	9
2014-03-28 04:59:48.083371	58575	45	2	8
2014-03-28 04:59:48.315102	58576	21.0	1	8
2014-03-28 05:00:16.255897	58577	43	2	10
2014-03-28 05:00:16.477623	58578	21.3	1	10
2014-03-28 05:00:25.982326	58579	52	2	9
2014-03-28 05:00:26.217166	58580	20.8	1	9
2014-03-28 05:00:27.087343	58581	45	2	8
2014-03-28 05:00:27.309565	58582	21.0	1	8
2014-03-28 05:00:40.409192	58583	338	3	2
2014-03-28 05:00:40.64145	58584	1106389.089088194	4	2
2014-03-28 05:00:55.255546	58585	43	2	10
2014-03-28 05:00:55.476802	58586	21.3	1	10
2014-03-28 05:01:04.9862	58587	52	2	9
2014-03-28 05:01:05.219221	58588	20.8	1	9
2014-03-28 05:01:06.083229	58589	45	2	8
2014-03-28 05:01:06.307634	58590	21.0	1	8
2014-03-28 05:01:32.363317	58591	338	3	2
2014-03-28 05:01:32.594554	58592	1106394.834261801	4	2
2014-03-28 05:01:34.257068	58593	43	2	10
2014-03-28 05:01:34.478887	58594	21.3	1	10
2014-03-28 05:01:43.988864	58595	52	2	9
2014-03-28 05:01:44.223512	58596	20.8	1	9
2014-03-28 05:01:45.083757	58597	45	2	8
2014-03-28 05:01:45.306832	58598	21.0	1	8
2014-03-28 05:02:13.254885	58599	43	2	10
2014-03-28 05:02:13.486961	58600	21.3	1	10
2014-03-28 05:02:22.986197	58601	52	2	9
2014-03-28 05:02:23.207678	58602	20.8	1	9
2014-03-28 05:02:24.085928	58603	45	2	8
2014-03-28 05:02:24.328527	58604	21.0	1	8
2014-03-28 05:02:32.365821	58605	338	3	2
2014-03-28 05:02:32.588512	58606	1106399.434871639	4	2
2014-03-28 05:02:52.25299	58607	43	2	10
2014-03-28 05:02:52.487669	58608	21.3	1	10
2014-03-28 05:03:01.985402	58609	52	2	9
2014-03-28 05:03:02.208633	58610	20.8	1	9
2014-03-28 05:03:03.086014	58611	45	2	8
2014-03-28 05:03:03.319746	58612	21.0	1	8
2014-03-28 05:03:31.254542	58613	43	2	10
2014-03-28 05:03:31.476358	58614	21.3	1	10
2014-03-28 05:03:40.986545	58615	52	2	9
2014-03-28 05:03:41.217099	58616	20.8	1	9
2014-03-28 05:03:42.082319	58617	45	2	8
2014-03-28 05:03:42.302723	58618	21.0	1	8
2014-03-28 05:03:44.363227	58619	402	3	2
2014-03-28 05:03:44.593947	58620	1106406.3290799675	4	2
2014-03-28 05:03:56.363361	58621	434	3	2
2014-03-28 05:03:56.58527	58622	1106407.4781146888	4	2
2014-03-28 05:04:10.253861	58623	43	2	10
2014-03-28 05:04:10.493683	58624	21.2	1	10
2014-03-28 05:04:19.985422	58625	52	2	9
2014-03-28 05:04:20.206988	58626	20.8	1	9
2014-03-28 05:04:21.081896	58627	45	2	8
2014-03-28 05:04:21.311551	58628	21.0	1	8
2014-03-28 05:04:49.254996	58629	43	2	10
2014-03-28 05:04:49.476259	58630	21.2	1	10
2014-03-28 05:04:58.990872	58631	52	2	9
2014-03-28 05:04:59.223589	58632	20.7	1	9
2014-03-28 05:05:00.083548	58633	45	2	8
2014-03-28 05:05:00.31189	58634	21.0	1	8
2014-03-28 05:05:28.254348	58635	43	2	10
2014-03-28 05:05:28.485673	58636	21.2	1	10
2014-03-28 05:05:32.363176	58637	434	3	2
2014-03-28 05:05:32.586515	58638	1106418.968461903	4	2
2014-03-28 05:05:37.989911	58639	52	2	9
2014-03-28 05:05:38.220693	58640	20.7	1	9
2014-03-28 05:05:39.08506	58641	45	2	8
2014-03-28 05:05:39.305776	58642	21.0	1	8
2014-03-28 05:06:07.255505	58643	43	2	10
2014-03-28 05:06:07.488095	58644	21.2	1	10
2014-03-28 05:06:16.982847	58645	52	2	9
2014-03-28 05:06:17.209142	58646	20.7	1	9
2014-03-28 05:06:18.084711	58647	45	2	8
2014-03-28 05:06:18.320919	58648	21.0	1	8
2014-03-28 05:06:32.365885	58649	434	3	2
2014-03-28 05:06:32.588968	58650	1106427.011704953	4	2
2014-03-28 05:06:46.257621	58651	43	2	10
2014-03-28 05:06:46.501026	58652	21.2	1	10
2014-03-28 05:06:55.989417	58653	52	2	9
2014-03-28 05:06:56.211837	58654	20.8	1	9
2014-03-28 05:06:57.083206	58655	45	2	8
2014-03-28 05:06:57.316842	58656	21.0	1	8
2014-03-28 05:07:25.254982	58657	43	2	10
2014-03-28 05:07:25.477189	58658	21.2	1	10
2014-03-28 05:07:32.36511	58659	434	3	2
2014-03-28 05:07:32.597247	58660	1106433.9059132815	4	2
2014-03-28 05:07:35.1877	58661	52	2	9
2014-03-28 05:07:35.410456	58662	20.8	1	9
2014-03-28 05:07:36.08293	58663	45	2	8
2014-03-28 05:07:36.313161	58664	21.0	1	8
2014-03-28 05:08:04.255529	58665	43	2	10
2014-03-28 05:08:04.480125	58666	21.2	1	10
2014-03-28 05:08:13.985362	58667	52	2	9
2014-03-28 05:08:14.215981	58668	20.8	1	9
2014-03-28 05:08:15.082819	58669	45	2	8
2014-03-28 05:08:15.304921	58670	21.0	1	8
2014-03-28 05:08:32.365375	58671	434	3	2
2014-03-28 05:08:32.599116	58672	1106440.8001216098	4	2
2014-03-28 05:08:43.255441	58673	43	2	10
2014-03-28 05:08:43.47787	58674	21.2	1	10
2014-03-28 05:08:52.98438	58675	52	2	9
2014-03-28 05:08:53.21667	58676	20.8	1	9
2014-03-28 05:08:54.085237	58677	45	2	8
2014-03-28 05:08:54.306439	58678	21.0	1	8
2014-03-28 05:09:08.366845	58679	402	3	2
2014-03-28 05:09:08.601294	58680	1106445.3962604955	4	2
2014-03-28 05:09:22.255632	58681	43	2	10
2014-03-28 05:09:22.476962	58682	21.2	1	10
2014-03-28 05:09:31.984299	58683	52	2	9
2014-03-28 05:09:32.214905	58684	20.8	1	9
2014-03-28 05:09:32.521241	58685	402	3	2
2014-03-28 05:09:32.743567	58686	1106447.6943299384	4	2
2014-03-28 05:09:33.082438	58687	45	2	8
2014-03-28 05:09:33.312729	58688	21.0	1	8
2014-03-28 05:09:44.363494	58689	370	3	2
2014-03-28 05:09:44.58588	58690	1106448.84336466	4	2
2014-03-28 05:09:46.588901	58691	52	2	1
2014-03-28 05:09:46.823756	58692	19.6	1	1
2014-03-28 05:09:56.364414	58693	402	3	2
2014-03-28 05:09:56.587391	58694	1106451.1414341026	4	2
2014-03-28 05:10:01.255766	58695	43	2	10
2014-03-28 05:10:01.508153	58696	21.2	1	10
2014-03-28 05:10:08.363719	58697	370	3	2
2014-03-28 05:10:08.586273	58698	1106452.290468824	4	2
2014-03-28 05:10:10.989047	58699	52	2	9
2014-03-28 05:10:11.231917	58700	20.8	1	9
2014-03-28 05:10:12.082283	58701	45	2	8
2014-03-28 05:10:12.303593	58702	21.0	1	8
2014-03-28 05:10:20.363596	58703	370	3	2
2014-03-28 05:10:20.595066	58704	1106453.4395035454	4	2
2014-03-28 05:10:32.363781	58705	402	3	2
2014-03-28 05:10:32.586155	58706	1106454.588538267	4	2
2014-03-28 05:10:40.257297	58707	43	2	10
2014-03-28 05:10:40.488871	58708	21.2	1	10
2014-03-28 05:10:44.362976	58709	370	3	2
2014-03-28 05:10:44.584285	58710	1106455.7375729883	4	2
2014-03-28 05:10:49.987922	58711	52	2	9
2014-03-28 05:10:50.219783	58712	20.8	1	9
2014-03-28 05:10:51.084118	58713	45	2	8
2014-03-28 05:10:51.308573	58714	21.0	1	8
2014-03-28 05:11:19.257014	58715	43	2	10
2014-03-28 05:11:19.488146	58716	21.2	1	10
2014-03-28 05:11:28.983522	58717	52	2	9
2014-03-28 05:11:29.207663	58718	20.8	1	9
2014-03-28 05:11:30.084195	58719	45	2	8
2014-03-28 05:11:30.31591	58720	21.0	1	8
2014-03-28 05:11:32.362833	58721	370	3	2
2014-03-28 05:11:32.585801	58722	1106460.333711874	4	2
2014-03-28 05:11:58.260476	58723	43	2	10
2014-03-28 05:11:58.492072	58724	21.2	1	10
2014-03-28 05:12:07.98639	58725	52	2	9
2014-03-28 05:12:08.209468	58726	20.8	1	9
2014-03-28 05:12:08.515886	58727	402	3	2
2014-03-28 05:12:08.747886	58728	1106464.9298507597	4	2
2014-03-28 05:12:09.0827	58729	45	2	8
2014-03-28 05:12:09.306453	58730	21.0	1	8
2014-03-28 05:12:20.363889	58731	402	3	2
2014-03-28 05:12:20.595871	58732	1106466.078885481	4	2
2014-03-28 05:12:37.258628	58733	43	2	10
2014-03-28 05:12:37.484789	58734	21.2	1	10
2014-03-28 05:12:44.365893	58735	370	3	2
2014-03-28 05:12:44.599112	58736	1106468.3769549238	4	2
2014-03-28 05:12:46.988506	58737	52	2	9
2014-03-28 05:12:47.21018	58738	20.8	1	9
2014-03-28 05:12:48.083966	58739	45	2	8
2014-03-28 05:12:48.317406	58740	21.0	1	8
2014-03-28 05:12:56.363852	58741	402	3	2
2014-03-28 05:12:56.586012	58742	1106469.5259896454	4	2
2014-03-28 05:13:16.258227	58743	43	2	10
2014-03-28 05:13:16.496031	58744	21.2	1	10
2014-03-28 05:13:20.362703	58745	370	3	2
2014-03-28 05:13:20.586284	58746	1106471.824059088	4	2
2014-03-28 05:13:25.98561	58747	52	2	9
2014-03-28 05:13:26.228843	58748	20.8	1	9
2014-03-28 05:13:27.082162	58749	45	2	8
2014-03-28 05:13:27.30452	58750	21.0	1	8
2014-03-28 05:13:32.363035	58751	402	3	2
2014-03-28 05:13:32.596379	58752	1106472.9730938096	4	2
2014-03-28 05:13:55.257479	58753	43	2	10
2014-03-28 05:13:55.536887	58754	21.2	1	10
2014-03-28 05:13:56.362814	58755	370	3	2
2014-03-28 05:13:56.594661	58756	1106476.4201979737	4	2
2014-03-28 05:14:04.986026	58757	52	2	9
2014-03-28 05:14:05.208736	58758	20.8	1	9
2014-03-28 05:14:06.0827	58759	45	2	8
2014-03-28 05:14:06.314958	58760	21.0	1	8
2014-03-28 05:14:08.363599	58761	402	3	2
2014-03-28 05:14:08.586978	58762	1106477.5692326953	4	2
2014-03-28 05:14:20.362246	58763	370	3	2
2014-03-28 05:14:20.593261	58764	1106478.7182674166	4	2
2014-03-28 05:14:34.256267	58765	43	2	10
2014-03-28 05:14:34.478281	58766	21.2	1	10
2014-03-28 05:14:43.986106	58767	52	2	9
2014-03-28 05:14:44.218671	58768	20.8	1	9
2014-03-28 05:14:45.083718	58769	45	2	8
2014-03-28 05:14:45.306055	58770	21.0	1	8
2014-03-28 05:14:56.361934	58771	402	3	2
2014-03-28 05:14:56.593591	58772	1106482.1653715807	4	2
2014-03-28 05:15:08.362024	58773	370	3	2
2014-03-28 05:15:08.58438	58774	1106483.3144063023	4	2
2014-03-28 05:15:13.259839	58775	43	2	10
2014-03-28 05:15:13.493185	58776	21.2	1	10
2014-03-28 05:15:20.364674	58777	402	3	2
2014-03-28 05:15:20.588817	58778	1106484.4634410236	4	2
2014-03-28 05:15:22.988806	58779	52	2	9
2014-03-28 05:15:23.223838	58780	20.8	1	9
2014-03-28 05:15:24.082996	58781	45	2	8
2014-03-28 05:15:24.305642	58782	21.0	1	8
2014-03-28 05:15:32.363671	58783	370	3	2
2014-03-28 05:15:32.59547	58784	1106486.7615104665	4	2
2014-03-28 05:15:52.258527	58785	43	2	10
2014-03-28 05:15:52.50147	58786	21.2	1	10
2014-03-28 05:16:01.985961	58787	52	2	9
2014-03-28 05:16:02.217385	58788	20.8	1	9
2014-03-28 05:16:03.082025	58789	45	2	8
2014-03-28 05:16:03.303827	58790	21.0	1	8
2014-03-28 05:16:08.363292	58791	434	3	2
2014-03-28 05:16:08.595508	58792	1106490.2086146309	4	2
2014-03-28 05:16:20.362616	58793	434	3	2
2014-03-28 05:16:20.584096	58794	1106491.3576493522	4	2
2014-03-28 05:16:31.255093	58795	43	2	10
2014-03-28 05:16:31.499652	58796	21.2	1	10
2014-03-28 05:16:40.792133	58797	434	3	2
2014-03-28 05:16:41.013985	58798	1106492.5066840735	4	2
2014-03-28 05:16:41.320628	58799	52	2	9
2014-03-28 05:16:41.551047	58800	20.8	1	9
2014-03-28 05:16:42.084442	58801	45	2	8
2014-03-28 05:16:42.30963	58802	21.0	1	8
2014-03-28 05:17:10.26071	58803	43	2	10
2014-03-28 05:17:10.493163	58804	21.1	1	10
2014-03-28 05:17:19.986454	58805	52	2	9
2014-03-28 05:17:20.209715	58806	20.8	1	9
2014-03-28 05:17:21.082173	58807	45	2	8
2014-03-28 05:17:21.31581	58808	21.0	1	8
2014-03-28 05:17:32.365995	58809	434	3	2
2014-03-28 05:17:32.58864	58810	1106500.5499271236	4	2
2014-03-28 05:17:49.261605	58811	43	2	10
2014-03-28 05:17:49.497465	58812	21.1	1	10
2014-03-28 05:17:58.984017	58813	52	2	9
2014-03-28 05:17:59.207336	58814	20.8	1	9
2014-03-28 05:18:00.083859	58815	45	2	8
2014-03-28 05:18:00.316435	58816	21.0	1	8
2014-03-28 05:18:20.363776	58817	370	3	2
2014-03-28 05:18:20.588615	58818	1106505.146066009	4	2
2014-03-28 05:18:28.260268	58819	43	2	10
2014-03-28 05:18:28.495168	58820	21.1	1	10
2014-03-28 05:18:32.362711	58821	370	3	2
2014-03-28 05:18:32.58732	58822	1106507.444135452	4	2
2014-03-28 05:18:37.984286	58823	52	2	9
2014-03-28 05:18:38.216746	58824	20.8	1	9
2014-03-28 05:18:39.082456	58825	45	2	8
2014-03-28 05:18:39.304498	58826	21.0	1	8
2014-03-28 05:19:07.259992	58827	43	2	10
2014-03-28 05:19:07.495217	58828	21.1	1	10
2014-03-28 05:19:16.991128	58829	52	2	9
2014-03-28 05:19:17.213461	58830	20.8	1	9
2014-03-28 05:19:18.082714	58831	45	2	8
2014-03-28 05:19:18.314357	58832	21.0	1	8
2014-03-28 05:19:32.363104	58833	370	3	2
2014-03-28 05:19:32.587371	58834	1106513.189309059	4	2
2014-03-28 05:19:46.259109	58835	43	2	10
2014-03-28 05:19:46.491832	58836	21.1	1	10
2014-03-28 05:19:55.985433	58837	52	2	9
2014-03-28 05:19:56.206432	58838	20.8	1	9
2014-03-28 05:19:57.083587	58839	45	2	8
2014-03-28 05:19:57.315068	58840	21.0	1	8
2014-03-28 05:20:25.25823	58841	43	2	10
2014-03-28 05:20:25.480593	58842	21.1	1	10
2014-03-28 05:20:34.985804	58843	52	2	9
2014-03-28 05:20:35.230185	58844	20.8	1	9
2014-03-28 05:20:36.085692	58845	45	2	8
2014-03-28 05:20:36.307515	58846	21.0	1	8
2014-03-28 05:20:44.360159	58847	338	3	2
2014-03-28 05:20:44.77653	58848	1106520.0835173875	4	2
2014-03-28 05:21:04.259836	58849	43	2	10
2014-03-28 05:21:04.486018	58850	21.1	1	10
2014-03-28 05:21:13.988995	58851	52	2	9
2014-03-28 05:21:14.209874	58852	20.8	1	9
2014-03-28 05:21:15.081489	58853	45	2	8
2014-03-28 05:21:15.311109	58854	21.0	1	8
2014-03-28 05:21:28.584247	58855	52	2	1
2014-03-28 05:21:28.805428	58856	19.6	1	1
2014-03-28 05:21:32.3626	58857	338	3	2
2014-03-28 05:21:32.593847	58858	1106524.6796562732	4	2
2014-03-28 05:21:43.259595	58859	43	2	10
2014-03-28 05:21:43.481525	58860	21.1	1	10
2014-03-28 05:21:52.989187	58861	52	2	9
2014-03-28 05:21:53.223482	58862	20.8	1	9
2014-03-28 05:21:54.083626	58863	45	2	8
2014-03-28 05:21:54.303409	58864	21.0	1	8
2014-03-28 05:22:22.259554	58865	43	2	10
2014-03-28 05:22:22.497431	58866	21.1	1	10
2014-03-28 05:22:31.984758	58867	52	2	9
2014-03-28 05:22:32.207654	58868	20.8	1	9
2014-03-28 05:22:33.08206	58869	45	2	8
2014-03-28 05:22:33.314599	58870	21.0	1	8
2014-03-28 05:22:44.361595	58871	305	3	2
2014-03-28 05:22:44.584009	58872	1106531.5738646018	4	2
2014-03-28 05:23:01.261961	58873	43	2	10
2014-03-28 05:23:01.49366	58874	21.1	1	10
2014-03-28 05:23:10.98302	58875	52	2	9
2014-03-28 05:23:11.203523	58876	20.8	1	9
2014-03-28 05:23:12.081986	58877	45	2	8
2014-03-28 05:23:12.313651	58878	21.0	1	8
2014-03-28 05:23:25.583622	58879	52	2	1
2014-03-28 05:23:25.80646	58880	19.6	1	1
2014-03-28 05:23:32.364399	58881	305	3	2
2014-03-28 05:23:32.595126	58882	1106536.1700034873	4	2
2014-03-28 05:23:40.26163	58883	43	2	10
2014-03-28 05:23:40.484023	58884	21.1	1	10
2014-03-28 05:23:49.987079	58885	52	2	9
2014-03-28 05:23:50.217483	58886	20.8	1	9
2014-03-28 05:23:51.082385	58887	45	2	8
2014-03-28 05:23:51.302962	58888	21.0	1	8
2014-03-28 05:24:19.261549	58889	43	2	10
2014-03-28 05:24:19.495242	58890	21.1	1	10
2014-03-28 05:24:20.359701	58891	338	3	2
2014-03-28 05:24:20.582208	58892	1106539.6171076517	4	2
2014-03-28 05:24:28.987503	58893	52	2	9
2014-03-28 05:24:29.228527	58894	20.8	1	9
2014-03-28 05:24:30.082253	58895	46	2	8
2014-03-28 05:24:30.309226	58896	20.9	1	8
2014-03-28 05:24:32.360141	58897	338	3	2
2014-03-28 05:24:32.593569	58898	1106540.766142373	4	2
2014-03-28 05:24:43.821821	58899	52	2	1
2014-03-28 05:24:44.042989	58900	19.6	1	1
2014-03-28 05:24:58.259724	58901	43	2	10
2014-03-28 05:24:58.4916	58902	21.1	1	10
2014-03-28 05:25:07.985233	58903	52	2	9
2014-03-28 05:25:08.206942	58904	20.8	1	9
2014-03-28 05:25:09.082616	58905	46	2	8
2014-03-28 05:25:09.313015	58906	20.9	1	8
2014-03-28 05:25:22.821882	58907	52	2	1
2014-03-28 05:25:23.04263	58908	19.6	1	1
2014-03-28 05:25:32.363402	58909	338	3	2
2014-03-28 05:25:32.594396	58910	1106546.51131598	4	2
2014-03-28 05:25:37.261679	58911	43	2	10
2014-03-28 05:25:37.483156	58912	21.1	1	10
2014-03-28 05:25:46.985873	58913	52	2	9
2014-03-28 05:25:47.218199	58914	20.8	1	9
2014-03-28 05:25:48.082824	58915	46	2	8
2014-03-28 05:25:48.303592	58916	20.9	1	8
2014-03-28 05:26:16.2604	58917	43	2	10
2014-03-28 05:26:16.492389	58918	21.1	1	10
2014-03-28 05:26:25.988321	58919	52	2	9
2014-03-28 05:26:26.213441	58920	20.8	1	9
2014-03-28 05:26:27.08228	58921	46	2	8
2014-03-28 05:26:27.312466	58922	20.9	1	8
2014-03-28 05:26:55.259367	58923	43	2	10
2014-03-28 05:26:55.480338	58924	21.1	1	10
2014-03-28 05:27:04.992528	58925	52	2	9
2014-03-28 05:27:05.224806	58926	20.8	1	9
2014-03-28 05:27:06.084437	58927	46	2	8
2014-03-28 05:27:06.30568	58928	20.9	1	8
2014-03-28 05:27:32.362635	58929	370	3	2
2014-03-28 05:27:32.595181	58930	1106558.0016631943	4	2
2014-03-28 05:27:34.261291	58931	43	2	10
2014-03-28 05:27:34.481629	58932	21.1	1	10
2014-03-28 05:27:43.987542	58933	52	2	9
2014-03-28 05:27:44.223268	58934	20.8	1	9
2014-03-28 05:27:44.529423	58935	370	3	2
2014-03-28 05:27:44.750374	58936	1106559.1506979156	4	2
2014-03-28 05:27:45.082875	58937	46	2	8
2014-03-28 05:27:45.315603	58938	20.9	1	8
2014-03-28 05:27:56.361832	58939	402	3	2
2014-03-28 05:27:56.583087	58940	1106560.2997326371	4	2
2014-03-28 05:28:08.36142	58941	370	3	2
2014-03-28 05:28:08.604559	58942	1106562.59780208	4	2
2014-03-28 05:28:13.263074	58943	43	2	10
2014-03-28 05:28:13.482188	58944	21.1	1	10
2014-03-28 05:28:22.986841	58945	52	2	9
2014-03-28 05:28:23.221038	58946	20.8	1	9
2014-03-28 05:28:24.080859	58947	46	2	8
2014-03-28 05:28:24.303032	58948	20.9	1	8
2014-03-28 05:28:32.365153	58949	370	3	2
2014-03-28 05:28:32.597131	58950	1106564.8958715228	4	2
2014-03-28 05:28:44.36471	58951	370	3	2
2014-03-28 05:28:44.586759	58952	1106566.0449062441	4	2
2014-03-28 05:28:52.263411	58953	43	2	10
2014-03-28 05:28:52.499156	58954	21.1	1	10
2014-03-28 05:29:01.987183	58955	52	2	9
2014-03-28 05:29:02.210753	58956	20.8	1	9
2014-03-28 05:29:03.082301	58957	46	2	8
2014-03-28 05:29:03.312061	58958	20.9	1	8
2014-03-28 05:29:31.261674	58959	43	2	10
2014-03-28 05:29:31.485506	58960	21.0	1	10
2014-03-28 05:29:32.362057	58961	370	3	2
2014-03-28 05:29:32.593975	58962	1106570.6410451299	4	2
2014-03-28 05:29:40.987608	58963	52	2	9
2014-03-28 05:29:41.208527	58964	20.8	1	9
2014-03-28 05:29:42.082518	58965	46	2	8
2014-03-28 05:29:42.313218	58966	20.9	1	8
2014-03-28 05:29:44.364217	58967	402	3	2
2014-03-28 05:29:44.586003	58968	1106571.7900798512	4	2
2014-03-28 05:29:56.360242	58969	370	3	2
2014-03-28 05:29:56.593485	58970	1106572.9391145727	4	2
2014-03-28 05:30:10.262432	58971	43	2	10
2014-03-28 05:30:10.483875	58972	21.0	1	10
2014-03-28 05:30:19.986352	58973	52	2	9
2014-03-28 05:30:20.218745	58974	20.8	1	9
2014-03-28 05:30:21.083428	58975	46	2	8
2014-03-28 05:30:21.304611	58976	20.9	1	8
2014-03-28 05:30:32.362408	58977	370	3	2
2014-03-28 05:30:32.613123	58978	1106577.5352534582	4	2
2014-03-28 05:30:34.813405	58979	52	2	1
2014-03-28 05:30:35.034792	58980	19.6	1	1
2014-03-28 05:30:49.262501	58981	43	2	10
2014-03-28 05:30:49.493829	58982	21.0	1	10
2014-03-28 05:30:58.985765	58983	52	2	9
2014-03-28 05:30:59.207006	58984	20.8	1	9
2014-03-28 05:31:00.082542	58985	46	2	8
2014-03-28 05:31:00.313456	58986	20.9	1	8
2014-03-28 05:31:28.262941	58987	43	2	10
2014-03-28 05:31:28.48498	58988	21.0	1	10
2014-03-28 05:31:32.360909	58989	370	3	2
2014-03-28 05:31:32.603749	58990	1106583.2804270654	4	2
2014-03-28 05:31:37.991466	58991	52	2	9
2014-03-28 05:31:38.2127	58992	20.8	1	9
2014-03-28 05:31:39.082386	58993	46	2	8
2014-03-28 05:31:39.312395	58994	20.9	1	8
2014-03-28 05:32:07.261959	58995	43	2	10
2014-03-28 05:32:07.48285	58996	21.0	1	10
2014-03-28 05:32:16.984851	58997	52	2	9
2014-03-28 05:32:17.217695	58998	20.7	1	9
2014-03-28 05:32:18.083425	58999	46	2	8
2014-03-28 05:32:18.304399	59000	20.9	1	8
2014-03-28 05:32:46.263076	59001	43	2	10
2014-03-28 05:32:46.496405	59002	21.0	1	10
2014-03-28 05:32:56.029619	59003	52	2	9
2014-03-28 05:32:56.270655	59004	20.7	1	9
2014-03-28 05:32:57.083982	59005	46	2	8
2014-03-28 05:32:57.314095	59006	20.9	1	8
2014-03-28 05:33:08.359951	59007	338	3	2
2014-03-28 05:33:08.582044	59008	1106593.6217395582	4	2
2014-03-28 05:33:25.063341	59009	338	3	2
2014-03-28 05:33:25.296721	59010	1106594.7707742795	4	2
2014-03-28 05:33:25.67676	59011	43	2	10
2014-03-28 05:33:25.897429	59012	21.0	1	10
2014-03-28 05:33:34.98461	59013	52	2	9
2014-03-28 05:33:35.218163	59014	20.7	1	9
2014-03-28 05:33:36.082508	59015	46	2	8
2014-03-28 05:33:36.304827	59016	20.9	1	8
2014-03-28 05:34:04.26372	59017	43	2	10
2014-03-28 05:34:04.496814	59018	21.0	1	10
2014-03-28 05:34:13.985043	59019	52	2	9
2014-03-28 05:34:14.206806	59020	20.7	1	9
2014-03-28 05:34:15.081154	59021	46	2	8
2014-03-28 05:34:15.313105	59022	20.9	1	8
2014-03-28 05:34:32.364146	59023	338	3	2
2014-03-28 05:34:32.585651	59024	1106601.664982608	4	2
2014-03-28 05:34:43.262449	59025	43	2	10
2014-03-28 05:34:43.495645	59026	21.0	1	10
2014-03-28 05:34:52.984595	59027	52	2	9
2014-03-28 05:34:53.20669	59028	20.7	1	9
2014-03-28 05:34:54.08127	59029	46	2	8
2014-03-28 05:34:54.310387	59030	20.9	1	8
2014-03-28 05:35:22.263097	59031	43	2	10
2014-03-28 05:35:22.483588	59032	21.0	1	10
2014-03-28 05:35:31.981069	59033	51	2	9
2014-03-28 05:35:32.21312	59034	20.7	1	9
2014-03-28 05:35:32.518478	59035	338	3	2
2014-03-28 05:35:32.743129	59036	1106607.410156215	4	2
2014-03-28 05:35:33.081889	59037	46	2	8
2014-03-28 05:35:33.322798	59038	20.9	1	8
2014-03-28 05:36:01.263826	59039	43	2	10
2014-03-28 05:36:01.490084	59040	21.0	1	10
2014-03-28 05:36:10.989006	59041	51	2	9
2014-03-28 05:36:11.219351	59042	20.7	1	9
2014-03-28 05:36:12.078822	59043	46	2	8
2014-03-28 05:36:12.299143	59044	20.9	1	8
2014-03-28 05:36:32.360764	59045	338	3	2
2014-03-28 05:36:32.59276	59046	1106612.0062951008	4	2
2014-03-28 05:36:40.263889	59047	43	2	10
2014-03-28 05:36:40.483609	59048	21.0	1	10
2014-03-28 05:36:49.982656	59049	51	2	9
2014-03-28 05:36:50.213113	59050	20.7	1	9
2014-03-28 05:36:51.082169	59051	46	2	8
2014-03-28 05:36:51.302737	59052	20.9	1	8
2014-03-28 05:37:19.263871	59053	43	2	10
2014-03-28 05:37:19.531381	59054	21.0	1	10
2014-03-28 05:37:28.983507	59055	51	2	9
2014-03-28 05:37:29.243799	59056	20.7	1	9
2014-03-28 05:37:30.083908	59057	46	2	8
2014-03-28 05:37:30.34725	59058	20.9	1	8
2014-03-28 05:37:58.265513	59059	43	2	10
2014-03-28 05:37:58.489445	59060	21.0	1	10
2014-03-28 05:38:07.982147	59061	51	2	9
2014-03-28 05:38:08.21495	59062	20.7	1	9
2014-03-28 05:38:09.083401	59063	46	2	8
2014-03-28 05:38:09.303555	59064	20.9	1	8
2014-03-28 05:38:32.36077	59065	338	3	2
2014-03-28 05:38:32.592659	59066	1106623.4966423148	4	2
2014-03-28 05:38:37.264843	59067	43	2	10
2014-03-28 05:38:37.486498	59068	21.0	1	10
2014-03-28 05:38:46.981638	59069	51	2	9
2014-03-28 05:38:47.214946	59070	20.7	1	9
2014-03-28 05:38:48.081864	59071	46	2	8
2014-03-28 05:38:48.303914	59072	20.9	1	8
2014-03-28 05:39:16.266887	59073	43	2	10
2014-03-28 05:39:16.498205	59074	21.0	1	10
2014-03-28 05:39:25.982387	59075	51	2	9
2014-03-28 05:39:26.203699	59076	20.7	1	9
2014-03-28 05:39:27.081453	59077	46	2	8
2014-03-28 05:39:27.314258	59078	20.9	1	8
2014-03-28 05:39:32.36229	59079	338	3	2
2014-03-28 05:39:32.582974	59080	1106629.241815922	4	2
2014-03-28 05:39:55.263868	59081	43	2	10
2014-03-28 05:39:55.495915	59082	21.0	1	10
2014-03-28 05:40:04.9809	59083	51	2	9
2014-03-28 05:40:05.203625	59084	20.7	1	9
2014-03-28 05:40:06.082266	59085	46	2	8
2014-03-28 05:40:06.323403	59086	20.9	1	8
2014-03-28 05:40:20.361462	59087	370	3	2
2014-03-28 05:40:20.5844	59088	1106633.8379548076	4	2
2014-03-28 05:40:32.362135	59089	370	3	2
2014-03-28 05:40:32.594228	59090	1106634.986989529	4	2
2014-03-28 05:40:34.266383	59091	43	2	10
2014-03-28 05:40:34.487871	59092	21.0	1	10
2014-03-28 05:40:43.981617	59093	51	2	9
2014-03-28 05:40:44.212893	59094	20.7	1	9
2014-03-28 05:40:45.081307	59095	46	2	8
2014-03-28 05:40:45.301506	59096	20.9	1	8
2014-03-28 05:41:13.264908	59097	43	2	10
2014-03-28 05:41:13.495313	59098	20.9	1	10
2014-03-28 05:41:22.983418	59099	51	2	9
2014-03-28 05:41:23.204156	59100	20.7	1	9
2014-03-28 05:41:24.081977	59101	46	2	8
2014-03-28 05:41:24.311349	59102	20.9	1	8
2014-03-28 05:41:32.361982	59103	370	3	2
2014-03-28 05:41:32.585081	59104	1106641.8811978574	4	2
2014-03-28 05:41:52.266388	59105	43	2	10
2014-03-28 05:41:52.499395	59106	20.9	1	10
2014-03-28 05:42:01.98263	59107	51	2	9
2014-03-28 05:42:02.206274	59108	20.7	1	9
2014-03-28 05:42:03.080628	59109	46	2	8
2014-03-28 05:42:03.309994	59110	20.9	1	8
2014-03-28 05:42:31.265744	59111	43	2	10
2014-03-28 05:42:31.489718	59112	20.9	1	10
2014-03-28 05:42:40.990818	59113	51	2	9
2014-03-28 05:42:41.226403	59114	20.7	1	9
2014-03-28 05:42:42.080511	59115	46	2	8
2014-03-28 05:42:42.301185	59116	20.9	1	8
2014-03-28 05:43:10.265761	59117	43	2	10
2014-03-28 05:43:10.496554	59118	20.9	1	10
2014-03-28 05:43:19.985437	59119	51	2	9
2014-03-28 05:43:20.21044	59120	20.7	1	9
2014-03-28 05:43:21.084723	59121	46	2	8
2014-03-28 05:43:21.314193	59122	20.9	1	8
2014-03-28 05:43:32.361553	59123	370	3	2
2014-03-28 05:43:32.583198	59124	1106653.3715450717	4	2
2014-03-28 05:43:49.265877	59125	43	2	10
2014-03-28 05:43:49.499843	59126	20.9	1	10
2014-03-28 05:43:58.98258	59127	51	2	9
2014-03-28 05:43:59.206426	59128	20.7	1	9
2014-03-28 05:44:00.083838	59129	46	2	8
2014-03-28 05:44:00.31965	59130	20.9	1	8
2014-03-28 05:44:28.267717	59131	43	2	10
2014-03-28 05:44:28.489397	59132	20.9	1	10
2014-03-28 05:44:32.363255	59133	370	3	2
2014-03-28 05:44:32.604495	59134	1106660.2657534003	4	2
2014-03-28 05:44:38.184963	59135	51	2	9
2014-03-28 05:44:38.407354	59136	20.7	1	9
2014-03-28 05:44:39.080718	59137	46	2	8
2014-03-28 05:44:39.314611	59138	20.9	1	8
2014-03-28 05:45:07.26706	59139	43	2	10
2014-03-28 05:45:07.489269	59140	20.9	1	10
2014-03-28 05:45:16.982412	59141	51	2	9
2014-03-28 05:45:17.213955	59142	20.7	1	9
2014-03-28 05:45:18.081454	59143	46	2	8
2014-03-28 05:45:18.303128	59144	20.9	1	8
2014-03-28 05:45:20.358497	59145	338	3	2
2014-03-28 05:45:20.592379	59146	1106664.8618922858	4	2
2014-03-28 05:45:31.808785	59147	52	2	1
2014-03-28 05:45:32.034048	59148	19.6	1	1
2014-03-28 05:45:46.266475	59149	43	2	10
2014-03-28 05:45:46.500008	59150	20.9	1	10
2014-03-28 05:45:56.186478	59151	51	2	9
2014-03-28 05:45:56.440003	59152	20.7	1	9
2014-03-28 05:45:57.080327	59153	46	2	8
2014-03-28 05:45:57.311406	59154	20.9	1	8
2014-03-28 05:46:25.266118	59155	43	2	10
2014-03-28 05:46:25.496256	59156	20.9	1	10
2014-03-28 05:46:32.361286	59157	338	3	2
2014-03-28 05:46:32.591383	59158	1106671.7561006143	4	2
2014-03-28 05:46:34.98462	59159	51	2	9
2014-03-28 05:46:35.207398	59160	20.7	1	9
2014-03-28 05:46:36.08102	59161	46	2	8
2014-03-28 05:46:36.312476	59162	20.9	1	8
2014-03-28 05:47:04.267561	59163	43	2	10
2014-03-28 05:47:04.488223	59164	20.9	1	10
2014-03-28 05:47:13.986208	59165	51	2	9
2014-03-28 05:47:14.215941	59166	20.7	1	9
2014-03-28 05:47:15.081615	59167	46	2	8
2014-03-28 05:47:15.302018	59168	20.9	1	8
2014-03-28 05:47:32.362201	59169	338	3	2
2014-03-28 05:47:32.592948	59170	1106677.5012742213	4	2
2014-03-28 05:47:43.267466	59171	43	2	10
2014-03-28 05:47:43.491325	59172	20.8	1	10
2014-03-28 05:47:52.988179	59173	51	2	9
2014-03-28 05:47:53.219295	59174	20.7	1	9
2014-03-28 05:47:54.082761	59175	46	2	8
2014-03-28 05:47:54.302344	59176	20.9	1	8
2014-03-28 05:48:22.268783	59177	43	2	10
2014-03-28 05:48:22.500362	59178	20.8	1	10
2014-03-28 05:48:31.984421	59179	51	2	9
2014-03-28 05:48:32.204744	59180	20.7	1	9
2014-03-28 05:48:33.083953	59181	46	2	8
2014-03-28 05:48:33.326731	59182	20.9	1	8
2014-03-28 05:49:01.266557	59183	43	2	10
2014-03-28 05:49:01.489449	59184	20.8	1	10
2014-03-28 05:49:10.980796	59185	51	2	9
2014-03-28 05:49:11.214426	59186	20.7	1	9
2014-03-28 05:49:12.082271	59187	46	2	8
2014-03-28 05:49:12.304446	59188	20.9	1	8
2014-03-28 05:49:32.358066	59189	338	3	2
2014-03-28 05:49:32.590627	59190	1106688.9916214356	4	2
2014-03-28 05:49:40.269598	59191	43	2	10
2014-03-28 05:49:40.491401	59192	20.8	1	10
2014-03-28 05:49:49.983241	59193	51	2	9
2014-03-28 05:49:50.217058	59194	20.7	1	9
2014-03-28 05:49:51.082351	59195	46	2	8
2014-03-28 05:49:51.304636	59196	20.9	1	8
2014-03-28 05:50:19.267583	59197	43	2	10
2014-03-28 05:50:19.50252	59198	20.8	1	10
2014-03-28 05:50:28.98435	59199	51	2	9
2014-03-28 05:50:29.205651	59200	20.7	1	9
2014-03-28 05:50:30.081217	59201	46	2	8
2014-03-28 05:50:30.312598	59202	20.9	1	8
2014-03-28 05:50:58.267728	59203	43	2	10
2014-03-28 05:50:58.492579	59204	20.8	1	10
2014-03-28 05:51:07.982624	59205	51	2	9
2014-03-28 05:51:08.214181	59206	20.6	1	9
2014-03-28 05:51:09.082322	59207	46	2	8
2014-03-28 05:51:09.303301	59208	20.9	1	8
2014-03-28 05:51:37.267539	59209	43	2	10
2014-03-28 05:51:37.49907	59210	20.8	1	10
2014-03-28 05:51:46.983161	59211	51	2	9
2014-03-28 05:51:47.205891	59212	20.6	1	9
2014-03-28 05:51:48.082064	59213	46	2	8
2014-03-28 05:51:48.312407	59214	20.9	1	8
2014-03-28 05:52:16.270796	59215	43	2	10
2014-03-28 05:52:16.494122	59216	20.8	1	10
2014-03-28 05:52:26.00006	59217	51	2	9
2014-03-28 05:52:26.271024	59218	20.6	1	9
2014-03-28 05:52:27.082298	59219	46	2	8
2014-03-28 05:52:27.303929	59220	20.9	1	8
2014-03-28 05:52:32.361128	59221	370	3	2
2014-03-28 05:52:32.594795	59222	1106705.0825784877	4	2
2014-03-28 05:52:44.359722	59223	370	3	2
2014-03-28 05:52:44.583148	59224	1106706.231613209	4	2
2014-03-28 05:52:55.269483	59225	43	2	10
2014-03-28 05:52:55.500192	59226	20.8	1	10
2014-03-28 05:53:04.982198	59227	51	2	9
2014-03-28 05:53:05.203283	59228	20.6	1	9
2014-03-28 05:53:06.081533	59229	46	2	8
2014-03-28 05:53:06.323749	59230	20.9	1	8
2014-03-28 05:53:32.359377	59231	370	3	2
2014-03-28 05:53:32.581333	59232	1106710.8277520947	4	2
2014-03-28 05:53:34.267401	59233	43	2	10
2014-03-28 05:53:34.498751	59234	20.8	1	10
2014-03-28 05:53:43.985547	59235	51	2	9
2014-03-28 05:53:44.207432	59236	20.6	1	9
2014-03-28 05:53:45.082453	59237	46	2	8
2014-03-28 05:53:45.313885	59238	20.9	1	8
2014-03-28 05:54:13.269275	59239	43	2	10
2014-03-28 05:54:13.49347	59240	20.7	1	10
2014-03-28 05:54:22.985459	59241	51	2	9
2014-03-28 05:54:23.218905	59242	20.6	1	9
2014-03-28 05:54:24.083415	59243	46	2	8
2014-03-28 05:54:24.303589	59244	20.9	1	8
2014-03-28 05:54:32.360152	59245	370	3	2
2014-03-28 05:54:32.592736	59246	1106716.5729257017	4	2
2014-03-28 05:54:52.271397	59247	43	2	10
2014-03-28 05:54:52.493656	59248	20.7	1	10
2014-03-28 05:55:01.981289	59249	51	2	9
2014-03-28 05:55:02.215483	59250	20.6	1	9
2014-03-28 05:55:03.08242	59251	46	2	8
2014-03-28 05:55:03.305196	59252	20.9	1	8
2014-03-28 05:55:31.26962	59253	43	2	10
2014-03-28 05:55:31.514696	59254	20.7	1	10
2014-03-28 05:55:32.360915	59255	370	3	2
2014-03-28 05:55:32.583286	59256	1106723.4671340303	4	2
2014-03-28 05:55:40.985365	59257	51	2	9
2014-03-28 05:55:41.216381	59258	20.6	1	9
2014-03-28 05:55:42.079223	59259	46	2	8
2014-03-28 05:55:42.301303	59260	20.9	1	8
2014-03-28 05:56:08.360351	59261	434	3	2
2014-03-28 05:56:08.594248	59262	1106726.9142381945	4	2
2014-03-28 05:56:10.269838	59263	43	2	10
2014-03-28 05:56:10.492263	59264	20.7	1	10
2014-03-28 05:56:19.983582	59265	51	2	9
2014-03-28 05:56:20.215084	59266	20.6	1	9
2014-03-28 05:56:20.52213	59267	434	3	2
2014-03-28 05:56:20.742936	59268	1106728.0632729158	4	2
2014-03-28 05:56:21.082301	59269	46	2	8
2014-03-28 05:56:21.311461	59270	20.9	1	8
2014-03-28 05:56:32.359441	59271	434	3	2
2014-03-28 05:56:32.58323	59272	1106729.2123076373	4	2
2014-03-28 05:56:49.26979	59273	43	2	10
2014-03-28 05:56:49.500228	59274	20.7	1	10
2014-03-28 05:56:58.982919	59275	51	2	9
2014-03-28 05:56:59.204501	59276	20.6	1	9
2014-03-28 05:57:00.082075	59277	46	2	8
2014-03-28 05:57:00.322605	59278	20.9	1	8
2014-03-28 05:57:28.268514	59279	43	2	10
2014-03-28 05:57:28.488255	59280	20.7	1	10
2014-03-28 05:57:32.361414	59281	402	3	2
2014-03-28 05:57:32.595241	59282	1106737.2555506872	4	2
2014-03-28 05:57:37.983223	59283	51	2	9
2014-03-28 05:57:38.205576	59284	20.6	1	9
2014-03-28 05:57:39.081996	59285	46	2	8
2014-03-28 05:57:39.31371	59286	20.9	1	8
2014-03-28 05:57:44.360648	59287	402	3	2
2014-03-28 05:57:44.58243	59288	1106738.4045854085	4	2
2014-03-28 05:58:07.270221	59289	43	2	10
2014-03-28 05:58:07.501882	59290	20.7	1	10
2014-03-28 05:58:16.98573	59291	51	2	9
2014-03-28 05:58:17.208229	59292	20.6	1	9
2014-03-28 05:58:18.081206	59293	46	2	8
2014-03-28 05:58:18.311132	59294	20.9	1	8
2014-03-28 05:58:44.360722	59295	370	3	2
2014-03-28 05:58:44.581942	59296	1106745.298793737	4	2
2014-03-28 05:58:46.271208	59297	43	2	10
2014-03-28 05:58:46.503476	59298	20.7	1	10
2014-03-28 05:58:55.984668	59299	51	2	9
2014-03-28 05:58:56.20762	59300	20.6	1	9
2014-03-28 05:58:57.082067	59301	46	2	8
2014-03-28 05:58:57.314334	59302	20.9	1	8
2014-03-28 05:59:25.270703	59303	43	2	10
2014-03-28 05:59:25.492083	59304	20.7	1	10
2014-03-28 05:59:32.358603	59305	370	3	2
2014-03-28 05:59:32.590165	59306	1106749.8949326228	4	2
2014-03-28 05:59:34.980717	59307	51	2	9
2014-03-28 05:59:35.203191	59308	20.6	1	9
2014-03-28 05:59:36.084164	59309	46	2	8
2014-03-28 05:59:36.316533	59310	20.9	1	8
2014-03-28 06:00:04.27099	59311	43	2	10
2014-03-28 06:00:04.491983	59312	20.7	1	10
2014-03-28 06:00:13.983013	59313	51	2	9
2014-03-28 06:00:14.216881	59314	20.6	1	9
2014-03-28 06:00:15.082884	59315	46	2	8
2014-03-28 06:00:15.309343	59316	20.9	1	8
2014-03-28 06:00:20.358126	59317	370	3	2
2014-03-28 06:00:20.590107	59318	1106754.4910715085	4	2
2014-03-28 06:00:32.357853	59319	370	3	2
2014-03-28 06:00:32.580957	59320	1106755.6401062298	4	2
2014-03-28 06:00:43.271656	59321	43	2	10
2014-03-28 06:00:43.505148	59322	20.7	1	10
2014-03-28 06:00:52.982427	59323	51	2	9
2014-03-28 06:00:53.204469	59324	20.6	1	9
2014-03-28 06:00:54.081323	59325	46	2	8
2014-03-28 06:00:54.325731	59326	20.9	1	8
2014-03-28 06:01:22.279451	59327	43	2	10
2014-03-28 06:01:22.503551	59328	20.7	1	10
2014-03-28 06:01:31.984278	59329	51	2	9
2014-03-28 06:01:32.216643	59330	20.6	1	9
2014-03-28 06:01:32.525371	59331	402	3	2
2014-03-28 06:01:32.746346	59332	1106762.5343145584	4	2
2014-03-28 06:01:33.081724	59333	46	2	8
2014-03-28 06:01:33.312768	59334	20.9	1	8
2014-03-28 06:01:56.360458	59335	370	3	2
2014-03-28 06:01:56.584667	59336	1106764.8323840012	4	2
2014-03-28 06:02:01.271523	59337	43	2	10
2014-03-28 06:02:01.50468	59338	20.7	1	10
2014-03-28 06:02:10.980425	59339	51	2	9
2014-03-28 06:02:11.202265	59340	20.6	1	9
2014-03-28 06:02:12.081068	59341	46	2	8
2014-03-28 06:02:12.316721	59342	20.9	1	8
2014-03-28 06:02:32.360563	59343	370	3	2
2014-03-28 06:02:32.584447	59344	1106768.2794881654	4	2
2014-03-28 06:02:40.272304	59345	43	2	10
2014-03-28 06:02:40.504134	59346	20.7	1	10
2014-03-28 06:02:49.983327	59347	51	2	9
2014-03-28 06:02:50.20411	59348	20.6	1	9
2014-03-28 06:02:51.082936	59349	46	2	8
2014-03-28 06:02:51.314109	59350	20.9	1	8
2014-03-28 06:03:19.271394	59351	43	2	10
2014-03-28 06:03:19.491957	59352	20.7	1	10
2014-03-28 06:03:28.980158	59353	51	2	9
2014-03-28 06:03:29.210667	59354	20.6	1	9
2014-03-28 06:03:30.081518	59355	46	2	8
2014-03-28 06:03:30.302313	59356	20.9	1	8
2014-03-28 06:03:32.357394	59357	370	3	2
2014-03-28 06:03:32.591614	59358	1106775.173696494	4	2
2014-03-28 06:03:58.271862	59359	43	2	10
2014-03-28 06:03:58.494034	59360	20.6	1	10
2014-03-28 06:04:07.983813	59361	51	2	9
2014-03-28 06:04:08.214128	59362	20.6	1	9
2014-03-28 06:04:09.0816	59363	46	2	8
2014-03-28 06:04:09.302577	59364	20.9	1	8
2014-03-28 06:04:32.359306	59365	370	3	2
2014-03-28 06:04:32.594542	59366	1106780.918870101	4	2
2014-03-28 06:04:37.271847	59367	43	2	10
2014-03-28 06:04:37.492725	59368	20.6	1	10
2014-03-28 06:04:46.982169	59369	51	2	9
2014-03-28 06:04:47.215639	59370	20.6	1	9
2014-03-28 06:04:48.083092	59371	46	2	8
2014-03-28 06:04:48.303337	59372	20.9	1	8
2014-03-28 06:04:56.360002	59373	434	3	2
2014-03-28 06:04:56.605064	59374	1106784.3659742652	4	2
2014-03-28 06:05:16.270783	59375	43	2	10
2014-03-28 06:05:16.493548	59376	20.6	1	10
2014-03-28 06:05:25.98104	59377	51	2	9
2014-03-28 06:05:26.214855	59378	20.6	1	9
2014-03-28 06:05:27.081471	59379	46	2	8
2014-03-28 06:05:27.304082	59380	20.9	1	8
2014-03-28 06:05:32.358612	59381	434	3	2
2014-03-28 06:05:32.590199	59382	1106788.9621131509	4	2
2014-03-28 06:05:55.275791	59383	43	2	10
2014-03-28 06:05:55.497313	59384	20.6	1	10
2014-03-28 06:06:04.979201	59385	51	2	9
2014-03-28 06:06:05.210224	59386	20.6	1	9
2014-03-28 06:06:06.082321	59387	46	2	8
2014-03-28 06:06:06.306154	59388	20.9	1	8
2014-03-28 06:06:34.270423	59389	43	2	10
2014-03-28 06:06:34.503511	59390	20.6	1	10
2014-03-28 06:06:43.97959	59391	51	2	9
2014-03-28 06:06:44.200824	59392	20.6	1	9
2014-03-28 06:06:45.080303	59393	46	2	8
2014-03-28 06:06:45.309297	59394	20.9	1	8
2014-03-28 06:07:13.272819	59395	43	2	10
2014-03-28 06:07:13.496693	59396	20.6	1	10
2014-03-28 06:07:22.982266	59397	51	2	9
2014-03-28 06:07:23.213706	59398	20.6	1	9
2014-03-28 06:07:24.080497	59399	46	2	8
2014-03-28 06:07:24.304364	59400	20.9	1	8
2014-03-28 06:07:32.357956	59401	418	3	2
2014-03-28 06:07:32.592603	59402	1106802.7505298078	4	2
2014-03-28 06:07:52.270811	59403	43	2	10
2014-03-28 06:07:52.493937	59404	20.6	1	10
2014-03-28 06:08:01.982023	59405	51	2	9
2014-03-28 06:08:02.214043	59406	20.6	1	9
2014-03-28 06:08:03.082443	59407	46	2	8
2014-03-28 06:08:03.304028	59408	20.8	1	8
2014-03-28 06:08:31.272344	59409	43	2	10
2014-03-28 06:08:31.503885	59410	20.6	1	10
2014-03-28 06:08:32.358572	59411	434	3	2
2014-03-28 06:08:32.579891	59412	1106809.6447381363	4	2
2014-03-28 06:08:40.988956	59413	51	2	9
2014-03-28 06:08:41.221311	59414	20.6	1	9
2014-03-28 06:08:42.082048	59415	46	2	8
2014-03-28 06:08:42.303103	59416	20.8	1	8
2014-03-28 06:09:10.272773	59417	43	2	10
2014-03-28 06:09:10.504558	59418	20.6	1	10
2014-03-28 06:09:19.982387	59419	51	2	9
2014-03-28 06:09:20.202326	59420	20.6	1	9
2014-03-28 06:09:21.08077	59421	46	2	8
2014-03-28 06:09:21.322906	59422	20.8	1	8
2014-03-28 06:09:44.35852	59423	370	3	2
2014-03-28 06:09:44.579445	59424	1106818.8370159077	4	2
2014-03-28 06:09:49.273442	59425	43	2	10
2014-03-28 06:09:49.504547	59426	20.6	1	10
2014-03-28 06:09:58.789631	59427	370	3	2
2014-03-28 06:09:59.013238	59428	1106819.986050629	4	2
2014-03-28 06:09:59.315654	59429	51	2	9
2014-03-28 06:09:59.546487	59430	20.6	1	9
2014-03-28 06:10:00.08334	59431	46	2	8
2014-03-28 06:10:00.304679	59432	20.8	1	8
2014-03-28 06:10:28.273192	59433	43	2	10
2014-03-28 06:10:28.507216	59434	20.6	1	10
2014-03-28 06:10:32.360145	59435	370	3	2
2014-03-28 06:10:32.582444	59436	1106823.4331547932	4	2
2014-03-28 06:10:38.186389	59437	51	2	9
2014-03-28 06:10:38.416732	59438	20.6	1	9
2014-03-28 06:10:39.081918	59439	46	2	8
2014-03-28 06:10:39.304481	59440	20.8	1	8
2014-03-28 06:10:56.358623	59441	338	3	2
2014-03-28 06:10:56.58856	59442	1106825.731224236	4	2
2014-03-28 06:11:07.27546	59443	43	2	10
2014-03-28 06:11:07.497739	59444	20.6	1	10
2014-03-28 06:11:08.359306	59445	338	3	2
2014-03-28 06:11:08.589385	59446	1106826.8802589576	4	2
2014-03-28 06:11:16.983354	59447	51	2	9
2014-03-28 06:11:17.204479	59448	20.6	1	9
2014-03-28 06:11:18.079646	59449	46	2	8
2014-03-28 06:11:18.315176	59450	20.8	1	8
2014-03-28 06:11:44.361469	59451	338	3	2
2014-03-28 06:11:44.585555	59452	1106829.1783284005	4	2
2014-03-28 06:11:46.274035	59453	43	2	10
2014-03-28 06:11:46.508641	59454	20.6	1	10
2014-03-28 06:11:55.979147	59455	51	2	9
2014-03-28 06:11:56.201023	59456	20.6	1	9
2014-03-28 06:11:57.082084	59457	46	2	8
2014-03-28 06:11:57.369721	59458	20.8	1	8
2014-03-28 06:12:20.359098	59459	305	3	2
2014-03-28 06:12:20.58377	59460	1106832.6254325646	4	2
2014-03-28 06:12:25.273605	59461	43	2	10
2014-03-28 06:12:25.508003	59462	20.6	1	10
2014-03-28 06:12:34.980955	59463	51	2	9
2014-03-28 06:12:35.203489	59464	20.6	1	9
2014-03-28 06:12:36.080886	59465	46	2	8
2014-03-28 06:12:36.312449	59466	20.8	1	8
2014-03-28 06:12:56.358239	59467	338	3	2
2014-03-28 06:12:56.583451	59468	1106836.0725367288	4	2
2014-03-28 06:13:04.273695	59469	43	2	10
2014-03-28 06:13:04.51729	59470	20.6	1	10
2014-03-28 06:13:08.357293	59471	338	3	2
2014-03-28 06:13:08.581025	59472	1106837.2215714504	4	2
2014-03-28 06:13:13.980727	59473	51	2	9
2014-03-28 06:13:14.213284	59474	20.6	1	9
2014-03-28 06:13:15.080744	59475	46	2	8
2014-03-28 06:13:15.30074	59476	20.8	1	8
2014-03-28 06:13:32.359026	59477	305	3	2
2014-03-28 06:13:32.590914	59478	1106839.5196408932	4	2
2014-03-28 06:13:43.272194	59479	43	2	10
2014-03-28 06:13:43.495112	59480	20.5	1	10
2014-03-28 06:13:44.354837	59481	305	3	2
2014-03-28 06:13:44.586656	59482	1106840.6686756145	4	2
2014-03-28 06:13:52.982419	59483	51	2	9
2014-03-28 06:13:53.207517	59484	20.6	1	9
2014-03-28 06:13:54.079696	59485	46	2	8
2014-03-28 06:13:54.310315	59486	20.8	1	8
2014-03-28 06:14:22.273722	59487	43	2	10
2014-03-28 06:14:22.49707	59488	20.5	1	10
2014-03-28 06:14:31.981866	59489	51	2	9
2014-03-28 06:14:32.216015	59490	20.6	1	9
2014-03-28 06:14:32.522925	59491	338	3	2
2014-03-28 06:14:32.745582	59492	1106845.2648145002	4	2
2014-03-28 06:14:33.080694	59493	46	2	8
2014-03-28 06:14:33.311967	59494	20.8	1	8
2014-03-28 06:15:01.274714	59495	43	2	10
2014-03-28 06:15:01.497937	59496	20.5	1	10
2014-03-28 06:15:08.358619	59497	338	3	2
2014-03-28 06:15:08.592449	59498	1106847.562883943	4	2
2014-03-28 06:15:10.983644	59499	51	2	9
2014-03-28 06:15:11.204524	59500	20.6	1	9
2014-03-28 06:15:12.08031	59501	46	2	8
2014-03-28 06:15:12.31286	59502	20.8	1	8
2014-03-28 06:15:40.274998	59503	43	2	10
2014-03-28 06:15:40.497133	59504	20.5	1	10
2014-03-28 06:15:49.983109	59505	51	2	9
2014-03-28 06:15:50.216363	59506	20.6	1	9
2014-03-28 06:15:51.08211	59507	45	2	8
2014-03-28 06:15:51.304778	59508	20.8	1	8
2014-03-28 06:16:19.276082	59509	43	2	10
2014-03-28 06:16:19.508074	59510	20.5	1	10
2014-03-28 06:16:28.985229	59511	51	2	9
2014-03-28 06:16:29.207565	59512	20.6	1	9
2014-03-28 06:16:30.080677	59513	45	2	8
2014-03-28 06:16:30.314594	59514	20.8	1	8
2014-03-28 06:16:32.358814	59515	338	3	2
2014-03-28 06:16:32.579697	59516	1106855.606126993	4	2
2014-03-28 06:16:56.361896	59517	370	3	2
2014-03-28 06:16:56.607296	59518	1106857.9041964358	4	2
2014-03-28 06:16:58.276011	59519	43	2	10
2014-03-28 06:16:58.497466	59520	20.5	1	10
2014-03-28 06:17:07.9824	59521	51	2	9
2014-03-28 06:17:08.213345	59522	20.6	1	9
2014-03-28 06:17:09.080622	59523	45	2	8
2014-03-28 06:17:09.304357	59524	20.8	1	8
2014-03-28 06:17:37.275226	59525	43	2	10
2014-03-28 06:17:37.513012	59526	20.5	1	10
2014-03-28 06:17:46.982767	59527	51	2	9
2014-03-28 06:17:47.204587	59528	20.6	1	9
2014-03-28 06:17:48.081835	59529	45	2	8
2014-03-28 06:17:48.312364	59530	20.8	1	8
2014-03-28 06:18:16.276963	59531	43	2	10
2014-03-28 06:18:16.499971	59532	20.5	1	10
2014-03-28 06:18:25.980529	59533	51	2	9
2014-03-28 06:18:26.212848	59534	20.6	1	9
2014-03-28 06:18:27.081253	59535	45	2	8
2014-03-28 06:18:27.303373	59536	20.8	1	8
2014-03-28 06:18:32.360257	59537	354	3	2
2014-03-28 06:18:32.594068	59538	1106868.2455089286	4	2
2014-03-28 06:18:55.273464	59539	43	2	10
2014-03-28 06:18:55.49622	59540	20.5	1	10
2014-03-28 06:19:04.977629	59541	51	2	9
2014-03-28 06:19:05.207812	59542	20.6	1	9
2014-03-28 06:19:06.079473	59543	45	2	8
2014-03-28 06:19:06.299801	59544	20.8	1	8
2014-03-28 06:19:32.359223	59545	354	3	2
2014-03-28 06:19:32.593429	59546	1106873.9906825356	4	2
2014-03-28 06:19:34.277483	59547	43	2	10
2014-03-28 06:19:34.510632	59548	20.5	1	10
2014-03-28 06:19:43.980709	59549	51	2	9
2014-03-28 06:19:44.212176	59550	20.6	1	9
2014-03-28 06:19:45.080148	59551	45	2	8
2014-03-28 06:19:45.301759	59552	20.8	1	8
2014-03-28 06:20:13.276449	59553	43	2	10
2014-03-28 06:20:13.508271	59554	20.5	1	10
2014-03-28 06:20:22.982789	59555	51	2	9
2014-03-28 06:20:23.203397	59556	20.6	1	9
2014-03-28 06:20:24.079856	59557	45	2	8
2014-03-28 06:20:24.310425	59558	20.8	1	8
2014-03-28 06:20:52.277464	59559	43	2	10
2014-03-28 06:20:52.500694	59560	20.5	1	10
2014-03-28 06:21:01.979412	59561	51	2	9
2014-03-28 06:21:02.213306	59562	20.6	1	9
2014-03-28 06:21:03.082875	59563	45	2	8
2014-03-28 06:21:03.304675	59564	20.8	1	8
2014-03-28 06:21:31.27752	59565	43	2	10
2014-03-28 06:21:31.522289	59566	20.5	1	10
2014-03-28 06:21:40.979597	59567	51	2	9
2014-03-28 06:21:41.204081	59568	20.6	1	9
2014-03-28 06:21:42.079233	59569	45	2	8
2014-03-28 06:21:42.313148	59570	20.8	1	8
2014-03-28 06:22:10.080362	59571	289	3	2
2014-03-28 06:22:10.305227	59572	1106888.928133914	4	2
2014-03-28 06:22:10.608759	59573	43	2	10
2014-03-28 06:22:10.84218	59574	20.5	1	10
2014-03-28 06:22:19.985031	59575	51	2	9
2014-03-28 06:22:20.207	59576	20.6	1	9
2014-03-28 06:22:20.514039	59577	289	3	2
2014-03-28 06:22:20.745837	59578	1106890.0771686353	4	2
2014-03-28 06:22:21.080232	59579	45	2	8
2014-03-28 06:22:21.304001	59580	20.8	1	8
2014-03-28 06:22:49.277645	59581	43	2	10
2014-03-28 06:22:49.513395	59582	20.5	1	10
2014-03-28 06:22:56.357669	59583	338	3	2
2014-03-28 06:22:56.582835	59584	1106893.5242727997	4	2
2014-03-28 06:22:58.982433	59585	51	2	9
2014-03-28 06:22:59.214444	59586	20.6	1	9
2014-03-28 06:23:00.080185	59587	45	2	8
2014-03-28 06:23:00.300786	59588	20.8	1	8
2014-03-28 06:23:28.278659	59589	43	2	10
2014-03-28 06:23:28.510613	59590	20.5	1	10
2014-03-28 06:23:37.982479	59591	51	2	9
2014-03-28 06:23:38.205126	59592	20.6	1	9
2014-03-28 06:23:39.080523	59593	45	2	8
2014-03-28 06:23:39.311417	59594	20.8	1	8
2014-03-28 06:24:07.277506	59595	43	2	10
2014-03-28 06:24:07.500384	59596	20.5	1	10
2014-03-28 06:24:16.978863	59597	51	2	9
2014-03-28 06:24:17.210995	59598	20.6	1	9
2014-03-28 06:24:18.080261	59599	45	2	8
2014-03-28 06:24:18.301031	59600	20.8	1	8
2014-03-28 06:24:32.357653	59601	338	3	2
2014-03-28 06:24:32.595613	59602	1106902.716550571	4	2
2014-03-28 06:24:46.279178	59603	43	2	10
2014-03-28 06:24:46.503753	59604	20.5	1	10
2014-03-28 06:24:55.982415	59605	51	2	9
2014-03-28 06:24:56.216581	59606	20.6	1	9
2014-03-28 06:24:57.081127	59607	45	2	8
2014-03-28 06:24:57.302687	59608	20.8	1	8
2014-03-28 06:25:25.279236	59609	43	2	10
2014-03-28 06:25:25.512086	59610	20.5	1	10
2014-03-28 06:25:32.35892	59611	338	3	2
2014-03-28 06:25:32.581059	59612	1106908.461724178	4	2
2014-03-28 06:25:34.991122	59613	51	2	9
2014-03-28 06:25:35.237254	59614	20.6	1	9
2014-03-28 06:25:36.080939	59615	45	2	8
2014-03-28 06:25:36.301289	59616	20.8	1	8
2014-03-28 06:25:44.357769	59617	305	3	2
2014-03-28 06:25:44.593047	59618	1106909.6107588995	4	2
2014-03-28 06:26:04.278223	59619	43	2	10
2014-03-28 06:26:04.501571	59620	20.5	1	10
2014-03-28 06:26:08.35732	59621	338	3	2
2014-03-28 06:26:08.588306	59622	1106910.7597936208	4	2
2014-03-28 06:26:13.981528	59623	51	2	9
2014-03-28 06:26:14.205085	59624	20.6	1	9
2014-03-28 06:26:15.08257	59625	45	2	8
2014-03-28 06:26:15.314936	59626	20.8	1	8
2014-03-28 06:26:32.359506	59627	305	3	2
2014-03-28 06:26:32.586297	59628	1106913.0578630636	4	2
2014-03-28 06:26:43.27513	59629	43	2	10
2014-03-28 06:26:43.507156	59630	20.5	1	10
2014-03-28 06:26:44.359318	59631	305	3	2
2014-03-28 06:26:44.579003	59632	1106914.2068977852	4	2
2014-03-28 06:26:52.981937	59633	51	2	9
2014-03-28 06:26:53.215616	59634	20.6	1	9
2014-03-28 06:26:54.082088	59635	45	2	8
2014-03-28 06:26:54.306471	59636	20.8	1	8
2014-03-28 06:27:08.357528	59637	305	3	2
2014-03-28 06:27:08.587608	59638	1106916.504967228	4	2
2014-03-28 06:27:20.368652	59639	338	3	2
2014-03-28 06:27:20.593408	59640	1106917.6540019494	4	2
2014-03-28 06:27:22.280489	59641	43	2	10
2014-03-28 06:27:22.512231	59642	20.5	1	10
2014-03-28 06:27:31.981431	59643	51	2	9
2014-03-28 06:27:32.21085	59644	20.6	1	9
2014-03-28 06:27:33.081565	59645	45	2	8
2014-03-28 06:27:33.313322	59646	20.8	1	8
2014-03-28 06:27:44.357327	59647	338	3	2
2014-03-28 06:27:44.581107	59648	1106919.9520713922	4	2
2014-03-28 06:28:01.278264	59649	43	2	10
2014-03-28 06:28:01.512355	59650	20.5	1	10
2014-03-28 06:28:10.97773	59651	51	2	9
2014-03-28 06:28:11.203445	59652	20.6	1	9
2014-03-28 06:28:12.081643	59653	45	2	8
2014-03-28 06:28:12.311811	59654	20.8	1	8
2014-03-28 06:28:40.279559	59655	43	2	10
2014-03-28 06:28:40.503407	59656	20.5	1	10
2014-03-28 06:28:49.981375	59657	51	2	9
2014-03-28 06:28:50.21433	59658	20.6	1	9
2014-03-28 06:28:51.080914	59659	45	2	8
2014-03-28 06:28:51.301368	59660	20.8	1	8
2014-03-28 06:28:56.357735	59661	305	3	2
2014-03-28 06:28:56.626038	59662	1106926.8462797208	4	2
2014-03-28 06:29:19.277817	59663	43	2	10
2014-03-28 06:29:19.519246	59664	20.4	1	10
2014-03-28 06:29:28.980812	59665	51	2	9
2014-03-28 06:29:29.435505	59666	20.6	1	9
2014-03-28 06:29:30.081165	59667	45	2	8
2014-03-28 06:29:30.333217	59668	20.8	1	8
2014-03-28 06:29:32.357403	59669	354	3	2
2014-03-28 06:29:32.588526	59670	1106930.293383885	4	2
2014-03-28 06:29:58.280107	59671	43	2	10
2014-03-28 06:29:58.509307	59672	20.4	1	10
2014-03-28 06:30:07.989713	59673	51	2	9
2014-03-28 06:30:08.21131	59674	20.6	1	9
2014-03-28 06:30:09.080719	59675	45	2	8
2014-03-28 06:30:09.311681	59676	20.8	1	8
2014-03-28 06:30:37.280595	59677	43	2	10
2014-03-28 06:30:37.501877	59678	20.4	1	10
2014-03-28 06:30:46.986112	59679	51	2	9
2014-03-28 06:30:47.218961	59680	20.6	1	9
2014-03-28 06:30:48.080979	59681	45	2	8
2014-03-28 06:30:48.300287	59682	20.8	1	8
2014-03-28 06:31:16.280852	59683	43	2	10
2014-03-28 06:31:16.513508	59684	20.4	1	10
2014-03-28 06:31:25.989349	59685	51	2	9
2014-03-28 06:31:26.209842	59686	20.6	1	9
2014-03-28 06:31:27.080913	59687	45	2	8
2014-03-28 06:31:27.364813	59688	20.8	1	8
2014-03-28 06:31:55.279215	59689	43	2	10
2014-03-28 06:31:55.500928	59690	20.4	1	10
2014-03-28 06:32:04.981125	59691	51	2	9
2014-03-28 06:32:05.213376	59692	20.6	1	9
2014-03-28 06:32:06.081751	59693	45	2	8
2014-03-28 06:32:06.305795	59694	20.8	1	8
2014-03-28 06:32:32.357664	59695	354	3	2
2014-03-28 06:32:32.594492	59696	1106947.5289047062	4	2
2014-03-28 06:32:34.282763	59697	43	2	10
2014-03-28 06:32:34.504874	59698	20.4	1	10
2014-03-28 06:32:43.98183	59699	51	2	9
2014-03-28 06:32:44.215822	59700	20.6	1	9
2014-03-28 06:32:45.082095	59701	45	2	8
2014-03-28 06:32:45.305032	59702	20.8	1	8
2014-03-28 06:33:13.279972	59703	43	2	10
2014-03-28 06:33:13.513833	59704	20.4	1	10
2014-03-28 06:33:22.982691	59705	51	2	9
2014-03-28 06:33:23.204351	59706	20.5	1	9
2014-03-28 06:33:24.079719	59707	45	2	8
2014-03-28 06:33:24.311258	59708	20.8	1	8
2014-03-28 06:33:52.279348	59709	43	2	10
2014-03-28 06:33:52.503363	59710	20.4	1	10
2014-03-28 06:34:01.982014	59711	51	2	9
2014-03-28 06:34:02.223596	59712	20.5	1	9
2014-03-28 06:34:03.08115	59713	45	2	8
2014-03-28 06:34:03.30857	59714	20.8	1	8
2014-03-28 06:34:31.278027	59715	43	2	10
2014-03-28 06:34:31.510365	59716	20.4	1	10
2014-03-28 06:34:40.982346	59717	51	2	9
2014-03-28 06:34:41.204122	59718	20.5	1	9
2014-03-28 06:34:42.080551	59719	45	2	8
2014-03-28 06:34:42.31035	59720	20.8	1	8
2014-03-28 06:35:10.280925	59721	43	2	10
2014-03-28 06:35:10.502286	59722	20.4	1	10
2014-03-28 06:35:19.978962	59723	51	2	9
2014-03-28 06:35:20.209323	59724	20.5	1	9
2014-03-28 06:35:20.513178	59725	338	3	2
2014-03-28 06:35:20.735795	59726	1106964.7644255273	4	2
2014-03-28 06:35:21.080659	59727	45	2	8
2014-03-28 06:35:21.310626	59728	20.8	1	8
2014-03-28 06:35:32.356363	59729	338	3	2
2014-03-28 06:35:32.584261	59730	1106965.9134602488	4	2
2014-03-28 06:35:49.282335	59731	43	2	10
2014-03-28 06:35:49.513816	59732	20.4	1	10
2014-03-28 06:35:56.356087	59733	305	3	2
2014-03-28 06:35:56.577291	59734	1106968.2115296917	4	2
2014-03-28 06:35:58.97993	59735	51	2	9
2014-03-28 06:35:59.211082	59736	20.5	1	9
2014-03-28 06:36:00.080327	59737	45	2	8
2014-03-28 06:36:00.299878	59738	20.8	1	8
2014-03-28 06:36:08.359014	59739	338	3	2
2014-03-28 06:36:08.5919	59740	1106969.360564413	4	2
2014-03-28 06:36:20.353859	59741	338	3	2
2014-03-28 06:36:20.574152	59742	1106970.5095991343	4	2
2014-03-28 06:36:28.282268	59743	43	2	10
2014-03-28 06:36:28.513444	59744	20.4	1	10
2014-03-28 06:36:32.355495	59745	305	3	2
2014-03-28 06:36:32.583109	59746	1106971.6586338559	4	2
2014-03-28 06:36:37.992716	59747	51	2	9
2014-03-28 06:36:38.224122	59748	20.5	1	9
2014-03-28 06:36:39.079947	59749	45	2	8
2014-03-28 06:36:39.300609	59750	20.8	1	8
2014-03-28 06:36:44.358505	59751	338	3	2
2014-03-28 06:36:44.590066	59752	1106972.8076685772	4	2
2014-03-28 06:36:56.355373	59753	338	3	2
2014-03-28 06:36:56.578033	59754	1106973.9567032987	4	2
2014-03-28 06:37:07.282247	59755	43	2	10
2014-03-28 06:37:07.512366	59756	20.4	1	10
2014-03-28 06:37:16.980489	59757	51	2	9
2014-03-28 06:37:17.204102	59758	20.6	1	9
2014-03-28 06:37:18.082158	59759	45	2	8
2014-03-28 06:37:18.323635	59760	20.8	1	8
2014-03-28 06:37:32.3543	59761	338	3	2
2014-03-28 06:37:32.581689	59762	1106977.403807463	4	2
2014-03-28 06:37:44.355079	59763	305	3	2
2014-03-28 06:37:44.588544	59764	1106977.403807463	4	2
2014-03-28 06:37:46.283857	59765	43	2	10
2014-03-28 06:37:46.504197	59766	20.4	1	10
2014-03-28 06:37:55.987362	59767	51	2	9
2014-03-28 06:37:56.220839	59768	20.5	1	9
2014-03-28 06:37:56.523591	59769	338	3	2
2014-03-28 06:37:56.745161	59770	1106978.5528421844	4	2
2014-03-28 06:37:57.080276	59771	45	2	8
2014-03-28 06:37:57.312832	59772	20.8	1	8
2014-03-28 06:38:25.283125	59773	43	2	10
2014-03-28 06:38:25.50408	59774	20.4	1	10
2014-03-28 06:38:32.359254	59775	338	3	2
2014-03-28 06:38:32.590144	59776	1106981.9999463486	4	2
2014-03-28 06:38:34.986227	59777	51	2	9
2014-03-28 06:38:35.205059	59778	20.5	1	9
2014-03-28 06:38:36.079149	59779	45	2	8
2014-03-28 06:38:36.312418	59780	20.8	1	8
2014-03-28 06:39:04.281589	59781	43	2	10
2014-03-28 06:39:04.504546	59782	20.4	1	10
2014-03-28 06:39:13.979214	59783	51	2	9
2014-03-28 06:39:14.209581	59784	20.5	1	9
2014-03-28 06:39:15.07987	59785	45	2	8
2014-03-28 06:39:15.30321	59786	20.8	1	8
2014-03-28 06:39:43.282056	59787	43	2	10
2014-03-28 06:39:43.51555	59788	20.4	1	10
2014-03-28 06:39:52.98137	59789	51	2	9
2014-03-28 06:39:53.202924	59790	20.5	1	9
2014-03-28 06:39:54.081616	59791	45	2	8
2014-03-28 06:39:54.31055	59792	20.8	1	8
2014-03-28 06:40:22.283265	59793	43	2	10
2014-03-28 06:40:22.504207	59794	20.4	1	10
2014-03-28 06:40:31.982133	59795	51	2	9
2014-03-28 06:40:32.212688	59796	20.5	1	9
2014-03-28 06:40:33.079502	59797	45	2	8
2014-03-28 06:40:33.301287	59798	20.8	1	8
2014-03-28 06:41:01.282145	59799	43	2	10
2014-03-28 06:41:01.513137	59800	20.4	1	10
2014-03-28 06:41:10.978832	59801	51	2	9
2014-03-28 06:41:11.199818	59802	20.5	1	9
2014-03-28 06:41:12.081282	59803	45	2	8
2014-03-28 06:41:12.310491	59804	20.8	1	8
2014-03-28 06:41:40.282432	59805	43	2	10
2014-03-28 06:41:40.504454	59806	20.4	1	10
2014-03-28 06:41:49.982528	59807	51	2	9
2014-03-28 06:41:50.226419	59808	20.5	1	9
2014-03-28 06:41:51.079853	59809	45	2	8
2014-03-28 06:41:51.301383	59810	20.8	1	8
2014-03-28 06:42:19.282429	59811	43	2	10
2014-03-28 06:42:19.516594	59812	20.4	1	10
2014-03-28 06:42:20.357927	59813	370	3	2
2014-03-28 06:42:20.578071	59814	1107002.6870422864	4	2
2014-03-28 06:42:28.982427	59815	51	2	9
2014-03-28 06:42:29.216448	59816	20.5	1	9
2014-03-28 06:42:30.083352	59817	45	2	8
2014-03-28 06:42:30.303848	59818	20.8	1	8
2014-03-28 06:42:32.357346	59819	370	3	2
2014-03-28 06:42:32.588812	59820	1107003.8360770077	4	2
2014-03-28 06:42:58.321903	59821	43	2	10
2014-03-28 06:42:58.563722	59822	20.3	1	10
2014-03-28 06:43:07.98007	59823	51	2	9
2014-03-28 06:43:08.210753	59824	20.5	1	9
2014-03-28 06:43:09.080075	59825	45	2	8
2014-03-28 06:43:09.302566	59826	20.8	1	8
2014-03-28 06:43:32.358682	59827	370	3	2
2014-03-28 06:43:32.588271	59828	1107009.5812506147	4	2
2014-03-28 06:43:37.295101	59829	43	2	10
2014-03-28 06:43:37.518523	59830	20.3	1	10
2014-03-28 06:43:46.988604	59831	51	2	9
2014-03-28 06:43:47.21997	59832	20.5	1	9
2014-03-28 06:43:48.081419	59833	45	2	8
2014-03-28 06:43:48.303487	59834	20.8	1	8
2014-03-28 06:44:16.284897	59835	43	2	10
2014-03-28 06:44:16.517098	59836	20.3	1	10
2014-03-28 06:44:25.977682	59837	51	2	9
2014-03-28 06:44:26.200253	59838	20.5	1	9
2014-03-28 06:44:27.079715	59839	45	2	8
2014-03-28 06:44:27.30959	59840	20.8	1	8
2014-03-28 06:44:32.354554	59841	370	3	2
2014-03-28 06:44:32.577477	59842	1107016.4754589433	4	2
2014-03-28 06:44:55.283371	59843	43	2	10
2014-03-28 06:44:55.51582	59844	20.3	1	10
2014-03-28 06:44:56.354854	59845	370	3	2
2014-03-28 06:44:56.57967	59846	1107018.7735283861	4	2
2014-03-28 06:45:05.18325	59847	51	2	9
2014-03-28 06:45:05.413809	59848	20.5	1	9
2014-03-28 06:45:06.080307	59849	45	2	8
2014-03-28 06:45:06.301382	59850	20.8	1	8
2014-03-28 06:45:34.085949	59851	370	3	2
2014-03-28 06:45:34.316583	59852	1107022.2206325503	4	2
2014-03-28 06:45:34.623848	59853	43	2	10
2014-03-28 06:45:34.844713	59854	20.3	1	10
2014-03-28 06:45:43.989177	59855	51	2	9
2014-03-28 06:45:44.231694	59856	20.5	1	9
2014-03-28 06:45:45.08108	59857	45	2	8
2014-03-28 06:45:45.301443	59858	20.8	1	8
2014-03-28 06:46:13.283323	59859	43	2	10
2014-03-28 06:46:13.513792	59860	20.3	1	10
2014-03-28 06:46:22.982339	59861	51	2	9
2014-03-28 06:46:23.20302	59862	20.5	1	9
2014-03-28 06:46:24.081184	59863	45	2	8
2014-03-28 06:46:24.310837	59864	20.8	1	8
2014-03-28 06:46:52.28502	59865	43	2	10
2014-03-28 06:46:52.506135	59866	20.3	1	10
2014-03-28 06:47:01.98152	59867	51	2	9
2014-03-28 06:47:02.213782	59868	20.5	1	9
2014-03-28 06:47:03.079604	59869	45	2	8
2014-03-28 06:47:03.299892	59870	20.8	1	8
2014-03-28 06:47:31.285425	59871	43	2	10
2014-03-28 06:47:31.519219	59872	20.3	1	10
2014-03-28 06:47:32.356476	59873	305	3	2
2014-03-28 06:47:32.577603	59874	1107034.860014486	4	2
2014-03-28 06:47:40.978588	59875	51	2	9
2014-03-28 06:47:41.23699	59876	20.5	1	9
2014-03-28 06:47:42.08147	59877	45	2	8
2014-03-28 06:47:42.300756	59878	20.8	1	8
2014-03-28 06:48:10.285076	59879	43	2	10
2014-03-28 06:48:10.519488	59880	20.3	1	10
2014-03-28 06:48:19.983752	59881	51	2	9
2014-03-28 06:48:20.207855	59882	20.5	1	9
2014-03-28 06:48:21.080283	59883	45	2	8
2014-03-28 06:48:21.311002	59884	20.8	1	8
2014-03-28 06:48:32.357696	59885	338	3	2
2014-03-28 06:48:32.580151	59886	1107039.4561533716	4	2
2014-03-28 06:48:49.287138	59887	43	2	10
2014-03-28 06:48:49.518037	59888	20.3	1	10
2014-03-28 06:48:58.980367	59889	51	2	9
2014-03-28 06:48:59.2005	59890	20.5	1	9
2014-03-28 06:49:00.080003	59891	45	2	8
2014-03-28 06:49:00.314152	59892	20.7	1	8
2014-03-28 06:49:08.358262	59893	402	3	2
2014-03-28 06:49:08.581059	59894	1107042.9032575358	4	2
2014-03-28 06:49:20.35592	59895	402	3	2
2014-03-28 06:49:20.588516	59896	1107044.0522922573	4	2
2014-03-28 06:49:28.285701	59897	43	2	10
2014-03-28 06:49:28.51015	59898	20.3	1	10
2014-03-28 06:49:32.35752	59899	370	3	2
2014-03-28 06:49:32.589288	59900	1107046.3503617	4	2
2014-03-28 06:49:37.981861	59901	51	2	9
2014-03-28 06:49:38.203495	59902	20.5	1	9
2014-03-28 06:49:39.08013	59903	45	2	8
2014-03-28 06:49:39.32384	59904	20.7	1	8
2014-03-28 06:49:56.354537	59905	402	3	2
2014-03-28 06:49:56.577491	59906	1107048.6484311428	4	2
2014-03-28 06:50:07.284307	59907	43	2	10
2014-03-28 06:50:07.517578	59908	20.3	1	10
2014-03-28 06:50:16.978944	59909	51	2	9
2014-03-28 06:50:17.199469	59910	20.5	1	9
2014-03-28 06:50:18.079107	59911	45	2	8
2014-03-28 06:50:18.309512	59912	20.7	1	8
2014-03-28 06:50:44.35731	59913	370	3	2
2014-03-28 06:50:44.579221	59914	1107054.39360475	4	2
2014-03-28 06:50:46.285405	59915	43	2	10
2014-03-28 06:50:46.515572	59916	20.3	1	10
2014-03-28 06:50:55.979669	59917	51	2	9
2014-03-28 06:50:56.201004	59918	20.5	1	9
2014-03-28 06:50:57.079725	59919	45	2	8
2014-03-28 06:50:57.310058	59920	20.7	1	8
2014-03-28 06:51:25.285953	59921	43	2	10
2014-03-28 06:51:25.507936	59922	20.3	1	10
2014-03-28 06:51:34.981715	59923	51	2	9
2014-03-28 06:51:35.21353	59924	20.5	1	9
2014-03-28 06:51:36.07855	59925	45	2	8
2014-03-28 06:51:36.297965	59926	20.7	1	8
2014-03-28 06:52:04.286725	59927	43	2	10
2014-03-28 06:52:04.51782	59928	20.3	1	10
2014-03-28 06:52:13.982436	59929	51	2	9
2014-03-28 06:52:14.203897	59930	20.5	1	9
2014-03-28 06:52:15.079427	59931	45	2	8
2014-03-28 06:52:15.308933	59932	20.7	1	8
2014-03-28 06:52:43.286565	59933	43	2	10
2014-03-28 06:52:43.511193	59934	20.3	1	10
2014-03-28 06:52:52.981408	59935	51	2	9
2014-03-28 06:52:53.211268	59936	20.5	1	9
2014-03-28 06:52:54.080256	59937	45	2	8
2014-03-28 06:52:54.30274	59938	20.7	1	8
2014-03-28 06:52:56.354384	59939	402	3	2
2014-03-28 06:52:56.587134	59940	1107068.182021407	4	2
2014-03-28 06:53:22.286363	59941	43	2	10
2014-03-28 06:53:22.508597	59942	20.3	1	10
2014-03-28 06:53:31.978873	59943	51	2	9
2014-03-28 06:53:32.21213	59944	20.5	1	9
2014-03-28 06:53:33.079568	59945	45	2	8
2014-03-28 06:53:33.30825	59946	20.7	1	8
2014-03-28 06:54:01.289034	59947	43	2	10
2014-03-28 06:54:01.521112	59948	20.3	1	10
2014-03-28 06:54:10.980313	59949	51	2	9
2014-03-28 06:54:11.202321	59950	20.5	1	9
2014-03-28 06:54:12.079493	59951	45	2	8
2014-03-28 06:54:12.323691	59952	20.7	1	8
2014-03-28 06:54:40.288049	59953	43	2	10
2014-03-28 06:54:40.512662	59954	20.3	1	10
2014-03-28 06:54:49.9815	59955	51	2	9
2014-03-28 06:54:50.213011	59956	20.5	1	9
2014-03-28 06:54:51.077815	59957	45	2	8
2014-03-28 06:54:51.299873	59958	20.7	1	8
2014-03-28 06:55:19.286806	59959	43	2	10
2014-03-28 06:55:19.520712	59960	20.3	1	10
2014-03-28 06:55:28.979198	59961	51	2	9
2014-03-28 06:55:29.200027	59962	20.5	1	9
2014-03-28 06:55:30.079451	59963	45	2	8
2014-03-28 06:55:30.308796	59964	20.7	1	8
2014-03-28 06:55:32.357092	59965	434	3	2
2014-03-28 06:55:32.580014	59966	1107086.5665769496	4	2
2014-03-28 06:55:58.288633	59967	43	2	10
2014-03-28 06:55:58.519142	59968	20.3	1	10
2014-03-28 06:56:07.980629	59969	51	2	9
2014-03-28 06:56:08.20259	59970	20.5	1	9
2014-03-28 06:56:09.079217	59971	45	2	8
2014-03-28 06:56:09.308805	59972	20.7	1	8
2014-03-28 06:56:32.353556	59973	434	3	2
2014-03-28 06:56:32.575464	59974	1107094.6098199994	4	2
2014-03-28 06:56:37.288461	59975	43	2	10
2014-03-28 06:56:37.518266	59976	20.3	1	10
2014-03-28 06:56:46.980511	59977	51	2	9
2014-03-28 06:56:47.201273	59978	20.5	1	9
2014-03-28 06:56:48.07942	59979	45	2	8
2014-03-28 06:56:48.309175	59980	20.7	1	8
2014-03-28 06:57:16.285841	59981	43	2	10
2014-03-28 06:57:16.506172	59982	20.3	1	10
2014-03-28 06:57:25.981776	59983	51	2	9
2014-03-28 06:57:26.213348	59984	20.5	1	9
2014-03-28 06:57:27.079885	59985	45	2	8
2014-03-28 06:57:27.301065	59986	20.7	1	8
2014-03-28 06:57:55.287435	59987	43	2	10
2014-03-28 06:57:55.523131	59988	20.3	1	10
2014-03-28 06:58:04.981571	59989	51	2	9
2014-03-28 06:58:05.20338	59990	20.5	1	9
2014-03-28 06:58:06.080135	59991	45	2	8
2014-03-28 06:58:06.312343	59992	20.7	1	8
2014-03-28 06:58:32.356094	59993	434	3	2
2014-03-28 06:58:32.576962	59994	1107108.3982366566	4	2
2014-03-28 06:58:34.295751	59995	43	2	10
2014-03-28 06:58:34.528739	59996	20.2	1	10
2014-03-28 06:58:43.978562	59997	51	2	9
2014-03-28 06:58:44.203177	59998	20.5	1	9
2014-03-28 06:58:45.080026	59999	45	2	8
2014-03-28 06:58:45.324187	60000	20.7	1	8
2014-03-28 06:59:13.291367	60001	43	2	10
2014-03-28 06:59:13.513058	60002	20.2	1	10
2014-03-28 06:59:22.978537	60003	51	2	9
2014-03-28 06:59:23.211669	60004	20.5	1	9
2014-03-28 06:59:24.079091	60005	45	2	8
2014-03-28 06:59:24.304148	60006	20.7	1	8
2014-03-28 06:59:44.356192	60007	370	3	2
2014-03-28 06:59:44.587914	60008	1107116.4414797064	4	2
2014-03-28 06:59:52.29118	60009	43	2	10
2014-03-28 06:59:52.513999	60010	20.2	1	10
2014-03-28 06:59:56.356812	60011	402	3	2
2014-03-28 06:59:56.586938	60012	1107117.5905144277	4	2
2014-03-28 07:00:01.979676	60013	51	2	9
2014-03-28 07:00:02.202737	60014	20.5	1	9
2014-03-28 07:00:03.078262	60015	45	2	8
2014-03-28 07:00:03.310297	60016	20.7	1	8
2014-03-28 07:00:08.358265	60017	370	3	2
2014-03-28 07:00:08.578854	60018	1107119.8885838706	4	2
2014-03-28 07:00:31.290433	60019	43	2	10
2014-03-28 07:00:31.522671	60020	20.2	1	10
2014-03-28 07:00:40.982377	60021	51	2	9
2014-03-28 07:00:41.22432	60022	20.5	1	9
2014-03-28 07:00:42.080095	60023	45	2	8
2014-03-28 07:00:42.31026	60024	20.7	1	8
2014-03-28 07:01:10.290394	60025	43	2	10
2014-03-28 07:01:10.512986	60026	20.2	1	10
2014-03-28 07:01:19.980733	60027	51	2	9
2014-03-28 07:01:20.212255	60028	20.5	1	9
2014-03-28 07:01:21.07909	60029	45	2	8
2014-03-28 07:01:21.29991	60030	20.7	1	8
2014-03-28 07:01:32.355487	60031	370	3	2
2014-03-28 07:01:32.585632	60032	1107127.9318269205	4	2
2014-03-28 07:01:44.355851	60033	370	3	2
2014-03-28 07:01:44.576632	60034	1107129.080861642	4	2
2014-03-28 07:01:49.289131	60035	43	2	10
2014-03-28 07:01:49.521664	60036	20.2	1	10
2014-03-28 07:01:59.036861	60037	51	2	9
2014-03-28 07:01:59.258968	60038	20.5	1	9
2014-03-28 07:02:00.080661	60039	45	2	8
2014-03-28 07:02:00.312002	60040	20.7	1	8
2014-03-28 07:02:28.346244	60041	43	2	10
2014-03-28 07:02:28.56782	60042	20.2	1	10
2014-03-28 07:02:32.35724	60043	370	3	2
2014-03-28 07:02:32.588694	60044	1107134.826035249	4	2
2014-03-28 07:02:37.997237	60045	51	2	9
2014-03-28 07:02:38.221421	60046	20.5	1	9
2014-03-28 07:02:39.07937	60047	45	2	8
2014-03-28 07:02:39.321401	60048	20.7	1	8
2014-03-28 07:03:07.494265	60049	43	2	10
2014-03-28 07:03:07.715615	60050	20.2	1	10
2014-03-28 07:03:16.981479	60051	51	2	9
2014-03-28 07:03:17.216795	60052	20.5	1	9
2014-03-28 07:03:18.080228	60053	45	2	8
2014-03-28 07:03:18.300087	60054	20.7	1	8
2014-03-28 07:03:32.356503	60055	370	3	2
2014-03-28 07:03:32.588507	60056	1107140.571208856	4	2
2014-03-28 07:03:44.355025	60057	338	3	2
2014-03-28 07:03:44.576313	60058	1107141.7202435774	4	2
2014-03-28 07:03:46.29048	60059	43	2	10
2014-03-28 07:03:46.523955	60060	20.2	1	10
2014-03-28 07:03:55.980048	60061	51	2	9
2014-03-28 07:03:56.205616	60062	20.5	1	9
2014-03-28 07:03:57.081707	60063	45	2	8
2014-03-28 07:03:57.312297	60064	20.7	1	8
2014-03-28 07:04:25.289396	60065	43	2	10
2014-03-28 07:04:25.513474	60066	20.2	1	10
2014-03-28 07:04:34.979406	60067	51	2	9
2014-03-28 07:04:35.212204	60068	20.5	1	9
2014-03-28 07:04:36.079664	60069	45	2	8
2014-03-28 07:04:36.301571	60070	20.7	1	8
2014-03-28 07:05:04.29202	60071	43	2	10
2014-03-28 07:05:04.530447	60072	20.2	1	10
2014-03-28 07:05:13.980521	60073	51	2	9
2014-03-28 07:05:14.200858	60074	20.5	1	9
2014-03-28 07:05:15.079301	60075	45	2	8
2014-03-28 07:05:15.314518	60076	20.7	1	8
2014-03-28 07:05:32.35686	60077	482	3	2
2014-03-28 07:05:32.579514	60078	1107155.5086602345	4	2
2014-03-28 07:05:43.29173	60079	43	2	10
2014-03-28 07:05:43.525994	60080	20.2	1	10
2014-03-28 07:05:52.98069	60081	51	2	9
2014-03-28 07:05:53.202703	60082	20.5	1	9
2014-03-28 07:05:54.079995	60083	45	2	8
2014-03-28 07:05:54.314269	60084	20.8	1	8
2014-03-28 07:06:22.292321	60085	43	2	10
2014-03-28 07:06:22.51892	60086	20.2	1	10
2014-03-28 07:06:31.982154	60087	51	2	9
2014-03-28 07:06:32.214228	60088	20.5	1	9
2014-03-28 07:06:33.081326	60089	46	2	8
2014-03-28 07:06:33.303596	60090	20.8	1	8
2014-03-28 07:07:01.28979	60091	43	2	10
2014-03-28 07:07:01.521571	60092	20.2	1	10
2014-03-28 07:07:10.979651	60093	51	2	9
2014-03-28 07:07:11.203183	60094	20.5	1	9
2014-03-28 07:07:12.078975	60095	47	2	8
2014-03-28 07:07:12.321312	60096	20.8	1	8
2014-03-28 07:07:40.291991	60097	43	2	10
2014-03-28 07:07:40.51325	60098	20.2	1	10
2014-03-28 07:07:49.981265	60099	51	2	9
2014-03-28 07:07:50.213035	60100	20.5	1	9
2014-03-28 07:07:51.080124	60101	47	2	8
2014-03-28 07:07:51.302605	60102	20.9	1	8
2014-03-28 07:08:19.290945	60103	43	2	10
2014-03-28 07:08:19.523237	60104	20.2	1	10
2014-03-28 07:08:28.98134	60105	51	2	9
2014-03-28 07:08:29.203494	60106	20.5	1	9
2014-03-28 07:08:30.07876	60107	47	2	8
2014-03-28 07:08:30.309318	60108	21.0	1	8
2014-03-28 07:08:58.292513	60109	43	2	10
2014-03-28 07:08:58.514232	60110	20.2	1	10
2014-03-28 07:09:07.983104	60111	51	2	9
2014-03-28 07:09:08.216908	60112	20.5	1	9
2014-03-28 07:09:09.081391	60113	49	2	8
2014-03-28 07:09:09.302036	60114	21.1	1	8
2014-03-28 07:09:37.290694	60115	43	2	10
2014-03-28 07:09:37.523263	60116	20.2	1	10
2014-03-28 07:09:46.980295	60117	51	2	9
2014-03-28 07:09:47.204059	60118	20.5	1	9
2014-03-28 07:09:48.080949	60119	50	2	8
2014-03-28 07:09:48.31438	60120	21.2	1	8
2014-03-28 07:10:16.294325	60121	43	2	10
2014-03-28 07:10:16.518883	60122	20.2	1	10
2014-03-28 07:10:25.983547	60123	51	2	9
2014-03-28 07:10:26.21433	60124	20.5	1	9
2014-03-28 07:10:27.078284	60125	51	2	8
2014-03-28 07:10:27.302483	60126	21.3	1	8
2014-03-28 07:10:55.292321	60127	43	2	10
2014-03-28 07:10:55.526155	60128	20.2	1	10
2014-03-28 07:11:04.98092	60129	51	2	9
2014-03-28 07:11:05.202663	60130	20.5	1	9
2014-03-28 07:11:06.079844	60131	54	2	8
2014-03-28 07:11:06.30991	60132	21.5	1	8
2014-03-28 07:11:34.289986	60133	43	2	10
2014-03-28 07:11:34.514317	60134	20.2	1	10
2014-03-28 07:11:43.981761	60135	51	2	9
2014-03-28 07:11:44.212643	60136	20.5	1	9
2014-03-28 07:11:45.079236	60137	57	2	8
2014-03-28 07:11:45.300753	60138	21.7	1	8
2014-03-28 07:12:13.29387	60139	43	2	10
2014-03-28 07:12:13.524599	60140	20.2	1	10
2014-03-28 07:12:22.980676	60141	51	2	9
2014-03-28 07:12:23.202645	60142	20.5	1	9
2014-03-28 07:12:24.081643	60143	59	2	8
2014-03-28 07:12:24.323752	60144	22.0	1	8
2014-03-28 07:12:52.29329	60145	43	2	10
2014-03-28 07:12:52.516976	60146	20.2	1	10
2014-03-28 07:13:01.981675	60147	51	2	9
2014-03-28 07:13:02.21265	60148	20.5	1	9
2014-03-28 07:13:03.080261	60149	62	2	8
2014-03-28 07:13:03.30051	60150	22.3	1	8
2014-03-28 07:13:31.291273	60151	43	2	10
2014-03-28 07:13:31.523112	60152	20.2	1	10
2014-03-28 07:13:40.982088	60153	51	2	9
2014-03-28 07:13:41.202416	60154	20.5	1	9
2014-03-28 07:13:42.079126	60155	64	2	8
2014-03-28 07:13:42.313013	60156	22.6	1	8
2014-03-28 07:14:10.292305	60157	43	2	10
2014-03-28 07:14:10.513209	60158	20.2	1	10
2014-03-28 07:14:19.982541	60159	51	2	9
2014-03-28 07:14:20.213101	60160	20.5	1	9
2014-03-28 07:14:21.082103	60161	65	2	8
2014-03-28 07:14:21.302111	60162	22.7	1	8
2014-03-28 07:14:49.294307	60163	43	2	10
2014-03-28 07:14:49.526553	60164	20.2	1	10
2014-03-28 07:14:58.979352	60165	51	2	9
2014-03-28 07:14:59.202861	60166	20.5	1	9
2014-03-28 07:15:00.079364	60167	66	2	8
2014-03-28 07:15:00.312192	60168	22.9	1	8
2014-03-28 07:15:28.294875	60169	43	2	10
2014-03-28 07:15:28.515775	60170	20.1	1	10
2014-03-28 07:15:37.980471	60171	51	2	9
2014-03-28 07:15:38.214153	60172	20.5	1	9
2014-03-28 07:15:39.080006	60173	65	2	8
2014-03-28 07:15:39.303137	60174	23.1	1	8
2014-03-28 07:16:07.295081	60175	43	2	10
2014-03-28 07:16:07.529146	60176	20.1	1	10
2014-03-28 07:16:16.97993	60177	51	2	9
2014-03-28 07:16:17.200849	60178	20.5	1	9
2014-03-28 07:16:18.078249	60179	66	2	8
2014-03-28 07:16:18.309897	60180	23.2	1	8
2014-03-28 07:16:46.29446	60181	43	2	10
2014-03-28 07:16:46.526379	60182	20.1	1	10
2014-03-28 07:16:55.98082	60183	51	2	9
2014-03-28 07:16:56.213133	60184	20.5	1	9
2014-03-28 07:16:57.080146	60185	67	2	8
2014-03-28 07:16:57.303075	60186	23.4	1	8
2014-03-28 07:17:25.2953	60187	43	2	10
2014-03-28 07:17:25.549616	60188	20.1	1	10
2014-03-28 07:17:34.984129	60189	51	2	9
2014-03-28 07:17:35.208137	60190	20.5	1	9
2014-03-28 07:17:36.079569	60191	67	2	8
2014-03-28 07:17:36.321291	60192	23.6	1	8
2014-03-28 07:18:04.296019	60193	43	2	10
2014-03-28 07:18:04.526676	60194	20.1	1	10
2014-03-28 07:18:13.977496	60195	51	2	9
2014-03-28 07:18:14.209065	60196	20.5	1	9
2014-03-28 07:18:15.077053	60197	67	2	8
2014-03-28 07:18:15.298771	60198	23.6	1	8
2014-03-28 07:18:43.29375	60199	43	2	10
2014-03-28 07:18:43.524571	60200	20.1	1	10
2014-03-28 07:18:52.980787	60201	51	2	9
2014-03-28 07:18:53.202306	60202	20.5	1	9
2014-03-28 07:18:54.079169	60203	66	2	8
2014-03-28 07:18:54.309046	60204	23.6	1	8
2014-03-28 07:19:22.292644	60205	43	2	10
2014-03-28 07:19:22.515097	60206	20.1	1	10
2014-03-28 07:19:31.979766	60207	51	2	9
2014-03-28 07:19:32.209906	60208	20.5	1	9
2014-03-28 07:19:33.078318	60209	65	2	8
2014-03-28 07:19:33.299077	60210	23.5	1	8
2014-03-28 07:20:01.294536	60211	43	2	10
2014-03-28 07:20:01.525267	60212	20.1	1	10
2014-03-28 07:20:10.979532	60213	51	2	9
2014-03-28 07:20:11.203538	60214	20.4	1	9
2014-03-28 07:20:12.082122	60215	65	2	8
2014-03-28 07:20:12.313285	60216	23.3	1	8
2014-03-28 07:20:32.352742	60217	482	3	2
2014-03-28 07:20:32.574713	60218	1107278.459846378	4	2
2014-03-28 07:20:40.298012	60219	43	2	10
2014-03-28 07:20:40.530861	60220	20.1	1	10
2014-03-28 07:20:49.97999	60221	51	2	9
2014-03-28 07:20:50.205877	60222	20.4	1	9
2014-03-28 07:20:51.084321	60223	64	2	8
2014-03-28 07:20:51.317264	60224	23.2	1	8
2014-03-28 07:21:19.299898	60225	43	2	10
2014-03-28 07:21:19.523512	60226	20.1	1	10
2014-03-28 07:21:28.982957	60227	51	2	9
2014-03-28 07:21:29.215481	60228	20.4	1	9
2014-03-28 07:21:30.077887	60229	63	2	8
2014-03-28 07:21:30.298297	60230	23.1	1	8
2014-03-28 07:21:58.29719	60231	43	2	10
2014-03-28 07:21:58.531793	60232	20.1	1	10
2014-03-28 07:22:07.978433	60233	51	2	9
2014-03-28 07:22:08.20108	60234	20.4	1	9
2014-03-28 07:22:09.079119	60235	62	2	8
2014-03-28 07:22:09.310529	60236	22.9	1	8
2014-03-28 07:22:37.304513	60237	43	2	10
2014-03-28 07:22:37.530098	60238	20.1	1	10
2014-03-28 07:22:46.978772	60239	51	2	9
2014-03-28 07:22:47.221607	60240	20.4	1	9
2014-03-28 07:22:48.080691	60241	62	2	8
2014-03-28 07:22:48.303525	60242	22.8	1	8
2014-03-28 07:23:16.498262	60243	43	2	10
2014-03-28 07:23:16.733899	60244	20.1	1	10
2014-03-28 07:23:25.979133	60245	51	2	9
2014-03-28 07:23:26.200934	60246	20.4	1	9
2014-03-28 07:23:27.080699	60247	61	2	8
2014-03-28 07:23:27.312592	60248	22.7	1	8
2014-03-28 07:23:55.297456	60249	43	2	10
2014-03-28 07:23:55.518729	60250	20.1	1	10
2014-03-28 07:24:04.979088	60251	51	2	9
2014-03-28 07:24:05.209818	60252	20.4	1	9
2014-03-28 07:24:06.080559	60253	61	2	8
2014-03-28 07:24:06.301941	60254	22.6	1	8
2014-03-28 07:24:34.297567	60255	43	2	10
2014-03-28 07:24:34.528696	60256	20.1	1	10
2014-03-28 07:24:43.982353	60257	51	2	9
2014-03-28 07:24:44.205881	60258	20.4	1	9
2014-03-28 07:24:45.08013	60259	61	2	8
2014-03-28 07:24:45.312488	60260	22.6	1	8
2014-03-28 07:25:13.296461	60261	43	2	10
2014-03-28 07:25:13.517512	60262	20.1	1	10
2014-03-28 07:25:20.354297	60263	498	3	2
2014-03-28 07:25:20.585363	60264	1107316.3779921848	4	2
2014-03-28 07:25:22.98311	60265	51	2	9
2014-03-28 07:25:23.205588	60266	20.4	1	9
2014-03-28 07:25:24.080343	60267	60	2	8
2014-03-28 07:25:24.310608	60268	22.5	1	8
2014-03-28 07:25:52.297733	60269	43	2	10
2014-03-28 07:25:52.527797	60270	20.1	1	10
2014-03-28 07:26:01.976082	60271	51	2	9
2014-03-28 07:26:02.208866	60272	20.4	1	9
2014-03-28 07:26:03.080682	60273	59	2	8
2014-03-28 07:26:03.302949	60274	22.4	1	8
2014-03-28 07:26:31.301283	60275	43	2	10
2014-03-28 07:26:31.533337	60276	20.1	1	10
2014-03-28 07:26:40.788875	60277	402	3	2
2014-03-28 07:26:41.013051	60278	1107326.7193046776	4	2
2014-03-28 07:26:41.317697	60279	51	2	9
2014-03-28 07:26:41.548868	60280	20.4	1	9
2014-03-28 07:26:42.079395	60281	58	2	8
2014-03-28 07:26:42.302613	60282	22.3	1	8
2014-03-28 07:26:44.356905	60283	402	3	2
2014-03-28 07:26:44.589778	60284	1107327.8683393989	4	2
2014-03-28 07:27:10.296664	60285	43	2	10
2014-03-28 07:27:10.519554	60286	20.1	1	10
2014-03-28 07:27:19.979003	60287	51	2	9
2014-03-28 07:27:20.221394	60288	20.4	1	9
2014-03-28 07:27:21.079848	60289	58	2	8
2014-03-28 07:27:21.305268	60290	22.3	1	8
2014-03-28 07:27:32.352357	60291	402	3	2
2014-03-28 07:27:32.586962	60292	1107332.4644782846	4	2
2014-03-28 07:27:49.298619	60293	43	2	10
2014-03-28 07:27:49.524689	60294	20.1	1	10
2014-03-28 07:27:58.979561	60295	51	2	9
2014-03-28 07:27:59.211303	60296	20.4	1	9
2014-03-28 07:28:00.079781	60297	57	2	8
2014-03-28 07:28:00.300722	60298	22.2	1	8
2014-03-28 07:28:28.297507	60299	43	2	10
2014-03-28 07:28:28.529514	60300	20.1	1	10
2014-03-28 07:28:32.353934	60301	418	3	2
2014-03-28 07:28:32.579004	60302	1107340.5077213345	4	2
2014-03-28 07:28:37.978735	60303	51	2	9
2014-03-28 07:28:38.211158	60304	20.4	1	9
2014-03-28 07:28:39.080794	60305	57	2	8
2014-03-28 07:28:39.301395	60306	22.1	1	8
2014-03-28 07:29:07.294619	60307	43	2	10
2014-03-28 07:29:07.525365	60308	20.1	1	10
2014-03-28 07:29:16.981396	60309	51	2	9
2014-03-28 07:29:17.202699	60310	20.4	1	9
2014-03-28 07:29:18.077241	60311	57	2	8
2014-03-28 07:29:18.307876	60312	22.0	1	8
2014-03-28 07:29:32.354696	60313	531	3	2
2014-03-28 07:29:32.575855	60314	1107347.401929663	4	2
2014-03-28 07:29:44.357501	60315	515	3	2
2014-03-28 07:29:44.588085	60316	1107348.5509643843	4	2
2014-03-28 07:29:46.298487	60317	43	2	10
2014-03-28 07:29:46.52013	60318	20.1	1	10
2014-03-28 07:29:55.982905	60319	51	2	9
2014-03-28 07:29:56.215965	60320	20.4	1	9
2014-03-28 07:29:57.079671	60321	57	2	8
2014-03-28 07:29:57.302339	60322	21.9	1	8
2014-03-28 07:30:25.299299	60323	43	2	10
2014-03-28 07:30:25.533634	60324	20.1	1	10
2014-03-28 07:30:32.356904	60325	595	3	2
2014-03-28 07:30:32.577626	60326	1107356.5942074342	4	2
2014-03-28 07:30:34.982289	60327	51	2	9
2014-03-28 07:30:35.215853	60328	20.4	1	9
2014-03-28 07:30:36.080463	60329	57	2	8
2014-03-28 07:30:36.301345	60330	21.8	1	8
2014-03-28 07:31:04.299493	60331	43	2	10
2014-03-28 07:31:04.532039	60332	20.1	1	10
2014-03-28 07:31:13.981563	60333	51	2	9
2014-03-28 07:31:14.204673	60334	20.4	1	9
2014-03-28 07:31:15.080707	60335	56	2	8
2014-03-28 07:31:15.324754	60336	21.7	1	8
2014-03-28 07:31:43.301816	60337	43	2	10
2014-03-28 07:31:43.523165	60338	20.1	1	10
2014-03-28 07:31:44.357564	60339	643	3	2
2014-03-28 07:31:44.588736	60340	1107368.0845546485	4	2
2014-03-28 07:31:52.979002	60341	51	2	9
2014-03-28 07:31:53.199554	60342	20.4	1	9
2014-03-28 07:31:54.080731	60343	56	2	8
2014-03-28 07:31:54.313262	60344	21.7	1	8
2014-03-28 07:32:07.513532	60345	52	2	1
2014-03-28 07:32:07.736238	60346	19.3	1	1
2014-03-28 07:32:22.300312	60347	43	2	10
2014-03-28 07:32:22.533598	60348	20.1	1	10
2014-03-28 07:32:31.977482	60349	51	2	9
2014-03-28 07:32:32.19953	60350	20.4	1	9
2014-03-28 07:32:33.077878	60351	57	2	8
2014-03-28 07:32:33.31563	60352	21.6	1	8
2014-03-28 07:33:01.300177	60353	43	2	10
2014-03-28 07:33:01.523141	60354	20.1	1	10
2014-03-28 07:33:10.979654	60355	51	2	9
2014-03-28 07:33:11.211419	60356	20.4	1	9
2014-03-28 07:33:12.081364	60357	58	2	8
2014-03-28 07:33:12.303432	60358	21.6	1	8
2014-03-28 07:33:40.300226	60359	43	2	10
2014-03-28 07:33:40.532467	60360	20.1	1	10
2014-03-28 07:33:49.977889	60361	51	2	9
2014-03-28 07:33:50.199958	60362	20.4	1	9
2014-03-28 07:33:51.079348	60363	59	2	8
2014-03-28 07:33:51.312364	60364	21.6	1	8
2014-03-28 07:34:19.29997	60365	43	2	10
2014-03-28 07:34:19.521953	60366	20.1	1	10
2014-03-28 07:34:28.979832	60367	51	2	9
2014-03-28 07:34:29.267356	60368	20.4	1	9
2014-03-28 07:34:30.079557	60369	61	2	8
2014-03-28 07:34:30.300775	60370	21.7	1	8
2014-03-28 07:34:32.354481	60371	1030	3	2
2014-03-28 07:34:32.586438	60372	1107400.257526848	4	2
2014-03-28 07:34:56.355715	60373	643	3	2
2014-03-28 07:34:56.579617	60374	1107407.1517351766	4	2
2014-03-28 07:34:58.300352	60375	43	2	10
2014-03-28 07:34:58.539048	60376	20.1	1	10
2014-03-28 07:35:07.983349	60377	51	2	9
2014-03-28 07:35:08.204547	60378	20.4	1	9
2014-03-28 07:35:08.5112	60379	643	3	2
2014-03-28 07:35:08.742668	60380	1107409.4498046194	4	2
2014-03-28 07:35:09.079481	60381	63	2	8
2014-03-28 07:35:09.300786	60382	21.9	1	8
2014-03-28 07:35:32.359496	60383	595	3	2
2014-03-28 07:35:32.603477	60384	1107414.0459435051	4	2
2014-03-28 07:35:37.299495	60385	43	2	10
2014-03-28 07:35:37.520959	60386	20.1	1	10
2014-03-28 07:35:44.355713	60387	611	3	2
2014-03-28 07:35:44.586344	60388	1107416.344012948	4	2
2014-03-28 07:35:46.982061	60389	51	2	9
2014-03-28 07:35:47.202256	60390	20.4	1	9
2014-03-28 07:35:48.083052	60391	64	2	8
2014-03-28 07:35:48.31283	60392	22.1	1	8
2014-03-28 07:36:16.299914	60393	43	2	10
2014-03-28 07:36:16.522292	60394	20.1	1	10
2014-03-28 07:36:25.980023	60395	51	2	9
2014-03-28 07:36:26.21307	60396	20.4	1	9
2014-03-28 07:36:27.079023	60397	66	2	8
2014-03-28 07:36:27.301475	60398	22.3	1	8
2014-03-28 07:36:32.354366	60399	595	3	2
2014-03-28 07:36:32.586019	60400	1107424.3872559979	4	2
2014-03-28 07:36:55.3028	60401	43	2	10
2014-03-28 07:36:55.522953	60402	20.1	1	10
2014-03-28 07:37:04.980593	60403	51	2	9
2014-03-28 07:37:05.213828	60404	20.4	1	9
2014-03-28 07:37:06.080091	60405	67	2	8
2014-03-28 07:37:06.303145	60406	22.5	1	8
2014-03-28 07:37:20.360229	60407	2382	3	2
2014-03-28 07:37:20.59212	60408	1107440.4737420976	4	2
2014-03-28 07:37:32.360495	60409	2366	3	2
2014-03-28 07:37:32.583011	60410	1107448.5169851475	4	2
2014-03-28 07:37:34.303532	60411	43	2	10
2014-03-28 07:37:34.541043	60412	20.1	1	10
2014-03-28 07:37:43.982183	60413	51	2	9
2014-03-28 07:37:44.208917	60414	20.4	1	9
2014-03-28 07:37:45.079972	60415	67	2	8
2014-03-28 07:37:45.31082	60416	22.6	1	8
2014-03-28 07:38:13.299255	60417	43	2	10
2014-03-28 07:38:13.524714	60418	20.1	1	10
2014-03-28 07:38:22.981591	60419	51	2	9
2014-03-28 07:38:23.213479	60420	20.4	1	9
2014-03-28 07:38:24.079752	60421	66	2	8
2014-03-28 07:38:24.301826	60422	22.7	1	8
2014-03-28 07:38:32.359769	60423	2205	3	2
2014-03-28 07:38:32.593405	60424	1107487.5841656756	4	2
2014-03-28 07:38:44.357964	60425	2221	3	2
2014-03-28 07:38:44.582419	60426	1107495.6274087254	4	2
2014-03-28 07:38:52.301581	60427	43	2	10
2014-03-28 07:38:52.534497	60428	20.1	1	10
2014-03-28 07:39:01.983123	60429	51	2	9
2014-03-28 07:39:02.205044	60430	20.4	1	9
2014-03-28 07:39:03.080445	60431	65	2	8
2014-03-28 07:39:03.324229	60432	22.7	1	8
2014-03-28 07:39:08.35594	60433	2189	3	2
2014-03-28 07:39:08.578036	60434	1107510.564860104	4	2
2014-03-28 07:39:20.357619	60435	2173	3	2
2014-03-28 07:39:20.589252	60436	1107518.6081031538	4	2
2014-03-28 07:39:31.301754	60437	43	2	10
2014-03-28 07:39:31.523435	60438	20.1	1	10
2014-03-28 07:39:32.356728	60439	2189	3	2
2014-03-28 07:39:32.589194	60440	1107525.5023114823	4	2
2014-03-28 07:39:40.983755	60441	51	2	9
2014-03-28 07:39:41.20511	60442	20.4	1	9
2014-03-28 07:39:42.079977	60443	63	2	8
2014-03-28 07:39:42.312123	60444	22.7	1	8
2014-03-28 07:40:10.303298	60445	43	2	10
2014-03-28 07:40:10.526082	60446	20.0	1	10
2014-03-28 07:40:19.980615	60447	51	2	9
2014-03-28 07:40:20.212698	60448	20.4	1	9
2014-03-28 07:40:21.079601	60449	62	2	8
2014-03-28 07:40:21.300445	60450	22.7	1	8
2014-03-28 07:40:34.319009	60451	2124	3	2
2014-03-28 07:40:34.556939	60452	1107563.420457289	4	2
2014-03-28 07:40:49.303066	60453	43	2	10
2014-03-28 07:40:49.525214	60454	20.0	1	10
2014-03-28 07:40:58.987318	60455	51	2	9
2014-03-28 07:40:59.218778	60456	20.4	1	9
2014-03-28 07:41:00.080741	60457	62	2	8
2014-03-28 07:41:00.361325	60458	22.6	1	8
2014-03-28 07:41:28.300648	60459	43	2	10
2014-03-28 07:41:28.531774	60460	20.0	1	10
2014-03-28 07:41:32.355401	60461	531	3	2
2014-03-28 07:41:32.578161	60462	1107596.7469351622	4	2
2014-03-28 07:41:37.982594	60463	51	2	9
2014-03-28 07:41:38.215927	60464	20.4	1	9
2014-03-28 07:41:39.08126	60465	61	2	8
2014-03-28 07:41:39.302333	60466	22.6	1	8
2014-03-28 07:41:44.353233	60467	1706	3	2
2014-03-28 07:41:44.585133	60468	1107601.343074048	4	2
2014-03-28 07:41:56.358279	60469	3428	3	2
2014-03-28 07:41:56.580625	60470	1107609.3863170978	4	2
2014-03-28 07:42:07.304232	60471	43	2	10
2014-03-28 07:42:07.535784	60472	20.0	1	10
2014-03-28 07:42:08.35592	60473	3525	3	2
2014-03-28 07:42:08.576451	60474	1107622.0256990334	4	2
2014-03-28 07:42:16.97957	60475	51	2	9
2014-03-28 07:42:17.213818	60476	20.4	1	9
2014-03-28 07:42:18.079909	60477	60	2	8
2014-03-28 07:42:18.303825	60478	22.5	1	8
2014-03-28 07:42:20.353224	60479	3509	3	2
2014-03-28 07:42:20.594809	60480	1107633.5160462474	4	2
2014-03-28 07:42:32.357678	60481	3525	3	2
2014-03-28 07:42:32.578693	60482	1107645.0063934617	4	2
2014-03-28 07:42:44.358323	60483	3589	3	2
2014-03-28 07:42:45.6737	60484	1107657.6457753973	4	2
2014-03-28 07:42:46.319231	60485	43	2	10
2014-03-28 07:42:46.596847	60486	20.1	1	10
2014-03-28 07:42:55.978286	60487	51	2	9
2014-03-28 07:42:56.234781	60488	20.4	1	9
2014-03-28 07:42:56.572345	60489	2398	3	2
2014-03-28 07:42:56.821207	60490	1107665.6890184472	4	2
2014-03-28 07:42:57.654474	60491	59	2	8
2014-03-28 07:42:57.927984	60492	22.5	1	8
2014-03-28 07:43:08.356278	60493	2414	3	2
2014-03-28 07:43:08.587588	60494	1107673.732261497	4	2
2014-03-28 07:43:20.356438	60495	1867	3	2
2014-03-28 07:43:20.578177	60496	1107682.9245392685	4	2
2014-03-28 07:43:25.300299	60497	43	2	10
2014-03-28 07:43:25.535138	60498	20.1	1	10
2014-03-28 07:43:32.355431	60499	676	3	2
2014-03-28 07:43:32.579019	60500	1107687.520678154	4	2
2014-03-28 07:43:34.981253	60501	51	2	9
2014-03-28 07:43:35.212425	60502	20.4	1	9
2014-03-28 07:43:36.080711	60503	59	2	8
2014-03-28 07:43:36.300456	60504	22.4	1	8
2014-03-28 07:43:44.353551	60505	676	3	2
2014-03-28 07:43:44.586808	60506	1107689.8187475968	4	2
2014-03-28 07:43:49.505726	60507	52	2	1
2014-03-28 07:43:49.731727	60508	19.4	1	1
2014-03-28 07:43:56.355934	60509	3476	3	2
2014-03-28 07:43:56.588104	60510	1107696.7129559254	4	2
2014-03-28 07:44:04.301778	60511	43	2	10
2014-03-28 07:44:04.524064	60512	20.1	1	10
2014-03-28 07:44:08.356256	60513	3267	3	2
2014-03-28 07:44:08.586893	60514	1107708.2033031394	4	2
2014-03-28 07:44:13.983752	60515	51	2	9
2014-03-28 07:44:14.204485	60516	20.4	1	9
2014-03-28 07:44:15.079569	60517	58	2	8
2014-03-28 07:44:15.309359	60518	22.3	1	8
2014-03-28 07:44:20.356114	60519	4458	3	2
2014-03-28 07:44:20.579605	60520	1107720.842685075	4	2
2014-03-28 07:44:32.352674	60521	3235	3	2
2014-03-28 07:44:32.586184	60522	1107734.6311017321	4	2
2014-03-28 07:44:43.302781	60523	43	2	10
2014-03-28 07:44:43.524109	60524	20.1	1	10
2014-03-28 07:44:44.354648	60525	3267	3	2
2014-03-28 07:44:44.586383	60526	1107746.1214489462	4	2
2014-03-28 07:44:52.983693	60527	51	2	9
2014-03-28 07:44:53.205314	60528	20.4	1	9
2014-03-28 07:44:54.079312	60529	58	2	8
2014-03-28 07:44:54.31915	60530	22.2	1	8
2014-03-28 07:44:56.355371	60531	3251	3	2
2014-03-28 07:44:56.57801	60532	1107757.6117961605	4	2
2014-03-28 07:45:22.301793	60533	43	2	10
2014-03-28 07:45:22.533231	60534	20.1	1	10
2014-03-28 07:45:31.986983	60535	51	2	9
2014-03-28 07:45:32.208752	60536	20.4	1	9
2014-03-28 07:45:32.513524	60537	3235	3	2
2014-03-28 07:45:32.744359	60538	1107790.9338030815	4	2
2014-03-28 07:45:33.079893	60539	58	2	8
2014-03-28 07:45:33.299918	60540	22.2	1	8
2014-03-28 07:45:56.355054	60541	4442	3	2
2014-03-28 07:45:56.588525	60542	1107815.0635322311	4	2
2014-03-28 07:46:01.300173	60543	43	2	10
2014-03-28 07:46:01.522704	60544	20.1	1	10
2014-03-28 07:46:08.353894	60545	3380	3	2
2014-03-28 07:46:08.586109	60546	1107827.7029141667	4	2
2014-03-28 07:46:10.98141	60547	51	2	9
2014-03-28 07:46:11.202989	60548	20.4	1	9
2014-03-28 07:46:12.075718	60549	57	2	8
2014-03-28 07:46:12.305801	60550	22.1	1	8
2014-03-28 07:46:20.353164	60551	3219	3	2
2014-03-28 07:46:20.575258	60552	1107839.1932613808	4	2
2014-03-28 07:46:32.355549	60553	3251	3	2
2014-03-28 07:46:32.586928	60554	1107849.5345738735	4	2
2014-03-28 07:46:40.302989	60555	43	2	10
2014-03-28 07:46:40.524017	60556	20.2	1	10
2014-03-28 07:46:44.354121	60557	3251	3	2
2014-03-28 07:46:44.584515	60558	1107861.0249210878	4	2
2014-03-28 07:46:49.983088	60559	52	2	9
2014-03-28 07:46:50.207154	60560	20.5	1	9
2014-03-28 07:46:51.082386	60561	57	2	8
2014-03-28 07:46:51.313313	60562	22.1	1	8
2014-03-28 07:46:56.353233	60563	3283	3	2
2014-03-28 07:46:56.574717	60564	1107871.3707045326	4	2
2014-03-28 07:47:08.353678	60565	4555	3	2
2014-03-28 07:47:08.586104	60566	1107882.8610517469	4	2
2014-03-28 07:47:19.303681	60567	43	2	10
2014-03-28 07:47:19.527959	60568	20.2	1	10
2014-03-28 07:47:20.352971	60569	4539	3	2
2014-03-28 07:47:20.585196	60570	1107897.7985031253	4	2
2014-03-28 07:47:28.979658	60571	52	2	9
2014-03-28 07:47:29.20283	60572	20.5	1	9
2014-03-28 07:47:30.079493	60573	57	2	8
2014-03-28 07:47:30.313469	60574	22.0	1	8
2014-03-28 07:47:32.35232	60575	3187	3	2
2014-03-28 07:47:32.573596	60576	1107911.5869197822	4	2
2014-03-28 07:47:44.351928	60577	933	3	2
2014-03-28 07:47:44.595449	60578	1107919.630162832	4	2
2014-03-28 07:47:56.353551	60579	837	3	2
2014-03-28 07:47:56.575793	60580	1107923.0772669963	4	2
2014-03-28 07:47:58.306859	60581	43	2	10
2014-03-28 07:47:58.537044	60582	20.2	1	10
2014-03-28 07:48:07.983287	60583	52	2	9
2014-03-28 07:48:08.204486	60584	20.5	1	9
2014-03-28 07:48:09.077406	60585	56	2	8
2014-03-28 07:48:09.310167	60586	22.0	1	8
2014-03-28 07:48:20.354565	60587	2124	3	2
2014-03-28 07:48:20.576475	60588	1107931.1205100461	4	2
2014-03-28 07:48:32.357005	60589	627	3	2
2014-03-28 07:48:32.588863	60590	1107934.5676142105	4	2
2014-03-28 07:48:37.509745	60591	43	2	10
2014-03-28 07:48:37.733238	60592	20.2	1	10
2014-03-28 07:48:44.350872	60593	643	3	2
2014-03-28 07:48:44.583282	60594	1107936.8656836534	4	2
2014-03-28 07:48:46.983748	60595	52	2	9
2014-03-28 07:48:47.20429	60596	20.5	1	9
2014-03-28 07:48:48.077639	60597	56	2	8
2014-03-28 07:48:48.308659	60598	22.0	1	8
2014-03-28 07:48:56.355656	60599	1046	3	2
2014-03-28 07:48:56.579679	60600	1107939.1637530962	4	2
2014-03-28 07:49:08.354363	60601	949	3	2
2014-03-28 07:49:08.589193	60602	1107942.6108572604	4	2
2014-03-28 07:49:16.304104	60603	43	2	10
2014-03-28 07:49:16.528909	60604	20.3	1	10
2014-03-28 07:49:20.356089	60605	949	3	2
2014-03-28 07:49:20.587691	60606	1107944.9089267033	4	2
2014-03-28 07:49:25.982857	60607	52	2	9
2014-03-28 07:49:26.203531	60608	20.6	1	9
2014-03-28 07:49:27.079026	60609	56	2	8
2014-03-28 07:49:27.309903	60610	22.0	1	8
2014-03-28 07:49:32.348661	60611	1062	3	2
2014-03-28 07:49:32.573532	60612	1107948.3560308674	4	2
2014-03-28 07:49:44.354664	60613	853	3	2
2014-03-28 07:49:44.58676	60614	1107950.6541003103	4	2
2014-03-28 07:49:55.299754	60615	43	2	10
2014-03-28 07:49:55.522033	60616	20.3	1	10
2014-03-28 07:49:56.356183	60617	2044	3	2
2014-03-28 07:49:56.58639	60618	1107956.3992739173	4	2
2014-03-28 07:50:04.978697	60619	52	2	9
2014-03-28 07:50:05.201032	60620	20.6	1	9
2014-03-28 07:50:06.077857	60621	56	2	8
2014-03-28 07:50:06.308825	60622	22.0	1	8
2014-03-28 07:50:08.352101	60623	1818	3	2
2014-03-28 07:50:08.575625	60624	1107963.2934822459	4	2
2014-03-28 07:50:20.355808	60625	643	3	2
2014-03-28 07:50:20.600984	60626	1107965.5915516887	4	2
2014-03-28 07:50:32.352211	60627	643	3	2
2014-03-28 07:50:32.573912	60628	1107967.8896211316	4	2
2014-03-28 07:50:34.304729	60629	43	2	10
2014-03-28 07:50:34.534695	60630	20.3	1	10
2014-03-28 07:50:43.979958	60631	52	2	9
2014-03-28 07:50:44.201732	60632	20.6	1	9
2014-03-28 07:50:45.078716	60633	56	2	8
2014-03-28 07:50:45.308206	60634	22.0	1	8
2014-03-28 07:50:56.353199	60635	1818	3	2
2014-03-28 07:50:56.574294	60636	1107974.78382946	4	2
2014-03-28 07:51:08.354631	60637	1094	3	2
2014-03-28 07:51:08.587205	60638	1107979.3799683456	4	2
2014-03-28 07:51:13.30488	60639	43	2	10
2014-03-28 07:51:13.525311	60640	20.3	1	10
2014-03-28 07:51:20.353519	60641	3589	3	2
2014-03-28 07:51:20.593397	60642	1107983.9761072313	4	2
2014-03-28 07:51:22.982266	60643	52	2	9
2014-03-28 07:51:23.202631	60644	20.7	1	9
2014-03-28 07:51:24.07841	60645	56	2	8
2014-03-28 07:51:24.310558	60646	21.9	1	8
2014-03-28 07:51:32.355342	60647	3412	3	2
2014-03-28 07:51:32.575403	60648	1107995.4664544454	4	2
2014-03-28 07:51:44.353062	60649	643	3	2
2014-03-28 07:51:44.583433	60650	1108000.062593331	4	2
2014-03-28 07:51:52.306007	60651	43	2	10
2014-03-28 07:51:52.526395	60652	20.3	1	10
2014-03-28 07:51:56.355679	60653	643	3	2
2014-03-28 07:51:56.585366	60654	1108003.5096974955	4	2
2014-03-28 07:52:01.980085	60655	52	2	9
2014-03-28 07:52:02.203333	60656	20.7	1	9
2014-03-28 07:52:03.081603	60657	56	2	8
2014-03-28 07:52:03.312762	60658	21.9	1	8
2014-03-28 07:52:20.360369	60659	1094	3	2
2014-03-28 07:52:20.582648	60660	1108008.105836381	4	2
2014-03-28 07:52:31.302309	60661	43	2	10
2014-03-28 07:52:31.533231	60662	20.4	1	10
2014-03-28 07:52:32.355785	60663	1110	3	2
2014-03-28 07:52:32.576364	60664	1108011.5529405454	4	2
2014-03-28 07:52:40.987612	60665	52	2	9
2014-03-28 07:52:41.221522	60666	20.7	1	9
2014-03-28 07:52:42.079088	60667	56	2	8
2014-03-28 07:52:42.300979	60668	21.9	1	8
2014-03-28 07:52:56.35609	60669	1110	3	2
2014-03-28 07:52:56.606433	60670	1108017.2981141524	4	2
2014-03-28 07:53:08.355243	60671	627	3	2
2014-03-28 07:53:08.576598	60672	1108020.7452183166	4	2
2014-03-28 07:53:10.305688	60673	43	2	10
2014-03-28 07:53:10.547542	60674	20.4	1	10
2014-03-28 07:53:19.983011	60675	53	2	9
2014-03-28 07:53:20.202499	60676	20.7	1	9
2014-03-28 07:53:20.50885	60677	853	3	2
2014-03-28 07:53:20.746713	60678	1108023.0432877594	4	2
2014-03-28 07:53:21.077366	60679	56	2	8
2014-03-28 07:53:21.298904	60680	21.9	1	8
2014-03-28 07:53:32.357356	60681	837	3	2
2014-03-28 07:53:32.587956	60682	1108026.4903919236	4	2
2014-03-28 07:53:44.355241	60683	498	3	2
2014-03-28 07:53:44.577521	60684	1108028.7884613664	4	2
2014-03-28 07:53:49.307071	60685	43	2	10
2014-03-28 07:53:49.541902	60686	20.4	1	10
2014-03-28 07:53:56.354355	60687	579	3	2
2014-03-28 07:53:56.578174	60688	1108031.0865308093	4	2
2014-03-28 07:53:59.182709	60689	53	2	9
2014-03-28 07:53:59.417479	60690	20.7	1	9
2014-03-28 07:54:00.078742	60691	55	2	8
2014-03-28 07:54:00.299004	60692	21.9	1	8
2014-03-28 07:54:08.35681	60693	804	3	2
2014-03-28 07:54:08.590385	60694	1108032.2355655308	4	2
2014-03-28 07:54:20.35384	60695	804	3	2
2014-03-28 07:54:20.577056	60696	1108035.682669695	4	2
2014-03-28 07:54:28.307929	60697	43	2	10
2014-03-28 07:54:28.543271	60698	20.4	1	10
2014-03-28 07:54:32.354963	60699	804	3	2
2014-03-28 07:54:32.578495	60700	1108037.9807391379	4	2
2014-03-28 07:54:37.979447	60701	53	2	9
2014-03-28 07:54:38.211461	60702	20.7	1	9
2014-03-28 07:54:39.079814	60703	55	2	8
2014-03-28 07:54:39.299372	60704	21.9	1	8
2014-03-28 07:55:07.304533	60705	43	2	10
2014-03-28 07:55:07.537445	60706	20.4	1	10
2014-03-28 07:55:16.985003	60707	53	2	9
2014-03-28 07:55:17.204919	60708	20.8	1	9
2014-03-28 07:55:18.078951	60709	55	2	8
2014-03-28 07:55:18.309626	60710	21.9	1	8
2014-03-28 07:55:32.354093	60711	804	3	2
2014-03-28 07:55:32.575066	60712	1108051.7691557948	4	2
2014-03-28 07:55:46.308158	60713	43	2	10
2014-03-28 07:55:46.539403	60714	20.5	1	10
2014-03-28 07:55:55.984987	60715	53	2	9
2014-03-28 07:55:56.213396	60716	20.8	1	9
2014-03-28 07:55:57.078822	60717	55	2	8
2014-03-28 07:55:57.310934	60718	21.9	1	8
2014-03-28 07:56:25.305596	60719	43	2	10
2014-03-28 07:56:25.525608	60720	20.5	1	10
2014-03-28 07:56:32.352156	60721	820	3	2
2014-03-28 07:56:32.595068	60722	1108065.557572452	4	2
2014-03-28 07:56:34.984523	60723	53	2	9
2014-03-28 07:56:35.205601	60724	20.8	1	9
2014-03-28 07:56:36.078098	60725	54	2	8
2014-03-28 07:56:36.316742	60726	21.9	1	8
2014-03-28 07:57:04.306678	60727	43	2	10
2014-03-28 07:57:04.527212	60728	20.5	1	10
2014-03-28 07:57:13.979399	60729	53	2	9
2014-03-28 07:57:14.212321	60730	20.8	1	9
2014-03-28 07:57:15.082092	60731	54	2	8
2014-03-28 07:57:15.3009	60732	21.8	1	8
2014-03-28 07:57:32.356122	60733	676	3	2
2014-03-28 07:57:32.587424	60734	1108078.1969543875	4	2
2014-03-28 07:57:43.308506	60735	43	2	10
2014-03-28 07:57:43.53275	60736	20.5	1	10
2014-03-28 07:57:44.353561	60737	692	3	2
2014-03-28 07:57:44.585048	60738	1108080.49502383	4	2
2014-03-28 07:57:52.987531	60739	53	2	9
2014-03-28 07:57:53.210352	60740	20.8	1	9
2014-03-28 07:57:54.080512	60741	54	2	8
2014-03-28 07:57:54.312729	60742	21.8	1	8
2014-03-28 07:58:22.308151	60743	43	2	10
2014-03-28 07:58:22.53021	60744	20.5	1	10
2014-03-28 07:58:31.980339	60745	53	2	9
2014-03-28 07:58:32.212972	60746	20.9	1	9
2014-03-28 07:58:32.520504	60747	676	3	2
2014-03-28 07:58:32.742268	60748	1108089.6873016015	4	2
2014-03-28 07:58:33.080029	60749	53	2	8
2014-03-28 07:58:33.31237	60750	21.8	1	8
2014-03-28 07:59:01.30915	60751	43	2	10
2014-03-28 07:59:01.531804	60752	20.5	1	10
2014-03-28 07:59:10.97749	60753	53	2	9
2014-03-28 07:59:11.207764	60754	20.9	1	9
2014-03-28 07:59:12.078118	60755	53	2	8
2014-03-28 07:59:12.297775	60756	21.8	1	8
2014-03-28 07:59:32.354642	60757	692	3	2
2014-03-28 07:59:32.586072	60758	1108101.1776488156	4	2
2014-03-28 07:59:40.30829	60759	43	2	10
2014-03-28 07:59:40.533751	60760	20.5	1	10
2014-03-28 07:59:49.974804	60761	53	2	9
2014-03-28 07:59:50.205855	60762	20.9	1	9
2014-03-28 07:59:51.079588	60763	53	2	8
2014-03-28 07:59:51.299348	60764	21.8	1	8
2014-03-28 08:00:19.307725	60765	43	2	10
2014-03-28 08:00:19.537905	60766	20.6	1	10
2014-03-28 08:00:28.98396	60767	53	2	9
2014-03-28 08:00:29.205695	60768	20.9	1	9
2014-03-28 08:00:30.134879	60769	53	2	8
2014-03-28 08:00:30.376714	60770	21.8	1	8
2014-03-28 08:00:32.353309	60771	692	3	2
2014-03-28 08:00:32.574895	60772	1108112.6679960298	4	2
2014-03-28 08:00:43.498036	60773	52	2	1
2014-03-28 08:00:43.73066	60774	20.2	1	1
2014-03-28 08:00:58.308685	60775	43	2	10
2014-03-28 08:00:58.530063	60776	20.6	1	10
2014-03-28 08:01:07.981379	60777	53	2	9
2014-03-28 08:01:08.21251	60778	20.9	1	9
2014-03-28 08:01:09.069474	60779	53	2	8
2014-03-28 08:01:09.288502	60780	21.8	1	8
2014-03-28 08:01:32.354288	60781	804	3	2
2014-03-28 08:01:32.586541	60782	1108125.3073779654	4	2
2014-03-28 08:01:37.309154	60783	43	2	10
2014-03-28 08:01:37.531082	60784	20.6	1	10
2014-03-28 08:01:46.986496	60785	53	2	9
2014-03-28 08:01:47.218037	60786	20.9	1	9
2014-03-28 08:01:48.079706	60787	53	2	8
2014-03-28 08:01:48.299483	60788	21.8	1	8
2014-03-28 08:02:08.355644	60789	595	3	2
2014-03-28 08:02:08.586316	60790	1108132.2015862938	4	2
2014-03-28 08:02:16.305681	60791	43	2	10
2014-03-28 08:02:16.526936	60792	20.6	1	10
2014-03-28 08:02:20.353757	60793	595	3	2
2014-03-28 08:02:20.586022	60794	1108134.4996557366	4	2
2014-03-28 08:02:25.984548	60795	53	2	9
2014-03-28 08:02:26.206207	60796	20.9	1	9
2014-03-28 08:02:27.081165	60797	53	2	8
2014-03-28 08:02:27.311782	60798	21.8	1	8
2014-03-28 08:02:32.35382	60799	611	3	2
2014-03-28 08:02:32.574659	60800	1108136.7977251795	4	2
2014-03-28 08:02:55.308651	60801	43	2	10
2014-03-28 08:02:55.543875	60802	20.6	1	10
2014-03-28 08:02:56.352514	60803	579	3	2
2014-03-28 08:02:56.574029	60804	1108140.2448293439	4	2
2014-03-28 08:03:04.987493	60805	53	2	9
2014-03-28 08:03:05.222436	60806	21.0	1	9
2014-03-28 08:03:06.078992	60807	53	2	8
2014-03-28 08:03:06.303033	60808	21.7	1	8
2014-03-28 08:03:08.3514	60809	579	3	2
2014-03-28 08:03:08.583679	60810	1108142.5428987865	4	2
2014-03-28 08:03:32.35418	60811	579	3	2
2014-03-28 08:03:32.575096	60812	1108147.1390376722	4	2
2014-03-28 08:03:34.309991	60813	43	2	10
2014-03-28 08:03:34.539378	60814	20.6	1	10
2014-03-28 08:03:43.987912	60815	53	2	9
2014-03-28 08:03:44.211878	60816	21.0	1	9
2014-03-28 08:03:45.077871	60817	53	2	8
2014-03-28 08:03:45.321997	60818	21.7	1	8
2014-03-28 08:04:13.311955	60819	43	2	10
2014-03-28 08:04:13.533472	60820	20.6	1	10
2014-03-28 08:04:22.986486	60821	53	2	9
2014-03-28 08:04:23.216905	60822	20.9	1	9
2014-03-28 08:04:24.079423	60823	53	2	8
2014-03-28 08:04:24.300035	60824	21.7	1	8
2014-03-28 08:04:32.351048	60825	579	3	2
2014-03-28 08:04:32.584143	60826	1108156.3313154436	4	2
2014-03-28 08:04:52.312452	60827	43	2	10
2014-03-28 08:04:52.537491	60828	20.6	1	10
2014-03-28 08:05:01.984042	60829	53	2	9
2014-03-28 08:05:02.216708	60830	20.9	1	9
2014-03-28 08:05:03.077951	60831	53	2	8
2014-03-28 08:05:03.299064	60832	21.7	1	8
2014-03-28 08:05:31.308785	60833	43	2	10
2014-03-28 08:05:31.540755	60834	20.7	1	10
2014-03-28 08:05:40.987321	60835	53	2	9
2014-03-28 08:05:41.207911	60836	20.9	1	9
2014-03-28 08:05:42.078472	60837	53	2	8
2014-03-28 08:05:42.308889	60838	21.7	1	8
2014-03-28 08:06:10.310347	60839	43	2	10
2014-03-28 08:06:10.533935	60840	20.7	1	10
2014-03-28 08:06:19.983872	60841	53	2	9
2014-03-28 08:06:20.216271	60842	20.9	1	9
2014-03-28 08:06:21.078623	60843	53	2	8
2014-03-28 08:06:21.298436	60844	21.7	1	8
2014-03-28 08:06:32.352476	60845	579	3	2
2014-03-28 08:06:32.583917	60846	1108174.7203419385	4	2
2014-03-28 08:06:49.514931	60847	43	2	10
2014-03-28 08:06:49.735931	60848	20.7	1	10
2014-03-28 08:06:58.982267	60849	53	2	9
2014-03-28 08:06:59.213278	60850	20.9	1	9
2014-03-28 08:07:00.078048	60851	53	2	8
2014-03-28 08:07:00.299333	60852	21.7	1	8
2014-03-28 08:07:13.729781	60853	53	2	1
2014-03-28 08:07:13.964353	60854	20.6	1	1
2014-03-28 08:07:28.310802	60855	43	2	10
2014-03-28 08:07:28.534011	60856	20.7	1	10
2014-03-28 08:07:32.353933	60857	579	3	2
2014-03-28 08:07:32.584232	60858	1108183.9126197097	4	2
2014-03-28 08:07:38.00459	60859	53	2	9
2014-03-28 08:07:38.227344	60860	20.9	1	9
2014-03-28 08:07:39.080513	60861	53	2	8
2014-03-28 08:07:39.312204	60862	21.7	1	8
2014-03-28 08:08:07.311224	60863	43	2	10
2014-03-28 08:08:07.533527	60864	20.7	1	10
2014-03-28 08:08:16.982801	60865	53	2	9
2014-03-28 08:08:17.226882	60866	21.0	1	9
2014-03-28 08:08:18.08018	60867	53	2	8
2014-03-28 08:08:18.301412	60868	21.7	1	8
2014-03-28 08:08:32.355426	60869	579	3	2
2014-03-28 08:08:32.587511	60870	1108194.2539322025	4	2
2014-03-28 08:08:46.310696	60871	43	2	10
2014-03-28 08:08:46.532793	60872	20.7	1	10
2014-03-28 08:08:55.982587	60873	53	2	9
2014-03-28 08:08:56.214676	60874	21.0	1	9
2014-03-28 08:08:57.077936	60875	53	2	8
2014-03-28 08:08:57.301421	60876	21.7	1	8
2014-03-28 08:09:25.314851	60877	43	2	10
2014-03-28 08:09:25.544544	60878	20.7	1	10
2014-03-28 08:09:32.352856	60879	579	3	2
2014-03-28 08:09:32.574453	60880	1108203.446209974	4	2
2014-03-28 08:09:34.984997	60881	53	2	9
2014-03-28 08:09:35.216589	60882	21.0	1	9
2014-03-28 08:09:36.077891	60883	54	2	8
2014-03-28 08:09:36.301374	60884	21.7	1	8
2014-03-28 08:10:04.312214	60885	43	2	10
2014-03-28 08:10:04.548041	60886	20.7	1	10
2014-03-28 08:10:08.353269	60887	627	3	2
2014-03-28 08:10:08.576614	60888	1108209.191383581	4	2
2014-03-28 08:10:13.989985	60889	53	2	9
2014-03-28 08:10:14.225141	60890	21.0	1	9
2014-03-28 08:10:15.078317	60891	54	2	8
2014-03-28 08:10:15.300104	60892	21.7	1	8
2014-03-28 08:10:20.351518	60893	627	3	2
2014-03-28 08:10:20.584675	60894	1108211.4894530238	4	2
2014-03-28 08:10:32.352576	60895	627	3	2
2014-03-28 08:10:32.57663	60896	1108213.7875224666	4	2
2014-03-28 08:10:43.312368	60897	43	2	10
2014-03-28 08:10:43.547853	60898	20.8	1	10
2014-03-28 08:10:52.984165	60899	53	2	9
2014-03-28 08:10:53.206374	60900	21.0	1	9
2014-03-28 08:10:54.077183	60901	54	2	8
2014-03-28 08:10:54.30833	60902	21.7	1	8
2014-03-28 08:11:22.31286	60903	43	2	10
2014-03-28 08:11:22.535129	60904	20.8	1	10
2014-03-28 08:11:31.98271	60905	53	2	9
2014-03-28 08:11:32.213885	60906	21.0	1	9
2014-03-28 08:11:33.079441	60907	54	2	8
2014-03-28 08:11:33.301373	60908	21.7	1	8
2014-03-28 08:12:01.369641	60909	43	2	10
2014-03-28 08:12:01.601531	60910	20.8	1	10
2014-03-28 08:12:10.987661	60911	53	2	9
2014-03-28 08:12:11.210899	60912	21.0	1	9
2014-03-28 08:12:12.078699	60913	54	2	8
2014-03-28 08:12:12.322374	60914	21.6	1	8
2014-03-28 08:12:32.353313	60915	627	3	2
2014-03-28 08:12:32.575788	60916	1108234.470147452	4	2
2014-03-28 08:12:40.313008	60917	43	2	10
2014-03-28 08:12:40.544966	60918	20.8	1	10
2014-03-28 08:12:49.9853	60919	53	2	9
2014-03-28 08:12:50.207402	60920	21.0	1	9
2014-03-28 08:12:51.077106	60921	53	2	8
2014-03-28 08:12:51.307157	60922	21.6	1	8
2014-03-28 08:13:19.313001	60923	43	2	10
2014-03-28 08:13:19.534275	60924	20.8	1	10
2014-03-28 08:13:28.987871	60925	53	2	9
2014-03-28 08:13:29.222395	60926	21.0	1	9
2014-03-28 08:13:30.080761	60927	53	2	8
2014-03-28 08:13:30.303251	60928	21.6	1	8
2014-03-28 08:13:58.320965	60929	43	2	10
2014-03-28 08:13:58.552279	60930	20.8	1	10
2014-03-28 08:14:07.986943	60931	53	2	9
2014-03-28 08:14:08.209978	60932	21.0	1	9
2014-03-28 08:14:09.078445	60933	53	2	8
2014-03-28 08:14:09.310928	60934	21.6	1	8
2014-03-28 08:14:22.487305	60935	53	2	1
2014-03-28 08:14:22.709837	60936	20.8	1	1
2014-03-28 08:14:37.314667	60937	43	2	10
2014-03-28 08:14:37.546857	60938	20.8	1	10
2014-03-28 08:14:44.355928	60939	643	3	2
2014-03-28 08:14:44.577187	60940	1108257.4508418804	4	2
2014-03-28 08:14:46.977633	60941	53	2	9
2014-03-28 08:14:47.208685	60942	21.0	1	9
2014-03-28 08:14:48.07999	60943	53	2	8
2014-03-28 08:14:48.302896	60944	21.6	1	8
2014-03-28 08:15:16.31218	60945	43	2	10
2014-03-28 08:15:16.546984	60946	20.8	1	10
2014-03-28 08:15:20.351708	60947	676	3	2
2014-03-28 08:15:20.574686	60948	1108264.3450502087	4	2
2014-03-28 08:15:25.97951	60949	53	2	9
2014-03-28 08:15:26.210638	60950	21.0	1	9
2014-03-28 08:15:27.078137	60951	53	2	8
2014-03-28 08:15:27.299076	60952	21.6	1	8
2014-03-28 08:15:32.3517	60953	627	3	2
2014-03-28 08:15:32.586528	60954	1108266.6431196516	4	2
2014-03-28 08:15:44.352486	60955	627	3	2
2014-03-28 08:15:44.575351	60956	1108268.9411890944	4	2
2014-03-28 08:15:55.313577	60957	43	2	10
2014-03-28 08:15:55.546623	60958	20.8	1	10
2014-03-28 08:16:04.983336	60959	53	2	9
2014-03-28 08:16:05.204627	60960	21.0	1	9
2014-03-28 08:16:06.077709	60961	53	2	8
2014-03-28 08:16:06.322876	60962	21.6	1	8
2014-03-28 08:16:34.314459	60963	43	2	10
2014-03-28 08:16:34.537121	60964	20.8	1	10
2014-03-28 08:16:43.983519	60965	53	2	9
2014-03-28 08:16:44.214526	60966	21.0	1	9
2014-03-28 08:16:45.077168	60967	53	2	8
2014-03-28 08:16:45.298787	60968	21.6	1	8
2014-03-28 08:17:13.312791	60969	43	2	10
2014-03-28 08:17:13.545082	60970	20.8	1	10
2014-03-28 08:17:22.982534	60971	53	2	9
2014-03-28 08:17:23.203271	60972	21.0	1	9
2014-03-28 08:17:24.07858	60973	53	2	8
2014-03-28 08:17:24.308073	60974	21.6	1	8
2014-03-28 08:17:52.314645	60975	43	2	10
2014-03-28 08:17:52.558303	60976	20.9	1	10
2014-03-28 08:18:01.986206	60977	53	2	9
2014-03-28 08:18:02.216703	60978	21.0	1	9
2014-03-28 08:18:03.075196	60979	53	2	8
2014-03-28 08:18:03.296069	60980	21.6	1	8
2014-03-28 08:18:31.313912	60981	43	2	10
2014-03-28 08:18:31.547348	60982	20.9	1	10
2014-03-28 08:18:40.983293	60983	53	2	9
2014-03-28 08:18:41.207111	60984	21.0	1	9
2014-03-28 08:18:42.078993	60985	53	2	8
2014-03-28 08:18:42.311018	60986	21.6	1	8
2014-03-28 08:19:10.314586	60987	43	2	10
2014-03-28 08:19:10.536677	60988	20.9	1	10
2014-03-28 08:19:19.985908	60989	53	2	9
2014-03-28 08:19:20.220632	60990	21.0	1	9
2014-03-28 08:19:21.078635	60991	54	2	8
2014-03-28 08:19:21.300741	60992	21.6	1	8
2014-03-28 08:19:49.316494	60993	43	2	10
2014-03-28 08:19:49.548257	60994	20.9	1	10
2014-03-28 08:19:58.984895	60995	53	2	9
2014-03-28 08:19:59.206244	60996	21.0	1	9
2014-03-28 08:20:00.078201	60997	54	2	8
2014-03-28 08:20:00.310683	60998	21.6	1	8
2014-03-28 08:20:28.310216	60999	43	2	10
2014-03-28 08:20:28.532323	61000	20.9	1	10
2014-03-28 08:20:38.185107	61001	53	2	9
2014-03-28 08:20:38.417767	61002	21.0	1	9
2014-03-28 08:20:39.078294	61003	54	2	8
2014-03-28 08:20:39.300489	61004	21.5	1	8
2014-03-28 08:21:07.314815	61005	43	2	10
2014-03-28 08:21:07.550001	61006	20.9	1	10
2014-03-28 08:21:16.983468	61007	53	2	9
2014-03-28 08:21:17.206071	61008	21.0	1	9
2014-03-28 08:21:18.077969	61009	53	2	8
2014-03-28 08:21:18.319132	61010	21.5	1	8
2014-03-28 08:21:31.487991	61011	52	2	1
2014-03-28 08:21:31.714884	61012	21.0	1	1
2014-03-28 08:21:46.31597	61013	43	2	10
2014-03-28 08:21:46.547039	61014	20.9	1	10
2014-03-28 08:21:55.987153	61015	53	2	9
2014-03-28 08:21:56.208486	61016	21.0	1	9
2014-03-28 08:21:57.077517	61017	54	2	8
2014-03-28 08:21:57.308466	61018	21.5	1	8
2014-03-28 08:22:08.349488	61019	659	3	2
2014-03-28 08:22:08.571086	61020	1108334.4361682152	4	2
2014-03-28 08:22:20.3488	61021	676	3	2
2014-03-28 08:22:20.578449	61022	1108336.7342376579	4	2
2014-03-28 08:22:25.450043	61023	43	2	10
2014-03-28 08:22:25.878514	61024	20.9	1	10
2014-03-28 08:22:35.112936	61025	53	2	9
2014-03-28 08:22:35.550039	61026	21.0	1	9
2014-03-28 08:22:36.209933	61027	53	2	8
2014-03-28 08:22:36.615029	61028	21.5	1	8
2014-03-28 08:23:04.312151	61029	43	2	10
2014-03-28 08:23:04.552209	61030	20.9	1	10
2014-03-28 08:23:14.110101	61031	53	2	9
2014-03-28 08:23:14.53003	61032	21.0	1	9
2014-03-28 08:23:15.199128	61033	53	2	8
2014-03-28 08:23:15.635468	61034	21.5	1	8
2014-03-28 08:23:43.442955	61035	43	2	10
2014-03-28 08:23:43.861301	61036	20.9	1	10
2014-03-28 08:23:53.112401	61037	53	2	9
2014-03-28 08:23:53.549729	61038	21.0	1	9
2014-03-28 08:23:54.210057	61039	53	2	8
2014-03-28 08:23:54.659688	61040	21.5	1	8
2014-03-28 08:24:22.43872	61041	43	2	10
2014-03-28 08:24:22.890695	61042	20.9	1	10
2014-03-28 08:24:31.994218	61043	53	2	9
2014-03-28 08:24:32.217525	61044	21.0	1	9
2014-03-28 08:24:33.077321	61045	53	2	8
2014-03-28 08:24:33.336989	61046	21.5	1	8
2014-03-28 08:25:01.31578	61047	43	2	10
2014-03-28 08:25:01.537466	61048	21.0	1	10
2014-03-28 08:25:10.986398	61049	53	2	9
2014-03-28 08:25:11.21939	61050	21.0	1	9
2014-03-28 08:25:12.07792	61051	53	2	8
2014-03-28 08:25:12.302237	61052	21.5	1	8
2014-03-28 08:25:40.317482	61053	43	2	10
2014-03-28 08:25:40.549115	61054	21.0	1	10
2014-03-28 08:25:49.988065	61055	53	2	9
2014-03-28 08:25:50.208984	61056	21.0	1	9
2014-03-28 08:25:51.077475	61057	53	2	8
2014-03-28 08:25:51.319469	61058	21.5	1	8
2014-03-28 08:26:19.316543	61059	43	2	10
2014-03-28 08:26:19.541361	61060	21.0	1	10
2014-03-28 08:26:28.983295	61061	53	2	9
2014-03-28 08:26:29.215052	61062	21.0	1	9
2014-03-28 08:26:30.077546	61063	53	2	8
2014-03-28 08:26:30.298061	61064	21.5	1	8
2014-03-28 08:26:58.317142	61065	43	2	10
2014-03-28 08:26:58.551033	61066	21.0	1	10
2014-03-28 08:27:07.983629	61067	53	2	9
2014-03-28 08:27:08.206713	61068	21.0	1	9
2014-03-28 08:27:09.078522	61069	52	2	8
2014-03-28 08:27:09.308739	61070	21.5	1	8
2014-03-28 08:27:20.349411	61071	611	3	2
2014-03-28 08:27:20.573751	61072	1108391.887904286	4	2
2014-03-28 08:27:32.347707	61073	611	3	2
2014-03-28 08:27:32.580958	61074	1108393.0369390072	4	2
2014-03-28 08:27:37.317926	61075	43	2	10
2014-03-28 08:27:37.542523	61076	21.0	1	10
2014-03-28 08:27:46.982868	61077	53	2	9
2014-03-28 08:27:47.214157	61078	21.0	1	9
2014-03-28 08:27:48.078278	61079	52	2	8
2014-03-28 08:27:48.299331	61080	21.5	1	8
2014-03-28 08:28:16.317152	61081	43	2	10
2014-03-28 08:28:16.548176	61082	21.0	1	10
2014-03-28 08:28:25.987552	61083	53	2	9
2014-03-28 08:28:26.21091	61084	21.0	1	9
2014-03-28 08:28:27.078101	61085	52	2	8
2014-03-28 08:28:27.307471	61086	21.5	1	8
2014-03-28 08:28:55.318811	61087	43	2	10
2014-03-28 08:28:55.540941	61088	21.0	1	10
2014-03-28 08:29:04.988175	61089	53	2	9
2014-03-28 08:29:05.221068	61090	21.0	1	9
2014-03-28 08:29:06.079159	61091	52	2	8
2014-03-28 08:29:06.300322	61092	21.5	1	8
2014-03-28 08:29:32.347995	61093	611	3	2
2014-03-28 08:29:32.578147	61094	1108413.7195639927	4	2
2014-03-28 08:29:34.318488	61095	43	2	10
2014-03-28 08:29:34.540484	61096	21.0	1	10
2014-03-28 08:29:43.985114	61097	53	2	9
2014-03-28 08:29:44.219152	61098	21.0	1	9
2014-03-28 08:29:45.079723	61099	52	2	8
2014-03-28 08:29:45.300997	61100	21.5	1	8
2014-03-28 08:30:13.318295	61101	43	2	10
2014-03-28 08:30:13.549992	61102	21.0	1	10
2014-03-28 08:30:22.985173	61103	53	2	9
2014-03-28 08:30:23.209951	61104	21.0	1	9
2014-03-28 08:30:24.07753	61105	52	2	8
2014-03-28 08:30:24.321796	61106	21.5	1	8
2014-03-28 08:30:52.32048	61107	43	2	10
2014-03-28 08:30:52.543047	61108	21.0	1	10
2014-03-28 08:31:02.007039	61109	53	2	9
2014-03-28 08:31:02.239358	61110	21.0	1	9
2014-03-28 08:31:03.076476	61111	52	2	8
2014-03-28 08:31:03.299242	61112	21.4	1	8
2014-03-28 08:31:31.318958	61113	43	2	10
2014-03-28 08:31:31.553064	61114	21.1	1	10
2014-03-28 08:31:32.34743	61115	676	3	2
2014-03-28 08:31:32.57166	61116	1108435.5512236997	4	2
2014-03-28 08:31:40.985999	61117	53	2	9
2014-03-28 08:31:41.216329	61118	21.0	1	9
2014-03-28 08:31:42.0772	61119	52	2	8
2014-03-28 08:31:42.297939	61120	21.4	1	8
2014-03-28 08:32:10.319	61121	43	2	10
2014-03-28 08:32:10.559818	61122	21.1	1	10
2014-03-28 08:32:19.986441	61123	53	2	9
2014-03-28 08:32:20.209256	61124	21.1	1	9
2014-03-28 08:32:21.077809	61125	52	2	8
2014-03-28 08:32:21.308666	61126	21.4	1	8
2014-03-28 08:32:49.319042	61127	43	2	10
2014-03-28 08:32:49.54484	61128	21.1	1	10
2014-03-28 08:32:58.985939	61129	53	2	9
2014-03-28 08:32:59.219858	61130	21.1	1	9
2014-03-28 08:33:00.077411	61131	52	2	8
2014-03-28 08:33:00.298456	61132	21.4	1	8
2014-03-28 08:33:28.319117	61133	43	2	10
2014-03-28 08:33:28.550633	61134	21.1	1	10
2014-03-28 08:33:37.982644	61135	53	2	9
2014-03-28 08:33:38.203791	61136	21.1	1	9
2014-03-28 08:33:39.07703	61137	52	2	8
2014-03-28 08:33:39.307356	61138	21.4	1	8
2014-03-28 08:34:07.318303	61139	43	2	10
2014-03-28 08:34:07.541257	61140	21.1	1	10
2014-03-28 08:34:16.988212	61141	53	2	9
2014-03-28 08:34:17.218278	61142	21.1	1	9
2014-03-28 08:34:18.078415	61143	52	2	8
2014-03-28 08:34:18.300887	61144	21.4	1	8
2014-03-28 08:34:46.319611	61145	43	2	10
2014-03-28 08:34:46.550326	61146	21.1	1	10
2014-03-28 08:34:55.984076	61147	53	2	9
2014-03-28 08:34:56.208918	61148	21.1	1	9
2014-03-28 08:34:57.081742	61149	52	2	8
2014-03-28 08:34:57.314425	61150	21.4	1	8
2014-03-28 08:35:08.349654	61151	724	3	2
2014-03-28 08:35:08.572297	61152	1108475.7719099014	4	2
2014-03-28 08:35:25.321713	61153	43	2	10
2014-03-28 08:35:25.567235	61154	21.1	1	10
2014-03-28 08:35:32.348066	61155	724	3	2
2014-03-28 08:35:32.56892	61156	1108480.3680487871	4	2
2014-03-28 08:35:34.985417	61157	53	2	9
2014-03-28 08:35:35.218152	61158	21.1	1	9
2014-03-28 08:35:36.076248	61159	52	2	8
2014-03-28 08:35:36.304841	61160	21.4	1	8
2014-03-28 08:35:56.347354	61161	804	3	2
2014-03-28 08:35:56.578225	61162	1108486.1132223941	4	2
2014-03-28 08:36:04.320931	61163	43	2	10
2014-03-28 08:36:04.545053	61164	21.1	1	10
2014-03-28 08:36:13.984185	61165	53	2	9
2014-03-28 08:36:14.216542	61166	21.1	1	9
2014-03-28 08:36:15.078623	61167	52	2	8
2014-03-28 08:36:15.303957	61168	21.4	1	8
2014-03-28 08:36:32.346583	61169	708	3	2
2014-03-28 08:36:32.577528	61170	1108493.0074307227	4	2
2014-03-28 08:36:43.320501	61171	43	2	10
2014-03-28 08:36:43.543464	61172	21.2	1	10
2014-03-28 08:36:52.986428	61173	53	2	9
2014-03-28 08:36:53.218963	61174	21.1	1	9
2014-03-28 08:36:54.077114	61175	52	2	8
2014-03-28 08:36:54.300145	61176	21.4	1	8
2014-03-28 08:37:20.3451	61177	804	3	2
2014-03-28 08:37:20.578904	61178	1108503.3487432154	4	2
2014-03-28 08:37:22.321645	61179	43	2	10
2014-03-28 08:37:22.544415	61180	21.2	1	10
2014-03-28 08:37:31.983888	61181	53	2	9
2014-03-28 08:37:32.215751	61182	21.1	1	9
2014-03-28 08:37:33.079428	61183	52	2	8
2014-03-28 08:37:33.300382	61184	21.4	1	8
2014-03-28 08:37:44.348141	61185	724	3	2
2014-03-28 08:37:44.583023	61186	1108507.944882101	4	2
2014-03-28 08:38:01.321558	61187	43	2	10
2014-03-28 08:38:01.543527	61188	21.2	1	10
2014-03-28 08:38:10.981996	61189	53	2	9
2014-03-28 08:38:11.214226	61190	21.1	1	9
2014-03-28 08:38:12.077654	61191	52	2	8
2014-03-28 08:38:12.298546	61192	21.4	1	8
2014-03-28 08:38:20.348608	61193	724	3	2
2014-03-28 08:38:20.580661	61194	1108515.988125151	4	2
2014-03-28 08:38:25.522367	61195	53	2	1
2014-03-28 08:38:25.750436	61196	21.2	1	1
2014-03-28 08:38:40.323663	61197	43	2	10
2014-03-28 08:38:40.555297	61198	21.2	1	10
2014-03-28 08:38:44.348553	61199	869	3	2
2014-03-28 08:38:44.570617	61200	1108521.733298758	4	2
2014-03-28 08:38:49.977535	61201	53	2	9
2014-03-28 08:38:50.221582	61202	21.1	1	9
2014-03-28 08:38:51.076174	61203	52	2	8
2014-03-28 08:38:51.296381	61204	21.4	1	8
2014-03-28 08:38:56.348078	61205	869	3	2
2014-03-28 08:38:56.578664	61206	1108524.031368201	4	2
2014-03-28 08:39:19.321488	61207	43	2	10
2014-03-28 08:39:19.543138	61208	21.2	1	10
2014-03-28 08:39:20.347711	61209	837	3	2
2014-03-28 08:39:20.577857	61210	1108529.776541808	4	2
2014-03-28 08:39:28.978794	61211	53	2	9
2014-03-28 08:39:29.201068	61212	21.1	1	9
2014-03-28 08:39:30.075917	61213	52	2	8
2014-03-28 08:39:30.307664	61214	21.4	1	8
2014-03-28 08:39:32.34764	61215	853	3	2
2014-03-28 08:39:32.569598	61216	1108533.223645972	4	2
2014-03-28 08:39:58.321289	61217	43	2	10
2014-03-28 08:39:58.555184	61218	21.2	1	10
2014-03-28 08:40:07.979489	61219	53	2	9
2014-03-28 08:40:08.202434	61220	21.1	1	9
2014-03-28 08:40:09.07841	61221	52	2	8
2014-03-28 08:40:09.30855	61222	21.4	1	8
2014-03-28 08:40:32.349901	61223	853	3	2
2014-03-28 08:40:32.573193	61224	1108547.0120626292	4	2
2014-03-28 08:40:37.322223	61225	43	2	10
2014-03-28 08:40:37.554105	61226	21.2	1	10
2014-03-28 08:40:46.978943	61227	54	2	9
2014-03-28 08:40:47.202499	61228	21.1	1	9
2014-03-28 08:40:48.076338	61229	52	2	8
2014-03-28 08:40:48.309118	61230	21.4	1	8
2014-03-28 08:41:16.323394	61231	43	2	10
2014-03-28 08:41:16.544466	61232	21.2	1	10
2014-03-28 08:41:25.979037	61233	54	2	9
2014-03-28 08:41:26.211135	61234	21.1	1	9
2014-03-28 08:41:27.076522	61235	52	2	8
2014-03-28 08:41:27.298812	61236	21.4	1	8
2014-03-28 08:41:32.348459	61237	853	3	2
2014-03-28 08:41:32.579495	61238	1108560.8004792861	4	2
2014-03-28 08:41:55.322029	61239	43	2	10
2014-03-28 08:41:55.545264	61240	21.2	1	10
2014-03-28 08:42:04.979834	61241	54	2	9
2014-03-28 08:42:05.211141	61242	21.1	1	9
2014-03-28 08:42:06.077931	61243	52	2	8
2014-03-28 08:42:06.298128	61244	21.5	1	8
2014-03-28 08:42:32.34499	61245	853	3	2
2014-03-28 08:42:32.578115	61246	1108575.7379306646	4	2
2014-03-28 08:42:34.322148	61247	43	2	10
2014-03-28 08:42:34.543465	61248	21.3	1	10
2014-03-28 08:42:43.977392	61249	54	2	9
2014-03-28 08:42:44.222818	61250	21.1	1	9
2014-03-28 08:42:45.077937	61251	52	2	8
2014-03-28 08:42:45.300625	61252	21.5	1	8
2014-03-28 08:43:13.321892	61253	43	2	10
2014-03-28 08:43:13.554785	61254	21.3	1	10
2014-03-28 08:43:22.976203	61255	54	2	9
2014-03-28 08:43:23.198001	61256	21.1	1	9
2014-03-28 08:43:24.077091	61257	52	2	8
2014-03-28 08:43:24.30766	61258	21.5	1	8
2014-03-28 08:43:32.347267	61259	708	3	2
2014-03-28 08:43:32.56787	61260	1108588.3773126001	4	2
2014-03-28 08:43:52.322599	61261	43	2	10
2014-03-28 08:43:52.556317	61262	21.3	1	10
2014-03-28 08:44:02.183147	61263	54	2	9
2014-03-28 08:44:02.463757	61264	21.2	1	9
2014-03-28 08:44:03.077256	61265	52	2	8
2014-03-28 08:44:03.30693	61266	21.5	1	8
2014-03-28 08:44:31.328575	61267	43	2	10
2014-03-28 08:44:31.6008	61268	21.3	1	10
2014-03-28 08:44:32.346338	61269	708	3	2
2014-03-28 08:44:32.576765	61270	1108599.8676598142	4	2
2014-03-28 08:44:40.979737	61271	54	2	9
2014-03-28 08:44:41.202281	61272	21.2	1	9
2014-03-28 08:44:42.077529	61273	52	2	8
2014-03-28 08:44:42.307297	61274	21.5	1	8
2014-03-28 08:45:10.322839	61275	43	2	10
2014-03-28 08:45:10.545895	61276	21.3	1	10
2014-03-28 08:45:19.981463	61277	54	2	9
2014-03-28 08:45:20.213573	61278	21.2	1	9
2014-03-28 08:45:21.079864	61279	52	2	8
2014-03-28 08:45:21.300855	61280	21.5	1	8
2014-03-28 08:45:32.344322	61281	708	3	2
2014-03-28 08:45:32.576621	61282	1108612.5070417498	4	2
2014-03-28 08:45:49.322673	61283	43	2	10
2014-03-28 08:45:49.544318	61284	21.3	1	10
2014-03-28 08:45:56.347606	61285	820	3	2
2014-03-28 08:45:56.580724	61286	1108617.1031806355	4	2
2014-03-28 08:45:58.980303	61287	54	2	9
2014-03-28 08:45:59.203185	61288	21.2	1	9
2014-03-28 08:46:00.076953	61289	52	2	8
2014-03-28 08:46:00.310859	61290	21.5	1	8
2014-03-28 08:46:08.345671	61291	820	3	2
2014-03-28 08:46:08.568952	61292	1108619.4012500783	4	2
2014-03-28 08:46:28.324277	61293	43	2	10
2014-03-28 08:46:28.557009	61294	21.3	1	10
2014-03-28 08:46:37.976674	61295	54	2	9
2014-03-28 08:46:38.199723	61296	21.2	1	9
2014-03-28 08:46:39.075944	61297	52	2	8
2014-03-28 08:46:39.323742	61298	21.5	1	8
2014-03-28 08:47:07.325695	61299	43	2	10
2014-03-28 08:47:07.553939	61300	21.3	1	10
2014-03-28 08:47:16.786585	61301	643	3	2
2014-03-28 08:47:17.202443	61302	1108633.1896667352	4	2
2014-03-28 08:47:17.507347	61303	54	2	9
2014-03-28 08:47:17.734613	61304	21.2	1	9
2014-03-28 08:47:18.078665	61305	52	2	8
2014-03-28 08:47:18.299204	61306	21.5	1	8
2014-03-28 08:47:46.323064	61307	43	2	10
2014-03-28 08:47:46.555559	61308	21.4	1	10
2014-03-28 08:47:55.978835	61309	54	2	9
2014-03-28 08:47:56.201841	61310	21.2	1	9
2014-03-28 08:47:57.07761	61311	52	2	8
2014-03-28 08:47:57.310468	61312	21.5	1	8
2014-03-28 08:48:25.322096	61313	43	2	10
2014-03-28 08:48:25.545044	61314	21.4	1	10
2014-03-28 08:48:34.979956	61315	54	2	9
2014-03-28 08:48:35.21231	61316	21.2	1	9
2014-03-28 08:48:36.077491	61317	52	2	8
2014-03-28 08:48:36.299524	61318	21.5	1	8
2014-03-28 08:49:04.323268	61319	43	2	10
2014-03-28 08:49:04.555242	61320	21.4	1	10
2014-03-28 08:49:13.982468	61321	54	2	9
2014-03-28 08:49:14.2037	61322	21.2	1	9
2014-03-28 08:49:15.076111	61323	52	2	8
2014-03-28 08:49:15.307344	61324	21.5	1	8
2014-03-28 08:49:43.322907	61325	43	2	10
2014-03-28 08:49:43.544971	61326	21.4	1	10
2014-03-28 08:49:52.984803	61327	54	2	9
2014-03-28 08:49:53.216221	61328	21.2	1	9
2014-03-28 08:49:54.077322	61329	52	2	8
2014-03-28 08:49:54.297535	61330	21.5	1	8
2014-03-28 08:50:22.322856	61331	43	2	10
2014-03-28 08:50:22.557425	61332	21.4	1	10
2014-03-28 08:50:31.987477	61333	54	2	9
2014-03-28 08:50:32.208418	61334	21.2	1	9
2014-03-28 08:50:33.077342	61335	51	2	8
2014-03-28 08:50:33.306221	61336	21.5	1	8
2014-03-28 08:51:01.324279	61337	43	2	10
2014-03-28 08:51:01.545315	61338	21.4	1	10
2014-03-28 08:51:10.985434	61339	54	2	9
2014-03-28 08:51:11.219348	61340	21.2	1	9
2014-03-28 08:51:12.079053	61341	51	2	8
2014-03-28 08:51:12.299832	61342	21.5	1	8
2014-03-28 08:51:40.323935	61343	43	2	10
2014-03-28 08:51:40.554963	61344	21.4	1	10
2014-03-28 08:51:49.985091	61345	54	2	9
2014-03-28 08:51:50.207041	61346	21.2	1	9
2014-03-28 08:51:51.07624	61347	51	2	8
2014-03-28 08:51:51.318028	61348	21.5	1	8
2014-03-28 08:52:19.326758	61349	43	2	10
2014-03-28 08:52:19.548206	61350	21.4	1	10
2014-03-28 08:52:28.981725	61351	54	2	9
2014-03-28 08:52:29.213955	61352	21.2	1	9
2014-03-28 08:52:30.076756	61353	51	2	8
2014-03-28 08:52:30.300024	61354	21.5	1	8
2014-03-28 08:52:58.322791	61355	43	2	10
2014-03-28 08:52:58.557293	61356	21.5	1	10
2014-03-28 08:53:07.980079	61357	54	2	9
2014-03-28 08:53:08.202867	61358	21.2	1	9
2014-03-28 08:53:09.077509	61359	51	2	8
2014-03-28 08:53:09.307624	61360	21.5	1	8
2014-03-28 08:53:37.324959	61361	43	2	10
2014-03-28 08:53:37.547408	61362	21.5	1	10
2014-03-28 08:53:46.979987	61363	54	2	9
2014-03-28 08:53:47.211442	61364	21.2	1	9
2014-03-28 08:53:48.080264	61365	51	2	8
2014-03-28 08:53:48.299919	61366	21.5	1	8
2014-03-28 08:54:16.323973	61367	43	2	10
2014-03-28 08:54:16.555319	61368	21.5	1	10
2014-03-28 08:54:25.981805	61369	54	2	9
2014-03-28 08:54:26.203158	61370	21.2	1	9
2014-03-28 08:54:27.077179	61371	51	2	8
2014-03-28 08:54:27.308674	61372	21.5	1	8
2014-03-28 08:54:55.326731	61373	43	2	10
2014-03-28 08:54:55.547205	61374	21.5	1	10
2014-03-28 08:55:04.984867	61375	54	2	9
2014-03-28 08:55:05.216626	61376	21.2	1	9
2014-03-28 08:55:06.077543	61377	51	2	8
2014-03-28 08:55:06.298315	61378	21.4	1	8
2014-03-28 08:55:34.326864	61379	43	2	10
2014-03-28 08:55:34.558445	61380	21.5	1	10
2014-03-28 08:55:43.988664	61381	54	2	9
2014-03-28 08:55:44.210267	61382	21.2	1	9
2014-03-28 08:55:45.076989	61383	51	2	8
2014-03-28 08:55:45.306909	61384	21.4	1	8
2014-03-28 08:56:13.32576	61385	43	2	10
2014-03-28 08:56:13.547262	61386	21.5	1	10
2014-03-28 08:56:22.983598	61387	54	2	9
2014-03-28 08:56:23.216765	61388	21.2	1	9
2014-03-28 08:56:24.081725	61389	51	2	8
2014-03-28 08:56:24.301488	61390	21.4	1	8
2014-03-28 08:56:52.324142	61391	43	2	10
2014-03-28 08:56:52.555833	61392	21.5	1	10
2014-03-28 08:57:01.984027	61393	54	2	9
2014-03-28 08:57:02.207064	61394	21.2	1	9
2014-03-28 08:57:03.076636	61395	51	2	8
2014-03-28 08:57:03.32056	61396	21.4	1	8
2014-03-28 08:57:31.329877	61397	43	2	10
2014-03-28 08:57:31.550619	61398	21.6	1	10
2014-03-28 08:57:40.980844	61399	54	2	9
2014-03-28 08:57:41.235281	61400	21.2	1	9
2014-03-28 08:57:42.076485	61401	51	2	8
2014-03-28 08:57:42.298437	61402	21.4	1	8
2014-03-28 08:58:10.326587	61403	43	2	10
2014-03-28 08:58:10.558974	61404	21.6	1	10
2014-03-28 08:58:19.982398	61405	54	2	9
2014-03-28 08:58:20.203564	61406	21.2	1	9
2014-03-28 08:58:21.077878	61407	51	2	8
2014-03-28 08:58:21.308025	61408	21.4	1	8
2014-03-28 08:58:49.327399	61409	43	2	10
2014-03-28 08:58:49.551362	61410	21.6	1	10
2014-03-28 08:58:58.979289	61411	54	2	9
2014-03-28 08:58:59.209905	61412	21.2	1	9
2014-03-28 08:59:00.077058	61413	51	2	8
2014-03-28 08:59:00.297856	61414	21.4	1	8
2014-03-28 08:59:28.326263	61415	43	2	10
2014-03-28 08:59:28.556662	61416	21.6	1	10
2014-03-28 08:59:37.980682	61417	54	2	9
2014-03-28 08:59:38.20333	61418	21.2	1	9
2014-03-28 08:59:39.075627	61419	51	2	8
2014-03-28 08:59:39.30769	61420	21.4	1	8
2014-03-28 09:00:07.327551	61421	43	2	10
2014-03-28 09:00:07.548596	61422	21.6	1	10
2014-03-28 09:00:16.983156	61423	54	2	9
2014-03-28 09:00:17.216761	61424	21.2	1	9
2014-03-28 09:00:18.075101	61425	51	2	8
2014-03-28 09:00:18.295041	61426	21.4	1	8
2014-03-28 09:00:46.32911	61427	43	2	10
2014-03-28 09:00:46.561572	61428	21.6	1	10
2014-03-28 09:00:55.986408	61429	54	2	9
2014-03-28 09:00:56.206539	61430	21.2	1	9
2014-03-28 09:00:57.075515	61431	51	2	8
2014-03-28 09:00:57.307006	61432	21.4	1	8
2014-03-28 09:01:25.327597	61433	43	2	10
2014-03-28 09:01:25.547717	61434	21.6	1	10
2014-03-28 09:01:34.984092	61435	54	2	9
2014-03-28 09:01:35.217629	61436	21.2	1	9
2014-03-28 09:01:36.078615	61437	51	2	8
2014-03-28 09:01:36.298577	61438	21.4	1	8
2014-03-28 09:02:04.327654	61439	43	2	10
2014-03-28 09:02:04.558803	61440	21.6	1	10
2014-03-28 09:02:13.98381	61441	54	2	9
2014-03-28 09:02:14.20769	61442	21.2	1	9
2014-03-28 09:02:15.07583	61443	51	2	8
2014-03-28 09:02:15.320634	61444	21.4	1	8
2014-03-28 09:02:43.329397	61445	43	2	10
2014-03-28 09:02:43.552375	61446	21.7	1	10
2014-03-28 09:02:52.978696	61447	54	2	9
2014-03-28 09:02:53.209473	61448	21.2	1	9
2014-03-28 09:02:54.074445	61449	51	2	8
2014-03-28 09:02:54.297723	61450	21.4	1	8
2014-03-28 09:03:22.32821	61451	43	2	10
2014-03-28 09:03:22.560696	61452	21.7	1	10
2014-03-28 09:03:32.035816	61453	54	2	9
2014-03-28 09:03:32.257962	61454	21.2	1	9
2014-03-28 09:03:33.074786	61455	51	2	8
2014-03-28 09:03:33.305734	61456	21.4	1	8
2014-03-28 09:04:01.328214	61457	43	2	10
2014-03-28 09:04:01.55362	61458	21.7	1	10
2014-03-28 09:04:10.981182	61459	54	2	9
2014-03-28 09:04:11.211429	61460	21.2	1	9
2014-03-28 09:04:12.077392	61461	51	2	8
2014-03-28 09:04:12.297979	61462	21.4	1	8
2014-03-28 09:04:40.327777	61463	43	2	10
2014-03-28 09:04:40.557795	61464	21.7	1	10
2014-03-28 09:04:49.984812	61465	54	2	9
2014-03-28 09:04:50.208453	61466	21.2	1	9
2014-03-28 09:04:51.075497	61467	51	2	8
2014-03-28 09:04:51.30604	61468	21.4	1	8
2014-03-28 09:05:19.327961	61469	43	2	10
2014-03-28 09:05:19.556808	61470	21.7	1	10
2014-03-28 09:05:28.982208	61471	54	2	9
2014-03-28 09:05:29.213126	61472	21.3	1	9
2014-03-28 09:05:30.075788	61473	51	2	8
2014-03-28 09:05:30.295417	61474	21.4	1	8
2014-03-28 09:05:58.328209	61475	43	2	10
2014-03-28 09:05:58.559441	61476	21.7	1	10
2014-03-28 09:06:07.985682	61477	54	2	9
2014-03-28 09:06:08.20766	61478	21.3	1	9
2014-03-28 09:06:09.076208	61479	51	2	8
2014-03-28 09:06:09.307431	61480	21.4	1	8
2014-03-28 09:06:37.329143	61481	43	2	10
2014-03-28 09:06:37.554878	61482	21.7	1	10
2014-03-28 09:06:46.98056	61483	54	2	9
2014-03-28 09:06:47.213198	61484	21.2	1	9
2014-03-28 09:06:48.077214	61485	51	2	8
2014-03-28 09:06:48.298493	61486	21.4	1	8
2014-03-28 09:07:16.328935	61487	43	2	10
2014-03-28 09:07:16.559524	61488	21.8	1	10
2014-03-28 09:07:25.981482	61489	54	2	9
2014-03-28 09:07:26.205247	61490	21.2	1	9
2014-03-28 09:07:27.077417	61491	51	2	8
2014-03-28 09:07:27.320811	61492	21.4	1	8
2014-03-28 09:07:55.330113	61493	43	2	10
2014-03-28 09:07:55.553733	61494	21.8	1	10
2014-03-28 09:08:04.983488	61495	54	2	9
2014-03-28 09:08:05.218016	61496	21.3	1	9
2014-03-28 09:08:06.076168	61497	51	2	8
2014-03-28 09:08:06.298163	61498	21.4	1	8
2014-03-28 09:08:34.461228	61499	43	2	10
2014-03-28 09:08:34.902591	61500	21.8	1	10
2014-03-28 09:08:44.109976	61501	54	2	9
2014-03-28 09:08:44.524384	61502	21.3	1	9
2014-03-28 09:08:45.200106	61503	51	2	8
2014-03-28 09:08:45.642657	61504	21.4	1	8
2014-03-28 09:09:13.329389	61505	43	2	10
2014-03-28 09:09:13.552783	61506	21.8	1	10
2014-03-28 09:09:22.978609	61507	54	2	9
2014-03-28 09:09:23.210927	61508	21.3	1	9
2014-03-28 09:09:24.077038	61509	51	2	8
2014-03-28 09:09:24.299413	61510	21.4	1	8
2014-03-28 09:09:52.329283	61511	43	2	10
2014-03-28 09:09:52.562552	61512	21.8	1	10
2014-03-28 09:10:01.979046	61513	54	2	9
2014-03-28 09:10:02.200677	61514	21.3	1	9
2014-03-28 09:10:03.075379	61515	51	2	8
2014-03-28 09:10:03.362722	61516	21.4	1	8
2014-03-28 09:10:31.329176	61517	43	2	10
2014-03-28 09:10:31.551018	61518	21.8	1	10
2014-03-28 09:10:40.984692	61519	54	2	9
2014-03-28 09:10:41.216252	61520	21.3	1	9
2014-03-28 09:10:42.074949	61521	50	2	8
2014-03-28 09:10:42.296266	61522	21.4	1	8
2014-03-28 09:11:10.333398	61523	43	2	10
2014-03-28 09:11:10.564824	61524	21.8	1	10
2014-03-28 09:11:19.984401	61525	54	2	9
2014-03-28 09:11:20.205626	61526	21.3	1	9
2014-03-28 09:11:21.076934	61527	50	2	8
2014-03-28 09:11:21.307291	61528	21.4	1	8
2014-03-28 09:11:49.329493	61529	43	2	10
2014-03-28 09:11:49.551406	61530	21.8	1	10
2014-03-28 09:11:58.981831	61531	54	2	9
2014-03-28 09:11:59.213386	61532	21.3	1	9
2014-03-28 09:12:00.078476	61533	50	2	8
2014-03-28 09:12:00.298242	61534	21.4	1	8
2014-03-28 09:12:28.332302	61535	43	2	10
2014-03-28 09:12:28.564711	61536	21.9	1	10
2014-03-28 09:12:32.391644	61537	595	3	2
2014-03-28 09:12:32.615888	61538	1108888.2798458417	4	2
2014-03-28 09:12:38.114803	61539	54	2	9
2014-03-28 09:12:38.580052	61540	21.3	1	9
2014-03-28 09:12:39.203176	61541	50	2	8
2014-03-28 09:12:39.649908	61542	21.4	1	8
2014-03-28 09:13:07.330281	61543	43	2	10
2014-03-28 09:13:07.560597	61544	21.9	1	10
2014-03-28 09:13:16.983632	61545	54	2	9
2014-03-28 09:13:17.206955	61546	21.3	1	9
2014-03-28 09:13:18.07597	61547	50	2	8
2014-03-28 09:13:18.308669	61548	21.4	1	8
2014-03-28 09:13:46.332703	61549	43	2	10
2014-03-28 09:13:46.554528	61550	21.9	1	10
2014-03-28 09:13:55.979297	61551	54	2	9
2014-03-28 09:13:56.213714	61552	21.3	1	9
2014-03-28 09:13:57.075797	61553	50	2	8
2014-03-28 09:13:57.297188	61554	21.4	1	8
2014-03-28 09:14:25.33158	61555	43	2	10
2014-03-28 09:14:25.574144	61556	21.9	1	10
2014-03-28 09:14:34.985129	61557	54	2	9
2014-03-28 09:14:35.207302	61558	21.3	1	9
2014-03-28 09:14:36.076318	61559	50	2	8
2014-03-28 09:14:36.306316	61560	21.4	1	8
2014-03-28 09:15:04.332861	61561	43	2	10
2014-03-28 09:15:04.555722	61562	21.9	1	10
2014-03-28 09:15:13.980674	61563	54	2	9
2014-03-28 09:15:14.213229	61564	21.3	1	9
2014-03-28 09:15:15.076013	61565	50	2	8
2014-03-28 09:15:15.296295	61566	21.4	1	8
2014-03-28 09:15:43.333387	61567	43	2	10
2014-03-28 09:15:43.564815	61568	21.9	1	10
2014-03-28 09:15:52.983946	61569	54	2	9
2014-03-28 09:15:53.205267	61570	21.3	1	9
2014-03-28 09:15:54.076176	61571	50	2	8
2014-03-28 09:15:54.308068	61572	21.4	1	8
2014-03-28 09:16:22.332216	61573	43	2	10
2014-03-28 09:16:22.553693	61574	21.9	1	10
2014-03-28 09:16:31.980444	61575	54	2	9
2014-03-28 09:16:32.21138	61576	21.3	1	9
2014-03-28 09:16:33.074898	61577	50	2	8
2014-03-28 09:16:33.295223	61578	21.4	1	8
2014-03-28 09:17:01.331156	61579	43	2	10
2014-03-28 09:17:01.56396	61580	21.9	1	10
2014-03-28 09:17:10.985587	61581	54	2	9
2014-03-28 09:17:11.206458	61582	21.3	1	9
2014-03-28 09:17:12.074793	61583	50	2	8
2014-03-28 09:17:12.305926	61584	21.4	1	8
2014-03-28 09:17:40.331719	61585	43	2	10
2014-03-28 09:17:40.554234	61586	21.9	1	10
2014-03-28 09:17:49.983779	61587	54	2	9
2014-03-28 09:17:50.228211	61588	21.3	1	9
2014-03-28 09:17:51.077094	61589	50	2	8
2014-03-28 09:17:51.296179	61590	21.4	1	8
2014-03-28 09:18:19.329293	61591	43	2	10
2014-03-28 09:18:19.560744	61592	22.0	1	10
2014-03-28 09:18:28.979894	61593	54	2	9
2014-03-28 09:18:29.202252	61594	21.3	1	9
2014-03-28 09:18:30.076446	61595	50	2	8
2014-03-28 09:18:30.309418	61596	21.4	1	8
2014-03-28 09:18:58.537172	61597	43	2	10
2014-03-28 09:18:58.75818	61598	22.0	1	10
2014-03-28 09:19:07.98265	61599	54	2	9
2014-03-28 09:19:08.215152	61600	21.3	1	9
2014-03-28 09:19:09.074701	61601	50	2	8
2014-03-28 09:19:09.297865	61602	21.4	1	8
2014-03-28 09:19:37.332851	61603	43	2	10
2014-03-28 09:19:37.573766	61604	22.0	1	10
2014-03-28 09:19:46.980324	61605	54	2	9
2014-03-28 09:19:47.201561	61606	21.3	1	9
2014-03-28 09:19:48.074197	61607	50	2	8
2014-03-28 09:19:48.304216	61608	21.4	1	8
2014-03-28 09:20:16.331853	61609	43	2	10
2014-03-28 09:20:16.554082	61610	22.0	1	10
2014-03-28 09:20:25.980693	61611	54	2	9
2014-03-28 09:20:26.211452	61612	21.3	1	9
2014-03-28 09:20:27.076658	61613	50	2	8
2014-03-28 09:20:27.298718	61614	21.4	1	8
2014-03-28 09:20:55.330495	61615	43	2	10
2014-03-28 09:20:55.562006	61616	22.0	1	10
2014-03-28 09:21:04.983112	61617	54	2	9
2014-03-28 09:21:05.202934	61618	21.3	1	9
2014-03-28 09:21:06.074153	61619	50	2	8
2014-03-28 09:21:06.305125	61620	21.4	1	8
2014-03-28 09:21:34.333294	61621	43	2	10
2014-03-28 09:21:34.553343	61622	22.0	1	10
2014-03-28 09:21:43.981295	61623	54	2	9
2014-03-28 09:21:44.213297	61624	21.3	1	9
2014-03-28 09:21:45.075584	61625	50	2	8
2014-03-28 09:21:45.296188	61626	21.4	1	8
2014-03-28 09:22:13.332398	61627	43	2	10
2014-03-28 09:22:13.563991	61628	22.0	1	10
2014-03-28 09:22:22.98301	61629	54	2	9
2014-03-28 09:22:23.205874	61630	21.3	1	9
2014-03-28 09:22:24.074117	61631	50	2	8
2014-03-28 09:22:24.305082	61632	21.4	1	8
2014-03-28 09:22:52.332684	61633	43	2	10
2014-03-28 09:22:52.557602	61634	22.0	1	10
2014-03-28 09:23:01.982083	61635	54	2	9
2014-03-28 09:23:02.22706	61636	21.3	1	9
2014-03-28 09:23:03.077302	61637	50	2	8
2014-03-28 09:23:03.297234	61638	21.4	1	8
2014-03-28 09:23:16.449868	61639	55	2	1
2014-03-28 09:23:16.682022	61640	21.1	1	1
2014-03-28 09:23:31.333163	61641	43	2	10
2014-03-28 09:23:31.554453	61642	22.0	1	10
2014-03-28 09:23:40.980036	61643	54	2	9
2014-03-28 09:23:41.212337	61644	21.3	1	9
2014-03-28 09:23:42.075212	61645	50	2	8
2014-03-28 09:23:42.296937	61646	21.4	1	8
2014-03-28 09:23:55.4476	61647	55	2	1
2014-03-28 09:23:55.678558	61648	21.1	1	1
2014-03-28 09:24:10.334572	61649	43	2	10
2014-03-28 09:24:10.556709	61650	22.1	1	10
2014-03-28 09:24:19.979394	61651	54	2	9
2014-03-28 09:24:20.210613	61652	21.3	1	9
2014-03-28 09:24:21.074163	61653	50	2	8
2014-03-28 09:24:21.297226	61654	21.4	1	8
2014-03-28 09:24:49.335186	61655	43	2	10
2014-03-28 09:24:49.566705	61656	22.1	1	10
2014-03-28 09:24:58.979041	61657	54	2	9
2014-03-28 09:24:59.200932	61658	21.3	1	9
2014-03-28 09:25:00.075154	61659	50	2	8
2014-03-28 09:25:00.304866	61660	21.4	1	8
2014-03-28 09:25:13.447685	61661	55	2	1
2014-03-28 09:25:13.670588	61662	21.1	1	1
2014-03-28 09:25:28.333755	61663	43	2	10
2014-03-28 09:25:28.569621	61664	22.1	1	10
2014-03-28 09:25:37.98122	61665	54	2	9
2014-03-28 09:25:38.203594	61666	21.3	1	9
2014-03-28 09:25:39.075619	61667	50	2	8
2014-03-28 09:25:39.307732	61668	21.4	1	8
2014-03-28 09:26:07.334153	61669	43	2	10
2014-03-28 09:26:07.554622	61670	22.1	1	10
2014-03-28 09:26:16.979298	61671	54	2	9
2014-03-28 09:26:17.210661	61672	21.3	1	9
2014-03-28 09:26:18.075061	61673	50	2	8
2014-03-28 09:26:18.295591	61674	21.4	1	8
2014-03-28 09:26:31.448067	61675	55	2	1
2014-03-28 09:26:31.682192	61676	21.1	1	1
2014-03-28 09:26:32.341986	61677	659	3	2
2014-03-28 09:26:32.564667	61678	1109033.05822074	4	2
2014-03-28 09:26:46.333606	61679	43	2	10
2014-03-28 09:26:46.565838	61680	22.1	1	10
2014-03-28 09:26:55.977566	61681	54	2	9
2014-03-28 09:26:56.200389	61682	21.3	1	9
2014-03-28 09:26:57.075488	61683	50	2	8
2014-03-28 09:26:57.316195	61684	21.4	1	8
2014-03-28 09:27:25.335357	61685	43	2	10
2014-03-28 09:27:25.556593	61686	22.1	1	10
2014-03-28 09:27:34.981122	61687	54	2	9
2014-03-28 09:27:35.212871	61688	21.3	1	9
2014-03-28 09:27:36.075549	61689	50	2	8
2014-03-28 09:27:36.296181	61690	21.4	1	8
2014-03-28 09:28:04.333652	61691	43	2	10
2014-03-28 09:28:04.56653	61692	22.1	1	10
2014-03-28 09:28:13.977765	61693	54	2	9
2014-03-28 09:28:14.199387	61694	21.3	1	9
2014-03-28 09:28:15.077476	61695	51	2	8
2014-03-28 09:28:15.306831	61696	21.4	1	8
2014-03-28 09:28:43.334056	61697	43	2	10
2014-03-28 09:28:43.557526	61698	22.1	1	10
2014-03-28 09:28:52.977291	61699	54	2	9
2014-03-28 09:28:53.211491	61700	21.3	1	9
2014-03-28 09:28:54.075175	61701	51	2	8
2014-03-28 09:28:54.300482	61702	21.4	1	8
2014-03-28 09:29:07.681978	61703	55	2	1
2014-03-28 09:29:07.913848	61704	21.1	1	1
2014-03-28 09:29:22.335138	61705	43	2	10
2014-03-28 09:29:22.565691	61706	22.2	1	10
2014-03-28 09:29:31.983956	61707	54	2	9
2014-03-28 09:29:32.216679	61708	21.3	1	9
2014-03-28 09:29:33.074991	61709	51	2	8
2014-03-28 09:29:33.297769	61710	21.4	1	8
2014-03-28 09:29:46.443104	61711	55	2	1
2014-03-28 09:29:46.675618	61712	21.1	1	1
2014-03-28 09:30:01.334296	61713	43	2	10
2014-03-28 09:30:01.557618	61714	22.2	1	10
2014-03-28 09:30:10.978575	61715	54	2	9
2014-03-28 09:30:11.209315	61716	21.3	1	9
2014-03-28 09:30:12.074998	61717	51	2	8
2014-03-28 09:30:12.295796	61718	21.3	1	8
2014-03-28 09:30:40.335962	61719	43	2	10
2014-03-28 09:30:40.568052	61720	22.2	1	10
2014-03-28 09:30:49.978665	61721	54	2	9
2014-03-28 09:30:50.199509	61722	21.3	1	9
2014-03-28 09:30:51.075136	61723	50	2	8
2014-03-28 09:30:51.306038	61724	21.3	1	8
2014-03-28 09:30:56.340475	61725	547	3	2
2014-03-28 09:30:56.564567	61726	1109079.0240805487	4	2
2014-03-28 09:31:19.335729	61727	43	2	10
2014-03-28 09:31:19.56864	61728	22.2	1	10
2014-03-28 09:31:28.978548	61729	54	2	9
2014-03-28 09:31:29.199973	61730	21.3	1	9
2014-03-28 09:31:30.074376	61731	50	2	8
2014-03-28 09:31:30.316039	61732	21.3	1	8
2014-03-28 09:31:32.34173	61733	547	3	2
2014-03-28 09:31:32.5628	61734	1109083.6202194344	4	2
2014-03-28 09:31:43.444014	61735	55	2	1
2014-03-28 09:31:43.675801	61736	21.0	1	1
2014-03-28 09:31:58.334986	61737	43	2	10
2014-03-28 09:31:58.557519	61738	22.2	1	10
2014-03-28 09:32:07.981056	61739	53	2	9
2014-03-28 09:32:08.214466	61740	21.3	1	9
2014-03-28 09:32:09.074114	61741	50	2	8
2014-03-28 09:32:09.294628	61742	21.3	1	8
2014-03-28 09:32:37.336736	61743	43	2	10
2014-03-28 09:32:37.57051	61744	22.2	1	10
2014-03-28 09:32:46.981504	61745	53	2	9
2014-03-28 09:32:47.203047	61746	21.3	1	9
2014-03-28 09:32:48.075305	61747	50	2	8
2014-03-28 09:32:48.30627	61748	21.3	1	8
2014-03-28 09:33:16.335894	61749	43	2	10
2014-03-28 09:33:16.557866	61750	22.2	1	10
2014-03-28 09:33:25.98032	61751	53	2	9
2014-03-28 09:33:26.211081	61752	21.3	1	9
2014-03-28 09:33:27.078817	61753	50	2	8
2014-03-28 09:33:27.301275	61754	21.3	1	8
2014-03-28 09:33:55.336017	61755	43	2	10
2014-03-28 09:33:55.567719	61756	22.2	1	10
2014-03-28 09:34:04.98144	61757	53	2	9
2014-03-28 09:34:05.204648	61758	21.3	1	9
2014-03-28 09:34:06.077211	61759	50	2	8
2014-03-28 09:34:06.307155	61760	21.3	1	8
2014-03-28 09:34:34.335294	61761	43	2	10
2014-03-28 09:34:34.556931	61762	22.2	1	10
2014-03-28 09:34:43.983574	61763	53	2	9
2014-03-28 09:34:44.216042	61764	21.3	1	9
2014-03-28 09:34:45.074954	61765	50	2	8
2014-03-28 09:34:45.29741	61766	21.3	1	8
2014-03-28 09:34:58.661895	61767	55	2	1
2014-03-28 09:34:58.893641	61768	21.0	1	1
2014-03-28 09:35:13.340738	61769	43	2	10
2014-03-28 09:35:13.563769	61770	22.2	1	10
2014-03-28 09:35:22.979108	61771	53	2	9
2014-03-28 09:35:23.212477	61772	21.3	1	9
2014-03-28 09:35:24.075711	61773	50	2	8
2014-03-28 09:35:24.295377	61774	21.3	1	8
2014-03-28 09:35:37.439506	61775	55	2	1
2014-03-28 09:35:37.671064	61776	21.0	1	1
2014-03-28 09:35:44.34088	61777	482	3	2
2014-03-28 09:35:44.564783	61778	1109121.5383652411	4	2
2014-03-28 09:35:52.33771	61779	43	2	10
2014-03-28 09:35:52.582677	61780	22.3	1	10
2014-03-28 09:36:01.984255	61781	53	2	9
2014-03-28 09:36:02.206093	61782	21.3	1	9
2014-03-28 09:36:03.075482	61783	50	2	8
2014-03-28 09:36:03.307025	61784	21.3	1	8
2014-03-28 09:36:16.438791	61785	55	2	1
2014-03-28 09:36:16.661856	61786	21.0	1	1
2014-03-28 09:36:31.337338	61787	43	2	10
2014-03-28 09:36:31.570131	61788	22.3	1	10
2014-03-28 09:36:32.339898	61789	482	3	2
2014-03-28 09:36:32.562637	61790	1109128.4325735695	4	2
2014-03-28 09:36:40.981691	61791	53	2	9
2014-03-28 09:36:41.21307	61792	21.3	1	9
2014-03-28 09:36:42.075092	61793	50	2	8
2014-03-28 09:36:42.295492	61794	21.3	1	8
2014-03-28 09:36:55.443704	61795	55	2	1
2014-03-28 09:36:55.677347	61796	21.0	1	1
2014-03-28 09:37:10.338702	61797	43	2	10
2014-03-28 09:37:10.559564	61798	22.3	1	10
2014-03-28 09:37:19.982311	61799	53	2	9
2014-03-28 09:37:20.213968	61800	21.3	1	9
2014-03-28 09:37:21.077259	61801	50	2	8
2014-03-28 09:37:21.296887	61802	21.3	1	8
2014-03-28 09:37:32.341436	61803	482	3	2
2014-03-28 09:37:32.572686	61804	1109136.4758166193	4	2
2014-03-28 09:37:49.337372	61805	43	2	10
2014-03-28 09:37:49.561688	61806	22.3	1	10
2014-03-28 09:37:56.338949	61807	531	3	2
2014-03-28 09:37:56.570994	61808	1109139.9229207837	4	2
2014-03-28 09:37:58.979577	61809	53	2	9
2014-03-28 09:37:59.202324	61810	21.3	1	9
2014-03-28 09:38:00.075592	61811	50	2	8
2014-03-28 09:38:00.305956	61812	21.3	1	8
2014-03-28 09:38:28.338676	61813	43	2	10
2014-03-28 09:38:28.567781	61814	22.3	1	10
2014-03-28 09:38:37.982898	61815	53	2	9
2014-03-28 09:38:38.214603	61816	21.2	1	9
2014-03-28 09:38:52.436241	61817	55	2	1
2014-03-28 09:38:52.657757	61818	21.0	1	1
2014-03-28 09:39:07.338554	61819	43	2	10
2014-03-28 09:39:07.569147	61820	22.3	1	10
2014-03-28 09:39:16.977529	61821	53	2	9
2014-03-28 09:39:17.201814	61822	21.2	1	9
2014-03-28 09:39:18.076347	61823	50	2	8
2014-03-28 09:39:18.307559	61824	21.3	1	8
2014-03-28 09:39:31.438473	61825	55	2	1
2014-03-28 09:39:31.661077	61826	21.0	1	1
2014-03-28 09:39:44.341195	61827	515	3	2
2014-03-28 09:39:44.583998	61828	1109156.0094068835	4	2
2014-03-28 09:39:46.337101	61829	43	2	10
2014-03-28 09:39:46.557192	61830	22.3	1	10
2014-03-28 09:39:55.981494	61831	53	2	9
2014-03-28 09:39:56.215589	61832	21.2	1	9
2014-03-28 09:39:57.074288	61833	50	2	8
2014-03-28 09:39:57.298453	61834	21.3	1	8
2014-03-28 09:40:25.339594	61835	43	2	10
2014-03-28 09:40:25.574545	61836	22.3	1	10
2014-03-28 09:40:34.982058	61837	53	2	9
2014-03-28 09:40:35.204243	61838	21.2	1	9
2014-03-28 09:40:36.075076	61839	50	2	8
2014-03-28 09:40:36.307153	61840	21.3	1	8
2014-03-28 09:41:04.3389	61841	43	2	10
2014-03-28 09:41:04.56323	61842	22.3	1	10
2014-03-28 09:41:13.980259	61843	53	2	9
2014-03-28 09:41:14.211612	61844	21.2	1	9
2014-03-28 09:41:15.073059	61845	49	2	8
2014-03-28 09:41:15.294231	61846	21.3	1	8
2014-03-28 09:41:43.338963	61847	43	2	10
2014-03-28 09:41:43.572704	61848	22.3	1	10
2014-03-28 09:41:52.983358	61849	53	2	9
2014-03-28 09:41:53.203922	61850	21.2	1	9
2014-03-28 09:41:54.074132	61851	49	2	8
2014-03-28 09:41:54.303573	61852	21.3	1	8
2014-03-28 09:42:22.33812	61853	43	2	10
2014-03-28 09:42:22.559954	61854	22.3	1	10
2014-03-28 09:42:31.981775	61855	53	2	9
2014-03-28 09:42:32.213364	61856	21.2	1	9
2014-03-28 09:42:33.07382	61857	49	2	8
2014-03-28 09:42:33.352214	61858	21.3	1	8
2014-03-28 09:43:01.338863	61859	43	2	10
2014-03-28 09:43:01.571192	61860	22.3	1	10
2014-03-28 09:43:10.979055	61861	53	2	9
2014-03-28 09:43:11.201222	61862	21.2	1	9
2014-03-28 09:43:12.074305	61863	49	2	8
2014-03-28 09:43:12.305098	61864	21.3	1	8
2014-03-28 09:43:40.339436	61865	43	2	10
2014-03-28 09:43:40.561498	61866	22.3	1	10
2014-03-28 09:43:49.985954	61867	53	2	9
2014-03-28 09:43:50.216902	61868	21.2	1	9
2014-03-28 09:43:51.07291	61869	49	2	8
2014-03-28 09:43:51.301025	61870	21.3	1	8
2014-03-28 09:44:19.338834	61871	43	2	10
2014-03-28 09:44:19.583645	61872	22.3	1	10
2014-03-28 09:44:28.979362	61873	53	2	9
2014-03-28 09:44:29.204771	61874	21.2	1	9
2014-03-28 09:44:30.075364	61875	49	2	8
2014-03-28 09:44:30.319495	61876	21.3	1	8
2014-03-28 09:44:32.340514	61877	466	3	2
2014-03-28 09:44:32.562088	61878	1109195.0765874116	4	2
2014-03-28 09:44:58.340565	61879	43	2	10
2014-03-28 09:44:58.573862	61880	22.3	1	10
2014-03-28 09:45:07.981775	61881	52	2	9
2014-03-28 09:45:08.20533	61882	21.2	1	9
2014-03-28 09:45:09.073518	61883	49	2	8
2014-03-28 09:45:09.306738	61884	21.3	1	8
2014-03-28 09:45:37.340954	61885	43	2	10
2014-03-28 09:45:37.562842	61886	22.3	1	10
2014-03-28 09:45:46.979313	61887	52	2	9
2014-03-28 09:45:47.210952	61888	21.2	1	9
2014-03-28 09:45:48.074716	61889	49	2	8
2014-03-28 09:45:48.299389	61890	21.3	1	8
2014-03-28 09:46:16.341922	61891	43	2	10
2014-03-28 09:46:16.573926	61892	22.4	1	10
2014-03-28 09:46:25.979204	61893	52	2	9
2014-03-28 09:46:26.20066	61894	21.2	1	9
2014-03-28 09:46:27.07345	61895	49	2	8
2014-03-28 09:46:27.303554	61896	21.3	1	8
2014-03-28 09:46:32.338912	61897	466	3	2
2014-03-28 09:46:32.562352	61898	1109211.1630735113	4	2
2014-03-28 09:46:40.436232	61899	55	2	1
2014-03-28 09:46:40.668176	61900	21.0	1	1
2014-03-28 09:46:55.339765	61901	43	2	10
2014-03-28 09:46:55.563345	61902	22.4	1	10
2014-03-28 09:47:04.98237	61903	52	2	9
2014-03-28 09:47:05.215493	61904	21.2	1	9
2014-03-28 09:47:06.073473	61905	49	2	8
2014-03-28 09:47:06.294356	61906	21.3	1	8
2014-03-28 09:47:19.434176	61907	55	2	1
2014-03-28 09:47:19.668248	61908	21.0	1	1
2014-03-28 09:47:32.336135	61909	482	3	2
2014-03-28 09:47:32.61494	61910	1109219.2063165612	4	2
2014-03-28 09:47:34.341231	61911	43	2	10
2014-03-28 09:47:34.607826	61912	22.4	1	10
2014-03-28 09:47:43.982429	61913	52	2	9
2014-03-28 09:47:44.205457	61914	21.2	1	9
2014-03-28 09:47:45.072429	61915	49	2	8
2014-03-28 09:47:45.304092	61916	21.2	1	8
2014-03-28 09:47:58.43325	61917	55	2	1
2014-03-28 09:47:58.656526	61918	21.0	1	1
2014-03-28 09:48:13.340488	61919	43	2	10
2014-03-28 09:48:13.571674	61920	22.4	1	10
2014-03-28 09:48:22.979892	61921	52	2	9
2014-03-28 09:48:23.200876	61922	21.2	1	9
2014-03-28 09:48:24.073715	61923	49	2	8
2014-03-28 09:48:24.316779	61924	21.2	1	8
2014-03-28 09:48:32.337289	61925	466	3	2
2014-03-28 09:48:32.558885	61926	1109227.2495596113	4	2
2014-03-28 09:48:52.339525	61927	43	2	10
2014-03-28 09:48:52.570822	61928	22.4	1	10
2014-03-28 09:49:02.184618	61929	52	2	9
2014-03-28 09:49:02.406507	61930	21.2	1	9
2014-03-28 09:49:03.073242	61931	49	2	8
2014-03-28 09:49:03.304621	61932	21.2	1	8
2014-03-28 09:49:16.433456	61933	55	2	1
2014-03-28 09:49:16.65507	61934	21.0	1	1
2014-03-28 09:49:31.340197	61935	43	2	10
2014-03-28 09:49:31.571339	61936	22.4	1	10
2014-03-28 09:49:32.33909	61937	482	3	2
2014-03-28 09:49:32.560836	61938	1109235.2928026612	4	2
2014-03-28 09:49:40.983801	61939	52	2	9
2014-03-28 09:49:41.216179	61940	21.2	1	9
2014-03-28 09:49:42.075063	61941	49	2	8
2014-03-28 09:49:42.294826	61942	21.2	1	8
2014-03-28 09:50:10.142934	61943	531	3	2
2014-03-28 09:50:10.375382	61944	1109238.7399068254	4	2
2014-03-28 09:50:10.698464	61945	43	2	10
2014-03-28 09:50:10.920167	61946	22.4	1	10
2014-03-28 09:50:19.975564	61947	52	2	9
2014-03-28 09:50:20.209372	61948	21.2	1	9
2014-03-28 09:50:21.072314	61949	49	2	8
2014-03-28 09:50:21.296147	61950	21.2	1	8
2014-03-28 09:50:49.339762	61951	43	2	10
2014-03-28 09:50:49.571981	61952	22.4	1	10
2014-03-28 09:50:58.977981	61953	52	2	9
2014-03-28 09:50:59.199341	61954	21.2	1	9
2014-03-28 09:51:00.073263	61955	49	2	8
2014-03-28 09:51:00.305096	61956	21.2	1	8
2014-03-28 09:51:13.477112	61957	55	2	1
2014-03-28 09:51:13.699373	61958	20.9	1	1
2014-03-28 09:51:28.342128	61959	43	2	10
2014-03-28 09:51:28.573521	61960	22.4	1	10
2014-03-28 09:51:37.978916	61961	52	2	9
2014-03-28 09:51:38.200535	61962	21.2	1	9
2014-03-28 09:51:39.074093	61963	49	2	8
2014-03-28 09:51:39.306613	61964	21.2	1	8
2014-03-28 09:52:07.340347	61965	43	2	10
2014-03-28 09:52:07.564164	61966	22.4	1	10
2014-03-28 09:52:16.980837	61967	52	2	9
2014-03-28 09:52:17.213239	61968	21.2	1	9
2014-03-28 09:52:18.073343	61969	49	2	8
2014-03-28 09:52:18.29416	61970	21.2	1	8
2014-03-28 09:52:31.432687	61971	55	2	1
2014-03-28 09:52:31.67933	61972	20.9	1	1
2014-03-28 09:52:32.339357	61973	515	3	2
2014-03-28 09:52:32.561405	61974	1109261.7206012537	4	2
2014-03-28 09:52:46.342217	61975	43	2	10
2014-03-28 09:52:46.575421	61976	22.4	1	10
2014-03-28 09:52:55.980308	61977	52	2	9
2014-03-28 09:52:56.200832	61978	21.2	1	9
2014-03-28 09:52:57.071583	61979	49	2	8
2014-03-28 09:52:57.303587	61980	21.2	1	8
2014-03-28 09:53:10.428961	61981	55	2	1
2014-03-28 09:53:10.651942	61982	20.9	1	1
2014-03-28 09:53:25.341503	61983	43	2	10
2014-03-28 09:53:25.573345	61984	22.4	1	10
2014-03-28 09:53:34.97894	61985	52	2	9
2014-03-28 09:53:35.200215	61986	21.2	1	9
2014-03-28 09:53:36.071858	61987	49	2	8
2014-03-28 09:53:36.30312	61988	21.2	1	8
2014-03-28 09:53:49.430656	61989	55	2	1
2014-03-28 09:53:49.652453	61990	20.9	1	1
2014-03-28 09:54:04.341707	61991	43	2	10
2014-03-28 09:54:04.602073	61992	22.4	1	10
2014-03-28 09:54:13.982633	61993	52	2	9
2014-03-28 09:54:14.204859	61994	21.2	1	9
2014-03-28 09:54:15.073236	61995	49	2	8
2014-03-28 09:54:15.303534	61996	21.2	1	8
2014-03-28 09:54:43.341911	61997	43	2	10
2014-03-28 09:54:43.563465	61998	22.4	1	10
2014-03-28 09:54:52.982784	61999	52	2	9
2014-03-28 09:54:53.215043	62000	21.2	1	9
2014-03-28 09:54:54.07376	62001	49	2	8
2014-03-28 09:54:54.29411	62002	21.2	1	8
2014-03-28 09:55:22.341853	62003	43	2	10
2014-03-28 09:55:22.573341	62004	22.4	1	10
2014-03-28 09:55:31.982039	62005	52	2	9
2014-03-28 09:55:32.204502	62006	21.2	1	9
2014-03-28 09:55:33.076572	62007	49	2	8
2014-03-28 09:55:33.306616	62008	21.2	1	8
2014-03-28 09:56:01.340895	62009	43	2	10
2014-03-28 09:56:01.562517	62010	22.4	1	10
2014-03-28 09:56:10.982595	62011	52	2	9
2014-03-28 09:56:11.215244	62012	21.2	1	9
2014-03-28 09:56:12.07224	62013	49	2	8
2014-03-28 09:56:12.295223	62014	21.2	1	8
2014-03-28 09:56:32.33668	62015	466	3	2
2014-03-28 09:56:32.5691	62016	1109293.8935734532	4	2
2014-03-28 09:56:40.345817	62017	43	2	10
2014-03-28 09:56:40.567747	62018	22.4	1	10
2014-03-28 09:56:49.980945	62019	52	2	9
2014-03-28 09:56:50.226189	62020	21.2	1	9
2014-03-28 09:56:51.074333	62021	49	2	8
2014-03-28 09:56:51.295098	62022	21.2	1	8
2014-03-28 09:57:19.342715	62023	43	2	10
2014-03-28 09:57:19.577495	62024	22.4	1	10
2014-03-28 09:57:28.982435	62025	52	2	9
2014-03-28 09:57:29.204688	62026	21.2	1	9
2014-03-28 09:57:30.074123	62027	49	2	8
2014-03-28 09:57:30.3047	62028	21.2	1	8
2014-03-28 09:57:32.335757	62029	482	3	2
2014-03-28 09:57:32.557896	62030	1109301.9368165033	4	2
2014-03-28 09:57:58.342763	62031	43	2	10
2014-03-28 09:57:58.577337	62032	22.4	1	10
2014-03-28 09:58:07.982361	62033	52	2	9
2014-03-28 09:58:08.204663	62034	21.2	1	9
2014-03-28 09:58:09.072864	62035	49	2	8
2014-03-28 09:58:09.305703	62036	21.2	1	8
2014-03-28 09:58:32.334824	62037	466	3	2
2014-03-28 09:58:32.559116	62038	1109309.9800595532	4	2
2014-03-28 09:58:37.342999	62039	43	2	10
2014-03-28 09:58:37.579879	62040	22.4	1	10
2014-03-28 09:58:46.978993	62041	52	2	9
2014-03-28 09:58:47.203115	62042	21.2	1	9
2014-03-28 09:58:48.073768	62043	49	2	8
2014-03-28 09:58:48.305012	62044	21.2	1	8
2014-03-28 09:59:16.548663	62045	43	2	10
2014-03-28 09:59:16.772825	62046	22.4	1	10
2014-03-28 09:59:25.981582	62047	52	2	9
2014-03-28 09:59:26.213483	62048	21.2	1	9
2014-03-28 09:59:27.071734	62049	49	2	8
2014-03-28 09:59:27.293823	62050	21.2	1	8
2014-03-28 09:59:32.339257	62051	466	3	2
2014-03-28 09:59:32.57023	62052	1109318.023302603	4	2
2014-03-28 09:59:55.343386	62053	43	2	10
2014-03-28 09:59:55.565881	62054	22.4	1	10
2014-03-28 10:00:04.980196	62055	52	2	9
2014-03-28 10:00:05.213248	62056	21.2	1	9
2014-03-28 10:00:06.072617	62057	49	2	8
2014-03-28 10:00:06.295943	62058	21.2	1	8
2014-03-28 10:00:34.342627	62059	43	2	10
2014-03-28 10:00:34.574106	62060	22.4	1	10
2014-03-28 10:00:43.980522	62061	52	2	9
2014-03-28 10:00:44.204628	62062	21.2	1	9
2014-03-28 10:00:45.073378	62063	49	2	8
2014-03-28 10:00:45.305248	62064	21.2	1	8
2014-03-28 10:00:58.422709	62065	55	2	1
2014-03-28 10:00:58.645658	62066	20.9	1	1
2014-03-28 10:01:13.343892	62067	43	2	10
2014-03-28 10:01:13.587026	62068	22.4	1	10
2014-03-28 10:01:22.977869	62069	52	2	9
2014-03-28 10:01:23.200426	62070	21.2	1	9
2014-03-28 10:01:24.071919	62071	49	2	8
2014-03-28 10:01:24.306827	62072	21.2	1	8
2014-03-28 10:01:37.468947	62073	55	2	1
2014-03-28 10:01:37.689276	62074	20.9	1	1
2014-03-28 10:01:44.336869	62075	498	3	2
2014-03-28 10:01:44.570576	62076	1109334.1142596551	4	2
2014-03-28 10:01:52.345661	62077	43	2	10
2014-03-28 10:01:52.56672	62078	22.3	1	10
2014-03-28 10:02:01.978576	62079	52	2	9
2014-03-28 10:02:02.211396	62080	21.2	1	9
2014-03-28 10:02:03.072681	62081	49	2	8
2014-03-28 10:02:03.29528	62082	21.2	1	8
2014-03-28 10:02:16.424948	62083	55	2	1
2014-03-28 10:02:16.659627	62084	20.9	1	1
2014-03-28 10:02:31.344609	62085	43	2	10
2014-03-28 10:02:31.567697	62086	22.3	1	10
2014-03-28 10:02:32.337271	62087	498	3	2
2014-03-28 10:02:32.569641	62088	1109341.0084679835	4	2
2014-03-28 10:02:40.978025	62089	52	2	9
2014-03-28 10:02:41.202629	62090	21.2	1	9
2014-03-28 10:02:42.072381	62091	49	2	8
2014-03-28 10:02:42.302576	62092	21.2	1	8
2014-03-28 10:02:55.471255	62093	55	2	1
2014-03-28 10:02:55.695101	62094	20.9	1	1
2014-03-28 10:03:10.550362	62095	43	2	10
2014-03-28 10:03:10.783241	62096	22.3	1	10
2014-03-28 10:03:19.978621	62097	52	2	9
2014-03-28 10:03:20.200843	62098	21.2	1	9
2014-03-28 10:03:21.072529	62099	49	2	8
2014-03-28 10:03:21.30277	62100	21.2	1	8
2014-03-28 10:03:34.420751	62101	55	2	1
2014-03-28 10:03:34.644127	62102	20.9	1	1
2014-03-28 10:03:49.34412	62103	43	2	10
2014-03-28 10:03:49.576425	62104	22.3	1	10
2014-03-28 10:03:58.979067	62105	52	2	9
2014-03-28 10:03:59.201879	62106	21.2	1	9
2014-03-28 10:04:00.073163	62107	49	2	8
2014-03-28 10:04:00.304157	62108	21.2	1	8
2014-03-28 10:04:13.422474	62109	55	2	1
2014-03-28 10:04:13.645701	62110	20.9	1	1
2014-03-28 10:04:28.344543	62111	43	2	10
2014-03-28 10:04:28.577414	62112	22.3	1	10
2014-03-28 10:04:37.982604	62113	52	2	9
2014-03-28 10:04:38.205931	62114	21.2	1	9
2014-03-28 10:04:39.075097	62115	49	2	8
2014-03-28 10:04:39.319281	62116	21.2	1	8
2014-03-28 10:04:52.66031	62117	55	2	1
2014-03-28 10:04:52.884595	62118	20.9	1	1
2014-03-28 10:05:07.344792	62119	43	2	10
2014-03-28 10:05:07.76264	62120	22.3	1	10
2014-03-28 10:05:16.97894	62121	52	2	9
2014-03-28 10:05:17.206045	62122	21.1	1	9
2014-03-28 10:05:18.072265	62123	49	2	8
2014-03-28 10:05:18.29159	62124	21.2	1	8
2014-03-28 10:05:31.420622	62125	55	2	1
2014-03-28 10:05:31.651386	62126	20.9	1	1
2014-03-28 10:05:46.345103	62127	43	2	10
2014-03-28 10:05:46.566111	62128	22.3	1	10
2014-03-28 10:05:55.976886	62129	52	2	9
2014-03-28 10:05:56.21096	62130	21.1	1	9
2014-03-28 10:05:57.073437	62131	49	2	8
2014-03-28 10:05:57.294816	62132	21.2	1	8
2014-03-28 10:06:10.418864	62133	55	2	1
2014-03-28 10:06:10.654703	62134	20.9	1	1
2014-03-28 10:06:25.343964	62135	43	2	10
2014-03-28 10:06:25.564706	62136	22.3	1	10
2014-03-28 10:06:32.335778	62137	434	3	2
2014-03-28 10:06:32.567093	62138	1109374.3304749045	4	2
2014-03-28 10:06:34.980192	62139	52	2	9
2014-03-28 10:06:35.20308	62140	21.1	1	9
2014-03-28 10:06:36.072248	62141	49	2	8
2014-03-28 10:06:36.303518	62142	21.2	1	8
2014-03-28 10:06:49.41957	62143	55	2	1
2014-03-28 10:06:49.639746	62144	20.9	1	1
2014-03-28 10:07:04.346283	62145	43	2	10
2014-03-28 10:07:04.578665	62146	22.3	1	10
2014-03-28 10:07:13.977084	62147	52	2	9
2014-03-28 10:07:14.197288	62148	21.1	1	9
2014-03-28 10:07:15.071502	62149	49	2	8
2014-03-28 10:07:15.304431	62150	21.2	1	8
2014-03-28 10:07:28.421534	62151	55	2	1
2014-03-28 10:07:28.641881	62152	20.9	1	1
2014-03-28 10:07:43.343818	62153	43	2	10
2014-03-28 10:07:43.57825	62154	22.3	1	10
2014-03-28 10:07:52.977785	62155	52	2	9
2014-03-28 10:07:53.198591	62156	21.1	1	9
2014-03-28 10:07:54.072438	62157	48	2	8
2014-03-28 10:07:54.304349	62158	21.2	1	8
2014-03-28 10:08:07.422426	62159	55	2	1
2014-03-28 10:08:07.643325	62160	20.9	1	1
2014-03-28 10:08:22.344582	62161	43	2	10
2014-03-28 10:08:22.585278	62162	22.3	1	10
2014-03-28 10:08:31.976006	62163	52	2	9
2014-03-28 10:08:32.195899	62164	21.1	1	9
2014-03-28 10:08:33.072292	62165	48	2	8
2014-03-28 10:08:33.311764	62166	21.1	1	8
2014-03-28 10:08:46.419951	62167	55	2	1
2014-03-28 10:08:46.643819	62168	20.9	1	1
2014-03-28 10:08:56.335	62169	370	3	2
2014-03-28 10:08:56.567414	62170	1109390.4169610043	4	2
2014-03-28 10:09:01.346207	62171	43	2	10
2014-03-28 10:09:01.570925	62172	22.3	1	10
2014-03-28 10:09:10.978704	62173	52	2	9
2014-03-28 10:09:11.210718	62174	21.1	1	9
2014-03-28 10:09:12.071842	62175	49	2	8
2014-03-28 10:09:12.29313	62176	21.1	1	8
2014-03-28 10:09:40.346955	62177	43	2	10
2014-03-28 10:09:40.580183	62178	22.3	1	10
2014-03-28 10:09:49.983204	62179	52	2	9
2014-03-28 10:09:50.204691	62180	21.1	1	9
2014-03-28 10:09:51.072272	62181	49	2	8
2014-03-28 10:09:51.303388	62182	21.1	1	8
2014-03-28 10:10:19.345406	62183	43	2	10
2014-03-28 10:10:19.569928	62184	22.3	1	10
2014-03-28 10:10:28.983524	62185	52	2	9
2014-03-28 10:10:29.215694	62186	21.1	1	9
2014-03-28 10:10:30.072551	62187	49	2	8
2014-03-28 10:10:30.294263	62188	21.1	1	8
2014-03-28 10:10:58.347536	62189	43	2	10
2014-03-28 10:10:58.580393	62190	22.3	1	10
2014-03-28 10:11:07.980197	62191	52	2	9
2014-03-28 10:11:08.201078	62192	21.1	1	9
2014-03-28 10:11:09.073738	62193	49	2	8
2014-03-28 10:11:09.305115	62194	21.1	1	8
2014-03-28 10:11:37.345879	62195	43	2	10
2014-03-28 10:11:37.567414	62196	22.3	1	10
2014-03-28 10:11:46.979583	62197	52	2	9
2014-03-28 10:11:47.213905	62198	21.1	1	9
2014-03-28 10:11:48.0748	62199	49	2	8
2014-03-28 10:11:48.297427	62200	21.1	1	8
2014-03-28 10:12:16.347118	62201	43	2	10
2014-03-28 10:12:16.577705	62202	22.3	1	10
2014-03-28 10:12:25.980136	62203	52	2	9
2014-03-28 10:12:26.203544	62204	21.1	1	9
2014-03-28 10:12:27.07319	62205	49	2	8
2014-03-28 10:12:27.306246	62206	21.1	1	8
2014-03-28 10:12:55.349342	62207	43	2	10
2014-03-28 10:12:55.574935	62208	22.3	1	10
2014-03-28 10:13:04.98168	62209	52	2	9
2014-03-28 10:13:05.242093	62210	21.1	1	9
2014-03-28 10:13:06.073447	62211	48	2	8
2014-03-28 10:13:06.295041	62212	21.1	1	8
2014-03-28 10:13:20.334889	62213	498	3	2
2014-03-28 10:13:20.58159	62214	1109422.589933204	4	2
2014-03-28 10:13:32.337085	62215	498	3	2
2014-03-28 10:13:32.560334	62216	1109423.7389679253	4	2
2014-03-28 10:13:34.348729	62217	43	2	10
2014-03-28 10:13:34.582334	62218	22.3	1	10
2014-03-28 10:13:43.979421	62219	52	2	9
2014-03-28 10:13:44.201812	62220	21.1	1	9
2014-03-28 10:13:45.073144	62221	48	2	8
2014-03-28 10:13:45.303802	62222	21.1	1	8
2014-03-28 10:13:58.417777	62223	55	2	1
2014-03-28 10:13:58.640102	62224	20.9	1	1
2014-03-28 10:14:13.347183	62225	43	2	10
2014-03-28 10:14:13.58068	62226	22.3	1	10
2014-03-28 10:14:22.979849	62227	52	2	9
2014-03-28 10:14:23.20258	62228	21.1	1	9
2014-03-28 10:14:24.07139	62229	48	2	8
2014-03-28 10:14:24.301849	62230	21.1	1	8
2014-03-28 10:14:37.415174	62231	55	2	1
2014-03-28 10:14:37.639308	62232	20.9	1	1
2014-03-28 10:14:52.347941	62233	43	2	10
2014-03-28 10:14:52.599483	62234	22.3	1	10
2014-03-28 10:15:01.978851	62235	52	2	9
2014-03-28 10:15:02.199991	62236	21.1	1	9
2014-03-28 10:15:03.07133	62237	48	2	8
2014-03-28 10:15:03.302773	62238	21.1	1	8
2014-03-28 10:15:31.346172	62239	43	2	10
2014-03-28 10:15:31.570096	62240	22.3	1	10
2014-03-28 10:15:40.981925	62241	52	2	9
2014-03-28 10:15:41.212692	62242	21.1	1	9
2014-03-28 10:15:42.071921	62243	48	2	8
2014-03-28 10:15:42.293273	62244	21.1	1	8
2014-03-28 10:16:10.349164	62245	43	2	10
2014-03-28 10:16:10.586161	62246	22.3	1	10
2014-03-28 10:16:19.982398	62247	52	2	9
2014-03-28 10:16:20.205665	62248	21.1	1	9
2014-03-28 10:16:21.074618	62249	48	2	8
2014-03-28 10:16:21.306013	62250	21.1	1	8
2014-03-28 10:16:34.395482	62251	55	2	1
2014-03-28 10:16:34.61624	62252	20.9	1	1
2014-03-28 10:16:49.348625	62253	43	2	10
2014-03-28 10:16:49.578842	62254	22.3	1	10
2014-03-28 10:16:58.976806	62255	52	2	9
2014-03-28 10:16:59.199478	62256	21.1	1	9
2014-03-28 10:17:00.072808	62257	48	2	8
2014-03-28 10:17:00.304563	62258	21.1	1	8
2014-03-28 10:17:13.415284	62259	55	2	1
2014-03-28 10:17:13.636573	62260	20.8	1	1
2014-03-28 10:17:28.348919	62261	43	2	10
2014-03-28 10:17:28.609771	62262	22.3	1	10
2014-03-28 10:17:32.3361	62263	466	3	2
2014-03-28 10:17:32.559266	62264	1109458.210009568	4	2
2014-03-28 10:17:37.977161	62265	52	2	9
2014-03-28 10:17:38.212047	62266	21.1	1	9
2014-03-28 10:17:39.072846	62267	49	2	8
2014-03-28 10:17:39.295442	62268	21.1	1	8
2014-03-28 10:17:52.412167	62269	55	2	1
2014-03-28 10:17:52.644014	62270	20.8	1	1
2014-03-28 10:18:07.350645	62271	43	2	10
2014-03-28 10:18:07.572731	62272	22.3	1	10
2014-03-28 10:18:16.975711	62273	52	2	9
2014-03-28 10:18:17.208839	62274	21.1	1	9
2014-03-28 10:18:18.07264	62275	49	2	8
2014-03-28 10:18:18.292928	62276	21.1	1	8
2014-03-28 10:18:31.414418	62277	55	2	1
2014-03-28 10:18:31.648488	62278	20.8	1	1
2014-03-28 10:18:46.349729	62279	43	2	10
2014-03-28 10:18:46.572254	62280	22.3	1	10
2014-03-28 10:18:55.981578	62281	52	2	9
2014-03-28 10:18:56.215456	62282	21.1	1	9
2014-03-28 10:18:56.521972	62283	579	3	2
2014-03-28 10:18:56.743704	62284	1109469.700356782	4	2
2014-03-28 10:18:57.073118	62285	49	2	8
2014-03-28 10:18:57.304805	62286	21.1	1	8
2014-03-28 10:19:08.336267	62287	579	3	2
2014-03-28 10:19:08.561056	62288	1109470.8493915035	4	2
2014-03-28 10:19:10.412792	62289	55	2	1
2014-03-28 10:19:10.651992	62290	20.8	1	1
2014-03-28 10:19:20.336137	62291	531	3	2
2014-03-28 10:19:20.561482	62292	1109473.1474609463	4	2
2014-03-28 10:19:25.348541	62293	43	2	10
2014-03-28 10:19:25.587019	62294	22.3	1	10
2014-03-28 10:19:34.979177	62295	52	2	9
2014-03-28 10:19:35.199252	62296	21.1	1	9
2014-03-28 10:19:36.071702	62297	49	2	8
2014-03-28 10:19:36.303463	62298	21.1	1	8
2014-03-28 10:19:49.415173	62299	55	2	1
2014-03-28 10:19:49.637186	62300	20.8	1	1
2014-03-28 10:20:04.349434	62301	43	2	10
2014-03-28 10:20:04.581927	62302	22.2	1	10
2014-03-28 10:20:13.976591	62303	52	2	9
2014-03-28 10:20:14.197202	62304	21.1	1	9
2014-03-28 10:20:15.072043	62305	49	2	8
2014-03-28 10:20:15.301753	62306	21.1	1	8
2014-03-28 10:20:28.413026	62307	55	2	1
2014-03-28 10:20:28.635759	62308	20.8	1	1
2014-03-28 10:20:32.335026	62309	515	3	2
2014-03-28 10:20:32.577304	62310	1109483.488773439	4	2
2014-03-28 10:20:43.349248	62311	43	2	10
2014-03-28 10:20:43.570384	62312	22.2	1	10
2014-03-28 10:20:52.974371	62313	52	2	9
2014-03-28 10:20:53.205508	62314	21.1	1	9
2014-03-28 10:20:54.072563	62315	49	2	8
2014-03-28 10:20:54.291706	62316	21.1	1	8
2014-03-28 10:21:07.410923	62317	55	2	1
2014-03-28 10:21:07.642541	62318	20.8	1	1
2014-03-28 10:21:22.347633	62319	43	2	10
2014-03-28 10:21:22.569211	62320	22.2	1	10
2014-03-28 10:21:31.979475	62321	52	2	9
2014-03-28 10:21:32.211174	62322	21.1	1	9
2014-03-28 10:21:33.072225	62323	49	2	8
2014-03-28 10:21:33.293981	62324	21.1	1	8
2014-03-28 10:21:46.41565	62325	55	2	1
2014-03-28 10:21:46.647047	62326	20.8	1	1
2014-03-28 10:22:01.348153	62327	43	2	10
2014-03-28 10:22:01.569443	62328	22.2	1	10
2014-03-28 10:22:10.974782	62329	52	2	9
2014-03-28 10:22:11.206571	62330	21.1	1	9
2014-03-28 10:22:12.073641	62331	48	2	8
2014-03-28 10:22:12.293937	62332	21.1	1	8
2014-03-28 10:22:25.413289	62333	55	2	1
2014-03-28 10:22:25.645388	62334	20.8	1	1
2014-03-28 10:22:32.33468	62335	515	3	2
2014-03-28 10:22:32.557256	62336	1109500.7242942601	4	2
2014-03-28 10:22:40.350128	62337	43	2	10
2014-03-28 10:22:40.583517	62338	22.2	1	10
2014-03-28 10:22:49.974887	62339	52	2	9
2014-03-28 10:22:50.199154	62340	21.1	1	9
2014-03-28 10:22:51.074027	62341	48	2	8
2014-03-28 10:22:51.306792	62342	21.1	1	8
2014-03-28 10:23:04.412613	62343	55	2	1
2014-03-28 10:23:04.634651	62344	20.8	1	1
2014-03-28 10:23:19.352412	62345	43	2	10
2014-03-28 10:23:19.584175	62346	22.2	1	10
2014-03-28 10:23:28.981119	62347	52	2	9
2014-03-28 10:23:29.203178	62348	21.1	1	9
2014-03-28 10:23:30.071607	62349	48	2	8
2014-03-28 10:23:30.304655	62350	21.1	1	8
2014-03-28 10:23:32.337165	62351	531	3	2
2014-03-28 10:23:32.557071	62352	1109509.9165720316	4	2
2014-03-28 10:23:43.411668	62353	55	2	1
2014-03-28 10:23:43.643597	62354	20.7	1	1
2014-03-28 10:23:58.351278	62355	43	2	10
2014-03-28 10:23:58.574642	62356	22.2	1	10
2014-03-28 10:24:07.980358	62357	52	2	9
2014-03-28 10:24:08.222463	62358	21.1	1	9
2014-03-28 10:24:09.071538	62359	48	2	8
2014-03-28 10:24:09.292466	62360	21.1	1	8
2014-03-28 10:24:37.350277	62361	43	2	10
2014-03-28 10:24:37.583797	62362	22.2	1	10
2014-03-28 10:24:46.979848	62363	52	2	9
2014-03-28 10:24:47.20286	62364	21.1	1	9
2014-03-28 10:24:48.072262	62365	48	2	8
2014-03-28 10:24:48.303124	62366	21.1	1	8
2014-03-28 10:25:16.349951	62367	43	2	10
2014-03-28 10:25:16.571097	62368	22.2	1	10
2014-03-28 10:25:25.978813	62369	52	2	9
2014-03-28 10:25:26.210434	62370	21.1	1	9
2014-03-28 10:25:27.072157	62371	48	2	8
2014-03-28 10:25:27.291834	62372	21.1	1	8
2014-03-28 10:25:55.351317	62373	43	2	10
2014-03-28 10:25:55.583654	62374	22.2	1	10
2014-03-28 10:26:04.978263	62375	52	2	9
2014-03-28 10:26:05.200251	62376	21.2	1	9
2014-03-28 10:26:06.072021	62377	48	2	8
2014-03-28 10:26:06.303373	62378	21.1	1	8
2014-03-28 10:26:34.350127	62379	43	2	10
2014-03-28 10:26:34.624521	62380	22.2	1	10
2014-03-28 10:26:43.983717	62381	52	2	9
2014-03-28 10:26:44.214019	62382	21.2	1	9
2014-03-28 10:26:45.072011	62383	48	2	8
2014-03-28 10:26:45.293375	62384	21.1	1	8
2014-03-28 10:27:13.352776	62385	43	2	10
2014-03-28 10:27:13.58456	62386	22.2	1	10
2014-03-28 10:27:22.97898	62387	52	2	9
2014-03-28 10:27:23.203606	62388	21.2	1	9
2014-03-28 10:27:24.07381	62389	48	2	8
2014-03-28 10:27:24.304917	62390	21.1	1	8
2014-03-28 10:27:37.40395	62391	55	2	1
2014-03-28 10:27:37.62813	62392	20.7	1	1
2014-03-28 10:27:52.352794	62393	43	2	10
2014-03-28 10:27:52.586297	62394	22.2	1	10
2014-03-28 10:28:01.982259	62395	52	2	9
2014-03-28 10:28:02.207018	62396	21.2	1	9
2014-03-28 10:28:03.07159	62397	48	2	8
2014-03-28 10:28:03.304075	62398	21.1	1	8
2014-03-28 10:28:31.351534	62399	43	2	10
2014-03-28 10:28:31.574835	62400	22.2	1	10
2014-03-28 10:28:40.977405	62401	52	2	9
2014-03-28 10:28:41.208408	62402	21.2	1	9
2014-03-28 10:28:42.07214	62403	48	2	8
2014-03-28 10:28:42.295317	62404	21.1	1	8
2014-03-28 10:29:10.353316	62405	43	2	10
2014-03-28 10:29:10.596079	62406	22.2	1	10
2014-03-28 10:29:19.979557	62407	52	2	9
2014-03-28 10:29:20.201443	62408	21.2	1	9
2014-03-28 10:29:21.072711	62409	48	2	8
2014-03-28 10:29:21.305888	62410	21.1	1	8
2014-03-28 10:29:49.352852	62411	43	2	10
2014-03-28 10:29:49.57528	62412	22.2	1	10
2014-03-28 10:29:58.978575	62413	52	2	9
2014-03-28 10:29:59.210495	62414	21.2	1	9
2014-03-28 10:30:00.072447	62415	48	2	8
2014-03-28 10:30:00.293524	62416	21.1	1	8
2014-03-28 10:30:28.352459	62417	43	2	10
2014-03-28 10:30:28.585577	62418	22.1	1	10
2014-03-28 10:30:32.334318	62419	515	3	2
2014-03-28 10:30:32.557795	62420	1109571.964446988	4	2
2014-03-28 10:30:37.979061	62421	52	2	9
2014-03-28 10:30:38.212431	62422	21.2	1	9
2014-03-28 10:30:39.071304	62423	48	2	8
2014-03-28 10:30:39.2916	62424	21.1	1	8
2014-03-28 10:31:07.351692	62425	43	2	10
2014-03-28 10:31:07.583759	62426	22.1	1	10
2014-03-28 10:31:16.981967	62427	52	2	9
2014-03-28 10:31:17.202641	62428	21.2	1	9
2014-03-28 10:31:18.071763	62429	48	2	8
2014-03-28 10:31:18.302305	62430	21.1	1	8
2014-03-28 10:31:31.402424	62431	55	2	1
2014-03-28 10:31:31.623993	62432	20.7	1	1
2014-03-28 10:31:46.35139	62433	43	2	10
2014-03-28 10:31:46.582677	62434	22.1	1	10
2014-03-28 10:31:55.980449	62435	52	2	9
2014-03-28 10:31:56.201599	62436	21.2	1	9
2014-03-28 10:31:57.072236	62437	48	2	8
2014-03-28 10:31:57.30239	62438	21.1	1	8
2014-03-28 10:32:25.353665	62439	43	2	10
2014-03-28 10:32:25.574335	62440	22.1	1	10
2014-03-28 10:32:34.980887	62441	52	2	9
2014-03-28 10:32:35.214465	62442	21.2	1	9
2014-03-28 10:32:36.074418	62443	48	2	8
2014-03-28 10:32:36.293589	62444	21.0	1	8
2014-03-28 10:33:04.352181	62445	43	2	10
2014-03-28 10:33:04.584958	62446	22.1	1	10
2014-03-28 10:33:13.979116	62447	52	2	9
2014-03-28 10:33:14.20349	62448	21.2	1	9
2014-03-28 10:33:15.072245	62449	48	2	8
2014-03-28 10:33:15.303941	62450	21.0	1	8
2014-03-28 10:33:43.353503	62451	43	2	10
2014-03-28 10:33:43.573878	62452	22.1	1	10
2014-03-28 10:33:52.977267	62453	52	2	9
2014-03-28 10:33:53.223053	62454	21.2	1	9
2014-03-28 10:33:54.072727	62455	48	2	8
2014-03-28 10:33:54.295847	62456	21.0	1	8
2014-03-28 10:34:22.355061	62457	43	2	10
2014-03-28 10:34:22.585703	62458	22.1	1	10
2014-03-28 10:34:31.979427	62459	52	2	9
2014-03-28 10:34:32.201684	62460	21.2	1	9
2014-03-28 10:34:33.071673	62461	48	2	8
2014-03-28 10:34:33.303441	62462	21.0	1	8
2014-03-28 10:35:01.359774	62463	43	2	10
2014-03-28 10:35:01.583187	62464	22.1	1	10
2014-03-28 10:35:10.978076	62465	52	2	9
2014-03-28 10:35:11.209585	62466	21.2	1	9
2014-03-28 10:35:12.072301	62467	48	2	8
2014-03-28 10:35:12.293879	62468	21.0	1	8
2014-03-28 10:35:25.403912	62469	55	2	1
2014-03-28 10:35:25.637131	62470	20.7	1	1
2014-03-28 10:35:40.350728	62471	43	2	10
2014-03-28 10:35:40.573135	62472	22.1	1	10
2014-03-28 10:35:49.973616	62473	52	2	9
2014-03-28 10:35:50.204744	62474	21.2	1	9
2014-03-28 10:35:51.072127	62475	48	2	8
2014-03-28 10:35:51.294365	62476	21.0	1	8
2014-03-28 10:36:04.402742	62477	55	2	1
2014-03-28 10:36:04.636127	62478	20.7	1	1
2014-03-28 10:36:19.353076	62479	43	2	10
2014-03-28 10:36:19.574777	62480	22.1	1	10
2014-03-28 10:36:28.979153	62481	52	2	9
2014-03-28 10:36:29.210578	62482	21.2	1	9
2014-03-28 10:36:30.072395	62483	48	2	8
2014-03-28 10:36:30.29343	62484	21.0	1	8
2014-03-28 10:36:43.402371	62485	55	2	1
2014-03-28 10:36:43.634169	62486	20.7	1	1
2014-03-28 10:36:58.352981	62487	43	2	10
2014-03-28 10:36:58.576718	62488	22.1	1	10
2014-03-28 10:37:07.973079	62489	52	2	9
2014-03-28 10:37:08.205452	62490	21.2	1	9
2014-03-28 10:37:09.073131	62491	48	2	8
2014-03-28 10:37:09.2938	62492	21.0	1	8
2014-03-28 10:37:22.400995	62493	55	2	1
2014-03-28 10:37:22.633081	62494	20.7	1	1
2014-03-28 10:37:37.355611	62495	43	2	10
2014-03-28 10:37:37.58032	62496	22.1	1	10
2014-03-28 10:37:46.980787	62497	52	2	9
2014-03-28 10:37:47.213194	62498	21.2	1	9
2014-03-28 10:37:48.072455	62499	48	2	8
2014-03-28 10:37:48.293408	62500	21.0	1	8
2014-03-28 10:38:16.353479	62501	43	2	10
2014-03-28 10:38:16.596097	62502	22.1	1	10
2014-03-28 10:38:25.978305	62503	52	2	9
2014-03-28 10:38:26.202276	62504	21.2	1	9
2014-03-28 10:38:27.074158	62505	48	2	8
2014-03-28 10:38:27.304096	62506	21.0	1	8
2014-03-28 10:38:40.400662	62507	55	2	1
2014-03-28 10:38:40.621328	62508	20.6	1	1
2014-03-28 10:38:55.356542	62509	43	2	10
2014-03-28 10:38:55.58865	62510	22.1	1	10
2014-03-28 10:39:04.979854	62511	52	2	9
2014-03-28 10:39:05.202446	62512	21.2	1	9
2014-03-28 10:39:06.088637	62513	48	2	8
2014-03-28 10:39:06.361099	62514	21.0	1	8
2014-03-28 10:39:34.356105	62515	43	2	10
2014-03-28 10:39:34.578279	62516	22.0	1	10
2014-03-28 10:39:43.980475	62517	52	2	9
2014-03-28 10:39:44.212166	62518	21.2	1	9
2014-03-28 10:39:45.072503	62519	48	2	8
2014-03-28 10:39:45.314598	62520	21.0	1	8
2014-03-28 10:40:13.353356	62521	43	2	10
2014-03-28 10:40:13.585743	62522	22.0	1	10
2014-03-28 10:40:22.979773	62523	52	2	9
2014-03-28 10:40:23.200156	62524	21.2	1	9
2014-03-28 10:40:24.071525	62525	48	2	8
2014-03-28 10:40:24.303178	62526	21.0	1	8
2014-03-28 10:40:52.355195	62527	43	2	10
2014-03-28 10:40:52.577994	62528	22.0	1	10
2014-03-28 10:41:01.980146	62529	52	2	9
2014-03-28 10:41:02.212313	62530	21.2	1	9
2014-03-28 10:41:03.072051	62531	48	2	8
2014-03-28 10:41:03.292558	62532	21.0	1	8
2014-03-28 10:41:31.355338	62533	43	2	10
2014-03-28 10:41:31.586403	62534	22.0	1	10
2014-03-28 10:41:40.978224	62535	52	2	9
2014-03-28 10:41:41.198687	62536	21.2	1	9
2014-03-28 10:41:42.072165	62537	48	2	8
2014-03-28 10:41:42.302778	62538	21.0	1	8
2014-03-28 10:42:10.356102	62539	43	2	10
2014-03-28 10:42:10.576039	62540	22.0	1	10
2014-03-28 10:42:19.979574	62541	52	2	9
2014-03-28 10:42:20.211356	62542	21.2	1	9
2014-03-28 10:42:21.074253	62543	48	2	8
2014-03-28 10:42:21.295442	62544	21.0	1	8
2014-03-28 10:42:34.397703	62545	55	2	1
2014-03-28 10:42:34.627742	62546	20.6	1	1
2014-03-28 10:42:49.355601	62547	43	2	10
2014-03-28 10:42:49.57764	62548	22.0	1	10
2014-03-28 10:42:58.980315	62549	52	2	9
2014-03-28 10:42:59.223959	62550	21.2	1	9
2014-03-28 10:43:00.072354	62551	48	2	8
2014-03-28 10:43:00.293418	62552	21.0	1	8
2014-03-28 10:43:28.355795	62553	43	2	10
2014-03-28 10:43:28.642585	62554	22.0	1	10
2014-03-28 10:43:37.97975	62555	52	2	9
2014-03-28 10:43:38.25681	62556	21.2	1	9
2014-03-28 10:43:39.076317	62557	48	2	8
2014-03-28 10:43:39.340698	62558	21.0	1	8
2014-03-28 10:44:16.981001	62559	51	2	9
2014-03-28 10:44:17.73416	62560	21.2	1	9
2014-03-28 10:44:18.090642	62561	48	2	8
2014-03-28 10:44:18.354571	62562	21.0	1	8
2014-03-28 10:44:46.357928	62563	43	2	10
2014-03-28 10:44:46.582231	62564	22.0	1	10
2014-03-28 10:44:55.979211	62565	51	2	9
2014-03-28 10:44:56.213366	62566	21.2	1	9
2014-03-28 10:44:57.070826	62567	48	2	8
2014-03-28 10:44:57.294207	62568	21.0	1	8
2014-03-28 10:45:25.35778	62569	43	2	10
2014-03-28 10:45:25.589697	62570	22.0	1	10
2014-03-28 10:45:34.979436	62571	51	2	9
2014-03-28 10:45:35.25719	62572	21.2	1	9
2014-03-28 10:45:36.073767	62573	48	2	8
2014-03-28 10:45:36.304177	62574	21.0	1	8
2014-03-28 10:46:04.355871	62575	43	2	10
2014-03-28 10:46:04.577909	62576	22.0	1	10
2014-03-28 10:46:13.979021	62577	51	2	9
2014-03-28 10:46:14.211129	62578	21.2	1	9
2014-03-28 10:46:15.073202	62579	48	2	8
2014-03-28 10:46:15.295181	62580	21.0	1	8
2014-03-28 10:46:32.332487	62581	498	3	2
2014-03-28 10:46:32.565503	62582	1109707.555015067	4	2
2014-03-28 10:46:43.356983	62583	43	2	10
2014-03-28 10:46:43.578325	62584	22.0	1	10
2014-03-28 10:46:52.97559	62585	51	2	9
2014-03-28 10:46:53.208115	62586	21.2	1	9
2014-03-28 10:46:54.071334	62587	48	2	8
2014-03-28 10:46:54.295738	62588	21.0	1	8
2014-03-28 10:47:22.357311	62589	43	2	10
2014-03-28 10:47:22.588603	62590	22.0	1	10
2014-03-28 10:47:31.982478	62591	51	2	9
2014-03-28 10:47:32.203801	62592	21.2	1	9
2014-03-28 10:47:33.071399	62593	48	2	8
2014-03-28 10:47:33.302822	62594	21.0	1	8
2014-03-28 10:48:01.357041	62595	43	2	10
2014-03-28 10:48:01.580282	62596	22.0	1	10
2014-03-28 10:48:10.980221	62597	51	2	9
2014-03-28 10:48:11.223295	62598	21.3	1	9
2014-03-28 10:48:12.072635	62599	48	2	8
2014-03-28 10:48:12.293388	62600	21.0	1	8
2014-03-28 10:48:40.355206	62601	43	2	10
2014-03-28 10:48:40.593369	62602	22.0	1	10
2014-03-28 10:48:49.980201	62603	51	2	9
2014-03-28 10:48:50.203986	62604	21.3	1	9
2014-03-28 10:48:51.072739	62605	48	2	8
2014-03-28 10:48:51.305489	62606	21.0	1	8
2014-03-28 10:49:19.358301	62607	43	2	10
2014-03-28 10:49:19.580371	62608	22.0	1	10
2014-03-28 10:49:28.973915	62609	51	2	9
2014-03-28 10:49:29.209455	62610	21.3	1	9
2014-03-28 10:49:30.072007	62611	48	2	8
2014-03-28 10:49:30.294014	62612	21.0	1	8
2014-03-28 10:49:58.358134	62613	43	2	10
2014-03-28 10:49:58.590374	62614	22.0	1	10
2014-03-28 10:50:07.975539	62615	51	2	9
2014-03-28 10:50:08.196869	62616	21.3	1	9
2014-03-28 10:50:09.071948	62617	48	2	8
2014-03-28 10:50:09.304036	62618	21.0	1	8
2014-03-28 10:50:22.396541	62619	55	2	1
2014-03-28 10:50:22.617315	62620	20.6	1	1
2014-03-28 10:50:37.360499	62621	43	2	10
2014-03-28 10:50:37.592216	62622	21.9	1	10
2014-03-28 10:50:46.974532	62623	51	2	9
2014-03-28 10:50:47.197376	62624	21.3	1	9
2014-03-28 10:50:48.072407	62625	48	2	8
2014-03-28 10:50:48.305128	62626	21.0	1	8
2014-03-28 10:51:08.329292	62627	547	3	2
2014-03-28 10:51:08.552251	62628	1109745.4731608739	4	2
2014-03-28 10:51:16.358815	62629	43	2	10
2014-03-28 10:51:16.593029	62630	21.9	1	10
2014-03-28 10:51:25.979688	62631	51	2	9
2014-03-28 10:51:26.201456	62632	21.3	1	9
2014-03-28 10:51:27.072421	62633	48	2	8
2014-03-28 10:51:27.303208	62634	21.0	1	8
2014-03-28 10:51:55.358947	62635	43	2	10
2014-03-28 10:51:55.582743	62636	21.9	1	10
2014-03-28 10:52:04.979121	62637	51	2	9
2014-03-28 10:52:05.209806	62638	21.3	1	9
2014-03-28 10:52:06.071401	62639	48	2	8
2014-03-28 10:52:06.292894	62640	21.0	1	8
2014-03-28 10:52:19.63661	62641	55	2	1
2014-03-28 10:52:19.868875	62642	20.6	1	1
2014-03-28 10:52:34.359601	62643	43	2	10
2014-03-28 10:52:34.584672	62644	21.9	1	10
2014-03-28 10:52:43.979223	62645	51	2	9
2014-03-28 10:52:44.221746	62646	21.3	1	9
2014-03-28 10:52:45.072117	62647	48	2	8
2014-03-28 10:52:45.292615	62648	21.0	1	8
2014-03-28 10:53:13.359236	62649	43	2	10
2014-03-28 10:53:13.591738	62650	21.9	1	10
2014-03-28 10:53:22.978845	62651	51	2	9
2014-03-28 10:53:23.199633	62652	21.3	1	9
2014-03-28 10:53:24.069834	62653	48	2	8
2014-03-28 10:53:24.301174	62654	21.0	1	8
2014-03-28 10:53:52.35745	62655	43	2	10
2014-03-28 10:53:52.579322	62656	21.9	1	10
2014-03-28 10:54:02.177247	62657	51	2	9
2014-03-28 10:54:02.410087	62658	21.3	1	9
2014-03-28 10:54:03.072265	62659	48	2	8
2014-03-28 10:54:03.296215	62660	21.0	1	8
2014-03-28 10:54:16.392292	62661	55	2	1
2014-03-28 10:54:16.623027	62662	20.6	1	1
2014-03-28 10:54:31.358226	62663	43	2	10
2014-03-28 10:54:31.580336	62664	21.9	1	10
2014-03-28 10:54:40.973068	62665	51	2	9
2014-03-28 10:54:41.207628	62666	21.2	1	9
2014-03-28 10:54:42.073285	62667	48	2	8
2014-03-28 10:54:42.294098	62668	21.0	1	8
2014-03-28 10:54:55.389317	62669	55	2	1
2014-03-28 10:54:55.621294	62670	20.6	1	1
2014-03-28 10:55:10.359625	62671	43	2	10
2014-03-28 10:55:10.582339	62672	21.9	1	10
2014-03-28 10:55:19.970438	62673	51	2	9
2014-03-28 10:55:20.204782	62674	21.2	1	9
2014-03-28 10:55:21.071726	62675	48	2	8
2014-03-28 10:55:21.294317	62676	21.0	1	8
2014-03-28 10:55:34.391567	62677	55	2	1
2014-03-28 10:55:34.62478	62678	20.6	1	1
2014-03-28 10:55:49.362198	62679	43	2	10
2014-03-28 10:55:49.584529	62680	21.9	1	10
2014-03-28 10:55:58.973669	62681	51	2	9
2014-03-28 10:55:59.204802	62682	21.2	1	9
2014-03-28 10:56:00.07073	62683	48	2	8
2014-03-28 10:56:00.292443	62684	21.0	1	8
2014-03-28 10:56:13.392096	62685	55	2	1
2014-03-28 10:56:13.623358	62686	20.6	1	1
2014-03-28 10:56:28.359843	62687	43	2	10
2014-03-28 10:56:28.583921	62688	21.9	1	10
2014-03-28 10:56:32.32961	62689	354	3	2
2014-03-28 10:56:32.56359	62690	1109787.987445566	4	2
2014-03-28 10:56:37.972444	62691	51	2	9
2014-03-28 10:56:38.194787	62692	21.2	1	9
2014-03-28 10:56:39.069748	62693	48	2	8
2014-03-28 10:56:39.312327	62694	21.0	1	8
2014-03-28 10:56:52.38746	62695	55	2	1
2014-03-28 10:56:52.612498	62696	20.6	1	1
2014-03-28 10:57:07.359126	62697	43	2	10
2014-03-28 10:57:07.590216	62698	21.9	1	10
2014-03-28 10:57:16.974374	62699	51	2	9
2014-03-28 10:57:17.195869	62700	21.2	1	9
2014-03-28 10:57:18.072536	62701	48	2	8
2014-03-28 10:57:18.303798	62702	21.0	1	8
2014-03-28 10:57:31.391335	62703	55	2	1
2014-03-28 10:57:31.614438	62704	20.6	1	1
2014-03-28 10:57:32.331962	62705	370	3	2
2014-03-28 10:57:32.561989	62706	1109794.8816538947	4	2
2014-03-28 10:57:46.359945	62707	43	2	10
2014-03-28 10:57:46.583635	62708	21.9	1	10
2014-03-28 10:57:55.970687	62709	51	2	9
2014-03-28 10:57:56.201443	62710	21.2	1	9
2014-03-28 10:57:57.072907	62711	48	2	8
2014-03-28 10:57:57.29405	62712	21.0	1	8
2014-03-28 10:58:10.390406	62713	55	2	1
2014-03-28 10:58:10.621455	62714	20.5	1	1
2014-03-28 10:58:25.359005	62715	43	2	10
2014-03-28 10:58:25.581307	62716	21.9	1	10
2014-03-28 10:58:34.974564	62717	51	2	9
2014-03-28 10:58:35.205852	62718	21.2	1	9
2014-03-28 10:58:36.07173	62719	48	2	8
2014-03-28 10:58:36.29343	62720	21.0	1	8
2014-03-28 10:58:49.390324	62721	55	2	1
2014-03-28 10:58:49.622254	62722	20.5	1	1
2014-03-28 10:59:04.361589	62723	43	2	10
2014-03-28 10:59:04.582606	62724	21.9	1	10
2014-03-28 10:59:13.974484	62725	51	2	9
2014-03-28 10:59:14.205303	62726	21.2	1	9
2014-03-28 10:59:15.071095	62727	48	2	8
2014-03-28 10:59:15.293395	62728	21.0	1	8
2014-03-28 10:59:28.390535	62729	55	2	1
2014-03-28 10:59:28.621766	62730	20.5	1	1
2014-03-28 10:59:43.359884	62731	43	2	10
2014-03-28 10:59:43.581942	62732	21.9	1	10
2014-03-28 10:59:52.972918	62733	51	2	9
2014-03-28 10:59:53.205553	62734	21.2	1	9
2014-03-28 10:59:54.072362	62735	48	2	8
2014-03-28 10:59:54.293784	62736	21.0	1	8
2014-03-28 11:00:07.388187	62737	54	2	1
2014-03-28 11:00:07.618665	62738	20.5	1	1
2014-03-28 11:00:22.361969	62739	43	2	10
2014-03-28 11:00:22.584329	62740	21.9	1	10
2014-03-28 11:00:31.974118	62741	51	2	9
2014-03-28 11:00:32.220521	62742	21.2	1	9
2014-03-28 11:00:33.071728	62743	48	2	8
2014-03-28 11:00:33.294247	62744	21.0	1	8
2014-03-28 11:00:46.388666	62745	54	2	1
2014-03-28 11:00:46.620266	62746	20.5	1	1
2014-03-28 11:01:01.364741	62747	43	2	10
2014-03-28 11:01:01.587109	62748	21.9	1	10
2014-03-28 11:01:10.972165	62749	51	2	9
2014-03-28 11:01:11.20499	62750	21.1	1	9
2014-03-28 11:01:12.07181	62751	48	2	8
2014-03-28 11:01:12.295037	62752	21.0	1	8
2014-03-28 11:01:25.39182	62753	54	2	1
2014-03-28 11:01:25.623659	62754	20.5	1	1
2014-03-28 11:01:40.362064	62755	43	2	10
2014-03-28 11:01:40.588584	62756	21.9	1	10
2014-03-28 11:01:49.972524	62757	51	2	9
2014-03-28 11:01:50.204436	62758	21.1	1	9
2014-03-28 11:01:51.071255	62759	48	2	8
2014-03-28 11:01:51.291923	62760	21.0	1	8
2014-03-28 11:02:04.388657	62761	54	2	1
2014-03-28 11:02:04.621954	62762	20.5	1	1
2014-03-28 11:02:19.36432	62763	43	2	10
2014-03-28 11:02:19.586926	62764	21.9	1	10
2014-03-28 11:02:28.97272	62765	51	2	9
2014-03-28 11:02:29.20515	62766	21.1	1	9
2014-03-28 11:02:30.073019	62767	48	2	8
2014-03-28 11:02:30.293689	62768	21.0	1	8
2014-03-28 11:02:43.388078	62769	54	2	1
2014-03-28 11:02:43.623593	62770	20.5	1	1
2014-03-28 11:02:58.362576	62771	43	2	10
2014-03-28 11:02:58.583809	62772	21.8	1	10
2014-03-28 11:03:07.979875	62773	51	2	9
2014-03-28 11:03:08.210934	62774	21.1	1	9
2014-03-28 11:03:09.073093	62775	48	2	8
2014-03-28 11:03:09.294718	62776	21.0	1	8
2014-03-28 11:03:20.330099	62777	434	3	2
2014-03-28 11:03:20.56313	62778	1109830.5017302586	4	2
2014-03-28 11:03:22.3882	62779	54	2	1
2014-03-28 11:03:22.609227	62780	20.5	1	1
2014-03-28 11:03:37.362608	62781	43	2	10
2014-03-28 11:03:37.593006	62782	21.8	1	10
2014-03-28 11:03:46.974595	62783	51	2	9
2014-03-28 11:03:47.196611	62784	21.1	1	9
2014-03-28 11:03:48.071807	62785	48	2	8
2014-03-28 11:03:48.3025	62786	21.0	1	8
2014-03-28 11:04:01.387564	62787	54	2	1
2014-03-28 11:04:01.61053	62788	20.5	1	1
2014-03-28 11:04:16.361743	62789	43	2	10
2014-03-28 11:04:16.604991	62790	21.8	1	10
2014-03-28 11:04:25.974259	62791	51	2	9
2014-03-28 11:04:26.195079	62792	21.1	1	9
2014-03-28 11:04:27.071033	62793	48	2	8
2014-03-28 11:04:27.300699	62794	21.0	1	8
2014-03-28 11:04:40.385992	62795	54	2	1
2014-03-28 11:04:40.607712	62796	20.5	1	1
2014-03-28 11:04:55.363197	62797	43	2	10
2014-03-28 11:04:55.594963	62798	21.8	1	10
2014-03-28 11:05:04.971654	62799	51	2	9
2014-03-28 11:05:05.194196	62800	21.1	1	9
2014-03-28 11:05:06.072707	62801	48	2	8
2014-03-28 11:05:06.303066	62802	21.0	1	8
2014-03-28 11:05:19.38474	62803	54	2	1
2014-03-28 11:05:19.605248	62804	20.5	1	1
2014-03-28 11:05:34.363028	62805	43	2	10
2014-03-28 11:05:34.594612	62806	21.8	1	10
2014-03-28 11:05:43.972271	62807	51	2	9
2014-03-28 11:05:44.196477	62808	21.0	1	9
2014-03-28 11:05:45.071097	62809	48	2	8
2014-03-28 11:05:45.302541	62810	20.9	1	8
2014-03-28 11:05:58.386061	62811	54	2	1
2014-03-28 11:05:58.607967	62812	20.5	1	1
2014-03-28 11:06:13.363006	62813	43	2	10
2014-03-28 11:06:13.595574	62814	21.8	1	10
2014-03-28 11:06:22.972587	62815	51	2	9
2014-03-28 11:06:23.19357	62816	21.0	1	9
2014-03-28 11:06:24.071044	62817	48	2	8
2014-03-28 11:06:24.30337	62818	20.9	1	8
2014-03-28 11:06:37.386846	62819	54	2	1
2014-03-28 11:06:37.60808	62820	20.5	1	1
2014-03-28 11:06:52.363419	62821	43	2	10
2014-03-28 11:06:52.595436	62822	21.8	1	10
2014-03-28 11:07:01.979221	62823	51	2	9
2014-03-28 11:07:02.200593	62824	21.0	1	9
2014-03-28 11:07:03.071037	62825	48	2	8
2014-03-28 11:07:03.301582	62826	20.9	1	8
2014-03-28 11:07:16.383604	62827	54	2	1
2014-03-28 11:07:16.606397	62828	20.5	1	1
2014-03-28 11:07:31.36246	62829	43	2	10
2014-03-28 11:07:31.596671	62830	21.8	1	10
2014-03-28 11:07:40.972593	62831	51	2	9
2014-03-28 11:07:41.196685	62832	21.0	1	9
2014-03-28 11:07:42.071468	62833	48	2	8
2014-03-28 11:07:42.301458	62834	20.9	1	8
2014-03-28 11:07:55.384647	62835	54	2	1
2014-03-28 11:07:55.608852	62836	20.5	1	1
2014-03-28 11:08:10.366131	62837	43	2	10
2014-03-28 11:08:10.611543	62838	21.8	1	10
2014-03-28 11:08:19.973154	62839	51	2	9
2014-03-28 11:08:20.194935	62840	21.0	1	9
2014-03-28 11:08:21.071939	62841	48	2	8
2014-03-28 11:08:21.302966	62842	20.9	1	8
2014-03-28 11:08:32.331088	62843	418	3	2
2014-03-28 11:08:32.554105	62844	1109867.2708413438	4	2
2014-03-28 11:08:34.383382	62845	54	2	1
2014-03-28 11:08:34.616878	62846	20.5	1	1
2014-03-28 11:08:49.364211	62847	43	2	10
2014-03-28 11:08:49.586793	62848	21.8	1	10
2014-03-28 11:08:56.329136	62849	354	3	2
2014-03-28 11:08:56.560352	62850	1109869.5689107866	4	2
2014-03-28 11:08:58.97259	62851	51	2	9
2014-03-28 11:08:59.193081	62852	21.0	1	9
2014-03-28 11:09:00.070141	62853	48	2	8
2014-03-28 11:09:00.301259	62854	20.9	1	8
2014-03-28 11:09:08.327489	62855	354	3	2
2014-03-28 11:09:08.549266	62856	1109870.717945508	4	2
2014-03-28 11:09:13.383791	62857	54	2	1
2014-03-28 11:09:13.615374	62858	20.5	1	1
2014-03-28 11:09:28.363237	62859	43	2	10
2014-03-28 11:09:28.585355	62860	21.8	1	10
2014-03-28 11:09:37.979448	62861	51	2	9
2014-03-28 11:09:38.210792	62862	21.0	1	9
2014-03-28 11:09:39.070966	62863	48	2	8
2014-03-28 11:09:39.292865	62864	20.9	1	8
2014-03-28 11:09:52.382376	62865	54	2	1
2014-03-28 11:09:52.616081	62866	20.5	1	1
2014-03-28 11:10:07.364376	62867	43	2	10
2014-03-28 11:10:07.586127	62868	21.8	1	10
2014-03-28 11:10:16.975724	62869	51	2	9
2014-03-28 11:10:17.208101	62870	21.0	1	9
2014-03-28 11:10:18.073589	62871	48	2	8
2014-03-28 11:10:18.29479	62872	20.9	1	8
2014-03-28 11:10:31.384781	62873	54	2	1
2014-03-28 11:10:31.616001	62874	20.4	1	1
2014-03-28 11:10:32.328279	62875	354	3	2
2014-03-28 11:10:32.5494	62876	1109879.9102232794	4	2
2014-03-28 11:10:46.363771	62877	43	2	10
2014-03-28 11:10:46.59601	62878	21.8	1	10
2014-03-28 11:10:55.976234	62879	51	2	9
2014-03-28 11:10:56.201499	62880	21.0	1	9
2014-03-28 11:10:57.071349	62881	48	2	8
2014-03-28 11:10:57.303265	62882	20.9	1	8
2014-03-28 11:11:10.383827	62883	54	2	1
2014-03-28 11:11:10.606367	62884	20.4	1	1
2014-03-28 11:11:25.364325	62885	43	2	10
2014-03-28 11:11:25.607055	62886	21.8	1	10
2014-03-28 11:11:34.973892	62887	51	2	9
2014-03-28 11:11:35.195019	62888	21.0	1	9
2014-03-28 11:11:36.071184	62889	48	2	8
2014-03-28 11:11:36.304781	62890	20.9	1	8
2014-03-28 11:11:49.38455	62891	54	2	1
2014-03-28 11:11:49.60718	62892	20.4	1	1
2014-03-28 11:12:04.366467	62893	43	2	10
2014-03-28 11:12:04.597433	62894	21.8	1	10
2014-03-28 11:12:13.970383	62895	51	2	9
2014-03-28 11:12:14.192857	62896	21.0	1	9
2014-03-28 11:12:15.072203	62897	48	2	8
2014-03-28 11:12:15.303792	62898	20.9	1	8
2014-03-28 11:12:28.382196	62899	54	2	1
2014-03-28 11:12:28.604415	62900	20.4	1	1
2014-03-28 11:12:43.365049	62901	43	2	10
2014-03-28 11:12:43.597958	62902	21.8	1	10
2014-03-28 11:12:52.97535	62903	51	2	9
2014-03-28 11:12:53.19689	62904	21.0	1	9
2014-03-28 11:12:54.071416	62905	48	2	8
2014-03-28 11:12:54.300744	62906	20.9	1	8
2014-03-28 11:13:07.409125	62907	54	2	1
2014-03-28 11:13:07.631764	62908	20.4	1	1
2014-03-28 11:13:22.363287	62909	43	2	10
2014-03-28 11:13:22.596252	62910	21.8	1	10
2014-03-28 11:13:31.976009	62911	51	2	9
2014-03-28 11:13:32.197138	62912	21.0	1	9
2014-03-28 11:13:33.073866	62913	48	2	8
2014-03-28 11:13:33.305095	62914	20.9	1	8
2014-03-28 11:13:46.380007	62915	54	2	1
2014-03-28 11:13:46.603347	62916	20.4	1	1
2014-03-28 11:14:01.365547	62917	43	2	10
2014-03-28 11:14:01.597642	62918	21.8	1	10
2014-03-28 11:14:10.971163	62919	51	2	9
2014-03-28 11:14:11.193575	62920	21.0	1	9
2014-03-28 11:14:12.072405	62921	48	2	8
2014-03-28 11:14:12.312208	62922	20.9	1	8
2014-03-28 11:14:25.384343	62923	54	2	1
2014-03-28 11:14:25.607046	62924	20.4	1	1
2014-03-28 11:14:32.328	62925	354	3	2
2014-03-28 11:14:32.559023	62926	1109902.8909177077	4	2
2014-03-28 11:14:40.364292	62927	43	2	10
2014-03-28 11:14:40.585487	62928	21.8	1	10
2014-03-28 11:14:49.972055	62929	51	2	9
2014-03-28 11:14:50.20336	62930	21.0	1	9
2014-03-28 11:14:51.071885	62931	48	2	8
2014-03-28 11:14:51.294277	62932	20.9	1	8
2014-03-28 11:15:04.380371	62933	54	2	1
2014-03-28 11:15:04.623693	62934	20.4	1	1
2014-03-28 11:15:19.364282	62935	43	2	10
2014-03-28 11:15:19.586846	62936	21.8	1	10
2014-03-28 11:15:28.976552	62937	51	2	9
2014-03-28 11:15:29.393547	62938	21.0	1	9
2014-03-28 11:15:30.07233	62939	48	2	8
2014-03-28 11:15:30.298229	62940	20.9	1	8
2014-03-28 11:15:43.379584	62941	54	2	1
2014-03-28 11:15:43.600526	62942	20.4	1	1
2014-03-28 11:15:58.365087	62943	43	2	10
2014-03-28 11:15:58.595811	62944	21.7	1	10
2014-03-28 11:16:07.974222	62945	51	2	9
2014-03-28 11:16:08.198082	62946	21.0	1	9
2014-03-28 11:16:09.074749	62947	48	2	8
2014-03-28 11:16:09.304895	62948	20.9	1	8
2014-03-28 11:16:22.382186	62949	54	2	1
2014-03-28 11:16:22.603437	62950	20.4	1	1
2014-03-28 11:16:37.366822	62951	43	2	10
2014-03-28 11:16:37.597106	62952	21.7	1	10
2014-03-28 11:16:46.976415	62953	51	2	9
2014-03-28 11:16:47.201007	62954	20.9	1	9
2014-03-28 11:16:48.071348	62955	48	2	8
2014-03-28 11:16:48.303416	62956	20.9	1	8
2014-03-28 11:17:01.376947	62957	54	2	1
2014-03-28 11:17:01.598573	62958	20.4	1	1
2014-03-28 11:17:16.386789	62959	43	2	10
2014-03-28 11:17:16.618855	62960	21.7	1	10
2014-03-28 11:17:25.972941	62961	51	2	9
2014-03-28 11:17:26.19528	62962	20.9	1	9
2014-03-28 11:17:27.070238	62963	48	2	8
2014-03-28 11:17:27.303473	62964	20.9	1	8
2014-03-28 11:17:32.331034	62965	370	3	2
2014-03-28 11:17:32.552975	62966	1109922.428978924	4	2
2014-03-28 11:17:40.379775	62967	54	2	1
2014-03-28 11:17:40.613757	62968	20.4	1	1
2014-03-28 11:17:55.368643	62969	43	2	10
2014-03-28 11:17:55.592476	62970	21.7	1	10
2014-03-28 11:18:04.979419	62971	51	2	9
2014-03-28 11:18:05.210431	62972	20.9	1	9
2014-03-28 11:18:06.07034	62973	48	2	8
2014-03-28 11:18:06.291499	62974	20.9	1	8
2014-03-28 11:18:19.379682	62975	54	2	1
2014-03-28 11:18:19.61313	62976	20.4	1	1
2014-03-28 11:18:34.367218	62977	43	2	10
2014-03-28 11:18:34.591021	62978	21.7	1	10
2014-03-28 11:18:43.97901	62979	51	2	9
2014-03-28 11:18:44.210069	62980	20.9	1	9
2014-03-28 11:18:45.070234	62981	48	2	8
2014-03-28 11:18:45.291729	62982	20.9	1	8
2014-03-28 11:18:58.378195	62983	54	2	1
2014-03-28 11:18:58.620129	62984	20.4	1	1
2014-03-28 11:19:13.366738	62985	43	2	10
2014-03-28 11:19:13.587934	62986	21.7	1	10
2014-03-28 11:19:22.972553	62987	51	2	9
2014-03-28 11:19:23.203254	62988	20.9	1	9
2014-03-28 11:19:24.070439	62989	48	2	8
2014-03-28 11:19:24.290318	62990	20.9	1	8
2014-03-28 11:19:37.377413	62991	54	2	1
2014-03-28 11:19:37.609007	62992	20.4	1	1
2014-03-28 11:19:52.365686	62993	43	2	10
2014-03-28 11:19:52.585097	62994	21.7	1	10
2014-03-28 11:20:01.974641	62995	51	2	9
2014-03-28 11:20:02.20636	62996	20.9	1	9
2014-03-28 11:20:03.071183	62997	48	2	8
2014-03-28 11:20:03.290796	62998	20.9	1	8
2014-03-28 11:20:16.378241	62999	54	2	1
2014-03-28 11:20:16.609148	63000	20.4	1	1
2014-03-28 11:20:31.36571	63001	43	2	10
2014-03-28 11:20:31.587078	63002	21.7	1	10
2014-03-28 11:20:40.97602	63003	51	2	9
2014-03-28 11:20:41.212907	63004	20.9	1	9
2014-03-28 11:20:42.07106	63005	48	2	8
2014-03-28 11:20:42.290773	63006	20.9	1	8
2014-03-28 11:20:55.376458	63007	54	2	1
2014-03-28 11:20:55.608151	63008	20.4	1	1
2014-03-28 11:21:10.368818	63009	43	2	10
2014-03-28 11:21:10.593224	63010	21.7	1	10
2014-03-28 11:21:19.979468	63011	51	2	9
2014-03-28 11:21:20.213384	63012	20.9	1	9
2014-03-28 11:21:21.072681	63013	48	2	8
2014-03-28 11:21:21.29411	63014	20.9	1	8
2014-03-28 11:21:32.329987	63015	338	3	2
2014-03-28 11:21:32.563	63016	1109946.5587080736	4	2
2014-03-28 11:21:34.374714	63017	54	2	1
2014-03-28 11:21:34.596563	63018	20.4	1	1
2014-03-28 11:21:49.368836	63019	43	2	10
2014-03-28 11:21:49.603636	63020	21.7	1	10
2014-03-28 11:21:58.96831	63021	51	2	9
2014-03-28 11:21:59.193144	63022	20.9	1	9
2014-03-28 11:22:00.071883	63023	48	2	8
2014-03-28 11:22:00.304796	63024	20.9	1	8
2014-03-28 11:22:13.376129	63025	54	2	1
2014-03-28 11:22:13.598054	63026	20.4	1	1
2014-03-28 11:22:28.369834	63027	43	2	10
2014-03-28 11:22:28.59966	63028	21.7	1	10
2014-03-28 11:22:37.972139	63029	51	2	9
2014-03-28 11:22:38.196994	63030	20.9	1	9
2014-03-28 11:22:39.072018	63031	48	2	8
2014-03-28 11:22:39.316619	63032	20.9	1	8
2014-03-28 11:22:52.377028	63033	54	2	1
2014-03-28 11:22:52.598161	63034	20.4	1	1
2014-03-28 11:22:56.327499	63035	305	3	2
2014-03-28 11:22:56.55903	63036	1109954.6019511237	4	2
2014-03-28 11:23:07.370653	63037	43	2	10
2014-03-28 11:23:07.64083	63038	21.7	1	10
2014-03-28 11:23:16.973905	63039	51	2	9
2014-03-28 11:23:17.205891	63040	20.9	1	9
2014-03-28 11:23:18.074171	63041	48	2	8
2014-03-28 11:23:18.296299	63042	20.9	1	8
2014-03-28 11:23:31.374419	63043	54	2	1
2014-03-28 11:23:31.607797	63044	20.4	1	1
2014-03-28 11:23:46.369269	63045	43	2	10
2014-03-28 11:23:46.592977	63046	21.7	1	10
2014-03-28 11:23:55.971341	63047	51	2	9
2014-03-28 11:23:56.204446	63048	20.9	1	9
2014-03-28 11:23:57.070566	63049	48	2	8
2014-03-28 11:23:57.292188	63050	20.9	1	8
2014-03-28 11:24:10.373579	63051	54	2	1
2014-03-28 11:24:10.606871	63052	20.4	1	1
2014-03-28 11:24:25.369238	63053	43	2	10
2014-03-28 11:24:25.591141	63054	21.7	1	10
2014-03-28 11:24:34.971498	63055	51	2	9
2014-03-28 11:24:35.202674	63056	20.9	1	9
2014-03-28 11:24:36.069861	63057	48	2	8
2014-03-28 11:24:36.344457	63058	20.9	1	8
2014-03-28 11:24:49.377296	63059	54	2	1
2014-03-28 11:24:49.608492	63060	20.4	1	1
2014-03-28 11:25:04.368803	63061	43	2	10
2014-03-28 11:25:04.588043	63062	21.7	1	10
2014-03-28 11:25:13.971787	63063	51	2	9
2014-03-28 11:25:14.203013	63064	20.9	1	9
2014-03-28 11:25:15.070727	63065	48	2	8
2014-03-28 11:25:15.291152	63066	20.9	1	8
2014-03-28 11:25:28.375299	63067	54	2	1
2014-03-28 11:25:28.606892	63068	20.4	1	1
2014-03-28 11:25:43.369022	63069	43	2	10
2014-03-28 11:25:43.591216	63070	21.7	1	10
2014-03-28 11:25:52.973716	63071	51	2	9
2014-03-28 11:25:53.207409	63072	20.9	1	9
2014-03-28 11:25:54.071443	63073	48	2	8
2014-03-28 11:25:54.293369	63074	20.9	1	8
2014-03-28 11:26:07.373877	63075	54	2	1
2014-03-28 11:26:07.605044	63076	20.4	1	1
2014-03-28 11:26:22.36937	63077	43	2	10
2014-03-28 11:26:22.612442	63078	21.7	1	10
2014-03-28 11:26:31.972954	63079	51	2	9
2014-03-28 11:26:32.217248	63080	20.9	1	9
2014-03-28 11:26:33.072461	63081	48	2	8
2014-03-28 11:26:33.294538	63082	20.9	1	8
2014-03-28 11:26:46.373107	63083	54	2	1
2014-03-28 11:26:46.603138	63084	20.4	1	1
2014-03-28 11:27:01.369125	63085	43	2	10
2014-03-28 11:27:01.588978	63086	21.7	1	10
2014-03-28 11:27:10.97256	63087	51	2	9
2014-03-28 11:27:11.205212	63088	20.9	1	9
2014-03-28 11:27:12.070384	63089	48	2	8
2014-03-28 11:27:12.292801	63090	20.9	1	8
2014-03-28 11:27:25.372959	63091	54	2	1
2014-03-28 11:27:25.603351	63092	20.4	1	1
2014-03-28 11:27:40.369887	63093	43	2	10
2014-03-28 11:27:40.592427	63094	21.7	1	10
2014-03-28 11:27:49.972378	63095	51	2	9
2014-03-28 11:27:50.203395	63096	20.9	1	9
2014-03-28 11:27:51.069775	63097	48	2	8
2014-03-28 11:27:51.292627	63098	20.9	1	8
2014-03-28 11:27:56.329908	63099	354	3	2
2014-03-28 11:27:56.561578	63100	1109978.7316802733	4	2
2014-03-28 11:28:04.375732	63101	54	2	1
2014-03-28 11:28:04.59765	63102	20.4	1	1
2014-03-28 11:28:08.329269	63103	354	3	2
2014-03-28 11:28:08.5596	63104	1109979.8807149946	4	2
2014-03-28 11:28:19.371027	63105	43	2	10
2014-03-28 11:28:19.592131	63106	21.7	1	10
2014-03-28 11:28:28.975184	63107	51	2	9
2014-03-28 11:28:29.206631	63108	20.9	1	9
2014-03-28 11:28:30.070943	63109	48	2	8
2014-03-28 11:28:30.291361	63110	20.9	1	8
2014-03-28 11:28:43.372512	63111	54	2	1
2014-03-28 11:28:43.605938	63112	20.4	1	1
2014-03-28 11:28:58.370516	63113	43	2	10
2014-03-28 11:28:58.600602	63114	21.7	1	10
2014-03-28 11:29:07.97195	63115	51	2	9
2014-03-28 11:29:08.205203	63116	20.9	1	9
2014-03-28 11:29:09.070093	63117	48	2	8
2014-03-28 11:29:09.292315	63118	20.9	1	8
2014-03-28 11:29:22.372896	63119	54	2	1
2014-03-28 11:29:22.605581	63120	20.4	1	1
2014-03-28 11:29:37.37017	63121	43	2	10
2014-03-28 11:29:37.592866	63122	21.7	1	10
2014-03-28 11:29:46.972537	63123	51	2	9
2014-03-28 11:29:47.204161	63124	20.9	1	9
2014-03-28 11:29:48.070711	63125	48	2	8
2014-03-28 11:29:48.291418	63126	20.9	1	8
2014-03-28 11:30:01.37156	63127	54	2	1
2014-03-28 11:30:01.615666	63128	20.4	1	1
2014-03-28 11:30:16.369717	63129	43	2	10
2014-03-28 11:30:16.591249	63130	21.7	1	10
2014-03-28 11:30:25.975129	63131	51	2	9
2014-03-28 11:30:26.207151	63132	20.9	1	9
2014-03-28 11:30:27.070885	63133	48	2	8
2014-03-28 11:30:27.291512	63134	20.9	1	8
2014-03-28 11:30:40.371356	63135	54	2	1
2014-03-28 11:30:40.603244	63136	20.3	1	1
2014-03-28 11:30:55.369512	63137	43	2	10
2014-03-28 11:30:55.591707	63138	21.7	1	10
2014-03-28 11:31:04.973842	63139	51	2	9
2014-03-28 11:31:05.204118	63140	20.9	1	9
2014-03-28 11:31:06.071686	63141	48	2	8
2014-03-28 11:31:06.292732	63142	20.9	1	8
2014-03-28 11:31:19.373309	63143	54	2	1
2014-03-28 11:31:19.603348	63144	20.3	1	1
2014-03-28 11:31:34.371474	63145	43	2	10
2014-03-28 11:31:34.593479	63146	21.7	1	10
2014-03-28 11:31:43.972897	63147	51	2	9
2014-03-28 11:31:44.205169	63148	20.9	1	9
2014-03-28 11:31:45.073745	63149	48	2	8
2014-03-28 11:31:45.294645	63150	20.9	1	8
2014-03-28 11:32:13.371544	63151	43	2	10
2014-03-28 11:32:13.602265	63152	21.7	1	10
2014-03-28 11:32:22.979151	63153	51	2	9
2014-03-28 11:32:23.201425	63154	20.9	1	9
2014-03-28 11:32:24.070273	63155	48	2	8
2014-03-28 11:32:24.303293	63156	20.9	1	8
2014-03-28 11:32:52.372239	63157	43	2	10
2014-03-28 11:32:52.595395	63158	21.7	1	10
2014-03-28 11:33:01.974874	63159	51	2	9
2014-03-28 11:33:02.20966	63160	20.9	1	9
2014-03-28 11:33:03.06921	63161	48	2	8
2014-03-28 11:33:03.293235	63162	20.9	1	8
2014-03-28 11:33:16.376107	63163	54	2	1
2014-03-28 11:33:16.60593	63164	20.3	1	1
2014-03-28 11:33:31.372492	63165	43	2	10
2014-03-28 11:33:31.593474	63166	21.7	1	10
2014-03-28 11:33:40.974245	63167	51	2	9
2014-03-28 11:33:41.206281	63168	20.9	1	9
2014-03-28 11:33:42.072356	63169	48	2	8
2014-03-28 11:33:42.293206	63170	20.9	1	8
2014-03-28 11:34:10.370498	63171	43	2	10
2014-03-28 11:34:10.603819	63172	21.6	1	10
2014-03-28 11:34:19.979923	63173	51	2	9
2014-03-28 11:34:20.201424	63174	20.9	1	9
2014-03-28 11:34:21.072337	63175	48	2	8
2014-03-28 11:34:21.314896	63176	20.9	1	8
2014-03-28 11:34:34.367899	63177	54	2	1
2014-03-28 11:34:34.591304	63178	20.3	1	1
2014-03-28 11:34:49.372085	63179	43	2	10
2014-03-28 11:34:49.603813	63180	21.6	1	10
2014-03-28 11:34:58.975363	63181	51	2	9
2014-03-28 11:34:59.197342	63182	20.9	1	9
2014-03-28 11:35:00.070632	63183	48	2	8
2014-03-28 11:35:00.302252	63184	20.9	1	8
2014-03-28 11:35:13.367231	63185	54	2	1
2014-03-28 11:35:13.593959	63186	20.3	1	1
2014-03-28 11:35:28.370711	63187	43	2	10
2014-03-28 11:35:28.623512	63188	21.6	1	10
2014-03-28 11:35:37.977332	63189	51	2	9
2014-03-28 11:35:38.199719	63190	20.8	1	9
2014-03-28 11:35:39.071528	63191	47	2	8
2014-03-28 11:35:39.302324	63192	20.9	1	8
2014-03-28 11:35:52.365194	63193	54	2	1
2014-03-28 11:35:52.586906	63194	20.3	1	1
2014-03-28 11:36:07.372318	63195	43	2	10
2014-03-28 11:36:07.603662	63196	21.6	1	10
2014-03-28 11:36:16.979684	63197	51	2	9
2014-03-28 11:36:17.202696	63198	20.8	1	9
2014-03-28 11:36:18.07067	63199	47	2	8
2014-03-28 11:36:18.301268	63200	20.9	1	8
2014-03-28 11:36:32.332146	63201	354	3	2
2014-03-28 11:36:32.554281	63202	1110031.5872774583	4	2
2014-03-28 11:36:46.372261	63203	43	2	10
2014-03-28 11:36:46.603922	63204	21.6	1	10
2014-03-28 11:36:55.97774	63205	51	2	9
2014-03-28 11:36:56.197596	63206	20.8	1	9
2014-03-28 11:36:57.070358	63207	48	2	8
2014-03-28 11:36:57.299965	63208	20.9	1	8
2014-03-28 11:37:25.372979	63209	43	2	10
2014-03-28 11:37:25.597657	63210	21.6	1	10
2014-03-28 11:37:34.977969	63211	51	2	9
2014-03-28 11:37:35.212711	63212	20.8	1	9
2014-03-28 11:37:36.073025	63213	48	2	8
2014-03-28 11:37:36.294853	63214	20.9	1	8
2014-03-28 11:38:04.37293	63215	43	2	10
2014-03-28 11:38:04.616699	63216	21.6	1	10
2014-03-28 11:38:13.97933	63217	51	2	9
2014-03-28 11:38:14.20185	63218	20.8	1	9
2014-03-28 11:38:15.070639	63219	48	2	8
2014-03-28 11:38:15.303835	63220	20.9	1	8
2014-03-28 11:38:28.364549	63221	54	2	1
2014-03-28 11:38:28.587009	63222	20.3	1	1
2014-03-28 11:38:32.330141	63223	354	3	2
2014-03-28 11:38:32.57157	63224	1110043.0776246726	4	2
2014-03-28 11:38:43.373771	63225	43	2	10
2014-03-28 11:38:43.594726	63226	21.6	1	10
2014-03-28 11:38:52.980513	63227	51	2	9
2014-03-28 11:38:53.211181	63228	20.8	1	9
2014-03-28 11:38:54.070752	63229	48	2	8
2014-03-28 11:38:54.290148	63230	20.9	1	8
2014-03-28 11:39:22.373725	63231	43	2	10
2014-03-28 11:39:22.606742	63232	21.6	1	10
2014-03-28 11:39:31.980759	63233	51	2	9
2014-03-28 11:39:32.204034	63234	20.8	1	9
2014-03-28 11:39:33.070827	63235	48	2	8
2014-03-28 11:39:33.300364	63236	20.9	1	8
2014-03-28 11:40:01.374737	63237	43	2	10
2014-03-28 11:40:01.600991	63238	21.6	1	10
2014-03-28 11:40:10.976234	63239	51	2	9
2014-03-28 11:40:11.210608	63240	20.8	1	9
2014-03-28 11:40:12.069915	63241	48	2	8
2014-03-28 11:40:12.28987	63242	20.9	1	8
2014-03-28 11:40:25.603841	63243	54	2	1
2014-03-28 11:40:25.83868	63244	20.3	1	1
2014-03-28 11:40:32.329096	63245	402	3	2
2014-03-28 11:40:32.551052	63246	1110055.7170066081	4	2
2014-03-28 11:40:40.373405	63247	43	2	10
2014-03-28 11:40:40.604183	63248	21.6	1	10
2014-03-28 11:40:44.327277	63249	402	3	2
2014-03-28 11:40:44.550236	63250	1110056.8660413295	4	2
2014-03-28 11:40:49.975914	63251	51	2	9
2014-03-28 11:40:50.206324	63252	20.8	1	9
2014-03-28 11:40:51.072429	63253	48	2	8
2014-03-28 11:40:51.291705	63254	20.9	1	8
2014-03-28 11:41:19.372605	63255	43	2	10
2014-03-28 11:41:19.623956	63256	21.6	1	10
2014-03-28 11:41:28.97533	63257	51	2	9
2014-03-28 11:41:29.196128	63258	20.8	1	9
2014-03-28 11:41:30.069992	63259	47	2	8
2014-03-28 11:41:30.302873	63260	20.9	1	8
2014-03-28 11:41:32.329297	63261	402	3	2
2014-03-28 11:41:32.550364	63262	1110062.6112149365	4	2
2014-03-28 11:41:58.374649	63263	43	2	10
2014-03-28 11:41:58.605622	63264	21.6	1	10
2014-03-28 11:42:07.978939	63265	51	2	9
2014-03-28 11:42:08.225158	63266	20.8	1	9
2014-03-28 11:42:09.070609	63267	47	2	8
2014-03-28 11:42:09.302392	63268	20.9	1	8
2014-03-28 11:42:37.373602	63269	43	2	10
2014-03-28 11:42:37.598121	63270	21.6	1	10
2014-03-28 11:42:47.182523	63271	51	2	9
2014-03-28 11:42:47.426077	63272	20.8	1	9
2014-03-28 11:42:48.072112	63273	47	2	8
2014-03-28 11:42:48.293156	63274	20.9	1	8
2014-03-28 11:43:16.374742	63275	43	2	10
2014-03-28 11:43:16.604671	63276	21.6	1	10
2014-03-28 11:43:25.975752	63277	51	2	9
2014-03-28 11:43:26.202339	63278	20.8	1	9
2014-03-28 11:43:27.070752	63279	47	2	8
2014-03-28 11:43:27.304234	63280	20.9	1	8
2014-03-28 11:43:32.327192	63281	402	3	2
2014-03-28 11:43:32.54764	63282	1110075.250596872	4	2
2014-03-28 11:43:55.374058	63283	43	2	10
2014-03-28 11:43:55.607876	63284	21.6	1	10
2014-03-28 11:44:04.978494	63285	51	2	9
2014-03-28 11:44:05.201164	63286	20.8	1	9
2014-03-28 11:44:06.071499	63287	47	2	8
2014-03-28 11:44:06.306069	63288	20.9	1	8
2014-03-28 11:44:34.376253	63289	43	2	10
2014-03-28 11:44:34.598636	63290	21.6	1	10
2014-03-28 11:44:43.977703	63291	51	2	9
2014-03-28 11:44:44.210016	63292	20.8	1	9
2014-03-28 11:44:45.070385	63293	47	2	8
2014-03-28 11:44:45.291667	63294	20.8	1	8
2014-03-28 11:45:13.375338	63295	43	2	10
2014-03-28 11:45:13.615547	63296	21.6	1	10
2014-03-28 11:45:22.975852	63297	51	2	9
2014-03-28 11:45:23.197539	63298	20.8	1	9
2014-03-28 11:45:24.070898	63299	47	2	8
2014-03-28 11:45:24.303182	63300	20.8	1	8
2014-03-28 11:45:32.3261	63301	402	3	2
2014-03-28 11:45:32.549872	63302	1110089.0390135292	4	2
2014-03-28 11:45:52.375515	63303	43	2	10
2014-03-28 11:45:52.607806	63304	21.6	1	10
2014-03-28 11:46:01.97926	63305	51	2	9
2014-03-28 11:46:02.201423	63306	20.8	1	9
2014-03-28 11:46:03.070032	63307	47	2	8
2014-03-28 11:46:03.302721	63308	20.8	1	8
2014-03-28 11:46:08.334405	63309	402	3	2
2014-03-28 11:46:08.606058	63310	1110093.6351524147	4	2
2014-03-28 11:46:16.3665	63311	54	2	1
2014-03-28 11:46:16.597719	63312	20.4	1	1
2014-03-28 11:46:20.325348	63313	370	3	2
2014-03-28 11:46:20.547134	63314	1110094.7841871362	4	2
2014-03-28 11:46:31.374257	63315	43	2	10
2014-03-28 11:46:31.607166	63316	21.6	1	10
2014-03-28 11:46:32.329219	63317	370	3	2
2014-03-28 11:46:32.551729	63318	1110095.9332218575	4	2
2014-03-28 11:46:40.978442	63319	51	2	9
2014-03-28 11:46:41.22058	63320	20.8	1	9
2014-03-28 11:46:42.069983	63321	47	2	8
2014-03-28 11:46:42.292198	63322	20.8	1	8
2014-03-28 11:47:10.374001	63323	43	2	10
2014-03-28 11:47:10.610773	63324	21.6	1	10
2014-03-28 11:47:19.980277	63325	51	2	9
2014-03-28 11:47:20.200274	63326	20.8	1	9
2014-03-28 11:47:21.070945	63327	47	2	8
2014-03-28 11:47:21.300575	63328	20.8	1	8
2014-03-28 11:47:32.32663	63329	370	3	2
2014-03-28 11:47:32.54665	63330	1110101.6783954648	4	2
2014-03-28 11:47:49.375373	63331	43	2	10
2014-03-28 11:47:49.608444	63332	21.6	1	10
2014-03-28 11:47:58.977154	63333	51	2	9
2014-03-28 11:47:59.200977	63334	20.8	1	9
2014-03-28 11:48:00.073205	63335	47	2	8
2014-03-28 11:48:00.303945	63336	20.8	1	8
2014-03-28 11:48:28.374186	63337	43	2	10
2014-03-28 11:48:28.596278	63338	21.6	1	10
2014-03-28 11:48:32.325806	63339	370	3	2
2014-03-28 11:48:32.556434	63340	1110108.572603793	4	2
2014-03-28 11:48:37.977658	63341	51	2	9
2014-03-28 11:48:38.200715	63342	20.8	1	9
2014-03-28 11:48:39.071557	63343	47	2	8
2014-03-28 11:48:39.304634	63344	20.8	1	8
2014-03-28 11:49:07.375209	63345	43	2	10
2014-03-28 11:49:07.597245	63346	21.6	1	10
2014-03-28 11:49:16.978654	63347	51	2	9
2014-03-28 11:49:17.208928	63348	20.8	1	9
2014-03-28 11:49:18.07006	63349	47	2	8
2014-03-28 11:49:18.292315	63350	20.8	1	8
2014-03-28 11:49:46.380815	63351	43	2	10
2014-03-28 11:49:46.613457	63352	21.6	1	10
2014-03-28 11:49:55.976354	63353	51	2	9
2014-03-28 11:49:56.197258	63354	20.8	1	9
2014-03-28 11:49:57.071628	63355	47	2	8
2014-03-28 11:49:57.301019	63356	20.8	1	8
2014-03-28 11:50:25.375943	63357	43	2	10
2014-03-28 11:50:25.598702	63358	21.6	1	10
2014-03-28 11:50:32.324165	63359	402	3	2
2014-03-28 11:50:32.559003	63360	1110120.0629510074	4	2
2014-03-28 11:50:34.977536	63361	51	2	9
2014-03-28 11:50:35.198673	63362	20.8	1	9
2014-03-28 11:50:36.071549	63363	47	2	8
2014-03-28 11:50:36.301882	63364	20.8	1	8
2014-03-28 11:50:44.327035	63365	370	3	2
2014-03-28 11:50:44.551971	63366	1110121.2119857287	4	2
2014-03-28 11:50:56.324738	63367	370	3	2
2014-03-28 11:50:56.569174	63368	1110123.5100551716	4	2
2014-03-28 11:51:04.377073	63369	43	2	10
2014-03-28 11:51:04.600869	63370	21.6	1	10
2014-03-28 11:51:13.978578	63371	51	2	9
2014-03-28 11:51:14.209378	63372	20.8	1	9
2014-03-28 11:51:15.069404	63373	47	2	8
2014-03-28 11:51:15.291468	63374	20.8	1	8
2014-03-28 11:51:32.324036	63375	370	3	2
2014-03-28 11:51:32.555378	63376	1110126.9571593357	4	2
2014-03-28 11:51:43.377559	63377	43	2	10
2014-03-28 11:51:43.599842	63378	21.6	1	10
2014-03-28 11:51:52.978244	63379	51	2	9
2014-03-28 11:51:53.208516	63380	20.8	1	9
2014-03-28 11:51:54.072962	63381	47	2	8
2014-03-28 11:51:54.294053	63382	20.8	1	8
2014-03-28 11:52:22.376925	63383	43	2	10
2014-03-28 11:52:22.608256	63384	21.6	1	10
2014-03-28 11:52:31.979138	63385	51	2	9
2014-03-28 11:52:32.200275	63386	20.8	1	9
2014-03-28 11:52:32.504001	63387	370	3	2
2014-03-28 11:52:32.73573	63388	1110132.702332943	4	2
2014-03-28 11:52:33.070604	63389	47	2	8
2014-03-28 11:52:33.291892	63390	20.8	1	8
2014-03-28 11:52:44.326305	63391	402	3	2
2014-03-28 11:52:44.558494	63392	1110133.8513676643	4	2
2014-03-28 11:53:01.377983	63393	43	2	10
2014-03-28 11:53:01.599209	63394	21.6	1	10
2014-03-28 11:53:10.979593	63395	51	2	9
2014-03-28 11:53:11.211832	63396	20.8	1	9
2014-03-28 11:53:12.072409	63397	47	2	8
2014-03-28 11:53:12.294767	63398	20.8	1	8
2014-03-28 11:53:40.377693	63399	43	2	10
2014-03-28 11:53:40.608092	63400	21.6	1	10
2014-03-28 11:53:44.324317	63401	402	3	2
2014-03-28 11:53:44.546503	63402	1110140.7455759929	4	2
2014-03-28 11:53:49.978643	63403	51	2	9
2014-03-28 11:53:50.210709	63404	20.8	1	9
2014-03-28 11:53:51.073045	63405	47	2	8
2014-03-28 11:53:51.294708	63406	20.8	1	8
2014-03-28 11:54:19.376014	63407	43	2	10
2014-03-28 11:54:19.607959	63408	21.6	1	10
2014-03-28 11:54:28.978613	63409	51	2	9
2014-03-28 11:54:29.203365	63410	20.8	1	9
2014-03-28 11:54:30.071952	63411	47	2	8
2014-03-28 11:54:30.303573	63412	20.8	1	8
2014-03-28 11:54:32.32619	63413	418	3	2
2014-03-28 11:54:32.547229	63414	1110146.4907495999	4	2
2014-03-28 11:54:58.381686	63415	43	2	10
2014-03-28 11:54:58.624094	63416	21.6	1	10
2014-03-28 11:55:07.975913	63417	51	2	9
2014-03-28 11:55:08.199586	63418	20.8	1	9
2014-03-28 11:55:09.07086	63419	47	2	8
2014-03-28 11:55:09.301934	63420	20.8	1	8
2014-03-28 11:55:32.324742	63421	418	3	2
2014-03-28 11:55:32.547535	63422	1110153.3849579284	4	2
2014-03-28 11:55:37.377734	63423	43	2	10
2014-03-28 11:55:37.616258	63424	21.6	1	10
2014-03-28 11:55:46.975783	63425	51	2	9
2014-03-28 11:55:47.195271	63426	20.8	1	9
2014-03-28 11:55:48.069934	63427	47	2	8
2014-03-28 11:55:48.300324	63428	20.8	1	8
2014-03-28 11:55:56.32772	63429	450	3	2
2014-03-28 11:55:56.551723	63430	1110155.6830273713	4	2
2014-03-28 11:56:08.323307	63431	450	3	2
2014-03-28 11:56:08.555711	63432	1110156.8320620926	4	2
2014-03-28 11:56:16.377773	63433	43	2	10
2014-03-28 11:56:16.599817	63434	21.6	1	10
2014-03-28 11:56:25.980156	63435	51	2	9
2014-03-28 11:56:26.210025	63436	20.8	1	9
2014-03-28 11:56:27.071254	63437	47	2	8
2014-03-28 11:56:27.291045	63438	20.8	1	8
2014-03-28 11:56:32.325395	63439	450	3	2
2014-03-28 11:56:32.557836	63440	1110160.2791662568	4	2
2014-03-28 11:56:55.379295	63441	43	2	10
2014-03-28 11:56:55.600685	63442	21.6	1	10
2014-03-28 11:57:04.978893	63443	51	2	9
2014-03-28 11:57:05.211969	63444	20.8	1	9
2014-03-28 11:57:06.071923	63445	47	2	8
2014-03-28 11:57:06.293607	63446	20.8	1	8
2014-03-28 11:57:32.324552	63447	466	3	2
2014-03-28 11:57:32.555271	63448	1110168.3224093067	4	2
2014-03-28 11:57:34.380134	63449	43	2	10
2014-03-28 11:57:34.60562	63450	21.6	1	10
2014-03-28 11:57:43.979651	63451	51	2	9
2014-03-28 11:57:44.215401	63452	20.8	1	9
2014-03-28 11:57:45.070948	63453	47	2	8
2014-03-28 11:57:45.290707	63454	20.8	1	8
2014-03-28 11:58:13.377637	63455	43	2	10
2014-03-28 11:58:13.609692	63456	21.6	1	10
2014-03-28 11:58:22.978887	63457	51	2	9
2014-03-28 11:58:23.201711	63458	20.8	1	9
2014-03-28 11:58:24.07226	63459	47	2	8
2014-03-28 11:58:24.30279	63460	20.8	1	8
2014-03-28 11:58:32.324751	63461	434	3	2
2014-03-28 11:58:32.546472	63462	1110175.2166176352	4	2
2014-03-28 11:58:52.379358	63463	43	2	10
2014-03-28 11:58:52.623584	63464	21.6	1	10
2014-03-28 11:59:01.977073	63465	51	2	9
2014-03-28 11:59:02.201198	63466	20.8	1	9
2014-03-28 11:59:03.073583	63467	47	2	8
2014-03-28 11:59:03.307015	63468	20.8	1	8
2014-03-28 11:59:31.379381	63469	43	2	10
2014-03-28 11:59:31.602157	63470	21.6	1	10
2014-03-28 11:59:40.979431	63471	51	2	9
2014-03-28 11:59:41.213377	63472	20.8	1	9
2014-03-28 11:59:42.069773	63473	47	2	8
2014-03-28 11:59:42.29571	63474	20.8	1	8
2014-03-28 12:00:10.380835	63475	43	2	10
2014-03-28 12:00:10.613298	63476	21.6	1	10
2014-03-28 12:00:19.978047	63477	51	2	9
2014-03-28 12:00:20.201052	63478	20.8	1	9
2014-03-28 12:00:21.071411	63479	47	2	8
2014-03-28 12:00:21.30407	63480	20.8	1	8
2014-03-28 12:00:49.380853	63481	43	2	10
2014-03-28 12:00:49.602879	63482	21.5	1	10
2014-03-28 12:00:58.97871	63483	51	2	9
2014-03-28 12:00:59.213278	63484	20.8	1	9
2014-03-28 12:01:00.07381	63485	47	2	8
2014-03-28 12:01:00.295532	63486	20.8	1	8
2014-03-28 12:01:28.380143	63487	43	2	10
2014-03-28 12:01:28.613287	63488	21.5	1	10
2014-03-28 12:01:37.977125	63489	51	2	9
2014-03-28 12:01:38.198771	63490	20.8	1	9
2014-03-28 12:01:39.070788	63491	47	2	8
2014-03-28 12:01:39.301009	63492	20.8	1	8
2014-03-28 12:02:07.382781	63493	43	2	10
2014-03-28 12:02:07.613953	63494	21.5	1	10
2014-03-28 12:02:16.974628	63495	51	2	9
2014-03-28 12:02:17.20659	63496	20.8	1	9
2014-03-28 12:02:18.070757	63497	47	2	8
2014-03-28 12:02:18.291902	63498	20.8	1	8
2014-03-28 12:02:31.350621	63499	55	2	1
2014-03-28 12:02:31.582464	63500	20.4	1	1
2014-03-28 12:02:32.325639	63501	450	3	2
2014-03-28 12:02:32.547869	63502	1110205.091520392	4	2
2014-03-28 12:02:46.380675	63503	43	2	10
2014-03-28 12:02:46.613936	63504	21.5	1	10
2014-03-28 12:02:55.979308	63505	51	2	9
2014-03-28 12:02:56.20045	63506	20.8	1	9
2014-03-28 12:02:57.070518	63507	47	2	8
2014-03-28 12:02:57.301666	63508	20.8	1	8
2014-03-28 12:03:25.380419	63509	43	2	10
2014-03-28 12:03:25.603504	63510	21.5	1	10
2014-03-28 12:03:34.976987	63511	51	2	9
2014-03-28 12:03:35.220483	63512	20.8	1	9
2014-03-28 12:03:36.070955	63513	47	2	8
2014-03-28 12:03:36.293242	63514	20.8	1	8
2014-03-28 12:04:04.380631	63515	43	2	10
2014-03-28 12:04:04.614363	63516	21.5	1	10
2014-03-28 12:04:13.978988	63517	51	2	9
2014-03-28 12:04:14.204174	63518	20.8	1	9
2014-03-28 12:04:15.07464	63519	47	2	8
2014-03-28 12:04:15.305217	63520	20.8	1	8
2014-03-28 12:04:43.381651	63521	43	2	10
2014-03-28 12:04:43.605317	63522	21.5	1	10
2014-03-28 12:04:52.978763	63523	51	2	9
2014-03-28 12:04:53.211084	63524	20.8	1	9
2014-03-28 12:04:54.071029	63525	47	2	8
2014-03-28 12:04:54.29479	63526	20.8	1	8
2014-03-28 12:05:22.381598	63527	43	2	10
2014-03-28 12:05:22.612402	63528	21.5	1	10
2014-03-28 12:05:31.977211	63529	51	2	9
2014-03-28 12:05:32.200621	63530	20.8	1	9
2014-03-28 12:05:32.507361	63531	482	3	2
2014-03-28 12:05:32.740107	63532	1110225.7786163297	4	2
2014-03-28 12:05:33.071207	63533	47	2	8
2014-03-28 12:05:33.294569	63534	20.8	1	8
2014-03-28 12:06:01.383026	63535	43	2	10
2014-03-28 12:06:01.614197	63536	21.5	1	10
2014-03-28 12:06:10.977948	63537	51	2	9
2014-03-28 12:06:11.200723	63538	20.8	1	9
2014-03-28 12:06:12.070656	63539	47	2	8
2014-03-28 12:06:12.301212	63540	20.8	1	8
2014-03-28 12:06:40.381325	63541	43	2	10
2014-03-28 12:06:40.6055	63542	21.5	1	10
2014-03-28 12:06:50.110072	63543	51	2	9
2014-03-28 12:06:50.549072	63544	20.8	1	9
2014-03-28 12:06:51.0702	63545	47	2	8
2014-03-28 12:06:51.291207	63546	20.8	1	8
2014-03-28 12:07:19.382268	63547	43	2	10
2014-03-28 12:07:19.615642	63548	21.5	1	10
2014-03-28 12:07:28.978447	63549	51	2	9
2014-03-28 12:07:29.201285	63550	20.8	1	9
2014-03-28 12:07:30.070657	63551	47	2	8
2014-03-28 12:07:30.301521	63552	20.8	1	8
2014-03-28 12:07:32.324436	63553	482	3	2
2014-03-28 12:07:32.54596	63554	1110241.8651024296	4	2
2014-03-28 12:07:56.324003	63555	482	3	2
2014-03-28 12:07:56.557937	63556	1110245.3122065938	4	2
2014-03-28 12:07:58.382253	63557	43	2	10
2014-03-28 12:07:58.604274	63558	21.5	1	10
2014-03-28 12:08:07.977557	63559	51	2	9
2014-03-28 12:08:08.221624	63560	20.8	1	9
2014-03-28 12:08:09.090754	63561	47	2	8
2014-03-28 12:08:09.349358	63562	20.8	1	8
2014-03-28 12:08:22.348573	63563	55	2	1
2014-03-28 12:08:22.578892	63564	20.4	1	1
2014-03-28 12:08:37.381552	63565	43	2	10
2014-03-28 12:08:37.643329	63566	21.5	1	10
2014-03-28 12:08:46.980141	63567	51	2	9
2014-03-28 12:08:47.211274	63568	20.8	1	9
2014-03-28 12:08:48.070482	63569	47	2	8
2014-03-28 12:08:48.291196	63570	20.8	1	8
2014-03-28 12:09:01.349193	63571	55	2	1
2014-03-28 12:09:01.580618	63572	20.4	1	1
2014-03-28 12:09:16.38236	63573	43	2	10
2014-03-28 12:09:16.603412	63574	21.5	1	10
2014-03-28 12:09:25.979909	63575	51	2	9
2014-03-28 12:09:26.211537	63576	20.8	1	9
2014-03-28 12:09:27.072361	63577	47	2	8
2014-03-28 12:09:27.294841	63578	20.8	1	8
2014-03-28 12:09:32.325042	63579	482	3	2
2014-03-28 12:09:32.557593	63580	1110259.1006232507	4	2
2014-03-28 12:09:55.382363	63581	43	2	10
2014-03-28 12:09:55.604239	63582	21.5	1	10
2014-03-28 12:10:04.977433	63583	51	2	9
2014-03-28 12:10:05.212368	63584	20.8	1	9
2014-03-28 12:10:06.070737	63585	47	2	8
2014-03-28 12:10:06.293484	63586	20.8	1	8
2014-03-28 12:10:08.32782	63587	434	3	2
2014-03-28 12:10:08.559298	63588	1110263.6967621364	4	2
2014-03-28 12:10:20.325546	63589	402	3	2
2014-03-28 12:10:20.546525	63590	1110264.8457968577	4	2
2014-03-28 12:10:32.325954	63591	402	3	2
2014-03-28 12:10:32.560237	63592	1110265.9948315793	4	2
2014-03-28 12:10:34.382356	63593	43	2	10
2014-03-28 12:10:34.603202	63594	21.5	1	10
2014-03-28 12:10:43.977681	63595	51	2	9
2014-03-28 12:10:44.21187	63596	20.8	1	9
2014-03-28 12:10:45.07023	63597	47	2	8
2014-03-28 12:10:45.293889	63598	20.8	1	8
2014-03-28 12:11:13.38436	63599	43	2	10
2014-03-28 12:11:13.617421	63600	21.5	1	10
2014-03-28 12:11:22.979236	63601	51	2	9
2014-03-28 12:11:23.199713	63602	20.8	1	9
2014-03-28 12:11:24.069222	63603	47	2	8
2014-03-28 12:11:24.300365	63604	20.8	1	8
2014-03-28 12:11:32.3232	63605	402	3	2
2014-03-28 12:11:32.548193	63606	1110272.8890399078	4	2
2014-03-28 12:11:52.383379	63607	43	2	10
2014-03-28 12:11:52.62878	63608	21.5	1	10
2014-03-28 12:12:01.977809	63609	51	2	9
2014-03-28 12:12:02.199941	63610	20.8	1	9
2014-03-28 12:12:03.070177	63611	47	2	8
2014-03-28 12:12:03.301747	63612	20.8	1	8
2014-03-28 12:12:31.382801	63613	43	2	10
2014-03-28 12:12:31.605101	63614	21.5	1	10
2014-03-28 12:12:40.978516	63615	51	2	9
2014-03-28 12:12:41.212389	63616	20.8	1	9
2014-03-28 12:12:42.07018	63617	47	2	8
2014-03-28 12:12:42.290409	63618	20.8	1	8
2014-03-28 12:13:10.382669	63619	43	2	10
2014-03-28 12:13:10.615593	63620	21.5	1	10
2014-03-28 12:13:19.978791	63621	51	2	9
2014-03-28 12:13:20.20128	63622	20.8	1	9
2014-03-28 12:13:21.070572	63623	47	2	8
2014-03-28 12:13:21.301075	63624	20.8	1	8
2014-03-28 12:13:32.323987	63625	402	3	2
2014-03-28 12:13:32.546573	63626	1110286.6774565647	4	2
2014-03-28 12:13:49.384547	63627	43	2	10
2014-03-28 12:13:49.623735	63628	21.5	1	10
2014-03-28 12:13:58.978596	63629	51	2	9
2014-03-28 12:13:59.201146	63630	20.8	1	9
2014-03-28 12:14:00.070933	63631	47	2	8
2014-03-28 12:14:00.301666	63632	20.8	1	8
2014-03-28 12:14:13.34517	63633	55	2	1
2014-03-28 12:14:13.56742	63634	20.4	1	1
2014-03-28 12:14:28.384811	63635	43	2	10
2014-03-28 12:14:28.617824	63636	21.6	1	10
2014-03-28 12:14:32.323827	63637	418	3	2
2014-03-28 12:14:32.545907	63638	1110293.5716648933	4	2
2014-03-28 12:14:37.981918	63639	51	2	9
2014-03-28 12:14:38.215093	63640	20.8	1	9
2014-03-28 12:14:39.070688	63641	47	2	8
2014-03-28 12:14:39.290999	63642	20.8	1	8
2014-03-28 12:15:07.382856	63643	43	2	10
2014-03-28 12:15:07.615878	63644	21.6	1	10
2014-03-28 12:15:16.977911	63645	51	2	9
2014-03-28 12:15:17.202558	63646	20.8	1	9
2014-03-28 12:15:18.072714	63647	47	2	8
2014-03-28 12:15:18.303538	63648	20.8	1	8
2014-03-28 12:15:32.324318	63649	402	3	2
2014-03-28 12:15:32.546109	63650	1110300.4658732216	4	2
2014-03-28 12:15:46.383389	63651	43	2	10
2014-03-28 12:15:46.614514	63652	21.6	1	10
2014-03-28 12:15:55.978092	63653	51	2	9
2014-03-28 12:15:56.20485	63654	20.8	1	9
2014-03-28 12:15:57.07108	63655	47	2	8
2014-03-28 12:15:57.320101	63656	20.8	1	8
2014-03-28 12:16:25.385071	63657	43	2	10
2014-03-28 12:16:25.605523	63658	21.6	1	10
2014-03-28 12:16:34.97812	63659	51	2	9
2014-03-28 12:16:35.208092	63660	20.8	1	9
2014-03-28 12:16:36.069841	63661	47	2	8
2014-03-28 12:16:36.293809	63662	20.8	1	8
2014-03-28 12:17:04.386035	63663	43	2	10
2014-03-28 12:17:04.617614	63664	21.6	1	10
2014-03-28 12:17:08.324191	63665	434	3	2
2014-03-28 12:17:08.547422	63666	1110310.8071857144	4	2
2014-03-28 12:17:13.979296	63667	51	2	9
2014-03-28 12:17:14.212327	63668	20.8	1	9
2014-03-28 12:17:15.070751	63669	47	2	8
2014-03-28 12:17:15.291801	63670	20.8	1	8
2014-03-28 12:17:20.323992	63671	434	3	2
2014-03-28 12:17:20.557376	63672	1110311.956220436	4	2
2014-03-28 12:17:32.325373	63673	434	3	2
2014-03-28 12:17:32.547519	63674	1110314.2542898788	4	2
2014-03-28 12:17:43.384502	63675	43	2	10
2014-03-28 12:17:43.61947	63676	21.6	1	10
2014-03-28 12:17:52.977788	63677	51	2	9
2014-03-28 12:17:53.198975	63678	20.7	1	9
2014-03-28 12:17:54.07073	63679	47	2	8
2014-03-28 12:17:54.300288	63680	20.8	1	8
2014-03-28 12:18:22.385643	63681	43	2	10
2014-03-28 12:18:22.608257	63682	21.6	1	10
2014-03-28 12:18:31.977071	63683	51	2	9
2014-03-28 12:18:32.209207	63684	20.7	1	9
2014-03-28 12:18:33.070342	63685	47	2	8
2014-03-28 12:18:33.291647	63686	20.8	1	8
2014-03-28 12:19:01.387568	63687	43	2	10
2014-03-28 12:19:01.619216	63688	21.6	1	10
2014-03-28 12:19:10.976887	63689	51	2	9
2014-03-28 12:19:11.200241	63690	20.7	1	9
2014-03-28 12:19:12.070791	63691	47	2	8
2014-03-28 12:19:12.30166	63692	20.8	1	8
2014-03-28 12:19:32.325335	63693	434	3	2
2014-03-28 12:19:32.547987	63694	1110328.0427065357	4	2
2014-03-28 12:19:40.384494	63695	43	2	10
2014-03-28 12:19:40.617153	63696	21.6	1	10
2014-03-28 12:19:49.97676	63697	51	2	9
2014-03-28 12:19:50.198796	63698	20.7	1	9
2014-03-28 12:19:51.070294	63699	47	2	8
2014-03-28 12:19:51.301902	63700	20.8	1	8
2014-03-28 12:20:04.346047	63701	55	2	1
2014-03-28 12:20:04.567311	63702	20.4	1	1
2014-03-28 12:20:19.38627	63703	43	2	10
2014-03-28 12:20:19.630502	63704	21.6	1	10
2014-03-28 12:20:28.977083	63705	51	2	9
2014-03-28 12:20:29.200766	63706	20.7	1	9
2014-03-28 12:20:30.072449	63707	47	2	8
2014-03-28 12:20:30.304483	63708	20.8	1	8
2014-03-28 12:20:32.324091	63709	418	3	2
2014-03-28 12:20:32.546388	63710	1110334.9369148642	4	2
2014-03-28 12:20:58.384257	63711	43	2	10
2014-03-28 12:20:58.61656	63712	21.6	1	10
2014-03-28 12:21:07.976435	63713	51	2	9
2014-03-28 12:21:08.199974	63714	20.7	1	9
2014-03-28 12:21:09.070634	63715	47	2	8
2014-03-28 12:21:09.302659	63716	20.8	1	8
2014-03-28 12:21:37.385951	63717	43	2	10
2014-03-28 12:21:37.607281	63718	21.6	1	10
2014-03-28 12:21:46.974277	63719	51	2	9
2014-03-28 12:21:47.206429	63720	20.7	1	9
2014-03-28 12:21:48.070357	63721	47	2	8
2014-03-28 12:21:48.292874	63722	20.8	1	8
2014-03-28 12:22:16.387793	63723	43	2	10
2014-03-28 12:22:16.655026	63724	21.6	1	10
2014-03-28 12:22:25.976682	63725	51	2	9
2014-03-28 12:22:26.236247	63726	20.7	1	9
2014-03-28 12:22:27.070699	63727	47	2	8
2014-03-28 12:22:27.334216	63728	20.8	1	8
2014-03-28 12:22:44.324015	63729	370	3	2
2014-03-28 12:22:44.546878	63730	1110351.023400964	4	2
2014-03-28 12:22:55.385689	63731	43	2	10
2014-03-28 12:22:55.629584	63732	21.6	1	10
2014-03-28 12:23:04.976955	63733	51	2	9
2014-03-28 12:23:05.198776	63734	20.7	1	9
2014-03-28 12:23:06.069172	63735	47	2	8
2014-03-28 12:23:06.30056	63736	20.8	1	8
2014-03-28 12:23:32.323941	63737	354	3	2
2014-03-28 12:23:32.546376	63738	1110355.6195398497	4	2
2014-03-28 12:23:34.387687	63739	43	2	10
2014-03-28 12:23:34.619535	63740	21.6	1	10
2014-03-28 12:23:43.9813	63741	51	2	9
2014-03-28 12:23:44.203724	63742	20.7	1	9
2014-03-28 12:23:45.070659	63743	47	2	8
2014-03-28 12:23:45.30181	63744	20.8	1	8
2014-03-28 12:24:13.386134	63745	43	2	10
2014-03-28 12:24:13.607722	63746	21.6	1	10
2014-03-28 12:24:22.975216	63747	51	2	9
2014-03-28 12:24:23.207267	63748	20.7	1	9
2014-03-28 12:24:24.07039	63749	47	2	8
2014-03-28 12:24:24.290762	63750	20.8	1	8
2014-03-28 12:24:32.32234	63751	370	3	2
2014-03-28 12:24:32.567263	63752	1110361.3647134567	4	2
2014-03-28 12:24:44.324535	63753	402	3	2
2014-03-28 12:24:44.545224	63754	1110362.513748178	4	2
2014-03-28 12:24:52.387436	63755	43	2	10
2014-03-28 12:24:52.804858	63756	21.6	1	10
2014-03-28 12:25:01.977582	63757	51	2	9
2014-03-28 12:25:02.197705	63758	20.7	1	9
2014-03-28 12:25:03.070077	63759	47	2	8
2014-03-28 12:25:03.290054	63760	20.8	1	8
2014-03-28 12:25:08.323428	63761	370	3	2
2014-03-28 12:25:08.554862	63762	1110364.8118176209	4	2
2014-03-28 12:25:31.386982	63763	43	2	10
2014-03-28 12:25:31.608066	63764	21.6	1	10
2014-03-28 12:25:32.321875	63765	370	3	2
2014-03-28 12:25:32.552319	63766	1110368.2589217853	4	2
2014-03-28 12:25:40.977555	63767	51	2	9
2014-03-28 12:25:41.200437	63768	20.7	1	9
2014-03-28 12:25:42.071897	63769	47	2	8
2014-03-28 12:25:42.302038	63770	20.8	1	8
2014-03-28 12:26:10.387489	63771	43	2	10
2014-03-28 12:26:10.607912	63772	21.6	1	10
2014-03-28 12:26:19.977745	63773	51	2	9
2014-03-28 12:26:20.210935	63774	20.7	1	9
2014-03-28 12:26:21.070213	63775	47	2	8
2014-03-28 12:26:21.292563	63776	20.8	1	8
2014-03-28 12:26:44.325624	63777	370	3	2
2014-03-28 12:26:44.558481	63778	1110375.1531301136	4	2
2014-03-28 12:26:49.387405	63779	43	2	10
2014-03-28 12:26:49.612393	63780	21.6	1	10
2014-03-28 12:26:58.978069	63781	51	2	9
2014-03-28 12:26:59.208152	63782	20.7	1	9
2014-03-28 12:27:00.069779	63783	47	2	8
2014-03-28 12:27:00.293166	63784	20.8	1	8
2014-03-28 12:27:28.387869	63785	43	2	10
2014-03-28 12:27:28.619065	63786	21.6	1	10
2014-03-28 12:27:37.9934	63787	51	2	9
2014-03-28 12:27:38.273061	63788	20.7	1	9
2014-03-28 12:27:39.069752	63789	47	2	8
2014-03-28 12:27:39.299566	63790	20.8	1	8
2014-03-28 12:28:07.388177	63791	43	2	10
2014-03-28 12:28:07.611583	63792	21.6	1	10
2014-03-28 12:28:16.978729	63793	51	2	9
2014-03-28 12:28:17.210663	63794	20.7	1	9
2014-03-28 12:28:18.069233	63795	47	2	8
2014-03-28 12:28:18.290239	63796	20.8	1	8
2014-03-28 12:28:32.323585	63797	370	3	2
2014-03-28 12:28:32.555966	63798	1110386.643477328	4	2
2014-03-28 12:28:46.395578	63799	43	2	10
2014-03-28 12:28:46.61667	63800	21.6	1	10
2014-03-28 12:28:55.973942	63801	51	2	9
2014-03-28 12:28:56.216098	63802	20.7	1	9
2014-03-28 12:28:57.069885	63803	47	2	8
2014-03-28 12:28:57.290919	63804	20.8	1	8
2014-03-28 12:29:20.321444	63805	418	3	2
2014-03-28 12:29:20.55361	63806	1110391.2396162134	4	2
2014-03-28 12:29:25.38733	63807	43	2	10
2014-03-28 12:29:25.611541	63808	21.5	1	10
2014-03-28 12:29:34.973975	63809	51	2	9
2014-03-28 12:29:35.204588	63810	20.7	1	9
2014-03-28 12:29:36.069589	63811	47	2	8
2014-03-28 12:29:36.290879	63812	20.8	1	8
2014-03-28 12:30:04.387092	63813	43	2	10
2014-03-28 12:30:04.617711	63814	21.5	1	10
2014-03-28 12:30:13.97781	63815	51	2	9
2014-03-28 12:30:14.199784	63816	20.7	1	9
2014-03-28 12:30:15.06846	63817	47	2	8
2014-03-28 12:30:15.299489	63818	20.8	1	8
2014-03-28 12:30:32.320656	63819	418	3	2
2014-03-28 12:30:32.544447	63820	1110400.4318939848	4	2
2014-03-28 12:30:43.388514	63821	43	2	10
2014-03-28 12:30:43.627302	63822	21.5	1	10
2014-03-28 12:30:52.977561	63823	51	2	9
2014-03-28 12:30:53.198921	63824	20.7	1	9
2014-03-28 12:30:54.072051	63825	47	2	8
2014-03-28 12:30:54.301961	63826	20.8	1	8
2014-03-28 12:31:22.390661	63827	43	2	10
2014-03-28 12:31:22.613065	63828	21.5	1	10
2014-03-28 12:31:31.975622	63829	51	2	9
2014-03-28 12:31:32.209569	63830	20.7	1	9
2014-03-28 12:31:32.514063	63831	418	3	2
2014-03-28 12:31:32.733977	63832	1110407.3261023134	4	2
2014-03-28 12:31:33.069832	63833	47	2	8
2014-03-28 12:31:33.302024	63834	20.8	1	8
2014-03-28 12:32:01.390478	63835	43	2	10
2014-03-28 12:32:01.612076	63836	21.5	1	10
2014-03-28 12:32:10.97624	63837	51	2	9
2014-03-28 12:32:11.210485	63838	20.7	1	9
2014-03-28 12:32:12.069281	63839	47	2	8
2014-03-28 12:32:12.292244	63840	20.8	1	8
2014-03-28 12:32:32.323895	63841	418	3	2
2014-03-28 12:32:32.555331	63842	1110414.2203106417	4	2
2014-03-28 12:32:40.392214	63843	43	2	10
2014-03-28 12:32:40.615208	63844	21.5	1	10
2014-03-28 12:32:49.97914	63845	51	2	9
2014-03-28 12:32:50.210514	63846	20.7	1	9
2014-03-28 12:32:51.069596	63847	47	2	8
2014-03-28 12:32:51.289234	63848	20.8	1	8
2014-03-28 12:33:19.390424	63849	43	2	10
2014-03-28 12:33:19.636029	63850	21.5	1	10
2014-03-28 12:33:28.973935	63851	51	2	9
2014-03-28 12:33:29.197197	63852	20.7	1	9
2014-03-28 12:33:30.070016	63853	47	2	8
2014-03-28 12:33:30.299864	63854	20.8	1	8
2014-03-28 12:33:58.391411	63855	43	2	10
2014-03-28 12:33:58.614921	63856	21.5	1	10
2014-03-28 12:34:07.978624	63857	51	2	9
2014-03-28 12:34:08.210314	63858	20.7	1	9
2014-03-28 12:34:09.069507	63859	47	2	8
2014-03-28 12:34:09.288205	63860	20.8	1	8
2014-03-28 12:34:37.389521	63861	43	2	10
2014-03-28 12:34:37.623251	63862	21.5	1	10
2014-03-28 12:34:44.322528	63863	370	3	2
2014-03-28 12:34:44.544479	63864	1110429.1577620201	4	2
2014-03-28 12:34:46.975618	63865	51	2	9
2014-03-28 12:34:47.206398	63866	20.7	1	9
2014-03-28 12:34:48.070667	63867	47	2	8
2014-03-28 12:34:48.29294	63868	20.8	1	8
2014-03-28 12:34:56.322705	63869	370	3	2
2014-03-28 12:34:56.5533	63870	1110431.455831463	4	2
2014-03-28 12:35:16.389811	63871	43	2	10
2014-03-28 12:35:16.610773	63872	21.5	1	10
2014-03-28 12:35:20.32295	63873	370	3	2
2014-03-28 12:35:20.553209	63874	1110433.7539009058	4	2
2014-03-28 12:35:25.976474	63875	51	2	9
2014-03-28 12:35:26.196673	63876	20.7	1	9
2014-03-28 12:35:27.070481	63877	47	2	8
2014-03-28 12:35:27.303268	63878	20.8	1	8
2014-03-28 12:35:32.322706	63879	370	3	2
2014-03-28 12:35:32.545066	63880	1110434.9029356271	4	2
2014-03-28 12:35:55.389417	63881	43	2	10
2014-03-28 12:35:55.620671	63882	21.5	1	10
2014-03-28 12:36:04.977336	63883	51	2	9
2014-03-28 12:36:05.199052	63884	20.7	1	9
2014-03-28 12:36:06.072457	63885	47	2	8
2014-03-28 12:36:06.303163	63886	20.8	1	8
2014-03-28 12:36:08.324064	63887	402	3	2
2014-03-28 12:36:08.545467	63888	1110438.3500397915	4	2
2014-03-28 12:36:20.323659	63889	370	3	2
2014-03-28 12:36:20.55454	63890	1110439.4990745129	4	2
2014-03-28 12:36:34.390739	63891	43	2	10
2014-03-28 12:36:34.613396	63892	21.5	1	10
2014-03-28 12:36:43.977859	63893	51	2	9
2014-03-28 12:36:44.211629	63894	20.7	1	9
2014-03-28 12:36:45.071666	63895	47	2	8
2014-03-28 12:36:45.294505	63896	20.8	1	8
2014-03-28 12:36:56.324598	63897	370	3	2
2014-03-28 12:36:56.565149	63898	1110444.0952133986	4	2
2014-03-28 12:37:13.389053	63899	43	2	10
2014-03-28 12:37:13.609469	63900	21.5	1	10
2014-03-28 12:37:22.976585	63901	51	2	9
2014-03-28 12:37:23.209529	63902	20.7	1	9
2014-03-28 12:37:24.069185	63903	47	2	8
2014-03-28 12:37:24.291041	63904	20.7	1	8
2014-03-28 12:37:32.32479	63905	370	3	2
2014-03-28 12:37:32.55461	63906	1110447.5423175627	4	2
2014-03-28 12:37:52.391792	63907	43	2	10
2014-03-28 12:37:52.769531	63908	21.5	1	10
2014-03-28 12:38:01.975388	63909	51	2	9
2014-03-28 12:38:02.207359	63910	20.7	1	9
2014-03-28 12:38:03.068776	63911	47	2	8
2014-03-28 12:38:03.288128	63912	20.7	1	8
2014-03-28 12:38:08.322131	63913	402	3	2
2014-03-28 12:38:08.552741	63914	1110450.9894217271	4	2
2014-03-28 12:38:20.322502	63915	370	3	2
2014-03-28 12:38:20.545618	63916	1110452.1384564484	4	2
2014-03-28 12:38:31.391479	63917	43	2	10
2014-03-28 12:38:31.62281	63918	21.5	1	10
2014-03-28 12:38:32.320314	63919	370	3	2
2014-03-28 12:38:32.551194	63920	1110453.28749117	4	2
2014-03-28 12:38:40.975412	63921	51	2	9
2014-03-28 12:38:41.206227	63922	20.7	1	9
2014-03-28 12:38:42.06925	63923	47	2	8
2014-03-28 12:38:42.288999	63924	20.7	1	8
2014-03-28 12:38:56.322336	63925	402	3	2
2014-03-28 12:38:56.554999	63926	1110456.7345953342	4	2
2014-03-28 12:39:08.321777	63927	402	3	2
2014-03-28 12:39:08.545313	63928	1110457.8836300555	4	2
2014-03-28 12:39:10.391488	63929	43	2	10
2014-03-28 12:39:10.62648	63930	21.5	1	10
2014-03-28 12:39:19.977761	63931	51	2	9
2014-03-28 12:39:20.199017	63932	20.7	1	9
2014-03-28 12:39:21.068327	63933	47	2	8
2014-03-28 12:39:21.300076	63934	20.7	1	8
2014-03-28 12:39:32.322466	63935	402	3	2
2014-03-28 12:39:32.543965	63936	1110460.1816994983	4	2
2014-03-28 12:39:44.323086	63937	402	3	2
2014-03-28 12:39:44.55343	63938	1110461.3307342199	4	2
2014-03-28 12:39:49.390184	63939	43	2	10
2014-03-28 12:39:49.616893	63940	21.5	1	10
2014-03-28 12:39:58.978596	63941	51	2	9
2014-03-28 12:39:59.210442	63942	20.7	1	9
2014-03-28 12:40:00.069839	63943	47	2	8
2014-03-28 12:40:00.289802	63944	20.7	1	8
2014-03-28 12:40:08.320424	63945	402	3	2
2014-03-28 12:40:08.563381	63946	1110463.6288036627	4	2
2014-03-28 12:40:20.322745	63947	370	3	2
2014-03-28 12:40:20.544138	63948	1110465.9268731053	4	2
2014-03-28 12:40:28.390456	63949	43	2	10
2014-03-28 12:40:28.622672	63950	21.5	1	10
2014-03-28 12:40:32.323549	63951	402	3	2
2014-03-28 12:40:32.543872	63952	1110467.075907827	4	2
2014-03-28 12:40:37.977749	63953	51	2	9
2014-03-28 12:40:38.207702	63954	20.7	1	9
2014-03-28 12:40:39.068022	63955	47	2	8
2014-03-28 12:40:39.293013	63956	20.7	1	8
2014-03-28 12:40:56.320706	63957	370	3	2
2014-03-28 12:40:56.552771	63958	1110469.3739772697	4	2
2014-03-28 12:41:07.391677	63959	43	2	10
2014-03-28 12:41:07.61299	63960	21.5	1	10
2014-03-28 12:41:08.322727	63961	418	3	2
2014-03-28 12:41:08.552925	63962	1110470.523011991	4	2
2014-03-28 12:41:16.977938	63963	51	2	9
2014-03-28 12:41:17.202322	63964	20.7	1	9
2014-03-28 12:41:18.069229	63965	47	2	8
2014-03-28 12:41:18.300231	63966	20.7	1	8
2014-03-28 12:41:20.323743	63967	434	3	2
2014-03-28 12:41:20.546744	63968	1110471.6720467126	4	2
2014-03-28 12:41:32.322057	63969	418	3	2
2014-03-28 12:41:32.553941	63970	1110473.9701161555	4	2
2014-03-28 12:41:46.390732	63971	43	2	10
2014-03-28 12:41:46.613447	63972	21.5	1	10
2014-03-28 12:41:55.974598	63973	51	2	9
2014-03-28 12:41:56.208055	63974	20.7	1	9
2014-03-28 12:41:57.071486	63975	47	2	8
2014-03-28 12:41:57.292892	63976	20.7	1	8
2014-03-28 12:42:25.392555	63977	43	2	10
2014-03-28 12:42:25.623404	63978	21.5	1	10
2014-03-28 12:42:34.976209	63979	51	2	9
2014-03-28 12:42:35.200649	63980	20.7	1	9
2014-03-28 12:42:36.069602	63981	47	2	8
2014-03-28 12:42:36.301629	63982	20.7	1	8
2014-03-28 12:43:04.392191	63983	43	2	10
2014-03-28 12:43:04.615334	63984	21.5	1	10
2014-03-28 12:43:13.975966	63985	51	2	9
2014-03-28 12:43:14.207717	63986	20.7	1	9
2014-03-28 12:43:15.069283	63987	47	2	8
2014-03-28 12:43:15.292675	63988	20.7	1	8
2014-03-28 12:43:32.325292	63989	418	3	2
2014-03-28 12:43:32.558706	63990	1110487.7585328124	4	2
2014-03-28 12:43:43.395184	63991	43	2	10
2014-03-28 12:43:43.617234	63992	21.4	1	10
2014-03-28 12:43:52.97623	63993	51	2	9
2014-03-28 12:43:53.218028	63994	20.7	1	9
2014-03-28 12:43:54.069314	63995	47	2	8
2014-03-28 12:43:54.289307	63996	20.7	1	8
2014-03-28 12:44:22.392525	63997	43	2	10
2014-03-28 12:44:22.624821	63998	21.4	1	10
2014-03-28 12:44:31.975806	63999	51	2	9
2014-03-28 12:44:32.197017	64000	20.7	1	9
2014-03-28 12:44:33.069738	64001	47	2	8
2014-03-28 12:44:33.300646	64002	20.7	1	8
2014-03-28 12:45:01.393588	64003	43	2	10
2014-03-28 12:45:01.616071	64004	21.4	1	10
2014-03-28 12:45:10.974979	64005	51	2	9
2014-03-28 12:45:11.205383	64006	20.7	1	9
2014-03-28 12:45:12.068479	64007	47	2	8
2014-03-28 12:45:12.288705	64008	20.7	1	8
2014-03-28 12:45:40.39347	64009	43	2	10
2014-03-28 12:45:40.624267	64010	21.4	1	10
2014-03-28 12:45:49.977302	64011	51	2	9
2014-03-28 12:45:50.198188	64012	20.7	1	9
2014-03-28 12:45:51.068452	64013	47	2	8
2014-03-28 12:45:51.300085	64014	20.7	1	8
2014-03-28 12:46:19.392038	64015	43	2	10
2014-03-28 12:46:19.614307	64016	21.4	1	10
2014-03-28 12:46:28.977909	64017	51	2	9
2014-03-28 12:46:29.209477	64018	20.7	1	9
2014-03-28 12:46:30.069232	64019	47	2	8
2014-03-28 12:46:30.28879	64020	20.7	1	8
2014-03-28 12:46:32.321244	64021	418	3	2
2014-03-28 12:46:32.553057	64022	1110508.4456287501	4	2
2014-03-28 12:46:58.394874	64023	43	2	10
2014-03-28 12:46:58.623967	64024	21.4	1	10
2014-03-28 12:47:07.97392	64025	51	2	9
2014-03-28 12:47:08.206259	64026	20.6	1	9
2014-03-28 12:47:08.51235	64027	370	3	2
2014-03-28 12:47:08.732993	64028	1110511.8927329143	4	2
2014-03-28 12:47:09.070156	64029	47	2	8
2014-03-28 12:47:09.30016	64030	20.7	1	8
2014-03-28 12:47:20.320586	64031	370	3	2
2014-03-28 12:47:20.541279	64032	1110513.0417676356	4	2
2014-03-28 12:47:37.393208	64033	43	2	10
2014-03-28 12:47:37.63023	64034	21.4	1	10
2014-03-28 12:47:46.976206	64035	51	2	9
2014-03-28 12:47:47.199259	64036	20.6	1	9
2014-03-28 12:47:48.069353	64037	47	2	8
2014-03-28 12:47:48.300629	64038	20.7	1	8
2014-03-28 12:48:08.323305	64039	402	3	2
2014-03-28 12:48:08.544014	64040	1110518.7869412429	4	2
2014-03-28 12:48:16.393339	64041	43	2	10
2014-03-28 12:48:16.636891	64042	21.4	1	10
2014-03-28 12:48:25.977417	64043	51	2	9
2014-03-28 12:48:26.198473	64044	20.6	1	9
2014-03-28 12:48:27.068734	64045	47	2	8
2014-03-28 12:48:27.299613	64046	20.7	1	8
2014-03-28 12:48:55.396601	64047	43	2	10
2014-03-28 12:48:55.616495	64048	21.4	1	10
2014-03-28 12:49:04.974745	64049	51	2	9
2014-03-28 12:49:05.207466	64050	20.6	1	9
2014-03-28 12:49:06.069143	64051	47	2	8
2014-03-28 12:49:06.29009	64052	20.7	1	8
2014-03-28 12:49:08.319755	64053	434	3	2
2014-03-28 12:49:08.553871	64054	1110524.53211485	4	2
2014-03-28 12:49:20.320565	64055	434	3	2
2014-03-28 12:49:20.544844	64056	1110526.8301842927	4	2
2014-03-28 12:49:32.324826	64057	434	3	2
2014-03-28 12:49:32.556846	64058	1110527.979219014	4	2
2014-03-28 12:49:34.395822	64059	43	2	10
2014-03-28 12:49:34.61984	64060	21.4	1	10
2014-03-28 12:49:43.979479	64061	51	2	9
2014-03-28 12:49:44.210506	64062	20.6	1	9
2014-03-28 12:49:45.069885	64063	47	2	8
2014-03-28 12:49:45.291261	64064	20.7	1	8
2014-03-28 12:50:13.39572	64065	43	2	10
2014-03-28 12:50:13.629241	64066	21.4	1	10
2014-03-28 12:50:23.179502	64067	51	2	9
2014-03-28 12:50:23.40007	64068	20.6	1	9
2014-03-28 12:50:24.069093	64069	47	2	8
2014-03-28 12:50:24.298616	64070	20.7	1	8
2014-03-28 12:50:52.394334	64071	43	2	10
2014-03-28 12:50:52.616914	64072	21.4	1	10
2014-03-28 12:51:01.977474	64073	51	2	9
2014-03-28 12:51:02.207718	64074	20.6	1	9
2014-03-28 12:51:03.06817	64075	47	2	8
2014-03-28 12:51:03.289149	64076	20.7	1	8
2014-03-28 12:51:31.395807	64077	43	2	10
2014-03-28 12:51:31.627173	64078	21.4	1	10
2014-03-28 12:51:32.323955	64079	466	3	2
2014-03-28 12:51:32.54403	64080	1110542.9166703925	4	2
2014-03-28 12:51:40.978794	64081	51	2	9
2014-03-28 12:51:41.209205	64082	20.6	1	9
2014-03-28 12:51:42.06951	64083	47	2	8
2014-03-28 12:51:42.290165	64084	20.7	1	8
2014-03-28 12:51:44.319727	64085	434	3	2
2014-03-28 12:51:44.55244	64086	1110544.0657051138	4	2
2014-03-28 12:52:10.395	64087	43	2	10
2014-03-28 12:52:10.673632	64088	21.4	1	10
2014-03-28 12:52:19.979385	64089	51	2	9
2014-03-28 12:52:20.224771	64090	20.6	1	9
2014-03-28 12:52:21.069882	64091	47	2	8
2014-03-28 12:52:21.289928	64092	20.7	1	8
2014-03-28 12:52:32.319856	64093	434	3	2
2014-03-28 12:52:32.549577	64094	1110549.810878721	4	2
2014-03-28 12:52:49.394282	64095	43	2	10
2014-03-28 12:52:49.617257	64096	21.4	1	10
2014-03-28 12:52:58.975835	64097	51	2	9
2014-03-28 12:52:59.208128	64098	20.6	1	9
2014-03-28 12:53:00.069275	64099	47	2	8
2014-03-28 12:53:00.291296	64100	20.7	1	8
2014-03-28 12:53:28.395041	64101	43	2	10
2014-03-28 12:53:28.627991	64102	21.3	1	10
2014-03-28 12:53:37.972583	64103	51	2	9
2014-03-28 12:53:38.192179	64104	20.6	1	9
2014-03-28 12:53:39.118656	64105	47	2	8
2014-03-28 12:53:39.35068	64106	20.7	1	8
2014-03-28 12:53:44.32178	64107	498	3	2
2014-03-28 12:53:44.542914	64108	1110559.0031564923	4	2
2014-03-28 12:53:56.323113	64109	466	3	2
2014-03-28 12:53:56.556064	64110	1110560.1521912138	4	2
2014-03-28 12:54:07.399283	64111	43	2	10
2014-03-28 12:54:07.619666	64112	21.3	1	10
2014-03-28 12:54:08.323068	64113	466	3	2
2014-03-28 12:54:08.55349	64114	1110562.4502606564	4	2
2014-03-28 12:54:16.978858	64115	51	2	9
2014-03-28 12:54:17.199919	64116	20.6	1	9
2014-03-28 12:54:18.068959	64117	47	2	8
2014-03-28 12:54:18.298769	64118	20.7	1	8
2014-03-28 12:54:32.322963	64119	466	3	2
2014-03-28 12:54:32.546214	64120	1110564.7483300993	4	2
2014-03-28 12:54:46.396181	64121	43	2	10
2014-03-28 12:54:46.629551	64122	21.3	1	10
2014-03-28 12:54:55.973686	64123	51	2	9
2014-03-28 12:54:56.1977	64124	20.6	1	9
2014-03-28 12:54:57.069018	64125	47	2	8
2014-03-28 12:54:57.298329	64126	20.7	1	8
2014-03-28 12:55:25.39567	64127	43	2	10
2014-03-28 12:55:25.619633	64128	21.3	1	10
2014-03-28 12:55:32.322779	64129	482	3	2
2014-03-28 12:55:32.553943	64130	1110572.7915731492	4	2
2014-03-28 12:55:34.973331	64131	51	2	9
2014-03-28 12:55:35.193473	64132	20.6	1	9
2014-03-28 12:55:36.069683	64133	47	2	8
2014-03-28 12:55:36.299341	64134	20.7	1	8
2014-03-28 12:56:04.396637	64135	43	2	10
2014-03-28 12:56:04.620967	64136	21.3	1	10
2014-03-28 12:56:13.978648	64137	51	2	9
2014-03-28 12:56:14.220175	64138	20.6	1	9
2014-03-28 12:56:15.07011	64139	47	2	8
2014-03-28 12:56:15.29096	64140	20.7	1	8
2014-03-28 12:56:32.320844	64141	466	3	2
2014-03-28 12:56:32.554005	64142	1110580.8348161993	4	2
2014-03-28 12:56:43.396158	64143	43	2	10
2014-03-28 12:56:43.619634	64144	21.3	1	10
2014-03-28 12:56:52.975116	64145	51	2	9
2014-03-28 12:56:53.206885	64146	20.6	1	9
2014-03-28 12:56:54.070104	64147	47	2	8
2014-03-28 12:56:54.293603	64148	20.7	1	8
2014-03-28 12:57:22.396554	64149	43	2	10
2014-03-28 12:57:22.62905	64150	21.3	1	10
2014-03-28 12:57:31.977579	64151	51	2	9
2014-03-28 12:57:32.198718	64152	20.6	1	9
2014-03-28 12:57:33.070768	64153	47	2	8
2014-03-28 12:57:33.300645	64154	20.7	1	8
2014-03-28 12:58:01.397506	64155	43	2	10
2014-03-28 12:58:01.620964	64156	21.3	1	10
2014-03-28 12:58:10.979627	64157	51	2	9
2014-03-28 12:58:11.212577	64158	20.6	1	9
2014-03-28 12:58:12.07054	64159	47	2	8
2014-03-28 12:58:12.292022	64160	20.7	1	8
2014-03-28 12:58:32.322968	64161	466	3	2
2014-03-28 12:58:32.556687	64162	1110596.921302299	4	2
2014-03-28 12:58:40.397678	64163	43	2	10
2014-03-28 12:58:40.62142	64164	21.3	1	10
2014-03-28 12:58:49.974609	64165	51	2	9
2014-03-28 12:58:50.208244	64166	20.6	1	9
2014-03-28 12:58:51.068933	64167	47	2	8
2014-03-28 12:58:51.292015	64168	20.7	1	8
2014-03-28 12:59:19.399689	64169	43	2	10
2014-03-28 12:59:19.633836	64170	21.3	1	10
2014-03-28 12:59:28.978229	64171	51	2	9
2014-03-28 12:59:29.20126	64172	20.6	1	9
2014-03-28 12:59:30.067914	64173	47	2	8
2014-03-28 12:59:30.301498	64174	20.7	1	8
2014-03-28 12:59:32.320281	64175	498	3	2
2014-03-28 12:59:32.542302	64176	1110604.964545349	4	2
2014-03-28 12:59:44.321505	64177	450	3	2
2014-03-28 12:59:44.560681	64178	1110606.1135800702	4	2
2014-03-28 12:59:58.398922	64179	43	2	10
2014-03-28 12:59:58.621347	64180	21.3	1	10
2014-03-28 13:00:07.974161	64181	51	2	9
2014-03-28 13:00:08.20557	64182	20.6	1	9
2014-03-28 13:00:09.068555	64183	47	2	8
2014-03-28 13:00:09.289397	64184	20.7	1	8
2014-03-28 13:00:32.319889	64185	434	3	2
2014-03-28 13:00:32.563326	64186	1110611.8587536775	4	2
2014-03-28 13:00:37.397259	64187	43	2	10
2014-03-28 13:00:37.624674	64188	21.3	1	10
2014-03-28 13:00:46.974495	64189	51	2	9
2014-03-28 13:00:47.205424	64190	20.6	1	9
2014-03-28 13:00:48.070885	64191	47	2	8
2014-03-28 13:00:48.290387	64192	20.7	1	8
2014-03-28 13:01:16.397836	64193	43	2	10
2014-03-28 13:01:16.630765	64194	21.3	1	10
2014-03-28 13:01:25.977258	64195	51	2	9
2014-03-28 13:01:26.198481	64196	20.6	1	9
2014-03-28 13:01:27.068492	64197	47	2	8
2014-03-28 13:01:27.299444	64198	20.7	1	8
2014-03-28 13:01:32.321877	64199	434	3	2
2014-03-28 13:01:32.543648	64200	1110619.9019967273	4	2
2014-03-28 13:01:40.313557	64201	55	2	1
2014-03-28 13:01:40.544735	64202	20.4	1	1
2014-03-28 13:01:55.398664	64203	43	2	10
2014-03-28 13:01:55.619478	64204	21.3	1	10
2014-03-28 13:02:04.975599	64205	51	2	9
2014-03-28 13:02:05.207445	64206	20.6	1	9
2014-03-28 13:02:06.069081	64207	47	2	8
2014-03-28 13:02:06.290983	64208	20.7	1	8
2014-03-28 13:02:34.398709	64209	43	2	10
2014-03-28 13:02:34.628791	64210	21.3	1	10
2014-03-28 13:02:43.974429	64211	51	2	9
2014-03-28 13:02:44.198042	64212	20.6	1	9
2014-03-28 13:02:45.069487	64213	47	2	8
2014-03-28 13:02:45.301795	64214	20.7	1	8
2014-03-28 13:03:13.399294	64215	43	2	10
2014-03-28 13:03:13.622306	64216	21.3	1	10
2014-03-28 13:03:22.977368	64217	51	2	9
2014-03-28 13:03:23.209333	64218	20.6	1	9
2014-03-28 13:03:24.070756	64219	47	2	8
2014-03-28 13:03:24.290148	64220	20.7	1	8
2014-03-28 13:03:32.321091	64221	370	3	2
2014-03-28 13:03:32.553646	64222	1110633.6904133842	4	2
2014-03-28 13:03:44.320124	64223	354	3	2
2014-03-28 13:03:44.547972	64224	1110634.8394481058	4	2
2014-03-28 13:03:52.399747	64225	43	2	10
2014-03-28 13:03:52.632155	64226	21.3	1	10
2014-03-28 13:04:01.977627	64227	51	2	9
2014-03-28 13:04:02.201166	64228	20.6	1	9
2014-03-28 13:04:03.069055	64229	47	2	8
2014-03-28 13:04:03.301882	64230	20.7	1	8
2014-03-28 13:04:31.399329	64231	43	2	10
2014-03-28 13:04:31.622181	64232	21.3	1	10
2014-03-28 13:04:40.97338	64233	51	2	9
2014-03-28 13:04:41.214925	64234	20.6	1	9
2014-03-28 13:04:42.068617	64235	47	2	8
2014-03-28 13:04:42.289945	64236	20.7	1	8
2014-03-28 13:05:10.401288	64237	43	2	10
2014-03-28 13:05:10.632953	64238	21.3	1	10
2014-03-28 13:05:19.972359	64239	51	2	9
2014-03-28 13:05:20.194596	64240	20.6	1	9
2014-03-28 13:05:21.068317	64241	47	2	8
2014-03-28 13:05:21.299675	64242	20.7	1	8
2014-03-28 13:05:32.32012	64243	354	3	2
2014-03-28 13:05:32.544181	64244	1110645.1807605985	4	2
2014-03-28 13:05:49.400113	64245	43	2	10
2014-03-28 13:05:49.632927	64246	21.3	1	10
2014-03-28 13:05:58.977044	64247	51	2	9
2014-03-28 13:05:59.198806	64248	20.6	1	9
2014-03-28 13:06:00.069325	64249	47	2	8
2014-03-28 13:06:00.29999	64250	20.7	1	8
2014-03-28 13:06:28.3988	64251	43	2	10
2014-03-28 13:06:28.622164	64252	21.3	1	10
2014-03-28 13:06:32.32159	64253	402	3	2
2014-03-28 13:06:32.552853	64254	1110650.9259342055	4	2
2014-03-28 13:06:37.976427	64255	51	2	9
2014-03-28 13:06:38.196526	64256	20.6	1	9
2014-03-28 13:06:39.068004	64257	47	2	8
2014-03-28 13:06:39.301565	64258	20.7	1	8
2014-03-28 13:07:07.406381	64259	43	2	10
2014-03-28 13:07:07.629016	64260	21.3	1	10
2014-03-28 13:07:16.973478	64261	51	2	9
2014-03-28 13:07:17.205141	64262	20.6	1	9
2014-03-28 13:07:18.068974	64263	47	2	8
2014-03-28 13:07:18.289805	64264	20.7	1	8
2014-03-28 13:07:46.39946	64265	43	2	10
2014-03-28 13:07:46.633415	64266	21.3	1	10
2014-03-28 13:07:55.979517	64267	51	2	9
2014-03-28 13:07:56.20236	64268	20.6	1	9
2014-03-28 13:07:57.069226	64269	47	2	8
2014-03-28 13:07:57.299944	64270	20.7	1	8
2014-03-28 13:08:25.399769	64271	43	2	10
2014-03-28 13:08:25.622831	64272	21.3	1	10
2014-03-28 13:08:32.32171	64273	418	3	2
2014-03-28 13:08:32.554598	64274	1110665.863385584	4	2
2014-03-28 13:08:34.977472	64275	51	2	9
2014-03-28 13:08:35.200945	64276	20.6	1	9
2014-03-28 13:08:36.070267	64277	46	2	8
2014-03-28 13:08:36.300924	64278	20.7	1	8
2014-03-28 13:09:04.398717	64279	43	2	10
2014-03-28 13:09:04.625969	64280	21.2	1	10
2014-03-28 13:09:13.977294	64281	51	2	9
2014-03-28 13:09:14.221642	64282	20.6	1	9
2014-03-28 13:09:15.066333	64283	46	2	8
2014-03-28 13:09:15.288465	64284	20.7	1	8
2014-03-28 13:09:32.322466	64285	418	3	2
2014-03-28 13:09:32.587435	64286	1110672.7575939123	4	2
2014-03-28 13:09:43.399114	64287	43	2	10
2014-03-28 13:09:43.655286	64288	21.2	1	10
2014-03-28 13:09:52.973371	64289	51	2	9
2014-03-28 13:09:53.207594	64290	20.6	1	9
2014-03-28 13:09:54.068172	64291	46	2	8
2014-03-28 13:09:54.296366	64292	20.7	1	8
2014-03-28 13:10:22.402856	64293	43	2	10
2014-03-28 13:10:22.637331	64294	21.2	1	10
2014-03-28 13:10:31.976197	64295	51	2	9
2014-03-28 13:10:32.200844	64296	20.6	1	9
2014-03-28 13:10:32.510887	64297	434	3	2
2014-03-28 13:10:32.741304	64298	1110679.6518022409	4	2
2014-03-28 13:10:33.069169	64299	46	2	8
2014-03-28 13:10:33.288931	64300	20.7	1	8
2014-03-28 13:11:01.400043	64301	43	2	10
2014-03-28 13:11:01.633229	64302	21.2	1	10
2014-03-28 13:11:10.976234	64303	51	2	9
2014-03-28 13:11:11.230165	64304	20.6	1	9
2014-03-28 13:11:12.067659	64305	46	2	8
2014-03-28 13:11:12.302592	64306	20.7	1	8
2014-03-28 13:11:32.323813	64307	418	3	2
2014-03-28 13:11:32.551356	64308	1110686.5460105694	4	2
2014-03-28 13:11:40.401022	64309	43	2	10
2014-03-28 13:11:40.63293	64310	21.2	1	10
2014-03-28 13:11:49.976768	64311	51	2	9
2014-03-28 13:11:50.198222	64312	20.6	1	9
2014-03-28 13:11:51.068721	64313	46	2	8
2014-03-28 13:11:51.299562	64314	20.7	1	8
2014-03-28 13:11:56.319937	64315	402	3	2
2014-03-28 13:11:56.54192	64316	1110688.8440800123	4	2
2014-03-28 13:12:19.203157	64317	370	3	2
2014-03-28 13:12:19.439214	64318	1110691.142149455	4	2
2014-03-28 13:12:19.745209	64319	43	2	10
2014-03-28 13:12:19.968191	64320	21.2	1	10
2014-03-28 13:12:20.319866	64321	370	3	2
2014-03-28 13:12:20.551053	64322	1110692.2911841765	4	2
2014-03-28 13:12:28.975991	64323	51	2	9
2014-03-28 13:12:29.202517	64324	20.6	1	9
2014-03-28 13:12:30.071349	64325	46	2	8
2014-03-28 13:12:30.30162	64326	20.7	1	8
2014-03-28 13:12:32.31982	64327	370	3	2
2014-03-28 13:12:32.561246	64328	1110693.4402188978	4	2
2014-03-28 13:12:58.402953	64329	43	2	10
2014-03-28 13:12:58.652995	64330	21.2	1	10
2014-03-28 13:13:07.974794	64331	51	2	9
2014-03-28 13:13:08.201466	64332	20.6	1	9
2014-03-28 13:13:09.069323	64333	46	2	8
2014-03-28 13:13:09.303565	64334	20.7	1	8
2014-03-28 13:13:37.402552	64335	43	2	10
2014-03-28 13:13:37.627951	64336	21.2	1	10
2014-03-28 13:13:46.976051	64337	51	2	9
2014-03-28 13:13:47.211622	64338	20.6	1	9
2014-03-28 13:13:48.071952	64339	46	2	8
2014-03-28 13:13:48.296889	64340	20.7	1	8
2014-03-28 13:14:01.31326	64341	55	2	1
2014-03-28 13:14:01.54701	64342	20.4	1	1
2014-03-28 13:14:16.401339	64343	43	2	10
2014-03-28 13:14:16.637029	64344	21.2	1	10
2014-03-28 13:14:25.97684	64345	51	2	9
2014-03-28 13:14:26.212884	64346	20.6	1	9
2014-03-28 13:14:27.069463	64347	46	2	8
2014-03-28 13:14:27.297167	64348	20.7	1	8
2014-03-28 13:14:55.403035	64349	43	2	10
2014-03-28 13:14:55.633644	64350	21.2	1	10
2014-03-28 13:14:56.32078	64351	402	3	2
2014-03-28 13:14:56.544505	64352	1110708.3776702762	4	2
2014-03-28 13:15:04.975857	64353	51	2	9
2014-03-28 13:15:05.208956	64354	20.6	1	9
2014-03-28 13:15:06.069043	64355	46	2	8
2014-03-28 13:15:06.292677	64356	20.7	1	8
2014-03-28 13:15:32.322371	64357	370	3	2
2014-03-28 13:15:32.55461	64358	1110711.8247744404	4	2
2014-03-28 13:15:34.406841	64359	43	2	10
2014-03-28 13:15:34.628242	64360	21.2	1	10
2014-03-28 13:15:43.972523	64361	51	2	9
2014-03-28 13:15:44.204242	64362	20.6	1	9
2014-03-28 13:15:44.514048	64363	402	3	2
2014-03-28 13:15:44.745519	64364	1110712.973809162	4	2
2014-03-28 13:15:45.068863	64365	46	2	8
2014-03-28 13:15:45.302944	64366	20.7	1	8
2014-03-28 13:15:56.319472	64367	402	3	2
2014-03-28 13:15:56.545829	64368	1110715.2718786048	4	2
2014-03-28 13:16:13.403164	64369	43	2	10
2014-03-28 13:16:13.636345	64370	21.1	1	10
2014-03-28 13:16:22.973922	64371	51	2	9
2014-03-28 13:16:23.196505	64372	20.6	1	9
2014-03-28 13:16:24.069037	64373	46	2	8
2014-03-28 13:16:24.30136	64374	20.7	1	8
2014-03-28 13:16:32.322336	64375	402	3	2
2014-03-28 13:16:32.548239	64376	1110718.718982769	4	2
2014-03-28 13:16:52.402392	64377	43	2	10
2014-03-28 13:16:52.648054	64378	21.1	1	10
2014-03-28 13:17:01.97598	64379	51	2	9
2014-03-28 13:17:02.196489	64380	20.6	1	9
2014-03-28 13:17:03.067399	64381	46	2	8
2014-03-28 13:17:03.2985	64382	20.7	1	8
2014-03-28 13:17:31.404542	64383	43	2	10
2014-03-28 13:17:31.625481	64384	21.1	1	10
2014-03-28 13:17:32.318797	64385	402	3	2
2014-03-28 13:17:32.550475	64386	1110725.6131910975	4	2
2014-03-28 13:17:40.972962	64387	51	2	9
2014-03-28 13:17:41.195946	64388	20.6	1	9
2014-03-28 13:17:42.068526	64389	46	2	8
2014-03-28 13:17:42.297753	64390	20.7	1	8
2014-03-28 13:18:10.402731	64391	43	2	10
2014-03-28 13:18:10.623454	64392	21.1	1	10
2014-03-28 13:18:19.974659	64393	51	2	9
2014-03-28 13:18:20.205836	64394	20.6	1	9
2014-03-28 13:18:20.511415	64395	450	3	2
2014-03-28 13:18:20.732465	64396	1110731.3583647045	4	2
2014-03-28 13:18:21.068233	64397	46	2	8
2014-03-28 13:18:21.298836	64398	20.7	1	8
2014-03-28 13:18:49.40288	64399	43	2	10
2014-03-28 13:18:49.624746	64400	21.1	1	10
2014-03-28 13:18:58.979409	64401	51	2	9
2014-03-28 13:18:59.210372	64402	20.6	1	9
2014-03-28 13:19:00.069807	64403	46	2	8
2014-03-28 13:19:00.29012	64404	20.7	1	8
2014-03-28 13:19:28.403556	64405	43	2	10
2014-03-28 13:19:28.635566	64406	21.1	1	10
2014-03-28 13:19:32.320392	64407	434	3	2
2014-03-28 13:19:32.544001	64408	1110739.4016077544	4	2
2014-03-28 13:19:37.972195	64409	51	2	9
2014-03-28 13:19:38.209716	64410	20.6	1	9
2014-03-28 13:19:39.070871	64411	46	2	8
2014-03-28 13:19:39.292223	64412	20.7	1	8
2014-03-28 13:20:07.403186	64413	43	2	10
2014-03-28 13:20:07.634559	64414	21.1	1	10
2014-03-28 13:20:16.974782	64415	51	2	9
2014-03-28 13:20:17.197687	64416	20.6	1	9
2014-03-28 13:20:18.068742	64417	46	2	8
2014-03-28 13:20:18.299919	64418	20.7	1	8
2014-03-28 13:20:32.320338	64419	434	3	2
2014-03-28 13:20:32.543187	64420	1110747.4448508043	4	2
2014-03-28 13:20:46.404408	64421	43	2	10
2014-03-28 13:20:46.636641	64422	21.1	1	10
2014-03-28 13:20:55.975195	64423	51	2	9
2014-03-28 13:20:56.197128	64424	20.6	1	9
2014-03-28 13:20:57.068586	64425	46	2	8
2014-03-28 13:20:57.31356	64426	20.7	1	8
2014-03-28 13:21:08.320233	64427	450	3	2
2014-03-28 13:21:08.544021	64428	1110752.04098969	4	2
2014-03-28 13:21:25.405579	64429	43	2	10
2014-03-28 13:21:25.637276	64430	21.1	1	10
2014-03-28 13:21:32.319372	64431	434	3	2
2014-03-28 13:21:32.542473	64432	1110754.3390591328	4	2
2014-03-28 13:21:34.972276	64433	51	2	9
2014-03-28 13:21:35.204108	64434	20.6	1	9
2014-03-28 13:21:36.068759	64435	46	2	8
2014-03-28 13:21:36.288669	64436	20.7	1	8
2014-03-28 13:22:04.404866	64437	43	2	10
2014-03-28 13:22:04.638437	64438	21.1	1	10
2014-03-28 13:22:13.973614	64439	51	2	9
2014-03-28 13:22:14.195573	64440	20.6	1	9
2014-03-28 13:22:15.069301	64441	46	2	8
2014-03-28 13:22:15.300324	64442	20.7	1	8
2014-03-28 13:22:32.32011	64443	450	3	2
2014-03-28 13:22:32.541188	64444	1110762.3823021827	4	2
2014-03-28 13:22:43.404887	64445	43	2	10
2014-03-28 13:22:43.639566	64446	21.1	1	10
2014-03-28 13:22:52.973402	64447	51	2	9
2014-03-28 13:22:53.195224	64448	20.6	1	9
2014-03-28 13:22:54.069187	64449	46	2	8
2014-03-28 13:22:54.299323	64450	20.6	1	8
2014-03-28 13:23:22.405468	64451	43	2	10
2014-03-28 13:23:22.627639	64452	21.1	1	10
2014-03-28 13:23:31.974144	64453	51	2	9
2014-03-28 13:23:32.206033	64454	20.6	1	9
2014-03-28 13:23:33.069078	64455	46	2	8
2014-03-28 13:23:33.289349	64456	20.6	1	8
2014-03-28 13:24:01.404767	64457	43	2	10
2014-03-28 13:24:01.636571	64458	21.1	1	10
2014-03-28 13:24:10.976784	64459	51	2	9
2014-03-28 13:24:11.1994	64460	20.6	1	9
2014-03-28 13:24:12.067933	64461	46	2	8
2014-03-28 13:24:12.298704	64462	20.6	1	8
2014-03-28 13:24:20.319331	64463	402	3	2
2014-03-28 13:24:20.541778	64464	1110775.0216841183	4	2
2014-03-28 13:24:32.318983	64465	418	3	2
2014-03-28 13:24:32.551295	64466	1110777.3197535612	4	2
2014-03-28 13:24:40.405424	64467	43	2	10
2014-03-28 13:24:40.627962	64468	21.1	1	10
2014-03-28 13:24:49.977	64469	51	2	9
2014-03-28 13:24:50.210271	64470	20.6	1	9
2014-03-28 13:24:51.069992	64471	46	2	8
2014-03-28 13:24:51.291094	64472	20.6	1	8
2014-03-28 13:25:19.404777	64473	43	2	10
2014-03-28 13:25:19.654494	64474	21.0	1	10
2014-03-28 13:25:28.973643	64475	51	2	9
2014-03-28 13:25:29.196236	64476	20.6	1	9
2014-03-28 13:25:30.067771	64477	46	2	8
2014-03-28 13:25:30.299199	64478	20.6	1	8
2014-03-28 13:25:58.404588	64479	43	2	10
2014-03-28 13:25:58.626065	64480	21.0	1	10
2014-03-28 13:26:07.977678	64481	51	2	9
2014-03-28 13:26:08.20979	64482	20.6	1	9
2014-03-28 13:26:09.067831	64483	46	2	8
2014-03-28 13:26:09.290306	64484	20.6	1	8
2014-03-28 13:26:32.320012	64485	402	3	2
2014-03-28 13:26:32.553303	64486	1110789.9591354968	4	2
2014-03-28 13:26:37.40682	64487	43	2	10
2014-03-28 13:26:37.631907	64488	21.0	1	10
2014-03-28 13:26:44.319086	64489	402	3	2
2014-03-28 13:26:44.552439	64490	1110791.108170218	4	2
2014-03-28 13:26:46.97272	64491	51	2	9
2014-03-28 13:26:47.194408	64492	20.6	1	9
2014-03-28 13:26:48.070528	64493	46	2	8
2014-03-28 13:26:48.301526	64494	20.6	1	8
2014-03-28 13:27:08.317641	64495	370	3	2
2014-03-28 13:27:08.541532	64496	1110794.5552743825	4	2
2014-03-28 13:27:16.405386	64497	43	2	10
2014-03-28 13:27:16.63728	64498	21.0	1	10
2014-03-28 13:27:25.975584	64499	51	2	9
2014-03-28 13:27:26.197	64500	20.6	1	9
2014-03-28 13:27:27.067905	64501	46	2	8
2014-03-28 13:27:27.298469	64502	20.6	1	8
2014-03-28 13:27:32.319012	64503	402	3	2
2014-03-28 13:27:32.54289	64504	1110795.708780056	4	2
2014-03-28 13:27:55.405923	64505	43	2	10
2014-03-28 13:27:55.641371	64506	21.0	1	10
2014-03-28 13:28:04.973291	64507	51	2	9
2014-03-28 13:28:05.195157	64508	20.6	1	9
2014-03-28 13:28:06.069272	64509	46	2	8
2014-03-28 13:28:06.300966	64510	20.6	1	8
2014-03-28 13:28:08.317314	64511	402	3	2
2014-03-28 13:28:08.540659	64512	1110800.3049189416	4	2
2014-03-28 13:28:32.319701	64513	402	3	2
2014-03-28 13:28:32.551264	64514	1110802.6029883844	4	2
2014-03-28 13:28:34.406338	64515	43	2	10
2014-03-28 13:28:34.627049	64516	21.0	1	10
2014-03-28 13:28:43.975856	64517	51	2	9
2014-03-28 13:28:44.206573	64518	20.6	1	9
2014-03-28 13:28:45.068305	64519	46	2	8
2014-03-28 13:28:45.295629	64520	20.6	1	8
2014-03-28 13:28:58.541743	64521	55	2	1
2014-03-28 13:28:58.785663	64522	20.3	1	1
2014-03-28 13:29:13.408192	64523	43	2	10
2014-03-28 13:29:13.630685	64524	21.0	1	10
2014-03-28 13:29:22.976772	64525	51	2	9
2014-03-28 13:29:23.211035	64526	20.6	1	9
2014-03-28 13:29:24.070583	64527	46	2	8
2014-03-28 13:29:24.292623	64528	20.6	1	8
2014-03-28 13:29:32.318589	64529	402	3	2
2014-03-28 13:29:32.551375	64530	1110809.497196713	4	2
2014-03-28 13:29:37.302328	64531	55	2	1
2014-03-28 13:29:37.522241	64532	20.3	1	1
2014-03-28 13:29:52.407952	64533	43	2	10
2014-03-28 13:29:52.638618	64534	21.0	1	10
2014-03-28 13:30:01.974203	64535	51	2	9
2014-03-28 13:30:02.200594	64536	20.6	1	9
2014-03-28 13:30:03.069959	64537	47	2	8
2014-03-28 13:30:03.300711	64538	20.6	1	8
2014-03-28 13:30:16.300414	64539	55	2	1
2014-03-28 13:30:16.520917	64540	20.3	1	1
2014-03-28 13:30:31.407201	64541	43	2	10
2014-03-28 13:30:31.638873	64542	21.0	1	10
2014-03-28 13:30:40.973684	64543	51	2	9
2014-03-28 13:30:41.217122	64544	20.6	1	9
2014-03-28 13:30:42.070032	64545	47	2	8
2014-03-28 13:30:42.302009	64546	20.6	1	8
2014-03-28 13:30:55.303138	64547	55	2	1
2014-03-28 13:30:55.523894	64548	20.3	1	1
2014-03-28 13:30:56.317211	64549	466	3	2
2014-03-28 13:30:56.547135	64550	1110818.6894744842	4	2
2014-03-28 13:31:08.321941	64551	450	3	2
2014-03-28 13:31:08.543716	64552	1110820.987543927	4	2
2014-03-28 13:31:10.405344	64553	43	2	10
2014-03-28 13:31:10.636806	64554	21.0	1	10
2014-03-28 13:31:19.974115	64555	51	2	9
2014-03-28 13:31:20.196867	64556	20.5	1	9
2014-03-28 13:31:21.068764	64557	47	2	8
2014-03-28 13:31:21.303195	64558	20.6	1	8
2014-03-28 13:31:34.11173	64559	450	3	2
2014-03-28 13:31:34.334627	64560	1110823.28561337	4	2
2014-03-28 13:31:34.640234	64561	55	2	1
2014-03-28 13:31:34.870775	64562	20.3	1	1
2014-03-28 13:31:49.407986	64563	43	2	10
2014-03-28 13:31:49.628757	64564	21.0	1	10
2014-03-28 13:31:58.975042	64565	51	2	9
2014-03-28 13:31:59.207317	64566	20.5	1	9
2014-03-28 13:32:00.068905	64567	47	2	8
2014-03-28 13:32:00.29256	64568	20.6	1	8
2014-03-28 13:32:28.407665	64569	43	2	10
2014-03-28 13:32:28.651694	64570	21.0	1	10
2014-03-28 13:32:32.319917	64571	450	3	2
2014-03-28 13:32:32.541675	64572	1110831.3288564198	4	2
2014-03-28 13:32:37.972946	64573	51	2	9
2014-03-28 13:32:38.411475	64574	20.5	1	9
2014-03-28 13:32:39.068693	64575	47	2	8
2014-03-28 13:32:39.295695	64576	20.6	1	8
2014-03-28 13:33:07.407759	64577	43	2	10
2014-03-28 13:33:07.627947	64578	21.0	1	10
2014-03-28 13:33:16.975624	64579	51	2	9
2014-03-28 13:33:17.205298	64580	20.5	1	9
2014-03-28 13:33:18.067834	64581	47	2	8
2014-03-28 13:33:18.289636	64582	20.6	1	8
2014-03-28 13:33:46.407638	64583	43	2	10
2014-03-28 13:33:46.659419	64584	21.0	1	10
2014-03-28 13:33:55.97642	64585	51	2	9
2014-03-28 13:33:56.197411	64586	20.5	1	9
2014-03-28 13:33:57.068679	64587	47	2	8
2014-03-28 13:33:57.299464	64588	20.6	1	8
2014-03-28 13:34:25.407332	64589	43	2	10
2014-03-28 13:34:25.629285	64590	21.0	1	10
2014-03-28 13:34:34.975642	64591	51	2	9
2014-03-28 13:34:35.206675	64592	20.5	1	9
2014-03-28 13:34:36.068076	64593	46	2	8
2014-03-28 13:34:36.288262	64594	20.6	1	8
2014-03-28 13:35:04.407555	64595	43	2	10
2014-03-28 13:35:04.638554	64596	21.0	1	10
2014-03-28 13:35:13.97559	64597	51	2	9
2014-03-28 13:35:14.197288	64598	20.5	1	9
2014-03-28 13:35:15.070999	64599	46	2	8
2014-03-28 13:35:15.300804	64600	20.6	1	8
2014-03-28 13:35:43.4081	64601	43	2	10
2014-03-28 13:35:43.62889	64602	21.0	1	10
2014-03-28 13:35:52.972345	64603	51	2	9
2014-03-28 13:35:53.205661	64604	20.5	1	9
2014-03-28 13:35:54.068744	64605	46	2	8
2014-03-28 13:35:54.291626	64606	20.6	1	8
2014-03-28 13:36:22.408945	64607	43	2	10
2014-03-28 13:36:22.640303	64608	21.0	1	10
2014-03-28 13:36:31.97608	64609	51	2	9
2014-03-28 13:36:32.200332	64610	20.5	1	9
2014-03-28 13:36:33.068305	64611	46	2	8
2014-03-28 13:36:33.301037	64612	20.6	1	8
2014-03-28 13:37:01.412078	64613	43	2	10
2014-03-28 13:37:01.632931	64614	21.0	1	10
2014-03-28 13:37:10.975188	64615	51	2	9
2014-03-28 13:37:11.20921	64616	20.5	1	9
2014-03-28 13:37:12.090092	64617	46	2	8
2014-03-28 13:37:12.347189	64618	20.6	1	8
2014-03-28 13:37:40.44146	64619	43	2	10
2014-03-28 13:37:40.68394	64620	21.0	1	10
2014-03-28 13:37:49.975018	64621	51	2	9
2014-03-28 13:37:50.196613	64622	20.5	1	9
2014-03-28 13:37:51.068731	64623	46	2	8
2014-03-28 13:37:51.298874	64624	20.6	1	8
2014-03-28 13:38:19.408661	64625	43	2	10
2014-03-28 13:38:19.632513	64626	21.0	1	10
2014-03-28 13:38:28.975225	64627	51	2	9
2014-03-28 13:38:29.208566	64628	20.5	1	9
2014-03-28 13:38:30.068856	64629	46	2	8
2014-03-28 13:38:30.288671	64630	20.6	1	8
2014-03-28 13:38:32.318305	64631	418	3	2
2014-03-28 13:38:32.549057	64632	1110874.9921758336	4	2
2014-03-28 13:38:58.409265	64633	43	2	10
2014-03-28 13:38:58.629306	64634	21.0	1	10
2014-03-28 13:39:07.976497	64635	51	2	9
2014-03-28 13:39:08.208216	64636	20.5	1	9
2014-03-28 13:39:09.068702	64637	46	2	8
2014-03-28 13:39:09.28915	64638	20.6	1	8
2014-03-28 13:39:32.318609	64639	418	3	2
2014-03-28 13:39:32.549423	64640	1110881.8863841621	4	2
2014-03-28 13:39:37.409013	64641	43	2	10
2014-03-28 13:39:37.633689	64642	21.0	1	10
2014-03-28 13:39:46.973841	64643	51	2	9
2014-03-28 13:39:47.204965	64644	20.5	1	9
2014-03-28 13:39:48.067435	64645	46	2	8
2014-03-28 13:39:48.289096	64646	20.6	1	8
2014-03-28 13:39:56.315437	64647	370	3	2
2014-03-28 13:39:56.547166	64648	1110884.184453605	4	2
2014-03-28 13:40:08.320029	64649	370	3	2
2014-03-28 13:40:08.540568	64650	1110885.3334883263	4	2
2014-03-28 13:40:16.409844	64651	43	2	10
2014-03-28 13:40:16.641469	64652	21.0	1	10
2014-03-28 13:40:25.97797	64653	51	2	9
2014-03-28 13:40:26.198818	64654	20.5	1	9
2014-03-28 13:40:27.068896	64655	46	2	8
2014-03-28 13:40:27.299476	64656	20.6	1	8
2014-03-28 13:40:32.319476	64657	370	3	2
2014-03-28 13:40:32.541884	64658	1110887.6315577691	4	2
2014-03-28 13:40:55.410371	64659	43	2	10
2014-03-28 13:40:55.641577	64660	20.9	1	10
2014-03-28 13:41:04.975112	64661	51	2	9
2014-03-28 13:41:05.200485	64662	20.5	1	9
2014-03-28 13:41:06.070158	64663	46	2	8
2014-03-28 13:41:06.300076	64664	20.6	1	8
2014-03-28 13:41:20.318689	64665	402	3	2
2014-03-28 13:41:20.538058	64666	1110893.3767313762	4	2
2014-03-28 13:41:32.317582	64667	370	3	2
2014-03-28 13:41:32.558781	64668	1110894.5257660977	4	2
2014-03-28 13:41:34.409728	64669	43	2	10
2014-03-28 13:41:34.629736	64670	20.9	1	10
2014-03-28 13:41:43.976764	64671	51	2	9
2014-03-28 13:41:44.211623	64672	20.5	1	9
2014-03-28 13:41:45.069054	64673	46	2	8
2014-03-28 13:41:45.29161	64674	20.6	1	8
2014-03-28 13:42:13.409947	64675	43	2	10
2014-03-28 13:42:13.640736	64676	20.9	1	10
2014-03-28 13:42:20.318111	64677	402	3	2
2014-03-28 13:42:20.538898	64678	1110899.1219049834	4	2
2014-03-28 13:42:22.975198	64679	51	2	9
2014-03-28 13:42:23.206349	64680	20.5	1	9
2014-03-28 13:42:24.069382	64681	46	2	8
2014-03-28 13:42:24.290082	64682	20.6	1	8
2014-03-28 13:42:32.318989	64683	418	3	2
2014-03-28 13:42:32.551132	64684	1110901.4199744263	4	2
2014-03-28 13:42:52.422552	64685	43	2	10
2014-03-28 13:42:52.645697	64686	20.9	1	10
2014-03-28 13:43:01.976296	64687	51	2	9
2014-03-28 13:43:02.207858	64688	20.5	1	9
2014-03-28 13:43:03.069106	64689	46	2	8
2014-03-28 13:43:03.289485	64690	20.6	1	8
2014-03-28 13:43:08.317329	64691	466	3	2
2014-03-28 13:43:08.551381	64692	1110904.8670785904	4	2
2014-03-28 13:43:20.319761	64693	482	3	2
2014-03-28 13:43:20.54502	64694	1110907.1651480333	4	2
2014-03-28 13:43:31.413624	64695	43	2	10
2014-03-28 13:43:31.647643	64696	20.9	1	10
2014-03-28 13:43:32.319051	64697	482	3	2
2014-03-28 13:43:32.549375	64698	1110908.3141827546	4	2
2014-03-28 13:43:40.975717	64699	51	2	9
2014-03-28 13:43:41.208085	64700	20.5	1	9
2014-03-28 13:43:42.068481	64701	46	2	8
2014-03-28 13:43:42.289964	64702	20.6	1	8
2014-03-28 13:44:10.409416	64703	43	2	10
2014-03-28 13:44:10.642482	64704	20.9	1	10
2014-03-28 13:44:19.971966	64705	51	2	9
2014-03-28 13:44:20.193591	64706	20.5	1	9
2014-03-28 13:44:21.067391	64707	46	2	8
2014-03-28 13:44:21.297427	64708	20.6	1	8
2014-03-28 13:44:32.317058	64709	498	3	2
2014-03-28 13:44:32.538942	64710	1110916.3574258045	4	2
2014-03-28 13:44:44.317142	64711	466	3	2
2014-03-28 13:44:44.550107	64712	1110917.506460526	4	2
2014-03-28 13:44:49.410511	64713	43	2	10
2014-03-28 13:44:49.634146	64714	20.9	1	10
2014-03-28 13:44:56.31997	64715	466	3	2
2014-03-28 13:44:56.563133	64716	1110919.8045299689	4	2
2014-03-28 13:44:58.970381	64717	51	2	9
2014-03-28 13:44:59.194105	64718	20.5	1	9
2014-03-28 13:45:00.070314	64719	46	2	8
2014-03-28 13:45:00.30064	64720	20.6	1	8
2014-03-28 13:45:13.534332	64721	55	2	1
2014-03-28 13:45:13.754498	64722	20.3	1	1
2014-03-28 13:45:28.410899	64723	43	2	10
2014-03-28 13:45:28.642608	64724	20.9	1	10
2014-03-28 13:45:37.973441	64725	51	2	9
2014-03-28 13:45:38.195716	64726	20.5	1	9
2014-03-28 13:45:39.067558	64727	46	2	8
2014-03-28 13:45:39.29764	64728	20.6	1	8
2014-03-28 13:45:52.292238	64729	55	2	1
2014-03-28 13:45:52.513567	64730	20.3	1	1
2014-03-28 13:46:07.411408	64731	43	2	10
2014-03-28 13:46:07.642208	64732	20.9	1	10
2014-03-28 13:46:16.972866	64733	51	2	9
2014-03-28 13:46:17.197107	64734	20.5	1	9
2014-03-28 13:46:18.0717	64735	46	2	8
2014-03-28 13:46:18.303895	64736	20.6	1	8
2014-03-28 13:46:20.319076	64737	531	3	2
2014-03-28 13:46:20.54073	64738	1110930.1458424616	4	2
2014-03-28 13:46:46.41069	64739	43	2	10
2014-03-28 13:46:46.64134	64740	20.9	1	10
2014-03-28 13:46:55.975365	64741	51	2	9
2014-03-28 13:46:56.198298	64742	20.5	1	9
2014-03-28 13:46:57.068126	64743	46	2	8
2014-03-28 13:46:57.301623	64744	20.6	1	8
2014-03-28 13:47:25.411417	64745	43	2	10
2014-03-28 13:47:25.631541	64746	20.9	1	10
2014-03-28 13:47:34.974062	64747	51	2	9
2014-03-28 13:47:35.205025	64748	20.5	1	9
2014-03-28 13:47:36.06792	64749	46	2	8
2014-03-28 13:47:36.29088	64750	20.6	1	8
2014-03-28 13:48:04.413471	64751	43	2	10
2014-03-28 13:48:04.6468	64752	20.9	1	10
2014-03-28 13:48:14.179592	64753	51	2	9
2014-03-28 13:48:14.4043	64754	20.5	1	9
2014-03-28 13:48:15.068453	64755	46	2	8
2014-03-28 13:48:15.298707	64756	20.6	1	8
2014-03-28 13:48:32.319489	64757	498	3	2
2014-03-28 13:48:32.543312	64758	1110950.828467447	4	2
2014-03-28 13:48:43.411455	64759	43	2	10
2014-03-28 13:48:43.64595	64760	20.9	1	10
2014-03-28 13:48:52.976533	64761	51	2	9
2014-03-28 13:48:53.198563	64762	20.5	1	9
2014-03-28 13:48:54.067181	64763	46	2	8
2014-03-28 13:48:54.309307	64764	20.6	1	8
2014-03-28 13:49:22.411963	64765	43	2	10
2014-03-28 13:49:22.63509	64766	20.9	1	10
2014-03-28 13:49:31.972394	64767	51	2	9
2014-03-28 13:49:32.204623	64768	20.5	1	9
2014-03-28 13:49:32.508675	64769	3026	3	2
2014-03-28 13:49:32.73046	64770	1110973.8091618754	4	2
2014-03-28 13:49:33.067488	64771	46	2	8
2014-03-28 13:49:33.297021	64772	20.6	1	8
2014-03-28 13:49:44.314288	64773	3138	3	2
2014-03-28 13:49:44.554302	64774	1110984.1504743681	4	2
2014-03-28 13:49:46.528742	64775	55	2	1
2014-03-28 13:49:46.76185	64776	20.3	1	1
2014-03-28 13:49:56.318712	64777	3187	3	2
2014-03-28 13:49:56.54056	64778	1110994.4917868609	4	2
2014-03-28 13:50:01.41257	64779	43	2	10
2014-03-28 13:50:01.652249	64780	20.9	1	10
2014-03-28 13:50:08.320131	64781	3171	3	2
2014-03-28 13:50:08.541076	64782	1111004.8330993536	4	2
2014-03-28 13:50:10.973207	64783	51	2	9
2014-03-28 13:50:11.204391	64784	20.5	1	9
2014-03-28 13:50:12.067852	64785	46	2	8
2014-03-28 13:50:12.289564	64786	20.6	1	8
2014-03-28 13:50:40.412067	64787	43	2	10
2014-03-28 13:50:40.680087	64788	20.9	1	10
2014-03-28 13:50:49.978197	64789	51	2	9
2014-03-28 13:50:50.199694	64790	20.5	1	9
2014-03-28 13:50:51.068182	64791	46	2	8
2014-03-28 13:50:51.298949	64792	20.6	1	8
2014-03-28 13:51:08.31434	64793	3154	3	2
2014-03-28 13:51:08.536193	64794	1111057.6886965386	4	2
2014-03-28 13:51:19.413052	64795	43	2	10
2014-03-28 13:51:19.647176	64796	20.9	1	10
2014-03-28 13:51:28.972577	64797	51	2	9
2014-03-28 13:51:29.196612	64798	20.5	1	9
2014-03-28 13:51:30.06944	64799	46	2	8
2014-03-28 13:51:30.299624	64800	20.6	1	8
2014-03-28 13:51:56.317883	64801	579	3	2
2014-03-28 13:51:56.540391	64802	1111096.760348019	4	2
2014-03-28 13:51:58.413455	64803	43	2	10
2014-03-28 13:51:58.643375	64804	20.9	1	10
2014-03-28 13:52:07.976554	64805	51	2	9
2014-03-28 13:52:08.200909	64806	20.5	1	9
2014-03-28 13:52:08.505957	64807	579	3	2
2014-03-28 13:52:08.736539	64808	1111099.0584174618	4	2
2014-03-28 13:52:09.068319	64809	46	2	8
2014-03-28 13:52:09.291497	64810	20.6	1	8
2014-03-28 13:52:37.414925	64811	43	2	10
2014-03-28 13:52:37.660205	64812	20.9	1	10
2014-03-28 13:52:44.318133	64813	627	3	2
2014-03-28 13:52:44.539887	64814	1111104.8035910688	4	2
2014-03-28 13:52:46.976013	64815	51	2	9
2014-03-28 13:52:47.209131	64816	20.5	1	9
2014-03-28 13:52:48.067528	64817	46	2	8
2014-03-28 13:52:48.289161	64818	20.6	1	8
2014-03-28 13:53:01.09845	64819	547	3	2
2014-03-28 13:53:01.333352	64820	1111107.1016605117	4	2
2014-03-28 13:53:16.414542	64821	43	2	10
2014-03-28 13:53:16.637226	64822	20.9	1	10
2014-03-28 13:53:25.972474	64823	51	2	9
2014-03-28 13:53:26.203532	64824	20.5	1	9
2014-03-28 13:53:27.067649	64825	46	2	8
2014-03-28 13:53:27.288592	64826	20.6	1	8
2014-03-28 13:53:32.315957	64827	643	3	2
2014-03-28 13:53:32.552766	64828	1111112.8468341187	4	2
2014-03-28 13:53:44.314244	64829	659	3	2
2014-03-28 13:53:44.539961	64830	1111115.1449035616	4	2
2014-03-28 13:53:55.413942	64831	43	2	10
2014-03-28 13:53:55.646643	64832	20.9	1	10
2014-03-28 13:53:56.319899	64833	627	3	2
2014-03-28 13:53:56.542719	64834	1111117.4429730044	4	2
2014-03-28 13:54:04.975436	64835	51	2	9
2014-03-28 13:54:05.206533	64836	20.5	1	9
2014-03-28 13:54:06.066415	64837	46	2	8
2014-03-28 13:54:06.288442	64838	20.6	1	8
2014-03-28 13:54:34.412783	64839	43	2	10
2014-03-28 13:54:34.645908	64840	20.9	1	10
2014-03-28 13:54:43.972827	64841	51	2	9
2014-03-28 13:54:44.194757	64842	20.5	1	9
2014-03-28 13:54:45.066986	64843	46	2	8
2014-03-28 13:54:45.297531	64844	20.6	1	8
2014-03-28 13:55:13.415188	64845	43	2	10
2014-03-28 13:55:13.637263	64846	20.9	1	10
2014-03-28 13:55:22.973472	64847	51	2	9
2014-03-28 13:55:23.204705	64848	20.5	1	9
2014-03-28 13:55:24.067435	64849	46	2	8
2014-03-28 13:55:24.288983	64850	20.6	1	8
2014-03-28 13:55:32.317652	64851	2350	3	2
2014-03-28 13:55:32.54984	64852	1111180.6398826821	4	2
2014-03-28 13:55:44.314993	64853	2269	3	2
2014-03-28 13:55:44.535895	64854	1111187.5340910107	4	2
2014-03-28 13:55:52.413679	64855	43	2	10
2014-03-28 13:55:52.646818	64856	20.9	1	10
2014-03-28 13:56:01.973143	64857	51	2	9
2014-03-28 13:56:02.195808	64858	20.5	1	9
2014-03-28 13:56:03.067488	64859	46	2	8
2014-03-28 13:56:03.30997	64860	20.6	1	8
2014-03-28 13:56:08.315648	64861	2350	3	2
2014-03-28 13:56:08.536796	64862	1111203.6205771104	4	2
2014-03-28 13:56:20.319887	64863	2269	3	2
2014-03-28 13:56:20.550199	64864	1111210.514785439	4	2
2014-03-28 13:56:31.414165	64865	43	2	10
2014-03-28 13:56:31.636976	64866	20.9	1	10
2014-03-28 13:56:41.007626	64867	51	2	9
2014-03-28 13:56:41.238879	64868	20.5	1	9
2014-03-28 13:56:42.06948	64869	46	2	8
2014-03-28 13:56:42.289683	64870	20.6	1	8
2014-03-28 13:57:10.414241	64871	43	2	10
2014-03-28 13:57:10.645971	64872	20.9	1	10
2014-03-28 13:57:19.974239	64873	51	2	9
2014-03-28 13:57:20.198889	64874	20.5	1	9
2014-03-28 13:57:20.502232	64875	2205	3	2
2014-03-28 13:57:20.733705	64876	1111248.4329312458	4	2
2014-03-28 13:57:21.068425	64877	46	2	8
2014-03-28 13:57:21.291493	64878	20.6	1	8
2014-03-28 13:57:44.315749	64879	2124	3	2
2014-03-28 13:57:44.549104	64880	1111263.3703826242	4	2
2014-03-28 13:57:49.414731	64881	43	2	10
2014-03-28 13:57:49.636522	64882	21.0	1	10
2014-03-28 13:57:56.318146	64883	2124	3	2
2014-03-28 13:57:56.549434	64884	1111270.2645909525	4	2
2014-03-28 13:57:58.975584	64885	51	2	9
2014-03-28 13:57:59.198571	64886	20.5	1	9
2014-03-28 13:58:00.068118	64887	46	2	8
2014-03-28 13:58:00.300573	64888	20.6	1	8
2014-03-28 13:58:28.415259	64889	43	2	10
2014-03-28 13:58:28.63669	64890	21.0	1	10
2014-03-28 13:58:37.973406	64891	51	2	9
2014-03-28 13:58:38.206976	64892	20.5	1	9
2014-03-28 13:58:39.069077	64893	46	2	8
2014-03-28 13:58:39.288805	64894	20.6	1	8
2014-03-28 13:59:07.417775	64895	43	2	10
2014-03-28 13:59:07.648562	64896	21.0	1	10
2014-03-28 13:59:16.974385	64897	51	2	9
2014-03-28 13:59:17.197783	64898	20.5	1	9
2014-03-28 13:59:18.068059	64899	46	2	8
2014-03-28 13:59:18.299414	64900	20.6	1	8
2014-03-28 13:59:44.316786	64901	2028	3	2
2014-03-28 13:59:44.539876	64902	1111334.6105353518	4	2
2014-03-28 13:59:46.414976	64903	43	2	10
2014-03-28 13:59:46.651077	64904	21.0	1	10
2014-03-28 13:59:55.972537	64905	51	2	9
2014-03-28 13:59:56.196809	64906	20.6	1	9
2014-03-28 13:59:56.502135	64907	2044	3	2
2014-03-28 13:59:56.75012	64908	1111341.5047436804	4	2
2014-03-28 13:59:57.067755	64909	46	2	8
2014-03-28 13:59:57.288275	64910	20.6	1	8
2014-03-28 14:00:25.415069	64911	43	2	10
2014-03-28 14:00:25.648608	64912	21.0	1	10
2014-03-28 14:00:32.318446	64913	2060	3	2
2014-03-28 14:00:32.54023	64914	1111362.1873686658	4	2
2014-03-28 14:00:34.973414	64915	51	2	9
2014-03-28 14:00:35.204619	64916	20.6	1	9
2014-03-28 14:00:36.06788	64917	46	2	8
2014-03-28 14:00:36.289298	64918	20.6	1	8
2014-03-28 14:01:04.416866	64919	43	2	10
2014-03-28 14:01:04.661146	64920	21.1	1	10
2014-03-28 14:01:13.975987	64921	51	2	9
2014-03-28 14:01:14.196919	64922	20.6	1	9
2014-03-28 14:01:15.068816	64923	46	2	8
2014-03-28 14:01:15.302137	64924	20.6	1	8
2014-03-28 14:01:32.316354	64925	2044	3	2
2014-03-28 14:01:32.536011	64926	1111395.513846539	4	2
2014-03-28 14:01:43.415487	64927	43	2	10
2014-03-28 14:01:43.648024	64928	21.1	1	10
2014-03-28 14:01:52.974475	64929	51	2	9
2014-03-28 14:01:53.19781	64930	20.6	1	9
2014-03-28 14:01:54.067821	64931	46	2	8
2014-03-28 14:01:54.299561	64932	20.6	1	8
2014-03-28 14:02:22.416788	64933	43	2	10
2014-03-28 14:02:22.638481	64934	21.1	1	10
2014-03-28 14:02:31.975485	64935	51	2	9
2014-03-28 14:02:32.208762	64936	20.6	1	9
2014-03-28 14:02:32.514402	64937	2044	3	2
2014-03-28 14:02:32.734271	64938	1111429.9848881816	4	2
2014-03-28 14:02:33.068787	64939	46	2	8
2014-03-28 14:02:33.300189	64940	20.6	1	8
2014-03-28 14:03:01.41865	64941	43	2	10
2014-03-28 14:03:01.640894	64942	21.1	1	10
2014-03-28 14:03:10.973889	64943	51	2	9
2014-03-28 14:03:11.207182	64944	20.6	1	9
2014-03-28 14:03:12.067395	64945	46	2	8
2014-03-28 14:03:12.290136	64946	20.6	1	8
2014-03-28 14:03:32.315537	64947	2044	3	2
2014-03-28 14:03:32.547693	64948	1111463.3068951026	4	2
2014-03-28 14:03:40.417625	64949	43	2	10
2014-03-28 14:03:40.640051	64950	21.1	1	10
2014-03-28 14:03:49.974987	64951	51	2	9
2014-03-28 14:03:50.207181	64952	20.6	1	9
2014-03-28 14:03:51.068122	64953	46	2	8
2014-03-28 14:03:51.290716	64954	20.6	1	8
2014-03-28 14:04:19.420716	64955	43	2	10
2014-03-28 14:04:19.662931	64956	21.1	1	10
2014-03-28 14:04:20.316059	64957	547	3	2
2014-03-28 14:04:20.539127	64958	1111489.734693695	4	2
2014-03-28 14:04:28.977076	64959	51	2	9
2014-03-28 14:04:29.209151	64960	20.6	1	9
2014-03-28 14:04:30.067348	64961	46	2	8
2014-03-28 14:04:30.286986	64962	20.6	1	8
2014-03-28 14:04:44.315218	64963	434	3	2
2014-03-28 14:04:44.570453	64964	1111492.032763138	4	2
2014-03-28 14:04:56.318857	64965	434	3	2
2014-03-28 14:04:56.54114	64966	1111494.3308325808	4	2
2014-03-28 14:04:58.417959	64967	43	2	10
2014-03-28 14:04:58.651221	64968	21.2	1	10
2014-03-28 14:05:07.975265	64969	51	2	9
2014-03-28 14:05:08.196961	64970	20.6	1	9
2014-03-28 14:05:09.06726	64971	46	2	8
2014-03-28 14:05:09.298744	64972	20.6	1	8
2014-03-28 14:05:37.418808	64973	43	2	10
2014-03-28 14:05:37.641332	64974	21.2	1	10
2014-03-28 14:05:44.31775	64975	434	3	2
2014-03-28 14:05:44.549605	64976	1111500.0760061878	4	2
2014-03-28 14:05:46.972713	64977	51	2	9
2014-03-28 14:05:47.196153	64978	20.7	1	9
2014-03-28 14:05:48.067673	64979	46	2	8
2014-03-28 14:05:48.298954	64980	20.6	1	8
2014-03-28 14:06:16.417324	64981	43	2	10
2014-03-28 14:06:16.63977	64982	21.2	1	10
2014-03-28 14:06:25.976477	64983	51	2	9
2014-03-28 14:06:26.207723	64984	20.7	1	9
2014-03-28 14:06:27.067327	64985	46	2	8
2014-03-28 14:06:27.288199	64986	20.6	1	8
2014-03-28 14:06:55.419043	64987	43	2	10
2014-03-28 14:06:55.649745	64988	21.2	1	10
2014-03-28 14:06:56.315095	64989	482	3	2
2014-03-28 14:06:56.535951	64990	1111510.4173186806	4	2
2014-03-28 14:07:04.977143	64991	51	2	9
2014-03-28 14:07:05.209534	64992	20.7	1	9
2014-03-28 14:07:06.069871	64993	46	2	8
2014-03-28 14:07:06.290288	64994	20.6	1	8
2014-03-28 14:07:34.418821	64995	43	2	10
2014-03-28 14:07:34.650372	64996	21.2	1	10
2014-03-28 14:07:43.977492	64997	51	2	9
2014-03-28 14:07:44.204634	64998	20.7	1	9
2014-03-28 14:07:45.070618	64999	46	2	8
2014-03-28 14:07:45.300781	65000	20.6	1	8
2014-03-28 14:08:13.41731	65001	43	2	10
2014-03-28 14:08:13.639155	65002	21.2	1	10
2014-03-28 14:08:22.972348	65003	51	2	9
2014-03-28 14:08:23.215453	65004	20.7	1	9
2014-03-28 14:08:24.066834	65005	46	2	8
2014-03-28 14:08:24.289775	65006	20.6	1	8
2014-03-28 14:08:52.416916	65007	43	2	10
2014-03-28 14:08:52.647687	65008	21.3	1	10
2014-03-28 14:09:01.976173	65009	51	2	9
2014-03-28 14:09:02.19793	65010	20.7	1	9
2014-03-28 14:09:03.067	65011	46	2	8
2014-03-28 14:09:03.300155	65012	20.6	1	8
2014-03-28 14:09:20.316163	65013	611	3	2
2014-03-28 14:09:20.539041	65014	1111531.099943666	4	2
2014-03-28 14:09:31.4205	65015	43	2	10
2014-03-28 14:09:31.652292	65016	21.3	1	10
2014-03-28 14:09:32.315507	65017	482	3	2
2014-03-28 14:09:32.53878	65018	1111532.2489783873	4	2
2014-03-28 14:09:40.975234	65019	51	2	9
2014-03-28 14:09:41.242727	65020	20.7	1	9
2014-03-28 14:09:42.067643	65021	46	2	8
2014-03-28 14:09:42.288742	65022	20.6	1	8
2014-03-28 14:10:10.417391	65023	43	2	10
2014-03-28 14:10:10.658098	65024	21.3	1	10
2014-03-28 14:10:19.974048	65025	51	2	9
2014-03-28 14:10:20.196651	65026	20.7	1	9
2014-03-28 14:10:20.500036	65027	595	3	2
2014-03-28 14:10:20.73495	65028	1111539.143186716	4	2
2014-03-28 14:10:21.067923	65029	46	2	8
2014-03-28 14:10:21.289008	65030	20.6	1	8
2014-03-28 14:10:49.421454	65031	43	2	10
2014-03-28 14:10:49.654034	65032	21.3	1	10
2014-03-28 14:10:58.973781	65033	51	2	9
2014-03-28 14:10:59.195761	65034	20.7	1	9
2014-03-28 14:11:00.067281	65035	46	2	8
2014-03-28 14:11:00.298644	65036	20.6	1	8
2014-03-28 14:11:28.420528	65037	43	2	10
2014-03-28 14:11:28.642417	65038	21.3	1	10
2014-03-28 14:11:32.317477	65039	482	3	2
2014-03-28 14:11:32.548433	65040	1111549.4844992086	4	2
2014-03-28 14:11:37.973427	65041	51	2	9
2014-03-28 14:11:38.19482	65042	20.7	1	9
2014-03-28 14:11:39.066993	65043	46	2	8
2014-03-28 14:11:39.29765	65044	20.6	1	8
2014-03-28 14:12:07.420367	65045	43	2	10
2014-03-28 14:12:07.643515	65046	21.3	1	10
2014-03-28 14:12:16.978008	65047	51	2	9
2014-03-28 14:12:17.209309	65048	20.7	1	9
2014-03-28 14:12:18.068449	65049	46	2	8
2014-03-28 14:12:18.287781	65050	20.7	1	8
2014-03-28 14:12:20.318308	65051	547	3	2
2014-03-28 14:12:20.561396	65052	1111556.3787075372	4	2
2014-03-28 14:12:32.315703	65053	450	3	2
2014-03-28 14:12:32.537443	65054	1111557.5277422585	4	2
2014-03-28 14:12:46.420122	65055	43	2	10
2014-03-28 14:12:46.658444	65056	21.3	1	10
2014-03-28 14:12:55.975737	65057	51	2	9
2014-03-28 14:12:56.199455	65058	20.7	1	9
2014-03-28 14:12:57.068579	65059	46	2	8
2014-03-28 14:12:57.299356	65060	20.7	1	8
2014-03-28 14:13:20.318456	65061	547	3	2
2014-03-28 14:13:20.542242	65062	1111564.421950587	4	2
2014-03-28 14:13:25.420051	65063	43	2	10
2014-03-28 14:13:25.654725	65064	21.3	1	10
2014-03-28 14:13:32.315642	65065	450	3	2
2014-03-28 14:13:32.536891	65066	1111565.5709853084	4	2
2014-03-28 14:13:34.975823	65067	51	2	9
2014-03-28 14:13:35.207385	65068	20.7	1	9
2014-03-28 14:13:36.067183	65069	46	2	8
2014-03-28 14:13:36.289813	65070	20.7	1	8
2014-03-28 14:13:44.315898	65071	450	3	2
2014-03-28 14:13:44.546491	65072	1111567.8690547512	4	2
2014-03-28 14:14:04.420297	65073	43	2	10
2014-03-28 14:14:04.642344	65074	21.3	1	10
2014-03-28 14:14:13.975897	65075	51	2	9
2014-03-28 14:14:14.207352	65076	20.8	1	9
2014-03-28 14:14:15.067649	65077	46	2	8
2014-03-28 14:14:15.289513	65078	20.7	1	8
2014-03-28 14:14:20.318468	65079	531	3	2
2014-03-28 14:14:20.549319	65080	1111572.465193637	4	2
2014-03-28 14:14:32.317772	65081	434	3	2
2014-03-28 14:14:32.540165	65082	1111573.6142283583	4	2
2014-03-28 14:14:43.421786	65083	43	2	10
2014-03-28 14:14:43.652389	65084	21.3	1	10
2014-03-28 14:14:52.974559	65085	51	2	9
2014-03-28 14:14:53.198116	65086	20.8	1	9
2014-03-28 14:14:54.067746	65087	46	2	8
2014-03-28 14:14:54.298936	65088	20.7	1	8
2014-03-28 14:15:20.315749	65089	579	3	2
2014-03-28 14:15:20.538675	65090	1111579.3594019655	4	2
2014-03-28 14:15:22.421682	65091	43	2	10
2014-03-28 14:15:22.655599	65092	21.4	1	10
2014-03-28 14:15:31.975189	65093	52	2	9
2014-03-28 14:15:32.196923	65094	20.8	1	9
2014-03-28 14:15:32.504383	65095	434	3	2
2014-03-28 14:15:32.737613	65096	1111581.6574714084	4	2
2014-03-28 14:15:33.067618	65097	47	2	8
2014-03-28 14:15:33.289646	65098	20.7	1	8
2014-03-28 14:16:01.420066	65099	43	2	10
2014-03-28 14:16:01.665067	65100	21.4	1	10
2014-03-28 14:16:10.776042	65101	531	3	2
2014-03-28 14:16:10.999508	65102	1111586.2536102938	4	2
2014-03-28 14:16:11.302072	65103	52	2	9
2014-03-28 14:16:11.533989	65104	20.8	1	9
2014-03-28 14:16:12.067134	65105	47	2	8
2014-03-28 14:16:12.287043	65106	20.7	1	8
2014-03-28 14:16:20.315116	65107	531	3	2
2014-03-28 14:16:20.549645	65108	1111587.4026450154	4	2
2014-03-28 14:16:32.314577	65109	434	3	2
2014-03-28 14:16:32.535739	65110	1111588.5516797367	4	2
2014-03-28 14:16:40.422423	65111	43	2	10
2014-03-28 14:16:40.655001	65112	21.4	1	10
2014-03-28 14:16:49.974475	65113	52	2	9
2014-03-28 14:16:50.197594	65114	20.8	1	9
2014-03-28 14:16:51.066644	65115	47	2	8
2014-03-28 14:16:51.29733	65116	20.7	1	8
2014-03-28 14:16:56.315359	65117	450	3	2
2014-03-28 14:16:56.536179	65118	1111591.998783901	4	2
2014-03-28 14:17:19.421266	65119	43	2	10
2014-03-28 14:17:19.654834	65120	21.4	1	10
2014-03-28 14:17:28.973222	65121	52	2	9
2014-03-28 14:17:29.193946	65122	20.8	1	9
2014-03-28 14:17:30.066545	65123	46	2	8
2014-03-28 14:17:30.29655	65124	20.7	1	8
2014-03-28 14:17:58.421718	65125	43	2	10
2014-03-28 14:17:58.644715	65126	21.4	1	10
2014-03-28 14:18:07.976204	65127	52	2	9
2014-03-28 14:18:08.207531	65128	20.8	1	9
2014-03-28 14:18:09.070134	65129	46	2	8
2014-03-28 14:18:09.290181	65130	20.7	1	8
2014-03-28 14:18:32.316209	65131	531	3	2
2014-03-28 14:18:32.55083	65132	1111604.6381658367	4	2
2014-03-28 14:18:37.421373	65133	43	2	10
2014-03-28 14:18:37.647353	65134	21.4	1	10
2014-03-28 14:18:44.315304	65135	611	3	2
2014-03-28 14:18:44.546491	65136	1111605.787200558	4	2
2014-03-28 14:18:46.975107	65137	52	2	9
2014-03-28 14:18:47.197849	65138	20.8	1	9
2014-03-28 14:18:48.068495	65139	46	2	8
2014-03-28 14:18:48.300591	65140	20.7	1	8
2014-03-28 14:19:01.084467	65141	450	3	2
2014-03-28 14:19:01.308161	65142	1111608.0852700009	4	2
2014-03-28 14:19:08.31413	65143	482	3	2
2014-03-28 14:19:08.54541	65144	1111609.2343047222	4	2
2014-03-28 14:19:16.422811	65145	43	2	10
2014-03-28 14:19:16.645148	65146	21.4	1	10
2014-03-28 14:19:20.314704	65147	482	3	2
2014-03-28 14:19:20.558235	65148	1111611.532374165	4	2
2014-03-28 14:19:25.975779	65149	52	2	9
2014-03-28 14:19:26.199345	65150	20.8	1	9
2014-03-28 14:19:27.067712	65151	46	2	8
2014-03-28 14:19:27.299637	65152	20.7	1	8
2014-03-28 14:19:44.319439	65153	659	3	2
2014-03-28 14:19:44.542429	65154	1111614.9794783294	4	2
2014-03-28 14:19:55.421936	65155	43	2	10
2014-03-28 14:19:55.686044	65156	21.4	1	10
2014-03-28 14:20:04.976573	65157	52	2	9
2014-03-28 14:20:05.233533	65158	20.8	1	9
2014-03-28 14:20:06.0663	65159	47	2	8
2014-03-28 14:20:06.332329	65160	20.7	1	8
2014-03-28 14:20:08.314541	65161	482	3	2
2014-03-28 14:20:08.569658	65162	1111618.4265824936	4	2
2014-03-28 14:20:32.315704	65163	611	3	2
2014-03-28 14:20:33.059796	65164	1111621.8736866578	4	2
2014-03-28 14:20:34.426325	65165	43	2	10
2014-03-28 14:20:34.67627	65166	21.4	1	10
2014-03-28 14:20:43.975148	65167	52	2	9
2014-03-28 14:20:44.257494	65168	20.8	1	9
2014-03-28 14:20:44.74773	65169	595	3	2
2014-03-28 14:20:45.170029	65170	1111624.1717561006	4	2
2014-03-28 14:20:45.840341	65171	47	2	8
2014-03-28 14:20:46.125688	65172	20.7	1	8
2014-03-28 14:20:56.31514	65173	466	3	2
2014-03-28 14:20:56.742449	65174	1111625.3207908222	4	2
2014-03-28 14:21:08.314746	65175	466	3	2
2014-03-28 14:21:08.5774	65176	1111627.6188602648	4	2
2014-03-28 14:21:13.422784	65177	43	2	10
2014-03-28 14:21:13.703281	65178	21.4	1	10
2014-03-28 14:21:22.974709	65179	52	2	9
2014-03-28 14:21:23.206996	65180	20.8	1	9
2014-03-28 14:21:24.066911	65181	46	2	8
2014-03-28 14:21:24.286737	65182	20.7	1	8
2014-03-28 14:21:32.314534	65183	611	3	2
2014-03-28 14:21:32.547512	65184	1111631.0659644292	4	2
2014-03-28 14:21:44.31888	65185	611	3	2
2014-03-28 14:21:44.539511	65186	1111633.364033872	4	2
2014-03-28 14:21:52.422562	65187	43	2	10
2014-03-28 14:21:52.662919	65188	21.4	1	10
2014-03-28 14:21:56.317937	65189	482	3	2
2014-03-28 14:21:56.537898	65190	1111634.5130685933	4	2
2014-03-28 14:22:01.975413	65191	52	2	9
2014-03-28 14:22:02.206341	65192	20.8	1	9
2014-03-28 14:22:03.066317	65193	47	2	8
2014-03-28 14:22:03.287851	65194	20.7	1	8
2014-03-28 14:22:08.313848	65195	466	3	2
2014-03-28 14:22:08.557532	65196	1111636.8111380362	4	2
2014-03-28 14:22:20.31375	65197	498	3	2
2014-03-28 14:22:20.535191	65198	1111637.9601727575	4	2
2014-03-28 14:22:31.423848	65199	43	2	10
2014-03-28 14:22:31.655251	65200	21.4	1	10
2014-03-28 14:22:32.317414	65201	498	3	2
2014-03-28 14:22:32.543249	65202	1111639.109207479	4	2
2014-03-28 14:22:40.975136	65203	52	2	9
2014-03-28 14:22:41.209113	65204	20.8	1	9
2014-03-28 14:22:42.067356	65205	46	2	8
2014-03-28 14:22:42.287942	65206	20.7	1	8
2014-03-28 14:23:08.315657	65207	466	3	2
2014-03-28 14:23:08.546951	65208	1111644.854381086	4	2
2014-03-28 14:23:10.423093	65209	43	2	10
2014-03-28 14:23:10.643754	65210	21.5	1	10
2014-03-28 14:23:19.975543	65211	52	2	9
2014-03-28 14:23:20.207475	65212	20.8	1	9
2014-03-28 14:23:20.511059	65213	482	3	2
2014-03-28 14:23:20.733271	65214	1111646.0034158076	4	2
2014-03-28 14:23:21.067949	65215	47	2	8
2014-03-28 14:23:21.298498	65216	20.7	1	8
2014-03-28 14:23:32.315467	65217	466	3	2
2014-03-28 14:23:32.536018	65218	1111647.152450529	4	2
2014-03-28 14:23:49.423074	65219	43	2	10
2014-03-28 14:23:49.653158	65220	21.5	1	10
2014-03-28 14:23:56.316007	65221	547	3	2
2014-03-28 14:23:56.536711	65222	1111650.599554693	4	2
2014-03-28 14:23:58.975088	65223	52	2	9
2014-03-28 14:23:59.20637	65224	20.8	1	9
2014-03-28 14:24:00.068831	65225	47	2	8
2014-03-28 14:24:00.289187	65226	20.7	1	8
2014-03-28 14:24:08.31768	65227	466	3	2
2014-03-28 14:24:08.548766	65228	1111652.897624136	4	2
2014-03-28 14:24:20.314457	65229	418	3	2
2014-03-28 14:24:20.535909	65230	1111654.0466588575	4	2
2014-03-28 14:24:28.423223	65231	43	2	10
2014-03-28 14:24:28.653577	65232	21.5	1	10
2014-03-28 14:24:32.315813	65233	434	3	2
2014-03-28 14:24:32.538686	65234	1111655.1956935788	4	2
2014-03-28 14:24:37.975921	65235	52	2	9
2014-03-28 14:24:38.209835	65236	20.9	1	9
2014-03-28 14:24:39.067741	65237	47	2	8
2014-03-28 14:24:39.291797	65238	20.7	1	8
2014-03-28 14:24:56.319489	65239	531	3	2
2014-03-28 14:24:56.550202	65240	1111658.642797743	4	2
2014-03-28 14:25:07.430518	65241	43	2	10
2014-03-28 14:25:07.651979	65242	21.5	1	10
2014-03-28 14:25:08.317251	65243	434	3	2
2014-03-28 14:25:08.557842	65244	1111659.7918324645	4	2
2014-03-28 14:25:16.974448	65245	52	2	9
2014-03-28 14:25:17.195627	65246	20.9	1	9
2014-03-28 14:25:18.067352	65247	47	2	8
2014-03-28 14:25:18.299337	65248	20.7	1	8
2014-03-28 14:25:20.316973	65249	434	3	2
2014-03-28 14:25:20.537	65250	1111660.9408671858	4	2
2014-03-28 14:25:32.31318	65251	418	3	2
2014-03-28 14:25:32.545924	65252	1111663.2389366287	4	2
2014-03-28 14:25:46.425224	65253	43	2	10
2014-03-28 14:25:46.646103	65254	21.5	1	10
2014-03-28 14:25:55.974992	65255	52	2	9
2014-03-28 14:25:56.206591	65256	20.9	1	9
2014-03-28 14:25:56.513456	65257	611	3	2
2014-03-28 14:25:56.73373	65258	1111665.5370060715	4	2
2014-03-28 14:25:57.067041	65259	47	2	8
2014-03-28 14:25:57.297119	65260	20.7	1	8
2014-03-28 14:26:20.315557	65261	418	3	2
2014-03-28 14:26:20.539596	65262	1111668.9841102357	4	2
2014-03-28 14:26:25.424087	65263	43	2	10
2014-03-28 14:26:25.661971	65264	21.5	1	10
2014-03-28 14:26:32.313665	65265	418	3	2
2014-03-28 14:26:32.539591	65266	1111671.2821796786	4	2
2014-03-28 14:26:34.974304	65267	52	2	9
2014-03-28 14:26:35.205063	65268	20.9	1	9
2014-03-28 14:26:36.067617	65269	47	2	8
2014-03-28 14:26:36.286645	65270	20.7	1	8
2014-03-28 14:26:44.315454	65271	547	3	2
2014-03-28 14:26:44.547912	65272	1111672.4312144	4	2
2014-03-28 14:26:56.316842	65273	595	3	2
2014-03-28 14:26:56.537204	65274	1111673.5802491214	4	2
2014-03-28 14:27:04.42328	65275	43	2	10
2014-03-28 14:27:04.656618	65276	21.5	1	10
2014-03-28 14:27:08.315788	65277	434	3	2
2014-03-28 14:27:08.536986	65278	1111674.733754795	4	2
2014-03-28 14:27:13.975527	65279	52	2	9
2014-03-28 14:27:14.206127	65280	20.9	1	9
2014-03-28 14:27:15.066886	65281	47	2	8
2014-03-28 14:27:15.286645	65282	20.7	1	8
2014-03-28 14:27:20.314011	65283	418	3	2
2014-03-28 14:27:20.547037	65284	1111675.8827895166	4	2
2014-03-28 14:27:32.318328	65285	418	3	2
2014-03-28 14:27:32.539408	65286	1111677.031824238	4	2
2014-03-28 14:27:43.424514	65287	43	2	10
2014-03-28 14:27:43.657662	65288	21.5	1	10
2014-03-28 14:27:44.313871	65289	531	3	2
2014-03-28 14:27:44.534243	65290	1111679.3298936808	4	2
2014-03-28 14:27:52.973569	65291	52	2	9
2014-03-28 14:27:53.215653	65292	20.9	1	9
2014-03-28 14:27:54.067682	65293	47	2	8
2014-03-28 14:27:54.287329	65294	20.7	1	8
2014-03-28 14:27:56.314174	65295	595	3	2
2014-03-28 14:27:56.545148	65296	1111680.4789284023	4	2
2014-03-28 14:28:08.314056	65297	418	3	2
2014-03-28 14:28:08.535897	65298	1111682.776997845	4	2
2014-03-28 14:28:22.425213	65299	43	2	10
2014-03-28 14:28:22.657983	65300	21.5	1	10
2014-03-28 14:28:31.978251	65301	52	2	9
2014-03-28 14:28:32.201868	65302	20.9	1	9
2014-03-28 14:28:33.067112	65303	47	2	8
2014-03-28 14:28:33.298622	65304	20.7	1	8
2014-03-28 14:28:56.319238	65305	418	3	2
2014-03-28 14:28:56.540874	65306	1111688.5221714522	4	2
2014-03-28 14:29:01.424892	65307	43	2	10
2014-03-28 14:29:01.66094	65308	21.5	1	10
2014-03-28 14:29:08.316941	65309	418	3	2
2014-03-28 14:29:08.539999	65310	1111689.6712061735	4	2
2014-03-28 14:29:10.973781	65311	52	2	9
2014-03-28 14:29:11.206541	65312	20.9	1	9
2014-03-28 14:29:12.069405	65313	47	2	8
2014-03-28 14:29:12.292258	65314	20.7	1	8
2014-03-28 14:29:32.316388	65315	418	3	2
2014-03-28 14:29:32.547988	65316	1111693.1183103377	4	2
2014-03-28 14:29:40.424741	65317	43	2	10
2014-03-28 14:29:40.646156	65318	21.5	1	10
2014-03-28 14:29:49.976698	65319	52	2	9
2014-03-28 14:29:50.208686	65320	20.9	1	9
2014-03-28 14:29:51.066959	65321	47	2	8
2014-03-28 14:29:51.310565	65322	20.7	1	8
2014-03-28 14:30:08.315728	65323	498	3	2
2014-03-28 14:30:08.54725	65324	1111697.7144492234	4	2
2014-03-28 14:30:19.424493	65325	43	2	10
2014-03-28 14:30:19.645984	65326	21.5	1	10
2014-03-28 14:30:20.318511	65327	418	3	2
2014-03-28 14:30:20.549112	65328	1111698.863483945	4	2
2014-03-28 14:30:28.974197	65329	52	2	9
2014-03-28 14:30:29.19739	65330	20.9	1	9
2014-03-28 14:30:30.067892	65331	47	2	8
2014-03-28 14:30:30.300444	65332	20.7	1	8
2014-03-28 14:30:32.320157	65333	498	3	2
2014-03-28 14:30:32.540846	65334	1111700.0125186662	4	2
2014-03-28 14:30:44.319372	65335	482	3	2
2014-03-28 14:30:44.552745	65336	1111702.310588109	4	2
2014-03-28 14:30:56.317825	65337	547	3	2
2014-03-28 14:30:56.541164	65338	1111703.4596228304	4	2
2014-03-28 14:30:58.427724	65339	43	2	10
2014-03-28 14:30:58.66908	65340	21.6	1	10
2014-03-28 14:31:07.975155	65341	52	2	9
2014-03-28 14:31:08.203367	65342	20.9	1	9
2014-03-28 14:31:09.066329	65343	47	2	8
2014-03-28 14:31:09.297034	65344	20.7	1	8
2014-03-28 14:31:32.31577	65345	547	3	2
2014-03-28 14:31:32.538612	65346	1111709.2047964376	4	2
2014-03-28 14:31:37.425321	65347	43	2	10
2014-03-28 14:31:37.661864	65348	21.6	1	10
2014-03-28 14:31:44.316462	65349	482	3	2
2014-03-28 14:31:44.540364	65350	1111710.353831159	4	2
2014-03-28 14:31:46.973707	65351	52	2	9
2014-03-28 14:31:47.204346	65352	20.9	1	9
2014-03-28 14:31:48.066104	65353	47	2	8
2014-03-28 14:31:48.294665	65354	20.7	1	8
2014-03-28 14:31:56.31432	65355	482	3	2
2014-03-28 14:31:56.546293	65356	1111712.6519006018	4	2
2014-03-28 14:32:16.424541	65357	43	2	10
2014-03-28 14:32:16.64778	65358	21.6	1	10
2014-03-28 14:32:25.97507	65359	52	2	9
2014-03-28 14:32:26.207555	65360	20.9	1	9
2014-03-28 14:32:27.06768	65361	47	2	8
2014-03-28 14:32:27.288991	65362	20.7	1	8
2014-03-28 14:32:32.313723	65363	611	3	2
2014-03-28 14:32:32.543813	65364	1111717.2480394875	4	2
2014-03-28 14:32:44.314199	65365	482	3	2
2014-03-28 14:32:44.537203	65366	1111719.5461089304	4	2
2014-03-28 14:32:55.425074	65367	43	2	10
2014-03-28 14:32:55.656831	65368	21.6	1	10
2014-03-28 14:32:56.317795	65369	482	3	2
2014-03-28 14:32:56.540925	65370	1111720.6951436517	4	2
2014-03-28 14:33:04.97534	65371	52	2	9
2014-03-28 14:33:05.205672	65372	20.9	1	9
2014-03-28 14:33:06.067338	65373	47	2	8
2014-03-28 14:33:06.286592	65374	20.7	1	8
2014-03-28 14:33:32.314596	65375	611	3	2
2014-03-28 14:33:32.545981	65376	1111726.4403172587	4	2
2014-03-28 14:33:34.427336	65377	43	2	10
2014-03-28 14:33:34.648571	65378	21.6	1	10
2014-03-28 14:33:43.977832	65379	52	2	9
2014-03-28 14:33:44.210732	65380	20.9	1	9
2014-03-28 14:33:44.514858	65381	482	3	2
2014-03-28 14:33:44.734982	65382	1111727.5893519802	4	2
2014-03-28 14:33:45.067418	65383	47	2	8
2014-03-28 14:33:45.298603	65384	20.7	1	8
2014-03-28 14:33:56.317	65385	482	3	2
2014-03-28 14:33:56.537767	65386	1111729.887421423	4	2
2014-03-28 14:34:13.427518	65387	43	2	10
2014-03-28 14:34:13.671443	65388	21.6	1	10
2014-03-28 14:34:22.977829	65389	52	2	9
2014-03-28 14:34:23.201183	65390	20.9	1	9
2014-03-28 14:34:24.067816	65391	47	2	8
2014-03-28 14:34:24.4843	65392	20.7	1	8
2014-03-28 14:34:32.317898	65393	627	3	2
2014-03-28 14:34:32.544803	65394	1111734.4835603086	4	2
2014-03-28 14:34:44.314365	65395	482	3	2
2014-03-28 14:34:44.535887	65396	1111736.7816297514	4	2
2014-03-28 14:34:52.428909	65397	43	2	10
2014-03-28 14:34:52.661475	65398	21.6	1	10
2014-03-28 14:34:56.314503	65399	466	3	2
2014-03-28 14:34:56.536991	65400	1111737.930664473	4	2
2014-03-28 14:35:01.97547	65401	52	2	9
2014-03-28 14:35:02.207666	65402	20.9	1	9
2014-03-28 14:35:03.065255	65403	47	2	8
2014-03-28 14:35:03.289059	65404	20.7	1	8
2014-03-28 14:35:31.425866	65405	43	2	10
2014-03-28 14:35:31.657469	65406	21.6	1	10
2014-03-28 14:35:32.317244	65407	611	3	2
2014-03-28 14:35:32.537393	65408	1111742.5268033587	4	2
2014-03-28 14:35:40.975426	65409	52	2	9
2014-03-28 14:35:41.207517	65410	20.9	1	9
2014-03-28 14:35:42.122401	65411	47	2	8
2014-03-28 14:35:42.344947	65412	20.7	1	8
2014-03-28 14:35:56.31634	65413	450	3	2
2014-03-28 14:35:56.546586	65414	1111745.9739075229	4	2
2014-03-28 14:36:10.428917	65415	43	2	10
2014-03-28 14:36:10.650896	65416	21.6	1	10
2014-03-28 14:36:19.973292	65417	52	2	9
2014-03-28 14:36:20.20428	65418	20.9	1	9
2014-03-28 14:36:21.068186	65419	47	2	8
2014-03-28 14:36:21.290755	65420	20.7	1	8
2014-03-28 14:36:32.31358	65421	434	3	2
2014-03-28 14:36:32.545598	65422	1111750.5700464086	4	2
2014-03-28 14:36:49.428112	65423	43	2	10
2014-03-28 14:36:49.651521	65424	21.6	1	10
2014-03-28 14:36:58.972494	65425	51	2	9
2014-03-28 14:36:59.204321	65426	21.0	1	9
2014-03-28 14:37:00.066937	65427	47	2	8
2014-03-28 14:37:00.289379	65428	20.7	1	8
2014-03-28 14:37:20.316695	65429	579	3	2
2014-03-28 14:37:20.552149	65430	1111757.464254737	4	2
2014-03-28 14:37:28.427731	65431	43	2	10
2014-03-28 14:37:28.650477	65432	21.6	1	10
2014-03-28 14:37:32.316627	65433	547	3	2
2014-03-28 14:37:32.55006	65434	1111758.6132894584	4	2
2014-03-28 14:37:37.991913	65435	51	2	9
2014-03-28 14:37:38.215891	65436	21.0	1	9
2014-03-28 14:37:39.067446	65437	47	2	8
2014-03-28 14:37:39.30742	65438	20.7	1	8
2014-03-28 14:37:56.315633	65439	515	3	2
2014-03-28 14:37:56.536142	65440	1111763.2094283442	4	2
2014-03-28 14:38:07.427517	65441	43	2	10
2014-03-28 14:38:07.657308	65442	21.6	1	10
2014-03-28 14:38:16.974886	65443	51	2	9
2014-03-28 14:38:17.194873	65444	21.0	1	9
2014-03-28 14:38:18.065824	65445	47	2	8
2014-03-28 14:38:18.297492	65446	20.7	1	8
2014-03-28 14:38:44.314545	65447	853	3	2
2014-03-28 14:38:44.536253	65448	1111771.252671394	4	2
2014-03-28 14:38:46.427976	65449	43	2	10
2014-03-28 14:38:46.6583	65450	21.7	1	10
2014-03-28 14:38:55.97302	65451	51	2	9
2014-03-28 14:38:56.194972	65452	21.0	1	9
2014-03-28 14:38:56.498641	65453	579	3	2
2014-03-28 14:38:56.728614	65454	1111773.550740837	4	2
2014-03-28 14:38:57.066425	65455	47	2	8
2014-03-28 14:38:57.286818	65456	20.7	1	8
2014-03-28 14:39:08.315249	65457	547	3	2
2014-03-28 14:39:08.548698	65458	1111774.6997755582	4	2
2014-03-28 14:39:25.428518	65459	43	2	10
2014-03-28 14:39:25.65003	65460	21.7	1	10
2014-03-28 14:39:32.31504	65461	659	3	2
2014-03-28 14:39:32.546516	65462	1111779.295914444	4	2
2014-03-28 14:39:34.977215	65463	51	2	9
2014-03-28 14:39:35.196583	65464	21.0	1	9
2014-03-28 14:39:36.068981	65465	47	2	8
2014-03-28 14:39:36.298042	65466	20.7	1	8
2014-03-28 14:40:04.431442	65467	43	2	10
2014-03-28 14:40:04.653144	65468	21.7	1	10
2014-03-28 14:40:13.975254	65469	51	2	9
2014-03-28 14:40:14.216625	65470	21.0	1	9
2014-03-28 14:40:15.066614	65471	47	2	8
2014-03-28 14:40:15.290025	65472	20.7	1	8
2014-03-28 14:40:43.427448	65473	43	2	10
2014-03-28 14:40:43.65812	65474	21.7	1	10
2014-03-28 14:40:52.974083	65475	51	2	9
2014-03-28 14:40:53.194863	65476	21.0	1	9
2014-03-28 14:40:54.06815	65477	47	2	8
2014-03-28 14:40:54.30164	65478	20.7	1	8
2014-03-28 14:41:22.430456	65479	43	2	10
2014-03-28 14:41:22.650885	65480	21.7	1	10
2014-03-28 14:41:31.973676	65481	51	2	9
2014-03-28 14:41:32.204502	65482	21.0	1	9
2014-03-28 14:41:32.511738	65483	515	3	2
2014-03-28 14:41:32.731929	65484	1111801.1275741507	4	2
2014-03-28 14:41:33.066413	65485	47	2	8
2014-03-28 14:41:33.308666	65486	20.7	1	8
2014-03-28 14:42:01.431587	65487	43	2	10
2014-03-28 14:42:01.653326	65488	21.7	1	10
2014-03-28 14:42:10.975164	65489	51	2	9
2014-03-28 14:42:11.207163	65490	21.0	1	9
2014-03-28 14:42:12.068119	65491	47	2	8
2014-03-28 14:42:12.288679	65492	20.7	1	8
2014-03-28 14:42:25.264847	65493	54	2	1
2014-03-28 14:42:25.518255	65494	21.2	1	1
2014-03-28 14:42:40.429453	65495	43	2	10
2014-03-28 14:42:40.653689	65496	21.7	1	10
2014-03-28 14:42:44.316156	65497	531	3	2
2014-03-28 14:42:44.547835	65498	1111811.4688866434	4	2
2014-03-28 14:42:49.972642	65499	51	2	9
2014-03-28 14:42:50.194288	65500	21.0	1	9
2014-03-28 14:42:51.070146	65501	47	2	8
2014-03-28 14:42:51.300403	65502	20.7	1	8
2014-03-28 14:43:19.42898	65503	43	2	10
2014-03-28 14:43:19.657015	65504	21.7	1	10
2014-03-28 14:43:28.974385	65505	51	2	9
2014-03-28 14:43:29.205993	65506	21.0	1	9
2014-03-28 14:43:30.07007	65507	47	2	8
2014-03-28 14:43:30.290248	65508	20.7	1	8
2014-03-28 14:43:32.312439	65509	531	3	2
2014-03-28 14:43:32.544299	65510	1111818.363094972	4	2
2014-03-28 14:43:58.43038	65511	43	2	10
2014-03-28 14:43:58.652632	65512	21.7	1	10
2014-03-28 14:44:07.973859	65513	51	2	9
2014-03-28 14:44:08.205686	65514	21.0	1	9
2014-03-28 14:44:09.067243	65515	47	2	8
2014-03-28 14:44:09.287534	65516	20.7	1	8
2014-03-28 14:44:32.315768	65517	531	3	2
2014-03-28 14:44:32.546715	65518	1111827.5553727434	4	2
2014-03-28 14:44:37.428937	65519	43	2	10
2014-03-28 14:44:37.654726	65520	21.7	1	10
2014-03-28 14:44:46.976274	65521	51	2	9
2014-03-28 14:44:47.207891	65522	21.0	1	9
2014-03-28 14:44:48.069164	65523	47	2	8
2014-03-28 14:44:48.289836	65524	20.7	1	8
2014-03-28 14:45:16.429589	65525	43	2	10
2014-03-28 14:45:16.662612	65526	21.8	1	10
2014-03-28 14:45:25.972488	65527	51	2	9
2014-03-28 14:45:26.217698	65528	21.0	1	9
2014-03-28 14:45:27.069135	65529	47	2	8
2014-03-28 14:45:27.299213	65530	20.7	1	8
2014-03-28 14:45:32.313647	65531	531	3	2
2014-03-28 14:45:32.536795	65532	1111836.7476505146	4	2
2014-03-28 14:45:55.430514	65533	43	2	10
2014-03-28 14:45:55.672294	65534	21.8	1	10
2014-03-28 14:46:04.969352	65535	51	2	9
2014-03-28 14:46:05.191834	65536	21.0	1	9
2014-03-28 14:46:06.066722	65537	47	2	8
2014-03-28 14:46:06.299429	65538	20.7	1	8
2014-03-28 14:46:19.263885	65539	54	2	1
2014-03-28 14:46:19.491475	65540	21.2	1	1
2014-03-28 14:46:32.319973	65541	531	3	2
2014-03-28 14:46:32.551647	65542	1111845.939928286	4	2
2014-03-28 14:46:34.429982	65543	43	2	10
2014-03-28 14:46:34.650194	65544	21.8	1	10
2014-03-28 14:46:43.970426	65545	51	2	9
2014-03-28 14:46:44.201908	65546	21.0	1	9
2014-03-28 14:46:45.067597	65547	47	2	8
2014-03-28 14:46:45.287801	65548	20.7	1	8
2014-03-28 14:46:56.313649	65549	611	3	2
2014-03-28 14:46:56.546753	65550	1111849.3870324502	4	2
2014-03-28 14:46:58.304647	65551	54	2	1
2014-03-28 14:46:58.527549	65552	21.3	1	1
2014-03-28 14:47:13.431084	65553	43	2	10
2014-03-28 14:47:13.663938	65554	21.8	1	10
2014-03-28 14:47:22.971501	65555	51	2	9
2014-03-28 14:47:23.19377	65556	21.1	1	9
2014-03-28 14:47:24.067218	65557	47	2	8
2014-03-28 14:47:24.298856	65558	20.7	1	8
2014-03-28 14:47:32.318325	65559	611	3	2
2014-03-28 14:47:32.540872	65560	1111855.1322060572	4	2
2014-03-28 14:47:37.503216	65561	54	2	1
2014-03-28 14:47:37.738315	65562	21.3	1	1
2014-03-28 14:47:52.432248	65563	43	2	10
2014-03-28 14:47:52.656289	65564	21.8	1	10
2014-03-28 14:47:56.314694	65565	547	3	2
2014-03-28 14:47:56.547084	65566	1111859.728344943	4	2
2014-03-28 14:48:01.975076	65567	51	2	9
2014-03-28 14:48:02.219745	65568	21.1	1	9
2014-03-28 14:48:03.067376	65569	47	2	8
2014-03-28 14:48:03.297304	65570	20.7	1	8
2014-03-28 14:48:31.43077	65571	43	2	10
2014-03-28 14:48:31.654644	65572	21.8	1	10
2014-03-28 14:48:32.315147	65573	547	3	2
2014-03-28 14:48:32.548093	65574	1111865.47351855	4	2
2014-03-28 14:48:40.971677	65575	51	2	9
2014-03-28 14:48:41.194636	65576	21.1	1	9
2014-03-28 14:48:42.067579	65577	47	2	8
2014-03-28 14:48:42.29881	65578	20.7	1	8
2014-03-28 14:48:55.257629	65579	54	2	1
2014-03-28 14:48:55.480439	65580	21.3	1	1
2014-03-28 14:49:10.432104	65581	43	2	10
2014-03-28 14:49:10.675049	65582	21.8	1	10
2014-03-28 14:49:19.973324	65583	51	2	9
2014-03-28 14:49:20.193596	65584	21.1	1	9
2014-03-28 14:49:21.066926	65585	47	2	8
2014-03-28 14:49:21.296831	65586	20.7	1	8
2014-03-28 14:49:49.432057	65587	43	2	10
2014-03-28 14:49:49.653481	65588	21.8	1	10
2014-03-28 14:49:58.976213	65589	51	2	9
2014-03-28 14:49:59.207998	65590	21.1	1	9
2014-03-28 14:50:00.068443	65591	47	2	8
2014-03-28 14:50:00.290126	65592	20.7	1	8
2014-03-28 14:50:28.430326	65593	43	2	10
2014-03-28 14:50:28.660995	65594	21.8	1	10
2014-03-28 14:50:32.312355	65595	579	3	2
2014-03-28 14:50:32.533394	65596	1111883.8580740925	4	2
2014-03-28 14:50:37.972176	65597	51	2	9
2014-03-28 14:50:38.206398	65598	21.1	1	9
2014-03-28 14:50:39.069234	65599	47	2	8
2014-03-28 14:50:39.289695	65600	20.7	1	8
2014-03-28 14:50:44.314955	65601	482	3	2
2014-03-28 14:50:44.549693	65602	1111885.007108814	4	2
2014-03-28 14:51:07.42991	65603	43	2	10
2014-03-28 14:51:07.651318	65604	21.9	1	10
2014-03-28 14:51:16.97376	65605	51	2	9
2014-03-28 14:51:17.205465	65606	21.1	1	9
2014-03-28 14:51:18.067028	65607	47	2	8
2014-03-28 14:51:18.290162	65608	20.7	1	8
2014-03-28 14:51:32.314737	65609	498	3	2
2014-03-28 14:51:32.549742	65610	1111891.9013171426	4	2
2014-03-28 14:51:46.430733	65611	43	2	10
2014-03-28 14:51:46.653084	65612	21.9	1	10
2014-03-28 14:51:55.975547	65613	51	2	9
2014-03-28 14:51:56.207429	65614	21.1	1	9
2014-03-28 14:51:57.067638	65615	47	2	8
2014-03-28 14:51:57.290661	65616	20.7	1	8
2014-03-28 14:52:25.434492	65617	43	2	10
2014-03-28 14:52:25.667627	65618	21.9	1	10
2014-03-28 14:52:32.315464	65619	498	3	2
2014-03-28 14:52:32.539205	65620	1111899.9445601925	4	2
2014-03-28 14:52:34.97689	65621	51	2	9
2014-03-28 14:52:35.208482	65622	21.1	1	9
2014-03-28 14:52:36.066982	65623	47	2	8
2014-03-28 14:52:36.286253	65624	20.7	1	8
2014-03-28 14:53:04.432965	65625	43	2	10
2014-03-28 14:53:04.669652	65626	21.9	1	10
2014-03-28 14:53:13.972237	65627	51	2	9
2014-03-28 14:53:14.193805	65628	21.1	1	9
2014-03-28 14:53:15.067252	65629	47	2	8
2014-03-28 14:53:15.311224	65630	20.7	1	8
2014-03-28 14:53:43.43282	65631	43	2	10
2014-03-28 14:53:43.656455	65632	21.9	1	10
2014-03-28 14:53:52.975098	65633	51	2	9
2014-03-28 14:53:53.206716	65634	21.1	1	9
2014-03-28 14:53:54.069519	65635	47	2	8
2014-03-28 14:53:54.290148	65636	20.7	1	8
2014-03-28 14:54:20.315574	65637	531	3	2
2014-03-28 14:54:20.547333	65638	1111914.8820115707	4	2
2014-03-28 14:54:22.43241	65639	43	2	10
2014-03-28 14:54:22.653884	65640	21.9	1	10
2014-03-28 14:54:31.974814	65641	51	2	9
2014-03-28 14:54:32.207659	65642	21.1	1	9
2014-03-28 14:54:32.511626	65643	531	3	2
2014-03-28 14:54:32.734028	65644	1111917.1800810136	4	2
2014-03-28 14:54:33.068093	65645	47	2	8
2014-03-28 14:54:33.301368	65646	20.7	1	8
2014-03-28 14:54:44.31327	65647	579	3	2
2014-03-28 14:54:44.53392	65648	1111919.4781504564	4	2
2014-03-28 14:54:56.315996	65649	531	3	2
2014-03-28 14:54:56.546381	65650	1111920.627185178	4	2
2014-03-28 14:55:01.433513	65651	43	2	10
2014-03-28 14:55:01.658751	65652	21.9	1	10
2014-03-28 14:55:08.315537	65653	531	3	2
2014-03-28 14:55:08.546373	65654	1111922.9252546208	4	2
2014-03-28 14:55:10.977982	65655	51	2	9
2014-03-28 14:55:11.199291	65656	21.1	1	9
2014-03-28 14:55:12.065749	65657	47	2	8
2014-03-28 14:55:12.296747	65658	20.7	1	8
2014-03-28 14:55:32.314222	65659	547	3	2
2014-03-28 14:55:32.536042	65660	1111926.372358785	4	2
2014-03-28 14:55:40.433358	65661	43	2	10
2014-03-28 14:55:40.663024	65662	21.9	1	10
2014-03-28 14:55:49.974211	65663	51	2	9
2014-03-28 14:55:50.199293	65664	21.1	1	9
2014-03-28 14:55:51.069116	65665	47	2	8
2014-03-28 14:55:51.302024	65666	20.7	1	8
2014-03-28 14:56:19.433459	65667	43	2	10
2014-03-28 14:56:19.653953	65668	21.9	1	10
2014-03-28 14:56:28.975385	65669	51	2	9
2014-03-28 14:56:29.207752	65670	21.1	1	9
2014-03-28 14:56:30.067264	65671	47	2	8
2014-03-28 14:56:30.290616	65672	20.7	1	8
2014-03-28 14:56:58.433891	65673	43	2	10
2014-03-28 14:56:58.665964	65674	21.9	1	10
2014-03-28 14:57:07.97364	65675	51	2	9
2014-03-28 14:57:08.195523	65676	21.1	1	9
2014-03-28 14:57:09.066334	65677	47	2	8
2014-03-28 14:57:09.309089	65678	20.7	1	8
2014-03-28 14:57:32.317388	65679	547	3	2
2014-03-28 14:57:32.539461	65680	1111944.7569143276	4	2
2014-03-28 14:57:37.435326	65681	43	2	10
2014-03-28 14:57:37.69092	65682	22.0	1	10
2014-03-28 14:57:46.975102	65683	51	2	9
2014-03-28 14:57:47.196689	65684	21.1	1	9
2014-03-28 14:57:48.070635	65685	47	2	8
2014-03-28 14:57:48.302283	65686	20.7	1	8
2014-03-28 14:58:16.432512	65687	43	2	10
2014-03-28 14:58:16.654871	65688	22.0	1	10
2014-03-28 14:58:25.974853	65689	51	2	9
2014-03-28 14:58:26.206812	65690	21.1	1	9
2014-03-28 14:58:27.066712	65691	47	2	8
2014-03-28 14:58:27.286764	65692	20.7	1	8
2014-03-28 14:58:55.433836	65693	43	2	10
2014-03-28 14:58:55.667181	65694	22.0	1	10
2014-03-28 14:59:04.972657	65695	51	2	9
2014-03-28 14:59:05.19479	65696	21.1	1	9
2014-03-28 14:59:06.067257	65697	47	2	8
2014-03-28 14:59:06.29705	65698	20.7	1	8
2014-03-28 14:59:32.313387	65699	531	3	2
2014-03-28 14:59:32.534118	65700	1111961.992435149	4	2
2014-03-28 14:59:34.432234	65701	43	2	10
2014-03-28 14:59:34.662535	65702	22.0	1	10
2014-03-28 14:59:43.975196	65703	51	2	9
2014-03-28 14:59:44.19644	65704	21.1	1	9
2014-03-28 14:59:45.066951	65705	47	2	8
2014-03-28 14:59:45.297661	65706	20.7	1	8
2014-03-28 15:00:08.313767	65707	498	3	2
2014-03-28 15:00:08.534713	65708	1111966.5930449867	4	2
2014-03-28 15:00:13.433397	65709	43	2	10
2014-03-28 15:00:13.669469	65710	22.0	1	10
2014-03-28 15:00:20.312048	65711	498	3	2
2014-03-28 15:00:20.533144	65712	1111967.7420797083	4	2
2014-03-28 15:00:22.975371	65713	51	2	9
2014-03-28 15:00:23.205332	65714	21.2	1	9
2014-03-28 15:00:24.068543	65715	47	2	8
2014-03-28 15:00:24.290195	65716	20.7	1	8
2014-03-28 15:00:32.314315	65717	498	3	2
2014-03-28 15:00:32.545667	65718	1111970.0401491509	4	2
2014-03-28 15:00:52.435009	65719	43	2	10
2014-03-28 15:00:52.656147	65720	22.0	1	10
2014-03-28 15:01:01.976804	65721	51	2	9
2014-03-28 15:01:02.208177	65722	21.2	1	9
2014-03-28 15:01:03.068268	65723	47	2	8
2014-03-28 15:01:03.289091	65724	20.7	1	8
2014-03-28 15:01:31.434389	65725	43	2	10
2014-03-28 15:01:31.678297	65726	22.0	1	10
2014-03-28 15:01:32.312435	65727	498	3	2
2014-03-28 15:01:32.533491	65728	1111978.083392201	4	2
2014-03-28 15:01:40.973071	65729	51	2	9
2014-03-28 15:01:41.206234	65730	21.2	1	9
2014-03-28 15:01:42.066854	65731	47	2	8
2014-03-28 15:01:42.289247	65732	20.7	1	8
2014-03-28 15:02:10.435978	65733	43	2	10
2014-03-28 15:02:10.667845	65734	22.0	1	10
2014-03-28 15:02:19.974711	65735	51	2	9
2014-03-28 15:02:20.198689	65736	21.2	1	9
2014-03-28 15:02:21.067843	65737	47	2	8
2014-03-28 15:02:21.300586	65738	20.7	1	8
2014-03-28 15:02:34.059689	65739	498	3	2
2014-03-28 15:02:34.282579	65740	1111986.1266352509	4	2
2014-03-28 15:02:34.585036	65741	56	2	1
2014-03-28 15:02:34.81648	65742	21.3	1	1
2014-03-28 15:02:49.436081	65743	43	2	10
2014-03-28 15:02:49.683985	65744	22.0	1	10
2014-03-28 15:02:58.974947	65745	51	2	9
2014-03-28 15:02:59.206651	65746	21.2	1	9
2014-03-28 15:03:00.069477	65747	47	2	8
2014-03-28 15:03:00.289926	65748	20.7	1	8
2014-03-28 15:03:28.436667	65749	43	2	10
2014-03-28 15:03:28.66924	65750	22.1	1	10
2014-03-28 15:03:32.315416	65751	498	3	2
2014-03-28 15:03:32.538749	65752	1111995.318913022	4	2
2014-03-28 15:03:37.97312	65753	51	2	9
2014-03-28 15:03:38.204166	65754	21.2	1	9
2014-03-28 15:03:39.067134	65755	47	2	8
2014-03-28 15:03:39.28877	65756	20.7	1	8
2014-03-28 15:04:07.434506	65757	43	2	10
2014-03-28 15:04:07.668156	65758	22.1	1	10
2014-03-28 15:04:16.973285	65759	51	2	9
2014-03-28 15:04:17.196229	65760	21.2	1	9
2014-03-28 15:04:18.067141	65761	47	2	8
2014-03-28 15:04:18.297101	65762	20.7	1	8
2014-03-28 15:04:32.312272	65763	498	3	2
2014-03-28 15:04:32.534693	65764	1112003.362156072	4	2
2014-03-28 15:04:46.437541	65765	43	2	10
2014-03-28 15:04:46.670841	65766	22.1	1	10
2014-03-28 15:04:55.97519	65767	51	2	9
2014-03-28 15:04:56.196696	65768	21.2	1	9
2014-03-28 15:04:57.066125	65769	47	2	8
2014-03-28 15:04:57.300258	65770	20.7	1	8
2014-03-28 15:05:25.43417	65771	43	2	10
2014-03-28 15:05:25.657691	65772	22.1	1	10
2014-03-28 15:05:32.314857	65773	482	3	2
2014-03-28 15:05:32.558544	65774	1112011.4053991218	4	2
2014-03-28 15:05:34.974458	65775	51	2	9
2014-03-28 15:05:35.195182	65776	21.2	1	9
2014-03-28 15:05:36.067091	65777	47	2	8
2014-03-28 15:05:36.298207	65778	20.7	1	8
2014-03-28 15:05:44.312747	65779	515	3	2
2014-03-28 15:05:44.533932	65780	1112012.5544338434	4	2
2014-03-28 15:05:56.310959	65781	498	3	2
2014-03-28 15:05:56.543276	65782	1112014.8525032862	4	2
2014-03-28 15:06:04.437065	65783	43	2	10
2014-03-28 15:06:04.657902	65784	22.1	1	10
2014-03-28 15:06:13.97396	65785	52	2	9
2014-03-28 15:06:14.206939	65786	21.2	1	9
2014-03-28 15:06:15.069264	65787	47	2	8
2014-03-28 15:06:15.346547	65788	20.7	1	8
2014-03-28 15:06:32.315184	65789	515	3	2
2014-03-28 15:06:32.547977	65790	1112019.448642172	4	2
2014-03-28 15:06:43.43722	65791	43	2	10
2014-03-28 15:06:43.658174	65792	22.1	1	10
2014-03-28 15:06:52.972887	65793	52	2	9
2014-03-28 15:06:53.206444	65794	21.2	1	9
2014-03-28 15:06:54.06899	65795	47	2	8
2014-03-28 15:06:54.290505	65796	20.7	1	8
2014-03-28 15:06:56.313138	65797	547	3	2
2014-03-28 15:06:56.544771	65798	1112022.895746336	4	2
2014-03-28 15:07:08.314889	65799	547	3	2
2014-03-28 15:07:08.536859	65800	1112025.193815779	4	2
2014-03-28 15:07:22.437435	65801	43	2	10
2014-03-28 15:07:22.677148	65802	22.1	1	10
2014-03-28 15:07:31.974649	65803	52	2	9
2014-03-28 15:07:32.198144	65804	21.2	1	9
2014-03-28 15:07:33.066979	65805	47	2	8
2014-03-28 15:07:33.299433	65806	20.7	1	8
2014-03-28 15:08:01.436864	65807	43	2	10
2014-03-28 15:08:01.662545	65808	22.1	1	10
2014-03-28 15:08:10.975082	65809	52	2	9
2014-03-28 15:08:11.207499	65810	21.2	1	9
2014-03-28 15:08:12.06705	65811	47	2	8
2014-03-28 15:08:12.288039	65812	20.7	1	8
2014-03-28 15:08:20.314188	65813	579	3	2
2014-03-28 15:08:20.547346	65814	1112035.5351282717	4	2
2014-03-28 15:08:40.440332	65815	43	2	10
2014-03-28 15:08:40.663392	65816	22.1	1	10
2014-03-28 15:08:44.313833	65817	547	3	2
2014-03-28 15:08:44.547952	65818	1112040.1312671574	4	2
2014-03-28 15:08:49.973857	65819	52	2	9
2014-03-28 15:08:50.195023	65820	21.2	1	9
2014-03-28 15:08:51.066982	65821	47	2	8
2014-03-28 15:08:51.309987	65822	20.7	1	8
2014-03-28 15:09:04.242519	65823	57	2	1
2014-03-28 15:09:04.46658	65824	21.4	1	1
2014-03-28 15:09:19.439236	65825	43	2	10
2014-03-28 15:09:19.671475	65826	22.2	1	10
2014-03-28 15:09:20.315005	65827	3154	3	2
2014-03-28 15:09:20.54482	65828	1112047.0254754857	4	2
2014-03-28 15:09:28.973738	65829	52	2	9
2014-03-28 15:09:29.207653	65830	21.2	1	9
2014-03-28 15:09:30.067923	65831	47	2	8
2014-03-28 15:09:30.288874	65832	20.7	1	8
2014-03-28 15:09:32.312228	65833	3154	3	2
2014-03-28 15:09:32.542459	65834	1112058.5158227	4	2
2014-03-28 15:09:43.291837	65835	57	2	1
2014-03-28 15:09:43.513172	65836	21.4	1	1
2014-03-28 15:09:44.317733	65837	3122	3	2
2014-03-28 15:09:44.547304	65838	1112068.8571351927	4	2
2014-03-28 15:09:56.31355	65839	3138	3	2
2014-03-28 15:09:56.53517	65840	1112079.1984476855	4	2
2014-03-28 15:09:58.43879	65841	43	2	10
2014-03-28 15:09:58.6737	65842	22.2	1	10
2014-03-28 15:10:07.971911	65843	52	2	9
2014-03-28 15:10:08.195254	65844	21.2	1	9
2014-03-28 15:10:09.065909	65845	47	2	8
2014-03-28 15:10:09.295722	65846	20.7	1	8
2014-03-28 15:10:20.311171	65847	3235	3	2
2014-03-28 15:10:20.540229	65848	1112099.881072671	4	2
2014-03-28 15:10:22.48201	65849	57	2	1
2014-03-28 15:10:22.716313	65850	21.5	1	1
2014-03-28 15:10:32.314018	65851	3219	3	2
2014-03-28 15:10:32.535825	65852	1112111.371419885	4	2
2014-03-28 15:10:37.438567	65853	43	2	10
2014-03-28 15:10:37.673678	65854	22.2	1	10
2014-03-28 15:10:44.315875	65855	676	3	2
2014-03-28 15:10:44.538784	65856	1112114.8185240494	4	2
2014-03-28 15:10:46.970527	65857	52	2	9
2014-03-28 15:10:47.202448	65858	21.2	1	9
2014-03-28 15:10:48.06796	65859	47	2	8
2014-03-28 15:10:48.291155	65860	20.7	1	8
2014-03-28 15:10:56.31221	65861	676	3	2
2014-03-28 15:10:56.544855	65862	1112117.116593492	4	2
2014-03-28 15:11:01.243336	65863	57	2	1
2014-03-28 15:11:01.467077	65864	21.4	1	1
2014-03-28 15:11:16.437644	65865	43	2	10
2014-03-28 15:11:16.668315	65866	22.2	1	10
2014-03-28 15:11:20.312993	65867	547	3	2
2014-03-28 15:11:20.541087	65868	1112121.7127323777	4	2
2014-03-28 15:11:25.977494	65869	52	2	9
2014-03-28 15:11:26.220651	65870	21.2	1	9
2014-03-28 15:11:27.067268	65871	47	2	8
2014-03-28 15:11:27.290573	65872	20.7	1	8
2014-03-28 15:11:32.312932	65873	579	3	2
2014-03-28 15:11:32.544235	65874	1112124.0108018206	4	2
2014-03-28 15:11:44.313226	65875	515	3	2
2014-03-28 15:11:44.535097	65876	1112125.159836542	4	2
2014-03-28 15:11:55.438572	65877	43	2	10
2014-03-28 15:11:55.668771	65878	22.2	1	10
2014-03-28 15:11:56.313691	65879	498	3	2
2014-03-28 15:11:56.534603	65880	1112127.4579059847	4	2
2014-03-28 15:12:04.973777	65881	52	2	9
2014-03-28 15:12:05.206233	65882	21.3	1	9
2014-03-28 15:12:06.068094	65883	47	2	8
2014-03-28 15:12:06.291649	65884	20.7	1	8
2014-03-28 15:12:34.437919	65885	43	2	10
2014-03-28 15:12:34.670345	65886	22.2	1	10
2014-03-28 15:12:43.977429	65887	52	2	9
2014-03-28 15:12:44.201478	65888	21.3	1	9
2014-03-28 15:12:45.066587	65889	47	2	8
2014-03-28 15:12:45.299789	65890	20.7	1	8
2014-03-28 15:13:13.438015	65891	43	2	10
2014-03-28 15:13:13.65961	65892	22.2	1	10
2014-03-28 15:13:22.974104	65893	52	2	9
2014-03-28 15:13:23.206231	65894	21.3	1	9
2014-03-28 15:13:24.06705	65895	47	2	8
2014-03-28 15:13:24.290124	65896	20.7	1	8
2014-03-28 15:13:32.312158	65897	515	3	2
2014-03-28 15:13:32.543627	65898	1112141.2463226418	4	2
2014-03-28 15:13:52.439874	65899	43	2	10
2014-03-28 15:13:52.662738	65900	22.2	1	10
2014-03-28 15:14:01.974553	65901	52	2	9
2014-03-28 15:14:02.206341	65902	21.3	1	9
2014-03-28 15:14:03.067427	65903	47	2	8
2014-03-28 15:14:03.290251	65904	20.7	1	8
2014-03-28 15:14:31.439387	65905	43	2	10
2014-03-28 15:14:31.673154	65906	22.2	1	10
2014-03-28 15:14:40.96883	65907	52	2	9
2014-03-28 15:14:41.190771	65908	21.3	1	9
2014-03-28 15:14:42.065517	65909	47	2	8
2014-03-28 15:14:42.297259	65910	20.7	1	8
2014-03-28 15:15:10.439393	65911	43	2	10
2014-03-28 15:15:10.66339	65912	22.2	1	10
2014-03-28 15:15:19.973855	65913	52	2	9
2014-03-28 15:15:20.204451	65914	21.3	1	9
2014-03-28 15:15:21.067354	65915	47	2	8
2014-03-28 15:15:21.289732	65916	20.7	1	8
2014-03-28 15:15:49.439799	65917	43	2	10
2014-03-28 15:15:49.682585	65918	22.3	1	10
2014-03-28 15:15:58.973666	65919	52	2	9
2014-03-28 15:15:59.196157	65920	21.3	1	9
2014-03-28 15:16:00.066618	65921	47	2	8
2014-03-28 15:16:00.298174	65922	20.7	1	8
2014-03-28 15:16:08.31268	65923	515	3	2
2014-03-28 15:16:08.533916	65924	1112163.0779823486	4	2
2014-03-28 15:16:28.44022	65925	43	2	10
2014-03-28 15:16:28.673333	65926	22.3	1	10
2014-03-28 15:16:32.312768	65927	515	3	2
2014-03-28 15:16:32.53497	65928	1112166.525086513	4	2
2014-03-28 15:16:37.973713	65929	53	2	9
2014-03-28 15:16:38.204557	65930	21.3	1	9
2014-03-28 15:16:39.066146	65931	47	2	8
2014-03-28 15:16:39.294146	65932	20.7	1	8
2014-03-28 15:17:07.440739	65933	43	2	10
2014-03-28 15:17:07.672514	65934	22.3	1	10
2014-03-28 15:17:16.975168	65935	53	2	9
2014-03-28 15:17:17.200085	65936	21.3	1	9
2014-03-28 15:17:18.068586	65937	47	2	8
2014-03-28 15:17:18.30241	65938	20.7	1	8
2014-03-28 15:17:32.314461	65939	531	3	2
2014-03-28 15:17:32.538765	65940	1112174.568329563	4	2
2014-03-28 15:17:46.439732	65941	43	2	10
2014-03-28 15:17:46.673481	65942	22.3	1	10
2014-03-28 15:17:55.970069	65943	53	2	9
2014-03-28 15:17:56.193445	65944	21.3	1	9
2014-03-28 15:17:57.065146	65945	47	2	8
2014-03-28 15:17:57.298529	65946	20.7	1	8
2014-03-28 15:18:25.441403	65947	43	2	10
2014-03-28 15:18:25.69889	65948	22.3	1	10
2014-03-28 15:18:32.313371	65949	595	3	2
2014-03-28 15:18:32.671105	65950	1112183.760607334	4	2
2014-03-28 15:18:34.968995	65951	53	2	9
2014-03-28 15:18:35.244384	65952	21.3	1	9
2014-03-28 15:18:36.069913	65953	47	2	8
2014-03-28 15:18:36.335008	65954	20.7	1	8
2014-03-28 15:19:04.442751	65955	43	2	10
2014-03-28 15:19:04.665749	65956	22.3	1	10
2014-03-28 15:19:13.971515	65957	53	2	9
2014-03-28 15:19:14.202744	65958	21.3	1	9
2014-03-28 15:19:15.066131	65959	47	2	8
2014-03-28 15:19:15.287942	65960	20.7	1	8
2014-03-28 15:19:43.241769	65961	579	3	2
2014-03-28 15:19:43.532431	65962	1112194.1019198268	4	2
2014-03-28 15:19:43.837379	65963	43	2	10
2014-03-28 15:19:44.059122	65964	22.3	1	10
2014-03-28 15:19:52.973818	65965	53	2	9
2014-03-28 15:19:53.214588	65966	21.3	1	9
2014-03-28 15:19:54.066835	65967	47	2	8
2014-03-28 15:19:54.288872	65968	20.7	1	8
2014-03-28 15:20:22.438919	65969	43	2	10
2014-03-28 15:20:22.673814	65970	22.3	1	10
2014-03-28 15:20:31.972773	65971	53	2	9
2014-03-28 15:20:32.19394	65972	21.3	1	9
2014-03-28 15:20:33.065488	65973	47	2	8
2014-03-28 15:20:33.29645	65974	20.7	1	8
2014-03-28 15:21:01.442329	65975	44	2	10
2014-03-28 15:21:01.664947	65976	22.3	1	10
2014-03-28 15:21:10.969422	65977	53	2	9
2014-03-28 15:21:11.203188	65978	21.4	1	9
2014-03-28 15:21:12.067832	65979	47	2	8
2014-03-28 15:21:12.289573	65980	20.7	1	8
2014-03-28 15:21:32.31057	65981	531	3	2
2014-03-28 15:21:32.543508	65982	1112213.635510091	4	2
2014-03-28 15:21:40.44015	65983	44	2	10
2014-03-28 15:21:40.661337	65984	22.3	1	10
2014-03-28 15:21:44.311561	65985	531	3	2
2014-03-28 15:21:44.579876	65986	1112214.7845448123	4	2
2014-03-28 15:21:49.97385	65987	53	2	9
2014-03-28 15:21:50.196554	65988	21.4	1	9
2014-03-28 15:21:51.065943	65989	47	2	8
2014-03-28 15:21:51.297786	65990	20.7	1	8
2014-03-28 15:22:19.439548	65991	44	2	10
2014-03-28 15:22:19.663008	65992	22.4	1	10
2014-03-28 15:22:28.972114	65993	53	2	9
2014-03-28 15:22:29.20565	65994	21.4	1	9
2014-03-28 15:22:30.068637	65995	47	2	8
2014-03-28 15:22:30.288508	65996	20.7	1	8
2014-03-28 15:22:32.313864	65997	531	3	2
2014-03-28 15:22:32.544296	65998	1112222.8277878622	4	2
2014-03-28 15:22:58.442368	65999	44	2	10
2014-03-28 15:22:58.665332	66000	22.4	1	10
2014-03-28 15:23:07.970473	66001	53	2	9
2014-03-28 15:23:08.203472	66002	21.4	1	9
2014-03-28 15:23:09.066209	66003	47	2	8
2014-03-28 15:23:09.288777	66004	20.7	1	8
2014-03-28 15:23:32.315789	66005	531	3	2
2014-03-28 15:23:32.546288	66006	1112230.8710309123	4	2
2014-03-28 15:23:37.44077	66007	44	2	10
2014-03-28 15:23:37.665925	66008	22.4	1	10
2014-03-28 15:23:46.973894	66009	53	2	9
2014-03-28 15:23:47.205803	66010	21.4	1	9
2014-03-28 15:23:48.064779	66011	47	2	8
2014-03-28 15:23:48.28866	66012	20.7	1	8
2014-03-28 15:24:08.312716	66013	482	3	2
2014-03-28 15:24:08.555343	66014	1112236.6162045193	4	2
2014-03-28 15:24:16.444749	66015	44	2	10
2014-03-28 15:24:16.667168	66016	22.4	1	10
2014-03-28 15:24:20.310239	66017	482	3	2
2014-03-28 15:24:20.543943	66018	1112237.7652392406	4	2
2014-03-28 15:24:25.9745	66019	53	2	9
2014-03-28 15:24:26.196102	66020	21.4	1	9
2014-03-28 15:24:27.067166	66021	47	2	8
2014-03-28 15:24:27.318988	66022	20.7	1	8
2014-03-28 15:24:32.312745	66023	498	3	2
2014-03-28 15:24:32.536925	66024	1112240.0633086835	4	2
2014-03-28 15:24:55.444946	66025	44	2	10
2014-03-28 15:24:55.678579	66026	22.4	1	10
2014-03-28 15:24:56.310501	66027	466	3	2
2014-03-28 15:24:56.533584	66028	1112242.3613781263	4	2
2014-03-28 15:25:04.969176	66029	53	2	9
2014-03-28 15:25:05.201163	66030	21.4	1	9
2014-03-28 15:25:06.067507	66031	47	2	8
2014-03-28 15:25:06.287281	66032	20.7	1	8
2014-03-28 15:25:08.312788	66033	466	3	2
2014-03-28 15:25:08.545424	66034	1112244.6594475692	4	2
2014-03-28 15:25:32.31169	66035	482	3	2
2014-03-28 15:25:32.532935	66036	1112248.1065517333	4	2
2014-03-28 15:25:34.440543	66037	44	2	10
2014-03-28 15:25:34.673528	66038	22.4	1	10
2014-03-28 15:25:43.975074	66039	53	2	9
2014-03-28 15:25:44.197036	66040	21.4	1	9
2014-03-28 15:25:45.068179	66041	47	2	8
2014-03-28 15:25:45.298776	66042	20.7	1	8
2014-03-28 15:26:13.442011	66043	44	2	10
2014-03-28 15:26:13.665003	66044	22.4	1	10
2014-03-28 15:26:22.974578	66045	53	2	9
2014-03-28 15:26:23.206248	66046	21.4	1	9
2014-03-28 15:26:24.066915	66047	47	2	8
2014-03-28 15:26:24.288233	66048	20.7	1	8
2014-03-28 15:26:32.313677	66049	482	3	2
2014-03-28 15:26:32.546087	66050	1112256.1497947832	4	2
2014-03-28 15:26:52.442445	66051	44	2	10
2014-03-28 15:26:52.664413	66052	22.4	1	10
2014-03-28 15:27:01.97362	66053	53	2	9
2014-03-28 15:27:02.205008	66054	21.4	1	9
2014-03-28 15:27:03.067045	66055	47	2	8
2014-03-28 15:27:03.291449	66056	20.7	1	8
2014-03-28 15:27:31.443656	66057	44	2	10
2014-03-28 15:27:31.674408	66058	22.5	1	10
2014-03-28 15:27:40.971279	66059	53	2	9
2014-03-28 15:27:41.21601	66060	21.4	1	9
2014-03-28 15:27:42.06932	66061	47	2	8
2014-03-28 15:27:42.311753	66062	20.7	1	8
2014-03-28 15:28:10.452843	66063	44	2	10
2014-03-28 15:28:10.674955	66064	22.5	1	10
2014-03-28 15:28:19.973635	66065	54	2	9
2014-03-28 15:28:20.207217	66066	21.4	1	9
2014-03-28 15:28:21.067334	66067	47	2	8
2014-03-28 15:28:21.289972	66068	20.7	1	8
2014-03-28 15:28:32.311494	66069	466	3	2
2014-03-28 15:28:32.54338	66070	1112271.091717114	4	2
2014-03-28 15:28:49.441978	66071	44	2	10
2014-03-28 15:28:49.665685	66072	22.5	1	10
2014-03-28 15:28:58.969917	66073	54	2	9
2014-03-28 15:28:59.204793	66074	21.4	1	9
2014-03-28 15:29:00.067294	66075	47	2	8
2014-03-28 15:29:00.28973	66076	20.7	1	8
2014-03-28 15:29:08.312508	66077	466	3	2
2014-03-28 15:29:08.545125	66078	1112275.6878559997	4	2
2014-03-28 15:29:20.313469	66079	579	3	2
2014-03-28 15:29:20.535744	66080	1112276.836890721	4	2
2014-03-28 15:29:28.443138	66081	44	2	10
2014-03-28 15:29:28.674692	66082	22.5	1	10
2014-03-28 15:29:32.314924	66083	595	3	2
2014-03-28 15:29:32.535236	66084	1112279.1349601639	4	2
2014-03-28 15:29:37.970327	66085	54	2	9
2014-03-28 15:29:38.202641	66086	21.4	1	9
2014-03-28 15:29:39.065367	66087	47	2	8
2014-03-28 15:29:39.286161	66088	20.7	1	8
2014-03-28 15:30:07.444141	66089	44	2	10
2014-03-28 15:30:07.679825	66090	22.5	1	10
2014-03-28 15:30:16.971288	66091	54	2	9
2014-03-28 15:30:17.194325	66092	21.4	1	9
2014-03-28 15:30:18.066619	66093	47	2	8
2014-03-28 15:30:18.297062	66094	20.8	1	8
2014-03-28 15:30:32.310687	66095	579	3	2
2014-03-28 15:30:32.53386	66096	1112290.625307378	4	2
2014-03-28 15:30:46.443833	66097	44	2	10
2014-03-28 15:30:46.678477	66098	22.5	1	10
2014-03-28 15:30:55.973654	66099	54	2	9
2014-03-28 15:30:56.197685	66100	21.4	1	9
2014-03-28 15:30:56.502861	66101	627	3	2
2014-03-28 15:30:56.73611	66102	1112294.0724115423	4	2
2014-03-28 15:30:57.065601	66103	47	2	8
2014-03-28 15:30:57.288133	66104	20.8	1	8
2014-03-28 15:31:08.309922	66105	627	3	2
2014-03-28 15:31:08.543571	66106	1112296.3704809851	4	2
2014-03-28 15:31:25.443344	66107	44	2	10
2014-03-28 15:31:25.666799	66108	22.5	1	10
2014-03-28 15:31:32.311715	66109	627	3	2
2014-03-28 15:31:32.554105	66110	1112300.9666198706	4	2
2014-03-28 15:31:34.974457	66111	54	2	9
2014-03-28 15:31:35.196472	66112	21.4	1	9
2014-03-28 15:31:36.066699	66113	47	2	8
2014-03-28 15:31:36.29683	66114	20.8	1	8
2014-03-28 15:32:04.443606	66115	44	2	10
2014-03-28 15:32:04.664693	66116	22.5	1	10
2014-03-28 15:32:13.973201	66117	54	2	9
2014-03-28 15:32:14.204282	66118	21.4	1	9
2014-03-28 15:32:15.067013	66119	47	2	8
2014-03-28 15:32:15.288541	66120	20.8	1	8
2014-03-28 15:32:32.311387	66121	627	3	2
2014-03-28 15:32:32.543084	66122	1112311.3079323634	4	2
2014-03-28 15:32:43.443276	66123	44	2	10
2014-03-28 15:32:43.700347	66124	22.5	1	10
2014-03-28 15:32:52.972256	66125	54	2	9
2014-03-28 15:32:53.203499	66126	21.4	1	9
2014-03-28 15:32:54.066343	66127	47	2	8
2014-03-28 15:32:54.287225	66128	20.8	1	8
2014-03-28 15:33:22.443563	66129	44	2	10
2014-03-28 15:33:22.675048	66130	22.6	1	10
2014-03-28 15:33:31.97508	66131	54	2	9
2014-03-28 15:33:32.199009	66132	21.4	1	9
2014-03-28 15:33:33.067704	66133	48	2	8
2014-03-28 15:33:33.299223	66134	20.8	1	8
2014-03-28 15:34:01.445531	66135	44	2	10
2014-03-28 15:34:01.669003	66136	22.6	1	10
2014-03-28 15:34:10.972144	66137	54	2	9
2014-03-28 15:34:11.205275	66138	21.4	1	9
2014-03-28 15:34:12.068172	66139	48	2	8
2014-03-28 15:34:12.290176	66140	20.9	1	8
2014-03-28 15:34:32.31463	66141	627	3	2
2014-03-28 15:34:32.546429	66142	1112331.9905573488	4	2
2014-03-28 15:34:40.446091	66143	44	2	10
2014-03-28 15:34:40.666917	66144	22.6	1	10
2014-03-28 15:34:49.973735	66145	54	2	9
2014-03-28 15:34:50.204295	66146	21.4	1	9
2014-03-28 15:34:51.065079	66147	48	2	8
2014-03-28 15:34:51.28787	66148	20.9	1	8
2014-03-28 15:35:19.447829	66149	44	2	10
2014-03-28 15:35:19.678887	66150	22.6	1	10
2014-03-28 15:35:28.974294	66151	54	2	9
2014-03-28 15:35:29.195753	66152	21.4	1	9
2014-03-28 15:35:30.065785	66153	48	2	8
2014-03-28 15:35:30.295333	66154	20.9	1	8
2014-03-28 15:35:32.311427	66155	627	3	2
2014-03-28 15:35:32.534553	66156	1112342.3318698416	4	2
2014-03-28 15:35:58.443443	66157	44	2	10
2014-03-28 15:35:58.68799	66158	22.6	1	10
2014-03-28 15:36:07.97035	66159	54	2	9
2014-03-28 15:36:08.193064	66160	21.4	1	9
2014-03-28 15:36:09.06607	66161	48	2	8
2014-03-28 15:36:09.295292	66162	20.9	1	8
2014-03-28 15:36:32.308567	66163	611	3	2
2014-03-28 15:36:32.530927	66164	1112352.6731823343	4	2
2014-03-28 15:36:37.446011	66165	44	2	10
2014-03-28 15:36:37.681286	66166	22.6	1	10
2014-03-28 15:36:46.970807	66167	54	2	9
2014-03-28 15:36:47.19333	66168	21.4	1	9
2014-03-28 15:36:48.06762	66169	48	2	8
2014-03-28 15:36:48.299419	66170	21.0	1	8
2014-03-28 15:37:16.445378	66171	44	2	10
2014-03-28 15:37:16.669611	66172	22.6	1	10
2014-03-28 15:37:25.973321	66173	54	2	9
2014-03-28 15:37:26.204364	66174	21.4	1	9
2014-03-28 15:37:27.066335	66175	48	2	8
2014-03-28 15:37:27.287937	66176	21.0	1	8
2014-03-28 15:37:32.309835	66177	547	3	2
2014-03-28 15:37:32.54258	66178	1112363.014494827	4	2
2014-03-28 15:37:55.445332	66179	44	2	10
2014-03-28 15:37:55.669013	66180	22.6	1	10
2014-03-28 15:38:04.975849	66181	54	2	9
2014-03-28 15:38:05.206771	66182	21.4	1	9
2014-03-28 15:38:06.065631	66183	48	2	8
2014-03-28 15:38:06.286431	66184	21.0	1	8
2014-03-28 15:38:08.309636	66185	547	3	2
2014-03-28 15:38:08.539199	66186	1112367.6106337127	4	2
2014-03-28 15:38:20.308271	66187	547	3	2
2014-03-28 15:38:20.530077	66188	1112369.9087031556	4	2
2014-03-28 15:38:32.310447	66189	547	3	2
2014-03-28 15:38:32.54222	66190	1112372.2067725984	4	2
2014-03-28 15:38:34.448946	66191	44	2	10
2014-03-28 15:38:34.672367	66192	22.6	1	10
2014-03-28 15:38:44.029725	66193	54	2	9
2014-03-28 15:38:44.264137	66194	21.4	1	9
2014-03-28 15:38:45.067613	66195	48	2	8
2014-03-28 15:38:45.289988	66196	21.0	1	8
2014-03-28 15:39:13.445546	66197	44	2	10
2014-03-28 15:39:13.679105	66198	22.7	1	10
2014-03-28 15:39:20.309896	66199	579	3	2
2014-03-28 15:39:20.533195	66200	1112379.100980927	4	2
2014-03-28 15:39:22.97342	66201	54	2	9
2014-03-28 15:39:23.206083	66202	21.4	1	9
2014-03-28 15:39:24.065771	66203	48	2	8
2014-03-28 15:39:24.288619	66204	21.0	1	8
2014-03-28 15:39:32.311723	66205	547	3	2
2014-03-28 15:39:32.554899	66206	1112381.3990503699	4	2
2014-03-28 15:39:52.446163	66207	44	2	10
2014-03-28 15:39:52.667932	66208	22.7	1	10
2014-03-28 15:39:56.312127	66209	579	3	2
2014-03-28 15:39:56.728576	66210	1112384.846154534	4	2
2014-03-28 15:40:01.973618	66211	54	2	9
2014-03-28 15:40:02.195509	66212	21.4	1	9
2014-03-28 15:40:03.06687	66213	48	2	8
2014-03-28 15:40:03.290255	66214	21.0	1	8
2014-03-28 15:40:31.449582	66215	44	2	10
2014-03-28 15:40:31.67874	66216	22.7	1	10
2014-03-28 15:40:40.972429	66217	54	2	9
2014-03-28 15:40:41.194969	66218	21.4	1	9
2014-03-28 15:40:42.066856	66219	48	2	8
2014-03-28 15:40:42.297875	66220	21.0	1	8
2014-03-28 15:41:08.312006	66221	579	3	2
2014-03-28 15:41:08.534797	66222	1112396.336501748	4	2
2014-03-28 15:41:10.447242	66223	44	2	10
2014-03-28 15:41:10.681719	66224	22.7	1	10
2014-03-28 15:41:19.970919	66225	54	2	9
2014-03-28 15:41:20.193083	66226	21.4	1	9
2014-03-28 15:41:21.068876	66227	48	2	8
2014-03-28 15:41:21.299586	66228	21.0	1	8
2014-03-28 15:41:49.448201	66229	44	2	10
2014-03-28 15:41:49.678554	66230	22.7	1	10
2014-03-28 15:41:58.972759	66231	54	2	9
2014-03-28 15:41:59.204741	66232	21.4	1	9
2014-03-28 15:42:00.065559	66233	49	2	8
2014-03-28 15:42:00.286529	66234	21.1	1	8
2014-03-28 15:42:08.309066	66235	579	3	2
2014-03-28 15:42:08.540819	66236	1112405.5287795195	4	2
2014-03-28 15:42:20.309495	66237	547	3	2
2014-03-28 15:42:20.531453	66238	1112406.6778142408	4	2
2014-03-28 15:42:28.448681	66239	44	2	10
2014-03-28 15:42:28.683593	66240	22.7	1	10
2014-03-28 15:42:32.312259	66241	547	3	2
2014-03-28 15:42:32.533654	66242	1112408.9758836837	4	2
2014-03-28 15:42:37.982349	66243	54	2	9
2014-03-28 15:42:38.230504	66244	21.4	1	9
2014-03-28 15:42:39.065521	66245	49	2	8
2014-03-28 15:42:39.287287	66246	21.1	1	8
2014-03-28 15:43:07.446892	66247	44	2	10
2014-03-28 15:43:07.679419	66248	22.7	1	10
2014-03-28 15:43:16.975107	66249	54	2	9
2014-03-28 15:43:17.196865	66250	21.4	1	9
2014-03-28 15:43:18.065507	66251	49	2	8
2014-03-28 15:43:18.295232	66252	21.1	1	8
2014-03-28 15:43:20.310682	66253	482	3	2
2014-03-28 15:43:20.533906	66254	1112415.8700920122	4	2
2014-03-28 15:43:46.448712	66255	44	2	10
2014-03-28 15:43:46.691736	66256	22.7	1	10
2014-03-28 15:43:55.970346	66257	54	2	9
2014-03-28 15:43:56.194368	66258	21.4	1	9
2014-03-28 15:43:56.4991	66259	547	3	2
2014-03-28 15:43:56.730546	66260	1112420.466230898	4	2
2014-03-28 15:43:57.06749	66261	49	2	8
2014-03-28 15:43:57.290865	66262	21.1	1	8
2014-03-28 15:44:08.309078	66263	531	3	2
2014-03-28 15:44:08.540336	66264	1112422.7643003408	4	2
2014-03-28 15:44:25.447812	66265	44	2	10
2014-03-28 15:44:25.66859	66266	22.7	1	10
2014-03-28 15:44:32.308969	66267	531	3	2
2014-03-28 15:44:32.541191	66268	1112426.211404505	4	2
2014-03-28 15:44:34.970297	66269	55	2	9
2014-03-28 15:44:35.193331	66270	21.4	1	9
2014-03-28 15:44:36.065773	66271	49	2	8
2014-03-28 15:44:36.297725	66272	21.1	1	8
2014-03-28 15:45:04.447801	66273	44	2	10
2014-03-28 15:45:04.67335	66274	22.8	1	10
2014-03-28 15:45:13.974278	66275	55	2	9
2014-03-28 15:45:14.206494	66276	21.4	1	9
2014-03-28 15:45:15.065659	66277	49	2	8
2014-03-28 15:45:15.289178	66278	21.1	1	8
2014-03-28 15:45:32.310324	66279	531	3	2
2014-03-28 15:45:32.54255	66280	1112435.4036822764	4	2
2014-03-28 15:45:43.450621	66281	44	2	10
2014-03-28 15:45:43.672029	66282	22.8	1	10
2014-03-28 15:45:52.971413	66283	54	2	9
2014-03-28 15:45:53.203272	66284	21.4	1	9
2014-03-28 15:45:54.065447	66285	49	2	8
2014-03-28 15:45:54.286108	66286	21.1	1	8
2014-03-28 15:46:22.451475	66287	44	2	10
2014-03-28 15:46:22.692498	66288	22.8	1	10
2014-03-28 15:46:31.972373	66289	54	2	9
2014-03-28 15:46:32.194733	66290	21.4	1	9
2014-03-28 15:46:32.502313	66291	531	3	2
2014-03-28 15:46:32.734177	66292	1112444.5959600476	4	2
2014-03-28 15:46:33.065951	66293	49	2	8
2014-03-28 15:46:33.28657	66294	21.1	1	8
2014-03-28 15:47:01.450067	66295	44	2	10
2014-03-28 15:47:01.686429	66296	22.8	1	10
2014-03-28 15:47:10.974254	66297	55	2	9
2014-03-28 15:47:11.1966	66298	21.4	1	9
2014-03-28 15:47:12.064435	66299	49	2	8
2014-03-28 15:47:12.297458	66300	21.1	1	8
2014-03-28 15:47:32.307748	66301	579	3	2
2014-03-28 15:47:32.530942	66302	1112453.788237819	4	2
2014-03-28 15:47:40.448553	66303	44	2	10
2014-03-28 15:47:40.695235	66304	22.8	1	10
2014-03-28 15:47:44.314657	66305	547	3	2
2014-03-28 15:47:44.537154	66306	1112454.9372725403	4	2
2014-03-28 15:47:49.973922	66307	55	2	9
2014-03-28 15:47:50.20505	66308	21.4	1	9
2014-03-28 15:47:51.064937	66309	49	2	8
2014-03-28 15:47:51.286392	66310	21.1	1	8
2014-03-28 15:47:56.311938	66311	547	3	2
2014-03-28 15:47:56.544941	66312	1112457.2353419831	4	2
2014-03-28 15:48:19.449579	66313	44	2	10
2014-03-28 15:48:19.67249	66314	22.8	1	10
2014-03-28 15:48:28.973734	66315	55	2	9
2014-03-28 15:48:29.204954	66316	21.4	1	9
2014-03-28 15:48:30.065363	66317	50	2	8
2014-03-28 15:48:30.286848	66318	21.2	1	8
2014-03-28 15:48:32.310621	66319	531	3	2
2014-03-28 15:48:32.542067	66320	1112461.8314808689	4	2
2014-03-28 15:48:58.450892	66321	44	2	10
2014-03-28 15:48:58.672956	66322	22.8	1	10
2014-03-28 15:49:07.974114	66323	55	2	9
2014-03-28 15:49:08.205763	66324	21.4	1	9
2014-03-28 15:49:09.068133	66325	50	2	8
2014-03-28 15:49:09.289448	66326	21.2	1	8
2014-03-28 15:49:37.449426	66327	44	2	10
2014-03-28 15:49:37.682189	66328	22.8	1	10
2014-03-28 15:49:46.969924	66329	55	2	9
2014-03-28 15:49:47.195439	66330	21.4	1	9
2014-03-28 15:49:48.066319	66331	50	2	8
2014-03-28 15:49:48.300003	66332	21.2	1	8
2014-03-28 15:50:16.450682	66333	44	2	10
2014-03-28 15:50:16.727981	66334	22.8	1	10
2014-03-28 15:50:26.172343	66335	55	2	9
2014-03-28 15:50:26.406287	66336	21.4	1	9
2014-03-28 15:50:27.067439	66337	50	2	8
2014-03-28 15:50:27.290055	66338	21.2	1	8
2014-03-28 15:50:32.312854	66339	498	3	2
2014-03-28 15:50:32.54545	66340	1112479.06700169	4	2
2014-03-28 15:50:55.44913	66341	44	2	10
2014-03-28 15:50:55.672921	66342	22.9	1	10
2014-03-28 15:51:04.973823	66343	55	2	9
2014-03-28 15:51:05.205498	66344	21.4	1	9
2014-03-28 15:51:06.067114	66345	50	2	8
2014-03-28 15:51:06.288755	66346	21.2	1	8
2014-03-28 15:51:32.308635	66347	450	3	2
2014-03-28 15:51:32.543297	66348	1112487.11024474	4	2
2014-03-28 15:51:34.452157	66349	44	2	10
2014-03-28 15:51:34.67512	66350	22.9	1	10
2014-03-28 15:51:43.973252	66351	55	2	9
2014-03-28 15:51:44.215459	66352	21.4	1	9
2014-03-28 15:51:45.065552	66353	50	2	8
2014-03-28 15:51:45.286256	66354	21.2	1	8
2014-03-28 15:52:13.450267	66355	44	2	10
2014-03-28 15:52:13.684712	66356	22.9	1	10
2014-03-28 15:52:22.971935	66357	55	2	9
2014-03-28 15:52:23.193616	66358	21.4	1	9
2014-03-28 15:52:24.065056	66359	50	2	8
2014-03-28 15:52:24.297103	66360	21.1	1	8
2014-03-28 15:52:32.308725	66361	450	3	2
2014-03-28 15:52:32.531085	66362	1112495.15348779	4	2
2014-03-28 15:52:52.451986	66363	44	2	10
2014-03-28 15:52:52.689908	66364	22.9	1	10
2014-03-28 15:53:02.175738	66365	55	2	9
2014-03-28 15:53:02.398648	66366	21.4	1	9
2014-03-28 15:53:03.064919	66367	50	2	8
2014-03-28 15:53:03.29594	66368	21.1	1	8
2014-03-28 15:53:31.451836	66369	44	2	10
2014-03-28 15:53:31.675229	66370	22.9	1	10
2014-03-28 15:53:40.968438	66371	55	2	9
2014-03-28 15:53:41.200434	66372	21.4	1	9
2014-03-28 15:53:42.066974	66373	49	2	8
2014-03-28 15:53:42.288873	66374	21.1	1	8
2014-03-28 15:54:10.45143	66375	44	2	10
2014-03-28 15:54:10.683904	66376	22.9	1	10
2014-03-28 15:54:19.975658	66377	55	2	9
2014-03-28 15:54:20.196566	66378	21.4	1	9
2014-03-28 15:54:21.066723	66379	49	2	8
2014-03-28 15:54:21.301393	66380	21.1	1	8
2014-03-28 15:54:32.311051	66381	450	3	2
2014-03-28 15:54:32.532717	66382	1112510.0909391684	4	2
2014-03-28 15:54:49.451757	66383	44	2	10
2014-03-28 15:54:49.688078	66384	22.9	1	10
2014-03-28 15:54:58.97185	66385	55	2	9
2014-03-28 15:54:59.194046	66386	21.4	1	9
2014-03-28 15:55:00.066569	66387	49	2	8
2014-03-28 15:55:00.296805	66388	21.1	1	8
2014-03-28 15:55:28.450662	66389	44	2	10
2014-03-28 15:55:28.673728	66390	22.9	1	10
2014-03-28 15:55:37.973833	66391	55	2	9
2014-03-28 15:55:38.206475	66392	21.4	1	9
2014-03-28 15:55:39.065268	66393	49	2	8
2014-03-28 15:55:39.287325	66394	21.1	1	8
2014-03-28 15:56:07.452406	66395	44	2	10
2014-03-28 15:56:07.685063	66396	22.9	1	10
2014-03-28 15:56:17.023685	66397	55	2	9
2014-03-28 15:56:17.246043	66398	21.4	1	9
2014-03-28 15:56:18.065727	66399	49	2	8
2014-03-28 15:56:18.309108	66400	21.1	1	8
2014-03-28 15:56:32.308261	66401	482	3	2
2014-03-28 15:56:32.531833	66402	1112525.0283905466	4	2
2014-03-28 15:56:44.308966	66403	498	3	2
2014-03-28 15:56:44.598113	66404	1112526.177425268	4	2
2014-03-28 15:56:46.655503	66405	44	2	10
2014-03-28 15:56:46.877356	66406	22.9	1	10
2014-03-28 15:56:55.972298	66407	55	2	9
2014-03-28 15:56:56.205867	66408	21.4	1	9
2014-03-28 15:56:57.065462	66409	49	2	8
2014-03-28 15:56:57.286339	66410	21.1	1	8
2014-03-28 15:57:25.451242	66411	44	2	10
2014-03-28 15:57:25.685089	66412	23.0	1	10
2014-03-28 15:57:34.97302	66413	55	2	9
2014-03-28 15:57:35.195432	66414	21.4	1	9
2014-03-28 15:57:36.065731	66415	49	2	8
2014-03-28 15:57:36.297349	66416	21.1	1	8
2014-03-28 15:58:04.453015	66417	44	2	10
2014-03-28 15:58:04.678625	66418	23.0	1	10
2014-03-28 15:58:13.973595	66419	55	2	9
2014-03-28 15:58:14.206125	66420	21.4	1	9
2014-03-28 15:58:15.065226	66421	49	2	8
2014-03-28 15:58:15.286469	66422	21.1	1	8
2014-03-28 15:58:32.309655	66423	498	3	2
2014-03-28 15:58:32.542982	66424	1112541.1148766465	4	2
2014-03-28 15:58:43.452462	66425	44	2	10
2014-03-28 15:58:43.675726	66426	23.0	1	10
2014-03-28 15:58:52.969475	66427	56	2	9
2014-03-28 15:58:53.202152	66428	21.4	1	9
2014-03-28 15:58:54.066114	66429	49	2	8
2014-03-28 15:58:54.2875	66430	21.0	1	8
2014-03-28 15:59:22.453499	66431	44	2	10
2014-03-28 15:59:22.692437	66432	23.0	1	10
2014-03-28 15:59:31.977426	66433	56	2	9
2014-03-28 15:59:32.200396	66434	21.4	1	9
2014-03-28 15:59:33.065893	66435	49	2	8
2014-03-28 15:59:33.297279	66436	21.0	1	8
2014-03-28 16:00:01.453385	66437	44	2	10
2014-03-28 16:00:01.675259	66438	23.0	1	10
2014-03-28 16:00:10.969062	66439	56	2	9
2014-03-28 16:00:11.203117	66440	21.4	1	9
2014-03-28 16:00:12.067625	66441	49	2	8
2014-03-28 16:00:12.29127	66442	21.0	1	8
2014-03-28 16:00:40.45344	66443	44	2	10
2014-03-28 16:00:40.684232	66444	23.0	1	10
2014-03-28 16:00:49.965215	66445	56	2	9
2014-03-28 16:00:50.190103	66446	21.4	1	9
2014-03-28 16:00:51.0655	66447	49	2	8
2014-03-28 16:00:51.309126	66448	21.0	1	8
2014-03-28 16:01:19.454142	66449	44	2	10
2014-03-28 16:01:19.676629	66450	23.0	1	10
2014-03-28 16:01:28.967301	66451	56	2	9
2014-03-28 16:01:29.199942	66452	21.4	1	9
2014-03-28 16:01:30.064953	66453	49	2	8
2014-03-28 16:01:30.287637	66454	21.0	1	8
2014-03-28 16:01:32.310988	66455	466	3	2
2014-03-28 16:01:32.541715	66456	1112565.2490767483	4	2
2014-03-28 16:01:58.457057	66457	44	2	10
2014-03-28 16:01:58.679018	66458	23.0	1	10
2014-03-28 16:02:07.969826	66459	56	2	9
2014-03-28 16:02:08.202357	66460	21.4	1	9
2014-03-28 16:02:09.064849	66461	48	2	8
2014-03-28 16:02:09.28665	66462	21.0	1	8
2014-03-28 16:02:32.307237	66463	434	3	2
2014-03-28 16:02:32.54064	66464	1112573.2923197984	4	2
2014-03-28 16:02:37.454138	66465	44	2	10
2014-03-28 16:02:37.682329	66466	23.0	1	10
2014-03-28 16:02:46.969866	66467	56	2	9
2014-03-28 16:02:47.202387	66468	21.5	1	9
2014-03-28 16:02:48.066153	66469	48	2	8
2014-03-28 16:02:48.286879	66470	21.0	1	8
2014-03-28 16:03:16.454194	66471	44	2	10
2014-03-28 16:03:16.686516	66472	23.0	1	10
2014-03-28 16:03:25.968029	66473	56	2	9
2014-03-28 16:03:26.190272	66474	21.5	1	9
2014-03-28 16:03:27.068212	66475	48	2	8
2014-03-28 16:03:27.29932	66476	21.0	1	8
2014-03-28 16:03:55.453658	66477	44	2	10
2014-03-28 16:03:55.676847	66478	23.1	1	10
2014-03-28 16:04:04.972422	66479	56	2	9
2014-03-28 16:04:05.203722	66480	21.5	1	9
2014-03-28 16:04:06.064939	66481	48	2	8
2014-03-28 16:04:06.28702	66482	21.0	1	8
2014-03-28 16:04:32.307917	66483	450	3	2
2014-03-28 16:04:32.541431	66484	1112588.2297711766	4	2
2014-03-28 16:04:34.453176	66485	44	2	10
2014-03-28 16:04:34.674565	66486	23.1	1	10
2014-03-28 16:04:43.968755	66487	56	2	9
2014-03-28 16:04:44.200609	66488	21.5	1	9
2014-03-28 16:04:45.065207	66489	48	2	8
2014-03-28 16:04:45.286989	66490	21.0	1	8
2014-03-28 16:05:13.453226	66491	44	2	10
2014-03-28 16:05:13.685605	66492	23.1	1	10
2014-03-28 16:05:22.973608	66493	56	2	9
2014-03-28 16:05:23.194524	66494	21.5	1	9
2014-03-28 16:05:24.067376	66495	48	2	8
2014-03-28 16:05:24.309479	66496	21.0	1	8
2014-03-28 16:05:32.307566	66497	450	3	2
2014-03-28 16:05:32.530048	66498	1112596.2730142267	4	2
2014-03-28 16:05:52.454517	66499	44	2	10
2014-03-28 16:05:52.685471	66500	23.1	1	10
2014-03-28 16:06:01.969727	66501	56	2	9
2014-03-28 16:06:02.195057	66502	21.5	1	9
2014-03-28 16:06:03.065529	66503	48	2	8
2014-03-28 16:06:03.298954	66504	21.0	1	8
2014-03-28 16:06:31.455651	66505	44	2	10
2014-03-28 16:06:31.677707	66506	23.1	1	10
2014-03-28 16:06:32.309916	66507	450	3	2
2014-03-28 16:06:32.541168	66508	1112603.167222555	4	2
2014-03-28 16:06:40.973219	66509	56	2	9
2014-03-28 16:06:41.196698	66510	21.5	1	9
2014-03-28 16:06:42.064718	66511	48	2	8
2014-03-28 16:06:42.298556	66512	21.0	1	8
2014-03-28 16:06:56.312512	66513	450	3	2
2014-03-28 16:06:56.534706	66514	1112606.6143267194	4	2
2014-03-28 16:07:08.307731	66515	450	3	2
2014-03-28 16:07:08.540659	66516	1112607.7633614407	4	2
2014-03-28 16:07:10.456574	66517	44	2	10
2014-03-28 16:07:10.680253	66518	23.1	1	10
2014-03-28 16:07:19.972298	66519	56	2	9
2014-03-28 16:07:20.204513	66520	21.5	1	9
2014-03-28 16:07:21.065307	66521	48	2	8
2014-03-28 16:07:21.286623	66522	21.0	1	8
2014-03-28 16:07:32.309344	66523	466	3	2
2014-03-28 16:07:32.544022	66524	1112611.210465605	4	2
2014-03-28 16:07:49.456894	66525	44	2	10
2014-03-28 16:07:49.696393	66526	23.1	1	10
2014-03-28 16:07:58.96847	66527	56	2	9
2014-03-28 16:07:59.200023	66528	21.5	1	9
2014-03-28 16:08:00.067268	66529	48	2	8
2014-03-28 16:08:00.290209	66530	21.0	1	8
2014-03-28 16:08:28.454385	66531	44	2	10
2014-03-28 16:08:28.68744	66532	23.1	1	10
2014-03-28 16:08:32.309275	66533	450	3	2
2014-03-28 16:08:32.531134	66534	1112619.2537086548	4	2
2014-03-28 16:08:37.973144	66535	56	2	9
2014-03-28 16:08:38.206599	66536	21.5	1	9
2014-03-28 16:08:39.064306	66537	48	2	8
2014-03-28 16:08:39.286592	66538	21.0	1	8
2014-03-28 16:09:07.662159	66539	44	2	10
2014-03-28 16:09:07.896385	66540	23.1	1	10
2014-03-28 16:09:16.969828	66541	56	2	9
2014-03-28 16:09:17.191669	66542	21.5	1	9
2014-03-28 16:09:18.06469	66543	48	2	8
2014-03-28 16:09:18.306831	66544	21.0	1	8
2014-03-28 16:09:20.305368	66545	498	3	2
2014-03-28 16:09:20.526246	66546	1112624.998882262	4	2
2014-03-28 16:09:32.305529	66547	498	3	2
2014-03-28 16:09:32.536594	66548	1112626.1479169833	4	2
2014-03-28 16:09:46.454668	66549	44	2	10
2014-03-28 16:09:46.676762	66550	23.1	1	10
2014-03-28 16:09:55.971476	66551	56	2	9
2014-03-28 16:09:56.201847	66552	21.5	1	9
2014-03-28 16:09:57.065231	66553	48	2	8
2014-03-28 16:09:57.285384	66554	21.0	1	8
2014-03-28 16:10:25.455453	66555	44	2	10
2014-03-28 16:10:25.687963	66556	23.1	1	10
2014-03-28 16:10:32.305959	66557	498	3	2
2014-03-28 16:10:32.528693	66558	1112635.3401947548	4	2
2014-03-28 16:10:34.974219	66559	56	2	9
2014-03-28 16:10:35.205342	66560	21.5	1	9
2014-03-28 16:10:36.065351	66561	49	2	8
2014-03-28 16:10:36.286602	66562	20.9	1	8
2014-03-28 16:11:04.455907	66563	44	2	10
2014-03-28 16:11:04.688229	66564	23.1	1	10
2014-03-28 16:11:13.97094	66565	56	2	9
2014-03-28 16:11:14.193318	66566	21.5	1	9
2014-03-28 16:11:15.064997	66567	49	2	8
2014-03-28 16:11:15.295889	66568	20.9	1	8
2014-03-28 16:11:43.455899	66569	44	2	10
2014-03-28 16:11:43.677455	66570	23.2	1	10
2014-03-28 16:11:52.967826	66571	56	2	9
2014-03-28 16:11:53.202177	66572	21.5	1	9
2014-03-28 16:11:54.065386	66573	49	2	8
2014-03-28 16:11:54.28796	66574	20.9	1	8
2014-03-28 16:12:22.455874	66575	44	2	10
2014-03-28 16:12:22.696405	66576	23.2	1	10
2014-03-28 16:12:31.963972	66577	56	2	9
2014-03-28 16:12:32.186556	66578	21.5	1	9
2014-03-28 16:12:33.064656	66579	48	2	8
2014-03-28 16:12:33.294522	66580	20.9	1	8
2014-03-28 16:13:01.457378	66581	44	2	10
2014-03-28 16:13:01.682608	66582	23.2	1	10
2014-03-28 16:13:10.971421	66583	56	2	9
2014-03-28 16:13:11.203407	66584	21.5	1	9
2014-03-28 16:13:12.065739	66585	48	2	8
2014-03-28 16:13:12.286302	66586	20.9	1	8
2014-03-28 16:13:32.305164	66587	482	3	2
2014-03-28 16:13:32.539161	66588	1112659.4699239044	4	2
2014-03-28 16:13:40.456518	66589	44	2	10
2014-03-28 16:13:40.682326	66590	23.2	1	10
2014-03-28 16:13:49.966462	66591	56	2	9
2014-03-28 16:13:50.209045	66592	21.5	1	9
2014-03-28 16:13:51.065247	66593	49	2	8
2014-03-28 16:13:51.286024	66594	20.9	1	8
2014-03-28 16:14:08.305979	66595	531	3	2
2014-03-28 16:14:08.537333	66596	1112665.2150975114	4	2
2014-03-28 16:14:19.458925	66597	44	2	10
2014-03-28 16:14:19.682794	66598	23.2	1	10
2014-03-28 16:14:28.973321	66599	56	2	9
2014-03-28 16:14:29.205123	66600	21.5	1	9
2014-03-28 16:14:30.06368	66601	49	2	8
2014-03-28 16:14:30.286199	66602	20.9	1	8
2014-03-28 16:14:32.309174	66603	498	3	2
2014-03-28 16:14:32.539984	66604	1112668.6622016758	4	2
2014-03-28 16:14:58.457705	66605	44	2	10
2014-03-28 16:14:58.679232	66606	23.2	1	10
2014-03-28 16:15:07.972982	66607	56	2	9
2014-03-28 16:15:08.204634	66608	21.5	1	9
2014-03-28 16:15:09.065119	66609	48	2	8
2014-03-28 16:15:09.288743	66610	20.9	1	8
2014-03-28 16:15:20.308661	66611	466	3	2
2014-03-28 16:15:20.540091	66612	1112674.4073752828	4	2
2014-03-28 16:15:32.309401	66613	482	3	2
2014-03-28 16:15:32.531066	66614	1112676.7054447257	4	2
2014-03-28 16:15:37.458042	66615	44	2	10
2014-03-28 16:15:37.693657	66616	23.2	1	10
2014-03-28 16:15:44.30579	66617	450	3	2
2014-03-28 16:15:44.52824	66618	1112677.854479447	4	2
2014-03-28 16:15:46.971197	66619	56	2	9
2014-03-28 16:15:47.20497	66620	21.5	1	9
2014-03-28 16:15:48.065486	66621	48	2	8
2014-03-28 16:15:48.288101	66622	20.9	1	8
2014-03-28 16:15:56.3089	66623	466	3	2
2014-03-28 16:15:56.5404	66624	1112680.1525488899	4	2
2014-03-28 16:16:16.45698	66625	44	2	10
2014-03-28 16:16:16.679431	66626	23.2	1	10
2014-03-28 16:16:25.969171	66627	56	2	9
2014-03-28 16:16:26.203547	66628	21.5	1	9
2014-03-28 16:16:27.065919	66629	48	2	8
2014-03-28 16:16:27.286323	66630	20.9	1	8
2014-03-28 16:16:55.457429	66631	44	2	10
2014-03-28 16:16:55.69001	66632	23.2	1	10
2014-03-28 16:17:04.967499	66633	56	2	9
2014-03-28 16:17:05.19197	66634	21.5	1	9
2014-03-28 16:17:06.065263	66635	48	2	8
2014-03-28 16:17:06.298569	66636	20.9	1	8
2014-03-28 16:17:32.311457	66637	450	3	2
2014-03-28 16:17:32.533885	66638	1112691.6428961041	4	2
2014-03-28 16:17:34.459254	66639	44	2	10
2014-03-28 16:17:34.702863	66640	23.2	1	10
2014-03-28 16:17:43.970173	66641	56	2	9
2014-03-28 16:17:44.193408	66642	21.5	1	9
2014-03-28 16:17:45.120988	66643	48	2	8
2014-03-28 16:17:45.355354	66644	20.9	1	8
2014-03-28 16:18:13.45939	66645	44	2	10
2014-03-28 16:18:13.682387	66646	23.2	1	10
2014-03-28 16:18:22.968639	66647	56	2	9
2014-03-28 16:18:23.200686	66648	21.5	1	9
2014-03-28 16:18:24.064216	66649	48	2	8
2014-03-28 16:18:24.28559	66650	20.9	1	8
2014-03-28 16:18:32.30818	66651	450	3	2
2014-03-28 16:18:32.541598	66652	1112699.686139154	4	2
2014-03-28 16:18:52.458024	66653	44	2	10
2014-03-28 16:18:52.682369	66654	23.2	1	10
2014-03-28 16:19:01.968495	66655	56	2	9
2014-03-28 16:19:02.200275	66656	21.5	1	9
2014-03-28 16:19:03.064915	66657	48	2	8
2014-03-28 16:19:03.284419	66658	20.9	1	8
2014-03-28 16:19:31.459778	66659	44	2	10
2014-03-28 16:19:31.693257	66660	23.2	1	10
2014-03-28 16:19:32.30781	66661	450	3	2
2014-03-28 16:19:32.529113	66662	1112707.729382204	4	2
2014-03-28 16:19:40.972191	66663	56	2	9
2014-03-28 16:19:41.204372	66664	21.5	1	9
2014-03-28 16:19:42.063938	66665	48	2	8
2014-03-28 16:19:42.2864	66666	20.9	1	8
2014-03-28 16:20:10.458266	66667	44	2	10
2014-03-28 16:20:10.690489	66668	23.2	1	10
2014-03-28 16:20:19.970006	66669	56	2	9
2014-03-28 16:20:20.19365	66670	21.5	1	9
2014-03-28 16:20:21.064737	66671	48	2	8
2014-03-28 16:20:21.29615	66672	20.9	1	8
2014-03-28 16:20:32.308128	66673	450	3	2
2014-03-28 16:20:32.529513	66674	1112714.6235905322	4	2
2014-03-28 16:20:49.459961	66675	44	2	10
2014-03-28 16:20:49.694597	66676	23.2	1	10
2014-03-28 16:20:58.97582	66677	56	2	9
2014-03-28 16:20:59.200085	66678	21.5	1	9
2014-03-28 16:21:00.064365	66679	48	2	8
2014-03-28 16:21:00.295351	66680	20.9	1	8
2014-03-28 16:21:28.458973	66681	44	2	10
2014-03-28 16:21:28.681249	66682	23.2	1	10
2014-03-28 16:21:32.302874	66683	515	3	2
2014-03-28 16:21:32.534748	66684	1112722.6668335823	4	2
2014-03-28 16:21:37.970556	66685	56	2	9
2014-03-28 16:21:38.193872	66686	21.5	1	9
2014-03-28 16:21:39.067746	66687	48	2	8
2014-03-28 16:21:39.311156	66688	20.9	1	8
2014-03-28 16:21:44.306004	66689	515	3	2
2014-03-28 16:21:44.527292	66690	1112724.964903025	4	2
2014-03-28 16:22:07.459603	66691	44	2	10
2014-03-28 16:22:07.692637	66692	23.2	1	10
2014-03-28 16:22:16.77293	66693	579	3	2
2014-03-28 16:22:16.994384	66694	1112728.4120071894	4	2
2014-03-28 16:22:17.299922	66695	56	2	9
2014-03-28 16:22:17.532937	66696	21.5	1	9
2014-03-28 16:22:18.065182	66697	48	2	8
2014-03-28 16:22:18.288711	66698	20.9	1	8
2014-03-28 16:22:20.304634	66699	595	3	2
2014-03-28 16:22:20.535974	66700	1112729.5610419107	4	2
2014-03-28 16:22:32.306523	66701	595	3	2
2014-03-28 16:22:32.527422	66702	1112731.8591113535	4	2
2014-03-28 16:22:46.459829	66703	44	2	10
2014-03-28 16:22:46.693119	66704	23.2	1	10
2014-03-28 16:22:55.968292	66705	56	2	9
2014-03-28 16:22:56.189936	66706	21.5	1	9
2014-03-28 16:22:57.065681	66707	48	2	8
2014-03-28 16:22:57.299322	66708	20.9	1	8
2014-03-28 16:23:25.460416	66709	44	2	10
2014-03-28 16:23:25.716696	66710	23.2	1	10
2014-03-28 16:23:32.307431	66711	547	3	2
2014-03-28 16:23:32.558122	66712	1112741.051389125	4	2
2014-03-28 16:23:34.968878	66713	56	2	9
2014-03-28 16:23:35.244772	66714	21.4	1	9
2014-03-28 16:23:36.0647	66715	48	2	8
2014-03-28 16:23:36.331678	66716	20.9	1	8
2014-03-28 16:23:44.30798	66717	547	3	2
2014-03-28 16:23:44.652706	66718	1112743.3494585678	4	2
2014-03-28 16:24:04.461865	66719	44	2	10
2014-03-28 16:24:04.694574	66720	23.2	1	10
2014-03-28 16:24:08.306074	66721	579	3	2
2014-03-28 16:24:08.528611	66722	1112746.796562732	4	2
2014-03-28 16:24:13.966428	66723	56	2	9
2014-03-28 16:24:14.198428	66724	21.4	1	9
2014-03-28 16:24:15.065032	66725	48	2	8
2014-03-28 16:24:15.285272	66726	20.9	1	8
2014-03-28 16:24:20.304243	66727	547	3	2
2014-03-28 16:24:20.538801	66728	1112749.0946321748	4	2
2014-03-28 16:24:32.305796	66729	547	3	2
2014-03-28 16:24:32.527991	66730	1112751.3927016177	4	2
2014-03-28 16:24:43.459536	66731	44	2	10
2014-03-28 16:24:43.693406	66732	23.2	1	10
2014-03-28 16:24:52.972395	66733	56	2	9
2014-03-28 16:24:53.195099	66734	21.5	1	9
2014-03-28 16:24:54.065746	66735	48	2	8
2014-03-28 16:24:54.309232	66736	20.9	1	8
2014-03-28 16:25:22.460136	66737	44	2	10
2014-03-28 16:25:22.682835	66738	23.3	1	10
2014-03-28 16:25:31.973134	66739	56	2	9
2014-03-28 16:25:32.205408	66740	21.5	1	9
2014-03-28 16:25:32.510421	66741	579	3	2
2014-03-28 16:25:32.738132	66742	1112760.5849793889	4	2
2014-03-28 16:25:33.063533	66743	48	2	8
2014-03-28 16:25:33.297511	66744	20.9	1	8
2014-03-28 16:25:44.307873	66745	547	3	2
2014-03-28 16:25:44.529265	66746	1112761.7340141104	4	2
2014-03-28 16:26:01.460819	66747	44	2	10
2014-03-28 16:26:01.693103	66748	23.3	1	10
2014-03-28 16:26:10.971717	66749	56	2	9
2014-03-28 16:26:11.193416	66750	21.5	1	9
2014-03-28 16:26:12.064947	66751	48	2	8
2014-03-28 16:26:12.295664	66752	20.9	1	8
2014-03-28 16:26:40.460655	66753	44	2	10
2014-03-28 16:26:40.683435	66754	23.3	1	10
2014-03-28 16:26:44.306689	66755	579	3	2
2014-03-28 16:26:44.538638	66756	1112770.9262918816	4	2
2014-03-28 16:26:49.96833	66757	56	2	9
2014-03-28 16:26:50.193626	66758	21.5	1	9
2014-03-28 16:26:51.06657	66759	48	2	8
2014-03-28 16:26:51.297273	66760	20.9	1	8
2014-03-28 16:27:19.461968	66761	45	2	10
2014-03-28 16:27:19.687245	66762	23.3	1	10
2014-03-28 16:27:28.774386	66763	498	3	2
2014-03-28 16:27:29.008076	66764	1112776.6714654888	4	2
2014-03-28 16:27:29.314182	66765	56	2	9
2014-03-28 16:27:29.535511	66766	21.5	1	9
2014-03-28 16:27:30.064105	66767	48	2	8
2014-03-28 16:27:30.296792	66768	20.9	1	8
2014-03-28 16:27:32.30422	66769	515	3	2
2014-03-28 16:27:32.526459	66770	1112778.9695349315	4	2
2014-03-28 16:27:58.45965	66771	45	2	10
2014-03-28 16:27:58.693592	66772	23.3	1	10
2014-03-28 16:28:07.967664	66773	56	2	9
2014-03-28 16:28:08.189938	66774	21.5	1	9
2014-03-28 16:28:09.064115	66775	48	2	8
2014-03-28 16:28:09.298505	66776	20.9	1	8
2014-03-28 16:28:32.306569	66777	515	3	2
2014-03-28 16:28:32.530871	66778	1112787.0127779816	4	2
2014-03-28 16:28:37.460892	66779	45	2	10
2014-03-28 16:28:37.697997	66780	23.2	1	10
2014-03-28 16:28:46.968679	66781	56	2	9
2014-03-28 16:28:47.19159	66782	21.5	1	9
2014-03-28 16:28:48.064489	66783	48	2	8
2014-03-28 16:28:48.307325	66784	20.9	1	8
2014-03-28 16:29:16.464184	66785	45	2	10
2014-03-28 16:29:16.68526	66786	23.2	1	10
2014-03-28 16:29:25.97031	66787	56	2	9
2014-03-28 16:29:26.203296	66788	21.4	1	9
2014-03-28 16:29:27.065118	66789	48	2	8
2014-03-28 16:29:27.285534	66790	20.9	1	8
2014-03-28 16:29:55.460816	66791	45	2	10
2014-03-28 16:29:55.69573	66792	23.2	1	10
2014-03-28 16:30:04.967406	66793	56	2	9
2014-03-28 16:30:05.18929	66794	21.4	1	9
2014-03-28 16:30:06.064778	66795	48	2	8
2014-03-28 16:30:06.296474	66796	20.9	1	8
2014-03-28 16:30:32.3039	66797	498	3	2
2014-03-28 16:30:32.527333	66798	1112804.2482988026	4	2
2014-03-28 16:30:34.460896	66799	45	2	10
2014-03-28 16:30:34.693388	66800	23.2	1	10
2014-03-28 16:30:43.968774	66801	56	2	9
2014-03-28 16:30:44.191504	66802	21.4	1	9
2014-03-28 16:30:45.063906	66803	48	2	8
2014-03-28 16:30:45.295143	66804	20.9	1	8
2014-03-28 16:31:13.46179	66805	45	2	10
2014-03-28 16:31:13.684562	66806	23.2	1	10
2014-03-28 16:31:20.302618	66807	531	3	2
2014-03-28 16:31:20.534908	66808	1112811.1425071312	4	2
2014-03-28 16:31:22.970575	66809	56	2	9
2014-03-28 16:31:23.191361	66810	21.4	1	9
2014-03-28 16:31:24.065473	66811	48	2	8
2014-03-28 16:31:24.297434	66812	20.9	1	8
2014-03-28 16:31:32.307066	66813	515	3	2
2014-03-28 16:31:32.527842	66814	1112813.440576574	4	2
2014-03-28 16:31:52.460634	66815	45	2	10
2014-03-28 16:31:52.693989	66816	23.2	1	10
2014-03-28 16:32:01.973346	66817	56	2	9
2014-03-28 16:32:02.196777	66818	21.4	1	9
2014-03-28 16:32:03.065904	66819	48	2	8
2014-03-28 16:32:03.296105	66820	20.9	1	8
2014-03-28 16:32:31.462865	66821	45	2	10
2014-03-28 16:32:31.685473	66822	23.2	1	10
2014-03-28 16:32:32.30539	66823	531	3	2
2014-03-28 16:32:32.537951	66824	1112821.483819624	4	2
2014-03-28 16:32:40.972339	66825	56	2	9
2014-03-28 16:32:41.195751	66826	21.4	1	9
2014-03-28 16:32:42.064855	66827	48	2	8
2014-03-28 16:32:42.296155	66828	20.9	1	8
2014-03-28 16:33:10.462902	66829	45	2	10
2014-03-28 16:33:10.684257	66830	23.2	1	10
2014-03-28 16:33:19.967384	66831	56	2	9
2014-03-28 16:33:20.21402	66832	21.4	1	9
2014-03-28 16:33:21.064067	66833	48	2	8
2014-03-28 16:33:21.28676	66834	20.9	1	8
2014-03-28 16:33:32.305244	66835	515	3	2
2014-03-28 16:33:32.536659	66836	1112830.6760973951	4	2
2014-03-28 16:33:49.462742	66837	45	2	10
2014-03-28 16:33:49.686275	66838	23.2	1	10
2014-03-28 16:33:58.969826	66839	56	2	9
2014-03-28 16:33:59.199937	66840	21.4	1	9
2014-03-28 16:34:00.062212	66841	48	2	8
2014-03-28 16:34:00.282664	66842	20.9	1	8
2014-03-28 16:34:20.303134	66843	531	3	2
2014-03-28 16:34:20.537292	66844	1112837.5703057237	4	2
2014-03-28 16:34:28.464755	66845	45	2	10
2014-03-28 16:34:28.686429	66846	23.2	1	10
2014-03-28 16:34:37.963195	66847	56	2	9
2014-03-28 16:34:38.19457	66848	21.4	1	9
2014-03-28 16:34:39.064498	66849	48	2	8
2014-03-28 16:34:39.285489	66850	20.9	1	8
2014-03-28 16:34:56.30724	66851	579	3	2
2014-03-28 16:34:56.540344	66852	1112842.1664446094	4	2
2014-03-28 16:35:07.462416	66853	45	2	10
2014-03-28 16:35:07.68731	66854	23.2	1	10
2014-03-28 16:35:16.967602	66855	56	2	9
2014-03-28 16:35:17.198629	66856	21.4	1	9
2014-03-28 16:35:18.063297	66857	48	2	8
2014-03-28 16:35:18.341582	66858	20.9	1	8
2014-03-28 16:35:32.304601	66859	515	3	2
2014-03-28 16:35:32.538289	66860	1112846.7670544472	4	2
2014-03-28 16:35:44.303893	66861	515	3	2
2014-03-28 16:35:44.525829	66862	1112849.06512389	4	2
2014-03-28 16:35:46.464346	66863	45	2	10
2014-03-28 16:35:46.698882	66864	23.2	1	10
2014-03-28 16:35:55.963306	66865	56	2	9
2014-03-28 16:35:56.186338	66866	21.4	1	9
2014-03-28 16:35:57.063182	66867	48	2	8
2014-03-28 16:35:57.294491	66868	20.9	1	8
2014-03-28 16:36:25.463306	66869	45	2	10
2014-03-28 16:36:25.687399	66870	23.2	1	10
2014-03-28 16:36:32.304507	66871	498	3	2
2014-03-28 16:36:32.536944	66872	1112855.9593322186	4	2
2014-03-28 16:36:34.9669	66873	56	2	9
2014-03-28 16:36:35.18706	66874	21.4	1	9
2014-03-28 16:36:36.062242	66875	48	2	8
2014-03-28 16:36:36.293832	66876	20.9	1	8
2014-03-28 16:37:04.462949	66877	45	2	10
2014-03-28 16:37:04.68595	66878	23.2	1	10
2014-03-28 16:37:13.966044	66879	56	2	9
2014-03-28 16:37:14.208426	66880	21.4	1	9
2014-03-28 16:37:15.063354	66881	48	2	8
2014-03-28 16:37:15.284595	66882	20.9	1	8
2014-03-28 16:37:32.306307	66883	498	3	2
2014-03-28 16:37:32.538217	66884	1112864.0025752685	4	2
2014-03-28 16:37:43.462644	66885	45	2	10
2014-03-28 16:37:43.686932	66886	23.2	1	10
2014-03-28 16:37:52.96565	66887	56	2	9
2014-03-28 16:37:53.200485	66888	21.4	1	9
2014-03-28 16:37:54.063989	66889	48	2	8
2014-03-28 16:37:54.286001	66890	20.9	1	8
2014-03-28 16:38:22.463582	66891	45	2	10
2014-03-28 16:38:22.695523	66892	23.2	1	10
2014-03-28 16:38:31.964596	66893	56	2	9
2014-03-28 16:38:32.188023	66894	21.4	1	9
2014-03-28 16:38:33.063165	66895	48	2	8
2014-03-28 16:38:33.296936	66896	20.9	1	8
2014-03-28 16:39:01.462964	66897	45	2	10
2014-03-28 16:39:01.686118	66898	23.2	1	10
2014-03-28 16:39:08.3058	66899	466	3	2
2014-03-28 16:39:08.53728	66900	1112877.7909919254	4	2
2014-03-28 16:39:10.963498	66901	56	2	9
2014-03-28 16:39:11.184476	66902	21.4	1	9
2014-03-28 16:39:12.063054	66903	48	2	8
2014-03-28 16:39:12.296209	66904	20.9	1	8
2014-03-28 16:39:20.305684	66905	466	3	2
2014-03-28 16:39:20.528221	66906	1112878.940026647	4	2
2014-03-28 16:39:40.465714	66907	45	2	10
2014-03-28 16:39:40.698054	66908	23.2	1	10
2014-03-28 16:39:49.966091	66909	56	2	9
2014-03-28 16:39:50.186614	66910	21.4	1	9
2014-03-28 16:39:51.06757	66911	48	2	8
2014-03-28 16:39:51.301334	66912	20.9	1	8
2014-03-28 16:40:19.465177	66913	45	2	10
2014-03-28 16:40:19.690735	66914	23.2	1	10
2014-03-28 16:40:28.963633	66915	56	2	9
2014-03-28 16:40:29.194719	66916	21.4	1	9
2014-03-28 16:40:30.062818	66917	48	2	8
2014-03-28 16:40:30.284862	66918	20.9	1	8
2014-03-28 16:40:56.304626	66919	370	3	2
2014-03-28 16:40:56.5361	66920	1112891.5794085825	4	2
2014-03-28 16:40:58.473701	66921	45	2	10
2014-03-28 16:40:58.703292	66922	23.2	1	10
2014-03-28 16:41:07.970928	66923	56	2	9
2014-03-28 16:41:08.202633	66924	21.4	1	9
2014-03-28 16:41:09.064017	66925	49	2	8
2014-03-28 16:41:09.285415	66926	20.9	1	8
2014-03-28 16:41:32.305361	66927	370	3	2
2014-03-28 16:41:32.547302	66928	1112895.0265127467	4	2
2014-03-28 16:41:37.46419	66929	45	2	10
2014-03-28 16:41:37.68993	66930	23.2	1	10
2014-03-28 16:41:46.968836	66931	56	2	9
2014-03-28 16:41:47.200307	66932	21.4	1	9
2014-03-28 16:41:48.062212	66933	48	2	8
2014-03-28 16:41:48.284682	66934	20.9	1	8
2014-03-28 16:42:16.463738	66935	45	2	10
2014-03-28 16:42:16.695108	66936	23.2	1	10
2014-03-28 16:42:25.970099	66937	56	2	9
2014-03-28 16:42:26.192806	66938	21.4	1	9
2014-03-28 16:42:27.062666	66939	48	2	8
2014-03-28 16:42:27.294503	66940	20.9	1	8
2014-03-28 16:42:32.302915	66941	370	3	2
2014-03-28 16:42:32.524396	66942	1112900.7716863537	4	2
2014-03-28 16:42:55.465301	66943	45	2	10
2014-03-28 16:42:55.699131	66944	23.2	1	10
2014-03-28 16:43:04.969518	66945	56	2	9
2014-03-28 16:43:05.194759	66946	21.4	1	9
2014-03-28 16:43:06.064213	66947	48	2	8
2014-03-28 16:43:06.297114	66948	20.9	1	8
2014-03-28 16:43:32.304507	66949	402	3	2
2014-03-28 16:43:32.52763	66950	1112907.6658946823	4	2
2014-03-28 16:43:34.465753	66951	45	2	10
2014-03-28 16:43:34.69771	66952	23.2	1	10
2014-03-28 16:43:43.969707	66953	56	2	9
2014-03-28 16:43:44.194168	66954	21.4	1	9
2014-03-28 16:43:44.499886	66955	354	3	2
2014-03-28 16:43:44.730965	66956	1112908.8149294036	4	2
2014-03-28 16:43:45.06444	66957	48	2	8
2014-03-28 16:43:45.287098	66958	20.9	1	8
2014-03-28 16:43:56.302727	66959	354	3	2
2014-03-28 16:43:56.533607	66960	1112909.9639641251	4	2
2014-03-28 16:44:13.464891	66961	45	2	10
2014-03-28 16:44:13.688041	66962	23.1	1	10
2014-03-28 16:44:22.969751	66963	56	2	9
2014-03-28 16:44:23.203074	66964	21.4	1	9
2014-03-28 16:44:24.064135	66965	48	2	8
2014-03-28 16:44:24.286539	66966	20.9	1	8
2014-03-28 16:44:32.305079	66967	354	3	2
2014-03-28 16:44:32.537288	66968	1112913.4110682893	4	2
2014-03-28 16:44:44.30444	66969	434	3	2
2014-03-28 16:44:44.528315	66970	1112914.5601030109	4	2
2014-03-28 16:44:52.464773	66971	45	2	10
2014-03-28 16:44:52.698437	66972	23.1	1	10
2014-03-28 16:44:56.30455	66973	450	3	2
2014-03-28 16:44:56.528785	66974	1112915.7091377322	4	2
2014-03-28 16:45:01.966842	66975	56	2	9
2014-03-28 16:45:02.210596	66976	21.4	1	9
2014-03-28 16:45:03.06441	66977	48	2	8
2014-03-28 16:45:03.28557	66978	20.9	1	8
2014-03-28 16:45:31.470075	66979	45	2	10
2014-03-28 16:45:31.703189	66980	23.1	1	10
2014-03-28 16:45:40.773151	66981	434	3	2
2014-03-28 16:45:40.999075	66982	1112920.3052766179	4	2
2014-03-28 16:45:41.302682	66983	56	2	9
2014-03-28 16:45:41.53478	66984	21.4	1	9
2014-03-28 16:45:42.062277	66985	48	2	8
2014-03-28 16:45:42.284672	66986	20.9	1	8
2014-03-28 16:45:56.303529	66987	466	3	2
2014-03-28 16:45:56.536518	66988	1112923.752380782	4	2
2014-03-28 16:46:10.465931	66989	45	2	10
2014-03-28 16:46:10.689641	66990	23.1	1	10
2014-03-28 16:46:19.970245	66991	56	2	9
2014-03-28 16:46:20.203162	66992	21.4	1	9
2014-03-28 16:46:21.063934	66993	48	2	8
2014-03-28 16:46:21.285008	66994	20.9	1	8
2014-03-28 16:46:32.301699	66995	466	3	2
2014-03-28 16:46:32.534226	66996	1112928.3485196678	4	2
2014-03-28 16:46:49.465837	66997	45	2	10
2014-03-28 16:46:49.690096	66998	23.1	1	10
2014-03-28 16:46:58.967806	66999	56	2	9
2014-03-28 16:46:59.2007	67000	21.4	1	9
2014-03-28 16:47:00.06375	67001	48	2	8
2014-03-28 16:47:00.284786	67002	20.9	1	8
2014-03-28 16:47:28.466088	67003	45	2	10
2014-03-28 16:47:28.699644	67004	23.1	1	10
2014-03-28 16:47:32.302712	67005	482	3	2
2014-03-28 16:47:32.524977	67006	1112936.3917627176	4	2
2014-03-28 16:47:37.990118	67007	56	2	9
2014-03-28 16:47:38.224142	67008	21.4	1	9
2014-03-28 16:47:39.064848	67009	48	2	8
2014-03-28 16:47:39.2878	67010	20.9	1	8
2014-03-28 16:48:07.465174	67011	45	2	10
2014-03-28 16:48:07.6981	67012	23.1	1	10
2014-03-28 16:48:16.970573	67013	56	2	9
2014-03-28 16:48:17.192635	67014	21.4	1	9
2014-03-28 16:48:18.06598	67015	48	2	8
2014-03-28 16:48:18.301374	67016	20.9	1	8
2014-03-28 16:48:32.302065	67017	482	3	2
2014-03-28 16:48:32.524451	67018	1112944.4350057675	4	2
2014-03-28 16:48:46.465775	67019	45	2	10
2014-03-28 16:48:46.698477	67020	23.1	1	10
2014-03-28 16:48:55.969577	67021	56	2	9
2014-03-28 16:48:56.192619	67022	21.4	1	9
2014-03-28 16:48:57.063349	67023	48	2	8
2014-03-28 16:48:57.307549	67024	20.9	1	8
2014-03-28 16:49:25.466312	67025	45	2	10
2014-03-28 16:49:25.686971	67026	23.1	1	10
2014-03-28 16:49:32.307108	67027	482	3	2
2014-03-28 16:49:32.72322	67028	1112952.4782488174	4	2
2014-03-28 16:49:34.967379	67029	56	2	9
2014-03-28 16:49:35.193287	67030	21.4	1	9
2014-03-28 16:49:36.062722	67031	48	2	8
2014-03-28 16:49:36.283155	67032	20.9	1	8
2014-03-28 16:50:04.466264	67033	45	2	10
2014-03-28 16:50:04.703144	67034	23.1	1	10
2014-03-28 16:50:13.969501	67035	56	2	9
2014-03-28 16:50:14.189721	67036	21.4	1	9
2014-03-28 16:50:15.06169	67037	48	2	8
2014-03-28 16:50:15.291651	67038	20.9	1	8
2014-03-28 16:50:43.467864	67039	45	2	10
2014-03-28 16:50:43.688221	67040	23.1	1	10
2014-03-28 16:50:53.171405	67041	56	2	9
2014-03-28 16:50:53.402493	67042	21.4	1	9
2014-03-28 16:50:54.063097	67043	48	2	8
2014-03-28 16:50:54.283069	67044	20.9	1	8
2014-03-28 16:51:22.465761	67045	45	2	10
2014-03-28 16:51:22.698891	67046	23.0	1	10
2014-03-28 16:51:31.967623	67047	56	2	9
2014-03-28 16:51:32.190863	67048	21.4	1	9
2014-03-28 16:51:32.494791	67049	434	3	2
2014-03-28 16:51:32.726421	67050	1112968.5647349174	4	2
2014-03-28 16:51:33.062305	67051	48	2	8
2014-03-28 16:51:33.282886	67052	20.9	1	8
2014-03-28 16:51:44.30069	67053	434	3	2
2014-03-28 16:51:44.532844	67054	1112969.7137696387	4	2
2014-03-28 16:52:01.466665	67055	45	2	10
2014-03-28 16:52:01.68869	67056	23.0	1	10
2014-03-28 16:52:10.965792	67057	56	2	9
2014-03-28 16:52:11.197302	67058	21.4	1	9
2014-03-28 16:52:12.062413	67059	48	2	8
2014-03-28 16:52:12.282839	67060	20.9	1	8
2014-03-28 16:52:32.300615	67061	434	3	2
2014-03-28 16:52:32.532744	67062	1112975.4589432457	4	2
2014-03-28 16:52:40.46737	67063	45	2	10
2014-03-28 16:52:40.68902	67064	23.0	1	10
2014-03-28 16:52:49.968489	67065	56	2	9
2014-03-28 16:52:50.198538	67066	21.4	1	9
2014-03-28 16:52:51.062295	67067	48	2	8
2014-03-28 16:52:51.289151	67068	20.9	1	8
2014-03-28 16:53:19.46699	67069	45	2	10
2014-03-28 16:53:19.698041	67070	23.0	1	10
2014-03-28 16:53:28.9727	67071	56	2	9
2014-03-28 16:53:29.193692	67072	21.4	1	9
2014-03-28 16:53:30.064061	67073	48	2	8
2014-03-28 16:53:30.30404	67074	20.9	1	8
2014-03-28 16:53:32.300233	67075	418	3	2
2014-03-28 16:53:32.519439	67076	1112982.3531515743	4	2
2014-03-28 16:53:58.466903	67077	45	2	10
2014-03-28 16:53:58.69928	67078	23.0	1	10
2014-03-28 16:54:07.969001	67079	56	2	9
2014-03-28 16:54:08.19411	67080	21.4	1	9
2014-03-28 16:54:09.064471	67081	48	2	8
2014-03-28 16:54:09.293677	67082	20.9	1	8
2014-03-28 16:54:32.301574	67083	434	3	2
2014-03-28 16:54:32.522853	67084	1112989.2473599028	4	2
2014-03-28 16:54:37.468153	67085	45	2	10
2014-03-28 16:54:37.702548	67086	23.0	1	10
2014-03-28 16:54:46.970198	67087	56	2	9
2014-03-28 16:54:47.193523	67088	21.4	1	9
2014-03-28 16:54:48.063292	67089	48	2	8
2014-03-28 16:54:48.296276	67090	20.9	1	8
2014-03-28 16:55:16.468213	67091	45	2	10
2014-03-28 16:55:16.688924	67092	23.0	1	10
2014-03-28 16:55:25.968708	67093	56	2	9
2014-03-28 16:55:26.198803	67094	21.4	1	9
2014-03-28 16:55:27.063267	67095	48	2	8
2014-03-28 16:55:27.283734	67096	20.9	1	8
2014-03-28 16:55:32.302847	67097	434	3	2
2014-03-28 16:55:32.538057	67098	1112997.2906029527	4	2
2014-03-28 16:55:55.469773	67099	45	2	10
2014-03-28 16:55:55.691077	67100	23.0	1	10
2014-03-28 16:56:04.967667	67101	56	2	9
2014-03-28 16:56:05.198669	67102	21.4	1	9
2014-03-28 16:56:06.062511	67103	48	2	8
2014-03-28 16:56:06.282442	67104	20.9	1	8
2014-03-28 16:56:19.045912	67105	434	3	2
2014-03-28 16:56:19.277682	67106	1113000.7377071169	4	2
2014-03-28 16:56:20.300942	67107	418	3	2
2014-03-28 16:56:20.522255	67108	1113003.0357765597	4	2
2014-03-28 16:56:32.303045	67109	434	3	2
2014-03-28 16:56:32.535495	67110	1113004.184811281	4	2
2014-03-28 16:56:34.468021	67111	45	2	10
2014-03-28 16:56:34.690051	67112	23.0	1	10
2014-03-28 16:56:43.969207	67113	56	2	9
2014-03-28 16:56:44.203906	67114	21.4	1	9
2014-03-28 16:56:45.063092	67115	48	2	8
2014-03-28 16:56:45.283234	67116	20.9	1	8
2014-03-28 16:57:13.467214	67117	45	2	10
2014-03-28 16:57:13.701346	67118	23.0	1	10
2014-03-28 16:57:22.967177	67119	56	2	9
2014-03-28 16:57:23.189594	67120	21.3	1	9
2014-03-28 16:57:24.062798	67121	48	2	8
2014-03-28 16:57:24.332086	67122	20.9	1	8
2014-03-28 16:57:32.300749	67123	418	3	2
2014-03-28 16:57:32.523963	67124	1113011.0790196096	4	2
2014-03-28 16:57:52.469018	67125	45	2	10
2014-03-28 16:57:52.701977	67126	22.9	1	10
2014-03-28 16:58:01.965165	67127	56	2	9
2014-03-28 16:58:02.187669	67128	21.3	1	9
2014-03-28 16:58:03.062319	67129	48	2	8
2014-03-28 16:58:03.293914	67130	20.9	1	8
2014-03-28 16:58:20.303532	67131	466	3	2
2014-03-28 16:58:20.527764	67132	1113016.8241932166	4	2
2014-03-28 16:58:40.967123	67133	56	2	9
2014-03-28 16:58:41.197715	67134	21.3	1	9
2014-03-28 16:58:42.06324	67135	48	2	8
2014-03-28 16:58:42.284699	67136	20.8	1	8
2014-03-28 16:59:10.46961	67137	45	2	10
2014-03-28 16:59:10.701223	67138	22.9	1	10
2014-03-28 16:59:19.967884	67139	56	2	9
2014-03-28 16:59:20.190446	67140	21.3	1	9
2014-03-28 16:59:21.064371	67141	48	2	8
2014-03-28 16:59:21.294388	67142	20.8	1	8
2014-03-28 16:59:32.300517	67143	595	3	2
2014-03-28 16:59:32.520475	67144	1113028.314540431	4	2
2014-03-28 16:59:49.465768	67145	45	2	10
2014-03-28 16:59:49.697028	67146	22.9	1	10
2014-03-28 16:59:58.970778	67147	56	2	9
2014-03-28 16:59:59.19566	67148	21.3	1	9
2014-03-28 17:00:00.062599	67149	48	2	8
2014-03-28 17:00:00.293438	67150	20.8	1	8
2014-03-28 17:00:28.470453	67151	45	2	10
2014-03-28 17:00:28.691134	67152	22.9	1	10
2014-03-28 17:00:32.305925	67153	611	3	2
2014-03-28 17:00:32.53593	67154	1113037.506818202	4	2
2014-03-28 17:00:37.960867	67155	56	2	9
2014-03-28 17:00:38.184287	67156	21.3	1	9
2014-03-28 17:00:39.06206	67157	48	2	8
2014-03-28 17:00:39.295125	67158	20.8	1	8
2014-03-28 17:01:07.470974	67159	45	2	10
2014-03-28 17:01:07.693625	67160	22.9	1	10
2014-03-28 17:01:16.967729	67161	56	2	9
2014-03-28 17:01:17.199912	67162	21.3	1	9
2014-03-28 17:01:18.063967	67163	48	2	8
2014-03-28 17:01:18.286192	67164	20.8	1	8
2014-03-28 17:01:32.300422	67165	611	3	2
2014-03-28 17:01:32.532689	67166	1113047.8481306948	4	2
2014-03-28 17:01:46.478057	67167	45	2	10
2014-03-28 17:01:46.70063	67168	22.9	1	10
2014-03-28 17:01:55.977844	67169	56	2	9
2014-03-28 17:01:56.220083	67170	21.3	1	9
2014-03-28 17:01:57.063085	67171	48	2	8
2014-03-28 17:01:57.285268	67172	20.8	1	8
2014-03-28 17:02:25.467973	67173	45	2	10
2014-03-28 17:02:25.700914	67174	22.9	1	10
2014-03-28 17:02:34.970705	67175	56	2	9
2014-03-28 17:02:35.192809	67176	21.3	1	9
2014-03-28 17:02:36.071429	67177	48	2	8
2014-03-28 17:02:36.3031	67178	20.8	1	8
2014-03-28 17:02:49.174089	67179	61	2	1
2014-03-28 17:02:49.398589	67180	21.3	1	1
2014-03-28 17:03:04.469541	67181	45	2	10
2014-03-28 17:03:04.7015	67182	22.9	1	10
2014-03-28 17:03:13.970488	67183	56	2	9
2014-03-28 17:03:14.191364	67184	21.3	1	9
2014-03-28 17:03:15.062502	67185	48	2	8
2014-03-28 17:03:15.292675	67186	20.8	1	8
2014-03-28 17:03:28.176666	67187	61	2	1
2014-03-28 17:03:28.399402	67188	21.2	1	1
2014-03-28 17:03:43.469006	67189	45	2	10
2014-03-28 17:03:43.700944	67190	22.8	1	10
2014-03-28 17:03:52.965944	67191	56	2	9
2014-03-28 17:03:53.188291	67192	21.3	1	9
2014-03-28 17:03:54.06225	67193	48	2	8
2014-03-28 17:03:54.29288	67194	20.8	1	8
2014-03-28 17:04:07.176271	67195	61	2	1
2014-03-28 17:04:07.397373	67196	21.2	1	1
2014-03-28 17:04:22.46993	67197	45	2	10
2014-03-28 17:04:22.700724	67198	22.8	1	10
2014-03-28 17:04:31.963912	67199	56	2	9
2014-03-28 17:04:32.189175	67200	21.3	1	9
2014-03-28 17:04:32.491374	67201	56	2	9
2014-03-28 17:04:32.722978	67202	21.3	1	9
2014-03-28 17:04:33.063963	67203	48	2	8
2014-03-28 17:04:33.284679	67204	20.8	1	8
2014-03-28 17:04:46.176393	67205	61	2	1
2014-03-28 17:04:46.463327	67206	21.2	1	1
2014-03-28 17:05:01.470562	67207	45	2	10
2014-03-28 17:05:01.691254	67208	22.8	1	10
2014-03-28 17:05:10.964686	67209	56	2	9
2014-03-28 17:05:11.197104	67210	21.3	1	9
2014-03-28 17:05:12.06223	67211	48	2	8
2014-03-28 17:05:12.284957	67212	20.8	1	8
2014-03-28 17:05:25.175252	67213	61	2	1
2014-03-28 17:05:25.40696	67214	21.2	1	1
2014-03-28 17:05:40.46941	67215	45	2	10
2014-03-28 17:05:40.692375	67216	22.8	1	10
2014-03-28 17:05:49.966461	67217	56	2	9
2014-03-28 17:05:50.208508	67218	21.3	1	9
2014-03-28 17:05:51.061608	67219	48	2	8
2014-03-28 17:05:51.285273	67220	20.8	1	8
2014-03-28 17:06:04.173433	67221	61	2	1
2014-03-28 17:06:04.406225	67222	21.2	1	1
2014-03-28 17:06:19.472489	67223	45	2	10
2014-03-28 17:06:19.693123	67224	22.8	1	10
2014-03-28 17:06:28.966389	67225	56	2	9
2014-03-28 17:06:29.197109	67226	21.3	1	9
2014-03-28 17:06:30.062512	67227	48	2	8
2014-03-28 17:06:30.283665	67228	20.9	1	8
2014-03-28 17:06:43.175008	67229	61	2	1
2014-03-28 17:06:43.408505	67230	21.2	1	1
2014-03-28 17:06:58.472578	67231	45	2	10
2014-03-28 17:06:58.695039	67232	22.8	1	10
2014-03-28 17:07:07.966696	67233	56	2	9
2014-03-28 17:07:08.197237	67234	21.3	1	9
2014-03-28 17:07:09.06215	67235	48	2	8
2014-03-28 17:07:09.282618	67236	20.9	1	8
2014-03-28 17:07:22.173108	67237	61	2	1
2014-03-28 17:07:22.406719	67238	21.2	1	1
2014-03-28 17:07:37.470368	67239	45	2	10
2014-03-28 17:07:37.697489	67240	22.8	1	10
2014-03-28 17:07:46.965719	67241	56	2	9
2014-03-28 17:07:47.196954	67242	21.3	1	9
2014-03-28 17:07:48.062209	67243	48	2	8
2014-03-28 17:07:48.282563	67244	20.9	1	8
2014-03-28 17:08:01.171529	67245	61	2	1
2014-03-28 17:08:01.401561	67246	21.2	1	1
2014-03-28 17:08:16.471442	67247	45	2	10
2014-03-28 17:08:16.69643	67248	22.8	1	10
2014-03-28 17:08:25.963686	67249	56	2	9
2014-03-28 17:08:26.195061	67250	21.3	1	9
2014-03-28 17:08:27.062256	67251	48	2	8
2014-03-28 17:08:27.283266	67252	20.9	1	8
2014-03-28 17:08:40.172809	67253	61	2	1
2014-03-28 17:08:40.404151	67254	21.2	1	1
2014-03-28 17:08:44.298883	67255	515	3	2
2014-03-28 17:08:44.520763	67256	1113123.6844223083	4	2
2014-03-28 17:08:55.471412	67257	45	2	10
2014-03-28 17:08:55.70366	67258	22.7	1	10
2014-03-28 17:08:56.299082	67259	643	3	2
2014-03-28 17:08:56.519967	67260	1113125.9824917512	4	2
2014-03-28 17:09:06.05423	67261	48	2	8
2014-03-28 17:09:06.285664	67262	20.9	1	8
2014-03-28 17:09:08.299315	67263	643	3	2
2014-03-28 17:09:08.52047	67264	1113128.2805611938	4	2
2014-03-28 17:09:19.170438	67265	61	2	1
2014-03-28 17:09:19.469927	67266	21.2	1	1
2014-03-28 17:09:34.472487	67267	45	2	10
2014-03-28 17:09:34.693802	67268	22.7	1	10
2014-03-28 17:09:43.961718	67269	56	2	9
2014-03-28 17:09:44.194127	67270	21.3	1	9
2014-03-28 17:09:44.497287	67271	56	2	9
2014-03-28 17:09:44.717502	67272	21.3	1	9
2014-03-28 17:09:45.063973	67273	48	2	8
2014-03-28 17:09:45.294631	67274	20.9	1	8
2014-03-28 17:09:56.299082	67275	579	3	2
2014-03-28 17:09:56.520606	67276	1113136.323804244	4	2
2014-03-28 17:10:08.301871	67277	579	3	2
2014-03-28 17:10:08.532373	67278	1113138.6218736868	4	2
2014-03-28 17:10:13.472076	67279	45	2	10
2014-03-28 17:10:13.699326	67280	22.7	1	10
2014-03-28 17:10:22.966835	67281	56	2	9
2014-03-28 17:10:23.201752	67282	21.3	1	9
2014-03-28 17:10:24.061685	67283	48	2	8
2014-03-28 17:10:24.284718	67284	20.9	1	8
2014-03-28 17:10:32.301106	67285	627	3	2
2014-03-28 17:10:32.533389	67286	1113140.9244140817	4	2
2014-03-28 17:10:44.300457	67287	627	3	2
2014-03-28 17:10:44.52345	67288	1113143.2224835246	4	2
2014-03-28 17:10:52.472019	67289	45	2	10
2014-03-28 17:10:52.703442	67290	22.7	1	10
2014-03-28 17:11:01.962899	67291	56	2	9
2014-03-28 17:11:02.184537	67292	21.3	1	9
2014-03-28 17:11:03.062313	67293	48	2	8
2014-03-28 17:11:03.292317	67294	20.9	1	8
2014-03-28 17:11:08.303332	67295	498	3	2
2014-03-28 17:11:08.525605	67296	1113146.6695876888	4	2
2014-03-28 17:11:20.300986	67297	498	3	2
2014-03-28 17:11:20.533714	67298	1113148.9676571316	4	2
2014-03-28 17:11:31.472361	67299	45	2	10
2014-03-28 17:11:31.693697	67300	22.7	1	10
2014-03-28 17:11:32.300917	67301	515	3	2
2014-03-28 17:11:32.533344	67302	1113150.1166918532	4	2
2014-03-28 17:11:40.962979	67303	56	2	9
2014-03-28 17:11:41.184469	67304	21.3	1	9
2014-03-28 17:11:42.061151	67305	48	2	8
2014-03-28 17:11:42.292624	67306	20.9	1	8
2014-03-28 17:11:55.173035	67307	61	2	1
2014-03-28 17:11:55.395874	67308	21.2	1	1
2014-03-28 17:12:10.473613	67309	45	2	10
2014-03-28 17:12:10.705728	67310	22.7	1	10
2014-03-28 17:12:19.964875	67311	56	2	9
2014-03-28 17:12:20.187955	67312	21.3	1	9
2014-03-28 17:12:20.492395	67313	56	2	9
2014-03-28 17:12:20.73577	67314	21.3	1	9
2014-03-28 17:12:21.043461	67315	482	3	2
2014-03-28 17:12:21.265657	67316	1113157.0109001815	4	2
2014-03-28 17:12:21.56992	67317	48	2	8
2014-03-28 17:12:21.800087	67318	20.9	1	8
2014-03-28 17:12:32.313501	67319	466	3	2
2014-03-28 17:12:32.537132	67320	1113159.3089696243	4	2
2014-03-28 17:12:49.472293	67321	45	2	10
2014-03-28 17:12:49.707127	67322	22.7	1	10
2014-03-28 17:12:58.963851	67323	56	2	9
2014-03-28 17:12:59.184339	67324	21.3	1	9
2014-03-28 17:13:00.060457	67325	48	2	8
2014-03-28 17:13:00.291928	67326	20.9	1	8
2014-03-28 17:13:08.299143	67327	418	3	2
2014-03-28 17:13:08.519289	67328	1113163.90510851	4	2
2014-03-28 17:13:13.169315	67329	61	2	1
2014-03-28 17:13:13.399263	67330	21.2	1	1
2014-03-28 17:13:20.300427	67331	418	3	2
2014-03-28 17:13:20.522047	67332	1113165.0541432314	4	2
2014-03-28 17:13:28.676848	67333	45	2	10
2014-03-28 17:13:28.907789	67334	22.7	1	10
2014-03-28 17:13:32.299232	67335	418	3	2
2014-03-28 17:13:32.519587	67336	1113166.203177953	4	2
2014-03-28 17:13:37.96284	67337	55	2	9
2014-03-28 17:13:38.193596	67338	21.3	1	9
2014-03-28 17:13:39.061271	67339	48	2	8
2014-03-28 17:13:39.282593	67340	20.9	1	8
2014-03-28 17:14:07.471952	67341	45	2	10
2014-03-28 17:14:07.703803	67342	22.7	1	10
2014-03-28 17:14:16.964932	67343	55	2	9
2014-03-28 17:14:17.18615	67344	21.3	1	9
2014-03-28 17:14:18.062572	67345	48	2	8
2014-03-28 17:14:18.293254	67346	20.9	1	8
2014-03-28 17:14:31.167624	67347	61	2	1
2014-03-28 17:14:31.389567	67348	21.2	1	1
2014-03-28 17:14:32.303199	67349	579	3	2
2014-03-28 17:14:32.534208	67350	1113174.2464210028	4	2
2014-03-28 17:14:46.472954	67351	45	2	10
2014-03-28 17:14:46.7392	67352	22.7	1	10
2014-03-28 17:14:55.968715	67353	55	2	9
2014-03-28 17:14:56.201775	67354	21.3	1	9
2014-03-28 17:14:57.063091	67355	48	2	8
2014-03-28 17:14:57.284236	67356	20.9	1	8
2014-03-28 17:15:10.177607	67357	61	2	1
2014-03-28 17:15:10.408894	67358	21.1	1	1
2014-03-28 17:15:25.475937	67359	46	2	10
2014-03-28 17:15:25.700012	67360	22.7	1	10
2014-03-28 17:15:34.960828	67361	55	2	9
2014-03-28 17:15:35.20554	67362	21.3	1	9
2014-03-28 17:15:36.059489	67363	48	2	8
2014-03-28 17:15:36.282579	67364	20.9	1	8
2014-03-28 17:15:44.301732	67365	531	3	2
2014-03-28 17:15:44.532733	67366	1113185.7367682168	4	2
2014-03-28 17:15:49.170127	67367	60	2	1
2014-03-28 17:15:49.390621	67368	21.1	1	1
2014-03-28 17:15:56.297931	67369	531	3	2
2014-03-28 17:15:56.529332	67370	1113188.0348376597	4	2
2014-03-28 17:16:04.472207	67371	46	2	10
2014-03-28 17:16:04.69359	67372	22.7	1	10
2014-03-28 17:16:13.963799	67373	55	2	9
2014-03-28 17:16:14.196098	67374	21.3	1	9
2014-03-28 17:16:15.061716	67375	48	2	8
2014-03-28 17:16:15.285312	67376	20.9	1	8
2014-03-28 17:16:20.299807	67377	611	3	2
2014-03-28 17:16:20.531057	67378	1113191.481941824	4	2
2014-03-28 17:16:28.166967	67379	60	2	1
2014-03-28 17:16:28.388931	67380	21.1	1	1
2014-03-28 17:16:43.474378	67381	46	2	10
2014-03-28 17:16:43.705672	67382	22.7	1	10
2014-03-28 17:16:44.299455	67383	547	3	2
2014-03-28 17:16:44.523754	67384	1113194.9290459882	4	2
2014-03-28 17:16:52.966606	67385	55	2	9
2014-03-28 17:16:53.19846	67386	21.3	1	9
2014-03-28 17:16:54.062054	67387	48	2	8
2014-03-28 17:16:54.285534	67388	20.9	1	8
2014-03-28 17:17:07.165033	67389	60	2	1
2014-03-28 17:17:07.39899	67390	21.1	1	1
2014-03-28 17:17:22.475246	67391	46	2	10
2014-03-28 17:17:22.696591	67392	22.6	1	10
2014-03-28 17:17:31.970868	67393	55	2	9
2014-03-28 17:17:32.202268	67394	21.3	1	9
2014-03-28 17:17:32.507689	67395	55	2	9
2014-03-28 17:17:32.727999	67396	21.3	1	9
2014-03-28 17:17:33.057862	67397	547	3	2
2014-03-28 17:17:33.289413	67398	1113201.8232543168	4	2
2014-03-28 17:17:33.594089	67399	48	2	8
2014-03-28 17:17:33.81763	67400	20.9	1	8
2014-03-28 17:17:46.171194	67401	60	2	1
2014-03-28 17:17:46.403554	67402	21.1	1	1
2014-03-28 17:17:56.301168	67403	627	3	2
2014-03-28 17:17:56.525735	67404	1113206.4193932023	4	2
2014-03-28 17:18:01.47213	67405	46	2	10
2014-03-28 17:18:01.709455	67406	22.7	1	10
2014-03-28 17:18:08.300193	67407	627	3	2
2014-03-28 17:18:08.521266	67408	1113207.5684279238	4	2
2014-03-28 17:18:10.966529	67409	55	2	9
2014-03-28 17:18:11.208795	67410	21.3	1	9
2014-03-28 17:18:12.062165	67411	48	2	8
2014-03-28 17:18:12.283492	67412	20.9	1	8
2014-03-28 17:18:40.475818	67413	46	2	10
2014-03-28 17:18:40.709403	67414	22.6	1	10
2014-03-28 17:18:49.968212	67415	55	2	9
2014-03-28 17:18:50.192917	67416	21.3	1	9
2014-03-28 17:18:51.060965	67417	48	2	8
2014-03-28 17:18:51.292128	67418	20.9	1	8
2014-03-28 17:19:19.473691	67419	46	2	10
2014-03-28 17:19:19.695931	67420	22.6	1	10
2014-03-28 17:19:28.965482	67421	55	2	9
2014-03-28 17:19:29.196151	67422	21.3	1	9
2014-03-28 17:19:30.061868	67423	48	2	8
2014-03-28 17:19:30.28262	67424	20.9	1	8
2014-03-28 17:19:32.29955	67425	627	3	2
2014-03-28 17:19:32.532272	67426	1113222.5058793023	4	2
2014-03-28 17:19:58.475649	67427	46	2	10
2014-03-28 17:19:58.699818	67428	22.6	1	10
2014-03-28 17:20:07.968031	67429	55	2	9
2014-03-28 17:20:08.198479	67430	21.3	1	9
2014-03-28 17:20:09.061363	67431	48	2	8
2014-03-28 17:20:09.28257	67432	20.9	1	8
2014-03-28 17:20:32.300475	67433	611	3	2
2014-03-28 17:20:32.533119	67434	1113232.847191795	4	2
2014-03-28 17:20:37.474795	67435	46	2	10
2014-03-28 17:20:37.701523	67436	22.6	1	10
2014-03-28 17:20:47.012767	67437	55	2	9
2014-03-28 17:20:47.246231	67438	21.3	1	9
2014-03-28 17:20:48.064156	67439	48	2	8
2014-03-28 17:20:48.284485	67440	20.9	1	8
2014-03-28 17:21:16.475502	67441	46	2	10
2014-03-28 17:21:16.707886	67442	22.6	1	10
2014-03-28 17:21:25.963524	67443	55	2	9
2014-03-28 17:21:26.186184	67444	21.3	1	9
2014-03-28 17:21:27.060835	67445	48	2	8
2014-03-28 17:21:27.293964	67446	20.9	1	8
2014-03-28 17:21:40.167691	67447	60	2	1
2014-03-28 17:21:40.392841	67448	21.2	1	1
2014-03-28 17:21:55.474396	67449	46	2	10
2014-03-28 17:21:55.708792	67450	22.6	1	10
2014-03-28 17:22:04.967387	67451	55	2	9
2014-03-28 17:22:05.189684	67452	21.3	1	9
2014-03-28 17:22:06.061563	67453	48	2	8
2014-03-28 17:22:06.295155	67454	20.9	1	8
2014-03-28 17:22:19.168178	67455	60	2	1
2014-03-28 17:22:19.392461	67456	21.2	1	1
2014-03-28 17:22:32.298718	67457	643	3	2
2014-03-28 17:22:32.543555	67458	1113253.5298167805	4	2
2014-03-28 17:22:34.475868	67459	46	2	10
2014-03-28 17:22:34.696044	67460	22.6	1	10
2014-03-28 17:22:43.961302	67461	55	2	9
2014-03-28 17:22:44.195647	67462	21.3	1	9
2014-03-28 17:22:44.500355	67463	55	2	9
2014-03-28 17:22:44.722138	67464	21.3	1	9
2014-03-28 17:22:45.026843	67465	643	3	2
2014-03-28 17:22:45.257803	67466	1113255.8278862233	4	2
2014-03-28 17:22:45.563291	67467	48	2	8
2014-03-28 17:22:45.783783	67468	20.9	1	8
2014-03-28 17:22:58.165614	67469	60	2	1
2014-03-28 17:22:58.395115	67470	21.2	1	1
2014-03-28 17:23:13.473554	67471	46	2	10
2014-03-28 17:23:13.696929	67472	22.7	1	10
2014-03-28 17:23:22.957829	67473	55	2	9
2014-03-28 17:23:23.189244	67474	21.3	1	9
2014-03-28 17:23:24.062454	67475	48	2	8
2014-03-28 17:23:24.282824	67476	20.9	1	8
2014-03-28 17:23:32.301453	67477	659	3	2
2014-03-28 17:23:32.531434	67478	1113263.8711292732	4	2
2014-03-28 17:23:37.164542	67479	60	2	1
2014-03-28 17:23:37.385334	67480	21.2	1	1
2014-03-28 17:23:52.472492	67481	46	2	10
2014-03-28 17:23:52.706238	67482	22.7	1	10
2014-03-28 17:24:01.959893	67483	55	2	9
2014-03-28 17:24:02.183589	67484	21.3	1	9
2014-03-28 17:24:03.062536	67485	48	2	8
2014-03-28 17:24:03.293958	67486	20.9	1	8
2014-03-28 17:24:16.162739	67487	60	2	1
2014-03-28 17:24:16.384315	67488	21.2	1	1
2014-03-28 17:24:31.474976	67489	46	2	10
2014-03-28 17:24:31.707969	67490	22.7	1	10
2014-03-28 17:24:32.302084	67491	627	3	2
2014-03-28 17:24:32.523072	67492	1113275.3614764872	4	2
2014-03-28 17:24:40.959018	67493	55	2	9
2014-03-28 17:24:41.191568	67494	21.3	1	9
2014-03-28 17:24:42.062302	67495	48	2	8
2014-03-28 17:24:42.282856	67496	20.9	1	8
2014-03-28 17:24:44.302356	67497	627	3	2
2014-03-28 17:24:44.53394	67498	1113277.65954593	4	2
2014-03-28 17:24:55.162121	67499	60	2	1
2014-03-28 17:24:55.384767	67500	21.2	1	1
2014-03-28 17:25:10.481264	67501	46	2	10
2014-03-28 17:25:10.712331	67502	22.7	1	10
2014-03-28 17:25:20.017201	67503	55	2	9
2014-03-28 17:25:20.239978	67504	21.3	1	9
2014-03-28 17:25:21.062465	67505	48	2	8
2014-03-28 17:25:21.30489	67506	20.9	1	8
2014-03-28 17:25:32.3021	67507	643	3	2
2014-03-28 17:25:32.523916	67508	1113285.70278898	4	2
2014-03-28 17:25:34.164702	67509	60	2	1
2014-03-28 17:25:34.39495	67510	21.2	1	1
2014-03-28 17:25:49.475729	67511	46	2	10
2014-03-28 17:25:49.69792	67512	22.7	1	10
2014-03-28 17:25:56.30223	67513	579	3	2
2014-03-28 17:25:56.535165	67514	1113290.2989278657	4	2
2014-03-28 17:25:58.956168	67515	55	2	9
2014-03-28 17:25:59.17914	67516	21.3	1	9
2014-03-28 17:26:00.066073	67517	48	2	8
2014-03-28 17:26:00.295779	67518	20.9	1	8
2014-03-28 17:26:08.299903	67519	579	3	2
2014-03-28 17:26:08.521728	67520	1113292.5969973085	4	2
2014-03-28 17:26:13.163288	67521	60	2	1
2014-03-28 17:26:13.395376	67522	21.3	1	1
2014-03-28 17:26:28.475915	67523	46	2	10
2014-03-28 17:26:28.698855	67524	22.7	1	10
2014-03-28 17:26:32.301687	67525	579	3	2
2014-03-28 17:26:32.532586	67526	1113296.0441014727	4	2
2014-03-28 17:26:37.962195	67527	55	2	9
2014-03-28 17:26:38.186025	67528	21.3	1	9
2014-03-28 17:26:39.062135	67529	48	2	8
2014-03-28 17:26:39.293495	67530	20.9	1	8
2014-03-28 17:26:52.16436	67531	60	2	1
2014-03-28 17:26:52.394042	67532	21.3	1	1
2014-03-28 17:27:07.474354	67533	46	2	10
2014-03-28 17:27:07.70706	67534	22.7	1	10
2014-03-28 17:27:16.961149	67535	55	2	9
2014-03-28 17:27:17.184379	67536	21.3	1	9
2014-03-28 17:27:18.061863	67537	48	2	8
2014-03-28 17:27:18.295353	67538	20.9	1	8
2014-03-28 17:27:31.164036	67539	60	2	1
2014-03-28 17:27:31.387289	67540	21.3	1	1
2014-03-28 17:27:32.299792	67541	595	3	2
2014-03-28 17:27:32.530612	67542	1113306.3854139654	4	2
2014-03-28 17:27:46.477336	67543	46	2	10
2014-03-28 17:27:46.701245	67544	22.7	1	10
2014-03-28 17:27:55.961503	67545	55	2	9
2014-03-28 17:27:56.195625	67546	21.3	1	9
2014-03-28 17:27:56.501679	67547	55	2	9
2014-03-28 17:27:56.723569	67548	21.3	1	9
2014-03-28 17:27:57.028665	67549	708	3	2
2014-03-28 17:27:57.259114	67550	1113309.8325181298	4	2
2014-03-28 17:27:57.565995	67551	48	2	8
2014-03-28 17:27:57.787891	67552	20.9	1	8
2014-03-28 17:28:08.298279	67553	692	3	2
2014-03-28 17:28:08.542555	67554	1113312.1305875725	4	2
2014-03-28 17:28:10.162815	67555	60	2	1
2014-03-28 17:28:10.38353	67556	21.3	1	1
2014-03-28 17:28:25.479953	67557	46	2	10
2014-03-28 17:28:25.716612	67558	22.8	1	10
2014-03-28 17:28:32.302277	67559	627	3	2
2014-03-28 17:28:32.525452	67560	1113316.7267264582	4	2
2014-03-28 17:28:34.959257	67561	55	2	9
2014-03-28 17:28:35.190323	67562	21.3	1	9
2014-03-28 17:28:36.063011	67563	48	2	8
2014-03-28 17:28:36.283954	67564	20.9	1	8
2014-03-28 17:28:44.306828	67565	643	3	2
2014-03-28 17:28:44.540828	67566	1113319.024795901	4	2
2014-03-28 17:28:49.161141	67567	60	2	1
2014-03-28 17:28:49.383289	67568	21.4	1	1
2014-03-28 17:28:56.299485	67569	547	3	2
2014-03-28 17:28:56.532854	67570	1113321.322865344	4	2
2014-03-28 17:29:04.477913	67571	46	2	10
2014-03-28 17:29:04.701202	67572	22.8	1	10
2014-03-28 17:29:08.298703	67573	547	3	2
2014-03-28 17:29:08.530534	67574	1113322.4719000652	4	2
2014-03-28 17:29:15.062408	67575	48	2	8
2014-03-28 17:29:15.284787	67576	20.9	1	8
2014-03-28 17:29:28.16191	67577	60	2	1
2014-03-28 17:29:28.393468	67578	21.4	1	1
2014-03-28 17:29:43.479554	67579	46	2	10
2014-03-28 17:29:43.703756	67580	22.8	1	10
2014-03-28 17:29:44.3007	67581	450	3	2
2014-03-28 17:29:44.531248	67582	1113328.2170736725	4	2
2014-03-28 17:29:52.962629	67583	55	2	9
2014-03-28 17:29:53.188168	67584	21.3	1	9
2014-03-28 17:29:54.062691	67585	48	2	8
2014-03-28 17:29:54.294393	67586	21.0	1	8
2014-03-28 17:29:56.300285	67587	547	3	2
2014-03-28 17:29:56.522859	67588	1113330.5151431153	4	2
2014-03-28 17:30:07.163364	67589	60	2	1
2014-03-28 17:30:07.394647	67590	21.4	1	1
2014-03-28 17:30:08.299931	67591	579	3	2
2014-03-28 17:30:08.521591	67592	1113331.6641778366	4	2
2014-03-28 17:30:22.475746	67593	46	2	10
2014-03-28 17:30:22.708025	67594	22.8	1	10
2014-03-28 17:30:31.975169	67595	55	2	9
2014-03-28 17:30:32.197839	67596	21.3	1	9
2014-03-28 17:30:32.503621	67597	55	2	9
2014-03-28 17:30:32.735167	67598	21.3	1	9
2014-03-28 17:30:33.044823	67599	498	3	2
2014-03-28 17:30:33.265843	67600	1113335.1112820008	4	2
2014-03-28 17:30:33.569191	67601	48	2	8
2014-03-28 17:30:33.810997	67602	21.0	1	8
2014-03-28 17:30:44.299468	67603	531	3	2
2014-03-28 17:30:44.521696	67604	1113337.4093514436	4	2
2014-03-28 17:30:46.161553	67605	60	2	1
2014-03-28 17:30:46.39288	67606	21.5	1	1
2014-03-28 17:30:56.298173	67607	531	3	2
2014-03-28 17:30:56.520123	67608	1113338.5583861652	4	2
2014-03-28 17:31:01.478225	67609	46	2	10
2014-03-28 17:31:01.714931	67610	22.8	1	10
2014-03-28 17:31:10.965435	67611	55	2	9
2014-03-28 17:31:11.189789	67612	21.3	1	9
2014-03-28 17:31:12.06574	67613	48	2	8
2014-03-28 17:31:12.297547	67614	21.0	1	8
2014-03-28 17:31:25.157863	67615	60	2	1
2014-03-28 17:31:25.385567	67616	21.5	1	1
2014-03-28 17:31:32.299287	67617	531	3	2
2014-03-28 17:31:32.533377	67618	1113344.3035597722	4	2
2014-03-28 17:31:40.477049	67619	46	2	10
2014-03-28 17:31:40.699643	67620	22.8	1	10
2014-03-28 17:31:49.964645	67621	55	2	9
2014-03-28 17:31:50.198983	67622	21.3	1	9
2014-03-28 17:31:51.062846	67623	48	2	8
2014-03-28 17:31:51.288708	67624	21.0	1	8
2014-03-28 17:32:04.159809	67625	60	2	1
2014-03-28 17:32:04.39135	67626	21.5	1	1
2014-03-28 17:32:19.478653	67627	46	2	10
2014-03-28 17:32:19.700079	67628	22.8	1	10
2014-03-28 17:32:28.965528	67629	55	2	9
2014-03-28 17:32:29.197378	67630	21.3	1	9
2014-03-28 17:32:30.061324	67631	48	2	8
2014-03-28 17:32:30.285564	67632	21.0	1	8
2014-03-28 17:32:43.279985	67633	60	2	1
2014-03-28 17:32:43.72252	67634	21.5	1	1
2014-03-28 17:32:56.323602	67635	434	3	2
2014-03-28 17:32:56.546603	67636	1113355.7939069862	4	2
2014-03-28 17:32:58.477683	67637	46	2	10
2014-03-28 17:32:58.910054	67638	22.9	1	10
2014-03-28 17:33:08.15923	67639	55	2	9
2014-03-28 17:33:08.383116	67640	21.3	1	9
2014-03-28 17:33:08.689626	67641	498	3	2
2014-03-28 17:33:08.921504	67642	1113358.091976429	4	2
2014-03-28 17:33:09.22594	67643	48	2	8
2014-03-28 17:33:09.448824	67644	21.0	1	8
2014-03-28 17:33:20.357227	67645	611	3	2
2014-03-28 17:33:20.590964	67646	1113360.390045872	4	2
2014-03-28 17:33:22.16022	67647	60	2	1
2014-03-28 17:33:22.385122	67648	21.6	1	1
2014-03-28 17:33:32.301354	67649	482	3	2
2014-03-28 17:33:32.547809	67650	1113361.5390805935	4	2
2014-03-28 17:33:37.482007	67651	46	2	10
2014-03-28 17:33:37.786515	67652	22.9	1	10
2014-03-28 17:33:46.939501	67653	55	2	9
2014-03-28 17:33:47.374333	67654	21.3	1	9
2014-03-28 17:33:48.062319	67655	48	2	8
2014-03-28 17:33:48.316906	67656	21.0	1	8
2014-03-28 17:34:01.158185	67657	60	2	1
2014-03-28 17:34:01.425423	67658	21.6	1	1
2014-03-28 17:34:08.300428	67659	434	3	2
2014-03-28 17:34:08.55664	67660	1113366.135219479	4	2
2014-03-28 17:34:16.478023	67661	46	2	10
2014-03-28 17:34:17.060311	67662	22.9	1	10
2014-03-28 17:34:20.355424	67663	434	3	2
2014-03-28 17:34:20.578821	67664	1113367.2842542005	4	2
2014-03-28 17:34:25.962407	67665	55	2	9
2014-03-28 17:34:26.193515	67666	21.3	1	9
2014-03-28 17:34:27.061486	67667	48	2	8
2014-03-28 17:34:27.28508	67668	21.0	1	8
2014-03-28 17:34:32.299656	67669	515	3	2
2014-03-28 17:34:32.532134	67670	1113369.5823236434	4	2
2014-03-28 17:34:40.160324	67671	60	2	1
2014-03-28 17:34:40.383618	67672	21.6	1	1
2014-03-28 17:34:44.30009	67673	515	3	2
2014-03-28 17:34:44.530099	67674	1113370.7313583647	4	2
2014-03-28 17:34:55.478749	67675	46	2	10
2014-03-28 17:34:55.702978	67676	22.9	1	10
2014-03-28 17:35:06.061427	67677	48	2	8
2014-03-28 17:35:06.294095	67678	21.0	1	8
2014-03-28 17:35:08.299907	67679	579	3	2
2014-03-28 17:35:08.522113	67680	1113374.1784625289	4	2
2014-03-28 17:35:19.159621	67681	60	2	1
2014-03-28 17:35:19.391928	67682	21.6	1	1
2014-03-28 17:35:20.334419	67683	579	3	2
2014-03-28 17:35:20.57637	67684	1113376.4765319717	4	2
2014-03-28 17:35:32.300844	67685	547	3	2
2014-03-28 17:35:32.534184	67686	1113378.7746014146	4	2
2014-03-28 17:35:34.480675	67687	46	2	10
2014-03-28 17:35:34.702665	67688	22.9	1	10
2014-03-28 17:35:44.299439	67689	450	3	2
2014-03-28 17:35:44.531236	67690	1113379.923636136	4	2
2014-03-28 17:35:45.061731	67691	48	2	8
2014-03-28 17:35:45.283968	67692	21.0	1	8
2014-03-28 17:35:56.298442	67693	434	3	2
2014-03-28 17:35:56.531095	67694	1113381.0726708574	4	2
2014-03-28 17:35:58.160576	67695	60	2	1
2014-03-28 17:35:58.382319	67696	21.6	1	1
2014-03-28 17:36:13.479515	67697	46	2	10
2014-03-28 17:36:13.723638	67698	22.9	1	10
2014-03-28 17:36:24.06344	67699	49	2	8
2014-03-28 17:36:24.319578	67700	21.0	1	8
2014-03-28 17:36:32.299311	67701	450	3	2
2014-03-28 17:36:32.534241	67702	1113385.6688097431	4	2
2014-03-28 17:36:37.159924	67703	59	2	1
2014-03-28 17:36:37.380312	67704	21.6	1	1
2014-03-28 17:36:52.479486	67705	46	2	10
2014-03-28 17:36:52.71685	67706	22.9	1	10
2014-03-28 17:37:03.061817	67707	49	2	8
2014-03-28 17:37:03.286468	67708	21.1	1	8
2014-03-28 17:37:16.162481	67709	59	2	1
2014-03-28 17:37:16.395779	67710	21.7	1	1
2014-03-28 17:37:31.479298	67711	46	2	10
2014-03-28 17:37:31.701503	67712	22.9	1	10
2014-03-28 17:37:32.300316	67713	450	3	2
2014-03-28 17:37:32.530198	67714	1113393.712052793	4	2
2014-03-28 17:37:42.062464	67715	49	2	8
2014-03-28 17:37:42.291629	67716	21.1	1	8
2014-03-28 17:37:55.15951	67717	59	2	1
2014-03-28 17:37:55.395623	67718	21.7	1	1
2014-03-28 17:38:10.478712	67719	45	2	10
2014-03-28 17:38:10.7001	67720	23.0	1	10
2014-03-28 17:38:21.061803	67721	49	2	8
2014-03-28 17:38:21.293416	67722	21.1	1	8
2014-03-28 17:38:32.297463	67723	450	3	2
2014-03-28 17:38:32.521546	67724	1113400.6062611216	4	2
2014-03-28 17:38:34.15866	67725	59	2	1
2014-03-28 17:38:34.411906	67726	21.7	1	1
2014-03-28 17:38:49.481995	67727	45	2	10
2014-03-28 17:38:49.704061	67728	23.0	1	10
2014-03-28 17:39:00.060795	67729	49	2	8
2014-03-28 17:39:00.293141	67730	21.1	1	8
2014-03-28 17:39:13.15749	67731	59	2	1
2014-03-28 17:39:13.378635	67732	21.7	1	1
2014-03-28 17:39:28.481007	67733	45	2	10
2014-03-28 17:39:28.71417	67734	23.0	1	10
2014-03-28 17:39:32.297704	67735	450	3	2
2014-03-28 17:39:32.519393	67736	1113408.6495041715	4	2
2014-03-28 17:39:39.061995	67737	49	2	8
2014-03-28 17:39:39.294092	67738	21.1	1	8
2014-03-28 17:39:52.157372	67739	59	2	1
2014-03-28 17:39:52.378802	67740	21.7	1	1
2014-03-28 17:40:07.479714	67741	45	2	10
2014-03-28 17:40:07.714589	67742	23.0	1	10
2014-03-28 17:40:18.060467	67743	49	2	8
2014-03-28 17:40:18.283007	67744	21.1	1	8
2014-03-28 17:40:31.157827	67745	59	2	1
2014-03-28 17:40:31.401695	67746	21.8	1	1
2014-03-28 17:40:32.299109	67747	434	3	2
2014-03-28 17:40:32.519727	67748	1113415.5437125	4	2
2014-03-28 17:40:46.478973	67749	45	2	10
2014-03-28 17:40:46.71196	67750	23.0	1	10
2014-03-28 17:40:56.299346	67751	402	3	2
2014-03-28 17:40:56.520927	67752	1113418.9908166642	4	2
2014-03-28 17:40:57.061533	67753	49	2	8
2014-03-28 17:40:57.292199	67754	21.1	1	8
2014-03-28 17:41:08.300115	67755	402	3	2
2014-03-28 17:41:08.521366	67756	1113420.1398513855	4	2
2014-03-28 17:41:10.155646	67757	59	2	1
2014-03-28 17:41:10.38567	67758	21.8	1	1
2014-03-28 17:41:32.296521	67759	402	3	2
2014-03-28 17:41:32.523273	67760	1113422.4379208283	4	2
2014-03-28 17:41:36.062393	67761	49	2	8
2014-03-28 17:41:36.293687	67762	21.1	1	8
2014-03-28 17:41:49.157174	67763	59	2	1
2014-03-28 17:41:49.3774	67764	21.8	1	1
2014-03-28 17:42:04.480058	67765	46	2	10
2014-03-28 17:42:04.711072	67766	23.0	1	10
2014-03-28 17:42:15.062981	67767	49	2	8
2014-03-28 17:42:15.284073	67768	21.1	1	8
2014-03-28 17:42:28.155681	67769	59	2	1
2014-03-28 17:42:28.38758	67770	21.8	1	1
2014-03-28 17:42:32.296982	67771	418	3	2
2014-03-28 17:42:32.518923	67772	1113429.332129157	4	2
2014-03-28 17:42:43.478229	67773	46	2	10
2014-03-28 17:42:43.710375	67774	23.0	1	10
2014-03-28 17:42:54.06007	67775	49	2	8
2014-03-28 17:42:54.284015	67776	21.1	1	8
2014-03-28 17:42:56.298679	67777	370	3	2
2014-03-28 17:42:56.530764	67778	1113431.6346695519	4	2
2014-03-28 17:43:07.152641	67779	59	2	1
2014-03-28 17:43:07.37649	67780	21.8	1	1
2014-03-28 17:43:08.301768	67781	354	3	2
2014-03-28 17:43:08.533415	67782	1113432.7837042734	4	2
2014-03-28 17:43:22.481723	67783	46	2	10
2014-03-28 17:43:22.706225	67784	23.0	1	10
2014-03-28 17:43:32.300076	67785	370	3	2
2014-03-28 17:43:32.53496	67786	1113435.0817737163	4	2
2014-03-28 17:43:33.060934	67787	49	2	8
2014-03-28 17:43:33.283096	67788	21.2	1	8
2014-03-28 17:43:46.154054	67789	59	2	1
2014-03-28 17:43:46.386833	67790	21.9	1	1
2014-03-28 17:44:01.483349	67791	46	2	10
2014-03-28 17:44:01.706947	67792	23.0	1	10
2014-03-28 17:44:12.060516	67793	49	2	8
2014-03-28 17:44:12.303518	67794	21.2	1	8
2014-03-28 17:44:25.19782	67795	59	2	1
2014-03-28 17:44:25.419845	67796	21.9	1	1
2014-03-28 17:44:32.298107	67797	354	3	2
2014-03-28 17:44:32.531719	67798	1113440.8269473233	4	2
2014-03-28 17:44:40.482078	67799	46	2	10
2014-03-28 17:44:40.705679	67800	23.0	1	10
2014-03-28 17:44:51.062062	67801	49	2	8
2014-03-28 17:44:51.293912	67802	21.2	1	8
2014-03-28 17:45:04.153121	67803	59	2	1
2014-03-28 17:45:04.374849	67804	21.9	1	1
2014-03-28 17:45:19.481992	67805	46	2	10
2014-03-28 17:45:19.714922	67806	23.1	1	10
2014-03-28 17:45:30.062166	67807	49	2	8
2014-03-28 17:45:30.284944	67808	21.2	1	8
2014-03-28 17:45:32.296334	67809	354	3	2
2014-03-28 17:45:32.527306	67810	1113446.5721209303	4	2
2014-03-28 17:45:43.15249	67811	59	2	1
2014-03-28 17:45:43.374788	67812	21.9	1	1
2014-03-28 17:45:58.482729	67813	46	2	10
2014-03-28 17:45:58.71386	67814	23.1	1	10
2014-03-28 17:46:09.062053	67815	49	2	8
2014-03-28 17:46:09.286009	67816	21.2	1	8
2014-03-28 17:46:22.152258	67817	59	2	1
2014-03-28 17:46:22.383796	67818	21.9	1	1
2014-03-28 17:46:32.295493	67819	354	3	2
2014-03-28 17:46:32.519407	67820	1113452.3172945373	4	2
2014-03-28 17:46:37.482243	67821	46	2	10
2014-03-28 17:46:37.717585	67822	23.1	1	10
2014-03-28 17:46:48.062331	67823	49	2	8
2014-03-28 17:46:48.284789	67824	21.2	1	8
2014-03-28 17:47:01.15028	67825	59	2	1
2014-03-28 17:47:01.381544	67826	21.9	1	1
2014-03-28 17:47:16.485072	67827	46	2	10
2014-03-28 17:47:16.709883	67828	23.1	1	10
2014-03-28 17:47:27.063525	67829	49	2	8
2014-03-28 17:47:27.295684	67830	21.2	1	8
2014-03-28 17:47:32.299218	67831	354	3	2
2014-03-28 17:47:32.524955	67832	1113458.0624681446	4	2
2014-03-28 17:47:40.156297	67833	59	2	1
2014-03-28 17:47:40.389345	67834	21.9	1	1
2014-03-28 17:47:55.480662	67835	46	2	10
2014-03-28 17:47:55.704063	67836	23.1	1	10
2014-03-28 17:47:56.29919	67837	418	3	2
2014-03-28 17:47:56.52993	67838	1113461.5095723087	4	2
2014-03-28 17:48:06.062355	67839	49	2	8
2014-03-28 17:48:06.288013	67840	21.2	1	8
2014-03-28 17:48:08.296138	67841	418	3	2
2014-03-28 17:48:08.538851	67842	1113462.65860703	4	2
2014-03-28 17:48:19.152299	67843	58	2	1
2014-03-28 17:48:19.376504	67844	22.0	1	1
2014-03-28 17:48:32.299536	67845	418	3	2
2014-03-28 17:48:32.716445	67846	1113464.956676473	4	2
2014-03-28 17:48:34.4839	67847	46	2	10
2014-03-28 17:48:34.711013	67848	23.1	1	10
2014-03-28 17:48:45.060213	67849	49	2	8
2014-03-28 17:48:45.28461	67850	21.2	1	8
2014-03-28 17:48:58.148188	67851	58	2	1
2014-03-28 17:48:58.381054	67852	22.0	1	1
2014-03-28 17:49:13.487373	67853	46	2	10
2014-03-28 17:49:13.708276	67854	23.1	1	10
2014-03-28 17:49:24.060033	67855	49	2	8
2014-03-28 17:49:24.2921	67856	21.2	1	8
2014-03-28 17:49:32.298231	67857	418	3	2
2014-03-28 17:49:32.521617	67858	1113471.8508848015	4	2
2014-03-28 17:49:37.150013	67859	58	2	1
2014-03-28 17:49:37.382373	67860	22.0	1	1
2014-03-28 17:49:52.48418	67861	46	2	10
2014-03-28 17:49:52.70482	67862	23.1	1	10
2014-03-28 17:50:03.060607	67863	49	2	8
2014-03-28 17:50:03.293774	67864	21.2	1	8
2014-03-28 17:50:16.15193	67865	58	2	1
2014-03-28 17:50:16.373934	67866	22.0	1	1
2014-03-28 17:50:31.483698	67867	46	2	10
2014-03-28 17:50:31.715922	67868	23.1	1	10
2014-03-28 17:50:32.297816	67869	418	3	2
2014-03-28 17:50:32.518821	67870	1113478.74509313	4	2
2014-03-28 17:50:42.060255	67871	49	2	8
2014-03-28 17:50:42.291574	67872	21.2	1	8
2014-03-28 17:50:55.150048	67873	58	2	1
2014-03-28 17:50:55.37168	67874	22.0	1	1
2014-03-28 17:51:10.484437	67875	46	2	10
2014-03-28 17:51:10.716362	67876	23.1	1	10
2014-03-28 17:51:21.061591	67877	49	2	8
2014-03-28 17:51:21.284156	67878	21.2	1	8
2014-03-28 17:51:32.297571	67879	418	3	2
2014-03-28 17:51:32.530156	67880	1113485.6393014584	4	2
2014-03-28 17:51:34.151135	67881	58	2	1
2014-03-28 17:51:34.373299	67882	22.0	1	1
2014-03-28 17:51:49.48264	67883	46	2	10
2014-03-28 17:51:49.714628	67884	23.1	1	10
2014-03-28 17:52:00.26644	67885	49	2	8
2014-03-28 17:52:00.489392	67886	21.3	1	8
2014-03-28 17:52:13.152833	67887	58	2	1
2014-03-28 17:52:13.382183	67888	22.0	1	1
2014-03-28 17:52:28.482319	67889	46	2	10
2014-03-28 17:52:28.70381	67890	23.1	1	10
2014-03-28 17:52:32.29636	67891	418	3	2
2014-03-28 17:52:32.540125	67892	1113493.6825445083	4	2
2014-03-28 17:52:39.061956	67893	49	2	8
2014-03-28 17:52:39.285172	67894	21.3	1	8
2014-03-28 17:52:52.149624	67895	58	2	1
2014-03-28 17:52:52.38233	67896	22.0	1	1
2014-03-28 17:53:07.483044	67897	46	2	10
2014-03-28 17:53:07.703788	67898	23.1	1	10
2014-03-28 17:53:18.059926	67899	49	2	8
2014-03-28 17:53:18.31303	67900	21.3	1	8
2014-03-28 17:53:31.151973	67901	58	2	1
2014-03-28 17:53:31.373507	67902	22.0	1	1
2014-03-28 17:53:32.296251	67903	418	3	2
2014-03-28 17:53:32.52718	67904	1113500.5767528368	4	2
2014-03-28 17:53:46.482503	67905	46	2	10
2014-03-28 17:53:46.703491	67906	23.1	1	10
2014-03-28 17:53:57.061326	67907	49	2	8
2014-03-28 17:53:57.294836	67908	21.3	1	8
2014-03-28 17:54:08.295502	67909	354	3	2
2014-03-28 17:54:08.516882	67910	1113504.023857001	4	2
2014-03-28 17:54:10.148924	67911	58	2	1
2014-03-28 17:54:10.381801	67912	22.0	1	1
2014-03-28 17:54:20.296408	67913	354	3	2
2014-03-28 17:54:20.51985	67914	1113505.1728917225	4	2
2014-03-28 17:54:25.485072	67915	46	2	10
2014-03-28 17:54:25.72271	67916	23.1	1	10
2014-03-28 17:54:32.294364	67917	354	3	2
2014-03-28 17:54:32.518922	67918	1113506.3219264438	4	2
2014-03-28 17:54:36.062454	67919	50	2	8
2014-03-28 17:54:36.293952	67920	21.3	1	8
2014-03-28 17:54:49.149143	67921	58	2	1
2014-03-28 17:54:49.369747	67922	22.1	1	1
2014-03-28 17:55:04.487159	67923	46	2	10
2014-03-28 17:55:04.718453	67924	23.2	1	10
2014-03-28 17:55:15.061747	67925	50	2	8
2014-03-28 17:55:15.284034	67926	21.3	1	8
2014-03-28 17:55:28.143907	67927	58	2	1
2014-03-28 17:55:28.375975	67928	22.1	1	1
2014-03-28 17:55:32.295277	67929	354	3	2
2014-03-28 17:55:32.516102	67930	1113512.067100051	4	2
2014-03-28 17:55:43.483972	67931	46	2	10
2014-03-28 17:55:43.717155	67932	23.2	1	10
2014-03-28 17:55:54.06198	67933	50	2	8
2014-03-28 17:55:54.283728	67934	21.3	1	8
2014-03-28 17:56:07.146544	67935	58	2	1
2014-03-28 17:56:07.377565	67936	22.1	1	1
2014-03-28 17:56:22.48535	67937	46	2	10
2014-03-28 17:56:22.709387	67938	23.2	1	10
2014-03-28 17:56:32.296928	67939	354	3	2
2014-03-28 17:56:32.539174	67940	1113518.9613083794	4	2
2014-03-28 17:56:33.060761	67941	50	2	8
2014-03-28 17:56:33.283934	67942	21.3	1	8
2014-03-28 17:56:46.149383	67943	58	2	1
2014-03-28 17:56:46.381628	67944	22.1	1	1
2014-03-28 17:57:01.486007	67945	46	2	10
2014-03-28 17:57:01.705189	67946	23.2	1	10
2014-03-28 17:57:12.060624	67947	50	2	8
2014-03-28 17:57:12.29326	67948	21.3	1	8
2014-03-28 17:57:25.189944	67949	58	2	1
2014-03-28 17:57:25.410609	67950	22.1	1	1
2014-03-28 17:57:32.294873	67951	354	3	2
2014-03-28 17:57:32.526613	67952	1113524.7064819864	4	2
2014-03-28 17:57:40.484749	67953	46	2	10
2014-03-28 17:57:40.711238	67954	23.2	1	10
2014-03-28 17:57:51.062204	67955	50	2	8
2014-03-28 17:57:51.293462	67956	21.3	1	8
2014-03-28 17:58:04.143873	67957	58	2	1
2014-03-28 17:58:04.366596	67958	22.1	1	1
2014-03-28 17:58:19.48602	67959	46	2	10
2014-03-28 17:58:19.717093	67960	23.2	1	10
2014-03-28 17:58:30.062022	67961	50	2	8
2014-03-28 17:58:30.285059	67962	21.3	1	8
2014-03-28 17:58:32.295505	67963	354	3	2
2014-03-28 17:58:32.524739	67964	1113530.4516555937	4	2
2014-03-28 17:58:43.147452	67965	58	2	1
2014-03-28 17:58:43.369501	67966	22.1	1	1
2014-03-28 17:58:58.484798	67967	46	2	10
2014-03-28 17:58:58.717688	67968	23.2	1	10
2014-03-28 17:59:09.062075	67969	50	2	8
2014-03-28 17:59:09.285886	67970	21.3	1	8
2014-03-28 17:59:22.145516	67971	57	2	1
2014-03-28 17:59:22.378022	67972	22.1	1	1
2014-03-28 17:59:32.295525	67973	354	3	2
2014-03-28 17:59:32.51849	67974	1113536.1968292007	4	2
2014-03-28 17:59:37.690227	67975	46	2	10
2014-03-28 17:59:37.926908	67976	23.2	1	10
2014-03-28 17:59:48.118436	67977	50	2	8
2014-03-28 17:59:48.341427	67978	21.3	1	8
2014-03-28 18:00:01.143575	67979	57	2	1
2014-03-28 18:00:01.37755	67980	22.1	1	1
2014-03-28 18:00:16.488326	67981	46	2	10
2014-03-28 18:00:16.710598	67982	23.2	1	10
2014-03-28 18:00:27.062213	67983	50	2	8
2014-03-28 18:00:27.294118	67984	21.3	1	8
2014-03-28 18:00:32.295512	67985	354	3	2
2014-03-28 18:00:32.524063	67986	1113541.9420028077	4	2
2014-03-28 18:00:40.140847	67987	57	2	1
2014-03-28 18:00:40.385671	67988	22.1	1	1
2014-03-28 18:00:55.487775	67989	46	2	10
2014-03-28 18:00:55.711532	67990	23.2	1	10
2014-03-28 18:01:06.061904	67991	50	2	8
2014-03-28 18:01:06.293358	67992	21.3	1	8
2014-03-28 18:01:19.140815	67993	57	2	1
2014-03-28 18:01:19.362203	67994	22.2	1	1
2014-03-28 18:01:20.297003	67995	434	3	2
2014-03-28 18:01:20.526782	67996	1113547.6871764148	4	2
2014-03-28 18:01:32.294945	67997	418	3	2
2014-03-28 18:01:32.516723	67998	1113548.8362111363	4	2
2014-03-28 18:01:34.486049	67999	46	2	10
2014-03-28 18:01:34.719363	68000	23.2	1	10
2014-03-28 18:01:45.062537	68001	50	2	8
2014-03-28 18:01:45.283534	68002	21.4	1	8
2014-03-28 18:01:58.381313	68003	57	2	1
2014-03-28 18:01:58.611553	68004	22.2	1	1
2014-03-28 18:02:13.485363	68005	46	2	10
2014-03-28 18:02:13.707039	68006	23.2	1	10
2014-03-28 18:02:24.061634	68007	50	2	8
2014-03-28 18:02:24.316105	68008	21.4	1	8
2014-03-28 18:02:32.295516	68009	418	3	2
2014-03-28 18:02:32.517658	68010	1113555.7304194646	4	2
2014-03-28 18:02:37.144141	68011	57	2	1
2014-03-28 18:02:37.386622	68012	22.2	1	1
2014-03-28 18:02:52.488063	68013	46	2	10
2014-03-28 18:02:52.708645	68014	23.2	1	10
2014-03-28 18:03:03.062106	68015	50	2	8
2014-03-28 18:03:03.295865	68016	21.4	1	8
2014-03-28 18:03:16.149151	68017	57	2	1
2014-03-28 18:03:16.370841	68018	22.2	1	1
2014-03-28 18:03:31.488592	68019	46	2	10
2014-03-28 18:03:31.720752	68020	23.2	1	10
2014-03-28 18:03:32.29434	68021	418	3	2
2014-03-28 18:03:32.51865	68022	1113562.6246277932	4	2
2014-03-28 18:03:42.063306	68023	50	2	8
2014-03-28 18:03:42.293371	68024	21.4	1	8
2014-03-28 18:03:55.14368	68025	57	2	1
2014-03-28 18:03:55.366273	68026	22.2	1	1
2014-03-28 18:04:10.487078	68027	46	2	10
2014-03-28 18:04:10.718812	68028	23.3	1	10
2014-03-28 18:04:21.0624	68029	50	2	8
2014-03-28 18:04:21.286909	68030	21.4	1	8
2014-03-28 18:04:32.297811	68031	418	3	2
2014-03-28 18:04:32.529078	68032	1113569.5188361218	4	2
2014-03-28 18:04:34.138916	68033	57	2	1
2014-03-28 18:04:34.361735	68034	22.2	1	1
2014-03-28 18:04:49.692384	68035	46	2	10
2014-03-28 18:04:49.935526	68036	23.3	1	10
2014-03-28 18:05:00.060707	68037	50	2	8
2014-03-28 18:05:00.284836	68038	21.4	1	8
2014-03-28 18:05:13.140173	68039	57	2	1
2014-03-28 18:05:13.374749	68040	22.2	1	1
2014-03-28 18:05:28.490951	68041	46	2	10
2014-03-28 18:05:28.712811	68042	23.3	1	10
2014-03-28 18:05:32.295592	68043	418	3	2
2014-03-28 18:05:32.529424	68044	1113576.4130444503	4	2
2014-03-28 18:05:39.064225	68045	50	2	8
2014-03-28 18:05:39.28534	68046	21.4	1	8
2014-03-28 18:05:52.142228	68047	57	2	1
2014-03-28 18:05:52.37605	68048	22.2	1	1
2014-03-28 18:06:07.491252	68049	46	2	10
2014-03-28 18:06:07.713644	68050	23.3	1	10
2014-03-28 18:06:18.06087	68051	50	2	8
2014-03-28 18:06:18.292967	68052	21.4	1	8
2014-03-28 18:06:31.140136	68053	57	2	1
2014-03-28 18:06:31.362352	68054	22.2	1	1
2014-03-28 18:06:32.296036	68055	418	3	2
2014-03-28 18:06:32.527304	68056	1113583.3072527787	4	2
2014-03-28 18:06:46.489552	68057	46	2	10
2014-03-28 18:06:46.713459	68058	23.3	1	10
2014-03-28 18:06:57.061926	68059	50	2	8
2014-03-28 18:06:57.29438	68060	21.4	1	8
2014-03-28 18:07:08.296057	68061	370	3	2
2014-03-28 18:07:08.518553	68062	1113587.9033916644	4	2
2014-03-28 18:07:10.14221	68063	57	2	1
2014-03-28 18:07:10.372369	68064	22.2	1	1
2014-03-28 18:07:20.293031	68065	370	3	2
2014-03-28 18:07:20.514867	68066	1113589.0524263857	4	2
2014-03-28 18:07:25.487852	68067	46	2	10
2014-03-28 18:07:25.724959	68068	23.3	1	10
2014-03-28 18:07:32.295215	68069	354	3	2
2014-03-28 18:07:32.516593	68070	1113590.2014611072	4	2
2014-03-28 18:07:36.061374	68071	50	2	8
2014-03-28 18:07:36.291484	68072	21.4	1	8
2014-03-28 18:07:49.140142	68073	57	2	1
2014-03-28 18:07:49.364225	68074	22.3	1	1
2014-03-28 18:08:04.488072	68075	46	2	10
2014-03-28 18:08:04.719385	68076	23.3	1	10
2014-03-28 18:08:15.061132	68077	50	2	8
2014-03-28 18:08:15.283252	68078	21.4	1	8
2014-03-28 18:08:20.29544	68079	434	3	2
2014-03-28 18:08:20.550002	68080	1113595.9466347143	4	2
2014-03-28 18:08:28.139861	68081	57	2	1
2014-03-28 18:08:28.361012	68082	22.3	1	1
2014-03-28 18:08:32.297163	68083	450	3	2
2014-03-28 18:08:32.539361	68084	1113598.244704157	4	2
2014-03-28 18:08:43.488727	68085	46	2	10
2014-03-28 18:08:43.711609	68086	23.3	1	10
2014-03-28 18:08:54.06222	68087	50	2	8
2014-03-28 18:08:54.293713	68088	21.4	1	8
2014-03-28 18:09:07.143439	68089	57	2	1
2014-03-28 18:09:07.365628	68090	22.3	1	1
2014-03-28 18:09:22.487405	68091	46	2	10
2014-03-28 18:09:22.717363	68092	23.3	1	10
2014-03-28 18:09:32.294965	68093	450	3	2
2014-03-28 18:09:32.51473	68094	1113605.1389124857	4	2
2014-03-28 18:09:33.061284	68095	50	2	8
2014-03-28 18:09:33.293133	68096	21.4	1	8
2014-03-28 18:09:46.137461	68097	57	2	1
2014-03-28 18:09:46.363733	68098	22.3	1	1
2014-03-28 18:10:01.489274	68099	46	2	10
2014-03-28 18:10:01.720175	68100	23.3	1	10
2014-03-28 18:10:12.061467	68101	50	2	8
2014-03-28 18:10:12.284488	68102	21.4	1	8
2014-03-28 18:10:25.138808	68103	57	2	1
2014-03-28 18:10:25.373703	68104	22.3	1	1
2014-03-28 18:10:32.297059	68105	450	3	2
2014-03-28 18:10:32.519822	68106	1113613.1821555356	4	2
2014-03-28 18:10:40.489736	68107	46	2	10
2014-03-28 18:10:40.721638	68108	23.3	1	10
2014-03-28 18:10:51.061224	68109	50	2	8
2014-03-28 18:10:51.282121	68110	21.4	1	8
2014-03-28 18:11:04.136393	68111	57	2	1
2014-03-28 18:11:04.367155	68112	22.3	1	1
2014-03-28 18:11:19.492205	68113	46	2	10
2014-03-28 18:11:19.716454	68114	23.3	1	10
2014-03-28 18:11:30.267348	68115	50	2	8
2014-03-28 18:11:30.520082	68116	21.4	1	8
2014-03-28 18:11:32.293934	68117	434	3	2
2014-03-28 18:11:32.517825	68118	1113620.076363864	4	2
2014-03-28 18:11:43.138886	68119	57	2	1
2014-03-28 18:11:43.369739	68120	22.3	1	1
2014-03-28 18:11:58.490521	68121	46	2	10
2014-03-28 18:11:58.713408	68122	23.3	1	10
2014-03-28 18:12:09.061384	68123	50	2	8
2014-03-28 18:12:09.293643	68124	21.5	1	8
2014-03-28 18:12:22.135237	68125	57	2	1
2014-03-28 18:12:22.356895	68126	22.3	1	1
2014-03-28 18:12:32.29674	68127	434	3	2
2014-03-28 18:12:32.526891	68128	1113628.119606914	4	2
2014-03-28 18:12:37.4917	68129	46	2	10
2014-03-28 18:12:37.717299	68130	23.3	1	10
2014-03-28 18:12:48.060293	68131	50	2	8
2014-03-28 18:12:48.311469	68132	21.5	1	8
2014-03-28 18:13:01.138825	68133	57	2	1
2014-03-28 18:13:01.359308	68134	22.3	1	1
2014-03-28 18:13:16.490231	68135	46	2	10
2014-03-28 18:13:16.721516	68136	23.3	1	10
2014-03-28 18:13:27.06531	68137	50	2	8
2014-03-28 18:13:27.286901	68138	21.5	1	8
2014-03-28 18:13:32.296468	68139	434	3	2
2014-03-28 18:13:32.533468	68140	1113635.0138152423	4	2
2014-03-28 18:13:40.134226	68141	57	2	1
2014-03-28 18:13:40.355631	68142	22.3	1	1
2014-03-28 18:13:55.490975	68143	46	2	10
2014-03-28 18:13:55.721798	68144	23.3	1	10
2014-03-28 18:14:06.062479	68145	50	2	8
2014-03-28 18:14:06.285341	68146	21.5	1	8
2014-03-28 18:14:19.140008	68147	57	2	1
2014-03-28 18:14:19.375535	68148	22.3	1	1
2014-03-28 18:14:20.293548	68149	482	3	2
2014-03-28 18:14:20.515752	68150	1113640.7589888494	4	2
2014-03-28 18:14:32.295716	68151	482	3	2
2014-03-28 18:14:32.528303	68152	1113643.0570582922	4	2
2014-03-28 18:14:34.488813	68153	46	2	10
2014-03-28 18:14:34.709529	68154	23.3	1	10
2014-03-28 18:14:45.061403	68155	50	2	8
2014-03-28 18:14:45.296918	68156	21.5	1	8
2014-03-28 18:14:58.13824	68157	57	2	1
2014-03-28 18:14:58.368865	68158	22.3	1	1
2014-03-28 18:15:13.693038	68159	46	2	10
2014-03-28 18:15:13.925442	68160	23.4	1	10
2014-03-28 18:15:24.060747	68161	50	2	8
2014-03-28 18:15:24.283857	68162	21.5	1	8
2014-03-28 18:15:32.29581	68163	482	3	2
2014-03-28 18:15:32.527687	68164	1113651.100301342	4	2
2014-03-28 18:15:37.137336	68165	57	2	1
2014-03-28 18:15:37.361684	68166	22.4	1	1
2014-03-28 18:15:52.490864	68167	46	2	10
2014-03-28 18:15:52.722669	68168	23.4	1	10
2014-03-28 18:16:03.059996	68169	50	2	8
2014-03-28 18:16:03.283871	68170	21.5	1	8
2014-03-28 18:16:16.13709	68171	57	2	1
2014-03-28 18:16:16.367869	68172	22.4	1	1
2014-03-28 18:16:31.492661	68173	46	2	10
2014-03-28 18:16:31.715834	68174	23.4	1	10
2014-03-28 18:16:32.29448	68175	482	3	2
2014-03-28 18:16:32.528329	68176	1113659.1435443922	4	2
2014-03-28 18:16:42.059783	68177	50	2	8
2014-03-28 18:16:42.282541	68178	21.5	1	8
2014-03-28 18:16:55.135471	68179	57	2	1
2014-03-28 18:16:55.37932	68180	22.4	1	1
2014-03-28 18:17:10.491917	68181	46	2	10
2014-03-28 18:17:10.716671	68182	23.4	1	10
2014-03-28 18:17:21.061632	68183	50	2	8
2014-03-28 18:17:21.293671	68184	21.5	1	8
2014-03-28 18:17:32.296878	68185	482	3	2
2014-03-28 18:17:32.518675	68186	1113667.186787442	4	2
2014-03-28 18:17:34.132649	68187	57	2	1
2014-03-28 18:17:34.364072	68188	22.4	1	1
2014-03-28 18:17:49.48938	68189	47	2	10
2014-03-28 18:17:49.715273	68190	23.4	1	10
2014-03-28 18:18:00.060952	68191	50	2	8
2014-03-28 18:18:00.292785	68192	21.5	1	8
2014-03-28 18:18:13.136744	68193	57	2	1
2014-03-28 18:18:13.35804	68194	22.4	1	1
2014-03-28 18:18:28.492103	68195	47	2	10
2014-03-28 18:18:28.732228	68196	23.4	1	10
2014-03-28 18:18:32.295965	68197	482	3	2
2014-03-28 18:18:32.515708	68198	1113675.230030492	4	2
2014-03-28 18:18:39.059826	68199	50	2	8
2014-03-28 18:18:39.292108	68200	21.5	1	8
2014-03-28 18:18:52.134633	68201	57	2	1
2014-03-28 18:18:52.355969	68202	22.4	1	1
2014-03-28 18:19:07.491464	68203	47	2	10
2014-03-28 18:19:07.723251	68204	23.4	1	10
2014-03-28 18:19:18.062909	68205	50	2	8
2014-03-28 18:19:18.284765	68206	21.5	1	8
2014-03-28 18:19:31.131624	68207	57	2	1
2014-03-28 18:19:31.36339	68208	22.4	1	1
2014-03-28 18:19:32.293121	68209	466	3	2
2014-03-28 18:19:32.514369	68210	1113683.2732735418	4	2
2014-03-28 18:19:46.492744	68211	47	2	10
2014-03-28 18:19:46.723191	68212	23.4	1	10
2014-03-28 18:19:56.295213	68213	418	3	2
2014-03-28 18:19:56.517248	68214	1113685.5713429847	4	2
2014-03-28 18:19:57.062492	68215	50	2	8
2014-03-28 18:19:57.293609	68216	21.5	1	8
2014-03-28 18:20:08.29279	68217	434	3	2
2014-03-28 18:20:08.515465	68218	1113687.8694124275	4	2
2014-03-28 18:20:10.136422	68219	57	2	1
2014-03-28 18:20:10.368277	68220	22.4	1	1
2014-03-28 18:20:25.492962	68221	47	2	10
2014-03-28 18:20:25.7169	68222	23.4	1	10
2014-03-28 18:20:32.297962	68223	434	3	2
2014-03-28 18:20:32.530658	68224	1113690.1674818704	4	2
2014-03-28 18:20:36.060894	68225	50	2	8
2014-03-28 18:20:36.28458	68226	21.5	1	8
2014-03-28 18:20:49.133504	68227	57	2	1
2014-03-28 18:20:49.377216	68228	22.4	1	1
2014-03-28 18:21:04.492802	68229	47	2	10
2014-03-28 18:21:04.71738	68230	23.4	1	10
2014-03-28 18:21:15.060187	68231	50	2	8
2014-03-28 18:21:15.291997	68232	21.5	1	8
2014-03-28 18:21:28.134091	68233	57	2	1
2014-03-28 18:21:28.357636	68234	22.4	1	1
2014-03-28 18:21:32.292682	68235	434	3	2
2014-03-28 18:21:32.524198	68236	1113697.0616901987	4	2
2014-03-28 18:21:43.495642	68237	47	2	10
2014-03-28 18:21:43.717431	68238	23.4	1	10
2014-03-28 18:21:54.06191	68239	50	2	8
2014-03-28 18:21:54.29616	68240	21.5	1	8
2014-03-28 18:22:07.13146	68241	57	2	1
2014-03-28 18:22:07.353601	68242	22.4	1	1
2014-03-28 18:22:22.493403	68243	47	2	10
2014-03-28 18:22:22.727049	68244	23.4	1	10
2014-03-28 18:22:32.293353	68245	370	3	2
2014-03-28 18:22:32.515444	68246	1113705.1049332486	4	2
2014-03-28 18:22:33.062936	68247	50	2	8
2014-03-28 18:22:33.293724	68248	21.6	1	8
2014-03-28 18:22:44.29355	68249	370	3	2
2014-03-28 18:22:44.516546	68250	1113706.2539679701	4	2
2014-03-28 18:22:46.133521	68251	57	2	1
2014-03-28 18:22:46.362967	68252	22.4	1	1
2014-03-28 18:23:01.492546	68253	47	2	10
2014-03-28 18:23:01.716375	68254	23.4	1	10
2014-03-28 18:23:12.062929	68255	50	2	8
2014-03-28 18:23:12.294538	68256	21.6	1	8
2014-03-28 18:23:25.132098	68257	57	2	1
2014-03-28 18:23:25.353644	68258	22.5	1	1
2014-03-28 18:23:40.29504	68259	370	3	2
2014-03-28 18:23:40.526532	68260	1113710.8501068559	4	2
2014-03-28 18:23:40.833733	68261	47	2	10
2014-03-28 18:23:41.054342	68262	23.4	1	10
2014-03-28 18:23:51.061859	68263	51	2	8
2014-03-28 18:23:51.293322	68264	21.6	1	8
2014-03-28 18:24:04.130335	68265	57	2	1
2014-03-28 18:24:04.353186	68266	22.5	1	1
2014-03-28 18:24:19.492008	68267	47	2	10
2014-03-28 18:24:19.72392	68268	23.4	1	10
2014-03-28 18:24:30.06161	68269	51	2	8
2014-03-28 18:24:30.283256	68270	21.6	1	8
2014-03-28 18:24:32.296189	68271	354	3	2
2014-03-28 18:24:32.526931	68272	1113716.5952804629	4	2
2014-03-28 18:24:43.129786	68273	57	2	1
2014-03-28 18:24:43.351131	68274	22.5	1	1
2014-03-28 18:24:58.494324	68275	47	2	10
2014-03-28 18:24:58.737204	68276	23.4	1	10
2014-03-28 18:25:09.063	68277	51	2	8
2014-03-28 18:25:09.283535	68278	21.6	1	8
2014-03-28 18:25:22.186361	68279	57	2	1
2014-03-28 18:25:22.417694	68280	22.5	1	1
2014-03-28 18:25:32.294694	68281	370	3	2
2014-03-28 18:25:32.51696	68282	1113723.4894887914	4	2
2014-03-28 18:25:37.494158	68283	47	2	10
2014-03-28 18:25:37.729844	68284	23.4	1	10
2014-03-28 18:25:48.063051	68285	51	2	8
2014-03-28 18:25:48.285297	68286	21.6	1	8
2014-03-28 18:26:01.130392	68287	57	2	1
2014-03-28 18:26:01.36423	68288	22.5	1	1
2014-03-28 18:26:16.493613	68289	47	2	10
2014-03-28 18:26:16.714413	68290	23.5	1	10
2014-03-28 18:26:27.061268	68291	51	2	8
2014-03-28 18:26:27.300055	68292	21.6	1	8
2014-03-28 18:26:32.29384	68293	354	3	2
2014-03-28 18:26:32.52117	68294	1113728.0900986292	4	2
2014-03-28 18:26:40.130782	68295	57	2	1
2014-03-28 18:26:40.363662	68296	22.5	1	1
2014-03-28 18:26:55.495381	68297	47	2	10
2014-03-28 18:26:55.716713	68298	23.5	1	10
2014-03-28 18:26:56.291561	68299	402	3	2
2014-03-28 18:26:56.52401	68300	1113730.388168072	4	2
2014-03-28 18:27:06.060529	68301	51	2	8
2014-03-28 18:27:06.282486	68302	21.6	1	8
2014-03-28 18:27:08.292556	68303	418	3	2
2014-03-28 18:27:08.523948	68304	1113731.5372027934	4	2
2014-03-28 18:27:19.133101	68305	57	2	1
2014-03-28 18:27:19.355199	68306	22.5	1	1
2014-03-28 18:27:32.292865	68307	402	3	2
2014-03-28 18:27:32.525343	68308	1113734.9843069578	4	2
2014-03-28 18:27:34.497553	68309	47	2	10
2014-03-28 18:27:34.718541	68310	23.5	1	10
2014-03-28 18:27:45.062723	68311	51	2	8
2014-03-28 18:27:45.296071	68312	21.6	1	8
2014-03-28 18:27:58.13019	68313	57	2	1
2014-03-28 18:27:58.353218	68314	22.5	1	1
2014-03-28 18:28:13.49395	68315	47	2	10
2014-03-28 18:28:13.727853	68316	23.5	1	10
2014-03-28 18:28:24.060488	68317	51	2	8
2014-03-28 18:28:24.282649	68318	21.6	1	8
2014-03-28 18:28:32.297961	68319	418	3	2
2014-03-28 18:28:32.529481	68320	1113741.8785152861	4	2
2014-03-28 18:28:37.125845	68321	57	2	1
2014-03-28 18:28:37.350147	68322	22.5	1	1
2014-03-28 18:28:52.495033	68323	47	2	10
2014-03-28 18:28:52.741305	68324	23.5	1	10
2014-03-28 18:29:03.061568	68325	51	2	8
2014-03-28 18:29:03.283539	68326	21.6	1	8
2014-03-28 18:29:16.128489	68327	57	2	1
2014-03-28 18:29:16.359099	68328	22.5	1	1
2014-03-28 18:29:31.495573	68329	47	2	10
2014-03-28 18:29:31.716567	68330	23.5	1	10
2014-03-28 18:29:32.293754	68331	418	3	2
2014-03-28 18:29:32.525815	68332	1113748.7727236147	4	2
2014-03-28 18:29:42.061961	68333	51	2	8
2014-03-28 18:29:42.283562	68334	21.6	1	8
2014-03-28 18:29:55.127067	68335	57	2	1
2014-03-28 18:29:55.359322	68336	22.5	1	1
2014-03-28 18:30:10.495362	68337	47	2	10
2014-03-28 18:30:10.717358	68338	23.5	1	10
2014-03-28 18:30:21.06272	68339	51	2	8
2014-03-28 18:30:21.294351	68340	21.6	1	8
2014-03-28 18:30:32.293908	68341	418	3	2
2014-03-28 18:30:32.516647	68342	1113755.6669319433	4	2
2014-03-28 18:30:34.126454	68343	57	2	1
2014-03-28 18:30:34.358592	68344	22.5	1	1
2014-03-28 18:30:49.494869	68345	47	2	10
2014-03-28 18:30:49.717876	68346	23.5	1	10
2014-03-28 18:31:00.061539	68347	51	2	8
2014-03-28 18:31:00.294122	68348	21.6	1	8
2014-03-28 18:31:13.127017	68349	57	2	1
2014-03-28 18:31:13.351402	68350	22.5	1	1
2014-03-28 18:31:28.495962	68351	47	2	10
2014-03-28 18:31:28.726583	68352	23.5	1	10
2014-03-28 18:31:32.297453	68353	418	3	2
2014-03-28 18:31:32.52119	68354	1113762.5611402716	4	2
2014-03-28 18:31:39.06156	68355	51	2	8
2014-03-28 18:31:39.295224	68356	21.6	1	8
2014-03-28 18:31:52.125222	68357	57	2	1
2014-03-28 18:31:52.352323	68358	22.5	1	1
2014-03-28 18:32:07.49706	68359	47	2	10
2014-03-28 18:32:07.727611	68360	23.5	1	10
2014-03-28 18:32:18.061777	68361	51	2	8
2014-03-28 18:32:18.283583	68362	21.6	1	8
2014-03-28 18:32:31.12546	68363	57	2	1
2014-03-28 18:32:31.357347	68364	22.6	1	1
2014-03-28 18:32:32.293994	68365	418	3	2
2014-03-28 18:32:32.51636	68366	1113769.4553486002	4	2
2014-03-28 18:32:46.499567	68367	47	2	10
2014-03-28 18:32:46.733073	68368	23.5	1	10
2014-03-28 18:32:57.062222	68369	51	2	8
2014-03-28 18:32:57.284203	68370	21.6	1	8
2014-03-28 18:33:08.294449	68371	354	3	2
2014-03-28 18:33:08.539411	68372	1113772.9024527643	4	2
2014-03-28 18:33:10.123851	68373	56	2	1
2014-03-28 18:33:10.345136	68374	22.6	1	1
2014-03-28 18:33:20.293219	68375	354	3	2
2014-03-28 18:33:20.525873	68376	1113775.2005222072	4	2
2014-03-28 18:33:25.498851	68377	47	2	10
2014-03-28 18:33:25.727884	68378	23.5	1	10
2014-03-28 18:33:32.293492	68379	370	3	2
2014-03-28 18:33:32.524785	68380	1113776.3495569287	4	2
2014-03-28 18:33:36.266405	68381	51	2	8
2014-03-28 18:33:36.486106	68382	21.6	1	8
2014-03-28 18:33:49.124021	68383	56	2	1
2014-03-28 18:33:49.357075	68384	22.6	1	1
2014-03-28 18:34:04.497968	68385	47	2	10
2014-03-28 18:34:04.72276	68386	23.5	1	10
2014-03-28 18:34:15.062542	68387	51	2	8
2014-03-28 18:34:15.295754	68388	21.7	1	8
2014-03-28 18:34:28.124132	68389	56	2	1
2014-03-28 18:34:28.346382	68390	22.6	1	1
2014-03-28 18:34:32.295649	68391	370	3	2
2014-03-28 18:34:32.528698	68392	1113782.0947305358	4	2
2014-03-28 18:34:43.50606	68393	47	2	10
2014-03-28 18:34:43.733704	68394	23.5	1	10
2014-03-28 18:34:54.061328	68395	51	2	8
2014-03-28 18:34:54.299207	68396	21.7	1	8
2014-03-28 18:35:07.124844	68397	56	2	1
2014-03-28 18:35:07.347068	68398	22.6	1	1
2014-03-28 18:35:22.553807	68399	47	2	10
2014-03-28 18:35:22.78733	68400	23.5	1	10
2014-03-28 18:35:32.293009	68401	370	3	2
2014-03-28 18:35:32.515603	68402	1113787.8399041428	4	2
2014-03-28 18:35:33.064138	68403	51	2	8
2014-03-28 18:35:33.294485	68404	21.7	1	8
2014-03-28 18:35:46.128205	68405	56	2	1
2014-03-28 18:35:46.34984	68406	22.6	1	1
2014-03-28 18:36:01.496543	68407	47	2	10
2014-03-28 18:36:01.727613	68408	23.6	1	10
2014-03-28 18:36:12.062701	68409	51	2	8
2014-03-28 18:36:12.286672	68410	21.7	1	8
2014-03-28 18:36:25.122161	68411	56	2	1
2014-03-28 18:36:25.355236	68412	22.6	1	1
2014-03-28 18:36:32.295706	68413	370	3	2
2014-03-28 18:36:32.518995	68414	1113793.5850777498	4	2
2014-03-28 18:36:40.497486	68415	47	2	10
2014-03-28 18:36:40.730216	68416	23.6	1	10
2014-03-28 18:36:51.061395	68417	51	2	8
2014-03-28 18:36:51.284372	68418	21.7	1	8
2014-03-28 18:37:04.119974	68419	56	2	1
2014-03-28 18:37:04.364996	68420	22.6	1	1
2014-03-28 18:37:19.499006	68421	47	2	10
2014-03-28 18:37:19.724269	68422	23.6	1	10
2014-03-28 18:37:30.061053	68423	51	2	8
2014-03-28 18:37:30.293879	68424	21.7	1	8
2014-03-28 18:37:32.294689	68425	354	3	2
2014-03-28 18:37:32.517527	68426	1113799.330251357	4	2
2014-03-28 18:37:43.122339	68427	56	2	1
2014-03-28 18:37:43.466564	68428	22.6	1	1
2014-03-28 18:37:58.500585	68429	47	2	10
2014-03-28 18:37:58.755796	68430	23.6	1	10
2014-03-28 18:38:09.062754	68431	51	2	8
2014-03-28 18:38:09.633977	68432	21.7	1	8
2014-03-28 18:38:22.123139	68433	56	2	1
2014-03-28 18:38:22.379264	68434	22.6	1	1
2014-03-28 18:38:32.293598	68435	354	3	2
2014-03-28 18:38:32.525522	68436	1113806.2244596854	4	2
2014-03-28 18:38:37.498066	68437	47	2	10
2014-03-28 18:38:37.726014	68438	23.6	1	10
2014-03-28 18:38:48.062983	68439	51	2	8
2014-03-28 18:38:48.29514	68440	21.7	1	8
2014-03-28 18:39:01.121844	68441	56	2	1
2014-03-28 18:39:01.343052	68442	22.6	1	1
2014-03-28 18:39:16.497818	68443	47	2	10
2014-03-28 18:39:16.731728	68444	23.6	1	10
2014-03-28 18:39:27.062599	68445	51	2	8
2014-03-28 18:39:27.284978	68446	21.7	1	8
2014-03-28 18:39:32.291025	68447	354	3	2
2014-03-28 18:39:32.521775	68448	1113811.9696332924	4	2
2014-03-28 18:39:40.119674	68449	56	2	1
2014-03-28 18:39:40.343088	68450	22.6	1	1
2014-03-28 18:39:55.497293	68451	47	2	10
2014-03-28 18:39:55.72874	68452	23.6	1	10
2014-03-28 18:40:06.061638	68453	51	2	8
2014-03-28 18:40:06.282677	68454	21.7	1	8
2014-03-28 18:40:19.120261	68455	56	2	1
2014-03-28 18:40:19.351472	68456	22.6	1	1
2014-03-28 18:40:32.295495	68457	402	3	2
2014-03-28 18:40:32.518122	68458	1113817.7148068997	4	2
2014-03-28 18:40:34.499322	68459	47	2	10
2014-03-28 18:40:34.729661	68460	23.6	1	10
2014-03-28 18:40:44.293927	68461	418	3	2
2014-03-28 18:40:44.516281	68462	1113818.863841621	4	2
2014-03-28 18:40:45.063062	68463	51	2	8
2014-03-28 18:40:45.293504	68464	21.7	1	8
2014-03-28 18:40:58.122427	68465	56	2	1
2014-03-28 18:40:58.344214	68466	22.6	1	1
2014-03-28 18:41:13.499836	68467	47	2	10
2014-03-28 18:41:13.742771	68468	23.6	1	10
2014-03-28 18:41:24.060403	68469	51	2	8
2014-03-28 18:41:24.28406	68470	21.7	1	8
2014-03-28 18:41:32.291639	68471	418	3	2
2014-03-28 18:41:32.523705	68472	1113824.609015228	4	2
2014-03-28 18:41:37.123237	68473	56	2	1
2014-03-28 18:41:37.344208	68474	22.6	1	1
2014-03-28 18:41:52.496969	68475	47	2	10
2014-03-28 18:41:52.727027	68476	23.6	1	10
2014-03-28 18:42:03.061677	68477	51	2	8
2014-03-28 18:42:03.284069	68478	21.7	1	8
2014-03-28 18:42:16.119391	68479	56	2	1
2014-03-28 18:42:16.353451	68480	22.6	1	1
2014-03-28 18:42:31.499383	68481	47	2	10
2014-03-28 18:42:31.71952	68482	23.6	1	10
2014-03-28 18:42:32.295867	68483	418	3	2
2014-03-28 18:42:32.525824	68484	1113831.5032235566	4	2
2014-03-28 18:42:42.061873	68485	51	2	8
2014-03-28 18:42:42.28447	68486	21.7	1	8
2014-03-28 18:42:55.118181	68487	56	2	1
2014-03-28 18:42:55.350945	68488	22.6	1	1
2014-03-28 18:43:10.501135	68489	47	2	10
2014-03-28 18:43:10.723061	68490	23.6	1	10
2014-03-28 18:43:21.061691	68491	51	2	8
2014-03-28 18:43:21.294618	68492	21.7	1	8
2014-03-28 18:43:32.29185	68493	418	3	2
2014-03-28 18:43:32.620116	68494	1113838.3974318851	4	2
2014-03-28 18:43:34.117742	68495	56	2	1
2014-03-28 18:43:34.397608	68496	22.6	1	1
2014-03-28 18:43:49.500132	68497	47	2	10
2014-03-28 18:43:49.770826	68498	23.6	1	10
2014-03-28 18:44:00.06232	68499	51	2	8
2014-03-28 18:44:00.295845	68500	21.7	1	8
2014-03-28 18:44:13.120356	68501	56	2	1
2014-03-28 18:44:13.343173	68502	22.6	1	1
2014-03-28 18:44:28.499356	68503	47	2	10
2014-03-28 18:44:28.733121	68504	23.6	1	10
2014-03-28 18:44:32.293959	68505	402	3	2
2014-03-28 18:44:32.518578	68506	1113845.2916402135	4	2
2014-03-28 18:44:39.062548	68507	51	2	8
2014-03-28 18:44:39.293439	68508	21.7	1	8
2014-03-28 18:44:52.120623	68509	56	2	1
2014-03-28 18:44:52.343624	68510	22.6	1	1
2014-03-28 18:45:07.50178	68511	47	2	10
2014-03-28 18:45:07.733432	68512	23.6	1	10
2014-03-28 18:45:18.061733	68513	51	2	8
2014-03-28 18:45:18.283749	68514	21.7	1	8
2014-03-28 18:45:31.11953	68515	56	2	1
2014-03-28 18:45:31.363912	68516	22.6	1	1
2014-03-28 18:45:32.29191	68517	402	3	2
2014-03-28 18:45:32.51347	68518	1113852.185848542	4	2
2014-03-28 18:45:46.50022	68519	47	2	10
2014-03-28 18:45:46.733102	68520	23.6	1	10
2014-03-28 18:45:57.061687	68521	51	2	8
2014-03-28 18:45:57.284351	68522	21.7	1	8
2014-03-28 18:46:10.117155	68523	56	2	1
2014-03-28 18:46:10.349494	68524	22.6	1	1
2014-03-28 18:46:25.502969	68525	47	2	10
2014-03-28 18:46:25.727974	68526	23.6	1	10
2014-03-28 18:46:32.292287	68527	418	3	2
2014-03-28 18:46:32.52404	68528	1113859.0800568706	4	2
2014-03-28 18:46:36.062749	68529	51	2	8
2014-03-28 18:46:36.285069	68530	21.7	1	8
2014-03-28 18:46:44.292582	68531	354	3	2
2014-03-28 18:46:44.523905	68532	1113860.229091592	4	2
2014-03-28 18:46:49.11811	68533	56	2	1
2014-03-28 18:46:49.394949	68534	22.6	1	1
2014-03-28 18:46:56.291851	68535	354	3	2
2014-03-28 18:46:56.523386	68536	1113861.3781263134	4	2
2014-03-28 18:47:04.501934	68537	47	2	10
2014-03-28 18:47:04.723716	68538	23.6	1	10
2014-03-28 18:47:15.062197	68539	51	2	8
2014-03-28 18:47:15.294285	68540	21.7	1	8
2014-03-28 18:47:28.114959	68541	56	2	1
2014-03-28 18:47:28.338719	68542	22.6	1	1
2014-03-28 18:47:32.293523	68543	354	3	2
2014-03-28 18:47:32.523511	68544	1113864.8252304776	4	2
2014-03-28 18:47:43.501657	68545	47	2	10
2014-03-28 18:47:43.723794	68546	23.7	1	10
2014-03-28 18:47:54.061167	68547	51	2	8
2014-03-28 18:47:54.295214	68548	21.7	1	8
2014-03-28 18:48:07.11486	68549	56	2	1
2014-03-28 18:48:07.339205	68550	22.7	1	1
2014-03-28 18:48:22.502289	68551	47	2	10
2014-03-28 18:48:22.733856	68552	23.7	1	10
2014-03-28 18:48:32.293169	68553	354	3	2
2014-03-28 18:48:32.51714	68554	1113871.7194388062	4	2
2014-03-28 18:48:33.061671	68555	51	2	8
2014-03-28 18:48:33.293407	68556	21.7	1	8
2014-03-28 18:48:46.117368	68557	56	2	1
2014-03-28 18:48:46.340383	68558	22.7	1	1
2014-03-28 18:48:56.293646	68559	305	3	2
2014-03-28 18:48:56.529322	68560	1113874.017508249	4	2
2014-03-28 18:49:01.501957	68561	47	2	10
2014-03-28 18:49:01.728092	68562	23.7	1	10
2014-03-28 18:49:08.292203	68563	338	3	2
2014-03-28 18:49:08.537845	68564	1113875.1665429703	4	2
2014-03-28 18:49:12.062141	68565	51	2	8
2014-03-28 18:49:12.282291	68566	21.7	1	8
2014-03-28 18:49:20.291389	68567	338	3	2
2014-03-28 18:49:20.52336	68568	1113875.1665429703	4	2
2014-03-28 18:49:25.114642	68569	56	2	1
2014-03-28 18:49:25.337172	68570	22.7	1	1
2014-03-28 18:49:32.291102	68571	338	3	2
2014-03-28 18:49:32.521954	68572	1113876.3155776917	4	2
2014-03-28 18:49:40.501326	68573	47	2	10
2014-03-28 18:49:40.723812	68574	23.7	1	10
2014-03-28 18:49:44.292916	68575	305	3	2
2014-03-28 18:49:44.524056	68576	1113877.4646124132	4	2
2014-03-28 18:49:51.061627	68577	51	2	8
2014-03-28 18:49:51.283075	68578	21.7	1	8
2014-03-28 18:49:56.294247	68579	338	3	2
2014-03-28 18:49:56.526278	68580	1113878.6136471345	4	2
2014-03-28 18:50:04.11424	68581	56	2	1
2014-03-28 18:50:04.335713	68582	22.7	1	1
2014-03-28 18:50:08.292791	68583	338	3	2
2014-03-28 18:50:08.525396	68584	1113879.762681856	4	2
2014-03-28 18:50:19.705417	68585	47	2	10
2014-03-28 18:50:19.928898	68586	23.7	1	10
2014-03-28 18:50:30.061567	68587	51	2	8
2014-03-28 18:50:30.292765	68588	21.7	1	8
2014-03-28 18:50:32.291948	68589	338	3	2
2014-03-28 18:50:32.514008	68590	1113882.060751299	4	2
2014-03-28 18:50:43.114145	68591	56	2	1
2014-03-28 18:50:43.346063	68592	22.7	1	1
2014-03-28 18:50:56.292885	68593	305	3	2
2014-03-28 18:50:56.518851	68594	1113884.3588207418	4	2
2014-03-28 18:50:58.500676	68595	47	2	10
2014-03-28 18:50:58.732335	68596	23.7	1	10
2014-03-28 18:51:08.292633	68597	338	3	2
2014-03-28 18:51:08.516188	68598	1113885.507855463	4	2
2014-03-28 18:51:09.060243	68599	51	2	8
2014-03-28 18:51:09.290919	68600	21.8	1	8
2014-03-28 18:51:20.292995	68601	338	3	2
2014-03-28 18:51:20.515895	68602	1113886.6568901844	4	2
2014-03-28 18:51:22.112535	68603	56	2	1
2014-03-28 18:51:22.34432	68604	22.7	1	1
2014-03-28 18:51:32.289754	68605	338	3	2
2014-03-28 18:51:32.511336	68606	1113887.805924906	4	2
2014-03-28 18:51:37.502229	68607	47	2	10
2014-03-28 18:51:37.740119	68608	23.7	1	10
2014-03-28 18:51:44.290557	68609	305	3	2
2014-03-28 18:51:44.512924	68610	1113888.9549596272	4	2
2014-03-28 18:51:48.062346	68611	51	2	8
2014-03-28 18:51:48.303747	68612	21.8	1	8
2014-03-28 18:51:56.288702	68613	338	3	2
2014-03-28 18:51:56.510172	68614	1113890.1039943488	4	2
2014-03-28 18:52:01.113168	68615	56	2	1
2014-03-28 18:52:01.343822	68616	22.7	1	1
2014-03-28 18:52:08.290667	68617	338	3	2
2014-03-28 18:52:08.513293	68618	1113891.25302907	4	2
2014-03-28 18:52:16.502383	68619	47	2	10
2014-03-28 18:52:16.735389	68620	23.7	1	10
2014-03-28 18:52:27.060133	68621	51	2	8
2014-03-28 18:52:27.283421	68622	21.8	1	8
2014-03-28 18:52:32.292316	68623	338	3	2
2014-03-28 18:52:32.524696	68624	1113893.551098513	4	2
2014-03-28 18:52:40.114274	68625	56	2	1
2014-03-28 18:52:40.339327	68626	22.7	1	1
2014-03-28 18:52:44.291767	68627	370	3	2
2014-03-28 18:52:44.526137	68628	1113894.7001332345	4	2
2014-03-28 18:52:55.501924	68629	47	2	10
2014-03-28 18:52:55.737862	68630	23.7	1	10
2014-03-28 18:52:56.292734	68631	354	3	2
2014-03-28 18:52:56.52431	68632	1113895.8491679558	4	2
2014-03-28 18:53:06.060514	68633	51	2	8
2014-03-28 18:53:06.283884	68634	21.8	1	8
2014-03-28 18:53:19.110803	68635	56	2	1
2014-03-28 18:53:19.34412	68636	22.7	1	1
2014-03-28 18:53:32.292865	68637	354	3	2
2014-03-28 18:53:32.517534	68638	1113899.29627212	4	2
2014-03-28 18:53:34.502233	68639	47	2	10
2014-03-28 18:53:34.734569	68640	23.7	1	10
2014-03-28 18:53:45.059253	68641	51	2	8
2014-03-28 18:53:45.280774	68642	21.8	1	8
2014-03-28 18:53:56.292628	68643	418	3	2
2014-03-28 18:53:56.527952	68644	1113901.5943415628	4	2
2014-03-28 18:53:58.112238	68645	56	2	1
2014-03-28 18:53:58.333965	68646	22.7	1	1
2014-03-28 18:54:08.289465	68647	418	3	2
2014-03-28 18:54:08.52302	68648	1113902.7433762844	4	2
2014-03-28 18:54:13.505822	68649	47	2	10
2014-03-28 18:54:13.734646	68650	23.7	1	10
2014-03-28 18:54:24.058898	68651	51	2	8
2014-03-28 18:54:24.31085	68652	21.8	1	8
2014-03-28 18:54:32.295764	68653	418	3	2
2014-03-28 18:54:32.518641	68654	1113906.1904804485	4	2
2014-03-28 18:54:37.112551	68655	56	2	1
2014-03-28 18:54:37.343886	68656	22.7	1	1
2014-03-28 18:54:52.500033	68657	48	2	10
2014-03-28 18:54:52.725107	68658	23.7	1	10
2014-03-28 18:55:03.061126	68659	51	2	8
2014-03-28 18:55:03.304993	68660	21.8	1	8
2014-03-28 18:55:16.109472	68661	56	2	1
2014-03-28 18:55:16.333884	68662	22.7	1	1
2014-03-28 18:55:31.50244	68663	48	2	10
2014-03-28 18:55:31.920118	68664	23.7	1	10
2014-03-28 18:55:32.291864	68665	418	3	2
2014-03-28 18:55:32.514187	68666	1113913.084688777	4	2
2014-03-28 18:55:42.061616	68667	51	2	8
2014-03-28 18:55:42.285136	68668	21.8	1	8
2014-03-28 18:55:55.111503	68669	56	2	1
2014-03-28 18:55:55.34139	68670	22.7	1	1
2014-03-28 18:56:10.500734	68671	48	2	10
2014-03-28 18:56:10.722882	68672	23.7	1	10
2014-03-28 18:56:21.06087	68673	51	2	8
2014-03-28 18:56:21.290945	68674	21.8	1	8
2014-03-28 18:56:32.289524	68675	418	3	2
2014-03-28 18:56:32.510289	68676	1113919.9788971054	4	2
2014-03-28 18:56:34.110319	68677	56	2	1
2014-03-28 18:56:34.341469	68678	22.7	1	1
2014-03-28 18:56:49.501325	68679	48	2	10
2014-03-28 18:56:49.778982	68680	23.7	1	10
2014-03-28 18:57:00.061734	68681	51	2	8
2014-03-28 18:57:00.293325	68682	21.8	1	8
2014-03-28 18:57:13.111282	68683	56	2	1
2014-03-28 18:57:13.331376	68684	22.7	1	1
2014-03-28 18:57:28.503847	68685	48	2	10
2014-03-28 18:57:28.740615	68686	23.8	1	10
2014-03-28 18:57:32.291036	68687	418	3	2
2014-03-28 18:57:32.512763	68688	1113926.873105434	4	2
2014-03-28 18:57:39.060699	68689	51	2	8
2014-03-28 18:57:39.294869	68690	21.8	1	8
2014-03-28 18:57:52.111437	68691	56	2	1
2014-03-28 18:57:52.335276	68692	22.7	1	1
2014-03-28 18:58:07.502976	68693	48	2	10
2014-03-28 18:58:07.737386	68694	23.8	1	10
2014-03-28 18:58:18.059888	68695	51	2	8
2014-03-28 18:58:18.28233	68696	21.8	1	8
2014-03-28 18:58:31.11079	68697	56	2	1
2014-03-28 18:58:31.343564	68698	22.7	1	1
2014-03-28 18:58:32.290514	68699	418	3	2
2014-03-28 18:58:32.513198	68700	1113933.7673137626	4	2
2014-03-28 18:58:46.504801	68701	48	2	10
2014-03-28 18:58:46.737668	68702	23.8	1	10
2014-03-28 18:58:57.061078	68703	51	2	8
2014-03-28 18:58:57.283282	68704	21.8	1	8
2014-03-28 18:59:10.108678	68705	56	2	1
2014-03-28 18:59:10.339317	68706	22.7	1	1
2014-03-28 18:59:25.506232	68707	48	2	10
2014-03-28 18:59:25.729519	68708	23.8	1	10
2014-03-28 18:59:32.291313	68709	402	3	2
2014-03-28 18:59:32.535935	68710	1113940.661522091	4	2
2014-03-28 18:59:36.060769	68711	51	2	8
2014-03-28 18:59:36.282651	68712	21.8	1	8
2014-03-28 18:59:49.108124	68713	56	2	1
2014-03-28 18:59:49.341233	68714	22.7	1	1
2014-03-28 18:59:56.289692	68715	354	3	2
2014-03-28 18:59:56.513943	68716	1113942.9595915338	4	2
2014-03-28 19:00:04.503043	68717	48	2	10
2014-03-28 19:00:04.735556	68718	23.8	1	10
2014-03-28 19:00:08.287072	68719	354	3	2
2014-03-28 19:00:08.508504	68720	1113944.1086262553	4	2
2014-03-28 19:00:15.060154	68721	51	2	8
2014-03-28 19:00:15.2917	68722	21.8	1	8
2014-03-28 19:00:28.108199	68723	56	2	1
2014-03-28 19:00:28.332429	68724	22.7	1	1
2014-03-28 19:00:32.290408	68725	354	3	2
2014-03-28 19:00:32.522263	68726	1113946.4066956982	4	2
2014-03-28 19:00:43.505018	68727	48	2	10
2014-03-28 19:00:43.72981	68728	23.8	1	10
2014-03-28 19:00:54.059488	68729	51	2	8
2014-03-28 19:00:54.292127	68730	21.8	1	8
2014-03-28 19:01:07.112171	68731	56	2	1
2014-03-28 19:01:07.334164	68732	22.7	1	1
2014-03-28 19:01:08.287257	68733	434	3	2
2014-03-28 19:01:08.518608	68734	1113951.0028345836	4	2
2014-03-28 19:01:20.291214	68735	434	3	2
2014-03-28 19:01:20.513431	68736	1113952.1518693052	4	2
2014-03-28 19:01:22.505253	68737	48	2	10
2014-03-28 19:01:22.736699	68738	23.8	1	10
2014-03-28 19:01:32.29013	68739	434	3	2
2014-03-28 19:01:32.513755	68740	1113953.3009040265	4	2
2014-03-28 19:01:33.060265	68741	51	2	8
2014-03-28 19:01:33.290337	68742	21.8	1	8
2014-03-28 19:01:46.10827	68743	56	2	1
2014-03-28 19:01:46.331016	68744	22.8	1	1
2014-03-28 19:02:01.505135	68745	48	2	10
2014-03-28 19:02:01.737641	68746	23.8	1	10
2014-03-28 19:02:12.062272	68747	51	2	8
2014-03-28 19:02:12.284562	68748	21.8	1	8
2014-03-28 19:02:25.108018	68749	56	2	1
2014-03-28 19:02:25.33956	68750	22.8	1	1
2014-03-28 19:02:32.289726	68751	450	3	2
2014-03-28 19:02:32.511719	68752	1113961.3441470764	4	2
2014-03-28 19:02:40.504342	68753	48	2	10
2014-03-28 19:02:40.738181	68754	23.8	1	10
2014-03-28 19:02:51.061332	68755	51	2	8
2014-03-28 19:02:51.283728	68756	21.8	1	8
2014-03-28 19:03:04.109991	68757	56	2	1
2014-03-28 19:03:04.353072	68758	22.8	1	1
2014-03-28 19:03:19.504205	68759	48	2	10
2014-03-28 19:03:19.727059	68760	23.8	1	10
2014-03-28 19:03:30.062377	68761	51	2	8
2014-03-28 19:03:30.295075	68762	21.9	1	8
2014-03-28 19:03:32.289917	68763	434	3	2
2014-03-28 19:03:32.511049	68764	1113968.238355405	4	2
2014-03-28 19:03:43.108219	68765	56	2	1
2014-03-28 19:03:43.341167	68766	22.8	1	1
2014-03-28 19:03:58.503321	68767	48	2	10
2014-03-28 19:03:58.725962	68768	23.8	1	10
2014-03-28 19:04:09.059865	68769	51	2	8
2014-03-28 19:04:09.291362	68770	21.9	1	8
2014-03-28 19:04:22.108516	68771	56	2	1
2014-03-28 19:04:22.329855	68772	22.8	1	1
2014-03-28 19:04:32.289362	68773	434	3	2
2014-03-28 19:04:32.52371	68774	1113976.2815984548	4	2
2014-03-28 19:04:37.506736	68775	48	2	10
2014-03-28 19:04:37.733775	68776	23.8	1	10
2014-03-28 19:04:48.059922	68777	51	2	8
2014-03-28 19:04:48.291583	68778	21.9	1	8
2014-03-28 19:05:01.107199	68779	56	2	1
2014-03-28 19:05:01.328176	68780	22.8	1	1
2014-03-28 19:05:16.505708	68781	48	2	10
2014-03-28 19:05:16.739722	68782	23.8	1	10
2014-03-28 19:05:27.059517	68783	51	2	8
2014-03-28 19:05:27.281175	68784	21.9	1	8
2014-03-28 19:05:32.290447	68785	434	3	2
2014-03-28 19:05:32.522711	68786	1113983.1758067834	4	2
2014-03-28 19:05:40.149872	68787	56	2	1
2014-03-28 19:05:40.370576	68788	22.8	1	1
2014-03-28 19:05:55.505451	68789	48	2	10
2014-03-28 19:05:55.739648	68790	23.8	1	10
2014-03-28 19:06:06.059836	68791	51	2	8
2014-03-28 19:06:06.283088	68792	21.9	1	8
2014-03-28 19:06:19.103529	68793	56	2	1
2014-03-28 19:06:19.335101	68794	22.8	1	1
2014-03-28 19:06:32.289665	68795	434	3	2
2014-03-28 19:06:32.51092	68796	1113990.070015112	4	2
2014-03-28 19:06:34.506076	68797	48	2	10
2014-03-28 19:06:34.736441	68798	23.8	1	10
2014-03-28 19:06:45.061573	68799	51	2	8
2014-03-28 19:06:45.283231	68800	21.9	1	8
2014-03-28 19:06:58.105605	68801	56	2	1
2014-03-28 19:06:58.33728	68802	22.8	1	1
2014-03-28 19:07:13.505171	68803	48	2	10
2014-03-28 19:07:13.72756	68804	23.9	1	10
2014-03-28 19:07:22.767645	68805	482	3	2
2014-03-28 19:07:23.013624	68806	1113996.9642234403	4	2
2014-03-28 19:07:24.059232	68807	51	2	8
2014-03-28 19:07:24.280301	68808	21.9	1	8
2014-03-28 19:07:32.290689	68809	482	3	2
2014-03-28 19:07:32.523718	68810	1113998.1132581618	4	2
2014-03-28 19:07:37.102852	68811	56	2	1
2014-03-28 19:07:37.335716	68812	22.8	1	1
2014-03-28 19:07:52.507249	68813	48	2	10
2014-03-28 19:07:52.739182	68814	23.9	1	10
2014-03-28 19:08:03.061836	68815	51	2	8
2014-03-28 19:08:03.282893	68816	21.9	1	8
2014-03-28 19:08:16.151568	68817	56	2	1
2014-03-28 19:08:16.383111	68818	22.8	1	1
2014-03-28 19:08:31.508219	68819	48	2	10
2014-03-28 19:08:31.733143	68820	23.9	1	10
2014-03-28 19:08:32.291656	68821	482	3	2
2014-03-28 19:08:32.521331	68822	1114006.1565012117	4	2
2014-03-28 19:08:42.058612	68823	51	2	8
2014-03-28 19:08:42.282986	68824	21.9	1	8
2014-03-28 19:08:55.105492	68825	56	2	1
2014-03-28 19:08:55.338665	68826	22.8	1	1
2014-03-28 19:09:10.507585	68827	48	2	10
2014-03-28 19:09:10.74924	68828	23.9	1	10
2014-03-28 19:09:21.060761	68829	51	2	8
2014-03-28 19:09:21.29431	68830	21.9	1	8
2014-03-28 19:09:32.287891	68831	482	3	2
2014-03-28 19:09:32.513189	68832	1114014.1997442616	4	2
2014-03-28 19:09:34.103075	68833	55	2	1
2014-03-28 19:09:34.337618	68834	22.8	1	1
2014-03-28 19:09:49.504145	68835	48	2	10
2014-03-28 19:09:49.726785	68836	23.9	1	10
2014-03-28 19:10:00.061978	68837	51	2	8
2014-03-28 19:10:00.295479	68838	21.9	1	8
2014-03-28 19:10:13.102495	68839	55	2	1
2014-03-28 19:10:13.324954	68840	22.8	1	1
2014-03-28 19:10:28.510577	68841	48	2	10
2014-03-28 19:10:28.748232	68842	23.9	1	10
2014-03-28 19:10:32.287514	68843	466	3	2
2014-03-28 19:10:32.510653	68844	1114021.0984235422	4	2
2014-03-28 19:10:39.060208	68845	51	2	8
2014-03-28 19:10:39.292035	68846	21.9	1	8
2014-03-28 19:10:52.103427	68847	55	2	1
2014-03-28 19:10:52.325746	68848	22.9	1	1
2014-03-28 19:11:07.508909	68849	48	2	10
2014-03-28 19:11:07.741788	68850	23.9	1	10
2014-03-28 19:11:18.060338	68851	51	2	8
2014-03-28 19:11:18.282145	68852	21.9	1	8
2014-03-28 19:11:31.102594	68853	55	2	1
2014-03-28 19:11:31.345103	68854	22.9	1	1
2014-03-28 19:11:32.285426	68855	466	3	2
2014-03-28 19:11:32.507243	68856	1114029.141666592	4	2
2014-03-28 19:11:46.505223	68857	48	2	10
2014-03-28 19:11:46.738627	68858	23.9	1	10
2014-03-28 19:11:57.06071	68859	51	2	8
2014-03-28 19:11:57.282712	68860	21.9	1	8
2014-03-28 19:12:10.102649	68861	55	2	1
2014-03-28 19:12:10.335464	68862	22.9	1	1
2014-03-28 19:12:25.508729	68863	48	2	10
2014-03-28 19:12:25.729195	68864	23.9	1	10
2014-03-28 19:12:32.286884	68865	482	3	2
2014-03-28 19:12:32.518646	68866	1114037.184909642	4	2
2014-03-28 19:12:36.058723	68867	51	2	8
2014-03-28 19:12:36.283283	68868	21.9	1	8
2014-03-28 19:12:49.099852	68869	55	2	1
2014-03-28 19:12:49.332945	68870	22.9	1	1
2014-03-28 19:13:04.509122	68871	48	2	10
2014-03-28 19:13:04.730546	68872	23.9	1	10
2014-03-28 19:13:08.288928	68873	434	3	2
2014-03-28 19:13:08.519735	68874	1114041.7810485277	4	2
2014-03-28 19:13:15.06158	68875	51	2	8
2014-03-28 19:13:15.28404	68876	21.9	1	8
2014-03-28 19:13:20.289908	68877	434	3	2
2014-03-28 19:13:20.524583	68878	1114042.9300832492	4	2
2014-03-28 19:13:28.100421	68879	55	2	1
2014-03-28 19:13:28.321566	68880	22.9	1	1
2014-03-28 19:13:32.289324	68881	418	3	2
2014-03-28 19:13:32.520862	68882	1114044.0791179705	4	2
2014-03-28 19:13:43.509647	68883	48	2	10
2014-03-28 19:13:43.731744	68884	23.9	1	10
2014-03-28 19:13:54.058504	68885	51	2	8
2014-03-28 19:13:54.291917	68886	21.9	1	8
2014-03-28 19:14:07.102507	68887	55	2	1
2014-03-28 19:14:07.328028	68888	22.9	1	1
2014-03-28 19:14:22.50803	68889	48	2	10
2014-03-28 19:14:22.740777	68890	23.9	1	10
2014-03-28 19:14:32.290436	68891	434	3	2
2014-03-28 19:14:32.51153	68892	1114052.1223610204	4	2
2014-03-28 19:14:33.059845	68893	51	2	8
2014-03-28 19:14:33.292837	68894	21.9	1	8
2014-03-28 19:14:46.101699	68895	55	2	1
2014-03-28 19:14:46.328609	68896	22.9	1	1
2014-03-28 19:15:01.508246	68897	48	2	10
2014-03-28 19:15:01.741261	68898	23.9	1	10
2014-03-28 19:15:12.05939	68899	51	2	8
2014-03-28 19:15:12.281259	68900	21.9	1	8
2014-03-28 19:15:20.287912	68901	354	3	2
2014-03-28 19:15:20.535391	68902	1114056.7184999061	4	2
2014-03-28 19:15:25.09729	68903	55	2	1
2014-03-28 19:15:25.319343	68904	22.9	1	1
2014-03-28 19:15:32.288052	68905	354	3	2
2014-03-28 19:15:32.522757	68906	1114057.8675346274	4	2
2014-03-28 19:15:40.509803	68907	48	2	10
2014-03-28 19:15:40.732655	68908	23.9	1	10
2014-03-28 19:15:51.058708	68909	51	2	8
2014-03-28 19:15:51.291545	68910	21.9	1	8
2014-03-28 19:16:04.099334	68911	55	2	1
2014-03-28 19:16:04.323387	68912	22.9	1	1
2014-03-28 19:16:19.508949	68913	48	2	10
2014-03-28 19:16:19.74356	68914	23.9	1	10
2014-03-28 19:16:30.059961	68915	51	2	8
2014-03-28 19:16:30.281378	68916	21.9	1	8
2014-03-28 19:16:32.287321	68917	354	3	2
2014-03-28 19:16:32.518465	68918	1114064.761742956	4	2
2014-03-28 19:16:43.099399	68919	55	2	1
2014-03-28 19:16:43.320565	68920	22.9	1	1
2014-03-28 19:16:58.518556	68921	48	2	10
2014-03-28 19:16:58.754126	68922	24.0	1	10
2014-03-28 19:17:09.05938	68923	51	2	8
2014-03-28 19:17:09.281884	68924	21.9	1	8
2014-03-28 19:17:22.09927	68925	55	2	1
2014-03-28 19:17:22.332382	68926	22.9	1	1
2014-03-28 19:17:32.289007	68927	354	3	2
2014-03-28 19:17:32.513026	68928	1114070.506916563	4	2
2014-03-28 19:17:37.511369	68929	48	2	10
2014-03-28 19:17:37.745999	68930	24.0	1	10
2014-03-28 19:17:48.060056	68931	51	2	8
2014-03-28 19:17:48.283097	68932	21.9	1	8
2014-03-28 19:18:01.09957	68933	55	2	1
2014-03-28 19:18:01.332783	68934	22.9	1	1
2014-03-28 19:18:16.508968	68935	48	2	10
2014-03-28 19:18:16.73179	68936	24.0	1	10
2014-03-28 19:18:27.061391	68937	51	2	8
2014-03-28 19:18:27.293609	68938	21.9	1	8
2014-03-28 19:18:32.289064	68939	338	3	2
2014-03-28 19:18:32.511957	68940	1114076.2520901703	4	2
2014-03-28 19:18:40.100378	68941	55	2	1
2014-03-28 19:18:40.332646	68942	22.9	1	1
2014-03-28 19:18:55.506263	68943	48	2	10
2014-03-28 19:18:55.735399	68944	24.0	1	10
2014-03-28 19:19:06.060542	68945	51	2	8
2014-03-28 19:19:06.294361	68946	21.9	1	8
2014-03-28 19:19:19.099541	68947	55	2	1
2014-03-28 19:19:19.323306	68948	22.9	1	1
2014-03-28 19:19:32.289787	68949	338	3	2
2014-03-28 19:19:32.532848	68950	1114081.9972637773	4	2
2014-03-28 19:19:34.50873	68951	48	2	10
2014-03-28 19:19:34.72989	68952	24.0	1	10
2014-03-28 19:19:44.290662	68953	305	3	2
2014-03-28 19:19:44.523373	68954	1114083.1462984986	4	2
2014-03-28 19:19:45.059719	68955	51	2	8
2014-03-28 19:19:45.282437	68956	21.9	1	8
2014-03-28 19:19:56.290222	68957	305	3	2
2014-03-28 19:19:56.522377	68958	1114084.2953332202	4	2
2014-03-28 19:19:58.09781	68959	55	2	1
2014-03-28 19:19:58.320952	68960	22.9	1	1
2014-03-28 19:20:08.290504	68961	338	3	2
2014-03-28 19:20:08.522785	68962	1114085.4443679415	4	2
2014-03-28 19:20:13.511582	68963	48	2	10
2014-03-28 19:20:13.738108	68964	24.0	1	10
2014-03-28 19:20:20.288519	68965	305	3	2
2014-03-28 19:20:20.522309	68966	1114086.593402663	4	2
2014-03-28 19:20:24.091681	68967	51	2	8
2014-03-28 19:20:24.338532	68968	22.0	1	8
2014-03-28 19:20:32.289655	68969	305	3	2
2014-03-28 19:20:32.52478	68970	1114087.7424373843	4	2
2014-03-28 19:20:37.098009	68971	55	2	1
2014-03-28 19:20:37.319478	68972	22.9	1	1
2014-03-28 19:20:44.289337	68973	370	3	2
2014-03-28 19:20:44.523846	68974	1114088.8914721056	4	2
2014-03-28 19:20:52.512905	68975	48	2	10
2014-03-28 19:20:52.733812	68976	24.0	1	10
2014-03-28 19:20:56.289638	68977	370	3	2
2014-03-28 19:20:56.523939	68978	1114090.0405068272	4	2
2014-03-28 19:21:03.059695	68979	51	2	8
2014-03-28 19:21:03.281355	68980	22.0	1	8
2014-03-28 19:21:16.095966	68981	55	2	1
2014-03-28 19:21:16.327834	68982	22.9	1	1
2014-03-28 19:21:31.512442	68983	48	2	10
2014-03-28 19:21:31.736983	68984	24.0	1	10
2014-03-28 19:21:32.289673	68985	370	3	2
2014-03-28 19:21:32.520941	68986	1114093.4876109913	4	2
2014-03-28 19:21:42.059484	68987	51	2	8
2014-03-28 19:21:42.282043	68988	22.0	1	8
2014-03-28 19:21:55.096906	68989	55	2	1
2014-03-28 19:21:55.335002	68990	22.9	1	1
2014-03-28 19:22:10.511149	68991	48	2	10
2014-03-28 19:22:10.733711	68992	24.0	1	10
2014-03-28 19:22:21.060867	68993	51	2	8
2014-03-28 19:22:21.29379	68994	22.0	1	8
2014-03-28 19:22:32.28842	68995	370	3	2
2014-03-28 19:22:32.509908	68996	1114099.2327845984	4	2
2014-03-28 19:22:34.140269	68997	55	2	1
2014-03-28 19:22:34.38349	68998	22.9	1	1
2014-03-28 19:22:44.2877	68999	418	3	2
2014-03-28 19:22:44.510245	69000	1114101.5308540412	4	2
2014-03-28 19:22:49.509084	69001	48	2	10
2014-03-28 19:22:49.745425	69002	24.0	1	10
2014-03-28 19:22:56.287272	69003	418	3	2
2014-03-28 19:22:56.508816	69004	1114102.6798887628	4	2
2014-03-28 19:23:00.05959	69005	51	2	8
2014-03-28 19:23:00.293935	69006	22.0	1	8
2014-03-28 19:23:13.0933	69007	55	2	1
2014-03-28 19:23:13.315133	69008	22.9	1	1
2014-03-28 19:23:28.508498	69009	48	2	10
2014-03-28 19:23:28.740948	69010	24.0	1	10
2014-03-28 19:23:37.770222	69011	418	3	2
2014-03-28 19:23:37.995232	69012	1114106.126992927	4	2
2014-03-28 19:23:39.061373	69013	51	2	8
2014-03-28 19:23:39.292677	69014	22.0	1	8
2014-03-28 19:23:52.097494	69015	55	2	1
2014-03-28 19:23:52.318106	69016	23.0	1	1
2014-03-28 19:24:07.511266	69017	48	2	10
2014-03-28 19:24:07.742562	69018	24.0	1	10
2014-03-28 19:24:18.061059	69019	51	2	8
2014-03-28 19:24:18.282627	69020	22.0	1	8
2014-03-28 19:24:31.093341	69021	55	2	1
2014-03-28 19:24:31.325707	69022	23.0	1	1
2014-03-28 19:24:32.283773	69023	418	3	2
2014-03-28 19:24:32.504752	69024	1114114.1702359768	4	2
2014-03-28 19:24:46.509469	69025	48	2	10
2014-03-28 19:24:46.741442	69026	24.0	1	10
2014-03-28 19:24:57.059303	69027	51	2	8
2014-03-28 19:24:57.283332	69028	22.0	1	8
2014-03-28 19:25:10.092725	69029	55	2	1
2014-03-28 19:25:10.326324	69030	23.0	1	1
2014-03-28 19:25:25.511708	69031	48	2	10
2014-03-28 19:25:25.734092	69032	24.0	1	10
2014-03-28 19:25:32.285348	69033	418	3	2
2014-03-28 19:25:32.51989	69034	1114121.0644443054	4	2
2014-03-28 19:25:36.059364	69035	51	2	8
2014-03-28 19:25:36.281048	69036	22.0	1	8
2014-03-28 19:25:49.091609	69037	55	2	1
2014-03-28 19:25:49.322019	69038	23.0	1	1
2014-03-28 19:25:56.28628	69039	354	3	2
2014-03-28 19:25:56.510266	69040	1114123.3625137482	4	2
2014-03-28 19:26:04.514152	69041	48	2	10
2014-03-28 19:26:04.754734	69042	24.0	1	10
2014-03-28 19:26:08.287647	69043	354	3	2
2014-03-28 19:26:08.512613	69044	1114124.5115484695	4	2
2014-03-28 19:26:15.059472	69045	51	2	8
2014-03-28 19:26:15.301237	69046	22.0	1	8
2014-03-28 19:26:28.137974	69047	55	2	1
2014-03-28 19:26:28.360525	69048	23.0	1	1
2014-03-28 19:26:32.288473	69049	370	3	2
2014-03-28 19:26:32.52447	69050	1114126.8096179124	4	2
2014-03-28 19:26:43.510778	69051	48	2	10
2014-03-28 19:26:43.733869	69052	24.1	1	10
2014-03-28 19:26:54.059337	69053	51	2	8
2014-03-28 19:26:54.291323	69054	22.0	1	8
2014-03-28 19:27:07.091852	69055	55	2	1
2014-03-28 19:27:07.315152	69056	23.0	1	1
2014-03-28 19:27:22.509958	69057	48	2	10
2014-03-28 19:27:22.744966	69058	24.1	1	10
2014-03-28 19:27:32.28548	69059	354	3	2
2014-03-28 19:27:32.506666	69060	1114132.5547915194	4	2
2014-03-28 19:27:33.059427	69061	51	2	8
2014-03-28 19:27:33.29045	69062	22.0	1	8
2014-03-28 19:27:46.091569	69063	55	2	1
2014-03-28 19:27:46.317527	69064	23.0	1	1
2014-03-28 19:28:01.511129	69065	48	2	10
2014-03-28 19:28:01.743339	69066	24.1	1	10
2014-03-28 19:28:12.058018	69067	50	2	8
2014-03-28 19:28:12.279559	69068	22.0	1	8
2014-03-28 19:28:25.094125	69069	55	2	1
2014-03-28 19:28:25.325002	69070	23.0	1	1
2014-03-28 19:28:32.28458	69071	338	3	2
2014-03-28 19:28:32.506232	69072	1114139.448999848	4	2
2014-03-28 19:28:40.51055	69073	48	2	10
2014-03-28 19:28:40.74442	69074	24.1	1	10
2014-03-28 19:28:51.058986	69075	50	2	8
2014-03-28 19:28:51.280252	69076	22.0	1	8
2014-03-28 19:29:04.091784	69077	55	2	1
2014-03-28 19:29:04.343089	69078	23.0	1	1
2014-03-28 19:29:19.512326	69079	48	2	10
2014-03-28 19:29:19.734346	69080	24.1	1	10
2014-03-28 19:29:30.060826	69081	50	2	8
2014-03-28 19:29:30.293064	69082	22.0	1	8
2014-03-28 19:29:32.288426	69083	338	3	2
2014-03-28 19:29:32.510772	69084	1114145.194173455	4	2
2014-03-28 19:29:43.092714	69085	55	2	1
2014-03-28 19:29:43.324168	69086	23.0	1	1
2014-03-28 19:29:58.511441	69087	48	2	10
2014-03-28 19:29:58.733732	69088	24.1	1	10
2014-03-28 19:30:09.05857	69089	50	2	8
2014-03-28 19:30:09.292533	69090	22.0	1	8
2014-03-28 19:30:22.091939	69091	55	2	1
2014-03-28 19:30:22.315251	69092	23.0	1	1
2014-03-28 19:30:37.316208	69093	354	3	2
2014-03-28 19:30:37.558987	69094	1114150.9393470623	4	2
2014-03-28 19:30:37.864998	69095	48	2	10
2014-03-28 19:30:38.085616	69096	24.1	1	10
2014-03-28 19:30:48.058505	69097	50	2	8
2014-03-28 19:30:48.29283	69098	22.0	1	8
2014-03-28 19:31:01.090424	69099	55	2	1
2014-03-28 19:31:01.313452	69100	23.0	1	1
2014-03-28 19:31:16.512234	69101	48	2	10
2014-03-28 19:31:16.744245	69102	24.1	1	10
2014-03-28 19:31:27.058705	69103	50	2	8
2014-03-28 19:31:27.281474	69104	22.0	1	8
2014-03-28 19:31:32.28749	69105	354	3	2
2014-03-28 19:31:32.521085	69106	1114156.6845206693	4	2
2014-03-28 19:31:40.09256	69107	55	2	1
2014-03-28 19:31:40.317462	69108	23.0	1	1
2014-03-28 19:31:55.513412	69109	48	2	10
2014-03-28 19:31:55.751982	69110	24.1	1	10
2014-03-28 19:32:06.058556	69111	50	2	8
2014-03-28 19:32:06.279303	69112	22.0	1	8
2014-03-28 19:32:19.091534	69113	55	2	1
2014-03-28 19:32:19.322319	69114	23.0	1	1
2014-03-28 19:32:32.284486	69115	354	3	2
2014-03-28 19:32:32.506656	69116	1114162.4296942763	4	2
2014-03-28 19:32:34.513831	69117	48	2	10
2014-03-28 19:32:34.746621	69118	24.1	1	10
2014-03-28 19:32:45.058972	69119	50	2	8
2014-03-28 19:32:45.283499	69120	22.0	1	8
2014-03-28 19:32:58.088779	69121	55	2	1
2014-03-28 19:32:58.321012	69122	23.0	1	1
2014-03-28 19:33:13.513563	69123	48	2	10
2014-03-28 19:33:13.737936	69124	24.1	1	10
2014-03-28 19:33:24.059325	69125	50	2	8
2014-03-28 19:33:24.293064	69126	22.1	1	8
2014-03-28 19:33:32.284833	69127	402	3	2
2014-03-28 19:33:32.508984	69128	1114168.1748678833	4	2
2014-03-28 19:33:37.087126	69129	55	2	1
2014-03-28 19:33:37.319074	69130	23.0	1	1
2014-03-28 19:33:44.28584	69131	402	3	2
2014-03-28 19:33:44.508042	69132	1114170.4729373262	4	2
2014-03-28 19:33:52.512605	69133	48	2	10
2014-03-28 19:33:52.745104	69134	24.1	1	10
2014-03-28 19:34:03.060001	69135	50	2	8
2014-03-28 19:34:03.2828	69136	22.1	1	8
2014-03-28 19:34:16.090561	69137	55	2	1
2014-03-28 19:34:16.322355	69138	23.0	1	1
2014-03-28 19:34:31.513655	69139	48	2	10
2014-03-28 19:34:31.736061	69140	24.1	1	10
2014-03-28 19:34:32.288637	69141	418	3	2
2014-03-28 19:34:32.531719	69142	1114175.069076212	4	2
2014-03-28 19:34:42.263682	69143	50	2	8
2014-03-28 19:34:42.486639	69144	22.1	1	8
2014-03-28 19:34:55.089239	69145	55	2	1
2014-03-28 19:34:55.321922	69146	23.1	1	1
2014-03-28 19:35:10.514934	69147	48	2	10
2014-03-28 19:35:10.752961	69148	24.1	1	10
2014-03-28 19:35:21.057752	69149	50	2	8
2014-03-28 19:35:21.290922	69150	22.1	1	8
2014-03-28 19:35:32.285704	69151	402	3	2
2014-03-28 19:35:32.508321	69152	1114181.9632845405	4	2
2014-03-28 19:35:34.087676	69153	55	2	1
2014-03-28 19:35:34.319852	69154	23.1	1	1
2014-03-28 19:35:49.513685	69155	48	2	10
2014-03-28 19:35:49.735456	69156	24.2	1	10
2014-03-28 19:36:00.060027	69157	50	2	8
2014-03-28 19:36:00.292535	69158	22.1	1	8
2014-03-28 19:36:13.09016	69159	55	2	1
2014-03-28 19:36:13.313497	69160	23.1	1	1
2014-03-28 19:36:28.514099	69161	48	2	10
2014-03-28 19:36:28.745886	69162	24.2	1	10
2014-03-28 19:36:32.28504	69163	418	3	2
2014-03-28 19:36:32.507	69164	1114188.8574928688	4	2
2014-03-28 19:36:39.058217	69165	50	2	8
2014-03-28 19:36:39.293152	69166	22.1	1	8
2014-03-28 19:36:52.086438	69167	55	2	1
2014-03-28 19:36:52.308095	69168	23.1	1	1
2014-03-28 19:37:07.515264	69169	48	2	10
2014-03-28 19:37:07.746623	69170	24.2	1	10
2014-03-28 19:37:18.059353	69171	50	2	8
2014-03-28 19:37:18.282444	69172	22.1	1	8
2014-03-28 19:37:31.087354	69173	55	2	1
2014-03-28 19:37:31.318253	69174	23.1	1	1
2014-03-28 19:37:32.285407	69175	402	3	2
2014-03-28 19:37:32.506897	69176	1114195.7517011974	4	2
2014-03-28 19:37:46.515104	69177	48	2	10
2014-03-28 19:37:46.752932	69178	24.2	1	10
2014-03-28 19:37:57.059499	69179	50	2	8
2014-03-28 19:37:57.28235	69180	22.1	1	8
2014-03-28 19:38:10.129816	69181	55	2	1
2014-03-28 19:38:10.361992	69182	23.1	1	1
2014-03-28 19:38:25.513178	69183	48	2	10
2014-03-28 19:38:25.738026	69184	24.2	1	10
2014-03-28 19:38:32.285076	69185	418	3	2
2014-03-28 19:38:32.516772	69186	1114202.645909526	4	2
2014-03-28 19:38:36.049078	69187	50	2	8
2014-03-28 19:38:36.2721	69188	22.1	1	8
2014-03-28 19:38:49.085396	69189	55	2	1
2014-03-28 19:38:49.328441	69190	23.1	1	1
2014-03-28 19:39:04.514451	69191	48	2	10
2014-03-28 19:39:04.736267	69192	24.2	1	10
2014-03-28 19:39:08.284675	69193	354	3	2
2014-03-28 19:39:08.51628	69194	1114207.2420484114	4	2
2014-03-28 19:39:15.057942	69195	50	2	8
2014-03-28 19:39:15.278722	69196	22.1	1	8
2014-03-28 19:39:20.283237	69197	370	3	2
2014-03-28 19:39:20.515211	69198	1114208.391083133	4	2
2014-03-28 19:39:28.087526	69199	55	2	1
2014-03-28 19:39:28.309905	69200	23.1	1	1
2014-03-28 19:39:32.283551	69201	354	3	2
2014-03-28 19:39:32.513433	69202	1114209.5401178543	4	2
2014-03-28 19:39:43.51244	69203	48	2	10
2014-03-28 19:39:43.734685	69204	24.2	1	10
2014-03-28 19:39:54.060176	69205	50	2	8
2014-03-28 19:39:54.291339	69206	22.1	1	8
2014-03-28 19:40:07.130952	69207	54	2	1
2014-03-28 19:40:07.353398	69208	23.1	1	1
2014-03-28 19:40:22.51586	69209	48	2	10
2014-03-28 19:40:22.747908	69210	24.2	1	10
2014-03-28 19:40:32.284956	69211	370	3	2
2014-03-28 19:40:32.506843	69212	1114215.2852914615	4	2
2014-03-28 19:40:33.058931	69213	50	2	8
2014-03-28 19:40:33.291996	69214	22.1	1	8
2014-03-28 19:40:46.084937	69215	54	2	1
2014-03-28 19:40:46.309304	69216	23.1	1	1
2014-03-28 19:41:01.520114	69217	48	2	10
2014-03-28 19:41:01.772777	69218	24.2	1	10
2014-03-28 19:41:12.058538	69219	50	2	8
2014-03-28 19:41:12.280667	69220	22.1	1	8
2014-03-28 19:41:25.08213	69221	54	2	1
2014-03-28 19:41:25.314558	69222	23.1	1	1
2014-03-28 19:41:32.286903	69223	354	3	2
2014-03-28 19:41:32.508964	69224	1114221.0304650685	4	2
2014-03-28 19:41:40.517308	69225	48	2	10
2014-03-28 19:41:40.748581	69226	24.2	1	10
2014-03-28 19:41:51.05793	69227	50	2	8
2014-03-28 19:41:51.280661	69228	22.1	1	8
2014-03-28 19:42:04.083985	69229	54	2	1
2014-03-28 19:42:04.317631	69230	23.1	1	1
2014-03-28 19:42:19.519264	69231	48	2	10
2014-03-28 19:42:19.743152	69232	24.2	1	10
2014-03-28 19:42:30.06262	69233	50	2	8
2014-03-28 19:42:30.293412	69234	22.1	1	8
2014-03-28 19:42:32.284311	69235	354	3	2
2014-03-28 19:42:32.506836	69236	1114227.9246733969	4	2
2014-03-28 19:42:43.085343	69237	54	2	1
2014-03-28 19:42:43.330158	69238	23.1	1	1
2014-03-28 19:42:58.516138	69239	48	2	10
2014-03-28 19:42:58.739931	69240	24.2	1	10
2014-03-28 19:43:09.057865	69241	50	2	8
2014-03-28 19:43:09.290252	69242	22.1	1	8
2014-03-28 19:43:22.081316	69243	54	2	1
2014-03-28 19:43:22.302225	69244	23.1	1	1
2014-03-28 19:43:32.288171	69245	354	3	2
2014-03-28 19:43:32.520617	69246	1114233.669847004	4	2
2014-03-28 19:43:37.51492	69247	48	2	10
2014-03-28 19:43:37.764615	69248	24.2	1	10
2014-03-28 19:43:48.05919	69249	50	2	8
2014-03-28 19:43:48.290841	69250	22.1	1	8
2014-03-28 19:44:01.087324	69251	54	2	1
2014-03-28 19:44:01.309066	69252	23.1	1	1
2014-03-28 19:44:16.515174	69253	48	2	10
2014-03-28 19:44:16.746872	69254	24.2	1	10
2014-03-28 19:44:27.058627	69255	50	2	8
2014-03-28 19:44:27.280779	69256	22.1	1	8
2014-03-28 19:44:32.285896	69257	354	3	2
2014-03-28 19:44:32.517592	69258	1114239.4150206111	4	2
2014-03-28 19:44:40.083304	69259	54	2	1
2014-03-28 19:44:40.306131	69260	23.1	1	1
2014-03-28 19:44:55.51649	69261	48	2	10
2014-03-28 19:44:55.747816	69262	24.2	1	10
2014-03-28 19:45:06.061198	69263	50	2	8
2014-03-28 19:45:06.282561	69264	22.1	1	8
2014-03-28 19:45:19.085528	69265	54	2	1
2014-03-28 19:45:19.318558	69266	23.1	1	1
2014-03-28 19:45:32.283767	69267	354	3	2
2014-03-28 19:45:32.506785	69268	1114245.1601942182	4	2
2014-03-28 19:45:34.5161	69269	48	2	10
2014-03-28 19:45:34.746642	69270	24.2	1	10
2014-03-28 19:45:45.060916	69271	50	2	8
2014-03-28 19:45:45.283979	69272	22.1	1	8
2014-03-28 19:45:58.083249	69273	54	2	1
2014-03-28 19:45:58.318061	69274	23.1	1	1
2014-03-28 19:46:13.515294	69275	48	2	10
2014-03-28 19:46:13.737031	69276	24.2	1	10
2014-03-28 19:46:24.058258	69277	50	2	8
2014-03-28 19:46:24.292951	69278	22.1	1	8
2014-03-28 19:46:32.287652	69279	354	3	2
2014-03-28 19:46:32.511053	69280	1114250.9053678252	4	2
2014-03-28 19:46:37.082995	69281	54	2	1
2014-03-28 19:46:37.316183	69282	23.1	1	1
2014-03-28 19:46:44.28818	69283	418	3	2
2014-03-28 19:46:44.509575	69284	1114252.0544025467	4	2
2014-03-28 19:46:52.518466	69285	48	2	10
2014-03-28 19:46:52.760374	69286	24.3	1	10
2014-03-28 19:46:56.284654	69287	418	3	2
2014-03-28 19:46:56.514619	69288	1114254.3524719896	4	2
2014-03-28 19:47:03.058997	69289	50	2	8
2014-03-28 19:47:03.290459	69290	22.1	1	8
2014-03-28 19:47:16.084365	69291	54	2	1
2014-03-28 19:47:16.30682	69292	23.1	1	1
2014-03-28 19:47:31.519251	69293	48	2	10
2014-03-28 19:47:31.75139	69294	24.3	1	10
2014-03-28 19:47:32.287056	69295	402	3	2
2014-03-28 19:47:32.509924	69296	1114257.7995761537	4	2
2014-03-28 19:47:42.059537	69297	50	2	8
2014-03-28 19:47:42.303061	69298	22.1	1	8
2014-03-28 19:47:55.083558	69299	54	2	1
2014-03-28 19:47:55.305382	69300	23.1	1	1
2014-03-28 19:48:10.51815	69301	48	2	10
2014-03-28 19:48:10.749212	69302	24.3	1	10
2014-03-28 19:48:21.058224	69303	50	2	8
2014-03-28 19:48:21.281194	69304	22.1	1	8
2014-03-28 19:48:32.286428	69305	418	3	2
2014-03-28 19:48:32.518561	69306	1114264.6937844823	4	2
2014-03-28 19:48:34.081689	69307	54	2	1
2014-03-28 19:48:34.303458	69308	23.2	1	1
2014-03-28 19:48:49.516782	69309	48	2	10
2014-03-28 19:48:49.751156	69310	24.3	1	10
2014-03-28 19:49:00.058952	69311	50	2	8
2014-03-28 19:49:00.281097	69312	22.1	1	8
2014-03-28 19:49:13.320087	69313	54	2	1
2014-03-28 19:49:13.554188	69314	23.2	1	1
2014-03-28 19:49:28.516303	69315	48	2	10
2014-03-28 19:49:28.763069	69316	24.3	1	10
2014-03-28 19:49:32.285011	69317	418	3	2
2014-03-28 19:49:32.517364	69318	1114271.5879928106	4	2
2014-03-28 19:49:39.058064	69319	50	2	8
2014-03-28 19:49:39.280963	69320	22.1	1	8
2014-03-28 19:49:52.08089	69321	54	2	1
2014-03-28 19:49:52.313892	69322	23.2	1	1
2014-03-28 19:50:07.519263	69323	48	2	10
2014-03-28 19:50:07.740492	69324	24.3	1	10
2014-03-28 19:50:18.059146	69325	50	2	8
2014-03-28 19:50:18.29119	69326	22.1	1	8
2014-03-28 19:50:31.123353	69327	54	2	1
2014-03-28 19:50:31.345731	69328	23.2	1	1
2014-03-28 19:50:32.285049	69329	418	3	2
2014-03-28 19:50:32.517288	69330	1114278.4822011392	4	2
2014-03-28 19:50:46.519019	69331	48	2	10
2014-03-28 19:50:46.740812	69332	24.3	1	10
2014-03-28 19:50:57.062523	69333	50	2	8
2014-03-28 19:50:57.305637	69334	22.1	1	8
2014-03-28 19:51:10.078585	69335	54	2	1
2014-03-28 19:51:10.300187	69336	23.2	1	1
2014-03-28 19:51:25.517641	69337	48	2	10
2014-03-28 19:51:25.75088	69338	24.3	1	10
2014-03-28 19:51:32.282549	69339	418	3	2
2014-03-28 19:51:32.505536	69340	1114285.3764094678	4	2
2014-03-28 19:51:36.05867	69341	50	2	8
2014-03-28 19:51:36.291605	69342	22.1	1	8
2014-03-28 19:51:49.078112	69343	54	2	1
2014-03-28 19:51:49.302188	69344	23.2	1	1
2014-03-28 19:52:04.519219	69345	48	2	10
2014-03-28 19:52:04.750917	69346	24.3	1	10
2014-03-28 19:52:15.059843	69347	50	2	8
2014-03-28 19:52:15.285926	69348	22.1	1	8
2014-03-28 19:52:28.079542	69349	54	2	1
2014-03-28 19:52:28.310988	69350	23.2	1	1
2014-03-28 19:52:32.282407	69351	418	3	2
2014-03-28 19:52:32.505571	69352	1114292.270617796	4	2
2014-03-28 19:52:43.518913	69353	48	2	10
2014-03-28 19:52:43.75378	69354	24.3	1	10
2014-03-28 19:52:54.05968	69355	50	2	8
2014-03-28 19:52:54.283395	69356	22.1	1	8
2014-03-28 19:52:56.285826	69357	354	3	2
2014-03-28 19:52:56.524186	69358	1114295.7177219605	4	2
2014-03-28 19:53:07.077443	69359	54	2	1
2014-03-28 19:53:07.29942	69360	23.2	1	1
2014-03-28 19:53:08.283028	69361	354	3	2
2014-03-28 19:53:08.516688	69362	1114296.8667566818	4	2
2014-03-28 19:53:22.520336	69363	48	2	10
2014-03-28 19:53:22.741297	69364	24.3	1	10
2014-03-28 19:53:32.283344	69365	354	3	2
2014-03-28 19:53:32.51714	69366	1114299.1648261247	4	2
2014-03-28 19:53:33.059538	69367	50	2	8
2014-03-28 19:53:33.28012	69368	22.1	1	8
2014-03-28 19:53:46.080114	69369	54	2	1
2014-03-28 19:53:46.312475	69370	23.2	1	1
2014-03-28 19:53:56.282426	69371	434	3	2
2014-03-28 19:53:56.503512	69372	1114301.4628955675	4	2
2014-03-28 19:54:01.517794	69373	48	2	10
2014-03-28 19:54:01.754836	69374	24.3	1	10
2014-03-28 19:54:08.284733	69375	434	3	2
2014-03-28 19:54:08.507135	69376	1114302.6119302888	4	2
2014-03-28 19:54:12.058409	69377	50	2	8
2014-03-28 19:54:12.288683	69378	22.2	1	8
2014-03-28 19:54:25.077015	69379	54	2	1
2014-03-28 19:54:25.337318	69380	23.2	1	1
2014-03-28 19:54:32.283971	69381	434	3	2
2014-03-28 19:54:32.529478	69382	1114306.0590344532	4	2
2014-03-28 19:54:40.519401	69383	48	2	10
2014-03-28 19:54:40.742997	69384	24.3	1	10
2014-03-28 19:54:51.058569	69385	50	2	8
2014-03-28 19:54:51.344511	69386	22.2	1	8
2014-03-28 19:55:04.074418	69387	54	2	1
2014-03-28 19:55:04.297351	69388	23.2	1	1
2014-03-28 19:55:19.519459	69389	48	2	10
2014-03-28 19:55:19.75177	69390	24.3	1	10
2014-03-28 19:55:30.058892	69391	50	2	8
2014-03-28 19:55:30.281467	69392	22.2	1	8
2014-03-28 19:55:32.282558	69393	450	3	2
2014-03-28 19:55:32.514345	69394	1114311.8086790126	4	2
2014-03-28 19:55:43.073732	69395	54	2	1
2014-03-28 19:55:43.295829	69396	23.2	1	1
2014-03-28 19:55:58.52045	69397	48	2	10
2014-03-28 19:55:58.753129	69398	24.4	1	10
2014-03-28 19:56:09.060509	69399	50	2	8
2014-03-28 19:56:09.28365	69400	22.2	1	8
2014-03-28 19:56:22.078782	69401	54	2	1
2014-03-28 19:56:22.310289	69402	23.2	1	1
2014-03-28 19:56:32.282647	69403	450	3	2
2014-03-28 19:56:32.504113	69404	1114319.8519220625	4	2
2014-03-28 19:56:37.518695	69405	48	2	10
2014-03-28 19:56:37.754822	69406	24.4	1	10
2014-03-28 19:56:48.058271	69407	50	2	8
2014-03-28 19:56:48.28297	69408	22.2	1	8
2014-03-28 19:57:01.07303	69409	54	2	1
2014-03-28 19:57:01.305621	69410	23.2	1	1
2014-03-28 19:57:16.521034	69411	48	2	10
2014-03-28 19:57:16.742741	69412	24.4	1	10
2014-03-28 19:57:27.059602	69413	50	2	8
2014-03-28 19:57:27.293949	69414	22.2	1	8
2014-03-28 19:57:32.288226	69415	434	3	2
2014-03-28 19:57:32.511216	69416	1114326.7461303908	4	2
2014-03-28 19:57:40.077529	69417	54	2	1
2014-03-28 19:57:40.33404	69418	23.2	1	1
2014-03-28 19:57:55.723323	69419	48	2	10
2014-03-28 19:57:55.945749	69420	24.4	1	10
2014-03-28 19:58:06.058182	69421	50	2	8
2014-03-28 19:58:06.289556	69422	22.2	1	8
2014-03-28 19:58:19.078066	69423	54	2	1
2014-03-28 19:58:19.302932	69424	23.2	1	1
2014-03-28 19:58:32.283164	69425	434	3	2
2014-03-28 19:58:32.516356	69426	1114334.7893734407	4	2
2014-03-28 19:58:34.523237	69427	48	2	10
2014-03-28 19:58:34.744554	69428	24.4	1	10
2014-03-28 19:58:45.058881	69429	50	2	8
2014-03-28 19:58:45.30183	69430	22.2	1	8
2014-03-28 19:58:58.072448	69431	54	2	1
2014-03-28 19:58:58.295347	69432	23.2	1	1
2014-03-28 19:59:13.522988	69433	48	2	10
2014-03-28 19:59:13.759257	69434	24.4	1	10
2014-03-28 19:59:24.058271	69435	50	2	8
2014-03-28 19:59:24.280864	69436	22.2	1	8
2014-03-28 19:59:32.282443	69437	434	3	2
2014-03-28 19:59:32.513069	69438	1114341.6835817692	4	2
2014-03-28 19:59:37.073156	69439	54	2	1
2014-03-28 19:59:37.293702	69440	23.2	1	1
2014-03-28 19:59:52.521599	69441	48	2	10
2014-03-28 19:59:52.756015	69442	24.4	1	10
2014-03-28 20:00:03.05941	69443	50	2	8
2014-03-28 20:00:03.281208	69444	22.2	1	8
2014-03-28 20:00:16.072067	69445	54	2	1
2014-03-28 20:00:16.303044	69446	23.2	1	1
2014-03-28 20:00:31.520243	69447	48	2	10
2014-03-28 20:00:31.744182	69448	24.4	1	10
2014-03-28 20:00:32.283004	69449	434	3	2
2014-03-28 20:00:32.514279	69450	1114348.5777900978	4	2
2014-03-28 20:00:42.059604	69451	50	2	8
2014-03-28 20:00:42.281532	69452	22.2	1	8
2014-03-28 20:00:44.281909	69453	482	3	2
2014-03-28 20:00:44.513239	69454	1114350.8758595407	4	2
2014-03-28 20:00:55.073268	69455	54	2	1
2014-03-28 20:00:55.296413	69456	23.2	1	1
2014-03-28 20:00:56.280814	69457	482	3	2
2014-03-28 20:00:56.537609	69458	1114352.024894262	4	2
2014-03-28 20:01:10.521942	69459	48	2	10
2014-03-28 20:01:10.744645	69460	24.4	1	10
2014-03-28 20:01:21.059735	69461	50	2	8
2014-03-28 20:01:21.292581	69462	22.2	1	8
2014-03-28 20:01:32.282217	69463	466	3	2
2014-03-28 20:01:32.503999	69464	1114356.6210331477	4	2
2014-03-28 20:01:34.075055	69465	54	2	1
2014-03-28 20:01:34.30645	69466	23.2	1	1
2014-03-28 20:01:49.525435	69467	48	2	10
2014-03-28 20:01:49.74796	69468	24.4	1	10
2014-03-28 20:02:00.060106	69469	50	2	8
2014-03-28 20:02:00.293556	69470	22.2	1	8
2014-03-28 20:02:13.070813	69471	54	2	1
2014-03-28 20:02:13.294733	69472	23.2	1	1
2014-03-28 20:02:28.524168	69473	48	2	10
2014-03-28 20:02:28.756388	69474	24.4	1	10
2014-03-28 20:02:32.285363	69475	482	3	2
2014-03-28 20:02:32.507321	69476	1114364.6642761976	4	2
2014-03-28 20:02:39.058653	69477	50	2	8
2014-03-28 20:02:39.304234	69478	22.2	1	8
2014-03-28 20:02:52.073541	69479	54	2	1
2014-03-28 20:02:52.296959	69480	23.3	1	1
2014-03-28 20:03:07.523767	69481	48	2	10
2014-03-28 20:03:07.940008	69482	24.4	1	10
2014-03-28 20:03:18.05752	69483	50	2	8
2014-03-28 20:03:18.278469	69484	22.2	1	8
2014-03-28 20:03:31.074681	69485	54	2	1
2014-03-28 20:03:31.294252	69486	23.3	1	1
2014-03-28 20:03:32.283284	69487	482	3	2
2014-03-28 20:03:32.514031	69488	1114372.7075192474	4	2
2014-03-28 20:03:46.52462	69489	48	2	10
2014-03-28 20:03:46.745998	69490	24.4	1	10
2014-03-28 20:03:57.057734	69491	50	2	8
2014-03-28 20:03:57.286828	69492	22.2	1	8
2014-03-28 20:04:10.070723	69493	54	2	1
2014-03-28 20:04:10.292976	69494	23.3	1	1
2014-03-28 20:04:25.520609	69495	48	2	10
2014-03-28 20:04:25.807944	69496	24.4	1	10
2014-03-28 20:04:32.283472	69497	482	3	2
2014-03-28 20:04:32.504462	69498	1114380.7507622973	4	2
2014-03-28 20:04:36.057728	69499	50	2	8
2014-03-28 20:04:36.287452	69500	22.2	1	8
2014-03-28 20:04:49.072167	69501	54	2	1
2014-03-28 20:04:49.292191	69502	23.3	1	1
2014-03-28 20:05:04.522618	69503	48	2	10
2014-03-28 20:05:04.754432	69504	24.4	1	10
2014-03-28 20:05:15.058165	69505	50	2	8
2014-03-28 20:05:15.279139	69506	22.2	1	8
2014-03-28 20:05:28.070913	69507	54	2	1
2014-03-28 20:05:28.30169	69508	23.3	1	1
2014-03-28 20:05:32.280536	69509	482	3	2
2014-03-28 20:05:32.502304	69510	1114388.7940053472	4	2
2014-03-28 20:05:43.522631	69511	48	2	10
2014-03-28 20:05:43.75294	69512	24.5	1	10
2014-03-28 20:05:54.058568	69513	50	2	8
2014-03-28 20:05:54.279384	69514	22.2	1	8
2014-03-28 20:05:56.282114	69515	434	3	2
2014-03-28 20:05:56.513228	69516	1114392.2411095116	4	2
2014-03-28 20:06:07.113694	69517	54	2	1
2014-03-28 20:06:07.334538	69518	23.3	1	1
2014-03-28 20:06:08.281821	69519	434	3	2
2014-03-28 20:06:08.512828	69520	1114393.390144233	4	2
2014-03-28 20:06:22.521077	69521	48	2	10
2014-03-28 20:06:22.743209	69522	24.5	1	10
2014-03-28 20:06:32.280993	69523	434	3	2
2014-03-28 20:06:32.511731	69524	1114396.8372483973	4	2
2014-03-28 20:06:33.059995	69525	50	2	8
2014-03-28 20:06:33.279968	69526	22.2	1	8
2014-03-28 20:06:46.072476	69527	54	2	1
2014-03-28 20:06:46.314683	69528	23.3	1	1
2014-03-28 20:07:01.524482	69529	48	2	10
2014-03-28 20:07:01.786838	69530	24.5	1	10
2014-03-28 20:07:12.058165	69531	50	2	8
2014-03-28 20:07:12.823051	69532	22.2	1	8
2014-03-28 20:07:25.070091	69533	54	2	1
2014-03-28 20:07:25.33188	69534	23.3	1	1
2014-03-28 20:07:32.2834	69535	434	3	2
2014-03-28 20:07:32.547987	69536	1114403.7314567256	4	2
2014-03-28 20:07:40.524835	69537	48	2	10
2014-03-28 20:07:40.748328	69538	24.5	1	10
2014-03-28 20:07:51.059803	69539	50	2	8
2014-03-28 20:07:51.291254	69540	22.2	1	8
2014-03-28 20:08:04.071471	69541	54	2	1
2014-03-28 20:08:04.293238	69542	23.3	1	1
2014-03-28 20:08:19.523665	69543	48	2	10
2014-03-28 20:08:19.754936	69544	24.5	1	10
2014-03-28 20:08:20.284653	69545	354	3	2
2014-03-28 20:08:20.507204	69546	1114409.4766303326	4	2
2014-03-28 20:08:30.060276	69547	50	2	8
2014-03-28 20:08:30.292683	69548	22.2	1	8
2014-03-28 20:08:32.281831	69549	354	3	2
2014-03-28 20:08:32.504294	69550	1114410.6256650542	4	2
2014-03-28 20:08:43.069104	69551	54	2	1
2014-03-28 20:08:43.298088	69552	23.3	1	1
2014-03-28 20:08:58.524773	69553	48	2	10
2014-03-28 20:08:58.748106	69554	24.5	1	10
2014-03-28 20:09:09.057544	69555	50	2	8
2014-03-28 20:09:09.288145	69556	22.2	1	8
2014-03-28 20:09:22.068231	69557	54	2	1
2014-03-28 20:09:22.290156	69558	23.3	1	1
2014-03-28 20:09:32.28249	69559	354	3	2
2014-03-28 20:09:32.51346	69560	1114416.3708386612	4	2
2014-03-28 20:09:37.524903	69561	48	2	10
2014-03-28 20:09:37.749096	69562	24.5	1	10
2014-03-28 20:09:48.059406	69563	50	2	8
2014-03-28 20:09:48.29013	69564	22.2	1	8
2014-03-28 20:10:01.111566	69565	54	2	1
2014-03-28 20:10:01.332366	69566	23.3	1	1
2014-03-28 20:10:16.523009	69567	48	2	10
2014-03-28 20:10:16.755523	69568	24.5	1	10
2014-03-28 20:10:27.183759	69569	50	2	8
2014-03-28 20:10:27.603517	69570	22.3	1	8
2014-03-28 20:10:32.283146	69571	354	3	2
2014-03-28 20:10:32.515995	69572	1114422.1160122682	4	2
2014-03-28 20:10:40.068156	69573	54	2	1
2014-03-28 20:10:40.289605	69574	23.3	1	1
2014-03-28 20:10:55.524107	69575	48	2	10
2014-03-28 20:10:55.769954	69576	24.5	1	10
2014-03-28 20:11:06.058192	69577	50	2	8
2014-03-28 20:11:06.279246	69578	22.3	1	8
2014-03-28 20:11:19.067942	69579	54	2	1
2014-03-28 20:11:19.298612	69580	23.3	1	1
2014-03-28 20:11:32.279439	69581	354	3	2
2014-03-28 20:11:32.501099	69582	1114429.0102205968	4	2
2014-03-28 20:11:34.525278	69583	48	2	10
2014-03-28 20:11:34.756658	69584	24.5	1	10
2014-03-28 20:11:45.05998	69585	50	2	8
2014-03-28 20:11:45.282292	69586	22.3	1	8
2014-03-28 20:11:58.067812	69587	53	2	1
2014-03-28 20:11:58.301176	69588	23.3	1	1
2014-03-28 20:12:13.524841	69589	48	2	10
2014-03-28 20:12:13.745902	69590	24.5	1	10
2014-03-28 20:12:24.060513	69591	50	2	8
2014-03-28 20:12:24.291219	69592	22.3	1	8
2014-03-28 20:12:32.281122	69593	354	3	2
2014-03-28 20:12:32.501193	69594	1114434.7553942038	4	2
2014-03-28 20:12:37.077114	69595	53	2	1
2014-03-28 20:12:37.312942	69596	23.3	1	1
2014-03-28 20:12:52.524961	69597	48	2	10
2014-03-28 20:12:52.74674	69598	24.5	1	10
2014-03-28 20:13:03.058264	69599	50	2	8
2014-03-28 20:13:03.291192	69600	22.3	1	8
2014-03-28 20:13:16.064446	69601	53	2	1
2014-03-28 20:13:16.290271	69602	23.3	1	1
2014-03-28 20:13:31.526037	69603	48	2	10
2014-03-28 20:13:31.763462	69604	24.5	1	10
2014-03-28 20:13:32.283255	69605	354	3	2
2014-03-28 20:13:32.504235	69606	1114440.5005678108	4	2
2014-03-28 20:13:42.057735	69607	50	2	8
2014-03-28 20:13:42.291142	69608	22.3	1	8
2014-03-28 20:13:44.282589	69609	418	3	2
2014-03-28 20:13:44.505325	69610	1114441.6496025324	4	2
2014-03-28 20:13:55.064532	69611	53	2	1
2014-03-28 20:13:55.295642	69612	23.3	1	1
2014-03-28 20:13:56.281509	69613	418	3	2
2014-03-28 20:13:56.5029	69614	1114442.7986372537	4	2
2014-03-28 20:14:10.524876	69615	48	2	10
2014-03-28 20:14:10.755363	69616	24.5	1	10
2014-03-28 20:14:21.057617	69617	50	2	8
2014-03-28 20:14:21.278858	69618	22.3	1	8
2014-03-28 20:14:32.27908	69619	418	3	2
2014-03-28 20:14:32.512517	69620	1114447.3947761394	4	2
2014-03-28 20:14:34.063599	69621	53	2	1
2014-03-28 20:14:34.306172	69622	23.3	1	1
2014-03-28 20:14:49.526718	69623	48	2	10
2014-03-28 20:14:49.769234	69624	24.5	1	10
2014-03-28 20:15:00.057895	69625	50	2	8
2014-03-28 20:15:00.279235	69626	22.3	1	8
2014-03-28 20:15:13.063934	69627	53	2	1
2014-03-28 20:15:13.295039	69628	23.3	1	1
2014-03-28 20:15:28.523249	69629	48	2	10
2014-03-28 20:15:28.74618	69630	24.5	1	10
2014-03-28 20:15:32.280409	69631	418	3	2
2014-03-28 20:15:32.511876	69632	1114454.288984468	4	2
2014-03-28 20:15:39.058204	69633	50	2	8
2014-03-28 20:15:39.277955	69634	22.3	1	8
2014-03-28 20:15:52.06471	69635	53	2	1
2014-03-28 20:15:52.298533	69636	23.3	1	1
2014-03-28 20:16:07.523119	69637	48	2	10
2014-03-28 20:16:07.745831	69638	24.5	1	10
2014-03-28 20:16:18.057884	69639	50	2	8
2014-03-28 20:16:18.288899	69640	22.3	1	8
2014-03-28 20:16:31.062989	69641	53	2	1
2014-03-28 20:16:31.290308	69642	23.3	1	1
2014-03-28 20:16:32.279355	69643	418	3	2
2014-03-28 20:16:32.509907	69644	1114461.1831927963	4	2
2014-03-28 20:16:46.527315	69645	48	2	10
2014-03-28 20:16:46.747816	69646	24.6	1	10
2014-03-28 20:16:57.060393	69647	50	2	8
2014-03-28 20:16:57.291345	69648	22.3	1	8
2014-03-28 20:17:10.063899	69649	53	2	1
2014-03-28 20:17:10.285722	69650	23.3	1	1
2014-03-28 20:17:25.525415	69651	48	2	10
2014-03-28 20:17:25.774753	69652	24.6	1	10
2014-03-28 20:17:32.280665	69653	418	3	2
2014-03-28 20:17:32.502885	69654	1114468.0774011249	4	2
2014-03-28 20:17:36.059605	69655	50	2	8
2014-03-28 20:17:36.292504	69656	22.3	1	8
2014-03-28 20:17:49.064911	69657	53	2	1
2014-03-28 20:17:49.287759	69658	23.3	1	1
2014-03-28 20:18:04.525934	69659	48	2	10
2014-03-28 20:18:04.757317	69660	24.6	1	10
2014-03-28 20:18:15.058073	69661	50	2	8
2014-03-28 20:18:15.280885	69662	22.3	1	8
2014-03-28 20:18:28.305032	69663	53	2	1
2014-03-28 20:18:28.536702	69664	23.3	1	1
2014-03-28 20:18:32.283155	69665	418	3	2
2014-03-28 20:18:32.505219	69666	1114474.9716094534	4	2
2014-03-28 20:18:43.526877	69667	48	2	10
2014-03-28 20:18:43.757036	69668	24.6	1	10
2014-03-28 20:18:54.060191	69669	50	2	8
2014-03-28 20:18:54.284747	69670	22.3	1	8
2014-03-28 20:19:07.061276	69671	53	2	1
2014-03-28 20:19:07.305856	69672	23.3	1	1
2014-03-28 20:19:08.279127	69673	354	3	2
2014-03-28 20:19:08.500541	69674	1114479.5677483391	4	2
2014-03-28 20:19:20.282049	69675	354	3	2
2014-03-28 20:19:20.515327	69676	1114480.7167830605	4	2
2014-03-28 20:19:22.527209	69677	48	2	10
2014-03-28 20:19:22.747874	69678	24.6	1	10
2014-03-28 20:19:32.278776	69679	354	3	2
2014-03-28 20:19:32.511634	69680	1114481.865817782	4	2
2014-03-28 20:19:33.057896	69681	50	2	8
2014-03-28 20:19:33.277483	69682	22.3	1	8
2014-03-28 20:19:46.06014	69683	53	2	1
2014-03-28 20:19:46.291713	69684	23.3	1	1
2014-03-28 20:20:01.529354	69685	48	2	10
2014-03-28 20:20:01.747705	69686	24.6	1	10
2014-03-28 20:20:12.058136	69687	50	2	8
2014-03-28 20:20:12.290042	69688	22.3	1	8
2014-03-28 20:20:25.060574	69689	53	2	1
2014-03-28 20:20:25.3026	69690	23.3	1	1
2014-03-28 20:20:40.330579	69691	354	3	2
2014-03-28 20:20:40.563449	69692	1114487.610991389	4	2
2014-03-28 20:20:40.86968	69693	48	2	10
2014-03-28 20:20:41.088156	69694	24.6	1	10
2014-03-28 20:20:51.057711	69695	50	2	8
2014-03-28 20:20:51.290009	69696	22.3	1	8
2014-03-28 20:21:04.062233	69697	53	2	1
2014-03-28 20:21:04.283045	69698	23.3	1	1
2014-03-28 20:21:19.527967	69699	48	2	10
2014-03-28 20:21:19.761605	69700	24.6	1	10
2014-03-28 20:21:30.057826	69701	50	2	8
2014-03-28 20:21:30.278665	69702	22.3	1	8
2014-03-28 20:21:32.279226	69703	354	3	2
2014-03-28 20:21:32.509762	69704	1114493.356164996	4	2
2014-03-28 20:21:43.059941	69705	53	2	1
2014-03-28 20:21:43.280577	69706	23.4	1	1
2014-03-28 20:21:58.526983	69707	48	2	10
2014-03-28 20:21:58.756917	69708	24.6	1	10
2014-03-28 20:22:09.057818	69709	50	2	8
2014-03-28 20:22:09.282088	69710	22.3	1	8
2014-03-28 20:22:22.298608	69711	53	2	1
2014-03-28 20:22:22.529888	69712	23.4	1	1
2014-03-28 20:22:32.281331	69713	354	3	2
2014-03-28 20:22:32.502815	69714	1114499.101338603	4	2
2014-03-28 20:22:37.731365	69715	48	2	10
2014-03-28 20:22:37.987782	69716	24.6	1	10
2014-03-28 20:22:48.059681	69717	50	2	8
2014-03-28 20:22:48.281733	69718	22.3	1	8
2014-03-28 20:23:01.060086	69719	53	2	1
2014-03-28 20:23:01.303795	69720	23.4	1	1
2014-03-28 20:23:16.732133	69721	48	2	10
2014-03-28 20:23:16.953027	69722	24.6	1	10
2014-03-28 20:23:27.057593	69723	50	2	8
2014-03-28 20:23:27.292506	69724	22.3	1	8
2014-03-28 20:23:39.868788	69725	354	3	2
2014-03-28 20:23:40.091111	69726	1114505.9955469316	4	2
2014-03-28 20:23:40.394671	69727	53	2	1
2014-03-28 20:23:40.62645	69728	23.4	1	1
2014-03-28 20:23:55.529622	69729	48	2	10
2014-03-28 20:23:55.751281	69730	24.6	1	10
2014-03-28 20:24:06.057981	69731	50	2	8
2014-03-28 20:24:06.289519	69732	22.3	1	8
2014-03-28 20:24:19.058999	69733	53	2	1
2014-03-28 20:24:19.281069	69734	23.4	1	1
2014-03-28 20:24:32.280636	69735	354	3	2
2014-03-28 20:24:32.514299	69736	1114511.7407205387	4	2
2014-03-28 20:24:34.526686	69737	48	2	10
2014-03-28 20:24:34.747006	69738	24.6	1	10
2014-03-28 20:24:45.056923	69739	50	2	8
2014-03-28 20:24:45.287341	69740	22.3	1	8
2014-03-28 20:24:58.064364	69741	53	2	1
2014-03-28 20:24:58.285762	69742	23.4	1	1
2014-03-28 20:25:13.529783	69743	48	2	10
2014-03-28 20:25:13.761235	69744	24.6	1	10
2014-03-28 20:25:24.057863	69745	50	2	8
2014-03-28 20:25:24.279444	69746	22.3	1	8
2014-03-28 20:25:32.277475	69747	354	3	2
2014-03-28 20:25:32.51055	69748	1114517.4858941457	4	2
2014-03-28 20:25:37.056806	69749	53	2	1
2014-03-28 20:25:37.278188	69750	23.4	1	1
2014-03-28 20:25:52.529185	69751	48	2	10
2014-03-28 20:25:52.76255	69752	24.6	1	10
2014-03-28 20:26:03.05888	69753	50	2	8
2014-03-28 20:26:03.280582	69754	22.3	1	8
2014-03-28 20:26:16.059847	69755	53	2	1
2014-03-28 20:26:16.292146	69756	23.4	1	1
2014-03-28 20:26:31.528326	69757	48	2	10
2014-03-28 20:26:31.778771	69758	24.7	1	10
2014-03-28 20:26:32.278268	69759	354	3	2
2014-03-28 20:26:32.509152	69760	1114523.231067753	4	2
2014-03-28 20:26:42.056462	69761	50	2	8
2014-03-28 20:26:42.27852	69762	22.4	1	8
2014-03-28 20:26:55.056595	69763	53	2	1
2014-03-28 20:26:55.288976	69764	23.4	1	1
2014-03-28 20:27:08.280223	69765	418	3	2
2014-03-28 20:27:08.501676	69766	1114526.678171917	4	2
2014-03-28 20:27:10.528302	69767	48	2	10
2014-03-28 20:27:10.770396	69768	24.7	1	10
2014-03-28 20:27:20.278599	69769	418	3	2
2014-03-28 20:27:20.502403	69770	1114528.97624136	4	2
2014-03-28 20:27:21.057224	69771	50	2	8
2014-03-28 20:27:21.288736	69772	22.4	1	8
2014-03-28 20:27:32.279323	69773	418	3	2
2014-03-28 20:27:32.501019	69774	1114530.1252760813	4	2
2014-03-28 20:27:34.055782	69775	53	2	1
2014-03-28 20:27:34.285866	69776	23.4	1	1
2014-03-28 20:27:49.527243	69777	48	2	10
2014-03-28 20:27:49.750188	69778	24.7	1	10
2014-03-28 20:28:00.058629	69779	50	2	8
2014-03-28 20:28:00.290964	69780	22.4	1	8
2014-03-28 20:28:13.059252	69781	53	2	1
2014-03-28 20:28:13.281734	69782	23.4	1	1
2014-03-28 20:28:28.530529	69783	48	2	10
2014-03-28 20:28:28.761155	69784	24.7	1	10
2014-03-28 20:28:32.278179	69785	418	3	2
2014-03-28 20:28:32.498319	69786	1114537.0194844098	4	2
2014-03-28 20:28:39.057611	69787	50	2	8
2014-03-28 20:28:39.292464	69788	22.4	1	8
2014-03-28 20:28:52.056926	69789	53	2	1
2014-03-28 20:28:52.33648	69790	23.4	1	1
2014-03-28 20:29:07.529271	69791	48	2	10
2014-03-28 20:29:07.760076	69792	24.7	1	10
2014-03-28 20:29:18.058604	69793	50	2	8
2014-03-28 20:29:18.304076	69794	22.3	1	8
2014-03-28 20:29:31.054144	69795	53	2	1
2014-03-28 20:29:31.288174	69796	23.4	1	1
2014-03-28 20:29:32.283047	69797	418	3	2
2014-03-28 20:29:32.503868	69798	1114543.9136927384	4	2
2014-03-28 20:29:46.530469	69799	48	2	10
2014-03-28 20:29:46.762588	69800	24.7	1	10
2014-03-28 20:29:57.058221	69801	50	2	8
2014-03-28 20:29:57.287231	69802	22.4	1	8
2014-03-28 20:30:10.054076	69803	53	2	1
2014-03-28 20:30:10.28775	69804	23.4	1	1
2014-03-28 20:30:25.53114	69805	49	2	10
2014-03-28 20:30:25.753267	69806	24.7	1	10
2014-03-28 20:30:32.276557	69807	434	3	2
2014-03-28 20:30:32.511151	69808	1114550.8079010667	4	2
2014-03-28 20:30:36.057428	69809	50	2	8
2014-03-28 20:30:36.278244	69810	22.4	1	8
2014-03-28 20:30:49.05527	69811	53	2	1
2014-03-28 20:30:49.288571	69812	23.4	1	1
2014-03-28 20:31:04.532488	69813	49	2	10
2014-03-28 20:31:04.754141	69814	24.7	1	10
2014-03-28 20:31:15.057676	69815	50	2	8
2014-03-28 20:31:15.299995	69816	22.4	1	8
2014-03-28 20:31:28.099245	69817	53	2	1
2014-03-28 20:31:28.319473	69818	23.4	1	1
2014-03-28 20:31:32.28129	69819	418	3	2
2014-03-28 20:31:32.513286	69820	1114557.7021093953	4	2
2014-03-28 20:31:43.527355	69821	49	2	10
2014-03-28 20:31:43.751873	69822	24.7	1	10
2014-03-28 20:31:54.05572	69823	50	2	8
2014-03-28 20:31:54.287419	69824	22.4	1	8
2014-03-28 20:32:07.054769	69825	53	2	1
2014-03-28 20:32:07.275856	69826	23.4	1	1
2014-03-28 20:32:22.529691	69827	49	2	10
2014-03-28 20:32:22.773606	69828	24.7	1	10
2014-03-28 20:32:32.279288	69829	354	3	2
2014-03-28 20:32:32.499786	69830	1114564.5963177239	4	2
2014-03-28 20:32:33.057559	69831	50	2	8
2014-03-28 20:32:33.288071	69832	22.4	1	8
2014-03-28 20:32:44.279154	69833	370	3	2
2014-03-28 20:32:44.501846	69834	1114566.8943871665	4	2
2014-03-28 20:32:46.054709	69835	53	2	1
2014-03-28 20:32:46.285541	69836	23.4	1	1
2014-03-28 20:33:01.533916	69837	49	2	10
2014-03-28 20:33:01.75408	69838	24.7	1	10
2014-03-28 20:33:12.056516	69839	50	2	8
2014-03-28 20:33:12.287273	69840	22.4	1	8
2014-03-28 20:33:25.058201	69841	53	2	1
2014-03-28 20:33:25.278567	69842	23.4	1	1
2014-03-28 20:33:32.279354	69843	370	3	2
2014-03-28 20:33:32.510722	69844	1114571.4905260522	4	2
2014-03-28 20:33:40.532463	69845	49	2	10
2014-03-28 20:33:40.755042	69846	24.7	1	10
2014-03-28 20:33:51.057323	69847	50	2	8
2014-03-28 20:33:51.28924	69848	22.4	1	8
2014-03-28 20:34:04.053006	69849	53	2	1
2014-03-28 20:34:04.277108	69850	23.4	1	1
2014-03-28 20:34:19.531125	69851	49	2	10
2014-03-28 20:34:19.764729	69852	24.7	1	10
2014-03-28 20:34:30.056756	69853	50	2	8
2014-03-28 20:34:30.281618	69854	22.4	1	8
2014-03-28 20:34:32.277671	69855	370	3	2
2014-03-28 20:34:32.509736	69856	1114577.2356996592	4	2
2014-03-28 20:34:43.052474	69857	53	2	1
2014-03-28 20:34:43.276181	69858	23.4	1	1
2014-03-28 20:34:58.529342	69859	49	2	10
2014-03-28 20:34:58.760836	69860	24.7	1	10
2014-03-28 20:35:09.056252	69861	50	2	8
2014-03-28 20:35:09.285527	69862	22.4	1	8
2014-03-28 20:35:22.053046	69863	53	2	1
2014-03-28 20:35:22.294718	69864	23.4	1	1
2014-03-28 20:35:32.279464	69865	354	3	2
2014-03-28 20:35:32.502488	69866	1114582.9808732665	4	2
2014-03-28 20:35:37.531501	69867	49	2	10
2014-03-28 20:35:37.766139	69868	24.7	1	10
2014-03-28 20:35:48.057037	69869	50	2	8
2014-03-28 20:35:48.277713	69870	22.4	1	8
2014-03-28 20:36:01.098647	69871	53	2	1
2014-03-28 20:36:01.329902	69872	23.4	1	1
2014-03-28 20:36:16.534685	69873	49	2	10
2014-03-28 20:36:16.75589	69874	24.7	1	10
2014-03-28 20:36:27.055847	69875	50	2	8
2014-03-28 20:36:27.287747	69876	22.4	1	8
2014-03-28 20:36:32.277341	69877	354	3	2
2014-03-28 20:36:32.498802	69878	1114588.7260468735	4	2
2014-03-28 20:36:40.050451	69879	53	2	1
2014-03-28 20:36:40.281617	69880	23.4	1	1
2014-03-28 20:36:55.533184	69881	49	2	10
2014-03-28 20:36:55.75779	69882	24.7	1	10
2014-03-28 20:37:06.055964	69883	50	2	8
2014-03-28 20:37:06.287334	69884	22.4	1	8
2014-03-28 20:37:19.094523	69885	53	2	1
2014-03-28 20:37:19.315117	69886	23.4	1	1
2014-03-28 20:37:32.278476	69887	354	3	2
2014-03-28 20:37:32.509334	69888	1114595.620255202	4	2
2014-03-28 20:37:34.533695	69889	49	2	10
2014-03-28 20:37:34.756721	69890	24.8	1	10
2014-03-28 20:37:45.05767	69891	50	2	8
2014-03-28 20:37:45.290426	69892	22.4	1	8
2014-03-28 20:37:58.053523	69893	53	2	1
2014-03-28 20:37:58.295526	69894	23.5	1	1
2014-03-28 20:38:13.533621	69895	49	2	10
2014-03-28 20:38:13.765199	69896	24.8	1	10
2014-03-28 20:38:24.057309	69897	50	2	8
2014-03-28 20:38:24.280602	69898	22.4	1	8
2014-03-28 20:38:32.275966	69899	354	3	2
2014-03-28 20:38:32.507324	69900	1114601.365428809	4	2
2014-03-28 20:38:37.051558	69901	53	2	1
2014-03-28 20:38:37.272731	69902	23.5	1	1
2014-03-28 20:38:52.573236	69903	49	2	10
2014-03-28 20:38:52.806119	69904	24.8	1	10
2014-03-28 20:39:03.057209	69905	50	2	8
2014-03-28 20:39:03.278112	69906	22.4	1	8
2014-03-28 20:39:16.050204	69907	53	2	1
2014-03-28 20:39:16.283263	69908	23.5	1	1
2014-03-28 20:39:31.532016	69909	49	2	10
2014-03-28 20:39:31.754474	69910	24.8	1	10
2014-03-28 20:39:32.27435	69911	354	3	2
2014-03-28 20:39:32.522945	69912	1114605.9660386469	4	2
2014-03-28 20:39:42.055642	69913	50	2	8
2014-03-28 20:39:42.279599	69914	22.4	1	8
2014-03-28 20:39:55.049154	69915	53	2	1
2014-03-28 20:39:55.283537	69916	23.5	1	1
2014-03-28 20:40:10.534122	69917	49	2	10
2014-03-28 20:40:10.757518	69918	24.8	1	10
2014-03-28 20:40:20.278471	69919	418	3	2
2014-03-28 20:40:20.510775	69920	1114610.5621775326	4	2
2014-03-28 20:40:21.054815	69921	50	2	8
2014-03-28 20:40:21.277835	69922	22.4	1	8
2014-03-28 20:40:32.280658	69923	418	3	2
2014-03-28 20:40:32.520113	69924	1114611.711212254	4	2
2014-03-28 20:40:34.048518	69925	53	2	1
2014-03-28 20:40:34.269416	69926	23.5	1	1
2014-03-28 20:40:49.534316	69927	49	2	10
2014-03-28 20:40:49.767307	69928	24.8	1	10
2014-03-28 20:41:00.055218	69929	50	2	8
2014-03-28 20:41:00.277756	69930	22.4	1	8
2014-03-28 20:41:13.049714	69931	53	2	1
2014-03-28 20:41:13.280459	69932	23.5	1	1
2014-03-28 20:41:28.738608	69933	49	2	10
2014-03-28 20:41:28.96013	69934	24.8	1	10
2014-03-28 20:41:32.279464	69935	418	3	2
2014-03-28 20:41:32.519742	69936	1114618.6054205825	4	2
2014-03-28 20:41:39.055947	69937	50	2	8
2014-03-28 20:41:39.277027	69938	22.4	1	8
2014-03-28 20:41:52.048467	69939	53	2	1
2014-03-28 20:41:52.280825	69940	23.5	1	1
2014-03-28 20:42:07.533952	69941	49	2	10
2014-03-28 20:42:07.759132	69942	24.8	1	10
2014-03-28 20:42:18.056667	69943	50	2	8
2014-03-28 20:42:18.287945	69944	22.4	1	8
2014-03-28 20:42:31.047545	69945	53	2	1
2014-03-28 20:42:31.270133	69946	23.5	1	1
2014-03-28 20:42:32.274878	69947	418	3	2
2014-03-28 20:42:32.512455	69948	1114626.6486636323	4	2
2014-03-28 20:42:46.53517	69949	49	2	10
2014-03-28 20:42:46.760582	69950	24.8	1	10
2014-03-28 20:42:57.056242	69951	50	2	8
2014-03-28 20:42:57.287922	69952	22.4	1	8
2014-03-28 20:43:10.047682	69953	53	2	1
2014-03-28 20:43:10.269338	69954	23.5	1	1
2014-03-28 20:43:25.533755	69955	49	2	10
2014-03-28 20:43:25.765038	69956	24.8	1	10
2014-03-28 20:43:32.274647	69957	418	3	2
2014-03-28 20:43:32.496199	69958	1114633.542871961	4	2
2014-03-28 20:43:36.055444	69959	50	2	8
2014-03-28 20:43:36.299071	69960	22.4	1	8
2014-03-28 20:43:49.044929	69961	53	2	1
2014-03-28 20:43:49.266032	69962	23.5	1	1
2014-03-28 20:44:04.535039	69963	49	2	10
2014-03-28 20:44:04.766805	69964	24.8	1	10
2014-03-28 20:44:15.059114	69965	50	2	8
2014-03-28 20:44:15.281536	69966	22.4	1	8
2014-03-28 20:44:28.051595	69967	53	2	1
2014-03-28 20:44:28.284037	69968	23.5	1	1
2014-03-28 20:44:32.277168	69969	418	3	2
2014-03-28 20:44:32.505818	69970	1114640.4370802895	4	2
2014-03-28 20:44:43.534322	69971	49	2	10
2014-03-28 20:44:43.768472	69972	24.8	1	10
2014-03-28 20:44:54.056674	69973	50	2	8
2014-03-28 20:44:54.279381	69974	22.4	1	8
2014-03-28 20:45:07.047513	69975	53	2	1
2014-03-28 20:45:07.280754	69976	23.5	1	1
2014-03-28 20:45:22.534391	69977	49	2	10
2014-03-28 20:45:22.756499	69978	24.8	1	10
2014-03-28 20:45:32.280797	69979	418	3	2
2014-03-28 20:45:32.512391	69980	1114647.3312886178	4	2
2014-03-28 20:45:33.057026	69981	50	2	8
2014-03-28 20:45:33.279613	69982	22.4	1	8
2014-03-28 20:45:46.047623	69983	53	2	1
2014-03-28 20:45:46.281354	69984	23.5	1	1
2014-03-28 20:45:56.279528	69985	354	3	2
2014-03-28 20:45:56.500169	69986	1114649.6293580607	4	2
2014-03-28 20:46:01.53583	69987	49	2	10
2014-03-28 20:46:01.767329	69988	24.8	1	10
2014-03-28 20:46:08.27328	69989	354	3	2
2014-03-28 20:46:08.497697	69990	1114650.7783927822	4	2
2014-03-28 20:46:12.054541	69991	50	2	8
2014-03-28 20:46:12.288277	69992	22.5	1	8
2014-03-28 20:46:25.045668	69993	53	2	1
2014-03-28 20:46:25.267191	69994	23.5	1	1
2014-03-28 20:46:32.275308	69995	354	3	2
2014-03-28 20:46:32.508944	69996	1114653.0764622248	4	2
2014-03-28 20:46:40.539097	69997	49	2	10
2014-03-28 20:46:40.761992	69998	24.8	1	10
2014-03-28 20:46:51.058291	69999	50	2	8
2014-03-28 20:46:51.290611	70000	22.5	1	8
2014-03-28 20:47:04.047354	70001	53	2	1
2014-03-28 20:47:04.268144	70002	23.5	1	1
2014-03-28 20:47:08.275713	70003	434	3	2
2014-03-28 20:47:08.507842	70004	1114657.6726011105	4	2
2014-03-28 20:47:19.534665	70005	49	2	10
2014-03-28 20:47:19.76082	70006	24.8	1	10
2014-03-28 20:47:20.278054	70007	450	3	2
2014-03-28 20:47:20.51926	70008	1114658.821635832	4	2
2014-03-28 20:47:30.058256	70009	50	2	8
2014-03-28 20:47:30.280161	70010	22.5	1	8
2014-03-28 20:47:32.277991	70011	450	3	2
2014-03-28 20:47:32.514718	70012	1114659.9706705534	4	2
2014-03-28 20:47:58.536523	70013	49	2	10
2014-03-28 20:47:58.760755	70014	24.9	1	10
2014-03-28 20:48:09.057615	70015	50	2	8
2014-03-28 20:48:09.290266	70016	22.5	1	8
2014-03-28 20:48:22.044919	70017	53	2	1
2014-03-28 20:48:22.265893	70018	23.5	1	1
2014-03-28 20:48:32.276104	70019	450	3	2
2014-03-28 20:48:32.513839	70020	1114668.0139136033	4	2
2014-03-28 20:48:37.53602	70021	49	2	10
2014-03-28 20:48:37.762634	70022	24.9	1	10
2014-03-28 20:48:48.056442	70023	50	2	8
2014-03-28 20:48:48.287724	70024	22.5	1	8
2014-03-28 20:49:01.088472	70025	53	2	1
2014-03-28 20:49:01.310549	70026	23.5	1	1
2014-03-28 20:49:16.536014	70027	49	2	10
2014-03-28 20:49:16.767056	70028	24.9	1	10
2014-03-28 20:49:27.05821	70029	50	2	8
2014-03-28 20:49:27.280112	70030	22.5	1	8
2014-03-28 20:49:39.851598	70031	434	3	2
2014-03-28 20:49:40.086062	70032	1114674.9081219318	4	2
2014-03-28 20:49:40.388953	70033	52	2	1
2014-03-28 20:49:40.613337	70034	23.6	1	1
2014-03-28 20:49:55.535375	70035	49	2	10
2014-03-28 20:49:55.767255	70036	24.9	1	10
2014-03-28 20:50:06.05694	70037	50	2	8
2014-03-28 20:50:06.279061	70038	22.5	1	8
2014-03-28 20:50:19.045013	70039	52	2	1
2014-03-28 20:50:19.279017	70040	23.6	1	1
2014-03-28 20:50:32.277447	70041	450	3	2
2014-03-28 20:50:32.505909	70042	1114682.9513649817	4	2
2014-03-28 20:50:34.534712	70043	49	2	10
2014-03-28 20:50:34.767256	70044	24.9	1	10
2014-03-28 20:50:45.055294	70045	50	2	8
2014-03-28 20:50:45.279184	70046	22.5	1	8
2014-03-28 20:50:58.045857	70047	52	2	1
2014-03-28 20:50:58.278892	70048	23.6	1	1
2014-03-28 20:51:13.537618	70049	49	2	10
2014-03-28 20:51:13.759882	70050	24.9	1	10
2014-03-28 20:51:24.056084	70051	50	2	8
2014-03-28 20:51:24.28802	70052	22.5	1	8
2014-03-28 20:51:32.274154	70053	434	3	2
2014-03-28 20:51:32.497765	70054	1114689.8455733103	4	2
2014-03-28 20:51:37.043137	70055	52	2	1
2014-03-28 20:51:37.286675	70056	23.5	1	1
2014-03-28 20:51:52.538068	70057	49	2	10
2014-03-28 20:51:52.797081	70058	24.9	1	10
2014-03-28 20:52:03.056822	70059	50	2	8
2014-03-28 20:52:03.287301	70060	22.5	1	8
2014-03-28 20:52:16.04446	70061	52	2	1
2014-03-28 20:52:16.267797	70062	23.6	1	1
2014-03-28 20:52:31.539407	70063	49	2	10
2014-03-28 20:52:31.772245	70064	24.9	1	10
2014-03-28 20:52:32.278489	70065	434	3	2
2014-03-28 20:52:32.507793	70066	1114696.7397816386	4	2
2014-03-28 20:52:42.055084	70067	50	2	8
2014-03-28 20:52:42.290532	70068	22.5	1	8
2014-03-28 20:52:55.038217	70069	52	2	1
2014-03-28 20:52:55.261712	70070	23.6	1	1
2014-03-28 20:53:10.538461	70071	49	2	10
2014-03-28 20:53:10.771751	70072	24.9	1	10
2014-03-28 20:53:21.055793	70073	50	2	8
2014-03-28 20:53:21.277365	70074	22.5	1	8
2014-03-28 20:53:32.274581	70075	434	3	2
2014-03-28 20:53:32.505826	70076	1114704.7830246887	4	2
2014-03-28 20:53:34.043759	70077	52	2	1
2014-03-28 20:53:34.265196	70078	23.6	1	1
2014-03-28 20:53:49.538934	70079	49	2	10
2014-03-28 20:53:49.774295	70080	24.9	1	10
2014-03-28 20:54:00.055696	70081	50	2	8
2014-03-28 20:54:00.277541	70082	22.5	1	8
2014-03-28 20:54:08.27349	70083	482	3	2
2014-03-28 20:54:08.504601	70084	1114709.3791635742	4	2
2014-03-28 20:54:13.042802	70085	52	2	1
2014-03-28 20:54:13.264102	70086	23.6	1	1
2014-03-28 20:54:20.277197	70087	482	3	2
2014-03-28 20:54:20.506799	70088	1114710.5281982957	4	2
2014-03-28 20:54:28.539058	70089	49	2	10
2014-03-28 20:54:28.76127	70090	24.9	1	10
2014-03-28 20:54:32.274286	70091	482	3	2
2014-03-28 20:54:32.504008	70092	1114712.8262677386	4	2
2014-03-28 20:54:39.056252	70093	50	2	8
2014-03-28 20:54:39.277574	70094	22.5	1	8
2014-03-28 20:54:52.042316	70095	52	2	1
2014-03-28 20:54:52.274803	70096	23.6	1	1
2014-03-28 20:55:07.538209	70097	49	2	10
2014-03-28 20:55:07.759476	70098	24.9	1	10
2014-03-28 20:55:18.056195	70099	50	2	8
2014-03-28 20:55:18.289323	70100	22.5	1	8
2014-03-28 20:55:31.041238	70101	52	2	1
2014-03-28 20:55:31.263972	70102	23.6	1	1
2014-03-28 20:55:32.2769	70103	482	3	2
2014-03-28 20:55:32.519973	70104	1114720.8695107885	4	2
2014-03-28 20:55:46.538535	70105	49	2	10
2014-03-28 20:55:46.761189	70106	24.9	1	10
2014-03-28 20:55:57.262804	70107	50	2	8
2014-03-28 20:55:57.495007	70108	22.5	1	8
2014-03-28 20:56:10.040708	70109	52	2	1
2014-03-28 20:56:10.263834	70110	23.6	1	1
2014-03-28 20:56:25.545744	70111	49	2	10
2014-03-28 20:56:25.777293	70112	24.9	1	10
2014-03-28 20:56:32.275248	70113	482	3	2
2014-03-28 20:56:32.4994	70114	1114727.7637191168	4	2
2014-03-28 20:56:36.055729	70115	50	2	8
2014-03-28 20:56:36.288634	70116	22.5	1	8
2014-03-28 20:56:49.041723	70117	52	2	1
2014-03-28 20:56:49.263001	70118	23.6	1	1
2014-03-28 20:57:04.539516	70119	49	2	10
2014-03-28 20:57:04.77237	70120	24.9	1	10
2014-03-28 20:57:15.055877	70121	50	2	8
2014-03-28 20:57:15.276797	70122	22.5	1	8
2014-03-28 20:57:28.039068	70123	52	2	1
2014-03-28 20:57:28.272123	70124	23.7	1	1
2014-03-28 20:57:32.277467	70125	482	3	2
2014-03-28 20:57:32.501215	70126	1114735.806962167	4	2
2014-03-28 20:57:43.53887	70127	49	2	10
2014-03-28 20:57:43.772944	70128	24.9	1	10
2014-03-28 20:57:54.05602	70129	50	2	8
2014-03-28 20:57:54.276668	70130	22.5	1	8
2014-03-28 20:58:07.040556	70131	52	2	1
2014-03-28 20:58:07.271806	70132	23.7	1	1
2014-03-28 20:58:22.539293	70133	49	2	10
2014-03-28 20:58:22.762924	70134	24.9	1	10
2014-03-28 20:58:33.055148	70135	50	2	8
2014-03-28 20:58:33.28672	70136	22.5	1	8
2014-03-28 20:58:46.038437	70137	52	2	1
2014-03-28 20:58:46.260635	70138	23.6	1	1
2014-03-28 20:59:01.539262	70139	49	2	10
2014-03-28 20:59:01.775725	70140	24.9	1	10
2014-03-28 20:59:12.055417	70141	50	2	8
2014-03-28 20:59:12.277387	70142	22.5	1	8
2014-03-28 20:59:25.039296	70143	52	2	1
2014-03-28 20:59:25.269339	70144	23.6	1	1
2014-03-28 20:59:32.277623	70145	482	3	2
2014-03-28 20:59:32.49949	70146	1114751.8934482667	4	2
2014-03-28 20:59:40.540978	70147	49	2	10
2014-03-28 20:59:40.773034	70148	24.9	1	10
2014-03-28 20:59:51.055896	70149	50	2	8
2014-03-28 20:59:51.27769	70150	22.5	1	8
2014-03-28 21:00:04.037342	70151	52	2	1
2014-03-28 21:00:04.282176	70152	23.6	1	1
2014-03-28 21:00:19.541932	70153	48	2	10
2014-03-28 21:00:19.764199	70154	25.0	1	10
2014-03-28 21:00:30.05702	70155	50	2	8
2014-03-28 21:00:30.289302	70156	22.5	1	8
2014-03-28 21:00:32.275205	70157	434	3	2
2014-03-28 21:00:32.494534	70158	1114759.9366913165	4	2
2014-03-28 21:00:43.037242	70159	52	2	1
2014-03-28 21:00:43.269254	70160	23.6	1	1
2014-03-28 21:00:44.274096	70161	434	3	2
2014-03-28 21:00:44.494676	70162	1114761.0857260379	4	2
2014-03-28 21:00:58.539371	70163	48	2	10
2014-03-28 21:00:58.776395	70164	25.0	1	10
2014-03-28 21:01:09.054737	70165	50	2	8
2014-03-28 21:01:09.280385	70166	22.5	1	8
2014-03-28 21:01:20.275508	70167	354	3	2
2014-03-28 21:01:20.507538	70168	1114765.6818649236	4	2
2014-03-28 21:01:22.037319	70169	52	2	1
2014-03-28 21:01:22.261602	70170	23.6	1	1
2014-03-28 21:01:32.279172	70171	354	3	2
2014-03-28 21:01:32.509603	70172	1114766.830899645	4	2
2014-03-28 21:01:37.539039	70173	48	2	10
2014-03-28 21:01:37.784409	70174	25.0	1	10
2014-03-28 21:01:48.055776	70175	50	2	8
2014-03-28 21:01:48.290617	70176	22.5	1	8
2014-03-28 21:02:01.039463	70177	52	2	1
2014-03-28 21:02:01.262534	70178	23.6	1	1
2014-03-28 21:02:16.540705	70179	48	2	10
2014-03-28 21:02:16.771916	70180	25.0	1	10
2014-03-28 21:02:27.055397	70181	50	2	8
2014-03-28 21:02:27.277395	70182	22.5	1	8
2014-03-28 21:02:32.27388	70183	354	3	2
2014-03-28 21:02:32.514097	70184	1114772.5760732521	4	2
2014-03-28 21:02:40.033999	70185	52	2	1
2014-03-28 21:02:40.258129	70186	23.6	1	1
2014-03-28 21:02:55.543374	70187	48	2	10
2014-03-28 21:02:55.775426	70188	25.0	1	10
2014-03-28 21:03:06.05555	70189	50	2	8
2014-03-28 21:03:06.277165	70190	22.5	1	8
2014-03-28 21:03:19.03188	70191	52	2	1
2014-03-28 21:03:19.263975	70192	23.6	1	1
2014-03-28 21:03:32.2757	70193	354	3	2
2014-03-28 21:03:32.497308	70194	1114778.3212468592	4	2
2014-03-28 21:03:34.540128	70195	48	2	10
2014-03-28 21:03:34.773917	70196	25.0	1	10
2014-03-28 21:03:45.055883	70197	50	2	8
2014-03-28 21:03:45.278632	70198	22.6	1	8
2014-03-28 21:03:58.035644	70199	52	2	1
2014-03-28 21:03:58.285634	70200	23.6	1	1
2014-03-28 21:04:13.539126	70201	48	2	10
2014-03-28 21:04:13.762422	70202	25.0	1	10
2014-03-28 21:04:20.271532	70203	305	3	2
2014-03-28 21:04:20.503637	70204	1114782.9173857449	4	2
2014-03-28 21:04:24.059459	70205	50	2	8
2014-03-28 21:04:24.281724	70206	22.6	1	8
2014-03-28 21:04:32.276787	70207	338	3	2
2014-03-28 21:04:32.508817	70208	1114784.0664204662	4	2
2014-03-28 21:04:37.034701	70209	52	2	1
2014-03-28 21:04:37.258142	70210	23.6	1	1
2014-03-28 21:04:44.273708	70211	305	3	2
2014-03-28 21:04:44.505388	70212	1114785.2154551877	4	2
2014-03-28 21:04:52.542092	70213	48	2	10
2014-03-28 21:04:52.765107	70214	25.0	1	10
2014-03-28 21:04:56.273175	70215	305	3	2
2014-03-28 21:04:56.506234	70216	1114786.364489909	4	2
2014-03-28 21:05:03.056391	70217	50	2	8
2014-03-28 21:05:03.278045	70218	22.6	1	8
2014-03-28 21:05:16.037439	70219	52	2	1
2014-03-28 21:05:16.271385	70220	23.6	1	1
2014-03-28 21:05:31.541558	70221	48	2	10
2014-03-28 21:05:31.764248	70222	25.0	1	10
2014-03-28 21:05:32.275001	70223	305	3	2
2014-03-28 21:05:32.506119	70224	1114789.8115940734	4	2
2014-03-28 21:05:42.058187	70225	50	2	8
2014-03-28 21:05:42.279426	70226	22.6	1	8
2014-03-28 21:05:55.033662	70227	52	2	1
2014-03-28 21:05:55.26606	70228	23.6	1	1
2014-03-28 21:06:10.542735	70229	48	2	10
2014-03-28 21:06:10.76368	70230	25.0	1	10
2014-03-28 21:06:21.055662	70231	50	2	8
2014-03-28 21:06:21.289814	70232	22.6	1	8
2014-03-28 21:06:32.270075	70233	305	3	2
2014-03-28 21:06:32.491701	70234	1114794.407732959	4	2
2014-03-28 21:06:34.039053	70235	52	2	1
2014-03-28 21:06:34.271887	70236	23.6	1	1
2014-03-28 21:06:49.541424	70237	48	2	10
2014-03-28 21:06:49.763382	70238	25.0	1	10
2014-03-28 21:07:00.056988	70239	50	2	8
2014-03-28 21:07:00.29129	70240	22.6	1	8
2014-03-28 21:07:13.036439	70241	52	2	1
2014-03-28 21:07:13.261241	70242	23.7	1	1
2014-03-28 21:07:28.541907	70243	48	2	10
2014-03-28 21:07:28.77484	70244	25.0	1	10
2014-03-28 21:07:32.275199	70245	305	3	2
2014-03-28 21:07:32.499014	70246	1114800.1529065662	4	2
2014-03-28 21:07:39.055655	70247	50	2	8
2014-03-28 21:07:39.300843	70248	22.6	1	8
2014-03-28 21:07:52.033497	70249	52	2	1
2014-03-28 21:07:52.255918	70250	23.7	1	1
2014-03-28 21:08:07.543184	70251	48	2	10
2014-03-28 21:08:07.776147	70252	25.0	1	10
2014-03-28 21:08:18.055121	70253	50	2	8
2014-03-28 21:08:18.278643	70254	22.6	1	8
2014-03-28 21:08:31.033931	70255	52	2	1
2014-03-28 21:08:31.266195	70256	23.7	1	1
2014-03-28 21:08:32.274012	70257	305	3	2
2014-03-28 21:08:32.494807	70258	1114804.7490454516	4	2
2014-03-28 21:08:46.542712	70259	48	2	10
2014-03-28 21:08:46.779089	70260	25.0	1	10
2014-03-28 21:08:56.273737	70261	354	3	2
2014-03-28 21:08:56.495804	70262	1114807.0471148945	4	2
2014-03-28 21:08:57.056166	70263	50	2	8
2014-03-28 21:08:57.287927	70264	22.6	1	8
2014-03-28 21:09:08.275327	70265	354	3	2
2014-03-28 21:09:08.497253	70266	1114808.196149616	4	2
2014-03-28 21:09:10.03454	70267	52	2	1
2014-03-28 21:09:10.266398	70268	23.7	1	1
2014-03-28 21:09:25.542737	70269	48	2	10
2014-03-28 21:09:25.766237	70270	25.0	1	10
2014-03-28 21:09:32.273537	70271	354	3	2
2014-03-28 21:09:32.505291	70272	1114810.494219059	4	2
2014-03-28 21:09:36.057442	70273	49	2	8
2014-03-28 21:09:36.281101	70274	22.6	1	8
2014-03-28 21:09:49.03351	70275	52	2	1
2014-03-28 21:09:49.265576	70276	23.7	1	1
2014-03-28 21:10:04.541676	70277	48	2	10
2014-03-28 21:10:04.764272	70278	25.0	1	10
2014-03-28 21:10:15.05755	70279	49	2	8
2014-03-28 21:10:15.287855	70280	22.6	1	8
2014-03-28 21:10:28.033067	70281	52	2	1
2014-03-28 21:10:28.311319	70282	23.6	1	1
2014-03-28 21:10:32.273577	70283	354	3	2
2014-03-28 21:10:32.50559	70284	1114816.239392666	4	2
2014-03-28 21:10:43.542068	70285	48	2	10
2014-03-28 21:10:43.764271	70286	25.0	1	10
2014-03-28 21:10:54.058621	70287	49	2	8
2014-03-28 21:10:54.289569	70288	22.6	1	8
2014-03-28 21:11:07.032478	70289	52	2	1
2014-03-28 21:11:07.253737	70290	23.6	1	1
2014-03-28 21:11:22.554209	70291	48	2	10
2014-03-28 21:11:22.785266	70292	25.1	1	10
2014-03-28 21:11:33.056214	70293	49	2	8
2014-03-28 21:11:33.287026	70294	22.6	1	8
2014-03-28 21:11:46.029615	70295	52	2	1
2014-03-28 21:11:46.274673	70296	23.6	1	1
2014-03-28 21:12:01.543724	70297	48	2	10
2014-03-28 21:12:01.767503	70298	25.1	1	10
2014-03-28 21:12:12.056348	70299	49	2	8
2014-03-28 21:12:12.474279	70300	22.6	1	8
2014-03-28 21:12:25.029557	70301	52	2	1
2014-03-28 21:12:25.259071	70302	23.6	1	1
2014-03-28 21:12:32.275372	70303	354	3	2
2014-03-28 21:12:32.498643	70304	1114828.8787746015	4	2
2014-03-28 21:12:40.542814	70305	48	2	10
2014-03-28 21:12:40.774928	70306	25.1	1	10
2014-03-28 21:12:51.057985	70307	49	2	8
2014-03-28 21:12:51.285294	70308	22.6	1	8
2014-03-28 21:13:04.028589	70309	52	2	1
2014-03-28 21:13:04.259398	70310	23.6	1	1
2014-03-28 21:13:19.745339	70311	48	2	10
2014-03-28 21:13:19.96777	70312	25.1	1	10
2014-03-28 21:13:30.055881	70313	49	2	8
2014-03-28 21:13:30.287833	70314	22.6	1	8
2014-03-28 21:13:32.272923	70315	354	3	2
2014-03-28 21:13:32.494815	70316	1114834.6239482085	4	2
2014-03-28 21:13:43.030099	70317	52	2	1
2014-03-28 21:13:43.262715	70318	23.6	1	1
2014-03-28 21:13:58.545438	70319	48	2	10
2014-03-28 21:13:58.772861	70320	25.1	1	10
2014-03-28 21:14:09.056508	70321	49	2	8
2014-03-28 21:14:09.287527	70322	22.6	1	8
2014-03-28 21:14:20.271933	70323	305	3	2
2014-03-28 21:14:20.493608	70324	1114839.2200870942	4	2
2014-03-28 21:14:22.028666	70325	52	2	1
2014-03-28 21:14:22.25973	70326	23.6	1	1
2014-03-28 21:14:32.272695	70327	305	3	2
2014-03-28 21:14:32.495069	70328	1114840.3691218155	4	2
2014-03-28 21:14:37.545273	70329	48	2	10
2014-03-28 21:14:37.778052	70330	25.1	1	10
2014-03-28 21:14:48.055681	70331	49	2	8
2014-03-28 21:14:48.278454	70332	22.6	1	8
2014-03-28 21:15:01.026758	70333	52	2	1
2014-03-28 21:15:01.259927	70334	23.6	1	1
2014-03-28 21:15:16.543879	70335	48	2	10
2014-03-28 21:15:16.767839	70336	25.1	1	10
2014-03-28 21:15:27.057409	70337	49	2	8
2014-03-28 21:15:27.288324	70338	22.6	1	8
2014-03-28 21:15:32.273744	70339	305	3	2
2014-03-28 21:15:32.503367	70340	1114844.9652607013	4	2
2014-03-28 21:15:40.025178	70341	52	2	1
2014-03-28 21:15:40.262312	70342	23.5	1	1
2014-03-28 21:15:55.544638	70343	48	2	10
2014-03-28 21:15:55.766846	70344	25.1	1	10
2014-03-28 21:16:06.051868	70345	49	2	8
2014-03-28 21:16:06.293863	70346	22.5	1	8
2014-03-28 21:16:19.026872	70347	52	2	1
2014-03-28 21:16:19.247002	70348	23.5	1	1
2014-03-28 21:16:34.546088	70349	48	2	10
2014-03-28 21:16:34.777845	70350	25.1	1	10
2014-03-28 21:16:45.057141	70351	49	2	8
2014-03-28 21:16:45.278708	70352	22.5	1	8
2014-03-28 21:16:58.023762	70353	52	2	1
2014-03-28 21:16:58.258974	70354	23.5	1	1
2014-03-28 21:17:13.54319	70355	48	2	10
2014-03-28 21:17:13.764834	70356	25.1	1	10
2014-03-28 21:17:24.056504	70357	49	2	8
2014-03-28 21:17:24.288635	70358	22.5	1	8
2014-03-28 21:17:32.273902	70359	305	3	2
2014-03-28 21:17:32.494501	70360	1114855.306573194	4	2
2014-03-28 21:17:37.029189	70361	52	2	1
2014-03-28 21:17:37.272574	70362	23.5	1	1
2014-03-28 21:17:52.544743	70363	48	2	10
2014-03-28 21:17:52.765668	70364	25.1	1	10
2014-03-28 21:18:03.056073	70365	49	2	8
2014-03-28 21:18:03.290361	70366	22.5	1	8
2014-03-28 21:18:16.031436	70367	52	2	1
2014-03-28 21:18:16.253142	70368	23.5	1	1
2014-03-28 21:18:31.543764	70369	48	2	10
2014-03-28 21:18:31.776033	70370	25.1	1	10
2014-03-28 21:18:32.271392	70371	289	3	2
2014-03-28 21:18:32.493674	70372	1114861.051746801	4	2
2014-03-28 21:18:42.056166	70373	49	2	8
2014-03-28 21:18:42.287011	70374	22.5	1	8
2014-03-28 21:18:55.02623	70375	52	2	1
2014-03-28 21:18:55.249476	70376	23.4	1	1
2014-03-28 21:19:10.547258	70377	48	2	10
2014-03-28 21:19:10.779188	70378	25.1	1	10
2014-03-28 21:19:21.056134	70379	49	2	8
2014-03-28 21:19:21.277533	70380	22.5	1	8
2014-03-28 21:19:32.272322	70381	289	3	2
2014-03-28 21:19:32.504234	70382	1114865.6478856867	4	2
2014-03-28 21:19:34.028744	70383	52	2	1
2014-03-28 21:19:34.25012	70384	23.4	1	1
2014-03-28 21:19:49.543282	70385	48	2	10
2014-03-28 21:19:49.777354	70386	25.1	1	10
2014-03-28 21:20:00.262441	70387	49	2	8
2014-03-28 21:20:00.485127	70388	22.5	1	8
2014-03-28 21:20:13.026196	70389	52	2	1
2014-03-28 21:20:13.259046	70390	23.4	1	1
2014-03-28 21:20:28.601921	70391	48	2	10
2014-03-28 21:20:28.826102	70392	25.1	1	10
2014-03-28 21:20:37.766714	70393	289	3	2
2014-03-28 21:20:38.009982	70394	1114870.2440245724	4	2
2014-03-28 21:20:39.055996	70395	49	2	8
2014-03-28 21:20:39.275767	70396	22.5	1	8
2014-03-28 21:20:52.024844	70397	52	2	1
2014-03-28 21:20:52.25539	70398	23.4	1	1
2014-03-28 21:21:07.545864	70399	48	2	10
2014-03-28 21:21:07.767774	70400	25.1	1	10
2014-03-28 21:21:18.054894	70401	49	2	8
2014-03-28 21:21:18.288157	70402	22.5	1	8
2014-03-28 21:21:31.026405	70403	52	2	1
2014-03-28 21:21:31.249228	70404	23.4	1	1
2014-03-28 21:21:32.269801	70405	289	3	2
2014-03-28 21:21:32.500001	70406	1114875.9891981794	4	2
2014-03-28 21:21:46.547507	70407	48	2	10
2014-03-28 21:21:46.768482	70408	25.1	1	10
2014-03-28 21:21:57.262011	70409	49	2	8
2014-03-28 21:21:57.493306	70410	22.5	1	8
2014-03-28 21:22:10.025706	70411	52	2	1
2014-03-28 21:22:10.250024	70412	23.3	1	1
2014-03-28 21:22:25.54737	70413	48	2	10
2014-03-28 21:22:25.779317	70414	25.1	1	10
2014-03-28 21:22:32.27144	70415	289	3	2
2014-03-28 21:22:32.4933	70416	1114880.5853370652	4	2
2014-03-28 21:22:36.056525	70417	49	2	8
2014-03-28 21:22:36.289858	70418	22.5	1	8
2014-03-28 21:22:44.274024	70419	402	3	2
2014-03-28 21:22:44.497325	70420	1114881.7343717865	4	2
2014-03-28 21:22:49.023525	70421	52	2	1
2014-03-28 21:22:49.255848	70422	23.3	1	1
2014-03-28 21:22:56.271731	70423	370	3	2
2014-03-28 21:22:56.493799	70424	1114882.883406508	4	2
2014-03-28 21:23:04.544627	70425	48	2	10
2014-03-28 21:23:04.777782	70426	25.1	1	10
2014-03-28 21:23:08.271778	70427	370	3	2
2014-03-28 21:23:08.492136	70428	1114884.0324412293	4	2
2014-03-28 21:23:15.055393	70429	49	2	8
2014-03-28 21:23:15.290342	70430	22.5	1	8
2014-03-28 21:23:28.023697	70431	52	2	1
2014-03-28 21:23:28.245633	70432	23.3	1	1
2014-03-28 21:23:32.271936	70433	354	3	2
2014-03-28 21:23:32.506583	70434	1114886.3305106722	4	2
2014-03-28 21:23:43.542689	70435	48	2	10
2014-03-28 21:23:43.766231	70436	25.2	1	10
2014-03-28 21:23:54.047193	70437	49	2	8
2014-03-28 21:23:54.280621	70438	22.5	1	8
2014-03-28 21:24:07.021566	70439	52	2	1
2014-03-28 21:24:07.244438	70440	23.3	1	1
2014-03-28 21:24:22.549168	70441	48	2	10
2014-03-28 21:24:22.792849	70442	25.2	1	10
2014-03-28 21:24:33.057506	70443	49	2	8
2014-03-28 21:24:33.278293	70444	22.5	1	8
2014-03-28 21:24:46.026635	70445	52	2	1
2014-03-28 21:24:46.258466	70446	23.3	1	1
2014-03-28 21:25:01.547981	70447	48	2	10
2014-03-28 21:25:01.77492	70448	25.1	1	10
2014-03-28 21:25:12.055338	70449	49	2	8
2014-03-28 21:25:12.287844	70450	22.5	1	8
2014-03-28 21:25:25.023519	70451	52	2	1
2014-03-28 21:25:25.245885	70452	23.3	1	1
2014-03-28 21:25:32.269643	70453	370	3	2
2014-03-28 21:25:32.501632	70454	1114897.8253288385	4	2
2014-03-28 21:25:40.546801	70455	48	2	10
2014-03-28 21:25:40.774066	70456	25.1	1	10
2014-03-28 21:25:51.055327	70457	49	2	8
2014-03-28 21:25:51.286189	70458	22.5	1	8
2014-03-28 21:26:04.022512	70459	52	2	1
2014-03-28 21:26:04.245593	70460	23.2	1	1
2014-03-28 21:26:19.548555	70461	48	2	10
2014-03-28 21:26:19.781054	70462	25.2	1	10
2014-03-28 21:26:30.057135	70463	49	2	8
2014-03-28 21:26:30.281979	70464	22.5	1	8
2014-03-28 21:26:32.268575	70465	370	3	2
2014-03-28 21:26:32.498237	70466	1114903.5705024456	4	2
2014-03-28 21:26:43.261071	70467	52	2	1
2014-03-28 21:26:43.483096	70468	23.2	1	1
2014-03-28 21:26:58.749423	70469	48	2	10
2014-03-28 21:26:58.988567	70470	25.2	1	10
2014-03-28 21:27:09.058646	70471	49	2	8
2014-03-28 21:27:09.281595	70472	22.5	1	8
2014-03-28 21:27:22.067264	70473	52	2	1
2014-03-28 21:27:22.298668	70474	23.2	1	1
2014-03-28 21:27:32.272203	70475	370	3	2
2014-03-28 21:27:32.493999	70476	1114909.3156760526	4	2
2014-03-28 21:27:37.549061	70477	48	2	10
2014-03-28 21:27:37.782807	70478	25.2	1	10
2014-03-28 21:27:48.056407	70479	49	2	8
2014-03-28 21:27:48.282406	70480	22.5	1	8
2014-03-28 21:27:56.269705	70481	305	3	2
2014-03-28 21:27:56.501611	70482	1114911.6137454954	4	2
2014-03-28 21:28:01.022986	70483	52	2	1
2014-03-28 21:28:01.246866	70484	23.2	1	1
2014-03-28 21:28:08.271795	70485	338	3	2
2014-03-28 21:28:08.504499	70486	1114912.762780217	4	2
2014-03-28 21:28:16.548986	70487	48	2	10
2014-03-28 21:28:16.771499	70488	25.2	1	10
2014-03-28 21:28:20.272774	70489	338	3	2
2014-03-28 21:28:20.51479	70490	1114913.9118149383	4	2
2014-03-28 21:28:27.055453	70491	49	2	8
2014-03-28 21:28:27.27798	70492	22.5	1	8
2014-03-28 21:28:32.270672	70493	305	3	2
2014-03-28 21:28:32.50993	70494	1114915.0608496598	4	2
2014-03-28 21:28:40.019757	70495	52	2	1
2014-03-28 21:28:40.242958	70496	23.2	1	1
2014-03-28 21:28:44.270821	70497	305	3	2
2014-03-28 21:28:44.502692	70498	1114916.2098843812	4	2
2014-03-28 21:28:55.547519	70499	48	2	10
2014-03-28 21:28:55.768594	70500	25.2	1	10
2014-03-28 21:29:06.055507	70501	49	2	8
2014-03-28 21:29:06.287312	70502	22.5	1	8
2014-03-28 21:29:19.019958	70503	52	2	1
2014-03-28 21:29:19.241906	70504	23.2	1	1
2014-03-28 21:29:32.271618	70505	305	3	2
2014-03-28 21:29:32.505005	70506	1114919.6569885453	4	2
2014-03-28 21:29:34.549696	70507	48	2	10
2014-03-28 21:29:34.773406	70508	25.2	1	10
2014-03-28 21:29:45.056376	70509	49	2	8
2014-03-28 21:29:45.289627	70510	22.4	1	8
2014-03-28 21:29:58.01755	70511	52	2	1
2014-03-28 21:29:58.23893	70512	23.1	1	1
2014-03-28 21:30:13.550157	70513	48	2	10
2014-03-28 21:30:13.784874	70514	25.1	1	10
2014-03-28 21:30:24.057539	70515	49	2	8
2014-03-28 21:30:24.279597	70516	22.4	1	8
2014-03-28 21:30:32.268836	70517	305	3	2
2014-03-28 21:30:32.498726	70518	1114925.4021621526	4	2
2014-03-28 21:30:37.020058	70519	52	2	1
2014-03-28 21:30:37.240509	70520	23.1	1	1
2014-03-28 21:30:52.548195	70521	48	2	10
2014-03-28 21:30:52.781591	70522	25.1	1	10
2014-03-28 21:31:03.054427	70523	49	2	8
2014-03-28 21:31:03.277465	70524	22.4	1	8
2014-03-28 21:31:16.021085	70525	52	2	1
2014-03-28 21:31:16.254938	70526	23.1	1	1
2014-03-28 21:31:31.54924	70527	48	2	10
2014-03-28 21:31:31.772151	70528	25.1	1	10
2014-03-28 21:31:32.269899	70529	305	3	2
2014-03-28 21:31:32.500808	70530	1114929.9983010383	4	2
2014-03-28 21:31:42.056253	70531	49	2	8
2014-03-28 21:31:42.279231	70532	22.4	1	8
2014-03-28 21:31:55.062093	70533	52	2	1
2014-03-28 21:31:55.301092	70534	23.1	1	1
2014-03-28 21:31:56.269003	70535	338	3	2
2014-03-28 21:31:56.490045	70536	1114932.296370481	4	2
2014-03-28 21:32:08.268231	70537	338	3	2
2014-03-28 21:32:08.511296	70538	1114933.4454052025	4	2
2014-03-28 21:32:10.548521	70539	48	2	10
2014-03-28 21:32:10.769828	70540	25.1	1	10
2014-03-28 21:32:21.057841	70541	49	2	8
2014-03-28 21:32:21.28934	70542	22.4	1	8
2014-03-28 21:32:32.270342	70543	338	3	2
2014-03-28 21:32:32.494586	70544	1114935.7434746453	4	2
2014-03-28 21:32:34.019618	70545	52	2	1
2014-03-28 21:32:34.255933	70546	23.1	1	1
2014-03-28 21:32:49.54973	70547	48	2	10
2014-03-28 21:32:49.775285	70548	25.1	1	10
2014-03-28 21:32:56.270408	70549	305	3	2
2014-03-28 21:32:56.501374	70550	1114938.0415440882	4	2
2014-03-28 21:33:00.05644	70551	49	2	8
2014-03-28 21:33:00.278828	70552	22.4	1	8
2014-03-28 21:33:08.26857	70553	338	3	2
2014-03-28 21:33:08.498856	70554	1114939.1905788095	4	2
2014-03-28 21:33:13.016664	70555	52	2	1
2014-03-28 21:33:13.239597	70556	23.1	1	1
2014-03-28 21:33:20.272112	70557	338	3	2
2014-03-28 21:33:20.503218	70558	1114940.339613531	4	2
2014-03-28 21:33:28.548704	70559	48	2	10
2014-03-28 21:33:28.770038	70560	25.1	1	10
2014-03-28 21:33:32.272895	70561	338	3	2
2014-03-28 21:33:32.504318	70562	1114941.4886482523	4	2
2014-03-28 21:33:39.055729	70563	49	2	8
2014-03-28 21:33:39.280447	70564	22.4	1	8
2014-03-28 21:33:52.014429	70565	52	2	1
2014-03-28 21:33:52.24853	70566	23.0	1	1
2014-03-28 21:34:07.549097	70567	48	2	10
2014-03-28 21:34:07.771681	70568	25.1	1	10
2014-03-28 21:34:08.268544	70569	305	3	2
2014-03-28 21:34:08.501285	70570	1114944.9357524165	4	2
2014-03-28 21:34:18.057074	70571	49	2	8
2014-03-28 21:34:18.277495	70572	22.4	1	8
2014-03-28 21:34:20.270442	70573	338	3	2
2014-03-28 21:34:20.501812	70574	1114946.084787138	4	2
2014-03-28 21:34:31.017871	70575	52	2	1
2014-03-28 21:34:31.241506	70576	23.0	1	1
2014-03-28 21:34:32.270119	70577	338	3	2
2014-03-28 21:34:32.504296	70578	1114947.2338218594	4	2
2014-03-28 21:34:46.550721	70579	48	2	10
2014-03-28 21:34:46.772066	70580	25.1	1	10
2014-03-28 21:34:57.05539	70581	49	2	8
2014-03-28 21:34:57.28729	70582	22.4	1	8
2014-03-28 21:35:08.269927	70583	338	3	2
2014-03-28 21:35:08.493516	70584	1114949.5318913022	4	2
2014-03-28 21:35:10.015316	70585	51	2	1
2014-03-28 21:35:10.259107	70586	23.0	1	1
2014-03-28 21:35:20.269588	70587	305	3	2
2014-03-28 21:35:20.492302	70588	1114950.6809260237	4	2
2014-03-28 21:35:25.552475	70589	48	2	10
2014-03-28 21:35:25.787807	70590	25.1	1	10
2014-03-28 21:35:32.270098	70591	338	3	2
2014-03-28 21:35:32.493841	70592	1114951.829960745	4	2
2014-03-28 21:35:36.055435	70593	49	2	8
2014-03-28 21:35:36.285952	70594	22.4	1	8
2014-03-28 21:35:44.268813	70595	338	3	2
2014-03-28 21:35:44.490414	70596	1114952.9789954664	4	2
2014-03-28 21:35:49.017656	70597	51	2	1
2014-03-28 21:35:49.248166	70598	23.0	1	1
2014-03-28 21:36:04.550239	70599	48	2	10
2014-03-28 21:36:04.773756	70600	25.1	1	10
2014-03-28 21:36:08.266741	70601	370	3	2
2014-03-28 21:36:08.497015	70602	1114955.2770649092	4	2
2014-03-28 21:36:15.055334	70603	49	2	8
2014-03-28 21:36:15.278591	70604	22.4	1	8
2014-03-28 21:36:20.268033	70605	370	3	2
2014-03-28 21:36:20.505975	70606	1114956.4260996308	4	2
2014-03-28 21:36:28.018089	70607	51	2	1
2014-03-28 21:36:28.240119	70608	23.0	1	1
2014-03-28 21:36:32.267986	70609	354	3	2
2014-03-28 21:36:32.498802	70610	1114957.575134352	4	2
2014-03-28 21:36:43.55115	70611	48	2	10
2014-03-28 21:36:43.775864	70612	25.1	1	10
2014-03-28 21:36:54.262742	70613	49	2	8
2014-03-28 21:36:54.495698	70614	22.4	1	8
2014-03-28 21:37:07.01456	70615	51	2	1
2014-03-28 21:37:07.237358	70616	23.0	1	1
2014-03-28 21:37:22.55024	70617	48	2	10
2014-03-28 21:37:22.78361	70618	25.1	1	10
2014-03-28 21:37:33.056211	70619	49	2	8
2014-03-28 21:37:33.278188	70620	22.4	1	8
2014-03-28 21:37:46.020242	70621	52	2	1
2014-03-28 21:37:46.253811	70622	22.9	1	1
2014-03-28 21:38:01.54968	70623	48	2	10
2014-03-28 21:38:01.774301	70624	25.1	1	10
2014-03-28 21:38:12.057186	70625	49	2	8
2014-03-28 21:38:12.288966	70626	22.4	1	8
2014-03-28 21:38:25.012705	70627	52	2	1
2014-03-28 21:38:25.237125	70628	22.9	1	1
2014-03-28 21:38:32.270826	70629	370	3	2
2014-03-28 21:38:32.502959	70630	1114970.2145162877	4	2
2014-03-28 21:38:40.550055	70631	48	2	10
2014-03-28 21:38:40.773548	70632	25.1	1	10
2014-03-28 21:38:51.057379	70633	49	2	8
2014-03-28 21:38:51.32369	70634	22.4	1	8
2014-03-28 21:39:04.014091	70635	52	2	1
2014-03-28 21:39:04.237074	70636	22.9	1	1
2014-03-28 21:39:19.550497	70637	48	2	10
2014-03-28 21:39:19.784218	70638	25.1	1	10
2014-03-28 21:39:30.054576	70639	49	2	8
2014-03-28 21:39:30.278	70640	22.3	1	8
2014-03-28 21:39:32.268956	70641	354	3	2
2014-03-28 21:39:32.503033	70642	1114975.9596898947	4	2
2014-03-28 21:39:43.015253	70643	52	2	1
2014-03-28 21:39:43.244371	70644	22.9	1	1
2014-03-28 21:39:56.269714	70645	434	3	2
2014-03-28 21:39:56.503253	70646	1114978.2577593375	4	2
2014-03-28 21:39:58.552715	70647	48	2	10
2014-03-28 21:39:58.77494	70648	25.1	1	10
2014-03-28 21:40:09.057111	70649	49	2	8
2014-03-28 21:40:09.28863	70650	22.3	1	8
2014-03-28 21:40:22.016742	70651	52	2	1
2014-03-28 21:40:22.239971	70652	22.9	1	1
2014-03-28 21:40:32.269364	70653	434	3	2
2014-03-28 21:40:32.503866	70654	1114982.8538982233	4	2
2014-03-28 21:40:37.552431	70655	48	2	10
2014-03-28 21:40:37.775052	70656	25.1	1	10
2014-03-28 21:40:48.058173	70657	49	2	8
2014-03-28 21:40:48.291635	70658	22.3	1	8
2014-03-28 21:41:01.010554	70659	52	2	1
2014-03-28 21:41:01.234275	70660	22.9	1	1
2014-03-28 21:41:16.551837	70661	48	2	10
2014-03-28 21:41:16.786192	70662	25.1	1	10
2014-03-28 21:41:20.269892	70663	402	3	2
2014-03-28 21:41:20.491772	70664	1114988.5990718303	4	2
2014-03-28 21:41:27.055052	70665	49	2	8
2014-03-28 21:41:27.2879	70666	22.3	1	8
2014-03-28 21:41:32.267566	70667	402	3	2
2014-03-28 21:41:32.495123	70668	1114990.8971412731	4	2
2014-03-28 21:41:40.009479	70669	52	2	1
2014-03-28 21:41:40.242745	70670	22.9	1	1
2014-03-28 21:41:55.552282	70671	48	2	10
2014-03-28 21:41:55.77624	70672	25.0	1	10
2014-03-28 21:41:56.271533	70673	370	3	2
2014-03-28 21:41:56.504319	70674	1114993.195210716	4	2
2014-03-28 21:42:06.055752	70675	49	2	8
2014-03-28 21:42:06.279602	70676	22.3	1	8
2014-03-28 21:42:08.267769	70677	370	3	2
2014-03-28 21:42:08.502905	70678	1114994.3442454373	4	2
2014-03-28 21:42:19.012219	70679	52	2	1
2014-03-28 21:42:19.234932	70680	22.8	1	1
2014-03-28 21:42:32.270528	70681	370	3	2
2014-03-28 21:42:32.513444	70682	1114996.6423148802	4	2
2014-03-28 21:42:34.55306	70683	48	2	10
2014-03-28 21:42:34.781777	70684	25.0	1	10
2014-03-28 21:42:45.057877	70685	49	2	8
2014-03-28 21:42:45.290747	70686	22.3	1	8
2014-03-28 21:42:58.011671	70687	52	2	1
2014-03-28 21:42:58.234566	70688	22.8	1	1
2014-03-28 21:43:13.553633	70689	48	2	10
2014-03-28 21:43:13.78622	70690	25.0	1	10
2014-03-28 21:43:24.057067	70691	49	2	8
2014-03-28 21:43:24.279097	70692	22.3	1	8
2014-03-28 21:43:32.269775	70693	370	3	2
2014-03-28 21:43:32.503253	70694	1115003.5365232087	4	2
2014-03-28 21:43:37.011865	70695	52	2	1
2014-03-28 21:43:37.238018	70696	22.8	1	1
2014-03-28 21:43:52.552753	70697	48	2	10
2014-03-28 21:43:52.785329	70698	25.0	1	10
2014-03-28 21:44:03.056265	70699	49	2	8
2014-03-28 21:44:03.281639	70700	22.3	1	8
2014-03-28 21:44:16.013249	70701	52	2	1
2014-03-28 21:44:16.247534	70702	22.8	1	1
2014-03-28 21:44:31.552265	70703	48	2	10
2014-03-28 21:44:31.775634	70704	25.0	1	10
2014-03-28 21:44:32.271368	70705	370	3	2
2014-03-28 21:44:32.501906	70706	1115009.2816968157	4	2
2014-03-28 21:44:42.056291	70707	49	2	8
2014-03-28 21:44:42.279945	70708	22.3	1	8
2014-03-28 21:44:55.009906	70709	52	2	1
2014-03-28 21:44:55.242558	70710	22.8	1	1
2014-03-28 21:45:10.553092	70711	48	2	10
2014-03-28 21:45:10.77847	70712	25.0	1	10
2014-03-28 21:45:21.055316	70713	49	2	8
2014-03-28 21:45:21.288519	70714	22.3	1	8
2014-03-28 21:45:32.268702	70715	370	3	2
2014-03-28 21:45:32.493305	70716	1115015.0268704228	4	2
2014-03-28 21:45:34.013589	70717	52	2	1
2014-03-28 21:45:34.24714	70718	22.8	1	1
2014-03-28 21:45:49.555458	70719	48	2	10
2014-03-28 21:45:49.778757	70720	25.0	1	10
2014-03-28 21:45:56.26934	70721	402	3	2
2014-03-28 21:45:56.503255	70722	1115018.4739745872	4	2
2014-03-28 21:46:00.055361	70723	49	2	8
2014-03-28 21:46:00.278089	70724	22.3	1	8
2014-03-28 21:46:08.268673	70725	370	3	2
2014-03-28 21:46:08.500958	70726	1115019.6230093085	4	2
2014-03-28 21:46:13.011571	70727	52	2	1
2014-03-28 21:46:13.233097	70728	22.7	1	1
2014-03-28 21:46:28.551205	70729	48	2	10
2014-03-28 21:46:28.798553	70730	25.0	1	10
2014-03-28 21:46:32.266097	70731	402	3	2
2014-03-28 21:46:32.487509	70732	1115021.9210787513	4	2
2014-03-28 21:46:39.054574	70733	49	2	8
2014-03-28 21:46:39.286987	70734	22.3	1	8
2014-03-28 21:46:44.265619	70735	370	3	2
2014-03-28 21:46:44.491872	70736	1115023.0701134729	4	2
2014-03-28 21:46:52.007036	70737	52	2	1
2014-03-28 21:46:52.239567	70738	22.7	1	1
2014-03-28 21:46:56.270702	70739	370	3	2
2014-03-28 21:46:56.492638	70740	1115024.2191481942	4	2
2014-03-28 21:47:07.551549	70741	48	2	10
2014-03-28 21:47:07.78478	70742	24.9	1	10
2014-03-28 21:47:18.055071	70743	49	2	8
2014-03-28 21:47:18.277229	70744	22.3	1	8
2014-03-28 21:47:31.010254	70745	52	2	1
2014-03-28 21:47:31.241038	70746	22.7	1	1
2014-03-28 21:47:32.268702	70747	370	3	2
2014-03-28 21:47:32.491523	70748	1115027.6662523584	4	2
2014-03-28 21:47:44.264908	70749	402	3	2
2014-03-28 21:47:44.497979	70750	1115028.81528708	4	2
2014-03-28 21:47:46.5538	70751	48	2	10
2014-03-28 21:47:46.775199	70752	24.9	1	10
2014-03-28 21:47:57.056016	70753	49	2	8
2014-03-28 21:47:57.290975	70754	22.3	1	8
2014-03-28 21:48:08.2689	70755	370	3	2
2014-03-28 21:48:08.49097	70756	1115032.262391244	4	2
2014-03-28 21:48:10.011649	70757	52	2	1
2014-03-28 21:48:10.242901	70758	22.7	1	1
2014-03-28 21:48:25.553094	70759	48	2	10
2014-03-28 21:48:25.775253	70760	24.9	1	10
2014-03-28 21:48:32.267459	70761	370	3	2
2014-03-28 21:48:32.499664	70762	1115034.560460687	4	2
2014-03-28 21:48:36.057548	70763	49	2	8
2014-03-28 21:48:36.27969	70764	22.3	1	8
2014-03-28 21:48:49.007607	70765	52	2	1
2014-03-28 21:48:49.242238	70766	22.7	1	1
2014-03-28 21:49:04.553818	70767	48	2	10
2014-03-28 21:49:04.776834	70768	24.9	1	10
2014-03-28 21:49:15.054796	70769	49	2	8
2014-03-28 21:49:15.289861	70770	22.3	1	8
2014-03-28 21:49:28.009843	70771	52	2	1
2014-03-28 21:49:28.233824	70772	22.7	1	1
2014-03-28 21:49:32.270658	70773	370	3	2
2014-03-28 21:49:32.501663	70774	1115040.305634294	4	2
2014-03-28 21:49:43.552911	70775	48	2	10
2014-03-28 21:49:43.775068	70776	24.9	1	10
2014-03-28 21:49:44.267532	70777	434	3	2
2014-03-28 21:49:44.521327	70778	1115041.4546690155	4	2
2014-03-28 21:49:54.057462	70779	49	2	8
2014-03-28 21:49:54.287063	70780	22.3	1	8
2014-03-28 21:49:56.269172	70781	434	3	2
2014-03-28 21:49:56.499749	70782	1115043.7527384583	4	2
2014-03-28 21:50:07.004624	70783	52	2	1
2014-03-28 21:50:07.262796	70784	22.7	1	1
2014-03-28 21:50:22.553637	70785	48	2	10
2014-03-28 21:50:22.818412	70786	24.9	1	10
2014-03-28 21:50:33.054446	70787	49	2	8
2014-03-28 21:50:33.313218	70788	22.3	1	8
2014-03-28 21:50:46.008814	70789	52	2	1
2014-03-28 21:50:46.274377	70790	22.7	1	1
2014-03-28 21:51:01.555933	70791	48	2	10
2014-03-28 21:51:01.778212	70792	24.9	1	10
2014-03-28 21:51:12.055881	70793	49	2	8
2014-03-28 21:51:12.287763	70794	22.2	1	8
2014-03-28 21:51:25.007962	70795	52	2	1
2014-03-28 21:51:25.230331	70796	22.7	1	1
2014-03-28 21:51:32.266742	70797	434	3	2
2014-03-28 21:51:32.498302	70798	1115055.2430856724	4	2
2014-03-28 21:51:40.556985	70799	48	2	10
2014-03-28 21:51:40.778655	70800	24.9	1	10
2014-03-28 21:51:51.054703	70801	49	2	8
2014-03-28 21:51:51.287373	70802	22.2	1	8
2014-03-28 21:52:04.006595	70803	52	2	1
2014-03-28 21:52:04.226996	70804	22.6	1	1
2014-03-28 21:52:19.554998	70805	48	2	10
2014-03-28 21:52:19.789728	70806	24.9	1	10
2014-03-28 21:52:30.055447	70807	49	2	8
2014-03-28 21:52:30.276704	70808	22.2	1	8
2014-03-28 21:52:32.267536	70809	434	3	2
2014-03-28 21:52:32.499391	70810	1115062.137294001	4	2
2014-03-28 21:52:43.00513	70811	52	2	1
2014-03-28 21:52:43.226095	70812	22.6	1	1
2014-03-28 21:52:58.555921	70813	48	2	10
2014-03-28 21:52:58.78698	70814	24.9	1	10
2014-03-28 21:53:09.05531	70815	49	2	8
2014-03-28 21:53:09.275758	70816	22.2	1	8
2014-03-28 21:53:22.0082	70817	52	2	1
2014-03-28 21:53:22.238867	70818	22.6	1	1
2014-03-28 21:53:32.267473	70819	418	3	2
2014-03-28 21:53:32.488916	70820	1115069.0315023293	4	2
2014-03-28 21:53:37.55346	70821	48	2	10
2014-03-28 21:53:37.787562	70822	24.9	1	10
2014-03-28 21:53:48.056785	70823	49	2	8
2014-03-28 21:53:48.27871	70824	22.2	1	8
2014-03-28 21:54:01.007138	70825	52	2	1
2014-03-28 21:54:01.251927	70826	22.6	1	1
2014-03-28 21:54:08.266856	70827	354	3	2
2014-03-28 21:54:08.488763	70828	1115073.627641215	4	2
2014-03-28 21:54:16.556956	70829	48	2	10
2014-03-28 21:54:16.78886	70830	24.9	1	10
2014-03-28 21:54:20.26674	70831	370	3	2
2014-03-28 21:54:20.486998	70832	1115074.7766759365	4	2
2014-03-28 21:54:27.056627	70833	49	2	8
2014-03-28 21:54:27.291238	70834	22.2	1	8
2014-03-28 21:54:32.266491	70835	354	3	2
2014-03-28 21:54:32.49426	70836	1115075.9257106578	4	2
2014-03-28 21:54:40.0041	70837	52	2	1
2014-03-28 21:54:40.238724	70838	22.6	1	1
2014-03-28 21:54:55.554845	70839	48	2	10
2014-03-28 21:54:55.776089	70840	24.9	1	10
2014-03-28 21:55:06.055589	70841	49	2	8
2014-03-28 21:55:06.291935	70842	22.2	1	8
2014-03-28 21:55:08.266402	70843	305	3	2
2014-03-28 21:55:08.488694	70844	1115079.372814822	4	2
2014-03-28 21:55:19.003086	70845	52	2	1
2014-03-28 21:55:19.23845	70846	22.6	1	1
2014-03-28 21:55:20.2678	70847	305	3	2
2014-03-28 21:55:20.489249	70848	1115080.5218495436	4	2
2014-03-28 21:55:32.267135	70849	305	3	2
2014-03-28 21:55:32.501412	70850	1115081.6708842649	4	2
2014-03-28 21:55:34.555772	70851	48	2	10
2014-03-28 21:55:34.79703	70852	24.9	1	10
2014-03-28 21:55:45.056652	70853	49	2	8
2014-03-28 21:55:45.297107	70854	22.2	1	8
2014-03-28 21:55:58.004381	70855	52	2	1
2014-03-28 21:55:58.227177	70856	22.6	1	1
2014-03-28 21:56:13.55601	70857	48	2	10
2014-03-28 21:56:13.788769	70858	24.9	1	10
2014-03-28 21:56:24.055823	70859	49	2	8
2014-03-28 21:56:24.277371	70860	22.2	1	8
2014-03-28 21:56:32.265189	70861	305	3	2
2014-03-28 21:56:32.499337	70862	1115086.2670231506	4	2
2014-03-28 21:56:37.046139	70863	52	2	1
2014-03-28 21:56:37.268699	70864	22.6	1	1
2014-03-28 21:56:52.559388	70865	48	2	10
2014-03-28 21:56:52.79153	70866	24.9	1	10
2014-03-28 21:57:03.054529	70867	49	2	8
2014-03-28 21:57:03.276816	70868	22.2	1	8
2014-03-28 21:57:16.001666	70869	52	2	1
2014-03-28 21:57:16.233941	70870	22.6	1	1
2014-03-28 21:57:31.556827	70871	48	2	10
2014-03-28 21:57:31.781291	70872	24.9	1	10
2014-03-28 21:57:32.268619	70873	305	3	2
2014-03-28 21:57:32.511714	70874	1115092.0121967576	4	2
2014-03-28 21:57:42.056365	70875	49	2	8
2014-03-28 21:57:42.280275	70876	22.2	1	8
2014-03-28 21:57:55.002491	70877	52	2	1
2014-03-28 21:57:55.232949	70878	22.5	1	1
2014-03-28 21:58:10.556005	70879	48	2	10
2014-03-28 21:58:10.783159	70880	24.9	1	10
2014-03-28 21:58:21.055624	70881	49	2	8
2014-03-28 21:58:21.287184	70882	22.2	1	8
2014-03-28 21:58:32.264935	70883	305	3	2
2014-03-28 21:58:32.487732	70884	1115096.6083356433	4	2
2014-03-28 21:58:34.001718	70885	52	2	1
2014-03-28 21:58:34.235274	70886	22.5	1	1
2014-03-28 21:58:49.5577	70887	48	2	10
2014-03-28 21:58:49.780421	70888	24.9	1	10
2014-03-28 21:59:00.056824	70889	49	2	8
2014-03-28 21:59:00.288255	70890	22.2	1	8
2014-03-28 21:59:13.004137	70891	52	2	1
2014-03-28 21:59:13.226462	70892	22.5	1	1
2014-03-28 21:59:28.557413	70893	48	2	10
2014-03-28 21:59:28.7888	70894	24.9	1	10
2014-03-28 21:59:32.26463	70895	305	3	2
2014-03-28 21:59:32.486452	70896	1115102.3535092503	4	2
2014-03-28 21:59:39.057765	70897	48	2	8
2014-03-28 21:59:39.289684	70898	22.2	1	8
2014-03-28 21:59:52.004157	70899	52	2	1
2014-03-28 21:59:52.228201	70900	22.5	1	1
2014-03-28 22:00:07.557073	70901	48	2	10
2014-03-28 22:00:07.788961	70902	24.9	1	10
2014-03-28 22:00:18.054984	70903	48	2	8
2014-03-28 22:00:18.279738	70904	22.2	1	8
2014-03-28 22:00:31.24035	70905	52	2	1
2014-03-28 22:00:31.473265	70906	22.5	1	1
2014-03-28 22:00:32.266719	70907	305	3	2
2014-03-28 22:00:32.490547	70908	1115106.949648136	4	2
2014-03-28 22:00:46.558844	70909	48	2	10
2014-03-28 22:00:46.790361	70910	24.9	1	10
2014-03-28 22:00:57.054678	70911	48	2	8
2014-03-28 22:00:57.278178	70912	22.2	1	8
2014-03-28 22:01:10.001756	70913	52	2	1
2014-03-28 22:01:10.234871	70914	22.5	1	1
2014-03-28 22:01:25.557646	70915	48	2	10
2014-03-28 22:01:25.78133	70916	24.9	1	10
2014-03-28 22:01:32.266517	70917	305	3	2
2014-03-28 22:01:32.569175	70918	1115112.694821743	4	2
2014-03-28 22:01:36.055269	70919	48	2	8
2014-03-28 22:01:36.295571	70920	22.2	1	8
2014-03-28 22:01:49.001241	70921	52	2	1
2014-03-28 22:01:49.277354	70922	22.5	1	1
2014-03-28 22:02:04.555932	70923	48	2	10
2014-03-28 22:02:04.813395	70924	24.8	1	10
2014-03-28 22:02:15.057785	70925	48	2	8
2014-03-28 22:02:15.289389	70926	22.2	1	8
2014-03-28 22:02:27.999133	70927	52	2	1
2014-03-28 22:02:28.220925	70928	22.5	1	1
2014-03-28 22:02:32.266059	70929	305	3	2
2014-03-28 22:02:32.498286	70930	1115117.2909606288	4	2
2014-03-28 22:02:43.554885	70931	48	2	10
2014-03-28 22:02:43.780382	70932	24.8	1	10
2014-03-28 22:02:54.05454	70933	48	2	8
2014-03-28 22:02:54.286203	70934	22.2	1	8
2014-03-28 22:03:07.000463	70935	52	2	1
2014-03-28 22:03:07.223709	70936	22.5	1	1
2014-03-28 22:03:22.55946	70937	48	2	10
2014-03-28 22:03:22.793642	70938	24.8	1	10
2014-03-28 22:03:33.054143	70939	48	2	8
2014-03-28 22:03:33.277507	70940	22.2	1	8
2014-03-28 22:03:44.265379	70941	370	3	2
2014-03-28 22:03:44.497688	70942	1115124.1851689573	4	2
2014-03-28 22:03:46.000168	70943	52	2	1
2014-03-28 22:03:46.222981	70944	22.5	1	1
2014-03-28 22:04:01.555317	70945	48	2	10
2014-03-28 22:04:01.788411	70946	24.8	1	10
2014-03-28 22:04:12.05781	70947	48	2	8
2014-03-28 22:04:12.27908	70948	22.1	1	8
2014-03-28 22:04:25.000468	70949	52	2	1
2014-03-28 22:04:25.232039	70950	22.4	1	1
2014-03-28 22:04:32.264955	70951	370	3	2
2014-03-28 22:04:32.487032	70952	1115128.781307843	4	2
2014-03-28 22:04:40.559685	70953	48	2	10
2014-03-28 22:04:40.792603	70954	24.8	1	10
2014-03-28 22:04:51.056608	70955	48	2	8
2014-03-28 22:04:51.27914	70956	22.1	1	8
2014-03-28 22:05:04.239346	70957	52	2	1
2014-03-28 22:05:04.472456	70958	22.4	1	1
2014-03-28 22:05:19.560038	70959	48	2	10
2014-03-28 22:05:19.782024	70960	24.8	1	10
2014-03-28 22:05:30.052967	70961	48	2	8
2014-03-28 22:05:30.341791	70962	22.1	1	8
2014-03-28 22:05:42.88328	70963	354	3	2
2014-03-28 22:05:43.293058	70964	1115134.52648145	4	2
2014-03-28 22:05:43.597988	70965	52	2	1
2014-03-28 22:05:43.830484	70966	22.4	1	1
2014-03-28 22:05:58.560089	70967	48	2	10
2014-03-28 22:05:58.783725	70968	24.8	1	10
2014-03-28 22:06:09.054783	70969	48	2	8
2014-03-28 22:06:09.299289	70970	22.1	1	8
2014-03-28 22:06:21.997878	70971	52	2	1
2014-03-28 22:06:22.219128	70972	22.4	1	1
2014-03-28 22:06:32.26611	70973	370	3	2
2014-03-28 22:06:32.499384	70974	1115141.4206897786	4	2
2014-03-28 22:06:37.559007	70975	48	2	10
2014-03-28 22:06:37.7811	70976	24.8	1	10
2014-03-28 22:06:48.068983	70977	48	2	8
2014-03-28 22:06:48.303292	70978	22.1	1	8
2014-03-28 22:07:00.99815	70979	52	2	1
2014-03-28 22:07:01.220854	70980	22.4	1	1
2014-03-28 22:07:16.559991	70981	48	2	10
2014-03-28 22:07:16.790389	70982	24.7	1	10
2014-03-28 22:07:27.053902	70983	48	2	8
2014-03-28 22:07:27.277606	70984	22.1	1	8
2014-03-28 22:07:32.266098	70985	370	3	2
2014-03-28 22:07:32.507694	70986	1115147.1658633857	4	2
2014-03-28 22:07:39.994086	70987	52	2	1
2014-03-28 22:07:40.218901	70988	22.4	1	1
2014-03-28 22:07:55.557518	70989	48	2	10
2014-03-28 22:07:55.790968	70990	24.7	1	10
2014-03-28 22:08:06.054052	70991	48	2	8
2014-03-28 22:08:06.276901	70992	22.1	1	8
2014-03-28 22:08:20.264805	70993	305	3	2
2014-03-28 22:08:20.499472	70994	1115151.7620022714	4	2
2014-03-28 22:08:32.264923	70995	338	3	2
2014-03-28 22:08:32.487021	70996	1115152.9110369927	4	2
2014-03-28 22:08:34.555651	70997	48	2	10
2014-03-28 22:08:34.789882	70998	24.7	1	10
2014-03-28 22:08:45.054923	70999	48	2	8
2014-03-28 22:08:45.277237	71000	22.1	1	8
2014-03-28 22:08:56.265996	71001	338	3	2
2014-03-28 22:08:56.498264	71002	1115155.2091064355	4	2
2014-03-28 22:08:57.993341	71003	52	2	1
2014-03-28 22:08:58.215132	71004	22.4	1	1
2014-03-28 22:09:08.266299	71005	305	3	2
2014-03-28 22:09:08.497608	71006	1115156.3581411568	4	2
2014-03-28 22:09:13.559747	71007	48	2	10
2014-03-28 22:09:13.786648	71008	24.7	1	10
2014-03-28 22:09:20.265382	71009	338	3	2
2014-03-28 22:09:20.497225	71010	1115157.5071758784	4	2
2014-03-28 22:09:24.054546	71011	48	2	8
2014-03-28 22:09:24.277341	71012	22.1	1	8
2014-03-28 22:09:32.264695	71013	338	3	2
2014-03-28 22:09:32.516168	71014	1115158.6562105997	4	2
2014-03-28 22:09:36.999296	71015	52	2	1
2014-03-28 22:09:37.221857	71016	22.4	1	1
2014-03-28 22:09:52.558428	71017	48	2	10
2014-03-28 22:09:52.800492	71018	24.7	1	10
2014-03-28 22:09:56.264566	71019	305	3	2
2014-03-28 22:09:56.487005	71020	1115160.9542800426	4	2
2014-03-28 22:10:03.055328	71021	48	2	8
2014-03-28 22:10:03.286987	71022	22.1	1	8
2014-03-28 22:10:08.262739	71023	305	3	2
2014-03-28 22:10:08.490038	71024	1115160.9542800426	4	2
2014-03-28 22:10:15.997849	71025	52	2	1
2014-03-28 22:10:16.230679	71026	22.4	1	1
2014-03-28 22:10:31.558776	71027	48	2	10
2014-03-28 22:10:31.783628	71028	24.7	1	10
2014-03-28 22:10:32.262749	71029	305	3	2
2014-03-28 22:10:32.493737	71030	1115163.2523494854	4	2
2014-03-28 22:10:42.053907	71031	48	2	8
2014-03-28 22:10:42.277142	71032	22.1	1	8
2014-03-28 22:10:55.02882	71033	52	2	1
2014-03-28 22:10:55.2633	71034	22.3	1	1
2014-03-28 22:11:10.559307	71035	48	2	10
2014-03-28 22:11:10.782605	71036	24.6	1	10
2014-03-28 22:11:21.054139	71037	48	2	8
2014-03-28 22:11:21.286413	71038	22.1	1	8
2014-03-28 22:11:32.26723	71039	305	3	2
2014-03-28 22:11:32.488736	71040	1115168.9975230924	4	2
2014-03-28 22:11:34.038968	71041	52	2	1
2014-03-28 22:11:34.273226	71042	22.3	1	1
2014-03-28 22:11:49.76318	71043	48	2	10
2014-03-28 22:11:49.986027	71044	24.6	1	10
2014-03-28 22:12:00.054646	71045	48	2	8
2014-03-28 22:12:00.285795	71046	22.1	1	8
2014-03-28 22:12:12.993641	71047	52	2	1
2014-03-28 22:12:13.217737	71048	22.3	1	1
2014-03-28 22:12:28.560979	71049	48	2	10
2014-03-28 22:12:28.793306	71050	24.6	1	10
2014-03-28 22:12:32.264047	71051	305	3	2
2014-03-28 22:12:32.48829	71052	1115173.5936619781	4	2
2014-03-28 22:12:39.054245	71053	48	2	8
2014-03-28 22:12:39.28678	71054	22.1	1	8
2014-03-28 22:12:51.995455	71055	52	2	1
2014-03-28 22:12:52.21692	71056	22.3	1	1
2014-03-28 22:13:07.562501	71057	48	2	10
2014-03-28 22:13:07.795173	71058	24.6	1	10
2014-03-28 22:13:18.054287	71059	48	2	8
2014-03-28 22:13:18.275924	71060	22.1	1	8
2014-03-28 22:13:30.992576	71061	52	2	1
2014-03-28 22:13:31.224651	71062	22.3	1	1
2014-03-28 22:13:32.263023	71063	305	3	2
2014-03-28 22:13:32.484316	71064	1115179.3388355852	4	2
2014-03-28 22:13:46.561067	71065	48	2	10
2014-03-28 22:13:46.805612	71066	24.6	1	10
2014-03-28 22:13:57.054914	71067	48	2	8
2014-03-28 22:13:57.276183	71068	22.1	1	8
2014-03-28 22:14:08.263041	71069	305	3	2
2014-03-28 22:14:08.495	71070	1115181.636905028	4	2
2014-03-28 22:14:10.03548	71071	52	2	1
2014-03-28 22:14:10.257834	71072	22.3	1	1
2014-03-28 22:14:20.261573	71073	305	3	2
2014-03-28 22:14:20.493555	71074	1115182.7859397496	4	2
2014-03-28 22:14:25.559388	71075	48	2	10
2014-03-28 22:14:25.784935	71076	24.5	1	10
2014-03-28 22:14:32.261826	71077	338	3	2
2014-03-28 22:14:32.495612	71078	1115183.9349744709	4	2
2014-03-28 22:14:36.05325	71079	48	2	8
2014-03-28 22:14:36.276117	71080	22.1	1	8
2014-03-28 22:14:44.262718	71081	338	3	2
2014-03-28 22:14:44.497629	71082	1115185.0840091922	4	2
2014-03-28 22:14:48.991731	71083	52	2	1
2014-03-28 22:14:49.212678	71084	22.3	1	1
2014-03-28 22:15:04.559446	71085	48	2	10
2014-03-28 22:15:04.793236	71086	24.5	1	10
2014-03-28 22:15:15.055518	71087	48	2	8
2014-03-28 22:15:15.277527	71088	22.1	1	8
2014-03-28 22:15:27.995608	71089	52	2	1
2014-03-28 22:15:28.227455	71090	22.3	1	1
2014-03-28 22:15:32.262138	71091	338	3	2
2014-03-28 22:15:32.483687	71092	1115189.680148078	4	2
2014-03-28 22:15:43.559912	71093	48	2	10
2014-03-28 22:15:43.792986	71094	24.5	1	10
2014-03-28 22:15:44.263699	71095	305	3	2
2014-03-28 22:15:44.484693	71096	1115189.6846190302	4	2
2014-03-28 22:15:54.054275	71097	48	2	8
2014-03-28 22:15:54.287657	71098	22.1	1	8
2014-03-28 22:15:56.264495	71099	338	3	2
2014-03-28 22:15:56.486947	71100	1115190.8336537515	4	2
2014-03-28 22:16:06.992423	71101	52	2	1
2014-03-28 22:16:07.225344	71102	22.3	1	1
2014-03-28 22:16:08.262307	71103	305	3	2
2014-03-28 22:16:08.484305	71104	1115191.982688473	4	2
2014-03-28 22:16:20.265808	71105	305	3	2
2014-03-28 22:16:20.497525	71106	1115193.1317231944	4	2
2014-03-28 22:16:22.562663	71107	48	2	10
2014-03-28 22:16:22.783539	71108	24.5	1	10
2014-03-28 22:16:33.054129	71109	48	2	8
2014-03-28 22:16:33.287441	71110	22.1	1	8
2014-03-28 22:16:44.265485	71111	370	3	2
2014-03-28 22:16:44.48698	71112	1115195.4297926372	4	2
2014-03-28 22:16:45.99337	71113	52	2	1
2014-03-28 22:16:46.236275	71114	22.3	1	1
2014-03-28 22:16:56.266431	71115	370	3	2
2014-03-28 22:16:56.488308	71116	1115196.5788273588	4	2
2014-03-28 22:17:01.567988	71117	48	2	10
2014-03-28 22:17:01.983596	71118	24.5	1	10
2014-03-28 22:17:12.052642	71119	48	2	8
2014-03-28 22:17:12.273714	71120	22.1	1	8
2014-03-28 22:17:24.991076	71121	52	2	1
2014-03-28 22:17:25.212716	71122	22.3	1	1
2014-03-28 22:17:32.264773	71123	370	3	2
2014-03-28 22:17:32.496742	71124	1115200.025931523	4	2
2014-03-28 22:17:40.559725	71125	48	2	10
2014-03-28 22:17:40.781267	71126	24.5	1	10
2014-03-28 22:17:51.052803	71127	48	2	8
2014-03-28 22:17:51.283049	71128	22.1	1	8
2014-03-28 22:18:03.989912	71129	52	2	1
2014-03-28 22:18:04.211498	71130	22.3	1	1
2014-03-28 22:18:19.560515	71131	48	2	10
2014-03-28 22:18:19.794817	71132	24.5	1	10
2014-03-28 22:18:30.053277	71133	48	2	8
2014-03-28 22:18:30.273813	71134	22.1	1	8
2014-03-28 22:18:32.263026	71135	370	3	2
2014-03-28 22:18:32.494586	71136	1115205.77110513	4	2
2014-03-28 22:18:42.986977	71137	52	2	1
2014-03-28 22:18:43.207874	71138	22.3	1	1
2014-03-28 22:18:58.562332	71139	48	2	10
2014-03-28 22:18:58.794567	71140	24.5	1	10
2014-03-28 22:19:09.053121	71141	48	2	8
2014-03-28 22:19:09.276454	71142	22.1	1	8
2014-03-28 22:19:21.989326	71143	52	2	1
2014-03-28 22:19:22.219718	71144	22.2	1	1
2014-03-28 22:19:32.26063	71145	370	3	2
2014-03-28 22:19:32.481628	71146	1115212.6653134585	4	2
2014-03-28 22:19:37.562975	71147	48	2	10
2014-03-28 22:19:37.796974	71148	24.4	1	10
2014-03-28 22:19:48.052624	71149	48	2	8
2014-03-28 22:19:48.274953	71150	22.0	1	8
2014-03-28 22:20:00.992845	71151	52	2	1
2014-03-28 22:20:01.226022	71152	22.2	1	1
2014-03-28 22:20:16.559524	71153	48	2	10
2014-03-28 22:20:16.781641	71154	24.4	1	10
2014-03-28 22:20:27.054757	71155	48	2	8
2014-03-28 22:20:27.286381	71156	22.0	1	8
2014-03-28 22:20:32.262707	71157	370	3	2
2014-03-28 22:20:32.488908	71158	1115218.4104870656	4	2
2014-03-28 22:20:39.991168	71159	52	2	1
2014-03-28 22:20:40.24338	71160	22.2	1	1
2014-03-28 22:20:55.560215	71161	48	2	10
2014-03-28 22:20:55.782279	71162	24.4	1	10
2014-03-28 22:21:06.055377	71163	48	2	8
2014-03-28 22:21:06.296972	71164	22.0	1	8
2014-03-28 22:21:18.989151	71165	52	2	1
2014-03-28 22:21:19.214241	71166	22.2	1	1
2014-03-28 22:21:32.262522	71167	354	3	2
2014-03-28 22:21:32.493502	71168	1115224.1556606726	4	2
2014-03-28 22:21:34.561622	71169	48	2	10
2014-03-28 22:21:34.782689	71170	24.4	1	10
2014-03-28 22:21:45.053542	71171	48	2	8
2014-03-28 22:21:45.285936	71172	22.0	1	8
2014-03-28 22:21:57.988539	71173	52	2	1
2014-03-28 22:21:58.211336	71174	22.2	1	1
2014-03-28 22:22:13.56163	71175	48	2	10
2014-03-28 22:22:13.793334	71176	24.4	1	10
2014-03-28 22:22:20.263502	71177	305	3	2
2014-03-28 22:22:20.486824	71178	1115228.7517995583	4	2
2014-03-28 22:22:24.052972	71179	48	2	8
2014-03-28 22:22:24.284849	71180	22.0	1	8
2014-03-28 22:22:32.261213	71181	305	3	2
2014-03-28 22:22:32.483105	71182	1115229.9008342796	4	2
2014-03-28 22:22:36.989011	71183	52	2	1
2014-03-28 22:22:37.228669	71184	22.2	1	1
2014-03-28 22:22:52.562882	71185	48	2	10
2014-03-28 22:22:52.785166	71186	24.3	1	10
2014-03-28 22:23:03.053519	71187	48	2	8
2014-03-28 22:23:03.284668	71188	22.0	1	8
2014-03-28 22:23:15.989419	71189	52	2	1
2014-03-28 22:23:16.212891	71190	22.2	1	1
2014-03-28 22:23:31.564957	71191	48	2	10
2014-03-28 22:23:31.795882	71192	24.3	1	10
2014-03-28 22:23:32.261589	71193	305	3	2
2014-03-28 22:23:32.483935	71194	1115235.6460078869	4	2
2014-03-28 22:23:42.052471	71195	48	2	8
2014-03-28 22:23:42.284605	71196	22.0	1	8
2014-03-28 22:23:54.987637	71197	52	2	1
2014-03-28 22:23:55.256143	71198	22.2	1	1
2014-03-28 22:23:56.264024	71199	338	3	2
2014-03-28 22:23:56.495614	71200	1115236.7950426082	4	2
2014-03-28 22:24:08.259995	71201	305	3	2
2014-03-28 22:24:08.482314	71202	1115237.9440773297	4	2
2014-03-28 22:24:10.562671	71203	48	2	10
2014-03-28 22:24:10.803306	71204	24.3	1	10
2014-03-28 22:24:21.053351	71205	48	2	8
2014-03-28 22:24:21.275042	71206	22.0	1	8
2014-03-28 22:24:32.264178	71207	305	3	2
2014-03-28 22:24:32.495249	71208	1115240.2421467723	4	2
2014-03-28 22:24:33.985579	71209	52	2	1
2014-03-28 22:24:34.206303	71210	22.2	1	1
2014-03-28 22:24:44.262289	71211	338	3	2
2014-03-28 22:24:44.504166	71212	1115241.3911814939	4	2
2014-03-28 22:24:49.564308	71213	48	2	10
2014-03-28 22:24:49.792702	71214	24.3	1	10
2014-03-28 22:24:56.262264	71215	338	3	2
2014-03-28 22:24:56.496431	71216	1115242.5402162152	4	2
2014-03-28 22:25:00.05202	71217	48	2	8
2014-03-28 22:25:00.279192	71218	22.0	1	8
2014-03-28 22:25:08.261473	71219	305	3	2
2014-03-28 22:25:08.493037	71220	1115243.6892509367	4	2
2014-03-28 22:25:12.984362	71221	52	2	1
2014-03-28 22:25:13.204235	71222	22.2	1	1
2014-03-28 22:25:20.262545	71223	305	3	2
2014-03-28 22:25:20.49477	71224	1115244.838285658	4	2
2014-03-28 22:25:28.563152	71225	48	2	10
2014-03-28 22:25:28.784882	71226	24.3	1	10
2014-03-28 22:25:32.261632	71227	305	3	2
2014-03-28 22:25:32.493005	71228	1115245.9873203796	4	2
2014-03-28 22:25:39.053179	71229	48	2	8
2014-03-28 22:25:39.27462	71230	22.0	1	8
2014-03-28 22:25:51.98528	71231	52	2	1
2014-03-28 22:25:52.216568	71232	22.2	1	1
2014-03-28 22:26:07.563619	71233	48	2	10
2014-03-28 22:26:07.788158	71234	24.3	1	10
2014-03-28 22:26:18.054389	71235	48	2	8
2014-03-28 22:26:18.286059	71236	22.0	1	8
2014-03-28 22:26:46.565204	71237	48	2	10
2014-03-28 22:26:46.786874	71238	24.2	1	10
2014-03-28 22:26:57.054135	71239	48	2	8
2014-03-28 22:26:57.287253	71240	22.0	1	8
2014-03-28 22:27:09.985861	71241	52	2	1
2014-03-28 22:27:10.209383	71242	22.1	1	1
2014-03-28 22:27:25.564248	71243	48	2	10
2014-03-28 22:27:25.795419	71244	24.2	1	10
2014-03-28 22:27:32.262475	71245	305	3	2
2014-03-28 22:27:32.484232	71246	1115256.3286328723	4	2
2014-03-28 22:27:36.053182	71247	48	2	8
2014-03-28 22:27:36.292472	71248	22.0	1	8
2014-03-28 22:27:48.984148	71249	52	2	1
2014-03-28 22:27:49.209345	71250	22.1	1	1
2014-03-28 22:27:56.260574	71251	338	3	2
2014-03-28 22:27:56.494075	71252	1115258.6267023152	4	2
2014-03-28 22:28:04.564405	71253	48	2	10
2014-03-28 22:28:04.78448	71254	24.2	1	10
2014-03-28 22:28:08.260094	71255	305	3	2
2014-03-28 22:28:08.491696	71256	1115258.6267023152	4	2
2014-03-28 22:28:15.053025	71257	48	2	8
2014-03-28 22:28:15.273437	71258	22.0	1	8
2014-03-28 22:28:20.261962	71259	305	3	2
2014-03-28 22:28:20.51135	71260	1115259.7757370365	4	2
2014-03-28 22:28:27.984366	71261	52	2	1
2014-03-28 22:28:28.205254	71262	22.1	1	1
2014-03-28 22:28:32.261487	71263	305	3	2
2014-03-28 22:28:32.495334	71264	1115260.9247717578	4	2
2014-03-28 22:28:43.566459	71265	48	2	10
2014-03-28 22:28:43.791301	71266	24.2	1	10
2014-03-28 22:28:54.052141	71267	48	2	8
2014-03-28 22:28:54.286863	71268	22.0	1	8
2014-03-28 22:29:06.982993	71269	52	2	1
2014-03-28 22:29:07.204828	71270	22.1	1	1
2014-03-28 22:29:22.56434	71271	48	2	10
2014-03-28 22:29:22.796981	71272	24.2	1	10
2014-03-28 22:29:33.052725	71273	48	2	8
2014-03-28 22:29:33.274741	71274	22.0	1	8
2014-03-28 22:29:45.982411	71275	52	2	1
2014-03-28 22:29:46.214301	71276	22.1	1	1
2014-03-28 22:30:01.565017	71277	48	2	10
2014-03-28 22:30:01.78879	71278	24.2	1	10
2014-03-28 22:30:10.769957	71279	338	3	2
2014-03-28 22:30:11.001436	71280	1115268.968014808	4	2
2014-03-28 22:30:12.052848	71281	48	2	8
2014-03-28 22:30:12.27446	71282	22.0	1	8
2014-03-28 22:30:20.262851	71283	354	3	2
2014-03-28 22:30:20.496141	71284	1115270.1170495292	4	2
2014-03-28 22:30:24.983007	71285	52	2	1
2014-03-28 22:30:25.205085	71286	22.1	1	1
2014-03-28 22:30:32.262581	71287	370	3	2
2014-03-28 22:30:32.494335	71288	1115271.2660842505	4	2
2014-03-28 22:30:40.565174	71289	48	2	10
2014-03-28 22:30:40.786734	71290	24.2	1	10
2014-03-28 22:30:51.05305	71291	48	2	8
2014-03-28 22:30:51.284985	71292	22.0	1	8
2014-03-28 22:31:03.982974	71293	52	2	1
2014-03-28 22:31:04.205134	71294	22.1	1	1
2014-03-28 22:31:19.56669	71295	48	2	10
2014-03-28 22:31:19.801282	71296	24.1	1	10
2014-03-28 22:31:30.055312	71297	48	2	8
2014-03-28 22:31:30.277425	71298	22.0	1	8
2014-03-28 22:31:32.26056	71299	370	3	2
2014-03-28 22:31:32.492116	71300	1115278.160292579	4	2
2014-03-28 22:31:42.980647	71301	52	2	1
2014-03-28 22:31:43.205605	71302	22.1	1	1
2014-03-28 22:31:58.566859	71303	48	2	10
2014-03-28 22:31:58.800939	71304	24.1	1	10
2014-03-28 22:32:09.053895	71305	48	2	8
2014-03-28 22:32:09.278037	71306	22.0	1	8
2014-03-28 22:32:22.024213	71307	52	2	1
2014-03-28 22:32:22.26959	71308	22.1	1	1
2014-03-28 22:32:32.263077	71309	354	3	2
2014-03-28 22:32:32.484516	71310	1115283.905466186	4	2
2014-03-28 22:32:37.565125	71311	48	2	10
2014-03-28 22:32:37.801083	71312	24.1	1	10
2014-03-28 22:32:48.052309	71313	48	2	8
2014-03-28 22:32:48.276188	71314	22.0	1	8
2014-03-28 22:33:00.984796	71315	52	2	1
2014-03-28 22:33:01.216262	71316	22.1	1	1
2014-03-28 22:33:08.262233	71317	434	3	2
2014-03-28 22:33:08.485454	71318	1115287.3525703505	4	2
2014-03-28 22:33:16.565861	71319	48	2	10
2014-03-28 22:33:16.797018	71320	24.1	1	10
2014-03-28 22:33:25.758441	71321	434	3	2
2014-03-28 22:33:25.979474	71322	1115289.6506397934	4	2
2014-03-28 22:33:27.051811	71323	48	2	8
2014-03-28 22:33:27.283768	71324	22.0	1	8
2014-03-28 22:33:32.262476	71325	450	3	2
2014-03-28 22:33:32.487512	71326	1115290.7996745147	4	2
2014-03-28 22:33:39.981147	71327	52	2	1
2014-03-28 22:33:40.21289	71328	22.1	1	1
2014-03-28 22:33:55.621813	71329	48	2	10
2014-03-28 22:33:55.844607	71330	24.1	1	10
2014-03-28 22:34:06.053517	71331	48	2	8
2014-03-28 22:34:06.294746	71332	22.0	1	8
2014-03-28 22:34:18.9822	71333	52	2	1
2014-03-28 22:34:19.203196	71334	22.1	1	1
2014-03-28 22:34:32.261645	71335	434	3	2
2014-03-28 22:34:32.494349	71336	1115297.6938828432	4	2
2014-03-28 22:34:34.567427	71337	48	2	10
2014-03-28 22:34:34.787736	71338	24.1	1	10
2014-03-28 22:34:45.053455	71339	48	2	8
2014-03-28 22:34:45.285996	71340	22.0	1	8
2014-03-28 22:34:57.981259	71341	52	2	1
2014-03-28 22:34:58.20169	71342	22.1	1	1
2014-03-28 22:35:13.56785	71343	48	2	10
2014-03-28 22:35:13.800234	71344	24.1	1	10
2014-03-28 22:35:24.05234	71345	48	2	8
2014-03-28 22:35:24.274954	71346	22.0	1	8
2014-03-28 22:35:32.262026	71347	402	3	2
2014-03-28 22:35:32.495063	71348	1115305.7371258931	4	2
2014-03-28 22:35:36.985382	71349	52	2	1
2014-03-28 22:35:37.206764	71350	22.1	1	1
2014-03-28 22:35:44.258926	71351	402	3	2
2014-03-28 22:35:44.491763	71352	1115306.8861606144	4	2
2014-03-28 22:35:52.56868	71353	48	2	10
2014-03-28 22:35:52.791231	71354	24.1	1	10
2014-03-28 22:36:03.051904	71355	48	2	8
2014-03-28 22:36:03.294966	71356	22.0	1	8
2014-03-28 22:36:15.981089	71357	52	2	1
2014-03-28 22:36:16.203569	71358	22.1	1	1
2014-03-28 22:36:31.579622	71359	48	2	10
2014-03-28 22:36:31.811069	71360	24.1	1	10
2014-03-28 22:36:32.261632	71361	402	3	2
2014-03-28 22:36:32.483232	71362	1115311.4822995001	4	2
2014-03-28 22:36:42.054206	71363	48	2	8
2014-03-28 22:36:42.287122	71364	22.0	1	8
2014-03-28 22:36:54.977882	71365	52	2	1
2014-03-28 22:36:55.201161	71366	22.1	1	1
2014-03-28 22:37:10.567067	71367	48	2	10
2014-03-28 22:37:10.799138	71368	24.1	1	10
2014-03-28 22:37:21.257923	71369	48	2	8
2014-03-28 22:37:21.479357	71370	22.0	1	8
2014-03-28 22:37:33.786793	71371	402	3	2
2014-03-28 22:37:34.020012	71372	1115318.3765078287	4	2
2014-03-28 22:37:34.328314	71373	52	2	1
2014-03-28 22:37:34.550449	71374	22.0	1	1
2014-03-28 22:37:49.56654	71375	48	2	10
2014-03-28 22:37:49.800465	71376	24.0	1	10
2014-03-28 22:38:00.052818	71377	48	2	8
2014-03-28 22:38:00.276161	71378	22.0	1	8
2014-03-28 22:38:12.977931	71379	52	2	1
2014-03-28 22:38:13.210209	71380	22.0	1	1
2014-03-28 22:38:28.566211	71381	48	2	10
2014-03-28 22:38:28.788048	71382	24.0	1	10
2014-03-28 22:38:32.260854	71383	402	3	2
2014-03-28 22:38:32.495452	71384	1115325.270716157	4	2
2014-03-28 22:38:39.053035	71385	48	2	8
2014-03-28 22:38:39.275075	71386	21.9	1	8
2014-03-28 22:38:51.975604	71387	52	2	1
2014-03-28 22:38:52.207392	71388	22.0	1	1
2014-03-28 22:39:07.568192	71389	48	2	10
2014-03-28 22:39:07.792313	71390	24.0	1	10
2014-03-28 22:39:18.052624	71391	48	2	8
2014-03-28 22:39:18.284718	71392	21.9	1	8
2014-03-28 22:39:31.214759	71393	52	2	1
2014-03-28 22:39:31.437511	71394	22.0	1	1
2014-03-28 22:39:32.259986	71395	402	3	2
2014-03-28 22:39:32.493543	71396	1115332.1649244856	4	2
2014-03-28 22:39:46.571823	71397	48	2	10
2014-03-28 22:39:46.794347	71398	24.0	1	10
2014-03-28 22:39:57.051688	71399	48	2	8
2014-03-28 22:39:57.283386	71400	21.9	1	8
2014-03-28 22:40:08.260423	71401	370	3	2
2014-03-28 22:40:08.483129	71402	1115335.6120286498	4	2
2014-03-28 22:40:09.97779	71403	52	2	1
2014-03-28 22:40:10.21846	71404	22.0	1	1
2014-03-28 22:40:25.569425	71405	48	2	10
2014-03-28 22:40:25.793697	71406	24.0	1	10
2014-03-28 22:40:32.25978	71407	370	3	2
2014-03-28 22:40:32.490304	71408	1115339.0591328142	4	2
2014-03-28 22:40:36.257699	71409	48	2	8
2014-03-28 22:40:36.478983	71410	21.9	1	8
2014-03-28 22:40:44.257429	71411	402	3	2
2014-03-28 22:40:44.489576	71412	1115340.2081675355	4	2
2014-03-28 22:40:48.972907	71413	52	2	1
2014-03-28 22:40:49.193572	71414	22.0	1	1
2014-03-28 22:40:56.260246	71415	402	3	2
2014-03-28 22:40:56.492527	71416	1115341.357202257	4	2
2014-03-28 22:41:04.568578	71417	48	2	10
2014-03-28 22:41:04.794883	71418	24.0	1	10
2014-03-28 22:41:15.052908	71419	48	2	8
2014-03-28 22:41:15.285457	71420	21.9	1	8
2014-03-28 22:41:20.258608	71421	370	3	2
2014-03-28 22:41:20.486983	71422	1115343.6552717	4	2
2014-03-28 22:41:27.976339	71423	52	2	1
2014-03-28 22:41:28.207876	71424	22.0	1	1
2014-03-28 22:41:32.259231	71425	370	3	2
2014-03-28 22:41:32.480836	71426	1115344.8043064212	4	2
2014-03-28 22:41:43.569146	71427	48	2	10
2014-03-28 22:41:43.802188	71428	24.0	1	10
2014-03-28 22:41:54.054765	71429	48	2	8
2014-03-28 22:41:54.275849	71430	21.9	1	8
2014-03-28 22:42:06.979279	71431	52	2	1
2014-03-28 22:42:07.210906	71432	22.0	1	1
2014-03-28 22:42:22.568125	71433	48	2	10
2014-03-28 22:42:22.790816	71434	24.0	1	10
2014-03-28 22:42:33.054722	71435	48	2	8
2014-03-28 22:42:33.28664	71436	21.9	1	8
2014-03-28 22:42:44.259571	71437	370	3	2
2014-03-28 22:42:44.484488	71438	1115352.847549471	4	2
2014-03-28 22:42:45.977552	71439	52	2	1
2014-03-28 22:42:46.21075	71440	22.0	1	1
2014-03-28 22:42:56.257454	71441	370	3	2
2014-03-28 22:42:56.479924	71442	1115353.9965841926	4	2
2014-03-28 22:43:01.56977	71443	48	2	10
2014-03-28 22:43:01.80118	71444	24.0	1	10
2014-03-28 22:43:12.052525	71445	48	2	8
2014-03-28 22:43:12.275087	71446	21.9	1	8
2014-03-28 22:43:24.972962	71447	52	2	1
2014-03-28 22:43:25.204837	71448	22.0	1	1
2014-03-28 22:43:32.262021	71449	370	3	2
2014-03-28 22:43:32.483619	71450	1115357.4436883568	4	2
2014-03-28 22:43:40.569281	71451	48	2	10
2014-03-28 22:43:40.814475	71452	24.0	1	10
2014-03-28 22:43:51.053212	71453	48	2	8
2014-03-28 22:43:51.273755	71454	21.9	1	8
2014-03-28 22:43:56.26064	71455	434	3	2
2014-03-28 22:43:56.500185	71456	1115359.7417577996	4	2
2014-03-28 22:44:03.973993	71457	52	2	1
2014-03-28 22:44:04.196601	71458	22.0	1	1
2014-03-28 22:44:08.259494	71459	434	3	2
2014-03-28 22:44:08.493992	71460	1115362.0398272425	4	2
2014-03-28 22:44:19.569838	71461	48	2	10
2014-03-28 22:44:19.791937	71462	24.0	1	10
2014-03-28 22:44:30.053219	71463	48	2	8
2014-03-28 22:44:30.284358	71464	21.9	1	8
2014-03-28 22:44:32.259877	71465	434	3	2
2014-03-28 22:44:32.4843	71466	1115364.3378966853	4	2
2014-03-28 22:44:42.972331	71467	52	2	1
2014-03-28 22:44:43.20407	71468	22.0	1	1
2014-03-28 22:44:58.572117	71469	48	2	10
2014-03-28 22:44:58.795361	71470	24.0	1	10
2014-03-28 22:45:09.260004	71471	48	2	8
2014-03-28 22:45:09.49278	71472	21.9	1	8
2014-03-28 22:45:21.972937	71473	52	2	1
2014-03-28 22:45:22.197673	71474	22.0	1	1
2014-03-28 22:45:32.259273	71475	450	3	2
2014-03-28 22:45:32.491756	71476	1115372.3811397352	4	2
2014-03-28 22:45:37.568885	71477	48	2	10
2014-03-28 22:45:37.794277	71478	23.9	1	10
2014-03-28 22:45:48.052082	71479	48	2	8
2014-03-28 22:45:48.284669	71480	21.9	1	8
2014-03-28 22:46:00.977198	71481	52	2	1
2014-03-28 22:46:01.198442	71482	22.0	1	1
2014-03-28 22:46:16.569284	71483	48	2	10
2014-03-28 22:46:16.805062	71484	23.9	1	10
2014-03-28 22:46:27.055775	71485	48	2	8
2014-03-28 22:46:27.278289	71486	21.9	1	8
2014-03-28 22:46:32.25902	71487	450	3	2
2014-03-28 22:46:32.49672	71488	1115379.2753480636	4	2
2014-03-28 22:46:39.973888	71489	52	2	1
2014-03-28 22:46:40.19657	71490	22.0	1	1
2014-03-28 22:46:55.569385	71491	48	2	10
2014-03-28 22:46:55.843425	71492	23.9	1	10
2014-03-28 22:47:06.052895	71493	48	2	8
2014-03-28 22:47:06.276843	71494	21.9	1	8
2014-03-28 22:47:18.976145	71495	52	2	1
2014-03-28 22:47:19.208283	71496	22.0	1	1
2014-03-28 22:47:32.258976	71497	434	3	2
2014-03-28 22:47:32.482546	71498	1115386.1695563921	4	2
2014-03-28 22:47:34.567813	71499	48	2	10
2014-03-28 22:47:34.811776	71500	23.9	1	10
2014-03-28 22:47:45.054871	71501	48	2	8
2014-03-28 22:47:45.278867	71502	21.9	1	8
2014-03-28 22:47:56.256783	71503	370	3	2
2014-03-28 22:47:56.487766	71504	1115389.6166605563	4	2
2014-03-28 22:47:57.970621	71505	52	2	1
2014-03-28 22:47:58.193315	71506	22.0	1	1
2014-03-28 22:48:13.568928	71507	48	2	10
2014-03-28 22:48:13.803342	71508	23.9	1	10
2014-03-28 22:48:24.053154	71509	48	2	8
2014-03-28 22:48:24.279516	71510	21.9	1	8
2014-03-28 22:48:32.259679	71511	370	3	2
2014-03-28 22:48:32.490414	71512	1115393.0637647207	4	2
2014-03-28 22:48:36.973491	71513	52	2	1
2014-03-28 22:48:37.197527	71514	22.0	1	1
2014-03-28 22:48:44.263972	71515	338	3	2
2014-03-28 22:48:44.495138	71516	1115394.212799442	4	2
2014-03-28 22:48:52.569269	71517	48	2	10
2014-03-28 22:48:52.811302	71518	23.9	1	10
2014-03-28 22:48:56.258747	71519	338	3	2
2014-03-28 22:48:56.491384	71520	1115395.3618341635	4	2
2014-03-28 22:49:03.052335	71521	48	2	8
2014-03-28 22:49:03.275153	71522	21.9	1	8
2014-03-28 22:49:15.972703	71523	52	2	1
2014-03-28 22:49:16.20402	71524	21.9	1	1
2014-03-28 22:49:31.569678	71525	48	2	10
2014-03-28 22:49:31.792354	71526	23.9	1	10
2014-03-28 22:49:32.258548	71527	305	3	2
2014-03-28 22:49:32.49203	71528	1115398.8089383277	4	2
2014-03-28 22:49:42.052666	71529	48	2	8
2014-03-28 22:49:42.273983	71530	21.9	1	8
2014-03-28 22:49:44.259006	71531	338	3	2
2014-03-28 22:49:44.493127	71532	1115399.957973049	4	2
2014-03-28 22:49:54.971824	71533	52	2	1
2014-03-28 22:49:55.193827	71534	21.9	1	1
2014-03-28 22:49:56.259995	71535	338	3	2
2014-03-28 22:49:56.493114	71536	1115401.1070077706	4	2
2014-03-28 22:50:10.571635	71537	48	2	10
2014-03-28 22:50:10.793444	71538	23.9	1	10
2014-03-28 22:50:21.053049	71539	48	2	8
2014-03-28 22:50:21.285489	71540	21.9	1	8
2014-03-28 22:50:32.259688	71541	338	3	2
2014-03-28 22:50:32.484525	71542	1115404.5541119347	4	2
2014-03-28 22:50:33.972122	71543	52	2	1
2014-03-28 22:50:34.203813	71544	21.9	1	1
2014-03-28 22:50:49.568267	71545	48	2	10
2014-03-28 22:50:49.79352	71546	23.9	1	10
2014-03-28 22:51:00.052933	71547	48	2	8
2014-03-28 22:51:00.296867	71548	21.9	1	8
2014-03-28 22:51:12.9686	71549	52	2	1
2014-03-28 22:51:13.190754	71550	21.9	1	1
2014-03-28 22:51:28.571588	71551	48	2	10
2014-03-28 22:51:28.807956	71552	23.8	1	10
2014-03-28 22:51:32.255034	71553	338	3	2
2014-03-28 22:51:32.478272	71554	1115410.2992855418	4	2
2014-03-28 22:51:39.052491	71555	48	2	8
2014-03-28 22:51:39.284199	71556	21.9	1	8
2014-03-28 22:51:51.970729	71557	52	2	1
2014-03-28 22:51:52.192618	71558	21.9	1	1
2014-03-28 22:52:07.570746	71559	48	2	10
2014-03-28 22:52:07.803405	71560	23.8	1	10
2014-03-28 22:52:18.052556	71561	48	2	8
2014-03-28 22:52:18.274505	71562	21.9	1	8
2014-03-28 22:52:30.971862	71563	52	2	1
2014-03-28 22:52:31.203471	71564	21.9	1	1
2014-03-28 22:52:32.257293	71565	338	3	2
2014-03-28 22:52:32.479734	71566	1115416.044459149	4	2
2014-03-28 22:52:46.572327	71567	48	2	10
2014-03-28 22:52:46.806075	71568	23.8	1	10
2014-03-28 22:52:57.054057	71569	48	2	8
2014-03-28 22:52:57.275899	71570	21.9	1	8
2014-03-28 22:53:09.970015	71571	52	2	1
2014-03-28 22:53:10.204219	71572	21.9	1	1
2014-03-28 22:53:25.572362	71573	48	2	10
2014-03-28 22:53:25.794377	71574	23.8	1	10
2014-03-28 22:53:32.259027	71575	338	3	2
2014-03-28 22:53:32.490705	71576	1115421.789632756	4	2
2014-03-28 22:53:36.051314	71577	48	2	8
2014-03-28 22:53:36.275453	71578	21.9	1	8
2014-03-28 22:53:48.969498	71579	52	2	1
2014-03-28 22:53:49.205072	71580	21.9	1	1
2014-03-28 22:54:04.570009	71581	48	2	10
2014-03-28 22:54:04.792595	71582	23.8	1	10
2014-03-28 22:54:15.052749	71583	48	2	8
2014-03-28 22:54:15.286801	71584	21.9	1	8
2014-03-28 22:54:27.967481	71585	52	2	1
2014-03-28 22:54:28.192133	71586	21.9	1	1
2014-03-28 22:54:32.275941	71587	338	3	2
2014-03-28 22:54:32.507657	71588	1115426.3857716417	4	2
2014-03-28 22:54:43.572803	71589	48	2	10
2014-03-28 22:54:43.796551	71590	23.8	1	10
2014-03-28 22:54:54.052484	71591	48	2	8
2014-03-28 22:54:54.286395	71592	21.9	1	8
2014-03-28 22:55:06.968655	71593	52	2	1
2014-03-28 22:55:07.192709	71594	21.9	1	1
2014-03-28 22:55:22.572732	71595	48	2	10
2014-03-28 22:55:22.815034	71596	23.8	1	10
2014-03-28 22:55:33.052298	71597	48	2	8
2014-03-28 22:55:33.274012	71598	21.9	1	8
2014-03-28 22:55:45.969103	71599	52	2	1
2014-03-28 22:55:46.200908	71600	21.9	1	1
2014-03-28 22:56:01.570964	71601	48	2	10
2014-03-28 22:56:01.799547	71602	23.8	1	10
2014-03-28 22:56:12.052111	71603	48	2	8
2014-03-28 22:56:12.284253	71604	21.9	1	8
2014-03-28 22:56:24.964728	71605	52	2	1
2014-03-28 22:56:25.18696	71606	21.9	1	1
2014-03-28 22:56:32.311816	71607	338	3	2
2014-03-28 22:56:32.543369	71608	1115437.8761188558	4	2
2014-03-28 22:56:40.571622	71609	48	2	10
2014-03-28 22:56:40.79508	71610	23.8	1	10
2014-03-28 22:56:51.060447	71611	48	2	8
2014-03-28 22:56:51.293706	71612	21.9	1	8
2014-03-28 22:57:03.967669	71613	52	2	1
2014-03-28 22:57:04.189452	71614	21.9	1	1
2014-03-28 22:57:08.256993	71615	370	3	2
2014-03-28 22:57:08.488669	71616	1115441.32322302	4	2
2014-03-28 22:57:19.569982	71617	48	2	10
2014-03-28 22:57:19.791878	71618	23.8	1	10
2014-03-28 22:57:20.260291	71619	402	3	2
2014-03-28 22:57:20.490717	71620	1115442.4722577415	4	2
2014-03-28 22:57:30.05253	71621	48	2	8
2014-03-28 22:57:30.273937	71622	21.9	1	8
2014-03-28 22:57:32.316393	71623	370	3	2
2014-03-28 22:57:32.548307	71624	1115444.7703271843	4	2
2014-03-28 22:57:42.969771	71625	52	2	1
2014-03-28 22:57:43.193717	71626	21.9	1	1
2014-03-28 22:57:44.255638	71627	370	3	2
2014-03-28 22:57:44.487108	71628	1115445.9193619057	4	2
2014-03-28 22:57:58.573527	71629	48	2	10
2014-03-28 22:57:58.794756	71630	23.8	1	10
2014-03-28 22:58:09.054343	71631	48	2	8
2014-03-28 22:58:09.287051	71632	21.9	1	8
2014-03-28 22:58:20.257372	71633	402	3	2
2014-03-28 22:58:20.477998	71634	1115449.36646607	4	2
2014-03-28 22:58:21.966217	71635	52	2	1
2014-03-28 22:58:22.198972	71636	21.9	1	1
2014-03-28 22:58:32.294946	71637	370	3	2
2014-03-28 22:58:32.534892	71638	1115450.5155007914	4	2
2014-03-28 22:58:37.57171	71639	48	2	10
2014-03-28 22:58:37.81008	71640	23.8	1	10
2014-03-28 22:58:44.25456	71641	370	3	2
2014-03-28 22:58:44.478126	71642	1115451.6645355127	4	2
2014-03-28 22:58:48.052648	71643	48	2	8
2014-03-28 22:58:48.29721	71644	21.9	1	8
2014-03-28 22:59:00.969417	71645	52	2	1
2014-03-28 22:59:01.196913	71646	21.9	1	1
2014-03-28 22:59:16.572324	71647	48	2	10
2014-03-28 22:59:16.804233	71648	23.8	1	10
2014-03-28 22:59:27.051554	71649	48	2	8
2014-03-28 22:59:27.274768	71650	21.9	1	8
2014-03-28 22:59:32.256979	71651	370	3	2
2014-03-28 22:59:32.550566	71652	1115456.2606743984	4	2
2014-03-28 22:59:39.969178	71653	52	2	1
2014-03-28 22:59:40.191266	71654	21.9	1	1
2014-03-28 22:59:55.572456	71655	48	2	10
2014-03-28 22:59:55.803842	71656	23.8	1	10
2014-03-28 23:00:06.052381	71657	48	2	8
2014-03-28 23:00:06.272904	71658	21.9	1	8
2014-03-28 23:00:18.964876	71659	52	2	1
2014-03-28 23:00:19.197789	71660	21.9	1	1
2014-03-28 23:00:32.255372	71661	370	3	2
2014-03-28 23:00:32.534241	71662	1115463.154882727	4	2
2014-03-28 23:00:34.572773	71663	48	2	10
2014-03-28 23:00:34.803711	71664	23.7	1	10
2014-03-28 23:00:45.051264	71665	48	2	8
2014-03-28 23:00:45.272997	71666	21.9	1	8
2014-03-28 23:00:57.96498	71667	52	2	1
2014-03-28 23:00:58.197344	71668	21.8	1	1
2014-03-28 23:01:13.577141	71669	48	2	10
2014-03-28 23:01:13.800017	71670	23.7	1	10
2014-03-28 23:01:24.258588	71671	48	2	8
2014-03-28 23:01:24.489928	71672	21.9	1	8
2014-03-28 23:01:32.259533	71673	370	3	2
2014-03-28 23:01:32.536802	71674	1115468.900056334	4	2
2014-03-28 23:01:36.963968	71675	51	2	1
2014-03-28 23:01:37.194269	71676	21.8	1	1
2014-03-28 23:01:52.572587	71677	48	2	10
2014-03-28 23:01:52.79564	71678	23.7	1	10
2014-03-28 23:01:56.315005	71679	402	3	2
2014-03-28 23:01:56.548272	71680	1115472.3471604981	4	2
2014-03-28 23:02:03.051113	71681	48	2	8
2014-03-28 23:02:03.274713	71682	21.9	1	8
2014-03-28 23:02:08.25771	71683	370	3	2
2014-03-28 23:02:08.494104	71684	1115473.4961952197	4	2
2014-03-28 23:02:15.964444	71685	51	2	1
2014-03-28 23:02:16.185877	71686	21.8	1	1
2014-03-28 23:02:20.255561	71687	370	3	2
2014-03-28 23:02:20.486635	71688	1115474.645229941	4	2
2014-03-28 23:02:31.575048	71689	48	2	10
2014-03-28 23:02:31.809498	71690	23.7	1	10
2014-03-28 23:02:32.2561	71691	370	3	2
2014-03-28 23:02:32.553399	71692	1115475.7942646625	4	2
2014-03-28 23:02:42.05139	71693	48	2	8
2014-03-28 23:02:42.274544	71694	21.9	1	8
2014-03-28 23:02:54.964956	71695	51	2	1
2014-03-28 23:02:55.198938	71696	21.8	1	1
2014-03-28 23:02:56.312759	71697	338	3	2
2014-03-28 23:02:56.535842	71698	1115478.0923341054	4	2
2014-03-28 23:03:08.257546	71699	338	3	2
2014-03-28 23:03:08.508755	71700	1115479.2413688267	4	2
2014-03-28 23:03:10.574209	71701	48	2	10
2014-03-28 23:03:10.795589	71702	23.7	1	10
2014-03-28 23:03:21.052352	71703	48	2	8
2014-03-28 23:03:21.285101	71704	21.9	1	8
2014-03-28 23:03:32.255057	71705	338	3	2
2014-03-28 23:03:32.532315	71706	1115481.5394382696	4	2
2014-03-28 23:03:33.96392	71707	51	2	1
2014-03-28 23:03:34.194451	71708	21.8	1	1
2014-03-28 23:03:49.574658	71709	48	2	10
2014-03-28 23:03:49.799215	71710	23.7	1	10
2014-03-28 23:04:00.053144	71711	48	2	8
2014-03-28 23:04:00.284946	71712	21.9	1	8
2014-03-28 23:04:12.964186	71713	51	2	1
2014-03-28 23:04:13.19002	71714	21.8	1	1
2014-03-28 23:04:28.575428	71715	48	2	10
2014-03-28 23:04:28.80816	71716	23.7	1	10
2014-03-28 23:04:32.255303	71717	338	3	2
2014-03-28 23:04:32.505857	71718	1115486.1400481074	4	2
2014-03-28 23:04:39.051742	71719	48	2	8
2014-03-28 23:04:39.289138	71720	21.9	1	8
2014-03-28 23:04:51.960896	71721	51	2	1
2014-03-28 23:04:52.182572	71722	21.8	1	1
2014-03-28 23:05:07.57541	71723	48	2	10
2014-03-28 23:05:07.807624	71724	23.7	1	10
2014-03-28 23:05:18.052693	71725	48	2	8
2014-03-28 23:05:18.275854	71726	21.9	1	8
2014-03-28 23:05:30.961926	71727	51	2	1
2014-03-28 23:05:31.193771	71728	21.8	1	1
2014-03-28 23:05:32.256048	71729	354	3	2
2014-03-28 23:05:32.478847	71730	1115491.8852217146	4	2
2014-03-28 23:05:46.572749	71731	48	2	10
2014-03-28 23:05:46.806023	71732	23.7	1	10
2014-03-28 23:05:57.052627	71733	48	2	8
2014-03-28 23:05:57.274975	71734	21.9	1	8
2014-03-28 23:06:09.960762	71735	51	2	1
2014-03-28 23:06:10.193455	71736	21.8	1	1
2014-03-28 23:06:25.579474	71737	48	2	10
2014-03-28 23:06:25.800797	71738	23.7	1	10
2014-03-28 23:06:32.257964	71739	338	3	2
2014-03-28 23:06:32.503699	71740	1115497.6303953216	4	2
2014-03-28 23:06:36.051582	71741	48	2	8
2014-03-28 23:06:36.273394	71742	21.8	1	8
2014-03-28 23:06:48.963466	71743	51	2	1
2014-03-28 23:06:49.195055	71744	21.8	1	1
2014-03-28 23:07:04.576748	71745	48	2	10
2014-03-28 23:07:04.799902	71746	23.7	1	10
2014-03-28 23:07:08.257126	71747	305	3	2
2014-03-28 23:07:08.490287	71748	1115499.9284647645	4	2
2014-03-28 23:07:15.051831	71749	48	2	8
2014-03-28 23:07:15.273539	71750	21.8	1	8
2014-03-28 23:07:20.255771	71751	338	3	2
2014-03-28 23:07:20.490304	71752	1115501.0774994858	4	2
2014-03-28 23:07:27.960402	71753	51	2	1
2014-03-28 23:07:28.184336	71754	21.8	1	1
2014-03-28 23:07:32.258121	71755	305	3	2
2014-03-28 23:07:32.488233	71756	1115502.2265342074	4	2
2014-03-28 23:07:43.576325	71757	48	2	10
2014-03-28 23:07:43.802701	71758	23.7	1	10
2014-03-28 23:07:44.266443	71759	305	3	2
2014-03-28 23:07:44.498535	71760	1115503.3755689287	4	2
2014-03-28 23:07:54.051679	71761	48	2	8
2014-03-28 23:07:54.27425	71762	21.8	1	8
2014-03-28 23:07:56.25402	71763	338	3	2
2014-03-28 23:07:56.543601	71764	1115504.5246036502	4	2
2014-03-28 23:08:06.9625	71765	51	2	1
2014-03-28 23:08:07.184528	71766	21.8	1	1
2014-03-28 23:08:08.25644	71767	305	3	2
2014-03-28 23:08:08.486975	71768	1115505.6736383715	4	2
2014-03-28 23:08:20.258279	71769	305	3	2
2014-03-28 23:08:20.4803	71770	1115506.8226730928	4	2
2014-03-28 23:08:22.577684	71771	48	2	10
2014-03-28 23:08:22.809217	71772	23.7	1	10
2014-03-28 23:08:33.050569	71773	48	2	8
2014-03-28 23:08:33.273245	71774	21.8	1	8
2014-03-28 23:08:45.962818	71775	51	2	1
2014-03-28 23:08:46.19575	71776	21.8	1	1
2014-03-28 23:09:01.575777	71777	48	2	10
2014-03-28 23:09:01.803198	71778	23.7	1	10
2014-03-28 23:09:12.053261	71779	48	2	8
2014-03-28 23:09:12.285146	71780	21.8	1	8
2014-03-28 23:09:24.959572	71781	51	2	1
2014-03-28 23:09:25.18591	71782	21.8	1	1
2014-03-28 23:09:32.256639	71783	305	3	2
2014-03-28 23:09:32.48821	71784	1115512.5678467	4	2
2014-03-28 23:09:40.577913	71785	48	2	10
2014-03-28 23:09:40.801669	71786	23.7	1	10
2014-03-28 23:09:51.052521	71787	48	2	8
2014-03-28 23:09:51.2993	71788	21.8	1	8
2014-03-28 23:10:03.959989	71789	51	2	1
2014-03-28 23:10:04.185443	71790	21.8	1	1
2014-03-28 23:10:19.576761	71791	48	2	10
2014-03-28 23:10:19.810106	71792	23.7	1	10
2014-03-28 23:10:30.052662	71793	48	2	8
2014-03-28 23:10:30.276321	71794	21.8	1	8
2014-03-28 23:10:32.255096	71795	305	3	2
2014-03-28 23:10:32.486668	71796	1115518.313020307	4	2
2014-03-28 23:10:42.959166	71797	51	2	1
2014-03-28 23:10:43.184454	71798	21.8	1	1
2014-03-28 23:10:58.578552	71799	48	2	10
2014-03-28 23:10:58.811695	71800	23.7	1	10
2014-03-28 23:11:09.052445	71801	48	2	8
2014-03-28 23:11:09.274776	71802	21.8	1	8
2014-03-28 23:11:21.95961	71803	51	2	1
2014-03-28 23:11:22.192935	71804	21.8	1	1
2014-03-28 23:11:37.57934	71805	48	2	10
2014-03-28 23:11:37.809065	71806	23.7	1	10
2014-03-28 23:11:44.256055	71807	354	3	2
2014-03-28 23:11:44.510982	71808	1115524.0581939141	4	2
2014-03-28 23:11:48.051533	71809	48	2	8
2014-03-28 23:11:48.274811	71810	21.8	1	8
2014-03-28 23:12:01.198496	71811	51	2	1
2014-03-28 23:12:01.430037	71812	21.8	1	1
2014-03-28 23:12:16.577463	71813	48	2	10
2014-03-28 23:12:16.800183	71814	23.6	1	10
2014-03-28 23:12:27.052433	71815	48	2	8
2014-03-28 23:12:27.283568	71816	21.8	1	8
2014-03-28 23:12:32.255021	71817	354	3	2
2014-03-28 23:12:32.48207	71818	1115528.6543327998	4	2
2014-03-28 23:12:39.959026	71819	51	2	1
2014-03-28 23:12:40.192393	71820	21.8	1	1
2014-03-28 23:12:55.579243	71821	48	2	10
2014-03-28 23:12:55.803557	71822	23.6	1	10
2014-03-28 23:13:06.052448	71823	48	2	8
2014-03-28 23:13:06.284115	71824	21.8	1	8
2014-03-28 23:13:18.957798	71825	51	2	1
2014-03-28 23:13:19.179081	71826	21.8	1	1
2014-03-28 23:13:32.257042	71827	354	3	2
2014-03-28 23:13:32.48938	71828	1115534.3995064069	4	2
2014-03-28 23:13:34.578535	71829	48	2	10
2014-03-28 23:13:34.800921	71830	23.6	1	10
2014-03-28 23:13:45.052555	71831	48	2	8
2014-03-28 23:13:45.285453	71832	21.8	1	8
2014-03-28 23:13:57.959278	71833	51	2	1
2014-03-28 23:13:58.182865	71834	21.8	1	1
2014-03-28 23:14:13.57785	71835	48	2	10
2014-03-28 23:14:13.822321	71836	23.6	1	10
2014-03-28 23:14:24.053351	71837	48	2	8
2014-03-28 23:14:24.274609	71838	21.8	1	8
2014-03-28 23:14:32.257208	71839	370	3	2
2014-03-28 23:14:32.489151	71840	1115541.2937147354	4	2
2014-03-28 23:14:37.00019	71841	51	2	1
2014-03-28 23:14:37.223525	71842	21.7	1	1
2014-03-28 23:14:52.577272	71843	48	2	10
2014-03-28 23:14:52.809406	71844	23.6	1	10
2014-03-28 23:15:03.052382	71845	48	2	8
2014-03-28 23:15:03.277285	71846	21.8	1	8
2014-03-28 23:15:15.956887	71847	51	2	1
2014-03-28 23:15:16.190795	71848	21.7	1	1
2014-03-28 23:15:31.578487	71849	48	2	10
2014-03-28 23:15:31.800513	71850	23.6	1	10
2014-03-28 23:15:32.255807	71851	370	3	2
2014-03-28 23:15:32.487227	71852	1115547.0388883424	4	2
2014-03-28 23:15:42.052096	71853	48	2	8
2014-03-28 23:15:42.27608	71854	21.8	1	8
2014-03-28 23:15:54.956222	71855	51	2	1
2014-03-28 23:15:55.188166	71856	21.7	1	1
2014-03-28 23:16:10.578023	71857	48	2	10
2014-03-28 23:16:10.801003	71858	23.6	1	10
2014-03-28 23:16:21.052469	71859	48	2	8
2014-03-28 23:16:21.284829	71860	21.8	1	8
2014-03-28 23:16:32.253611	71861	305	3	2
2014-03-28 23:16:32.476602	71862	1115552.7840619495	4	2
2014-03-28 23:16:33.956358	71863	51	2	1
2014-03-28 23:16:34.187756	71864	21.7	1	1
2014-03-28 23:16:44.253767	71865	305	3	2
2014-03-28 23:16:44.4778	71866	1115553.933096671	4	2
2014-03-28 23:16:49.579563	71867	48	2	10
2014-03-28 23:16:49.814802	71868	23.6	1	10
2014-03-28 23:17:00.051345	71869	48	2	8
2014-03-28 23:17:00.274759	71870	21.8	1	8
2014-03-28 23:17:12.955525	71871	51	2	1
2014-03-28 23:17:13.187318	71872	21.7	1	1
2014-03-28 23:17:28.580355	71873	48	2	10
2014-03-28 23:17:28.804167	71874	23.6	1	10
2014-03-28 23:17:32.256481	71875	305	3	2
2014-03-28 23:17:32.486966	71876	1115558.5292355565	4	2
2014-03-28 23:17:39.052949	71877	48	2	8
2014-03-28 23:17:39.275989	71878	21.8	1	8
2014-03-28 23:17:51.955011	71879	51	2	1
2014-03-28 23:17:52.18794	71880	21.7	1	1
2014-03-28 23:18:07.579498	71881	48	2	10
2014-03-28 23:18:07.803704	71882	23.6	1	10
2014-03-28 23:18:18.051021	71883	48	2	8
2014-03-28 23:18:18.294705	71884	21.8	1	8
2014-03-28 23:18:30.955326	71885	51	2	1
2014-03-28 23:18:31.176992	71886	21.7	1	1
2014-03-28 23:18:32.255878	71887	305	3	2
2014-03-28 23:18:32.48604	71888	1115563.1253744422	4	2
2014-03-28 23:18:46.578505	71889	48	2	10
2014-03-28 23:18:46.802943	71890	23.6	1	10
2014-03-28 23:18:57.052375	71891	48	2	8
2014-03-28 23:18:57.283884	71892	21.8	1	8
2014-03-28 23:19:09.955918	71893	51	2	1
2014-03-28 23:19:10.177783	71894	21.7	1	1
2014-03-28 23:19:25.786181	71895	48	2	10
2014-03-28 23:19:26.018732	71896	23.6	1	10
2014-03-28 23:19:32.256408	71897	305	3	2
2014-03-28 23:19:32.479983	71898	1115567.721513328	4	2
2014-03-28 23:19:36.053485	71899	48	2	8
2014-03-28 23:19:36.284355	71900	21.8	1	8
2014-03-28 23:19:48.953396	71901	51	2	1
2014-03-28 23:19:49.176497	71902	21.7	1	1
2014-03-28 23:20:04.581674	71903	48	2	10
2014-03-28 23:20:04.815152	71904	23.6	1	10
2014-03-28 23:20:15.052668	71905	48	2	8
2014-03-28 23:20:15.276619	71906	21.8	1	8
2014-03-28 23:20:27.951841	71907	51	2	1
2014-03-28 23:20:28.205865	71908	21.7	1	1
2014-03-28 23:20:32.253199	71909	305	3	2
2014-03-28 23:20:32.475709	71910	1115573.466686935	4	2
2014-03-28 23:20:43.58001	71911	48	2	10
2014-03-28 23:20:43.813184	71912	23.6	1	10
2014-03-28 23:20:54.053019	71913	48	2	8
2014-03-28 23:20:54.277471	71914	21.8	1	8
2014-03-28 23:21:06.952521	71915	51	2	1
2014-03-28 23:21:07.184154	71916	21.7	1	1
2014-03-28 23:21:08.255427	71917	338	3	2
2014-03-28 23:21:08.477292	71918	1115576.9137910993	4	2
2014-03-28 23:21:20.257196	71919	305	3	2
2014-03-28 23:21:20.490082	71920	1115578.0628258206	4	2
2014-03-28 23:21:22.579864	71921	48	2	10
2014-03-28 23:21:22.80344	71922	23.6	1	10
2014-03-28 23:21:33.052689	71923	48	2	8
2014-03-28 23:21:33.343506	71924	21.8	1	8
2014-03-28 23:21:45.951374	71925	51	2	1
2014-03-28 23:21:46.173294	71926	21.7	1	1
2014-03-28 23:22:01.785738	71927	48	2	10
2014-03-28 23:22:02.02076	71928	23.5	1	10
2014-03-28 23:22:12.051528	71929	48	2	8
2014-03-28 23:22:12.274289	71930	21.8	1	8
2014-03-28 23:22:24.952597	71931	51	2	1
2014-03-28 23:22:25.196658	71932	21.7	1	1
2014-03-28 23:22:32.255683	71933	305	3	2
2014-03-28 23:22:32.481382	71934	1115583.8079994277	4	2
2014-03-28 23:22:40.579916	71935	48	2	10
2014-03-28 23:22:41.00061	71936	23.5	1	10
2014-03-28 23:22:51.05048	71937	47	2	8
2014-03-28 23:22:51.273026	71938	21.8	1	8
2014-03-28 23:22:56.254933	71939	338	3	2
2014-03-28 23:22:56.480704	71940	1115586.1060688705	4	2
2014-03-28 23:23:03.950897	71941	51	2	1
2014-03-28 23:23:04.180529	71942	21.7	1	1
2014-03-28 23:23:08.253881	71943	338	3	2
2014-03-28 23:23:08.496909	71944	1115587.255103592	4	2
2014-03-28 23:23:19.580212	71945	48	2	10
2014-03-28 23:23:19.814018	71946	23.5	1	10
2014-03-28 23:23:20.255157	71947	305	3	2
2014-03-28 23:23:20.475079	71948	1115588.4041383134	4	2
2014-03-28 23:23:30.050876	71949	47	2	8
2014-03-28 23:23:30.282825	71950	21.8	1	8
2014-03-28 23:23:32.254826	71951	305	3	2
2014-03-28 23:23:32.474859	71952	1115589.553173035	4	2
2014-03-28 23:23:43.185936	71953	51	2	1
2014-03-28 23:23:43.419123	71954	21.7	1	1
2014-03-28 23:23:58.581602	71955	48	2	10
2014-03-28 23:23:58.806819	71956	23.5	1	10
2014-03-28 23:24:09.050371	71957	47	2	8
2014-03-28 23:24:09.283623	71958	21.8	1	8
2014-03-28 23:24:21.953329	71959	51	2	1
2014-03-28 23:24:22.17606	71960	21.7	1	1
2014-03-28 23:24:37.381786	71961	305	3	2
2014-03-28 23:24:37.614823	71962	1115594.1493119204	4	2
2014-03-28 23:24:37.922157	71963	48	2	10
2014-03-28 23:24:38.143501	71964	23.5	1	10
2014-03-28 23:24:48.051065	71965	47	2	8
2014-03-28 23:24:48.283372	71966	21.8	1	8
2014-03-28 23:25:00.953091	71967	51	2	1
2014-03-28 23:25:01.174793	71968	21.7	1	1
2014-03-28 23:25:08.254389	71969	370	3	2
2014-03-28 23:25:08.486153	71970	1115597.5964160848	4	2
2014-03-28 23:25:16.578597	71971	48	2	10
2014-03-28 23:25:16.801597	71972	23.5	1	10
2014-03-28 23:25:20.252691	71973	370	3	2
2014-03-28 23:25:20.482314	71974	1115598.745450806	4	2
2014-03-28 23:25:27.052518	71975	47	2	8
2014-03-28 23:25:27.275574	71976	21.8	1	8
2014-03-28 23:25:39.755575	71977	354	3	2
2014-03-28 23:25:39.987196	71978	1115599.8944855276	4	2
2014-03-28 23:25:40.293081	71979	51	2	1
2014-03-28 23:25:40.514745	71980	21.7	1	1
2014-03-28 23:25:55.580374	71981	48	2	10
2014-03-28 23:25:55.822316	71982	23.5	1	10
2014-03-28 23:26:06.051429	71983	47	2	8
2014-03-28 23:26:06.274866	71984	21.8	1	8
2014-03-28 23:26:18.948513	71985	51	2	1
2014-03-28 23:26:19.178573	71986	21.7	1	1
2014-03-28 23:26:32.257584	71987	370	3	2
2014-03-28 23:26:32.482678	71988	1115605.6396591347	4	2
2014-03-28 23:26:34.583298	71989	48	2	10
2014-03-28 23:26:34.814502	71990	23.5	1	10
2014-03-28 23:26:45.050551	71991	47	2	8
2014-03-28 23:26:45.274124	71992	21.8	1	8
2014-03-28 23:26:57.949203	71993	51	2	1
2014-03-28 23:26:58.18063	71994	21.7	1	1
2014-03-28 23:27:08.253335	71995	434	3	2
2014-03-28 23:27:08.476861	71996	1115610.2357980204	4	2
2014-03-28 23:27:13.580471	71997	48	2	10
2014-03-28 23:27:13.815162	71998	23.5	1	10
2014-03-28 23:27:20.254404	71999	434	3	2
2014-03-28 23:27:20.477852	72000	1115611.3848327417	4	2
2014-03-28 23:27:24.049009	72001	47	2	8
2014-03-28 23:27:24.28265	72002	21.8	1	8
2014-03-28 23:27:32.253511	72003	450	3	2
2014-03-28 23:27:32.476014	72004	1115612.533867463	4	2
2014-03-28 23:27:36.951137	72005	51	2	1
2014-03-28 23:27:37.193978	72006	21.7	1	1
2014-03-28 23:27:52.581992	72007	48	2	10
2014-03-28 23:27:52.803678	72008	23.4	1	10
2014-03-28 23:28:03.051458	72009	47	2	8
2014-03-28 23:28:03.282876	72010	21.8	1	8
2014-03-28 23:28:15.950691	72011	51	2	1
2014-03-28 23:28:16.174165	72012	21.7	1	1
2014-03-28 23:28:31.578168	72013	48	2	10
2014-03-28 23:28:31.811713	72014	23.4	1	10
2014-03-28 23:28:32.253551	72015	434	3	2
2014-03-28 23:28:32.474787	72016	1115620.577110513	4	2
2014-03-28 23:28:42.050126	72017	47	2	8
2014-03-28 23:28:42.283133	72018	21.8	1	8
2014-03-28 23:28:54.946211	72019	51	2	1
2014-03-28 23:28:55.167341	72020	21.7	1	1
2014-03-28 23:29:10.581138	72021	48	2	10
2014-03-28 23:29:10.81716	72022	23.4	1	10
2014-03-28 23:29:21.051809	72023	47	2	8
2014-03-28 23:29:21.273557	72024	21.8	1	8
2014-03-28 23:29:32.252907	72025	434	3	2
2014-03-28 23:29:32.484706	72026	1115627.4713188414	4	2
2014-03-28 23:29:33.946002	72027	51	2	1
2014-03-28 23:29:34.167877	72028	21.7	1	1
2014-03-28 23:29:49.582659	72029	48	2	10
2014-03-28 23:29:49.824213	72030	23.4	1	10
2014-03-28 23:30:00.052048	72031	47	2	8
2014-03-28 23:30:00.273535	72032	21.8	1	8
2014-03-28 23:30:08.252186	72033	370	3	2
2014-03-28 23:30:08.483177	72034	1115632.0674577272	4	2
2014-03-28 23:30:12.949247	72035	51	2	1
2014-03-28 23:30:13.170363	72036	21.7	1	1
2014-03-28 23:30:20.254307	72037	402	3	2
2014-03-28 23:30:20.485016	72038	1115633.2164924485	4	2
2014-03-28 23:30:28.580429	72039	48	2	10
2014-03-28 23:30:28.801649	72040	23.4	1	10
2014-03-28 23:30:32.252248	72041	370	3	2
2014-03-28 23:30:32.482808	72042	1115634.36552717	4	2
2014-03-28 23:30:39.053159	72043	47	2	8
2014-03-28 23:30:39.274493	72044	21.8	1	8
2014-03-28 23:30:44.252776	72045	370	3	2
2014-03-28 23:30:44.488692	72046	1115635.5145618913	4	2
2014-03-28 23:30:51.947278	72047	51	2	1
2014-03-28 23:30:52.171037	72048	21.7	1	1
2014-03-28 23:31:07.582896	72049	48	2	10
2014-03-28 23:31:07.81446	72050	23.4	1	10
2014-03-28 23:31:18.050724	72051	47	2	8
2014-03-28 23:31:18.276034	72052	21.8	1	8
2014-03-28 23:31:30.94505	72053	51	2	1
2014-03-28 23:31:31.178761	72054	21.7	1	1
2014-03-28 23:31:32.254471	72055	402	3	2
2014-03-28 23:31:32.476364	72056	1115640.110700777	4	2
2014-03-28 23:31:44.256102	72057	370	3	2
2014-03-28 23:31:44.486786	72058	1115641.2597354986	4	2
2014-03-28 23:31:46.580366	72059	48	2	10
2014-03-28 23:31:46.802419	72060	23.4	1	10
2014-03-28 23:31:57.106966	72061	47	2	8
2014-03-28 23:31:57.341364	72062	21.8	1	8
2014-03-28 23:32:09.948743	72063	51	2	1
2014-03-28 23:32:10.172051	72064	21.7	1	1
2014-03-28 23:32:25.578877	72065	48	2	10
2014-03-28 23:32:25.810223	72066	23.4	1	10
2014-03-28 23:32:32.252972	72067	370	3	2
2014-03-28 23:32:32.478782	72068	1115647.0049091056	4	2
2014-03-28 23:32:36.051488	72069	47	2	8
2014-03-28 23:32:36.283395	72070	21.8	1	8
2014-03-28 23:32:48.946747	72071	51	2	1
2014-03-28 23:32:49.170174	72072	21.6	1	1
2014-03-28 23:33:04.582847	72073	48	2	10
2014-03-28 23:33:04.814906	72074	23.4	1	10
2014-03-28 23:33:15.051332	72075	47	2	8
2014-03-28 23:33:15.27355	72076	21.8	1	8
2014-03-28 23:33:27.946213	72077	51	2	1
2014-03-28 23:33:28.187679	72078	21.6	1	1
2014-03-28 23:33:32.254619	72079	370	3	2
2014-03-28 23:33:32.474091	72080	1115652.7500827126	4	2
2014-03-28 23:33:43.583559	72081	48	2	10
2014-03-28 23:33:43.817056	72082	23.4	1	10
2014-03-28 23:33:54.050942	72083	47	2	8
2014-03-28 23:33:54.272565	72084	21.8	1	8
2014-03-28 23:34:06.945508	72085	51	2	1
2014-03-28 23:34:07.176442	72086	21.6	1	1
2014-03-28 23:34:22.583245	72087	48	2	10
2014-03-28 23:34:22.807279	72088	23.4	1	10
2014-03-28 23:34:33.050727	72089	47	2	8
2014-03-28 23:34:33.285276	72090	21.8	1	8
2014-03-28 23:34:45.942431	72091	51	2	1
2014-03-28 23:34:46.198762	72092	21.6	1	1
2014-03-28 23:35:01.582491	72093	48	2	10
2014-03-28 23:35:02.016853	72094	23.4	1	10
2014-03-28 23:35:12.050152	72095	47	2	8
2014-03-28 23:35:12.455549	72096	21.8	1	8
2014-03-28 23:35:24.947349	72097	51	2	1
2014-03-28 23:35:25.214756	72098	21.6	1	1
2014-03-28 23:35:32.253566	72099	370	3	2
2014-03-28 23:35:32.509686	72100	1115665.3894646482	4	2
2014-03-28 23:35:40.582908	72101	48	2	10
2014-03-28 23:35:40.864803	72102	23.4	1	10
2014-03-28 23:35:51.053065	72103	47	2	8
2014-03-28 23:35:51.460108	72104	21.8	1	8
2014-03-28 23:35:56.249857	72105	402	3	2
2014-03-28 23:35:56.840524	72106	1115667.687534091	4	2
2014-03-28 23:36:03.943249	72107	51	2	1
2014-03-28 23:36:04.167131	72108	21.6	1	1
2014-03-28 23:36:08.25186	72109	370	3	2
2014-03-28 23:36:08.484708	72110	1115668.8365688124	4	2
2014-03-28 23:36:19.583319	72111	48	2	10
2014-03-28 23:36:19.805325	72112	23.3	1	10
2014-03-28 23:36:20.252153	72113	370	3	2
2014-03-28 23:36:20.484228	72114	1115669.985603534	4	2
2014-03-28 23:36:30.050402	72115	47	2	8
2014-03-28 23:36:30.27431	72116	21.8	1	8
2014-03-28 23:36:32.25192	72117	370	3	2
2014-03-28 23:36:32.483044	72118	1115671.1346382552	4	2
2014-03-28 23:36:42.985607	72119	51	2	1
2014-03-28 23:36:43.209627	72120	21.6	1	1
2014-03-28 23:36:58.583218	72121	48	2	10
2014-03-28 23:36:58.813645	72122	23.3	1	10
2014-03-28 23:37:09.049131	72123	47	2	8
2014-03-28 23:37:09.273614	72124	21.8	1	8
2014-03-28 23:37:21.94641	72125	51	2	1
2014-03-28 23:37:22.188105	72126	21.6	1	1
2014-03-28 23:37:32.252259	72127	370	3	2
2014-03-28 23:37:32.47524	72128	1115678.0288465838	4	2
2014-03-28 23:37:37.582199	72129	48	2	10
2014-03-28 23:37:37.820582	72130	23.3	1	10
2014-03-28 23:37:48.051507	72131	47	2	8
2014-03-28 23:37:48.273334	72132	21.8	1	8
2014-03-28 23:38:00.941867	72133	51	2	1
2014-03-28 23:38:01.173727	72134	21.6	1	1
2014-03-28 23:38:16.583028	72135	48	2	10
2014-03-28 23:38:16.804586	72136	23.3	1	10
2014-03-28 23:38:27.051085	72137	47	2	8
2014-03-28 23:38:27.280978	72138	21.8	1	8
2014-03-28 23:38:32.249253	72139	434	3	2
2014-03-28 23:38:32.476148	72140	1115683.7740201908	4	2
2014-03-28 23:38:39.94414	72141	51	2	1
2014-03-28 23:38:40.175763	72142	21.6	1	1
2014-03-28 23:38:44.248803	72143	434	3	2
2014-03-28 23:38:44.468097	72144	1115686.0720896337	4	2
2014-03-28 23:38:55.586505	72145	48	2	10
2014-03-28 23:38:55.817483	72146	23.3	1	10
2014-03-28 23:39:06.049193	72147	47	2	8
2014-03-28 23:39:06.272094	72148	21.8	1	8
2014-03-28 23:39:18.942661	72149	51	2	1
2014-03-28 23:39:19.172676	72150	21.6	1	1
2014-03-28 23:39:32.252685	72151	434	3	2
2014-03-28 23:39:32.475338	72152	1115691.8172632407	4	2
2014-03-28 23:39:34.583182	72153	48	2	10
2014-03-28 23:39:34.816956	72154	23.3	1	10
2014-03-28 23:39:45.051015	72155	47	2	8
2014-03-28 23:39:45.272637	72156	21.8	1	8
2014-03-28 23:39:57.94392	72157	51	2	1
2014-03-28 23:39:58.177124	72158	21.6	1	1
2014-03-28 23:40:13.587359	72159	48	2	10
2014-03-28 23:40:13.811352	72160	23.3	1	10
2014-03-28 23:40:24.05139	72161	47	2	8
2014-03-28 23:40:24.285731	72162	21.8	1	8
2014-03-28 23:40:32.252444	72163	450	3	2
2014-03-28 23:40:32.473608	72164	1115698.7114715693	4	2
2014-03-28 23:40:36.942535	72165	51	2	1
2014-03-28 23:40:37.176104	72166	21.6	1	1
2014-03-28 23:40:52.583549	72167	48	2	10
2014-03-28 23:40:52.806742	72168	23.3	1	10
2014-03-28 23:41:03.053146	72169	47	2	8
2014-03-28 23:41:03.287583	72170	21.8	1	8
2014-03-28 23:41:15.941732	72171	51	2	1
2014-03-28 23:41:16.165772	72172	21.6	1	1
2014-03-28 23:41:31.582861	72173	48	2	10
2014-03-28 23:41:31.827002	72174	23.3	1	10
2014-03-28 23:41:32.251392	72175	370	3	2
2014-03-28 23:41:32.47261	72176	1115705.6056798978	4	2
2014-03-28 23:41:42.052924	72177	47	2	8
2014-03-28 23:41:42.285114	72178	21.8	1	8
2014-03-28 23:41:44.251885	72179	370	3	2
2014-03-28 23:41:44.473876	72180	1115706.7547146191	4	2
2014-03-28 23:41:54.94282	72181	51	2	1
2014-03-28 23:41:55.17591	72182	21.6	1	1
2014-03-28 23:41:56.253031	72183	402	3	2
2014-03-28 23:41:56.473153	72184	1115709.052784062	4	2
2014-03-28 23:42:08.25255	72185	370	3	2
2014-03-28 23:42:08.484067	72186	1115710.2018187833	4	2
2014-03-28 23:42:10.585897	72187	48	2	10
2014-03-28 23:42:10.80673	72188	23.3	1	10
2014-03-28 23:42:21.051589	72189	47	2	8
2014-03-28 23:42:21.285123	72190	21.8	1	8
2014-03-28 23:42:32.257019	72191	370	3	2
2014-03-28 23:42:32.47929	72192	1115712.4998882262	4	2
2014-03-28 23:42:33.941204	72193	51	2	1
2014-03-28 23:42:34.23332	72194	21.6	1	1
2014-03-28 23:42:49.586667	72195	48	2	10
2014-03-28 23:42:49.809012	72196	23.3	1	10
2014-03-28 23:43:00.050859	72197	47	2	8
2014-03-28 23:43:00.285791	72198	21.8	1	8
2014-03-28 23:43:12.94041	72199	51	2	1
2014-03-28 23:43:13.162963	72200	21.6	1	1
2014-03-28 23:43:28.582695	72201	48	2	10
2014-03-28 23:43:28.814263	72202	23.3	1	10
2014-03-28 23:43:32.253101	72203	338	3	2
2014-03-28 23:43:32.475997	72204	1115718.2450618332	4	2
2014-03-28 23:43:39.051462	72205	47	2	8
2014-03-28 23:43:39.28922	72206	21.8	1	8
2014-03-28 23:43:44.253047	72207	338	3	2
2014-03-28 23:43:44.482335	72208	1115719.3940965547	4	2
2014-03-28 23:43:51.940224	72209	51	2	1
2014-03-28 23:43:52.173295	72210	21.6	1	1
2014-03-28 23:44:07.588129	72211	48	2	10
2014-03-28 23:44:07.811766	72212	23.2	1	10
2014-03-28 23:44:18.051272	72213	47	2	8
2014-03-28 23:44:18.281553	72214	21.8	1	8
2014-03-28 23:44:20.253989	72215	305	3	2
2014-03-28 23:44:20.475931	72216	1115722.841200719	4	2
2014-03-28 23:44:30.937628	72217	51	2	1
2014-03-28 23:44:31.170889	72218	21.6	1	1
2014-03-28 23:44:32.250072	72219	305	3	2
2014-03-28 23:44:32.4728	72220	1115723.9902354404	4	2
2014-03-28 23:44:46.58753	72221	48	2	10
2014-03-28 23:44:46.833181	72222	23.2	1	10
2014-03-28 23:44:57.050489	72223	47	2	8
2014-03-28 23:44:57.310927	72224	21.8	1	8
2014-03-28 23:45:08.252005	72225	305	3	2
2014-03-28 23:45:08.483397	72226	1115726.2883048833	4	2
2014-03-28 23:45:09.93826	72227	51	2	1
2014-03-28 23:45:10.161725	72228	21.6	1	1
2014-03-28 23:45:20.253386	72229	305	3	2
2014-03-28 23:45:20.48472	72230	1115727.4373396046	4	2
2014-03-28 23:45:25.593158	72231	48	2	10
2014-03-28 23:45:25.820202	72232	23.2	1	10
2014-03-28 23:45:32.249368	72233	305	3	2
2014-03-28 23:45:32.480128	72234	1115728.586374326	4	2
2014-03-28 23:45:36.050624	72235	47	2	8
2014-03-28 23:45:36.273008	72236	21.8	1	8
2014-03-28 23:45:48.94054	72237	51	2	1
2014-03-28 23:45:49.172944	72238	21.6	1	1
2014-03-28 23:46:04.586802	72239	48	2	10
2014-03-28 23:46:04.809639	72240	23.2	1	10
2014-03-28 23:46:15.050669	72241	47	2	8
2014-03-28 23:46:15.282416	72242	21.8	1	8
2014-03-28 23:46:27.940395	72243	51	2	1
2014-03-28 23:46:28.165968	72244	21.6	1	1
2014-03-28 23:46:32.252215	72245	305	3	2
2014-03-28 23:46:32.48396	72246	1115734.3315479332	4	2
2014-03-28 23:46:43.791872	72247	48	2	10
2014-03-28 23:46:44.015367	72248	23.2	1	10
2014-03-28 23:46:54.052678	72249	47	2	8
2014-03-28 23:46:54.285485	72250	21.8	1	8
2014-03-28 23:47:06.93635	72251	51	2	1
2014-03-28 23:47:07.163847	72252	21.6	1	1
2014-03-28 23:47:08.249121	72253	338	3	2
2014-03-28 23:47:08.482263	72254	1115736.629617376	4	2
2014-03-28 23:47:20.253731	72255	305	3	2
2014-03-28 23:47:20.476958	72256	1115737.7786520973	4	2
2014-03-28 23:47:22.585684	72257	48	2	10
2014-03-28 23:47:22.81868	72258	23.2	1	10
2014-03-28 23:47:33.050895	72259	47	2	8
2014-03-28 23:47:33.274176	72260	21.8	1	8
2014-03-28 23:47:44.252015	72261	305	3	2
2014-03-28 23:47:44.48818	72262	1115740.0767215402	4	2
2014-03-28 23:47:45.950035	72263	51	2	1
2014-03-28 23:47:46.171895	72264	21.6	1	1
2014-03-28 23:47:56.254759	72265	305	3	2
2014-03-28 23:47:56.487188	72266	1115741.2257562615	4	2
2014-03-28 23:48:01.587461	72267	48	2	10
2014-03-28 23:48:01.815298	72268	23.2	1	10
2014-03-28 23:48:12.051724	72269	47	2	8
2014-03-28 23:48:12.29658	72270	21.8	1	8
2014-03-28 23:48:24.934084	72271	51	2	1
2014-03-28 23:48:25.15592	72272	21.6	1	1
2014-03-28 23:48:40.392466	72273	305	3	2
2014-03-28 23:48:40.623783	72274	1115743.5238257044	4	2
2014-03-28 23:48:40.929054	72275	48	2	10
2014-03-28 23:48:41.150005	72276	23.2	1	10
2014-03-28 23:48:51.050511	72277	47	2	8
2014-03-28 23:48:51.281969	72278	21.8	1	8
2014-03-28 23:49:03.9371	72279	51	2	1
2014-03-28 23:49:04.157987	72280	21.6	1	1
2014-03-28 23:49:19.588312	72281	48	2	10
2014-03-28 23:49:19.819617	72282	23.2	1	10
2014-03-28 23:49:30.050402	72283	47	2	8
2014-03-28 23:49:30.273023	72284	21.8	1	8
2014-03-28 23:49:32.251252	72285	305	3	2
2014-03-28 23:49:32.483378	72286	1115749.2689993114	4	2
2014-03-28 23:49:42.93703	72287	51	2	1
2014-03-28 23:49:43.158233	72288	21.6	1	1
2014-03-28 23:49:58.588291	72289	48	2	10
2014-03-28 23:49:58.822562	72290	23.2	1	10
2014-03-28 23:50:09.050608	72291	47	2	8
2014-03-28 23:50:09.273477	72292	21.8	1	8
2014-03-28 23:50:21.934899	72293	51	2	1
2014-03-28 23:50:22.167401	72294	21.6	1	1
2014-03-28 23:50:32.250495	72295	305	3	2
2014-03-28 23:50:32.473058	72296	1115753.865138197	4	2
2014-03-28 23:50:37.587516	72297	48	2	10
2014-03-28 23:50:37.828189	72298	23.1	1	10
2014-03-28 23:50:48.051321	72299	47	2	8
2014-03-28 23:50:48.273654	72300	21.8	1	8
2014-03-28 23:51:00.936218	72301	51	2	1
2014-03-28 23:51:01.167382	72302	21.5	1	1
2014-03-28 23:51:16.588182	72303	48	2	10
2014-03-28 23:51:16.810084	72304	23.1	1	10
2014-03-28 23:51:27.256807	72305	47	2	8
2014-03-28 23:51:27.489266	72306	21.8	1	8
2014-03-28 23:51:32.252411	72307	305	3	2
2014-03-28 23:51:32.476999	72308	1115759.6103118043	4	2
2014-03-28 23:51:39.934812	72309	51	2	1
2014-03-28 23:51:40.167699	72310	21.5	1	1
2014-03-28 23:51:44.249415	72311	370	3	2
2014-03-28 23:51:44.47048	72312	1115760.7593465257	4	2
2014-03-28 23:51:55.589772	72313	48	2	10
2014-03-28 23:51:55.820887	72314	23.1	1	10
2014-03-28 23:51:56.248016	72315	370	3	2
2014-03-28 23:51:56.489689	72316	1115761.908381247	4	2
2014-03-28 23:52:06.05256	72317	47	2	8
2014-03-28 23:52:06.296428	72318	21.7	1	8
2014-03-28 23:52:18.932285	72319	51	2	1
2014-03-28 23:52:19.155867	72320	21.5	1	1
2014-03-28 23:52:32.25154	72321	370	3	2
2014-03-28 23:52:32.483533	72322	1115765.3554854114	4	2
2014-03-28 23:52:34.587801	72323	48	2	10
2014-03-28 23:52:34.809534	72324	23.1	1	10
2014-03-28 23:52:45.05123	72325	47	2	8
2014-03-28 23:52:45.286148	72326	21.7	1	8
2014-03-28 23:52:57.932627	72327	51	2	1
2014-03-28 23:52:58.154952	72328	21.5	1	1
2014-03-28 23:53:13.588737	72329	48	2	10
2014-03-28 23:53:13.822757	72330	23.1	1	10
2014-03-28 23:53:24.051558	72331	47	2	8
2014-03-28 23:53:24.27522	72332	21.7	1	8
2014-03-28 23:53:32.249757	72333	354	3	2
2014-03-28 23:53:32.482921	72334	1115771.1006590184	4	2
2014-03-28 23:53:36.932428	72335	51	2	1
2014-03-28 23:53:37.154927	72336	21.5	1	1
2014-03-28 23:53:52.590504	72337	48	2	10
2014-03-28 23:53:52.823493	72338	23.1	1	10
2014-03-28 23:54:03.051691	72339	47	2	8
2014-03-28 23:54:03.273824	72340	21.7	1	8
2014-03-28 23:54:15.934517	72341	51	2	1
2014-03-28 23:54:16.166616	72342	21.5	1	1
2014-03-28 23:54:31.589784	72343	48	2	10
2014-03-28 23:54:31.812472	72344	23.1	1	10
2014-03-28 23:54:42.050644	72345	47	2	8
2014-03-28 23:54:42.283274	72346	21.7	1	8
2014-03-28 23:54:54.932508	72347	51	2	1
2014-03-28 23:54:55.154647	72348	21.5	1	1
2014-03-28 23:55:10.592084	72349	48	2	10
2014-03-28 23:55:10.824029	72350	23.1	1	10
2014-03-28 23:55:21.257834	72351	47	2	8
2014-03-28 23:55:21.478264	72352	21.7	1	8
2014-03-28 23:55:32.248084	72353	370	3	2
2014-03-28 23:55:32.479883	72354	1115782.5954771847	4	2
2014-03-28 23:55:33.932643	72355	51	2	1
2014-03-28 23:55:34.15494	72356	21.5	1	1
2014-03-28 23:55:49.589737	72357	48	2	10
2014-03-28 23:55:49.823826	72358	23.1	1	10
2014-03-28 23:56:00.053055	72359	47	2	8
2014-03-28 23:56:00.274349	72360	21.7	1	8
2014-03-28 23:56:12.933978	72361	51	2	1
2014-03-28 23:56:13.165996	72362	21.5	1	1
2014-03-28 23:56:20.249184	72363	305	3	2
2014-03-28 23:56:20.469518	72364	1115787.1916160705	4	2
2014-03-28 23:56:28.592951	72365	48	2	10
2014-03-28 23:56:28.838327	72366	23.1	1	10
2014-03-28 23:56:32.250545	72367	305	3	2
2014-03-28 23:56:32.471893	72368	1115788.3406507918	4	2
2014-03-28 23:56:39.050786	72369	47	2	8
2014-03-28 23:56:39.281162	72370	21.7	1	8
2014-03-28 23:56:51.932936	72371	51	2	1
2014-03-28 23:56:52.153324	72372	21.5	1	1
2014-03-28 23:57:07.590897	72373	48	2	10
2014-03-28 23:57:07.82172	72374	23.0	1	10
2014-03-28 23:57:18.052057	72375	47	2	8
2014-03-28 23:57:18.273328	72376	21.7	1	8
2014-03-28 23:57:30.933365	72377	51	2	1
2014-03-28 23:57:31.166175	72378	21.5	1	1
2014-03-28 23:57:44.249206	72379	338	3	2
2014-03-28 23:57:44.472874	72380	1115794.0858243988	4	2
2014-03-28 23:57:46.591746	72381	48	2	10
2014-03-28 23:57:46.823163	72382	23.0	1	10
2014-03-28 23:57:57.050847	72383	47	2	8
2014-03-28 23:57:57.273834	72384	21.7	1	8
2014-03-28 23:58:09.738773	72385	305	3	2
2014-03-28 23:58:09.970862	72386	1115796.3838938416	4	2
2014-03-28 23:58:10.27669	72387	51	2	1
2014-03-28 23:58:10.497421	72388	21.5	1	1
2014-03-28 23:58:20.250687	72389	305	3	2
2014-03-28 23:58:20.48415	72390	1115797.5329285632	4	2
2014-03-28 23:58:25.589974	72391	48	2	10
2014-03-28 23:58:25.817561	72392	23.0	1	10
2014-03-28 23:58:32.251299	72393	305	3	2
2014-03-28 23:58:32.482413	72394	1115798.6819632845	4	2
2014-03-28 23:58:36.052065	72395	47	2	8
2014-03-28 23:58:36.27474	72396	21.7	1	8
2014-03-28 23:58:48.930085	72397	51	2	1
2014-03-28 23:58:49.162498	72398	21.5	1	1
2014-03-28 23:59:04.593217	72399	48	2	10
2014-03-28 23:59:04.815197	72400	23.0	1	10
2014-03-28 23:59:15.051714	72401	47	2	8
2014-03-28 23:59:15.285266	72402	21.7	1	8
2014-03-28 23:59:27.927571	72403	51	2	1
2014-03-28 23:59:28.149472	72404	21.5	1	1
2014-03-28 23:59:32.248702	72405	305	3	2
2014-03-28 23:59:32.481668	72406	1115803.2781021702	4	2
2014-03-28 23:59:43.591657	72407	48	2	10
2014-03-28 23:59:43.81351	72408	23.0	1	10
2014-03-28 23:59:54.052717	72409	47	2	8
2014-03-28 23:59:54.285853	72410	21.7	1	8
2014-03-29 00:00:06.927102	72411	51	2	1
2014-03-29 00:00:07.148914	72412	21.5	1	1
2014-03-29 00:00:22.590637	72413	48	2	10
2014-03-29 00:00:22.833535	72414	23.0	1	10
2014-03-29 00:00:33.050781	72415	47	2	8
2014-03-29 00:00:33.273198	72416	21.7	1	8
2014-03-29 00:00:45.930168	72417	51	2	1
2014-03-29 00:00:46.162739	72418	21.5	1	1
2014-03-29 00:01:01.591463	72419	48	2	10
2014-03-29 00:01:01.815828	72420	23.0	1	10
2014-03-29 00:01:12.052158	72421	47	2	8
2014-03-29 00:01:12.283369	72422	21.7	1	8
2014-03-29 00:01:24.926954	72423	51	2	1
2014-03-29 00:01:25.149463	72424	21.5	1	1
2014-03-29 00:01:40.393477	72425	305	3	2
2014-03-29 00:01:40.62596	72426	1115813.619414663	4	2
2014-03-29 00:01:40.934236	72427	48	2	10
2014-03-29 00:01:41.155564	72428	23.0	1	10
2014-03-29 00:01:51.051001	72429	47	2	8
2014-03-29 00:01:51.282105	72430	21.7	1	8
2014-03-29 00:02:03.930194	72431	51	2	1
2014-03-29 00:02:04.153156	72432	21.5	1	1
2014-03-29 00:02:19.590264	72433	48	2	10
2014-03-29 00:02:19.82468	72434	22.9	1	10
2014-03-29 00:02:30.052814	72435	47	2	8
2014-03-29 00:02:30.274251	72436	21.7	1	8
2014-03-29 00:02:32.249905	72437	338	3	2
2014-03-29 00:02:32.480808	72438	1115819.36458827	4	2
2014-03-29 00:02:42.929465	72439	51	2	1
2014-03-29 00:02:43.154276	72440	21.5	1	1
2014-03-29 00:02:44.251355	72441	338	3	2
2014-03-29 00:02:44.482226	72442	1115820.5136229915	4	2
2014-03-29 00:02:56.24878	72443	305	3	2
2014-03-29 00:02:56.470523	72444	1115821.6626577128	4	2
2014-03-29 00:02:58.591739	72445	48	2	10
2014-03-29 00:02:58.824027	72446	22.9	1	10
2014-03-29 00:03:09.05208	72447	47	2	8
2014-03-29 00:03:09.277028	72448	21.7	1	8
2014-03-29 00:03:21.926833	72449	51	2	1
2014-03-29 00:03:22.178616	72450	21.5	1	1
2014-03-29 00:03:32.25208	72451	305	3	2
2014-03-29 00:03:32.473417	72452	1115823.9607271557	4	2
2014-03-29 00:03:37.589389	72453	48	2	10
2014-03-29 00:03:37.82824	72454	22.9	1	10
2014-03-29 00:03:48.051111	72455	47	2	8
2014-03-29 00:03:48.274896	72456	21.7	1	8
2014-03-29 00:04:00.925454	72457	51	2	1
2014-03-29 00:04:01.156795	72458	21.5	1	1
2014-03-29 00:04:08.249755	72459	338	3	2
2014-03-29 00:04:08.474628	72460	1115827.4078313198	4	2
2014-03-29 00:04:16.591768	72461	48	2	10
2014-03-29 00:04:16.834752	72462	22.9	1	10
2014-03-29 00:04:20.250017	72463	305	3	2
2014-03-29 00:04:20.473622	72464	1115828.5568660414	4	2
2014-03-29 00:04:27.049968	72465	47	2	8
2014-03-29 00:04:27.28099	72466	21.7	1	8
2014-03-29 00:04:32.248709	72467	370	3	2
2014-03-29 00:04:32.478123	72468	1115829.7059007627	4	2
2014-03-29 00:04:39.928277	72469	51	2	1
2014-03-29 00:04:40.160549	72470	21.5	1	1
2014-03-29 00:04:55.587148	72471	48	2	10
2014-03-29 00:04:55.809409	72472	22.9	1	10
2014-03-29 00:05:06.25409	72473	47	2	8
2014-03-29 00:05:06.487244	72474	21.7	1	8
2014-03-29 00:05:18.927752	72475	51	2	1
2014-03-29 00:05:19.152138	72476	21.5	1	1
2014-03-29 00:05:32.246878	72477	370	3	2
2014-03-29 00:05:32.477324	72478	1115835.45107437	4	2
2014-03-29 00:05:34.594538	72479	48	2	10
2014-03-29 00:05:34.816547	72480	22.9	1	10
2014-03-29 00:05:45.051729	72481	47	2	8
2014-03-29 00:05:45.283163	72482	21.7	1	8
2014-03-29 00:05:57.954445	72483	51	2	1
2014-03-29 00:05:58.177731	72484	21.5	1	1
2014-03-29 00:06:13.593479	72485	48	2	10
2014-03-29 00:06:13.82653	72486	22.9	1	10
2014-03-29 00:06:24.050803	72487	47	2	8
2014-03-29 00:06:24.27314	72488	21.7	1	8
2014-03-29 00:06:32.246864	72489	370	3	2
2014-03-29 00:06:32.479599	72490	1115842.3452826983	4	2
2014-03-29 00:06:36.92713	72491	51	2	1
2014-03-29 00:06:37.148817	72492	21.5	1	1
2014-03-29 00:06:52.593535	72493	48	2	10
2014-03-29 00:06:52.830669	72494	22.9	1	10
2014-03-29 00:07:03.055672	72495	47	2	8
2014-03-29 00:07:03.285739	72496	21.7	1	8
2014-03-29 00:07:15.929019	72497	51	2	1
2014-03-29 00:07:16.162179	72498	21.5	1	1
2014-03-29 00:07:31.595217	72499	48	2	10
2014-03-29 00:07:31.816986	72500	22.9	1	10
2014-03-29 00:07:32.248875	72501	370	3	2
2014-03-29 00:07:32.482276	72502	1115848.0904563053	4	2
2014-03-29 00:07:42.051043	72503	47	2	8
2014-03-29 00:07:42.273815	72504	21.7	1	8
2014-03-29 00:07:54.925672	72505	51	2	1
2014-03-29 00:07:55.160039	72506	21.5	1	1
2014-03-29 00:08:10.592952	72507	48	2	10
2014-03-29 00:08:10.814915	72508	22.9	1	10
2014-03-29 00:08:21.052244	72509	47	2	8
2014-03-29 00:08:21.29449	72510	21.7	1	8
2014-03-29 00:08:32.247406	72511	370	3	2
2014-03-29 00:08:32.467623	72512	1115853.8356299126	4	2
2014-03-29 00:08:33.924414	72513	51	2	1
2014-03-29 00:08:34.155445	72514	21.5	1	1
2014-03-29 00:08:49.594249	72515	48	2	10
2014-03-29 00:08:49.815577	72516	22.9	1	10
2014-03-29 00:09:00.050739	72517	47	2	8
2014-03-29 00:09:00.283324	72518	21.7	1	8
2014-03-29 00:09:12.925502	72519	51	2	1
2014-03-29 00:09:13.147372	72520	21.5	1	1
2014-03-29 00:09:28.594101	72521	48	2	10
2014-03-29 00:09:28.826507	72522	22.9	1	10
2014-03-29 00:09:32.249703	72523	370	3	2
2014-03-29 00:09:32.471368	72524	1115860.729838241	4	2
2014-03-29 00:09:39.050332	72525	47	2	8
2014-03-29 00:09:39.283684	72526	21.7	1	8
2014-03-29 00:09:44.250191	72527	338	3	2
2014-03-29 00:09:44.476756	72528	1115861.8788729624	4	2
2014-03-29 00:09:51.92203	72529	51	2	1
2014-03-29 00:09:52.153488	72530	21.5	1	1
2014-03-29 00:09:56.249165	72531	305	3	2
2014-03-29 00:09:56.472045	72532	1115863.0279076837	4	2
2014-03-29 00:10:07.592998	72533	48	2	10
2014-03-29 00:10:07.825771	72534	22.9	1	10
2014-03-29 00:10:08.250211	72535	305	3	2
2014-03-29 00:10:08.473933	72536	1115864.1769424053	4	2
2014-03-29 00:10:18.050982	72537	47	2	8
2014-03-29 00:10:18.283507	72538	21.7	1	8
2014-03-29 00:10:30.924411	72539	51	2	1
2014-03-29 00:10:31.146183	72540	21.5	1	1
2014-03-29 00:10:32.249847	72541	338	3	2
2014-03-29 00:10:32.48358	72542	1115866.4750118481	4	2
2014-03-29 00:10:44.247495	72543	338	3	2
2014-03-29 00:10:44.469237	72544	1115866.4750118481	4	2
2014-03-29 00:10:46.596429	72545	48	2	10
2014-03-29 00:10:46.830427	72546	22.8	1	10
2014-03-29 00:10:57.050083	72547	47	2	8
2014-03-29 00:10:57.27191	72548	21.7	1	8
2014-03-29 00:11:08.245895	72549	305	3	2
2014-03-29 00:11:08.477723	72550	1115868.7730812908	4	2
2014-03-29 00:11:09.922108	72551	51	2	1
2014-03-29 00:11:10.144211	72552	21.5	1	1
2014-03-29 00:11:25.59284	72553	48	2	10
2014-03-29 00:11:25.826518	72554	22.8	1	10
2014-03-29 00:11:32.248178	72555	305	3	2
2014-03-29 00:11:32.470575	72556	1115871.0711507336	4	2
2014-03-29 00:11:36.050586	72557	47	2	8
2014-03-29 00:11:36.293838	72558	21.7	1	8
2014-03-29 00:11:48.965117	72559	51	2	1
2014-03-29 00:11:49.207919	72560	21.5	1	1
2014-03-29 00:12:04.593639	72561	48	2	10
2014-03-29 00:12:04.828122	72562	22.8	1	10
2014-03-29 00:12:15.051145	72563	47	2	8
2014-03-29 00:12:15.273044	72564	21.7	1	8
2014-03-29 00:12:27.925369	72565	51	2	1
2014-03-29 00:12:28.156615	72566	21.5	1	1
2014-03-29 00:12:32.247874	72567	305	3	2
2014-03-29 00:12:32.468579	72568	1115876.8163243409	4	2
2014-03-29 00:12:43.593131	72569	48	2	10
2014-03-29 00:12:43.824737	72570	22.8	1	10
2014-03-29 00:12:44.247701	72571	338	3	2
2014-03-29 00:12:44.469275	72572	1115876.8163243409	4	2
2014-03-29 00:12:54.050696	72573	47	2	8
2014-03-29 00:12:54.281663	72574	21.7	1	8
2014-03-29 00:12:56.251289	72575	338	3	2
2014-03-29 00:12:56.471397	72576	1115877.9653590622	4	2
2014-03-29 00:13:06.920544	72577	51	2	1
2014-03-29 00:13:07.152601	72578	21.5	1	1
2014-03-29 00:13:20.249183	72579	305	3	2
2014-03-29 00:13:20.471405	72580	1115880.263428505	4	2
2014-03-29 00:13:22.594891	72581	48	2	10
2014-03-29 00:13:22.825923	72582	22.8	1	10
2014-03-29 00:13:33.052039	72583	47	2	8
2014-03-29 00:13:33.273931	72584	21.7	1	8
2014-03-29 00:13:45.922594	72585	51	2	1
2014-03-29 00:13:46.156722	72586	21.5	1	1
2014-03-29 00:14:01.593121	72587	48	2	10
2014-03-29 00:14:01.816964	72588	22.8	1	10
2014-03-29 00:14:12.050211	72589	47	2	8
2014-03-29 00:14:12.285175	72590	21.7	1	8
2014-03-29 00:14:20.249653	72591	338	3	2
2014-03-29 00:14:20.473011	72592	1115886.008602112	4	2
2014-03-29 00:14:24.922232	72593	51	2	1
2014-03-29 00:14:25.154794	72594	21.4	1	1
2014-03-29 00:14:32.248466	72595	305	3	2
2014-03-29 00:14:32.470946	72596	1115887.1576368336	4	2
2014-03-29 00:14:40.593083	72597	48	2	10
2014-03-29 00:14:40.826709	72598	22.8	1	10
2014-03-29 00:14:44.251595	72599	305	3	2
2014-03-29 00:14:44.473893	72600	1115888.306671555	4	2
2014-03-29 00:14:51.04991	72601	47	2	8
2014-03-29 00:14:51.28439	72602	21.7	1	8
2014-03-29 00:15:03.919189	72603	51	2	1
2014-03-29 00:15:04.146326	72604	21.4	1	1
2014-03-29 00:15:08.24779	72605	338	3	2
2014-03-29 00:15:08.492067	72606	1115889.4557062762	4	2
2014-03-29 00:15:19.59624	72607	48	2	10
2014-03-29 00:15:19.818681	72608	22.8	1	10
2014-03-29 00:15:20.24558	72609	338	3	2
2014-03-29 00:15:20.478175	72610	1115890.6047409978	4	2
2014-03-29 00:15:30.052342	72611	47	2	8
2014-03-29 00:15:30.275779	72612	21.7	1	8
2014-03-29 00:15:32.247829	72613	338	3	2
2014-03-29 00:15:32.482307	72614	1115891.753775719	4	2
2014-03-29 00:15:42.922275	72615	51	2	1
2014-03-29 00:15:43.144659	72616	21.4	1	1
2014-03-29 00:15:56.246452	72617	305	3	2
2014-03-29 00:15:56.480777	72618	1115894.051845162	4	2
2014-03-29 00:15:58.597879	72619	48	2	10
2014-03-29 00:15:58.820577	72620	22.7	1	10
2014-03-29 00:16:09.050163	72621	47	2	8
2014-03-29 00:16:09.282385	72622	21.7	1	8
2014-03-29 00:16:21.921091	72623	51	2	1
2014-03-29 00:16:22.143926	72624	21.4	1	1
2014-03-29 00:16:32.244787	72625	338	3	2
2014-03-29 00:16:32.477598	72626	1115897.4989493263	4	2
2014-03-29 00:16:37.801735	72627	48	2	10
2014-03-29 00:16:38.029318	72628	22.7	1	10
2014-03-29 00:16:44.244622	72629	305	3	2
2014-03-29 00:16:44.477302	72630	1115898.6479840477	4	2
2014-03-29 00:16:48.050827	72631	47	2	8
2014-03-29 00:16:48.2725	72632	21.7	1	8
2014-03-29 00:17:00.921449	72633	51	2	1
2014-03-29 00:17:01.154979	72634	21.4	1	1
2014-03-29 00:17:16.59763	72635	48	2	10
2014-03-29 00:17:16.823852	72636	22.7	1	10
2014-03-29 00:17:20.247853	72637	338	3	2
2014-03-29 00:17:20.477815	72638	1115902.0950882118	4	2
2014-03-29 00:17:27.052984	72639	47	2	8
2014-03-29 00:17:27.27459	72640	21.7	1	8
2014-03-29 00:17:32.246327	72641	338	3	2
2014-03-29 00:17:32.483079	72642	1115903.2441229334	4	2
2014-03-29 00:17:39.917639	72643	51	2	1
2014-03-29 00:17:40.142583	72644	21.4	1	1
2014-03-29 00:17:44.248745	72645	305	3	2
2014-03-29 00:17:44.480576	72646	1115903.2441229334	4	2
2014-03-29 00:17:55.597292	72647	48	2	10
2014-03-29 00:17:55.83548	72648	22.7	1	10
2014-03-29 00:17:56.248867	72649	370	3	2
2014-03-29 00:17:56.48352	72650	1115904.3931576547	4	2
2014-03-29 00:18:06.050517	72651	47	2	8
2014-03-29 00:18:06.275317	72652	21.7	1	8
2014-03-29 00:18:08.25022	72653	370	3	2
2014-03-29 00:18:08.493449	72654	1115905.5421923762	4	2
2014-03-29 00:18:18.921398	72655	51	2	1
2014-03-29 00:18:19.143583	72656	21.4	1	1
2014-03-29 00:18:32.24927	72657	370	3	2
2014-03-29 00:18:32.480679	72658	1115908.9892965404	4	2
2014-03-29 00:18:34.597951	72659	48	2	10
2014-03-29 00:18:34.818538	72660	22.7	1	10
2014-03-29 00:18:45.052764	72661	47	2	8
2014-03-29 00:18:45.288601	72662	21.7	1	8
2014-03-29 00:18:57.917932	72663	51	2	1
2014-03-29 00:18:58.194609	72664	21.4	1	1
2014-03-29 00:19:13.595855	72665	48	2	10
2014-03-29 00:19:13.828091	72666	22.7	1	10
2014-03-29 00:19:24.051476	72667	47	2	8
2014-03-29 00:19:24.275207	72668	21.7	1	8
2014-03-29 00:19:32.248318	72669	354	3	2
2014-03-29 00:19:32.481262	72670	1115914.7344701474	4	2
2014-03-29 00:19:36.91899	72671	51	2	1
2014-03-29 00:19:37.142497	72672	21.4	1	1
2014-03-29 00:19:52.600096	72673	48	2	10
2014-03-29 00:19:52.831876	72674	22.7	1	10
2014-03-29 00:20:03.051199	72675	47	2	8
2014-03-29 00:20:03.279409	72676	21.7	1	8
2014-03-29 00:20:15.917457	72677	51	2	1
2014-03-29 00:20:16.150274	72678	21.4	1	1
2014-03-29 00:20:31.598818	72679	48	2	10
2014-03-29 00:20:31.82231	72680	22.7	1	10
2014-03-29 00:20:32.248729	72681	354	3	2
2014-03-29 00:20:32.48169	72682	1115920.4796437544	4	2
2014-03-29 00:20:42.050075	72683	47	2	8
2014-03-29 00:20:42.272903	72684	21.7	1	8
2014-03-29 00:20:54.916964	72685	51	2	1
2014-03-29 00:20:55.149952	72686	21.4	1	1
2014-03-29 00:21:08.248175	72687	434	3	2
2014-03-29 00:21:08.471855	72688	1115925.0757826401	4	2
2014-03-29 00:21:10.598874	72689	48	2	10
2014-03-29 00:21:10.829632	72690	22.6	1	10
2014-03-29 00:21:21.050751	72691	47	2	8
2014-03-29 00:21:21.272497	72692	21.7	1	8
2014-03-29 00:21:32.250247	72693	450	3	2
2014-03-29 00:21:32.486429	72694	1115927.373852083	4	2
2014-03-29 00:21:33.915705	72695	51	2	1
2014-03-29 00:21:34.137313	72696	21.4	1	1
2014-03-29 00:21:49.599848	72697	48	2	10
2014-03-29 00:21:49.832676	72698	22.6	1	10
2014-03-29 00:22:00.04977	72699	47	2	8
2014-03-29 00:22:00.272828	72700	21.7	1	8
2014-03-29 00:22:12.916541	72701	51	2	1
2014-03-29 00:22:13.160416	72702	21.4	1	1
2014-03-29 00:22:28.599324	72703	48	2	10
2014-03-29 00:22:28.824037	72704	22.6	1	10
2014-03-29 00:22:32.249241	72705	450	3	2
2014-03-29 00:22:32.479353	72706	1115935.4170951329	4	2
2014-03-29 00:22:39.051053	72707	47	2	8
2014-03-29 00:22:39.295335	72708	21.7	1	8
2014-03-29 00:22:51.917878	72709	51	2	1
2014-03-29 00:22:52.150137	72710	21.4	1	1
2014-03-29 00:23:07.599686	72711	48	2	10
2014-03-29 00:23:07.824567	72712	22.6	1	10
2014-03-29 00:23:08.246401	72713	402	3	2
2014-03-29 00:23:08.477986	72714	1115938.8641992973	4	2
2014-03-29 00:23:18.051365	72715	47	2	8
2014-03-29 00:23:18.274001	72716	21.7	1	8
2014-03-29 00:23:20.249947	72717	402	3	2
2014-03-29 00:23:20.481801	72718	1115940.0132340186	4	2
2014-03-29 00:23:30.919824	72719	51	2	1
2014-03-29 00:23:31.142348	72720	21.4	1	1
2014-03-29 00:23:32.245214	72721	402	3	2
2014-03-29 00:23:32.476884	72722	1115942.3113034614	4	2
2014-03-29 00:23:44.24558	72723	370	3	2
2014-03-29 00:23:44.468295	72724	1115943.4603381827	4	2
2014-03-29 00:23:46.597424	72725	48	2	10
2014-03-29 00:23:46.82956	72726	22.6	1	10
2014-03-29 00:23:57.052371	72727	47	2	8
2014-03-29 00:23:57.273629	72728	21.7	1	8
2014-03-29 00:24:08.247369	72729	402	3	2
2014-03-29 00:24:08.47886	72730	1115945.7584076256	4	2
2014-03-29 00:24:09.916335	72731	51	2	1
2014-03-29 00:24:10.140882	72732	21.4	1	1
2014-03-29 00:24:25.596914	72733	48	2	10
2014-03-29 00:24:25.829933	72734	22.6	1	10
2014-03-29 00:24:32.248973	72735	402	3	2
2014-03-29 00:24:32.471609	72736	1115948.0564770685	4	2
2014-03-29 00:24:36.053445	72737	47	2	8
2014-03-29 00:24:36.284503	72738	21.7	1	8
2014-03-29 00:24:48.915556	72739	51	2	1
2014-03-29 00:24:49.140177	72740	21.4	1	1
2014-03-29 00:24:56.247217	72741	370	3	2
2014-03-29 00:24:56.483381	72742	1115951.5035812329	4	2
2014-03-29 00:25:04.598299	72743	48	2	10
2014-03-29 00:25:04.821042	72744	22.6	1	10
2014-03-29 00:25:08.248745	72745	370	3	2
2014-03-29 00:25:08.480433	72746	1115952.6526159542	4	2
2014-03-29 00:25:15.04789	72747	47	2	8
2014-03-29 00:25:15.273331	72748	21.7	1	8
2014-03-29 00:25:20.246891	72749	402	3	2
2014-03-29 00:25:20.495058	72750	1115953.8016506755	4	2
2014-03-29 00:25:27.916699	72751	51	2	1
2014-03-29 00:25:28.139663	72752	21.4	1	1
2014-03-29 00:25:32.248083	72753	402	3	2
2014-03-29 00:25:32.664737	72754	1115954.950685397	4	2
2014-03-29 00:25:43.597331	72755	48	2	10
2014-03-29 00:25:43.819508	72756	22.6	1	10
2014-03-29 00:25:44.244834	72757	370	3	2
2014-03-29 00:25:44.465543	72758	1115956.0997201183	4	2
2014-03-29 00:25:54.04926	72759	47	2	8
2014-03-29 00:25:54.277383	72760	21.7	1	8
2014-03-29 00:25:56.247388	72761	402	3	2
2014-03-29 00:25:56.467433	72762	1115957.2487548399	4	2
2014-03-29 00:26:06.914688	72763	51	2	1
2014-03-29 00:26:07.146096	72764	21.4	1	1
2014-03-29 00:26:08.247382	72765	402	3	2
2014-03-29 00:26:08.469665	72766	1115958.3977895612	4	2
2014-03-29 00:26:22.601334	72767	48	2	10
2014-03-29 00:26:22.833333	72768	22.6	1	10
2014-03-29 00:26:33.049267	72769	47	2	8
2014-03-29 00:26:33.268424	72770	21.7	1	8
2014-03-29 00:26:44.242273	72771	402	3	2
2014-03-29 00:26:44.47503	72772	1115962.993928447	4	2
2014-03-29 00:26:45.91407	72773	51	2	1
2014-03-29 00:26:46.133931	72774	21.4	1	1
2014-03-29 00:26:56.246988	72775	402	3	2
2014-03-29 00:26:56.482228	72776	1115964.1429631682	4	2
2014-03-29 00:27:01.599372	72777	48	2	10
2014-03-29 00:27:01.826171	72778	22.6	1	10
2014-03-29 00:27:08.244979	72779	370	3	2
2014-03-29 00:27:08.475706	72780	1115965.2919978898	4	2
2014-03-29 00:27:12.049271	72781	47	2	8
2014-03-29 00:27:12.270115	72782	21.7	1	8
2014-03-29 00:27:20.245715	72783	370	3	2
2014-03-29 00:27:20.476196	72784	1115966.441032611	4	2
2014-03-29 00:27:24.913519	72785	51	2	1
2014-03-29 00:27:25.133507	72786	21.4	1	1
2014-03-29 00:27:32.24652	72787	370	3	2
2014-03-29 00:27:32.477883	72788	1115967.5900673326	4	2
2014-03-29 00:27:40.597018	72789	48	2	10
2014-03-29 00:27:40.822413	72790	22.6	1	10
2014-03-29 00:27:51.048786	72791	47	2	8
2014-03-29 00:27:51.280271	72792	21.7	1	8
2014-03-29 00:28:03.912393	72793	51	2	1
2014-03-29 00:28:04.13663	72794	21.4	1	1
2014-03-29 00:28:19.596533	72795	48	2	10
2014-03-29 00:28:19.831985	72796	22.5	1	10
2014-03-29 00:28:30.049605	72797	47	2	8
2014-03-29 00:28:30.269794	72798	21.7	1	8
2014-03-29 00:28:32.246886	72799	370	3	2
2014-03-29 00:28:32.48892	72800	1115974.484275661	4	2
2014-03-29 00:28:42.913574	72801	51	2	1
2014-03-29 00:28:43.135568	72802	21.4	1	1
2014-03-29 00:28:44.24787	72803	402	3	2
2014-03-29 00:28:44.481012	72804	1115975.6333103825	4	2
2014-03-29 00:28:56.24543	72805	370	3	2
2014-03-29 00:28:56.466999	72806	1115976.7823451038	4	2
2014-03-29 00:28:58.598615	72807	48	2	10
2014-03-29 00:28:58.83114	72808	22.5	1	10
2014-03-29 00:29:09.051158	72809	47	2	8
2014-03-29 00:29:09.27229	72810	21.7	1	8
2014-03-29 00:29:21.911442	72811	51	2	1
2014-03-29 00:29:22.145033	72812	21.4	1	1
2014-03-29 00:29:32.244866	72813	370	3	2
2014-03-29 00:29:32.467094	72814	1115980.2294492682	4	2
2014-03-29 00:29:37.59919	72815	48	2	10
2014-03-29 00:29:37.838178	72816	22.5	1	10
2014-03-29 00:29:44.245629	72817	402	3	2
2014-03-29 00:29:44.466547	72818	1115981.3784839895	4	2
2014-03-29 00:29:48.052751	72819	47	2	8
2014-03-29 00:29:48.282663	72820	21.7	1	8
2014-03-29 00:29:56.245988	72821	370	3	2
2014-03-29 00:29:56.467955	72822	1115982.527518711	4	2
2014-03-29 00:30:00.910625	72823	51	2	1
2014-03-29 00:30:01.143447	72824	21.4	1	1
2014-03-29 00:30:08.247434	72825	370	3	2
2014-03-29 00:30:08.468075	72826	1115983.6765534324	4	2
2014-03-29 00:30:16.59826	72827	48	2	10
2014-03-29 00:30:16.828997	72828	22.5	1	10
2014-03-29 00:30:27.050441	72829	47	2	8
2014-03-29 00:30:27.276065	72830	21.7	1	8
2014-03-29 00:30:32.247183	72831	370	3	2
2014-03-29 00:30:32.484642	72832	1115987.1236575965	4	2
2014-03-29 00:30:39.91051	72833	51	2	1
2014-03-29 00:30:40.171648	72834	21.4	1	1
2014-03-29 00:30:55.597548	72835	48	2	10
2014-03-29 00:30:55.862764	72836	22.5	1	10
2014-03-29 00:31:06.049056	72837	47	2	8
2014-03-29 00:31:06.394215	72838	21.7	1	8
2014-03-29 00:31:18.911677	72839	51	2	1
2014-03-29 00:31:19.177713	72840	21.4	1	1
2014-03-29 00:31:20.246706	72841	434	3	2
2014-03-29 00:31:20.501425	72842	1115991.7197964822	4	2
2014-03-29 00:31:32.246293	72843	434	3	2
2014-03-29 00:31:32.479076	72844	1115992.8688312038	4	2
2014-03-29 00:31:34.598044	72845	48	2	10
2014-03-29 00:31:34.821086	72846	22.5	1	10
2014-03-29 00:31:45.049759	72847	47	2	8
2014-03-29 00:31:45.292612	72848	21.7	1	8
2014-03-29 00:31:57.909342	72849	51	2	1
2014-03-29 00:31:58.129809	72850	21.4	1	1
2014-03-29 00:32:13.601801	72851	48	2	10
2014-03-29 00:32:13.83401	72852	22.5	1	10
2014-03-29 00:32:24.049049	72853	47	2	8
2014-03-29 00:32:24.270617	72854	21.7	1	8
2014-03-29 00:32:36.716656	72855	434	3	2
2014-03-29 00:32:36.949282	72856	1116000.9120742537	4	2
2014-03-29 00:32:37.261581	72857	51	2	1
2014-03-29 00:32:37.486596	72858	21.4	1	1
2014-03-29 00:32:52.60237	72859	48	2	10
2014-03-29 00:32:52.833348	72860	22.5	1	10
2014-03-29 00:33:03.049845	72861	47	2	8
2014-03-29 00:33:03.271293	72862	21.7	1	8
2014-03-29 00:33:15.960596	72863	51	2	1
2014-03-29 00:33:16.191582	72864	21.4	1	1
2014-03-29 00:33:31.598878	72865	48	2	10
2014-03-29 00:33:31.823623	72866	22.5	1	10
2014-03-29 00:33:32.244409	72867	434	3	2
2014-03-29 00:33:32.474757	72868	1116007.806282582	4	2
2014-03-29 00:33:42.049879	72869	47	2	8
2014-03-29 00:33:42.27282	72870	21.7	1	8
2014-03-29 00:33:54.912024	72871	51	2	1
2014-03-29 00:33:55.142611	72872	21.4	1	1
2014-03-29 00:34:10.60244	72873	48	2	10
2014-03-29 00:34:10.824615	72874	22.5	1	10
2014-03-29 00:34:21.050738	72875	47	2	8
2014-03-29 00:34:21.281149	72876	21.7	1	8
2014-03-29 00:34:32.245365	72877	434	3	2
2014-03-29 00:34:32.46719	72878	1116014.7004909106	4	2
2014-03-29 00:34:33.914043	72879	51	2	1
2014-03-29 00:34:34.14348	72880	21.4	1	1
2014-03-29 00:34:49.600014	72881	48	2	10
2014-03-29 00:34:49.823325	72882	22.5	1	10
2014-03-29 00:35:00.052399	72883	47	2	8
2014-03-29 00:35:00.283078	72884	21.7	1	8
2014-03-29 00:35:12.906711	72885	51	2	1
2014-03-29 00:35:13.129767	72886	21.4	1	1
2014-03-29 00:35:28.600548	72887	48	2	10
2014-03-29 00:35:28.831663	72888	22.4	1	10
2014-03-29 00:35:32.245323	72889	434	3	2
2014-03-29 00:35:32.466172	72890	1116021.5946992391	4	2
2014-03-29 00:35:39.049418	72891	47	2	8
2014-03-29 00:35:39.283384	72892	21.7	1	8
2014-03-29 00:35:51.907734	72893	51	2	1
2014-03-29 00:35:52.129238	72894	21.3	1	1
2014-03-29 00:35:56.245167	72895	370	3	2
2014-03-29 00:35:56.488727	72896	1116025.0418034033	4	2
2014-03-29 00:36:07.608576	72897	48	2	10
2014-03-29 00:36:07.829082	72898	22.4	1	10
2014-03-29 00:36:08.245877	72899	305	3	2
2014-03-29 00:36:08.47741	72900	1116026.1908381248	4	2
2014-03-29 00:36:18.050105	72901	47	2	8
2014-03-29 00:36:18.292636	72902	21.7	1	8
2014-03-29 00:36:20.245882	72903	338	3	2
2014-03-29 00:36:20.477398	72904	1116027.3398728461	4	2
2014-03-29 00:36:30.905323	72905	51	2	1
2014-03-29 00:36:31.126883	72906	21.3	1	1
2014-03-29 00:36:32.247168	72907	305	3	2
2014-03-29 00:36:32.478008	72908	1116028.4889075675	4	2
2014-03-29 00:36:44.245062	72909	338	3	2
2014-03-29 00:36:44.467039	72910	1116029.637942289	4	2
2014-03-29 00:36:46.60227	72911	48	2	10
2014-03-29 00:36:46.831678	72912	22.4	1	10
2014-03-29 00:36:57.05274	72913	47	2	8
2014-03-29 00:36:57.2734	72914	21.7	1	8
2014-03-29 00:37:09.90717	72915	51	2	1
2014-03-29 00:37:10.13682	72916	21.3	1	1
2014-03-29 00:37:25.600618	72917	48	2	10
2014-03-29 00:37:25.821981	72918	22.4	1	10
2014-03-29 00:37:32.245949	72919	305	3	2
2014-03-29 00:37:32.47896	72920	1116033.0850464532	4	2
2014-03-29 00:37:36.049199	72921	47	2	8
2014-03-29 00:37:36.325064	72922	21.6	1	8
2014-03-29 00:37:44.242072	72923	338	3	2
2014-03-29 00:37:44.47649	72924	1116034.2340811747	4	2
2014-03-29 00:37:48.90725	72925	51	2	1
2014-03-29 00:37:49.129279	72926	21.3	1	1
2014-03-29 00:37:56.245166	72927	305	3	2
2014-03-29 00:37:56.477137	72928	1116035.383115896	4	2
2014-03-29 00:38:04.606406	72929	48	2	10
2014-03-29 00:38:04.829148	72930	22.4	1	10
2014-03-29 00:38:08.246211	72931	305	3	2
2014-03-29 00:38:08.476225	72932	1116036.5321506176	4	2
2014-03-29 00:38:15.048914	72933	47	2	8
2014-03-29 00:38:15.267091	72934	21.6	1	8
2014-03-29 00:38:27.906941	72935	51	2	1
2014-03-29 00:38:28.137896	72936	21.3	1	1
2014-03-29 00:38:32.244064	72937	305	3	2
2014-03-29 00:38:32.463806	72938	1116038.8302200602	4	2
2014-03-29 00:38:43.603673	72939	48	2	10
2014-03-29 00:38:43.837588	72940	22.4	1	10
2014-03-29 00:38:44.245098	72941	338	3	2
2014-03-29 00:38:44.466038	72942	1116039.9792547817	4	2
2014-03-29 00:38:54.050727	72943	47	2	8
2014-03-29 00:38:54.293014	72944	21.6	1	8
2014-03-29 00:38:56.242474	72945	338	3	2
2014-03-29 00:38:56.463128	72946	1116041.128289503	4	2
2014-03-29 00:39:06.908621	72947	51	2	1
2014-03-29 00:39:07.139841	72948	21.3	1	1
2014-03-29 00:39:08.244062	72949	305	3	2
2014-03-29 00:39:08.46501	72950	1116042.2773242246	4	2
2014-03-29 00:39:20.243213	72951	305	3	2
2014-03-29 00:39:20.473842	72952	1116043.426358946	4	2
2014-03-29 00:39:22.599379	72953	48	2	10
2014-03-29 00:39:22.823166	72954	22.4	1	10
2014-03-29 00:39:33.049699	72955	47	2	8
2014-03-29 00:39:33.284306	72956	21.6	1	8
2014-03-29 00:39:44.243898	72957	338	3	2
2014-03-29 00:39:44.467921	72958	1116044.5753936674	4	2
2014-03-29 00:39:45.907431	72959	51	2	1
2014-03-29 00:39:46.137506	72960	21.3	1	1
2014-03-29 00:40:01.602598	72961	48	2	10
2014-03-29 00:40:01.82526	72962	22.4	1	10
2014-03-29 00:40:08.246979	72963	305	3	2
2014-03-29 00:40:08.480314	72964	1116046.8734631103	4	2
2014-03-29 00:40:12.051468	72965	47	2	8
2014-03-29 00:40:12.272373	72966	21.6	1	8
2014-03-29 00:40:20.244658	72967	305	3	2
2014-03-29 00:40:20.475961	72968	1116048.0224978316	4	2
2014-03-29 00:40:24.948096	72969	51	2	1
2014-03-29 00:40:25.171374	72970	21.3	1	1
2014-03-29 00:40:32.247732	72971	338	3	2
2014-03-29 00:40:32.478069	72972	1116049.171532553	4	2
2014-03-29 00:40:40.602575	72973	48	2	10
2014-03-29 00:40:40.824962	72974	22.4	1	10
2014-03-29 00:40:44.243931	72975	338	3	2
2014-03-29 00:40:44.474062	72976	1116050.3205672745	4	2
2014-03-29 00:40:51.048762	72977	47	2	8
2014-03-29 00:40:51.271899	72978	21.6	1	8
2014-03-29 00:40:56.2432	72979	305	3	2
2014-03-29 00:40:56.477694	72980	1116051.4696019958	4	2
2014-03-29 00:41:03.90534	72981	51	2	1
2014-03-29 00:41:04.13098	72982	21.3	1	1
2014-03-29 00:41:19.603116	72983	48	2	10
2014-03-29 00:41:19.833548	72984	22.4	1	10
2014-03-29 00:41:20.248102	72985	305	3	2
2014-03-29 00:41:20.466883	72986	1116053.7676714386	4	2
2014-03-29 00:41:30.050155	72987	47	2	8
2014-03-29 00:41:30.283249	72988	21.6	1	8
2014-03-29 00:41:32.245462	72989	305	3	2
2014-03-29 00:41:32.466149	72990	1116054.9167061602	4	2
2014-03-29 00:41:42.947394	72991	51	2	1
2014-03-29 00:41:43.188505	72992	21.3	1	1
2014-03-29 00:41:44.245542	72993	338	3	2
2014-03-29 00:41:44.464332	72994	1116054.9167061602	4	2
2014-03-29 00:41:56.246653	72995	305	3	2
2014-03-29 00:41:56.480356	72996	1116056.0657408815	4	2
2014-03-29 00:41:58.603573	72997	48	2	10
2014-03-29 00:41:58.883481	72998	22.3	1	10
2014-03-29 00:42:09.049322	72999	47	2	8
2014-03-29 00:42:09.278913	73000	21.6	1	8
2014-03-29 00:42:21.902547	73001	51	2	1
2014-03-29 00:42:22.12287	73002	21.3	1	1
2014-03-29 00:42:32.242833	73003	305	3	2
2014-03-29 00:42:32.477493	73004	1116059.5128450457	4	2
2014-03-29 00:42:37.604286	73005	48	2	10
2014-03-29 00:42:37.827895	73006	22.3	1	10
2014-03-29 00:42:48.04943	73007	47	2	8
2014-03-29 00:42:48.280198	73008	21.6	1	8
2014-03-29 00:43:00.904779	73009	51	2	1
2014-03-29 00:43:01.124329	73010	21.3	1	1
2014-03-29 00:43:16.603565	73011	48	2	10
2014-03-29 00:43:16.836044	73012	22.3	1	10
2014-03-29 00:43:27.048999	73013	47	2	8
2014-03-29 00:43:27.270228	73014	21.6	1	8
2014-03-29 00:43:32.246342	73015	338	3	2
2014-03-29 00:43:32.483737	73016	1116065.258018653	4	2
2014-03-29 00:43:39.901051	73017	51	2	1
2014-03-29 00:43:40.120834	73018	21.3	1	1
2014-03-29 00:43:44.244277	73019	354	3	2
2014-03-29 00:43:44.475192	73020	1116066.4070533742	4	2
2014-03-29 00:43:55.604923	73021	48	2	10
2014-03-29 00:43:55.828682	73022	22.3	1	10
2014-03-29 00:44:06.048849	73023	47	2	8
2014-03-29 00:44:06.27931	73024	21.6	1	8
2014-03-29 00:44:18.902839	73025	51	2	1
2014-03-29 00:44:19.125219	73026	21.3	1	1
2014-03-29 00:44:32.242371	73027	370	3	2
2014-03-29 00:44:32.474102	73028	1116069.8586284907	4	2
2014-03-29 00:44:34.60245	73029	48	2	10
2014-03-29 00:44:34.827095	73030	22.3	1	10
2014-03-29 00:44:45.052736	73031	47	2	8
2014-03-29 00:44:45.283475	73032	21.6	1	8
2014-03-29 00:44:56.243731	73033	370	3	2
2014-03-29 00:44:56.464763	73034	1116072.1566979336	4	2
2014-03-29 00:44:57.905911	73035	51	2	1
2014-03-29 00:44:58.136896	73036	21.3	1	1
2014-03-29 00:45:08.242779	73037	370	3	2
2014-03-29 00:45:08.465378	73038	1116073.3057326549	4	2
2014-03-29 00:45:13.603163	73039	48	2	10
2014-03-29 00:45:13.851466	73040	22.3	1	10
2014-03-29 00:45:20.245914	73041	402	3	2
2014-03-29 00:45:20.466514	73042	1116074.4547673764	4	2
2014-03-29 00:45:24.050683	73043	46	2	8
2014-03-29 00:45:24.280431	73044	21.6	1	8
2014-03-29 00:45:32.241782	73045	402	3	2
2014-03-29 00:45:32.462681	73046	1116075.6038020977	4	2
2014-03-29 00:45:36.905115	73047	51	2	1
2014-03-29 00:45:37.139135	73048	21.3	1	1
2014-03-29 00:45:52.60512	73049	48	2	10
2014-03-29 00:45:52.828004	73050	22.3	1	10
2014-03-29 00:45:56.245212	73051	370	3	2
2014-03-29 00:45:56.476383	73052	1116077.9018715406	4	2
2014-03-29 00:46:03.05093	73053	46	2	8
2014-03-29 00:46:03.271539	73054	21.6	1	8
2014-03-29 00:46:08.243039	73055	370	3	2
2014-03-29 00:46:08.475303	73056	1116079.0509062621	4	2
2014-03-29 00:46:15.94746	73057	51	2	1
2014-03-29 00:46:16.173486	73058	21.3	1	1
2014-03-29 00:46:20.242923	73059	402	3	2
2014-03-29 00:46:20.47226	73060	1116080.1999409834	4	2
2014-03-29 00:46:31.603665	73061	48	2	10
2014-03-29 00:46:31.8266	73062	22.3	1	10
2014-03-29 00:46:42.049349	73063	46	2	8
2014-03-29 00:46:42.281417	73064	21.6	1	8
2014-03-29 00:46:44.247858	73065	402	3	2
2014-03-29 00:46:44.470337	73066	1116083.6470451476	4	2
2014-03-29 00:46:54.943059	73067	51	2	1
2014-03-29 00:46:55.174543	73068	21.3	1	1
2014-03-29 00:46:56.243106	73069	370	3	2
2014-03-29 00:46:56.463394	73070	1116084.7960798691	4	2
2014-03-29 00:47:08.247549	73071	370	3	2
2014-03-29 00:47:08.502791	73072	1116085.9451145905	4	2
2014-03-29 00:47:10.605768	73073	48	2	10
2014-03-29 00:47:10.8613	73074	22.3	1	10
2014-03-29 00:47:21.048996	73075	46	2	8
2014-03-29 00:47:21.31526	73076	21.6	1	8
2014-03-29 00:47:32.242882	73077	370	3	2
2014-03-29 00:47:32.467656	73078	1116088.2431840333	4	2
2014-03-29 00:47:33.90231	73079	51	2	1
2014-03-29 00:47:34.133814	73080	21.3	1	1
2014-03-29 00:47:44.243963	73081	402	3	2
2014-03-29 00:47:44.468931	73082	1116089.3922187549	4	2
2014-03-29 00:47:49.602606	73083	48	2	10
2014-03-29 00:47:49.838271	73084	22.3	1	10
2014-03-29 00:47:56.242397	73085	370	3	2
2014-03-29 00:47:56.46571	73086	1116090.5412534762	4	2
2014-03-29 00:48:00.049312	73087	46	2	8
2014-03-29 00:48:00.290794	73088	21.6	1	8
2014-03-29 00:48:08.243858	73089	370	3	2
2014-03-29 00:48:08.467015	73090	1116091.6902881975	4	2
2014-03-29 00:48:12.902082	73091	51	2	1
2014-03-29 00:48:13.13255	73092	21.3	1	1
2014-03-29 00:48:28.608219	73093	48	2	10
2014-03-29 00:48:28.829181	73094	22.3	1	10
2014-03-29 00:48:32.244435	73095	370	3	2
2014-03-29 00:48:32.474814	73096	1116093.9883576403	4	2
2014-03-29 00:48:39.049564	73097	46	2	8
2014-03-29 00:48:39.269563	73098	21.6	1	8
2014-03-29 00:48:44.244757	73099	402	3	2
2014-03-29 00:48:44.475306	73100	1116096.2864270832	4	2
2014-03-29 00:48:51.900035	73101	51	2	1
2014-03-29 00:48:52.12155	73102	21.3	1	1
2014-03-29 00:48:56.24505	73103	370	3	2
2014-03-29 00:48:56.47614	73104	1116097.4354618047	4	2
2014-03-29 00:49:07.602523	73105	48	2	10
2014-03-29 00:49:07.826661	73106	22.3	1	10
2014-03-29 00:49:08.24401	73107	338	3	2
2014-03-29 00:49:08.476104	73108	1116098.584496526	4	2
2014-03-29 00:49:18.048794	73109	46	2	8
2014-03-29 00:49:18.288528	73110	21.6	1	8
2014-03-29 00:49:20.242878	73111	338	3	2
2014-03-29 00:49:20.473945	73112	1116099.7335312476	4	2
2014-03-29 00:49:30.902617	73113	51	2	1
2014-03-29 00:49:31.122822	73114	21.3	1	1
2014-03-29 00:49:32.24467	73115	338	3	2
2014-03-29 00:49:32.474245	73116	1116100.882565969	4	2
2014-03-29 00:49:46.602995	73117	48	2	10
2014-03-29 00:49:46.826563	73118	22.3	1	10
2014-03-29 00:49:57.048425	73119	46	2	8
2014-03-29 00:49:57.279618	73120	21.6	1	8
2014-03-29 00:50:09.902424	73121	51	2	1
2014-03-29 00:50:10.123278	73122	21.3	1	1
2014-03-29 00:50:25.607235	73123	48	2	10
2014-03-29 00:50:25.83867	73124	22.3	1	10
2014-03-29 00:50:32.242881	73125	338	3	2
2014-03-29 00:50:32.463329	73126	1116106.627739576	4	2
2014-03-29 00:50:36.050068	73127	46	2	8
2014-03-29 00:50:36.280566	73128	21.6	1	8
2014-03-29 00:50:48.900283	73129	51	2	1
2014-03-29 00:50:49.124848	73130	21.3	1	1
2014-03-29 00:50:56.242252	73131	305	3	2
2014-03-29 00:50:56.475284	73132	1116107.7767742975	4	2
2014-03-29 00:51:04.607212	73133	48	2	10
2014-03-29 00:51:04.829502	73134	22.3	1	10
2014-03-29 00:51:08.245393	73135	305	3	2
2014-03-29 00:51:08.486912	73136	1116108.9258090188	4	2
2014-03-29 00:51:15.051012	73137	46	2	8
2014-03-29 00:51:15.273121	73138	21.6	1	8
2014-03-29 00:51:27.89598	73139	51	2	1
2014-03-29 00:51:28.12889	73140	21.3	1	1
2014-03-29 00:51:32.243088	73141	305	3	2
2014-03-29 00:51:32.464237	73142	1116111.2238784616	4	2
2014-03-29 00:51:43.603251	73143	48	2	10
2014-03-29 00:51:43.833795	73144	22.2	1	10
2014-03-29 00:51:44.243138	73145	338	3	2
2014-03-29 00:51:44.473383	73146	1116112.3729131832	4	2
2014-03-29 00:51:54.048861	73147	46	2	8
2014-03-29 00:51:54.281833	73148	21.6	1	8
2014-03-29 00:51:56.245308	73149	305	3	2
2014-03-29 00:51:56.46526	73150	1116113.5219479045	4	2
2014-03-29 00:52:06.900493	73151	51	2	1
2014-03-29 00:52:07.153046	73152	21.3	1	1
2014-03-29 00:52:08.245333	73153	305	3	2
2014-03-29 00:52:08.46732	73154	1116114.6709826258	4	2
2014-03-29 00:52:22.609105	73155	48	2	10
2014-03-29 00:52:22.839908	73156	22.2	1	10
2014-03-29 00:52:33.048847	73157	46	2	8
2014-03-29 00:52:33.273544	73158	21.6	1	8
2014-03-29 00:52:44.242034	73159	338	3	2
2014-03-29 00:52:44.477458	73160	1116118.1180867902	4	2
2014-03-29 00:52:45.897756	73161	51	2	1
2014-03-29 00:52:46.118241	73162	21.3	1	1
2014-03-29 00:52:56.242564	73163	305	3	2
2014-03-29 00:52:56.476207	73164	1116118.1180867902	4	2
2014-03-29 00:53:01.607776	73165	48	2	10
2014-03-29 00:53:01.838662	73166	22.2	1	10
2014-03-29 00:53:12.050168	73167	46	2	8
2014-03-29 00:53:12.281428	73168	21.6	1	8
2014-03-29 00:53:20.240096	73169	338	3	2
2014-03-29 00:53:20.463746	73170	1116120.416156233	4	2
2014-03-29 00:53:24.896727	73171	51	2	1
2014-03-29 00:53:25.128047	73172	21.3	1	1
2014-03-29 00:53:32.244603	73173	338	3	2
2014-03-29 00:53:32.467265	73174	1116121.5651909544	4	2
2014-03-29 00:53:40.608577	73175	48	2	10
2014-03-29 00:53:40.839483	73176	22.2	1	10
2014-03-29 00:53:51.050695	73177	46	2	8
2014-03-29 00:53:51.272012	73178	21.6	1	8
2014-03-29 00:54:03.898933	73179	50	2	1
2014-03-29 00:54:04.133338	73180	21.3	1	1
2014-03-29 00:54:08.242121	73181	305	3	2
2014-03-29 00:54:08.465113	73182	1116125.0122951185	4	2
2014-03-29 00:54:19.611267	73183	48	2	10
2014-03-29 00:54:19.854958	73184	22.2	1	10
2014-03-29 00:54:20.242769	73185	305	3	2
2014-03-29 00:54:20.462704	73186	1116126.16132984	4	2
2014-03-29 00:54:30.051668	73187	46	2	8
2014-03-29 00:54:30.284112	73188	21.6	1	8
2014-03-29 00:54:32.243389	73189	305	3	2
2014-03-29 00:54:32.462856	73190	1116127.3103645614	4	2
2014-03-29 00:54:42.899749	73191	50	2	1
2014-03-29 00:54:43.129623	73192	21.3	1	1
2014-03-29 00:54:44.244395	73193	354	3	2
2014-03-29 00:54:44.464564	73194	1116128.459399283	4	2
2014-03-29 00:54:56.242127	73195	338	3	2
2014-03-29 00:54:56.473518	73196	1116129.6084340042	4	2
2014-03-29 00:54:58.607336	73197	48	2	10
2014-03-29 00:54:58.830236	73198	22.2	1	10
2014-03-29 00:55:09.051483	73199	46	2	8
2014-03-29 00:55:09.282037	73200	21.6	1	8
2014-03-29 00:55:21.898012	73201	50	2	1
2014-03-29 00:55:22.119987	73202	21.3	1	1
2014-03-29 00:55:32.242271	73203	305	3	2
2014-03-29 00:55:32.472796	73204	1116131.906503447	4	2
2014-03-29 00:55:37.607213	73205	48	2	10
2014-03-29 00:55:37.836059	73206	22.2	1	10
2014-03-29 00:55:44.241359	73207	354	3	2
2014-03-29 00:55:44.472318	73208	1116133.0555381686	4	2
2014-03-29 00:55:48.049134	73209	46	2	8
2014-03-29 00:55:48.269264	73210	21.6	1	8
2014-03-29 00:55:56.243464	73211	338	3	2
2014-03-29 00:55:56.476516	73212	1116134.20457289	4	2
2014-03-29 00:56:00.895354	73213	50	2	1
2014-03-29 00:56:01.116174	73214	21.3	1	1
2014-03-29 00:56:08.242345	73215	305	3	2
2014-03-29 00:56:08.473102	73216	1116135.3536076113	4	2
2014-03-29 00:56:16.608133	73217	48	2	10
2014-03-29 00:56:16.829539	73218	22.2	1	10
2014-03-29 00:56:20.242445	73219	305	3	2
2014-03-29 00:56:20.472439	73220	1116136.5026423328	4	2
2014-03-29 00:56:27.053839	73221	46	2	8
2014-03-29 00:56:27.276368	73222	21.6	1	8
2014-03-29 00:56:32.24243	73223	305	3	2
2014-03-29 00:56:32.478872	73224	1116137.6516770541	4	2
2014-03-29 00:56:39.896592	73225	50	2	1
2014-03-29 00:56:40.119228	73226	21.3	1	1
2014-03-29 00:56:44.241755	73227	338	3	2
2014-03-29 00:56:44.472424	73228	1116138.8007117757	4	2
2014-03-29 00:56:55.605314	73229	48	2	10
2014-03-29 00:56:55.827911	73230	22.2	1	10
2014-03-29 00:57:04.75435	73231	338	3	2
2014-03-29 00:57:04.998716	73232	1116139.949746497	4	2
2014-03-29 00:57:06.049864	73233	46	2	8
2014-03-29 00:57:06.272721	73234	21.6	1	8
2014-03-29 00:57:08.243271	73235	370	3	2
2014-03-29 00:57:08.474614	73236	1116141.0987812185	4	2
2014-03-29 00:57:18.895546	73237	50	2	1
2014-03-29 00:57:19.117511	73238	21.3	1	1
2014-03-29 00:57:20.244168	73239	370	3	2
2014-03-29 00:57:20.495768	73240	1116142.2478159398	4	2
2014-03-29 00:57:32.245954	73241	370	3	2
2014-03-29 00:57:32.467988	73242	1116143.3968506614	4	2
2014-03-29 00:57:34.610197	73243	48	2	10
2014-03-29 00:57:34.843358	73244	22.2	1	10
2014-03-29 00:57:45.049822	73245	46	2	8
2014-03-29 00:57:45.285912	73246	21.6	1	8
2014-03-29 00:57:56.241459	73247	370	3	2
2014-03-29 00:57:56.475509	73248	1116145.694920104	4	2
2014-03-29 00:57:57.895897	73249	50	2	1
2014-03-29 00:57:58.116019	73250	21.3	1	1
2014-03-29 00:58:08.242505	73251	370	3	2
2014-03-29 00:58:08.475539	73252	1116146.8439548255	4	2
2014-03-29 00:58:13.60957	73253	48	2	10
2014-03-29 00:58:13.837274	73254	22.2	1	10
2014-03-29 00:58:24.051105	73255	46	2	8
2014-03-29 00:58:24.28557	73256	21.6	1	8
2014-03-29 00:58:32.243916	73257	370	3	2
2014-03-29 00:58:32.467414	73258	1116149.1420242684	4	2
2014-03-29 00:58:36.893313	73259	50	2	1
2014-03-29 00:58:37.182046	73260	21.3	1	1
2014-03-29 00:58:44.239088	73261	402	3	2
2014-03-29 00:58:44.461867	73262	1116150.2910589897	4	2
2014-03-29 00:58:52.609645	73263	48	2	10
2014-03-29 00:58:52.83966	73264	22.2	1	10
2014-03-29 00:58:56.24439	73265	370	3	2
2014-03-29 00:58:56.46934	73266	1116152.5891284326	4	2
2014-03-29 00:59:03.050877	73267	46	2	8
2014-03-29 00:59:03.284539	73268	21.6	1	8
2014-03-29 00:59:08.244789	73269	370	3	2
2014-03-29 00:59:08.468312	73270	1116153.738163154	4	2
2014-03-29 00:59:15.893815	73271	50	2	1
2014-03-29 00:59:16.125778	73272	21.3	1	1
2014-03-29 00:59:31.609174	73273	48	2	10
2014-03-29 00:59:31.831654	73274	22.2	1	10
2014-03-29 00:59:32.241207	73275	370	3	2
2014-03-29 00:59:32.473492	73276	1116156.0362325967	4	2
2014-03-29 00:59:42.049398	73277	46	2	8
2014-03-29 00:59:42.299131	73278	21.6	1	8
2014-03-29 00:59:44.243388	73279	402	3	2
2014-03-29 00:59:44.484146	73280	1116157.1852673183	4	2
2014-03-29 00:59:54.892274	73281	50	2	1
2014-03-29 00:59:55.113671	73282	21.2	1	1
2014-03-29 00:59:56.243655	73283	370	3	2
2014-03-29 00:59:56.473685	73284	1116158.3343020396	4	2
2014-03-29 01:00:08.243753	73285	370	3	2
2014-03-29 01:00:08.464089	73286	1116159.4833367611	4	2
2014-03-29 01:00:10.607859	73287	48	2	10
2014-03-29 01:00:10.841167	73288	22.2	1	10
2014-03-29 01:00:21.049035	73289	46	2	8
2014-03-29 01:00:21.27343	73290	21.6	1	8
2014-03-29 01:00:32.241518	73291	370	3	2
2014-03-29 01:00:32.470913	73292	1116161.781406204	4	2
2014-03-29 01:00:33.894683	73293	50	2	1
2014-03-29 01:00:34.115605	73294	21.2	1	1
2014-03-29 01:00:44.243415	73295	402	3	2
2014-03-29 01:00:44.474916	73296	1116162.9304409253	4	2
2014-03-29 01:00:49.61031	73297	48	2	10
2014-03-29 01:00:49.836704	73298	22.2	1	10
2014-03-29 01:00:56.244326	73299	370	3	2
2014-03-29 01:00:56.477446	73300	1116164.0794756468	4	2
2014-03-29 01:01:00.048807	73301	46	2	8
2014-03-29 01:01:00.270782	73302	21.6	1	8
2014-03-29 01:01:08.242539	73303	370	3	2
2014-03-29 01:01:08.473763	73304	1116165.2285103681	4	2
2014-03-29 01:01:12.8954	73305	50	2	1
2014-03-29 01:01:13.115152	73306	21.2	1	1
2014-03-29 01:01:28.610209	73307	48	2	10
2014-03-29 01:01:28.84074	73308	22.2	1	10
2014-03-29 01:01:32.24236	73309	370	3	2
2014-03-29 01:01:32.463137	73310	1116168.6756145323	4	2
2014-03-29 01:01:39.050694	73311	46	2	8
2014-03-29 01:01:39.282776	73312	21.6	1	8
2014-03-29 01:01:44.240433	73313	402	3	2
2014-03-29 01:01:44.461673	73314	1116169.8246492539	4	2
2014-03-29 01:01:51.894529	73315	50	2	1
2014-03-29 01:01:52.127299	73316	21.2	1	1
2014-03-29 01:01:56.243716	73317	370	3	2
2014-03-29 01:01:56.464873	73318	1116170.9736839752	4	2
2014-03-29 01:02:07.610127	73319	48	2	10
2014-03-29 01:02:07.842957	73320	22.1	1	10
2014-03-29 01:02:08.243746	73321	338	3	2
2014-03-29 01:02:08.463721	73322	1116172.1227186967	4	2
2014-03-29 01:02:18.049878	73323	46	2	8
2014-03-29 01:02:18.285034	73324	21.6	1	8
2014-03-29 01:02:20.244529	73325	338	3	2
2014-03-29 01:02:20.465346	73326	1116173.271753418	4	2
2014-03-29 01:02:31.135648	73327	50	2	1
2014-03-29 01:02:31.37932	73328	21.2	1	1
2014-03-29 01:02:32.243768	73329	305	3	2
2014-03-29 01:02:32.485498	73330	1116174.4207881396	4	2
2014-03-29 01:02:44.24209	73331	338	3	2
2014-03-29 01:02:44.473975	73332	1116175.5698228609	4	2
2014-03-29 01:02:46.611904	73333	48	2	10
2014-03-29 01:02:46.833912	73334	22.1	1	10
2014-03-29 01:02:57.049408	73335	46	2	8
2014-03-29 01:02:57.283503	73336	21.6	1	8
2014-03-29 01:03:08.24357	73337	305	3	2
2014-03-29 01:03:08.465645	73338	1116176.7188575822	4	2
2014-03-29 01:03:09.890216	73339	50	2	1
2014-03-29 01:03:10.120915	73340	21.2	1	1
2014-03-29 01:03:20.244103	73341	338	3	2
2014-03-29 01:03:20.46734	73342	1116177.8678923037	4	2
2014-03-29 01:03:25.611586	73343	48	2	10
2014-03-29 01:03:25.84682	73344	22.1	1	10
2014-03-29 01:03:32.242864	73345	305	3	2
2014-03-29 01:03:32.466339	73346	1116179.016927025	4	2
2014-03-29 01:03:36.049616	73347	46	2	8
2014-03-29 01:03:36.280266	73348	21.6	1	8
2014-03-29 01:03:44.244035	73349	338	3	2
2014-03-29 01:03:44.467043	73350	1116180.1659617466	4	2
2014-03-29 01:03:48.889791	73351	50	2	1
2014-03-29 01:03:49.123753	73352	21.2	1	1
2014-03-29 01:03:56.241424	73353	305	3	2
2014-03-29 01:03:56.465973	73354	1116181.314996468	4	2
2014-03-29 01:04:04.610593	73355	48	2	10
2014-03-29 01:04:04.842399	73356	22.1	1	10
2014-03-29 01:04:08.242975	73357	305	3	2
2014-03-29 01:04:08.468066	73358	1116182.4640311894	4	2
2014-03-29 01:04:15.048731	73359	46	2	8
2014-03-29 01:04:15.280796	73360	21.6	1	8
2014-03-29 01:04:27.891607	73361	50	2	1
2014-03-29 01:04:28.115396	73362	21.2	1	1
2014-03-29 01:04:32.242476	73363	338	3	2
2014-03-29 01:04:32.473731	73364	1116184.7621006323	4	2
2014-03-29 01:04:43.613572	73365	48	2	10
2014-03-29 01:04:43.837109	73366	22.1	1	10
2014-03-29 01:04:44.241183	73367	338	3	2
2014-03-29 01:04:44.492629	73368	1116185.9111353536	4	2
2014-03-29 01:04:54.049281	73369	46	2	8
2014-03-29 01:04:54.269387	73370	21.6	1	8
2014-03-29 01:05:07.131906	73371	50	2	1
2014-03-29 01:05:07.366027	73372	21.2	1	1
2014-03-29 01:05:20.243463	73373	305	3	2
2014-03-29 01:05:20.466163	73374	1116189.3582395178	4	2
2014-03-29 01:05:22.612196	73375	48	2	10
2014-03-29 01:05:22.857056	73376	22.1	1	10
2014-03-29 01:05:33.049655	73377	46	2	8
2014-03-29 01:05:33.270884	73378	21.6	1	8
2014-03-29 01:05:44.242747	73379	338	3	2
2014-03-29 01:05:44.4732	73380	1116190.5072742393	4	2
2014-03-29 01:05:45.889017	73381	50	2	1
2014-03-29 01:05:46.110443	73382	21.2	1	1
2014-03-29 01:05:56.241954	73383	305	3	2
2014-03-29 01:05:56.475791	73384	1116191.6563089606	4	2
2014-03-29 01:06:01.611684	73385	48	2	10
2014-03-29 01:06:01.841515	73386	22.1	1	10
2014-03-29 01:06:08.242352	73387	305	3	2
2014-03-29 01:06:08.473218	73388	1116192.8053436822	4	2
2014-03-29 01:06:12.049404	73389	46	2	8
2014-03-29 01:06:12.269467	73390	21.6	1	8
2014-03-29 01:06:24.893525	73391	50	2	1
2014-03-29 01:06:25.123858	73392	21.2	1	1
2014-03-29 01:06:32.240865	73393	305	3	2
2014-03-29 01:06:32.462805	73394	1116195.103413125	4	2
2014-03-29 01:06:40.612256	73395	48	2	10
2014-03-29 01:06:40.843435	73396	22.1	1	10
2014-03-29 01:06:44.243817	73397	338	3	2
2014-03-29 01:06:44.466532	73398	1116196.2524478463	4	2
2014-03-29 01:06:51.049194	73399	46	2	8
2014-03-29 01:06:51.281715	73400	21.6	1	8
2014-03-29 01:06:56.243635	73401	305	3	2
2014-03-29 01:06:56.470384	73402	1116197.4014825677	4	2
2014-03-29 01:07:03.890511	73403	50	2	1
2014-03-29 01:07:04.123288	73404	21.2	1	1
2014-03-29 01:07:08.240586	73405	305	3	2
2014-03-29 01:07:08.461436	73406	1116198.5505172892	4	2
2014-03-29 01:07:19.612725	73407	48	2	10
2014-03-29 01:07:19.843625	73408	22.1	1	10
2014-03-29 01:07:20.241883	73409	338	3	2
2014-03-29 01:07:20.463631	73410	1116199.6995520105	4	2
2014-03-29 01:07:30.050478	73411	46	2	8
2014-03-29 01:07:30.282412	73412	21.6	1	8
2014-03-29 01:07:32.243049	73413	338	3	2
2014-03-29 01:07:32.466404	73414	1116200.848586732	4	2
2014-03-29 01:07:42.890718	73415	50	2	1
2014-03-29 01:07:43.124992	73416	21.2	1	1
2014-03-29 01:07:58.612898	73417	48	2	10
2014-03-29 01:07:58.835892	73418	22.1	1	10
2014-03-29 01:08:09.049344	73419	46	2	8
2014-03-29 01:08:09.282287	73420	21.6	1	8
2014-03-29 01:08:20.245578	73421	305	3	2
2014-03-29 01:08:20.467196	73422	1116204.2956908962	4	2
2014-03-29 01:08:21.889896	73423	50	2	1
2014-03-29 01:08:22.132314	73424	21.2	1	1
2014-03-29 01:08:37.413548	73425	305	3	2
2014-03-29 01:08:37.69262	73426	1116205.4447256178	4	2
2014-03-29 01:08:37.999955	73427	48	2	10
2014-03-29 01:08:38.22963	73428	22.1	1	10
2014-03-29 01:08:44.242813	73429	338	3	2
2014-03-29 01:08:44.466567	73430	1116206.593760339	4	2
2014-03-29 01:08:48.255861	73431	46	2	8
2014-03-29 01:08:48.48851	73432	21.6	1	8
2014-03-29 01:08:56.242477	73433	305	3	2
2014-03-29 01:08:56.468578	73434	1116207.7427950606	4	2
2014-03-29 01:09:00.887772	73435	50	2	1
2014-03-29 01:09:01.118815	73436	21.2	1	1
2014-03-29 01:09:08.240597	73437	305	3	2
2014-03-29 01:09:08.464944	73438	1116208.891829782	4	2
2014-03-29 01:09:16.612905	73439	48	2	10
2014-03-29 01:09:16.844685	73440	22.1	1	10
2014-03-29 01:09:27.049077	73441	46	2	8
2014-03-29 01:09:27.269437	73442	21.6	1	8
2014-03-29 01:09:32.242979	73443	305	3	2
2014-03-29 01:09:32.477739	73444	1116211.1898992248	4	2
2014-03-29 01:09:39.889359	73445	50	2	1
2014-03-29 01:09:40.111033	73446	21.2	1	1
2014-03-29 01:09:55.614069	73447	48	2	10
2014-03-29 01:09:55.846494	73448	22.1	1	10
2014-03-29 01:10:06.048809	73449	46	2	8
2014-03-29 01:10:06.268876	73450	21.6	1	8
2014-03-29 01:10:08.242797	73451	370	3	2
2014-03-29 01:10:08.473507	73452	1116214.637003389	4	2
2014-03-29 01:10:18.892989	73453	50	2	1
2014-03-29 01:10:19.11368	73454	21.2	1	1
2014-03-29 01:10:20.241224	73455	370	3	2
2014-03-29 01:10:20.470616	73456	1116215.7860381105	4	2
2014-03-29 01:10:32.242043	73457	370	3	2
2014-03-29 01:10:32.463597	73458	1116216.9350728318	4	2
2014-03-29 01:10:34.614464	73459	48	2	10
2014-03-29 01:10:34.844897	73460	22.1	1	10
2014-03-29 01:10:45.050955	73461	46	2	8
2014-03-29 01:10:45.273188	73462	21.6	1	8
2014-03-29 01:10:57.884642	73463	50	2	1
2014-03-29 01:10:58.115385	73464	21.2	1	1
2014-03-29 01:11:13.61321	73465	48	2	10
2014-03-29 01:11:13.837	73466	22.1	1	10
2014-03-29 01:11:24.048804	73467	46	2	8
2014-03-29 01:11:24.281735	73468	21.6	1	8
2014-03-29 01:11:32.239869	73469	370	3	2
2014-03-29 01:11:32.462355	73470	1116222.6802464388	4	2
2014-03-29 01:11:36.889089	73471	50	2	1
2014-03-29 01:11:37.131478	73472	21.2	1	1
2014-03-29 01:11:52.612851	73473	48	2	10
2014-03-29 01:11:52.835213	73474	22.0	1	10
2014-03-29 01:12:03.049998	73475	46	2	8
2014-03-29 01:12:03.28248	73476	21.6	1	8
2014-03-29 01:12:15.887841	73477	50	2	1
2014-03-29 01:12:16.111139	73478	21.2	1	1
2014-03-29 01:12:31.612704	73479	48	2	10
2014-03-29 01:12:31.852631	73480	22.0	1	10
2014-03-29 01:12:32.239545	73481	354	3	2
2014-03-29 01:12:32.46088	73482	1116228.425420046	4	2
2014-03-29 01:12:42.051668	73483	46	2	8
2014-03-29 01:12:42.283437	73484	21.6	1	8
2014-03-29 01:12:54.887683	73485	50	2	1
2014-03-29 01:12:55.110817	73486	21.2	1	1
2014-03-29 01:13:10.613088	73487	48	2	10
2014-03-29 01:13:10.844681	73488	22.0	1	10
2014-03-29 01:13:21.049188	73489	46	2	8
2014-03-29 01:13:21.271684	73490	21.6	1	8
2014-03-29 01:13:32.243858	73491	354	3	2
2014-03-29 01:13:32.475378	73492	1116234.170593653	4	2
2014-03-29 01:13:33.929516	73493	50	2	1
2014-03-29 01:13:34.149796	73494	21.2	1	1
2014-03-29 01:13:49.616253	73495	48	2	10
2014-03-29 01:13:49.848257	73496	22.0	1	10
2014-03-29 01:14:00.049109	73497	46	2	8
2014-03-29 01:14:00.273059	73498	21.6	1	8
2014-03-29 01:14:12.887335	73499	50	2	1
2014-03-29 01:14:13.119781	73500	21.2	1	1
2014-03-29 01:14:28.615676	73501	48	2	10
2014-03-29 01:14:28.837547	73502	22.0	1	10
2014-03-29 01:14:32.242053	73503	354	3	2
2014-03-29 01:14:32.475635	73504	1116241.0648019814	4	2
2014-03-29 01:14:39.050343	73505	46	2	8
2014-03-29 01:14:39.272135	73506	21.6	1	8
2014-03-29 01:14:51.92725	73507	50	2	1
2014-03-29 01:14:52.159303	73508	21.2	1	1
2014-03-29 01:14:56.242518	73509	305	3	2
2014-03-29 01:14:56.464639	73510	1116243.3628714243	4	2
2014-03-29 01:15:07.613704	73511	48	2	10
2014-03-29 01:15:07.84491	73512	22.0	1	10
2014-03-29 01:15:08.242132	73513	305	3	2
2014-03-29 01:15:08.464602	73514	1116244.5119061458	4	2
2014-03-29 01:15:18.049069	73515	46	2	8
2014-03-29 01:15:18.281638	73516	21.6	1	8
2014-03-29 01:15:30.887002	73517	50	2	1
2014-03-29 01:15:31.109065	73518	21.2	1	1
2014-03-29 01:15:32.240952	73519	305	3	2
2014-03-29 01:15:32.483918	73520	1116245.6609408672	4	2
2014-03-29 01:15:46.616425	73521	48	2	10
2014-03-29 01:15:46.838625	73522	22.0	1	10
2014-03-29 01:15:57.048537	73523	46	2	8
2014-03-29 01:15:57.28068	73524	21.6	1	8
2014-03-29 01:16:08.2417	73525	370	3	2
2014-03-29 01:16:08.46414	73526	1116249.1080450315	4	2
2014-03-29 01:16:09.928062	73527	50	2	1
2014-03-29 01:16:10.15854	73528	21.2	1	1
2014-03-29 01:16:25.615417	73529	48	2	10
2014-03-29 01:16:25.843164	73530	22.0	1	10
2014-03-29 01:16:32.241422	73531	370	3	2
2014-03-29 01:16:32.473425	73532	1116252.5551491957	4	2
2014-03-29 01:16:36.253922	73533	46	2	8
2014-03-29 01:16:36.475807	73534	21.6	1	8
2014-03-29 01:16:44.242531	73535	402	3	2
2014-03-29 01:16:44.473866	73536	1116253.704183917	4	2
2014-03-29 01:16:48.890129	73537	50	2	1
2014-03-29 01:16:49.111489	73538	21.2	1	1
2014-03-29 01:16:56.242951	73539	402	3	2
2014-03-29 01:16:56.473765	73540	1116254.8532186386	4	2
2014-03-29 01:17:04.613709	73541	48	2	10
2014-03-29 01:17:04.837146	73542	22.0	1	10
2014-03-29 01:17:15.050746	73543	46	2	8
2014-03-29 01:17:15.283234	73544	21.6	1	8
2014-03-29 01:17:20.240178	73545	370	3	2
2014-03-29 01:17:20.464528	73546	1116257.1512880814	4	2
2014-03-29 01:17:27.885798	73547	50	2	1
2014-03-29 01:17:28.117489	73548	21.2	1	1
2014-03-29 01:17:32.242044	73549	402	3	2
2014-03-29 01:17:32.466024	73550	1116258.3003228027	4	2
2014-03-29 01:17:43.614768	73551	48	2	10
2014-03-29 01:17:43.848573	73552	22.0	1	10
2014-03-29 01:17:44.242702	73553	402	3	2
2014-03-29 01:17:44.466196	73554	1116259.4493575243	4	2
2014-03-29 01:17:54.050411	73555	46	2	8
2014-03-29 01:17:54.304627	73556	21.6	1	8
2014-03-29 01:17:56.240297	73557	370	3	2
2014-03-29 01:17:56.461416	73558	1116260.5983922456	4	2
2014-03-29 01:18:06.888677	73559	50	2	1
2014-03-29 01:18:07.123289	73560	21.2	1	1
2014-03-29 01:18:08.242273	73561	402	3	2
2014-03-29 01:18:08.46389	73562	1116262.8964616884	4	2
2014-03-29 01:18:20.241133	73563	402	3	2
2014-03-29 01:18:20.475067	73564	1116264.0454964098	4	2
2014-03-29 01:18:22.61672	73565	48	2	10
2014-03-29 01:18:22.83803	73566	22.0	1	10
2014-03-29 01:18:33.048963	73567	46	2	8
2014-03-29 01:18:33.294355	73568	21.6	1	8
2014-03-29 01:18:44.243541	73569	402	3	2
2014-03-29 01:18:44.464585	73570	1116266.3435658526	4	2
2014-03-29 01:18:45.884763	73571	50	2	1
2014-03-29 01:18:46.303468	73572	21.2	1	1
2014-03-29 01:18:56.242296	73573	370	3	2
2014-03-29 01:18:56.463794	73574	1116267.4926005742	4	2
2014-03-29 01:19:01.61671	73575	48	2	10
2014-03-29 01:19:01.84527	73576	22.0	1	10
2014-03-29 01:19:08.240718	73577	370	3	2
2014-03-29 01:19:08.471803	73578	1116268.6416352955	4	2
2014-03-29 01:19:12.048747	73579	46	2	8
2014-03-29 01:19:12.269797	73580	21.6	1	8
2014-03-29 01:19:24.881701	73581	50	2	1
2014-03-29 01:19:25.113001	73582	21.2	1	1
2014-03-29 01:19:32.238296	73583	370	3	2
2014-03-29 01:19:32.463849	73584	1116270.9397047383	4	2
2014-03-29 01:19:40.613929	73585	48	2	10
2014-03-29 01:19:40.846665	73586	22.0	1	10
2014-03-29 01:19:51.04851	73587	46	2	8
2014-03-29 01:19:51.269314	73588	21.6	1	8
2014-03-29 01:20:03.883572	73589	50	2	1
2014-03-29 01:20:04.114809	73590	21.2	1	1
2014-03-29 01:20:08.242456	73591	402	3	2
2014-03-29 01:20:08.465627	73592	1116275.535843624	4	2
2014-03-29 01:20:19.6158	73593	48	2	10
2014-03-29 01:20:19.847555	73594	22.0	1	10
2014-03-29 01:20:20.24173	73595	402	3	2
2014-03-29 01:20:20.465922	73596	1116276.6848783453	4	2
2014-03-29 01:20:30.048276	73597	46	2	8
2014-03-29 01:20:30.283008	73598	21.6	1	8
2014-03-29 01:20:32.242994	73599	370	3	2
2014-03-29 01:20:32.465327	73600	1116277.833913067	4	2
2014-03-29 01:20:42.88062	73601	50	2	1
2014-03-29 01:20:43.119636	73602	21.2	1	1
2014-03-29 01:20:44.241341	73603	370	3	2
2014-03-29 01:20:44.463063	73604	1116278.9829477882	4	2
2014-03-29 01:20:58.619215	73605	48	2	10
2014-03-29 01:20:58.85133	73606	22.0	1	10
2014-03-29 01:21:09.049027	73607	46	2	8
2014-03-29 01:21:09.271881	73608	21.6	1	8
2014-03-29 01:21:21.881614	73609	50	2	1
2014-03-29 01:21:22.1115	73610	21.2	1	1
2014-03-29 01:21:32.241958	73611	370	3	2
2014-03-29 01:21:32.464072	73612	1116283.579086674	4	2
2014-03-29 01:21:37.615627	73613	48	2	10
2014-03-29 01:21:37.854235	73614	21.9	1	10
2014-03-29 01:21:48.048027	73615	46	2	8
2014-03-29 01:21:48.275012	73616	21.6	1	8
2014-03-29 01:22:00.882039	73617	50	2	1
2014-03-29 01:22:01.123318	73618	21.2	1	1
2014-03-29 01:22:08.241039	73619	402	3	2
2014-03-29 01:22:08.46203	73620	1116287.026190838	4	2
2014-03-29 01:22:16.615282	73621	48	2	10
2014-03-29 01:22:16.846885	73622	21.9	1	10
2014-03-29 01:22:20.240734	73623	370	3	2
2014-03-29 01:22:20.460168	73624	1116289.324260281	4	2
2014-03-29 01:22:27.047894	73625	46	2	8
2014-03-29 01:22:27.278425	73626	21.6	1	8
2014-03-29 01:22:32.239012	73627	370	3	2
2014-03-29 01:22:32.464045	73628	1116290.4732950025	4	2
2014-03-29 01:22:39.8835	73629	50	2	1
2014-03-29 01:22:40.116554	73630	21.2	1	1
2014-03-29 01:22:44.242659	73631	434	3	2
2014-03-29 01:22:44.464986	73632	1116291.6223297238	4	2
2014-03-29 01:22:55.613249	73633	48	2	10
2014-03-29 01:22:55.864249	73634	21.9	1	10
2014-03-29 01:22:56.241523	73635	450	3	2
2014-03-29 01:22:56.463934	73636	1116292.771364445	4	2
2014-03-29 01:23:06.049978	73637	46	2	8
2014-03-29 01:23:06.281103	73638	21.6	1	8
2014-03-29 01:23:18.882958	73639	50	2	1
2014-03-29 01:23:19.105998	73640	21.2	1	1
2014-03-29 01:23:32.23913	73641	434	3	2
2014-03-29 01:23:32.468872	73642	1116297.3675033308	4	2
2014-03-29 01:23:34.619219	73643	48	2	10
2014-03-29 01:23:34.840202	73644	21.9	1	10
2014-03-29 01:23:45.049402	73645	46	2	8
2014-03-29 01:23:45.282878	73646	21.6	1	8
2014-03-29 01:23:57.87911	73647	50	2	1
2014-03-29 01:23:58.103732	73648	21.2	1	1
2014-03-29 01:24:13.617747	73649	48	2	10
2014-03-29 01:24:13.850407	73650	21.9	1	10
2014-03-29 01:24:24.048071	73651	46	2	8
2014-03-29 01:24:24.272347	73652	21.6	1	8
2014-03-29 01:24:32.242844	73653	434	3	2
2014-03-29 01:24:32.474177	73654	1116304.2617116594	4	2
2014-03-29 01:24:36.882336	73655	50	2	1
2014-03-29 01:24:37.102474	73656	21.2	1	1
2014-03-29 01:24:52.615957	73657	48	2	10
2014-03-29 01:24:52.847363	73658	21.9	1	10
2014-03-29 01:25:03.048842	73659	46	2	8
2014-03-29 01:25:03.270637	73660	21.5	1	8
2014-03-29 01:25:15.922742	73661	50	2	1
2014-03-29 01:25:16.155095	73662	21.2	1	1
2014-03-29 01:25:31.616112	73663	48	2	10
2014-03-29 01:25:31.83933	73664	21.9	1	10
2014-03-29 01:25:32.238487	73665	418	3	2
2014-03-29 01:25:32.483663	73666	1116311.155919988	4	2
2014-03-29 01:25:42.048646	73667	46	2	8
2014-03-29 01:25:42.271408	73668	21.5	1	8
2014-03-29 01:25:54.883594	73669	50	2	1
2014-03-29 01:25:55.114499	73670	21.2	1	1
2014-03-29 01:26:10.618679	73671	48	2	10
2014-03-29 01:26:10.840954	73672	21.9	1	10
2014-03-29 01:26:21.0492	73673	46	2	8
2014-03-29 01:26:21.281007	73674	21.5	1	8
2014-03-29 01:26:32.243072	73675	434	3	2
2014-03-29 01:26:32.4648	73676	1116319.1991630378	4	2
2014-03-29 01:26:33.88167	73677	50	2	1
2014-03-29 01:26:34.113092	73678	21.2	1	1
2014-03-29 01:26:49.618187	73679	48	2	10
2014-03-29 01:26:49.841651	73680	21.9	1	10
2014-03-29 01:27:00.048256	73681	46	2	8
2014-03-29 01:27:00.279083	73682	21.5	1	8
2014-03-29 01:27:12.880063	73683	50	2	1
2014-03-29 01:27:13.101419	73684	21.2	1	1
2014-03-29 01:27:28.616874	73685	48	2	10
2014-03-29 01:27:28.851584	73686	21.9	1	10
2014-03-29 01:27:32.24092	73687	418	3	2
2014-03-29 01:27:32.461686	73688	1116326.0933713662	4	2
2014-03-29 01:27:39.047691	73689	46	2	8
2014-03-29 01:27:39.281123	73690	21.5	1	8
2014-03-29 01:27:51.880017	73691	50	2	1
2014-03-29 01:27:52.101882	73692	21.2	1	1
2014-03-29 01:27:56.241144	73693	370	3	2
2014-03-29 01:27:56.472496	73694	1116328.391440809	4	2
2014-03-29 01:28:07.619354	73695	48	2	10
2014-03-29 01:28:07.840521	73696	21.9	1	10
2014-03-29 01:28:08.24028	73697	370	3	2
2014-03-29 01:28:08.470908	73698	1116330.6895102519	4	2
2014-03-29 01:28:18.047655	73699	46	2	8
2014-03-29 01:28:18.269643	73700	21.5	1	8
2014-03-29 01:28:30.879613	73701	50	2	1
2014-03-29 01:28:31.113179	73702	21.2	1	1
2014-03-29 01:28:32.240438	73703	370	3	2
2014-03-29 01:28:32.461498	73704	1116332.9875796947	4	2
2014-03-29 01:28:46.618004	73705	48	2	10
2014-03-29 01:28:46.849172	73706	21.9	1	10
2014-03-29 01:28:57.252908	73707	46	2	8
2014-03-29 01:28:57.47495	73708	21.5	1	8
2014-03-29 01:29:09.875154	73709	50	2	1
2014-03-29 01:29:10.1094	73710	21.1	1	1
2014-03-29 01:29:25.618455	73711	48	2	10
2014-03-29 01:29:25.840403	73712	21.9	1	10
2014-03-29 01:29:32.242717	73713	370	3	2
2014-03-29 01:29:32.487185	73714	1116338.7327533017	4	2
2014-03-29 01:29:36.048633	73715	46	2	8
2014-03-29 01:29:36.269966	73716	21.5	1	8
2014-03-29 01:29:44.242434	73717	305	3	2
2014-03-29 01:29:44.473649	73718	1116339.8817880233	4	2
2014-03-29 01:29:48.874255	73719	50	2	1
2014-03-29 01:29:49.104804	73720	21.1	1	1
2014-03-29 01:29:56.246615	73721	305	3	2
2014-03-29 01:29:56.477316	73722	1116341.0308227446	4	2
2014-03-29 01:30:04.619127	73723	48	2	10
2014-03-29 01:30:04.840772	73724	21.9	1	10
2014-03-29 01:30:15.04874	73725	46	2	8
2014-03-29 01:30:15.280766	73726	21.5	1	8
2014-03-29 01:30:27.877001	73727	50	2	1
2014-03-29 01:30:28.098456	73728	21.1	1	1
2014-03-29 01:30:43.618185	73729	48	2	10
2014-03-29 01:30:43.854829	73730	21.9	1	10
2014-03-29 01:30:54.048753	73731	46	2	8
2014-03-29 01:30:54.270404	73732	21.5	1	8
2014-03-29 01:31:06.878301	73733	50	2	1
2014-03-29 01:31:07.110089	73734	21.1	1	1
2014-03-29 01:31:22.621135	73735	48	2	10
2014-03-29 01:31:22.843856	73736	21.9	1	10
2014-03-29 01:31:33.04795	73737	46	2	8
2014-03-29 01:31:33.278759	73738	21.5	1	8
2014-03-29 01:31:45.877635	73739	50	2	1
2014-03-29 01:31:46.120192	73740	21.1	1	1
2014-03-29 01:32:01.620244	73741	48	2	10
2014-03-29 01:32:01.853191	73742	21.9	1	10
2014-03-29 01:32:08.240157	73743	338	3	2
2014-03-29 01:32:08.461607	73744	1116352.5211699589	4	2
2014-03-29 01:32:12.047044	73745	46	2	8
2014-03-29 01:32:12.278923	73746	21.5	1	8
2014-03-29 01:32:20.240576	73747	305	3	2
2014-03-29 01:32:20.462805	73748	1116353.6702046802	4	2
2014-03-29 01:32:24.87677	73749	50	2	1
2014-03-29 01:32:25.107285	73750	21.1	1	1
2014-03-29 01:32:32.242096	73751	305	3	2
2014-03-29 01:32:32.462037	73752	1116354.8192394017	4	2
2014-03-29 01:32:40.620348	73753	48	2	10
2014-03-29 01:32:40.854654	73754	21.9	1	10
2014-03-29 01:32:51.048655	73755	46	2	8
2014-03-29 01:32:51.269376	73756	21.5	1	8
2014-03-29 01:33:03.879094	73757	50	2	1
2014-03-29 01:33:04.112155	73758	21.1	1	1
2014-03-29 01:33:19.822756	73759	48	2	10
2014-03-29 01:33:20.047117	73760	21.9	1	10
2014-03-29 01:33:30.047921	73761	46	2	8
2014-03-29 01:33:30.291007	73762	21.5	1	8
2014-03-29 01:33:32.238754	73763	305	3	2
2014-03-29 01:33:32.458903	73764	1116359.4153782872	4	2
2014-03-29 01:33:42.919206	73765	50	2	1
2014-03-29 01:33:43.150899	73766	21.1	1	1
2014-03-29 01:33:58.620638	73767	48	2	10
2014-03-29 01:33:58.843215	73768	21.8	1	10
2014-03-29 01:34:09.052383	73769	46	2	8
2014-03-29 01:34:09.286009	73770	21.5	1	8
2014-03-29 01:34:21.875266	73771	50	2	1
2014-03-29 01:34:22.097704	73772	21.1	1	1
2014-03-29 01:34:32.239322	73773	305	3	2
2014-03-29 01:34:32.470368	73774	1116364.0159881252	4	2
2014-03-29 01:34:37.62016	73775	48	2	10
2014-03-29 01:34:37.846253	73776	21.8	1	10
2014-03-29 01:34:48.047505	73777	46	2	8
2014-03-29 01:34:48.27955	73778	21.5	1	8
2014-03-29 01:35:00.873252	73779	50	2	1
2014-03-29 01:35:01.094231	73780	21.1	1	1
2014-03-29 01:35:16.618549	73781	48	2	10
2014-03-29 01:35:16.850889	73782	21.8	1	10
2014-03-29 01:35:27.047823	73783	46	2	8
2014-03-29 01:35:27.270585	73784	21.5	1	8
2014-03-29 01:35:32.238446	73785	305	3	2
2014-03-29 01:35:32.476601	73786	1116368.6121270107	4	2
2014-03-29 01:35:39.873745	73787	50	2	1
2014-03-29 01:35:40.0956	73788	21.1	1	1
2014-03-29 01:35:55.619596	73789	48	2	10
2014-03-29 01:35:55.851397	73790	21.8	1	10
2014-03-29 01:35:56.240476	73791	354	3	2
2014-03-29 01:35:56.464511	73792	1116370.9101964536	4	2
2014-03-29 01:36:06.049494	73793	46	2	8
2014-03-29 01:36:06.281444	73794	21.5	1	8
2014-03-29 01:36:08.239312	73795	354	3	2
2014-03-29 01:36:08.463024	73796	1116372.059231175	4	2
2014-03-29 01:36:18.873764	73797	50	2	1
2014-03-29 01:36:19.104822	73798	21.1	1	1
2014-03-29 01:36:32.239789	73799	354	3	2
2014-03-29 01:36:32.462567	73800	1116374.357300618	4	2
2014-03-29 01:36:34.620528	73801	48	2	10
2014-03-29 01:36:34.851755	73802	21.8	1	10
2014-03-29 01:36:45.049838	73803	46	2	8
2014-03-29 01:36:45.278207	73804	21.5	1	8
2014-03-29 01:36:57.873902	73805	50	2	1
2014-03-29 01:36:58.105752	73806	21.1	1	1
2014-03-29 01:37:13.623107	73807	48	2	10
2014-03-29 01:37:13.845141	73808	21.8	1	10
2014-03-29 01:37:24.048555	73809	46	2	8
2014-03-29 01:37:24.290919	73810	21.5	1	8
2014-03-29 01:37:32.240852	73811	370	3	2
2014-03-29 01:37:32.461699	73812	1116380.102474225	4	2
2014-03-29 01:37:36.872709	73813	50	2	1
2014-03-29 01:37:37.113118	73814	21.1	1	1
2014-03-29 01:37:52.621466	73815	48	2	10
2014-03-29 01:37:52.844641	73816	21.8	1	10
2014-03-29 01:38:03.047728	73817	46	2	8
2014-03-29 01:38:03.279542	73818	21.5	1	8
2014-03-29 01:38:15.875354	73819	50	2	1
2014-03-29 01:38:16.0961	73820	21.1	1	1
2014-03-29 01:38:31.62208	73821	48	2	10
2014-03-29 01:38:31.856328	73822	21.8	1	10
2014-03-29 01:38:32.238997	73823	370	3	2
2014-03-29 01:38:32.45965	73824	1116386.9966825536	4	2
2014-03-29 01:38:42.048753	73825	46	2	8
2014-03-29 01:38:42.279165	73826	21.5	1	8
2014-03-29 01:38:54.874104	73827	50	2	1
2014-03-29 01:38:55.096976	73828	21.1	1	1
2014-03-29 01:39:10.62195	73829	48	2	10
2014-03-29 01:39:10.853324	73830	21.8	1	10
2014-03-29 01:39:21.050492	73831	46	2	8
2014-03-29 01:39:21.271736	73832	21.5	1	8
2014-03-29 01:39:32.23969	73833	354	3	2
2014-03-29 01:39:32.472459	73834	1116392.7418561606	4	2
2014-03-29 01:39:33.868946	73835	50	2	1
2014-03-29 01:39:34.090313	73836	21.1	1	1
2014-03-29 01:39:49.623567	73837	48	2	10
2014-03-29 01:39:49.859546	73838	21.8	1	10
2014-03-29 01:40:00.105764	73839	46	2	8
2014-03-29 01:40:00.32652	73840	21.5	1	8
2014-03-29 01:40:12.873232	73841	50	2	1
2014-03-29 01:40:13.103156	73842	21.1	1	1
2014-03-29 01:40:20.240349	73843	305	3	2
2014-03-29 01:40:20.462511	73844	1116397.3379950463	4	2
2014-03-29 01:40:28.62279	73845	48	2	10
2014-03-29 01:40:28.854247	73846	21.8	1	10
2014-03-29 01:40:32.241666	73847	305	3	2
2014-03-29 01:40:32.461858	73848	1116398.4870297676	4	2
2014-03-29 01:40:39.048242	73849	46	2	8
2014-03-29 01:40:39.281735	73850	21.5	1	8
2014-03-29 01:40:51.871365	73851	50	2	1
2014-03-29 01:40:52.093716	73852	21.1	1	1
2014-03-29 01:41:07.622697	73853	48	2	10
2014-03-29 01:41:07.855452	73854	21.8	1	10
2014-03-29 01:41:18.047332	73855	46	2	8
2014-03-29 01:41:18.269861	73856	21.5	1	8
2014-03-29 01:41:30.868667	73857	50	2	1
2014-03-29 01:41:31.114145	73858	21.1	1	1
2014-03-29 01:41:32.238911	73859	305	3	2
2014-03-29 01:41:32.462212	73860	1116403.0831686533	4	2
2014-03-29 01:41:46.62041	73861	48	2	10
2014-03-29 01:41:46.853165	73862	21.8	1	10
2014-03-29 01:41:57.047539	73863	46	2	8
2014-03-29 01:41:57.269333	73864	21.5	1	8
2014-03-29 01:42:09.913235	73865	50	2	1
2014-03-29 01:42:10.146518	73866	21.1	1	1
2014-03-29 01:42:25.624552	73867	48	2	10
2014-03-29 01:42:25.846688	73868	21.8	1	10
2014-03-29 01:42:32.238753	73869	305	3	2
2014-03-29 01:42:32.470491	73870	1116408.8283422603	4	2
2014-03-29 01:42:36.051177	73871	46	2	8
2014-03-29 01:42:36.273459	73872	21.5	1	8
2014-03-29 01:42:49.110947	73873	50	2	1
2014-03-29 01:42:49.34441	73874	21.1	1	1
2014-03-29 01:43:04.623079	73875	48	2	10
2014-03-29 01:43:04.847319	73876	21.8	1	10
2014-03-29 01:43:15.047475	73877	46	2	8
2014-03-29 01:43:15.279411	73878	21.5	1	8
2014-03-29 01:43:27.869096	73879	50	2	1
2014-03-29 01:43:28.091138	73880	21.1	1	1
2014-03-29 01:43:32.238314	73881	305	3	2
2014-03-29 01:43:32.467635	73882	1116413.424481146	4	2
2014-03-29 01:43:43.623002	73883	48	2	10
2014-03-29 01:43:43.847259	73884	21.8	1	10
2014-03-29 01:43:54.04896	73885	46	2	8
2014-03-29 01:43:54.281437	73886	21.5	1	8
2014-03-29 01:44:06.87014	73887	50	2	1
2014-03-29 01:44:07.093001	73888	21.1	1	1
2014-03-29 01:44:22.622349	73889	48	2	10
2014-03-29 01:44:22.853358	73890	21.8	1	10
2014-03-29 01:44:33.05063	73891	46	2	8
2014-03-29 01:44:33.271702	73892	21.5	1	8
2014-03-29 01:44:45.870105	73893	50	2	1
2014-03-29 01:44:46.105379	73894	21.1	1	1
2014-03-29 01:45:01.62295	73895	48	2	10
2014-03-29 01:45:01.845674	73896	21.8	1	10
2014-03-29 01:45:12.047084	73897	46	2	8
2014-03-29 01:45:12.280605	73898	21.5	1	8
2014-03-29 01:45:24.868947	73899	50	2	1
2014-03-29 01:45:25.093093	73900	21.1	1	1
2014-03-29 01:45:32.241391	73901	305	3	2
2014-03-29 01:45:32.473741	73902	1116423.7657936388	4	2
2014-03-29 01:45:40.622142	73903	48	2	10
2014-03-29 01:45:40.844583	73904	21.8	1	10
2014-03-29 01:45:51.059296	73905	46	2	8
2014-03-29 01:45:51.304001	73906	21.5	1	8
2014-03-29 01:46:03.869142	73907	50	2	1
2014-03-29 01:46:04.093066	73908	21.1	1	1
2014-03-29 01:46:19.624274	73909	48	2	10
2014-03-29 01:46:19.856867	73910	21.7	1	10
2014-03-29 01:46:30.048676	73911	46	2	8
2014-03-29 01:46:30.269395	73912	21.5	1	8
2014-03-29 01:46:32.23784	73913	305	3	2
2014-03-29 01:46:32.471859	73914	1116429.5109672458	4	2
2014-03-29 01:46:42.867884	73915	50	2	1
2014-03-29 01:46:43.089336	73916	21.1	1	1
2014-03-29 01:46:58.621045	73917	48	2	10
2014-03-29 01:46:58.852545	73918	21.7	1	10
2014-03-29 01:47:09.047482	73919	46	2	8
2014-03-29 01:47:09.270481	73920	21.5	1	8
2014-03-29 01:47:21.864264	73921	50	2	1
2014-03-29 01:47:22.096408	73922	21.1	1	1
2014-03-29 01:47:32.238694	73923	305	3	2
2014-03-29 01:47:32.460133	73924	1116434.1071061315	4	2
2014-03-29 01:47:37.624437	73925	48	2	10
2014-03-29 01:47:37.858568	73926	21.7	1	10
2014-03-29 01:47:48.04849	73927	46	2	8
2014-03-29 01:47:48.269542	73928	21.5	1	8
2014-03-29 01:48:00.865905	73929	50	2	1
2014-03-29 01:48:01.097046	73930	21.1	1	1
2014-03-29 01:48:08.239639	73931	354	3	2
2014-03-29 01:48:08.462397	73932	1116437.5542102957	4	2
2014-03-29 01:48:16.62562	73933	48	2	10
2014-03-29 01:48:16.85786	73934	21.7	1	10
2014-03-29 01:48:20.239195	73935	370	3	2
2014-03-29 01:48:20.460266	73936	1116438.7032450172	4	2
2014-03-29 01:48:27.047142	73937	46	2	8
2014-03-29 01:48:27.280072	73938	21.5	1	8
2014-03-29 01:48:32.238891	73939	370	3	2
2014-03-29 01:48:32.465299	73940	1116439.8522797385	4	2
2014-03-29 01:48:39.867233	73941	50	2	1
2014-03-29 01:48:40.099112	73942	21.1	1	1
2014-03-29 01:48:55.622804	73943	48	2	10
2014-03-29 01:48:55.847187	73944	21.7	1	10
2014-03-29 01:49:06.254881	73945	46	2	8
2014-03-29 01:49:06.508066	73946	21.5	1	8
2014-03-29 01:49:08.239007	73947	402	3	2
2014-03-29 01:49:08.460932	73948	1116443.2993839027	4	2
2014-03-29 01:49:18.866163	73949	50	2	1
2014-03-29 01:49:19.097999	73950	21.1	1	1
2014-03-29 01:49:32.238119	73951	370	3	2
2014-03-29 01:49:32.461385	73952	1116445.5974533455	4	2
2014-03-29 01:49:34.623745	73953	48	2	10
2014-03-29 01:49:34.867179	73954	21.7	1	10
2014-03-29 01:49:45.051852	73955	46	2	8
2014-03-29 01:49:45.274567	73956	21.5	1	8
2014-03-29 01:49:57.906988	73957	50	2	1
2014-03-29 01:49:58.13939	73958	21.1	1	1
2014-03-29 01:50:13.622165	73959	48	2	10
2014-03-29 01:50:13.845134	73960	21.7	1	10
2014-03-29 01:50:24.050807	73961	46	2	8
2014-03-29 01:50:24.28307	73962	21.5	1	8
2014-03-29 01:50:32.23995	73963	370	3	2
2014-03-29 01:50:32.463254	73964	1116452.491661674	4	2
2014-03-29 01:50:36.861886	73965	50	2	1
2014-03-29 01:50:37.094421	73966	21.1	1	1
2014-03-29 01:50:52.624219	73967	48	2	10
2014-03-29 01:50:52.856561	73968	21.7	1	10
2014-03-29 01:51:03.047376	73969	46	2	8
2014-03-29 01:51:03.281092	73970	21.5	1	8
2014-03-29 01:51:15.86452	73971	50	2	1
2014-03-29 01:51:16.089305	73972	21.1	1	1
2014-03-29 01:51:31.623913	73973	48	2	10
2014-03-29 01:51:31.855114	73974	21.7	1	10
2014-03-29 01:51:32.240841	73975	370	3	2
2014-03-29 01:51:32.463129	73976	1116458.2368352811	4	2
2014-03-29 01:51:42.047028	73977	46	2	8
2014-03-29 01:51:42.280976	73978	21.5	1	8
2014-03-29 01:51:44.241798	73979	402	3	2
2014-03-29 01:51:44.471728	73980	1116459.3858700027	4	2
2014-03-29 01:51:54.864883	73981	50	2	1
2014-03-29 01:51:55.096784	73982	21.1	1	1
2014-03-29 01:51:56.237378	73983	370	3	2
2014-03-29 01:51:56.460987	73984	1116460.534904724	4	2
2014-03-29 01:52:08.23926	73985	370	3	2
2014-03-29 01:52:08.475405	73986	1116462.8329741668	4	2
2014-03-29 01:52:10.625095	73987	48	2	10
2014-03-29 01:52:10.849509	73988	21.7	1	10
2014-03-29 01:52:21.049279	73989	46	2	8
2014-03-29 01:52:21.279907	73990	21.5	1	8
2014-03-29 01:52:32.23915	73991	370	3	2
2014-03-29 01:52:32.462686	73992	1116465.1310436097	4	2
2014-03-29 01:52:33.862989	73993	50	2	1
2014-03-29 01:52:34.094305	73994	21.1	1	1
2014-03-29 01:52:49.622463	73995	48	2	10
2014-03-29 01:52:49.845435	73996	21.7	1	10
2014-03-29 01:53:00.048966	73997	46	2	8
2014-03-29 01:53:00.310141	73998	21.5	1	8
2014-03-29 01:53:08.235574	73999	305	3	2
2014-03-29 01:53:08.458115	74000	1116468.5781477739	4	2
2014-03-29 01:53:12.864725	74001	50	2	1
2014-03-29 01:53:13.107694	74002	21.1	1	1
2014-03-29 01:53:20.236587	74003	305	3	2
2014-03-29 01:53:20.458009	74004	1116469.7271824954	4	2
2014-03-29 01:53:28.626612	74005	48	2	10
2014-03-29 01:53:28.860616	74006	21.7	1	10
2014-03-29 01:53:32.238163	74007	305	3	2
2014-03-29 01:53:32.459138	74008	1116470.8762172167	4	2
2014-03-29 01:53:39.050452	74009	46	2	8
2014-03-29 01:53:39.28358	74010	21.5	1	8
2014-03-29 01:53:51.864123	74011	50	2	1
2014-03-29 01:53:52.086209	74012	21.1	1	1
2014-03-29 01:54:07.625033	74013	48	2	10
2014-03-29 01:54:07.859646	74014	21.7	1	10
2014-03-29 01:54:18.048089	74015	46	2	8
2014-03-29 01:54:18.268686	74016	21.5	1	8
2014-03-29 01:54:30.865103	74017	50	2	1
2014-03-29 01:54:31.097062	74018	21.1	1	1
2014-03-29 01:54:32.237984	74019	338	3	2
2014-03-29 01:54:32.461058	74020	1116475.4723561024	4	2
2014-03-29 01:54:44.23511	74021	305	3	2
2014-03-29 01:54:44.493467	74022	1116476.6213908237	4	2
2014-03-29 01:54:46.625105	74023	48	2	10
2014-03-29 01:54:46.849216	74024	21.7	1	10
2014-03-29 01:54:57.04833	74025	46	2	8
2014-03-29 01:54:57.280754	74026	21.5	1	8
2014-03-29 01:55:09.864114	74027	50	2	1
2014-03-29 01:55:10.087396	74028	21.1	1	1
2014-03-29 01:55:25.622952	74029	48	2	10
2014-03-29 01:55:25.855151	74030	21.7	1	10
2014-03-29 01:55:32.235837	74031	305	3	2
2014-03-29 01:55:32.458995	74032	1116481.2175297095	4	2
2014-03-29 01:55:36.050536	74033	46	2	8
2014-03-29 01:55:36.28099	74034	21.5	1	8
2014-03-29 01:55:48.862771	74035	50	2	1
2014-03-29 01:55:49.084445	74036	21.1	1	1
2014-03-29 01:56:04.624581	74037	48	2	10
2014-03-29 01:56:04.857187	74038	21.7	1	10
2014-03-29 01:56:15.050639	74039	46	2	8
2014-03-29 01:56:15.27529	74040	21.5	1	8
2014-03-29 01:56:27.8637	74041	50	2	1
2014-03-29 01:56:28.094641	74042	21.1	1	1
2014-03-29 01:56:32.241914	74043	305	3	2
2014-03-29 01:56:32.466314	74044	1116485.8136685952	4	2
2014-03-29 01:56:43.626917	74045	48	2	10
2014-03-29 01:56:43.859205	74046	21.7	1	10
2014-03-29 01:56:54.048239	74047	46	2	8
2014-03-29 01:56:54.272212	74048	21.5	1	8
2014-03-29 01:57:06.862396	74049	50	2	1
2014-03-29 01:57:07.1049	74050	21.1	1	1
2014-03-29 01:57:22.626267	74051	48	2	10
2014-03-29 01:57:22.849038	74052	21.7	1	10
2014-03-29 01:57:33.048101	74053	46	2	8
2014-03-29 01:57:33.280383	74054	21.5	1	8
2014-03-29 01:57:45.906165	74055	50	2	1
2014-03-29 01:57:46.130464	74056	21.1	1	1
2014-03-29 01:58:01.626001	74057	48	2	10
2014-03-29 01:58:01.857645	74058	21.7	1	10
2014-03-29 01:58:12.048208	74059	46	2	8
2014-03-29 01:58:12.270057	74060	21.5	1	8
2014-03-29 01:58:24.861092	74061	50	2	1
2014-03-29 01:58:25.094282	74062	21.0	1	1
2014-03-29 01:58:32.236823	74063	305	3	2
2014-03-29 01:58:32.460358	74064	1116496.154981088	4	2
2014-03-29 01:58:40.626819	74065	48	2	10
2014-03-29 01:58:40.85866	74066	21.7	1	10
2014-03-29 01:58:51.047385	74067	46	2	8
2014-03-29 01:58:51.268289	74068	21.5	1	8
2014-03-29 01:59:03.861208	74069	50	2	1
2014-03-29 01:59:04.093134	74070	21.0	1	1
2014-03-29 01:59:08.234793	74071	338	3	2
2014-03-29 01:59:08.457367	74072	1116499.602085252	4	2
2014-03-29 01:59:19.626149	74073	48	2	10
2014-03-29 01:59:19.868518	74074	21.7	1	10
2014-03-29 01:59:28.755147	74075	305	3	2
2014-03-29 01:59:28.976308	74076	1116500.7511199736	4	2
2014-03-29 01:59:30.047588	74077	46	2	8
2014-03-29 01:59:30.280322	74078	21.5	1	8
2014-03-29 01:59:32.236297	74079	305	3	2
2014-03-29 01:59:32.457355	74080	1116500.7511199736	4	2
2014-03-29 01:59:42.865071	74081	50	2	1
2014-03-29 01:59:43.096782	74082	21.0	1	1
2014-03-29 01:59:58.627577	74083	48	2	10
2014-03-29 01:59:58.851905	74084	21.6	1	10
2014-03-29 02:00:09.251333	74085	46	2	8
2014-03-29 02:00:09.483327	74086	21.5	1	8
2014-03-29 02:00:21.861454	74087	50	2	1
2014-03-29 02:00:22.086937	74088	21.0	1	1
2014-03-29 02:00:32.23402	74089	305	3	2
2014-03-29 02:00:32.465511	74090	1116506.4962935806	4	2
2014-03-29 02:00:37.625573	74091	48	2	10
2014-03-29 02:00:37.852908	74092	21.6	1	10
2014-03-29 02:00:48.049463	74093	46	2	8
2014-03-29 02:00:48.281665	74094	21.5	1	8
2014-03-29 02:00:56.237994	74095	370	3	2
2014-03-29 02:00:56.459128	74096	1116508.7943630235	4	2
2014-03-29 02:01:00.860809	74097	50	2	1
2014-03-29 02:01:01.105932	74098	21.0	1	1
2014-03-29 02:01:08.238309	74099	370	3	2
2014-03-29 02:01:08.460672	74100	1116509.9433977448	4	2
2014-03-29 02:01:16.629112	74101	48	2	10
2014-03-29 02:01:16.861273	74102	21.6	1	10
2014-03-29 02:01:27.047547	74103	46	2	8
2014-03-29 02:01:27.270209	74104	21.5	1	8
2014-03-29 02:01:32.237218	74105	370	3	2
2014-03-29 02:01:32.474553	74106	1116512.2414671876	4	2
2014-03-29 02:01:39.856426	74107	50	2	1
2014-03-29 02:01:40.078647	74108	21.0	1	1
2014-03-29 02:01:55.62416	74109	48	2	10
2014-03-29 02:01:55.858878	74110	21.6	1	10
2014-03-29 02:02:06.047095	74111	46	2	8
2014-03-29 02:02:06.272913	74112	21.5	1	8
2014-03-29 02:02:18.900417	74113	50	2	1
2014-03-29 02:02:19.132473	74114	21.0	1	1
2014-03-29 02:02:32.237346	74115	370	3	2
2014-03-29 02:02:32.460864	74116	1116517.9866407947	4	2
2014-03-29 02:02:34.628453	74117	48	2	10
2014-03-29 02:02:34.860771	74118	21.6	1	10
2014-03-29 02:02:45.051248	74119	46	2	8
2014-03-29 02:02:45.274633	74120	21.5	1	8
2014-03-29 02:02:57.857127	74121	50	2	1
2014-03-29 02:02:58.087377	74122	21.0	1	1
2014-03-29 02:03:13.628655	74123	48	2	10
2014-03-29 02:03:13.871469	74124	21.6	1	10
2014-03-29 02:03:24.046756	74125	46	2	8
2014-03-29 02:03:24.278182	74126	21.5	1	8
2014-03-29 02:03:32.23996	74127	370	3	2
2014-03-29 02:03:32.464795	74128	1116524.8808491232	4	2
2014-03-29 02:03:36.898513	74129	50	2	1
2014-03-29 02:03:37.130178	74130	21.0	1	1
2014-03-29 02:03:52.629769	74131	48	2	10
2014-03-29 02:03:52.852725	74132	21.6	1	10
2014-03-29 02:04:03.04814	74133	46	2	8
2014-03-29 02:04:03.278883	74134	21.5	1	8
2014-03-29 02:04:15.856321	74135	50	2	1
2014-03-29 02:04:16.076898	74136	21.0	1	1
2014-03-29 02:04:31.627852	74137	48	2	10
2014-03-29 02:04:31.862996	74138	21.6	1	10
2014-03-29 02:04:32.236497	74139	370	3	2
2014-03-29 02:04:32.460962	74140	1116530.6260227303	4	2
2014-03-29 02:04:42.047796	74141	46	2	8
2014-03-29 02:04:42.280709	74142	21.5	1	8
2014-03-29 02:04:54.85906	74143	50	2	1
2014-03-29 02:04:55.081596	74144	21.0	1	1
2014-03-29 02:05:10.627114	74145	48	2	10
2014-03-29 02:05:10.872442	74146	21.6	1	10
2014-03-29 02:05:21.047447	74147	46	2	8
2014-03-29 02:05:21.27053	74148	21.5	1	8
2014-03-29 02:05:32.237907	74149	354	3	2
2014-03-29 02:05:32.471139	74150	1116536.3711963375	4	2
2014-03-29 02:05:34.097322	74151	50	2	1
2014-03-29 02:05:34.319063	74152	21.0	1	1
2014-03-29 02:05:49.627792	74153	48	2	10
2014-03-29 02:05:49.859919	74154	21.6	1	10
2014-03-29 02:06:00.050032	74155	46	2	8
2014-03-29 02:06:00.271403	74156	21.5	1	8
2014-03-29 02:06:08.235161	74157	305	3	2
2014-03-29 02:06:08.466964	74158	1116539.8183005017	4	2
2014-03-29 02:06:12.857021	74159	50	2	1
2014-03-29 02:06:13.079273	74160	21.0	1	1
2014-03-29 02:06:20.235638	74161	305	3	2
2014-03-29 02:06:20.466026	74162	1116540.967335223	4	2
2014-03-29 02:06:28.629716	74163	48	2	10
2014-03-29 02:06:28.851012	74164	21.6	1	10
2014-03-29 02:06:32.235223	74165	305	3	2
2014-03-29 02:06:32.466776	74166	1116542.1163699445	4	2
2014-03-29 02:06:39.049451	74167	46	2	8
2014-03-29 02:06:39.271829	74168	21.5	1	8
2014-03-29 02:06:51.854349	74169	50	2	1
2014-03-29 02:06:52.088229	74170	21.0	1	1
2014-03-29 02:07:07.628622	74171	48	2	10
2014-03-29 02:07:07.851313	74172	21.6	1	10
2014-03-29 02:07:18.046619	74173	46	2	8
2014-03-29 02:07:18.283013	74174	21.5	1	8
2014-03-29 02:07:20.239852	74175	338	3	2
2014-03-29 02:07:20.460485	74176	1116546.7125088302	4	2
2014-03-29 02:07:30.854397	74177	50	2	1
2014-03-29 02:07:31.08566	74178	21.0	1	1
2014-03-29 02:07:32.237818	74179	305	3	2
2014-03-29 02:07:32.457435	74180	1116546.7125088302	4	2
2014-03-29 02:07:44.23524	74181	305	3	2
2014-03-29 02:07:44.471055	74182	1116547.8615435516	4	2
2014-03-29 02:07:46.630628	74183	48	2	10
2014-03-29 02:07:46.853237	74184	21.6	1	10
2014-03-29 02:07:57.047784	74185	46	2	8
2014-03-29 02:07:57.280144	74186	21.5	1	8
2014-03-29 02:08:08.237253	74187	338	3	2
2014-03-29 02:08:08.460252	74188	1116550.1596129944	4	2
2014-03-29 02:08:09.852342	74189	50	2	1
2014-03-29 02:08:10.083129	74190	21.0	1	1
2014-03-29 02:08:20.239331	74191	305	3	2
2014-03-29 02:08:20.46175	74192	1116551.3086477157	4	2
2014-03-29 02:08:25.628812	74193	48	2	10
2014-03-29 02:08:25.87787	74194	21.6	1	10
2014-03-29 02:08:32.238451	74195	305	3	2
2014-03-29 02:08:32.462681	74196	1116552.4576824373	4	2
2014-03-29 02:08:36.045588	74197	46	2	8
2014-03-29 02:08:36.276206	74198	21.5	1	8
2014-03-29 02:08:48.853815	74199	50	2	1
2014-03-29 02:08:49.076356	74200	21.0	1	1
2014-03-29 02:09:04.630704	74201	48	2	10
2014-03-29 02:09:04.864165	74202	21.6	1	10
2014-03-29 02:09:15.0487	74203	46	2	8
2014-03-29 02:09:15.269768	74204	21.5	1	8
2014-03-29 02:09:27.856729	74205	50	2	1
2014-03-29 02:09:28.088836	74206	21.0	1	1
2014-03-29 02:09:32.237266	74207	338	3	2
2014-03-29 02:09:32.459027	74208	1116557.053821323	4	2
2014-03-29 02:09:43.629501	74209	48	2	10
2014-03-29 02:09:43.861181	74210	21.5	1	10
2014-03-29 02:09:44.237704	74211	370	3	2
2014-03-29 02:09:44.461042	74212	1116559.3518907656	4	2
2014-03-29 02:09:54.047165	74213	46	2	8
2014-03-29 02:09:54.280612	74214	21.5	1	8
2014-03-29 02:09:56.235668	74215	402	3	2
2014-03-29 02:09:56.456717	74216	1116560.5009254871	4	2
2014-03-29 02:10:06.895563	74217	50	2	1
2014-03-29 02:10:07.127058	74218	21.0	1	1
2014-03-29 02:10:08.237311	74219	402	3	2
2014-03-29 02:10:08.460092	74220	1116561.6499602085	4	2
2014-03-29 02:10:22.629852	74221	48	2	10
2014-03-29 02:10:22.865028	74222	21.5	1	10
2014-03-29 02:10:33.04768	74223	46	2	8
2014-03-29 02:10:33.27051	74224	21.5	1	8
2014-03-29 02:10:45.855316	74225	50	2	1
2014-03-29 02:10:46.090752	74226	21.0	1	1
2014-03-29 02:10:56.23875	74227	370	3	2
2014-03-29 02:10:56.460096	74228	1116566.2460990942	4	2
2014-03-29 02:11:01.629757	74229	48	2	10
2014-03-29 02:11:01.870308	74230	21.5	1	10
2014-03-29 02:11:08.234981	74231	370	3	2
2014-03-29 02:11:08.458172	74232	1116568.544168537	4	2
2014-03-29 02:11:12.046489	74233	46	2	8
2014-03-29 02:11:12.277655	74234	21.5	1	8
2014-03-29 02:11:24.852367	74235	50	2	1
2014-03-29 02:11:25.076808	74236	21.0	1	1
2014-03-29 02:11:32.235256	74237	402	3	2
2014-03-29 02:11:32.467818	74238	1116570.8422379799	4	2
2014-03-29 02:11:40.630925	74239	48	2	10
2014-03-29 02:11:40.85333	74240	21.5	1	10
2014-03-29 02:11:44.233441	74241	370	3	2
2014-03-29 02:11:44.476608	74242	1116571.9912727012	4	2
2014-03-29 02:11:51.049355	74243	46	2	8
2014-03-29 02:11:51.272031	74244	21.5	1	8
2014-03-29 02:12:03.659034	74245	402	3	2
2014-03-29 02:12:03.893419	74246	1116573.1403074227	4	2
2014-03-29 02:12:04.19731	74247	50	2	1
2014-03-29 02:12:04.419411	74248	21.0	1	1
2014-03-29 02:12:08.236355	74249	402	3	2
2014-03-29 02:12:08.467573	74250	1116574.289342144	4	2
2014-03-29 02:12:19.630655	74251	48	2	10
2014-03-29 02:12:19.855938	74252	21.5	1	10
2014-03-29 02:12:20.237363	74253	370	3	2
2014-03-29 02:12:20.468557	74254	1116575.4383768656	4	2
2014-03-29 02:12:30.048214	74255	46	2	8
2014-03-29 02:12:30.272605	74256	21.5	1	8
2014-03-29 02:12:32.236024	74257	370	3	2
2014-03-29 02:12:32.466358	74258	1116576.587411587	4	2
2014-03-29 02:12:42.852638	74259	50	2	1
2014-03-29 02:12:43.075596	74260	21.0	1	1
2014-03-29 02:12:58.630231	74261	48	2	10
2014-03-29 02:12:58.862266	74262	21.5	1	10
2014-03-29 02:13:09.047297	74263	46	2	8
2014-03-29 02:13:09.588316	74264	21.4	1	8
2014-03-29 02:13:20.234055	74265	402	3	2
2014-03-29 02:13:20.467425	74266	1116582.332585194	4	2
2014-03-29 02:13:21.85075	74267	50	2	1
2014-03-29 02:13:22.070904	74268	21.0	1	1
2014-03-29 02:13:32.234547	74269	402	3	2
2014-03-29 02:13:32.467671	74270	1116583.4816199155	4	2
2014-03-29 02:13:37.632357	74271	48	2	10
2014-03-29 02:13:37.858311	74272	21.5	1	10
2014-03-29 02:13:48.046855	74273	46	2	8
2014-03-29 02:13:48.278315	74274	21.4	1	8
2014-03-29 02:13:56.234677	74275	450	3	2
2014-03-29 02:13:56.459225	74276	1116585.7796893583	4	2
2014-03-29 02:14:00.904064	74277	50	2	1
2014-03-29 02:14:01.135091	74278	21.0	1	1
2014-03-29 02:14:08.235047	74279	434	3	2
2014-03-29 02:14:08.459019	74280	1116588.0777588012	4	2
2014-03-29 02:14:16.630544	74281	48	2	10
2014-03-29 02:14:16.863795	74282	21.5	1	10
2014-03-29 02:14:27.047426	74283	46	2	8
2014-03-29 02:14:27.328977	74284	21.4	1	8
2014-03-29 02:14:32.235277	74285	434	3	2
2014-03-29 02:14:32.854484	74286	1116590.375828244	4	2
2014-03-29 02:14:39.851893	74287	50	2	1
2014-03-29 02:14:40.333519	74288	21.0	1	1
2014-03-29 02:14:55.633803	74289	48	2	10
2014-03-29 02:14:55.943144	74290	21.5	1	10
2014-03-29 02:15:06.045894	74291	46	2	8
2014-03-29 02:15:06.387472	74292	21.4	1	8
2014-03-29 02:15:18.851188	74293	50	2	1
2014-03-29 02:15:19.209668	74294	21.0	1	1
2014-03-29 02:15:32.239409	74295	434	3	2
2014-03-29 02:15:32.460765	74296	1116598.419071294	4	2
2014-03-29 02:15:34.631404	74297	48	2	10
2014-03-29 02:15:34.864315	74298	21.5	1	10
2014-03-29 02:15:45.047779	74299	46	2	8
2014-03-29 02:15:45.268775	74300	21.4	1	8
2014-03-29 02:15:57.850018	74301	50	2	1
2014-03-29 02:15:58.082469	74302	21.0	1	1
2014-03-29 02:16:13.628684	74303	48	2	10
2014-03-29 02:16:13.853812	74304	21.5	1	10
2014-03-29 02:16:24.046509	74305	46	2	8
2014-03-29 02:16:24.278894	74306	21.4	1	8
2014-03-29 02:16:36.851392	74307	50	2	1
2014-03-29 02:16:37.076754	74308	21.0	1	1
2014-03-29 02:16:52.629376	74309	48	2	10
2014-03-29 02:16:52.861307	74310	21.5	1	10
2014-03-29 02:17:03.049093	74311	46	2	8
2014-03-29 02:17:03.269988	74312	21.4	1	8
2014-03-29 02:17:15.848074	74313	50	2	1
2014-03-29 02:17:16.079865	74314	21.0	1	1
2014-03-29 02:17:31.631937	74315	48	2	10
2014-03-29 02:17:31.854467	74316	21.5	1	10
2014-03-29 02:17:32.235186	74317	434	3	2
2014-03-29 02:17:32.466961	74318	1116612.2074879508	4	2
2014-03-29 02:17:42.047414	74319	46	2	8
2014-03-29 02:17:42.27274	74320	21.4	1	8
2014-03-29 02:17:54.846796	74321	50	2	1
2014-03-29 02:17:55.078516	74322	21.0	1	1
2014-03-29 02:18:10.632272	74323	48	2	10
2014-03-29 02:18:10.855538	74324	21.5	1	10
2014-03-29 02:18:21.046151	74325	46	2	8
2014-03-29 02:18:21.279985	74326	21.4	1	8
2014-03-29 02:18:32.235361	74327	402	3	2
2014-03-29 02:18:32.459312	74328	1116620.2507310007	4	2
2014-03-29 02:18:33.847797	74329	50	2	1
2014-03-29 02:18:34.079567	74330	21.0	1	1
2014-03-29 02:18:44.238601	74331	370	3	2
2014-03-29 02:18:44.463113	74332	1116621.3997657222	4	2
2014-03-29 02:18:49.632512	74333	48	2	10
2014-03-29 02:18:49.863461	74334	21.5	1	10
2014-03-29 02:18:56.235082	74335	370	3	2
2014-03-29 02:18:56.459344	74336	1116622.5488004435	4	2
2014-03-29 02:19:00.048189	74337	46	2	8
2014-03-29 02:19:00.290496	74338	21.4	1	8
2014-03-29 02:19:12.849254	74339	50	2	1
2014-03-29 02:19:13.071665	74340	21.0	1	1
2014-03-29 02:19:28.632373	74341	48	2	10
2014-03-29 02:19:28.865002	74342	21.5	1	10
2014-03-29 02:19:32.233391	74343	370	3	2
2014-03-29 02:19:32.456692	74344	1116625.9959046077	4	2
2014-03-29 02:19:39.047716	74345	46	2	8
2014-03-29 02:19:39.279874	74346	21.4	1	8
2014-03-29 02:19:44.236858	74347	402	3	2
2014-03-29 02:19:44.488797	74348	1116627.1449393292	4	2
2014-03-29 02:19:51.847178	74349	50	2	1
2014-03-29 02:19:52.077237	74350	21.0	1	1
2014-03-29 02:19:56.235605	74351	370	3	2
2014-03-29 02:19:56.458784	74352	1116628.2939740506	4	2
2014-03-29 02:20:07.634986	74353	48	2	10
2014-03-29 02:20:07.866353	74354	21.5	1	10
2014-03-29 02:20:08.23779	74355	402	3	2
2014-03-29 02:20:08.459536	74356	1116630.5920434934	4	2
2014-03-29 02:20:18.251829	74357	46	2	8
2014-03-29 02:20:18.483321	74358	21.4	1	8
2014-03-29 02:20:20.232729	74359	402	3	2
2014-03-29 02:20:20.453743	74360	1116631.741078215	4	2
2014-03-29 02:20:30.843851	74361	50	2	1
2014-03-29 02:20:31.076152	74362	21.0	1	1
2014-03-29 02:20:32.234058	74363	370	3	2
2014-03-29 02:20:32.456698	74364	1116632.8901129363	4	2
2014-03-29 02:20:44.23458	74365	402	3	2
2014-03-29 02:20:44.464845	74366	1116634.0391476576	4	2
2014-03-29 02:20:46.633451	74367	48	2	10
2014-03-29 02:20:46.856969	74368	21.5	1	10
2014-03-29 02:20:57.047872	74369	46	2	8
2014-03-29 02:20:57.279124	74370	21.4	1	8
2014-03-29 02:21:08.235699	74371	370	3	2
2014-03-29 02:21:08.457849	74372	1116636.3372171004	4	2
2014-03-29 02:21:09.849272	74373	50	2	1
2014-03-29 02:21:10.079382	74374	21.0	1	1
2014-03-29 02:21:20.235561	74375	370	3	2
2014-03-29 02:21:20.458563	74376	1116637.486251822	4	2
2014-03-29 02:21:25.634222	74377	48	2	10
2014-03-29 02:21:25.872094	74378	21.5	1	10
2014-03-29 02:21:32.23705	74379	402	3	2
2014-03-29 02:21:32.459554	74380	1116638.6352865433	4	2
2014-03-29 02:21:36.046842	74381	46	2	8
2014-03-29 02:21:36.277978	74382	21.4	1	8
2014-03-29 02:21:44.234613	74383	402	3	2
2014-03-29 02:21:44.45731	74384	1116639.7843212648	4	2
2014-03-29 02:21:48.847403	74385	50	2	1
2014-03-29 02:21:49.093281	74386	21.0	1	1
2014-03-29 02:22:04.632088	74387	48	2	10
2014-03-29 02:22:04.854019	74388	21.5	1	10
2014-03-29 02:22:15.048979	74389	46	2	8
2014-03-29 02:22:15.463721	74390	21.4	1	8
2014-03-29 02:22:27.843448	74391	50	2	1
2014-03-29 02:22:28.073004	74392	21.0	1	1
2014-03-29 02:22:43.435132	74393	370	3	2
2014-03-29 02:22:43.656597	74394	1116645.5294948719	4	2
2014-03-29 02:22:43.960301	74395	48	2	10
2014-03-29 02:22:44.190379	74396	21.5	1	10
2014-03-29 02:22:44.494226	74397	370	3	2
2014-03-29 02:22:44.713914	74398	1116646.6785295932	4	2
2014-03-29 02:22:54.046764	74399	46	2	8
2014-03-29 02:22:54.277389	74400	21.4	1	8
2014-03-29 02:22:56.238069	74401	402	3	2
2014-03-29 02:22:56.457438	74402	1116647.8275643147	4	2
2014-03-29 02:23:06.845142	74403	50	2	1
2014-03-29 02:23:07.081039	74404	21.0	1	1
2014-03-29 02:23:08.238263	74405	370	3	2
2014-03-29 02:23:08.45725	74406	1116648.976599036	4	2
2014-03-29 02:23:20.237727	74407	370	3	2
2014-03-29 02:23:20.470014	74408	1116650.1256337576	4	2
2014-03-29 02:23:22.634036	74409	48	2	10
2014-03-29 02:23:22.854866	74410	21.5	1	10
2014-03-29 02:23:33.046603	74411	46	2	8
2014-03-29 02:23:33.278009	74412	21.4	1	8
2014-03-29 02:23:45.848045	74413	50	2	1
2014-03-29 02:23:46.072328	74414	21.0	1	1
2014-03-29 02:24:01.634299	74415	48	2	10
2014-03-29 02:24:01.864724	74416	21.5	1	10
2014-03-29 02:24:12.04733	74417	46	2	8
2014-03-29 02:24:12.26913	74418	21.4	1	8
2014-03-29 02:24:24.846188	74419	50	2	1
2014-03-29 02:24:25.076581	74420	21.0	1	1
2014-03-29 02:24:40.437311	74421	370	3	2
2014-03-29 02:24:40.714315	74422	1116657.0243130382	4	2
2014-03-29 02:24:41.018582	74423	48	2	10
2014-03-29 02:24:41.24881	74424	21.5	1	10
2014-03-29 02:24:44.234535	74425	305	3	2
2014-03-29 02:24:44.456531	74426	1116658.1733477595	4	2
2014-03-29 02:24:51.047293	74427	46	2	8
2014-03-29 02:24:51.277274	74428	21.4	1	8
2014-03-29 02:24:56.236596	74429	305	3	2
2014-03-29 02:24:56.46239	74430	1116659.322382481	4	2
2014-03-29 02:25:03.844078	74431	50	2	1
2014-03-29 02:25:04.07558	74432	21.0	1	1
2014-03-29 02:25:19.634917	74433	48	2	10
2014-03-29 02:25:19.857022	74434	21.5	1	10
2014-03-29 02:25:20.234944	74435	338	3	2
2014-03-29 02:25:20.475688	74436	1116660.4714172024	4	2
2014-03-29 02:25:30.045967	74437	46	2	8
2014-03-29 02:25:30.266807	74438	21.4	1	8
2014-03-29 02:25:32.233835	74439	305	3	2
2014-03-29 02:25:32.464823	74440	1116661.620451924	4	2
2014-03-29 02:25:42.845084	74441	50	2	1
2014-03-29 02:25:43.06638	74442	21.0	1	1
2014-03-29 02:25:44.233133	74443	338	3	2
2014-03-29 02:25:44.463948	74444	1116662.7694866452	4	2
2014-03-29 02:25:56.234396	74445	354	3	2
2014-03-29 02:25:56.456351	74446	1116663.9185213668	4	2
2014-03-29 02:25:58.636742	74447	48	2	10
2014-03-29 02:25:58.869475	74448	21.5	1	10
2014-03-29 02:26:09.046905	74449	46	2	8
2014-03-29 02:26:09.267839	74450	21.4	1	8
2014-03-29 02:26:21.844084	74451	50	2	1
2014-03-29 02:26:22.07457	74452	21.0	1	1
2014-03-29 02:26:32.234655	74453	370	3	2
2014-03-29 02:26:32.456934	74454	1116667.365625531	4	2
2014-03-29 02:26:37.63425	74455	48	2	10
2014-03-29 02:26:37.871521	74456	21.5	1	10
2014-03-29 02:26:48.047171	74457	46	2	8
2014-03-29 02:26:48.26697	74458	21.4	1	8
2014-03-29 02:27:00.846345	74459	50	2	1
2014-03-29 02:27:01.133636	74460	21.0	1	1
2014-03-29 02:27:16.632673	74461	48	2	10
2014-03-29 02:27:16.853592	74462	21.5	1	10
2014-03-29 02:27:27.046623	74463	46	2	8
2014-03-29 02:27:27.280033	74464	21.4	1	8
2014-03-29 02:27:32.235702	74465	370	3	2
2014-03-29 02:27:32.460171	74466	1116674.2598338595	4	2
2014-03-29 02:27:39.842086	74467	50	2	1
2014-03-29 02:27:40.076832	74468	21.0	1	1
2014-03-29 02:27:55.635291	74469	48	2	10
2014-03-29 02:27:55.856768	74470	21.4	1	10
2014-03-29 02:28:06.046483	74471	46	2	8
2014-03-29 02:28:06.28509	74472	21.4	1	8
2014-03-29 02:28:18.842221	74473	50	2	1
2014-03-29 02:28:19.066364	74474	21.0	1	1
2014-03-29 02:28:32.238201	74475	370	3	2
2014-03-29 02:28:32.470923	74476	1116680.0050074665	4	2
2014-03-29 02:28:34.635676	74477	48	2	10
2014-03-29 02:28:34.85765	74478	21.4	1	10
2014-03-29 02:28:45.045869	74479	46	2	8
2014-03-29 02:28:45.278583	74480	21.4	1	8
2014-03-29 02:28:57.839302	74481	50	2	1
2014-03-29 02:28:58.061379	74482	21.0	1	1
2014-03-29 02:29:13.63492	74483	48	2	10
2014-03-29 02:29:13.877961	74484	21.4	1	10
2014-03-29 02:29:24.046076	74485	46	2	8
2014-03-29 02:29:24.268661	74486	21.4	1	8
2014-03-29 02:29:32.23458	74487	370	3	2
2014-03-29 02:29:32.466925	74488	1116686.899215795	4	2
2014-03-29 02:29:36.841313	74489	50	2	1
2014-03-29 02:29:37.061835	74490	21.0	1	1
2014-03-29 02:29:52.635987	74491	48	2	10
2014-03-29 02:29:52.866905	74492	21.4	1	10
2014-03-29 02:30:03.046301	74493	46	2	8
2014-03-29 02:30:03.267263	74494	21.4	1	8
2014-03-29 02:30:15.840257	74495	50	2	1
2014-03-29 02:30:16.070644	74496	21.0	1	1
2014-03-29 02:30:31.633721	74497	48	2	10
2014-03-29 02:30:31.854697	74498	21.4	1	10
2014-03-29 02:30:32.233398	74499	370	3	2
2014-03-29 02:30:32.463351	74500	1116692.6443894021	4	2
2014-03-29 02:30:42.047734	74501	46	2	8
2014-03-29 02:30:42.268672	74502	21.4	1	8
2014-03-29 02:30:54.842299	74503	50	2	1
2014-03-29 02:30:55.074643	74504	21.0	1	1
2014-03-29 02:30:56.234016	74505	305	3	2
2014-03-29 02:30:56.454089	74506	1116694.942458845	4	2
2014-03-29 02:31:08.234386	74507	305	3	2
2014-03-29 02:31:08.464942	74508	1116696.0914935663	4	2
2014-03-29 02:31:10.634143	74509	48	2	10
2014-03-29 02:31:10.857328	74510	21.4	1	10
2014-03-29 02:31:21.045399	74511	46	2	8
2014-03-29 02:31:21.277586	74512	21.4	1	8
2014-03-29 02:31:32.23309	74513	338	3	2
2014-03-29 02:31:32.4543	74514	1116698.3895630091	4	2
2014-03-29 02:31:33.840672	74515	50	2	1
2014-03-29 02:31:34.070197	74516	21.0	1	1
2014-03-29 02:31:44.234622	74517	305	3	2
2014-03-29 02:31:44.456656	74518	1116699.5385977305	4	2
2014-03-29 02:31:49.636483	74519	48	2	10
2014-03-29 02:31:49.869244	74520	21.4	1	10
2014-03-29 02:31:56.233077	74521	305	3	2
2014-03-29 02:31:56.455123	74522	1116699.5385977305	4	2
2014-03-29 02:32:00.048707	74523	46	2	8
2014-03-29 02:32:00.280852	74524	21.4	1	8
2014-03-29 02:32:12.886861	74525	50	2	1
2014-03-29 02:32:13.107075	74526	21.0	1	1
2014-03-29 02:32:28.637352	74527	48	2	10
2014-03-29 02:32:28.871262	74528	21.4	1	10
2014-03-29 02:32:32.234979	74529	305	3	2
2014-03-29 02:32:32.456857	74530	1116702.9857018949	4	2
2014-03-29 02:32:39.045948	74531	46	2	8
2014-03-29 02:32:39.290958	74532	21.4	1	8
2014-03-29 02:32:51.842701	74533	51	2	1
2014-03-29 02:32:52.065769	74534	20.9	1	1
2014-03-29 02:33:07.636094	74535	48	2	10
2014-03-29 02:33:07.866689	74536	21.4	1	10
2014-03-29 02:33:18.047503	74537	46	2	8
2014-03-29 02:33:18.287855	74538	21.4	1	8
2014-03-29 02:33:20.236124	74539	338	3	2
2014-03-29 02:33:20.466315	74540	1116707.5818407806	4	2
2014-03-29 02:33:30.837203	74541	51	2	1
2014-03-29 02:33:31.061037	74542	20.9	1	1
2014-03-29 02:33:32.233819	74543	338	3	2
2014-03-29 02:33:32.464189	74544	1116708.7308755019	4	2
2014-03-29 02:33:46.634168	74545	48	2	10
2014-03-29 02:33:46.863744	74546	21.4	1	10
2014-03-29 02:33:57.046043	74547	46	2	8
2014-03-29 02:33:57.279096	74548	21.4	1	8
2014-03-29 02:34:08.237434	74549	338	3	2
2014-03-29 02:34:08.457003	74550	1116711.0289449447	4	2
2014-03-29 02:34:09.838294	74551	51	2	1
2014-03-29 02:34:10.068515	74552	20.9	1	1
2014-03-29 02:34:20.237913	74553	305	3	2
2014-03-29 02:34:20.459405	74554	1116712.177979666	4	2
2014-03-29 02:34:25.634284	74555	48	2	10
2014-03-29 02:34:25.869533	74556	21.4	1	10
2014-03-29 02:34:32.236426	74557	305	3	2
2014-03-29 02:34:32.461144	74558	1116713.3270143876	4	2
2014-03-29 02:34:36.046764	74559	46	2	8
2014-03-29 02:34:36.278734	74560	21.4	1	8
2014-03-29 02:34:44.231297	74561	338	3	2
2014-03-29 02:34:44.455642	74562	1116714.476049109	4	2
2014-03-29 02:34:48.841863	74563	51	2	1
2014-03-29 02:34:49.07388	74564	20.9	1	1
2014-03-29 02:34:56.236049	74565	338	3	2
2014-03-29 02:34:56.459236	74566	1116715.6250838304	4	2
2014-03-29 02:35:04.634659	74567	48	2	10
2014-03-29 02:35:04.867258	74568	21.4	1	10
2014-03-29 02:35:08.23374	74569	305	3	2
2014-03-29 02:35:08.457896	74570	1116716.7741185518	4	2
2014-03-29 02:35:15.045917	74571	46	2	8
2014-03-29 02:35:15.276798	74572	21.4	1	8
2014-03-29 02:35:20.232042	74573	305	3	2
2014-03-29 02:35:20.460283	74574	1116717.9231532733	4	2
2014-03-29 02:35:27.835851	74575	51	2	1
2014-03-29 02:35:28.068112	74576	20.9	1	1
2014-03-29 02:35:32.23609	74577	305	3	2
2014-03-29 02:35:32.466806	74578	1116719.0721879946	4	2
2014-03-29 02:35:43.636372	74579	48	2	10
2014-03-29 02:35:43.880737	74580	21.4	1	10
2014-03-29 02:35:44.232454	74581	338	3	2
2014-03-29 02:35:44.455631	74582	1116720.221222716	4	2
2014-03-29 02:35:54.045445	74583	46	2	8
2014-03-29 02:35:54.2764	74584	21.4	1	8
2014-03-29 02:35:56.233789	74585	338	3	2
2014-03-29 02:35:56.454199	74586	1116721.3702574375	4	2
2014-03-29 02:36:06.838801	74587	51	2	1
2014-03-29 02:36:07.073312	74588	20.9	1	1
2014-03-29 02:36:22.438715	74589	305	3	2
2014-03-29 02:36:22.662459	74590	1116723.6683268803	4	2
2014-03-29 02:36:22.964376	74591	48	2	10
2014-03-29 02:36:23.197192	74592	21.4	1	10
2014-03-29 02:36:33.045677	74593	46	2	8
2014-03-29 02:36:33.265955	74594	21.4	1	8
2014-03-29 02:36:45.838218	74595	51	2	1
2014-03-29 02:36:46.068996	74596	20.9	1	1
2014-03-29 02:37:01.634569	74597	48	2	10
2014-03-29 02:37:01.858139	74598	21.4	1	10
2014-03-29 02:37:08.234493	74599	338	3	2
2014-03-29 02:37:08.467332	74600	1116727.1154310445	4	2
2014-03-29 02:37:12.04567	74601	46	2	8
2014-03-29 02:37:12.265555	74602	21.4	1	8
2014-03-29 02:37:20.234343	74603	305	3	2
2014-03-29 02:37:20.465328	74604	1116728.264465766	4	2
2014-03-29 02:37:24.88096	74605	51	2	1
2014-03-29 02:37:25.101271	74606	20.9	1	1
2014-03-29 02:37:32.232884	74607	338	3	2
2014-03-29 02:37:32.463918	74608	1116729.4135004873	4	2
2014-03-29 02:37:40.636035	74609	48	2	10
2014-03-29 02:37:40.862496	74610	21.4	1	10
2014-03-29 02:37:49.752218	74611	338	3	2
2014-03-29 02:37:49.985441	74612	1116730.5625352086	4	2
2014-03-29 02:37:51.04519	74613	46	2	8
2014-03-29 02:37:51.265789	74614	21.4	1	8
2014-03-29 02:37:56.235092	74615	305	3	2
2014-03-29 02:37:56.466093	74616	1116731.7115699302	4	2
2014-03-29 02:38:03.880339	74617	51	2	1
2014-03-29 02:38:04.102692	74618	20.9	1	1
2014-03-29 02:38:08.234338	74619	305	3	2
2014-03-29 02:38:08.465877	74620	1116732.8606046515	4	2
2014-03-29 02:38:19.638531	74621	48	2	10
2014-03-29 02:38:19.859101	74622	21.4	1	10
2014-03-29 02:38:30.04782	74623	46	2	8
2014-03-29 02:38:30.27851	74624	21.4	1	8
2014-03-29 02:38:32.231064	74625	370	3	2
2014-03-29 02:38:32.454266	74626	1116735.1586740944	4	2
2014-03-29 02:38:42.836416	74627	51	2	1
2014-03-29 02:38:43.080275	74628	20.9	1	1
2014-03-29 02:38:44.229852	74629	370	3	2
2014-03-29 02:38:44.450017	74630	1116736.307708816	4	2
2014-03-29 02:38:58.637213	74631	48	2	10
2014-03-29 02:38:58.867256	74632	21.4	1	10
2014-03-29 02:39:09.045103	74633	46	2	8
2014-03-29 02:39:09.268013	74634	21.4	1	8
2014-03-29 02:39:21.837539	74635	51	2	1
2014-03-29 02:39:22.06874	74636	20.9	1	1
2014-03-29 02:39:32.233181	74637	370	3	2
2014-03-29 02:39:32.454649	74638	1116740.9038477016	4	2
2014-03-29 02:39:37.639632	74639	48	2	10
2014-03-29 02:39:37.882273	74640	21.4	1	10
2014-03-29 02:39:48.046649	74641	46	2	8
2014-03-29 02:39:48.267853	74642	21.4	1	8
2014-03-29 02:40:00.836012	74643	51	2	1
2014-03-29 02:40:01.068329	74644	20.9	1	1
2014-03-29 02:40:16.84317	74645	48	2	10
2014-03-29 02:40:17.06338	74646	21.4	1	10
2014-03-29 02:40:27.046936	74647	46	2	8
2014-03-29 02:40:27.276486	74648	21.4	1	8
2014-03-29 02:40:32.23409	74649	370	3	2
2014-03-29 02:40:32.463841	74650	1116747.79805603	4	2
2014-03-29 02:40:39.835439	74651	51	2	1
2014-03-29 02:40:40.066396	74652	20.9	1	1
2014-03-29 02:40:55.637972	74653	48	2	10
2014-03-29 02:40:55.859303	74654	21.4	1	10
2014-03-29 02:41:06.046363	74655	46	2	8
2014-03-29 02:41:06.275617	74656	21.4	1	8
2014-03-29 02:41:18.833901	74657	51	2	1
2014-03-29 02:41:19.055414	74658	20.9	1	1
2014-03-29 02:41:32.230811	74659	370	3	2
2014-03-29 02:41:32.462759	74660	1116753.543229637	4	2
2014-03-29 02:41:34.6387	74661	48	2	10
2014-03-29 02:41:34.859744	74662	21.4	1	10
2014-03-29 02:41:45.04481	74663	46	2	8
2014-03-29 02:41:45.276579	74664	21.4	1	8
2014-03-29 02:41:57.834113	74665	51	2	1
2014-03-29 02:41:58.057188	74666	20.9	1	1
2014-03-29 02:42:13.637212	74667	48	2	10
2014-03-29 02:42:13.87472	74668	21.4	1	10
2014-03-29 02:42:24.047333	74669	46	2	8
2014-03-29 02:42:24.269296	74670	21.4	1	8
2014-03-29 02:42:32.232099	74671	370	3	2
2014-03-29 02:42:32.464182	74672	1116759.2884032442	4	2
2014-03-29 02:42:36.836547	74673	51	2	1
2014-03-29 02:42:37.057513	74674	20.9	1	1
2014-03-29 02:42:52.640068	74675	48	2	10
2014-03-29 02:42:52.886929	74676	21.4	1	10
2014-03-29 02:42:56.231422	74677	305	3	2
2014-03-29 02:42:56.454252	74678	1116761.586472687	4	2
2014-03-29 02:43:03.045775	74679	46	2	8
2014-03-29 02:43:03.278767	74680	21.4	1	8
2014-03-29 02:43:08.232706	74681	305	3	2
2014-03-29 02:43:08.454686	74682	1116762.7355074084	4	2
2014-03-29 02:43:15.834749	74683	51	2	1
2014-03-29 02:43:16.067701	74684	20.9	1	1
2014-03-29 02:43:31.637499	74685	48	2	10
2014-03-29 02:43:31.859671	74686	21.4	1	10
2014-03-29 02:43:32.233932	74687	338	3	2
2014-03-29 02:43:32.466074	74688	1116765.0335768512	4	2
2014-03-29 02:43:42.047947	74689	46	2	8
2014-03-29 02:43:42.270857	74690	21.4	1	8
2014-03-29 02:43:44.230479	74691	305	3	2
2014-03-29 02:43:44.460508	74692	1116766.1826115726	4	2
2014-03-29 02:43:54.831766	74693	51	2	1
2014-03-29 02:43:55.055129	74694	20.9	1	1
2014-03-29 02:44:08.094879	74695	305	3	2
2014-03-29 02:44:08.326627	74696	1116767.331646294	4	2
2014-03-29 02:44:10.442352	74697	338	3	2
2014-03-29 02:44:10.663489	74698	1116768.4806810154	4	2
2014-03-29 02:44:10.967729	74699	48	2	10
2014-03-29 02:44:11.200347	74700	21.4	1	10
2014-03-29 02:44:21.047531	74701	46	2	8
2014-03-29 02:44:21.272087	74702	21.4	1	8
2014-03-29 02:44:32.234866	74703	338	3	2
2014-03-29 02:44:32.464955	74704	1116770.7787504583	4	2
2014-03-29 02:44:33.832714	74705	51	2	1
2014-03-29 02:44:34.054089	74706	20.9	1	1
2014-03-29 02:44:44.233396	74707	305	3	2
2014-03-29 02:44:44.465913	74708	1116771.9277851798	4	2
2014-03-29 02:44:49.639461	74709	48	2	10
2014-03-29 02:44:49.861342	74710	21.4	1	10
2014-03-29 02:44:56.23527	74711	338	3	2
2014-03-29 02:44:56.466605	74712	1116773.0768199011	4	2
2014-03-29 02:45:00.045402	74713	46	2	8
2014-03-29 02:45:00.268035	74714	21.4	1	8
2014-03-29 02:45:08.233805	74715	305	3	2
2014-03-29 02:45:08.464475	74716	1116774.2258546224	4	2
2014-03-29 02:45:12.832128	74717	51	2	1
2014-03-29 02:45:13.057411	74718	20.9	1	1
2014-03-29 02:45:20.231696	74719	305	3	2
2014-03-29 02:45:20.463158	74720	1116774.2258546224	4	2
2014-03-29 02:45:28.639375	74721	48	2	10
2014-03-29 02:45:28.862774	74722	21.4	1	10
2014-03-29 02:45:32.233389	74723	305	3	2
2014-03-29 02:45:32.477317	74724	1116775.374889344	4	2
2014-03-29 02:45:39.046351	74725	46	2	8
2014-03-29 02:45:39.267972	74726	21.4	1	8
2014-03-29 02:45:51.829324	74727	51	2	1
2014-03-29 02:45:52.061807	74728	20.9	1	1
2014-03-29 02:45:56.233536	74729	338	3	2
2014-03-29 02:45:56.455856	74730	1116777.6729587868	4	2
2014-03-29 02:46:07.637641	74731	48	2	10
2014-03-29 02:46:07.870609	74732	21.4	1	10
2014-03-29 02:46:08.230384	74733	305	3	2
2014-03-29 02:46:08.453563	74734	1116778.8219935081	4	2
2014-03-29 02:46:18.046213	74735	46	2	8
2014-03-29 02:46:18.276218	74736	21.4	1	8
2014-03-29 02:46:20.235126	74737	305	3	2
2014-03-29 02:46:20.457692	74738	1116779.9710282297	4	2
2014-03-29 02:46:30.830898	74739	51	2	1
2014-03-29 02:46:31.062852	74740	20.9	1	1
2014-03-29 02:46:32.232191	74741	305	3	2
2014-03-29 02:46:32.453758	74742	1116781.120062951	4	2
2014-03-29 02:46:44.233955	74743	338	3	2
2014-03-29 02:46:44.464331	74744	1116782.2690976725	4	2
2014-03-29 02:46:46.642257	74745	48	2	10
2014-03-29 02:46:46.869424	74746	21.4	1	10
2014-03-29 02:46:57.045911	74747	46	2	8
2014-03-29 02:46:57.278668	74748	21.4	1	8
2014-03-29 02:47:08.233856	74749	305	3	2
2014-03-29 02:47:08.454892	74750	1116783.4181323939	4	2
2014-03-29 02:47:09.829585	74751	51	2	1
2014-03-29 02:47:10.060291	74752	20.9	1	1
2014-03-29 02:47:25.642842	74753	48	2	10
2014-03-29 02:47:25.868202	74754	21.3	1	10
2014-03-29 02:47:32.233523	74755	305	3	2
2014-03-29 02:47:32.465988	74756	1116785.7162018367	4	2
2014-03-29 02:47:36.046615	74757	46	2	8
2014-03-29 02:47:36.268604	74758	21.4	1	8
2014-03-29 02:47:48.834537	74759	51	2	1
2014-03-29 02:47:49.068131	74760	20.9	1	1
2014-03-29 02:47:56.232977	74761	338	3	2
2014-03-29 02:47:56.454252	74762	1116788.0142712796	4	2
2014-03-29 02:48:04.643605	74763	48	2	10
2014-03-29 02:48:04.877294	74764	21.3	1	10
2014-03-29 02:48:08.235933	74765	305	3	2
2014-03-29 02:48:08.458588	74766	1116789.1633060009	4	2
2014-03-29 02:48:15.046268	74767	46	2	8
2014-03-29 02:48:15.278983	74768	21.4	1	8
2014-03-29 02:48:20.231446	74769	305	3	2
2014-03-29 02:48:20.456732	74770	1116790.3123407224	4	2
2014-03-29 02:48:27.832096	74771	51	2	1
2014-03-29 02:48:28.076382	74772	20.9	1	1
2014-03-29 02:48:32.232186	74773	305	3	2
2014-03-29 02:48:32.452504	74774	1116791.4613754437	4	2
2014-03-29 02:48:43.640768	74775	48	2	10
2014-03-29 02:48:43.875543	74776	21.3	1	10
2014-03-29 02:48:44.232868	74777	338	3	2
2014-03-29 02:48:44.453275	74778	1116792.6104101653	4	2
2014-03-29 02:48:54.253279	74779	46	2	8
2014-03-29 02:48:54.483286	74780	21.4	1	8
2014-03-29 02:48:56.23433	74781	338	3	2
2014-03-29 02:48:56.455837	74782	1116793.7594448866	4	2
2014-03-29 02:49:06.826862	74783	51	2	1
2014-03-29 02:49:07.063792	74784	20.9	1	1
2014-03-29 02:49:20.232234	74785	305	3	2
2014-03-29 02:49:20.453472	74786	1116796.0575143294	4	2
2014-03-29 02:49:22.639334	74787	48	2	10
2014-03-29 02:49:22.869634	74788	21.3	1	10
2014-03-29 02:49:33.047436	74789	46	2	8
2014-03-29 02:49:33.267896	74790	21.4	1	8
2014-03-29 02:49:44.232824	74791	338	3	2
2014-03-29 02:49:44.46453	74792	1116798.3555837723	4	2
2014-03-29 02:49:45.832146	74793	51	2	1
2014-03-29 02:49:46.051906	74794	20.9	1	1
2014-03-29 02:50:01.689774	74795	48	2	10
2014-03-29 02:50:01.922037	74796	21.3	1	10
2014-03-29 02:50:08.234164	74797	305	3	2
2014-03-29 02:50:08.455769	74798	1116799.5046184936	4	2
2014-03-29 02:50:12.04582	74799	46	2	8
2014-03-29 02:50:12.277155	74800	21.4	1	8
2014-03-29 02:50:24.635999	74801	370	3	2
2014-03-29 02:50:24.858083	74802	1116801.8026879365	4	2
2014-03-29 02:50:25.159339	74803	51	2	1
2014-03-29 02:50:25.39251	74804	20.9	1	1
2014-03-29 02:50:32.234545	74805	370	3	2
2014-03-29 02:50:32.454999	74806	1116802.951722658	4	2
2014-03-29 02:50:40.641555	74807	48	2	10
2014-03-29 02:50:40.87296	74808	21.3	1	10
2014-03-29 02:50:51.045314	74809	46	2	8
2014-03-29 02:50:51.267264	74810	21.4	1	8
2014-03-29 02:51:03.826067	74811	51	2	1
2014-03-29 02:51:04.060074	74812	20.9	1	1
2014-03-29 02:51:19.641991	74813	48	2	10
2014-03-29 02:51:19.86456	74814	21.3	1	10
2014-03-29 02:51:30.046553	74815	46	2	8
2014-03-29 02:51:30.278474	74816	21.4	1	8
2014-03-29 02:51:32.232776	74817	370	3	2
2014-03-29 02:51:32.455349	74818	1116808.696896265	4	2
2014-03-29 02:51:42.829869	74819	51	2	1
2014-03-29 02:51:43.073518	74820	20.9	1	1
2014-03-29 02:51:58.64356	74821	48	2	10
2014-03-29 02:51:58.865104	74822	21.3	1	10
2014-03-29 02:52:09.046829	74823	46	2	8
2014-03-29 02:52:09.805464	74824	21.4	1	8
2014-03-29 02:52:21.829881	74825	51	2	1
2014-03-29 02:52:22.086222	74826	20.9	1	1
2014-03-29 02:52:32.231983	74827	370	3	2
2014-03-29 02:52:32.494306	74828	1116814.442069872	4	2
2014-03-29 02:52:37.644153	74829	48	2	10
2014-03-29 02:52:37.868473	74830	21.3	1	10
2014-03-29 02:52:44.233561	74831	402	3	2
2014-03-29 02:52:44.469242	74832	1116815.5911045934	4	2
2014-03-29 02:52:48.045986	74833	46	2	8
2014-03-29 02:52:48.269841	74834	21.4	1	8
2014-03-29 02:52:56.23179	74835	370	3	2
2014-03-29 02:52:56.462978	74836	1116817.8891740362	4	2
2014-03-29 02:53:00.829821	74837	50	2	1
2014-03-29 02:53:01.051946	74838	20.9	1	1
2014-03-29 02:53:08.232118	74839	402	3	2
2014-03-29 02:53:08.463564	74840	1116819.0382087578	4	2
2014-03-29 02:53:16.643099	74841	48	2	10
2014-03-29 02:53:16.86728	74842	21.3	1	10
2014-03-29 02:53:20.231764	74843	370	3	2
2014-03-29 02:53:20.461591	74844	1116820.187243479	4	2
2014-03-29 02:53:27.044971	74845	46	2	8
2014-03-29 02:53:27.269087	74846	21.4	1	8
2014-03-29 02:53:32.232113	74847	370	3	2
2014-03-29 02:53:32.468656	74848	1116821.3362782006	4	2
2014-03-29 02:53:39.829133	74849	50	2	1
2014-03-29 02:53:40.052462	74850	20.9	1	1
2014-03-29 02:53:55.641998	74851	48	2	10
2014-03-29 02:53:55.875658	74852	21.3	1	10
2014-03-29 02:54:06.047004	74853	46	2	8
2014-03-29 02:54:06.268851	74854	21.4	1	8
2014-03-29 02:54:18.825965	74855	50	2	1
2014-03-29 02:54:19.058479	74856	20.9	1	1
2014-03-29 02:54:32.230455	74857	370	3	2
2014-03-29 02:54:32.461373	74858	1116827.0814518076	4	2
2014-03-29 02:54:34.640901	74859	48	2	10
2014-03-29 02:54:34.872957	74860	21.3	1	10
2014-03-29 02:54:45.048076	74861	46	2	8
2014-03-29 02:54:45.269283	74862	21.4	1	8
2014-03-29 02:54:57.825719	74863	50	2	1
2014-03-29 02:54:58.05833	74864	20.9	1	1
2014-03-29 02:55:13.64299	74865	48	2	10
2014-03-29 02:55:13.868605	74866	21.3	1	10
2014-03-29 02:55:24.045595	74867	46	2	8
2014-03-29 02:55:24.290048	74868	21.4	1	8
2014-03-29 02:55:32.234716	74869	402	3	2
2014-03-29 02:55:32.456201	74870	1116833.9756601362	4	2
2014-03-29 02:55:36.825653	74871	50	2	1
2014-03-29 02:55:37.056812	74872	20.9	1	1
2014-03-29 02:55:44.232471	74873	354	3	2
2014-03-29 02:55:44.454884	74874	1116835.1246948575	4	2
2014-03-29 02:55:52.652009	74875	48	2	10
2014-03-29 02:55:52.885778	74876	21.3	1	10
2014-03-29 02:55:56.234145	74877	338	3	2
2014-03-29 02:55:56.454219	74878	1116836.273729579	4	2
2014-03-29 02:56:03.047778	74879	46	2	8
2014-03-29 02:56:03.282006	74880	21.4	1	8
2014-03-29 02:56:15.829287	74881	50	2	1
2014-03-29 02:56:16.05029	74882	20.9	1	1
2014-03-29 02:56:31.641309	74883	48	2	10
2014-03-29 02:56:31.873377	74884	21.3	1	10
2014-03-29 02:56:32.232507	74885	338	3	2
2014-03-29 02:56:32.455133	74886	1116839.7208337432	4	2
2014-03-29 02:56:42.101053	74887	46	2	8
2014-03-29 02:56:42.332699	74888	21.4	1	8
2014-03-29 02:56:54.824692	74889	50	2	1
2014-03-29 02:56:55.045272	74890	20.9	1	1
2014-03-29 02:57:10.642485	74891	48	2	10
2014-03-29 02:57:10.875219	74892	21.3	1	10
2014-03-29 02:57:21.045408	74893	46	2	8
2014-03-29 02:57:21.267304	74894	21.3	1	8
2014-03-29 02:57:32.231444	74895	338	3	2
2014-03-29 02:57:32.46213	74896	1116845.4660073502	4	2
2014-03-29 02:57:33.824578	74897	50	2	1
2014-03-29 02:57:34.045877	74898	20.9	1	1
2014-03-29 02:57:44.231436	74899	305	3	2
2014-03-29 02:57:44.468901	74900	1116846.6150420718	4	2
2014-03-29 02:57:49.647406	74901	48	2	10
2014-03-29 02:57:49.872931	74902	21.3	1	10
2014-03-29 02:57:56.230799	74903	305	3	2
2014-03-29 02:57:56.463197	74904	1116847.764076793	4	2
2014-03-29 02:58:00.048105	74905	46	2	8
2014-03-29 02:58:00.268893	74906	21.3	1	8
2014-03-29 02:58:12.824521	74907	50	2	1
2014-03-29 02:58:13.06051	74908	20.9	1	1
2014-03-29 02:58:20.230476	74909	338	3	2
2014-03-29 02:58:20.452539	74910	1116850.062146236	4	2
2014-03-29 02:58:28.642215	74911	48	2	10
2014-03-29 02:58:28.876049	74912	21.3	1	10
2014-03-29 02:58:32.230801	74913	305	3	2
2014-03-29 02:58:32.451484	74914	1116850.062146236	4	2
2014-03-29 02:58:39.045644	74915	46	2	8
2014-03-29 02:58:39.290083	74916	21.3	1	8
2014-03-29 02:58:44.231688	74917	305	3	2
2014-03-29 02:58:44.460694	74918	1116851.2111809573	4	2
2014-03-29 02:58:51.8295	74919	50	2	1
2014-03-29 02:58:52.061771	74920	20.9	1	1
2014-03-29 02:59:07.643786	74921	48	2	10
2014-03-29 02:59:07.868629	74922	21.3	1	10
2014-03-29 02:59:18.046575	74923	46	2	8
2014-03-29 02:59:18.280743	74924	21.3	1	8
2014-03-29 02:59:30.824327	74925	50	2	1
2014-03-29 02:59:31.048517	74926	20.9	1	1
2014-03-29 02:59:32.232516	74927	305	3	2
2014-03-29 02:59:32.463611	74928	1116855.807319843	4	2
2014-03-29 02:59:44.233581	74929	338	3	2
2014-03-29 02:59:44.456045	74930	1116856.9563545645	4	2
2014-03-29 02:59:46.642712	74931	48	2	10
2014-03-29 02:59:46.873422	74932	21.3	1	10
2014-03-29 02:59:57.048989	74933	46	2	8
2014-03-29 02:59:57.270679	74934	21.3	1	8
2014-03-29 03:00:08.232912	74935	354	3	2
2014-03-29 03:00:08.463904	74936	1116859.2544240071	4	2
2014-03-29 03:00:09.823157	74937	50	2	1
2014-03-29 03:00:10.048646	74938	20.9	1	1
2014-03-29 03:00:20.233456	74939	338	3	2
2014-03-29 03:00:20.464729	74940	1116860.4034587287	4	2
2014-03-29 03:00:25.644073	74941	48	2	10
2014-03-29 03:00:25.870664	74942	21.3	1	10
2014-03-29 03:00:32.232611	74943	338	3	2
2014-03-29 03:00:32.463895	74944	1116861.55249345	4	2
2014-03-29 03:00:36.045003	74945	46	2	8
2014-03-29 03:00:36.268074	74946	21.3	1	8
2014-03-29 03:00:48.824176	74947	50	2	1
2014-03-29 03:00:49.056281	74948	20.9	1	1
2014-03-29 03:01:04.645395	74949	48	2	10
2014-03-29 03:01:04.868988	74950	21.3	1	10
2014-03-29 03:01:15.047086	74951	46	2	8
2014-03-29 03:01:15.281325	74952	21.3	1	8
2014-03-29 03:01:27.820073	74953	50	2	1
2014-03-29 03:01:28.042435	74954	20.9	1	1
2014-03-29 03:01:32.231253	74955	338	3	2
2014-03-29 03:01:32.463434	74956	1116867.2976670573	4	2
2014-03-29 03:01:43.641738	74957	48	2	10
2014-03-29 03:01:43.864505	74958	21.3	1	10
2014-03-29 03:01:54.046374	74959	46	2	8
2014-03-29 03:01:54.277869	74960	21.3	1	8
2014-03-29 03:02:06.824796	74961	50	2	1
2014-03-29 03:02:07.050814	74962	20.8	1	1
2014-03-29 03:02:22.644387	74963	48	2	10
2014-03-29 03:02:22.887452	74964	21.3	1	10
2014-03-29 03:02:33.046125	74965	46	2	8
2014-03-29 03:02:33.268215	74966	21.3	1	8
2014-03-29 03:02:45.823006	74967	50	2	1
2014-03-29 03:02:46.055601	74968	20.8	1	1
2014-03-29 03:03:01.646756	74969	48	2	10
2014-03-29 03:03:01.925491	74970	21.3	1	10
2014-03-29 03:03:12.044821	74971	46	2	8
2014-03-29 03:03:12.276316	74972	21.3	1	8
2014-03-29 03:03:20.233014	74973	402	3	2
2014-03-29 03:03:20.453765	74974	1116877.63897955	4	2
2014-03-29 03:03:24.821988	74975	50	2	1
2014-03-29 03:03:25.053964	74976	20.8	1	1
2014-03-29 03:03:32.229616	74977	370	3	2
2014-03-29 03:03:32.450772	74978	1116878.7880142713	4	2
2014-03-29 03:03:40.645216	74979	48	2	10
2014-03-29 03:03:40.881155	74980	21.3	1	10
2014-03-29 03:03:44.231209	74981	370	3	2
2014-03-29 03:03:44.454823	74982	1116879.9370489926	4	2
2014-03-29 03:03:51.046391	74983	46	2	8
2014-03-29 03:03:51.277353	74984	21.3	1	8
2014-03-29 03:03:56.23314	74985	402	3	2
2014-03-29 03:03:56.458914	74986	1116881.0860837142	4	2
2014-03-29 03:04:03.820419	74987	50	2	1
2014-03-29 03:04:04.054357	74988	20.8	1	1
2014-03-29 03:04:08.232891	74989	402	3	2
2014-03-29 03:04:08.453106	74990	1116882.2351184355	4	2
2014-03-29 03:04:19.644425	74991	48	2	10
2014-03-29 03:04:19.879852	74992	21.3	1	10
2014-03-29 03:04:30.046478	74993	46	2	8
2014-03-29 03:04:30.267275	74994	21.3	1	8
2014-03-29 03:04:32.231353	74995	450	3	2
2014-03-29 03:04:32.463004	74996	1116884.5331878783	4	2
2014-03-29 03:04:42.821862	74997	50	2	1
2014-03-29 03:04:43.045037	74998	20.8	1	1
2014-03-29 03:04:44.231154	74999	466	3	2
2014-03-29 03:04:44.46162	75000	1116886.8312573212	4	2
2014-03-29 03:04:58.646608	75001	48	2	10
2014-03-29 03:04:58.86881	75002	21.3	1	10
2014-03-29 03:05:09.05055	75003	46	2	8
2014-03-29 03:05:09.282615	75004	21.3	1	8
2014-03-29 03:05:21.820888	75005	50	2	1
2014-03-29 03:05:22.044378	75006	20.8	1	1
2014-03-29 03:05:32.22841	75007	450	3	2
2014-03-29 03:05:32.459162	75008	1116892.5764309282	4	2
2014-03-29 03:05:37.645492	75009	48	2	10
2014-03-29 03:05:37.871783	75010	21.3	1	10
2014-03-29 03:05:48.045632	75011	46	2	8
2014-03-29 03:05:48.288821	75012	21.3	1	8
2014-03-29 03:06:00.81902	75013	50	2	1
2014-03-29 03:06:01.042144	75014	20.8	1	1
2014-03-29 03:06:16.647172	75015	48	2	10
2014-03-29 03:06:16.877449	75016	21.3	1	10
2014-03-29 03:06:27.047015	75017	46	2	8
2014-03-29 03:06:27.271336	75018	21.3	1	8
2014-03-29 03:06:32.235217	75019	450	3	2
2014-03-29 03:06:32.47173	75020	1116900.619673978	4	2
2014-03-29 03:06:39.818274	75021	50	2	1
2014-03-29 03:06:40.038981	75022	20.8	1	1
2014-03-29 03:06:55.647625	75023	48	2	10
2014-03-29 03:06:55.879274	75024	21.3	1	10
2014-03-29 03:07:06.046319	75025	46	2	8
2014-03-29 03:07:06.267468	75026	21.3	1	8
2014-03-29 03:07:18.821329	75027	50	2	1
2014-03-29 03:07:19.053956	75028	20.8	1	1
2014-03-29 03:07:32.230922	75029	450	3	2
2014-03-29 03:07:32.452834	75030	1116907.5138823066	4	2
2014-03-29 03:07:34.645843	75031	48	2	10
2014-03-29 03:07:34.877202	75032	21.2	1	10
2014-03-29 03:07:45.045391	75033	46	2	8
2014-03-29 03:07:45.270393	75034	21.3	1	8
2014-03-29 03:07:57.862095	75035	50	2	1
2014-03-29 03:07:58.093433	75036	20.8	1	1
2014-03-29 03:08:08.232943	75037	402	3	2
2014-03-29 03:08:08.454585	75038	1116912.1100211923	4	2
2014-03-29 03:08:13.649451	75039	48	2	10
2014-03-29 03:08:13.885682	75040	21.2	1	10
2014-03-29 03:08:22.752312	75041	402	3	2
2014-03-29 03:08:22.974711	75042	1116913.2590559137	4	2
2014-03-29 03:08:24.047821	75043	46	2	8
2014-03-29 03:08:24.278027	75044	21.3	1	8
2014-03-29 03:08:32.231835	75045	402	3	2
2014-03-29 03:08:32.453214	75046	1116914.4080906352	4	2
2014-03-29 03:08:36.820666	75047	50	2	1
2014-03-29 03:08:37.053956	75048	20.8	1	1
2014-03-29 03:08:52.649794	75049	48	2	10
2014-03-29 03:08:52.872894	75050	21.2	1	10
2014-03-29 03:09:03.046286	75051	46	2	8
2014-03-29 03:09:03.277575	75052	21.3	1	8
2014-03-29 03:09:15.822593	75053	50	2	1
2014-03-29 03:09:16.045581	75054	20.8	1	1
2014-03-29 03:09:31.645326	75055	48	2	10
2014-03-29 03:09:31.878416	75056	21.2	1	10
2014-03-29 03:09:32.227911	75057	402	3	2
2014-03-29 03:09:32.448991	75058	1116921.3022989635	4	2
2014-03-29 03:09:42.047508	75059	46	2	8
2014-03-29 03:09:42.289768	75060	21.3	1	8
2014-03-29 03:09:54.818797	75061	50	2	1
2014-03-29 03:09:55.042831	75062	20.8	1	1
2014-03-29 03:10:10.64904	75063	48	2	10
2014-03-29 03:10:10.882386	75064	21.2	1	10
2014-03-29 03:10:21.045397	75065	46	2	8
2014-03-29 03:10:21.26709	75066	21.3	1	8
2014-03-29 03:10:32.232035	75067	402	3	2
2014-03-29 03:10:32.463981	75068	1116928.196507292	4	2
2014-03-29 03:10:33.819776	75069	50	2	1
2014-03-29 03:10:34.043172	75070	20.8	1	1
2014-03-29 03:10:49.645641	75071	48	2	10
2014-03-29 03:10:49.879742	75072	21.2	1	10
2014-03-29 03:11:00.047351	75073	46	2	8
2014-03-29 03:11:00.269161	75074	21.3	1	8
2014-03-29 03:11:12.818741	75075	50	2	1
2014-03-29 03:11:13.050886	75076	20.8	1	1
2014-03-29 03:11:28.646957	75077	48	2	10
2014-03-29 03:11:28.86812	75078	21.2	1	10
2014-03-29 03:11:32.230698	75079	402	3	2
2014-03-29 03:11:32.462233	75080	1116935.0907156207	4	2
2014-03-29 03:11:39.046298	75081	46	2	8
2014-03-29 03:11:39.270263	75082	21.3	1	8
2014-03-29 03:11:51.817356	75083	50	2	1
2014-03-29 03:11:52.04953	75084	20.8	1	1
2014-03-29 03:12:07.648849	75085	48	2	10
2014-03-29 03:12:07.878624	75086	21.2	1	10
2014-03-29 03:12:18.045263	75087	46	2	8
2014-03-29 03:12:18.277853	75088	21.3	1	8
2014-03-29 03:12:30.817992	75089	50	2	1
2014-03-29 03:12:31.040037	75090	20.8	1	1
2014-03-29 03:12:32.230989	75091	402	3	2
2014-03-29 03:12:32.46337	75092	1116941.9849239492	4	2
2014-03-29 03:12:46.648669	75093	48	2	10
2014-03-29 03:12:46.874683	75094	21.2	1	10
2014-03-29 03:12:57.045308	75095	46	2	8
2014-03-29 03:12:57.278099	75096	21.3	1	8
2014-03-29 03:13:09.814307	75097	50	2	1
2014-03-29 03:13:10.036852	75098	20.8	1	1
2014-03-29 03:13:25.647034	75099	48	2	10
2014-03-29 03:13:25.879376	75100	21.2	1	10
2014-03-29 03:13:32.230604	75101	402	3	2
2014-03-29 03:13:32.452476	75102	1116947.7345685083	4	2
2014-03-29 03:13:36.047217	75103	46	2	8
2014-03-29 03:13:36.281186	75104	21.3	1	8
2014-03-29 03:13:48.817136	75105	50	2	1
2014-03-29 03:13:49.04196	75106	20.8	1	1
2014-03-29 03:14:04.649323	75107	48	2	10
2014-03-29 03:14:04.893629	75108	21.2	1	10
2014-03-29 03:14:15.047086	75109	46	2	8
2014-03-29 03:14:15.269556	75110	21.3	1	8
2014-03-29 03:14:27.813488	75111	50	2	1
2014-03-29 03:14:28.047249	75112	20.8	1	1
2014-03-29 03:14:32.23033	75113	402	3	2
2014-03-29 03:14:32.449899	75114	1116953.4797421156	4	2
2014-03-29 03:14:43.649051	75115	48	2	10
2014-03-29 03:14:43.882015	75116	21.2	1	10
2014-03-29 03:14:54.045952	75117	46	2	8
2014-03-29 03:14:54.267064	75118	21.3	1	8
2014-03-29 03:15:06.813113	75119	50	2	1
2014-03-29 03:15:07.044673	75120	20.8	1	1
2014-03-29 03:15:22.649246	75121	48	2	10
2014-03-29 03:15:22.87361	75122	21.2	1	10
2014-03-29 03:15:33.045902	75123	46	2	8
2014-03-29 03:15:33.276683	75124	21.3	1	8
2014-03-29 03:15:44.229295	75125	450	3	2
2014-03-29 03:15:44.450023	75126	1116962.6720198868	4	2
2014-03-29 03:15:45.814961	75127	50	2	1
2014-03-29 03:15:46.048126	75128	20.8	1	1
2014-03-29 03:16:01.650664	75129	48	2	10
2014-03-29 03:16:01.872413	75130	21.2	1	10
2014-03-29 03:16:12.047479	75131	46	2	8
2014-03-29 03:16:12.279902	75132	21.3	1	8
2014-03-29 03:16:24.812372	75133	50	2	1
2014-03-29 03:16:25.035832	75134	20.8	1	1
2014-03-29 03:16:32.229929	75135	434	3	2
2014-03-29 03:16:32.462888	75136	1116968.4171934938	4	2
2014-03-29 03:16:40.648488	75137	48	2	10
2014-03-29 03:16:40.870114	75138	21.2	1	10
2014-03-29 03:16:51.044968	75139	46	2	8
2014-03-29 03:16:51.465647	75140	21.3	1	8
2014-03-29 03:17:03.812199	75141	50	2	1
2014-03-29 03:17:04.066979	75142	20.8	1	1
2014-03-29 03:17:19.650271	75143	48	2	10
2014-03-29 03:17:20.181589	75144	21.2	1	10
2014-03-29 03:17:30.044802	75145	46	2	8
2014-03-29 03:17:30.284773	75146	21.3	1	8
2014-03-29 03:17:32.232704	75147	434	3	2
2014-03-29 03:17:32.46804	75148	1116975.3114018224	4	2
2014-03-29 03:17:42.811382	75149	50	2	1
2014-03-29 03:17:43.091487	75150	20.8	1	1
2014-03-29 03:17:58.648636	75151	48	2	10
2014-03-29 03:17:58.879014	75152	21.2	1	10
2014-03-29 03:18:09.045092	75153	46	2	8
2014-03-29 03:18:09.268271	75154	21.3	1	8
2014-03-29 03:18:21.814325	75155	50	2	1
2014-03-29 03:18:22.058181	75156	20.8	1	1
2014-03-29 03:18:32.230815	75157	434	3	2
2014-03-29 03:18:32.454983	75158	1116983.3546448722	4	2
2014-03-29 03:18:37.648768	75159	48	2	10
2014-03-29 03:18:37.884114	75160	21.2	1	10
2014-03-29 03:18:48.045247	75161	46	2	8
2014-03-29 03:18:48.273558	75162	21.3	1	8
2014-03-29 03:19:00.813688	75163	50	2	1
2014-03-29 03:19:01.044606	75164	20.8	1	1
2014-03-29 03:19:08.23159	75165	402	3	2
2014-03-29 03:19:08.452702	75166	1116986.8017490364	4	2
2014-03-29 03:19:16.651881	75167	48	2	10
2014-03-29 03:19:16.883942	75168	21.2	1	10
2014-03-29 03:19:20.228761	75169	370	3	2
2014-03-29 03:19:20.460917	75170	1116987.950783758	4	2
2014-03-29 03:19:27.043658	75171	45	2	8
2014-03-29 03:19:27.27537	75172	21.3	1	8
2014-03-29 03:19:39.812061	75173	50	2	1
2014-03-29 03:19:40.032286	75174	20.8	1	1
2014-03-29 03:19:55.650337	75175	48	2	10
2014-03-29 03:19:55.883232	75176	21.2	1	10
2014-03-29 03:19:56.230653	75177	402	3	2
2014-03-29 03:19:56.452407	75178	1116992.5469226437	4	2
2014-03-29 03:20:06.044727	75179	45	2	8
2014-03-29 03:20:06.276189	75180	21.3	1	8
2014-03-29 03:20:08.228136	75181	370	3	2
2014-03-29 03:20:08.452428	75182	1116993.695957365	4	2
2014-03-29 03:20:18.814542	75183	50	2	1
2014-03-29 03:20:19.045945	75184	20.8	1	1
2014-03-29 03:20:20.229701	75185	370	3	2
2014-03-29 03:20:20.449766	75186	1116994.8449920865	4	2
2014-03-29 03:20:32.231029	75187	370	3	2
2014-03-29 03:20:32.461745	75188	1116995.9940268078	4	2
2014-03-29 03:20:34.648787	75189	48	2	10
2014-03-29 03:20:34.870555	75190	21.2	1	10
2014-03-29 03:20:45.045208	75191	45	2	8
2014-03-29 03:20:45.277598	75192	21.3	1	8
2014-03-29 03:20:56.229914	75193	338	3	2
2014-03-29 03:20:56.453055	75194	1116998.2920962507	4	2
2014-03-29 03:20:57.812636	75195	50	2	1
2014-03-29 03:20:58.044798	75196	20.8	1	1
2014-03-29 03:21:13.649434	75197	48	2	10
2014-03-29 03:21:13.871643	75198	21.2	1	10
2014-03-29 03:21:24.046435	75199	45	2	8
2014-03-29 03:21:24.278964	75200	21.3	1	8
2014-03-29 03:21:32.230896	75201	338	3	2
2014-03-29 03:21:32.453285	75202	1117001.7392004149	4	2
2014-03-29 03:21:36.809121	75203	50	2	1
2014-03-29 03:21:37.052523	75204	20.8	1	1
2014-03-29 03:21:52.650503	75205	48	2	10
2014-03-29 03:21:52.871324	75206	21.2	1	10
2014-03-29 03:22:03.044303	75207	45	2	8
2014-03-29 03:22:03.461589	75208	21.3	1	8
2014-03-29 03:22:08.231485	75209	305	3	2
2014-03-29 03:22:08.456972	75210	1117005.1863045793	4	2
2014-03-29 03:22:15.809295	75211	50	2	1
2014-03-29 03:22:16.030553	75212	20.8	1	1
2014-03-29 03:22:20.229584	75213	338	3	2
2014-03-29 03:22:20.45974	75214	1117006.3353393006	4	2
2014-03-29 03:22:31.654404	75215	48	2	10
2014-03-29 03:22:31.876784	75216	21.2	1	10
2014-03-29 03:22:32.23368	75217	338	3	2
2014-03-29 03:22:32.463552	75218	1117007.484374022	4	2
2014-03-29 03:22:42.043479	75219	45	2	8
2014-03-29 03:22:42.268217	75220	21.3	1	8
2014-03-29 03:22:54.814139	75221	50	2	1
2014-03-29 03:22:55.044627	75222	20.8	1	1
2014-03-29 03:23:10.652141	75223	48	2	10
2014-03-29 03:23:10.88412	75224	21.2	1	10
2014-03-29 03:23:21.04436	75225	45	2	8
2014-03-29 03:23:21.27488	75226	21.3	1	8
2014-03-29 03:23:32.228846	75227	338	3	2
2014-03-29 03:23:32.450868	75228	1117013.2295476291	4	2
2014-03-29 03:23:33.809654	75229	50	2	1
2014-03-29 03:23:34.039494	75230	20.8	1	1
2014-03-29 03:23:49.652289	75231	48	2	10
2014-03-29 03:23:49.873611	75232	21.2	1	10
2014-03-29 03:24:00.251636	75233	45	2	8
2014-03-29 03:24:00.484681	75234	21.3	1	8
2014-03-29 03:24:12.808251	75235	50	2	1
2014-03-29 03:24:13.030252	75236	20.8	1	1
2014-03-29 03:24:28.650459	75237	48	2	10
2014-03-29 03:24:28.881729	75238	21.2	1	10
2014-03-29 03:24:32.2279	75239	338	3	2
2014-03-29 03:24:32.44702	75240	1117017.8256865148	4	2
2014-03-29 03:24:39.044584	75241	45	2	8
2014-03-29 03:24:39.274356	75242	21.3	1	8
2014-03-29 03:24:51.808545	75243	50	2	1
2014-03-29 03:24:52.028971	75244	20.8	1	1
2014-03-29 03:25:07.654086	75245	48	2	10
2014-03-29 03:25:07.893733	75246	21.2	1	10
2014-03-29 03:25:18.046492	75247	45	2	8
2014-03-29 03:25:18.267805	75248	21.3	1	8
2014-03-29 03:25:30.813066	75249	50	2	1
2014-03-29 03:25:31.044317	75250	20.8	1	1
2014-03-29 03:25:32.230627	75251	305	3	2
2014-03-29 03:25:32.451263	75252	1117023.5708601219	4	2
2014-03-29 03:25:44.228547	75253	338	3	2
2014-03-29 03:25:44.4702	75254	1117024.7198948432	4	2
2014-03-29 03:25:46.651916	75255	48	2	10
2014-03-29 03:25:46.874221	75256	21.2	1	10
2014-03-29 03:25:57.046578	75257	45	2	8
2014-03-29 03:25:57.277839	75258	21.3	1	8
2014-03-29 03:26:09.807458	75259	50	2	1
2014-03-29 03:26:10.03	75260	20.8	1	1
2014-03-29 03:26:25.65012	75261	48	2	10
2014-03-29 03:26:25.881381	75262	21.2	1	10
2014-03-29 03:26:32.227813	75263	338	3	2
2014-03-29 03:26:32.450043	75264	1117029.316033729	4	2
2014-03-29 03:26:36.04779	75265	45	2	8
2014-03-29 03:26:36.277758	75266	21.3	1	8
2014-03-29 03:26:49.051706	75267	50	2	1
2014-03-29 03:26:49.273267	75268	20.8	1	1
2014-03-29 03:27:04.651793	75269	48	2	10
2014-03-29 03:27:04.883928	75270	21.2	1	10
2014-03-29 03:27:15.045078	75271	45	2	8
2014-03-29 03:27:15.268706	75272	21.3	1	8
2014-03-29 03:27:27.807992	75273	50	2	1
2014-03-29 03:27:28.040153	75274	20.8	1	1
2014-03-29 03:27:32.231086	75275	338	3	2
2014-03-29 03:27:32.452013	75276	1117035.061207336	4	2
2014-03-29 03:27:43.652219	75277	48	2	10
2014-03-29 03:27:43.885311	75278	21.2	1	10
2014-03-29 03:27:54.252369	75279	45	2	8
2014-03-29 03:27:54.473479	75280	21.3	1	8
2014-03-29 03:28:06.804524	75281	50	2	1
2014-03-29 03:28:07.03611	75282	20.8	1	1
2014-03-29 03:28:08.22966	75283	370	3	2
2014-03-29 03:28:08.451004	75284	1117038.5083115003	4	2
2014-03-29 03:28:20.229875	75285	370	3	2
2014-03-29 03:28:20.463615	75286	1117039.6573462216	4	2
2014-03-29 03:28:22.652794	75287	48	2	10
2014-03-29 03:28:22.874255	75288	21.2	1	10
2014-03-29 03:28:33.043704	75289	45	2	8
2014-03-29 03:28:33.276486	75290	21.3	1	8
2014-03-29 03:28:44.227124	75291	370	3	2
2014-03-29 03:28:44.450635	75292	1117041.9554156645	4	2
2014-03-29 03:28:45.805869	75293	50	2	1
2014-03-29 03:28:46.035436	75294	20.8	1	1
2014-03-29 03:28:56.228245	75295	370	3	2
2014-03-29 03:28:56.451158	75296	1117043.1044503858	4	2
2014-03-29 03:29:01.651934	75297	48	2	10
2014-03-29 03:29:01.88637	75298	21.2	1	10
2014-03-29 03:29:12.045696	75299	45	2	8
2014-03-29 03:29:12.267358	75300	21.3	1	8
2014-03-29 03:29:24.802862	75301	50	2	1
2014-03-29 03:29:25.048656	75302	20.8	1	1
2014-03-29 03:29:40.652693	75303	48	2	10
2014-03-29 03:29:40.874758	75304	21.2	1	10
2014-03-29 03:29:51.045635	75305	45	2	8
2014-03-29 03:29:51.27613	75306	21.3	1	8
2014-03-29 03:30:03.803854	75307	50	2	1
2014-03-29 03:30:04.025243	75308	20.8	1	1
2014-03-29 03:30:19.653652	75309	48	2	10
2014-03-29 03:30:19.88508	75310	21.2	1	10
2014-03-29 03:30:30.04552	75311	45	2	8
2014-03-29 03:30:30.26815	75312	21.3	1	8
2014-03-29 03:30:32.230668	75313	370	3	2
2014-03-29 03:30:32.461714	75314	1117053.4457628785	4	2
2014-03-29 03:30:42.807773	75315	50	2	1
2014-03-29 03:30:43.030606	75316	20.8	1	1
2014-03-29 03:30:58.652223	75317	48	2	10
2014-03-29 03:30:58.886059	75318	21.2	1	10
2014-03-29 03:31:09.044737	75319	45	2	8
2014-03-29 03:31:09.26606	75320	21.3	1	8
2014-03-29 03:31:21.806267	75321	50	2	1
2014-03-29 03:31:22.038466	75322	20.8	1	1
2014-03-29 03:31:32.230109	75323	370	3	2
2014-03-29 03:31:32.452058	75324	1117059.1909364858	4	2
2014-03-29 03:31:37.653118	75325	48	2	10
2014-03-29 03:31:37.890167	75326	21.2	1	10
2014-03-29 03:31:48.045227	75327	45	2	8
2014-03-29 03:31:48.26675	75328	21.3	1	8
2014-03-29 03:32:00.805797	75329	50	2	1
2014-03-29 03:32:01.039069	75330	20.8	1	1
2014-03-29 03:32:16.652673	75331	48	2	10
2014-03-29 03:32:16.874947	75332	21.2	1	10
2014-03-29 03:32:27.046344	75333	45	2	8
2014-03-29 03:32:27.278713	75334	21.3	1	8
2014-03-29 03:32:32.231416	75335	370	3	2
2014-03-29 03:32:32.459398	75336	1117066.085144814	4	2
2014-03-29 03:32:39.801707	75337	50	2	1
2014-03-29 03:32:40.036658	75338	20.8	1	1
2014-03-29 03:32:55.653382	75339	48	2	10
2014-03-29 03:32:55.875407	75340	21.2	1	10
2014-03-29 03:32:56.241634	75341	338	3	2
2014-03-29 03:32:56.473685	75342	1117068.383214257	4	2
2014-03-29 03:33:06.043851	75343	45	2	8
2014-03-29 03:33:06.288204	75344	21.3	1	8
2014-03-29 03:33:08.231915	75345	338	3	2
2014-03-29 03:33:08.465598	75346	1117069.5322489785	4	2
2014-03-29 03:33:18.802444	75347	50	2	1
2014-03-29 03:33:19.024434	75348	20.8	1	1
2014-03-29 03:33:32.230038	75349	338	3	2
2014-03-29 03:33:32.475175	75350	1117071.8303184211	4	2
2014-03-29 03:33:34.65213	75351	48	2	10
2014-03-29 03:33:34.873328	75352	21.2	1	10
2014-03-29 03:33:45.045355	75353	45	2	8
2014-03-29 03:33:45.280497	75354	21.3	1	8
2014-03-29 03:33:57.799768	75355	50	2	1
2014-03-29 03:33:58.021792	75356	20.8	1	1
2014-03-29 03:34:13.65521	75357	48	2	10
2014-03-29 03:34:13.885748	75358	21.2	1	10
2014-03-29 03:34:24.044078	75359	45	2	8
2014-03-29 03:34:24.265493	75360	21.3	1	8
2014-03-29 03:34:32.230665	75361	338	3	2
2014-03-29 03:34:32.463673	75362	1117077.5754920284	4	2
2014-03-29 03:34:36.802772	75363	50	2	1
2014-03-29 03:34:37.023796	75364	20.8	1	1
2014-03-29 03:34:52.654616	75365	48	2	10
2014-03-29 03:34:52.885406	75366	21.2	1	10
2014-03-29 03:35:03.043551	75367	45	2	8
2014-03-29 03:35:03.265683	75368	21.3	1	8
2014-03-29 03:35:15.8042	75369	50	2	1
2014-03-29 03:35:16.034572	75370	20.8	1	1
2014-03-29 03:35:31.655667	75371	48	2	10
2014-03-29 03:35:31.877193	75372	21.2	1	10
2014-03-29 03:35:32.22998	75373	338	3	2
2014-03-29 03:35:32.460411	75374	1117083.3206656354	4	2
2014-03-29 03:35:42.045473	75375	45	2	8
2014-03-29 03:35:42.26701	75376	21.3	1	8
2014-03-29 03:35:54.803739	75377	50	2	1
2014-03-29 03:35:55.034801	75378	20.8	1	1
2014-03-29 03:36:10.65449	75379	48	2	10
2014-03-29 03:36:10.87963	75380	21.2	1	10
2014-03-29 03:36:21.044758	75381	45	2	8
2014-03-29 03:36:21.275012	75382	21.3	1	8
2014-03-29 03:36:32.227706	75383	338	3	2
2014-03-29 03:36:32.453174	75384	1117089.0658392424	4	2
2014-03-29 03:36:33.80191	75385	50	2	1
2014-03-29 03:36:34.032874	75386	20.8	1	1
2014-03-29 03:36:49.654281	75387	48	2	10
2014-03-29 03:36:49.878906	75388	21.2	1	10
2014-03-29 03:37:00.044279	75389	45	2	8
2014-03-29 03:37:00.275648	75390	21.3	1	8
2014-03-29 03:37:08.228808	75391	305	3	2
2014-03-29 03:37:08.450975	75392	1117091.3639086853	4	2
2014-03-29 03:37:12.799511	75393	50	2	1
2014-03-29 03:37:13.033259	75394	20.8	1	1
2014-03-29 03:37:20.228695	75395	338	3	2
2014-03-29 03:37:20.450272	75396	1117092.5129434066	4	2
2014-03-29 03:37:28.65499	75397	48	2	10
2014-03-29 03:37:28.899502	75398	21.2	1	10
2014-03-29 03:37:32.227763	75399	338	3	2
2014-03-29 03:37:32.449902	75400	1117093.6619781281	4	2
2014-03-29 03:37:39.045574	75401	45	2	8
2014-03-29 03:37:39.27952	75402	21.3	1	8
2014-03-29 03:37:51.799185	75403	50	2	1
2014-03-29 03:37:52.020373	75404	20.7	1	1
2014-03-29 03:38:07.654944	75405	48	2	10
2014-03-29 03:38:07.895152	75406	21.2	1	10
2014-03-29 03:38:18.045602	75407	45	2	8
2014-03-29 03:38:18.269938	75408	21.3	1	8
2014-03-29 03:38:30.801	75409	50	2	1
2014-03-29 03:38:31.031392	75410	20.7	1	1
2014-03-29 03:38:32.229107	75411	338	3	2
2014-03-29 03:38:32.450722	75412	1117099.4071517352	4	2
2014-03-29 03:38:46.656327	75413	48	2	10
2014-03-29 03:38:46.88756	75414	21.2	1	10
2014-03-29 03:38:57.044917	75415	45	2	8
2014-03-29 03:38:57.268568	75416	21.3	1	8
2014-03-29 03:39:09.801141	75417	50	2	1
2014-03-29 03:39:10.031445	75418	20.7	1	1
2014-03-29 03:39:25.65441	75419	48	2	10
2014-03-29 03:39:25.87589	75420	21.2	1	10
2014-03-29 03:39:32.229292	75421	338	3	2
2014-03-29 03:39:32.461732	75422	1117105.1523253422	4	2
2014-03-29 03:39:36.044001	75423	45	2	8
2014-03-29 03:39:36.264178	75424	21.3	1	8
2014-03-29 03:39:48.799099	75425	50	2	1
2014-03-29 03:39:49.035831	75426	20.7	1	1
2014-03-29 03:40:04.656404	75427	48	2	10
2014-03-29 03:40:04.878709	75428	21.2	1	10
2014-03-29 03:40:15.044247	75429	45	2	8
2014-03-29 03:40:15.274662	75430	21.3	1	8
2014-03-29 03:40:20.227287	75431	370	3	2
2014-03-29 03:40:20.452918	75432	1117109.748464228	4	2
2014-03-29 03:40:27.798994	75433	50	2	1
2014-03-29 03:40:28.029636	75434	20.7	1	1
2014-03-29 03:40:32.227132	75435	370	3	2
2014-03-29 03:40:32.446448	75436	1117110.8974989494	4	2
2014-03-29 03:40:43.657273	75437	48	2	10
2014-03-29 03:40:43.890223	75438	21.2	1	10
2014-03-29 03:40:54.044579	75439	45	2	8
2014-03-29 03:40:54.264894	75440	21.2	1	8
2014-03-29 03:41:06.799831	75441	50	2	1
2014-03-29 03:41:07.032607	75442	20.7	1	1
2014-03-29 03:41:20.228284	75443	402	3	2
2014-03-29 03:41:20.448895	75444	1117115.493637835	4	2
2014-03-29 03:41:22.656653	75445	48	2	10
2014-03-29 03:41:22.906335	75446	21.2	1	10
2014-03-29 03:41:33.044521	75447	45	2	8
2014-03-29 03:41:33.26677	75448	21.2	1	8
2014-03-29 03:41:44.226286	75449	370	3	2
2014-03-29 03:41:44.456301	75450	1117118.9407419993	4	2
2014-03-29 03:41:45.799376	75451	50	2	1
2014-03-29 03:41:46.018922	75452	20.7	1	1
2014-03-29 03:42:01.656037	75453	48	2	10
2014-03-29 03:42:01.890525	75454	21.2	1	10
2014-03-29 03:42:12.04523	75455	45	2	8
2014-03-29 03:42:12.266721	75456	21.2	1	8
2014-03-29 03:42:24.798017	75457	50	2	1
2014-03-29 03:42:25.033588	75458	20.7	1	1
2014-03-29 03:42:32.229144	75459	370	3	2
2014-03-29 03:42:32.451003	75460	1117123.536880885	4	2
2014-03-29 03:42:40.655241	75461	48	2	10
2014-03-29 03:42:40.888233	75462	21.2	1	10
2014-03-29 03:42:51.045651	75463	45	2	8
2014-03-29 03:42:51.268496	75464	21.2	1	8
2014-03-29 03:43:03.799574	75465	50	2	1
2014-03-29 03:43:04.032463	75466	20.7	1	1
2014-03-29 03:43:19.658539	75467	48	2	10
2014-03-29 03:43:19.880669	75468	21.2	1	10
2014-03-29 03:43:30.044386	75469	45	2	8
2014-03-29 03:43:30.276119	75470	21.2	1	8
2014-03-29 03:43:32.231946	75471	370	3	2
2014-03-29 03:43:32.453214	75472	1117129.282054492	4	2
2014-03-29 03:43:42.797381	75473	50	2	1
2014-03-29 03:43:43.029606	75474	20.7	1	1
2014-03-29 03:43:58.655684	75475	48	2	10
2014-03-29 03:43:58.876918	75476	21.2	1	10
2014-03-29 03:44:09.25333	75477	45	2	8
2014-03-29 03:44:09.484328	75478	21.2	1	8
2014-03-29 03:44:21.793603	75479	50	2	1
2014-03-29 03:44:22.016072	75480	20.7	1	1
2014-03-29 03:44:32.227781	75481	370	3	2
2014-03-29 03:44:32.460382	75482	1117136.1762628204	4	2
2014-03-29 03:44:37.659477	75483	48	2	10
2014-03-29 03:44:37.88621	75484	21.2	1	10
2014-03-29 03:44:48.044471	75485	45	2	8
2014-03-29 03:44:48.275791	75486	21.2	1	8
2014-03-29 03:45:00.795434	75487	50	2	1
2014-03-29 03:45:01.017781	75488	20.7	1	1
2014-03-29 03:45:08.229679	75489	338	3	2
2014-03-29 03:45:08.462687	75490	1117139.6233669848	4	2
2014-03-29 03:45:16.65761	75491	48	2	10
2014-03-29 03:45:16.881914	75492	21.2	1	10
2014-03-29 03:45:20.226023	75493	338	3	2
2014-03-29 03:45:20.470278	75494	1117140.772401706	4	2
2014-03-29 03:45:27.043691	75495	45	2	8
2014-03-29 03:45:27.267732	75496	21.2	1	8
2014-03-29 03:45:32.227117	75497	305	3	2
2014-03-29 03:45:32.463711	75498	1117141.9214364276	4	2
2014-03-29 03:45:39.797268	75499	50	2	1
2014-03-29 03:45:40.020542	75500	20.7	1	1
2014-03-29 03:45:44.285403	75501	305	3	2
2014-03-29 03:45:44.518244	75502	1117143.070471149	4	2
2014-03-29 03:45:55.659593	75503	48	2	10
2014-03-29 03:45:55.882333	75504	21.2	1	10
2014-03-29 03:45:56.229546	75505	338	3	2
2014-03-29 03:45:56.459451	75506	1117144.2195058705	4	2
2014-03-29 03:46:06.044092	75507	45	2	8
2014-03-29 03:46:06.267501	75508	21.2	1	8
2014-03-29 03:46:08.227572	75509	338	3	2
2014-03-29 03:46:08.45889	75510	1117145.3685405918	4	2
2014-03-29 03:46:18.795357	75511	50	2	1
2014-03-29 03:46:19.016218	75512	20.7	1	1
2014-03-29 03:46:32.228168	75513	338	3	2
2014-03-29 03:46:32.460262	75514	1117147.6666100346	4	2
2014-03-29 03:46:34.657947	75515	48	2	10
2014-03-29 03:46:34.881793	75516	21.2	1	10
2014-03-29 03:46:45.045861	75517	45	2	8
2014-03-29 03:46:45.279122	75518	21.2	1	8
2014-03-29 03:46:57.794892	75519	50	2	1
2014-03-29 03:46:58.016935	75520	20.7	1	1
2014-03-29 03:47:13.659082	75521	48	2	10
2014-03-29 03:47:13.893	75522	21.2	1	10
2014-03-29 03:47:24.043406	75523	45	2	8
2014-03-29 03:47:24.266217	75524	21.2	1	8
2014-03-29 03:47:32.229701	75525	338	3	2
2014-03-29 03:47:32.460387	75526	1117152.2627489204	4	2
2014-03-29 03:47:36.79287	75527	50	2	1
2014-03-29 03:47:37.016118	75528	20.7	1	1
2014-03-29 03:47:52.659248	75529	48	2	10
2014-03-29 03:47:52.894851	75530	21.2	1	10
2014-03-29 03:47:56.229211	75531	305	3	2
2014-03-29 03:47:56.450319	75532	1117154.5608183632	4	2
2014-03-29 03:48:03.047353	75533	45	2	8
2014-03-29 03:48:03.280244	75534	21.2	1	8
2014-03-29 03:48:08.228947	75535	338	3	2
2014-03-29 03:48:08.449598	75536	1117155.7098530845	4	2
2014-03-29 03:48:15.799421	75537	50	2	1
2014-03-29 03:48:16.033403	75538	20.7	1	1
2014-03-29 03:48:20.229416	75539	338	3	2
2014-03-29 03:48:20.45075	75540	1117156.8588878058	4	2
2014-03-29 03:48:31.659306	75541	48	2	10
2014-03-29 03:48:31.90403	75542	21.2	1	10
2014-03-29 03:48:32.22552	75543	305	3	2
2014-03-29 03:48:32.447198	75544	1117158.0079225274	4	2
2014-03-29 03:48:42.042675	75545	45	2	8
2014-03-29 03:48:42.277374	75546	21.2	1	8
2014-03-29 03:48:44.228664	75547	305	3	2
2014-03-29 03:48:44.507067	75548	1117159.1569572487	4	2
2014-03-29 03:48:54.792606	75549	50	2	1
2014-03-29 03:48:55.024032	75550	20.7	1	1
2014-03-29 03:49:10.65864	75551	48	2	10
2014-03-29 03:49:10.883575	75552	21.2	1	10
2014-03-29 03:49:21.043862	75553	45	2	8
2014-03-29 03:49:21.278069	75554	21.2	1	8
2014-03-29 03:49:32.229992	75555	289	3	2
2014-03-29 03:49:32.452733	75556	1117163.7530961344	4	2
2014-03-29 03:49:33.795443	75557	50	2	1
2014-03-29 03:49:34.026576	75558	20.7	1	1
2014-03-29 03:49:49.65865	75559	48	2	10
2014-03-29 03:49:49.888535	75560	21.2	1	10
2014-03-29 03:50:00.043753	75561	45	2	8
2014-03-29 03:50:00.275103	75562	21.2	1	8
2014-03-29 03:50:12.791668	75563	50	2	1
2014-03-29 03:50:13.012925	75564	20.7	1	1
2014-03-29 03:50:20.225027	75565	338	3	2
2014-03-29 03:50:20.458881	75566	1117167.2002002986	4	2
2014-03-29 03:50:28.659675	75567	48	2	10
2014-03-29 03:50:28.883022	75568	21.2	1	10
2014-03-29 03:50:32.228998	75569	289	3	2
2014-03-29 03:50:32.462507	75570	1117168.34923502	4	2
2014-03-29 03:50:39.043473	75571	45	2	8
2014-03-29 03:50:39.26661	75572	21.2	1	8
2014-03-29 03:50:44.229057	75573	305	3	2
2014-03-29 03:50:44.520431	75574	1117169.4982697414	4	2
2014-03-29 03:50:51.790397	75575	50	2	1
2014-03-29 03:50:52.012387	75576	20.7	1	1
2014-03-29 03:51:07.661056	75577	48	2	10
2014-03-29 03:51:07.901947	75578	21.2	1	10
2014-03-29 03:51:18.044535	75579	45	2	8
2014-03-29 03:51:18.26726	75580	21.2	1	8
2014-03-29 03:51:30.794176	75581	50	2	1
2014-03-29 03:51:31.026323	75582	20.7	1	1
2014-03-29 03:51:32.227535	75583	289	3	2
2014-03-29 03:51:32.448125	75584	1117172.9453739058	4	2
2014-03-29 03:51:46.663643	75585	48	2	10
2014-03-29 03:51:46.89746	75586	21.2	1	10
2014-03-29 03:51:57.043213	75587	45	2	8
2014-03-29 03:51:57.267459	75588	21.2	1	8
2014-03-29 03:52:09.793389	75589	50	2	1
2014-03-29 03:52:10.03747	75590	20.7	1	1
2014-03-29 03:52:25.657649	75591	48	2	10
2014-03-29 03:52:25.882405	75592	21.2	1	10
2014-03-29 03:52:32.22693	75593	354	3	2
2014-03-29 03:52:32.458208	75594	1117178.6905475128	4	2
2014-03-29 03:52:36.043218	75595	45	2	8
2014-03-29 03:52:36.26641	75596	21.2	1	8
2014-03-29 03:52:44.226988	75597	402	3	2
2014-03-29 03:52:44.490034	75598	1117179.8395822342	4	2
2014-03-29 03:52:48.792853	75599	50	2	1
2014-03-29 03:52:49.015084	75600	20.7	1	1
2014-03-29 03:52:56.227734	75601	370	3	2
2014-03-29 03:52:56.459961	75602	1117180.9886169557	4	2
2014-03-29 03:53:04.661119	75603	47	2	10
2014-03-29 03:53:04.885447	75604	21.2	1	10
2014-03-29 03:53:08.225713	75605	370	3	2
2014-03-29 03:53:08.457639	75606	1117182.137651677	4	2
2014-03-29 03:53:15.045526	75607	45	2	8
2014-03-29 03:53:15.266798	75608	21.2	1	8
2014-03-29 03:53:27.789653	75609	50	2	1
2014-03-29 03:53:28.022227	75610	20.7	1	1
2014-03-29 03:53:32.225086	75611	370	3	2
2014-03-29 03:53:32.445627	75612	1117184.4357211199	4	2
2014-03-29 03:53:43.661974	75613	47	2	10
2014-03-29 03:53:43.894822	75614	21.2	1	10
2014-03-29 03:53:54.046047	75615	45	2	8
2014-03-29 03:53:54.268495	75616	21.2	1	8
2014-03-29 03:54:06.789194	75617	50	2	1
2014-03-29 03:54:07.020263	75618	20.7	1	1
2014-03-29 03:54:22.662698	75619	47	2	10
2014-03-29 03:54:22.888456	75620	21.2	1	10
2014-03-29 03:54:33.044253	75621	45	2	8
2014-03-29 03:54:33.277295	75622	21.2	1	8
2014-03-29 03:54:45.790532	75623	50	2	1
2014-03-29 03:54:46.011628	75624	20.7	1	1
2014-03-29 03:55:01.6598	75625	47	2	10
2014-03-29 03:55:01.892781	75626	21.2	1	10
2014-03-29 03:55:12.043563	75627	45	2	8
2014-03-29 03:55:12.265498	75628	21.2	1	8
2014-03-29 03:55:20.227859	75629	402	3	2
2014-03-29 03:55:20.462367	75630	1117195.9260683341	4	2
2014-03-29 03:55:24.789962	75631	50	2	1
2014-03-29 03:55:25.013451	75632	20.7	1	1
2014-03-29 03:55:32.228923	75633	370	3	2
2014-03-29 03:55:32.462622	75634	1117197.0751030555	4	2
2014-03-29 03:55:40.662485	75635	47	2	10
2014-03-29 03:55:40.886119	75636	21.3	1	10
2014-03-29 03:55:44.223878	75637	370	3	2
2014-03-29 03:55:44.469664	75638	1117198.2241377768	4	2
2014-03-29 03:55:51.044284	75639	45	2	8
2014-03-29 03:55:51.265966	75640	21.2	1	8
2014-03-29 03:55:56.228237	75641	402	3	2
2014-03-29 03:55:56.466182	75642	1117199.3731724983	4	2
2014-03-29 03:56:03.789685	75643	50	2	1
2014-03-29 03:56:04.013587	75644	20.7	1	1
2014-03-29 03:56:08.225019	75645	370	3	2
2014-03-29 03:56:08.457016	75646	1117200.5222072196	4	2
2014-03-29 03:56:19.661215	75647	47	2	10
2014-03-29 03:56:19.883757	75648	21.3	1	10
2014-03-29 03:56:20.227636	75649	402	3	2
2014-03-29 03:56:20.458532	75650	1117202.8202766625	4	2
2014-03-29 03:56:30.044595	75651	45	2	8
2014-03-29 03:56:30.266772	75652	21.2	1	8
2014-03-29 03:56:32.225445	75653	402	3	2
2014-03-29 03:56:32.45807	75654	1117203.969311384	4	2
2014-03-29 03:56:42.789176	75655	50	2	1
2014-03-29 03:56:43.011158	75656	20.7	1	1
2014-03-29 03:56:58.662873	75657	47	2	10
2014-03-29 03:56:58.894787	75658	21.3	1	10
2014-03-29 03:57:09.042873	75659	45	2	8
2014-03-29 03:57:09.265101	75660	21.2	1	8
2014-03-29 03:57:20.226811	75661	354	3	2
2014-03-29 03:57:20.458637	75662	1117208.5654502697	4	2
2014-03-29 03:57:21.791059	75663	50	2	1
2014-03-29 03:57:22.014414	75664	20.7	1	1
2014-03-29 03:57:32.226451	75665	338	3	2
2014-03-29 03:57:32.458789	75666	1117209.714484991	4	2
2014-03-29 03:57:37.663251	75667	47	2	10
2014-03-29 03:57:37.911754	75668	21.3	1	10
2014-03-29 03:57:48.044359	75669	45	2	8
2014-03-29 03:57:48.274797	75670	21.2	1	8
2014-03-29 03:58:00.790121	75671	50	2	1
2014-03-29 03:58:01.013609	75672	20.7	1	1
2014-03-29 03:58:16.661323	75673	47	2	10
2014-03-29 03:58:16.895401	75674	21.3	1	10
2014-03-29 03:58:27.044566	75675	45	2	8
2014-03-29 03:58:27.267169	75676	21.2	1	8
2014-03-29 03:58:32.227036	75677	354	3	2
2014-03-29 03:58:32.464178	75678	1117215.459658598	4	2
2014-03-29 03:58:39.788876	75679	50	2	1
2014-03-29 03:58:40.014287	75680	20.7	1	1
2014-03-29 03:58:55.662399	75681	47	2	10
2014-03-29 03:58:55.894246	75682	21.3	1	10
2014-03-29 03:58:56.232296	75683	418	3	2
2014-03-29 03:58:56.454614	75684	1117217.757728041	4	2
2014-03-29 03:59:06.045594	75685	45	2	8
2014-03-29 03:59:06.293158	75686	21.2	1	8
2014-03-29 03:59:08.224669	75687	402	3	2
2014-03-29 03:59:08.447463	75688	1117218.9067627625	4	2
2014-03-29 03:59:18.789277	75689	50	2	1
2014-03-29 03:59:19.021517	75690	20.7	1	1
2014-03-29 03:59:32.222617	75691	402	3	2
2014-03-29 03:59:32.444897	75692	1117222.3538669266	4	2
2014-03-29 03:59:34.660981	75693	47	2	10
2014-03-29 03:59:34.893818	75694	21.3	1	10
2014-03-29 03:59:45.044086	75695	45	2	8
2014-03-29 03:59:45.267688	75696	21.2	1	8
2014-03-29 03:59:57.788179	75697	50	2	1
2014-03-29 03:59:58.019824	75698	20.7	1	1
2014-03-29 04:00:13.661488	75699	47	2	10
2014-03-29 04:00:13.883598	75700	21.3	1	10
2014-03-29 04:00:24.044117	75701	45	2	8
2014-03-29 04:00:24.279032	75702	21.2	1	8
2014-03-29 04:00:32.225372	75703	402	3	2
2014-03-29 04:00:32.448826	75704	1117229.2480752552	4	2
2014-03-29 04:00:36.789728	75705	50	2	1
2014-03-29 04:00:37.019534	75706	20.7	1	1
2014-03-29 04:00:52.663119	75707	47	2	10
2014-03-29 04:00:52.884692	75708	21.3	1	10
2014-03-29 04:01:03.100379	75709	45	2	8
2014-03-29 04:01:03.333316	75710	21.2	1	8
2014-03-29 04:01:15.788988	75711	50	2	1
2014-03-29 04:01:16.010941	75712	20.7	1	1
2014-03-29 04:01:31.662324	75713	47	2	10
2014-03-29 04:01:31.894336	75714	21.3	1	10
2014-03-29 04:01:32.225436	75715	418	3	2
2014-03-29 04:01:32.446315	75716	1117236.1422835835	4	2
2014-03-29 04:01:42.04378	75717	45	2	8
2014-03-29 04:01:42.278424	75718	21.2	1	8
2014-03-29 04:01:54.787651	75719	50	2	1
2014-03-29 04:01:55.013497	75720	20.7	1	1
2014-03-29 04:02:10.665675	75721	47	2	10
2014-03-29 04:02:10.897646	75722	21.3	1	10
2014-03-29 04:02:21.044226	75723	45	2	8
2014-03-29 04:02:21.266507	75724	21.2	1	8
2014-03-29 04:02:32.226149	75725	402	3	2
2014-03-29 04:02:32.458173	75726	1117241.8919281429	4	2
2014-03-29 04:02:33.786727	75727	50	2	1
2014-03-29 04:02:34.006235	75728	20.7	1	1
2014-03-29 04:02:49.663125	75729	47	2	10
2014-03-29 04:02:49.897784	75730	21.3	1	10
2014-03-29 04:03:00.044744	75731	45	2	8
2014-03-29 04:03:00.266958	75732	21.2	1	8
2014-03-29 04:03:12.785321	75733	50	2	1
2014-03-29 04:03:13.028175	75734	20.7	1	1
2014-03-29 04:03:28.663685	75735	47	2	10
2014-03-29 04:03:28.888188	75736	21.3	1	10
2014-03-29 04:03:32.224297	75737	402	3	2
2014-03-29 04:03:32.45703	75738	1117247.63710175	4	2
2014-03-29 04:03:39.044187	75739	45	2	8
2014-03-29 04:03:39.266772	75740	21.2	1	8
2014-03-29 04:03:51.782997	75741	50	2	1
2014-03-29 04:03:52.016057	75742	20.7	1	1
2014-03-29 04:04:07.665899	75743	47	2	10
2014-03-29 04:04:07.888266	75744	21.3	1	10
2014-03-29 04:04:08.227779	75745	370	3	2
2014-03-29 04:04:08.459367	75746	1117252.2332406356	4	2
2014-03-29 04:04:18.045279	75747	45	2	8
2014-03-29 04:04:18.26786	75748	21.2	1	8
2014-03-29 04:04:20.225015	75749	450	3	2
2014-03-29 04:04:20.455186	75750	1117253.382275357	4	2
2014-03-29 04:04:30.786012	75751	50	2	1
2014-03-29 04:04:31.009897	75752	20.7	1	1
2014-03-29 04:04:32.226029	75753	450	3	2
2014-03-29 04:04:32.456917	75754	1117255.6803447998	4	2
2014-03-29 04:04:46.66491	75755	47	2	10
2014-03-29 04:04:46.891405	75756	21.3	1	10
2014-03-29 04:04:57.046896	75757	45	2	8
2014-03-29 04:04:57.281308	75758	21.2	1	8
2014-03-29 04:05:09.784408	75759	50	2	1
2014-03-29 04:05:10.005959	75760	20.7	1	1
2014-03-29 04:05:25.662862	75761	47	2	10
2014-03-29 04:05:25.893223	75762	21.3	1	10
2014-03-29 04:05:32.227363	75763	450	3	2
2014-03-29 04:05:32.451154	75764	1117262.5745531283	4	2
2014-03-29 04:05:36.046525	75765	45	2	8
2014-03-29 04:05:36.282482	75766	21.2	1	8
2014-03-29 04:05:48.782738	75767	50	2	1
2014-03-29 04:05:49.003673	75768	20.7	1	1
2014-03-29 04:06:04.664594	75769	47	2	10
2014-03-29 04:06:04.896138	75770	21.3	1	10
2014-03-29 04:06:15.043539	75771	45	2	8
2014-03-29 04:06:15.266365	75772	21.2	1	8
2014-03-29 04:06:27.785195	75773	50	2	1
2014-03-29 04:06:28.016211	75774	20.7	1	1
2014-03-29 04:06:32.223607	75775	434	3	2
2014-03-29 04:06:32.446441	75776	1117269.468761457	4	2
2014-03-29 04:06:43.664644	75777	47	2	10
2014-03-29 04:06:43.896823	75778	21.3	1	10
2014-03-29 04:06:54.043101	75779	45	2	8
2014-03-29 04:06:54.266427	75780	21.2	1	8
2014-03-29 04:07:06.784139	75781	50	2	1
2014-03-29 04:07:07.026497	75782	20.7	1	1
2014-03-29 04:07:22.666488	75783	47	2	10
2014-03-29 04:07:22.886985	75784	21.3	1	10
2014-03-29 04:07:33.04335	75785	45	2	8
2014-03-29 04:07:33.276398	75786	21.2	1	8
2014-03-29 04:07:45.783725	75787	50	2	1
2014-03-29 04:07:46.006665	75788	20.6	1	1
2014-03-29 04:08:01.666275	75789	47	2	10
2014-03-29 04:08:01.89928	75790	21.3	1	10
2014-03-29 04:08:12.045753	75791	45	2	8
2014-03-29 04:08:12.267943	75792	21.2	1	8
2014-03-29 04:08:24.784934	75793	50	2	1
2014-03-29 04:08:25.016507	75794	20.6	1	1
2014-03-29 04:08:40.466621	75795	434	3	2
2014-03-29 04:08:40.69013	75796	1117284.4062128353	4	2
2014-03-29 04:08:40.995832	75797	47	2	10
2014-03-29 04:08:41.226628	75798	21.3	1	10
2014-03-29 04:08:51.043581	75799	45	2	8
2014-03-29 04:08:51.266497	75800	21.2	1	8
2014-03-29 04:09:03.779651	75801	50	2	1
2014-03-29 04:09:04.013473	75802	20.6	1	1
2014-03-29 04:09:19.666495	75803	47	2	10
2014-03-29 04:09:19.889326	75804	21.3	1	10
2014-03-29 04:09:20.227832	75805	402	3	2
2014-03-29 04:09:20.458002	75806	1117290.1513864424	4	2
2014-03-29 04:09:30.044654	75807	45	2	8
2014-03-29 04:09:30.266721	75808	21.2	1	8
2014-03-29 04:09:32.223911	75809	402	3	2
2014-03-29 04:09:32.454808	75810	1117291.3004211637	4	2
2014-03-29 04:09:42.781492	75811	50	2	1
2014-03-29 04:09:43.006287	75812	20.6	1	1
2014-03-29 04:09:44.22485	75813	370	3	2
2014-03-29 04:09:44.457264	75814	1117292.4494558852	4	2
2014-03-29 04:09:56.224581	75815	402	3	2
2014-03-29 04:09:56.447603	75816	1117293.5984906065	4	2
2014-03-29 04:09:58.666616	75817	47	2	10
2014-03-29 04:09:58.89848	75818	21.3	1	10
2014-03-29 04:10:09.046506	75819	45	2	8
2014-03-29 04:10:09.271182	75820	21.2	1	8
2014-03-29 04:10:21.78268	75821	50	2	1
2014-03-29 04:10:22.015722	75822	20.6	1	1
2014-03-29 04:10:32.229707	75823	402	3	2
2014-03-29 04:10:32.452758	75824	1117298.1946294922	4	2
2014-03-29 04:10:37.664997	75825	47	2	10
2014-03-29 04:10:37.90447	75826	21.3	1	10
2014-03-29 04:10:48.044093	75827	45	2	8
2014-03-29 04:10:48.267927	75828	21.2	1	8
2014-03-29 04:11:00.777737	75829	50	2	1
2014-03-29 04:11:01.021896	75830	20.6	1	1
2014-03-29 04:11:16.667912	75831	47	2	10
2014-03-29 04:11:16.889799	75832	21.3	1	10
2014-03-29 04:11:27.042199	75833	45	2	8
2014-03-29 04:11:27.273812	75834	21.2	1	8
2014-03-29 04:11:32.223795	75835	402	3	2
2014-03-29 04:11:32.453079	75836	1117305.0888378208	4	2
2014-03-29 04:11:39.778935	75837	50	2	1
2014-03-29 04:11:40.009753	75838	20.6	1	1
2014-03-29 04:11:55.664615	75839	47	2	10
2014-03-29 04:11:55.887258	75840	21.3	1	10
2014-03-29 04:12:06.043965	75841	45	2	8
2014-03-29 04:12:06.276388	75842	21.2	1	8
2014-03-29 04:12:18.78208	75843	50	2	1
2014-03-29 04:12:19.004209	75844	20.6	1	1
2014-03-29 04:12:32.225916	75845	402	3	2
2014-03-29 04:12:32.456685	75846	1117311.9830461491	4	2
2014-03-29 04:12:34.666363	75847	47	2	10
2014-03-29 04:12:34.889107	75848	21.3	1	10
2014-03-29 04:12:45.043456	75849	45	2	8
2014-03-29 04:12:45.275219	75850	21.2	1	8
2014-03-29 04:12:57.77907	75851	50	2	1
2014-03-29 04:12:58.003171	75852	20.6	1	1
2014-03-29 04:13:13.666209	75853	47	2	10
2014-03-29 04:13:13.900926	75854	21.3	1	10
2014-03-29 04:13:24.043405	75855	45	2	8
2014-03-29 04:13:24.266648	75856	21.2	1	8
2014-03-29 04:13:32.22544	75857	338	3	2
2014-03-29 04:13:32.458567	75858	1117317.7282197562	4	2
2014-03-29 04:13:36.782708	75859	50	2	1
2014-03-29 04:13:37.005932	75860	20.6	1	1
2014-03-29 04:13:44.223455	75861	338	3	2
2014-03-29 04:13:44.455633	75862	1117318.8772544777	4	2
2014-03-29 04:13:52.66722	75863	47	2	10
2014-03-29 04:13:52.892309	75864	21.3	1	10
2014-03-29 04:14:03.043815	75865	45	2	8
2014-03-29 04:14:03.331812	75866	21.2	1	8
2014-03-29 04:14:15.782797	75867	50	2	1
2014-03-29 04:14:16.00646	75868	20.6	1	1
2014-03-29 04:14:31.665369	75869	47	2	10
2014-03-29 04:14:31.899747	75870	21.3	1	10
2014-03-29 04:14:32.225257	75871	338	3	2
2014-03-29 04:14:32.446503	75872	1117323.4733933634	4	2
2014-03-29 04:14:42.043763	75873	45	2	8
2014-03-29 04:14:42.274808	75874	21.2	1	8
2014-03-29 04:14:44.225777	75875	305	3	2
2014-03-29 04:14:44.446667	75876	1117324.6224280847	4	2
2014-03-29 04:14:54.777335	75877	50	2	1
2014-03-29 04:14:55.02142	75878	20.6	1	1
2014-03-29 04:14:56.223049	75879	338	3	2
2014-03-29 04:14:56.444958	75880	1117325.7714628063	4	2
2014-03-29 04:15:08.224938	75881	338	3	2
2014-03-29 04:15:08.483799	75882	1117326.9204975276	4	2
2014-03-29 04:15:10.665223	75883	47	2	10
2014-03-29 04:15:10.887043	75884	21.3	1	10
2014-03-29 04:15:21.044579	75885	45	2	8
2014-03-29 04:15:21.277102	75886	21.2	1	8
2014-03-29 04:15:32.225406	75887	338	3	2
2014-03-29 04:15:32.449928	75888	1117329.2185669704	4	2
2014-03-29 04:15:33.775041	75889	50	2	1
2014-03-29 04:15:34.006723	75890	20.6	1	1
2014-03-29 04:15:49.666949	75891	47	2	10
2014-03-29 04:15:49.892363	75892	21.3	1	10
2014-03-29 04:16:00.042802	75893	45	2	8
2014-03-29 04:16:00.278972	75894	21.2	1	8
2014-03-29 04:16:12.778283	75895	50	2	1
2014-03-29 04:16:13.000039	75896	20.6	1	1
2014-03-29 04:16:28.665725	75897	47	2	10
2014-03-29 04:16:28.897132	75898	21.3	1	10
2014-03-29 04:16:32.223171	75899	370	3	2
2014-03-29 04:16:32.447203	75900	1117334.9637405775	4	2
2014-03-29 04:16:39.043849	75901	45	2	8
2014-03-29 04:16:39.276305	75902	21.2	1	8
2014-03-29 04:16:44.225571	75903	370	3	2
2014-03-29 04:16:44.454491	75904	1117336.112775299	4	2
2014-03-29 04:16:51.775231	75905	50	2	1
2014-03-29 04:16:52.007996	75906	20.6	1	1
2014-03-29 04:17:07.669661	75907	47	2	10
2014-03-29 04:17:07.892969	75908	21.3	1	10
2014-03-29 04:17:18.04293	75909	45	2	8
2014-03-29 04:17:18.274707	75910	21.2	1	8
2014-03-29 04:17:30.777672	75911	50	2	1
2014-03-29 04:17:30.999364	75912	20.6	1	1
2014-03-29 04:17:32.226314	75913	370	3	2
2014-03-29 04:17:32.459022	75914	1117340.7089141845	4	2
2014-03-29 04:17:46.668257	75915	47	2	10
2014-03-29 04:17:46.892451	75916	21.3	1	10
2014-03-29 04:17:57.042696	75917	45	2	8
2014-03-29 04:17:57.274011	75918	21.2	1	8
2014-03-29 04:18:09.773593	75919	50	2	1
2014-03-29 04:18:09.996347	75920	20.6	1	1
2014-03-29 04:18:25.673232	75921	47	2	10
2014-03-29 04:18:25.90434	75922	21.3	1	10
2014-03-29 04:18:32.224516	75923	370	3	2
2014-03-29 04:18:32.446146	75924	1117347.603122513	4	2
2014-03-29 04:18:36.041854	75925	45	2	8
2014-03-29 04:18:36.284393	75926	21.2	1	8
2014-03-29 04:18:48.77505	75927	50	2	1
2014-03-29 04:18:48.996922	75928	20.6	1	1
2014-03-29 04:19:04.667825	75929	47	2	10
2014-03-29 04:19:04.904134	75930	21.3	1	10
2014-03-29 04:19:15.04155	75931	45	2	8
2014-03-29 04:19:15.26345	75932	21.2	1	8
2014-03-29 04:19:27.774222	75933	50	2	1
2014-03-29 04:19:28.00756	75934	20.6	1	1
2014-03-29 04:19:32.223004	75935	370	3	2
2014-03-29 04:19:32.44432	75936	1117353.34829612	4	2
2014-03-29 04:19:43.6681	75937	47	2	10
2014-03-29 04:19:43.901689	75938	21.3	1	10
2014-03-29 04:19:54.042433	75939	45	2	8
2014-03-29 04:19:54.265722	75940	21.1	1	8
2014-03-29 04:20:06.775996	75941	50	2	1
2014-03-29 04:20:07.008479	75942	20.6	1	1
2014-03-29 04:20:22.669624	75943	47	2	10
2014-03-29 04:20:22.891113	75944	21.3	1	10
2014-03-29 04:20:33.043936	75945	45	2	8
2014-03-29 04:20:33.276108	75946	21.1	1	8
2014-03-29 04:20:45.83015	75947	50	2	1
2014-03-29 04:20:46.054079	75948	20.6	1	1
2014-03-29 04:21:01.666998	75949	47	2	10
2014-03-29 04:21:01.898608	75950	21.3	1	10
2014-03-29 04:21:08.225902	75951	402	3	2
2014-03-29 04:21:08.447178	75952	1117363.6896086128	4	2
2014-03-29 04:21:12.042025	75953	45	2	8
2014-03-29 04:21:12.275143	75954	21.1	1	8
2014-03-29 04:21:20.228505	75955	370	3	2
2014-03-29 04:21:20.450971	75956	1117364.8386433343	4	2
2014-03-29 04:21:24.775716	75957	50	2	1
2014-03-29 04:21:25.006236	75958	20.6	1	1
2014-03-29 04:21:32.227198	75959	370	3	2
2014-03-29 04:21:32.449182	75960	1117365.9876780557	4	2
2014-03-29 04:21:40.668226	75961	47	2	10
2014-03-29 04:21:40.900793	75962	21.3	1	10
2014-03-29 04:21:44.226321	75963	338	3	2
2014-03-29 04:21:44.447457	75964	1117367.1367127772	4	2
2014-03-29 04:21:51.042737	75965	45	2	8
2014-03-29 04:21:51.276688	75966	21.1	1	8
2014-03-29 04:21:56.222903	75967	338	3	2
2014-03-29 04:21:56.451273	75968	1117368.2857474985	4	2
2014-03-29 04:22:03.772311	75969	50	2	1
2014-03-29 04:22:04.003677	75970	20.6	1	1
2014-03-29 04:22:19.669854	75971	47	2	10
2014-03-29 04:22:19.892811	75972	21.3	1	10
2014-03-29 04:22:30.042465	75973	45	2	8
2014-03-29 04:22:30.285215	75974	21.1	1	8
2014-03-29 04:22:32.224214	75975	338	3	2
2014-03-29 04:22:32.446817	75976	1117371.7328516627	4	2
2014-03-29 04:22:42.774175	75977	50	2	1
2014-03-29 04:22:43.00977	75978	20.6	1	1
2014-03-29 04:22:58.669543	75979	47	2	10
2014-03-29 04:22:58.893196	75980	21.3	1	10
2014-03-29 04:23:09.043342	75981	45	2	8
2014-03-29 04:23:09.275398	75982	21.1	1	8
2014-03-29 04:23:21.772	75983	50	2	1
2014-03-29 04:23:21.99467	75984	20.6	1	1
2014-03-29 04:23:32.222272	75985	338	3	2
2014-03-29 04:23:32.455139	75986	1117377.47802527	4	2
2014-03-29 04:23:37.670937	75987	47	2	10
2014-03-29 04:23:37.917637	75988	21.3	1	10
2014-03-29 04:23:48.042415	75989	45	2	8
2014-03-29 04:23:48.274516	75990	21.1	1	8
2014-03-29 04:24:00.771529	75991	50	2	1
2014-03-29 04:24:00.994152	75992	20.6	1	1
2014-03-29 04:24:16.66831	75993	47	2	10
2014-03-29 04:24:16.90336	75994	21.3	1	10
2014-03-29 04:24:27.043531	75995	45	2	8
2014-03-29 04:24:27.265634	75996	21.1	1	8
2014-03-29 04:24:32.228703	75997	338	3	2
2014-03-29 04:24:32.464779	75998	1117383.223198877	4	2
2014-03-29 04:24:39.77375	75999	50	2	1
2014-03-29 04:24:39.996987	76000	20.6	1	1
2014-03-29 04:24:55.671042	76001	47	2	10
2014-03-29 04:24:55.904117	76002	21.3	1	10
2014-03-29 04:25:06.04252	76003	45	2	8
2014-03-29 04:25:06.264599	76004	21.1	1	8
2014-03-29 04:25:18.773025	76005	50	2	1
2014-03-29 04:25:19.006906	76006	20.6	1	1
2014-03-29 04:25:32.225149	76007	338	3	2
2014-03-29 04:25:32.447128	76008	1117388.968372484	4	2
2014-03-29 04:25:34.668671	76009	47	2	10
2014-03-29 04:25:34.899708	76010	21.3	1	10
2014-03-29 04:25:45.045177	76011	45	2	8
2014-03-29 04:25:45.266459	76012	21.1	1	8
2014-03-29 04:25:57.773345	76013	50	2	1
2014-03-29 04:25:58.006281	76014	20.6	1	1
2014-03-29 04:26:13.670627	76015	47	2	10
2014-03-29 04:26:13.893344	76016	21.3	1	10
2014-03-29 04:26:24.04319	76017	45	2	8
2014-03-29 04:26:24.276633	76018	21.1	1	8
2014-03-29 04:26:32.226326	76019	338	3	2
2014-03-29 04:26:32.447978	76020	1117394.713546091	4	2
2014-03-29 04:26:36.77304	76021	50	2	1
2014-03-29 04:26:37.017457	76022	20.6	1	1
2014-03-29 04:26:52.670128	76023	47	2	10
2014-03-29 04:26:52.893952	76024	21.3	1	10
2014-03-29 04:27:03.042274	76025	45	2	8
2014-03-29 04:27:03.507565	76026	21.1	1	8
2014-03-29 04:27:15.771792	76027	50	2	1
2014-03-29 04:27:15.994089	76028	20.6	1	1
2014-03-29 04:27:31.668406	76029	47	2	10
2014-03-29 04:27:31.891288	76030	21.3	1	10
2014-03-29 04:27:32.22393	76031	338	3	2
2014-03-29 04:27:32.456486	76032	1117399.3096849767	4	2
2014-03-29 04:27:42.042431	76033	45	2	8
2014-03-29 04:27:42.266314	76034	21.1	1	8
2014-03-29 04:27:54.77001	76035	50	2	1
2014-03-29 04:27:55.002873	76036	20.6	1	1
2014-03-29 04:28:10.669165	76037	47	2	10
2014-03-29 04:28:10.891997	76038	21.3	1	10
2014-03-29 04:28:21.043161	76039	45	2	8
2014-03-29 04:28:21.274542	76040	21.1	1	8
2014-03-29 04:28:32.223774	76041	338	3	2
2014-03-29 04:28:32.444961	76042	1117405.0548585837	4	2
2014-03-29 04:28:33.771433	76043	50	2	1
2014-03-29 04:28:34.00419	76044	20.6	1	1
2014-03-29 04:28:49.672212	76045	47	2	10
2014-03-29 04:28:49.89415	76046	21.3	1	10
2014-03-29 04:29:00.042653	76047	45	2	8
2014-03-29 04:29:00.274959	76048	21.1	1	8
2014-03-29 04:29:08.221355	76049	370	3	2
2014-03-29 04:29:08.443982	76050	1117408.5019627481	4	2
2014-03-29 04:29:12.768847	76051	50	2	1
2014-03-29 04:29:12.998816	76052	20.6	1	1
2014-03-29 04:29:20.225894	76053	370	3	2
2014-03-29 04:29:20.447178	76054	1117409.6509974694	4	2
2014-03-29 04:29:28.674229	76055	47	2	10
2014-03-29 04:29:28.906786	76056	21.3	1	10
2014-03-29 04:29:32.223132	76057	370	3	2
2014-03-29 04:29:32.443453	76058	1117411.9490669123	4	2
2014-03-29 04:29:39.043409	76059	45	2	8
2014-03-29 04:29:39.274931	76060	21.1	1	8
2014-03-29 04:29:51.768216	76061	50	2	1
2014-03-29 04:29:51.995584	76062	20.6	1	1
2014-03-29 04:30:07.670195	76063	47	2	10
2014-03-29 04:30:07.903247	76064	21.3	1	10
2014-03-29 04:30:18.043093	76065	45	2	8
2014-03-29 04:30:18.266904	76066	21.1	1	8
2014-03-29 04:30:20.224011	76067	402	3	2
2014-03-29 04:30:20.453495	76068	1117416.545205798	4	2
2014-03-29 04:30:30.769759	76069	50	2	1
2014-03-29 04:30:30.993191	76070	20.6	1	1
2014-03-29 04:30:32.222248	76071	402	3	2
2014-03-29 04:30:32.464499	76072	1117417.6942405193	4	2
2014-03-29 04:30:44.224128	76073	370	3	2
2014-03-29 04:30:44.445722	76074	1117418.8432752409	4	2
2014-03-29 04:30:46.671206	76075	47	2	10
2014-03-29 04:30:46.903336	76076	21.3	1	10
2014-03-29 04:30:57.044194	76077	45	2	8
2014-03-29 04:30:57.264617	76078	21.1	1	8
2014-03-29 04:31:08.223579	76079	402	3	2
2014-03-29 04:31:08.454789	76080	1117421.1413446837	4	2
2014-03-29 04:31:09.767707	76081	50	2	1
2014-03-29 04:31:09.991194	76082	20.6	1	1
2014-03-29 04:31:20.222856	76083	370	3	2
2014-03-29 04:31:20.454122	76084	1117423.4394141263	4	2
2014-03-29 04:31:25.671195	76085	47	2	10
2014-03-29 04:31:25.896366	76086	21.3	1	10
2014-03-29 04:31:32.223514	76087	370	3	2
2014-03-29 04:31:32.453398	76088	1117424.5884488479	4	2
2014-03-29 04:31:36.044277	76089	45	2	8
2014-03-29 04:31:36.268614	76090	21.1	1	8
2014-03-29 04:31:48.766222	76091	50	2	1
2014-03-29 04:31:48.998011	76092	20.6	1	1
2014-03-29 04:31:56.225742	76093	370	3	2
2014-03-29 04:31:56.447016	76094	1117426.8865182907	4	2
2014-03-29 04:32:04.67208	76095	47	2	10
2014-03-29 04:32:04.903875	76096	21.3	1	10
2014-03-29 04:32:08.224474	76097	370	3	2
2014-03-29 04:32:08.445578	76098	1117428.035553012	4	2
2014-03-29 04:32:15.042381	76099	45	2	8
2014-03-29 04:32:15.279375	76100	21.1	1	8
2014-03-29 04:32:27.767458	76101	50	2	1
2014-03-29 04:32:27.987972	76102	20.6	1	1
2014-03-29 04:32:32.223628	76103	370	3	2
2014-03-29 04:32:32.454022	76104	1117430.333622455	4	2
2014-03-29 04:32:43.671286	76105	47	2	10
2014-03-29 04:32:43.896036	76106	21.3	1	10
2014-03-29 04:32:54.042285	76107	45	2	8
2014-03-29 04:32:54.275941	76108	21.1	1	8
2014-03-29 04:33:06.764578	76109	50	2	1
2014-03-29 04:33:06.987897	76110	20.6	1	1
2014-03-29 04:33:20.221679	76111	402	3	2
2014-03-29 04:33:20.455266	76112	1117434.9297613406	4	2
2014-03-29 04:33:22.674001	76113	47	2	10
2014-03-29 04:33:22.897229	76114	21.3	1	10
2014-03-29 04:33:33.043221	76115	45	2	8
2014-03-29 04:33:33.274062	76116	21.1	1	8
2014-03-29 04:33:44.224932	76117	370	3	2
2014-03-29 04:33:44.447422	76118	1117438.3768655048	4	2
2014-03-29 04:33:45.76948	76119	50	2	1
2014-03-29 04:33:46.012631	76120	20.6	1	1
2014-03-29 04:33:56.222477	76121	338	3	2
2014-03-29 04:33:56.443423	76122	1117439.5259002263	4	2
2014-03-29 04:34:01.674538	76123	47	2	10
2014-03-29 04:34:01.906115	76124	21.3	1	10
2014-03-29 04:34:08.224824	76125	338	3	2
2014-03-29 04:34:08.446334	76126	1117440.6749349476	4	2
2014-03-29 04:34:12.044085	76127	45	2	8
2014-03-29 04:34:12.278032	76128	21.1	1	8
2014-03-29 04:34:24.769258	76129	50	2	1
2014-03-29 04:34:24.991319	76130	20.6	1	1
2014-03-29 04:34:32.221621	76131	338	3	2
2014-03-29 04:34:32.452952	76132	1117442.9730043905	4	2
2014-03-29 04:34:40.674013	76133	47	2	10
2014-03-29 04:34:40.896647	76134	21.3	1	10
2014-03-29 04:34:51.042392	76135	45	2	8
2014-03-29 04:34:51.309507	76136	21.1	1	8
2014-03-29 04:35:03.790626	76137	50	2	1
2014-03-29 04:35:04.048103	76138	20.6	1	1
2014-03-29 04:35:19.674578	76139	47	2	10
2014-03-29 04:35:19.96267	76140	21.3	1	10
2014-03-29 04:35:30.042905	76141	45	2	8
2014-03-29 04:35:30.299137	76142	21.1	1	8
2014-03-29 04:35:32.223784	76143	338	3	2
2014-03-29 04:35:32.47639	76144	1117447.5691432762	4	2
2014-03-29 04:35:42.766336	76145	50	2	1
2014-03-29 04:35:43.024515	76146	20.6	1	1
2014-03-29 04:35:58.672491	76147	47	2	10
2014-03-29 04:35:58.93745	76148	21.3	1	10
2014-03-29 04:36:09.043159	76149	45	2	8
2014-03-29 04:36:09.264474	76150	21.1	1	8
2014-03-29 04:36:21.765061	76151	50	2	1
2014-03-29 04:36:21.997701	76152	20.6	1	1
2014-03-29 04:36:32.224987	76153	338	3	2
2014-03-29 04:36:32.447346	76154	1117453.3143168832	4	2
2014-03-29 04:36:37.674037	76155	47	2	10
2014-03-29 04:36:37.912567	76156	21.4	1	10
2014-03-29 04:36:48.042668	76157	45	2	8
2014-03-29 04:36:48.26536	76158	21.1	1	8
2014-03-29 04:37:00.764289	76159	50	2	1
2014-03-29 04:37:00.996082	76160	20.6	1	1
2014-03-29 04:37:16.670901	76161	47	2	10
2014-03-29 04:37:16.892892	76162	21.4	1	10
2014-03-29 04:37:27.042314	76163	45	2	8
2014-03-29 04:37:27.274419	76164	21.1	1	8
2014-03-29 04:37:32.223003	76165	338	3	2
2014-03-29 04:37:32.448967	76166	1117459.0594904902	4	2
2014-03-29 04:37:39.764678	76167	50	2	1
2014-03-29 04:37:40.010109	76168	20.6	1	1
2014-03-29 04:37:55.672618	76169	47	2	10
2014-03-29 04:37:55.893338	76170	21.4	1	10
2014-03-29 04:38:06.042211	76171	45	2	8
2014-03-29 04:38:06.273286	76172	21.1	1	8
2014-03-29 04:38:19.003829	76173	50	2	1
2014-03-29 04:38:19.224825	76174	20.6	1	1
2014-03-29 04:38:32.224893	76175	354	3	2
2014-03-29 04:38:32.457928	76176	1117464.8046640973	4	2
2014-03-29 04:38:34.674215	76177	47	2	10
2014-03-29 04:38:34.895907	76178	21.3	1	10
2014-03-29 04:38:45.042491	76179	45	2	8
2014-03-29 04:38:45.273661	76180	21.1	1	8
2014-03-29 04:38:57.764744	76181	50	2	1
2014-03-29 04:38:57.986945	76182	20.6	1	1
2014-03-29 04:39:13.674337	76183	47	2	10
2014-03-29 04:39:13.906366	76184	21.3	1	10
2014-03-29 04:39:24.042703	76185	45	2	8
2014-03-29 04:39:24.264052	76186	21.1	1	8
2014-03-29 04:39:32.221821	76187	338	3	2
2014-03-29 04:39:32.452166	76188	1117470.5498377045	4	2
2014-03-29 04:39:36.761621	76189	50	2	1
2014-03-29 04:39:36.980887	76190	20.6	1	1
2014-03-29 04:39:52.677176	76191	47	2	10
2014-03-29 04:39:52.910052	76192	21.3	1	10
2014-03-29 04:40:03.041592	76193	45	2	8
2014-03-29 04:40:03.263865	76194	21.1	1	8
2014-03-29 04:40:15.767306	76195	50	2	1
2014-03-29 04:40:15.999161	76196	20.6	1	1
2014-03-29 04:40:31.671008	76197	47	2	10
2014-03-29 04:40:31.896253	76198	21.3	1	10
2014-03-29 04:40:32.221547	76199	338	3	2
2014-03-29 04:40:32.453326	76200	1117476.2950113115	4	2
2014-03-29 04:40:42.041402	76201	45	2	8
2014-03-29 04:40:42.263552	76202	21.1	1	8
2014-03-29 04:40:54.764101	76203	50	2	1
2014-03-29 04:40:54.998799	76204	20.6	1	1
2014-03-29 04:41:08.223134	76205	370	3	2
2014-03-29 04:41:08.444416	76206	1117479.7421154757	4	2
2014-03-29 04:41:10.682922	76207	47	2	10
2014-03-29 04:41:10.916665	76208	21.3	1	10
2014-03-29 04:41:21.041896	76209	45	2	8
2014-03-29 04:41:21.263366	76210	21.1	1	8
2014-03-29 04:41:32.220408	76211	370	3	2
2014-03-29 04:41:32.453251	76212	1117482.0401849186	4	2
2014-03-29 04:41:33.762385	76213	50	2	1
2014-03-29 04:41:33.986803	76214	20.6	1	1
2014-03-29 04:41:49.674393	76215	47	2	10
2014-03-29 04:41:49.917598	76216	21.3	1	10
2014-03-29 04:42:00.043375	76217	45	2	8
2014-03-29 04:42:00.265882	76218	21.1	1	8
2014-03-29 04:42:08.221473	76219	402	3	2
2014-03-29 04:42:08.451363	76220	1117486.6363238043	4	2
2014-03-29 04:42:12.760761	76221	50	2	1
2014-03-29 04:42:12.981632	76222	20.6	1	1
2014-03-29 04:42:20.223478	76223	370	3	2
2014-03-29 04:42:20.458229	76224	1117487.7853585256	4	2
2014-03-29 04:42:28.676284	76225	47	2	10
2014-03-29 04:42:28.897809	76226	21.3	1	10
2014-03-29 04:42:32.224585	76227	370	3	2
2014-03-29 04:42:32.454464	76228	1117488.9343932471	4	2
2014-03-29 04:42:39.042364	76229	45	2	8
2014-03-29 04:42:39.269312	76230	21.1	1	8
2014-03-29 04:42:51.76117	76231	50	2	1
2014-03-29 04:42:51.998232	76232	20.6	1	1
2014-03-29 04:43:07.674754	76233	47	2	10
2014-03-29 04:43:07.896958	76234	21.3	1	10
2014-03-29 04:43:18.041753	76235	45	2	8
2014-03-29 04:43:18.275559	76236	21.1	1	8
2014-03-29 04:43:30.76318	76237	50	2	1
2014-03-29 04:43:30.985602	76238	20.6	1	1
2014-03-29 04:43:32.222688	76239	370	3	2
2014-03-29 04:43:32.455007	76240	1117494.6795668541	4	2
2014-03-29 04:43:46.674454	76241	47	2	10
2014-03-29 04:43:46.953478	76242	21.3	1	10
2014-03-29 04:43:57.041407	76243	45	2	8
2014-03-29 04:43:57.271854	76244	21.1	1	8
2014-03-29 04:44:08.223142	76245	402	3	2
2014-03-29 04:44:08.445986	76246	1117499.2757057399	4	2
2014-03-29 04:44:09.762755	76247	50	2	1
2014-03-29 04:44:09.993211	76248	20.6	1	1
2014-03-29 04:44:20.221386	76249	370	3	2
2014-03-29 04:44:20.44412	76250	1117500.4247404612	4	2
2014-03-29 04:44:25.674932	76251	47	2	10
2014-03-29 04:44:25.911372	76252	21.3	1	10
2014-03-29 04:44:32.222347	76253	402	3	2
2014-03-29 04:44:32.443916	76254	1117501.5737751827	4	2
2014-03-29 04:44:36.042387	76255	45	2	8
2014-03-29 04:44:36.27255	76256	21.1	1	8
2014-03-29 04:44:44.222625	76257	370	3	2
2014-03-29 04:44:44.446927	76258	1117502.722809904	4	2
2014-03-29 04:44:48.760732	76259	50	2	1
2014-03-29 04:44:48.991804	76260	20.6	1	1
2014-03-29 04:44:56.219559	76261	370	3	2
2014-03-29 04:44:56.442926	76262	1117503.8718446256	4	2
2014-03-29 04:45:04.678273	76263	47	2	10
2014-03-29 04:45:04.921303	76264	21.3	1	10
2014-03-29 04:45:15.04239	76265	45	2	8
2014-03-29 04:45:15.263369	76266	21.1	1	8
2014-03-29 04:45:20.222128	76267	402	3	2
2014-03-29 04:45:20.456518	76268	1117506.1699140684	4	2
2014-03-29 04:45:27.76388	76269	50	2	1
2014-03-29 04:45:27.986088	76270	20.5	1	1
2014-03-29 04:45:32.223909	76271	402	3	2
2014-03-29 04:45:32.456151	76272	1117507.3189487897	4	2
2014-03-29 04:45:43.673072	76273	47	2	10
2014-03-29 04:45:43.898119	76274	21.3	1	10
2014-03-29 04:45:54.04166	76275	45	2	8
2014-03-29 04:45:54.272998	76276	21.1	1	8
2014-03-29 04:45:56.221318	76277	370	3	2
2014-03-29 04:45:56.44252	76278	1117509.6170182326	4	2
2014-03-29 04:46:06.759287	76279	50	2	1
2014-03-29 04:46:06.993215	76280	20.5	1	1
2014-03-29 04:46:08.221604	76281	370	3	2
2014-03-29 04:46:08.442061	76282	1117510.766052954	4	2
2014-03-29 04:46:20.219635	76283	402	3	2
2014-03-29 04:46:20.451242	76284	1117513.0641223968	4	2
2014-03-29 04:46:22.675554	76285	47	2	10
2014-03-29 04:46:22.900034	76286	21.3	1	10
2014-03-29 04:46:33.040775	76287	45	2	8
2014-03-29 04:46:33.272527	76288	21.1	1	8
2014-03-29 04:46:44.222435	76289	370	3	2
2014-03-29 04:46:44.444087	76290	1117515.3621918396	4	2
2014-03-29 04:46:45.763393	76291	50	2	1
2014-03-29 04:46:45.995458	76292	20.5	1	1
2014-03-29 04:46:56.221226	76293	402	3	2
2014-03-29 04:46:56.452691	76294	1117516.5112265612	4	2
2014-03-29 04:47:01.678103	76295	47	2	10
2014-03-29 04:47:01.915775	76296	21.3	1	10
2014-03-29 04:47:08.221553	76297	370	3	2
2014-03-29 04:47:08.443102	76298	1117517.6602612825	4	2
2014-03-29 04:47:12.043069	76299	45	2	8
2014-03-29 04:47:12.273789	76300	21.1	1	8
2014-03-29 04:47:20.222195	76301	370	3	2
2014-03-29 04:47:20.443631	76302	1117518.8092960038	4	2
2014-03-29 04:47:24.758313	76303	50	2	1
2014-03-29 04:47:24.989385	76304	20.5	1	1
2014-03-29 04:47:32.221606	76305	402	3	2
2014-03-29 04:47:32.44635	76306	1117519.9583307253	4	2
2014-03-29 04:47:40.678077	76307	47	2	10
2014-03-29 04:47:40.912925	76308	21.3	1	10
2014-03-29 04:47:49.748483	76309	370	3	2
2014-03-29 04:47:49.97038	76310	1117521.1073654466	4	2
2014-03-29 04:47:51.042985	76311	45	2	8
2014-03-29 04:47:51.286338	76312	21.1	1	8
2014-03-29 04:47:56.223816	76313	402	3	2
2014-03-29 04:47:56.464305	76314	1117523.4054348895	4	2
2014-03-29 04:48:03.760893	76315	50	2	1
2014-03-29 04:48:04.049555	76316	20.5	1	1
2014-03-29 04:48:08.223541	76317	402	3	2
2014-03-29 04:48:08.444792	76318	1117524.554469611	4	2
2014-03-29 04:48:19.677804	76319	47	2	10
2014-03-29 04:48:19.91091	76320	21.3	1	10
2014-03-29 04:48:20.225067	76321	370	3	2
2014-03-29 04:48:20.448605	76322	1117525.7035043323	4	2
2014-03-29 04:48:30.043163	76323	45	2	8
2014-03-29 04:48:30.277237	76324	21.1	1	8
2014-03-29 04:48:32.222848	76325	370	3	2
2014-03-29 04:48:32.445157	76326	1117526.852539054	4	2
2014-03-29 04:48:42.759889	76327	50	2	1
2014-03-29 04:48:42.993383	76328	20.5	1	1
2014-03-29 04:48:58.677817	76329	47	2	10
2014-03-29 04:48:58.90043	76330	21.3	1	10
2014-03-29 04:49:07.925821	76331	50	2	9
2014-03-29 04:49:08.156075	76332	20.2	1	9
2014-03-29 04:49:09.045568	76333	45	2	8
2014-03-29 04:49:09.267551	76334	21.1	1	8
2014-03-29 04:49:21.756082	76335	50	2	1
2014-03-29 04:49:21.988744	76336	20.5	1	1
2014-03-29 04:49:32.220809	76337	370	3	2
2014-03-29 04:49:32.443148	76338	1117532.597712661	4	2
2014-03-29 04:49:37.677928	76339	47	2	10
2014-03-29 04:49:37.916114	76340	21.3	1	10
2014-03-29 04:49:48.0414	76341	45	2	8
2014-03-29 04:49:48.263648	76342	21.1	1	8
2014-03-29 04:50:00.757437	76343	50	2	1
2014-03-29 04:50:00.988874	76344	20.5	1	1
2014-03-29 04:50:16.679744	76345	47	2	10
2014-03-29 04:50:16.902828	76346	21.3	1	10
2014-03-29 04:50:27.041933	76347	45	2	8
2014-03-29 04:50:27.272613	76348	21.1	1	8
2014-03-29 04:50:32.221183	76349	370	3	2
2014-03-29 04:50:32.445815	76350	1117538.3473572202	4	2
2014-03-29 04:50:39.75884	76351	50	2	1
2014-03-29 04:50:39.990165	76352	20.5	1	1
2014-03-29 04:50:55.674258	76353	47	2	10
2014-03-29 04:50:55.898025	76354	21.3	1	10
2014-03-29 04:51:06.042498	76355	45	2	8
2014-03-29 04:51:06.273052	76356	21.1	1	8
2014-03-29 04:51:18.758026	76357	50	2	1
2014-03-29 04:51:18.979948	76358	20.5	1	1
2014-03-29 04:51:32.221274	76359	402	3	2
2014-03-29 04:51:32.465224	76360	1117544.0925308273	4	2
2014-03-29 04:51:34.679163	76361	47	2	10
2014-03-29 04:51:34.903198	76362	21.3	1	10
2014-03-29 04:51:45.041032	76363	45	2	8
2014-03-29 04:51:45.273595	76364	21.1	1	8
2014-03-29 04:51:56.222159	76365	370	3	2
2014-03-29 04:51:56.443082	76366	1117546.3906002701	4	2
2014-03-29 04:51:57.757924	76367	50	2	1
2014-03-29 04:51:57.98916	76368	20.5	1	1
2014-03-29 04:52:13.479028	76369	402	3	2
2014-03-29 04:52:13.701806	76370	1117548.688669713	4	2
2014-03-29 04:52:14.006957	76371	47	2	10
2014-03-29 04:52:14.237258	76372	21.3	1	10
2014-03-29 04:52:20.218262	76373	370	3	2
2014-03-29 04:52:20.442192	76374	1117549.8377044343	4	2
2014-03-29 04:52:24.043892	76375	45	2	8
2014-03-29 04:52:24.274223	76376	21.1	1	8
2014-03-29 04:52:32.223036	76377	370	3	2
2014-03-29 04:52:32.445483	76378	1117550.9867391558	4	2
2014-03-29 04:52:36.756078	76379	50	2	1
2014-03-29 04:52:36.989262	76380	20.5	1	1
2014-03-29 04:52:44.221469	76381	402	3	2
2014-03-29 04:52:44.444413	76382	1117552.1357738771	4	2
2014-03-29 04:52:52.677324	76383	47	2	10
2014-03-29 04:52:52.909581	76384	21.4	1	10
2014-03-29 04:52:56.222966	76385	370	3	2
2014-03-29 04:52:56.44492	76386	1117553.2848085985	4	2
2014-03-29 04:53:03.041872	76387	45	2	8
2014-03-29 04:53:03.276103	76388	21.1	1	8
2014-03-29 04:53:08.222665	76389	370	3	2
2014-03-29 04:53:08.469984	76390	1117554.43384332	4	2
2014-03-29 04:53:15.757206	76391	50	2	1
2014-03-29 04:53:15.991666	76392	20.5	1	1
2014-03-29 04:53:31.679286	76393	47	2	10
2014-03-29 04:53:31.900675	76394	21.4	1	10
2014-03-29 04:53:32.22438	76395	370	3	2
2014-03-29 04:53:32.455613	76396	1117556.7319127629	4	2
2014-03-29 04:53:42.042353	76397	45	2	8
2014-03-29 04:53:42.265153	76398	21.1	1	8
2014-03-29 04:53:44.222102	76399	402	3	2
2014-03-29 04:53:44.452577	76400	1117557.8809474842	4	2
2014-03-29 04:53:54.753827	76401	50	2	1
2014-03-29 04:53:54.975881	76402	20.5	1	1
2014-03-29 04:53:56.222817	76403	370	3	2
2014-03-29 04:53:56.455207	76404	1117559.0299822057	4	2
2014-03-29 04:54:08.220852	76405	450	3	2
2014-03-29 04:54:08.445995	76406	1117561.3280516486	4	2
2014-03-29 04:54:10.676734	76407	47	2	10
2014-03-29 04:54:10.922277	76408	21.4	1	10
2014-03-29 04:54:21.04219	76409	45	2	8
2014-03-29 04:54:21.263607	76410	21.1	1	8
2014-03-29 04:54:33.754428	76411	50	2	1
2014-03-29 04:54:33.984624	76412	20.5	1	1
2014-03-29 04:54:49.677287	76413	47	2	10
2014-03-29 04:54:49.899134	76414	21.4	1	10
2014-03-29 04:55:00.041019	76415	45	2	8
2014-03-29 04:55:00.272244	76416	21.1	1	8
2014-03-29 04:55:12.75184	76417	50	2	1
2014-03-29 04:55:12.973002	76418	20.5	1	1
2014-03-29 04:55:28.678626	76419	47	2	10
2014-03-29 04:55:28.909541	76420	21.4	1	10
2014-03-29 04:55:37.749408	76421	450	3	2
2014-03-29 04:55:37.970096	76422	1117571.6693641413	4	2
2014-03-29 04:55:39.042315	76423	45	2	8
2014-03-29 04:55:39.272631	76424	21.1	1	8
2014-03-29 04:55:51.753944	76425	50	2	1
2014-03-29 04:55:51.977199	76426	20.5	1	1
2014-03-29 04:56:07.680235	76427	47	2	10
2014-03-29 04:56:07.913676	76428	21.4	1	10
2014-03-29 04:56:18.042524	76429	45	2	8
2014-03-29 04:56:18.263366	76430	21.1	1	8
2014-03-29 04:56:30.755804	76431	50	2	1
2014-03-29 04:56:30.987407	76432	20.5	1	1
2014-03-29 04:56:32.218481	76433	450	3	2
2014-03-29 04:56:32.439561	76434	1117578.5635724696	4	2
2014-03-29 04:56:46.679307	76435	47	2	10
2014-03-29 04:56:46.914	76436	21.4	1	10
2014-03-29 04:56:56.135421	76437	50	2	9
2014-03-29 04:56:56.359022	76438	20.1	1	9
2014-03-29 04:56:57.041864	76439	45	2	8
2014-03-29 04:56:57.272966	76440	21.1	1	8
2014-03-29 04:57:09.753209	76441	50	2	1
2014-03-29 04:57:09.984213	76442	20.5	1	1
2014-03-29 04:57:25.678133	76443	47	2	10
2014-03-29 04:57:25.912322	76444	21.4	1	10
2014-03-29 04:57:32.222878	76445	434	3	2
2014-03-29 04:57:32.446834	76446	1117586.6068155195	4	2
2014-03-29 04:57:36.043969	76447	45	2	8
2014-03-29 04:57:36.274834	76448	21.1	1	8
2014-03-29 04:57:48.75066	76449	50	2	1
2014-03-29 04:57:48.976577	76450	20.5	1	1
2014-03-29 04:58:04.677224	76451	47	2	10
2014-03-29 04:58:04.9102	76452	21.4	1	10
2014-03-29 04:58:15.041822	76453	45	2	8
2014-03-29 04:58:15.266102	76454	21.1	1	8
2014-03-29 04:58:27.753733	76455	50	2	1
2014-03-29 04:58:27.996797	76456	20.5	1	1
2014-03-29 04:58:32.223249	76457	450	3	2
2014-03-29 04:58:32.442702	76458	1117593.501023848	4	2
2014-03-29 04:58:43.680145	76459	47	2	10
2014-03-29 04:58:43.911157	76460	21.4	1	10
2014-03-29 04:58:54.041645	76461	45	2	8
2014-03-29 04:58:54.263542	76462	21.1	1	8
2014-03-29 04:59:06.751044	76463	50	2	1
2014-03-29 04:59:06.982748	76464	20.5	1	1
2014-03-29 04:59:22.680435	76465	47	2	10
2014-03-29 04:59:22.902421	76466	21.4	1	10
2014-03-29 04:59:33.042002	76467	45	2	8
2014-03-29 04:59:33.272426	76468	21.1	1	8
2014-03-29 04:59:45.751611	76469	50	2	1
2014-03-29 04:59:45.972761	76470	20.5	1	1
2014-03-29 05:00:01.679857	76471	47	2	10
2014-03-29 05:00:01.913368	76472	21.4	1	10
2014-03-29 05:00:12.042465	76473	45	2	8
2014-03-29 05:00:12.26299	76474	21.0	1	8
2014-03-29 05:00:24.751106	76475	50	2	1
2014-03-29 05:00:24.982365	76476	20.5	1	1
2014-03-29 05:00:32.220782	76477	466	3	2
2014-03-29 05:00:32.443493	76478	1117608.4384752265	4	2
2014-03-29 05:00:40.679369	76479	47	2	10
2014-03-29 05:00:40.910799	76480	21.3	1	10
2014-03-29 05:00:51.042165	76481	45	2	8
2014-03-29 05:00:51.265172	76482	21.0	1	8
2014-03-29 05:01:03.751914	76483	50	2	1
2014-03-29 05:01:03.983186	76484	20.5	1	1
2014-03-29 05:01:19.682577	76485	47	2	10
2014-03-29 05:01:19.905117	76486	21.3	1	10
2014-03-29 05:01:30.041246	76487	45	2	8
2014-03-29 05:01:30.272567	76488	21.0	1	8
2014-03-29 05:01:32.219227	76489	450	3	2
2014-03-29 05:01:32.43926	76490	1117616.4817182764	4	2
2014-03-29 05:01:42.754695	76491	50	2	1
2014-03-29 05:01:42.987941	76492	20.5	1	1
2014-03-29 05:01:58.680177	76493	47	2	10
2014-03-29 05:01:58.904194	76494	21.3	1	10
2014-03-29 05:02:09.04052	76495	45	2	8
2014-03-29 05:02:09.27865	76496	21.0	1	8
2014-03-29 05:02:21.750922	76497	50	2	1
2014-03-29 05:02:21.974295	76498	20.5	1	1
2014-03-29 05:02:32.221666	76499	402	3	2
2014-03-29 05:02:32.453958	76500	1117624.5249613263	4	2
2014-03-29 05:02:37.682743	76501	47	2	10
2014-03-29 05:02:37.912777	76502	21.3	1	10
2014-03-29 05:02:44.220759	76503	402	3	2
2014-03-29 05:02:44.462997	76504	1117625.6739960476	4	2
2014-03-29 05:02:48.040213	76505	45	2	8
2014-03-29 05:02:48.261532	76506	21.0	1	8
2014-03-29 05:03:00.748532	76507	50	2	1
2014-03-29 05:03:00.981324	76508	20.5	1	1
2014-03-29 05:03:16.682731	76509	47	2	10
2014-03-29 05:03:16.904593	76510	21.3	1	10
2014-03-29 05:03:27.045863	76511	45	2	8
2014-03-29 05:03:27.276712	76512	21.0	1	8
2014-03-29 05:03:32.221428	76513	402	3	2
2014-03-29 05:03:32.446914	76514	1117630.2701349333	4	2
2014-03-29 05:03:39.746517	76515	50	2	1
2014-03-29 05:03:39.977933	76516	20.5	1	1
2014-03-29 05:03:55.679459	76517	47	2	10
2014-03-29 05:03:55.903455	76518	21.3	1	10
2014-03-29 05:04:06.041948	76519	45	2	8
2014-03-29 05:04:06.277041	76520	21.0	1	8
2014-03-29 05:04:18.746743	76521	50	2	1
2014-03-29 05:04:18.970109	76522	20.5	1	1
2014-03-29 05:04:32.219914	76523	370	3	2
2014-03-29 05:04:32.4527	76524	1117637.1643432619	4	2
2014-03-29 05:04:34.681421	76525	47	2	10
2014-03-29 05:04:34.902395	76526	21.3	1	10
2014-03-29 05:04:45.042656	76527	45	2	8
2014-03-29 05:04:45.277143	76528	21.0	1	8
2014-03-29 05:04:56.222739	76529	402	3	2
2014-03-29 05:04:56.446192	76530	1117639.4624127047	4	2
2014-03-29 05:04:57.749928	76531	50	2	1
2014-03-29 05:04:57.980175	76532	20.5	1	1
2014-03-29 05:05:13.683353	76533	47	2	10
2014-03-29 05:05:13.905339	76534	21.3	1	10
2014-03-29 05:05:24.041074	76535	45	2	8
2014-03-29 05:05:24.272622	76536	21.0	1	8
2014-03-29 05:05:32.22174	76537	370	3	2
2014-03-29 05:05:32.445385	76538	1117644.0585515904	4	2
2014-03-29 05:05:36.749143	76539	50	2	1
2014-03-29 05:05:36.980321	76540	20.5	1	1
2014-03-29 05:05:44.220146	76541	370	3	2
2014-03-29 05:05:44.446116	76542	1117645.2075863117	4	2
2014-03-29 05:05:52.680656	76543	47	2	10
2014-03-29 05:05:52.912629	76544	21.3	1	10
2014-03-29 05:06:03.040378	76545	45	2	8
2014-03-29 05:06:03.263433	76546	21.0	1	8
2014-03-29 05:06:15.748119	76547	50	2	1
2014-03-29 05:06:15.980435	76548	20.5	1	1
2014-03-29 05:06:31.694386	76549	47	2	10
2014-03-29 05:06:31.916342	76550	21.3	1	10
2014-03-29 05:06:32.222093	76551	370	3	2
2014-03-29 05:06:32.46449	76552	1117649.8037251974	4	2
2014-03-29 05:06:42.040596	76553	45	2	8
2014-03-29 05:06:42.263582	76554	21.0	1	8
2014-03-29 05:06:44.220828	76555	402	3	2
2014-03-29 05:06:44.451069	76556	1117650.9527599188	4	2
2014-03-29 05:06:54.746519	76557	50	2	1
2014-03-29 05:06:54.968782	76558	20.5	1	1
2014-03-29 05:06:56.218935	76559	370	3	2
2014-03-29 05:06:56.450948	76560	1117653.2508293616	4	2
2014-03-29 05:07:08.220986	76561	370	3	2
2014-03-29 05:07:08.442145	76562	1117654.3998640832	4	2
2014-03-29 05:07:10.683873	76563	47	2	10
2014-03-29 05:07:10.91655	76564	21.3	1	10
2014-03-29 05:07:21.041877	76565	45	2	8
2014-03-29 05:07:21.263283	76566	21.0	1	8
2014-03-29 05:07:32.219028	76567	402	3	2
2014-03-29 05:07:32.450952	76568	1117656.697933526	4	2
2014-03-29 05:07:33.747381	76569	50	2	1
2014-03-29 05:07:33.971016	76570	20.5	1	1
2014-03-29 05:07:49.681894	76571	47	2	10
2014-03-29 05:07:49.915601	76572	21.3	1	10
2014-03-29 05:07:56.220834	76573	370	3	2
2014-03-29 05:07:56.44153	76574	1117658.9960029686	4	2
2014-03-29 05:08:00.042417	76575	45	2	8
2014-03-29 05:08:00.274969	76576	21.0	1	8
2014-03-29 05:08:08.220805	76577	370	3	2
2014-03-29 05:08:08.441364	76578	1117660.1450376902	4	2
2014-03-29 05:08:12.744599	76579	50	2	1
2014-03-29 05:08:12.978598	76580	20.5	1	1
2014-03-29 05:08:28.683547	76581	47	2	10
2014-03-29 05:08:28.904965	76582	21.3	1	10
2014-03-29 05:08:32.221881	76583	370	3	2
2014-03-29 05:08:32.452463	76584	1117662.443107133	4	2
2014-03-29 05:08:39.042854	76585	45	2	8
2014-03-29 05:08:39.264932	76586	21.0	1	8
2014-03-29 05:08:44.218887	76587	402	3	2
2014-03-29 05:08:44.455453	76588	1117663.5921418543	4	2
2014-03-29 05:08:51.748974	76589	50	2	1
2014-03-29 05:08:51.973197	76590	20.5	1	1
2014-03-29 05:08:56.221566	76591	338	3	2
2014-03-29 05:08:56.453264	76592	1117664.741176576	4	2
2014-03-29 05:09:07.680489	76593	47	2	10
2014-03-29 05:09:07.90435	76594	21.3	1	10
2014-03-29 05:09:08.221282	76595	338	3	2
2014-03-29 05:09:08.452305	76596	1117665.8902112972	4	2
2014-03-29 05:09:18.041557	76597	45	2	8
2014-03-29 05:09:18.264105	76598	21.0	1	8
2014-03-29 05:09:20.220394	76599	305	3	2
2014-03-29 05:09:20.463882	76600	1117667.0392460187	4	2
2014-03-29 05:09:30.747102	76601	50	2	1
2014-03-29 05:09:30.971859	76602	20.5	1	1
2014-03-29 05:09:32.222506	76603	305	3	2
2014-03-29 05:09:32.454562	76604	1117668.18828074	4	2
2014-03-29 05:09:44.22312	76605	338	3	2
2014-03-29 05:09:44.445388	76606	1117669.3373154614	4	2
2014-03-29 05:09:46.68161	76607	47	2	10
2014-03-29 05:09:46.912693	76608	21.3	1	10
2014-03-29 05:09:57.042108	76609	45	2	8
2014-03-29 05:09:57.266402	76610	21.0	1	8
2014-03-29 05:10:08.220442	76611	338	3	2
2014-03-29 05:10:08.454043	76612	1117671.6353849042	4	2
2014-03-29 05:10:09.74708	76613	50	2	1
2014-03-29 05:10:09.976437	76614	20.5	1	1
2014-03-29 05:10:25.485185	76615	305	3	2
2014-03-29 05:10:25.716712	76616	1117672.7844196258	4	2
2014-03-29 05:10:26.021443	76617	47	2	10
2014-03-29 05:10:26.241756	76618	21.3	1	10
2014-03-29 05:10:32.222389	76619	305	3	2
2014-03-29 05:10:32.455011	76620	1117673.933454347	4	2
2014-03-29 05:10:36.041473	76621	45	2	8
2014-03-29 05:10:36.261701	76622	21.0	1	8
2014-03-29 05:10:48.746593	76623	50	2	1
2014-03-29 05:10:48.97783	76624	20.5	1	1
2014-03-29 05:11:04.682526	76625	47	2	10
2014-03-29 05:11:04.906722	76626	21.3	1	10
2014-03-29 05:11:15.043472	76627	45	2	8
2014-03-29 05:11:15.275427	76628	21.0	1	8
2014-03-29 05:11:20.219192	76629	370	3	2
2014-03-29 05:11:20.445401	76630	1117678.5295932328	4	2
2014-03-29 05:11:27.744383	76631	50	2	1
2014-03-29 05:11:27.976498	76632	20.5	1	1
2014-03-29 05:11:32.222521	76633	370	3	2
2014-03-29 05:11:32.44481	76634	1117679.678627954	4	2
2014-03-29 05:11:43.682869	76635	47	2	10
2014-03-29 05:11:43.914915	76636	21.3	1	10
2014-03-29 05:11:54.042375	76637	45	2	8
2014-03-29 05:11:54.26475	76638	21.0	1	8
2014-03-29 05:12:06.748281	76639	50	2	1
2014-03-29 05:12:06.980587	76640	20.5	1	1
2014-03-29 05:12:22.684573	76641	47	2	10
2014-03-29 05:12:22.905995	76642	21.3	1	10
2014-03-29 05:12:33.041521	76643	45	2	8
2014-03-29 05:12:33.273274	76644	21.0	1	8
2014-03-29 05:12:45.743477	76645	50	2	1
2014-03-29 05:12:45.972029	76646	20.5	1	1
2014-03-29 05:13:01.681865	76647	47	2	10
2014-03-29 05:13:01.930695	76648	21.3	1	10
2014-03-29 05:13:12.041526	76649	45	2	8
2014-03-29 05:13:12.263204	76650	21.0	1	8
2014-03-29 05:13:24.74498	76651	50	2	1
2014-03-29 05:13:24.979021	76652	20.5	1	1
2014-03-29 05:13:32.221379	76653	370	3	2
2014-03-29 05:13:32.44361	76654	1117691.1689751684	4	2
2014-03-29 05:13:40.684128	76655	47	2	10
2014-03-29 05:13:40.918501	76656	21.3	1	10
2014-03-29 05:13:51.04305	76657	45	2	8
2014-03-29 05:13:51.263687	76658	21.0	1	8
2014-03-29 05:14:03.74231	76659	50	2	1
2014-03-29 05:14:03.974002	76660	20.5	1	1
2014-03-29 05:14:19.683045	76661	47	2	10
2014-03-29 05:14:19.905624	76662	21.3	1	10
2014-03-29 05:14:30.04163	76663	45	2	8
2014-03-29 05:14:30.275088	76664	21.0	1	8
2014-03-29 05:14:32.220231	76665	370	3	2
2014-03-29 05:14:32.44248	76666	1117698.063183497	4	2
2014-03-29 05:14:42.743681	76667	50	2	1
2014-03-29 05:14:42.975269	76668	20.5	1	1
2014-03-29 05:14:58.686459	76669	47	2	10
2014-03-29 05:14:58.908201	76670	21.3	1	10
2014-03-29 05:15:09.041178	76671	45	2	8
2014-03-29 05:15:09.273536	76672	21.0	1	8
2014-03-29 05:15:21.742357	76673	50	2	1
2014-03-29 05:15:21.962882	76674	20.5	1	1
2014-03-29 05:15:32.219796	76675	370	3	2
2014-03-29 05:15:32.454089	76676	1117703.808357104	4	2
2014-03-29 05:15:37.68304	76677	47	2	10
2014-03-29 05:15:37.910022	76678	21.3	1	10
2014-03-29 05:15:48.040397	76679	45	2	8
2014-03-29 05:15:48.300084	76680	21.0	1	8
2014-03-29 05:16:00.742223	76681	50	2	1
2014-03-29 05:16:00.964059	76682	20.5	1	1
2014-03-29 05:16:08.219119	76683	305	3	2
2014-03-29 05:16:08.453559	76684	1117707.2554612681	4	2
2014-03-29 05:16:16.682808	76685	47	2	10
2014-03-29 05:16:16.905611	76686	21.3	1	10
2014-03-29 05:16:20.21752	76687	305	3	2
2014-03-29 05:16:20.449804	76688	1117708.4044959897	4	2
2014-03-29 05:16:27.041072	76689	45	2	8
2014-03-29 05:16:27.262659	76690	21.0	1	8
2014-03-29 05:16:32.221736	76691	305	3	2
2014-03-29 05:16:32.459868	76692	1117709.553530711	4	2
2014-03-29 05:16:39.742685	76693	50	2	1
2014-03-29 05:16:39.964032	76694	20.4	1	1
2014-03-29 05:16:55.686311	76695	47	2	10
2014-03-29 05:16:55.928774	76696	21.3	1	10
2014-03-29 05:17:06.041477	76697	45	2	8
2014-03-29 05:17:06.272459	76698	21.0	1	8
2014-03-29 05:17:08.218873	76699	338	3	2
2014-03-29 05:17:08.449512	76700	1117713.0006348751	4	2
2014-03-29 05:17:18.740099	76701	50	2	1
2014-03-29 05:17:18.963222	76702	20.4	1	1
2014-03-29 05:17:20.220136	76703	305	3	2
2014-03-29 05:17:20.450194	76704	1117714.1496695967	4	2
2014-03-29 05:17:32.219745	76705	305	3	2
2014-03-29 05:17:32.44276	76706	1117715.298704318	4	2
2014-03-29 05:17:34.688215	76707	47	2	10
2014-03-29 05:17:34.920503	76708	21.3	1	10
2014-03-29 05:17:45.04001	76709	45	2	8
2014-03-29 05:17:45.263641	76710	21.0	1	8
2014-03-29 05:17:56.221586	76711	305	3	2
2014-03-29 05:17:56.453284	76712	1117717.5967737609	4	2
2014-03-29 05:17:57.742946	76713	50	2	1
2014-03-29 05:17:57.964088	76714	20.4	1	1
2014-03-29 05:18:08.220621	76715	305	3	2
2014-03-29 05:18:08.452165	76716	1117718.7458084824	4	2
2014-03-29 05:18:13.687348	76717	47	2	10
2014-03-29 05:18:13.9108	76718	21.3	1	10
2014-03-29 05:18:20.217509	76719	338	3	2
2014-03-29 05:18:20.448437	76720	1117718.7458084824	4	2
2014-03-29 05:18:24.040396	76721	45	2	8
2014-03-29 05:18:24.262642	76722	21.0	1	8
2014-03-29 05:18:32.21886	76723	305	3	2
2014-03-29 05:18:32.452952	76724	1117719.8948432037	4	2
2014-03-29 05:18:36.982435	76725	50	2	1
2014-03-29 05:18:37.203172	76726	20.4	1	1
2014-03-29 05:18:44.218888	76727	305	3	2
2014-03-29 05:18:44.45282	76728	1117721.043877925	4	2
2014-03-29 05:18:52.687539	76729	47	2	10
2014-03-29 05:18:52.910396	76730	21.3	1	10
2014-03-29 05:18:56.221458	76731	338	3	2
2014-03-29 05:18:56.452999	76732	1117722.1929126466	4	2
2014-03-29 05:19:03.043738	76733	45	2	8
2014-03-29 05:19:03.266004	76734	21.0	1	8
2014-03-29 05:19:08.219561	76735	338	3	2
2014-03-29 05:19:08.457964	76736	1117723.3419473679	4	2
2014-03-29 05:19:15.742539	76737	50	2	1
2014-03-29 05:19:15.966773	76738	20.4	1	1
2014-03-29 05:19:31.685861	76739	47	2	10
2014-03-29 05:19:31.918958	76740	21.3	1	10
2014-03-29 05:19:32.227566	76741	338	3	2
2014-03-29 05:19:32.449267	76742	1117725.6400168107	4	2
2014-03-29 05:19:42.041685	76743	45	2	8
2014-03-29 05:19:42.284999	76744	21.0	1	8
2014-03-29 05:19:54.739536	76745	50	2	1
2014-03-29 05:19:54.961607	76746	20.4	1	1
2014-03-29 05:19:56.220179	76747	305	3	2
2014-03-29 05:19:56.451269	76748	1117727.9380862536	4	2
2014-03-29 05:20:10.686711	76749	47	2	10
2014-03-29 05:20:10.909947	76750	21.3	1	10
2014-03-29 05:20:21.045178	76751	45	2	8
2014-03-29 05:20:21.279896	76752	21.0	1	8
2014-03-29 05:20:32.222648	76753	338	3	2
2014-03-29 05:20:32.444659	76754	1117731.3851904178	4	2
2014-03-29 05:20:33.738229	76755	50	2	1
2014-03-29 05:20:33.969551	76756	20.4	1	1
2014-03-29 05:20:44.220752	76757	305	3	2
2014-03-29 05:20:44.444085	76758	1117732.5342251393	4	2
2014-03-29 05:20:49.687775	76759	47	2	10
2014-03-29 05:20:49.925745	76760	21.3	1	10
2014-03-29 05:20:56.22117	76761	305	3	2
2014-03-29 05:20:56.446192	76762	1117733.6832598606	4	2
2014-03-29 05:21:00.042237	76763	45	2	8
2014-03-29 05:21:00.273927	76764	21.0	1	8
2014-03-29 05:21:08.217622	76765	338	3	2
2014-03-29 05:21:08.441391	76766	1117733.6832598606	4	2
2014-03-29 05:21:12.740306	76767	50	2	1
2014-03-29 05:21:12.972783	76768	20.4	1	1
2014-03-29 05:21:20.2222	76769	305	3	2
2014-03-29 05:21:20.447557	76770	1117734.8322945822	4	2
2014-03-29 05:21:28.687497	76771	47	2	10
2014-03-29 05:21:28.918873	76772	21.3	1	10
2014-03-29 05:21:32.220176	76773	338	3	2
2014-03-29 05:21:32.443069	76774	1117735.9813293035	4	2
2014-03-29 05:21:39.04065	76775	45	2	8
2014-03-29 05:21:39.272925	76776	21.0	1	8
2014-03-29 05:21:44.218091	76777	305	3	2
2014-03-29 05:21:44.448051	76778	1117737.130364025	4	2
2014-03-29 05:21:51.737466	76779	50	2	1
2014-03-29 05:21:51.969376	76780	20.4	1	1
2014-03-29 05:21:56.220844	76781	305	3	2
2014-03-29 05:21:56.442407	76782	1117738.2793987463	4	2
2014-03-29 05:22:07.684783	76783	47	2	10
2014-03-29 05:22:07.918594	76784	21.2	1	10
2014-03-29 05:22:18.04351	76785	45	2	8
2014-03-29 05:22:18.267012	76786	21.0	1	8
2014-03-29 05:22:30.735547	76787	50	2	1
2014-03-29 05:22:30.967013	76788	20.4	1	1
2014-03-29 05:22:32.21812	76789	338	3	2
2014-03-29 05:22:32.439574	76790	1117741.7265029107	4	2
2014-03-29 05:22:44.219303	76791	305	3	2
2014-03-29 05:22:44.464181	76792	1117742.875537632	4	2
2014-03-29 05:22:46.688299	76793	47	2	10
2014-03-29 05:22:46.909735	76794	21.2	1	10
2014-03-29 05:22:57.04251	76795	45	2	8
2014-03-29 05:22:57.27367	76796	21.0	1	8
2014-03-29 05:23:08.220046	76797	338	3	2
2014-03-29 05:23:08.443008	76798	1117745.173607075	4	2
2014-03-29 05:23:09.738976	76799	50	2	1
2014-03-29 05:23:09.976944	76800	20.4	1	1
2014-03-29 05:23:25.687276	76801	47	2	10
2014-03-29 05:23:25.910455	76802	21.2	1	10
2014-03-29 05:23:32.219676	76803	305	3	2
2014-03-29 05:23:32.451653	76804	1117746.3226417962	4	2
2014-03-29 05:23:36.041324	76805	45	2	8
2014-03-29 05:23:36.262583	76806	21.0	1	8
2014-03-29 05:23:44.220113	76807	370	3	2
2014-03-29 05:23:44.450971	76808	1117748.620711239	4	2
2014-03-29 05:23:48.792496	76809	50	2	1
2014-03-29 05:23:49.01732	76810	20.4	1	1
2014-03-29 05:23:56.219439	76811	370	3	2
2014-03-29 05:23:56.450669	76812	1117749.7697459606	4	2
2014-03-29 05:24:04.6897	76813	47	2	10
2014-03-29 05:24:04.913745	76814	21.2	1	10
2014-03-29 05:24:15.041952	76815	45	2	8
2014-03-29 05:24:15.274865	76816	21.0	1	8
2014-03-29 05:24:27.73745	76817	50	2	1
2014-03-29 05:24:27.962023	76818	20.4	1	1
2014-03-29 05:24:32.220444	76819	370	3	2
2014-03-29 05:24:32.45491	76820	1117753.2168501248	4	2
2014-03-29 05:24:43.687179	76821	47	2	10
2014-03-29 05:24:43.90952	76822	21.2	1	10
2014-03-29 05:24:54.043657	76823	45	2	8
2014-03-29 05:24:54.275247	76824	21.0	1	8
2014-03-29 05:25:06.736225	76825	50	2	1
2014-03-29 05:25:06.960738	76826	20.4	1	1
2014-03-29 05:25:22.686475	76827	47	2	10
2014-03-29 05:25:22.936851	76828	21.2	1	10
2014-03-29 05:25:33.040474	76829	45	2	8
2014-03-29 05:25:33.264774	76830	21.0	1	8
2014-03-29 05:25:45.739601	76831	50	2	1
2014-03-29 05:25:45.970936	76832	20.4	1	1
2014-03-29 05:26:01.68796	76833	47	2	10
2014-03-29 05:26:01.91213	76834	21.2	1	10
2014-03-29 05:26:12.041901	76835	45	2	8
2014-03-29 05:26:12.274751	76836	21.0	1	8
2014-03-29 05:26:24.734739	76837	50	2	1
2014-03-29 05:26:24.956449	76838	20.4	1	1
2014-03-29 05:26:32.220286	76839	354	3	2
2014-03-29 05:26:32.46591	76840	1117764.7071973388	4	2
2014-03-29 05:26:40.689318	76841	47	2	10
2014-03-29 05:26:40.911167	76842	21.2	1	10
2014-03-29 05:26:51.040474	76843	45	2	8
2014-03-29 05:26:51.458441	76844	21.0	1	8
2014-03-29 05:27:03.737826	76845	50	2	1
2014-03-29 05:27:03.965882	76846	20.4	1	1
2014-03-29 05:27:19.689068	76847	47	2	10
2014-03-29 05:27:19.91071	76848	21.2	1	10
2014-03-29 05:27:30.04166	76849	45	2	8
2014-03-29 05:27:30.272327	76850	21.0	1	8
2014-03-29 05:27:32.220146	76851	354	3	2
2014-03-29 05:27:32.441066	76852	1117771.6014056674	4	2
2014-03-29 05:27:42.73376	76853	50	2	1
2014-03-29 05:27:42.970573	76854	20.4	1	1
2014-03-29 05:27:58.692095	76855	47	2	10
2014-03-29 05:27:58.915561	76856	21.2	1	10
2014-03-29 05:28:09.040461	76857	45	2	8
2014-03-29 05:28:09.273244	76858	21.0	1	8
2014-03-29 05:28:21.736033	76859	50	2	1
2014-03-29 05:28:21.959074	76860	20.4	1	1
2014-03-29 05:28:32.214785	76861	370	3	2
2014-03-29 05:28:32.446571	76862	1117777.3465792744	4	2
2014-03-29 05:28:37.689284	76863	47	2	10
2014-03-29 05:28:37.918454	76864	21.2	1	10
2014-03-29 05:28:48.040829	76865	45	2	8
2014-03-29 05:28:48.273171	76866	21.0	1	8
2014-03-29 05:29:00.733584	76867	50	2	1
2014-03-29 05:29:00.958575	76868	20.4	1	1
2014-03-29 05:29:08.215729	76869	305	3	2
2014-03-29 05:29:08.447926	76870	1117780.7936834388	4	2
2014-03-29 05:29:16.689948	76871	47	2	10
2014-03-29 05:29:16.914217	76872	21.2	1	10
2014-03-29 05:29:20.217503	76873	305	3	2
2014-03-29 05:29:20.44734	76874	1117781.94271816	4	2
2014-03-29 05:29:27.041354	76875	45	2	8
2014-03-29 05:29:27.263163	76876	21.0	1	8
2014-03-29 05:29:32.219432	76877	305	3	2
2014-03-29 05:29:32.455121	76878	1117783.0917528816	4	2
2014-03-29 05:29:39.733908	76879	50	2	1
2014-03-29 05:29:39.957737	76880	20.4	1	1
2014-03-29 05:29:55.688968	76881	47	2	10
2014-03-29 05:29:55.921209	76882	21.2	1	10
2014-03-29 05:29:56.228657	76883	338	3	2
2014-03-29 05:29:56.449852	76884	1117784.240787603	4	2
2014-03-29 05:30:06.043219	76885	45	2	8
2014-03-29 05:30:06.274885	76886	21.0	1	8
2014-03-29 05:30:08.217618	76887	305	3	2
2014-03-29 05:30:08.441379	76888	1117785.3898223243	4	2
2014-03-29 05:30:18.734259	76889	50	2	1
2014-03-29 05:30:18.976077	76890	20.4	1	1
2014-03-29 05:30:20.218041	76891	305	3	2
2014-03-29 05:30:20.437093	76892	1117786.5388570458	4	2
2014-03-29 05:30:32.218044	76893	305	3	2
2014-03-29 05:30:32.449537	76894	1117787.6878917671	4	2
2014-03-29 05:30:34.689475	76895	47	2	10
2014-03-29 05:30:34.911703	76896	21.2	1	10
2014-03-29 05:30:45.040805	76897	45	2	8
2014-03-29 05:30:45.273096	76898	21.0	1	8
2014-03-29 05:30:57.732487	76899	50	2	1
2014-03-29 05:30:57.953461	76900	20.4	1	1
2014-03-29 05:31:13.689634	76901	47	2	10
2014-03-29 05:31:13.920957	76902	21.2	1	10
2014-03-29 05:31:24.04056	76903	45	2	8
2014-03-29 05:31:24.263939	76904	21.0	1	8
2014-03-29 05:31:32.218724	76905	305	3	2
2014-03-29 05:31:32.451409	76906	1117793.4330653744	4	2
2014-03-29 05:31:36.733741	76907	50	2	1
2014-03-29 05:31:36.954328	76908	20.4	1	1
2014-03-29 05:31:52.689373	76909	47	2	10
2014-03-29 05:31:52.920605	76910	21.2	1	10
2014-03-29 05:32:03.040378	76911	45	2	8
2014-03-29 05:32:03.260742	76912	21.0	1	8
2014-03-29 05:32:15.730735	76913	50	2	1
2014-03-29 05:32:15.963089	76914	20.4	1	1
2014-03-29 05:32:31.6901	76915	47	2	10
2014-03-29 05:32:31.914053	76916	21.2	1	10
2014-03-29 05:32:32.219408	76917	305	3	2
2014-03-29 05:32:32.451783	76918	1117798.0292042599	4	2
2014-03-29 05:32:42.042054	76919	45	2	8
2014-03-29 05:32:42.266955	76920	21.0	1	8
2014-03-29 05:32:54.7332	76921	50	2	1
2014-03-29 05:32:54.971046	76922	20.4	1	1
2014-03-29 05:33:10.690283	76923	47	2	10
2014-03-29 05:33:10.913507	76924	21.2	1	10
2014-03-29 05:33:21.040321	76925	45	2	8
2014-03-29 05:33:21.272314	76926	21.0	1	8
2014-03-29 05:33:32.2195	76927	338	3	2
2014-03-29 05:33:32.4406	76928	1117803.774377867	4	2
2014-03-29 05:33:33.73285	76929	50	2	1
2014-03-29 05:33:33.965008	76930	20.4	1	1
2014-03-29 05:33:44.219359	76931	305	3	2
2014-03-29 05:33:44.451281	76932	1117803.774377867	4	2
2014-03-29 05:33:49.690493	76933	47	2	10
2014-03-29 05:33:49.925583	76934	21.2	1	10
2014-03-29 05:33:56.215671	76935	338	3	2
2014-03-29 05:33:56.438631	76936	1117804.9234125884	4	2
2014-03-29 05:34:00.040726	76937	45	2	8
2014-03-29 05:34:00.283657	76938	21.0	1	8
2014-03-29 05:34:08.215721	76939	305	3	2
2014-03-29 05:34:08.438969	76940	1117806.0724473097	4	2
2014-03-29 05:34:12.730151	76941	50	2	1
2014-03-29 05:34:12.963377	76942	20.4	1	1
2014-03-29 05:34:20.219171	76943	305	3	2
2014-03-29 05:34:20.440669	76944	1117807.2214820313	4	2
2014-03-29 05:34:28.690974	76945	47	2	10
2014-03-29 05:34:28.924581	76946	21.1	1	10
2014-03-29 05:34:32.218963	76947	305	3	2
2014-03-29 05:34:32.438618	76948	1117808.3705167526	4	2
2014-03-29 05:34:39.040646	76949	45	2	8
2014-03-29 05:34:39.270694	76950	21.0	1	8
2014-03-29 05:34:44.219721	76951	338	3	2
2014-03-29 05:34:44.445555	76952	1117809.5195514741	4	2
2014-03-29 05:34:51.730169	76953	50	2	1
2014-03-29 05:34:51.963514	76954	20.4	1	1
2014-03-29 05:34:56.218942	76955	305	3	2
2014-03-29 05:34:56.438976	76956	1117810.6685861954	4	2
2014-03-29 05:35:07.691046	76957	47	2	10
2014-03-29 05:35:07.926392	76958	21.1	1	10
2014-03-29 05:35:08.232805	76959	305	3	2
2014-03-29 05:35:08.453172	76960	1117811.817620917	4	2
2014-03-29 05:35:18.044111	76961	45	2	8
2014-03-29 05:35:18.276227	76962	21.0	1	8
2014-03-29 05:35:30.732726	76963	50	2	1
2014-03-29 05:35:30.955841	76964	20.4	1	1
2014-03-29 05:35:32.215567	76965	305	3	2
2014-03-29 05:35:32.447427	76966	1117814.1156903598	4	2
2014-03-29 05:35:46.688568	76967	47	2	10
2014-03-29 05:35:46.910411	76968	21.1	1	10
2014-03-29 05:35:57.041856	76969	45	2	8
2014-03-29 05:35:57.275524	76970	21.0	1	8
2014-03-29 05:36:09.728692	76971	50	2	1
2014-03-29 05:36:09.955309	76972	20.4	1	1
2014-03-29 05:36:25.691834	76973	47	2	10
2014-03-29 05:36:25.924271	76974	21.1	1	10
2014-03-29 05:36:32.220269	76975	370	3	2
2014-03-29 05:36:32.442534	76976	1117818.7118292453	4	2
2014-03-29 05:36:36.039755	76977	45	2	8
2014-03-29 05:36:36.272866	76978	21.0	1	8
2014-03-29 05:36:44.21999	76979	370	3	2
2014-03-29 05:36:44.441649	76980	1117819.8608639669	4	2
2014-03-29 05:36:48.729697	76981	50	2	1
2014-03-29 05:36:48.959946	76982	20.4	1	1
2014-03-29 05:37:04.74796	76983	47	2	10
2014-03-29 05:37:04.972826	76984	21.1	1	10
2014-03-29 05:37:15.04062	76985	45	2	8
2014-03-29 05:37:15.283417	76986	20.9	1	8
2014-03-29 05:37:27.72812	76987	50	2	1
2014-03-29 05:37:27.950365	76988	20.4	1	1
2014-03-29 05:37:32.218236	76989	354	3	2
2014-03-29 05:37:32.449611	76990	1117824.4570028526	4	2
2014-03-29 05:37:43.690688	76991	47	2	10
2014-03-29 05:37:43.914335	76992	21.1	1	10
2014-03-29 05:37:54.040337	76993	45	2	8
2014-03-29 05:37:54.271626	76994	20.9	1	8
2014-03-29 05:38:06.728738	76995	50	2	1
2014-03-29 05:38:06.950063	76996	20.4	1	1
2014-03-29 05:38:22.692711	76997	47	2	10
2014-03-29 05:38:22.92405	76998	21.1	1	10
2014-03-29 05:38:33.03932	76999	45	2	8
2014-03-29 05:38:33.259417	77000	20.9	1	8
2014-03-29 05:38:45.730694	77001	50	2	1
2014-03-29 05:38:45.961899	77002	20.4	1	1
2014-03-29 05:39:01.694104	77003	47	2	10
2014-03-29 05:39:01.916131	77004	21.1	1	10
2014-03-29 05:39:12.040238	77005	45	2	8
2014-03-29 05:39:12.270918	77006	20.9	1	8
2014-03-29 05:39:24.730059	77007	50	2	1
2014-03-29 05:39:24.951608	77008	20.4	1	1
2014-03-29 05:39:32.218516	77009	354	3	2
2014-03-29 05:39:32.44872	77010	1117835.951821019	4	2
2014-03-29 05:39:40.690187	77011	47	2	10
2014-03-29 05:39:40.913858	77012	21.1	1	10
2014-03-29 05:39:51.041411	77013	45	2	8
2014-03-29 05:39:51.273247	77014	20.9	1	8
2014-03-29 05:40:03.728724	77015	50	2	1
2014-03-29 05:40:03.954423	77016	20.4	1	1
2014-03-29 05:40:19.693073	77017	47	2	10
2014-03-29 05:40:19.925367	77018	21.1	1	10
2014-03-29 05:40:30.042068	77019	45	2	8
2014-03-29 05:40:30.263698	77020	20.9	1	8
2014-03-29 05:40:32.218079	77021	370	3	2
2014-03-29 05:40:32.447751	77022	1117841.696994626	4	2
2014-03-29 05:40:42.728961	77023	50	2	1
2014-03-29 05:40:42.950853	77024	20.4	1	1
2014-03-29 05:40:58.694066	77025	47	2	10
2014-03-29 05:40:58.926731	77026	21.1	1	10
2014-03-29 05:41:09.04167	77027	45	2	8
2014-03-29 05:41:09.263393	77028	20.9	1	8
2014-03-29 05:41:21.72813	77029	50	2	1
2014-03-29 05:41:21.960819	77030	20.4	1	1
2014-03-29 05:41:32.219436	77031	354	3	2
2014-03-29 05:41:32.440852	77032	1117847.442168233	4	2
2014-03-29 05:41:37.691004	77033	47	2	10
2014-03-29 05:41:37.939324	77034	21.1	1	10
2014-03-29 05:41:48.041701	77035	45	2	8
2014-03-29 05:41:48.26607	77036	20.9	1	8
2014-03-29 05:42:00.727708	77037	50	2	1
2014-03-29 05:42:00.960109	77038	20.4	1	1
2014-03-29 05:42:08.21753	77039	305	3	2
2014-03-29 05:42:08.440852	77040	1117850.8892723972	4	2
2014-03-29 05:42:16.69222	77041	47	2	10
2014-03-29 05:42:16.924526	77042	21.1	1	10
2014-03-29 05:42:20.2163	77043	305	3	2
2014-03-29 05:42:20.440001	77044	1117852.0383071187	4	2
2014-03-29 05:42:27.040539	77045	45	2	8
2014-03-29 05:42:27.270423	77046	20.9	1	8
2014-03-29 05:42:39.534408	77047	305	3	2
2014-03-29 05:42:39.757723	77048	1117853.18734184	4	2
2014-03-29 05:42:40.060905	77049	50	2	1
2014-03-29 05:42:40.291095	77050	20.4	1	1
2014-03-29 05:42:55.692858	77051	47	2	10
2014-03-29 05:42:55.914516	77052	21.1	1	10
2014-03-29 05:43:06.041248	77053	45	2	8
2014-03-29 05:43:06.274228	77054	20.9	1	8
2014-03-29 05:43:18.724902	77055	50	2	1
2014-03-29 05:43:18.947103	77056	20.4	1	1
2014-03-29 05:43:32.218848	77057	305	3	2
2014-03-29 05:43:32.450295	77058	1117858.9325154473	4	2
2014-03-29 05:43:34.695561	77059	47	2	10
2014-03-29 05:43:34.91826	77060	21.1	1	10
2014-03-29 05:43:45.040705	77061	45	2	8
2014-03-29 05:43:45.271626	77062	20.9	1	8
2014-03-29 05:43:57.726084	77063	50	2	1
2014-03-29 05:43:57.949016	77064	20.4	1	1
2014-03-29 05:44:13.694872	77065	47	2	10
2014-03-29 05:44:13.925911	77066	21.1	1	10
2014-03-29 05:44:24.040566	77067	45	2	8
2014-03-29 05:44:24.263205	77068	20.9	1	8
2014-03-29 05:44:32.21597	77069	305	3	2
2014-03-29 05:44:32.447451	77070	1117863.5286543327	4	2
2014-03-29 05:44:36.725134	77071	50	2	1
2014-03-29 05:44:36.946232	77072	20.4	1	1
2014-03-29 05:44:52.692571	77073	47	2	10
2014-03-29 05:44:52.925999	77074	21.1	1	10
2014-03-29 05:45:03.040098	77075	45	2	8
2014-03-29 05:45:03.261165	77076	20.9	1	8
2014-03-29 05:45:15.723959	77077	50	2	1
2014-03-29 05:45:15.957924	77078	20.4	1	1
2014-03-29 05:45:31.691766	77079	47	2	10
2014-03-29 05:45:31.914792	77080	21.1	1	10
2014-03-29 05:45:32.220373	77081	305	3	2
2014-03-29 05:45:32.462255	77082	1117868.1247932184	4	2
2014-03-29 05:45:42.040167	77083	45	2	8
2014-03-29 05:45:42.260819	77084	20.9	1	8
2014-03-29 05:45:44.215748	77085	338	3	2
2014-03-29 05:45:44.445448	77086	1117869.27382794	4	2
2014-03-29 05:45:56.217621	77087	305	3	2
2014-03-29 05:45:56.438744	77088	1117870.4228626613	4	2
2014-03-29 05:46:08.218235	77089	305	3	2
2014-03-29 05:46:08.450523	77090	1117871.5718973826	4	2
2014-03-29 05:46:10.693761	77091	47	2	10
2014-03-29 05:46:10.923772	77092	21.1	1	10
2014-03-29 05:46:21.041802	77093	45	2	8
2014-03-29 05:46:21.275422	77094	20.9	1	8
2014-03-29 05:46:32.217398	77095	305	3	2
2014-03-29 05:46:32.438917	77096	1117873.8699668255	4	2
2014-03-29 05:46:33.723012	77097	50	2	1
2014-03-29 05:46:33.955093	77098	20.4	1	1
2014-03-29 05:46:49.692729	77099	47	2	10
2014-03-29 05:46:49.971743	77100	21.1	1	10
2014-03-29 05:47:00.039968	77101	45	2	8
2014-03-29 05:47:00.273162	77102	20.9	1	8
2014-03-29 05:47:12.724499	77103	50	2	1
2014-03-29 05:47:12.946764	77104	20.4	1	1
2014-03-29 05:47:28.69539	77105	47	2	10
2014-03-29 05:47:28.92647	77106	21.0	1	10
2014-03-29 05:47:32.214698	77107	305	3	2
2014-03-29 05:47:32.437034	77108	1117878.4661057112	4	2
2014-03-29 05:47:39.039707	77109	45	2	8
2014-03-29 05:47:39.275763	77110	20.9	1	8
2014-03-29 05:47:51.723225	77111	50	2	1
2014-03-29 05:47:51.96391	77112	20.4	1	1
2014-03-29 05:48:07.694317	77113	47	2	10
2014-03-29 05:48:07.926863	77114	21.0	1	10
2014-03-29 05:48:18.039812	77115	45	2	8
2014-03-29 05:48:18.261035	77116	20.9	1	8
2014-03-29 05:48:30.725318	77117	50	2	1
2014-03-29 05:48:30.956758	77118	20.4	1	1
2014-03-29 05:48:32.217514	77119	305	3	2
2014-03-29 05:48:32.440327	77120	1117884.2112793182	4	2
2014-03-29 05:48:46.897598	77121	47	2	10
2014-03-29 05:48:47.128888	77122	21.0	1	10
2014-03-29 05:48:57.040545	77123	45	2	8
2014-03-29 05:48:57.262758	77124	20.9	1	8
2014-03-29 05:49:09.721713	77125	50	2	1
2014-03-29 05:49:09.959049	77126	20.4	1	1
2014-03-29 05:49:25.697807	77127	47	2	10
2014-03-29 05:49:25.921272	77128	21.0	1	10
2014-03-29 05:49:32.219502	77129	338	3	2
2014-03-29 05:49:32.462815	77130	1117888.807418204	4	2
2014-03-29 05:49:36.042387	77131	45	2	8
2014-03-29 05:49:36.263245	77132	20.9	1	8
2014-03-29 05:49:44.218652	77133	338	3	2
2014-03-29 05:49:44.451791	77134	1117889.9564529255	4	2
2014-03-29 05:49:48.722523	77135	50	2	1
2014-03-29 05:49:48.944939	77136	20.4	1	1
2014-03-29 05:50:04.693975	77137	47	2	10
2014-03-29 05:50:04.980738	77138	21.0	1	10
2014-03-29 05:50:15.04025	77139	45	2	8
2014-03-29 05:50:15.2613	77140	20.9	1	8
2014-03-29 05:50:20.216593	77141	418	3	2
2014-03-29 05:50:20.453627	77142	1117893.4035570896	4	2
2014-03-29 05:50:27.72332	77143	50	2	1
2014-03-29 05:50:27.947682	77144	20.4	1	1
2014-03-29 05:50:32.215762	77145	418	3	2
2014-03-29 05:50:32.446566	77146	1117895.7016265325	4	2
2014-03-29 05:50:43.697106	77147	47	2	10
2014-03-29 05:50:43.923774	77148	21.0	1	10
2014-03-29 05:50:54.041649	77149	45	2	8
2014-03-29 05:50:54.272069	77150	20.9	1	8
2014-03-29 05:51:06.722148	77151	50	2	1
2014-03-29 05:51:06.94554	77152	20.4	1	1
2014-03-29 05:51:22.694216	77153	47	2	10
2014-03-29 05:51:22.927202	77154	21.0	1	10
2014-03-29 05:51:33.042999	77155	45	2	8
2014-03-29 05:51:33.266604	77156	20.9	1	8
2014-03-29 05:51:45.718585	77157	50	2	1
2014-03-29 05:51:45.950098	77158	20.4	1	1
2014-03-29 05:52:01.708639	77159	47	2	10
2014-03-29 05:52:01.930405	77160	21.0	1	10
2014-03-29 05:52:12.041972	77161	45	2	8
2014-03-29 05:52:12.276383	77162	20.9	1	8
2014-03-29 05:52:24.719785	77163	50	2	1
2014-03-29 05:52:24.9414	77164	20.4	1	1
2014-03-29 05:52:32.221674	77165	418	3	2
2014-03-29 05:52:32.453195	77166	1117909.4900431894	4	2
2014-03-29 05:52:40.694823	77167	47	2	10
2014-03-29 05:52:40.919267	77168	21.0	1	10
2014-03-29 05:52:44.216732	77169	450	3	2
2014-03-29 05:52:44.448756	77170	1117910.639077911	4	2
2014-03-29 05:52:51.040106	77171	45	2	8
2014-03-29 05:52:51.263138	77172	20.9	1	8
2014-03-29 05:52:56.215981	77173	450	3	2
2014-03-29 05:52:56.449353	77174	1117911.7881126322	4	2
2014-03-29 05:53:03.718218	77175	50	2	1
2014-03-29 05:53:03.940251	77176	20.4	1	1
2014-03-29 05:53:19.694372	77177	47	2	10
2014-03-29 05:53:19.93662	77178	21.0	1	10
2014-03-29 05:53:30.040631	77179	45	2	8
2014-03-29 05:53:30.280932	77180	20.9	1	8
2014-03-29 05:53:32.219618	77181	434	3	2
2014-03-29 05:53:32.453636	77182	1117916.384251518	4	2
2014-03-29 05:53:42.72003	77183	50	2	1
2014-03-29 05:53:42.941055	77184	20.4	1	1
2014-03-29 05:53:58.694398	77185	47	2	10
2014-03-29 05:53:58.924313	77186	21.0	1	10
2014-03-29 05:54:09.040731	77187	45	2	8
2014-03-29 05:54:09.261467	77188	20.9	1	8
2014-03-29 05:54:21.721767	77189	50	2	1
2014-03-29 05:54:21.953187	77190	20.4	1	1
2014-03-29 05:54:32.218641	77191	434	3	2
2014-03-29 05:54:32.439829	77192	1117924.4274945678	4	2
2014-03-29 05:54:37.696405	77193	47	2	10
2014-03-29 05:54:37.930897	77194	21.0	1	10
2014-03-29 05:54:48.039951	77195	45	2	8
2014-03-29 05:54:48.261805	77196	20.9	1	8
2014-03-29 05:54:56.218182	77197	370	3	2
2014-03-29 05:54:56.450061	77198	1117926.7255640107	4	2
2014-03-29 05:55:00.722107	77199	50	2	1
2014-03-29 05:55:00.94162	77200	20.4	1	1
2014-03-29 05:55:08.21609	77201	402	3	2
2014-03-29 05:55:08.446266	77202	1117927.874598732	4	2
2014-03-29 05:55:16.70024	77203	47	2	10
2014-03-29 05:55:16.920901	77204	21.0	1	10
2014-03-29 05:55:20.216489	77205	402	3	2
2014-03-29 05:55:20.447499	77206	1117929.0236334535	4	2
2014-03-29 05:55:27.041306	77207	45	2	8
2014-03-29 05:55:27.262642	77208	20.9	1	8
2014-03-29 05:55:32.21738	77209	370	3	2
2014-03-29 05:55:32.452877	77210	1117930.1726681748	4	2
2014-03-29 05:55:39.719514	77211	50	2	1
2014-03-29 05:55:39.943839	77212	20.4	1	1
2014-03-29 05:55:44.218058	77213	402	3	2
2014-03-29 05:55:44.448026	77214	1117931.3217028964	4	2
2014-03-29 05:55:55.696215	77215	47	2	10
2014-03-29 05:55:55.925944	77216	20.9	1	10
2014-03-29 05:55:56.231719	77217	370	3	2
2014-03-29 05:55:56.462278	77218	1117932.4707376177	4	2
2014-03-29 05:56:06.040493	77219	45	2	8
2014-03-29 05:56:06.262354	77220	20.9	1	8
2014-03-29 05:56:08.216214	77221	370	3	2
2014-03-29 05:56:08.44845	77222	1117934.7688070606	4	2
2014-03-29 05:56:18.71864	77223	50	2	1
2014-03-29 05:56:18.943025	77224	20.4	1	1
2014-03-29 05:56:20.219279	77225	402	3	2
2014-03-29 05:56:20.461513	77226	1117935.9178417819	4	2
2014-03-29 05:56:32.217076	77227	370	3	2
2014-03-29 05:56:32.439643	77228	1117937.0668765034	4	2
2014-03-29 05:56:34.694613	77229	47	2	10
2014-03-29 05:56:34.927574	77230	20.9	1	10
2014-03-29 05:56:45.041794	77231	45	2	8
2014-03-29 05:56:45.265835	77232	20.9	1	8
2014-03-29 05:56:57.720761	77233	50	2	1
2014-03-29 05:56:57.954439	77234	20.3	1	1
2014-03-29 05:57:13.69646	77235	47	2	10
2014-03-29 05:57:13.918236	77236	20.9	1	10
2014-03-29 05:57:24.04069	77237	45	2	8
2014-03-29 05:57:24.273936	77238	20.9	1	8
2014-03-29 05:57:32.217462	77239	370	3	2
2014-03-29 05:57:32.439719	77240	1117942.8120501104	4	2
2014-03-29 05:57:36.719043	77241	50	2	1
2014-03-29 05:57:36.950001	77242	20.3	1	1
2014-03-29 05:57:52.69562	77243	47	2	10
2014-03-29 05:57:52.92144	77244	20.9	1	10
2014-03-29 05:58:03.039767	77245	45	2	8
2014-03-29 05:58:03.273183	77246	20.9	1	8
2014-03-29 05:58:15.718329	77247	50	2	1
2014-03-29 05:58:15.940754	77248	20.3	1	1
2014-03-29 05:58:31.699342	77249	47	2	10
2014-03-29 05:58:31.931011	77250	20.9	1	10
2014-03-29 05:58:32.236893	77251	370	3	2
2014-03-29 05:58:32.458917	77252	1117949.706258439	4	2
2014-03-29 05:58:42.040243	77253	45	2	8
2014-03-29 05:58:42.271601	77254	20.9	1	8
2014-03-29 05:58:54.715614	77255	50	2	1
2014-03-29 05:58:54.939008	77256	20.3	1	1
2014-03-29 05:59:10.698314	77257	47	2	10
2014-03-29 05:59:11.066041	77258	20.9	1	10
2014-03-29 05:59:21.040801	77259	45	2	8
2014-03-29 05:59:21.298093	77260	20.9	1	8
2014-03-29 05:59:32.215983	77261	370	3	2
2014-03-29 05:59:32.768971	77262	1117955.451432046	4	2
2014-03-29 05:59:33.718074	77263	50	2	1
2014-03-29 05:59:33.975032	77264	20.3	1	1
2014-03-29 05:59:49.699367	77265	47	2	10
2014-03-29 05:59:49.969289	77266	20.9	1	10
2014-03-29 06:00:00.040053	77267	45	2	8
2014-03-29 06:00:00.311556	77268	20.9	1	8
2014-03-29 06:00:12.718545	77269	50	2	1
2014-03-29 06:00:12.950467	77270	20.3	1	1
2014-03-29 06:00:28.698648	77271	47	2	10
2014-03-29 06:00:28.921095	77272	20.9	1	10
2014-03-29 06:00:32.220488	77273	370	3	2
2014-03-29 06:00:32.462057	77274	1117961.196605653	4	2
2014-03-29 06:00:39.040375	77275	45	2	8
2014-03-29 06:00:39.262037	77276	20.9	1	8
2014-03-29 06:00:51.717329	77277	50	2	1
2014-03-29 06:00:51.946655	77278	20.3	1	1
2014-03-29 06:01:07.695692	77279	47	2	10
2014-03-29 06:01:07.918974	77280	20.9	1	10
2014-03-29 06:01:18.039101	77281	45	2	8
2014-03-29 06:01:18.271186	77282	20.9	1	8
2014-03-29 06:01:30.716222	77283	50	2	1
2014-03-29 06:01:30.94127	77284	20.3	1	1
2014-03-29 06:01:32.214553	77285	370	3	2
2014-03-29 06:01:32.446131	77286	1117968.0908139816	4	2
2014-03-29 06:01:46.699098	77287	47	2	10
2014-03-29 06:01:46.922852	77288	20.9	1	10
2014-03-29 06:01:57.041942	77289	45	2	8
2014-03-29 06:01:57.273415	77290	20.9	1	8
2014-03-29 06:02:09.71636	77291	50	2	1
2014-03-29 06:02:09.939269	77292	20.3	1	1
2014-03-29 06:02:20.215854	77293	434	3	2
2014-03-29 06:02:20.447307	77294	1117972.6869528673	4	2
2014-03-29 06:02:25.699065	77295	47	2	10
2014-03-29 06:02:25.924516	77296	20.9	1	10
2014-03-29 06:02:32.215719	77297	434	3	2
2014-03-29 06:02:32.449678	77298	1117974.9850223102	4	2
2014-03-29 06:02:36.045383	77299	45	2	8
2014-03-29 06:02:36.267812	77300	20.9	1	8
2014-03-29 06:02:48.716125	77301	50	2	1
2014-03-29 06:02:48.950152	77302	20.3	1	1
2014-03-29 06:03:04.698488	77303	47	2	10
2014-03-29 06:03:04.919773	77304	20.9	1	10
2014-03-29 06:03:15.039258	77305	45	2	8
2014-03-29 06:03:15.273468	77306	20.9	1	8
2014-03-29 06:03:27.715073	77307	50	2	1
2014-03-29 06:03:27.937965	77308	20.3	1	1
2014-03-29 06:03:32.218769	77309	434	3	2
2014-03-29 06:03:32.448781	77310	1117981.8792306385	4	2
2014-03-29 06:03:43.699299	77311	47	2	10
2014-03-29 06:03:43.921232	77312	20.8	1	10
2014-03-29 06:03:54.039532	77313	45	2	8
2014-03-29 06:03:54.271528	77314	20.9	1	8
2014-03-29 06:04:06.71214	77315	50	2	1
2014-03-29 06:04:06.933401	77316	20.3	1	1
2014-03-29 06:04:22.699306	77317	47	2	10
2014-03-29 06:04:22.931731	77318	20.8	1	10
2014-03-29 06:04:33.247084	77319	45	2	8
2014-03-29 06:04:33.470966	77320	20.9	1	8
2014-03-29 06:04:45.712584	77321	50	2	1
2014-03-29 06:04:45.95611	77322	20.3	1	1
2014-03-29 06:05:01.709302	77323	47	2	10
2014-03-29 06:05:02.408745	77324	20.8	1	10
2014-03-29 06:05:12.040251	77325	45	2	8
2014-03-29 06:05:12.302492	77326	20.9	1	8
2014-03-29 06:05:20.213834	77327	370	3	2
2014-03-29 06:05:20.436364	77328	1117994.518612574	4	2
2014-03-29 06:05:24.712828	77329	50	2	1
2014-03-29 06:05:24.943514	77330	20.3	1	1
2014-03-29 06:05:32.214509	77331	370	3	2
2014-03-29 06:05:32.436225	77332	1117995.6676472956	4	2
2014-03-29 06:05:40.703545	77333	47	2	10
2014-03-29 06:05:40.94496	77334	20.8	1	10
2014-03-29 06:05:51.039819	77335	45	2	8
2014-03-29 06:05:51.260865	77336	20.9	1	8
2014-03-29 06:06:03.713705	77337	50	2	1
2014-03-29 06:06:03.945689	77338	20.3	1	1
2014-03-29 06:06:19.700957	77339	47	2	10
2014-03-29 06:06:19.925047	77340	20.8	1	10
2014-03-29 06:06:30.038533	77341	45	2	8
2014-03-29 06:06:30.270835	77342	20.9	1	8
2014-03-29 06:06:32.215256	77343	370	3	2
2014-03-29 06:06:32.435564	77344	1118002.561855624	4	2
2014-03-29 06:06:42.711457	77345	50	2	1
2014-03-29 06:06:42.944785	77346	20.3	1	1
2014-03-29 06:06:58.701787	77347	47	2	10
2014-03-29 06:06:58.925744	77348	20.8	1	10
2014-03-29 06:07:09.040174	77349	45	2	8
2014-03-29 06:07:09.272557	77350	20.9	1	8
2014-03-29 06:07:21.712417	77351	50	2	1
2014-03-29 06:07:21.936142	77352	20.3	1	1
2014-03-29 06:07:32.216012	77353	370	3	2
2014-03-29 06:07:32.448293	77354	1118008.307029231	4	2
2014-03-29 06:07:37.700237	77355	47	2	10
2014-03-29 06:07:37.923179	77356	20.8	1	10
2014-03-29 06:07:44.215621	77357	305	3	2
2014-03-29 06:07:44.448205	77358	1118009.4560639525	4	2
2014-03-29 06:07:48.245914	77359	45	2	8
2014-03-29 06:07:48.466262	77360	20.9	1	8
2014-03-29 06:07:56.217536	77361	305	3	2
2014-03-29 06:07:56.448812	77362	1118010.6050986738	4	2
2014-03-29 06:08:00.709259	77363	50	2	1
2014-03-29 06:08:00.930701	77364	20.3	1	1
2014-03-29 06:08:16.698733	77365	47	2	10
2014-03-29 06:08:16.930789	77366	20.8	1	10
2014-03-29 06:08:26.139131	77367	50	2	9
2014-03-29 06:08:26.365075	77368	20.1	1	9
2014-03-29 06:08:27.039695	77369	45	2	8
2014-03-29 06:08:27.284336	77370	20.9	1	8
2014-03-29 06:08:32.219045	77371	305	3	2
2014-03-29 06:08:32.440858	77372	1118014.0522028382	4	2
2014-03-29 06:08:39.709797	77373	50	2	1
2014-03-29 06:08:39.94153	77374	20.3	1	1
2014-03-29 06:08:55.699105	77375	47	2	10
2014-03-29 06:08:55.928606	77376	20.8	1	10
2014-03-29 06:09:06.038701	77377	45	2	8
2014-03-29 06:09:06.271609	77378	20.9	1	8
2014-03-29 06:09:18.711592	77379	50	2	1
2014-03-29 06:09:18.932811	77380	20.3	1	1
2014-03-29 06:09:32.215328	77381	305	3	2
2014-03-29 06:09:32.448595	77382	1118018.648341724	4	2
2014-03-29 06:09:34.701506	77383	47	2	10
2014-03-29 06:09:34.924338	77384	20.8	1	10
2014-03-29 06:09:45.040197	77385	45	2	8
2014-03-29 06:09:45.27352	77386	20.9	1	8
2014-03-29 06:09:57.709053	77387	50	2	1
2014-03-29 06:09:57.931271	77388	20.3	1	1
2014-03-29 06:10:13.699189	77389	47	2	10
2014-03-29 06:10:13.931052	77390	20.8	1	10
2014-03-29 06:10:23.13962	77391	50	2	9
2014-03-29 06:10:23.361659	77392	20.1	1	9
2014-03-29 06:10:24.039447	77393	45	2	8
2014-03-29 06:10:24.273273	77394	20.9	1	8
2014-03-29 06:10:32.215062	77395	305	3	2
2014-03-29 06:10:32.437242	77396	1118023.2444806094	4	2
2014-03-29 06:10:36.71167	77397	49	2	1
2014-03-29 06:10:36.942221	77398	20.3	1	1
2014-03-29 06:10:44.216672	77399	338	3	2
2014-03-29 06:10:44.438555	77400	1118024.393515331	4	2
2014-03-29 06:10:52.702787	77401	47	2	10
2014-03-29 06:10:52.934756	77402	20.8	1	10
2014-03-29 06:10:56.217111	77403	305	3	2
2014-03-29 06:10:56.445274	77404	1118025.5425500523	4	2
2014-03-29 06:11:03.040052	77405	45	2	8
2014-03-29 06:11:03.271698	77406	20.9	1	8
2014-03-29 06:11:08.217564	77407	305	3	2
2014-03-29 06:11:08.446695	77408	1118026.6915847738	4	2
2014-03-29 06:11:15.71274	77409	49	2	1
2014-03-29 06:11:15.944796	77410	20.3	1	1
2014-03-29 06:11:31.703568	77411	47	2	10
2014-03-29 06:11:31.928068	77412	20.8	1	10
2014-03-29 06:11:32.233775	77413	305	3	2
2014-03-29 06:11:32.466345	77414	1118028.9896542167	4	2
2014-03-29 06:11:42.039939	77415	45	2	8
2014-03-29 06:11:42.26077	77416	20.9	1	8
2014-03-29 06:11:54.711686	77417	49	2	1
2014-03-29 06:11:54.957857	77418	20.3	1	1
2014-03-29 06:11:56.216873	77419	338	3	2
2014-03-29 06:11:56.444631	77420	1118031.2877236593	4	2
2014-03-29 06:12:08.215556	77421	338	3	2
2014-03-29 06:12:08.446248	77422	1118032.4367583808	4	2
2014-03-29 06:12:10.700407	77423	47	2	10
2014-03-29 06:12:10.932527	77424	20.8	1	10
2014-03-29 06:12:21.039827	77425	45	2	8
2014-03-29 06:12:21.271574	77426	20.9	1	8
2014-03-29 06:12:32.217464	77427	305	3	2
2014-03-29 06:12:32.440813	77428	1118034.7348278237	4	2
2014-03-29 06:12:33.707167	77429	49	2	1
2014-03-29 06:12:33.941054	77430	20.3	1	1
2014-03-29 06:12:49.69976	77431	47	2	10
2014-03-29 06:12:49.946037	77432	20.8	1	10
2014-03-29 06:13:00.041355	77433	45	2	8
2014-03-29 06:13:00.274444	77434	20.8	1	8
2014-03-29 06:13:12.708276	77435	49	2	1
2014-03-29 06:13:12.930407	77436	20.3	1	1
2014-03-29 06:13:28.701969	77437	47	2	10
2014-03-29 06:13:28.93461	77438	20.7	1	10
2014-03-29 06:13:32.21832	77439	305	3	2
2014-03-29 06:13:32.441025	77440	1118039.3309667094	4	2
2014-03-29 06:13:39.04001	77441	45	2	8
2014-03-29 06:13:39.273684	77442	20.8	1	8
2014-03-29 06:13:44.216101	77443	338	3	2
2014-03-29 06:13:44.444634	77444	1118040.4800014307	4	2
2014-03-29 06:13:51.709747	77445	49	2	1
2014-03-29 06:13:51.942271	77446	20.3	1	1
2014-03-29 06:13:56.217765	77447	338	3	2
2014-03-29 06:13:56.447069	77448	1118041.629036152	4	2
2014-03-29 06:14:07.699579	77449	47	2	10
2014-03-29 06:14:07.93284	77450	20.7	1	10
2014-03-29 06:14:08.24003	77451	305	3	2
2014-03-29 06:14:08.461738	77452	1118042.7780708736	4	2
2014-03-29 06:14:18.040653	77453	45	2	8
2014-03-29 06:14:18.274034	77454	20.8	1	8
2014-03-29 06:14:20.217674	77455	305	3	2
2014-03-29 06:14:20.439901	77456	1118043.927105595	4	2
2014-03-29 06:14:30.708525	77457	49	2	1
2014-03-29 06:14:30.941318	77458	20.3	1	1
2014-03-29 06:14:32.217352	77459	305	3	2
2014-03-29 06:14:32.4405	77460	1118043.927105595	4	2
2014-03-29 06:14:46.700089	77461	47	2	10
2014-03-29 06:14:46.933174	77462	20.7	1	10
2014-03-29 06:14:57.041256	77463	45	2	8
2014-03-29 06:14:57.264475	77464	20.8	1	8
2014-03-29 06:15:08.215629	77465	370	3	2
2014-03-29 06:15:08.460378	77466	1118047.3742097593	4	2
2014-03-29 06:15:09.709753	77467	49	2	1
2014-03-29 06:15:09.932015	77468	20.3	1	1
2014-03-29 06:15:20.217609	77469	354	3	2
2014-03-29 06:15:20.451253	77470	1118048.5232444806	4	2
2014-03-29 06:15:25.702502	77471	47	2	10
2014-03-29 06:15:25.947176	77472	20.7	1	10
2014-03-29 06:15:35.140555	77473	50	2	9
2014-03-29 06:15:35.371561	77474	20.0	1	9
2014-03-29 06:15:36.041524	77475	45	2	8
2014-03-29 06:15:36.261715	77476	20.8	1	8
2014-03-29 06:15:48.709689	77477	49	2	1
2014-03-29 06:15:48.941525	77478	20.3	1	1
2014-03-29 06:16:04.699386	77479	47	2	10
2014-03-29 06:16:04.922123	77480	20.7	1	10
2014-03-29 06:16:15.03992	77481	45	2	8
2014-03-29 06:16:15.271593	77482	20.8	1	8
2014-03-29 06:16:27.709124	77483	49	2	1
2014-03-29 06:16:27.931493	77484	20.3	1	1
2014-03-29 06:16:32.216633	77485	370	3	2
2014-03-29 06:16:32.447254	77486	1118056.5664875305	4	2
2014-03-29 06:16:43.702776	77487	47	2	10
2014-03-29 06:16:43.926664	77488	20.7	1	10
2014-03-29 06:16:54.040485	77489	45	2	8
2014-03-29 06:16:54.272553	77490	20.8	1	8
2014-03-29 06:17:06.704439	77491	49	2	1
2014-03-29 06:17:06.935163	77492	20.3	1	1
2014-03-29 06:17:22.701807	77493	47	2	10
2014-03-29 06:17:22.936055	77494	20.7	1	10
2014-03-29 06:17:33.040687	77495	45	2	8
2014-03-29 06:17:33.261493	77496	20.8	1	8
2014-03-29 06:17:45.709087	77497	49	2	1
2014-03-29 06:17:45.94345	77498	20.3	1	1
2014-03-29 06:18:01.703683	77499	47	2	10
2014-03-29 06:18:01.94816	77500	20.7	1	10
2014-03-29 06:18:12.043307	77501	45	2	8
2014-03-29 06:18:12.276261	77502	20.8	1	8
2014-03-29 06:18:24.706133	77503	49	2	1
2014-03-29 06:18:24.927862	77504	20.3	1	1
2014-03-29 06:18:32.216096	77505	370	3	2
2014-03-29 06:18:32.448406	77506	1118068.0568347448	4	2
2014-03-29 06:18:40.702982	77507	47	2	10
2014-03-29 06:18:40.925744	77508	20.7	1	10
2014-03-29 06:18:51.040555	77509	45	2	8
2014-03-29 06:18:51.275006	77510	20.8	1	8
2014-03-29 06:19:03.704781	77511	49	2	1
2014-03-29 06:19:03.926926	77512	20.3	1	1
2014-03-29 06:19:19.700444	77513	47	2	10
2014-03-29 06:19:19.945586	77514	20.7	1	10
2014-03-29 06:19:30.039306	77515	45	2	8
2014-03-29 06:19:30.263377	77516	20.8	1	8
2014-03-29 06:19:32.21745	77517	370	3	2
2014-03-29 06:19:32.448741	77518	1118074.951043073	4	2
2014-03-29 06:19:42.704294	77519	49	2	1
2014-03-29 06:19:42.926779	77520	20.3	1	1
2014-03-29 06:19:58.702541	77521	47	2	10
2014-03-29 06:19:58.933376	77522	20.7	1	10
2014-03-29 06:20:09.040143	77523	45	2	8
2014-03-29 06:20:09.263233	77524	20.8	1	8
2014-03-29 06:20:21.702442	77525	49	2	1
2014-03-29 06:20:21.934288	77526	20.3	1	1
2014-03-29 06:20:32.217383	77527	354	3	2
2014-03-29 06:20:32.442988	77528	1118080.6962166803	4	2
2014-03-29 06:20:37.700066	77529	47	2	10
2014-03-29 06:20:37.935729	77530	20.7	1	10
2014-03-29 06:20:44.213934	77531	305	3	2
2014-03-29 06:20:44.439645	77532	1118081.8452514017	4	2
2014-03-29 06:20:48.039953	77533	45	2	8
2014-03-29 06:20:48.270777	77534	20.8	1	8
2014-03-29 06:20:56.217537	77535	305	3	2
2014-03-29 06:20:56.443264	77536	1118082.994286123	4	2
2014-03-29 06:21:00.706401	77537	49	2	1
2014-03-29 06:21:00.936734	77538	20.3	1	1
2014-03-29 06:21:16.706028	77539	47	2	10
2014-03-29 06:21:16.927385	77540	20.7	1	10
2014-03-29 06:21:27.04061	77541	45	2	8
2014-03-29 06:21:27.272258	77542	20.8	1	8
2014-03-29 06:21:32.214688	77543	305	3	2
2014-03-29 06:21:32.440508	77544	1118085.2923555658	4	2
2014-03-29 06:21:39.703807	77545	49	2	1
2014-03-29 06:21:39.936168	77546	20.3	1	1
2014-03-29 06:21:55.70571	77547	47	2	10
2014-03-29 06:21:55.926172	77548	20.7	1	10
2014-03-29 06:22:06.039865	77549	45	2	8
2014-03-29 06:22:06.271265	77550	20.8	1	8
2014-03-29 06:22:18.706384	77551	49	2	1
2014-03-29 06:22:18.929287	77552	20.3	1	1
2014-03-29 06:22:32.215818	77553	305	3	2
2014-03-29 06:22:32.450131	77554	1118091.037529173	4	2
2014-03-29 06:22:34.703537	77555	47	2	10
2014-03-29 06:22:34.927417	77556	20.7	1	10
2014-03-29 06:22:45.04017	77557	45	2	8
2014-03-29 06:22:45.273821	77558	20.8	1	8
2014-03-29 06:22:57.702875	77559	49	2	1
2014-03-29 06:22:57.926249	77560	20.3	1	1
2014-03-29 06:23:13.704486	77561	47	2	10
2014-03-29 06:23:13.949449	77562	20.7	1	10
2014-03-29 06:23:24.039703	77563	45	2	8
2014-03-29 06:23:24.261315	77564	20.8	1	8
2014-03-29 06:23:32.214534	77565	289	3	2
2014-03-29 06:23:32.447716	77566	1118095.6336680586	4	2
2014-03-29 06:23:36.701655	77567	49	2	1
2014-03-29 06:23:36.922589	77568	20.3	1	1
2014-03-29 06:23:52.704068	77569	47	2	10
2014-03-29 06:23:52.938299	77570	20.7	1	10
2014-03-29 06:24:03.041826	77571	45	2	8
2014-03-29 06:24:03.26349	77572	20.8	1	8
2014-03-29 06:24:15.702457	77573	49	2	1
2014-03-29 06:24:15.937244	77574	20.3	1	1
2014-03-29 06:24:20.217082	77575	338	3	2
2014-03-29 06:24:20.439496	77576	1118100.2298069443	4	2
2014-03-29 06:24:31.71568	77577	47	2	10
2014-03-29 06:24:31.946914	77578	20.7	1	10
2014-03-29 06:24:32.254433	77579	305	3	2
2014-03-29 06:24:32.475511	77580	1118101.3788416658	4	2
2014-03-29 06:24:42.040023	77581	45	2	8
2014-03-29 06:24:42.274868	77582	20.8	1	8
2014-03-29 06:24:44.214424	77583	305	3	2
2014-03-29 06:24:44.437312	77584	1118102.5278763871	4	2
2014-03-29 06:24:54.700968	77585	49	2	1
2014-03-29 06:24:54.932276	77586	20.3	1	1
2014-03-29 06:25:10.909532	77587	47	2	10
2014-03-29 06:25:11.133388	77588	20.7	1	10
2014-03-29 06:25:21.039149	77589	45	2	8
2014-03-29 06:25:21.273937	77590	20.8	1	8
2014-03-29 06:25:32.215267	77591	338	3	2
2014-03-29 06:25:32.440739	77592	1118105.9749805513	4	2
2014-03-29 06:25:33.702401	77593	49	2	1
2014-03-29 06:25:33.933211	77594	20.3	1	1
2014-03-29 06:25:44.215426	77595	305	3	2
2014-03-29 06:25:44.439556	77596	1118107.1240152728	4	2
2014-03-29 06:25:49.703549	77597	47	2	10
2014-03-29 06:25:49.959379	77598	20.7	1	10
2014-03-29 06:25:56.217224	77599	305	3	2
2014-03-29 06:25:56.442335	77600	1118108.2730499941	4	2
2014-03-29 06:26:00.03988	77601	45	2	8
2014-03-29 06:26:00.272183	77602	20.8	1	8
2014-03-29 06:26:12.703118	77603	49	2	1
2014-03-29 06:26:12.926212	77604	20.3	1	1
2014-03-29 06:26:28.702291	77605	47	2	10
2014-03-29 06:26:28.934221	77606	20.7	1	10
2014-03-29 06:26:32.213911	77607	305	3	2
2014-03-29 06:26:32.436964	77608	1118111.7201541585	4	2
2014-03-29 06:26:39.04028	77609	45	2	8
2014-03-29 06:26:39.283315	77610	20.8	1	8
2014-03-29 06:26:51.702577	77611	49	2	1
2014-03-29 06:26:51.983407	77612	20.3	1	1
2014-03-29 06:27:07.707959	77613	47	2	10
2014-03-29 06:27:07.942655	77614	20.6	1	10
2014-03-29 06:27:18.039933	77615	45	2	8
2014-03-29 06:27:18.262523	77616	20.8	1	8
2014-03-29 06:27:30.703728	77617	49	2	1
2014-03-29 06:27:30.935186	77618	20.2	1	1
2014-03-29 06:27:32.213992	77619	305	3	2
2014-03-29 06:27:32.435519	77620	1118116.316293044	4	2
2014-03-29 06:27:46.704699	77621	47	2	10
2014-03-29 06:27:46.943706	77622	20.6	1	10
2014-03-29 06:27:57.040985	77623	45	2	8
2014-03-29 06:27:57.263264	77624	20.8	1	8
2014-03-29 06:28:08.213593	77625	370	3	2
2014-03-29 06:28:08.44533	77626	1118119.7633972084	4	2
2014-03-29 06:28:09.697848	77627	49	2	1
2014-03-29 06:28:09.921723	77628	20.2	1	1
2014-03-29 06:28:20.21339	77629	370	3	2
2014-03-29 06:28:20.446673	77630	1118119.7678681605	4	2
2014-03-29 06:28:25.703561	77631	47	2	10
2014-03-29 06:28:25.933046	77632	20.6	1	10
2014-03-29 06:28:32.215008	77633	354	3	2
2014-03-29 06:28:32.447313	77634	1118120.916902882	4	2
2014-03-29 06:28:36.041069	77635	45	2	8
2014-03-29 06:28:36.266873	77636	20.8	1	8
2014-03-29 06:28:48.698892	77637	49	2	1
2014-03-29 06:28:48.933041	77638	20.2	1	1
2014-03-29 06:29:04.707365	77639	47	2	10
2014-03-29 06:29:04.929793	77640	20.6	1	10
2014-03-29 06:29:15.042383	77641	45	2	8
2014-03-29 06:29:15.276997	77642	20.8	1	8
2014-03-29 06:29:27.699229	77643	49	2	1
2014-03-29 06:29:27.920709	77644	20.2	1	1
2014-03-29 06:29:43.704036	77645	47	2	10
2014-03-29 06:29:43.936907	77646	20.6	1	10
2014-03-29 06:29:54.040846	77647	45	2	8
2014-03-29 06:29:54.263844	77648	20.8	1	8
2014-03-29 06:30:06.698027	77649	49	2	1
2014-03-29 06:30:06.930412	77650	20.2	1	1
2014-03-29 06:30:22.706707	77651	47	2	10
2014-03-29 06:30:22.929654	77652	20.6	1	10
2014-03-29 06:30:33.038846	77653	45	2	8
2014-03-29 06:30:33.273183	77654	20.8	1	8
2014-03-29 06:30:45.701097	77655	49	2	1
2014-03-29 06:30:45.923355	77656	20.2	1	1
2014-03-29 06:31:01.705506	77657	47	2	10
2014-03-29 06:31:01.948051	77658	20.6	1	10
2014-03-29 06:31:12.039308	77659	45	2	8
2014-03-29 06:31:12.260347	77660	20.8	1	8
2014-03-29 06:31:24.698908	77661	49	2	1
2014-03-29 06:31:25.115948	77662	20.2	1	1
2014-03-29 06:31:32.213277	77663	354	3	2
2014-03-29 06:31:32.435742	77664	1118139.3014584247	4	2
2014-03-29 06:31:40.709235	77665	47	2	10
2014-03-29 06:31:40.931393	77666	20.6	1	10
2014-03-29 06:31:51.038072	77667	45	2	8
2014-03-29 06:31:51.26778	77668	20.8	1	8
2014-03-29 06:32:03.69978	77669	49	2	1
2014-03-29 06:32:03.920845	77670	20.2	1	1
2014-03-29 06:32:19.70758	77671	47	2	10
2014-03-29 06:32:19.94003	77672	20.6	1	10
2014-03-29 06:32:30.038271	77673	45	2	8
2014-03-29 06:32:30.259778	77674	20.8	1	8
2014-03-29 06:32:32.21423	77675	354	3	2
2014-03-29 06:32:32.445872	77676	1118145.0466320317	4	2
2014-03-29 06:32:42.700446	77677	49	2	1
2014-03-29 06:32:42.923714	77678	20.2	1	1
2014-03-29 06:32:58.709218	77679	47	2	10
2014-03-29 06:32:58.940882	77680	20.6	1	10
2014-03-29 06:33:09.03938	77681	45	2	8
2014-03-29 06:33:09.260838	77682	20.8	1	8
2014-03-29 06:33:20.215497	77683	305	3	2
2014-03-29 06:33:20.447492	77684	1118149.6427709174	4	2
2014-03-29 06:33:21.699152	77685	49	2	1
2014-03-29 06:33:21.923326	77686	20.2	1	1
2014-03-29 06:33:32.215062	77687	338	3	2
2014-03-29 06:33:32.44688	77688	1118150.7918056387	4	2
2014-03-29 06:33:37.705357	77689	47	2	10
2014-03-29 06:33:37.932899	77690	20.6	1	10
2014-03-29 06:33:44.212631	77691	338	3	2
2014-03-29 06:33:44.445143	77692	1118151.9408403602	4	2
2014-03-29 06:33:48.038561	77693	45	2	8
2014-03-29 06:33:48.25997	77694	20.8	1	8
2014-03-29 06:34:00.697106	77695	49	2	1
2014-03-29 06:34:00.933695	77696	20.2	1	1
2014-03-29 06:34:08.213551	77697	305	3	2
2014-03-29 06:34:08.436959	77698	1118154.238909803	4	2
2014-03-29 06:34:16.705337	77699	47	2	10
2014-03-29 06:34:16.936621	77700	20.6	1	10
2014-03-29 06:34:20.216483	77701	305	3	2
2014-03-29 06:34:20.437715	77702	1118155.3879445244	4	2
2014-03-29 06:34:25.937438	77703	50	2	9
2014-03-29 06:34:26.172336	77704	20.0	1	9
2014-03-29 06:34:27.041596	77705	45	2	8
2014-03-29 06:34:27.262927	77706	20.8	1	8
2014-03-29 06:34:32.214354	77707	305	3	2
2014-03-29 06:34:32.457095	77708	1118156.536979246	4	2
2014-03-29 06:34:39.69821	77709	49	2	1
2014-03-29 06:34:39.919646	77710	20.2	1	1
2014-03-29 06:34:55.70876	77711	47	2	10
2014-03-29 06:34:55.939769	77712	20.6	1	10
2014-03-29 06:35:06.039087	77713	45	2	8
2014-03-29 06:35:06.260481	77714	20.8	1	8
2014-03-29 06:35:08.216683	77715	338	3	2
2014-03-29 06:35:08.447991	77716	1118158.8350486886	4	2
2014-03-29 06:35:18.694196	77717	49	2	1
2014-03-29 06:35:18.916456	77718	20.2	1	1
2014-03-29 06:35:20.21625	77719	338	3	2
2014-03-29 06:35:20.44709	77720	1118159.9840834101	4	2
2014-03-29 06:35:32.217463	77721	338	3	2
2014-03-29 06:35:32.43788	77722	1118161.1331181314	4	2
2014-03-29 06:35:34.708468	77723	47	2	10
2014-03-29 06:35:34.940261	77724	20.6	1	10
2014-03-29 06:35:45.039463	77725	45	2	8
2014-03-29 06:35:45.263456	77726	20.8	1	8
2014-03-29 06:35:56.213149	77727	338	3	2
2014-03-29 06:35:56.446971	77728	1118163.4311875743	4	2
2014-03-29 06:35:57.698294	77729	49	2	1
2014-03-29 06:35:57.926042	77730	20.2	1	1
2014-03-29 06:36:08.213366	77731	305	3	2
2014-03-29 06:36:08.447844	77732	1118164.5802222958	4	2
2014-03-29 06:36:13.708759	77733	47	2	10
2014-03-29 06:36:13.930407	77734	20.6	1	10
2014-03-29 06:36:20.21584	77735	338	3	2
2014-03-29 06:36:20.450258	77736	1118165.7292570171	4	2
2014-03-29 06:36:22.935141	77737	50	2	9
2014-03-29 06:36:23.157166	77738	20.0	1	9
2014-03-29 06:36:24.03963	77739	45	2	8
2014-03-29 06:36:24.269736	77740	20.8	1	8
2014-03-29 06:36:32.215459	77741	305	3	2
2014-03-29 06:36:32.439401	77742	1118166.8782917387	4	2
2014-03-29 06:36:36.694072	77743	49	2	1
2014-03-29 06:36:36.924551	77744	20.2	1	1
2014-03-29 06:36:44.21783	77745	305	3	2
2014-03-29 06:36:44.442132	77746	1118168.02732646	4	2
2014-03-29 06:36:52.707366	77747	47	2	10
2014-03-29 06:36:52.939069	77748	20.6	1	10
2014-03-29 06:36:56.214723	77749	338	3	2
2014-03-29 06:36:56.438317	77750	1118168.02732646	4	2
2014-03-29 06:37:03.039341	77751	45	2	8
2014-03-29 06:37:03.269812	77752	20.8	1	8
2014-03-29 06:37:08.214811	77753	305	3	2
2014-03-29 06:37:08.442998	77754	1118169.1763611813	4	2
2014-03-29 06:37:15.697798	77755	49	2	1
2014-03-29 06:37:15.93967	77756	20.2	1	1
2014-03-29 06:37:31.711035	77757	47	2	10
2014-03-29 06:37:31.933105	77758	20.6	1	10
2014-03-29 06:37:32.237194	77759	338	3	2
2014-03-29 06:37:32.468459	77760	1118171.4744306242	4	2
2014-03-29 06:37:42.039169	77761	45	2	8
2014-03-29 06:37:42.263218	77762	20.8	1	8
2014-03-29 06:37:44.2129	77763	305	3	2
2014-03-29 06:37:44.443685	77764	1118172.6234653457	4	2
2014-03-29 06:37:54.693758	77765	49	2	1
2014-03-29 06:37:54.914506	77766	20.2	1	1
2014-03-29 06:37:56.213566	77767	305	3	2
2014-03-29 06:37:56.444427	77768	1118173.772500067	4	2
2014-03-29 06:38:10.710237	77769	47	2	10
2014-03-29 06:38:10.939811	77770	20.6	1	10
2014-03-29 06:38:21.038213	77771	45	2	8
2014-03-29 06:38:21.26933	77772	20.8	1	8
2014-03-29 06:38:32.212046	77773	305	3	2
2014-03-29 06:38:32.434088	77774	1118177.2196042314	4	2
2014-03-29 06:38:33.695954	77775	49	2	1
2014-03-29 06:38:33.92989	77776	20.2	1	1
2014-03-29 06:38:49.708597	77777	47	2	10
2014-03-29 06:38:49.931551	77778	20.5	1	10
2014-03-29 06:39:00.041636	77779	45	2	8
2014-03-29 06:39:00.272947	77780	20.8	1	8
2014-03-29 06:39:12.695812	77781	49	2	1
2014-03-29 06:39:12.917949	77782	20.2	1	1
2014-03-29 06:39:28.708902	77783	47	2	10
2014-03-29 06:39:28.942932	77784	20.5	1	10
2014-03-29 06:39:32.212347	77785	338	3	2
2014-03-29 06:39:32.433968	77786	1118181.815743117	4	2
2014-03-29 06:39:39.040612	77787	45	2	8
2014-03-29 06:39:39.272637	77788	20.8	1	8
2014-03-29 06:39:44.21232	77789	305	3	2
2014-03-29 06:39:44.4383	77790	1118182.9647778384	4	2
2014-03-29 06:39:51.693406	77791	49	2	1
2014-03-29 06:39:51.925422	77792	20.2	1	1
2014-03-29 06:39:56.21284	77793	305	3	2
2014-03-29 06:39:56.434194	77794	1118184.1138125597	4	2
2014-03-29 06:40:07.708422	77795	47	2	10
2014-03-29 06:40:07.940411	77796	20.5	1	10
2014-03-29 06:40:16.923859	77797	50	2	9
2014-03-29 06:40:17.147002	77798	19.9	1	9
2014-03-29 06:40:18.039319	77799	45	2	8
2014-03-29 06:40:18.272351	77800	20.8	1	8
2014-03-29 06:40:30.693432	77801	49	2	1
2014-03-29 06:40:30.916154	77802	20.2	1	1
2014-03-29 06:40:32.215792	77803	370	3	2
2014-03-29 06:40:32.460929	77804	1118187.5609167241	4	2
2014-03-29 06:40:44.216671	77805	370	3	2
2014-03-29 06:40:44.438015	77806	1118188.7099514455	4	2
2014-03-29 06:40:46.709494	77807	47	2	10
2014-03-29 06:40:46.941743	77808	20.5	1	10
2014-03-29 06:40:57.03917	77809	45	2	8
2014-03-29 06:40:57.261146	77810	20.8	1	8
2014-03-29 06:41:09.694389	77811	49	2	1
2014-03-29 06:41:09.926693	77812	20.2	1	1
2014-03-29 06:41:25.710226	77813	47	2	10
2014-03-29 06:41:25.934504	77814	20.5	1	10
2014-03-29 06:41:32.214711	77815	370	3	2
2014-03-29 06:41:32.448982	77816	1118193.3060903312	4	2
2014-03-29 06:41:36.038897	77817	45	2	8
2014-03-29 06:41:36.258272	77818	20.8	1	8
2014-03-29 06:41:48.689538	77819	49	2	1
2014-03-29 06:41:48.922721	77820	20.2	1	1
2014-03-29 06:42:04.706305	77821	47	2	10
2014-03-29 06:42:04.929281	77822	20.5	1	10
2014-03-29 06:42:15.038875	77823	45	2	8
2014-03-29 06:42:15.269713	77824	20.8	1	8
2014-03-29 06:42:27.694017	77825	49	2	1
2014-03-29 06:42:27.918045	77826	20.2	1	1
2014-03-29 06:42:32.213373	77827	370	3	2
2014-03-29 06:42:32.446988	77828	1118200.2002986597	4	2
2014-03-29 06:42:43.708074	77829	47	2	10
2014-03-29 06:42:43.931918	77830	20.5	1	10
2014-03-29 06:42:54.039685	77831	45	2	8
2014-03-29 06:42:54.271058	77832	20.8	1	8
2014-03-29 06:43:06.692156	77833	49	2	1
2014-03-29 06:43:06.914253	77834	20.2	1	1
2014-03-29 06:43:22.711187	77835	47	2	10
2014-03-29 06:43:22.943279	77836	20.5	1	10
2014-03-29 06:43:33.04243	77837	45	2	8
2014-03-29 06:43:33.263123	77838	20.8	1	8
2014-03-29 06:43:45.692082	77839	49	2	1
2014-03-29 06:43:45.926283	77840	20.2	1	1
2014-03-29 06:44:01.709499	77841	47	2	10
2014-03-29 06:44:01.933797	77842	20.5	1	10
2014-03-29 06:44:12.039886	77843	45	2	8
2014-03-29 06:44:12.270588	77844	20.8	1	8
2014-03-29 06:44:24.691823	77845	49	2	1
2014-03-29 06:44:24.915714	77846	20.2	1	1
2014-03-29 06:44:32.213936	77847	370	3	2
2014-03-29 06:44:32.448041	77848	1118211.6906458738	4	2
2014-03-29 06:44:40.71669	77849	47	2	10
2014-03-29 06:44:40.941056	77850	20.5	1	10
2014-03-29 06:44:51.042016	77851	45	2	8
2014-03-29 06:44:51.28547	77852	20.8	1	8
2014-03-29 06:45:03.690235	77853	49	2	1
2014-03-29 06:45:03.91338	77854	20.2	1	1
2014-03-29 06:45:19.709031	77855	47	2	10
2014-03-29 06:45:19.942978	77856	20.5	1	10
2014-03-29 06:45:30.041269	77857	45	2	8
2014-03-29 06:45:30.262557	77858	20.8	1	8
2014-03-29 06:45:32.21088	77859	370	3	2
2014-03-29 06:45:32.44329	77860	1118218.5848542023	4	2
2014-03-29 06:45:42.690225	77861	49	2	1
2014-03-29 06:45:42.912449	77862	20.2	1	1
2014-03-29 06:45:58.513979	77863	305	3	2
2014-03-29 06:45:58.747626	77864	1118220.8829236452	4	2
2014-03-29 06:45:59.053471	77865	47	2	10
2014-03-29 06:45:59.278528	77866	20.5	1	10
2014-03-29 06:46:07.937111	77867	50	2	9
2014-03-29 06:46:08.171588	77868	19.9	1	9
2014-03-29 06:46:09.040184	77869	45	2	8
2014-03-29 06:46:09.263939	77870	20.8	1	8
2014-03-29 06:46:20.218546	77871	338	3	2
2014-03-29 06:46:20.44996	77872	1118222.0319583665	4	2
2014-03-29 06:46:21.692244	77873	49	2	1
2014-03-29 06:46:21.913406	77874	20.2	1	1
2014-03-29 06:46:32.212205	77875	305	3	2
2014-03-29 06:46:32.446865	77876	1118223.1809930878	4	2
2014-03-29 06:46:37.711164	77877	47	2	10
2014-03-29 06:46:37.936782	77878	20.5	1	10
2014-03-29 06:46:44.214085	77879	305	3	2
2014-03-29 06:46:44.446801	77880	1118224.3300278094	4	2
2014-03-29 06:46:48.03941	77881	45	2	8
2014-03-29 06:46:48.26439	77882	20.8	1	8
2014-03-29 06:46:56.215101	77883	402	3	2
2014-03-29 06:46:56.448437	77884	1118225.4790625307	4	2
2014-03-29 06:47:00.690118	77885	49	2	1
2014-03-29 06:47:00.912252	77886	20.2	1	1
2014-03-29 06:47:08.211997	77887	402	3	2
2014-03-29 06:47:08.444487	77888	1118226.6280972522	4	2
2014-03-29 06:47:16.712553	77889	47	2	10
2014-03-29 06:47:16.9348	77890	20.5	1	10
2014-03-29 06:47:25.915132	77891	50	2	9
2014-03-29 06:47:26.147074	77892	19.9	1	9
2014-03-29 06:47:27.039356	77893	45	2	8
2014-03-29 06:47:27.262924	77894	20.8	1	8
2014-03-29 06:47:32.214742	77895	402	3	2
2014-03-29 06:47:32.448801	77896	1118230.0752014164	4	2
2014-03-29 06:47:39.68715	77897	49	2	1
2014-03-29 06:47:39.933036	77898	20.2	1	1
2014-03-29 06:47:55.710871	77899	47	2	10
2014-03-29 06:47:55.954279	77900	20.5	1	10
2014-03-29 06:48:05.135716	77901	50	2	9
2014-03-29 06:48:05.356824	77902	19.9	1	9
2014-03-29 06:48:06.038795	77903	45	2	8
2014-03-29 06:48:06.269849	77904	20.7	1	8
2014-03-29 06:48:18.688685	77905	49	2	1
2014-03-29 06:48:18.910927	77906	20.2	1	1
2014-03-29 06:48:32.213724	77907	402	3	2
2014-03-29 06:48:32.446428	77908	1118235.8203750234	4	2
2014-03-29 06:48:34.713118	77909	47	2	10
2014-03-29 06:48:34.933886	77910	20.5	1	10
2014-03-29 06:48:45.038463	77911	45	2	8
2014-03-29 06:48:45.270319	77912	20.7	1	8
2014-03-29 06:48:57.687907	77913	49	2	1
2014-03-29 06:48:57.915173	77914	20.2	1	1
2014-03-29 06:49:13.710393	77915	47	2	10
2014-03-29 06:49:13.945049	77916	20.5	1	10
2014-03-29 06:49:24.039323	77917	45	2	8
2014-03-29 06:49:24.260002	77918	20.7	1	8
2014-03-29 06:49:32.214187	77919	402	3	2
2014-03-29 06:49:32.447147	77920	1118242.714583352	4	2
2014-03-29 06:49:36.686972	77921	49	2	1
2014-03-29 06:49:36.910254	77922	20.2	1	1
2014-03-29 06:49:44.212813	77923	370	3	2
2014-03-29 06:49:44.445444	77924	1118243.8636180733	4	2
2014-03-29 06:49:52.712396	77925	47	2	10
2014-03-29 06:49:52.990091	77926	20.5	1	10
2014-03-29 06:49:56.211248	77927	402	3	2
2014-03-29 06:49:56.442589	77928	1118246.1616875161	4	2
2014-03-29 06:50:03.039265	77929	45	2	8
2014-03-29 06:50:03.260037	77930	20.7	1	8
2014-03-29 06:50:08.213192	77931	402	3	2
2014-03-29 06:50:08.4516	77932	1118247.3107222377	4	2
2014-03-29 06:50:15.731016	77933	49	2	1
2014-03-29 06:50:15.955104	77934	20.2	1	1
2014-03-29 06:50:31.711645	77935	47	2	10
2014-03-29 06:50:31.944159	77936	20.5	1	10
2014-03-29 06:50:32.249009	77937	418	3	2
2014-03-29 06:50:32.492889	77938	1118249.6087916805	4	2
2014-03-29 06:50:42.041406	77939	45	2	8
2014-03-29 06:50:42.272508	77940	20.7	1	8
2014-03-29 06:50:54.687205	77941	49	2	1
2014-03-29 06:50:54.909586	77942	20.2	1	1
2014-03-29 06:51:08.076923	77943	370	3	2
2014-03-29 06:51:08.310357	77944	1118253.0558958447	4	2
2014-03-29 06:51:08.616927	77945	402	3	2
2014-03-29 06:51:08.837288	77946	1118254.204930566	4	2
2014-03-29 06:51:10.712801	77947	47	2	10
2014-03-29 06:51:10.962818	77948	20.5	1	10
2014-03-29 06:51:21.037972	77949	45	2	8
2014-03-29 06:51:21.260066	77950	20.7	1	8
2014-03-29 06:51:32.216864	77951	402	3	2
2014-03-29 06:51:32.448307	77952	1118256.5030000089	4	2
2014-03-29 06:51:33.687444	77953	49	2	1
2014-03-29 06:51:33.907358	77954	20.2	1	1
2014-03-29 06:51:49.711532	77955	47	2	10
2014-03-29 06:51:49.944084	77956	20.5	1	10
2014-03-29 06:51:56.215154	77957	370	3	2
2014-03-29 06:51:56.439111	77958	1118258.8010694517	4	2
2014-03-29 06:52:00.038875	77959	45	2	8
2014-03-29 06:52:00.271625	77960	20.7	1	8
2014-03-29 06:52:08.213506	77961	402	3	2
2014-03-29 06:52:08.436341	77962	1118259.9501041733	4	2
2014-03-29 06:52:12.688739	77963	49	2	1
2014-03-29 06:52:12.921064	77964	20.2	1	1
2014-03-29 06:52:20.214996	77965	402	3	2
2014-03-29 06:52:20.438667	77966	1118261.0991388946	4	2
2014-03-29 06:52:28.714292	77967	47	2	10
2014-03-29 06:52:28.946887	77968	20.5	1	10
2014-03-29 06:52:32.216513	77969	370	3	2
2014-03-29 06:52:32.440534	77970	1118262.2481736161	4	2
2014-03-29 06:52:39.038094	77971	45	2	8
2014-03-29 06:52:39.273963	77972	20.7	1	8
2014-03-29 06:52:44.21408	77973	402	3	2
2014-03-29 06:52:44.442826	77974	1118264.5462430588	4	2
2014-03-29 06:52:51.686751	77975	49	2	1
2014-03-29 06:52:51.922012	77976	20.2	1	1
2014-03-29 06:52:56.211164	77977	402	3	2
2014-03-29 06:52:56.434228	77978	1118265.6952777803	4	2
2014-03-29 06:53:07.711816	77979	47	2	10
2014-03-29 06:53:07.945076	77980	20.5	1	10
2014-03-29 06:53:18.039475	77981	45	2	8
2014-03-29 06:53:18.261054	77982	20.7	1	8
2014-03-29 06:53:20.215084	77983	434	3	2
2014-03-29 06:53:20.446285	77984	1118267.9933472231	4	2
2014-03-29 06:53:30.68765	77985	49	2	1
2014-03-29 06:53:30.908994	77986	20.2	1	1
2014-03-29 06:53:32.213713	77987	450	3	2
2014-03-29 06:53:32.445496	77988	1118270.291416666	4	2
2014-03-29 06:53:46.714749	77989	47	2	10
2014-03-29 06:53:46.936883	77990	20.5	1	10
2014-03-29 06:53:57.038466	77991	45	2	8
2014-03-29 06:53:57.269644	77992	20.7	1	8
2014-03-29 06:54:09.68743	77993	49	2	1
2014-03-29 06:54:09.909271	77994	20.2	1	1
2014-03-29 06:54:25.715715	77995	47	2	10
2014-03-29 06:54:25.959181	77996	20.4	1	10
2014-03-29 06:54:32.21374	77997	434	3	2
2014-03-29 06:54:32.435733	77998	1118277.1856249943	4	2
2014-03-29 06:54:36.03898	77999	45	2	8
2014-03-29 06:54:36.269483	78000	20.7	1	8
2014-03-29 06:54:48.687012	78001	49	2	1
2014-03-29 06:54:48.909916	78002	20.2	1	1
2014-03-29 06:55:04.71438	78003	47	2	10
2014-03-29 06:55:04.948595	78004	20.4	1	10
2014-03-29 06:55:15.039762	78005	45	2	8
2014-03-29 06:55:15.259865	78006	20.7	1	8
2014-03-29 06:55:27.683554	78007	49	2	1
2014-03-29 06:55:27.917344	78008	20.2	1	1
2014-03-29 06:55:32.212729	78009	434	3	2
2014-03-29 06:55:32.433084	78010	1118284.079833323	4	2
2014-03-29 06:55:43.713211	78011	47	2	10
2014-03-29 06:55:43.946766	78012	20.4	1	10
2014-03-29 06:55:54.03996	78013	45	2	8
2014-03-29 06:55:54.261674	78014	20.7	1	8
2014-03-29 06:56:06.685039	78015	49	2	1
2014-03-29 06:56:06.917408	78016	20.2	1	1
2014-03-29 06:56:22.716628	78017	47	2	10
2014-03-29 06:56:22.938459	78018	20.4	1	10
2014-03-29 06:56:33.040206	78019	45	2	8
2014-03-29 06:56:33.273192	78020	20.7	1	8
2014-03-29 06:56:45.686156	78021	49	2	1
2014-03-29 06:56:45.907436	78022	20.2	1	1
2014-03-29 06:57:01.711494	78023	47	2	10
2014-03-29 06:57:01.943186	78024	20.4	1	10
2014-03-29 06:57:12.038303	78025	45	2	8
2014-03-29 06:57:12.261733	78026	20.7	1	8
2014-03-29 06:57:24.684217	78027	49	2	1
2014-03-29 06:57:24.917476	78028	20.2	1	1
2014-03-29 06:57:32.211907	78029	434	3	2
2014-03-29 06:57:32.435162	78030	1118299.0172847013	4	2
2014-03-29 06:57:40.722753	78031	47	2	10
2014-03-29 06:57:40.955568	78032	20.4	1	10
2014-03-29 06:57:51.039185	78033	45	2	8
2014-03-29 06:57:51.262096	78034	20.7	1	8
2014-03-29 06:57:56.212454	78035	370	3	2
2014-03-29 06:57:56.452705	78036	1118301.3153541442	4	2
2014-03-29 06:58:03.684783	78037	49	2	1
2014-03-29 06:58:03.907555	78038	20.2	1	1
2014-03-29 06:58:08.216028	78039	370	3	2
2014-03-29 06:58:08.451457	78040	1118302.4643888655	4	2
2014-03-29 06:58:19.714712	78041	47	2	10
2014-03-29 06:58:19.937615	78042	20.4	1	10
2014-03-29 06:58:20.243373	78043	402	3	2
2014-03-29 06:58:20.487636	78044	1118303.613423587	4	2
2014-03-29 06:58:30.03908	78045	45	2	8
2014-03-29 06:58:30.281651	78046	20.7	1	8
2014-03-29 06:58:32.214804	78047	370	3	2
2014-03-29 06:58:32.4467	78048	1118304.7624583084	4	2
2014-03-29 06:58:42.680694	78049	49	2	1
2014-03-29 06:58:42.905662	78050	20.2	1	1
2014-03-29 06:58:44.21354	78051	370	3	2
2014-03-29 06:58:44.445837	78052	1118307.0605277512	4	2
2014-03-29 06:58:58.715839	78053	47	2	10
2014-03-29 06:58:58.94732	78054	20.4	1	10
2014-03-29 06:59:09.038625	78055	45	2	8
2014-03-29 06:59:09.271442	78056	20.7	1	8
2014-03-29 06:59:21.683652	78057	49	2	1
2014-03-29 06:59:21.906381	78058	20.2	1	1
2014-03-29 06:59:32.214651	78059	370	3	2
2014-03-29 06:59:32.447116	78060	1118311.656666637	4	2
2014-03-29 06:59:37.717519	78061	47	2	10
2014-03-29 06:59:37.944397	78062	20.4	1	10
2014-03-29 06:59:48.038247	78063	45	2	8
2014-03-29 06:59:48.270173	78064	20.7	1	8
2014-03-29 07:00:00.682759	78065	49	2	1
2014-03-29 07:00:00.907009	78066	20.2	1	1
2014-03-29 07:00:16.717979	78067	47	2	10
2014-03-29 07:00:16.952005	78068	20.4	1	10
2014-03-29 07:00:20.214163	78069	402	3	2
2014-03-29 07:00:20.435412	78070	1118316.2528055226	4	2
2014-03-29 07:00:27.040239	78071	45	2	8
2014-03-29 07:00:27.2722	78072	20.7	1	8
2014-03-29 07:00:32.214584	78073	370	3	2
2014-03-29 07:00:32.44111	78074	1118317.401840244	4	2
2014-03-29 07:00:39.683662	78075	49	2	1
2014-03-29 07:00:39.916831	78076	20.2	1	1
2014-03-29 07:00:44.21362	78077	370	3	2
2014-03-29 07:00:44.435662	78078	1118318.5508749653	4	2
2014-03-29 07:00:55.715004	78079	47	2	10
2014-03-29 07:00:55.95049	78080	20.4	1	10
2014-03-29 07:01:06.068243	78081	45	2	8
2014-03-29 07:01:06.291376	78082	20.7	1	8
2014-03-29 07:01:18.679253	78083	49	2	1
2014-03-29 07:01:18.911074	78084	20.2	1	1
2014-03-29 07:01:32.213775	78085	370	3	2
2014-03-29 07:01:32.435661	78086	1118324.2960485725	4	2
2014-03-29 07:01:34.715938	78087	47	2	10
2014-03-29 07:01:34.951281	78088	20.4	1	10
2014-03-29 07:01:45.039747	78089	45	2	8
2014-03-29 07:01:45.263228	78090	20.7	1	8
2014-03-29 07:01:56.215236	78091	305	3	2
2014-03-29 07:01:56.458327	78092	1118326.5941180154	4	2
2014-03-29 07:01:57.678854	78093	49	2	1
2014-03-29 07:01:57.900918	78094	20.2	1	1
2014-03-29 07:02:13.518737	78095	305	3	2
2014-03-29 07:02:13.753104	78096	1118327.7431527367	4	2
2014-03-29 07:02:14.057451	78097	47	2	10
2014-03-29 07:02:14.280788	78098	20.4	1	10
2014-03-29 07:02:23.133701	78099	50	2	9
2014-03-29 07:02:23.368118	78100	19.9	1	9
2014-03-29 07:02:24.038829	78101	45	2	8
2014-03-29 07:02:24.262407	78102	20.7	1	8
2014-03-29 07:02:32.213108	78103	305	3	2
2014-03-29 07:02:32.447518	78104	1118330.0412221795	4	2
2014-03-29 07:02:36.680993	78105	49	2	1
2014-03-29 07:02:36.905364	78106	20.2	1	1
2014-03-29 07:02:52.715919	78107	47	2	10
2014-03-29 07:02:52.947093	78108	20.4	1	10
2014-03-29 07:02:56.213326	78109	338	3	2
2014-03-29 07:02:56.437312	78110	1118331.1902569009	4	2
2014-03-29 07:03:03.03926	78111	45	2	8
2014-03-29 07:03:03.2711	78112	20.7	1	8
2014-03-29 07:03:08.216473	78113	305	3	2
2014-03-29 07:03:08.446502	78114	1118332.3392916224	4	2
2014-03-29 07:03:15.689277	78115	49	2	1
2014-03-29 07:03:15.919271	78116	20.2	1	1
2014-03-29 07:03:20.211433	78117	305	3	2
2014-03-29 07:03:20.434417	78118	1118333.4883263437	4	2
2014-03-29 07:03:31.717983	78119	47	2	10
2014-03-29 07:03:31.949819	78120	20.4	1	10
2014-03-29 07:03:32.255805	78121	305	3	2
2014-03-29 07:03:32.479735	78122	1118334.6373610653	4	2
2014-03-29 07:03:42.039637	78123	45	2	8
2014-03-29 07:03:42.271317	78124	20.7	1	8
2014-03-29 07:03:54.682284	78125	49	2	1
2014-03-29 07:03:54.905046	78126	20.2	1	1
2014-03-29 07:04:10.718628	78127	47	2	10
2014-03-29 07:04:10.955554	78128	20.4	1	10
2014-03-29 07:04:21.038794	78129	45	2	8
2014-03-29 07:04:21.259535	78130	20.7	1	8
2014-03-29 07:04:32.212946	78131	305	3	2
2014-03-29 07:04:32.445234	78132	1118340.3825346723	4	2
2014-03-29 07:04:33.680042	78133	49	2	1
2014-03-29 07:04:33.902859	78134	20.2	1	1
2014-03-29 07:04:49.719507	78135	47	2	10
2014-03-29 07:04:49.952539	78136	20.4	1	10
2014-03-29 07:04:56.213388	78137	370	3	2
2014-03-29 07:04:56.435814	78138	1118342.6806041151	4	2
2014-03-29 07:05:00.038442	78139	45	2	8
2014-03-29 07:05:00.283246	78140	20.7	1	8
2014-03-29 07:05:08.210351	78141	370	3	2
2014-03-29 07:05:08.432901	78142	1118343.8296388364	4	2
2014-03-29 07:05:12.679071	78143	49	2	1
2014-03-29 07:05:12.913547	78144	20.2	1	1
2014-03-29 07:05:28.719372	78145	47	2	10
2014-03-29 07:05:28.944753	78146	20.4	1	10
2014-03-29 07:05:32.211454	78147	370	3	2
2014-03-29 07:05:32.443411	78148	1118346.1277082793	4	2
2014-03-29 07:05:38.131531	78149	50	2	9
2014-03-29 07:05:38.353937	78150	19.9	1	9
2014-03-29 07:05:39.039989	78151	45	2	8
2014-03-29 07:05:39.273754	78152	20.7	1	8
2014-03-29 07:05:51.722492	78153	49	2	1
2014-03-29 07:05:51.945246	78154	20.2	1	1
2014-03-29 07:06:07.718317	78155	47	2	10
2014-03-29 07:06:07.952045	78156	20.4	1	10
2014-03-29 07:06:18.041896	78157	45	2	8
2014-03-29 07:06:18.264761	78158	20.7	1	8
2014-03-29 07:06:30.915988	78159	49	2	1
2014-03-29 07:06:31.14947	78160	20.2	1	1
2014-03-29 07:06:32.211276	78161	370	3	2
2014-03-29 07:06:32.433266	78162	1118351.8728818863	4	2
2014-03-29 07:06:46.718028	78163	47	2	10
2014-03-29 07:06:46.951145	78164	20.4	1	10
2014-03-29 07:06:57.038865	78165	45	2	8
2014-03-29 07:06:57.261777	78166	20.7	1	8
2014-03-29 07:07:09.678914	78167	49	2	1
2014-03-29 07:07:09.911714	78168	20.2	1	1
2014-03-29 07:07:25.719235	78169	47	2	10
2014-03-29 07:07:25.942049	78170	20.4	1	10
2014-03-29 07:07:32.217009	78171	402	3	2
2014-03-29 07:07:32.449622	78172	1118358.7670902149	4	2
2014-03-29 07:07:36.040781	78173	45	2	8
2014-03-29 07:07:36.264574	78174	20.7	1	8
2014-03-29 07:07:44.215256	78175	370	3	2
2014-03-29 07:07:44.44971	78176	1118359.9161249362	4	2
2014-03-29 07:07:48.679721	78177	49	2	1
2014-03-29 07:07:48.902173	78178	20.2	1	1
2014-03-29 07:07:56.212165	78179	370	3	2
2014-03-29 07:07:56.447652	78180	1118361.0651596577	4	2
2014-03-29 07:08:04.716587	78181	47	2	10
2014-03-29 07:08:04.937935	78182	20.4	1	10
2014-03-29 07:08:15.038846	78183	45	2	8
2014-03-29 07:08:15.270988	78184	20.7	1	8
2014-03-29 07:08:27.679612	78185	49	2	1
2014-03-29 07:08:27.902682	78186	20.1	1	1
2014-03-29 07:08:32.213002	78187	370	3	2
2014-03-29 07:08:32.456407	78188	1118364.512263822	4	2
2014-03-29 07:08:43.719392	78189	47	2	10
2014-03-29 07:08:43.94206	78190	20.4	1	10
2014-03-29 07:08:44.251346	78191	402	3	2
2014-03-29 07:08:44.485315	78192	1118365.6612985434	4	2
2014-03-29 07:08:54.077476	78193	45	2	8
2014-03-29 07:08:54.299262	78194	20.7	1	8
2014-03-29 07:08:56.21156	78195	370	3	2
2014-03-29 07:08:56.443162	78196	1118366.8103332648	4	2
2014-03-29 07:09:06.677592	78197	49	2	1
2014-03-29 07:09:06.900284	78198	20.1	1	1
2014-03-29 07:09:08.212794	78199	370	3	2
2014-03-29 07:09:08.44394	78200	1118367.9593679863	4	2
2014-03-29 07:09:20.21262	78201	402	3	2
2014-03-29 07:09:20.435896	78202	1118369.1084027076	4	2
2014-03-29 07:09:22.719352	78203	47	2	10
2014-03-29 07:09:22.950656	78204	20.4	1	10
2014-03-29 07:09:33.038724	78205	45	2	8
2014-03-29 07:09:33.261879	78206	20.7	1	8
2014-03-29 07:09:44.21693	78207	338	3	2
2014-03-29 07:09:44.449586	78208	1118371.4064721505	4	2
2014-03-29 07:09:45.676909	78209	49	2	1
2014-03-29 07:09:45.899944	78210	20.1	1	1
2014-03-29 07:09:56.211597	78211	338	3	2
2014-03-29 07:09:56.443951	78212	1118372.5555068718	4	2
2014-03-29 07:10:01.722367	78213	47	2	10
2014-03-29 07:10:01.944973	78214	20.4	1	10
2014-03-29 07:10:12.038636	78215	45	2	8
2014-03-29 07:10:12.280435	78216	20.7	1	8
2014-03-29 07:10:24.675286	78217	49	2	1
2014-03-29 07:10:24.898631	78218	20.1	1	1
2014-03-29 07:10:32.213745	78219	338	3	2
2014-03-29 07:10:32.445112	78220	1118376.0026110362	4	2
2014-03-29 07:10:40.719628	78221	47	2	10
2014-03-29 07:10:40.943914	78222	20.4	1	10
2014-03-29 07:10:51.038622	78223	45	2	8
2014-03-29 07:10:51.271511	78224	20.7	1	8
2014-03-29 07:11:03.679221	78225	49	2	1
2014-03-29 07:11:03.904	78226	20.1	1	1
2014-03-29 07:11:19.718531	78227	47	2	10
2014-03-29 07:11:19.95286	78228	20.4	1	10
2014-03-29 07:11:30.039913	78229	45	2	8
2014-03-29 07:11:30.261829	78230	20.7	1	8
2014-03-29 07:11:42.483649	78231	338	3	2
2014-03-29 07:11:42.719212	78232	1118381.7477846432	4	2
2014-03-29 07:11:43.026784	78233	49	2	1
2014-03-29 07:11:43.250706	78234	20.1	1	1
2014-03-29 07:11:58.718845	78235	47	2	10
2014-03-29 07:11:58.961312	78236	20.4	1	10
2014-03-29 07:12:09.040415	78237	45	2	8
2014-03-29 07:12:09.262396	78238	20.7	1	8
2014-03-29 07:12:21.676216	78239	49	2	1
2014-03-29 07:12:21.909078	78240	20.1	1	1
2014-03-29 07:12:32.215997	78241	338	3	2
2014-03-29 07:12:32.439218	78242	1118387.4929582502	4	2
2014-03-29 07:12:37.720671	78243	47	2	10
2014-03-29 07:12:37.95456	78244	20.4	1	10
2014-03-29 07:12:44.212502	78245	305	3	2
2014-03-29 07:12:44.434118	78246	1118388.6419929718	4	2
2014-03-29 07:12:47.837253	78247	50	2	9
2014-03-29 07:12:48.067645	78248	19.9	1	9
2014-03-29 07:12:48.373289	78249	45	2	8
2014-03-29 07:12:48.593948	78250	20.7	1	8
2014-03-29 07:13:00.482529	78251	305	3	2
2014-03-29 07:13:00.715013	78252	1118389.791027693	4	2
2014-03-29 07:13:01.019802	78253	49	2	1
2014-03-29 07:13:01.244065	78254	20.1	1	1
2014-03-29 07:13:08.215889	78255	338	3	2
2014-03-29 07:13:08.448547	78256	1118390.9400624146	4	2
2014-03-29 07:13:16.71873	78257	47	2	10
2014-03-29 07:13:16.941456	78258	20.4	1	10
2014-03-29 07:13:20.214077	78259	338	3	2
2014-03-29 07:13:20.447435	78260	1118392.089097136	4	2
2014-03-29 07:13:27.038193	78261	45	2	8
2014-03-29 07:13:27.262365	78262	20.7	1	8
2014-03-29 07:13:32.212485	78263	338	3	2
2014-03-29 07:13:32.450393	78264	1118393.2381318572	4	2
2014-03-29 07:13:39.672567	78265	49	2	1
2014-03-29 07:13:39.895714	78266	20.1	1	1
2014-03-29 07:13:55.720766	78267	47	2	10
2014-03-29 07:13:55.953047	78268	20.4	1	10
2014-03-29 07:13:56.259771	78269	305	3	2
2014-03-29 07:13:56.483429	78270	1118395.5362013	4	2
2014-03-29 07:14:04.938017	78271	50	2	9
2014-03-29 07:14:05.170152	78272	19.9	1	9
2014-03-29 07:14:06.059024	78273	45	2	8
2014-03-29 07:14:06.319235	78274	20.7	1	8
2014-03-29 07:14:18.482582	78275	338	3	2
2014-03-29 07:14:18.715973	78276	1118396.6852360216	4	2
2014-03-29 07:14:19.021973	78277	49	2	1
2014-03-29 07:14:19.244429	78278	20.1	1	1
2014-03-29 07:14:20.213185	78279	338	3	2
2014-03-29 07:14:20.445996	78280	1118397.834270743	4	2
2014-03-29 07:14:32.2109	78281	305	3	2
2014-03-29 07:14:32.433058	78282	1118398.9833054645	4	2
2014-03-29 07:14:34.718036	78283	47	2	10
2014-03-29 07:14:34.962702	78284	20.3	1	10
2014-03-29 07:14:45.038051	78285	45	2	8
2014-03-29 07:14:45.259376	78286	20.7	1	8
2014-03-29 07:14:56.212415	78287	338	3	2
2014-03-29 07:14:56.444183	78288	1118401.2813749074	4	2
2014-03-29 07:14:57.674951	78289	49	2	1
2014-03-29 07:14:57.895964	78290	20.1	1	1
2014-03-29 07:15:08.212253	78291	305	3	2
2014-03-29 07:15:08.444548	78292	1118401.2813749074	4	2
2014-03-29 07:15:13.72428	78293	47	2	10
2014-03-29 07:15:13.946719	78294	20.3	1	10
2014-03-29 07:15:20.214325	78295	305	3	2
2014-03-29 07:15:20.445993	78296	1118402.4304096287	4	2
2014-03-29 07:15:24.038317	78297	45	2	8
2014-03-29 07:15:24.258265	78298	20.7	1	8
2014-03-29 07:15:32.212936	78299	305	3	2
2014-03-29 07:15:32.444887	78300	1118403.57944435	4	2
2014-03-29 07:15:36.675151	78301	49	2	1
2014-03-29 07:15:36.895736	78302	20.1	1	1
2014-03-29 07:15:52.522344	78303	338	3	2
2014-03-29 07:15:52.756582	78304	1118404.7284790715	4	2
2014-03-29 07:15:53.059514	78305	47	2	10
2014-03-29 07:15:53.281385	78306	20.3	1	10
2014-03-29 07:15:56.212954	78307	305	3	2
2014-03-29 07:15:56.448898	78308	1118405.8775137928	4	2
2014-03-29 07:16:02.120126	78309	50	2	9
2014-03-29 07:16:02.343271	78310	19.9	1	9
2014-03-29 07:16:03.037975	78311	45	2	8
2014-03-29 07:16:03.270565	78312	20.7	1	8
2014-03-29 07:16:08.214351	78313	305	3	2
2014-03-29 07:16:08.43795	78314	1118407.0265485144	4	2
2014-03-29 07:16:15.674066	78315	49	2	1
2014-03-29 07:16:15.908436	78316	20.1	1	1
2014-03-29 07:16:31.721056	78317	47	2	10
2014-03-29 07:16:31.945031	78318	20.3	1	10
2014-03-29 07:16:32.251162	78319	370	3	2
2014-03-29 07:16:32.483874	78320	1118409.3246179572	4	2
2014-03-29 07:16:41.13752	78321	50	2	9
2014-03-29 07:16:41.360971	78322	19.9	1	9
2014-03-29 07:16:42.038888	78323	45	2	8
2014-03-29 07:16:42.270076	78324	20.7	1	8
2014-03-29 07:16:44.212586	78325	354	3	2
2014-03-29 07:16:44.433252	78326	1118410.4736526785	4	2
2014-03-29 07:16:54.673557	78327	49	2	1
2014-03-29 07:16:54.909161	78328	20.1	1	1
2014-03-29 07:17:08.212339	78329	402	3	2
2014-03-29 07:17:08.435234	78330	1118412.7717221214	4	2
2014-03-29 07:17:10.719167	78331	47	2	10
2014-03-29 07:17:10.960923	78332	20.3	1	10
2014-03-29 07:17:21.040179	78333	45	2	8
2014-03-29 07:17:21.262786	78334	20.7	1	8
2014-03-29 07:17:32.2121	78335	354	3	2
2014-03-29 07:17:32.444138	78336	1118413.925227795	4	2
2014-03-29 07:17:33.66952	78337	49	2	1
2014-03-29 07:17:33.891489	78338	20.1	1	1
2014-03-29 07:17:49.723884	78339	47	2	10
2014-03-29 07:17:49.958711	78340	20.3	1	10
2014-03-29 07:17:59.1436	78341	50	2	9
2014-03-29 07:17:59.365209	78342	19.9	1	9
2014-03-29 07:18:00.038297	78343	45	2	8
2014-03-29 07:18:00.270167	78344	20.7	1	8
2014-03-29 07:18:12.669588	78345	49	2	1
2014-03-29 07:18:12.892434	78346	20.1	1	1
2014-03-29 07:18:28.721852	78347	47	2	10
2014-03-29 07:18:28.954234	78348	20.3	1	10
2014-03-29 07:18:32.211745	78349	370	3	2
2014-03-29 07:18:32.436498	78350	1118420.8194361236	4	2
2014-03-29 07:18:37.934893	78351	50	2	9
2014-03-29 07:18:38.167164	78352	19.9	1	9
2014-03-29 07:18:39.038192	78353	45	2	8
2014-03-29 07:18:39.261787	78354	20.7	1	8
2014-03-29 07:18:51.672154	78355	49	2	1
2014-03-29 07:18:51.904851	78356	20.1	1	1
2014-03-29 07:19:07.72239	78357	47	2	10
2014-03-29 07:19:07.944818	78358	20.3	1	10
2014-03-29 07:19:18.038602	78359	45	2	8
2014-03-29 07:19:18.27163	78360	20.7	1	8
2014-03-29 07:19:30.672325	78361	49	2	1
2014-03-29 07:19:30.895271	78362	20.1	1	1
2014-03-29 07:19:32.209174	78363	370	3	2
2014-03-29 07:19:32.442221	78364	1118426.5646097306	4	2
2014-03-29 07:19:46.721665	78365	47	2	10
2014-03-29 07:19:46.943746	78366	20.3	1	10
2014-03-29 07:19:57.038665	78367	45	2	8
2014-03-29 07:19:57.271146	78368	20.7	1	8
2014-03-29 07:20:09.67499	78369	49	2	1
2014-03-29 07:20:09.898507	78370	20.1	1	1
2014-03-29 07:20:25.721976	78371	47	2	10
2014-03-29 07:20:25.95363	78372	20.3	1	10
2014-03-29 07:20:32.212016	78373	370	3	2
2014-03-29 07:20:32.434373	78374	1118432.3097833376	4	2
2014-03-29 07:20:36.040507	78375	45	2	8
2014-03-29 07:20:36.270998	78376	20.7	1	8
2014-03-29 07:20:48.714595	78377	49	2	1
2014-03-29 07:20:48.937047	78378	20.1	1	1
2014-03-29 07:21:04.724653	78379	47	2	10
2014-03-29 07:21:04.9665	78380	20.3	1	10
2014-03-29 07:21:13.929371	78381	50	2	9
2014-03-29 07:21:14.150592	78382	19.9	1	9
2014-03-29 07:21:15.038933	78383	45	2	8
2014-03-29 07:21:15.269626	78384	20.7	1	8
2014-03-29 07:21:20.207677	78385	338	3	2
2014-03-29 07:21:20.431044	78386	1118438.0549569447	4	2
2014-03-29 07:21:27.671889	78387	49	2	1
2014-03-29 07:21:27.905137	78388	20.1	1	1
2014-03-29 07:21:32.210889	78389	338	3	2
2014-03-29 07:21:32.431801	78390	1118438.0549569447	4	2
2014-03-29 07:21:43.722193	78391	47	2	10
2014-03-29 07:21:43.959614	78392	20.3	1	10
2014-03-29 07:21:44.264072	78393	305	3	2
2014-03-29 07:21:44.485969	78394	1118439.2039916662	4	2
2014-03-29 07:21:54.038928	78395	45	2	8
2014-03-29 07:21:54.27517	78396	20.7	1	8
2014-03-29 07:21:56.21179	78397	338	3	2
2014-03-29 07:21:56.433861	78398	1118440.3530263875	4	2
2014-03-29 07:22:06.669326	78399	49	2	1
2014-03-29 07:22:06.902689	78400	20.1	1	1
2014-03-29 07:22:08.213742	78401	305	3	2
2014-03-29 07:22:08.435623	78402	1118441.502061109	4	2
2014-03-29 07:22:20.211075	78403	305	3	2
2014-03-29 07:22:20.443327	78404	1118442.6510958304	4	2
2014-03-29 07:22:22.723836	78405	47	2	10
2014-03-29 07:22:22.949437	78406	20.3	1	10
2014-03-29 07:22:33.040955	78407	45	2	8
2014-03-29 07:22:33.273006	78408	20.7	1	8
2014-03-29 07:22:44.212465	78409	338	3	2
2014-03-29 07:22:44.434684	78410	1118444.9491652732	4	2
2014-03-29 07:22:45.669509	78411	49	2	1
2014-03-29 07:22:45.90006	78412	20.1	1	1
2014-03-29 07:23:01.722912	78413	47	2	10
2014-03-29 07:23:01.945872	78414	20.3	1	10
2014-03-29 07:23:08.2144	78415	305	3	2
2014-03-29 07:23:08.485317	78416	1118447.247234716	4	2
2014-03-29 07:23:10.938556	78417	50	2	9
2014-03-29 07:23:11.202951	78418	19.8	1	9
2014-03-29 07:23:12.03805	78419	45	2	8
2014-03-29 07:23:12.304371	78420	20.7	1	8
2014-03-29 07:23:20.21207	78421	305	3	2
2014-03-29 07:23:20.471949	78422	1118448.3962694374	4	2
2014-03-29 07:23:24.672194	78423	49	2	1
2014-03-29 07:23:24.941765	78424	20.1	1	1
2014-03-29 07:23:32.215454	78425	305	3	2
2014-03-29 07:23:32.471601	78426	1118449.545304159	4	2
2014-03-29 07:23:40.724833	78427	47	2	10
2014-03-29 07:23:41.464791	78428	20.3	1	10
2014-03-29 07:23:50.136337	78429	50	2	9
2014-03-29 07:23:50.397371	78430	19.8	1	9
2014-03-29 07:23:51.037067	78431	45	2	8
2014-03-29 07:23:51.306359	78432	20.7	1	8
2014-03-29 07:24:03.667781	78433	49	2	1
2014-03-29 07:24:04.229392	78434	20.1	1	1
2014-03-29 07:24:19.724666	78435	47	2	10
2014-03-29 07:24:19.95604	78436	20.2	1	10
2014-03-29 07:24:29.138293	78437	50	2	9
2014-03-29 07:24:29.36228	78438	19.9	1	9
2014-03-29 07:24:30.038079	78439	45	2	8
2014-03-29 07:24:30.269009	78440	20.7	1	8
2014-03-29 07:24:42.476357	78441	305	3	2
2014-03-29 07:24:42.700863	78442	1118454.1414430446	4	2
2014-03-29 07:24:43.003079	78443	49	2	1
2014-03-29 07:24:43.234417	78444	20.1	1	1
2014-03-29 07:24:56.21217	78445	338	3	2
2014-03-29 07:24:56.436712	78446	1118456.4395124875	4	2
2014-03-29 07:24:58.722735	78447	47	2	10
2014-03-29 07:24:58.954315	78448	20.2	1	10
2014-03-29 07:25:09.038598	78449	45	2	8
2014-03-29 07:25:09.260266	78450	20.7	1	8
2014-03-29 07:25:20.212835	78451	338	3	2
2014-03-29 07:25:20.447048	78452	1118458.7375819301	4	2
2014-03-29 07:25:21.670728	78453	49	2	1
2014-03-29 07:25:21.892989	78454	20.1	1	1
2014-03-29 07:25:32.213269	78455	305	3	2
2014-03-29 07:25:32.444606	78456	1118459.8866166517	4	2
2014-03-29 07:25:37.720344	78457	47	2	10
2014-03-29 07:25:37.945896	78458	20.2	1	10
2014-03-29 07:25:44.21342	78459	305	3	2
2014-03-29 07:25:44.444793	78460	1118461.035651373	4	2
2014-03-29 07:25:48.037639	78461	45	2	8
2014-03-29 07:25:48.257904	78462	20.7	1	8
2014-03-29 07:26:00.670767	78463	49	2	1
2014-03-29 07:26:00.903497	78464	20.1	1	1
2014-03-29 07:26:16.727208	78465	47	2	10
2014-03-29 07:26:16.949144	78466	20.2	1	10
2014-03-29 07:26:20.211697	78467	338	3	2
2014-03-29 07:26:20.443996	78468	1118463.3337208158	4	2
2014-03-29 07:26:27.038842	78469	45	2	8
2014-03-29 07:26:27.261616	78470	20.7	1	8
2014-03-29 07:26:32.211876	78471	305	3	2
2014-03-29 07:26:32.448773	78472	1118464.4827555374	4	2
2014-03-29 07:26:39.666743	78473	49	2	1
2014-03-29 07:26:39.892806	78474	20.1	1	1
2014-03-29 07:26:44.212697	78475	305	3	2
2014-03-29 07:26:44.457446	78476	1118465.6317902587	4	2
2014-03-29 07:26:55.724342	78477	47	2	10
2014-03-29 07:26:55.948691	78478	20.2	1	10
2014-03-29 07:27:06.038319	78479	45	2	8
2014-03-29 07:27:06.511099	78480	20.7	1	8
2014-03-29 07:27:18.66638	78481	49	2	1
2014-03-29 07:27:18.89337	78482	20.1	1	1
2014-03-29 07:27:20.212731	78483	338	3	2
2014-03-29 07:27:20.43415	78484	1118469.0788944229	4	2
2014-03-29 07:27:32.211567	78485	305	3	2
2014-03-29 07:27:32.441636	78486	1118470.2279291444	4	2
2014-03-29 07:27:34.723868	78487	47	2	10
2014-03-29 07:27:34.949033	78488	20.2	1	10
2014-03-29 07:27:45.038918	78489	45	2	8
2014-03-29 07:27:45.272441	78490	20.7	1	8
2014-03-29 07:27:56.210055	78491	305	3	2
2014-03-29 07:27:56.431054	78492	1118472.5259985873	4	2
2014-03-29 07:27:57.665437	78493	49	2	1
2014-03-29 07:27:57.895904	78494	20.1	1	1
2014-03-29 07:28:08.211649	78495	305	3	2
2014-03-29 07:28:08.435281	78496	1118472.5259985873	4	2
2014-03-29 07:28:13.721747	78497	47	2	10
2014-03-29 07:28:13.954853	78498	20.2	1	10
2014-03-29 07:28:20.21056	78499	370	3	2
2014-03-29 07:28:20.432732	78500	1118474.82406803	4	2
2014-03-29 07:28:23.138726	78501	50	2	9
2014-03-29 07:28:23.369479	78502	19.8	1	9
2014-03-29 07:28:24.037138	78503	45	2	8
2014-03-29 07:28:24.259239	78504	20.6	1	8
2014-03-29 07:28:32.212538	78505	370	3	2
2014-03-29 07:28:32.444807	78506	1118475.9731027514	4	2
2014-03-29 07:28:36.668302	78507	49	2	1
2014-03-29 07:28:36.889992	78508	20.1	1	1
2014-03-29 07:28:52.72636	78509	47	2	10
2014-03-29 07:28:52.957513	78510	20.2	1	10
2014-03-29 07:29:03.038725	78511	45	2	8
2014-03-29 07:29:03.262219	78512	20.6	1	8
2014-03-29 07:29:15.66803	78513	49	2	1
2014-03-29 07:29:15.899304	78514	20.1	1	1
2014-03-29 07:29:31.722405	78515	47	2	10
2014-03-29 07:29:31.945255	78516	20.2	1	10
2014-03-29 07:29:32.250749	78517	370	3	2
2014-03-29 07:29:32.485145	78518	1118481.7182763584	4	2
2014-03-29 07:29:42.039174	78519	45	2	8
2014-03-29 07:29:42.260716	78520	20.6	1	8
2014-03-29 07:29:54.665758	78521	49	2	1
2014-03-29 07:29:54.8966	78522	20.1	1	1
2014-03-29 07:30:10.726905	78523	47	2	10
2014-03-29 07:30:10.949841	78524	20.2	1	10
2014-03-29 07:30:21.03873	78525	45	2	8
2014-03-29 07:30:21.2792	78526	20.6	1	8
2014-03-29 07:30:32.20985	78527	370	3	2
2014-03-29 07:30:32.430885	78528	1118487.4634499657	4	2
2014-03-29 07:30:33.663957	78529	49	2	1
2014-03-29 07:30:33.895151	78530	20.1	1	1
2014-03-29 07:30:49.726205	78531	47	2	10
2014-03-29 07:30:49.947208	78532	20.2	1	10
2014-03-29 07:31:00.039887	78533	45	2	8
2014-03-29 07:31:00.276781	78534	20.6	1	8
2014-03-29 07:31:12.665437	78535	49	2	1
2014-03-29 07:31:12.886328	78536	20.1	1	1
2014-03-29 07:31:28.728763	78537	47	2	10
2014-03-29 07:31:28.960868	78538	20.2	1	10
2014-03-29 07:31:32.211396	78539	370	3	2
2014-03-29 07:31:32.432058	78540	1118494.357658294	4	2
2014-03-29 07:31:39.03765	78541	45	2	8
2014-03-29 07:31:39.270534	78542	20.6	1	8
2014-03-29 07:31:51.667851	78543	49	2	1
2014-03-29 07:31:51.892973	78544	20.1	1	1
2014-03-29 07:32:07.724035	78545	47	2	10
2014-03-29 07:32:07.957714	78546	20.2	1	10
2014-03-29 07:32:18.037607	78547	45	2	8
2014-03-29 07:32:18.260266	78548	20.6	1	8
2014-03-29 07:32:30.663247	78549	49	2	1
2014-03-29 07:32:30.897518	78550	20.1	1	1
2014-03-29 07:32:32.210514	78551	370	3	2
2014-03-29 07:32:32.431766	78552	1118500.102831901	4	2
2014-03-29 07:32:46.724875	78553	47	2	10
2014-03-29 07:32:46.959349	78554	20.2	1	10
2014-03-29 07:32:57.040165	78555	45	2	8
2014-03-29 07:32:57.263078	78556	20.6	1	8
2014-03-29 07:33:09.663993	78557	49	2	1
2014-03-29 07:33:09.896798	78558	20.1	1	1
2014-03-29 07:33:25.727882	78559	47	2	10
2014-03-29 07:33:25.950942	78560	20.2	1	10
2014-03-29 07:33:32.210971	78561	305	3	2
2014-03-29 07:33:32.443966	78562	1118505.8480055083	4	2
2014-03-29 07:33:36.040383	78563	45	2	8
2014-03-29 07:33:36.262739	78564	20.6	1	8
2014-03-29 07:33:44.210307	78565	305	3	2
2014-03-29 07:33:44.443378	78566	1118506.9970402296	4	2
2014-03-29 07:33:48.666303	78567	49	2	1
2014-03-29 07:33:48.888687	78568	20.1	1	1
2014-03-29 07:34:04.7251	78569	47	2	10
2014-03-29 07:34:04.95891	78570	20.2	1	10
2014-03-29 07:34:08.212405	78571	338	3	2
2014-03-29 07:34:08.434151	78572	1118509.2951096725	4	2
2014-03-29 07:34:15.037411	78573	45	2	8
2014-03-29 07:34:15.284001	78574	20.6	1	8
2014-03-29 07:34:20.21369	78575	370	3	2
2014-03-29 07:34:20.449595	78576	1118510.4441443938	4	2
2014-03-29 07:34:27.663736	78577	49	2	1
2014-03-29 07:34:27.895995	78578	20.1	1	1
2014-03-29 07:34:43.528726	78579	370	3	2
2014-03-29 07:34:43.751017	78580	1118511.5931791153	4	2
2014-03-29 07:34:44.053165	78581	47	2	10
2014-03-29 07:34:44.286661	78582	20.2	1	10
2014-03-29 07:34:54.038261	78583	45	2	8
2014-03-29 07:34:54.258961	78584	20.6	1	8
2014-03-29 07:35:06.661315	78585	49	2	1
2014-03-29 07:35:06.893424	78586	20.1	1	1
2014-03-29 07:35:22.72595	78587	47	2	10
2014-03-29 07:35:22.947944	78588	20.2	1	10
2014-03-29 07:35:33.037826	78589	45	2	8
2014-03-29 07:35:33.269377	78590	20.6	1	8
2014-03-29 07:35:45.673358	78591	49	2	1
2014-03-29 07:35:45.89495	78592	20.1	1	1
2014-03-29 07:36:01.726131	78593	47	2	10
2014-03-29 07:36:01.958928	78594	20.2	1	10
2014-03-29 07:36:12.037537	78595	45	2	8
2014-03-29 07:36:12.259743	78596	20.6	1	8
2014-03-29 07:36:24.663818	78597	49	2	1
2014-03-29 07:36:24.896497	78598	20.1	1	1
2014-03-29 07:36:32.211945	78599	354	3	2
2014-03-29 07:36:32.433658	78600	1118524.232561051	4	2
2014-03-29 07:36:40.728684	78601	47	2	10
2014-03-29 07:36:40.964447	78602	20.2	1	10
2014-03-29 07:36:51.039241	78603	45	2	8
2014-03-29 07:36:51.260223	78604	20.6	1	8
2014-03-29 07:37:03.900813	78605	49	2	1
2014-03-29 07:37:04.131609	78606	20.1	1	1
2014-03-29 07:37:19.726328	78607	47	2	10
2014-03-29 07:37:19.950342	78608	20.2	1	10
2014-03-29 07:37:29.123843	78609	50	2	9
2014-03-29 07:37:29.355037	78610	19.8	1	9
2014-03-29 07:37:30.038598	78611	45	2	8
2014-03-29 07:37:30.260253	78612	20.6	1	8
2014-03-29 07:37:32.209271	78613	354	3	2
2014-03-29 07:37:32.439109	78614	1118529.977734658	4	2
2014-03-29 07:37:42.660421	78615	49	2	1
2014-03-29 07:37:42.886426	78616	20.1	1	1
2014-03-29 07:37:58.728529	78617	47	2	10
2014-03-29 07:37:58.963662	78618	20.2	1	10
2014-03-29 07:38:09.037386	78619	45	2	8
2014-03-29 07:38:09.260164	78620	20.6	1	8
2014-03-29 07:38:21.661984	78621	49	2	1
2014-03-29 07:38:21.906169	78622	20.1	1	1
2014-03-29 07:38:32.209769	78623	354	3	2
2014-03-29 07:38:32.432056	78624	1118535.722908265	4	2
2014-03-29 07:38:37.728669	78625	47	2	10
2014-03-29 07:38:37.965549	78626	20.2	1	10
2014-03-29 07:38:48.0395	78627	45	2	8
2014-03-29 07:38:48.260557	78628	20.6	1	8
2014-03-29 07:39:00.661241	78629	49	2	1
2014-03-29 07:39:00.898969	78630	20.1	1	1
2014-03-29 07:39:16.726035	78631	47	2	10
2014-03-29 07:39:16.948771	78632	20.2	1	10
2014-03-29 07:39:27.037092	78633	45	2	8
2014-03-29 07:39:27.270609	78634	20.6	1	8
2014-03-29 07:39:32.212857	78635	354	3	2
2014-03-29 07:39:32.441572	78636	1118541.468081872	4	2
2014-03-29 07:39:39.661268	78637	49	2	1
2014-03-29 07:39:39.893635	78638	20.1	1	1
2014-03-29 07:39:55.729214	78639	47	2	10
2014-03-29 07:39:55.953024	78640	20.2	1	10
2014-03-29 07:40:06.038197	78641	45	2	8
2014-03-29 07:40:06.271594	78642	20.6	1	8
2014-03-29 07:40:18.661949	78643	49	2	1
2014-03-29 07:40:18.885907	78644	20.1	1	1
2014-03-29 07:40:20.209485	78645	418	3	2
2014-03-29 07:40:20.442537	78646	1118546.0642207577	4	2
2014-03-29 07:40:32.211596	78647	418	3	2
2014-03-29 07:40:32.436915	78648	1118547.2132554792	4	2
2014-03-29 07:40:34.728541	78649	47	2	10
2014-03-29 07:40:34.961212	78650	20.2	1	10
2014-03-29 07:40:45.037639	78651	45	2	8
2014-03-29 07:40:45.25961	78652	20.6	1	8
2014-03-29 07:40:57.702992	78653	49	2	1
2014-03-29 07:40:57.934268	78654	20.1	1	1
2014-03-29 07:41:13.730146	78655	47	2	10
2014-03-29 07:41:13.952639	78656	20.2	1	10
2014-03-29 07:41:24.037528	78657	45	2	8
2014-03-29 07:41:24.2696	78658	20.6	1	8
2014-03-29 07:41:32.212134	78659	418	3	2
2014-03-29 07:41:32.4351	78660	1118554.1074638076	4	2
2014-03-29 07:41:36.659871	78661	49	2	1
2014-03-29 07:41:36.893995	78662	20.1	1	1
2014-03-29 07:41:52.728757	78663	47	2	10
2014-03-29 07:41:52.951378	78664	20.2	1	10
2014-03-29 07:42:03.037797	78665	45	2	8
2014-03-29 07:42:03.269948	78666	20.6	1	8
2014-03-29 07:42:15.662917	78667	49	2	1
2014-03-29 07:42:15.886043	78668	20.1	1	1
2014-03-29 07:42:31.730678	78669	47	2	10
2014-03-29 07:42:31.973145	78670	20.3	1	10
2014-03-29 07:42:32.282315	78671	418	3	2
2014-03-29 07:42:32.504368	78672	1118561.0016721361	4	2
2014-03-29 07:42:40.938326	78673	50	2	9
2014-03-29 07:42:41.173015	78674	19.8	1	9
2014-03-29 07:42:42.037481	78675	45	2	8
2014-03-29 07:42:42.259165	78676	20.6	1	8
2014-03-29 07:42:54.65733	78677	49	2	1
2014-03-29 07:42:54.89386	78678	20.1	1	1
2014-03-29 07:43:10.729016	78679	47	2	10
2014-03-29 07:43:10.953299	78680	20.3	1	10
2014-03-29 07:43:21.037456	78681	45	2	8
2014-03-29 07:43:21.270855	78682	20.6	1	8
2014-03-29 07:43:32.209001	78683	418	3	2
2014-03-29 07:43:32.431313	78684	1118567.8958804647	4	2
2014-03-29 07:43:33.658832	78685	49	2	1
2014-03-29 07:43:33.891594	78686	20.1	1	1
2014-03-29 07:43:49.728882	78687	47	2	10
2014-03-29 07:43:49.953601	78688	20.3	1	10
2014-03-29 07:43:56.21132	78689	482	3	2
2014-03-29 07:43:56.44342	78690	1118572.4920193504	4	2
2014-03-29 07:44:00.039493	78691	45	2	8
2014-03-29 07:44:00.260019	78692	20.6	1	8
2014-03-29 07:44:08.210006	78693	482	3	2
2014-03-29 07:44:08.441372	78694	1118574.790088793	4	2
2014-03-29 07:44:12.654649	78695	49	2	1
2014-03-29 07:44:12.878533	78696	20.1	1	1
2014-03-29 07:44:28.728315	78697	47	2	10
2014-03-29 07:44:28.961279	78698	20.3	1	10
2014-03-29 07:44:32.212664	78699	482	3	2
2014-03-29 07:44:32.433785	78700	1118577.088158236	4	2
2014-03-29 07:44:39.038691	78701	45	2	8
2014-03-29 07:44:39.272386	78702	20.6	1	8
2014-03-29 07:44:51.699928	78703	49	2	1
2014-03-29 07:44:51.922443	78704	20.1	1	1
2014-03-29 07:44:56.215111	78705	434	3	2
2014-03-29 07:44:56.446682	78706	1118580.5352624003	4	2
2014-03-29 07:45:07.729589	78707	47	2	10
2014-03-29 07:45:07.953549	78708	20.3	1	10
2014-03-29 07:45:08.26085	78709	434	3	2
2014-03-29 07:45:08.493876	78710	1118581.6842971216	4	2
2014-03-29 07:45:18.040539	78711	45	2	8
2014-03-29 07:45:18.265085	78712	20.6	1	8
2014-03-29 07:45:30.65517	78713	49	2	1
2014-03-29 07:45:30.886992	78714	20.2	1	1
2014-03-29 07:45:32.208845	78715	434	3	2
2014-03-29 07:45:32.434325	78716	1118585.1314012858	4	2
2014-03-29 07:45:46.730119	78717	47	2	10
2014-03-29 07:45:46.974201	78718	20.3	1	10
2014-03-29 07:45:57.037604	78719	45	2	8
2014-03-29 07:45:57.258998	78720	20.7	1	8
2014-03-29 07:46:09.657447	78721	49	2	1
2014-03-29 07:46:09.889665	78722	20.2	1	1
2014-03-29 07:46:25.728583	78723	47	2	10
2014-03-29 07:46:25.952295	78724	20.4	1	10
2014-03-29 07:46:32.20908	78725	434	3	2
2014-03-29 07:46:32.445508	78726	1118592.0256096143	4	2
2014-03-29 07:46:36.037872	78727	45	2	8
2014-03-29 07:46:36.259187	78728	20.7	1	8
2014-03-29 07:46:48.655722	78729	49	2	1
2014-03-29 07:46:48.887104	78730	20.2	1	1
2014-03-29 07:47:04.730205	78731	47	2	10
2014-03-29 07:47:04.953227	78732	20.4	1	10
2014-03-29 07:47:15.036044	78733	45	2	8
2014-03-29 07:47:15.268465	78734	20.7	1	8
2014-03-29 07:47:27.657072	78735	49	2	1
2014-03-29 07:47:27.879085	78736	20.2	1	1
2014-03-29 07:47:32.2087	78737	434	3	2
2014-03-29 07:47:32.439178	78738	1118600.0688526642	4	2
2014-03-29 07:47:43.734052	78739	47	2	10
2014-03-29 07:47:43.95715	78740	20.4	1	10
2014-03-29 07:47:54.037523	78741	45	2	8
2014-03-29 07:47:54.268759	78742	20.7	1	8
2014-03-29 07:48:06.657385	78743	49	2	1
2014-03-29 07:48:06.880859	78744	20.3	1	1
2014-03-29 07:48:22.73239	78745	47	2	10
2014-03-29 07:48:22.96497	78746	20.4	1	10
2014-03-29 07:48:33.0377	78747	45	2	8
2014-03-29 07:48:33.260424	78748	20.7	1	8
2014-03-29 07:48:45.658021	78749	49	2	1
2014-03-29 07:48:45.891662	78750	20.3	1	1
2014-03-29 07:49:01.733096	78751	47	2	10
2014-03-29 07:49:01.96135	78752	20.4	1	10
2014-03-29 07:49:12.039162	78753	45	2	8
2014-03-29 07:49:12.270591	78754	20.7	1	8
2014-03-29 07:49:24.653324	78755	49	2	1
2014-03-29 07:49:24.874437	78756	20.3	1	1
2014-03-29 07:49:32.211232	78757	434	3	2
2014-03-29 07:49:32.443728	78758	1118613.8572693213	4	2
2014-03-29 07:49:40.73177	78759	47	2	10
2014-03-29 07:49:40.955655	78760	20.4	1	10
2014-03-29 07:49:51.037369	78761	45	2	8
2014-03-29 07:49:51.27067	78762	20.7	1	8
2014-03-29 07:50:03.695559	78763	49	2	1
2014-03-29 07:50:03.918634	78764	20.4	1	1
2014-03-29 07:50:19.729621	78765	47	2	10
2014-03-29 07:50:19.973211	78766	20.5	1	10
2014-03-29 07:50:30.036636	78767	45	2	8
2014-03-29 07:50:30.259807	78768	20.7	1	8
2014-03-29 07:50:32.213314	78769	434	3	2
2014-03-29 07:50:32.444202	78770	1118621.9005123712	4	2
2014-03-29 07:50:42.652553	78771	49	2	1
2014-03-29 07:50:42.874503	78772	20.4	1	1
2014-03-29 07:50:58.734143	78773	47	2	10
2014-03-29 07:50:58.966971	78774	20.5	1	10
2014-03-29 07:51:09.03664	78775	45	2	8
2014-03-29 07:51:09.258149	78776	20.7	1	8
2014-03-29 07:51:21.650201	78777	49	2	1
2014-03-29 07:51:21.883376	78778	20.4	1	1
2014-03-29 07:51:32.212601	78779	434	3	2
2014-03-29 07:51:32.435812	78780	1118628.7947206995	4	2
2014-03-29 07:51:37.729673	78781	47	2	10
2014-03-29 07:51:37.968613	78782	20.5	1	10
2014-03-29 07:51:44.210552	78783	482	3	2
2014-03-29 07:51:44.435251	78784	1118629.943755421	4	2
2014-03-29 07:51:48.038212	78785	45	2	8
2014-03-29 07:51:48.271314	78786	20.7	1	8
2014-03-29 07:51:56.26435	78787	482	3	2
2014-03-29 07:51:56.489245	78788	1118632.241824864	4	2
2014-03-29 07:52:00.649631	78789	49	2	1
2014-03-29 07:52:00.881846	78790	20.4	1	1
2014-03-29 07:52:16.732929	78791	47	2	10
2014-03-29 07:52:16.956801	78792	20.5	1	10
2014-03-29 07:52:27.03668	78793	45	2	8
2014-03-29 07:52:27.269129	78794	20.7	1	8
2014-03-29 07:52:32.213241	78795	466	3	2
2014-03-29 07:52:32.435263	78796	1118636.8379637494	4	2
2014-03-29 07:52:39.65427	78797	49	2	1
2014-03-29 07:52:39.887326	78798	20.5	1	1
2014-03-29 07:52:55.735115	78799	47	2	10
2014-03-29 07:52:55.957602	78800	20.6	1	10
2014-03-29 07:53:06.038301	78801	45	2	8
2014-03-29 07:53:06.27005	78802	20.7	1	8
2014-03-29 07:53:18.695981	78803	49	2	1
2014-03-29 07:53:18.919441	78804	20.5	1	1
2014-03-29 07:53:32.210149	78805	466	3	2
2014-03-29 07:53:32.44175	78806	1118644.8812067995	4	2
2014-03-29 07:53:34.732577	78807	47	2	10
2014-03-29 07:53:34.959077	78808	20.6	1	10
2014-03-29 07:53:45.037402	78809	45	2	8
2014-03-29 07:53:45.270394	78810	20.7	1	8
2014-03-29 07:53:57.652654	78811	49	2	1
2014-03-29 07:53:57.880391	78812	20.5	1	1
2014-03-29 07:54:13.733773	78813	47	2	10
2014-03-29 07:54:13.978876	78814	20.6	1	10
2014-03-29 07:54:24.037572	78815	45	2	8
2014-03-29 07:54:24.259457	78816	20.7	1	8
2014-03-29 07:54:32.208043	78817	482	3	2
2014-03-29 07:54:32.440522	78818	1118652.9244498494	4	2
2014-03-29 07:54:36.651942	78819	49	2	1
2014-03-29 07:54:36.873653	78820	20.6	1	1
2014-03-29 07:54:52.734351	78821	47	2	10
2014-03-29 07:54:52.96586	78822	20.6	1	10
2014-03-29 07:55:03.039468	78823	45	2	8
2014-03-29 07:55:03.260293	78824	20.7	1	8
2014-03-29 07:55:15.649828	78825	49	2	1
2014-03-29 07:55:15.883104	78826	20.6	1	1
2014-03-29 07:55:31.73266	78827	47	2	10
2014-03-29 07:55:31.954819	78828	20.6	1	10
2014-03-29 07:55:32.25937	78829	482	3	2
2014-03-29 07:55:32.490706	78830	1118660.9676928993	4	2
2014-03-29 07:55:42.037593	78831	45	2	8
2014-03-29 07:55:42.260376	78832	20.7	1	8
2014-03-29 07:55:54.653547	78833	49	2	1
2014-03-29 07:55:54.885563	78834	20.6	1	1
2014-03-29 07:56:10.732374	78835	47	2	10
2014-03-29 07:56:10.954289	78836	20.7	1	10
2014-03-29 07:56:21.037644	78837	45	2	8
2014-03-29 07:56:21.271485	78838	20.8	1	8
2014-03-29 07:56:32.208939	78839	482	3	2
2014-03-29 07:56:32.433362	78840	1118669.0109359492	4	2
2014-03-29 07:56:33.64868	78841	49	2	1
2014-03-29 07:56:33.88385	78842	20.7	1	1
2014-03-29 07:56:49.732092	78843	47	2	10
2014-03-29 07:56:49.954535	78844	20.7	1	10
2014-03-29 07:56:56.208954	78845	434	3	2
2014-03-29 07:56:56.490033	78846	1118671.309005392	4	2
2014-03-29 07:57:00.037478	78847	45	2	8
2014-03-29 07:57:00.257874	78848	20.8	1	8
2014-03-29 07:57:08.20974	78849	418	3	2
2014-03-29 07:57:08.444881	78850	1118673.6070748349	4	2
2014-03-29 07:57:12.649328	78851	49	2	1
2014-03-29 07:57:12.872164	78852	20.7	1	1
2014-03-29 07:57:28.735002	78853	47	2	10
2014-03-29 07:57:28.96615	78854	20.7	1	10
2014-03-29 07:57:32.207862	78855	434	3	2
2014-03-29 07:57:32.42796	78856	1118675.9051442777	4	2
2014-03-29 07:57:39.03781	78857	45	2	8
2014-03-29 07:57:39.27186	78858	20.8	1	8
2014-03-29 07:57:51.651878	78859	49	2	1
2014-03-29 07:57:51.874146	78860	20.7	1	1
2014-03-29 07:58:07.734799	78861	47	2	10
2014-03-29 07:58:07.97871	78862	20.7	1	10
2014-03-29 07:58:18.037792	78863	45	2	8
2014-03-29 07:58:18.260393	78864	20.8	1	8
2014-03-29 07:58:30.649659	78865	49	2	1
2014-03-29 07:58:30.884133	78866	20.8	1	1
2014-03-29 07:58:32.210146	78867	434	3	2
2014-03-29 07:58:32.431175	78868	1118683.9483873276	4	2
2014-03-29 07:58:44.20931	78869	354	3	2
2014-03-29 07:58:44.440085	78870	1118685.097422049	4	2
2014-03-29 07:58:46.736998	78871	47	2	10
2014-03-29 07:58:46.958903	78872	20.7	1	10
2014-03-29 07:58:57.038781	78873	45	2	8
2014-03-29 07:58:57.270058	78874	20.8	1	8
2014-03-29 07:59:09.647528	78875	49	2	1
2014-03-29 07:59:09.874676	78876	20.8	1	1
2014-03-29 07:59:25.734278	78877	47	2	10
2014-03-29 07:59:25.970667	78878	20.7	1	10
2014-03-29 07:59:32.214296	78879	354	3	2
2014-03-29 07:59:32.435974	78880	1118689.6935609346	4	2
2014-03-29 07:59:36.038715	78881	45	2	8
2014-03-29 07:59:36.269001	78882	20.8	1	8
2014-03-29 07:59:48.64575	78883	49	2	1
2014-03-29 07:59:48.868214	78884	20.8	1	1
2014-03-29 08:00:04.735628	78885	47	2	10
2014-03-29 08:00:04.969102	78886	20.8	1	10
2014-03-29 08:00:15.040807	78887	45	2	8
2014-03-29 08:00:15.262277	78888	20.8	1	8
2014-03-29 08:00:27.648683	78889	49	2	1
2014-03-29 08:00:27.881475	78890	20.8	1	1
2014-03-29 08:00:32.211119	78891	354	3	2
2014-03-29 08:00:32.432393	78892	1118695.4387345416	4	2
2014-03-29 08:00:43.73831	78893	47	2	10
2014-03-29 08:00:43.971123	78894	20.8	1	10
2014-03-29 08:00:54.038986	78895	45	2	8
2014-03-29 08:00:54.262592	78896	20.8	1	8
2014-03-29 08:01:06.703606	78897	49	2	1
2014-03-29 08:01:06.935812	78898	20.9	1	1
2014-03-29 08:01:22.735115	78899	47	2	10
2014-03-29 08:01:22.956844	78900	20.8	1	10
2014-03-29 08:01:33.03859	78901	45	2	8
2014-03-29 08:01:33.273455	78902	20.8	1	8
2014-03-29 08:01:45.64384	78903	49	2	1
2014-03-29 08:01:45.866598	78904	20.9	1	1
2014-03-29 08:02:01.735818	78905	47	2	10
2014-03-29 08:02:01.973345	78906	20.8	1	10
2014-03-29 08:02:12.037732	78907	45	2	8
2014-03-29 08:02:12.260975	78908	20.8	1	8
2014-03-29 08:02:24.645329	78909	49	2	1
2014-03-29 08:02:24.889623	78910	20.9	1	1
2014-03-29 08:02:32.209429	78911	354	3	2
2014-03-29 08:02:32.432367	78912	1118705.7845179867	4	2
2014-03-29 08:02:40.740419	78913	47	2	10
2014-03-29 08:02:40.973821	78914	20.8	1	10
2014-03-29 08:02:51.037518	78915	45	2	8
2014-03-29 08:02:51.258781	78916	20.8	1	8
2014-03-29 08:03:03.643743	78917	48	2	1
2014-03-29 08:03:03.876539	78918	21.0	1	1
2014-03-29 08:03:19.736259	78919	47	2	10
2014-03-29 08:03:19.959399	78920	20.8	1	10
2014-03-29 08:03:30.037473	78921	45	2	8
2014-03-29 08:03:30.269419	78922	20.8	1	8
2014-03-29 08:03:32.210681	78923	354	3	2
2014-03-29 08:03:32.431665	78924	1118711.5296915937	4	2
2014-03-29 08:03:42.645201	78925	48	2	1
2014-03-29 08:03:42.878941	78926	21.0	1	1
2014-03-29 08:03:56.208739	78927	418	3	2
2014-03-29 08:03:56.431427	78928	1118714.976795758	4	2
2014-03-29 08:03:58.735802	78929	47	2	10
2014-03-29 08:03:58.969494	78930	20.8	1	10
2014-03-29 08:04:09.038116	78931	45	2	8
2014-03-29 08:04:09.261188	78932	20.8	1	8
2014-03-29 08:04:21.645471	78933	48	2	1
2014-03-29 08:04:21.879596	78934	21.0	1	1
2014-03-29 08:04:32.208239	78935	418	3	2
2014-03-29 08:04:32.430522	78936	1118718.4238999223	4	2
2014-03-29 08:04:37.736207	78937	47	2	10
2014-03-29 08:04:37.973037	78938	20.8	1	10
2014-03-29 08:04:48.03809	78939	45	2	8
2014-03-29 08:04:48.260088	78940	20.8	1	8
2014-03-29 08:05:00.644584	78941	48	2	1
2014-03-29 08:05:00.879877	78942	21.0	1	1
2014-03-29 08:05:16.73789	78943	47	2	10
2014-03-29 08:05:16.961916	78944	20.9	1	10
2014-03-29 08:05:27.039818	78945	45	2	8
2014-03-29 08:05:27.270848	78946	20.9	1	8
2014-03-29 08:05:32.210444	78947	418	3	2
2014-03-29 08:05:32.438101	78948	1118725.3181082506	4	2
2014-03-29 08:05:39.644332	78949	48	2	1
2014-03-29 08:05:39.877495	78950	21.0	1	1
2014-03-29 08:05:55.739673	78951	47	2	10
2014-03-29 08:05:55.963969	78952	20.9	1	10
2014-03-29 08:06:06.038609	78953	45	2	8
2014-03-29 08:06:06.270784	78954	20.9	1	8
2014-03-29 08:06:18.643932	78955	48	2	1
2014-03-29 08:06:18.865821	78956	21.0	1	1
2014-03-29 08:06:32.207597	78957	418	3	2
2014-03-29 08:06:32.470863	78958	1118732.2123165792	4	2
2014-03-29 08:06:34.735912	78959	47	2	10
2014-03-29 08:06:34.959914	78960	20.9	1	10
2014-03-29 08:06:45.038526	78961	45	2	8
2014-03-29 08:06:45.274094	78962	20.9	1	8
2014-03-29 08:06:57.642904	78963	48	2	1
2014-03-29 08:06:57.864742	78964	21.1	1	1
2014-03-29 08:07:13.737542	78965	47	2	10
2014-03-29 08:07:13.970378	78966	20.9	1	10
2014-03-29 08:07:24.03798	78967	45	2	8
2014-03-29 08:07:24.261486	78968	20.9	1	8
2014-03-29 08:07:32.21165	78969	418	3	2
2014-03-29 08:07:32.445404	78970	1118739.1065249078	4	2
2014-03-29 08:07:36.643131	78971	48	2	1
2014-03-29 08:07:36.866212	78972	21.1	1	1
2014-03-29 08:07:52.738515	78973	47	2	10
2014-03-29 08:07:52.971646	78974	20.9	1	10
2014-03-29 08:08:03.038733	78975	45	2	8
2014-03-29 08:08:03.261093	78976	20.9	1	8
2014-03-29 08:08:15.64284	78977	48	2	1
2014-03-29 08:08:15.875201	78978	21.1	1	1
2014-03-29 08:08:31.742403	78979	47	2	10
2014-03-29 08:08:31.963993	78980	20.9	1	10
2014-03-29 08:08:40.747595	78981	418	3	2
2014-03-29 08:08:40.979715	78982	1118746.000733236	4	2
2014-03-29 08:08:42.03861	78983	45	2	8
2014-03-29 08:08:42.2617	78984	20.9	1	8
2014-03-29 08:08:54.64382	78985	48	2	1
2014-03-29 08:08:54.876367	78986	21.1	1	1
2014-03-29 08:09:10.742025	78987	47	2	10
2014-03-29 08:09:10.964553	78988	20.9	1	10
2014-03-29 08:09:21.037055	78989	45	2	8
2014-03-29 08:09:21.26901	78990	20.9	1	8
2014-03-29 08:09:32.21161	78991	354	3	2
2014-03-29 08:09:32.435171	78992	1118752.8949415646	4	2
2014-03-29 08:09:44.209802	78993	354	3	2
2014-03-29 08:09:44.441697	78994	1118754.0439762862	4	2
2014-03-29 08:09:49.740118	78995	47	2	10
2014-03-29 08:09:49.968517	78996	20.9	1	10
2014-03-29 08:10:00.037759	78997	45	2	8
2014-03-29 08:10:00.269653	78998	20.9	1	8
2014-03-29 08:10:12.641788	78999	48	2	1
2014-03-29 08:10:12.865725	79000	21.1	1	1
2014-03-29 08:10:28.737706	79001	47	2	10
2014-03-29 08:10:28.972464	79002	20.9	1	10
2014-03-29 08:10:32.209149	79003	354	3	2
2014-03-29 08:10:32.430223	79004	1118758.6401151717	4	2
2014-03-29 08:10:39.03915	79005	45	2	8
2014-03-29 08:10:39.283275	79006	20.9	1	8
2014-03-29 08:10:51.642114	79007	48	2	1
2014-03-29 08:10:51.865569	79008	21.1	1	1
2014-03-29 08:11:07.740404	79009	47	2	10
2014-03-29 08:11:07.97354	79010	20.9	1	10
2014-03-29 08:11:18.037057	79011	45	2	8
2014-03-29 08:11:18.261343	79012	20.9	1	8
2014-03-29 08:11:30.640091	79013	48	2	1
2014-03-29 08:11:30.875827	79014	21.2	1	1
2014-03-29 08:11:32.212294	79015	354	3	2
2014-03-29 08:11:32.433012	79016	1118765.5343235002	4	2
2014-03-29 08:11:46.740801	79017	47	2	10
2014-03-29 08:11:46.974578	79018	20.9	1	10
2014-03-29 08:11:57.03734	79019	45	2	8
2014-03-29 08:11:57.308896	79020	20.9	1	8
2014-03-29 08:12:09.638995	79021	48	2	1
2014-03-29 08:12:09.87022	79022	21.2	1	1
2014-03-29 08:12:25.739548	79023	46	2	10
2014-03-29 08:12:25.962737	79024	21.0	1	10
2014-03-29 08:12:32.210369	79025	354	3	2
2014-03-29 08:12:32.444219	79026	1118771.2794971073	4	2
2014-03-29 08:12:36.038038	79027	45	2	8
2014-03-29 08:12:36.258879	79028	20.9	1	8
2014-03-29 08:12:48.640288	79029	48	2	1
2014-03-29 08:12:48.874701	79030	21.2	1	1
2014-03-29 08:13:04.739298	79031	46	2	10
2014-03-29 08:13:04.963019	79032	21.0	1	10
2014-03-29 08:13:15.037724	79033	45	2	8
2014-03-29 08:13:15.269071	79034	20.9	1	8
2014-03-29 08:13:27.640896	79035	48	2	1
2014-03-29 08:13:27.864716	79036	21.2	1	1
2014-03-29 08:13:32.208962	79037	354	3	2
2014-03-29 08:13:32.4414	79038	1118777.0246707143	4	2
2014-03-29 08:13:43.740513	79039	46	2	10
2014-03-29 08:13:43.964414	79040	21.0	1	10
2014-03-29 08:13:54.038131	79041	45	2	8
2014-03-29 08:13:54.270278	79042	20.9	1	8
2014-03-29 08:14:06.637706	79043	48	2	1
2014-03-29 08:14:06.91625	79044	21.2	1	1
2014-03-29 08:14:22.744033	79045	46	2	10
2014-03-29 08:14:22.976034	79046	21.0	1	10
2014-03-29 08:14:33.038506	79047	45	2	8
2014-03-29 08:14:33.263685	79048	20.9	1	8
2014-03-29 08:14:45.64082	79049	48	2	1
2014-03-29 08:14:45.874592	79050	21.2	1	1
2014-03-29 08:15:01.741615	79051	46	2	10
2014-03-29 08:15:01.963951	79052	21.0	1	10
2014-03-29 08:15:12.042466	79053	45	2	8
2014-03-29 08:15:12.285557	79054	20.9	1	8
2014-03-29 08:15:24.636867	79055	48	2	1
2014-03-29 08:15:24.862331	79056	21.3	1	1
2014-03-29 08:15:32.210261	79057	338	3	2
2014-03-29 08:15:32.442649	79058	1118788.5150179286	4	2
2014-03-29 08:15:40.740357	79059	46	2	10
2014-03-29 08:15:40.963347	79060	21.0	1	10
2014-03-29 08:15:51.037571	79061	45	2	8
2014-03-29 08:15:51.267973	79062	20.9	1	8
2014-03-29 08:16:03.637291	79063	48	2	1
2014-03-29 08:16:03.859281	79064	21.3	1	1
2014-03-29 08:16:19.741508	79065	46	2	10
2014-03-29 08:16:19.973138	79066	21.0	1	10
2014-03-29 08:16:20.28138	79067	418	3	2
2014-03-29 08:16:20.502063	79068	1118793.1111568143	4	2
2014-03-29 08:16:30.038936	79069	45	2	8
2014-03-29 08:16:30.271428	79070	20.9	1	8
2014-03-29 08:16:32.205511	79071	402	3	2
2014-03-29 08:16:32.426823	79072	1118794.2601915356	4	2
2014-03-29 08:16:42.634554	79073	48	2	1
2014-03-29 08:16:42.868182	79074	21.3	1	1
2014-03-29 08:16:58.742185	79075	46	2	10
2014-03-29 08:16:58.96571	79076	21.0	1	10
2014-03-29 08:17:09.036438	79077	45	2	8
2014-03-29 08:17:09.270485	79078	21.0	1	8
2014-03-29 08:17:21.637018	79079	48	2	1
2014-03-29 08:17:21.859383	79080	21.3	1	1
2014-03-29 08:17:32.213787	79081	402	3	2
2014-03-29 08:17:32.448175	79082	1118801.1543998641	4	2
2014-03-29 08:17:37.741051	79083	46	2	10
2014-03-29 08:17:37.968937	79084	21.0	1	10
2014-03-29 08:17:48.037684	79085	45	2	8
2014-03-29 08:17:48.271966	79086	21.0	1	8
2014-03-29 08:18:00.63472	79087	48	2	1
2014-03-29 08:18:00.859185	79088	21.3	1	1
2014-03-29 08:18:16.739199	79089	46	2	10
2014-03-29 08:18:16.991646	79090	21.0	1	10
2014-03-29 08:18:27.037724	79091	45	2	8
2014-03-29 08:18:27.261049	79092	21.0	1	8
2014-03-29 08:18:32.207398	79093	402	3	2
2014-03-29 08:18:32.445715	79094	1118808.0486081925	4	2
2014-03-29 08:18:39.634912	79095	48	2	1
2014-03-29 08:18:39.857325	79096	21.3	1	1
2014-03-29 08:18:55.742449	79097	46	2	10
2014-03-29 08:18:55.975043	79098	21.0	1	10
2014-03-29 08:19:06.03857	79099	45	2	8
2014-03-29 08:19:06.260399	79100	21.0	1	8
2014-03-29 08:19:18.638657	79101	48	2	1
2014-03-29 08:19:18.882049	79102	21.4	1	1
2014-03-29 08:19:32.210433	79103	418	3	2
2014-03-29 08:19:32.432762	79104	1118814.942816521	4	2
2014-03-29 08:19:34.742962	79105	46	2	10
2014-03-29 08:19:34.981761	79106	21.1	1	10
2014-03-29 08:19:45.037802	79107	45	2	8
2014-03-29 08:19:45.258812	79108	21.0	1	8
2014-03-29 08:19:57.636277	79109	48	2	1
2014-03-29 08:19:57.926958	79110	21.4	1	1
2014-03-29 08:20:13.744059	79111	46	2	10
2014-03-29 08:20:13.969381	79112	21.1	1	10
2014-03-29 08:20:24.038855	79113	45	2	8
2014-03-29 08:20:24.273451	79114	21.0	1	8
2014-03-29 08:20:32.209698	79115	418	3	2
2014-03-29 08:20:32.434836	79116	1118821.8370248496	4	2
2014-03-29 08:20:36.635241	79117	48	2	1
2014-03-29 08:20:36.870998	79118	21.4	1	1
2014-03-29 08:20:52.740155	79119	46	2	10
2014-03-29 08:20:52.964614	79120	21.1	1	10
2014-03-29 08:21:03.038056	79121	45	2	8
2014-03-29 08:21:03.269181	79122	21.0	1	8
2014-03-29 08:21:15.63548	79123	48	2	1
2014-03-29 08:21:15.878583	79124	21.4	1	1
2014-03-29 08:21:31.741094	79125	46	2	10
2014-03-29 08:21:31.975774	79126	21.1	1	10
2014-03-29 08:21:32.281801	79127	354	3	2
2014-03-29 08:21:32.503941	79128	1118828.7312331782	4	2
2014-03-29 08:21:42.037857	79129	45	2	8
2014-03-29 08:21:42.270886	79130	21.0	1	8
2014-03-29 08:21:44.208732	79131	354	3	2
2014-03-29 08:21:44.43112	79132	1118829.8802678995	4	2
2014-03-29 08:21:54.633811	79133	48	2	1
2014-03-29 08:21:54.867035	79134	21.4	1	1
2014-03-29 08:22:10.743086	79135	46	2	10
2014-03-29 08:22:10.964823	79136	21.1	1	10
2014-03-29 08:22:21.037835	79137	45	2	8
2014-03-29 08:22:21.272405	79138	21.0	1	8
2014-03-29 08:22:32.211971	79139	354	3	2
2014-03-29 08:22:32.437181	79140	1118834.4764067852	4	2
2014-03-29 08:22:33.63282	79141	48	2	1
2014-03-29 08:22:33.864176	79142	21.4	1	1
2014-03-29 08:22:49.743411	79143	46	2	10
2014-03-29 08:22:49.96847	79144	21.1	1	10
2014-03-29 08:23:00.037155	79145	45	2	8
2014-03-29 08:23:00.272468	79146	21.0	1	8
2014-03-29 08:23:12.634234	79147	48	2	1
2014-03-29 08:23:12.856536	79148	21.4	1	1
2014-03-29 08:23:28.743683	79149	46	2	10
2014-03-29 08:23:28.986568	79150	21.1	1	10
2014-03-29 08:23:32.208183	79151	354	3	2
2014-03-29 08:23:32.430859	79152	1118840.2215803922	4	2
2014-03-29 08:23:39.037662	79153	45	2	8
2014-03-29 08:23:39.270038	79154	21.0	1	8
2014-03-29 08:23:51.633571	79155	48	2	1
2014-03-29 08:23:51.854564	79156	21.4	1	1
2014-03-29 08:24:07.743414	79157	46	2	10
2014-03-29 08:24:07.97583	79158	21.1	1	10
2014-03-29 08:24:18.03665	79159	45	2	8
2014-03-29 08:24:18.25811	79160	21.0	1	8
2014-03-29 08:24:30.635127	79161	48	2	1
2014-03-29 08:24:30.869407	79162	21.5	1	1
2014-03-29 08:24:32.210096	79163	354	3	2
2014-03-29 08:24:32.430939	79164	1118845.9667539992	4	2
2014-03-29 08:24:46.744421	79165	46	2	10
2014-03-29 08:24:46.976767	79166	21.1	1	10
2014-03-29 08:24:57.038164	79167	45	2	8
2014-03-29 08:24:57.25982	79168	21.0	1	8
2014-03-29 08:25:09.63229	79169	48	2	1
2014-03-29 08:25:09.865102	79170	21.5	1	1
2014-03-29 08:25:25.745225	79171	46	2	10
2014-03-29 08:25:25.96713	79172	21.1	1	10
2014-03-29 08:25:32.209329	79173	354	3	2
2014-03-29 08:25:32.443339	79174	1118851.7119276063	4	2
2014-03-29 08:25:36.038561	79175	45	2	8
2014-03-29 08:25:36.259925	79176	21.0	1	8
2014-03-29 08:25:48.632404	79177	48	2	1
2014-03-29 08:25:48.866538	79178	21.5	1	1
2014-03-29 08:26:04.743492	79179	46	2	10
2014-03-29 08:26:04.968308	79180	21.2	1	10
2014-03-29 08:26:15.036404	79181	45	2	8
2014-03-29 08:26:15.27067	79182	21.0	1	8
2014-03-29 08:26:27.629846	79183	48	2	1
2014-03-29 08:26:27.852387	79184	21.5	1	1
2014-03-29 08:26:32.209313	79185	354	3	2
2014-03-29 08:26:32.438869	79186	1118858.6061359348	4	2
2014-03-29 08:26:43.744988	79187	46	2	10
2014-03-29 08:26:43.970184	79188	21.2	1	10
2014-03-29 08:26:54.039126	79189	45	2	8
2014-03-29 08:26:54.27006	79190	21.0	1	8
2014-03-29 08:27:06.632448	79191	48	2	1
2014-03-29 08:27:06.890847	79192	21.5	1	1
2014-03-29 08:27:22.742671	79193	46	2	10
2014-03-29 08:27:22.975213	79194	21.2	1	10
2014-03-29 08:27:33.03721	79195	45	2	8
2014-03-29 08:27:33.261136	79196	21.0	1	8
2014-03-29 08:27:45.640847	79197	48	2	1
2014-03-29 08:27:45.885654	79198	21.5	1	1
2014-03-29 08:28:01.745346	79199	46	2	10
2014-03-29 08:28:01.968002	79200	21.2	1	10
2014-03-29 08:28:12.042298	79201	45	2	8
2014-03-29 08:28:12.275728	79202	21.0	1	8
2014-03-29 08:28:24.631083	79203	48	2	1
2014-03-29 08:28:24.853956	79204	21.5	1	1
2014-03-29 08:28:40.546296	79205	418	3	2
2014-03-29 08:28:40.780088	79206	1118870.096483149	4	2
2014-03-29 08:28:41.083184	79207	46	2	10
2014-03-29 08:28:41.306999	79208	21.2	1	10
2014-03-29 08:28:44.208614	79209	418	3	2
2014-03-29 08:28:44.443229	79210	1118871.2455178704	4	2
2014-03-29 08:28:51.038123	79211	45	2	8
2014-03-29 08:28:51.259332	79212	21.0	1	8
2014-03-29 08:29:03.629224	79213	48	2	1
2014-03-29 08:29:03.86697	79214	21.5	1	1
2014-03-29 08:29:19.743263	79215	46	2	10
2014-03-29 08:29:19.96946	79216	21.2	1	10
2014-03-29 08:29:30.038307	79217	45	2	8
2014-03-29 08:29:30.270623	79218	21.0	1	8
2014-03-29 08:29:32.210943	79219	418	3	2
2014-03-29 08:29:32.432809	79220	1118876.9906914774	4	2
2014-03-29 08:29:42.630878	79221	48	2	1
2014-03-29 08:29:42.864096	79222	21.5	1	1
2014-03-29 08:29:58.743264	79223	46	2	10
2014-03-29 08:29:58.968012	79224	21.2	1	10
2014-03-29 08:30:09.037183	79225	45	2	8
2014-03-29 08:30:09.269956	79226	21.0	1	8
2014-03-29 08:30:21.633558	79227	48	2	1
2014-03-29 08:30:21.856818	79228	21.5	1	1
2014-03-29 08:30:32.205147	79229	418	3	2
2014-03-29 08:30:32.436577	79230	1118883.884899806	4	2
2014-03-29 08:30:37.74744	79231	46	2	10
2014-03-29 08:30:37.974487	79232	21.2	1	10
2014-03-29 08:30:48.03751	79233	45	2	8
2014-03-29 08:30:48.269635	79234	21.0	1	8
2014-03-29 08:31:00.630166	79235	48	2	1
2014-03-29 08:31:00.854937	79236	21.5	1	1
2014-03-29 08:31:16.744661	79237	46	2	10
2014-03-29 08:31:16.979439	79238	21.2	1	10
2014-03-29 08:31:27.03743	79239	45	2	8
2014-03-29 08:31:27.26075	79240	21.0	1	8
2014-03-29 08:31:32.207559	79241	418	3	2
2014-03-29 08:31:32.445225	79242	1118890.7791081346	4	2
2014-03-29 08:31:39.630337	79243	48	2	1
2014-03-29 08:31:39.855463	79244	21.6	1	1
2014-03-29 08:31:55.743976	79245	46	2	10
2014-03-29 08:31:55.990115	79246	21.3	1	10
2014-03-29 08:32:06.038853	79247	45	2	8
2014-03-29 08:32:06.268595	79248	21.0	1	8
2014-03-29 08:32:18.630291	79249	48	2	1
2014-03-29 08:32:18.863305	79250	21.6	1	1
2014-03-29 08:32:32.208773	79251	418	3	2
2014-03-29 08:32:32.430504	79252	1118897.673316463	4	2
2014-03-29 08:32:34.748115	79253	46	2	10
2014-03-29 08:32:34.979537	79254	21.3	1	10
2014-03-29 08:32:45.037718	79255	45	2	8
2014-03-29 08:32:45.263016	79256	21.0	1	8
2014-03-29 08:32:57.625338	79257	48	2	1
2014-03-29 08:32:57.857395	79258	21.6	1	1
2014-03-29 08:33:13.747139	79259	46	2	10
2014-03-29 08:33:13.971976	79260	21.3	1	10
2014-03-29 08:33:24.036277	79261	45	2	8
2014-03-29 08:33:24.270934	79262	21.1	1	8
2014-03-29 08:33:32.211852	79263	418	3	2
2014-03-29 08:33:32.433703	79264	1118904.5675247915	4	2
2014-03-29 08:33:36.627295	79265	48	2	1
2014-03-29 08:33:36.857599	79266	21.6	1	1
2014-03-29 08:33:52.74771	79267	46	2	10
2014-03-29 08:33:52.972859	79268	21.3	1	10
2014-03-29 08:34:03.035806	79269	45	2	8
2014-03-29 08:34:03.27078	79270	21.1	1	8
2014-03-29 08:34:15.627448	79271	48	2	1
2014-03-29 08:34:15.848498	79272	21.6	1	1
2014-03-29 08:34:20.206439	79273	354	3	2
2014-03-29 08:34:20.438506	79274	1118910.3126983985	4	2
2014-03-29 08:34:31.747737	79275	46	2	10
2014-03-29 08:34:31.971514	79276	21.3	1	10
2014-03-29 08:34:32.276425	79277	354	3	2
2014-03-29 08:34:32.512397	79278	1118911.46173312	4	2
2014-03-29 08:34:42.037352	79279	45	2	8
2014-03-29 08:34:42.259715	79280	21.1	1	8
2014-03-29 08:34:54.62855	79281	48	2	1
2014-03-29 08:34:54.86166	79282	21.6	1	1
2014-03-29 08:35:10.750326	79283	46	2	10
2014-03-29 08:35:10.973812	79284	21.3	1	10
2014-03-29 08:35:21.037768	79285	45	2	8
2014-03-29 08:35:21.26982	79286	21.1	1	8
2014-03-29 08:35:32.210044	79287	354	3	2
2014-03-29 08:35:32.43529	79288	1118917.206906727	4	2
2014-03-29 08:35:33.627706	79289	48	2	1
2014-03-29 08:35:33.859773	79290	21.6	1	1
2014-03-29 08:35:49.74831	79291	46	2	10
2014-03-29 08:35:49.971355	79292	21.3	1	10
2014-03-29 08:36:00.037837	79293	45	2	8
2014-03-29 08:36:00.282618	79294	21.1	1	8
2014-03-29 08:36:12.625242	79295	48	2	1
2014-03-29 08:36:12.855402	79296	21.6	1	1
2014-03-29 08:36:28.748051	79297	46	2	10
2014-03-29 08:36:29.164679	79298	21.3	1	10
2014-03-29 08:36:32.20822	79299	354	3	2
2014-03-29 08:36:32.429041	79300	1118922.952080334	4	2
2014-03-29 08:36:39.037299	79301	45	2	8
2014-03-29 08:36:39.258459	79302	21.1	1	8
2014-03-29 08:36:51.624693	79303	48	2	1
2014-03-29 08:36:51.856228	79304	21.7	1	1
2014-03-29 08:37:07.747166	79305	46	2	10
2014-03-29 08:37:07.969217	79306	21.3	1	10
2014-03-29 08:37:18.037537	79307	45	2	8
2014-03-29 08:37:18.268227	79308	21.1	1	8
2014-03-29 08:37:30.623007	79309	48	2	1
2014-03-29 08:37:30.844287	79310	21.7	1	1
2014-03-29 08:37:32.206411	79311	354	3	2
2014-03-29 08:37:32.438568	79312	1118929.8462886626	4	2
2014-03-29 08:37:46.746949	79313	46	2	10
2014-03-29 08:37:46.970841	79314	21.3	1	10
2014-03-29 08:37:57.037482	79315	45	2	8
2014-03-29 08:37:57.27096	79316	21.1	1	8
2014-03-29 08:38:09.623993	79317	48	2	1
2014-03-29 08:38:09.848216	79318	21.7	1	1
2014-03-29 08:38:25.748511	79319	46	2	10
2014-03-29 08:38:25.981346	79320	21.4	1	10
2014-03-29 08:38:32.208418	79321	354	3	2
2014-03-29 08:38:32.432474	79322	1118935.5914622697	4	2
2014-03-29 08:38:36.037872	79323	45	2	8
2014-03-29 08:38:36.270823	79324	21.1	1	8
2014-03-29 08:38:48.626802	79325	48	2	1
2014-03-29 08:38:48.850224	79326	21.7	1	1
2014-03-29 08:39:04.746032	79327	46	2	10
2014-03-29 08:39:04.977313	79328	21.4	1	10
2014-03-29 08:39:15.036483	79329	45	2	8
2014-03-29 08:39:15.261488	79330	21.1	1	8
2014-03-29 08:39:27.622541	79331	48	2	1
2014-03-29 08:39:27.855309	79332	21.7	1	1
2014-03-29 08:39:32.207899	79333	370	3	2
2014-03-29 08:39:32.431591	79334	1118941.3366358767	4	2
2014-03-29 08:39:43.747016	79335	46	2	10
2014-03-29 08:39:43.979395	79336	21.4	1	10
2014-03-29 08:39:54.036377	79337	45	2	8
2014-03-29 08:39:54.258296	79338	21.1	1	8
2014-03-29 08:40:06.622298	79339	48	2	1
2014-03-29 08:40:06.854069	79340	21.7	1	1
2014-03-29 08:40:22.750733	79341	46	2	10
2014-03-29 08:40:22.97345	79342	21.4	1	10
2014-03-29 08:40:33.038599	79343	45	2	8
2014-03-29 08:40:33.281487	79344	21.1	1	8
2014-03-29 08:40:44.207799	79345	450	3	2
2014-03-29 08:40:44.430384	79346	1118949.3798789266	4	2
2014-03-29 08:40:45.624325	79347	48	2	1
2014-03-29 08:40:45.857312	79348	21.7	1	1
2014-03-29 08:41:01.749332	79349	46	2	10
2014-03-29 08:41:01.972446	79350	21.4	1	10
2014-03-29 08:41:12.035877	79351	45	2	8
2014-03-29 08:41:12.274582	79352	21.1	1	8
2014-03-29 08:41:24.623398	79353	48	2	1
2014-03-29 08:41:24.847415	79354	21.7	1	1
2014-03-29 08:41:32.206789	79355	498	3	2
2014-03-29 08:41:32.439257	79356	1118955.1250525338	4	2
2014-03-29 08:41:40.751225	79357	46	2	10
2014-03-29 08:41:40.973804	79358	21.4	1	10
2014-03-29 08:41:44.209212	79359	498	3	2
2014-03-29 08:41:44.440525	79360	1118957.4231219764	4	2
2014-03-29 08:41:51.037392	79361	45	2	8
2014-03-29 08:41:51.260983	79362	21.1	1	8
2014-03-29 08:42:03.623103	79363	48	2	1
2014-03-29 08:42:03.856503	79364	21.7	1	1
2014-03-29 08:42:19.750946	79365	46	2	10
2014-03-29 08:42:19.975565	79366	21.4	1	10
2014-03-29 08:42:30.036114	79367	45	2	8
2014-03-29 08:42:30.268631	79368	21.1	1	8
2014-03-29 08:42:32.207224	79369	482	3	2
2014-03-29 08:42:32.428803	79370	1118963.1682955837	4	2
2014-03-29 08:42:42.622726	79371	48	2	1
2014-03-29 08:42:42.856145	79372	21.7	1	1
2014-03-29 08:42:58.750044	79373	46	2	10
2014-03-29 08:42:59.030263	79374	21.4	1	10
2014-03-29 08:43:09.039305	79375	45	2	8
2014-03-29 08:43:09.271859	79376	21.1	1	8
2014-03-29 08:43:21.622588	79377	48	2	1
2014-03-29 08:43:21.845702	79378	21.7	1	1
2014-03-29 08:43:32.207083	79379	482	3	2
2014-03-29 08:43:32.437911	79380	1118971.2115386336	4	2
2014-03-29 08:43:37.748121	79381	46	2	10
2014-03-29 08:43:37.973926	79382	21.4	1	10
2014-03-29 08:43:48.037806	79383	45	2	8
2014-03-29 08:43:48.273902	79384	21.1	1	8
2014-03-29 08:44:00.619663	79385	48	2	1
2014-03-29 08:44:00.841364	79386	21.7	1	1
2014-03-29 08:44:16.750915	79387	46	2	10
2014-03-29 08:44:16.982809	79388	21.5	1	10
2014-03-29 08:44:27.036814	79389	45	2	8
2014-03-29 08:44:27.26091	79390	21.1	1	8
2014-03-29 08:44:32.208797	79391	482	3	2
2014-03-29 08:44:32.457723	79392	1118979.2547816834	4	2
2014-03-29 08:44:39.629666	79393	48	2	1
2014-03-29 08:44:39.85228	79394	21.8	1	1
2014-03-29 08:44:55.74859	79395	46	2	10
2014-03-29 08:44:55.981037	79396	21.5	1	10
2014-03-29 08:45:06.038328	79397	45	2	8
2014-03-29 08:45:06.260326	79398	21.1	1	8
2014-03-29 08:45:18.619737	79399	48	2	1
2014-03-29 08:45:18.851132	79400	21.8	1	1
2014-03-29 08:45:32.206515	79401	482	3	2
2014-03-29 08:45:32.430794	79402	1118987.2980247333	4	2
2014-03-29 08:45:34.747244	79403	46	2	10
2014-03-29 08:45:34.979741	79404	21.5	1	10
2014-03-29 08:45:45.037761	79405	45	2	8
2014-03-29 08:45:45.258228	79406	21.1	1	8
2014-03-29 08:45:57.663109	79407	48	2	1
2014-03-29 08:45:57.894679	79408	21.8	1	1
2014-03-29 08:46:13.750311	79409	46	2	10
2014-03-29 08:46:13.974066	79410	21.5	1	10
2014-03-29 08:46:24.036856	79411	45	2	8
2014-03-29 08:46:24.268866	79412	21.1	1	8
2014-03-29 08:46:32.207964	79413	482	3	2
2014-03-29 08:46:32.430878	79414	1118995.3412677832	4	2
2014-03-29 08:46:36.619013	79415	48	2	1
2014-03-29 08:46:36.852505	79416	21.8	1	1
2014-03-29 08:46:52.75076	79417	46	2	10
2014-03-29 08:46:52.976149	79418	21.5	1	10
2014-03-29 08:47:03.036932	79419	45	2	8
2014-03-29 08:47:03.270876	79420	21.1	1	8
2014-03-29 08:47:08.208146	79421	434	3	2
2014-03-29 08:47:08.430649	79422	1118999.9418776212	4	2
2014-03-29 08:47:15.619089	79423	48	2	1
2014-03-29 08:47:15.853305	79424	21.8	1	1
2014-03-29 08:47:20.209791	79425	434	3	2
2014-03-29 08:47:20.431515	79426	1119001.0909123425	4	2
2014-03-29 08:47:31.750525	79427	46	2	10
2014-03-29 08:47:31.984082	79428	21.5	1	10
2014-03-29 08:47:32.291074	79429	434	3	2
2014-03-29 08:47:32.513182	79430	1119002.2399470638	4	2
2014-03-29 08:47:42.037341	79431	45	2	8
2014-03-29 08:47:42.272976	79432	21.1	1	8
2014-03-29 08:47:54.619453	79433	48	2	1
2014-03-29 08:47:54.841606	79434	21.8	1	1
2014-03-29 08:48:10.749946	79435	46	2	10
2014-03-29 08:48:10.983852	79436	21.5	1	10
2014-03-29 08:48:21.038809	79437	45	2	8
2014-03-29 08:48:21.261583	79438	21.1	1	8
2014-03-29 08:48:32.210999	79439	434	3	2
2014-03-29 08:48:32.455005	79440	1119009.1341553924	4	2
2014-03-29 08:48:33.617655	79441	48	2	1
2014-03-29 08:48:33.838623	79442	21.8	1	1
2014-03-29 08:48:49.740385	79443	46	2	10
2014-03-29 08:48:49.973738	79444	21.5	1	10
2014-03-29 08:49:00.042305	79445	45	2	8
2014-03-29 08:49:00.266023	79446	21.1	1	8
2014-03-29 08:49:12.857948	79447	48	2	1
2014-03-29 08:49:13.094109	79448	21.8	1	1
2014-03-29 08:49:28.752131	79449	46	2	10
2014-03-29 08:49:28.973808	79450	21.6	1	10
2014-03-29 08:49:32.210299	79451	434	3	2
2014-03-29 08:49:32.443554	79452	1119017.1773984423	4	2
2014-03-29 08:49:39.036645	79453	45	2	8
2014-03-29 08:49:39.259221	79454	21.1	1	8
2014-03-29 08:49:51.619977	79455	48	2	1
2014-03-29 08:49:51.851773	79456	21.8	1	1
2014-03-29 08:50:07.751889	79457	46	2	10
2014-03-29 08:50:07.973182	79458	21.6	1	10
2014-03-29 08:50:18.038517	79459	45	2	8
2014-03-29 08:50:18.269946	79460	21.1	1	8
2014-03-29 08:50:30.617461	79461	48	2	1
2014-03-29 08:50:30.8398	79462	21.8	1	1
2014-03-29 08:50:32.207703	79463	434	3	2
2014-03-29 08:50:32.440759	79464	1119024.0716067709	4	2
2014-03-29 08:50:46.752409	79465	46	2	10
2014-03-29 08:50:46.974611	79466	21.6	1	10
2014-03-29 08:50:57.036471	79467	45	2	8
2014-03-29 08:50:57.268237	79468	21.2	1	8
2014-03-29 08:51:09.61544	79469	48	2	1
2014-03-29 08:51:09.838445	79470	21.8	1	1
2014-03-29 08:51:25.750634	79471	46	2	10
2014-03-29 08:51:25.981358	79472	21.6	1	10
2014-03-29 08:51:32.206179	79473	434	3	2
2014-03-29 08:51:32.427572	79474	1119030.9658150994	4	2
2014-03-29 08:51:36.035844	79475	45	2	8
2014-03-29 08:51:36.268283	79476	21.2	1	8
2014-03-29 08:51:48.614588	79477	48	2	1
2014-03-29 08:51:48.836653	79478	21.8	1	1
2014-03-29 08:52:04.753827	79479	46	2	10
2014-03-29 08:52:04.993168	79480	21.6	1	10
2014-03-29 08:52:15.036006	79481	45	2	8
2014-03-29 08:52:15.259789	79482	21.2	1	8
2014-03-29 08:52:27.617821	79483	48	2	1
2014-03-29 08:52:27.850625	79484	21.8	1	1
2014-03-29 08:52:32.209851	79485	450	3	2
2014-03-29 08:52:32.431926	79486	1119039.0090581493	4	2
2014-03-29 08:52:43.752591	79487	46	2	10
2014-03-29 08:52:43.998596	79488	21.6	1	10
2014-03-29 08:52:54.036409	79489	45	2	8
2014-03-29 08:52:54.256813	79490	21.2	1	8
2014-03-29 08:53:06.615228	79491	48	2	1
2014-03-29 08:53:06.84784	79492	21.9	1	1
2014-03-29 08:53:22.752499	79493	46	2	10
2014-03-29 08:53:23.013311	79494	21.6	1	10
2014-03-29 08:53:33.037644	79495	45	2	8
2014-03-29 08:53:33.303908	79496	21.2	1	8
2014-03-29 08:54:01.751469	79497	46	2	10
2014-03-29 08:54:02.009379	79498	21.6	1	10
2014-03-29 08:54:08.206374	79499	482	3	2
2014-03-29 08:54:08.470752	79500	1119050.4994053633	4	2
2014-03-29 08:54:12.03749	79501	45	2	8
2014-03-29 08:54:12.378291	79502	21.2	1	8
2014-03-29 08:54:20.205835	79503	466	3	2
2014-03-29 08:54:20.473351	79504	1119051.648440085	4	2
2014-03-29 08:54:24.614455	79505	48	2	1
2014-03-29 08:54:24.868245	79506	21.9	1	1
2014-03-29 08:54:32.204417	79507	482	3	2
2014-03-29 08:54:32.440183	79508	1119053.9465095275	4	2
2014-03-29 08:54:40.752728	79509	46	2	10
2014-03-29 08:54:40.973744	79510	21.6	1	10
2014-03-29 08:54:51.034785	79511	45	2	8
2014-03-29 08:54:51.268973	79512	21.2	1	8
2014-03-29 08:54:56.209954	79513	418	3	2
2014-03-29 08:54:56.437731	79514	1119057.393613692	4	2
2014-03-29 08:55:03.613932	79515	48	2	1
2014-03-29 08:55:03.846305	79516	21.9	1	1
2014-03-29 08:55:08.210832	79517	418	3	2
2014-03-29 08:55:08.433201	79518	1119058.5426484132	4	2
2014-03-29 08:55:19.753165	79519	46	2	10
2014-03-29 08:55:19.984456	79520	21.6	1	10
2014-03-29 08:55:30.037113	79521	45	2	8
2014-03-29 08:55:30.257591	79522	21.2	1	8
2014-03-29 08:55:32.205004	79523	418	3	2
2014-03-29 08:55:32.437651	79524	1119060.840717856	4	2
2014-03-29 08:55:42.614444	79525	48	2	1
2014-03-29 08:55:42.836162	79526	21.9	1	1
2014-03-29 08:55:58.753564	79527	46	2	10
2014-03-29 08:55:58.987855	79528	21.7	1	10
2014-03-29 08:56:09.03507	79529	45	2	8
2014-03-29 08:56:09.258825	79530	21.2	1	8
2014-03-29 08:56:21.613489	79531	48	2	1
2014-03-29 08:56:21.845167	79532	21.9	1	1
2014-03-29 08:56:32.205728	79533	418	3	2
2014-03-29 08:56:32.431964	79534	1119067.7349261846	4	2
2014-03-29 08:56:37.753519	79535	46	2	10
2014-03-29 08:56:38.010861	79536	21.7	1	10
2014-03-29 08:56:48.035662	79537	45	2	8
2014-03-29 08:56:48.261152	79538	21.2	1	8
2014-03-29 08:57:00.611945	79539	48	2	1
2014-03-29 08:57:00.848289	79540	21.9	1	1
2014-03-29 08:57:16.750759	79541	46	2	10
2014-03-29 08:57:16.97395	79542	21.7	1	10
2014-03-29 08:57:27.036719	79543	45	2	8
2014-03-29 08:57:27.272143	79544	21.2	1	8
2014-03-29 08:57:32.207373	79545	418	3	2
2014-03-29 08:57:32.437716	79546	1119074.629134513	4	2
2014-03-29 08:57:39.655907	79547	48	2	1
2014-03-29 08:57:39.897196	79548	21.9	1	1
2014-03-29 08:57:55.754996	79549	46	2	10
2014-03-29 08:57:55.981012	79550	21.7	1	10
2014-03-29 08:58:06.034907	79551	45	2	8
2014-03-29 08:58:06.320256	79552	21.2	1	8
2014-03-29 08:58:18.611857	79553	48	2	1
2014-03-29 08:58:18.882005	79554	21.9	1	1
2014-03-29 08:58:32.202959	79555	418	3	2
2014-03-29 08:58:32.434114	79556	1119081.5233428415	4	2
2014-03-29 08:58:34.75481	79557	46	2	10
2014-03-29 08:58:34.977092	79558	21.7	1	10
2014-03-29 08:58:45.034623	79559	45	2	8
2014-03-29 08:58:45.267106	79560	21.2	1	8
2014-03-29 08:58:57.609217	79561	48	2	1
2014-03-29 08:58:57.834245	79562	22.0	1	1
2014-03-29 08:59:13.753951	79563	46	2	10
2014-03-29 08:59:13.988035	79564	21.7	1	10
2014-03-29 08:59:20.205976	79565	354	3	2
2014-03-29 08:59:20.426606	79566	1119087.2685164486	4	2
2014-03-29 08:59:24.037904	79567	45	2	8
2014-03-29 08:59:24.269453	79568	21.2	1	8
2014-03-29 08:59:32.204663	79569	354	3	2
2014-03-29 08:59:32.426798	79570	1119088.41755117	4	2
2014-03-29 08:59:36.609858	79571	48	2	1
2014-03-29 08:59:36.842311	79572	22.0	1	1
2014-03-29 08:59:52.754582	79573	46	2	10
2014-03-29 08:59:52.97532	79574	21.7	1	10
2014-03-29 09:00:03.037713	79575	45	2	8
2014-03-29 09:00:03.270948	79576	21.2	1	8
2014-03-29 09:00:15.614851	79577	48	2	1
2014-03-29 09:00:15.838186	79578	22.0	1	1
2014-03-29 09:00:31.756609	79579	46	2	10
2014-03-29 09:00:31.988529	79580	21.7	1	10
2014-03-29 09:00:32.295558	79581	370	3	2
2014-03-29 09:00:32.517212	79582	1119094.1627247771	4	2
2014-03-29 09:00:42.036518	79583	45	2	8
2014-03-29 09:00:42.28187	79584	21.2	1	8
2014-03-29 09:00:54.612554	79585	48	2	1
2014-03-29 09:00:54.838149	79586	22.0	1	1
2014-03-29 09:01:10.75373	79587	46	2	10
2014-03-29 09:01:10.986636	79588	21.8	1	10
2014-03-29 09:01:21.036872	79589	45	2	8
2014-03-29 09:01:21.259037	79590	21.2	1	8
2014-03-29 09:01:33.419394	79591	354	3	2
2014-03-29 09:01:33.651681	79592	1119101.0569331057	4	2
2014-03-29 09:01:33.954032	79593	48	2	1
2014-03-29 09:01:34.175689	79594	22.0	1	1
2014-03-29 09:01:49.754473	79595	46	2	10
2014-03-29 09:01:49.985781	79596	21.8	1	10
2014-03-29 09:02:00.07458	79597	45	2	8
2014-03-29 09:02:00.314411	79598	21.2	1	8
2014-03-29 09:02:12.60982	79599	48	2	1
2014-03-29 09:02:12.848495	79600	22.0	1	1
2014-03-29 09:02:28.755995	79601	46	2	10
2014-03-29 09:02:28.977089	79602	21.8	1	10
2014-03-29 09:02:32.203495	79603	354	3	2
2014-03-29 09:02:32.436036	79604	1119106.8021067127	4	2
2014-03-29 09:02:39.036332	79605	45	2	8
2014-03-29 09:02:39.259008	79606	21.2	1	8
2014-03-29 09:02:51.609904	79607	48	2	1
2014-03-29 09:02:51.845568	79608	22.0	1	1
2014-03-29 09:03:07.755273	79609	46	2	10
2014-03-29 09:03:07.976578	79610	21.8	1	10
2014-03-29 09:03:18.036331	79611	45	2	8
2014-03-29 09:03:18.267573	79612	21.2	1	8
2014-03-29 09:03:30.608605	79613	48	2	1
2014-03-29 09:03:30.833878	79614	22.0	1	1
2014-03-29 09:03:32.203992	79615	354	3	2
2014-03-29 09:03:32.435832	79616	1119112.5472803197	4	2
2014-03-29 09:03:46.754066	79617	46	2	10
2014-03-29 09:03:46.977478	79618	21.8	1	10
2014-03-29 09:03:57.036949	79619	45	2	8
2014-03-29 09:03:57.269402	79620	21.2	1	8
2014-03-29 09:04:09.608683	79621	48	2	1
2014-03-29 09:04:09.82987	79622	22.0	1	1
2014-03-29 09:04:20.202371	79623	305	3	2
2014-03-29 09:04:20.43493	79624	1119117.1434192054	4	2
2014-03-29 09:04:25.755685	79625	46	2	10
2014-03-29 09:04:25.983523	79626	21.8	1	10
2014-03-29 09:04:32.206066	79627	305	3	2
2014-03-29 09:04:32.437557	79628	1119118.2924539268	4	2
2014-03-29 09:04:36.037287	79629	45	2	8
2014-03-29 09:04:36.259053	79630	21.2	1	8
2014-03-29 09:04:48.607866	79631	48	2	1
2014-03-29 09:04:48.851309	79632	22.0	1	1
2014-03-29 09:05:04.752054	79633	46	2	10
2014-03-29 09:05:04.973756	79634	21.8	1	10
2014-03-29 09:05:15.036204	79635	45	2	8
2014-03-29 09:05:15.269925	79636	21.2	1	8
2014-03-29 09:05:27.60581	79637	48	2	1
2014-03-29 09:05:27.828329	79638	22.0	1	1
2014-03-29 09:05:32.207762	79639	305	3	2
2014-03-29 09:05:32.441313	79640	1119122.8885928125	4	2
2014-03-29 09:05:43.753347	79641	46	2	10
2014-03-29 09:05:43.974704	79642	21.8	1	10
2014-03-29 09:05:54.035063	79643	45	2	8
2014-03-29 09:05:54.268912	79644	21.2	1	8
2014-03-29 09:06:06.605672	79645	48	2	1
2014-03-29 09:06:06.828107	79646	22.0	1	1
2014-03-29 09:06:08.202368	79647	370	3	2
2014-03-29 09:06:08.437938	79648	1119126.3356969769	4	2
2014-03-29 09:06:20.204595	79649	354	3	2
2014-03-29 09:06:20.428116	79650	1119127.4847316982	4	2
2014-03-29 09:06:22.755294	79651	46	2	10
2014-03-29 09:06:22.985513	79652	21.9	1	10
2014-03-29 09:06:33.037544	79653	45	2	8
2014-03-29 09:06:33.26036	79654	21.2	1	8
2014-03-29 09:06:45.607573	79655	48	2	1
2014-03-29 09:06:45.839574	79656	22.0	1	1
2014-03-29 09:07:01.756635	79657	46	2	10
2014-03-29 09:07:01.977019	79658	21.9	1	10
2014-03-29 09:07:12.035323	79659	45	2	8
2014-03-29 09:07:12.273606	79660	21.2	1	8
2014-03-29 09:07:24.608136	79661	48	2	1
2014-03-29 09:07:24.830206	79662	22.0	1	1
2014-03-29 09:07:32.202287	79663	370	3	2
2014-03-29 09:07:32.434531	79664	1119134.3789400267	4	2
2014-03-29 09:07:40.758084	79665	46	2	10
2014-03-29 09:07:40.984022	79666	21.9	1	10
2014-03-29 09:07:51.036107	79667	45	2	8
2014-03-29 09:07:51.267822	79668	21.2	1	8
2014-03-29 09:08:03.604797	79669	48	2	1
2014-03-29 09:08:03.830134	79670	22.0	1	1
2014-03-29 09:08:19.757255	79671	46	2	10
2014-03-29 09:08:19.989961	79672	21.9	1	10
2014-03-29 09:08:30.036075	79673	45	2	8
2014-03-29 09:08:30.258825	79674	21.2	1	8
2014-03-29 09:08:32.202702	79675	370	3	2
2014-03-29 09:08:32.434197	79676	1119141.273148355	4	2
2014-03-29 09:08:42.603259	79677	48	2	1
2014-03-29 09:08:42.827828	79678	22.0	1	1
2014-03-29 09:08:58.75634	79679	46	2	10
2014-03-29 09:08:58.999799	79680	21.9	1	10
2014-03-29 09:09:09.035549	79681	45	2	8
2014-03-29 09:09:09.257092	79682	21.2	1	8
2014-03-29 09:09:21.60757	79683	48	2	1
2014-03-29 09:09:21.838429	79684	22.0	1	1
2014-03-29 09:09:32.204483	79685	354	3	2
2014-03-29 09:09:32.426404	79686	1119147.0183219623	4	2
2014-03-29 09:09:37.756812	79687	46	2	10
2014-03-29 09:09:37.994336	79688	21.9	1	10
2014-03-29 09:09:48.037731	79689	45	2	8
2014-03-29 09:09:48.259947	79690	21.2	1	8
2014-03-29 09:10:00.655059	79691	48	2	1
2014-03-29 09:10:00.88666	79692	22.0	1	1
2014-03-29 09:10:16.757273	79693	46	2	10
2014-03-29 09:10:16.979608	79694	21.9	1	10
2014-03-29 09:10:27.030272	79695	45	2	8
2014-03-29 09:10:27.263946	79696	21.2	1	8
2014-03-29 09:10:32.208782	79697	354	3	2
2014-03-29 09:10:32.435581	79698	1119152.7634955694	4	2
2014-03-29 09:10:39.608886	79699	48	2	1
2014-03-29 09:10:39.841191	79700	22.0	1	1
2014-03-29 09:10:55.757693	79701	46	2	10
2014-03-29 09:10:55.978546	79702	21.9	1	10
2014-03-29 09:11:06.035913	79703	45	2	8
2014-03-29 09:11:06.270277	79704	21.2	1	8
2014-03-29 09:11:18.60452	79705	48	2	1
2014-03-29 09:11:18.8279	79706	22.0	1	1
2014-03-29 09:11:20.203002	79707	305	3	2
2014-03-29 09:11:20.435717	79708	1119157.359634455	4	2
2014-03-29 09:11:32.205122	79709	305	3	2
2014-03-29 09:11:32.428275	79710	1119158.5086691764	4	2
2014-03-29 09:11:34.756801	79711	46	2	10
2014-03-29 09:11:34.98646	79712	21.9	1	10
2014-03-29 09:11:45.034517	79713	45	2	8
2014-03-29 09:11:45.255918	79714	21.2	1	8
2014-03-29 09:11:57.604595	79715	48	2	1
2014-03-29 09:11:57.837941	79716	22.0	1	1
2014-03-29 09:12:13.75954	79717	46	2	10
2014-03-29 09:12:13.982307	79718	22.0	1	10
2014-03-29 09:12:24.036308	79719	45	2	8
2014-03-29 09:12:24.268418	79720	21.2	1	8
2014-03-29 09:12:32.202144	79721	305	3	2
2014-03-29 09:12:32.424445	79722	1119164.2538427834	4	2
2014-03-29 09:12:36.605098	79723	48	2	1
2014-03-29 09:12:36.837972	79724	22.0	1	1
2014-03-29 09:12:52.758263	79725	46	2	10
2014-03-29 09:12:52.981602	79726	22.0	1	10
2014-03-29 09:13:03.035564	79727	45	2	8
2014-03-29 09:13:03.27802	79728	21.2	1	8
2014-03-29 09:13:15.650087	79729	48	2	1
2014-03-29 09:13:15.872992	79730	22.0	1	1
2014-03-29 09:13:31.758724	79731	46	2	10
2014-03-29 09:13:31.992134	79732	22.0	1	10
2014-03-29 09:13:32.297274	79733	305	3	2
2014-03-29 09:13:32.522657	79734	1119168.849981669	4	2
2014-03-29 09:13:42.03546	79735	45	2	8
2014-03-29 09:13:42.268641	79736	21.2	1	8
2014-03-29 09:13:54.601835	79737	48	2	1
2014-03-29 09:13:54.826869	79738	22.0	1	1
2014-03-29 09:14:10.759233	79739	46	2	10
2014-03-29 09:14:10.991625	79740	22.0	1	10
2014-03-29 09:14:21.035698	79741	45	2	8
2014-03-29 09:14:21.259052	79742	21.2	1	8
2014-03-29 09:14:33.410405	79743	338	3	2
2014-03-29 09:14:33.641813	79744	1119174.5951552761	4	2
2014-03-29 09:14:33.94943	79745	48	2	1
2014-03-29 09:14:34.171282	79746	22.0	1	1
2014-03-29 09:14:44.204149	79747	338	3	2
2014-03-29 09:14:44.435903	79748	1119175.7441899977	4	2
2014-03-29 09:14:49.756533	79749	46	2	10
2014-03-29 09:14:49.984112	79750	22.0	1	10
2014-03-29 09:14:56.206937	79751	305	3	2
2014-03-29 09:14:56.43894	79752	1119175.7441899977	4	2
2014-03-29 09:15:00.036556	79753	45	2	8
2014-03-29 09:15:00.259644	79754	21.2	1	8
2014-03-29 09:15:08.202406	79755	289	3	2
2014-03-29 09:15:08.43521	79756	1119176.893224719	4	2
2014-03-29 09:15:12.60048	79757	48	2	1
2014-03-29 09:15:12.828831	79758	22.0	1	1
2014-03-29 09:15:28.757529	79759	46	2	10
2014-03-29 09:15:28.990763	79760	22.0	1	10
2014-03-29 09:15:32.202376	79761	305	3	2
2014-03-29 09:15:32.423583	79762	1119179.1912941618	4	2
2014-03-29 09:15:39.036402	79763	45	2	8
2014-03-29 09:15:39.268295	79764	21.2	1	8
2014-03-29 09:15:51.597876	79765	48	2	1
2014-03-29 09:15:51.822473	79766	22.0	1	1
2014-03-29 09:16:07.758722	79767	46	2	10
2014-03-29 09:16:07.993088	79768	22.0	1	10
2014-03-29 09:16:18.035133	79769	45	2	8
2014-03-29 09:16:18.258751	79770	21.2	1	8
2014-03-29 09:16:30.600526	79771	48	2	1
2014-03-29 09:16:30.832233	79772	22.0	1	1
2014-03-29 09:16:32.205393	79773	305	3	2
2014-03-29 09:16:32.427109	79774	1119184.9364677689	4	2
2014-03-29 09:16:44.203599	79775	338	3	2
2014-03-29 09:16:44.447884	79776	1119184.9364677689	4	2
2014-03-29 09:16:46.761768	79777	46	2	10
2014-03-29 09:16:46.98407	79778	22.0	1	10
2014-03-29 09:16:57.035144	79779	45	2	8
2014-03-29 09:16:57.2687	79780	21.2	1	8
2014-03-29 09:17:09.602474	79781	48	2	1
2014-03-29 09:17:09.825102	79782	21.9	1	1
2014-03-29 09:17:25.757046	79783	46	2	10
2014-03-29 09:17:25.988308	79784	22.0	1	10
2014-03-29 09:17:32.204976	79785	338	3	2
2014-03-29 09:17:32.428651	79786	1119189.5326066546	4	2
2014-03-29 09:17:36.241263	79787	45	2	8
2014-03-29 09:17:36.476804	79788	21.2	1	8
2014-03-29 09:17:48.599956	79789	48	2	1
2014-03-29 09:17:48.823923	79790	21.9	1	1
2014-03-29 09:18:04.757699	79791	46	2	10
2014-03-29 09:18:04.989029	79792	22.0	1	10
2014-03-29 09:18:15.034204	79793	45	2	8
2014-03-29 09:18:15.256011	79794	21.2	1	8
2014-03-29 09:18:20.203236	79795	402	3	2
2014-03-29 09:18:20.439755	79796	1119194.1287455403	4	2
2014-03-29 09:18:27.599873	79797	48	2	1
2014-03-29 09:18:27.823323	79798	21.9	1	1
2014-03-29 09:18:32.204444	79799	370	3	2
2014-03-29 09:18:32.436289	79800	1119195.2777802616	4	2
2014-03-29 09:18:43.758679	79801	46	2	10
2014-03-29 09:18:43.984529	79802	22.0	1	10
2014-03-29 09:18:44.292178	79803	370	3	2
2014-03-29 09:18:44.524021	79804	1119197.5758497044	4	2
2014-03-29 09:18:54.035427	79805	45	2	8
2014-03-29 09:18:54.258136	79806	21.2	1	8
2014-03-29 09:19:06.596573	79807	48	2	1
2014-03-29 09:19:06.837832	79808	21.9	1	1
2014-03-29 09:19:22.76113	79809	46	2	10
2014-03-29 09:19:22.982609	79810	22.0	1	10
2014-03-29 09:19:33.035738	79811	45	2	8
2014-03-29 09:19:33.268089	79812	21.2	1	8
2014-03-29 09:19:45.596169	79813	48	2	1
2014-03-29 09:19:45.820348	79814	21.9	1	1
2014-03-29 09:20:01.758766	79815	46	2	10
2014-03-29 09:20:01.993613	79816	22.1	1	10
2014-03-29 09:20:12.033436	79817	45	2	8
2014-03-29 09:20:12.256803	79818	21.2	1	8
2014-03-29 09:20:24.595765	79819	48	2	1
2014-03-29 09:20:24.827344	79820	21.9	1	1
2014-03-29 09:20:32.2037	79821	370	3	2
2014-03-29 09:20:32.428799	79822	1119207.9171621972	4	2
2014-03-29 09:20:40.759693	79823	46	2	10
2014-03-29 09:20:41.004437	79824	22.1	1	10
2014-03-29 09:20:51.036441	79825	45	2	8
2014-03-29 09:20:51.25807	79826	21.2	1	8
2014-03-29 09:21:03.642069	79827	48	2	1
2014-03-29 09:21:03.875599	79828	21.9	1	1
2014-03-29 09:21:19.7587	79829	46	2	10
2014-03-29 09:21:19.981791	79830	22.1	1	10
2014-03-29 09:21:30.035641	79831	45	2	8
2014-03-29 09:21:30.268107	79832	21.2	1	8
2014-03-29 09:21:32.206658	79833	370	3	2
2014-03-29 09:21:32.427881	79834	1119214.8113705257	4	2
2014-03-29 09:21:42.598553	79835	48	2	1
2014-03-29 09:21:42.831213	79836	21.8	1	1
2014-03-29 09:21:58.759818	79837	46	2	10
2014-03-29 09:21:58.981567	79838	22.1	1	10
2014-03-29 09:22:09.035228	79839	45	2	8
2014-03-29 09:22:09.269539	79840	21.2	1	8
2014-03-29 09:22:21.600024	79841	48	2	1
2014-03-29 09:22:21.824018	79842	21.8	1	1
2014-03-29 09:22:37.563212	79843	354	3	2
2014-03-29 09:22:37.796413	79844	1119220.5565441328	4	2
2014-03-29 09:22:38.100918	79845	46	2	10
2014-03-29 09:22:38.327354	79846	22.1	1	10
2014-03-29 09:22:48.034259	79847	45	2	8
2014-03-29 09:22:48.266832	79848	21.2	1	8
2014-03-29 09:23:00.596152	79849	48	2	1
2014-03-29 09:23:00.819124	79850	21.8	1	1
2014-03-29 09:23:16.760407	79851	46	2	10
2014-03-29 09:23:16.992124	79852	22.1	1	10
2014-03-29 09:23:27.034385	79853	45	2	8
2014-03-29 09:23:27.257645	79854	21.2	1	8
2014-03-29 09:23:32.202568	79855	305	3	2
2014-03-29 09:23:32.439239	79856	1119226.3017177398	4	2
2014-03-29 09:23:39.599152	79857	48	2	1
2014-03-29 09:23:39.822755	79858	21.8	1	1
2014-03-29 09:23:44.203031	79859	338	3	2
2014-03-29 09:23:44.4352	79860	1119227.4507524613	4	2
2014-03-29 09:23:55.762126	79861	46	2	10
2014-03-29 09:23:55.983373	79862	22.1	1	10
2014-03-29 09:23:56.289591	79863	305	3	2
2014-03-29 09:23:56.520981	79864	1119228.5997871826	4	2
2014-03-29 09:24:06.035984	79865	45	2	8
2014-03-29 09:24:06.256528	79866	21.2	1	8
2014-03-29 09:24:08.205266	79867	338	3	2
2014-03-29 09:24:08.437993	79868	1119229.7488219042	4	2
2014-03-29 09:24:18.596922	79869	48	2	1
2014-03-29 09:24:18.821789	79870	21.8	1	1
2014-03-29 09:24:20.204768	79871	305	3	2
2014-03-29 09:24:20.448262	79872	1119230.8978566255	4	2
2014-03-29 09:24:32.20342	79873	305	3	2
2014-03-29 09:24:32.425563	79874	1119230.8978566255	4	2
2014-03-29 09:24:34.761492	79875	46	2	10
2014-03-29 09:24:34.992988	79876	22.1	1	10
2014-03-29 09:24:45.035131	79877	45	2	8
2014-03-29 09:24:45.255462	79878	21.2	1	8
2014-03-29 09:24:56.204634	79879	338	3	2
2014-03-29 09:24:56.437287	79880	1119233.1959260684	4	2
2014-03-29 09:24:57.596068	79881	48	2	1
2014-03-29 09:24:57.81831	79882	21.7	1	1
2014-03-29 09:25:13.963698	79883	46	2	10
2014-03-29 09:25:14.195632	79884	22.1	1	10
2014-03-29 09:25:20.202263	79885	305	3	2
2014-03-29 09:25:20.423821	79886	1119235.4939955112	4	2
2014-03-29 09:25:24.034172	79887	45	2	8
2014-03-29 09:25:24.265748	79888	21.2	1	8
2014-03-29 09:25:32.201045	79889	305	3	2
2014-03-29 09:25:32.423257	79890	1119236.6430302325	4	2
2014-03-29 09:25:36.59407	79891	48	2	1
2014-03-29 09:25:36.825186	79892	21.7	1	1
2014-03-29 09:25:44.20244	79893	338	3	2
2014-03-29 09:25:44.424784	79894	1119237.792064954	4	2
2014-03-29 09:25:52.762167	79895	46	2	10
2014-03-29 09:25:52.996106	79896	22.2	1	10
2014-03-29 09:25:56.202401	79897	305	3	2
2014-03-29 09:25:56.423921	79898	1119238.9410996754	4	2
2014-03-29 09:26:03.240752	79899	45	2	8
2014-03-29 09:26:03.472959	79900	21.2	1	8
2014-03-29 09:26:08.202687	79901	338	3	2
2014-03-29 09:26:08.424902	79902	1119240.090134397	4	2
2014-03-29 09:26:15.595385	79903	48	2	1
2014-03-29 09:26:15.827939	79904	21.7	1	1
2014-03-29 09:26:20.205826	79905	305	3	2
2014-03-29 09:26:20.428044	79906	1119241.2391691182	4	2
2014-03-29 09:26:31.760898	79907	46	2	10
2014-03-29 09:26:31.993266	79908	22.2	1	10
2014-03-29 09:26:32.300736	79909	305	3	2
2014-03-29 09:26:32.522979	79910	1119242.3882038398	4	2
2014-03-29 09:26:42.243339	79911	45	2	8
2014-03-29 09:26:42.474534	79912	21.2	1	8
2014-03-29 09:26:54.592472	79913	48	2	1
2014-03-29 09:26:54.816359	79914	21.7	1	1
2014-03-29 09:27:08.206172	79915	338	3	2
2014-03-29 09:27:08.439259	79916	1119244.6862732824	4	2
2014-03-29 09:27:10.762441	79917	46	2	10
2014-03-29 09:27:10.984129	79918	22.2	1	10
2014-03-29 09:27:21.035464	79919	45	2	8
2014-03-29 09:27:21.280775	79920	21.2	1	8
2014-03-29 09:27:32.202278	79921	305	3	2
2014-03-29 09:27:32.429148	79922	1119246.9843427252	4	2
2014-03-29 09:27:33.591527	79923	48	2	1
2014-03-29 09:27:33.823983	79924	21.7	1	1
2014-03-29 09:27:44.202373	79925	338	3	2
2014-03-29 09:27:44.427069	79926	1119248.1333774468	4	2
2014-03-29 09:27:49.760905	79927	46	2	10
2014-03-29 09:27:49.995583	79928	22.2	1	10
2014-03-29 09:27:56.204274	79929	305	3	2
2014-03-29 09:27:56.429346	79930	1119249.282412168	4	2
2014-03-29 09:28:00.035234	79931	45	2	8
2014-03-29 09:28:00.267969	79932	21.2	1	8
2014-03-29 09:28:08.203528	79933	305	3	2
2014-03-29 09:28:08.426932	79934	1119250.4314468896	4	2
2014-03-29 09:28:12.590917	79935	48	2	1
2014-03-29 09:28:12.82911	79936	21.7	1	1
2014-03-29 09:28:20.204659	79937	338	3	2
2014-03-29 09:28:20.428003	79938	1119251.580481611	4	2
2014-03-29 09:28:28.764338	79939	46	2	10
2014-03-29 09:28:28.997257	79940	22.2	1	10
2014-03-29 09:28:32.201422	79941	305	3	2
2014-03-29 09:28:32.425633	79942	1119252.7295163325	4	2
2014-03-29 09:28:39.035803	79943	45	2	8
2014-03-29 09:28:39.266964	79944	21.2	1	8
2014-03-29 09:28:44.202824	79945	305	3	2
2014-03-29 09:28:44.429631	79946	1119253.8785510538	4	2
2014-03-29 09:28:51.594119	79947	48	2	1
2014-03-29 09:28:51.827294	79948	21.7	1	1
2014-03-29 09:29:07.759749	79949	46	2	10
2014-03-29 09:29:07.980827	79950	22.2	1	10
2014-03-29 09:29:18.034536	79951	45	2	8
2014-03-29 09:29:18.266334	79952	21.2	1	8
2014-03-29 09:29:30.592209	79953	48	2	1
2014-03-29 09:29:30.815897	79954	21.6	1	1
2014-03-29 09:29:32.203663	79955	305	3	2
2014-03-29 09:29:32.438467	79956	1119257.325655218	4	2
2014-03-29 09:29:46.764469	79957	46	2	10
2014-03-29 09:29:46.987789	79958	22.2	1	10
2014-03-29 09:29:57.034207	79959	45	2	8
2014-03-29 09:29:57.265206	79960	21.2	1	8
2014-03-29 09:30:08.20117	79961	370	3	2
2014-03-29 09:30:08.423849	79962	1119260.7727593824	4	2
2014-03-29 09:30:09.590118	79963	48	2	1
2014-03-29 09:30:09.824732	79964	21.6	1	1
2014-03-29 09:30:20.203664	79965	354	3	2
2014-03-29 09:30:20.426602	79966	1119261.9217941037	4	2
2014-03-29 09:30:25.762022	79967	46	2	10
2014-03-29 09:30:26.011338	79968	22.2	1	10
2014-03-29 09:30:36.037571	79969	45	2	8
2014-03-29 09:30:36.261804	79970	21.1	1	8
2014-03-29 09:30:48.589365	79971	48	2	1
2014-03-29 09:30:48.823139	79972	21.6	1	1
2014-03-29 09:31:04.764102	79973	46	2	10
2014-03-29 09:31:04.98894	79974	22.3	1	10
2014-03-29 09:31:15.036745	79975	45	2	8
2014-03-29 09:31:15.269647	79976	21.1	1	8
2014-03-29 09:31:27.588526	79977	48	2	1
2014-03-29 09:31:27.81021	79978	21.6	1	1
2014-03-29 09:31:32.204322	79979	354	3	2
2014-03-29 09:31:32.435691	79980	1119268.8160024323	4	2
2014-03-29 09:31:43.763048	79981	46	2	10
2014-03-29 09:31:43.985317	79982	22.3	1	10
2014-03-29 09:31:54.033888	79983	45	2	8
2014-03-29 09:31:54.268098	79984	21.1	1	8
2014-03-29 09:32:06.589031	79985	48	2	1
2014-03-29 09:32:06.811432	79986	21.6	1	1
2014-03-29 09:32:22.763508	79987	46	2	10
2014-03-29 09:32:22.99477	79988	22.3	1	10
2014-03-29 09:32:33.036648	79989	45	2	8
2014-03-29 09:32:33.259699	79990	21.1	1	8
2014-03-29 09:32:45.591466	79991	48	2	1
2014-03-29 09:32:45.825799	79992	21.6	1	1
2014-03-29 09:33:01.76434	79993	46	2	10
2014-03-29 09:33:02.043292	79994	22.3	1	10
2014-03-29 09:33:12.033722	79995	45	2	8
2014-03-29 09:33:12.265358	79996	21.1	1	8
2014-03-29 09:33:24.59152	79997	48	2	1
2014-03-29 09:33:24.813543	79998	21.6	1	1
2014-03-29 09:33:32.200394	79999	370	3	2
2014-03-29 09:33:32.433657	80000	1119281.4553843678	4	2
2014-03-29 09:33:40.761444	80001	46	2	10
2014-03-29 09:33:40.984142	80002	22.3	1	10
2014-03-29 09:33:51.033221	80003	45	2	8
2014-03-29 09:33:51.265014	80004	21.1	1	8
2014-03-29 09:34:03.589938	80005	48	2	1
2014-03-29 09:34:03.813639	80006	21.5	1	1
2014-03-29 09:34:19.76049	80007	46	2	10
2014-03-29 09:34:19.996023	80008	22.3	1	10
2014-03-29 09:34:30.034088	80009	45	2	8
2014-03-29 09:34:30.25627	80010	21.1	1	8
2014-03-29 09:34:32.200084	80011	370	3	2
2014-03-29 09:34:32.43207	80012	1119287.2005579749	4	2
2014-03-29 09:34:42.592885	80013	48	2	1
2014-03-29 09:34:42.815914	80014	21.5	1	1
2014-03-29 09:34:58.764719	80015	46	2	10
2014-03-29 09:34:59.006853	80016	22.3	1	10
2014-03-29 09:35:09.033567	80017	45	2	8
2014-03-29 09:35:09.255588	80018	21.1	1	8
2014-03-29 09:35:20.203211	80019	305	3	2
2014-03-29 09:35:20.435982	80020	1119291.8011678127	4	2
2014-03-29 09:35:21.589948	80021	48	2	1
2014-03-29 09:35:21.812831	80022	21.5	1	1
2014-03-29 09:35:32.20245	80023	338	3	2
2014-03-29 09:35:32.43515	80024	1119292.9502025342	4	2
2014-03-29 09:35:37.766973	80025	46	2	10
2014-03-29 09:35:37.993255	80026	22.3	1	10
2014-03-29 09:35:44.201378	80027	305	3	2
2014-03-29 09:35:44.435456	80028	1119294.0992372555	4	2
2014-03-29 09:35:48.033609	80029	45	2	8
2014-03-29 09:35:48.255376	80030	21.1	1	8
2014-03-29 09:35:56.204064	80031	305	3	2
2014-03-29 09:35:56.434649	80032	1119294.0992372555	4	2
2014-03-29 09:36:00.587702	80033	48	2	1
2014-03-29 09:36:00.808593	80034	21.5	1	1
2014-03-29 09:36:16.762971	80035	46	2	10
2014-03-29 09:36:16.997071	80036	22.3	1	10
2014-03-29 09:36:20.201596	80037	338	3	2
2014-03-29 09:36:20.423425	80038	1119296.3973066984	4	2
2014-03-29 09:36:27.035351	80039	45	2	8
2014-03-29 09:36:27.266399	80040	21.1	1	8
2014-03-29 09:36:32.202096	80041	305	3	2
2014-03-29 09:36:32.431765	80042	1119297.54634142	4	2
2014-03-29 09:36:39.585959	80043	48	2	1
2014-03-29 09:36:39.81868	80044	21.5	1	1
2014-03-29 09:36:44.203156	80045	402	3	2
2014-03-29 09:36:44.423762	80046	1119299.8444108625	4	2
2014-03-29 09:36:55.762768	80047	46	2	10
2014-03-29 09:36:55.997183	80048	22.3	1	10
2014-03-29 09:36:56.302409	80049	402	3	2
2014-03-29 09:36:56.524439	80050	1119300.993445584	4	2
2014-03-29 09:37:06.036369	80051	45	2	8
2014-03-29 09:37:06.269576	80052	21.1	1	8
2014-03-29 09:37:18.589158	80053	48	2	1
2014-03-29 09:37:18.811556	80054	21.5	1	1
2014-03-29 09:37:32.205059	80055	402	3	2
2014-03-29 09:37:32.436233	80056	1119305.5895844698	4	2
2014-03-29 09:37:34.762757	80057	46	2	10
2014-03-29 09:37:34.983624	80058	22.3	1	10
2014-03-29 09:37:45.034562	80059	45	2	8
2014-03-29 09:37:45.270794	80060	21.1	1	8
2014-03-29 09:37:57.589177	80061	48	2	1
2014-03-29 09:37:57.810802	80062	21.5	1	1
2014-03-29 09:38:13.760549	80063	46	2	10
2014-03-29 09:38:14.003839	80064	22.3	1	10
2014-03-29 09:38:24.033278	80065	45	2	8
2014-03-29 09:38:24.254531	80066	21.1	1	8
2014-03-29 09:38:32.201995	80067	402	3	2
2014-03-29 09:38:32.436263	80068	1119312.4837927981	4	2
2014-03-29 09:38:36.588195	80069	48	2	1
2014-03-29 09:38:36.80857	80070	21.5	1	1
2014-03-29 09:38:52.764848	80071	46	2	10
2014-03-29 09:38:52.995905	80072	22.3	1	10
2014-03-29 09:39:03.034449	80073	45	2	8
2014-03-29 09:39:03.256454	80074	21.1	1	8
2014-03-29 09:39:15.58884	80075	48	2	1
2014-03-29 09:39:15.819965	80076	21.5	1	1
2014-03-29 09:39:31.7653	80077	46	2	10
2014-03-29 09:39:31.987087	80078	22.3	1	10
2014-03-29 09:39:32.292099	80079	402	3	2
2014-03-29 09:39:32.5254	80080	1119318.2289664054	4	2
2014-03-29 09:39:42.034075	80081	45	2	8
2014-03-29 09:39:42.254779	80082	21.1	1	8
2014-03-29 09:39:44.201518	80083	370	3	2
2014-03-29 09:39:44.433853	80084	1119320.527035848	4	2
2014-03-29 09:39:54.588321	80085	48	2	1
2014-03-29 09:39:54.809961	80086	21.4	1	1
2014-03-29 09:39:56.20328	80087	370	3	2
2014-03-29 09:39:56.434096	80088	1119321.6760705695	4	2
2014-03-29 09:40:10.76286	80089	46	2	10
2014-03-29 09:40:10.987317	80090	22.3	1	10
2014-03-29 09:40:21.033805	80091	45	2	8
2014-03-29 09:40:21.266378	80092	21.1	1	8
2014-03-29 09:40:32.202925	80093	402	3	2
2014-03-29 09:40:32.423578	80094	1119325.1231747337	4	2
2014-03-29 09:40:33.587632	80095	48	2	1
2014-03-29 09:40:33.820655	80096	21.4	1	1
2014-03-29 09:40:44.202131	80097	370	3	2
2014-03-29 09:40:44.423075	80098	1119326.2722094553	4	2
2014-03-29 09:40:49.767811	80099	46	2	10
2014-03-29 09:40:50.00415	80100	22.3	1	10
2014-03-29 09:40:56.201164	80101	370	3	2
2014-03-29 09:40:56.422296	80102	1119327.4212441766	4	2
2014-03-29 09:41:00.033548	80103	45	2	8
2014-03-29 09:41:00.264286	80104	21.1	1	8
2014-03-29 09:41:12.583616	80105	48	2	1
2014-03-29 09:41:12.816765	80106	21.4	1	1
2014-03-29 09:41:28.762311	80107	46	2	10
2014-03-29 09:41:28.995817	80108	22.4	1	10
2014-03-29 09:41:32.201511	80109	370	3	2
2014-03-29 09:41:32.423376	80110	1119330.8683483407	4	2
2014-03-29 09:41:39.032467	80111	45	2	8
2014-03-29 09:41:39.276173	80112	21.1	1	8
2014-03-29 09:41:51.82559	80113	48	2	1
2014-03-29 09:41:52.050292	80114	21.4	1	1
2014-03-29 09:42:07.766603	80115	46	2	10
2014-03-29 09:42:08.18658	80116	22.4	1	10
2014-03-29 09:42:18.035913	80117	45	2	8
2014-03-29 09:42:18.255486	80118	21.1	1	8
2014-03-29 09:42:20.202343	80119	434	3	2
2014-03-29 09:42:20.422879	80120	1119336.613521948	4	2
2014-03-29 09:42:30.581508	80121	48	2	1
2014-03-29 09:42:30.81355	80122	21.4	1	1
2014-03-29 09:42:32.199618	80123	434	3	2
2014-03-29 09:42:32.422024	80124	1119337.7625566693	4	2
2014-03-29 09:42:46.764449	80125	46	2	10
2014-03-29 09:42:46.999044	80126	22.4	1	10
2014-03-29 09:42:57.03274	80127	45	2	8
2014-03-29 09:42:57.257756	80128	21.1	1	8
2014-03-29 09:43:09.582008	80129	48	2	1
2014-03-29 09:43:09.81512	80130	21.4	1	1
2014-03-29 09:43:25.765297	80131	46	2	10
2014-03-29 09:43:25.987518	80132	22.4	1	10
2014-03-29 09:43:32.199819	80133	434	3	2
2014-03-29 09:43:32.432517	80134	1119344.6567649979	4	2
2014-03-29 09:43:36.033578	80135	45	2	8
2014-03-29 09:43:36.25598	80136	21.1	1	8
2014-03-29 09:43:48.583149	80137	48	2	1
2014-03-29 09:43:48.814209	80138	21.4	1	1
2014-03-29 09:44:04.766736	80139	46	2	10
2014-03-29 09:44:04.988008	80140	22.4	1	10
2014-03-29 09:44:15.033603	80141	45	2	8
2014-03-29 09:44:15.265561	80142	21.1	1	8
2014-03-29 09:44:27.581093	80143	48	2	1
2014-03-29 09:44:27.803641	80144	21.4	1	1
2014-03-29 09:44:32.199445	80145	434	3	2
2014-03-29 09:44:32.434397	80146	1119352.7000080477	4	2
2014-03-29 09:44:43.765914	80147	46	2	10
2014-03-29 09:44:43.987804	80148	22.4	1	10
2014-03-29 09:44:54.034076	80149	45	2	8
2014-03-29 09:44:54.266594	80150	21.1	1	8
2014-03-29 09:45:06.58524	80151	48	2	1
2014-03-29 09:45:06.807891	80152	21.3	1	1
2014-03-29 09:45:22.766702	80153	46	2	10
2014-03-29 09:45:23.033317	80154	22.4	1	10
2014-03-29 09:45:33.034978	80155	45	2	8
2014-03-29 09:45:33.289719	80156	21.1	1	8
2014-03-29 09:45:45.586185	80157	48	2	1
2014-03-29 09:45:45.873379	80158	21.3	1	1
2014-03-29 09:46:01.76914	80159	46	2	10
2014-03-29 09:46:02.024862	80160	22.4	1	10
2014-03-29 09:46:12.034831	80161	45	2	8
2014-03-29 09:46:12.276898	80162	21.1	1	8
2014-03-29 09:46:24.582033	80163	48	2	1
2014-03-29 09:46:24.808138	80164	21.3	1	1
2014-03-29 09:46:32.202218	80165	418	3	2
2014-03-29 09:46:32.433552	80166	1119366.4884247046	4	2
2014-03-29 09:46:40.766742	80167	46	2	10
2014-03-29 09:46:40.99035	80168	22.4	1	10
2014-03-29 09:46:51.033317	80169	45	2	8
2014-03-29 09:46:51.265357	80170	21.1	1	8
2014-03-29 09:47:03.583672	80171	48	2	1
2014-03-29 09:47:03.80581	80172	21.3	1	1
2014-03-29 09:47:19.764805	80173	46	2	10
2014-03-29 09:47:19.998009	80174	22.4	1	10
2014-03-29 09:47:30.034592	80175	45	2	8
2014-03-29 09:47:30.256822	80176	21.1	1	8
2014-03-29 09:47:32.202373	80177	418	3	2
2014-03-29 09:47:32.432837	80178	1119373.3826330332	4	2
2014-03-29 09:47:42.582749	80179	48	2	1
2014-03-29 09:47:42.807567	80180	21.3	1	1
2014-03-29 09:47:44.203563	80181	370	3	2
2014-03-29 09:47:44.433989	80182	1119374.5316677545	4	2
2014-03-29 09:47:56.207269	80183	370	3	2
2014-03-29 09:47:56.430179	80184	1119375.680702476	4	2
2014-03-29 09:47:58.767387	80185	46	2	10
2014-03-29 09:47:58.99852	80186	22.4	1	10
2014-03-29 09:48:09.034853	80187	45	2	8
2014-03-29 09:48:09.259608	80188	21.1	1	8
2014-03-29 09:48:21.580799	80189	48	2	1
2014-03-29 09:48:21.813333	80190	21.3	1	1
2014-03-29 09:48:32.205429	80191	370	3	2
2014-03-29 09:48:32.429201	80192	1119380.2768413618	4	2
2014-03-29 09:48:37.768033	80193	46	2	10
2014-03-29 09:48:38.004144	80194	22.4	1	10
2014-03-29 09:48:48.033054	80195	45	2	8
2014-03-29 09:48:48.257465	80196	21.1	1	8
2014-03-29 09:49:00.58064	80197	48	2	1
2014-03-29 09:49:00.812379	80198	21.3	1	1
2014-03-29 09:49:16.765184	80199	46	2	10
2014-03-29 09:49:16.987998	80200	22.4	1	10
2014-03-29 09:49:27.03421	80201	45	2	8
2014-03-29 09:49:27.267973	80202	21.1	1	8
2014-03-29 09:49:32.202556	80203	370	3	2
2014-03-29 09:49:32.43086	80204	1119386.0220149688	4	2
2014-03-29 09:49:39.583243	80205	48	2	1
2014-03-29 09:49:39.815273	80206	21.3	1	1
2014-03-29 09:49:55.765686	80207	46	2	10
2014-03-29 09:49:55.987073	80208	22.4	1	10
2014-03-29 09:50:06.03298	80209	45	2	8
2014-03-29 09:50:06.275482	80210	21.1	1	8
2014-03-29 09:50:18.578936	80211	48	2	1
2014-03-29 09:50:18.80154	80212	21.3	1	1
2014-03-29 09:50:32.203385	80213	370	3	2
2014-03-29 09:50:32.435197	80214	1119391.7671885758	4	2
2014-03-29 09:50:34.767045	80215	46	2	10
2014-03-29 09:50:34.986239	80216	22.4	1	10
2014-03-29 09:50:45.033088	80217	45	2	8
2014-03-29 09:50:45.264946	80218	21.1	1	8
2014-03-29 09:50:57.577635	80219	48	2	1
2014-03-29 09:50:57.800188	80220	21.2	1	1
2014-03-29 09:51:13.770109	80221	46	2	10
2014-03-29 09:51:14.001589	80222	22.4	1	10
2014-03-29 09:51:24.033581	80223	45	2	8
2014-03-29 09:51:24.254005	80224	21.1	1	8
2014-03-29 09:51:32.202378	80225	305	3	2
2014-03-29 09:51:32.434177	80226	1119398.6613969044	4	2
2014-03-29 09:51:36.578242	80227	48	2	1
2014-03-29 09:51:36.80111	80228	21.2	1	1
2014-03-29 09:51:44.202204	80229	305	3	2
2014-03-29 09:51:44.433898	80230	1119399.8104316257	4	2
2014-03-29 09:51:52.769897	80231	46	2	10
2014-03-29 09:51:52.991243	80232	22.4	1	10
2014-03-29 09:52:03.09024	80233	45	2	8
2014-03-29 09:52:03.321037	80234	21.1	1	8
2014-03-29 09:52:15.582042	80235	48	2	1
2014-03-29 09:52:15.80372	80236	21.2	1	1
2014-03-29 09:52:31.76669	80237	46	2	10
2014-03-29 09:52:32.005124	80238	22.4	1	10
2014-03-29 09:52:32.309992	80239	305	3	2
2014-03-29 09:52:32.532122	80240	1119403.25753579	4	2
2014-03-29 09:52:42.034187	80241	45	2	8
2014-03-29 09:52:42.269758	80242	21.1	1	8
2014-03-29 09:52:44.200005	80243	338	3	2
2014-03-29 09:52:44.419658	80244	1119404.4065705114	4	2
2014-03-29 09:52:54.578264	80245	48	2	1
2014-03-29 09:52:54.810794	80246	21.2	1	1
2014-03-29 09:52:56.200937	80247	338	3	2
2014-03-29 09:52:56.423598	80248	1119405.5556052327	4	2
2014-03-29 09:53:10.768905	80249	46	2	10
2014-03-29 09:53:11.001565	80250	22.4	1	10
2014-03-29 09:53:21.034219	80251	45	2	8
2014-03-29 09:53:21.256713	80252	21.1	1	8
2014-03-29 09:53:32.200846	80253	305	3	2
2014-03-29 09:53:32.4308	80254	1119409.002709397	4	2
2014-03-29 09:53:33.575916	80255	48	2	1
2014-03-29 09:53:33.797246	80256	21.2	1	1
2014-03-29 09:53:49.766725	80257	46	2	10
2014-03-29 09:53:50.011713	80258	22.4	1	10
2014-03-29 09:53:56.202285	80259	273	3	2
2014-03-29 09:53:56.423895	80260	1119410.1517441184	4	2
2014-03-29 09:54:00.033399	80261	45	2	8
2014-03-29 09:54:00.264452	80262	21.1	1	8
2014-03-29 09:54:08.204064	80263	273	3	2
2014-03-29 09:54:08.433716	80264	1119411.30077884	4	2
2014-03-29 09:54:12.576611	80265	48	2	1
2014-03-29 09:54:12.807087	80266	21.2	1	1
2014-03-29 09:54:28.768794	80267	46	2	10
2014-03-29 09:54:28.99119	80268	22.4	1	10
2014-03-29 09:54:32.202689	80269	273	3	2
2014-03-29 09:54:32.435815	80270	1119413.5988482828	4	2
2014-03-29 09:54:39.033104	80271	45	2	8
2014-03-29 09:54:39.255608	80272	21.0	1	8
2014-03-29 09:54:44.199235	80273	305	3	2
2014-03-29 09:54:44.436231	80274	1119414.7478830041	4	2
2014-03-29 09:54:51.576577	80275	48	2	1
2014-03-29 09:54:51.79956	80276	21.2	1	1
2014-03-29 09:54:56.199828	80277	338	3	2
2014-03-29 09:54:56.433098	80278	1119415.8969177254	4	2
2014-03-29 09:55:07.767898	80279	46	2	10
2014-03-29 09:55:07.992871	80280	22.4	1	10
2014-03-29 09:55:08.303784	80281	338	3	2
2014-03-29 09:55:08.540891	80282	1119417.045952447	4	2
2014-03-29 09:55:18.03415	80283	45	2	8
2014-03-29 09:55:18.254746	80284	21.0	1	8
2014-03-29 09:55:30.577999	80285	48	2	1
2014-03-29 09:55:30.809862	80286	21.2	1	1
2014-03-29 09:55:32.19922	80287	338	3	2
2014-03-29 09:55:32.419239	80288	1119419.3440218898	4	2
2014-03-29 09:55:46.76822	80289	46	2	10
2014-03-29 09:55:47.000183	80290	22.4	1	10
2014-03-29 09:55:57.034686	80291	45	2	8
2014-03-29 09:55:57.258703	80292	21.0	1	8
2014-03-29 09:56:08.200525	80293	338	3	2
2014-03-29 09:56:08.438542	80294	1119421.6420913327	4	2
2014-03-29 09:56:09.576417	80295	48	2	1
2014-03-29 09:56:09.797059	80296	21.2	1	1
2014-03-29 09:56:20.199811	80297	305	3	2
2014-03-29 09:56:20.430763	80298	1119422.791126054	4	2
2014-03-29 09:56:25.769889	80299	46	2	10
2014-03-29 09:56:25.995692	80300	22.4	1	10
2014-03-29 09:56:32.201032	80301	338	3	2
2014-03-29 09:56:32.432523	80302	1119423.9401607756	4	2
2014-03-29 09:56:36.033452	80303	45	2	8
2014-03-29 09:56:36.254207	80304	21.0	1	8
2014-03-29 09:56:44.199854	80305	338	3	2
2014-03-29 09:56:44.441641	80306	1119425.0891954969	4	2
2014-03-29 09:56:48.575321	80307	48	2	1
2014-03-29 09:56:48.797988	80308	21.2	1	1
2014-03-29 09:57:04.769246	80309	46	2	10
2014-03-29 09:57:05.001258	80310	22.4	1	10
2014-03-29 09:57:15.033181	80311	45	2	8
2014-03-29 09:57:15.2539	80312	21.0	1	8
2014-03-29 09:57:27.573506	80313	48	2	1
2014-03-29 09:57:27.80519	80314	21.2	1	1
2014-03-29 09:57:32.201109	80315	338	3	2
2014-03-29 09:57:32.423924	80316	1119429.6853343826	4	2
2014-03-29 09:57:43.767728	80317	46	2	10
2014-03-29 09:57:44.003212	80318	22.4	1	10
2014-03-29 09:57:54.033914	80319	45	2	8
2014-03-29 09:57:54.255805	80320	21.0	1	8
2014-03-29 09:58:06.575285	80321	48	2	1
2014-03-29 09:58:06.808129	80322	21.2	1	1
2014-03-29 09:58:22.769809	80323	46	2	10
2014-03-29 09:58:22.992622	80324	22.4	1	10
2014-03-29 09:58:33.038069	80325	45	2	8
2014-03-29 09:58:33.270395	80326	21.0	1	8
2014-03-29 09:58:45.575296	80327	48	2	1
2014-03-29 09:58:45.796458	80328	21.2	1	1
2014-03-29 09:59:01.769831	80329	46	2	10
2014-03-29 09:59:02.002444	80330	22.4	1	10
2014-03-29 09:59:12.033452	80331	45	2	8
2014-03-29 09:59:12.256507	80332	21.0	1	8
2014-03-29 09:59:24.574429	80333	48	2	1
2014-03-29 09:59:24.807399	80334	21.1	1	1
2014-03-29 09:59:32.204541	80335	338	3	2
2014-03-29 09:59:32.426543	80336	1119441.1756815966	4	2
2014-03-29 09:59:40.769509	80337	46	2	10
2014-03-29 09:59:41.000797	80338	22.4	1	10
2014-03-29 09:59:51.033866	80339	45	2	8
2014-03-29 09:59:51.258496	80340	21.0	1	8
2014-03-29 09:59:56.201301	80341	289	3	2
2014-03-29 09:59:56.44034	80342	1119443.4737510395	4	2
2014-03-29 10:00:03.61307	80343	48	2	1
2014-03-29 10:00:03.836826	80344	21.1	1	1
2014-03-29 10:00:08.199134	80345	273	3	2
2014-03-29 10:00:08.431703	80346	1119443.4737510395	4	2
2014-03-29 10:00:19.758297	80347	46	2	10
2014-03-29 10:00:19.980668	80348	22.4	1	10
2014-03-29 10:00:30.032564	80349	45	2	8
2014-03-29 10:00:30.265145	80350	21.0	1	8
2014-03-29 10:00:32.197742	80351	289	3	2
2014-03-29 10:00:32.420485	80352	1119445.7718204823	4	2
2014-03-29 10:00:42.572833	80353	48	2	1
2014-03-29 10:00:42.814427	80354	21.1	1	1
2014-03-29 10:00:58.768809	80355	46	2	10
2014-03-29 10:00:58.990568	80356	22.4	1	10
2014-03-29 10:01:09.033024	80357	45	2	8
2014-03-29 10:01:09.26523	80358	21.0	1	8
2014-03-29 10:01:21.576825	80359	48	2	1
2014-03-29 10:01:21.798149	80360	21.1	1	1
2014-03-29 10:01:32.20203	80361	273	3	2
2014-03-29 10:01:32.432646	80362	1119450.367959368	4	2
2014-03-29 10:01:37.76913	80363	46	2	10
2014-03-29 10:01:37.994137	80364	22.4	1	10
2014-03-29 10:01:48.033456	80365	45	2	8
2014-03-29 10:01:48.264503	80366	21.0	1	8
2014-03-29 10:02:00.575743	80367	48	2	1
2014-03-29 10:02:00.799458	80368	21.1	1	1
2014-03-29 10:02:16.773519	80369	46	2	10
2014-03-29 10:02:17.004981	80370	22.4	1	10
2014-03-29 10:02:27.03311	80371	45	2	8
2014-03-29 10:02:27.254669	80372	21.0	1	8
2014-03-29 10:02:32.202808	80373	289	3	2
2014-03-29 10:02:32.43948	80374	1119454.9640982538	4	2
2014-03-29 10:02:39.575124	80375	48	2	1
2014-03-29 10:02:39.802163	80376	21.1	1	1
2014-03-29 10:02:55.770562	80377	46	2	10
2014-03-29 10:02:56.004005	80378	22.4	1	10
2014-03-29 10:03:06.033666	80379	45	2	8
2014-03-29 10:03:06.276639	80380	21.0	1	8
2014-03-29 10:03:18.572695	80381	48	2	1
2014-03-29 10:03:18.803853	80382	21.1	1	1
2014-03-29 10:03:32.199881	80383	289	3	2
2014-03-29 10:03:32.42259	80384	1119459.5602371392	4	2
2014-03-29 10:03:34.771549	80385	46	2	10
2014-03-29 10:03:35.004857	80386	22.4	1	10
2014-03-29 10:03:45.034777	80387	45	2	8
2014-03-29 10:03:45.256484	80388	21.0	1	8
2014-03-29 10:03:57.572797	80389	48	2	1
2014-03-29 10:03:57.804296	80390	21.1	1	1
2014-03-29 10:04:13.771891	80391	46	2	10
2014-03-29 10:04:13.992775	80392	22.4	1	10
2014-03-29 10:04:24.033446	80393	45	2	8
2014-03-29 10:04:24.268844	80394	21.0	1	8
2014-03-29 10:04:32.200998	80395	289	3	2
2014-03-29 10:04:32.423418	80396	1119464.156376025	4	2
2014-03-29 10:04:36.573756	80397	48	2	1
2014-03-29 10:04:36.805384	80398	21.1	1	1
2014-03-29 10:04:52.774238	80399	46	2	10
2014-03-29 10:04:52.995475	80400	22.4	1	10
2014-03-29 10:05:03.033264	80401	45	2	8
2014-03-29 10:05:03.277693	80402	21.0	1	8
2014-03-29 10:05:15.614927	80403	48	2	1
2014-03-29 10:05:15.837528	80404	21.1	1	1
2014-03-29 10:05:31.770555	80405	46	2	10
2014-03-29 10:05:32.003309	80406	22.4	1	10
2014-03-29 10:05:32.310051	80407	289	3	2
2014-03-29 10:05:32.533308	80408	1119469.901549632	4	2
2014-03-29 10:05:42.033029	80409	45	2	8
2014-03-29 10:05:42.264311	80410	21.0	1	8
2014-03-29 10:05:54.571323	80411	48	2	1
2014-03-29 10:05:54.794013	80412	21.1	1	1
2014-03-29 10:06:10.771714	80413	46	2	10
2014-03-29 10:06:11.002556	80414	22.4	1	10
2014-03-29 10:06:21.033107	80415	45	2	8
2014-03-29 10:06:21.254386	80416	21.0	1	8
2014-03-29 10:06:32.20044	80417	273	3	2
2014-03-29 10:06:32.45101	80418	1119474.4976885177	4	2
2014-03-29 10:06:33.57487	80419	48	2	1
2014-03-29 10:06:33.797047	80420	21.0	1	1
2014-03-29 10:06:49.77215	80421	46	2	10
2014-03-29 10:06:50.003178	80422	22.4	1	10
2014-03-29 10:06:56.199656	80423	338	3	2
2014-03-29 10:06:56.422399	80424	1119475.6467232392	4	2
2014-03-29 10:07:00.032782	80425	45	2	8
2014-03-29 10:07:00.265729	80426	21.0	1	8
2014-03-29 10:07:08.198931	80427	305	3	2
2014-03-29 10:07:08.421702	80428	1119476.7957579605	4	2
2014-03-29 10:07:12.572596	80429	48	2	1
2014-03-29 10:07:12.806464	80430	21.0	1	1
2014-03-29 10:07:20.20075	80431	305	3	2
2014-03-29 10:07:20.422406	80432	1119477.944792682	4	2
2014-03-29 10:07:28.773777	80433	46	2	10
2014-03-29 10:07:29.007023	80434	22.4	1	10
2014-03-29 10:07:32.200952	80435	305	3	2
2014-03-29 10:07:32.422531	80436	1119479.0938274034	4	2
2014-03-29 10:07:39.03352	80437	45	2	8
2014-03-29 10:07:39.266006	80438	21.0	1	8
2014-03-29 10:07:51.571787	80439	48	2	1
2014-03-29 10:07:51.795747	80440	21.0	1	1
2014-03-29 10:08:07.771433	80441	46	2	10
2014-03-29 10:08:08.005615	80442	22.4	1	10
2014-03-29 10:08:08.314464	80443	338	3	2
2014-03-29 10:08:08.539114	80444	1119482.5409315675	4	2
2014-03-29 10:08:18.033722	80445	45	2	8
2014-03-29 10:08:18.266699	80446	21.0	1	8
2014-03-29 10:08:30.376695	80447	338	3	2
2014-03-29 10:08:30.600771	80448	1119483.689966289	4	2
2014-03-29 10:08:30.906184	80449	48	2	1
2014-03-29 10:08:31.146743	80450	21.0	1	1
2014-03-29 10:08:32.19749	80451	338	3	2
2014-03-29 10:08:32.417904	80452	1119484.8390010104	4	2
2014-03-29 10:08:46.775089	80453	46	2	10
2014-03-29 10:08:47.006559	80454	22.4	1	10
2014-03-29 10:08:57.034371	80455	45	2	8
2014-03-29 10:08:57.255945	80456	21.0	1	8
2014-03-29 10:09:09.567712	80457	48	2	1
2014-03-29 10:09:09.805937	80458	21.0	1	1
2014-03-29 10:09:25.772242	80459	46	2	10
2014-03-29 10:09:26.015376	80460	22.4	1	10
2014-03-29 10:09:32.199744	80461	338	3	2
2014-03-29 10:09:32.431488	80462	1119490.5841746174	4	2
2014-03-29 10:09:36.032489	80463	45	2	8
2014-03-29 10:09:36.254616	80464	21.0	1	8
2014-03-29 10:09:48.37434	80465	305	3	2
2014-03-29 10:09:48.606892	80466	1119491.733209339	4	2
2014-03-29 10:09:48.9087	80467	48	2	1
2014-03-29 10:09:49.128845	80468	21.0	1	1
2014-03-29 10:09:56.200188	80469	305	3	2
2014-03-29 10:09:56.431098	80470	1119492.8822440603	4	2
2014-03-29 10:10:04.772019	80471	46	2	10
2014-03-29 10:10:04.992772	80472	22.4	1	10
2014-03-29 10:10:15.032108	80473	45	2	8
2014-03-29 10:10:15.265367	80474	21.0	1	8
2014-03-29 10:10:20.199958	80475	338	3	2
2014-03-29 10:10:20.426605	80476	1119494.0312787818	4	2
2014-03-29 10:10:27.567781	80477	48	2	1
2014-03-29 10:10:27.799245	80478	21.0	1	1
2014-03-29 10:10:32.198094	80479	338	3	2
2014-03-29 10:10:32.420098	80480	1119495.1803135031	4	2
2014-03-29 10:10:43.771943	80481	46	2	10
2014-03-29 10:10:44.004385	80482	22.4	1	10
2014-03-29 10:10:54.033721	80483	45	2	8
2014-03-29 10:10:54.254918	80484	21.0	1	8
2014-03-29 10:10:56.198515	80485	305	3	2
2014-03-29 10:10:56.431618	80486	1119497.478382946	4	2
2014-03-29 10:11:06.567901	80487	48	2	1
2014-03-29 10:11:06.792053	80488	21.0	1	1
2014-03-29 10:11:08.196725	80489	305	3	2
2014-03-29 10:11:08.430329	80490	1119498.6274176675	4	2
2014-03-29 10:11:20.198197	80491	338	3	2
2014-03-29 10:11:20.422144	80492	1119499.7764523888	4	2
2014-03-29 10:11:22.774441	80493	46	2	10
2014-03-29 10:11:23.005697	80494	22.4	1	10
2014-03-29 10:11:33.032692	80495	45	2	8
2014-03-29 10:11:33.253859	80496	21.0	1	8
2014-03-29 10:11:45.570107	80497	48	2	1
2014-03-29 10:11:45.817225	80498	21.0	1	1
2014-03-29 10:12:01.772576	80499	46	2	10
2014-03-29 10:12:01.994532	80500	22.4	1	10
2014-03-29 10:12:08.198674	80501	305	3	2
2014-03-29 10:12:08.429997	80502	1119504.3725912746	4	2
2014-03-29 10:12:12.032946	80503	45	2	8
2014-03-29 10:12:12.25463	80504	21.0	1	8
2014-03-29 10:12:20.197767	80505	273	3	2
2014-03-29 10:12:20.428581	80506	1119505.5216259959	4	2
2014-03-29 10:12:24.568531	80507	48	2	1
2014-03-29 10:12:24.792715	80508	21.0	1	1
2014-03-29 10:12:32.200101	80509	273	3	2
2014-03-29 10:12:32.43093	80510	1119505.5216259959	4	2
2014-03-29 10:12:40.775286	80511	46	2	10
2014-03-29 10:12:41.000454	80512	22.4	1	10
2014-03-29 10:12:51.032588	80513	45	2	8
2014-03-29 10:12:51.263344	80514	21.0	1	8
2014-03-29 10:13:03.564406	80515	48	2	1
2014-03-29 10:13:03.788904	80516	21.0	1	1
2014-03-29 10:13:19.77371	80517	46	2	10
2014-03-29 10:13:20.007077	80518	22.4	1	10
2014-03-29 10:13:30.032237	80519	45	2	8
2014-03-29 10:13:30.254185	80520	21.0	1	8
2014-03-29 10:13:32.200502	80521	273	3	2
2014-03-29 10:13:32.432718	80522	1119511.266799603	4	2
2014-03-29 10:13:42.565101	80523	48	2	1
2014-03-29 10:13:42.787471	80524	21.0	1	1
2014-03-29 10:13:58.774488	80525	46	2	10
2014-03-29 10:13:59.007038	80526	22.4	1	10
2014-03-29 10:14:09.036175	80527	45	2	8
2014-03-29 10:14:09.256755	80528	21.0	1	8
2014-03-29 10:14:21.565223	80529	48	2	1
2014-03-29 10:14:21.796593	80530	21.0	1	1
2014-03-29 10:14:32.197517	80531	273	3	2
2014-03-29 10:14:32.418919	80532	1119515.8629384886	4	2
2014-03-29 10:14:37.775396	80533	46	2	10
2014-03-29 10:14:38.010455	80534	22.4	1	10
2014-03-29 10:14:48.03288	80535	45	2	8
2014-03-29 10:14:48.25569	80536	21.0	1	8
2014-03-29 10:15:00.562919	80537	48	2	1
2014-03-29 10:15:00.79536	80538	21.0	1	1
2014-03-29 10:15:16.774179	80539	46	2	10
2014-03-29 10:15:17.018429	80540	22.4	1	10
2014-03-29 10:15:27.033444	80541	45	2	8
2014-03-29 10:15:27.266333	80542	21.0	1	8
2014-03-29 10:15:32.199823	80543	273	3	2
2014-03-29 10:15:32.427847	80544	1119520.4590773743	4	2
2014-03-29 10:15:39.562612	80545	48	2	1
2014-03-29 10:15:39.806247	80546	21.0	1	1
2014-03-29 10:15:55.771876	80547	46	2	10
2014-03-29 10:15:55.993969	80548	22.4	1	10
2014-03-29 10:16:06.03355	80549	45	2	8
2014-03-29 10:16:06.265968	80550	21.0	1	8
2014-03-29 10:16:18.56487	80551	48	2	1
2014-03-29 10:16:18.7878	80552	21.0	1	1
2014-03-29 10:16:32.199163	80553	289	3	2
2014-03-29 10:16:32.433317	80554	1119525.05521626	4	2
2014-03-29 10:16:34.77274	80555	46	2	10
2014-03-29 10:16:34.996319	80556	22.4	1	10
2014-03-29 10:16:45.033354	80557	45	2	8
2014-03-29 10:16:45.26514	80558	21.0	1	8
2014-03-29 10:16:57.566098	80559	48	2	1
2014-03-29 10:16:57.788309	80560	20.9	1	1
2014-03-29 10:17:08.199131	80561	338	3	2
2014-03-29 10:17:08.431741	80562	1119527.3532857029	4	2
2014-03-29 10:17:13.77491	80563	46	2	10
2014-03-29 10:17:13.996145	80564	22.4	1	10
2014-03-29 10:17:20.198142	80565	338	3	2
2014-03-29 10:17:20.4302	80566	1119528.5023204242	4	2
2014-03-29 10:17:24.032019	80567	45	2	8
2014-03-29 10:17:24.253219	80568	21.0	1	8
2014-03-29 10:17:32.197117	80569	338	3	2
2014-03-29 10:17:32.428703	80570	1119529.6513551457	4	2
2014-03-29 10:17:36.561579	80571	48	2	1
2014-03-29 10:17:36.786611	80572	20.9	1	1
2014-03-29 10:17:52.77618	80573	46	2	10
2014-03-29 10:17:53.007781	80574	22.4	1	10
2014-03-29 10:18:03.031964	80575	45	2	8
2014-03-29 10:18:03.253788	80576	21.0	1	8
2014-03-29 10:18:15.569499	80577	48	2	1
2014-03-29 10:18:15.804019	80578	20.9	1	1
2014-03-29 10:18:31.777174	80579	46	2	10
2014-03-29 10:18:31.998902	80580	22.4	1	10
2014-03-29 10:18:32.303985	80581	305	3	2
2014-03-29 10:18:32.534548	80582	1119535.3965287528	4	2
2014-03-29 10:18:42.033229	80583	45	2	8
2014-03-29 10:18:42.254861	80584	21.0	1	8
2014-03-29 10:18:54.560493	80585	48	2	1
2014-03-29 10:18:54.793366	80586	20.9	1	1
2014-03-29 10:19:10.777621	80587	46	2	10
2014-03-29 10:19:11.001527	80588	22.3	1	10
2014-03-29 10:19:21.034404	80589	45	2	8
2014-03-29 10:19:21.266121	80590	21.0	1	8
2014-03-29 10:19:32.1998	80591	370	3	2
2014-03-29 10:19:32.423094	80592	1119541.1417023598	4	2
2014-03-29 10:19:33.560685	80593	48	2	1
2014-03-29 10:19:33.804752	80594	20.9	1	1
2014-03-29 10:19:49.77506	80595	46	2	10
2014-03-29 10:19:49.997306	80596	22.3	1	10
2014-03-29 10:19:56.19723	80597	402	3	2
2014-03-29 10:19:56.429056	80598	1119543.4397718026	4	2
2014-03-29 10:20:00.033269	80599	45	2	8
2014-03-29 10:20:00.25499	80600	20.9	1	8
2014-03-29 10:20:08.200452	80601	402	3	2
2014-03-29 10:20:08.434968	80602	1119544.588806524	4	2
2014-03-29 10:20:12.559575	80603	48	2	1
2014-03-29 10:20:12.780735	80604	20.9	1	1
2014-03-29 10:20:28.775583	80605	46	2	10
2014-03-29 10:20:29.007289	80606	22.3	1	10
2014-03-29 10:20:32.202067	80607	402	3	2
2014-03-29 10:20:32.423147	80608	1119548.0359106883	4	2
2014-03-29 10:20:39.03308	80609	45	2	8
2014-03-29 10:20:39.265403	80610	20.9	1	8
2014-03-29 10:20:51.563482	80611	48	2	1
2014-03-29 10:20:51.78614	80612	20.9	1	1
2014-03-29 10:21:07.776867	80613	46	2	10
2014-03-29 10:21:08.010131	80614	22.3	1	10
2014-03-29 10:21:18.031769	80615	45	2	8
2014-03-29 10:21:18.253931	80616	20.9	1	8
2014-03-29 10:21:30.564265	80617	48	2	1
2014-03-29 10:21:30.794972	80618	20.9	1	1
2014-03-29 10:21:32.195999	80619	402	3	2
2014-03-29 10:21:32.420371	80620	1119553.7810842954	4	2
2014-03-29 10:21:46.778165	80621	46	2	10
2014-03-29 10:21:47.009737	80622	22.3	1	10
2014-03-29 10:21:57.033124	80623	45	2	8
2014-03-29 10:21:57.255793	80624	20.9	1	8
2014-03-29 10:22:08.1974	80625	354	3	2
2014-03-29 10:22:08.43014	80626	1119558.377223181	4	2
2014-03-29 10:22:09.563991	80627	48	2	1
2014-03-29 10:22:09.787061	80628	20.9	1	1
2014-03-29 10:22:25.776465	80629	46	2	10
2014-03-29 10:22:26.008959	80630	22.3	1	10
2014-03-29 10:22:32.198877	80631	354	3	2
2014-03-29 10:22:32.419676	80632	1119560.675292624	4	2
2014-03-29 10:22:36.033193	80633	45	2	8
2014-03-29 10:22:36.265247	80634	20.9	1	8
2014-03-29 10:22:48.563448	80635	48	2	1
2014-03-29 10:22:48.78974	80636	20.9	1	1
2014-03-29 10:23:04.777569	80637	46	2	10
2014-03-29 10:23:05.066731	80638	22.3	1	10
2014-03-29 10:23:15.033046	80639	45	2	8
2014-03-29 10:23:15.254646	80640	20.9	1	8
2014-03-29 10:23:27.561432	80641	48	2	1
2014-03-29 10:23:27.807208	80642	20.9	1	1
2014-03-29 10:23:32.199303	80643	354	3	2
2014-03-29 10:23:32.421134	80644	1119566.420466231	4	2
2014-03-29 10:23:43.778055	80645	46	2	10
2014-03-29 10:23:44.0119	80646	22.3	1	10
2014-03-29 10:23:54.032652	80647	45	2	8
2014-03-29 10:23:54.254847	80648	20.9	1	8
2014-03-29 10:24:06.561239	80649	48	2	1
2014-03-29 10:24:06.79325	80650	20.9	1	1
2014-03-29 10:24:22.776269	80651	45	2	10
2014-03-29 10:24:23.000085	80652	22.3	1	10
2014-03-29 10:24:33.032549	80653	45	2	8
2014-03-29 10:24:33.26339	80654	20.9	1	8
2014-03-29 10:24:44.199977	80655	273	3	2
2014-03-29 10:24:44.42444	80656	1119573.3146745595	4	2
2014-03-29 10:24:45.562188	80657	48	2	1
2014-03-29 10:24:45.814705	80658	20.9	1	1
2014-03-29 10:24:56.200828	80659	273	3	2
2014-03-29 10:24:56.421808	80660	1119573.3146745595	4	2
2014-03-29 10:25:01.775932	80661	45	2	10
2014-03-29 10:25:02.015761	80662	22.3	1	10
2014-03-29 10:25:12.034884	80663	45	2	8
2014-03-29 10:25:12.256816	80664	20.9	1	8
2014-03-29 10:25:20.196924	80665	305	3	2
2014-03-29 10:25:20.428907	80666	1119575.6127440021	4	2
2014-03-29 10:25:24.560172	80667	48	2	1
2014-03-29 10:25:24.781345	80668	20.9	1	1
2014-03-29 10:25:32.198285	80669	305	3	2
2014-03-29 10:25:32.430004	80670	1119576.7617787237	4	2
2014-03-29 10:25:40.775944	80671	45	2	10
2014-03-29 10:25:40.999589	80672	22.3	1	10
2014-03-29 10:25:51.03326	80673	45	2	8
2014-03-29 10:25:51.267274	80674	20.9	1	8
2014-03-29 10:25:56.199515	80675	338	3	2
2014-03-29 10:25:56.424054	80676	1119579.0598481665	4	2
2014-03-29 10:26:03.556558	80677	48	2	1
2014-03-29 10:26:03.789919	80678	20.8	1	1
2014-03-29 10:26:08.198731	80679	338	3	2
2014-03-29 10:26:08.420474	80680	1119580.2088828878	4	2
2014-03-29 10:26:19.778453	80681	45	2	10
2014-03-29 10:26:20.0093	80682	22.3	1	10
2014-03-29 10:26:30.032527	80683	45	2	8
2014-03-29 10:26:30.256435	80684	20.9	1	8
2014-03-29 10:26:32.199311	80685	338	3	2
2014-03-29 10:26:32.432939	80686	1119582.5069523307	4	2
2014-03-29 10:26:42.561124	80687	48	2	1
2014-03-29 10:26:42.783859	80688	20.8	1	1
2014-03-29 10:26:58.777632	80689	45	2	10
2014-03-29 10:26:59.020526	80690	22.3	1	10
2014-03-29 10:27:09.032192	80691	45	2	8
2014-03-29 10:27:09.253119	80692	20.9	1	8
2014-03-29 10:27:21.561228	80693	48	2	1
2014-03-29 10:27:21.793982	80694	20.8	1	1
2014-03-29 10:27:32.20197	80695	305	3	2
2014-03-29 10:27:32.42413	80696	1119587.1075621685	4	2
2014-03-29 10:27:37.778266	80697	45	2	10
2014-03-29 10:27:38.012839	80698	22.3	1	10
2014-03-29 10:27:44.195226	80699	338	3	2
2014-03-29 10:27:44.417266	80700	1119588.25659689	4	2
2014-03-29 10:27:48.031885	80701	45	2	8
2014-03-29 10:27:48.263344	80702	20.9	1	8
2014-03-29 10:27:56.198205	80703	338	3	2
2014-03-29 10:27:56.419074	80704	1119589.4056316114	4	2
2014-03-29 10:28:00.560726	80705	48	2	1
2014-03-29 10:28:00.793751	80706	20.8	1	1
2014-03-29 10:28:16.778954	80707	45	2	10
2014-03-29 10:28:17.000691	80708	22.3	1	10
2014-03-29 10:28:27.032517	80709	45	2	8
2014-03-29 10:28:27.262509	80710	20.9	1	8
2014-03-29 10:28:32.198925	80711	338	3	2
2014-03-29 10:28:32.423408	80712	1119591.7037010542	4	2
2014-03-29 10:28:39.558612	80713	48	2	1
2014-03-29 10:28:39.793494	80714	20.8	1	1
2014-03-29 10:28:55.780639	80715	45	2	10
2014-03-29 10:28:56.003796	80716	22.3	1	10
2014-03-29 10:29:06.032555	80717	45	2	8
2014-03-29 10:29:06.263512	80718	20.9	1	8
2014-03-29 10:29:18.558842	80719	48	2	1
2014-03-29 10:29:18.782121	80720	20.8	1	1
2014-03-29 10:29:32.196529	80721	338	3	2
2014-03-29 10:29:32.429236	80722	1119597.4488746612	4	2
2014-03-29 10:29:34.77817	80723	45	2	10
2014-03-29 10:29:35.002979	80724	22.3	1	10
2014-03-29 10:29:45.032431	80725	45	2	8
2014-03-29 10:29:45.264769	80726	20.9	1	8
2014-03-29 10:29:57.555377	80727	48	2	1
2014-03-29 10:29:57.780277	80728	20.8	1	1
2014-03-29 10:30:13.777704	80729	45	2	10
2014-03-29 10:30:14.01165	80730	22.3	1	10
2014-03-29 10:30:24.033659	80731	45	2	8
2014-03-29 10:30:24.256506	80732	20.9	1	8
2014-03-29 10:30:32.195711	80733	338	3	2
2014-03-29 10:30:32.426578	80734	1119603.1940482685	4	2
2014-03-29 10:30:36.554459	80735	48	2	1
2014-03-29 10:30:36.776812	80736	20.8	1	1
2014-03-29 10:30:52.77896	80737	45	2	10
2014-03-29 10:30:53.023339	80738	22.3	1	10
2014-03-29 10:30:56.198587	80739	305	3	2
2014-03-29 10:30:56.420434	80740	1119605.4921177113	4	2
2014-03-29 10:31:03.032917	80741	45	2	8
2014-03-29 10:31:03.265967	80742	20.9	1	8
2014-03-29 10:31:08.197906	80743	338	3	2
2014-03-29 10:31:08.425711	80744	1119606.6411524327	4	2
2014-03-29 10:31:15.556566	80745	48	2	1
2014-03-29 10:31:15.789292	80746	20.8	1	1
2014-03-29 10:31:20.196899	80747	338	3	2
2014-03-29 10:31:20.418285	80748	1119607.790187154	4	2
2014-03-29 10:31:31.779778	80749	45	2	10
2014-03-29 10:31:32.010523	80750	22.3	1	10
2014-03-29 10:31:32.319362	80751	338	3	2
2014-03-29 10:31:32.540261	80752	1119608.9392218755	4	2
2014-03-29 10:31:42.030862	80753	45	2	8
2014-03-29 10:31:42.265069	80754	20.9	1	8
2014-03-29 10:31:44.195236	80755	370	3	2
2014-03-29 10:31:44.417378	80756	1119610.0882565968	4	2
2014-03-29 10:31:54.554733	80757	48	2	1
2014-03-29 10:31:54.787249	80758	20.8	1	1
2014-03-29 10:31:56.198872	80759	370	3	2
2014-03-29 10:31:56.424376	80760	1119611.2372913184	4	2
2014-03-29 10:32:10.776488	80761	45	2	10
2014-03-29 10:32:11.014959	80762	22.3	1	10
2014-03-29 10:32:21.032784	80763	45	2	8
2014-03-29 10:32:21.256171	80764	20.9	1	8
2014-03-29 10:32:32.195416	80765	370	3	2
2014-03-29 10:32:32.428604	80766	1119615.833430204	4	2
2014-03-29 10:32:33.556305	80767	48	2	1
2014-03-29 10:32:33.778555	80768	20.8	1	1
2014-03-29 10:32:49.77869	80769	45	2	10
2014-03-29 10:32:50.012784	80770	22.3	1	10
2014-03-29 10:33:00.032364	80771	45	2	8
2014-03-29 10:33:00.254124	80772	20.9	1	8
2014-03-29 10:33:08.195937	80773	2253	3	2
2014-03-29 10:33:08.428268	80774	1119620.4295690896	4	2
2014-03-29 10:33:12.599003	80775	48	2	1
2014-03-29 10:33:12.822075	80776	20.8	1	1
2014-03-29 10:33:20.195829	80777	450	3	2
2014-03-29 10:33:20.427595	80778	1119621.578603811	4	2
2014-03-29 10:33:28.779047	80779	45	2	10
2014-03-29 10:33:29.001082	80780	22.3	1	10
2014-03-29 10:33:32.197753	80781	450	3	2
2014-03-29 10:33:32.429254	80782	1119623.876673254	4	2
2014-03-29 10:33:39.032326	80783	45	2	8
2014-03-29 10:33:39.254001	80784	20.9	1	8
2014-03-29 10:33:51.553742	80785	48	2	1
2014-03-29 10:33:51.820739	80786	20.8	1	1
2014-03-29 10:34:07.782127	80787	45	2	10
2014-03-29 10:34:08.004387	80788	22.3	1	10
2014-03-29 10:34:18.032598	80789	45	2	8
2014-03-29 10:34:18.264012	80790	20.9	1	8
2014-03-29 10:34:30.5504	80791	48	2	1
2014-03-29 10:34:30.775282	80792	20.8	1	1
2014-03-29 10:34:32.194076	80793	450	3	2
2014-03-29 10:34:32.425395	80794	1119630.7708815823	4	2
2014-03-29 10:34:46.779979	80795	45	2	10
2014-03-29 10:34:47.006949	80796	22.3	1	10
2014-03-29 10:34:57.03235	80797	45	2	8
2014-03-29 10:34:57.263611	80798	20.9	1	8
2014-03-29 10:35:09.553283	80799	48	2	1
2014-03-29 10:35:09.777011	80800	20.8	1	1
2014-03-29 10:35:25.778895	80801	45	2	10
2014-03-29 10:35:26.013858	80802	22.3	1	10
2014-03-29 10:35:32.1957	80803	450	3	2
2014-03-29 10:35:32.417818	80804	1119638.8141246324	4	2
2014-03-29 10:35:36.03369	80805	45	2	8
2014-03-29 10:35:36.264724	80806	20.9	1	8
2014-03-29 10:35:48.555217	80807	48	2	1
2014-03-29 10:35:48.778737	80808	20.8	1	1
2014-03-29 10:36:04.780558	80809	45	2	10
2014-03-29 10:36:05.013811	80810	22.3	1	10
2014-03-29 10:36:15.032709	80811	45	2	8
2014-03-29 10:36:15.257024	80812	20.9	1	8
2014-03-29 10:36:27.553063	80813	48	2	1
2014-03-29 10:36:27.785996	80814	20.8	1	1
2014-03-29 10:36:32.200678	80815	434	3	2
2014-03-29 10:36:32.421472	80816	1119645.7083329607	4	2
2014-03-29 10:36:43.78296	80817	45	2	10
2014-03-29 10:36:44.016727	80818	22.3	1	10
2014-03-29 10:36:54.031662	80819	45	2	8
2014-03-29 10:36:54.257437	80820	20.9	1	8
2014-03-29 10:36:56.19851	80821	402	3	2
2014-03-29 10:36:56.430255	80822	1119649.1554371251	4	2
2014-03-29 10:37:06.552531	80823	48	2	1
2014-03-29 10:37:06.775045	80824	20.8	1	1
2014-03-29 10:37:08.194915	80825	402	3	2
2014-03-29 10:37:08.429347	80826	1119650.3044718464	4	2
2014-03-29 10:37:22.781053	80827	45	2	10
2014-03-29 10:37:23.00237	80828	22.3	1	10
2014-03-29 10:37:33.031674	80829	45	2	8
2014-03-29 10:37:33.267823	80830	20.9	1	8
2014-03-29 10:37:45.551765	80831	48	2	1
2014-03-29 10:37:45.776537	80832	20.7	1	1
2014-03-29 10:38:01.782771	80833	45	2	10
2014-03-29 10:38:02.027621	80834	22.3	1	10
2014-03-29 10:38:08.197394	80835	370	3	2
2014-03-29 10:38:08.421425	80836	1119657.198680175	4	2
2014-03-29 10:38:12.031743	80837	45	2	8
2014-03-29 10:38:12.26201	80838	20.9	1	8
2014-03-29 10:38:20.19483	80839	402	3	2
2014-03-29 10:38:20.416917	80840	1119658.3477148963	4	2
2014-03-29 10:38:24.551931	80841	48	2	1
2014-03-29 10:38:24.784034	80842	20.7	1	1
2014-03-29 10:38:32.195381	80843	418	3	2
2014-03-29 10:38:32.420822	80844	1119659.4967496179	4	2
2014-03-29 10:38:40.780794	80845	45	2	10
2014-03-29 10:38:41.010477	80846	22.3	1	10
2014-03-29 10:38:51.031285	80847	45	2	8
2014-03-29 10:38:51.252364	80848	20.9	1	8
2014-03-29 10:38:56.19782	80849	370	3	2
2014-03-29 10:38:56.433388	80850	1119662.943853782	4	2
2014-03-29 10:39:03.551785	80851	48	2	1
2014-03-29 10:39:03.776131	80852	20.7	1	1
2014-03-29 10:39:08.197107	80853	402	3	2
2014-03-29 10:39:08.428545	80854	1119664.0928885033	4	2
2014-03-29 10:39:19.780677	80855	45	2	10
2014-03-29 10:39:20.001562	80856	22.3	1	10
2014-03-29 10:39:20.307606	80857	402	3	2
2014-03-29 10:39:20.537515	80858	1119665.2419232249	4	2
2014-03-29 10:39:30.032065	80859	45	2	8
2014-03-29 10:39:30.254375	80860	20.9	1	8
2014-03-29 10:39:42.594244	80861	48	2	1
2014-03-29 10:39:42.827755	80862	20.7	1	1
2014-03-29 10:39:58.783681	80863	45	2	10
2014-03-29 10:39:59.006021	80864	22.3	1	10
2014-03-29 10:40:09.032625	80865	45	2	8
2014-03-29 10:40:09.264321	80866	20.9	1	8
2014-03-29 10:40:21.55181	80867	48	2	1
2014-03-29 10:40:21.774241	80868	20.7	1	1
2014-03-29 10:40:32.196086	80869	402	3	2
2014-03-29 10:40:32.428125	80870	1119673.2851662748	4	2
2014-03-29 10:40:37.782342	80871	45	2	10
2014-03-29 10:40:38.008924	80872	22.3	1	10
2014-03-29 10:40:48.033119	80873	45	2	8
2014-03-29 10:40:48.265488	80874	20.9	1	8
2014-03-29 10:41:00.551076	80875	48	2	1
2014-03-29 10:41:00.774669	80876	20.7	1	1
2014-03-29 10:41:16.783768	80877	45	2	10
2014-03-29 10:41:17.017082	80878	22.3	1	10
2014-03-29 10:41:27.03349	80879	45	2	8
2014-03-29 10:41:27.255573	80880	20.9	1	8
2014-03-29 10:41:32.195688	80881	402	3	2
2014-03-29 10:41:32.442104	80882	1119680.1793746033	4	2
2014-03-29 10:41:39.552748	80883	48	2	1
2014-03-29 10:41:39.77796	80884	20.7	1	1
2014-03-29 10:41:55.783429	80885	45	2	10
2014-03-29 10:41:56.015081	80886	22.3	1	10
2014-03-29 10:42:06.070526	80887	45	2	8
2014-03-29 10:42:06.311368	80888	20.9	1	8
2014-03-29 10:42:18.55005	80889	48	2	1
2014-03-29 10:42:18.784819	80890	20.7	1	1
2014-03-29 10:42:32.197644	80891	370	3	2
2014-03-29 10:42:32.421528	80892	1119687.0735829317	4	2
2014-03-29 10:42:34.782464	80893	45	2	10
2014-03-29 10:42:35.013774	80894	22.3	1	10
2014-03-29 10:42:45.032092	80895	45	2	8
2014-03-29 10:42:45.258435	80896	20.9	1	8
2014-03-29 10:42:56.19577	80897	402	3	2
2014-03-29 10:42:56.429442	80898	1119689.3716523745	4	2
2014-03-29 10:42:57.594277	80899	48	2	1
2014-03-29 10:42:57.815916	80900	20.7	1	1
2014-03-29 10:43:13.780752	80901	45	2	10
2014-03-29 10:43:14.013284	80902	22.3	1	10
2014-03-29 10:43:24.030656	80903	45	2	8
2014-03-29 10:43:24.252738	80904	20.9	1	8
2014-03-29 10:43:32.196156	80905	402	3	2
2014-03-29 10:43:32.429263	80906	1119692.8187565387	4	2
2014-03-29 10:43:36.551591	80907	48	2	1
2014-03-29 10:43:36.774688	80908	20.7	1	1
2014-03-29 10:43:44.197338	80909	370	3	2
2014-03-29 10:43:44.431882	80910	1119693.9677912602	4	2
2014-03-29 10:43:52.781952	80911	45	2	10
2014-03-29 10:43:53.006433	80912	22.3	1	10
2014-03-29 10:43:56.193476	80913	434	3	2
2014-03-29 10:43:56.425052	80914	1119696.265860703	4	2
2014-03-29 10:44:03.032999	80915	45	2	8
2014-03-29 10:44:03.255418	80916	20.9	1	8
2014-03-29 10:44:08.194544	80917	434	3	2
2014-03-29 10:44:08.433575	80918	1119697.4148954244	4	2
2014-03-29 10:44:15.552305	80919	48	2	1
2014-03-29 10:44:15.77527	80920	20.7	1	1
2014-03-29 10:44:31.781629	80921	45	2	10
2014-03-29 10:44:32.016184	80922	22.3	1	10
2014-03-29 10:44:32.322475	80923	450	3	2
2014-03-29 10:44:32.545216	80924	1119699.7129648672	4	2
2014-03-29 10:44:42.032315	80925	45	2	8
2014-03-29 10:44:42.263639	80926	20.9	1	8
2014-03-29 10:44:54.550866	80927	48	2	1
2014-03-29 10:44:54.776719	80928	20.7	1	1
2014-03-29 10:45:10.784248	80929	45	2	10
2014-03-29 10:45:11.028818	80930	22.3	1	10
2014-03-29 10:45:21.030456	80931	45	2	8
2014-03-29 10:45:21.253209	80932	20.9	1	8
2014-03-29 10:45:32.19631	80933	450	3	2
2014-03-29 10:45:32.613237	80934	1119707.7562079171	4	2
2014-03-29 10:45:33.548525	80935	48	2	1
2014-03-29 10:45:33.768184	80936	20.7	1	1
2014-03-29 10:45:49.783686	80937	45	2	10
2014-03-29 10:45:50.009511	80938	22.3	1	10
2014-03-29 10:46:00.03057	80939	45	2	8
2014-03-29 10:46:00.259947	80940	20.9	1	8
2014-03-29 10:46:12.544825	80941	48	2	1
2014-03-29 10:46:12.767322	80942	20.7	1	1
2014-03-29 10:46:28.78053	80943	45	2	10
2014-03-29 10:46:29.013207	80944	22.3	1	10
2014-03-29 10:46:32.194663	80945	450	3	2
2014-03-29 10:46:32.415671	80946	1119714.6504162457	4	2
2014-03-29 10:46:39.033309	80947	45	2	8
2014-03-29 10:46:39.265846	80948	20.9	1	8
2014-03-29 10:46:51.544202	80949	48	2	1
2014-03-29 10:46:51.766733	80950	20.7	1	1
2014-03-29 10:47:07.783708	80951	45	2	10
2014-03-29 10:47:08.013967	80952	22.3	1	10
2014-03-29 10:47:18.030576	80953	45	2	8
2014-03-29 10:47:18.253484	80954	20.9	1	8
2014-03-29 10:47:30.545947	80955	48	2	1
2014-03-29 10:47:30.777525	80956	20.7	1	1
2014-03-29 10:47:32.195702	80957	450	3	2
2014-03-29 10:47:32.4164	80958	1119722.6936592956	4	2
2014-03-29 10:47:46.783945	80959	45	2	10
2014-03-29 10:47:47.015814	80960	22.3	1	10
2014-03-29 10:47:57.031833	80961	45	2	8
2014-03-29 10:47:57.255347	80962	20.9	1	8
2014-03-29 10:48:09.546056	80963	48	2	1
2014-03-29 10:48:09.780628	80964	20.7	1	1
2014-03-29 10:48:20.192835	80965	370	3	2
2014-03-29 10:48:20.416884	80966	1119728.4388329026	4	2
2014-03-29 10:48:25.784434	80967	45	2	10
2014-03-29 10:48:26.017765	80968	22.3	1	10
2014-03-29 10:48:32.19508	80969	370	3	2
2014-03-29 10:48:32.418541	80970	1119729.5878676241	4	2
2014-03-29 10:48:36.031613	80971	45	2	8
2014-03-29 10:48:36.263084	80972	20.9	1	8
2014-03-29 10:48:48.544872	80973	48	2	1
2014-03-29 10:48:48.767915	80974	20.7	1	1
2014-03-29 10:49:04.78325	80975	45	2	10
2014-03-29 10:49:05.01332	80976	22.2	1	10
2014-03-29 10:49:15.031947	80977	45	2	8
2014-03-29 10:49:15.253417	80978	20.9	1	8
2014-03-29 10:49:27.546421	80979	48	2	1
2014-03-29 10:49:27.808754	80980	20.7	1	1
2014-03-29 10:49:32.195016	80981	354	3	2
2014-03-29 10:49:32.416132	80982	1119735.3330412311	4	2
2014-03-29 10:49:43.78383	80983	45	2	10
2014-03-29 10:49:44.015566	80984	22.2	1	10
2014-03-29 10:49:54.0304	80985	45	2	8
2014-03-29 10:49:54.252028	80986	20.9	1	8
2014-03-29 10:50:06.591126	80987	48	2	1
2014-03-29 10:50:06.83394	80988	20.6	1	1
2014-03-29 10:50:22.784432	80989	45	2	10
2014-03-29 10:50:23.004015	80990	22.2	1	10
2014-03-29 10:50:33.031528	80991	45	2	8
2014-03-29 10:50:33.263405	80992	20.9	1	8
2014-03-29 10:50:44.194177	80993	305	3	2
2014-03-29 10:50:44.415753	80994	1119743.376284281	4	2
2014-03-29 10:50:45.544905	80995	48	2	1
2014-03-29 10:50:45.783523	80996	20.6	1	1
2014-03-29 10:50:56.194739	80997	338	3	2
2014-03-29 10:50:56.419106	80998	1119744.5253190026	4	2
2014-03-29 10:51:01.783394	80999	45	2	10
2014-03-29 10:51:02.021424	81000	22.2	1	10
2014-03-29 10:51:08.195359	81001	338	3	2
2014-03-29 10:51:08.418906	81002	1119744.5253190026	4	2
2014-03-29 10:51:12.030713	81003	45	2	8
2014-03-29 10:51:12.261506	81004	20.9	1	8
2014-03-29 10:51:24.542175	81005	48	2	1
2014-03-29 10:51:24.76478	81006	20.6	1	1
2014-03-29 10:51:32.194312	81007	305	3	2
2014-03-29 10:51:32.42751	81008	1119746.8233884452	4	2
2014-03-29 10:51:40.785943	81009	45	2	10
2014-03-29 10:51:41.011	81010	22.2	1	10
2014-03-29 10:51:44.196068	81011	305	3	2
2014-03-29 10:51:44.428513	81012	1119747.9724231667	4	2
2014-03-29 10:51:51.034598	81013	45	2	8
2014-03-29 10:51:51.257512	81014	20.9	1	8
2014-03-29 10:52:03.5428	81015	48	2	1
2014-03-29 10:52:03.774574	81016	20.6	1	1
2014-03-29 10:52:19.784527	81017	45	2	10
2014-03-29 10:52:20.005396	81018	22.2	1	10
2014-03-29 10:52:30.032464	81019	45	2	8
2014-03-29 10:52:30.265417	81020	20.9	1	8
2014-03-29 10:52:32.196416	81021	305	3	2
2014-03-29 10:52:32.418867	81022	1119752.5685620524	4	2
2014-03-29 10:52:42.54423	81023	48	2	1
2014-03-29 10:52:42.779269	81024	20.6	1	1
2014-03-29 10:52:58.784117	81025	45	2	10
2014-03-29 10:52:59.005166	81026	22.2	1	10
2014-03-29 10:53:09.031553	81027	45	2	8
2014-03-29 10:53:09.275852	81028	20.9	1	8
2014-03-29 10:53:20.191895	81029	338	3	2
2014-03-29 10:53:20.415037	81030	1119756.0156662166	4	2
2014-03-29 10:53:21.545959	81031	48	2	1
2014-03-29 10:53:21.785883	81032	20.6	1	1
2014-03-29 10:53:32.193139	81033	305	3	2
2014-03-29 10:53:32.415272	81034	1119757.164700938	4	2
2014-03-29 10:53:37.785738	81035	45	2	10
2014-03-29 10:53:38.022821	81036	22.2	1	10
2014-03-29 10:53:44.194699	81037	305	3	2
2014-03-29 10:53:44.417489	81038	1119758.3137356595	4	2
2014-03-29 10:53:48.029986	81039	45	2	8
2014-03-29 10:53:48.259463	81040	20.9	1	8
2014-03-29 10:54:00.5437	81041	48	2	1
2014-03-29 10:54:00.764769	81042	20.6	1	1
2014-03-29 10:54:16.785328	81043	45	2	10
2014-03-29 10:54:17.015712	81044	22.2	1	10
2014-03-29 10:54:20.194909	81045	338	3	2
2014-03-29 10:54:20.417051	81046	1119761.7608398236	4	2
2014-03-29 10:54:27.030129	81047	45	2	8
2014-03-29 10:54:27.261051	81048	20.9	1	8
2014-03-29 10:54:32.193474	81049	338	3	2
2014-03-29 10:54:32.419638	81050	1119762.9098745452	4	2
2014-03-29 10:54:39.543755	81051	48	2	1
2014-03-29 10:54:39.775238	81052	20.6	1	1
2014-03-29 10:54:44.19359	81053	305	3	2
2014-03-29 10:54:44.41379	81054	1119764.0589092665	4	2
2014-03-29 10:54:55.78755	81055	45	2	10
2014-03-29 10:54:56.017971	81056	22.2	1	10
2014-03-29 10:54:56.322132	81057	338	3	2
2014-03-29 10:54:56.544992	81058	1119765.207943988	4	2
2014-03-29 10:55:06.031851	81059	45	2	8
2014-03-29 10:55:06.263029	81060	20.9	1	8
2014-03-29 10:55:08.194528	81061	305	3	2
2014-03-29 10:55:08.415707	81062	1119766.3569787093	4	2
2014-03-29 10:55:18.539092	81063	48	2	1
2014-03-29 10:55:18.774113	81064	20.6	1	1
2014-03-29 10:55:20.192867	81065	305	3	2
2014-03-29 10:55:20.467499	81066	1119767.5060134307	4	2
2014-03-29 10:55:32.191736	81067	338	3	2
2014-03-29 10:55:32.45794	81068	1119767.5060134307	4	2
2014-03-29 10:55:34.786652	81069	45	2	10
2014-03-29 10:55:35.133523	81070	22.2	1	10
2014-03-29 10:55:45.031729	81071	45	2	8
2014-03-29 10:55:45.297915	81072	20.9	1	8
2014-03-29 10:55:56.194361	81073	305	3	2
2014-03-29 10:55:56.451313	81074	1119769.8040828735	4	2
2014-03-29 10:55:57.539289	81075	48	2	1
2014-03-29 10:55:57.823024	81076	20.6	1	1
2014-03-29 10:56:13.789328	81077	45	2	10
2014-03-29 10:56:14.047758	81078	22.2	1	10
2014-03-29 10:56:20.194218	81079	338	3	2
2014-03-29 10:56:20.424607	81080	1119772.1021523164	4	2
2014-03-29 10:56:24.031361	81081	45	2	8
2014-03-29 10:56:24.251595	81082	20.9	1	8
2014-03-29 10:56:32.202925	81083	305	3	2
2014-03-29 10:56:32.434055	81084	1119773.251187038	4	2
2014-03-29 10:56:36.540892	81085	48	2	1
2014-03-29 10:56:36.763128	81086	20.6	1	1
2014-03-29 10:56:44.193391	81087	338	3	2
2014-03-29 10:56:44.424326	81088	1119774.4002217592	4	2
2014-03-29 10:56:52.78732	81089	45	2	10
2014-03-29 10:56:53.011235	81090	22.2	1	10
2014-03-29 10:56:56.193394	81091	305	3	2
2014-03-29 10:56:56.424002	81092	1119775.5492564808	4	2
2014-03-29 10:57:03.032123	81093	45	2	8
2014-03-29 10:57:03.253319	81094	20.9	1	8
2014-03-29 10:57:08.192669	81095	305	3	2
2014-03-29 10:57:08.430993	81096	1119776.698291202	4	2
2014-03-29 10:57:15.540811	81097	48	2	1
2014-03-29 10:57:15.765007	81098	20.6	1	1
2014-03-29 10:57:31.787653	81099	45	2	10
2014-03-29 10:57:32.020122	81100	22.2	1	10
2014-03-29 10:57:32.324365	81101	305	3	2
2014-03-29 10:57:32.545891	81102	1119777.8473259234	4	2
2014-03-29 10:57:42.030656	81103	45	2	8
2014-03-29 10:57:42.265951	81104	20.9	1	8
2014-03-29 10:57:44.194057	81105	338	3	2
2014-03-29 10:57:44.417112	81106	1119778.996360645	4	2
2014-03-29 10:57:54.538471	81107	48	2	1
2014-03-29 10:57:54.771685	81108	20.6	1	1
2014-03-29 10:57:56.194273	81109	354	3	2
2014-03-29 10:57:56.415029	81110	1119780.1453953662	4	2
2014-03-29 10:58:10.786719	81111	45	2	10
2014-03-29 10:58:11.01802	81112	22.2	1	10
2014-03-29 10:58:21.031718	81113	45	2	8
2014-03-29 10:58:21.253932	81114	20.9	1	8
2014-03-29 10:58:32.193035	81115	354	3	2
2014-03-29 10:58:32.427029	81116	1119783.5924995306	4	2
2014-03-29 10:58:33.538736	81117	48	2	1
2014-03-29 10:58:33.760904	81118	20.6	1	1
2014-03-29 10:58:49.786409	81119	45	2	10
2014-03-29 10:58:50.017706	81120	22.2	1	10
2014-03-29 10:59:00.031546	81121	45	2	8
2014-03-29 10:59:00.252482	81122	20.9	1	8
2014-03-29 10:59:12.540152	81123	48	2	1
2014-03-29 10:59:12.790356	81124	20.6	1	1
2014-03-29 10:59:28.788984	81125	45	2	10
2014-03-29 10:59:29.010231	81126	22.2	1	10
2014-03-29 10:59:32.192337	81127	370	3	2
2014-03-29 10:59:32.425652	81128	1119790.486707859	4	2
2014-03-29 10:59:39.031767	81129	45	2	8
2014-03-29 10:59:39.252276	81130	20.9	1	8
2014-03-29 10:59:51.5403	81131	48	2	1
2014-03-29 10:59:51.774661	81132	20.6	1	1
2014-03-29 10:59:56.191363	81133	338	3	2
2014-03-29 10:59:56.41284	81134	1119792.7847773018	4	2
2014-03-29 11:00:07.785811	81135	45	2	10
2014-03-29 11:00:08.017926	81136	22.2	1	10
2014-03-29 11:00:08.32241	81137	338	3	2
2014-03-29 11:00:08.545234	81138	1119793.9338120234	4	2
2014-03-29 11:00:18.031493	81139	45	2	8
2014-03-29 11:00:18.263225	81140	20.9	1	8
2014-03-29 11:00:30.539051	81141	48	2	1
2014-03-29 11:00:30.762453	81142	20.6	1	1
2014-03-29 11:00:32.19443	81143	338	3	2
2014-03-29 11:00:32.425832	81144	1119796.2318814662	4	2
2014-03-29 11:00:46.789608	81145	45	2	10
2014-03-29 11:00:47.01059	81146	22.2	1	10
2014-03-29 11:00:57.032131	81147	45	2	8
2014-03-29 11:00:57.26322	81148	20.9	1	8
2014-03-29 11:01:09.538633	81149	48	2	1
2014-03-29 11:01:09.762952	81150	20.6	1	1
2014-03-29 11:01:25.788278	81151	45	2	10
2014-03-29 11:01:26.021114	81152	22.2	1	10
2014-03-29 11:01:32.19095	81153	338	3	2
2014-03-29 11:01:32.410362	81154	1119801.9770550733	4	2
2014-03-29 11:01:36.031082	81155	45	2	8
2014-03-29 11:01:36.261181	81156	20.8	1	8
2014-03-29 11:01:48.539343	81157	48	2	1
2014-03-29 11:01:48.760238	81158	20.6	1	1
2014-03-29 11:02:04.788555	81159	45	2	10
2014-03-29 11:02:05.042242	81160	22.2	1	10
2014-03-29 11:02:15.031383	81161	45	2	8
2014-03-29 11:02:15.253938	81162	20.8	1	8
2014-03-29 11:02:27.580775	81163	48	2	1
2014-03-29 11:02:27.812214	81164	20.6	1	1
2014-03-29 11:02:32.193895	81165	338	3	2
2014-03-29 11:02:32.416377	81166	1119807.7222286803	4	2
2014-03-29 11:02:43.789151	81167	45	2	10
2014-03-29 11:02:44.024166	81168	22.2	1	10
2014-03-29 11:02:54.032119	81169	45	2	8
2014-03-29 11:02:54.253883	81170	20.8	1	8
2014-03-29 11:02:56.194259	81171	289	3	2
2014-03-29 11:02:56.434469	81172	1119810.0202981231	4	2
2014-03-29 11:03:06.537294	81173	48	2	1
2014-03-29 11:03:06.759535	81174	20.6	1	1
2014-03-29 11:03:08.193552	81175	289	3	2
2014-03-29 11:03:08.423791	81176	1119810.0202981231	4	2
2014-03-29 11:03:22.788142	81177	45	2	10
2014-03-29 11:03:23.010151	81178	22.2	1	10
2014-03-29 11:03:33.042187	81179	45	2	8
2014-03-29 11:03:33.275992	81180	20.8	1	8
2014-03-29 11:03:45.537073	81181	48	2	1
2014-03-29 11:03:45.759868	81182	20.6	1	1
2014-03-29 11:04:01.785519	81183	45	2	10
2014-03-29 11:04:02.016921	81184	22.2	1	10
2014-03-29 11:04:12.030458	81185	45	2	8
2014-03-29 11:04:12.250981	81186	20.8	1	8
2014-03-29 11:04:24.537276	81187	48	2	1
2014-03-29 11:04:24.769605	81188	20.6	1	1
2014-03-29 11:04:32.192016	81189	273	3	2
2014-03-29 11:04:32.415197	81190	1119816.9145064517	4	2
2014-03-29 11:04:40.786319	81191	45	2	10
2014-03-29 11:04:41.017485	81192	22.2	1	10
2014-03-29 11:04:51.031436	81193	45	2	8
2014-03-29 11:04:51.252986	81194	20.8	1	8
2014-03-29 11:05:03.534673	81195	48	2	1
2014-03-29 11:05:03.767253	81196	20.6	1	1
2014-03-29 11:05:19.789162	81197	45	2	10
2014-03-29 11:05:20.010355	81198	22.2	1	10
2014-03-29 11:05:30.03218	81199	45	2	8
2014-03-29 11:05:30.262863	81200	20.8	1	8
2014-03-29 11:05:32.192855	81201	289	3	2
2014-03-29 11:05:32.413575	81202	1119821.5106453372	4	2
2014-03-29 11:05:42.535849	81203	48	2	1
2014-03-29 11:05:42.769183	81204	20.6	1	1
2014-03-29 11:05:58.789386	81205	45	2	10
2014-03-29 11:05:59.010832	81206	22.2	1	10
2014-03-29 11:06:09.032669	81207	45	2	8
2014-03-29 11:06:09.265218	81208	20.8	1	8
2014-03-29 11:06:21.538271	81209	48	2	1
2014-03-29 11:06:21.761235	81210	20.6	1	1
2014-03-29 11:06:32.193698	81211	289	3	2
2014-03-29 11:06:32.425537	81212	1119827.2558189444	4	2
2014-03-29 11:06:37.78982	81213	45	2	10
2014-03-29 11:06:38.015322	81214	22.2	1	10
2014-03-29 11:06:48.031004	81215	45	2	8
2014-03-29 11:06:48.262932	81216	20.8	1	8
2014-03-29 11:07:00.533127	81217	48	2	1
2014-03-29 11:07:00.754409	81218	20.6	1	1
2014-03-29 11:07:16.788936	81219	45	2	10
2014-03-29 11:07:17.033608	81220	22.2	1	10
2014-03-29 11:07:27.030393	81221	45	2	8
2014-03-29 11:07:27.251907	81222	20.8	1	8
2014-03-29 11:07:32.193794	81223	289	3	2
2014-03-29 11:07:32.429332	81224	1119831.85195783	4	2
2014-03-29 11:07:39.534111	81225	48	2	1
2014-03-29 11:07:39.75735	81226	20.6	1	1
2014-03-29 11:07:55.789784	81227	45	2	10
2014-03-29 11:07:56.022919	81228	22.2	1	10
2014-03-29 11:08:06.032595	81229	45	2	8
2014-03-29 11:08:06.253823	81230	20.8	1	8
2014-03-29 11:08:18.534294	81231	48	2	1
2014-03-29 11:08:18.765858	81232	20.6	1	1
2014-03-29 11:08:32.196589	81233	289	3	2
2014-03-29 11:08:32.417494	81234	1119836.4480967156	4	2
2014-03-29 11:08:34.789838	81235	45	2	10
2014-03-29 11:08:35.022616	81236	22.2	1	10
2014-03-29 11:08:45.031903	81237	45	2	8
2014-03-29 11:08:45.253351	81238	20.8	1	8
2014-03-29 11:08:57.5318	81239	48	2	1
2014-03-29 11:08:57.763968	81240	20.5	1	1
2014-03-29 11:09:13.790026	81241	45	2	10
2014-03-29 11:09:14.015612	81242	22.2	1	10
2014-03-29 11:09:24.03048	81243	45	2	8
2014-03-29 11:09:24.265988	81244	20.8	1	8
2014-03-29 11:09:32.190299	81245	289	3	2
2014-03-29 11:09:32.4136	81246	1119841.0442356013	4	2
2014-03-29 11:09:36.533023	81247	48	2	1
2014-03-29 11:09:36.764822	81248	20.5	1	1
2014-03-29 11:09:52.792196	81249	45	2	10
2014-03-29 11:09:53.013141	81250	22.2	1	10
2014-03-29 11:09:56.192291	81251	338	3	2
2014-03-29 11:09:56.424491	81252	1119843.3423050442	4	2
2014-03-29 11:10:03.031563	81253	45	2	8
2014-03-29 11:10:03.253944	81254	20.8	1	8
2014-03-29 11:10:08.192468	81255	338	3	2
2014-03-29 11:10:08.430793	81256	1119844.4913397655	4	2
2014-03-29 11:10:15.53372	81257	48	2	1
2014-03-29 11:10:15.755391	81258	20.5	1	1
2014-03-29 11:10:31.789605	81259	45	2	10
2014-03-29 11:10:32.020126	81260	22.2	1	10
2014-03-29 11:10:32.32449	81261	338	3	2
2014-03-29 11:10:32.547742	81262	1119846.7894092083	4	2
2014-03-29 11:10:42.030332	81263	45	2	8
2014-03-29 11:10:42.262799	81264	20.8	1	8
2014-03-29 11:10:54.531678	81265	48	2	1
2014-03-29 11:10:54.755169	81266	20.5	1	1
2014-03-29 11:11:10.791884	81267	45	2	10
2014-03-29 11:11:11.03386	81268	22.1	1	10
2014-03-29 11:11:21.03063	81269	45	2	8
2014-03-29 11:11:21.261045	81270	20.8	1	8
2014-03-29 11:11:32.192783	81271	338	3	2
2014-03-29 11:11:32.424513	81272	1119852.5345828154	4	2
2014-03-29 11:11:33.531268	81273	48	2	1
2014-03-29 11:11:33.754206	81274	20.5	1	1
2014-03-29 11:11:44.194523	81275	338	3	2
2014-03-29 11:11:44.427873	81276	1119853.683617537	4	2
2014-03-29 11:11:49.792328	81277	45	2	10
2014-03-29 11:11:50.017466	81278	22.1	1	10
2014-03-29 11:12:00.030384	81279	45	2	8
2014-03-29 11:12:00.262135	81280	20.8	1	8
2014-03-29 11:12:12.532663	81281	48	2	1
2014-03-29 11:12:12.75718	81282	20.5	1	1
2014-03-29 11:12:28.789259	81283	45	2	10
2014-03-29 11:12:29.023312	81284	22.1	1	10
2014-03-29 11:12:32.192213	81285	338	3	2
2014-03-29 11:12:32.413682	81286	1119858.2797564226	4	2
2014-03-29 11:12:39.031265	81287	45	2	8
2014-03-29 11:12:39.264046	81288	20.8	1	8
2014-03-29 11:12:51.77212	81289	48	2	1
2014-03-29 11:12:51.994604	81290	20.5	1	1
2014-03-29 11:13:07.790725	81291	45	2	10
2014-03-29 11:13:08.080217	81292	22.1	1	10
2014-03-29 11:13:18.032223	81293	45	2	8
2014-03-29 11:13:18.253393	81294	20.8	1	8
2014-03-29 11:13:30.529756	81295	48	2	1
2014-03-29 11:13:30.761555	81296	20.5	1	1
2014-03-29 11:13:32.191337	81297	305	3	2
2014-03-29 11:13:32.412134	81298	1119862.875895308	4	2
2014-03-29 11:13:44.190691	81299	338	3	2
2014-03-29 11:13:44.424335	81300	1119864.0249300296	4	2
2014-03-29 11:13:46.790231	81301	45	2	10
2014-03-29 11:13:47.012569	81302	22.1	1	10
2014-03-29 11:13:57.035544	81303	45	2	8
2014-03-29 11:13:57.268759	81304	20.8	1	8
2014-03-29 11:14:08.256645	81305	338	3	2
2014-03-29 11:14:08.512164	81306	1119866.3229994725	4	2
2014-03-29 11:14:09.531558	81307	48	2	1
2014-03-29 11:14:09.763593	81308	20.5	1	1
2014-03-29 11:14:20.195085	81309	338	3	2
2014-03-29 11:14:20.419011	81310	1119867.4720341938	4	2
2014-03-29 11:14:25.790221	81311	45	2	10
2014-03-29 11:14:26.024688	81312	22.1	1	10
2014-03-29 11:14:32.193071	81313	338	3	2
2014-03-29 11:14:32.414907	81314	1119868.6210689154	4	2
2014-03-29 11:14:36.030845	81315	45	2	8
2014-03-29 11:14:36.274722	81316	20.8	1	8
2014-03-29 11:14:48.528021	81317	48	2	1
2014-03-29 11:14:48.752886	81318	20.5	1	1
2014-03-29 11:15:04.790422	81319	45	2	10
2014-03-29 11:15:05.020742	81320	22.1	1	10
2014-03-29 11:15:15.029872	81321	45	2	8
2014-03-29 11:15:15.251347	81322	20.8	1	8
2014-03-29 11:15:27.529798	81323	48	2	1
2014-03-29 11:15:27.762386	81324	20.5	1	1
2014-03-29 11:15:32.190463	81325	338	3	2
2014-03-29 11:15:32.413554	81326	1119874.3662425224	4	2
2014-03-29 11:15:43.790714	81327	45	2	10
2014-03-29 11:15:44.021279	81328	22.1	1	10
2014-03-29 11:15:44.327202	81329	289	3	2
2014-03-29 11:15:44.548839	81330	1119875.5152772437	4	2
2014-03-29 11:15:54.030163	81331	45	2	8
2014-03-29 11:15:54.260894	81332	20.8	1	8
2014-03-29 11:15:56.192483	81333	289	3	2
2014-03-29 11:15:56.416499	81334	1119876.6643119652	4	2
2014-03-29 11:16:06.532523	81335	48	2	1
2014-03-29 11:16:06.764651	81336	20.5	1	1
2014-03-29 11:16:22.791099	81337	45	2	10
2014-03-29 11:16:23.013746	81338	22.1	1	10
2014-03-29 11:16:33.031617	81339	45	2	8
2014-03-29 11:16:33.263095	81340	20.8	1	8
2014-03-29 11:16:45.527843	81341	48	2	1
2014-03-29 11:16:45.752575	81342	20.5	1	1
2014-03-29 11:17:01.79262	81343	45	2	10
2014-03-29 11:17:02.023976	81344	22.1	1	10
2014-03-29 11:17:12.03177	81345	45	2	8
2014-03-29 11:17:12.25386	81346	20.8	1	8
2014-03-29 11:17:24.531629	81347	48	2	1
2014-03-29 11:17:24.763356	81348	20.5	1	1
2014-03-29 11:17:32.189128	81349	289	3	2
2014-03-29 11:17:32.412344	81350	1119882.4139565246	4	2
2014-03-29 11:17:40.794775	81351	45	2	10
2014-03-29 11:17:41.02683	81352	22.1	1	10
2014-03-29 11:17:51.030331	81353	45	2	8
2014-03-29 11:17:51.253348	81354	20.8	1	8
2014-03-29 11:18:03.528058	81355	48	2	1
2014-03-29 11:18:03.75953	81356	20.5	1	1
2014-03-29 11:18:19.792253	81357	45	2	10
2014-03-29 11:18:20.015159	81358	22.1	1	10
2014-03-29 11:18:30.032803	81359	45	2	8
2014-03-29 11:18:30.26475	81360	20.8	1	8
2014-03-29 11:18:32.191926	81361	289	3	2
2014-03-29 11:18:32.413276	81362	1119887.01009541	4	2
2014-03-29 11:18:42.526285	81363	48	2	1
2014-03-29 11:18:42.769647	81364	20.5	1	1
2014-03-29 11:18:58.793407	81365	45	2	10
2014-03-29 11:18:59.015881	81366	22.1	1	10
2014-03-29 11:19:09.034208	81367	45	2	8
2014-03-29 11:19:09.265706	81368	20.8	1	8
2014-03-29 11:19:21.528283	81369	48	2	1
2014-03-29 11:19:21.748761	81370	20.5	1	1
2014-03-29 11:19:32.192596	81371	289	3	2
2014-03-29 11:19:32.424504	81372	1119891.6062342958	4	2
2014-03-29 11:19:37.794239	81373	45	2	10
2014-03-29 11:19:38.019432	81374	22.1	1	10
2014-03-29 11:19:48.030543	81375	45	2	8
2014-03-29 11:19:48.264944	81376	20.8	1	8
2014-03-29 11:20:00.527456	81377	48	2	1
2014-03-29 11:20:00.748091	81378	20.5	1	1
2014-03-29 11:20:16.793109	81379	45	2	10
2014-03-29 11:20:17.023252	81380	22.1	1	10
2014-03-29 11:20:27.028008	81381	45	2	8
2014-03-29 11:20:27.249176	81382	20.8	1	8
2014-03-29 11:20:32.194082	81383	289	3	2
2014-03-29 11:20:32.431593	81384	1119897.3514079028	4	2
2014-03-29 11:20:39.525115	81385	48	2	1
2014-03-29 11:20:39.74783	81386	20.5	1	1
2014-03-29 11:20:55.791955	81387	45	2	10
2014-03-29 11:20:56.023308	81388	22.0	1	10
2014-03-29 11:21:06.031979	81389	45	2	8
2014-03-29 11:21:06.253748	81390	20.8	1	8
2014-03-29 11:21:18.52577	81391	48	2	1
2014-03-29 11:21:18.758654	81392	20.5	1	1
2014-03-29 11:21:32.192148	81393	289	3	2
2014-03-29 11:21:32.413344	81394	1119901.9475467885	4	2
2014-03-29 11:21:34.791696	81395	45	2	10
2014-03-29 11:21:35.021838	81396	22.0	1	10
2014-03-29 11:21:45.028845	81397	45	2	8
2014-03-29 11:21:45.251097	81398	20.8	1	8
2014-03-29 11:21:57.527739	81399	48	2	1
2014-03-29 11:21:57.761523	81400	20.5	1	1
2014-03-29 11:22:13.796486	81401	45	2	10
2014-03-29 11:22:14.02117	81402	22.0	1	10
2014-03-29 11:22:24.031539	81403	45	2	8
2014-03-29 11:22:24.263735	81404	20.8	1	8
2014-03-29 11:22:32.192017	81405	289	3	2
2014-03-29 11:22:32.414585	81406	1119906.5436856742	4	2
2014-03-29 11:22:36.56943	81407	48	2	1
2014-03-29 11:22:36.803443	81408	20.5	1	1
2014-03-29 11:22:44.192258	81409	354	3	2
2014-03-29 11:22:44.415363	81410	1119907.6927203955	4	2
2014-03-29 11:22:52.793911	81411	45	2	10
2014-03-29 11:22:53.037284	81412	22.0	1	10
2014-03-29 11:22:56.196084	81413	338	3	2
2014-03-29 11:22:56.416759	81414	1119908.841755117	4	2
2014-03-29 11:23:03.030676	81415	45	2	8
2014-03-29 11:23:03.261502	81416	20.8	1	8
2014-03-29 11:23:15.525738	81417	48	2	1
2014-03-29 11:23:15.747657	81418	20.5	1	1
2014-03-29 11:23:31.792292	81419	45	2	10
2014-03-29 11:23:32.025656	81420	22.0	1	10
2014-03-29 11:23:32.330844	81421	338	3	2
2014-03-29 11:23:32.553263	81422	1119912.2888592812	4	2
2014-03-29 11:23:42.029778	81423	45	2	8
2014-03-29 11:23:42.26111	81424	20.8	1	8
2014-03-29 11:23:54.526282	81425	48	2	1
2014-03-29 11:23:54.748051	81426	20.5	1	1
2014-03-29 11:24:10.79591	81427	45	2	10
2014-03-29 11:24:11.028161	81428	22.0	1	10
2014-03-29 11:24:21.033197	81429	45	2	8
2014-03-29 11:24:21.253753	81430	20.8	1	8
2014-03-29 11:24:32.190538	81431	338	3	2
2014-03-29 11:24:32.421609	81432	1119918.0340328882	4	2
2014-03-29 11:24:33.526007	81433	48	2	1
2014-03-29 11:24:33.748698	81434	20.5	1	1
2014-03-29 11:24:49.792808	81435	45	2	10
2014-03-29 11:24:50.023344	81436	22.0	1	10
2014-03-29 11:25:00.03188	81437	45	2	8
2014-03-29 11:25:00.255657	81438	20.8	1	8
2014-03-29 11:25:12.522374	81439	48	2	1
2014-03-29 11:25:12.754449	81440	20.5	1	1
2014-03-29 11:25:28.795668	81441	45	2	10
2014-03-29 11:25:29.01659	81442	22.0	1	10
2014-03-29 11:25:32.189607	81443	354	3	2
2014-03-29 11:25:32.422958	81444	1119923.7792064955	4	2
2014-03-29 11:25:39.03078	81445	45	2	8
2014-03-29 11:25:39.25409	81446	20.8	1	8
2014-03-29 11:25:51.526139	81447	48	2	1
2014-03-29 11:25:51.759069	81448	20.5	1	1
2014-03-29 11:26:07.793904	81449	45	2	10
2014-03-29 11:26:08.014216	81450	22.0	1	10
2014-03-29 11:26:18.03186	81451	45	2	8
2014-03-29 11:26:18.262635	81452	20.8	1	8
2014-03-29 11:26:30.524657	81453	48	2	1
2014-03-29 11:26:30.747516	81454	20.5	1	1
2014-03-29 11:26:32.190784	81455	338	3	2
2014-03-29 11:26:32.422022	81456	1119929.5243801025	4	2
2014-03-29 11:26:46.796122	81457	45	2	10
2014-03-29 11:26:47.018015	81458	22.0	1	10
2014-03-29 11:26:57.030777	81459	45	2	8
2014-03-29 11:26:57.273487	81460	20.8	1	8
2014-03-29 11:27:09.525967	81461	48	2	1
2014-03-29 11:27:09.74746	81462	20.4	1	1
2014-03-29 11:27:25.794679	81463	45	2	10
2014-03-29 11:27:26.02752	81464	22.0	1	10
2014-03-29 11:27:32.192265	81465	354	3	2
2014-03-29 11:27:32.413178	81466	1119935.2695537095	4	2
2014-03-29 11:27:36.029639	81467	45	2	8
2014-03-29 11:27:36.261216	81468	20.8	1	8
2014-03-29 11:27:48.523515	81469	48	2	1
2014-03-29 11:27:48.748174	81470	20.4	1	1
2014-03-29 11:28:04.798144	81471	45	2	10
2014-03-29 11:28:05.030075	81472	22.0	1	10
2014-03-29 11:28:15.031929	81473	45	2	8
2014-03-29 11:28:15.254416	81474	20.8	1	8
2014-03-29 11:28:27.520528	81475	48	2	1
2014-03-29 11:28:27.751724	81476	20.4	1	1
2014-03-29 11:28:32.190978	81477	289	3	2
2014-03-29 11:28:32.410622	81478	1119941.0147273166	4	2
2014-03-29 11:28:43.796359	81479	45	2	10
2014-03-29 11:28:44.050148	81480	22.0	1	10
2014-03-29 11:28:44.35462	81481	289	3	2
2014-03-29 11:28:44.580112	81482	1119941.0147273166	4	2
2014-03-29 11:28:54.031176	81483	45	2	8
2014-03-29 11:28:54.263947	81484	20.8	1	8
2014-03-29 11:29:06.564363	81485	48	2	1
2014-03-29 11:29:06.785515	81486	20.4	1	1
2014-03-29 11:29:22.796361	81487	45	2	10
2014-03-29 11:29:23.028436	81488	22.0	1	10
2014-03-29 11:29:33.032649	81489	45	2	8
2014-03-29 11:29:33.254409	81490	20.8	1	8
2014-03-29 11:29:45.521886	81491	48	2	1
2014-03-29 11:29:45.753358	81492	20.4	1	1
2014-03-29 11:30:01.795825	81493	45	2	10
2014-03-29 11:30:02.016447	81494	22.0	1	10
2014-03-29 11:30:12.030959	81495	45	2	8
2014-03-29 11:30:12.262995	81496	20.8	1	8
2014-03-29 11:30:24.521089	81497	48	2	1
2014-03-29 11:30:24.744136	81498	20.4	1	1
2014-03-29 11:30:32.193013	81499	354	3	2
2014-03-29 11:30:32.424024	81500	1119951.3560398093	4	2
2014-03-29 11:30:40.795016	81501	45	2	10
2014-03-29 11:30:41.017517	81502	22.0	1	10
2014-03-29 11:30:44.189993	81503	354	3	2
2014-03-29 11:30:44.424162	81504	1119952.5050745308	4	2
2014-03-29 11:30:51.030369	81505	45	2	8
2014-03-29 11:30:51.253838	81506	20.8	1	8
2014-03-29 11:31:03.519591	81507	48	2	1
2014-03-29 11:31:03.763028	81508	20.4	1	1
2014-03-29 11:31:19.79523	81509	45	2	10
2014-03-29 11:31:20.016991	81510	22.0	1	10
2014-03-29 11:31:30.029265	81511	45	2	8
2014-03-29 11:31:30.260424	81512	20.7	1	8
2014-03-29 11:31:32.190019	81513	338	3	2
2014-03-29 11:31:32.41284	81514	1119957.1012134166	4	2
2014-03-29 11:31:42.521344	81515	48	2	1
2014-03-29 11:31:42.754736	81516	20.4	1	1
2014-03-29 11:31:58.798159	81517	45	2	10
2014-03-29 11:31:59.020008	81518	22.0	1	10
2014-03-29 11:32:09.029028	81519	45	2	8
2014-03-29 11:32:09.347751	81520	20.7	1	8
2014-03-29 11:32:20.192386	81521	402	3	2
2014-03-29 11:32:20.412758	81522	1119961.697352302	4	2
2014-03-29 11:32:21.522241	81523	48	2	1
2014-03-29 11:32:21.753174	81524	20.4	1	1
2014-03-29 11:32:32.191819	81525	370	3	2
2014-03-29 11:32:32.414665	81526	1119962.8463870236	4	2
2014-03-29 11:32:37.799392	81527	45	2	10
2014-03-29 11:32:38.0523	81528	22.0	1	10
2014-03-29 11:32:44.192869	81529	402	3	2
2014-03-29 11:32:44.414311	81530	1119965.1444564664	4	2
2014-03-29 11:32:48.030113	81531	45	2	8
2014-03-29 11:32:48.262453	81532	20.7	1	8
2014-03-29 11:32:56.192202	81533	370	3	2
2014-03-29 11:32:56.41343	81534	1119966.2934911877	4	2
2014-03-29 11:33:00.521	81535	48	2	1
2014-03-29 11:33:00.755952	81536	20.4	1	1
2014-03-29 11:33:08.190647	81537	370	3	2
2014-03-29 11:33:08.413439	81538	1119967.4425259093	4	2
2014-03-29 11:33:16.795773	81539	45	2	10
2014-03-29 11:33:17.027952	81540	22.0	1	10
2014-03-29 11:33:20.191974	81541	402	3	2
2014-03-29 11:33:20.415611	81542	1119968.5915606306	4	2
2014-03-29 11:33:27.028593	81543	45	2	8
2014-03-29 11:33:27.26082	81544	20.7	1	8
2014-03-29 11:33:32.189652	81545	370	3	2
2014-03-29 11:33:32.414858	81546	1119969.740595352	4	2
2014-03-29 11:33:39.520408	81547	48	2	1
2014-03-29 11:33:39.755508	81548	20.4	1	1
2014-03-29 11:33:44.191562	81549	402	3	2
2014-03-29 11:33:44.415357	81550	1119970.8896300734	4	2
2014-03-29 11:33:55.800608	81551	45	2	10
2014-03-29 11:33:56.03411	81552	22.0	1	10
2014-03-29 11:33:56.339512	81553	402	3	2
2014-03-29 11:33:56.562676	81554	1119972.0386647948	4	2
2014-03-29 11:34:06.028144	81555	45	2	8
2014-03-29 11:34:06.272441	81556	20.7	1	8
2014-03-29 11:34:18.518928	81557	48	2	1
2014-03-29 11:34:18.740552	81558	20.4	1	1
2014-03-29 11:34:20.192313	81559	370	3	2
2014-03-29 11:34:20.422997	81560	1119975.4857689592	4	2
2014-03-29 11:34:32.190816	81561	402	3	2
2014-03-29 11:34:32.413071	81562	1119976.6348036805	4	2
2014-03-29 11:34:34.7981	81563	45	2	10
2014-03-29 11:34:35.032539	81564	21.9	1	10
2014-03-29 11:34:45.03375	81565	45	2	8
2014-03-29 11:34:45.256105	81566	20.7	1	8
2014-03-29 11:34:56.191236	81567	370	3	2
2014-03-29 11:34:56.423535	81568	1119978.9328731233	4	2
2014-03-29 11:34:57.522708	81569	48	2	1
2014-03-29 11:34:57.743159	81570	20.4	1	1
2014-03-29 11:35:08.188993	81571	402	3	2
2014-03-29 11:35:08.423527	81572	1119980.0819078446	4	2
2014-03-29 11:35:13.796732	81573	45	2	10
2014-03-29 11:35:14.02551	81574	21.9	1	10
2014-03-29 11:35:20.193021	81575	402	3	2
2014-03-29 11:35:20.42521	81576	1119981.2309425662	4	2
2014-03-29 11:35:24.030461	81577	45	2	8
2014-03-29 11:35:24.253882	81578	20.7	1	8
2014-03-29 11:35:32.19153	81579	434	3	2
2014-03-29 11:35:32.424625	81580	1119982.3799772875	4	2
2014-03-29 11:35:36.51885	81581	48	2	1
2014-03-29 11:35:36.740761	81582	20.4	1	1
2014-03-29 11:35:44.193399	81583	434	3	2
2014-03-29 11:35:44.426678	81584	1119984.6780467303	4	2
2014-03-29 11:35:52.799141	81585	45	2	10
2014-03-29 11:35:53.020612	81586	22.0	1	10
2014-03-29 11:36:03.02931	81587	45	2	8
2014-03-29 11:36:03.263322	81588	20.7	1	8
2014-03-29 11:36:15.519389	81589	48	2	1
2014-03-29 11:36:15.741665	81590	20.4	1	1
2014-03-29 11:36:31.799891	81591	45	2	10
2014-03-29 11:36:32.031382	81592	21.9	1	10
2014-03-29 11:36:32.337528	81593	434	3	2
2014-03-29 11:36:32.559277	81594	1119990.4232203374	4	2
2014-03-29 11:36:42.02976	81595	45	2	8
2014-03-29 11:36:42.262795	81596	20.7	1	8
2014-03-29 11:36:54.51791	81597	48	2	1
2014-03-29 11:36:54.750983	81598	20.4	1	1
2014-03-29 11:37:10.800528	81599	45	2	10
2014-03-29 11:37:11.03265	81600	21.9	1	10
2014-03-29 11:37:21.029579	81601	45	2	8
2014-03-29 11:37:21.253313	81602	20.7	1	8
2014-03-29 11:37:32.190535	81603	434	3	2
2014-03-29 11:37:32.434266	81604	1119997.317428666	4	2
2014-03-29 11:37:33.521155	81605	48	2	1
2014-03-29 11:37:33.742941	81606	20.4	1	1
2014-03-29 11:37:49.799916	81607	45	2	10
2014-03-29 11:37:50.033365	81608	21.9	1	10
2014-03-29 11:38:00.029276	81609	45	2	8
2014-03-29 11:38:00.252235	81610	20.7	1	8
2014-03-29 11:38:12.516284	81611	48	2	1
2014-03-29 11:38:12.750466	81612	20.4	1	1
2014-03-29 11:38:28.797041	81613	45	2	10
2014-03-29 11:38:29.019582	81614	21.9	1	10
2014-03-29 11:38:32.191821	81615	434	3	2
2014-03-29 11:38:32.424393	81616	1120004.2116369945	4	2
2014-03-29 11:38:39.029655	81617	45	2	8
2014-03-29 11:38:39.252175	81618	20.7	1	8
2014-03-29 11:38:51.517941	81619	48	2	1
2014-03-29 11:38:51.75295	81620	20.4	1	1
2014-03-29 11:39:07.802249	81621	45	2	10
2014-03-29 11:39:08.024273	81622	21.9	1	10
2014-03-29 11:39:18.029172	81623	45	2	8
2014-03-29 11:39:18.260001	81624	20.7	1	8
2014-03-29 11:39:30.515568	81625	48	2	1
2014-03-29 11:39:30.738037	81626	20.4	1	1
2014-03-29 11:39:46.797763	81627	45	2	10
2014-03-29 11:39:47.031243	81628	21.9	1	10
2014-03-29 11:39:57.032193	81629	45	2	8
2014-03-29 11:39:57.25354	81630	20.7	1	8
2014-03-29 11:40:09.512926	81631	48	2	1
2014-03-29 11:40:09.80335	81632	20.4	1	1
2014-03-29 11:40:25.798505	81633	45	2	10
2014-03-29 11:40:26.022695	81634	21.9	1	10
2014-03-29 11:40:32.189548	81635	434	3	2
2014-03-29 11:40:32.422121	81636	1120019.149088373	4	2
2014-03-29 11:40:36.032102	81637	45	2	8
2014-03-29 11:40:36.252832	81638	20.7	1	8
2014-03-29 11:40:44.19281	81639	370	3	2
2014-03-29 11:40:44.425065	81640	1120020.2981230943	4	2
2014-03-29 11:40:48.515421	81641	48	2	1
2014-03-29 11:40:48.737096	81642	20.4	1	1
2014-03-29 11:41:04.600457	81643	370	3	2
2014-03-29 11:41:04.834169	81644	1120021.4471578158	4	2
2014-03-29 11:41:05.140628	81645	45	2	10
2014-03-29 11:41:05.363546	81646	21.9	1	10
2014-03-29 11:41:15.02978	81647	45	2	8
2014-03-29 11:41:15.26442	81648	20.7	1	8
2014-03-29 11:41:27.515413	81649	48	2	1
2014-03-29 11:41:27.73866	81650	20.4	1	1
2014-03-29 11:41:32.192715	81651	402	3	2
2014-03-29 11:41:32.438061	81652	1120024.89426198	4	2
2014-03-29 11:41:43.802638	81653	45	2	10
2014-03-29 11:41:44.023913	81654	21.9	1	10
2014-03-29 11:41:54.029338	81655	45	2	8
2014-03-29 11:41:54.261458	81656	20.7	1	8
2014-03-29 11:41:56.191592	81657	370	3	2
2014-03-29 11:41:56.416193	81658	1120028.3413661441	4	2
2014-03-29 11:42:06.516269	81659	48	2	1
2014-03-29 11:42:06.748684	81660	20.4	1	1
2014-03-29 11:42:22.800047	81661	45	2	10
2014-03-29 11:42:23.022639	81662	21.9	1	10
2014-03-29 11:42:33.030832	81663	45	2	8
2014-03-29 11:42:33.262932	81664	20.7	1	8
2014-03-29 11:42:45.517711	81665	48	2	1
2014-03-29 11:42:45.74126	81666	20.4	1	1
2014-03-29 11:43:01.799911	81667	45	2	10
2014-03-29 11:43:02.033108	81668	21.9	1	10
2014-03-29 11:43:12.029292	81669	45	2	8
2014-03-29 11:43:12.254164	81670	20.7	1	8
2014-03-29 11:43:24.516604	81671	48	2	1
2014-03-29 11:43:24.752624	81672	20.4	1	1
2014-03-29 11:43:32.190824	81673	402	3	2
2014-03-29 11:43:32.412864	81674	1120037.5336439156	4	2
2014-03-29 11:43:40.80162	81675	45	2	10
2014-03-29 11:43:41.034641	81676	21.9	1	10
2014-03-29 11:43:44.189116	81677	370	3	2
2014-03-29 11:43:44.410015	81678	1120038.6826786369	4	2
2014-03-29 11:43:51.029812	81679	45	2	8
2014-03-29 11:43:51.281191	81680	20.7	1	8
2014-03-29 11:43:56.189399	81681	370	3	2
2014-03-29 11:43:56.414893	81682	1120039.8317133584	4	2
2014-03-29 11:44:03.514158	81683	48	2	1
2014-03-29 11:44:03.748552	81684	20.4	1	1
2014-03-29 11:44:19.8022	81685	45	2	10
2014-03-29 11:44:20.023383	81686	21.9	1	10
2014-03-29 11:44:30.03303	81687	45	2	8
2014-03-29 11:44:30.26601	81688	20.7	1	8
2014-03-29 11:44:32.190895	81689	402	3	2
2014-03-29 11:44:32.413405	81690	1120044.4278522439	4	2
2014-03-29 11:44:42.513158	81691	48	2	1
2014-03-29 11:44:42.744984	81692	20.4	1	1
2014-03-29 11:44:44.189421	81693	370	3	2
2014-03-29 11:44:44.411321	81694	1120045.5768869654	4	2
2014-03-29 11:44:56.18944	81695	370	3	2
2014-03-29 11:44:56.422699	81696	1120046.7259216867	4	2
2014-03-29 11:44:58.797467	81697	45	2	10
2014-03-29 11:44:59.02168	81698	21.9	1	10
2014-03-29 11:45:09.029769	81699	45	2	8
2014-03-29 11:45:09.273241	81700	20.7	1	8
2014-03-29 11:45:21.511476	81701	48	2	1
2014-03-29 11:45:21.733606	81702	20.4	1	1
2014-03-29 11:45:32.189013	81703	370	3	2
2014-03-29 11:45:32.423687	81704	1120050.1730258511	4	2
2014-03-29 11:45:37.799151	81705	45	2	10
2014-03-29 11:45:38.025242	81706	21.9	1	10
2014-03-29 11:45:44.189678	81707	305	3	2
2014-03-29 11:45:44.421352	81708	1120051.3220605724	4	2
2014-03-29 11:45:48.032282	81709	45	2	8
2014-03-29 11:45:48.254635	81710	20.7	1	8
2014-03-29 11:45:56.192333	81711	305	3	2
2014-03-29 11:45:56.42432	81712	1120052.471095294	4	2
2014-03-29 11:46:00.752251	81713	48	2	1
2014-03-29 11:46:00.973426	81714	20.4	1	1
2014-03-29 11:46:16.804617	81715	45	2	10
2014-03-29 11:46:17.036171	81716	21.8	1	10
2014-03-29 11:46:27.029591	81717	45	2	8
2014-03-29 11:46:27.252258	81718	20.7	1	8
2014-03-29 11:46:32.190812	81719	305	3	2
2014-03-29 11:46:32.426303	81720	1120055.9181994582	4	2
2014-03-29 11:46:39.510041	81721	48	2	1
2014-03-29 11:46:39.735345	81722	20.4	1	1
2014-03-29 11:46:55.813977	81723	45	2	10
2014-03-29 11:46:56.047578	81724	21.8	1	10
2014-03-29 11:47:06.02947	81725	45	2	8
2014-03-29 11:47:06.254282	81726	20.7	1	8
2014-03-29 11:47:18.513302	81727	48	2	1
2014-03-29 11:47:18.744607	81728	20.4	1	1
2014-03-29 11:47:20.189593	81729	338	3	2
2014-03-29 11:47:20.413259	81730	1120059.3653036223	4	2
2014-03-29 11:47:32.190547	81731	370	3	2
2014-03-29 11:47:32.425008	81732	1120060.5143383439	4	2
2014-03-29 11:47:34.802211	81733	45	2	10
2014-03-29 11:47:35.02451	81734	21.8	1	10
2014-03-29 11:47:45.033164	81735	45	2	8
2014-03-29 11:47:45.265654	81736	20.7	1	8
2014-03-29 11:47:57.509985	81737	48	2	1
2014-03-29 11:47:57.732098	81738	20.4	1	1
2014-03-29 11:48:13.801703	81739	45	2	10
2014-03-29 11:48:14.034977	81740	21.8	1	10
2014-03-29 11:48:24.029992	81741	45	2	8
2014-03-29 11:48:24.25447	81742	20.7	1	8
2014-03-29 11:48:32.190608	81743	354	3	2
2014-03-29 11:48:32.422463	81744	1120066.259511951	4	2
2014-03-29 11:48:36.513413	81745	48	2	1
2014-03-29 11:48:36.735886	81746	20.4	1	1
2014-03-29 11:48:52.800198	81747	45	2	10
2014-03-29 11:48:53.043714	81748	21.8	1	10
2014-03-29 11:49:03.030986	81749	45	2	8
2014-03-29 11:49:03.254749	81750	20.7	1	8
2014-03-29 11:49:15.511974	81751	48	2	1
2014-03-29 11:49:15.931816	81752	20.4	1	1
2014-03-29 11:49:31.80372	81753	45	2	10
2014-03-29 11:49:32.031457	81754	21.8	1	10
2014-03-29 11:49:32.336982	81755	354	3	2
2014-03-29 11:49:32.578812	81756	1120073.1537202795	4	2
2014-03-29 11:49:42.030365	81757	45	2	8
2014-03-29 11:49:42.261987	81758	20.7	1	8
2014-03-29 11:49:54.509237	81759	48	2	1
2014-03-29 11:49:54.730644	81760	20.4	1	1
2014-03-29 11:50:10.799841	81761	45	2	10
2014-03-29 11:50:11.033499	81762	21.8	1	10
2014-03-29 11:50:21.028941	81763	45	2	8
2014-03-29 11:50:21.249698	81764	20.7	1	8
2014-03-29 11:50:32.189898	81765	370	3	2
2014-03-29 11:50:32.421967	81766	1120078.8988938865	4	2
2014-03-29 11:50:33.509212	81767	48	2	1
2014-03-29 11:50:33.728877	81768	20.4	1	1
2014-03-29 11:50:49.799387	81769	45	2	10
2014-03-29 11:50:50.032275	81770	21.8	1	10
2014-03-29 11:51:00.031324	81771	45	2	8
2014-03-29 11:51:00.251778	81772	20.7	1	8
2014-03-29 11:51:12.510704	81773	48	2	1
2014-03-29 11:51:12.740281	81774	20.4	1	1
2014-03-29 11:51:28.80335	81775	45	2	10
2014-03-29 11:51:29.023107	81776	21.7	1	10
2014-03-29 11:51:32.189189	81777	354	3	2
2014-03-29 11:51:32.420087	81778	1120084.6440674935	4	2
2014-03-29 11:51:39.030033	81779	45	2	8
2014-03-29 11:51:39.251514	81780	20.7	1	8
2014-03-29 11:51:51.506297	81781	48	2	1
2014-03-29 11:51:51.737069	81782	20.3	1	1
2014-03-29 11:52:07.803691	81783	45	2	10
2014-03-29 11:52:08.024087	81784	21.7	1	10
2014-03-29 11:52:18.029871	81785	45	2	8
2014-03-29 11:52:18.263427	81786	20.7	1	8
2014-03-29 11:52:30.508964	81787	48	2	1
2014-03-29 11:52:30.728854	81788	20.3	1	1
2014-03-29 11:52:32.190268	81789	354	3	2
2014-03-29 11:52:32.425581	81790	1120090.3892411005	4	2
2014-03-29 11:52:46.804993	81791	45	2	10
2014-03-29 11:52:47.027244	81792	21.7	1	10
2014-03-29 11:52:57.028484	81793	45	2	8
2014-03-29 11:52:57.258832	81794	20.7	1	8
2014-03-29 11:53:09.508841	81795	48	2	1
2014-03-29 11:53:09.729127	81796	20.3	1	1
2014-03-29 11:53:25.804509	81797	45	2	10
2014-03-29 11:53:26.046751	81798	21.7	1	10
2014-03-29 11:53:32.192081	81799	305	3	2
2014-03-29 11:53:32.412724	81800	1120096.1344147078	4	2
2014-03-29 11:53:36.029233	81801	45	2	8
2014-03-29 11:53:36.259286	81802	20.7	1	8
2014-03-29 11:53:44.191757	81803	305	3	2
2014-03-29 11:53:44.413316	81804	1120097.283449429	4	2
2014-03-29 11:53:48.507833	81805	48	2	1
2014-03-29 11:53:48.737696	81806	20.3	1	1
2014-03-29 11:53:56.190572	81807	338	3	2
2014-03-29 11:53:56.410768	81808	1120098.4324841504	4	2
2014-03-29 11:54:04.803946	81809	45	2	10
2014-03-29 11:54:05.034055	81810	21.7	1	10
2014-03-29 11:54:08.189549	81811	305	3	2
2014-03-29 11:54:08.409807	81812	1120099.581518872	4	2
2014-03-29 11:54:15.029376	81813	45	2	8
2014-03-29 11:54:15.266266	81814	20.7	1	8
2014-03-29 11:54:20.190178	81815	338	3	2
2014-03-29 11:54:20.413157	81816	1120100.7305535933	4	2
2014-03-29 11:54:27.50571	81817	48	2	1
2014-03-29 11:54:27.7383	81818	20.3	1	1
2014-03-29 11:54:32.187488	81819	305	3	2
2014-03-29 11:54:32.408072	81820	1120101.8795883148	4	2
2014-03-29 11:54:43.807505	81821	45	2	10
2014-03-29 11:54:44.039126	81822	21.7	1	10
2014-03-29 11:54:44.345359	81823	305	3	2
2014-03-29 11:54:44.566178	81824	1120103.028623036	4	2
2014-03-29 11:54:54.027995	81825	45	2	8
2014-03-29 11:54:54.259618	81826	20.7	1	8
2014-03-29 11:54:56.189151	81827	338	3	2
2014-03-29 11:54:56.41179	81828	1120104.1776577577	4	2
2014-03-29 11:55:06.509248	81829	48	2	1
2014-03-29 11:55:06.740503	81830	20.3	1	1
2014-03-29 11:55:08.189452	81831	305	3	2
2014-03-29 11:55:08.410926	81832	1120105.326692479	4	2
2014-03-29 11:55:20.188062	81833	305	3	2
2014-03-29 11:55:20.470037	81834	1120106.4757272005	4	2
2014-03-29 11:55:22.805768	81835	45	2	10
2014-03-29 11:55:23.061819	81836	21.7	1	10
2014-03-29 11:55:33.030598	81837	45	2	8
2014-03-29 11:55:33.29887	81838	20.7	1	8
2014-03-29 11:55:45.509995	81839	48	2	1
2014-03-29 11:55:46.124147	81840	20.3	1	1
2014-03-29 11:56:01.805479	81841	45	2	10
2014-03-29 11:56:02.042476	81842	21.7	1	10
2014-03-29 11:56:12.031369	81843	45	2	8
2014-03-29 11:56:12.255321	81844	20.7	1	8
2014-03-29 11:56:24.505578	81845	48	2	1
2014-03-29 11:56:24.750244	81846	20.3	1	1
2014-03-29 11:56:32.189788	81847	305	3	2
2014-03-29 11:56:32.412564	81848	1120112.2209008075	4	2
2014-03-29 11:56:40.805112	81849	45	2	10
2014-03-29 11:56:41.037073	81850	21.7	1	10
2014-03-29 11:56:51.030659	81851	45	2	8
2014-03-29 11:56:51.253676	81852	20.7	1	8
2014-03-29 11:57:03.507538	81853	48	2	1
2014-03-29 11:57:03.740501	81854	20.3	1	1
2014-03-29 11:57:19.805278	81855	45	2	10
2014-03-29 11:57:20.025927	81856	21.7	1	10
2014-03-29 11:57:30.029019	81857	45	2	8
2014-03-29 11:57:30.259386	81858	20.7	1	8
2014-03-29 11:57:32.189589	81859	305	3	2
2014-03-29 11:57:32.411104	81860	1120116.8170396932	4	2
2014-03-29 11:57:42.503024	81861	48	2	1
2014-03-29 11:57:42.734736	81862	20.3	1	1
2014-03-29 11:57:58.807488	81863	45	2	10
2014-03-29 11:57:59.028435	81864	21.7	1	10
2014-03-29 11:58:09.029614	81865	45	2	8
2014-03-29 11:58:09.261004	81866	20.7	1	8
2014-03-29 11:58:21.505133	81867	48	2	1
2014-03-29 11:58:21.725544	81868	20.3	1	1
2014-03-29 11:58:32.191845	81869	305	3	2
2014-03-29 11:58:32.425057	81870	1120122.5622133003	4	2
2014-03-29 11:58:37.805646	81871	45	2	10
2014-03-29 11:58:38.031468	81872	21.7	1	10
2014-03-29 11:58:44.189169	81873	338	3	2
2014-03-29 11:58:44.420344	81874	1120123.7112480216	4	2
2014-03-29 11:58:48.029389	81875	45	2	8
2014-03-29 11:58:48.249661	81876	20.7	1	8
2014-03-29 11:58:56.189236	81877	305	3	2
2014-03-29 11:58:56.420922	81878	1120124.8602827431	4	2
2014-03-29 11:59:00.508587	81879	48	2	1
2014-03-29 11:59:00.730292	81880	20.3	1	1
2014-03-29 11:59:08.189106	81881	305	3	2
2014-03-29 11:59:08.419858	81882	1120124.8602827431	4	2
2014-03-29 11:59:16.804533	81883	45	2	10
2014-03-29 11:59:17.025639	81884	21.7	1	10
2014-03-29 11:59:27.029243	81885	45	2	8
2014-03-29 11:59:27.260308	81886	20.7	1	8
2014-03-29 11:59:32.18934	81887	305	3	2
2014-03-29 11:59:32.415963	81888	1120127.158352186	4	2
2014-03-29 11:59:39.505054	81889	48	2	1
2014-03-29 11:59:39.739106	81890	20.3	1	1
2014-03-29 11:59:55.806511	81891	45	2	10
2014-03-29 11:59:56.027828	81892	21.7	1	10
2014-03-29 12:00:06.031347	81893	45	2	8
2014-03-29 12:00:06.274068	81894	20.7	1	8
2014-03-29 12:00:18.50321	81895	48	2	1
2014-03-29 12:00:18.725922	81896	20.3	1	1
2014-03-29 12:00:32.187324	81897	354	3	2
2014-03-29 12:00:32.427767	81898	1120132.903525793	4	2
2014-03-29 12:00:34.805857	81899	45	2	10
2014-03-29 12:00:35.026731	81900	21.6	1	10
2014-03-29 12:00:45.028273	81901	45	2	8
2014-03-29 12:00:45.259013	81902	20.7	1	8
2014-03-29 12:00:57.501999	81903	48	2	1
2014-03-29 12:00:57.721967	81904	20.3	1	1
2014-03-29 12:01:13.807568	81905	45	2	10
2014-03-29 12:01:14.041764	81906	21.6	1	10
2014-03-29 12:01:24.032265	81907	45	2	8
2014-03-29 12:01:24.254702	81908	20.7	1	8
2014-03-29 12:01:32.189524	81909	354	3	2
2014-03-29 12:01:32.419994	81910	1120138.6486994	4	2
2014-03-29 12:01:36.499938	81911	48	2	1
2014-03-29 12:01:36.720753	81912	20.3	1	1
2014-03-29 12:01:52.808079	81913	45	2	10
2014-03-29 12:01:53.040417	81914	21.6	1	10
2014-03-29 12:02:03.029196	81915	45	2	8
2014-03-29 12:02:03.252591	81916	20.7	1	8
2014-03-29 12:02:15.547595	81917	48	2	1
2014-03-29 12:02:15.784399	81918	20.3	1	1
2014-03-29 12:02:31.805576	81919	45	2	10
2014-03-29 12:02:32.027004	81920	21.6	1	10
2014-03-29 12:02:32.334266	81921	354	3	2
2014-03-29 12:02:32.56491	81922	1120144.393873007	4	2
2014-03-29 12:02:42.028689	81923	45	2	8
2014-03-29 12:02:42.254647	81924	20.7	1	8
2014-03-29 12:02:54.500191	81925	48	2	1
2014-03-29 12:02:54.732668	81926	20.3	1	1
2014-03-29 12:03:10.811388	81927	45	2	10
2014-03-29 12:03:11.033126	81928	21.6	1	10
2014-03-29 12:03:21.02813	81929	45	2	8
2014-03-29 12:03:21.259592	81930	20.7	1	8
2014-03-29 12:03:32.188525	81931	370	3	2
2014-03-29 12:03:32.412327	81932	1120151.2880813356	4	2
2014-03-29 12:03:33.503186	81933	48	2	1
2014-03-29 12:03:33.753898	81934	20.3	1	1
2014-03-29 12:03:49.809865	81935	45	2	10
2014-03-29 12:03:50.03138	81936	21.6	1	10
2014-03-29 12:04:00.029216	81937	45	2	8
2014-03-29 12:04:00.260484	81938	20.7	1	8
2014-03-29 12:04:12.504446	81939	48	2	1
2014-03-29 12:04:12.724893	81940	20.3	1	1
2014-03-29 12:04:28.807165	81941	45	2	10
2014-03-29 12:04:29.052074	81942	21.6	1	10
2014-03-29 12:04:32.188712	81943	370	3	2
2014-03-29 12:04:32.411602	81944	1120157.0332549426	4	2
2014-03-29 12:04:39.029301	81945	45	2	8
2014-03-29 12:04:39.26057	81946	20.7	1	8
2014-03-29 12:04:51.504001	81947	48	2	1
2014-03-29 12:04:51.72791	81948	20.3	1	1
2014-03-29 12:05:07.808742	81949	45	2	10
2014-03-29 12:05:08.04824	81950	21.6	1	10
2014-03-29 12:05:18.029406	81951	45	2	8
2014-03-29 12:05:18.250558	81952	20.7	1	8
2014-03-29 12:05:30.501382	81953	48	2	1
2014-03-29 12:05:30.734747	81954	20.3	1	1
2014-03-29 12:05:32.191749	81955	354	3	2
2014-03-29 12:05:32.413754	81956	1120162.7784285496	4	2
2014-03-29 12:05:46.809432	81957	45	2	10
2014-03-29 12:05:47.041347	81958	21.6	1	10
2014-03-29 12:05:57.030362	81959	45	2	8
2014-03-29 12:05:57.25127	81960	20.7	1	8
2014-03-29 12:06:09.502285	81961	48	2	1
2014-03-29 12:06:09.735094	81962	20.3	1	1
2014-03-29 12:06:25.806947	81963	45	2	10
2014-03-29 12:06:26.032461	81964	21.6	1	10
2014-03-29 12:06:32.19021	81965	354	3	2
2014-03-29 12:06:32.422824	81966	1120168.523602157	4	2
2014-03-29 12:06:36.029706	81967	45	2	8
2014-03-29 12:06:36.250508	81968	20.7	1	8
2014-03-29 12:06:44.187189	81969	305	3	2
2014-03-29 12:06:44.418614	81970	1120169.6726368782	4	2
2014-03-29 12:06:48.502532	81971	48	2	1
2014-03-29 12:06:48.724056	81972	20.3	1	1
2014-03-29 12:06:56.188579	81973	305	3	2
2014-03-29 12:06:56.419783	81974	1120170.8216715995	4	2
2014-03-29 12:07:04.808678	81975	45	2	10
2014-03-29 12:07:05.033206	81976	21.6	1	10
2014-03-29 12:07:15.030605	81977	45	2	8
2014-03-29 12:07:15.263523	81978	20.7	1	8
2014-03-29 12:07:27.501294	81979	48	2	1
2014-03-29 12:07:27.723293	81980	20.3	1	1
2014-03-29 12:07:32.19137	81981	305	3	2
2014-03-29 12:07:32.424578	81982	1120173.1242119947	4	2
2014-03-29 12:07:43.809857	81983	45	2	10
2014-03-29 12:07:44.033787	81984	21.5	1	10
2014-03-29 12:07:54.029897	81985	45	2	8
2014-03-29 12:07:54.263741	81986	20.7	1	8
2014-03-29 12:08:06.497479	81987	48	2	1
2014-03-29 12:08:06.721093	81988	20.3	1	1
2014-03-29 12:08:22.810772	81989	45	2	10
2014-03-29 12:08:23.052874	81990	21.5	1	10
2014-03-29 12:08:33.029286	81991	45	2	8
2014-03-29 12:08:33.25365	81992	20.7	1	8
2014-03-29 12:08:45.500106	81993	48	2	1
2014-03-29 12:08:45.737337	81994	20.3	1	1
2014-03-29 12:09:01.810739	81995	45	2	10
2014-03-29 12:09:02.033887	81996	21.5	1	10
2014-03-29 12:09:12.029989	81997	45	2	8
2014-03-29 12:09:12.260276	81998	20.7	1	8
2014-03-29 12:09:24.500677	81999	48	2	1
2014-03-29 12:09:24.721668	82000	20.3	1	1
2014-03-29 12:09:32.188574	82001	305	3	2
2014-03-29 12:09:32.419684	82002	1120183.4655244874	4	2
2014-03-29 12:09:40.808081	82003	45	2	10
2014-03-29 12:09:41.028729	82004	21.5	1	10
2014-03-29 12:09:51.028873	82005	45	2	8
2014-03-29 12:09:51.261637	82006	20.7	1	8
2014-03-29 12:10:03.499986	82007	48	2	1
2014-03-29 12:10:03.723504	82008	20.3	1	1
2014-03-29 12:10:19.809666	82009	45	2	10
2014-03-29 12:10:20.041026	82010	21.5	1	10
2014-03-29 12:10:30.029248	82011	45	2	8
2014-03-29 12:10:30.249775	82012	20.7	1	8
2014-03-29 12:10:32.190552	82013	305	3	2
2014-03-29 12:10:32.420547	82014	1120188.0616633731	4	2
2014-03-29 12:10:42.498776	82015	48	2	1
2014-03-29 12:10:42.723347	82016	20.3	1	1
2014-03-29 12:10:58.813757	82017	45	2	10
2014-03-29 12:10:59.046539	82018	21.5	1	10
2014-03-29 12:11:09.030228	82019	45	2	8
2014-03-29 12:11:09.251896	82020	20.7	1	8
2014-03-29 12:11:21.540232	82021	48	2	1
2014-03-29 12:11:21.77454	82022	20.3	1	1
2014-03-29 12:11:32.189594	82023	305	3	2
2014-03-29 12:11:32.410827	82024	1120193.8068369802	4	2
2014-03-29 12:11:37.808549	82025	45	2	10
2014-03-29 12:11:38.044875	82026	21.5	1	10
2014-03-29 12:11:48.030746	82027	45	2	8
2014-03-29 12:11:48.253673	82028	20.7	1	8
2014-03-29 12:12:00.731729	82029	48	2	1
2014-03-29 12:12:00.966524	82030	20.3	1	1
2014-03-29 12:12:16.812042	82031	45	2	10
2014-03-29 12:12:17.035629	82032	21.5	1	10
2014-03-29 12:12:27.032554	82033	45	2	8
2014-03-29 12:12:27.265104	82034	20.7	1	8
2014-03-29 12:12:32.187485	82035	305	3	2
2014-03-29 12:12:32.413035	82036	1120198.4029758659	4	2
2014-03-29 12:12:39.500468	82037	48	2	1
2014-03-29 12:12:39.745388	82038	20.3	1	1
2014-03-29 12:12:55.811506	82039	45	2	10
2014-03-29 12:12:56.035028	82040	21.5	1	10
2014-03-29 12:13:06.029352	82041	45	2	8
2014-03-29 12:13:06.263408	82042	20.7	1	8
2014-03-29 12:13:18.497353	82043	48	2	1
2014-03-29 12:13:18.719178	82044	20.3	1	1
2014-03-29 12:13:32.187238	82045	305	3	2
2014-03-29 12:13:32.420013	82046	1120204.148149473	4	2
2014-03-29 12:13:34.81073	82047	45	2	10
2014-03-29 12:13:35.032915	82048	21.5	1	10
2014-03-29 12:13:45.028836	82049	45	2	8
2014-03-29 12:13:45.26137	82050	20.7	1	8
2014-03-29 12:13:56.186766	82051	354	3	2
2014-03-29 12:13:56.409211	82052	1120206.4462189157	4	2
2014-03-29 12:13:57.497549	82053	48	2	1
2014-03-29 12:13:57.728226	82054	20.3	1	1
2014-03-29 12:14:08.185428	82055	370	3	2
2014-03-29 12:14:08.408667	82056	1120207.595253637	4	2
2014-03-29 12:14:13.810935	82057	45	2	10
2014-03-29 12:14:14.048067	82058	21.5	1	10
2014-03-29 12:14:24.029463	82059	45	2	8
2014-03-29 12:14:24.250158	82060	20.7	1	8
2014-03-29 12:14:32.184931	82061	354	3	2
2014-03-29 12:14:32.418595	82062	1120209.89332308	4	2
2014-03-29 12:14:36.497747	82063	48	2	1
2014-03-29 12:14:36.719031	82064	20.3	1	1
2014-03-29 12:14:52.813293	82065	45	2	10
2014-03-29 12:14:53.044339	82066	21.5	1	10
2014-03-29 12:15:03.030369	82067	45	2	8
2014-03-29 12:15:03.251046	82068	20.7	1	8
2014-03-29 12:15:15.497344	82069	48	2	1
2014-03-29 12:15:15.734666	82070	20.3	1	1
2014-03-29 12:15:31.812457	82071	45	2	10
2014-03-29 12:15:32.034016	82072	21.5	1	10
2014-03-29 12:15:32.339945	82073	354	3	2
2014-03-29 12:15:32.57556	82074	1120215.638496687	4	2
2014-03-29 12:15:42.028836	82075	45	2	8
2014-03-29 12:15:42.251298	82076	20.7	1	8
2014-03-29 12:15:54.496569	82077	48	2	1
2014-03-29 12:15:54.729258	82078	20.3	1	1
2014-03-29 12:16:10.869399	82079	45	2	10
2014-03-29 12:16:11.092859	82080	21.5	1	10
2014-03-29 12:16:21.028255	82081	45	2	8
2014-03-29 12:16:21.259701	82082	20.7	1	8
2014-03-29 12:16:32.185303	82083	354	3	2
2014-03-29 12:16:32.407119	82084	1120221.3836702942	4	2
2014-03-29 12:16:33.49593	82085	48	2	1
2014-03-29 12:16:33.739094	82086	20.2	1	1
2014-03-29 12:16:49.813215	82087	45	2	10
2014-03-29 12:16:50.035321	82088	21.5	1	10
2014-03-29 12:17:00.029865	82089	45	2	8
2014-03-29 12:17:00.261112	82090	20.7	1	8
2014-03-29 12:17:12.497958	82091	48	2	1
2014-03-29 12:17:12.719564	82092	20.2	1	1
2014-03-29 12:17:28.812736	82093	45	2	10
2014-03-29 12:17:29.045216	82094	21.4	1	10
2014-03-29 12:17:32.188098	82095	354	3	2
2014-03-29 12:17:32.409106	82096	1120227.1288439012	4	2
2014-03-29 12:17:39.031114	82097	45	2	8
2014-03-29 12:17:39.264136	82098	20.7	1	8
2014-03-29 12:17:51.494927	82099	48	2	1
2014-03-29 12:17:51.716075	82100	20.2	1	1
2014-03-29 12:18:07.811083	82101	45	2	10
2014-03-29 12:18:08.044929	82102	21.4	1	10
2014-03-29 12:18:18.028958	82103	45	2	8
2014-03-29 12:18:18.252417	82104	20.7	1	8
2014-03-29 12:18:30.494428	82105	48	2	1
2014-03-29 12:18:30.727037	82106	20.2	1	1
2014-03-29 12:18:32.19281	82107	354	3	2
2014-03-29 12:18:32.412949	82108	1120232.8740175082	4	2
2014-03-29 12:18:46.811852	82109	45	2	10
2014-03-29 12:18:47.043371	82110	21.4	1	10
2014-03-29 12:18:57.028245	82111	45	2	8
2014-03-29 12:18:57.252775	82112	20.7	1	8
2014-03-29 12:19:09.490717	82113	48	2	1
2014-03-29 12:19:09.732207	82114	20.2	1	1
2014-03-29 12:19:25.813407	82115	45	2	10
2014-03-29 12:19:26.034616	82116	21.4	1	10
2014-03-29 12:19:32.189093	82117	289	3	2
2014-03-29 12:19:32.422104	82118	1120238.6191911153	4	2
2014-03-29 12:19:36.028604	82119	45	2	8
2014-03-29 12:19:36.25001	82120	20.6	1	8
2014-03-29 12:19:44.187854	82121	289	3	2
2014-03-29 12:19:44.421675	82122	1120239.7682258368	4	2
2014-03-29 12:19:48.491531	82123	48	2	1
2014-03-29 12:19:48.714328	82124	20.2	1	1
2014-03-29 12:20:04.812623	82125	45	2	10
2014-03-29 12:20:05.043291	82126	21.4	1	10
2014-03-29 12:20:15.029098	82127	45	2	8
2014-03-29 12:20:15.250586	82128	20.6	1	8
2014-03-29 12:20:27.493726	82129	48	2	1
2014-03-29 12:20:27.725615	82130	20.2	1	1
2014-03-29 12:20:32.18848	82131	289	3	2
2014-03-29 12:20:32.409873	82132	1120244.3643647225	4	2
2014-03-29 12:20:43.813685	82133	45	2	10
2014-03-29 12:20:44.056653	82134	21.4	1	10
2014-03-29 12:20:54.029192	82135	45	2	8
2014-03-29 12:20:54.25003	82136	20.6	1	8
2014-03-29 12:21:06.489828	82137	48	2	1
2014-03-29 12:21:06.724089	82138	20.2	1	1
2014-03-29 12:21:22.811968	82139	45	2	10
2014-03-29 12:21:23.03292	82140	21.4	1	10
2014-03-29 12:21:33.029346	82141	45	2	8
2014-03-29 12:21:33.260712	82142	20.6	1	8
2014-03-29 12:21:45.492181	82143	48	2	1
2014-03-29 12:21:45.715934	82144	20.2	1	1
2014-03-29 12:22:01.815399	82145	45	2	10
2014-03-29 12:22:02.047524	82146	21.4	1	10
2014-03-29 12:22:12.02997	82147	45	2	8
2014-03-29 12:22:12.251851	82148	20.6	1	8
2014-03-29 12:22:24.492394	82149	48	2	1
2014-03-29 12:22:24.724037	82150	20.2	1	1
2014-03-29 12:22:32.188469	82151	289	3	2
2014-03-29 12:22:32.409238	82152	1120253.5566424937	4	2
2014-03-29 12:22:40.813511	82153	45	2	10
2014-03-29 12:22:41.101615	82154	21.4	1	10
2014-03-29 12:22:51.030513	82155	45	2	8
2014-03-29 12:22:51.25146	82156	20.6	1	8
2014-03-29 12:23:03.492069	82157	48	2	1
2014-03-29 12:23:03.722893	82158	20.2	1	1
2014-03-29 12:23:19.81484	82159	45	2	10
2014-03-29 12:23:20.039466	82160	21.4	1	10
2014-03-29 12:23:30.030392	82161	45	2	8
2014-03-29 12:23:30.26263	82162	20.6	1	8
2014-03-29 12:23:32.18548	82163	305	3	2
2014-03-29 12:23:32.40539	82164	1120259.3018161007	4	2
2014-03-29 12:23:42.493209	82165	48	2	1
2014-03-29 12:23:42.724905	82166	20.2	1	1
2014-03-29 12:23:58.814273	82167	45	2	10
2014-03-29 12:23:59.037118	82168	21.4	1	10
2014-03-29 12:24:09.029234	82169	45	2	8
2014-03-29 12:24:09.263101	82170	20.6	1	8
2014-03-29 12:24:20.189954	82171	338	3	2
2014-03-29 12:24:20.419133	82172	1120262.7489202651	4	2
2014-03-29 12:24:21.491149	82173	48	2	1
2014-03-29 12:24:21.723429	82174	20.2	1	1
2014-03-29 12:24:32.18761	82175	305	3	2
2014-03-29 12:24:32.411128	82176	1120263.8979549864	4	2
2014-03-29 12:24:37.814391	82177	45	2	10
2014-03-29 12:24:38.050096	82178	21.4	1	10
2014-03-29 12:24:44.186335	82179	305	3	2
2014-03-29 12:24:44.411114	82180	1120265.046989708	4	2
2014-03-29 12:24:48.028965	82181	45	2	8
2014-03-29 12:24:48.272692	82182	20.6	1	8
2014-03-29 12:25:00.490874	82183	48	2	1
2014-03-29 12:25:00.713149	82184	20.2	1	1
2014-03-29 12:25:16.815743	82185	45	2	10
2014-03-29 12:25:17.050939	82186	21.4	1	10
2014-03-29 12:25:27.029309	82187	45	2	8
2014-03-29 12:25:27.250945	82188	20.6	1	8
2014-03-29 12:25:32.188479	82189	338	3	2
2014-03-29 12:25:32.426026	82190	1120268.4940938721	4	2
2014-03-29 12:25:39.489952	82191	48	2	1
2014-03-29 12:25:39.712474	82192	20.2	1	1
2014-03-29 12:25:44.189269	82193	305	3	2
2014-03-29 12:25:44.419763	82194	1120269.6431285935	4	2
2014-03-29 12:25:55.814843	82195	45	2	10
2014-03-29 12:25:56.037031	82196	21.4	1	10
2014-03-29 12:25:56.342249	82197	305	3	2
2014-03-29 12:25:56.574186	82198	1120270.792163315	4	2
2014-03-29 12:26:06.02773	82199	45	2	8
2014-03-29 12:26:06.249432	82200	20.6	1	8
2014-03-29 12:26:18.489597	82201	48	2	1
2014-03-29 12:26:18.725319	82202	20.2	1	1
2014-03-29 12:26:32.18542	82203	370	3	2
2014-03-29 12:26:32.4242	82204	1120274.2392674792	4	2
2014-03-29 12:26:34.814849	82205	45	2	10
2014-03-29 12:26:35.046607	82206	21.4	1	10
2014-03-29 12:26:45.029205	82207	45	2	8
2014-03-29 12:26:45.252081	82208	20.6	1	8
2014-03-29 12:26:57.488975	82209	48	2	1
2014-03-29 12:26:57.723293	82210	20.2	1	1
2014-03-29 12:27:13.819427	82211	45	2	10
2014-03-29 12:27:14.042391	82212	21.4	1	10
2014-03-29 12:27:20.186293	82213	402	3	2
2014-03-29 12:27:20.417	82214	1120278.8354063649	4	2
2014-03-29 12:27:24.028172	82215	45	2	8
2014-03-29 12:27:24.249345	82216	20.6	1	8
2014-03-29 12:27:32.19042	82217	370	3	2
2014-03-29 12:27:32.420862	82218	1120279.9844410862	4	2
2014-03-29 12:27:36.729766	82219	48	2	1
2014-03-29 12:27:36.953445	82220	20.2	1	1
2014-03-29 12:27:44.187982	82221	450	3	2
2014-03-29 12:27:44.421681	82222	1120283.4315452506	4	2
2014-03-29 12:27:52.81602	82223	45	2	10
2014-03-29 12:27:53.039867	82224	21.4	1	10
2014-03-29 12:27:56.189996	82225	434	3	2
2014-03-29 12:27:56.421208	82226	1120284.580579972	4	2
2014-03-29 12:28:03.028096	82227	45	2	8
2014-03-29 12:28:03.25027	82228	20.6	1	8
2014-03-29 12:28:15.489209	82229	48	2	1
2014-03-29 12:28:15.73289	82230	20.2	1	1
2014-03-29 12:28:31.815276	82231	45	2	10
2014-03-29 12:28:32.038052	82232	21.4	1	10
2014-03-29 12:28:32.342641	82233	434	3	2
2014-03-29 12:28:32.573378	82234	1120289.1767188576	4	2
2014-03-29 12:28:42.030878	82235	45	2	8
2014-03-29 12:28:42.254277	82236	20.6	1	8
2014-03-29 12:28:54.488549	82237	48	2	1
2014-03-29 12:28:54.718809	82238	20.2	1	1
2014-03-29 12:29:10.815148	82239	45	2	10
2014-03-29 12:29:11.036815	82240	21.4	1	10
2014-03-29 12:29:21.027905	82241	45	2	8
2014-03-29 12:29:21.263662	82242	20.6	1	8
2014-03-29 12:29:32.185952	82243	434	3	2
2014-03-29 12:29:32.407466	82244	1120297.2199619075	4	2
2014-03-29 12:29:33.489196	82245	48	2	1
2014-03-29 12:29:33.71909	82246	20.2	1	1
2014-03-29 12:29:49.817919	82247	45	2	10
2014-03-29 12:29:50.039226	82248	21.3	1	10
2014-03-29 12:30:00.028253	82249	45	2	8
2014-03-29 12:30:00.260949	82250	20.6	1	8
2014-03-29 12:30:12.488528	82251	48	2	1
2014-03-29 12:30:12.710346	82252	20.2	1	1
2014-03-29 12:30:28.817576	82253	45	2	10
2014-03-29 12:30:29.051615	82254	21.3	1	10
2014-03-29 12:30:32.187331	82255	418	3	2
2014-03-29 12:30:32.408836	82256	1120304.114170236	4	2
2014-03-29 12:30:39.028891	82257	45	2	8
2014-03-29 12:30:39.261129	82258	20.6	1	8
2014-03-29 12:30:51.487466	82259	48	2	1
2014-03-29 12:30:51.707814	82260	20.2	1	1
2014-03-29 12:31:07.817395	82261	45	2	10
2014-03-29 12:31:08.049137	82262	21.3	1	10
2014-03-29 12:31:18.031427	82263	45	2	8
2014-03-29 12:31:18.254407	82264	20.6	1	8
2014-03-29 12:31:30.485449	82265	48	2	1
2014-03-29 12:31:30.717542	82266	20.2	1	1
2014-03-29 12:31:32.188707	82267	434	3	2
2014-03-29 12:31:32.41144	82268	1120311.0083785644	4	2
2014-03-29 12:31:46.81505	82269	45	2	10
2014-03-29 12:31:47.052126	82270	21.3	1	10
2014-03-29 12:31:57.02892	82271	45	2	8
2014-03-29 12:31:57.250826	82272	20.6	1	8
2014-03-29 12:32:09.486041	82273	48	2	1
2014-03-29 12:32:09.716958	82274	20.2	1	1
2014-03-29 12:32:25.820456	82275	45	2	10
2014-03-29 12:32:26.041596	82276	21.3	1	10
2014-03-29 12:32:32.188144	82277	434	3	2
2014-03-29 12:32:32.431531	82278	1120319.0516216145	4	2
2014-03-29 12:32:36.029178	82279	45	2	8
2014-03-29 12:32:36.252645	82280	20.6	1	8
2014-03-29 12:32:48.488315	82281	48	2	1
2014-03-29 12:32:48.7207	82282	20.2	1	1
2014-03-29 12:32:56.187415	82283	370	3	2
2014-03-29 12:32:56.411753	82284	1120321.349691057	4	2
2014-03-29 12:33:04.817812	82285	45	2	10
2014-03-29 12:33:05.050326	82286	21.3	1	10
2014-03-29 12:33:08.188288	82287	370	3	2
2014-03-29 12:33:08.4104	82288	1120322.4987257787	4	2
2014-03-29 12:33:15.028107	82289	45	2	8
2014-03-29 12:33:15.259047	82290	20.6	1	8
2014-03-29 12:33:27.485588	82291	48	2	1
2014-03-29 12:33:27.707822	82292	20.2	1	1
2014-03-29 12:33:32.188699	82293	370	3	2
2014-03-29 12:33:32.419036	82294	1120324.7967952215	4	2
2014-03-29 12:33:43.81665	82295	45	2	10
2014-03-29 12:33:44.040969	82296	21.3	1	10
2014-03-29 12:33:54.030256	82297	45	2	8
2014-03-29 12:33:54.263064	82298	20.6	1	8
2014-03-29 12:34:06.496251	82299	48	2	1
2014-03-29 12:34:06.717279	82300	20.2	1	1
2014-03-29 12:34:22.816926	82301	45	2	10
2014-03-29 12:34:23.047549	82302	21.3	1	10
2014-03-29 12:34:33.029272	82303	45	2	8
2014-03-29 12:34:33.253053	82304	20.6	1	8
2014-03-29 12:34:45.484738	82305	48	2	1
2014-03-29 12:34:45.714831	82306	20.2	1	1
2014-03-29 12:35:01.818004	82307	45	2	10
2014-03-29 12:35:02.039939	82308	21.3	1	10
2014-03-29 12:35:12.236922	82309	45	2	8
2014-03-29 12:35:12.468869	82310	20.6	1	8
2014-03-29 12:35:24.485587	82311	48	2	1
2014-03-29 12:35:24.706287	82312	20.2	1	1
2014-03-29 12:35:32.187565	82313	370	3	2
2014-03-29 12:35:32.422898	82314	1120337.436177157	4	2
2014-03-29 12:35:40.819148	82315	45	2	10
2014-03-29 12:35:41.040394	82316	21.3	1	10
2014-03-29 12:35:51.028872	82317	45	2	8
2014-03-29 12:35:51.261184	82318	20.6	1	8
2014-03-29 12:36:03.4869	82319	48	2	1
2014-03-29 12:36:03.708245	82320	20.2	1	1
2014-03-29 12:36:19.818208	82321	45	2	10
2014-03-29 12:36:20.050607	82322	21.3	1	10
2014-03-29 12:36:30.029627	82323	45	2	8
2014-03-29 12:36:30.251405	82324	20.6	1	8
2014-03-29 12:36:32.18624	82325	370	3	2
2014-03-29 12:36:32.429503	82326	1120343.1813507641	4	2
2014-03-29 12:36:42.485465	82327	48	2	1
2014-03-29 12:36:42.710668	82328	20.2	1	1
2014-03-29 12:36:58.818944	82329	45	2	10
2014-03-29 12:36:59.050388	82330	21.3	1	10
2014-03-29 12:37:09.029158	82331	45	2	8
2014-03-29 12:37:09.250417	82332	20.6	1	8
2014-03-29 12:37:21.482682	82333	48	2	1
2014-03-29 12:37:21.715179	82334	20.2	1	1
2014-03-29 12:37:32.18418	82335	370	3	2
2014-03-29 12:37:32.405689	82336	1120350.0755590927	4	2
2014-03-29 12:37:37.817749	82337	45	2	10
2014-03-29 12:37:38.075929	82338	21.3	1	10
2014-03-29 12:37:48.028261	82339	45	2	8
2014-03-29 12:37:48.250218	82340	20.6	1	8
2014-03-29 12:38:00.482777	82341	48	2	1
2014-03-29 12:38:00.714787	82342	20.2	1	1
2014-03-29 12:38:16.819335	82343	45	2	10
2014-03-29 12:38:17.045026	82344	21.3	1	10
2014-03-29 12:38:27.02819	82345	45	2	8
2014-03-29 12:38:27.25944	82346	20.6	1	8
2014-03-29 12:38:32.186044	82347	370	3	2
2014-03-29 12:38:32.409945	82348	1120355.8207326997	4	2
2014-03-29 12:38:39.479518	82349	48	2	1
2014-03-29 12:38:39.71167	82350	20.2	1	1
2014-03-29 12:38:55.819273	82351	45	2	10
2014-03-29 12:38:56.04273	82352	21.3	1	10
2014-03-29 12:39:06.031497	82353	45	2	8
2014-03-29 12:39:06.262905	82354	20.6	1	8
2014-03-29 12:39:18.479745	82355	48	2	1
2014-03-29 12:39:18.701355	82356	20.2	1	1
2014-03-29 12:39:32.185924	82357	370	3	2
2014-03-29 12:39:32.416812	82358	1120362.714941028	4	2
2014-03-29 12:39:34.818688	82359	45	2	10
2014-03-29 12:39:35.041159	82360	21.3	1	10
2014-03-29 12:39:45.028445	82361	45	2	8
2014-03-29 12:39:45.262387	82362	20.6	1	8
2014-03-29 12:39:57.482734	82363	48	2	1
2014-03-29 12:39:57.70598	82364	20.2	1	1
2014-03-29 12:40:08.189656	82365	402	3	2
2014-03-29 12:40:08.421463	82366	1120366.1620451924	4	2
2014-03-29 12:40:13.81969	82367	45	2	10
2014-03-29 12:40:14.046303	82368	21.3	1	10
2014-03-29 12:40:20.189425	82369	434	3	2
2014-03-29 12:40:20.422069	82370	1120367.3110799138	4	2
2014-03-29 12:40:24.028719	82371	45	2	8
2014-03-29 12:40:24.250819	82372	20.6	1	8
2014-03-29 12:40:32.187386	82373	434	3	2
2014-03-29 12:40:32.432798	82374	1120368.4601146353	4	2
2014-03-29 12:40:36.482062	82375	48	2	1
2014-03-29 12:40:36.704791	82376	20.2	1	1
2014-03-29 12:40:52.819496	82377	45	2	10
2014-03-29 12:40:53.050688	82378	21.3	1	10
2014-03-29 12:41:03.029147	82379	45	2	8
2014-03-29 12:41:03.270081	82380	20.6	1	8
2014-03-29 12:41:15.479796	82381	48	2	1
2014-03-29 12:41:15.711507	82382	20.2	1	1
2014-03-29 12:41:31.820533	82383	45	2	10
2014-03-29 12:41:32.040771	82384	21.3	1	10
2014-03-29 12:41:32.346289	82385	418	3	2
2014-03-29 12:41:32.584745	82386	1120376.5033576852	4	2
2014-03-29 12:41:42.0296	82387	45	2	8
2014-03-29 12:41:42.252255	82388	20.6	1	8
2014-03-29 12:41:54.479964	82389	48	2	1
2014-03-29 12:41:54.713573	82390	20.2	1	1
2014-03-29 12:42:10.817947	82391	45	2	10
2014-03-29 12:42:11.040319	82392	21.3	1	10
2014-03-29 12:42:21.029083	82393	45	2	8
2014-03-29 12:42:21.259938	82394	20.6	1	8
2014-03-29 12:42:32.185538	82395	434	3	2
2014-03-29 12:42:32.415837	82396	1120383.3975660137	4	2
2014-03-29 12:42:33.522647	82397	48	2	1
2014-03-29 12:42:33.756772	82398	20.2	1	1
2014-03-29 12:42:49.820084	82399	45	2	10
2014-03-29 12:42:50.041555	82400	21.3	1	10
2014-03-29 12:42:58.743194	82401	370	3	2
2014-03-29 12:42:58.975845	82402	1120385.6956354564	4	2
2014-03-29 12:43:00.029032	82403	45	2	8
2014-03-29 12:43:00.250712	82404	20.6	1	8
2014-03-29 12:43:08.183251	82405	370	3	2
2014-03-29 12:43:08.415885	82406	1120386.844670178	4	2
2014-03-29 12:43:12.481222	82407	48	2	1
2014-03-29 12:43:12.705217	82408	20.2	1	1
2014-03-29 12:43:28.822819	82409	45	2	10
2014-03-29 12:43:29.056135	82410	21.3	1	10
2014-03-29 12:43:32.185943	82411	354	3	2
2014-03-29 12:43:32.406332	82412	1120389.1427396208	4	2
2014-03-29 12:43:39.029484	82413	45	2	8
2014-03-29 12:43:39.261072	82414	20.6	1	8
2014-03-29 12:43:51.479875	82415	48	2	1
2014-03-29 12:43:51.701713	82416	20.2	1	1
2014-03-29 12:44:07.82283	82417	45	2	10
2014-03-29 12:44:08.056896	82418	21.2	1	10
2014-03-29 12:44:18.030212	82419	45	2	8
2014-03-29 12:44:18.252672	82420	20.6	1	8
2014-03-29 12:44:30.479468	82421	48	2	1
2014-03-29 12:44:30.723168	82422	20.2	1	1
2014-03-29 12:44:32.185545	82423	354	3	2
2014-03-29 12:44:32.40657	82424	1120394.8879132278	4	2
2014-03-29 12:44:46.818833	82425	45	2	10
2014-03-29 12:44:47.057329	82426	21.2	1	10
2014-03-29 12:44:57.028198	82427	45	2	8
2014-03-29 12:44:57.250215	82428	20.6	1	8
2014-03-29 12:45:09.475059	82429	48	2	1
2014-03-29 12:45:09.707256	82430	20.2	1	1
2014-03-29 12:45:25.821999	82431	45	2	10
2014-03-29 12:45:26.043572	82432	21.2	1	10
2014-03-29 12:45:32.186584	82433	370	3	2
2014-03-29 12:45:32.417837	82434	1120401.7821215563	4	2
2014-03-29 12:45:36.029317	82435	45	2	8
2014-03-29 12:45:36.251811	82436	20.6	1	8
2014-03-29 12:45:48.475703	82437	48	2	1
2014-03-29 12:45:48.706692	82438	20.2	1	1
2014-03-29 12:45:56.184199	82439	305	3	2
2014-03-29 12:45:56.408007	82440	1120404.0801909992	4	2
2014-03-29 12:46:04.822115	82441	45	2	10
2014-03-29 12:46:05.055535	82442	21.2	1	10
2014-03-29 12:46:08.188013	82443	305	3	2
2014-03-29 12:46:08.41027	82444	1120405.2292257205	4	2
2014-03-29 12:46:15.029453	82445	45	2	8
2014-03-29 12:46:15.261171	82446	20.6	1	8
2014-03-29 12:46:20.188053	82447	338	3	2
2014-03-29 12:46:20.412584	82448	1120406.3782604418	4	2
2014-03-29 12:46:27.477173	82449	48	2	1
2014-03-29 12:46:27.709582	82450	20.2	1	1
2014-03-29 12:46:32.188107	82451	338	3	2
2014-03-29 12:46:32.410814	82452	1120406.3782604418	4	2
2014-03-29 12:46:43.822694	82453	45	2	10
2014-03-29 12:46:44.054213	82454	21.2	1	10
2014-03-29 12:46:54.029158	82455	45	2	8
2014-03-29 12:46:54.249782	82456	20.6	1	8
2014-03-29 12:46:56.188097	82457	305	3	2
2014-03-29 12:46:56.420637	82458	1120408.6763298847	4	2
2014-03-29 12:47:06.479814	82459	48	2	1
2014-03-29 12:47:06.701696	82460	20.2	1	1
2014-03-29 12:47:08.184591	82461	305	3	2
2014-03-29 12:47:08.414924	82462	1120409.8253646062	4	2
2014-03-29 12:47:22.821034	82463	45	2	10
2014-03-29 12:47:23.041738	82464	21.2	1	10
2014-03-29 12:47:33.02883	82465	45	2	8
2014-03-29 12:47:33.26146	82466	20.6	1	8
2014-03-29 12:47:45.478448	82467	48	2	1
2014-03-29 12:47:45.704475	82468	20.2	1	1
2014-03-29 12:47:56.186542	82469	338	3	2
2014-03-29 12:47:56.430261	82470	1120414.421503492	4	2
2014-03-29 12:48:01.822647	82471	45	2	10
2014-03-29 12:48:02.047007	82472	21.2	1	10
2014-03-29 12:48:08.189051	82473	305	3	2
2014-03-29 12:48:08.420125	82474	1120415.5705382132	4	2
2014-03-29 12:48:12.02866	82475	45	2	8
2014-03-29 12:48:12.251826	82476	20.6	1	8
2014-03-29 12:48:20.192504	82477	305	3	2
2014-03-29 12:48:20.423311	82478	1120416.7195729346	4	2
2014-03-29 12:48:24.476971	82479	48	2	1
2014-03-29 12:48:24.700142	82480	20.2	1	1
2014-03-29 12:48:32.185939	82481	305	3	2
2014-03-29 12:48:32.417658	82482	1120417.868607656	4	2
2014-03-29 12:48:40.824309	82483	45	2	10
2014-03-29 12:48:41.045928	82484	21.2	1	10
2014-03-29 12:48:51.029365	82485	45	2	8
2014-03-29 12:48:51.260797	82486	20.6	1	8
2014-03-29 12:49:03.47794	82487	48	2	1
2014-03-29 12:49:03.698946	82488	20.2	1	1
2014-03-29 12:49:19.82107	82489	45	2	10
2014-03-29 12:49:20.054952	82490	21.2	1	10
2014-03-29 12:49:30.028626	82491	45	2	8
2014-03-29 12:49:30.251147	82492	20.6	1	8
2014-03-29 12:49:32.187384	82493	305	3	2
2014-03-29 12:49:32.417211	82494	1120422.4647465418	4	2
2014-03-29 12:49:42.475058	82495	48	2	1
2014-03-29 12:49:42.69705	82496	20.1	1	1
2014-03-29 12:49:59.02661	82497	45	2	10
2014-03-29 12:49:59.257727	82498	21.2	1	10
2014-03-29 12:50:09.030037	82499	45	2	8
2014-03-29 12:50:09.25327	82500	20.6	1	8
2014-03-29 12:50:21.477029	82501	48	2	1
2014-03-29 12:50:21.708625	82502	20.1	1	1
2014-03-29 12:50:32.189742	82503	305	3	2
2014-03-29 12:50:32.412962	82504	1120427.0608854273	4	2
2014-03-29 12:50:37.824198	82505	45	2	10
2014-03-29 12:50:38.058128	82506	21.2	1	10
2014-03-29 12:50:48.029528	82507	45	2	8
2014-03-29 12:50:48.254221	82508	20.6	1	8
2014-03-29 12:51:00.473361	82509	48	2	1
2014-03-29 12:51:00.70773	82510	20.1	1	1
2014-03-29 12:51:08.186511	82511	338	3	2
2014-03-29 12:51:08.411345	82512	1120430.5079895917	4	2
2014-03-29 12:51:16.821771	82513	45	2	10
2014-03-29 12:51:17.056326	82514	21.2	1	10
2014-03-29 12:51:20.185188	82515	305	3	2
2014-03-29 12:51:20.408496	82516	1120431.657024313	4	2
2014-03-29 12:51:27.02892	82517	45	2	8
2014-03-29 12:51:27.273022	82518	20.6	1	8
2014-03-29 12:51:32.18475	82519	305	3	2
2014-03-29 12:51:32.413498	82520	1120432.8060590345	4	2
2014-03-29 12:51:39.477938	82521	48	2	1
2014-03-29 12:51:39.708911	82522	20.1	1	1
2014-03-29 12:51:55.824687	82523	45	2	10
2014-03-29 12:51:56.049066	82524	21.2	1	10
2014-03-29 12:51:56.359232	82525	338	3	2
2014-03-29 12:51:56.5895	82526	1120435.1041284774	4	2
2014-03-29 12:52:06.02979	82527	45	2	8
2014-03-29 12:52:06.252285	82528	20.6	1	8
2014-03-29 12:52:08.184126	82529	305	3	2
2014-03-29 12:52:08.416409	82530	1120436.2531631987	4	2
2014-03-29 12:52:18.473898	82531	48	2	1
2014-03-29 12:52:18.708596	82532	20.1	1	1
2014-03-29 12:52:20.184588	82533	338	3	2
2014-03-29 12:52:20.418131	82534	1120437.40219792	4	2
2014-03-29 12:52:32.185491	82535	338	3	2
2014-03-29 12:52:32.40694	82536	1120438.5512326416	4	2
2014-03-29 12:52:34.822378	82537	45	2	10
2014-03-29 12:52:35.054712	82538	21.2	1	10
2014-03-29 12:52:45.029583	82539	45	2	8
2014-03-29 12:52:45.255205	82540	20.6	1	8
2014-03-29 12:52:56.188231	82541	305	3	2
2014-03-29 12:52:56.421227	82542	1120439.7002673629	4	2
2014-03-29 12:52:57.474724	82543	48	2	1
2014-03-29 12:52:57.698866	82544	20.1	1	1
2014-03-29 12:53:08.185571	82545	370	3	2
2014-03-29 12:53:08.41908	82546	1120440.8493020844	4	2
2014-03-29 12:53:13.824355	82547	45	2	10
2014-03-29 12:53:14.049845	82548	21.2	1	10
2014-03-29 12:53:20.183977	82549	370	3	2
2014-03-29 12:53:20.415013	82550	1120443.1473715273	4	2
2014-03-29 12:53:24.029413	82551	45	2	8
2014-03-29 12:53:24.250945	82552	20.6	1	8
2014-03-29 12:53:32.185288	82553	370	3	2
2014-03-29 12:53:32.416686	82554	1120444.2964062486	4	2
2014-03-29 12:53:36.472471	82555	48	2	1
2014-03-29 12:53:36.696524	82556	20.1	1	1
2014-03-29 12:53:44.186448	82557	402	3	2
2014-03-29 12:53:44.420759	82558	1120445.4454409701	4	2
2014-03-29 12:53:52.825348	82559	45	2	10
2014-03-29 12:53:53.049097	82560	21.2	1	10
2014-03-29 12:53:56.185817	82561	370	3	2
2014-03-29 12:53:56.417074	82562	1120446.5944756914	4	2
2014-03-29 12:54:03.029554	82563	45	2	8
2014-03-29 12:54:03.251421	82564	20.6	1	8
2014-03-29 12:54:08.183719	82565	370	3	2
2014-03-29 12:54:08.429079	82566	1120447.7435104128	4	2
2014-03-29 12:54:15.47229	82567	48	2	1
2014-03-29 12:54:15.69397	82568	20.1	1	1
2014-03-29 12:54:31.82534	82569	45	2	10
2014-03-29 12:54:32.243102	82570	21.1	1	10
2014-03-29 12:54:32.549143	82571	370	3	2
2014-03-29 12:54:32.775698	82572	1120450.0415798556	4	2
2014-03-29 12:54:42.083554	82573	45	2	8
2014-03-29 12:54:42.305022	82574	20.6	1	8
2014-03-29 12:54:54.471245	82575	48	2	1
2014-03-29 12:54:54.702046	82576	20.1	1	1
2014-03-29 12:55:10.82604	82577	45	2	10
2014-03-29 12:55:11.052023	82578	21.1	1	10
2014-03-29 12:55:21.03051	82579	45	2	8
2014-03-29 12:55:21.26285	82580	20.6	1	8
2014-03-29 12:55:32.185937	82581	370	3	2
2014-03-29 12:55:32.407152	82582	1120455.7867534629	4	2
2014-03-29 12:55:33.471614	82583	48	2	1
2014-03-29 12:55:33.70285	82584	20.1	1	1
2014-03-29 12:55:49.82419	82585	45	2	10
2014-03-29 12:55:50.045529	82586	21.1	1	10
2014-03-29 12:56:00.028504	82587	45	2	8
2014-03-29 12:56:00.261873	82588	20.6	1	8
2014-03-29 12:56:12.470347	82589	48	2	1
2014-03-29 12:56:12.691814	82590	20.1	1	1
2014-03-29 12:56:28.824469	82591	45	2	10
2014-03-29 12:56:29.055603	82592	21.1	1	10
2014-03-29 12:56:32.184185	82593	370	3	2
2014-03-29 12:56:32.406367	82594	1120462.6809617912	4	2
2014-03-29 12:56:39.02768	82595	45	2	8
2014-03-29 12:56:39.261704	82596	20.6	1	8
2014-03-29 12:56:51.472892	82597	48	2	1
2014-03-29 12:56:51.693632	82598	20.1	1	1
2014-03-29 12:56:56.185607	82599	402	3	2
2014-03-29 12:56:56.417063	82600	1120463.8344674648	4	2
2014-03-29 12:57:07.824009	82601	45	2	10
2014-03-29 12:57:08.04662	82602	21.1	1	10
2014-03-29 12:57:08.353421	82603	370	3	2
2014-03-29 12:57:08.584136	82604	1120464.9835021864	4	2
2014-03-29 12:57:18.028469	82605	45	2	8
2014-03-29 12:57:18.24942	82606	20.6	1	8
2014-03-29 12:57:20.185672	82607	370	3	2
2014-03-29 12:57:20.419672	82608	1120466.1325369077	4	2
2014-03-29 12:57:30.473287	82609	48	2	1
2014-03-29 12:57:30.695331	82610	20.1	1	1
2014-03-29 12:57:32.186886	82611	370	3	2
2014-03-29 12:57:32.42014	82612	1120467.2815716292	4	2
2014-03-29 12:57:47.028144	82613	45	2	10
2014-03-29 12:57:47.255206	82614	21.1	1	10
2014-03-29 12:57:57.028257	82615	45	2	8
2014-03-29 12:57:57.269463	82616	20.6	1	8
2014-03-29 12:58:09.469762	82617	48	2	1
2014-03-29 12:58:09.695666	82618	20.1	1	1
2014-03-29 12:58:25.824065	82619	45	2	10
2014-03-29 12:58:26.054303	82620	21.1	1	10
2014-03-29 12:58:32.183764	82621	370	3	2
2014-03-29 12:58:32.40632	82622	1120473.0267452362	4	2
2014-03-29 12:58:36.028156	82623	45	2	8
2014-03-29 12:58:36.259214	82624	20.6	1	8
2014-03-29 12:58:44.183278	82625	305	3	2
2014-03-29 12:58:44.403703	82626	1120474.1757799576	4	2
2014-03-29 12:58:48.470957	82627	48	2	1
2014-03-29 12:58:48.703905	82628	20.1	1	1
2014-03-29 12:59:04.824487	82629	45	2	10
2014-03-29 12:59:05.0464	82630	21.1	1	10
2014-03-29 12:59:08.184003	82631	305	3	2
2014-03-29 12:59:08.415619	82632	1120476.4738494004	4	2
2014-03-29 12:59:15.027785	82633	45	2	8
2014-03-29 12:59:15.249092	82634	20.6	1	8
2014-03-29 12:59:20.187365	82635	338	3	2
2014-03-29 12:59:20.417957	82636	1120477.622884122	4	2
2014-03-29 12:59:27.710396	82637	48	2	1
2014-03-29 12:59:27.93443	82638	20.1	1	1
2014-03-29 12:59:32.184024	82639	338	3	2
2014-03-29 12:59:32.414972	82640	1120478.7719188433	4	2
2014-03-29 12:59:43.826413	82641	45	2	10
2014-03-29 12:59:44.04827	82642	21.1	1	10
2014-03-29 12:59:44.352471	82643	305	3	2
2014-03-29 12:59:44.583225	82644	1120479.9209535648	4	2
2014-03-29 12:59:54.030233	82645	45	2	8
2014-03-29 12:59:54.252467	82646	20.6	1	8
2014-03-29 12:59:56.187563	82647	305	3	2
2014-03-29 12:59:56.451666	82648	1120481.0699882861	4	2
2014-03-29 13:00:06.469383	82649	48	2	1
2014-03-29 13:00:07.217805	82650	20.1	1	1
2014-03-29 13:00:22.825564	82651	45	2	10
2014-03-29 13:00:23.422927	82652	21.1	1	10
2014-03-29 13:00:33.031233	82653	45	2	8
2014-03-29 13:00:33.253054	82654	20.6	1	8
2014-03-29 13:00:44.187224	82655	305	3	2
2014-03-29 13:00:44.419286	82656	1120485.6661271718	4	2
2014-03-29 13:00:45.46977	82657	48	2	1
2014-03-29 13:00:45.690168	82658	20.1	1	1
2014-03-29 13:00:56.185456	82659	305	3	2
2014-03-29 13:00:56.418747	82660	1120486.8151618931	4	2
2014-03-29 13:01:01.82549	82661	45	2	10
2014-03-29 13:01:02.050826	82662	21.1	1	10
2014-03-29 13:01:08.185707	82663	338	3	2
2014-03-29 13:01:08.428669	82664	1120487.9641966147	4	2
2014-03-29 13:01:12.029041	82665	45	2	8
2014-03-29 13:01:12.307551	82666	20.6	1	8
2014-03-29 13:01:24.277595	82667	338	3	2
2014-03-29 13:01:24.508595	82668	1120487.9641966147	4	2
2014-03-29 13:01:24.811406	82669	48	2	1
2014-03-29 13:01:25.032284	82670	20.1	1	1
2014-03-29 13:01:32.187413	82671	338	3	2
2014-03-29 13:01:32.417254	82672	1120489.113231336	4	2
2014-03-29 13:01:40.82412	82673	45	2	10
2014-03-29 13:01:41.047018	82674	21.1	1	10
2014-03-29 13:01:51.02895	82675	45	2	8
2014-03-29 13:01:51.262473	82676	20.6	1	8
2014-03-29 13:01:56.18578	82677	305	3	2
2014-03-29 13:01:56.414307	82678	1120491.4113007789	4	2
2014-03-29 13:02:03.469356	82679	48	2	1
2014-03-29 13:02:03.700477	82680	20.1	1	1
2014-03-29 13:02:08.186564	82681	305	3	2
2014-03-29 13:02:08.408933	82682	1120492.5603355002	4	2
2014-03-29 13:02:19.835251	82683	45	2	10
2014-03-29 13:02:20.067457	82684	21.1	1	10
2014-03-29 13:02:20.373059	82685	338	3	2
2014-03-29 13:02:20.595045	82686	1120493.7093702217	4	2
2014-03-29 13:02:30.027895	82687	45	2	8
2014-03-29 13:02:30.260152	82688	20.6	1	8
2014-03-29 13:02:32.184956	82689	338	3	2
2014-03-29 13:02:32.408045	82690	1120494.858404943	4	2
2014-03-29 13:02:42.51217	82691	48	2	1
2014-03-29 13:02:42.746101	82692	20.1	1	1
2014-03-29 13:02:56.185997	82693	305	3	2
2014-03-29 13:02:56.410955	82694	1120497.1564743859	4	2
2014-03-29 13:02:58.823589	82695	45	2	10
2014-03-29 13:02:59.055883	82696	21.1	1	10
2014-03-29 13:03:09.029179	82697	45	2	8
2014-03-29 13:03:09.250033	82698	20.6	1	8
2014-03-29 13:03:20.185251	82699	338	3	2
2014-03-29 13:03:20.416487	82700	1120499.4545438287	4	2
2014-03-29 13:03:21.471044	82701	48	2	1
2014-03-29 13:03:21.691964	82702	20.1	1	1
2014-03-29 13:03:32.187709	82703	305	3	2
2014-03-29 13:03:32.419582	82704	1120500.6035785503	4	2
2014-03-29 13:03:37.82771	82705	45	2	10
2014-03-29 13:03:38.052376	82706	21.1	1	10
2014-03-29 13:03:44.184606	82707	338	3	2
2014-03-29 13:03:44.416269	82708	1120501.7526132716	4	2
2014-03-29 13:03:48.02918	82709	45	2	8
2014-03-29 13:03:48.25138	82710	20.6	1	8
2014-03-29 13:03:56.185805	82711	338	3	2
2014-03-29 13:03:56.430895	82712	1120502.901647993	4	2
2014-03-29 13:04:00.466114	82713	48	2	1
2014-03-29 13:04:00.688697	82714	20.1	1	1
2014-03-29 13:04:08.185098	82715	305	3	2
2014-03-29 13:04:08.417709	82716	1120502.901647993	4	2
2014-03-29 13:04:16.826604	82717	45	2	10
2014-03-29 13:04:17.048051	82718	21.1	1	10
2014-03-29 13:04:20.18322	82719	305	3	2
2014-03-29 13:04:20.415396	82720	1120504.0506827144	4	2
2014-03-29 13:04:27.029054	82721	45	2	8
2014-03-29 13:04:27.249964	82722	20.6	1	8
2014-03-29 13:04:32.184441	82723	305	3	2
2014-03-29 13:04:32.420221	82724	1120505.1997174358	4	2
2014-03-29 13:04:39.511785	82725	48	2	1
2014-03-29 13:04:39.735593	82726	20.1	1	1
2014-03-29 13:04:44.184179	82727	338	3	2
2014-03-29 13:04:44.416119	82728	1120506.3487521573	4	2
2014-03-29 13:04:55.829337	82729	45	2	10
2014-03-29 13:04:56.051022	82730	21.1	1	10
2014-03-29 13:04:56.355792	82731	338	3	2
2014-03-29 13:04:56.586079	82732	1120507.4977868786	4	2
2014-03-29 13:05:06.028643	82733	45	2	8
2014-03-29 13:05:06.253301	82734	20.6	1	8
2014-03-29 13:05:08.18284	82735	305	3	2
2014-03-29 13:05:08.414407	82736	1120508.6468216002	4	2
2014-03-29 13:05:18.466402	82737	48	2	1
2014-03-29 13:05:18.686953	82738	20.1	1	1
2014-03-29 13:05:20.186084	82739	338	3	2
2014-03-29 13:05:20.41847	82740	1120509.7958563215	4	2
2014-03-29 13:05:32.184519	82741	338	3	2
2014-03-29 13:05:32.405822	82742	1120510.944891043	4	2
2014-03-29 13:05:34.826511	82743	45	2	10
2014-03-29 13:05:35.05851	82744	21.1	1	10
2014-03-29 13:05:45.029359	82745	45	2	8
2014-03-29 13:05:45.254485	82746	20.5	1	8
2014-03-29 13:05:56.185881	82747	402	3	2
2014-03-29 13:05:56.417474	82748	1120513.2429604856	4	2
2014-03-29 13:05:57.466805	82749	48	2	1
2014-03-29 13:05:57.690409	82750	20.1	1	1
2014-03-29 13:06:08.185569	82751	370	3	2
2014-03-29 13:06:08.41828	82752	1120514.3919952072	4	2
2014-03-29 13:06:13.825991	82753	45	2	10
2014-03-29 13:06:14.053417	82754	21.1	1	10
2014-03-29 13:06:20.184533	82755	370	3	2
2014-03-29 13:06:20.416128	82756	1120515.5410299285	4	2
2014-03-29 13:06:24.030275	82757	45	2	8
2014-03-29 13:06:24.252078	82758	20.5	1	8
2014-03-29 13:06:32.184838	82759	370	3	2
2014-03-29 13:06:32.427948	82760	1120516.69006465	4	2
2014-03-29 13:06:36.466434	82761	48	2	1
2014-03-29 13:06:36.688115	82762	20.1	1	1
2014-03-29 13:06:52.825946	82763	45	2	10
2014-03-29 13:06:53.057151	82764	21.1	1	10
2014-03-29 13:07:03.028613	82765	45	2	8
2014-03-29 13:07:03.250553	82766	20.5	1	8
2014-03-29 13:07:15.469574	82767	48	2	1
2014-03-29 13:07:15.700542	82768	20.1	1	1
2014-03-29 13:07:31.825681	82769	45	2	10
2014-03-29 13:07:32.046995	82770	21.1	1	10
2014-03-29 13:07:42.027779	82771	45	2	8
2014-03-29 13:07:42.259882	82772	20.5	1	8
2014-03-29 13:07:54.706968	82773	48	2	1
2014-03-29 13:07:54.928026	82774	20.1	1	1
2014-03-29 13:08:10.828181	82775	45	2	10
2014-03-29 13:08:11.060304	82776	21.1	1	10
2014-03-29 13:08:21.029052	82777	45	2	8
2014-03-29 13:08:21.249511	82778	20.6	1	8
2014-03-29 13:08:32.187567	82779	370	3	2
2014-03-29 13:08:32.41923	82780	1120529.3294465856	4	2
2014-03-29 13:08:33.468476	82781	48	2	1
2014-03-29 13:08:33.6893	82782	20.1	1	1
2014-03-29 13:08:49.827912	82783	45	2	10
2014-03-29 13:08:50.061083	82784	21.1	1	10
2014-03-29 13:09:00.028261	82785	45	2	8
2014-03-29 13:09:00.249803	82786	20.6	1	8
2014-03-29 13:09:12.520222	82787	48	2	1
2014-03-29 13:09:12.754587	82788	20.1	1	1
2014-03-29 13:09:28.828609	82789	45	2	10
2014-03-29 13:09:29.050895	82790	21.1	1	10
2014-03-29 13:09:32.183751	82791	354	3	2
2014-03-29 13:09:32.416088	82792	1120535.0746201926	4	2
2014-03-29 13:09:39.028866	82793	45	2	8
2014-03-29 13:09:39.250396	82794	20.6	1	8
2014-03-29 13:09:51.466632	82795	48	2	1
2014-03-29 13:09:51.700224	82796	20.1	1	1
2014-03-29 13:10:07.830266	82797	45	2	10
2014-03-29 13:10:08.053128	82798	21.1	1	10
2014-03-29 13:10:18.028577	82799	45	2	8
2014-03-29 13:10:18.261	82800	20.6	1	8
2014-03-29 13:10:30.46491	82801	48	2	1
2014-03-29 13:10:30.687276	82802	20.1	1	1
2014-03-29 13:10:32.184439	82803	370	3	2
2014-03-29 13:10:32.415696	82804	1120540.8197937997	4	2
2014-03-29 13:10:44.182745	82805	305	3	2
2014-03-29 13:10:44.405291	82806	1120541.9688285212	4	2
2014-03-29 13:10:46.828538	82807	45	2	10
2014-03-29 13:10:47.073625	82808	21.1	1	10
2014-03-29 13:10:57.232222	82809	45	2	8
2014-03-29 13:10:57.455252	82810	20.5	1	8
2014-03-29 13:11:08.183659	82811	338	3	2
2014-03-29 13:11:08.415388	82812	1120544.266897964	4	2
2014-03-29 13:11:09.467314	82813	48	2	1
2014-03-29 13:11:09.688868	82814	20.1	1	1
2014-03-29 13:11:20.183967	82815	305	3	2
2014-03-29 13:11:20.414439	82816	1120545.4159326854	4	2
2014-03-29 13:11:25.829543	82817	45	2	10
2014-03-29 13:11:26.055227	82818	21.1	1	10
2014-03-29 13:11:32.184617	82819	305	3	2
2014-03-29 13:11:32.416393	82820	1120546.5649674067	4	2
2014-03-29 13:11:36.03082	82821	45	2	8
2014-03-29 13:11:36.249676	82822	20.5	1	8
2014-03-29 13:11:48.506401	82823	48	2	1
2014-03-29 13:11:48.739264	82824	20.1	1	1
2014-03-29 13:11:56.185096	82825	338	3	2
2014-03-29 13:11:56.406275	82826	1120548.8630368495	4	2
2014-03-29 13:12:04.830624	82827	45	2	10
2014-03-29 13:12:05.062768	82828	21.1	1	10
2014-03-29 13:12:08.186528	82829	338	3	2
2014-03-29 13:12:08.406442	82830	1120550.012071571	4	2
2014-03-29 13:12:15.029139	82831	45	2	8
2014-03-29 13:12:15.261734	82832	20.5	1	8
2014-03-29 13:12:27.463904	82833	48	2	1
2014-03-29 13:12:27.686304	82834	20.1	1	1
2014-03-29 13:12:32.183743	82835	305	3	2
2014-03-29 13:12:32.415239	82836	1120552.310141014	4	2
2014-03-29 13:12:43.830686	82837	45	2	10
2014-03-29 13:12:44.056192	82838	21.0	1	10
2014-03-29 13:12:44.36475	82839	305	3	2
2014-03-29 13:12:44.596907	82840	1120553.4591757352	4	2
2014-03-29 13:12:54.029029	82841	45	2	8
2014-03-29 13:12:54.255366	82842	20.5	1	8
2014-03-29 13:12:56.183561	82843	338	3	2
2014-03-29 13:12:56.416645	82844	1120554.6082104568	4	2
2014-03-29 13:13:06.461891	82845	48	2	1
2014-03-29 13:13:06.684049	82846	20.1	1	1
2014-03-29 13:13:08.184838	82847	338	3	2
2014-03-29 13:13:08.416202	82848	1120554.6082104568	4	2
2014-03-29 13:13:20.183062	82849	305	3	2
2014-03-29 13:13:20.407221	82850	1120555.757245178	4	2
2014-03-29 13:13:22.830821	82851	45	2	10
2014-03-29 13:13:23.062711	82852	21.0	1	10
2014-03-29 13:13:33.028487	82853	45	2	8
2014-03-29 13:13:33.250976	82854	20.5	1	8
2014-03-29 13:13:45.46619	82855	48	2	1
2014-03-29 13:13:45.711152	82856	20.1	1	1
2014-03-29 13:14:01.828475	82857	45	2	10
2014-03-29 13:14:02.050101	82858	21.0	1	10
2014-03-29 13:14:12.027799	82859	45	2	8
2014-03-29 13:14:12.25991	82860	20.5	1	8
2014-03-29 13:14:24.460448	82861	48	2	1
2014-03-29 13:14:24.683993	82862	20.1	1	1
2014-03-29 13:14:32.186752	82863	305	3	2
2014-03-29 13:14:32.420525	82864	1120562.6514535067	4	2
2014-03-29 13:14:40.832071	82865	45	2	10
2014-03-29 13:14:41.055236	82866	21.0	1	10
2014-03-29 13:14:51.026598	82867	45	2	8
2014-03-29 13:14:51.258096	82868	20.5	1	8
2014-03-29 13:14:56.187259	82869	338	3	2
2014-03-29 13:14:56.413446	82870	1120564.9495229495	4	2
2014-03-29 13:15:03.463603	82871	48	2	1
2014-03-29 13:15:03.695645	82872	20.1	1	1
2014-03-29 13:15:08.182184	82873	305	3	2
2014-03-29 13:15:08.403436	82874	1120564.9495229495	4	2
2014-03-29 13:15:19.830529	82875	45	2	10
2014-03-29 13:15:20.062675	82876	21.0	1	10
2014-03-29 13:15:20.367367	82877	305	3	2
2014-03-29 13:15:20.587511	82878	1120566.0985576708	4	2
2014-03-29 13:15:30.027896	82879	45	2	8
2014-03-29 13:15:30.262777	82880	20.5	1	8
2014-03-29 13:15:32.185265	82881	305	3	2
2014-03-29 13:15:32.405935	82882	1120567.2475923921	4	2
2014-03-29 13:15:42.460562	82883	48	2	1
2014-03-29 13:15:42.749185	82884	20.1	1	1
2014-03-29 13:15:44.185841	82885	338	3	2
2014-03-29 13:15:44.40656	82886	1120568.3966271137	4	2
2014-03-29 13:15:56.18374	82887	305	3	2
2014-03-29 13:15:56.414512	82888	1120569.545661835	4	2
2014-03-29 13:15:58.832482	82889	45	2	10
2014-03-29 13:15:59.053305	82890	21.0	1	10
2014-03-29 13:16:09.027923	82891	45	2	8
2014-03-29 13:16:09.26046	82892	20.5	1	8
2014-03-29 13:16:21.462839	82893	48	2	1
2014-03-29 13:16:21.691231	82894	20.1	1	1
2014-03-29 13:16:32.18519	82895	305	3	2
2014-03-29 13:16:32.416956	82896	1120572.9927659994	4	2
2014-03-29 13:16:37.832938	82897	45	2	10
2014-03-29 13:16:38.060726	82898	21.0	1	10
2014-03-29 13:16:48.03106	82899	45	2	8
2014-03-29 13:16:48.263599	82900	20.5	1	8
2014-03-29 13:17:00.504021	82901	48	2	1
2014-03-29 13:17:00.725072	82902	20.1	1	1
2014-03-29 13:17:16.831752	82903	45	2	10
2014-03-29 13:17:17.076963	82904	21.0	1	10
2014-03-29 13:17:27.028149	82905	45	2	8
2014-03-29 13:17:27.253012	82906	20.5	1	8
2014-03-29 13:17:32.182674	82907	370	3	2
2014-03-29 13:17:32.420528	82908	1120577.5889048849	4	2
2014-03-29 13:17:39.461729	82909	48	2	1
2014-03-29 13:17:39.684777	82910	20.1	1	1
2014-03-29 13:17:44.187	82911	370	3	2
2014-03-29 13:17:44.419043	82912	1120578.7379396064	4	2
2014-03-29 13:17:55.832784	82913	45	2	10
2014-03-29 13:17:56.058987	82914	21.0	1	10
2014-03-29 13:18:06.026994	82915	45	2	8
2014-03-29 13:18:06.260603	82916	20.5	1	8
2014-03-29 13:18:18.460722	82917	48	2	1
2014-03-29 13:18:18.68424	82918	20.1	1	1
2014-03-29 13:18:32.185879	82919	370	3	2
2014-03-29 13:18:32.418831	82920	1120584.4831132134	4	2
2014-03-29 13:18:34.834339	82921	45	2	10
2014-03-29 13:18:35.056652	82922	21.0	1	10
2014-03-29 13:18:45.029281	82923	45	2	8
2014-03-29 13:18:45.26124	82924	20.5	1	8
2014-03-29 13:18:57.463892	82925	48	2	1
2014-03-29 13:18:57.687378	82926	20.1	1	1
2014-03-29 13:19:13.831714	82927	45	2	10
2014-03-29 13:19:14.063846	82928	21.0	1	10
2014-03-29 13:19:24.028646	82929	45	2	8
2014-03-29 13:19:24.250555	82930	20.5	1	8
2014-03-29 13:19:32.184333	82931	370	3	2
2014-03-29 13:19:32.416544	82932	1120590.2282868205	4	2
2014-03-29 13:19:36.458418	82933	48	2	1
2014-03-29 13:19:36.680688	82934	20.1	1	1
2014-03-29 13:19:52.831862	82935	45	2	10
2014-03-29 13:19:53.063943	82936	21.0	1	10
2014-03-29 13:20:03.028893	82937	45	2	8
2014-03-29 13:20:03.251043	82938	20.5	1	8
2014-03-29 13:20:15.461518	82939	48	2	1
2014-03-29 13:20:15.694206	82940	20.1	1	1
2014-03-29 13:20:31.830685	82941	45	2	10
2014-03-29 13:20:32.053697	82942	21.0	1	10
2014-03-29 13:20:32.360695	82943	370	3	2
2014-03-29 13:20:32.591589	82944	1120595.9734604277	4	2
2014-03-29 13:20:42.037824	82945	45	2	8
2014-03-29 13:20:42.2605	82946	20.5	1	8
2014-03-29 13:20:54.46308	82947	48	2	1
2014-03-29 13:20:54.695088	82948	20.1	1	1
2014-03-29 13:21:10.834529	82949	45	2	10
2014-03-29 13:21:11.055414	82950	21.0	1	10
2014-03-29 13:21:21.028672	82951	45	2	8
2014-03-29 13:21:21.270698	82952	20.5	1	8
2014-03-29 13:21:32.18283	82953	354	3	2
2014-03-29 13:21:32.403977	82954	1120601.7186340347	4	2
2014-03-29 13:21:33.461218	82955	48	2	1
2014-03-29 13:21:33.691555	82956	20.1	1	1
2014-03-29 13:21:49.832118	82957	45	2	10
2014-03-29 13:21:50.055467	82958	21.0	1	10
2014-03-29 13:22:00.029363	82959	45	2	8
2014-03-29 13:22:00.262253	82960	20.5	1	8
2014-03-29 13:22:12.455678	82961	48	2	1
2014-03-29 13:22:12.676325	82962	20.0	1	1
2014-03-29 13:22:28.833932	82963	45	2	10
2014-03-29 13:22:29.067504	82964	21.0	1	10
2014-03-29 13:22:32.180684	82965	354	3	2
2014-03-29 13:22:32.403038	82966	1120608.612842363	4	2
2014-03-29 13:22:39.0286	82967	45	2	8
2014-03-29 13:22:39.26254	82968	20.5	1	8
2014-03-29 13:22:51.458276	82969	48	2	1
2014-03-29 13:22:51.680276	82970	20.0	1	1
2014-03-29 13:23:07.833369	82971	45	2	10
2014-03-29 13:23:08.064536	82972	21.0	1	10
2014-03-29 13:23:18.027562	82973	45	2	8
2014-03-29 13:23:18.253303	82974	20.5	1	8
2014-03-29 13:23:30.459731	82975	48	2	1
2014-03-29 13:23:30.692627	82976	20.0	1	1
2014-03-29 13:23:32.185531	82977	305	3	2
2014-03-29 13:23:32.407871	82978	1120614.3580159703	4	2
2014-03-29 13:23:44.182356	82979	305	3	2
2014-03-29 13:23:44.416976	82980	1120615.5070506916	4	2
2014-03-29 13:23:46.836015	82981	45	2	10
2014-03-29 13:23:47.05738	82982	21.0	1	10
2014-03-29 13:23:57.028718	82983	45	2	8
2014-03-29 13:23:57.260331	82984	20.5	1	8
2014-03-29 13:24:09.458817	82985	48	2	1
2014-03-29 13:24:09.681192	82986	20.0	1	1
2014-03-29 13:24:20.182224	82987	305	3	2
2014-03-29 13:24:20.415938	82988	1120617.8051201345	4	2
2014-03-29 13:24:26.038888	82989	45	2	10
2014-03-29 13:24:26.263505	82990	21.0	1	10
2014-03-29 13:24:32.183703	82991	305	3	2
2014-03-29 13:24:32.418852	82992	1120618.9541548558	4	2
2014-03-29 13:24:36.028659	82993	45	2	8
2014-03-29 13:24:36.24926	82994	20.5	1	8
2014-03-29 13:24:48.455415	82995	48	2	1
2014-03-29 13:24:48.693829	82996	20.0	1	1
2014-03-29 13:24:56.186588	82997	338	3	2
2014-03-29 13:24:56.40868	82998	1120621.2522242987	4	2
2014-03-29 13:25:04.83535	82999	45	2	10
2014-03-29 13:25:05.078091	83000	21.0	1	10
2014-03-29 13:25:08.18437	83001	305	3	2
2014-03-29 13:25:08.406096	83002	1120622.4012590202	4	2
2014-03-29 13:25:15.028689	83003	45	2	8
2014-03-29 13:25:15.261604	83004	20.5	1	8
2014-03-29 13:25:20.184638	83005	305	3	2
2014-03-29 13:25:20.406904	83006	1120623.5502937415	4	2
2014-03-29 13:25:27.45458	83007	48	2	1
2014-03-29 13:25:27.687525	83008	20.0	1	1
2014-03-29 13:25:32.184482	83009	402	3	2
2014-03-29 13:25:32.406133	83010	1120624.699328463	4	2
2014-03-29 13:25:43.833775	83011	45	2	10
2014-03-29 13:25:44.066456	83012	21.0	1	10
2014-03-29 13:25:44.372537	83013	402	3	2
2014-03-29 13:25:44.594582	83014	1120625.8483631844	4	2
2014-03-29 13:25:54.02846	83015	45	2	8
2014-03-29 13:25:54.259334	83016	20.5	1	8
2014-03-29 13:26:06.454283	83017	48	2	1
2014-03-29 13:26:06.676696	83018	20.0	1	1
2014-03-29 13:26:22.837224	83019	45	2	10
2014-03-29 13:26:23.071187	83020	21.0	1	10
2014-03-29 13:26:33.028581	83021	45	2	8
2014-03-29 13:26:33.249531	83022	20.5	1	8
2014-03-29 13:26:45.456721	83023	48	2	1
2014-03-29 13:26:45.691196	83024	20.0	1	1
2014-03-29 13:27:01.833725	83025	45	2	10
2014-03-29 13:27:02.057857	83026	21.0	1	10
2014-03-29 13:27:12.029878	83027	45	2	8
2014-03-29 13:27:12.261536	83028	20.5	1	8
2014-03-29 13:27:24.45516	83029	48	2	1
2014-03-29 13:27:24.67794	83030	20.0	1	1
2014-03-29 13:27:40.833575	83031	45	2	10
2014-03-29 13:27:41.06824	83032	21.0	1	10
2014-03-29 13:27:44.1843	83033	370	3	2
2014-03-29 13:27:44.406009	83034	1120639.6367798415	4	2
2014-03-29 13:27:51.030064	83035	45	2	8
2014-03-29 13:27:51.261587	83036	20.5	1	8
2014-03-29 13:27:56.182711	83037	402	3	2
2014-03-29 13:27:56.407614	83038	1120640.7858145628	4	2
2014-03-29 13:28:03.455462	83039	48	2	1
2014-03-29 13:28:03.687107	83040	20.0	1	1
2014-03-29 13:28:08.186556	83041	370	3	2
2014-03-29 13:28:08.410495	83042	1120641.9348492841	4	2
2014-03-29 13:28:19.835404	83043	45	2	10
2014-03-29 13:28:20.06714	83044	21.0	1	10
2014-03-29 13:28:20.374179	83045	402	3	2
2014-03-29 13:28:20.596175	83046	1120643.0838840057	4	2
2014-03-29 13:28:30.027667	83047	45	2	8
2014-03-29 13:28:30.275341	83048	20.5	1	8
2014-03-29 13:28:32.185482	83049	402	3	2
2014-03-29 13:28:32.406409	83050	1120644.232918727	4	2
2014-03-29 13:28:42.45196	83051	48	2	1
2014-03-29 13:28:42.68368	83052	20.0	1	1
2014-03-29 13:28:44.183407	83053	370	3	2
2014-03-29 13:28:44.407252	83054	1120645.3819534485	4	2
2014-03-29 13:28:56.181657	83055	370	3	2
2014-03-29 13:28:56.41469	83056	1120647.6800228914	4	2
2014-03-29 13:28:58.8341	83057	45	2	10
2014-03-29 13:28:59.058216	83058	21.0	1	10
2014-03-29 13:29:09.027001	83059	45	2	8
2014-03-29 13:29:09.259574	83060	20.5	1	8
2014-03-29 13:29:21.453608	83061	48	2	1
2014-03-29 13:29:21.674428	83062	20.0	1	1
2014-03-29 13:29:32.185755	83063	370	3	2
2014-03-29 13:29:32.419486	83064	1120651.1271270555	4	2
2014-03-29 13:29:37.833486	83065	45	2	10
2014-03-29 13:29:38.058869	83066	21.0	1	10
2014-03-29 13:29:48.027575	83067	45	2	8
2014-03-29 13:29:48.265028	83068	20.5	1	8
2014-03-29 13:30:00.454401	83069	48	2	1
2014-03-29 13:30:00.676632	83070	20.0	1	1
2014-03-29 13:30:08.18495	83071	402	3	2
2014-03-29 13:30:08.416021	83072	1120654.5742312197	4	2
2014-03-29 13:30:16.834673	83073	45	2	10
2014-03-29 13:30:17.056818	83074	21.0	1	10
2014-03-29 13:30:20.182687	83075	370	3	2
2014-03-29 13:30:20.413899	83076	1120655.7232659413	4	2
2014-03-29 13:30:27.029022	83077	45	2	8
2014-03-29 13:30:27.25169	83078	20.5	1	8
2014-03-29 13:30:32.184451	83079	434	3	2
2014-03-29 13:30:32.420464	83080	1120656.8723006626	4	2
2014-03-29 13:30:39.454375	83081	48	2	1
2014-03-29 13:30:39.681079	83082	20.0	1	1
2014-03-29 13:30:44.185489	83083	434	3	2
2014-03-29 13:30:44.417093	83084	1120659.1703701054	4	2
2014-03-29 13:30:55.836447	83085	45	2	10
2014-03-29 13:30:56.05885	83086	21.0	1	10
2014-03-29 13:31:06.028525	83087	45	2	8
2014-03-29 13:31:06.258756	83088	20.5	1	8
2014-03-29 13:31:18.451184	83089	48	2	1
2014-03-29 13:31:18.680331	83090	20.0	1	1
2014-03-29 13:31:32.184916	83091	434	3	2
2014-03-29 13:31:32.417027	83092	1120664.9155437124	4	2
2014-03-29 13:31:34.838741	83093	45	2	10
2014-03-29 13:31:35.063078	83094	21.0	1	10
2014-03-29 13:31:45.027566	83095	45	2	8
2014-03-29 13:31:45.271528	83096	20.5	1	8
2014-03-29 13:31:57.453804	83097	48	2	1
2014-03-29 13:31:57.673956	83098	20.0	1	1
2014-03-29 13:32:08.184615	83099	466	3	2
2014-03-29 13:32:08.416781	83100	1120669.5116825982	4	2
2014-03-29 13:32:13.835826	83101	45	2	10
2014-03-29 13:32:14.063	83102	20.9	1	10
2014-03-29 13:32:20.180751	83103	450	3	2
2014-03-29 13:32:20.413237	83104	1120670.6607173197	4	2
2014-03-29 13:32:24.028881	83105	45	2	8
2014-03-29 13:32:24.251504	83106	20.5	1	8
2014-03-29 13:32:32.180556	83107	450	3	2
2014-03-29 13:32:32.413454	83108	1120671.809752041	4	2
2014-03-29 13:32:36.450992	83109	48	2	1
2014-03-29 13:32:36.67334	83110	20.0	1	1
2014-03-29 13:32:52.835628	83111	45	2	10
2014-03-29 13:32:53.069772	83112	20.9	1	10
2014-03-29 13:33:03.030211	83113	45	2	8
2014-03-29 13:33:03.254056	83114	20.5	1	8
2014-03-29 13:33:15.460482	83115	48	2	1
2014-03-29 13:33:15.69141	83116	20.0	1	1
2014-03-29 13:33:31.836074	83117	45	2	10
2014-03-29 13:33:32.0595	83118	20.9	1	10
2014-03-29 13:33:32.365315	83119	450	3	2
2014-03-29 13:33:32.597169	83120	1120679.852995091	4	2
2014-03-29 13:33:42.027887	83121	45	2	8
2014-03-29 13:33:42.251637	83122	20.5	1	8
2014-03-29 13:33:54.453252	83123	48	2	1
2014-03-29 13:33:54.685396	83124	20.0	1	1
2014-03-29 13:34:10.838592	83125	45	2	10
2014-03-29 13:34:11.059389	83126	20.9	1	10
2014-03-29 13:34:21.028502	83127	45	2	8
2014-03-29 13:34:21.262684	83128	20.5	1	8
2014-03-29 13:34:32.182735	83129	450	3	2
2014-03-29 13:34:32.406885	83130	1120686.7472034195	4	2
2014-03-29 13:34:33.44911	83131	48	2	1
2014-03-29 13:34:33.679989	83132	20.0	1	1
2014-03-29 13:34:49.835995	83133	45	2	10
2014-03-29 13:34:50.058445	83134	20.9	1	10
2014-03-29 13:35:00.027959	83135	45	2	8
2014-03-29 13:35:00.258803	83136	20.5	1	8
2014-03-29 13:35:12.45474	83137	48	2	1
2014-03-29 13:35:12.677621	83138	20.0	1	1
2014-03-29 13:35:28.834973	83139	45	2	10
2014-03-29 13:35:29.065049	83140	20.9	1	10
2014-03-29 13:35:32.182115	83141	434	3	2
2014-03-29 13:35:32.402404	83142	1120694.7904464693	4	2
2014-03-29 13:35:39.028249	83143	45	2	8
2014-03-29 13:35:39.272722	83144	20.5	1	8
2014-03-29 13:35:51.451711	83145	48	2	1
2014-03-29 13:35:51.675184	83146	20.0	1	1
2014-03-29 13:36:07.837851	83147	45	2	10
2014-03-29 13:36:08.070301	83148	20.9	1	10
2014-03-29 13:36:18.029611	83149	45	2	8
2014-03-29 13:36:18.250562	83150	20.5	1	8
2014-03-29 13:36:20.186775	83151	402	3	2
2014-03-29 13:36:20.421292	83152	1120700.5356200763	4	2
2014-03-29 13:36:30.451731	83153	48	2	1
2014-03-29 13:36:30.674518	83154	20.0	1	1
2014-03-29 13:36:32.183978	83155	402	3	2
2014-03-29 13:36:32.41484	83156	1120701.684654798	4	2
2014-03-29 13:36:44.181188	83157	370	3	2
2014-03-29 13:36:44.404229	83158	1120702.8336895192	4	2
2014-03-29 13:36:46.835704	83159	45	2	10
2014-03-29 13:36:47.067496	83160	20.9	1	10
2014-03-29 13:36:57.030144	83161	45	2	8
2014-03-29 13:36:57.252258	83162	20.5	1	8
2014-03-29 13:37:09.451984	83163	48	2	1
2014-03-29 13:37:09.685024	83164	20.0	1	1
2014-03-29 13:37:25.838925	83165	45	2	10
2014-03-29 13:37:26.061297	83166	20.9	1	10
2014-03-29 13:37:32.182491	83167	402	3	2
2014-03-29 13:37:32.415825	83168	1120707.429828405	4	2
2014-03-29 13:37:36.028558	83169	45	2	8
2014-03-29 13:37:36.250186	83170	20.5	1	8
2014-03-29 13:37:44.183279	83171	370	3	2
2014-03-29 13:37:44.417437	83172	1120708.5788631262	4	2
2014-03-29 13:37:48.45276	83173	48	2	1
2014-03-29 13:37:48.682734	83174	20.0	1	1
2014-03-29 13:37:56.183052	83175	370	3	2
2014-03-29 13:37:56.414415	83176	1120709.7278978478	4	2
2014-03-29 13:38:04.836373	83177	45	2	10
2014-03-29 13:38:05.060435	83178	20.9	1	10
2014-03-29 13:38:15.028772	83179	45	2	8
2014-03-29 13:38:15.260384	83180	20.5	1	8
2014-03-29 13:38:27.451952	83181	48	2	1
2014-03-29 13:38:27.675331	83182	20.0	1	1
2014-03-29 13:38:32.1823	83183	402	3	2
2014-03-29 13:38:32.41438	83184	1120714.3240367332	4	2
2014-03-29 13:38:44.040834	83185	45	2	10
2014-03-29 13:38:44.269662	83186	20.9	1	10
2014-03-29 13:38:52.742686	83187	370	3	2
2014-03-29 13:38:52.97381	83188	1120715.4730714548	4	2
2014-03-29 13:38:54.028485	83189	45	2	8
2014-03-29 13:38:54.251801	83190	20.5	1	8
2014-03-29 13:38:56.183368	83191	370	3	2
2014-03-29 13:38:56.426011	83192	1120716.622106176	4	2
2014-03-29 13:39:06.450931	83193	48	2	1
2014-03-29 13:39:06.673395	83194	20.0	1	1
2014-03-29 13:39:22.840098	83195	45	2	10
2014-03-29 13:39:23.073063	83196	20.9	1	10
2014-03-29 13:39:33.027	83197	45	2	8
2014-03-29 13:39:33.253154	83198	20.5	1	8
2014-03-29 13:39:45.450899	83199	48	2	1
2014-03-29 13:39:45.68463	83200	20.0	1	1
2014-03-29 13:40:01.838264	83201	45	2	10
2014-03-29 13:40:02.059634	83202	20.9	1	10
2014-03-29 13:40:12.028208	83203	45	2	8
2014-03-29 13:40:12.260437	83204	20.5	1	8
2014-03-29 13:40:24.492695	83205	48	2	1
2014-03-29 13:40:24.715086	83206	20.0	1	1
2014-03-29 13:40:32.18252	83207	370	3	2
2014-03-29 13:40:32.416612	83208	1120725.8143839475	4	2
2014-03-29 13:40:40.839217	83209	45	2	10
2014-03-29 13:40:41.060812	83210	20.9	1	10
2014-03-29 13:40:44.183277	83211	305	3	2
2014-03-29 13:40:44.416295	83212	1120726.9634186688	4	2
2014-03-29 13:40:51.028233	83213	45	2	8
2014-03-29 13:40:51.251222	83214	20.5	1	8
2014-03-29 13:40:56.181532	83215	338	3	2
2014-03-29 13:40:56.439296	83216	1120728.1124533904	4	2
2014-03-29 13:41:03.445741	83217	48	2	1
2014-03-29 13:41:03.6698	83218	20.0	1	1
2014-03-29 13:41:08.181161	83219	305	3	2
2014-03-29 13:41:08.412271	83220	1120729.2614881117	4	2
2014-03-29 13:41:19.83797	83221	45	2	10
2014-03-29 13:41:20.062891	83222	20.9	1	10
2014-03-29 13:41:20.369551	83223	305	3	2
2014-03-29 13:41:20.603065	83224	1120730.4105228332	4	2
2014-03-29 13:41:30.028992	83225	45	2	8
2014-03-29 13:41:30.251759	83226	20.5	1	8
2014-03-29 13:41:32.181351	83227	338	3	2
2014-03-29 13:41:32.411347	83228	1120731.5595575545	4	2
2014-03-29 13:41:42.445986	83229	48	2	1
2014-03-29 13:41:42.673802	83230	20.0	1	1
2014-03-29 13:41:44.182049	83231	305	3	2
2014-03-29 13:41:44.4137	83232	1120732.708592276	4	2
2014-03-29 13:41:56.181677	83233	305	3	2
2014-03-29 13:41:56.403716	83234	1120733.8576269974	4	2
2014-03-29 13:41:58.837863	83235	45	2	10
2014-03-29 13:41:59.067963	83236	20.9	1	10
2014-03-29 13:42:09.027988	83237	45	2	8
2014-03-29 13:42:09.251239	83238	20.5	1	8
2014-03-29 13:42:20.182547	83239	338	3	2
2014-03-29 13:42:20.426143	83240	1120736.1556964403	4	2
2014-03-29 13:42:21.448202	83241	48	2	1
2014-03-29 13:42:21.669303	83242	20.0	1	1
2014-03-29 13:42:32.181794	83243	305	3	2
2014-03-29 13:42:32.412663	83244	1120737.3047311616	4	2
2014-03-29 13:42:37.842035	83245	45	2	10
2014-03-29 13:42:38.065564	83246	20.9	1	10
2014-03-29 13:42:44.183571	83247	305	3	2
2014-03-29 13:42:44.41563	83248	1120737.3047311616	4	2
2014-03-29 13:42:48.027894	83249	45	2	8
2014-03-29 13:42:48.249444	83250	20.5	1	8
2014-03-29 13:43:00.443631	83251	48	2	1
2014-03-29 13:43:00.675624	83252	20.0	1	1
2014-03-29 13:43:16.840021	83253	45	2	10
2014-03-29 13:43:17.063289	83254	20.9	1	10
2014-03-29 13:43:25.742562	83255	370	3	2
2014-03-29 13:43:26.0107	83256	1120740.751835326	4	2
2014-03-29 13:43:27.029117	83257	45	2	8
2014-03-29 13:43:27.770764	83258	20.5	1	8
2014-03-29 13:43:32.183397	83259	370	3	2
2014-03-29 13:43:32.435545	83260	1120741.9008700473	4	2
2014-03-29 13:43:39.448599	83261	48	2	1
2014-03-29 13:43:39.7054	83262	20.0	1	1
2014-03-29 13:43:55.839939	83263	45	2	10
2014-03-29 13:43:56.258133	83264	20.9	1	10
2014-03-29 13:44:06.028659	83265	45	2	8
2014-03-29 13:44:06.282148	83266	20.5	1	8
2014-03-29 13:44:18.443653	83267	48	2	1
2014-03-29 13:44:18.68061	83268	20.0	1	1
2014-03-29 13:44:32.183904	83269	370	3	2
2014-03-29 13:44:32.405556	83270	1120748.7950783758	4	2
2014-03-29 13:44:34.843168	83271	45	2	10
2014-03-29 13:44:35.079004	83272	20.9	1	10
2014-03-29 13:44:45.02763	83273	45	2	8
2014-03-29 13:44:45.252266	83274	20.5	1	8
2014-03-29 13:44:57.44612	83275	48	2	1
2014-03-29 13:44:57.677377	83276	20.0	1	1
2014-03-29 13:45:13.841013	83277	45	2	10
2014-03-29 13:45:14.063037	83278	20.9	1	10
2014-03-29 13:45:24.027968	83279	45	2	8
2014-03-29 13:45:24.259554	83280	20.5	1	8
2014-03-29 13:45:32.181899	83281	370	3	2
2014-03-29 13:45:32.405908	83282	1120754.5402519829	4	2
2014-03-29 13:45:36.448657	83283	48	2	1
2014-03-29 13:45:36.680092	83284	20.0	1	1
2014-03-29 13:45:52.840168	83285	45	2	10
2014-03-29 13:45:53.062205	83286	20.9	1	10
2014-03-29 13:46:03.027999	83287	45	2	8
2014-03-29 13:46:03.272732	83288	20.5	1	8
2014-03-29 13:46:15.445791	83289	48	2	1
2014-03-29 13:46:15.669732	83290	20.0	1	1
2014-03-29 13:46:31.841481	83291	45	2	10
2014-03-29 13:46:32.073334	83292	20.9	1	10
2014-03-29 13:46:32.379437	83293	354	3	2
2014-03-29 13:46:32.602164	83294	1120759.1408618207	4	2
2014-03-29 13:46:42.028797	83295	45	2	8
2014-03-29 13:46:42.260098	83296	20.5	1	8
2014-03-29 13:46:54.487335	83297	48	2	1
2014-03-29 13:46:54.712991	83298	20.0	1	1
2014-03-29 13:47:10.841669	83299	45	2	10
2014-03-29 13:47:11.074444	83300	20.9	1	10
2014-03-29 13:47:21.028747	83301	45	2	8
2014-03-29 13:47:21.251135	83302	20.5	1	8
2014-03-29 13:47:32.183522	83303	354	3	2
2014-03-29 13:47:32.414724	83304	1120764.886035428	4	2
2014-03-29 13:47:33.442322	83305	48	2	1
2014-03-29 13:47:33.66399	83306	20.0	1	1
2014-03-29 13:47:49.843013	83307	45	2	10
2014-03-29 13:47:50.077391	83308	20.9	1	10
2014-03-29 13:48:00.027652	83309	45	2	8
2014-03-29 13:48:00.251029	83310	20.5	1	8
2014-03-29 13:48:12.444269	83311	48	2	1
2014-03-29 13:48:12.675613	83312	20.0	1	1
2014-03-29 13:48:28.840939	83313	45	2	10
2014-03-29 13:48:29.064621	83314	20.9	1	10
2014-03-29 13:48:32.18236	83315	354	3	2
2014-03-29 13:48:32.41494	83316	1120771.7802437562	4	2
2014-03-29 13:48:39.031486	83317	45	2	8
2014-03-29 13:48:39.254411	83318	20.5	1	8
2014-03-29 13:48:51.440398	83319	48	2	1
2014-03-29 13:48:51.673241	83320	20.0	1	1
2014-03-29 13:49:07.841935	83321	45	2	10
2014-03-29 13:49:08.067177	83322	20.9	1	10
2014-03-29 13:49:08.371632	83323	305	3	2
2014-03-29 13:49:08.603703	83324	1120775.2273479206	4	2
2014-03-29 13:49:18.030492	83325	45	2	8
2014-03-29 13:49:18.251703	83326	20.5	1	8
2014-03-29 13:49:20.182551	83327	338	3	2
2014-03-29 13:49:20.413321	83328	1120776.376382642	4	2
2014-03-29 13:49:30.443942	83329	48	2	1
2014-03-29 13:49:30.665603	83330	20.0	1	1
2014-03-29 13:49:32.183521	83331	305	3	2
2014-03-29 13:49:32.416403	83332	1120777.5254173635	4	2
2014-03-29 13:49:44.183449	83333	305	3	2
2014-03-29 13:49:44.406163	83334	1120778.6744520848	4	2
2014-03-29 13:49:46.840739	83335	45	2	10
2014-03-29 13:49:47.08374	83336	20.9	1	10
2014-03-29 13:49:57.029111	83337	45	2	8
2014-03-29 13:49:57.25145	83338	20.5	1	8
2014-03-29 13:50:09.443687	83339	48	2	1
2014-03-29 13:50:09.674876	83340	20.0	1	1
2014-03-29 13:50:25.842717	83341	45	2	10
2014-03-29 13:50:26.064172	83342	20.9	1	10
2014-03-29 13:50:36.029055	83343	45	2	8
2014-03-29 13:50:36.263464	83344	20.5	1	8
2014-03-29 13:50:44.181437	83345	305	3	2
2014-03-29 13:50:44.404727	83346	1120783.2705909705	4	2
2014-03-29 13:50:48.438415	83347	48	2	1
2014-03-29 13:50:48.670023	83348	20.0	1	1
2014-03-29 13:50:56.182125	83349	305	3	2
2014-03-29 13:50:56.403583	83350	1120784.4196256918	4	2
2014-03-29 13:51:04.839109	83351	45	2	10
2014-03-29 13:51:05.072201	83352	20.9	1	10
2014-03-29 13:51:15.027611	83353	45	2	8
2014-03-29 13:51:15.249916	83354	20.5	1	8
2014-03-29 13:51:27.444705	83355	48	2	1
2014-03-29 13:51:27.67726	83356	20.0	1	1
2014-03-29 13:51:32.180684	83357	338	3	2
2014-03-29 13:51:32.401649	83358	1120787.8667298562	4	2
2014-03-29 13:51:43.880946	83359	45	2	10
2014-03-29 13:51:44.131639	83360	20.9	1	10
2014-03-29 13:51:44.437428	83361	338	3	2
2014-03-29 13:51:44.662215	83362	1120789.0157645775	4	2
2014-03-29 13:51:54.02831	83363	45	2	8
2014-03-29 13:51:54.259172	83364	20.4	1	8
2014-03-29 13:51:56.1821	83365	305	3	2
2014-03-29 13:51:56.404556	83366	1120790.1647992989	4	2
2014-03-29 13:52:06.441344	83367	48	2	1
2014-03-29 13:52:06.676083	83368	20.0	1	1
2014-03-29 13:52:08.181481	83369	305	3	2
2014-03-29 13:52:08.402575	83370	1120791.3138340204	4	2
2014-03-29 13:52:22.841787	83371	45	2	10
2014-03-29 13:52:23.073028	83372	20.9	1	10
2014-03-29 13:52:33.028626	83373	45	2	8
2014-03-29 13:52:33.250774	83374	20.4	1	8
2014-03-29 13:52:44.181776	83375	338	3	2
2014-03-29 13:52:44.417609	83376	1120793.6119034633	4	2
2014-03-29 13:52:45.443254	83377	48	2	1
2014-03-29 13:52:45.665645	83378	20.0	1	1
2014-03-29 13:52:56.181171	83379	305	3	2
2014-03-29 13:52:56.41377	83380	1120794.7609381846	4	2
2014-03-29 13:53:01.843693	83381	45	2	10
2014-03-29 13:53:02.069225	83382	20.9	1	10
2014-03-29 13:53:08.184411	83383	305	3	2
2014-03-29 13:53:08.430476	83384	1120795.909972906	4	2
2014-03-29 13:53:12.027073	83385	45	2	8
2014-03-29 13:53:12.249381	83386	20.4	1	8
2014-03-29 13:53:24.440945	83387	48	2	1
2014-03-29 13:53:24.859137	83388	20.0	1	1
2014-03-29 13:53:32.179177	83389	338	3	2
2014-03-29 13:53:32.401156	83390	1120798.208042349	4	2
2014-03-29 13:53:40.843238	83391	45	2	10
2014-03-29 13:53:41.063339	83392	20.9	1	10
2014-03-29 13:53:44.181362	83393	305	3	2
2014-03-29 13:53:44.409744	83394	1120799.3570770703	4	2
2014-03-29 13:53:51.027684	83395	45	2	8
2014-03-29 13:53:51.248292	83396	20.4	1	8
2014-03-29 13:53:56.182797	83397	305	3	2
2014-03-29 13:53:56.417461	83398	1120800.5061117916	4	2
2014-03-29 13:54:03.439069	83399	48	2	1
2014-03-29 13:54:03.659858	83400	20.0	1	1
2014-03-29 13:54:19.84235	83401	45	2	10
2014-03-29 13:54:20.075273	83402	20.9	1	10
2014-03-29 13:54:30.029956	83403	45	2	8
2014-03-29 13:54:30.251018	83404	20.4	1	8
2014-03-29 13:54:32.183981	83405	305	3	2
2014-03-29 13:54:32.416086	83406	1120802.8041812344	4	2
2014-03-29 13:54:42.441093	83407	48	2	1
2014-03-29 13:54:42.662686	83408	20.0	1	1
2014-03-29 13:54:44.179146	83409	338	3	2
2014-03-29 13:54:44.411607	83410	1120803.953215956	4	2
2014-03-29 13:54:56.183161	83411	305	3	2
2014-03-29 13:54:56.40366	83412	1120805.1022506773	4	2
2014-03-29 13:54:58.841595	83413	45	2	10
2014-03-29 13:54:59.071805	83414	20.9	1	10
2014-03-29 13:55:09.02742	83415	45	2	8
2014-03-29 13:55:09.252643	83416	20.4	1	8
2014-03-29 13:55:20.183682	83417	338	3	2
2014-03-29 13:55:20.418112	83418	1120807.4003201202	4	2
2014-03-29 13:55:21.438207	83419	48	2	1
2014-03-29 13:55:21.660749	83420	20.0	1	1
2014-03-29 13:55:32.181876	83421	305	3	2
2014-03-29 13:55:32.411809	83422	1120808.5493548417	4	2
2014-03-29 13:55:37.843192	83423	45	2	10
2014-03-29 13:55:38.06787	83424	20.9	1	10
2014-03-29 13:55:44.182917	83425	305	3	2
2014-03-29 13:55:44.416558	83426	1120809.698389563	4	2
2014-03-29 13:55:48.029207	83427	45	2	8
2014-03-29 13:55:48.251803	83428	20.4	1	8
2014-03-29 13:56:00.439572	83429	48	2	1
2014-03-29 13:56:00.671975	83430	20.0	1	1
2014-03-29 13:56:08.180683	83431	354	3	2
2014-03-29 13:56:08.404854	83432	1120811.9964590059	4	2
2014-03-29 13:56:16.842154	83433	45	2	10
2014-03-29 13:56:17.084389	83434	20.9	1	10
2014-03-29 13:56:20.184587	83435	354	3	2
2014-03-29 13:56:20.409409	83436	1120813.1454937272	4	2
2014-03-29 13:56:27.02785	83437	45	2	8
2014-03-29 13:56:27.258767	83438	20.4	1	8
2014-03-29 13:56:32.183112	83439	370	3	2
2014-03-29 13:56:32.414689	83440	1120814.2945284487	4	2
2014-03-29 13:56:39.438506	83441	48	2	1
2014-03-29 13:56:39.670142	83442	20.0	1	1
2014-03-29 13:56:55.842741	83443	45	2	10
2014-03-29 13:56:56.0637	83444	20.9	1	10
2014-03-29 13:57:06.027758	83445	45	2	8
2014-03-29 13:57:06.258513	83446	20.4	1	8
2014-03-29 13:57:18.439837	83447	48	2	1
2014-03-29 13:57:18.682388	83448	20.0	1	1
2014-03-29 13:57:32.179774	83449	370	3	2
2014-03-29 13:57:32.410021	83450	1120820.0397020557	4	2
2014-03-29 13:57:34.844271	83451	45	2	10
2014-03-29 13:57:35.065207	83452	20.8	1	10
2014-03-29 13:57:45.027669	83453	45	2	8
2014-03-29 13:57:45.263413	83454	20.4	1	8
2014-03-29 13:57:57.437174	83455	48	2	1
2014-03-29 13:57:57.659876	83456	20.0	1	1
2014-03-29 13:58:13.845375	83457	45	2	10
2014-03-29 13:58:14.132751	83458	20.8	1	10
2014-03-29 13:58:24.029012	83459	45	2	8
2014-03-29 13:58:24.250628	83460	20.4	1	8
2014-03-29 13:58:32.182222	83461	370	3	2
2014-03-29 13:58:32.413865	83462	1120825.7848756628	4	2
2014-03-29 13:58:36.435971	83463	48	2	1
2014-03-29 13:58:36.658076	83464	20.0	1	1
2014-03-29 13:58:52.843531	83465	45	2	10
2014-03-29 13:58:53.075718	83466	20.8	1	10
2014-03-29 13:59:03.028726	83467	45	2	8
2014-03-29 13:59:03.249902	83468	20.4	1	8
2014-03-29 13:59:15.436445	83469	48	2	1
2014-03-29 13:59:15.667229	83470	20.0	1	1
2014-03-29 13:59:31.843539	83471	45	2	10
2014-03-29 13:59:32.066951	83472	20.8	1	10
2014-03-29 13:59:40.742513	83473	354	3	2
2014-03-29 13:59:40.97848	83474	1120831.53004927	4	2
2014-03-29 13:59:42.029405	83475	45	2	8
2014-03-29 13:59:42.250737	83476	20.4	1	8
2014-03-29 13:59:54.434657	83477	48	2	1
2014-03-29 13:59:54.667087	83478	20.0	1	1
2014-03-29 14:00:10.84313	83479	45	2	10
2014-03-29 14:00:11.066665	83480	20.8	1	10
2014-03-29 14:00:21.027644	83481	45	2	8
2014-03-29 14:00:21.271719	83482	20.4	1	8
2014-03-29 14:00:32.184291	83483	370	3	2
2014-03-29 14:00:32.404753	83484	1120837.275222877	4	2
2014-03-29 14:00:33.439304	83485	48	2	1
2014-03-29 14:00:33.670839	83486	20.0	1	1
2014-03-29 14:00:49.844935	83487	45	2	10
2014-03-29 14:00:50.071099	83488	20.8	1	10
2014-03-29 14:01:00.028024	83489	45	2	8
2014-03-29 14:01:00.26111	83490	20.4	1	8
2014-03-29 14:01:08.182022	83491	305	3	2
2014-03-29 14:01:08.405407	83492	1120840.7223270412	4	2
2014-03-29 14:01:12.435745	83493	48	2	1
2014-03-29 14:01:12.666381	83494	20.0	1	1
2014-03-29 14:01:20.180488	83495	305	3	2
2014-03-29 14:01:20.403167	83496	1120841.8713617628	4	2
2014-03-29 14:01:28.84478	83497	45	2	10
2014-03-29 14:01:29.074708	83498	20.8	1	10
2014-03-29 14:01:32.181589	83499	305	3	2
2014-03-29 14:01:32.403953	83500	1120843.020396484	4	2
2014-03-29 14:01:39.028635	83501	45	2	8
2014-03-29 14:01:39.259074	83502	20.4	1	8
2014-03-29 14:01:51.437069	83503	48	2	1
2014-03-29 14:01:51.660066	83504	20.0	1	1
2014-03-29 14:02:07.84602	83505	45	2	10
2014-03-29 14:02:08.076993	83506	20.8	1	10
2014-03-29 14:02:18.026738	83507	45	2	8
2014-03-29 14:02:18.248927	83508	20.4	1	8
2014-03-29 14:02:30.432953	83509	48	2	1
2014-03-29 14:02:30.665114	83510	20.0	1	1
2014-03-29 14:02:32.183133	83511	305	3	2
2014-03-29 14:02:32.403272	83512	1120848.765570091	4	2
2014-03-29 14:02:46.842841	83513	45	2	10
2014-03-29 14:02:47.096357	83514	20.8	1	10
2014-03-29 14:02:57.028217	83515	45	2	8
2014-03-29 14:02:57.248793	83516	20.4	1	8
2014-03-29 14:03:09.433113	83517	48	2	1
2014-03-29 14:03:09.664378	83518	20.0	1	1
2014-03-29 14:03:25.845834	83519	45	2	10
2014-03-29 14:03:26.066672	83520	20.8	1	10
2014-03-29 14:03:32.183652	83521	305	3	2
2014-03-29 14:03:32.414954	83522	1120853.3617089768	4	2
2014-03-29 14:03:36.028102	83523	45	2	8
2014-03-29 14:03:36.249737	83524	20.4	1	8
2014-03-29 14:03:48.431389	83525	49	2	1
2014-03-29 14:03:48.663771	83526	19.9	1	1
2014-03-29 14:04:04.845788	83527	45	2	10
2014-03-29 14:04:05.066135	83528	20.8	1	10
2014-03-29 14:04:15.028132	83529	45	2	8
2014-03-29 14:04:15.270656	83530	20.4	1	8
2014-03-29 14:04:27.428592	83531	49	2	1
2014-03-29 14:04:27.649569	83532	19.9	1	1
2014-03-29 14:04:32.175196	83533	305	3	2
2014-03-29 14:04:32.406247	83534	1120859.1068825838	4	2
2014-03-29 14:04:43.842369	83535	45	2	10
2014-03-29 14:04:44.066877	83536	20.8	1	10
2014-03-29 14:04:54.028666	83537	45	2	8
2014-03-29 14:04:54.26339	83538	20.4	1	8
2014-03-29 14:05:06.432302	83539	49	2	1
2014-03-29 14:05:06.653126	83540	19.9	1	1
2014-03-29 14:05:22.845478	83541	45	2	10
2014-03-29 14:05:23.0783	83542	20.8	1	10
2014-03-29 14:05:33.02792	83543	45	2	8
2014-03-29 14:05:33.25201	83544	20.4	1	8
2014-03-29 14:05:45.429835	83545	49	2	1
2014-03-29 14:05:45.66233	83546	19.9	1	1
2014-03-29 14:06:01.846296	83547	45	2	10
2014-03-29 14:06:02.066172	83548	20.8	1	10
2014-03-29 14:06:12.026836	83549	45	2	8
2014-03-29 14:06:12.259791	83550	20.4	1	8
2014-03-29 14:06:24.433106	83551	49	2	1
2014-03-29 14:06:24.653792	83552	19.9	1	1
2014-03-29 14:06:32.181968	83553	305	3	2
2014-03-29 14:06:32.415136	83554	1120869.4481950765	4	2
2014-03-29 14:06:40.847513	83555	45	2	10
2014-03-29 14:06:41.070225	83556	20.8	1	10
2014-03-29 14:06:51.027545	83557	45	2	8
2014-03-29 14:06:51.258901	83558	20.4	1	8
2014-03-29 14:07:03.433936	83559	49	2	1
2014-03-29 14:07:03.65642	83560	19.9	1	1
2014-03-29 14:07:19.846217	83561	45	2	10
2014-03-29 14:07:20.083827	83562	20.8	1	10
2014-03-29 14:07:30.027467	83563	45	2	8
2014-03-29 14:07:30.250259	83564	20.4	1	8
2014-03-29 14:07:32.179824	83565	305	3	2
2014-03-29 14:07:32.410715	83566	1120874.0443339623	4	2
2014-03-29 14:07:42.432469	83567	49	2	1
2014-03-29 14:07:42.658965	83568	19.9	1	1
2014-03-29 14:07:44.181813	83569	354	3	2
2014-03-29 14:07:44.471454	83570	1120875.1933686836	4	2
2014-03-29 14:07:56.181133	83571	354	3	2
2014-03-29 14:07:56.405117	83572	1120876.342403405	4	2
2014-03-29 14:07:58.847861	83573	45	2	10
2014-03-29 14:07:59.080435	83574	20.8	1	10
2014-03-29 14:08:09.02747	83575	45	2	8
2014-03-29 14:08:09.250927	83576	20.4	1	8
2014-03-29 14:08:21.429953	83577	49	2	1
2014-03-29 14:08:21.674834	83578	19.9	1	1
2014-03-29 14:08:32.181375	83579	354	3	2
2014-03-29 14:08:32.403075	83580	1120879.7895075693	4	2
2014-03-29 14:08:37.846004	83581	45	2	10
2014-03-29 14:08:38.080604	83582	20.8	1	10
2014-03-29 14:08:48.026506	83583	45	2	8
2014-03-29 14:08:48.246147	83584	20.4	1	8
2014-03-29 14:09:00.430188	83585	49	2	1
2014-03-29 14:09:00.663028	83586	19.9	1	1
2014-03-29 14:09:16.848932	83587	45	2	10
2014-03-29 14:09:17.069516	83588	20.8	1	10
2014-03-29 14:09:27.02653	83589	45	2	8
2014-03-29 14:09:27.258586	83590	20.4	1	8
2014-03-29 14:09:32.180248	83591	354	3	2
2014-03-29 14:09:32.406156	83592	1120885.5346811763	4	2
2014-03-29 14:09:39.430787	83593	49	2	1
2014-03-29 14:09:39.663855	83594	19.9	1	1
2014-03-29 14:09:55.848059	83595	45	2	10
2014-03-29 14:09:56.070357	83596	20.8	1	10
2014-03-29 14:10:06.029459	83597	45	2	8
2014-03-29 14:10:06.260259	83598	20.4	1	8
2014-03-29 14:10:18.432097	83599	49	2	1
2014-03-29 14:10:18.654086	83600	19.9	1	1
2014-03-29 14:10:32.181788	83601	354	3	2
2014-03-29 14:10:32.413188	83602	1120892.4288895049	4	2
2014-03-29 14:10:34.848661	83603	45	2	10
2014-03-29 14:10:35.073603	83604	20.8	1	10
2014-03-29 14:10:45.029022	83605	45	2	8
2014-03-29 14:10:45.259298	83606	20.4	1	8
2014-03-29 14:10:57.430666	83607	49	2	1
2014-03-29 14:10:57.652974	83608	19.9	1	1
2014-03-29 14:11:13.849199	83609	45	2	10
2014-03-29 14:11:14.081973	83610	20.8	1	10
2014-03-29 14:11:24.027798	83611	45	2	8
2014-03-29 14:11:24.249921	83612	20.4	1	8
2014-03-29 14:11:32.182049	83613	370	3	2
2014-03-29 14:11:32.413355	83614	1120898.174063112	4	2
2014-03-29 14:11:36.430287	83615	49	2	1
2014-03-29 14:11:36.651116	83616	19.9	1	1
2014-03-29 14:11:52.849563	83617	45	2	10
2014-03-29 14:11:53.081864	83618	20.8	1	10
2014-03-29 14:12:03.028122	83619	45	2	8
2014-03-29 14:12:03.252725	83620	20.4	1	8
2014-03-29 14:12:15.431599	83621	49	2	1
2014-03-29 14:12:15.665262	83622	19.9	1	1
2014-03-29 14:12:31.84742	83623	45	2	10
2014-03-29 14:12:32.070754	83624	20.8	1	10
2014-03-29 14:12:32.375876	83625	45	2	10
2014-03-29 14:12:32.619428	83626	20.8	1	10
2014-03-29 14:12:32.925058	83627	354	3	2
2014-03-29 14:12:33.145951	83628	1120903.9192367191	4	2
2014-03-29 14:12:42.027401	83629	45	2	8
2014-03-29 14:12:42.258671	83630	20.4	1	8
2014-03-29 14:12:54.431832	83631	49	2	1
2014-03-29 14:12:54.655631	83632	19.9	1	1
2014-03-29 14:13:10.84886	83633	45	2	10
2014-03-29 14:13:11.079227	83634	20.8	1	10
2014-03-29 14:13:21.027879	83635	45	2	8
2014-03-29 14:13:21.247831	83636	20.4	1	8
2014-03-29 14:13:32.17895	83637	305	3	2
2014-03-29 14:13:32.410069	83638	1120909.6644103262	4	2
2014-03-29 14:13:33.428019	83639	49	2	1
2014-03-29 14:13:33.650335	83640	19.9	1	1
2014-03-29 14:13:44.180986	83641	305	3	2
2014-03-29 14:13:44.414669	83642	1120910.8134450475	4	2
2014-03-29 14:13:49.848312	83643	45	2	10
2014-03-29 14:13:50.074288	83644	20.8	1	10
2014-03-29 14:14:00.027558	83645	45	2	8
2014-03-29 14:14:00.258089	83646	20.4	1	8
2014-03-29 14:14:12.424768	83647	49	2	1
2014-03-29 14:14:12.647193	83648	19.9	1	1
2014-03-29 14:14:28.850745	83649	45	2	10
2014-03-29 14:14:29.08231	83650	20.8	1	10
2014-03-29 14:14:39.028564	83651	45	2	8
2014-03-29 14:14:39.250099	83652	20.4	1	8
2014-03-29 14:14:51.430381	83653	49	2	1
2014-03-29 14:14:51.661819	83654	19.9	1	1
2014-03-29 14:15:07.850622	83655	45	2	10
2014-03-29 14:15:08.070722	83656	20.8	1	10
2014-03-29 14:15:18.02741	83657	45	2	8
2014-03-29 14:15:18.256686	83658	20.4	1	8
2014-03-29 14:15:30.429765	83659	49	2	1
2014-03-29 14:15:30.651692	83660	19.9	1	1
2014-03-29 14:15:32.177935	83661	305	3	2
2014-03-29 14:15:32.410257	83662	1120920.005722819	4	2
2014-03-29 14:15:46.850293	83663	45	2	10
2014-03-29 14:15:47.074295	83664	20.8	1	10
2014-03-29 14:15:57.029985	83665	45	2	8
2014-03-29 14:15:57.261165	83666	20.4	1	8
2014-03-29 14:16:09.427212	83667	49	2	1
2014-03-29 14:16:09.649945	83668	19.9	1	1
2014-03-29 14:16:20.181483	83669	338	3	2
2014-03-29 14:16:20.413266	83670	1120924.6018617046	4	2
2014-03-29 14:16:25.84921	83671	45	2	10
2014-03-29 14:16:26.073786	83672	20.8	1	10
2014-03-29 14:16:32.182019	83673	305	3	2
2014-03-29 14:16:32.425314	83674	1120924.6018617046	4	2
2014-03-29 14:16:36.02932	83675	45	2	8
2014-03-29 14:16:36.252517	83676	20.4	1	8
2014-03-29 14:16:44.182555	83677	305	3	2
2014-03-29 14:16:44.413805	83678	1120925.750896426	4	2
2014-03-29 14:16:48.424706	83679	49	2	1
2014-03-29 14:16:48.646491	83680	19.9	1	1
2014-03-29 14:17:04.84883	83681	45	2	10
2014-03-29 14:17:05.079937	83682	20.8	1	10
2014-03-29 14:17:15.027895	83683	45	2	8
2014-03-29 14:17:15.251105	83684	20.4	1	8
2014-03-29 14:17:27.426586	83685	49	2	1
2014-03-29 14:17:27.657679	83686	19.9	1	1
2014-03-29 14:17:32.179862	83687	305	3	2
2014-03-29 14:17:32.402921	83688	1120930.3470353116	4	2
2014-03-29 14:17:43.85063	83689	45	2	10
2014-03-29 14:17:44.083742	83690	20.8	1	10
2014-03-29 14:17:54.027216	83691	45	2	8
2014-03-29 14:17:54.248961	83692	20.4	1	8
2014-03-29 14:18:06.426941	83693	49	2	1
2014-03-29 14:18:06.659143	83694	19.9	1	1
2014-03-29 14:18:22.850582	83695	45	2	10
2014-03-29 14:18:23.072879	83696	20.8	1	10
2014-03-29 14:18:33.028005	83697	45	2	8
2014-03-29 14:18:33.259616	83698	20.4	1	8
2014-03-29 14:18:45.42522	83699	49	2	1
2014-03-29 14:18:45.649069	83700	19.9	1	1
2014-03-29 14:19:01.849016	83701	45	2	10
2014-03-29 14:19:02.081514	83702	20.8	1	10
2014-03-29 14:19:12.026827	83703	45	2	8
2014-03-29 14:19:12.249428	83704	20.4	1	8
2014-03-29 14:19:24.425559	83705	49	2	1
2014-03-29 14:19:24.65866	83706	19.9	1	1
2014-03-29 14:19:32.182005	83707	289	3	2
2014-03-29 14:19:32.404374	83708	1120940.6883478044	4	2
2014-03-29 14:19:40.854013	83709	45	2	10
2014-03-29 14:19:41.084692	83710	20.8	1	10
2014-03-29 14:19:51.02734	83711	45	2	8
2014-03-29 14:19:51.248134	83712	20.4	1	8
2014-03-29 14:20:03.423391	83713	49	2	1
2014-03-29 14:20:03.654989	83714	19.9	1	1
2014-03-29 14:20:19.852394	83715	45	2	10
2014-03-29 14:20:20.081099	83716	20.8	1	10
2014-03-29 14:20:20.385387	83717	338	3	2
2014-03-29 14:20:20.618013	83718	1120944.1354519685	4	2
2014-03-29 14:20:30.027526	83719	45	2	8
2014-03-29 14:20:30.250217	83720	20.4	1	8
2014-03-29 14:20:32.179859	83721	338	3	2
2014-03-29 14:20:32.443863	83722	1120945.28448669	4	2
2014-03-29 14:20:42.42119	83723	49	2	1
2014-03-29 14:20:42.64324	83724	19.9	1	1
2014-03-29 14:20:58.850297	83725	45	2	10
2014-03-29 14:20:59.083296	83726	20.8	1	10
2014-03-29 14:21:09.028659	83727	45	2	8
2014-03-29 14:21:09.250383	83728	20.4	1	8
2014-03-29 14:21:21.421176	83729	49	2	1
2014-03-29 14:21:21.652929	83730	19.9	1	1
2014-03-29 14:21:32.181021	83731	338	3	2
2014-03-29 14:21:32.404057	83732	1120951.029660297	4	2
2014-03-29 14:21:37.8514	83733	45	2	10
2014-03-29 14:21:38.089202	83734	20.8	1	10
2014-03-29 14:21:48.02873	83735	45	2	8
2014-03-29 14:21:48.252261	83736	20.4	1	8
2014-03-29 14:22:00.424257	83737	49	2	1
2014-03-29 14:22:00.655998	83738	19.9	1	1
2014-03-29 14:22:16.85116	83739	45	2	10
2014-03-29 14:22:17.073498	83740	20.8	1	10
2014-03-29 14:22:27.027932	83741	45	2	8
2014-03-29 14:22:27.261324	83742	20.4	1	8
2014-03-29 14:22:32.181331	83743	338	3	2
2014-03-29 14:22:32.411138	83744	1120956.774833904	4	2
2014-03-29 14:22:39.421959	83745	49	2	1
2014-03-29 14:22:39.657013	83746	19.9	1	1
2014-03-29 14:22:44.180738	83747	370	3	2
2014-03-29 14:22:44.403863	83748	1120957.9238686257	4	2
2014-03-29 14:22:55.853787	83749	45	2	10
2014-03-29 14:22:56.086007	83750	20.8	1	10
2014-03-29 14:22:56.392065	83751	370	3	2
2014-03-29 14:22:56.613726	83752	1120959.072903347	4	2
2014-03-29 14:23:06.027547	83753	45	2	8
2014-03-29 14:23:06.260256	83754	20.4	1	8
2014-03-29 14:23:18.422809	83755	49	2	1
2014-03-29 14:23:18.645726	83756	19.9	1	1
2014-03-29 14:23:34.851858	83757	45	2	10
2014-03-29 14:23:35.085002	83758	20.8	1	10
2014-03-29 14:23:45.032736	83759	45	2	8
2014-03-29 14:23:45.2568	83760	20.4	1	8
2014-03-29 14:23:56.180082	83761	434	3	2
2014-03-29 14:23:56.412783	83762	1120967.1161463968	4	2
2014-03-29 14:23:57.419507	83763	49	2	1
2014-03-29 14:23:57.643025	83764	19.9	1	1
2014-03-29 14:24:13.852116	83765	45	2	10
2014-03-29 14:24:14.084709	83766	20.7	1	10
2014-03-29 14:24:24.028064	83767	45	2	8
2014-03-29 14:24:24.251643	83768	20.4	1	8
2014-03-29 14:24:32.179516	83769	434	3	2
2014-03-29 14:24:32.422707	83770	1120970.563250561	4	2
2014-03-29 14:24:36.42243	83771	49	2	1
2014-03-29 14:24:36.644984	83772	19.9	1	1
2014-03-29 14:24:52.849544	83773	45	2	10
2014-03-29 14:24:53.080844	83774	20.7	1	10
2014-03-29 14:25:03.02741	83775	45	2	8
2014-03-29 14:25:03.250011	83776	20.4	1	8
2014-03-29 14:25:15.42189	83777	49	2	1
2014-03-29 14:25:15.656745	83778	19.9	1	1
2014-03-29 14:25:31.852652	83779	45	2	10
2014-03-29 14:25:32.074564	83780	20.7	1	10
2014-03-29 14:25:32.379329	83781	402	3	2
2014-03-29 14:25:32.611147	83782	1120978.6064936111	4	2
2014-03-29 14:25:42.027601	83783	45	2	8
2014-03-29 14:25:42.250124	83784	20.4	1	8
2014-03-29 14:25:44.180373	83785	370	3	2
2014-03-29 14:25:44.411769	83786	1120979.7555283324	4	2
2014-03-29 14:25:54.418861	83787	49	2	1
2014-03-29 14:25:54.643162	83788	19.9	1	1
2014-03-29 14:26:08.041635	83789	370	3	2
2014-03-29 14:26:08.272945	83790	1120980.9045630537	4	2
2014-03-29 14:26:08.579353	83791	402	3	2
2014-03-29 14:26:08.800862	83792	1120982.0535977753	4	2
2014-03-29 14:26:10.851751	83793	45	2	10
2014-03-29 14:26:11.085545	83794	20.7	1	10
2014-03-29 14:26:21.029867	83795	45	2	8
2014-03-29 14:26:21.2506	83796	20.4	1	8
2014-03-29 14:26:32.18197	83797	370	3	2
2014-03-29 14:26:32.417077	83798	1120984.3516672181	4	2
2014-03-29 14:26:33.419108	83799	49	2	1
2014-03-29 14:26:33.639636	83800	19.9	1	1
2014-03-29 14:26:49.85259	83801	45	2	10
2014-03-29 14:26:50.090593	83802	20.7	1	10
2014-03-29 14:26:56.181334	83803	402	3	2
2014-03-29 14:26:56.402866	83804	1120986.649736661	4	2
2014-03-29 14:27:00.028645	83805	45	2	8
2014-03-29 14:27:00.261014	83806	20.4	1	8
2014-03-29 14:27:08.181822	83807	370	3	2
2014-03-29 14:27:08.404409	83808	1120987.7987713823	4	2
2014-03-29 14:27:12.420298	83809	49	2	1
2014-03-29 14:27:12.650263	83810	19.9	1	1
2014-03-29 14:27:20.181097	83811	402	3	2
2014-03-29 14:27:20.404637	83812	1120990.0968408252	4	2
2014-03-29 14:27:28.850122	83813	45	2	10
2014-03-29 14:27:29.082976	83814	20.7	1	10
2014-03-29 14:27:32.180013	83815	402	3	2
2014-03-29 14:27:32.401771	83816	1120991.2458755465	4	2
2014-03-29 14:27:39.027913	83817	45	2	8
2014-03-29 14:27:39.273738	83818	20.4	1	8
2014-03-29 14:27:51.229963	83819	370	3	2
2014-03-29 14:27:51.453408	83820	1120992.394910268	4	2
2014-03-29 14:27:51.761536	83821	49	2	1
2014-03-29 14:27:51.991554	83822	19.9	1	1
2014-03-29 14:27:56.180313	83823	370	3	2
2014-03-29 14:27:56.403489	83824	1120993.5439449893	4	2
2014-03-29 14:28:07.850452	83825	45	2	10
2014-03-29 14:28:08.08358	83826	20.7	1	10
2014-03-29 14:28:18.026408	83827	45	2	8
2014-03-29 14:28:18.248254	83828	20.4	1	8
2014-03-29 14:28:30.421492	83829	49	2	1
2014-03-29 14:28:30.653441	83830	19.9	1	1
2014-03-29 14:28:32.179736	83831	370	3	2
2014-03-29 14:28:32.403364	83832	1120996.9910491537	4	2
2014-03-29 14:28:46.854207	83833	45	2	10
2014-03-29 14:28:47.085041	83834	20.7	1	10
2014-03-29 14:28:57.026905	83835	45	2	8
2014-03-29 14:28:57.250162	83836	20.4	1	8
2014-03-29 14:29:09.418542	83837	49	2	1
2014-03-29 14:29:09.650967	83838	19.9	1	1
2014-03-29 14:29:25.854492	83839	45	2	10
2014-03-29 14:29:26.077843	83840	20.7	1	10
2014-03-29 14:29:32.180066	83841	370	3	2
2014-03-29 14:29:32.412487	83842	1121003.885257482	4	2
2014-03-29 14:29:36.027833	83843	45	2	8
2014-03-29 14:29:36.249595	83844	20.4	1	8
2014-03-29 14:29:48.419765	83845	49	2	1
2014-03-29 14:29:48.655419	83846	19.9	1	1
2014-03-29 14:30:04.655959	83847	402	3	2
2014-03-29 14:30:04.87879	83848	1121006.183326925	4	2
2014-03-29 14:30:05.180976	83849	45	2	10
2014-03-29 14:30:05.425539	83850	20.7	1	10
2014-03-29 14:30:08.181422	83851	370	3	2
2014-03-29 14:30:08.403635	83852	1121007.3323616465	4	2
2014-03-29 14:30:15.065809	83853	45	2	8
2014-03-29 14:30:15.316219	83854	20.4	1	8
2014-03-29 14:30:20.179582	83855	370	3	2
2014-03-29 14:30:20.40641	83856	1121008.4813963678	4	2
2014-03-29 14:30:27.417707	83857	49	2	1
2014-03-29 14:30:27.651067	83858	19.9	1	1
2014-03-29 14:30:32.180265	83859	370	3	2
2014-03-29 14:30:32.401851	83860	1121009.6304310893	4	2
2014-03-29 14:30:43.854354	83861	45	2	10
2014-03-29 14:30:44.08722	83862	20.7	1	10
2014-03-29 14:30:54.028122	83863	45	2	8
2014-03-29 14:30:54.249276	83864	20.4	1	8
2014-03-29 14:31:06.41603	83865	49	2	1
2014-03-29 14:31:06.659457	83866	19.9	1	1
2014-03-29 14:31:22.854348	83867	45	2	10
2014-03-29 14:31:23.077054	83868	20.7	1	10
2014-03-29 14:31:33.028703	83869	45	2	8
2014-03-29 14:31:33.262117	83870	20.4	1	8
2014-03-29 14:31:45.420243	83871	49	2	1
2014-03-29 14:31:45.64361	83872	19.9	1	1
2014-03-29 14:32:01.853107	83873	45	2	10
2014-03-29 14:32:02.085527	83874	20.7	1	10
2014-03-29 14:32:08.178138	83875	434	3	2
2014-03-29 14:32:08.398893	83876	1121019.971743582	4	2
2014-03-29 14:32:12.027111	83877	45	2	8
2014-03-29 14:32:12.259657	83878	20.4	1	8
2014-03-29 14:32:20.181957	83879	434	3	2
2014-03-29 14:32:20.408681	83880	1121021.1207783034	4	2
2014-03-29 14:32:24.418679	83881	49	2	1
2014-03-29 14:32:24.649498	83882	19.9	1	1
2014-03-29 14:32:32.181941	83883	434	3	2
2014-03-29 14:32:32.403776	83884	1121022.269813025	4	2
2014-03-29 14:32:40.852069	83885	45	2	10
2014-03-29 14:32:41.085141	83886	20.7	1	10
2014-03-29 14:32:51.027604	83887	45	2	8
2014-03-29 14:32:51.250986	83888	20.4	1	8
2014-03-29 14:33:03.418522	83889	49	2	1
2014-03-29 14:33:03.650395	83890	19.9	1	1
2014-03-29 14:33:19.852195	83891	45	2	10
2014-03-29 14:33:20.075303	83892	20.7	1	10
2014-03-29 14:33:30.027196	83893	45	2	8
2014-03-29 14:33:30.258785	83894	20.4	1	8
2014-03-29 14:33:32.179204	83895	434	3	2
2014-03-29 14:33:32.40284	83896	1121029.1640213532	4	2
2014-03-29 14:33:42.417962	83897	49	2	1
2014-03-29 14:33:42.650826	83898	19.9	1	1
2014-03-29 14:33:58.85424	83899	45	2	10
2014-03-29 14:33:59.075422	83900	20.7	1	10
2014-03-29 14:34:09.026703	83901	45	2	8
2014-03-29 14:34:09.259061	83902	20.4	1	8
2014-03-29 14:34:21.417391	83903	49	2	1
2014-03-29 14:34:21.642781	83904	19.9	1	1
2014-03-29 14:34:32.179726	83905	434	3	2
2014-03-29 14:34:32.411377	83906	1121037.207264403	4	2
2014-03-29 14:34:37.85372	83907	45	2	10
2014-03-29 14:34:38.078524	83908	20.7	1	10
2014-03-29 14:34:48.026145	83909	45	2	8
2014-03-29 14:34:48.25894	83910	20.4	1	8
2014-03-29 14:35:00.413501	83911	49	2	1
2014-03-29 14:35:00.636331	83912	19.9	1	1
2014-03-29 14:35:16.853668	83913	45	2	10
2014-03-29 14:35:17.096975	83914	20.7	1	10
2014-03-29 14:35:27.028449	83915	45	2	8
2014-03-29 14:35:27.251437	83916	20.4	1	8
2014-03-29 14:35:32.179273	83917	434	3	2
2014-03-29 14:35:32.414852	83918	1121044.1014727317	4	2
2014-03-29 14:35:39.415768	83919	49	2	1
2014-03-29 14:35:39.638673	83920	19.9	1	1
2014-03-29 14:35:55.857084	83921	45	2	10
2014-03-29 14:35:56.091825	83922	20.7	1	10
2014-03-29 14:36:06.035286	83923	45	2	8
2014-03-29 14:36:06.257842	83924	20.4	1	8
2014-03-29 14:36:18.413196	83925	49	2	1
2014-03-29 14:36:18.644842	83926	19.9	1	1
2014-03-29 14:36:32.181349	83927	418	3	2
2014-03-29 14:36:32.404093	83928	1121049.851117291	4	2
2014-03-29 14:36:34.854545	83929	45	2	10
2014-03-29 14:36:35.086318	83930	20.7	1	10
2014-03-29 14:36:45.027344	83931	45	2	8
2014-03-29 14:36:45.274104	83932	20.4	1	8
2014-03-29 14:36:57.412397	83933	49	2	1
2014-03-29 14:36:57.64426	83934	19.9	1	1
2014-03-29 14:37:13.853127	83935	45	2	10
2014-03-29 14:37:14.075956	83936	20.7	1	10
2014-03-29 14:37:24.029955	83937	45	2	8
2014-03-29 14:37:24.262856	83938	20.4	1	8
2014-03-29 14:37:32.178408	83939	370	3	2
2014-03-29 14:37:32.400453	83940	1121056.7453256194	4	2
2014-03-29 14:37:36.413312	83941	49	2	1
2014-03-29 14:37:36.644893	83942	19.9	1	1
2014-03-29 14:37:44.181997	83943	370	3	2
2014-03-29 14:37:44.406695	83944	1121059.0433950622	4	2
2014-03-29 14:37:52.856124	83945	45	2	10
2014-03-29 14:37:53.087325	83946	20.7	1	10
2014-03-29 14:38:03.027339	83947	45	2	8
2014-03-29 14:38:03.250198	83948	20.4	1	8
2014-03-29 14:38:15.456514	83949	49	2	1
2014-03-29 14:38:15.688551	83950	19.9	1	1
2014-03-29 14:38:31.854736	83951	45	2	10
2014-03-29 14:38:32.080622	83952	20.7	1	10
2014-03-29 14:38:32.389996	83953	354	3	2
2014-03-29 14:38:32.623001	83954	1121063.639533948	4	2
2014-03-29 14:38:42.028791	83955	45	2	8
2014-03-29 14:38:42.255989	83956	20.4	1	8
2014-03-29 14:38:54.41599	83957	49	2	1
2014-03-29 14:38:54.647568	83958	19.9	1	1
2014-03-29 14:39:08.178535	83959	305	3	2
2014-03-29 14:39:08.402797	83960	1121067.086638112	4	2
2014-03-29 14:39:10.853826	83961	45	2	10
2014-03-29 14:39:11.098139	83962	20.7	1	10
2014-03-29 14:39:21.031913	83963	45	2	8
2014-03-29 14:39:21.255632	83964	20.3	1	8
2014-03-29 14:39:32.17962	83965	305	3	2
2014-03-29 14:39:32.414777	83966	1121069.384707555	4	2
2014-03-29 14:39:33.413656	83967	49	2	1
2014-03-29 14:39:33.636061	83968	19.9	1	1
2014-03-29 14:39:49.853506	83969	45	2	10
2014-03-29 14:39:50.086298	83970	20.6	1	10
2014-03-29 14:40:00.026808	83971	45	2	8
2014-03-29 14:40:00.248789	83972	20.3	1	8
2014-03-29 14:40:12.412039	83973	49	2	1
2014-03-29 14:40:12.648688	83974	19.8	1	1
2014-03-29 14:40:28.854057	83975	45	2	10
2014-03-29 14:40:29.075618	83976	20.6	1	10
2014-03-29 14:40:32.179686	83977	305	3	2
2014-03-29 14:40:32.410409	83978	1121073.9808464407	4	2
2014-03-29 14:40:39.027162	83979	45	2	8
2014-03-29 14:40:39.283294	83980	20.3	1	8
2014-03-29 14:40:51.43861	83981	49	2	1
2014-03-29 14:40:51.997314	83982	19.8	1	1
2014-03-29 14:41:07.855995	83983	45	2	10
2014-03-29 14:41:08.204479	83984	20.6	1	10
2014-03-29 14:41:18.026569	83985	45	2	8
2014-03-29 14:41:18.259276	83986	20.3	1	8
2014-03-29 14:41:30.411928	83987	49	2	1
2014-03-29 14:41:30.633745	83988	19.8	1	1
2014-03-29 14:41:32.179227	83989	305	3	2
2014-03-29 14:41:32.410277	83990	1121079.7260200477	4	2
2014-03-29 14:41:46.859295	83991	45	2	10
2014-03-29 14:41:47.082791	83992	20.6	1	10
2014-03-29 14:41:57.026533	83993	45	2	8
2014-03-29 14:41:57.258515	83994	20.3	1	8
2014-03-29 14:42:09.409984	83995	49	2	1
2014-03-29 14:42:09.632847	83996	19.8	1	1
2014-03-29 14:42:25.855118	83997	45	2	10
2014-03-29 14:42:26.089578	83998	20.6	1	10
2014-03-29 14:42:32.179238	83999	305	3	2
2014-03-29 14:42:32.401311	84000	1121084.3221589334	4	2
2014-03-29 14:42:36.028683	84001	45	2	8
2014-03-29 14:42:36.257966	84002	20.3	1	8
2014-03-29 14:42:44.177434	84003	338	3	2
2014-03-29 14:42:44.401448	84004	1121085.471193655	4	2
2014-03-29 14:42:48.410864	84005	49	2	1
2014-03-29 14:42:48.644002	84006	19.8	1	1
2014-03-29 14:42:56.177987	84007	305	3	2
2014-03-29 14:42:56.399012	84008	1121086.6202283762	4	2
2014-03-29 14:43:04.855948	84009	45	2	10
2014-03-29 14:43:05.100169	84010	20.6	1	10
2014-03-29 14:43:08.182519	84011	305	3	2
2014-03-29 14:43:08.404224	84012	1121087.7692630978	4	2
2014-03-29 14:43:15.026356	84013	45	2	8
2014-03-29 14:43:15.280588	84014	20.3	1	8
2014-03-29 14:43:27.408664	84015	48	2	1
2014-03-29 14:43:27.632843	84016	19.8	1	1
2014-03-29 14:43:32.180867	84017	305	3	2
2014-03-29 14:43:32.414223	84018	1121088.918297819	4	2
2014-03-29 14:43:43.854029	84019	45	2	10
2014-03-29 14:43:44.076138	84020	20.6	1	10
2014-03-29 14:43:54.026205	84021	45	2	8
2014-03-29 14:43:54.259088	84022	20.3	1	8
2014-03-29 14:43:56.182491	84023	354	3	2
2014-03-29 14:43:56.404769	84024	1121091.216367262	4	2
2014-03-29 14:44:06.411184	84025	48	2	1
2014-03-29 14:44:06.643055	84026	19.8	1	1
2014-03-29 14:44:08.178165	84027	354	3	2
2014-03-29 14:44:08.404089	84028	1121092.3654019833	4	2
2014-03-29 14:44:22.858319	84029	45	2	10
2014-03-29 14:44:23.090461	84030	20.6	1	10
2014-03-29 14:44:33.026522	84031	45	2	8
2014-03-29 14:44:33.248603	84032	20.3	1	8
2014-03-29 14:44:45.414294	84033	48	2	1
2014-03-29 14:44:45.703194	84034	19.8	1	1
2014-03-29 14:45:01.856057	84035	45	2	10
2014-03-29 14:45:02.078029	84036	20.6	1	10
2014-03-29 14:45:12.026218	84037	45	2	8
2014-03-29 14:45:12.265858	84038	20.3	1	8
2014-03-29 14:45:24.41086	84039	48	2	1
2014-03-29 14:45:24.63488	84040	19.8	1	1
2014-03-29 14:45:32.178142	84041	354	3	2
2014-03-29 14:45:32.411614	84042	1121101.5576797547	4	2
2014-03-29 14:45:40.857975	84043	45	2	10
2014-03-29 14:45:41.080218	84044	20.6	1	10
2014-03-29 14:45:51.026406	84045	45	2	8
2014-03-29 14:45:51.257285	84046	20.3	1	8
2014-03-29 14:46:03.409449	84047	48	2	1
2014-03-29 14:46:03.63271	84048	19.8	1	1
2014-03-29 14:46:19.855303	84049	45	2	10
2014-03-29 14:46:20.088243	84050	20.6	1	10
2014-03-29 14:46:30.026457	84051	45	2	8
2014-03-29 14:46:30.25035	84052	20.3	1	8
2014-03-29 14:46:32.179249	84053	370	3	2
2014-03-29 14:46:32.410387	84054	1121107.3028533617	4	2
2014-03-29 14:46:42.412448	84055	48	2	1
2014-03-29 14:46:42.633982	84056	19.8	1	1
2014-03-29 14:46:58.860589	84057	45	2	10
2014-03-29 14:46:59.104333	84058	20.7	1	10
2014-03-29 14:47:09.025907	84059	45	2	8
2014-03-29 14:47:09.248585	84060	20.3	1	8
2014-03-29 14:47:21.408486	84061	48	2	1
2014-03-29 14:47:21.642239	84062	19.8	1	1
2014-03-29 14:47:32.177763	84063	354	3	2
2014-03-29 14:47:32.399241	84064	1121113.0480269687	4	2
2014-03-29 14:47:37.85432	84065	45	2	10
2014-03-29 14:47:38.110977	84066	20.6	1	10
2014-03-29 14:47:48.028052	84067	45	2	8
2014-03-29 14:47:48.249114	84068	20.3	1	8
2014-03-29 14:48:00.409369	84069	48	2	1
2014-03-29 14:48:00.640332	84070	19.8	1	1
2014-03-29 14:48:16.855315	84071	45	2	10
2014-03-29 14:48:17.080821	84072	20.6	1	10
2014-03-29 14:48:27.026346	84073	45	2	8
2014-03-29 14:48:27.261376	84074	20.3	1	8
2014-03-29 14:48:32.181416	84075	370	3	2
2014-03-29 14:48:32.407139	84076	1121118.793200576	4	2
2014-03-29 14:48:39.408023	84077	48	2	1
2014-03-29 14:48:39.641158	84078	19.8	1	1
2014-03-29 14:48:55.858798	84079	45	2	10
2014-03-29 14:48:56.082069	84080	20.6	1	10
2014-03-29 14:49:06.026007	84081	45	2	8
2014-03-29 14:49:06.260823	84082	20.3	1	8
2014-03-29 14:49:18.407286	84083	48	2	1
2014-03-29 14:49:18.629249	84084	19.8	1	1
2014-03-29 14:49:32.176794	84085	370	3	2
2014-03-29 14:49:32.411833	84086	1121125.6874089043	4	2
2014-03-29 14:49:34.858129	84087	45	2	10
2014-03-29 14:49:35.08079	84088	20.7	1	10
2014-03-29 14:49:45.026976	84089	45	2	8
2014-03-29 14:49:45.25783	84090	20.3	1	8
2014-03-29 14:49:56.178437	84091	305	3	2
2014-03-29 14:49:56.402465	84092	1121127.9854783472	4	2
2014-03-29 14:49:57.410727	84093	48	2	1
2014-03-29 14:49:57.642039	84094	19.8	1	1
2014-03-29 14:50:08.177623	84095	305	3	2
2014-03-29 14:50:08.402648	84096	1121127.9854783472	4	2
2014-03-29 14:50:13.855776	84097	45	2	10
2014-03-29 14:50:14.091748	84098	20.6	1	10
2014-03-29 14:50:24.026254	84099	45	2	8
2014-03-29 14:50:24.248642	84100	20.3	1	8
2014-03-29 14:50:32.175634	84101	305	3	2
2014-03-29 14:50:32.408015	84102	1121130.28354779	4	2
2014-03-29 14:50:36.407938	84103	48	2	1
2014-03-29 14:50:36.631388	84104	19.8	1	1
2014-03-29 14:50:52.859935	84105	45	2	10
2014-03-29 14:50:53.102944	84106	20.6	1	10
2014-03-29 14:51:03.026029	84107	45	2	8
2014-03-29 14:51:03.248455	84108	20.3	1	8
2014-03-29 14:51:15.40927	84109	48	2	1
2014-03-29 14:51:15.64213	84110	19.8	1	1
2014-03-29 14:51:31.857225	84111	45	2	10
2014-03-29 14:51:32.081013	84112	20.6	1	10
2014-03-29 14:51:32.38542	84113	305	3	2
2014-03-29 14:51:32.617192	84114	1121136.028721397	4	2
2014-03-29 14:51:42.026313	84115	45	2	8
2014-03-29 14:51:42.247068	84116	20.3	1	8
2014-03-29 14:51:54.403227	84117	48	2	1
2014-03-29 14:51:54.634445	84118	19.8	1	1
2014-03-29 14:52:10.860108	84119	45	2	10
2014-03-29 14:52:11.082575	84120	20.7	1	10
2014-03-29 14:52:21.025951	84121	45	2	8
2014-03-29 14:52:21.257096	84122	20.3	1	8
2014-03-29 14:52:32.177371	84123	305	3	2
2014-03-29 14:52:32.400976	84124	1121140.6248602828	4	2
2014-03-29 14:52:33.405766	84125	48	2	1
2014-03-29 14:52:33.637028	84126	19.8	1	1
2014-03-29 14:52:49.85965	84127	45	2	10
2014-03-29 14:52:50.084963	84128	20.7	1	10
2014-03-29 14:53:00.027933	84129	45	2	8
2014-03-29 14:53:00.259596	84130	20.3	1	8
2014-03-29 14:53:08.177962	84131	338	3	2
2014-03-29 14:53:08.399405	84132	1121144.071964447	4	2
2014-03-29 14:53:12.405955	84133	48	2	1
2014-03-29 14:53:12.636749	84134	19.8	1	1
2014-03-29 14:53:20.18051	84135	305	3	2
2014-03-29 14:53:20.402369	84136	1121145.2209991685	4	2
2014-03-29 14:53:28.858845	84137	45	2	10
2014-03-29 14:53:29.095248	84138	20.7	1	10
2014-03-29 14:53:32.178027	84139	305	3	2
2014-03-29 14:53:32.399573	84140	1121146.3700338898	4	2
2014-03-29 14:53:39.026896	84141	45	2	8
2014-03-29 14:53:39.26123	84142	20.3	1	8
2014-03-29 14:53:51.405259	84143	48	2	1
2014-03-29 14:53:51.627489	84144	19.8	1	1
2014-03-29 14:54:07.85821	84145	45	2	10
2014-03-29 14:54:08.092799	84146	20.7	1	10
2014-03-29 14:54:18.027914	84147	45	2	8
2014-03-29 14:54:18.254647	84148	20.3	1	8
2014-03-29 14:54:30.404986	84149	48	2	1
2014-03-29 14:54:30.638253	84150	19.8	1	1
2014-03-29 14:54:32.177524	84151	338	3	2
2014-03-29 14:54:32.402465	84152	1121150.9661727755	4	2
2014-03-29 14:54:44.180289	84153	305	3	2
2014-03-29 14:54:44.424791	84154	1121152.1152074968	4	2
2014-03-29 14:54:46.861287	84155	45	2	10
2014-03-29 14:54:47.083937	84156	20.6	1	10
2014-03-29 14:54:57.025125	84157	45	2	8
2014-03-29 14:54:57.259655	84158	20.3	1	8
2014-03-29 14:55:09.406171	84159	48	2	1
2014-03-29 14:55:09.62887	84160	19.8	1	1
2014-03-29 14:55:25.861345	84161	45	2	10
2014-03-29 14:55:26.093837	84162	20.6	1	10
2014-03-29 14:55:32.177803	84163	305	3	2
2014-03-29 14:55:32.402053	84164	1121156.7113463825	4	2
2014-03-29 14:55:36.027041	84165	45	2	8
2014-03-29 14:55:36.257323	84166	20.3	1	8
2014-03-29 14:55:48.401892	84167	48	2	1
2014-03-29 14:55:48.627085	84168	19.8	1	1
2014-03-29 14:56:04.859525	84169	45	2	10
2014-03-29 14:56:05.092054	84170	20.6	1	10
2014-03-29 14:56:15.025867	84171	45	2	8
2014-03-29 14:56:15.247074	84172	20.3	1	8
2014-03-29 14:56:27.404766	84173	48	2	1
2014-03-29 14:56:27.639171	84174	19.8	1	1
2014-03-29 14:56:32.175577	84175	370	3	2
2014-03-29 14:56:32.397438	84176	1121161.3074852682	4	2
2014-03-29 14:56:43.859332	84177	45	2	10
2014-03-29 14:56:44.093042	84178	20.6	1	10
2014-03-29 14:56:44.397618	84179	354	3	2
2014-03-29 14:56:44.621569	84180	1121162.4565199895	4	2
2014-03-29 14:56:54.025089	84181	45	2	8
2014-03-29 14:56:54.257696	84182	20.3	1	8
2014-03-29 14:57:06.403673	84183	48	2	1
2014-03-29 14:57:06.626994	84184	19.8	1	1
2014-03-29 14:57:22.860617	84185	45	2	10
2014-03-29 14:57:23.093244	84186	20.7	1	10
2014-03-29 14:57:33.02603	84187	45	2	8
2014-03-29 14:57:33.24855	84188	20.3	1	8
2014-03-29 14:57:45.40593	84189	48	2	1
2014-03-29 14:57:45.640016	84190	19.8	1	1
2014-03-29 14:58:01.863566	84191	45	2	10
2014-03-29 14:58:02.088255	84192	20.7	1	10
2014-03-29 14:58:12.026652	84193	45	2	8
2014-03-29 14:58:12.259507	84194	20.3	1	8
2014-03-29 14:58:24.402871	84195	48	2	1
2014-03-29 14:58:24.627741	84196	19.8	1	1
2014-03-29 14:58:32.177652	84197	354	3	2
2014-03-29 14:58:32.410255	84198	1121172.7978324825	4	2
2014-03-29 14:58:40.862556	84199	45	2	10
2014-03-29 14:58:41.087789	84200	20.7	1	10
2014-03-29 14:58:51.027315	84201	45	2	8
2014-03-29 14:58:51.270741	84202	20.3	1	8
2014-03-29 14:59:03.402933	84203	48	2	1
2014-03-29 14:59:03.62627	84204	19.8	1	1
2014-03-29 14:59:19.86131	84205	45	2	10
2014-03-29 14:59:20.279158	84206	20.7	1	10
2014-03-29 14:59:30.024927	84207	45	2	8
2014-03-29 14:59:30.253963	84208	20.3	1	8
2014-03-29 14:59:32.178579	84209	370	3	2
2014-03-29 14:59:32.398559	84210	1121179.6920408108	4	2
2014-03-29 14:59:42.401173	84211	48	2	1
2014-03-29 14:59:42.630655	84212	19.8	1	1
2014-03-29 14:59:58.860462	84213	45	2	10
2014-03-29 14:59:59.083704	84214	20.7	1	10
2014-03-29 15:00:09.025496	84215	45	2	8
2014-03-29 15:00:09.258497	84216	20.3	1	8
2014-03-29 15:00:21.400296	84217	48	2	1
2014-03-29 15:00:21.628874	84218	19.8	1	1
2014-03-29 15:00:32.179943	84219	370	3	2
2014-03-29 15:00:32.413944	84220	1121185.4372144178	4	2
2014-03-29 15:00:37.859948	84221	45	2	10
2014-03-29 15:00:38.086045	84222	20.7	1	10
2014-03-29 15:00:48.027126	84223	45	2	8
2014-03-29 15:00:48.259905	84224	20.3	1	8
2014-03-29 15:01:00.402037	84225	48	2	1
2014-03-29 15:01:00.624166	84226	19.8	1	1
2014-03-29 15:01:16.862116	84227	45	2	10
2014-03-29 15:01:17.094053	84228	20.7	1	10
2014-03-29 15:01:27.027029	84229	45	2	8
2014-03-29 15:01:27.247422	84230	20.3	1	8
2014-03-29 15:01:32.177516	84231	354	3	2
2014-03-29 15:01:32.413175	84232	1121191.182388025	4	2
2014-03-29 15:01:39.402432	84233	48	2	1
2014-03-29 15:01:39.625577	84234	19.8	1	1
2014-03-29 15:01:55.861572	84235	45	2	10
2014-03-29 15:01:56.093661	84236	20.7	1	10
2014-03-29 15:02:06.025615	84237	45	2	8
2014-03-29 15:02:06.247372	84238	20.3	1	8
2014-03-29 15:02:18.400632	84239	49	2	1
2014-03-29 15:02:18.631937	84240	19.8	1	1
2014-03-29 15:02:32.177933	84241	370	3	2
2014-03-29 15:02:32.402381	84242	1121196.9275616321	4	2
2014-03-29 15:02:34.859569	84243	45	2	10
2014-03-29 15:02:35.091552	84244	20.7	1	10
2014-03-29 15:02:45.02631	84245	45	2	8
2014-03-29 15:02:45.247096	84246	20.3	1	8
2014-03-29 15:02:56.174735	84247	305	3	2
2014-03-29 15:02:56.406884	84248	1121199.225631075	4	2
2014-03-29 15:02:57.401025	84249	49	2	1
2014-03-29 15:02:57.622484	84250	19.8	1	1
2014-03-29 15:03:13.863305	84251	45	2	10
2014-03-29 15:03:14.106974	84252	20.7	1	10
2014-03-29 15:03:24.025095	84253	45	2	8
2014-03-29 15:03:24.246858	84254	20.3	1	8
2014-03-29 15:03:32.176561	84255	305	3	2
2014-03-29 15:03:32.410169	84256	1121202.6727352391	4	2
2014-03-29 15:03:36.398881	84257	49	2	1
2014-03-29 15:03:36.623241	84258	19.8	1	1
2014-03-29 15:03:52.862623	84259	45	2	10
2014-03-29 15:03:53.095899	84260	20.7	1	10
2014-03-29 15:04:03.027879	84261	45	2	8
2014-03-29 15:04:03.2483	84262	20.3	1	8
2014-03-29 15:04:15.398923	84263	49	2	1
2014-03-29 15:04:15.63036	84264	19.8	1	1
2014-03-29 15:04:31.862545	84265	45	2	10
2014-03-29 15:04:32.086326	84266	20.7	1	10
2014-03-29 15:04:32.391265	84267	305	3	2
2014-03-29 15:04:32.620922	84268	1121207.2688741249	4	2
2014-03-29 15:04:42.024395	84269	45	2	8
2014-03-29 15:04:42.247382	84270	20.3	1	8
2014-03-29 15:04:54.396204	84271	49	2	1
2014-03-29 15:04:54.627492	84272	19.8	1	1
2014-03-29 15:05:10.862148	84273	45	2	10
2014-03-29 15:05:11.083324	84274	20.7	1	10
2014-03-29 15:05:21.024311	84275	45	2	8
2014-03-29 15:05:21.264124	84276	20.3	1	8
2014-03-29 15:05:32.177161	84277	305	3	2
2014-03-29 15:05:32.400695	84278	1121213.0140477319	4	2
2014-03-29 15:05:33.400654	84279	49	2	1
2014-03-29 15:05:33.629374	84280	19.8	1	1
2014-03-29 15:05:49.864708	84281	45	2	10
2014-03-29 15:05:50.085467	84282	20.7	1	10
2014-03-29 15:06:00.026463	84283	45	2	8
2014-03-29 15:06:00.257599	84284	20.3	1	8
2014-03-29 15:06:12.402075	84285	49	2	1
2014-03-29 15:06:12.623997	84286	19.8	1	1
2014-03-29 15:06:28.864064	84287	45	2	10
2014-03-29 15:06:29.095408	84288	20.7	1	10
2014-03-29 15:06:32.176545	84289	305	3	2
2014-03-29 15:06:32.398085	84290	1121217.6101866176	4	2
2014-03-29 15:06:39.025735	84291	45	2	8
2014-03-29 15:06:39.259659	84292	20.3	1	8
2014-03-29 15:06:51.396666	84293	49	2	1
2014-03-29 15:06:51.646743	84294	19.8	1	1
2014-03-29 15:06:56.175854	84295	338	3	2
2014-03-29 15:06:56.409241	84296	1121219.9082560604	4	2
2014-03-29 15:07:07.863775	84297	45	2	10
2014-03-29 15:07:08.087272	84298	20.7	1	10
2014-03-29 15:07:08.391965	84299	338	3	2
2014-03-29 15:07:08.634468	84300	1121221.0572907818	4	2
2014-03-29 15:07:18.061391	84301	45	2	8
2014-03-29 15:07:18.284811	84302	20.3	1	8
2014-03-29 15:07:30.397486	84303	49	2	1
2014-03-29 15:07:30.630882	84304	19.8	1	1
2014-03-29 15:07:32.177836	84305	305	3	2
2014-03-29 15:07:32.398846	84306	1121223.3553602246	4	2
2014-03-29 15:07:46.863519	84307	45	2	10
2014-03-29 15:07:47.097441	84308	20.7	1	10
2014-03-29 15:07:57.025609	84309	45	2	8
2014-03-29 15:07:57.246173	84310	20.3	1	8
2014-03-29 15:08:09.398255	84311	49	2	1
2014-03-29 15:08:09.629519	84312	19.8	1	1
2014-03-29 15:08:25.867845	84313	45	2	10
2014-03-29 15:08:26.089195	84314	20.8	1	10
2014-03-29 15:08:32.174483	84315	305	3	2
2014-03-29 15:08:32.407262	84316	1121227.9514991103	4	2
2014-03-29 15:08:36.025909	84317	45	2	8
2014-03-29 15:08:36.245365	84318	20.3	1	8
2014-03-29 15:08:48.394271	84319	49	2	1
2014-03-29 15:08:48.626566	84320	19.8	1	1
2014-03-29 15:09:04.862818	84321	45	2	10
2014-03-29 15:09:05.087567	84322	20.8	1	10
2014-03-29 15:09:15.02804	84323	45	2	8
2014-03-29 15:09:15.260134	84324	20.3	1	8
2014-03-29 15:09:20.177581	84325	370	3	2
2014-03-29 15:09:20.408092	84326	1121232.547637996	4	2
2014-03-29 15:09:27.395339	84327	49	2	1
2014-03-29 15:09:27.625845	84328	19.8	1	1
2014-03-29 15:09:32.177033	84329	370	3	2
2014-03-29 15:09:32.398731	84330	1121233.6966727173	4	2
2014-03-29 15:09:43.865953	84331	45	2	10
2014-03-29 15:09:44.100742	84332	20.8	1	10
2014-03-29 15:09:54.02593	84333	45	2	8
2014-03-29 15:09:54.250235	84334	20.3	1	8
2014-03-29 15:10:06.397205	84335	49	2	1
2014-03-29 15:10:06.628462	84336	19.8	1	1
2014-03-29 15:10:22.867752	84337	45	2	10
2014-03-29 15:10:23.090108	84338	20.8	1	10
2014-03-29 15:10:33.025826	84339	45	2	8
2014-03-29 15:10:33.260166	84340	20.3	1	8
2014-03-29 15:10:45.396128	84341	49	2	1
2014-03-29 15:10:45.617038	84342	19.8	1	1
2014-03-29 15:11:01.867437	84343	45	2	10
2014-03-29 15:11:02.099154	84344	20.8	1	10
2014-03-29 15:11:12.026847	84345	45	2	8
2014-03-29 15:11:12.250782	84346	20.3	1	8
2014-03-29 15:11:24.395376	84347	49	2	1
2014-03-29 15:11:24.638486	84348	19.8	1	1
2014-03-29 15:11:32.179546	84349	354	3	2
2014-03-29 15:11:32.402193	84350	1121246.336054653	4	2
2014-03-29 15:11:40.86444	84351	45	2	10
2014-03-29 15:11:41.096915	84352	20.8	1	10
2014-03-29 15:11:51.024175	84353	45	2	8
2014-03-29 15:11:51.246581	84354	20.3	1	8
2014-03-29 15:12:03.397073	84355	49	2	1
2014-03-29 15:12:03.631625	84356	19.8	1	1
2014-03-29 15:12:19.866162	84357	45	2	10
2014-03-29 15:12:20.086665	84358	20.8	1	10
2014-03-29 15:12:30.027087	84359	45	2	8
2014-03-29 15:12:30.257743	84360	20.3	1	8
2014-03-29 15:12:32.180616	84361	354	3	2
2014-03-29 15:12:32.401575	84362	1121252.08122826	4	2
2014-03-29 15:12:42.392059	84363	49	2	1
2014-03-29 15:12:42.627151	84364	19.8	1	1
2014-03-29 15:12:58.867449	84365	45	2	10
2014-03-29 15:12:59.089008	84366	20.8	1	10
2014-03-29 15:13:09.026379	84367	45	2	8
2014-03-29 15:13:09.257371	84368	20.3	1	8
2014-03-29 15:13:21.395182	84369	49	2	1
2014-03-29 15:13:21.622796	84370	19.8	1	1
2014-03-29 15:13:32.172225	84371	354	3	2
2014-03-29 15:13:32.403666	84372	1121257.826401867	4	2
2014-03-29 15:13:37.868774	84373	45	2	10
2014-03-29 15:13:38.093846	84374	20.8	1	10
2014-03-29 15:13:48.024071	84375	45	2	8
2014-03-29 15:13:48.256881	84376	20.3	1	8
2014-03-29 15:14:00.393468	84377	49	2	1
2014-03-29 15:14:00.615238	84378	19.8	1	1
2014-03-29 15:14:16.869372	84379	45	2	10
2014-03-29 15:14:17.101668	84380	20.8	1	10
2014-03-29 15:14:27.028502	84381	45	2	8
2014-03-29 15:14:27.249911	84382	20.3	1	8
2014-03-29 15:14:32.17742	84383	354	3	2
2014-03-29 15:14:32.412872	84384	1121264.7206101955	4	2
2014-03-29 15:14:39.392199	84385	49	2	1
2014-03-29 15:14:39.612775	84386	19.8	1	1
2014-03-29 15:14:55.868229	84387	45	2	10
2014-03-29 15:14:56.101154	84388	20.8	1	10
2014-03-29 15:15:06.027369	84389	45	2	8
2014-03-29 15:15:06.249713	84390	20.3	1	8
2014-03-29 15:15:18.394008	84391	49	2	1
2014-03-29 15:15:18.6293	84392	19.8	1	1
2014-03-29 15:15:32.183103	84393	305	3	2
2014-03-29 15:15:32.405691	84394	1121270.4657838026	4	2
2014-03-29 15:15:34.867144	84395	45	2	10
2014-03-29 15:15:35.11098	84396	20.8	1	10
2014-03-29 15:15:45.024921	84397	45	2	8
2014-03-29 15:15:45.248493	84398	20.3	1	8
2014-03-29 15:15:57.394182	84399	49	2	1
2014-03-29 15:15:57.627221	84400	19.8	1	1
2014-03-29 15:16:13.868448	84401	45	2	10
2014-03-29 15:16:14.091293	84402	20.8	1	10
2014-03-29 15:16:24.025606	84403	45	2	8
2014-03-29 15:16:24.256687	84404	20.3	1	8
2014-03-29 15:16:32.176707	84405	305	3	2
2014-03-29 15:16:32.400762	84406	1121275.0619226883	4	2
2014-03-29 15:16:36.394557	84407	49	2	1
2014-03-29 15:16:36.626464	84408	19.8	1	1
2014-03-29 15:16:52.869118	84409	45	2	10
2014-03-29 15:16:53.091088	84410	20.8	1	10
2014-03-29 15:17:03.026461	84411	45	2	8
2014-03-29 15:17:03.25813	84412	20.3	1	8
2014-03-29 15:17:15.393841	84413	49	2	1
2014-03-29 15:17:15.617937	84414	19.8	1	1
2014-03-29 15:17:31.86706	84415	45	2	10
2014-03-29 15:17:32.098848	84416	20.8	1	10
2014-03-29 15:17:42.0252	84417	45	2	8
2014-03-29 15:17:42.25074	84418	20.3	1	8
2014-03-29 15:17:54.390828	84419	49	2	1
2014-03-29 15:17:54.623471	84420	19.8	1	1
2014-03-29 15:18:10.86635	84421	45	2	10
2014-03-29 15:18:11.097494	84422	20.8	1	10
2014-03-29 15:18:21.025553	84423	45	2	8
2014-03-29 15:18:21.257001	84424	20.3	1	8
2014-03-29 15:18:32.176904	84425	305	3	2
2014-03-29 15:18:32.399514	84426	1121285.403235181	4	2
2014-03-29 15:18:33.389907	84427	49	2	1
2014-03-29 15:18:33.621576	84428	19.8	1	1
2014-03-29 15:18:49.869347	84429	45	2	10
2014-03-29 15:18:50.093312	84430	20.8	1	10
2014-03-29 15:19:00.025213	84431	45	2	8
2014-03-29 15:19:00.25568	84432	20.3	1	8
2014-03-29 15:19:12.392023	84433	49	2	1
2014-03-29 15:19:12.613253	84434	19.8	1	1
2014-03-29 15:19:28.871657	84435	45	2	10
2014-03-29 15:19:29.103432	84436	20.8	1	10
2014-03-29 15:19:32.177646	84437	305	3	2
2014-03-29 15:19:32.397304	84438	1121291.148408788	4	2
2014-03-29 15:19:39.025078	84439	45	2	8
2014-03-29 15:19:39.255106	84440	20.3	1	8
2014-03-29 15:19:51.387943	84441	49	2	1
2014-03-29 15:19:51.609955	84442	19.8	1	1
2014-03-29 15:20:07.867919	84443	45	2	10
2014-03-29 15:20:08.113604	84444	20.8	1	10
2014-03-29 15:20:18.027443	84445	45	2	8
2014-03-29 15:20:18.248671	84446	20.3	1	8
2014-03-29 15:20:30.389167	84447	49	2	1
2014-03-29 15:20:30.619348	84448	19.8	1	1
2014-03-29 15:20:32.177374	84449	305	3	2
2014-03-29 15:20:32.397312	84450	1121295.7445476737	4	2
2014-03-29 15:20:44.177812	84451	338	3	2
2014-03-29 15:20:44.408858	84452	1121296.8935823953	4	2
2014-03-29 15:20:46.870471	84453	45	2	10
2014-03-29 15:20:47.093775	84454	20.8	1	10
2014-03-29 15:20:57.02534	84455	45	2	8
2014-03-29 15:20:57.259441	84456	20.3	1	8
2014-03-29 15:21:08.174637	84457	305	3	2
2014-03-29 15:21:08.39657	84458	1121299.1916518381	4	2
2014-03-29 15:21:09.387352	84459	49	2	1
2014-03-29 15:21:09.619505	84460	19.8	1	1
2014-03-29 15:21:20.175725	84461	338	3	2
2014-03-29 15:21:20.396982	84462	1121300.3406865594	4	2
2014-03-29 15:21:25.867042	84463	45	2	10
2014-03-29 15:21:26.101864	84464	20.8	1	10
2014-03-29 15:21:32.172916	84465	305	3	2
2014-03-29 15:21:32.397388	84466	1121301.4897212808	4	2
2014-03-29 15:21:36.025595	84467	45	2	8
2014-03-29 15:21:36.258617	84468	20.3	1	8
2014-03-29 15:21:44.173053	84469	305	3	2
2014-03-29 15:21:44.396722	84470	1121302.6387560023	4	2
2014-03-29 15:21:48.39132	84471	49	2	1
2014-03-29 15:21:48.622824	84472	19.8	1	1
2014-03-29 15:22:04.869554	84473	45	2	10
2014-03-29 15:22:05.090738	84474	20.8	1	10
2014-03-29 15:22:08.175575	84475	370	3	2
2014-03-29 15:22:08.407429	84476	1121303.7877907236	4	2
2014-03-29 15:22:15.024748	84477	45	2	8
2014-03-29 15:22:15.246947	84478	20.3	1	8
2014-03-29 15:22:20.176014	84479	354	3	2
2014-03-29 15:22:20.416385	84480	1121304.9368254452	4	2
2014-03-29 15:22:27.391645	84481	49	2	1
2014-03-29 15:22:27.613345	84482	19.8	1	1
2014-03-29 15:22:32.173252	84483	354	3	2
2014-03-29 15:22:32.405956	84484	1121307.234894888	4	2
2014-03-29 15:22:43.870635	84485	45	2	10
2014-03-29 15:22:44.094914	84486	20.8	1	10
2014-03-29 15:22:54.025013	84487	45	2	8
2014-03-29 15:22:54.256214	84488	20.3	1	8
2014-03-29 15:22:56.174941	84489	434	3	2
2014-03-29 15:22:56.395672	84490	1121309.5329643309	4	2
2014-03-29 15:23:06.388819	84491	49	2	1
2014-03-29 15:23:06.633149	84492	19.8	1	1
2014-03-29 15:23:08.174123	84493	450	3	2
2014-03-29 15:23:08.397945	84494	1121310.6819990522	4	2
2014-03-29 15:23:22.871106	84495	45	2	10
2014-03-29 15:23:23.103783	84496	20.8	1	10
2014-03-29 15:23:33.024256	84497	45	2	8
2014-03-29 15:23:33.248009	84498	20.3	1	8
2014-03-29 15:23:45.388963	84499	49	2	1
2014-03-29 15:23:45.619806	84500	19.8	1	1
2014-03-29 15:24:01.870395	84501	45	2	10
2014-03-29 15:24:02.092678	84502	20.8	1	10
2014-03-29 15:24:12.232712	84503	45	2	8
2014-03-29 15:24:12.463499	84504	20.3	1	8
2014-03-29 15:24:24.387982	84505	49	2	1
2014-03-29 15:24:24.609589	84506	19.8	1	1
2014-03-29 15:24:32.174152	84507	450	3	2
2014-03-29 15:24:32.404916	84508	1121321.023311545	4	2
2014-03-29 15:24:40.872399	84509	45	2	10
2014-03-29 15:24:41.093285	84510	20.8	1	10
2014-03-29 15:24:51.0251	84511	45	2	8
2014-03-29 15:24:51.257903	84512	20.3	1	8
2014-03-29 15:25:03.384809	84513	49	2	1
2014-03-29 15:25:03.607556	84514	19.8	1	1
2014-03-29 15:25:19.871939	84515	45	2	10
2014-03-29 15:25:20.104616	84516	20.8	1	10
2014-03-29 15:25:30.026362	84517	45	2	8
2014-03-29 15:25:30.248247	84518	20.3	1	8
2014-03-29 15:25:32.176075	84519	434	3	2
2014-03-29 15:25:32.405345	84520	1121329.0665545948	4	2
2014-03-29 15:25:42.385	84521	49	2	1
2014-03-29 15:25:42.607017	84522	19.8	1	1
2014-03-29 15:25:58.869461	84523	45	2	10
2014-03-29 15:25:59.104067	84524	20.9	1	10
2014-03-29 15:26:09.026035	84525	45	2	8
2014-03-29 15:26:09.249242	84526	20.3	1	8
2014-03-29 15:26:21.388439	84527	49	2	1
2014-03-29 15:26:21.621597	84528	19.8	1	1
2014-03-29 15:26:32.175451	84529	450	3	2
2014-03-29 15:26:32.396858	84530	1121335.9607629234	4	2
2014-03-29 15:26:37.872034	84531	45	2	10
2014-03-29 15:26:38.107023	84532	20.9	1	10
2014-03-29 15:26:48.024827	84533	45	2	8
2014-03-29 15:26:48.248253	84534	20.3	1	8
2014-03-29 15:27:00.386418	84535	49	2	1
2014-03-29 15:27:00.617349	84536	19.8	1	1
2014-03-29 15:27:16.919087	84537	45	2	10
2014-03-29 15:27:17.153005	84538	20.9	1	10
2014-03-29 15:27:27.027048	84539	45	2	8
2014-03-29 15:27:27.269479	84540	20.3	1	8
2014-03-29 15:27:32.172427	84541	450	3	2
2014-03-29 15:27:32.397382	84542	1121342.859442204	4	2
2014-03-29 15:27:39.384178	84543	49	2	1
2014-03-29 15:27:39.618306	84544	19.8	1	1
2014-03-29 15:27:44.17364	84545	402	3	2
2014-03-29 15:27:44.395607	84546	1121344.0084769253	4	2
2014-03-29 15:27:55.870911	84547	45	2	10
2014-03-29 15:27:56.103135	84548	20.9	1	10
2014-03-29 15:28:06.025612	84549	45	2	8
2014-03-29 15:28:06.24765	84550	20.3	1	8
2014-03-29 15:28:18.38292	84551	49	2	1
2014-03-29 15:28:18.616505	84552	19.8	1	1
2014-03-29 15:28:32.175651	84553	402	3	2
2014-03-29 15:28:32.406866	84554	1121349.7536505326	4	2
2014-03-29 15:28:34.871364	84555	45	2	10
2014-03-29 15:28:35.101656	84556	20.9	1	10
2014-03-29 15:28:45.025763	84557	45	2	8
2014-03-29 15:28:45.24715	84558	20.3	1	8
2014-03-29 15:28:57.385571	84559	49	2	1
2014-03-29 15:28:57.618759	84560	19.8	1	1
2014-03-29 15:29:13.874622	84561	45	2	10
2014-03-29 15:29:14.097921	84562	20.9	1	10
2014-03-29 15:29:20.175527	84563	370	3	2
2014-03-29 15:29:20.406529	84564	1121354.3497894183	4	2
2014-03-29 15:29:24.024714	84565	45	2	8
2014-03-29 15:29:24.245187	84566	20.3	1	8
2014-03-29 15:29:32.175304	84567	370	3	2
2014-03-29 15:29:32.407254	84568	1121356.647858861	4	2
2014-03-29 15:29:36.386996	84569	49	2	1
2014-03-29 15:29:36.608108	84570	19.8	1	1
2014-03-29 15:29:52.874628	84571	45	2	10
2014-03-29 15:29:53.108135	84572	20.9	1	10
2014-03-29 15:30:03.026039	84573	45	2	8
2014-03-29 15:30:03.246624	84574	20.3	1	8
2014-03-29 15:30:15.38399	84575	49	2	1
2014-03-29 15:30:15.615301	84576	19.8	1	1
2014-03-29 15:30:31.869992	84577	45	2	10
2014-03-29 15:30:32.095402	84578	20.9	1	10
2014-03-29 15:30:42.028691	84579	45	2	8
2014-03-29 15:30:42.259365	84580	20.3	1	8
2014-03-29 15:30:54.3838	84581	49	2	1
2014-03-29 15:30:54.604738	84582	19.8	1	1
2014-03-29 15:31:10.872696	84583	45	2	10
2014-03-29 15:31:11.10526	84584	20.9	1	10
2014-03-29 15:31:21.026245	84585	45	2	8
2014-03-29 15:31:21.248908	84586	20.3	1	8
2014-03-29 15:31:32.175261	84587	370	3	2
2014-03-29 15:31:32.417942	84588	1121368.1382060752	4	2
2014-03-29 15:31:33.384234	84589	49	2	1
2014-03-29 15:31:33.603707	84590	19.8	1	1
2014-03-29 15:31:44.179759	84591	370	3	2
2014-03-29 15:31:44.411649	84592	1121370.436275518	4	2
2014-03-29 15:31:49.872543	84593	45	2	10
2014-03-29 15:31:50.099169	84594	20.9	1	10
2014-03-29 15:32:00.026333	84595	45	2	8
2014-03-29 15:32:00.260632	84596	20.2	1	8
2014-03-29 15:32:12.384696	84597	49	2	1
2014-03-29 15:32:12.608566	84598	19.8	1	1
2014-03-29 15:32:28.869967	84599	45	2	10
2014-03-29 15:32:29.10291	84600	20.9	1	10
2014-03-29 15:32:32.178826	84601	370	3	2
2014-03-29 15:32:32.403446	84602	1121375.0324144037	4	2
2014-03-29 15:32:39.025516	84603	45	2	8
2014-03-29 15:32:39.260521	84604	20.2	1	8
2014-03-29 15:32:51.382429	84605	49	2	1
2014-03-29 15:32:51.605763	84606	19.8	1	1
2014-03-29 15:33:07.882274	84607	45	2	10
2014-03-29 15:33:08.115287	84608	20.9	1	10
2014-03-29 15:33:18.025399	84609	45	2	8
2014-03-29 15:33:18.247272	84610	20.2	1	8
2014-03-29 15:33:30.38273	84611	49	2	1
2014-03-29 15:33:30.614842	84612	19.8	1	1
2014-03-29 15:33:32.174114	84613	370	3	2
2014-03-29 15:33:32.394613	84614	1121380.7775880108	4	2
2014-03-29 15:33:46.870614	84615	45	2	10
2014-03-29 15:33:47.141792	84616	20.9	1	10
2014-03-29 15:33:57.025837	84617	45	2	8
2014-03-29 15:33:57.248798	84618	20.2	1	8
2014-03-29 15:34:09.380827	84619	49	2	1
2014-03-29 15:34:09.614863	84620	19.8	1	1
2014-03-29 15:34:20.177734	84621	434	3	2
2014-03-29 15:34:20.402892	84622	1121386.5227616178	4	2
2014-03-29 15:34:25.873214	84623	45	2	10
2014-03-29 15:34:26.105966	84624	20.9	1	10
2014-03-29 15:34:32.173839	84625	434	3	2
2014-03-29 15:34:32.396062	84626	1121387.671796339	4	2
2014-03-29 15:34:36.025806	84627	45	2	8
2014-03-29 15:34:36.257317	84628	20.2	1	8
2014-03-29 15:34:48.378609	84629	49	2	1
2014-03-29 15:34:48.59956	84630	19.8	1	1
2014-03-29 15:35:04.873728	84631	45	2	10
2014-03-29 15:35:05.104767	84632	20.9	1	10
2014-03-29 15:35:15.0244	84633	45	2	8
2014-03-29 15:35:15.247118	84634	20.2	1	8
2014-03-29 15:35:27.381838	84635	49	2	1
2014-03-29 15:35:27.624957	84636	19.8	1	1
2014-03-29 15:35:43.673939	84637	434	3	2
2014-03-29 15:35:43.898296	84638	1121394.5660046677	4	2
2014-03-29 15:35:44.202019	84639	45	2	10
2014-03-29 15:35:44.434377	84640	20.9	1	10
2014-03-29 15:35:54.026912	84641	45	2	8
2014-03-29 15:35:54.247736	84642	20.2	1	8
2014-03-29 15:36:06.381736	84643	49	2	1
2014-03-29 15:36:06.612298	84644	19.8	1	1
2014-03-29 15:36:22.873372	84645	45	2	10
2014-03-29 15:36:23.100486	84646	20.9	1	10
2014-03-29 15:36:33.027005	84647	45	2	8
2014-03-29 15:36:33.258752	84648	20.2	1	8
2014-03-29 15:36:45.381489	84649	49	2	1
2014-03-29 15:36:45.603761	84650	19.8	1	1
2014-03-29 15:37:01.874267	84651	45	2	10
2014-03-29 15:37:02.106246	84652	20.9	1	10
2014-03-29 15:37:12.025624	84653	45	2	8
2014-03-29 15:37:12.250215	84654	20.2	1	8
2014-03-29 15:37:24.379557	84655	49	2	1
2014-03-29 15:37:24.610606	84656	19.8	1	1
2014-03-29 15:37:32.173445	84657	418	3	2
2014-03-29 15:37:32.397632	84658	1121409.503456046	4	2
2014-03-29 15:37:40.874181	84659	45	2	10
2014-03-29 15:37:41.107599	84660	20.9	1	10
2014-03-29 15:37:51.025656	84661	45	2	8
2014-03-29 15:37:51.250771	84662	20.2	1	8
2014-03-29 15:38:03.37902	84663	49	2	1
2014-03-29 15:38:03.609964	84664	19.8	1	1
2014-03-29 15:38:19.8751	84665	45	2	10
2014-03-29 15:38:20.096525	84666	20.9	1	10
2014-03-29 15:38:30.025131	84667	45	2	8
2014-03-29 15:38:30.257001	84668	20.2	1	8
2014-03-29 15:38:32.175651	84669	370	3	2
2014-03-29 15:38:32.399794	84670	1121416.3976643747	4	2
2014-03-29 15:38:42.3805	84671	49	2	1
2014-03-29 15:38:42.613277	84672	19.8	1	1
2014-03-29 15:38:56.176165	84673	402	3	2
2014-03-29 15:38:56.399179	84674	1121418.6957338173	4	2
2014-03-29 15:38:58.874307	84675	45	2	10
2014-03-29 15:38:59.105648	84676	20.9	1	10
2014-03-29 15:39:09.024607	84677	45	2	8
2014-03-29 15:39:09.247463	84678	20.2	1	8
2014-03-29 15:39:20.174882	84679	370	3	2
2014-03-29 15:39:20.405509	84680	1121420.9938032601	4	2
2014-03-29 15:39:21.380855	84681	49	2	1
2014-03-29 15:39:21.604119	84682	19.8	1	1
2014-03-29 15:39:32.174384	84683	370	3	2
2014-03-29 15:39:32.417463	84684	1121422.1428379817	4	2
2014-03-29 15:39:37.874752	84685	45	2	10
2014-03-29 15:39:38.100876	84686	20.9	1	10
2014-03-29 15:39:48.026063	84687	45	2	8
2014-03-29 15:39:48.258064	84688	20.2	1	8
2014-03-29 15:40:00.379282	84689	49	2	1
2014-03-29 15:40:00.600306	84690	19.8	1	1
2014-03-29 15:40:16.87502	84691	45	2	10
2014-03-29 15:40:17.107341	84692	20.9	1	10
2014-03-29 15:40:20.175544	84693	305	3	2
2014-03-29 15:40:20.396689	84694	1121426.7389768674	4	2
2014-03-29 15:40:27.026044	84695	45	2	8
2014-03-29 15:40:27.259918	84696	20.2	1	8
2014-03-29 15:40:32.175252	84697	305	3	2
2014-03-29 15:40:32.400814	84698	1121427.8880115887	4	2
2014-03-29 15:40:39.37902	84699	49	2	1
2014-03-29 15:40:39.610428	84700	19.8	1	1
2014-03-29 15:40:44.17508	84701	338	3	2
2014-03-29 15:40:44.396738	84702	1121429.03704631	4	2
2014-03-29 15:40:55.878327	84703	45	2	10
2014-03-29 15:40:56.112967	84704	20.9	1	10
2014-03-29 15:41:06.025928	84705	45	2	8
2014-03-29 15:41:06.248747	84706	20.2	1	8
2014-03-29 15:41:18.376066	84707	49	2	1
2014-03-29 15:41:18.606723	84708	19.8	1	1
2014-03-29 15:41:32.173463	84709	338	3	2
2014-03-29 15:41:32.395904	84710	1121433.6331851957	4	2
2014-03-29 15:41:34.876315	84711	45	2	10
2014-03-29 15:41:35.109646	84712	20.9	1	10
2014-03-29 15:41:45.027781	84713	45	2	8
2014-03-29 15:41:45.250367	84714	20.2	1	8
2014-03-29 15:41:56.174055	84715	305	3	2
2014-03-29 15:41:56.40595	84716	1121435.9312546386	4	2
2014-03-29 15:41:57.378635	84717	49	2	1
2014-03-29 15:41:57.59866	84718	19.8	1	1
2014-03-29 15:42:08.173949	84719	305	3	2
2014-03-29 15:42:08.405121	84720	1121437.0802893601	4	2
2014-03-29 15:42:13.873599	84721	45	2	10
2014-03-29 15:42:14.099415	84722	20.9	1	10
2014-03-29 15:42:20.177852	84723	338	3	2
2014-03-29 15:42:20.409204	84724	1121438.2293240814	4	2
2014-03-29 15:42:24.025996	84725	45	2	8
2014-03-29 15:42:24.248233	84726	20.2	1	8
2014-03-29 15:42:36.185971	84727	305	3	2
2014-03-29 15:42:36.418883	84728	1121439.3783588028	4	2
2014-03-29 15:42:36.725372	84729	49	2	1
2014-03-29 15:42:36.947165	84730	19.8	1	1
2014-03-29 15:42:44.176515	84731	338	3	2
2014-03-29 15:42:44.421165	84732	1121440.5273935243	4	2
2014-03-29 15:42:52.877481	84733	45	2	10
2014-03-29 15:42:53.100142	84734	20.9	1	10
2014-03-29 15:42:56.173513	84735	305	3	2
2014-03-29 15:42:56.406797	84736	1121441.6764282456	4	2
2014-03-29 15:43:03.026962	84737	45	2	8
2014-03-29 15:43:03.252881	84738	20.2	1	8
2014-03-29 15:43:08.173443	84739	305	3	2
2014-03-29 15:43:08.411775	84740	1121442.8254629672	4	2
2014-03-29 15:43:15.614991	84741	49	2	1
2014-03-29 15:43:15.83757	84742	19.8	1	1
2014-03-29 15:43:31.875663	84743	45	2	10
2014-03-29 15:43:32.107813	84744	20.9	1	10
2014-03-29 15:43:42.025888	84745	45	2	8
2014-03-29 15:43:42.246796	84746	20.2	1	8
2014-03-29 15:43:44.171781	84747	338	3	2
2014-03-29 15:43:44.404889	84748	1121446.2725671313	4	2
2014-03-29 15:43:54.376264	84749	49	2	1
2014-03-29 15:43:54.598455	84750	19.8	1	1
2014-03-29 15:43:56.175127	84751	305	3	2
2014-03-29 15:43:56.408121	84752	1121447.4216018529	4	2
2014-03-29 15:44:08.172812	84753	305	3	2
2014-03-29 15:44:08.395132	84754	1121448.5706365742	4	2
2014-03-29 15:44:10.87894	84755	45	2	10
2014-03-29 15:44:11.113245	84756	20.9	1	10
2014-03-29 15:44:21.026292	84757	45	2	8
2014-03-29 15:44:21.250469	84758	20.2	1	8
2014-03-29 15:44:32.1738	84759	338	3	2
2014-03-29 15:44:32.406248	84760	1121450.868706017	4	2
2014-03-29 15:44:33.377197	84761	49	2	1
2014-03-29 15:44:33.599461	84762	19.8	1	1
2014-03-29 15:44:49.879211	84763	45	2	10
2014-03-29 15:44:50.112202	84764	21.0	1	10
2014-03-29 15:45:00.026041	84765	45	2	8
2014-03-29 15:45:00.251142	84766	20.2	1	8
2014-03-29 15:45:08.176045	84767	305	3	2
2014-03-29 15:45:08.406114	84768	1121453.16677546	4	2
2014-03-29 15:45:12.376	84769	49	2	1
2014-03-29 15:45:12.596022	84770	19.8	1	1
2014-03-29 15:45:28.680537	84771	305	3	2
2014-03-29 15:45:28.913377	84772	1121454.3158101812	4	2
2014-03-29 15:45:29.219334	84773	45	2	10
2014-03-29 15:45:29.440392	84774	21.0	1	10
2014-03-29 15:45:32.174066	84775	305	3	2
2014-03-29 15:45:32.404898	84776	1121455.4648449027	4	2
2014-03-29 15:45:39.026671	84777	45	2	8
2014-03-29 15:45:39.248096	84778	20.2	1	8
2014-03-29 15:45:51.374062	84779	49	2	1
2014-03-29 15:45:51.617152	84780	19.8	1	1
2014-03-29 15:46:07.879582	84781	45	2	10
2014-03-29 15:46:08.100381	84782	21.0	1	10
2014-03-29 15:46:18.02465	84783	45	2	8
2014-03-29 15:46:18.256526	84784	20.2	1	8
2014-03-29 15:46:30.374334	84785	49	2	1
2014-03-29 15:46:30.596159	84786	19.8	1	1
2014-03-29 15:46:32.174537	84787	305	3	2
2014-03-29 15:46:32.405452	84788	1121461.2100185098	4	2
2014-03-29 15:46:46.876459	84789	45	2	10
2014-03-29 15:46:47.098839	84790	21.0	1	10
2014-03-29 15:46:57.027824	84791	45	2	8
2014-03-29 15:46:57.260167	84792	20.2	1	8
2014-03-29 15:47:08.176737	84793	354	3	2
2014-03-29 15:47:08.400107	84794	1121464.657122674	4	2
2014-03-29 15:47:09.373797	84795	49	2	1
2014-03-29 15:47:09.604596	84796	19.8	1	1
2014-03-29 15:47:20.174452	84797	354	3	2
2014-03-29 15:47:20.394683	84798	1121465.8061573955	4	2
2014-03-29 15:47:25.877887	84799	45	2	10
2014-03-29 15:47:26.111262	84800	21.0	1	10
2014-03-29 15:47:32.178301	84801	354	3	2
2014-03-29 15:47:32.399705	84802	1121466.9551921168	4	2
2014-03-29 15:47:36.025222	84803	45	2	8
2014-03-29 15:47:36.257309	84804	20.2	1	8
2014-03-29 15:47:48.37572	84805	49	2	1
2014-03-29 15:47:48.598739	84806	19.8	1	1
2014-03-29 15:48:04.877866	84807	45	2	10
2014-03-29 15:48:05.109527	84808	21.0	1	10
2014-03-29 15:48:15.026038	84809	45	2	8
2014-03-29 15:48:15.247424	84810	20.2	1	8
2014-03-29 15:48:27.373765	84811	49	2	1
2014-03-29 15:48:27.605573	84812	19.8	1	1
2014-03-29 15:48:32.173157	84813	354	3	2
2014-03-29 15:48:32.396548	84814	1121472.7003657238	4	2
2014-03-29 15:48:43.877588	84815	45	2	10
2014-03-29 15:48:44.109844	84816	21.0	1	10
2014-03-29 15:48:54.026416	84817	45	2	8
2014-03-29 15:48:54.282931	84818	20.2	1	8
2014-03-29 15:49:06.374012	84819	49	2	1
2014-03-29 15:49:06.642404	84820	19.8	1	1
2014-03-29 15:49:22.875812	84821	45	2	10
2014-03-29 15:49:23.153443	84822	21.0	1	10
2014-03-29 15:49:33.025232	84823	45	2	8
2014-03-29 15:49:33.260992	84824	20.2	1	8
2014-03-29 15:49:45.375645	84825	49	2	1
2014-03-29 15:49:45.600824	84826	19.8	1	1
2014-03-29 15:50:01.877855	84827	45	2	10
2014-03-29 15:50:02.121606	84828	21.0	1	10
2014-03-29 15:50:12.024	84829	45	2	8
2014-03-29 15:50:12.25216	84830	20.2	1	8
2014-03-29 15:50:24.371742	84831	49	2	1
2014-03-29 15:50:24.607474	84832	19.8	1	1
2014-03-29 15:50:32.175831	84833	370	3	2
2014-03-29 15:50:32.398554	84834	1121485.3397476594	4	2
2014-03-29 15:50:40.878992	84835	45	2	10
2014-03-29 15:50:41.110155	84836	21.0	1	10
2014-03-29 15:50:51.025136	84837	45	2	8
2014-03-29 15:50:51.250872	84838	20.2	1	8
2014-03-29 15:51:03.374	84839	49	2	1
2014-03-29 15:51:03.609776	84840	19.8	1	1
2014-03-29 15:51:19.881667	84841	45	2	10
2014-03-29 15:51:20.108058	84842	21.0	1	10
2014-03-29 15:51:30.025231	84843	45	2	8
2014-03-29 15:51:30.26061	84844	20.2	1	8
2014-03-29 15:51:32.174094	84845	370	3	2
2014-03-29 15:51:32.39998	84846	1121491.0849212667	4	2
2014-03-29 15:51:42.370945	84847	49	2	1
2014-03-29 15:51:42.605081	84848	19.8	1	1
2014-03-29 15:51:58.880363	84849	45	2	10
2014-03-29 15:51:59.101424	84850	21.0	1	10
2014-03-29 15:52:09.027328	84851	45	2	8
2014-03-29 15:52:09.261325	84852	20.2	1	8
2014-03-29 15:52:21.36952	84853	49	2	1
2014-03-29 15:52:21.590931	84854	19.8	1	1
2014-03-29 15:52:32.172271	84855	354	3	2
2014-03-29 15:52:32.404191	84856	1121496.8300948737	4	2
2014-03-29 15:52:37.879758	84857	45	2	10
2014-03-29 15:52:38.169786	84858	21.0	1	10
2014-03-29 15:52:48.025275	84859	45	2	8
2014-03-29 15:52:48.258009	84860	20.2	1	8
2014-03-29 15:53:00.371273	84861	49	2	1
2014-03-29 15:53:00.59379	84862	19.8	1	1
2014-03-29 15:53:08.174733	84863	305	3	2
2014-03-29 15:53:08.409165	84864	1121500.2771990378	4	2
2014-03-29 15:53:16.880297	84865	45	2	10
2014-03-29 15:53:17.101338	84866	21.0	1	10
2014-03-29 15:53:20.175534	84867	305	3	2
2014-03-29 15:53:20.406025	84868	1121501.4262337594	4	2
2014-03-29 15:53:27.023983	84869	45	2	8
2014-03-29 15:53:27.247977	84870	20.2	1	8
2014-03-29 15:53:32.174979	84871	305	3	2
2014-03-29 15:53:32.413157	84872	1121502.5752684807	4	2
2014-03-29 15:53:39.370667	84873	49	2	1
2014-03-29 15:53:39.593456	84874	19.8	1	1
2014-03-29 15:53:55.879348	84875	45	2	10
2014-03-29 15:53:56.122818	84876	21.0	1	10
2014-03-29 15:54:06.024691	84877	45	2	8
2014-03-29 15:54:06.245481	84878	20.2	1	8
2014-03-29 15:54:18.372861	84879	49	2	1
2014-03-29 15:54:18.604893	84880	19.8	1	1
2014-03-29 15:54:32.174901	84881	305	3	2
2014-03-29 15:54:32.397739	84882	1121508.3204420877	4	2
2014-03-29 15:54:34.87892	84883	45	2	10
2014-03-29 15:54:35.110082	84884	21.0	1	10
2014-03-29 15:54:45.024914	84885	45	2	8
2014-03-29 15:54:45.247143	84886	20.2	1	8
2014-03-29 15:54:57.372514	84887	49	2	1
2014-03-29 15:54:57.605661	84888	19.8	1	1
2014-03-29 15:55:13.879162	84889	45	2	10
2014-03-29 15:55:14.101092	84890	21.0	1	10
2014-03-29 15:55:24.025611	84891	45	2	8
2014-03-29 15:55:24.25707	84892	20.2	1	8
2014-03-29 15:55:32.17329	84893	305	3	2
2014-03-29 15:55:32.395961	84894	1121512.9165809734	4	2
2014-03-29 15:55:36.371354	84895	49	2	1
2014-03-29 15:55:36.603852	84896	19.8	1	1
2014-03-29 15:55:52.882533	84897	45	2	10
2014-03-29 15:55:53.108934	84898	21.0	1	10
2014-03-29 15:56:03.025517	84899	45	2	8
2014-03-29 15:56:03.256489	84900	20.2	1	8
2014-03-29 15:56:15.369081	84901	49	2	1
2014-03-29 15:56:15.590234	84902	19.8	1	1
2014-03-29 15:56:31.878111	84903	45	2	10
2014-03-29 15:56:32.111671	84904	21.0	1	10
2014-03-29 15:56:42.024963	84905	45	2	8
2014-03-29 15:56:42.245821	84906	20.2	1	8
2014-03-29 15:56:54.368179	84907	49	2	1
2014-03-29 15:56:54.599261	84908	19.8	1	1
2014-03-29 15:57:10.8827	84909	45	2	10
2014-03-29 15:57:11.108616	84910	21.0	1	10
2014-03-29 15:57:21.024845	84911	45	2	8
2014-03-29 15:57:21.257359	84912	20.2	1	8
2014-03-29 15:57:32.174328	84913	305	3	2
2014-03-29 15:57:32.397018	84914	1121523.2578934662	4	2
2014-03-29 15:57:33.369396	84915	49	2	1
2014-03-29 15:57:33.5994	84916	19.8	1	1
2014-03-29 15:57:49.880699	84917	45	2	10
2014-03-29 15:57:50.105722	84918	21.0	1	10
2014-03-29 15:58:00.026106	84919	45	2	8
2014-03-29 15:58:00.25912	84920	20.2	1	8
2014-03-29 15:58:12.365903	84921	49	2	1
2014-03-29 15:58:12.586571	84922	19.8	1	1
2014-03-29 15:58:28.881978	84923	45	2	10
2014-03-29 15:58:29.127903	84924	21.0	1	10
2014-03-29 15:58:32.176022	84925	305	3	2
2014-03-29 15:58:32.396557	84926	1121527.8540323519	4	2
2014-03-29 15:58:39.025093	84927	45	2	8
2014-03-29 15:58:39.257887	84928	20.2	1	8
2014-03-29 15:58:51.367484	84929	49	2	1
2014-03-29 15:58:51.58926	84930	19.8	1	1
2014-03-29 15:59:07.883556	84931	45	2	10
2014-03-29 15:59:08.116906	84932	21.0	1	10
2014-03-29 15:59:18.044328	84933	45	2	8
2014-03-29 15:59:18.267337	84934	20.2	1	8
2014-03-29 15:59:30.369915	84935	49	2	1
2014-03-29 15:59:30.601594	84936	19.8	1	1
2014-03-29 15:59:32.173207	84937	305	3	2
2014-03-29 15:59:32.397616	84938	1121533.599205959	4	2
2014-03-29 15:59:46.880584	84939	45	2	10
2014-03-29 15:59:47.112892	84940	21.0	1	10
2014-03-29 15:59:57.024627	84941	45	2	8
2014-03-29 15:59:57.245911	84942	20.2	1	8
2014-03-29 16:00:08.176047	84943	354	3	2
2014-03-29 16:00:08.41249	84944	1121537.046310123	4	2
2014-03-29 16:00:09.364296	84945	49	2	1
2014-03-29 16:00:09.587045	84946	19.8	1	1
2014-03-29 16:00:25.881873	84947	45	2	10
2014-03-29 16:00:26.114439	84948	21.0	1	10
2014-03-29 16:00:32.173407	84949	354	3	2
2014-03-29 16:00:32.396056	84950	1121539.344379566	4	2
2014-03-29 16:00:36.026815	84951	45	2	8
2014-03-29 16:00:36.256673	84952	20.2	1	8
2014-03-29 16:00:48.36747	84953	49	2	1
2014-03-29 16:00:48.58993	84954	19.8	1	1
2014-03-29 16:01:04.882931	84955	45	2	10
2014-03-29 16:01:05.117716	84956	21.0	1	10
2014-03-29 16:01:15.027017	84957	45	2	8
2014-03-29 16:01:15.250885	84958	20.2	1	8
2014-03-29 16:01:27.368011	84959	49	2	1
2014-03-29 16:01:27.59946	84960	19.8	1	1
2014-03-29 16:01:32.172565	84961	354	3	2
2014-03-29 16:01:32.393545	84962	1121545.0895531732	4	2
2014-03-29 16:01:43.882426	84963	45	2	10
2014-03-29 16:01:44.114717	84964	21.0	1	10
2014-03-29 16:01:54.026791	84965	45	2	8
2014-03-29 16:01:54.249396	84966	20.2	1	8
2014-03-29 16:02:06.366173	84967	49	2	1
2014-03-29 16:02:06.598508	84968	19.8	1	1
2014-03-29 16:02:22.884392	84969	45	2	10
2014-03-29 16:02:23.113433	84970	21.0	1	10
2014-03-29 16:02:33.025669	84971	45	2	8
2014-03-29 16:02:33.269243	84972	20.2	1	8
2014-03-29 16:02:45.365162	84973	49	2	1
2014-03-29 16:02:45.589163	84974	19.8	1	1
2014-03-29 16:03:01.883149	84975	45	2	10
2014-03-29 16:03:02.117413	84976	21.0	1	10
2014-03-29 16:03:12.027282	84977	45	2	8
2014-03-29 16:03:12.251728	84978	20.2	1	8
2014-03-29 16:03:24.363762	84979	49	2	1
2014-03-29 16:03:24.596371	84980	19.8	1	1
2014-03-29 16:03:40.682758	84981	354	3	2
2014-03-29 16:03:40.906469	84982	1121557.7289351085	4	2
2014-03-29 16:03:41.210714	84983	45	2	10
2014-03-29 16:03:41.442553	84984	21.0	1	10
2014-03-29 16:03:51.024683	84985	45	2	8
2014-03-29 16:03:51.249284	84986	20.2	1	8
2014-03-29 16:04:03.365571	84987	49	2	1
2014-03-29 16:04:03.597033	84988	19.8	1	1
2014-03-29 16:04:19.879233	84989	45	2	10
2014-03-29 16:04:20.100435	84990	21.0	1	10
2014-03-29 16:04:30.024936	84991	45	2	8
2014-03-29 16:04:30.259586	84992	20.2	1	8
2014-03-29 16:04:32.173682	84993	370	3	2
2014-03-29 16:04:32.395663	84994	1121563.4741087158	4	2
2014-03-29 16:04:42.367557	84995	49	2	1
2014-03-29 16:04:42.598956	84996	19.8	1	1
2014-03-29 16:04:58.884899	84997	45	2	10
2014-03-29 16:04:59.109458	84998	21.0	1	10
2014-03-29 16:05:09.025413	84999	45	2	8
2014-03-29 16:05:09.257948	85000	20.2	1	8
2014-03-29 16:05:32.174742	85001	305	3	2
2014-03-29 16:05:32.397619	85002	1121569.2192823228	4	2
2014-03-29 16:05:37.883895	85003	45	2	10
2014-03-29 16:05:38.11926	85004	21.0	1	10
2014-03-29 16:05:44.174488	85005	305	3	2
2014-03-29 16:05:44.396135	85006	1121570.368317044	4	2
2014-03-29 16:05:48.025423	85007	45	2	8
2014-03-29 16:05:48.315053	85008	20.2	1	8
2014-03-29 16:06:00.364325	85009	49	2	1
2014-03-29 16:06:00.590098	85010	19.8	1	1
2014-03-29 16:06:16.879943	85011	45	2	10
2014-03-29 16:06:17.113715	85012	21.0	1	10
2014-03-29 16:06:27.025662	85013	45	2	8
2014-03-29 16:06:27.247906	85014	20.2	1	8
2014-03-29 16:06:32.173252	85015	305	3	2
2014-03-29 16:06:32.409995	85016	1121574.9644559298	4	2
2014-03-29 16:06:39.360959	85017	49	2	1
2014-03-29 16:06:39.585603	85018	19.8	1	1
2014-03-29 16:06:55.883028	85019	45	2	10
2014-03-29 16:06:56.125804	85020	21.0	1	10
2014-03-29 16:07:06.024957	85021	45	2	8
2014-03-29 16:07:06.246974	85022	20.2	1	8
2014-03-29 16:07:18.361658	85023	49	2	1
2014-03-29 16:07:18.781482	85024	19.8	1	1
2014-03-29 16:07:32.173036	85025	305	3	2
2014-03-29 16:07:32.400802	85026	1121579.5605948155	4	2
2014-03-29 16:07:34.883878	85027	45	2	10
2014-03-29 16:07:35.104725	85028	21.0	1	10
2014-03-29 16:07:45.024496	85029	45	2	8
2014-03-29 16:07:45.256083	85030	20.2	1	8
2014-03-29 16:07:57.361745	85031	49	2	1
2014-03-29 16:07:57.585365	85032	19.8	1	1
2014-03-29 16:08:13.881773	85033	45	2	10
2014-03-29 16:08:14.115522	85034	21.0	1	10
2014-03-29 16:08:24.027048	85035	45	2	8
2014-03-29 16:08:24.247129	85036	20.2	1	8
2014-03-29 16:08:32.173825	85037	305	3	2
2014-03-29 16:08:32.404664	85038	1121585.3057684225	4	2
2014-03-29 16:08:36.363085	85039	49	2	1
2014-03-29 16:08:36.583303	85040	19.8	1	1
2014-03-29 16:08:52.883367	85041	45	2	10
2014-03-29 16:08:53.115644	85042	21.0	1	10
2014-03-29 16:09:03.024785	85043	45	2	8
2014-03-29 16:09:03.24812	85044	20.2	1	8
2014-03-29 16:09:15.359269	85045	49	2	1
2014-03-29 16:09:15.590026	85046	19.8	1	1
2014-03-29 16:09:31.883788	85047	45	2	10
2014-03-29 16:09:32.105771	85048	21.0	1	10
2014-03-29 16:09:42.02572	85049	45	2	8
2014-03-29 16:09:42.259484	85050	20.2	1	8
2014-03-29 16:09:54.363069	85051	49	2	1
2014-03-29 16:09:54.585971	85052	19.8	1	1
2014-03-29 16:10:10.88489	85053	45	2	10
2014-03-29 16:10:11.116129	85054	21.0	1	10
2014-03-29 16:10:21.025673	85055	45	2	8
2014-03-29 16:10:21.24702	85056	20.2	1	8
2014-03-29 16:10:32.174091	85057	305	3	2
2014-03-29 16:10:32.406776	85058	1121595.6470809153	4	2
2014-03-29 16:10:33.364505	85059	49	2	1
2014-03-29 16:10:33.586018	85060	19.7	1	1
2014-03-29 16:10:49.884389	85061	45	2	10
2014-03-29 16:10:50.115548	85062	21.0	1	10
2014-03-29 16:11:00.024753	85063	45	2	8
2014-03-29 16:11:00.245836	85064	20.2	1	8
2014-03-29 16:11:12.359183	85065	49	2	1
2014-03-29 16:11:12.595689	85066	19.7	1	1
2014-03-29 16:11:28.883259	85067	45	2	10
2014-03-29 16:11:29.103912	85068	21.0	1	10
2014-03-29 16:11:32.173246	85069	305	3	2
2014-03-29 16:11:32.413662	85070	1121600.243219801	4	2
2014-03-29 16:11:39.024833	85071	45	2	8
2014-03-29 16:11:39.247648	85072	20.2	1	8
2014-03-29 16:11:51.360539	85073	49	2	1
2014-03-29 16:11:51.592982	85074	19.7	1	1
2014-03-29 16:12:07.883078	85075	45	2	10
2014-03-29 16:12:08.104382	85076	21.0	1	10
2014-03-29 16:12:18.02464	85077	45	2	8
2014-03-29 16:12:18.261628	85078	20.2	1	8
2014-03-29 16:12:20.171719	85079	354	3	2
2014-03-29 16:12:20.393477	85080	1121604.8393586867	4	2
2014-03-29 16:12:30.364509	85081	49	2	1
2014-03-29 16:12:30.594642	85082	19.7	1	1
2014-03-29 16:12:32.175122	85083	354	3	2
2014-03-29 16:12:32.395928	85084	1121605.988393408	4	2
2014-03-29 16:12:46.888279	85085	45	2	10
2014-03-29 16:12:47.122753	85086	21.0	1	10
2014-03-29 16:12:57.02414	85087	45	2	8
2014-03-29 16:12:57.247122	85088	20.2	1	8
2014-03-29 16:13:09.362206	85089	49	2	1
2014-03-29 16:13:09.593815	85090	19.7	1	1
2014-03-29 16:13:25.887134	85091	45	2	10
2014-03-29 16:13:26.107575	85092	21.0	1	10
2014-03-29 16:13:32.174138	85093	354	3	2
2014-03-29 16:13:32.406683	85094	1121611.733567015	4	2
2014-03-29 16:13:36.028127	85095	45	2	8
2014-03-29 16:13:36.250698	85096	20.2	1	8
2014-03-29 16:13:48.366712	85097	49	2	1
2014-03-29 16:13:48.648113	85098	19.7	1	1
2014-03-29 16:14:04.889347	85099	45	2	10
2014-03-29 16:14:05.113107	85100	21.0	1	10
2014-03-29 16:14:15.025097	85101	45	2	8
2014-03-29 16:14:15.259607	85102	20.2	1	8
2014-03-29 16:14:27.359004	85103	49	2	1
2014-03-29 16:14:27.58226	85104	19.7	1	1
2014-03-29 16:14:32.174983	85105	370	3	2
2014-03-29 16:14:32.405298	85106	1121617.4787406223	4	2
2014-03-29 16:14:43.887087	85107	45	2	10
2014-03-29 16:14:44.109152	85108	21.0	1	10
2014-03-29 16:14:54.024012	85109	45	2	8
2014-03-29 16:14:54.258441	85110	20.2	1	8
2014-03-29 16:15:06.401349	85111	48	2	1
2014-03-29 16:15:06.623686	85112	19.7	1	1
2014-03-29 16:15:22.885293	85113	45	2	10
2014-03-29 16:15:23.118173	85114	21.0	1	10
2014-03-29 16:15:33.027126	85115	45	2	8
2014-03-29 16:15:33.249339	85116	20.2	1	8
2014-03-29 16:15:45.362235	85117	48	2	1
2014-03-29 16:15:45.604163	85118	19.7	1	1
2014-03-29 16:16:01.885609	85119	45	2	10
2014-03-29 16:16:02.10829	85120	21.0	1	10
2014-03-29 16:16:12.025047	85121	45	2	8
2014-03-29 16:16:12.255911	85122	20.2	1	8
2014-03-29 16:16:24.354928	85123	48	2	1
2014-03-29 16:16:24.578169	85124	19.7	1	1
2014-03-29 16:16:32.174231	85125	354	3	2
2014-03-29 16:16:32.406469	85126	1121630.1181225576	4	2
2014-03-29 16:16:40.886091	85127	45	2	10
2014-03-29 16:16:41.107878	85128	21.0	1	10
2014-03-29 16:16:51.024915	85129	45	2	8
2014-03-29 16:16:51.256312	85130	20.2	1	8
2014-03-29 16:17:03.3578	85131	48	2	1
2014-03-29 16:17:03.579538	85132	19.7	1	1
2014-03-29 16:17:19.884855	85133	45	2	10
2014-03-29 16:17:20.115242	85134	20.9	1	10
2014-03-29 16:17:30.023986	85135	45	2	8
2014-03-29 16:17:30.246208	85136	20.2	1	8
2014-03-29 16:17:32.1723	85137	305	3	2
2014-03-29 16:17:32.402809	85138	1121635.863296165	4	2
2014-03-29 16:17:42.35778	85139	48	2	1
2014-03-29 16:17:42.58161	85140	19.7	1	1
2014-03-29 16:17:44.173301	85141	305	3	2
2014-03-29 16:17:44.403807	85142	1121635.867767117	4	2
2014-03-29 16:17:58.884839	85143	45	2	10
2014-03-29 16:17:59.107179	85144	20.9	1	10
2014-03-29 16:18:09.024675	85145	45	2	8
2014-03-29 16:18:09.255759	85146	20.2	1	8
2014-03-29 16:18:21.358875	85147	48	2	1
2014-03-29 16:18:21.580809	85148	19.7	1	1
2014-03-29 16:18:32.172949	85149	305	3	2
2014-03-29 16:18:32.407197	85150	1121639.3148712814	4	2
2014-03-29 16:18:37.889701	85151	45	2	10
2014-03-29 16:18:38.11693	85152	20.9	1	10
2014-03-29 16:18:48.024535	85153	45	2	8
2014-03-29 16:18:48.256002	85154	20.1	1	8
2014-03-29 16:19:00.355058	85155	48	2	1
2014-03-29 16:19:00.576424	85156	19.7	1	1
2014-03-29 16:19:16.889606	85157	45	2	10
2014-03-29 16:19:17.123642	85158	20.9	1	10
2014-03-29 16:19:27.027275	85159	45	2	8
2014-03-29 16:19:27.251173	85160	20.1	1	8
2014-03-29 16:19:32.170885	85161	305	3	2
2014-03-29 16:19:32.405849	85162	1121645.0600448884	4	2
2014-03-29 16:19:39.398814	85163	48	2	1
2014-03-29 16:19:39.620737	85164	19.7	1	1
2014-03-29 16:19:55.887453	85165	45	2	10
2014-03-29 16:19:56.133424	85166	20.9	1	10
2014-03-29 16:20:06.024963	85167	45	2	8
2014-03-29 16:20:06.249626	85168	20.1	1	8
2014-03-29 16:20:18.398838	85169	48	2	1
2014-03-29 16:20:18.683328	85170	19.7	1	1
2014-03-29 16:20:32.173742	85171	305	3	2
2014-03-29 16:20:32.395912	85172	1121649.6561837741	4	2
2014-03-29 16:20:34.885766	85173	45	2	10
2014-03-29 16:20:35.116912	85174	20.9	1	10
2014-03-29 16:20:45.024363	85175	45	2	8
2014-03-29 16:20:45.247846	85176	20.1	1	8
2014-03-29 16:20:57.35628	85177	48	2	1
2014-03-29 16:20:57.587763	85178	19.7	1	1
2014-03-29 16:21:13.88813	85179	45	2	10
2014-03-29 16:21:14.109162	85180	20.9	1	10
2014-03-29 16:21:24.025117	85181	45	2	8
2014-03-29 16:21:24.257104	85182	20.1	1	8
2014-03-29 16:21:32.173582	85183	305	3	2
2014-03-29 16:21:32.398526	85184	1121655.4013573811	4	2
2014-03-29 16:21:36.397684	85185	48	2	1
2014-03-29 16:21:36.630053	85186	19.7	1	1
2014-03-29 16:21:52.88894	85187	45	2	10
2014-03-29 16:21:53.109844	85188	20.9	1	10
2014-03-29 16:22:03.023711	85189	45	2	8
2014-03-29 16:22:03.255391	85190	20.1	1	8
2014-03-29 16:22:15.352407	85191	48	2	1
2014-03-29 16:22:15.575353	85192	19.7	1	1
2014-03-29 16:22:20.173602	85193	354	3	2
2014-03-29 16:22:20.404926	85194	1121658.8484615453	4	2
2014-03-29 16:22:31.887131	85195	45	2	10
2014-03-29 16:22:32.108476	85196	20.9	1	10
2014-03-29 16:22:42.024037	85197	45	2	8
2014-03-29 16:22:42.257065	85198	20.1	1	8
2014-03-29 16:22:44.174254	85199	418	3	2
2014-03-29 16:22:44.397531	85200	1121661.1465309882	4	2
2014-03-29 16:22:54.354783	85201	48	2	1
2014-03-29 16:22:54.585858	85202	19.7	1	1
2014-03-29 16:22:56.172008	85203	402	3	2
2014-03-29 16:22:56.391936	85204	1121662.2955657097	4	2
2014-03-29 16:23:10.887706	85205	45	2	10
2014-03-29 16:23:11.120621	85206	20.9	1	10
2014-03-29 16:23:21.023259	85207	45	2	8
2014-03-29 16:23:21.245072	85208	20.1	1	8
2014-03-29 16:23:32.172872	85209	370	3	2
2014-03-29 16:23:32.403597	85210	1121666.8917045952	4	2
2014-03-29 16:23:33.350493	85211	48	2	1
2014-03-29 16:23:33.571575	85212	19.7	1	1
2014-03-29 16:23:44.170957	85213	370	3	2
2014-03-29 16:23:44.413895	85214	1121668.0407393167	4	2
2014-03-29 16:23:49.890674	85215	45	2	10
2014-03-29 16:23:50.117309	85216	20.9	1	10
2014-03-29 16:24:00.023989	85217	45	2	8
2014-03-29 16:24:00.278292	85218	20.1	1	8
2014-03-29 16:24:08.171097	85219	434	3	2
2014-03-29 16:24:08.393105	85220	1121670.3388087596	4	2
2014-03-29 16:24:12.353253	85221	48	2	1
2014-03-29 16:24:12.586782	85222	19.7	1	1
2014-03-29 16:24:20.171282	85223	434	3	2
2014-03-29 16:24:20.392548	85224	1121672.6368782024	4	2
2014-03-29 16:24:28.887893	85225	45	2	10
2014-03-29 16:24:29.120969	85226	20.9	1	10
2014-03-29 16:24:32.170867	85227	434	3	2
2014-03-29 16:24:32.392011	85228	1121673.7859129237	4	2
2014-03-29 16:24:39.027212	85229	45	2	8
2014-03-29 16:24:39.259373	85230	20.1	1	8
2014-03-29 16:24:51.351059	85231	48	2	1
2014-03-29 16:24:51.573971	85232	19.7	1	1
2014-03-29 16:25:07.889488	85233	45	2	10
2014-03-29 16:25:08.125089	85234	20.9	1	10
2014-03-29 16:25:18.025405	85235	45	2	8
2014-03-29 16:25:18.248467	85236	20.1	1	8
2014-03-29 16:25:30.349999	85237	48	2	1
2014-03-29 16:25:30.580734	85238	19.7	1	1
2014-03-29 16:25:32.175295	85239	434	3	2
2014-03-29 16:25:32.399354	85240	1121680.6801212523	4	2
2014-03-29 16:25:46.888571	85241	45	2	10
2014-03-29 16:25:47.120442	85242	20.9	1	10
2014-03-29 16:25:57.024857	85243	45	2	8
2014-03-29 16:25:57.248854	85244	20.1	1	8
2014-03-29 16:26:09.351011	85245	48	2	1
2014-03-29 16:26:09.581508	85246	19.7	1	1
2014-03-29 16:26:25.890273	85247	45	2	10
2014-03-29 16:26:26.111738	85248	20.9	1	10
2014-03-29 16:26:32.173907	85249	434	3	2
2014-03-29 16:26:32.407842	85250	1121688.7233643022	4	2
2014-03-29 16:26:36.025102	85251	45	2	8
2014-03-29 16:26:36.245621	85252	20.1	1	8
2014-03-29 16:26:48.39545	85253	48	2	1
2014-03-29 16:26:48.626596	85254	19.7	1	1
2014-03-29 16:27:04.889398	85255	45	2	10
2014-03-29 16:27:05.111372	85256	20.9	1	10
2014-03-29 16:27:15.024727	85257	45	2	8
2014-03-29 16:27:15.255326	85258	20.1	1	8
2014-03-29 16:27:27.352654	85259	48	2	1
2014-03-29 16:27:27.574996	85260	19.7	1	1
2014-03-29 16:27:32.174023	85261	434	3	2
2014-03-29 16:27:32.415676	85262	1121695.6175726305	4	2
2014-03-29 16:27:43.888449	85263	45	2	10
2014-03-29 16:27:44.110507	85264	20.9	1	10
2014-03-29 16:27:54.024182	85265	45	2	8
2014-03-29 16:27:54.256136	85266	20.1	1	8
2014-03-29 16:28:06.353758	85267	48	2	1
2014-03-29 16:28:06.575036	85268	19.7	1	1
2014-03-29 16:28:22.891851	85269	45	2	10
2014-03-29 16:28:23.123617	85270	20.9	1	10
2014-03-29 16:28:33.024136	85271	45	2	8
2014-03-29 16:28:33.246241	85272	20.1	1	8
2014-03-29 16:28:45.351396	85273	48	2	1
2014-03-29 16:28:45.582965	85274	19.7	1	1
2014-03-29 16:29:01.892236	85275	45	2	10
2014-03-29 16:29:02.113487	85276	20.9	1	10
2014-03-29 16:29:12.025287	85277	45	2	8
2014-03-29 16:29:12.256389	85278	20.1	1	8
2014-03-29 16:29:24.352505	85279	48	2	1
2014-03-29 16:29:24.5728	85280	19.7	1	1
2014-03-29 16:29:32.171925	85281	434	3	2
2014-03-29 16:29:32.403421	85282	1121710.555024009	4	2
2014-03-29 16:29:40.890213	85283	45	2	10
2014-03-29 16:29:41.1128	85284	20.9	1	10
2014-03-29 16:29:51.027662	85285	45	2	8
2014-03-29 16:29:51.259019	85286	20.1	1	8
2014-03-29 16:29:56.171415	85287	370	3	2
2014-03-29 16:29:56.3932	85288	1121712.8530934518	4	2
2014-03-29 16:30:03.393103	85289	48	2	1
2014-03-29 16:30:03.625033	85290	19.7	1	1
2014-03-29 16:30:08.173244	85291	370	3	2
2014-03-29 16:30:08.394856	85292	1121714.0021281734	4	2
2014-03-29 16:30:19.889695	85293	45	2	10
2014-03-29 16:30:20.124162	85294	20.9	1	10
2014-03-29 16:30:30.025265	85295	45	2	8
2014-03-29 16:30:30.248186	85296	20.1	1	8
2014-03-29 16:30:32.173293	85297	370	3	2
2014-03-29 16:30:32.404839	85298	1121716.3001976162	4	2
2014-03-29 16:30:42.348017	85299	48	2	1
2014-03-29 16:30:42.570368	85300	19.7	1	1
2014-03-29 16:30:58.892385	85301	45	2	10
2014-03-29 16:30:59.124364	85302	20.9	1	10
2014-03-29 16:31:09.024921	85303	45	2	8
2014-03-29 16:31:09.247903	85304	20.1	1	8
2014-03-29 16:31:21.349123	85305	48	2	1
2014-03-29 16:31:21.58017	85306	19.7	1	1
2014-03-29 16:31:32.173331	85307	370	3	2
2014-03-29 16:31:32.39578	85308	1121723.1944059446	4	2
2014-03-29 16:31:37.889049	85309	45	2	10
2014-03-29 16:31:38.137403	85310	20.9	1	10
2014-03-29 16:31:48.024942	85311	45	2	8
2014-03-29 16:31:48.245951	85312	20.1	1	8
2014-03-29 16:32:00.347659	85313	48	2	1
2014-03-29 16:32:00.578734	85314	19.7	1	1
2014-03-29 16:32:16.890753	85315	45	2	10
2014-03-29 16:32:17.111994	85316	20.9	1	10
2014-03-29 16:32:27.024686	85317	45	2	8
2014-03-29 16:32:27.257077	85318	20.1	1	8
2014-03-29 16:32:32.172053	85319	370	3	2
2014-03-29 16:32:32.397032	85320	1121728.9395795516	4	2
2014-03-29 16:32:39.351184	85321	48	2	1
2014-03-29 16:32:39.584428	85322	19.7	1	1
2014-03-29 16:32:55.892143	85323	45	2	10
2014-03-29 16:32:56.115319	85324	20.9	1	10
2014-03-29 16:33:06.024803	85325	45	2	8
2014-03-29 16:33:06.256793	85326	20.1	1	8
2014-03-29 16:33:18.345543	85327	48	2	1
2014-03-29 16:33:18.568258	85328	19.7	1	1
2014-03-29 16:33:32.169913	85329	370	3	2
2014-03-29 16:33:32.402509	85330	1121734.6847531588	4	2
2014-03-29 16:33:34.890595	85331	45	2	10
2014-03-29 16:33:35.1122	85332	20.9	1	10
2014-03-29 16:33:45.0244	85333	45	2	8
2014-03-29 16:33:45.264855	85334	20.1	1	8
2014-03-29 16:33:57.346112	85335	48	2	1
2014-03-29 16:33:57.566447	85336	19.7	1	1
2014-03-29 16:34:13.892758	85337	45	2	10
2014-03-29 16:34:14.12358	85338	20.9	1	10
2014-03-29 16:34:24.023845	85339	45	2	8
2014-03-29 16:34:24.245199	85340	20.1	1	8
2014-03-29 16:34:32.171161	85341	370	3	2
2014-03-29 16:34:32.403312	85342	1121741.5789614872	4	2
2014-03-29 16:34:36.347037	85343	48	2	1
2014-03-29 16:34:36.567767	85344	19.7	1	1
2014-03-29 16:34:52.89293	85345	45	2	10
2014-03-29 16:34:53.126681	85346	20.8	1	10
2014-03-29 16:35:03.027804	85347	45	2	8
2014-03-29 16:35:03.24814	85348	20.1	1	8
2014-03-29 16:35:15.349642	85349	48	2	1
2014-03-29 16:35:15.581819	85350	19.7	1	1
2014-03-29 16:35:31.890069	85351	45	2	10
2014-03-29 16:35:32.115804	85352	20.8	1	10
2014-03-29 16:35:42.02711	85353	45	2	8
2014-03-29 16:35:42.260897	85354	20.1	1	8
2014-03-29 16:35:54.347851	85355	48	2	1
2014-03-29 16:35:54.595433	85356	19.6	1	1
2014-03-29 16:36:10.891926	85357	45	2	10
2014-03-29 16:36:11.136153	85358	20.8	1	10
2014-03-29 16:36:21.024458	85359	45	2	8
2014-03-29 16:36:21.248813	85360	20.1	1	8
2014-03-29 16:36:32.169252	85361	418	3	2
2014-03-29 16:36:32.403868	85362	1121754.2183434227	4	2
2014-03-29 16:36:33.347681	85363	48	2	1
2014-03-29 16:36:33.567171	85364	19.6	1	1
2014-03-29 16:36:44.172246	85365	434	3	2
2014-03-29 16:36:44.405508	85366	1121755.3673781443	4	2
2014-03-29 16:36:49.892277	85367	45	2	10
2014-03-29 16:36:50.119915	85368	20.8	1	10
2014-03-29 16:37:00.02407	85369	45	2	8
2014-03-29 16:37:00.25668	85370	20.1	1	8
2014-03-29 16:37:12.585407	85371	48	2	1
2014-03-29 16:37:12.807171	85372	19.6	1	1
2014-03-29 16:37:28.891957	85373	45	2	10
2014-03-29 16:37:29.125534	85374	20.8	1	10
2014-03-29 16:37:32.171643	85375	434	3	2
2014-03-29 16:37:32.395615	85376	1121761.1125517513	4	2
2014-03-29 16:37:39.024553	85377	45	2	8
2014-03-29 16:37:39.257304	85378	20.1	1	8
2014-03-29 16:37:51.345749	85379	48	2	1
2014-03-29 16:37:51.570354	85380	19.6	1	1
2014-03-29 16:37:56.173226	85381	354	3	2
2014-03-29 16:37:56.405501	85382	1121763.4106211942	4	2
2014-03-29 16:38:07.891407	85383	45	2	10
2014-03-29 16:38:08.113388	85384	20.8	1	10
2014-03-29 16:38:18.023802	85385	45	2	8
2014-03-29 16:38:18.25636	85386	20.1	1	8
2014-03-29 16:38:30.348098	85387	48	2	1
2014-03-29 16:38:30.571614	85388	19.6	1	1
2014-03-29 16:38:32.171028	85389	354	3	2
2014-03-29 16:38:32.403449	85390	1121766.8577253583	4	2
2014-03-29 16:38:46.895362	85391	45	2	10
2014-03-29 16:38:47.137291	85392	20.8	1	10
2014-03-29 16:38:57.024882	85393	45	2	8
2014-03-29 16:38:57.257281	85394	20.1	1	8
2014-03-29 16:39:09.346988	85395	48	2	1
2014-03-29 16:39:09.570298	85396	19.6	1	1
2014-03-29 16:39:25.902681	85397	45	2	10
2014-03-29 16:39:26.134118	85398	20.8	1	10
2014-03-29 16:39:32.171179	85399	354	3	2
2014-03-29 16:39:32.392854	85400	1121773.751933687	4	2
2014-03-29 16:39:36.025152	85401	45	2	8
2014-03-29 16:39:36.259436	85402	20.1	1	8
2014-03-29 16:39:48.342668	85403	48	2	1
2014-03-29 16:39:48.566765	85404	19.6	1	1
2014-03-29 16:40:04.894387	85405	45	2	10
2014-03-29 16:40:05.136879	85406	20.8	1	10
2014-03-29 16:40:15.024446	85407	45	2	8
2014-03-29 16:40:15.245973	85408	20.1	1	8
2014-03-29 16:40:27.344361	85409	48	2	1
2014-03-29 16:40:27.575569	85410	19.6	1	1
2014-03-29 16:40:32.170706	85411	354	3	2
2014-03-29 16:40:32.3917	85412	1121779.497107294	4	2
2014-03-29 16:40:43.895741	85413	45	2	10
2014-03-29 16:40:44.128499	85414	20.8	1	10
2014-03-29 16:40:54.02585	85415	45	2	8
2014-03-29 16:40:54.248493	85416	20.1	1	8
2014-03-29 16:41:06.343665	85417	48	2	1
2014-03-29 16:41:06.574763	85418	19.6	1	1
2014-03-29 16:41:22.893482	85419	45	2	10
2014-03-29 16:41:23.117779	85420	20.8	1	10
2014-03-29 16:41:33.024487	85421	45	2	8
2014-03-29 16:41:33.257148	85422	20.1	1	8
2014-03-29 16:41:44.173273	85423	305	3	2
2014-03-29 16:41:44.397745	85424	1121786.3913156225	4	2
2014-03-29 16:41:45.34112	85425	48	2	1
2014-03-29 16:41:45.572688	85426	19.6	1	1
2014-03-29 16:41:56.182787	85427	305	3	2
2014-03-29 16:41:56.406926	85428	1121787.5403503438	4	2
2014-03-29 16:42:01.894031	85429	45	2	10
2014-03-29 16:42:02.128962	85430	20.8	1	10
2014-03-29 16:42:12.024513	85431	45	2	8
2014-03-29 16:42:12.248788	85432	20.1	1	8
2014-03-29 16:42:24.347072	85433	48	2	1
2014-03-29 16:42:24.584645	85434	19.6	1	1
2014-03-29 16:42:32.172222	85435	305	3	2
2014-03-29 16:42:32.39879	85436	1121789.8384197867	4	2
2014-03-29 16:42:40.893571	85437	45	2	10
2014-03-29 16:42:41.126774	85438	20.8	1	10
2014-03-29 16:42:51.023788	85439	45	2	8
2014-03-29 16:42:51.245745	85440	20.1	1	8
2014-03-29 16:43:03.342355	85441	48	2	1
2014-03-29 16:43:03.575604	85442	19.6	1	1
2014-03-29 16:43:08.170235	85443	338	3	2
2014-03-29 16:43:08.392161	85444	1121793.2855239508	4	2
2014-03-29 16:43:19.895085	85445	45	2	10
2014-03-29 16:43:20.127403	85446	20.8	1	10
2014-03-29 16:43:30.024446	85447	45	2	8
2014-03-29 16:43:30.246901	85448	20.1	1	8
2014-03-29 16:43:32.171782	85449	305	3	2
2014-03-29 16:43:32.40354	85450	1121795.5835933937	4	2
2014-03-29 16:43:42.3429	85451	48	2	1
2014-03-29 16:43:42.565845	85452	19.6	1	1
2014-03-29 16:43:44.169657	85453	338	3	2
2014-03-29 16:43:44.411662	85454	1121796.7326281152	4	2
2014-03-29 16:43:56.172185	85455	305	3	2
2014-03-29 16:43:56.393275	85456	1121797.8816628365	4	2
2014-03-29 16:43:58.893335	85457	45	2	10
2014-03-29 16:43:59.127048	85458	20.8	1	10
2014-03-29 16:44:09.025311	85459	45	2	8
2014-03-29 16:44:09.247351	85460	20.1	1	8
2014-03-29 16:44:21.343138	85461	48	2	1
2014-03-29 16:44:21.576722	85462	19.6	1	1
2014-03-29 16:44:32.170618	85463	305	3	2
2014-03-29 16:44:32.39441	85464	1121801.3287670007	4	2
2014-03-29 16:44:37.895552	85465	45	2	10
2014-03-29 16:44:38.131148	85466	20.8	1	10
2014-03-29 16:44:48.022818	85467	45	2	8
2014-03-29 16:44:48.245382	85468	20.1	1	8
2014-03-29 16:45:00.343405	85469	48	2	1
2014-03-29 16:45:00.574459	85470	19.6	1	1
2014-03-29 16:45:16.895572	85471	45	2	10
2014-03-29 16:45:17.119506	85472	20.8	1	10
2014-03-29 16:45:20.169624	85473	338	3	2
2014-03-29 16:45:20.401642	85474	1121805.9249058864	4	2
2014-03-29 16:45:27.024925	85475	45	2	8
2014-03-29 16:45:27.247899	85476	20.1	1	8
2014-03-29 16:45:32.171847	85477	305	3	2
2014-03-29 16:45:32.406714	85478	1121805.9249058864	4	2
2014-03-29 16:45:39.339615	85479	48	2	1
2014-03-29 16:45:39.562693	85480	19.6	1	1
2014-03-29 16:45:44.173363	85481	305	3	2
2014-03-29 16:45:44.405028	85482	1121807.073940608	4	2
2014-03-29 16:45:55.894146	85483	45	2	10
2014-03-29 16:45:56.118028	85484	20.8	1	10
2014-03-29 16:46:06.02564	85485	45	2	8
2014-03-29 16:46:06.257606	85486	20.1	1	8
2014-03-29 16:46:18.338189	85487	48	2	1
2014-03-29 16:46:18.560243	85488	19.6	1	1
2014-03-29 16:46:32.173224	85489	305	3	2
2014-03-29 16:46:32.404743	85490	1121811.6700794937	4	2
2014-03-29 16:46:34.89595	85491	45	2	10
2014-03-29 16:46:35.121336	85492	20.8	1	10
2014-03-29 16:46:45.02364	85493	45	2	8
2014-03-29 16:46:45.258142	85494	20.1	1	8
2014-03-29 16:46:56.171595	85495	338	3	2
2014-03-29 16:46:56.394084	85496	1121813.9681489363	4	2
2014-03-29 16:46:57.342132	85497	48	2	1
2014-03-29 16:46:57.57404	85498	19.6	1	1
2014-03-29 16:47:08.173422	85499	305	3	2
2014-03-29 16:47:08.39525	85500	1121815.1171836578	4	2
2014-03-29 16:47:13.894946	85501	45	2	10
2014-03-29 16:47:14.143418	85502	20.8	1	10
2014-03-29 16:47:20.172418	85503	305	3	2
2014-03-29 16:47:20.395854	85504	1121816.2662183791	4	2
2014-03-29 16:47:24.02249	85505	45	2	8
2014-03-29 16:47:24.255375	85506	20.1	1	8
2014-03-29 16:47:32.171664	85507	305	3	2
2014-03-29 16:47:32.394743	85508	1121817.4152531007	4	2
2014-03-29 16:47:36.341435	85509	48	2	1
2014-03-29 16:47:36.573374	85510	19.6	1	1
2014-03-29 16:47:52.896777	85511	45	2	10
2014-03-29 16:47:53.120408	85512	20.7	1	10
2014-03-29 16:48:03.022539	85513	45	2	8
2014-03-29 16:48:03.255255	85514	20.1	1	8
2014-03-29 16:48:08.171927	85515	370	3	2
2014-03-29 16:48:08.39832	85516	1121819.7133225435	4	2
2014-03-29 16:48:15.345052	85517	48	2	1
2014-03-29 16:48:15.577905	85518	19.6	1	1
2014-03-29 16:48:20.172094	85519	354	3	2
2014-03-29 16:48:20.394637	85520	1121820.8623572649	4	2
2014-03-29 16:48:31.895961	85521	45	2	10
2014-03-29 16:48:32.12733	85522	20.7	1	10
2014-03-29 16:48:42.034988	85523	45	2	8
2014-03-29 16:48:42.256286	85524	20.1	1	8
2014-03-29 16:48:54.340181	85525	48	2	1
2014-03-29 16:48:54.577566	85526	19.6	1	1
2014-03-29 16:49:10.896223	85527	45	2	10
2014-03-29 16:49:11.11649	85528	20.7	1	10
2014-03-29 16:49:21.024064	85529	45	2	8
2014-03-29 16:49:21.255988	85530	20.1	1	8
2014-03-29 16:49:32.171129	85531	354	3	2
2014-03-29 16:49:32.393693	85532	1121828.9056003147	4	2
2014-03-29 16:49:33.338057	85533	48	2	1
2014-03-29 16:49:33.569122	85534	19.6	1	1
2014-03-29 16:49:49.894872	85535	45	2	10
2014-03-29 16:49:50.118752	85536	20.7	1	10
2014-03-29 16:50:00.025869	85537	45	2	8
2014-03-29 16:50:00.257589	85538	20.1	1	8
2014-03-29 16:50:12.337225	85539	48	2	1
2014-03-29 16:50:12.559034	85540	19.6	1	1
2014-03-29 16:50:28.897227	85541	45	2	10
2014-03-29 16:50:29.129608	85542	20.7	1	10
2014-03-29 16:50:32.16997	85543	370	3	2
2014-03-29 16:50:32.391416	85544	1121834.6507739217	4	2
2014-03-29 16:50:39.026099	85545	45	2	8
2014-03-29 16:50:39.25903	85546	20.1	1	8
2014-03-29 16:50:51.338108	85547	48	2	1
2014-03-29 16:50:51.560772	85548	19.6	1	1
2014-03-29 16:51:07.898032	85549	45	2	10
2014-03-29 16:51:08.142436	85550	20.7	1	10
2014-03-29 16:51:18.025585	85551	45	2	8
2014-03-29 16:51:18.248936	85552	20.1	1	8
2014-03-29 16:51:30.336023	85553	48	2	1
2014-03-29 16:51:30.568816	85554	19.6	1	1
2014-03-29 16:51:32.171954	85555	354	3	2
2014-03-29 16:51:32.394157	85556	1121840.395947529	4	2
2014-03-29 16:51:46.89716	85557	45	2	10
2014-03-29 16:51:47.131896	85558	20.7	1	10
2014-03-29 16:51:57.025163	85559	45	2	8
2014-03-29 16:51:57.249571	85560	20.1	1	8
2014-03-29 16:52:09.340869	85561	48	2	1
2014-03-29 16:52:09.573166	85562	19.6	1	1
2014-03-29 16:52:25.89782	85563	45	2	10
2014-03-29 16:52:26.119052	85564	20.7	1	10
2014-03-29 16:52:34.742016	85565	354	3	2
2014-03-29 16:52:34.974606	85566	1121846.141121136	4	2
2014-03-29 16:52:36.024383	85567	45	2	8
2014-03-29 16:52:36.247829	85568	20.1	1	8
2014-03-29 16:52:48.338223	85569	48	2	1
2014-03-29 16:52:48.574737	85570	19.6	1	1
2014-03-29 16:53:04.897369	85571	45	2	10
2014-03-29 16:53:05.119075	85572	20.7	1	10
2014-03-29 16:53:15.023831	85573	45	2	8
2014-03-29 16:53:15.255824	85574	20.1	1	8
2014-03-29 16:53:27.3395	85575	48	2	1
2014-03-29 16:53:27.561838	85576	19.6	1	1
2014-03-29 16:53:32.172234	85577	354	3	2
2014-03-29 16:53:32.407676	85578	1121853.0353294646	4	2
2014-03-29 16:53:43.897449	85579	45	2	10
2014-03-29 16:53:44.119261	85580	20.7	1	10
2014-03-29 16:53:54.024744	85581	45	2	8
2014-03-29 16:53:54.255995	85582	20.1	1	8
2014-03-29 16:53:56.170424	85583	305	3	2
2014-03-29 16:53:56.394295	85584	1121855.3333989072	4	2
2014-03-29 16:54:06.334836	85585	48	2	1
2014-03-29 16:54:06.56912	85586	19.6	1	1
2014-03-29 16:54:08.168678	85587	305	3	2
2014-03-29 16:54:08.391054	85588	1121856.4824336288	4	2
2014-03-29 16:54:22.897654	85589	45	2	10
2014-03-29 16:54:23.130419	85590	20.7	1	10
2014-03-29 16:54:33.023917	85591	45	2	8
2014-03-29 16:54:33.24585	85592	20.1	1	8
2014-03-29 16:54:45.339061	85593	48	2	1
2014-03-29 16:54:45.574376	85594	19.6	1	1
2014-03-29 16:55:01.900856	85595	45	2	10
2014-03-29 16:55:02.123367	85596	20.7	1	10
2014-03-29 16:55:12.023694	85597	45	2	8
2014-03-29 16:55:12.266939	85598	20.1	1	8
2014-03-29 16:55:24.37794	85599	48	2	1
2014-03-29 16:55:24.599151	85600	19.6	1	1
2014-03-29 16:55:32.17272	85601	305	3	2
2014-03-29 16:55:32.404549	85602	1121863.3766419573	4	2
2014-03-29 16:55:40.895796	85603	45	2	10
2014-03-29 16:55:41.119063	85604	20.7	1	10
2014-03-29 16:55:51.024476	85605	45	2	8
2014-03-29 16:55:51.25468	85606	20.1	1	8
2014-03-29 16:56:03.335067	85607	48	2	1
2014-03-29 16:56:03.610926	85608	19.6	1	1
2014-03-29 16:56:19.899783	85609	45	2	10
2014-03-29 16:56:20.423753	85610	20.7	1	10
2014-03-29 16:56:30.024289	85611	45	2	8
2014-03-29 16:56:30.281021	85612	20.1	1	8
2014-03-29 16:56:32.171698	85613	305	3	2
2014-03-29 16:56:32.601542	85614	1121867.9727808428	4	2
2014-03-29 16:56:42.335605	85615	48	2	1
2014-03-29 16:56:42.591493	85616	19.6	1	1
2014-03-29 16:56:58.898767	85617	45	2	10
2014-03-29 16:56:59.132833	85618	20.7	1	10
2014-03-29 16:57:09.025313	85619	45	2	8
2014-03-29 16:57:09.246089	85620	20.1	1	8
2014-03-29 16:57:21.33397	85621	48	2	1
2014-03-29 16:57:21.56506	85622	19.6	1	1
2014-03-29 16:57:32.17207	85623	305	3	2
2014-03-29 16:57:32.393507	85624	1121873.71795445	4	2
2014-03-29 16:57:37.897467	85625	45	2	10
2014-03-29 16:57:38.133092	85626	20.7	1	10
2014-03-29 16:57:48.034717	85627	45	2	8
2014-03-29 16:57:48.256696	85628	20.1	1	8
2014-03-29 16:58:00.335598	85629	48	2	1
2014-03-29 16:58:00.569908	85630	19.6	1	1
2014-03-29 16:58:16.898319	85631	45	2	10
2014-03-29 16:58:17.119886	85632	20.7	1	10
2014-03-29 16:58:27.023476	85633	45	2	8
2014-03-29 16:58:27.255421	85634	20.1	1	8
2014-03-29 16:58:32.172178	85635	305	3	2
2014-03-29 16:58:32.399727	85636	1121878.3140933355	4	2
2014-03-29 16:58:39.337851	85637	48	2	1
2014-03-29 16:58:39.568879	85638	19.6	1	1
2014-03-29 16:58:55.898164	85639	45	2	10
2014-03-29 16:58:56.120396	85640	20.7	1	10
2014-03-29 16:59:06.023707	85641	45	2	8
2014-03-29 16:59:06.255244	85642	20.1	1	8
2014-03-29 16:59:18.330632	85643	48	2	1
2014-03-29 16:59:18.554537	85644	19.6	1	1
2014-03-29 16:59:32.17027	85645	305	3	2
2014-03-29 16:59:32.413324	85646	1121884.0592669428	4	2
2014-03-29 16:59:34.897957	85647	45	2	10
2014-03-29 16:59:35.119022	85648	20.7	1	10
2014-03-29 16:59:45.022877	85649	45	2	8
2014-03-29 16:59:45.253348	85650	20.1	1	8
2014-03-29 16:59:57.329706	85651	48	2	1
2014-03-29 16:59:57.553263	85652	19.6	1	1
2014-03-29 17:00:13.897768	85653	45	2	10
2014-03-29 17:00:14.129519	85654	20.7	1	10
2014-03-29 17:00:20.170442	85655	354	3	2
2014-03-29 17:00:20.392936	85656	1121887.506371107	4	2
2014-03-29 17:00:24.023928	85657	45	2	8
2014-03-29 17:00:24.253879	85658	20.1	1	8
2014-03-29 17:00:32.169445	85659	354	3	2
2014-03-29 17:00:32.391362	85660	1121888.6554058283	4	2
2014-03-29 17:00:36.331803	85661	48	2	1
2014-03-29 17:00:36.562727	85662	19.6	1	1
2014-03-29 17:00:52.897258	85663	45	2	10
2014-03-29 17:00:53.12229	85664	20.7	1	10
2014-03-29 17:01:03.024236	85665	45	2	8
2014-03-29 17:01:03.256081	85666	20.1	1	8
2014-03-29 17:01:15.331609	85667	48	2	1
2014-03-29 17:01:15.552942	85668	19.6	1	1
2014-03-29 17:01:31.903038	85669	45	2	10
2014-03-29 17:01:32.13494	85670	20.7	1	10
2014-03-29 17:01:42.027205	85671	45	2	8
2014-03-29 17:01:42.24911	85672	20.0	1	8
2014-03-29 17:01:54.33193	85673	48	2	1
2014-03-29 17:01:54.562717	85674	19.6	1	1
2014-03-29 17:02:10.898011	85675	45	2	10
2014-03-29 17:02:11.121039	85676	20.6	1	10
2014-03-29 17:02:21.026311	85677	45	2	8
2014-03-29 17:02:21.258187	85678	20.0	1	8
2014-03-29 17:02:32.169189	85679	354	3	2
2014-03-29 17:02:32.391447	85680	1121901.2947877639	4	2
2014-03-29 17:02:33.332106	85681	48	2	1
2014-03-29 17:02:33.563426	85682	19.6	1	1
2014-03-29 17:02:49.898895	85683	45	2	10
2014-03-29 17:02:50.181052	85684	20.6	1	10
2014-03-29 17:03:00.023857	85685	45	2	8
2014-03-29 17:03:00.258288	85686	20.0	1	8
2014-03-29 17:03:12.332173	85687	48	2	1
2014-03-29 17:03:12.553414	85688	19.6	1	1
2014-03-29 17:03:28.899305	85689	45	2	10
2014-03-29 17:03:29.131819	85690	20.6	1	10
2014-03-29 17:03:32.168996	85691	354	3	2
2014-03-29 17:03:32.393387	85692	1121907.039961371	4	2
2014-03-29 17:03:39.024811	85693	45	2	8
2014-03-29 17:03:39.270345	85694	20.0	1	8
2014-03-29 17:03:51.332626	85695	48	2	1
2014-03-29 17:03:51.553827	85696	19.6	1	1
2014-03-29 17:04:07.89911	85697	45	2	10
2014-03-29 17:04:08.131756	85698	20.6	1	10
2014-03-29 17:04:18.022902	85699	45	2	8
2014-03-29 17:04:18.243837	85700	20.0	1	8
2014-03-29 17:04:30.371916	85701	48	2	1
2014-03-29 17:04:30.60562	85702	19.6	1	1
2014-03-29 17:04:32.17051	85703	354	3	2
2014-03-29 17:04:32.393058	85704	1121912.7851349781	4	2
2014-03-29 17:04:46.900709	85705	45	2	10
2014-03-29 17:04:47.134626	85706	20.6	1	10
2014-03-29 17:04:57.025047	85707	45	2	8
2014-03-29 17:04:57.247449	85708	20.0	1	8
2014-03-29 17:05:09.328636	85709	48	2	1
2014-03-29 17:05:09.561111	85710	19.6	1	1
2014-03-29 17:05:25.899389	85711	45	2	10
2014-03-29 17:05:26.126194	85712	20.6	1	10
2014-03-29 17:05:32.16873	85713	354	3	2
2014-03-29 17:05:32.401565	85714	1121918.5303085851	4	2
2014-03-29 17:05:36.025123	85715	45	2	8
2014-03-29 17:05:36.248865	85716	20.0	1	8
2014-03-29 17:05:48.332706	85717	48	2	1
2014-03-29 17:05:48.563476	85718	19.5	1	1
2014-03-29 17:06:04.900821	85719	45	2	10
2014-03-29 17:06:05.127005	85720	20.6	1	10
2014-03-29 17:06:15.023525	85721	45	2	8
2014-03-29 17:06:15.255432	85722	20.0	1	8
2014-03-29 17:06:27.331472	85723	48	2	1
2014-03-29 17:06:27.552991	85724	19.5	1	1
2014-03-29 17:06:32.16941	85725	354	3	2
2014-03-29 17:06:32.400819	85726	1121925.4245169137	4	2
2014-03-29 17:06:43.902384	85727	45	2	10
2014-03-29 17:06:44.133655	85728	20.6	1	10
2014-03-29 17:06:54.023065	85729	45	2	8
2014-03-29 17:06:54.255135	85730	20.0	1	8
2014-03-29 17:07:06.330003	85731	48	2	1
2014-03-29 17:07:06.553117	85732	19.5	1	1
2014-03-29 17:07:22.901613	85733	45	2	10
2014-03-29 17:07:23.136818	85734	20.6	1	10
2014-03-29 17:07:33.025594	85735	45	2	8
2014-03-29 17:07:33.247624	85736	20.0	1	8
2014-03-29 17:07:45.329055	85737	48	2	1
2014-03-29 17:07:45.564779	85738	19.5	1	1
2014-03-29 17:08:01.902628	85739	45	2	10
2014-03-29 17:08:02.125096	85740	20.6	1	10
2014-03-29 17:08:12.023776	85741	45	2	8
2014-03-29 17:08:12.267932	85742	20.0	1	8
2014-03-29 17:08:24.330037	85743	48	2	1
2014-03-29 17:08:24.551926	85744	19.5	1	1
2014-03-29 17:08:32.171476	85745	370	3	2
2014-03-29 17:08:32.403398	85746	1121935.7703003585	4	2
2014-03-29 17:08:40.903156	85747	45	2	10
2014-03-29 17:08:41.125748	85748	20.6	1	10
2014-03-29 17:08:44.170823	85749	305	3	2
2014-03-29 17:08:44.401983	85750	1121936.91933508	4	2
2014-03-29 17:08:51.023355	85751	45	2	8
2014-03-29 17:08:51.246893	85752	20.0	1	8
2014-03-29 17:08:56.168629	85753	338	3	2
2014-03-29 17:08:56.401708	85754	1121938.0683698014	4	2
2014-03-29 17:09:03.328899	85755	48	2	1
2014-03-29 17:09:03.551278	85756	19.5	1	1
2014-03-29 17:09:08.168531	85757	305	3	2
2014-03-29 17:09:08.401434	85758	1121939.217404523	4	2
2014-03-29 17:09:19.901135	85759	45	2	10
2014-03-29 17:09:20.170233	85760	20.6	1	10
2014-03-29 17:09:30.023386	85761	45	2	8
2014-03-29 17:09:30.254446	85762	20.0	1	8
2014-03-29 17:09:32.169214	85763	305	3	2
2014-03-29 17:09:32.394086	85764	1121941.5154739656	4	2
2014-03-29 17:09:42.327108	85765	48	2	1
2014-03-29 17:09:42.563449	85766	19.5	1	1
2014-03-29 17:09:58.902019	85767	45	2	10
2014-03-29 17:09:59.123874	85768	20.6	1	10
2014-03-29 17:10:09.022657	85769	45	2	8
2014-03-29 17:10:09.254195	85770	20.0	1	8
2014-03-29 17:10:20.225594	85771	338	3	2
2014-03-29 17:10:20.448923	85772	1121946.1116128513	4	2
2014-03-29 17:10:21.325559	85773	48	2	1
2014-03-29 17:10:21.559495	85774	19.5	1	1
2014-03-29 17:10:32.170552	85775	305	3	2
2014-03-29 17:10:32.391356	85776	1121947.2606475728	4	2
2014-03-29 17:10:37.902259	85777	45	2	10
2014-03-29 17:10:38.136159	85778	20.6	1	10
2014-03-29 17:10:44.168115	85779	305	3	2
2014-03-29 17:10:44.391811	85780	1121948.4096822941	4	2
2014-03-29 17:10:48.023526	85781	45	2	8
2014-03-29 17:10:48.254881	85782	20.0	1	8
2014-03-29 17:11:00.328488	85783	48	2	1
2014-03-29 17:11:00.550603	85784	19.5	1	1
2014-03-29 17:11:16.899387	85785	45	2	10
2014-03-29 17:11:17.130848	85786	20.6	1	10
2014-03-29 17:11:27.022781	85787	45	2	8
2014-03-29 17:11:27.245738	85788	20.0	1	8
2014-03-29 17:11:32.17042	85789	305	3	2
2014-03-29 17:11:32.416929	85790	1121951.8567864583	4	2
2014-03-29 17:11:39.368308	85791	48	2	1
2014-03-29 17:11:39.590082	85792	19.5	1	1
2014-03-29 17:11:55.902677	85793	45	2	10
2014-03-29 17:11:56.138837	85794	20.6	1	10
2014-03-29 17:12:06.023435	85795	45	2	8
2014-03-29 17:12:06.24444	85796	20.0	1	8
2014-03-29 17:12:18.32352	85797	48	2	1
2014-03-29 17:12:18.555613	85798	19.5	1	1
2014-03-29 17:12:32.168678	85799	305	3	2
2014-03-29 17:12:32.391625	85800	1121957.6019600655	4	2
2014-03-29 17:12:34.906036	85801	45	2	10
2014-03-29 17:12:35.136259	85802	20.6	1	10
2014-03-29 17:12:45.025905	85803	45	2	8
2014-03-29 17:12:45.248783	85804	20.0	1	8
2014-03-29 17:12:57.326382	85805	48	2	1
2014-03-29 17:12:57.557054	85806	19.5	1	1
2014-03-29 17:13:13.901589	85807	45	2	10
2014-03-29 17:13:14.126211	85808	20.6	1	10
2014-03-29 17:13:24.023671	85809	45	2	8
2014-03-29 17:13:24.256787	85810	20.0	1	8
2014-03-29 17:13:32.172429	85811	338	3	2
2014-03-29 17:13:32.395769	85812	1121962.198098951	4	2
2014-03-29 17:13:36.322381	85813	48	2	1
2014-03-29 17:13:36.554026	85814	19.5	1	1
2014-03-29 17:13:44.168996	85815	305	3	2
2014-03-29 17:13:44.391665	85816	1121963.3471336726	4	2
2014-03-29 17:13:52.901858	85817	45	2	10
2014-03-29 17:13:53.135714	85818	20.5	1	10
2014-03-29 17:13:56.170577	85819	305	3	2
2014-03-29 17:13:56.39229	85820	1121964.4961683939	4	2
2014-03-29 17:14:03.023965	85821	45	2	8
2014-03-29 17:14:03.255988	85822	20.0	1	8
2014-03-29 17:14:15.327828	85823	48	2	1
2014-03-29 17:14:15.549528	85824	19.5	1	1
2014-03-29 17:14:31.902837	85825	45	2	10
2014-03-29 17:14:32.134322	85826	20.5	1	10
2014-03-29 17:14:42.023751	85827	45	2	8
2014-03-29 17:14:42.2459	85828	20.0	1	8
2014-03-29 17:14:54.325606	85829	48	2	1
2014-03-29 17:14:54.556824	85830	19.5	1	1
2014-03-29 17:15:10.904315	85831	45	2	10
2014-03-29 17:15:11.126291	85832	20.5	1	10
2014-03-29 17:15:21.023622	85833	45	2	8
2014-03-29 17:15:21.255966	85834	20.0	1	8
2014-03-29 17:15:32.173863	85835	370	3	2
2014-03-29 17:15:32.395456	85836	1121973.6884461653	4	2
2014-03-29 17:15:33.324543	85837	48	2	1
2014-03-29 17:15:33.568732	85838	19.5	1	1
2014-03-29 17:15:44.170632	85839	418	3	2
2014-03-29 17:15:44.393743	85840	1121975.9865156082	4	2
2014-03-29 17:15:49.903259	85841	45	2	10
2014-03-29 17:15:50.330408	85842	20.5	1	10
2014-03-29 17:15:56.168264	85843	434	3	2
2014-03-29 17:15:56.390229	85844	1121977.1355503295	4	2
2014-03-29 17:16:00.022807	85845	45	2	8
2014-03-29 17:16:00.243093	85846	20.0	1	8
2014-03-29 17:16:12.365753	85847	48	2	1
2014-03-29 17:16:12.596261	85848	19.5	1	1
2014-03-29 17:16:28.901573	85849	45	2	10
2014-03-29 17:16:29.122464	85850	20.5	1	10
2014-03-29 17:16:37.74286	85851	418	3	2
2014-03-29 17:16:37.973761	85852	1121980.5826544939	4	2
2014-03-29 17:16:39.023512	85853	45	2	8
2014-03-29 17:16:39.242549	85854	20.0	1	8
2014-03-29 17:16:51.322899	85855	48	2	1
2014-03-29 17:16:51.553116	85856	19.5	1	1
2014-03-29 17:17:07.903132	85857	45	2	10
2014-03-29 17:17:08.124892	85858	20.5	1	10
2014-03-29 17:17:18.02298	85859	45	2	8
2014-03-29 17:17:18.255356	85860	20.0	1	8
2014-03-29 17:17:30.323643	85861	48	2	1
2014-03-29 17:17:30.544868	85862	19.5	1	1
2014-03-29 17:17:32.168897	85863	418	3	2
2014-03-29 17:17:32.397724	85864	1121988.6258975437	4	2
2014-03-29 17:17:46.904332	85865	45	2	10
2014-03-29 17:17:47.127194	85866	20.5	1	10
2014-03-29 17:17:57.024825	85867	45	2	8
2014-03-29 17:17:57.256152	85868	20.0	1	8
2014-03-29 17:18:09.3248	85869	48	2	1
2014-03-29 17:18:09.547623	85870	19.5	1	1
2014-03-29 17:18:25.90266	85871	45	2	10
2014-03-29 17:18:26.139519	85872	20.5	1	10
2014-03-29 17:18:32.169041	85873	418	3	2
2014-03-29 17:18:32.391478	85874	1121995.520105872	4	2
2014-03-29 17:18:36.023408	85875	45	2	8
2014-03-29 17:18:36.254372	85876	20.0	1	8
2014-03-29 17:18:48.322266	85877	48	2	1
2014-03-29 17:18:48.543349	85878	19.5	1	1
2014-03-29 17:19:04.905509	85879	45	2	10
2014-03-29 17:19:05.475749	85880	20.5	1	10
2014-03-29 17:19:15.024039	85881	45	2	8
2014-03-29 17:19:15.370242	85882	20.0	1	8
2014-03-29 17:19:27.320357	85883	48	2	1
2014-03-29 17:19:27.585748	85884	19.5	1	1
2014-03-29 17:19:32.171483	85885	418	3	2
2014-03-29 17:19:32.425765	85886	1122002.4143142006	4	2
2014-03-29 17:19:43.902695	85887	45	2	10
2014-03-29 17:19:44.144456	85888	20.5	1	10
2014-03-29 17:19:54.022501	85889	45	2	8
2014-03-29 17:19:54.244821	85890	20.0	1	8
2014-03-29 17:20:06.322569	85891	48	2	1
2014-03-29 17:20:06.553976	85892	19.5	1	1
2014-03-29 17:20:22.903818	85893	45	2	10
2014-03-29 17:20:23.126628	85894	20.5	1	10
2014-03-29 17:20:33.022331	85895	45	2	8
2014-03-29 17:20:33.254041	85896	20.0	1	8
2014-03-29 17:20:45.319784	85897	48	2	1
2014-03-29 17:20:45.543637	85898	19.5	1	1
2014-03-29 17:21:01.90438	85899	45	2	10
2014-03-29 17:21:02.136215	85900	20.5	1	10
2014-03-29 17:21:12.023099	85901	45	2	8
2014-03-29 17:21:12.243697	85902	20.0	1	8
2014-03-29 17:21:20.169029	85903	354	3	2
2014-03-29 17:21:20.403162	85904	1122015.0536961362	4	2
2014-03-29 17:21:24.317694	85905	48	2	1
2014-03-29 17:21:24.540706	85906	19.5	1	1
2014-03-29 17:21:32.170024	85907	354	3	2
2014-03-29 17:21:32.402395	85908	1122016.2027308575	4	2
2014-03-29 17:21:40.913336	85909	45	2	10
2014-03-29 17:21:41.134487	85910	20.5	1	10
2014-03-29 17:21:51.023673	85911	45	2	8
2014-03-29 17:21:51.254665	85912	20.0	1	8
2014-03-29 17:22:03.321258	85913	49	2	1
2014-03-29 17:22:03.543786	85914	19.5	1	1
2014-03-29 17:22:19.90514	85915	45	2	10
2014-03-29 17:22:20.135946	85916	20.5	1	10
2014-03-29 17:22:30.023414	85917	45	2	8
2014-03-29 17:22:30.245506	85918	20.0	1	8
2014-03-29 17:22:32.16906	85919	450	3	2
2014-03-29 17:22:32.399584	85920	1122023.096939186	4	2
2014-03-29 17:22:42.321942	85921	49	2	1
2014-03-29 17:22:42.545063	85922	19.6	1	1
2014-03-29 17:22:44.169345	85923	450	3	2
2014-03-29 17:22:44.399343	85924	1122024.2459739076	4	2
2014-03-29 17:22:58.906496	85925	45	2	10
2014-03-29 17:22:59.129293	85926	20.6	1	10
2014-03-29 17:23:09.023102	85927	45	2	8
2014-03-29 17:23:09.254014	85928	20.0	1	8
2014-03-29 17:23:21.320848	85929	49	2	1
2014-03-29 17:23:21.543154	85930	19.6	1	1
2014-03-29 17:23:32.168196	85931	434	3	2
2014-03-29 17:23:32.401473	85932	1122029.9911475147	4	2
2014-03-29 17:23:37.906248	85933	45	2	10
2014-03-29 17:23:38.132448	85934	20.6	1	10
2014-03-29 17:23:48.025208	85935	45	2	8
2014-03-29 17:23:48.266026	85936	20.0	1	8
2014-03-29 17:24:00.316994	85937	49	2	1
2014-03-29 17:24:00.538862	85938	19.6	1	1
2014-03-29 17:24:16.905343	85939	45	2	10
2014-03-29 17:24:17.140353	85940	20.6	1	10
2014-03-29 17:24:27.023276	85941	45	2	8
2014-03-29 17:24:27.245064	85942	20.0	1	8
2014-03-29 17:24:32.172227	85943	434	3	2
2014-03-29 17:24:32.407046	85944	1122038.0343905645	4	2
2014-03-29 17:24:39.316403	85945	49	2	1
2014-03-29 17:24:39.536266	85946	19.6	1	1
2014-03-29 17:24:55.905169	85947	45	2	10
2014-03-29 17:24:56.139418	85948	20.6	1	10
2014-03-29 17:25:06.022439	85949	45	2	8
2014-03-29 17:25:06.244431	85950	20.0	1	8
2014-03-29 17:25:18.318293	85951	49	2	1
2014-03-29 17:25:18.549336	85952	19.6	1	1
2014-03-29 17:25:32.169252	85953	434	3	2
2014-03-29 17:25:32.391583	85954	1122044.928598893	4	2
2014-03-29 17:25:34.906515	85955	45	2	10
2014-03-29 17:25:35.136288	85956	20.6	1	10
2014-03-29 17:25:45.022471	85957	45	2	8
2014-03-29 17:25:45.244137	85958	20.0	1	8
2014-03-29 17:25:57.315378	85959	49	2	1
2014-03-29 17:25:57.548494	85960	19.6	1	1
2014-03-29 17:26:13.907158	85961	45	2	10
2014-03-29 17:26:14.12877	85962	20.6	1	10
2014-03-29 17:26:24.02303	85963	45	2	8
2014-03-29 17:26:24.25414	85964	20.0	1	8
2014-03-29 17:26:32.166704	85965	434	3	2
2014-03-29 17:26:32.387885	85966	1122052.971841943	4	2
2014-03-29 17:26:36.313866	85967	49	2	1
2014-03-29 17:26:36.546396	85968	19.7	1	1
2014-03-29 17:26:52.906198	85969	45	2	10
2014-03-29 17:26:53.127418	85970	20.6	1	10
2014-03-29 17:27:03.023398	85971	45	2	8
2014-03-29 17:27:03.254703	85972	20.0	1	8
2014-03-29 17:27:15.315663	85973	49	2	1
2014-03-29 17:27:15.539181	85974	19.7	1	1
2014-03-29 17:27:31.907454	85975	45	2	10
2014-03-29 17:27:32.13914	85976	20.6	1	10
2014-03-29 17:27:42.022093	85977	45	2	8
2014-03-29 17:27:42.244389	85978	20.0	1	8
2014-03-29 17:27:44.169294	85979	482	3	2
2014-03-29 17:27:44.418987	85980	1122061.0150849929	4	2
2014-03-29 17:27:54.317015	85981	49	2	1
2014-03-29 17:27:54.539625	85982	19.7	1	1
2014-03-29 17:27:56.167877	85983	482	3	2
2014-03-29 17:27:56.411951	85984	1122063.3131544357	4	2
2014-03-29 17:28:10.907962	85985	45	2	10
2014-03-29 17:28:11.129424	85986	20.7	1	10
2014-03-29 17:28:21.022443	85987	45	2	8
2014-03-29 17:28:21.253613	85988	20.0	1	8
2014-03-29 17:28:32.168531	85989	482	3	2
2014-03-29 17:28:32.389564	85990	1122067.9092933212	4	2
2014-03-29 17:28:33.313413	85991	49	2	1
2014-03-29 17:28:33.544558	85992	19.7	1	1
2014-03-29 17:28:49.907338	85993	45	2	10
2014-03-29 17:28:50.130969	85994	20.7	1	10
2014-03-29 17:29:00.023882	85995	45	2	8
2014-03-29 17:29:00.25574	85996	20.1	1	8
2014-03-29 17:29:12.316349	85997	49	2	1
2014-03-29 17:29:12.537919	85998	19.8	1	1
2014-03-29 17:29:28.90851	85999	45	2	10
2014-03-29 17:29:29.141016	86000	20.7	1	10
2014-03-29 17:29:32.170371	86001	482	3	2
2014-03-29 17:29:32.390897	86002	1122075.9525363713	4	2
2014-03-29 17:29:39.022433	86003	45	2	8
2014-03-29 17:29:39.254354	86004	20.1	1	8
2014-03-29 17:29:51.315418	86005	49	2	1
2014-03-29 17:29:51.535516	86006	19.8	1	1
2014-03-29 17:30:07.914247	86007	45	2	10
2014-03-29 17:30:08.147073	86008	20.7	1	10
2014-03-29 17:30:18.022928	86009	45	2	8
2014-03-29 17:30:18.246603	86010	20.1	1	8
2014-03-29 17:30:30.314343	86011	49	2	1
2014-03-29 17:30:30.545918	86012	19.8	1	1
2014-03-29 17:30:32.168894	86013	482	3	2
2014-03-29 17:30:32.391656	86014	1122083.9957794212	4	2
2014-03-29 17:30:46.907384	86015	45	2	10
2014-03-29 17:30:47.146047	86016	20.7	1	10
2014-03-29 17:30:57.022657	86017	45	2	8
2014-03-29 17:30:57.244176	86018	20.1	1	8
2014-03-29 17:31:09.317293	86019	49	2	1
2014-03-29 17:31:09.550473	86020	19.9	1	1
2014-03-29 17:31:25.910259	86021	45	2	10
2014-03-29 17:31:26.134162	86022	20.8	1	10
2014-03-29 17:31:32.168219	86023	482	3	2
2014-03-29 17:31:32.3986	86024	1122092.039022471	4	2
2014-03-29 17:31:36.022379	86025	45	2	8
2014-03-29 17:31:36.243557	86026	20.1	1	8
2014-03-29 17:31:48.316128	86027	49	2	1
2014-03-29 17:31:48.548569	86028	19.9	1	1
2014-03-29 17:32:04.909468	86029	45	2	10
2014-03-29 17:32:05.131251	86030	20.8	1	10
2014-03-29 17:32:15.022629	86031	45	2	8
2014-03-29 17:32:15.264375	86032	20.1	1	8
2014-03-29 17:32:20.168225	86033	434	3	2
2014-03-29 17:32:20.393194	86034	1122098.9332307996	4	2
2014-03-29 17:32:27.31384	86035	49	2	1
2014-03-29 17:32:27.544153	86036	19.9	1	1
2014-03-29 17:32:32.167245	86037	434	3	2
2014-03-29 17:32:32.38738	86038	1122100.082265521	4	2
2014-03-29 17:32:43.909598	86039	45	2	10
2014-03-29 17:32:44.142535	86040	20.8	1	10
2014-03-29 17:32:54.024533	86041	45	2	8
2014-03-29 17:32:54.245178	86042	20.1	1	8
2014-03-29 17:33:06.356443	86043	48	2	1
2014-03-29 17:33:06.589686	86044	20.0	1	1
2014-03-29 17:33:22.907626	86045	45	2	10
2014-03-29 17:33:23.129154	86046	20.8	1	10
2014-03-29 17:33:33.023667	86047	45	2	8
2014-03-29 17:33:33.255489	86048	20.1	1	8
2014-03-29 17:33:45.312751	86049	48	2	1
2014-03-29 17:33:45.535152	86050	20.0	1	1
2014-03-29 17:34:01.911632	86051	45	2	10
2014-03-29 17:34:02.14284	86052	20.8	1	10
2014-03-29 17:34:12.023673	86053	45	2	8
2014-03-29 17:34:12.245154	86054	20.1	1	8
2014-03-29 17:34:24.310031	86055	48	2	1
2014-03-29 17:34:24.541904	86056	20.0	1	1
2014-03-29 17:34:32.167428	86057	434	3	2
2014-03-29 17:34:32.388939	86058	1122115.0197168994	4	2
2014-03-29 17:34:40.906414	86059	45	2	10
2014-03-29 17:34:41.140709	86060	20.8	1	10
2014-03-29 17:34:51.08046	86061	45	2	8
2014-03-29 17:34:51.30277	86062	20.1	1	8
2014-03-29 17:35:03.313788	86063	48	2	1
2014-03-29 17:35:03.544489	86064	20.1	1	1
2014-03-29 17:35:19.910007	86065	45	2	10
2014-03-29 17:35:20.134629	86066	20.9	1	10
2014-03-29 17:35:30.022373	86067	45	2	8
2014-03-29 17:35:30.255944	86068	20.1	1	8
2014-03-29 17:35:32.173694	86069	434	3	2
2014-03-29 17:35:32.394	86070	1122121.9139252277	4	2
2014-03-29 17:35:42.312544	86071	48	2	1
2014-03-29 17:35:42.543565	86072	20.1	1	1
2014-03-29 17:35:58.908928	86073	45	2	10
2014-03-29 17:35:59.129358	86074	20.9	1	10
2014-03-29 17:36:09.022613	86075	45	2	8
2014-03-29 17:36:09.258029	86076	20.1	1	8
2014-03-29 17:36:21.314084	86077	48	2	1
2014-03-29 17:36:21.534931	86078	20.1	1	1
2014-03-29 17:36:32.168667	86079	434	3	2
2014-03-29 17:36:32.412663	86080	1122128.8081335563	4	2
2014-03-29 17:36:37.90817	86081	45	2	10
2014-03-29 17:36:38.133448	86082	20.9	1	10
2014-03-29 17:36:48.022937	86083	45	2	8
2014-03-29 17:36:48.254165	86084	20.1	1	8
2014-03-29 17:37:00.309205	86085	48	2	1
2014-03-29 17:37:00.530801	86086	20.2	1	1
2014-03-29 17:37:16.910925	86087	45	2	10
2014-03-29 17:37:17.14105	86088	20.9	1	10
2014-03-29 17:37:27.022003	86089	45	2	8
2014-03-29 17:37:27.243524	86090	20.2	1	8
2014-03-29 17:37:32.165948	86091	434	3	2
2014-03-29 17:37:32.402391	86092	1122135.7023418848	4	2
2014-03-29 17:37:39.311445	86093	48	2	1
2014-03-29 17:37:39.533091	86094	20.2	1	1
2014-03-29 17:37:44.168024	86095	354	3	2
2014-03-29 17:37:44.398697	86096	1122138.0004113277	4	2
2014-03-29 17:37:55.910658	86097	45	2	10
2014-03-29 17:37:56.137799	86098	20.9	1	10
2014-03-29 17:38:06.022937	86099	45	2	8
2014-03-29 17:38:06.255423	86100	20.2	1	8
2014-03-29 17:38:18.309823	86101	48	2	1
2014-03-29 17:38:18.531844	86102	20.2	1	1
2014-03-29 17:38:32.16857	86103	354	3	2
2014-03-29 17:38:32.400454	86104	1122142.5965502132	4	2
2014-03-29 17:38:34.909437	86105	45	2	10
2014-03-29 17:38:35.13273	86106	20.9	1	10
2014-03-29 17:38:45.021987	86107	45	2	8
2014-03-29 17:38:45.255512	86108	20.2	1	8
2014-03-29 17:38:56.168086	86109	418	3	2
2014-03-29 17:38:56.396529	86110	1122144.894619656	4	2
2014-03-29 17:38:57.309704	86111	48	2	1
2014-03-29 17:38:57.540114	86112	20.3	1	1
2014-03-29 17:39:13.912067	86113	45	2	10
2014-03-29 17:39:14.133579	86114	20.9	1	10
2014-03-29 17:39:24.02284	86115	45	2	8
2014-03-29 17:39:24.255673	86116	20.2	1	8
2014-03-29 17:39:32.166973	86117	418	3	2
2014-03-29 17:39:32.389634	86118	1122149.4907585417	4	2
2014-03-29 17:39:36.310697	86119	48	2	1
2014-03-29 17:39:36.543399	86120	20.3	1	1
2014-03-29 17:39:52.911038	86121	45	2	10
2014-03-29 17:39:53.13933	86122	21.0	1	10
2014-03-29 17:40:03.024402	86123	45	2	8
2014-03-29 17:40:03.256925	86124	20.2	1	8
2014-03-29 17:40:15.310242	86125	48	2	1
2014-03-29 17:40:15.533154	86126	20.3	1	1
2014-03-29 17:40:31.910528	86127	45	2	10
2014-03-29 17:40:32.156262	86128	21.0	1	10
2014-03-29 17:40:42.022923	86129	45	2	8
2014-03-29 17:40:42.246824	86130	20.2	1	8
2014-03-29 17:40:54.312501	86131	48	2	1
2014-03-29 17:40:54.543947	86132	20.4	1	1
2014-03-29 17:41:10.912946	86133	45	2	10
2014-03-29 17:41:11.134131	86134	21.0	1	10
2014-03-29 17:41:21.02353	86135	45	2	8
2014-03-29 17:41:21.313339	86136	20.2	1	8
2014-03-29 17:41:32.165765	86137	418	3	2
2014-03-29 17:41:32.389395	86138	1122163.2791751986	4	2
2014-03-29 17:41:33.307407	86139	48	2	1
2014-03-29 17:41:33.538484	86140	20.4	1	1
2014-03-29 17:41:58.741736	86141	45	2	10
2014-03-29 17:41:58.964811	86142	21.0	1	10
2014-03-29 17:42:00.022785	86143	45	2	8
2014-03-29 17:42:00.255793	86144	20.2	1	8
2014-03-29 17:42:12.305945	86145	48	2	1
2014-03-29 17:42:12.528741	86146	20.4	1	1
2014-03-29 17:42:28.910729	86147	45	2	10
2014-03-29 17:42:29.142662	86148	21.0	1	10
2014-03-29 17:42:32.168975	86149	418	3	2
2014-03-29 17:42:32.39014	86150	1122170.1733835272	4	2
2014-03-29 17:42:39.022337	86151	45	2	8
2014-03-29 17:42:39.253761	86152	20.2	1	8
2014-03-29 17:42:51.360416	86153	48	2	1
2014-03-29 17:42:51.584778	86154	20.4	1	1
2014-03-29 17:43:07.910561	86155	45	2	10
2014-03-29 17:43:08.141558	86156	21.0	1	10
2014-03-29 17:43:18.02275	86157	45	2	8
2014-03-29 17:43:18.243269	86158	20.2	1	8
2014-03-29 17:43:30.306874	86159	48	2	1
2014-03-29 17:43:30.538707	86160	20.4	1	1
2014-03-29 17:43:32.164957	86161	418	3	2
2014-03-29 17:43:32.386442	86162	1122177.0675918558	4	2
2014-03-29 17:43:46.913629	86163	45	2	10
2014-03-29 17:43:47.144004	86164	21.0	1	10
2014-03-29 17:43:57.022652	86165	45	2	8
2014-03-29 17:43:57.243954	86166	20.2	1	8
2014-03-29 17:44:09.350764	86167	48	2	1
2014-03-29 17:44:09.580164	86168	20.5	1	1
2014-03-29 17:44:25.914658	86169	45	2	10
2014-03-29 17:44:26.137442	86170	21.0	1	10
2014-03-29 17:44:32.16932	86171	418	3	2
2014-03-29 17:44:32.402481	86172	1122183.9618001843	4	2
2014-03-29 17:44:36.02236	86173	45	2	8
2014-03-29 17:44:36.244269	86174	20.2	1	8
2014-03-29 17:44:44.169577	86175	354	3	2
2014-03-29 17:44:44.411696	86176	1122186.259869627	4	2
2014-03-29 17:44:56.168503	86177	370	3	2
2014-03-29 17:44:56.396149	86178	1122187.4089043485	4	2
2014-03-29 17:45:04.913186	86179	45	2	10
2014-03-29 17:45:05.146831	86180	21.0	1	10
2014-03-29 17:45:15.024888	86181	45	2	8
2014-03-29 17:45:15.24687	86182	20.2	1	8
2014-03-29 17:45:27.307617	86183	48	2	1
2014-03-29 17:45:27.539846	86184	20.5	1	1
2014-03-29 17:45:32.166864	86185	354	3	2
2014-03-29 17:45:32.387826	86186	1122190.8560085127	4	2
2014-03-29 17:45:43.913587	86187	45	2	10
2014-03-29 17:45:44.146641	86188	21.0	1	10
2014-03-29 17:45:54.022597	86189	45	2	8
2014-03-29 17:45:54.246187	86190	20.2	1	8
2014-03-29 17:46:06.302114	86191	48	2	1
2014-03-29 17:46:06.536582	86192	20.5	1	1
2014-03-29 17:46:22.912976	86193	45	2	10
2014-03-29 17:46:23.135909	86194	21.0	1	10
2014-03-29 17:46:33.021556	86195	45	2	8
2014-03-29 17:46:33.256011	86196	20.2	1	8
2014-03-29 17:46:45.308587	86197	48	2	1
2014-03-29 17:46:45.530046	86198	20.5	1	1
2014-03-29 17:47:01.912728	86199	45	2	10
2014-03-29 17:47:02.144036	86200	21.1	1	10
2014-03-29 17:47:12.02113	86201	45	2	8
2014-03-29 17:47:12.243605	86202	20.3	1	8
2014-03-29 17:47:24.307748	86203	48	2	1
2014-03-29 17:47:24.541944	86204	20.6	1	1
2014-03-29 17:47:32.164778	86205	370	3	2
2014-03-29 17:47:32.386783	86206	1122202.346355727	4	2
2014-03-29 17:47:40.913979	86207	45	2	10
2014-03-29 17:47:41.148878	86208	21.1	1	10
2014-03-29 17:47:51.230576	86209	45	2	8
2014-03-29 17:47:51.509248	86210	20.3	1	8
2014-03-29 17:48:03.303797	86211	48	2	1
2014-03-29 17:48:03.537242	86212	20.6	1	1
2014-03-29 17:48:19.911001	86213	45	2	10
2014-03-29 17:48:20.133616	86214	21.1	1	10
2014-03-29 17:48:30.022242	86215	45	2	8
2014-03-29 17:48:30.253308	86216	20.3	1	8
2014-03-29 17:48:32.168241	86217	370	3	2
2014-03-29 17:48:32.389409	86218	1122209.2405640553	4	2
2014-03-29 17:48:42.347835	86219	48	2	1
2014-03-29 17:48:42.579204	86220	20.6	1	1
2014-03-29 17:48:58.913597	86221	45	2	10
2014-03-29 17:48:59.136435	86222	21.1	1	10
2014-03-29 17:49:09.022496	86223	45	2	8
2014-03-29 17:49:09.264302	86224	20.3	1	8
2014-03-29 17:49:21.303096	86225	48	2	1
2014-03-29 17:49:21.580827	86226	20.6	1	1
2014-03-29 17:49:32.167332	86227	370	3	2
2014-03-29 17:49:32.399363	86228	1122214.9857376625	4	2
2014-03-29 17:49:37.914287	86229	45	2	10
2014-03-29 17:49:38.139244	86230	21.1	1	10
2014-03-29 17:49:48.021886	86231	45	2	8
2014-03-29 17:49:48.253197	86232	20.3	1	8
2014-03-29 17:50:00.303191	86233	48	2	1
2014-03-29 17:50:00.523547	86234	20.6	1	1
2014-03-29 17:50:16.914392	86235	45	2	10
2014-03-29 17:50:17.146456	86236	21.1	1	10
2014-03-29 17:50:27.022987	86237	45	2	8
2014-03-29 17:50:27.243916	86238	20.3	1	8
2014-03-29 17:50:32.165687	86239	354	3	2
2014-03-29 17:50:32.401436	86240	1122221.8799459909	4	2
2014-03-29 17:50:39.302231	86241	48	2	1
2014-03-29 17:50:39.523698	86242	20.6	1	1
2014-03-29 17:50:55.913699	86243	45	2	10
2014-03-29 17:50:56.145478	86244	21.1	1	10
2014-03-29 17:51:06.020799	86245	45	2	8
2014-03-29 17:51:06.244947	86246	20.3	1	8
2014-03-29 17:51:08.170332	86247	418	3	2
2014-03-29 17:51:08.401494	86248	1122224.182486386	4	2
2014-03-29 17:51:18.304497	86249	48	2	1
2014-03-29 17:51:18.525441	86250	20.6	1	1
2014-03-29 17:51:20.169991	86251	418	3	2
2014-03-29 17:51:20.400774	86252	1122225.3315211073	4	2
2014-03-29 17:51:32.170208	86253	434	3	2
2014-03-29 17:51:32.392342	86254	1122226.480555829	4	2
2014-03-29 17:51:34.914379	86255	45	2	10
2014-03-29 17:51:35.146233	86256	21.1	1	10
2014-03-29 17:51:45.025896	86257	45	2	8
2014-03-29 17:51:45.248096	86258	20.3	1	8
2014-03-29 17:51:57.539043	86259	48	2	1
2014-03-29 17:51:57.770432	86260	20.7	1	1
2014-03-29 17:52:13.912861	86261	45	2	10
2014-03-29 17:52:14.133482	86262	21.1	1	10
2014-03-29 17:52:24.021774	86263	45	2	8
2014-03-29 17:52:24.252843	86264	20.3	1	8
2014-03-29 17:52:32.164292	86265	418	3	2
2014-03-29 17:52:32.387865	86266	1122234.5237988788	4	2
2014-03-29 17:52:36.302165	86267	48	2	1
2014-03-29 17:52:36.534542	86268	20.7	1	1
2014-03-29 17:52:52.91502	86269	45	2	10
2014-03-29 17:52:53.140875	86270	21.1	1	10
2014-03-29 17:53:03.023857	86271	45	2	8
2014-03-29 17:53:03.267248	86272	20.3	1	8
2014-03-29 17:53:31.712511	86273	48	2	1
2014-03-29 17:53:31.935181	86274	20.7	1	1
2014-03-29 17:53:32.237816	86275	45	2	10
2014-03-29 17:53:32.472719	86276	21.1	1	10
2014-03-29 17:53:42.022341	86277	45	2	8
2014-03-29 17:53:42.24456	86278	20.3	1	8
2014-03-29 17:53:54.300139	86279	48	2	1
2014-03-29 17:53:54.533182	86280	20.7	1	1
2014-03-29 17:54:10.916767	86281	45	2	10
2014-03-29 17:54:11.138757	86282	21.1	1	10
2014-03-29 17:54:21.021163	86283	45	2	8
2014-03-29 17:54:21.2534	86284	20.3	1	8
2014-03-29 17:54:32.170922	86285	418	3	2
2014-03-29 17:54:32.392871	86286	1122248.3122155357	4	2
2014-03-29 17:54:33.299292	86287	48	2	1
2014-03-29 17:54:33.530616	86288	20.7	1	1
2014-03-29 17:54:49.926261	86289	45	2	10
2014-03-29 17:54:50.146519	86290	21.2	1	10
2014-03-29 17:55:00.021853	86291	45	2	8
2014-03-29 17:55:00.254031	86292	20.3	1	8
2014-03-29 17:55:12.298606	86293	48	2	1
2014-03-29 17:55:12.521228	86294	20.7	1	1
2014-03-29 17:55:28.915026	86295	45	2	10
2014-03-29 17:55:29.146233	86296	21.1	1	10
2014-03-29 17:55:32.169186	86297	418	3	2
2014-03-29 17:55:32.391558	86298	1122255.2064238642	4	2
2014-03-29 17:55:39.02351	86299	45	2	8
2014-03-29 17:55:39.254579	86300	20.3	1	8
2014-03-29 17:55:51.300903	86301	48	2	1
2014-03-29 17:55:51.523916	86302	20.7	1	1
2014-03-29 17:56:07.915864	86303	45	2	10
2014-03-29 17:56:08.149133	86304	21.2	1	10
2014-03-29 17:56:18.020672	86305	45	2	8
2014-03-29 17:56:18.244199	86306	20.3	1	8
2014-03-29 17:56:30.300244	86307	48	2	1
2014-03-29 17:56:30.531869	86308	20.7	1	1
2014-03-29 17:56:32.16943	86309	418	3	2
2014-03-29 17:56:32.392473	86310	1122262.1006321926	4	2
2014-03-29 17:56:46.91625	86311	45	2	10
2014-03-29 17:56:47.148874	86312	21.2	1	10
2014-03-29 17:56:57.022088	86313	45	2	8
2014-03-29 17:56:57.246865	86314	20.3	1	8
2014-03-29 17:57:09.298929	86315	48	2	1
2014-03-29 17:57:09.532031	86316	20.8	1	1
2014-03-29 17:57:20.16904	86317	370	3	2
2014-03-29 17:57:20.393748	86318	1122267.8458057998	4	2
2014-03-29 17:57:25.916239	86319	45	2	10
2014-03-29 17:57:26.163435	86320	21.2	1	10
2014-03-29 17:57:32.168103	86321	354	3	2
2014-03-29 17:57:32.390922	86322	1122268.9948405211	4	2
2014-03-29 17:57:36.021631	86323	45	2	8
2014-03-29 17:57:36.253054	86324	20.3	1	8
2014-03-29 17:57:48.296749	86325	48	2	1
2014-03-29 17:57:48.521741	86326	20.8	1	1
2014-03-29 17:58:04.917534	86327	45	2	10
2014-03-29 17:58:05.149399	86328	21.2	1	10
2014-03-29 17:58:15.02109	86329	45	2	8
2014-03-29 17:58:15.243065	86330	20.3	1	8
2014-03-29 17:58:27.295314	86331	48	2	1
2014-03-29 17:58:27.528676	86332	20.8	1	1
2014-03-29 17:58:32.168307	86333	354	3	2
2014-03-29 17:58:32.389039	86334	1122274.7400141282	4	2
2014-03-29 17:58:43.916872	86335	45	2	10
2014-03-29 17:58:44.148688	86336	21.2	1	10
2014-03-29 17:58:54.021841	86337	45	2	8
2014-03-29 17:58:54.243621	86338	20.3	1	8
2014-03-29 17:59:06.299192	86339	48	2	1
2014-03-29 17:59:06.532013	86340	20.8	1	1
2014-03-29 17:59:22.915685	86341	45	2	10
2014-03-29 17:59:23.138093	86342	21.2	1	10
2014-03-29 17:59:33.021909	86343	45	2	8
2014-03-29 17:59:33.25571	86344	20.3	1	8
2014-03-29 17:59:45.296206	86345	48	2	1
2014-03-29 17:59:45.51931	86346	20.8	1	1
2014-03-29 18:00:01.919382	86347	45	2	10
2014-03-29 18:00:02.149875	86348	21.2	1	10
2014-03-29 18:00:12.021131	86349	45	2	8
2014-03-29 18:00:12.245612	86350	20.4	1	8
2014-03-29 18:00:24.298617	86351	48	2	1
2014-03-29 18:00:24.529273	86352	20.8	1	1
2014-03-29 18:00:32.16815	86353	354	3	2
2014-03-29 18:00:32.391544	86354	1122287.3793960637	4	2
2014-03-29 18:00:40.917784	86355	45	2	10
2014-03-29 18:00:41.150031	86356	21.2	1	10
2014-03-29 18:00:51.022406	86357	45	2	8
2014-03-29 18:00:51.24357	86358	20.4	1	8
2014-03-29 18:01:03.293987	86359	48	2	1
2014-03-29 18:01:03.52562	86360	20.8	1	1
2014-03-29 18:01:20.120225	86361	45	2	10
2014-03-29 18:01:20.342685	86362	21.2	1	10
2014-03-29 18:01:30.024265	86363	45	2	8
2014-03-29 18:01:30.256507	86364	20.4	1	8
2014-03-29 18:01:32.166001	86365	354	3	2
2014-03-29 18:01:32.386583	86366	1122293.1245696708	4	2
2014-03-29 18:01:42.294253	86367	48	2	1
2014-03-29 18:01:42.538801	86368	20.8	1	1
2014-03-29 18:01:58.918119	86369	45	2	10
2014-03-29 18:01:59.141727	86370	21.2	1	10
2014-03-29 18:02:09.021856	86371	45	2	8
2014-03-29 18:02:09.255258	86372	20.4	1	8
2014-03-29 18:02:21.298221	86373	48	2	1
2014-03-29 18:02:21.519964	86374	20.8	1	1
2014-03-29 18:02:32.165508	86375	354	3	2
2014-03-29 18:02:32.39779	86376	1122298.869743278	4	2
2014-03-29 18:02:37.943016	86377	45	2	10
2014-03-29 18:02:38.16728	86378	21.2	1	10
2014-03-29 18:02:48.022247	86379	45	2	8
2014-03-29 18:02:48.256282	86380	20.4	1	8
2014-03-29 18:03:00.297338	86381	48	2	1
2014-03-29 18:03:00.519922	86382	20.9	1	1
2014-03-29 18:03:16.918941	86383	45	2	10
2014-03-29 18:03:17.153688	86384	21.3	1	10
2014-03-29 18:03:27.022076	86385	45	2	8
2014-03-29 18:03:27.243859	86386	20.4	1	8
2014-03-29 18:03:39.1032	86387	354	3	2
2014-03-29 18:03:39.33473	86388	1122304.614916885	4	2
2014-03-29 18:03:39.639781	86389	48	2	1
2014-03-29 18:03:39.859898	86390	20.9	1	1
2014-03-29 18:03:44.16434	86391	418	3	2
2014-03-29 18:03:44.401339	86392	1122305.7639516064	4	2
2014-03-29 18:03:55.919887	86393	45	2	10
2014-03-29 18:03:56.142004	86394	21.3	1	10
2014-03-29 18:04:06.022018	86395	45	2	8
2014-03-29 18:04:06.253164	86396	20.4	1	8
2014-03-29 18:04:18.293502	86397	48	2	1
2014-03-29 18:04:18.515802	86398	20.9	1	1
2014-03-29 18:04:32.165066	86399	418	3	2
2014-03-29 18:04:32.396998	86400	1122311.5091252136	4	2
2014-03-29 18:04:34.920047	86401	45	2	10
2014-03-29 18:04:35.144467	86402	21.3	1	10
2014-03-29 18:04:45.020431	86403	45	2	8
2014-03-29 18:04:45.254204	86404	20.4	1	8
2014-03-29 18:04:57.292756	86405	48	2	1
2014-03-29 18:04:57.521526	86406	20.9	1	1
2014-03-29 18:05:13.919783	86407	45	2	10
2014-03-29 18:05:14.151074	86408	21.3	1	10
2014-03-29 18:05:24.022462	86409	45	2	8
2014-03-29 18:05:24.245387	86410	20.4	1	8
2014-03-29 18:05:32.168466	86411	418	3	2
2014-03-29 18:05:32.40093	86412	1122318.403333542	4	2
2014-03-29 18:05:36.292302	86413	48	2	1
2014-03-29 18:05:36.513656	86414	20.9	1	1
2014-03-29 18:05:52.920495	86415	45	2	10
2014-03-29 18:05:53.163777	86416	21.3	1	10
2014-03-29 18:06:03.021846	86417	45	2	8
2014-03-29 18:06:03.244511	86418	20.4	1	8
2014-03-29 18:06:15.293732	86419	48	2	1
2014-03-29 18:06:15.52594	86420	20.9	1	1
2014-03-29 18:06:31.919251	86421	45	2	10
2014-03-29 18:06:32.144826	86422	21.3	1	10
2014-03-29 18:06:42.022239	86423	45	2	8
2014-03-29 18:06:42.253724	86424	20.4	1	8
2014-03-29 18:06:54.293945	86425	48	2	1
2014-03-29 18:06:54.514719	86426	21.0	1	1
2014-03-29 18:07:10.92057	86427	45	2	10
2014-03-29 18:07:11.154021	86428	21.3	1	10
2014-03-29 18:07:21.021604	86429	45	2	8
2014-03-29 18:07:21.245307	86430	20.4	1	8
2014-03-29 18:07:32.166144	86431	418	3	2
2014-03-29 18:07:32.39745	86432	1122333.3407849204	4	2
2014-03-29 18:07:33.2911	86433	48	2	1
2014-03-29 18:07:33.514882	86434	21.0	1	1
2014-03-29 18:07:49.920502	86435	45	2	10
2014-03-29 18:07:50.15356	86436	21.3	1	10
2014-03-29 18:08:00.02	86437	45	2	8
2014-03-29 18:08:00.24431	86438	20.4	1	8
2014-03-29 18:08:12.292177	86439	48	2	1
2014-03-29 18:08:12.525713	86440	21.0	1	1
2014-03-29 18:08:28.920457	86441	45	2	10
2014-03-29 18:08:29.144271	86442	21.3	1	10
2014-03-29 18:08:32.167921	86443	370	3	2
2014-03-29 18:08:32.403859	86444	1122339.0859585274	4	2
2014-03-29 18:08:39.022367	86445	45	2	8
2014-03-29 18:08:39.244887	86446	20.4	1	8
2014-03-29 18:08:44.168609	86447	354	3	2
2014-03-29 18:08:44.405969	86448	1122341.3840279703	4	2
2014-03-29 18:08:51.290638	86449	47	2	1
2014-03-29 18:08:51.513821	86450	21.0	1	1
2014-03-29 18:09:07.920297	86451	45	2	10
2014-03-29 18:09:08.204361	86452	21.3	1	10
2014-03-29 18:09:18.021001	86453	45	2	8
2014-03-29 18:09:18.278494	86454	20.4	1	8
2014-03-29 18:09:30.291068	86455	47	2	1
2014-03-29 18:09:30.557987	86456	21.0	1	1
2014-03-29 18:09:32.164134	86457	354	3	2
2014-03-29 18:09:32.422942	86458	1122345.980166856	4	2
2014-03-29 18:09:46.949787	86459	45	2	10
2014-03-29 18:09:47.571532	86460	21.3	1	10
2014-03-29 18:09:57.02174	86461	45	2	8
2014-03-29 18:09:57.243612	86462	20.4	1	8
2014-03-29 18:10:09.291053	86463	47	2	1
2014-03-29 18:10:09.533803	86464	21.0	1	1
2014-03-29 18:10:25.920592	86465	45	2	10
2014-03-29 18:10:26.141787	86466	21.3	1	10
2014-03-29 18:10:32.164516	86467	354	3	2
2014-03-29 18:10:32.395656	86468	1122351.725340463	4	2
2014-03-29 18:10:36.021275	86469	45	2	8
2014-03-29 18:10:36.242253	86470	20.4	1	8
2014-03-29 18:10:48.28828	86471	47	2	1
2014-03-29 18:10:48.521183	86472	21.0	1	1
2014-03-29 18:11:04.923966	86473	45	2	10
2014-03-29 18:11:05.147072	86474	21.3	1	10
2014-03-29 18:11:15.02111	86475	45	2	8
2014-03-29 18:11:15.253016	86476	20.4	1	8
2014-03-29 18:11:27.291432	86477	47	2	1
2014-03-29 18:11:27.520954	86478	21.1	1	1
2014-03-29 18:11:32.166296	86479	354	3	2
2014-03-29 18:11:32.398695	86480	1122357.47051407	4	2
2014-03-29 18:11:43.922661	86481	45	2	10
2014-03-29 18:11:44.144839	86482	21.4	1	10
2014-03-29 18:11:54.022907	86483	45	2	8
2014-03-29 18:11:54.254581	86484	20.4	1	8
2014-03-29 18:12:06.290254	86485	47	2	1
2014-03-29 18:12:06.513295	86486	21.1	1	1
2014-03-29 18:12:22.92053	86487	45	2	10
2014-03-29 18:12:23.154891	86488	21.4	1	10
2014-03-29 18:12:33.02151	86489	45	2	8
2014-03-29 18:12:33.246781	86490	20.4	1	8
2014-03-29 18:12:45.286783	86491	47	2	1
2014-03-29 18:12:45.520536	86492	21.1	1	1
2014-03-29 18:13:01.922418	86493	45	2	10
2014-03-29 18:13:02.153814	86494	21.4	1	10
2014-03-29 18:13:12.021508	86495	45	2	8
2014-03-29 18:13:12.254364	86496	20.4	1	8
2014-03-29 18:13:24.291479	86497	47	2	1
2014-03-29 18:13:24.512777	86498	21.1	1	1
2014-03-29 18:13:32.16397	86499	354	3	2
2014-03-29 18:13:32.396594	86500	1122368.9608612843	4	2
2014-03-29 18:13:40.921876	86501	45	2	10
2014-03-29 18:13:41.144046	86502	21.4	1	10
2014-03-29 18:13:51.020479	86503	45	2	8
2014-03-29 18:13:51.252905	86504	20.4	1	8
2014-03-29 18:14:03.28816	86505	47	2	1
2014-03-29 18:14:03.512554	86506	21.1	1	1
2014-03-29 18:14:19.922369	86507	45	2	10
2014-03-29 18:14:20.153916	86508	21.4	1	10
2014-03-29 18:14:30.022312	86509	45	2	8
2014-03-29 18:14:30.244774	86510	20.4	1	8
2014-03-29 18:14:32.165731	86511	354	3	2
2014-03-29 18:14:32.408748	86512	1122375.8550696129	4	2
2014-03-29 18:14:42.288202	86513	47	2	1
2014-03-29 18:14:42.512737	86514	21.1	1	1
2014-03-29 18:14:44.16706	86515	418	3	2
2014-03-29 18:14:44.398579	86516	1122377.0041043342	4	2
2014-03-29 18:14:56.1641	86517	402	3	2
2014-03-29 18:14:56.386397	86518	1122378.1531390555	4	2
2014-03-29 18:14:58.922006	86519	45	2	10
2014-03-29 18:14:59.153426	86520	21.4	1	10
2014-03-29 18:15:09.022657	86521	45	2	8
2014-03-29 18:15:09.244589	86522	20.4	1	8
2014-03-29 18:15:21.289191	86523	47	2	1
2014-03-29 18:15:21.520639	86524	21.1	1	1
2014-03-29 18:15:32.167054	86525	418	3	2
2014-03-29 18:15:32.407206	86526	1122382.7492779412	4	2
2014-03-29 18:15:37.922412	86527	45	2	10
2014-03-29 18:15:38.155901	86528	21.4	1	10
2014-03-29 18:15:48.021614	86529	45	2	8
2014-03-29 18:15:48.243417	86530	20.4	1	8
2014-03-29 18:16:00.285759	86531	47	2	1
2014-03-29 18:16:00.516141	86532	21.1	1	1
2014-03-29 18:16:16.922602	86533	45	2	10
2014-03-29 18:16:17.143532	86534	21.4	1	10
2014-03-29 18:16:27.021939	86535	45	2	8
2014-03-29 18:16:27.253637	86536	20.5	1	8
2014-03-29 18:16:32.16508	86537	418	3	2
2014-03-29 18:16:32.38704	86538	1122389.6434862697	4	2
2014-03-29 18:16:39.285568	86539	47	2	1
2014-03-29 18:16:39.516964	86540	21.1	1	1
2014-03-29 18:16:55.92579	86541	45	2	10
2014-03-29 18:16:56.147302	86542	21.4	1	10
2014-03-29 18:17:06.022426	86543	45	2	8
2014-03-29 18:17:06.252959	86544	20.5	1	8
2014-03-29 18:17:18.28586	86545	47	2	1
2014-03-29 18:17:18.510795	86546	21.1	1	1
2014-03-29 18:17:32.165944	86547	418	3	2
2014-03-29 18:17:32.396683	86548	1122396.5376945983	4	2
2014-03-29 18:17:34.923884	86549	45	2	10
2014-03-29 18:17:35.150091	86550	21.4	1	10
2014-03-29 18:17:45.021142	86551	45	2	8
2014-03-29 18:17:45.258968	86552	20.5	1	8
2014-03-29 18:17:57.285952	86553	47	2	1
2014-03-29 18:17:57.513007	86554	21.1	1	1
2014-03-29 18:18:13.922919	86555	45	2	10
2014-03-29 18:18:14.158234	86556	21.5	1	10
2014-03-29 18:18:24.02249	86557	45	2	8
2014-03-29 18:18:24.246487	86558	20.5	1	8
2014-03-29 18:18:32.163293	86559	418	3	2
2014-03-29 18:18:32.408023	86560	1122403.4319029266	4	2
2014-03-29 18:18:36.288278	86561	47	2	1
2014-03-29 18:18:36.509298	86562	21.1	1	1
2014-03-29 18:18:52.924159	86563	45	2	10
2014-03-29 18:18:53.155012	86564	21.5	1	10
2014-03-29 18:19:03.022016	86565	45	2	8
2014-03-29 18:19:03.244409	86566	20.5	1	8
2014-03-29 18:19:15.286918	86567	47	2	1
2014-03-29 18:19:15.521056	86568	21.1	1	1
2014-03-29 18:19:31.923438	86569	45	2	10
2014-03-29 18:19:32.146344	86570	21.5	1	10
2014-03-29 18:19:42.020093	86571	45	2	8
2014-03-29 18:19:42.251722	86572	20.5	1	8
2014-03-29 18:19:44.165527	86573	354	3	2
2014-03-29 18:19:44.386239	86574	1122411.4751459765	4	2
2014-03-29 18:19:54.287053	86575	47	2	1
2014-03-29 18:19:54.518736	86576	21.2	1	1
2014-03-29 18:20:10.924075	86577	45	2	10
2014-03-29 18:20:11.144634	86578	21.5	1	10
2014-03-29 18:20:21.023246	86579	45	2	8
2014-03-29 18:20:21.255589	86580	20.5	1	8
2014-03-29 18:20:32.165804	86581	354	3	2
2014-03-29 18:20:32.387802	86582	1122416.0712848622	4	2
2014-03-29 18:20:33.285324	86583	47	2	1
2014-03-29 18:20:33.515602	86584	21.2	1	1
2014-03-29 18:20:49.923897	86585	45	2	10
2014-03-29 18:20:50.146272	86586	21.5	1	10
2014-03-29 18:21:00.022029	86587	45	2	8
2014-03-29 18:21:00.254299	86588	20.5	1	8
2014-03-29 18:21:12.286523	86589	47	2	1
2014-03-29 18:21:12.513875	86590	21.2	1	1
2014-03-29 18:21:28.925209	86591	45	2	10
2014-03-29 18:21:29.157058	86592	21.5	1	10
2014-03-29 18:21:32.165712	86593	354	3	2
2014-03-29 18:21:32.387418	86594	1122421.8164584693	4	2
2014-03-29 18:21:39.020589	86595	45	2	8
2014-03-29 18:21:39.251513	86596	20.5	1	8
2014-03-29 18:21:51.284698	86597	47	2	1
2014-03-29 18:21:51.507562	86598	21.2	1	1
2014-03-29 18:21:56.162963	86599	434	3	2
2014-03-29 18:21:56.395216	86600	1122424.114527912	4	2
2014-03-29 18:22:07.926397	86601	45	2	10
2014-03-29 18:22:08.156599	86602	21.5	1	10
2014-03-29 18:22:18.020806	86603	45	2	8
2014-03-29 18:22:18.253777	86604	20.5	1	8
2014-03-29 18:22:30.327617	86605	47	2	1
2014-03-29 18:22:30.549626	86606	21.2	1	1
2014-03-29 18:22:32.164175	86607	434	3	2
2014-03-29 18:22:32.409083	86608	1122428.7106667978	4	2
2014-03-29 18:22:46.926085	86609	45	2	10
2014-03-29 18:22:47.151597	86610	21.5	1	10
2014-03-29 18:22:57.024076	86611	45	2	8
2014-03-29 18:22:57.254752	86612	20.5	1	8
2014-03-29 18:23:09.284142	86613	47	2	1
2014-03-29 18:23:09.506374	86614	21.2	1	1
2014-03-29 18:23:25.923039	86615	45	2	10
2014-03-29 18:23:26.156007	86616	21.5	1	10
2014-03-29 18:23:32.168681	86617	434	3	2
2014-03-29 18:23:32.389645	86618	1122436.7539098477	4	2
2014-03-29 18:23:36.02039	86619	45	2	8
2014-03-29 18:23:36.253357	86620	20.5	1	8
2014-03-29 18:23:48.282562	86621	47	2	1
2014-03-29 18:23:48.506108	86622	21.2	1	1
2014-03-29 18:24:04.923193	86623	45	2	10
2014-03-29 18:24:05.154595	86624	21.5	1	10
2014-03-29 18:24:15.020671	86625	45	2	8
2014-03-29 18:24:15.243486	86626	20.5	1	8
2014-03-29 18:24:27.281603	86627	47	2	1
2014-03-29 18:24:27.515052	86628	21.2	1	1
2014-03-29 18:24:32.167381	86629	450	3	2
2014-03-29 18:24:32.390744	86630	1122443.6481181763	4	2
2014-03-29 18:24:43.925934	86631	45	2	10
2014-03-29 18:24:44.157422	86632	21.5	1	10
2014-03-29 18:24:54.022131	86633	45	2	8
2014-03-29 18:24:54.243488	86634	20.5	1	8
2014-03-29 18:25:06.280568	86635	47	2	1
2014-03-29 18:25:06.514016	86636	21.2	1	1
2014-03-29 18:25:22.925169	86637	45	2	10
2014-03-29 18:25:23.146578	86638	21.6	1	10
2014-03-29 18:25:33.021133	86639	45	2	8
2014-03-29 18:25:33.253962	86640	20.5	1	8
2014-03-29 18:25:45.282876	86641	47	2	1
2014-03-29 18:25:45.504791	86642	21.2	1	1
2014-03-29 18:25:56.163803	86643	482	3	2
2014-03-29 18:25:56.39664	86644	1122453.989430669	4	2
2014-03-29 18:26:01.926571	86645	45	2	10
2014-03-29 18:26:02.147631	86646	21.6	1	10
2014-03-29 18:26:08.162423	86647	482	3	2
2014-03-29 18:26:08.396219	86648	1122456.2875001119	4	2
2014-03-29 18:26:12.021875	86649	45	2	8
2014-03-29 18:26:12.243047	86650	20.5	1	8
2014-03-29 18:26:24.281727	86651	47	2	1
2014-03-29 18:26:24.514944	86652	21.2	1	1
2014-03-29 18:26:32.164072	86653	482	3	2
2014-03-29 18:26:32.386221	86654	1122458.5855695547	4	2
2014-03-29 18:26:40.925555	86655	45	2	10
2014-03-29 18:26:41.169493	86656	21.6	1	10
2014-03-29 18:26:51.019623	86657	45	2	8
2014-03-29 18:26:51.24219	86658	20.5	1	8
2014-03-29 18:27:03.282762	86659	47	2	1
2014-03-29 18:27:03.698746	86660	21.3	1	1
2014-03-29 18:27:19.928442	86661	45	2	10
2014-03-29 18:27:20.15479	86662	21.6	1	10
2014-03-29 18:27:30.020498	86663	45	2	8
2014-03-29 18:27:30.240573	86664	20.5	1	8
2014-03-29 18:27:32.164494	86665	482	3	2
2014-03-29 18:27:32.393667	86666	1122467.777847326	4	2
2014-03-29 18:27:42.281743	86667	47	2	1
2014-03-29 18:27:42.503805	86668	21.3	1	1
2014-03-29 18:27:58.935236	86669	45	2	10
2014-03-29 18:27:59.167211	86670	21.6	1	10
2014-03-29 18:28:09.022521	86671	45	2	8
2014-03-29 18:28:09.243103	86672	20.5	1	8
2014-03-29 18:28:21.278692	86673	47	2	1
2014-03-29 18:28:21.509384	86674	21.3	1	1
2014-03-29 18:28:37.727334	86675	482	3	2
2014-03-29 18:28:37.95029	86676	1122475.8210903758	4	2
2014-03-29 18:28:38.253168	86677	45	2	10
2014-03-29 18:28:38.484972	86678	21.6	1	10
2014-03-29 18:28:48.019576	86679	45	2	8
2014-03-29 18:28:48.244794	86680	20.5	1	8
2014-03-29 18:29:00.280513	86681	47	2	1
2014-03-29 18:29:00.511232	86682	21.3	1	1
2014-03-29 18:29:16.927285	86683	45	2	10
2014-03-29 18:29:17.148583	86684	21.6	1	10
2014-03-29 18:29:27.021761	86685	45	2	8
2014-03-29 18:29:27.254766	86686	20.5	1	8
2014-03-29 18:29:32.163539	86687	482	3	2
2014-03-29 18:29:32.38762	86688	1122483.8643334256	4	2
2014-03-29 18:29:39.279577	86689	47	2	1
2014-03-29 18:29:39.510252	86690	21.3	1	1
2014-03-29 18:29:55.928561	86691	45	2	10
2014-03-29 18:29:56.149917	86692	21.6	1	10
2014-03-29 18:30:06.022224	86693	45	2	8
2014-03-29 18:30:06.253001	86694	20.5	1	8
2014-03-29 18:30:18.281883	86695	47	2	1
2014-03-29 18:30:18.505962	86696	21.3	1	1
2014-03-29 18:30:32.16459	86697	482	3	2
2014-03-29 18:30:32.396972	86698	1122491.9075764758	4	2
2014-03-29 18:30:34.928718	86699	45	2	10
2014-03-29 18:30:35.149895	86700	21.6	1	10
2014-03-29 18:30:45.020784	86701	45	2	8
2014-03-29 18:30:45.252231	86702	20.5	1	8
2014-03-29 18:30:57.279278	86703	47	2	1
2014-03-29 18:30:57.500098	86704	21.3	1	1
2014-03-29 18:31:08.164569	86705	434	3	2
2014-03-29 18:31:08.405269	86706	1122496.5037153612	4	2
2014-03-29 18:31:13.926066	86707	45	2	10
2014-03-29 18:31:14.153752	86708	21.6	1	10
2014-03-29 18:31:20.163758	86709	418	3	2
2014-03-29 18:31:20.395723	86710	1122497.6527500828	4	2
2014-03-29 18:31:24.021181	86711	45	2	8
2014-03-29 18:31:24.244707	86712	20.5	1	8
2014-03-29 18:31:32.164523	86713	418	3	2
2014-03-29 18:31:32.397333	86714	1122498.801784804	4	2
2014-03-29 18:31:36.278023	86715	47	2	1
2014-03-29 18:31:36.498229	86716	21.3	1	1
2014-03-29 18:31:52.984062	86717	45	2	10
2014-03-29 18:31:53.215346	86718	21.7	1	10
2014-03-29 18:32:03.020957	86719	45	2	8
2014-03-29 18:32:03.245561	86720	20.5	1	8
2014-03-29 18:32:15.277301	86721	47	2	1
2014-03-29 18:32:15.507821	86722	21.3	1	1
2014-03-29 18:32:31.930879	86723	45	2	10
2014-03-29 18:32:32.15404	86724	21.7	1	10
2014-03-29 18:32:42.022297	86725	45	2	8
2014-03-29 18:32:42.255578	86726	20.5	1	8
2014-03-29 18:32:54.277657	86727	47	2	1
2014-03-29 18:32:54.498768	86728	21.3	1	1
2014-03-29 18:33:10.931574	86729	45	2	10
2014-03-29 18:33:11.164162	86730	21.7	1	10
2014-03-29 18:33:21.022205	86731	45	2	8
2014-03-29 18:33:21.242965	86732	20.5	1	8
2014-03-29 18:33:32.168749	86733	434	3	2
2014-03-29 18:33:32.401484	86734	1122513.7392361825	4	2
2014-03-29 18:33:33.275251	86735	47	2	1
2014-03-29 18:33:33.497737	86736	21.3	1	1
2014-03-29 18:33:49.929571	86737	45	2	10
2014-03-29 18:33:50.163002	86738	21.7	1	10
2014-03-29 18:34:00.020668	86739	45	2	8
2014-03-29 18:34:00.243788	86740	20.6	1	8
2014-03-29 18:34:12.274008	86741	47	2	1
2014-03-29 18:34:12.505586	86742	21.3	1	1
2014-03-29 18:34:28.928727	86743	45	2	10
2014-03-29 18:34:29.15197	86744	21.7	1	10
2014-03-29 18:34:32.164275	86745	434	3	2
2014-03-29 18:34:32.397224	86746	1122519.4888807419	4	2
2014-03-29 18:34:39.023272	86747	45	2	8
2014-03-29 18:34:39.247346	86748	20.6	1	8
2014-03-29 18:34:51.277412	86749	47	2	1
2014-03-29 18:34:51.511287	86750	21.3	1	1
2014-03-29 18:35:07.927237	86751	45	2	10
2014-03-29 18:35:08.149208	86752	21.7	1	10
2014-03-29 18:35:18.021441	86753	45	2	8
2014-03-29 18:35:18.264258	86754	20.6	1	8
2014-03-29 18:35:30.274421	86755	47	2	1
2014-03-29 18:35:30.499321	86756	21.4	1	1
2014-03-29 18:35:32.161754	86757	434	3	2
2014-03-29 18:35:32.394292	86758	1122526.3830890704	4	2
2014-03-29 18:35:46.927335	86759	45	2	10
2014-03-29 18:35:47.149398	86760	21.7	1	10
2014-03-29 18:35:57.021436	86761	45	2	8
2014-03-29 18:35:57.256272	86762	20.6	1	8
2014-03-29 18:36:09.275932	86763	47	2	1
2014-03-29 18:36:09.500027	86764	21.4	1	1
2014-03-29 18:36:25.92986	86765	45	2	10
2014-03-29 18:36:26.162619	86766	21.7	1	10
2014-03-29 18:36:32.163408	86767	434	3	2
2014-03-29 18:36:32.386226	86768	1122533.2772973988	4	2
2014-03-29 18:36:36.021858	86769	45	2	8
2014-03-29 18:36:36.252422	86770	20.6	1	8
2014-03-29 18:36:48.272822	86771	47	2	1
2014-03-29 18:36:48.494174	86772	21.4	1	1
2014-03-29 18:36:56.16629	86773	338	3	2
2014-03-29 18:36:56.39734	86774	1122536.7244015632	4	2
2014-03-29 18:37:04.92707	86775	45	2	10
2014-03-29 18:37:05.149402	86776	21.7	1	10
2014-03-29 18:37:08.162725	86777	354	3	2
2014-03-29 18:37:08.394196	86778	1122537.8734362845	4	2
2014-03-29 18:37:15.021406	86779	45	2	8
2014-03-29 18:37:15.244297	86780	20.6	1	8
2014-03-29 18:37:27.277105	86781	47	2	1
2014-03-29 18:37:27.509527	86782	21.4	1	1
2014-03-29 18:37:32.165417	86783	354	3	2
2014-03-29 18:37:32.388462	86784	1122540.1715057273	4	2
2014-03-29 18:37:43.928727	86785	45	2	10
2014-03-29 18:37:44.161557	86786	21.8	1	10
2014-03-29 18:37:54.021395	86787	45	2	8
2014-03-29 18:37:54.2433	86788	20.6	1	8
2014-03-29 18:37:56.165453	86789	418	3	2
2014-03-29 18:37:56.396863	86790	1122542.4695751702	4	2
2014-03-29 18:38:06.274985	86791	47	2	1
2014-03-29 18:38:06.498312	86792	21.4	1	1
2014-03-29 18:38:22.950097	86793	45	2	10
2014-03-29 18:38:23.218256	86794	21.8	1	10
2014-03-29 18:38:33.023251	86795	45	2	8
2014-03-29 18:38:33.248618	86796	20.6	1	8
2014-03-29 18:38:45.278427	86797	47	2	1
2014-03-29 18:38:45.511564	86798	21.4	1	1
2014-03-29 18:39:01.92823	86799	45	2	10
2014-03-29 18:39:02.153256	86800	21.8	1	10
2014-03-29 18:39:12.021458	86801	45	2	8
2014-03-29 18:39:12.26498	86802	20.6	1	8
2014-03-29 18:39:24.271377	86803	47	2	1
2014-03-29 18:39:24.493193	86804	21.4	1	1
2014-03-29 18:39:32.164566	86805	418	3	2
2014-03-29 18:39:32.396793	86806	1122553.9599223842	4	2
2014-03-29 18:39:40.930295	86807	45	2	10
2014-03-29 18:39:41.154632	86808	21.8	1	10
2014-03-29 18:39:51.021236	86809	45	2	8
2014-03-29 18:39:51.253275	86810	20.6	1	8
2014-03-29 18:40:03.272821	86811	47	2	1
2014-03-29 18:40:03.494358	86812	21.4	1	1
2014-03-29 18:40:19.927795	86813	45	2	10
2014-03-29 18:40:20.15983	86814	21.8	1	10
2014-03-29 18:40:30.021592	86815	45	2	8
2014-03-29 18:40:30.244021	86816	20.6	1	8
2014-03-29 18:40:32.163357	86817	402	3	2
2014-03-29 18:40:32.396097	86818	1122560.8541307128	4	2
2014-03-29 18:40:42.272521	86819	47	2	1
2014-03-29 18:40:42.495405	86820	21.4	1	1
2014-03-29 18:40:58.930786	86821	45	2	10
2014-03-29 18:40:59.164929	86822	21.8	1	10
2014-03-29 18:41:09.019975	86823	45	2	8
2014-03-29 18:41:09.243187	86824	20.6	1	8
2014-03-29 18:41:21.273178	86825	47	2	1
2014-03-29 18:41:21.506287	86826	21.4	1	1
2014-03-29 18:41:32.166071	86827	402	3	2
2014-03-29 18:41:32.386838	86828	1122567.7483390414	4	2
2014-03-29 18:41:37.930843	86829	45	2	10
2014-03-29 18:41:38.168987	86830	21.8	1	10
2014-03-29 18:41:48.020786	86831	45	2	8
2014-03-29 18:41:48.242919	86832	20.6	1	8
2014-03-29 18:42:00.269447	86833	47	2	1
2014-03-29 18:42:00.504481	86834	21.4	1	1
2014-03-29 18:42:16.927352	86835	45	2	10
2014-03-29 18:42:17.150889	86836	21.8	1	10
2014-03-29 18:42:27.021157	86837	45	2	8
2014-03-29 18:42:27.253486	86838	20.6	1	8
2014-03-29 18:42:32.163901	86839	402	3	2
2014-03-29 18:42:32.38624	86840	1122574.6425473697	4	2
2014-03-29 18:42:39.269637	86841	47	2	1
2014-03-29 18:42:39.503446	86842	21.4	1	1
2014-03-29 18:42:55.928252	86843	45	2	10
2014-03-29 18:42:56.150915	86844	21.8	1	10
2014-03-29 18:43:06.020735	86845	45	2	8
2014-03-29 18:43:06.253784	86846	20.6	1	8
2014-03-29 18:43:18.271564	86847	47	2	1
2014-03-29 18:43:18.496133	86848	21.4	1	1
2014-03-29 18:43:32.163359	86849	418	3	2
2014-03-29 18:43:32.407009	86850	1122581.5367556983	4	2
2014-03-29 18:43:34.932805	86851	45	2	10
2014-03-29 18:43:35.153384	86852	21.8	1	10
2014-03-29 18:43:45.021645	86853	45	2	8
2014-03-29 18:43:45.253638	86854	20.6	1	8
2014-03-29 18:43:56.162458	86855	354	3	2
2014-03-29 18:43:56.38473	86856	1122583.8348251411	4	2
2014-03-29 18:43:57.271011	86857	47	2	1
2014-03-29 18:43:57.502051	86858	21.4	1	1
2014-03-29 18:44:13.929889	86859	45	2	10
2014-03-29 18:44:14.15366	86860	21.8	1	10
2014-03-29 18:44:24.024256	86861	45	2	8
2014-03-29 18:44:24.256699	86862	20.6	1	8
2014-03-29 18:44:32.162711	86863	338	3	2
2014-03-29 18:44:32.384486	86864	1122587.2819293053	4	2
2014-03-29 18:44:36.271671	86865	47	2	1
2014-03-29 18:44:36.500991	86866	21.5	1	1
2014-03-29 18:44:52.929812	86867	45	2	10
2014-03-29 18:44:53.154482	86868	21.9	1	10
2014-03-29 18:45:03.022097	86869	45	2	8
2014-03-29 18:45:03.258977	86870	20.6	1	8
2014-03-29 18:45:15.270728	86871	47	2	1
2014-03-29 18:45:15.493058	86872	21.5	1	1
2014-03-29 18:45:31.929772	86873	45	2	10
2014-03-29 18:45:32.161545	86874	21.9	1	10
2014-03-29 18:45:42.020841	86875	45	2	8
2014-03-29 18:45:42.241335	86876	20.6	1	8
2014-03-29 18:45:54.269496	86877	47	2	1
2014-03-29 18:45:54.503342	86878	21.5	1	1
2014-03-29 18:46:10.928885	86879	45	2	10
2014-03-29 18:46:11.151819	86880	21.9	1	10
2014-03-29 18:46:21.021853	86881	45	2	8
2014-03-29 18:46:21.255393	86882	20.6	1	8
2014-03-29 18:46:32.165028	86883	354	3	2
2014-03-29 18:46:32.389486	86884	1122599.9213112409	4	2
2014-03-29 18:46:33.26596	86885	47	2	1
2014-03-29 18:46:33.497235	86886	21.5	1	1
2014-03-29 18:46:49.930052	86887	45	2	10
2014-03-29 18:46:50.153559	86888	21.9	1	10
2014-03-29 18:47:00.020901	86889	45	2	8
2014-03-29 18:47:00.252284	86890	20.6	1	8
2014-03-29 18:47:12.269308	86891	47	2	1
2014-03-29 18:47:12.49428	86892	21.5	1	1
2014-03-29 18:47:28.930585	86893	45	2	10
2014-03-29 18:47:29.165869	86894	21.9	1	10
2014-03-29 18:47:32.161874	86895	354	3	2
2014-03-29 18:47:32.384517	86896	1122605.666484848	4	2
2014-03-29 18:47:39.020159	86897	45	2	8
2014-03-29 18:47:39.284987	86898	20.6	1	8
2014-03-29 18:47:51.277428	86899	47	2	1
2014-03-29 18:47:51.499126	86900	21.5	1	1
2014-03-29 18:48:07.929458	86901	45	2	10
2014-03-29 18:48:08.161264	86902	21.9	1	10
2014-03-29 18:48:18.020381	86903	45	2	8
2014-03-29 18:48:18.241532	86904	20.6	1	8
2014-03-29 18:48:30.269141	86905	47	2	1
2014-03-29 18:48:30.501378	86906	21.5	1	1
2014-03-29 18:48:32.163825	86907	354	3	2
2014-03-29 18:48:32.384767	86908	1122611.411658455	4	2
2014-03-29 18:48:46.932158	86909	45	2	10
2014-03-29 18:48:47.163045	86910	21.9	1	10
2014-03-29 18:48:57.020284	86911	45	2	8
2014-03-29 18:48:57.242994	86912	20.6	1	8
2014-03-29 18:49:08.163785	86913	338	3	2
2014-03-29 18:49:08.394708	86914	1122614.8587626193	4	2
2014-03-29 18:49:09.262715	86915	47	2	1
2014-03-29 18:49:09.48555	86916	21.5	1	1
2014-03-29 18:49:20.160811	86917	338	3	2
2014-03-29 18:49:20.392602	86918	1122616.0077973406	4	2
2014-03-29 18:49:26.134493	86919	45	2	10
2014-03-29 18:49:26.355581	86920	21.9	1	10
2014-03-29 18:49:32.163821	86921	305	3	2
2014-03-29 18:49:32.395367	86922	1122617.1568320622	4	2
2014-03-29 18:49:36.022494	86923	45	2	8
2014-03-29 18:49:36.242297	86924	20.6	1	8
2014-03-29 18:49:44.163546	86925	338	3	2
2014-03-29 18:49:44.395144	86926	1122618.3058667835	4	2
2014-03-29 18:49:48.309797	86927	47	2	1
2014-03-29 18:49:48.531232	86928	21.5	1	1
2014-03-29 18:49:56.164521	86929	338	3	2
2014-03-29 18:49:56.395935	86930	1122619.454901505	4	2
2014-03-29 18:50:04.932275	86931	45	2	10
2014-03-29 18:50:05.155957	86932	21.9	1	10
2014-03-29 18:50:15.023148	86933	45	2	8
2014-03-29 18:50:15.256754	86934	20.6	1	8
2014-03-29 18:50:20.165862	86935	370	3	2
2014-03-29 18:50:20.392638	86936	1122621.752970948	4	2
2014-03-29 18:50:27.26757	86937	47	2	1
2014-03-29 18:50:27.499526	86938	21.6	1	1
2014-03-29 18:50:32.163591	86939	370	3	2
2014-03-29 18:50:32.385956	86940	1122622.9020056692	4	2
2014-03-29 18:50:43.929136	86941	45	2	10
2014-03-29 18:50:44.159097	86942	22.0	1	10
2014-03-29 18:50:54.020113	86943	45	2	8
2014-03-29 18:50:54.242947	86944	20.6	1	8
2014-03-29 18:50:56.163259	86945	434	3	2
2014-03-29 18:50:56.40691	86946	1122625.200075112	4	2
2014-03-29 18:51:06.270287	86947	47	2	1
2014-03-29 18:51:06.493435	86948	21.6	1	1
2014-03-29 18:51:08.165485	86949	418	3	2
2014-03-29 18:51:08.398046	86950	1122626.3491098334	4	2
2014-03-29 18:51:22.932037	86951	45	2	10
2014-03-29 18:51:23.153824	86952	22.0	1	10
2014-03-29 18:51:33.019837	86953	45	2	8
2014-03-29 18:51:33.251509	86954	20.6	1	8
2014-03-29 18:51:45.267766	86955	47	2	1
2014-03-29 18:51:45.490355	86956	21.6	1	1
2014-03-29 18:52:01.932033	86957	45	2	10
2014-03-29 18:52:02.163016	86958	22.0	1	10
2014-03-29 18:52:12.019386	86959	45	2	8
2014-03-29 18:52:12.240929	86960	20.7	1	8
2014-03-29 18:52:24.268136	86961	47	2	1
2014-03-29 18:52:24.501187	86962	21.6	1	1
2014-03-29 18:52:32.159785	86963	434	3	2
2014-03-29 18:52:32.382326	86964	1122636.690422326	4	2
2014-03-29 18:52:40.932066	86965	45	2	10
2014-03-29 18:52:41.165708	86966	22.0	1	10
2014-03-29 18:52:51.022073	86967	45	2	8
2014-03-29 18:52:51.244007	86968	20.7	1	8
2014-03-29 18:53:03.264014	86969	47	2	1
2014-03-29 18:53:03.515295	86970	21.6	1	1
2014-03-29 18:53:19.934042	86971	45	2	10
2014-03-29 18:53:20.155584	86972	22.0	1	10
2014-03-29 18:53:30.020341	86973	45	2	8
2014-03-29 18:53:30.2527	86974	20.7	1	8
2014-03-29 18:53:32.163794	86975	402	3	2
2014-03-29 18:53:32.385999	86976	1122643.5846306547	4	2
2014-03-29 18:53:42.263684	86977	47	2	1
2014-03-29 18:53:42.49665	86978	21.6	1	1
2014-03-29 18:53:44.162528	86979	402	3	2
2014-03-29 18:53:44.384373	86980	1122644.733665376	4	2
2014-03-29 18:53:58.936064	86981	45	2	10
2014-03-29 18:53:59.169056	86982	22.0	1	10
2014-03-29 18:54:09.020237	86983	45	2	8
2014-03-29 18:54:09.242755	86984	20.7	1	8
2014-03-29 18:54:21.26553	86985	47	2	1
2014-03-29 18:54:21.496439	86986	21.6	1	1
2014-03-29 18:54:32.161571	86987	402	3	2
2014-03-29 18:54:32.383423	86988	1122650.4788389832	4	2
2014-03-29 18:54:37.935478	86989	45	2	10
2014-03-29 18:54:38.168274	86990	22.0	1	10
2014-03-29 18:54:48.022442	86991	45	2	8
2014-03-29 18:54:48.243441	86992	20.7	1	8
2014-03-29 18:55:00.264898	86993	47	2	1
2014-03-29 18:55:00.507119	86994	21.6	1	1
2014-03-29 18:55:16.932459	86995	45	2	10
2014-03-29 18:55:17.156215	86996	22.0	1	10
2014-03-29 18:55:27.021464	86997	45	2	8
2014-03-29 18:55:27.258261	86998	20.7	1	8
2014-03-29 18:55:32.162876	86999	402	3	2
2014-03-29 18:55:32.385036	87000	1122657.3730473116	4	2
2014-03-29 18:55:39.262043	87001	47	2	1
2014-03-29 18:55:39.495982	87002	21.6	1	1
2014-03-29 18:55:55.93184	87003	45	2	10
2014-03-29 18:55:56.153545	87004	22.0	1	10
2014-03-29 18:56:06.021089	87005	45	2	8
2014-03-29 18:56:06.254418	87006	20.7	1	8
2014-03-29 18:56:18.264619	87007	47	2	1
2014-03-29 18:56:18.506761	87008	21.6	1	1
2014-03-29 18:56:32.160487	87009	354	3	2
2014-03-29 18:56:32.394419	87010	1122664.2672556401	4	2
2014-03-29 18:56:34.93426	87011	45	2	10
2014-03-29 18:56:35.155944	87012	22.1	1	10
2014-03-29 18:56:45.020243	87013	45	2	8
2014-03-29 18:56:45.252086	87014	20.7	1	8
2014-03-29 18:56:57.263911	87015	47	2	1
2014-03-29 18:56:57.487337	87016	21.6	1	1
2014-03-29 18:57:13.93402	87017	45	2	10
2014-03-29 18:57:14.166553	87018	22.1	1	10
2014-03-29 18:57:24.02005	87019	45	2	8
2014-03-29 18:57:24.242546	87020	20.7	1	8
2014-03-29 18:57:32.160863	87021	354	3	2
2014-03-29 18:57:32.393317	87022	1122670.0124292471	4	2
2014-03-29 18:57:36.263773	87023	47	2	1
2014-03-29 18:57:36.488175	87024	21.6	1	1
2014-03-29 18:57:52.934388	87025	45	2	10
2014-03-29 18:57:53.168847	87026	22.1	1	10
2014-03-29 18:58:03.020582	87027	45	2	8
2014-03-29 18:58:03.242956	87028	20.7	1	8
2014-03-29 18:58:15.263197	87029	47	2	1
2014-03-29 18:58:15.496887	87030	21.6	1	1
2014-03-29 18:58:31.932403	87031	45	2	10
2014-03-29 18:58:32.155401	87032	22.1	1	10
2014-03-29 18:58:42.020293	87033	45	2	8
2014-03-29 18:58:42.252765	87034	20.7	1	8
2014-03-29 18:58:54.263756	87035	47	2	1
2014-03-29 18:58:54.487078	87036	21.6	1	1
2014-03-29 18:59:10.935333	87037	45	2	10
2014-03-29 18:59:11.222559	87038	22.1	1	10
2014-03-29 18:59:21.020712	87039	45	2	8
2014-03-29 18:59:21.444173	87040	20.7	1	8
2014-03-29 18:59:33.259817	87041	47	2	1
2014-03-29 18:59:33.627401	87042	21.6	1	1
2014-03-29 18:59:49.935129	87043	45	2	10
2014-03-29 18:59:50.18873	87044	22.1	1	10
2014-03-29 19:00:00.022811	87045	45	2	8
2014-03-29 19:00:00.25519	87046	20.7	1	8
2014-03-29 19:00:12.260734	87047	47	2	1
2014-03-29 19:00:12.482566	87048	21.6	1	1
2014-03-29 19:00:28.934465	87049	45	2	10
2014-03-29 19:00:29.168754	87050	22.1	1	10
2014-03-29 19:00:32.161773	87051	354	3	2
2014-03-29 19:00:32.382338	87052	1122688.3969847898	4	2
2014-03-29 19:00:39.020743	87053	45	2	8
2014-03-29 19:00:39.254109	87054	20.7	1	8
2014-03-29 19:00:51.259828	87055	47	2	1
2014-03-29 19:00:51.482477	87056	21.6	1	1
2014-03-29 19:01:07.940246	87057	45	2	10
2014-03-29 19:01:08.173679	87058	22.1	1	10
2014-03-29 19:01:18.02006	87059	45	2	8
2014-03-29 19:01:18.243213	87060	20.7	1	8
2014-03-29 19:01:30.261311	87061	47	2	1
2014-03-29 19:01:30.493663	87062	21.6	1	1
2014-03-29 19:01:32.161601	87063	354	3	2
2014-03-29 19:01:32.385411	87064	1122694.142158397	4	2
2014-03-29 19:01:46.93387	87065	45	2	10
2014-03-29 19:01:47.16611	87066	22.1	1	10
2014-03-29 19:01:57.020101	87067	45	2	8
2014-03-29 19:01:57.241822	87068	20.7	1	8
2014-03-29 19:02:09.257503	87069	47	2	1
2014-03-29 19:02:09.494622	87070	21.6	1	1
2014-03-29 19:02:25.936816	87071	45	2	10
2014-03-29 19:02:26.160258	87072	22.1	1	10
2014-03-29 19:02:32.163438	87073	354	3	2
2014-03-29 19:02:32.396224	87074	1122699.887332004	4	2
2014-03-29 19:02:36.019573	87075	45	2	8
2014-03-29 19:02:36.241739	87076	20.7	1	8
2014-03-29 19:02:48.259945	87077	47	2	1
2014-03-29 19:02:48.49568	87078	21.6	1	1
2014-03-29 19:03:04.933167	87079	45	2	10
2014-03-29 19:03:05.156436	87080	22.2	1	10
2014-03-29 19:03:08.170823	87081	418	3	2
2014-03-29 19:03:08.403292	87082	1122704.4834708897	4	2
2014-03-29 19:03:15.019493	87083	45	2	8
2014-03-29 19:03:15.243985	87084	20.7	1	8
2014-03-29 19:03:27.067545	87085	402	3	2
2014-03-29 19:03:27.298894	87086	1122705.632505611	4	2
2014-03-29 19:03:27.604924	87087	47	2	1
2014-03-29 19:03:27.826154	87088	21.6	1	1
2014-03-29 19:03:32.162197	87089	418	3	2
2014-03-29 19:03:32.405507	87090	1122706.7815403324	4	2
2014-03-29 19:03:43.93367	87091	45	2	10
2014-03-29 19:03:44.154743	87092	22.2	1	10
2014-03-29 19:03:54.041382	87093	45	2	8
2014-03-29 19:03:54.273985	87094	20.7	1	8
2014-03-29 19:04:06.255259	87095	47	2	1
2014-03-29 19:04:06.477736	87096	21.6	1	1
2014-03-29 19:04:22.935745	87097	45	2	10
2014-03-29 19:04:23.168234	87098	22.2	1	10
2014-03-29 19:04:33.018876	87099	45	2	8
2014-03-29 19:04:33.24218	87100	20.7	1	8
2014-03-29 19:04:45.260417	87101	47	2	1
2014-03-29 19:04:45.491652	87102	21.6	1	1
2014-03-29 19:05:01.934726	87103	45	2	10
2014-03-29 19:05:02.157036	87104	22.2	1	10
2014-03-29 19:05:12.022051	87105	45	2	8
2014-03-29 19:05:12.253735	87106	20.7	1	8
2014-03-29 19:05:24.257478	87107	47	2	1
2014-03-29 19:05:24.479066	87108	21.6	1	1
2014-03-29 19:05:32.162157	87109	418	3	2
2014-03-29 19:05:32.393559	87110	1122720.5699569895	4	2
2014-03-29 19:05:40.938026	87111	45	2	10
2014-03-29 19:05:41.163017	87112	22.2	1	10
2014-03-29 19:05:51.021791	87113	45	2	8
2014-03-29 19:05:51.253305	87114	20.7	1	8
2014-03-29 19:06:03.255992	87115	47	2	1
2014-03-29 19:06:03.478107	87116	21.7	1	1
2014-03-29 19:06:19.939875	87117	45	2	10
2014-03-29 19:06:20.173968	87118	22.2	1	10
2014-03-29 19:06:30.020868	87119	45	2	8
2014-03-29 19:06:30.245426	87120	20.7	1	8
2014-03-29 19:06:32.16393	87121	418	3	2
2014-03-29 19:06:32.39786	87122	1122727.464165318	4	2
2014-03-29 19:06:42.257932	87123	47	2	1
2014-03-29 19:06:42.480265	87124	21.7	1	1
2014-03-29 19:06:58.93311	87125	45	2	10
2014-03-29 19:06:59.173547	87126	22.2	1	10
2014-03-29 19:07:09.01957	87127	45	2	8
2014-03-29 19:07:09.242399	87128	20.7	1	8
2014-03-29 19:07:21.254309	87129	47	2	1
2014-03-29 19:07:21.489164	87130	21.7	1	1
2014-03-29 19:07:32.164267	87131	418	3	2
2014-03-29 19:07:32.38908	87132	1122734.3583736464	4	2
2014-03-29 19:07:37.956609	87133	45	2	10
2014-03-29 19:07:38.190378	87134	22.2	1	10
2014-03-29 19:07:48.020545	87135	45	2	8
2014-03-29 19:07:48.242662	87136	20.7	1	8
2014-03-29 19:08:00.253854	87137	47	2	1
2014-03-29 19:08:00.499173	87138	21.7	1	1
2014-03-29 19:08:16.934534	87139	45	2	10
2014-03-29 19:08:17.156545	87140	22.2	1	10
2014-03-29 19:08:27.020091	87141	45	2	8
2014-03-29 19:08:27.251032	87142	20.7	1	8
2014-03-29 19:08:32.162992	87143	418	3	2
2014-03-29 19:08:32.385143	87144	1122741.252581975	4	2
2014-03-29 19:08:39.253818	87145	47	2	1
2014-03-29 19:08:39.486698	87146	21.7	1	1
2014-03-29 19:08:55.938132	87147	45	2	10
2014-03-29 19:08:56.159897	87148	22.2	1	10
2014-03-29 19:09:06.019711	87149	45	2	8
2014-03-29 19:09:06.250418	87150	20.7	1	8
2014-03-29 19:09:18.256744	87151	47	2	1
2014-03-29 19:09:18.480736	87152	21.7	1	1
2014-03-29 19:09:32.160075	87153	418	3	2
2014-03-29 19:09:32.392458	87154	1122749.2958250248	4	2
2014-03-29 19:09:34.9372	87155	45	2	10
2014-03-29 19:09:35.158629	87156	22.2	1	10
2014-03-29 19:09:45.018995	87157	45	2	8
2014-03-29 19:09:45.250945	87158	20.7	1	8
2014-03-29 19:09:56.161212	87159	354	3	2
2014-03-29 19:09:56.38407	87160	1122751.5938944677	4	2
2014-03-29 19:09:57.256536	87161	47	2	1
2014-03-29 19:09:57.490157	87162	21.7	1	1
2014-03-29 19:10:13.937942	87163	45	2	10
2014-03-29 19:10:14.159544	87164	22.3	1	10
2014-03-29 19:10:24.075008	87165	45	2	8
2014-03-29 19:10:24.306972	87166	20.7	1	8
2014-03-29 19:10:32.159774	87167	354	3	2
2014-03-29 19:10:32.382769	87168	1122755.0409986319	4	2
2014-03-29 19:10:36.252448	87169	47	2	1
2014-03-29 19:10:36.484211	87170	21.7	1	1
2014-03-29 19:10:52.938557	87171	45	2	10
2014-03-29 19:10:53.1631	87172	22.3	1	10
2014-03-29 19:11:03.024025	87173	45	2	8
2014-03-29 19:11:03.256212	87174	20.8	1	8
2014-03-29 19:11:15.253823	87175	47	2	1
2014-03-29 19:11:15.476378	87176	21.7	1	1
2014-03-29 19:11:42.019634	87177	45	2	8
2014-03-29 19:11:42.253972	87178	20.8	1	8
2014-03-29 19:11:54.310345	87179	47	2	1
2014-03-29 19:11:54.531789	87180	21.7	1	1
2014-03-29 19:12:10.939554	87181	45	2	10
2014-03-29 19:12:11.171471	87182	22.3	1	10
2014-03-29 19:12:21.019738	87183	45	2	8
2014-03-29 19:12:21.24366	87184	20.8	1	8
2014-03-29 19:12:32.162652	87185	354	3	2
2014-03-29 19:12:32.408179	87186	1122766.5313458461	4	2
2014-03-29 19:12:33.254493	87187	47	2	1
2014-03-29 19:12:33.477746	87188	21.7	1	1
2014-03-29 19:12:49.937166	87189	45	2	10
2014-03-29 19:12:50.170665	87190	22.3	1	10
2014-03-29 19:13:00.020526	87191	45	2	8
2014-03-29 19:13:00.242202	87192	20.8	1	8
2014-03-29 19:13:12.251404	87193	47	2	1
2014-03-29 19:13:12.48513	87194	21.7	1	1
2014-03-29 19:13:28.937763	87195	45	2	10
2014-03-29 19:13:29.165696	87196	22.3	1	10
2014-03-29 19:13:32.158844	87197	354	3	2
2014-03-29 19:13:32.389235	87198	1122772.2765194532	4	2
2014-03-29 19:13:39.020135	87199	45	2	8
2014-03-29 19:13:39.24294	87200	20.8	1	8
2014-03-29 19:13:51.255508	87201	47	2	1
2014-03-29 19:13:51.487204	87202	21.7	1	1
2014-03-29 19:14:07.937344	87203	45	2	10
2014-03-29 19:14:08.158838	87204	22.3	1	10
2014-03-29 19:14:18.020192	87205	45	2	8
2014-03-29 19:14:18.251256	87206	20.8	1	8
2014-03-29 19:14:30.254287	87207	47	2	1
2014-03-29 19:14:30.47613	87208	21.7	1	1
2014-03-29 19:14:32.161796	87209	354	3	2
2014-03-29 19:14:32.392564	87210	1122778.0216930602	4	2
2014-03-29 19:14:46.936241	87211	45	2	10
2014-03-29 19:14:47.158064	87212	22.3	1	10
2014-03-29 19:14:57.021484	87213	45	2	8
2014-03-29 19:14:57.253432	87214	20.8	1	8
2014-03-29 19:15:09.253009	87215	47	2	1
2014-03-29 19:15:09.476008	87216	21.7	1	1
2014-03-29 19:15:25.939986	87217	45	2	10
2014-03-29 19:15:26.173707	87218	22.3	1	10
2014-03-29 19:15:32.160452	87219	354	3	2
2014-03-29 19:15:32.382712	87220	1122784.9159013887	4	2
2014-03-29 19:15:36.019261	87221	45	2	8
2014-03-29 19:15:36.25098	87222	20.8	1	8
2014-03-29 19:15:48.252904	87223	47	2	1
2014-03-29 19:15:48.475521	87224	21.7	1	1
2014-03-29 19:16:04.942382	87225	45	2	10
2014-03-29 19:16:05.174286	87226	22.4	1	10
2014-03-29 19:16:15.023135	87227	45	2	8
2014-03-29 19:16:15.244305	87228	20.8	1	8
2014-03-29 19:16:27.252388	87229	47	2	1
2014-03-29 19:16:27.486278	87230	21.7	1	1
2014-03-29 19:16:32.160197	87231	418	3	2
2014-03-29 19:16:32.383535	87232	1122790.6610749958	4	2
2014-03-29 19:16:43.940332	87233	45	2	10
2014-03-29 19:16:44.183724	87234	22.4	1	10
2014-03-29 19:16:54.021726	87235	45	2	8
2014-03-29 19:16:54.246677	87236	20.8	1	8
2014-03-29 19:17:06.247642	87237	47	2	1
2014-03-29 19:17:06.480038	87238	21.7	1	1
2014-03-29 19:17:22.938184	87239	45	2	10
2014-03-29 19:17:23.161187	87240	22.4	1	10
2014-03-29 19:17:33.020325	87241	45	2	8
2014-03-29 19:17:33.256374	87242	20.8	1	8
2014-03-29 19:17:45.250061	87243	47	2	1
2014-03-29 19:17:45.474458	87244	21.7	1	1
2014-03-29 19:18:01.938813	87245	45	2	10
2014-03-29 19:18:02.1713	87246	22.4	1	10
2014-03-29 19:18:12.021479	87247	45	2	8
2014-03-29 19:18:12.243587	87248	20.8	1	8
2014-03-29 19:18:24.306006	87249	47	2	1
2014-03-29 19:18:24.539556	87250	21.7	1	1
2014-03-29 19:18:32.161182	87251	434	3	2
2014-03-29 19:18:32.386493	87252	1122804.4494916527	4	2
2014-03-29 19:18:40.941481	87253	45	2	10
2014-03-29 19:18:41.174371	87254	22.4	1	10
2014-03-29 19:18:51.022082	87255	45	2	8
2014-03-29 19:18:51.246022	87256	20.8	1	8
2014-03-29 19:19:03.249054	87257	47	2	1
2014-03-29 19:19:03.48482	87258	21.8	1	1
2014-03-29 19:19:19.940907	87259	45	2	10
2014-03-29 19:19:20.163664	87260	22.4	1	10
2014-03-29 19:19:30.0204	87261	45	2	8
2014-03-29 19:19:30.252659	87262	20.8	1	8
2014-03-29 19:19:32.160073	87263	418	3	2
2014-03-29 19:19:32.383152	87264	1122810.199136212	4	2
2014-03-29 19:19:42.246795	87265	47	2	1
2014-03-29 19:19:42.479474	87266	21.8	1	1
2014-03-29 19:19:58.940976	87267	45	2	10
2014-03-29 19:19:59.163374	87268	22.4	1	10
2014-03-29 19:20:09.020831	87269	45	2	8
2014-03-29 19:20:09.252854	87270	20.8	1	8
2014-03-29 19:20:21.249268	87271	47	2	1
2014-03-29 19:20:21.472338	87272	21.8	1	1
2014-03-29 19:20:32.160843	87273	498	3	2
2014-03-29 19:20:32.394097	87274	1122818.2423792619	4	2
2014-03-29 19:20:37.942684	87275	45	2	10
2014-03-29 19:20:38.165353	87276	22.4	1	10
2014-03-29 19:20:44.162031	87277	498	3	2
2014-03-29 19:20:44.394266	87278	1122819.3914139834	4	2
2014-03-29 19:20:48.020766	87279	45	2	8
2014-03-29 19:20:48.243113	87280	20.8	1	8
2014-03-29 19:21:00.249728	87281	47	2	1
2014-03-29 19:21:00.492799	87282	21.8	1	1
2014-03-29 19:21:16.943209	87283	45	2	10
2014-03-29 19:21:17.165006	87284	22.4	1	10
2014-03-29 19:21:27.022336	87285	45	2	8
2014-03-29 19:21:27.256796	87286	20.8	1	8
2014-03-29 19:21:32.161726	87287	498	3	2
2014-03-29 19:21:32.384083	87288	1122826.2856223118	4	2
2014-03-29 19:21:39.247815	87289	47	2	1
2014-03-29 19:21:39.482772	87290	21.8	1	1
2014-03-29 19:21:55.940394	87291	45	2	10
2014-03-29 19:21:56.164171	87292	22.4	1	10
2014-03-29 19:22:06.021086	87293	45	2	8
2014-03-29 19:22:06.254215	87294	20.8	1	8
2014-03-29 19:22:18.245149	87295	47	2	1
2014-03-29 19:22:18.468115	87296	21.8	1	1
2014-03-29 19:22:32.162606	87297	498	3	2
2014-03-29 19:22:32.395721	87298	1122834.3288653619	4	2
2014-03-29 19:22:34.942618	87299	45	2	10
2014-03-29 19:22:35.166785	87300	22.5	1	10
2014-03-29 19:22:45.020917	87301	45	2	8
2014-03-29 19:22:45.25606	87302	20.8	1	8
2014-03-29 19:22:57.248465	87303	47	2	1
2014-03-29 19:22:57.471638	87304	21.8	1	1
2014-03-29 19:23:08.161833	87305	450	3	2
2014-03-29 19:23:08.397609	87306	1122838.9250042473	4	2
2014-03-29 19:23:13.944007	87307	45	2	10
2014-03-29 19:23:14.165103	87308	22.5	1	10
2014-03-29 19:23:20.159693	87309	434	3	2
2014-03-29 19:23:20.394383	87310	1122841.2230736902	4	2
2014-03-29 19:23:24.020291	87311	45	2	8
2014-03-29 19:23:24.24157	87312	20.8	1	8
2014-03-29 19:23:32.159402	87313	434	3	2
2014-03-29 19:23:32.393283	87314	1122842.3721084117	4	2
2014-03-29 19:23:36.247316	87315	47	2	1
2014-03-29 19:23:36.472243	87316	21.8	1	1
2014-03-29 19:23:52.942527	87317	45	2	10
2014-03-29 19:23:53.17378	87318	22.5	1	10
2014-03-29 19:24:03.022496	87319	45	2	8
2014-03-29 19:24:03.245474	87320	20.8	1	8
2014-03-29 19:24:15.244311	87321	47	2	1
2014-03-29 19:24:15.478525	87322	21.8	1	1
2014-03-29 19:24:31.940549	87323	45	2	10
2014-03-29 19:24:32.162358	87324	22.5	1	10
2014-03-29 19:24:42.020722	87325	45	2	8
2014-03-29 19:24:42.252335	87326	20.8	1	8
2014-03-29 19:24:54.243915	87327	47	2	1
2014-03-29 19:24:54.468632	87328	21.8	1	1
2014-03-29 19:25:10.942265	87329	45	2	10
2014-03-29 19:25:11.18503	87330	22.5	1	10
2014-03-29 19:25:21.020387	87331	45	2	8
2014-03-29 19:25:21.242531	87332	20.8	1	8
2014-03-29 19:25:32.158099	87333	434	3	2
2014-03-29 19:25:32.390818	87334	1122857.30955979	4	2
2014-03-29 19:25:33.243202	87335	47	2	1
2014-03-29 19:25:33.465277	87336	21.8	1	1
2014-03-29 19:25:49.940304	87337	45	2	10
2014-03-29 19:25:50.171513	87338	22.5	1	10
2014-03-29 19:26:00.019613	87339	45	2	8
2014-03-29 19:26:00.240433	87340	20.8	1	8
2014-03-29 19:26:12.2455	87341	47	2	1
2014-03-29 19:26:12.477511	87342	21.8	1	1
2014-03-29 19:26:28.944912	87343	45	2	10
2014-03-29 19:26:29.164793	87344	22.5	1	10
2014-03-29 19:26:32.161831	87345	434	3	2
2014-03-29 19:26:32.393935	87346	1122864.2037681185	4	2
2014-03-29 19:26:39.018951	87347	45	2	8
2014-03-29 19:26:39.240468	87348	20.8	1	8
2014-03-29 19:26:51.244242	87349	47	2	1
2014-03-29 19:26:51.478533	87350	21.8	1	1
2014-03-29 19:27:07.941531	87351	45	2	10
2014-03-29 19:27:08.166058	87352	22.5	1	10
2014-03-29 19:27:18.022237	87353	45	2	8
2014-03-29 19:27:18.253783	87354	20.8	1	8
2014-03-29 19:27:30.242371	87355	47	2	1
2014-03-29 19:27:30.464637	87356	21.8	1	1
2014-03-29 19:27:32.162903	87357	434	3	2
2014-03-29 19:27:32.394598	87358	1122872.2470111684	4	2
2014-03-29 19:27:46.942922	87359	45	2	10
2014-03-29 19:27:47.168422	87360	22.5	1	10
2014-03-29 19:27:57.01887	87361	45	2	8
2014-03-29 19:27:57.253437	87362	20.8	1	8
2014-03-29 19:28:09.245177	87363	47	2	1
2014-03-29 19:28:09.467244	87364	21.8	1	1
2014-03-29 19:28:25.941512	87365	45	2	10
2014-03-29 19:28:26.175852	87366	22.6	1	10
2014-03-29 19:28:32.157432	87367	418	3	2
2014-03-29 19:28:32.383377	87368	1122879.141219497	4	2
2014-03-29 19:28:36.02025	87369	45	2	8
2014-03-29 19:28:36.253667	87370	20.8	1	8
2014-03-29 19:28:48.242945	87371	47	2	1
2014-03-29 19:28:48.466706	87372	21.8	1	1
2014-03-29 19:29:04.944046	87373	45	2	10
2014-03-29 19:29:05.17694	87374	22.6	1	10
2014-03-29 19:29:15.020498	87375	45	2	8
2014-03-29 19:29:15.243688	87376	20.9	1	8
2014-03-29 19:29:27.242608	87377	47	2	1
2014-03-29 19:29:27.488146	87378	21.9	1	1
2014-03-29 19:29:32.161028	87379	434	3	2
2014-03-29 19:29:32.382123	87380	1122886.0354278255	4	2
2014-03-29 19:29:43.942184	87381	45	2	10
2014-03-29 19:29:44.173355	87382	22.6	1	10
2014-03-29 19:29:54.019468	87383	45	2	8
2014-03-29 19:29:54.24059	87384	20.9	1	8
2014-03-29 19:30:06.242014	87385	47	2	1
2014-03-29 19:30:06.474705	87386	21.9	1	1
2014-03-29 19:30:08.157712	87387	482	3	2
2014-03-29 19:30:08.380649	87388	1122890.631566711	4	2
2014-03-29 19:30:20.160595	87389	482	3	2
2014-03-29 19:30:20.392407	87390	1122892.9296361539	4	2
2014-03-29 19:30:22.946001	87391	45	2	10
2014-03-29 19:30:23.16916	87392	22.6	1	10
2014-03-29 19:30:33.020175	87393	45	2	8
2014-03-29 19:30:33.254761	87394	20.9	1	8
2014-03-29 19:30:45.242142	87395	47	2	1
2014-03-29 19:30:45.464281	87396	21.9	1	1
2014-03-29 19:31:01.944135	87397	45	2	10
2014-03-29 19:31:02.175066	87398	22.6	1	10
2014-03-29 19:31:12.019729	87399	45	2	8
2014-03-29 19:31:12.244083	87400	20.9	1	8
2014-03-29 19:31:24.242671	87401	47	2	1
2014-03-29 19:31:24.475053	87402	21.9	1	1
2014-03-29 19:31:32.158875	87403	466	3	2
2014-03-29 19:31:32.383976	87404	1122902.1219139253	4	2
2014-03-29 19:31:40.944608	87405	45	2	10
2014-03-29 19:31:41.177148	87406	22.6	1	10
2014-03-29 19:31:51.019498	87407	45	2	8
2014-03-29 19:31:51.242874	87408	20.9	1	8
2014-03-29 19:31:56.158295	87409	498	3	2
2014-03-29 19:31:56.396823	87410	1122905.5690180894	4	2
2014-03-29 19:32:03.241624	87411	47	2	1
2014-03-29 19:32:03.464287	87412	21.9	1	1
2014-03-29 19:32:08.160085	87413	482	3	2
2014-03-29 19:32:08.394289	87414	1122906.718052811	4	2
2014-03-29 19:32:19.946714	87415	45	2	10
2014-03-29 19:32:20.16858	87416	22.6	1	10
2014-03-29 19:32:30.020674	87417	45	2	8
2014-03-29 19:32:30.253452	87418	20.9	1	8
2014-03-29 19:32:32.160711	87419	482	3	2
2014-03-29 19:32:32.384768	87420	1122910.1651569752	4	2
2014-03-29 19:32:42.238717	87421	47	2	1
2014-03-29 19:32:42.474327	87422	21.9	1	1
2014-03-29 19:32:58.943219	87423	45	2	10
2014-03-29 19:32:59.166987	87424	22.6	1	10
2014-03-29 19:33:09.01873	87425	45	2	8
2014-03-29 19:33:09.265328	87426	20.9	1	8
2014-03-29 19:33:21.244033	87427	47	2	1
2014-03-29 19:33:21.466167	87428	21.9	1	1
2014-03-29 19:33:32.162344	87429	482	3	2
2014-03-29 19:33:32.394888	87430	1122918.208400025	4	2
2014-03-29 19:33:37.944934	87431	45	2	10
2014-03-29 19:33:38.168226	87432	22.6	1	10
2014-03-29 19:33:48.020366	87433	45	2	8
2014-03-29 19:33:48.255013	87434	20.9	1	8
2014-03-29 19:34:00.240106	87435	47	2	1
2014-03-29 19:34:00.468018	87436	21.9	1	1
2014-03-29 19:34:16.945525	87437	45	2	10
2014-03-29 19:34:17.17826	87438	22.6	1	10
2014-03-29 19:34:27.019054	87439	45	2	8
2014-03-29 19:34:27.261913	87440	20.9	1	8
2014-03-29 19:34:32.159735	87441	482	3	2
2014-03-29 19:34:32.393611	87442	1122926.251643075	4	2
2014-03-29 19:34:39.239342	87443	47	2	1
2014-03-29 19:34:39.46354	87444	21.9	1	1
2014-03-29 19:34:55.944462	87445	45	2	10
2014-03-29 19:34:56.176736	87446	22.6	1	10
2014-03-29 19:35:06.019014	87447	45	2	8
2014-03-29 19:35:06.243737	87448	20.9	1	8
2014-03-29 19:35:18.477138	87449	47	2	1
2014-03-29 19:35:18.710692	87450	21.9	1	1
2014-03-29 19:35:20.159022	87451	418	3	2
2014-03-29 19:35:20.380262	87452	1122933.1458514035	4	2
2014-03-29 19:35:32.158913	87453	418	3	2
2014-03-29 19:35:32.393427	87454	1122934.2948861248	4	2
2014-03-29 19:35:34.947141	87455	45	2	10
2014-03-29 19:35:35.169544	87456	22.7	1	10
2014-03-29 19:35:45.018532	87457	45	2	8
2014-03-29 19:35:45.251467	87458	20.9	1	8
2014-03-29 19:35:57.237544	87459	47	2	1
2014-03-29 19:35:57.466207	87460	21.9	1	1
2014-03-29 19:36:08.158508	87461	354	3	2
2014-03-29 19:36:08.389653	87462	1122937.7419902892	4	2
2014-03-29 19:36:13.947468	87463	45	2	10
2014-03-29 19:36:14.169677	87464	22.7	1	10
2014-03-29 19:36:24.020015	87465	45	2	8
2014-03-29 19:36:24.254133	87466	20.9	1	8
2014-03-29 19:36:32.160184	87467	354	3	2
2014-03-29 19:36:32.383637	87468	1122940.040059732	4	2
2014-03-29 19:36:36.237647	87469	47	2	1
2014-03-29 19:36:36.469523	87470	21.9	1	1
2014-03-29 19:36:52.942697	87471	45	2	10
2014-03-29 19:36:53.166	87472	22.7	1	10
2014-03-29 19:37:03.020057	87473	45	2	8
2014-03-29 19:37:03.26319	87474	20.9	1	8
2014-03-29 19:37:15.238804	87475	47	2	1
2014-03-29 19:37:15.462639	87476	21.9	1	1
2014-03-29 19:37:31.948859	87477	45	2	10
2014-03-29 19:37:32.37591	87478	22.7	1	10
2014-03-29 19:37:42.020265	87479	45	2	8
2014-03-29 19:37:42.243328	87480	20.9	1	8
2014-03-29 19:37:54.235368	87481	47	2	1
2014-03-29 19:37:54.458192	87482	21.9	1	1
2014-03-29 19:38:10.944875	87483	45	2	10
2014-03-29 19:38:11.176801	87484	22.7	1	10
2014-03-29 19:38:21.019365	87485	45	2	8
2014-03-29 19:38:21.241402	87486	20.9	1	8
2014-03-29 19:38:32.162303	87487	354	3	2
2014-03-29 19:38:32.394122	87488	1122952.6794416674	4	2
2014-03-29 19:38:33.234151	87489	47	2	1
2014-03-29 19:38:33.456611	87490	21.9	1	1
2014-03-29 19:38:49.94552	87491	45	2	10
2014-03-29 19:38:50.179365	87492	22.7	1	10
2014-03-29 19:39:00.019855	87493	45	2	8
2014-03-29 19:39:00.242506	87494	20.9	1	8
2014-03-29 19:39:12.23854	87495	47	2	1
2014-03-29 19:39:12.471134	87496	21.9	1	1
2014-03-29 19:39:28.945359	87497	45	2	10
2014-03-29 19:39:29.166376	87498	22.7	1	10
2014-03-29 19:39:32.158025	87499	354	3	2
2014-03-29 19:39:32.392489	87500	1122958.4246152746	4	2
2014-03-29 19:39:39.018313	87501	45	2	8
2014-03-29 19:39:39.240043	87502	20.9	1	8
2014-03-29 19:39:51.233778	87503	47	2	1
2014-03-29 19:39:51.466994	87504	21.9	1	1
2014-03-29 19:39:56.157016	87505	402	3	2
2014-03-29 19:39:56.380433	87506	1122960.7226847175	4	2
2014-03-29 19:40:07.94494	87507	45	2	10
2014-03-29 19:40:08.175348	87508	22.7	1	10
2014-03-29 19:40:18.02021	87509	45	2	8
2014-03-29 19:40:18.242275	87510	20.9	1	8
2014-03-29 19:40:20.159233	87511	354	3	2
2014-03-29 19:40:20.389886	87512	1122963.0207541601	4	2
2014-03-29 19:40:30.23593	87513	47	2	1
2014-03-29 19:40:30.460041	87514	22.0	1	1
2014-03-29 19:40:32.158957	87515	354	3	2
2014-03-29 19:40:32.3914	87516	1122965.318823603	4	2
2014-03-29 19:40:46.945013	87517	45	2	10
2014-03-29 19:40:47.167734	87518	22.7	1	10
2014-03-29 19:40:57.019913	87519	45	2	8
2014-03-29 19:40:57.250737	87520	20.9	1	8
2014-03-29 19:41:09.238429	87521	47	2	1
2014-03-29 19:41:09.45997	87522	22.0	1	1
2014-03-29 19:41:25.946608	87523	45	2	10
2014-03-29 19:41:26.188016	87524	22.7	1	10
2014-03-29 19:41:32.159516	87525	354	3	2
2014-03-29 19:41:32.382645	87526	1122971.0639972102	4	2
2014-03-29 19:41:36.019011	87527	45	2	8
2014-03-29 19:41:36.249307	87528	20.9	1	8
2014-03-29 19:41:48.232474	87529	47	2	1
2014-03-29 19:41:48.453842	87530	22.0	1	1
2014-03-29 19:42:04.945584	87531	45	2	10
2014-03-29 19:42:05.177311	87532	22.7	1	10
2014-03-29 19:42:15.019534	87533	45	2	8
2014-03-29 19:42:15.240601	87534	20.9	1	8
2014-03-29 19:42:27.233528	87535	47	2	1
2014-03-29 19:42:27.465743	87536	22.0	1	1
2014-03-29 19:42:32.158615	87537	354	3	2
2014-03-29 19:42:32.379017	87538	1122976.8091708173	4	2
2014-03-29 19:42:43.949934	87539	45	2	10
2014-03-29 19:42:44.183322	87540	22.8	1	10
2014-03-29 19:42:54.02181	87541	45	2	8
2014-03-29 19:42:54.243022	87542	20.9	1	8
2014-03-29 19:42:56.158729	87543	402	3	2
2014-03-29 19:42:56.390288	87544	1122979.10724026	4	2
2014-03-29 19:43:06.236304	87545	47	2	1
2014-03-29 19:43:06.457935	87546	22.0	1	1
2014-03-29 19:43:08.157003	87547	418	3	2
2014-03-29 19:43:08.388596	87548	1122980.2562749814	4	2
2014-03-29 19:43:22.957856	87549	45	2	10
2014-03-29 19:43:23.181606	87550	22.8	1	10
2014-03-29 19:43:33.022535	87551	45	2	8
2014-03-29 19:43:33.253553	87552	20.9	1	8
2014-03-29 19:43:45.235786	87553	47	2	1
2014-03-29 19:43:45.456401	87554	22.0	1	1
2014-03-29 19:44:01.947667	87555	45	2	10
2014-03-29 19:44:02.179698	87556	22.8	1	10
2014-03-29 19:44:12.020136	87557	45	2	8
2014-03-29 19:44:12.24362	87558	20.9	1	8
2014-03-29 19:44:24.233181	87559	47	2	1
2014-03-29 19:44:24.463974	87560	22.0	1	1
2014-03-29 19:44:32.160968	87561	418	3	2
2014-03-29 19:44:32.385418	87562	1122990.5975874742	4	2
2014-03-29 19:44:40.945907	87563	45	2	10
2014-03-29 19:44:41.176853	87564	22.8	1	10
2014-03-29 19:44:51.019936	87565	45	2	8
2014-03-29 19:44:51.241093	87566	20.9	1	8
2014-03-29 19:45:03.229933	87567	47	2	1
2014-03-29 19:45:03.464378	87568	22.0	1	1
2014-03-29 19:45:19.945859	87569	45	2	10
2014-03-29 19:45:20.167029	87570	22.8	1	10
2014-03-29 19:45:30.01894	87571	45	2	8
2014-03-29 19:45:30.265294	87572	21.0	1	8
2014-03-29 19:45:32.158773	87573	418	3	2
2014-03-29 19:45:32.379351	87574	1122997.4917958027	4	2
2014-03-29 19:45:42.230067	87575	47	2	1
2014-03-29 19:45:42.463628	87576	22.0	1	1
2014-03-29 19:45:58.948663	87577	45	2	10
2014-03-29 19:45:59.168817	87578	22.8	1	10
2014-03-29 19:46:09.020534	87579	45	2	8
2014-03-29 19:46:09.251342	87580	21.0	1	8
2014-03-29 19:46:21.231653	87581	47	2	1
2014-03-29 19:46:21.453207	87582	22.0	1	1
2014-03-29 19:46:37.948919	87583	45	2	10
2014-03-29 19:46:38.181165	87584	22.8	1	10
2014-03-29 19:46:48.019964	87585	45	2	8
2014-03-29 19:46:48.242676	87586	21.0	1	8
2014-03-29 19:47:00.23271	87587	47	2	1
2014-03-29 19:47:00.473996	87588	22.0	1	1
2014-03-29 19:47:16.94912	87589	45	2	10
2014-03-29 19:47:17.16994	87590	22.8	1	10
2014-03-29 19:47:27.020024	87591	45	2	8
2014-03-29 19:47:27.251504	87592	21.0	1	8
2014-03-29 19:47:39.232042	87593	47	2	1
2014-03-29 19:47:39.456248	87594	22.1	1	1
2014-03-29 19:47:55.950681	87595	45	2	10
2014-03-29 19:47:56.182076	87596	22.8	1	10
2014-03-29 19:48:06.019496	87597	45	2	8
2014-03-29 19:48:06.240387	87598	21.0	1	8
2014-03-29 19:48:18.228124	87599	47	2	1
2014-03-29 19:48:18.460063	87600	22.1	1	1
2014-03-29 19:48:32.15789	87601	418	3	2
2014-03-29 19:48:32.381002	87602	1123018.1744207882	4	2
2014-03-29 19:48:34.947583	87603	45	2	10
2014-03-29 19:48:35.181484	87604	22.8	1	10
2014-03-29 19:48:45.021475	87605	45	2	8
2014-03-29 19:48:45.244416	87606	21.0	1	8
2014-03-29 19:48:56.15942	87607	354	3	2
2014-03-29 19:48:56.392178	87608	1123021.6215249524	4	2
2014-03-29 19:48:57.229316	87609	47	2	1
2014-03-29 19:48:57.450899	87610	22.1	1	1
2014-03-29 19:49:13.949862	87611	45	2	10
2014-03-29 19:49:14.183285	87612	22.9	1	10
2014-03-29 19:49:24.018851	87613	45	2	8
2014-03-29 19:49:24.242354	87614	21.0	1	8
2014-03-29 19:49:32.157636	87615	354	3	2
2014-03-29 19:49:32.389635	87616	1123025.0686291168	4	2
2014-03-29 19:49:36.232546	87617	47	2	1
2014-03-29 19:49:36.453869	87618	22.1	1	1
2014-03-29 19:49:52.949484	87619	45	2	10
2014-03-29 19:49:53.19363	87620	22.9	1	10
2014-03-29 19:50:03.019012	87621	45	2	8
2014-03-29 19:50:03.245426	87622	21.0	1	8
2014-03-29 19:50:15.229476	87623	47	2	1
2014-03-29 19:50:15.462915	87624	22.1	1	1
2014-03-29 19:50:31.949159	87625	45	2	10
2014-03-29 19:50:32.169974	87626	22.9	1	10
2014-03-29 19:50:42.019785	87627	45	2	8
2014-03-29 19:50:42.251398	87628	21.0	1	8
2014-03-29 19:50:54.229844	87629	47	2	1
2014-03-29 19:50:54.452595	87630	22.1	1	1
2014-03-29 19:51:10.948693	87631	45	2	10
2014-03-29 19:51:11.179866	87632	22.9	1	10
2014-03-29 19:51:21.018713	87633	45	2	8
2014-03-29 19:51:21.239007	87634	21.0	1	8
2014-03-29 19:51:32.156464	87635	354	3	2
2014-03-29 19:51:32.389013	87636	1123036.5589763308	4	2
2014-03-29 19:51:33.230652	87637	47	2	1
2014-03-29 19:51:33.452064	87638	22.1	1	1
2014-03-29 19:51:49.951445	87639	45	2	10
2014-03-29 19:51:50.182025	87640	22.9	1	10
2014-03-29 19:52:00.018291	87641	45	2	8
2014-03-29 19:52:00.23943	87642	21.0	1	8
2014-03-29 19:52:12.225481	87643	47	2	1
2014-03-29 19:52:12.457733	87644	22.1	1	1
2014-03-29 19:52:28.95075	87645	45	2	10
2014-03-29 19:52:29.172785	87646	22.9	1	10
2014-03-29 19:52:37.743085	87647	354	3	2
2014-03-29 19:52:37.995117	87648	1123042.3041499378	4	2
2014-03-29 19:52:39.019747	87649	45	2	8
2014-03-29 19:52:39.24065	87650	21.0	1	8
2014-03-29 19:52:51.228284	87651	47	2	1
2014-03-29 19:52:51.458755	87652	22.1	1	1
2014-03-29 19:53:07.952278	87653	45	2	10
2014-03-29 19:53:08.172893	87654	22.9	1	10
2014-03-29 19:53:18.019117	87655	45	2	8
2014-03-29 19:53:18.251843	87656	21.0	1	8
2014-03-29 19:53:30.228816	87657	47	2	1
2014-03-29 19:53:30.456378	87658	22.1	1	1
2014-03-29 19:53:32.155729	87659	354	3	2
2014-03-29 19:53:32.385285	87660	1123049.1983582664	4	2
2014-03-29 19:53:46.952201	87661	45	2	10
2014-03-29 19:53:47.172732	87662	22.9	1	10
2014-03-29 19:53:57.019943	87663	45	2	8
2014-03-29 19:53:57.253902	87664	21.0	1	8
2014-03-29 19:54:09.228968	87665	47	2	1
2014-03-29 19:54:09.451118	87666	22.1	1	1
2014-03-29 19:54:25.949538	87667	45	2	10
2014-03-29 19:54:26.193838	87668	22.9	1	10
2014-03-29 19:54:32.158922	87669	354	3	2
2014-03-29 19:54:32.380967	87670	1123054.9435318734	4	2
2014-03-29 19:54:36.020236	87671	45	2	8
2014-03-29 19:54:36.253264	87672	21.0	1	8
2014-03-29 19:54:48.229096	87673	47	2	1
2014-03-29 19:54:48.451045	87674	22.1	1	1
2014-03-29 19:55:04.949091	87675	45	2	10
2014-03-29 19:55:05.181882	87676	22.9	1	10
2014-03-29 19:55:15.018862	87677	45	2	8
2014-03-29 19:55:15.24342	87678	21.0	1	8
2014-03-29 19:55:27.230498	87679	47	2	1
2014-03-29 19:55:27.462363	87680	22.1	1	1
2014-03-29 19:55:32.158439	87681	418	3	2
2014-03-29 19:55:32.382055	87682	1123060.6887054804	4	2
2014-03-29 19:55:43.952099	87683	44	2	10
2014-03-29 19:55:44.184424	87684	23.0	1	10
2014-03-29 19:55:54.019236	87685	45	2	8
2014-03-29 19:55:54.24277	87686	21.0	1	8
2014-03-29 19:56:06.225566	87687	47	2	1
2014-03-29 19:56:06.460587	87688	22.1	1	1
2014-03-29 19:56:22.953158	87689	44	2	10
2014-03-29 19:56:23.174915	87690	23.0	1	10
2014-03-29 19:56:33.019284	87691	45	2	8
2014-03-29 19:56:33.251213	87692	21.0	1	8
2014-03-29 19:56:45.226012	87693	47	2	1
2014-03-29 19:56:45.448203	87694	22.1	1	1
2014-03-29 19:57:01.951827	87695	44	2	10
2014-03-29 19:57:02.183635	87696	23.0	1	10
2014-03-29 19:57:12.019279	87697	45	2	8
2014-03-29 19:57:12.238878	87698	21.0	1	8
2014-03-29 19:57:24.227714	87699	47	2	1
2014-03-29 19:57:24.458624	87700	22.1	1	1
2014-03-29 19:57:32.155054	87701	434	3	2
2014-03-29 19:57:32.376073	87702	1123075.6261568589	4	2
2014-03-29 19:57:40.951939	87703	44	2	10
2014-03-29 19:57:41.189113	87704	23.0	1	10
2014-03-29 19:57:51.019194	87705	45	2	8
2014-03-29 19:57:51.242794	87706	21.0	1	8
2014-03-29 19:58:03.224952	87707	47	2	1
2014-03-29 19:58:03.455372	87708	22.1	1	1
2014-03-29 19:58:19.952874	87709	44	2	10
2014-03-29 19:58:20.207483	87710	23.0	1	10
2014-03-29 19:58:30.019151	87711	45	2	8
2014-03-29 19:58:30.373159	87712	21.0	1	8
2014-03-29 19:58:32.157369	87713	418	3	2
2014-03-29 19:58:32.409657	87714	1123082.5203651874	4	2
2014-03-29 19:58:42.226913	87715	47	2	1
2014-03-29 19:58:42.470946	87716	22.1	1	1
2014-03-29 19:58:58.953557	87717	44	2	10
2014-03-29 19:58:59.175688	87718	23.0	1	10
2014-03-29 19:59:09.020767	87719	45	2	8
2014-03-29 19:59:09.253369	87720	21.0	1	8
2014-03-29 19:59:21.225246	87721	47	2	1
2014-03-29 19:59:21.448234	87722	22.1	1	1
2014-03-29 19:59:32.155751	87723	434	3	2
2014-03-29 19:59:32.386016	87724	1123089.414573516	4	2
2014-03-29 19:59:37.955479	87725	44	2	10
2014-03-29 19:59:38.178061	87726	23.0	1	10
2014-03-29 19:59:48.018628	87727	45	2	8
2014-03-29 19:59:48.251616	87728	21.0	1	8
2014-03-29 20:00:00.225565	87729	47	2	1
2014-03-29 20:00:00.447735	87730	22.1	1	1
2014-03-29 20:00:16.953293	87731	44	2	10
2014-03-29 20:00:17.186331	87732	23.0	1	10
2014-03-29 20:00:27.019182	87733	45	2	8
2014-03-29 20:00:27.24269	87734	21.0	1	8
2014-03-29 20:00:32.154174	87735	418	3	2
2014-03-29 20:00:32.387894	87736	1123096.3087818443	4	2
2014-03-29 20:00:39.225584	87737	47	2	1
2014-03-29 20:00:39.448699	87738	22.1	1	1
2014-03-29 20:00:55.954445	87739	44	2	10
2014-03-29 20:00:56.187668	87740	23.0	1	10
2014-03-29 20:01:06.020027	87741	45	2	8
2014-03-29 20:01:06.241676	87742	21.0	1	8
2014-03-29 20:01:08.156736	87743	354	3	2
2014-03-29 20:01:08.390117	87744	1123100.90492073	4	2
2014-03-29 20:01:18.462803	87745	47	2	1
2014-03-29 20:01:18.684785	87746	22.1	1	1
2014-03-29 20:01:20.157928	87747	354	3	2
2014-03-29 20:01:20.388985	87748	1123100.9093916824	4	2
2014-03-29 20:01:32.157143	87749	354	3	2
2014-03-29 20:01:32.379967	87750	1123102.0584264037	4	2
2014-03-29 20:01:34.952319	87751	44	2	10
2014-03-29 20:01:35.193499	87752	23.0	1	10
2014-03-29 20:01:45.019904	87753	45	2	8
2014-03-29 20:01:45.24244	87754	21.0	1	8
2014-03-29 20:01:57.225349	87755	47	2	1
2014-03-29 20:01:57.46111	87756	22.1	1	1
2014-03-29 20:02:13.952081	87757	44	2	10
2014-03-29 20:02:14.173939	87758	23.0	1	10
2014-03-29 20:02:24.019804	87759	45	2	8
2014-03-29 20:02:24.250444	87760	21.0	1	8
2014-03-29 20:02:32.156273	87761	354	3	2
2014-03-29 20:02:32.378654	87762	1123107.8036000107	4	2
2014-03-29 20:02:36.219785	87763	47	2	1
2014-03-29 20:02:36.461579	87764	22.1	1	1
2014-03-29 20:02:52.952715	87765	44	2	10
2014-03-29 20:02:53.1761	87766	23.1	1	10
2014-03-29 20:03:03.018638	87767	45	2	8
2014-03-29 20:03:03.250958	87768	21.1	1	8
2014-03-29 20:03:15.229834	87769	47	2	1
2014-03-29 20:03:15.451354	87770	22.1	1	1
2014-03-29 20:03:31.953123	87771	44	2	10
2014-03-29 20:03:32.185804	87772	23.1	1	10
2014-03-29 20:03:42.019331	87773	45	2	8
2014-03-29 20:03:42.241126	87774	21.1	1	8
2014-03-29 20:03:54.223363	87775	47	2	1
2014-03-29 20:03:54.456394	87776	22.1	1	1
2014-03-29 20:04:10.956426	87777	44	2	10
2014-03-29 20:04:11.177378	87778	23.1	1	10
2014-03-29 20:04:21.020064	87779	45	2	8
2014-03-29 20:04:21.253051	87780	21.1	1	8
2014-03-29 20:04:32.156746	87781	354	3	2
2014-03-29 20:04:32.379787	87782	1123119.293947225	4	2
2014-03-29 20:04:33.221984	87783	47	2	1
2014-03-29 20:04:33.45351	87784	22.1	1	1
2014-03-29 20:04:49.952784	87785	44	2	10
2014-03-29 20:04:50.178232	87786	23.1	1	10
2014-03-29 20:05:00.021188	87787	45	2	8
2014-03-29 20:05:00.253266	87788	21.1	1	8
2014-03-29 20:05:12.223251	87789	47	2	1
2014-03-29 20:05:12.446794	87790	22.1	1	1
2014-03-29 20:05:28.954392	87791	44	2	10
2014-03-29 20:05:29.188734	87792	23.1	1	10
2014-03-29 20:05:32.156798	87793	354	3	2
2014-03-29 20:05:32.378889	87794	1123126.1881555533	4	2
2014-03-29 20:05:39.018796	87795	45	2	8
2014-03-29 20:05:39.253437	87796	21.1	1	8
2014-03-29 20:05:51.221384	87797	47	2	1
2014-03-29 20:05:51.44318	87798	22.1	1	1
2014-03-29 20:06:07.951481	87799	44	2	10
2014-03-29 20:06:08.183935	87800	23.1	1	10
2014-03-29 20:06:18.019805	87801	45	2	8
2014-03-29 20:06:18.242169	87802	21.1	1	8
2014-03-29 20:06:30.220763	87803	47	2	1
2014-03-29 20:06:30.45353	87804	22.1	1	1
2014-03-29 20:06:32.155498	87805	354	3	2
2014-03-29 20:06:32.379048	87806	1123131.9333291606	4	2
2014-03-29 20:06:46.954355	87807	44	2	10
2014-03-29 20:06:47.186371	87808	23.1	1	10
2014-03-29 20:06:57.019863	87809	45	2	8
2014-03-29 20:06:57.241514	87810	21.1	1	8
2014-03-29 20:07:09.219584	87811	47	2	1
2014-03-29 20:07:09.464796	87812	22.1	1	1
2014-03-29 20:07:25.960403	87813	44	2	10
2014-03-29 20:07:26.183363	87814	23.1	1	10
2014-03-29 20:07:32.153871	87815	354	3	2
2014-03-29 20:07:32.386307	87816	1123137.6785027676	4	2
2014-03-29 20:07:36.019425	87817	45	2	8
2014-03-29 20:07:36.239561	87818	21.1	1	8
2014-03-29 20:07:48.217144	87819	47	2	1
2014-03-29 20:07:48.450451	87820	22.2	1	1
2014-03-29 20:07:56.157564	87821	402	3	2
2014-03-29 20:07:56.378857	87822	1123139.9765722104	4	2
2014-03-29 20:08:04.953774	87823	44	2	10
2014-03-29 20:08:05.189813	87824	23.1	1	10
2014-03-29 20:08:08.156318	87825	402	3	2
2014-03-29 20:08:08.378495	87826	1123141.1256069317	4	2
2014-03-29 20:08:15.019236	87827	45	2	8
2014-03-29 20:08:15.251374	87828	21.1	1	8
2014-03-29 20:08:27.220229	87829	47	2	1
2014-03-29 20:08:27.443241	87830	22.2	1	1
2014-03-29 20:08:32.159287	87831	402	3	2
2014-03-29 20:08:32.391864	87832	1123144.572711096	4	2
2014-03-29 20:08:43.955194	87833	44	2	10
2014-03-29 20:08:44.177921	87834	23.1	1	10
2014-03-29 20:08:54.019386	87835	45	2	8
2014-03-29 20:08:54.251481	87836	21.1	1	8
2014-03-29 20:09:06.219327	87837	47	2	1
2014-03-29 20:09:06.440676	87838	22.2	1	1
2014-03-29 20:09:22.957278	87839	44	2	10
2014-03-29 20:09:23.189342	87840	23.1	1	10
2014-03-29 20:09:33.01858	87841	45	2	8
2014-03-29 20:09:33.240984	87842	21.1	1	8
2014-03-29 20:09:45.221335	87843	47	2	1
2014-03-29 20:09:45.45163	87844	22.2	1	1
2014-03-29 20:10:01.960831	87845	44	2	10
2014-03-29 20:10:02.182615	87846	23.1	1	10
2014-03-29 20:10:12.020785	87847	45	2	8
2014-03-29 20:10:12.252238	87848	21.1	1	8
2014-03-29 20:10:24.217028	87849	47	2	1
2014-03-29 20:10:24.438791	87850	22.2	1	1
2014-03-29 20:10:32.156955	87851	418	3	2
2014-03-29 20:10:32.388701	87852	1123158.361127753	4	2
2014-03-29 20:10:40.95572	87853	44	2	10
2014-03-29 20:10:41.179694	87854	23.1	1	10
2014-03-29 20:10:51.018212	87855	45	2	8
2014-03-29 20:10:51.253319	87856	21.1	1	8
2014-03-29 20:11:03.221452	87857	47	2	1
2014-03-29 20:11:03.444099	87858	22.2	1	1
2014-03-29 20:11:19.956161	87859	44	2	10
2014-03-29 20:11:20.200337	87860	23.2	1	10
2014-03-29 20:11:30.019299	87861	45	2	8
2014-03-29 20:11:30.242329	87862	21.1	1	8
2014-03-29 20:11:32.154932	87863	418	3	2
2014-03-29 20:11:32.388442	87864	1123165.2553360816	4	2
2014-03-29 20:11:42.219471	87865	47	2	1
2014-03-29 20:11:42.443275	87866	22.2	1	1
2014-03-29 20:11:58.95889	87867	44	2	10
2014-03-29 20:11:59.193713	87868	23.2	1	10
2014-03-29 20:12:09.020035	87869	45	2	8
2014-03-29 20:12:09.243213	87870	21.1	1	8
2014-03-29 20:12:21.218861	87871	47	2	1
2014-03-29 20:12:21.452375	87872	22.2	1	1
2014-03-29 20:12:32.157116	87873	418	3	2
2014-03-29 20:12:32.379097	87874	1123172.14954441	4	2
2014-03-29 20:12:37.958723	87875	44	2	10
2014-03-29 20:12:38.213946	87876	23.2	1	10
2014-03-29 20:12:48.020171	87877	45	2	8
2014-03-29 20:12:48.243202	87878	21.1	1	8
2014-03-29 20:13:00.215985	87879	47	2	1
2014-03-29 20:13:00.447388	87880	22.2	1	1
2014-03-29 20:13:16.957124	87881	44	2	10
2014-03-29 20:13:17.182095	87882	23.2	1	10
2014-03-29 20:13:27.019354	87883	45	2	8
2014-03-29 20:13:27.250663	87884	21.1	1	8
2014-03-29 20:13:32.154289	87885	354	3	2
2014-03-29 20:13:32.378058	87886	1123179.0437527385	4	2
2014-03-29 20:13:39.214226	87887	47	2	1
2014-03-29 20:13:39.444673	87888	22.2	1	1
2014-03-29 20:13:44.156607	87889	354	3	2
2014-03-29 20:13:44.378211	87890	1123180.1927874598	4	2
2014-03-29 20:13:55.960738	87891	44	2	10
2014-03-29 20:13:56.246357	87892	23.2	1	10
2014-03-29 20:14:06.018631	87893	45	2	8
2014-03-29 20:14:06.243191	87894	21.1	1	8
2014-03-29 20:14:18.213104	87895	47	2	1
2014-03-29 20:14:18.444944	87896	22.2	1	1
2014-03-29 20:14:32.15421	87897	354	3	2
2014-03-29 20:14:32.377195	87898	1123184.7889263455	4	2
2014-03-29 20:14:34.955243	87899	44	2	10
2014-03-29 20:14:35.187531	87900	23.2	1	10
2014-03-29 20:14:45.018781	87901	45	2	8
2014-03-29 20:14:45.241054	87902	21.1	1	8
2014-03-29 20:14:57.214011	87903	47	2	1
2014-03-29 20:14:57.447181	87904	22.2	1	1
2014-03-29 20:15:13.960418	87905	44	2	10
2014-03-29 20:15:14.18176	87906	23.2	1	10
2014-03-29 20:15:24.019967	87907	45	2	8
2014-03-29 20:15:24.265014	87908	21.1	1	8
2014-03-29 20:15:32.156377	87909	354	3	2
2014-03-29 20:15:32.377836	87910	1123190.5340999526	4	2
2014-03-29 20:15:36.214363	87911	47	2	1
2014-03-29 20:15:36.443942	87912	22.2	1	1
2014-03-29 20:15:52.958977	87913	44	2	10
2014-03-29 20:15:53.184266	87914	23.2	1	10
2014-03-29 20:16:03.019	87915	45	2	8
2014-03-29 20:16:03.253986	87916	21.1	1	8
2014-03-29 20:16:15.217078	87917	47	2	1
2014-03-29 20:16:15.44198	87918	22.2	1	1
2014-03-29 20:16:31.963383	87919	44	2	10
2014-03-29 20:16:32.196898	87920	23.2	1	10
2014-03-29 20:16:42.019138	87921	45	2	8
2014-03-29 20:16:42.243929	87922	21.1	1	8
2014-03-29 20:16:54.2156	87923	47	2	1
2014-03-29 20:16:54.447561	87924	22.2	1	1
2014-03-29 20:17:10.956767	87925	44	2	10
2014-03-29 20:17:11.179461	87926	23.2	1	10
2014-03-29 20:17:21.019229	87927	45	2	8
2014-03-29 20:17:21.254382	87928	21.1	1	8
2014-03-29 20:17:32.152877	87929	370	3	2
2014-03-29 20:17:32.377203	87930	1123203.1734818881	4	2
2014-03-29 20:17:33.214776	87931	47	2	1
2014-03-29 20:17:33.449185	87932	22.2	1	1
2014-03-29 20:17:49.959334	87933	44	2	10
2014-03-29 20:17:50.184122	87934	23.2	1	10
2014-03-29 20:18:00.019898	87935	45	2	8
2014-03-29 20:18:00.251381	87936	21.1	1	8
2014-03-29 20:18:08.15468	87937	434	3	2
2014-03-29 20:18:08.376597	87938	1123207.7696207738	4	2
2014-03-29 20:18:12.214729	87939	47	2	1
2014-03-29 20:18:12.44738	87940	22.2	1	1
2014-03-29 20:18:20.155718	87941	450	3	2
2014-03-29 20:18:20.378323	87942	1123208.9186554952	4	2
2014-03-29 20:18:28.957654	87943	44	2	10
2014-03-29 20:18:29.19149	87944	23.2	1	10
2014-03-29 20:18:32.153688	87945	434	3	2
2014-03-29 20:18:32.377482	87946	1123210.0676902167	4	2
2014-03-29 20:18:39.017654	87947	45	2	8
2014-03-29 20:18:39.269042	87948	21.1	1	8
2014-03-29 20:18:51.214699	87949	47	2	1
2014-03-29 20:18:51.436586	87950	22.2	1	1
2014-03-29 20:19:07.959772	87951	44	2	10
2014-03-29 20:19:08.191905	87952	23.3	1	10
2014-03-29 20:19:18.019014	87953	45	2	8
2014-03-29 20:19:18.242329	87954	21.1	1	8
2014-03-29 20:19:30.214772	87955	47	2	1
2014-03-29 20:19:30.45893	87956	22.2	1	1
2014-03-29 20:19:46.958679	87957	44	2	10
2014-03-29 20:19:47.181676	87958	23.3	1	10
2014-03-29 20:19:57.018474	87959	45	2	8
2014-03-29 20:19:57.25078	87960	21.1	1	8
2014-03-29 20:20:09.210963	87961	47	2	1
2014-03-29 20:20:09.435454	87962	22.2	1	1
2014-03-29 20:20:25.959553	87963	44	2	10
2014-03-29 20:20:26.22344	87964	23.3	1	10
2014-03-29 20:20:32.156863	87965	498	3	2
2014-03-29 20:20:32.379774	87966	1123225.0051415951	4	2
2014-03-29 20:20:36.019065	87967	45	2	8
2014-03-29 20:20:36.251265	87968	21.1	1	8
2014-03-29 20:20:44.156772	87969	482	3	2
2014-03-29 20:20:44.378748	87970	1123227.303211038	4	2
2014-03-29 20:20:48.214338	87971	47	2	1
2014-03-29 20:20:48.447634	87972	22.2	1	1
2014-03-29 20:21:04.959106	87973	44	2	10
2014-03-29 20:21:05.183882	87974	23.3	1	10
2014-03-29 20:21:15.01892	87975	45	2	8
2014-03-29 20:21:15.253269	87976	21.1	1	8
2014-03-29 20:21:27.211995	87977	47	2	1
2014-03-29 20:21:27.434278	87978	22.3	1	1
2014-03-29 20:21:32.155229	87979	482	3	2
2014-03-29 20:21:32.387499	87980	1123234.1974193663	4	2
2014-03-29 20:21:43.959745	87981	44	2	10
2014-03-29 20:21:44.18454	87982	23.3	1	10
2014-03-29 20:21:54.017907	87983	45	2	8
2014-03-29 20:21:54.253158	87984	21.1	1	8
2014-03-29 20:22:06.211573	87985	47	2	1
2014-03-29 20:22:06.434822	87986	22.3	1	1
2014-03-29 20:22:22.957792	87987	44	2	10
2014-03-29 20:22:23.190424	87988	23.3	1	10
2014-03-29 20:22:33.225078	87989	45	2	8
2014-03-29 20:22:33.448188	87990	21.2	1	8
2014-03-29 20:22:45.212379	87991	47	2	1
2014-03-29 20:22:45.450473	87992	22.3	1	1
2014-03-29 20:23:01.962149	87993	44	2	10
2014-03-29 20:23:02.183454	87994	23.3	1	10
2014-03-29 20:23:12.019132	87995	45	2	8
2014-03-29 20:23:12.251266	87996	21.2	1	8
2014-03-29 20:23:24.209366	87997	47	2	1
2014-03-29 20:23:24.432259	87998	22.3	1	1
2014-03-29 20:23:32.153361	87999	482	3	2
2014-03-29 20:23:32.38753	88000	1123250.283905466	4	2
2014-03-29 20:23:40.95945	88001	44	2	10
2014-03-29 20:23:41.182678	88002	23.3	1	10
2014-03-29 20:23:51.019449	88003	45	2	8
2014-03-29 20:23:51.263489	88004	21.2	1	8
2014-03-29 20:24:03.210848	88005	47	2	1
2014-03-29 20:24:03.432959	88006	22.3	1	1
2014-03-29 20:24:19.959124	88007	44	2	10
2014-03-29 20:24:20.191523	88008	23.3	1	10
2014-03-29 20:24:30.017869	88009	45	2	8
2014-03-29 20:24:30.240015	88010	21.2	1	8
2014-03-29 20:24:42.017881	88011	482	3	2
2014-03-29 20:24:42.250003	88012	1123258.3271485162	4	2
2014-03-29 20:24:42.554361	88013	47	2	1
2014-03-29 20:24:42.79965	88014	22.3	1	1
2014-03-29 20:24:58.960318	88015	44	2	10
2014-03-29 20:24:59.192935	88016	23.3	1	10
2014-03-29 20:25:09.018208	88017	45	2	8
2014-03-29 20:25:09.239995	88018	21.2	1	8
2014-03-29 20:25:21.208715	88019	47	2	1
2014-03-29 20:25:21.439454	88020	22.3	1	1
2014-03-29 20:25:32.152826	88021	482	3	2
2014-03-29 20:25:32.375212	88022	1123266.370391566	4	2
2014-03-29 20:25:37.965874	88023	44	2	10
2014-03-29 20:25:38.1982	88024	23.3	1	10
2014-03-29 20:25:48.021348	88025	45	2	8
2014-03-29 20:25:48.244496	88026	21.2	1	8
2014-03-29 20:26:00.210717	88027	47	2	1
2014-03-29 20:26:00.441646	88028	22.3	1	1
2014-03-29 20:26:16.961955	88029	44	2	10
2014-03-29 20:26:17.187456	88030	23.3	1	10
2014-03-29 20:26:20.154247	88031	434	3	2
2014-03-29 20:26:20.385855	88032	1123272.115565173	4	2
2014-03-29 20:26:27.02025	88033	45	2	8
2014-03-29 20:26:27.243907	88034	21.2	1	8
2014-03-29 20:26:32.157949	88035	418	3	2
2014-03-29 20:26:32.390231	88036	1123273.2645998944	4	2
2014-03-29 20:26:39.205866	88037	47	2	1
2014-03-29 20:26:39.429029	88038	22.3	1	1
2014-03-29 20:26:55.961233	88039	44	2	10
2014-03-29 20:26:56.195445	88040	23.4	1	10
2014-03-29 20:27:06.019168	88041	45	2	8
2014-03-29 20:27:06.24472	88042	21.2	1	8
2014-03-29 20:27:18.212035	88043	47	2	1
2014-03-29 20:27:18.443445	88044	22.3	1	1
2014-03-29 20:27:32.152479	88045	434	3	2
2014-03-29 20:27:32.375393	88046	1123281.3078429445	4	2
2014-03-29 20:27:34.962298	88047	44	2	10
2014-03-29 20:27:35.193132	88048	23.4	1	10
2014-03-29 20:27:45.01955	88049	45	2	8
2014-03-29 20:27:45.243044	88050	21.2	1	8
2014-03-29 20:27:57.210153	88051	47	2	1
2014-03-29 20:27:57.454996	88052	22.3	1	1
2014-03-29 20:28:13.961843	88053	44	2	10
2014-03-29 20:28:14.183127	88054	23.4	1	10
2014-03-29 20:28:24.01937	88055	45	2	8
2014-03-29 20:28:24.251764	88056	21.2	1	8
2014-03-29 20:28:36.207163	88057	47	2	1
2014-03-29 20:28:36.430553	88058	22.3	1	1
2014-03-29 20:28:52.963737	88059	44	2	10
2014-03-29 20:28:53.196404	88060	23.4	1	10
2014-03-29 20:29:03.018259	88061	45	2	8
2014-03-29 20:29:03.240571	88062	21.2	1	8
2014-03-29 20:29:15.206632	88063	47	2	1
2014-03-29 20:29:15.437219	88064	22.3	1	1
2014-03-29 20:29:31.966609	88065	44	2	10
2014-03-29 20:29:32.190179	88066	23.4	1	10
2014-03-29 20:29:42.019192	88067	45	2	8
2014-03-29 20:29:42.251795	88068	21.2	1	8
2014-03-29 20:29:54.208651	88069	47	2	1
2014-03-29 20:29:54.431575	88070	22.3	1	1
2014-03-29 20:30:10.962448	88071	44	2	10
2014-03-29 20:30:11.194282	88072	23.4	1	10
2014-03-29 20:30:21.019392	88073	45	2	8
2014-03-29 20:30:21.241406	88074	21.2	1	8
2014-03-29 20:30:32.155078	88075	434	3	2
2014-03-29 20:30:32.387079	88076	1123303.1395026513	4	2
2014-03-29 20:30:33.206447	88077	47	2	1
2014-03-29 20:30:33.429696	88078	22.3	1	1
2014-03-29 20:30:49.963325	88079	44	2	10
2014-03-29 20:30:50.19478	88080	23.4	1	10
2014-03-29 20:31:00.018575	88081	45	2	8
2014-03-29 20:31:00.241658	88082	21.2	1	8
2014-03-29 20:31:12.204924	88083	47	2	1
2014-03-29 20:31:12.437793	88084	22.3	1	1
2014-03-29 20:31:28.962288	88085	44	2	10
2014-03-29 20:31:29.185188	88086	23.4	1	10
2014-03-29 20:31:32.152245	88087	418	3	2
2014-03-29 20:31:32.384637	88088	1123310.0337109799	4	2
2014-03-29 20:31:39.020593	88089	45	2	8
2014-03-29 20:31:39.241894	88090	21.2	1	8
2014-03-29 20:31:51.207678	88091	47	2	1
2014-03-29 20:31:51.439791	88092	22.3	1	1
2014-03-29 20:32:07.963453	88093	44	2	10
2014-03-29 20:32:08.187912	88094	23.4	1	10
2014-03-29 20:32:18.018258	88095	45	2	8
2014-03-29 20:32:18.251521	88096	21.2	1	8
2014-03-29 20:32:30.207296	88097	47	2	1
2014-03-29 20:32:30.427915	88098	22.3	1	1
2014-03-29 20:32:32.156245	88099	434	3	2
2014-03-29 20:32:32.399248	88100	1123316.9279193082	4	2
2014-03-29 20:32:46.962668	88101	44	2	10
2014-03-29 20:32:47.187772	88102	23.4	1	10
2014-03-29 20:32:57.224895	88103	45	2	8
2014-03-29 20:32:57.457373	88104	21.2	1	8
2014-03-29 20:33:08.153331	88105	354	3	2
2014-03-29 20:33:08.376474	88106	1123321.524058194	4	2
2014-03-29 20:33:09.204081	88107	47	2	1
2014-03-29 20:33:09.436353	88108	22.3	1	1
2014-03-29 20:33:20.153416	88109	402	3	2
2014-03-29 20:33:20.377848	88110	1123322.6730929154	4	2
2014-03-29 20:33:25.965491	88111	44	2	10
2014-03-29 20:33:26.19575	88112	23.4	1	10
2014-03-29 20:33:32.153928	88113	418	3	2
2014-03-29 20:33:32.378782	88114	1123323.8221276368	4	2
2014-03-29 20:33:36.017504	88115	45	2	8
2014-03-29 20:33:36.249175	88116	21.2	1	8
2014-03-29 20:33:48.203855	88117	47	2	1
2014-03-29 20:33:48.428516	88118	22.4	1	1
2014-03-29 20:34:04.964133	88119	44	2	10
2014-03-29 20:34:05.196154	88120	23.5	1	10
2014-03-29 20:34:15.018574	88121	45	2	8
2014-03-29 20:34:15.240397	88122	21.2	1	8
2014-03-29 20:34:27.203732	88123	47	2	1
2014-03-29 20:34:27.43525	88124	22.4	1	1
2014-03-29 20:34:32.153452	88125	418	3	2
2014-03-29 20:34:32.376697	88126	1123330.7163359653	4	2
2014-03-29 20:34:43.963328	88127	44	2	10
2014-03-29 20:34:44.194874	88128	23.5	1	10
2014-03-29 20:34:54.018854	88129	45	2	8
2014-03-29 20:34:54.241269	88130	21.2	1	8
2014-03-29 20:35:06.204612	88131	47	2	1
2014-03-29 20:35:06.43698	88132	22.3	1	1
2014-03-29 20:35:22.964867	88133	44	2	10
2014-03-29 20:35:23.189041	88134	23.5	1	10
2014-03-29 20:35:33.01771	88135	45	2	8
2014-03-29 20:35:33.250304	88136	21.2	1	8
2014-03-29 20:35:45.203965	88137	47	2	1
2014-03-29 20:35:45.426941	88138	22.3	1	1
2014-03-29 20:36:01.967514	88139	44	2	10
2014-03-29 20:36:02.2003	88140	23.5	1	10
2014-03-29 20:36:12.018052	88141	45	2	8
2014-03-29 20:36:12.241445	88142	21.2	1	8
2014-03-29 20:36:24.214086	88143	47	2	1
2014-03-29 20:36:24.446633	88144	22.3	1	1
2014-03-29 20:36:32.155176	88145	402	3	2
2014-03-29 20:36:32.378008	88146	1123344.5047526222	4	2
2014-03-29 20:36:40.96599	88147	44	2	10
2014-03-29 20:36:41.208946	88148	23.5	1	10
2014-03-29 20:36:51.019967	88149	45	2	8
2014-03-29 20:36:51.243099	88150	21.2	1	8
2014-03-29 20:37:03.203104	88151	47	2	1
2014-03-29 20:37:03.435362	88152	22.3	1	1
2014-03-29 20:37:19.964401	88153	44	2	10
2014-03-29 20:37:20.18796	88154	23.5	1	10
2014-03-29 20:37:30.017764	88155	45	2	8
2014-03-29 20:37:30.250878	88156	21.3	1	8
2014-03-29 20:37:32.155657	88157	418	3	2
2014-03-29 20:37:32.37721	88158	1123351.3989609508	4	2
2014-03-29 20:37:42.205484	88159	47	2	1
2014-03-29 20:37:42.443166	88160	22.3	1	1
2014-03-29 20:37:58.965101	88161	44	2	10
2014-03-29 20:37:59.189037	88162	23.5	1	10
2014-03-29 20:38:09.017161	88163	45	2	8
2014-03-29 20:38:09.251772	88164	21.3	1	8
2014-03-29 20:38:21.200605	88165	47	2	1
2014-03-29 20:38:21.424183	88166	22.3	1	1
2014-03-29 20:38:32.15235	88167	418	3	2
2014-03-29 20:38:32.388945	88168	1123358.2931692791	4	2
2014-03-29 20:38:37.969245	88169	44	2	10
2014-03-29 20:38:38.19088	88170	23.5	1	10
2014-03-29 20:38:44.152584	88171	354	3	2
2014-03-29 20:38:44.386115	88172	1123359.4422040007	4	2
2014-03-29 20:38:48.018113	88173	45	2	8
2014-03-29 20:38:48.239715	88174	21.3	1	8
2014-03-29 20:38:56.153014	88175	354	3	2
2014-03-29 20:38:56.386189	88176	1123360.591238722	4	2
2014-03-29 20:39:00.200969	88177	47	2	1
2014-03-29 20:39:00.424568	88178	22.3	1	1
2014-03-29 20:39:16.963125	88179	44	2	10
2014-03-29 20:39:17.195397	88180	23.5	1	10
2014-03-29 20:39:27.018704	88181	45	2	8
2014-03-29 20:39:27.241061	88182	21.3	1	8
2014-03-29 20:39:32.153248	88183	354	3	2
2014-03-29 20:39:32.385513	88184	1123364.0383428864	4	2
2014-03-29 20:39:39.202602	88185	47	2	1
2014-03-29 20:39:39.423963	88186	22.4	1	1
2014-03-29 20:39:55.96371	88187	44	2	10
2014-03-29 20:39:56.19614	88188	23.5	1	10
2014-03-29 20:40:06.019149	88189	45	2	8
2014-03-29 20:40:06.241309	88190	21.3	1	8
2014-03-29 20:40:18.203527	88191	47	2	1
2014-03-29 20:40:18.436051	88192	22.4	1	1
2014-03-29 20:40:32.155568	88193	354	3	2
2014-03-29 20:40:32.379596	88194	1123370.9325512147	4	2
2014-03-29 20:40:34.963285	88195	44	2	10
2014-03-29 20:40:35.205996	88196	23.5	1	10
2014-03-29 20:40:45.018939	88197	45	2	8
2014-03-29 20:40:45.240262	88198	21.3	1	8
2014-03-29 20:40:57.201299	88199	47	2	1
2014-03-29 20:40:57.433833	88200	22.4	1	1
2014-03-29 20:41:13.965826	88201	44	2	10
2014-03-29 20:41:14.190572	88202	23.5	1	10
2014-03-29 20:41:24.018545	88203	45	2	8
2014-03-29 20:41:24.251614	88204	21.3	1	8
2014-03-29 20:41:32.152619	88205	354	3	2
2014-03-29 20:41:32.374793	88206	1123376.677724822	4	2
2014-03-29 20:41:36.200131	88207	47	2	1
2014-03-29 20:41:36.432079	88208	22.4	1	1
2014-03-29 20:41:52.96898	88209	44	2	10
2014-03-29 20:41:53.191885	88210	23.5	1	10
2014-03-29 20:42:03.019431	88211	45	2	8
2014-03-29 20:42:03.250261	88212	21.3	1	8
2014-03-29 20:42:15.200726	88213	47	2	1
2014-03-29 20:42:15.423542	88214	22.4	1	1
2014-03-29 20:42:31.969002	88215	44	2	10
2014-03-29 20:42:32.204894	88216	23.5	1	10
2014-03-29 20:42:42.019695	88217	45	2	8
2014-03-29 20:42:42.247753	88218	21.3	1	8
2014-03-29 20:42:54.200355	88219	47	2	1
2014-03-29 20:42:54.43324	88220	22.4	1	1
2014-03-29 20:43:10.965351	88221	44	2	10
2014-03-29 20:43:11.188802	88222	23.6	1	10
2014-03-29 20:43:21.01806	88223	45	2	8
2014-03-29 20:43:21.255434	88224	21.3	1	8
2014-03-29 20:43:32.150534	88225	354	3	2
2014-03-29 20:43:32.379376	88226	1123388.168072036	4	2
2014-03-29 20:43:33.198092	88227	47	2	1
2014-03-29 20:43:33.43449	88228	22.4	1	1
2014-03-29 20:43:49.967093	88229	44	2	10
2014-03-29 20:43:50.189561	88230	23.6	1	10
2014-03-29 20:44:00.019093	88231	45	2	8
2014-03-29 20:44:00.253708	88232	21.3	1	8
2014-03-29 20:44:12.199315	88233	47	2	1
2014-03-29 20:44:12.423648	88234	22.4	1	1
2014-03-29 20:44:28.968461	88235	44	2	10
2014-03-29 20:44:29.20102	88236	23.6	1	10
2014-03-29 20:44:32.15369	88237	354	3	2
2014-03-29 20:44:32.383653	88238	1123393.913245643	4	2
2014-03-29 20:44:39.019101	88239	45	2	8
2014-03-29 20:44:39.252816	88240	21.3	1	8
2014-03-29 20:44:51.19666	88241	47	2	1
2014-03-29 20:44:51.41958	88242	22.4	1	1
2014-03-29 20:45:07.96868	88243	44	2	10
2014-03-29 20:45:08.212999	88244	23.6	1	10
2014-03-29 20:45:18.019145	88245	45	2	8
2014-03-29 20:45:18.241145	88246	21.3	1	8
2014-03-29 20:45:30.199203	88247	47	2	1
2014-03-29 20:45:30.432353	88248	22.4	1	1
2014-03-29 20:45:32.154052	88249	354	3	2
2014-03-29 20:45:32.383151	88250	1123398.513855481	4	2
2014-03-29 20:45:44.150571	88251	402	3	2
2014-03-29 20:45:44.383219	88252	1123399.6628902024	4	2
2014-03-29 20:45:46.968174	88253	44	2	10
2014-03-29 20:45:47.191264	88254	23.6	1	10
2014-03-29 20:45:57.017647	88255	45	2	8
2014-03-29 20:45:57.305859	88256	21.3	1	8
2014-03-29 20:46:09.194169	88257	47	2	1
2014-03-29 20:46:09.415359	88258	22.4	1	1
2014-03-29 20:46:25.966647	88259	44	2	10
2014-03-29 20:46:26.198614	88260	23.6	1	10
2014-03-29 20:46:32.154073	88261	418	3	2
2014-03-29 20:46:32.376848	88262	1123405.4080638094	4	2
2014-03-29 20:46:36.01916	88263	45	2	8
2014-03-29 20:46:36.250695	88264	21.3	1	8
2014-03-29 20:46:48.199386	88265	47	2	1
2014-03-29 20:46:48.423519	88266	22.4	1	1
2014-03-29 20:47:04.969914	88267	44	2	10
2014-03-29 20:47:05.202171	88268	23.6	1	10
2014-03-29 20:47:15.021368	88269	45	2	8
2014-03-29 20:47:15.244022	88270	21.3	1	8
2014-03-29 20:47:27.241395	88271	47	2	1
2014-03-29 20:47:27.474598	88272	22.4	1	1
2014-03-29 20:47:43.768853	88273	402	3	2
2014-03-29 20:47:43.993448	88274	1123412.302272138	4	2
2014-03-29 20:47:44.298481	88275	44	2	10
2014-03-29 20:47:44.53041	88276	23.6	1	10
2014-03-29 20:47:54.020027	88277	45	2	8
2014-03-29 20:47:54.243449	88278	21.3	1	8
2014-03-29 20:48:06.197449	88279	47	2	1
2014-03-29 20:48:06.46316	88280	22.4	1	1
2014-03-29 20:48:22.968814	88281	44	2	10
2014-03-29 20:48:23.213171	88282	23.6	1	10
2014-03-29 20:48:33.018904	88283	45	2	8
2014-03-29 20:48:33.78121	88284	21.3	1	8
2014-03-29 20:48:45.1975	88285	47	2	1
2014-03-29 20:48:45.453301	88286	22.4	1	1
2014-03-29 20:49:01.966351	88287	44	2	10
2014-03-29 20:49:02.198148	88288	23.6	1	10
2014-03-29 20:49:12.019303	88289	45	2	8
2014-03-29 20:49:12.243121	88290	21.3	1	8
2014-03-29 20:49:24.196853	88291	47	2	1
2014-03-29 20:49:24.442481	88292	22.4	1	1
2014-03-29 20:49:32.152805	88293	418	3	2
2014-03-29 20:49:32.376885	88294	1123426.0906887949	4	2
2014-03-29 20:49:40.965733	88295	44	2	10
2014-03-29 20:49:41.385471	88296	23.6	1	10
2014-03-29 20:49:51.018473	88297	45	2	8
2014-03-29 20:49:51.241678	88298	21.3	1	8
2014-03-29 20:50:03.195943	88299	47	2	1
2014-03-29 20:50:03.41813	88300	22.4	1	1
2014-03-29 20:50:19.96781	88301	44	2	10
2014-03-29 20:50:20.198998	88302	23.6	1	10
2014-03-29 20:50:30.018313	88303	45	2	8
2014-03-29 20:50:30.241622	88304	21.3	1	8
2014-03-29 20:50:32.155167	88305	402	3	2
2014-03-29 20:50:32.396038	88306	1123432.9848971234	4	2
2014-03-29 20:50:42.196722	88307	47	2	1
2014-03-29 20:50:42.417752	88308	22.4	1	1
2014-03-29 20:50:58.968648	88309	44	2	10
2014-03-29 20:50:59.200434	88310	23.7	1	10
2014-03-29 20:51:09.019312	88311	45	2	8
2014-03-29 20:51:09.241268	88312	21.3	1	8
2014-03-29 20:51:20.151827	88313	338	3	2
2014-03-29 20:51:20.383636	88314	1123438.7300707304	4	2
2014-03-29 20:51:21.191986	88315	47	2	1
2014-03-29 20:51:21.412693	88316	22.4	1	1
2014-03-29 20:51:32.152557	88317	338	3	2
2014-03-29 20:51:32.39002	88318	1123439.879105452	4	2
2014-03-29 20:51:37.972649	88319	44	2	10
2014-03-29 20:51:38.193989	88320	23.7	1	10
2014-03-29 20:51:48.019272	88321	45	2	8
2014-03-29 20:51:48.252707	88322	21.3	1	8
2014-03-29 20:52:00.191624	88323	47	2	1
2014-03-29 20:52:00.414582	88324	22.4	1	1
2014-03-29 20:52:16.970609	88325	44	2	10
2014-03-29 20:52:17.200385	88326	23.7	1	10
2014-03-29 20:52:27.017389	88327	45	2	8
2014-03-29 20:52:27.285273	88328	21.3	1	8
2014-03-29 20:52:32.152568	88329	338	3	2
2014-03-29 20:52:32.385463	88330	1123445.624279059	4	2
2014-03-29 20:52:39.192652	88331	47	2	1
2014-03-29 20:52:39.416738	88332	22.4	1	1
2014-03-29 20:52:44.151737	88333	370	3	2
2014-03-29 20:52:44.381796	88334	1123446.7733137803	4	2
2014-03-29 20:52:55.969594	88335	44	2	10
2014-03-29 20:52:56.205507	88336	23.7	1	10
2014-03-29 20:53:06.019783	88337	45	2	8
2014-03-29 20:53:06.252507	88338	21.3	1	8
2014-03-29 20:53:18.196057	88339	47	2	1
2014-03-29 20:53:18.418887	88340	22.4	1	1
2014-03-29 20:53:32.152219	88341	370	3	2
2014-03-29 20:53:32.398741	88342	1123451.369452666	4	2
2014-03-29 20:53:34.970197	88343	44	2	10
2014-03-29 20:53:35.192544	88344	23.7	1	10
2014-03-29 20:53:45.017911	88345	45	2	8
2014-03-29 20:53:45.250845	88346	21.3	1	8
2014-03-29 20:53:56.152953	88347	370	3	2
2014-03-29 20:53:56.374995	88348	1123453.6675221089	4	2
2014-03-29 20:53:57.194412	88349	47	2	1
2014-03-29 20:53:57.451809	88350	22.4	1	1
2014-03-29 20:54:08.151456	88351	370	3	2
2014-03-29 20:54:08.374981	88352	1123454.8165568302	4	2
2014-03-29 20:54:13.971972	88353	44	2	10
2014-03-29 20:54:14.2037	88354	23.7	1	10
2014-03-29 20:54:24.017497	88355	45	2	8
2014-03-29 20:54:24.240208	88356	21.3	1	8
2014-03-29 20:54:32.151695	88357	370	3	2
2014-03-29 20:54:32.384384	88358	1123458.2636609946	4	2
2014-03-29 20:54:36.191485	88359	47	2	1
2014-03-29 20:54:36.413553	88360	22.4	1	1
2014-03-29 20:54:52.969918	88361	44	2	10
2014-03-29 20:54:53.202772	88362	23.7	1	10
2014-03-29 20:55:03.018011	88363	45	2	8
2014-03-29 20:55:03.240531	88364	21.4	1	8
2014-03-29 20:55:15.191257	88365	47	2	1
2014-03-29 20:55:15.423752	88366	22.5	1	1
2014-03-29 20:55:31.969709	88367	44	2	10
2014-03-29 20:55:32.191378	88368	23.7	1	10
2014-03-29 20:55:42.018115	88369	45	2	8
2014-03-29 20:55:42.251736	88370	21.4	1	8
2014-03-29 20:55:54.192061	88371	47	2	1
2014-03-29 20:55:54.413994	88372	22.5	1	1
2014-03-29 20:56:10.969804	88373	44	2	10
2014-03-29 20:56:11.203879	88374	23.7	1	10
2014-03-29 20:56:21.017887	88375	45	2	8
2014-03-29 20:56:21.239643	88376	21.4	1	8
2014-03-29 20:56:32.151266	88377	354	3	2
2014-03-29 20:56:32.384339	88378	1123469.7540082086	4	2
2014-03-29 20:56:33.191277	88379	47	2	1
2014-03-29 20:56:33.414013	88380	22.5	1	1
2014-03-29 20:56:49.97072	88381	44	2	10
2014-03-29 20:56:50.202638	88382	23.7	1	10
2014-03-29 20:57:00.018259	88383	45	2	8
2014-03-29 20:57:00.239538	88384	21.4	1	8
2014-03-29 20:57:12.190444	88385	47	2	1
2014-03-29 20:57:12.423493	88386	22.5	1	1
2014-03-29 20:57:28.971656	88387	44	2	10
2014-03-29 20:57:29.19338	88388	23.7	1	10
2014-03-29 20:57:32.15188	88389	354	3	2
2014-03-29 20:57:32.39368	88390	1123475.4991818157	4	2
2014-03-29 20:57:39.018183	88391	45	2	8
2014-03-29 20:57:39.241189	88392	21.4	1	8
2014-03-29 20:57:51.191471	88393	47	2	1
2014-03-29 20:57:51.424341	88394	22.5	1	1
2014-03-29 20:58:07.974195	88395	44	2	10
2014-03-29 20:58:08.199022	88396	23.7	1	10
2014-03-29 20:58:18.018634	88397	45	2	8
2014-03-29 20:58:18.2526	88398	21.4	1	8
2014-03-29 20:58:20.152219	88399	418	3	2
2014-03-29 20:58:20.373175	88400	1123481.244355423	4	2
2014-03-29 20:58:30.190573	88401	47	2	1
2014-03-29 20:58:30.421672	88402	22.5	1	1
2014-03-29 20:58:32.152236	88403	418	3	2
2014-03-29 20:58:32.373695	88404	1123482.3933901442	4	2
2014-03-29 20:58:46.980486	88405	44	2	10
2014-03-29 20:58:47.215788	88406	23.7	1	10
2014-03-29 20:58:57.019906	88407	45	2	8
2014-03-29 20:58:57.245289	88408	21.4	1	8
2014-03-29 20:59:09.193203	88409	47	2	1
2014-03-29 20:59:09.424036	88410	22.5	1	1
2014-03-29 20:59:25.970925	88411	44	2	10
2014-03-29 20:59:26.19588	88412	23.8	1	10
2014-03-29 20:59:32.150533	88413	418	3	2
2014-03-29 20:59:32.38481	88414	1123489.2875984728	4	2
2014-03-29 20:59:36.01988	88415	45	2	8
2014-03-29 20:59:36.244892	88416	21.4	1	8
2014-03-29 20:59:48.18906	88417	47	2	1
2014-03-29 20:59:48.423163	88418	22.5	1	1
2014-03-29 21:00:04.968178	88419	44	2	10
2014-03-29 21:00:05.190009	88420	23.8	1	10
2014-03-29 21:00:15.019022	88421	45	2	8
2014-03-29 21:00:15.250445	88422	21.4	1	8
2014-03-29 21:00:27.189461	88423	47	2	1
2014-03-29 21:00:27.413316	88424	22.5	1	1
2014-03-29 21:00:32.150329	88425	418	3	2
2014-03-29 21:00:32.382967	88426	1123496.1818068011	4	2
2014-03-29 21:00:43.968885	88427	44	2	10
2014-03-29 21:00:44.191295	88428	23.8	1	10
2014-03-29 21:00:54.020725	88429	45	2	8
2014-03-29 21:00:54.253093	88430	21.4	1	8
2014-03-29 21:01:06.186079	88431	47	2	1
2014-03-29 21:01:06.408131	88432	22.5	1	1
2014-03-29 21:01:22.970329	88433	44	2	10
2014-03-29 21:01:23.201612	88434	23.8	1	10
2014-03-29 21:01:33.017794	88435	45	2	8
2014-03-29 21:01:33.239568	88436	21.4	1	8
2014-03-29 21:01:45.189906	88437	47	2	1
2014-03-29 21:01:45.433175	88438	22.5	1	1
2014-03-29 21:02:01.969316	88439	44	2	10
2014-03-29 21:02:02.190944	88440	23.8	1	10
2014-03-29 21:02:12.017902	88441	45	2	8
2014-03-29 21:02:12.250276	88442	21.4	1	8
2014-03-29 21:02:24.187827	88443	47	2	1
2014-03-29 21:02:24.40754	88444	22.5	1	1
2014-03-29 21:02:32.150054	88445	402	3	2
2014-03-29 21:02:32.382396	88446	1123509.9702234583	4	2
2014-03-29 21:02:40.972145	88447	44	2	10
2014-03-29 21:02:41.196536	88448	23.8	1	10
2014-03-29 21:02:51.018746	88449	45	2	8
2014-03-29 21:02:51.250774	88450	21.4	1	8
2014-03-29 21:03:03.185651	88451	47	2	1
2014-03-29 21:03:03.40879	88452	22.5	1	1
2014-03-29 21:03:19.973777	88453	44	2	10
2014-03-29 21:03:20.205933	88454	23.8	1	10
2014-03-29 21:03:30.019258	88455	45	2	8
2014-03-29 21:03:30.242468	88456	21.4	1	8
2014-03-29 21:03:32.147706	88457	418	3	2
2014-03-29 21:03:32.381095	88458	1123516.8644317866	4	2
2014-03-29 21:03:42.190134	88459	47	2	1
2014-03-29 21:03:42.414137	88460	22.5	1	1
2014-03-29 21:03:44.150768	88461	354	3	2
2014-03-29 21:03:44.382403	88462	1123518.0134665081	4	2
2014-03-29 21:03:56.150581	88463	354	3	2
2014-03-29 21:03:56.373309	88464	1123519.1625012294	4	2
2014-03-29 21:03:58.972439	88465	44	2	10
2014-03-29 21:03:59.207566	88466	23.8	1	10
2014-03-29 21:04:09.018957	88467	45	2	8
2014-03-29 21:04:09.243707	88468	21.4	1	8
2014-03-29 21:04:21.188147	88469	47	2	1
2014-03-29 21:04:21.42079	88470	22.5	1	1
2014-03-29 21:04:37.97244	88471	44	2	10
2014-03-29 21:04:38.196388	88472	23.8	1	10
2014-03-29 21:04:44.151758	88473	338	3	2
2014-03-29 21:04:44.383463	88474	1123523.7586401151	4	2
2014-03-29 21:04:48.016811	88475	45	2	8
2014-03-29 21:04:48.239313	88476	21.4	1	8
2014-03-29 21:04:56.148445	88477	305	3	2
2014-03-29 21:04:56.383347	88478	1123524.9076748367	4	2
2014-03-29 21:05:00.184608	88479	47	2	1
2014-03-29 21:05:00.407289	88480	22.5	1	1
2014-03-29 21:05:08.149265	88481	305	3	2
2014-03-29 21:05:08.383456	88482	1123526.056709558	4	2
2014-03-29 21:05:16.971535	88483	44	2	10
2014-03-29 21:05:17.193603	88484	23.8	1	10
2014-03-29 21:05:27.017988	88485	45	2	8
2014-03-29 21:05:27.262658	88486	21.4	1	8
2014-03-29 21:05:32.14893	88487	305	3	2
2014-03-29 21:05:32.378229	88488	1123528.3547790009	4	2
2014-03-29 21:05:39.184457	88489	47	2	1
2014-03-29 21:05:39.417869	88490	22.5	1	1
2014-03-29 21:05:55.971975	88491	44	2	10
2014-03-29 21:05:56.192829	88492	23.8	1	10
2014-03-29 21:06:06.017757	88493	45	2	8
2014-03-29 21:06:06.249764	88494	21.4	1	8
2014-03-29 21:06:18.185027	88495	47	2	1
2014-03-29 21:06:18.405922	88496	22.5	1	1
2014-03-29 21:06:32.150306	88497	305	3	2
2014-03-29 21:06:32.383068	88498	1123532.9509178866	4	2
2014-03-29 21:06:34.972483	88499	44	2	10
2014-03-29 21:06:35.193229	88500	23.8	1	10
2014-03-29 21:06:45.01717	88501	45	2	8
2014-03-29 21:06:45.249722	88502	21.4	1	8
2014-03-29 21:06:57.181241	88503	47	2	1
2014-03-29 21:06:57.403669	88504	22.5	1	1
2014-03-29 21:07:13.97292	88505	44	2	10
2014-03-29 21:07:14.20425	88506	23.8	1	10
2014-03-29 21:07:24.0181	88507	45	2	8
2014-03-29 21:07:24.240012	88508	21.4	1	8
2014-03-29 21:07:32.148279	88509	305	3	2
2014-03-29 21:07:32.381967	88510	1123538.6960914936	4	2
2014-03-29 21:07:36.185277	88511	47	2	1
2014-03-29 21:07:36.40646	88512	22.5	1	1
2014-03-29 21:07:52.977222	88513	44	2	10
2014-03-29 21:07:53.216124	88514	23.8	1	10
2014-03-29 21:08:03.017962	88515	45	2	8
2014-03-29 21:08:03.240398	88516	21.4	1	8
2014-03-29 21:08:15.184232	88517	47	2	1
2014-03-29 21:08:15.415148	88518	22.5	1	1
2014-03-29 21:08:31.973359	88519	44	2	10
2014-03-29 21:08:32.19561	88520	23.9	1	10
2014-03-29 21:08:42.019768	88521	45	2	8
2014-03-29 21:08:42.252277	88522	21.4	1	8
2014-03-29 21:08:54.184797	88523	47	2	1
2014-03-29 21:08:54.407379	88524	22.5	1	1
2014-03-29 21:09:10.973276	88525	44	2	10
2014-03-29 21:09:11.206501	88526	23.9	1	10
2014-03-29 21:09:21.019418	88527	45	2	8
2014-03-29 21:09:21.24287	88528	21.4	1	8
2014-03-29 21:09:32.151395	88529	305	3	2
2014-03-29 21:09:32.384828	88530	1123549.0374039863	4	2
2014-03-29 21:09:33.184312	88531	47	2	1
2014-03-29 21:09:33.406196	88532	22.5	1	1
2014-03-29 21:09:49.97185	88533	44	2	10
2014-03-29 21:09:50.215255	88534	23.9	1	10
2014-03-29 21:10:00.018932	88535	45	2	8
2014-03-29 21:10:00.242158	88536	21.4	1	8
2014-03-29 21:10:12.183514	88537	47	2	1
2014-03-29 21:10:12.416037	88538	22.5	1	1
2014-03-29 21:10:28.973504	88539	44	2	10
2014-03-29 21:10:29.195919	88540	23.9	1	10
2014-03-29 21:10:32.150251	88541	305	3	2
2014-03-29 21:10:32.383748	88542	1123554.7825775933	4	2
2014-03-29 21:10:39.018667	88543	45	2	8
2014-03-29 21:10:39.241108	88544	21.4	1	8
2014-03-29 21:10:44.152241	88545	354	3	2
2014-03-29 21:10:44.39025	88546	1123555.931612315	4	2
2014-03-29 21:10:56.148501	88547	354	3	2
2014-03-29 21:10:56.372748	88548	1123557.0806470362	4	2
2014-03-29 21:11:07.97177	88549	44	2	10
2014-03-29 21:11:08.20539	88550	23.9	1	10
2014-03-29 21:11:18.017378	88551	45	2	8
2014-03-29 21:11:18.241485	88552	21.4	1	8
2014-03-29 21:11:30.183386	88553	47	2	1
2014-03-29 21:11:30.440699	88554	22.5	1	1
2014-03-29 21:11:32.147718	88555	354	3	2
2014-03-29 21:11:32.370283	88556	1123560.5277512004	4	2
2014-03-29 21:11:46.9734	88557	44	2	10
2014-03-29 21:11:47.205891	88558	23.9	1	10
2014-03-29 21:11:57.017989	88559	45	2	8
2014-03-29 21:11:57.239259	88560	21.4	1	8
2014-03-29 21:12:09.179651	88561	47	2	1
2014-03-29 21:12:09.411786	88562	22.5	1	1
2014-03-29 21:12:26.177751	88563	44	2	10
2014-03-29 21:12:26.402273	88564	23.9	1	10
2014-03-29 21:12:32.14867	88565	370	3	2
2014-03-29 21:12:32.381055	88566	1123566.2729248076	4	2
2014-03-29 21:12:36.017286	88567	45	2	8
2014-03-29 21:12:36.240021	88568	21.4	1	8
2014-03-29 21:12:48.182362	88569	47	2	1
2014-03-29 21:12:48.415358	88570	22.5	1	1
2014-03-29 21:13:04.973723	88571	44	2	10
2014-03-29 21:13:05.195459	88572	23.9	1	10
2014-03-29 21:13:15.016388	88573	45	2	8
2014-03-29 21:13:15.247066	88574	21.4	1	8
2014-03-29 21:13:27.182533	88575	47	2	1
2014-03-29 21:13:27.404823	88576	22.5	1	1
2014-03-29 21:13:32.149729	88577	370	3	2
2014-03-29 21:13:32.380793	88578	1123572.0180984146	4	2
2014-03-29 21:13:43.97395	88579	44	2	10
2014-03-29 21:13:44.20127	88580	23.9	1	10
2014-03-29 21:13:54.019152	88581	45	2	8
2014-03-29 21:13:54.263412	88582	21.4	1	8
2014-03-29 21:14:06.178876	88583	47	2	1
2014-03-29 21:14:06.401517	88584	22.5	1	1
2014-03-29 21:14:22.975114	88585	44	2	10
2014-03-29 21:14:23.207492	88586	23.9	1	10
2014-03-29 21:14:33.0197	88587	45	2	8
2014-03-29 21:14:33.241923	88588	21.4	1	8
2014-03-29 21:14:45.180404	88589	47	2	1
2014-03-29 21:14:45.411984	88590	22.5	1	1
2014-03-29 21:15:01.974005	88591	44	2	10
2014-03-29 21:15:02.198318	88592	23.9	1	10
2014-03-29 21:15:12.017189	88593	45	2	8
2014-03-29 21:15:12.252702	88594	21.4	1	8
2014-03-29 21:15:24.185023	88595	47	2	1
2014-03-29 21:15:24.407309	88596	22.4	1	1
2014-03-29 21:15:40.777686	88597	354	3	2
2014-03-29 21:15:41.013485	88598	1123584.6574803502	4	2
2014-03-29 21:15:41.319168	88599	44	2	10
2014-03-29 21:15:41.539324	88600	23.9	1	10
2014-03-29 21:15:44.149449	88601	434	3	2
2014-03-29 21:15:44.382969	88602	1123586.955549793	4	2
2014-03-29 21:15:51.017851	88603	45	2	8
2014-03-29 21:15:51.242077	88604	21.4	1	8
2014-03-29 21:15:56.14612	88605	434	3	2
2014-03-29 21:15:56.384019	88606	1123588.1045845144	4	2
2014-03-29 21:16:03.180862	88607	47	2	1
2014-03-29 21:16:03.405578	88608	22.4	1	1
2014-03-29 21:16:19.974016	88609	44	2	10
2014-03-29 21:16:20.206239	88610	23.9	1	10
2014-03-29 21:16:30.017459	88611	45	2	8
2014-03-29 21:16:30.240701	88612	21.4	1	8
2014-03-29 21:16:32.147547	88613	370	3	2
2014-03-29 21:16:32.381504	88614	1123592.7007234	4	2
2014-03-29 21:16:42.177452	88615	47	2	1
2014-03-29 21:16:42.401347	88616	22.4	1	1
2014-03-29 21:16:44.151254	88617	370	3	2
2014-03-29 21:16:44.382748	88618	1123593.8497581214	4	2
2014-03-29 21:16:58.975719	88619	44	2	10
2014-03-29 21:16:59.199418	88620	24.0	1	10
2014-03-29 21:17:09.018598	88621	45	2	8
2014-03-29 21:17:09.256664	88622	21.4	1	8
2014-03-29 21:17:21.178808	88623	47	2	1
2014-03-29 21:17:21.401484	88624	22.4	1	1
2014-03-29 21:17:32.146518	88625	402	3	2
2014-03-29 21:17:32.379096	88626	1123599.5949317287	4	2
2014-03-29 21:17:37.979207	88627	44	2	10
2014-03-29 21:17:38.204066	88628	24.0	1	10
2014-03-29 21:17:48.01883	88629	45	2	8
2014-03-29 21:17:48.260816	88630	21.4	1	8
2014-03-29 21:18:00.178891	88631	47	2	1
2014-03-29 21:18:00.403241	88632	22.4	1	1
2014-03-29 21:18:08.145901	88633	370	3	2
2014-03-29 21:18:08.378673	88634	1123603.0420358928	4	2
2014-03-29 21:18:16.974382	88635	44	2	10
2014-03-29 21:18:17.197335	88636	24.0	1	10
2014-03-29 21:18:20.147259	88637	402	3	2
2014-03-29 21:18:20.380215	88638	1123604.1910706141	4	2
2014-03-29 21:18:27.01757	88639	45	2	8
2014-03-29 21:18:27.239136	88640	21.4	1	8
2014-03-29 21:18:32.149273	88641	402	3	2
2014-03-29 21:18:32.388089	88642	1123605.3401053357	4	2
2014-03-29 21:18:39.178619	88643	47	2	1
2014-03-29 21:18:39.401117	88644	22.4	1	1
2014-03-29 21:18:55.977288	88645	44	2	10
2014-03-29 21:18:56.209481	88646	24.0	1	10
2014-03-29 21:19:06.017577	88647	45	2	8
2014-03-29 21:19:06.242089	88648	21.4	1	8
2014-03-29 21:19:08.148961	88649	370	3	2
2014-03-29 21:19:08.380646	88650	1123609.9362442214	4	2
2014-03-29 21:19:18.176303	88651	47	2	1
2014-03-29 21:19:18.399128	88652	22.3	1	1
2014-03-29 21:19:20.147894	88653	402	3	2
2014-03-29 21:19:20.380154	88654	1123611.0852789427	4	2
2014-03-29 21:19:32.14917	88655	402	3	2
2014-03-29 21:19:32.371682	88656	1123612.234313664	4	2
2014-03-29 21:19:34.9787	88657	44	2	10
2014-03-29 21:19:35.212864	88658	24.0	1	10
2014-03-29 21:19:45.018691	88659	45	2	8
2014-03-29 21:19:45.241684	88660	21.4	1	8
2014-03-29 21:19:56.149567	88661	370	3	2
2014-03-29 21:19:56.400367	88662	1123614.5323831069	4	2
2014-03-29 21:19:57.176939	88663	47	2	1
2014-03-29 21:19:57.397986	88664	22.3	1	1
2014-03-29 21:20:08.150068	88665	370	3	2
2014-03-29 21:20:08.381094	88666	1123615.6814178284	4	2
2014-03-29 21:20:13.978718	88667	44	2	10
2014-03-29 21:20:14.202822	88668	24.0	1	10
2014-03-29 21:20:24.01813	88669	45	2	8
2014-03-29 21:20:24.250829	88670	21.4	1	8
2014-03-29 21:20:32.149133	88671	370	3	2
2014-03-29 21:20:32.372279	88672	1123619.1285219926	4	2
2014-03-29 21:20:36.180967	88673	47	2	1
2014-03-29 21:20:36.413784	88674	22.3	1	1
2014-03-29 21:20:52.977617	88675	44	2	10
2014-03-29 21:20:53.2015	88676	24.0	1	10
2014-03-29 21:21:03.016209	88677	45	2	8
2014-03-29 21:21:03.262539	88678	21.3	1	8
2014-03-29 21:21:15.177872	88679	47	2	1
2014-03-29 21:21:15.402459	88680	22.3	1	1
2014-03-29 21:21:31.974943	88681	44	2	10
2014-03-29 21:21:32.207924	88682	24.0	1	10
2014-03-29 21:21:42.018066	88683	45	2	8
2014-03-29 21:21:42.241575	88684	21.3	1	8
2014-03-29 21:21:54.17481	88685	47	2	1
2014-03-29 21:21:54.409907	88686	22.3	1	1
2014-03-29 21:22:10.979481	88687	44	2	10
2014-03-29 21:22:11.201531	88688	24.0	1	10
2014-03-29 21:22:21.017433	88689	45	2	8
2014-03-29 21:22:21.248529	88690	21.3	1	8
2014-03-29 21:22:32.147621	88691	370	3	2
2014-03-29 21:22:32.368823	88692	1123630.6188692069	4	2
2014-03-29 21:22:33.175055	88693	47	2	1
2014-03-29 21:22:33.414425	88694	22.3	1	1
2014-03-29 21:22:44.149383	88695	402	3	2
2014-03-29 21:22:44.373257	88696	1123632.9169386497	4	2
2014-03-29 21:22:50.182453	88697	44	2	10
2014-03-29 21:22:50.413838	88698	24.0	1	10
2014-03-29 21:22:56.148823	88699	402	3	2
2014-03-29 21:22:56.372276	88700	1123634.065973371	4	2
2014-03-29 21:23:00.017825	88701	45	2	8
2014-03-29 21:23:00.249657	88702	21.3	1	8
2014-03-29 21:23:12.175285	88703	47	2	1
2014-03-29 21:23:12.396827	88704	22.2	1	1
2014-03-29 21:23:20.149254	88705	434	3	2
2014-03-29 21:23:20.380176	88706	1123636.364042814	4	2
2014-03-29 21:23:28.978555	88707	44	2	10
2014-03-29 21:23:29.199689	88708	24.1	1	10
2014-03-29 21:23:39.017034	88709	45	2	8
2014-03-29 21:23:39.249153	88710	21.3	1	8
2014-03-29 21:23:51.176121	88711	47	2	1
2014-03-29 21:23:51.39717	88712	22.2	1	1
2014-03-29 21:24:07.977847	88713	44	2	10
2014-03-29 21:24:08.209701	88714	24.1	1	10
2014-03-29 21:24:18.017661	88715	45	2	8
2014-03-29 21:24:18.239422	88716	21.3	1	8
2014-03-29 21:24:30.176898	88717	47	2	1
2014-03-29 21:24:30.408706	88718	22.2	1	1
2014-03-29 21:24:32.14573	88719	434	3	2
2014-03-29 21:24:32.36682	88720	1123645.556320585	4	2
2014-03-29 21:24:46.981408	88721	44	2	10
2014-03-29 21:24:47.213755	88722	24.1	1	10
2014-03-29 21:24:57.01955	88723	45	2	8
2014-03-29 21:24:57.241421	88724	21.3	1	8
2014-03-29 21:25:09.174396	88725	47	2	1
2014-03-29 21:25:09.417814	88726	22.2	1	1
2014-03-29 21:25:25.977902	88727	44	2	10
2014-03-29 21:25:26.201023	88728	24.1	1	10
2014-03-29 21:25:32.148607	88729	434	3	2
2014-03-29 21:25:32.379407	88730	1123652.4505289136	4	2
2014-03-29 21:25:36.016893	88731	45	2	8
2014-03-29 21:25:36.24061	88732	21.3	1	8
2014-03-29 21:25:48.172933	88733	47	2	1
2014-03-29 21:25:48.405074	88734	22.2	1	1
2014-03-29 21:26:04.978199	88735	44	2	10
2014-03-29 21:26:05.202719	88736	24.1	1	10
2014-03-29 21:26:08.147868	88737	547	3	2
2014-03-29 21:26:08.378863	88738	1123657.0466677994	4	2
2014-03-29 21:26:15.016968	88739	45	2	8
2014-03-29 21:26:15.242383	88740	21.3	1	8
2014-03-29 21:26:20.149169	88741	547	3	2
2014-03-29 21:26:20.387258	88742	1123659.3447372422	4	2
2014-03-29 21:26:27.172446	88743	47	2	1
2014-03-29 21:26:27.395905	88744	22.2	1	1
2014-03-29 21:26:32.149867	88745	611	3	2
2014-03-29 21:26:32.384378	88746	1123660.4937719635	4	2
2014-03-29 21:26:43.978052	88747	44	2	10
2014-03-29 21:26:44.199297	88748	24.1	1	10
2014-03-29 21:26:54.017197	88749	45	2	8
2014-03-29 21:26:54.249321	88750	21.3	1	8
2014-03-29 21:27:06.171602	88751	47	2	1
2014-03-29 21:27:06.396057	88752	22.1	1	1
2014-03-29 21:27:08.145627	88753	643	3	2
2014-03-29 21:27:08.38065	88754	1123668.5370150134	4	2
2014-03-29 21:27:20.151142	88755	643	3	2
2014-03-29 21:27:20.375403	88756	1123669.686049735	4	2
2014-03-29 21:27:22.97909	88757	44	2	10
2014-03-29 21:27:23.211429	88758	24.1	1	10
2014-03-29 21:27:31.927831	88759	48	2	9
2014-03-29 21:27:32.149826	88760	20.8	1	9
2014-03-29 21:27:33.016533	88761	45	2	8
2014-03-29 21:27:33.247259	88762	21.3	1	8
2014-03-29 21:27:45.177525	88763	47	2	1
2014-03-29 21:27:45.410484	88764	22.1	1	1
2014-03-29 21:28:01.980164	88765	44	2	10
2014-03-29 21:28:02.21471	88766	24.1	1	10
2014-03-29 21:28:12.015698	88767	45	2	8
2014-03-29 21:28:12.239748	88768	21.3	1	8
2014-03-29 21:28:24.172254	88769	47	2	1
2014-03-29 21:28:24.404456	88770	22.1	1	1
2014-03-29 21:28:32.148253	88771	643	3	2
2014-03-29 21:28:32.3695	88772	1123683.4744663918	4	2
2014-03-29 21:28:40.979775	88773	44	2	10
2014-03-29 21:28:41.223771	88774	24.1	1	10
2014-03-29 21:28:51.017448	88775	45	2	8
2014-03-29 21:28:51.24186	88776	21.3	1	8
2014-03-29 21:29:03.17228	88777	47	2	1
2014-03-29 21:29:03.403738	88778	22.1	1	1
2014-03-29 21:29:19.980152	88779	44	2	10
2014-03-29 21:29:20.201417	88780	24.1	1	10
2014-03-29 21:29:28.928059	88781	48	2	9
2014-03-29 21:29:29.159973	88782	20.8	1	9
2014-03-29 21:29:30.01791	88783	45	2	8
2014-03-29 21:29:30.239159	88784	21.3	1	8
2014-03-29 21:29:32.148742	88785	643	3	2
2014-03-29 21:29:32.381265	88786	1123692.6712151153	4	2
2014-03-29 21:29:42.170004	88787	47	2	1
2014-03-29 21:29:42.393399	88788	22.1	1	1
2014-03-29 21:29:56.149281	88789	579	3	2
2014-03-29 21:29:56.380537	88790	1123697.267354001	4	2
2014-03-29 21:29:58.980369	88791	44	2	10
2014-03-29 21:29:59.202107	88792	24.1	1	10
2014-03-29 21:30:09.019048	88793	45	2	8
2014-03-29 21:30:09.25266	88794	21.3	1	8
2014-03-29 21:30:20.146002	88795	692	3	2
2014-03-29 21:30:20.370051	88796	1123700.7144581652	4	2
2014-03-29 21:30:21.168946	88797	47	2	1
2014-03-29 21:30:21.400811	88798	22.1	1	1
2014-03-29 21:30:37.984006	88799	44	2	10
2014-03-29 21:30:38.205986	88800	24.1	1	10
2014-03-29 21:30:46.929857	88801	48	2	9
2014-03-29 21:30:47.163819	88802	20.8	1	9
2014-03-29 21:30:48.014064	88803	45	2	8
2014-03-29 21:30:48.236594	88804	21.3	1	8
2014-03-29 21:31:00.412084	88805	46	2	1
2014-03-29 21:31:00.644319	88806	22.1	1	1
2014-03-29 21:31:16.981861	88807	44	2	10
2014-03-29 21:31:17.205033	88808	24.1	1	10
2014-03-29 21:31:25.930388	88809	48	2	9
2014-03-29 21:31:26.163889	88810	20.8	1	9
2014-03-29 21:31:27.210604	88811	45	2	8
2014-03-29 21:31:27.432291	88812	21.3	1	8
2014-03-29 21:31:32.150915	88813	627	3	2
2014-03-29 21:31:32.381722	88814	1123714.5028748224	4	2
2014-03-29 21:31:39.172208	88815	46	2	1
2014-03-29 21:31:39.395387	88816	22.0	1	1
2014-03-29 21:31:55.980431	88817	44	2	10
2014-03-29 21:31:56.213332	88818	24.1	1	10
2014-03-29 21:32:06.017675	88819	45	2	8
2014-03-29 21:32:06.242784	88820	21.2	1	8
2014-03-29 21:32:18.169998	88821	46	2	1
2014-03-29 21:32:18.417439	88822	22.0	1	1
2014-03-29 21:32:32.147369	88823	676	3	2
2014-03-29 21:32:32.371134	88824	1123724.844187315	4	2
2014-03-29 21:32:34.980684	88825	44	2	10
2014-03-29 21:32:35.213424	88826	24.1	1	10
2014-03-29 21:32:45.018184	88827	45	2	8
2014-03-29 21:32:45.24145	88828	21.2	1	8
2014-03-29 21:32:56.145666	88829	627	3	2
2014-03-29 21:32:56.377587	88830	1123729.4403262008	4	2
2014-03-29 21:32:57.166861	88831	46	2	1
2014-03-29 21:32:57.388288	88832	22.0	1	1
2014-03-29 21:33:13.981884	88833	44	2	10
2014-03-29 21:33:14.213816	88834	24.1	1	10
2014-03-29 21:33:22.927404	88835	48	2	9
2014-03-29 21:33:23.148435	88836	20.8	1	9
2014-03-29 21:33:24.017405	88837	45	2	8
2014-03-29 21:33:24.249085	88838	21.2	1	8
2014-03-29 21:33:32.147881	88839	515	3	2
2014-03-29 21:33:32.369565	88840	1123734.0364650863	4	2
2014-03-29 21:33:36.169607	88841	46	2	1
2014-03-29 21:33:36.401743	88842	22.0	1	1
2014-03-29 21:33:52.980226	88843	44	2	10
2014-03-29 21:33:53.203223	88844	24.1	1	10
2014-03-29 21:33:56.148296	88845	627	3	2
2014-03-29 21:33:56.379505	88846	1123737.4835692507	4	2
2014-03-29 21:34:01.928772	88847	48	2	9
2014-03-29 21:34:02.152635	88848	20.9	1	9
2014-03-29 21:34:03.017612	88849	45	2	8
2014-03-29 21:34:03.24892	88850	21.2	1	8
2014-03-29 21:34:08.149742	88851	643	3	2
2014-03-29 21:34:08.372348	88852	1123739.7816386935	4	2
2014-03-29 21:34:15.169449	88853	46	2	1
2014-03-29 21:34:15.404051	88854	22.0	1	1
2014-03-29 21:34:31.981642	88855	44	2	10
2014-03-29 21:34:32.203098	88856	24.1	1	10
2014-03-29 21:34:40.926443	88857	48	2	9
2014-03-29 21:34:41.160248	88858	20.9	1	9
2014-03-29 21:34:42.017797	88859	45	2	8
2014-03-29 21:34:42.240362	88860	21.2	1	8
2014-03-29 21:34:54.168647	88861	47	2	1
2014-03-29 21:34:54.399575	88862	21.9	1	1
2014-03-29 21:35:10.98296	88863	44	2	10
2014-03-29 21:35:11.204707	88864	24.1	1	10
2014-03-29 21:35:19.931357	88865	48	2	9
2014-03-29 21:35:20.163403	88866	20.9	1	9
2014-03-29 21:35:21.015971	88867	45	2	8
2014-03-29 21:35:21.23713	88868	21.2	1	8
2014-03-29 21:35:32.150743	88869	643	3	2
2014-03-29 21:35:32.394888	88870	1123754.7190900717	4	2
2014-03-29 21:35:33.166724	88871	47	2	1
2014-03-29 21:35:33.388593	88872	21.9	1	1
2014-03-29 21:35:49.982395	88873	44	2	10
2014-03-29 21:35:50.21577	88874	24.1	1	10
2014-03-29 21:35:58.966077	88875	48	2	9
2014-03-29 21:35:59.189134	88876	20.9	1	9
2014-03-29 21:36:00.020098	88877	45	2	8
2014-03-29 21:36:00.25071	88878	21.2	1	8
2014-03-29 21:36:12.165342	88879	47	2	1
2014-03-29 21:36:12.386867	88880	21.9	1	1
2014-03-29 21:36:28.980626	88881	44	2	10
2014-03-29 21:36:29.213503	88882	24.1	1	10
2014-03-29 21:36:32.147843	88883	659	3	2
2014-03-29 21:36:32.370144	88884	1123766.209437286	4	2
2014-03-29 21:36:37.930195	88885	48	2	9
2014-03-29 21:36:38.164474	88886	20.9	1	9
2014-03-29 21:36:39.017287	88887	45	2	8
2014-03-29 21:36:39.242585	88888	21.2	1	8
2014-03-29 21:36:51.166173	88889	47	2	1
2014-03-29 21:36:51.398134	88890	21.9	1	1
2014-03-29 21:37:07.982327	88891	44	2	10
2014-03-29 21:37:08.206859	88892	24.1	1	10
2014-03-29 21:37:16.928149	88893	48	2	9
2014-03-29 21:37:17.160245	88894	20.9	1	9
2014-03-29 21:37:18.017322	88895	45	2	8
2014-03-29 21:37:18.238929	88896	21.2	1	8
2014-03-29 21:37:20.145877	88897	708	3	2
2014-03-29 21:37:20.378734	88898	1123775.4017150572	4	2
2014-03-29 21:37:30.166874	88899	47	2	1
2014-03-29 21:37:30.393155	88900	21.9	1	1
2014-03-29 21:37:32.148099	88901	708	3	2
2014-03-29 21:37:32.381528	88902	1123777.6997845	4	2
2014-03-29 21:37:46.982319	88903	44	2	10
2014-03-29 21:37:47.20761	88904	24.1	1	10
2014-03-29 21:37:55.931336	88905	48	2	9
2014-03-29 21:37:56.163793	88906	20.9	1	9
2014-03-29 21:37:57.017719	88907	45	2	8
2014-03-29 21:37:57.240242	88908	21.2	1	8
2014-03-29 21:38:09.164529	88909	47	2	1
2014-03-29 21:38:09.399619	88910	21.8	1	1
2014-03-29 21:38:25.983415	88911	44	2	10
2014-03-29 21:38:26.205528	88912	24.1	1	10
2014-03-29 21:38:32.145534	88913	708	3	2
2014-03-29 21:38:32.378866	88914	1123789.1901317143	4	2
2014-03-29 21:38:34.928276	88915	48	2	9
2014-03-29 21:38:35.150853	88916	20.9	1	9
2014-03-29 21:38:36.017459	88917	45	2	8
2014-03-29 21:38:36.259799	88918	21.2	1	8
2014-03-29 21:38:48.163465	88919	47	2	1
2014-03-29 21:38:48.385972	88920	21.8	1	1
2014-03-29 21:39:04.983207	88921	44	2	10
2014-03-29 21:39:05.215196	88922	24.0	1	10
2014-03-29 21:39:13.929002	88923	48	2	9
2014-03-29 21:39:14.152163	88924	20.9	1	9
2014-03-29 21:39:15.017376	88925	45	2	8
2014-03-29 21:39:15.24813	88926	21.2	1	8
2014-03-29 21:39:27.164612	88927	47	2	1
2014-03-29 21:39:27.385394	88928	21.8	1	1
2014-03-29 21:39:43.982525	88929	44	2	10
2014-03-29 21:39:44.215183	88930	24.0	1	10
2014-03-29 21:39:52.929843	88931	48	2	9
2014-03-29 21:39:53.152371	88932	20.9	1	9
2014-03-29 21:39:54.016907	88933	45	2	8
2014-03-29 21:39:54.249856	88934	21.3	1	8
2014-03-29 21:40:06.167049	88935	47	2	1
2014-03-29 21:40:06.389309	88936	21.8	1	1
2014-03-29 21:40:08.146109	88937	708	3	2
2014-03-29 21:40:08.376589	88938	1123808.7237219783	4	2
2014-03-29 21:40:20.147023	88939	595	3	2
2014-03-29 21:40:20.368804	88940	1123811.021791421	4	2
2014-03-29 21:40:22.981611	88941	44	2	10
2014-03-29 21:40:23.213004	88942	24.0	1	10
2014-03-29 21:40:33.016971	88943	45	2	8
2014-03-29 21:40:33.237928	88944	21.3	1	8
2014-03-29 21:40:45.165328	88945	47	2	1
2014-03-29 21:40:45.396746	88946	21.8	1	1
2014-03-29 21:41:01.985922	88947	44	2	10
2014-03-29 21:41:02.206822	88948	24.0	1	10
2014-03-29 21:41:10.929846	88949	48	2	9
2014-03-29 21:41:11.164825	88950	21.0	1	9
2014-03-29 21:41:12.019398	88951	45	2	8
2014-03-29 21:41:12.241056	88952	21.3	1	8
2014-03-29 21:41:24.164286	88953	47	2	1
2014-03-29 21:41:24.394642	88954	21.8	1	1
2014-03-29 21:41:32.146356	88955	595	3	2
2014-03-29 21:41:32.369038	88956	1123822.5121386354	4	2
2014-03-29 21:41:40.982761	88957	44	2	10
2014-03-29 21:41:41.21653	88958	24.0	1	10
2014-03-29 21:41:49.931581	88959	48	2	9
2014-03-29 21:41:50.154735	88960	21.0	1	9
2014-03-29 21:41:51.221459	88961	45	2	8
2014-03-29 21:41:51.451355	88962	21.2	1	8
2014-03-29 21:42:03.162425	88963	47	2	1
2014-03-29 21:42:03.383708	88964	21.7	1	1
2014-03-29 21:42:19.983406	88965	44	2	10
2014-03-29 21:42:20.229773	88966	24.0	1	10
2014-03-29 21:42:28.987405	88967	48	2	9
2014-03-29 21:42:29.211804	88968	21.0	1	9
2014-03-29 21:42:30.015929	88969	45	2	8
2014-03-29 21:42:30.249798	88970	21.2	1	8
2014-03-29 21:42:32.144345	88971	531	3	2
2014-03-29 21:42:32.367466	88972	1123832.8534511281	4	2
2014-03-29 21:42:42.163492	88973	47	2	1
2014-03-29 21:42:42.433374	88974	21.7	1	1
2014-03-29 21:42:44.14368	88975	547	3	2
2014-03-29 21:42:44.554554	88976	1123835.151520571	4	2
2014-03-29 21:42:58.986136	88977	44	2	10
2014-03-29 21:42:59.474086	88978	24.0	1	10
2014-03-29 21:43:07.932694	88979	48	2	9
2014-03-29 21:43:08.155037	88980	21.0	1	9
2014-03-29 21:43:09.017463	88981	45	2	8
2014-03-29 21:43:09.248616	88982	21.2	1	8
2014-03-29 21:43:21.163803	88983	47	2	1
2014-03-29 21:43:21.386976	88984	21.7	1	1
2014-03-29 21:43:37.984039	88985	44	2	10
2014-03-29 21:43:38.216079	88986	24.0	1	10
2014-03-29 21:43:46.930894	88987	48	2	9
2014-03-29 21:43:47.152573	88988	21.0	1	9
2014-03-29 21:43:48.017644	88989	45	2	8
2014-03-29 21:43:48.248792	88990	21.2	1	8
2014-03-29 21:44:00.162879	88991	47	2	1
2014-03-29 21:44:00.38597	88992	21.7	1	1
2014-03-29 21:44:16.98294	88993	44	2	10
2014-03-29 21:44:17.215559	88994	24.0	1	10
2014-03-29 21:44:25.931414	88995	48	2	9
2014-03-29 21:44:26.154529	88996	21.0	1	9
2014-03-29 21:44:27.017937	88997	45	2	8
2014-03-29 21:44:27.249582	88998	21.2	1	8
2014-03-29 21:44:32.143182	88999	531	3	2
2014-03-29 21:44:32.366513	89000	1123851.2380066707	4	2
2014-03-29 21:44:39.161549	89001	47	2	1
2014-03-29 21:44:39.393687	89002	21.7	1	1
2014-03-29 21:44:55.984365	89003	44	2	10
2014-03-29 21:44:56.20689	89004	24.0	1	10
2014-03-29 21:45:04.9322	89005	48	2	9
2014-03-29 21:45:05.164531	89006	21.0	1	9
2014-03-29 21:45:06.016879	89007	45	2	8
2014-03-29 21:45:06.237748	89008	21.2	1	8
2014-03-29 21:45:08.146182	89009	659	3	2
2014-03-29 21:45:08.379215	89010	1123856.9831802777	4	2
2014-03-29 21:45:18.161817	89011	47	2	1
2014-03-29 21:45:18.386577	89012	21.7	1	1
2014-03-29 21:45:32.147753	89013	531	3	2
2014-03-29 21:45:32.390911	89014	1123861.5793191635	4	2
2014-03-29 21:45:34.983151	89015	44	2	10
2014-03-29 21:45:35.204907	89016	24.0	1	10
2014-03-29 21:45:43.930703	89017	48	2	9
2014-03-29 21:45:44.162926	89018	21.0	1	9
2014-03-29 21:45:45.015848	89019	45	2	8
2014-03-29 21:45:45.236946	89020	21.2	1	8
2014-03-29 21:45:57.160228	89021	47	2	1
2014-03-29 21:45:57.39204	89022	21.7	1	1
2014-03-29 21:46:13.985831	89023	43	2	10
2014-03-29 21:46:14.208573	89024	24.0	1	10
2014-03-29 21:46:22.934682	89025	48	2	9
2014-03-29 21:46:23.166864	89026	21.0	1	9
2014-03-29 21:46:24.019302	89027	45	2	8
2014-03-29 21:46:24.240404	89028	21.2	1	8
2014-03-29 21:46:32.146305	89029	547	3	2
2014-03-29 21:46:32.378787	89030	1123869.6225622133	4	2
2014-03-29 21:46:36.160972	89031	47	2	1
2014-03-29 21:46:36.383423	89032	21.6	1	1
2014-03-29 21:46:52.982097	89033	44	2	10
2014-03-29 21:46:53.217803	89034	23.9	1	10
2014-03-29 21:47:01.928241	89035	48	2	9
2014-03-29 21:47:02.153529	89036	21.0	1	9
2014-03-29 21:47:03.016572	89037	45	2	8
2014-03-29 21:47:03.249531	89038	21.2	1	8
2014-03-29 21:47:15.163499	89039	47	2	1
2014-03-29 21:47:15.385895	89040	21.6	1	1
2014-03-29 21:47:40.930727	89041	48	2	9
2014-03-29 21:47:41.165422	89042	21.0	1	9
2014-03-29 21:47:42.017216	89043	45	2	8
2014-03-29 21:47:42.260299	89044	21.2	1	8
2014-03-29 21:47:44.147303	89045	498	3	2
2014-03-29 21:47:44.379427	89046	1123881.1129094274	4	2
2014-03-29 21:47:54.159008	89047	47	2	1
2014-03-29 21:47:54.38389	89048	21.6	1	1
2014-03-29 21:47:56.145175	89049	370	3	2
2014-03-29 21:47:56.380394	89050	1123882.261944149	4	2
2014-03-29 21:48:08.143924	89051	418	3	2
2014-03-29 21:48:08.368229	89052	1123884.5600135918	4	2
2014-03-29 21:48:10.984597	89053	44	2	10
2014-03-29 21:48:11.216918	89054	23.9	1	10
2014-03-29 21:48:19.930206	89055	48	2	9
2014-03-29 21:48:20.151526	89056	21.0	1	9
2014-03-29 21:48:21.01637	89057	45	2	8
2014-03-29 21:48:21.246779	89058	21.2	1	8
2014-03-29 21:48:32.147054	89059	450	3	2
2014-03-29 21:48:32.373141	89060	1123886.8580830346	4	2
2014-03-29 21:48:44.14375	89061	498	3	2
2014-03-29 21:48:44.389055	89062	1123888.007117756	4	2
2014-03-29 21:48:49.987842	89063	44	2	10
2014-03-29 21:48:50.211103	89064	23.9	1	10
2014-03-29 21:48:56.147059	89065	498	3	2
2014-03-29 21:48:56.378071	89066	1123890.3051871988	4	2
2014-03-29 21:48:58.935074	89067	48	2	9
2014-03-29 21:48:59.155836	89068	21.0	1	9
2014-03-29 21:49:00.01587	89069	45	2	8
2014-03-29 21:49:00.248173	89070	21.2	1	8
2014-03-29 21:49:28.986768	89071	44	2	10
2014-03-29 21:49:29.264402	89072	23.9	1	10
2014-03-29 21:49:37.933887	89073	48	2	9
2014-03-29 21:49:38.16464	89074	21.0	1	9
2014-03-29 21:49:39.015505	89075	45	2	8
2014-03-29 21:49:39.235379	89076	21.2	1	8
2014-03-29 21:49:44.142362	89077	547	3	2
2014-03-29 21:49:44.374444	89078	1123897.1993955274	4	2
2014-03-29 21:50:07.98532	89079	44	2	10
2014-03-29 21:50:08.207737	89080	23.9	1	10
2014-03-29 21:50:16.928239	89081	48	2	9
2014-03-29 21:50:17.160342	89082	21.0	1	9
2014-03-29 21:50:18.016084	89083	45	2	8
2014-03-29 21:50:18.256594	89084	21.1	1	8
2014-03-29 21:50:32.141394	89085	482	3	2
2014-03-29 21:50:32.373992	89086	1123904.0936038557	4	2
2014-03-29 21:50:44.145455	89087	450	3	2
2014-03-29 21:50:44.368279	89088	1123905.2426385772	4	2
2014-03-29 21:50:46.986355	89089	44	2	10
2014-03-29 21:50:47.218325	89090	23.9	1	10
2014-03-29 21:50:55.933711	89091	48	2	9
2014-03-29 21:50:56.15578	89092	21.0	1	9
2014-03-29 21:50:57.016519	89093	45	2	8
2014-03-29 21:50:57.250964	89094	21.1	1	8
2014-03-29 21:51:09.154724	89095	47	2	1
2014-03-29 21:51:09.376988	89096	21.6	1	1
2014-03-29 21:51:25.984118	89097	44	2	10
2014-03-29 21:51:26.216969	89098	23.9	1	10
2014-03-29 21:51:32.147366	89099	466	3	2
2014-03-29 21:51:32.36861	89100	1123912.1368469056	4	2
2014-03-29 21:51:34.92997	89101	48	2	9
2014-03-29 21:51:35.163298	89102	21.0	1	9
2014-03-29 21:51:36.015965	89103	45	2	8
2014-03-29 21:51:36.23685	89104	21.1	1	8
2014-03-29 21:51:48.374876	89105	47	2	1
2014-03-29 21:51:48.606802	89106	21.6	1	1
2014-03-29 21:52:04.992035	89107	44	2	10
2014-03-29 21:52:05.213937	89108	23.9	1	10
2014-03-29 21:52:13.930768	89109	48	2	9
2014-03-29 21:52:14.177285	89110	21.0	1	9
2014-03-29 21:52:15.01786	89111	45	2	8
2014-03-29 21:52:15.238901	89112	21.1	1	8
2014-03-29 21:52:32.146572	89113	450	3	2
2014-03-29 21:52:32.563635	89114	1123920.1800899557	4	2
2014-03-29 21:52:43.985195	89115	44	2	10
2014-03-29 21:52:44.212909	89116	23.9	1	10
2014-03-29 21:52:52.930558	89117	48	2	9
2014-03-29 21:52:53.154187	89118	21.0	1	9
2014-03-29 21:52:54.015879	89119	45	2	8
2014-03-29 21:52:54.246705	89120	21.1	1	8
2014-03-29 21:53:06.392081	89121	47	2	1
2014-03-29 21:53:06.613168	89122	21.6	1	1
2014-03-29 21:53:22.985851	89123	44	2	10
2014-03-29 21:53:23.219464	89124	23.9	1	10
2014-03-29 21:53:31.928739	89125	48	2	9
2014-03-29 21:53:32.150973	89126	20.9	1	9
2014-03-29 21:53:33.014884	89127	45	2	8
2014-03-29 21:53:33.250273	89128	21.1	1	8
2014-03-29 21:53:45.392189	89129	47	2	1
2014-03-29 21:53:45.614549	89130	21.5	1	1
2014-03-29 21:54:01.986523	89131	44	2	10
2014-03-29 21:54:02.218871	89132	23.9	1	10
2014-03-29 21:54:10.928627	89133	48	2	9
2014-03-29 21:54:11.149403	89134	20.9	1	9
2014-03-29 21:54:12.016883	89135	45	2	8
2014-03-29 21:54:12.250545	89136	21.1	1	8
2014-03-29 21:54:24.383926	89137	47	2	1
2014-03-29 21:54:24.605661	89138	21.5	1	1
2014-03-29 21:54:32.144775	89139	466	3	2
2014-03-29 21:54:32.377147	89140	1123935.117541334	4	2
2014-03-29 21:54:40.984917	89141	44	2	10
2014-03-29 21:54:41.206813	89142	23.9	1	10
2014-03-29 21:54:44.146148	89143	418	3	2
2014-03-29 21:54:44.376026	89144	1123936.2665760554	4	2
2014-03-29 21:54:50.132875	89145	48	2	9
2014-03-29 21:54:50.35454	89146	20.9	1	9
2014-03-29 21:54:51.016734	89147	45	2	8
2014-03-29 21:54:51.250154	89148	21.1	1	8
2014-03-29 21:54:56.14538	89149	418	3	2
2014-03-29 21:54:56.367151	89150	1123938.5646454983	4	2
2014-03-29 21:55:19.985775	89151	44	2	10
2014-03-29 21:55:20.21852	89152	23.9	1	10
2014-03-29 21:55:28.926228	89153	48	2	9
2014-03-29 21:55:29.148509	89154	20.9	1	9
2014-03-29 21:55:30.015913	89155	45	2	8
2014-03-29 21:55:30.246654	89156	21.1	1	8
2014-03-29 21:55:32.141509	89157	418	3	2
2014-03-29 21:55:32.363661	89158	1123942.0117496625	4	2
2014-03-29 21:55:42.151116	89159	47	2	1
2014-03-29 21:55:42.393385	89160	21.5	1	1
2014-03-29 21:55:58.98744	89161	44	2	10
2014-03-29 21:55:59.209581	89162	23.9	1	10
2014-03-29 21:56:07.927937	89163	48	2	9
2014-03-29 21:56:08.160011	89164	20.9	1	9
2014-03-29 21:56:09.015575	89165	45	2	8
2014-03-29 21:56:09.23734	89166	21.1	1	8
2014-03-29 21:56:21.149909	89167	47	2	1
2014-03-29 21:56:21.382935	89168	21.5	1	1
2014-03-29 21:56:32.145186	89169	418	3	2
2014-03-29 21:56:32.368056	89170	1123948.905957991	4	2
2014-03-29 21:56:37.988191	89171	44	2	10
2014-03-29 21:56:38.219581	89172	23.9	1	10
2014-03-29 21:56:46.929279	89173	48	2	9
2014-03-29 21:56:47.15062	89174	20.9	1	9
2014-03-29 21:56:48.015767	89175	45	2	8
2014-03-29 21:56:48.246418	89176	21.1	1	8
2014-03-29 21:57:00.149968	89177	47	2	1
2014-03-29 21:57:00.371501	89178	21.5	1	1
2014-03-29 21:57:16.98943	89179	44	2	10
2014-03-29 21:57:17.222874	89180	23.8	1	10
2014-03-29 21:57:25.929411	89181	48	2	9
2014-03-29 21:57:26.153275	89182	20.9	1	9
2014-03-29 21:57:27.017893	89183	45	2	8
2014-03-29 21:57:27.250246	89184	21.1	1	8
2014-03-29 21:57:32.142256	89185	418	3	2
2014-03-29 21:57:32.363726	89186	1123956.949201041	4	2
2014-03-29 21:57:39.148685	89187	47	2	1
2014-03-29 21:57:39.38547	89188	21.5	1	1
2014-03-29 21:57:55.988571	89189	44	2	10
2014-03-29 21:57:56.21218	89190	23.8	1	10
2014-03-29 21:58:04.927016	89191	48	2	9
2014-03-29 21:58:05.161354	89192	20.9	1	9
2014-03-29 21:58:06.016319	89193	45	2	8
2014-03-29 21:58:06.239573	89194	21.1	1	8
2014-03-29 21:58:18.15312	89195	47	2	1
2014-03-29 21:58:18.385231	89196	21.5	1	1
2014-03-29 21:58:32.142593	89197	418	3	2
2014-03-29 21:58:32.366515	89198	1123963.8434093692	4	2
2014-03-29 21:58:34.992379	89199	44	2	10
2014-03-29 21:58:35.226664	89200	23.8	1	10
2014-03-29 21:58:43.929248	89201	48	2	9
2014-03-29 21:58:44.151422	89202	20.9	1	9
2014-03-29 21:58:45.01815	89203	45	2	8
2014-03-29 21:58:45.251616	89204	21.0	1	8
2014-03-29 21:58:57.151498	89205	47	2	1
2014-03-29 21:58:57.375495	89206	21.5	1	1
2014-03-29 21:59:13.988575	89207	44	2	10
2014-03-29 21:59:14.233096	89208	23.8	1	10
2014-03-29 21:59:22.927198	89209	48	2	9
2014-03-29 21:59:23.149964	89210	20.9	1	9
2014-03-29 21:59:24.015946	89211	45	2	8
2014-03-29 21:59:24.246689	89212	21.0	1	8
2014-03-29 21:59:32.141782	89213	418	3	2
2014-03-29 21:59:32.365058	89214	1123970.7376176978	4	2
2014-03-29 21:59:52.985233	89215	44	2	10
2014-03-29 21:59:53.216744	89216	23.8	1	10
2014-03-29 22:00:01.929848	89217	48	2	9
2014-03-29 22:00:02.151487	89218	20.9	1	9
2014-03-29 22:00:03.015345	89219	45	2	8
2014-03-29 22:00:03.246727	89220	21.0	1	8
2014-03-29 22:00:15.389349	89221	47	2	1
2014-03-29 22:00:15.613489	89222	21.4	1	1
2014-03-29 22:00:31.987377	89223	44	2	10
2014-03-29 22:00:32.219174	89224	23.8	1	10
2014-03-29 22:00:40.935664	89225	48	2	9
2014-03-29 22:00:41.157336	89226	20.9	1	9
2014-03-29 22:00:42.015947	89227	45	2	8
2014-03-29 22:00:42.246725	89228	21.0	1	8
2014-03-29 22:00:44.142226	89229	370	3	2
2014-03-29 22:00:44.36384	89230	1123978.7808607477	4	2
2014-03-29 22:00:54.151217	89231	47	2	1
2014-03-29 22:00:54.383338	89232	21.4	1	1
2014-03-29 22:01:10.988296	89233	44	2	10
2014-03-29 22:01:11.210638	89234	23.8	1	10
2014-03-29 22:01:19.929465	89235	48	2	9
2014-03-29 22:01:20.162339	89236	20.9	1	9
2014-03-29 22:01:21.016356	89237	45	2	8
2014-03-29 22:01:21.23735	89238	21.0	1	8
2014-03-29 22:01:32.143885	89239	370	3	2
2014-03-29 22:01:32.375983	89240	1123982.2324358642	4	2
2014-03-29 22:01:33.14811	89241	47	2	1
2014-03-29 22:01:33.369556	89242	21.4	1	1
2014-03-29 22:01:44.141349	89243	418	3	2
2014-03-29 22:01:44.373349	89244	1123983.3814705857	4	2
2014-03-29 22:01:49.993206	89245	44	2	10
2014-03-29 22:01:50.214893	89246	23.8	1	10
2014-03-29 22:01:56.142722	89247	434	3	2
2014-03-29 22:01:56.374879	89248	1123985.6795400286	4	2
2014-03-29 22:01:58.929568	89249	48	2	9
2014-03-29 22:01:59.151427	89250	20.9	1	9
2014-03-29 22:02:00.016252	89251	45	2	8
2014-03-29 22:02:00.248491	89252	21.0	1	8
2014-03-29 22:02:12.384128	89253	47	2	1
2014-03-29 22:02:12.60595	89254	21.4	1	1
2014-03-29 22:02:28.989358	89255	44	2	10
2014-03-29 22:02:29.234043	89256	23.7	1	10
2014-03-29 22:02:32.142366	89257	434	3	2
2014-03-29 22:02:32.363492	89258	1123989.1266441927	4	2
2014-03-29 22:02:37.926821	89259	48	2	9
2014-03-29 22:02:38.182392	89260	20.9	1	9
2014-03-29 22:02:39.018797	89261	45	2	8
2014-03-29 22:02:39.239363	89262	21.0	1	8
2014-03-29 22:02:51.147435	89263	47	2	1
2014-03-29 22:02:51.378651	89264	21.4	1	1
2014-03-29 22:03:07.988568	89265	44	2	10
2014-03-29 22:03:08.213612	89266	23.7	1	10
2014-03-29 22:03:16.928773	89267	48	2	9
2014-03-29 22:03:17.163018	89268	20.9	1	9
2014-03-29 22:03:18.014836	89269	45	2	8
2014-03-29 22:03:18.24003	89270	21.0	1	8
2014-03-29 22:03:30.148303	89271	47	2	1
2014-03-29 22:03:30.380479	89272	21.4	1	1
2014-03-29 22:03:32.146041	89273	450	3	2
2014-03-29 22:03:32.386258	89274	1123997.1698872426	4	2
2014-03-29 22:03:46.988072	89275	44	2	10
2014-03-29 22:03:47.22175	89276	23.7	1	10
2014-03-29 22:03:55.929402	89277	48	2	9
2014-03-29 22:03:56.151466	89278	20.9	1	9
2014-03-29 22:03:57.015252	89279	45	2	8
2014-03-29 22:03:57.24784	89280	21.0	1	8
2014-03-29 22:04:09.14805	89281	47	2	1
2014-03-29 22:04:09.370779	89282	21.4	1	1
2014-03-29 22:04:25.988226	89283	44	2	10
2014-03-29 22:04:26.22352	89284	23.7	1	10
2014-03-29 22:04:32.142537	89285	434	3	2
2014-03-29 22:04:32.366816	89286	1124004.0640955712	4	2
2014-03-29 22:04:34.925521	89287	48	2	9
2014-03-29 22:04:35.15739	89288	20.9	1	9
2014-03-29 22:04:36.017277	89289	45	2	8
2014-03-29 22:04:36.240445	89290	21.0	1	8
2014-03-29 22:04:48.143299	89291	47	2	1
2014-03-29 22:04:48.378121	89292	21.4	1	1
2014-03-29 22:05:04.994052	89293	44	2	10
2014-03-29 22:05:05.217123	89294	23.7	1	10
2014-03-29 22:05:13.929011	89295	48	2	9
2014-03-29 22:05:14.159686	89296	20.9	1	9
2014-03-29 22:05:15.015645	89297	45	2	8
2014-03-29 22:05:15.235908	89298	21.0	1	8
2014-03-29 22:05:27.135644	89299	47	2	1
2014-03-29 22:05:27.372005	89300	21.3	1	1
2014-03-29 22:05:32.14251	89301	434	3	2
2014-03-29 22:05:32.365163	89302	1124010.9583038995	4	2
2014-03-29 22:05:43.98937	89303	44	2	10
2014-03-29 22:05:44.235756	89304	23.7	1	10
2014-03-29 22:05:52.928133	89305	48	2	9
2014-03-29 22:05:53.148511	89306	20.9	1	9
2014-03-29 22:05:54.015534	89307	45	2	8
2014-03-29 22:05:54.247068	89308	21.0	1	8
2014-03-29 22:06:06.143034	89309	47	2	1
2014-03-29 22:06:06.36466	89310	21.3	1	1
2014-03-29 22:06:22.990634	89311	44	2	10
2014-03-29 22:06:23.223244	89312	23.7	1	10
2014-03-29 22:06:31.927692	89313	48	2	9
2014-03-29 22:06:32.149072	89314	20.9	1	9
2014-03-29 22:06:33.014467	89315	45	2	8
2014-03-29 22:06:33.246514	89316	21.0	1	8
2014-03-29 22:07:01.98953	89317	44	2	10
2014-03-29 22:07:02.211202	89318	23.6	1	10
2014-03-29 22:07:10.928089	89319	48	2	9
2014-03-29 22:07:11.161219	89320	20.9	1	9
2014-03-29 22:07:12.015877	89321	45	2	8
2014-03-29 22:07:12.237689	89322	21.0	1	8
2014-03-29 22:07:20.143296	89323	402	3	2
2014-03-29 22:07:20.374697	89324	1124024.7467205566	4	2
2014-03-29 22:07:24.143651	89325	47	2	1
2014-03-29 22:07:24.364631	89326	21.3	1	1
2014-03-29 22:07:32.14024	89327	370	3	2
2014-03-29 22:07:32.373029	89328	1124025.895755278	4	2
2014-03-29 22:07:40.99157	89329	44	2	10
2014-03-29 22:07:41.214932	89330	23.6	1	10
2014-03-29 22:07:44.1449	89331	370	3	2
2014-03-29 22:07:44.375962	89332	1124027.0447899995	4	2
2014-03-29 22:07:49.928018	89333	48	2	9
2014-03-29 22:07:50.153474	89334	20.9	1	9
2014-03-29 22:07:51.017057	89335	45	2	8
2014-03-29 22:07:51.249358	89336	21.0	1	8
2014-03-29 22:08:03.143344	89337	47	2	1
2014-03-29 22:08:03.36699	89338	21.3	1	1
2014-03-29 22:08:19.991667	89339	44	2	10
2014-03-29 22:08:20.224039	89340	23.6	1	10
2014-03-29 22:08:28.927238	89341	48	2	9
2014-03-29 22:08:29.150661	89342	20.8	1	9
2014-03-29 22:08:30.018657	89343	45	2	8
2014-03-29 22:08:30.251264	89344	21.0	1	8
2014-03-29 22:08:32.147954	89345	370	3	2
2014-03-29 22:08:32.367995	89346	1124031.640928885	4	2
2014-03-29 22:08:58.992082	89347	44	2	10
2014-03-29 22:08:59.226888	89348	23.6	1	10
2014-03-29 22:09:07.928326	89349	48	2	9
2014-03-29 22:09:08.151023	89350	20.8	1	9
2014-03-29 22:09:09.01531	89351	45	2	8
2014-03-29 22:09:09.258985	89352	21.0	1	8
2014-03-29 22:09:21.142195	89353	47	2	1
2014-03-29 22:09:21.365864	89354	21.3	1	1
2014-03-29 22:09:32.140007	89355	370	3	2
2014-03-29 22:09:32.37333	89356	1124038.5351372135	4	2
2014-03-29 22:09:37.990572	89357	44	2	10
2014-03-29 22:09:38.212651	89358	23.6	1	10
2014-03-29 22:09:46.927308	89359	48	2	9
2014-03-29 22:09:47.159361	89360	20.8	1	9
2014-03-29 22:09:48.01494	89361	45	2	8
2014-03-29 22:09:48.235535	89362	21.0	1	8
2014-03-29 22:10:00.38288	89363	47	2	1
2014-03-29 22:10:00.615327	89364	21.3	1	1
2014-03-29 22:10:16.990115	89365	44	2	10
2014-03-29 22:10:17.212641	89366	23.6	1	10
2014-03-29 22:10:25.929635	89367	48	2	9
2014-03-29 22:10:26.161346	89368	20.8	1	9
2014-03-29 22:10:27.014918	89369	45	2	8
2014-03-29 22:10:27.23615	89370	21.0	1	8
2014-03-29 22:10:32.144519	89371	370	3	2
2014-03-29 22:10:32.377546	89372	1124044.2803108206	4	2
2014-03-29 22:10:39.380686	89373	47	2	1
2014-03-29 22:10:39.604969	89374	21.3	1	1
2014-03-29 22:10:55.988273	89375	44	2	10
2014-03-29 22:10:56.221697	89376	23.6	1	10
2014-03-29 22:11:04.928253	89377	48	2	9
2014-03-29 22:11:05.150533	89378	20.8	1	9
2014-03-29 22:11:06.014553	89379	45	2	8
2014-03-29 22:11:06.246582	89380	21.0	1	8
2014-03-29 22:11:32.140038	89381	370	3	2
2014-03-29 22:11:32.36377	89382	1124050.0254844276	4	2
2014-03-29 22:11:34.993829	89383	44	2	10
2014-03-29 22:11:35.227464	89384	23.5	1	10
2014-03-29 22:11:43.928865	89385	48	2	9
2014-03-29 22:11:44.150617	89386	20.8	1	9
2014-03-29 22:11:45.015817	89387	45	2	8
2014-03-29 22:11:45.247823	89388	21.0	1	8
2014-03-29 22:11:57.382528	89389	47	2	1
2014-03-29 22:11:57.604261	89390	21.2	1	1
2014-03-29 22:12:13.992065	89391	44	2	10
2014-03-29 22:12:14.225343	89392	23.5	1	10
2014-03-29 22:12:22.926135	89393	48	2	9
2014-03-29 22:12:23.148601	89394	20.8	1	9
2014-03-29 22:12:24.015079	89395	45	2	8
2014-03-29 22:12:24.246341	89396	21.0	1	8
2014-03-29 22:12:32.143093	89397	354	3	2
2014-03-29 22:12:32.367117	89398	1124055.7706580348	4	2
2014-03-29 22:12:44.142454	89399	434	3	2
2014-03-29 22:12:44.387798	89400	1124058.0687274777	4	2
2014-03-29 22:12:52.989277	89401	44	2	10
2014-03-29 22:12:53.210035	89402	23.5	1	10
2014-03-29 22:12:56.141011	89403	434	3	2
2014-03-29 22:12:56.372915	89404	1124059.217762199	4	2
2014-03-29 22:13:01.931049	89405	48	2	9
2014-03-29 22:13:02.154504	89406	20.8	1	9
2014-03-29 22:13:03.014503	89407	45	2	8
2014-03-29 22:13:03.24492	89408	21.0	1	8
2014-03-29 22:13:15.143695	89409	47	2	1
2014-03-29 22:13:15.364951	89410	21.2	1	1
2014-03-29 22:13:31.995214	89411	44	2	10
2014-03-29 22:13:32.22858	89412	23.5	1	10
2014-03-29 22:13:40.926413	89413	48	2	9
2014-03-29 22:13:41.149362	89414	20.8	1	9
2014-03-29 22:13:42.017449	89415	45	2	8
2014-03-29 22:13:42.252557	89416	20.9	1	8
2014-03-29 22:14:10.992018	89417	44	2	10
2014-03-29 22:14:11.215652	89418	23.5	1	10
2014-03-29 22:14:19.930693	89419	48	2	9
2014-03-29 22:14:20.165469	89420	20.8	1	9
2014-03-29 22:14:21.014436	89421	45	2	8
2014-03-29 22:14:21.239431	89422	20.9	1	8
2014-03-29 22:14:32.143594	89423	482	3	2
2014-03-29 22:14:32.37705	89424	1124070.7081094133	4	2
2014-03-29 22:14:33.379402	89425	47	2	1
2014-03-29 22:14:33.600303	89426	21.2	1	1
2014-03-29 22:14:44.140096	89427	482	3	2
2014-03-29 22:14:44.373502	89428	1124073.006178856	4	2
2014-03-29 22:14:49.994638	89429	44	2	10
2014-03-29 22:14:50.219481	89430	23.5	1	10
2014-03-29 22:14:58.935174	89431	48	2	9
2014-03-29 22:14:59.16828	89432	20.8	1	9
2014-03-29 22:15:00.01536	89433	45	2	8
2014-03-29 22:15:00.295039	89434	20.9	1	8
2014-03-29 22:15:28.992333	89435	44	2	10
2014-03-29 22:15:29.224642	89436	23.5	1	10
2014-03-29 22:15:32.14431	89437	482	3	2
2014-03-29 22:15:32.368641	89438	1124078.7513524632	4	2
2014-03-29 22:15:37.92864	89439	48	2	9
2014-03-29 22:15:38.16149	89440	20.8	1	9
2014-03-29 22:15:39.01479	89441	45	2	8
2014-03-29 22:15:39.235815	89442	20.9	1	8
2014-03-29 22:15:51.122915	89443	47	2	1
2014-03-29 22:15:51.354663	89444	21.2	1	1
2014-03-29 22:16:07.994423	89445	44	2	10
2014-03-29 22:16:08.218174	89446	23.5	1	10
2014-03-29 22:16:16.930783	89447	48	2	9
2014-03-29 22:16:17.174152	89448	20.8	1	9
2014-03-29 22:16:18.015884	89449	45	2	8
2014-03-29 22:16:18.237265	89450	20.9	1	8
2014-03-29 22:16:32.140147	89451	482	3	2
2014-03-29 22:16:32.373588	89452	1124086.794595513	4	2
2014-03-29 22:16:46.9929	89453	44	2	10
2014-03-29 22:16:47.215577	89454	23.5	1	10
2014-03-29 22:16:55.927278	89455	48	2	9
2014-03-29 22:16:56.159725	89456	20.8	1	9
2014-03-29 22:16:57.015395	89457	45	2	8
2014-03-29 22:16:57.237665	89458	20.9	1	8
2014-03-29 22:17:09.138171	89459	47	2	1
2014-03-29 22:17:09.36973	89460	21.2	1	1
2014-03-29 22:17:25.994035	89461	44	2	10
2014-03-29 22:17:26.216544	89462	23.5	1	10
2014-03-29 22:17:32.142518	89463	482	3	2
2014-03-29 22:17:32.376088	89464	1124094.837838563	4	2
2014-03-29 22:17:34.928626	89465	48	2	9
2014-03-29 22:17:35.15156	89466	20.8	1	9
2014-03-29 22:17:36.014915	89467	45	2	8
2014-03-29 22:17:36.247503	89468	20.9	1	8
2014-03-29 22:17:48.136561	89469	47	2	1
2014-03-29 22:17:48.35941	89470	21.2	1	1
2014-03-29 22:18:04.996109	89471	44	2	10
2014-03-29 22:18:05.237096	89472	23.4	1	10
2014-03-29 22:18:13.929127	89473	48	2	9
2014-03-29 22:18:14.151666	89474	20.8	1	9
2014-03-29 22:18:15.015045	89475	45	2	8
2014-03-29 22:18:15.247024	89476	20.9	1	8
2014-03-29 22:18:27.136994	89477	47	2	1
2014-03-29 22:18:27.359694	89478	21.1	1	1
2014-03-29 22:18:32.141833	89479	466	3	2
2014-03-29 22:18:32.378594	89480	1124102.8810816128	4	2
2014-03-29 22:18:43.994274	89481	44	2	10
2014-03-29 22:18:44.218657	89482	23.4	1	10
2014-03-29 22:18:52.92954	89483	48	2	9
2014-03-29 22:18:53.162992	89484	20.8	1	9
2014-03-29 22:18:54.01552	89485	45	2	8
2014-03-29 22:18:54.2392	89486	20.9	1	8
2014-03-29 22:19:06.142669	89487	47	2	1
2014-03-29 22:19:06.376037	89488	21.1	1	1
2014-03-29 22:19:22.993306	89489	44	2	10
2014-03-29 22:19:23.216322	89490	23.4	1	10
2014-03-29 22:19:31.928496	89491	48	2	9
2014-03-29 22:19:32.164167	89492	20.8	1	9
2014-03-29 22:19:33.014511	89493	45	2	8
2014-03-29 22:19:33.238109	89494	20.9	1	8
2014-03-29 22:19:45.377414	89495	47	2	1
2014-03-29 22:19:45.620143	89496	21.1	1	1
2014-03-29 22:20:01.993205	89497	44	2	10
2014-03-29 22:20:02.217422	89498	23.4	1	10
2014-03-29 22:20:10.927012	89499	48	2	9
2014-03-29 22:20:11.159992	89500	20.8	1	9
2014-03-29 22:20:12.014329	89501	45	2	8
2014-03-29 22:20:12.238242	89502	20.9	1	8
2014-03-29 22:20:24.378956	89503	47	2	1
2014-03-29 22:20:24.61012	89504	21.1	1	1
2014-03-29 22:20:32.14	89505	434	3	2
2014-03-29 22:20:32.368037	89506	1124118.9675677125	4	2
2014-03-29 22:20:40.9936	89507	44	2	10
2014-03-29 22:20:41.227522	89508	23.4	1	10
2014-03-29 22:20:44.1416	89509	434	3	2
2014-03-29 22:20:44.365159	89510	1124121.2656371554	4	2
2014-03-29 22:20:49.927262	89511	48	2	9
2014-03-29 22:20:50.159857	89512	20.8	1	9
2014-03-29 22:20:51.013815	89513	45	2	8
2014-03-29 22:20:51.237587	89514	20.9	1	8
2014-03-29 22:21:03.132463	89515	47	2	1
2014-03-29 22:21:03.366925	89516	21.1	1	1
2014-03-29 22:21:19.993048	89517	44	2	10
2014-03-29 22:21:20.217297	89518	23.4	1	10
2014-03-29 22:21:28.927912	89519	48	2	9
2014-03-29 22:21:29.15975	89520	20.8	1	9
2014-03-29 22:21:30.01513	89521	45	2	8
2014-03-29 22:21:30.293569	89522	20.9	1	8
2014-03-29 22:21:32.139873	89523	434	3	2
2014-03-29 22:21:32.370477	89524	1124127.0108107624	4	2
2014-03-29 22:21:56.142007	89525	547	3	2
2014-03-29 22:21:56.3663	89526	1124129.3088802053	4	2
2014-03-29 22:21:58.995904	89527	44	2	10
2014-03-29 22:21:59.228828	89528	23.4	1	10
2014-03-29 22:22:07.927411	89529	48	2	9
2014-03-29 22:22:08.150615	89530	20.8	1	9
2014-03-29 22:22:09.014381	89531	45	2	8
2014-03-29 22:22:09.24612	89532	20.9	1	8
2014-03-29 22:22:20.137543	89533	434	3	2
2014-03-29 22:22:20.360863	89534	1124132.7559843697	4	2
2014-03-29 22:22:32.144501	89535	434	3	2
2014-03-29 22:22:32.377687	89536	1124133.905019091	4	2
2014-03-29 22:22:38.013455	89537	44	2	10
2014-03-29 22:22:38.237278	89538	23.3	1	10
2014-03-29 22:22:46.928267	89539	48	2	9
2014-03-29 22:22:47.164032	89540	20.8	1	9
2014-03-29 22:22:48.013635	89541	45	2	8
2014-03-29 22:22:48.2363	89542	20.9	1	8
2014-03-29 22:23:00.134518	89543	47	2	1
2014-03-29 22:23:00.431698	89544	21.1	1	1
2014-03-29 22:23:08.139711	89545	531	3	2
2014-03-29 22:23:08.362458	89546	1124138.5011579767	4	2
2014-03-29 22:23:16.992419	89547	44	2	10
2014-03-29 22:23:17.225758	89548	23.3	1	10
2014-03-29 22:23:26.12831	89549	48	2	9
2014-03-29 22:23:26.349354	89550	20.8	1	9
2014-03-29 22:23:27.217365	89551	45	2	8
2014-03-29 22:23:27.449983	89552	20.9	1	8
2014-03-29 22:23:39.134641	89553	47	2	1
2014-03-29 22:23:39.357308	89554	21.1	1	1
2014-03-29 22:23:55.994006	89555	44	2	10
2014-03-29 22:23:56.225812	89556	23.3	1	10
2014-03-29 22:24:04.926231	89557	48	2	9
2014-03-29 22:24:05.148954	89558	20.8	1	9
2014-03-29 22:24:06.01661	89559	45	2	8
2014-03-29 22:24:06.247303	89560	20.9	1	8
2014-03-29 22:24:18.134921	89561	47	2	1
2014-03-29 22:24:18.355956	89562	21.1	1	1
2014-03-29 22:24:34.993949	89563	44	2	10
2014-03-29 22:24:35.23252	89564	23.3	1	10
2014-03-29 22:24:43.927309	89565	48	2	9
2014-03-29 22:24:44.151543	89566	20.7	1	9
2014-03-29 22:24:45.015889	89567	45	2	8
2014-03-29 22:24:45.246797	89568	20.9	1	8
2014-03-29 22:24:57.137632	89569	47	2	1
2014-03-29 22:24:57.360763	89570	21.0	1	1
2014-03-29 22:25:13.990767	89571	44	2	10
2014-03-29 22:25:14.225677	89572	23.3	1	10
2014-03-29 22:25:22.923798	89573	48	2	9
2014-03-29 22:25:23.14967	89574	20.7	1	9
2014-03-29 22:25:24.014097	89575	45	2	8
2014-03-29 22:25:24.248121	89576	20.9	1	8
2014-03-29 22:25:32.139901	89577	531	3	2
2014-03-29 22:25:32.363954	89578	1124160.3328176835	4	2
2014-03-29 22:25:36.133271	89579	47	2	1
2014-03-29 22:25:36.367067	89580	21.0	1	1
2014-03-29 22:25:52.994751	89581	44	2	10
2014-03-29 22:25:53.217906	89582	23.3	1	10
2014-03-29 22:26:01.922571	89583	48	2	9
2014-03-29 22:26:02.154668	89584	20.7	1	9
2014-03-29 22:26:03.015032	89585	45	2	8
2014-03-29 22:26:03.235789	89586	20.9	1	8
2014-03-29 22:26:15.13602	89587	47	2	1
2014-03-29 22:26:15.368918	89588	21.0	1	1
2014-03-29 22:26:31.99391	89589	44	2	10
2014-03-29 22:26:32.216961	89590	23.3	1	10
2014-03-29 22:26:40.922839	89591	48	2	9
2014-03-29 22:26:41.166168	89592	20.7	1	9
2014-03-29 22:26:42.01426	89593	45	2	8
2014-03-29 22:26:42.237224	89594	21.0	1	8
2014-03-29 22:26:54.13304	89595	47	2	1
2014-03-29 22:26:54.386104	89596	21.0	1	1
2014-03-29 22:27:10.993752	89597	44	2	10
2014-03-29 22:27:11.21678	89598	23.3	1	10
2014-03-29 22:27:19.923039	89599	48	2	9
2014-03-29 22:27:20.155623	89600	20.7	1	9
2014-03-29 22:27:21.013659	89601	45	2	8
2014-03-29 22:27:21.236585	89602	21.0	1	8
2014-03-29 22:27:33.133646	89603	47	2	1
2014-03-29 22:27:33.364996	89604	21.0	1	1
2014-03-29 22:27:49.993831	89605	44	2	10
2014-03-29 22:27:50.220095	89606	23.3	1	10
2014-03-29 22:27:59.129682	89607	48	2	9
2014-03-29 22:27:59.362344	89608	20.7	1	9
2014-03-29 22:28:00.014174	89609	45	2	8
2014-03-29 22:28:00.234877	89610	21.0	1	8
2014-03-29 22:28:12.130961	89611	47	2	1
2014-03-29 22:28:12.36159	89612	21.0	1	1
2014-03-29 22:28:20.135302	89613	402	3	2
2014-03-29 22:28:20.357771	89614	1124184.4625468333	4	2
2014-03-29 22:28:28.992366	89615	44	2	10
2014-03-29 22:28:29.223985	89616	23.3	1	10
2014-03-29 22:28:32.139391	89617	370	3	2
2014-03-29 22:28:32.362937	89618	1124185.6115815546	4	2
2014-03-29 22:28:37.923568	89619	48	2	9
2014-03-29 22:28:38.155848	89620	20.7	1	9
2014-03-29 22:28:39.012259	89621	45	2	8
2014-03-29 22:28:39.235044	89622	21.0	1	8
2014-03-29 22:28:44.138138	89623	370	3	2
2014-03-29 22:28:44.37103	89624	1124186.7606162762	4	2
2014-03-29 22:28:51.132566	89625	47	2	1
2014-03-29 22:28:51.355567	89626	21.0	1	1
2014-03-29 22:29:07.997211	89627	44	2	10
2014-03-29 22:29:08.229412	89628	23.2	1	10
2014-03-29 22:29:16.928694	89629	48	2	9
2014-03-29 22:29:17.170126	89630	20.7	1	9
2014-03-29 22:29:18.013654	89631	45	2	8
2014-03-29 22:29:18.246327	89632	21.0	1	8
2014-03-29 22:29:30.134538	89633	47	2	1
2014-03-29 22:29:30.412634	89634	21.0	1	1
2014-03-29 22:29:32.137397	89635	354	3	2
2014-03-29 22:29:32.367711	89636	1124191.3567551617	4	2
2014-03-29 22:29:46.99421	89637	44	2	10
2014-03-29 22:29:47.217157	89638	23.2	1	10
2014-03-29 22:29:55.925018	89639	48	2	9
2014-03-29 22:29:56.172294	89640	20.7	1	9
2014-03-29 22:29:57.016372	89641	45	2	8
2014-03-29 22:29:57.237995	89642	21.0	1	8
2014-03-29 22:30:09.137042	89643	47	2	1
2014-03-29 22:30:09.370831	89644	21.0	1	1
2014-03-29 22:30:25.995113	89645	44	2	10
2014-03-29 22:30:26.217995	89646	23.2	1	10
2014-03-29 22:30:32.138233	89647	354	3	2
2014-03-29 22:30:32.369548	89648	1124197.101928769	4	2
2014-03-29 22:30:34.923443	89649	48	2	9
2014-03-29 22:30:35.146092	89650	20.7	1	9
2014-03-29 22:30:36.013512	89651	45	2	8
2014-03-29 22:30:36.2464	89652	21.0	1	8
2014-03-29 22:30:48.130853	89653	47	2	1
2014-03-29 22:30:48.353525	89654	21.0	1	1
2014-03-29 22:31:04.995278	89655	44	2	10
2014-03-29 22:31:05.228924	89656	23.2	1	10
2014-03-29 22:31:13.926744	89657	48	2	9
2014-03-29 22:31:14.148982	89658	20.7	1	9
2014-03-29 22:31:15.014147	89659	45	2	8
2014-03-29 22:31:15.247735	89660	21.0	1	8
2014-03-29 22:31:27.129961	89661	47	2	1
2014-03-29 22:31:27.352415	89662	21.0	1	1
2014-03-29 22:31:32.138124	89663	354	3	2
2014-03-29 22:31:32.377237	89664	1124203.9961370972	4	2
2014-03-29 22:31:43.996271	89665	44	2	10
2014-03-29 22:31:44.218251	89666	23.2	1	10
2014-03-29 22:31:52.924993	89667	48	2	9
2014-03-29 22:31:53.156729	89668	20.7	1	9
2014-03-29 22:31:54.014338	89669	45	2	8
2014-03-29 22:31:54.235829	89670	21.0	1	8
2014-03-29 22:32:06.132781	89671	47	2	1
2014-03-29 22:32:06.363847	89672	21.0	1	1
2014-03-29 22:32:22.997169	89673	44	2	10
2014-03-29 22:32:23.23145	89674	23.2	1	10
2014-03-29 22:32:31.925921	89675	48	2	9
2014-03-29 22:32:32.158323	89676	20.7	1	9
2014-03-29 22:32:33.017258	89677	45	2	8
2014-03-29 22:32:33.238051	89678	21.0	1	8
2014-03-29 22:32:45.130271	89679	47	2	1
2014-03-29 22:32:45.364549	89680	21.0	1	1
2014-03-29 22:32:56.138873	89681	305	3	2
2014-03-29 22:32:56.360599	89682	1124212.0393801471	4	2
2014-03-29 22:33:02.000742	89683	44	2	10
2014-03-29 22:33:02.233287	89684	23.2	1	10
2014-03-29 22:33:08.138617	89685	305	3	2
2014-03-29 22:33:08.362159	89686	1124213.1884148687	4	2
2014-03-29 22:33:10.930589	89687	48	2	9
2014-03-29 22:33:11.174222	89688	20.6	1	9
2014-03-29 22:33:12.012799	89689	45	2	8
2014-03-29 22:33:12.235532	89690	20.9	1	8
2014-03-29 22:33:24.132022	89691	48	2	1
2014-03-29 22:33:24.364356	89692	20.9	1	1
2014-03-29 22:33:32.138714	89693	305	3	2
2014-03-29 22:33:32.360766	89694	1124214.33744959	4	2
2014-03-29 22:33:40.996	89695	44	2	10
2014-03-29 22:33:41.22908	89696	23.2	1	10
2014-03-29 22:33:49.924593	89697	48	2	9
2014-03-29 22:33:50.147885	89698	20.6	1	9
2014-03-29 22:33:51.013846	89699	45	2	8
2014-03-29 22:33:51.245953	89700	20.9	1	8
2014-03-29 22:34:03.130391	89701	48	2	1
2014-03-29 22:34:03.352594	89702	20.9	1	1
2014-03-29 22:34:19.99767	89703	44	2	10
2014-03-29 22:34:20.231061	89704	23.2	1	10
2014-03-29 22:34:28.928017	89705	48	2	9
2014-03-29 22:34:29.150999	89706	20.6	1	9
2014-03-29 22:34:30.014148	89707	45	2	8
2014-03-29 22:34:30.247901	89708	20.9	1	8
2014-03-29 22:34:42.175519	89709	48	2	1
2014-03-29 22:34:42.396118	89710	20.9	1	1
2014-03-29 22:34:58.995833	89711	44	2	10
2014-03-29 22:34:59.23038	89712	23.1	1	10
2014-03-29 22:35:07.927679	89713	48	2	9
2014-03-29 22:35:08.153171	89714	20.6	1	9
2014-03-29 22:35:09.015912	89715	45	2	8
2014-03-29 22:35:09.24739	89716	20.9	1	8
2014-03-29 22:35:21.128961	89717	48	2	1
2014-03-29 22:35:21.351799	89718	20.9	1	1
2014-03-29 22:35:32.139435	89719	305	3	2
2014-03-29 22:35:32.371583	89720	1124225.8277968043	4	2
2014-03-29 22:35:37.998172	89721	44	2	10
2014-03-29 22:35:38.223604	89722	23.1	1	10
2014-03-29 22:35:46.923716	89723	48	2	9
2014-03-29 22:35:47.156669	89724	20.6	1	9
2014-03-29 22:35:48.013837	89725	45	2	8
2014-03-29 22:35:48.238481	89726	20.9	1	8
2014-03-29 22:36:00.130829	89727	48	2	1
2014-03-29 22:36:00.363636	89728	20.9	1	1
2014-03-29 22:36:16.997169	89729	44	2	10
2014-03-29 22:36:17.22116	89730	23.1	1	10
2014-03-29 22:36:25.92436	89731	48	2	9
2014-03-29 22:36:26.157438	89732	20.6	1	9
2014-03-29 22:36:27.01444	89733	45	2	8
2014-03-29 22:36:27.238035	89734	20.9	1	8
2014-03-29 22:36:32.13478	89735	305	3	2
2014-03-29 22:36:32.38082	89736	1124230.4239356897	4	2
2014-03-29 22:36:39.129324	89737	48	2	1
2014-03-29 22:36:39.354066	89738	20.9	1	1
2014-03-29 22:36:55.994529	89739	44	2	10
2014-03-29 22:36:56.227185	89740	23.1	1	10
2014-03-29 22:37:04.927036	89741	48	2	9
2014-03-29 22:37:05.148723	89742	20.6	1	9
2014-03-29 22:37:06.013871	89743	45	2	8
2014-03-29 22:37:06.244247	89744	20.9	1	8
2014-03-29 22:37:18.128593	89745	48	2	1
2014-03-29 22:37:18.35502	89746	20.9	1	1
2014-03-29 22:37:32.134619	89747	305	3	2
2014-03-29 22:37:32.368086	89748	1124236.169109297	4	2
2014-03-29 22:37:34.995632	89749	44	2	10
2014-03-29 22:37:35.217469	89750	23.1	1	10
2014-03-29 22:37:43.925128	89751	48	2	9
2014-03-29 22:37:44.212273	89752	20.6	1	9
2014-03-29 22:37:45.013757	89753	45	2	8
2014-03-29 22:37:45.268139	89754	20.9	1	8
2014-03-29 22:37:57.126429	89755	48	2	1
2014-03-29 22:37:57.392525	89756	20.9	1	1
2014-03-29 22:38:13.99719	89757	44	2	10
2014-03-29 22:38:14.220862	89758	23.1	1	10
2014-03-29 22:38:22.92596	89759	48	2	9
2014-03-29 22:38:23.156991	89760	20.6	1	9
2014-03-29 22:38:24.014151	89761	45	2	8
2014-03-29 22:38:24.235515	89762	20.9	1	8
2014-03-29 22:38:32.137637	89763	305	3	2
2014-03-29 22:38:32.36892	89764	1124240.7652481825	4	2
2014-03-29 22:38:36.125316	89765	48	2	1
2014-03-29 22:38:36.346048	89766	20.9	1	1
2014-03-29 22:38:52.998257	89767	44	2	10
2014-03-29 22:38:53.230134	89768	23.1	1	10
2014-03-29 22:39:01.926258	89769	48	2	9
2014-03-29 22:39:02.148649	89770	20.6	1	9
2014-03-29 22:39:03.013579	89771	45	2	8
2014-03-29 22:39:03.244709	89772	20.9	1	8
2014-03-29 22:39:15.129264	89773	48	2	1
2014-03-29 22:39:15.350566	89774	20.9	1	1
2014-03-29 22:39:31.995946	89775	44	2	10
2014-03-29 22:39:32.227409	89776	23.1	1	10
2014-03-29 22:39:40.923791	89777	48	2	9
2014-03-29 22:39:41.145447	89778	20.6	1	9
2014-03-29 22:39:42.012978	89779	45	2	8
2014-03-29 22:39:42.246298	89780	20.9	1	8
2014-03-29 22:39:54.124509	89781	48	2	1
2014-03-29 22:39:54.346889	89782	20.9	1	1
2014-03-29 22:39:56.136511	89783	338	3	2
2014-03-29 22:39:56.379492	89784	1124247.659456511	4	2
2014-03-29 22:40:08.135849	89785	354	3	2
2014-03-29 22:40:08.3585	89786	1124248.8084912326	4	2
2014-03-29 22:40:10.99959	89787	44	2	10
2014-03-29 22:40:11.231103	89788	23.1	1	10
2014-03-29 22:40:19.925106	89789	48	2	9
2014-03-29 22:40:20.148027	89790	20.5	1	9
2014-03-29 22:40:21.015718	89791	45	2	8
2014-03-29 22:40:21.247611	89792	20.9	1	8
2014-03-29 22:40:32.134173	89793	354	3	2
2014-03-29 22:40:32.356427	89794	1124251.1065606752	4	2
2014-03-29 22:40:33.12745	89795	48	2	1
2014-03-29 22:40:33.358999	89796	20.9	1	1
2014-03-29 22:40:49.997303	89797	44	2	10
2014-03-29 22:40:50.222024	89798	23.1	1	10
2014-03-29 22:40:58.924363	89799	48	2	9
2014-03-29 22:40:59.158996	89800	20.5	1	9
2014-03-29 22:41:00.014267	89801	45	2	8
2014-03-29 22:41:00.238168	89802	20.9	1	8
2014-03-29 22:41:12.129974	89803	48	2	1
2014-03-29 22:41:12.362908	89804	20.8	1	1
2014-03-29 22:41:28.999212	89805	44	2	10
2014-03-29 22:41:29.23286	89806	23.1	1	10
2014-03-29 22:41:32.138607	89807	354	3	2
2014-03-29 22:41:32.370186	89808	1124256.8517342824	4	2
2014-03-29 22:41:37.922194	89809	48	2	9
2014-03-29 22:41:38.144219	89810	20.5	1	9
2014-03-29 22:41:39.014661	89811	45	2	8
2014-03-29 22:41:39.247528	89812	20.9	1	8
2014-03-29 22:41:51.124958	89813	48	2	1
2014-03-29 22:41:51.348722	89814	20.8	1	1
2014-03-29 22:42:08.000079	89815	44	2	10
2014-03-29 22:42:08.233172	89816	23.0	1	10
2014-03-29 22:42:16.923313	89817	48	2	9
2014-03-29 22:42:17.146918	89818	20.5	1	9
2014-03-29 22:42:18.014957	89819	45	2	8
2014-03-29 22:42:18.246214	89820	20.9	1	8
2014-03-29 22:42:30.127094	89821	48	2	1
2014-03-29 22:42:30.351912	89822	20.8	1	1
2014-03-29 22:42:32.134125	89823	354	3	2
2014-03-29 22:42:32.369617	89824	1124263.7459426108	4	2
2014-03-29 22:42:46.999147	89825	44	2	10
2014-03-29 22:42:47.223473	89826	23.0	1	10
2014-03-29 22:42:55.933844	89827	48	2	9
2014-03-29 22:42:56.165854	89828	20.5	1	9
2014-03-29 22:42:57.014138	89829	45	2	8
2014-03-29 22:42:57.236084	89830	20.9	1	8
2014-03-29 22:43:09.124251	89831	48	2	1
2014-03-29 22:43:09.388593	89832	20.8	1	1
2014-03-29 22:43:25.999082	89833	44	2	10
2014-03-29 22:43:26.21999	89834	23.0	1	10
2014-03-29 22:43:32.13295	89835	354	3	2
2014-03-29 22:43:32.364224	89836	1124269.491116218	4	2
2014-03-29 22:43:34.927146	89837	48	2	9
2014-03-29 22:43:35.147752	89838	20.5	1	9
2014-03-29 22:43:36.012772	89839	45	2	8
2014-03-29 22:43:36.244791	89840	20.9	1	8
2014-03-29 22:43:48.124022	89841	48	2	1
2014-03-29 22:43:48.34801	89842	20.8	1	1
2014-03-29 22:44:05.000227	89843	44	2	10
2014-03-29 22:44:05.23271	89844	23.0	1	10
2014-03-29 22:44:13.927998	89845	48	2	9
2014-03-29 22:44:14.149755	89846	20.5	1	9
2014-03-29 22:44:15.01275	89847	45	2	8
2014-03-29 22:44:15.244025	89848	20.9	1	8
2014-03-29 22:44:27.123268	89849	48	2	1
2014-03-29 22:44:27.345797	89850	20.8	1	1
2014-03-29 22:44:32.133237	89851	354	3	2
2014-03-29 22:44:32.370902	89852	1124274.0917260558	4	2
2014-03-29 22:44:43.998679	89853	44	2	10
2014-03-29 22:44:44.219351	89854	23.0	1	10
2014-03-29 22:44:52.924659	89855	48	2	9
2014-03-29 22:44:53.15662	89856	20.5	1	9
2014-03-29 22:44:54.014305	89857	45	2	8
2014-03-29 22:44:54.234283	89858	20.9	1	8
2014-03-29 22:45:06.120539	89859	48	2	1
2014-03-29 22:45:06.358718	89860	20.8	1	1
2014-03-29 22:45:08.13521	89861	305	3	2
2014-03-29 22:45:08.355874	89862	1124277.53883022	4	2
2014-03-29 22:45:20.13288	89863	305	3	2
2014-03-29 22:45:20.364505	89864	1124278.6878649415	4	2
2014-03-29 22:45:23.0009	89865	44	2	10
2014-03-29 22:45:23.222778	89866	23.0	1	10
2014-03-29 22:45:31.924651	89867	48	2	9
2014-03-29 22:45:32.156838	89868	20.5	1	9
2014-03-29 22:45:33.014922	89869	45	2	8
2014-03-29 22:45:33.235585	89870	20.9	1	8
2014-03-29 22:45:45.122966	89871	48	2	1
2014-03-29 22:45:45.357659	89872	20.8	1	1
2014-03-29 22:46:02.000803	89873	44	2	10
2014-03-29 22:46:02.224281	89874	23.0	1	10
2014-03-29 22:46:10.925373	89875	48	2	9
2014-03-29 22:46:11.160315	89876	20.5	1	9
2014-03-29 22:46:12.015213	89877	45	2	8
2014-03-29 22:46:12.236964	89878	20.9	1	8
2014-03-29 22:46:24.124596	89879	48	2	1
2014-03-29 22:46:24.370297	89880	20.8	1	1
2014-03-29 22:46:32.138316	89881	289	3	2
2014-03-29 22:46:32.360511	89882	1124284.4330385486	4	2
2014-03-29 22:46:41.001624	89883	44	2	10
2014-03-29 22:46:41.234436	89884	23.0	1	10
2014-03-29 22:46:49.922408	89885	48	2	9
2014-03-29 22:46:50.147044	89886	20.5	1	9
2014-03-29 22:46:51.01381	89887	45	2	8
2014-03-29 22:46:51.247953	89888	20.9	1	8
2014-03-29 22:47:03.122226	89889	48	2	1
2014-03-29 22:47:03.34706	89890	20.8	1	1
2014-03-29 22:47:20.008512	89891	44	2	10
2014-03-29 22:47:20.243055	89892	23.0	1	10
2014-03-29 22:47:28.92204	89893	48	2	9
2014-03-29 22:47:29.145071	89894	20.5	1	9
2014-03-29 22:47:30.014681	89895	45	2	8
2014-03-29 22:47:30.248719	89896	20.9	1	8
2014-03-29 22:47:42.123172	89897	48	2	1
2014-03-29 22:47:42.346857	89898	20.8	1	1
2014-03-29 22:47:58.998642	89899	44	2	10
2014-03-29 22:47:59.232099	89900	22.9	1	10
2014-03-29 22:48:07.923271	89901	48	2	9
2014-03-29 22:48:08.146063	89902	20.5	1	9
2014-03-29 22:48:09.01331	89903	45	2	8
2014-03-29 22:48:09.245246	89904	20.9	1	8
2014-03-29 22:48:21.12179	89905	48	2	1
2014-03-29 22:48:21.343501	89906	20.8	1	1
2014-03-29 22:48:32.13286	89907	305	3	2
2014-03-29 22:48:32.366935	89908	1124294.7743510413	4	2
2014-03-29 22:48:37.999714	89909	44	2	10
2014-03-29 22:48:38.224103	89910	22.9	1	10
2014-03-29 22:48:46.925439	89911	48	2	9
2014-03-29 22:48:47.15665	89912	20.5	1	9
2014-03-29 22:48:48.013619	89913	45	2	8
2014-03-29 22:48:48.255853	89914	20.9	1	8
2014-03-29 22:49:00.119666	89915	48	2	1
2014-03-29 22:49:00.350914	89916	20.8	1	1
2014-03-29 22:49:16.998767	89917	44	2	10
2014-03-29 22:49:17.224178	89918	22.9	1	10
2014-03-29 22:49:25.923408	89919	48	2	9
2014-03-29 22:49:26.154655	89920	20.4	1	9
2014-03-29 22:49:27.013058	89921	45	2	8
2014-03-29 22:49:27.235168	89922	20.9	1	8
2014-03-29 22:49:32.133911	89923	305	3	2
2014-03-29 22:49:32.366258	89924	1124299.370489927	4	2
2014-03-29 22:49:39.122656	89925	48	2	1
2014-03-29 22:49:39.346236	89926	20.8	1	1
2014-03-29 22:49:56.001529	89927	44	2	10
2014-03-29 22:49:56.245669	89928	22.9	1	10
2014-03-29 22:50:04.927184	89929	48	2	9
2014-03-29 22:50:05.147926	89930	20.4	1	9
2014-03-29 22:50:06.01365	89931	45	2	8
2014-03-29 22:50:06.436363	89932	20.9	1	8
2014-03-29 22:50:18.117967	89933	48	2	1
2014-03-29 22:50:18.340397	89934	20.8	1	1
2014-03-29 22:50:32.134407	89935	305	3	2
2014-03-29 22:50:32.357156	89936	1124305.115663534	4	2
2014-03-29 22:50:34.998151	89937	44	2	10
2014-03-29 22:50:35.229324	89938	22.9	1	10
2014-03-29 22:50:43.924231	89939	48	2	9
2014-03-29 22:50:44.14716	89940	20.4	1	9
2014-03-29 22:50:45.013324	89941	45	2	8
2014-03-29 22:50:45.24449	89942	20.9	1	8
2014-03-29 22:50:57.122799	89943	48	2	1
2014-03-29 22:50:57.344677	89944	20.7	1	1
2014-03-29 22:51:14.001067	89945	44	2	10
2014-03-29 22:51:14.232278	89946	22.9	1	10
2014-03-29 22:51:22.923318	89947	48	2	9
2014-03-29 22:51:23.148096	89948	20.4	1	9
2014-03-29 22:51:24.015027	89949	45	2	8
2014-03-29 22:51:24.247217	89950	20.9	1	8
2014-03-29 22:51:36.12115	89951	48	2	1
2014-03-29 22:51:36.352916	89952	20.7	1	1
2014-03-29 22:51:52.999333	89953	44	2	10
2014-03-29 22:51:53.253617	89954	22.9	1	10
2014-03-29 22:52:01.923713	89955	48	2	9
2014-03-29 22:52:02.145562	89956	20.4	1	9
2014-03-29 22:52:03.013114	89957	45	2	8
2014-03-29 22:52:03.245394	89958	20.9	1	8
2014-03-29 22:52:08.136122	89959	354	3	2
2014-03-29 22:52:08.357341	89960	1124313.158906584	4	2
2014-03-29 22:52:15.119897	89961	48	2	1
2014-03-29 22:52:15.353149	89962	20.7	1	1
2014-03-29 22:52:20.131759	89963	354	3	2
2014-03-29 22:52:20.360447	89964	1124314.3079413055	4	2
2014-03-29 22:52:31.995591	89965	44	2	10
2014-03-29 22:52:32.228507	89966	22.9	1	10
2014-03-29 22:52:40.924972	89967	48	2	9
2014-03-29 22:52:41.149334	89968	20.4	1	9
2014-03-29 22:52:42.014014	89969	45	2	8
2014-03-29 22:52:42.246107	89970	20.9	1	8
2014-03-29 22:52:54.11702	89971	48	2	1
2014-03-29 22:52:54.340711	89972	20.7	1	1
2014-03-29 22:53:11.002135	89973	44	2	10
2014-03-29 22:53:11.234002	89974	22.9	1	10
2014-03-29 22:53:19.924158	89975	48	2	9
2014-03-29 22:53:20.146008	89976	20.4	1	9
2014-03-29 22:53:21.015091	89977	45	2	8
2014-03-29 22:53:21.256472	89978	20.9	1	8
2014-03-29 22:53:33.11527	89979	48	2	1
2014-03-29 22:53:33.337081	89980	20.7	1	1
2014-03-29 22:53:50.002074	89981	44	2	10
2014-03-29 22:53:50.233536	89982	22.9	1	10
2014-03-29 22:53:58.924312	89983	48	2	9
2014-03-29 22:53:59.145621	89984	20.4	1	9
2014-03-29 22:54:00.012458	89985	45	2	8
2014-03-29 22:54:00.245951	89986	20.9	1	8
2014-03-29 22:54:12.116208	89987	48	2	1
2014-03-29 22:54:12.337183	89988	20.7	1	1
2014-03-29 22:54:29.002937	89989	44	2	10
2014-03-29 22:54:29.234693	89990	22.9	1	10
2014-03-29 22:54:32.133184	89991	354	3	2
2014-03-29 22:54:32.35544	89992	1124328.0963579623	4	2
2014-03-29 22:54:37.91964	89993	48	2	9
2014-03-29 22:54:38.150892	89994	20.4	1	9
2014-03-29 22:54:39.013225	89995	45	2	8
2014-03-29 22:54:39.234724	89996	20.9	1	8
2014-03-29 22:54:51.116	89997	48	2	1
2014-03-29 22:54:51.350196	89998	20.7	1	1
2014-03-29 22:55:08.003606	89999	44	2	10
2014-03-29 22:55:08.22614	90000	22.9	1	10
2014-03-29 22:55:16.929263	90001	48	2	9
2014-03-29 22:55:17.161265	90002	20.4	1	9
2014-03-29 22:55:18.013004	90003	45	2	8
2014-03-29 22:55:18.233836	90004	20.9	1	8
2014-03-29 22:55:30.117066	90005	48	2	1
2014-03-29 22:55:30.34842	90006	20.7	1	1
2014-03-29 22:55:32.133115	90007	354	3	2
2014-03-29 22:55:32.35555	90008	1124333.8415315694	4	2
2014-03-29 22:55:47.001125	90009	44	2	10
2014-03-29 22:55:47.232971	90010	22.8	1	10
2014-03-29 22:55:55.926732	90011	48	2	9
2014-03-29 22:55:56.148519	90012	20.4	1	9
2014-03-29 22:55:57.217145	90013	45	2	8
2014-03-29 22:55:57.4476	90014	20.9	1	8
2014-03-29 22:56:09.114417	90015	48	2	1
2014-03-29 22:56:09.337925	90016	20.7	1	1
2014-03-29 22:56:26.01208	90017	44	2	10
2014-03-29 22:56:26.243664	90018	22.8	1	10
2014-03-29 22:56:32.132882	90019	354	3	2
2014-03-29 22:56:32.355496	90020	1124339.5867051764	4	2
2014-03-29 22:56:34.929994	90021	48	2	9
2014-03-29 22:56:35.161222	90022	20.4	1	9
2014-03-29 22:56:36.01484	90023	45	2	8
2014-03-29 22:56:36.235883	90024	20.9	1	8
2014-03-29 22:56:48.115169	90025	48	2	1
2014-03-29 22:56:48.359018	90026	20.7	1	1
2014-03-29 22:57:05.002706	90027	44	2	10
2014-03-29 22:57:05.225808	90028	22.8	1	10
2014-03-29 22:57:13.926095	90029	48	2	9
2014-03-29 22:57:14.161739	90030	20.4	1	9
2014-03-29 22:57:15.01285	90031	45	2	8
2014-03-29 22:57:15.235116	90032	20.9	1	8
2014-03-29 22:57:27.118527	90033	48	2	1
2014-03-29 22:57:27.348507	90034	20.7	1	1
2014-03-29 22:57:32.137658	90035	354	3	2
2014-03-29 22:57:32.364548	90036	1124345.3318787836	4	2
2014-03-29 22:57:44.00473	90037	44	2	10
2014-03-29 22:57:44.24121	90038	22.8	1	10
2014-03-29 22:57:52.92475	90039	48	2	9
2014-03-29 22:57:53.147136	90040	20.4	1	9
2014-03-29 22:57:54.013316	90041	45	2	8
2014-03-29 22:57:54.246288	90042	20.9	1	8
2014-03-29 22:58:06.117946	90043	48	2	1
2014-03-29 22:58:06.343765	90044	20.7	1	1
2014-03-29 22:58:08.132404	90045	305	3	2
2014-03-29 22:58:08.365025	90046	1124348.7789829478	4	2
2014-03-29 22:58:23.00325	90047	44	2	10
2014-03-29 22:58:23.227861	90048	22.8	1	10
2014-03-29 22:58:31.924395	90049	48	2	9
2014-03-29 22:58:32.155175	90050	20.4	1	9
2014-03-29 22:58:33.012293	90051	45	2	8
2014-03-29 22:58:33.235626	90052	20.9	1	8
2014-03-29 22:58:45.113073	90053	48	2	1
2014-03-29 22:58:45.348259	90054	20.7	1	1
2014-03-29 22:59:02.004797	90055	44	2	10
2014-03-29 22:59:02.227312	90056	22.8	1	10
2014-03-29 22:59:10.924045	90057	48	2	9
2014-03-29 22:59:11.156481	90058	20.4	1	9
2014-03-29 22:59:12.012305	90059	45	2	8
2014-03-29 22:59:12.235089	90060	20.9	1	8
2014-03-29 22:59:24.113841	90061	48	2	1
2014-03-29 22:59:24.345612	90062	20.7	1	1
2014-03-29 22:59:32.133232	90063	305	3	2
2014-03-29 22:59:32.358201	90064	1124355.6731912764	4	2
2014-03-29 22:59:41.00442	90065	44	2	10
2014-03-29 22:59:41.236206	90066	22.8	1	10
2014-03-29 22:59:49.923206	90067	48	2	9
2014-03-29 22:59:50.144852	90068	20.4	1	9
2014-03-29 22:59:51.01362	90069	45	2	8
2014-03-29 22:59:51.245195	90070	20.9	1	8
2014-03-29 23:00:03.113616	90071	48	2	1
2014-03-29 23:00:03.335203	90072	20.7	1	1
2014-03-29 23:00:20.004256	90073	44	2	10
2014-03-29 23:00:20.247715	90074	22.8	1	10
2014-03-29 23:00:28.925621	90075	48	2	9
2014-03-29 23:00:29.146699	90076	20.4	1	9
2014-03-29 23:00:30.013394	90077	45	2	8
2014-03-29 23:00:30.246141	90078	20.9	1	8
2014-03-29 23:00:32.13068	90079	305	3	2
2014-03-29 23:00:32.351557	90080	1124361.4183648834	4	2
2014-03-29 23:00:42.114073	90081	48	2	1
2014-03-29 23:00:42.345239	90082	20.6	1	1
2014-03-29 23:00:59.005442	90083	44	2	10
2014-03-29 23:00:59.225281	90084	22.8	1	10
2014-03-29 23:01:07.933228	90085	48	2	9
2014-03-29 23:01:08.165263	90086	20.3	1	9
2014-03-29 23:01:09.01249	90087	45	2	8
2014-03-29 23:01:09.233355	90088	20.9	1	8
2014-03-29 23:01:21.112349	90089	48	2	1
2014-03-29 23:01:21.345241	90090	20.6	1	1
2014-03-29 23:01:32.130203	90091	305	3	2
2014-03-29 23:01:32.352952	90092	1124366.014503769	4	2
2014-03-29 23:01:38.007403	90093	44	2	10
2014-03-29 23:01:38.239695	90094	22.8	1	10
2014-03-29 23:01:46.923911	90095	48	2	9
2014-03-29 23:01:47.145568	90096	20.3	1	9
2014-03-29 23:01:48.015898	90097	45	2	8
2014-03-29 23:01:48.246829	90098	20.9	1	8
2014-03-29 23:02:00.113592	90099	48	2	1
2014-03-29 23:02:00.335168	90100	20.6	1	1
2014-03-29 23:02:17.006645	90101	44	2	10
2014-03-29 23:02:17.238905	90102	22.8	1	10
2014-03-29 23:02:25.923169	90103	48	2	9
2014-03-29 23:02:26.148927	90104	20.3	1	9
2014-03-29 23:02:27.014508	90105	45	2	8
2014-03-29 23:02:27.245852	90106	20.9	1	8
2014-03-29 23:02:39.113152	90107	48	2	1
2014-03-29 23:02:39.338134	90108	20.6	1	1
2014-03-29 23:02:56.004519	90109	44	2	10
2014-03-29 23:02:56.238421	90110	22.8	1	10
2014-03-29 23:03:04.927257	90111	48	2	9
2014-03-29 23:03:05.153583	90112	20.3	1	9
2014-03-29 23:03:06.01292	90113	45	2	8
2014-03-29 23:03:06.245489	90114	20.9	1	8
2014-03-29 23:03:18.112934	90115	48	2	1
2014-03-29 23:03:18.337589	90116	20.6	1	1
2014-03-29 23:03:32.130769	90117	305	3	2
2014-03-29 23:03:32.364384	90118	1124376.3558162618	4	2
2014-03-29 23:03:35.005916	90119	44	2	10
2014-03-29 23:03:35.229907	90120	22.7	1	10
2014-03-29 23:03:43.923576	90121	48	2	9
2014-03-29 23:03:44.16818	90122	20.3	1	9
2014-03-29 23:03:45.013693	90123	45	2	8
2014-03-29 23:03:45.237528	90124	20.9	1	8
2014-03-29 23:03:57.112086	90125	48	2	1
2014-03-29 23:03:57.346309	90126	20.6	1	1
2014-03-29 23:04:14.002976	90127	44	2	10
2014-03-29 23:04:14.224746	90128	22.7	1	10
2014-03-29 23:04:22.926925	90129	48	2	9
2014-03-29 23:04:23.159248	90130	20.3	1	9
2014-03-29 23:04:24.014289	90131	45	2	8
2014-03-29 23:04:24.23519	90132	20.9	1	8
2014-03-29 23:04:32.13157	90133	305	3	2
2014-03-29 23:04:32.362651	90134	1124382.1009898689	4	2
2014-03-29 23:04:36.113058	90135	48	2	1
2014-03-29 23:04:36.33514	90136	20.6	1	1
2014-03-29 23:04:53.004643	90137	44	2	10
2014-03-29 23:04:53.236875	90138	22.7	1	10
2014-03-29 23:05:01.921354	90139	48	2	9
2014-03-29 23:05:02.144277	90140	20.3	1	9
2014-03-29 23:05:03.013114	90141	45	2	8
2014-03-29 23:05:03.243557	90142	20.9	1	8
2014-03-29 23:05:15.111627	90143	48	2	1
2014-03-29 23:05:15.334228	90144	20.6	1	1
2014-03-29 23:05:20.134063	90145	354	3	2
2014-03-29 23:05:20.371016	90146	1124385.548094033	4	2
2014-03-29 23:05:31.991611	90147	44	2	10
2014-03-29 23:05:32.221179	90148	22.7	1	10
2014-03-29 23:05:40.923254	90149	48	2	9
2014-03-29 23:05:41.154671	90150	20.3	1	9
2014-03-29 23:05:42.012749	90151	45	2	8
2014-03-29 23:05:42.235474	90152	20.9	1	8
2014-03-29 23:05:54.109983	90153	48	2	1
2014-03-29 23:05:54.341574	90154	20.6	1	1
2014-03-29 23:06:11.004007	90155	44	2	10
2014-03-29 23:06:11.226907	90156	22.7	1	10
2014-03-29 23:06:19.92305	90157	48	2	9
2014-03-29 23:06:20.156055	90158	20.3	1	9
2014-03-29 23:06:21.01361	90159	45	2	8
2014-03-29 23:06:21.234293	90160	20.9	1	8
2014-03-29 23:06:33.109326	90161	48	2	1
2014-03-29 23:06:33.341499	90162	20.6	1	1
2014-03-29 23:06:50.006647	90163	44	2	10
2014-03-29 23:06:50.230166	90164	22.7	1	10
2014-03-29 23:06:58.928073	90165	48	2	9
2014-03-29 23:06:59.160377	90166	20.3	1	9
2014-03-29 23:07:00.013002	90167	45	2	8
2014-03-29 23:07:00.233521	90168	20.9	1	8
2014-03-29 23:07:12.109581	90169	48	2	1
2014-03-29 23:07:12.353159	90170	20.6	1	1
2014-03-29 23:07:29.00687	90171	44	2	10
2014-03-29 23:07:29.227722	90172	22.7	1	10
2014-03-29 23:07:32.132901	90173	354	3	2
2014-03-29 23:07:32.365485	90174	1124399.3365106902	4	2
2014-03-29 23:07:37.925428	90175	48	2	9
2014-03-29 23:07:38.170542	90176	20.3	1	9
2014-03-29 23:07:39.013174	90177	45	2	8
2014-03-29 23:07:39.243697	90178	20.9	1	8
2014-03-29 23:08:08.007074	90179	44	2	10
2014-03-29 23:08:08.229258	90180	22.7	1	10
2014-03-29 23:08:16.927157	90181	48	2	9
2014-03-29 23:08:17.160335	90182	20.3	1	9
2014-03-29 23:08:18.012418	90183	45	2	8
2014-03-29 23:08:18.234914	90184	20.9	1	8
2014-03-29 23:08:30.107256	90185	48	2	1
2014-03-29 23:08:30.361045	90186	20.6	1	1
2014-03-29 23:08:32.131583	90187	354	3	2
2014-03-29 23:08:32.357799	90188	1124405.0816842972	4	2
2014-03-29 23:08:47.008301	90189	44	2	10
2014-03-29 23:08:47.241555	90190	22.7	1	10
2014-03-29 23:08:55.924965	90191	48	2	9
2014-03-29 23:08:56.148923	90192	20.3	1	9
2014-03-29 23:08:57.013759	90193	45	2	8
2014-03-29 23:08:57.246003	90194	20.9	1	8
2014-03-29 23:09:09.10697	90195	48	2	1
2014-03-29 23:09:09.329463	90196	20.6	1	1
2014-03-29 23:09:26.005418	90197	44	2	10
2014-03-29 23:09:26.238014	90198	22.7	1	10
2014-03-29 23:09:32.12992	90199	354	3	2
2014-03-29 23:09:32.353387	90200	1124410.8268579042	4	2
2014-03-29 23:09:34.927327	90201	48	2	9
2014-03-29 23:09:35.158072	90202	20.3	1	9
2014-03-29 23:09:36.013007	90203	45	2	8
2014-03-29 23:09:36.233333	90204	20.9	1	8
2014-03-29 23:09:44.130755	90205	434	3	2
2014-03-29 23:09:44.363184	90206	1124413.124927347	4	2
2014-03-29 23:09:48.108952	90207	48	2	1
2014-03-29 23:09:48.330214	90208	20.6	1	1
2014-03-29 23:09:56.133108	90209	434	3	2
2014-03-29 23:09:56.366035	90210	1124414.2739620684	4	2
2014-03-29 23:10:05.005346	90211	44	2	10
2014-03-29 23:10:05.227929	90212	22.6	1	10
2014-03-29 23:10:13.92379	90213	48	2	9
2014-03-29 23:10:14.155949	90214	20.3	1	9
2014-03-29 23:10:15.013678	90215	45	2	8
2014-03-29 23:10:15.235304	90216	20.9	1	8
2014-03-29 23:10:27.106161	90217	48	2	1
2014-03-29 23:10:27.350059	90218	20.6	1	1
2014-03-29 23:10:32.132694	90219	450	3	2
2014-03-29 23:10:32.36069	90220	1124418.870100954	4	2
2014-03-29 23:10:43.993306	90221	44	2	10
2014-03-29 23:10:44.225109	90222	22.6	1	10
2014-03-29 23:10:52.92376	90223	48	2	9
2014-03-29 23:10:53.14679	90224	20.3	1	9
2014-03-29 23:10:54.014459	90225	45	2	8
2014-03-29 23:10:54.245751	90226	20.9	1	8
2014-03-29 23:11:06.153469	90227	48	2	1
2014-03-29 23:11:06.375197	90228	20.6	1	1
2014-03-29 23:11:23.005641	90229	44	2	10
2014-03-29 23:11:23.238304	90230	22.6	1	10
2014-03-29 23:11:31.927599	90231	48	2	9
2014-03-29 23:11:32.14895	90232	20.3	1	9
2014-03-29 23:11:33.013295	90233	45	2	8
2014-03-29 23:11:33.244662	90234	20.9	1	8
2014-03-29 23:11:45.154459	90235	48	2	1
2014-03-29 23:11:45.375974	90236	20.6	1	1
2014-03-29 23:12:02.061966	90237	44	2	10
2014-03-29 23:12:02.293701	90238	22.6	1	10
2014-03-29 23:12:10.928149	90239	48	2	9
2014-03-29 23:12:11.149418	90240	20.3	1	9
2014-03-29 23:12:12.013408	90241	45	2	8
2014-03-29 23:12:12.243458	90242	20.9	1	8
2014-03-29 23:12:24.10897	90243	48	2	1
2014-03-29 23:12:24.331638	90244	20.6	1	1
2014-03-29 23:12:32.132425	90245	354	3	2
2014-03-29 23:12:32.366231	90246	1124431.5094828897	4	2
2014-03-29 23:12:41.009805	90247	44	2	10
2014-03-29 23:12:41.233878	90248	22.6	1	10
2014-03-29 23:12:49.922273	90249	48	2	9
2014-03-29 23:12:50.158254	90250	20.3	1	9
2014-03-29 23:12:51.014714	90251	45	2	8
2014-03-29 23:12:51.236049	90252	20.9	1	8
2014-03-29 23:13:03.110441	90253	48	2	1
2014-03-29 23:13:03.343113	90254	20.5	1	1
2014-03-29 23:13:20.009018	90255	44	2	10
2014-03-29 23:13:20.23331	90256	22.5	1	10
2014-03-29 23:13:28.927516	90257	48	2	9
2014-03-29 23:13:29.161749	90258	20.3	1	9
2014-03-29 23:13:30.013931	90259	45	2	8
2014-03-29 23:13:30.236607	90260	20.9	1	8
2014-03-29 23:13:32.135853	90261	370	3	2
2014-03-29 23:13:32.368272	90262	1124437.2546564967	4	2
2014-03-29 23:13:42.107525	90263	48	2	1
2014-03-29 23:13:42.332176	90264	20.5	1	1
2014-03-29 23:13:59.010167	90265	44	2	10
2014-03-29 23:13:59.255197	90266	22.5	1	10
2014-03-29 23:14:07.927331	90267	48	2	9
2014-03-29 23:14:08.149611	90268	20.3	1	9
2014-03-29 23:14:09.012736	90269	45	2	8
2014-03-29 23:14:09.245636	90270	20.9	1	8
2014-03-29 23:14:21.105106	90271	48	2	1
2014-03-29 23:14:21.329114	90272	20.5	1	1
2014-03-29 23:14:32.133266	90273	354	3	2
2014-03-29 23:14:32.366383	90274	1124442.999830104	4	2
2014-03-29 23:14:38.006202	90275	44	2	10
2014-03-29 23:14:38.242183	90276	22.5	1	10
2014-03-29 23:14:46.922605	90277	48	2	9
2014-03-29 23:14:47.154311	90278	20.3	1	9
2014-03-29 23:14:48.013823	90279	45	2	8
2014-03-29 23:14:48.238725	90280	20.9	1	8
2014-03-29 23:15:00.10748	90281	48	2	1
2014-03-29 23:15:00.339009	90282	20.5	1	1
2014-03-29 23:15:17.005431	90283	44	2	10
2014-03-29 23:15:17.228116	90284	22.5	1	10
2014-03-29 23:15:25.92571	90285	48	2	9
2014-03-29 23:15:26.157979	90286	20.3	1	9
2014-03-29 23:15:27.012687	90287	45	2	8
2014-03-29 23:15:27.235639	90288	20.9	1	8
2014-03-29 23:15:32.132233	90289	354	3	2
2014-03-29 23:15:32.364111	90290	1124449.8940384323	4	2
2014-03-29 23:15:39.105685	90291	48	2	1
2014-03-29 23:15:39.32766	90292	20.5	1	1
2014-03-29 23:15:56.007885	90293	44	2	10
2014-03-29 23:15:56.238553	90294	22.5	1	10
2014-03-29 23:16:04.924649	90295	48	2	9
2014-03-29 23:16:05.147845	90296	20.3	1	9
2014-03-29 23:16:06.012683	90297	45	2	8
2014-03-29 23:16:06.243427	90298	20.9	1	8
2014-03-29 23:16:18.106274	90299	48	2	1
2014-03-29 23:16:18.32965	90300	20.5	1	1
2014-03-29 23:16:32.132568	90301	354	3	2
2014-03-29 23:16:32.365099	90302	1124455.6392120393	4	2
2014-03-29 23:16:35.006359	90303	44	2	10
2014-03-29 23:16:35.227112	90304	22.5	1	10
2014-03-29 23:16:43.928162	90305	48	2	9
2014-03-29 23:16:44.159647	90306	20.3	1	9
2014-03-29 23:16:45.012014	90307	45	2	8
2014-03-29 23:16:45.233196	90308	20.9	1	8
2014-03-29 23:16:57.102574	90309	48	2	1
2014-03-29 23:16:57.334583	90310	20.5	1	1
2014-03-29 23:17:14.006962	90311	44	2	10
2014-03-29 23:17:14.229875	90312	22.5	1	10
2014-03-29 23:17:22.92583	90313	48	2	9
2014-03-29 23:17:23.172441	90314	20.3	1	9
2014-03-29 23:17:24.012881	90315	45	2	8
2014-03-29 23:17:24.234374	90316	20.9	1	8
2014-03-29 23:17:32.13187	90317	354	3	2
2014-03-29 23:17:32.363203	90318	1124461.3843856466	4	2
2014-03-29 23:17:36.101911	90319	48	2	1
2014-03-29 23:17:36.323721	90320	20.5	1	1
2014-03-29 23:17:44.131757	90321	418	3	2
2014-03-29 23:17:44.36527	90322	1124462.5334203679	4	2
2014-03-29 23:17:53.011613	90323	44	2	10
2014-03-29 23:17:53.233326	90324	22.5	1	10
2014-03-29 23:17:56.129011	90325	418	3	2
2014-03-29 23:17:56.360421	90326	1124463.6824550894	4	2
2014-03-29 23:18:01.927162	90327	48	2	9
2014-03-29 23:18:02.206241	90328	20.3	1	9
2014-03-29 23:18:03.016744	90329	45	2	8
2014-03-29 23:18:03.247277	90330	20.9	1	8
2014-03-29 23:18:15.112379	90331	48	2	1
2014-03-29 23:18:15.333343	90332	20.5	1	1
2014-03-29 23:18:32.049397	90333	44	2	10
2014-03-29 23:18:32.280036	90334	22.5	1	10
2014-03-29 23:18:40.920661	90335	48	2	9
2014-03-29 23:18:41.143385	90336	20.2	1	9
2014-03-29 23:18:42.012857	90337	45	2	8
2014-03-29 23:18:42.246542	90338	20.9	1	8
2014-03-29 23:18:54.152751	90339	48	2	1
2014-03-29 23:18:54.376261	90340	20.5	1	1
2014-03-29 23:19:11.009219	90341	44	2	10
2014-03-29 23:19:11.243261	90342	22.5	1	10
2014-03-29 23:19:19.926005	90343	48	2	9
2014-03-29 23:19:20.147341	90344	20.2	1	9
2014-03-29 23:19:21.012685	90345	45	2	8
2014-03-29 23:19:21.246735	90346	20.9	1	8
2014-03-29 23:19:32.138052	90347	418	3	2
2014-03-29 23:19:32.395841	90348	1124475.1728023035	4	2
2014-03-29 23:19:33.1047	90349	48	2	1
2014-03-29 23:19:33.371866	90350	20.5	1	1
2014-03-29 23:19:50.010057	90351	44	2	10
2014-03-29 23:19:50.266809	90352	22.5	1	10
2014-03-29 23:19:58.9281	90353	48	2	9
2014-03-29 23:19:59.193691	90354	20.2	1	9
2014-03-29 23:20:00.012382	90355	45	2	8
2014-03-29 23:20:00.421556	90356	20.8	1	8
2014-03-29 23:20:12.099755	90357	48	2	1
2014-03-29 23:20:12.370948	90358	20.5	1	1
2014-03-29 23:20:29.016602	90359	44	2	10
2014-03-29 23:20:29.23919	90360	22.5	1	10
2014-03-29 23:20:32.14195	90361	418	3	2
2014-03-29 23:20:32.388735	90362	1124482.067010632	4	2
2014-03-29 23:20:37.925441	90363	48	2	9
2014-03-29 23:20:38.150168	90364	20.2	1	9
2014-03-29 23:20:39.012793	90365	45	2	8
2014-03-29 23:20:39.244655	90366	20.8	1	8
2014-03-29 23:20:51.104588	90367	48	2	1
2014-03-29 23:20:51.327418	90368	20.5	1	1
2014-03-29 23:21:08.012878	90369	44	2	10
2014-03-29 23:21:08.244613	90370	22.5	1	10
2014-03-29 23:21:16.927934	90371	48	2	9
2014-03-29 23:21:17.149612	90372	20.3	1	9
2014-03-29 23:21:18.012475	90373	45	2	8
2014-03-29 23:21:18.242463	90374	20.8	1	8
2014-03-29 23:21:30.104119	90375	48	2	1
2014-03-29 23:21:30.325608	90376	20.5	1	1
2014-03-29 23:21:47.009009	90377	44	2	10
2014-03-29 23:21:47.241235	90378	22.4	1	10
2014-03-29 23:21:55.924634	90379	48	2	9
2014-03-29 23:21:56.147439	90380	20.2	1	9
2014-03-29 23:21:57.014589	90381	45	2	8
2014-03-29 23:21:57.245337	90382	20.8	1	8
2014-03-29 23:22:09.099019	90383	48	2	1
2014-03-29 23:22:09.320257	90384	20.5	1	1
2014-03-29 23:22:26.01065	90385	44	2	10
2014-03-29 23:22:26.241415	90386	22.4	1	10
2014-03-29 23:22:32.186871	90387	418	3	2
2014-03-29 23:22:32.407748	90388	1124495.855427289	4	2
2014-03-29 23:22:34.927035	90389	48	2	9
2014-03-29 23:22:35.158728	90390	20.3	1	9
2014-03-29 23:22:36.012401	90391	45	2	8
2014-03-29 23:22:36.233086	90392	20.8	1	8
2014-03-29 23:22:48.102264	90393	48	2	1
2014-03-29 23:22:48.336886	90394	20.5	1	1
2014-03-29 23:23:05.012195	90395	44	2	10
2014-03-29 23:23:05.235683	90396	22.4	1	10
2014-03-29 23:23:08.130488	90397	370	3	2
2014-03-29 23:23:08.364354	90398	1124500.4515661746	4	2
2014-03-29 23:23:13.924218	90399	48	2	9
2014-03-29 23:23:14.149129	90400	20.2	1	9
2014-03-29 23:23:15.012477	90401	45	2	8
2014-03-29 23:23:15.24434	90402	20.8	1	8
2014-03-29 23:23:20.128754	90403	354	3	2
2014-03-29 23:23:20.353455	90404	1124501.600600896	4	2
2014-03-29 23:23:27.099729	90405	48	2	1
2014-03-29 23:23:27.333174	90406	20.5	1	1
2014-03-29 23:23:32.186446	90407	354	3	2
2014-03-29 23:23:32.415643	90408	1124502.7496356175	4	2
2014-03-29 23:23:44.014038	90409	44	2	10
2014-03-29 23:23:44.25823	90410	22.4	1	10
2014-03-29 23:23:52.92667	90411	48	2	9
2014-03-29 23:23:53.150448	90412	20.2	1	9
2014-03-29 23:23:54.012407	90413	45	2	8
2014-03-29 23:23:54.245581	90414	20.8	1	8
2014-03-29 23:24:06.103301	90415	48	2	1
2014-03-29 23:24:06.324999	90416	20.5	1	1
2014-03-29 23:24:23.011895	90417	44	2	10
2014-03-29 23:24:23.244349	90418	22.4	1	10
2014-03-29 23:24:31.921959	90419	48	2	9
2014-03-29 23:24:32.199413	90420	20.2	1	9
2014-03-29 23:24:33.012625	90421	45	2	8
2014-03-29 23:24:33.244441	90422	20.8	1	8
2014-03-29 23:24:45.099736	90423	48	2	1
2014-03-29 23:24:45.323147	90424	20.5	1	1
2014-03-29 23:25:02.012559	90425	44	2	10
2014-03-29 23:25:02.24514	90426	22.4	1	10
2014-03-29 23:25:08.131054	90427	305	3	2
2014-03-29 23:25:08.355173	90428	1124511.9419133887	4	2
2014-03-29 23:25:10.928908	90429	48	2	9
2014-03-29 23:25:11.15855	90430	20.2	1	9
2014-03-29 23:25:12.010903	90431	45	2	8
2014-03-29 23:25:12.232008	90432	20.8	1	8
2014-03-29 23:25:20.129638	90433	305	3	2
2014-03-29 23:25:20.363378	90434	1124513.0909481102	4	2
2014-03-29 23:25:24.099173	90435	48	2	1
2014-03-29 23:25:24.320687	90436	20.5	1	1
2014-03-29 23:25:32.167432	90437	305	3	2
2014-03-29 23:25:32.419092	90438	1124514.2399828315	4	2
2014-03-29 23:25:41.012299	90439	44	2	10
2014-03-29 23:25:41.233551	90440	22.4	1	10
2014-03-29 23:25:49.924202	90441	48	2	9
2014-03-29 23:25:50.157539	90442	20.2	1	9
2014-03-29 23:25:51.013031	90443	45	2	8
2014-03-29 23:25:51.234817	90444	20.8	1	8
2014-03-29 23:26:03.097696	90445	48	2	1
2014-03-29 23:26:03.328554	90446	20.5	1	1
2014-03-29 23:26:20.013405	90447	44	2	10
2014-03-29 23:26:20.237031	90448	22.4	1	10
2014-03-29 23:26:28.923248	90449	48	2	9
2014-03-29 23:26:29.154682	90450	20.2	1	9
2014-03-29 23:26:30.012324	90451	45	2	8
2014-03-29 23:26:30.233485	90452	20.8	1	8
2014-03-29 23:26:32.155332	90453	305	3	2
2014-03-29 23:26:32.420278	90454	1124519.9851564385	4	2
2014-03-29 23:26:42.097796	90455	48	2	1
2014-03-29 23:26:42.320283	90456	20.4	1	1
2014-03-29 23:26:59.012092	90457	44	2	10
2014-03-29 23:26:59.254916	90458	22.4	1	10
2014-03-29 23:27:07.923363	90459	48	2	9
2014-03-29 23:27:08.147268	90460	20.2	1	9
2014-03-29 23:27:09.012787	90461	45	2	8
2014-03-29 23:27:09.244138	90462	20.8	1	8
2014-03-29 23:27:21.095685	90463	48	2	1
2014-03-29 23:27:21.31815	90464	20.4	1	1
2014-03-29 23:27:32.130242	90465	305	3	2
2014-03-29 23:27:32.416371	90466	1124524.5812953243	4	2
2014-03-29 23:27:38.013374	90467	44	2	10
2014-03-29 23:27:38.237429	90468	22.4	1	10
2014-03-29 23:27:47.12537	90469	48	2	9
2014-03-29 23:27:47.356717	90470	20.2	1	9
2014-03-29 23:27:48.012158	90471	45	2	8
2014-03-29 23:27:48.233444	90472	20.8	1	8
2014-03-29 23:28:00.098076	90473	48	2	1
2014-03-29 23:28:00.328037	90474	20.4	1	1
2014-03-29 23:28:17.012605	90475	44	2	10
2014-03-29 23:28:17.233851	90476	22.4	1	10
2014-03-29 23:28:25.928905	90477	48	2	9
2014-03-29 23:28:26.158935	90478	20.2	1	9
2014-03-29 23:28:27.012569	90479	45	2	8
2014-03-29 23:28:27.234133	90480	20.8	1	8
2014-03-29 23:28:32.12887	90481	305	3	2
2014-03-29 23:28:32.418101	90482	1124529.17743421	4	2
2014-03-29 23:28:39.099568	90483	48	2	1
2014-03-29 23:28:39.322688	90484	20.4	1	1
2014-03-29 23:28:56.015922	90485	44	2	10
2014-03-29 23:28:56.246882	90486	22.4	1	10
2014-03-29 23:29:04.929698	90487	48	2	9
2014-03-29 23:29:05.154741	90488	20.2	1	9
2014-03-29 23:29:06.01354	90489	45	2	8
2014-03-29 23:29:06.244346	90490	20.8	1	8
2014-03-29 23:29:18.096822	90491	48	2	1
2014-03-29 23:29:18.317651	90492	20.4	1	1
2014-03-29 23:29:32.131968	90493	305	3	2
2014-03-29 23:29:32.420153	90494	1124534.922607817	4	2
2014-03-29 23:29:35.014046	90495	44	2	10
2014-03-29 23:29:35.236356	90496	22.4	1	10
2014-03-29 23:29:43.922921	90497	48	2	9
2014-03-29 23:29:44.159208	90498	20.2	1	9
2014-03-29 23:29:45.013067	90499	45	2	8
2014-03-29 23:29:45.236045	90500	20.8	1	8
2014-03-29 23:29:57.097493	90501	48	2	1
2014-03-29 23:29:57.332428	90502	20.4	1	1
2014-03-29 23:30:14.014311	90503	44	2	10
2014-03-29 23:30:14.238895	90504	22.3	1	10
2014-03-29 23:30:20.13832	90505	370	3	2
2014-03-29 23:30:20.403604	90506	1124539.5187467027	4	2
2014-03-29 23:30:22.923533	90507	48	2	9
2014-03-29 23:30:23.144543	90508	20.2	1	9
2014-03-29 23:30:24.012531	90509	45	2	8
2014-03-29 23:30:24.244199	90510	20.8	1	8
2014-03-29 23:30:32.129258	90511	354	3	2
2014-03-29 23:30:32.407871	90512	1124540.667781424	4	2
2014-03-29 23:30:36.095474	90513	48	2	1
2014-03-29 23:30:36.327388	90514	20.4	1	1
2014-03-29 23:30:53.012927	90515	44	2	10
2014-03-29 23:30:53.237617	90516	22.3	1	10
2014-03-29 23:31:01.922343	90517	48	2	9
2014-03-29 23:31:02.153175	90518	20.2	1	9
2014-03-29 23:31:03.013647	90519	45	2	8
2014-03-29 23:31:03.237004	90520	20.8	1	8
2014-03-29 23:31:15.099357	90521	48	2	1
2014-03-29 23:31:15.331246	90522	20.4	1	1
2014-03-29 23:31:31.992019	90523	44	2	10
2014-03-29 23:31:32.213819	90524	22.3	1	10
2014-03-29 23:31:40.926911	90525	48	2	9
2014-03-29 23:31:41.158079	90526	20.2	1	9
2014-03-29 23:31:42.013087	90527	45	2	8
2014-03-29 23:31:42.234851	90528	20.8	1	8
2014-03-29 23:31:54.09727	90529	48	2	1
2014-03-29 23:31:54.329136	90530	20.4	1	1
2014-03-29 23:32:11.013324	90531	44	2	10
2014-03-29 23:32:11.236161	90532	22.3	1	10
2014-03-29 23:32:19.924784	90533	48	2	9
2014-03-29 23:32:20.15654	90534	20.2	1	9
2014-03-29 23:32:21.015522	90535	45	2	8
2014-03-29 23:32:21.236914	90536	20.8	1	8
2014-03-29 23:32:32.132066	90537	354	3	2
2014-03-29 23:32:32.418536	90538	1124552.1581286383	4	2
2014-03-29 23:32:33.098709	90539	48	2	1
2014-03-29 23:32:33.318747	90540	20.4	1	1
2014-03-29 23:32:50.016085	90541	44	2	10
2014-03-29 23:32:50.24872	90542	22.3	1	10
2014-03-29 23:32:58.923961	90543	48	2	9
2014-03-29 23:32:59.146317	90544	20.2	1	9
2014-03-29 23:33:00.012266	90545	45	2	8
2014-03-29 23:33:00.243415	90546	20.8	1	8
2014-03-29 23:33:12.095959	90547	48	2	1
2014-03-29 23:33:12.317204	90548	20.4	1	1
2014-03-29 23:33:29.017373	90549	44	2	10
2014-03-29 23:33:29.248696	90550	22.3	1	10
2014-03-29 23:33:32.129803	90551	354	3	2
2014-03-29 23:33:32.370364	90552	1124557.9033022453	4	2
2014-03-29 23:33:37.923527	90553	48	2	9
2014-03-29 23:33:38.167267	90554	20.2	1	9
2014-03-29 23:33:39.011782	90555	45	2	8
2014-03-29 23:33:39.233944	90556	20.8	1	8
2014-03-29 23:33:51.095823	90557	48	2	1
2014-03-29 23:33:51.328301	90558	20.4	1	1
2014-03-29 23:34:08.019393	90559	44	2	10
2014-03-29 23:34:08.241686	90560	22.3	1	10
2014-03-29 23:34:16.926929	90561	48	2	9
2014-03-29 23:34:17.160418	90562	20.2	1	9
2014-03-29 23:34:18.013759	90563	45	2	8
2014-03-29 23:34:18.23532	90564	20.8	1	8
2014-03-29 23:34:30.101138	90565	48	2	1
2014-03-29 23:34:30.334499	90566	20.4	1	1
2014-03-29 23:34:32.132199	90567	354	3	2
2014-03-29 23:34:32.353353	90568	1124563.6484758523	4	2
2014-03-29 23:34:47.015939	90569	44	2	10
2014-03-29 23:34:47.253384	90570	22.2	1	10
2014-03-29 23:34:55.927004	90571	48	2	9
2014-03-29 23:34:56.151846	90572	20.2	1	9
2014-03-29 23:34:57.012596	90573	45	2	8
2014-03-29 23:34:57.246496	90574	20.8	1	8
2014-03-29 23:35:09.094711	90575	48	2	1
2014-03-29 23:35:09.320926	90576	20.4	1	1
2014-03-29 23:35:25.816993	90577	305	3	2
2014-03-29 23:35:26.049626	90578	1124567.1000509688	4	2
2014-03-29 23:35:26.354621	90579	44	2	10
2014-03-29 23:35:26.577222	90580	22.2	1	10
2014-03-29 23:35:32.129952	90581	305	3	2
2014-03-29 23:35:32.363813	90582	1124568.2490856904	4	2
2014-03-29 23:35:34.919276	90583	48	2	9
2014-03-29 23:35:35.14101	90584	20.2	1	9
2014-03-29 23:35:36.013186	90585	45	2	8
2014-03-29 23:35:36.246112	90586	20.8	1	8
2014-03-29 23:35:48.093196	90587	48	2	1
2014-03-29 23:35:48.317157	90588	20.4	1	1
2014-03-29 23:36:05.012501	90589	44	2	10
2014-03-29 23:36:05.244118	90590	22.2	1	10
2014-03-29 23:36:08.130729	90591	338	3	2
2014-03-29 23:36:08.356979	90592	1124571.6961898545	4	2
2014-03-29 23:36:13.930403	90593	48	2	9
2014-03-29 23:36:14.166757	90594	20.2	1	9
2014-03-29 23:36:15.012502	90595	45	2	8
2014-03-29 23:36:15.23479	90596	20.8	1	8
2014-03-29 23:36:20.128161	90597	305	3	2
2014-03-29 23:36:20.360277	90598	1124572.8452245758	4	2
2014-03-29 23:36:27.095384	90599	48	2	1
2014-03-29 23:36:27.317485	90600	20.4	1	1
2014-03-29 23:36:32.129481	90601	305	3	2
2014-03-29 23:36:32.375866	90602	1124573.9942592974	4	2
2014-03-29 23:36:44.015694	90603	44	2	10
2014-03-29 23:36:44.239338	90604	22.2	1	10
2014-03-29 23:36:52.923402	90605	48	2	9
2014-03-29 23:36:53.153456	90606	20.2	1	9
2014-03-29 23:36:54.011777	90607	45	2	8
2014-03-29 23:36:54.2337	90608	20.8	1	8
2014-03-29 23:37:06.091845	90609	48	2	1
2014-03-29 23:37:06.324679	90610	20.4	1	1
2014-03-29 23:37:08.132304	90611	338	3	2
2014-03-29 23:37:08.35452	90612	1124577.4413634615	4	2
2014-03-29 23:37:20.132265	90613	305	3	2
2014-03-29 23:37:20.36345	90614	1124578.590398183	4	2
2014-03-29 23:37:23.219314	90615	44	2	10
2014-03-29 23:37:23.442474	90616	22.2	1	10
2014-03-29 23:37:31.922557	90617	48	2	9
2014-03-29 23:37:32.155314	90618	20.2	1	9
2014-03-29 23:37:33.012674	90619	45	2	8
2014-03-29 23:37:33.236329	90620	20.8	1	8
2014-03-29 23:37:45.093637	90621	48	2	1
2014-03-29 23:37:45.328508	90622	20.4	1	1
2014-03-29 23:38:02.016458	90623	44	2	10
2014-03-29 23:38:02.23802	90624	22.2	1	10
2014-03-29 23:38:10.929441	90625	48	2	9
2014-03-29 23:38:11.161164	90626	20.2	1	9
2014-03-29 23:38:12.011247	90627	45	2	8
2014-03-29 23:38:12.233748	90628	20.8	1	8
2014-03-29 23:38:24.090469	90629	48	2	1
2014-03-29 23:38:24.321161	90630	20.4	1	1
2014-03-29 23:38:41.016401	90631	44	2	10
2014-03-29 23:38:41.247891	90632	22.2	1	10
2014-03-29 23:38:49.925649	90633	48	2	9
2014-03-29 23:38:50.158133	90634	20.2	1	9
2014-03-29 23:38:51.01194	90635	45	2	8
2014-03-29 23:38:51.234925	90636	20.8	1	8
2014-03-29 23:39:03.091734	90637	48	2	1
2014-03-29 23:39:03.325564	90638	20.4	1	1
2014-03-29 23:39:20.019525	90639	44	2	10
2014-03-29 23:39:20.241893	90640	22.2	1	10
2014-03-29 23:39:28.920612	90641	48	2	9
2014-03-29 23:39:29.15435	90642	20.1	1	9
2014-03-29 23:39:30.013877	90643	45	2	8
2014-03-29 23:39:30.234989	90644	20.8	1	8
2014-03-29 23:39:32.129512	90645	305	3	2
2014-03-29 23:39:32.361582	90646	1124590.0807453971	4	2
2014-03-29 23:39:42.093679	90647	48	2	1
2014-03-29 23:39:42.31464	90648	20.4	1	1
2014-03-29 23:39:59.016117	90649	44	2	10
2014-03-29 23:39:59.26315	90650	22.2	1	10
2014-03-29 23:40:07.925664	90651	48	2	9
2014-03-29 23:40:08.148268	90652	20.1	1	9
2014-03-29 23:40:09.011321	90653	45	2	8
2014-03-29 23:40:09.244109	90654	20.8	1	8
2014-03-29 23:40:21.329719	90655	48	2	1
2014-03-29 23:40:21.552625	90656	20.4	1	1
2014-03-29 23:40:32.127665	90657	305	3	2
2014-03-29 23:40:32.36164	90658	1124594.6768842828	4	2
2014-03-29 23:40:38.01942	90659	44	2	10
2014-03-29 23:40:38.245474	90660	22.2	1	10
2014-03-29 23:40:46.924734	90661	48	2	9
2014-03-29 23:40:47.158128	90662	20.1	1	9
2014-03-29 23:40:48.012734	90663	45	2	8
2014-03-29 23:40:48.234933	90664	20.8	1	8
2014-03-29 23:41:00.090577	90665	48	2	1
2014-03-29 23:41:00.323253	90666	20.4	1	1
2014-03-29 23:41:17.017642	90667	44	2	10
2014-03-29 23:41:17.23957	90668	22.2	1	10
2014-03-29 23:41:25.923075	90669	48	2	9
2014-03-29 23:41:26.155148	90670	20.1	1	9
2014-03-29 23:41:27.01181	90671	45	2	8
2014-03-29 23:41:27.233835	90672	20.8	1	8
2014-03-29 23:41:32.12744	90673	305	3	2
2014-03-29 23:41:32.361715	90674	1124600.4220578899	4	2
2014-03-29 23:41:39.092547	90675	48	2	1
2014-03-29 23:41:39.314672	90676	20.4	1	1
2014-03-29 23:41:56.016312	90677	44	2	10
2014-03-29 23:41:56.246653	90678	22.2	1	10
2014-03-29 23:42:04.926144	90679	48	2	9
2014-03-29 23:42:05.147892	90680	20.1	1	9
2014-03-29 23:42:06.011074	90681	45	2	8
2014-03-29 23:42:06.242985	90682	20.8	1	8
2014-03-29 23:42:18.135596	90683	48	2	1
2014-03-29 23:42:18.359659	90684	20.4	1	1
2014-03-29 23:42:20.128667	90685	354	3	2
2014-03-29 23:42:20.360844	90686	1124603.869162054	4	2
2014-03-29 23:42:32.129895	90687	354	3	2
2014-03-29 23:42:32.352329	90688	1124606.167231497	4	2
2014-03-29 23:42:35.016193	90689	44	2	10
2014-03-29 23:42:35.246998	90690	22.1	1	10
2014-03-29 23:42:43.922838	90691	48	2	9
2014-03-29 23:42:44.147069	90692	20.1	1	9
2014-03-29 23:42:45.012861	90693	45	2	8
2014-03-29 23:42:45.243883	90694	20.8	1	8
2014-03-29 23:42:57.089255	90695	48	2	1
2014-03-29 23:42:57.312232	90696	20.4	1	1
2014-03-29 23:43:14.019189	90697	44	2	10
2014-03-29 23:43:14.263035	90698	22.1	1	10
2014-03-29 23:43:22.925042	90699	48	2	9
2014-03-29 23:43:23.145602	90700	20.1	1	9
2014-03-29 23:43:24.011659	90701	45	2	8
2014-03-29 23:43:24.243389	90702	20.8	1	8
2014-03-29 23:43:32.13074	90703	354	3	2
2014-03-29 23:43:32.354298	90704	1124611.9124051041	4	2
2014-03-29 23:43:36.327067	90705	48	2	1
2014-03-29 23:43:36.559101	90706	20.4	1	1
2014-03-29 23:43:53.019831	90707	44	2	10
2014-03-29 23:43:53.242045	90708	22.1	1	10
2014-03-29 23:44:01.929221	90709	48	2	9
2014-03-29 23:44:02.161121	90710	20.1	1	9
2014-03-29 23:44:03.066791	90711	45	2	8
2014-03-29 23:44:03.28901	90712	20.8	1	8
2014-03-29 23:44:15.329391	90713	48	2	1
2014-03-29 23:44:15.561141	90714	20.3	1	1
2014-03-29 23:44:31.98903	90715	44	2	10
2014-03-29 23:44:32.210488	90716	22.1	1	10
2014-03-29 23:44:40.932234	90717	48	2	9
2014-03-29 23:44:41.165631	90718	20.1	1	9
2014-03-29 23:44:42.01308	90719	45	2	8
2014-03-29 23:44:42.234306	90720	20.8	1	8
2014-03-29 23:44:54.089176	90721	48	2	1
2014-03-29 23:44:54.32084	90722	20.3	1	1
2014-03-29 23:45:11.019618	90723	44	2	10
2014-03-29 23:45:11.243568	90724	22.1	1	10
2014-03-29 23:45:19.924913	90725	48	2	9
2014-03-29 23:45:20.15913	90726	20.1	1	9
2014-03-29 23:45:21.01207	90727	45	2	8
2014-03-29 23:45:21.235095	90728	20.8	1	8
2014-03-29 23:45:32.127462	90729	354	3	2
2014-03-29 23:45:32.359399	90730	1124623.4027523182	4	2
2014-03-29 23:45:33.087437	90731	48	2	1
2014-03-29 23:45:33.309019	90732	20.3	1	1
2014-03-29 23:45:50.019443	90733	44	2	10
2014-03-29 23:45:50.255608	90734	22.1	1	10
2014-03-29 23:45:58.925346	90735	48	2	9
2014-03-29 23:45:59.147439	90736	20.1	1	9
2014-03-29 23:46:00.013112	90737	45	2	8
2014-03-29 23:46:00.247612	90738	20.8	1	8
2014-03-29 23:46:12.08672	90739	48	2	1
2014-03-29 23:46:12.309948	90740	20.3	1	1
2014-03-29 23:46:29.020326	90741	44	2	10
2014-03-29 23:46:29.255655	90742	22.1	1	10
2014-03-29 23:46:32.129146	90743	354	3	2
2014-03-29 23:46:32.353014	90744	1124629.1479259252	4	2
2014-03-29 23:46:37.923566	90745	48	2	9
2014-03-29 23:46:38.166	90746	20.1	1	9
2014-03-29 23:46:39.012416	90747	45	2	8
2014-03-29 23:46:39.233179	90748	20.8	1	8
2014-03-29 23:46:51.08614	90749	48	2	1
2014-03-29 23:46:51.504179	90750	20.3	1	1
2014-03-29 23:47:08.021342	90751	44	2	10
2014-03-29 23:47:08.248708	90752	22.1	1	10
2014-03-29 23:47:16.92454	90753	48	2	9
2014-03-29 23:47:17.146125	90754	20.1	1	9
2014-03-29 23:47:18.012437	90755	45	2	8
2014-03-29 23:47:18.243049	90756	20.8	1	8
2014-03-29 23:47:20.127427	90757	305	3	2
2014-03-29 23:47:20.346935	90758	1124633.744064811	4	2
2014-03-29 23:47:30.087902	90759	48	2	1
2014-03-29 23:47:30.317274	90760	20.3	1	1
2014-03-29 23:47:32.125746	90761	305	3	2
2014-03-29 23:47:32.345981	90762	1124634.8930995325	4	2
2014-03-29 23:47:47.018613	90763	44	2	10
2014-03-29 23:47:47.253366	90764	22.1	1	10
2014-03-29 23:47:55.925539	90765	48	2	9
2014-03-29 23:47:56.14581	90766	20.1	1	9
2014-03-29 23:47:57.011153	90767	45	2	8
2014-03-29 23:47:57.242081	90768	20.8	1	8
2014-03-29 23:48:09.132801	90769	48	2	1
2014-03-29 23:48:09.353823	90770	20.3	1	1
2014-03-29 23:48:26.017835	90771	44	2	10
2014-03-29 23:48:26.251426	90772	22.1	1	10
2014-03-29 23:48:32.125414	90773	305	3	2
2014-03-29 23:48:32.346963	90774	1124640.6382731395	4	2
2014-03-29 23:48:34.92573	90775	48	2	9
2014-03-29 23:48:35.158569	90776	20.1	1	9
2014-03-29 23:48:36.012321	90777	45	2	8
2014-03-29 23:48:36.23311	90778	20.8	1	8
2014-03-29 23:48:48.0859	90779	48	2	1
2014-03-29 23:48:48.316832	90780	20.3	1	1
2014-03-29 23:49:05.017866	90781	44	2	10
2014-03-29 23:49:05.240824	90782	22.1	1	10
2014-03-29 23:49:13.923139	90783	48	2	9
2014-03-29 23:49:14.155938	90784	20.1	1	9
2014-03-29 23:49:15.011443	90785	45	2	8
2014-03-29 23:49:15.233058	90786	20.8	1	8
2014-03-29 23:49:27.087011	90787	48	2	1
2014-03-29 23:49:27.318242	90788	20.3	1	1
2014-03-29 23:49:32.125747	90789	305	3	2
2014-03-29 23:49:32.351618	90790	1124645.2344120252	4	2
2014-03-29 23:49:44.018427	90791	44	2	10
2014-03-29 23:49:44.249361	90792	22.0	1	10
2014-03-29 23:49:52.924538	90793	48	2	9
2014-03-29 23:49:53.147181	90794	20.1	1	9
2014-03-29 23:49:54.013277	90795	45	2	8
2014-03-29 23:49:54.255977	90796	20.8	1	8
2014-03-29 23:50:06.084361	90797	48	2	1
2014-03-29 23:50:06.306874	90798	20.3	1	1
2014-03-29 23:50:23.022211	90799	44	2	10
2014-03-29 23:50:23.254081	90800	22.0	1	10
2014-03-29 23:50:31.924216	90801	48	2	9
2014-03-29 23:50:32.147885	90802	20.1	1	9
2014-03-29 23:50:33.069261	90803	45	2	8
2014-03-29 23:50:33.300807	90804	20.8	1	8
2014-03-29 23:50:45.085699	90805	48	2	1
2014-03-29 23:50:45.306174	90806	20.3	1	1
2014-03-29 23:51:02.020428	90807	44	2	10
2014-03-29 23:51:02.253328	90808	22.0	1	10
2014-03-29 23:51:10.924319	90809	48	2	9
2014-03-29 23:51:11.148826	90810	20.1	1	9
2014-03-29 23:51:12.011526	90811	45	2	8
2014-03-29 23:51:12.243702	90812	20.8	1	8
2014-03-29 23:51:24.082216	90813	48	2	1
2014-03-29 23:51:24.30673	90814	20.3	1	1
2014-03-29 23:51:32.126481	90815	305	3	2
2014-03-29 23:51:32.359313	90816	1124655.575724518	4	2
2014-03-29 23:51:41.020486	90817	44	2	10
2014-03-29 23:51:41.243346	90818	22.0	1	10
2014-03-29 23:51:49.923605	90819	48	2	9
2014-03-29 23:51:50.155336	90820	20.1	1	9
2014-03-29 23:51:51.011738	90821	45	2	8
2014-03-29 23:51:51.233504	90822	20.8	1	8
2014-03-29 23:52:03.083777	90823	48	2	1
2014-03-29 23:52:03.372855	90824	20.3	1	1
2014-03-29 23:52:20.019033	90825	44	2	10
2014-03-29 23:52:20.241733	90826	22.0	1	10
2014-03-29 23:52:28.922736	90827	48	2	9
2014-03-29 23:52:29.153012	90828	20.1	1	9
2014-03-29 23:52:30.011814	90829	45	2	8
2014-03-29 23:52:30.233719	90830	20.8	1	8
2014-03-29 23:52:32.128484	90831	305	3	2
2014-03-29 23:52:32.359351	90832	1124660.1718634034	4	2
2014-03-29 23:52:42.081661	90833	48	2	1
2014-03-29 23:52:42.305934	90834	20.3	1	1
2014-03-29 23:52:59.01638	90835	44	2	10
2014-03-29 23:52:59.249165	90836	22.0	1	10
2014-03-29 23:53:07.924549	90837	48	2	9
2014-03-29 23:53:08.146068	90838	20.1	1	9
2014-03-29 23:53:09.011189	90839	45	2	8
2014-03-29 23:53:09.242506	90840	20.8	1	8
2014-03-29 23:53:21.082592	90841	48	2	1
2014-03-29 23:53:21.305008	90842	20.3	1	1
2014-03-29 23:53:32.125532	90843	305	3	2
2014-03-29 23:53:32.370352	90844	1124665.9170370107	4	2
2014-03-29 23:53:38.023156	90845	44	2	10
2014-03-29 23:53:38.244502	90846	22.0	1	10
2014-03-29 23:53:46.922406	90847	48	2	9
2014-03-29 23:53:47.153604	90848	20.1	1	9
2014-03-29 23:53:48.009901	90849	45	2	8
2014-03-29 23:53:48.232369	90850	20.8	1	8
2014-03-29 23:54:00.083454	90851	48	2	1
2014-03-29 23:54:00.316958	90852	20.3	1	1
2014-03-29 23:54:17.019302	90853	44	2	10
2014-03-29 23:54:17.240192	90854	22.0	1	10
2014-03-29 23:54:25.919826	90855	48	2	9
2014-03-29 23:54:26.150875	90856	20.1	1	9
2014-03-29 23:54:27.010717	90857	45	2	8
2014-03-29 23:54:27.232005	90858	20.8	1	8
2014-03-29 23:54:32.127823	90859	354	3	2
2014-03-29 23:54:32.361561	90860	1124671.6622106177	4	2
2014-03-29 23:54:39.084496	90861	48	2	1
2014-03-29 23:54:39.305174	90862	20.3	1	1
2014-03-29 23:54:44.127609	90863	354	3	2
2014-03-29 23:54:44.363721	90864	1124672.811245339	4	2
2014-03-29 23:54:56.020838	90865	44	2	10
2014-03-29 23:54:56.241905	90866	22.0	1	10
2014-03-29 23:55:04.926586	90867	48	2	9
2014-03-29 23:55:05.157143	90868	20.1	1	9
2014-03-29 23:55:06.010615	90869	45	2	8
2014-03-29 23:55:06.230613	90870	20.8	1	8
2014-03-29 23:55:18.128148	90871	48	2	1
2014-03-29 23:55:18.357879	90872	20.3	1	1
2014-03-29 23:55:32.127437	90873	354	3	2
2014-03-29 23:55:32.383212	90874	1124677.4073842247	4	2
2014-03-29 23:55:35.019799	90875	44	2	10
2014-03-29 23:55:35.304237	90876	22.0	1	10
2014-03-29 23:55:43.924187	90877	48	2	9
2014-03-29 23:55:44.186977	90878	20.1	1	9
2014-03-29 23:55:45.012428	90879	45	2	8
2014-03-29 23:55:45.27641	90880	20.8	1	8
2014-03-29 23:55:57.082529	90881	48	2	1
2014-03-29 23:55:57.338634	90882	20.3	1	1
2014-03-29 23:56:14.018167	90883	44	2	10
2014-03-29 23:56:14.252568	90884	22.0	1	10
2014-03-29 23:56:22.927561	90885	48	2	9
2014-03-29 23:56:23.152988	90886	20.1	1	9
2014-03-29 23:56:24.011153	90887	45	2	8
2014-03-29 23:56:24.24356	90888	20.8	1	8
2014-03-29 23:56:36.126522	90889	48	2	1
2014-03-29 23:56:36.351169	90890	20.3	1	1
2014-03-29 23:56:53.018712	90891	44	2	10
2014-03-29 23:56:53.263473	90892	22.0	1	10
2014-03-29 23:57:01.923911	90893	48	2	9
2014-03-29 23:57:02.145674	90894	20.1	1	9
2014-03-29 23:57:03.011952	90895	45	2	8
2014-03-29 23:57:03.245708	90896	20.8	1	8
2014-03-29 23:57:15.07953	90897	48	2	1
2014-03-29 23:57:15.303772	90898	20.3	1	1
2014-03-29 23:57:40.927048	90899	48	2	9
2014-03-29 23:57:41.159417	90900	20.1	1	9
2014-03-29 23:57:42.010403	90901	45	2	8
2014-03-29 23:57:42.232746	90902	20.8	1	8
2014-03-29 23:57:54.080668	90903	48	2	1
2014-03-29 23:57:54.312966	90904	20.3	1	1
2014-03-29 23:57:56.12568	90905	402	3	2
2014-03-29 23:57:56.34658	90906	1124691.1958008816	4	2
2014-03-29 23:58:08.124852	90907	354	3	2
2014-03-29 23:58:08.356101	90908	1124692.3448356031	4	2
2014-03-29 23:58:11.021388	90909	44	2	10
2014-03-29 23:58:11.242946	90910	21.9	1	10
2014-03-29 23:58:19.922677	90911	48	2	9
2014-03-29 23:58:20.153988	90912	20.1	1	9
2014-03-29 23:58:21.010968	90913	45	2	8
2014-03-29 23:58:21.231429	90914	20.8	1	8
2014-03-29 23:58:32.127174	90915	354	3	2
2014-03-29 23:58:32.358781	90916	1124694.642905046	4	2
2014-03-29 23:58:33.078622	90917	48	2	1
2014-03-29 23:58:33.356922	90918	20.3	1	1
2014-03-29 23:58:50.023209	90919	44	2	10
2014-03-29 23:58:50.253883	90920	21.9	1	10
2014-03-29 23:58:58.932326	90921	48	2	9
2014-03-29 23:58:59.153789	90922	20.0	1	9
2014-03-29 23:59:00.012016	90923	45	2	8
2014-03-29 23:59:00.24333	90924	20.8	1	8
2014-03-29 23:59:12.080243	90925	48	2	1
2014-03-29 23:59:12.302348	90926	20.2	1	1
2014-03-29 23:59:29.020191	90927	44	2	10
2014-03-29 23:59:29.253301	90928	21.9	1	10
2014-03-29 23:59:32.125998	90929	354	3	2
2014-03-29 23:59:32.347112	90930	1124700.388078653	4	2
2014-03-29 23:59:37.924737	90931	48	2	9
2014-03-29 23:59:38.15941	90932	20.0	1	9
2014-03-29 23:59:39.012703	90933	45	2	8
2014-03-29 23:59:39.234506	90934	20.8	1	8
2014-03-29 23:59:51.079028	90935	48	2	1
2014-03-29 23:59:51.31189	90936	20.2	1	1
2014-03-29 23:59:56.126616	90937	305	3	2
2014-03-29 23:59:56.354196	90938	1124702.6861480959	4	2
2014-03-30 00:00:16.926967	90939	48	2	9
2014-03-30 00:00:17.170683	90940	20.0	1	9
2014-03-30 00:00:18.011577	90941	45	2	8
2014-03-30 00:00:18.232369	90942	20.8	1	8
2014-03-30 00:00:30.07989	90943	48	2	1
2014-03-30 00:00:30.3114	90944	20.2	1	1
2014-03-30 00:00:32.1277	90945	305	3	2
2014-03-30 00:00:32.34875	90946	1124706.13325226	4	2
2014-03-30 00:00:47.025401	90947	44	2	10
2014-03-30 00:00:47.259165	90948	21.9	1	10
2014-03-30 00:00:55.925013	90949	48	2	9
2014-03-30 00:00:56.148133	90950	20.0	1	9
2014-03-30 00:00:57.013974	90951	45	2	8
2014-03-30 00:00:57.245167	90952	20.8	1	8
2014-03-30 00:01:09.085081	90953	48	2	1
2014-03-30 00:01:09.30624	90954	20.2	1	1
2014-03-30 00:01:26.022154	90955	44	2	10
2014-03-30 00:01:26.256525	90956	21.9	1	10
2014-03-30 00:01:32.12991	90957	305	3	2
2014-03-30 00:01:32.351502	90958	1124711.878425867	4	2
2014-03-30 00:01:34.92283	90959	48	2	9
2014-03-30 00:01:35.154392	90960	20.0	1	9
2014-03-30 00:01:36.01241	90961	45	2	8
2014-03-30 00:01:36.23689	90962	20.8	1	8
2014-03-30 00:01:48.075197	90963	48	2	1
2014-03-30 00:01:48.309727	90964	20.2	1	1
2014-03-30 00:02:05.023414	90965	44	2	10
2014-03-30 00:02:05.247133	90966	21.9	1	10
2014-03-30 00:02:13.923316	90967	48	2	9
2014-03-30 00:02:14.155613	90968	20.0	1	9
2014-03-30 00:02:15.012225	90969	45	2	8
2014-03-30 00:02:15.23508	90970	20.8	1	8
2014-03-30 00:02:27.079866	90971	48	2	1
2014-03-30 00:02:27.313642	90972	20.2	1	1
2014-03-30 00:02:32.123868	90973	289	3	2
2014-03-30 00:02:32.352113	90974	1124716.4745647528	4	2
2014-03-30 00:02:44.023129	90975	44	2	10
2014-03-30 00:02:44.455796	90976	21.9	1	10
2014-03-30 00:02:52.923019	90977	48	2	9
2014-03-30 00:02:53.145271	90978	20.0	1	9
2014-03-30 00:02:54.012535	90979	45	2	8
2014-03-30 00:02:54.242354	90980	20.8	1	8
2014-03-30 00:03:06.075197	90981	48	2	1
2014-03-30 00:03:06.299646	90982	20.2	1	1
2014-03-30 00:03:23.02201	90983	44	2	10
2014-03-30 00:03:23.254726	90984	21.9	1	10
2014-03-30 00:03:31.927554	90985	48	2	9
2014-03-30 00:03:32.150855	90986	20.0	1	9
2014-03-30 00:03:33.01211	90987	45	2	8
2014-03-30 00:03:33.254412	90988	20.8	1	8
2014-03-30 00:03:45.076314	90989	48	2	1
2014-03-30 00:03:45.296745	90990	20.2	1	1
2014-03-30 00:04:02.022045	90991	44	2	10
2014-03-30 00:04:02.254427	90992	21.9	1	10
2014-03-30 00:04:10.923702	90993	48	2	9
2014-03-30 00:04:11.146735	90994	20.0	1	9
2014-03-30 00:04:12.012441	90995	45	2	8
2014-03-30 00:04:12.243575	90996	20.8	1	8
2014-03-30 00:04:24.077981	90997	48	2	1
2014-03-30 00:04:24.299138	90998	20.2	1	1
2014-03-30 00:04:32.125948	90999	305	3	2
2014-03-30 00:04:32.35861	91000	1124726.8158772455	4	2
2014-03-30 00:04:41.020146	91001	44	2	10
2014-03-30 00:04:41.243252	91002	21.9	1	10
2014-03-30 00:04:49.921421	91003	48	2	9
2014-03-30 00:04:50.153897	91004	20.0	1	9
2014-03-30 00:04:51.213991	91005	45	2	8
2014-03-30 00:04:51.434657	91006	20.8	1	8
2014-03-30 00:05:03.077964	91007	48	2	1
2014-03-30 00:05:03.312976	91008	20.2	1	1
2014-03-30 00:05:20.023534	91009	44	2	10
2014-03-30 00:05:20.247251	91010	21.9	1	10
2014-03-30 00:05:28.92807	91011	48	2	9
2014-03-30 00:05:29.159879	91012	20.0	1	9
2014-03-30 00:05:30.012338	91013	45	2	8
2014-03-30 00:05:30.234443	91014	20.8	1	8
2014-03-30 00:05:32.12543	91015	305	3	2
2014-03-30 00:05:32.357826	91016	1124731.4120161312	4	2
2014-03-30 00:05:42.073169	91017	48	2	1
2014-03-30 00:05:42.296876	91018	20.2	1	1
2014-03-30 00:05:59.025069	91019	44	2	10
2014-03-30 00:05:59.257295	91020	21.9	1	10
2014-03-30 00:06:07.92208	91021	48	2	9
2014-03-30 00:06:08.144979	91022	20.0	1	9
2014-03-30 00:06:09.013303	91023	45	2	8
2014-03-30 00:06:09.243951	91024	20.8	1	8
2014-03-30 00:06:21.078983	91025	48	2	1
2014-03-30 00:06:21.301046	91026	20.2	1	1
2014-03-30 00:06:32.129976	91027	305	3	2
2014-03-30 00:06:32.360032	91028	1124737.1571897382	4	2
2014-03-30 00:06:38.02885	91029	44	2	10
2014-03-30 00:06:38.251795	91030	21.8	1	10
2014-03-30 00:06:46.926519	91031	48	2	9
2014-03-30 00:06:47.16054	91032	20.0	1	9
2014-03-30 00:06:48.012082	91033	45	2	8
2014-03-30 00:06:48.235573	91034	20.8	1	8
2014-03-30 00:06:56.129012	91035	354	3	2
2014-03-30 00:06:56.373507	91036	1124739.455259181	4	2
2014-03-30 00:07:00.073357	91037	48	2	1
2014-03-30 00:07:00.296109	91038	20.2	1	1
2014-03-30 00:07:08.127493	91039	354	3	2
2014-03-30 00:07:08.360332	91040	1124740.6042939026	4	2
2014-03-30 00:07:17.023616	91041	44	2	10
2014-03-30 00:07:17.246372	91042	21.8	1	10
2014-03-30 00:07:25.92498	91043	48	2	9
2014-03-30 00:07:26.157735	91044	20.0	1	9
2014-03-30 00:07:27.011464	91045	45	2	8
2014-03-30 00:07:27.233204	91046	20.8	1	8
2014-03-30 00:07:32.128017	91047	354	3	2
2014-03-30 00:07:32.361438	91048	1124742.9023633453	4	2
2014-03-30 00:07:39.072563	91049	48	2	1
2014-03-30 00:07:39.298528	91050	20.2	1	1
2014-03-30 00:07:44.124484	91051	418	3	2
2014-03-30 00:07:44.363099	91052	1124745.200432788	4	2
2014-03-30 00:08:04.919993	91053	48	2	9
2014-03-30 00:08:05.143936	91054	20.0	1	9
2014-03-30 00:08:06.01014	91055	45	2	8
2014-03-30 00:08:06.241716	91056	20.8	1	8
2014-03-30 00:08:18.072959	91057	48	2	1
2014-03-30 00:08:18.294817	91058	20.2	1	1
2014-03-30 00:08:35.023515	91059	44	2	10
2014-03-30 00:08:35.255183	91060	21.8	1	10
2014-03-30 00:08:43.922591	91061	48	2	9
2014-03-30 00:08:44.144704	91062	20.0	1	9
2014-03-30 00:08:45.011944	91063	45	2	8
2014-03-30 00:08:45.242417	91064	20.8	1	8
2014-03-30 00:08:57.073743	91065	48	2	1
2014-03-30 00:08:57.29715	91066	20.2	1	1
2014-03-30 00:09:14.024093	91067	44	2	10
2014-03-30 00:09:14.255183	91068	21.8	1	10
2014-03-30 00:09:22.926229	91069	48	2	9
2014-03-30 00:09:23.148134	91070	20.0	1	9
2014-03-30 00:09:24.012409	91071	45	2	8
2014-03-30 00:09:24.243593	91072	20.8	1	8
2014-03-30 00:09:36.072526	91073	48	2	1
2014-03-30 00:09:36.294271	91074	20.2	1	1
2014-03-30 00:09:53.022641	91075	44	2	10
2014-03-30 00:09:53.255202	91076	21.8	1	10
2014-03-30 00:10:01.923212	91077	48	2	9
2014-03-30 00:10:02.14611	91078	20.0	1	9
2014-03-30 00:10:03.010554	91079	45	2	8
2014-03-30 00:10:03.241428	91080	20.7	1	8
2014-03-30 00:10:15.119153	91081	48	2	1
2014-03-30 00:10:15.340845	91082	20.2	1	1
2014-03-30 00:10:40.923062	91083	48	2	9
2014-03-30 00:10:41.164813	91084	20.0	1	9
2014-03-30 00:10:42.009636	91085	45	2	8
2014-03-30 00:10:42.230253	91086	20.7	1	8
2014-03-30 00:10:54.072913	91087	48	2	1
2014-03-30 00:10:54.306596	91088	20.2	1	1
2014-03-30 00:11:11.025183	91089	44	2	10
2014-03-30 00:11:11.24713	91090	21.8	1	10
2014-03-30 00:11:19.922777	91091	48	2	9
2014-03-30 00:11:20.163116	91092	20.0	1	9
2014-03-30 00:11:21.01216	91093	45	2	8
2014-03-30 00:11:21.233625	91094	20.7	1	8
2014-03-30 00:11:32.124496	91095	418	3	2
2014-03-30 00:11:32.356448	91096	1124771.6282313808	4	2
2014-03-30 00:11:33.071674	91097	48	2	1
2014-03-30 00:11:33.293895	91098	20.2	1	1
2014-03-30 00:11:50.027415	91099	44	2	10
2014-03-30 00:11:50.258831	91100	21.8	1	10
2014-03-30 00:11:58.923068	91101	48	2	9
2014-03-30 00:11:59.147636	91102	20.0	1	9
2014-03-30 00:12:00.010806	91103	45	2	8
2014-03-30 00:12:00.251587	91104	20.7	1	8
2014-03-30 00:12:12.071625	91105	48	2	1
2014-03-30 00:12:12.293105	91106	20.2	1	1
2014-03-30 00:12:29.026853	91107	44	2	10
2014-03-30 00:12:29.25987	91108	21.8	1	10
2014-03-30 00:12:37.732741	91109	434	3	2
2014-03-30 00:12:37.959697	91110	1124778.5224397092	4	2
2014-03-30 00:12:38.266594	91111	48	2	9
2014-03-30 00:12:38.52233	91112	20.0	1	9
2014-03-30 00:12:39.0093	91113	45	2	8
2014-03-30 00:12:39.232174	91114	20.7	1	8
2014-03-30 00:12:44.127724	91115	370	3	2
2014-03-30 00:12:44.361415	91116	1124780.820509152	4	2
2014-03-30 00:12:51.069932	91117	48	2	1
2014-03-30 00:12:51.293978	91118	20.2	1	1
2014-03-30 00:12:56.12813	91119	370	3	2
2014-03-30 00:12:56.36772	91120	1124781.9695438736	4	2
2014-03-30 00:13:08.026079	91121	44	2	10
2014-03-30 00:13:08.249821	91122	21.8	1	10
2014-03-30 00:13:16.924112	91123	48	2	9
2014-03-30 00:13:17.156252	91124	20.0	1	9
2014-03-30 00:13:18.010925	91125	45	2	8
2014-03-30 00:13:18.231529	91126	20.7	1	8
2014-03-30 00:13:30.070056	91127	48	2	1
2014-03-30 00:13:30.304673	91128	20.2	1	1
2014-03-30 00:13:32.12636	91129	370	3	2
2014-03-30 00:13:32.349532	91130	1124785.4166480377	4	2
2014-03-30 00:13:47.026343	91131	44	2	10
2014-03-30 00:13:47.269494	91132	21.8	1	10
2014-03-30 00:13:55.922224	91133	48	2	9
2014-03-30 00:13:56.143557	91134	20.0	1	9
2014-03-30 00:13:57.010055	91135	45	2	8
2014-03-30 00:13:57.241822	91136	20.7	1	8
2014-03-30 00:14:08.124703	91137	370	3	2
2014-03-30 00:14:08.346722	91138	1124788.863752202	4	2
2014-03-30 00:14:09.072182	91139	48	2	1
2014-03-30 00:14:09.304068	91140	20.2	1	1
2014-03-30 00:14:20.126028	91141	370	3	2
2014-03-30 00:14:20.346982	91142	1124790.0127869234	4	2
2014-03-30 00:14:26.025991	91143	44	2	10
2014-03-30 00:14:26.258005	91144	21.8	1	10
2014-03-30 00:14:32.126264	91145	370	3	2
2014-03-30 00:14:32.348229	91146	1124791.1618216448	4	2
2014-03-30 00:14:34.920979	91147	48	2	9
2014-03-30 00:14:35.152938	91148	20.0	1	9
2014-03-30 00:14:36.010839	91149	45	2	8
2014-03-30 00:14:36.231893	91150	20.7	1	8
2014-03-30 00:14:48.069612	91151	48	2	1
2014-03-30 00:14:48.301264	91152	20.2	1	1
2014-03-30 00:15:05.028577	91153	44	2	10
2014-03-30 00:15:05.251881	91154	21.8	1	10
2014-03-30 00:15:08.126372	91155	402	3	2
2014-03-30 00:15:08.358274	91156	1124795.7579605305	4	2
2014-03-30 00:15:13.922824	91157	48	2	9
2014-03-30 00:15:14.147677	91158	20.0	1	9
2014-03-30 00:15:15.010608	91159	45	2	8
2014-03-30 00:15:15.240129	91160	20.7	1	8
2014-03-30 00:15:20.125324	91161	370	3	2
2014-03-30 00:15:20.346255	91162	1124796.9069952518	4	2
2014-03-30 00:15:27.071457	91163	48	2	1
2014-03-30 00:15:27.304051	91164	20.2	1	1
2014-03-30 00:15:52.924167	91165	48	2	9
2014-03-30 00:15:53.147137	91166	20.0	1	9
2014-03-30 00:15:54.010168	91167	45	2	8
2014-03-30 00:15:54.239553	91168	20.7	1	8
2014-03-30 00:15:56.12513	91169	370	3	2
2014-03-30 00:15:56.345796	91170	1124800.3540994162	4	2
2014-03-30 00:16:06.072016	91171	48	2	1
2014-03-30 00:16:06.303429	91172	20.2	1	1
2014-03-30 00:16:08.126568	91173	370	3	2
2014-03-30 00:16:08.348733	91174	1124801.5031341375	4	2
2014-03-30 00:16:23.027765	91175	44	2	10
2014-03-30 00:16:23.262911	91176	21.8	1	10
2014-03-30 00:16:31.924644	91177	48	2	9
2014-03-30 00:16:32.147061	91178	20.0	1	9
2014-03-30 00:16:33.012017	91179	45	2	8
2014-03-30 00:16:33.25478	91180	20.7	1	8
2014-03-30 00:16:45.070431	91181	48	2	1
2014-03-30 00:16:45.29239	91182	20.2	1	1
2014-03-30 00:17:02.028093	91183	44	2	10
2014-03-30 00:17:02.26285	91184	21.8	1	10
2014-03-30 00:17:10.925597	91185	48	2	9
2014-03-30 00:17:11.149619	91186	20.0	1	9
2014-03-30 00:17:12.014742	91187	45	2	8
2014-03-30 00:17:12.247605	91188	20.7	1	8
2014-03-30 00:17:24.072414	91189	48	2	1
2014-03-30 00:17:24.294711	91190	20.2	1	1
2014-03-30 00:17:32.129857	91191	370	3	2
2014-03-30 00:17:32.362524	91192	1124810.695411909	4	2
2014-03-30 00:17:41.027447	91193	44	2	10
2014-03-30 00:17:41.25281	91194	21.7	1	10
2014-03-30 00:17:49.920256	91195	48	2	9
2014-03-30 00:17:50.153924	91196	20.0	1	9
2014-03-30 00:17:51.010154	91197	45	2	8
2014-03-30 00:17:51.233703	91198	20.7	1	8
2014-03-30 00:18:03.0716	91199	48	2	1
2014-03-30 00:18:03.304433	91200	20.2	1	1
2014-03-30 00:18:20.027877	91201	44	2	10
2014-03-30 00:18:20.25353	91202	21.7	1	10
2014-03-30 00:18:28.925996	91203	48	2	9
2014-03-30 00:18:29.158107	91204	20.0	1	9
2014-03-30 00:18:30.010664	91205	45	2	8
2014-03-30 00:18:30.23513	91206	20.7	1	8
2014-03-30 00:18:32.123969	91207	354	3	2
2014-03-30 00:18:32.359084	91208	1124816.440585516	4	2
2014-03-30 00:18:42.067564	91209	48	2	1
2014-03-30 00:18:42.291398	91210	20.2	1	1
2014-03-30 00:18:59.030282	91211	44	2	10
2014-03-30 00:18:59.261372	91212	21.7	1	10
2014-03-30 00:19:07.925554	91213	48	2	9
2014-03-30 00:19:08.149048	91214	20.0	1	9
2014-03-30 00:19:09.011462	91215	45	2	8
2014-03-30 00:19:09.244363	91216	20.7	1	8
2014-03-30 00:19:21.067581	91217	48	2	1
2014-03-30 00:19:21.289826	91218	20.2	1	1
2014-03-30 00:19:32.123183	91219	354	3	2
2014-03-30 00:19:32.356516	91220	1124823.3347938445	4	2
2014-03-30 00:19:38.031046	91221	44	2	10
2014-03-30 00:19:38.25561	91222	21.7	1	10
2014-03-30 00:19:46.927934	91223	48	2	9
2014-03-30 00:19:47.161245	91224	20.0	1	9
2014-03-30 00:19:48.00956	91225	45	2	8
2014-03-30 00:19:48.231148	91226	20.7	1	8
2014-03-30 00:19:56.124672	91227	418	3	2
2014-03-30 00:19:56.3682	91228	1124825.6328632873	4	2
2014-03-30 00:20:00.06458	91229	48	2	1
2014-03-30 00:20:00.286507	91230	20.2	1	1
2014-03-30 00:20:08.123717	91231	418	3	2
2014-03-30 00:20:08.356445	91232	1124826.7818980087	4	2
2014-03-30 00:20:17.027786	91233	44	2	10
2014-03-30 00:20:17.249935	91234	21.7	1	10
2014-03-30 00:20:25.924395	91235	48	2	9
2014-03-30 00:20:26.165097	91236	20.0	1	9
2014-03-30 00:20:27.009994	91237	45	2	8
2014-03-30 00:20:27.250018	91238	20.7	1	8
2014-03-30 00:20:39.06695	91239	48	2	1
2014-03-30 00:20:39.299894	91240	20.2	1	1
2014-03-30 00:20:56.029025	91241	44	2	10
2014-03-30 00:20:56.250965	91242	21.7	1	10
2014-03-30 00:21:04.925277	91243	48	2	9
2014-03-30 00:21:05.155864	91244	20.0	1	9
2014-03-30 00:21:06.009621	91245	45	2	8
2014-03-30 00:21:06.231491	91246	20.7	1	8
2014-03-30 00:21:18.113678	91247	48	2	1
2014-03-30 00:21:18.346781	91248	20.1	1	1
2014-03-30 00:21:32.125433	91249	418	3	2
2014-03-30 00:21:32.348629	91250	1124835.97417578	4	2
2014-03-30 00:21:35.233474	91251	44	2	10
2014-03-30 00:21:35.46466	91252	21.7	1	10
2014-03-30 00:21:43.923488	91253	48	2	9
2014-03-30 00:21:44.146732	91254	20.0	1	9
2014-03-30 00:21:45.010842	91255	45	2	8
2014-03-30 00:21:45.247008	91256	20.7	1	8
2014-03-30 00:21:57.068209	91257	48	2	1
2014-03-30 00:21:57.291158	91258	20.1	1	1
2014-03-30 00:22:14.03041	91259	44	2	10
2014-03-30 00:22:14.263565	91260	21.7	1	10
2014-03-30 00:22:22.926452	91261	48	2	9
2014-03-30 00:22:23.15444	91262	20.0	1	9
2014-03-30 00:22:24.012457	91263	45	2	8
2014-03-30 00:22:24.243795	91264	20.7	1	8
2014-03-30 00:22:32.123896	91265	418	3	2
2014-03-30 00:22:32.346295	91266	1124844.01741883	4	2
2014-03-30 00:22:36.06755	91267	48	2	1
2014-03-30 00:22:36.299867	91268	20.1	1	1
2014-03-30 00:22:53.032091	91269	44	2	10
2014-03-30 00:22:53.258869	91270	21.7	1	10
2014-03-30 00:22:56.126142	91271	354	3	2
2014-03-30 00:22:56.359575	91272	1124846.3154882728	4	2
2014-03-30 00:23:01.923637	91273	48	2	9
2014-03-30 00:23:02.147813	91274	20.0	1	9
2014-03-30 00:23:03.011619	91275	45	2	8
2014-03-30 00:23:03.257325	91276	20.7	1	8
2014-03-30 00:23:15.067484	91277	48	2	1
2014-03-30 00:23:15.292357	91278	20.1	1	1
2014-03-30 00:23:40.924706	91279	48	2	9
2014-03-30 00:23:41.157289	91280	20.0	1	9
2014-03-30 00:23:42.009627	91281	45	2	8
2014-03-30 00:23:42.234632	91282	20.7	1	8
2014-03-30 00:23:54.06905	91283	48	2	1
2014-03-30 00:23:54.302609	91284	20.1	1	1
2014-03-30 00:24:11.026338	91285	44	2	10
2014-03-30 00:24:11.249425	91286	21.6	1	10
2014-03-30 00:24:19.92168	91287	48	2	9
2014-03-30 00:24:20.15396	91288	20.0	1	9
2014-03-30 00:24:21.010331	91289	45	2	8
2014-03-30 00:24:21.234002	91290	20.7	1	8
2014-03-30 00:24:32.12457	91291	354	3	2
2014-03-30 00:24:32.35925	91292	1124855.507766044	4	2
2014-03-30 00:24:33.063012	91293	48	2	1
2014-03-30 00:24:33.285771	91294	20.1	1	1
2014-03-30 00:24:44.123929	91295	305	3	2
2014-03-30 00:24:44.355181	91296	1124856.6568007655	4	2
2014-03-30 00:24:50.031309	91297	44	2	10
2014-03-30 00:24:50.254454	91298	21.6	1	10
2014-03-30 00:24:56.12342	91299	305	3	2
2014-03-30 00:24:56.355348	91300	1124857.8058354869	4	2
2014-03-30 00:24:58.925718	91301	48	2	9
2014-03-30 00:24:59.1496	91302	20.0	1	9
2014-03-30 00:25:00.01093	91303	45	2	8
2014-03-30 00:25:00.243095	91304	20.7	1	8
2014-03-30 00:25:12.065574	91305	48	2	1
2014-03-30 00:25:12.288315	91306	20.1	1	1
2014-03-30 00:25:29.029655	91307	44	2	10
2014-03-30 00:25:29.262715	91308	21.6	1	10
2014-03-30 00:25:37.732822	91309	305	3	2
2014-03-30 00:25:37.957003	91310	1124860.1083758818	4	2
2014-03-30 00:25:38.261905	91311	48	2	9
2014-03-30 00:25:38.492669	91312	20.0	1	9
2014-03-30 00:25:39.009501	91313	45	2	8
2014-03-30 00:25:39.231165	91314	20.7	1	8
2014-03-30 00:25:51.067436	91315	48	2	1
2014-03-30 00:25:51.301404	91316	20.1	1	1
2014-03-30 00:26:08.028576	91317	44	2	10
2014-03-30 00:26:08.252061	91318	21.6	1	10
2014-03-30 00:26:16.933476	91319	48	2	9
2014-03-30 00:26:17.167248	91320	20.0	1	9
2014-03-30 00:26:18.009448	91321	45	2	8
2014-03-30 00:26:18.233129	91322	20.7	1	8
2014-03-30 00:26:30.066158	91323	48	2	1
2014-03-30 00:26:30.312223	91324	20.1	1	1
2014-03-30 00:26:32.124503	91325	305	3	2
2014-03-30 00:26:32.345681	91326	1124864.7045147675	4	2
2014-03-30 00:26:47.031492	91327	44	2	10
2014-03-30 00:26:47.2649	91328	21.6	1	10
2014-03-30 00:26:55.92591	91329	48	2	9
2014-03-30 00:26:56.148948	91330	20.0	1	9
2014-03-30 00:26:57.01106	91331	45	2	8
2014-03-30 00:26:57.243709	91332	20.7	1	8
2014-03-30 00:27:09.06176	91333	48	2	1
2014-03-30 00:27:09.283744	91334	20.1	1	1
2014-03-30 00:27:26.030134	91335	44	2	10
2014-03-30 00:27:26.262633	91336	21.6	1	10
2014-03-30 00:27:32.125178	91337	305	3	2
2014-03-30 00:27:32.348772	91338	1124870.4496883745	4	2
2014-03-30 00:27:34.924683	91339	48	2	9
2014-03-30 00:27:35.157895	91340	20.0	1	9
2014-03-30 00:27:36.012529	91341	45	2	8
2014-03-30 00:27:36.233553	91342	20.7	1	8
2014-03-30 00:27:48.066036	91343	48	2	1
2014-03-30 00:27:48.299025	91344	20.1	1	1
2014-03-30 00:28:05.033206	91345	44	2	10
2014-03-30 00:28:05.254533	91346	21.6	1	10
2014-03-30 00:28:13.926188	91347	48	2	9
2014-03-30 00:28:14.159726	91348	20.0	1	9
2014-03-30 00:28:15.010489	91349	45	2	8
2014-03-30 00:28:15.233505	91350	20.7	1	8
2014-03-30 00:28:27.064088	91351	48	2	1
2014-03-30 00:28:27.296855	91352	20.1	1	1
2014-03-30 00:28:32.125162	91353	305	3	2
2014-03-30 00:28:32.351124	91354	1124875.0458272602	4	2
2014-03-30 00:28:44.030689	91355	44	2	10
2014-03-30 00:28:44.265413	91356	21.6	1	10
2014-03-30 00:28:52.926469	91357	48	2	9
2014-03-30 00:28:53.149132	91358	20.0	1	9
2014-03-30 00:28:54.012067	91359	45	2	8
2014-03-30 00:28:54.245825	91360	20.7	1	8
2014-03-30 00:29:06.064624	91361	48	2	1
2014-03-30 00:29:06.288856	91362	20.1	1	1
2014-03-30 00:29:23.030611	91363	44	2	10
2014-03-30 00:29:23.265543	91364	21.6	1	10
2014-03-30 00:29:31.92356	91365	48	2	9
2014-03-30 00:29:32.145608	91366	20.0	1	9
2014-03-30 00:29:33.010484	91367	45	2	8
2014-03-30 00:29:33.243038	91368	20.7	1	8
2014-03-30 00:29:45.062466	91369	48	2	1
2014-03-30 00:29:45.284294	91370	20.1	1	1
2014-03-30 00:30:02.028563	91371	44	2	10
2014-03-30 00:30:02.27442	91372	21.6	1	10
2014-03-30 00:30:11.125957	91373	48	2	9
2014-03-30 00:30:11.347449	91374	20.0	1	9
2014-03-30 00:30:12.010353	91375	45	2	8
2014-03-30 00:30:12.250526	91376	20.7	1	8
2014-03-30 00:30:24.060725	91377	48	2	1
2014-03-30 00:30:24.282238	91378	20.1	1	1
2014-03-30 00:30:32.123064	91379	305	3	2
2014-03-30 00:30:32.355305	91380	1124885.387139753	4	2
2014-03-30 00:30:41.029373	91381	44	2	10
2014-03-30 00:30:41.250902	91382	21.6	1	10
2014-03-30 00:30:49.922313	91383	48	2	9
2014-03-30 00:30:50.156104	91384	20.0	1	9
2014-03-30 00:30:51.011333	91385	45	2	8
2014-03-30 00:30:51.232675	91386	20.7	1	8
2014-03-30 00:31:03.060727	91387	48	2	1
2014-03-30 00:31:03.292612	91388	20.1	1	1
2014-03-30 00:31:20.030348	91389	44	2	10
2014-03-30 00:31:20.251326	91390	21.6	1	10
2014-03-30 00:31:28.925663	91391	48	2	9
2014-03-30 00:31:29.158746	91392	19.9	1	9
2014-03-30 00:31:30.012686	91393	45	2	8
2014-03-30 00:31:30.233715	91394	20.7	1	8
2014-03-30 00:31:32.122924	91395	305	3	2
2014-03-30 00:31:32.354905	91396	1124889.9832786387	4	2
2014-03-30 00:31:42.062915	91397	48	2	1
2014-03-30 00:31:42.284949	91398	20.1	1	1
2014-03-30 00:31:56.12329	91399	354	3	2
2014-03-30 00:31:56.357136	91400	1124892.2813480815	4	2
2014-03-30 00:31:59.033081	91401	44	2	10
2014-03-30 00:31:59.254583	91402	21.6	1	10
2014-03-30 00:32:07.926513	91403	48	2	9
2014-03-30 00:32:08.160489	91404	19.9	1	9
2014-03-30 00:32:09.010728	91405	45	2	8
2014-03-30 00:32:09.23187	91406	20.7	1	8
2014-03-30 00:32:21.062109	91407	48	2	1
2014-03-30 00:32:21.296648	91408	20.1	1	1
2014-03-30 00:32:32.122236	91409	354	3	2
2014-03-30 00:32:32.344467	91410	1124895.7284522457	4	2
2014-03-30 00:32:38.052817	91411	44	2	10
2014-03-30 00:32:38.288733	91412	21.6	1	10
2014-03-30 00:32:46.92441	91413	48	2	9
2014-03-30 00:32:47.148767	91414	19.9	1	9
2014-03-30 00:32:48.012378	91415	45	2	8
2014-03-30 00:32:48.244983	91416	20.7	1	8
2014-03-30 00:33:00.063216	91417	48	2	1
2014-03-30 00:33:00.285165	91418	20.1	1	1
2014-03-30 00:33:17.034667	91419	44	2	10
2014-03-30 00:33:17.278685	91420	21.6	1	10
2014-03-30 00:33:25.921708	91421	48	2	9
2014-03-30 00:33:26.147155	91422	19.9	1	9
2014-03-30 00:33:27.011216	91423	45	2	8
2014-03-30 00:33:27.241796	91424	20.7	1	8
2014-03-30 00:33:39.061137	91425	48	2	1
2014-03-30 00:33:39.28331	91426	20.1	1	1
2014-03-30 00:33:56.032737	91427	44	2	10
2014-03-30 00:33:56.270509	91428	21.6	1	10
2014-03-30 00:34:04.919854	91429	48	2	9
2014-03-30 00:34:05.14423	91430	19.9	1	9
2014-03-30 00:34:06.011151	91431	45	2	8
2014-03-30 00:34:06.245246	91432	20.7	1	8
2014-03-30 00:34:18.061638	91433	48	2	1
2014-03-30 00:34:18.284749	91434	20.1	1	1
2014-03-30 00:34:32.123633	91435	354	3	2
2014-03-30 00:34:32.356729	91436	1124908.3678341813	4	2
2014-03-30 00:34:35.032842	91437	44	2	10
2014-03-30 00:34:35.257642	91438	21.6	1	10
2014-03-30 00:34:43.924344	91439	48	2	9
2014-03-30 00:34:44.158101	91440	19.9	1	9
2014-03-30 00:34:45.010503	91441	45	2	8
2014-03-30 00:34:45.234789	91442	20.7	1	8
2014-03-30 00:34:57.058814	91443	48	2	1
2014-03-30 00:34:57.292298	91444	20.1	1	1
2014-03-30 00:35:14.032937	91445	44	2	10
2014-03-30 00:35:14.256153	91446	21.6	1	10
2014-03-30 00:35:22.923823	91447	48	2	9
2014-03-30 00:35:23.156122	91448	19.9	1	9
2014-03-30 00:35:24.010697	91449	45	2	8
2014-03-30 00:35:24.234078	91450	20.7	1	8
2014-03-30 00:35:32.122991	91451	354	3	2
2014-03-30 00:35:32.35705	91452	1124914.1130077883	4	2
2014-03-30 00:35:36.057883	91453	48	2	1
2014-03-30 00:35:36.281209	91454	20.1	1	1
2014-03-30 00:35:53.042987	91455	44	2	10
2014-03-30 00:35:53.275926	91456	21.5	1	10
2014-03-30 00:36:01.924048	91457	48	2	9
2014-03-30 00:36:02.148656	91458	19.9	1	9
2014-03-30 00:36:03.009501	91459	45	2	8
2014-03-30 00:36:03.2421	91460	20.7	1	8
2014-03-30 00:36:15.060129	91461	48	2	1
2014-03-30 00:36:15.285102	91462	20.1	1	1
2014-03-30 00:36:40.923948	91463	48	2	9
2014-03-30 00:36:41.158763	91464	19.9	1	9
2014-03-30 00:36:42.011724	91465	45	2	8
2014-03-30 00:36:42.233679	91466	20.7	1	8
2014-03-30 00:36:54.055733	91467	48	2	1
2014-03-30 00:36:54.300818	91468	20.1	1	1
2014-03-30 00:37:11.035084	91469	44	2	10
2014-03-30 00:37:11.25799	91470	21.5	1	10
2014-03-30 00:37:19.921581	91471	48	2	9
2014-03-30 00:37:20.155241	91472	19.9	1	9
2014-03-30 00:37:21.01044	91473	45	2	8
2014-03-30 00:37:21.233321	91474	20.7	1	8
2014-03-30 00:37:32.126036	91475	305	3	2
2014-03-30 00:37:32.36022	91476	1124925.6033550026	4	2
2014-03-30 00:37:33.058894	91477	48	2	1
2014-03-30 00:37:33.282187	91478	20.1	1	1
2014-03-30 00:37:50.03569	91479	44	2	10
2014-03-30 00:37:50.268984	91480	21.5	1	10
2014-03-30 00:37:58.922767	91481	48	2	9
2014-03-30 00:37:59.147412	91482	19.9	1	9
2014-03-30 00:38:00.010893	91483	45	2	8
2014-03-30 00:38:00.242897	91484	20.7	1	8
2014-03-30 00:38:12.060077	91485	48	2	1
2014-03-30 00:38:12.284647	91486	20.1	1	1
2014-03-30 00:38:29.035908	91487	44	2	10
2014-03-30 00:38:29.268233	91488	21.5	1	10
2014-03-30 00:38:32.121521	91489	305	3	2
2014-03-30 00:38:32.344639	91490	1124930.1994938883	4	2
2014-03-30 00:38:37.92409	91491	48	2	9
2014-03-30 00:38:38.163264	91492	19.9	1	9
2014-03-30 00:38:39.012946	91493	45	2	8
2014-03-30 00:38:39.234363	91494	20.7	1	8
2014-03-30 00:38:51.057326	91495	48	2	1
2014-03-30 00:38:51.291355	91496	20.1	1	1
2014-03-30 00:39:08.034482	91497	44	2	10
2014-03-30 00:39:08.257922	91498	21.5	1	10
2014-03-30 00:39:16.925439	91499	48	2	9
2014-03-30 00:39:17.161452	91500	19.9	1	9
2014-03-30 00:39:18.010681	91501	45	2	8
2014-03-30 00:39:18.235648	91502	20.7	1	8
2014-03-30 00:39:30.056839	91503	48	2	1
2014-03-30 00:39:30.290556	91504	20.1	1	1
2014-03-30 00:39:32.123302	91505	305	3	2
2014-03-30 00:39:32.348205	91506	1124935.9446674953	4	2
2014-03-30 00:39:47.034064	91507	44	2	10
2014-03-30 00:39:47.269703	91508	21.5	1	10
2014-03-30 00:39:55.922509	91509	48	2	9
2014-03-30 00:39:56.144731	91510	19.9	1	9
2014-03-30 00:39:57.010332	91511	45	2	8
2014-03-30 00:39:57.243895	91512	20.7	1	8
2014-03-30 00:40:09.058569	91513	48	2	1
2014-03-30 00:40:09.282743	91514	20.1	1	1
2014-03-30 00:40:26.034518	91515	44	2	10
2014-03-30 00:40:26.279113	91516	21.5	1	10
2014-03-30 00:40:34.922982	91517	48	2	9
2014-03-30 00:40:35.14639	91518	19.9	1	9
2014-03-30 00:40:36.009964	91519	45	2	8
2014-03-30 00:40:36.241334	91520	20.7	1	8
2014-03-30 00:40:48.055992	91521	48	2	1
2014-03-30 00:40:48.278762	91522	20.1	1	1
2014-03-30 00:41:05.03312	91523	44	2	10
2014-03-30 00:41:05.266151	91524	21.5	1	10
2014-03-30 00:41:13.923676	91525	48	2	9
2014-03-30 00:41:14.147579	91526	19.9	1	9
2014-03-30 00:41:15.009614	91527	45	2	8
2014-03-30 00:41:15.240565	91528	20.7	1	8
2014-03-30 00:41:27.053913	91529	48	2	1
2014-03-30 00:41:27.275991	91530	20.1	1	1
2014-03-30 00:41:32.124104	91531	305	3	2
2014-03-30 00:41:32.361144	91532	1124946.285979988	4	2
2014-03-30 00:41:44.032308	91533	44	2	10
2014-03-30 00:41:44.256257	91534	21.5	1	10
2014-03-30 00:41:52.922749	91535	48	2	9
2014-03-30 00:41:53.154978	91536	19.9	1	9
2014-03-30 00:41:54.010355	91537	45	2	8
2014-03-30 00:41:54.232467	91538	20.7	1	8
2014-03-30 00:42:06.054968	91539	48	2	1
2014-03-30 00:42:06.287453	91540	20.1	1	1
2014-03-30 00:42:23.035624	91541	44	2	10
2014-03-30 00:42:23.257066	91542	21.5	1	10
2014-03-30 00:42:31.922527	91543	48	2	9
2014-03-30 00:42:32.155861	91544	19.9	1	9
2014-03-30 00:42:33.010076	91545	45	2	8
2014-03-30 00:42:33.230731	91546	20.7	1	8
2014-03-30 00:42:45.056395	91547	48	2	1
2014-03-30 00:42:45.291326	91548	20.0	1	1
2014-03-30 00:43:02.033393	91549	44	2	10
2014-03-30 00:43:02.256282	91550	21.5	1	10
2014-03-30 00:43:10.92609	91551	48	2	9
2014-03-30 00:43:11.159113	91552	19.9	1	9
2014-03-30 00:43:12.009507	91553	45	2	8
2014-03-30 00:43:12.231312	91554	20.7	1	8
2014-03-30 00:43:24.054237	91555	48	2	1
2014-03-30 00:43:24.28859	91556	20.0	1	1
2014-03-30 00:43:32.122268	91557	289	3	2
2014-03-30 00:43:32.344593	91558	1124956.6272924808	4	2
2014-03-30 00:43:41.037563	91559	44	2	10
2014-03-30 00:43:41.269225	91560	21.5	1	10
2014-03-30 00:43:49.920718	91561	48	2	9
2014-03-30 00:43:50.1451	91562	19.9	1	9
2014-03-30 00:43:51.012487	91563	45	2	8
2014-03-30 00:43:51.256851	91564	20.7	1	8
2014-03-30 00:44:03.057859	91565	48	2	1
2014-03-30 00:44:03.280542	91566	20.0	1	1
2014-03-30 00:44:20.033763	91567	44	2	10
2014-03-30 00:44:20.4544	91568	21.5	1	10
2014-03-30 00:44:28.923134	91569	48	2	9
2014-03-30 00:44:29.152488	91570	19.9	1	9
2014-03-30 00:44:30.009558	91571	45	2	8
2014-03-30 00:44:30.233313	91572	20.7	1	8
2014-03-30 00:44:32.12391	91573	354	3	2
2014-03-30 00:44:32.355375	91574	1124961.2234313665	4	2
2014-03-30 00:44:42.054061	91575	48	2	1
2014-03-30 00:44:42.276718	91576	20.0	1	1
2014-03-30 00:44:44.12338	91577	354	3	2
2014-03-30 00:44:44.35474	91578	1124962.3724660878	4	2
2014-03-30 00:44:59.044076	91579	44	2	10
2014-03-30 00:44:59.267735	91580	21.5	1	10
2014-03-30 00:45:07.924931	91581	48	2	9
2014-03-30 00:45:08.157755	91582	19.9	1	9
2014-03-30 00:45:09.009695	91583	45	2	8
2014-03-30 00:45:09.233795	91584	20.7	1	8
2014-03-30 00:45:21.098688	91585	48	2	1
2014-03-30 00:45:21.331046	91586	20.0	1	1
2014-03-30 00:45:32.122574	91587	354	3	2
2014-03-30 00:45:32.3459	91588	1124966.9686049735	4	2
2014-03-30 00:45:38.040971	91589	44	2	10
2014-03-30 00:45:38.274056	91590	21.5	1	10
2014-03-30 00:45:46.932508	91591	48	2	9
2014-03-30 00:45:47.153859	91592	19.9	1	9
2014-03-30 00:45:48.010051	91593	45	2	8
2014-03-30 00:45:48.239343	91594	20.7	1	8
2014-03-30 00:46:00.052111	91595	48	2	1
2014-03-30 00:46:00.274476	91596	20.0	1	1
2014-03-30 00:46:17.033304	91597	44	2	10
2014-03-30 00:46:17.265238	91598	21.5	1	10
2014-03-30 00:46:25.923005	91599	48	2	9
2014-03-30 00:46:26.144759	91600	19.9	1	9
2014-03-30 00:46:27.009538	91601	45	2	8
2014-03-30 00:46:27.240336	91602	20.7	1	8
2014-03-30 00:46:32.121864	91603	354	3	2
2014-03-30 00:46:32.344299	91604	1124973.862813302	4	2
2014-03-30 00:46:39.05178	91605	48	2	1
2014-03-30 00:46:39.283696	91606	20.0	1	1
2014-03-30 00:46:56.036192	91607	44	2	10
2014-03-30 00:46:56.258999	91608	21.5	1	10
2014-03-30 00:47:04.924632	91609	48	2	9
2014-03-30 00:47:05.212738	91610	19.9	1	9
2014-03-30 00:47:06.010967	91611	45	2	8
2014-03-30 00:47:06.233223	91612	20.7	1	8
2014-03-30 00:47:18.054547	91613	48	2	1
2014-03-30 00:47:18.296309	91614	20.0	1	1
2014-03-30 00:47:32.121255	91615	354	3	2
2014-03-30 00:47:32.341047	91616	1124979.607986909	4	2
2014-03-30 00:47:35.036003	91617	44	2	10
2014-03-30 00:47:35.267848	91618	21.4	1	10
2014-03-30 00:47:43.922448	91619	48	2	9
2014-03-30 00:47:44.145456	91620	19.9	1	9
2014-03-30 00:47:45.009177	91621	45	2	8
2014-03-30 00:47:45.23917	91622	20.7	1	8
2014-03-30 00:47:57.050477	91623	48	2	1
2014-03-30 00:47:57.271417	91624	20.0	1	1
2014-03-30 00:48:14.034766	91625	44	2	10
2014-03-30 00:48:14.269416	91626	21.4	1	10
2014-03-30 00:48:22.923864	91627	48	2	9
2014-03-30 00:48:23.145405	91628	19.9	1	9
2014-03-30 00:48:24.01164	91629	45	2	8
2014-03-30 00:48:24.24278	91630	20.7	1	8
2014-03-30 00:48:32.122675	91631	354	3	2
2014-03-30 00:48:32.345407	91632	1124985.3531605161	4	2
2014-03-30 00:48:36.049102	91633	48	2	1
2014-03-30 00:48:36.282126	91634	20.0	1	1
2014-03-30 00:48:53.037453	91635	44	2	10
2014-03-30 00:48:53.259684	91636	21.4	1	10
2014-03-30 00:49:01.926646	91637	48	2	9
2014-03-30 00:49:02.158138	91638	19.9	1	9
2014-03-30 00:49:03.01222	91639	45	2	8
2014-03-30 00:49:03.235091	91640	20.7	1	8
2014-03-30 00:49:15.052164	91641	48	2	1
2014-03-30 00:49:15.283201	91642	20.0	1	1
2014-03-30 00:49:40.922086	91643	48	2	9
2014-03-30 00:49:41.146333	91644	19.8	1	9
2014-03-30 00:49:42.009346	91645	45	2	8
2014-03-30 00:49:42.243453	91646	20.7	1	8
2014-03-30 00:49:54.097987	91647	48	2	1
2014-03-30 00:49:54.318861	91648	20.0	1	1
2014-03-30 00:50:11.041299	91649	44	2	10
2014-03-30 00:50:11.275184	91650	21.4	1	10
2014-03-30 00:50:19.923101	91651	48	2	9
2014-03-30 00:50:20.14661	91652	19.8	1	9
2014-03-30 00:50:21.010597	91653	45	2	8
2014-03-30 00:50:21.244402	91654	20.7	1	8
2014-03-30 00:50:32.122305	91655	354	3	2
2014-03-30 00:50:32.347807	91656	1124996.8435077304	4	2
2014-03-30 00:50:33.048207	91657	48	2	1
2014-03-30 00:50:33.280642	91658	20.0	1	1
2014-03-30 00:50:50.03756	91659	44	2	10
2014-03-30 00:50:50.264089	91660	21.4	1	10
2014-03-30 00:50:56.123463	91661	305	3	2
2014-03-30 00:50:56.367216	91662	1124999.141577173	4	2
2014-03-30 00:50:58.924146	91663	48	2	9
2014-03-30 00:50:59.144755	91664	19.8	1	9
2014-03-30 00:51:00.009323	91665	45	2	8
2014-03-30 00:51:00.239947	91666	20.7	1	8
2014-03-30 00:51:08.119521	91667	338	3	2
2014-03-30 00:51:08.344275	91668	1125000.2906118946	4	2
2014-03-30 00:51:12.046918	91669	48	2	1
2014-03-30 00:51:12.278108	91670	20.0	1	1
2014-03-30 00:51:20.120738	91671	305	3	2
2014-03-30 00:51:20.343773	91672	1125001.4396466159	4	2
2014-03-30 00:51:29.036539	91673	44	2	10
2014-03-30 00:51:29.26806	91674	21.4	1	10
2014-03-30 00:51:32.119699	91675	305	3	2
2014-03-30 00:51:32.342117	91676	1125002.5886813374	4	2
2014-03-30 00:51:37.922221	91677	48	2	9
2014-03-30 00:51:38.153457	91678	19.8	1	9
2014-03-30 00:51:39.00796	91679	45	2	8
2014-03-30 00:51:39.228671	91680	20.7	1	8
2014-03-30 00:51:51.051112	91681	48	2	1
2014-03-30 00:51:51.284818	91682	20.0	1	1
2014-03-30 00:52:08.037246	91683	44	2	10
2014-03-30 00:52:08.258254	91684	21.4	1	10
2014-03-30 00:52:16.92228	91685	48	2	9
2014-03-30 00:52:17.153664	91686	19.8	1	9
2014-03-30 00:52:18.009445	91687	45	2	8
2014-03-30 00:52:18.231191	91688	20.7	1	8
2014-03-30 00:52:30.052709	91689	48	2	1
2014-03-30 00:52:30.287066	91690	20.0	1	1
2014-03-30 00:52:32.118752	91691	305	3	2
2014-03-30 00:52:32.338436	91692	1125007.1848202231	4	2
2014-03-30 00:52:47.038508	91693	44	2	10
2014-03-30 00:52:47.274485	91694	21.4	1	10
2014-03-30 00:52:55.92333	91695	48	2	9
2014-03-30 00:52:56.145453	91696	19.8	1	9
2014-03-30 00:52:57.008229	91697	45	2	8
2014-03-30 00:52:57.238557	91698	20.7	1	8
2014-03-30 00:53:08.122004	91699	305	3	2
2014-03-30 00:53:08.343611	91700	1125010.6319243873	4	2
2014-03-30 00:53:09.047661	91701	48	2	1
2014-03-30 00:53:09.281668	91702	20.0	1	1
2014-03-30 00:53:20.120661	91703	305	3	2
2014-03-30 00:53:20.342919	91704	1125011.7809591086	4	2
2014-03-30 00:53:26.040237	91705	44	2	10
2014-03-30 00:53:26.272196	91706	21.4	1	10
2014-03-30 00:53:32.122554	91707	305	3	2
2014-03-30 00:53:32.343187	91708	1125012.9299938302	4	2
2014-03-30 00:53:34.961928	91709	48	2	9
2014-03-30 00:53:35.22283	91710	19.8	1	9
2014-03-30 00:53:36.010604	91711	45	2	8
2014-03-30 00:53:36.231705	91712	20.7	1	8
2014-03-30 00:53:48.048509	91713	48	2	1
2014-03-30 00:53:48.280102	91714	20.0	1	1
2014-03-30 00:54:05.039244	91715	44	2	10
2014-03-30 00:54:05.315629	91716	21.4	1	10
2014-03-30 00:54:13.923622	91717	48	2	9
2014-03-30 00:54:14.15448	91718	19.8	1	9
2014-03-30 00:54:15.010874	91719	45	2	8
2014-03-30 00:54:15.233536	91720	20.7	1	8
2014-03-30 00:54:20.120355	91721	338	3	2
2014-03-30 00:54:20.354353	91722	1125016.3770979943	4	2
2014-03-30 00:54:27.052452	91723	48	2	1
2014-03-30 00:54:27.275844	91724	20.0	1	1
2014-03-30 00:54:32.121783	91725	305	3	2
2014-03-30 00:54:32.357956	91726	1125017.5261327159	4	2
2014-03-30 00:54:52.926395	91727	48	2	9
2014-03-30 00:54:53.151572	91728	19.8	1	9
2014-03-30 00:54:54.011293	91729	45	2	8
2014-03-30 00:54:54.243115	91730	20.7	1	8
2014-03-30 00:55:06.049441	91731	48	2	1
2014-03-30 00:55:06.271343	91732	20.0	1	1
2014-03-30 00:55:23.036711	91733	44	2	10
2014-03-30 00:55:23.270058	91734	21.4	1	10
2014-03-30 00:55:31.920686	91735	48	2	9
2014-03-30 00:55:32.146148	91736	19.8	1	9
2014-03-30 00:55:33.009629	91737	45	2	8
2014-03-30 00:55:33.244161	91738	20.7	1	8
2014-03-30 00:55:45.094237	91739	48	2	1
2014-03-30 00:55:45.319227	91740	20.0	1	1
2014-03-30 00:56:02.039736	91741	44	2	10
2014-03-30 00:56:02.273587	91742	21.4	1	10
2014-03-30 00:56:10.931602	91743	48	2	9
2014-03-30 00:56:11.156634	91744	19.8	1	9
2014-03-30 00:56:12.010445	91745	45	2	8
2014-03-30 00:56:12.242271	91746	20.7	1	8
2014-03-30 00:56:24.048717	91747	48	2	1
2014-03-30 00:56:24.270598	91748	20.0	1	1
2014-03-30 00:56:32.119388	91749	305	3	2
2014-03-30 00:56:32.353565	91750	1125027.8674452086	4	2
2014-03-30 00:56:41.039416	91751	44	2	10
2014-03-30 00:56:41.261303	91752	21.4	1	10
2014-03-30 00:56:49.924565	91753	48	2	9
2014-03-30 00:56:50.15755	91754	19.8	1	9
2014-03-30 00:56:51.011253	91755	45	2	8
2014-03-30 00:56:51.233677	91756	20.7	1	8
2014-03-30 00:57:03.045265	91757	48	2	1
2014-03-30 00:57:03.288699	91758	20.0	1	1
2014-03-30 00:57:20.037911	91759	44	2	10
2014-03-30 00:57:20.258259	91760	21.4	1	10
2014-03-30 00:57:28.922051	91761	48	2	9
2014-03-30 00:57:29.152252	91762	19.8	1	9
2014-03-30 00:57:30.008515	91763	45	2	8
2014-03-30 00:57:30.229583	91764	20.7	1	8
2014-03-30 00:57:32.119324	91765	305	3	2
2014-03-30 00:57:32.350002	91766	1125033.6126188156	4	2
2014-03-30 00:57:42.044759	91767	48	2	1
2014-03-30 00:57:42.267077	91768	20.0	1	1
2014-03-30 00:57:59.039177	91769	44	2	10
2014-03-30 00:57:59.270037	91770	21.4	1	10
2014-03-30 00:58:07.925242	91771	48	2	9
2014-03-30 00:58:08.146758	91772	19.8	1	9
2014-03-30 00:58:09.009399	91773	45	2	8
2014-03-30 00:58:09.238997	91774	20.7	1	8
2014-03-30 00:58:20.854399	91775	354	3	2
2014-03-30 00:58:21.075065	91776	1125037.0597229798	4	2
2014-03-30 00:58:21.376848	91777	48	2	1
2014-03-30 00:58:21.608427	91778	20.0	1	1
2014-03-30 00:58:32.119706	91779	354	3	2
2014-03-30 00:58:32.340957	91780	1125038.2087577013	4	2
2014-03-30 00:58:38.042913	91781	44	2	10
2014-03-30 00:58:38.274266	91782	21.3	1	10
2014-03-30 00:58:46.920819	91783	48	2	9
2014-03-30 00:58:47.142177	91784	19.8	1	9
2014-03-30 00:58:48.00894	91785	45	2	8
2014-03-30 00:58:48.239289	91786	20.7	1	8
2014-03-30 00:59:00.047495	91787	48	2	1
2014-03-30 00:59:00.270788	91788	20.0	1	1
2014-03-30 00:59:17.038781	91789	44	2	10
2014-03-30 00:59:17.270743	91790	21.3	1	10
2014-03-30 00:59:25.932144	91791	48	2	9
2014-03-30 00:59:26.153615	91792	19.8	1	9
2014-03-30 00:59:27.009666	91793	45	2	8
2014-03-30 00:59:27.241472	91794	20.7	1	8
2014-03-30 00:59:32.120793	91795	354	3	2
2014-03-30 00:59:32.342894	91796	1125043.9539313084	4	2
2014-03-30 00:59:39.04509	91797	48	2	1
2014-03-30 00:59:39.276652	91798	20.0	1	1
2014-03-30 00:59:56.041707	91799	44	2	10
2014-03-30 00:59:56.262944	91800	21.3	1	10
2014-03-30 01:00:04.920744	91801	48	2	9
2014-03-30 01:00:05.154129	91802	19.8	1	9
2014-03-30 01:00:06.011157	91803	45	2	8
2014-03-30 01:00:06.233317	91804	20.7	1	8
2014-03-30 01:00:18.050252	91805	48	2	1
2014-03-30 01:00:18.293683	91806	20.0	1	1
2014-03-30 01:00:32.121601	91807	354	3	2
2014-03-30 01:00:32.343351	91808	1125050.8481396367	4	2
2014-03-30 01:00:35.040293	91809	44	2	10
2014-03-30 01:00:35.329584	91810	21.3	1	10
2014-03-30 01:00:43.923035	91811	48	2	9
2014-03-30 01:00:44.147563	91812	19.8	1	9
2014-03-30 01:00:45.009723	91813	45	2	8
2014-03-30 01:00:45.243874	91814	20.7	1	8
2014-03-30 01:00:57.045981	91815	48	2	1
2014-03-30 01:00:57.268689	91816	20.0	1	1
2014-03-30 01:01:14.040296	91817	44	2	10
2014-03-30 01:01:14.273823	91818	21.3	1	10
2014-03-30 01:01:22.923017	91819	48	2	9
2014-03-30 01:01:23.147708	91820	19.8	1	9
2014-03-30 01:01:24.009013	91821	45	2	8
2014-03-30 01:01:24.242323	91822	20.7	1	8
2014-03-30 01:01:32.120274	91823	354	3	2
2014-03-30 01:01:32.343607	91824	1125056.593313244	4	2
2014-03-30 01:01:36.044939	91825	48	2	1
2014-03-30 01:01:36.278545	91826	20.0	1	1
2014-03-30 01:01:53.039342	91827	44	2	10
2014-03-30 01:01:53.265077	91828	21.3	1	10
2014-03-30 01:02:01.920412	91829	48	2	9
2014-03-30 01:02:02.153453	91830	19.8	1	9
2014-03-30 01:02:03.00949	91831	45	2	8
2014-03-30 01:02:03.229809	91832	20.7	1	8
2014-03-30 01:02:15.047211	91833	48	2	1
2014-03-30 01:02:15.279087	91834	20.0	1	1
2014-03-30 01:02:40.924509	91835	48	2	9
2014-03-30 01:02:41.149165	91836	19.8	1	9
2014-03-30 01:02:42.011143	91837	45	2	8
2014-03-30 01:02:42.243454	91838	20.7	1	8
2014-03-30 01:02:54.091228	91839	48	2	1
2014-03-30 01:02:54.314403	91840	20.0	1	1
2014-03-30 01:03:08.120542	91841	305	3	2
2014-03-30 01:03:08.353682	91842	1125065.7855910151	4	2
2014-03-30 01:03:11.045695	91843	44	2	10
2014-03-30 01:03:11.269854	91844	21.3	1	10
2014-03-30 01:03:19.919736	91845	48	2	9
2014-03-30 01:03:20.15174	91846	19.8	1	9
2014-03-30 01:03:21.01139	91847	45	2	8
2014-03-30 01:03:21.234944	91848	20.7	1	8
2014-03-30 01:03:32.121364	91849	305	3	2
2014-03-30 01:03:32.352599	91850	1125068.083660458	4	2
2014-03-30 01:03:33.042074	91851	48	2	1
2014-03-30 01:03:33.263821	91852	20.0	1	1
2014-03-30 01:03:50.041021	91853	44	2	10
2014-03-30 01:03:50.283453	91854	21.3	1	10
2014-03-30 01:03:58.922352	91855	48	2	9
2014-03-30 01:03:59.142937	91856	19.8	1	9
2014-03-30 01:04:00.007348	91857	45	2	8
2014-03-30 01:04:00.23823	91858	20.7	1	8
2014-03-30 01:04:12.04302	91859	48	2	1
2014-03-30 01:04:12.264395	91860	20.0	1	1
2014-03-30 01:04:29.040392	91861	44	2	10
2014-03-30 01:04:29.275081	91862	21.3	1	10
2014-03-30 01:04:32.118148	91863	305	3	2
2014-03-30 01:04:32.338887	91864	1125072.6797993437	4	2
2014-03-30 01:04:37.926035	91865	48	2	9
2014-03-30 01:04:38.158988	91866	19.8	1	9
2014-03-30 01:04:39.008949	91867	45	2	8
2014-03-30 01:04:39.228514	91868	20.7	1	8
2014-03-30 01:04:51.040622	91869	48	2	1
2014-03-30 01:04:51.27278	91870	20.0	1	1
2014-03-30 01:05:08.042077	91871	44	2	10
2014-03-30 01:05:08.263107	91872	21.3	1	10
2014-03-30 01:05:16.918674	91873	48	2	9
2014-03-30 01:05:17.15503	91874	19.8	1	9
2014-03-30 01:05:18.010239	91875	45	2	8
2014-03-30 01:05:18.231394	91876	20.7	1	8
2014-03-30 01:05:30.041258	91877	48	2	1
2014-03-30 01:05:30.273304	91878	20.0	1	1
2014-03-30 01:05:32.120722	91879	305	3	2
2014-03-30 01:05:32.342619	91880	1125078.4249729507	4	2
2014-03-30 01:05:47.243556	91881	44	2	10
2014-03-30 01:05:47.475416	91882	21.3	1	10
2014-03-30 01:05:55.922122	91883	48	2	9
2014-03-30 01:05:56.146728	91884	19.8	1	9
2014-03-30 01:05:57.008639	91885	45	2	8
2014-03-30 01:05:57.240969	91886	20.7	1	8
2014-03-30 01:06:08.12219	91887	370	3	2
2014-03-30 01:06:08.345212	91888	1125080.7230423936	4	2
2014-03-30 01:06:09.040455	91889	48	2	1
2014-03-30 01:06:09.275553	91890	19.9	1	1
2014-03-30 01:06:20.122208	91891	354	3	2
2014-03-30 01:06:20.346647	91892	1125081.872077115	4	2
2014-03-30 01:06:26.043929	91893	44	2	10
2014-03-30 01:06:26.278185	91894	21.3	1	10
2014-03-30 01:06:32.120189	91895	354	3	2
2014-03-30 01:06:32.347349	91896	1125083.0211118364	4	2
2014-03-30 01:06:34.922473	91897	48	2	9
2014-03-30 01:06:35.15516	91898	19.8	1	9
2014-03-30 01:06:36.008625	91899	45	2	8
2014-03-30 01:06:36.232731	91900	20.7	1	8
2014-03-30 01:06:48.040582	91901	48	2	1
2014-03-30 01:06:48.288285	91902	19.9	1	1
2014-03-30 01:07:05.042216	91903	44	2	10
2014-03-30 01:07:05.263714	91904	21.3	1	10
2014-03-30 01:07:13.931967	91905	48	2	9
2014-03-30 01:07:14.16444	91906	19.8	1	9
2014-03-30 01:07:15.009299	91907	45	2	8
2014-03-30 01:07:15.232493	91908	20.7	1	8
2014-03-30 01:07:27.042354	91909	48	2	1
2014-03-30 01:07:27.274528	91910	19.9	1	1
2014-03-30 01:07:32.122259	91911	370	3	2
2014-03-30 01:07:32.349521	91912	1125089.915320165	4	2
2014-03-30 01:07:44.042913	91913	44	2	10
2014-03-30 01:07:44.27355	91914	21.3	1	10
2014-03-30 01:07:52.923145	91915	48	2	9
2014-03-30 01:07:53.148464	91916	19.8	1	9
2014-03-30 01:07:54.009683	91917	45	2	8
2014-03-30 01:07:54.240937	91918	20.7	1	8
2014-03-30 01:08:06.039372	91919	48	2	1
2014-03-30 01:08:06.262297	91920	19.9	1	1
2014-03-30 01:08:23.040468	91921	44	2	10
2014-03-30 01:08:23.272368	91922	21.3	1	10
2014-03-30 01:08:31.920002	91923	48	2	9
2014-03-30 01:08:32.150912	91924	19.8	1	9
2014-03-30 01:08:33.009485	91925	45	2	8
2014-03-30 01:08:33.242389	91926	20.6	1	8
2014-03-30 01:08:45.039808	91927	48	2	1
2014-03-30 01:08:45.260956	91928	19.9	1	1
2014-03-30 01:09:02.043488	91929	44	2	10
2014-03-30 01:09:02.274081	91930	21.3	1	10
2014-03-30 01:09:10.920355	91931	48	2	9
2014-03-30 01:09:11.142981	91932	19.8	1	9
2014-03-30 01:09:12.01706	91933	45	2	8
2014-03-30 01:09:12.250516	91934	20.6	1	8
2014-03-30 01:09:24.039379	91935	48	2	1
2014-03-30 01:09:24.262191	91936	19.9	1	1
2014-03-30 01:09:32.119221	91937	354	3	2
2014-03-30 01:09:32.350506	91938	1125101.405667379	4	2
2014-03-30 01:09:41.042377	91939	44	2	10
2014-03-30 01:09:41.264287	91940	21.2	1	10
2014-03-30 01:09:49.925349	91941	48	2	9
2014-03-30 01:09:50.157371	91942	19.8	1	9
2014-03-30 01:09:51.008277	91943	45	2	8
2014-03-30 01:09:51.230013	91944	20.6	1	8
2014-03-30 01:10:03.037547	91945	48	2	1
2014-03-30 01:10:03.268778	91946	19.9	1	1
2014-03-30 01:10:28.924239	91947	48	2	9
2014-03-30 01:10:29.146642	91948	19.8	1	9
2014-03-30 01:10:30.010325	91949	45	2	8
2014-03-30 01:10:30.252635	91950	20.6	1	8
2014-03-30 01:10:32.117814	91951	418	3	2
2014-03-30 01:10:32.337852	91952	1125108.2998757076	4	2
2014-03-30 01:10:42.037961	91953	48	2	1
2014-03-30 01:10:42.269344	91954	19.9	1	1
2014-03-30 01:10:59.04469	91955	44	2	10
2014-03-30 01:10:59.264693	91956	21.2	1	10
2014-03-30 01:11:07.919303	91957	48	2	9
2014-03-30 01:11:08.152551	91958	19.8	1	9
2014-03-30 01:11:09.007152	91959	45	2	8
2014-03-30 01:11:09.249726	91960	20.6	1	8
2014-03-30 01:11:21.03776	91961	48	2	1
2014-03-30 01:11:21.273214	91962	19.9	1	1
2014-03-30 01:11:32.121925	91963	418	3	2
2014-03-30 01:11:32.343187	91964	1125115.194084036	4	2
2014-03-30 01:11:38.049062	91965	44	2	10
2014-03-30 01:11:38.282901	91966	21.2	1	10
2014-03-30 01:11:46.9208	91967	48	2	9
2014-03-30 01:11:47.142165	91968	19.8	1	9
2014-03-30 01:11:48.007797	91969	45	2	8
2014-03-30 01:11:48.242236	91970	20.6	1	8
2014-03-30 01:12:00.040565	91971	48	2	1
2014-03-30 01:12:00.26388	91972	19.9	1	1
2014-03-30 01:12:25.920737	91973	48	2	9
2014-03-30 01:12:26.152336	91974	19.8	1	9
2014-03-30 01:12:27.008325	91975	45	2	8
2014-03-30 01:12:27.229367	91976	20.6	1	8
2014-03-30 01:12:32.117871	91977	418	3	2
2014-03-30 01:12:32.354142	91978	1125122.0882923645	4	2
2014-03-30 01:12:39.038158	91979	48	2	1
2014-03-30 01:12:39.26314	91980	19.9	1	1
2014-03-30 01:12:56.046499	91981	44	2	10
2014-03-30 01:12:56.278301	91982	21.2	1	10
2014-03-30 01:13:04.920079	91983	48	2	9
2014-03-30 01:13:05.142815	91984	19.8	1	9
2014-03-30 01:13:06.02595	91985	45	2	8
2014-03-30 01:13:06.258491	91986	20.6	1	8
2014-03-30 01:13:18.040437	91987	48	2	1
2014-03-30 01:13:18.262332	91988	19.9	1	1
2014-03-30 01:13:32.120947	91989	418	3	2
2014-03-30 01:13:32.352994	91990	1125128.982500693	4	2
2014-03-30 01:13:35.045272	91991	44	2	10
2014-03-30 01:13:35.265689	91992	21.2	1	10
2014-03-30 01:13:43.923174	91993	48	2	9
2014-03-30 01:13:44.154853	91994	19.8	1	9
2014-03-30 01:13:45.009392	91995	45	2	8
2014-03-30 01:13:45.229387	91996	20.6	1	8
2014-03-30 01:13:57.036481	91997	48	2	1
2014-03-30 01:13:57.278715	91998	19.9	1	1
2014-03-30 01:14:14.043388	91999	44	2	10
2014-03-30 01:14:14.26669	92000	21.2	1	10
2014-03-30 01:14:22.924642	92001	48	2	9
2014-03-30 01:14:23.158645	92002	19.8	1	9
2014-03-30 01:14:24.010756	92003	45	2	8
2014-03-30 01:14:24.231667	92004	20.6	1	8
2014-03-30 01:14:32.120768	92005	418	3	2
2014-03-30 01:14:32.35136	92006	1125135.8767090214	4	2
2014-03-30 01:14:36.035351	92007	48	2	1
2014-03-30 01:14:36.258248	92008	19.9	1	1
2014-03-30 01:14:53.044833	92009	44	2	10
2014-03-30 01:14:53.279371	92010	21.2	1	10
2014-03-30 01:14:56.122654	92011	354	3	2
2014-03-30 01:14:56.344372	92012	1125139.3238131858	4	2
2014-03-30 01:15:01.921829	92013	48	2	9
2014-03-30 01:15:02.153646	92014	19.8	1	9
2014-03-30 01:15:03.007414	92015	45	2	8
2014-03-30 01:15:03.228926	92016	20.6	1	8
2014-03-30 01:15:08.120696	92017	354	3	2
2014-03-30 01:15:08.354385	92018	1125140.472847907	4	2
2014-03-30 01:15:15.038055	92019	48	2	1
2014-03-30 01:15:15.261042	92020	19.9	1	1
2014-03-30 01:15:40.92468	92021	48	2	9
2014-03-30 01:15:41.160979	92022	19.8	1	9
2014-03-30 01:15:42.010395	92023	45	2	8
2014-03-30 01:15:42.232305	92024	20.6	1	8
2014-03-30 01:15:54.039936	92025	48	2	1
2014-03-30 01:15:54.273139	92026	19.9	1	1
2014-03-30 01:16:11.045974	92027	44	2	10
2014-03-30 01:16:11.275906	92028	21.2	1	10
2014-03-30 01:16:19.923772	92029	48	2	9
2014-03-30 01:16:20.15908	92030	19.8	1	9
2014-03-30 01:16:21.011404	92031	45	2	8
2014-03-30 01:16:21.233416	92032	20.6	1	8
2014-03-30 01:16:32.120514	92033	370	3	2
2014-03-30 01:16:32.354303	92034	1125148.516090957	4	2
2014-03-30 01:16:33.033977	92035	48	2	1
2014-03-30 01:16:33.257922	92036	19.9	1	1
2014-03-30 01:16:50.044985	92037	44	2	10
2014-03-30 01:16:50.277218	92038	21.2	1	10
2014-03-30 01:16:58.923457	92039	48	2	9
2014-03-30 01:16:59.150274	92040	19.8	1	9
2014-03-30 01:17:00.010083	92041	45	2	8
2014-03-30 01:17:00.241664	92042	20.6	1	8
2014-03-30 01:17:12.038516	92043	48	2	1
2014-03-30 01:17:12.262352	92044	19.9	1	1
2014-03-30 01:17:29.048866	92045	44	2	10
2014-03-30 01:17:29.293542	92046	21.2	1	10
2014-03-30 01:17:32.119397	92047	354	3	2
2014-03-30 01:17:32.342791	92048	1125153.116700795	4	2
2014-03-30 01:17:37.922094	92049	48	2	9
2014-03-30 01:17:38.177362	92050	19.8	1	9
2014-03-30 01:17:39.008241	92051	45	2	8
2014-03-30 01:17:39.229529	92052	20.6	1	8
2014-03-30 01:17:51.033791	92053	48	2	1
2014-03-30 01:17:51.266466	92054	19.9	1	1
2014-03-30 01:18:08.045486	92055	44	2	10
2014-03-30 01:18:08.267331	92056	21.2	1	10
2014-03-30 01:18:16.931667	92057	48	2	9
2014-03-30 01:18:17.164712	92058	19.8	1	9
2014-03-30 01:18:18.009162	92059	45	2	8
2014-03-30 01:18:18.230979	92060	20.6	1	8
2014-03-30 01:18:30.034539	92061	48	2	1
2014-03-30 01:18:30.267524	92062	19.9	1	1
2014-03-30 01:18:32.118652	92063	354	3	2
2014-03-30 01:18:32.341289	92064	1125160.0109091233	4	2
2014-03-30 01:18:47.044321	92065	44	2	10
2014-03-30 01:18:47.279151	92066	21.2	1	10
2014-03-30 01:18:55.924111	92067	48	2	9
2014-03-30 01:18:56.147843	92068	19.8	1	9
2014-03-30 01:18:57.009281	92069	45	2	8
2014-03-30 01:18:57.242962	92070	20.6	1	8
2014-03-30 01:19:09.032282	92071	48	2	1
2014-03-30 01:19:09.289884	92072	19.9	1	1
2014-03-30 01:19:26.043055	92073	44	2	10
2014-03-30 01:19:26.313742	92074	21.2	1	10
2014-03-30 01:19:34.924917	92075	48	2	9
2014-03-30 01:19:35.182651	92076	19.8	1	9
2014-03-30 01:19:36.008656	92077	45	2	8
2014-03-30 01:19:36.40527	92078	20.6	1	8
2014-03-30 01:19:48.030781	92079	48	2	1
2014-03-30 01:19:48.329695	92080	19.9	1	1
2014-03-30 01:20:05.047029	92081	44	2	10
2014-03-30 01:20:05.333462	92082	21.2	1	10
2014-03-30 01:20:13.942704	92083	48	2	9
2014-03-30 01:20:14.201017	92084	19.8	1	9
2014-03-30 01:20:15.009503	92085	45	2	8
2014-03-30 01:20:15.273201	92086	20.6	1	8
2014-03-30 01:20:27.03135	92087	48	2	1
2014-03-30 01:20:27.28636	92088	19.9	1	1
2014-03-30 01:20:32.118792	92089	354	3	2
2014-03-30 01:20:32.353974	92090	1125171.5012563376	4	2
2014-03-30 01:20:44.044073	92091	44	2	10
2014-03-30 01:20:44.267025	92092	21.2	1	10
2014-03-30 01:20:52.92341	92093	48	2	9
2014-03-30 01:20:53.166658	92094	19.8	1	9
2014-03-30 01:20:54.008277	92095	45	2	8
2014-03-30 01:20:54.230308	92096	20.6	1	8
2014-03-30 01:21:06.283855	92097	48	2	1
2014-03-30 01:21:06.519046	92098	19.9	1	1
2014-03-30 01:21:23.048306	92099	44	2	10
2014-03-30 01:21:23.27075	92100	21.2	1	10
2014-03-30 01:21:31.921993	92101	48	2	9
2014-03-30 01:21:32.157835	92102	19.8	1	9
2014-03-30 01:21:33.012832	92103	45	2	8
2014-03-30 01:21:33.236156	92104	20.6	1	8
2014-03-30 01:21:44.123953	92105	354	3	2
2014-03-30 01:21:44.357697	92106	1125178.3954646662	4	2
2014-03-30 01:21:45.036177	92107	48	2	1
2014-03-30 01:21:45.257602	92108	19.9	1	1
2014-03-30 01:21:56.119633	92109	354	3	2
2014-03-30 01:21:56.35271	92110	1125179.5444993875	4	2
2014-03-30 01:22:02.05174	92111	44	2	10
2014-03-30 01:22:02.278566	92112	21.2	1	10
2014-03-30 01:22:10.923648	92113	48	2	9
2014-03-30 01:22:11.157203	92114	19.8	1	9
2014-03-30 01:22:12.008684	92115	45	2	8
2014-03-30 01:22:12.231373	92116	20.6	1	8
2014-03-30 01:22:24.034204	92117	48	2	1
2014-03-30 01:22:24.267892	92118	19.9	1	1
2014-03-30 01:22:32.119951	92119	354	3	2
2014-03-30 01:22:32.344417	92120	1125182.9916035517	4	2
2014-03-30 01:22:41.045395	92121	44	2	10
2014-03-30 01:22:41.281406	92122	21.2	1	10
2014-03-30 01:22:49.919902	92123	48	2	9
2014-03-30 01:22:50.143152	92124	19.8	1	9
2014-03-30 01:22:51.009455	92125	45	2	8
2014-03-30 01:22:51.243317	92126	20.6	1	8
2014-03-30 01:23:03.0327	92127	48	2	1
2014-03-30 01:23:03.259104	92128	19.9	1	1
2014-03-30 01:23:20.048574	92129	44	2	10
2014-03-30 01:23:20.27888	92130	21.2	1	10
2014-03-30 01:23:28.924372	92131	48	2	9
2014-03-30 01:23:29.14499	92132	19.8	1	9
2014-03-30 01:23:30.009012	92133	45	2	8
2014-03-30 01:23:30.241224	92134	20.6	1	8
2014-03-30 01:23:32.119179	92135	354	3	2
2014-03-30 01:23:32.341246	92136	1125189.8858118802	4	2
2014-03-30 01:23:42.030114	92137	48	2	1
2014-03-30 01:23:42.262049	92138	19.9	1	1
2014-03-30 01:23:59.044203	92139	44	2	10
2014-03-30 01:23:59.265829	92140	21.2	1	10
2014-03-30 01:24:07.922216	92141	48	2	9
2014-03-30 01:24:08.166565	92142	19.8	1	9
2014-03-30 01:24:09.007569	92143	45	2	8
2014-03-30 01:24:09.231421	92144	20.6	1	8
2014-03-30 01:24:21.032532	92145	48	2	1
2014-03-30 01:24:21.265721	92146	19.9	1	1
2014-03-30 01:24:32.120534	92147	354	3	2
2014-03-30 01:24:32.342712	92148	1125195.6309854873	4	2
2014-03-30 01:24:38.051354	92149	44	2	10
2014-03-30 01:24:38.283139	92150	21.2	1	10
2014-03-30 01:24:46.921616	92151	48	2	9
2014-03-30 01:24:47.14456	92152	19.8	1	9
2014-03-30 01:24:48.009724	92153	45	2	8
2014-03-30 01:24:48.239621	92154	20.6	1	8
2014-03-30 01:25:00.02952	92155	49	2	1
2014-03-30 01:25:00.253995	92156	19.9	1	1
2014-03-30 01:25:17.045847	92157	44	2	10
2014-03-30 01:25:17.276751	92158	21.2	1	10
2014-03-30 01:25:25.922449	92159	48	2	9
2014-03-30 01:25:26.145531	92160	19.8	1	9
2014-03-30 01:25:27.007701	92161	45	2	8
2014-03-30 01:25:27.239715	92162	20.6	1	8
2014-03-30 01:25:32.117766	92163	354	3	2
2014-03-30 01:25:32.340816	92164	1125201.3761590943	4	2
2014-03-30 01:25:39.029053	92165	49	2	1
2014-03-30 01:25:39.261084	92166	19.9	1	1
2014-03-30 01:25:56.049431	92167	44	2	10
2014-03-30 01:25:56.273421	92168	21.2	1	10
2014-03-30 01:26:04.925208	92169	48	2	9
2014-03-30 01:26:05.15727	92170	19.8	1	9
2014-03-30 01:26:06.009336	92171	45	2	8
2014-03-30 01:26:06.230495	92172	20.6	1	8
2014-03-30 01:26:18.028503	92173	49	2	1
2014-03-30 01:26:18.260631	92174	19.9	1	1
2014-03-30 01:26:32.117265	92175	354	3	2
2014-03-30 01:26:32.341328	92176	1125207.1213327015	4	2
2014-03-30 01:26:35.049402	92177	44	2	10
2014-03-30 01:26:35.283039	92178	21.2	1	10
2014-03-30 01:26:43.925154	92179	48	2	9
2014-03-30 01:26:44.149325	92180	19.8	1	9
2014-03-30 01:26:45.01071	92181	45	2	8
2014-03-30 01:26:45.242246	92182	20.6	1	8
2014-03-30 01:26:57.030305	92183	49	2	1
2014-03-30 01:26:57.252265	92184	19.9	1	1
2014-03-30 01:27:14.048035	92185	44	2	10
2014-03-30 01:27:14.282999	92186	21.2	1	10
2014-03-30 01:27:22.92246	92187	48	2	9
2014-03-30 01:27:23.145716	92188	19.8	1	9
2014-03-30 01:27:24.009573	92189	45	2	8
2014-03-30 01:27:24.255024	92190	20.6	1	8
2014-03-30 01:27:32.120523	92191	305	3	2
2014-03-30 01:27:32.3438	92192	1125212.8665063086	4	2
2014-03-30 01:27:36.085865	92193	49	2	1
2014-03-30 01:27:36.321526	92194	19.9	1	1
2014-03-30 01:27:44.116278	92195	305	3	2
2014-03-30 01:27:44.351465	92196	1125214.0155410299	4	2
2014-03-30 01:27:53.049422	92197	44	2	10
2014-03-30 01:27:53.283025	92198	21.2	1	10
2014-03-30 01:28:01.922446	92199	48	2	9
2014-03-30 01:28:02.144214	92200	19.8	1	9
2014-03-30 01:28:03.008732	92201	45	2	8
2014-03-30 01:28:03.244017	92202	20.6	1	8
2014-03-30 01:28:15.031333	92203	49	2	1
2014-03-30 01:28:15.254372	92204	19.9	1	1
2014-03-30 01:28:40.922193	92205	48	2	9
2014-03-30 01:28:41.157622	92206	19.8	1	9
2014-03-30 01:28:42.008062	92207	45	2	8
2014-03-30 01:28:42.230464	92208	20.6	1	8
2014-03-30 01:28:54.028497	92209	49	2	1
2014-03-30 01:28:54.260556	92210	19.9	1	1
2014-03-30 01:29:11.05033	92211	44	2	10
2014-03-30 01:29:11.273132	92212	21.2	1	10
2014-03-30 01:29:19.924391	92213	48	2	9
2014-03-30 01:29:20.154433	92214	19.8	1	9
2014-03-30 01:29:21.0075	92215	45	2	8
2014-03-30 01:29:21.228827	92216	20.6	1	8
2014-03-30 01:29:32.119357	92217	305	3	2
2014-03-30 01:29:32.351731	92218	1125223.2078188013	4	2
2014-03-30 01:29:33.031584	92219	49	2	1
2014-03-30 01:29:33.253864	92220	19.9	1	1
2014-03-30 01:29:50.049497	92221	44	2	10
2014-03-30 01:29:50.281119	92222	21.1	1	10
2014-03-30 01:29:58.921775	92223	48	2	9
2014-03-30 01:29:59.143252	92224	19.8	1	9
2014-03-30 01:30:00.008649	92225	45	2	8
2014-03-30 01:30:00.241876	92226	20.6	1	8
2014-03-30 01:30:12.03177	92227	49	2	1
2014-03-30 01:30:12.273133	92228	19.8	1	1
2014-03-30 01:30:29.049794	92229	44	2	10
2014-03-30 01:30:29.280009	92230	21.1	1	10
2014-03-30 01:30:32.115567	92231	305	3	2
2014-03-30 01:30:32.337591	92232	1125227.803957687	4	2
2014-03-30 01:30:37.922108	92233	48	2	9
2014-03-30 01:30:38.156916	92234	19.8	1	9
2014-03-30 01:30:39.009432	92235	45	2	8
2014-03-30 01:30:39.231304	92236	20.6	1	8
2014-03-30 01:30:51.029065	92237	49	2	1
2014-03-30 01:30:51.272797	92238	19.8	1	1
2014-03-30 01:31:08.046879	92239	44	2	10
2014-03-30 01:31:08.268186	92240	21.1	1	10
2014-03-30 01:31:16.920898	92241	48	2	9
2014-03-30 01:31:17.156208	92242	19.8	1	9
2014-03-30 01:31:18.00976	92243	45	2	8
2014-03-30 01:31:18.232385	92244	20.6	1	8
2014-03-30 01:31:30.027983	92245	49	2	1
2014-03-30 01:31:30.257924	92246	19.8	1	1
2014-03-30 01:31:32.117664	92247	305	3	2
2014-03-30 01:31:32.340578	92248	1125233.549131294	4	2
2014-03-30 01:31:47.051498	92249	44	2	10
2014-03-30 01:31:47.284848	92250	21.1	1	10
2014-03-30 01:31:55.935648	92251	48	2	9
2014-03-30 01:31:56.157345	92252	19.8	1	9
2014-03-30 01:31:57.009345	92253	45	2	8
2014-03-30 01:31:57.241118	92254	20.6	1	8
2014-03-30 01:32:09.026019	92255	49	2	1
2014-03-30 01:32:09.248599	92256	19.8	1	1
2014-03-30 01:32:26.051206	92257	44	2	10
2014-03-30 01:32:26.284212	92258	21.1	1	10
2014-03-30 01:32:32.122527	92259	305	3	2
2014-03-30 01:32:32.345011	92260	1125238.1452701797	4	2
2014-03-30 01:32:34.933062	92261	48	2	9
2014-03-30 01:32:35.164568	92262	19.8	1	9
2014-03-30 01:32:36.009427	92263	45	2	8
2014-03-30 01:32:36.290395	92264	20.6	1	8
2014-03-30 01:32:48.028996	92265	49	2	1
2014-03-30 01:32:48.267967	92266	19.8	1	1
2014-03-30 01:33:05.052015	92267	44	2	10
2014-03-30 01:33:05.276596	92268	21.1	1	10
2014-03-30 01:33:13.931912	92269	48	2	9
2014-03-30 01:33:14.165906	92270	19.8	1	9
2014-03-30 01:33:15.008809	92271	45	2	8
2014-03-30 01:33:15.234361	92272	20.6	1	8
2014-03-30 01:33:27.026986	92273	49	2	1
2014-03-30 01:33:27.261233	92274	19.8	1	1
2014-03-30 01:33:32.119849	92275	305	3	2
2014-03-30 01:33:32.347328	92276	1125243.8904437867	4	2
2014-03-30 01:33:44.050243	92277	44	2	10
2014-03-30 01:33:44.286305	92278	21.1	1	10
2014-03-30 01:33:52.919631	92279	48	2	9
2014-03-30 01:33:53.14605	92280	19.8	1	9
2014-03-30 01:33:54.009497	92281	45	2	8
2014-03-30 01:33:54.242562	92282	20.6	1	8
2014-03-30 01:34:06.028213	92283	49	2	1
2014-03-30 01:34:06.251885	92284	19.8	1	1
2014-03-30 01:34:23.049145	92285	44	2	10
2014-03-30 01:34:23.295847	92286	21.1	1	10
2014-03-30 01:34:31.925151	92287	48	2	9
2014-03-30 01:34:32.14751	92288	19.7	1	9
2014-03-30 01:34:33.0073	92289	45	2	8
2014-03-30 01:34:33.239271	92290	20.6	1	8
2014-03-30 01:34:44.115328	92291	354	3	2
2014-03-30 01:34:44.338002	92292	1125249.6356173938	4	2
2014-03-30 01:34:45.023842	92293	49	2	1
2014-03-30 01:34:45.255449	92294	19.8	1	1
2014-03-30 01:35:02.051487	92295	44	2	10
2014-03-30 01:35:02.273264	92296	21.1	1	10
2014-03-30 01:35:10.925133	92297	48	2	9
2014-03-30 01:35:11.157127	92298	19.7	1	9
2014-03-30 01:35:12.008165	92299	45	2	8
2014-03-30 01:35:12.23061	92300	20.6	1	8
2014-03-30 01:35:24.025728	92301	49	2	1
2014-03-30 01:35:24.258101	92302	19.8	1	1
2014-03-30 01:35:32.117785	92303	354	3	2
2014-03-30 01:35:32.341397	92304	1125254.2317562795	4	2
2014-03-30 01:35:41.049763	92305	44	2	10
2014-03-30 01:35:41.285222	92306	21.1	1	10
2014-03-30 01:35:49.924735	92307	48	2	9
2014-03-30 01:35:50.14677	92308	19.7	1	9
2014-03-30 01:35:51.010183	92309	45	2	8
2014-03-30 01:35:51.244163	92310	20.6	1	8
2014-03-30 01:36:03.025815	92311	49	2	1
2014-03-30 01:36:03.248992	92312	19.8	1	1
2014-03-30 01:36:20.05164	92313	44	2	10
2014-03-30 01:36:20.291598	92314	21.1	1	10
2014-03-30 01:36:28.921501	92315	48	2	9
2014-03-30 01:36:29.143883	92316	19.7	1	9
2014-03-30 01:36:30.008619	92317	45	2	8
2014-03-30 01:36:30.243456	92318	20.6	1	8
2014-03-30 01:36:32.117592	92319	354	3	2
2014-03-30 01:36:32.341169	92320	1125261.125964608	4	2
2014-03-30 01:36:42.027393	92321	49	2	1
2014-03-30 01:36:42.259472	92322	19.8	1	1
2014-03-30 01:36:59.049816	92323	44	2	10
2014-03-30 01:36:59.273495	92324	21.1	1	10
2014-03-30 01:37:07.926037	92325	48	2	9
2014-03-30 01:37:08.159128	92326	19.7	1	9
2014-03-30 01:37:09.011006	92327	45	2	8
2014-03-30 01:37:09.23271	92328	20.6	1	8
2014-03-30 01:37:21.025316	92329	49	2	1
2014-03-30 01:37:21.257646	92330	19.8	1	1
2014-03-30 01:37:32.117728	92331	354	3	2
2014-03-30 01:37:32.340676	92332	1125266.871138215	4	2
2014-03-30 01:37:38.053814	92333	44	2	10
2014-03-30 01:37:38.297912	92334	21.1	1	10
2014-03-30 01:37:46.932621	92335	48	2	9
2014-03-30 01:37:47.157612	92336	19.7	1	9
2014-03-30 01:37:48.01108	92337	45	2	8
2014-03-30 01:37:48.242586	92338	20.6	1	8
2014-03-30 01:38:00.022509	92339	49	2	1
2014-03-30 01:38:00.248086	92340	19.8	1	1
2014-03-30 01:38:17.052194	92341	44	2	10
2014-03-30 01:38:17.285851	92342	21.1	1	10
2014-03-30 01:38:25.922626	92343	48	2	9
2014-03-30 01:38:26.14653	92344	19.7	1	9
2014-03-30 01:38:27.009726	92345	45	2	8
2014-03-30 01:38:27.243512	92346	20.6	1	8
2014-03-30 01:38:32.115258	92347	354	3	2
2014-03-30 01:38:32.340768	92348	1125272.616311822	4	2
2014-03-30 01:38:39.02327	92349	49	2	1
2014-03-30 01:38:39.256605	92350	19.8	1	1
2014-03-30 01:38:56.052432	92351	44	2	10
2014-03-30 01:38:56.275795	92352	21.1	1	10
2014-03-30 01:39:04.921889	92353	48	2	9
2014-03-30 01:39:05.15593	92354	19.7	1	9
2014-03-30 01:39:06.00709	92355	45	2	8
2014-03-30 01:39:06.23084	92356	20.6	1	8
2014-03-30 01:39:18.021733	92357	49	2	1
2014-03-30 01:39:18.2535	92358	19.8	1	1
2014-03-30 01:39:34.85522	92359	305	3	2
2014-03-30 01:39:35.079485	92360	1125278.361485429	4	2
2014-03-30 01:39:35.384672	92361	44	2	10
2014-03-30 01:39:35.616425	92362	21.1	1	10
2014-03-30 01:39:43.922663	92363	48	2	9
2014-03-30 01:39:44.147936	92364	19.7	1	9
2014-03-30 01:39:45.009249	92365	45	2	8
2014-03-30 01:39:45.241495	92366	20.6	1	8
2014-03-30 01:39:57.023386	92367	49	2	1
2014-03-30 01:39:57.247511	92368	19.8	1	1
2014-03-30 01:40:14.048966	92369	44	2	10
2014-03-30 01:40:14.283266	92370	21.1	1	10
2014-03-30 01:40:22.921399	92371	48	2	9
2014-03-30 01:40:23.146464	92372	19.7	1	9
2014-03-30 01:40:24.009195	92373	45	2	8
2014-03-30 01:40:24.241025	92374	20.6	1	8
2014-03-30 01:40:36.022232	92375	49	2	1
2014-03-30 01:40:36.245201	92376	19.8	1	1
2014-03-30 01:40:53.052898	92377	44	2	10
2014-03-30 01:40:53.286804	92378	21.1	1	10
2014-03-30 01:41:01.92311	92379	48	2	9
2014-03-30 01:41:02.147139	92380	19.7	1	9
2014-03-30 01:41:03.008433	92381	45	2	8
2014-03-30 01:41:03.251972	92382	20.6	1	8
2014-03-30 01:41:15.021052	92383	49	2	1
2014-03-30 01:41:15.243708	92384	19.8	1	1
2014-03-30 01:41:40.920747	92385	48	2	9
2014-03-30 01:41:41.337765	92386	19.7	1	9
2014-03-30 01:41:42.007639	92387	45	2	8
2014-03-30 01:41:42.228824	92388	20.6	1	8
2014-03-30 01:41:54.020828	92389	49	2	1
2014-03-30 01:41:54.243182	92390	19.8	1	1
2014-03-30 01:42:11.052017	92391	44	2	10
2014-03-30 01:42:11.28127	92392	21.1	1	10
2014-03-30 01:42:19.922846	92393	48	2	9
2014-03-30 01:42:20.144054	92394	19.7	1	9
2014-03-30 01:42:21.008735	92395	45	2	8
2014-03-30 01:42:21.238215	92396	20.6	1	8
2014-03-30 01:42:32.115868	92397	305	3	2
2014-03-30 01:42:32.337736	92398	1125293.2989368076	4	2
2014-03-30 01:42:33.02137	92399	49	2	1
2014-03-30 01:42:33.251114	92400	19.8	1	1
2014-03-30 01:42:50.054247	92401	44	2	10
2014-03-30 01:42:50.277102	92402	21.0	1	10
2014-03-30 01:42:56.127572	92403	338	3	2
2014-03-30 01:42:56.358703	92404	1125295.5970062504	4	2
2014-03-30 01:42:58.922366	92405	48	2	9
2014-03-30 01:42:59.144392	92406	19.7	1	9
2014-03-30 01:43:00.010073	92407	45	2	8
2014-03-30 01:43:00.240069	92408	20.6	1	8
2014-03-30 01:43:08.117623	92409	305	3	2
2014-03-30 01:43:08.339654	92410	1125296.7460409717	4	2
2014-03-30 01:43:12.022211	92411	49	2	1
2014-03-30 01:43:12.255213	92412	19.8	1	1
2014-03-30 01:43:20.120744	92413	305	3	2
2014-03-30 01:43:20.343038	92414	1125297.8950756933	4	2
2014-03-30 01:43:29.051972	92415	44	2	10
2014-03-30 01:43:29.284772	92416	21.0	1	10
2014-03-30 01:43:32.119054	92417	305	3	2
2014-03-30 01:43:32.339998	92418	1125299.0441104146	4	2
2014-03-30 01:43:37.922707	92419	48	2	9
2014-03-30 01:43:38.155096	92420	19.7	1	9
2014-03-30 01:43:39.008212	92421	45	2	8
2014-03-30 01:43:39.230287	92422	20.6	1	8
2014-03-30 01:43:51.019991	92423	49	2	1
2014-03-30 01:43:51.257668	92424	19.8	1	1
2014-03-30 01:44:08.053328	92425	44	2	10
2014-03-30 01:44:08.277138	92426	21.0	1	10
2014-03-30 01:44:16.921393	92427	48	2	9
2014-03-30 01:44:17.153279	92428	19.7	1	9
2014-03-30 01:44:18.009486	92429	45	2	8
2014-03-30 01:44:18.230766	92430	20.6	1	8
2014-03-30 01:44:30.018242	92431	49	2	1
2014-03-30 01:44:30.263733	92432	19.8	1	1
2014-03-30 01:44:32.116815	92433	305	3	2
2014-03-30 01:44:32.340605	92434	1125303.6402493003	4	2
2014-03-30 01:44:47.053922	92435	44	2	10
2014-03-30 01:44:47.285099	92436	21.0	1	10
2014-03-30 01:44:55.922634	92437	48	2	9
2014-03-30 01:44:56.142982	92438	19.7	1	9
2014-03-30 01:44:57.005689	92439	45	2	8
2014-03-30 01:44:57.236858	92440	20.6	1	8
2014-03-30 01:45:09.017317	92441	49	2	1
2014-03-30 01:45:09.236943	92442	19.8	1	1
2014-03-30 01:45:26.052599	92443	44	2	10
2014-03-30 01:45:26.283027	92444	21.0	1	10
2014-03-30 01:45:32.116093	92445	305	3	2
2014-03-30 01:45:32.337153	92446	1125309.3854229073	4	2
2014-03-30 01:45:34.923899	92447	48	2	9
2014-03-30 01:45:35.154577	92448	19.7	1	9
2014-03-30 01:45:36.008625	92449	45	2	8
2014-03-30 01:45:36.227964	92450	20.6	1	8
2014-03-30 01:45:48.017699	92451	49	2	1
2014-03-30 01:45:48.247534	92452	19.8	1	1
2014-03-30 01:46:05.053455	92453	44	2	10
2014-03-30 01:46:05.276194	92454	21.0	1	10
2014-03-30 01:46:13.923231	92455	48	2	9
2014-03-30 01:46:14.154909	92456	19.7	1	9
2014-03-30 01:46:15.010545	92457	45	2	8
2014-03-30 01:46:15.23054	92458	20.6	1	8
2014-03-30 01:46:27.019432	92459	49	2	1
2014-03-30 01:46:27.250201	92460	19.8	1	1
2014-03-30 01:46:32.114067	92461	354	3	2
2014-03-30 01:46:32.339712	92462	1125313.981561793	4	2
2014-03-30 01:46:52.925935	92463	48	2	9
2014-03-30 01:46:53.157509	92464	19.7	1	9
2014-03-30 01:46:54.008155	92465	45	2	8
2014-03-30 01:46:54.22923	92466	20.6	1	8
2014-03-30 01:47:06.016786	92467	49	2	1
2014-03-30 01:47:06.249284	92468	19.8	1	1
2014-03-30 01:47:23.056151	92469	44	2	10
2014-03-30 01:47:23.276898	92470	21.0	1	10
2014-03-30 01:47:31.923968	92471	48	2	9
2014-03-30 01:47:32.156307	92472	19.7	1	9
2014-03-30 01:47:33.006722	92473	45	2	8
2014-03-30 01:47:33.228894	92474	20.6	1	8
2014-03-30 01:47:45.019466	92475	49	2	1
2014-03-30 01:47:45.252669	92476	19.8	1	1
2014-03-30 01:48:02.057709	92477	44	2	10
2014-03-30 01:48:02.279231	92478	21.0	1	10
2014-03-30 01:48:10.924643	92479	48	2	9
2014-03-30 01:48:11.169606	92480	19.7	1	9
2014-03-30 01:48:12.011491	92481	45	2	8
2014-03-30 01:48:12.233626	92482	20.6	1	8
2014-03-30 01:48:24.020065	92483	49	2	1
2014-03-30 01:48:24.252589	92484	19.8	1	1
2014-03-30 01:48:32.119654	92485	354	3	2
2014-03-30 01:48:32.341965	92486	1125326.6209437286	4	2
2014-03-30 01:48:41.054593	92487	44	2	10
2014-03-30 01:48:41.286879	92488	21.0	1	10
2014-03-30 01:48:49.925069	92489	48	2	9
2014-03-30 01:48:50.147864	92490	19.7	1	9
2014-03-30 01:48:51.00732	92491	45	2	8
2014-03-30 01:48:51.242911	92492	20.6	1	8
2014-03-30 01:49:03.016683	92493	49	2	1
2014-03-30 01:49:03.241676	92494	19.8	1	1
2014-03-30 01:49:20.052633	92495	44	2	10
2014-03-30 01:49:20.286423	92496	21.0	1	10
2014-03-30 01:49:28.924786	92497	48	2	9
2014-03-30 01:49:29.147803	92498	19.7	1	9
2014-03-30 01:49:30.00809	92499	45	2	8
2014-03-30 01:49:30.24088	92500	20.6	1	8
2014-03-30 01:49:32.115302	92501	354	3	2
2014-03-30 01:49:32.340242	92502	1125332.3661173356	4	2
2014-03-30 01:49:42.022239	92503	49	2	1
2014-03-30 01:49:42.254797	92504	19.8	1	1
2014-03-30 01:49:59.055047	92505	44	2	10
2014-03-30 01:49:59.278045	92506	21.0	1	10
2014-03-30 01:50:07.923762	92507	48	2	9
2014-03-30 01:50:08.156839	92508	19.6	1	9
2014-03-30 01:50:09.007376	92509	45	2	8
2014-03-30 01:50:09.230321	92510	20.6	1	8
2014-03-30 01:50:21.017508	92511	49	2	1
2014-03-30 01:50:21.250177	92512	19.8	1	1
2014-03-30 01:50:32.117623	92513	354	3	2
2014-03-30 01:50:32.341161	92514	1125338.1112909426	4	2
2014-03-30 01:50:38.05866	92515	44	2	10
2014-03-30 01:50:38.290115	92516	21.0	1	10
2014-03-30 01:50:46.922703	92517	48	2	9
2014-03-30 01:50:47.153576	92518	19.6	1	9
2014-03-30 01:50:48.008113	92519	45	2	8
2014-03-30 01:50:48.237873	92520	20.6	1	8
2014-03-30 01:51:00.012746	92521	49	2	1
2014-03-30 01:51:00.236268	92522	19.8	1	1
2014-03-30 01:51:17.054462	92523	44	2	10
2014-03-30 01:51:17.287247	92524	21.0	1	10
2014-03-30 01:51:25.919992	92525	49	2	9
2014-03-30 01:51:26.142802	92526	19.6	1	9
2014-03-30 01:51:27.009519	92527	45	2	8
2014-03-30 01:51:27.261874	92528	20.6	1	8
2014-03-30 01:51:32.115711	92529	305	3	2
2014-03-30 01:51:32.337342	92530	1125343.85646455	4	2
2014-03-30 01:51:39.016417	92531	49	2	1
2014-03-30 01:51:39.249065	92532	19.8	1	1
2014-03-30 01:51:44.115187	92533	305	3	2
2014-03-30 01:51:44.341636	92534	1125345.0054992712	4	2
2014-03-30 01:51:56.055472	92535	44	2	10
2014-03-30 01:51:56.288809	92536	21.0	1	10
2014-03-30 01:52:04.918998	92537	49	2	9
2014-03-30 01:52:05.141721	92538	19.6	1	9
2014-03-30 01:52:06.008243	92539	45	2	8
2014-03-30 01:52:06.237602	92540	20.6	1	8
2014-03-30 01:52:18.016372	92541	49	2	1
2014-03-30 01:52:18.239198	92542	19.8	1	1
2014-03-30 01:52:32.113809	92543	305	3	2
2014-03-30 01:52:32.345775	92544	1125349.601638157	4	2
2014-03-30 01:52:35.056152	92545	44	2	10
2014-03-30 01:52:35.277026	92546	21.0	1	10
2014-03-30 01:52:43.925892	92547	49	2	9
2014-03-30 01:52:44.159073	92548	19.7	1	9
2014-03-30 01:52:45.007771	92549	45	2	8
2014-03-30 01:52:45.230406	92550	20.6	1	8
2014-03-30 01:52:57.012793	92551	49	2	1
2014-03-30 01:52:57.243137	92552	19.8	1	1
2014-03-30 01:53:14.055368	92553	44	2	10
2014-03-30 01:53:14.277401	92554	21.0	1	10
2014-03-30 01:53:22.926375	92555	49	2	9
2014-03-30 01:53:23.15889	92556	19.7	1	9
2014-03-30 01:53:24.009845	92557	45	2	8
2014-03-30 01:53:24.231271	92558	20.6	1	8
2014-03-30 01:53:32.11494	92559	305	3	2
2014-03-30 01:53:32.350529	92560	1125354.1977770426	4	2
2014-03-30 01:53:36.01465	92561	49	2	1
2014-03-30 01:53:36.235201	92562	19.8	1	1
2014-03-30 01:53:53.05707	92563	44	2	10
2014-03-30 01:53:53.288665	92564	21.0	1	10
2014-03-30 01:54:01.92638	92565	49	2	9
2014-03-30 01:54:02.150318	92566	19.7	1	9
2014-03-30 01:54:03.008733	92567	45	2	8
2014-03-30 01:54:03.241531	92568	20.6	1	8
2014-03-30 01:54:15.015004	92569	49	2	1
2014-03-30 01:54:15.238981	92570	19.8	1	1
2014-03-30 01:54:40.922528	92571	49	2	9
2014-03-30 01:54:41.153422	92572	19.6	1	9
2014-03-30 01:54:42.011773	92573	45	2	8
2014-03-30 01:54:42.236075	92574	20.6	1	8
2014-03-30 01:54:54.015199	92575	49	2	1
2014-03-30 01:54:54.261273	92576	19.8	1	1
2014-03-30 01:55:11.053133	92577	44	2	10
2014-03-30 01:55:11.277135	92578	21.0	1	10
2014-03-30 01:55:19.923287	92579	49	2	9
2014-03-30 01:55:20.155338	92580	19.6	1	9
2014-03-30 01:55:21.007727	92581	45	2	8
2014-03-30 01:55:21.22726	92582	20.6	1	8
2014-03-30 01:55:32.114606	92583	338	3	2
2014-03-30 01:55:32.34826	92584	1125364.5390895354	4	2
2014-03-30 01:55:33.012573	92585	49	2	1
2014-03-30 01:55:33.233447	92586	19.8	1	1
2014-03-30 01:55:44.113548	92587	305	3	2
2014-03-30 01:55:44.343965	92588	1125365.6881242567	4	2
2014-03-30 01:55:50.06173	92589	44	2	10
2014-03-30 01:55:50.283447	92590	21.0	1	10
2014-03-30 01:55:56.113075	92591	305	3	2
2014-03-30 01:55:56.344817	92592	1125366.8371589782	4	2
2014-03-30 01:55:58.923296	92593	49	2	9
2014-03-30 01:55:59.144303	92594	19.6	1	9
2014-03-30 01:56:00.006886	92595	45	2	8
2014-03-30 01:56:00.236827	92596	20.6	1	8
2014-03-30 01:56:12.011746	92597	49	2	1
2014-03-30 01:56:12.233337	92598	19.8	1	1
2014-03-30 01:56:29.055343	92599	44	2	10
2014-03-30 01:56:29.286458	92600	21.0	1	10
2014-03-30 01:56:32.114014	92601	305	3	2
2014-03-30 01:56:32.335531	92602	1125369.135228421	4	2
2014-03-30 01:56:37.92305	92603	49	2	9
2014-03-30 01:56:38.154969	92604	19.6	1	9
2014-03-30 01:56:39.008231	92605	45	2	8
2014-03-30 01:56:39.228449	92606	20.6	1	8
2014-03-30 01:56:51.009534	92607	49	2	1
2014-03-30 01:56:51.240025	92608	19.8	1	1
2014-03-30 01:57:08.055856	92609	44	2	10
2014-03-30 01:57:08.277822	92610	21.0	1	10
2014-03-30 01:57:16.924473	92611	49	2	9
2014-03-30 01:57:17.157018	92612	19.6	1	9
2014-03-30 01:57:18.00776	92613	45	2	8
2014-03-30 01:57:18.228522	92614	20.6	1	8
2014-03-30 01:57:30.055622	92615	49	2	1
2014-03-30 01:57:30.287033	92616	19.7	1	1
2014-03-30 01:57:32.11538	92617	305	3	2
2014-03-30 01:57:32.336504	92618	1125374.880402028	4	2
2014-03-30 01:57:47.058712	92619	44	2	10
2014-03-30 01:57:47.292915	92620	21.0	1	10
2014-03-30 01:57:55.923554	92621	49	2	9
2014-03-30 01:57:56.144644	92622	19.6	1	9
2014-03-30 01:57:57.007483	92623	45	2	8
2014-03-30 01:57:57.250132	92624	20.6	1	8
2014-03-30 01:58:09.011874	92625	49	2	1
2014-03-30 01:58:09.234015	92626	19.7	1	1
2014-03-30 01:58:26.052919	92627	44	2	10
2014-03-30 01:58:26.285494	92628	21.0	1	10
2014-03-30 01:58:32.114265	92629	354	3	2
2014-03-30 01:58:32.336264	92630	1125380.6255756351	4	2
2014-03-30 01:58:34.92488	92631	49	2	9
2014-03-30 01:58:35.155853	92632	19.6	1	9
2014-03-30 01:58:36.009087	92633	45	2	8
2014-03-30 01:58:36.23013	92634	20.6	1	8
2014-03-30 01:58:44.113022	92635	354	3	2
2014-03-30 01:58:44.346355	92636	1125381.7746103564	4	2
2014-03-30 01:58:48.013462	92637	49	2	1
2014-03-30 01:58:48.235159	92638	19.7	1	1
2014-03-30 01:59:05.060174	92639	44	2	10
2014-03-30 01:59:05.290186	92640	21.0	1	10
2014-03-30 01:59:13.924792	92641	49	2	9
2014-03-30 01:59:14.147809	92642	19.6	1	9
2014-03-30 01:59:15.009642	92643	45	2	8
2014-03-30 01:59:15.238199	92644	20.6	1	8
2014-03-30 01:59:27.007828	92645	49	2	1
2014-03-30 01:59:27.232454	92646	19.7	1	1
2014-03-30 01:59:32.116041	92647	354	3	2
2014-03-30 01:59:32.352588	92648	1125386.3707492421	4	2
2014-03-30 01:59:44.062218	92649	44	2	10
2014-03-30 01:59:44.285634	92650	21.0	1	10
2014-03-30 01:59:52.92179	92651	49	2	9
2014-03-30 01:59:53.154952	92652	19.6	1	9
2014-03-30 01:59:54.007399	92653	45	2	8
2014-03-30 01:59:54.229604	92654	20.6	1	8
2014-03-30 02:00:06.010337	92655	49	2	1
2014-03-30 02:00:06.245504	92656	19.7	1	1
2014-03-30 02:00:23.059171	92657	44	2	10
2014-03-30 02:00:23.284113	92658	20.9	1	10
2014-03-30 02:00:31.924636	92659	49	2	9
2014-03-30 02:00:32.155324	92660	19.6	1	9
2014-03-30 02:00:33.007507	92661	45	2	8
2014-03-30 02:00:33.228589	92662	20.6	1	8
2014-03-30 02:00:45.013541	92663	49	2	1
2014-03-30 02:00:45.245645	92664	19.7	1	1
2014-03-30 02:01:02.05591	92665	44	2	10
2014-03-30 02:01:02.276848	92666	20.9	1	10
2014-03-30 02:01:10.922192	92667	49	2	9
2014-03-30 02:01:11.154464	92668	19.6	1	9
2014-03-30 02:01:12.007305	92669	45	2	8
2014-03-30 02:01:12.229458	92670	20.6	1	8
2014-03-30 02:01:24.006957	92671	49	2	1
2014-03-30 02:01:24.250215	92672	19.7	1	1
2014-03-30 02:01:32.111289	92673	370	3	2
2014-03-30 02:01:32.332816	92674	1125397.8610964564	4	2
2014-03-30 02:01:41.059105	92675	44	2	10
2014-03-30 02:01:41.29014	92676	20.9	1	10
2014-03-30 02:01:49.925898	92677	49	2	9
2014-03-30 02:01:50.14799	92678	19.6	1	9
2014-03-30 02:01:51.006685	92679	45	2	8
2014-03-30 02:01:51.239049	92680	20.6	1	8
2014-03-30 02:02:03.008749	92681	49	2	1
2014-03-30 02:02:03.229886	92682	19.7	1	1
2014-03-30 02:02:20.057677	92683	44	2	10
2014-03-30 02:02:20.288599	92684	20.9	1	10
2014-03-30 02:02:28.923953	92685	49	2	9
2014-03-30 02:02:29.145362	92686	19.6	1	9
2014-03-30 02:02:30.007318	92687	45	2	8
2014-03-30 02:02:30.237028	92688	20.6	1	8
2014-03-30 02:02:32.116634	92689	354	3	2
2014-03-30 02:02:32.337123	92690	1125403.6062700634	4	2
2014-03-30 02:02:42.011903	92691	49	2	1
2014-03-30 02:02:42.24465	92692	19.7	1	1
2014-03-30 02:02:59.057839	92693	44	2	10
2014-03-30 02:02:59.279122	92694	20.9	1	10
2014-03-30 02:03:07.923687	92695	49	2	9
2014-03-30 02:03:08.156055	92696	19.6	1	9
2014-03-30 02:03:09.008773	92697	45	2	8
2014-03-30 02:03:09.231339	92698	20.6	1	8
2014-03-30 02:03:21.005451	92699	49	2	1
2014-03-30 02:03:21.236991	92700	19.7	1	1
2014-03-30 02:03:32.113	92701	354	3	2
2014-03-30 02:03:32.335553	92702	1125410.500478392	4	2
2014-03-30 02:03:38.061615	92703	44	2	10
2014-03-30 02:03:38.294673	92704	20.9	1	10
2014-03-30 02:03:46.926758	92705	49	2	9
2014-03-30 02:03:47.149509	92706	19.6	1	9
2014-03-30 02:03:48.007595	92707	45	2	8
2014-03-30 02:03:48.237897	92708	20.6	1	8
2014-03-30 02:03:56.112554	92709	305	3	2
2014-03-30 02:03:56.334197	92710	1125411.6495131133	4	2
2014-03-30 02:04:00.007521	92711	49	2	1
2014-03-30 02:04:00.238314	92712	19.7	1	1
2014-03-30 02:04:08.116757	92713	305	3	2
2014-03-30 02:04:08.337692	92714	1125412.7985478346	4	2
2014-03-30 02:04:17.0609	92715	44	2	10
2014-03-30 02:04:17.292075	92716	20.9	1	10
2014-03-30 02:04:25.927092	92717	49	2	9
2014-03-30 02:04:26.150758	92718	19.6	1	9
2014-03-30 02:04:27.00818	92719	45	2	8
2014-03-30 02:04:27.251601	92720	20.6	1	8
2014-03-30 02:04:32.115958	92721	305	3	2
2014-03-30 02:04:32.337073	92722	1125415.0966172775	4	2
2014-03-30 02:04:39.006182	92723	49	2	1
2014-03-30 02:04:39.241365	92724	19.7	1	1
2014-03-30 02:04:56.059242	92725	44	2	10
2014-03-30 02:04:56.282771	92726	20.9	1	10
2014-03-30 02:05:04.922358	92727	49	2	9
2014-03-30 02:05:05.157148	92728	19.6	1	9
2014-03-30 02:05:06.006564	92729	45	2	8
2014-03-30 02:05:06.229913	92730	20.6	1	8
2014-03-30 02:05:18.007507	92731	49	2	1
2014-03-30 02:05:18.243849	92732	19.7	1	1
2014-03-30 02:05:32.113669	92733	354	3	2
2014-03-30 02:05:32.337909	92734	1125420.8417908847	4	2
2014-03-30 02:05:35.058862	92735	44	2	10
2014-03-30 02:05:35.293514	92736	20.9	1	10
2014-03-30 02:05:43.923499	92737	49	2	9
2014-03-30 02:05:44.14481	92738	19.6	1	9
2014-03-30 02:05:45.008018	92739	45	2	8
2014-03-30 02:05:45.240172	92740	20.6	1	8
2014-03-30 02:05:57.007081	92741	49	2	1
2014-03-30 02:05:57.229016	92742	19.7	1	1
2014-03-30 02:06:14.062602	92743	44	2	10
2014-03-30 02:06:14.296616	92744	20.9	1	10
2014-03-30 02:06:22.925613	92745	49	2	9
2014-03-30 02:06:23.14716	92746	19.6	1	9
2014-03-30 02:06:24.009114	92747	45	2	8
2014-03-30 02:06:24.241646	92748	20.6	1	8
2014-03-30 02:06:32.112976	92749	370	3	2
2014-03-30 02:06:32.335821	92750	1125426.5869644918	4	2
2014-03-30 02:06:36.005345	92751	49	2	1
2014-03-30 02:06:36.236254	92752	19.7	1	1
2014-03-30 02:06:53.057877	92753	44	2	10
2014-03-30 02:06:53.282498	92754	20.9	1	10
2014-03-30 02:07:01.925799	92755	49	2	9
2014-03-30 02:07:02.157334	92756	19.6	1	9
2014-03-30 02:07:03.006561	92757	45	2	8
2014-03-30 02:07:03.230416	92758	20.6	1	8
2014-03-30 02:07:15.008833	92759	49	2	1
2014-03-30 02:07:15.241101	92760	19.7	1	1
2014-03-30 02:07:40.922655	92761	49	2	9
2014-03-30 02:07:41.145909	92762	19.6	1	9
2014-03-30 02:07:42.006888	92763	45	2	8
2014-03-30 02:07:42.23697	92764	20.5	1	8
2014-03-30 02:07:54.004143	92765	49	2	1
2014-03-30 02:07:54.229335	92766	19.7	1	1
2014-03-30 02:08:11.060598	92767	44	2	10
2014-03-30 02:08:11.303431	92768	20.9	1	10
2014-03-30 02:08:19.921164	92769	49	2	9
2014-03-30 02:08:20.144346	92770	19.6	1	9
2014-03-30 02:08:21.007834	92771	45	2	8
2014-03-30 02:08:21.238249	92772	20.5	1	8
2014-03-30 02:08:32.113349	92773	370	3	2
2014-03-30 02:08:32.334903	92774	1125439.2263464273	4	2
2014-03-30 02:08:33.051049	92775	49	2	1
2014-03-30 02:08:33.280922	92776	19.7	1	1
2014-03-30 02:08:50.061805	92777	44	2	10
2014-03-30 02:08:50.283515	92778	20.9	1	10
2014-03-30 02:08:58.922387	92779	49	2	9
2014-03-30 02:08:59.153967	92780	19.6	1	9
2014-03-30 02:09:00.007369	92781	45	2	8
2014-03-30 02:09:00.228587	92782	20.5	1	8
2014-03-30 02:09:12.002971	92783	49	2	1
2014-03-30 02:09:12.233822	92784	19.7	1	1
2014-03-30 02:09:29.059398	92785	44	2	10
2014-03-30 02:09:29.27999	92786	20.9	1	10
2014-03-30 02:09:38.053631	92787	49	2	9
2014-03-30 02:09:38.499985	92788	19.6	1	9
2014-03-30 02:09:39.130835	92789	45	2	8
2014-03-30 02:09:39.552294	92790	20.5	1	8
2014-03-30 02:09:51.009988	92791	49	2	1
2014-03-30 02:09:51.245067	92792	19.7	1	1
2014-03-30 02:10:08.063666	92793	44	2	10
2014-03-30 02:10:08.285906	92794	20.9	1	10
2014-03-30 02:10:16.925698	92795	49	2	9
2014-03-30 02:10:17.158451	92796	19.6	1	9
2014-03-30 02:10:18.005891	92797	45	2	8
2014-03-30 02:10:18.228461	92798	20.5	1	8
2014-03-30 02:10:30.004113	92799	49	2	1
2014-03-30 02:10:30.239151	92800	19.7	1	1
2014-03-30 02:10:32.116754	92801	354	3	2
2014-03-30 02:10:32.337893	92802	1125449.5721298722	4	2
2014-03-30 02:10:47.062125	92803	44	2	10
2014-03-30 02:10:47.295977	92804	20.9	1	10
2014-03-30 02:10:55.924487	92805	49	2	9
2014-03-30 02:10:56.145867	92806	19.6	1	9
2014-03-30 02:10:57.007317	92807	45	2	8
2014-03-30 02:10:57.240656	92808	20.5	1	8
2014-03-30 02:11:08.114167	92809	418	3	2
2014-03-30 02:11:08.337537	92810	1125454.1682687579	4	2
2014-03-30 02:11:09.003433	92811	49	2	1
2014-03-30 02:11:09.236949	92812	19.7	1	1
2014-03-30 02:11:26.061595	92813	44	2	10
2014-03-30 02:11:26.285746	92814	20.9	1	10
2014-03-30 02:11:32.112293	92815	418	3	2
2014-03-30 02:11:32.358212	92816	1125456.4663382007	4	2
2014-03-30 02:11:34.923065	92817	49	2	9
2014-03-30 02:11:35.144865	92818	19.6	1	9
2014-03-30 02:11:36.007704	92819	45	2	8
2014-03-30 02:11:36.237605	92820	20.5	1	8
2014-03-30 02:11:48.005675	92821	49	2	1
2014-03-30 02:11:48.228237	92822	19.7	1	1
2014-03-30 02:12:05.066621	92823	44	2	10
2014-03-30 02:12:05.298667	92824	20.9	1	10
2014-03-30 02:12:13.924256	92825	49	2	9
2014-03-30 02:12:14.164982	92826	19.6	1	9
2014-03-30 02:12:15.006911	92827	45	2	8
2014-03-30 02:12:15.237307	92828	20.5	1	8
2014-03-30 02:12:27.24262	92829	49	2	1
2014-03-30 02:12:27.463811	92830	19.7	1	1
2014-03-30 02:12:32.115031	92831	418	3	2
2014-03-30 02:12:32.345474	92832	1125463.3605465293	4	2
2014-03-30 02:12:44.062539	92833	44	2	10
2014-03-30 02:12:44.286157	92834	20.9	1	10
2014-03-30 02:12:52.922424	92835	49	2	9
2014-03-30 02:12:53.154296	92836	19.6	1	9
2014-03-30 02:12:54.005497	92837	45	2	8
2014-03-30 02:12:54.22988	92838	20.5	1	8
2014-03-30 02:13:06.002943	92839	49	2	1
2014-03-30 02:13:06.233928	92840	19.7	1	1
2014-03-30 02:13:23.063538	92841	44	2	10
2014-03-30 02:13:23.284099	92842	20.9	1	10
2014-03-30 02:13:31.922085	92843	49	2	9
2014-03-30 02:13:32.153543	92844	19.6	1	9
2014-03-30 02:13:33.006388	92845	45	2	8
2014-03-30 02:13:33.227818	92846	20.5	1	8
2014-03-30 02:13:45.004975	92847	49	2	1
2014-03-30 02:13:45.235997	92848	19.7	1	1
2014-03-30 02:14:02.063381	92849	44	2	10
2014-03-30 02:14:02.285229	92850	20.9	1	10
2014-03-30 02:14:10.923558	92851	49	2	9
2014-03-30 02:14:11.155268	92852	19.6	1	9
2014-03-30 02:14:12.007176	92853	45	2	8
2014-03-30 02:14:12.249294	92854	20.5	1	8
2014-03-30 02:14:24.002427	92855	49	2	1
2014-03-30 02:14:24.233434	92856	19.7	1	1
2014-03-30 02:14:32.115017	92857	418	3	2
2014-03-30 02:14:32.336276	92858	1125478.2979979075	4	2
2014-03-30 02:14:41.061788	92859	44	2	10
2014-03-30 02:14:41.295048	92860	20.8	1	10
2014-03-30 02:14:49.924304	92861	49	2	9
2014-03-30 02:14:50.147118	92862	19.6	1	9
2014-03-30 02:14:51.008764	92863	45	2	8
2014-03-30 02:14:51.251504	92864	20.5	1	8
2014-03-30 02:15:03.001644	92865	49	2	1
2014-03-30 02:15:03.224407	92866	19.7	1	1
2014-03-30 02:15:20.063782	92867	44	2	10
2014-03-30 02:15:20.294406	92868	20.8	1	10
2014-03-30 02:15:28.923352	92869	49	2	9
2014-03-30 02:15:29.146824	92870	19.6	1	9
2014-03-30 02:15:30.006655	92871	45	2	8
2014-03-30 02:15:30.240481	92872	20.5	1	8
2014-03-30 02:15:32.114728	92873	418	3	2
2014-03-30 02:15:32.335033	92874	1125485.192206236	4	2
2014-03-30 02:15:42.003882	92875	49	2	1
2014-03-30 02:15:42.236438	92876	19.7	1	1
2014-03-30 02:15:59.063114	92877	44	2	10
2014-03-30 02:15:59.286022	92878	20.8	1	10
2014-03-30 02:16:07.977306	92879	49	2	9
2014-03-30 02:16:08.211906	92880	19.6	1	9
2014-03-30 02:16:09.006331	92881	45	2	8
2014-03-30 02:16:09.23028	92882	20.5	1	8
2014-03-30 02:16:20.112685	92883	370	3	2
2014-03-30 02:16:20.345617	92884	1125490.937379843	4	2
2014-03-30 02:16:20.999501	92885	49	2	1
2014-03-30 02:16:21.221973	92886	19.7	1	1
2014-03-30 02:16:32.112254	92887	370	3	2
2014-03-30 02:16:32.345143	92888	1125492.0864145646	4	2
2014-03-30 02:16:38.063257	92889	44	2	10
2014-03-30 02:16:38.287725	92890	20.8	1	10
2014-03-30 02:16:46.924278	92891	49	2	9
2014-03-30 02:16:47.156488	92892	19.6	1	9
2014-03-30 02:16:48.007658	92893	45	2	8
2014-03-30 02:16:48.229102	92894	20.5	1	8
2014-03-30 02:16:59.998134	92895	49	2	1
2014-03-30 02:17:00.230802	92896	19.7	1	1
2014-03-30 02:17:17.063516	92897	44	2	10
2014-03-30 02:17:17.286016	92898	20.8	1	10
2014-03-30 02:17:25.924256	92899	49	2	9
2014-03-30 02:17:26.157332	92900	19.6	1	9
2014-03-30 02:17:27.006984	92901	45	2	8
2014-03-30 02:17:27.228629	92902	20.5	1	8
2014-03-30 02:17:32.114902	92903	354	3	2
2014-03-30 02:17:32.347932	92904	1125497.8315881717	4	2
2014-03-30 02:17:38.999837	92905	49	2	1
2014-03-30 02:17:39.225455	92906	19.7	1	1
2014-03-30 02:17:56.062542	92907	44	2	10
2014-03-30 02:17:56.294919	92908	20.8	1	10
2014-03-30 02:18:04.919231	92909	49	2	9
2014-03-30 02:18:05.141713	92910	19.6	1	9
2014-03-30 02:18:06.007481	92911	45	2	8
2014-03-30 02:18:06.251164	92912	20.5	1	8
2014-03-30 02:18:18.001552	92913	49	2	1
2014-03-30 02:18:18.222756	92914	19.7	1	1
2014-03-30 02:18:32.116631	92915	354	3	2
2014-03-30 02:18:32.346738	92916	1125503.5767617787	4	2
2014-03-30 02:18:35.062777	92917	44	2	10
2014-03-30 02:18:35.28395	92918	20.8	1	10
2014-03-30 02:18:43.920614	92919	49	2	9
2014-03-30 02:18:44.153277	92920	19.6	1	9
2014-03-30 02:18:45.006067	92921	45	2	8
2014-03-30 02:18:45.227903	92922	20.5	1	8
2014-03-30 02:18:57.000645	92923	49	2	1
2014-03-30 02:18:57.231803	92924	19.7	1	1
2014-03-30 02:19:14.068075	92925	44	2	10
2014-03-30 02:19:14.290441	92926	20.8	1	10
2014-03-30 02:19:22.925359	92927	49	2	9
2014-03-30 02:19:23.157483	92928	19.6	1	9
2014-03-30 02:19:24.006336	92929	45	2	8
2014-03-30 02:19:24.227725	92930	20.5	1	8
2014-03-30 02:19:32.114336	92931	354	3	2
2014-03-30 02:19:32.344909	92932	1125510.4709701072	4	2
2014-03-30 02:19:35.99864	92933	49	2	1
2014-03-30 02:19:36.222685	92934	19.7	1	1
2014-03-30 02:19:53.062274	92935	44	2	10
2014-03-30 02:19:53.294422	92936	20.8	1	10
2014-03-30 02:20:01.92545	92937	49	2	9
2014-03-30 02:20:02.149914	92938	19.6	1	9
2014-03-30 02:20:03.010663	92939	45	2	8
2014-03-30 02:20:03.240126	92940	20.5	1	8
2014-03-30 02:20:15.003171	92941	49	2	1
2014-03-30 02:20:15.225155	92942	19.7	1	1
2014-03-30 02:20:40.921568	92943	49	2	9
2014-03-30 02:20:41.155584	92944	19.6	1	9
2014-03-30 02:20:42.007513	92945	45	2	8
2014-03-30 02:20:42.229704	92946	20.5	1	8
2014-03-30 02:20:53.996835	92947	49	2	1
2014-03-30 02:20:54.233598	92948	19.7	1	1
2014-03-30 02:20:56.117095	92949	338	3	2
2014-03-30 02:20:56.339143	92950	1125518.5142131571	4	2
2014-03-30 02:21:08.170274	92951	338	3	2
2014-03-30 02:21:08.403182	92952	1125519.6632478787	4	2
2014-03-30 02:21:11.062449	92953	44	2	10
2014-03-30 02:21:11.286331	92954	20.8	1	10
2014-03-30 02:21:19.923045	92955	49	2	9
2014-03-30 02:21:20.158093	92956	19.6	1	9
2014-03-30 02:21:21.006886	92957	45	2	8
2014-03-30 02:21:21.231616	92958	20.5	1	8
2014-03-30 02:21:32.1134	92959	305	3	2
2014-03-30 02:21:32.360174	92960	1125521.9613173213	4	2
2014-03-30 02:21:33.043062	92961	49	2	1
2014-03-30 02:21:33.267133	92962	19.7	1	1
2014-03-30 02:21:44.112394	92963	338	3	2
2014-03-30 02:21:44.346266	92964	1125523.1103520428	4	2
2014-03-30 02:21:50.066662	92965	44	2	10
2014-03-30 02:21:50.290608	92966	20.8	1	10
2014-03-30 02:21:56.114344	92967	338	3	2
2014-03-30 02:21:56.346857	92968	1125524.2593867641	4	2
2014-03-30 02:21:58.923201	92969	49	2	9
2014-03-30 02:21:59.143058	92970	19.6	1	9
2014-03-30 02:22:00.00696	92971	45	2	8
2014-03-30 02:22:00.243281	92972	20.5	1	8
2014-03-30 02:22:11.997886	92973	49	2	1
2014-03-30 02:22:12.21953	92974	19.7	1	1
2014-03-30 02:22:29.064961	92975	44	2	10
2014-03-30 02:22:29.296102	92976	20.8	1	10
2014-03-30 02:22:32.112381	92977	338	3	2
2014-03-30 02:22:32.334853	92978	1125527.7064909285	4	2
2014-03-30 02:22:37.922844	92979	49	2	9
2014-03-30 02:22:38.158899	92980	19.6	1	9
2014-03-30 02:22:39.007613	92981	45	2	8
2014-03-30 02:22:39.229132	92982	20.5	1	8
2014-03-30 02:22:50.995299	92983	49	2	1
2014-03-30 02:22:51.226204	92984	19.7	1	1
2014-03-30 02:23:16.923934	92985	49	2	9
2014-03-30 02:23:17.146746	92986	19.6	1	9
2014-03-30 02:23:18.00763	92987	45	2	8
2014-03-30 02:23:18.238086	92988	20.5	1	8
2014-03-30 02:23:29.805218	92989	370	3	2
2014-03-30 02:23:30.027407	92990	1125532.302629814	4	2
2014-03-30 02:23:30.331589	92991	49	2	1
2014-03-30 02:23:30.565185	92992	19.7	1	1
2014-03-30 02:23:32.111855	92993	354	3	2
2014-03-30 02:23:32.333324	92994	1125533.4516645356	4	2
2014-03-30 02:23:47.064584	92995	44	2	10
2014-03-30 02:23:47.296536	92996	20.8	1	10
2014-03-30 02:23:55.924756	92997	49	2	9
2014-03-30 02:23:56.147628	92998	19.6	1	9
2014-03-30 02:23:57.007275	92999	45	2	8
2014-03-30 02:23:57.238905	93000	20.5	1	8
2014-03-30 02:24:08.997554	93001	49	2	1
2014-03-30 02:24:09.218889	93002	19.7	1	1
2014-03-30 02:24:26.066914	93003	44	2	10
2014-03-30 02:24:26.312886	93004	20.8	1	10
2014-03-30 02:24:32.113516	93005	354	3	2
2014-03-30 02:24:32.334765	93006	1125539.1968381426	4	2
2014-03-30 02:24:34.920841	93007	49	2	9
2014-03-30 02:24:35.163805	93008	19.6	1	9
2014-03-30 02:24:36.008169	93009	45	2	8
2014-03-30 02:24:36.230685	93010	20.5	1	8
2014-03-30 02:24:47.994042	93011	49	2	1
2014-03-30 02:24:48.225776	93012	19.7	1	1
2014-03-30 02:25:05.06669	93013	44	2	10
2014-03-30 02:25:05.288856	93014	20.8	1	10
2014-03-30 02:25:13.922517	93015	49	2	9
2014-03-30 02:25:14.15466	93016	19.6	1	9
2014-03-30 02:25:15.0088	93017	45	2	8
2014-03-30 02:25:15.23261	93018	20.5	1	8
2014-03-30 02:25:26.997933	93019	49	2	1
2014-03-30 02:25:27.229723	93020	19.7	1	1
2014-03-30 02:25:32.112622	93021	354	3	2
2014-03-30 02:25:32.340363	93022	1125544.9420117496	4	2
2014-03-30 02:25:44.069183	93023	44	2	10
2014-03-30 02:25:44.301102	93024	20.8	1	10
2014-03-30 02:25:52.924913	93025	49	2	9
2014-03-30 02:25:53.149261	93026	19.6	1	9
2014-03-30 02:25:54.009408	93027	45	2	8
2014-03-30 02:25:54.242601	93028	20.5	1	8
2014-03-30 02:26:05.995818	93029	49	2	1
2014-03-30 02:26:06.219438	93030	19.7	1	1
2014-03-30 02:26:23.068413	93031	44	2	10
2014-03-30 02:26:23.299891	93032	20.8	1	10
2014-03-30 02:26:31.924642	93033	49	2	9
2014-03-30 02:26:32.147032	93034	19.6	1	9
2014-03-30 02:26:33.007671	93035	45	2	8
2014-03-30 02:26:33.239316	93036	20.5	1	8
2014-03-30 02:26:44.99473	93037	49	2	1
2014-03-30 02:26:45.216909	93038	19.6	1	1
2014-03-30 02:27:02.065037	93039	44	2	10
2014-03-30 02:27:02.300184	93040	20.8	1	10
2014-03-30 02:27:10.919595	93041	49	2	9
2014-03-30 02:27:11.142793	93042	19.6	1	9
2014-03-30 02:27:12.008	93043	45	2	8
2014-03-30 02:27:12.241761	93044	20.5	1	8
2014-03-30 02:27:23.991955	93045	49	2	1
2014-03-30 02:27:24.214508	93046	19.6	1	1
2014-03-30 02:27:32.112142	93047	354	3	2
2014-03-30 02:27:32.346465	93048	1125557.5813936852	4	2
2014-03-30 02:27:41.067452	93049	44	2	10
2014-03-30 02:27:41.289561	93050	20.8	1	10
2014-03-30 02:27:49.923837	93051	49	2	9
2014-03-30 02:27:50.156025	93052	19.6	1	9
2014-03-30 02:27:51.00624	93053	45	2	8
2014-03-30 02:27:51.22709	93054	20.5	1	8
2014-03-30 02:28:03.039596	93055	49	2	1
2014-03-30 02:28:03.282815	93056	19.6	1	1
2014-03-30 02:28:20.066414	93057	44	2	10
2014-03-30 02:28:20.287989	93058	20.8	1	10
2014-03-30 02:28:28.921724	93059	49	2	9
2014-03-30 02:28:29.154295	93060	19.6	1	9
2014-03-30 02:28:30.006819	93061	45	2	8
2014-03-30 02:28:30.227349	93062	20.5	1	8
2014-03-30 02:28:32.114097	93063	354	3	2
2014-03-30 02:28:32.346641	93064	1125563.3265672922	4	2
2014-03-30 02:28:42.038128	93065	49	2	1
2014-03-30 02:28:42.259696	93066	19.6	1	1
2014-03-30 02:28:59.064731	93067	44	2	10
2014-03-30 02:28:59.297181	93068	20.8	1	10
2014-03-30 02:29:07.919553	93069	49	2	9
2014-03-30 02:29:08.140795	93070	19.6	1	9
2014-03-30 02:29:09.008739	93071	45	2	8
2014-03-30 02:29:09.240154	93072	20.5	1	8
2014-03-30 02:29:20.993177	93073	49	2	1
2014-03-30 02:29:21.217777	93074	19.6	1	1
2014-03-30 02:29:38.121732	93075	44	2	10
2014-03-30 02:29:38.354735	93076	20.8	1	10
2014-03-30 02:29:46.922737	93077	49	2	9
2014-03-30 02:29:47.146466	93078	19.6	1	9
2014-03-30 02:29:48.006567	93079	45	2	8
2014-03-30 02:29:48.237922	93080	20.5	1	8
2014-03-30 02:29:59.99446	93081	49	2	1
2014-03-30 02:30:00.217069	93082	19.6	1	1
2014-03-30 02:30:17.064639	93083	44	2	10
2014-03-30 02:30:17.297878	93084	20.8	1	10
2014-03-30 02:30:20.113004	93085	338	3	2
2014-03-30 02:30:20.334889	93086	1125572.5188450636	4	2
2014-03-30 02:30:25.924132	93087	49	2	9
2014-03-30 02:30:26.157134	93088	19.6	1	9
2014-03-30 02:30:27.007441	93089	45	2	8
2014-03-30 02:30:27.228934	93090	20.5	1	8
2014-03-30 02:30:32.113168	93091	305	3	2
2014-03-30 02:30:32.346813	93092	1125573.667879785	4	2
2014-03-30 02:30:38.992317	93093	49	2	1
2014-03-30 02:30:39.215323	93094	19.6	1	1
2014-03-30 02:30:44.114088	93095	305	3	2
2014-03-30 02:30:44.346909	93096	1125574.8169145065	4	2
2014-03-30 02:30:56.070233	93097	44	2	10
2014-03-30 02:30:56.292531	93098	20.8	1	10
2014-03-30 02:31:04.929072	93099	49	2	9
2014-03-30 02:31:05.163975	93100	19.6	1	9
2014-03-30 02:31:06.008652	93101	45	2	8
2014-03-30 02:31:06.231969	93102	20.5	1	8
2014-03-30 02:31:17.992903	93103	49	2	1
2014-03-30 02:31:18.237107	93104	19.6	1	1
2014-03-30 02:31:32.122676	93105	305	3	2
2014-03-30 02:31:32.345927	93106	1125579.4130533922	4	2
2014-03-30 02:31:35.072817	93107	44	2	10
2014-03-30 02:31:35.30408	93108	20.8	1	10
2014-03-30 02:31:43.928119	93109	49	2	9
2014-03-30 02:31:44.156296	93110	19.6	1	9
2014-03-30 02:31:45.007469	93111	45	2	8
2014-03-30 02:31:45.241861	93112	20.5	1	8
2014-03-30 02:31:56.992728	93113	49	2	1
2014-03-30 02:31:57.218557	93114	19.6	1	1
2014-03-30 02:32:14.071477	93115	44	2	10
2014-03-30 02:32:14.304863	93116	20.8	1	10
2014-03-30 02:32:22.923682	93117	49	2	9
2014-03-30 02:32:23.147123	93118	19.6	1	9
2014-03-30 02:32:24.00732	93119	45	2	8
2014-03-30 02:32:24.241014	93120	20.5	1	8
2014-03-30 02:32:32.112925	93121	305	3	2
2014-03-30 02:32:32.339554	93122	1125584.0091922777	4	2
2014-03-30 02:32:35.992551	93123	49	2	1
2014-03-30 02:32:36.227294	93124	19.6	1	1
2014-03-30 02:32:53.066754	93125	44	2	10
2014-03-30 02:32:53.29551	93126	20.8	1	10
2014-03-30 02:33:01.926022	93127	49	2	9
2014-03-30 02:33:02.158535	93128	19.6	1	9
2014-03-30 02:33:03.008551	93129	45	2	8
2014-03-30 02:33:03.251601	93130	20.5	1	8
2014-03-30 02:33:14.997962	93131	49	2	1
2014-03-30 02:33:15.230081	93132	19.6	1	1
2014-03-30 02:33:40.923057	93133	49	2	9
2014-03-30 02:33:41.147652	93134	19.6	1	9
2014-03-30 02:33:42.007813	93135	45	2	8
2014-03-30 02:33:42.241035	93136	20.5	1	8
2014-03-30 02:33:53.990065	93137	49	2	1
2014-03-30 02:33:54.214048	93138	19.6	1	1
2014-03-30 02:34:11.069101	93139	44	2	10
2014-03-30 02:34:11.3009	93140	20.8	1	10
2014-03-30 02:34:19.923501	93141	49	2	9
2014-03-30 02:34:20.149008	93142	19.6	1	9
2014-03-30 02:34:21.007705	93143	45	2	8
2014-03-30 02:34:21.241951	93144	20.5	1	8
2014-03-30 02:34:32.114807	93145	305	3	2
2014-03-30 02:34:32.340272	93146	1125594.3505047704	4	2
2014-03-30 02:34:32.990989	93147	49	2	1
2014-03-30 02:34:33.222717	93148	19.6	1	1
2014-03-30 02:34:50.067845	93149	44	2	10
2014-03-30 02:34:50.291595	93150	20.8	1	10
2014-03-30 02:34:58.923224	93151	49	2	9
2014-03-30 02:34:59.166957	93152	19.6	1	9
2014-03-30 02:35:00.005396	93153	45	2	8
2014-03-30 02:35:00.227238	93154	20.5	1	8
2014-03-30 02:35:11.991864	93155	49	2	1
2014-03-30 02:35:12.22295	93156	19.6	1	1
2014-03-30 02:35:29.069882	93157	44	2	10
2014-03-30 02:35:29.29115	93158	20.7	1	10
2014-03-30 02:35:32.111463	93159	305	3	2
2014-03-30 02:35:32.343222	93160	1125600.0956783777	4	2
2014-03-30 02:35:37.924634	93161	49	2	9
2014-03-30 02:35:38.184221	93162	19.6	1	9
2014-03-30 02:35:39.007069	93163	45	2	8
2014-03-30 02:35:39.239047	93164	20.5	1	8
2014-03-30 02:35:51.036388	93165	49	2	1
2014-03-30 02:35:51.258849	93166	19.6	1	1
2014-03-30 02:36:16.924164	93167	49	2	9
2014-03-30 02:36:17.15528	93168	19.6	1	9
2014-03-30 02:36:18.007304	93169	45	2	8
2014-03-30 02:36:18.229886	93170	20.5	1	8
2014-03-30 02:36:20.111672	93171	354	3	2
2014-03-30 02:36:20.344046	93172	1125603.5427825418	4	2
2014-03-30 02:36:29.991345	93173	49	2	1
2014-03-30 02:36:30.212795	93174	19.6	1	1
2014-03-30 02:36:32.111346	93175	354	3	2
2014-03-30 02:36:32.342865	93176	1125605.8408519847	4	2
2014-03-30 02:36:47.071335	93177	44	2	10
2014-03-30 02:36:47.29628	93178	20.7	1	10
2014-03-30 02:36:55.923295	93179	49	2	9
2014-03-30 02:36:56.159254	93180	19.6	1	9
2014-03-30 02:36:57.008094	93181	45	2	8
2014-03-30 02:36:57.232297	93182	20.5	1	8
2014-03-30 02:37:08.990242	93183	49	2	1
2014-03-30 02:37:09.224709	93184	19.6	1	1
2014-03-30 02:37:26.067573	93185	44	2	10
2014-03-30 02:37:26.293698	93186	20.7	1	10
2014-03-30 02:37:32.112443	93187	354	3	2
2014-03-30 02:37:32.349134	93188	1125611.5860255917	4	2
2014-03-30 02:37:34.923372	93189	49	2	9
2014-03-30 02:37:35.149617	93190	19.6	1	9
2014-03-30 02:37:36.008264	93191	45	2	8
2014-03-30 02:37:36.243175	93192	20.5	1	8
2014-03-30 02:37:47.987011	93193	49	2	1
2014-03-30 02:37:48.214195	93194	19.6	1	1
2014-03-30 02:38:05.067962	93195	44	2	10
2014-03-30 02:38:05.302269	93196	20.7	1	10
2014-03-30 02:38:13.925537	93197	49	2	9
2014-03-30 02:38:14.150823	93198	19.6	1	9
2014-03-30 02:38:15.006704	93199	45	2	8
2014-03-30 02:38:15.250535	93200	20.5	1	8
2014-03-30 02:38:26.98936	93201	49	2	1
2014-03-30 02:38:27.21263	93202	19.6	1	1
2014-03-30 02:38:32.112702	93203	370	3	2
2014-03-30 02:38:32.538559	93204	1125617.3311991987	4	2
2014-03-30 02:38:44.073626	93205	44	2	10
2014-03-30 02:38:44.297372	93206	20.7	1	10
2014-03-30 02:38:52.926352	93207	49	2	9
2014-03-30 02:38:53.149992	93208	19.6	1	9
2014-03-30 02:38:54.00748	93209	45	2	8
2014-03-30 02:38:54.236245	93210	20.5	1	8
2014-03-30 02:39:05.990432	93211	49	2	1
2014-03-30 02:39:06.216175	93212	19.6	1	1
2014-03-30 02:39:23.07034	93213	44	2	10
2014-03-30 02:39:23.303601	93214	20.7	1	10
2014-03-30 02:39:31.92477	93215	49	2	9
2014-03-30 02:39:32.148706	93216	19.6	1	9
2014-03-30 02:39:33.006084	93217	45	2	8
2014-03-30 02:39:33.239245	93218	20.5	1	8
2014-03-30 02:39:44.988883	93219	49	2	1
2014-03-30 02:39:45.21134	93220	19.6	1	1
2014-03-30 02:40:02.071696	93221	44	2	10
2014-03-30 02:40:02.304233	93222	20.7	1	10
2014-03-30 02:40:10.924203	93223	49	2	9
2014-03-30 02:40:11.147812	93224	19.6	1	9
2014-03-30 02:40:12.005794	93225	45	2	8
2014-03-30 02:40:12.236707	93226	20.5	1	8
2014-03-30 02:40:23.984938	93227	49	2	1
2014-03-30 02:40:24.208032	93228	19.6	1	1
2014-03-30 02:40:32.112384	93229	354	3	2
2014-03-30 02:40:32.343801	93230	1125628.821546413	4	2
2014-03-30 02:40:41.069905	93231	44	2	10
2014-03-30 02:40:41.293638	93232	20.7	1	10
2014-03-30 02:40:49.924056	93233	49	2	9
2014-03-30 02:40:50.154269	93234	19.6	1	9
2014-03-30 02:40:51.004817	93235	45	2	8
2014-03-30 02:40:51.228789	93236	20.5	1	8
2014-03-30 02:41:02.989088	93237	49	2	1
2014-03-30 02:41:03.223363	93238	19.6	1	1
2014-03-30 02:41:20.071084	93239	44	2	10
2014-03-30 02:41:20.293891	93240	20.7	1	10
2014-03-30 02:41:28.926435	93241	49	2	9
2014-03-30 02:41:29.159684	93242	19.6	1	9
2014-03-30 02:41:30.008273	93243	45	2	8
2014-03-30 02:41:30.230769	93244	20.5	1	8
2014-03-30 02:41:32.111634	93245	370	3	2
2014-03-30 02:41:32.344497	93246	1125635.7157547416	4	2
2014-03-30 02:41:41.987432	93247	49	2	1
2014-03-30 02:41:42.210358	93248	19.6	1	1
2014-03-30 02:41:56.111682	93249	305	3	2
2014-03-30 02:41:56.354326	93250	1125638.0138241842	4	2
2014-03-30 02:41:59.072483	93251	44	2	10
2014-03-30 02:41:59.293959	93252	20.7	1	10
2014-03-30 02:42:07.925504	93253	49	2	9
2014-03-30 02:42:08.159121	93254	19.6	1	9
2014-03-30 02:42:09.007001	93255	45	2	8
2014-03-30 02:42:09.226721	93256	20.5	1	8
2014-03-30 02:42:20.986985	93257	49	2	1
2014-03-30 02:42:21.22005	93258	19.6	1	1
2014-03-30 02:42:32.112746	93259	305	3	2
2014-03-30 02:42:32.333224	93260	1125640.311893627	4	2
2014-03-30 02:42:38.071345	93261	44	2	10
2014-03-30 02:42:38.329788	93262	20.7	1	10
2014-03-30 02:42:46.923801	93263	49	2	9
2014-03-30 02:42:47.149337	93264	19.6	1	9
2014-03-30 02:42:48.005511	93265	45	2	8
2014-03-30 02:42:48.238843	93266	20.5	1	8
2014-03-30 02:42:59.987706	93267	49	2	1
2014-03-30 02:43:00.209079	93268	19.6	1	1
2014-03-30 02:43:17.068649	93269	44	2	10
2014-03-30 02:43:17.301661	93270	20.7	1	10
2014-03-30 02:43:25.926643	93271	49	2	9
2014-03-30 02:43:26.147924	93272	19.5	1	9
2014-03-30 02:43:27.005014	93273	45	2	8
2014-03-30 02:43:27.237917	93274	20.5	1	8
2014-03-30 02:43:32.111071	93275	305	3	2
2014-03-30 02:43:32.336716	93276	1125646.0570672343	4	2
2014-03-30 02:43:38.984792	93277	49	2	1
2014-03-30 02:43:39.217414	93278	19.6	1	1
2014-03-30 02:43:56.072987	93279	44	2	10
2014-03-30 02:43:56.295193	93280	20.7	1	10
2014-03-30 02:44:04.923694	93281	49	2	9
2014-03-30 02:44:05.15614	93282	19.5	1	9
2014-03-30 02:44:06.007282	93283	45	2	8
2014-03-30 02:44:06.229261	93284	20.5	1	8
2014-03-30 02:44:17.985197	93285	49	2	1
2014-03-30 02:44:18.217244	93286	19.6	1	1
2014-03-30 02:44:32.114206	93287	305	3	2
2014-03-30 02:44:32.336611	93288	1125650.6532061198	4	2
2014-03-30 02:44:35.0707	93289	44	2	10
2014-03-30 02:44:35.30413	93290	20.7	1	10
2014-03-30 02:44:43.925846	93291	49	2	9
2014-03-30 02:44:44.151702	93292	19.5	1	9
2014-03-30 02:44:45.007777	93293	45	2	8
2014-03-30 02:44:45.242017	93294	20.5	1	8
2014-03-30 02:44:56.986468	93295	49	2	1
2014-03-30 02:44:57.209539	93296	19.6	1	1
2014-03-30 02:45:14.072217	93297	44	2	10
2014-03-30 02:45:14.318282	93298	20.7	1	10
2014-03-30 02:45:23.125774	93299	49	2	9
2014-03-30 02:45:23.347111	93300	19.5	1	9
2014-03-30 02:45:24.008794	93301	45	2	8
2014-03-30 02:45:24.239147	93302	20.5	1	8
2014-03-30 02:45:32.11421	93303	305	3	2
2014-03-30 02:45:32.337284	93304	1125656.398379727	4	2
2014-03-30 02:45:35.989141	93305	49	2	1
2014-03-30 02:45:36.220619	93306	19.6	1	1
2014-03-30 02:45:53.070756	93307	44	2	10
2014-03-30 02:45:53.293708	93308	20.7	1	10
2014-03-30 02:46:01.926051	93309	49	2	9
2014-03-30 02:46:02.156994	93310	19.5	1	9
2014-03-30 02:46:03.007158	93311	45	2	8
2014-03-30 02:46:03.231814	93312	20.5	1	8
2014-03-30 02:46:14.988122	93313	49	2	1
2014-03-30 02:46:15.218899	93314	19.6	1	1
2014-03-30 02:46:40.927166	93315	49	2	9
2014-03-30 02:46:41.150257	93316	19.5	1	9
2014-03-30 02:46:42.007346	93317	45	2	8
2014-03-30 02:46:42.239051	93318	20.5	1	8
2014-03-30 02:46:53.988594	93319	49	2	1
2014-03-30 02:46:54.211509	93320	19.6	1	1
2014-03-30 02:47:11.071798	93321	44	2	10
2014-03-30 02:47:11.303643	93322	20.7	1	10
2014-03-30 02:47:19.921988	93323	49	2	9
2014-03-30 02:47:20.148316	93324	19.5	1	9
2014-03-30 02:47:21.010115	93325	45	2	8
2014-03-30 02:47:21.243335	93326	20.5	1	8
2014-03-30 02:47:32.114978	93327	305	3	2
2014-03-30 02:47:32.336552	93328	1125666.7396922198	4	2
2014-03-30 02:47:32.983224	93329	49	2	1
2014-03-30 02:47:33.215992	93330	19.6	1	1
2014-03-30 02:47:50.074879	93331	44	2	10
2014-03-30 02:47:50.300871	93332	20.7	1	10
2014-03-30 02:47:58.923191	93333	49	2	9
2014-03-30 02:47:59.159072	93334	19.5	1	9
2014-03-30 02:48:00.009375	93335	45	2	8
2014-03-30 02:48:00.233592	93336	20.5	1	8
2014-03-30 02:48:11.985689	93337	49	2	1
2014-03-30 02:48:12.218563	93338	19.6	1	1
2014-03-30 02:48:29.073318	93339	44	2	10
2014-03-30 02:48:29.297144	93340	20.7	1	10
2014-03-30 02:48:32.110269	93341	305	3	2
2014-03-30 02:48:32.344297	93342	1125671.3358311052	4	2
2014-03-30 02:48:37.92389	93343	49	2	9
2014-03-30 02:48:38.148763	93344	19.5	1	9
2014-03-30 02:48:39.00713	93345	45	2	8
2014-03-30 02:48:39.25301	93346	20.5	1	8
2014-03-30 02:48:50.981146	93347	49	2	1
2014-03-30 02:48:51.204488	93348	19.6	1	1
2014-03-30 02:48:56.111813	93349	354	3	2
2014-03-30 02:48:56.356662	93350	1125673.633900548	4	2
2014-03-30 02:49:17.126227	93351	49	2	9
2014-03-30 02:49:17.350001	93352	19.5	1	9
2014-03-30 02:49:18.007487	93353	45	2	8
2014-03-30 02:49:18.238272	93354	20.5	1	8
2014-03-30 02:49:29.984595	93355	49	2	1
2014-03-30 02:49:30.206711	93356	19.6	1	1
2014-03-30 02:49:32.112215	93357	354	3	2
2014-03-30 02:49:32.344886	93358	1125677.0810047125	4	2
2014-03-30 02:49:47.073184	93359	44	2	10
2014-03-30 02:49:47.296008	93360	20.7	1	10
2014-03-30 02:49:55.927537	93361	49	2	9
2014-03-30 02:49:56.159473	93362	19.5	1	9
2014-03-30 02:49:57.006909	93363	45	2	8
2014-03-30 02:49:57.228464	93364	20.5	1	8
2014-03-30 02:50:09.022255	93365	49	2	1
2014-03-30 02:50:09.271563	93366	19.6	1	1
2014-03-30 02:50:26.074546	93367	44	2	10
2014-03-30 02:50:26.81579	93368	20.7	1	10
2014-03-30 02:50:32.12028	93369	354	3	2
2014-03-30 02:50:32.474938	93370	1125682.8261783195	4	2
2014-03-30 02:50:34.92279	93371	49	2	9
2014-03-30 02:50:35.199939	93372	19.5	1	9
2014-03-30 02:50:36.006665	93373	45	2	8
2014-03-30 02:50:36.272773	93374	20.5	1	8
2014-03-30 02:50:48.224147	93375	49	2	1
2014-03-30 02:50:48.481445	93376	19.6	1	1
2014-03-30 02:51:05.073221	93377	44	2	10
2014-03-30 02:51:05.305508	93378	20.7	1	10
2014-03-30 02:51:13.92267	93379	49	2	9
2014-03-30 02:51:14.147159	93380	19.5	1	9
2014-03-30 02:51:15.007565	93381	45	2	8
2014-03-30 02:51:15.24029	93382	20.5	1	8
2014-03-30 02:51:26.981941	93383	49	2	1
2014-03-30 02:51:27.209355	93384	19.6	1	1
2014-03-30 02:51:32.112224	93385	354	3	2
2014-03-30 02:51:32.348242	93386	1125689.7203866479	4	2
2014-03-30 02:51:44.075235	93387	44	2	10
2014-03-30 02:51:44.300032	93388	20.7	1	10
2014-03-30 02:51:52.928115	93389	49	2	9
2014-03-30 02:51:53.159856	93390	19.5	1	9
2014-03-30 02:51:54.005738	93391	45	2	8
2014-03-30 02:51:54.227824	93392	20.5	1	8
2014-03-30 02:52:05.982059	93393	49	2	1
2014-03-30 02:52:06.226854	93394	19.6	1	1
2014-03-30 02:52:23.070071	93395	44	2	10
2014-03-30 02:52:23.291922	93396	20.7	1	10
2014-03-30 02:52:31.934033	93397	49	2	9
2014-03-30 02:52:32.167473	93398	19.5	1	9
2014-03-30 02:52:33.00844	93399	45	2	8
2014-03-30 02:52:33.228952	93400	20.5	1	8
2014-03-30 02:52:44.982995	93401	49	2	1
2014-03-30 02:52:45.21712	93402	19.6	1	1
2014-03-30 02:53:02.07255	93403	44	2	10
2014-03-30 02:53:02.295683	93404	20.7	1	10
2014-03-30 02:53:10.925089	93405	49	2	9
2014-03-30 02:53:11.158541	93406	19.5	1	9
2014-03-30 02:53:12.006335	93407	45	2	8
2014-03-30 02:53:12.229979	93408	20.5	1	8
2014-03-30 02:53:23.97986	93409	49	2	1
2014-03-30 02:53:24.215162	93410	19.6	1	1
2014-03-30 02:53:32.113485	93411	354	3	2
2014-03-30 02:53:32.336593	93412	1125701.2107338621	4	2
2014-03-30 02:53:41.071113	93413	44	2	10
2014-03-30 02:53:41.3045	93414	20.7	1	10
2014-03-30 02:53:49.923002	93415	49	2	9
2014-03-30 02:53:50.146097	93416	19.5	1	9
2014-03-30 02:53:51.007005	93417	45	2	8
2014-03-30 02:53:51.24363	93418	20.5	1	8
2014-03-30 02:54:02.980763	93419	49	2	1
2014-03-30 02:54:03.20538	93420	19.6	1	1
2014-03-30 02:54:20.074192	93421	44	2	10
2014-03-30 02:54:20.308602	93422	20.7	1	10
2014-03-30 02:54:28.919517	93423	49	2	9
2014-03-30 02:54:29.143509	93424	19.5	1	9
2014-03-30 02:54:30.007033	93425	45	2	8
2014-03-30 02:54:30.240512	93426	20.5	1	8
2014-03-30 02:54:32.111966	93427	354	3	2
2014-03-30 02:54:32.334734	93428	1125706.9559074691	4	2
2014-03-30 02:54:41.978465	93429	49	2	1
2014-03-30 02:54:42.210089	93430	19.6	1	1
2014-03-30 02:54:56.112039	93431	305	3	2
2014-03-30 02:54:56.333896	93432	1125709.253976912	4	2
2014-03-30 02:54:59.071879	93433	44	2	10
2014-03-30 02:54:59.306115	93434	20.7	1	10
2014-03-30 02:55:07.925443	93435	49	2	9
2014-03-30 02:55:08.148196	93436	19.5	1	9
2014-03-30 02:55:09.006345	93437	45	2	8
2014-03-30 02:55:09.293626	93438	20.5	1	8
2014-03-30 02:55:20.977658	93439	49	2	1
2014-03-30 02:55:21.200612	93440	19.6	1	1
2014-03-30 02:55:32.11392	93441	305	3	2
2014-03-30 02:55:32.358762	93442	1125711.5520463549	4	2
2014-03-30 02:55:38.075624	93443	44	2	10
2014-03-30 02:55:38.321589	93444	20.7	1	10
2014-03-30 02:55:46.922433	93445	49	2	9
2014-03-30 02:55:47.154903	93446	19.5	1	9
2014-03-30 02:55:48.007326	93447	45	2	8
2014-03-30 02:55:48.228775	93448	20.5	1	8
2014-03-30 02:55:59.98081	93449	49	2	1
2014-03-30 02:56:00.213324	93450	19.6	1	1
2014-03-30 02:56:17.0764	93451	44	2	10
2014-03-30 02:56:17.300556	93452	20.7	1	10
2014-03-30 02:56:25.925114	93453	49	2	9
2014-03-30 02:56:26.157615	93454	19.5	1	9
2014-03-30 02:56:27.007319	93455	45	2	8
2014-03-30 02:56:27.229563	93456	20.5	1	8
2014-03-30 02:56:32.110607	93457	305	3	2
2014-03-30 02:56:32.342515	93458	1125717.2972199619	4	2
2014-03-30 02:56:38.993444	93459	49	2	1
2014-03-30 02:56:39.217249	93460	19.5	1	1
2014-03-30 02:56:56.076204	93461	44	2	10
2014-03-30 02:56:56.309788	93462	20.7	1	10
2014-03-30 02:57:04.925606	93463	49	2	9
2014-03-30 02:57:05.148018	93464	19.5	1	9
2014-03-30 02:57:06.006486	93465	45	2	8
2014-03-30 02:57:06.237321	93466	20.5	1	8
2014-03-30 02:57:18.023679	93467	49	2	1
2014-03-30 02:57:18.248151	93468	19.5	1	1
2014-03-30 02:57:32.112283	93469	305	3	2
2014-03-30 02:57:32.344832	93470	1125721.8933588476	4	2
2014-03-30 02:57:35.075865	93471	44	2	10
2014-03-30 02:57:35.299109	93472	20.7	1	10
2014-03-30 02:57:43.932487	93473	49	2	9
2014-03-30 02:57:44.165226	93474	19.5	1	9
2014-03-30 02:57:45.009267	93475	45	2	8
2014-03-30 02:57:45.23347	93476	20.5	1	8
2014-03-30 02:57:56.982697	93477	49	2	1
2014-03-30 02:57:57.218758	93478	19.5	1	1
2014-03-30 02:58:14.078581	93479	44	2	10
2014-03-30 02:58:14.307995	93480	20.7	1	10
2014-03-30 02:58:22.920484	93481	49	2	9
2014-03-30 02:58:23.176366	93482	19.5	1	9
2014-03-30 02:58:24.007616	93483	45	2	8
2014-03-30 02:58:24.233302	93484	20.5	1	8
2014-03-30 02:58:32.112354	93485	305	3	2
2014-03-30 02:58:32.345529	93486	1125727.6385324546	4	2
2014-03-30 02:58:35.977125	93487	49	2	1
2014-03-30 02:58:36.200968	93488	19.6	1	1
2014-03-30 02:58:53.07638	93489	44	2	10
2014-03-30 02:58:53.323468	93490	20.7	1	10
2014-03-30 02:59:01.927941	93491	49	2	9
2014-03-30 02:59:02.153644	93492	19.5	1	9
2014-03-30 02:59:03.006722	93493	45	2	8
2014-03-30 02:59:03.241565	93494	20.5	1	8
2014-03-30 02:59:14.985105	93495	49	2	1
2014-03-30 02:59:15.209539	93496	19.6	1	1
2014-03-30 02:59:40.9248	93497	49	2	9
2014-03-30 02:59:41.15593	93498	19.5	1	9
2014-03-30 02:59:42.005579	93499	45	2	8
2014-03-30 02:59:42.228176	93500	20.5	1	8
2014-03-30 02:59:53.977019	93501	49	2	1
2014-03-30 02:59:54.209511	93502	19.5	1	1
2014-03-30 03:00:08.111561	93503	338	3	2
2014-03-30 03:00:08.336158	93504	1125735.6817755045	4	2
2014-03-30 03:00:11.071981	93505	44	2	10
2014-03-30 03:00:11.304904	93506	20.7	1	10
2014-03-30 03:00:19.92157	93507	49	2	9
2014-03-30 03:00:20.144016	93508	19.5	1	9
2014-03-30 03:00:21.008089	93509	45	2	8
2014-03-30 03:00:21.239345	93510	20.5	1	8
2014-03-30 03:00:32.115538	93511	305	3	2
2014-03-30 03:00:32.338496	93512	1125737.9798449473	4	2
2014-03-30 03:00:32.973556	93513	49	2	1
2014-03-30 03:00:33.205022	93514	19.5	1	1
2014-03-30 03:00:50.074626	93515	44	2	10
2014-03-30 03:00:50.29931	93516	20.7	1	10
2014-03-30 03:00:58.925042	93517	49	2	9
2014-03-30 03:00:59.157662	93518	19.5	1	9
2014-03-30 03:01:00.007227	93519	45	2	8
2014-03-30 03:01:00.228605	93520	20.5	1	8
2014-03-30 03:01:08.113935	93521	338	3	2
2014-03-30 03:01:08.347318	93522	1125740.2823853425	4	2
2014-03-30 03:01:11.97705	93523	49	2	1
2014-03-30 03:01:12.20054	93524	19.5	1	1
2014-03-30 03:01:20.111556	93525	305	3	2
2014-03-30 03:01:20.363642	93526	1125741.4314200638	4	2
2014-03-30 03:01:29.079047	93527	44	2	10
2014-03-30 03:01:29.300739	93528	20.7	1	10
2014-03-30 03:01:37.924676	93529	49	2	9
2014-03-30 03:01:38.156784	93530	19.5	1	9
2014-03-30 03:01:39.061879	93531	45	2	8
2014-03-30 03:01:39.28701	93532	20.5	1	8
2014-03-30 03:01:44.112323	93533	354	3	2
2014-03-30 03:01:44.344471	93534	1125742.5804547854	4	2
2014-03-30 03:01:51.21632	93535	49	2	1
2014-03-30 03:01:51.439087	93536	19.5	1	1
2014-03-30 03:01:56.109361	93537	354	3	2
2014-03-30 03:01:56.352349	93538	1125744.878524228	4	2
2014-03-30 03:02:08.077473	93539	44	2	10
2014-03-30 03:02:08.300162	93540	20.7	1	10
2014-03-30 03:02:16.923391	93541	49	2	9
2014-03-30 03:02:17.155811	93542	19.5	1	9
2014-03-30 03:02:18.006497	93543	45	2	8
2014-03-30 03:02:18.230075	93544	20.5	1	8
2014-03-30 03:02:29.977633	93545	49	2	1
2014-03-30 03:02:30.209901	93546	19.5	1	1
2014-03-30 03:02:32.110262	93547	370	3	2
2014-03-30 03:02:32.333618	93548	1125748.3256283924	4	2
2014-03-30 03:02:47.078229	93549	44	2	10
2014-03-30 03:02:47.312883	93550	20.7	1	10
2014-03-30 03:02:55.93477	93551	49	2	9
2014-03-30 03:02:56.167457	93552	19.5	1	9
2014-03-30 03:02:57.006492	93553	45	2	8
2014-03-30 03:02:57.236409	93554	20.5	1	8
2014-03-30 03:03:08.97797	93555	49	2	1
2014-03-30 03:03:09.202928	93556	19.5	1	1
2014-03-30 03:03:26.078955	93557	44	2	10
2014-03-30 03:03:26.313022	93558	20.7	1	10
2014-03-30 03:03:32.113985	93559	370	3	2
2014-03-30 03:03:32.337173	93560	1125754.0708019994	4	2
2014-03-30 03:03:34.924632	93561	49	2	9
2014-03-30 03:03:35.158429	93562	19.5	1	9
2014-03-30 03:03:36.009984	93563	45	2	8
2014-03-30 03:03:36.241899	93564	20.5	1	8
2014-03-30 03:03:47.974551	93565	49	2	1
2014-03-30 03:03:48.20965	93566	19.5	1	1
2014-03-30 03:04:05.079455	93567	44	2	10
2014-03-30 03:04:05.304675	93568	20.6	1	10
2014-03-30 03:04:13.924127	93569	49	2	9
2014-03-30 03:04:14.159643	93570	19.5	1	9
2014-03-30 03:04:15.006862	93571	45	2	8
2014-03-30 03:04:15.231538	93572	20.5	1	8
2014-03-30 03:04:26.974959	93573	49	2	1
2014-03-30 03:04:27.209307	93574	19.5	1	1
2014-03-30 03:04:32.110154	93575	354	3	2
2014-03-30 03:04:32.34272	93576	1125759.8159756064	4	2
2014-03-30 03:04:44.078474	93577	44	2	10
2014-03-30 03:04:44.321078	93578	20.6	1	10
2014-03-30 03:04:52.923794	93579	49	2	9
2014-03-30 03:04:53.147465	93580	19.5	1	9
2014-03-30 03:04:54.006686	93581	45	2	8
2014-03-30 03:04:54.240799	93582	20.5	1	8
2014-03-30 03:05:05.973182	93583	49	2	1
2014-03-30 03:05:06.198327	93584	19.5	1	1
2014-03-30 03:05:23.283687	93585	44	2	10
2014-03-30 03:05:23.529182	93586	20.6	1	10
2014-03-30 03:05:31.921662	93587	49	2	9
2014-03-30 03:05:32.143309	93588	19.5	1	9
2014-03-30 03:05:33.005903	93589	45	2	8
2014-03-30 03:05:33.24038	93590	20.5	1	8
2014-03-30 03:05:44.110503	93591	418	3	2
2014-03-30 03:05:44.340493	93592	1125767.8592186563	4	2
2014-03-30 03:05:44.97197	93593	49	2	1
2014-03-30 03:05:45.205272	93594	19.5	1	1
2014-03-30 03:06:02.07799	93595	44	2	10
2014-03-30 03:06:02.300785	93596	20.6	1	10
2014-03-30 03:06:10.925042	93597	49	2	9
2014-03-30 03:06:11.15669	93598	19.5	1	9
2014-03-30 03:06:12.005499	93599	45	2	8
2014-03-30 03:06:12.226179	93600	20.5	1	8
2014-03-30 03:06:23.9748	93601	49	2	1
2014-03-30 03:06:24.207597	93602	19.5	1	1
2014-03-30 03:06:32.111931	93603	434	3	2
2014-03-30 03:06:32.336066	93604	1125773.6043922636	4	2
2014-03-30 03:06:41.076989	93605	44	2	10
2014-03-30 03:06:41.309842	93606	20.6	1	10
2014-03-30 03:06:44.113607	93607	402	3	2
2014-03-30 03:06:44.364278	93608	1125774.753426985	4	2
2014-03-30 03:06:49.924702	93609	49	2	9
2014-03-30 03:06:50.163049	93610	19.5	1	9
2014-03-30 03:06:51.008507	93611	45	2	8
2014-03-30 03:06:51.230725	93612	20.5	1	8
2014-03-30 03:06:56.109152	93613	370	3	2
2014-03-30 03:06:56.341679	93614	1125775.9024617062	4	2
2014-03-30 03:07:02.970589	93615	49	2	1
2014-03-30 03:07:03.193735	93616	19.5	1	1
2014-03-30 03:07:08.109843	93617	370	3	2
2014-03-30 03:07:08.349522	93618	1125777.0514964277	4	2
2014-03-30 03:07:20.079366	93619	44	2	10
2014-03-30 03:07:20.30153	93620	20.6	1	10
2014-03-30 03:07:28.924175	93621	49	2	9
2014-03-30 03:07:29.156737	93622	19.5	1	9
2014-03-30 03:07:30.005525	93623	45	2	8
2014-03-30 03:07:30.230176	93624	20.5	1	8
2014-03-30 03:07:41.974889	93625	49	2	1
2014-03-30 03:07:42.210048	93626	19.5	1	1
2014-03-30 03:07:59.077829	93627	44	2	10
2014-03-30 03:07:59.300452	93628	20.6	1	10
2014-03-30 03:08:07.926591	93629	49	2	9
2014-03-30 03:08:08.160359	93630	19.5	1	9
2014-03-30 03:08:09.007045	93631	45	2	8
2014-03-30 03:08:09.229727	93632	20.4	1	8
2014-03-30 03:08:20.972994	93633	49	2	1
2014-03-30 03:08:21.216743	93634	19.5	1	1
2014-03-30 03:08:32.111541	93635	370	3	2
2014-03-30 03:08:32.336077	93636	1125786.2437741992	4	2
2014-03-30 03:08:38.079642	93637	44	2	10
2014-03-30 03:08:38.312568	93638	20.6	1	10
2014-03-30 03:08:46.927076	93639	49	2	9
2014-03-30 03:08:47.150746	93640	19.5	1	9
2014-03-30 03:08:48.007665	93641	45	2	8
2014-03-30 03:08:48.23931	93642	20.4	1	8
2014-03-30 03:08:59.973206	93643	49	2	1
2014-03-30 03:09:00.197116	93644	19.5	1	1
2014-03-30 03:09:17.082173	93645	44	2	10
2014-03-30 03:09:17.319416	93646	20.6	1	10
2014-03-30 03:09:25.924911	93647	49	2	9
2014-03-30 03:09:26.149266	93648	19.5	1	9
2014-03-30 03:09:27.007754	93649	45	2	8
2014-03-30 03:09:27.239716	93650	20.4	1	8
2014-03-30 03:09:32.110783	93651	370	3	2
2014-03-30 03:09:32.334523	93652	1125791.9889478062	4	2
2014-03-30 03:09:38.971478	93653	49	2	1
2014-03-30 03:09:39.230096	93654	19.5	1	1
2014-03-30 03:09:56.08008	93655	44	2	10
2014-03-30 03:09:56.305758	93656	20.6	1	10
2014-03-30 03:10:04.92557	93657	49	2	9
2014-03-30 03:10:05.156369	93658	19.5	1	9
2014-03-30 03:10:06.006724	93659	45	2	8
2014-03-30 03:10:06.232974	93660	20.4	1	8
2014-03-30 03:10:17.970571	93661	49	2	1
2014-03-30 03:10:18.20431	93662	19.5	1	1
2014-03-30 03:10:32.120144	93663	370	3	2
2014-03-30 03:10:32.344749	93664	1125798.8831561345	4	2
2014-03-30 03:10:35.080183	93665	44	2	10
2014-03-30 03:10:35.312696	93666	20.6	1	10
2014-03-30 03:10:43.923119	93667	49	2	9
2014-03-30 03:10:44.146816	93668	19.5	1	9
2014-03-30 03:10:45.006709	93669	45	2	8
2014-03-30 03:10:45.239614	93670	20.4	1	8
2014-03-30 03:10:56.969795	93671	49	2	1
2014-03-30 03:10:57.192763	93672	19.5	1	1
2014-03-30 03:11:14.078503	93673	44	2	10
2014-03-30 03:11:14.312339	93674	20.6	1	10
2014-03-30 03:11:22.925984	93675	49	2	9
2014-03-30 03:11:23.150534	93676	19.5	1	9
2014-03-30 03:11:24.006665	93677	45	2	8
2014-03-30 03:11:24.238552	93678	20.4	1	8
2014-03-30 03:11:32.110011	93679	370	3	2
2014-03-30 03:11:32.336216	93680	1125804.6283297418	4	2
2014-03-30 03:11:35.970166	93681	49	2	1
2014-03-30 03:11:36.213678	93682	19.5	1	1
2014-03-30 03:11:53.081227	93683	44	2	10
2014-03-30 03:11:53.305933	93684	20.6	1	10
2014-03-30 03:12:01.92146	93685	49	2	9
2014-03-30 03:12:02.154818	93686	19.5	1	9
2014-03-30 03:12:03.007782	93687	45	2	8
2014-03-30 03:12:03.231017	93688	20.4	1	8
2014-03-30 03:12:14.977398	93689	49	2	1
2014-03-30 03:12:15.209565	93690	19.5	1	1
2014-03-30 03:12:32.290069	93691	44	2	10
2014-03-30 03:12:32.513762	93692	20.6	1	10
2014-03-30 03:12:40.920269	93693	49	2	9
2014-03-30 03:12:41.155799	93694	19.5	1	9
2014-03-30 03:12:42.006804	93695	45	2	8
2014-03-30 03:12:42.229143	93696	20.4	1	8
2014-03-30 03:12:53.970693	93697	49	2	1
2014-03-30 03:12:54.203094	93698	19.5	1	1
2014-03-30 03:13:11.081071	93699	44	2	10
2014-03-30 03:13:11.304359	93700	20.6	1	10
2014-03-30 03:13:19.923735	93701	49	2	9
2014-03-30 03:13:20.158491	93702	19.5	1	9
2014-03-30 03:13:21.005918	93703	45	2	8
2014-03-30 03:13:21.228271	93704	20.4	1	8
2014-03-30 03:13:32.111785	93705	418	3	2
2014-03-30 03:13:32.344202	93706	1125817.2677116774	4	2
2014-03-30 03:13:32.968999	93707	49	2	1
2014-03-30 03:13:33.190077	93708	19.5	1	1
2014-03-30 03:13:44.109451	93709	418	3	2
2014-03-30 03:13:44.343449	93710	1125818.4167463987	4	2
2014-03-30 03:13:50.080193	93711	44	2	10
2014-03-30 03:13:50.304312	93712	20.6	1	10
2014-03-30 03:13:58.93033	93713	49	2	9
2014-03-30 03:13:59.161422	93714	19.5	1	9
2014-03-30 03:14:00.008504	93715	45	2	8
2014-03-30 03:14:00.229654	93716	20.4	1	8
2014-03-30 03:14:11.973136	93717	49	2	1
2014-03-30 03:14:12.207804	93718	19.5	1	1
2014-03-30 03:14:29.082038	93719	44	2	10
2014-03-30 03:14:29.304796	93720	20.6	1	10
2014-03-30 03:14:32.112321	93721	418	3	2
2014-03-30 03:14:32.344158	93722	1125824.1619200057	4	2
2014-03-30 03:14:37.923068	93723	49	2	9
2014-03-30 03:14:38.147328	93724	19.5	1	9
2014-03-30 03:14:39.006035	93725	45	2	8
2014-03-30 03:14:39.240881	93726	20.4	1	8
2014-03-30 03:14:50.972863	93727	49	2	1
2014-03-30 03:14:51.197994	93728	19.5	1	1
2014-03-30 03:15:08.080244	93729	44	2	10
2014-03-30 03:15:08.324437	93730	20.6	1	10
2014-03-30 03:15:16.926079	93731	49	2	9
2014-03-30 03:15:17.147842	93732	19.5	1	9
2014-03-30 03:15:18.006619	93733	45	2	8
2014-03-30 03:15:18.240662	93734	20.4	1	8
2014-03-30 03:15:29.969127	93735	49	2	1
2014-03-30 03:15:30.193074	93736	19.5	1	1
2014-03-30 03:15:32.11176	93737	418	3	2
2014-03-30 03:15:32.345273	93738	1125831.0561283343	4	2
2014-03-30 03:15:47.079525	93739	44	2	10
2014-03-30 03:15:47.303194	93740	20.6	1	10
2014-03-30 03:15:55.924122	93741	49	2	9
2014-03-30 03:15:56.157495	93742	19.5	1	9
2014-03-30 03:15:57.006355	93743	45	2	8
2014-03-30 03:15:57.226977	93744	20.4	1	8
2014-03-30 03:16:08.967924	93745	49	2	1
2014-03-30 03:16:09.201444	93746	19.5	1	1
2014-03-30 03:16:26.083774	93747	44	2	10
2014-03-30 03:16:26.307329	93748	20.6	1	10
2014-03-30 03:16:32.109008	93749	418	3	2
2014-03-30 03:16:32.34094	93750	1125839.0993713841	4	2
2014-03-30 03:16:34.92481	93751	49	2	9
2014-03-30 03:16:35.146042	93752	19.5	1	9
2014-03-30 03:16:36.007101	93753	45	2	8
2014-03-30 03:16:36.2392	93754	20.4	1	8
2014-03-30 03:16:47.967147	93755	49	2	1
2014-03-30 03:16:48.189084	93756	19.5	1	1
2014-03-30 03:17:05.082252	93757	44	2	10
2014-03-30 03:17:05.315394	93758	20.6	1	10
2014-03-30 03:17:13.922616	93759	49	2	9
2014-03-30 03:17:14.145053	93760	19.5	1	9
2014-03-30 03:17:15.009033	93761	45	2	8
2014-03-30 03:17:15.243079	93762	20.4	1	8
2014-03-30 03:17:26.967504	93763	49	2	1
2014-03-30 03:17:27.190061	93764	19.5	1	1
2014-03-30 03:17:32.10949	93765	418	3	2
2014-03-30 03:17:32.344856	93766	1125845.9935797127	4	2
2014-03-30 03:17:44.079235	93767	44	2	10
2014-03-30 03:17:44.304146	93768	20.6	1	10
2014-03-30 03:17:52.925565	93769	49	2	9
2014-03-30 03:17:53.158256	93770	19.5	1	9
2014-03-30 03:17:54.006354	93771	45	2	8
2014-03-30 03:17:54.228229	93772	20.4	1	8
2014-03-30 03:18:05.96861	93773	49	2	1
2014-03-30 03:18:06.199276	93774	19.5	1	1
2014-03-30 03:18:23.082434	93775	44	2	10
2014-03-30 03:18:23.305286	93776	20.6	1	10
2014-03-30 03:18:31.926324	93777	49	2	9
2014-03-30 03:18:32.171682	93778	19.5	1	9
2014-03-30 03:18:33.008091	93779	45	2	8
2014-03-30 03:18:33.230272	93780	20.4	1	8
2014-03-30 03:18:44.108606	93781	338	3	2
2014-03-30 03:18:44.341425	93782	1125854.0368227626	4	2
2014-03-30 03:18:44.969082	93783	49	2	1
2014-03-30 03:18:45.191089	93784	19.5	1	1
2014-03-30 03:19:01.888212	93785	338	3	2
2014-03-30 03:19:02.123507	93786	1125855.185857484	4	2
2014-03-30 03:19:02.429522	93787	44	2	10
2014-03-30 03:19:02.651714	93788	20.6	1	10
2014-03-30 03:19:10.923405	93789	49	2	9
2014-03-30 03:19:11.157472	93790	19.5	1	9
2014-03-30 03:19:12.009377	93791	45	2	8
2014-03-30 03:19:12.232448	93792	20.4	1	8
2014-03-30 03:19:24.012922	93793	49	2	1
2014-03-30 03:19:24.246313	93794	19.5	1	1
2014-03-30 03:19:32.11222	93795	338	3	2
2014-03-30 03:19:32.337129	93796	1125858.6329616483	4	2
2014-03-30 03:19:41.08407	93797	44	2	10
2014-03-30 03:19:41.316766	93798	20.6	1	10
2014-03-30 03:19:49.922888	93799	49	2	9
2014-03-30 03:19:50.148528	93800	19.5	1	9
2014-03-30 03:19:51.00775	93801	45	2	8
2014-03-30 03:19:51.242264	93802	20.4	1	8
2014-03-30 03:20:02.967913	93803	49	2	1
2014-03-30 03:20:03.213811	93804	19.5	1	1
2014-03-30 03:20:20.081338	93805	44	2	10
2014-03-30 03:20:20.316378	93806	20.6	1	10
2014-03-30 03:20:28.922467	93807	49	2	9
2014-03-30 03:20:29.146252	93808	19.5	1	9
2014-03-30 03:20:30.006579	93809	45	2	8
2014-03-30 03:20:30.242134	93810	20.4	1	8
2014-03-30 03:20:32.112092	93811	338	3	2
2014-03-30 03:20:32.335931	93812	1125864.3781352553	4	2
2014-03-30 03:20:41.964197	93813	49	2	1
2014-03-30 03:20:42.199437	93814	19.5	1	1
2014-03-30 03:20:56.109969	93815	289	3	2
2014-03-30 03:20:56.335163	93816	1125866.6762046982	4	2
2014-03-30 03:20:59.082572	93817	44	2	10
2014-03-30 03:20:59.318053	93818	20.6	1	10
2014-03-30 03:21:07.926189	93819	49	2	9
2014-03-30 03:21:08.147936	93820	19.5	1	9
2014-03-30 03:21:09.006037	93821	45	2	8
2014-03-30 03:21:09.238231	93822	20.4	1	8
2014-03-30 03:21:20.966531	93823	49	2	1
2014-03-30 03:21:21.189181	93824	19.5	1	1
2014-03-30 03:21:32.110381	93825	289	3	2
2014-03-30 03:21:32.357324	93826	1125868.974274141	4	2
2014-03-30 03:21:38.080119	93827	44	2	10
2014-03-30 03:21:38.302686	93828	20.6	1	10
2014-03-30 03:21:46.926837	93829	49	2	9
2014-03-30 03:21:47.16116	93830	19.5	1	9
2014-03-30 03:21:48.007096	93831	45	2	8
2014-03-30 03:21:48.228665	93832	20.4	1	8
2014-03-30 03:21:59.965464	93833	49	2	1
2014-03-30 03:22:00.197401	93834	19.5	1	1
2014-03-30 03:22:17.082884	93835	44	2	10
2014-03-30 03:22:17.305598	93836	20.6	1	10
2014-03-30 03:22:25.922492	93837	49	2	9
2014-03-30 03:22:26.154422	93838	19.5	1	9
2014-03-30 03:22:27.005458	93839	45	2	8
2014-03-30 03:22:27.226554	93840	20.4	1	8
2014-03-30 03:22:32.110403	93841	305	3	2
2014-03-30 03:22:32.342855	93842	1125874.719447748	4	2
2014-03-30 03:22:38.962329	93843	49	2	1
2014-03-30 03:22:39.185887	93844	19.5	1	1
2014-03-30 03:22:44.10953	93845	338	3	2
2014-03-30 03:22:44.348197	93846	1125875.8684824693	4	2
2014-03-30 03:22:56.283304	93847	44	2	10
2014-03-30 03:22:56.507966	93848	20.6	1	10
2014-03-30 03:23:04.92236	93849	49	2	9
2014-03-30 03:23:05.154758	93850	19.5	1	9
2014-03-30 03:23:06.006328	93851	45	2	8
2014-03-30 03:23:06.226866	93852	20.4	1	8
2014-03-30 03:23:17.965818	93853	49	2	1
2014-03-30 03:23:18.200224	93854	19.5	1	1
2014-03-30 03:23:32.110954	93855	338	3	2
2014-03-30 03:23:32.337043	93856	1125879.3155866337	4	2
2014-03-30 03:23:35.083095	93857	44	2	10
2014-03-30 03:23:35.314453	93858	20.6	1	10
2014-03-30 03:23:43.921957	93859	49	2	9
2014-03-30 03:23:44.144734	93860	19.5	1	9
2014-03-30 03:23:45.010829	93861	45	2	8
2014-03-30 03:23:45.244476	93862	20.4	1	8
2014-03-30 03:23:56.10919	93863	305	3	2
2014-03-30 03:23:56.331935	93864	1125881.6136560766	4	2
2014-03-30 03:23:57.008244	93865	49	2	1
2014-03-30 03:23:57.239204	93866	19.5	1	1
2014-03-30 03:24:08.1073	93867	305	3	2
2014-03-30 03:24:08.330405	93868	1125882.762690798	4	2
2014-03-30 03:24:14.084901	93869	44	2	10
2014-03-30 03:24:14.319541	93870	20.6	1	10
2014-03-30 03:24:20.109491	93871	338	3	2
2014-03-30 03:24:20.33289	93872	1125883.9117255192	4	2
2014-03-30 03:24:22.928266	93873	49	2	9
2014-03-30 03:24:23.172832	93874	19.5	1	9
2014-03-30 03:24:24.007264	93875	45	2	8
2014-03-30 03:24:24.229307	93876	20.4	1	8
2014-03-30 03:24:32.11063	93877	305	3	2
2014-03-30 03:24:32.344606	93878	1125885.0607602408	4	2
2014-03-30 03:24:35.965191	93879	49	2	1
2014-03-30 03:24:36.188475	93880	19.5	1	1
2014-03-30 03:24:44.110964	93881	354	3	2
2014-03-30 03:24:44.346476	93882	1125886.209794962	4	2
2014-03-30 03:24:53.08492	93883	44	2	10
2014-03-30 03:24:53.308069	93884	20.6	1	10
2014-03-30 03:24:56.109655	93885	338	3	2
2014-03-30 03:24:56.342393	93886	1125887.3588296836	4	2
2014-03-30 03:25:01.924508	93887	49	2	9
2014-03-30 03:25:02.14902	93888	19.5	1	9
2014-03-30 03:25:03.009325	93889	45	2	8
2014-03-30 03:25:03.241041	93890	20.4	1	8
2014-03-30 03:25:14.962727	93891	49	2	1
2014-03-30 03:25:15.192873	93892	19.5	1	1
2014-03-30 03:25:20.111695	93893	370	3	2
2014-03-30 03:25:20.349173	93894	1125889.6568991265	4	2
2014-03-30 03:25:32.289234	93895	44	2	10
2014-03-30 03:25:32.512875	93896	20.6	1	10
2014-03-30 03:25:40.926263	93897	49	2	9
2014-03-30 03:25:41.160603	93898	19.5	1	9
2014-03-30 03:25:42.007092	93899	45	2	8
2014-03-30 03:25:42.230128	93900	20.4	1	8
2014-03-30 03:25:53.964066	93901	49	2	1
2014-03-30 03:25:54.198584	93902	19.5	1	1
2014-03-30 03:26:11.086419	93903	44	2	10
2014-03-30 03:26:11.311595	93904	20.6	1	10
2014-03-30 03:26:19.923271	93905	49	2	9
2014-03-30 03:26:20.154247	93906	19.5	1	9
2014-03-30 03:26:21.006353	93907	45	2	8
2014-03-30 03:26:21.230696	93908	20.4	1	8
2014-03-30 03:26:32.113031	93909	370	3	2
2014-03-30 03:26:32.34818	93910	1125897.7001421764	4	2
2014-03-30 03:26:33.005776	93911	49	2	1
2014-03-30 03:26:33.229494	93912	19.5	1	1
2014-03-30 03:26:44.109629	93913	402	3	2
2014-03-30 03:26:44.343799	93914	1125898.8491768977	4	2
2014-03-30 03:26:50.089326	93915	44	2	10
2014-03-30 03:26:50.313288	93916	20.6	1	10
2014-03-30 03:26:56.109199	93917	370	3	2
2014-03-30 03:26:56.342716	93918	1125899.9982116192	4	2
2014-03-30 03:26:58.926141	93919	49	2	9
2014-03-30 03:26:59.148891	93920	19.5	1	9
2014-03-30 03:27:00.006203	93921	45	2	8
2014-03-30 03:27:00.248016	93922	20.4	1	8
2014-03-30 03:27:08.110413	93923	370	3	2
2014-03-30 03:27:08.334728	93924	1125901.1472463405	4	2
2014-03-30 03:27:11.962466	93925	49	2	1
2014-03-30 03:27:12.194313	93926	19.5	1	1
2014-03-30 03:27:29.08461	93927	44	2	10
2014-03-30 03:27:29.307812	93928	20.6	1	10
2014-03-30 03:27:32.109847	93929	370	3	2
2014-03-30 03:27:32.341611	93930	1125903.4453157834	4	2
2014-03-30 03:27:37.924964	93931	49	2	9
2014-03-30 03:27:38.157532	93932	19.5	1	9
2014-03-30 03:27:39.006284	93933	45	2	8
2014-03-30 03:27:39.236817	93934	20.4	1	8
2014-03-30 03:27:50.960605	93935	49	2	1
2014-03-30 03:27:51.181975	93936	19.5	1	1
2014-03-30 03:28:08.084618	93937	44	2	10
2014-03-30 03:28:08.316042	93938	20.6	1	10
2014-03-30 03:28:16.92207	93939	49	2	9
2014-03-30 03:28:17.145089	93940	19.5	1	9
2014-03-30 03:28:18.005245	93941	45	2	8
2014-03-30 03:28:18.235571	93942	20.4	1	8
2014-03-30 03:28:29.959532	93943	49	2	1
2014-03-30 03:28:30.18181	93944	19.5	1	1
2014-03-30 03:28:47.087469	93945	44	2	10
2014-03-30 03:28:47.31976	93946	20.6	1	10
2014-03-30 03:28:55.924087	93947	49	2	9
2014-03-30 03:28:56.147569	93948	19.5	1	9
2014-03-30 03:28:57.006866	93949	45	2	8
2014-03-30 03:28:57.237511	93950	20.4	1	8
2014-03-30 03:29:08.961897	93951	49	2	1
2014-03-30 03:29:09.184755	93952	19.5	1	1
2014-03-30 03:29:26.087956	93953	44	2	10
2014-03-30 03:29:26.323488	93954	20.6	1	10
2014-03-30 03:29:32.110616	93955	354	3	2
2014-03-30 03:29:32.331626	93956	1125916.084697719	4	2
2014-03-30 03:29:34.925384	93957	49	2	9
2014-03-30 03:29:35.156418	93958	19.5	1	9
2014-03-30 03:29:36.008146	93959	45	2	8
2014-03-30 03:29:36.231794	93960	20.4	1	8
2014-03-30 03:29:47.961381	93961	49	2	1
2014-03-30 03:29:48.193915	93962	19.4	1	1
2014-03-30 03:30:05.08543	93963	44	2	10
2014-03-30 03:30:05.309586	93964	20.7	1	10
2014-03-30 03:30:13.925387	93965	49	2	9
2014-03-30 03:30:14.16084	93966	19.5	1	9
2014-03-30 03:30:15.011733	93967	45	2	8
2014-03-30 03:30:15.235617	93968	20.4	1	8
2014-03-30 03:30:26.960813	93969	49	2	1
2014-03-30 03:30:27.208268	93970	19.4	1	1
2014-03-30 03:30:32.110404	93971	354	3	2
2014-03-30 03:30:32.337659	93972	1125921.829871326	4	2
2014-03-30 03:30:44.087783	93973	44	2	10
2014-03-30 03:30:44.321692	93974	20.7	1	10
2014-03-30 03:30:52.92291	93975	49	2	9
2014-03-30 03:30:53.147223	93976	19.5	1	9
2014-03-30 03:30:54.007514	93977	45	2	8
2014-03-30 03:30:54.243133	93978	20.4	1	8
2014-03-30 03:31:06.004779	93979	49	2	1
2014-03-30 03:31:06.229556	93980	19.4	1	1
2014-03-30 03:31:08.110866	93981	305	3	2
2014-03-30 03:31:08.34163	93982	1125925.2769754902	4	2
2014-03-30 03:31:22.888622	93983	338	3	2
2014-03-30 03:31:23.113372	93984	1125926.4260102117	4	2
2014-03-30 03:31:23.421751	93985	44	2	10
2014-03-30 03:31:23.65459	93986	20.7	1	10
2014-03-30 03:31:31.926034	93987	49	2	9
2014-03-30 03:31:32.147031	93988	19.5	1	9
2014-03-30 03:31:33.004617	93989	45	2	8
2014-03-30 03:31:33.236686	93990	20.4	1	8
2014-03-30 03:31:44.107295	93991	305	3	2
2014-03-30 03:31:44.33325	93992	1125928.7240796546	4	2
2014-03-30 03:31:44.963598	93993	49	2	1
2014-03-30 03:31:45.197254	93994	19.4	1	1
2014-03-30 03:31:56.110111	93995	305	3	2
2014-03-30 03:31:56.334883	93996	1125929.8731143759	4	2
2014-03-30 03:32:02.087709	93997	44	2	10
2014-03-30 03:32:02.321082	93998	20.6	1	10
2014-03-30 03:32:08.109433	93999	338	3	2
2014-03-30 03:32:08.334429	94000	1125931.0221490974	4	2
2014-03-30 03:32:10.927643	94001	49	2	9
2014-03-30 03:32:11.16088	94002	19.5	1	9
2014-03-30 03:32:12.007671	94003	45	2	8
2014-03-30 03:32:12.231119	94004	20.4	1	8
2014-03-30 03:32:20.108814	94005	305	3	2
2014-03-30 03:32:20.342196	94006	1125931.0221490974	4	2
2014-03-30 03:32:23.957516	94007	49	2	1
2014-03-30 03:32:24.177537	94008	19.4	1	1
2014-03-30 03:32:32.108873	94009	305	3	2
2014-03-30 03:32:32.343871	94010	1125932.1711838187	4	2
2014-03-30 03:32:41.087772	94011	44	2	10
2014-03-30 03:32:41.313462	94012	20.6	1	10
2014-03-30 03:32:49.925666	94013	49	2	9
2014-03-30 03:32:50.158631	94014	19.5	1	9
2014-03-30 03:32:51.006344	94015	45	2	8
2014-03-30 03:32:51.232798	94016	20.4	1	8
2014-03-30 03:33:02.959485	94017	49	2	1
2014-03-30 03:33:03.203171	94018	19.4	1	1
2014-03-30 03:33:20.084989	94019	44	2	10
2014-03-30 03:33:20.307408	94020	20.6	1	10
2014-03-30 03:33:28.924309	94021	49	2	9
2014-03-30 03:33:29.342692	94022	19.5	1	9
2014-03-30 03:33:30.004541	94023	45	2	8
2014-03-30 03:33:30.231692	94024	20.4	1	8
2014-03-30 03:33:32.110076	94025	305	3	2
2014-03-30 03:33:32.332555	94026	1125937.9163574257	4	2
2014-03-30 03:33:41.959128	94027	49	2	1
2014-03-30 03:33:42.19027	94028	19.4	1	1
2014-03-30 03:33:59.087738	94029	44	2	10
2014-03-30 03:33:59.308653	94030	20.6	1	10
2014-03-30 03:34:07.922049	94031	49	2	9
2014-03-30 03:34:08.153766	94032	19.5	1	9
2014-03-30 03:34:09.005183	94033	45	2	8
2014-03-30 03:34:09.225117	94034	20.4	1	8
2014-03-30 03:34:20.958102	94035	49	2	1
2014-03-30 03:34:21.193204	94036	19.4	1	1
2014-03-30 03:34:32.105051	94037	305	3	2
2014-03-30 03:34:32.32603	94038	1125943.661531033	4	2
2014-03-30 03:34:38.085151	94039	44	2	10
2014-03-30 03:34:38.316224	94040	20.6	1	10
2014-03-30 03:34:46.922823	94041	49	2	9
2014-03-30 03:34:47.143372	94042	19.5	1	9
2014-03-30 03:34:48.004982	94043	45	2	8
2014-03-30 03:34:48.234723	94044	20.4	1	8
2014-03-30 03:34:56.105048	94045	305	3	2
2014-03-30 03:34:56.326643	94046	1125945.9596004756	4	2
2014-03-30 03:34:59.961781	94047	49	2	1
2014-03-30 03:35:00.19409	94048	19.4	1	1
2014-03-30 03:35:08.107041	94049	305	3	2
2014-03-30 03:35:08.330781	94050	1125945.9596004756	4	2
2014-03-30 03:35:17.086947	94051	44	2	10
2014-03-30 03:35:17.320187	94052	20.6	1	10
2014-03-30 03:35:20.111598	94053	338	3	2
2014-03-30 03:35:20.334158	94054	1125947.1086351972	4	2
2014-03-30 03:35:25.924217	94055	49	2	9
2014-03-30 03:35:26.156901	94056	19.5	1	9
2014-03-30 03:35:27.006216	94057	45	2	8
2014-03-30 03:35:27.227308	94058	20.4	1	8
2014-03-30 03:35:32.108506	94059	305	3	2
2014-03-30 03:35:32.341388	94060	1125948.2576699185	4	2
2014-03-30 03:35:38.95993	94061	49	2	1
2014-03-30 03:35:39.181631	94062	19.4	1	1
2014-03-30 03:35:55.889143	94063	305	3	2
2014-03-30 03:35:56.124407	94064	1125949.40670464	4	2
2014-03-30 03:35:56.427855	94065	44	2	10
2014-03-30 03:35:56.648215	94066	20.7	1	10
2014-03-30 03:36:04.923174	94067	49	2	9
2014-03-30 03:36:05.167483	94068	19.5	1	9
2014-03-30 03:36:06.004175	94069	45	2	8
2014-03-30 03:36:06.228464	94070	20.4	1	8
2014-03-30 03:36:17.956366	94071	49	2	1
2014-03-30 03:36:18.18903	94072	19.4	1	1
2014-03-30 03:36:32.107496	94073	338	3	2
2014-03-30 03:36:32.32878	94074	1125954.0028435257	4	2
2014-03-30 03:36:35.084699	94075	44	2	10
2014-03-30 03:36:35.317123	94076	20.7	1	10
2014-03-30 03:36:43.925756	94077	49	2	9
2014-03-30 03:36:44.149216	94078	19.5	1	9
2014-03-30 03:36:45.005243	94079	45	2	8
2014-03-30 03:36:45.244148	94080	20.4	1	8
2014-03-30 03:36:56.107502	94081	338	3	2
2014-03-30 03:36:56.330652	94082	1125956.3009129683	4	2
2014-03-30 03:36:56.959668	94083	49	2	1
2014-03-30 03:36:57.193343	94084	19.4	1	1
2014-03-30 03:37:08.10874	94085	338	3	2
2014-03-30 03:37:08.334125	94086	1125957.44994769	4	2
2014-03-30 03:37:14.086581	94087	44	2	10
2014-03-30 03:37:14.318496	94088	20.7	1	10
2014-03-30 03:37:20.109161	94089	305	3	2
2014-03-30 03:37:20.333163	94090	1125958.5989824112	4	2
2014-03-30 03:37:22.924485	94091	49	2	9
2014-03-30 03:37:23.156207	94092	19.5	1	9
2014-03-30 03:37:24.006099	94093	45	2	8
2014-03-30 03:37:24.22513	94094	20.4	1	8
2014-03-30 03:37:32.107698	94095	338	3	2
2014-03-30 03:37:32.341159	94096	1125959.7480171327	4	2
2014-03-30 03:37:35.954521	94097	49	2	1
2014-03-30 03:37:36.175282	94098	19.4	1	1
2014-03-30 03:37:44.106415	94099	305	3	2
2014-03-30 03:37:44.343199	94100	1125960.897051854	4	2
2014-03-30 03:37:53.08783	94101	44	2	10
2014-03-30 03:37:53.309536	94102	20.7	1	10
2014-03-30 03:37:56.10815	94103	370	3	2
2014-03-30 03:37:56.342278	94104	1125962.0460865756	4	2
2014-03-30 03:38:01.923216	94105	49	2	9
2014-03-30 03:38:02.144455	94106	19.5	1	9
2014-03-30 03:38:03.006	94107	45	2	8
2014-03-30 03:38:03.237705	94108	20.4	1	8
2014-03-30 03:38:08.105823	94109	354	3	2
2014-03-30 03:38:08.327907	94110	1125963.195121297	4	2
2014-03-30 03:38:14.953242	94111	49	2	1
2014-03-30 03:38:15.185446	94112	19.4	1	1
2014-03-30 03:38:40.921752	94113	49	2	9
2014-03-30 03:38:41.143396	94114	19.5	1	9
2014-03-30 03:38:42.006146	94115	45	2	8
2014-03-30 03:38:42.248305	94116	20.4	1	8
2014-03-30 03:38:53.956493	94117	49	2	1
2014-03-30 03:38:54.178408	94118	19.4	1	1
2014-03-30 03:39:11.089305	94119	44	2	10
2014-03-30 03:39:11.321618	94120	20.7	1	10
2014-03-30 03:39:19.922367	94121	49	2	9
2014-03-30 03:39:20.145248	94122	19.4	1	9
2014-03-30 03:39:21.006435	94123	45	2	8
2014-03-30 03:39:21.240468	94124	20.4	1	8
2014-03-30 03:39:32.109716	94125	354	3	2
2014-03-30 03:39:32.332027	94126	1125971.2383643468	4	2
2014-03-30 03:39:32.954105	94127	49	2	1
2014-03-30 03:39:33.184448	94128	19.4	1	1
2014-03-30 03:39:50.089059	94129	44	2	10
2014-03-30 03:39:50.31131	94130	20.7	1	10
2014-03-30 03:39:58.924114	94131	49	2	9
2014-03-30 03:39:59.156122	94132	19.5	1	9
2014-03-30 03:40:00.006237	94133	45	2	8
2014-03-30 03:40:00.227467	94134	20.4	1	8
2014-03-30 03:40:11.953318	94135	49	2	1
2014-03-30 03:40:12.184289	94136	19.4	1	1
2014-03-30 03:40:29.089546	94137	44	2	10
2014-03-30 03:40:29.313912	94138	20.7	1	10
2014-03-30 03:40:32.109869	94139	354	3	2
2014-03-30 03:40:32.343333	94140	1125976.983537954	4	2
2014-03-30 03:40:37.928759	94141	49	2	9
2014-03-30 03:40:38.152162	94142	19.4	1	9
2014-03-30 03:40:39.007274	94143	45	2	8
2014-03-30 03:40:39.237812	94144	20.4	1	8
2014-03-30 03:40:51.00013	94145	49	2	1
2014-03-30 03:40:51.223157	94146	19.4	1	1
2014-03-30 03:41:08.09177	94147	44	2	10
2014-03-30 03:41:08.323514	94148	20.7	1	10
2014-03-30 03:41:16.924014	94149	49	2	9
2014-03-30 03:41:17.182818	94150	19.4	1	9
2014-03-30 03:41:18.00748	94151	45	2	8
2014-03-30 03:41:18.272244	94152	20.4	1	8
2014-03-30 03:41:29.998217	94153	49	2	1
2014-03-30 03:41:30.278842	94154	19.4	1	1
2014-03-30 03:41:32.108948	94155	354	3	2
2014-03-30 03:41:32.372808	94156	1125983.8777462824	4	2
2014-03-30 03:41:47.089319	94157	44	2	10
2014-03-30 03:41:47.346015	94158	20.7	1	10
2014-03-30 03:41:55.945762	94159	49	2	9
2014-03-30 03:41:56.179144	94160	19.4	1	9
2014-03-30 03:41:57.005592	94161	45	2	8
2014-03-30 03:41:57.229237	94162	20.4	1	8
2014-03-30 03:42:08.952672	94163	49	2	1
2014-03-30 03:42:09.198529	94164	19.4	1	1
2014-03-30 03:42:26.087001	94165	44	2	10
2014-03-30 03:42:26.309421	94166	20.7	1	10
2014-03-30 03:42:34.73289	94167	354	3	2
2014-03-30 03:42:34.965318	94168	1125989.6229198894	4	2
2014-03-30 03:42:35.268882	94169	49	2	9
2014-03-30 03:42:35.488715	94170	19.4	1	9
2014-03-30 03:42:36.006035	94171	45	2	8
2014-03-30 03:42:36.23654	94172	20.4	1	8
2014-03-30 03:42:47.950441	94173	49	2	1
2014-03-30 03:42:48.171798	94174	19.4	1	1
2014-03-30 03:43:05.08978	94175	44	2	10
2014-03-30 03:43:05.320957	94176	20.7	1	10
2014-03-30 03:43:13.919994	94177	49	2	9
2014-03-30 03:43:14.141274	94178	19.4	1	9
2014-03-30 03:43:15.005976	94179	45	2	8
2014-03-30 03:43:15.235815	94180	20.4	1	8
2014-03-30 03:43:26.955243	94181	49	2	1
2014-03-30 03:43:27.176361	94182	19.4	1	1
2014-03-30 03:43:32.110131	94183	305	3	2
2014-03-30 03:43:32.347022	94184	1125995.3680934967	4	2
2014-03-30 03:43:44.29375	94185	44	2	10
2014-03-30 03:43:44.517407	94186	20.7	1	10
2014-03-30 03:43:52.922867	94187	49	2	9
2014-03-30 03:43:53.155277	94188	19.4	1	9
2014-03-30 03:43:54.00584	94189	45	2	8
2014-03-30 03:43:54.225146	94190	20.4	1	8
2014-03-30 03:44:05.948538	94191	49	2	1
2014-03-30 03:44:06.181308	94192	19.4	1	1
2014-03-30 03:44:23.089961	94193	44	2	10
2014-03-30 03:44:23.311984	94194	20.7	1	10
2014-03-30 03:44:31.925495	94195	49	2	9
2014-03-30 03:44:32.157754	94196	19.4	1	9
2014-03-30 03:44:33.0051	94197	45	2	8
2014-03-30 03:44:33.226212	94198	20.4	1	8
2014-03-30 03:44:44.951091	94199	49	2	1
2014-03-30 03:44:45.183091	94200	19.4	1	1
2014-03-30 03:45:02.090671	94201	44	2	10
2014-03-30 03:45:02.311637	94202	20.7	1	10
2014-03-30 03:45:11.129627	94203	49	2	9
2014-03-30 03:45:11.363561	94204	19.4	1	9
2014-03-30 03:45:12.006608	94205	45	2	8
2014-03-30 03:45:12.228612	94206	20.4	1	8
2014-03-30 03:45:23.953354	94207	49	2	1
2014-03-30 03:45:24.184399	94208	19.4	1	1
2014-03-30 03:45:32.109162	94209	305	3	2
2014-03-30 03:45:32.331347	94210	1126005.7094059894	4	2
2014-03-30 03:45:41.092769	94211	44	2	10
2014-03-30 03:45:41.335307	94212	20.7	1	10
2014-03-30 03:45:49.925788	94213	49	2	9
2014-03-30 03:45:50.14754	94214	19.4	1	9
2014-03-30 03:45:51.005493	94215	45	2	8
2014-03-30 03:45:51.236441	94216	20.4	1	8
2014-03-30 03:46:02.954383	94217	49	2	1
2014-03-30 03:46:03.179121	94218	19.4	1	1
2014-03-30 03:46:20.092219	94219	44	2	10
2014-03-30 03:46:20.323621	94220	20.7	1	10
2014-03-30 03:46:29.127835	94221	49	2	9
2014-03-30 03:46:29.350747	94222	19.4	1	9
2014-03-30 03:46:30.008565	94223	45	2	8
2014-03-30 03:46:30.240297	94224	20.4	1	8
2014-03-30 03:46:32.111187	94225	338	3	2
2014-03-30 03:46:32.331511	94226	1126011.4545795964	4	2
2014-03-30 03:46:41.949055	94227	49	2	1
2014-03-30 03:46:42.182805	94228	19.4	1	1
2014-03-30 03:46:44.109267	94229	305	3	2
2014-03-30 03:46:44.366358	94230	1126012.6036143177	4	2
2014-03-30 03:46:56.10716	94231	305	3	2
2014-03-30 03:46:56.410986	94232	1126013.7526490393	4	2
2014-03-30 03:46:59.296601	94233	44	2	10
2014-03-30 03:46:59.639313	94234	20.7	1	10
2014-03-30 03:47:07.929191	94235	49	2	9
2014-03-30 03:47:08.168764	94236	19.4	1	9
2014-03-30 03:47:09.006332	94237	45	2	8
2014-03-30 03:47:09.230698	94238	20.4	1	8
2014-03-30 03:47:20.949996	94239	49	2	1
2014-03-30 03:47:21.184525	94240	19.4	1	1
2014-03-30 03:47:32.108562	94241	305	3	2
2014-03-30 03:47:32.333992	94242	1126016.0507184821	4	2
2014-03-30 03:47:38.09006	94243	44	2	10
2014-03-30 03:47:38.324503	94244	20.7	1	10
2014-03-30 03:47:44.107536	94245	338	3	2
2014-03-30 03:47:44.333266	94246	1126017.1997532034	4	2
2014-03-30 03:47:46.925946	94247	49	2	9
2014-03-30 03:47:47.158505	94248	19.4	1	9
2014-03-30 03:47:48.005916	94249	45	2	8
2014-03-30 03:47:48.228891	94250	20.4	1	8
2014-03-30 03:47:56.108758	94251	305	3	2
2014-03-30 03:47:56.344188	94252	1126018.348787925	4	2
2014-03-30 03:47:59.949805	94253	49	2	1
2014-03-30 03:48:00.172823	94254	19.4	1	1
2014-03-30 03:48:08.105776	94255	305	3	2
2014-03-30 03:48:08.339297	94256	1126019.4978226463	4	2
2014-03-30 03:48:17.092608	94257	44	2	10
2014-03-30 03:48:17.320164	94258	20.7	1	10
2014-03-30 03:48:20.107282	94259	338	3	2
2014-03-30 03:48:20.352493	94260	1126020.6468573676	4	2
2014-03-30 03:48:25.924299	94261	49	2	9
2014-03-30 03:48:26.147034	94262	19.4	1	9
2014-03-30 03:48:27.007876	94263	45	2	8
2014-03-30 03:48:27.240335	94264	20.4	1	8
2014-03-30 03:48:38.950951	94265	49	2	1
2014-03-30 03:48:39.173516	94266	19.4	1	1
2014-03-30 03:48:44.107183	94267	305	3	2
2014-03-30 03:48:44.345497	94268	1126022.9449268105	4	2
2014-03-30 03:48:56.293439	94269	44	2	10
2014-03-30 03:48:56.51899	94270	20.7	1	10
2014-03-30 03:49:04.928735	94271	49	2	9
2014-03-30 03:49:05.161764	94272	19.4	1	9
2014-03-30 03:49:06.008859	94273	45	2	8
2014-03-30 03:49:06.229691	94274	20.4	1	8
2014-03-30 03:49:08.109808	94275	338	3	2
2014-03-30 03:49:08.343175	94276	1126025.2429962533	4	2
2014-03-30 03:49:17.950275	94277	49	2	1
2014-03-30 03:49:18.17391	94278	19.4	1	1
2014-03-30 03:49:32.106465	94279	305	3	2
2014-03-30 03:49:32.339598	94280	1126027.5410656962	4	2
2014-03-30 03:49:35.09194	94281	44	2	10
2014-03-30 03:49:35.313689	94282	20.7	1	10
2014-03-30 03:49:43.923541	94283	49	2	9
2014-03-30 03:49:44.154397	94284	19.4	1	9
2014-03-30 03:49:45.00635	94285	45	2	8
2014-03-30 03:49:45.228218	94286	20.4	1	8
2014-03-30 03:49:56.106323	94287	338	3	2
2014-03-30 03:49:56.340968	94288	1126029.839135139	4	2
2014-03-30 03:49:56.951364	94289	49	2	1
2014-03-30 03:49:57.173835	94290	19.4	1	1
2014-03-30 03:50:14.092752	94291	44	2	10
2014-03-30 03:50:14.324126	94292	20.7	1	10
2014-03-30 03:50:20.106137	94293	370	3	2
2014-03-30 03:50:20.326916	94294	1126030.9926408126	4	2
2014-03-30 03:50:22.923645	94295	49	2	9
2014-03-30 03:50:23.155722	94296	19.4	1	9
2014-03-30 03:50:24.006413	94297	45	2	8
2014-03-30 03:50:24.226686	94298	20.4	1	8
2014-03-30 03:50:32.105311	94299	354	3	2
2014-03-30 03:50:32.337658	94300	1126032.141675534	4	2
2014-03-30 03:50:35.947567	94301	49	2	1
2014-03-30 03:50:36.169168	94302	19.4	1	1
2014-03-30 03:50:53.091608	94303	44	2	10
2014-03-30 03:50:53.324773	94304	20.7	1	10
2014-03-30 03:51:01.926751	94305	49	2	9
2014-03-30 03:51:02.149611	94306	19.4	1	9
2014-03-30 03:51:03.006282	94307	45	2	8
2014-03-30 03:51:03.249003	94308	20.4	1	8
2014-03-30 03:51:14.949349	94309	49	2	1
2014-03-30 03:51:15.173573	94310	19.4	1	1
2014-03-30 03:51:32.295683	94311	44	2	10
2014-03-30 03:51:32.528595	94312	20.7	1	10
2014-03-30 03:51:40.926168	94313	49	2	9
2014-03-30 03:51:41.148252	94314	19.4	1	9
2014-03-30 03:51:42.007903	94315	45	2	8
2014-03-30 03:51:42.237177	94316	20.4	1	8
2014-03-30 03:51:53.949494	94317	49	2	1
2014-03-30 03:51:54.173296	94318	19.4	1	1
2014-03-30 03:52:11.149802	94319	44	2	10
2014-03-30 03:52:11.383553	94320	20.7	1	10
2014-03-30 03:52:19.924938	94321	49	2	9
2014-03-30 03:52:20.148101	94322	19.4	1	9
2014-03-30 03:52:21.005216	94323	45	2	8
2014-03-30 03:52:21.23731	94324	20.4	1	8
2014-03-30 03:52:32.110062	94325	370	3	2
2014-03-30 03:52:32.333939	94326	1126044.7810574695	4	2
2014-03-30 03:52:32.948101	94327	49	2	1
2014-03-30 03:52:33.184484	94328	19.4	1	1
2014-03-30 03:52:50.094869	94329	44	2	10
2014-03-30 03:52:50.323262	94330	20.7	1	10
2014-03-30 03:52:58.925592	94331	49	2	9
2014-03-30 03:52:59.156105	94332	19.4	1	9
2014-03-30 03:53:00.005125	94333	45	2	8
2014-03-30 03:53:00.228652	94334	20.4	1	8
2014-03-30 03:53:11.949968	94335	49	2	1
2014-03-30 03:53:12.184689	94336	19.4	1	1
2014-03-30 03:53:29.091969	94337	44	2	10
2014-03-30 03:53:29.316299	94338	20.7	1	10
2014-03-30 03:53:32.110629	94339	354	3	2
2014-03-30 03:53:32.343745	94340	1126050.5262310768	4	2
2014-03-30 03:53:37.922492	94341	49	2	9
2014-03-30 03:53:38.144825	94342	19.4	1	9
2014-03-30 03:53:39.005838	94343	45	2	8
2014-03-30 03:53:39.237267	94344	20.4	1	8
2014-03-30 03:53:50.944207	94345	49	2	1
2014-03-30 03:53:51.166044	94346	19.4	1	1
2014-03-30 03:54:08.094156	94347	44	2	10
2014-03-30 03:54:08.325086	94348	20.7	1	10
2014-03-30 03:54:16.926282	94349	49	2	9
2014-03-30 03:54:17.149209	94350	19.4	1	9
2014-03-30 03:54:18.004953	94351	45	2	8
2014-03-30 03:54:18.236874	94352	20.4	1	8
2014-03-30 03:54:29.992384	94353	49	2	1
2014-03-30 03:54:30.213914	94354	19.4	1	1
2014-03-30 03:54:32.107675	94355	354	3	2
2014-03-30 03:54:32.351246	94356	1126056.2714046838	4	2
2014-03-30 03:54:47.093605	94357	44	2	10
2014-03-30 03:54:47.325724	94358	20.7	1	10
2014-03-30 03:54:55.927389	94359	49	2	9
2014-03-30 03:54:56.160219	94360	19.4	1	9
2014-03-30 03:54:57.006606	94361	45	2	8
2014-03-30 03:54:57.228869	94362	20.4	1	8
2014-03-30 03:55:08.944128	94363	49	2	1
2014-03-30 03:55:09.175517	94364	19.4	1	1
2014-03-30 03:55:26.091377	94365	44	2	10
2014-03-30 03:55:26.316305	94366	20.7	1	10
2014-03-30 03:55:32.106162	94367	354	3	2
2014-03-30 03:55:32.339366	94368	1126062.0165782908	4	2
2014-03-30 03:55:34.927819	94369	49	2	9
2014-03-30 03:55:35.149597	94370	19.4	1	9
2014-03-30 03:55:36.005456	94371	45	2	8
2014-03-30 03:55:36.236115	94372	20.4	1	8
2014-03-30 03:55:47.943791	94373	49	2	1
2014-03-30 03:55:48.166793	94374	19.4	1	1
2014-03-30 03:56:05.092426	94375	44	2	10
2014-03-30 03:56:05.324466	94376	20.7	1	10
2014-03-30 03:56:08.107609	94377	305	3	2
2014-03-30 03:56:08.328523	94378	1126065.463682455	4	2
2014-03-30 03:56:13.925156	94379	49	2	9
2014-03-30 03:56:14.15604	94380	19.4	1	9
2014-03-30 03:56:15.006011	94381	45	2	8
2014-03-30 03:56:15.228753	94382	20.4	1	8
2014-03-30 03:56:26.949533	94383	49	2	1
2014-03-30 03:56:27.181201	94384	19.4	1	1
2014-03-30 03:56:44.298294	94385	44	2	10
2014-03-30 03:56:44.523651	94386	20.7	1	10
2014-03-30 03:56:52.926188	94387	49	2	9
2014-03-30 03:56:53.156434	94388	19.4	1	9
2014-03-30 03:56:54.007248	94389	45	2	8
2014-03-30 03:56:54.229797	94390	20.4	1	8
2014-03-30 03:56:56.105696	94391	305	3	2
2014-03-30 03:56:56.335836	94392	1126070.0598213407	4	2
2014-03-30 03:57:05.943685	94393	49	2	1
2014-03-30 03:57:06.167731	94394	19.4	1	1
2014-03-30 03:57:08.108047	94395	305	3	2
2014-03-30 03:57:08.338725	94396	1126071.2088560623	4	2
2014-03-30 03:57:23.097913	94397	44	2	10
2014-03-30 03:57:23.323874	94398	20.7	1	10
2014-03-30 03:57:31.927528	94399	49	2	9
2014-03-30 03:57:32.16237	94400	19.4	1	9
2014-03-30 03:57:33.005908	94401	45	2	8
2014-03-30 03:57:33.228026	94402	20.4	1	8
2014-03-30 03:57:44.109057	94403	338	3	2
2014-03-30 03:57:44.355144	94404	1126073.5069255051	4	2
2014-03-30 03:57:44.94237	94405	49	2	1
2014-03-30 03:57:45.165434	94406	19.4	1	1
2014-03-30 03:57:56.10935	94407	305	3	2
2014-03-30 03:57:56.342654	94408	1126074.6559602264	4	2
2014-03-30 03:58:02.094535	94409	44	2	10
2014-03-30 03:58:02.316436	94410	20.7	1	10
2014-03-30 03:58:08.110008	94411	338	3	2
2014-03-30 03:58:08.344039	94412	1126075.8049949477	4	2
2014-03-30 03:58:10.928819	94413	49	2	9
2014-03-30 03:58:11.149565	94414	19.4	1	9
2014-03-30 03:58:12.004881	94415	45	2	8
2014-03-30 03:58:12.237658	94416	20.4	1	8
2014-03-30 03:58:20.106629	94417	338	3	2
2014-03-30 03:58:20.328753	94418	1126076.9540296693	4	2
2014-03-30 03:58:24.181661	94419	49	2	1
2014-03-30 03:58:24.418921	94420	19.4	1	1
2014-03-30 03:58:32.105652	94421	338	3	2
2014-03-30 03:58:32.331628	94422	1126078.1030643906	4	2
2014-03-30 03:58:41.093614	94423	44	2	10
2014-03-30 03:58:41.325876	94424	20.7	1	10
2014-03-30 03:58:44.1102	94425	305	3	2
2014-03-30 03:58:44.334093	94426	1126079.2520991121	4	2
2014-03-30 03:58:49.925488	94427	49	2	9
2014-03-30 03:58:50.157395	94428	19.3	1	9
2014-03-30 03:58:51.005764	94429	45	2	8
2014-03-30 03:58:51.226853	94430	20.4	1	8
2014-03-30 03:58:56.108725	94431	305	3	2
2014-03-30 03:58:56.340956	94432	1126080.4011338335	4	2
2014-03-30 03:59:02.945977	94433	49	2	1
2014-03-30 03:59:03.165244	94434	19.4	1	1
2014-03-30 03:59:20.299231	94435	44	2	10
2014-03-30 03:59:20.533313	94436	20.7	1	10
2014-03-30 03:59:28.929209	94437	49	2	9
2014-03-30 03:59:29.150666	94438	19.3	1	9
2014-03-30 03:59:30.00454	94439	45	2	8
2014-03-30 03:59:30.23502	94440	20.4	1	8
2014-03-30 03:59:32.10679	94441	338	3	2
2014-03-30 03:59:32.327092	94442	1126083.8482379979	4	2
2014-03-30 03:59:41.94239	94443	49	2	1
2014-03-30 03:59:42.175391	94444	19.4	1	1
2014-03-30 03:59:44.108795	94445	305	3	2
2014-03-30 03:59:44.329286	94446	1126084.9972727192	4	2
2014-03-30 03:59:56.110388	94447	305	3	2
2014-03-30 03:59:56.344551	94448	1126086.1463074405	4	2
2014-03-30 03:59:59.095482	94449	44	2	10
2014-03-30 03:59:59.317836	94450	20.7	1	10
2014-03-30 04:00:07.925204	94451	49	2	9
2014-03-30 04:00:08.169714	94452	19.3	1	9
2014-03-30 04:00:09.007326	94453	45	2	8
2014-03-30 04:00:09.229074	94454	20.4	1	8
2014-03-30 04:00:20.938995	94455	49	2	1
2014-03-30 04:00:21.171964	94456	19.4	1	1
2014-03-30 04:00:32.106086	94457	305	3	2
2014-03-30 04:00:32.328192	94458	1126089.5934116049	4	2
2014-03-30 04:00:38.093143	94459	44	2	10
2014-03-30 04:00:38.325047	94460	20.7	1	10
2014-03-30 04:00:44.107397	94461	338	3	2
2014-03-30 04:00:44.328223	94462	1126090.7424463262	4	2
2014-03-30 04:00:47.124301	94463	49	2	9
2014-03-30 04:00:47.356414	94464	19.3	1	9
2014-03-30 04:00:48.00429	94465	45	2	8
2014-03-30 04:00:48.226751	94466	20.4	1	8
2014-03-30 04:00:56.103346	94467	338	3	2
2014-03-30 04:00:56.336109	94468	1126091.8914810477	4	2
2014-03-30 04:00:59.98719	94469	49	2	1
2014-03-30 04:01:00.206738	94470	19.4	1	1
2014-03-30 04:01:17.095176	94471	44	2	10
2014-03-30 04:01:17.32822	94472	20.7	1	10
2014-03-30 04:01:20.1058	94473	305	3	2
2014-03-30 04:01:20.328442	94474	1126094.1895504906	4	2
2014-03-30 04:01:25.924068	94475	49	2	9
2014-03-30 04:01:26.156048	94476	19.3	1	9
2014-03-30 04:01:27.005659	94477	45	2	8
2014-03-30 04:01:27.225975	94478	20.4	1	8
2014-03-30 04:01:38.99091	94479	49	2	1
2014-03-30 04:01:39.22374	94480	19.3	1	1
2014-03-30 04:01:44.11042	94481	338	3	2
2014-03-30 04:01:44.343217	94482	1126095.338585212	4	2
2014-03-30 04:01:56.095404	94483	44	2	10
2014-03-30 04:01:56.327431	94484	20.7	1	10
2014-03-30 04:02:04.923735	94485	49	2	9
2014-03-30 04:02:05.146184	94486	19.3	1	9
2014-03-30 04:02:06.011702	94487	45	2	8
2014-03-30 04:02:06.24307	94488	20.4	1	8
2014-03-30 04:02:08.107609	94489	305	3	2
2014-03-30 04:02:08.330357	94490	1126097.6366546548	4	2
2014-03-30 04:02:17.944473	94491	49	2	1
2014-03-30 04:02:18.178116	94492	19.3	1	1
2014-03-30 04:02:20.106821	94493	305	3	2
2014-03-30 04:02:20.32614	94494	1126098.785689376	4	2
2014-03-30 04:02:32.109072	94495	338	3	2
2014-03-30 04:02:32.341586	94496	1126099.9347240976	4	2
2014-03-30 04:02:35.098144	94497	44	2	10
2014-03-30 04:02:35.339025	94498	20.7	1	10
2014-03-30 04:02:43.927703	94499	49	2	9
2014-03-30 04:02:44.173814	94500	19.3	1	9
2014-03-30 04:02:45.007272	94501	45	2	8
2014-03-30 04:02:45.230631	94502	20.4	1	8
2014-03-30 04:02:56.751175	94503	370	3	2
2014-03-30 04:02:56.985553	94504	1126102.2327935405	4	2
2014-03-30 04:02:57.292797	94505	49	2	1
2014-03-30 04:02:57.514448	94506	19.3	1	1
2014-03-30 04:03:08.109579	94507	354	3	2
2014-03-30 04:03:08.342103	94508	1126103.3818282618	4	2
2014-03-30 04:03:14.095835	94509	44	2	10
2014-03-30 04:03:14.32016	94510	20.7	1	10
2014-03-30 04:03:22.927023	94511	49	2	9
2014-03-30 04:03:23.163122	94512	19.3	1	9
2014-03-30 04:03:24.006874	94513	45	2	8
2014-03-30 04:03:24.229377	94514	20.4	1	8
2014-03-30 04:03:32.108699	94515	370	3	2
2014-03-30 04:03:32.343853	94516	1126105.6798977046	4	2
2014-03-30 04:03:35.940843	94517	49	2	1
2014-03-30 04:03:36.165851	94518	19.3	1	1
2014-03-30 04:03:53.09651	94519	44	2	10
2014-03-30 04:03:53.330893	94520	20.7	1	10
2014-03-30 04:04:01.926395	94521	49	2	9
2014-03-30 04:04:02.149114	94522	19.3	1	9
2014-03-30 04:04:03.005321	94523	45	2	8
2014-03-30 04:04:03.237713	94524	20.4	1	8
2014-03-30 04:04:15.182183	94525	49	2	1
2014-03-30 04:04:15.406561	94526	19.3	1	1
2014-03-30 04:04:32.298874	94527	44	2	10
2014-03-30 04:04:32.533133	94528	20.7	1	10
2014-03-30 04:04:40.929658	94529	49	2	9
2014-03-30 04:04:41.208116	94530	19.3	1	9
2014-03-30 04:04:42.006768	94531	45	2	8
2014-03-30 04:04:42.236457	94532	20.4	1	8
2014-03-30 04:04:53.939509	94533	49	2	1
2014-03-30 04:04:54.163721	94534	19.3	1	1
2014-03-30 04:05:11.097861	94535	44	2	10
2014-03-30 04:05:11.334442	94536	20.7	1	10
2014-03-30 04:05:19.923851	94537	49	2	9
2014-03-30 04:05:20.148127	94538	19.3	1	9
2014-03-30 04:05:21.006982	94539	45	2	8
2014-03-30 04:05:21.239909	94540	20.4	1	8
2014-03-30 04:05:32.104314	94541	434	3	2
2014-03-30 04:05:32.329076	94542	1126119.4683143615	4	2
2014-03-30 04:05:32.939979	94543	49	2	1
2014-03-30 04:05:33.170743	94544	19.3	1	1
2014-03-30 04:05:44.105298	94545	434	3	2
2014-03-30 04:05:44.328266	94546	1126120.617349083	4	2
2014-03-30 04:05:50.098034	94547	44	2	10
2014-03-30 04:05:50.342489	94548	20.8	1	10
2014-03-30 04:05:58.927915	94549	49	2	9
2014-03-30 04:05:59.152693	94550	19.3	1	9
2014-03-30 04:06:00.00525	94551	45	2	8
2014-03-30 04:06:00.24097	94552	20.3	1	8
2014-03-30 04:06:11.941548	94553	49	2	1
2014-03-30 04:06:12.166212	94554	19.3	1	1
2014-03-30 04:06:29.099525	94555	44	2	10
2014-03-30 04:06:29.332445	94556	20.8	1	10
2014-03-30 04:06:32.105348	94557	434	3	2
2014-03-30 04:06:32.329398	94558	1126127.5115574114	4	2
2014-03-30 04:06:37.923307	94559	49	2	9
2014-03-30 04:06:38.15545	94560	19.3	1	9
2014-03-30 04:06:39.006663	94561	45	2	8
2014-03-30 04:06:39.227813	94562	20.3	1	8
2014-03-30 04:06:50.939336	94563	49	2	1
2014-03-30 04:06:51.170688	94564	19.3	1	1
2014-03-30 04:07:08.099486	94565	44	2	10
2014-03-30 04:07:08.323165	94566	20.8	1	10
2014-03-30 04:07:16.924732	94567	49	2	9
2014-03-30 04:07:17.158498	94568	19.3	1	9
2014-03-30 04:07:18.006747	94569	45	2	8
2014-03-30 04:07:18.227445	94570	20.3	1	8
2014-03-30 04:07:29.942765	94571	49	2	1
2014-03-30 04:07:30.174184	94572	19.3	1	1
2014-03-30 04:07:32.105828	94573	434	3	2
2014-03-30 04:07:32.327758	94574	1126134.40576574	4	2
2014-03-30 04:07:47.098922	94575	44	2	10
2014-03-30 04:07:47.332938	94576	20.8	1	10
2014-03-30 04:07:55.924943	94577	49	2	9
2014-03-30 04:07:56.149686	94578	19.3	1	9
2014-03-30 04:07:57.005949	94579	45	2	8
2014-03-30 04:07:57.238143	94580	20.3	1	8
2014-03-30 04:08:08.948862	94581	49	2	1
2014-03-30 04:08:09.173842	94582	19.3	1	1
2014-03-30 04:08:26.10089	94583	44	2	10
2014-03-30 04:08:26.333579	94584	20.8	1	10
2014-03-30 04:08:32.111542	94585	370	3	2
2014-03-30 04:08:32.333636	94586	1126141.2999740685	4	2
2014-03-30 04:08:34.928166	94587	49	2	9
2014-03-30 04:08:35.163231	94588	19.3	1	9
2014-03-30 04:08:36.004079	94589	45	2	8
2014-03-30 04:08:36.22899	94590	20.3	1	8
2014-03-30 04:08:44.110157	94591	402	3	2
2014-03-30 04:08:44.343068	94592	1126142.4490087898	4	2
2014-03-30 04:08:47.93947	94593	49	2	1
2014-03-30 04:08:48.164417	94594	19.3	1	1
2014-03-30 04:08:56.105712	94595	402	3	2
2014-03-30 04:08:56.349478	94596	1126143.5980435114	4	2
2014-03-30 04:09:05.098141	94597	44	2	10
2014-03-30 04:09:05.321709	94598	20.8	1	10
2014-03-30 04:09:08.105008	94599	370	3	2
2014-03-30 04:09:08.33782	94600	1126145.8961129542	4	2
2014-03-30 04:09:13.922813	94601	49	2	9
2014-03-30 04:09:14.144672	94602	19.3	1	9
2014-03-30 04:09:15.005526	94603	45	2	8
2014-03-30 04:09:15.239624	94604	20.3	1	8
2014-03-30 04:09:20.10477	94605	370	3	2
2014-03-30 04:09:20.329147	94606	1126147.0451476756	4	2
2014-03-30 04:09:26.938071	94607	49	2	1
2014-03-30 04:09:27.173677	94608	19.3	1	1
2014-03-30 04:09:32.106515	94609	370	3	2
2014-03-30 04:09:32.333153	94610	1126148.194182397	4	2
2014-03-30 04:09:44.097384	94611	44	2	10
2014-03-30 04:09:44.331943	94612	20.8	1	10
2014-03-30 04:09:52.925795	94613	49	2	9
2014-03-30 04:09:53.147322	94614	19.3	1	9
2014-03-30 04:09:54.005682	94615	45	2	8
2014-03-30 04:09:54.237907	94616	20.3	1	8
2014-03-30 04:10:05.937449	94617	49	2	1
2014-03-30 04:10:06.159649	94618	19.3	1	1
2014-03-30 04:10:23.098867	94619	44	2	10
2014-03-30 04:10:23.330785	94620	20.8	1	10
2014-03-30 04:10:31.922711	94621	49	2	9
2014-03-30 04:10:32.148094	94622	19.3	1	9
2014-03-30 04:10:33.005784	94623	45	2	8
2014-03-30 04:10:33.238715	94624	20.3	1	8
2014-03-30 04:10:44.937844	94625	49	2	1
2014-03-30 04:10:45.160293	94626	19.3	1	1
2014-03-30 04:11:02.099215	94627	44	2	10
2014-03-30 04:11:02.331354	94628	20.8	1	10
2014-03-30 04:11:10.924544	94629	49	2	9
2014-03-30 04:11:11.146512	94630	19.3	1	9
2014-03-30 04:11:12.005215	94631	45	2	8
2014-03-30 04:11:12.237448	94632	20.3	1	8
2014-03-30 04:11:23.93734	94633	49	2	1
2014-03-30 04:11:24.158465	94634	19.3	1	1
2014-03-30 04:11:32.106523	94635	370	3	2
2014-03-30 04:11:32.338312	94636	1126160.8335643325	4	2
2014-03-30 04:11:41.097739	94637	44	2	10
2014-03-30 04:11:41.376892	94638	20.8	1	10
2014-03-30 04:11:49.923603	94639	49	2	9
2014-03-30 04:11:50.158909	94640	19.3	1	9
2014-03-30 04:11:51.005768	94641	45	2	8
2014-03-30 04:11:51.227118	94642	20.3	1	8
2014-03-30 04:12:02.937769	94643	49	2	1
2014-03-30 04:12:03.180433	94644	19.3	1	1
2014-03-30 04:12:20.100763	94645	44	2	10
2014-03-30 04:12:20.323293	94646	20.8	1	10
2014-03-30 04:12:28.926054	94647	49	2	9
2014-03-30 04:12:29.158857	94648	19.3	1	9
2014-03-30 04:12:30.006737	94649	45	2	8
2014-03-30 04:12:30.228512	94650	20.3	1	8
2014-03-30 04:12:32.105952	94651	370	3	2
2014-03-30 04:12:32.336919	94652	1126166.5787379397	4	2
2014-03-30 04:12:41.942115	94653	49	2	1
2014-03-30 04:12:42.167031	94654	19.3	1	1
2014-03-30 04:12:59.101358	94655	44	2	10
2014-03-30 04:12:59.333395	94656	20.8	1	10
2014-03-30 04:13:07.924165	94657	49	2	9
2014-03-30 04:13:08.146648	94658	19.3	1	9
2014-03-30 04:13:09.007382	94659	45	2	8
2014-03-30 04:13:09.238596	94660	20.3	1	8
2014-03-30 04:13:20.937559	94661	49	2	1
2014-03-30 04:13:21.163857	94662	19.3	1	1
2014-03-30 04:13:32.108783	94663	370	3	2
2014-03-30 04:13:32.340068	94664	1126173.472946268	4	2
2014-03-30 04:13:38.101104	94665	44	2	10
2014-03-30 04:13:38.324534	94666	20.8	1	10
2014-03-30 04:13:46.926087	94667	49	2	9
2014-03-30 04:13:47.159565	94668	19.3	1	9
2014-03-30 04:13:48.005037	94669	45	2	8
2014-03-30 04:13:48.229088	94670	20.3	1	8
2014-03-30 04:13:59.933907	94671	49	2	1
2014-03-30 04:14:00.167966	94672	19.3	1	1
2014-03-30 04:14:17.101388	94673	44	2	10
2014-03-30 04:14:17.326817	94674	20.8	1	10
2014-03-30 04:14:25.925747	94675	49	2	9
2014-03-30 04:14:26.159912	94676	19.3	1	9
2014-03-30 04:14:27.005236	94677	45	2	8
2014-03-30 04:14:27.229674	94678	20.3	1	8
2014-03-30 04:14:32.105173	94679	370	3	2
2014-03-30 04:14:32.339602	94680	1126179.2181198753	4	2
2014-03-30 04:14:38.933441	94681	49	2	1
2014-03-30 04:14:39.156582	94682	19.3	1	1
2014-03-30 04:14:56.10007	94683	44	2	10
2014-03-30 04:14:56.334017	94684	20.8	1	10
2014-03-30 04:15:04.924903	94685	49	2	9
2014-03-30 04:15:05.148008	94686	19.4	1	9
2014-03-30 04:15:06.006786	94687	45	2	8
2014-03-30 04:15:06.238142	94688	20.3	1	8
2014-03-30 04:15:17.933835	94689	49	2	1
2014-03-30 04:15:18.157385	94690	19.3	1	1
2014-03-30 04:15:20.106285	94691	418	3	2
2014-03-30 04:15:20.350081	94692	1126183.8142587608	4	2
2014-03-30 04:15:32.10799	94693	418	3	2
2014-03-30 04:15:32.332047	94694	1126186.1123282036	4	2
2014-03-30 04:15:35.102506	94695	44	2	10
2014-03-30 04:15:35.335907	94696	20.8	1	10
2014-03-30 04:15:43.928873	94697	49	2	9
2014-03-30 04:15:44.150419	94698	19.4	1	9
2014-03-30 04:15:45.009079	94699	45	2	8
2014-03-30 04:15:45.241035	94700	20.3	1	8
2014-03-30 04:15:56.936668	94701	49	2	1
2014-03-30 04:15:57.159594	94702	19.3	1	1
2014-03-30 04:16:14.10066	94703	44	2	10
2014-03-30 04:16:14.333823	94704	20.8	1	10
2014-03-30 04:16:22.926285	94705	49	2	9
2014-03-30 04:16:23.149201	94706	19.4	1	9
2014-03-30 04:16:24.006058	94707	45	2	8
2014-03-30 04:16:24.235061	94708	20.3	1	8
2014-03-30 04:16:32.104672	94709	418	3	2
2014-03-30 04:16:32.327668	94710	1126193.0065365322	4	2
2014-03-30 04:16:35.979319	94711	49	2	1
2014-03-30 04:16:36.213958	94712	19.3	1	1
2014-03-30 04:16:53.103708	94713	44	2	10
2014-03-30 04:16:53.326381	94714	20.8	1	10
2014-03-30 04:17:01.928882	94715	49	2	9
2014-03-30 04:17:02.253801	94716	19.4	1	9
2014-03-30 04:17:03.005075	94717	45	2	8
2014-03-30 04:17:03.225739	94718	20.3	1	8
2014-03-30 04:17:14.937417	94719	49	2	1
2014-03-30 04:17:15.172433	94720	19.3	1	1
2014-03-30 04:17:32.306209	94721	44	2	10
2014-03-30 04:17:32.529703	94722	20.8	1	10
2014-03-30 04:17:40.922709	94723	49	2	9
2014-03-30 04:17:41.157261	94724	19.4	1	9
2014-03-30 04:17:42.005448	94725	45	2	8
2014-03-30 04:17:42.227315	94726	20.3	1	8
2014-03-30 04:17:53.979248	94727	49	2	1
2014-03-30 04:17:54.213525	94728	19.3	1	1
2014-03-30 04:18:11.102301	94729	44	2	10
2014-03-30 04:18:11.325562	94730	20.8	1	10
2014-03-30 04:18:19.926941	94731	49	2	9
2014-03-30 04:18:20.178793	94732	19.4	1	9
2014-03-30 04:18:21.007247	94733	45	2	8
2014-03-30 04:18:21.228325	94734	20.3	1	8
2014-03-30 04:18:32.10755	94735	418	3	2
2014-03-30 04:18:32.341739	94736	1126206.794953189	4	2
2014-03-30 04:18:32.933205	94737	49	2	1
2014-03-30 04:18:33.155903	94738	19.3	1	1
2014-03-30 04:18:50.104793	94739	44	2	10
2014-03-30 04:18:50.348574	94740	20.8	1	10
2014-03-30 04:18:58.925857	94741	49	2	9
2014-03-30 04:18:59.149774	94742	19.4	1	9
2014-03-30 04:19:00.004362	94743	45	2	8
2014-03-30 04:19:00.237557	94744	20.3	1	8
2014-03-30 04:19:11.98815	94745	49	2	1
2014-03-30 04:19:12.212222	94746	19.3	1	1
2014-03-30 04:19:29.105076	94747	44	2	10
2014-03-30 04:19:29.337566	94748	20.8	1	10
2014-03-30 04:19:32.109371	94749	418	3	2
2014-03-30 04:19:32.328812	94750	1126213.6891615177	4	2
2014-03-30 04:19:37.926685	94751	49	2	9
2014-03-30 04:19:38.1619	94752	19.4	1	9
2014-03-30 04:19:39.004727	94753	45	2	8
2014-03-30 04:19:39.227479	94754	20.3	1	8
2014-03-30 04:19:50.933129	94755	49	2	1
2014-03-30 04:19:51.170707	94756	19.3	1	1
2014-03-30 04:20:08.104841	94757	44	2	10
2014-03-30 04:20:08.326692	94758	20.8	1	10
2014-03-30 04:20:16.923802	94759	49	2	9
2014-03-30 04:20:17.154883	94760	19.4	1	9
2014-03-30 04:20:18.003941	94761	45	2	8
2014-03-30 04:20:18.225954	94762	20.3	1	8
2014-03-30 04:20:29.93038	94763	49	2	1
2014-03-30 04:20:30.162459	94764	19.3	1	1
2014-03-30 04:20:32.105287	94765	418	3	2
2014-03-30 04:20:32.330229	94766	1126221.7324045675	4	2
2014-03-30 04:20:47.103868	94767	44	2	10
2014-03-30 04:20:47.33759	94768	20.8	1	10
2014-03-30 04:20:55.924056	94769	49	2	9
2014-03-30 04:20:56.146105	94770	19.4	1	9
2014-03-30 04:20:57.004965	94771	45	2	8
2014-03-30 04:20:57.238801	94772	20.3	1	8
2014-03-30 04:21:08.102764	94773	338	3	2
2014-03-30 04:21:08.326233	94774	1126225.1795087317	4	2
2014-03-30 04:21:08.930048	94775	49	2	1
2014-03-30 04:21:09.16316	94776	19.3	1	1
2014-03-30 04:21:20.10329	94777	305	3	2
2014-03-30 04:21:20.326993	94778	1126226.3285434532	4	2
2014-03-30 04:21:26.10124	94779	44	2	10
2014-03-30 04:21:26.336549	94780	20.8	1	10
2014-03-30 04:21:32.104014	94781	305	3	2
2014-03-30 04:21:32.326048	94782	1126227.4775781746	4	2
2014-03-30 04:21:34.924267	94783	49	2	9
2014-03-30 04:21:35.156849	94784	19.4	1	9
2014-03-30 04:21:36.005762	94785	45	2	8
2014-03-30 04:21:36.22896	94786	20.3	1	8
2014-03-30 04:21:44.104412	94787	338	3	2
2014-03-30 04:21:44.350185	94788	1126228.626612896	4	2
2014-03-30 04:21:47.930793	94789	49	2	1
2014-03-30 04:21:48.155019	94790	19.3	1	1
2014-03-30 04:21:56.1056	94791	305	3	2
2014-03-30 04:21:56.339126	94792	1126229.7756476174	4	2
2014-03-30 04:22:05.103894	94793	44	2	10
2014-03-30 04:22:05.326747	94794	20.8	1	10
2014-03-30 04:22:08.108436	94795	338	3	2
2014-03-30 04:22:08.340574	94796	1126230.924682339	4	2
2014-03-30 04:22:13.925891	94797	49	2	9
2014-03-30 04:22:14.147959	94798	19.4	1	9
2014-03-30 04:22:15.0045	94799	45	2	8
2014-03-30 04:22:15.236226	94800	20.3	1	8
2014-03-30 04:22:20.10419	94801	305	3	2
2014-03-30 04:22:20.326832	94802	1126232.0737170603	4	2
2014-03-30 04:22:26.932054	94803	49	2	1
2014-03-30 04:22:27.165677	94804	19.3	1	1
2014-03-30 04:22:32.104665	94805	305	3	2
2014-03-30 04:22:32.331763	94806	1126232.0737170603	4	2
2014-03-30 04:22:44.309134	94807	44	2	10
2014-03-30 04:22:44.542362	94808	20.8	1	10
2014-03-30 04:22:52.926601	94809	49	2	9
2014-03-30 04:22:53.148153	94810	19.4	1	9
2014-03-30 04:22:54.005254	94811	45	2	8
2014-03-30 04:22:54.237922	94812	20.3	1	8
2014-03-30 04:22:56.106616	94813	305	3	2
2014-03-30 04:22:56.328696	94814	1126234.3717865031	4	2
2014-03-30 04:23:05.931341	94815	49	2	1
2014-03-30 04:23:06.163192	94816	19.3	1	1
2014-03-30 04:23:08.105286	94817	305	3	2
2014-03-30 04:23:08.328794	94818	1126235.5208212244	4	2
2014-03-30 04:23:23.104297	94819	44	2	10
2014-03-30 04:23:23.339269	94820	20.8	1	10
2014-03-30 04:23:31.927571	94821	49	2	9
2014-03-30 04:23:32.151691	94822	19.4	1	9
2014-03-30 04:23:33.00751	94823	45	2	8
2014-03-30 04:23:33.238664	94824	20.3	1	8
2014-03-30 04:23:44.103245	94825	338	3	2
2014-03-30 04:23:44.32763	94826	1126238.9679253888	4	2
2014-03-30 04:23:44.931125	94827	49	2	1
2014-03-30 04:23:45.184546	94828	19.3	1	1
2014-03-30 04:23:56.105298	94829	305	3	2
2014-03-30 04:23:56.328792	94830	1126240.1169601101	4	2
2014-03-30 04:24:02.105073	94831	44	2	10
2014-03-30 04:24:02.338243	94832	20.8	1	10
2014-03-30 04:24:08.107371	94833	305	3	2
2014-03-30 04:24:08.329564	94834	1126241.2659948317	4	2
2014-03-30 04:24:10.925032	94835	49	2	9
2014-03-30 04:24:11.169211	94836	19.4	1	9
2014-03-30 04:24:12.006812	94837	45	2	8
2014-03-30 04:24:12.287555	94838	20.3	1	8
2014-03-30 04:24:20.104777	94839	338	3	2
2014-03-30 04:24:20.521337	94840	1126242.415029553	4	2
2014-03-30 04:24:23.929643	94841	49	2	1
2014-03-30 04:24:24.160762	94842	19.3	1	1
2014-03-30 04:24:32.106224	94843	305	3	2
2014-03-30 04:24:32.327967	94844	1126243.5640642743	4	2
2014-03-30 04:24:41.105359	94845	44	2	10
2014-03-30 04:24:41.33641	94846	20.8	1	10
2014-03-30 04:24:44.106657	94847	305	3	2
2014-03-30 04:24:44.328223	94848	1126244.7130989959	4	2
2014-03-30 04:24:49.924763	94849	49	2	9
2014-03-30 04:24:50.158522	94850	19.4	1	9
2014-03-30 04:24:51.005629	94851	45	2	8
2014-03-30 04:24:51.228767	94852	20.3	1	8
2014-03-30 04:24:56.105058	94853	338	3	2
2014-03-30 04:24:56.339143	94854	1126245.8621337172	4	2
2014-03-30 04:25:02.927655	94855	49	2	1
2014-03-30 04:25:03.15215	94856	19.3	1	1
2014-03-30 04:25:08.105635	94857	338	3	2
2014-03-30 04:25:08.342757	94858	1126247.0111684387	4	2
2014-03-30 04:25:20.310454	94859	44	2	10
2014-03-30 04:25:20.532451	94860	20.8	1	10
2014-03-30 04:25:28.924112	94861	49	2	9
2014-03-30 04:25:29.156372	94862	19.4	1	9
2014-03-30 04:25:30.004108	94863	45	2	8
2014-03-30 04:25:30.227763	94864	20.3	1	8
2014-03-30 04:25:32.10405	94865	305	3	2
2014-03-30 04:25:32.336939	94866	1126248.16020316	4	2
2014-03-30 04:25:41.929166	94867	49	2	1
2014-03-30 04:25:42.15015	94868	19.3	1	1
2014-03-30 04:25:44.104131	94869	338	3	2
2014-03-30 04:25:44.337634	94870	1126249.3092378816	4	2
2014-03-30 04:25:56.102633	94871	305	3	2
2014-03-30 04:25:56.32646	94872	1126250.4582726029	4	2
2014-03-30 04:25:59.103764	94873	44	2	10
2014-03-30 04:25:59.336492	94874	20.8	1	10
2014-03-30 04:26:07.924306	94875	49	2	9
2014-03-30 04:26:08.14577	94876	19.4	1	9
2014-03-30 04:26:09.004779	94877	45	2	8
2014-03-30 04:26:09.235292	94878	20.3	1	8
2014-03-30 04:26:20.928033	94879	49	2	1
2014-03-30 04:26:21.157846	94880	19.3	1	1
2014-03-30 04:26:32.106847	94881	305	3	2
2014-03-30 04:26:32.34102	94882	1126253.9053767673	4	2
2014-03-30 04:26:38.104612	94883	44	2	10
2014-03-30 04:26:38.328252	94884	20.8	1	10
2014-03-30 04:26:46.921379	94885	49	2	9
2014-03-30 04:26:47.161789	94886	19.4	1	9
2014-03-30 04:26:48.003353	94887	45	2	8
2014-03-30 04:26:48.224658	94888	20.3	1	8
2014-03-30 04:26:59.926457	94889	49	2	1
2014-03-30 04:27:00.157764	94890	19.3	1	1
2014-03-30 04:27:08.104173	94891	338	3	2
2014-03-30 04:27:08.327086	94892	1126257.3524809314	4	2
2014-03-30 04:27:17.104461	94893	44	2	10
2014-03-30 04:27:17.33681	94894	20.8	1	10
2014-03-30 04:27:20.103368	94895	305	3	2
2014-03-30 04:27:20.32444	94896	1126258.5015156528	4	2
2014-03-30 04:27:25.924597	94897	49	2	9
2014-03-30 04:27:26.15678	94898	19.4	1	9
2014-03-30 04:27:27.005835	94899	45	2	8
2014-03-30 04:27:27.225249	94900	20.3	1	8
2014-03-30 04:27:32.105301	94901	305	3	2
2014-03-30 04:27:32.338512	94902	1126259.6505503743	4	2
2014-03-30 04:27:38.928322	94903	49	2	1
2014-03-30 04:27:39.152775	94904	19.3	1	1
2014-03-30 04:27:44.102974	94905	354	3	2
2014-03-30 04:27:44.340461	94906	1126260.7995850956	4	2
2014-03-30 04:27:56.309578	94907	44	2	10
2014-03-30 04:27:56.531965	94908	20.8	1	10
2014-03-30 04:28:04.923973	94909	49	2	9
2014-03-30 04:28:05.155208	94910	19.4	1	9
2014-03-30 04:28:06.005163	94911	45	2	8
2014-03-30 04:28:06.225776	94912	20.3	1	8
2014-03-30 04:28:17.925721	94913	49	2	1
2014-03-30 04:28:18.162157	94914	19.3	1	1
2014-03-30 04:28:32.102961	94915	370	3	2
2014-03-30 04:28:32.325481	94916	1126265.3957239813	4	2
2014-03-30 04:28:35.105026	94917	44	2	10
2014-03-30 04:28:35.338182	94918	20.8	1	10
2014-03-30 04:28:43.926685	94919	49	2	9
2014-03-30 04:28:44.183685	94920	19.4	1	9
2014-03-30 04:28:45.005569	94921	45	2	8
2014-03-30 04:28:45.270237	94922	20.3	1	8
2014-03-30 04:28:56.928571	94923	49	2	1
2014-03-30 04:28:57.186119	94924	19.3	1	1
2014-03-30 04:29:14.105977	94925	44	2	10
2014-03-30 04:29:14.338599	94926	20.8	1	10
2014-03-30 04:29:22.927631	94927	49	2	9
2014-03-30 04:29:23.15245	94928	19.4	1	9
2014-03-30 04:29:24.006992	94929	45	2	8
2014-03-30 04:29:24.238903	94930	20.3	1	8
2014-03-30 04:29:32.104488	94931	370	3	2
2014-03-30 04:29:32.324947	94932	1126272.2899323099	4	2
2014-03-30 04:29:35.925514	94933	49	2	1
2014-03-30 04:29:36.168863	94934	19.3	1	1
2014-03-30 04:29:53.105561	94935	44	2	10
2014-03-30 04:29:53.327208	94936	20.8	1	10
2014-03-30 04:30:01.925712	94937	49	2	9
2014-03-30 04:30:02.15876	94938	19.4	1	9
2014-03-30 04:30:03.004799	94939	45	2	8
2014-03-30 04:30:03.226984	94940	20.3	1	8
2014-03-30 04:30:14.929394	94941	49	2	1
2014-03-30 04:30:15.163485	94942	19.3	1	1
2014-03-30 04:30:32.309512	94943	44	2	10
2014-03-30 04:30:32.530423	94944	20.8	1	10
2014-03-30 04:30:40.921516	94945	49	2	9
2014-03-30 04:30:41.153054	94946	19.4	1	9
2014-03-30 04:30:42.003969	94947	45	2	8
2014-03-30 04:30:42.230589	94948	20.3	1	8
2014-03-30 04:30:53.9271	94949	49	2	1
2014-03-30 04:30:54.158014	94950	19.3	1	1
2014-03-30 04:31:11.105967	94951	44	2	10
2014-03-30 04:31:11.329242	94952	20.8	1	10
2014-03-30 04:31:19.92305	94953	49	2	9
2014-03-30 04:31:20.154781	94954	19.4	1	9
2014-03-30 04:31:21.005171	94955	45	2	8
2014-03-30 04:31:21.226166	94956	20.3	1	8
2014-03-30 04:31:32.103319	94957	370	3	2
2014-03-30 04:31:32.337223	94958	1126284.9293142455	4	2
2014-03-30 04:31:32.9249	94959	49	2	1
2014-03-30 04:31:33.145665	94960	19.3	1	1
2014-03-30 04:31:44.104956	94961	370	3	2
2014-03-30 04:31:44.338668	94962	1126286.0783489668	4	2
2014-03-30 04:31:50.105065	94963	44	2	10
2014-03-30 04:31:50.327381	94964	20.8	1	10
2014-03-30 04:31:58.9264	94965	49	2	9
2014-03-30 04:31:59.157649	94966	19.4	1	9
2014-03-30 04:32:00.005037	94967	45	2	8
2014-03-30 04:32:00.226464	94968	20.3	1	8
2014-03-30 04:32:11.938712	94969	49	2	1
2014-03-30 04:32:12.172529	94970	19.3	1	1
2014-03-30 04:32:29.106192	94971	44	2	10
2014-03-30 04:32:29.328976	94972	20.8	1	10
2014-03-30 04:32:37.92624	94973	49	2	9
2014-03-30 04:32:38.161696	94974	19.4	1	9
2014-03-30 04:32:39.004853	94975	45	2	8
2014-03-30 04:32:39.226428	94976	20.3	1	8
2014-03-30 04:32:50.923985	94977	49	2	1
2014-03-30 04:32:51.155591	94978	19.3	1	1
2014-03-30 04:32:56.103394	94979	402	3	2
2014-03-30 04:32:56.331247	94980	1126292.9725572953	4	2
2014-03-30 04:33:08.311008	94981	44	2	10
2014-03-30 04:33:08.553898	94982	20.8	1	10
2014-03-30 04:33:16.926726	94983	49	2	9
2014-03-30 04:33:17.148264	94984	19.4	1	9
2014-03-30 04:33:18.004963	94985	45	2	8
2014-03-30 04:33:18.235215	94986	20.3	1	8
2014-03-30 04:33:20.107022	94987	338	3	2
2014-03-30 04:33:20.328624	94988	1126295.2706267382	4	2
2014-03-30 04:33:29.923071	94989	49	2	1
2014-03-30 04:33:30.155708	94990	19.3	1	1
2014-03-30 04:33:32.105502	94991	338	3	2
2014-03-30 04:33:32.327763	94992	1126296.4196614595	4	2
2014-03-30 04:33:47.106141	94993	44	2	10
2014-03-30 04:33:47.337404	94994	20.8	1	10
2014-03-30 04:33:55.926498	94995	49	2	9
2014-03-30 04:33:56.15162	94996	19.3	1	9
2014-03-30 04:33:57.005284	94997	45	2	8
2014-03-30 04:33:57.235482	94998	20.3	1	8
2014-03-30 04:34:08.103145	94999	305	3	2
2014-03-30 04:34:08.324319	95000	1126299.8667656237	4	2
2014-03-30 04:34:08.922294	95001	49	2	1
2014-03-30 04:34:09.153361	95002	19.3	1	1
2014-03-30 04:34:26.104305	95003	44	2	10
2014-03-30 04:34:26.327109	95004	20.8	1	10
2014-03-30 04:34:32.105589	95005	305	3	2
2014-03-30 04:34:32.337581	95006	1126302.1648350665	4	2
2014-03-30 04:34:34.927573	95007	49	2	9
2014-03-30 04:34:35.148651	95008	19.3	1	9
2014-03-30 04:34:36.006533	95009	45	2	8
2014-03-30 04:34:36.237889	95010	20.3	1	8
2014-03-30 04:34:47.970338	95011	49	2	1
2014-03-30 04:34:48.193104	95012	19.3	1	1
2014-03-30 04:35:05.109185	95013	44	2	10
2014-03-30 04:35:05.341182	95014	20.8	1	10
2014-03-30 04:35:13.923383	95015	49	2	9
2014-03-30 04:35:14.149491	95016	19.3	1	9
2014-03-30 04:35:15.00469	95017	45	2	8
2014-03-30 04:35:15.236505	95018	20.3	1	8
2014-03-30 04:35:26.92409	95019	49	2	1
2014-03-30 04:35:27.146075	95020	19.3	1	1
2014-03-30 04:35:44.309477	95021	44	2	10
2014-03-30 04:35:44.541837	95022	20.8	1	10
2014-03-30 04:35:52.923643	95023	49	2	9
2014-03-30 04:35:53.146486	95024	19.3	1	9
2014-03-30 04:35:54.007547	95025	45	2	8
2014-03-30 04:35:54.2395	95026	20.3	1	8
2014-03-30 04:35:56.10387	95027	305	3	2
2014-03-30 04:35:56.326032	95028	1126309.059043395	4	2
2014-03-30 04:36:05.92234	95029	49	2	1
2014-03-30 04:36:06.167227	95030	19.3	1	1
2014-03-30 04:36:08.10597	95031	338	3	2
2014-03-30 04:36:08.330509	95032	1126310.2080781164	4	2
2014-03-30 04:36:20.103843	95033	305	3	2
2014-03-30 04:36:20.337347	95034	1126311.357112838	4	2
2014-03-30 04:36:23.106219	95035	44	2	10
2014-03-30 04:36:23.330863	95036	20.8	1	10
2014-03-30 04:36:31.927132	95037	49	2	9
2014-03-30 04:36:32.158531	95038	19.3	1	9
2014-03-30 04:36:33.005518	95039	45	2	8
2014-03-30 04:36:33.227545	95040	20.3	1	8
2014-03-30 04:36:44.92371	95041	49	2	1
2014-03-30 04:36:45.154013	95042	19.3	1	1
2014-03-30 04:36:56.102777	95043	338	3	2
2014-03-30 04:36:56.324118	95044	1126314.8042170021	4	2
2014-03-30 04:37:02.107843	95045	44	2	10
2014-03-30 04:37:02.360753	95046	20.8	1	10
2014-03-30 04:37:08.102577	95047	305	3	2
2014-03-30 04:37:08.324579	95048	1126315.9532517237	4	2
2014-03-30 04:37:10.926843	95049	49	2	9
2014-03-30 04:37:11.156088	95050	19.3	1	9
2014-03-30 04:37:12.005203	95051	45	2	8
2014-03-30 04:37:12.227637	95052	20.3	1	8
2014-03-30 04:37:20.102744	95053	338	3	2
2014-03-30 04:37:20.33493	95054	1126317.102286445	4	2
2014-03-30 04:37:23.921021	95055	49	2	1
2014-03-30 04:37:24.141844	95056	19.3	1	1
2014-03-30 04:37:32.104896	95057	338	3	2
2014-03-30 04:37:32.337026	95058	1126318.2513211663	4	2
2014-03-30 04:37:41.109574	95059	44	2	10
2014-03-30 04:37:41.333032	95060	20.8	1	10
2014-03-30 04:37:44.103429	95061	305	3	2
2014-03-30 04:37:44.334846	95062	1126319.4003558878	4	2
2014-03-30 04:37:50.802556	95063	49	2	9
2014-03-30 04:37:51.024671	95064	19.3	1	9
2014-03-30 04:37:51.330033	95065	45	2	8
2014-03-30 04:37:51.564523	95066	20.3	1	8
2014-03-30 04:37:56.104835	95067	338	3	2
2014-03-30 04:37:56.331942	95068	1126320.5493906091	4	2
2014-03-30 04:38:02.92213	95069	49	2	1
2014-03-30 04:38:03.155124	95070	19.2	1	1
2014-03-30 04:38:08.102834	95071	305	3	2
2014-03-30 04:38:08.329895	95072	1126321.6984253307	4	2
2014-03-30 04:38:20.312418	95073	44	2	10
2014-03-30 04:38:20.544842	95074	20.8	1	10
2014-03-30 04:38:28.923271	95075	49	2	9
2014-03-30 04:38:29.145036	95076	19.3	1	9
2014-03-30 04:38:30.004609	95077	45	2	8
2014-03-30 04:38:30.24585	95078	20.3	1	8
2014-03-30 04:38:32.101626	95079	338	3	2
2014-03-30 04:38:32.323518	95080	1126323.9964947735	4	2
2014-03-30 04:38:41.919856	95081	49	2	1
2014-03-30 04:38:42.208852	95082	19.2	1	1
2014-03-30 04:38:59.106499	95083	44	2	10
2014-03-30 04:38:59.328492	95084	20.8	1	10
2014-03-30 04:39:07.925238	95085	49	2	9
2014-03-30 04:39:08.157371	95086	19.3	1	9
2014-03-30 04:39:09.005817	95087	45	2	8
2014-03-30 04:39:09.227136	95088	20.3	1	8
2014-03-30 04:39:20.10561	95089	338	3	2
2014-03-30 04:39:20.339695	95090	1126327.44806989	4	2
2014-03-30 04:39:20.924078	95091	49	2	1
2014-03-30 04:39:21.144864	95092	19.2	1	1
2014-03-30 04:39:32.106607	95093	338	3	2
2014-03-30 04:39:32.338108	95094	1126328.5971046113	4	2
2014-03-30 04:39:38.108085	95095	44	2	10
2014-03-30 04:39:38.331285	95096	20.8	1	10
2014-03-30 04:39:44.104268	95097	370	3	2
2014-03-30 04:39:44.336525	95098	1126329.746139333	4	2
2014-03-30 04:39:46.925336	95099	49	2	9
2014-03-30 04:39:47.147465	95100	19.3	1	9
2014-03-30 04:39:48.006018	95101	45	2	8
2014-03-30 04:39:48.236658	95102	20.3	1	8
2014-03-30 04:39:56.103151	95103	370	3	2
2014-03-30 04:39:56.326181	95104	1126330.8951740542	4	2
2014-03-30 04:39:59.923126	95105	49	2	1
2014-03-30 04:40:00.155268	95106	19.2	1	1
2014-03-30 04:40:17.109257	95107	44	2	10
2014-03-30 04:40:17.330065	95108	20.9	1	10
2014-03-30 04:40:25.924746	95109	49	2	9
2014-03-30 04:40:26.157206	95110	19.3	1	9
2014-03-30 04:40:27.005496	95111	45	2	8
2014-03-30 04:40:27.225821	95112	20.3	1	8
2014-03-30 04:40:32.107021	95113	370	3	2
2014-03-30 04:40:32.339328	95114	1126334.3422782184	4	2
2014-03-30 04:40:38.922953	95115	49	2	1
2014-03-30 04:40:39.14781	95116	19.2	1	1
2014-03-30 04:40:56.110254	95117	44	2	10
2014-03-30 04:40:56.340906	95118	20.9	1	10
2014-03-30 04:41:04.923321	95119	49	2	9
2014-03-30 04:41:05.146291	95120	19.3	1	9
2014-03-30 04:41:06.003984	95121	45	2	8
2014-03-30 04:41:06.236177	95122	20.3	1	8
2014-03-30 04:41:17.921404	95123	49	2	1
2014-03-30 04:41:18.146259	95124	19.2	1	1
2014-03-30 04:41:32.103452	95125	370	3	2
2014-03-30 04:41:32.350298	95126	1126340.0874518256	4	2
2014-03-30 04:41:35.109907	95127	44	2	10
2014-03-30 04:41:35.331389	95128	20.9	1	10
2014-03-30 04:41:43.922536	95129	49	2	9
2014-03-30 04:41:44.153014	95130	19.3	1	9
2014-03-30 04:41:45.005339	95131	45	2	8
2014-03-30 04:41:45.225666	95132	20.3	1	8
2014-03-30 04:41:56.919906	95133	49	2	1
2014-03-30 04:41:57.149863	95134	19.2	1	1
2014-03-30 04:42:14.109143	95135	44	2	10
2014-03-30 04:42:14.330265	95136	20.8	1	10
2014-03-30 04:42:22.923226	95137	49	2	9
2014-03-30 04:42:23.15495	95138	19.3	1	9
2014-03-30 04:42:24.004789	95139	45	2	8
2014-03-30 04:42:24.226641	95140	20.3	1	8
2014-03-30 04:42:32.103348	95141	370	3	2
2014-03-30 04:42:32.334671	95142	1126346.981660154	4	2
2014-03-30 04:42:35.917783	95143	49	2	1
2014-03-30 04:42:36.138899	95144	19.2	1	1
2014-03-30 04:42:53.109404	95145	44	2	10
2014-03-30 04:42:53.343459	95146	20.8	1	10
2014-03-30 04:43:01.924117	95147	49	2	9
2014-03-30 04:43:02.146626	95148	19.3	1	9
2014-03-30 04:43:03.004234	95149	45	2	8
2014-03-30 04:43:03.244868	95150	20.3	1	8
2014-03-30 04:43:14.918637	95151	49	2	1
2014-03-30 04:43:15.141592	95152	19.2	1	1
2014-03-30 04:43:32.314705	95153	44	2	10
2014-03-30 04:43:32.5458	95154	20.8	1	10
2014-03-30 04:43:40.927964	95155	49	2	9
2014-03-30 04:43:41.14918	95156	19.3	1	9
2014-03-30 04:43:42.005132	95157	45	2	8
2014-03-30 04:43:42.292974	95158	20.3	1	8
2014-03-30 04:43:53.917939	95159	49	2	1
2014-03-30 04:43:54.141312	95160	19.2	1	1
2014-03-30 04:44:11.106631	95161	44	2	10
2014-03-30 04:44:11.338961	95162	20.9	1	10
2014-03-30 04:44:19.921839	95163	49	2	9
2014-03-30 04:44:20.14341	95164	19.3	1	9
2014-03-30 04:44:21.004677	95165	45	2	8
2014-03-30 04:44:21.234161	95166	20.3	1	8
2014-03-30 04:44:32.104704	95167	354	3	2
2014-03-30 04:44:32.32718	95168	1126358.4720073682	4	2
2014-03-30 04:44:32.91877	95169	49	2	1
2014-03-30 04:44:33.149606	95170	19.2	1	1
2014-03-30 04:44:50.110285	95171	44	2	10
2014-03-30 04:44:50.33292	95172	20.9	1	10
2014-03-30 04:44:58.924463	95173	49	2	9
2014-03-30 04:44:59.168653	95174	19.3	1	9
2014-03-30 04:45:00.004063	95175	45	2	8
2014-03-30 04:45:00.224534	95176	20.3	1	8
2014-03-30 04:45:11.920345	95177	49	2	1
2014-03-30 04:45:12.151616	95178	19.2	1	1
2014-03-30 04:45:20.103543	95179	305	3	2
2014-03-30 04:45:20.326012	95180	1126363.0681462537	4	2
2014-03-30 04:45:29.110095	95181	44	2	10
2014-03-30 04:45:29.341642	95182	20.8	1	10
2014-03-30 04:45:32.103888	95183	338	3	2
2014-03-30 04:45:32.324171	95184	1126364.2171809752	4	2
2014-03-30 04:45:37.922448	95185	49	2	9
2014-03-30 04:45:38.157053	95186	19.3	1	9
2014-03-30 04:45:39.005267	95187	45	2	8
2014-03-30 04:45:39.225554	95188	20.3	1	8
2014-03-30 04:45:44.104124	95189	338	3	2
2014-03-30 04:45:44.335659	95190	1126365.3662156966	4	2
2014-03-30 04:45:50.918438	95191	49	2	1
2014-03-30 04:45:51.142628	95192	19.2	1	1
2014-03-30 04:45:56.10474	95193	305	3	2
2014-03-30 04:45:56.342757	95194	1126366.515250418	4	2
2014-03-30 04:46:08.314214	95195	44	2	10
2014-03-30 04:46:08.535331	95196	20.8	1	10
2014-03-30 04:46:16.924016	95197	49	2	9
2014-03-30 04:46:17.157512	95198	19.3	1	9
2014-03-30 04:46:18.004584	95199	45	2	8
2014-03-30 04:46:18.227477	95200	20.3	1	8
2014-03-30 04:46:20.102789	95201	305	3	2
2014-03-30 04:46:20.336798	95202	1126368.813319861	4	2
2014-03-30 04:46:29.91867	95203	49	2	1
2014-03-30 04:46:30.140829	95204	19.2	1	1
2014-03-30 04:46:32.100399	95205	338	3	2
2014-03-30 04:46:32.333033	95206	1126369.9623545823	4	2
2014-03-30 04:46:44.102079	95207	305	3	2
2014-03-30 04:46:44.328841	95208	1126371.1113893038	4	2
2014-03-30 04:46:47.111676	95209	44	2	10
2014-03-30 04:46:47.352449	95210	20.8	1	10
2014-03-30 04:46:55.933166	95211	49	2	9
2014-03-30 04:46:56.154202	95212	19.3	1	9
2014-03-30 04:46:57.004016	95213	45	2	8
2014-03-30 04:46:57.235496	95214	20.3	1	8
2014-03-30 04:47:08.724744	95215	305	3	2
2014-03-30 04:47:08.948226	95216	1126373.4094587464	4	2
2014-03-30 04:47:09.252188	95217	49	2	1
2014-03-30 04:47:09.485746	95218	19.2	1	1
2014-03-30 04:47:20.10215	95219	305	3	2
2014-03-30 04:47:20.32653	95220	1126374.558493468	4	2
2014-03-30 04:47:26.11147	95221	44	2	10
2014-03-30 04:47:26.356013	95222	20.8	1	10
2014-03-30 04:47:32.111735	95223	305	3	2
2014-03-30 04:47:32.369018	95224	1126375.7075281893	4	2
2014-03-30 04:47:34.924382	95225	49	2	9
2014-03-30 04:47:35.192403	95226	19.3	1	9
2014-03-30 04:47:36.008116	95227	45	2	8
2014-03-30 04:47:36.261341	95228	20.3	1	8
2014-03-30 04:47:44.10221	95229	338	3	2
2014-03-30 04:47:44.334094	95230	1126376.8565629108	4	2
2014-03-30 04:47:47.914992	95231	49	2	1
2014-03-30 04:47:48.141375	95232	19.2	1	1
2014-03-30 04:47:56.102061	95233	305	3	2
2014-03-30 04:47:56.334785	95234	1126378.0055976321	4	2
2014-03-30 04:48:05.111785	95235	44	2	10
2014-03-30 04:48:05.335335	95236	20.8	1	10
2014-03-30 04:48:08.102374	95237	305	3	2
2014-03-30 04:48:08.333141	95238	1126379.1546323537	4	2
2014-03-30 04:48:13.925318	95239	49	2	9
2014-03-30 04:48:14.146604	95240	19.3	1	9
2014-03-30 04:48:15.003975	95241	45	2	8
2014-03-30 04:48:15.234673	95242	20.3	1	8
2014-03-30 04:48:20.102153	95243	338	3	2
2014-03-30 04:48:20.323933	95244	1126380.303667075	4	2
2014-03-30 04:48:26.913587	95245	49	2	1
2014-03-30 04:48:27.144357	95246	19.2	1	1
2014-03-30 04:48:32.100677	95247	305	3	2
2014-03-30 04:48:32.326332	95248	1126381.4527017965	4	2
2014-03-30 04:48:44.315164	95249	44	2	10
2014-03-30 04:48:44.547014	95250	20.8	1	10
2014-03-30 04:48:52.923768	95251	49	2	9
2014-03-30 04:48:53.145818	95252	19.3	1	9
2014-03-30 04:48:54.003783	95253	45	2	8
2014-03-30 04:48:54.23408	95254	20.3	1	8
2014-03-30 04:49:05.913002	95255	49	2	1
2014-03-30 04:49:06.135604	95256	19.2	1	1
2014-03-30 04:49:20.104083	95257	338	3	2
2014-03-30 04:49:20.335005	95258	1126384.8998059607	4	2
2014-03-30 04:49:23.109551	95259	44	2	10
2014-03-30 04:49:23.330205	95260	20.8	1	10
2014-03-30 04:49:31.924481	95261	49	2	9
2014-03-30 04:49:32.15802	95262	19.3	1	9
2014-03-30 04:49:33.003182	95263	45	2	8
2014-03-30 04:49:33.24489	95264	20.3	1	8
2014-03-30 04:49:44.913044	95265	49	2	1
2014-03-30 04:49:45.14533	95266	19.2	1	1
2014-03-30 04:49:56.100379	95267	305	3	2
2014-03-30 04:49:56.323882	95268	1126388.3469101249	4	2
2014-03-30 04:50:02.112889	95269	44	2	10
2014-03-30 04:50:02.357195	95270	20.8	1	10
2014-03-30 04:50:08.100591	95271	338	3	2
2014-03-30 04:50:08.323492	95272	1126389.4959448464	4	2
2014-03-30 04:50:10.929075	95273	49	2	9
2014-03-30 04:50:11.161967	95274	19.3	1	9
2014-03-30 04:50:12.003463	95275	45	2	8
2014-03-30 04:50:12.224094	95276	20.3	1	8
2014-03-30 04:50:20.102951	95277	338	3	2
2014-03-30 04:50:20.335097	95278	1126390.6449795677	4	2
2014-03-30 04:50:23.914845	95279	49	2	1
2014-03-30 04:50:24.135225	95280	19.2	1	1
2014-03-30 04:50:32.104193	95281	338	3	2
2014-03-30 04:50:32.335648	95282	1126391.7940142893	4	2
2014-03-30 04:50:41.110498	95283	44	2	10
2014-03-30 04:50:41.334019	95284	20.8	1	10
2014-03-30 04:50:49.922398	95285	49	2	9
2014-03-30 04:50:50.15718	95286	19.3	1	9
2014-03-30 04:50:51.00752	95287	45	2	8
2014-03-30 04:50:51.230438	95288	20.3	1	8
2014-03-30 04:51:02.912135	95289	49	2	1
2014-03-30 04:51:03.145964	95290	19.2	1	1
2014-03-30 04:51:08.103379	95291	305	3	2
2014-03-30 04:51:08.330634	95292	1126395.2411184534	4	2
2014-03-30 04:51:20.315721	95293	44	2	10
2014-03-30 04:51:20.551765	95294	20.8	1	10
2014-03-30 04:51:28.922734	95295	49	2	9
2014-03-30 04:51:29.148099	95296	19.3	1	9
2014-03-30 04:51:30.00495	95297	45	2	8
2014-03-30 04:51:30.238944	95298	20.3	1	8
2014-03-30 04:51:32.105129	95299	338	3	2
2014-03-30 04:51:32.327642	95300	1126397.5391878963	4	2
2014-03-30 04:51:41.91084	95301	49	2	1
2014-03-30 04:51:42.145111	95302	19.2	1	1
2014-03-30 04:51:56.103229	95303	370	3	2
2014-03-30 04:51:56.327697	95304	1126399.8372573392	4	2
2014-03-30 04:51:59.109987	95305	44	2	10
2014-03-30 04:51:59.343219	95306	20.8	1	10
2014-03-30 04:52:07.923757	95307	49	2	9
2014-03-30 04:52:08.145743	95308	19.3	1	9
2014-03-30 04:52:09.004398	95309	45	2	8
2014-03-30 04:52:09.237411	95310	20.3	1	8
2014-03-30 04:52:20.911386	95311	49	2	1
2014-03-30 04:52:21.153407	95312	19.2	1	1
2014-03-30 04:52:32.102214	95313	370	3	2
2014-03-30 04:52:32.337476	95314	1126403.2843615033	4	2
2014-03-30 04:52:38.112116	95315	44	2	10
2014-03-30 04:52:38.33811	95316	20.8	1	10
2014-03-30 04:52:46.926467	95317	49	2	9
2014-03-30 04:52:47.171255	95318	19.3	1	9
2014-03-30 04:52:48.004448	95319	45	2	8
2014-03-30 04:52:48.226825	95320	20.3	1	8
2014-03-30 04:52:59.914511	95321	49	2	1
2014-03-30 04:53:00.146596	95322	19.2	1	1
2014-03-30 04:53:17.112437	95323	44	2	10
2014-03-30 04:53:17.333669	95324	20.8	1	10
2014-03-30 04:53:25.924329	95325	49	2	9
2014-03-30 04:53:26.156907	95326	19.3	1	9
2014-03-30 04:53:27.004546	95327	45	2	8
2014-03-30 04:53:27.228243	95328	20.2	1	8
2014-03-30 04:53:32.105899	95329	370	3	2
2014-03-30 04:53:32.337118	95330	1126410.178569832	4	2
2014-03-30 04:53:38.91215	95331	49	2	1
2014-03-30 04:53:39.136006	95332	19.2	1	1
2014-03-30 04:53:56.113606	95333	44	2	10
2014-03-30 04:53:56.345268	95334	20.8	1	10
2014-03-30 04:54:04.923489	95335	49	2	9
2014-03-30 04:54:05.146145	95336	19.2	1	9
2014-03-30 04:54:06.00597	95337	45	2	8
2014-03-30 04:54:06.237039	95338	20.2	1	8
2014-03-30 04:54:17.912799	95339	49	2	1
2014-03-30 04:54:18.143571	95340	19.2	1	1
2014-03-30 04:54:32.103984	95341	354	3	2
2014-03-30 04:54:32.335899	95342	1126415.923743439	4	2
2014-03-30 04:54:35.112827	95343	44	2	10
2014-03-30 04:54:35.334321	95344	20.8	1	10
2014-03-30 04:54:43.926738	95345	49	2	9
2014-03-30 04:54:44.159107	95346	19.2	1	9
2014-03-30 04:54:45.003491	95347	45	2	8
2014-03-30 04:54:45.226368	95348	20.2	1	8
2014-03-30 04:54:56.913536	95349	49	2	1
2014-03-30 04:54:57.145781	95350	19.2	1	1
2014-03-30 04:55:14.114303	95351	44	2	10
2014-03-30 04:55:14.336705	95352	20.9	1	10
2014-03-30 04:55:22.928686	95353	49	2	9
2014-03-30 04:55:23.160112	95354	19.2	1	9
2014-03-30 04:55:24.004416	95355	45	2	8
2014-03-30 04:55:24.226547	95356	20.2	1	8
2014-03-30 04:55:32.104353	95357	354	3	2
2014-03-30 04:55:32.336616	95358	1126421.668917046	4	2
2014-03-30 04:55:35.914383	95359	49	2	1
2014-03-30 04:55:36.136421	95360	19.2	1	1
2014-03-30 04:55:53.11477	95361	44	2	10
2014-03-30 04:55:53.347288	95362	20.9	1	10
2014-03-30 04:56:01.929118	95363	49	2	9
2014-03-30 04:56:02.152539	95364	19.2	1	9
2014-03-30 04:56:03.006626	95365	45	2	8
2014-03-30 04:56:03.249489	95366	20.2	1	8
2014-03-30 04:56:14.912096	95367	49	2	1
2014-03-30 04:56:15.135703	95368	19.2	1	1
2014-03-30 04:56:32.31669	95369	44	2	10
2014-03-30 04:56:32.548293	95370	20.9	1	10
2014-03-30 04:56:40.922687	95371	49	2	9
2014-03-30 04:56:41.146983	95372	19.2	1	9
2014-03-30 04:56:42.006651	95373	45	2	8
2014-03-30 04:56:42.239391	95374	20.2	1	8
2014-03-30 04:56:53.90995	95375	49	2	1
2014-03-30 04:56:54.134024	95376	19.2	1	1
2014-03-30 04:57:11.11436	95377	44	2	10
2014-03-30 04:57:11.346756	95378	20.9	1	10
2014-03-30 04:57:19.927652	95379	49	2	9
2014-03-30 04:57:20.151175	95380	19.2	1	9
2014-03-30 04:57:21.003792	95381	45	2	8
2014-03-30 04:57:21.236215	95382	20.2	1	8
2014-03-30 04:57:32.102916	95383	354	3	2
2014-03-30 04:57:32.326948	95384	1126434.3082989815	4	2
2014-03-30 04:57:32.911591	95385	49	2	1
2014-03-30 04:57:33.141463	95386	19.2	1	1
2014-03-30 04:57:50.114062	95387	44	2	10
2014-03-30 04:57:50.339449	95388	20.9	1	10
2014-03-30 04:57:58.922367	95389	49	2	9
2014-03-30 04:57:59.155117	95390	19.2	1	9
2014-03-30 04:58:00.004408	95391	45	2	8
2014-03-30 04:58:00.226123	95392	20.2	1	8
2014-03-30 04:58:11.909751	95393	49	2	1
2014-03-30 04:58:12.142898	95394	19.2	1	1
2014-03-30 04:58:29.115132	95395	44	2	10
2014-03-30 04:58:29.335703	95396	20.8	1	10
2014-03-30 04:58:37.73206	95397	370	3	2
2014-03-30 04:58:37.964559	95398	1126440.0534725885	4	2
2014-03-30 04:58:38.268274	95399	49	2	9
2014-03-30 04:58:38.493395	95400	19.2	1	9
2014-03-30 04:58:39.004251	95401	45	2	8
2014-03-30 04:58:39.235416	95402	20.2	1	8
2014-03-30 04:58:44.099511	95403	305	3	2
2014-03-30 04:58:44.321647	95404	1126441.20250731	4	2
2014-03-30 04:58:50.908014	95405	49	2	1
2014-03-30 04:58:51.141338	95406	19.2	1	1
2014-03-30 04:58:56.104842	95407	338	3	2
2014-03-30 04:58:56.331568	95408	1126442.3515420314	4	2
2014-03-30 04:59:08.314876	95409	44	2	10
2014-03-30 04:59:08.550486	95410	20.8	1	10
2014-03-30 04:59:16.924262	95411	49	2	9
2014-03-30 04:59:17.145303	95412	19.2	1	9
2014-03-30 04:59:18.003661	95413	45	2	8
2014-03-30 04:59:18.246938	95414	20.2	1	8
2014-03-30 04:59:20.111182	95415	305	3	2
2014-03-30 04:59:20.333689	95416	1126444.6496114742	4	2
2014-03-30 04:59:29.90682	95417	49	2	1
2014-03-30 04:59:30.138306	95418	19.2	1	1
2014-03-30 04:59:32.10224	95419	305	3	2
2014-03-30 04:59:32.323081	95420	1126445.7986461958	4	2
2014-03-30 04:59:47.113074	95421	44	2	10
2014-03-30 04:59:47.344441	95422	20.8	1	10
2014-03-30 04:59:55.925489	95423	49	2	9
2014-03-30 04:59:56.146919	95424	19.2	1	9
2014-03-30 04:59:57.00528	95425	45	2	8
2014-03-30 04:59:57.23508	95426	20.2	1	8
2014-03-30 05:00:08.909745	95427	49	2	1
2014-03-30 05:00:09.130651	95428	19.2	1	1
2014-03-30 05:00:26.114359	95429	44	2	10
2014-03-30 05:00:26.366136	95430	20.8	1	10
2014-03-30 05:00:32.102366	95431	305	3	2
2014-03-30 05:00:32.324968	95432	1126450.3947850813	4	2
2014-03-30 05:00:34.921804	95433	49	2	9
2014-03-30 05:00:35.152801	95434	19.2	1	9
2014-03-30 05:00:36.005224	95435	45	2	8
2014-03-30 05:00:36.226124	95436	20.2	1	8
2014-03-30 05:00:47.909377	95437	49	2	1
2014-03-30 05:00:48.144474	95438	19.2	1	1
2014-03-30 05:01:05.113174	95439	44	2	10
2014-03-30 05:01:05.334133	95440	20.8	1	10
2014-03-30 05:01:13.92687	95441	49	2	9
2014-03-30 05:01:14.159604	95442	19.2	1	9
2014-03-30 05:01:15.006359	95443	45	2	8
2014-03-30 05:01:15.227443	95444	20.2	1	8
2014-03-30 05:01:26.907261	95445	49	2	1
2014-03-30 05:01:27.14395	95446	19.2	1	1
2014-03-30 05:01:32.100065	95447	305	3	2
2014-03-30 05:01:32.32745	95448	1126456.1399586885	4	2
2014-03-30 05:01:44.114315	95449	44	2	10
2014-03-30 05:01:44.347462	95450	20.8	1	10
2014-03-30 05:01:52.926357	95451	49	2	9
2014-03-30 05:01:53.150575	95452	19.2	1	9
2014-03-30 05:01:54.007248	95453	45	2	8
2014-03-30 05:01:54.238849	95454	20.2	1	8
2014-03-30 05:02:05.906529	95455	49	2	1
2014-03-30 05:02:06.130653	95456	19.2	1	1
2014-03-30 05:02:23.117029	95457	44	2	10
2014-03-30 05:02:23.350354	95458	20.8	1	10
2014-03-30 05:02:31.923947	95459	49	2	9
2014-03-30 05:02:32.148854	95460	19.2	1	9
2014-03-30 05:02:33.005634	95461	45	2	8
2014-03-30 05:02:33.250693	95462	20.2	1	8
2014-03-30 05:02:44.910484	95463	49	2	1
2014-03-30 05:02:45.134375	95464	19.2	1	1
2014-03-30 05:03:02.113714	95465	44	2	10
2014-03-30 05:03:02.348064	95466	20.8	1	10
2014-03-30 05:03:10.926716	95467	49	2	9
2014-03-30 05:03:11.151068	95468	19.2	1	9
2014-03-30 05:03:12.004585	95469	45	2	8
2014-03-30 05:03:12.257448	95470	20.2	1	8
2014-03-30 05:03:23.904303	95471	49	2	1
2014-03-30 05:03:24.128735	95472	19.2	1	1
2014-03-30 05:03:32.102025	95473	305	3	2
2014-03-30 05:03:32.33538	95474	1126466.4812711813	4	2
2014-03-30 05:03:41.115226	95475	44	2	10
2014-03-30 05:03:41.341789	95476	20.8	1	10
2014-03-30 05:03:49.924798	95477	49	2	9
2014-03-30 05:03:50.156199	95478	19.2	1	9
2014-03-30 05:03:51.004233	95479	45	2	8
2014-03-30 05:03:51.226515	95480	20.2	1	8
2014-03-30 05:04:02.906472	95481	49	2	1
2014-03-30 05:04:03.138163	95482	19.2	1	1
2014-03-30 05:04:20.117341	95483	44	2	10
2014-03-30 05:04:20.340513	95484	20.8	1	10
2014-03-30 05:04:28.926072	95485	49	2	9
2014-03-30 05:04:29.157414	95486	19.2	1	9
2014-03-30 05:04:30.004402	95487	45	2	8
2014-03-30 05:04:30.22828	95488	20.2	1	8
2014-03-30 05:04:32.101468	95489	305	3	2
2014-03-30 05:04:32.332856	95490	1126471.0774100667	4	2
2014-03-30 05:04:41.905415	95491	49	2	1
2014-03-30 05:04:42.127612	95492	19.2	1	1
2014-03-30 05:04:59.118843	95493	44	2	10
2014-03-30 05:04:59.35182	95494	20.8	1	10
2014-03-30 05:05:07.923036	95495	49	2	9
2014-03-30 05:05:08.146779	95496	19.2	1	9
2014-03-30 05:05:09.004131	95497	45	2	8
2014-03-30 05:05:09.235936	95498	20.2	1	8
2014-03-30 05:05:20.906232	95499	49	2	1
2014-03-30 05:05:21.128621	95500	19.2	1	1
2014-03-30 05:05:32.103034	95501	354	3	2
2014-03-30 05:05:32.336929	95502	1126477.9716183953	4	2
2014-03-30 05:05:38.11697	95503	44	2	10
2014-03-30 05:05:38.338518	95504	20.8	1	10
2014-03-30 05:05:44.10225	95505	418	3	2
2014-03-30 05:05:44.335293	95506	1126479.1206531166	4	2
2014-03-30 05:05:46.923665	95507	49	2	9
2014-03-30 05:05:47.14582	95508	19.2	1	9
2014-03-30 05:05:48.005251	95509	45	2	8
2014-03-30 05:05:48.249533	95510	20.2	1	8
2014-03-30 05:05:56.101454	95511	418	3	2
2014-03-30 05:05:56.34394	95512	1126480.2696878382	4	2
2014-03-30 05:05:59.904968	95513	49	2	1
2014-03-30 05:06:00.136219	95514	19.2	1	1
2014-03-30 05:06:17.116701	95515	44	2	10
2014-03-30 05:06:17.339144	95516	20.8	1	10
2014-03-30 05:06:25.92945	95517	49	2	9
2014-03-30 05:06:26.163262	95518	19.2	1	9
2014-03-30 05:06:27.00436	95519	45	2	8
2014-03-30 05:06:27.226205	95520	20.2	1	8
2014-03-30 05:06:32.101004	95521	418	3	2
2014-03-30 05:06:32.332975	95522	1126484.8658267239	4	2
2014-03-30 05:06:38.90945	95523	49	2	1
2014-03-30 05:06:39.12983	95524	19.2	1	1
2014-03-30 05:06:56.113738	95525	44	2	10
2014-03-30 05:06:56.345456	95526	20.8	1	10
2014-03-30 05:07:04.9241	95527	49	2	9
2014-03-30 05:07:05.147205	95528	19.2	1	9
2014-03-30 05:07:06.00644	95529	45	2	8
2014-03-30 05:07:06.238463	95530	20.2	1	8
2014-03-30 05:07:17.904095	95531	48	2	1
2014-03-30 05:07:18.128729	95532	19.2	1	1
2014-03-30 05:07:32.105547	95533	418	3	2
2014-03-30 05:07:32.337947	95534	1126491.7600350522	4	2
2014-03-30 05:07:35.116951	95535	44	2	10
2014-03-30 05:07:35.338213	95536	20.8	1	10
2014-03-30 05:07:43.923886	95537	49	2	9
2014-03-30 05:07:44.15885	95538	19.2	1	9
2014-03-30 05:07:45.00424	95539	45	2	8
2014-03-30 05:07:45.228199	95540	20.2	1	8
2014-03-30 05:07:56.903642	95541	48	2	1
2014-03-30 05:07:57.140372	95542	19.2	1	1
2014-03-30 05:08:14.117913	95543	44	2	10
2014-03-30 05:08:14.341154	95544	20.8	1	10
2014-03-30 05:08:22.925536	95545	49	2	9
2014-03-30 05:08:23.157568	95546	19.2	1	9
2014-03-30 05:08:24.003822	95547	45	2	8
2014-03-30 05:08:24.226828	95548	20.2	1	8
2014-03-30 05:08:32.10276	95549	418	3	2
2014-03-30 05:08:32.336677	95550	1126498.6542433808	4	2
2014-03-30 05:08:35.901663	95551	48	2	1
2014-03-30 05:08:36.122787	95552	19.2	1	1
2014-03-30 05:08:53.118599	95553	44	2	10
2014-03-30 05:08:53.353444	95554	20.8	1	10
2014-03-30 05:09:01.92316	95555	49	2	9
2014-03-30 05:09:02.146062	95556	19.2	1	9
2014-03-30 05:09:03.004394	95557	45	2	8
2014-03-30 05:09:03.248892	95558	20.2	1	8
2014-03-30 05:09:14.905946	95559	48	2	1
2014-03-30 05:09:15.127467	95560	19.2	1	1
2014-03-30 05:09:32.317861	95561	44	2	10
2014-03-30 05:09:32.552758	95562	20.8	1	10
2014-03-30 05:09:40.935091	95563	49	2	9
2014-03-30 05:09:41.15954	95564	19.2	1	9
2014-03-30 05:09:42.00526	95565	45	2	8
2014-03-30 05:09:42.236221	95566	20.2	1	8
2014-03-30 05:09:53.902314	95567	48	2	1
2014-03-30 05:09:54.126248	95568	19.2	1	1
2014-03-30 05:10:11.119998	95569	44	2	10
2014-03-30 05:10:11.36151	95570	20.8	1	10
2014-03-30 05:10:19.928952	95571	49	2	9
2014-03-30 05:10:20.153958	95572	19.2	1	9
2014-03-30 05:10:21.005387	95573	45	2	8
2014-03-30 05:10:21.236524	95574	20.2	1	8
2014-03-30 05:10:32.102664	95575	418	3	2
2014-03-30 05:10:32.326394	95576	1126513.5916947592	4	2
2014-03-30 05:10:32.905491	95577	48	2	1
2014-03-30 05:10:33.136665	95578	19.2	1	1
2014-03-30 05:10:50.122005	95579	44	2	10
2014-03-30 05:10:50.344536	95580	20.8	1	10
2014-03-30 05:10:58.924947	95581	49	2	9
2014-03-30 05:10:59.157011	95582	19.2	1	9
2014-03-30 05:11:00.004993	95583	45	2	8
2014-03-30 05:11:00.228313	95584	20.2	1	8
2014-03-30 05:11:11.90261	95585	49	2	1
2014-03-30 05:11:12.135493	95586	19.2	1	1
2014-03-30 05:11:29.118303	95587	44	2	10
2014-03-30 05:11:29.342735	95588	20.8	1	10
2014-03-30 05:11:32.10215	95589	418	3	2
2014-03-30 05:11:32.334266	95590	1126520.4859030878	4	2
2014-03-30 05:11:37.927865	95591	49	2	9
2014-03-30 05:11:38.151474	95592	19.2	1	9
2014-03-30 05:11:39.003696	95593	45	2	8
2014-03-30 05:11:39.235624	95594	20.2	1	8
2014-03-30 05:11:50.903563	95595	48	2	1
2014-03-30 05:11:51.125868	95596	19.2	1	1
2014-03-30 05:12:08.119929	95597	44	2	10
2014-03-30 05:12:08.353093	95598	20.8	1	10
2014-03-30 05:12:16.925274	95599	49	2	9
2014-03-30 05:12:17.150871	95600	19.2	1	9
2014-03-30 05:12:18.006482	95601	45	2	8
2014-03-30 05:12:18.238293	95602	20.2	1	8
2014-03-30 05:12:29.904157	95603	48	2	1
2014-03-30 05:12:30.129368	95604	19.2	1	1
2014-03-30 05:12:46.92174	95605	418	3	2
2014-03-30 05:12:47.170478	95606	1126527.380111416	4	2
2014-03-30 05:12:47.473484	95607	44	2	10
2014-03-30 05:12:47.695901	95608	20.8	1	10
2014-03-30 05:12:55.925942	95609	49	2	9
2014-03-30 05:12:56.159687	95610	19.2	1	9
2014-03-30 05:12:57.003353	95611	45	2	8
2014-03-30 05:12:57.228638	95612	20.2	1	8
2014-03-30 05:13:08.104394	95613	354	3	2
2014-03-30 05:13:08.336922	95614	1126530.8272155805	4	2
2014-03-30 05:13:08.904694	95615	48	2	1
2014-03-30 05:13:09.129108	95616	19.1	1	1
2014-03-30 05:13:26.117813	95617	44	2	10
2014-03-30 05:13:26.350118	95618	20.8	1	10
2014-03-30 05:13:32.09956	95619	354	3	2
2014-03-30 05:13:32.32378	95620	1126533.1252850231	4	2
2014-03-30 05:13:34.923438	95621	49	2	9
2014-03-30 05:13:35.155069	95622	19.2	1	9
2014-03-30 05:13:36.003506	95623	45	2	8
2014-03-30 05:13:36.229411	95624	20.2	1	8
2014-03-30 05:13:47.903127	95625	48	2	1
2014-03-30 05:13:48.134752	95626	19.1	1	1
2014-03-30 05:14:05.119527	95627	44	2	10
2014-03-30 05:14:05.343155	95628	20.8	1	10
2014-03-30 05:14:13.922449	95629	49	2	9
2014-03-30 05:14:14.15628	95630	19.2	1	9
2014-03-30 05:14:15.004372	95631	45	2	8
2014-03-30 05:14:15.225559	95632	20.2	1	8
2014-03-30 05:14:26.902097	95633	48	2	1
2014-03-30 05:14:27.13514	95634	19.1	1	1
2014-03-30 05:14:32.100544	95635	354	3	2
2014-03-30 05:14:32.327608	95636	1126538.8704586304	4	2
2014-03-30 05:14:44.119839	95637	44	2	10
2014-03-30 05:14:44.353481	95638	20.8	1	10
2014-03-30 05:14:52.925291	95639	49	2	9
2014-03-30 05:14:53.147048	95640	19.2	1	9
2014-03-30 05:14:54.003671	95641	45	2	8
2014-03-30 05:14:54.236669	95642	20.2	1	8
2014-03-30 05:15:05.902526	95643	48	2	1
2014-03-30 05:15:06.124976	95644	19.1	1	1
2014-03-30 05:15:23.119582	95645	44	2	10
2014-03-30 05:15:23.353457	95646	20.8	1	10
2014-03-30 05:15:31.926908	95647	49	2	9
2014-03-30 05:15:32.15296	95648	19.2	1	9
2014-03-30 05:15:33.004346	95649	45	2	8
2014-03-30 05:15:33.234338	95650	20.2	1	8
2014-03-30 05:15:44.902098	95651	48	2	1
2014-03-30 05:15:45.123261	95652	19.1	1	1
2014-03-30 05:16:02.127867	95653	44	2	10
2014-03-30 05:16:02.374249	95654	20.8	1	10
2014-03-30 05:16:10.927558	95655	49	2	9
2014-03-30 05:16:11.150769	95656	19.2	1	9
2014-03-30 05:16:12.004231	95657	45	2	8
2014-03-30 05:16:12.421763	95658	20.2	1	8
2014-03-30 05:16:23.900062	95659	48	2	1
2014-03-30 05:16:24.123745	95660	19.1	1	1
2014-03-30 05:16:32.102784	95661	354	3	2
2014-03-30 05:16:32.326697	95662	1126551.509840566	4	2
2014-03-30 05:16:41.118951	95663	44	2	10
2014-03-30 05:16:41.350203	95664	20.8	1	10
2014-03-30 05:16:49.927138	95665	49	2	9
2014-03-30 05:16:50.151534	95666	19.2	1	9
2014-03-30 05:16:51.004111	95667	45	2	8
2014-03-30 05:16:51.234625	95668	20.2	1	8
2014-03-30 05:17:02.900636	95669	48	2	1
2014-03-30 05:17:03.122393	95670	19.1	1	1
2014-03-30 05:17:20.116562	95671	44	2	10
2014-03-30 05:17:20.348017	95672	20.8	1	10
2014-03-30 05:17:28.927006	95673	49	2	9
2014-03-30 05:17:29.149981	95674	19.2	1	9
2014-03-30 05:17:30.006197	95675	45	2	8
2014-03-30 05:17:30.237013	95676	20.2	1	8
2014-03-30 05:17:32.100002	95677	354	3	2
2014-03-30 05:17:32.32442	95678	1126557.255014173	4	2
2014-03-30 05:17:41.899703	95679	48	2	1
2014-03-30 05:17:42.134795	95680	19.1	1	1
2014-03-30 05:17:59.121511	95681	44	2	10
2014-03-30 05:17:59.34967	95682	20.8	1	10
2014-03-30 05:18:07.926838	95683	49	2	9
2014-03-30 05:18:08.163135	95684	19.2	1	9
2014-03-30 05:18:09.006515	95685	45	2	8
2014-03-30 05:18:09.229532	95686	20.2	1	8
2014-03-30 05:18:20.897379	95687	48	2	1
2014-03-30 05:18:21.130498	95688	19.1	1	1
2014-03-30 05:18:32.104724	95689	354	3	2
2014-03-30 05:18:32.327138	95690	1126563.00018778	4	2
2014-03-30 05:18:38.121762	95691	44	2	10
2014-03-30 05:18:38.356186	95692	20.8	1	10
2014-03-30 05:18:46.924581	95693	49	2	9
2014-03-30 05:18:47.150683	95694	19.2	1	9
2014-03-30 05:18:48.003902	95695	45	2	8
2014-03-30 05:18:48.238701	95696	20.2	1	8
2014-03-30 05:18:59.897157	95697	48	2	1
2014-03-30 05:19:00.122717	95698	19.1	1	1
2014-03-30 05:19:17.120854	95699	44	2	10
2014-03-30 05:19:17.356766	95700	20.8	1	10
2014-03-30 05:19:25.926163	95701	49	2	9
2014-03-30 05:19:26.149918	95702	19.3	1	9
2014-03-30 05:19:27.002795	95703	45	2	8
2014-03-30 05:19:27.246621	95704	20.2	1	8
2014-03-30 05:19:32.099902	95705	338	3	2
2014-03-30 05:19:32.323035	95706	1126568.745361387	4	2
2014-03-30 05:19:38.896948	95707	48	2	1
2014-03-30 05:19:39.129958	95708	19.1	1	1
2014-03-30 05:19:56.321818	95709	44	2	10
2014-03-30 05:19:56.546328	95710	20.8	1	10
2014-03-30 05:20:04.923121	95711	49	2	9
2014-03-30 05:20:05.155958	95712	19.3	1	9
2014-03-30 05:20:06.004245	95713	45	2	8
2014-03-30 05:20:06.225078	95714	20.2	1	8
2014-03-30 05:20:08.097778	95715	370	3	2
2014-03-30 05:20:08.327901	95716	1126572.1924655514	4	2
2014-03-30 05:20:17.898274	95717	48	2	1
2014-03-30 05:20:18.119599	95718	19.1	1	1
2014-03-30 05:20:20.099933	95719	370	3	2
2014-03-30 05:20:20.331119	95720	1126573.3415002727	4	2
2014-03-30 05:20:32.100328	95721	370	3	2
2014-03-30 05:20:32.323428	95722	1126574.490534994	4	2
2014-03-30 05:20:35.120325	95723	44	2	10
2014-03-30 05:20:35.352269	95724	20.8	1	10
2014-03-30 05:20:43.92068	95725	49	2	9
2014-03-30 05:20:44.143214	95726	19.3	1	9
2014-03-30 05:20:45.003451	95727	45	2	8
2014-03-30 05:20:45.234716	95728	20.2	1	8
2014-03-30 05:20:56.099877	95729	338	3	2
2014-03-30 05:20:56.322467	95730	1126577.9376391585	4	2
2014-03-30 05:20:56.899858	95731	48	2	1
2014-03-30 05:20:57.133136	95732	19.1	1	1
2014-03-30 05:21:08.099354	95733	338	3	2
2014-03-30 05:21:08.321932	95734	1126579.0866738798	4	2
2014-03-30 05:21:14.121455	95735	44	2	10
2014-03-30 05:21:14.355763	95736	20.8	1	10
2014-03-30 05:21:20.099749	95737	305	3	2
2014-03-30 05:21:20.324459	95738	1126580.2357086013	4	2
2014-03-30 05:21:22.933082	95739	49	2	9
2014-03-30 05:21:23.16491	95740	19.3	1	9
2014-03-30 05:21:24.003966	95741	45	2	8
2014-03-30 05:21:24.226522	95742	20.2	1	8
2014-03-30 05:21:32.098455	95743	338	3	2
2014-03-30 05:21:32.333568	95744	1126581.3847433226	4	2
2014-03-30 05:21:35.895784	95745	48	2	1
2014-03-30 05:21:36.119955	95746	19.1	1	1
2014-03-30 05:21:44.101419	95747	338	3	2
2014-03-30 05:21:44.33308	95748	1126581.3847433226	4	2
2014-03-30 05:21:53.121406	95749	44	2	10
2014-03-30 05:21:53.344226	95750	20.8	1	10
2014-03-30 05:21:56.101458	95751	305	3	2
2014-03-30 05:21:56.345573	95752	1126582.5337780442	4	2
2014-03-30 05:22:01.924109	95753	49	2	9
2014-03-30 05:22:02.146411	95754	19.3	1	9
2014-03-30 05:22:03.003488	95755	45	2	8
2014-03-30 05:22:03.234223	95756	20.2	1	8
2014-03-30 05:22:08.099957	95757	338	3	2
2014-03-30 05:22:08.323228	95758	1126583.6828127655	4	2
2014-03-30 05:22:14.901449	95759	48	2	1
2014-03-30 05:22:15.134218	95760	19.1	1	1
2014-03-30 05:22:20.101031	95761	305	3	2
2014-03-30 05:22:20.323944	95762	1126584.8318474868	4	2
2014-03-30 05:22:40.929684	95763	49	2	9
2014-03-30 05:22:41.162442	95764	19.3	1	9
2014-03-30 05:22:42.007785	95765	45	2	8
2014-03-30 05:22:42.229826	95766	20.2	1	8
2014-03-30 05:22:44.10041	95767	370	3	2
2014-03-30 05:22:44.333173	95768	1126587.1299169296	4	2
2014-03-30 05:22:53.89585	95769	48	2	1
2014-03-30 05:22:54.12138	95770	19.1	1	1
2014-03-30 05:23:11.120972	95771	44	2	10
2014-03-30 05:23:11.353554	95772	20.8	1	10
2014-03-30 05:23:19.925683	95773	49	2	9
2014-03-30 05:23:20.150426	95774	19.3	1	9
2014-03-30 05:23:21.003851	95775	45	2	8
2014-03-30 05:23:21.23753	95776	20.2	1	8
2014-03-30 05:23:32.101049	95777	354	3	2
2014-03-30 05:23:32.323753	95778	1126591.7260558154	4	2
2014-03-30 05:23:32.894512	95779	48	2	1
2014-03-30 05:23:33.136517	95780	19.1	1	1
2014-03-30 05:23:50.122322	95781	44	2	10
2014-03-30 05:23:50.345318	95782	20.8	1	10
2014-03-30 05:23:58.925187	95783	49	2	9
2014-03-30 05:23:59.160904	95784	19.3	1	9
2014-03-30 05:24:00.005534	95785	45	2	8
2014-03-30 05:24:00.230697	95786	20.2	1	8
2014-03-30 05:24:11.893417	95787	48	2	1
2014-03-30 05:24:12.12651	95788	19.1	1	1
2014-03-30 05:24:29.122542	95789	44	2	10
2014-03-30 05:24:29.347428	95790	20.8	1	10
2014-03-30 05:24:32.098603	95791	354	3	2
2014-03-30 05:24:32.33328	95792	1126598.620264144	4	2
2014-03-30 05:24:37.932213	95793	49	2	9
2014-03-30 05:24:38.155621	95794	19.3	1	9
2014-03-30 05:24:39.003072	95795	45	2	8
2014-03-30 05:24:39.235049	95796	20.2	1	8
2014-03-30 05:24:50.892741	95797	48	2	1
2014-03-30 05:24:51.115973	95798	19.1	1	1
2014-03-30 05:25:08.125434	95799	44	2	10
2014-03-30 05:25:08.369678	95800	20.8	1	10
2014-03-30 05:25:16.926491	95801	49	2	9
2014-03-30 05:25:17.147874	95802	19.3	1	9
2014-03-30 05:25:18.003688	95803	45	2	8
2014-03-30 05:25:18.234275	95804	20.2	1	8
2014-03-30 05:25:29.893438	95805	48	2	1
2014-03-30 05:25:30.115242	95806	19.1	1	1
2014-03-30 05:25:32.102578	95807	354	3	2
2014-03-30 05:25:32.334638	95808	1126604.365437751	4	2
2014-03-30 05:25:44.09968	95809	305	3	2
2014-03-30 05:25:44.321641	95810	1126605.5144724722	4	2
2014-03-30 05:25:47.122314	95811	44	2	10
2014-03-30 05:25:47.35399	95812	20.8	1	10
2014-03-30 05:25:55.922547	95813	49	2	9
2014-03-30 05:25:56.144632	95814	19.3	1	9
2014-03-30 05:25:57.003409	95815	45	2	8
2014-03-30 05:25:57.236712	95816	20.2	1	8
2014-03-30 05:26:08.893126	95817	48	2	1
2014-03-30 05:26:09.115189	95818	19.1	1	1
2014-03-30 05:26:26.122367	95819	44	2	10
2014-03-30 05:26:26.35588	95820	20.8	1	10
2014-03-30 05:26:32.099183	95821	305	3	2
2014-03-30 05:26:32.323923	95822	1126608.9615766366	4	2
2014-03-30 05:26:34.923159	95823	49	2	9
2014-03-30 05:26:35.156119	95824	19.3	1	9
2014-03-30 05:26:36.004781	95825	45	2	8
2014-03-30 05:26:36.225427	95826	20.2	1	8
2014-03-30 05:26:47.89451	95827	48	2	1
2014-03-30 05:26:48.127583	95828	19.1	1	1
2014-03-30 05:27:05.122933	95829	44	2	10
2014-03-30 05:27:05.344189	95830	20.7	1	10
2014-03-30 05:27:13.927485	95831	49	2	9
2014-03-30 05:27:14.214015	95832	19.3	1	9
2014-03-30 05:27:15.002483	95833	45	2	8
2014-03-30 05:27:15.224656	95834	20.2	1	8
2014-03-30 05:27:26.896281	95835	48	2	1
2014-03-30 05:27:27.1287	95836	19.1	1	1
2014-03-30 05:27:32.10025	95837	305	3	2
2014-03-30 05:27:32.348214	95838	1126614.7067502437	4	2
2014-03-30 05:27:44.119687	95839	44	2	10
2014-03-30 05:27:44.354153	95840	20.7	1	10
2014-03-30 05:27:52.925035	95841	49	2	9
2014-03-30 05:27:53.146586	95842	19.3	1	9
2014-03-30 05:27:54.004308	95843	45	2	8
2014-03-30 05:27:54.236211	95844	20.2	1	8
2014-03-30 05:28:05.892588	95845	48	2	1
2014-03-30 05:28:06.117411	95846	19.1	1	1
2014-03-30 05:28:23.122021	95847	44	2	10
2014-03-30 05:28:23.366899	95848	20.7	1	10
2014-03-30 05:28:31.922301	95849	49	2	9
2014-03-30 05:28:32.146392	95850	19.2	1	9
2014-03-30 05:28:33.004295	95851	45	2	8
2014-03-30 05:28:33.235266	95852	20.2	1	8
2014-03-30 05:28:44.892199	95853	48	2	1
2014-03-30 05:28:45.118436	95854	19.1	1	1
2014-03-30 05:29:02.123184	95855	44	2	10
2014-03-30 05:29:02.355012	95856	20.7	1	10
2014-03-30 05:29:10.923241	95857	49	2	9
2014-03-30 05:29:11.145633	95858	19.2	1	9
2014-03-30 05:29:12.00306	95859	45	2	8
2014-03-30 05:29:12.234982	95860	20.2	1	8
2014-03-30 05:29:23.893119	95861	48	2	1
2014-03-30 05:29:24.115346	95862	19.1	1	1
2014-03-30 05:29:32.101529	95863	305	3	2
2014-03-30 05:29:32.336835	95864	1126623.9034989672	4	2
2014-03-30 05:29:41.12146	95865	44	2	10
2014-03-30 05:29:41.34867	95866	20.7	1	10
2014-03-30 05:29:49.923262	95867	49	2	9
2014-03-30 05:29:50.153574	95868	19.2	1	9
2014-03-30 05:29:51.003295	95869	45	2	8
2014-03-30 05:29:51.225739	95870	20.2	1	8
2014-03-30 05:30:02.894007	95871	48	2	1
2014-03-30 05:30:03.12711	95872	19.1	1	1
2014-03-30 05:30:20.120317	95873	44	2	10
2014-03-30 05:30:20.345624	95874	20.7	1	10
2014-03-30 05:30:28.925228	95875	49	2	9
2014-03-30 05:30:29.15823	95876	19.2	1	9
2014-03-30 05:30:30.003749	95877	45	2	8
2014-03-30 05:30:30.225897	95878	20.2	1	8
2014-03-30 05:30:32.099593	95879	305	3	2
2014-03-30 05:30:32.33295	95880	1126628.499637853	4	2
2014-03-30 05:30:41.890053	95881	48	2	1
2014-03-30 05:30:42.11261	95882	19.1	1	1
2014-03-30 05:30:59.122477	95883	44	2	10
2014-03-30 05:30:59.353605	95884	20.7	1	10
2014-03-30 05:31:07.925931	95885	49	2	9
2014-03-30 05:31:08.151283	95886	19.2	1	9
2014-03-30 05:31:09.002842	95887	45	2	8
2014-03-30 05:31:09.236993	95888	20.2	1	8
2014-03-30 05:31:20.89205	95889	48	2	1
2014-03-30 05:31:21.113727	95890	19.1	1	1
2014-03-30 05:31:32.099925	95891	305	3	2
2014-03-30 05:31:32.333349	95892	1126633.0957767386	4	2
2014-03-30 05:31:38.124518	95893	44	2	10
2014-03-30 05:31:38.348291	95894	20.7	1	10
2014-03-30 05:31:46.927173	95895	49	2	9
2014-03-30 05:31:47.171722	95896	19.2	1	9
2014-03-30 05:31:48.004667	95897	45	2	8
2014-03-30 05:31:48.225201	95898	20.2	1	8
2014-03-30 05:31:59.893076	95899	48	2	1
2014-03-30 05:32:00.127558	95900	19.1	1	1
2014-03-30 05:32:17.124374	95901	44	2	10
2014-03-30 05:32:17.348718	95902	20.7	1	10
2014-03-30 05:32:25.923288	95903	49	2	9
2014-03-30 05:32:26.156559	95904	19.2	1	9
2014-03-30 05:32:27.005274	95905	45	2	8
2014-03-30 05:32:27.22699	95906	20.2	1	8
2014-03-30 05:32:32.099856	95907	370	3	2
2014-03-30 05:32:32.332611	95908	1126638.8409503456	4	2
2014-03-30 05:32:38.88939	95909	48	2	1
2014-03-30 05:32:39.132711	95910	19.1	1	1
2014-03-30 05:32:55.928557	95911	354	3	2
2014-03-30 05:32:56.16334	95912	1126639.989985067	4	2
2014-03-30 05:32:56.468924	95913	44	2	10
2014-03-30 05:32:56.690865	95914	20.7	1	10
2014-03-30 05:33:04.92978	95915	49	2	9
2014-03-30 05:33:05.163265	95916	19.2	1	9
2014-03-30 05:33:06.003791	95917	45	2	8
2014-03-30 05:33:06.225347	95918	20.2	1	8
2014-03-30 05:33:17.891341	95919	48	2	1
2014-03-30 05:33:18.123719	95920	19.1	1	1
2014-03-30 05:33:32.098721	95921	354	3	2
2014-03-30 05:33:32.322347	95922	1126644.5861239526	4	2
2014-03-30 05:33:35.123528	95923	44	2	10
2014-03-30 05:33:35.354529	95924	20.7	1	10
2014-03-30 05:33:43.958297	95925	49	2	9
2014-03-30 05:33:44.179319	95926	19.2	1	9
2014-03-30 05:33:45.00525	95927	45	2	8
2014-03-30 05:33:45.237025	95928	20.2	1	8
2014-03-30 05:33:56.890239	95929	48	2	1
2014-03-30 05:33:57.113967	95930	19.1	1	1
2014-03-30 05:34:14.124506	95931	44	2	10
2014-03-30 05:34:14.400065	95932	20.7	1	10
2014-03-30 05:34:22.923623	95933	49	2	9
2014-03-30 05:34:23.150382	95934	19.2	1	9
2014-03-30 05:34:24.004305	95935	45	2	8
2014-03-30 05:34:24.237004	95936	20.2	1	8
2014-03-30 05:34:32.099292	95937	354	3	2
2014-03-30 05:34:32.323725	95938	1126651.4803322812	4	2
2014-03-30 05:34:35.890424	95939	48	2	1
2014-03-30 05:34:36.125314	95940	19.1	1	1
2014-03-30 05:34:53.123315	95941	44	2	10
2014-03-30 05:34:53.346327	95942	20.7	1	10
2014-03-30 05:35:01.924785	95943	49	2	9
2014-03-30 05:35:02.168566	95944	19.2	1	9
2014-03-30 05:35:03.003894	95945	45	2	8
2014-03-30 05:35:03.228945	95946	20.2	1	8
2014-03-30 05:35:14.892777	95947	48	2	1
2014-03-30 05:35:15.127666	95948	19.1	1	1
2014-03-30 05:35:32.332507	95949	44	2	10
2014-03-30 05:35:32.555146	95950	20.7	1	10
2014-03-30 05:35:40.925917	95951	49	2	9
2014-03-30 05:35:41.157856	95952	19.2	1	9
2014-03-30 05:35:42.003836	95953	45	2	8
2014-03-30 05:35:42.226948	95954	20.2	1	8
2014-03-30 05:35:53.88995	95955	48	2	1
2014-03-30 05:35:54.144763	95956	19.1	1	1
2014-03-30 05:36:11.122926	95957	44	2	10
2014-03-30 05:36:11.345909	95958	20.7	1	10
2014-03-30 05:36:19.931351	95959	49	2	9
2014-03-30 05:36:20.163119	95960	19.2	1	9
2014-03-30 05:36:21.003223	95961	45	2	8
2014-03-30 05:36:21.223672	95962	20.2	1	8
2014-03-30 05:36:32.097839	95963	338	3	2
2014-03-30 05:36:32.330502	95964	1126662.9706794953	4	2
2014-03-30 05:36:32.933212	95965	48	2	1
2014-03-30 05:36:33.154014	95966	19.1	1	1
2014-03-30 05:36:50.124001	95967	44	2	10
2014-03-30 05:36:50.355951	95968	20.7	1	10
2014-03-30 05:36:58.922428	95969	49	2	9
2014-03-30 05:36:59.145698	95970	19.2	1	9
2014-03-30 05:37:00.003554	95971	45	2	8
2014-03-30 05:37:00.23664	95972	20.2	1	8
2014-03-30 05:37:11.886107	95973	48	2	1
2014-03-30 05:37:12.109094	95974	19.1	1	1
2014-03-30 05:37:29.122811	95975	44	2	10
2014-03-30 05:37:29.354814	95976	20.6	1	10
2014-03-30 05:37:37.925273	95977	49	2	9
2014-03-30 05:37:38.15019	95978	19.2	1	9
2014-03-30 05:37:39.004111	95979	45	2	8
2014-03-30 05:37:39.236427	95980	20.1	1	8
2014-03-30 05:37:50.88942	95981	48	2	1
2014-03-30 05:37:51.111386	95982	19.1	1	1
2014-03-30 05:38:08.329444	95983	44	2	10
2014-03-30 05:38:08.560573	95984	20.6	1	10
2014-03-30 05:38:16.932017	95985	49	2	9
2014-03-30 05:38:17.155929	95986	19.2	1	9
2014-03-30 05:38:18.003721	95987	45	2	8
2014-03-30 05:38:18.235555	95988	20.1	1	8
2014-03-30 05:38:20.098681	95989	305	3	2
2014-03-30 05:38:20.321789	95990	1126673.311991988	4	2
2014-03-30 05:38:29.893159	95991	48	2	1
2014-03-30 05:38:30.154992	95992	19.1	1	1
2014-03-30 05:38:32.102007	95993	305	3	2
2014-03-30 05:38:32.323517	95994	1126674.4610267095	4	2
2014-03-30 05:38:47.124894	95995	44	2	10
2014-03-30 05:38:47.357396	95996	20.6	1	10
2014-03-30 05:38:55.920574	95997	49	2	9
2014-03-30 05:38:56.143915	95998	19.2	1	9
2014-03-30 05:38:57.00475	95999	45	2	8
2014-03-30 05:38:57.235803	96000	20.1	1	8
2014-03-30 05:39:08.884976	96001	48	2	1
2014-03-30 05:39:09.106592	96002	19.1	1	1
2014-03-30 05:39:26.125006	96003	44	2	10
2014-03-30 05:39:26.357276	96004	20.6	1	10
2014-03-30 05:39:32.100433	96005	305	3	2
2014-03-30 05:39:32.32259	96006	1126679.0571655952	4	2
2014-03-30 05:39:34.924592	96007	49	2	9
2014-03-30 05:39:35.159516	96008	19.2	1	9
2014-03-30 05:39:36.004238	96009	45	2	8
2014-03-30 05:39:36.227702	96010	20.1	1	8
2014-03-30 05:39:47.886554	96011	48	2	1
2014-03-30 05:39:48.119956	96012	19.1	1	1
2014-03-30 05:40:05.123313	96013	44	2	10
2014-03-30 05:40:05.346931	96014	20.6	1	10
2014-03-30 05:40:13.924431	96015	49	2	9
2014-03-30 05:40:14.157302	96016	19.2	1	9
2014-03-30 05:40:15.004226	96017	45	2	8
2014-03-30 05:40:15.230117	96018	20.1	1	8
2014-03-30 05:40:26.88847	96019	48	2	1
2014-03-30 05:40:27.120555	96020	19.1	1	1
2014-03-30 05:40:32.100353	96021	305	3	2
2014-03-30 05:40:32.327941	96022	1126684.8023392023	4	2
2014-03-30 05:40:44.172803	96023	44	2	10
2014-03-30 05:40:44.405939	96024	20.6	1	10
2014-03-30 05:40:52.92454	96025	49	2	9
2014-03-30 05:40:53.146715	96026	19.2	1	9
2014-03-30 05:40:54.002388	96027	45	2	8
2014-03-30 05:40:54.233285	96028	20.1	1	8
2014-03-30 05:41:05.884431	96029	48	2	1
2014-03-30 05:41:06.106715	96030	19.1	1	1
2014-03-30 05:41:23.123512	96031	44	2	10
2014-03-30 05:41:23.35721	96032	20.6	1	10
2014-03-30 05:41:31.922615	96033	49	2	9
2014-03-30 05:41:32.164801	96034	19.2	1	9
2014-03-30 05:41:33.002741	96035	45	2	8
2014-03-30 05:41:33.233494	96036	20.1	1	8
2014-03-30 05:41:44.885222	96037	48	2	1
2014-03-30 05:41:45.108111	96038	19.1	1	1
2014-03-30 05:42:02.126274	96039	44	2	10
2014-03-30 05:42:02.370527	96040	20.6	1	10
2014-03-30 05:42:10.922187	96041	49	2	9
2014-03-30 05:42:11.144665	96042	19.2	1	9
2014-03-30 05:42:12.003147	96043	45	2	8
2014-03-30 05:42:12.23496	96044	20.1	1	8
2014-03-30 05:42:23.884349	96045	48	2	1
2014-03-30 05:42:24.106696	96046	19.1	1	1
2014-03-30 05:42:32.099605	96047	305	3	2
2014-03-30 05:42:32.331133	96048	1126695.143651695	4	2
2014-03-30 05:42:41.125361	96049	44	2	10
2014-03-30 05:42:41.351356	96050	20.6	1	10
2014-03-30 05:42:49.921998	96051	49	2	9
2014-03-30 05:42:50.154643	96052	19.2	1	9
2014-03-30 05:42:51.004253	96053	45	2	8
2014-03-30 05:42:51.226423	96054	20.1	1	8
2014-03-30 05:43:02.885384	96055	48	2	1
2014-03-30 05:43:03.117782	96056	19.1	1	1
2014-03-30 05:43:20.123724	96057	44	2	10
2014-03-30 05:43:20.348707	96058	20.6	1	10
2014-03-30 05:43:28.927876	96059	49	2	9
2014-03-30 05:43:29.16058	96060	19.2	1	9
2014-03-30 05:43:30.002747	96061	45	2	8
2014-03-30 05:43:30.224272	96062	20.1	1	8
2014-03-30 05:43:41.693558	96063	305	3	2
2014-03-30 05:43:41.927674	96064	1126699.7397905807	4	2
2014-03-30 05:43:42.2325	96065	48	2	1
2014-03-30 05:43:42.455469	96066	19.1	1	1
2014-03-30 05:43:59.126302	96067	44	2	10
2014-03-30 05:43:59.36103	96068	20.6	1	10
2014-03-30 05:44:07.923819	96069	49	2	9
2014-03-30 05:44:08.147642	96070	19.2	1	9
2014-03-30 05:44:09.005336	96071	45	2	8
2014-03-30 05:44:09.237792	96072	20.1	1	8
2014-03-30 05:44:20.885985	96073	48	2	1
2014-03-30 05:44:21.111879	96074	19.1	1	1
2014-03-30 05:44:37.929807	96075	289	3	2
2014-03-30 05:44:38.163391	96076	1126705.4849641877	4	2
2014-03-30 05:44:38.468756	96077	44	2	10
2014-03-30 05:44:38.691203	96078	20.6	1	10
2014-03-30 05:44:44.105734	96079	354	3	2
2014-03-30 05:44:44.388929	96080	1126705.4849641877	4	2
2014-03-30 05:44:46.926784	96081	49	2	9
2014-03-30 05:44:47.151536	96082	19.2	1	9
2014-03-30 05:44:48.003	96083	45	2	8
2014-03-30 05:44:48.236457	96084	20.1	1	8
2014-03-30 05:44:56.10059	96085	338	3	2
2014-03-30 05:44:56.325862	96086	1126707.7830336306	4	2
2014-03-30 05:44:59.883033	96087	48	2	1
2014-03-30 05:45:00.127769	96088	19.1	1	1
2014-03-30 05:45:17.128288	96089	44	2	10
2014-03-30 05:45:17.349747	96090	20.6	1	10
2014-03-30 05:45:25.924573	96091	49	2	9
2014-03-30 05:45:26.160493	96092	19.2	1	9
2014-03-30 05:45:27.002485	96093	45	2	8
2014-03-30 05:45:27.227333	96094	20.1	1	8
2014-03-30 05:45:32.097611	96095	354	3	2
2014-03-30 05:45:32.334251	96096	1126711.2301377947	4	2
2014-03-30 05:45:38.884165	96097	48	2	1
2014-03-30 05:45:39.104567	96098	19.1	1	1
2014-03-30 05:45:56.125516	96099	44	2	10
2014-03-30 05:45:56.360182	96100	20.6	1	10
2014-03-30 05:46:04.924918	96101	49	2	9
2014-03-30 05:46:05.148168	96102	19.2	1	9
2014-03-30 05:46:06.001644	96103	45	2	8
2014-03-30 05:46:06.233348	96104	20.1	1	8
2014-03-30 05:46:17.927395	96105	48	2	1
2014-03-30 05:46:18.148902	96106	19.1	1	1
2014-03-30 05:46:32.100714	96107	354	3	2
2014-03-30 05:46:32.333871	96108	1126716.9753114018	4	2
2014-03-30 05:46:35.126765	96109	44	2	10
2014-03-30 05:46:35.351605	96110	20.6	1	10
2014-03-30 05:46:43.923843	96111	49	2	9
2014-03-30 05:46:44.15705	96112	19.2	1	9
2014-03-30 05:46:45.005041	96113	45	2	8
2014-03-30 05:46:45.227189	96114	20.1	1	8
2014-03-30 05:46:56.882171	96115	48	2	1
2014-03-30 05:46:57.116731	96116	19.1	1	1
2014-03-30 05:47:14.127661	96117	44	2	10
2014-03-30 05:47:14.351116	96118	20.5	1	10
2014-03-30 05:47:22.922341	96119	49	2	9
2014-03-30 05:47:23.154418	96120	19.2	1	9
2014-03-30 05:47:24.00341	96121	45	2	8
2014-03-30 05:47:24.226224	96122	20.1	1	8
2014-03-30 05:47:32.097999	96123	354	3	2
2014-03-30 05:47:32.331704	96124	1126722.720485009	4	2
2014-03-30 05:47:35.88243	96125	48	2	1
2014-03-30 05:47:36.1044	96126	19.1	1	1
2014-03-30 05:47:53.126558	96127	44	2	10
2014-03-30 05:47:53.363327	96128	20.5	1	10
2014-03-30 05:48:01.921214	96129	49	2	9
2014-03-30 05:48:02.143325	96130	19.2	1	9
2014-03-30 05:48:03.003135	96131	45	2	8
2014-03-30 05:48:03.23516	96132	20.1	1	8
2014-03-30 05:48:14.942904	96133	48	2	1
2014-03-30 05:48:15.167801	96134	19.1	1	1
2014-03-30 05:48:32.3315	96135	44	2	10
2014-03-30 05:48:32.578314	96136	20.5	1	10
2014-03-30 05:48:40.925785	96137	49	2	9
2014-03-30 05:48:41.157067	96138	19.2	1	9
2014-03-30 05:48:42.003473	96139	45	2	8
2014-03-30 05:48:42.235903	96140	20.1	1	8
2014-03-30 05:48:53.885267	96141	48	2	1
2014-03-30 05:48:54.108779	96142	19.1	1	1
2014-03-30 05:49:11.129663	96143	44	2	10
2014-03-30 05:49:11.3616	96144	20.5	1	10
2014-03-30 05:49:19.925817	96145	49	2	9
2014-03-30 05:49:20.149397	96146	19.2	1	9
2014-03-30 05:49:21.006433	96147	45	2	8
2014-03-30 05:49:21.245839	96148	20.1	1	8
2014-03-30 05:49:32.100455	96149	354	3	2
2014-03-30 05:49:32.323499	96150	1126734.210832223	4	2
2014-03-30 05:49:32.883044	96151	48	2	1
2014-03-30 05:49:33.115391	96152	19.1	1	1
2014-03-30 05:49:50.125299	96153	44	2	10
2014-03-30 05:49:50.34752	96154	20.5	1	10
2014-03-30 05:49:58.927373	96155	49	2	9
2014-03-30 05:49:59.1628	96156	19.2	1	9
2014-03-30 05:50:00.006162	96157	45	2	8
2014-03-30 05:50:00.227052	96158	20.1	1	8
2014-03-30 05:50:11.88127	96159	48	2	1
2014-03-30 05:50:12.117737	96160	19.0	1	1
2014-03-30 05:50:29.131824	96161	44	2	10
2014-03-30 05:50:29.354967	96162	20.5	1	10
2014-03-30 05:50:32.101949	96163	338	3	2
2014-03-30 05:50:32.333588	96164	1126739.95600583	4	2
2014-03-30 05:50:37.924346	96165	49	2	9
2014-03-30 05:50:38.149526	96166	19.2	1	9
2014-03-30 05:50:39.002617	96167	45	2	8
2014-03-30 05:50:39.235833	96168	20.1	1	8
2014-03-30 05:50:50.881948	96169	48	2	1
2014-03-30 05:50:51.104817	96170	19.0	1	1
2014-03-30 05:51:08.333848	96171	44	2	10
2014-03-30 05:51:08.567489	96172	20.5	1	10
2014-03-30 05:51:16.925808	96173	49	2	9
2014-03-30 05:51:17.148724	96174	19.2	1	9
2014-03-30 05:51:18.002211	96175	45	2	8
2014-03-30 05:51:18.233942	96176	20.1	1	8
2014-03-30 05:51:20.098273	96177	305	3	2
2014-03-30 05:51:20.323703	96178	1126744.5521447158	4	2
2014-03-30 05:51:29.88245	96179	48	2	1
2014-03-30 05:51:30.115615	96180	19.0	1	1
2014-03-30 05:51:32.099526	96181	305	3	2
2014-03-30 05:51:32.324253	96182	1126745.701179437	4	2
2014-03-30 05:51:47.127643	96183	44	2	10
2014-03-30 05:51:47.373663	96184	20.5	1	10
2014-03-30 05:51:55.925747	96185	49	2	9
2014-03-30 05:51:56.14634	96186	19.2	1	9
2014-03-30 05:51:57.002644	96187	45	2	8
2014-03-30 05:51:57.233683	96188	20.1	1	8
2014-03-30 05:52:08.877981	96189	48	2	1
2014-03-30 05:52:09.098619	96190	19.0	1	1
2014-03-30 05:52:26.127949	96191	44	2	10
2014-03-30 05:52:26.361065	96192	20.5	1	10
2014-03-30 05:52:32.099979	96193	289	3	2
2014-03-30 05:52:32.320839	96194	1126751.4463530444	4	2
2014-03-30 05:52:34.922352	96195	49	2	9
2014-03-30 05:52:35.153519	96196	19.2	1	9
2014-03-30 05:52:36.002315	96197	45	2	8
2014-03-30 05:52:36.223493	96198	20.1	1	8
2014-03-30 05:52:47.877996	96199	48	2	1
2014-03-30 05:52:48.113597	96200	19.0	1	1
2014-03-30 05:53:05.128187	96201	44	2	10
2014-03-30 05:53:05.351482	96202	20.5	1	10
2014-03-30 05:53:13.922478	96203	49	2	9
2014-03-30 05:53:14.157321	96204	19.2	1	9
2014-03-30 05:53:15.059266	96205	45	2	8
2014-03-30 05:53:15.28077	96206	20.1	1	8
2014-03-30 05:53:26.879153	96207	48	2	1
2014-03-30 05:53:27.111445	96208	19.0	1	1
2014-03-30 05:53:32.095264	96209	289	3	2
2014-03-30 05:53:32.321858	96210	1126756.0424919298	4	2
2014-03-30 05:53:44.132225	96211	44	2	10
2014-03-30 05:53:44.366449	96212	20.5	1	10
2014-03-30 05:53:52.927179	96213	49	2	9
2014-03-30 05:53:53.148624	96214	19.2	1	9
2014-03-30 05:53:54.002235	96215	45	2	8
2014-03-30 05:53:54.233759	96216	20.1	1	8
2014-03-30 05:54:05.881695	96217	48	2	1
2014-03-30 05:54:06.104403	96218	19.0	1	1
2014-03-30 05:54:23.128642	96219	44	2	10
2014-03-30 05:54:23.360759	96220	20.5	1	10
2014-03-30 05:54:31.927463	96221	49	2	9
2014-03-30 05:54:32.150335	96222	19.2	1	9
2014-03-30 05:54:33.002122	96223	45	2	8
2014-03-30 05:54:33.233506	96224	20.1	1	8
2014-03-30 05:54:44.880542	96225	48	2	1
2014-03-30 05:54:45.104094	96226	19.0	1	1
2014-03-30 05:55:02.130189	96227	44	2	10
2014-03-30 05:55:02.363381	96228	20.5	1	10
2014-03-30 05:55:10.925153	96229	49	2	9
2014-03-30 05:55:11.148499	96230	19.2	1	9
2014-03-30 05:55:12.006555	96231	45	2	8
2014-03-30 05:55:12.249349	96232	20.1	1	8
2014-03-30 05:55:23.877819	96233	48	2	1
2014-03-30 05:55:24.102511	96234	19.0	1	1
2014-03-30 05:55:32.099997	96235	305	3	2
2014-03-30 05:55:32.333228	96236	1126766.3838044226	4	2
2014-03-30 05:55:41.132312	96237	44	2	10
2014-03-30 05:55:41.354029	96238	20.5	1	10
2014-03-30 05:55:49.924351	96239	49	2	9
2014-03-30 05:55:50.158584	96240	19.2	1	9
2014-03-30 05:55:51.004064	96241	45	2	8
2014-03-30 05:55:51.228848	96242	20.1	1	8
2014-03-30 05:56:02.877778	96243	48	2	1
2014-03-30 05:56:03.110561	96244	19.0	1	1
2014-03-30 05:56:20.129593	96245	44	2	10
2014-03-30 05:56:20.360247	96246	20.5	1	10
2014-03-30 05:56:28.925167	96247	49	2	9
2014-03-30 05:56:29.15746	96248	19.2	1	9
2014-03-30 05:56:30.003069	96249	45	2	8
2014-03-30 05:56:30.226983	96250	20.1	1	8
2014-03-30 05:56:32.095397	96251	305	3	2
2014-03-30 05:56:32.330073	96252	1126770.9799433083	4	2
2014-03-30 05:56:41.873422	96253	48	2	1
2014-03-30 05:56:42.097387	96254	19.0	1	1
2014-03-30 05:56:59.128984	96255	44	2	10
2014-03-30 05:56:59.363789	96256	20.4	1	10
2014-03-30 05:57:07.924363	96257	49	2	9
2014-03-30 05:57:08.147638	96258	19.2	1	9
2014-03-30 05:57:09.003874	96259	45	2	8
2014-03-30 05:57:09.233849	96260	20.1	1	8
2014-03-30 05:57:20.877684	96261	48	2	1
2014-03-30 05:57:21.104713	96262	19.0	1	1
2014-03-30 05:57:38.127882	96263	44	2	10
2014-03-30 05:57:38.3628	96264	20.4	1	10
2014-03-30 05:57:46.927614	96265	49	2	9
2014-03-30 05:57:47.153277	96266	19.2	1	9
2014-03-30 05:57:48.003431	96267	45	2	8
2014-03-30 05:57:48.23422	96268	20.1	1	8
2014-03-30 05:57:56.098893	96269	354	3	2
2014-03-30 05:57:56.324081	96270	1126777.8741516368	4	2
2014-03-30 05:57:59.874964	96271	48	2	1
2014-03-30 05:58:00.125667	96272	19.0	1	1
2014-03-30 05:58:08.09992	96273	354	3	2
2014-03-30 05:58:08.322558	96274	1126779.0231863582	4	2
2014-03-30 05:58:17.131311	96275	44	2	10
2014-03-30 05:58:17.363057	96276	20.4	1	10
2014-03-30 05:58:25.92252	96277	49	2	9
2014-03-30 05:58:26.145645	96278	19.2	1	9
2014-03-30 05:58:27.00372	96279	45	2	8
2014-03-30 05:58:27.245237	96280	20.1	1	8
2014-03-30 05:58:32.096556	96281	354	3	2
2014-03-30 05:58:32.320192	96282	1126781.321255801	4	2
2014-03-30 05:58:38.920802	96283	48	2	1
2014-03-30 05:58:39.153189	96284	19.0	1	1
2014-03-30 05:58:56.130794	96285	44	2	10
2014-03-30 05:58:56.353273	96286	20.4	1	10
2014-03-30 05:59:04.924229	96287	49	2	9
2014-03-30 05:59:05.155985	96288	19.2	1	9
2014-03-30 05:59:06.002718	96289	45	2	8
2014-03-30 05:59:06.223168	96290	20.1	1	8
2014-03-30 05:59:17.877996	96291	48	2	1
2014-03-30 05:59:18.111242	96292	19.0	1	1
2014-03-30 05:59:32.097669	96293	354	3	2
2014-03-30 05:59:32.320325	96294	1126787.0664294083	4	2
2014-03-30 05:59:35.131681	96295	44	2	10
2014-03-30 05:59:35.362953	96296	20.4	1	10
2014-03-30 05:59:43.929984	96297	49	2	9
2014-03-30 05:59:44.154023	96298	19.2	1	9
2014-03-30 05:59:45.003207	96299	45	2	8
2014-03-30 05:59:45.237524	96300	20.1	1	8
2014-03-30 05:59:56.880802	96301	48	2	1
2014-03-30 05:59:57.102966	96302	19.0	1	1
2014-03-30 06:00:14.132446	96303	44	2	10
2014-03-30 06:00:14.365835	96304	20.4	1	10
2014-03-30 06:00:22.92554	96305	49	2	9
2014-03-30 06:00:23.151071	96306	19.2	1	9
2014-03-30 06:00:24.004327	96307	45	2	8
2014-03-30 06:00:24.236074	96308	20.1	1	8
2014-03-30 06:00:32.098831	96309	354	3	2
2014-03-30 06:00:32.320574	96310	1126793.9606377366	4	2
2014-03-30 06:00:35.877208	96311	48	2	1
2014-03-30 06:00:36.109119	96312	19.0	1	1
2014-03-30 06:00:53.135956	96313	44	2	10
2014-03-30 06:00:53.360968	96314	20.4	1	10
2014-03-30 06:01:01.926386	96315	49	2	9
2014-03-30 06:01:02.160563	96316	19.2	1	9
2014-03-30 06:01:03.004751	96317	45	2	8
2014-03-30 06:01:03.229552	96318	20.1	1	8
2014-03-30 06:01:14.877476	96319	48	2	1
2014-03-30 06:01:15.110208	96320	19.0	1	1
2014-03-30 06:01:32.33239	96321	44	2	10
2014-03-30 06:01:32.559113	96322	20.4	1	10
2014-03-30 06:01:40.927088	96323	49	2	9
2014-03-30 06:01:41.159379	96324	19.2	1	9
2014-03-30 06:01:42.003601	96325	45	2	8
2014-03-30 06:01:42.228802	96326	20.1	1	8
2014-03-30 06:01:53.874903	96327	48	2	1
2014-03-30 06:01:54.119179	96328	19.0	1	1
2014-03-30 06:02:11.132197	96329	44	2	10
2014-03-30 06:02:11.354345	96330	20.4	1	10
2014-03-30 06:02:19.927779	96331	49	2	9
2014-03-30 06:02:20.160465	96332	19.2	1	9
2014-03-30 06:02:21.002338	96333	45	2	8
2014-03-30 06:02:21.225807	96334	20.1	1	8
2014-03-30 06:02:32.099545	96335	354	3	2
2014-03-30 06:02:32.334464	96336	1126805.4509849509	4	2
2014-03-30 06:02:32.875375	96337	48	2	1
2014-03-30 06:02:33.09851	96338	19.0	1	1
2014-03-30 06:02:50.131882	96339	44	2	10
2014-03-30 06:02:50.365093	96340	20.4	1	10
2014-03-30 06:02:58.919439	96341	49	2	9
2014-03-30 06:02:59.141622	96342	19.2	1	9
2014-03-30 06:03:00.004303	96343	45	2	8
2014-03-30 06:03:00.236623	96344	20.1	1	8
2014-03-30 06:03:11.871331	96345	48	2	1
2014-03-30 06:03:12.093496	96346	19.0	1	1
2014-03-30 06:03:29.133565	96347	44	2	10
2014-03-30 06:03:29.42395	96348	20.4	1	10
2014-03-30 06:03:32.098853	96349	354	3	2
2014-03-30 06:03:32.354975	96350	1126811.196158558	4	2
2014-03-30 06:03:37.964568	96351	49	2	9
2014-03-30 06:03:38.989999	96352	19.2	1	9
2014-03-30 06:03:39.66213	96353	45	2	8
2014-03-30 06:03:39.938014	96354	20.1	1	8
2014-03-30 06:03:44.152782	96355	305	3	2
2014-03-30 06:03:44.913645	96356	1126812.3451932792	4	2
2014-03-30 06:03:50.87236	96357	48	2	1
2014-03-30 06:03:51.29767	96358	19.0	1	1
2014-03-30 06:03:56.097298	96359	305	3	2
2014-03-30 06:03:56.415173	96360	1126813.4942280008	4	2
2014-03-30 06:04:08.129451	96361	44	2	10
2014-03-30 06:04:08.382385	96362	20.4	1	10
2014-03-30 06:04:16.921864	96363	49	2	9
2014-03-30 06:04:17.154807	96364	19.2	1	9
2014-03-30 06:04:18.00272	96365	45	2	8
2014-03-30 06:04:18.225616	96366	20.1	1	8
2014-03-30 06:04:29.871834	96367	48	2	1
2014-03-30 06:04:30.104961	96368	19.0	1	1
2014-03-30 06:04:32.098436	96369	305	3	2
2014-03-30 06:04:32.320093	96370	1126816.941332165	4	2
2014-03-30 06:04:47.13371	96371	44	2	10
2014-03-30 06:04:47.367521	96372	20.4	1	10
2014-03-30 06:04:55.928595	96373	49	2	9
2014-03-30 06:04:56.150648	96374	19.2	1	9
2014-03-30 06:04:57.0026	96375	45	2	8
2014-03-30 06:04:57.244512	96376	20.1	1	8
2014-03-30 06:05:08.87366	96377	48	2	1
2014-03-30 06:05:09.095714	96378	19.0	1	1
2014-03-30 06:05:26.133368	96379	44	2	10
2014-03-30 06:05:26.366457	96380	20.4	1	10
2014-03-30 06:05:32.100161	96381	370	3	2
2014-03-30 06:05:32.323571	96382	1126821.5374710506	4	2
2014-03-30 06:05:34.928493	96383	49	2	9
2014-03-30 06:05:35.160027	96384	19.2	1	9
2014-03-30 06:05:36.003177	96385	45	2	8
2014-03-30 06:05:36.226296	96386	20.1	1	8
2014-03-30 06:05:44.100225	96387	370	3	2
2014-03-30 06:05:44.333054	96388	1126822.686505772	4	2
2014-03-30 06:05:47.872518	96389	48	2	1
2014-03-30 06:05:48.097522	96390	19.0	1	1
2014-03-30 06:06:14.128999	96391	49	2	9
2014-03-30 06:06:14.361539	96392	19.1	1	9
2014-03-30 06:06:15.002453	96393	45	2	8
2014-03-30 06:06:15.226326	96394	20.1	1	8
2014-03-30 06:06:26.915706	96395	48	2	1
2014-03-30 06:06:27.150415	96396	19.0	1	1
2014-03-30 06:06:32.099779	96397	370	3	2
2014-03-30 06:06:32.326925	96398	1126828.4316793792	4	2
2014-03-30 06:06:44.134069	96399	44	2	10
2014-03-30 06:06:44.366721	96400	20.4	1	10
2014-03-30 06:06:52.923665	96401	49	2	9
2014-03-30 06:06:53.153111	96402	19.1	1	9
2014-03-30 06:06:54.002355	96403	45	2	8
2014-03-30 06:06:54.237866	96404	20.1	1	8
2014-03-30 06:07:05.87289	96405	48	2	1
2014-03-30 06:07:06.096331	96406	19.0	1	1
2014-03-30 06:07:23.133185	96407	44	2	10
2014-03-30 06:07:23.367262	96408	20.4	1	10
2014-03-30 06:07:31.924058	96409	49	2	9
2014-03-30 06:07:32.148041	96410	19.1	1	9
2014-03-30 06:07:33.003123	96411	45	2	8
2014-03-30 06:07:33.240163	96412	20.1	1	8
2014-03-30 06:07:44.917358	96413	48	2	1
2014-03-30 06:07:45.151917	96414	19.0	1	1
2014-03-30 06:08:02.131695	96415	44	2	10
2014-03-30 06:08:02.364128	96416	20.4	1	10
2014-03-30 06:08:10.922361	96417	49	2	9
2014-03-30 06:08:11.146224	96418	19.1	1	9
2014-03-30 06:08:12.00342	96419	45	2	8
2014-03-30 06:08:12.23409	96420	20.1	1	8
2014-03-30 06:08:23.871816	96421	48	2	1
2014-03-30 06:08:24.095484	96422	19.0	1	1
2014-03-30 06:08:32.098534	96423	370	3	2
2014-03-30 06:08:32.343132	96424	1126839.9220265932	4	2
2014-03-30 06:08:41.130336	96425	44	2	10
2014-03-30 06:08:41.352992	96426	20.4	1	10
2014-03-30 06:08:49.924176	96427	49	2	9
2014-03-30 06:08:50.15785	96428	19.1	1	9
2014-03-30 06:08:51.002164	96429	45	2	8
2014-03-30 06:08:51.223418	96430	20.1	1	8
2014-03-30 06:09:02.871335	96431	48	2	1
2014-03-30 06:09:03.121805	96432	19.0	1	1
2014-03-30 06:09:20.13279	96433	44	2	10
2014-03-30 06:09:20.35555	96434	20.3	1	10
2014-03-30 06:09:28.924681	96435	49	2	9
2014-03-30 06:09:29.15816	96436	19.1	1	9
2014-03-30 06:09:30.004377	96437	45	2	8
2014-03-30 06:09:30.226664	96438	20.1	1	8
2014-03-30 06:09:32.097548	96439	370	3	2
2014-03-30 06:09:32.329402	96440	1126846.8162349218	4	2
2014-03-30 06:09:41.86824	96441	48	2	1
2014-03-30 06:09:42.089595	96442	19.0	1	1
2014-03-30 06:09:59.135966	96443	44	2	10
2014-03-30 06:09:59.370144	96444	20.3	1	10
2014-03-30 06:10:07.92621	96445	49	2	9
2014-03-30 06:10:08.148228	96446	19.1	1	9
2014-03-30 06:10:09.003278	96447	45	2	8
2014-03-30 06:10:09.235438	96448	20.1	1	8
2014-03-30 06:10:20.093751	96449	418	3	2
2014-03-30 06:10:20.317519	96450	1126851.4123738073	4	2
2014-03-30 06:10:20.872498	96451	48	2	1
2014-03-30 06:10:21.109861	96452	19.0	1	1
2014-03-30 06:10:32.095547	96453	418	3	2
2014-03-30 06:10:32.319551	96454	1126852.5614085288	4	2
2014-03-30 06:10:38.135803	96455	44	2	10
2014-03-30 06:10:38.368528	96456	20.3	1	10
2014-03-30 06:10:46.926701	96457	49	2	9
2014-03-30 06:10:47.150361	96458	19.1	1	9
2014-03-30 06:10:48.005495	96459	45	2	8
2014-03-30 06:10:48.236836	96460	20.1	1	8
2014-03-30 06:10:59.867574	96461	48	2	1
2014-03-30 06:11:00.092364	96462	19.0	1	1
2014-03-30 06:11:17.134233	96463	44	2	10
2014-03-30 06:11:17.366711	96464	20.3	1	10
2014-03-30 06:11:25.922607	96465	49	2	9
2014-03-30 06:11:26.147311	96466	19.1	1	9
2014-03-30 06:11:27.005229	96467	45	2	8
2014-03-30 06:11:27.236267	96468	20.1	1	8
2014-03-30 06:11:32.099703	96469	418	3	2
2014-03-30 06:11:32.322673	96470	1126859.4556168574	4	2
2014-03-30 06:11:38.87144	96471	48	2	1
2014-03-30 06:11:39.116875	96472	19.0	1	1
2014-03-30 06:11:56.136736	96473	44	2	10
2014-03-30 06:11:56.358627	96474	20.3	1	10
2014-03-30 06:12:04.924863	96475	49	2	9
2014-03-30 06:12:05.344094	96476	19.1	1	9
2014-03-30 06:12:06.001945	96477	45	2	8
2014-03-30 06:12:06.224008	96478	20.1	1	8
2014-03-30 06:12:17.868512	96479	48	2	1
2014-03-30 06:12:18.090136	96480	19.0	1	1
2014-03-30 06:12:32.0931	96481	418	3	2
2014-03-30 06:12:32.325709	96482	1126866.3498251857	4	2
2014-03-30 06:12:35.132811	96483	44	2	10
2014-03-30 06:12:35.356156	96484	20.3	1	10
2014-03-30 06:12:43.931203	96485	49	2	9
2014-03-30 06:12:44.16434	96486	19.1	1	9
2014-03-30 06:12:45.041161	96487	45	2	8
2014-03-30 06:12:45.283589	96488	20.1	1	8
2014-03-30 06:12:56.866243	96489	48	2	1
2014-03-30 06:12:57.097634	96490	19.0	1	1
2014-03-30 06:13:14.134805	96491	44	2	10
2014-03-30 06:13:14.359338	96492	20.3	1	10
2014-03-30 06:13:22.926543	96493	49	2	9
2014-03-30 06:13:23.159025	96494	19.1	1	9
2014-03-30 06:13:24.008559	96495	45	2	8
2014-03-30 06:13:24.22923	96496	20.1	1	8
2014-03-30 06:13:32.094171	96497	418	3	2
2014-03-30 06:13:32.325182	96498	1126874.3930682356	4	2
2014-03-30 06:13:35.870317	96499	48	2	1
2014-03-30 06:13:36.090183	96500	19.0	1	1
2014-03-30 06:13:53.135445	96501	44	2	10
2014-03-30 06:13:53.366379	96502	20.3	1	10
2014-03-30 06:14:01.922835	96503	49	2	9
2014-03-30 06:14:02.145689	96504	19.1	1	9
2014-03-30 06:14:03.002334	96505	45	2	8
2014-03-30 06:14:03.239107	96506	20.1	1	8
2014-03-30 06:14:14.864996	96507	48	2	1
2014-03-30 06:14:15.087941	96508	19.0	1	1
2014-03-30 06:14:32.33924	96509	44	2	10
2014-03-30 06:14:32.569822	96510	20.3	1	10
2014-03-30 06:14:40.925866	96511	49	2	9
2014-03-30 06:14:41.148154	96512	19.1	1	9
2014-03-30 06:14:42.002768	96513	45	2	8
2014-03-30 06:14:42.235652	96514	20.1	1	8
2014-03-30 06:14:53.865998	96515	48	2	1
2014-03-30 06:14:54.088081	96516	19.0	1	1
2014-03-30 06:15:11.136953	96517	44	2	10
2014-03-30 06:15:11.369999	96518	20.3	1	10
2014-03-30 06:15:19.925868	96519	49	2	9
2014-03-30 06:15:20.148029	96520	19.1	1	9
2014-03-30 06:15:21.004115	96521	45	2	8
2014-03-30 06:15:21.246993	96522	20.1	1	8
2014-03-30 06:15:32.09809	96523	418	3	2
2014-03-30 06:15:32.320222	96524	1126888.1814848927	4	2
2014-03-30 06:15:32.869105	96525	48	2	1
2014-03-30 06:15:33.100261	96526	19.0	1	1
2014-03-30 06:15:50.134012	96527	44	2	10
2014-03-30 06:15:50.362934	96528	20.3	1	10
2014-03-30 06:15:56.095071	96529	370	3	2
2014-03-30 06:15:56.328323	96530	1126890.4795543356	4	2
2014-03-30 06:15:58.926957	96531	49	2	9
2014-03-30 06:15:59.148543	96532	19.1	1	9
2014-03-30 06:16:00.002346	96533	45	2	8
2014-03-30 06:16:00.233155	96534	20.1	1	8
2014-03-30 06:16:08.096024	96535	370	3	2
2014-03-30 06:16:08.318307	96536	1126891.628589057	4	2
2014-03-30 06:16:11.865391	96537	48	2	1
2014-03-30 06:16:12.097914	96538	19.0	1	1
2014-03-30 06:16:29.137649	96539	44	2	10
2014-03-30 06:16:29.363199	96540	20.3	1	10
2014-03-30 06:16:32.094055	96541	370	3	2
2014-03-30 06:16:32.325407	96542	1126893.9266584998	4	2
2014-03-30 06:16:37.925467	96543	49	2	9
2014-03-30 06:16:38.148678	96544	19.1	1	9
2014-03-30 06:16:39.004517	96545	45	2	8
2014-03-30 06:16:39.236916	96546	20.1	1	8
2014-03-30 06:16:50.86495	96547	48	2	1
2014-03-30 06:16:51.095081	96548	19.0	1	1
2014-03-30 06:17:08.137934	96549	44	2	10
2014-03-30 06:17:08.370877	96550	20.3	1	10
2014-03-30 06:17:16.924813	96551	49	2	9
2014-03-30 06:17:17.148615	96552	19.1	1	9
2014-03-30 06:17:18.003308	96553	44	2	8
2014-03-30 06:17:18.234715	96554	20.1	1	8
2014-03-30 06:17:29.8639	96555	48	2	1
2014-03-30 06:17:30.086753	96556	19.0	1	1
2014-03-30 06:17:32.096194	96557	370	3	2
2014-03-30 06:17:32.329879	96558	1126900.8208668283	4	2
2014-03-30 06:17:47.134169	96559	44	2	10
2014-03-30 06:17:47.360543	96560	20.3	1	10
2014-03-30 06:17:55.922693	96561	49	2	9
2014-03-30 06:17:56.156469	96562	19.1	1	9
2014-03-30 06:17:57.002515	96563	44	2	8
2014-03-30 06:17:57.226383	96564	20.1	1	8
2014-03-30 06:18:08.865955	96565	48	2	1
2014-03-30 06:18:09.100632	96566	19.0	1	1
2014-03-30 06:18:26.135383	96567	44	2	10
2014-03-30 06:18:26.358267	96568	20.2	1	10
2014-03-30 06:18:32.096419	96569	354	3	2
2014-03-30 06:18:32.341566	96570	1126906.5660404353	4	2
2014-03-30 06:18:34.927108	96571	49	2	9
2014-03-30 06:18:35.148279	96572	19.1	1	9
2014-03-30 06:18:36.003746	96573	44	2	8
2014-03-30 06:18:36.236894	96574	20.1	1	8
2014-03-30 06:18:47.865917	96575	48	2	1
2014-03-30 06:18:48.087213	96576	19.0	1	1
2014-03-30 06:19:05.136907	96577	44	2	10
2014-03-30 06:19:05.367683	96578	20.3	1	10
2014-03-30 06:19:13.92645	96579	49	2	9
2014-03-30 06:19:14.148219	96580	19.1	1	9
2014-03-30 06:19:15.001769	96581	44	2	8
2014-03-30 06:19:15.233591	96582	20.1	1	8
2014-03-30 06:19:26.864065	96583	48	2	1
2014-03-30 06:19:27.086023	96584	19.0	1	1
2014-03-30 06:19:32.096824	96585	354	3	2
2014-03-30 06:19:32.332455	96586	1126911.1666502731	4	2
2014-03-30 06:19:44.137835	96587	44	2	10
2014-03-30 06:19:44.359269	96588	20.2	1	10
2014-03-30 06:19:52.921063	96589	49	2	9
2014-03-30 06:19:53.150952	96590	19.1	1	9
2014-03-30 06:19:54.00143	96591	44	2	8
2014-03-30 06:19:54.221814	96592	20.1	1	8
2014-03-30 06:20:05.863741	96593	48	2	1
2014-03-30 06:20:06.096111	96594	19.0	1	1
2014-03-30 06:20:23.137488	96595	44	2	10
2014-03-30 06:20:23.359013	96596	20.2	1	10
2014-03-30 06:20:31.922784	96597	49	2	9
2014-03-30 06:20:32.156471	96598	19.1	1	9
2014-03-30 06:20:33.002891	96599	44	2	8
2014-03-30 06:20:33.223384	96600	20.0	1	8
2014-03-30 06:20:44.864611	96601	48	2	1
2014-03-30 06:20:45.094774	96602	19.0	1	1
2014-03-30 06:21:02.137582	96603	44	2	10
2014-03-30 06:21:02.360049	96604	20.2	1	10
2014-03-30 06:21:08.096916	96605	305	3	2
2014-03-30 06:21:08.329714	96606	1126920.3589280446	4	2
2014-03-30 06:21:10.928894	96607	49	2	9
2014-03-30 06:21:11.148936	96608	19.1	1	9
2014-03-30 06:21:12.001778	96609	44	2	8
2014-03-30 06:21:12.23309	96610	20.0	1	8
2014-03-30 06:21:20.096366	96611	305	3	2
2014-03-30 06:21:20.31721	96612	1126921.5079627659	4	2
2014-03-30 06:21:23.866908	96613	48	2	1
2014-03-30 06:21:24.09955	96614	19.0	1	1
2014-03-30 06:21:40.942484	96615	305	3	2
2014-03-30 06:21:41.164401	96616	1126922.6569974874	4	2
2014-03-30 06:21:41.466989	96617	44	2	10
2014-03-30 06:21:41.708845	96618	20.2	1	10
2014-03-30 06:21:49.921404	96619	49	2	9
2014-03-30 06:21:50.143825	96620	19.1	1	9
2014-03-30 06:21:51.002152	96621	44	2	8
2014-03-30 06:21:51.23362	96622	20.0	1	8
2014-03-30 06:22:02.861235	96623	48	2	1
2014-03-30 06:22:03.084506	96624	19.0	1	1
2014-03-30 06:22:20.136998	96625	44	2	10
2014-03-30 06:22:20.368245	96626	20.2	1	10
2014-03-30 06:22:28.921831	96627	49	2	9
2014-03-30 06:22:29.144882	96628	19.1	1	9
2014-03-30 06:22:30.00158	96629	44	2	8
2014-03-30 06:22:30.233497	96630	20.0	1	8
2014-03-30 06:22:32.096298	96631	354	3	2
2014-03-30 06:22:32.317205	96632	1126928.4021710944	4	2
2014-03-30 06:22:41.861505	96633	48	2	1
2014-03-30 06:22:42.09618	96634	19.0	1	1
2014-03-30 06:22:59.138174	96635	44	2	10
2014-03-30 06:22:59.36292	96636	20.2	1	10
2014-03-30 06:23:07.923948	96637	49	2	9
2014-03-30 06:23:08.155558	96638	19.1	1	9
2014-03-30 06:23:09.001697	96639	44	2	8
2014-03-30 06:23:09.224537	96640	20.0	1	8
2014-03-30 06:23:20.863145	96641	48	2	1
2014-03-30 06:23:21.101233	96642	19.0	1	1
2014-03-30 06:23:32.095485	96643	354	3	2
2014-03-30 06:23:32.319641	96644	1126934.1473447015	4	2
2014-03-30 06:23:38.136013	96645	44	2	10
2014-03-30 06:23:38.370167	96646	20.2	1	10
2014-03-30 06:23:46.922098	96647	49	2	9
2014-03-30 06:23:47.143831	96648	19.1	1	9
2014-03-30 06:23:48.001506	96649	44	2	8
2014-03-30 06:23:48.233881	96650	20.0	1	8
2014-03-30 06:23:59.859456	96651	48	2	1
2014-03-30 06:24:00.082371	96652	19.0	1	1
2014-03-30 06:24:17.139496	96653	44	2	10
2014-03-30 06:24:17.372045	96654	20.2	1	10
2014-03-30 06:24:25.927344	96655	49	2	9
2014-03-30 06:24:26.149439	96656	19.1	1	9
2014-03-30 06:24:27.003071	96657	44	2	8
2014-03-30 06:24:27.233638	96658	20.0	1	8
2014-03-30 06:24:32.097919	96659	354	3	2
2014-03-30 06:24:32.320271	96660	1126939.8925183085	4	2
2014-03-30 06:24:38.85993	96661	48	2	1
2014-03-30 06:24:39.093376	96662	19.0	1	1
2014-03-30 06:24:56.13879	96663	44	2	10
2014-03-30 06:24:56.360905	96664	20.2	1	10
2014-03-30 06:25:05.049061	96665	49	2	9
2014-03-30 06:25:05.512561	96666	19.1	1	9
2014-03-30 06:25:06.127477	96667	44	2	8
2014-03-30 06:25:06.560079	96668	20.0	1	8
2014-03-30 06:25:17.858733	96669	48	2	1
2014-03-30 06:25:18.090699	96670	19.0	1	1
2014-03-30 06:25:32.095892	96671	354	3	2
2014-03-30 06:25:32.317466	96672	1126945.6376919157	4	2
2014-03-30 06:25:35.137528	96673	44	2	10
2014-03-30 06:25:35.371701	96674	20.2	1	10
2014-03-30 06:25:43.925148	96675	49	2	9
2014-03-30 06:25:44.146974	96676	19.1	1	9
2014-03-30 06:25:45.003663	96677	44	2	8
2014-03-30 06:25:45.23487	96678	20.0	1	8
2014-03-30 06:25:57.100554	96679	48	2	1
2014-03-30 06:25:57.32156	96680	19.0	1	1
2014-03-30 06:26:14.138667	96681	44	2	10
2014-03-30 06:26:14.370238	96682	20.2	1	10
2014-03-30 06:26:22.923746	96683	49	2	9
2014-03-30 06:26:23.145622	96684	19.1	1	9
2014-03-30 06:26:24.00054	96685	44	2	8
2014-03-30 06:26:24.232943	96686	20.0	1	8
2014-03-30 06:26:32.098736	96687	354	3	2
2014-03-30 06:26:32.321376	96688	1126951.3828655228	4	2
2014-03-30 06:26:35.862601	96689	48	2	1
2014-03-30 06:26:36.093556	96690	19.0	1	1
2014-03-30 06:26:53.139215	96691	44	2	10
2014-03-30 06:26:53.361939	96692	20.2	1	10
2014-03-30 06:27:01.92524	96693	49	2	9
2014-03-30 06:27:02.156694	96694	19.1	1	9
2014-03-30 06:27:03.002874	96695	44	2	8
2014-03-30 06:27:03.224026	96696	20.0	1	8
2014-03-30 06:27:14.861343	96697	48	2	1
2014-03-30 06:27:15.094561	96698	19.0	1	1
2014-03-30 06:27:32.343321	96699	44	2	10
2014-03-30 06:27:32.565594	96700	20.2	1	10
2014-03-30 06:27:40.925576	96701	49	2	9
2014-03-30 06:27:41.162898	96702	19.1	1	9
2014-03-30 06:27:42.001872	96703	44	2	8
2014-03-30 06:27:42.223949	96704	20.0	1	8
2014-03-30 06:27:54.099447	96705	48	2	1
2014-03-30 06:27:54.333819	96706	19.0	1	1
2014-03-30 06:28:08.095385	96707	305	3	2
2014-03-30 06:28:08.322965	96708	1126961.7241780155	4	2
2014-03-30 06:28:11.142457	96709	44	2	10
2014-03-30 06:28:11.373947	96710	20.2	1	10
2014-03-30 06:28:19.922449	96711	49	2	9
2014-03-30 06:28:20.14686	96712	19.1	1	9
2014-03-30 06:28:21.001897	96713	44	2	8
2014-03-30 06:28:21.253096	96714	20.0	1	8
2014-03-30 06:28:32.097203	96715	305	3	2
2014-03-30 06:28:32.321343	96716	1126962.8732127368	4	2
2014-03-30 06:28:32.857858	96717	48	2	1
2014-03-30 06:28:33.086346	96718	19.0	1	1
2014-03-30 06:28:50.141724	96719	44	2	10
2014-03-30 06:28:50.366478	96720	20.2	1	10
2014-03-30 06:28:58.925038	96721	49	2	9
2014-03-30 06:28:59.156677	96722	19.1	1	9
2014-03-30 06:29:00.00273	96723	44	2	8
2014-03-30 06:29:00.224887	96724	20.0	1	8
2014-03-30 06:29:11.858866	96725	48	2	1
2014-03-30 06:29:12.090378	96726	19.0	1	1
2014-03-30 06:29:29.138557	96727	44	2	10
2014-03-30 06:29:29.362861	96728	20.2	1	10
2014-03-30 06:29:32.095108	96729	305	3	2
2014-03-30 06:29:32.328673	96730	1126968.618386344	4	2
2014-03-30 06:29:37.923728	96731	49	2	9
2014-03-30 06:29:38.144381	96732	19.1	1	9
2014-03-30 06:29:39.00168	96733	44	2	8
2014-03-30 06:29:39.234364	96734	20.0	1	8
2014-03-30 06:29:50.860412	96735	48	2	1
2014-03-30 06:29:51.086269	96736	19.0	1	1
2014-03-30 06:30:08.13803	96737	44	2	10
2014-03-30 06:30:08.370617	96738	20.2	1	10
2014-03-30 06:30:16.926253	96739	49	2	9
2014-03-30 06:30:17.146358	96740	19.1	1	9
2014-03-30 06:30:18.003738	96741	44	2	8
2014-03-30 06:30:18.234359	96742	20.0	1	8
2014-03-30 06:30:29.85909	96743	48	2	1
2014-03-30 06:30:30.081109	96744	19.0	1	1
2014-03-30 06:30:32.096302	96745	305	3	2
2014-03-30 06:30:32.330882	96746	1126973.2145252295	4	2
2014-03-30 06:30:47.140804	96747	44	2	10
2014-03-30 06:30:47.363133	96748	20.2	1	10
2014-03-30 06:30:55.930891	96749	49	2	9
2014-03-30 06:30:56.163036	96750	19.1	1	9
2014-03-30 06:30:57.001404	96751	44	2	8
2014-03-30 06:30:57.221663	96752	20.0	1	8
2014-03-30 06:31:08.097876	96753	338	3	2
2014-03-30 06:31:08.332185	96754	1126976.661629394	4	2
2014-03-30 06:31:08.859806	96755	48	2	1
2014-03-30 06:31:09.080583	96756	19.0	1	1
2014-03-30 06:31:20.093052	96757	305	3	2
2014-03-30 06:31:20.326874	96758	1126977.8106641152	4	2
2014-03-30 06:31:26.139211	96759	44	2	10
2014-03-30 06:31:26.361693	96760	20.2	1	10
2014-03-30 06:31:32.097681	96761	305	3	2
2014-03-30 06:31:32.342596	96762	1126978.9596988368	4	2
2014-03-30 06:31:34.925923	96763	49	2	9
2014-03-30 06:31:35.146975	96764	19.1	1	9
2014-03-30 06:31:36.001311	96765	44	2	8
2014-03-30 06:31:36.232747	96766	20.0	1	8
2014-03-30 06:31:47.856666	96767	48	2	1
2014-03-30 06:31:48.079884	96768	19.0	1	1
2014-03-30 06:32:05.141163	96769	44	2	10
2014-03-30 06:32:05.37304	96770	20.2	1	10
2014-03-30 06:32:13.923811	96771	49	2	9
2014-03-30 06:32:14.147679	96772	19.1	1	9
2014-03-30 06:32:15.003061	96773	44	2	8
2014-03-30 06:32:15.235008	96774	20.0	1	8
2014-03-30 06:32:26.857604	96775	48	2	1
2014-03-30 06:32:27.08585	96776	19.0	1	1
2014-03-30 06:32:32.097987	96777	305	3	2
2014-03-30 06:32:32.335175	96778	1126983.5558377223	4	2
2014-03-30 06:32:44.14387	96779	44	2	10
2014-03-30 06:32:44.371715	96780	20.2	1	10
2014-03-30 06:32:52.923049	96781	49	2	9
2014-03-30 06:32:53.176799	96782	19.1	1	9
2014-03-30 06:32:54.00461	96783	44	2	8
2014-03-30 06:32:54.228196	96784	20.0	1	8
2014-03-30 06:33:05.857164	96785	48	2	1
2014-03-30 06:33:06.091705	96786	19.0	1	1
2014-03-30 06:33:23.142326	96787	44	2	10
2014-03-30 06:33:23.364428	96788	20.2	1	10
2014-03-30 06:33:31.932275	96789	49	2	9
2014-03-30 06:33:32.165357	96790	19.1	1	9
2014-03-30 06:33:33.002318	96791	44	2	8
2014-03-30 06:33:33.227485	96792	20.0	1	8
2014-03-30 06:33:44.901507	96793	49	2	1
2014-03-30 06:33:45.13438	96794	18.9	1	1
2014-03-30 06:34:02.142367	96795	44	2	10
2014-03-30 06:34:02.366268	96796	20.1	1	10
2014-03-30 06:34:10.923354	96797	49	2	9
2014-03-30 06:34:11.156817	96798	19.1	1	9
2014-03-30 06:34:12.003341	96799	44	2	8
2014-03-30 06:34:12.22619	96800	20.0	1	8
2014-03-30 06:34:23.856281	96801	49	2	1
2014-03-30 06:34:24.088474	96802	18.9	1	1
2014-03-30 06:34:32.094507	96803	305	3	2
2014-03-30 06:34:32.320823	96804	1126993.897150215	4	2
2014-03-30 06:34:41.144205	96805	44	2	10
2014-03-30 06:34:41.378798	96806	20.1	1	10
2014-03-30 06:34:44.097001	96807	354	3	2
2014-03-30 06:34:44.319525	96808	1126995.0461849365	4	2
2014-03-30 06:34:49.924985	96809	49	2	9
2014-03-30 06:34:50.169034	96810	19.1	1	9
2014-03-30 06:34:51.002431	96811	44	2	8
2014-03-30 06:34:51.223616	96812	20.0	1	8
2014-03-30 06:34:56.094505	96813	354	3	2
2014-03-30 06:34:56.32735	96814	1126996.1952196578	4	2
2014-03-30 06:35:02.853648	96815	49	2	1
2014-03-30 06:35:03.076062	96816	18.9	1	1
2014-03-30 06:35:20.139787	96817	44	2	10
2014-03-30 06:35:20.370983	96818	20.1	1	10
2014-03-30 06:35:28.92365	96819	49	2	9
2014-03-30 06:35:29.145079	96820	19.1	1	9
2014-03-30 06:35:30.002083	96821	44	2	8
2014-03-30 06:35:30.234238	96822	20.0	1	8
2014-03-30 06:35:32.094638	96823	354	3	2
2014-03-30 06:35:32.315965	96824	1126999.6423238222	4	2
2014-03-30 06:35:41.853893	96825	49	2	1
2014-03-30 06:35:42.085021	96826	18.9	1	1
2014-03-30 06:35:59.142602	96827	44	2	10
2014-03-30 06:35:59.365686	96828	20.1	1	10
2014-03-30 06:36:07.932433	96829	49	2	9
2014-03-30 06:36:08.165332	96830	19.1	1	9
2014-03-30 06:36:09.002325	96831	44	2	8
2014-03-30 06:36:09.22407	96832	20.0	1	8
2014-03-30 06:36:20.852109	96833	49	2	1
2014-03-30 06:36:21.083773	96834	18.9	1	1
2014-03-30 06:36:32.09584	96835	354	3	2
2014-03-30 06:36:32.318526	96836	1127006.5365321506	4	2
2014-03-30 06:36:38.141572	96837	44	2	10
2014-03-30 06:36:38.373959	96838	20.1	1	10
2014-03-30 06:36:46.922577	96839	49	2	9
2014-03-30 06:36:47.144887	96840	19.1	1	9
2014-03-30 06:36:48.002202	96841	44	2	8
2014-03-30 06:36:48.23488	96842	20.0	1	8
2014-03-30 06:36:59.859512	96843	49	2	1
2014-03-30 06:37:00.081365	96844	18.9	1	1
2014-03-30 06:37:17.14338	96845	44	2	10
2014-03-30 06:37:17.375785	96846	20.1	1	10
2014-03-30 06:37:25.928063	96847	49	2	9
2014-03-30 06:37:26.149559	96848	19.1	1	9
2014-03-30 06:37:27.001921	96849	44	2	8
2014-03-30 06:37:27.233195	96850	20.0	1	8
2014-03-30 06:37:32.095579	96851	370	3	2
2014-03-30 06:37:32.318236	96852	1127012.2817057576	4	2
2014-03-30 06:37:38.857115	96853	49	2	1
2014-03-30 06:37:39.093672	96854	18.9	1	1
2014-03-30 06:37:56.14198	96855	44	2	10
2014-03-30 06:37:56.365623	96856	20.1	1	10
2014-03-30 06:38:04.924263	96857	49	2	9
2014-03-30 06:38:05.170705	96858	19.1	1	9
2014-03-30 06:38:06.003893	96859	44	2	8
2014-03-30 06:38:06.22618	96860	20.0	1	8
2014-03-30 06:38:17.897868	96861	49	2	1
2014-03-30 06:38:18.130969	96862	18.9	1	1
2014-03-30 06:38:32.095992	96863	370	3	2
2014-03-30 06:38:32.319017	96864	1127018.0268793649	4	2
2014-03-30 06:38:35.145951	96865	44	2	10
2014-03-30 06:38:35.377461	96866	20.1	1	10
2014-03-30 06:38:43.92717	96867	49	2	9
2014-03-30 06:38:44.151832	96868	19.1	1	9
2014-03-30 06:38:45.003026	96869	44	2	8
2014-03-30 06:38:45.255872	96870	20.0	1	8
2014-03-30 06:38:56.851821	96871	49	2	1
2014-03-30 06:38:57.075214	96872	18.9	1	1
2014-03-30 06:39:14.144821	96873	44	2	10
2014-03-30 06:39:14.379261	96874	20.1	1	10
2014-03-30 06:39:20.098052	96875	402	3	2
2014-03-30 06:39:20.325039	96876	1127023.7720529719	4	2
2014-03-30 06:39:22.925676	96877	49	2	9
2014-03-30 06:39:23.156405	96878	19.1	1	9
2014-03-30 06:39:24.002056	96879	44	2	8
2014-03-30 06:39:24.22458	96880	20.0	1	8
2014-03-30 06:39:32.096959	96881	370	3	2
2014-03-30 06:39:32.332972	96882	1127024.9210876932	4	2
2014-03-30 06:39:35.900526	96883	49	2	1
2014-03-30 06:39:36.121529	96884	18.9	1	1
2014-03-30 06:39:44.092826	96885	370	3	2
2014-03-30 06:39:44.327459	96886	1127026.0701224147	4	2
2014-03-30 06:39:53.144436	96887	44	2	10
2014-03-30 06:39:53.3705	96888	20.1	1	10
2014-03-30 06:40:01.924606	96889	49	2	9
2014-03-30 06:40:02.158956	96890	19.1	1	9
2014-03-30 06:40:03.003071	96891	44	2	8
2014-03-30 06:40:03.223512	96892	20.0	1	8
2014-03-30 06:40:14.853927	96893	49	2	1
2014-03-30 06:40:15.086596	96894	18.9	1	1
2014-03-30 06:40:32.344389	96895	44	2	10
2014-03-30 06:40:32.569095	96896	20.1	1	10
2014-03-30 06:40:40.924784	96897	49	2	9
2014-03-30 06:40:41.15771	96898	19.1	1	9
2014-03-30 06:40:42.002896	96899	44	2	8
2014-03-30 06:40:42.225009	96900	20.0	1	8
2014-03-30 06:40:44.095909	96901	305	3	2
2014-03-30 06:40:44.326994	96902	1127031.8152960218	4	2
2014-03-30 06:40:53.852398	96903	49	2	1
2014-03-30 06:40:54.076562	96904	18.9	1	1
2014-03-30 06:40:56.095606	96905	338	3	2
2014-03-30 06:40:56.338155	96906	1127032.964330743	4	2
2014-03-30 06:41:08.095298	96907	338	3	2
2014-03-30 06:41:08.316356	96908	1127034.1133654646	4	2
2014-03-30 06:41:11.144747	96909	44	2	10
2014-03-30 06:41:11.378476	96910	20.1	1	10
2014-03-30 06:41:19.925285	96911	49	2	9
2014-03-30 06:41:20.147543	96912	19.1	1	9
2014-03-30 06:41:21.002359	96913	44	2	8
2014-03-30 06:41:21.232678	96914	20.0	1	8
2014-03-30 06:41:32.094411	96915	305	3	2
2014-03-30 06:41:32.317578	96916	1127036.4114349075	4	2
2014-03-30 06:41:32.897551	96917	49	2	1
2014-03-30 06:41:33.127614	96918	18.9	1	1
2014-03-30 06:41:50.143887	96919	44	2	10
2014-03-30 06:41:50.367148	96920	20.1	1	10
2014-03-30 06:41:56.093608	96921	338	3	2
2014-03-30 06:41:56.326467	96922	1127038.7095043503	4	2
2014-03-30 06:41:58.922152	96923	49	2	9
2014-03-30 06:41:59.145796	96924	19.1	1	9
2014-03-30 06:42:00.003047	96925	44	2	8
2014-03-30 06:42:00.234909	96926	20.0	1	8
2014-03-30 06:42:08.095616	96927	338	3	2
2014-03-30 06:42:08.317434	96928	1127039.8585390716	4	2
2014-03-30 06:42:11.852795	96929	49	2	1
2014-03-30 06:42:12.085239	96930	18.9	1	1
2014-03-30 06:42:20.096136	96931	305	3	2
2014-03-30 06:42:20.317314	96932	1127039.8585390716	4	2
2014-03-30 06:42:29.143009	96933	44	2	10
2014-03-30 06:42:29.376611	96934	20.1	1	10
2014-03-30 06:42:32.097779	96935	305	3	2
2014-03-30 06:42:32.319503	96936	1127041.0075737932	4	2
2014-03-30 06:42:37.92472	96937	49	2	9
2014-03-30 06:42:38.181968	96938	19.1	1	9
2014-03-30 06:42:39.000642	96939	44	2	8
2014-03-30 06:42:39.222956	96940	20.0	1	8
2014-03-30 06:42:50.853277	96941	49	2	1
2014-03-30 06:42:51.092394	96942	18.9	1	1
2014-03-30 06:43:08.146726	96943	44	2	10
2014-03-30 06:43:08.369004	96944	20.1	1	10
2014-03-30 06:43:16.924446	96945	49	2	9
2014-03-30 06:43:17.15707	96946	19.1	1	9
2014-03-30 06:43:18.004299	96947	44	2	8
2014-03-30 06:43:18.226707	96948	20.0	1	8
2014-03-30 06:43:29.849518	96949	49	2	1
2014-03-30 06:43:30.081733	96950	18.9	1	1
2014-03-30 06:43:32.096623	96951	305	3	2
2014-03-30 06:43:32.321876	96952	1127046.7527474002	4	2
2014-03-30 06:43:47.147576	96953	44	2	10
2014-03-30 06:43:47.394499	96954	20.1	1	10
2014-03-30 06:43:55.927379	96955	49	2	9
2014-03-30 06:43:56.151981	96956	19.1	1	9
2014-03-30 06:43:57.003474	96957	44	2	8
2014-03-30 06:43:57.238215	96958	20.0	1	8
2014-03-30 06:44:08.850021	96959	49	2	1
2014-03-30 06:44:09.075477	96960	18.9	1	1
2014-03-30 06:44:26.145086	96961	44	2	10
2014-03-30 06:44:26.377795	96962	20.1	1	10
2014-03-30 06:44:32.10266	96963	305	3	2
2014-03-30 06:44:32.363859	96964	1127051.348886286	4	2
2014-03-30 06:44:34.927656	96965	49	2	9
2014-03-30 06:44:35.18558	96966	19.1	1	9
2014-03-30 06:44:36.0008	96967	44	2	8
2014-03-30 06:44:36.259215	96968	20.0	1	8
2014-03-30 06:44:47.85079	96969	49	2	1
2014-03-30 06:44:48.269407	96970	18.9	1	1
2014-03-30 06:45:05.145615	96971	44	2	10
2014-03-30 06:45:05.402744	96972	20.0	1	10
2014-03-30 06:45:13.924814	96973	49	2	9
2014-03-30 06:45:14.156325	96974	19.1	1	9
2014-03-30 06:45:15.001849	96975	44	2	8
2014-03-30 06:45:15.224446	96976	20.0	1	8
2014-03-30 06:45:26.852751	96977	49	2	1
2014-03-30 06:45:27.084815	96978	18.9	1	1
2014-03-30 06:45:32.09585	96979	305	3	2
2014-03-30 06:45:32.321419	96980	1127057.094059893	4	2
2014-03-30 06:45:44.145368	96981	44	2	10
2014-03-30 06:45:44.377047	96982	20.0	1	10
2014-03-30 06:45:52.92286	96983	49	2	9
2014-03-30 06:45:53.146788	96984	19.1	1	9
2014-03-30 06:45:54.002377	96985	44	2	8
2014-03-30 06:45:54.235469	96986	20.0	1	8
2014-03-30 06:46:05.853024	96987	49	2	1
2014-03-30 06:46:06.075253	96988	18.9	1	1
2014-03-30 06:46:23.143674	96989	44	2	10
2014-03-30 06:46:23.376654	96990	20.0	1	10
2014-03-30 06:46:31.925499	96991	49	2	9
2014-03-30 06:46:32.147848	96992	19.1	1	9
2014-03-30 06:46:33.002335	96993	44	2	8
2014-03-30 06:46:33.234328	96994	20.0	1	8
2014-03-30 06:46:44.853471	96995	49	2	1
2014-03-30 06:46:45.074738	96996	18.9	1	1
2014-03-30 06:47:02.26999	96997	44	2	10
2014-03-30 06:47:02.709722	96998	20.0	1	10
2014-03-30 06:47:08.221983	96999	354	3	2
2014-03-30 06:47:08.670189	97000	1127065.1373029428	4	2
2014-03-30 06:47:10.927159	97001	49	2	9
2014-03-30 06:47:11.173422	97002	19.1	1	9
2014-03-30 06:47:12.002972	97003	44	2	8
2014-03-30 06:47:12.224224	97004	20.0	1	8
2014-03-30 06:47:20.096526	97005	354	3	2
2014-03-30 06:47:20.348783	97006	1127066.2863376641	4	2
2014-03-30 06:47:23.849863	97007	49	2	1
2014-03-30 06:47:24.07384	97008	18.9	1	1
2014-03-30 06:47:32.094762	97009	338	3	2
2014-03-30 06:47:32.329972	97010	1127067.4353723857	4	2
2014-03-30 06:47:41.144929	97011	44	2	10
2014-03-30 06:47:41.37083	97012	20.0	1	10
2014-03-30 06:47:49.923556	97013	49	2	9
2014-03-30 06:47:50.155369	97014	19.1	1	9
2014-03-30 06:47:51.001829	97015	44	2	8
2014-03-30 06:47:51.222999	97016	20.0	1	8
2014-03-30 06:48:02.849121	97017	49	2	1
2014-03-30 06:48:03.081627	97018	18.9	1	1
2014-03-30 06:48:20.14587	97019	44	2	10
2014-03-30 06:48:20.369429	97020	20.0	1	10
2014-03-30 06:48:28.92729	97021	49	2	9
2014-03-30 06:48:29.158554	97022	19.1	1	9
2014-03-30 06:48:30.002948	97023	44	2	8
2014-03-30 06:48:30.22354	97024	20.0	1	8
2014-03-30 06:48:32.095748	97025	354	3	2
2014-03-30 06:48:32.327676	97026	1127073.1805459927	4	2
2014-03-30 06:48:41.848322	97027	49	2	1
2014-03-30 06:48:42.072743	97028	18.9	1	1
2014-03-30 06:48:59.146477	97029	44	2	10
2014-03-30 06:48:59.37863	97030	20.0	1	10
2014-03-30 06:49:07.924434	97031	49	2	9
2014-03-30 06:49:08.148612	97032	19.1	1	9
2014-03-30 06:49:09.004332	97033	44	2	8
2014-03-30 06:49:09.237879	97034	20.0	1	8
2014-03-30 06:49:20.847765	97035	49	2	1
2014-03-30 06:49:21.071243	97036	18.9	1	1
2014-03-30 06:49:32.097456	97037	354	3	2
2014-03-30 06:49:32.328847	97038	1127078.9257195997	4	2
2014-03-30 06:49:38.144278	97039	44	2	10
2014-03-30 06:49:38.366685	97040	20.0	1	10
2014-03-30 06:49:46.926343	97041	49	2	9
2014-03-30 06:49:47.1617	97042	19.1	1	9
2014-03-30 06:49:48.002429	97043	44	2	8
2014-03-30 06:49:48.227783	97044	20.0	1	8
2014-03-30 06:49:59.892005	97045	49	2	1
2014-03-30 06:50:00.123611	97046	18.9	1	1
2014-03-30 06:50:17.145992	97047	44	2	10
2014-03-30 06:50:17.369231	97048	20.0	1	10
2014-03-30 06:50:25.925137	97049	49	2	9
2014-03-30 06:50:26.169109	97050	19.1	1	9
2014-03-30 06:50:27.001369	97051	44	2	8
2014-03-30 06:50:27.224479	97052	20.0	1	8
2014-03-30 06:50:32.097437	97053	354	3	2
2014-03-30 06:50:32.333224	97054	1127085.8199279283	4	2
2014-03-30 06:50:38.847317	97055	49	2	1
2014-03-30 06:50:39.070694	97056	18.9	1	1
2014-03-30 06:50:56.147491	97057	44	2	10
2014-03-30 06:50:56.382701	97058	20.0	1	10
2014-03-30 06:51:04.923068	97059	49	2	9
2014-03-30 06:51:05.146058	97060	19.1	1	9
2014-03-30 06:51:06.002074	97061	44	2	8
2014-03-30 06:51:06.234212	97062	20.0	1	8
2014-03-30 06:51:17.845271	97063	49	2	1
2014-03-30 06:51:18.066901	97064	18.9	1	1
2014-03-30 06:51:35.144608	97065	44	2	10
2014-03-30 06:51:35.377611	97066	20.0	1	10
2014-03-30 06:51:43.928234	97067	49	2	9
2014-03-30 06:51:44.151766	97068	19.1	1	9
2014-03-30 06:51:45.001904	97069	44	2	8
2014-03-30 06:51:45.232874	97070	20.0	1	8
2014-03-30 06:51:56.84483	97071	49	2	1
2014-03-30 06:51:57.068777	97072	18.9	1	1
2014-03-30 06:52:14.146638	97073	44	2	10
2014-03-30 06:52:14.38856	97074	20.0	1	10
2014-03-30 06:52:22.927193	97075	49	2	9
2014-03-30 06:52:23.170423	97076	19.1	1	9
2014-03-30 06:52:24.001974	97077	44	2	8
2014-03-30 06:52:24.234507	97078	20.0	1	8
2014-03-30 06:52:32.095608	97079	354	3	2
2014-03-30 06:52:32.317452	97080	1127097.3102751423	4	2
2014-03-30 06:52:35.845779	97081	49	2	1
2014-03-30 06:52:36.078111	97082	18.9	1	1
2014-03-30 06:52:44.095783	97083	305	3	2
2014-03-30 06:52:44.319941	97084	1127098.4593098639	4	2
2014-03-30 06:52:53.144752	97085	44	2	10
2014-03-30 06:52:53.377319	97086	20.0	1	10
2014-03-30 06:52:56.091535	97087	305	3	2
2014-03-30 06:52:56.315646	97088	1127099.6083445852	4	2
2014-03-30 06:53:01.929717	97089	49	2	9
2014-03-30 06:53:02.16434	97090	19.1	1	9
2014-03-30 06:53:03.001335	97091	44	2	8
2014-03-30 06:53:03.223801	97092	20.0	1	8
2014-03-30 06:53:14.845346	97093	49	2	1
2014-03-30 06:53:15.076741	97094	18.9	1	1
2014-03-30 06:53:32.349757	97095	44	2	10
2014-03-30 06:53:32.571197	97096	20.0	1	10
2014-03-30 06:53:40.925104	97097	49	2	9
2014-03-30 06:53:41.169028	97098	19.1	1	9
2014-03-30 06:53:42.001107	97099	44	2	8
2014-03-30 06:53:42.222747	97100	20.0	1	8
2014-03-30 06:53:53.84199	97101	49	2	1
2014-03-30 06:53:54.076973	97102	18.9	1	1
2014-03-30 06:54:11.149901	97103	44	2	10
2014-03-30 06:54:11.372258	97104	20.0	1	10
2014-03-30 06:54:19.924228	97105	49	2	9
2014-03-30 06:54:20.157979	97106	19.1	1	9
2014-03-30 06:54:21.002597	97107	44	2	8
2014-03-30 06:54:21.224981	97108	20.0	1	8
2014-03-30 06:54:32.099324	97109	305	3	2
2014-03-30 06:54:32.331975	97110	1127107.651587635	4	2
2014-03-30 06:54:32.844027	97111	49	2	1
2014-03-30 06:54:33.070411	97112	18.9	1	1
2014-03-30 06:54:50.151223	97113	44	2	10
2014-03-30 06:54:50.384007	97114	20.0	1	10
2014-03-30 06:54:58.924013	97115	49	2	9
2014-03-30 06:54:59.146663	97116	19.1	1	9
2014-03-30 06:55:00.002128	97117	44	2	8
2014-03-30 06:55:00.267963	97118	20.0	1	8
2014-03-30 06:55:11.845326	97119	49	2	1
2014-03-30 06:55:12.120337	97120	18.9	1	1
2014-03-30 06:55:29.14979	97121	44	2	10
2014-03-30 06:55:29.416881	97122	20.0	1	10
2014-03-30 06:55:32.097178	97123	305	3	2
2014-03-30 06:55:32.439896	97124	1127112.2477265208	4	2
2014-03-30 06:55:37.924017	97125	49	2	9
2014-03-30 06:55:38.160458	97126	19.1	1	9
2014-03-30 06:55:39.002857	97127	44	2	8
2014-03-30 06:55:39.225634	97128	20.0	1	8
2014-03-30 06:55:50.845931	97129	49	2	1
2014-03-30 06:55:51.07707	97130	18.9	1	1
2014-03-30 06:56:08.350702	97131	44	2	10
2014-03-30 06:56:08.575038	97132	20.0	1	10
2014-03-30 06:56:16.923474	97133	49	2	9
2014-03-30 06:56:17.213262	97134	19.1	1	9
2014-03-30 06:56:18.001193	97135	44	2	8
2014-03-30 06:56:18.224037	97136	20.0	1	8
2014-03-30 06:56:29.84567	97137	49	2	1
2014-03-30 06:56:30.076805	97138	18.9	1	1
2014-03-30 06:56:32.094459	97139	418	3	2
2014-03-30 06:56:32.317074	97140	1127119.1419348493	4	2
2014-03-30 06:56:47.150209	97141	44	2	10
2014-03-30 06:56:47.383459	97142	20.0	1	10
2014-03-30 06:56:55.922697	97143	49	2	9
2014-03-30 06:56:56.144408	97144	19.1	1	9
2014-03-30 06:56:57.004513	97145	44	2	8
2014-03-30 06:56:57.24859	97146	20.0	1	8
2014-03-30 06:57:08.887309	97147	49	2	1
2014-03-30 06:57:09.107755	97148	18.9	1	1
2014-03-30 06:57:26.149112	97149	44	2	10
2014-03-30 06:57:26.383795	97150	20.0	1	10
2014-03-30 06:57:32.093288	97151	402	3	2
2014-03-30 06:57:32.317105	97152	1127126.036143178	4	2
2014-03-30 06:57:34.925321	97153	49	2	9
2014-03-30 06:57:35.157698	97154	19.1	1	9
2014-03-30 06:57:36.002476	97155	44	2	8
2014-03-30 06:57:36.22536	97156	20.0	1	8
2014-03-30 06:57:47.843816	97157	49	2	1
2014-03-30 06:57:48.082997	97158	18.9	1	1
2014-03-30 06:58:05.159601	97159	44	2	10
2014-03-30 06:58:05.381343	97160	20.0	1	10
2014-03-30 06:58:13.924003	97161	49	2	9
2014-03-30 06:58:14.155335	97162	19.1	1	9
2014-03-30 06:58:15.00161	97163	44	2	8
2014-03-30 06:58:15.223327	97164	20.0	1	8
2014-03-30 06:58:26.844219	97165	49	2	1
2014-03-30 06:58:27.076814	97166	18.9	1	1
2014-03-30 06:58:32.093459	97167	418	3	2
2014-03-30 06:58:32.317936	97168	1127132.9303515062	4	2
2014-03-30 06:58:44.148946	97169	44	2	10
2014-03-30 06:58:44.380517	97170	20.0	1	10
2014-03-30 06:58:52.929517	97171	49	2	9
2014-03-30 06:58:53.151266	97172	19.1	1	9
2014-03-30 06:58:54.00256	97173	44	2	8
2014-03-30 06:58:54.234403	97174	20.0	1	8
2014-03-30 06:59:05.841051	97175	49	2	1
2014-03-30 06:59:06.063988	97176	18.9	1	1
2014-03-30 06:59:20.092163	97177	450	3	2
2014-03-30 06:59:20.32518	97178	1127138.6755251132	4	2
2014-03-30 06:59:23.149772	97179	44	2	10
2014-03-30 06:59:23.37202	97180	20.0	1	10
2014-03-30 06:59:31.92548	97181	49	2	9
2014-03-30 06:59:32.159	97182	19.1	1	9
2014-03-30 06:59:33.00376	97183	44	2	8
2014-03-30 06:59:33.226109	97184	20.0	1	8
2014-03-30 06:59:44.842191	97185	49	2	1
2014-03-30 06:59:45.077607	97186	18.9	1	1
2014-03-30 07:00:02.150637	97187	44	2	10
2014-03-30 07:00:02.373897	97188	20.0	1	10
2014-03-30 07:00:10.927582	97189	49	2	9
2014-03-30 07:00:11.162752	97190	19.1	1	9
2014-03-30 07:00:12.001635	97191	44	2	8
2014-03-30 07:00:12.227082	97192	20.0	1	8
2014-03-30 07:00:23.842712	97193	49	2	1
2014-03-30 07:00:24.090235	97194	18.9	1	1
2014-03-30 07:00:41.150725	97195	44	2	10
2014-03-30 07:00:41.373247	97196	20.0	1	10
2014-03-30 07:00:49.924479	97197	49	2	9
2014-03-30 07:00:50.156033	97198	19.1	1	9
2014-03-30 07:00:51.001712	97199	44	2	8
2014-03-30 07:00:51.225174	97200	20.0	1	8
2014-03-30 07:01:02.840399	97201	49	2	1
2014-03-30 07:01:03.070963	97202	18.9	1	1
2014-03-30 07:01:20.353559	97203	44	2	10
2014-03-30 07:01:20.574338	97204	20.0	1	10
2014-03-30 07:01:28.923418	97205	49	2	9
2014-03-30 07:01:29.15634	97206	19.1	1	9
2014-03-30 07:01:30.001801	97207	44	2	8
2014-03-30 07:01:30.223131	97208	20.1	1	8
2014-03-30 07:01:41.841984	97209	49	2	1
2014-03-30 07:01:42.074291	97210	18.9	1	1
2014-03-30 07:01:59.14652	97211	44	2	10
2014-03-30 07:01:59.367855	97212	20.0	1	10
2014-03-30 07:02:07.924396	97213	49	2	9
2014-03-30 07:02:08.157716	97214	19.1	1	9
2014-03-30 07:02:09.00205	97215	44	2	8
2014-03-30 07:02:09.223453	97216	20.1	1	8
2014-03-30 07:02:20.093683	97217	354	3	2
2014-03-30 07:02:20.327042	97218	1127161.6562195416	4	2
2014-03-30 07:02:20.839568	97219	49	2	1
2014-03-30 07:02:21.061557	97220	18.9	1	1
2014-03-30 07:02:32.091448	97221	354	3	2
2014-03-30 07:02:32.325602	97222	1127162.805254263	4	2
2014-03-30 07:02:38.151562	97223	44	2	10
2014-03-30 07:02:38.376359	97224	20.0	1	10
2014-03-30 07:02:46.924802	97225	49	2	9
2014-03-30 07:02:47.159637	97226	19.1	1	9
2014-03-30 07:02:48.00205	97227	44	2	8
2014-03-30 07:02:48.223315	97228	20.1	1	8
2014-03-30 07:02:59.838256	97229	49	2	1
2014-03-30 07:03:00.070991	97230	18.9	1	1
2014-03-30 07:03:17.152012	97231	44	2	10
2014-03-30 07:03:17.431731	97232	20.0	1	10
2014-03-30 07:03:25.924438	97233	49	2	9
2014-03-30 07:03:26.158128	97234	19.1	1	9
2014-03-30 07:03:27.001187	97235	44	2	8
2014-03-30 07:03:27.22416	97236	20.1	1	8
2014-03-30 07:03:38.837938	97237	49	2	1
2014-03-30 07:03:39.071017	97238	18.9	1	1
2014-03-30 07:03:56.150231	97239	44	2	10
2014-03-30 07:03:56.373313	97240	20.0	1	10
2014-03-30 07:04:04.924115	97241	49	2	9
2014-03-30 07:04:05.16933	97242	19.1	1	9
2014-03-30 07:04:06.001599	97243	44	2	8
2014-03-30 07:04:06.224511	97244	20.1	1	8
2014-03-30 07:04:17.842098	97245	49	2	1
2014-03-30 07:04:18.076466	97246	18.9	1	1
2014-03-30 07:04:32.092325	97247	354	3	2
2014-03-30 07:04:32.317314	97248	1127174.2956014771	4	2
2014-03-30 07:04:35.150251	97249	44	2	10
2014-03-30 07:04:35.382206	97250	20.0	1	10
2014-03-30 07:04:43.928053	97251	49	2	9
2014-03-30 07:04:44.150524	97252	19.0	1	9
2014-03-30 07:04:45.003188	97253	44	2	8
2014-03-30 07:04:45.235607	97254	20.1	1	8
2014-03-30 07:04:56.0927	97255	305	3	2
2014-03-30 07:04:56.316192	97256	1127176.59367092	4	2
2014-03-30 07:04:56.841909	97257	49	2	1
2014-03-30 07:04:57.075544	97258	18.9	1	1
2014-03-30 07:05:08.094734	97259	305	3	2
2014-03-30 07:05:08.318593	97260	1127177.7427056415	4	2
2014-03-30 07:05:14.152005	97261	44	2	10
2014-03-30 07:05:14.384272	97262	20.0	1	10
2014-03-30 07:05:22.924284	97263	49	2	9
2014-03-30 07:05:23.149134	97264	19.0	1	9
2014-03-30 07:05:24.002021	97265	44	2	8
2014-03-30 07:05:24.236595	97266	20.1	1	8
2014-03-30 07:05:32.095469	97267	289	3	2
2014-03-30 07:05:32.319727	97268	1127180.0407750844	4	2
2014-03-30 07:05:35.839581	97269	49	2	1
2014-03-30 07:05:36.072804	97270	18.9	1	1
2014-03-30 07:05:53.154352	97271	44	2	10
2014-03-30 07:05:53.377821	97272	20.0	1	10
2014-03-30 07:05:56.092826	97273	354	3	2
2014-03-30 07:05:56.325929	97274	1127182.338844527	4	2
2014-03-30 07:06:01.924888	97275	49	2	9
2014-03-30 07:06:02.149685	97276	19.0	1	9
2014-03-30 07:06:03.0017	97277	44	2	8
2014-03-30 07:06:03.236125	97278	20.1	1	8
2014-03-30 07:06:08.091856	97279	370	3	2
2014-03-30 07:06:08.32025	97280	1127183.4878792486	4	2
2014-03-30 07:06:14.839381	97281	49	2	1
2014-03-30 07:06:15.071604	97282	18.8	1	1
2014-03-30 07:06:32.357541	97283	44	2	10
2014-03-30 07:06:32.582327	97284	20.0	1	10
2014-03-30 07:06:40.9239	97285	49	2	9
2014-03-30 07:06:41.156477	97286	19.0	1	9
2014-03-30 07:06:42.002082	97287	44	2	8
2014-03-30 07:06:42.223419	97288	20.0	1	8
2014-03-30 07:06:53.837052	97289	49	2	1
2014-03-30 07:06:54.080973	97290	18.8	1	1
2014-03-30 07:07:11.149996	97291	44	2	10
2014-03-30 07:07:11.38299	97292	20.0	1	10
2014-03-30 07:07:19.922338	97293	49	2	9
2014-03-30 07:07:20.339333	97294	19.0	1	9
2014-03-30 07:07:21.000746	97295	44	2	8
2014-03-30 07:07:21.22432	97296	20.0	1	8
2014-03-30 07:07:32.092584	97297	354	3	2
2014-03-30 07:07:32.313519	97298	1127191.5311222984	4	2
2014-03-30 07:07:32.835796	97299	49	2	1
2014-03-30 07:07:33.064303	97300	18.8	1	1
2014-03-30 07:07:50.150275	97301	44	2	10
2014-03-30 07:07:50.374467	97302	19.9	1	10
2014-03-30 07:07:58.92323	97303	49	2	9
2014-03-30 07:07:59.152289	97304	19.0	1	9
2014-03-30 07:07:59.999748	97305	44	2	8
2014-03-30 07:08:00.22116	97306	20.0	1	8
2014-03-30 07:08:11.834897	97307	49	2	1
2014-03-30 07:08:12.065815	97308	18.8	1	1
2014-03-30 07:08:29.151697	97309	44	2	10
2014-03-30 07:08:29.373097	97310	19.9	1	10
2014-03-30 07:08:32.094058	97311	354	3	2
2014-03-30 07:08:32.324986	97312	1127198.425330627	4	2
2014-03-30 07:08:37.924016	97313	49	2	9
2014-03-30 07:08:38.149583	97314	19.0	1	9
2014-03-30 07:08:39.001137	97315	44	2	8
2014-03-30 07:08:39.231371	97316	20.0	1	8
2014-03-30 07:08:50.834144	97317	49	2	1
2014-03-30 07:08:51.05436	97318	18.8	1	1
2014-03-30 07:09:08.153339	97319	44	2	10
2014-03-30 07:09:08.385366	97320	19.9	1	10
2014-03-30 07:09:16.923602	97321	49	2	9
2014-03-30 07:09:17.147246	97322	19.0	1	9
2014-03-30 07:09:18.0008	97323	44	2	8
2014-03-30 07:09:18.231608	97324	20.0	1	8
2014-03-30 07:09:29.836208	97325	49	2	1
2014-03-30 07:09:30.05875	97326	18.8	1	1
2014-03-30 07:09:32.094553	97327	354	3	2
2014-03-30 07:09:32.328585	97328	1127203.0259404648	4	2
2014-03-30 07:09:47.157451	97329	44	2	10
2014-03-30 07:09:47.380979	97330	19.9	1	10
2014-03-30 07:09:55.922901	97331	49	2	9
2014-03-30 07:09:56.155801	97332	19.0	1	9
2014-03-30 07:09:57.003904	97333	44	2	8
2014-03-30 07:09:57.228235	97334	20.0	1	8
2014-03-30 07:10:08.833959	97335	49	2	1
2014-03-30 07:10:09.070362	97336	18.8	1	1
2014-03-30 07:10:26.155027	97337	44	2	10
2014-03-30 07:10:26.379695	97338	19.9	1	10
2014-03-30 07:10:32.094047	97339	354	3	2
2014-03-30 07:10:32.337237	97340	1127208.7711140718	4	2
2014-03-30 07:10:34.924055	97341	49	2	9
2014-03-30 07:10:35.148524	97342	19.0	1	9
2014-03-30 07:10:36.003437	97343	44	2	8
2014-03-30 07:10:36.237097	97344	20.0	1	8
2014-03-30 07:10:47.832423	97345	49	2	1
2014-03-30 07:10:48.059215	97346	18.8	1	1
2014-03-30 07:11:05.157858	97347	44	2	10
2014-03-30 07:11:05.391226	97348	19.9	1	10
2014-03-30 07:11:13.922545	97349	49	2	9
2014-03-30 07:11:14.148512	97350	19.0	1	9
2014-03-30 07:11:15.002311	97351	44	2	8
2014-03-30 07:11:15.234875	97352	20.0	1	8
2014-03-30 07:11:26.833693	97353	49	2	1
2014-03-30 07:11:27.055904	97354	18.8	1	1
2014-03-30 07:11:32.092528	97355	418	3	2
2014-03-30 07:11:32.33311	97356	1127214.5162876789	4	2
2014-03-30 07:11:44.359946	97357	44	2	10
2014-03-30 07:11:44.583722	97358	19.9	1	10
2014-03-30 07:11:52.925457	97359	49	2	9
2014-03-30 07:11:53.157872	97360	19.0	1	9
2014-03-30 07:11:54.001592	97361	44	2	8
2014-03-30 07:11:54.224021	97362	20.0	1	8
2014-03-30 07:12:05.879257	97363	49	2	1
2014-03-30 07:12:06.114213	97364	18.8	1	1
2014-03-30 07:12:23.155957	97365	44	2	10
2014-03-30 07:12:23.380823	97366	19.9	1	10
2014-03-30 07:12:31.925481	97367	49	2	9
2014-03-30 07:12:32.157716	97368	19.0	1	9
2014-03-30 07:12:33.000249	97369	44	2	8
2014-03-30 07:12:33.223593	97370	20.0	1	8
2014-03-30 07:12:44.836532	97371	49	2	1
2014-03-30 07:12:45.07305	97372	18.8	1	1
2014-03-30 07:13:02.155725	97373	44	2	10
2014-03-30 07:13:02.379999	97374	19.9	1	10
2014-03-30 07:13:10.926281	97375	49	2	9
2014-03-30 07:13:11.159087	97376	19.0	1	9
2014-03-30 07:13:12.001592	97377	44	2	8
2014-03-30 07:13:12.224562	97378	20.0	1	8
2014-03-30 07:13:23.83385	97379	49	2	1
2014-03-30 07:13:24.06959	97380	18.8	1	1
2014-03-30 07:13:32.092529	97381	418	3	2
2014-03-30 07:13:32.316527	97382	1127228.304704336	4	2
2014-03-30 07:13:41.156331	97383	44	2	10
2014-03-30 07:13:41.387978	97384	19.9	1	10
2014-03-30 07:13:50.125341	97385	49	2	9
2014-03-30 07:13:50.348261	97386	19.0	1	9
2014-03-30 07:13:51.001652	97387	44	2	8
2014-03-30 07:13:51.244629	97388	20.0	1	8
2014-03-30 07:14:02.832667	97389	49	2	1
2014-03-30 07:14:03.056108	97390	18.8	1	1
2014-03-30 07:14:20.154398	97391	44	2	10
2014-03-30 07:14:20.386084	97392	19.9	1	10
2014-03-30 07:14:28.921835	97393	49	2	9
2014-03-30 07:14:29.143046	97394	19.0	1	9
2014-03-30 07:14:29.999857	97395	44	2	8
2014-03-30 07:14:30.230849	97396	20.0	1	8
2014-03-30 07:14:32.093862	97397	402	3	2
2014-03-30 07:14:32.316368	97398	1127235.1989126645	4	2
2014-03-30 07:14:41.836586	97399	49	2	1
2014-03-30 07:14:42.068098	97400	18.8	1	1
2014-03-30 07:14:59.15487	97401	44	2	10
2014-03-30 07:14:59.376132	97402	19.9	1	10
2014-03-30 07:15:07.926353	97403	49	2	9
2014-03-30 07:15:08.177609	97404	19.0	1	9
2014-03-30 07:15:09.00147	97405	44	2	8
2014-03-30 07:15:09.222928	97406	20.0	1	8
2014-03-30 07:15:20.831147	97407	49	2	1
2014-03-30 07:15:21.065311	97408	18.8	1	1
2014-03-30 07:15:32.091678	97409	402	3	2
2014-03-30 07:15:32.313825	97410	1127242.0931209929	4	2
2014-03-30 07:15:38.155225	97411	44	2	10
2014-03-30 07:15:38.386999	97412	19.9	1	10
2014-03-30 07:15:46.923843	97413	49	2	9
2014-03-30 07:15:47.203596	97414	19.0	1	9
2014-03-30 07:15:48.002964	97415	44	2	8
2014-03-30 07:15:48.235162	97416	20.0	1	8
2014-03-30 07:15:59.831346	97417	49	2	1
2014-03-30 07:16:00.055897	97418	18.8	1	1
2014-03-30 07:16:17.157782	97419	44	2	10
2014-03-30 07:16:17.390298	97420	19.9	1	10
2014-03-30 07:16:25.92234	97421	49	2	9
2014-03-30 07:16:26.145285	97422	19.0	1	9
2014-03-30 07:16:27.001508	97423	44	2	8
2014-03-30 07:16:27.23554	97424	20.0	1	8
2014-03-30 07:16:32.091461	97425	402	3	2
2014-03-30 07:16:32.317132	97426	1127248.9873293214	4	2
2014-03-30 07:16:38.831612	97427	49	2	1
2014-03-30 07:16:39.064624	97428	18.8	1	1
2014-03-30 07:16:56.158624	97429	44	2	10
2014-03-30 07:16:56.383364	97430	19.9	1	10
2014-03-30 07:17:04.92543	97431	49	2	9
2014-03-30 07:17:05.160026	97432	19.0	1	9
2014-03-30 07:17:06.000625	97433	44	2	8
2014-03-30 07:17:06.225226	97434	20.0	1	8
2014-03-30 07:17:17.907054	97435	49	2	1
2014-03-30 07:17:18.15223	97436	18.8	1	1
2014-03-30 07:17:32.095162	97437	402	3	2
2014-03-30 07:17:32.32231	97438	1127255.88153765	4	2
2014-03-30 07:17:35.362433	97439	44	2	10
2014-03-30 07:17:35.593623	97440	19.9	1	10
2014-03-30 07:17:43.926549	97441	49	2	9
2014-03-30 07:17:44.152793	97442	19.0	1	9
2014-03-30 07:17:45.001625	97443	44	2	8
2014-03-30 07:17:45.23436	97444	20.0	1	8
2014-03-30 07:17:56.83206	97445	49	2	1
2014-03-30 07:17:57.054835	97446	18.8	1	1
2014-03-30 07:18:14.15662	97447	44	2	10
2014-03-30 07:18:14.390675	97448	19.9	1	10
2014-03-30 07:18:22.923223	97449	49	2	9
2014-03-30 07:18:23.1485	97450	19.0	1	9
2014-03-30 07:18:24.001639	97451	44	2	8
2014-03-30 07:18:24.234229	97452	20.0	1	8
2014-03-30 07:18:32.095109	97453	418	3	2
2014-03-30 07:18:32.317536	97454	1127262.7757459783	4	2
2014-03-30 07:18:35.831545	97455	49	2	1
2014-03-30 07:18:36.062227	97456	18.8	1	1
2014-03-30 07:18:53.158316	97457	44	2	10
2014-03-30 07:18:53.381104	97458	19.9	1	10
2014-03-30 07:19:01.929151	97459	49	2	9
2014-03-30 07:19:02.164951	97460	19.0	1	9
2014-03-30 07:19:03.002257	97461	44	2	8
2014-03-30 07:19:03.224306	97462	20.0	1	8
2014-03-30 07:19:08.094079	97463	354	3	2
2014-03-30 07:19:08.326792	97464	1127267.371884864	4	2
2014-03-30 07:19:14.831994	97465	49	2	1
2014-03-30 07:19:15.054485	97466	18.8	1	1
2014-03-30 07:19:20.091576	97467	354	3	2
2014-03-30 07:19:20.330478	97468	1127268.5209195854	4	2
2014-03-30 07:19:32.359245	97469	44	2	10
2014-03-30 07:19:32.581039	97470	19.9	1	10
2014-03-30 07:19:40.923395	97471	49	2	9
2014-03-30 07:19:41.155556	97472	19.0	1	9
2014-03-30 07:19:41.99945	97473	44	2	8
2014-03-30 07:19:42.220789	97474	20.0	1	8
2014-03-30 07:19:53.83294	97475	49	2	1
2014-03-30 07:19:54.064084	97476	18.8	1	1
2014-03-30 07:20:11.154925	97477	44	2	10
2014-03-30 07:20:11.37743	97478	19.9	1	10
2014-03-30 07:20:19.926253	97479	49	2	9
2014-03-30 07:20:20.157401	97480	19.0	1	9
2014-03-30 07:20:21.000475	97481	44	2	8
2014-03-30 07:20:21.22563	97482	20.0	1	8
2014-03-30 07:20:32.094587	97483	354	3	2
2014-03-30 07:20:32.376859	97484	1127275.415127914	4	2
2014-03-30 07:20:32.831391	97485	49	2	1
2014-03-30 07:20:33.088173	97486	18.8	1	1
2014-03-30 07:20:50.15565	97487	44	2	10
2014-03-30 07:20:50.423786	97488	19.9	1	10
2014-03-30 07:20:58.926254	97489	49	2	9
2014-03-30 07:20:59.277188	97490	19.0	1	9
2014-03-30 07:21:00.099876	97491	44	2	8
2014-03-30 07:21:00.384942	97492	20.0	1	8
2014-03-30 07:21:11.830188	97493	49	2	1
2014-03-30 07:21:12.257902	97494	18.8	1	1
2014-03-30 07:21:29.156737	97495	44	2	10
2014-03-30 07:21:29.389219	97496	19.9	1	10
2014-03-30 07:21:32.092376	97497	305	3	2
2014-03-30 07:21:32.313314	97498	1127281.160301521	4	2
2014-03-30 07:21:37.924942	97499	49	2	9
2014-03-30 07:21:38.160742	97500	19.0	1	9
2014-03-30 07:21:39.001097	97501	44	2	8
2014-03-30 07:21:39.224415	97502	20.0	1	8
2014-03-30 07:21:44.09239	97503	289	3	2
2014-03-30 07:21:44.325109	97504	1127282.3093362425	4	2
2014-03-30 07:21:50.828052	97505	49	2	1
2014-03-30 07:21:51.050155	97506	18.8	1	1
2014-03-30 07:22:08.157079	97507	44	2	10
2014-03-30 07:22:08.390341	97508	19.9	1	10
2014-03-30 07:22:16.924894	97509	49	2	9
2014-03-30 07:22:17.146361	97510	19.0	1	9
2014-03-30 07:22:18.055727	97511	44	2	8
2014-03-30 07:22:18.29018	97512	20.0	1	8
2014-03-30 07:22:47.15926	97513	44	2	10
2014-03-30 07:22:47.443465	97514	19.9	1	10
2014-03-30 07:22:55.926348	97515	49	2	9
2014-03-30 07:22:56.163027	97516	19.0	1	9
2014-03-30 07:22:57.002739	97517	44	2	8
2014-03-30 07:22:57.227461	97518	20.0	1	8
2014-03-30 07:23:08.830235	97519	49	2	1
2014-03-30 07:23:09.06296	97520	18.8	1	1
2014-03-30 07:23:26.159361	97521	44	2	10
2014-03-30 07:23:26.384481	97522	19.9	1	10
2014-03-30 07:23:32.09246	97523	305	3	2
2014-03-30 07:23:32.325537	97524	1127291.5016140137	4	2
2014-03-30 07:23:34.924107	97525	49	2	9
2014-03-30 07:23:35.145852	97526	19.0	1	9
2014-03-30 07:23:36.000839	97527	44	2	8
2014-03-30 07:23:36.232674	97528	20.0	1	8
2014-03-30 07:23:47.873001	97529	49	2	1
2014-03-30 07:23:48.096725	97530	18.8	1	1
2014-03-30 07:24:05.158621	97531	44	2	10
2014-03-30 07:24:05.404549	97532	19.8	1	10
2014-03-30 07:24:13.922299	97533	49	2	9
2014-03-30 07:24:14.144201	97534	19.0	1	9
2014-03-30 07:24:15.003927	97535	44	2	8
2014-03-30 07:24:15.235405	97536	20.0	1	8
2014-03-30 07:24:26.82617	97537	49	2	1
2014-03-30 07:24:27.047152	97538	18.8	1	1
2014-03-30 07:24:32.092886	97539	305	3	2
2014-03-30 07:24:32.327278	97540	1127296.0977528994	4	2
2014-03-30 07:24:44.159054	97541	44	2	10
2014-03-30 07:24:44.380644	97542	19.8	1	10
2014-03-30 07:24:52.92404	97543	49	2	9
2014-03-30 07:24:53.157249	97544	19.0	1	9
2014-03-30 07:24:54.001763	97545	44	2	8
2014-03-30 07:24:54.222633	97546	20.0	1	8
2014-03-30 07:25:05.825671	97547	49	2	1
2014-03-30 07:25:06.057699	97548	18.8	1	1
2014-03-30 07:25:23.16025	97549	44	2	10
2014-03-30 07:25:23.388531	97550	19.9	1	10
2014-03-30 07:25:31.930089	97551	49	2	9
2014-03-30 07:25:32.162334	97552	19.0	1	9
2014-03-30 07:25:33.000429	97553	44	2	8
2014-03-30 07:25:33.22382	97554	20.0	1	8
2014-03-30 07:25:44.831737	97555	49	2	1
2014-03-30 07:25:45.064168	97556	18.8	1	1
2014-03-30 07:25:56.089321	97557	354	3	2
2014-03-30 07:25:56.313558	97558	1127302.991961228	4	2
2014-03-30 07:26:02.152967	97559	44	2	10
2014-03-30 07:26:02.386544	97560	19.9	1	10
2014-03-30 07:26:08.091606	97561	354	3	2
2014-03-30 07:26:08.315381	97562	1127304.1409959493	4	2
2014-03-30 07:26:10.927549	97563	49	2	9
2014-03-30 07:26:11.157878	97564	19.0	1	9
2014-03-30 07:26:12.003989	97565	44	2	8
2014-03-30 07:26:12.227949	97566	20.0	1	8
2014-03-30 07:26:23.825092	97567	49	2	1
2014-03-30 07:26:24.069842	97568	18.8	1	1
2014-03-30 07:26:32.09527	97569	338	3	2
2014-03-30 07:26:32.318843	97570	1127306.4390653921	4	2
2014-03-30 07:26:41.159929	97571	44	2	10
2014-03-30 07:26:41.393498	97572	19.8	1	10
2014-03-30 07:26:49.926441	97573	49	2	9
2014-03-30 07:26:50.15227	97574	19.0	1	9
2014-03-30 07:26:51.000653	97575	44	2	8
2014-03-30 07:26:51.234478	97576	20.0	1	8
2014-03-30 07:27:02.825935	97577	49	2	1
2014-03-30 07:27:03.048255	97578	18.8	1	1
2014-03-30 07:27:20.161887	97579	44	2	10
2014-03-30 07:27:20.405279	97580	19.8	1	10
2014-03-30 07:27:28.923486	97581	49	2	9
2014-03-30 07:27:29.149032	97582	19.0	1	9
2014-03-30 07:27:30.002345	97583	45	2	8
2014-03-30 07:27:30.236417	97584	19.9	1	8
2014-03-30 07:27:32.093713	97585	338	3	2
2014-03-30 07:27:32.316837	97586	1127312.1842389992	4	2
2014-03-30 07:27:41.825541	97587	49	2	1
2014-03-30 07:27:42.061849	97588	18.8	1	1
2014-03-30 07:27:59.159315	97589	44	2	10
2014-03-30 07:27:59.385631	97590	19.8	1	10
2014-03-30 07:28:07.934435	97591	49	2	9
2014-03-30 07:28:08.167472	97592	19.0	1	9
2014-03-30 07:28:09.002037	97593	45	2	8
2014-03-30 07:28:09.224409	97594	19.9	1	8
2014-03-30 07:28:20.822584	97595	49	2	1
2014-03-30 07:28:21.054223	97596	18.8	1	1
2014-03-30 07:28:32.089725	97597	354	3	2
2014-03-30 07:28:32.315483	97598	1127319.0784473277	4	2
2014-03-30 07:28:38.159535	97599	44	2	10
2014-03-30 07:28:38.394328	97600	19.8	1	10
2014-03-30 07:28:46.927333	97601	49	2	9
2014-03-30 07:28:47.150878	97602	19.0	1	9
2014-03-30 07:28:48.002446	97603	45	2	8
2014-03-30 07:28:48.256325	97604	19.9	1	8
2014-03-30 07:28:59.869743	97605	49	2	1
2014-03-30 07:29:00.09323	97606	18.8	1	1
2014-03-30 07:29:17.16078	97607	44	2	10
2014-03-30 07:29:17.391678	97608	19.8	1	10
2014-03-30 07:29:25.925379	97609	49	2	9
2014-03-30 07:29:26.149504	97610	19.0	1	9
2014-03-30 07:29:27.00246	97611	45	2	8
2014-03-30 07:29:27.234098	97612	19.9	1	8
2014-03-30 07:29:32.093035	97613	354	3	2
2014-03-30 07:29:32.317611	97614	1127324.8236209347	4	2
2014-03-30 07:29:38.823822	97615	49	2	1
2014-03-30 07:29:39.055731	97616	18.8	1	1
2014-03-30 07:29:56.159346	97617	44	2	10
2014-03-30 07:29:56.384062	97618	19.8	1	10
2014-03-30 07:30:04.925539	97619	49	2	9
2014-03-30 07:30:05.159481	97620	19.0	1	9
2014-03-30 07:30:06.002651	97621	45	2	8
2014-03-30 07:30:06.225045	97622	19.9	1	8
2014-03-30 07:30:17.824756	97623	49	2	1
2014-03-30 07:30:18.05637	97624	18.8	1	1
2014-03-30 07:30:32.092074	97625	338	3	2
2014-03-30 07:30:32.315672	97626	1127330.568794542	4	2
2014-03-30 07:30:35.160947	97627	44	2	10
2014-03-30 07:30:35.404571	97628	19.8	1	10
2014-03-30 07:30:43.922691	97629	49	2	9
2014-03-30 07:30:44.145262	97630	19.0	1	9
2014-03-30 07:30:45.001862	97631	45	2	8
2014-03-30 07:30:45.234864	97632	19.9	1	8
2014-03-30 07:30:56.092513	97633	289	3	2
2014-03-30 07:30:56.315183	97634	1127332.8668639846	4	2
2014-03-30 07:30:56.826575	97635	49	2	1
2014-03-30 07:30:57.057275	97636	18.8	1	1
2014-03-30 07:31:08.089769	97637	305	3	2
2014-03-30 07:31:08.315412	97638	1127334.0158987062	4	2
2014-03-30 07:31:14.159634	97639	44	2	10
2014-03-30 07:31:14.393293	97640	19.8	1	10
2014-03-30 07:31:22.928527	97641	49	2	9
2014-03-30 07:31:23.14946	97642	19.0	1	9
2014-03-30 07:31:24.002224	97643	45	2	8
2014-03-30 07:31:24.233193	97644	19.9	1	8
2014-03-30 07:31:32.093713	97645	289	3	2
2014-03-30 07:31:32.317152	97646	1127336.313968149	4	2
2014-03-30 07:31:35.823693	97647	49	2	1
2014-03-30 07:31:36.057574	97648	18.8	1	1
2014-03-30 07:31:53.161802	97649	44	2	10
2014-03-30 07:31:53.388096	97650	19.8	1	10
2014-03-30 07:32:01.922592	97651	49	2	9
2014-03-30 07:32:02.156008	97652	19.0	1	9
2014-03-30 07:32:03.004194	97653	45	2	8
2014-03-30 07:32:03.226775	97654	19.9	1	8
2014-03-30 07:32:14.82385	97655	49	2	1
2014-03-30 07:32:15.060315	97656	18.8	1	1
2014-03-30 07:32:32.364415	97657	44	2	10
2014-03-30 07:32:32.586458	97658	19.8	1	10
2014-03-30 07:32:40.924658	97659	49	2	9
2014-03-30 07:32:41.15969	97660	19.0	1	9
2014-03-30 07:32:42.001356	97661	45	2	8
2014-03-30 07:32:42.224992	97662	19.9	1	8
2014-03-30 07:32:53.823093	97663	49	2	1
2014-03-30 07:32:54.054319	97664	18.8	1	1
2014-03-30 07:33:11.162179	97665	44	2	10
2014-03-30 07:33:11.385756	97666	19.8	1	10
2014-03-30 07:33:19.924488	97667	49	2	9
2014-03-30 07:33:20.156577	97668	19.0	1	9
2014-03-30 07:33:21.001326	97669	45	2	8
2014-03-30 07:33:21.223503	97670	19.9	1	8
2014-03-30 07:33:32.091323	97671	305	3	2
2014-03-30 07:33:32.325834	97672	1127345.5062459202	4	2
2014-03-30 07:33:32.82416	97673	49	2	1
2014-03-30 07:33:33.047252	97674	18.8	1	1
2014-03-30 07:33:50.16115	97675	44	2	10
2014-03-30 07:33:50.405165	97676	19.8	1	10
2014-03-30 07:33:58.922951	97677	49	2	9
2014-03-30 07:33:59.144224	97678	19.0	1	9
2014-03-30 07:34:00.000559	97679	45	2	8
2014-03-30 07:34:00.234631	97680	19.9	1	8
2014-03-30 07:34:11.820235	97681	49	2	1
2014-03-30 07:34:12.042609	97682	18.8	1	1
2014-03-30 07:34:20.091932	97683	354	3	2
2014-03-30 07:34:20.327109	97684	1127350.102384806	4	2
2014-03-30 07:34:29.162228	97685	44	2	10
2014-03-30 07:34:29.383791	97686	19.8	1	10
2014-03-30 07:34:32.092671	97687	370	3	2
2014-03-30 07:34:32.324858	97688	1127351.2514195275	4	2
2014-03-30 07:34:37.925113	97689	49	2	9
2014-03-30 07:34:38.149144	97690	19.0	1	9
2014-03-30 07:34:39.001545	97691	45	2	8
2014-03-30 07:34:39.234836	97692	19.9	1	8
2014-03-30 07:34:50.823548	97693	49	2	1
2014-03-30 07:34:51.045272	97694	18.8	1	1
2014-03-30 07:35:08.163719	97695	44	2	10
2014-03-30 07:35:08.397352	97696	19.8	1	10
2014-03-30 07:35:16.927722	97697	49	2	9
2014-03-30 07:35:17.149841	97698	19.0	1	9
2014-03-30 07:35:18.001271	97699	45	2	8
2014-03-30 07:35:18.23334	97700	19.9	1	8
2014-03-30 07:35:29.820557	97701	49	2	1
2014-03-30 07:35:30.043528	97702	18.8	1	1
2014-03-30 07:35:32.090786	97703	354	3	2
2014-03-30 07:35:32.323369	97704	1127356.9965931345	4	2
2014-03-30 07:35:47.163458	97705	44	2	10
2014-03-30 07:35:47.38695	97706	19.8	1	10
2014-03-30 07:35:55.923167	97707	49	2	9
2014-03-30 07:35:56.156679	97708	19.0	1	9
2014-03-30 07:35:57.003034	97709	45	2	8
2014-03-30 07:35:57.225318	97710	19.9	1	8
2014-03-30 07:36:08.823072	97711	49	2	1
2014-03-30 07:36:09.054194	97712	18.8	1	1
2014-03-30 07:36:26.163926	97713	44	2	10
2014-03-30 07:36:26.387888	97714	19.8	1	10
2014-03-30 07:36:32.093804	97715	354	3	2
2014-03-30 07:36:32.327467	97716	1127362.7417667415	4	2
2014-03-30 07:36:34.928297	97717	49	2	9
2014-03-30 07:36:35.150513	97718	19.0	1	9
2014-03-30 07:36:36.002079	97719	45	2	8
2014-03-30 07:36:36.233501	97720	19.9	1	8
2014-03-30 07:36:47.825695	97721	49	2	1
2014-03-30 07:36:48.048408	97722	18.8	1	1
2014-03-30 07:37:05.160208	97723	44	2	10
2014-03-30 07:37:05.405124	97724	19.8	1	10
2014-03-30 07:37:13.926567	97725	49	2	9
2014-03-30 07:37:14.149343	97726	19.0	1	9
2014-03-30 07:37:15.002868	97727	45	2	8
2014-03-30 07:37:15.236636	97728	19.9	1	8
2014-03-30 07:37:20.0917	97729	418	3	2
2014-03-30 07:37:20.315307	97730	1127368.4869403485	4	2
2014-03-30 07:37:26.82088	97731	49	2	1
2014-03-30 07:37:27.055255	97732	18.8	1	1
2014-03-30 07:37:32.089061	97733	402	3	2
2014-03-30 07:37:32.316283	97734	1127369.63597507	4	2
2014-03-30 07:37:44.163859	97735	44	2	10
2014-03-30 07:37:44.400764	97736	19.8	1	10
2014-03-30 07:37:52.923721	97737	49	2	9
2014-03-30 07:37:53.148794	97738	19.0	1	9
2014-03-30 07:37:54.001876	97739	45	2	8
2014-03-30 07:37:54.234626	97740	19.9	1	8
2014-03-30 07:38:05.820611	97741	49	2	1
2014-03-30 07:38:06.044294	97742	18.8	1	1
2014-03-30 07:38:23.163482	97743	44	2	10
2014-03-30 07:38:23.399241	97744	19.8	1	10
2014-03-30 07:38:31.926475	97745	49	2	9
2014-03-30 07:38:32.149445	97746	19.0	1	9
2014-03-30 07:38:33.000161	97747	45	2	8
2014-03-30 07:38:33.233067	97748	19.9	1	8
2014-03-30 07:38:44.822321	97749	49	2	1
2014-03-30 07:38:45.045638	97750	18.8	1	1
2014-03-30 07:39:02.164551	97751	44	2	10
2014-03-30 07:39:02.399992	97752	19.8	1	10
2014-03-30 07:39:10.92139	97753	49	2	9
2014-03-30 07:39:11.144112	97754	19.0	1	9
2014-03-30 07:39:12.001729	97755	45	2	8
2014-03-30 07:39:12.231668	97756	19.9	1	8
2014-03-30 07:39:23.818043	97757	49	2	1
2014-03-30 07:39:24.045739	97758	18.8	1	1
2014-03-30 07:39:32.092181	97759	418	3	2
2014-03-30 07:39:32.325975	97760	1127383.424391727	4	2
2014-03-30 07:39:41.164551	97761	44	2	10
2014-03-30 07:39:41.386605	97762	19.8	1	10
2014-03-30 07:39:49.923089	97763	49	2	9
2014-03-30 07:39:50.154355	97764	19.0	1	9
2014-03-30 07:39:51.000806	97765	45	2	8
2014-03-30 07:39:51.221501	97766	19.9	1	8
2014-03-30 07:40:02.820105	97767	49	2	1
2014-03-30 07:40:03.053057	97768	18.8	1	1
2014-03-30 07:40:20.165064	97769	44	2	10
2014-03-30 07:40:20.386233	97770	19.8	1	10
2014-03-30 07:40:28.925557	97771	49	2	9
2014-03-30 07:40:29.167665	97772	19.0	1	9
2014-03-30 07:40:29.999581	97773	45	2	8
2014-03-30 07:40:30.222714	97774	19.9	1	8
2014-03-30 07:40:32.093109	97775	418	3	2
2014-03-30 07:40:32.325877	97776	1127390.3186000555	4	2
2014-03-30 07:40:41.82009	97777	49	2	1
2014-03-30 07:40:42.043098	97778	18.8	1	1
2014-03-30 07:40:59.162481	97779	44	2	10
2014-03-30 07:40:59.395102	97780	19.8	1	10
2014-03-30 07:41:07.925559	97781	49	2	9
2014-03-30 07:41:08.149199	97782	19.0	1	9
2014-03-30 07:41:09.002704	97783	45	2	8
2014-03-30 07:41:09.235875	97784	19.9	1	8
2014-03-30 07:41:20.820717	97785	49	2	1
2014-03-30 07:41:21.044495	97786	18.8	1	1
2014-03-30 07:41:32.091981	97787	418	3	2
2014-03-30 07:41:32.325957	97788	1127397.2128083839	4	2
2014-03-30 07:41:38.165061	97789	44	2	10
2014-03-30 07:41:38.390022	97790	19.8	1	10
2014-03-30 07:41:46.929055	97791	49	2	9
2014-03-30 07:41:47.163288	97792	19.0	1	9
2014-03-30 07:41:48.002422	97793	45	2	8
2014-03-30 07:41:48.227548	97794	19.9	1	8
2014-03-30 07:41:59.817006	97795	49	2	1
2014-03-30 07:42:00.050887	97796	18.8	1	1
2014-03-30 07:42:17.164777	97797	44	2	10
2014-03-30 07:42:17.389183	97798	19.8	1	10
2014-03-30 07:42:25.925883	97799	49	2	9
2014-03-30 07:42:26.159585	97800	19.0	1	9
2014-03-30 07:42:27.003768	97801	45	2	8
2014-03-30 07:42:27.226261	97802	19.9	1	8
2014-03-30 07:42:32.090488	97803	418	3	2
2014-03-30 07:42:32.32173	97804	1127404.1070167124	4	2
2014-03-30 07:42:38.84577	97805	49	2	1
2014-03-30 07:42:39.072313	97806	18.8	1	1
2014-03-30 07:42:56.166155	97807	44	2	10
2014-03-30 07:42:56.398799	97808	19.8	1	10
2014-03-30 07:43:04.926623	97809	49	2	9
2014-03-30 07:43:05.153269	97810	19.0	1	9
2014-03-30 07:43:06.002472	97811	45	2	8
2014-03-30 07:43:06.241007	97812	19.9	1	8
2014-03-30 07:43:17.815245	97813	49	2	1
2014-03-30 07:43:18.03745	97814	18.8	1	1
2014-03-30 07:43:20.09478	97815	338	3	2
2014-03-30 07:43:20.328147	97816	1127409.8521903194	4	2
2014-03-30 07:43:32.094075	97817	354	3	2
2014-03-30 07:43:32.320693	97818	1127411.001225041	4	2
2014-03-30 07:43:35.165594	97819	44	2	10
2014-03-30 07:43:35.408734	97820	19.8	1	10
2014-03-30 07:43:43.923101	97821	49	2	9
2014-03-30 07:43:44.145049	97822	19.0	1	9
2014-03-30 07:43:45.001685	97823	45	2	8
2014-03-30 07:43:45.235461	97824	19.9	1	8
2014-03-30 07:43:56.819071	97825	49	2	1
2014-03-30 07:43:57.040361	97826	18.9	1	1
2014-03-30 07:44:14.164458	97827	44	2	10
2014-03-30 07:44:14.400417	97828	19.8	1	10
2014-03-30 07:44:22.927267	97829	49	2	9
2014-03-30 07:44:23.149569	97830	19.0	1	9
2014-03-30 07:44:24.000518	97831	45	2	8
2014-03-30 07:44:24.234272	97832	19.9	1	8
2014-03-30 07:44:32.091956	97833	354	3	2
2014-03-30 07:44:32.316808	97834	1127416.746398648	4	2
2014-03-30 07:44:35.814661	97835	49	2	1
2014-03-30 07:44:36.046933	97836	18.9	1	1
2014-03-30 07:44:53.166528	97837	44	2	10
2014-03-30 07:44:53.391099	97838	19.8	1	10
2014-03-30 07:45:01.922164	97839	49	2	9
2014-03-30 07:45:02.155535	97840	19.0	1	9
2014-03-30 07:45:03.002393	97841	45	2	8
2014-03-30 07:45:03.22458	97842	19.9	1	8
2014-03-30 07:45:14.819299	97843	49	2	1
2014-03-30 07:45:15.05445	97844	18.9	1	1
2014-03-30 07:45:32.369535	97845	44	2	10
2014-03-30 07:45:32.595123	97846	19.8	1	10
2014-03-30 07:45:40.926884	97847	49	2	9
2014-03-30 07:45:41.159139	97848	19.0	1	9
2014-03-30 07:45:42.001604	97849	45	2	8
2014-03-30 07:45:42.224366	97850	19.9	1	8
2014-03-30 07:45:53.815085	97851	50	2	1
2014-03-30 07:45:54.048834	97852	18.9	1	1
2014-03-30 07:46:11.167188	97853	44	2	10
2014-03-30 07:46:11.389376	97854	19.9	1	10
2014-03-30 07:46:19.924123	97855	49	2	9
2014-03-30 07:46:20.156012	97856	19.0	1	9
2014-03-30 07:46:21.001402	97857	45	2	8
2014-03-30 07:46:21.224094	97858	19.9	1	8
2014-03-30 07:46:32.092104	97859	354	3	2
2014-03-30 07:46:32.324442	97860	1127429.3857805836	4	2
2014-03-30 07:46:32.819482	97861	49	2	1
2014-03-30 07:46:33.03967	97862	19.0	1	1
2014-03-30 07:46:50.163156	97863	44	2	10
2014-03-30 07:46:50.394583	97864	19.9	1	10
2014-03-30 07:46:58.924397	97865	49	2	9
2014-03-30 07:46:59.148269	97866	19.0	1	9
2014-03-30 07:47:00.002279	97867	45	2	8
2014-03-30 07:47:00.244547	97868	19.9	1	8
2014-03-30 07:47:11.816696	97869	49	2	1
2014-03-30 07:47:12.041605	97870	19.0	1	1
2014-03-30 07:47:29.165752	97871	44	2	10
2014-03-30 07:47:29.399419	97872	19.9	1	10
2014-03-30 07:47:32.093617	97873	370	3	2
2014-03-30 07:47:32.316634	97874	1127435.1309541906	4	2
2014-03-30 07:47:37.930879	97875	49	2	9
2014-03-30 07:47:38.18581	97876	19.1	1	9
2014-03-30 07:47:39.003231	97877	45	2	8
2014-03-30 07:47:39.224796	97878	19.9	1	8
2014-03-30 07:47:50.859935	97879	49	2	1
2014-03-30 07:47:51.095623	97880	19.0	1	1
2014-03-30 07:48:08.158721	97881	44	2	10
2014-03-30 07:48:08.380969	97882	19.9	1	10
2014-03-30 07:48:16.926048	97883	49	2	9
2014-03-30 07:48:17.16006	97884	19.1	1	9
2014-03-30 07:48:18.001829	97885	45	2	8
2014-03-30 07:48:18.228511	97886	19.9	1	8
2014-03-30 07:48:29.812295	97887	49	2	1
2014-03-30 07:48:30.047843	97888	19.0	1	1
2014-03-30 07:48:32.094244	97889	354	3	2
2014-03-30 07:48:32.316795	97890	1127440.8761277976	4	2
2014-03-30 07:48:47.166186	97891	44	2	10
2014-03-30 07:48:47.399616	97892	20.0	1	10
2014-03-30 07:48:55.924057	97893	49	2	9
2014-03-30 07:48:56.149498	97894	19.1	1	9
2014-03-30 07:48:57.003131	97895	45	2	8
2014-03-30 07:48:57.237312	97896	19.9	1	8
2014-03-30 07:49:08.814329	97897	49	2	1
2014-03-30 07:49:09.037909	97898	19.1	1	1
2014-03-30 07:49:26.164168	97899	44	2	10
2014-03-30 07:49:26.397248	97900	20.0	1	10
2014-03-30 07:49:32.090511	97901	354	3	2
2014-03-30 07:49:32.315182	97902	1127446.621301405	4	2
2014-03-30 07:49:34.923471	97903	49	2	9
2014-03-30 07:49:35.157547	97904	19.1	1	9
2014-03-30 07:49:36.002611	97905	45	2	8
2014-03-30 07:49:36.226029	97906	19.9	1	8
2014-03-30 07:49:47.813488	97907	49	2	1
2014-03-30 07:49:48.084318	97908	19.1	1	1
2014-03-30 07:49:56.090065	97909	418	3	2
2014-03-30 07:49:56.3151	97910	1127448.9193708475	4	2
2014-03-30 07:50:05.164109	97911	44	2	10
2014-03-30 07:50:05.399136	97912	20.0	1	10
2014-03-30 07:50:08.091861	97913	402	3	2
2014-03-30 07:50:08.315861	97914	1127450.068405569	4	2
2014-03-30 07:50:13.922751	97915	49	2	9
2014-03-30 07:50:14.168792	97916	19.1	1	9
2014-03-30 07:50:15.000254	97917	44	2	8
2014-03-30 07:50:15.222063	97918	20.0	1	8
2014-03-30 07:50:26.81256	97919	49	2	1
2014-03-30 07:50:27.060046	97920	19.2	1	1
2014-03-30 07:50:32.088936	97921	418	3	2
2014-03-30 07:50:32.316145	97922	1127453.5155097332	4	2
2014-03-30 07:50:44.166254	97923	44	2	10
2014-03-30 07:50:44.39899	97924	20.0	1	10
2014-03-30 07:50:52.921818	97925	49	2	9
2014-03-30 07:50:53.145491	97926	19.1	1	9
2014-03-30 07:50:54.00016	97927	44	2	8
2014-03-30 07:50:54.232855	97928	20.0	1	8
2014-03-30 07:51:05.812207	97929	49	2	1
2014-03-30 07:51:06.035389	97930	19.2	1	1
2014-03-30 07:51:23.165664	97931	44	2	10
2014-03-30 07:51:23.400423	97932	20.0	1	10
2014-03-30 07:51:31.926132	97933	49	2	9
2014-03-30 07:51:32.169766	97934	19.1	1	9
2014-03-30 07:51:33.002023	97935	44	2	8
2014-03-30 07:51:33.235323	97936	20.0	1	8
2014-03-30 07:51:44.812416	97937	49	2	1
2014-03-30 07:51:45.035208	97938	19.2	1	1
2014-03-30 07:52:02.16516	97939	44	2	10
2014-03-30 07:52:02.402409	97940	20.1	1	10
2014-03-30 07:52:10.926806	97941	49	2	9
2014-03-30 07:52:11.150397	97942	19.1	1	9
2014-03-30 07:52:12.001437	97943	44	2	8
2014-03-30 07:52:12.233931	97944	20.0	1	8
2014-03-30 07:52:23.814382	97945	49	2	1
2014-03-30 07:52:24.039638	97946	19.3	1	1
2014-03-30 07:52:32.09302	97947	418	3	2
2014-03-30 07:52:32.32853	97948	1127467.3039263904	4	2
2014-03-30 07:52:41.164637	97949	44	2	10
2014-03-30 07:52:41.391677	97950	20.1	1	10
2014-03-30 07:52:49.928704	97951	49	2	9
2014-03-30 07:52:50.158969	97952	19.2	1	9
2014-03-30 07:52:51.001688	97953	44	2	8
2014-03-30 07:52:51.223727	97954	20.0	1	8
2014-03-30 07:53:02.813412	97955	49	2	1
2014-03-30 07:53:03.049632	97956	19.3	1	1
2014-03-30 07:53:20.165787	97957	44	2	10
2014-03-30 07:53:20.388933	97958	20.1	1	10
2014-03-30 07:53:28.924263	97959	49	2	9
2014-03-30 07:53:29.158471	97960	19.2	1	9
2014-03-30 07:53:30.002197	97961	44	2	8
2014-03-30 07:53:30.223563	97962	20.0	1	8
2014-03-30 07:53:32.09237	97963	402	3	2
2014-03-30 07:53:32.336645	97964	1127474.1981347187	4	2
2014-03-30 07:53:41.812187	97965	49	2	1
2014-03-30 07:53:42.036555	97966	19.4	1	1
2014-03-30 07:53:59.16827	97967	44	2	10
2014-03-30 07:53:59.39976	97968	20.1	1	10
2014-03-30 07:54:07.925442	97969	49	2	9
2014-03-30 07:54:08.150016	97970	19.2	1	9
2014-03-30 07:54:09.001021	97971	44	2	8
2014-03-30 07:54:09.236022	97972	20.0	1	8
2014-03-30 07:54:20.812155	97973	49	2	1
2014-03-30 07:54:21.034616	97974	19.4	1	1
2014-03-30 07:54:32.091242	97975	418	3	2
2014-03-30 07:54:32.324695	97976	1127481.0923430473	4	2
2014-03-30 07:54:38.166946	97977	44	2	10
2014-03-30 07:54:38.392332	97978	20.1	1	10
2014-03-30 07:54:46.920132	97979	49	2	9
2014-03-30 07:54:47.153467	97980	19.2	1	9
2014-03-30 07:54:48.002534	97981	44	2	8
2014-03-30 07:54:48.271943	97982	20.0	1	8
2014-03-30 07:54:59.809006	97983	49	2	1
2014-03-30 07:55:00.042585	97984	19.4	1	1
2014-03-30 07:55:17.168545	97985	44	2	10
2014-03-30 07:55:17.393504	97986	20.2	1	10
2014-03-30 07:55:20.090599	97987	354	3	2
2014-03-30 07:55:20.325193	97988	1127486.8375166543	4	2
2014-03-30 07:55:25.927316	97989	49	2	9
2014-03-30 07:55:26.150457	97990	19.2	1	9
2014-03-30 07:55:27.000813	97991	44	2	8
2014-03-30 07:55:27.233346	97992	20.0	1	8
2014-03-30 07:55:32.087663	97993	354	3	2
2014-03-30 07:55:32.309463	97994	1127487.9865513758	4	2
2014-03-30 07:55:38.812107	97995	49	2	1
2014-03-30 07:55:39.046451	97996	19.5	1	1
2014-03-30 07:55:56.169199	97997	44	2	10
2014-03-30 07:55:56.393317	97998	20.2	1	10
2014-03-30 07:56:04.923774	97999	49	2	9
2014-03-30 07:56:05.155415	98000	19.2	1	9
2014-03-30 07:56:06.000613	98001	44	2	8
2014-03-30 07:56:06.223383	98002	20.0	1	8
2014-03-30 07:56:17.80889	98003	49	2	1
2014-03-30 07:56:18.042327	98004	19.5	1	1
2014-03-30 07:56:32.092155	98005	354	3	2
2014-03-30 07:56:32.315281	98006	1127493.7317249828	4	2
2014-03-30 07:56:35.16887	98007	44	2	10
2014-03-30 07:56:35.400452	98008	20.2	1	10
2014-03-30 07:56:43.927067	98009	49	2	9
2014-03-30 07:56:44.150813	98010	19.3	1	9
2014-03-30 07:56:45.000813	98011	44	2	8
2014-03-30 07:56:45.243167	98012	20.0	1	8
2014-03-30 07:56:56.809373	98013	49	2	1
2014-03-30 07:56:57.030431	98014	19.5	1	1
2014-03-30 07:57:14.169493	98015	44	2	10
2014-03-30 07:57:14.403303	98016	20.2	1	10
2014-03-30 07:57:22.924309	98017	49	2	9
2014-03-30 07:57:23.147099	98018	19.3	1	9
2014-03-30 07:57:24.000451	98019	44	2	8
2014-03-30 07:57:24.232472	98020	20.0	1	8
2014-03-30 07:57:32.089785	98021	354	3	2
2014-03-30 07:57:32.31329	98022	1127498.3323348206	4	2
2014-03-30 07:57:53.166159	98023	44	2	10
2014-03-30 07:57:53.407757	98024	20.2	1	10
2014-03-30 07:58:01.923413	98025	49	2	9
2014-03-30 07:58:02.144837	98026	19.3	1	9
2014-03-30 07:58:03.000239	98027	44	2	8
2014-03-30 07:58:03.233306	98028	20.0	1	8
2014-03-30 07:58:14.809799	98029	49	2	1
2014-03-30 07:58:15.035752	98030	19.6	1	1
2014-03-30 07:58:32.37311	98031	44	2	10
2014-03-30 07:58:32.606335	98032	20.2	1	10
2014-03-30 07:58:40.928252	98033	49	2	9
2014-03-30 07:58:41.151737	98034	19.3	1	9
2014-03-30 07:58:42.002031	98035	44	2	8
2014-03-30 07:58:42.234596	98036	20.0	1	8
2014-03-30 07:58:53.809561	98037	49	2	1
2014-03-30 07:58:54.039241	98038	19.6	1	1
2014-03-30 07:59:11.169672	98039	44	2	10
2014-03-30 07:59:11.403316	98040	20.3	1	10
2014-03-30 07:59:19.921841	98041	49	2	9
2014-03-30 07:59:20.146414	98042	19.3	1	9
2014-03-30 07:59:21.000249	98043	44	2	8
2014-03-30 07:59:21.234356	98044	20.0	1	8
2014-03-30 07:59:32.809175	98045	49	2	1
2014-03-30 07:59:33.031595	98046	19.7	1	1
2014-03-30 07:59:50.167593	98047	44	2	10
2014-03-30 07:59:50.400653	98048	20.3	1	10
2014-03-30 07:59:58.926367	98049	49	2	9
2014-03-30 07:59:59.151567	98050	19.3	1	9
2014-03-30 08:00:00.000796	98051	44	2	8
2014-03-30 08:00:00.234602	98052	20.1	1	8
2014-03-30 08:00:11.805925	98053	49	2	1
2014-03-30 08:00:12.030611	98054	19.7	1	1
2014-03-30 08:00:29.171159	98055	44	2	10
2014-03-30 08:00:29.404142	98056	20.3	1	10
2014-03-30 08:00:32.089604	98057	354	3	2
2014-03-30 08:00:32.312049	98058	1127515.567855642	4	2
2014-03-30 08:00:37.923706	98059	49	2	9
2014-03-30 08:00:38.16717	98060	19.3	1	9
2014-03-30 08:00:39.000216	98061	44	2	8
2014-03-30 08:00:39.222631	98062	20.1	1	8
2014-03-30 08:00:50.806551	98063	49	2	1
2014-03-30 08:00:51.041333	98064	19.7	1	1
2014-03-30 08:01:08.16964	98065	44	2	10
2014-03-30 08:01:08.392418	98066	20.3	1	10
2014-03-30 08:01:16.922551	98067	49	2	9
2014-03-30 08:01:17.154322	98068	19.3	1	9
2014-03-30 08:01:17.99946	98069	44	2	8
2014-03-30 08:01:18.222608	98070	20.1	1	8
2014-03-30 08:01:29.80675	98071	49	2	1
2014-03-30 08:01:30.040432	98072	19.8	1	1
2014-03-30 08:01:44.092348	98073	418	3	2
2014-03-30 08:01:44.314853	98074	1127523.6110986918	4	2
2014-03-30 08:01:47.168879	98075	44	2	10
2014-03-30 08:01:47.402395	98076	20.3	1	10
2014-03-30 08:01:55.927063	98077	49	2	9
2014-03-30 08:01:56.14858	98078	19.4	1	9
2014-03-30 08:01:57.000881	98079	44	2	8
2014-03-30 08:01:57.233648	98080	20.1	1	8
2014-03-30 08:02:08.805765	98081	49	2	1
2014-03-30 08:02:09.028516	98082	19.8	1	1
2014-03-30 08:02:26.169818	98083	44	2	10
2014-03-30 08:02:26.404151	98084	20.3	1	10
2014-03-30 08:02:32.092102	98085	418	3	2
2014-03-30 08:02:32.315712	98086	1127529.3562722988	4	2
2014-03-30 08:02:34.922428	98087	49	2	9
2014-03-30 08:02:35.157419	98088	19.4	1	9
2014-03-30 08:02:36.002006	98089	44	2	8
2014-03-30 08:02:36.223277	98090	20.1	1	8
2014-03-30 08:02:47.802305	98091	49	2	1
2014-03-30 08:02:48.037352	98092	19.8	1	1
2014-03-30 08:03:05.170763	98093	44	2	10
2014-03-30 08:03:05.393545	98094	20.3	1	10
2014-03-30 08:03:13.923085	98095	49	2	9
2014-03-30 08:03:14.155965	98096	19.4	1	9
2014-03-30 08:03:15.001253	98097	44	2	8
2014-03-30 08:03:15.223554	98098	20.1	1	8
2014-03-30 08:03:26.803013	98099	49	2	1
2014-03-30 08:03:27.037067	98100	19.8	1	1
2014-03-30 08:03:32.092169	98101	402	3	2
2014-03-30 08:03:32.319259	98102	1127536.2504806274	4	2
2014-03-30 08:03:44.171415	98103	44	2	10
2014-03-30 08:03:44.403949	98104	20.3	1	10
2014-03-30 08:03:52.924931	98105	49	2	9
2014-03-30 08:03:53.147604	98106	19.4	1	9
2014-03-30 08:03:54.001893	98107	44	2	8
2014-03-30 08:03:54.244446	98108	20.1	1	8
2014-03-30 08:04:05.803539	98109	49	2	1
2014-03-30 08:04:06.026266	98110	19.8	1	1
2014-03-30 08:04:23.169433	98111	44	2	10
2014-03-30 08:04:23.587001	98112	20.3	1	10
2014-03-30 08:04:31.925259	98113	49	2	9
2014-03-30 08:04:32.15467	98114	19.4	1	9
2014-03-30 08:04:32.999528	98115	44	2	8
2014-03-30 08:04:33.221609	98116	20.1	1	8
2014-03-30 08:04:44.804656	98117	49	2	1
2014-03-30 08:04:45.034587	98118	19.9	1	1
2014-03-30 08:05:02.172029	98119	44	2	10
2014-03-30 08:05:02.393152	98120	20.4	1	10
2014-03-30 08:05:10.925188	98121	49	2	9
2014-03-30 08:05:11.158805	98122	19.4	1	9
2014-03-30 08:05:11.99985	98123	44	2	8
2014-03-30 08:05:12.219378	98124	20.1	1	8
2014-03-30 08:05:23.803598	98125	49	2	1
2014-03-30 08:05:24.0349	98126	19.9	1	1
2014-03-30 08:05:32.08826	98127	434	3	2
2014-03-30 08:05:32.312237	98128	1127550.0388972843	4	2
2014-03-30 08:05:41.169991	98129	44	2	10
2014-03-30 08:05:41.403309	98130	20.4	1	10
2014-03-30 08:05:49.921398	98131	49	2	9
2014-03-30 08:05:50.14359	98132	19.4	1	9
2014-03-30 08:05:50.999972	98133	44	2	8
2014-03-30 08:05:51.230356	98134	20.1	1	8
2014-03-30 08:06:02.804176	98135	49	2	1
2014-03-30 08:06:03.043675	98136	19.9	1	1
2014-03-30 08:06:20.170113	98137	44	2	10
2014-03-30 08:06:20.404152	98138	20.4	1	10
2014-03-30 08:06:28.927877	98139	49	2	9
2014-03-30 08:06:29.149762	98140	19.4	1	9
2014-03-30 08:06:29.999538	98141	44	2	8
2014-03-30 08:06:30.229586	98142	20.1	1	8
2014-03-30 08:06:32.090924	98143	498	3	2
2014-03-30 08:06:32.310608	98144	1127556.9331056129	4	2
2014-03-30 08:06:41.800763	98145	49	2	1
2014-03-30 08:06:42.03215	98146	19.9	1	1
2014-03-30 08:06:44.088004	98147	498	3	2
2014-03-30 08:06:44.30897	98148	1127559.2311750557	4	2
2014-03-30 08:06:59.170588	98149	44	2	10
2014-03-30 08:06:59.40234	98150	20.4	1	10
2014-03-30 08:07:07.925398	98151	49	2	9
2014-03-30 08:07:08.148076	98152	19.4	1	9
2014-03-30 08:07:09.001617	98153	44	2	8
2014-03-30 08:07:09.23061	98154	20.1	1	8
2014-03-30 08:07:20.803658	98155	49	2	1
2014-03-30 08:07:21.024564	98156	19.9	1	1
2014-03-30 08:07:38.173253	98157	44	2	10
2014-03-30 08:07:38.434823	98158	20.4	1	10
2014-03-30 08:07:46.922367	98159	49	2	9
2014-03-30 08:07:47.143139	98160	19.4	1	9
2014-03-30 08:07:47.999042	98161	44	2	8
2014-03-30 08:07:48.229277	98162	20.1	1	8
2014-03-30 08:07:59.802784	98163	48	2	1
2014-03-30 08:08:00.022697	98164	20.0	1	1
2014-03-30 08:08:08.088707	98165	450	3	2
2014-03-30 08:08:08.318617	98166	1127570.7215222698	4	2
2014-03-30 08:08:17.172295	98167	44	2	10
2014-03-30 08:08:17.394718	98168	20.4	1	10
2014-03-30 08:08:20.089384	98169	450	3	2
2014-03-30 08:08:20.321406	98170	1127571.8705569913	4	2
2014-03-30 08:08:25.920514	98171	49	2	9
2014-03-30 08:08:26.142763	98172	19.4	1	9
2014-03-30 08:08:26.999769	98173	44	2	8
2014-03-30 08:08:27.23278	98174	20.1	1	8
2014-03-30 08:08:32.0883	98175	450	3	2
2014-03-30 08:08:32.309668	98176	1127573.0195917126	4	2
2014-03-30 08:08:38.80438	98177	48	2	1
2014-03-30 08:08:39.055933	98178	20.0	1	1
2014-03-30 08:08:56.172047	98179	44	2	10
2014-03-30 08:08:56.395599	98180	20.4	1	10
2014-03-30 08:09:04.925077	98181	49	2	9
2014-03-30 08:09:05.15639	98182	19.4	1	9
2014-03-30 08:09:06.002928	98183	44	2	8
2014-03-30 08:09:06.225714	98184	20.1	1	8
2014-03-30 08:09:17.799449	98185	48	2	1
2014-03-30 08:09:18.033065	98186	20.0	1	1
2014-03-30 08:09:32.091743	98187	450	3	2
2014-03-30 08:09:32.314175	98188	1127581.0628347625	4	2
2014-03-30 08:09:35.170618	98189	44	2	10
2014-03-30 08:09:35.401189	98190	20.4	1	10
2014-03-30 08:09:43.92524	98191	49	2	9
2014-03-30 08:09:44.150452	98192	19.5	1	9
2014-03-30 08:09:44.999448	98193	44	2	8
2014-03-30 08:09:45.233133	98194	20.1	1	8
2014-03-30 08:09:56.800186	98195	48	2	1
2014-03-30 08:09:57.020771	98196	20.0	1	1
2014-03-30 08:10:14.172882	98197	44	2	10
2014-03-30 08:10:14.404743	98198	20.4	1	10
2014-03-30 08:10:22.924965	98199	49	2	9
2014-03-30 08:10:23.147009	98200	19.5	1	9
2014-03-30 08:10:23.998887	98201	44	2	8
2014-03-30 08:10:24.231124	98202	20.1	1	8
2014-03-30 08:10:32.088975	98203	434	3	2
2014-03-30 08:10:32.313018	98204	1127587.957043091	4	2
2014-03-30 08:10:35.800031	98205	48	2	1
2014-03-30 08:10:36.043971	98206	20.0	1	1
2014-03-30 08:10:53.173384	98207	44	2	10
2014-03-30 08:10:53.395053	98208	20.4	1	10
2014-03-30 08:11:01.924997	98209	49	2	9
2014-03-30 08:11:02.156372	98210	19.5	1	9
2014-03-30 08:11:02.999317	98211	44	2	8
2014-03-30 08:11:03.218214	98212	20.1	1	8
2014-03-30 08:11:14.847262	98213	48	2	1
2014-03-30 08:11:15.077294	98214	20.0	1	1
2014-03-30 08:11:32.37885	98215	44	2	10
2014-03-30 08:11:32.599478	98216	20.4	1	10
2014-03-30 08:11:40.91972	98217	49	2	9
2014-03-30 08:11:41.151941	98218	19.5	1	9
2014-03-30 08:11:41.999793	98219	44	2	8
2014-03-30 08:11:42.219658	98220	20.1	1	8
2014-03-30 08:11:53.798824	98221	48	2	1
2014-03-30 08:11:54.03755	98222	20.1	1	1
2014-03-30 08:12:11.170283	98223	44	2	10
2014-03-30 08:12:11.390519	98224	20.5	1	10
2014-03-30 08:12:19.925729	98225	49	2	9
2014-03-30 08:12:20.157422	98226	19.5	1	9
2014-03-30 08:12:21.000896	98227	44	2	8
2014-03-30 08:12:21.222247	98228	20.1	1	8
2014-03-30 08:12:32.088151	98229	434	3	2
2014-03-30 08:12:32.320294	98230	1127602.8944944695	4	2
2014-03-30 08:12:32.800344	98231	48	2	1
2014-03-30 08:12:33.023128	98232	20.1	1	1
2014-03-30 08:12:50.171621	98233	44	2	10
2014-03-30 08:12:50.407203	98234	20.5	1	10
2014-03-30 08:12:58.921134	98235	49	2	9
2014-03-30 08:12:59.142707	98236	19.5	1	9
2014-03-30 08:12:59.998191	98237	44	2	8
2014-03-30 08:13:00.228617	98238	20.2	1	8
2014-03-30 08:13:11.798657	98239	48	2	1
2014-03-30 08:13:12.021061	98240	20.1	1	1
2014-03-30 08:13:29.170651	98241	44	2	10
2014-03-30 08:13:29.401545	98242	20.5	1	10
2014-03-30 08:13:32.091756	98243	434	3	2
2014-03-30 08:13:32.314826	98244	1127609.7887027978	4	2
2014-03-30 08:13:37.923355	98245	49	2	9
2014-03-30 08:13:38.156329	98246	19.5	1	9
2014-03-30 08:13:38.999163	98247	44	2	8
2014-03-30 08:13:39.220595	98248	20.2	1	8
2014-03-30 08:13:50.798752	98249	48	2	1
2014-03-30 08:13:51.032891	98250	20.1	1	1
2014-03-30 08:14:08.17403	98251	44	2	10
2014-03-30 08:14:08.396555	98252	20.5	1	10
2014-03-30 08:14:16.922706	98253	49	2	9
2014-03-30 08:14:17.167246	98254	19.6	1	9
2014-03-30 08:14:17.999167	98255	44	2	8
2014-03-30 08:14:18.225321	98256	20.2	1	8
2014-03-30 08:14:29.797475	98257	48	2	1
2014-03-30 08:14:30.051141	98258	20.1	1	1
2014-03-30 08:14:32.089686	98259	434	3	2
2014-03-30 08:14:32.309694	98260	1127617.831945848	4	2
2014-03-30 08:14:44.088259	98261	482	3	2
2014-03-30 08:14:44.319322	98262	1127618.9809805693	4	2
2014-03-30 08:14:47.174082	98263	44	2	10
2014-03-30 08:14:47.394531	98264	20.5	1	10
2014-03-30 08:14:55.923104	98265	49	2	9
2014-03-30 08:14:56.155592	98266	19.6	1	9
2014-03-30 08:14:57.002745	98267	44	2	8
2014-03-30 08:14:57.222615	98268	20.2	1	8
2014-03-30 08:15:08.843679	98269	48	2	1
2014-03-30 08:15:09.076472	98270	20.1	1	1
2014-03-30 08:15:26.174814	98271	44	2	10
2014-03-30 08:15:26.396799	98272	20.5	1	10
2014-03-30 08:15:32.090249	98273	482	3	2
2014-03-30 08:15:32.323191	98274	1127625.8751888978	4	2
2014-03-30 08:15:34.920393	98275	49	2	9
2014-03-30 08:15:35.144666	98276	19.6	1	9
2014-03-30 08:15:36.000167	98277	44	2	8
2014-03-30 08:15:36.233177	98278	20.2	1	8
2014-03-30 08:15:47.795412	98279	48	2	1
2014-03-30 08:15:48.019362	98280	20.2	1	1
2014-03-30 08:16:05.173476	98281	44	2	10
2014-03-30 08:16:05.408691	98282	20.5	1	10
2014-03-30 08:16:13.927116	98283	49	2	9
2014-03-30 08:16:14.148887	98284	19.6	1	9
2014-03-30 08:16:14.999162	98285	44	2	8
2014-03-30 08:16:15.231203	98286	20.2	1	8
2014-03-30 08:16:26.796707	98287	48	2	1
2014-03-30 08:16:27.019435	98288	20.2	1	1
2014-03-30 08:16:32.090428	98289	482	3	2
2014-03-30 08:16:32.331934	98290	1127633.9184319477	4	2
2014-03-30 08:16:44.175459	98291	44	2	10
2014-03-30 08:16:44.40053	98292	20.5	1	10
2014-03-30 08:16:52.920556	98293	49	2	9
2014-03-30 08:16:53.153106	98294	19.6	1	9
2014-03-30 08:16:53.998734	98295	44	2	8
2014-03-30 08:16:54.220635	98296	20.2	1	8
2014-03-30 08:17:05.842841	98297	48	2	1
2014-03-30 08:17:06.076724	98298	20.2	1	1
2014-03-30 08:17:23.17452	98299	44	2	10
2014-03-30 08:17:23.396901	98300	20.5	1	10
2014-03-30 08:17:31.921994	98301	49	2	9
2014-03-30 08:17:32.185175	98302	19.6	1	9
2014-03-30 08:17:32.998934	98303	44	2	8
2014-03-30 08:17:33.218723	98304	20.2	1	8
2014-03-30 08:17:44.795463	98305	48	2	1
2014-03-30 08:17:45.030922	98306	20.2	1	1
2014-03-30 08:18:02.172315	98307	44	2	10
2014-03-30 08:18:02.394803	98308	20.5	1	10
2014-03-30 08:18:10.919743	98309	49	2	9
2014-03-30 08:18:11.153351	98310	19.6	1	9
2014-03-30 08:18:12.000463	98311	44	2	8
2014-03-30 08:18:12.221038	98312	20.2	1	8
2014-03-30 08:18:24.036425	98313	48	2	1
2014-03-30 08:18:24.268703	98314	20.2	1	1
2014-03-30 08:18:32.090481	98315	466	3	2
2014-03-30 08:18:32.31383	98316	1127650.0049180475	4	2
2014-03-30 08:18:41.172584	98317	44	2	10
2014-03-30 08:18:41.405566	98318	20.6	1	10
2014-03-30 08:18:49.925628	98319	49	2	9
2014-03-30 08:18:50.147855	98320	19.6	1	9
2014-03-30 08:18:51.000201	98321	44	2	8
2014-03-30 08:18:51.230968	98322	20.2	1	8
2014-03-30 08:19:02.844491	98323	48	2	1
2014-03-30 08:19:03.067351	98324	20.2	1	1
2014-03-30 08:19:20.174479	98325	44	2	10
2014-03-30 08:19:20.407296	98326	20.6	1	10
2014-03-30 08:19:28.924122	98327	49	2	9
2014-03-30 08:19:29.145648	98328	19.7	1	9
2014-03-30 08:19:29.999138	98329	44	2	8
2014-03-30 08:19:30.230003	98330	20.2	1	8
2014-03-30 08:19:32.088009	98331	482	3	2
2014-03-30 08:19:32.3088	98332	1127658.0481610973	4	2
2014-03-30 08:19:41.794612	98333	48	2	1
2014-03-30 08:19:42.027924	98334	20.2	1	1
2014-03-30 08:19:59.174706	98335	44	2	10
2014-03-30 08:19:59.396079	98336	20.6	1	10
2014-03-30 08:20:07.925822	98337	49	2	9
2014-03-30 08:20:08.160379	98338	19.7	1	9
2014-03-30 08:20:09.001314	98339	44	2	8
2014-03-30 08:20:09.242324	98340	20.2	1	8
2014-03-30 08:20:20.091839	98341	434	3	2
2014-03-30 08:20:20.325643	98342	1127663.7933347044	4	2
2014-03-30 08:20:20.79243	98343	48	2	1
2014-03-30 08:20:21.015025	98344	20.2	1	1
2014-03-30 08:20:32.092286	98345	434	3	2
2014-03-30 08:20:32.324452	98346	1127664.942369426	4	2
2014-03-30 08:20:38.175868	98347	44	2	10
2014-03-30 08:20:38.397465	98348	20.6	1	10
2014-03-30 08:20:46.920522	98349	49	2	9
2014-03-30 08:20:47.16486	98350	19.7	1	9
2014-03-30 08:20:47.999192	98351	45	2	8
2014-03-30 08:20:48.22267	98352	20.2	1	8
2014-03-30 08:20:59.840328	98353	48	2	1
2014-03-30 08:21:00.071655	98354	20.2	1	1
2014-03-30 08:21:17.175968	98355	44	2	10
2014-03-30 08:21:17.398838	98356	20.6	1	10
2014-03-30 08:21:25.92699	98357	49	2	9
2014-03-30 08:21:26.159162	98358	19.7	1	9
2014-03-30 08:21:27.000148	98359	45	2	8
2014-03-30 08:21:27.222829	98360	20.2	1	8
2014-03-30 08:21:32.088129	98361	354	3	2
2014-03-30 08:21:32.322745	98362	1127672.9856124758	4	2
2014-03-30 08:21:38.794773	98363	48	2	1
2014-03-30 08:21:39.016319	98364	20.3	1	1
2014-03-30 08:21:44.088832	98365	354	3	2
2014-03-30 08:21:44.324849	98366	1127674.134647197	4	2
2014-03-30 08:21:56.174247	98367	44	2	10
2014-03-30 08:21:56.399339	98368	20.6	1	10
2014-03-30 08:22:04.927806	98369	49	2	9
2014-03-30 08:22:05.15917	98370	19.7	1	9
2014-03-30 08:22:05.999196	98371	45	2	8
2014-03-30 08:22:06.220277	98372	20.2	1	8
2014-03-30 08:22:17.79377	98373	48	2	1
2014-03-30 08:22:18.026131	98374	20.3	1	1
2014-03-30 08:22:32.087712	98375	354	3	2
2014-03-30 08:22:32.310618	98376	1127678.7307860828	4	2
2014-03-30 08:22:35.177224	98377	44	2	10
2014-03-30 08:22:35.409245	98378	20.6	1	10
2014-03-30 08:22:43.924913	98379	49	2	9
2014-03-30 08:22:44.149235	98380	19.7	1	9
2014-03-30 08:22:45.000567	98381	45	2	8
2014-03-30 08:22:45.23083	98382	20.2	1	8
2014-03-30 08:22:56.792845	98383	48	2	1
2014-03-30 08:22:57.01451	98384	20.3	1	1
2014-03-30 08:23:14.176058	98385	44	2	10
2014-03-30 08:23:14.409723	98386	20.6	1	10
2014-03-30 08:23:22.924655	98387	49	2	9
2014-03-30 08:23:23.14659	98388	19.7	1	9
2014-03-30 08:23:23.999922	98389	45	2	8
2014-03-30 08:23:24.233759	98390	20.2	1	8
2014-03-30 08:23:32.088557	98391	354	3	2
2014-03-30 08:23:32.309564	98392	1127684.4759596898	4	2
2014-03-30 08:23:35.794445	98393	48	2	1
2014-03-30 08:23:36.027392	98394	20.3	1	1
2014-03-30 08:23:53.174075	98395	44	2	10
2014-03-30 08:23:53.397028	98396	20.6	1	10
2014-03-30 08:24:01.922666	98397	49	2	9
2014-03-30 08:24:02.166	98398	19.7	1	9
2014-03-30 08:24:02.999699	98399	45	2	8
2014-03-30 08:24:03.22017	98400	20.2	1	8
2014-03-30 08:24:14.79397	98401	48	2	1
2014-03-30 08:24:15.026284	98402	20.3	1	1
2014-03-30 08:24:32.381508	98403	44	2	10
2014-03-30 08:24:32.602941	98404	20.6	1	10
2014-03-30 08:24:40.922454	98405	49	2	9
2014-03-30 08:24:41.153512	98406	19.7	1	9
2014-03-30 08:24:41.999709	98407	45	2	8
2014-03-30 08:24:42.219443	98408	20.2	1	8
2014-03-30 08:24:53.793464	98409	48	2	1
2014-03-30 08:24:54.028541	98410	20.3	1	1
2014-03-30 08:25:11.185823	98411	44	2	10
2014-03-30 08:25:11.408012	98412	20.7	1	10
2014-03-30 08:25:19.927698	98413	49	2	9
2014-03-30 08:25:20.214981	98414	19.7	1	9
2014-03-30 08:25:21.000645	98415	45	2	8
2014-03-30 08:25:21.222321	98416	20.2	1	8
2014-03-30 08:25:32.602705	98417	354	3	2
2014-03-30 08:25:32.836543	98418	1127697.1153416254	4	2
2014-03-30 08:25:33.141706	98419	48	2	1
2014-03-30 08:25:33.363606	98420	20.3	1	1
2014-03-30 08:25:50.175007	98421	44	2	10
2014-03-30 08:25:50.407029	98422	20.7	1	10
2014-03-30 08:25:58.923529	98423	49	2	9
2014-03-30 08:25:59.146114	98424	19.7	1	9
2014-03-30 08:25:59.999322	98425	45	2	8
2014-03-30 08:26:00.233302	98426	20.2	1	8
2014-03-30 08:26:11.790634	98427	48	2	1
2014-03-30 08:26:12.016951	98428	20.4	1	1
2014-03-30 08:26:29.179604	98429	44	2	10
2014-03-30 08:26:29.41076	98430	20.7	1	10
2014-03-30 08:26:32.087046	98431	418	3	2
2014-03-30 08:26:32.308241	98432	1127702.8605152327	4	2
2014-03-30 08:26:37.923645	98433	49	2	9
2014-03-30 08:26:38.158914	98434	19.8	1	9
2014-03-30 08:26:39.000367	98435	45	2	8
2014-03-30 08:26:39.223179	98436	20.2	1	8
2014-03-30 08:26:44.086768	98437	418	3	2
2014-03-30 08:26:44.320163	98438	1127704.009549954	4	2
2014-03-30 08:26:51.029383	98439	48	2	1
2014-03-30 08:26:51.252968	98440	20.4	1	1
2014-03-30 08:27:08.178572	98441	44	2	10
2014-03-30 08:27:08.413177	98442	20.7	1	10
2014-03-30 08:27:16.920439	98443	49	2	9
2014-03-30 08:27:17.143126	98444	19.8	1	9
2014-03-30 08:27:17.999884	98445	45	2	8
2014-03-30 08:27:18.243581	98446	20.2	1	8
2014-03-30 08:27:29.791036	98447	48	2	1
2014-03-30 08:27:30.011309	98448	20.4	1	1
2014-03-30 08:27:32.086961	98449	418	3	2
2014-03-30 08:27:32.318255	98450	1127709.754723561	4	2
2014-03-30 08:27:47.177573	98451	44	2	10
2014-03-30 08:27:47.402902	98452	20.7	1	10
2014-03-30 08:27:55.923257	98453	49	2	9
2014-03-30 08:27:56.153378	98454	19.8	1	9
2014-03-30 08:27:56.999582	98455	45	2	8
2014-03-30 08:27:57.220169	98456	20.2	1	8
2014-03-30 08:28:08.790612	98457	48	2	1
2014-03-30 08:28:09.02368	98458	20.4	1	1
2014-03-30 08:28:26.177333	98459	44	2	10
2014-03-30 08:28:26.398224	98460	20.7	1	10
2014-03-30 08:28:32.087625	98461	418	3	2
2014-03-30 08:28:32.321141	98462	1127716.6489318896	4	2
2014-03-30 08:28:34.922566	98463	49	2	9
2014-03-30 08:28:35.14404	98464	19.8	1	9
2014-03-30 08:28:35.99953	98465	45	2	8
2014-03-30 08:28:36.22907	98466	20.2	1	8
2014-03-30 08:28:47.788711	98467	48	2	1
2014-03-30 08:28:48.068952	98468	20.4	1	1
2014-03-30 08:29:05.179575	98469	44	2	10
2014-03-30 08:29:05.447398	98470	20.7	1	10
2014-03-30 08:29:13.921078	98471	49	2	9
2014-03-30 08:29:14.182323	98472	19.8	1	9
2014-03-30 08:29:14.999003	98473	45	2	8
2014-03-30 08:29:15.284595	98474	20.2	1	8
2014-03-30 08:29:26.79035	98475	48	2	1
2014-03-30 08:29:27.048503	98476	20.4	1	1
2014-03-30 08:29:32.09104	98477	418	3	2
2014-03-30 08:29:32.344043	98478	1127723.5431402181	4	2
2014-03-30 08:29:44.177872	98479	44	2	10
2014-03-30 08:29:44.400146	98480	20.7	1	10
2014-03-30 08:29:52.921257	98481	49	2	9
2014-03-30 08:29:53.15302	98482	19.8	1	9
2014-03-30 08:29:53.999364	98483	45	2	8
2014-03-30 08:29:54.219975	98484	20.2	1	8
2014-03-30 08:30:05.790215	98485	48	2	1
2014-03-30 08:30:06.025308	98486	20.4	1	1
2014-03-30 08:30:23.178944	98487	44	2	10
2014-03-30 08:30:23.40162	98488	20.7	1	10
2014-03-30 08:30:31.927188	98489	49	2	9
2014-03-30 08:30:32.163159	98490	19.8	1	9
2014-03-30 08:30:33.00213	98491	45	2	8
2014-03-30 08:30:33.226093	98492	20.2	1	8
2014-03-30 08:30:44.788893	98493	48	2	1
2014-03-30 08:30:45.036259	98494	20.4	1	1
2014-03-30 08:31:02.179916	98495	44	2	10
2014-03-30 08:31:02.404288	98496	20.7	1	10
2014-03-30 08:31:10.920234	98497	49	2	9
2014-03-30 08:31:11.153949	98498	19.8	1	9
2014-03-30 08:31:12.001918	98499	45	2	8
2014-03-30 08:31:12.224196	98500	20.2	1	8
2014-03-30 08:31:23.787073	98501	48	2	1
2014-03-30 08:31:24.024198	98502	20.4	1	1
2014-03-30 08:31:32.092527	98503	418	3	2
2014-03-30 08:31:32.31459	98504	1127737.331556875	4	2
2014-03-30 08:31:41.179348	98505	44	2	10
2014-03-30 08:31:41.411304	98506	20.8	1	10
2014-03-30 08:31:49.921844	98507	49	2	9
2014-03-30 08:31:50.150913	98508	19.8	1	9
2014-03-30 08:31:51.000945	98509	45	2	8
2014-03-30 08:31:51.238953	98510	20.2	1	8
2014-03-30 08:32:02.787523	98511	48	2	1
2014-03-30 08:32:03.009334	98512	20.5	1	1
2014-03-30 08:32:20.386556	98513	44	2	10
2014-03-30 08:32:20.618854	98514	20.8	1	10
2014-03-30 08:32:28.925089	98515	49	2	9
2014-03-30 08:32:29.153491	98516	19.8	1	9
2014-03-30 08:32:30.000673	98517	45	2	8
2014-03-30 08:32:30.233947	98518	20.2	1	8
2014-03-30 08:32:32.090414	98519	354	3	2
2014-03-30 08:32:32.314494	98520	1127744.2257652036	4	2
2014-03-30 08:32:41.786431	98521	48	2	1
2014-03-30 08:32:42.019477	98522	20.5	1	1
2014-03-30 08:32:59.180074	98523	44	2	10
2014-03-30 08:32:59.40474	98524	20.8	1	10
2014-03-30 08:33:07.935127	98525	49	2	9
2014-03-30 08:33:08.168002	98526	19.8	1	9
2014-03-30 08:33:08.999641	98527	45	2	8
2014-03-30 08:33:09.221257	98528	20.2	1	8
2014-03-30 08:33:20.785375	98529	48	2	1
2014-03-30 08:33:21.022698	98530	20.5	1	1
2014-03-30 08:33:32.089674	98531	354	3	2
2014-03-30 08:33:32.318735	98532	1127749.9709388106	4	2
2014-03-30 08:33:38.180861	98533	44	2	10
2014-03-30 08:33:38.413573	98534	20.8	1	10
2014-03-30 08:33:46.919747	98535	49	2	9
2014-03-30 08:33:47.146731	98536	19.8	1	9
2014-03-30 08:33:48.000403	98537	45	2	8
2014-03-30 08:33:48.232628	98538	20.2	1	8
2014-03-30 08:33:59.78558	98539	48	2	1
2014-03-30 08:34:00.008912	98540	20.5	1	1
2014-03-30 08:34:17.182879	98541	44	2	10
2014-03-30 08:34:17.427148	98542	20.8	1	10
2014-03-30 08:34:25.91864	98543	49	2	9
2014-03-30 08:34:26.139361	98544	19.8	1	9
2014-03-30 08:34:26.999777	98545	45	2	8
2014-03-30 08:34:27.230591	98546	20.2	1	8
2014-03-30 08:34:32.089619	98547	354	3	2
2014-03-30 08:34:32.311149	98548	1127756.865147139	4	2
2014-03-30 08:34:38.784628	98549	48	2	1
2014-03-30 08:34:39.016139	98550	20.5	1	1
2014-03-30 08:34:56.179579	98551	44	2	10
2014-03-30 08:34:56.401222	98552	20.8	1	10
2014-03-30 08:35:04.923756	98553	49	2	9
2014-03-30 08:35:05.157892	98554	19.8	1	9
2014-03-30 08:35:05.999382	98555	45	2	8
2014-03-30 08:35:06.220249	98556	20.3	1	8
2014-03-30 08:35:17.785156	98557	48	2	1
2014-03-30 08:35:18.01584	98558	20.5	1	1
2014-03-30 08:35:32.091729	98559	354	3	2
2014-03-30 08:35:32.316286	98560	1127762.6103207462	4	2
2014-03-30 08:35:35.180672	98561	44	2	10
2014-03-30 08:35:35.411615	98562	20.8	1	10
2014-03-30 08:35:43.925686	98563	49	2	9
2014-03-30 08:35:44.150979	98564	19.8	1	9
2014-03-30 08:35:44.998891	98565	45	2	8
2014-03-30 08:35:45.23334	98566	20.3	1	8
2014-03-30 08:35:56.784618	98567	48	2	1
2014-03-30 08:35:57.007045	98568	20.5	1	1
2014-03-30 08:36:14.181869	98569	44	2	10
2014-03-30 08:36:14.61822	98570	20.8	1	10
2014-03-30 08:36:22.920036	98571	49	2	9
2014-03-30 08:36:23.144753	98572	19.8	1	9
2014-03-30 08:36:24.001747	98573	45	2	8
2014-03-30 08:36:24.233213	98574	20.3	1	8
2014-03-30 08:36:32.090431	98575	354	3	2
2014-03-30 08:36:32.313378	98576	1127768.3554943532	4	2
2014-03-30 08:36:35.78497	98577	48	2	1
2014-03-30 08:36:36.020164	98578	20.5	1	1
2014-03-30 08:36:53.183847	98579	44	2	10
2014-03-30 08:36:53.407721	98580	20.8	1	10
2014-03-30 08:37:01.922538	98581	49	2	9
2014-03-30 08:37:02.155889	98582	19.8	1	9
2014-03-30 08:37:03.003166	98583	45	2	8
2014-03-30 08:37:03.228729	98584	20.3	1	8
2014-03-30 08:37:14.784164	98585	48	2	1
2014-03-30 08:37:15.01771	98586	20.5	1	1
2014-03-30 08:37:32.38771	98587	44	2	10
2014-03-30 08:37:32.611749	98588	20.9	1	10
2014-03-30 08:37:40.921564	98589	49	2	9
2014-03-30 08:37:41.167928	98590	19.8	1	9
2014-03-30 08:37:41.999527	98591	45	2	8
2014-03-30 08:37:42.222391	98592	20.3	1	8
2014-03-30 08:37:53.783836	98593	48	2	1
2014-03-30 08:37:54.015144	98594	20.6	1	1
2014-03-30 08:38:11.179608	98595	44	2	10
2014-03-30 08:38:11.404097	98596	20.9	1	10
2014-03-30 08:38:19.922766	98597	49	2	9
2014-03-30 08:38:20.155639	98598	19.8	1	9
2014-03-30 08:38:21.001825	98599	45	2	8
2014-03-30 08:38:21.224303	98600	20.3	1	8
2014-03-30 08:38:32.08896	98601	354	3	2
2014-03-30 08:38:32.323768	98602	1127779.8458415673	4	2
2014-03-30 08:38:32.782685	98603	48	2	1
2014-03-30 08:38:33.005275	98604	20.6	1	1
2014-03-30 08:38:44.089695	98605	418	3	2
2014-03-30 08:38:44.320391	98606	1127780.9948762888	4	2
2014-03-30 08:38:50.183967	98607	44	2	10
2014-03-30 08:38:50.406356	98608	20.9	1	10
2014-03-30 08:38:56.087928	98609	418	3	2
2014-03-30 08:38:56.32248	98610	1127783.2929457317	4	2
2014-03-30 08:38:58.920803	98611	49	2	9
2014-03-30 08:38:59.143487	98612	19.8	1	9
2014-03-30 08:38:59.999016	98613	45	2	8
2014-03-30 08:39:00.22994	98614	20.3	1	8
2014-03-30 08:39:11.783777	98615	48	2	1
2014-03-30 08:39:12.006652	98616	20.6	1	1
2014-03-30 08:39:29.181191	98617	44	2	10
2014-03-30 08:39:29.41333	98618	20.9	1	10
2014-03-30 08:39:32.087179	98619	418	3	2
2014-03-30 08:39:32.309789	98620	1127786.7400498958	4	2
2014-03-30 08:39:38.998672	98621	45	2	8
2014-03-30 08:39:39.22996	98622	20.3	1	8
2014-03-30 08:39:50.831631	98623	48	2	1
2014-03-30 08:39:51.073783	98624	20.6	1	1
2014-03-30 08:39:56.088765	98625	466	3	2
2014-03-30 08:39:56.322776	98626	1127789.042590291	4	2
2014-03-30 08:40:08.386882	98627	44	2	10
2014-03-30 08:40:08.610654	98628	20.9	1	10
2014-03-30 08:40:17.99934	98629	45	2	8
2014-03-30 08:40:18.23151	98630	20.3	1	8
2014-03-30 08:40:29.783687	98631	48	2	1
2014-03-30 08:40:30.007502	98632	20.6	1	1
2014-03-30 08:40:44.09214	98633	531	3	2
2014-03-30 08:40:44.324863	98634	1127794.787763898	4	2
2014-03-30 08:40:47.181604	98635	44	2	10
2014-03-30 08:40:47.403479	98636	20.9	1	10
2014-03-30 08:40:56.999289	98637	45	2	8
2014-03-30 08:40:57.243562	98638	20.3	1	8
2014-03-30 08:41:09.01987	98639	48	2	1
2014-03-30 08:41:09.242333	98640	20.6	1	1
2014-03-30 08:41:26.181558	98641	44	2	10
2014-03-30 08:41:26.413659	98642	20.9	1	10
2014-03-30 08:41:36.000888	98643	45	2	8
2014-03-30 08:41:36.223203	98644	20.3	1	8
2014-03-30 08:41:47.781802	98645	48	2	1
2014-03-30 08:41:48.013401	98646	20.6	1	1
2014-03-30 08:42:05.182849	98647	44	2	10
2014-03-30 08:42:05.405112	98648	20.9	1	10
2014-03-30 08:42:14.999332	98649	45	2	8
2014-03-30 08:42:15.233557	98650	20.3	1	8
2014-03-30 08:42:26.780652	98651	48	2	1
2014-03-30 08:42:27.002339	98652	20.6	1	1
2014-03-30 08:42:44.388837	98653	44	2	10
2014-03-30 08:42:44.643642	98654	20.9	1	10
2014-03-30 08:42:52.914958	98655	49	2	9
2014-03-30 08:42:53.137655	98656	19.8	1	9
2014-03-30 08:42:53.99828	98657	45	2	8
2014-03-30 08:42:54.234098	98658	20.3	1	8
2014-03-30 08:42:56.087962	98659	1706	3	2
2014-03-30 08:42:56.313119	98660	1127820.0665277692	4	2
2014-03-30 08:43:05.780889	98661	48	2	1
2014-03-30 08:43:06.012661	98662	20.6	1	1
2014-03-30 08:43:23.18242	98663	44	2	10
2014-03-30 08:43:23.406371	98664	21.0	1	10
2014-03-30 08:43:31.919491	98665	49	2	9
2014-03-30 08:43:32.151818	98666	19.8	1	9
2014-03-30 08:43:32.998283	98667	45	2	8
2014-03-30 08:43:33.222656	98668	20.3	1	8
2014-03-30 08:43:44.828206	98669	48	2	1
2014-03-30 08:43:45.061811	98670	20.6	1	1
2014-03-30 08:44:02.185058	98671	44	2	10
2014-03-30 08:44:02.407944	98672	21.0	1	10
2014-03-30 08:44:08.087296	98673	547	3	2
2014-03-30 08:44:08.318824	98674	1127846.4943263617	4	2
2014-03-30 08:44:12.000055	98675	45	2	8
2014-03-30 08:44:12.219494	98676	20.3	1	8
2014-03-30 08:44:23.779141	98677	48	2	1
2014-03-30 08:44:24.012813	98678	20.7	1	1
2014-03-30 08:44:32.086741	98679	531	3	2
2014-03-30 08:44:32.309131	98680	1127855.6866041329	4	2
2014-03-30 08:44:41.183627	98681	44	2	10
2014-03-30 08:44:41.416333	98682	21.0	1	10
2014-03-30 08:44:44.085576	98683	498	3	2
2014-03-30 08:44:44.307552	98684	1127856.8356388544	4	2
2014-03-30 08:44:50.12256	98685	49	2	9
2014-03-30 08:44:50.366753	98686	19.9	1	9
2014-03-30 08:44:50.999876	98687	45	2	8
2014-03-30 08:44:51.221419	98688	20.3	1	8
2014-03-30 08:44:56.086533	98689	498	3	2
2014-03-30 08:44:56.317169	98690	1127859.1337082973	4	2
2014-03-30 08:45:02.779571	98691	48	2	1
2014-03-30 08:45:03.004781	98692	20.7	1	1
2014-03-30 08:45:20.391096	98693	44	2	10
2014-03-30 08:45:20.664726	98694	21.0	1	10
2014-03-30 08:45:28.925042	98695	49	2	9
2014-03-30 08:45:29.147174	98696	19.9	1	9
2014-03-30 08:45:29.998664	98697	45	2	8
2014-03-30 08:45:30.230849	98698	20.3	1	8
2014-03-30 08:45:41.781948	98699	48	2	1
2014-03-30 08:45:42.024088	98700	20.7	1	1
2014-03-30 08:45:44.085762	98701	482	3	2
2014-03-30 08:45:44.320474	98702	1127870.6240555113	4	2
2014-03-30 08:45:59.185226	98703	44	2	10
2014-03-30 08:45:59.40786	98704	21.0	1	10
2014-03-30 08:46:07.919407	98705	49	2	9
2014-03-30 08:46:08.152527	98706	19.9	1	9
2014-03-30 08:46:08.998782	98707	45	2	8
2014-03-30 08:46:09.223085	98708	20.3	1	8
2014-03-30 08:46:20.830948	98709	48	2	1
2014-03-30 08:46:21.063553	98710	20.7	1	1
2014-03-30 08:46:38.182198	98711	44	2	10
2014-03-30 08:46:38.404464	98712	21.0	1	10
2014-03-30 08:46:44.085665	98713	1674	3	2
2014-03-30 08:46:44.316855	98714	1127880.965368004	4	2
2014-03-30 08:46:46.935054	98715	49	2	9
2014-03-30 08:46:47.157305	98716	20.0	1	9
2014-03-30 08:46:48.00251	98717	45	2	8
2014-03-30 08:46:48.234169	98718	20.3	1	8
2014-03-30 08:46:56.088826	98719	498	3	2
2014-03-30 08:46:56.31153	98720	1127884.4124721684	4	2
2014-03-30 08:46:59.779126	98721	48	2	1
2014-03-30 08:47:00.014153	98722	20.7	1	1
2014-03-30 08:47:17.183246	98723	44	2	10
2014-03-30 08:47:17.406869	98724	21.0	1	10
2014-03-30 08:47:27.001217	98725	45	2	8
2014-03-30 08:47:27.235616	98726	20.3	1	8
2014-03-30 08:47:38.782638	98727	48	2	1
2014-03-30 08:47:39.007673	98728	20.8	1	1
2014-03-30 08:47:56.185029	98729	44	2	10
2014-03-30 08:47:56.416993	98730	21.0	1	10
2014-03-30 08:48:05.999147	98731	45	2	8
2014-03-30 08:48:06.224652	98732	20.3	1	8
2014-03-30 08:48:17.774125	98733	48	2	1
2014-03-30 08:48:18.018028	98734	20.8	1	1
2014-03-30 08:48:35.184545	98735	44	2	10
2014-03-30 08:48:35.408305	98736	21.0	1	10
2014-03-30 08:48:43.91666	98737	49	2	9
2014-03-30 08:48:44.15254	98738	20.0	1	9
2014-03-30 08:48:44.999537	98739	45	2	8
2014-03-30 08:48:45.220785	98740	20.3	1	8
2014-03-30 08:48:56.08823	98741	1818	3	2
2014-03-30 08:48:56.320588	98742	1127905.095097154	4	2
2014-03-30 08:48:57.015223	98743	48	2	1
2014-03-30 08:48:57.235178	98744	20.8	1	1
2014-03-30 08:49:08.089009	98745	611	3	2
2014-03-30 08:49:08.320906	98746	1127908.542201318	4	2
2014-03-30 08:49:14.186318	98747	44	2	10
2014-03-30 08:49:14.409367	98748	21.0	1	10
2014-03-30 08:49:20.085402	98749	611	3	2
2014-03-30 08:49:20.317411	98750	1127910.840270761	4	2
2014-03-30 08:49:23.999527	98751	45	2	8
2014-03-30 08:49:24.221979	98752	20.3	1	8
2014-03-30 08:49:32.087917	98753	611	3	2
2014-03-30 08:49:32.32072	98754	1127913.1383402038	4	2
2014-03-30 08:49:35.775159	98755	48	2	1
2014-03-30 08:49:35.996434	98756	20.8	1	1
2014-03-30 08:49:53.185534	98757	44	2	10
2014-03-30 08:49:53.416913	98758	21.1	1	10
2014-03-30 08:50:02.999441	98759	45	2	8
2014-03-30 08:50:03.222857	98760	20.3	1	8
2014-03-30 08:50:14.763956	98761	48	2	1
2014-03-30 08:50:14.998162	98762	20.8	1	1
2014-03-30 08:50:32.390756	98763	44	2	10
2014-03-30 08:50:32.615744	98764	21.1	1	10
2014-03-30 08:50:41.998115	98765	46	2	8
2014-03-30 08:50:42.231913	98766	20.4	1	8
2014-03-30 08:51:11.189747	98767	44	2	10
2014-03-30 08:51:11.414348	98768	21.1	1	10
2014-03-30 08:51:19.922858	98769	49	2	9
2014-03-30 08:51:20.156997	98770	20.1	1	9
2014-03-30 08:51:21.011529	98771	47	2	8
2014-03-30 08:51:21.236455	98772	20.4	1	8
2014-03-30 08:51:50.187787	98773	44	2	10
2014-03-30 08:51:50.420821	98774	21.1	1	10
2014-03-30 08:52:00.002188	98775	49	2	8
2014-03-30 08:52:00.225044	98776	20.5	1	8
2014-03-30 08:52:12.015728	98777	48	2	1
2014-03-30 08:52:12.247909	98778	20.8	1	1
2014-03-30 08:52:29.187826	98779	44	2	10
2014-03-30 08:52:29.413071	98780	21.1	1	10
2014-03-30 08:52:39.001737	98781	50	2	8
2014-03-30 08:52:39.245821	98782	20.7	1	8
2014-03-30 08:52:50.76178	98783	48	2	1
2014-03-30 08:52:50.985367	98784	20.8	1	1
2014-03-30 08:53:08.191104	98785	44	2	10
2014-03-30 08:53:08.423461	98786	21.1	1	10
2014-03-30 08:53:18.001041	98787	52	2	8
2014-03-30 08:53:18.226054	98788	20.9	1	8
2014-03-30 08:53:29.774754	98789	48	2	1
2014-03-30 08:53:30.008755	98790	20.8	1	1
2014-03-30 08:53:47.18665	98791	44	2	10
2014-03-30 08:53:47.412671	98792	21.1	1	10
2014-03-30 08:53:57.000637	98793	54	2	8
2014-03-30 08:53:57.234076	98794	21.1	1	8
2014-03-30 08:54:09.013861	98795	48	2	1
2014-03-30 08:54:09.238632	98796	20.8	1	1
2014-03-30 08:54:26.186103	98797	44	2	10
2014-03-30 08:54:26.420703	98798	21.1	1	10
2014-03-30 08:54:35.999748	98799	57	2	8
2014-03-30 08:54:36.223493	98800	21.4	1	8
2014-03-30 08:54:47.772911	98801	48	2	1
2014-03-30 08:54:48.039212	98802	20.8	1	1
2014-03-30 08:55:05.185181	98803	44	2	10
2014-03-30 08:55:05.462577	98804	21.2	1	10
2014-03-30 08:55:15.002186	98805	60	2	8
2014-03-30 08:55:15.437613	98806	21.6	1	8
2014-03-30 08:55:26.772811	98807	48	2	1
2014-03-30 08:55:27.06732	98808	20.8	1	1
2014-03-30 08:55:44.189403	98809	44	2	10
2014-03-30 08:55:44.623954	98810	21.2	1	10
2014-03-30 08:55:53.113967	98811	49	2	9
2014-03-30 08:55:53.33655	98812	20.3	1	9
2014-03-30 08:55:54.002029	98813	63	2	8
2014-03-30 08:55:54.233443	98814	21.9	1	8
2014-03-30 08:56:05.772078	98815	48	2	1
2014-03-30 08:56:05.995975	98816	20.8	1	1
2014-03-30 08:56:23.189506	98817	44	2	10
2014-03-30 08:56:23.420778	98818	21.2	1	10
2014-03-30 08:56:33.001162	98819	64	2	8
2014-03-30 08:56:33.223621	98820	22.2	1	8
2014-03-30 08:57:02.188806	98821	44	2	10
2014-03-30 08:57:02.421797	98822	21.2	1	10
2014-03-30 08:57:08.085636	98823	595	3	2
2014-03-30 08:57:08.311529	98824	1128001.6140137527	4	2
2014-03-30 08:57:12.001103	98825	65	2	8
2014-03-30 08:57:12.232828	98826	22.4	1	8
2014-03-30 08:57:41.18847	98827	44	2	10
2014-03-30 08:57:41.415395	98828	21.2	1	10
2014-03-30 08:57:50.105321	98829	49	2	9
2014-03-30 08:57:50.406608	98830	20.3	1	9
2014-03-30 08:57:51.001058	98831	66	2	8
2014-03-30 08:57:51.223336	98832	22.7	1	8
2014-03-30 08:58:02.772629	98833	48	2	1
2014-03-30 08:58:03.007634	98834	20.8	1	1
2014-03-30 08:58:20.18955	98835	44	2	10
2014-03-30 08:58:20.412699	98836	21.2	1	10
2014-03-30 08:58:28.920456	98837	49	2	9
2014-03-30 08:58:29.153622	98838	20.3	1	9
2014-03-30 08:58:30.002351	98839	67	2	8
2014-03-30 08:58:30.226678	98840	22.9	1	8
2014-03-30 08:58:59.192366	98841	44	2	10
2014-03-30 08:58:59.42556	98842	21.2	1	10
2014-03-30 08:59:08.119877	98843	49	2	9
2014-03-30 08:59:08.344058	98844	20.3	1	9
2014-03-30 08:59:08.999997	98845	67	2	8
2014-03-30 08:59:09.23285	98846	23.1	1	8
2014-03-30 08:59:38.190284	98847	44	2	10
2014-03-30 08:59:38.415937	98848	21.2	1	10
2014-03-30 08:59:46.924679	98849	49	2	9
2014-03-30 08:59:47.15724	98850	20.3	1	9
2014-03-30 08:59:48.000041	98851	67	2	8
2014-03-30 08:59:48.221574	98852	23.2	1	8
2014-03-30 08:59:59.774372	98853	48	2	1
2014-03-30 09:00:00.006283	98854	20.7	1	1
2014-03-30 09:00:17.190819	98855	44	2	10
2014-03-30 09:00:17.416131	98856	21.2	1	10
2014-03-30 09:00:27.001742	98857	68	2	8
2014-03-30 09:00:27.235004	98858	23.4	1	8
2014-03-30 09:00:38.770105	98859	48	2	1
2014-03-30 09:00:38.993993	98860	20.7	1	1
2014-03-30 09:00:56.39434	98861	44	2	10
2014-03-30 09:00:56.630244	98862	21.2	1	10
2014-03-30 09:01:05.99949	98863	67	2	8
2014-03-30 09:01:06.22376	98864	23.4	1	8
2014-03-30 09:01:17.768643	98865	48	2	1
2014-03-30 09:01:18.002214	98866	20.7	1	1
2014-03-30 09:01:32.085967	98867	547	3	2
2014-03-30 09:01:32.310765	98868	1128048.7244373306	4	2
2014-03-30 09:01:35.1923	98869	44	2	10
2014-03-30 09:01:35.424379	98870	21.3	1	10
2014-03-30 09:01:45.000002	98871	67	2	8
2014-03-30 09:01:45.223953	98872	23.4	1	8
2014-03-30 09:01:56.772743	98873	48	2	1
2014-03-30 09:01:57.006559	98874	20.7	1	1
2014-03-30 09:02:14.190091	98875	44	2	10
2014-03-30 09:02:14.414283	98876	21.3	1	10
2014-03-30 09:02:24.000019	98877	66	2	8
2014-03-30 09:02:24.244611	98878	23.2	1	8
2014-03-30 09:02:35.766486	98879	48	2	1
2014-03-30 09:02:35.990539	98880	20.7	1	1
2014-03-30 09:02:53.189064	98881	44	2	10
2014-03-30 09:02:53.421556	98882	21.3	1	10
2014-03-30 09:02:56.087101	98883	482	3	2
2014-03-30 09:02:56.310217	98884	1128061.3638192662	4	2
2014-03-30 09:03:02.128875	98885	49	2	9
2014-03-30 09:03:02.363744	98886	20.4	1	9
2014-03-30 09:03:03.001946	98887	66	2	8
2014-03-30 09:03:03.223675	98888	23.1	1	8
2014-03-30 09:03:14.774394	98889	48	2	1
2014-03-30 09:03:15.008278	98890	20.7	1	1
2014-03-30 09:03:32.39363	98891	44	2	10
2014-03-30 09:03:32.615585	98892	21.3	1	10
2014-03-30 09:03:40.92829	98893	49	2	9
2014-03-30 09:03:41.163756	98894	20.4	1	9
2014-03-30 09:03:42.000485	98895	65	2	8
2014-03-30 09:03:42.225522	98896	23.0	1	8
2014-03-30 09:04:11.19219	98897	44	2	10
2014-03-30 09:04:11.426885	98898	21.3	1	10
2014-03-30 09:04:19.922808	98899	49	2	9
2014-03-30 09:04:20.145582	98900	20.4	1	9
2014-03-30 09:04:20.998995	98901	65	2	8
2014-03-30 09:04:21.260376	98902	22.8	1	8
2014-03-30 09:04:32.085114	98903	498	3	2
2014-03-30 09:04:32.309621	98904	1128075.1522359233	4	2
2014-03-30 09:04:32.76568	98905	48	2	1
2014-03-30 09:04:32.996027	98906	20.7	1	1
2014-03-30 09:04:50.191898	98907	44	2	10
2014-03-30 09:04:50.473967	98908	21.3	1	10
2014-03-30 09:04:59.129955	98909	49	2	9
2014-03-30 09:04:59.36312	98910	20.4	1	9
2014-03-30 09:05:00.000612	98911	65	2	8
2014-03-30 09:05:00.222601	98912	22.6	1	8
2014-03-30 09:05:20.084053	98913	1674	3	2
2014-03-30 09:05:20.31775	98914	1128085.4980193682	4	2
2014-03-30 09:05:29.192843	98915	44	2	10
2014-03-30 09:05:29.41655	98916	21.3	1	10
2014-03-30 09:05:32.08772	98917	676	3	2
2014-03-30 09:05:32.320457	98918	1128086.6470540897	4	2
2014-03-30 09:05:37.926874	98919	49	2	9
2014-03-30 09:05:38.151241	98920	20.4	1	9
2014-03-30 09:05:38.999309	98921	65	2	8
2014-03-30 09:05:39.23164	98922	22.5	1	8
2014-03-30 09:05:44.086584	98923	595	3	2
2014-03-30 09:05:44.307919	98924	1128088.9451235323	4	2
2014-03-30 09:05:50.763043	98925	48	2	1
2014-03-30 09:05:51.006811	98926	20.7	1	1
2014-03-30 09:05:56.085815	98927	595	3	2
2014-03-30 09:05:56.309397	98928	1128091.2431929752	4	2
2014-03-30 09:06:08.194795	98929	44	2	10
2014-03-30 09:06:08.612978	98930	21.3	1	10
2014-03-30 09:06:16.920896	98931	49	2	9
2014-03-30 09:06:17.15096	98932	20.4	1	9
2014-03-30 09:06:18.001212	98933	64	2	8
2014-03-30 09:06:18.224333	98934	22.3	1	8
2014-03-30 09:06:30.003543	98935	48	2	1
2014-03-30 09:06:30.235358	98936	20.7	1	1
2014-03-30 09:06:47.190179	98937	44	2	10
2014-03-30 09:06:47.41306	98938	21.3	1	10
2014-03-30 09:06:56.999871	98939	64	2	8
2014-03-30 09:06:57.23252	98940	22.2	1	8
2014-03-30 09:07:08.767039	98941	48	2	1
2014-03-30 09:07:09.011093	98942	20.7	1	1
2014-03-30 09:07:26.194114	98943	44	2	10
2014-03-30 09:07:26.43352	98944	21.4	1	10
2014-03-30 09:07:36.00173	98945	63	2	8
2014-03-30 09:07:36.224497	98946	22.1	1	8
2014-03-30 09:07:48.007128	98947	48	2	1
2014-03-30 09:07:48.241854	98948	20.7	1	1
2014-03-30 09:08:05.191881	98949	44	2	10
2014-03-30 09:08:05.414466	98950	21.4	1	10
2014-03-30 09:08:13.927716	98951	49	2	9
2014-03-30 09:08:14.160331	98952	20.5	1	9
2014-03-30 09:08:15.001262	98953	63	2	8
2014-03-30 09:08:15.223879	98954	21.9	1	8
2014-03-30 09:08:26.768774	98955	48	2	1
2014-03-30 09:08:27.006416	98956	20.7	1	1
2014-03-30 09:08:32.090137	98957	579	3	2
2014-03-30 09:08:32.316066	98958	1128116.5219568464	4	2
2014-03-30 09:08:44.193593	98959	44	2	10
2014-03-30 09:08:44.42653	98960	21.4	1	10
2014-03-30 09:08:52.925857	98961	49	2	9
2014-03-30 09:08:53.151222	98962	20.5	1	9
2014-03-30 09:08:54.001709	98963	62	2	8
2014-03-30 09:08:54.237484	98964	21.8	1	8
2014-03-30 09:09:05.771066	98965	48	2	1
2014-03-30 09:09:05.994954	98966	20.7	1	1
2014-03-30 09:09:20.086758	98967	531	3	2
2014-03-30 09:09:20.319711	98968	1128124.5651998962	4	2
2014-03-30 09:09:23.193453	98969	44	2	10
2014-03-30 09:09:23.416629	98970	21.4	1	10
2014-03-30 09:09:31.927485	98971	49	2	9
2014-03-30 09:09:32.163751	98972	20.5	1	9
2014-03-30 09:09:33.000417	98973	62	2	8
2014-03-30 09:09:33.225476	98974	21.7	1	8
2014-03-30 09:09:44.813718	98975	48	2	1
2014-03-30 09:09:45.055681	98976	20.7	1	1
2014-03-30 09:10:02.192943	98977	44	2	10
2014-03-30 09:10:02.416336	98978	21.4	1	10
2014-03-30 09:10:10.928715	98979	49	2	9
2014-03-30 09:10:11.159919	98980	20.5	1	9
2014-03-30 09:10:11.998985	98981	62	2	8
2014-03-30 09:10:12.218552	98982	21.7	1	8
2014-03-30 09:10:23.768604	98983	48	2	1
2014-03-30 09:10:24.001695	98984	20.7	1	1
2014-03-30 09:10:32.08479	98985	515	3	2
2014-03-30 09:10:32.305959	98986	1128138.3536165534	4	2
2014-03-30 09:10:41.193995	98987	44	2	10
2014-03-30 09:10:41.428474	98988	21.4	1	10
2014-03-30 09:10:49.929208	98989	49	2	9
2014-03-30 09:10:50.150776	98990	20.5	1	9
2014-03-30 09:10:50.998488	98991	62	2	8
2014-03-30 09:10:51.231579	98992	21.6	1	8
2014-03-30 09:11:02.763861	98993	48	2	1
2014-03-30 09:11:02.985144	98994	20.7	1	1
2014-03-30 09:11:20.192193	98995	44	2	10
2014-03-30 09:11:20.423467	98996	21.4	1	10
2014-03-30 09:11:28.926316	98997	49	2	9
2014-03-30 09:11:29.146452	98998	20.5	1	9
2014-03-30 09:11:29.997885	98999	61	2	8
2014-03-30 09:11:30.229718	99000	21.6	1	8
2014-03-30 09:11:32.085362	99001	515	3	2
2014-03-30 09:11:32.306238	99002	1128146.3968596032	4	2
2014-03-30 09:11:41.765265	99003	48	2	1
2014-03-30 09:11:41.99791	99004	20.7	1	1
2014-03-30 09:11:59.191411	99005	44	2	10
2014-03-30 09:11:59.413999	99006	21.4	1	10
2014-03-30 09:12:07.926242	99007	49	2	9
2014-03-30 09:12:08.158512	99008	20.5	1	9
2014-03-30 09:12:09.203677	99009	61	2	8
2014-03-30 09:12:09.425932	99010	21.5	1	8
2014-03-30 09:12:20.813412	99011	48	2	1
2014-03-30 09:12:21.046577	99012	20.7	1	1
2014-03-30 09:12:32.084876	99013	531	3	2
2014-03-30 09:12:32.308719	99014	1128155.5891373744	4	2
2014-03-30 09:12:38.193839	99015	44	2	10
2014-03-30 09:12:38.453661	99016	21.4	1	10
2014-03-30 09:12:46.928467	99017	49	2	9
2014-03-30 09:12:47.151742	99018	20.5	1	9
2014-03-30 09:12:48.000054	99019	60	2	8
2014-03-30 09:12:48.23135	99020	21.4	1	8
2014-03-30 09:12:59.764907	99021	48	2	1
2014-03-30 09:12:59.988931	99022	20.7	1	1
2014-03-30 09:13:17.194492	99023	44	2	10
2014-03-30 09:13:17.438825	99024	21.4	1	10
2014-03-30 09:13:25.933923	99025	49	2	9
2014-03-30 09:13:26.154933	99026	20.5	1	9
2014-03-30 09:13:27.000144	99027	60	2	8
2014-03-30 09:13:27.230968	99028	21.4	1	8
2014-03-30 09:13:32.087067	99029	515	3	2
2014-03-30 09:13:32.314207	99030	1128163.6323804243	4	2
2014-03-30 09:13:38.766482	99031	48	2	1
2014-03-30 09:13:39.001878	99032	20.7	1	1
2014-03-30 09:13:56.194019	99033	44	2	10
2014-03-30 09:13:56.417356	99034	21.5	1	10
2014-03-30 09:14:04.927961	99035	49	2	9
2014-03-30 09:14:05.163023	99036	20.5	1	9
2014-03-30 09:14:06.001105	99037	60	2	8
2014-03-30 09:14:06.224023	99038	21.3	1	8
2014-03-30 09:14:17.76285	99039	48	2	1
2014-03-30 09:14:17.996605	99040	20.6	1	1
2014-03-30 09:14:34.99682	99041	515	3	2
2014-03-30 09:14:35.222812	99042	1128172.8246581957	4	2
2014-03-30 09:14:35.52776	99043	44	2	10
2014-03-30 09:14:35.759972	99044	21.5	1	10
2014-03-30 09:14:43.927909	99045	49	2	9
2014-03-30 09:14:44.154133	99046	20.5	1	9
2014-03-30 09:14:45.000579	99047	60	2	8
2014-03-30 09:14:45.23534	99048	21.3	1	8
2014-03-30 09:14:56.082578	99049	515	3	2
2014-03-30 09:14:56.308521	99050	1128179.7188665243	4	2
2014-03-30 09:14:56.762843	99051	48	2	1
2014-03-30 09:14:56.994683	99052	20.6	1	1
2014-03-30 09:15:08.085223	99053	515	3	2
2014-03-30 09:15:08.311706	99054	1128180.8679012456	4	2
2014-03-30 09:15:14.191831	99055	44	2	10
2014-03-30 09:15:14.426983	99056	21.5	1	10
2014-03-30 09:15:22.930483	99057	49	2	9
2014-03-30 09:15:23.155751	99058	20.5	1	9
2014-03-30 09:15:24.000128	99059	59	2	8
2014-03-30 09:15:24.233934	99060	21.3	1	8
2014-03-30 09:15:32.085717	99061	515	3	2
2014-03-30 09:15:32.312648	99062	1128184.3150054098	4	2
2014-03-30 09:15:35.760795	99063	48	2	1
2014-03-30 09:15:35.995541	99064	20.6	1	1
2014-03-30 09:15:53.193038	99065	44	2	10
2014-03-30 09:15:53.417743	99066	21.5	1	10
2014-03-30 09:15:56.083423	99067	579	3	2
2014-03-30 09:15:56.315383	99068	1128187.7621095742	4	2
2014-03-30 09:16:01.934721	99069	49	2	9
2014-03-30 09:16:02.160528	99070	20.5	1	9
2014-03-30 09:16:02.999803	99071	59	2	8
2014-03-30 09:16:03.243125	99072	21.2	1	8
2014-03-30 09:16:08.087028	99073	579	3	2
2014-03-30 09:16:08.308923	99074	1128190.060179017	4	2
2014-03-30 09:16:14.759777	99075	48	2	1
2014-03-30 09:16:14.992395	99076	20.6	1	1
2014-03-30 09:16:32.397785	99077	44	2	10
2014-03-30 09:16:32.622884	99078	21.5	1	10
2014-03-30 09:16:40.93063	99079	49	2	9
2014-03-30 09:16:41.165952	99080	20.5	1	9
2014-03-30 09:16:41.999902	99081	59	2	8
2014-03-30 09:16:42.221668	99082	21.2	1	8
2014-03-30 09:16:53.760812	99083	48	2	1
2014-03-30 09:16:53.993596	99084	20.6	1	1
2014-03-30 09:17:11.193275	99085	44	2	10
2014-03-30 09:17:11.415643	99086	21.5	1	10
2014-03-30 09:17:19.931644	99087	49	2	9
2014-03-30 09:17:20.165601	99088	20.5	1	9
2014-03-30 09:17:21.000892	99089	59	2	8
2014-03-30 09:17:21.223951	99090	21.2	1	8
2014-03-30 09:17:32.085064	99091	579	3	2
2014-03-30 09:17:32.318569	99092	1128203.848595674	4	2
2014-03-30 09:17:32.7634	99093	48	2	1
2014-03-30 09:17:32.985141	99094	20.6	1	1
2014-03-30 09:17:50.194088	99095	44	2	10
2014-03-30 09:17:50.430384	99096	21.5	1	10
2014-03-30 09:17:58.930934	99097	49	2	9
2014-03-30 09:17:59.153597	99098	20.5	1	9
2014-03-30 09:17:59.999332	99099	59	2	8
2014-03-30 09:18:00.232934	99100	21.2	1	8
2014-03-30 09:18:11.760839	99101	48	2	1
2014-03-30 09:18:12.003859	99102	20.6	1	1
2014-03-30 09:18:29.194108	99103	44	2	10
2014-03-30 09:18:29.426947	99104	21.5	1	10
2014-03-30 09:18:32.087477	99105	579	3	2
2014-03-30 09:18:32.310883	99106	1128213.0408734453	4	2
2014-03-30 09:18:37.930736	99107	49	2	9
2014-03-30 09:18:38.163351	99108	20.5	1	9
2014-03-30 09:18:38.998601	99109	59	2	8
2014-03-30 09:18:39.221201	99110	21.2	1	8
2014-03-30 09:18:50.762609	99111	48	2	1
2014-03-30 09:18:51.05435	99112	20.6	1	1
2014-03-30 09:19:08.197149	99113	44	2	10
2014-03-30 09:19:08.423489	99114	21.5	1	10
2014-03-30 09:19:16.928271	99115	49	2	9
2014-03-30 09:19:17.163626	99116	20.5	1	9
2014-03-30 09:19:18.000716	99117	59	2	8
2014-03-30 09:19:18.223453	99118	21.2	1	8
2014-03-30 09:19:29.759908	99119	48	2	1
2014-03-30 09:19:30.005897	99120	20.6	1	1
2014-03-30 09:19:32.086358	99121	1738	3	2
2014-03-30 09:19:32.308912	99122	1128224.5312206594	4	2
2014-03-30 09:19:44.087715	99123	579	3	2
2014-03-30 09:19:44.319298	99124	1128227.9783248235	4	2
2014-03-30 09:19:47.195018	99125	44	2	10
2014-03-30 09:19:47.417913	99126	21.6	1	10
2014-03-30 09:19:55.934623	99127	49	2	9
2014-03-30 09:19:56.169702	99128	20.5	1	9
2014-03-30 09:19:56.998758	99129	59	2	8
2014-03-30 09:19:57.223683	99130	21.2	1	8
2014-03-30 09:20:08.761108	99131	48	2	1
2014-03-30 09:20:08.99589	99132	20.6	1	1
2014-03-30 09:20:20.085728	99133	515	3	2
2014-03-30 09:20:20.310185	99134	1128233.7234984308	4	2
2014-03-30 09:20:26.19595	99135	44	2	10
2014-03-30 09:20:26.429936	99136	21.6	1	10
2014-03-30 09:20:34.930935	99137	49	2	9
2014-03-30 09:20:35.15347	99138	20.5	1	9
2014-03-30 09:20:35.998155	99139	58	2	8
2014-03-30 09:20:36.231874	99140	21.1	1	8
2014-03-30 09:20:47.761134	99141	48	2	1
2014-03-30 09:20:47.985832	99142	20.5	1	1
2014-03-30 09:21:05.197986	99143	44	2	10
2014-03-30 09:21:05.434163	99144	21.6	1	10
2014-03-30 09:21:13.926245	99145	49	2	9
2014-03-30 09:21:14.169756	99146	20.5	1	9
2014-03-30 09:21:14.998609	99147	58	2	8
2014-03-30 09:21:15.233379	99148	21.1	1	8
2014-03-30 09:21:26.758028	99149	48	2	1
2014-03-30 09:21:26.986055	99150	20.5	1	1
2014-03-30 09:21:32.084074	99151	450	3	2
2014-03-30 09:21:32.321814	99152	1128244.0648109235	4	2
2014-03-30 09:21:52.928435	99153	49	2	9
2014-03-30 09:21:53.153443	99154	20.5	1	9
2014-03-30 09:21:53.99853	99155	58	2	8
2014-03-30 09:21:54.229193	99156	21.1	1	8
2014-03-30 09:22:05.757922	99157	48	2	1
2014-03-30 09:22:05.981631	99158	20.5	1	1
2014-03-30 09:22:23.195332	99159	44	2	10
2014-03-30 09:22:23.42961	99160	21.6	1	10
2014-03-30 09:22:31.930889	99161	49	2	9
2014-03-30 09:22:32.154231	99162	20.5	1	9
2014-03-30 09:22:32.999321	99163	58	2	8
2014-03-30 09:22:33.230014	99164	21.1	1	8
2014-03-30 09:22:44.75891	99165	48	2	1
2014-03-30 09:22:44.985085	99166	20.5	1	1
2014-03-30 09:23:02.195934	99167	44	2	10
2014-03-30 09:23:02.440707	99168	21.6	1	10
2014-03-30 09:23:10.929654	99169	49	2	9
2014-03-30 09:23:11.152353	99170	20.5	1	9
2014-03-30 09:23:11.998657	99171	58	2	8
2014-03-30 09:23:12.22981	99172	21.1	1	8
2014-03-30 09:23:23.7579	99173	48	2	1
2014-03-30 09:23:23.979704	99174	20.5	1	1
2014-03-30 09:23:32.085418	99175	466	3	2
2014-03-30 09:23:32.319266	99176	1128259.0022623017	4	2
2014-03-30 09:23:41.195744	99177	44	2	10
2014-03-30 09:23:41.41867	99178	21.6	1	10
2014-03-30 09:23:49.930264	99179	49	2	9
2014-03-30 09:23:50.163183	99180	20.5	1	9
2014-03-30 09:23:51.052162	99181	57	2	8
2014-03-30 09:23:51.275416	99182	21.1	1	8
2014-03-30 09:24:02.756409	99183	48	2	1
2014-03-30 09:24:02.991797	99184	20.5	1	1
2014-03-30 09:24:20.198615	99185	44	2	10
2014-03-30 09:24:20.421982	99186	21.6	1	10
2014-03-30 09:24:28.929895	99187	49	2	9
2014-03-30 09:24:29.164363	99188	20.5	1	9
2014-03-30 09:24:30.002064	99189	57	2	8
2014-03-30 09:24:30.224244	99190	21.1	1	8
2014-03-30 09:24:32.084946	99191	466	3	2
2014-03-30 09:24:32.319205	99192	1128267.0455053519	4	2
2014-03-30 09:24:41.757772	99193	48	2	1
2014-03-30 09:24:41.982789	99194	20.5	1	1
2014-03-30 09:24:44.084096	99195	1609	3	2
2014-03-30 09:24:44.316243	99196	1128271.6416442373	4	2
2014-03-30 09:24:56.087078	99197	450	3	2
2014-03-30 09:24:56.31596	99198	1128273.9397136802	4	2
2014-03-30 09:24:59.195141	99199	44	2	10
2014-03-30 09:24:59.426437	99200	21.6	1	10
2014-03-30 09:25:07.928803	99201	49	2	9
2014-03-30 09:25:08.155449	99202	20.5	1	9
2014-03-30 09:25:08.999346	99203	57	2	8
2014-03-30 09:25:09.233467	99204	21.1	1	8
2014-03-30 09:25:20.996878	99205	48	2	1
2014-03-30 09:25:21.221719	99206	20.4	1	1
2014-03-30 09:25:32.084444	99207	466	3	2
2014-03-30 09:25:32.319009	99208	1128278.535852566	4	2
2014-03-30 09:25:38.198193	99209	44	2	10
2014-03-30 09:25:38.421812	99210	21.6	1	10
2014-03-30 09:25:46.926484	99211	49	2	9
2014-03-30 09:25:47.157249	99212	20.5	1	9
2014-03-30 09:25:47.99831	99213	57	2	8
2014-03-30 09:25:48.222628	99214	21.1	1	8
2014-03-30 09:25:59.755496	99215	48	2	1
2014-03-30 09:25:59.999449	99216	20.4	1	1
2014-03-30 09:26:17.198902	99217	44	2	10
2014-03-30 09:26:17.423678	99218	21.6	1	10
2014-03-30 09:26:25.934505	99219	49	2	9
2014-03-30 09:26:26.169194	99220	20.5	1	9
2014-03-30 09:26:27.000166	99221	57	2	8
2014-03-30 09:26:27.222291	99222	21.0	1	8
2014-03-30 09:26:32.082921	99223	450	3	2
2014-03-30 09:26:32.316761	99224	1128286.5790956158	4	2
2014-03-30 09:26:38.755382	99225	48	2	1
2014-03-30 09:26:38.978606	99226	20.4	1	1
2014-03-30 09:26:56.198866	99227	44	2	10
2014-03-30 09:26:56.457786	99228	21.6	1	10
2014-03-30 09:27:04.928665	99229	49	2	9
2014-03-30 09:27:05.152199	99230	20.5	1	9
2014-03-30 09:27:05.999765	99231	57	2	8
2014-03-30 09:27:06.232908	99232	21.0	1	8
2014-03-30 09:27:17.75557	99233	48	2	1
2014-03-30 09:27:17.97747	99234	20.4	1	1
2014-03-30 09:27:32.087145	99235	450	3	2
2014-03-30 09:27:32.320643	99236	1128293.4733039443	4	2
2014-03-30 09:27:35.1998	99237	44	2	10
2014-03-30 09:27:35.423537	99238	21.6	1	10
2014-03-30 09:27:43.930288	99239	49	2	9
2014-03-30 09:27:44.163938	99240	20.5	1	9
2014-03-30 09:27:44.998957	99241	57	2	8
2014-03-30 09:27:45.222425	99242	21.0	1	8
2014-03-30 09:27:56.757601	99243	48	2	1
2014-03-30 09:27:57.000387	99244	20.4	1	1
2014-03-30 09:28:08.085452	99245	498	3	2
2014-03-30 09:28:08.30827	99246	1128298.06944283	4	2
2014-03-30 09:28:14.195789	99247	44	2	10
2014-03-30 09:28:14.427182	99248	21.7	1	10
2014-03-30 09:28:20.083281	99249	498	3	2
2014-03-30 09:28:20.307638	99250	1128300.3675122727	4	2
2014-03-30 09:28:22.929051	99251	49	2	9
2014-03-30 09:28:23.16295	99252	20.5	1	9
2014-03-30 09:28:23.999966	99253	56	2	8
2014-03-30 09:28:24.223445	99254	21.0	1	8
2014-03-30 09:28:32.085433	99255	498	3	2
2014-03-30 09:28:32.319408	99256	1128301.5165469942	4	2
2014-03-30 09:28:35.802461	99257	48	2	1
2014-03-30 09:28:36.024519	99258	20.4	1	1
2014-03-30 09:28:53.197103	99259	44	2	10
2014-03-30 09:28:53.429008	99260	21.7	1	10
2014-03-30 09:29:01.925978	99261	49	2	9
2014-03-30 09:29:02.151026	99262	20.5	1	9
2014-03-30 09:29:03.000491	99263	56	2	8
2014-03-30 09:29:03.243694	99264	21.0	1	8
2014-03-30 09:29:14.994155	99265	48	2	1
2014-03-30 09:29:15.218115	99266	20.4	1	1
2014-03-30 09:29:32.401155	99267	44	2	10
2014-03-30 09:29:32.633733	99268	21.7	1	10
2014-03-30 09:29:40.929291	99269	49	2	9
2014-03-30 09:29:41.15368	99270	20.5	1	9
2014-03-30 09:29:42.000791	99271	56	2	8
2014-03-30 09:29:42.234235	99272	21.0	1	8
2014-03-30 09:29:53.756945	99273	48	2	1
2014-03-30 09:29:53.982432	99274	20.4	1	1
2014-03-30 09:29:56.084876	99275	1674	3	2
2014-03-30 09:29:56.325566	99276	1128316.4539983727	4	2
2014-03-30 09:30:08.085931	99277	498	3	2
2014-03-30 09:30:08.30852	99278	1128318.7520678155	4	2
2014-03-30 09:30:11.201492	99279	44	2	10
2014-03-30 09:30:11.435497	99280	21.7	1	10
2014-03-30 09:30:19.925625	99281	49	2	9
2014-03-30 09:30:20.149613	99282	20.5	1	9
2014-03-30 09:30:21.000089	99283	56	2	8
2014-03-30 09:30:21.236215	99284	21.0	1	8
2014-03-30 09:30:32.087097	99285	515	3	2
2014-03-30 09:30:32.3108	99286	1128322.1991719797	4	2
2014-03-30 09:30:32.755883	99287	48	2	1
2014-03-30 09:30:32.988285	99288	20.4	1	1
2014-03-30 09:30:50.202656	99289	44	2	10
2014-03-30 09:30:50.426418	99290	21.7	1	10
2014-03-30 09:30:58.92777	99291	49	2	9
2014-03-30 09:30:59.170823	99292	20.5	1	9
2014-03-30 09:30:59.999825	99293	56	2	8
2014-03-30 09:31:00.225709	99294	21.0	1	8
2014-03-30 09:31:11.753258	99295	48	2	1
2014-03-30 09:31:11.984779	99296	20.3	1	1
2014-03-30 09:31:29.20001	99297	44	2	10
2014-03-30 09:31:29.423767	99298	21.7	1	10
2014-03-30 09:31:32.084481	99299	498	3	2
2014-03-30 09:31:32.318842	99300	1128331.391449751	4	2
2014-03-30 09:31:37.926019	99301	49	2	9
2014-03-30 09:31:38.150214	99302	20.5	1	9
2014-03-30 09:31:38.999535	99303	56	2	8
2014-03-30 09:31:39.236654	99304	21.0	1	8
2014-03-30 09:31:50.751493	99305	48	2	1
2014-03-30 09:31:50.974491	99306	20.3	1	1
2014-03-30 09:32:08.199716	99307	44	2	10
2014-03-30 09:32:08.433678	99308	21.7	1	10
2014-03-30 09:32:16.928907	99309	49	2	9
2014-03-30 09:32:17.153518	99310	20.5	1	9
2014-03-30 09:32:17.999473	99311	55	2	8
2014-03-30 09:32:18.242826	99312	21.0	1	8
2014-03-30 09:32:29.756463	99313	48	2	1
2014-03-30 09:32:29.978013	99314	20.3	1	1
2014-03-30 09:32:32.081511	99315	498	3	2
2014-03-30 09:32:32.314773	99316	1128339.434692801	4	2
2014-03-30 09:32:47.19955	99317	44	2	10
2014-03-30 09:32:47.422093	99318	21.7	1	10
2014-03-30 09:32:55.928863	99319	49	2	9
2014-03-30 09:32:56.165323	99320	20.5	1	9
2014-03-30 09:32:56.999075	99321	55	2	8
2014-03-30 09:32:57.22067	99322	21.0	1	8
2014-03-30 09:33:08.752249	99323	48	2	1
2014-03-30 09:33:08.98672	99324	20.3	1	1
2014-03-30 09:33:26.200492	99325	44	2	10
2014-03-30 09:33:26.42297	99326	21.7	1	10
2014-03-30 09:33:32.082557	99327	466	3	2
2014-03-30 09:33:32.315885	99328	1128347.4779358509	4	2
2014-03-30 09:33:34.927369	99329	49	2	9
2014-03-30 09:33:35.149155	99330	20.5	1	9
2014-03-30 09:33:35.99939	99331	55	2	8
2014-03-30 09:33:36.232709	99332	21.0	1	8
2014-03-30 09:33:44.088619	99333	466	3	2
2014-03-30 09:33:44.311097	99334	1128349.7760052937	4	2
2014-03-30 09:33:47.753917	99335	48	2	1
2014-03-30 09:33:47.984642	99336	20.3	1	1
2014-03-30 09:34:05.199556	99337	44	2	10
2014-03-30 09:34:05.421781	99338	21.7	1	10
2014-03-30 09:34:14.989973	99339	56	2	8
2014-03-30 09:34:15.224295	99340	20.9	1	8
2014-03-30 09:34:26.753679	99341	48	2	1
2014-03-30 09:34:26.97692	99342	20.3	1	1
2014-03-30 09:34:32.083384	99343	466	3	2
2014-03-30 09:34:32.316726	99344	1128355.5211789007	4	2
2014-03-30 09:34:44.198697	99345	44	2	10
2014-03-30 09:34:44.42243	99346	21.7	1	10
2014-03-30 09:34:52.932229	99347	49	2	9
2014-03-30 09:34:53.186313	99348	20.5	1	9
2014-03-30 09:34:54.000455	99349	55	2	8
2014-03-30 09:34:54.223452	99350	20.9	1	8
2014-03-30 09:34:56.083789	99351	1609	3	2
2014-03-30 09:34:56.319077	99352	1128360.1173177864	4	2
2014-03-30 09:35:05.750019	99353	48	2	1
2014-03-30 09:35:05.975795	99354	20.3	1	1
2014-03-30 09:35:08.083775	99355	450	3	2
2014-03-30 09:35:08.31629	99356	1128364.713456672	4	2
2014-03-30 09:35:20.084025	99357	450	3	2
2014-03-30 09:35:20.306912	99358	1128365.8624913935	4	2
2014-03-30 09:35:23.201224	99359	44	2	10
2014-03-30 09:35:23.446245	99360	21.7	1	10
2014-03-30 09:35:31.932031	99361	49	2	9
2014-03-30 09:35:32.156947	99362	20.5	1	9
2014-03-30 09:35:33.000712	99363	55	2	8
2014-03-30 09:35:33.233856	99364	20.9	1	8
2014-03-30 09:35:44.750767	99365	48	2	1
2014-03-30 09:35:44.973669	99366	20.2	1	1
2014-03-30 09:36:02.202599	99367	44	2	10
2014-03-30 09:36:02.436737	99368	21.7	1	10
2014-03-30 09:36:10.929181	99369	49	2	9
2014-03-30 09:36:11.152428	99370	20.5	1	9
2014-03-30 09:36:11.997727	99371	55	2	8
2014-03-30 09:36:12.232378	99372	20.9	1	8
2014-03-30 09:36:23.748709	99373	48	2	1
2014-03-30 09:36:23.971585	99374	20.2	1	1
2014-03-30 09:36:32.084487	99375	450	3	2
2014-03-30 09:36:32.320473	99376	1128375.0547691646	4	2
2014-03-30 09:36:41.202417	99377	44	2	10
2014-03-30 09:36:41.427212	99378	21.7	1	10
2014-03-30 09:36:49.927895	99379	49	2	9
2014-03-30 09:36:50.159477	99380	20.5	1	9
2014-03-30 09:36:50.998756	99381	55	2	8
2014-03-30 09:36:51.220693	99382	20.9	1	8
2014-03-30 09:37:02.747898	99383	48	2	1
2014-03-30 09:37:02.982304	99384	20.2	1	1
2014-03-30 09:37:20.200073	99385	44	2	10
2014-03-30 09:37:20.424939	99386	21.7	1	10
2014-03-30 09:37:28.925523	99387	49	2	9
2014-03-30 09:37:29.157859	99388	20.5	1	9
2014-03-30 09:37:29.998583	99389	55	2	8
2014-03-30 09:37:30.221653	99390	20.9	1	8
2014-03-30 09:37:32.084809	99391	450	3	2
2014-03-30 09:37:32.319117	99392	1128381.9534484455	4	2
2014-03-30 09:37:41.752992	99393	48	2	1
2014-03-30 09:37:41.977124	99394	20.2	1	1
2014-03-30 09:37:59.201622	99395	44	2	10
2014-03-30 09:37:59.434391	99396	21.7	1	10
2014-03-30 09:38:07.926489	99397	49	2	9
2014-03-30 09:38:08.149923	99398	20.5	1	9
2014-03-30 09:38:08.999444	99399	55	2	8
2014-03-30 09:38:09.235365	99400	20.9	1	8
2014-03-30 09:38:20.748622	99401	48	2	1
2014-03-30 09:38:20.972193	99402	20.2	1	1
2014-03-30 09:38:38.201543	99403	44	2	10
2014-03-30 09:38:38.434342	99404	21.7	1	10
2014-03-30 09:38:46.927426	99405	49	2	9
2014-03-30 09:38:47.15017	99406	20.5	1	9
2014-03-30 09:38:47.99956	99407	55	2	8
2014-03-30 09:38:48.24235	99408	20.9	1	8
2014-03-30 09:38:59.751968	99409	48	2	1
2014-03-30 09:38:59.97604	99410	20.2	1	1
2014-03-30 09:39:17.202341	99411	44	2	10
2014-03-30 09:39:17.435268	99412	21.7	1	10
2014-03-30 09:39:25.928988	99413	49	2	9
2014-03-30 09:39:26.151461	99414	20.5	1	9
2014-03-30 09:39:26.998271	99415	55	2	8
2014-03-30 09:39:27.231386	99416	20.9	1	8
2014-03-30 09:39:38.752244	99417	48	2	1
2014-03-30 09:39:38.976112	99418	20.2	1	1
2014-03-30 09:39:56.403709	99419	44	2	10
2014-03-30 09:39:56.644129	99420	21.7	1	10
2014-03-30 09:40:04.92977	99421	49	2	9
2014-03-30 09:40:05.153858	99422	20.5	1	9
2014-03-30 09:40:05.998834	99423	55	2	8
2014-03-30 09:40:06.230996	99424	20.9	1	8
2014-03-30 09:40:08.081435	99425	1818	3	2
2014-03-30 09:40:08.304654	99426	1128402.636073431	4	2
2014-03-30 09:40:17.990062	99427	48	2	1
2014-03-30 09:40:18.223435	99428	20.2	1	1
2014-03-30 09:40:20.082603	99429	611	3	2
2014-03-30 09:40:20.305663	99430	1128408.381247038	4	2
2014-03-30 09:40:32.08352	99431	611	3	2
2014-03-30 09:40:32.317756	99432	1128410.6793164809	4	2
2014-03-30 09:40:35.202061	99433	44	2	10
2014-03-30 09:40:35.428692	99434	21.7	1	10
2014-03-30 09:40:43.930225	99435	49	2	9
2014-03-30 09:40:44.164941	99436	20.5	1	9
2014-03-30 09:40:45.001904	99437	55	2	8
2014-03-30 09:40:45.224297	99438	20.9	1	8
2014-03-30 09:40:56.749038	99439	48	2	1
2014-03-30 09:40:56.986979	99440	20.2	1	1
2014-03-30 09:41:14.202567	99441	44	2	10
2014-03-30 09:41:14.425197	99442	21.7	1	10
2014-03-30 09:41:22.92447	99443	49	2	9
2014-03-30 09:41:23.163204	99444	20.5	1	9
2014-03-30 09:41:23.999957	99445	55	2	8
2014-03-30 09:41:24.223685	99446	20.9	1	8
2014-03-30 09:41:32.080972	99447	611	3	2
2014-03-30 09:41:32.315521	99448	1128421.0206289736	4	2
2014-03-30 09:41:35.744991	99449	48	2	1
2014-03-30 09:41:35.966704	99450	20.2	1	1
2014-03-30 09:41:53.203538	99451	44	2	10
2014-03-30 09:41:53.437166	99452	21.7	1	10
2014-03-30 09:42:01.932048	99453	49	2	9
2014-03-30 09:42:02.156173	99454	20.5	1	9
2014-03-30 09:42:02.999817	99455	55	2	8
2014-03-30 09:42:03.244788	99456	20.9	1	8
2014-03-30 09:42:14.750971	99457	48	2	1
2014-03-30 09:42:14.973534	99458	20.2	1	1
2014-03-30 09:42:40.928852	99459	49	2	9
2014-03-30 09:42:41.164603	99460	20.5	1	9
2014-03-30 09:42:42.000102	99461	55	2	8
2014-03-30 09:42:42.223617	99462	20.9	1	8
2014-03-30 09:42:53.750359	99463	48	2	1
2014-03-30 09:42:53.983684	99464	20.1	1	1
2014-03-30 09:43:11.203446	99465	44	2	10
2014-03-30 09:43:11.427573	99466	21.7	1	10
2014-03-30 09:43:19.930299	99467	49	2	9
2014-03-30 09:43:20.16667	99468	20.5	1	9
2014-03-30 09:43:20.999766	99469	55	2	8
2014-03-30 09:43:21.22308	99470	20.9	1	8
2014-03-30 09:43:32.082	99471	627	3	2
2014-03-30 09:43:32.313424	99472	1128441.703253959	4	2
2014-03-30 09:43:32.748205	99473	48	2	1
2014-03-30 09:43:32.969684	99474	20.1	1	1
2014-03-30 09:43:50.202648	99475	44	2	10
2014-03-30 09:43:50.436566	99476	21.7	1	10
2014-03-30 09:43:58.929639	99477	49	2	9
2014-03-30 09:43:59.151908	99478	20.5	1	9
2014-03-30 09:43:59.999068	99479	55	2	8
2014-03-30 09:44:00.231312	99480	20.9	1	8
2014-03-30 09:44:11.74471	99481	48	2	1
2014-03-30 09:44:11.969627	99482	20.1	1	1
2014-03-30 09:44:29.20252	99483	44	2	10
2014-03-30 09:44:29.434076	99484	21.7	1	10
2014-03-30 09:44:32.084339	99485	611	3	2
2014-03-30 09:44:32.308587	99486	1128452.0445664518	4	2
2014-03-30 09:44:37.928688	99487	49	2	9
2014-03-30 09:44:38.161473	99488	20.5	1	9
2014-03-30 09:44:38.999053	99489	55	2	8
2014-03-30 09:44:39.222799	99490	20.9	1	8
2014-03-30 09:44:50.753092	99491	48	2	1
2014-03-30 09:44:50.987174	99492	20.1	1	1
2014-03-30 09:45:08.202785	99493	44	2	10
2014-03-30 09:45:08.42654	99494	21.7	1	10
2014-03-30 09:45:16.927945	99495	49	2	9
2014-03-30 09:45:17.160165	99496	20.5	1	9
2014-03-30 09:45:18.000524	99497	54	2	8
2014-03-30 09:45:18.223636	99498	20.9	1	8
2014-03-30 09:45:20.082997	99499	1802	3	2
2014-03-30 09:45:20.316627	99500	1128461.236844223	4	2
2014-03-30 09:45:29.748488	99501	48	2	1
2014-03-30 09:45:29.976133	99502	20.1	1	1
2014-03-30 09:45:32.083139	99503	611	3	2
2014-03-30 09:45:32.325003	99504	1128465.8329831087	4	2
2014-03-30 09:45:44.082925	99505	547	3	2
2014-03-30 09:45:44.307818	99506	1128468.1310525516	4	2
2014-03-30 09:45:47.201805	99507	44	2	10
2014-03-30 09:45:47.434244	99508	21.7	1	10
2014-03-30 09:45:55.930446	99509	49	2	9
2014-03-30 09:45:56.155822	99510	20.5	1	9
2014-03-30 09:45:57.004924	99511	54	2	8
2014-03-30 09:45:57.238815	99512	20.9	1	8
2014-03-30 09:46:08.74593	99513	48	2	1
2014-03-30 09:46:08.971637	99514	20.1	1	1
2014-03-30 09:46:20.084018	99515	579	3	2
2014-03-30 09:46:20.316171	99516	1128473.8762261586	4	2
2014-03-30 09:46:26.203507	99517	44	2	10
2014-03-30 09:46:26.426856	99518	21.7	1	10
2014-03-30 09:46:32.084227	99519	547	3	2
2014-03-30 09:46:32.317495	99520	1128475.0252608801	4	2
2014-03-30 09:46:34.927559	99521	49	2	9
2014-03-30 09:46:35.152305	99522	20.5	1	9
2014-03-30 09:46:35.998682	99523	54	2	8
2014-03-30 09:46:36.232969	99524	20.9	1	8
2014-03-30 09:46:47.791736	99525	48	2	1
2014-03-30 09:46:48.01741	99526	20.1	1	1
2014-03-30 09:47:05.203566	99527	44	2	10
2014-03-30 09:47:05.435068	99528	21.7	1	10
2014-03-30 09:47:13.92891	99529	49	2	9
2014-03-30 09:47:14.153209	99530	20.5	1	9
2014-03-30 09:47:14.998859	99531	54	2	8
2014-03-30 09:47:15.233742	99532	20.9	1	8
2014-03-30 09:47:26.74323	99533	48	2	1
2014-03-30 09:47:26.966692	99534	20.1	1	1
2014-03-30 09:47:44.204085	99535	44	2	10
2014-03-30 09:47:44.439457	99536	21.7	1	10
2014-03-30 09:47:52.92909	99537	49	2	9
2014-03-30 09:47:53.152884	99538	20.5	1	9
2014-03-30 09:47:53.997577	99539	54	2	8
2014-03-30 09:47:54.22966	99540	20.9	1	8
2014-03-30 09:48:05.742758	99541	48	2	1
2014-03-30 09:48:05.966386	99542	20.1	1	1
2014-03-30 09:48:20.080745	99543	466	3	2
2014-03-30 09:48:20.312699	99544	1128491.1117469799	4	2
2014-03-30 09:48:23.20509	99545	44	2	10
2014-03-30 09:48:23.430486	99546	21.7	1	10
2014-03-30 09:48:31.925919	99547	50	2	9
2014-03-30 09:48:32.160827	99548	20.5	1	9
2014-03-30 09:48:32.998904	99549	54	2	8
2014-03-30 09:48:33.22175	99550	20.9	1	8
2014-03-30 09:48:44.743949	99551	48	2	1
2014-03-30 09:48:44.987222	99552	20.0	1	1
2014-03-30 09:48:56.08383	99553	450	3	2
2014-03-30 09:48:56.307698	99554	1128495.7078858656	4	2
2014-03-30 09:49:02.203536	99555	44	2	10
2014-03-30 09:49:02.437636	99556	21.7	1	10
2014-03-30 09:49:10.930119	99557	50	2	9
2014-03-30 09:49:11.153999	99558	20.5	1	9
2014-03-30 09:49:11.999535	99559	54	2	8
2014-03-30 09:49:12.254088	99560	20.8	1	8
2014-03-30 09:49:23.742921	99561	48	2	1
2014-03-30 09:49:23.966619	99562	20.0	1	1
2014-03-30 09:49:32.081138	99563	450	3	2
2014-03-30 09:49:32.314493	99564	1128500.3040247513	4	2
2014-03-30 09:49:41.204361	99565	44	2	10
2014-03-30 09:49:41.427613	99566	21.7	1	10
2014-03-30 09:49:49.930915	99567	50	2	9
2014-03-30 09:49:50.163299	99568	20.5	1	9
2014-03-30 09:49:50.998105	99569	54	2	8
2014-03-30 09:49:51.222641	99570	20.8	1	8
2014-03-30 09:50:02.74557	99571	49	2	1
2014-03-30 09:50:02.979486	99572	20.0	1	1
2014-03-30 09:50:20.207203	99573	44	2	10
2014-03-30 09:50:20.429361	99574	21.7	1	10
2014-03-30 09:50:28.929088	99575	50	2	9
2014-03-30 09:50:29.162284	99576	20.5	1	9
2014-03-30 09:50:29.998621	99577	54	2	8
2014-03-30 09:50:30.220348	99578	20.8	1	8
2014-03-30 09:50:32.081091	99579	1625	3	2
2014-03-30 09:50:32.314203	99580	1128509.4963025225	4	2
2014-03-30 09:50:41.742036	99581	49	2	1
2014-03-30 09:50:41.968031	99582	20.0	1	1
2014-03-30 09:50:44.081676	99583	450	3	2
2014-03-30 09:50:44.313388	99584	1128512.943406687	4	2
2014-03-30 09:50:56.084997	99585	434	3	2
2014-03-30 09:50:56.310526	99586	1128515.2414761295	4	2
2014-03-30 09:50:59.205161	99587	44	2	10
2014-03-30 09:50:59.439453	99588	21.7	1	10
2014-03-30 09:51:07.927447	99589	50	2	9
2014-03-30 09:51:08.150952	99590	20.5	1	9
2014-03-30 09:51:08.999325	99591	54	2	8
2014-03-30 09:51:09.233414	99592	20.8	1	8
2014-03-30 09:51:20.742389	99593	49	2	1
2014-03-30 09:51:20.971111	99594	20.0	1	1
2014-03-30 09:51:32.084399	99595	450	3	2
2014-03-30 09:51:32.317393	99596	1128519.8376150152	4	2
2014-03-30 09:51:38.20799	99597	44	2	10
2014-03-30 09:51:38.432031	99598	21.7	1	10
2014-03-30 09:51:46.922748	99599	50	2	9
2014-03-30 09:51:47.169249	99600	20.5	1	9
2014-03-30 09:51:47.998626	99601	54	2	8
2014-03-30 09:51:48.225143	99602	20.8	1	8
2014-03-30 09:51:59.741332	99603	49	2	1
2014-03-30 09:51:59.975957	99604	20.0	1	1
2014-03-30 09:52:08.085535	99605	498	3	2
2014-03-30 09:52:08.308906	99606	1128524.433753901	4	2
2014-03-30 09:52:17.208785	99607	44	2	10
2014-03-30 09:52:17.442946	99608	21.7	1	10
2014-03-30 09:52:20.079661	99609	515	3	2
2014-03-30 09:52:20.303284	99610	1128525.5827886222	4	2
2014-03-30 09:52:26.131315	99611	50	2	9
2014-03-30 09:52:26.36432	99612	20.5	1	9
2014-03-30 09:52:26.999872	99613	54	2	8
2014-03-30 09:52:27.224021	99614	20.8	1	8
2014-03-30 09:52:32.079681	99615	482	3	2
2014-03-30 09:52:32.313573	99616	1128527.880858065	4	2
2014-03-30 09:52:38.743134	99617	49	2	1
2014-03-30 09:52:38.968289	99618	20.0	1	1
2014-03-30 09:52:44.082772	99619	482	3	2
2014-03-30 09:52:44.31815	99620	1128529.0298927866	4	2
2014-03-30 09:52:56.206257	99621	44	2	10
2014-03-30 09:52:56.431374	99622	21.7	1	10
2014-03-30 09:53:04.928127	99623	50	2	9
2014-03-30 09:53:05.160532	99624	20.5	1	9
2014-03-30 09:53:05.997977	99625	54	2	8
2014-03-30 09:53:06.222642	99626	20.8	1	8
2014-03-30 09:53:32.082301	99627	482	3	2
2014-03-30 09:53:32.314929	99628	1128535.924101115	4	2
2014-03-30 09:53:35.205866	99629	44	2	10
2014-03-30 09:53:35.429407	99630	21.7	1	10
2014-03-30 09:53:43.924867	99631	50	2	9
2014-03-30 09:53:44.159135	99632	20.5	1	9
2014-03-30 09:53:44.999308	99633	53	2	8
2014-03-30 09:53:45.222857	99634	20.8	1	8
2014-03-30 09:53:56.742534	99635	49	2	1
2014-03-30 09:53:56.9834	99636	20.0	1	1
2014-03-30 09:54:14.208208	99637	44	2	10
2014-03-30 09:54:14.431554	99638	21.7	1	10
2014-03-30 09:54:22.980065	99639	50	2	9
2014-03-30 09:54:23.212725	99640	20.5	1	9
2014-03-30 09:54:23.99865	99641	53	2	8
2014-03-30 09:54:24.221661	99642	20.7	1	8
2014-03-30 09:54:35.552629	99643	482	3	2
2014-03-30 09:54:35.786614	99644	1128543.967344165	4	2
2014-03-30 09:54:36.092549	99645	49	2	1
2014-03-30 09:54:36.316759	99646	20.0	1	1
2014-03-30 09:54:53.207419	99647	44	2	10
2014-03-30 09:54:53.453543	99648	21.7	1	10
2014-03-30 09:55:01.919901	99649	50	2	9
2014-03-30 09:55:02.142859	99650	20.5	1	9
2014-03-30 09:55:02.989077	99651	53	2	8
2014-03-30 09:55:03.220234	99652	20.7	1	8
2014-03-30 09:55:14.74358	99653	49	2	1
2014-03-30 09:55:14.965389	99654	20.0	1	1
2014-03-30 09:55:32.408039	99655	44	2	10
2014-03-30 09:55:32.641591	99656	21.7	1	10
2014-03-30 09:55:40.924021	99657	50	2	9
2014-03-30 09:55:41.146457	99658	20.5	1	9
2014-03-30 09:55:41.9982	99659	53	2	8
2014-03-30 09:55:42.230591	99660	20.7	1	8
2014-03-30 09:55:53.736786	99661	49	2	1
2014-03-30 09:55:53.960777	99662	20.0	1	1
2014-03-30 09:55:56.083532	99663	515	3	2
2014-03-30 09:55:56.315115	99664	1128555.4576913791	4	2
2014-03-30 09:56:08.081168	99665	1657	3	2
2014-03-30 09:56:08.30283	99666	1128561.2028649861	4	2
2014-03-30 09:56:11.207123	99667	44	2	10
2014-03-30 09:56:11.440114	99668	21.7	1	10
2014-03-30 09:56:19.930713	99669	50	2	9
2014-03-30 09:56:20.153403	99670	20.5	1	9
2014-03-30 09:56:20.998064	99671	53	2	8
2014-03-30 09:56:21.229437	99672	20.7	1	8
2014-03-30 09:56:32.739141	99673	49	2	1
2014-03-30 09:56:32.963563	99674	19.9	1	1
2014-03-30 09:56:50.205038	99675	44	2	10
2014-03-30 09:56:50.437381	99676	21.7	1	10
2014-03-30 09:56:58.925998	99677	50	2	9
2014-03-30 09:56:59.151575	99678	20.5	1	9
2014-03-30 09:57:00.000096	99679	53	2	8
2014-03-30 09:57:00.231049	99680	20.7	1	8
2014-03-30 09:57:08.082117	99681	579	3	2
2014-03-30 09:57:08.304172	99682	1128570.3951427576	4	2
2014-03-30 09:57:11.739532	99683	49	2	1
2014-03-30 09:57:11.973519	99684	19.9	1	1
2014-03-30 09:57:29.207683	99685	44	2	10
2014-03-30 09:57:29.430754	99686	21.7	1	10
2014-03-30 09:57:32.082165	99687	547	3	2
2014-03-30 09:57:32.313858	99688	1128573.8422469217	4	2
2014-03-30 09:57:37.927532	99689	50	2	9
2014-03-30 09:57:38.154235	99690	20.5	1	9
2014-03-30 09:57:38.997914	99691	53	2	8
2014-03-30 09:57:39.233814	99692	20.7	1	8
2014-03-30 09:57:44.078633	99693	547	3	2
2014-03-30 09:57:44.303366	99694	1128576.1403163646	4	2
2014-03-30 09:57:50.740929	99695	49	2	1
2014-03-30 09:57:50.985377	99696	19.9	1	1
2014-03-30 09:58:08.208958	99697	44	2	10
2014-03-30 09:58:08.433517	99698	21.7	1	10
2014-03-30 09:58:16.929513	99699	50	2	9
2014-03-30 09:58:17.163986	99700	20.5	1	9
2014-03-30 09:58:17.994192	99701	53	2	8
2014-03-30 09:58:18.218849	99702	20.7	1	8
2014-03-30 09:58:29.742158	99703	49	2	1
2014-03-30 09:58:29.975472	99704	19.9	1	1
2014-03-30 09:58:47.208633	99705	44	2	10
2014-03-30 09:58:47.433524	99706	21.7	1	10
2014-03-30 09:58:55.927095	99707	50	2	9
2014-03-30 09:58:56.159827	99708	20.5	1	9
2014-03-30 09:58:56.998559	99709	53	2	8
2014-03-30 09:58:57.221118	99710	20.7	1	8
2014-03-30 09:59:08.737969	99711	49	2	1
2014-03-30 09:59:08.970057	99712	19.9	1	1
2014-03-30 09:59:26.2073	99713	44	2	10
2014-03-30 09:59:26.430923	99714	21.7	1	10
2014-03-30 09:59:32.080083	99715	595	3	2
2014-03-30 09:59:32.313678	99716	1128593.375837186	4	2
2014-03-30 09:59:34.924209	99717	50	2	9
2014-03-30 09:59:35.146333	99718	20.5	1	9
2014-03-30 09:59:36.204285	99719	53	2	8
2014-03-30 09:59:36.435175	99720	20.7	1	8
2014-03-30 09:59:47.739903	99721	49	2	1
2014-03-30 09:59:47.963278	99722	19.9	1	1
2014-03-30 10:00:05.208328	99723	44	2	10
2014-03-30 10:00:05.441851	99724	21.7	1	10
2014-03-30 10:00:13.92358	99725	50	2	9
2014-03-30 10:00:14.146903	99726	20.5	1	9
2014-03-30 10:00:14.995494	99727	54	2	8
2014-03-30 10:00:15.228712	99728	20.7	1	8
2014-03-30 10:00:26.739889	99729	49	2	1
2014-03-30 10:00:26.964381	99730	19.9	1	1
2014-03-30 10:00:44.412408	99731	44	2	10
2014-03-30 10:00:44.644335	99732	21.7	1	10
2014-03-30 10:00:52.926597	99733	50	2	9
2014-03-30 10:00:53.148513	99734	20.5	1	9
2014-03-30 10:00:54.204209	99735	54	2	8
2014-03-30 10:00:54.435779	99736	20.7	1	8
2014-03-30 10:01:05.737345	99737	49	2	1
2014-03-30 10:01:05.962459	99738	19.9	1	1
2014-03-30 10:01:23.265936	99739	44	2	10
2014-03-30 10:01:23.498599	99740	21.7	1	10
2014-03-30 10:01:31.928507	99741	50	2	9
2014-03-30 10:01:32.149764	99742	20.5	1	9
2014-03-30 10:01:32.998569	99743	53	2	8
2014-03-30 10:01:33.241564	99744	20.7	1	8
2014-03-30 10:01:44.077115	99745	837	3	2
2014-03-30 10:01:44.299531	99746	1128624.399774664	4	2
2014-03-30 10:01:44.734908	99747	49	2	1
2014-03-30 10:01:45.154101	99748	19.9	1	1
2014-03-30 10:02:02.204588	99749	44	2	10
2014-03-30 10:02:02.42517	99750	21.7	1	10
2014-03-30 10:02:10.924163	99751	50	2	9
2014-03-30 10:02:11.145928	99752	20.5	1	9
2014-03-30 10:02:11.998249	99753	53	2	8
2014-03-30 10:02:12.227405	99754	20.7	1	8
2014-03-30 10:02:23.737103	99755	49	2	1
2014-03-30 10:02:24.062129	99756	19.9	1	1
2014-03-30 10:02:41.208182	99757	44	2	10
2014-03-30 10:02:41.440286	99758	21.7	1	10
2014-03-30 10:02:49.922936	99759	50	2	9
2014-03-30 10:02:50.14544	99760	20.5	1	9
2014-03-30 10:02:50.996839	99761	53	2	8
2014-03-30 10:02:51.23414	99762	20.7	1	8
2014-03-30 10:03:02.857993	99763	49	2	1
2014-03-30 10:03:03.280039	99764	19.9	1	1
2014-03-30 10:03:20.210247	99765	44	2	10
2014-03-30 10:03:20.44298	99766	21.7	1	10
2014-03-30 10:03:28.927005	99767	50	2	9
2014-03-30 10:03:29.148109	99768	20.5	1	9
2014-03-30 10:03:29.996804	99769	53	2	8
2014-03-30 10:03:30.229188	99770	20.7	1	8
2014-03-30 10:03:41.735008	99771	49	2	1
2014-03-30 10:03:41.957382	99772	19.9	1	1
2014-03-30 10:03:59.20854	99773	44	2	10
2014-03-30 10:03:59.442012	99774	21.7	1	10
2014-03-30 10:04:07.925678	99775	50	2	9
2014-03-30 10:04:08.155263	99776	20.5	1	9
2014-03-30 10:04:08.996702	99777	53	2	8
2014-03-30 10:04:09.228032	99778	20.7	1	8
2014-03-30 10:04:20.974137	99779	49	2	1
2014-03-30 10:04:21.195097	99780	19.8	1	1
2014-03-30 10:04:32.082479	99781	692	3	2
2014-03-30 10:04:32.313498	99782	1128658.8708163064	4	2
2014-03-30 10:04:38.20865	99783	44	2	10
2014-03-30 10:04:38.432173	99784	21.7	1	10
2014-03-30 10:04:46.926871	99785	50	2	9
2014-03-30 10:04:47.158307	99786	20.5	1	9
2014-03-30 10:04:47.996993	99787	53	2	8
2014-03-30 10:04:48.226894	99788	20.7	1	8
2014-03-30 10:04:59.732482	99789	49	2	1
2014-03-30 10:04:59.965773	99790	19.8	1	1
2014-03-30 10:05:17.209146	99791	44	2	10
2014-03-30 10:05:17.430052	99792	21.7	1	10
2014-03-30 10:05:25.924716	99793	50	2	9
2014-03-30 10:05:26.165587	99794	20.5	1	9
2014-03-30 10:05:26.995303	99795	53	2	8
2014-03-30 10:05:27.21725	99796	20.7	1	8
2014-03-30 10:05:38.733739	99797	49	2	1
2014-03-30 10:05:38.964354	99798	19.8	1	1
2014-03-30 10:05:56.210373	99799	44	2	10
2014-03-30 10:05:56.434749	99800	21.6	1	10
2014-03-30 10:06:04.92497	99801	50	2	9
2014-03-30 10:06:05.156845	99802	20.5	1	9
2014-03-30 10:06:05.996059	99803	53	2	8
2014-03-30 10:06:06.2193	99804	20.7	1	8
2014-03-30 10:06:08.079763	99805	804	3	2
2014-03-30 10:06:08.312351	99806	1128676.1108080798	4	2
2014-03-30 10:06:17.741309	99807	49	2	1
2014-03-30 10:06:17.961987	99808	19.8	1	1
2014-03-30 10:06:35.208497	99809	44	2	10
2014-03-30 10:06:35.438069	99810	21.6	1	10
2014-03-30 10:06:44.997216	99811	54	2	8
2014-03-30 10:06:45.216443	99812	20.7	1	8
2014-03-30 10:06:56.737487	99813	49	2	1
2014-03-30 10:06:56.970316	99814	19.8	1	1
2014-03-30 10:07:14.209942	99815	44	2	10
2014-03-30 10:07:14.431599	99816	21.6	1	10
2014-03-30 10:07:22.919504	99817	50	2	9
2014-03-30 10:07:23.149721	99818	20.5	1	9
2014-03-30 10:07:23.99805	99819	54	2	8
2014-03-30 10:07:24.220509	99820	20.7	1	8
2014-03-30 10:07:53.207816	99821	44	2	10
2014-03-30 10:07:53.440121	99822	21.6	1	10
2014-03-30 10:08:01.924033	99823	50	2	9
2014-03-30 10:08:02.147073	99824	20.5	1	9
2014-03-30 10:08:02.996193	99825	54	2	8
2014-03-30 10:08:03.228607	99826	20.7	1	8
2014-03-30 10:08:32.205321	99827	44	2	10
2014-03-30 10:08:32.426454	99828	21.6	1	10
2014-03-30 10:08:41.983579	99829	54	2	8
2014-03-30 10:08:42.217413	99830	20.7	1	8
2014-03-30 10:08:44.079275	99831	627	3	2
2014-03-30 10:08:44.303142	99832	1128712.8799191653	4	2
2014-03-30 10:09:11.210916	99833	44	2	10
2014-03-30 10:09:11.445247	99834	21.6	1	10
2014-03-30 10:09:19.921266	99835	50	2	9
2014-03-30 10:09:20.142947	99836	20.5	1	9
2014-03-30 10:09:20.996328	99837	55	2	8
2014-03-30 10:09:21.230309	99838	20.7	1	8
2014-03-30 10:09:50.204018	99839	44	2	10
2014-03-30 10:09:50.426919	99840	21.6	1	10
2014-03-30 10:09:58.921378	99841	50	2	9
2014-03-30 10:09:59.16517	99842	20.5	1	9
2014-03-30 10:09:59.9963	99843	56	2	8
2014-03-30 10:10:00.216781	99844	20.7	1	8
2014-03-30 10:10:29.210682	99845	44	2	10
2014-03-30 10:10:29.442707	99846	21.6	1	10
2014-03-30 10:10:37.921645	99847	50	2	9
2014-03-30 10:10:38.143765	99848	20.5	1	9
2014-03-30 10:10:38.997491	99849	56	2	8
2014-03-30 10:10:39.230264	99850	20.7	1	8
2014-03-30 10:11:08.211662	99851	44	2	10
2014-03-30 10:11:08.433292	99852	21.6	1	10
2014-03-30 10:11:16.918852	99853	50	2	9
2014-03-30 10:11:17.150225	99854	20.5	1	9
2014-03-30 10:11:17.991676	99855	57	2	8
2014-03-30 10:11:18.212021	99856	20.7	1	8
2014-03-30 10:11:47.210861	99857	44	2	10
2014-03-30 10:11:47.442636	99858	21.6	1	10
2014-03-30 10:11:55.922669	99859	50	2	9
2014-03-30 10:11:56.145969	99860	20.5	1	9
2014-03-30 10:11:56.995165	99861	56	2	8
2014-03-30 10:11:57.225548	99862	20.6	1	8
2014-03-30 10:12:26.210059	99863	44	2	10
2014-03-30 10:12:26.432078	99864	21.6	1	10
2014-03-30 10:12:35.120427	99865	50	2	9
2014-03-30 10:12:35.351618	99866	20.5	1	9
2014-03-30 10:12:35.99572	99867	56	2	8
2014-03-30 10:12:36.216108	99868	20.6	1	8
2014-03-30 10:13:05.210368	99869	44	2	10
2014-03-30 10:13:05.443578	99870	21.6	1	10
2014-03-30 10:13:13.924179	99871	50	2	9
2014-03-30 10:13:14.147936	99872	20.5	1	9
2014-03-30 10:13:14.997867	99873	56	2	8
2014-03-30 10:13:15.228705	99874	20.5	1	8
2014-03-30 10:13:44.214803	99875	44	2	10
2014-03-30 10:13:44.437336	99876	21.6	1	10
2014-03-30 10:13:52.928841	99877	50	2	9
2014-03-30 10:13:53.162913	99878	20.5	1	9
2014-03-30 10:13:53.995667	99879	55	2	8
2014-03-30 10:13:54.219732	99880	20.5	1	8
2014-03-30 10:14:23.212296	99881	44	2	10
2014-03-30 10:14:23.444538	99882	21.6	1	10
2014-03-30 10:14:31.926058	99883	50	2	9
2014-03-30 10:14:32.148022	99884	20.5	1	9
2014-03-30 10:14:32.994902	99885	55	2	8
2014-03-30 10:14:33.227202	99886	20.4	1	8
2014-03-30 10:15:02.212211	99887	44	2	10
2014-03-30 10:15:02.435589	99888	21.6	1	10
2014-03-30 10:15:10.925153	99889	50	2	9
2014-03-30 10:15:11.16805	99890	20.5	1	9
2014-03-30 10:15:11.994515	99891	55	2	8
2014-03-30 10:15:12.215344	99892	20.4	1	8
2014-03-30 10:15:41.21228	99893	44	2	10
2014-03-30 10:15:41.444354	99894	21.6	1	10
2014-03-30 10:15:49.924066	99895	50	2	9
2014-03-30 10:15:50.146174	99896	20.5	1	9
2014-03-30 10:15:50.994159	99897	55	2	8
2014-03-30 10:15:51.225302	99898	20.3	1	8
2014-03-30 10:16:20.210736	99899	44	2	10
2014-03-30 10:16:20.431359	99900	21.6	1	10
2014-03-30 10:16:28.930039	99901	50	2	9
2014-03-30 10:16:29.162059	99902	20.5	1	9
2014-03-30 10:16:29.99785	99903	54	2	8
2014-03-30 10:16:30.218776	99904	20.3	1	8
2014-03-30 10:16:59.213682	99905	44	2	10
2014-03-30 10:16:59.445207	99906	21.6	1	10
2014-03-30 10:17:07.92762	99907	50	2	9
2014-03-30 10:17:08.148203	99908	20.5	1	9
2014-03-30 10:17:08.991461	99909	54	2	8
2014-03-30 10:17:09.221404	99910	20.2	1	8
2014-03-30 10:17:20.07514	99911	595	3	2
2014-03-30 10:17:20.297232	99912	1128812.8459399282	4	2
2014-03-30 10:17:38.211967	99913	44	2	10
2014-03-30 10:17:38.444621	99914	21.6	1	10
2014-03-30 10:17:46.923317	99915	50	2	9
2014-03-30 10:17:47.145356	99916	20.5	1	9
2014-03-30 10:17:47.99738	99917	54	2	8
2014-03-30 10:17:48.228286	99918	20.2	1	8
2014-03-30 10:18:17.212372	99919	44	2	10
2014-03-30 10:18:17.434521	99920	21.6	1	10
2014-03-30 10:18:25.926986	99921	50	2	9
2014-03-30 10:18:26.16427	99922	20.5	1	9
2014-03-30 10:18:26.998631	99923	54	2	8
2014-03-30 10:18:27.219339	99924	20.2	1	8
2014-03-30 10:18:56.212691	99925	44	2	10
2014-03-30 10:18:56.444718	99926	21.6	1	10
2014-03-30 10:19:04.923571	99927	50	2	9
2014-03-30 10:19:05.147655	99928	20.5	1	9
2014-03-30 10:19:05.996888	99929	54	2	8
2014-03-30 10:19:06.229653	99930	20.1	1	8
2014-03-30 10:19:32.080468	99931	2382	3	2
2014-03-30 10:19:32.302995	99932	1128877.1918843274	4	2
2014-03-30 10:19:35.214994	99933	44	2	10
2014-03-30 10:19:35.448685	99934	21.5	1	10
2014-03-30 10:19:43.923173	99935	50	2	9
2014-03-30 10:19:44.146414	99936	20.5	1	9
2014-03-30 10:19:44.998825	99937	53	2	8
2014-03-30 10:19:45.247091	99938	20.1	1	8
2014-03-30 10:20:14.213937	99939	44	2	10
2014-03-30 10:20:14.439189	99940	21.5	1	10
2014-03-30 10:20:22.922852	99941	50	2	9
2014-03-30 10:20:23.153532	99942	20.5	1	9
2014-03-30 10:20:23.996773	99943	53	2	8
2014-03-30 10:20:24.219624	99944	20.0	1	8
2014-03-30 10:20:53.214925	99945	44	2	10
2014-03-30 10:20:53.448165	99946	21.5	1	10
2014-03-30 10:21:01.924321	99947	50	2	9
2014-03-30 10:21:02.146033	99948	20.6	1	9
2014-03-30 10:21:02.995723	99949	54	2	8
2014-03-30 10:21:03.227399	99950	20.0	1	8
2014-03-30 10:21:32.416388	99951	44	2	10
2014-03-30 10:21:32.639875	99952	21.5	1	10
2014-03-30 10:21:40.922399	99953	50	2	9
2014-03-30 10:21:41.154368	99954	20.6	1	9
2014-03-30 10:21:41.997733	99955	54	2	8
2014-03-30 10:21:42.218974	99956	20.0	1	8
2014-03-30 10:22:11.212606	99957	44	2	10
2014-03-30 10:22:11.444363	99958	21.5	1	10
2014-03-30 10:22:19.922667	99959	50	2	9
2014-03-30 10:22:20.143845	99960	20.6	1	9
2014-03-30 10:22:20.995494	99961	54	2	8
2014-03-30 10:22:21.227346	99962	20.0	1	8
2014-03-30 10:22:50.225131	99963	44	2	10
2014-03-30 10:22:50.448486	99964	21.5	1	10
2014-03-30 10:22:59.12566	99965	50	2	9
2014-03-30 10:22:59.35682	99966	20.6	1	9
2014-03-30 10:22:59.996457	99967	54	2	8
2014-03-30 10:23:00.216481	99968	20.0	1	8
2014-03-30 10:23:29.211196	99969	44	2	10
2014-03-30 10:23:29.443619	99970	21.5	1	10
2014-03-30 10:23:37.924809	99971	50	2	9
2014-03-30 10:23:38.147248	99972	20.6	1	9
2014-03-30 10:23:38.997655	99973	54	2	8
2014-03-30 10:23:39.228846	99974	20.0	1	8
2014-03-30 10:24:08.213167	99975	44	2	10
2014-03-30 10:24:08.433378	99976	21.5	1	10
2014-03-30 10:24:16.923193	99977	51	2	9
2014-03-30 10:24:17.157962	99978	20.6	1	9
2014-03-30 10:24:17.997068	99979	54	2	8
2014-03-30 10:24:18.219871	99980	20.0	1	8
2014-03-30 10:24:47.21672	99981	44	2	10
2014-03-30 10:24:47.44938	99982	21.5	1	10
2014-03-30 10:24:55.920793	99983	51	2	9
2014-03-30 10:24:56.142005	99984	20.6	1	9
2014-03-30 10:24:56.996551	99985	54	2	8
2014-03-30 10:24:57.241464	99986	20.0	1	8
2014-03-30 10:25:20.075828	99987	2237	3	2
2014-03-30 10:25:20.299504	99988	1129112.7484731697	4	2
2014-03-30 10:25:26.214565	99989	44	2	10
2014-03-30 10:25:26.447226	99990	21.5	1	10
2014-03-30 10:25:34.921722	99991	51	2	9
2014-03-30 10:25:35.142319	99992	20.6	1	9
2014-03-30 10:25:35.995385	99993	54	2	8
2014-03-30 10:25:36.226115	99994	20.0	1	8
2014-03-30 10:26:05.212491	99995	44	2	10
2014-03-30 10:26:05.434154	99996	21.5	1	10
2014-03-30 10:26:14.995943	99997	54	2	8
2014-03-30 10:26:15.228778	99998	20.0	1	8
2014-03-30 10:26:44.214926	99999	44	2	10
2014-03-30 10:26:44.43567	100000	21.5	1	10
2014-03-30 10:26:52.957571	100001	51	2	9
2014-03-30 10:26:53.206684	100002	20.7	1	9
2014-03-30 10:26:53.997298	100003	53	2	8
2014-03-30 10:26:54.217493	100004	20.0	1	8
2014-03-30 10:27:23.21545	100005	44	2	10
2014-03-30 10:27:23.45132	100006	21.5	1	10
2014-03-30 10:27:31.920571	100007	51	2	9
2014-03-30 10:27:32.162852	100008	20.7	1	9
2014-03-30 10:27:32.995396	100009	53	2	8
2014-03-30 10:27:33.225939	100010	20.0	1	8
2014-03-30 10:28:02.214332	100011	44	2	10
2014-03-30 10:28:02.437353	100012	21.4	1	10
2014-03-30 10:28:10.919926	100013	52	2	9
2014-03-30 10:28:11.152275	100014	20.7	1	9
2014-03-30 10:28:11.995974	100015	53	2	8
2014-03-30 10:28:12.217479	100016	20.0	1	8
2014-03-30 10:28:41.215828	100017	44	2	10
2014-03-30 10:28:41.446251	100018	21.4	1	10
2014-03-30 10:28:50.995542	100019	53	2	8
2014-03-30 10:28:51.21807	100020	19.9	1	8
2014-03-30 10:29:20.213253	100021	44	2	10
2014-03-30 10:29:20.446276	100022	21.4	1	10
2014-03-30 10:29:29.995885	100023	53	2	8
2014-03-30 10:29:30.219392	100024	19.8	1	8
2014-03-30 10:29:59.217666	100025	44	2	10
2014-03-30 10:29:59.450953	100026	21.4	1	10
2014-03-30 10:30:07.923026	100027	53	2	9
2014-03-30 10:30:08.147445	100028	20.8	1	9
2014-03-30 10:30:08.993307	100029	52	2	8
2014-03-30 10:30:09.228029	100030	19.8	1	8
2014-03-30 10:30:38.215399	100031	44	2	10
2014-03-30 10:30:38.438901	100032	21.4	1	10
2014-03-30 10:30:46.923153	100033	53	2	9
2014-03-30 10:30:47.168966	100034	20.8	1	9
2014-03-30 10:30:47.994146	100035	52	2	8
2014-03-30 10:30:48.216606	100036	19.8	1	8
2014-03-30 10:31:17.216303	100037	44	2	10
2014-03-30 10:31:17.451308	100038	21.4	1	10
2014-03-30 10:31:25.921841	100039	53	2	9
2014-03-30 10:31:26.145226	100040	20.8	1	9
2014-03-30 10:31:26.995321	100041	52	2	8
2014-03-30 10:31:27.228282	100042	19.7	1	8
2014-03-30 10:31:56.214877	100043	44	2	10
2014-03-30 10:31:56.43739	100044	21.4	1	10
2014-03-30 10:32:05.996297	100045	52	2	8
2014-03-30 10:32:06.226991	100046	19.7	1	8
2014-03-30 10:32:35.214826	100047	44	2	10
2014-03-30 10:32:35.435735	100048	21.4	1	10
2014-03-30 10:32:43.922331	100049	54	2	9
2014-03-30 10:32:44.155582	100050	20.9	1	9
2014-03-30 10:32:44.9958	100051	52	2	8
2014-03-30 10:32:45.216267	100052	19.7	1	8
2014-03-30 10:33:14.215009	100053	44	2	10
2014-03-30 10:33:14.448283	100054	21.4	1	10
2014-03-30 10:33:23.994204	100055	52	2	8
2014-03-30 10:33:24.273865	100056	19.6	1	8
2014-03-30 10:33:53.275211	100057	44	2	10
2014-03-30 10:33:53.507255	100058	21.4	1	10
2014-03-30 10:34:01.92569	100059	54	2	9
2014-03-30 10:34:02.147164	100060	20.9	1	9
2014-03-30 10:34:02.996918	100061	51	2	8
2014-03-30 10:34:03.227975	100062	19.6	1	8
2014-03-30 10:34:32.418787	100063	44	2	10
2014-03-30 10:34:32.639363	100064	21.4	1	10
2014-03-30 10:34:41.998108	100065	51	2	8
2014-03-30 10:34:42.231313	100066	19.5	1	8
2014-03-30 10:35:11.215992	100067	44	2	10
2014-03-30 10:35:11.437429	100068	21.3	1	10
2014-03-30 10:35:19.921559	100069	54	2	9
2014-03-30 10:35:20.155783	100070	21.0	1	9
2014-03-30 10:35:20.995426	100071	51	2	8
2014-03-30 10:35:21.219372	100072	19.5	1	8
2014-03-30 10:35:32.080966	100073	2430	3	2
2014-03-30 10:35:32.318531	100074	1129524.1073743887	4	2
2014-03-30 10:35:50.221689	100075	44	2	10
2014-03-30 10:35:50.443104	100076	21.3	1	10
2014-03-30 10:35:58.92269	100077	54	2	9
2014-03-30 10:35:59.153963	100078	21.0	1	9
2014-03-30 10:35:59.995146	100079	51	2	8
2014-03-30 10:36:00.215939	100080	19.4	1	8
2014-03-30 10:36:29.218005	100081	44	2	10
2014-03-30 10:36:29.469692	100082	21.3	1	10
2014-03-30 10:36:37.921863	100083	54	2	9
2014-03-30 10:36:38.143875	100084	21.0	1	9
2014-03-30 10:36:38.995517	100085	51	2	8
2014-03-30 10:36:39.227146	100086	19.4	1	8
2014-03-30 10:37:08.420034	100087	44	2	10
2014-03-30 10:37:08.64357	100088	21.3	1	10
2014-03-30 10:37:17.995359	100089	51	2	8
2014-03-30 10:37:18.226844	100090	19.3	1	8
2014-03-30 10:37:47.219676	100091	44	2	10
2014-03-30 10:37:47.443603	100092	21.3	1	10
2014-03-30 10:37:56.994602	100093	51	2	8
2014-03-30 10:37:57.22668	100094	19.3	1	8
2014-03-30 10:38:08.074897	100095	4249	3	2
2014-03-30 10:38:08.296506	100096	1129611.4384841684	4	2
2014-03-30 10:38:26.218849	100097	44	2	10
2014-03-30 10:38:26.451618	100098	21.3	1	10
2014-03-30 10:38:35.994744	100099	51	2	8
2014-03-30 10:38:36.215151	100100	19.3	1	8
2014-03-30 10:39:05.218293	100101	44	2	10
2014-03-30 10:39:05.450875	100102	21.3	1	10
2014-03-30 10:39:14.11851	100103	54	2	9
2014-03-30 10:39:14.340455	100104	21.3	1	9
2014-03-30 10:39:14.996232	100105	51	2	8
2014-03-30 10:39:15.227359	100106	19.2	1	8
2014-03-30 10:39:44.420971	100107	44	2	10
2014-03-30 10:39:44.643059	100108	21.3	1	10
2014-03-30 10:39:53.12265	100109	54	2	9
2014-03-30 10:39:53.407992	100110	21.4	1	9
2014-03-30 10:39:53.997356	100111	51	2	8
2014-03-30 10:39:54.216428	100112	19.2	1	8
2014-03-30 10:40:23.219636	100113	44	2	10
2014-03-30 10:40:23.453531	100114	21.3	1	10
2014-03-30 10:40:32.995992	100115	51	2	8
2014-03-30 10:40:33.21975	100116	19.2	1	8
2014-03-30 10:41:02.222121	100117	44	2	10
2014-03-30 10:41:02.463202	100118	21.4	1	10
2014-03-30 10:41:10.930143	100119	54	2	9
2014-03-30 10:41:11.151838	100120	21.6	1	9
2014-03-30 10:41:11.994543	100121	51	2	8
2014-03-30 10:41:12.229054	100122	19.2	1	8
2014-03-30 10:41:41.217147	100123	44	2	10
2014-03-30 10:41:41.440682	100124	21.3	1	10
2014-03-30 10:41:50.994727	100125	51	2	8
2014-03-30 10:41:51.228509	100126	19.1	1	8
2014-03-30 10:42:20.218531	100127	44	2	10
2014-03-30 10:42:20.442261	100128	21.3	1	10
2014-03-30 10:42:28.926076	100129	54	2	9
2014-03-30 10:42:29.170948	100130	21.7	1	9
2014-03-30 10:42:29.997062	100131	51	2	8
2014-03-30 10:42:30.218594	100132	19.1	1	8
2014-03-30 10:42:59.219469	100133	44	2	10
2014-03-30 10:42:59.453573	100134	21.3	1	10
2014-03-30 10:43:07.923474	100135	54	2	9
2014-03-30 10:43:08.148175	100136	21.7	1	9
2014-03-30 10:43:08.997178	100137	50	2	8
2014-03-30 10:43:09.229923	100138	19.1	1	8
2014-03-30 10:43:38.221248	100139	44	2	10
2014-03-30 10:43:38.443421	100140	21.3	1	10
2014-03-30 10:43:47.125365	100141	54	2	9
2014-03-30 10:43:47.356546	100142	21.7	1	9
2014-03-30 10:43:47.995639	100143	50	2	8
2014-03-30 10:43:48.220327	100144	19.1	1	8
2014-03-30 10:44:17.221108	100145	44	2	10
2014-03-30 10:44:17.453398	100146	21.3	1	10
2014-03-30 10:44:25.924805	100147	54	2	9
2014-03-30 10:44:26.147403	100148	21.7	1	9
2014-03-30 10:44:26.996193	100149	50	2	8
2014-03-30 10:44:27.229294	100150	19.0	1	8
2014-03-30 10:44:56.423457	100151	44	2	10
2014-03-30 10:44:56.648184	100152	21.3	1	10
2014-03-30 10:45:04.926415	100153	54	2	9
2014-03-30 10:45:05.158042	100154	21.7	1	9
2014-03-30 10:45:05.996902	100155	50	2	8
2014-03-30 10:45:06.219558	100156	19.0	1	8
2014-03-30 10:45:35.221911	100157	44	2	10
2014-03-30 10:45:35.453779	100158	21.3	1	10
2014-03-30 10:45:43.926811	100159	54	2	9
2014-03-30 10:45:44.154612	100160	21.7	1	9
2014-03-30 10:45:44.996097	100161	50	2	8
2014-03-30 10:45:45.228897	100162	19.0	1	8
2014-03-30 10:46:14.219499	100163	44	2	10
2014-03-30 10:46:14.44232	100164	21.3	1	10
2014-03-30 10:46:22.926067	100165	54	2	9
2014-03-30 10:46:23.160972	100166	21.7	1	9
2014-03-30 10:46:23.99576	100167	50	2	8
2014-03-30 10:46:24.219601	100168	18.9	1	8
2014-03-30 10:46:53.222509	100169	44	2	10
2014-03-30 10:46:53.45575	100170	21.3	1	10
2014-03-30 10:47:01.925373	100171	54	2	9
2014-03-30 10:47:02.149198	100172	21.7	1	9
2014-03-30 10:47:02.99723	100173	50	2	8
2014-03-30 10:47:03.232149	100174	18.9	1	8
2014-03-30 10:47:32.222397	100175	44	2	10
2014-03-30 10:47:32.449608	100176	21.3	1	10
2014-03-30 10:47:40.924105	100177	54	2	9
2014-03-30 10:47:41.170352	100178	21.7	1	9
2014-03-30 10:47:41.994835	100179	50	2	8
2014-03-30 10:47:42.21695	100180	18.9	1	8
2014-03-30 10:48:11.221463	100181	44	2	10
2014-03-30 10:48:11.453358	100182	21.4	1	10
2014-03-30 10:48:19.92252	100183	54	2	9
2014-03-30 10:48:20.143962	100184	21.6	1	9
2014-03-30 10:48:20.995659	100185	50	2	8
2014-03-30 10:48:21.227051	100186	18.9	1	8
2014-03-30 10:48:50.221453	100187	44	2	10
2014-03-30 10:48:50.441779	100188	21.4	1	10
2014-03-30 10:48:58.922486	100189	54	2	9
2014-03-30 10:48:59.153231	100190	21.6	1	9
2014-03-30 10:48:59.994482	100191	50	2	8
2014-03-30 10:49:00.215071	100192	18.9	1	8
2014-03-30 10:49:29.22198	100193	44	2	10
2014-03-30 10:49:29.453538	100194	21.4	1	10
2014-03-30 10:49:37.92256	100195	53	2	9
2014-03-30 10:49:38.14391	100196	21.6	1	9
2014-03-30 10:49:38.994414	100197	50	2	8
2014-03-30 10:49:39.227002	100198	18.9	1	8
2014-03-30 10:50:08.222043	100199	44	2	10
2014-03-30 10:50:08.443545	100200	21.4	1	10
2014-03-30 10:50:16.923855	100201	53	2	9
2014-03-30 10:50:17.157071	100202	21.6	1	9
2014-03-30 10:50:17.997593	100203	50	2	8
2014-03-30 10:50:18.218969	100204	18.8	1	8
2014-03-30 10:50:47.222969	100205	44	2	10
2014-03-30 10:50:47.454345	100206	21.4	1	10
2014-03-30 10:50:55.923757	100207	53	2	9
2014-03-30 10:50:56.14849	100208	21.5	1	9
2014-03-30 10:50:56.995981	100209	50	2	8
2014-03-30 10:50:57.230832	100210	18.8	1	8
2014-03-30 10:51:26.223388	100211	44	2	10
2014-03-30 10:51:26.445923	100212	21.4	1	10
2014-03-30 10:51:34.921524	100213	53	2	9
2014-03-30 10:51:35.156201	100214	21.5	1	9
2014-03-30 10:51:35.99586	100215	50	2	8
2014-03-30 10:51:36.219129	100216	18.8	1	8
2014-03-30 10:52:05.224621	100217	44	2	10
2014-03-30 10:52:05.457602	100218	21.4	1	10
2014-03-30 10:52:13.924595	100219	53	2	9
2014-03-30 10:52:14.147793	100220	21.5	1	9
2014-03-30 10:52:14.992584	100221	50	2	8
2014-03-30 10:52:15.22313	100222	18.7	1	8
2014-03-30 10:52:44.222019	100223	44	2	10
2014-03-30 10:52:44.44713	100224	21.4	1	10
2014-03-30 10:52:52.923243	100225	53	2	9
2014-03-30 10:52:53.165993	100226	21.5	1	9
2014-03-30 10:52:54.197665	100227	50	2	8
2014-03-30 10:52:54.423234	100228	18.7	1	8
2014-03-30 10:53:23.222417	100229	44	2	10
2014-03-30 10:53:23.456682	100230	21.4	1	10
2014-03-30 10:53:31.922669	100231	53	2	9
2014-03-30 10:53:32.147017	100232	21.4	1	9
2014-03-30 10:53:33.196671	100233	50	2	8
2014-03-30 10:53:33.428577	100234	18.7	1	8
2014-03-30 10:54:02.225118	100235	44	2	10
2014-03-30 10:54:02.4465	100236	21.4	1	10
2014-03-30 10:54:10.921439	100237	52	2	9
2014-03-30 10:54:11.153551	100238	21.4	1	9
2014-03-30 10:54:11.995021	100239	50	2	8
2014-03-30 10:54:12.216197	100240	18.7	1	8
2014-03-30 10:54:41.225523	100241	44	2	10
2014-03-30 10:54:41.457276	100242	21.4	1	10
2014-03-30 10:54:49.924619	100243	52	2	9
2014-03-30 10:54:50.148065	100244	21.4	1	9
2014-03-30 10:54:50.995151	100245	50	2	8
2014-03-30 10:54:51.226896	100246	18.7	1	8
2014-03-30 10:55:20.222612	100247	44	2	10
2014-03-30 10:55:20.44519	100248	21.4	1	10
2014-03-30 10:55:28.925121	100249	52	2	9
2014-03-30 10:55:29.1587	100250	21.4	1	9
2014-03-30 10:55:29.996664	100251	49	2	8
2014-03-30 10:55:30.219113	100252	18.6	1	8
2014-03-30 10:55:59.231809	100253	44	2	10
2014-03-30 10:55:59.463052	100254	21.3	1	10
2014-03-30 10:56:07.924431	100255	52	2	9
2014-03-30 10:56:08.148488	100256	21.4	1	9
2014-03-30 10:56:08.998582	100257	49	2	8
2014-03-30 10:56:09.231259	100258	18.6	1	8
2014-03-30 10:56:38.225546	100259	44	2	10
2014-03-30 10:56:38.448146	100260	21.3	1	10
2014-03-30 10:56:46.924103	100261	52	2	9
2014-03-30 10:56:47.154733	100262	21.3	1	9
2014-03-30 10:56:47.994036	100263	49	2	8
2014-03-30 10:56:48.216777	100264	18.5	1	8
2014-03-30 10:56:59.939569	100265	49	2	1
2014-03-30 10:57:00.173328	100266	19.3	1	1
2014-03-30 10:57:17.225618	100267	44	2	10
2014-03-30 10:57:17.448257	100268	21.3	1	10
2014-03-30 10:57:25.925048	100269	52	2	9
2014-03-30 10:57:26.156816	100270	21.3	1	9
2014-03-30 10:57:26.994164	100271	49	2	8
2014-03-30 10:57:27.217456	100272	18.5	1	8
2014-03-30 10:57:56.224082	100273	44	2	10
2014-03-30 10:57:56.471361	100274	21.3	1	10
2014-03-30 10:58:04.924565	100275	52	2	9
2014-03-30 10:58:05.146905	100276	21.3	1	9
2014-03-30 10:58:05.994647	100277	49	2	8
2014-03-30 10:58:06.228892	100278	18.4	1	8
2014-03-30 10:58:35.225094	100279	44	2	10
2014-03-30 10:58:35.449882	100280	21.3	1	10
2014-03-30 10:58:43.928524	100281	51	2	9
2014-03-30 10:58:44.162018	100282	21.3	1	9
2014-03-30 10:58:44.991965	100283	49	2	8
2014-03-30 10:58:45.214878	100284	18.4	1	8
2014-03-30 10:59:14.224569	100285	44	2	10
2014-03-30 10:59:14.456858	100286	21.3	1	10
2014-03-30 10:59:22.929647	100287	51	2	9
2014-03-30 10:59:23.154233	100288	21.3	1	9
2014-03-30 10:59:23.994659	100289	49	2	8
2014-03-30 10:59:24.226365	100290	18.4	1	8
2014-03-30 10:59:53.226457	100291	44	2	10
2014-03-30 10:59:53.451072	100292	21.3	1	10
2014-03-30 11:00:01.93014	100293	51	2	9
2014-03-30 11:00:02.164532	100294	21.3	1	9
2014-03-30 11:00:02.996846	100295	49	2	8
2014-03-30 11:00:03.221253	100296	18.4	1	8
2014-03-30 11:00:32.226501	100297	44	2	10
2014-03-30 11:00:32.461025	100298	21.3	1	10
2014-03-30 11:00:40.927093	100299	51	2	9
2014-03-30 11:00:41.14884	100300	21.2	1	9
2014-03-30 11:00:41.995974	100301	49	2	8
2014-03-30 11:00:42.229265	100302	18.4	1	8
2014-03-30 11:01:11.22569	100303	44	2	10
2014-03-30 11:01:11.447804	100304	21.3	1	10
2014-03-30 11:01:19.923703	100305	51	2	9
2014-03-30 11:01:20.157641	100306	21.2	1	9
2014-03-30 11:01:20.996993	100307	49	2	8
2014-03-30 11:01:21.222145	100308	18.4	1	8
2014-03-30 11:01:50.226571	100309	44	2	10
2014-03-30 11:01:50.457827	100310	21.3	1	10
2014-03-30 11:01:58.924975	100311	51	2	9
2014-03-30 11:01:59.149256	100312	21.2	1	9
2014-03-30 11:01:59.996398	100313	49	2	8
2014-03-30 11:02:00.229878	100314	18.4	1	8
2014-03-30 11:02:29.229664	100315	44	2	10
2014-03-30 11:02:29.453359	100316	21.3	1	10
2014-03-30 11:02:37.923897	100317	51	2	9
2014-03-30 11:02:38.178007	100318	21.2	1	9
2014-03-30 11:02:38.995891	100319	49	2	8
2014-03-30 11:02:39.220577	100320	18.4	1	8
2014-03-30 11:03:08.225983	100321	44	2	10
2014-03-30 11:03:08.472876	100322	21.3	1	10
2014-03-30 11:03:16.922583	100323	51	2	9
2014-03-30 11:03:17.145045	100324	21.2	1	9
2014-03-30 11:03:17.993832	100325	49	2	8
2014-03-30 11:03:18.224282	100326	18.3	1	8
2014-03-30 11:03:47.224917	100327	44	2	10
2014-03-30 11:03:47.448993	100328	21.3	1	10
2014-03-30 11:03:55.92413	100329	51	2	9
2014-03-30 11:03:56.156259	100330	21.2	1	9
2014-03-30 11:03:56.994805	100331	49	2	8
2014-03-30 11:03:57.217173	100332	18.3	1	8
2014-03-30 11:04:26.225774	100333	44	2	10
2014-03-30 11:04:26.458081	100334	21.2	1	10
2014-03-30 11:04:34.922265	100335	51	2	9
2014-03-30 11:04:35.143731	100336	21.1	1	9
2014-03-30 11:04:35.995334	100337	49	2	8
2014-03-30 11:04:36.227743	100338	18.3	1	8
2014-03-30 11:05:05.226032	100339	44	2	10
2014-03-30 11:05:05.45623	100340	21.2	1	10
2014-03-30 11:05:13.923716	100341	51	2	9
2014-03-30 11:05:14.15978	100342	21.1	1	9
2014-03-30 11:05:14.994964	100343	49	2	8
2014-03-30 11:05:15.217095	100344	18.3	1	8
2014-03-30 11:05:44.227372	100345	44	2	10
2014-03-30 11:05:44.460717	100346	21.2	1	10
2014-03-30 11:05:52.926161	100347	51	2	9
2014-03-30 11:05:53.14742	100348	21.1	1	9
2014-03-30 11:05:53.995417	100349	49	2	8
2014-03-30 11:05:54.288787	100350	18.4	1	8
2014-03-30 11:06:23.22914	100351	44	2	10
2014-03-30 11:06:23.45229	100352	21.2	1	10
2014-03-30 11:06:31.924668	100353	50	2	9
2014-03-30 11:06:32.157209	100354	21.1	1	9
2014-03-30 11:06:32.996292	100355	49	2	8
2014-03-30 11:06:33.217364	100356	18.4	1	8
2014-03-30 11:07:02.227728	100357	44	2	10
2014-03-30 11:07:02.461957	100358	21.2	1	10
2014-03-30 11:07:10.929482	100359	50	2	9
2014-03-30 11:07:11.153555	100360	21.1	1	9
2014-03-30 11:07:11.99426	100361	49	2	8
2014-03-30 11:07:12.227885	100362	18.4	1	8
2014-03-30 11:07:41.228501	100363	44	2	10
2014-03-30 11:07:41.451548	100364	21.2	1	10
2014-03-30 11:07:50.12513	100365	50	2	9
2014-03-30 11:07:50.361593	100366	21.1	1	9
2014-03-30 11:07:50.992883	100367	49	2	8
2014-03-30 11:07:51.217271	100368	18.4	1	8
2014-03-30 11:08:20.229032	100369	44	2	10
2014-03-30 11:08:20.475234	100370	21.2	1	10
2014-03-30 11:08:28.923114	100371	50	2	9
2014-03-30 11:08:29.145773	100372	21.1	1	9
2014-03-30 11:08:29.994933	100373	49	2	8
2014-03-30 11:08:30.226084	100374	18.4	1	8
2014-03-30 11:08:59.226061	100375	44	2	10
2014-03-30 11:08:59.460962	100376	21.2	1	10
2014-03-30 11:09:07.924679	100377	50	2	9
2014-03-30 11:09:08.157528	100378	21.1	1	9
2014-03-30 11:09:08.995058	100379	49	2	8
2014-03-30 11:09:09.217304	100380	18.4	1	8
2014-03-30 11:09:38.227124	100381	44	2	10
2014-03-30 11:09:38.459952	100382	21.2	1	10
2014-03-30 11:09:46.922644	100383	50	2	9
2014-03-30 11:09:47.147271	100384	21.1	1	9
2014-03-30 11:09:47.994617	100385	49	2	8
2014-03-30 11:09:48.227136	100386	18.4	1	8
2014-03-30 11:10:17.229053	100387	44	2	10
2014-03-30 11:10:17.452866	100388	21.2	1	10
2014-03-30 11:10:25.923297	100389	50	2	9
2014-03-30 11:10:26.153812	100390	21.1	1	9
2014-03-30 11:10:26.994941	100391	49	2	8
2014-03-30 11:10:27.216372	100392	18.4	1	8
2014-03-30 11:10:56.228427	100393	44	2	10
2014-03-30 11:10:56.461032	100394	21.2	1	10
2014-03-30 11:11:04.924164	100395	50	2	9
2014-03-30 11:11:05.148877	100396	21.0	1	9
2014-03-30 11:11:05.996013	100397	49	2	8
2014-03-30 11:11:06.228637	100398	18.4	1	8
2014-03-30 11:11:35.229203	100399	44	2	10
2014-03-30 11:11:35.451678	100400	21.2	1	10
2014-03-30 11:11:43.926841	100401	50	2	9
2014-03-30 11:11:44.159939	100402	21.0	1	9
2014-03-30 11:11:45.198599	100403	49	2	8
2014-03-30 11:11:45.420312	100404	18.4	1	8
2014-03-30 11:12:14.228208	100405	44	2	10
2014-03-30 11:12:14.459771	100406	21.2	1	10
2014-03-30 11:12:22.923111	100407	50	2	9
2014-03-30 11:12:23.149362	100408	21.0	1	9
2014-03-30 11:12:23.998652	100409	49	2	8
2014-03-30 11:12:24.233208	100410	18.4	1	8
2014-03-30 11:12:53.232725	100411	44	2	10
2014-03-30 11:12:53.457597	100412	21.2	1	10
2014-03-30 11:13:01.925138	100413	50	2	9
2014-03-30 11:13:02.159029	100414	21.0	1	9
2014-03-30 11:13:02.994611	100415	49	2	8
2014-03-30 11:13:03.223652	100416	18.5	1	8
2014-03-30 11:13:32.231572	100417	44	2	10
2014-03-30 11:13:32.473963	100418	21.2	1	10
2014-03-30 11:13:40.920825	100419	50	2	9
2014-03-30 11:13:41.143022	100420	21.0	1	9
2014-03-30 11:13:41.995143	100421	49	2	8
2014-03-30 11:13:42.226667	100422	18.5	1	8
2014-03-30 11:14:11.228971	100423	44	2	10
2014-03-30 11:14:11.459121	100424	21.2	1	10
2014-03-30 11:14:19.924019	100425	50	2	9
2014-03-30 11:14:20.15609	100426	21.0	1	9
2014-03-30 11:14:20.993649	100427	49	2	8
2014-03-30 11:14:21.21556	100428	18.5	1	8
2014-03-30 11:14:50.228995	100429	44	2	10
2014-03-30 11:14:50.462366	100430	21.2	1	10
2014-03-30 11:14:58.923493	100431	50	2	9
2014-03-30 11:14:59.145516	100432	21.0	1	9
2014-03-30 11:14:59.994525	100433	49	2	8
2014-03-30 11:15:00.227333	100434	18.5	1	8
2014-03-30 11:15:29.22969	100435	44	2	10
2014-03-30 11:15:29.452042	100436	21.2	1	10
2014-03-30 11:15:37.924222	100437	50	2	9
2014-03-30 11:15:38.157692	100438	21.0	1	9
2014-03-30 11:15:38.996313	100439	49	2	8
2014-03-30 11:15:39.217061	100440	18.6	1	8
2014-03-30 11:16:08.230728	100441	44	2	10
2014-03-30 11:16:08.463215	100442	21.2	1	10
2014-03-30 11:16:16.922941	100443	50	2	9
2014-03-30 11:16:17.168657	100444	21.0	1	9
2014-03-30 11:16:18.199316	100445	49	2	8
2014-03-30 11:16:18.465834	100446	18.6	1	8
2014-03-30 11:16:47.230151	100447	44	2	10
2014-03-30 11:16:47.503338	100448	21.2	1	10
2014-03-30 11:16:55.926262	100449	50	2	9
2014-03-30 11:16:56.192627	100450	21.0	1	9
2014-03-30 11:16:56.994613	100451	49	2	8
2014-03-30 11:16:57.235833	100452	18.6	1	8
2014-03-30 11:17:26.229884	100453	44	2	10
2014-03-30 11:17:26.497472	100454	21.2	1	10
2014-03-30 11:17:34.923579	100455	50	2	9
2014-03-30 11:17:35.205817	100456	21.0	1	9
2014-03-30 11:17:35.997799	100457	49	2	8
2014-03-30 11:17:36.263154	100458	18.6	1	8
2014-03-30 11:18:05.229592	100459	44	2	10
2014-03-30 11:18:05.453488	100460	21.1	1	10
2014-03-30 11:18:13.920793	100461	50	2	9
2014-03-30 11:18:14.155056	100462	21.0	1	9
2014-03-30 11:18:14.993029	100463	49	2	8
2014-03-30 11:18:15.215667	100464	18.6	1	8
2014-03-30 11:18:44.232415	100465	44	2	10
2014-03-30 11:18:44.476164	100466	21.1	1	10
2014-03-30 11:18:52.922334	100467	50	2	9
2014-03-30 11:18:53.146603	100468	20.9	1	9
2014-03-30 11:18:53.993973	100469	49	2	8
2014-03-30 11:18:54.246879	100470	18.6	1	8
2014-03-30 11:19:23.23069	100471	44	2	10
2014-03-30 11:19:23.455528	100472	21.1	1	10
2014-03-30 11:19:31.922401	100473	50	2	9
2014-03-30 11:19:32.154835	100474	20.9	1	9
2014-03-30 11:19:33.196028	100475	49	2	8
2014-03-30 11:19:33.422223	100476	18.6	1	8
2014-03-30 11:20:02.361221	100477	44	2	10
2014-03-30 11:20:02.800498	100478	21.1	1	10
2014-03-30 11:20:11.04991	100479	50	2	9
2014-03-30 11:20:11.469985	100480	20.9	1	9
2014-03-30 11:20:12.130004	100481	49	2	8
2014-03-30 11:20:12.560076	100482	18.6	1	8
2014-03-30 11:20:41.231186	100483	44	2	10
2014-03-30 11:20:41.453395	100484	21.1	1	10
2014-03-30 11:20:49.92336	100485	50	2	9
2014-03-30 11:20:50.156097	100486	20.9	1	9
2014-03-30 11:20:50.995835	100487	49	2	8
2014-03-30 11:20:51.219069	100488	18.6	1	8
2014-03-30 11:21:20.232283	100489	44	2	10
2014-03-30 11:21:20.464508	100490	21.1	1	10
2014-03-30 11:21:28.924432	100491	50	2	9
2014-03-30 11:21:29.14674	100492	20.9	1	9
2014-03-30 11:21:29.994589	100493	49	2	8
2014-03-30 11:21:30.22694	100494	18.6	1	8
2014-03-30 11:21:59.230599	100495	44	2	10
2014-03-30 11:21:59.453365	100496	21.1	1	10
2014-03-30 11:22:07.928195	100497	50	2	9
2014-03-30 11:22:08.159519	100498	20.9	1	9
2014-03-30 11:22:08.993908	100499	49	2	8
2014-03-30 11:22:09.216025	100500	18.6	1	8
2014-03-30 11:22:38.231472	100501	44	2	10
2014-03-30 11:22:38.467874	100502	21.1	1	10
2014-03-30 11:22:46.921756	100503	50	2	9
2014-03-30 11:22:47.147064	100504	20.9	1	9
2014-03-30 11:22:47.996965	100505	49	2	8
2014-03-30 11:22:48.228096	100506	18.6	1	8
2014-03-30 11:23:17.232148	100507	44	2	10
2014-03-30 11:23:17.456697	100508	21.2	1	10
2014-03-30 11:23:25.983107	100509	50	2	9
2014-03-30 11:23:26.21942	100510	20.9	1	9
2014-03-30 11:23:26.993543	100511	49	2	8
2014-03-30 11:23:27.217169	100512	18.6	1	8
2014-03-30 11:23:56.233942	100513	44	2	10
2014-03-30 11:23:56.478406	100514	21.2	1	10
2014-03-30 11:24:04.923824	100515	50	2	9
2014-03-30 11:24:05.147636	100516	20.9	1	9
2014-03-30 11:24:05.993699	100517	49	2	8
2014-03-30 11:24:06.228719	100518	18.6	1	8
2014-03-30 11:24:43.724818	100519	44	2	10
2014-03-30 11:24:43.948181	100520	21.2	1	10
2014-03-30 11:24:44.251632	100521	50	2	9
2014-03-30 11:24:44.48757	100522	20.9	1	9
2014-03-30 11:24:44.992685	100523	49	2	8
2014-03-30 11:24:45.214496	100524	18.6	1	8
2014-03-30 11:25:14.232773	100525	44	2	10
2014-03-30 11:25:14.46765	100526	21.2	1	10
2014-03-30 11:25:22.922908	100527	50	2	9
2014-03-30 11:25:23.14416	100528	20.9	1	9
2014-03-30 11:25:23.994233	100529	49	2	8
2014-03-30 11:25:24.224389	100530	18.7	1	8
2014-03-30 11:25:53.232508	100531	44	2	10
2014-03-30 11:25:53.45679	100532	21.2	1	10
2014-03-30 11:26:01.922959	100533	50	2	9
2014-03-30 11:26:02.156997	100534	20.9	1	9
2014-03-30 11:26:02.994515	100535	49	2	8
2014-03-30 11:26:03.217214	100536	18.7	1	8
2014-03-30 11:26:32.232352	100537	44	2	10
2014-03-30 11:26:32.463798	100538	21.2	1	10
2014-03-30 11:26:40.921562	100539	50	2	9
2014-03-30 11:26:41.147813	100540	20.9	1	9
2014-03-30 11:26:41.994026	100541	49	2	8
2014-03-30 11:26:42.2268	100542	18.7	1	8
2014-03-30 11:27:11.233038	100543	44	2	10
2014-03-30 11:27:11.457434	100544	21.2	1	10
2014-03-30 11:27:19.923894	100545	50	2	9
2014-03-30 11:27:20.157801	100546	20.9	1	9
2014-03-30 11:27:20.993546	100547	49	2	8
2014-03-30 11:27:21.217476	100548	18.7	1	8
2014-03-30 11:27:50.231735	100549	44	2	10
2014-03-30 11:27:50.467758	100550	21.2	1	10
2014-03-30 11:27:58.930928	100551	50	2	9
2014-03-30 11:27:59.154266	100552	20.8	1	9
2014-03-30 11:27:59.997555	100553	49	2	8
2014-03-30 11:28:00.231868	100554	18.7	1	8
2014-03-30 11:28:29.232879	100555	44	2	10
2014-03-30 11:28:29.47738	100556	21.2	1	10
2014-03-30 11:28:37.921819	100557	50	2	9
2014-03-30 11:28:38.163069	100558	20.8	1	9
2014-03-30 11:28:38.995015	100559	48	2	8
2014-03-30 11:28:39.218579	100560	18.6	1	8
2014-03-30 11:29:08.235389	100561	44	2	10
2014-03-30 11:29:08.477673	100562	21.2	1	10
2014-03-30 11:29:16.921756	100563	50	2	9
2014-03-30 11:29:17.144865	100564	20.8	1	9
2014-03-30 11:29:17.994844	100565	48	2	8
2014-03-30 11:29:18.419415	100566	18.6	1	8
2014-03-30 11:29:47.232443	100567	44	2	10
2014-03-30 11:29:47.455149	100568	21.2	1	10
2014-03-30 11:29:55.926373	100569	50	2	9
2014-03-30 11:29:56.147844	100570	20.8	1	9
2014-03-30 11:29:56.992597	100571	48	2	8
2014-03-30 11:29:57.221314	100572	18.5	1	8
2014-03-30 11:30:26.250258	100573	44	2	10
2014-03-30 11:30:26.471544	100574	21.2	1	10
2014-03-30 11:30:34.919905	100575	50	2	9
2014-03-30 11:30:35.150312	100576	20.8	1	9
2014-03-30 11:30:35.995732	100577	48	2	8
2014-03-30 11:30:36.215801	100578	18.5	1	8
2014-03-30 11:31:05.23252	100579	44	2	10
2014-03-30 11:31:05.463231	100580	21.2	1	10
2014-03-30 11:31:13.920491	100581	49	2	9
2014-03-30 11:31:14.142263	100582	20.8	1	9
2014-03-30 11:31:15.197958	100583	48	2	8
2014-03-30 11:31:15.428264	100584	18.4	1	8
2014-03-30 11:31:44.233977	100585	44	2	10
2014-03-30 11:31:44.4552	100586	21.2	1	10
2014-03-30 11:31:52.920004	100587	49	2	9
2014-03-30 11:31:53.150137	100588	20.8	1	9
2014-03-30 11:31:53.99393	100589	48	2	8
2014-03-30 11:31:54.214869	100590	18.4	1	8
2014-03-30 11:32:23.233802	100591	44	2	10
2014-03-30 11:32:23.46435	100592	21.1	1	10
2014-03-30 11:32:31.92107	100593	49	2	9
2014-03-30 11:32:32.142575	100594	20.8	1	9
2014-03-30 11:32:32.993305	100595	48	2	8
2014-03-30 11:32:33.222454	100596	18.4	1	8
2014-03-30 11:33:02.233569	100597	44	2	10
2014-03-30 11:33:02.455591	100598	21.1	1	10
2014-03-30 11:33:10.924182	100599	49	2	9
2014-03-30 11:33:11.154911	100600	20.8	1	9
2014-03-30 11:33:11.995026	100601	48	2	8
2014-03-30 11:33:12.215336	100602	18.3	1	8
2014-03-30 11:33:41.233878	100603	44	2	10
2014-03-30 11:33:41.46475	100604	21.1	1	10
2014-03-30 11:33:49.921078	100605	49	2	9
2014-03-30 11:33:50.146254	100606	20.8	1	9
2014-03-30 11:33:50.995408	100607	48	2	8
2014-03-30 11:33:51.226479	100608	18.3	1	8
2014-03-30 11:34:20.233072	100609	44	2	10
2014-03-30 11:34:20.454586	100610	21.1	1	10
2014-03-30 11:34:28.921959	100611	49	2	9
2014-03-30 11:34:29.165943	100612	20.7	1	9
2014-03-30 11:34:29.993893	100613	48	2	8
2014-03-30 11:34:30.21524	100614	18.3	1	8
2014-03-30 11:34:59.237144	100615	44	2	10
2014-03-30 11:34:59.46787	100616	21.1	1	10
2014-03-30 11:35:07.923478	100617	49	2	9
2014-03-30 11:35:08.14455	100618	20.7	1	9
2014-03-30 11:35:08.993093	100619	48	2	8
2014-03-30 11:35:09.224236	100620	18.2	1	8
2014-03-30 11:35:38.235156	100621	44	2	10
2014-03-30 11:35:38.459313	100622	21.1	1	10
2014-03-30 11:35:46.919803	100623	49	2	9
2014-03-30 11:35:47.150438	100624	20.7	1	9
2014-03-30 11:35:47.993545	100625	48	2	8
2014-03-30 11:35:48.214139	100626	18.2	1	8
2014-03-30 11:36:17.234512	100627	44	2	10
2014-03-30 11:36:17.466313	100628	21.1	1	10
2014-03-30 11:36:25.923382	100629	49	2	9
2014-03-30 11:36:26.145309	100630	20.7	1	9
2014-03-30 11:36:26.993827	100631	48	2	8
2014-03-30 11:36:27.224311	100632	18.2	1	8
2014-03-30 11:36:56.23681	100633	44	2	10
2014-03-30 11:36:56.457555	100634	21.1	1	10
2014-03-30 11:37:04.919841	100635	49	2	9
2014-03-30 11:37:05.150451	100636	20.7	1	9
2014-03-30 11:37:05.993449	100637	48	2	8
2014-03-30 11:37:06.214552	100638	18.2	1	8
2014-03-30 11:37:35.23452	100639	44	2	10
2014-03-30 11:37:35.466081	100640	21.1	1	10
2014-03-30 11:37:43.922952	100641	49	2	9
2014-03-30 11:37:44.146	100642	20.7	1	9
2014-03-30 11:37:44.99269	100643	48	2	8
2014-03-30 11:37:45.22332	100644	18.2	1	8
2014-03-30 11:38:14.236904	100645	44	2	10
2014-03-30 11:38:14.459708	100646	21.1	1	10
2014-03-30 11:38:22.922016	100647	49	2	9
2014-03-30 11:38:23.151365	100648	20.7	1	9
2014-03-30 11:38:23.994772	100649	48	2	8
2014-03-30 11:38:24.214732	100650	18.2	1	8
2014-03-30 11:38:53.23594	100651	44	2	10
2014-03-30 11:38:53.468016	100652	21.1	1	10
2014-03-30 11:39:01.918583	100653	49	2	9
2014-03-30 11:39:02.141887	100654	20.7	1	9
2014-03-30 11:39:02.9956	100655	48	2	8
2014-03-30 11:39:03.227234	100656	18.2	1	8
2014-03-30 11:39:32.236137	100657	44	2	10
2014-03-30 11:39:32.458216	100658	21.1	1	10
2014-03-30 11:39:40.921703	100659	49	2	9
2014-03-30 11:39:41.166893	100660	20.7	1	9
2014-03-30 11:39:41.994193	100661	48	2	8
2014-03-30 11:39:42.217871	100662	18.2	1	8
2014-03-30 11:40:11.238317	100663	44	2	10
2014-03-30 11:40:11.469974	100664	21.1	1	10
2014-03-30 11:40:19.919994	100665	49	2	9
2014-03-30 11:40:20.14294	100666	20.7	1	9
2014-03-30 11:40:20.991893	100667	48	2	8
2014-03-30 11:40:21.225094	100668	18.3	1	8
2014-03-30 11:40:50.237677	100669	44	2	10
2014-03-30 11:40:50.461334	100670	21.1	1	10
2014-03-30 11:40:58.922692	100671	49	2	9
2014-03-30 11:40:59.153853	100672	20.7	1	9
2014-03-30 11:40:59.993297	100673	48	2	8
2014-03-30 11:41:00.215369	100674	18.3	1	8
2014-03-30 11:41:11.675863	100675	49	2	1
2014-03-30 11:41:11.907296	100676	19.1	1	1
2014-03-30 11:41:29.236676	100677	44	2	10
2014-03-30 11:41:29.461132	100678	21.1	1	10
2014-03-30 11:41:37.923998	100679	49	2	9
2014-03-30 11:41:38.155286	100680	20.7	1	9
2014-03-30 11:41:38.994496	100681	48	2	8
2014-03-30 11:41:39.21459	100682	18.3	1	8
2014-03-30 11:42:08.236228	100683	44	2	10
2014-03-30 11:42:08.469667	100684	21.1	1	10
2014-03-30 11:42:16.920832	100685	49	2	9
2014-03-30 11:42:17.141105	100686	20.7	1	9
2014-03-30 11:42:17.993813	100687	48	2	8
2014-03-30 11:42:18.225608	100688	18.3	1	8
2014-03-30 11:42:47.237715	100689	44	2	10
2014-03-30 11:42:47.46218	100690	21.1	1	10
2014-03-30 11:42:55.919088	100691	49	2	9
2014-03-30 11:42:56.150497	100692	20.6	1	9
2014-03-30 11:42:56.995751	100693	48	2	8
2014-03-30 11:42:57.216216	100694	18.3	1	8
2014-03-30 11:43:26.236413	100695	44	2	10
2014-03-30 11:43:26.468205	100696	21.1	1	10
2014-03-30 11:43:34.935725	100697	49	2	9
2014-03-30 11:43:35.157708	100698	20.6	1	9
2014-03-30 11:43:35.993999	100699	48	2	8
2014-03-30 11:43:36.22499	100700	18.3	1	8
2014-03-30 11:44:05.237093	100701	44	2	10
2014-03-30 11:44:05.459581	100702	21.1	1	10
2014-03-30 11:44:13.92257	100703	49	2	9
2014-03-30 11:44:14.154354	100704	20.6	1	9
2014-03-30 11:44:15.004	100705	48	2	8
2014-03-30 11:44:15.225316	100706	18.3	1	8
2014-03-30 11:44:44.236588	100707	44	2	10
2014-03-30 11:44:44.478104	100708	21.1	1	10
2014-03-30 11:44:52.920221	100709	49	2	9
2014-03-30 11:44:53.145214	100710	20.6	1	9
2014-03-30 11:44:53.99379	100711	48	2	8
2014-03-30 11:44:54.228258	100712	18.3	1	8
2014-03-30 11:45:23.239043	100713	44	2	10
2014-03-30 11:45:23.4608	100714	21.1	1	10
2014-03-30 11:45:32.993348	100715	48	2	8
2014-03-30 11:45:33.225985	100716	18.3	1	8
2014-03-30 11:46:02.2387	100717	44	2	10
2014-03-30 11:46:02.462945	100718	21.1	1	10
2014-03-30 11:46:10.922594	100719	49	2	9
2014-03-30 11:46:11.153407	100720	20.6	1	9
2014-03-30 11:46:11.994203	100721	48	2	8
2014-03-30 11:46:12.214917	100722	18.3	1	8
2014-03-30 11:46:41.238562	100723	44	2	10
2014-03-30 11:46:41.470594	100724	21.1	1	10
2014-03-30 11:46:49.922524	100725	49	2	9
2014-03-30 11:46:50.144536	100726	20.6	1	9
2014-03-30 11:46:50.994308	100727	48	2	8
2014-03-30 11:46:51.226431	100728	18.3	1	8
2014-03-30 11:47:20.23754	100729	44	2	10
2014-03-30 11:47:20.460204	100730	21.1	1	10
2014-03-30 11:47:28.919113	100731	49	2	9
2014-03-30 11:47:29.151424	100732	20.6	1	9
2014-03-30 11:47:29.994464	100733	48	2	8
2014-03-30 11:47:30.215172	100734	18.2	1	8
2014-03-30 11:47:59.239455	100735	44	2	10
2014-03-30 11:47:59.471232	100736	21.1	1	10
2014-03-30 11:48:07.921003	100737	49	2	9
2014-03-30 11:48:08.143472	100738	20.5	1	9
2014-03-30 11:48:08.992795	100739	48	2	8
2014-03-30 11:48:09.223819	100740	18.2	1	8
2014-03-30 11:48:38.239489	100741	44	2	10
2014-03-30 11:48:38.462826	100742	21.1	1	10
2014-03-30 11:48:46.925523	100743	49	2	9
2014-03-30 11:48:47.157728	100744	20.5	1	9
2014-03-30 11:48:47.996159	100745	48	2	8
2014-03-30 11:48:48.216136	100746	18.1	1	8
2014-03-30 11:49:17.239895	100747	43	2	10
2014-03-30 11:49:17.470742	100748	21.1	1	10
2014-03-30 11:49:25.92074	100749	49	2	9
2014-03-30 11:49:26.14317	100750	20.5	1	9
2014-03-30 11:49:26.995109	100751	48	2	8
2014-03-30 11:49:27.228065	100752	18.1	1	8
2014-03-30 11:49:56.239165	100753	43	2	10
2014-03-30 11:49:56.461102	100754	21.1	1	10
2014-03-30 11:50:04.921059	100755	49	2	9
2014-03-30 11:50:05.167526	100756	20.5	1	9
2014-03-30 11:50:05.99203	100757	48	2	8
2014-03-30 11:50:06.215416	100758	18.1	1	8
2014-03-30 11:50:35.239904	100759	43	2	10
2014-03-30 11:50:35.470965	100760	21.0	1	10
2014-03-30 11:50:43.920461	100761	49	2	9
2014-03-30 11:50:44.144755	100762	20.5	1	9
2014-03-30 11:50:44.992632	100763	48	2	8
2014-03-30 11:50:45.225946	100764	18.1	1	8
2014-03-30 11:51:14.243288	100765	43	2	10
2014-03-30 11:51:14.464051	100766	21.0	1	10
2014-03-30 11:51:22.919748	100767	49	2	9
2014-03-30 11:51:23.150971	100768	20.5	1	9
2014-03-30 11:51:23.993594	100769	48	2	8
2014-03-30 11:51:24.214778	100770	18.1	1	8
2014-03-30 11:51:53.239784	100771	43	2	10
2014-03-30 11:51:53.473202	100772	21.0	1	10
2014-03-30 11:52:01.925193	100773	49	2	9
2014-03-30 11:52:02.147403	100774	20.5	1	9
2014-03-30 11:52:02.993503	100775	48	2	8
2014-03-30 11:52:03.225417	100776	18.1	1	8
2014-03-30 11:52:32.239827	100777	43	2	10
2014-03-30 11:52:32.460538	100778	21.0	1	10
2014-03-30 11:52:40.92299	100779	49	2	9
2014-03-30 11:52:41.169005	100780	20.5	1	9
2014-03-30 11:52:41.984677	100781	48	2	8
2014-03-30 11:52:42.206232	100782	18.1	1	8
2014-03-30 11:53:11.238853	100783	43	2	10
2014-03-30 11:53:11.472113	100784	21.0	1	10
2014-03-30 11:53:19.922376	100785	49	2	9
2014-03-30 11:53:20.143286	100786	20.5	1	9
2014-03-30 11:53:20.992717	100787	48	2	8
2014-03-30 11:53:21.232721	100788	18.1	1	8
2014-03-30 11:53:32.670899	100789	49	2	1
2014-03-30 11:53:32.893158	100790	19.0	1	1
2014-03-30 11:53:50.240664	100791	43	2	10
2014-03-30 11:53:50.472948	100792	21.0	1	10
2014-03-30 11:53:58.925457	100793	49	2	9
2014-03-30 11:53:59.146777	100794	20.5	1	9
2014-03-30 11:53:59.99317	100795	48	2	8
2014-03-30 11:54:00.224818	100796	18.1	1	8
2014-03-30 11:54:29.241593	100797	43	2	10
2014-03-30 11:54:29.463661	100798	21.0	1	10
2014-03-30 11:54:37.925613	100799	49	2	9
2014-03-30 11:54:38.158653	100800	20.5	1	9
2014-03-30 11:54:38.994747	100801	48	2	8
2014-03-30 11:54:39.215776	100802	18.1	1	8
2014-03-30 11:54:50.667364	100803	49	2	1
2014-03-30 11:54:50.913127	100804	19.1	1	1
2014-03-30 11:55:08.240237	100805	43	2	10
2014-03-30 11:55:08.461063	100806	21.0	1	10
2014-03-30 11:55:17.993319	100807	48	2	8
2014-03-30 11:55:18.224154	100808	18.1	1	8
2014-03-30 11:55:47.243195	100809	43	2	10
2014-03-30 11:55:47.466558	100810	21.0	1	10
2014-03-30 11:55:55.920824	100811	49	2	9
2014-03-30 11:55:56.152659	100812	20.4	1	9
2014-03-30 11:55:56.993854	100813	48	2	8
2014-03-30 11:55:57.218631	100814	18.1	1	8
2014-03-30 11:56:26.244178	100815	43	2	10
2014-03-30 11:56:26.482673	100816	21.0	1	10
2014-03-30 11:56:34.91725	100817	49	2	9
2014-03-30 11:56:35.140369	100818	20.4	1	9
2014-03-30 11:56:35.993025	100819	48	2	8
2014-03-30 11:56:36.223403	100820	18.1	1	8
2014-03-30 11:56:47.909542	100821	49	2	1
2014-03-30 11:56:48.130374	100822	19.1	1	1
2014-03-30 11:57:05.241881	100823	43	2	10
2014-03-30 11:57:05.474629	100824	21.0	1	10
2014-03-30 11:57:13.914682	100825	49	2	9
2014-03-30 11:57:14.136639	100826	20.4	1	9
2014-03-30 11:57:14.99337	100827	48	2	8
2014-03-30 11:57:15.223698	100828	18.2	1	8
2014-03-30 11:57:44.241864	100829	43	2	10
2014-03-30 11:57:44.466263	100830	21.0	1	10
2014-03-30 11:57:52.920392	100831	49	2	9
2014-03-30 11:57:53.152277	100832	20.4	1	9
2014-03-30 11:57:53.995685	100833	48	2	8
2014-03-30 11:57:54.216398	100834	18.2	1	8
2014-03-30 11:58:23.243825	100835	43	2	10
2014-03-30 11:58:23.477442	100836	21.0	1	10
2014-03-30 11:58:31.917712	100837	49	2	9
2014-03-30 11:58:32.139456	100838	20.4	1	9
2014-03-30 11:58:32.993588	100839	48	2	8
2014-03-30 11:58:33.225604	100840	18.3	1	8
2014-03-30 11:59:02.242727	100841	43	2	10
2014-03-30 11:59:02.463658	100842	21.0	1	10
2014-03-30 11:59:10.916349	100843	49	2	9
2014-03-30 11:59:11.149428	100844	20.4	1	9
2014-03-30 11:59:11.994726	100845	48	2	8
2014-03-30 11:59:12.218542	100846	18.3	1	8
2014-03-30 11:59:41.242321	100847	43	2	10
2014-03-30 11:59:41.475184	100848	21.0	1	10
2014-03-30 11:59:49.919185	100849	49	2	9
2014-03-30 11:59:50.141745	100850	20.4	1	9
2014-03-30 11:59:50.994104	100851	48	2	8
2014-03-30 11:59:51.237931	100852	18.4	1	8
2014-03-30 12:00:20.241509	100853	43	2	10
2014-03-30 12:00:20.463435	100854	21.0	1	10
2014-03-30 12:00:28.920194	100855	49	2	9
2014-03-30 12:00:29.152662	100856	20.4	1	9
2014-03-30 12:00:29.99481	100857	48	2	8
2014-03-30 12:00:30.215088	100858	18.4	1	8
2014-03-30 12:00:59.242073	100859	44	2	10
2014-03-30 12:00:59.473616	100860	20.9	1	10
2014-03-30 12:01:07.916039	100861	49	2	9
2014-03-30 12:01:08.139792	100862	20.4	1	9
2014-03-30 12:01:08.992855	100863	48	2	8
2014-03-30 12:01:09.225466	100864	18.4	1	8
2014-03-30 12:01:38.246189	100865	44	2	10
2014-03-30 12:01:38.469467	100866	20.9	1	10
2014-03-30 12:01:46.921994	100867	49	2	9
2014-03-30 12:01:47.154218	100868	20.4	1	9
2014-03-30 12:01:47.992796	100869	48	2	8
2014-03-30 12:01:48.215797	100870	18.5	1	8
2014-03-30 12:02:17.24311	100871	44	2	10
2014-03-30 12:02:17.480639	100872	20.9	1	10
2014-03-30 12:02:25.919411	100873	49	2	9
2014-03-30 12:02:26.140397	100874	20.4	1	9
2014-03-30 12:02:26.993458	100875	48	2	8
2014-03-30 12:02:27.278909	100876	18.5	1	8
2014-03-30 12:02:56.243217	100877	44	2	10
2014-03-30 12:02:56.467934	100878	20.9	1	10
2014-03-30 12:03:04.917119	100879	49	2	9
2014-03-30 12:03:05.150497	100880	20.4	1	9
2014-03-30 12:03:05.993342	100881	48	2	8
2014-03-30 12:03:06.21394	100882	18.6	1	8
2014-03-30 12:03:35.243682	100883	44	2	10
2014-03-30 12:03:35.475209	100884	20.9	1	10
2014-03-30 12:03:43.916937	100885	49	2	9
2014-03-30 12:03:44.139205	100886	20.3	1	9
2014-03-30 12:03:44.994293	100887	48	2	8
2014-03-30 12:03:45.227163	100888	18.6	1	8
2014-03-30 12:04:14.243268	100889	44	2	10
2014-03-30 12:04:14.464598	100890	20.9	1	10
2014-03-30 12:04:22.919196	100891	49	2	9
2014-03-30 12:04:23.154018	100892	20.3	1	9
2014-03-30 12:04:23.992249	100893	48	2	8
2014-03-30 12:04:24.212631	100894	18.6	1	8
2014-03-30 12:04:53.243512	100895	44	2	10
2014-03-30 12:04:53.476553	100896	20.9	1	10
2014-03-30 12:05:01.917841	100897	49	2	9
2014-03-30 12:05:02.138719	100898	20.3	1	9
2014-03-30 12:05:02.9934	100899	48	2	8
2014-03-30 12:05:03.240571	100900	18.6	1	8
2014-03-30 12:05:32.243557	100901	44	2	10
2014-03-30 12:05:32.472147	100902	20.9	1	10
2014-03-30 12:05:40.920134	100903	48	2	9
2014-03-30 12:05:41.153962	100904	20.3	1	9
2014-03-30 12:05:41.996459	100905	48	2	8
2014-03-30 12:05:42.219266	100906	18.7	1	8
2014-03-30 12:06:11.245517	100907	44	2	10
2014-03-30 12:06:11.476999	100908	20.8	1	10
2014-03-30 12:06:19.915864	100909	48	2	9
2014-03-30 12:06:20.139623	100910	20.3	1	9
2014-03-30 12:06:20.993075	100911	48	2	8
2014-03-30 12:06:21.226036	100912	18.7	1	8
2014-03-30 12:06:50.247391	100913	44	2	10
2014-03-30 12:06:50.47123	100914	20.9	1	10
2014-03-30 12:06:58.920966	100915	48	2	9
2014-03-30 12:06:59.154554	100916	20.3	1	9
2014-03-30 12:06:59.995271	100917	48	2	8
2014-03-30 12:07:00.219319	100918	18.7	1	8
2014-03-30 12:07:29.24336	100919	44	2	10
2014-03-30 12:07:29.477472	100920	20.9	1	10
2014-03-30 12:07:37.937576	100921	48	2	9
2014-03-30 12:07:38.160548	100922	20.3	1	9
2014-03-30 12:07:38.994862	100923	48	2	8
2014-03-30 12:07:39.226961	100924	18.7	1	8
2014-03-30 12:08:08.245812	100925	44	2	10
2014-03-30 12:08:08.470337	100926	20.9	1	10
2014-03-30 12:08:16.922757	100927	48	2	9
2014-03-30 12:08:17.154625	100928	20.3	1	9
2014-03-30 12:08:17.993023	100929	48	2	8
2014-03-30 12:08:18.215839	100930	18.7	1	8
2014-03-30 12:08:47.246189	100931	44	2	10
2014-03-30 12:08:47.479697	100932	20.9	1	10
2014-03-30 12:08:55.924488	100933	48	2	9
2014-03-30 12:08:56.207987	100934	20.3	1	9
2014-03-30 12:08:56.993939	100935	48	2	8
2014-03-30 12:08:57.225674	100936	18.7	1	8
2014-03-30 12:09:26.244657	100937	44	2	10
2014-03-30 12:09:26.468194	100938	20.9	1	10
2014-03-30 12:09:34.919905	100939	48	2	9
2014-03-30 12:09:35.152705	100940	20.3	1	9
2014-03-30 12:09:35.995644	100941	48	2	8
2014-03-30 12:09:36.216825	100942	18.8	1	8
2014-03-30 12:09:47.885276	100943	49	2	1
2014-03-30 12:09:48.117755	100944	19.2	1	1
2014-03-30 12:10:05.245918	100945	44	2	10
2014-03-30 12:10:05.470945	100946	20.8	1	10
2014-03-30 12:10:13.919598	100947	48	2	9
2014-03-30 12:10:14.16318	100948	20.3	1	9
2014-03-30 12:10:14.995762	100949	48	2	8
2014-03-30 12:10:15.219638	100950	18.8	1	8
2014-03-30 12:10:44.246577	100951	44	2	10
2014-03-30 12:10:44.48162	100952	20.9	1	10
2014-03-30 12:10:52.920477	100953	48	2	9
2014-03-30 12:10:53.14086	100954	20.3	1	9
2014-03-30 12:10:53.996032	100955	48	2	8
2014-03-30 12:10:54.227434	100956	18.8	1	8
2014-03-30 12:11:23.253671	100957	44	2	10
2014-03-30 12:11:23.474664	100958	20.9	1	10
2014-03-30 12:11:31.920769	100959	48	2	9
2014-03-30 12:11:32.153332	100960	20.3	1	9
2014-03-30 12:11:32.993312	100961	48	2	8
2014-03-30 12:11:33.215705	100962	18.8	1	8
2014-03-30 12:12:02.245093	100963	44	2	10
2014-03-30 12:12:02.475876	100964	20.9	1	10
2014-03-30 12:12:10.916458	100965	48	2	9
2014-03-30 12:12:11.14045	100966	20.3	1	9
2014-03-30 12:12:11.994671	100967	48	2	8
2014-03-30 12:12:12.228295	100968	18.8	1	8
2014-03-30 12:12:41.247568	100969	44	2	10
2014-03-30 12:12:41.471408	100970	20.9	1	10
2014-03-30 12:12:49.91859	100971	48	2	9
2014-03-30 12:12:50.149861	100972	20.3	1	9
2014-03-30 12:12:50.993031	100973	48	2	8
2014-03-30 12:12:51.214026	100974	18.8	1	8
2014-03-30 12:13:20.246645	100975	44	2	10
2014-03-30 12:13:20.480674	100976	20.9	1	10
2014-03-30 12:13:28.91866	100977	48	2	9
2014-03-30 12:13:29.141001	100978	20.3	1	9
2014-03-30 12:13:29.99498	100979	48	2	8
2014-03-30 12:13:30.22705	100980	18.8	1	8
2014-03-30 12:13:59.246648	100981	44	2	10
2014-03-30 12:13:59.469012	100982	20.9	1	10
2014-03-30 12:14:07.915016	100983	49	2	9
2014-03-30 12:14:08.14796	100984	20.3	1	9
2014-03-30 12:14:08.99368	100985	48	2	8
2014-03-30 12:14:09.214031	100986	18.8	1	8
2014-03-30 12:14:38.237228	100987	44	2	10
2014-03-30 12:14:38.470455	100988	20.9	1	10
2014-03-30 12:14:46.917198	100989	49	2	9
2014-03-30 12:14:47.13966	100990	20.3	1	9
2014-03-30 12:14:47.994941	100991	48	2	8
2014-03-30 12:14:48.225264	100992	18.8	1	8
2014-03-30 12:15:17.246441	100993	44	2	10
2014-03-30 12:15:17.46823	100994	20.9	1	10
2014-03-30 12:15:25.920671	100995	49	2	9
2014-03-30 12:15:26.164455	100996	20.3	1	9
2014-03-30 12:15:26.995085	100997	48	2	8
2014-03-30 12:15:27.215858	100998	18.8	1	8
2014-03-30 12:15:56.284498	100999	44	2	10
2014-03-30 12:15:56.535645	101000	20.9	1	10
2014-03-30 12:16:04.922297	101001	49	2	9
2014-03-30 12:16:05.147541	101002	20.3	1	9
2014-03-30 12:16:05.99509	101003	48	2	8
2014-03-30 12:16:06.227395	101004	18.9	1	8
2014-03-30 12:16:17.653958	101005	49	2	1
2014-03-30 12:16:17.876797	101006	19.2	1	1
2014-03-30 12:16:35.247868	101007	44	2	10
2014-03-30 12:16:35.479191	101008	20.9	1	10
2014-03-30 12:16:43.91892	101009	49	2	9
2014-03-30 12:16:44.143691	101010	20.3	1	9
2014-03-30 12:16:44.996575	101011	48	2	8
2014-03-30 12:16:45.228771	101012	18.9	1	8
2014-03-30 12:17:14.248457	101013	44	2	10
2014-03-30 12:17:14.473052	101014	20.9	1	10
2014-03-30 12:17:22.919909	101015	49	2	9
2014-03-30 12:17:23.152434	101016	20.3	1	9
2014-03-30 12:17:23.994512	101017	48	2	8
2014-03-30 12:17:24.21724	101018	18.9	1	8
2014-03-30 12:17:53.251321	101019	44	2	10
2014-03-30 12:17:53.485806	101020	20.9	1	10
2014-03-30 12:18:01.921928	101021	49	2	9
2014-03-30 12:18:02.144461	101022	20.3	1	9
2014-03-30 12:18:02.994708	101023	48	2	8
2014-03-30 12:18:03.225847	101024	18.9	1	8
2014-03-30 12:18:32.248746	101025	44	2	10
2014-03-30 12:18:32.473305	101026	20.9	1	10
2014-03-30 12:18:40.919337	101027	49	2	9
2014-03-30 12:18:41.152289	101028	20.3	1	9
2014-03-30 12:18:41.995248	101029	48	2	8
2014-03-30 12:18:42.216385	101030	18.9	1	8
2014-03-30 12:19:11.249192	101031	44	2	10
2014-03-30 12:19:11.482934	101032	20.9	1	10
2014-03-30 12:19:19.917952	101033	49	2	9
2014-03-30 12:19:20.141186	101034	20.3	1	9
2014-03-30 12:19:20.993414	101035	48	2	8
2014-03-30 12:19:21.22701	101036	18.9	1	8
2014-03-30 12:19:50.250653	101037	44	2	10
2014-03-30 12:19:50.473101	101038	20.9	1	10
2014-03-30 12:19:58.911551	101039	49	2	9
2014-03-30 12:19:59.143932	101040	20.3	1	9
2014-03-30 12:19:59.99438	101041	48	2	8
2014-03-30 12:20:00.216543	101042	18.9	1	8
2014-03-30 12:20:29.248999	101043	44	2	10
2014-03-30 12:20:29.490924	101044	20.9	1	10
2014-03-30 12:20:37.916048	101045	49	2	9
2014-03-30 12:20:38.138286	101046	20.3	1	9
2014-03-30 12:20:38.993639	101047	48	2	8
2014-03-30 12:20:39.227472	101048	18.9	1	8
2014-03-30 12:20:50.650298	101049	49	2	1
2014-03-30 12:20:50.874224	101050	19.2	1	1
2014-03-30 12:21:08.249224	101051	44	2	10
2014-03-30 12:21:08.483378	101052	20.9	1	10
2014-03-30 12:21:16.918057	101053	49	2	9
2014-03-30 12:21:17.139487	101054	20.3	1	9
2014-03-30 12:21:17.993794	101055	48	2	8
2014-03-30 12:21:18.224861	101056	18.9	1	8
2014-03-30 12:21:47.249153	101057	44	2	10
2014-03-30 12:21:47.470051	101058	20.9	1	10
2014-03-30 12:21:55.919273	101059	49	2	9
2014-03-30 12:21:56.153499	101060	20.3	1	9
2014-03-30 12:21:56.996171	101061	48	2	8
2014-03-30 12:21:57.217729	101062	18.9	1	8
2014-03-30 12:22:08.650989	101063	49	2	1
2014-03-30 12:22:08.88372	101064	19.2	1	1
2014-03-30 12:22:26.249758	101065	44	2	10
2014-03-30 12:22:26.471891	101066	20.9	1	10
2014-03-30 12:22:34.917051	101067	49	2	9
2014-03-30 12:22:35.151685	101068	20.3	1	9
2014-03-30 12:22:35.993869	101069	48	2	8
2014-03-30 12:22:36.217179	101070	18.9	1	8
2014-03-30 12:23:05.252322	101071	44	2	10
2014-03-30 12:23:05.488514	101072	20.9	1	10
2014-03-30 12:23:13.918919	101073	49	2	9
2014-03-30 12:23:14.140387	101074	20.3	1	9
2014-03-30 12:23:14.995832	101075	48	2	8
2014-03-30 12:23:15.229825	101076	19.0	1	8
2014-03-30 12:23:26.65202	101077	49	2	1
2014-03-30 12:23:26.875116	101078	19.2	1	1
2014-03-30 12:23:44.248833	101079	44	2	10
2014-03-30 12:23:44.484338	101080	20.9	1	10
2014-03-30 12:23:52.923609	101081	49	2	9
2014-03-30 12:23:53.147295	101082	20.3	1	9
2014-03-30 12:23:53.994803	101083	48	2	8
2014-03-30 12:23:54.225713	101084	19.0	1	8
2014-03-30 12:24:23.25114	101085	44	2	10
2014-03-30 12:24:23.474377	101086	20.9	1	10
2014-03-30 12:24:31.921171	101087	49	2	9
2014-03-30 12:24:32.155515	101088	20.2	1	9
2014-03-30 12:24:32.99601	101089	48	2	8
2014-03-30 12:24:33.218176	101090	19.0	1	8
2014-03-30 12:25:02.250378	101091	44	2	10
2014-03-30 12:25:02.49526	101092	20.9	1	10
2014-03-30 12:25:10.926765	101093	49	2	9
2014-03-30 12:25:11.150738	101094	20.2	1	9
2014-03-30 12:25:11.994863	101095	48	2	8
2014-03-30 12:25:12.225693	101096	19.0	1	8
2014-03-30 12:25:41.250338	101097	44	2	10
2014-03-30 12:25:41.472932	101098	20.9	1	10
2014-03-30 12:25:49.925621	101099	49	2	9
2014-03-30 12:25:50.158705	101100	20.2	1	9
2014-03-30 12:25:50.99451	101101	48	2	8
2014-03-30 12:25:51.217031	101102	19.0	1	8
2014-03-30 12:26:02.649873	101103	49	2	1
2014-03-30 12:26:02.884763	101104	19.2	1	1
2014-03-30 12:26:20.252645	101105	44	2	10
2014-03-30 12:26:20.478255	101106	20.9	1	10
2014-03-30 12:26:28.927856	101107	49	2	9
2014-03-30 12:26:29.159376	101108	20.2	1	9
2014-03-30 12:26:29.996207	101109	48	2	8
2014-03-30 12:26:30.220722	101110	19.1	1	8
2014-03-30 12:26:59.252144	101111	44	2	10
2014-03-30 12:26:59.486238	101112	20.8	1	10
2014-03-30 12:27:07.925956	101113	49	2	9
2014-03-30 12:27:08.150078	101114	20.2	1	9
2014-03-30 12:27:09.00207	101115	48	2	8
2014-03-30 12:27:09.235482	101116	19.1	1	8
2014-03-30 12:27:38.251771	101117	44	2	10
2014-03-30 12:27:38.47747	101118	20.8	1	10
2014-03-30 12:27:46.922497	101119	49	2	9
2014-03-30 12:27:47.156906	101120	20.2	1	9
2014-03-30 12:27:47.994896	101121	48	2	8
2014-03-30 12:27:48.219788	101122	19.1	1	8
2014-03-30 12:28:17.252905	101123	44	2	10
2014-03-30 12:28:17.485409	101124	20.8	1	10
2014-03-30 12:28:25.922595	101125	49	2	9
2014-03-30 12:28:26.145183	101126	20.2	1	9
2014-03-30 12:28:26.995376	101127	48	2	8
2014-03-30 12:28:27.228759	101128	19.1	1	8
2014-03-30 12:28:56.24409	101129	44	2	10
2014-03-30 12:28:56.466973	101130	20.8	1	10
2014-03-30 12:29:04.920865	101131	49	2	9
2014-03-30 12:29:05.153959	101132	20.2	1	9
2014-03-30 12:29:05.994708	101133	48	2	8
2014-03-30 12:29:06.216828	101134	19.2	1	8
2014-03-30 12:29:35.253011	101135	44	2	10
2014-03-30 12:29:35.496323	101136	20.8	1	10
2014-03-30 12:29:43.926875	101137	49	2	9
2014-03-30 12:29:44.151159	101138	20.2	1	9
2014-03-30 12:29:44.994755	101139	48	2	8
2014-03-30 12:29:45.239529	101140	19.2	1	8
2014-03-30 12:30:14.249201	101141	44	2	10
2014-03-30 12:30:14.470822	101142	20.8	1	10
2014-03-30 12:30:22.922866	101143	49	2	9
2014-03-30 12:30:23.153955	101144	20.2	1	9
2014-03-30 12:30:23.993665	101145	49	2	8
2014-03-30 12:30:24.216984	101146	19.2	1	8
2014-03-30 12:30:53.250754	101147	44	2	10
2014-03-30 12:30:53.483037	101148	20.8	1	10
2014-03-30 12:31:01.922491	101149	49	2	9
2014-03-30 12:31:02.143232	101150	20.2	1	9
2014-03-30 12:31:02.993402	101151	49	2	8
2014-03-30 12:31:03.224838	101152	19.2	1	8
2014-03-30 12:31:32.25155	101153	44	2	10
2014-03-30 12:31:32.473337	101154	20.7	1	10
2014-03-30 12:31:40.920044	101155	49	2	9
2014-03-30 12:31:41.15158	101156	20.2	1	9
2014-03-30 12:31:41.995061	101157	49	2	8
2014-03-30 12:31:42.215735	101158	19.3	1	8
2014-03-30 12:32:11.250642	101159	44	2	10
2014-03-30 12:32:11.483746	101160	20.7	1	10
2014-03-30 12:32:19.926458	101161	49	2	9
2014-03-30 12:32:20.148309	101162	20.2	1	9
2014-03-30 12:32:20.99716	101163	49	2	8
2014-03-30 12:32:21.229312	101164	19.3	1	8
2014-03-30 12:32:50.251452	101165	44	2	10
2014-03-30 12:32:50.474081	101166	20.7	1	10
2014-03-30 12:32:58.924082	101167	49	2	9
2014-03-30 12:32:59.159629	101168	20.2	1	9
2014-03-30 12:32:59.99745	101169	49	2	8
2014-03-30 12:33:00.218507	101170	19.3	1	8
2014-03-30 12:33:29.252442	101171	44	2	10
2014-03-30 12:33:29.484356	101172	20.7	1	10
2014-03-30 12:33:37.925212	101173	48	2	9
2014-03-30 12:33:38.149308	101174	20.2	1	9
2014-03-30 12:33:38.995957	101175	49	2	8
2014-03-30 12:33:39.229203	101176	19.3	1	8
2014-03-30 12:34:08.253778	101177	44	2	10
2014-03-30 12:34:08.477069	101178	20.7	1	10
2014-03-30 12:34:16.926369	101179	48	2	9
2014-03-30 12:34:17.158825	101180	20.2	1	9
2014-03-30 12:34:17.994252	101181	49	2	8
2014-03-30 12:34:18.216278	101182	19.3	1	8
2014-03-30 12:34:47.253888	101183	44	2	10
2014-03-30 12:34:47.487747	101184	20.7	1	10
2014-03-30 12:34:55.9208	101185	48	2	9
2014-03-30 12:34:56.143498	101186	20.2	1	9
2014-03-30 12:34:57.009614	101187	49	2	8
2014-03-30 12:34:57.253777	101188	19.4	1	8
2014-03-30 12:35:26.252697	101189	44	2	10
2014-03-30 12:35:26.478539	101190	20.7	1	10
2014-03-30 12:35:34.924705	101191	48	2	9
2014-03-30 12:35:35.157858	101192	20.2	1	9
2014-03-30 12:35:35.995443	101193	49	2	8
2014-03-30 12:35:36.217984	101194	19.4	1	8
2014-03-30 12:36:05.252506	101195	44	2	10
2014-03-30 12:36:05.484883	101196	20.7	1	10
2014-03-30 12:36:13.927455	101197	48	2	9
2014-03-30 12:36:14.149794	101198	20.2	1	9
2014-03-30 12:36:14.995506	101199	49	2	8
2014-03-30 12:36:15.227239	101200	19.4	1	8
2014-03-30 12:36:44.252056	101201	44	2	10
2014-03-30 12:36:44.475489	101202	20.7	1	10
2014-03-30 12:36:52.922891	101203	48	2	9
2014-03-30 12:36:53.154908	101204	20.2	1	9
2014-03-30 12:36:53.994293	101205	49	2	8
2014-03-30 12:36:54.216446	101206	19.4	1	8
2014-03-30 12:37:23.254056	101207	44	2	10
2014-03-30 12:37:23.485141	101208	20.7	1	10
2014-03-30 12:37:31.922335	101209	48	2	9
2014-03-30 12:37:32.146791	101210	20.2	1	9
2014-03-30 12:37:32.995956	101211	49	2	8
2014-03-30 12:37:33.227545	101212	19.4	1	8
2014-03-30 12:38:02.254005	101213	44	2	10
2014-03-30 12:38:02.47949	101214	20.7	1	10
2014-03-30 12:38:08.071566	101215	611	3	2
2014-03-30 12:38:08.306888	101216	1130796.1111657561	4	2
2014-03-30 12:38:10.92594	101217	48	2	9
2014-03-30 12:38:11.150915	101218	20.2	1	9
2014-03-30 12:38:12.200933	101219	49	2	8
2014-03-30 12:38:12.432687	101220	19.4	1	8
2014-03-30 12:38:41.254493	101221	44	2	10
2014-03-30 12:38:41.478202	101222	20.7	1	10
2014-03-30 12:38:49.915105	101223	48	2	9
2014-03-30 12:38:50.147233	101224	20.2	1	9
2014-03-30 12:38:50.993976	101225	49	2	8
2014-03-30 12:38:51.215862	101226	19.5	1	8
2014-03-30 12:39:02.642154	101227	49	2	1
2014-03-30 12:39:02.880934	101228	19.3	1	1
2014-03-30 12:39:20.253907	101229	44	2	10
2014-03-30 12:39:20.47771	101230	20.7	1	10
2014-03-30 12:39:28.918924	101231	48	2	9
2014-03-30 12:39:29.150703	101232	20.2	1	9
2014-03-30 12:39:29.994651	101233	49	2	8
2014-03-30 12:39:30.239285	101234	19.5	1	8
2014-03-30 12:39:41.643996	101235	49	2	1
2014-03-30 12:39:41.888627	101236	19.3	1	1
2014-03-30 12:39:59.254213	101237	44	2	10
2014-03-30 12:39:59.477794	101238	20.7	1	10
2014-03-30 12:40:07.917971	101239	48	2	9
2014-03-30 12:40:08.148524	101240	20.2	1	9
2014-03-30 12:40:08.992155	101241	49	2	8
2014-03-30 12:40:09.213644	101242	19.5	1	8
2014-03-30 12:40:20.64244	101243	49	2	1
2014-03-30 12:40:20.877413	101244	19.3	1	1
2014-03-30 12:40:38.254316	101245	44	2	10
2014-03-30 12:40:38.478624	101246	20.7	1	10
2014-03-30 12:40:46.915598	101247	48	2	9
2014-03-30 12:40:47.148905	101248	20.2	1	9
2014-03-30 12:40:47.993806	101249	50	2	8
2014-03-30 12:40:48.216726	101250	19.5	1	8
2014-03-30 12:41:17.253703	101251	44	2	10
2014-03-30 12:41:17.486223	101252	20.7	1	10
2014-03-30 12:41:25.923137	101253	48	2	9
2014-03-30 12:41:26.145901	101254	20.2	1	9
2014-03-30 12:41:26.993328	101255	50	2	8
2014-03-30 12:41:27.22332	101256	19.5	1	8
2014-03-30 12:41:56.252789	101257	44	2	10
2014-03-30 12:41:56.476656	101258	20.6	1	10
2014-03-30 12:42:04.918432	101259	49	2	9
2014-03-30 12:42:05.151169	101260	20.2	1	9
2014-03-30 12:42:05.993225	101261	50	2	8
2014-03-30 12:42:06.217116	101262	19.5	1	8
2014-03-30 12:42:35.25492	101263	44	2	10
2014-03-30 12:42:35.487736	101264	20.6	1	10
2014-03-30 12:42:43.924495	101265	49	2	9
2014-03-30 12:42:44.150416	101266	20.2	1	9
2014-03-30 12:42:44.99594	101267	49	2	8
2014-03-30 12:42:45.228725	101268	19.6	1	8
2014-03-30 12:43:14.255154	101269	44	2	10
2014-03-30 12:43:14.478727	101270	20.6	1	10
2014-03-30 12:43:22.924481	101271	49	2	9
2014-03-30 12:43:23.155716	101272	20.1	1	9
2014-03-30 12:43:23.995764	101273	50	2	8
2014-03-30 12:43:24.219023	101274	19.6	1	8
2014-03-30 12:43:53.252687	101275	44	2	10
2014-03-30 12:43:53.485107	101276	20.6	1	10
2014-03-30 12:44:01.924853	101277	49	2	9
2014-03-30 12:44:02.151692	101278	20.1	1	9
2014-03-30 12:44:02.993639	101279	50	2	8
2014-03-30 12:44:03.226415	101280	19.6	1	8
2014-03-30 12:44:32.257643	101281	44	2	10
2014-03-30 12:44:32.480545	101282	20.6	1	10
2014-03-30 12:44:40.926874	101283	49	2	9
2014-03-30 12:44:41.171854	101284	20.1	1	9
2014-03-30 12:44:41.993288	101285	50	2	8
2014-03-30 12:44:42.218055	101286	19.6	1	8
2014-03-30 12:45:11.255595	101287	44	2	10
2014-03-30 12:45:11.490738	101288	20.6	1	10
2014-03-30 12:45:19.921406	101289	49	2	9
2014-03-30 12:45:20.144674	101290	20.1	1	9
2014-03-30 12:45:20.993725	101291	50	2	8
2014-03-30 12:45:21.224718	101292	19.6	1	8
2014-03-30 12:45:50.254087	101293	44	2	10
2014-03-30 12:45:50.477699	101294	20.6	1	10
2014-03-30 12:45:58.923788	101295	49	2	9
2014-03-30 12:45:59.15746	101296	20.1	1	9
2014-03-30 12:45:59.993736	101297	50	2	8
2014-03-30 12:46:00.2162	101298	19.6	1	8
2014-03-30 12:46:29.254683	101299	44	2	10
2014-03-30 12:46:29.48671	101300	20.6	1	10
2014-03-30 12:46:37.926566	101301	49	2	9
2014-03-30 12:46:38.14938	101302	20.1	1	9
2014-03-30 12:46:38.993736	101303	50	2	8
2014-03-30 12:46:39.226046	101304	19.6	1	8
2014-03-30 12:47:08.256009	101305	44	2	10
2014-03-30 12:47:08.477825	101306	20.6	1	10
2014-03-30 12:47:16.924119	101307	49	2	9
2014-03-30 12:47:17.155121	101308	20.1	1	9
2014-03-30 12:47:17.993446	101309	50	2	8
2014-03-30 12:47:18.2156	101310	19.7	1	8
2014-03-30 12:47:47.257064	101311	44	2	10
2014-03-30 12:47:47.49356	101312	20.6	1	10
2014-03-30 12:47:55.919952	101313	49	2	9
2014-03-30 12:47:56.142324	101314	20.1	1	9
2014-03-30 12:47:56.993933	101315	50	2	8
2014-03-30 12:47:57.262214	101316	19.7	1	8
2014-03-30 12:48:26.255409	101317	44	2	10
2014-03-30 12:48:26.479944	101318	20.6	1	10
2014-03-30 12:48:34.925981	101319	49	2	9
2014-03-30 12:48:35.158709	101320	20.1	1	9
2014-03-30 12:48:35.995907	101321	50	2	8
2014-03-30 12:48:36.217544	101322	19.7	1	8
2014-03-30 12:49:05.256991	101323	44	2	10
2014-03-30 12:49:05.488452	101324	20.6	1	10
2014-03-30 12:49:13.921979	101325	49	2	9
2014-03-30 12:49:14.14663	101326	20.1	1	9
2014-03-30 12:49:14.99355	101327	50	2	8
2014-03-30 12:49:15.227786	101328	19.7	1	8
2014-03-30 12:49:52.923411	101329	49	2	9
2014-03-30 12:49:53.148974	101330	20.1	1	9
2014-03-30 12:49:53.993531	101331	50	2	8
2014-03-30 12:49:54.237913	101332	19.7	1	8
2014-03-30 12:50:23.25804	101333	44	2	10
2014-03-30 12:50:23.480711	101334	20.6	1	10
2014-03-30 12:50:31.919413	101335	49	2	9
2014-03-30 12:50:32.152153	101336	20.1	1	9
2014-03-30 12:50:32.994381	101337	50	2	8
2014-03-30 12:50:33.21535	101338	19.7	1	8
2014-03-30 12:51:02.256949	101339	44	2	10
2014-03-30 12:51:02.496282	101340	20.6	1	10
2014-03-30 12:51:10.922852	101341	49	2	9
2014-03-30 12:51:11.144293	101342	20.1	1	9
2014-03-30 12:51:11.993658	101343	50	2	8
2014-03-30 12:51:12.226235	101344	19.7	1	8
2014-03-30 12:51:41.2576	101345	44	2	10
2014-03-30 12:51:41.482996	101346	20.6	1	10
2014-03-30 12:51:49.920703	101347	49	2	9
2014-03-30 12:51:50.155361	101348	20.1	1	9
2014-03-30 12:51:50.994644	101349	50	2	8
2014-03-30 12:51:51.216338	101350	19.7	1	8
2014-03-30 12:52:20.258906	101351	44	2	10
2014-03-30 12:52:20.491414	101352	20.6	1	10
2014-03-30 12:52:28.979119	101353	49	2	9
2014-03-30 12:52:29.201823	101354	20.1	1	9
2014-03-30 12:52:29.994819	101355	50	2	8
2014-03-30 12:52:30.227531	101356	19.7	1	8
2014-03-30 12:52:59.259798	101357	44	2	10
2014-03-30 12:52:59.485383	101358	20.6	1	10
2014-03-30 12:53:07.918624	101359	49	2	9
2014-03-30 12:53:08.151029	101360	20.1	1	9
2014-03-30 12:53:08.994121	101361	50	2	8
2014-03-30 12:53:09.215441	101362	19.8	1	8
2014-03-30 12:53:38.25826	101363	44	2	10
2014-03-30 12:53:38.490814	101364	20.6	1	10
2014-03-30 12:53:46.925051	101365	49	2	9
2014-03-30 12:53:47.147416	101366	20.1	1	9
2014-03-30 12:53:47.995804	101367	50	2	8
2014-03-30 12:53:48.227089	101368	19.8	1	8
2014-03-30 12:54:17.25915	101369	44	2	10
2014-03-30 12:54:17.483118	101370	20.6	1	10
2014-03-30 12:54:26.124392	101371	49	2	9
2014-03-30 12:54:26.358047	101372	20.1	1	9
2014-03-30 12:54:26.9968	101373	50	2	8
2014-03-30 12:54:27.216516	101374	19.8	1	8
2014-03-30 12:54:56.257828	101375	44	2	10
2014-03-30 12:54:56.489866	101376	20.6	1	10
2014-03-30 12:55:04.918621	101377	49	2	9
2014-03-30 12:55:05.144783	101378	20.1	1	9
2014-03-30 12:55:05.99474	101379	50	2	8
2014-03-30 12:55:06.238741	101380	19.8	1	8
2014-03-30 12:55:35.261916	101381	44	2	10
2014-03-30 12:55:35.48425	101382	20.6	1	10
2014-03-30 12:55:43.919276	101383	49	2	9
2014-03-30 12:55:44.339953	101384	20.1	1	9
2014-03-30 12:55:44.99414	101385	50	2	8
2014-03-30 12:55:45.214661	101386	19.8	1	8
2014-03-30 12:56:14.260031	101387	44	2	10
2014-03-30 12:56:14.482982	101388	20.6	1	10
2014-03-30 12:56:22.925464	101389	49	2	9
2014-03-30 12:56:23.156548	101390	20.1	1	9
2014-03-30 12:56:23.994964	101391	50	2	8
2014-03-30 12:56:24.215293	101392	19.8	1	8
2014-03-30 12:56:53.258872	101393	44	2	10
2014-03-30 12:56:53.492644	101394	20.6	1	10
2014-03-30 12:57:01.924514	101395	49	2	9
2014-03-30 12:57:02.145031	101396	20.1	1	9
2014-03-30 12:57:02.993298	101397	50	2	8
2014-03-30 12:57:03.224412	101398	19.8	1	8
2014-03-30 12:57:32.258935	101399	44	2	10
2014-03-30 12:57:32.479306	101400	20.6	1	10
2014-03-30 12:57:40.922496	101401	49	2	9
2014-03-30 12:57:41.158892	101402	20.1	1	9
2014-03-30 12:57:41.99285	101403	50	2	8
2014-03-30 12:57:42.215116	101404	19.8	1	8
2014-03-30 12:57:44.060585	101405	2221	3	2
2014-03-30 12:57:44.291543	101406	1131339.6135308899	4	2
2014-03-30 12:57:53.633707	101407	49	2	1
2014-03-30 12:57:53.85777	101408	19.4	1	1
2014-03-30 12:58:11.257932	101409	44	2	10
2014-03-30 12:58:11.490801	101410	20.5	1	10
2014-03-30 12:58:19.920144	101411	49	2	9
2014-03-30 12:58:20.143097	101412	20.1	1	9
2014-03-30 12:58:20.99402	101413	51	2	8
2014-03-30 12:58:21.224567	101414	19.9	1	8
2014-03-30 12:58:50.26244	101415	44	2	10
2014-03-30 12:58:50.493287	101416	20.5	1	10
2014-03-30 12:58:58.927873	101417	49	2	9
2014-03-30 12:58:59.162911	101418	20.1	1	9
2014-03-30 12:58:59.994993	101419	50	2	8
2014-03-30 12:59:00.218211	101420	19.9	1	8
2014-03-30 12:59:29.259228	101421	44	2	10
2014-03-30 12:59:29.4921	101422	20.5	1	10
2014-03-30 12:59:37.922741	101423	49	2	9
2014-03-30 12:59:38.147457	101424	20.1	1	9
2014-03-30 12:59:38.99779	101425	50	2	8
2014-03-30 12:59:39.231839	101426	19.9	1	8
2014-03-30 13:00:08.260605	101427	44	2	10
2014-03-30 13:00:08.517391	101428	20.5	1	10
2014-03-30 13:00:16.921832	101429	49	2	9
2014-03-30 13:00:17.287966	101430	20.1	1	9
2014-03-30 13:00:18.123454	101431	51	2	8
2014-03-30 13:00:18.401468	101432	19.9	1	8
2014-03-30 13:00:47.26281	101433	44	2	10
2014-03-30 13:00:47.528146	101434	20.5	1	10
2014-03-30 13:00:55.917809	101435	49	2	9
2014-03-30 13:00:56.175054	101436	20.1	1	9
2014-03-30 13:00:56.995168	101437	51	2	8
2014-03-30 13:00:57.257431	101438	19.9	1	8
2014-03-30 13:01:26.26071	101439	44	2	10
2014-03-30 13:01:26.485384	101440	20.5	1	10
2014-03-30 13:01:34.923523	101441	49	2	9
2014-03-30 13:01:35.155532	101442	20.1	1	9
2014-03-30 13:01:35.994619	101443	51	2	8
2014-03-30 13:01:36.217551	101444	19.9	1	8
2014-03-30 13:02:05.259352	101445	44	2	10
2014-03-30 13:02:05.499947	101446	20.5	1	10
2014-03-30 13:02:13.921999	101447	49	2	9
2014-03-30 13:02:14.144277	101448	20.1	1	9
2014-03-30 13:02:14.996832	101449	51	2	8
2014-03-30 13:02:15.227407	101450	19.9	1	8
2014-03-30 13:02:44.264457	101451	44	2	10
2014-03-30 13:02:44.489278	101452	20.5	1	10
2014-03-30 13:02:52.923904	101453	49	2	9
2014-03-30 13:02:53.176247	101454	20.1	1	9
2014-03-30 13:02:53.993995	101455	50	2	8
2014-03-30 13:02:54.215679	101456	20.0	1	8
2014-03-30 13:03:23.260364	101457	44	2	10
2014-03-30 13:03:23.491875	101458	20.5	1	10
2014-03-30 13:03:31.919096	101459	49	2	9
2014-03-30 13:03:32.142803	101460	20.0	1	9
2014-03-30 13:03:32.993934	101461	50	2	8
2014-03-30 13:03:33.22567	101462	20.0	1	8
2014-03-30 13:04:02.26001	101463	44	2	10
2014-03-30 13:04:02.483742	101464	20.5	1	10
2014-03-30 13:04:10.921848	101465	49	2	9
2014-03-30 13:04:11.153404	101466	20.0	1	9
2014-03-30 13:04:11.994574	101467	50	2	8
2014-03-30 13:04:12.216666	101468	20.0	1	8
2014-03-30 13:04:41.260496	101469	44	2	10
2014-03-30 13:04:41.492272	101470	20.5	1	10
2014-03-30 13:04:49.923691	101471	49	2	9
2014-03-30 13:04:50.148716	101472	20.0	1	9
2014-03-30 13:04:50.99585	101473	51	2	8
2014-03-30 13:04:51.228218	101474	20.0	1	8
2014-03-30 13:05:20.26324	101475	44	2	10
2014-03-30 13:05:20.485308	101476	20.5	1	10
2014-03-30 13:05:28.922516	101477	49	2	9
2014-03-30 13:05:29.167187	101478	20.0	1	9
2014-03-30 13:05:29.993905	101479	50	2	8
2014-03-30 13:05:30.218834	101480	20.0	1	8
2014-03-30 13:05:59.467373	101481	44	2	10
2014-03-30 13:05:59.700201	101482	20.5	1	10
2014-03-30 13:06:07.918605	101483	49	2	9
2014-03-30 13:06:08.144575	101484	20.0	1	9
2014-03-30 13:06:08.994158	101485	51	2	8
2014-03-30 13:06:09.227149	101486	20.0	1	8
2014-03-30 13:06:38.261989	101487	44	2	10
2014-03-30 13:06:38.485165	101488	20.5	1	10
2014-03-30 13:06:46.923832	101489	49	2	9
2014-03-30 13:06:47.155582	101490	20.0	1	9
2014-03-30 13:06:47.994255	101491	52	2	8
2014-03-30 13:06:48.23673	101492	20.1	1	8
2014-03-30 13:07:17.263347	101493	44	2	10
2014-03-30 13:07:17.496591	101494	20.5	1	10
2014-03-30 13:07:25.924263	101495	49	2	9
2014-03-30 13:07:26.147985	101496	20.0	1	9
2014-03-30 13:07:26.995351	101497	52	2	8
2014-03-30 13:07:27.226696	101498	20.1	1	8
2014-03-30 13:07:56.27261	101499	44	2	10
2014-03-30 13:07:56.498035	101500	20.5	1	10
2014-03-30 13:08:04.921621	101501	49	2	9
2014-03-30 13:08:05.152443	101502	20.0	1	9
2014-03-30 13:08:05.993705	101503	52	2	8
2014-03-30 13:08:06.21633	101504	20.1	1	8
2014-03-30 13:08:35.262166	101505	44	2	10
2014-03-30 13:08:35.495025	101506	20.5	1	10
2014-03-30 13:08:43.920601	101507	49	2	9
2014-03-30 13:08:44.142866	101508	20.0	1	9
2014-03-30 13:08:44.994074	101509	53	2	8
2014-03-30 13:08:45.224423	101510	20.2	1	8
2014-03-30 13:09:14.262186	101511	44	2	10
2014-03-30 13:09:14.487333	101512	20.5	1	10
2014-03-30 13:09:22.926143	101513	49	2	9
2014-03-30 13:09:23.158105	101514	20.0	1	9
2014-03-30 13:09:23.995649	101515	54	2	8
2014-03-30 13:09:24.216377	101516	20.2	1	8
2014-03-30 13:09:53.261717	101517	44	2	10
2014-03-30 13:09:53.496109	101518	20.5	1	10
2014-03-30 13:10:01.926434	101519	49	2	9
2014-03-30 13:10:02.1692	101520	20.0	1	9
2014-03-30 13:10:02.997022	101521	55	2	8
2014-03-30 13:10:03.226474	101522	20.2	1	8
2014-03-30 13:10:32.26289	101523	44	2	10
2014-03-30 13:10:32.486626	101524	20.5	1	10
2014-03-30 13:10:40.921138	101525	49	2	9
2014-03-30 13:10:41.164672	101526	20.0	1	9
2014-03-30 13:10:41.992679	101527	56	2	8
2014-03-30 13:10:42.214398	101528	20.3	1	8
2014-03-30 13:11:11.262538	101529	44	2	10
2014-03-30 13:11:11.493144	101530	20.5	1	10
2014-03-30 13:11:19.916776	101531	49	2	9
2014-03-30 13:11:20.139519	101532	20.0	1	9
2014-03-30 13:11:20.992613	101533	56	2	8
2014-03-30 13:11:21.223847	101534	20.4	1	8
2014-03-30 13:11:50.26594	101535	44	2	10
2014-03-30 13:11:50.487022	101536	20.4	1	10
2014-03-30 13:11:58.921848	101537	49	2	9
2014-03-30 13:11:59.153089	101538	20.0	1	9
2014-03-30 13:11:59.992732	101539	56	2	8
2014-03-30 13:12:00.213542	101540	20.4	1	8
2014-03-30 13:12:29.262583	101541	44	2	10
2014-03-30 13:12:29.539859	101542	20.4	1	10
2014-03-30 13:12:37.936006	101543	49	2	9
2014-03-30 13:12:38.166322	101544	20.0	1	9
2014-03-30 13:12:38.994029	101545	56	2	8
2014-03-30 13:12:39.225593	101546	20.4	1	8
2014-03-30 13:13:08.265383	101547	44	2	10
2014-03-30 13:13:08.489484	101548	20.4	1	10
2014-03-30 13:13:16.922585	101549	49	2	9
2014-03-30 13:13:17.154649	101550	20.0	1	9
2014-03-30 13:13:18.195453	101551	57	2	8
2014-03-30 13:13:18.419161	101552	20.5	1	8
2014-03-30 13:13:47.264084	101553	44	2	10
2014-03-30 13:13:47.495367	101554	20.4	1	10
2014-03-30 13:13:55.91818	101555	49	2	9
2014-03-30 13:13:56.138908	101556	20.0	1	9
2014-03-30 13:13:56.993224	101557	57	2	8
2014-03-30 13:13:57.224315	101558	20.5	1	8
2014-03-30 13:14:26.26431	101559	44	2	10
2014-03-30 13:14:26.486423	101560	20.4	1	10
2014-03-30 13:14:34.925371	101561	49	2	9
2014-03-30 13:14:35.157174	101562	20.0	1	9
2014-03-30 13:14:35.994095	101563	57	2	8
2014-03-30 13:14:36.213478	101564	20.5	1	8
2014-03-30 13:15:05.466514	101565	44	2	10
2014-03-30 13:15:05.700034	101566	20.4	1	10
2014-03-30 13:15:13.921119	101567	49	2	9
2014-03-30 13:15:14.14301	101568	20.0	1	9
2014-03-30 13:15:14.993295	101569	57	2	8
2014-03-30 13:15:15.224145	101570	20.5	1	8
2014-03-30 13:15:44.262903	101571	44	2	10
2014-03-30 13:15:44.485353	101572	20.4	1	10
2014-03-30 13:15:52.921901	101573	49	2	9
2014-03-30 13:15:53.168507	101574	20.0	1	9
2014-03-30 13:15:53.995853	101575	57	2	8
2014-03-30 13:15:54.215949	101576	20.5	1	8
2014-03-30 13:16:23.265549	101577	44	2	10
2014-03-30 13:16:23.496566	101578	20.4	1	10
2014-03-30 13:16:31.914927	101579	49	2	9
2014-03-30 13:16:32.141489	101580	20.0	1	9
2014-03-30 13:16:32.993192	101581	57	2	8
2014-03-30 13:16:33.226629	101582	20.5	1	8
2014-03-30 13:17:02.2687	101583	44	2	10
2014-03-30 13:17:02.488988	101584	20.4	1	10
2014-03-30 13:17:10.9147	101585	49	2	9
2014-03-30 13:17:11.169382	101586	20.0	1	9
2014-03-30 13:17:11.993339	101587	56	2	8
2014-03-30 13:17:12.216014	101588	20.5	1	8
2014-03-30 13:17:41.265264	101589	44	2	10
2014-03-30 13:17:41.502118	101590	20.4	1	10
2014-03-30 13:17:49.920934	101591	49	2	9
2014-03-30 13:17:50.141546	101592	20.0	1	9
2014-03-30 13:17:50.994476	101593	56	2	8
2014-03-30 13:17:51.22593	101594	20.5	1	8
2014-03-30 13:18:20.265993	101595	44	2	10
2014-03-30 13:18:20.490493	101596	20.4	1	10
2014-03-30 13:18:28.916318	101597	49	2	9
2014-03-30 13:18:29.149071	101598	20.0	1	9
2014-03-30 13:18:29.995606	101599	56	2	8
2014-03-30 13:18:30.219395	101600	20.4	1	8
2014-03-30 13:18:59.266037	101601	44	2	10
2014-03-30 13:18:59.497464	101602	20.4	1	10
2014-03-30 13:19:07.913464	101603	49	2	9
2014-03-30 13:19:08.136955	101604	20.0	1	9
2014-03-30 13:19:08.993325	101605	55	2	8
2014-03-30 13:19:09.227116	101606	20.4	1	8
2014-03-30 13:19:20.611621	101607	50	2	1
2014-03-30 13:19:20.834047	101608	19.4	1	1
2014-03-30 13:19:38.266105	101609	44	2	10
2014-03-30 13:19:38.496546	101610	20.4	1	10
2014-03-30 13:19:46.915006	101611	49	2	9
2014-03-30 13:19:47.136761	101612	20.0	1	9
2014-03-30 13:19:47.991796	101613	55	2	8
2014-03-30 13:19:48.22569	101614	20.4	1	8
2014-03-30 13:20:17.267907	101615	44	2	10
2014-03-30 13:20:17.489513	101616	20.4	1	10
2014-03-30 13:20:25.91751	101617	49	2	9
2014-03-30 13:20:26.14923	101618	20.0	1	9
2014-03-30 13:20:26.995335	101619	55	2	8
2014-03-30 13:20:27.216067	101620	20.3	1	8
2014-03-30 13:20:56.269707	101621	44	2	10
2014-03-30 13:20:56.512901	101622	20.4	1	10
2014-03-30 13:21:04.911685	101623	49	2	9
2014-03-30 13:21:05.135637	101624	19.9	1	9
2014-03-30 13:21:05.994991	101625	54	2	8
2014-03-30 13:21:06.226847	101626	20.3	1	8
2014-03-30 13:21:35.264439	101627	44	2	10
2014-03-30 13:21:35.485222	101628	20.4	1	10
2014-03-30 13:21:43.917119	101629	50	2	9
2014-03-30 13:21:44.149416	101630	19.9	1	9
2014-03-30 13:21:44.992033	101631	54	2	8
2014-03-30 13:21:45.215029	101632	20.3	1	8
2014-03-30 13:22:14.269844	101633	44	2	10
2014-03-30 13:22:14.501289	101634	20.4	1	10
2014-03-30 13:22:22.914779	101635	50	2	9
2014-03-30 13:22:23.136945	101636	19.9	1	9
2014-03-30 13:22:23.993634	101637	54	2	8
2014-03-30 13:22:24.226745	101638	20.3	1	8
2014-03-30 13:23:01.915366	101639	50	2	9
2014-03-30 13:23:02.139059	101640	19.9	1	9
2014-03-30 13:23:02.993556	101641	54	2	8
2014-03-30 13:23:03.22504	101642	20.2	1	8
2014-03-30 13:23:32.269195	101643	44	2	10
2014-03-30 13:23:32.493412	101644	20.4	1	10
2014-03-30 13:23:40.913062	101645	50	2	9
2014-03-30 13:23:41.165859	101646	19.9	1	9
2014-03-30 13:23:41.992526	101647	53	2	8
2014-03-30 13:23:42.21346	101648	20.2	1	8
2014-03-30 13:24:11.268944	101649	44	2	10
2014-03-30 13:24:11.500399	101650	20.4	1	10
2014-03-30 13:24:19.915227	101651	50	2	9
2014-03-30 13:24:20.137945	101652	19.9	1	9
2014-03-30 13:24:20.995851	101653	53	2	8
2014-03-30 13:24:21.226843	101654	20.2	1	8
2014-03-30 13:24:50.268628	101655	44	2	10
2014-03-30 13:24:50.49035	101656	20.4	1	10
2014-03-30 13:24:58.912725	101657	50	2	9
2014-03-30 13:24:59.145123	101658	19.9	1	9
2014-03-30 13:24:59.99306	101659	53	2	8
2014-03-30 13:25:00.214819	101660	20.2	1	8
2014-03-30 13:25:11.837164	101661	50	2	1
2014-03-30 13:25:12.068556	101662	19.4	1	1
2014-03-30 13:25:29.268542	101663	44	2	10
2014-03-30 13:25:29.490002	101664	20.4	1	10
2014-03-30 13:25:37.919427	101665	50	2	9
2014-03-30 13:25:38.153215	101666	19.9	1	9
2014-03-30 13:25:38.994203	101667	53	2	8
2014-03-30 13:25:39.215246	101668	20.2	1	8
2014-03-30 13:26:08.265207	101669	44	2	10
2014-03-30 13:26:08.512049	101670	20.4	1	10
2014-03-30 13:26:16.922661	101671	50	2	9
2014-03-30 13:26:17.145071	101672	19.9	1	9
2014-03-30 13:26:17.995531	101673	53	2	8
2014-03-30 13:26:18.226989	101674	20.2	1	8
2014-03-30 13:26:47.268457	101675	44	2	10
2014-03-30 13:26:47.490954	101676	20.4	1	10
2014-03-30 13:26:55.915602	101677	50	2	9
2014-03-30 13:26:56.150142	101678	19.9	1	9
2014-03-30 13:26:56.992992	101679	53	2	8
2014-03-30 13:26:57.217168	101680	20.1	1	8
2014-03-30 13:27:08.853809	101681	50	2	1
2014-03-30 13:27:09.087584	101682	19.4	1	1
2014-03-30 13:27:26.268573	101683	44	2	10
2014-03-30 13:27:26.511674	101684	20.4	1	10
2014-03-30 13:27:34.913963	101685	50	2	9
2014-03-30 13:27:35.149091	101686	19.9	1	9
2014-03-30 13:27:35.992967	101687	53	2	8
2014-03-30 13:27:36.215471	101688	20.1	1	8
2014-03-30 13:27:47.852653	101689	50	2	1
2014-03-30 13:27:48.088538	101690	19.4	1	1
2014-03-30 13:28:05.270414	101691	44	2	10
2014-03-30 13:28:05.493735	101692	20.4	1	10
2014-03-30 13:28:13.914812	101693	50	2	9
2014-03-30 13:28:14.147854	101694	19.9	1	9
2014-03-30 13:28:14.994581	101695	52	2	8
2014-03-30 13:28:15.217856	101696	20.1	1	8
2014-03-30 13:28:44.269284	101697	44	2	10
2014-03-30 13:28:44.501462	101698	20.4	1	10
2014-03-30 13:28:52.915229	101699	50	2	9
2014-03-30 13:28:53.138788	101700	19.9	1	9
2014-03-30 13:28:53.994361	101701	52	2	8
2014-03-30 13:28:54.224614	101702	20.1	1	8
2014-03-30 13:29:23.269467	101703	44	2	10
2014-03-30 13:29:23.493476	101704	20.4	1	10
2014-03-30 13:29:31.91525	101705	50	2	9
2014-03-30 13:29:32.146766	101706	19.9	1	9
2014-03-30 13:29:32.990957	101707	52	2	8
2014-03-30 13:29:33.214382	101708	20.1	1	8
2014-03-30 13:30:02.269342	101709	44	2	10
2014-03-30 13:30:02.501449	101710	20.4	1	10
2014-03-30 13:30:10.927748	101711	50	2	9
2014-03-30 13:30:11.151355	101712	19.9	1	9
2014-03-30 13:30:11.994167	101713	52	2	8
2014-03-30 13:30:12.225276	101714	20.1	1	8
2014-03-30 13:30:41.269545	101715	44	2	10
2014-03-30 13:30:41.494222	101716	20.4	1	10
2014-03-30 13:30:49.917352	101717	50	2	9
2014-03-30 13:30:50.159853	101718	19.9	1	9
2014-03-30 13:30:50.992724	101719	52	2	8
2014-03-30 13:30:51.215689	101720	20.1	1	8
2014-03-30 13:31:20.270554	101721	44	2	10
2014-03-30 13:31:20.50205	101722	20.4	1	10
2014-03-30 13:31:28.920528	101723	50	2	9
2014-03-30 13:31:29.144019	101724	19.9	1	9
2014-03-30 13:31:29.995232	101725	52	2	8
2014-03-30 13:31:30.283878	101726	20.1	1	8
2014-03-30 13:31:41.61045	101727	51	2	1
2014-03-30 13:31:41.832483	101728	19.3	1	1
2014-03-30 13:31:59.268322	101729	44	2	10
2014-03-30 13:31:59.500538	101730	20.3	1	10
2014-03-30 13:32:07.912379	101731	50	2	9
2014-03-30 13:32:08.136641	101732	19.9	1	9
2014-03-30 13:32:08.99573	101733	52	2	8
2014-03-30 13:32:09.227679	101734	20.1	1	8
2014-03-30 13:32:38.272306	101735	44	2	10
2014-03-30 13:32:38.496408	101736	20.3	1	10
2014-03-30 13:32:46.912693	101737	50	2	9
2014-03-30 13:32:47.14587	101738	19.9	1	9
2014-03-30 13:32:47.992297	101739	52	2	8
2014-03-30 13:32:48.214975	101740	20.1	1	8
2014-03-30 13:33:17.273576	101741	44	2	10
2014-03-30 13:33:17.507275	101742	20.3	1	10
2014-03-30 13:33:25.917315	101743	50	2	9
2014-03-30 13:33:26.140657	101744	19.9	1	9
2014-03-30 13:33:26.994316	101745	52	2	8
2014-03-30 13:33:27.225359	101746	20.1	1	8
2014-03-30 13:33:56.473363	101747	44	2	10
2014-03-30 13:33:56.69491	101748	20.3	1	10
2014-03-30 13:34:04.914406	101749	50	2	9
2014-03-30 13:34:05.149419	101750	19.9	1	9
2014-03-30 13:34:05.994794	101751	52	2	8
2014-03-30 13:34:06.216059	101752	20.0	1	8
2014-03-30 13:34:35.27014	101753	44	2	10
2014-03-30 13:34:35.508328	101754	20.3	1	10
2014-03-30 13:34:43.91518	101755	50	2	9
2014-03-30 13:34:44.138716	101756	19.9	1	9
2014-03-30 13:34:44.993447	101757	52	2	8
2014-03-30 13:34:45.22563	101758	20.0	1	8
2014-03-30 13:35:14.273761	101759	44	2	10
2014-03-30 13:35:14.494825	101760	20.3	1	10
2014-03-30 13:35:22.918414	101761	50	2	9
2014-03-30 13:35:23.149236	101762	19.9	1	9
2014-03-30 13:35:23.994554	101763	52	2	8
2014-03-30 13:35:24.215927	101764	20.0	1	8
2014-03-30 13:35:53.270029	101765	44	2	10
2014-03-30 13:35:53.518168	101766	20.3	1	10
2014-03-30 13:36:02.122684	101767	50	2	9
2014-03-30 13:36:02.344111	101768	19.9	1	9
2014-03-30 13:36:02.992436	101769	52	2	8
2014-03-30 13:36:03.225648	101770	20.0	1	8
2014-03-30 13:36:32.272654	101771	44	2	10
2014-03-30 13:36:32.496767	101772	20.3	1	10
2014-03-30 13:36:40.916312	101773	50	2	9
2014-03-30 13:36:41.151081	101774	19.9	1	9
2014-03-30 13:36:41.994563	101775	52	2	8
2014-03-30 13:36:42.216753	101776	20.0	1	8
2014-03-30 13:36:53.610008	101777	51	2	1
2014-03-30 13:36:53.842022	101778	19.3	1	1
2014-03-30 13:37:11.273519	101779	44	2	10
2014-03-30 13:37:11.49715	101780	20.3	1	10
2014-03-30 13:37:19.915665	101781	50	2	9
2014-03-30 13:37:20.151346	101782	19.9	1	9
2014-03-30 13:37:20.996158	101783	52	2	8
2014-03-30 13:37:21.21683	101784	20.0	1	8
2014-03-30 13:37:50.272633	101785	44	2	10
2014-03-30 13:37:50.51594	101786	20.3	1	10
2014-03-30 13:37:58.919486	101787	50	2	9
2014-03-30 13:37:59.14482	101788	19.9	1	9
2014-03-30 13:37:59.994543	101789	52	2	8
2014-03-30 13:38:00.227063	101790	20.0	1	8
2014-03-30 13:38:11.607532	101791	51	2	1
2014-03-30 13:38:11.831309	101792	19.3	1	1
2014-03-30 13:38:29.274362	101793	44	2	10
2014-03-30 13:38:29.507148	101794	20.4	1	10
2014-03-30 13:38:37.914145	101795	50	2	9
2014-03-30 13:38:38.138875	101796	19.9	1	9
2014-03-30 13:38:38.995458	101797	52	2	8
2014-03-30 13:38:39.229114	101798	20.0	1	8
2014-03-30 13:39:08.274261	101799	44	2	10
2014-03-30 13:39:08.497632	101800	20.4	1	10
2014-03-30 13:39:16.914789	101801	50	2	9
2014-03-30 13:39:17.14693	101802	19.9	1	9
2014-03-30 13:39:17.993515	101803	51	2	8
2014-03-30 13:39:18.215962	101804	20.0	1	8
2014-03-30 13:39:29.608959	101805	51	2	1
2014-03-30 13:39:29.843665	101806	19.3	1	1
2014-03-30 13:39:47.274326	101807	44	2	10
2014-03-30 13:39:47.498935	101808	20.4	1	10
2014-03-30 13:39:55.915374	101809	50	2	9
2014-03-30 13:39:56.147563	101810	19.9	1	9
2014-03-30 13:39:56.994414	101811	51	2	8
2014-03-30 13:39:57.21732	101812	20.0	1	8
2014-03-30 13:40:08.610418	101813	51	2	1
2014-03-30 13:40:08.854396	101814	19.3	1	1
2014-03-30 13:40:26.273043	101815	44	2	10
2014-03-30 13:40:26.495	101816	20.4	1	10
2014-03-30 13:40:34.911479	101817	50	2	9
2014-03-30 13:40:35.143763	101818	19.9	1	9
2014-03-30 13:40:35.99247	101819	51	2	8
2014-03-30 13:40:36.214494	101820	20.0	1	8
2014-03-30 13:40:47.610903	101821	51	2	1
2014-03-30 13:40:47.843455	101822	19.3	1	1
2014-03-30 13:41:05.27267	101823	44	2	10
2014-03-30 13:41:05.495022	101824	20.4	1	10
2014-03-30 13:41:13.920337	101825	50	2	9
2014-03-30 13:41:14.150077	101826	19.9	1	9
2014-03-30 13:41:14.994684	101827	51	2	8
2014-03-30 13:41:15.215245	101828	20.0	1	8
2014-03-30 13:41:26.847376	101829	51	2	1
2014-03-30 13:41:27.079369	101830	19.3	1	1
2014-03-30 13:41:44.273642	101831	44	2	10
2014-03-30 13:41:44.496444	101832	20.4	1	10
2014-03-30 13:41:52.91559	101833	50	2	9
2014-03-30 13:41:53.147614	101834	19.9	1	9
2014-03-30 13:41:53.993765	101835	51	2	8
2014-03-30 13:41:54.21471	101836	20.0	1	8
2014-03-30 13:42:05.828478	101837	51	2	1
2014-03-30 13:42:06.062874	101838	19.3	1	1
2014-03-30 13:42:23.273733	101839	44	2	10
2014-03-30 13:42:23.496816	101840	20.4	1	10
2014-03-30 13:42:31.913472	101841	50	2	9
2014-03-30 13:42:32.147574	101842	19.9	1	9
2014-03-30 13:42:32.994149	101843	51	2	8
2014-03-30 13:42:33.215849	101844	20.0	1	8
2014-03-30 13:42:44.84729	101845	51	2	1
2014-03-30 13:42:45.081441	101846	19.3	1	1
2014-03-30 13:43:02.272944	101847	44	2	10
2014-03-30 13:43:02.494816	101848	20.4	1	10
2014-03-30 13:43:10.913203	101849	50	2	9
2014-03-30 13:43:11.148637	101850	19.9	1	9
2014-03-30 13:43:11.993772	101851	51	2	8
2014-03-30 13:43:12.217076	101852	19.9	1	8
2014-03-30 13:43:41.273376	101853	44	2	10
2014-03-30 13:43:41.507714	101854	20.4	1	10
2014-03-30 13:43:49.915662	101855	50	2	9
2014-03-30 13:43:50.137564	101856	19.9	1	9
2014-03-30 13:43:50.994216	101857	51	2	8
2014-03-30 13:43:51.225355	101858	19.9	1	8
2014-03-30 13:44:20.273897	101859	44	2	10
2014-03-30 13:44:20.496257	101860	20.4	1	10
2014-03-30 13:44:28.915059	101861	50	2	9
2014-03-30 13:44:29.161417	101862	19.9	1	9
2014-03-30 13:44:29.995167	101863	51	2	8
2014-03-30 13:44:30.216557	101864	19.9	1	8
2014-03-30 13:44:59.274724	101865	44	2	10
2014-03-30 13:44:59.508453	101866	20.3	1	10
2014-03-30 13:45:07.914208	101867	50	2	9
2014-03-30 13:45:08.137156	101868	19.9	1	9
2014-03-30 13:45:08.994454	101869	51	2	8
2014-03-30 13:45:09.227018	101870	19.9	1	8
2014-03-30 13:45:38.275673	101871	44	2	10
2014-03-30 13:45:38.500905	101872	20.3	1	10
2014-03-30 13:45:46.920419	101873	50	2	9
2014-03-30 13:45:47.15206	101874	19.9	1	9
2014-03-30 13:45:47.994316	101875	51	2	8
2014-03-30 13:45:48.215983	101876	19.9	1	8
2014-03-30 13:46:17.274609	101877	44	2	10
2014-03-30 13:46:17.507576	101878	20.3	1	10
2014-03-30 13:46:25.90731	101879	50	2	9
2014-03-30 13:46:26.129395	101880	19.9	1	9
2014-03-30 13:46:26.994562	101881	51	2	8
2014-03-30 13:46:27.224428	101882	19.9	1	8
2014-03-30 13:46:56.056203	101883	482	3	2
2014-03-30 13:46:56.278819	101884	1132073.8556597785	4	2
2014-03-30 13:46:56.59189	101885	44	2	10
2014-03-30 13:46:56.849279	101886	20.3	1	10
2014-03-30 13:47:05.120813	101887	50	2	9
2014-03-30 13:47:05.341434	101888	19.9	1	9
2014-03-30 13:47:05.98966	101889	51	2	8
2014-03-30 13:47:06.221581	101890	19.9	1	8
2014-03-30 13:47:35.27285	101891	44	2	10
2014-03-30 13:47:35.495923	101892	20.3	1	10
2014-03-30 13:47:43.920328	101893	50	2	9
2014-03-30 13:47:44.154385	101894	19.9	1	9
2014-03-30 13:47:44.995308	101895	51	2	8
2014-03-30 13:47:45.21908	101896	19.9	1	8
2014-03-30 13:48:14.276199	101897	44	2	10
2014-03-30 13:48:14.508685	101898	20.3	1	10
2014-03-30 13:48:22.921458	101899	50	2	9
2014-03-30 13:48:23.1454	101900	19.9	1	9
2014-03-30 13:48:23.993597	101901	51	2	8
2014-03-30 13:48:24.229032	101902	19.9	1	8
2014-03-30 13:48:53.27454	101903	44	2	10
2014-03-30 13:48:53.496835	101904	20.3	1	10
2014-03-30 13:49:01.920749	101905	50	2	9
2014-03-30 13:49:02.15465	101906	19.9	1	9
2014-03-30 13:49:03.195285	101907	51	2	8
2014-03-30 13:49:03.416965	101908	19.9	1	8
2014-03-30 13:49:32.278019	101909	44	2	10
2014-03-30 13:49:32.522427	101910	20.3	1	10
2014-03-30 13:49:40.92223	101911	50	2	9
2014-03-30 13:49:41.146026	101912	19.9	1	9
2014-03-30 13:49:41.99275	101913	51	2	8
2014-03-30 13:49:42.22384	101914	19.9	1	8
2014-03-30 13:50:11.277284	101915	44	2	10
2014-03-30 13:50:11.502681	101916	20.3	1	10
2014-03-30 13:50:19.92063	101917	50	2	9
2014-03-30 13:50:20.152389	101918	19.9	1	9
2014-03-30 13:50:20.992183	101919	51	2	8
2014-03-30 13:50:21.213961	101920	19.9	1	8
2014-03-30 13:50:50.274712	101921	44	2	10
2014-03-30 13:50:50.51126	101922	20.3	1	10
2014-03-30 13:50:58.919671	101923	50	2	9
2014-03-30 13:50:59.187287	101924	19.9	1	9
2014-03-30 13:50:59.990941	101925	51	2	8
2014-03-30 13:51:00.222425	101926	19.9	1	8
2014-03-30 13:51:29.276166	101927	44	2	10
2014-03-30 13:51:29.497662	101928	20.3	1	10
2014-03-30 13:51:37.922123	101929	50	2	9
2014-03-30 13:51:38.156457	101930	19.9	1	9
2014-03-30 13:51:38.992735	101931	51	2	8
2014-03-30 13:51:39.213546	101932	19.9	1	8
2014-03-30 13:52:08.277557	101933	44	2	10
2014-03-30 13:52:08.50933	101934	20.3	1	10
2014-03-30 13:52:16.922711	101935	50	2	9
2014-03-30 13:52:17.146739	101936	19.9	1	9
2014-03-30 13:52:17.993022	101937	51	2	8
2014-03-30 13:52:18.22424	101938	19.9	1	8
2014-03-30 13:52:47.292069	101939	44	2	10
2014-03-30 13:52:47.516201	101940	20.3	1	10
2014-03-30 13:52:55.916559	101941	50	2	9
2014-03-30 13:52:56.151472	101942	19.9	1	9
2014-03-30 13:52:56.99195	101943	51	2	8
2014-03-30 13:52:57.211806	101944	19.9	1	8
2014-03-30 13:53:26.278903	101945	44	2	10
2014-03-30 13:53:26.513039	101946	20.3	1	10
2014-03-30 13:53:34.92272	101947	50	2	9
2014-03-30 13:53:35.1467	101948	19.9	1	9
2014-03-30 13:53:35.995146	101949	51	2	8
2014-03-30 13:53:36.226505	101950	19.9	1	8
2014-03-30 13:54:05.2791	101951	44	2	10
2014-03-30 13:54:05.503651	101952	20.3	1	10
2014-03-30 13:54:13.922459	101953	50	2	9
2014-03-30 13:54:14.15604	101954	19.9	1	9
2014-03-30 13:54:14.993927	101955	51	2	8
2014-03-30 13:54:15.220958	101956	19.9	1	8
2014-03-30 13:54:44.279124	101957	44	2	10
2014-03-30 13:54:44.526935	101958	20.3	1	10
2014-03-30 13:54:52.922801	101959	50	2	9
2014-03-30 13:54:53.145585	101960	19.9	1	9
2014-03-30 13:54:53.99391	101961	51	2	8
2014-03-30 13:54:54.227737	101962	19.9	1	8
2014-03-30 13:55:23.277866	101963	44	2	10
2014-03-30 13:55:23.502722	101964	20.3	1	10
2014-03-30 13:55:31.914512	101965	50	2	9
2014-03-30 13:55:32.146602	101966	19.9	1	9
2014-03-30 13:55:32.993756	101967	51	2	8
2014-03-30 13:55:33.216285	101968	19.9	1	8
2014-03-30 13:56:02.277814	101969	44	2	10
2014-03-30 13:56:02.511178	101970	20.3	1	10
2014-03-30 13:56:10.918872	101971	50	2	9
2014-03-30 13:56:11.142556	101972	19.9	1	9
2014-03-30 13:56:11.992834	101973	51	2	8
2014-03-30 13:56:12.224904	101974	19.9	1	8
2014-03-30 13:56:41.277552	101975	44	2	10
2014-03-30 13:56:41.500633	101976	20.2	1	10
2014-03-30 13:56:49.922458	101977	50	2	9
2014-03-30 13:56:50.154575	101978	19.9	1	9
2014-03-30 13:56:50.992946	101979	51	2	8
2014-03-30 13:56:51.215736	101980	19.9	1	8
2014-03-30 13:57:20.278558	101981	44	2	10
2014-03-30 13:57:20.510493	101982	20.2	1	10
2014-03-30 13:57:28.925757	101983	50	2	9
2014-03-30 13:57:29.148232	101984	19.9	1	9
2014-03-30 13:57:29.992795	101985	51	2	8
2014-03-30 13:57:30.2242	101986	19.9	1	8
2014-03-30 13:57:59.280423	101987	44	2	10
2014-03-30 13:57:59.559553	101988	20.2	1	10
2014-03-30 13:58:08.995145	101989	51	2	8
2014-03-30 13:58:09.2274	101990	19.9	1	8
2014-03-30 13:58:38.280233	101991	44	2	10
2014-03-30 13:58:38.502767	101992	20.3	1	10
2014-03-30 13:58:46.920236	101993	50	2	9
2014-03-30 13:58:47.153873	101994	19.9	1	9
2014-03-30 13:58:47.993848	101995	51	2	8
2014-03-30 13:58:48.216892	101996	19.9	1	8
2014-03-30 13:59:17.278707	101997	44	2	10
2014-03-30 13:59:17.512502	101998	20.2	1	10
2014-03-30 13:59:25.925793	101999	50	2	9
2014-03-30 13:59:26.149116	102000	19.9	1	9
2014-03-30 13:59:26.992562	102001	51	2	8
2014-03-30 13:59:27.225131	102002	19.8	1	8
2014-03-30 13:59:56.280021	102003	44	2	10
2014-03-30 13:59:56.504094	102004	20.2	1	10
2014-03-30 14:00:04.923943	102005	50	2	9
2014-03-30 14:00:05.167649	102006	19.9	1	9
2014-03-30 14:00:05.992812	102007	51	2	8
2014-03-30 14:00:06.213935	102008	19.8	1	8
2014-03-30 14:00:35.280022	102009	44	2	10
2014-03-30 14:00:35.511439	102010	20.2	1	10
2014-03-30 14:00:43.913439	102011	50	2	9
2014-03-30 14:00:44.135551	102012	19.9	1	9
2014-03-30 14:00:44.993258	102013	51	2	8
2014-03-30 14:00:45.223891	102014	19.8	1	8
2014-03-30 14:01:14.277415	102015	44	2	10
2014-03-30 14:01:14.500199	102016	20.2	1	10
2014-03-30 14:01:22.920641	102017	50	2	9
2014-03-30 14:01:23.152478	102018	19.9	1	9
2014-03-30 14:01:23.993813	102019	51	2	8
2014-03-30 14:01:24.215892	102020	19.8	1	8
2014-03-30 14:01:53.280426	102021	44	2	10
2014-03-30 14:01:53.520982	102022	20.3	1	10
2014-03-30 14:02:01.919384	102023	50	2	9
2014-03-30 14:02:02.141652	102024	19.9	1	9
2014-03-30 14:02:02.994127	102025	51	2	8
2014-03-30 14:02:03.226041	102026	19.8	1	8
2014-03-30 14:02:32.282057	102027	44	2	10
2014-03-30 14:02:32.504309	102028	20.3	1	10
2014-03-30 14:02:40.92623	102029	50	2	9
2014-03-30 14:02:41.159516	102030	19.8	1	9
2014-03-30 14:02:41.993043	102031	51	2	8
2014-03-30 14:02:42.214481	102032	19.8	1	8
2014-03-30 14:03:11.283483	102033	44	2	10
2014-03-30 14:03:11.516338	102034	20.3	1	10
2014-03-30 14:03:19.919317	102035	50	2	9
2014-03-30 14:03:20.14158	102036	19.8	1	9
2014-03-30 14:03:20.993542	102037	51	2	8
2014-03-30 14:03:21.225754	102038	19.8	1	8
2014-03-30 14:03:50.282465	102039	44	2	10
2014-03-30 14:03:50.507411	102040	20.3	1	10
2014-03-30 14:03:58.928536	102041	50	2	9
2014-03-30 14:03:59.16174	102042	19.8	1	9
2014-03-30 14:03:59.995196	102043	51	2	8
2014-03-30 14:04:00.216707	102044	19.8	1	8
2014-03-30 14:04:29.282235	102045	44	2	10
2014-03-30 14:04:29.515183	102046	20.3	1	10
2014-03-30 14:04:37.9224	102047	50	2	9
2014-03-30 14:04:38.146385	102048	19.8	1	9
2014-03-30 14:04:38.992424	102049	51	2	8
2014-03-30 14:04:39.226009	102050	19.8	1	8
2014-03-30 14:05:08.282453	102051	44	2	10
2014-03-30 14:05:08.5043	102052	20.2	1	10
2014-03-30 14:05:16.91982	102053	50	2	9
2014-03-30 14:05:17.167013	102054	19.8	1	9
2014-03-30 14:05:17.994318	102055	51	2	8
2014-03-30 14:05:18.21817	102056	19.8	1	8
2014-03-30 14:05:47.282249	102057	44	2	10
2014-03-30 14:05:47.514601	102058	20.2	1	10
2014-03-30 14:05:55.920093	102059	50	2	9
2014-03-30 14:05:56.143599	102060	19.8	1	9
2014-03-30 14:05:56.99401	102061	51	2	8
2014-03-30 14:05:57.224974	102062	19.8	1	8
2014-03-30 14:06:26.282148	102063	44	2	10
2014-03-30 14:06:26.50752	102064	20.2	1	10
2014-03-30 14:06:34.92228	102065	50	2	9
2014-03-30 14:06:35.154791	102066	19.8	1	9
2014-03-30 14:06:35.993132	102067	51	2	8
2014-03-30 14:06:36.21754	102068	19.8	1	8
2014-03-30 14:07:05.282721	102069	44	2	10
2014-03-30 14:07:05.516037	102070	20.2	1	10
2014-03-30 14:07:13.92491	102071	50	2	9
2014-03-30 14:07:14.147921	102072	19.8	1	9
2014-03-30 14:07:14.993994	102073	51	2	8
2014-03-30 14:07:15.225249	102074	19.8	1	8
2014-03-30 14:07:44.2813	102075	44	2	10
2014-03-30 14:07:44.507465	102076	20.2	1	10
2014-03-30 14:07:52.925763	102077	50	2	9
2014-03-30 14:07:53.156584	102078	19.8	1	9
2014-03-30 14:07:53.993184	102079	51	2	8
2014-03-30 14:07:54.215755	102080	19.8	1	8
2014-03-30 14:08:23.282702	102081	44	2	10
2014-03-30 14:08:23.513335	102082	20.2	1	10
2014-03-30 14:08:31.912339	102083	50	2	9
2014-03-30 14:08:32.135315	102084	19.8	1	9
2014-03-30 14:08:32.993783	102085	51	2	8
2014-03-30 14:08:33.226684	102086	19.8	1	8
2014-03-30 14:09:02.280802	102087	44	2	10
2014-03-30 14:09:02.503328	102088	20.2	1	10
2014-03-30 14:09:10.922315	102089	50	2	9
2014-03-30 14:09:11.157334	102090	19.8	1	9
2014-03-30 14:09:11.994801	102091	51	2	8
2014-03-30 14:09:12.217199	102092	19.8	1	8
2014-03-30 14:09:41.283667	102093	44	2	10
2014-03-30 14:09:41.517258	102094	20.2	1	10
2014-03-30 14:09:49.923205	102095	50	2	9
2014-03-30 14:09:50.149158	102096	19.8	1	9
2014-03-30 14:09:50.993069	102097	51	2	8
2014-03-30 14:09:51.225788	102098	19.8	1	8
2014-03-30 14:10:20.281865	102099	44	2	10
2014-03-30 14:10:20.505231	102100	20.2	1	10
2014-03-30 14:10:28.921348	102101	50	2	9
2014-03-30 14:10:29.17	102102	19.8	1	9
2014-03-30 14:10:29.991679	102103	51	2	8
2014-03-30 14:10:30.214366	102104	19.8	1	8
2014-03-30 14:10:59.284251	102105	44	2	10
2014-03-30 14:10:59.525063	102106	20.2	1	10
2014-03-30 14:11:07.92567	102107	50	2	9
2014-03-30 14:11:08.148407	102108	19.8	1	9
2014-03-30 14:11:08.993119	102109	51	2	8
2014-03-30 14:11:09.223555	102110	19.8	1	8
2014-03-30 14:11:38.283251	102111	44	2	10
2014-03-30 14:11:38.509222	102112	20.2	1	10
2014-03-30 14:11:47.118664	102113	50	2	9
2014-03-30 14:11:47.351164	102114	19.8	1	9
2014-03-30 14:11:47.993833	102115	51	2	8
2014-03-30 14:11:48.21713	102116	19.8	1	8
2014-03-30 14:12:17.283948	102117	44	2	10
2014-03-30 14:12:17.518496	102118	20.2	1	10
2014-03-30 14:12:25.92047	102119	50	2	9
2014-03-30 14:12:26.141585	102120	19.8	1	9
2014-03-30 14:12:26.992411	102121	51	2	8
2014-03-30 14:12:27.223975	102122	19.8	1	8
2014-03-30 14:12:38.592751	102123	52	2	1
2014-03-30 14:12:38.818988	102124	19.5	1	1
2014-03-30 14:12:56.281955	102125	44	2	10
2014-03-30 14:12:56.514767	102126	20.2	1	10
2014-03-30 14:13:04.919414	102127	50	2	9
2014-03-30 14:13:05.143655	102128	19.8	1	9
2014-03-30 14:13:05.991923	102129	51	2	8
2014-03-30 14:13:06.223155	102130	19.8	1	8
2014-03-30 14:13:17.588836	102131	52	2	1
2014-03-30 14:13:17.812507	102132	19.5	1	1
2014-03-30 14:13:35.28397	102133	44	2	10
2014-03-30 14:13:35.516858	102134	20.2	1	10
2014-03-30 14:13:43.913891	102135	50	2	9
2014-03-30 14:13:44.135662	102136	19.8	1	9
2014-03-30 14:13:44.994067	102137	51	2	8
2014-03-30 14:13:45.226029	102138	19.8	1	8
2014-03-30 14:14:14.282713	102139	44	2	10
2014-03-30 14:14:14.504582	102140	20.2	1	10
2014-03-30 14:14:23.120032	102141	50	2	9
2014-03-30 14:14:23.353545	102142	19.8	1	9
2014-03-30 14:14:23.995803	102143	51	2	8
2014-03-30 14:14:24.217485	102144	19.8	1	8
2014-03-30 14:14:53.284336	102145	44	2	10
2014-03-30 14:14:53.518916	102146	20.2	1	10
2014-03-30 14:15:01.920155	102147	50	2	9
2014-03-30 14:15:02.144408	102148	19.8	1	9
2014-03-30 14:15:02.9941	102149	51	2	8
2014-03-30 14:15:03.239526	102150	19.8	1	8
2014-03-30 14:15:32.28251	102151	44	2	10
2014-03-30 14:15:32.504005	102152	20.2	1	10
2014-03-30 14:15:40.925317	102153	50	2	9
2014-03-30 14:15:41.159214	102154	19.8	1	9
2014-03-30 14:15:41.993927	102155	51	2	8
2014-03-30 14:15:42.217968	102156	19.8	1	8
2014-03-30 14:16:11.290142	102157	44	2	10
2014-03-30 14:16:11.524062	102158	20.2	1	10
2014-03-30 14:16:19.912479	102159	50	2	9
2014-03-30 14:16:20.136328	102160	19.8	1	9
2014-03-30 14:16:20.99367	102161	51	2	8
2014-03-30 14:16:21.226874	102162	19.8	1	8
2014-03-30 14:16:50.283276	102163	44	2	10
2014-03-30 14:16:50.508707	102164	20.2	1	10
2014-03-30 14:16:58.922442	102165	50	2	9
2014-03-30 14:16:59.153131	102166	19.8	1	9
2014-03-30 14:17:00.049915	102167	51	2	8
2014-03-30 14:17:00.273249	102168	19.8	1	8
2014-03-30 14:17:29.28279	102169	44	2	10
2014-03-30 14:17:29.536992	102170	20.2	1	10
2014-03-30 14:17:37.920237	102171	50	2	9
2014-03-30 14:17:38.146217	102172	19.8	1	9
2014-03-30 14:17:38.995633	102173	51	2	8
2014-03-30 14:17:39.227307	102174	19.8	1	8
2014-03-30 14:18:08.28523	102175	44	2	10
2014-03-30 14:18:08.507798	102176	20.2	1	10
2014-03-30 14:18:16.927522	102177	50	2	9
2014-03-30 14:18:17.159275	102178	19.8	1	9
2014-03-30 14:18:17.992499	102179	51	2	8
2014-03-30 14:18:18.21684	102180	19.7	1	8
2014-03-30 14:18:47.283624	102181	44	2	10
2014-03-30 14:18:47.516999	102182	20.2	1	10
2014-03-30 14:18:55.926906	102183	50	2	9
2014-03-30 14:18:56.149146	102184	19.8	1	9
2014-03-30 14:18:56.993562	102185	51	2	8
2014-03-30 14:18:57.225202	102186	19.7	1	8
2014-03-30 14:19:26.286227	102187	44	2	10
2014-03-30 14:19:26.509112	102188	20.2	1	10
2014-03-30 14:19:34.929162	102189	50	2	9
2014-03-30 14:19:35.162619	102190	19.8	1	9
2014-03-30 14:19:35.993648	102191	50	2	8
2014-03-30 14:19:36.215291	102192	19.7	1	8
2014-03-30 14:20:05.285987	102193	44	2	10
2014-03-30 14:20:05.523419	102194	20.3	1	10
2014-03-30 14:20:13.923385	102195	50	2	9
2014-03-30 14:20:14.148679	102196	19.8	1	9
2014-03-30 14:20:14.99599	102197	50	2	8
2014-03-30 14:20:15.239375	102198	19.7	1	8
2014-03-30 14:20:44.284024	102199	44	2	10
2014-03-30 14:20:44.506571	102200	20.3	1	10
2014-03-30 14:20:52.92194	102201	50	2	9
2014-03-30 14:20:53.340694	102202	19.8	1	9
2014-03-30 14:20:53.993395	102203	50	2	8
2014-03-30 14:20:54.221675	102204	19.7	1	8
2014-03-30 14:21:23.290514	102205	44	2	10
2014-03-30 14:21:23.512258	102206	20.3	1	10
2014-03-30 14:21:31.970031	102207	50	2	9
2014-03-30 14:21:32.201444	102208	19.8	1	9
2014-03-30 14:21:33.199671	102209	50	2	8
2014-03-30 14:21:33.420114	102210	19.7	1	8
2014-03-30 14:22:02.289667	102211	44	2	10
2014-03-30 14:22:02.522295	102212	20.2	1	10
2014-03-30 14:22:10.925309	102213	50	2	9
2014-03-30 14:22:11.147202	102214	19.8	1	9
2014-03-30 14:22:11.992874	102215	50	2	8
2014-03-30 14:22:12.224796	102216	19.7	1	8
2014-03-30 14:22:41.285627	102217	44	2	10
2014-03-30 14:22:41.509407	102218	20.2	1	10
2014-03-30 14:22:44.053609	102219	2189	3	2
2014-03-30 14:22:44.285778	102220	1132488.6661361137	4	2
2014-03-30 14:22:49.924787	102221	50	2	9
2014-03-30 14:22:50.146965	102222	19.8	1	9
2014-03-30 14:22:50.991607	102223	50	2	8
2014-03-30 14:22:51.224251	102224	19.7	1	8
2014-03-30 14:23:20.285835	102225	44	2	10
2014-03-30 14:23:20.50853	102226	20.2	1	10
2014-03-30 14:23:28.921373	102227	50	2	9
2014-03-30 14:23:29.153509	102228	19.8	1	9
2014-03-30 14:23:29.991517	102229	50	2	8
2014-03-30 14:23:30.212572	102230	19.7	1	8
2014-03-30 14:23:32.073292	102231	2205	3	2
2014-03-30 14:23:32.339081	102232	1132518.5410388706	4	2
2014-03-30 14:23:59.28816	102233	44	2	10
2014-03-30 14:23:59.544139	102234	20.3	1	10
2014-03-30 14:24:07.923547	102235	50	2	9
2014-03-30 14:24:08.189845	102236	19.8	1	9
2014-03-30 14:24:08.992541	102237	50	2	8
2014-03-30 14:24:09.233206	102238	19.7	1	8
2014-03-30 14:24:32.100686	102239	2205	3	2
2014-03-30 14:24:32.403286	102240	1132555.3101499558	4	2
2014-03-30 14:24:38.284467	102241	44	2	10
2014-03-30 14:24:38.506516	102242	20.3	1	10
2014-03-30 14:24:46.924564	102243	50	2	9
2014-03-30 14:24:47.157556	102244	19.8	1	9
2014-03-30 14:24:47.99394	102245	50	2	8
2014-03-30 14:24:48.214355	102246	19.7	1	8
2014-03-30 14:25:17.284953	102247	44	2	10
2014-03-30 14:25:17.528053	102248	20.3	1	10
2014-03-30 14:25:25.92504	102249	50	2	9
2014-03-30 14:25:26.145633	102250	19.8	1	9
2014-03-30 14:25:26.993626	102251	50	2	8
2014-03-30 14:25:27.225899	102252	19.7	1	8
2014-03-30 14:25:32.115321	102253	2205	3	2
2014-03-30 14:25:32.33727	102254	1132592.079261041	4	2
2014-03-30 14:25:56.284616	102255	44	2	10
2014-03-30 14:25:56.51609	102256	20.3	1	10
2014-03-30 14:26:04.924334	102257	50	2	9
2014-03-30 14:26:05.1498	102258	19.8	1	9
2014-03-30 14:26:05.992784	102259	50	2	8
2014-03-30 14:26:06.225441	102260	19.7	1	8
2014-03-30 14:26:32.10766	102261	2205	3	2
2014-03-30 14:26:32.330679	102262	1132628.8483721262	4	2
2014-03-30 14:26:35.287629	102263	44	2	10
2014-03-30 14:26:35.51822	102264	20.3	1	10
2014-03-30 14:26:44.128989	102265	50	2	9
2014-03-30 14:26:44.351244	102266	19.7	1	9
2014-03-30 14:26:45.199553	102267	50	2	8
2014-03-30 14:26:45.430428	102268	19.7	1	8
2014-03-30 14:27:14.290201	102269	44	2	10
2014-03-30 14:27:14.513646	102270	20.3	1	10
2014-03-30 14:27:20.060707	102271	498	3	2
2014-03-30 14:27:20.295695	102272	1132656.4252054403	4	2
2014-03-30 14:27:22.921147	102273	50	2	9
2014-03-30 14:27:23.146854	102274	19.7	1	9
2014-03-30 14:27:23.99285	102275	50	2	8
2014-03-30 14:27:24.223193	102276	19.7	1	8
2014-03-30 14:27:53.28816	102277	44	2	10
2014-03-30 14:27:53.512939	102278	20.3	1	10
2014-03-30 14:28:01.920663	102279	50	2	9
2014-03-30 14:28:02.152614	102280	19.7	1	9
2014-03-30 14:28:02.992685	102281	50	2	8
2014-03-30 14:28:03.213264	102282	19.7	1	8
2014-03-30 14:28:32.288548	102283	44	2	10
2014-03-30 14:28:32.521625	102284	20.3	1	10
2014-03-30 14:28:40.921636	102285	50	2	9
2014-03-30 14:28:41.144644	102286	19.7	1	9
2014-03-30 14:28:41.993999	102287	50	2	8
2014-03-30 14:28:42.227885	102288	19.7	1	8
2014-03-30 14:29:11.291163	102289	44	2	10
2014-03-30 14:29:11.51416	102290	20.3	1	10
2014-03-30 14:29:19.922829	102291	50	2	9
2014-03-30 14:29:20.157004	102292	19.7	1	9
2014-03-30 14:29:20.992423	102293	50	2	8
2014-03-30 14:29:21.215073	102294	19.7	1	8
2014-03-30 14:29:50.290112	102295	44	2	10
2014-03-30 14:29:50.532999	102296	20.3	1	10
2014-03-30 14:29:58.922843	102297	50	2	9
2014-03-30 14:29:59.14458	102298	19.7	1	9
2014-03-30 14:29:59.993032	102299	50	2	8
2014-03-30 14:30:00.224701	102300	19.7	1	8
2014-03-30 14:30:29.286405	102301	44	2	10
2014-03-30 14:30:29.509449	102302	20.3	1	10
2014-03-30 14:30:37.922303	102303	50	2	9
2014-03-30 14:30:38.152653	102304	19.7	1	9
2014-03-30 14:30:38.993771	102305	50	2	8
2014-03-30 14:30:39.214874	102306	19.7	1	8
2014-03-30 14:31:08.28555	102307	44	2	10
2014-03-30 14:31:08.527042	102308	20.3	1	10
2014-03-30 14:31:16.922382	102309	50	2	9
2014-03-30 14:31:17.146606	102310	19.7	1	9
2014-03-30 14:31:17.992014	102311	50	2	8
2014-03-30 14:31:18.224569	102312	19.7	1	8
2014-03-30 14:31:32.056015	102313	498	3	2
2014-03-30 14:31:32.333886	102314	1132692.0452818042	4	2
2014-03-30 14:31:47.288309	102315	44	2	10
2014-03-30 14:31:47.51861	102316	20.3	1	10
2014-03-30 14:31:55.920277	102317	50	2	9
2014-03-30 14:31:56.143895	102318	19.7	1	9
2014-03-30 14:31:56.992584	102319	50	2	8
2014-03-30 14:31:57.225131	102320	19.7	1	8
2014-03-30 14:32:26.289958	102321	44	2	10
2014-03-30 14:32:26.511987	102322	20.3	1	10
2014-03-30 14:32:32.059642	102323	498	3	2
2014-03-30 14:32:32.348621	102324	1132700.088524854	4	2
2014-03-30 14:32:34.924254	102325	50	2	9
2014-03-30 14:32:35.145031	102326	19.7	1	9
2014-03-30 14:32:35.993263	102327	51	2	8
2014-03-30 14:32:36.223558	102328	19.7	1	8
2014-03-30 14:33:05.290589	102329	44	2	10
2014-03-30 14:33:05.521469	102330	20.2	1	10
2014-03-30 14:33:13.920385	102331	50	2	9
2014-03-30 14:33:14.151595	102332	19.7	1	9
2014-03-30 14:33:14.992828	102333	51	2	8
2014-03-30 14:33:15.213956	102334	19.7	1	8
2014-03-30 14:33:44.289113	102335	44	2	10
2014-03-30 14:33:44.522155	102336	20.2	1	10
2014-03-30 14:33:52.922441	102337	50	2	9
2014-03-30 14:33:53.144704	102338	19.7	1	9
2014-03-30 14:33:53.99324	102339	50	2	8
2014-03-30 14:33:54.225992	102340	19.7	1	8
2014-03-30 14:33:56.051269	102341	498	3	2
2014-03-30 14:33:56.272862	102342	1132712.7279067896	4	2
2014-03-30 14:34:20.05411	102343	466	3	2
2014-03-30 14:34:20.298229	102344	1132715.0259762325	4	2
2014-03-30 14:34:23.28887	102345	44	2	10
2014-03-30 14:34:23.508461	102346	20.2	1	10
2014-03-30 14:34:31.910675	102347	50	2	9
2014-03-30 14:34:32.142538	102348	19.7	1	9
2014-03-30 14:34:32.991354	102349	51	2	8
2014-03-30 14:34:33.212376	102350	19.7	1	8
2014-03-30 14:35:02.29054	102351	44	2	10
2014-03-30 14:35:02.523323	102352	20.2	1	10
2014-03-30 14:35:10.921267	102353	50	2	9
2014-03-30 14:35:11.143185	102354	19.7	1	9
2014-03-30 14:35:11.993766	102355	51	2	8
2014-03-30 14:35:12.224596	102356	19.7	1	8
2014-03-30 14:35:41.289362	102357	44	2	10
2014-03-30 14:35:41.51097	102358	20.2	1	10
2014-03-30 14:35:49.921185	102359	50	2	9
2014-03-30 14:35:50.154023	102360	19.7	1	9
2014-03-30 14:35:50.992095	102361	51	2	8
2014-03-30 14:35:51.213084	102362	19.7	1	8
2014-03-30 14:36:20.291445	102363	44	2	10
2014-03-30 14:36:20.523546	102364	20.2	1	10
2014-03-30 14:36:28.923384	102365	50	2	9
2014-03-30 14:36:29.146979	102366	19.7	1	9
2014-03-30 14:36:29.995323	102367	51	2	8
2014-03-30 14:36:30.228189	102368	19.7	1	8
2014-03-30 14:36:59.295702	102369	44	2	10
2014-03-30 14:36:59.516287	102370	20.3	1	10
2014-03-30 14:37:07.91092	102371	50	2	9
2014-03-30 14:37:08.143614	102372	19.7	1	9
2014-03-30 14:37:08.984754	102373	50	2	8
2014-03-30 14:37:09.208042	102374	19.7	1	8
2014-03-30 14:37:32.049278	102375	579	3	2
2014-03-30 14:37:32.282996	102376	1132741.453774825	4	2
2014-03-30 14:37:38.294445	102377	44	2	10
2014-03-30 14:37:38.539962	102378	20.3	1	10
2014-03-30 14:37:44.057043	102379	595	3	2
2014-03-30 14:37:44.290816	102380	1132743.7518442678	4	2
2014-03-30 14:37:46.917201	102381	50	2	9
2014-03-30 14:37:47.137244	102382	19.7	1	9
2014-03-30 14:37:47.992096	102383	50	2	8
2014-03-30 14:37:48.225435	102384	19.7	1	8
2014-03-30 14:38:17.292541	102385	44	2	10
2014-03-30 14:38:17.515897	102386	20.3	1	10
2014-03-30 14:38:25.920895	102387	50	2	9
2014-03-30 14:38:26.153786	102388	19.7	1	9
2014-03-30 14:38:26.992612	102389	50	2	8
2014-03-30 14:38:27.214206	102390	19.7	1	8
2014-03-30 14:38:56.050382	102391	547	3	2
2014-03-30 14:38:56.295045	102392	1132755.2421914819	4	2
2014-03-30 14:39:05.991472	102393	50	2	8
2014-03-30 14:39:06.214013	102394	19.7	1	8
2014-03-30 14:39:08.051484	102395	595	3	2
2014-03-30 14:39:08.282827	102396	1132757.5402609247	4	2
2014-03-30 14:39:20.051691	102397	579	3	2
2014-03-30 14:39:20.273346	102398	1132758.6892956463	4	2
2014-03-30 14:39:32.054623	102399	595	3	2
2014-03-30 14:39:32.285697	102400	1132760.9873650891	4	2
2014-03-30 14:39:35.292853	102401	44	2	10
2014-03-30 14:39:35.513353	102402	20.3	1	10
2014-03-30 14:39:43.919704	102403	50	2	9
2014-03-30 14:39:44.149638	102404	19.7	1	9
2014-03-30 14:39:44.992344	102405	50	2	8
2014-03-30 14:39:45.213645	102406	19.7	1	8
2014-03-30 14:39:56.051645	102407	547	3	2
2014-03-30 14:39:56.284329	102408	1132764.4344692533	4	2
2014-03-30 14:40:08.050347	102409	611	3	2
2014-03-30 14:40:08.272774	102410	1132766.7325386961	4	2
2014-03-30 14:40:14.293951	102411	44	2	10
2014-03-30 14:40:14.525977	102412	20.3	1	10
2014-03-30 14:40:20.05243	102413	611	3	2
2014-03-30 14:40:20.275111	102414	1132769.030608139	4	2
2014-03-30 14:40:22.918155	102415	50	2	9
2014-03-30 14:40:23.147484	102416	19.7	1	9
2014-03-30 14:40:23.992817	102417	50	2	8
2014-03-30 14:40:24.213306	102418	19.7	1	8
2014-03-30 14:40:53.292499	102419	44	2	10
2014-03-30 14:40:53.523474	102420	20.2	1	10
2014-03-30 14:41:01.922683	102421	50	2	9
2014-03-30 14:41:02.144385	102422	19.7	1	9
2014-03-30 14:41:02.991276	102423	50	2	8
2014-03-30 14:41:03.222148	102424	19.6	1	8
2014-03-30 14:41:32.291773	102425	44	2	10
2014-03-30 14:41:32.571976	102426	20.2	1	10
2014-03-30 14:41:40.922974	102427	50	2	9
2014-03-30 14:41:41.156852	102428	19.7	1	9
2014-03-30 14:41:41.992907	102429	50	2	8
2014-03-30 14:41:42.214057	102430	19.6	1	8
2014-03-30 14:41:44.054204	102431	643	3	2
2014-03-30 14:41:44.285332	102432	1132781.6744610267	4	2
2014-03-30 14:42:11.292159	102433	44	2	10
2014-03-30 14:42:11.516368	102434	20.2	1	10
2014-03-30 14:42:19.918217	102435	50	2	9
2014-03-30 14:42:20.153598	102436	19.7	1	9
2014-03-30 14:42:20.992141	102437	50	2	8
2014-03-30 14:42:21.21464	102438	19.6	1	8
2014-03-30 14:42:32.050274	102439	643	3	2
2014-03-30 14:42:32.296336	102440	1132790.866738798	4	2
2014-03-30 14:42:50.295333	102441	44	2	10
2014-03-30 14:42:50.518471	102442	20.3	1	10
2014-03-30 14:42:58.92233	102443	50	2	9
2014-03-30 14:42:59.153557	102444	19.7	1	9
2014-03-30 14:42:59.993009	102445	50	2	8
2014-03-30 14:43:00.216136	102446	19.6	1	8
2014-03-30 14:43:29.295774	102447	44	2	10
2014-03-30 14:43:29.526751	102448	20.3	1	10
2014-03-30 14:43:32.048869	102449	627	3	2
2014-03-30 14:43:32.270497	102450	1132801.2080512908	4	2
2014-03-30 14:43:37.920464	102451	50	2	9
2014-03-30 14:43:38.153272	102452	19.7	1	9
2014-03-30 14:43:38.992309	102453	50	2	8
2014-03-30 14:43:39.213107	102454	19.6	1	8
2014-03-30 14:44:08.291729	102455	44	2	10
2014-03-30 14:44:08.525802	102456	20.3	1	10
2014-03-30 14:44:16.92596	102457	50	2	9
2014-03-30 14:44:17.148073	102458	19.7	1	9
2014-03-30 14:44:18.199099	102459	50	2	8
2014-03-30 14:44:18.428742	102460	19.6	1	8
2014-03-30 14:44:29.809004	102461	52	2	1
2014-03-30 14:44:30.03056	102462	19.6	1	1
2014-03-30 14:44:32.051932	102463	708	3	2
2014-03-30 14:44:32.284028	102464	1132812.6983985049	4	2
2014-03-30 14:44:47.293345	102465	44	2	10
2014-03-30 14:44:47.514727	102466	20.3	1	10
2014-03-30 14:44:55.923174	102467	50	2	9
2014-03-30 14:44:56.154668	102468	19.7	1	9
2014-03-30 14:44:56.992207	102469	50	2	8
2014-03-30 14:44:57.211776	102470	19.6	1	8
2014-03-30 14:45:20.05156	102471	804	3	2
2014-03-30 14:45:20.284582	102472	1132821.8906762763	4	2
2014-03-30 14:45:26.294966	102473	44	2	10
2014-03-30 14:45:26.516649	102474	20.3	1	10
2014-03-30 14:45:32.057578	102475	724	3	2
2014-03-30 14:45:32.29052	102476	1132824.1887457191	4	2
2014-03-30 14:45:34.920127	102477	50	2	9
2014-03-30 14:45:35.142186	102478	19.7	1	9
2014-03-30 14:45:35.992095	102479	50	2	8
2014-03-30 14:45:36.22768	102480	19.6	1	8
2014-03-30 14:45:44.052772	102481	627	3	2
2014-03-30 14:45:44.274378	102482	1132826.486815162	4	2
2014-03-30 14:46:05.294641	102483	44	2	10
2014-03-30 14:46:05.529688	102484	20.3	1	10
2014-03-30 14:46:08.05208	102485	611	3	2
2014-03-30 14:46:08.274273	102486	1132831.0829540475	4	2
2014-03-30 14:46:13.928074	102487	50	2	9
2014-03-30 14:46:14.175071	102488	19.7	1	9
2014-03-30 14:46:14.991749	102489	50	2	8
2014-03-30 14:46:15.214252	102490	19.6	1	8
2014-03-30 14:46:32.051864	102491	595	3	2
2014-03-30 14:46:32.283689	102492	1132834.5300582119	4	2
2014-03-30 14:46:44.292228	102493	44	2	10
2014-03-30 14:46:44.514421	102494	20.3	1	10
2014-03-30 14:46:52.924349	102495	50	2	9
2014-03-30 14:46:53.156397	102496	19.7	1	9
2014-03-30 14:46:53.994409	102497	50	2	8
2014-03-30 14:46:54.216218	102498	19.6	1	8
2014-03-30 14:46:56.054798	102499	643	3	2
2014-03-30 14:46:56.285817	102500	1132839.1261970976	4	2
2014-03-30 14:47:23.293048	102501	44	2	10
2014-03-30 14:47:23.514323	102502	20.2	1	10
2014-03-30 14:47:31.910086	102503	50	2	9
2014-03-30 14:47:32.143945	102504	19.7	1	9
2014-03-30 14:47:32.992369	102505	50	2	8
2014-03-30 14:47:33.216325	102506	19.6	1	8
2014-03-30 14:47:44.052416	102507	724	3	2
2014-03-30 14:47:44.287119	102508	1132847.1694401475	4	2
2014-03-30 14:47:56.050331	102509	692	3	2
2014-03-30 14:47:56.273987	102510	1132849.4675095903	4	2
2014-03-30 14:48:02.295723	102511	44	2	10
2014-03-30 14:48:02.526983	102512	20.2	1	10
2014-03-30 14:48:08.056321	102513	676	3	2
2014-03-30 14:48:08.283226	102514	1132851.765579033	4	2
2014-03-30 14:48:10.921967	102515	50	2	9
2014-03-30 14:48:11.155294	102516	19.7	1	9
2014-03-30 14:48:11.992392	102517	50	2	8
2014-03-30 14:48:12.216355	102518	19.6	1	8
2014-03-30 14:48:20.051687	102519	708	3	2
2014-03-30 14:48:20.284836	102520	1132854.0636484758	4	2
2014-03-30 14:48:41.293817	102521	44	2	10
2014-03-30 14:48:41.515512	102522	20.3	1	10
2014-03-30 14:48:49.92182	102523	50	2	9
2014-03-30 14:48:50.155692	102524	19.7	1	9
2014-03-30 14:48:50.992094	102525	50	2	8
2014-03-30 14:48:51.213367	102526	19.6	1	8
2014-03-30 14:48:56.056066	102527	627	3	2
2014-03-30 14:48:56.289666	102528	1132860.9578568044	4	2
2014-03-30 14:49:20.294403	102529	44	2	10
2014-03-30 14:49:20.519495	102530	20.3	1	10
2014-03-30 14:49:28.925173	102531	50	2	9
2014-03-30 14:49:29.157564	102532	19.7	1	9
2014-03-30 14:49:29.991657	102533	50	2	8
2014-03-30 14:49:30.21369	102534	19.6	1	8
2014-03-30 14:49:44.051752	102535	627	3	2
2014-03-30 14:49:44.294884	102536	1132869.0010998542	4	2
2014-03-30 14:49:59.29649	102537	44	2	10
2014-03-30 14:49:59.519407	102538	20.2	1	10
2014-03-30 14:50:07.919957	102539	50	2	9
2014-03-30 14:50:08.151886	102540	19.7	1	9
2014-03-30 14:50:08.992557	102541	50	2	8
2014-03-30 14:50:09.213317	102542	19.6	1	8
2014-03-30 14:50:32.051956	102543	611	3	2
2014-03-30 14:50:32.284221	102544	1132878.1933776257	4	2
2014-03-30 14:50:38.293504	102545	44	2	10
2014-03-30 14:50:38.514897	102546	20.2	1	10
2014-03-30 14:50:46.920051	102547	50	2	9
2014-03-30 14:50:47.154143	102548	19.7	1	9
2014-03-30 14:50:47.991454	102549	50	2	8
2014-03-30 14:50:48.213361	102550	19.6	1	8
2014-03-30 14:51:17.293749	102551	44	2	10
2014-03-30 14:51:17.524527	102552	20.2	1	10
2014-03-30 14:51:25.91962	102553	50	2	9
2014-03-30 14:51:26.14237	102554	19.7	1	9
2014-03-30 14:51:26.992599	102555	50	2	8
2014-03-30 14:51:27.22346	102556	19.6	1	8
2014-03-30 14:51:56.057057	102557	643	3	2
2014-03-30 14:51:56.280153	102558	1132891.9817942826	4	2
2014-03-30 14:51:56.58236	102559	44	2	10
2014-03-30 14:51:56.81591	102560	20.2	1	10
2014-03-30 14:52:04.925624	102561	51	2	9
2014-03-30 14:52:05.147004	102562	19.7	1	9
2014-03-30 14:52:05.99416	102563	50	2	8
2014-03-30 14:52:06.224856	102564	19.6	1	8
2014-03-30 14:52:32.051733	102565	643	3	2
2014-03-30 14:52:32.273542	102566	1132898.8760026111	4	2
2014-03-30 14:52:35.498297	102567	44	2	10
2014-03-30 14:52:35.730158	102568	20.2	1	10
2014-03-30 14:52:43.920481	102569	51	2	9
2014-03-30 14:52:44.144951	102570	19.7	1	9
2014-03-30 14:52:44.992626	102571	50	2	8
2014-03-30 14:52:45.225619	102572	19.6	1	8
2014-03-30 14:53:08.052492	102573	724	3	2
2014-03-30 14:53:08.278102	102574	1132905.7702109395	4	2
2014-03-30 14:53:14.297274	102575	44	2	10
2014-03-30 14:53:14.53112	102576	20.2	1	10
2014-03-30 14:53:20.053717	102577	643	3	2
2014-03-30 14:53:20.27735	102578	1132908.0682803823	4	2
2014-03-30 14:53:22.91872	102579	51	2	9
2014-03-30 14:53:23.153789	102580	19.7	1	9
2014-03-30 14:53:23.993021	102581	50	2	8
2014-03-30 14:53:24.216396	102582	19.6	1	8
2014-03-30 14:53:32.050814	102583	643	3	2
2014-03-30 14:53:32.298064	102584	1132910.3663498252	4	2
2014-03-30 14:53:53.30069	102585	44	2	10
2014-03-30 14:53:53.524209	102586	20.2	1	10
2014-03-30 14:54:01.920083	102587	51	2	9
2014-03-30 14:54:02.152778	102588	19.7	1	9
2014-03-30 14:54:02.993303	102589	50	2	8
2014-03-30 14:54:03.216219	102590	19.6	1	8
2014-03-30 14:54:31.914802	102591	611	3	2
2014-03-30 14:54:32.147649	102592	1132918.409592875	4	2
2014-03-30 14:54:32.455858	102593	44	2	10
2014-03-30 14:54:32.679808	102594	20.2	1	10
2014-03-30 14:54:40.917554	102595	51	2	9
2014-03-30 14:54:41.149869	102596	19.8	1	9
2014-03-30 14:54:41.992379	102597	50	2	8
2014-03-30 14:54:42.216085	102598	19.6	1	8
2014-03-30 14:54:53.567368	102599	52	2	1
2014-03-30 14:54:53.80073	102600	19.6	1	1
2014-03-30 14:55:11.299997	102601	44	2	10
2014-03-30 14:55:11.524122	102602	20.2	1	10
2014-03-30 14:55:19.926688	102603	51	2	9
2014-03-30 14:55:20.158043	102604	19.8	1	9
2014-03-30 14:55:20.991894	102605	50	2	8
2014-03-30 14:55:21.214547	102606	19.6	1	8
2014-03-30 14:55:50.297231	102607	44	2	10
2014-03-30 14:55:50.53146	102608	20.2	1	10
2014-03-30 14:55:58.923103	102609	51	2	9
2014-03-30 14:55:59.146136	102610	19.8	1	9
2014-03-30 14:55:59.992442	102611	50	2	8
2014-03-30 14:56:00.224012	102612	19.6	1	8
2014-03-30 14:56:29.296813	102613	44	2	10
2014-03-30 14:56:29.521413	102614	20.2	1	10
2014-03-30 14:56:32.052792	102615	611	3	2
2014-03-30 14:56:32.28584	102616	1132941.3902873034	4	2
2014-03-30 14:56:37.922851	102617	51	2	9
2014-03-30 14:56:38.146322	102618	19.8	1	9
2014-03-30 14:56:38.99242	102619	50	2	8
2014-03-30 14:56:39.223448	102620	19.6	1	8
2014-03-30 14:56:50.567106	102621	52	2	1
2014-03-30 14:56:50.791518	102622	19.6	1	1
2014-03-30 14:57:08.298709	102623	44	2	10
2014-03-30 14:57:08.530861	102624	20.2	1	10
2014-03-30 14:57:16.925579	102625	51	2	9
2014-03-30 14:57:17.147117	102626	19.8	1	9
2014-03-30 14:57:17.994089	102627	50	2	8
2014-03-30 14:57:18.225664	102628	19.6	1	8
2014-03-30 14:57:29.565755	102629	52	2	1
2014-03-30 14:57:29.790736	102630	19.6	1	1
2014-03-30 14:57:32.050293	102631	611	3	2
2014-03-30 14:57:32.29326	102632	1132951.731599796	4	2
2014-03-30 14:57:47.298311	102633	44	2	10
2014-03-30 14:57:47.532816	102634	20.2	1	10
2014-03-30 14:57:55.922353	102635	51	2	9
2014-03-30 14:57:56.157911	102636	19.8	1	9
2014-03-30 14:57:56.993023	102637	50	2	8
2014-03-30 14:57:57.213776	102638	19.6	1	8
2014-03-30 14:58:08.563243	102639	52	2	1
2014-03-30 14:58:08.796417	102640	19.6	1	1
2014-03-30 14:58:20.056003	102641	547	3	2
2014-03-30 14:58:20.277816	102642	1132959.774842846	4	2
2014-03-30 14:58:26.299866	102643	44	2	10
2014-03-30 14:58:26.533788	102644	20.2	1	10
2014-03-30 14:58:32.055019	102645	547	3	2
2014-03-30 14:58:32.279144	102646	1132960.9238775675	4	2
2014-03-30 14:58:34.922043	102647	51	2	9
2014-03-30 14:58:35.154733	102648	19.8	1	9
2014-03-30 14:58:35.990194	102649	50	2	8
2014-03-30 14:58:36.214064	102650	19.6	1	8
2014-03-30 14:58:47.566212	102651	52	2	1
2014-03-30 14:58:47.80037	102652	19.6	1	1
2014-03-30 14:59:05.3016	102653	44	2	10
2014-03-30 14:59:05.524477	102654	20.2	1	10
2014-03-30 14:59:13.925017	102655	51	2	9
2014-03-30 14:59:14.156054	102656	19.7	1	9
2014-03-30 14:59:14.990999	102657	50	2	8
2014-03-30 14:59:15.213144	102658	19.6	1	8
2014-03-30 14:59:26.804958	102659	52	2	1
2014-03-30 14:59:27.038032	102660	19.6	1	1
2014-03-30 14:59:32.054001	102661	547	3	2
2014-03-30 14:59:32.282158	102662	1132970.1161553387	4	2
2014-03-30 14:59:44.299007	102663	44	2	10
2014-03-30 14:59:44.531951	102664	20.3	1	10
2014-03-30 14:59:52.921369	102665	51	2	9
2014-03-30 14:59:53.144773	102666	19.7	1	9
2014-03-30 14:59:53.992509	102667	50	2	8
2014-03-30 14:59:54.224805	102668	19.6	1	8
2014-03-30 14:59:56.051433	102669	498	3	2
2014-03-30 14:59:56.274386	102670	1132973.563259503	4	2
2014-03-30 15:00:05.567841	102671	52	2	1
2014-03-30 15:00:05.80018	102672	19.6	1	1
2014-03-30 15:00:08.05295	102673	498	3	2
2014-03-30 15:00:08.27498	102674	1132975.861328946	4	2
2014-03-30 15:00:23.301702	102675	44	2	10
2014-03-30 15:00:23.53507	102676	20.3	1	10
2014-03-30 15:00:31.910999	102677	51	2	9
2014-03-30 15:00:32.134013	102678	19.7	1	9
2014-03-30 15:00:32.9921	102679	50	2	8
2014-03-30 15:00:33.290987	102680	19.6	1	8
2014-03-30 15:00:44.567353	102681	52	2	1
2014-03-30 15:00:44.792375	102682	19.6	1	1
2014-03-30 15:01:02.301649	102683	44	2	10
2014-03-30 15:01:02.534704	102684	20.3	1	10
2014-03-30 15:01:10.924477	102685	51	2	9
2014-03-30 15:01:11.145989	102686	19.7	1	9
2014-03-30 15:01:11.992935	102687	50	2	8
2014-03-30 15:01:12.224021	102688	19.6	1	8
2014-03-30 15:01:20.054719	102689	611	3	2
2014-03-30 15:01:20.280288	102690	1132985.0536067171	4	2
2014-03-30 15:01:23.564891	102691	52	2	1
2014-03-30 15:01:23.799588	102692	19.6	1	1
2014-03-30 15:01:41.301	102693	44	2	10
2014-03-30 15:01:41.523828	102694	20.3	1	10
2014-03-30 15:01:49.923702	102695	51	2	9
2014-03-30 15:01:50.154371	102696	19.7	1	9
2014-03-30 15:01:50.991851	102697	50	2	8
2014-03-30 15:01:51.212453	102698	19.6	1	8
2014-03-30 15:02:02.5657	102699	52	2	1
2014-03-30 15:02:02.80247	102700	19.5	1	1
2014-03-30 15:02:20.296278	102701	44	2	10
2014-03-30 15:02:20.519583	102702	20.2	1	10
2014-03-30 15:02:28.929237	102703	51	2	9
2014-03-30 15:02:29.161975	102704	19.7	1	9
2014-03-30 15:02:29.991406	102705	50	2	8
2014-03-30 15:02:30.214494	102706	19.6	1	8
2014-03-30 15:02:32.053837	102707	498	3	2
2014-03-30 15:02:32.286363	102708	1132995.3949192099	4	2
2014-03-30 15:02:41.56742	102709	52	2	1
2014-03-30 15:02:41.792847	102710	19.5	1	1
2014-03-30 15:02:59.299982	102711	44	2	10
2014-03-30 15:02:59.531146	102712	20.2	1	10
2014-03-30 15:03:07.920257	102713	52	2	9
2014-03-30 15:03:08.14474	102714	19.7	1	9
2014-03-30 15:03:08.994226	102715	50	2	8
2014-03-30 15:03:09.227049	102716	19.6	1	8
2014-03-30 15:03:20.563973	102717	52	2	1
2014-03-30 15:03:20.787034	102718	19.5	1	1
2014-03-30 15:03:32.052631	102719	466	3	2
2014-03-30 15:03:32.287195	102720	1133003.4381622598	4	2
2014-03-30 15:03:38.504067	102721	44	2	10
2014-03-30 15:03:38.726384	102722	20.2	1	10
2014-03-30 15:03:46.926973	102723	51	2	9
2014-03-30 15:03:47.163722	102724	19.7	1	9
2014-03-30 15:03:47.992985	102725	50	2	8
2014-03-30 15:03:48.216189	102726	19.6	1	8
2014-03-30 15:03:59.565196	102727	52	2	1
2014-03-30 15:03:59.811526	102728	19.5	1	1
2014-03-30 15:04:17.300537	102729	44	2	10
2014-03-30 15:04:17.520591	102730	20.2	1	10
2014-03-30 15:04:20.052698	102731	498	3	2
2014-03-30 15:04:20.286063	102732	1133010.3323705883	4	2
2014-03-30 15:04:25.9228	102733	51	2	9
2014-03-30 15:04:26.143703	102734	19.7	1	9
2014-03-30 15:04:26.991491	102735	50	2	8
2014-03-30 15:04:27.225246	102736	19.6	1	8
2014-03-30 15:04:32.054056	102737	498	3	2
2014-03-30 15:04:32.278043	102738	1133011.4814053096	4	2
2014-03-30 15:04:38.562333	102739	52	2	1
2014-03-30 15:04:38.793735	102740	19.5	1	1
2014-03-30 15:04:56.303712	102741	44	2	10
2014-03-30 15:04:56.525319	102742	20.2	1	10
2014-03-30 15:05:04.920581	102743	51	2	9
2014-03-30 15:05:05.153009	102744	19.7	1	9
2014-03-30 15:05:05.993118	102745	50	2	8
2014-03-30 15:05:06.214158	102746	19.6	1	8
2014-03-30 15:05:17.562629	102747	52	2	1
2014-03-30 15:05:17.794926	102748	19.5	1	1
2014-03-30 15:05:35.297853	102749	44	2	10
2014-03-30 15:05:35.522208	102750	20.2	1	10
2014-03-30 15:05:44.992039	102751	50	2	8
2014-03-30 15:05:45.224234	102752	19.5	1	8
2014-03-30 15:05:56.565724	102753	52	2	1
2014-03-30 15:05:56.790182	102754	19.5	1	1
2014-03-30 15:06:14.298789	102755	44	2	10
2014-03-30 15:06:14.535051	102756	20.3	1	10
2014-03-30 15:06:22.918717	102757	51	2	9
2014-03-30 15:06:23.142845	102758	19.7	1	9
2014-03-30 15:06:23.992035	102759	50	2	8
2014-03-30 15:06:24.224137	102760	19.5	1	8
2014-03-30 15:06:32.049531	102761	498	3	2
2014-03-30 15:06:32.273941	102762	1133028.716926131	4	2
2014-03-30 15:06:35.563393	102763	52	2	1
2014-03-30 15:06:35.798648	102764	19.5	1	1
2014-03-30 15:06:53.299067	102765	44	2	10
2014-03-30 15:06:53.520213	102766	20.3	1	10
2014-03-30 15:07:01.920724	102767	51	2	9
2014-03-30 15:07:02.153574	102768	19.7	1	9
2014-03-30 15:07:02.992838	102769	50	2	8
2014-03-30 15:07:03.214645	102770	19.5	1	8
2014-03-30 15:07:14.563279	102771	52	2	1
2014-03-30 15:07:14.798281	102772	19.5	1	1
2014-03-30 15:07:32.052992	102773	515	3	2
2014-03-30 15:07:32.276319	102774	1133036.7601691808	4	2
2014-03-30 15:07:32.579506	102775	44	2	10
2014-03-30 15:07:32.844661	102776	20.3	1	10
2014-03-30 15:07:40.923201	102777	51	2	9
2014-03-30 15:07:41.148969	102778	19.7	1	9
2014-03-30 15:07:41.992698	102779	50	2	8
2014-03-30 15:07:42.224694	102780	19.5	1	8
2014-03-30 15:07:53.56052	102781	52	2	1
2014-03-30 15:07:53.792902	102782	19.5	1	1
2014-03-30 15:08:11.300055	102783	44	2	10
2014-03-30 15:08:11.533492	102784	20.3	1	10
2014-03-30 15:08:19.930213	102785	51	2	9
2014-03-30 15:08:20.153485	102786	19.7	1	9
2014-03-30 15:08:20.994065	102787	50	2	8
2014-03-30 15:08:21.225109	102788	19.5	1	8
2014-03-30 15:08:32.052123	102789	515	3	2
2014-03-30 15:08:32.2756	102790	1133044.8034122307	4	2
2014-03-30 15:08:32.583631	102791	52	2	1
2014-03-30 15:08:32.81753	102792	19.5	1	1
2014-03-30 15:08:50.299649	102793	44	2	10
2014-03-30 15:08:50.523037	102794	20.3	1	10
2014-03-30 15:08:58.928544	102795	51	2	9
2014-03-30 15:08:59.161897	102796	19.7	1	9
2014-03-30 15:08:59.992154	102797	50	2	8
2014-03-30 15:09:00.216607	102798	19.5	1	8
2014-03-30 15:09:11.564898	102799	52	2	1
2014-03-30 15:09:11.799156	102800	19.5	1	1
2014-03-30 15:09:29.300755	102801	44	2	10
2014-03-30 15:09:29.523183	102802	20.3	1	10
2014-03-30 15:09:32.052804	102803	498	3	2
2014-03-30 15:09:32.284323	102804	1133053.995690002	4	2
2014-03-30 15:09:37.920603	102805	51	2	9
2014-03-30 15:09:38.142751	102806	19.7	1	9
2014-03-30 15:09:38.992034	102807	50	2	8
2014-03-30 15:09:39.226619	102808	19.5	1	8
2014-03-30 15:09:50.563576	102809	52	2	1
2014-03-30 15:09:50.787806	102810	19.5	1	1
2014-03-30 15:10:08.300476	102811	44	2	10
2014-03-30 15:10:08.53325	102812	20.3	1	10
2014-03-30 15:10:16.91961	102813	51	2	9
2014-03-30 15:10:17.140129	102814	19.7	1	9
2014-03-30 15:10:17.992697	102815	50	2	8
2014-03-30 15:10:18.246155	102816	19.5	1	8
2014-03-30 15:10:29.560672	102817	52	2	1
2014-03-30 15:10:29.783438	102818	19.4	1	1
2014-03-30 15:10:32.049397	102819	450	3	2
2014-03-30 15:10:32.28211	102820	1133062.038933052	4	2
2014-03-30 15:10:44.052593	102821	450	3	2
2014-03-30 15:10:44.275537	102822	1133063.1879677733	4	2
2014-03-30 15:10:47.300542	102823	44	2	10
2014-03-30 15:10:47.545476	102824	20.3	1	10
2014-03-30 15:10:55.920411	102825	51	2	9
2014-03-30 15:10:56.141329	102826	19.7	1	9
2014-03-30 15:10:56.992127	102827	50	2	8
2014-03-30 15:10:57.223229	102828	19.5	1	8
2014-03-30 15:11:08.564981	102829	52	2	1
2014-03-30 15:11:08.78713	102830	19.4	1	1
2014-03-30 15:11:26.295065	102831	44	2	10
2014-03-30 15:11:26.529289	102832	20.3	1	10
2014-03-30 15:11:32.057417	102833	466	3	2
2014-03-30 15:11:32.27874	102834	1133068.9376123326	4	2
2014-03-30 15:11:34.920219	102835	51	2	9
2014-03-30 15:11:35.15254	102836	19.7	1	9
2014-03-30 15:11:35.992522	102837	50	2	8
2014-03-30 15:11:36.212737	102838	19.5	1	8
2014-03-30 15:11:47.55888	102839	52	2	1
2014-03-30 15:11:47.792613	102840	19.4	1	1
2014-03-30 15:12:05.291764	102841	44	2	10
2014-03-30 15:12:05.513887	102842	20.3	1	10
2014-03-30 15:12:13.919434	102843	51	2	9
2014-03-30 15:12:14.150638	102844	19.7	1	9
2014-03-30 15:12:14.991391	102845	50	2	8
2014-03-30 15:12:15.212838	102846	19.5	1	8
2014-03-30 15:12:26.558733	102847	52	2	1
2014-03-30 15:12:26.793228	102848	19.4	1	1
2014-03-30 15:12:32.055577	102849	450	3	2
2014-03-30 15:12:32.277829	102850	1133075.8318206612	4	2
2014-03-30 15:12:44.303792	102851	44	2	10
2014-03-30 15:12:44.539689	102852	20.3	1	10
2014-03-30 15:12:52.919271	102853	51	2	9
2014-03-30 15:12:53.140715	102854	19.7	1	9
2014-03-30 15:12:53.992056	102855	49	2	8
2014-03-30 15:12:54.223115	102856	19.5	1	8
2014-03-30 15:13:05.560516	102857	52	2	1
2014-03-30 15:13:05.78406	102858	19.4	1	1
2014-03-30 15:13:23.302429	102859	44	2	10
2014-03-30 15:13:23.535707	102860	20.3	1	10
2014-03-30 15:13:31.911299	102861	51	2	9
2014-03-30 15:13:32.133835	102862	19.7	1	9
2014-03-30 15:13:32.994243	102863	49	2	8
2014-03-30 15:13:33.226815	102864	19.5	1	8
2014-03-30 15:13:44.560811	102865	52	2	1
2014-03-30 15:13:44.783001	102866	19.4	1	1
2014-03-30 15:14:02.30449	102867	44	2	10
2014-03-30 15:14:02.53745	102868	20.3	1	10
2014-03-30 15:14:10.920423	102869	51	2	9
2014-03-30 15:14:11.145802	102870	19.7	1	9
2014-03-30 15:14:11.993373	102871	49	2	8
2014-03-30 15:14:12.238966	102872	19.5	1	8
2014-03-30 15:14:23.559422	102873	52	2	1
2014-03-30 15:14:23.782669	102874	19.4	1	1
2014-03-30 15:14:32.052424	102875	466	3	2
2014-03-30 15:14:32.287532	102876	1133090.7692720396	4	2
2014-03-30 15:14:41.303944	102877	44	2	10
2014-03-30 15:14:41.526037	102878	20.3	1	10
2014-03-30 15:14:49.922472	102879	51	2	9
2014-03-30 15:14:50.157147	102880	19.7	1	9
2014-03-30 15:14:50.992982	102881	49	2	8
2014-03-30 15:14:51.216661	102882	19.5	1	8
2014-03-30 15:15:02.559262	102883	52	2	1
2014-03-30 15:15:02.791535	102884	19.4	1	1
2014-03-30 15:15:20.305475	102885	44	2	10
2014-03-30 15:15:20.529062	102886	20.2	1	10
2014-03-30 15:15:28.920564	102887	51	2	9
2014-03-30 15:15:29.151729	102888	19.7	1	9
2014-03-30 15:15:29.993853	102889	49	2	8
2014-03-30 15:15:30.21522	102890	19.5	1	8
2014-03-30 15:15:32.054402	102891	450	3	2
2014-03-30 15:15:32.289658	102892	1133098.8125150895	4	2
2014-03-30 15:15:59.305151	102893	44	2	10
2014-03-30 15:15:59.530534	102894	20.2	1	10
2014-03-30 15:16:07.922806	102895	51	2	9
2014-03-30 15:16:08.156288	102896	19.7	1	9
2014-03-30 15:16:08.993621	102897	49	2	8
2014-03-30 15:16:09.214264	102898	19.5	1	8
2014-03-30 15:16:20.558011	102899	52	2	1
2014-03-30 15:16:20.809488	102900	19.4	1	1
2014-03-30 15:16:32.051732	102901	498	3	2
2014-03-30 15:16:32.2765	102902	1133106.8557581394	4	2
2014-03-30 15:16:38.304759	102903	44	2	10
2014-03-30 15:16:38.538255	102904	20.2	1	10
2014-03-30 15:16:44.05434	102905	498	3	2
2014-03-30 15:16:44.278273	102906	1133108.0047928607	4	2
2014-03-30 15:16:46.919133	102907	51	2	9
2014-03-30 15:16:47.150738	102908	19.7	1	9
2014-03-30 15:16:47.994178	102909	49	2	8
2014-03-30 15:16:48.218	102910	19.5	1	8
2014-03-30 15:16:59.561562	102911	52	2	1
2014-03-30 15:16:59.795251	102912	19.3	1	1
2014-03-30 15:17:17.3072	102913	44	2	10
2014-03-30 15:17:17.528995	102914	20.2	1	10
2014-03-30 15:17:25.921685	102915	51	2	9
2014-03-30 15:17:26.153308	102916	19.7	1	9
2014-03-30 15:17:26.993348	102917	49	2	8
2014-03-30 15:17:27.214096	102918	19.5	1	8
2014-03-30 15:17:32.057452	102919	498	3	2
2014-03-30 15:17:32.302613	102920	1133114.8990011893	4	2
2014-03-30 15:17:38.55426	102921	52	2	1
2014-03-30 15:17:38.78035	102922	19.3	1	1
2014-03-30 15:17:56.304938	102923	44	2	10
2014-03-30 15:17:56.538094	102924	20.2	1	10
2014-03-30 15:18:04.921014	102925	51	2	9
2014-03-30 15:18:05.144783	102926	19.7	1	9
2014-03-30 15:18:05.992817	102927	49	2	8
2014-03-30 15:18:06.224714	102928	19.5	1	8
2014-03-30 15:18:17.557932	102929	52	2	1
2014-03-30 15:18:17.784871	102930	19.3	1	1
2014-03-30 15:18:32.049133	102931	498	3	2
2014-03-30 15:18:32.281127	102932	1133122.9422442392	4	2
2014-03-30 15:18:35.304959	102933	44	2	10
2014-03-30 15:18:35.527723	102934	20.2	1	10
2014-03-30 15:18:43.922931	102935	51	2	9
2014-03-30 15:18:44.157053	102936	19.7	1	9
2014-03-30 15:18:44.994324	102937	49	2	8
2014-03-30 15:18:45.215298	102938	19.5	1	8
2014-03-30 15:18:56.55442	102939	52	2	1
2014-03-30 15:18:56.789486	102940	19.3	1	1
2014-03-30 15:19:14.307379	102941	44	2	10
2014-03-30 15:19:14.531039	102942	20.2	1	10
2014-03-30 15:19:22.922591	102943	51	2	9
2014-03-30 15:19:23.158826	102944	19.7	1	9
2014-03-30 15:19:23.995806	102945	49	2	8
2014-03-30 15:19:24.21651	102946	19.5	1	8
2014-03-30 15:19:32.056031	102947	450	3	2
2014-03-30 15:19:32.287435	102948	1133132.1345220106	4	2
2014-03-30 15:19:35.557657	102949	52	2	1
2014-03-30 15:19:35.780235	102950	19.3	1	1
2014-03-30 15:19:44.054243	102951	450	3	2
2014-03-30 15:19:44.288071	102952	1133133.2835567319	4	2
2014-03-30 15:19:53.308314	102953	44	2	10
2014-03-30 15:19:53.530846	102954	20.2	1	10
2014-03-30 15:20:01.975911	102955	51	2	9
2014-03-30 15:20:02.209559	102956	19.7	1	9
2014-03-30 15:20:02.992906	102957	49	2	8
2014-03-30 15:20:03.216402	102958	19.5	1	8
2014-03-30 15:20:14.555033	102959	52	2	1
2014-03-30 15:20:14.790119	102960	19.3	1	1
2014-03-30 15:20:32.052494	102961	434	3	2
2014-03-30 15:20:32.276698	102962	1133139.028730339	4	2
2014-03-30 15:20:32.584092	102963	44	2	10
2014-03-30 15:20:32.815562	102964	20.2	1	10
2014-03-30 15:20:40.920948	102965	51	2	9
2014-03-30 15:20:41.146012	102966	19.7	1	9
2014-03-30 15:20:41.993097	102967	49	2	8
2014-03-30 15:20:42.237537	102968	19.5	1	8
2014-03-30 15:20:53.551957	102969	52	2	1
2014-03-30 15:20:53.775742	102970	19.3	1	1
2014-03-30 15:21:08.052685	102971	402	3	2
2014-03-30 15:21:08.288053	102972	1133143.6248692246	4	2
2014-03-30 15:21:11.307662	102973	44	2	10
2014-03-30 15:21:11.53269	102974	20.2	1	10
2014-03-30 15:21:19.909065	102975	51	2	9
2014-03-30 15:21:20.141719	102976	19.7	1	9
2014-03-30 15:21:21.198288	102977	49	2	8
2014-03-30 15:21:21.422161	102978	19.5	1	8
2014-03-30 15:21:32.050259	102979	370	3	2
2014-03-30 15:21:32.285159	102980	1133145.9229386675	4	2
2014-03-30 15:21:32.593187	102981	52	2	1
2014-03-30 15:21:32.816788	102982	19.3	1	1
2014-03-30 15:21:44.050346	102983	370	3	2
2014-03-30 15:21:44.283881	102984	1133147.071973389	4	2
2014-03-30 15:21:50.309527	102985	44	2	10
2014-03-30 15:21:50.536469	102986	20.2	1	10
2014-03-30 15:21:58.924084	102987	51	2	9
2014-03-30 15:21:59.157671	102988	19.7	1	9
2014-03-30 15:21:59.994932	102989	49	2	8
2014-03-30 15:22:00.218759	102990	19.5	1	8
2014-03-30 15:22:08.051993	102991	338	3	2
2014-03-30 15:22:08.285043	102992	1133149.3700428316	4	2
2014-03-30 15:22:11.553851	102993	52	2	1
2014-03-30 15:22:11.779457	102994	19.3	1	1
2014-03-30 15:22:20.052418	102995	338	3	2
2014-03-30 15:22:20.287056	102996	1133150.5190775532	4	2
2014-03-30 15:22:29.31155	102997	44	2	10
2014-03-30 15:22:29.534673	102998	20.2	1	10
2014-03-30 15:22:32.050481	102999	354	3	2
2014-03-30 15:22:32.282596	103000	1133151.6681122745	4	2
2014-03-30 15:22:37.946854	103001	51	2	9
2014-03-30 15:22:38.173357	103002	19.7	1	9
2014-03-30 15:22:38.994132	103003	49	2	8
2014-03-30 15:22:39.226177	103004	19.5	1	8
2014-03-30 15:22:50.550349	103005	52	2	1
2014-03-30 15:22:50.777288	103006	19.3	1	1
2014-03-30 15:23:08.307684	103007	44	2	10
2014-03-30 15:23:08.541561	103008	20.2	1	10
2014-03-30 15:23:16.927206	103009	51	2	9
2014-03-30 15:23:17.15029	103010	19.7	1	9
2014-03-30 15:23:17.993105	103011	49	2	8
2014-03-30 15:23:18.224515	103012	19.5	1	8
2014-03-30 15:23:29.552436	103013	52	2	1
2014-03-30 15:23:29.776854	103014	19.3	1	1
2014-03-30 15:23:32.052148	103015	338	3	2
2014-03-30 15:23:32.295296	103016	1133157.4132858817	4	2
2014-03-30 15:23:47.305711	103017	44	2	10
2014-03-30 15:23:47.529456	103018	20.2	1	10
2014-03-30 15:23:55.925243	103019	51	2	9
2014-03-30 15:23:56.34339	103020	19.7	1	9
2014-03-30 15:23:56.991539	103021	49	2	8
2014-03-30 15:23:57.218573	103022	19.5	1	8
2014-03-30 15:24:08.553881	103023	52	2	1
2014-03-30 15:24:08.776766	103024	19.3	1	1
2014-03-30 15:24:26.308267	103025	44	2	10
2014-03-30 15:24:26.537695	103026	20.2	1	10
2014-03-30 15:24:32.05522	103027	338	3	2
2014-03-30 15:24:32.278635	103028	1133163.1584594888	4	2
2014-03-30 15:24:34.922374	103029	51	2	9
2014-03-30 15:24:35.1558	103030	19.7	1	9
2014-03-30 15:24:35.994338	103031	49	2	8
2014-03-30 15:24:36.215426	103032	19.5	1	8
2014-03-30 15:24:47.552766	103033	52	2	1
2014-03-30 15:24:47.787997	103034	19.3	1	1
2014-03-30 15:25:05.308456	103035	44	2	10
2014-03-30 15:25:05.53199	103036	20.2	1	10
2014-03-30 15:25:13.922521	103037	51	2	9
2014-03-30 15:25:14.158051	103038	19.7	1	9
2014-03-30 15:25:14.992583	103039	49	2	8
2014-03-30 15:25:15.216452	103040	19.5	1	8
2014-03-30 15:25:32.050464	103041	354	3	2
2014-03-30 15:25:32.28486	103042	1133168.9036330958	4	2
2014-03-30 15:25:52.924651	103043	51	2	9
2014-03-30 15:25:53.147993	103044	19.7	1	9
2014-03-30 15:25:53.992665	103045	49	2	8
2014-03-30 15:25:54.226181	103046	19.5	1	8
2014-03-30 15:25:56.049744	103047	418	3	2
2014-03-30 15:25:56.274643	103048	1133172.35073726	4	2
2014-03-30 15:26:05.554992	103049	52	2	1
2014-03-30 15:26:05.786968	103050	19.2	1	1
2014-03-30 15:26:23.310353	103051	44	2	10
2014-03-30 15:26:23.533854	103052	20.2	1	10
2014-03-30 15:26:31.909281	103053	51	2	9
2014-03-30 15:26:32.140757	103054	19.6	1	9
2014-03-30 15:26:32.992551	103055	49	2	8
2014-03-30 15:26:33.215131	103056	19.5	1	8
2014-03-30 15:26:44.050139	103057	450	3	2
2014-03-30 15:26:44.283906	103058	1133176.9468761457	4	2
2014-03-30 15:26:44.590785	103059	52	2	1
2014-03-30 15:26:44.813223	103060	19.2	1	1
2014-03-30 15:26:56.055478	103061	402	3	2
2014-03-30 15:26:56.289709	103062	1133179.2449455885	4	2
2014-03-30 15:27:02.302266	103063	44	2	10
2014-03-30 15:27:02.529859	103064	20.2	1	10
2014-03-30 15:27:08.058776	103065	402	3	2
2014-03-30 15:27:08.300957	103066	1133180.3939803098	4	2
2014-03-30 15:27:10.919303	103067	51	2	9
2014-03-30 15:27:11.14867	103068	19.6	1	9
2014-03-30 15:27:11.993412	103069	49	2	8
2014-03-30 15:27:12.281293	103070	19.5	1	8
2014-03-30 15:27:23.570699	103071	52	2	1
2014-03-30 15:27:23.997297	103072	19.2	1	1
2014-03-30 15:27:32.056465	103073	402	3	2
2014-03-30 15:27:32.324346	103074	1133182.6920497527	4	2
2014-03-30 15:27:41.307761	103075	44	2	10
2014-03-30 15:27:41.534197	103076	20.2	1	10
2014-03-30 15:27:49.920792	103077	51	2	9
2014-03-30 15:27:50.15549	103078	19.6	1	9
2014-03-30 15:27:50.992797	103079	49	2	8
2014-03-30 15:27:51.214635	103080	19.5	1	8
2014-03-30 15:28:02.564629	103081	52	2	1
2014-03-30 15:28:02.798828	103082	19.2	1	1
2014-03-30 15:28:08.0548	103083	498	3	2
2014-03-30 15:28:08.277272	103084	1133187.2881886384	4	2
2014-03-30 15:28:20.053268	103085	450	3	2
2014-03-30 15:28:20.287533	103086	1133189.5862580813	4	2
2014-03-30 15:28:20.594521	103087	44	2	10
2014-03-30 15:28:20.819222	103088	20.2	1	10
2014-03-30 15:28:28.918561	103089	51	2	9
2014-03-30 15:28:29.150149	103090	19.6	1	9
2014-03-30 15:28:29.991703	103091	49	2	8
2014-03-30 15:28:30.215012	103092	19.5	1	8
2014-03-30 15:28:32.052286	103093	482	3	2
2014-03-30 15:28:32.284886	103094	1133190.7352928026	4	2
2014-03-30 15:28:41.565834	103095	52	2	1
2014-03-30 15:28:41.790488	103096	19.2	1	1
2014-03-30 15:28:44.054064	103097	2076	3	2
2014-03-30 15:28:44.287406	103098	1133196.4804664098	4	2
2014-03-30 15:28:59.304301	103099	44	2	10
2014-03-30 15:28:59.529569	103100	20.1	1	10
2014-03-30 15:29:08.993147	103101	49	2	8
2014-03-30 15:29:09.226454	103102	19.5	1	8
2014-03-30 15:29:20.053979	103103	2189	3	2
2014-03-30 15:29:20.277103	103104	1133216.0140566737	4	2
2014-03-30 15:29:20.580349	103105	52	2	1
2014-03-30 15:29:20.812795	103106	19.2	1	1
2014-03-30 15:29:32.053263	103107	2060	3	2
2014-03-30 15:29:32.27676	103108	1133224.0572997236	4	2
2014-03-30 15:29:38.310045	103109	44	2	10
2014-03-30 15:29:38.54112	103110	20.1	1	10
2014-03-30 15:29:44.055335	103111	2060	3	2
2014-03-30 15:29:44.481696	103112	1133230.9515080522	4	2
2014-03-30 15:29:47.99481	103113	49	2	8
2014-03-30 15:29:48.27078	103114	19.5	1	8
2014-03-30 15:29:59.559396	103115	52	2	1
2014-03-30 15:29:59.781544	103116	19.2	1	1
2014-03-30 15:30:17.307796	103117	44	2	10
2014-03-30 15:30:17.539491	103118	20.2	1	10
2014-03-30 15:30:20.052344	103119	2156	3	2
2014-03-30 15:30:20.273263	103120	1133251.6341330376	4	2
2014-03-30 15:30:25.918633	103121	51	2	9
2014-03-30 15:30:26.151272	103122	19.6	1	9
2014-03-30 15:30:26.991585	103123	49	2	8
2014-03-30 15:30:27.215006	103124	19.5	1	8
2014-03-30 15:30:32.055291	103125	2060	3	2
2014-03-30 15:30:32.288259	103126	1133259.6773760875	4	2
2014-03-30 15:30:38.559004	103127	52	2	1
2014-03-30 15:30:38.779924	103128	19.2	1	1
2014-03-30 15:30:44.053494	103129	2076	3	2
2014-03-30 15:30:44.288651	103130	1133266.571584416	4	2
2014-03-30 15:30:56.05502	103131	2044	3	2
2014-03-30 15:30:56.27701	103132	1133273.4657927447	4	2
2014-03-30 15:30:56.591688	103133	44	2	10
2014-03-30 15:30:56.824243	103134	20.2	1	10
2014-03-30 15:31:04.911774	103135	51	2	9
2014-03-30 15:31:05.133346	103136	19.6	1	9
2014-03-30 15:31:05.992168	103137	49	2	8
2014-03-30 15:31:06.225214	103138	19.5	1	8
2014-03-30 15:31:08.054942	103139	2156	3	2
2014-03-30 15:31:08.277874	103140	1133280.360001073	4	2
2014-03-30 15:31:17.562431	103141	52	2	1
2014-03-30 15:31:17.795184	103142	19.2	1	1
2014-03-30 15:31:20.052688	103143	2140	3	2
2014-03-30 15:31:20.274113	103144	1133287.2542094016	4	2
2014-03-30 15:31:32.051587	103145	2156	3	2
2014-03-30 15:31:32.286785	103146	1133294.1484177301	4	2
2014-03-30 15:31:35.31186	103147	44	2	10
2014-03-30 15:31:35.532766	103148	20.1	1	10
2014-03-30 15:31:43.915973	103149	51	2	9
2014-03-30 15:31:44.148845	103150	19.6	1	9
2014-03-30 15:31:44.992119	103151	49	2	8
2014-03-30 15:31:45.214286	103152	19.5	1	8
2014-03-30 15:31:56.050793	103153	2189	3	2
2014-03-30 15:31:56.284357	103154	1133309.0858691083	4	2
2014-03-30 15:31:56.592061	103155	52	2	1
2014-03-30 15:31:56.815242	103156	19.2	1	1
2014-03-30 15:32:08.054622	103157	2140	3	2
2014-03-30 15:32:08.286136	103158	1133315.980077437	4	2
2014-03-30 15:32:14.311252	103159	44	2	10
2014-03-30 15:32:14.536105	103160	20.1	1	10
2014-03-30 15:32:20.054743	103161	2156	3	2
2014-03-30 15:32:20.300872	103162	1133322.8742857655	4	2
2014-03-30 15:32:22.920158	103163	51	2	9
2014-03-30 15:32:23.14221	103164	19.6	1	9
2014-03-30 15:32:23.992402	103165	49	2	8
2014-03-30 15:32:24.226165	103166	19.5	1	8
2014-03-30 15:32:32.049655	103167	2156	3	2
2014-03-30 15:32:32.273974	103168	1133329.7684940938	4	2
2014-03-30 15:32:35.560152	103169	52	2	1
2014-03-30 15:32:35.792919	103170	19.2	1	1
2014-03-30 15:32:53.310349	103171	44	2	10
2014-03-30 15:32:53.535665	103172	20.1	1	10
2014-03-30 15:32:56.052448	103173	2189	3	2
2014-03-30 15:32:56.283326	103174	1133344.7059454722	4	2
2014-03-30 15:33:01.913932	103175	51	2	9
2014-03-30 15:33:02.138768	103176	19.6	1	9
2014-03-30 15:33:02.9938	103177	49	2	8
2014-03-30 15:33:03.224684	103178	19.5	1	8
2014-03-30 15:33:14.567366	103179	52	2	1
2014-03-30 15:33:14.79014	103180	19.2	1	1
2014-03-30 15:33:20.056678	103181	2237	3	2
2014-03-30 15:33:20.287814	103182	1133356.1962926865	4	2
2014-03-30 15:33:32.053751	103183	2221	3	2
2014-03-30 15:33:32.276706	103184	1133361.9459372456	4	2
2014-03-30 15:33:32.581963	103185	44	2	10
2014-03-30 15:33:32.815839	103186	20.1	1	10
2014-03-30 15:33:40.915903	103187	51	2	9
2014-03-30 15:33:41.138697	103188	19.6	1	9
2014-03-30 15:33:41.993497	103189	49	2	8
2014-03-30 15:33:42.225196	103190	19.5	1	8
2014-03-30 15:33:53.558724	103191	52	2	1
2014-03-30 15:33:53.785098	103192	19.2	1	1
2014-03-30 15:34:08.052378	103193	2382	3	2
2014-03-30 15:34:08.285458	103194	1133384.926631674	4	2
2014-03-30 15:34:11.310145	103195	44	2	10
2014-03-30 15:34:11.534967	103196	20.1	1	10
2014-03-30 15:34:19.909836	103197	51	2	9
2014-03-30 15:34:20.142106	103198	19.6	1	9
2014-03-30 15:34:20.994997	103199	49	2	8
2014-03-30 15:34:21.219255	103200	19.5	1	8
2014-03-30 15:34:32.052517	103201	2124	3	2
2014-03-30 15:34:32.284733	103202	1133399.8640830524	4	2
2014-03-30 15:34:32.589884	103203	52	2	1
2014-03-30 15:34:32.815787	103204	19.2	1	1
2014-03-30 15:34:44.052927	103205	2028	3	2
2014-03-30 15:34:44.28517	103206	1133406.758291381	4	2
2014-03-30 15:34:50.303679	103207	44	2	10
2014-03-30 15:34:50.527468	103208	20.1	1	10
2014-03-30 15:34:56.053997	103209	2076	3	2
2014-03-30 15:34:56.298766	103210	1133413.6524997095	4	2
2014-03-30 15:34:58.915186	103211	51	2	9
2014-03-30 15:34:59.137426	103212	19.6	1	9
2014-03-30 15:34:59.995136	103213	49	2	8
2014-03-30 15:35:00.226317	103214	19.5	1	8
2014-03-30 15:35:11.560701	103215	52	2	1
2014-03-30 15:35:11.782723	103216	19.2	1	1
2014-03-30 15:35:20.048637	103217	2028	3	2
2014-03-30 15:35:20.280503	103218	1133427.4409163664	4	2
2014-03-30 15:35:29.305107	103219	44	2	10
2014-03-30 15:35:29.528761	103220	20.1	1	10
2014-03-30 15:35:32.050648	103221	2012	3	2
2014-03-30 15:35:32.282683	103222	1133434.335124695	4	2
2014-03-30 15:35:37.916953	103223	51	2	9
2014-03-30 15:35:38.142405	103224	19.6	1	9
2014-03-30 15:35:38.992819	103225	49	2	8
2014-03-30 15:35:39.225053	103226	19.5	1	8
2014-03-30 15:35:50.559317	103227	52	2	1
2014-03-30 15:35:50.781157	103228	19.2	1	1
2014-03-30 15:36:08.052748	103229	2028	3	2
2014-03-30 15:36:08.287968	103230	1133453.868714959	4	2
2014-03-30 15:36:16.91909	103231	51	2	9
2014-03-30 15:36:17.145437	103232	19.6	1	9
2014-03-30 15:36:17.992698	103233	49	2	8
2014-03-30 15:36:18.227305	103234	19.5	1	8
2014-03-30 15:36:20.050161	103235	2012	3	2
2014-03-30 15:36:20.275221	103236	1133460.7629232875	4	2
2014-03-30 15:36:29.558718	103237	52	2	1
2014-03-30 15:36:29.793228	103238	19.2	1	1
2014-03-30 15:36:32.052862	103239	2028	3	2
2014-03-30 15:36:32.276851	103240	1133467.6571316158	4	2
2014-03-30 15:36:47.299886	103241	44	2	10
2014-03-30 15:36:47.53163	103242	20.0	1	10
2014-03-30 15:36:55.922475	103243	51	2	9
2014-03-30 15:36:56.14607	103244	19.6	1	9
2014-03-30 15:36:56.993386	103245	49	2	8
2014-03-30 15:36:57.226025	103246	19.5	1	8
2014-03-30 15:37:08.560165	103247	52	2	1
2014-03-30 15:37:08.782701	103248	19.2	1	1
2014-03-30 15:37:26.309723	103249	44	2	10
2014-03-30 15:37:26.543261	103250	20.0	1	10
2014-03-30 15:37:32.053296	103251	2012	3	2
2014-03-30 15:37:32.276933	103252	1133500.9791385368	4	2
2014-03-30 15:37:34.919873	103253	51	2	9
2014-03-30 15:37:35.152557	103254	19.6	1	9
2014-03-30 15:37:35.993346	103255	49	2	8
2014-03-30 15:37:36.213982	103256	19.5	1	8
2014-03-30 15:37:44.050545	103257	2044	3	2
2014-03-30 15:37:44.296061	103258	1133507.8733468654	4	2
2014-03-30 15:37:47.55425	103259	52	2	1
2014-03-30 15:37:47.776742	103260	19.2	1	1
2014-03-30 15:38:05.112778	103261	2012	3	2
2014-03-30 15:38:05.34643	103262	1133514.767555194	4	2
2014-03-30 15:38:05.653392	103263	44	2	10
2014-03-30 15:38:05.876504	103264	20.0	1	10
2014-03-30 15:38:08.05368	103265	2028	3	2
2014-03-30 15:38:08.288802	103266	1133521.6617635223	4	2
2014-03-30 15:38:13.917258	103267	51	2	9
2014-03-30 15:38:14.14471	103268	19.6	1	9
2014-03-30 15:38:14.992865	103269	49	2	8
2014-03-30 15:38:15.224519	103270	19.5	1	8
2014-03-30 15:38:26.556567	103271	52	2	1
2014-03-30 15:38:26.779227	103272	19.2	1	1
2014-03-30 15:38:32.052923	103273	2028	3	2
2014-03-30 15:38:32.283668	103274	1133535.4501801794	4	2
2014-03-30 15:38:44.311357	103275	44	2	10
2014-03-30 15:38:44.535572	103276	20.0	1	10
2014-03-30 15:38:52.917964	103277	51	2	9
2014-03-30 15:38:53.150522	103278	19.6	1	9
2014-03-30 15:38:53.993365	103279	49	2	8
2014-03-30 15:38:54.215256	103280	19.5	1	8
2014-03-30 15:38:56.050814	103281	2076	3	2
2014-03-30 15:38:56.280787	103282	1133549.2385968363	4	2
2014-03-30 15:39:05.553287	103283	52	2	1
2014-03-30 15:39:05.77827	103284	19.2	1	1
2014-03-30 15:39:08.057517	103285	2060	3	2
2014-03-30 15:39:08.290587	103286	1133556.132805165	4	2
2014-03-30 15:39:23.312561	103287	44	2	10
2014-03-30 15:39:23.536307	103288	20.0	1	10
2014-03-30 15:39:31.906109	103289	51	2	9
2014-03-30 15:39:32.137967	103290	19.6	1	9
2014-03-30 15:39:32.992239	103291	49	2	8
2014-03-30 15:39:33.215583	103292	19.5	1	8
2014-03-30 15:39:44.555784	103293	52	2	1
2014-03-30 15:39:44.790878	103294	19.1	1	1
2014-03-30 15:40:02.312129	103295	44	2	10
2014-03-30 15:40:02.593332	103296	20.0	1	10
2014-03-30 15:40:10.916782	103297	51	2	9
2014-03-30 15:40:11.149627	103298	19.6	1	9
2014-03-30 15:40:11.994961	103299	49	2	8
2014-03-30 15:40:12.218422	103300	19.5	1	8
2014-03-30 15:40:23.553294	103301	52	2	1
2014-03-30 15:40:23.786441	103302	19.1	1	1
2014-03-30 15:40:32.050364	103303	2076	3	2
2014-03-30 15:40:32.273183	103304	1133605.5412981857	4	2
2014-03-30 15:40:41.312435	103305	44	2	10
2014-03-30 15:40:41.55478	103306	20.0	1	10
2014-03-30 15:40:49.915449	103307	51	2	9
2014-03-30 15:40:50.140109	103308	19.6	1	9
2014-03-30 15:40:50.9952	103309	49	2	8
2014-03-30 15:40:51.228474	103310	19.5	1	8
2014-03-30 15:41:02.603066	103311	52	2	1
2014-03-30 15:41:02.826861	103312	19.1	1	1
2014-03-30 15:41:20.31241	103313	44	2	10
2014-03-30 15:41:20.543926	103314	20.0	1	10
2014-03-30 15:41:28.916478	103315	51	2	9
2014-03-30 15:41:29.141188	103316	19.6	1	9
2014-03-30 15:41:29.992492	103317	49	2	8
2014-03-30 15:41:30.225192	103318	19.5	1	8
2014-03-30 15:41:32.051536	103319	2076	3	2
2014-03-30 15:41:32.274214	103320	1133641.1613745496	4	2
2014-03-30 15:41:41.552414	103321	52	2	1
2014-03-30 15:41:41.78439	103322	19.1	1	1
2014-03-30 15:41:59.311293	103323	44	2	10
2014-03-30 15:41:59.534575	103324	20.0	1	10
2014-03-30 15:42:07.916863	103325	51	2	9
2014-03-30 15:42:08.14936	103326	19.6	1	9
2014-03-30 15:42:08.993357	103327	49	2	8
2014-03-30 15:42:09.216623	103328	19.5	1	8
2014-03-30 15:42:20.552787	103329	52	2	1
2014-03-30 15:42:20.783501	103330	19.1	1	1
2014-03-30 15:42:32.049522	103331	2156	3	2
2014-03-30 15:42:32.27489	103332	1133675.6368871443	4	2
2014-03-30 15:42:38.325166	103333	45	2	10
2014-03-30 15:42:38.559547	103334	19.9	1	10
2014-03-30 15:42:44.055842	103335	2140	3	2
2014-03-30 15:42:44.27737	103336	1133682.5310954726	4	2
2014-03-30 15:42:46.921507	103337	51	2	9
2014-03-30 15:42:47.152948	103338	19.6	1	9
2014-03-30 15:42:47.990816	103339	49	2	8
2014-03-30 15:42:48.214452	103340	19.5	1	8
2014-03-30 15:42:59.552075	103341	52	2	1
2014-03-30 15:42:59.78497	103342	19.1	1	1
2014-03-30 15:43:17.313943	103343	45	2	10
2014-03-30 15:43:17.537022	103344	19.9	1	10
2014-03-30 15:43:25.918139	103345	51	2	9
2014-03-30 15:43:26.15122	103346	19.6	1	9
2014-03-30 15:43:26.992754	103347	49	2	8
2014-03-30 15:43:27.214494	103348	19.5	1	8
2014-03-30 15:43:32.05251	103349	2156	3	2
2014-03-30 15:43:32.283522	103350	1133711.2569635082	4	2
2014-03-30 15:43:38.555293	103351	52	2	1
2014-03-30 15:43:38.776871	103352	19.1	1	1
2014-03-30 15:43:44.053194	103353	2124	3	2
2014-03-30 15:43:44.29807	103354	1133718.1511718365	4	2
2014-03-30 15:43:56.050424	103355	2044	3	2
2014-03-30 15:43:56.272434	103356	1133725.045380165	4	2
2014-03-30 15:43:56.576525	103357	45	2	10
2014-03-30 15:43:56.807768	103358	19.9	1	10
2014-03-30 15:44:04.914206	103359	51	2	9
2014-03-30 15:44:05.136544	103360	19.6	1	9
2014-03-30 15:44:05.991826	103361	49	2	8
2014-03-30 15:44:06.223587	103362	19.5	1	8
2014-03-30 15:44:08.052916	103363	2140	3	2
2014-03-30 15:44:08.274591	103364	1133733.088623215	4	2
2014-03-30 15:44:17.550194	103365	52	2	1
2014-03-30 15:44:17.784586	103366	19.1	1	1
2014-03-30 15:44:20.049818	103367	2060	3	2
2014-03-30 15:44:20.27072	103368	1133739.9828315435	4	2
2014-03-30 15:44:32.048698	103369	2060	3	2
2014-03-30 15:44:32.281834	103370	1133746.8770398719	4	2
2014-03-30 15:44:35.315643	103371	45	2	10
2014-03-30 15:44:35.536765	103372	19.9	1	10
2014-03-30 15:44:43.915968	103373	51	2	9
2014-03-30 15:44:44.150172	103374	19.6	1	9
2014-03-30 15:44:44.992631	103375	49	2	8
2014-03-30 15:44:45.213642	103376	19.5	1	8
2014-03-30 15:44:56.049738	103377	1995	3	2
2014-03-30 15:44:56.280788	103378	1133759.5164218075	4	2
2014-03-30 15:44:56.582508	103379	52	2	1
2014-03-30 15:44:56.805142	103380	19.1	1	1
2014-03-30 15:45:08.053755	103381	2044	3	2
2014-03-30 15:45:08.293727	103382	1133766.410630136	4	2
2014-03-30 15:45:14.312541	103383	45	2	10
2014-03-30 15:45:14.534386	103384	19.9	1	10
2014-03-30 15:45:20.051742	103385	2076	3	2
2014-03-30 15:45:20.282883	103386	1133773.3048384646	4	2
2014-03-30 15:45:22.919152	103387	51	2	9
2014-03-30 15:45:23.142612	103388	19.6	1	9
2014-03-30 15:45:23.992806	103389	49	2	8
2014-03-30 15:45:24.223779	103390	19.4	1	8
2014-03-30 15:45:32.049781	103391	2060	3	2
2014-03-30 15:45:32.27144	103392	1133780.199046793	4	2
2014-03-30 15:45:35.550138	103393	52	2	1
2014-03-30 15:45:35.783373	103394	19.1	1	1
2014-03-30 15:45:53.313226	103395	45	2	10
2014-03-30 15:45:53.53459	103396	19.9	1	10
2014-03-30 15:45:56.049598	103397	2012	3	2
2014-03-30 15:45:56.28047	103398	1133793.98746345	4	2
2014-03-30 15:46:01.92061	103399	51	2	9
2014-03-30 15:46:02.145712	103400	19.6	1	9
2014-03-30 15:46:02.994903	103401	49	2	8
2014-03-30 15:46:03.237063	103402	19.4	1	8
2014-03-30 15:46:08.055613	103403	2060	3	2
2014-03-30 15:46:08.27844	103404	1133800.8816717784	4	2
2014-03-30 15:46:14.55274	103405	52	2	1
2014-03-30 15:46:14.78618	103406	19.1	1	1
2014-03-30 15:46:20.055897	103407	2076	3	2
2014-03-30 15:46:20.278263	103408	1133807.775880107	4	2
2014-03-30 15:46:32.05305	103409	2060	3	2
2014-03-30 15:46:32.286587	103410	1133814.6700884355	4	2
2014-03-30 15:46:32.591158	103411	45	2	10
2014-03-30 15:46:32.815051	103412	19.9	1	10
2014-03-30 15:46:40.917579	103413	51	2	9
2014-03-30 15:46:41.152879	103414	19.6	1	9
2014-03-30 15:46:41.994179	103415	49	2	8
2014-03-30 15:46:42.218898	103416	19.4	1	8
2014-03-30 15:46:53.548728	103417	52	2	1
2014-03-30 15:46:53.780864	103418	19.1	1	1
2014-03-30 15:46:56.048303	103419	1995	3	2
2014-03-30 15:46:56.271202	103420	1133828.4585050924	4	2
2014-03-30 15:47:08.052257	103421	2462	3	2
2014-03-30 15:47:08.287415	103422	1133835.352713421	4	2
2014-03-30 15:47:11.313601	103423	45	2	10
2014-03-30 15:47:11.535961	103424	19.9	1	10
2014-03-30 15:47:19.906034	103425	51	2	9
2014-03-30 15:47:20.137348	103426	19.6	1	9
2014-03-30 15:47:20.991553	103427	49	2	8
2014-03-30 15:47:21.214826	103428	19.4	1	8
2014-03-30 15:47:32.048886	103429	2173	3	2
2014-03-30 15:47:32.283582	103430	1133850.2901647994	4	2
2014-03-30 15:47:32.587738	103431	52	2	1
2014-03-30 15:47:32.810536	103432	19.1	1	1
2014-03-30 15:47:44.048747	103433	2221	3	2
2014-03-30 15:47:44.28576	103434	1133857.1843731278	4	2
2014-03-30 15:47:50.315998	103435	45	2	10
2014-03-30 15:47:50.53853	103436	19.9	1	10
2014-03-30 15:47:58.726427	103437	2189	3	2
2014-03-30 15:47:58.960487	103438	1133865.2276161776	4	2
2014-03-30 15:47:59.265522	103439	51	2	9
2014-03-30 15:47:59.491908	103440	19.6	1	9
2014-03-30 15:47:59.992732	103441	49	2	8
2014-03-30 15:48:00.224403	103442	19.4	1	8
2014-03-30 15:48:08.048663	103443	2205	3	2
2014-03-30 15:48:08.269361	103444	1133872.1218245062	4	2
2014-03-30 15:48:11.547878	103445	52	2	1
2014-03-30 15:48:11.780503	103446	19.1	1	1
2014-03-30 15:48:29.314981	103447	45	2	10
2014-03-30 15:48:29.538597	103448	19.9	1	10
2014-03-30 15:48:32.050414	103449	2173	3	2
2014-03-30 15:48:32.291653	103450	1133887.0592758846	4	2
2014-03-30 15:48:37.915175	103451	51	2	9
2014-03-30 15:48:38.13744	103452	19.6	1	9
2014-03-30 15:48:38.992774	103453	49	2	8
2014-03-30 15:48:39.223062	103454	19.4	1	8
2014-03-30 15:48:44.050585	103455	2189	3	2
2014-03-30 15:48:44.272896	103456	1133893.953484213	4	2
2014-03-30 15:48:50.550722	103457	52	2	1
2014-03-30 15:48:50.785515	103458	19.1	1	1
2014-03-30 15:49:08.314279	103459	45	2	10
2014-03-30 15:49:08.537318	103460	19.9	1	10
2014-03-30 15:49:16.919277	103461	51	2	9
2014-03-30 15:49:17.151467	103462	19.6	1	9
2014-03-30 15:49:17.992193	103463	49	2	8
2014-03-30 15:49:18.21355	103464	19.4	1	8
2014-03-30 15:49:29.549205	103465	52	2	1
2014-03-30 15:49:29.783163	103466	19.1	1	1
2014-03-30 15:49:32.051579	103467	2156	3	2
2014-03-30 15:49:32.272389	103468	1133923.8283869699	4	2
2014-03-30 15:49:44.050087	103469	2140	3	2
2014-03-30 15:49:44.283588	103470	1133930.7225952984	4	2
2014-03-30 15:49:47.314474	103471	45	2	10
2014-03-30 15:49:47.53699	103472	19.9	1	10
2014-03-30 15:49:55.917259	103473	51	2	9
2014-03-30 15:49:56.151015	103474	19.6	1	9
2014-03-30 15:49:56.993182	103475	49	2	8
2014-03-30 15:49:57.214734	103476	19.4	1	8
2014-03-30 15:50:08.052493	103477	2221	3	2
2014-03-30 15:50:08.284455	103478	1133943.366448186	4	2
2014-03-30 15:50:08.590027	103479	52	2	1
2014-03-30 15:50:08.814047	103480	19.1	1	1
2014-03-30 15:50:20.048919	103481	2221	3	2
2014-03-30 15:50:20.27894	103482	1133951.409691236	4	2
2014-03-30 15:50:26.315146	103483	45	2	10
2014-03-30 15:50:26.536278	103484	19.9	1	10
2014-03-30 15:50:32.051669	103485	2221	3	2
2014-03-30 15:50:32.284698	103486	1133958.3038995645	4	2
2014-03-30 15:50:34.973788	103487	51	2	9
2014-03-30 15:50:35.196452	103488	19.6	1	9
2014-03-30 15:50:35.991439	103489	49	2	8
2014-03-30 15:50:36.223203	103490	19.4	1	8
2014-03-30 15:50:44.049114	103491	2156	3	2
2014-03-30 15:50:44.272354	103492	1133966.3471426144	4	2
2014-03-30 15:50:47.548245	103493	52	2	1
2014-03-30 15:50:47.778481	103494	19.1	1	1
2014-03-30 15:50:56.049572	103495	2221	3	2
2014-03-30 15:50:56.272684	103496	1133973.241350943	4	2
2014-03-30 15:51:05.314439	103497	45	2	10
2014-03-30 15:51:05.555293	103498	19.9	1	10
2014-03-30 15:51:08.051051	103499	2221	3	2
2014-03-30 15:51:08.272573	103500	1133981.2845939929	4	2
2014-03-30 15:51:13.920158	103501	51	2	9
2014-03-30 15:51:14.154481	103502	19.6	1	9
2014-03-30 15:51:14.994085	103503	49	2	8
2014-03-30 15:51:15.214126	103504	19.4	1	8
2014-03-30 15:51:26.545995	103505	52	2	1
2014-03-30 15:51:26.777796	103506	19.1	1	1
2014-03-30 15:51:32.053545	103507	547	3	2
2014-03-30 15:51:32.279323	103508	1133991.6259064856	4	2
2014-03-30 15:51:44.051394	103509	547	3	2
2014-03-30 15:51:44.285223	103510	1133992.774941207	4	2
2014-03-30 15:51:44.587742	103511	45	2	10
2014-03-30 15:51:44.810094	103512	19.9	1	10
2014-03-30 15:51:52.916929	103513	51	2	9
2014-03-30 15:51:53.152479	103514	19.6	1	9
2014-03-30 15:51:53.992821	103515	49	2	8
2014-03-30 15:51:54.216877	103516	19.4	1	8
2014-03-30 15:52:05.54603	103517	52	2	1
2014-03-30 15:52:05.777935	103518	19.0	1	1
2014-03-30 15:52:08.05374	103519	515	3	2
2014-03-30 15:52:08.277789	103520	1133996.2220453713	4	2
2014-03-30 15:52:20.047689	103521	547	3	2
2014-03-30 15:52:20.283626	103522	1133998.5201148142	4	2
2014-03-30 15:52:23.316049	103523	45	2	10
2014-03-30 15:52:23.537959	103524	19.9	1	10
2014-03-30 15:52:31.907587	103525	51	2	9
2014-03-30 15:52:32.145574	103526	19.6	1	9
2014-03-30 15:52:32.992324	103527	49	2	8
2014-03-30 15:52:33.216001	103528	19.4	1	8
2014-03-30 15:52:44.546951	103529	52	2	1
2014-03-30 15:52:44.783119	103530	19.0	1	1
2014-03-30 15:52:56.048301	103531	595	3	2
2014-03-30 15:52:56.273035	103532	1134004.2652884212	4	2
2014-03-30 15:53:02.318872	103533	45	2	10
2014-03-30 15:53:02.551498	103534	19.9	1	10
2014-03-30 15:53:08.052562	103535	531	3	2
2014-03-30 15:53:08.27617	103536	1134005.4143231425	4	2
2014-03-30 15:53:10.918175	103537	51	2	9
2014-03-30 15:53:11.151952	103538	19.6	1	9
2014-03-30 15:53:11.992642	103539	49	2	8
2014-03-30 15:53:12.214165	103540	19.4	1	8
2014-03-30 15:53:20.048567	103541	531	3	2
2014-03-30 15:53:20.279691	103542	1134007.7123925854	4	2
2014-03-30 15:53:23.545531	103543	52	2	1
2014-03-30 15:53:23.767413	103544	19.0	1	1
2014-03-30 15:53:32.049916	103545	531	3	2
2014-03-30 15:53:32.29337	103546	1134010.0104620282	4	2
2014-03-30 15:53:41.315664	103547	45	2	10
2014-03-30 15:53:41.541398	103548	19.9	1	10
2014-03-30 15:53:49.919064	103549	51	2	9
2014-03-30 15:53:50.151551	103550	19.6	1	9
2014-03-30 15:53:50.99284	103551	49	2	8
2014-03-30 15:53:51.215153	103552	19.4	1	8
2014-03-30 15:53:56.051609	103553	579	3	2
2014-03-30 15:53:56.283576	103554	1134013.4575661924	4	2
2014-03-30 15:54:02.547118	103555	52	2	1
2014-03-30 15:54:02.770812	103556	19.0	1	1
2014-03-30 15:54:08.052855	103557	547	3	2
2014-03-30 15:54:08.286569	103558	1134014.606600914	4	2
2014-03-30 15:54:20.049195	103559	547	3	2
2014-03-30 15:54:20.273908	103560	1134016.9046703568	4	2
2014-03-30 15:54:20.578673	103561	45	2	10
2014-03-30 15:54:20.809518	103562	19.9	1	10
2014-03-30 15:54:28.9186	103563	51	2	9
2014-03-30 15:54:29.14152	103564	19.6	1	9
2014-03-30 15:54:29.993062	103565	49	2	8
2014-03-30 15:54:30.224872	103566	19.4	1	8
2014-03-30 15:54:32.048844	103567	547	3	2
2014-03-30 15:54:32.272423	103568	1134019.2027397996	4	2
2014-03-30 15:54:41.547379	103569	52	2	1
2014-03-30 15:54:41.778457	103570	19.0	1	1
2014-03-30 15:54:56.048071	103571	434	3	2
2014-03-30 15:54:56.273706	103572	1134022.6498439638	4	2
2014-03-30 15:54:59.316281	103573	45	2	10
2014-03-30 15:54:59.554734	103574	19.9	1	10
2014-03-30 15:55:07.904802	103575	51	2	9
2014-03-30 15:55:08.127831	103576	19.6	1	9
2014-03-30 15:55:08.993041	103577	49	2	8
2014-03-30 15:55:09.224064	103578	19.4	1	8
2014-03-30 15:55:20.048312	103579	498	3	2
2014-03-30 15:55:20.273229	103580	1134026.096948128	4	2
2014-03-30 15:55:20.579016	103581	52	2	1
2014-03-30 15:55:20.813535	103582	19.0	1	1
2014-03-30 15:55:32.050406	103583	498	3	2
2014-03-30 15:55:32.273302	103584	1134027.2459828495	4	2
2014-03-30 15:55:38.316232	103585	45	2	10
2014-03-30 15:55:38.548741	103586	19.9	1	10
2014-03-30 15:55:46.918518	103587	51	2	9
2014-03-30 15:55:47.140934	103588	19.6	1	9
2014-03-30 15:55:47.99229	103589	49	2	8
2014-03-30 15:55:48.224989	103590	19.4	1	8
2014-03-30 15:55:56.048923	103591	434	3	2
2014-03-30 15:55:56.2737	103592	1134030.6930870137	4	2
2014-03-30 15:55:59.544527	103593	52	2	1
2014-03-30 15:55:59.79014	103594	19.0	1	1
2014-03-30 15:56:08.053312	103595	498	3	2
2014-03-30 15:56:08.277345	103596	1134031.8421217352	4	2
2014-03-30 15:56:17.317418	103597	45	2	10
2014-03-30 15:56:17.551012	103598	19.9	1	10
2014-03-30 15:56:20.048972	103599	498	3	2
2014-03-30 15:56:20.270481	103600	1134034.1401911778	4	2
2014-03-30 15:56:25.921363	103601	51	2	9
2014-03-30 15:56:26.154627	103602	19.6	1	9
2014-03-30 15:56:26.994287	103603	49	2	8
2014-03-30 15:56:27.216849	103604	19.4	1	8
2014-03-30 15:56:32.052692	103605	498	3	2
2014-03-30 15:56:32.285006	103606	1134035.2892258994	4	2
2014-03-30 15:56:38.544779	103607	52	2	1
2014-03-30 15:56:38.76803	103608	19.0	1	1
2014-03-30 15:56:56.05069	103609	434	3	2
2014-03-30 15:56:56.284345	103610	1134038.7363300635	4	2
2014-03-30 15:56:56.591897	103611	45	2	10
2014-03-30 15:56:56.815701	103612	19.9	1	10
2014-03-30 15:57:04.919249	103613	51	2	9
2014-03-30 15:57:05.153197	103614	19.6	1	9
2014-03-30 15:57:05.994436	103615	49	2	8
2014-03-30 15:57:06.217249	103616	19.4	1	8
2014-03-30 15:57:08.054574	103617	498	3	2
2014-03-30 15:57:08.285392	103618	1134039.885364785	4	2
2014-03-30 15:57:17.544521	103619	52	2	1
2014-03-30 15:57:17.768507	103620	19.0	1	1
2014-03-30 15:57:20.052785	103621	498	3	2
2014-03-30 15:57:20.283782	103622	1134042.183434228	4	2
2014-03-30 15:57:32.048672	103623	498	3	2
2014-03-30 15:57:32.272732	103624	1134043.3324689493	4	2
2014-03-30 15:57:35.31832	103625	45	2	10
2014-03-30 15:57:35.551961	103626	19.9	1	10
2014-03-30 15:57:43.920479	103627	51	2	9
2014-03-30 15:57:44.147449	103628	19.6	1	9
2014-03-30 15:57:44.992573	103629	49	2	8
2014-03-30 15:57:45.224904	103630	19.4	1	8
2014-03-30 15:57:56.049516	103631	434	3	2
2014-03-30 15:57:56.275251	103632	1134046.7795731134	4	2
2014-03-30 15:57:56.582249	103633	52	2	1
2014-03-30 15:57:56.813795	103634	19.0	1	1
2014-03-30 15:58:08.054553	103635	515	3	2
2014-03-30 15:58:08.277694	103636	1134047.928607835	4	2
2014-03-30 15:58:14.524045	103637	45	2	10
2014-03-30 15:58:14.756523	103638	19.9	1	10
2014-03-30 15:58:20.050478	103639	515	3	2
2014-03-30 15:58:20.275885	103640	1134050.2266772778	4	2
2014-03-30 15:58:22.919206	103641	51	2	9
2014-03-30 15:58:23.16312	103642	19.6	1	9
2014-03-30 15:58:23.991947	103643	49	2	8
2014-03-30 15:58:24.211556	103644	19.4	1	8
2014-03-30 15:58:32.050059	103645	498	3	2
2014-03-30 15:58:32.283533	103646	1134051.3757119991	4	2
2014-03-30 15:58:35.543112	103647	52	2	1
2014-03-30 15:58:35.765344	103648	19.0	1	1
2014-03-30 15:58:53.318655	103649	45	2	10
2014-03-30 15:58:53.54959	103650	19.9	1	10
2014-03-30 15:58:56.048529	103651	434	3	2
2014-03-30 15:58:56.270582	103652	1134054.8228161633	4	2
2014-03-30 15:59:01.918903	103653	51	2	9
2014-03-30 15:59:02.152031	103654	19.6	1	9
2014-03-30 15:59:03.038747	103655	49	2	8
2014-03-30 15:59:03.268567	103656	19.4	1	8
2014-03-30 15:59:08.052022	103657	498	3	2
2014-03-30 15:59:08.284437	103658	1134057.1208856062	4	2
2014-03-30 15:59:14.542129	103659	52	2	1
2014-03-30 15:59:14.76464	103660	19.0	1	1
2014-03-30 15:59:20.050393	103661	498	3	2
2014-03-30 15:59:20.283241	103662	1134058.2699203277	4	2
2014-03-30 15:59:32.048592	103663	515	3	2
2014-03-30 15:59:32.271983	103664	1134059.418955049	4	2
2014-03-30 15:59:32.579088	103665	45	2	10
2014-03-30 15:59:32.813103	103666	19.9	1	10
2014-03-30 15:59:40.917713	103667	51	2	9
2014-03-30 15:59:41.138124	103668	19.6	1	9
2014-03-30 15:59:41.99197	103669	49	2	8
2014-03-30 15:59:42.226384	103670	19.4	1	8
2014-03-30 15:59:53.543072	103671	52	2	1
2014-03-30 15:59:53.766051	103672	19.0	1	1
2014-03-30 15:59:56.046173	103673	434	3	2
2014-03-30 15:59:56.278486	103674	1134062.8660592134	4	2
2014-03-30 16:00:08.047227	103675	498	3	2
2014-03-30 16:00:08.275096	103676	1134065.164128656	4	2
2014-03-30 16:00:11.317315	103677	45	2	10
2014-03-30 16:00:11.54907	103678	19.8	1	10
2014-03-30 16:00:19.906881	103679	51	2	9
2014-03-30 16:00:20.138723	103680	19.6	1	9
2014-03-30 16:00:20.991422	103681	49	2	8
2014-03-30 16:00:21.222675	103682	19.4	1	8
2014-03-30 16:00:32.046258	103683	547	3	2
2014-03-30 16:00:32.288843	103684	1134068.6112328204	4	2
2014-03-30 16:00:32.592923	103685	52	2	1
2014-03-30 16:00:32.826598	103686	19.0	1	1
2014-03-30 16:00:50.120444	103687	547	3	2
2014-03-30 16:00:50.342694	103688	1134069.7602675417	4	2
2014-03-30 16:00:50.646449	103689	45	2	10
2014-03-30 16:00:50.893699	103690	19.8	1	10
2014-03-30 16:00:56.052571	103691	482	3	2
2014-03-30 16:00:56.277136	103692	1134072.0583369846	4	2
2014-03-30 16:00:58.916525	103693	51	2	9
2014-03-30 16:00:59.147141	103694	19.6	1	9
2014-03-30 16:00:59.991951	103695	49	2	8
2014-03-30 16:01:00.220589	103696	19.4	1	8
2014-03-30 16:01:08.049299	103697	531	3	2
2014-03-30 16:01:08.287979	103698	1134073.2073717061	4	2
2014-03-30 16:01:11.542648	103699	52	2	1
2014-03-30 16:01:11.767539	103700	19.0	1	1
2014-03-30 16:01:20.048729	103701	547	3	2
2014-03-30 16:01:20.28473	103702	1134075.5054411488	4	2
2014-03-30 16:01:29.318693	103703	45	2	10
2014-03-30 16:01:29.542721	103704	19.8	1	10
2014-03-30 16:01:32.047918	103705	579	3	2
2014-03-30 16:01:32.279622	103706	1134076.6544758703	4	2
2014-03-30 16:01:37.920322	103707	51	2	9
2014-03-30 16:01:38.143466	103708	19.6	1	9
2014-03-30 16:01:38.991825	103709	49	2	8
2014-03-30 16:01:39.222926	103710	19.4	1	8
2014-03-30 16:01:44.047202	103711	579	3	2
2014-03-30 16:01:44.271503	103712	1134078.9525453132	4	2
2014-03-30 16:01:50.543194	103713	52	2	1
2014-03-30 16:01:50.777154	103714	19.0	1	1
2014-03-30 16:01:56.049981	103715	482	3	2
2014-03-30 16:01:56.273813	103716	1134081.250614756	4	2
2014-03-30 16:02:08.050164	103717	547	3	2
2014-03-30 16:02:08.286939	103718	1134082.3996494773	4	2
2014-03-30 16:02:08.592986	103719	45	2	10
2014-03-30 16:02:08.816343	103720	19.8	1	10
2014-03-30 16:02:16.918878	103721	51	2	9
2014-03-30 16:02:17.153536	103722	19.6	1	9
2014-03-30 16:02:17.993276	103723	49	2	8
2014-03-30 16:02:18.216389	103724	19.4	1	8
2014-03-30 16:02:20.052983	103725	547	3	2
2014-03-30 16:02:20.28639	103726	1134084.6977189202	4	2
2014-03-30 16:02:29.540471	103727	52	2	1
2014-03-30 16:02:29.76454	103728	19.0	1	1
2014-03-30 16:02:32.050832	103729	531	3	2
2014-03-30 16:02:32.281386	103730	1134085.8467536415	4	2
2014-03-30 16:02:44.047418	103731	595	3	2
2014-03-30 16:02:44.305712	103732	1134088.1448230844	4	2
2014-03-30 16:02:47.320251	103733	45	2	10
2014-03-30 16:02:47.586962	103734	19.8	1	10
2014-03-30 16:02:55.905544	103735	51	2	9
2014-03-30 16:02:56.16409	103736	19.6	1	9
2014-03-30 16:02:56.992725	103737	49	2	8
2014-03-30 16:02:57.268635	103738	19.4	1	8
2014-03-30 16:03:08.047342	103739	547	3	2
2014-03-30 16:03:08.277244	103740	1134091.5919272488	4	2
2014-03-30 16:03:08.580928	103741	52	2	1
2014-03-30 16:03:08.813738	103742	19.0	1	1
2014-03-30 16:03:20.047026	103743	579	3	2
2014-03-30 16:03:20.27027	103744	1134093.8899966916	4	2
2014-03-30 16:03:26.319341	103745	45	2	10
2014-03-30 16:03:26.550541	103746	19.8	1	10
2014-03-30 16:03:32.050408	103747	547	3	2
2014-03-30 16:03:32.276766	103748	1134095.039031413	4	2
2014-03-30 16:03:34.916202	103749	51	2	9
2014-03-30 16:03:35.147739	103750	19.6	1	9
2014-03-30 16:03:35.992632	103751	49	2	8
2014-03-30 16:03:36.214418	103752	19.4	1	8
2014-03-30 16:03:44.04722	103753	595	3	2
2014-03-30 16:03:44.28236	103754	1134097.3371008558	4	2
2014-03-30 16:03:47.539574	103755	52	2	1
2014-03-30 16:03:47.761388	103756	19.0	1	1
2014-03-30 16:03:56.047562	103757	547	3	2
2014-03-30 16:03:56.280219	103758	1134098.486135577	4	2
2014-03-30 16:04:05.3206	103759	45	2	10
2014-03-30 16:04:05.543395	103760	19.8	1	10
2014-03-30 16:04:08.047756	103761	547	3	2
2014-03-30 16:04:08.283975	103762	1134100.78420502	4	2
2014-03-30 16:04:13.916456	103763	51	2	9
2014-03-30 16:04:14.143057	103764	19.6	1	9
2014-03-30 16:04:14.992142	103765	49	2	8
2014-03-30 16:04:15.223264	103766	19.4	1	8
2014-03-30 16:04:26.538773	103767	52	2	1
2014-03-30 16:04:26.760692	103768	19.0	1	1
2014-03-30 16:04:32.051995	103769	547	3	2
2014-03-30 16:04:32.285639	103770	1134104.2313091843	4	2
2014-03-30 16:04:44.047505	103771	595	3	2
2014-03-30 16:04:44.269421	103772	1134106.529378627	4	2
2014-03-30 16:04:44.576091	103773	45	2	10
2014-03-30 16:04:44.807146	103774	19.8	1	10
2014-03-30 16:04:52.916428	103775	51	2	9
2014-03-30 16:04:53.138518	103776	19.6	1	9
2014-03-30 16:04:53.990316	103777	49	2	8
2014-03-30 16:04:54.223437	103778	19.4	1	8
2014-03-30 16:04:56.048232	103779	515	3	2
2014-03-30 16:04:56.269194	103780	1134108.8274480698	4	2
2014-03-30 16:05:05.541946	103781	52	2	1
2014-03-30 16:05:05.777757	103782	19.0	1	1
2014-03-30 16:05:08.049409	103783	515	3	2
2014-03-30 16:05:08.301239	103784	1134109.9764827914	4	2
2014-03-30 16:05:23.31945	103785	45	2	10
2014-03-30 16:05:23.565636	103786	19.8	1	10
2014-03-30 16:05:31.906154	103787	51	2	9
2014-03-30 16:05:32.12951	103788	19.6	1	9
2014-03-30 16:05:32.991711	103789	49	2	8
2014-03-30 16:05:33.224565	103790	19.4	1	8
2014-03-30 16:05:44.540077	103791	52	2	1
2014-03-30 16:05:44.765176	103792	19.0	1	1
2014-03-30 16:06:02.319324	103793	45	2	10
2014-03-30 16:06:02.553641	103794	19.8	1	10
2014-03-30 16:06:10.918779	103795	51	2	9
2014-03-30 16:06:11.140839	103796	19.6	1	9
2014-03-30 16:06:11.991561	103797	49	2	8
2014-03-30 16:06:12.223574	103798	19.4	1	8
2014-03-30 16:06:23.779875	103799	52	2	1
2014-03-30 16:06:24.002841	103800	19.0	1	1
2014-03-30 16:06:32.046898	103801	515	3	2
2014-03-30 16:06:32.281367	103802	1134121.4668300054	4	2
2014-03-30 16:06:41.321571	103803	45	2	10
2014-03-30 16:06:41.544535	103804	19.8	1	10
2014-03-30 16:06:49.920179	103805	51	2	9
2014-03-30 16:06:50.153083	103806	19.6	1	9
2014-03-30 16:06:50.991557	103807	49	2	8
2014-03-30 16:06:51.213511	103808	19.4	1	8
2014-03-30 16:07:02.53875	103809	52	2	1
2014-03-30 16:07:02.775056	103810	19.0	1	1
2014-03-30 16:07:20.31983	103811	45	2	10
2014-03-30 16:07:20.543049	103812	19.8	1	10
2014-03-30 16:07:28.917556	103813	51	2	9
2014-03-30 16:07:29.15178	103814	19.6	1	9
2014-03-30 16:07:29.992554	103815	49	2	8
2014-03-30 16:07:30.214502	103816	19.4	1	8
2014-03-30 16:07:32.050542	103817	498	3	2
2014-03-30 16:07:32.283601	103818	1134130.6591077768	4	2
2014-03-30 16:07:41.537176	103819	53	2	1
2014-03-30 16:07:41.762107	103820	18.9	1	1
2014-03-30 16:07:44.046305	103821	434	3	2
2014-03-30 16:07:44.277365	103822	1134131.8081424981	4	2
2014-03-30 16:07:56.049845	103823	498	3	2
2014-03-30 16:07:56.273331	103824	1134132.9571772197	4	2
2014-03-30 16:07:59.321629	103825	45	2	10
2014-03-30 16:07:59.554007	103826	19.8	1	10
2014-03-30 16:08:07.905928	103827	51	2	9
2014-03-30 16:08:08.129447	103828	19.6	1	9
2014-03-30 16:08:08.991187	103829	49	2	8
2014-03-30 16:08:09.224748	103830	19.4	1	8
2014-03-30 16:08:20.537343	103831	53	2	1
2014-03-30 16:08:20.759253	103832	18.9	1	1
2014-03-30 16:08:32.047159	103833	498	3	2
2014-03-30 16:08:32.292674	103834	1134138.7023508267	4	2
2014-03-30 16:08:38.320124	103835	45	2	10
2014-03-30 16:08:38.544457	103836	19.8	1	10
2014-03-30 16:08:44.049171	103837	434	3	2
2014-03-30 16:08:44.467916	103838	1134139.851385548	4	2
2014-03-30 16:08:46.916922	103839	51	2	9
2014-03-30 16:08:47.143579	103840	19.6	1	9
2014-03-30 16:08:47.991808	103841	49	2	8
2014-03-30 16:08:48.213318	103842	19.4	1	8
2014-03-30 16:08:56.047304	103843	498	3	2
2014-03-30 16:08:56.279574	103844	1134142.1494549909	4	2
2014-03-30 16:08:59.53569	103845	53	2	1
2014-03-30 16:08:59.757096	103846	18.9	1	1
2014-03-30 16:09:08.04472	103847	498	3	2
2014-03-30 16:09:08.279026	103848	1134143.2984897124	4	2
2014-03-30 16:09:17.322792	103849	45	2	10
2014-03-30 16:09:17.542812	103850	19.8	1	10
2014-03-30 16:09:25.914284	103851	51	2	9
2014-03-30 16:09:26.145535	103852	19.6	1	9
2014-03-30 16:09:26.990483	103853	49	2	8
2014-03-30 16:09:27.211335	103854	19.4	1	8
2014-03-30 16:09:32.049883	103855	498	3	2
2014-03-30 16:09:32.283367	103856	1134146.7455938766	4	2
2014-03-30 16:09:38.535118	103857	53	2	1
2014-03-30 16:09:38.757536	103858	18.9	1	1
2014-03-30 16:09:44.05192	103859	434	3	2
2014-03-30 16:09:44.284483	103860	1134147.8946285981	4	2
2014-03-30 16:09:56.045157	103861	515	3	2
2014-03-30 16:09:56.27433	103862	1134150.1926980407	4	2
2014-03-30 16:09:56.578563	103863	45	2	10
2014-03-30 16:09:56.80965	103864	19.8	1	10
2014-03-30 16:10:04.918552	103865	51	2	9
2014-03-30 16:10:05.138733	103866	19.6	1	9
2014-03-30 16:10:05.990201	103867	49	2	8
2014-03-30 16:10:06.221074	103868	19.4	1	8
2014-03-30 16:10:08.045981	103869	498	3	2
2014-03-30 16:10:08.269259	103870	1134151.3417327623	4	2
2014-03-30 16:10:17.538221	103871	53	2	1
2014-03-30 16:10:17.769765	103872	18.9	1	1
2014-03-30 16:10:32.045574	103873	547	3	2
2014-03-30 16:10:32.267287	103874	1134154.7888369265	4	2
2014-03-30 16:10:35.321924	103875	45	2	10
2014-03-30 16:10:35.610134	103876	19.8	1	10
2014-03-30 16:10:43.904414	103877	51	2	9
2014-03-30 16:10:44.125975	103878	19.6	1	9
2014-03-30 16:10:44.992322	103879	49	2	8
2014-03-30 16:10:45.223343	103880	19.4	1	8
2014-03-30 16:10:56.045535	103881	579	3	2
2014-03-30 16:10:56.268141	103882	1134158.2359410909	4	2
2014-03-30 16:10:56.573521	103883	53	2	1
2014-03-30 16:10:56.814201	103884	18.9	1	1
2014-03-30 16:11:08.047806	103885	531	3	2
2014-03-30 16:11:08.269201	103886	1134160.5340105335	4	2
2014-03-30 16:11:14.320602	103887	45	2	10
2014-03-30 16:11:14.553784	103888	19.8	1	10
2014-03-30 16:11:20.047913	103889	547	3	2
2014-03-30 16:11:20.269919	103890	1134161.683045255	4	2
2014-03-30 16:11:22.91746	103891	51	2	9
2014-03-30 16:11:23.150536	103892	19.6	1	9
2014-03-30 16:11:23.99169	103893	49	2	8
2014-03-30 16:11:24.211063	103894	19.4	1	8
2014-03-30 16:11:32.046096	103895	547	3	2
2014-03-30 16:11:32.276052	103896	1134163.9811146979	4	2
2014-03-30 16:11:35.534074	103897	53	2	1
2014-03-30 16:11:35.814031	103898	18.9	1	1
2014-03-30 16:11:44.045307	103899	482	3	2
2014-03-30 16:11:44.276353	103900	1134165.1301494192	4	2
2014-03-30 16:11:53.320718	103901	45	2	10
2014-03-30 16:11:53.541884	103902	19.8	1	10
2014-03-30 16:11:56.047741	103903	531	3	2
2014-03-30 16:11:56.27738	103904	1134167.428218862	4	2
2014-03-30 16:12:01.915659	103905	51	2	9
2014-03-30 16:12:02.135702	103906	19.6	1	9
2014-03-30 16:12:02.990745	103907	49	2	8
2014-03-30 16:12:03.220494	103908	19.4	1	8
2014-03-30 16:12:08.051509	103909	547	3	2
2014-03-30 16:12:08.271782	103910	1134168.5772535836	4	2
2014-03-30 16:12:14.535248	103911	53	2	1
2014-03-30 16:12:14.767264	103912	18.9	1	1
2014-03-30 16:12:20.049873	103913	579	3	2
2014-03-30 16:12:20.270242	103914	1134170.8753230262	4	2
2014-03-30 16:12:32.045326	103915	547	3	2
2014-03-30 16:12:32.278655	103916	1134173.173392469	4	2
2014-03-30 16:12:32.58244	103917	45	2	10
2014-03-30 16:12:32.803578	103918	19.8	1	10
2014-03-30 16:12:40.920168	103919	51	2	9
2014-03-30 16:12:41.154042	103920	19.6	1	9
2014-03-30 16:12:41.994186	103921	49	2	8
2014-03-30 16:12:42.216028	103922	19.4	1	8
2014-03-30 16:12:44.047547	103923	482	3	2
2014-03-30 16:12:44.278097	103924	1134174.3224271906	4	2
2014-03-30 16:12:53.534603	103925	53	2	1
2014-03-30 16:12:53.757099	103926	18.9	1	1
2014-03-30 16:12:56.049125	103927	547	3	2
2014-03-30 16:12:56.278689	103928	1134176.6204966335	4	2
2014-03-30 16:13:08.04629	103929	531	3	2
2014-03-30 16:13:08.268808	103930	1134177.7695313548	4	2
2014-03-30 16:13:11.322188	103931	45	2	10
2014-03-30 16:13:11.576113	103932	19.7	1	10
2014-03-30 16:13:19.903612	103933	51	2	9
2014-03-30 16:13:20.125998	103934	19.6	1	9
2014-03-30 16:13:20.98961	103935	49	2	8
2014-03-30 16:13:21.223616	103936	19.4	1	8
2014-03-30 16:13:32.048207	103937	547	3	2
2014-03-30 16:13:32.2708	103938	1134181.216635519	4	2
2014-03-30 16:13:32.573956	103939	53	2	1
2014-03-30 16:13:32.804401	103940	18.9	1	1
2014-03-30 16:13:44.045292	103941	482	3	2
2014-03-30 16:13:44.267424	103942	1134183.5147049618	4	2
2014-03-30 16:13:50.322318	103943	45	2	10
2014-03-30 16:13:50.553641	103944	19.7	1	10
2014-03-30 16:13:56.049407	103945	531	3	2
2014-03-30 16:13:56.272674	103946	1134184.6637396833	4	2
2014-03-30 16:13:58.916749	103947	51	2	9
2014-03-30 16:13:59.148891	103948	19.6	1	9
2014-03-30 16:13:59.991432	103949	49	2	8
2014-03-30 16:14:00.213967	103950	19.4	1	8
2014-03-30 16:14:08.046684	103951	547	3	2
2014-03-30 16:14:08.278878	103952	1134186.9618091262	4	2
2014-03-30 16:14:11.533608	103953	53	2	1
2014-03-30 16:14:11.758574	103954	18.9	1	1
2014-03-30 16:14:20.04518	103955	579	3	2
2014-03-30 16:14:20.278212	103956	1134189.259878569	4	2
2014-03-30 16:14:29.323761	103957	45	2	10
2014-03-30 16:14:29.545771	103958	19.7	1	10
2014-03-30 16:14:32.045015	103959	579	3	2
2014-03-30 16:14:32.277879	103960	1134190.4089132904	4	2
2014-03-30 16:14:37.91803	103961	51	2	9
2014-03-30 16:14:38.140163	103962	19.6	1	9
2014-03-30 16:14:38.991754	103963	49	2	8
2014-03-30 16:14:39.223112	103964	19.4	1	8
2014-03-30 16:14:44.044186	103965	482	3	2
2014-03-30 16:14:44.266022	103966	1134192.7069827332	4	2
2014-03-30 16:14:50.533026	103967	53	2	1
2014-03-30 16:14:50.765525	103968	18.9	1	1
2014-03-30 16:14:56.049202	103969	547	3	2
2014-03-30 16:14:56.271805	103970	1134193.8560174545	4	2
2014-03-30 16:15:08.044314	103971	547	3	2
2014-03-30 16:15:08.275024	103972	1134196.1540868974	4	2
2014-03-30 16:15:08.58574	103973	45	2	10
2014-03-30 16:15:08.809292	103974	19.7	1	10
2014-03-30 16:15:16.917206	103975	51	2	9
2014-03-30 16:15:17.167769	103976	19.6	1	9
2014-03-30 16:15:17.99159	103977	49	2	8
2014-03-30 16:15:18.212794	103978	19.4	1	8
2014-03-30 16:15:20.047534	103979	579	3	2
2014-03-30 16:15:20.289262	103980	1134197.303121619	4	2
2014-03-30 16:15:29.53586	103981	53	2	1
2014-03-30 16:15:29.760788	103982	18.9	1	1
2014-03-30 16:15:32.046021	103983	515	3	2
2014-03-30 16:15:32.275961	103984	1134199.6011910618	4	2
2014-03-30 16:15:44.045745	103985	434	3	2
2014-03-30 16:15:44.266896	103986	1134200.750225783	4	2
2014-03-30 16:15:47.322097	103987	45	2	10
2014-03-30 16:15:47.55658	103988	19.7	1	10
2014-03-30 16:15:55.903889	103989	51	2	9
2014-03-30 16:15:56.125228	103990	19.6	1	9
2014-03-30 16:15:56.990511	103991	49	2	8
2014-03-30 16:15:57.220937	103992	19.4	1	8
2014-03-30 16:16:08.045644	103993	515	3	2
2014-03-30 16:16:08.266901	103994	1134204.1973299473	4	2
2014-03-30 16:16:08.572215	103995	53	2	1
2014-03-30 16:16:08.810813	103996	18.9	1	1
2014-03-30 16:16:26.323213	103997	45	2	10
2014-03-30 16:16:26.544606	103998	19.7	1	10
2014-03-30 16:16:32.049111	103999	515	3	2
2014-03-30 16:16:32.282231	104000	1134207.6444341117	4	2
2014-03-30 16:16:34.916537	104001	51	2	9
2014-03-30 16:16:35.137949	104002	19.6	1	9
2014-03-30 16:16:35.99243	104003	49	2	8
2014-03-30 16:16:36.22538	104004	19.4	1	8
2014-03-30 16:16:44.043819	104005	450	3	2
2014-03-30 16:16:44.265645	104006	1134208.793468833	4	2
2014-03-30 16:16:47.531663	104007	53	2	1
2014-03-30 16:16:47.765179	104008	18.9	1	1
2014-03-30 16:16:56.04524	104009	498	3	2
2014-03-30 16:16:56.267426	104010	1134211.0915382758	4	2
2014-03-30 16:17:05.324401	104011	45	2	10
2014-03-30 16:17:05.556233	104012	19.7	1	10
2014-03-30 16:17:08.047239	104013	498	3	2
2014-03-30 16:17:08.271035	104014	1134212.2405729974	4	2
2014-03-30 16:17:13.925536	104015	51	2	9
2014-03-30 16:17:14.160753	104016	19.6	1	9
2014-03-30 16:17:14.991175	104017	49	2	8
2014-03-30 16:17:15.212729	104018	19.4	1	8
2014-03-30 16:17:26.530634	104019	53	2	1
2014-03-30 16:17:26.76236	104020	18.9	1	1
2014-03-30 16:17:32.050354	104021	515	3	2
2014-03-30 16:17:32.275873	104022	1134215.6876771615	4	2
2014-03-30 16:17:44.044515	104023	434	3	2
2014-03-30 16:17:44.277695	104024	1134217.9857466044	4	2
2014-03-30 16:17:44.581808	104025	45	2	10
2014-03-30 16:17:44.803401	104026	19.7	1	10
2014-03-30 16:17:52.919841	104027	51	2	9
2014-03-30 16:17:53.163726	104028	19.6	1	9
2014-03-30 16:17:53.993143	104029	49	2	8
2014-03-30 16:17:54.2132	104030	19.4	1	8
2014-03-30 16:17:56.044471	104031	498	3	2
2014-03-30 16:17:56.275003	104032	1134219.1347813257	4	2
2014-03-30 16:18:05.529061	104033	53	2	1
2014-03-30 16:18:05.750506	104034	18.9	1	1
2014-03-30 16:18:08.047857	104035	482	3	2
2014-03-30 16:18:08.277491	104036	1134220.2838160472	4	2
2014-03-30 16:18:20.047248	104037	515	3	2
2014-03-30 16:18:20.270831	104038	1134222.58188549	4	2
2014-03-30 16:18:23.323494	104039	45	2	10
2014-03-30 16:18:23.554278	104040	19.7	1	10
2014-03-30 16:18:31.903363	104041	51	2	9
2014-03-30 16:18:32.126508	104042	19.6	1	9
2014-03-30 16:18:32.993568	104043	49	2	8
2014-03-30 16:18:33.223615	104044	19.3	1	8
2014-03-30 16:18:44.046431	104045	434	3	2
2014-03-30 16:18:44.267918	104046	1134226.0289896543	4	2
2014-03-30 16:18:44.571432	104047	53	2	1
2014-03-30 16:18:44.801052	104048	18.9	1	1
2014-03-30 16:18:56.04423	104049	515	3	2
2014-03-30 16:18:56.268865	104050	1134227.1780243756	4	2
2014-03-30 16:19:02.324224	104051	45	2	10
2014-03-30 16:19:02.555549	104052	19.7	1	10
2014-03-30 16:19:08.050823	104053	498	3	2
2014-03-30 16:19:08.274372	104054	1134229.4760938184	4	2
2014-03-30 16:19:10.919061	104055	51	2	9
2014-03-30 16:19:11.153141	104056	19.6	1	9
2014-03-30 16:19:11.991093	104057	49	2	8
2014-03-30 16:19:12.213556	104058	19.3	1	8
2014-03-30 16:19:23.53152	104059	53	2	1
2014-03-30 16:19:23.763964	104060	18.9	1	1
2014-03-30 16:19:32.045773	104061	498	3	2
2014-03-30 16:19:32.269374	104062	1134231.7741632613	4	2
2014-03-30 16:19:41.325261	104063	45	2	10
2014-03-30 16:19:41.555858	104064	19.7	1	10
2014-03-30 16:19:44.044072	104065	418	3	2
2014-03-30 16:19:44.267242	104066	1134234.0722327041	4	2
2014-03-30 16:19:49.916668	104067	51	2	9
2014-03-30 16:19:50.147347	104068	19.6	1	9
2014-03-30 16:19:50.991772	104069	49	2	8
2014-03-30 16:19:51.213003	104070	19.3	1	8
2014-03-30 16:19:56.050541	104071	515	3	2
2014-03-30 16:19:56.283828	104072	1134235.2212674255	4	2
2014-03-30 16:20:02.530277	104073	53	2	1
2014-03-30 16:20:02.751735	104074	18.9	1	1
2014-03-30 16:20:08.049037	104075	498	3	2
2014-03-30 16:20:08.294031	104076	1134236.374773099	4	2
2014-03-30 16:20:20.325749	104077	45	2	10
2014-03-30 16:20:20.546921	104078	19.7	1	10
2014-03-30 16:20:29.119868	104079	51	2	9
2014-03-30 16:20:29.352568	104080	19.6	1	9
2014-03-30 16:20:29.991492	104081	49	2	8
2014-03-30 16:20:30.212471	104082	19.3	1	8
2014-03-30 16:20:32.045856	104083	498	3	2
2014-03-30 16:20:32.275831	104084	1134238.672842542	4	2
2014-03-30 16:20:41.527458	104085	53	2	1
2014-03-30 16:20:41.748867	104086	18.9	1	1
2014-03-30 16:20:44.046743	104087	434	3	2
2014-03-30 16:20:44.278076	104088	1134240.9709119848	4	2
2014-03-30 16:20:56.045948	104089	482	3	2
2014-03-30 16:20:56.268231	104090	1134242.1199467063	4	2
2014-03-30 16:20:59.323206	104091	45	2	10
2014-03-30 16:20:59.556652	104092	19.7	1	10
2014-03-30 16:21:07.904463	104093	51	2	9
2014-03-30 16:21:08.125973	104094	19.6	1	9
2014-03-30 16:21:08.995564	104095	49	2	8
2014-03-30 16:21:09.227638	104096	19.3	1	8
2014-03-30 16:21:20.044507	104097	659	3	2
2014-03-30 16:21:20.266825	104098	1134245.5670508705	4	2
2014-03-30 16:21:20.571885	104099	53	2	1
2014-03-30 16:21:20.804045	104100	18.8	1	1
2014-03-30 16:21:32.045474	104101	676	3	2
2014-03-30 16:21:32.266583	104102	1134247.8651203134	4	2
2014-03-30 16:21:38.323369	104103	45	2	10
2014-03-30 16:21:38.554646	104104	19.7	1	10
2014-03-30 16:21:44.048761	104105	595	3	2
2014-03-30 16:21:44.273273	104106	1134250.1631897562	4	2
2014-03-30 16:21:46.915108	104107	51	2	9
2014-03-30 16:21:47.145997	104108	19.6	1	9
2014-03-30 16:21:47.992458	104109	49	2	8
2014-03-30 16:21:48.213916	104110	19.3	1	8
2014-03-30 16:21:56.04298	104111	692	3	2
2014-03-30 16:21:56.275447	104112	1134252.461259199	4	2
2014-03-30 16:21:59.528818	104113	53	2	1
2014-03-30 16:21:59.752603	104114	18.8	1	1
2014-03-30 16:22:08.045277	104115	547	3	2
2014-03-30 16:22:08.276921	104116	1134254.759328642	4	2
2014-03-30 16:22:17.324603	104117	45	2	10
2014-03-30 16:22:17.546845	104118	19.7	1	10
2014-03-30 16:22:20.044475	104119	611	3	2
2014-03-30 16:22:20.274416	104120	1134257.0573980846	4	2
2014-03-30 16:22:26.117676	104121	51	2	9
2014-03-30 16:22:26.338885	104122	19.6	1	9
2014-03-30 16:22:26.991814	104123	49	2	8
2014-03-30 16:22:27.234065	104124	19.3	1	8
2014-03-30 16:22:32.049866	104125	692	3	2
2014-03-30 16:22:32.27286	104126	1134258.206432806	4	2
2014-03-30 16:22:38.536922	104127	53	2	1
2014-03-30 16:22:38.770509	104128	18.8	1	1
2014-03-30 16:22:44.048966	104129	659	3	2
2014-03-30 16:22:44.27059	104130	1134260.504502249	4	2
2014-03-30 16:22:56.048955	104131	659	3	2
2014-03-30 16:22:56.280968	104132	1134262.8025716918	4	2
2014-03-30 16:22:56.583289	104133	45	2	10
2014-03-30 16:22:56.804185	104134	19.7	1	10
2014-03-30 16:23:05.991573	104135	49	2	8
2014-03-30 16:23:06.222858	104136	19.3	1	8
2014-03-30 16:23:17.532212	104137	53	2	1
2014-03-30 16:23:17.753381	104138	18.9	1	1
2014-03-30 16:23:32.048211	104139	692	3	2
2014-03-30 16:23:32.280712	104140	1134269.6967800201	4	2
2014-03-30 16:23:35.325743	104141	45	2	10
2014-03-30 16:23:35.546341	104142	19.7	1	10
2014-03-30 16:23:44.993785	104143	49	2	8
2014-03-30 16:23:45.224942	104144	19.3	1	8
2014-03-30 16:23:56.046981	104145	659	3	2
2014-03-30 16:23:56.268879	104146	1134274.2929189058	4	2
2014-03-30 16:23:56.572896	104147	53	2	1
2014-03-30 16:23:56.804668	104148	18.9	1	1
2014-03-30 16:24:14.325464	104149	45	2	10
2014-03-30 16:24:14.548022	104150	19.7	1	10
2014-03-30 16:24:23.991111	104151	49	2	8
2014-03-30 16:24:24.225137	104152	19.3	1	8
2014-03-30 16:24:32.044776	104153	643	3	2
2014-03-30 16:24:32.266905	104154	1134281.1871272344	4	2
2014-03-30 16:24:35.526935	104155	53	2	1
2014-03-30 16:24:35.757808	104156	18.9	1	1
2014-03-30 16:24:53.325818	104157	45	2	10
2014-03-30 16:24:53.548806	104158	19.7	1	10
2014-03-30 16:25:02.120177	104159	51	2	9
2014-03-30 16:25:02.353295	104160	19.6	1	9
2014-03-30 16:25:02.999951	104161	49	2	8
2014-03-30 16:25:03.222949	104162	19.3	1	8
2014-03-30 16:25:14.525944	104163	53	2	1
2014-03-30 16:25:14.757103	104164	18.9	1	1
2014-03-30 16:25:32.045581	104165	515	3	2
2014-03-30 16:25:32.268688	104166	1134291.5284397271	4	2
2014-03-30 16:25:32.57393	104167	45	2	10
2014-03-30 16:25:32.804408	104168	19.6	1	10
2014-03-30 16:25:40.913405	104169	51	2	9
2014-03-30 16:25:41.135697	104170	19.6	1	9
2014-03-30 16:25:41.99173	104171	49	2	8
2014-03-30 16:25:42.235845	104172	19.3	1	8
2014-03-30 16:25:44.045006	104173	547	3	2
2014-03-30 16:25:44.265492	104174	1134293.82650917	4	2
2014-03-30 16:25:53.524845	104175	53	2	1
2014-03-30 16:25:53.757456	104176	18.9	1	1
2014-03-30 16:25:56.046415	104177	547	3	2
2014-03-30 16:25:56.267077	104178	1134294.9755438913	4	2
2014-03-30 16:26:11.325868	104179	45	2	10
2014-03-30 16:26:11.559966	104180	19.7	1	10
2014-03-30 16:26:19.912711	104181	51	2	9
2014-03-30 16:26:20.135941	104182	19.6	1	9
2014-03-30 16:26:20.992043	104183	49	2	8
2014-03-30 16:26:21.223582	104184	19.3	1	8
2014-03-30 16:26:32.04467	104185	466	3	2
2014-03-30 16:26:32.265712	104186	1134300.7207174983	4	2
2014-03-30 16:26:32.572126	104187	53	2	1
2014-03-30 16:26:32.801458	104188	18.9	1	1
2014-03-30 16:26:44.046221	104189	531	3	2
2014-03-30 16:26:44.267421	104190	1134301.8697522199	4	2
2014-03-30 16:26:50.326839	104191	45	2	10
2014-03-30 16:26:50.560361	104192	19.7	1	10
2014-03-30 16:26:56.051677	104193	547	3	2
2014-03-30 16:26:56.273404	104194	1134304.1678216627	4	2
2014-03-30 16:26:58.912433	104195	51	2	9
2014-03-30 16:26:59.143139	104196	19.6	1	9
2014-03-30 16:26:59.989765	104197	49	2	8
2014-03-30 16:27:00.209604	104198	19.3	1	8
2014-03-30 16:27:11.527684	104199	52	2	1
2014-03-30 16:27:11.760101	104200	19.0	1	1
2014-03-30 16:27:20.045181	104201	611	3	2
2014-03-30 16:27:20.267079	104202	1134307.614925827	4	2
2014-03-30 16:27:29.328222	104203	45	2	10
2014-03-30 16:27:29.559196	104204	19.7	1	10
2014-03-30 16:27:37.934858	104205	51	2	9
2014-03-30 16:27:38.160097	104206	19.6	1	9
2014-03-30 16:27:38.992849	104207	49	2	8
2014-03-30 16:27:39.224783	104208	19.3	1	8
2014-03-30 16:27:44.046996	104209	547	3	2
2014-03-30 16:27:44.267381	104210	1134311.062029991	4	2
2014-03-30 16:27:50.523819	104211	52	2	1
2014-03-30 16:27:50.757896	104212	19.0	1	1
2014-03-30 16:27:56.048925	104213	531	3	2
2014-03-30 16:27:56.271239	104214	1134312.2110647126	4	2
2014-03-30 16:28:08.329824	104215	45	2	10
2014-03-30 16:28:08.563471	104216	19.7	1	10
2014-03-30 16:28:16.922538	104217	51	2	9
2014-03-30 16:28:17.143392	104218	19.6	1	9
2014-03-30 16:28:17.991051	104219	49	2	8
2014-03-30 16:28:18.234769	104220	19.3	1	8
2014-03-30 16:28:29.525071	104221	52	2	1
2014-03-30 16:28:29.746347	104222	19.0	1	1
2014-03-30 16:28:32.043578	104223	466	3	2
2014-03-30 16:28:32.273997	104224	1134317.9562383196	4	2
2014-03-30 16:28:44.044027	104225	547	3	2
2014-03-30 16:28:44.264776	104226	1134320.2543077625	4	2
2014-03-30 16:28:47.326592	104227	45	2	10
2014-03-30 16:28:47.558981	104228	19.7	1	10
2014-03-30 16:28:55.90301	104229	51	2	9
2014-03-30 16:28:56.125598	104230	19.5	1	9
2014-03-30 16:28:56.992358	104231	49	2	8
2014-03-30 16:28:57.223151	104232	19.3	1	8
2014-03-30 16:29:08.522479	104233	52	2	1
2014-03-30 16:29:08.751843	104234	19.0	1	1
2014-03-30 16:29:26.327762	104235	45	2	10
2014-03-30 16:29:26.559385	104236	19.7	1	10
2014-03-30 16:29:32.050833	104237	466	3	2
2014-03-30 16:29:32.272998	104238	1134327.148516091	4	2
2014-03-30 16:29:34.923386	104239	51	2	9
2014-03-30 16:29:35.154535	104240	19.5	1	9
2014-03-30 16:29:35.992334	104241	49	2	8
2014-03-30 16:29:36.2701	104242	19.3	1	8
2014-03-30 16:29:44.044908	104243	531	3	2
2014-03-30 16:29:44.277906	104244	1134328.2975508124	4	2
2014-03-30 16:29:47.523138	104245	52	2	1
2014-03-30 16:29:47.74333	104246	19.0	1	1
2014-03-30 16:29:56.045113	104247	531	3	2
2014-03-30 16:29:56.277786	104248	1134330.5956202552	4	2
2014-03-30 16:30:05.32758	104249	45	2	10
2014-03-30 16:30:05.549017	104250	19.7	1	10
2014-03-30 16:30:13.920355	104251	51	2	9
2014-03-30 16:30:14.152579	104252	19.5	1	9
2014-03-30 16:30:14.991832	104253	49	2	8
2014-03-30 16:30:15.214056	104254	19.3	1	8
2014-03-30 16:30:26.524291	104255	52	2	1
2014-03-30 16:30:26.759426	104256	19.0	1	1
2014-03-30 16:30:32.04631	104257	466	3	2
2014-03-30 16:30:32.26954	104258	1134335.191759141	4	2
2014-03-30 16:30:44.045016	104259	547	3	2
2014-03-30 16:30:44.276835	104260	1134337.4898285838	4	2
2014-03-30 16:30:44.580702	104261	45	2	10
2014-03-30 16:30:44.803304	104262	19.7	1	10
2014-03-30 16:30:52.920424	104263	51	2	9
2014-03-30 16:30:53.150767	104264	19.5	1	9
2014-03-30 16:30:53.991801	104265	49	2	8
2014-03-30 16:30:54.212748	104266	19.3	1	8
2014-03-30 16:30:56.045827	104267	595	3	2
2014-03-30 16:30:56.287152	104268	1134338.638863305	4	2
2014-03-30 16:31:05.523612	104269	52	2	1
2014-03-30 16:31:05.746686	104270	19.0	1	1
2014-03-30 16:31:08.045631	104271	595	3	2
2014-03-30 16:31:08.276744	104272	1134340.936932748	4	2
2014-03-30 16:31:23.327956	104273	45	2	10
2014-03-30 16:31:23.552153	104274	19.7	1	10
2014-03-30 16:31:31.90315	104275	51	2	9
2014-03-30 16:31:32.134077	104276	19.5	1	9
2014-03-30 16:31:32.991713	104277	49	2	8
2014-03-30 16:31:33.212387	104278	19.3	1	8
2014-03-30 16:31:44.043339	104279	611	3	2
2014-03-30 16:31:44.274401	104280	1134346.682106355	4	2
2014-03-30 16:31:44.580361	104281	52	2	1
2014-03-30 16:31:44.800926	104282	19.0	1	1
2014-03-30 16:31:56.044903	104283	595	3	2
2014-03-30 16:31:56.277845	104284	1134348.9801757978	4	2
2014-03-30 16:32:02.328884	104285	45	2	10
2014-03-30 16:32:02.551888	104286	19.7	1	10
2014-03-30 16:32:10.921862	104287	51	2	9
2014-03-30 16:32:11.154234	104288	19.5	1	9
2014-03-30 16:32:11.991919	104289	49	2	8
2014-03-30 16:32:12.212324	104290	19.3	1	8
2014-03-30 16:32:23.522728	104291	52	2	1
2014-03-30 16:32:23.756189	104292	19.0	1	1
2014-03-30 16:32:32.044141	104293	498	3	2
2014-03-30 16:32:32.266747	104294	1134354.7253494048	4	2
2014-03-30 16:32:41.328701	104295	45	2	10
2014-03-30 16:32:41.563995	104296	19.7	1	10
2014-03-30 16:32:44.045207	104297	595	3	2
2014-03-30 16:32:44.266719	104298	1134357.0234188477	4	2
2014-03-30 16:32:49.922289	104299	51	2	9
2014-03-30 16:32:50.153638	104300	19.5	1	9
2014-03-30 16:32:50.992249	104301	49	2	8
2014-03-30 16:32:51.213294	104302	19.3	1	8
2014-03-30 16:32:56.048654	104303	595	3	2
2014-03-30 16:32:56.282393	104304	1134358.1724535692	4	2
2014-03-30 16:33:02.522042	104305	52	2	1
2014-03-30 16:33:02.746848	104306	19.0	1	1
2014-03-30 16:33:20.044806	104307	627	3	2
2014-03-30 16:33:20.276252	104308	1134362.7685924547	4	2
2014-03-30 16:33:20.579364	104309	45	2	10
2014-03-30 16:33:20.802566	104310	19.7	1	10
2014-03-30 16:33:28.923007	104311	51	2	9
2014-03-30 16:33:29.154763	104312	19.5	1	9
2014-03-30 16:33:29.991024	104313	49	2	8
2014-03-30 16:33:30.212626	104314	19.3	1	8
2014-03-30 16:33:32.046922	104315	579	3	2
2014-03-30 16:33:32.289074	104316	1134363.9176271763	4	2
2014-03-30 16:33:41.52181	104317	52	2	1
2014-03-30 16:33:41.747434	104318	19.1	1	1
2014-03-30 16:33:44.045243	104319	595	3	2
2014-03-30 16:33:44.27545	104320	1134366.2156966191	4	2
2014-03-30 16:33:59.328818	104321	45	2	10
2014-03-30 16:33:59.551157	104322	19.7	1	10
2014-03-30 16:34:07.920733	104323	51	2	9
2014-03-30 16:34:08.151313	104324	19.5	1	9
2014-03-30 16:34:08.992589	104325	49	2	8
2014-03-30 16:34:09.213027	104326	19.3	1	8
2014-03-30 16:34:20.047691	104327	627	3	2
2014-03-30 16:34:20.279598	104328	1134371.9608702261	4	2
2014-03-30 16:34:20.583388	104329	52	2	1
2014-03-30 16:34:20.805508	104330	19.1	1	1
2014-03-30 16:34:32.046768	104331	595	3	2
2014-03-30 16:34:32.277668	104332	1134374.258939669	4	2
2014-03-30 16:34:38.32913	104333	46	2	10
2014-03-30 16:34:38.550272	104334	19.7	1	10
2014-03-30 16:34:44.052668	104335	611	3	2
2014-03-30 16:34:44.2851	104336	1134376.5570091119	4	2
2014-03-30 16:34:46.918237	104337	51	2	9
2014-03-30 16:34:47.140645	104338	19.5	1	9
2014-03-30 16:34:47.991055	104339	49	2	8
2014-03-30 16:34:48.225383	104340	19.3	1	8
2014-03-30 16:34:59.521293	104341	52	2	1
2014-03-30 16:34:59.742474	104342	19.1	1	1
2014-03-30 16:35:08.044754	104343	579	3	2
2014-03-30 16:35:08.278652	104344	1134380.004113276	4	2
2014-03-30 16:35:17.329399	104345	46	2	10
2014-03-30 16:35:17.551549	104346	19.7	1	10
2014-03-30 16:35:20.045359	104347	611	3	2
2014-03-30 16:35:20.277521	104348	1134382.3021827189	4	2
2014-03-30 16:35:25.921623	104349	51	2	9
2014-03-30 16:35:26.14414	104350	19.5	1	9
2014-03-30 16:35:26.9906	104351	49	2	8
2014-03-30 16:35:27.223947	104352	19.3	1	8
2014-03-30 16:35:32.048127	104353	595	3	2
2014-03-30 16:35:32.275128	104354	1134384.6002521617	4	2
2014-03-30 16:35:38.5219	104355	52	2	1
2014-03-30 16:35:38.753704	104356	19.1	1	1
2014-03-30 16:35:44.049421	104357	547	3	2
2014-03-30 16:35:44.272336	104358	1134386.8983216046	4	2
2014-03-30 16:35:56.044886	104359	531	3	2
2014-03-30 16:35:56.280842	104360	1134388.047356326	4	2
2014-03-30 16:35:56.583869	104361	46	2	10
2014-03-30 16:35:56.805678	104362	19.8	1	10
2014-03-30 16:36:04.918835	104363	51	2	9
2014-03-30 16:36:05.163434	104364	19.5	1	9
2014-03-30 16:36:05.991698	104365	49	2	8
2014-03-30 16:36:06.213966	104366	19.3	1	8
2014-03-30 16:36:17.519246	104367	52	2	1
2014-03-30 16:36:17.749788	104368	19.1	1	1
2014-03-30 16:36:32.044163	104369	531	3	2
2014-03-30 16:36:32.266915	104370	1134393.7925299332	4	2
2014-03-30 16:36:35.330286	104371	46	2	10
2014-03-30 16:36:35.563383	104372	19.8	1	10
2014-03-30 16:36:43.923515	104373	51	2	9
2014-03-30 16:36:44.146128	104374	19.5	1	9
2014-03-30 16:36:45.198804	104375	49	2	8
2014-03-30 16:36:45.430565	104376	19.3	1	8
2014-03-30 16:36:56.044337	104377	482	3	2
2014-03-30 16:36:56.266788	104378	1134397.2396340973	4	2
2014-03-30 16:36:56.571336	104379	52	2	1
2014-03-30 16:36:56.802213	104380	19.1	1	1
2014-03-30 16:37:08.043582	104381	466	3	2
2014-03-30 16:37:08.266204	104382	1134398.3886688186	4	2
2014-03-30 16:37:14.329886	104383	46	2	10
2014-03-30 16:37:14.563045	104384	19.8	1	10
2014-03-30 16:37:22.921496	104385	51	2	9
2014-03-30 16:37:23.142555	104386	19.5	1	9
2014-03-30 16:37:24.197958	104387	49	2	8
2014-03-30 16:37:24.426774	104388	19.3	1	8
2014-03-30 16:37:32.044308	104389	466	3	2
2014-03-30 16:37:32.2667	104390	1134401.835772983	4	2
2014-03-30 16:37:35.518987	104391	52	2	1
2014-03-30 16:37:35.753392	104392	19.1	1	1
2014-03-30 16:37:44.043291	104393	531	3	2
2014-03-30 16:37:44.267175	104394	1134402.9848077043	4	2
2014-03-30 16:37:53.329141	104395	46	2	10
2014-03-30 16:37:53.560458	104396	19.8	1	10
2014-03-30 16:37:56.043787	104397	531	3	2
2014-03-30 16:37:56.263828	104398	1134405.2828771472	4	2
2014-03-30 16:38:01.920207	104399	51	2	9
2014-03-30 16:38:02.152971	104400	19.5	1	9
2014-03-30 16:38:02.992067	104401	49	2	8
2014-03-30 16:38:03.21318	104402	19.3	1	8
2014-03-30 16:38:14.520872	104403	52	2	1
2014-03-30 16:38:14.754338	104404	19.1	1	1
2014-03-30 16:38:20.04856	104405	627	3	2
2014-03-30 16:38:20.270707	104406	1134408.7299813114	4	2
2014-03-30 16:38:32.04571	104407	611	3	2
2014-03-30 16:38:32.277245	104408	1134411.0280507542	4	2
2014-03-30 16:38:32.580422	104409	46	2	10
2014-03-30 16:38:32.801429	104410	19.8	1	10
2014-03-30 16:38:40.920858	104411	51	2	9
2014-03-30 16:38:41.164435	104412	19.5	1	9
2014-03-30 16:38:41.992141	104413	49	2	8
2014-03-30 16:38:42.212145	104414	19.3	1	8
2014-03-30 16:38:44.0437	104415	498	3	2
2014-03-30 16:38:44.274265	104416	1134413.326120197	4	2
2014-03-30 16:38:53.517135	104417	52	2	1
2014-03-30 16:38:53.740114	104418	19.1	1	1
2014-03-30 16:38:56.045163	104419	466	3	2
2014-03-30 16:38:56.276143	104420	1134414.4751549186	4	2
2014-03-30 16:39:08.042507	104421	466	3	2
2014-03-30 16:39:08.263439	104422	1134415.62418964	4	2
2014-03-30 16:39:11.330443	104423	46	2	10
2014-03-30 16:39:11.562923	104424	19.8	1	10
2014-03-30 16:39:19.91483	104425	51	2	9
2014-03-30 16:39:20.136127	104426	19.5	1	9
2014-03-30 16:39:20.992965	104427	49	2	8
2014-03-30 16:39:21.223441	104428	19.3	1	8
2014-03-30 16:39:32.046637	104429	450	3	2
2014-03-30 16:39:32.267997	104430	1134419.071293804	4	2
2014-03-30 16:39:32.57216	104431	52	2	1
2014-03-30 16:39:32.802074	104432	19.1	1	1
2014-03-30 16:39:50.331421	104433	46	2	10
2014-03-30 16:39:50.55374	104434	19.8	1	10
2014-03-30 16:39:58.913846	104435	51	2	9
2014-03-30 16:39:59.145784	104436	19.5	1	9
2014-03-30 16:39:59.99071	104437	49	2	8
2014-03-30 16:40:00.213689	104438	19.3	1	8
2014-03-30 16:40:08.046281	104439	531	3	2
2014-03-30 16:40:08.277981	104440	1134423.6674326898	4	2
2014-03-30 16:40:11.518177	104441	52	2	1
2014-03-30 16:40:11.740759	104442	19.1	1	1
2014-03-30 16:40:20.044728	104443	515	3	2
2014-03-30 16:40:20.278072	104444	1134425.9655021327	4	2
2014-03-30 16:40:29.332114	104445	46	2	10
2014-03-30 16:40:29.554858	104446	19.8	1	10
2014-03-30 16:40:32.042673	104447	627	3	2
2014-03-30 16:40:32.277152	104448	1134427.114536854	4	2
2014-03-30 16:40:37.915527	104449	51	2	9
2014-03-30 16:40:38.138538	104450	19.5	1	9
2014-03-30 16:40:38.990427	104451	49	2	8
2014-03-30 16:40:39.224025	104452	19.3	1	8
2014-03-30 16:40:44.043366	104453	531	3	2
2014-03-30 16:40:44.265858	104454	1134429.4126062968	4	2
2014-03-30 16:40:50.518288	104455	52	2	1
2014-03-30 16:40:50.750351	104456	19.1	1	1
2014-03-30 16:40:56.047071	104457	498	3	2
2014-03-30 16:40:56.27177	104458	1134430.5616410184	4	2
2014-03-30 16:41:08.042964	104459	515	3	2
2014-03-30 16:41:08.288613	104460	1134432.8597104612	4	2
2014-03-30 16:41:08.59153	104461	46	2	10
2014-03-30 16:41:08.812812	104462	19.8	1	10
2014-03-30 16:41:16.913422	104463	51	2	9
2014-03-30 16:41:17.146383	104464	19.5	1	9
2014-03-30 16:41:17.991855	104465	49	2	8
2014-03-30 16:41:18.213625	104466	19.3	1	8
2014-03-30 16:41:29.5192	104467	52	2	1
2014-03-30 16:41:29.749089	104468	19.1	1	1
2014-03-30 16:41:32.043125	104469	515	3	2
2014-03-30 16:41:32.263832	104470	1134436.3068146254	4	2
2014-03-30 16:41:47.330595	104471	46	2	10
2014-03-30 16:41:47.563816	104472	19.8	1	10
2014-03-30 16:41:55.914123	104473	51	2	9
2014-03-30 16:41:56.137822	104474	19.5	1	9
2014-03-30 16:41:56.991665	104475	49	2	8
2014-03-30 16:41:57.221583	104476	19.3	1	8
2014-03-30 16:42:08.044854	104477	547	3	2
2014-03-30 16:42:08.266938	104478	1134440.902953511	4	2
2014-03-30 16:42:08.573286	104479	52	2	1
2014-03-30 16:42:08.805106	104480	19.1	1	1
2014-03-30 16:42:20.044004	104481	837	3	2
2014-03-30 16:42:20.265613	104482	1134443.201022954	4	2
2014-03-30 16:42:26.332964	104483	46	2	10
2014-03-30 16:42:26.566283	104484	19.8	1	10
2014-03-30 16:42:32.048206	104485	547	3	2
2014-03-30 16:42:32.26939	104486	1134445.4990923968	4	2
2014-03-30 16:42:34.914406	104487	51	2	9
2014-03-30 16:42:35.146656	104488	19.5	1	9
2014-03-30 16:42:35.992734	104489	49	2	8
2014-03-30 16:42:36.214957	104490	19.3	1	8
2014-03-30 16:42:44.043951	104491	579	3	2
2014-03-30 16:42:44.275721	104492	1134447.7971618394	4	2
2014-03-30 16:42:47.516559	104493	52	2	1
2014-03-30 16:42:47.739731	104494	19.1	1	1
2014-03-30 16:42:56.043766	104495	547	3	2
2014-03-30 16:42:56.275439	104496	1134448.946196561	4	2
2014-03-30 16:43:05.333227	104497	46	2	10
2014-03-30 16:43:05.557633	104498	19.8	1	10
2014-03-30 16:43:08.042746	104499	708	3	2
2014-03-30 16:43:08.274657	104500	1134451.2442660038	4	2
2014-03-30 16:43:13.914121	104501	51	2	9
2014-03-30 16:43:14.1571	104502	19.5	1	9
2014-03-30 16:43:14.992203	104503	49	2	8
2014-03-30 16:43:15.225062	104504	19.3	1	8
2014-03-30 16:43:20.047	104505	579	3	2
2014-03-30 16:43:20.268321	104506	1134453.5423354467	4	2
2014-03-30 16:43:26.517306	104507	52	2	1
2014-03-30 16:43:26.766632	104508	19.1	1	1
2014-03-30 16:43:32.051654	104509	579	3	2
2014-03-30 16:43:32.274596	104510	1134455.8404048895	4	2
2014-03-30 16:43:44.331154	104511	46	2	10
2014-03-30 16:43:44.562965	104512	19.8	1	10
2014-03-30 16:43:52.914209	104513	51	2	9
2014-03-30 16:43:53.136639	104514	19.5	1	9
2014-03-30 16:43:53.991932	104515	49	2	8
2014-03-30 16:43:54.220889	104516	19.3	1	8
2014-03-30 16:43:56.04507	104517	820	3	2
2014-03-30 16:43:56.266998	104518	1134459.2875090537	4	2
2014-03-30 16:44:05.518108	104519	52	2	1
2014-03-30 16:44:05.751198	104520	19.1	1	1
2014-03-30 16:44:08.044944	104521	595	3	2
2014-03-30 16:44:08.266588	104522	1134461.5855784966	4	2
2014-03-30 16:44:20.044057	104523	531	3	2
2014-03-30 16:44:20.276455	104524	1134463.8836479394	4	2
2014-03-30 16:44:23.332418	104525	46	2	10
2014-03-30 16:44:23.55544	104526	19.8	1	10
2014-03-30 16:44:31.904572	104527	51	2	9
2014-03-30 16:44:32.136981	104528	19.5	1	9
2014-03-30 16:44:32.99415	104529	49	2	8
2014-03-30 16:44:33.21509	104530	19.3	1	8
2014-03-30 16:44:44.045971	104531	659	3	2
2014-03-30 16:44:44.278963	104532	1134468.479786825	4	2
2014-03-30 16:44:44.583291	104533	52	2	1
2014-03-30 16:44:44.805072	104534	19.1	1	1
2014-03-30 16:44:56.046696	104535	643	3	2
2014-03-30 16:44:56.280992	104536	1134470.7778562678	4	2
2014-03-30 16:45:02.332722	104537	46	2	10
2014-03-30 16:45:02.555384	104538	19.8	1	10
2014-03-30 16:45:10.91436	104539	51	2	9
2014-03-30 16:45:11.147949	104540	19.5	1	9
2014-03-30 16:45:11.994359	104541	49	2	8
2014-03-30 16:45:12.217422	104542	19.3	1	8
2014-03-30 16:45:23.517456	104543	52	2	1
2014-03-30 16:45:23.752401	104544	19.1	1	1
2014-03-30 16:45:32.043878	104545	643	3	2
2014-03-30 16:45:32.267717	104546	1134476.523029875	4	2
2014-03-30 16:45:41.332431	104547	46	2	10
2014-03-30 16:45:41.564212	104548	19.8	1	10
2014-03-30 16:45:44.04352	104549	595	3	2
2014-03-30 16:45:44.266851	104550	1134478.8210993176	4	2
2014-03-30 16:45:49.914681	104551	51	2	9
2014-03-30 16:45:50.147515	104552	19.5	1	9
2014-03-30 16:45:50.992447	104553	49	2	8
2014-03-30 16:45:51.216259	104554	19.3	1	8
2014-03-30 16:45:56.048551	104555	547	3	2
2014-03-30 16:45:56.292099	104556	1134481.1191687605	4	2
2014-03-30 16:46:02.513654	104557	52	2	1
2014-03-30 16:46:02.736073	104558	19.1	1	1
2014-03-30 16:46:08.055452	104559	482	3	2
2014-03-30 16:46:08.324022	104560	1134482.268203482	4	2
2014-03-30 16:46:20.042984	104561	515	3	2
2014-03-30 16:46:20.296384	104562	1134483.4172382033	4	2
2014-03-30 16:46:20.636594	104563	46	2	10
2014-03-30 16:46:21.055574	104564	19.8	1	10
2014-03-30 16:46:28.913147	104565	51	2	9
2014-03-30 16:46:29.166472	104566	19.5	1	9
2014-03-30 16:46:29.992235	104567	49	2	8
2014-03-30 16:46:30.25516	104568	19.3	1	8
2014-03-30 16:46:32.044914	104569	498	3	2
2014-03-30 16:46:32.299854	104570	1134485.7153076462	4	2
2014-03-30 16:46:41.514516	104571	52	2	1
2014-03-30 16:46:41.744178	104572	19.1	1	1
2014-03-30 16:46:59.334658	104573	46	2	10
2014-03-30 16:46:59.555939	104574	19.8	1	10
2014-03-30 16:47:07.914046	104575	51	2	9
2014-03-30 16:47:08.145368	104576	19.5	1	9
2014-03-30 16:47:08.991465	104577	49	2	8
2014-03-30 16:47:09.210478	104578	19.3	1	8
2014-03-30 16:47:20.514873	104579	52	2	1
2014-03-30 16:47:20.746839	104580	19.1	1	1
2014-03-30 16:47:32.04693	104581	466	3	2
2014-03-30 16:47:32.268544	104582	1134493.758550696	4	2
2014-03-30 16:47:38.33193	104583	46	2	10
2014-03-30 16:47:38.568438	104584	19.8	1	10
2014-03-30 16:47:44.045992	104585	531	3	2
2014-03-30 16:47:44.266529	104586	1134496.056620139	4	2
2014-03-30 16:47:46.91368	104587	51	2	9
2014-03-30 16:47:47.145982	104588	19.5	1	9
2014-03-30 16:47:47.992374	104589	49	2	8
2014-03-30 16:47:48.213754	104590	19.3	1	8
2014-03-30 16:47:56.043584	104591	466	3	2
2014-03-30 16:47:56.274766	104592	1134497.2056548605	4	2
2014-03-30 16:47:59.514093	104593	52	2	1
2014-03-30 16:47:59.736013	104594	19.1	1	1
2014-03-30 16:48:08.044081	104595	466	3	2
2014-03-30 16:48:08.277163	104596	1134499.5037243033	4	2
2014-03-30 16:48:17.33405	104597	46	2	10
2014-03-30 16:48:17.556468	104598	19.8	1	10
2014-03-30 16:48:25.912984	104599	51	2	9
2014-03-30 16:48:26.147335	104600	19.5	1	9
2014-03-30 16:48:26.992536	104601	49	2	8
2014-03-30 16:48:27.215408	104602	19.3	1	8
2014-03-30 16:48:32.048639	104603	466	3	2
2014-03-30 16:48:32.294356	104604	1134502.9508284675	4	2
2014-03-30 16:48:38.514867	104605	52	2	1
2014-03-30 16:48:38.739523	104606	19.1	1	1
2014-03-30 16:48:44.04817	104607	547	3	2
2014-03-30 16:48:44.279922	104608	1134504.0998631888	4	2
2014-03-30 16:48:56.044526	104609	466	3	2
2014-03-30 16:48:56.266904	104610	1134506.3979326317	4	2
2014-03-30 16:48:56.572041	104611	46	2	10
2014-03-30 16:48:56.805631	104612	19.8	1	10
2014-03-30 16:49:04.913924	104613	51	2	9
2014-03-30 16:49:05.138514	104614	19.5	1	9
2014-03-30 16:49:05.992919	104615	49	2	8
2014-03-30 16:49:06.223483	104616	19.3	1	8
2014-03-30 16:49:08.043738	104617	531	3	2
2014-03-30 16:49:08.266379	104618	1134507.5469673532	4	2
2014-03-30 16:49:17.513822	104619	52	2	1
2014-03-30 16:49:17.744456	104620	19.1	1	1
2014-03-30 16:49:20.044963	104621	515	3	2
2014-03-30 16:49:20.267499	104622	1134509.845036796	4	2
2014-03-30 16:49:32.043123	104623	627	3	2
2014-03-30 16:49:32.274831	104624	1134510.9940715174	4	2
2014-03-30 16:49:35.333365	104625	46	2	10
2014-03-30 16:49:35.556341	104626	19.8	1	10
2014-03-30 16:49:43.903072	104627	51	2	9
2014-03-30 16:49:44.136107	104628	19.5	1	9
2014-03-30 16:49:44.992408	104629	49	2	8
2014-03-30 16:49:45.214377	104630	19.3	1	8
2014-03-30 16:49:56.513604	104631	52	2	1
2014-03-30 16:49:56.744252	104632	19.1	1	1
2014-03-30 16:50:14.334348	104633	46	2	10
2014-03-30 16:50:14.558079	104634	19.8	1	10
2014-03-30 16:50:22.914503	104635	51	2	9
2014-03-30 16:50:23.148602	104636	19.5	1	9
2014-03-30 16:50:23.994255	104637	49	2	8
2014-03-30 16:50:24.21523	104638	19.3	1	8
2014-03-30 16:50:32.046203	104639	643	3	2
2014-03-30 16:50:32.280023	104640	1134521.33538401	4	2
2014-03-30 16:50:35.513038	104641	52	2	1
2014-03-30 16:50:35.735592	104642	19.1	1	1
2014-03-30 16:50:53.334826	104643	46	2	10
2014-03-30 16:50:53.568515	104644	19.8	1	10
2014-03-30 16:51:01.912746	104645	51	2	9
2014-03-30 16:51:02.13905	104646	19.5	1	9
2014-03-30 16:51:02.991518	104647	49	2	8
2014-03-30 16:51:03.225046	104648	19.3	1	8
2014-03-30 16:51:14.51271	104649	52	2	1
2014-03-30 16:51:14.735825	104650	19.1	1	1
2014-03-30 16:51:32.043015	104651	724	3	2
2014-03-30 16:51:32.289194	104652	1134529.3830980123	4	2
2014-03-30 16:51:32.592321	104653	46	2	10
2014-03-30 16:51:32.814013	104654	19.8	1	10
2014-03-30 16:51:40.915324	104655	51	2	9
2014-03-30 16:51:41.334789	104656	19.5	1	9
2014-03-30 16:51:41.993321	104657	49	2	8
2014-03-30 16:51:42.224331	104658	19.3	1	8
2014-03-30 16:51:44.044553	104659	708	3	2
2014-03-30 16:51:44.268802	104660	1134531.6811674552	4	2
2014-03-30 16:51:53.512208	104661	52	2	1
2014-03-30 16:51:53.744046	104662	19.1	1	1
2014-03-30 16:52:11.337252	104663	46	2	10
2014-03-30 16:52:11.560008	104664	19.8	1	10
2014-03-30 16:52:19.913885	104665	51	2	9
2014-03-30 16:52:20.146068	104666	19.5	1	9
2014-03-30 16:52:20.992015	104667	49	2	8
2014-03-30 16:52:21.214802	104668	19.3	1	8
2014-03-30 16:52:32.048885	104669	595	3	2
2014-03-30 16:52:32.282929	104670	1134539.724410505	4	2
2014-03-30 16:52:32.590546	104671	52	2	1
2014-03-30 16:52:32.813367	104672	19.1	1	1
2014-03-30 16:52:44.045458	104673	611	3	2
2014-03-30 16:52:44.281436	104674	1134542.022479948	4	2
2014-03-30 16:52:50.335773	104675	46	2	10
2014-03-30 16:52:50.562737	104676	19.8	1	10
2014-03-30 16:52:56.049713	104677	676	3	2
2014-03-30 16:52:56.283228	104678	1134544.3205493905	4	2
2014-03-30 16:52:58.91589	104679	51	2	9
2014-03-30 16:52:59.137106	104680	19.5	1	9
2014-03-30 16:52:59.991824	104681	49	2	8
2014-03-30 16:53:00.224018	104682	19.3	1	8
2014-03-30 16:53:08.04431	104683	885	3	2
2014-03-30 16:53:08.265931	104684	1134547.767653555	4	2
2014-03-30 16:53:11.513493	104685	52	2	1
2014-03-30 16:53:11.747156	104686	19.1	1	1
2014-03-30 16:53:20.045393	104687	659	3	2
2014-03-30 16:53:20.267681	104688	1134550.0657229978	4	2
2014-03-30 16:53:29.335641	104689	46	2	10
2014-03-30 16:53:29.569422	104690	19.8	1	10
2014-03-30 16:53:32.043457	104691	627	3	2
2014-03-30 16:53:32.265582	104692	1134552.3637924406	4	2
2014-03-30 16:53:37.916268	104693	51	2	9
2014-03-30 16:53:38.149593	104694	19.5	1	9
2014-03-30 16:53:38.992165	104695	49	2	8
2014-03-30 16:53:39.21445	104696	19.3	1	8
2014-03-30 16:53:44.042804	104697	627	3	2
2014-03-30 16:53:44.275986	104698	1134553.512827162	4	2
2014-03-30 16:53:50.511765	104699	52	2	1
2014-03-30 16:53:50.736844	104700	19.1	1	1
2014-03-30 16:54:08.33602	104701	46	2	10
2014-03-30 16:54:08.578591	104702	19.8	1	10
2014-03-30 16:54:16.915503	104703	51	2	9
2014-03-30 16:54:17.139615	104704	19.5	1	9
2014-03-30 16:54:17.991849	104705	49	2	8
2014-03-30 16:54:18.225169	104706	19.3	1	8
2014-03-30 16:54:20.046818	104707	579	3	2
2014-03-30 16:54:20.268199	104708	1134560.4070354905	4	2
2014-03-30 16:54:29.512092	104709	52	2	1
2014-03-30 16:54:29.746547	104710	19.1	1	1
2014-03-30 16:54:32.041936	104711	659	3	2
2014-03-30 16:54:32.263085	104712	1134562.7051049334	4	2
2014-03-30 16:54:44.044299	104713	676	3	2
2014-03-30 16:54:44.277472	104714	1134565.0031743762	4	2
2014-03-30 16:54:47.334806	104715	46	2	10
2014-03-30 16:54:47.556879	104716	19.7	1	10
2014-03-30 16:54:55.901575	104717	51	2	9
2014-03-30 16:54:56.134938	104718	19.5	1	9
2014-03-30 16:54:56.990723	104719	49	2	8
2014-03-30 16:54:57.212862	104720	19.3	1	8
2014-03-30 16:55:08.043999	104721	659	3	2
2014-03-30 16:55:08.276895	104722	1134569.5993132617	4	2
2014-03-30 16:55:08.581848	104723	52	2	1
2014-03-30 16:55:08.803209	104724	19.1	1	1
2014-03-30 16:55:20.043495	104725	659	3	2
2014-03-30 16:55:20.275358	104726	1134571.8973827045	4	2
2014-03-30 16:55:26.336905	104727	46	2	10
2014-03-30 16:55:26.558919	104728	19.7	1	10
2014-03-30 16:55:32.04959	104729	692	3	2
2014-03-30 16:55:32.282655	104730	1134574.1954521474	4	2
2014-03-30 16:55:34.914435	104731	51	2	9
2014-03-30 16:55:35.138124	104732	19.5	1	9
2014-03-30 16:55:35.994156	104733	49	2	8
2014-03-30 16:55:36.228147	104734	19.2	1	8
2014-03-30 16:55:44.045049	104735	708	3	2
2014-03-30 16:55:44.268127	104736	1134576.4935215903	4	2
2014-03-30 16:55:47.510712	104737	52	2	1
2014-03-30 16:55:47.743076	104738	19.1	1	1
2014-03-30 16:56:05.336952	104739	46	2	10
2014-03-30 16:56:05.563494	104740	19.7	1	10
2014-03-30 16:56:08.045462	104741	820	3	2
2014-03-30 16:56:08.280157	104742	1134581.089660476	4	2
2014-03-30 16:56:13.913293	104743	51	2	9
2014-03-30 16:56:14.137498	104744	19.4	1	9
2014-03-30 16:56:14.99141	104745	49	2	8
2014-03-30 16:56:15.225381	104746	19.2	1	8
2014-03-30 16:56:20.047684	104747	724	3	2
2014-03-30 16:56:20.273029	104748	1134583.3877299188	4	2
2014-03-30 16:56:26.510138	104749	52	2	1
2014-03-30 16:56:26.754378	104750	19.1	1	1
2014-03-30 16:56:32.045629	104751	676	3	2
2014-03-30 16:56:32.270291	104752	1134585.6857993617	4	2
2014-03-30 16:56:44.044515	104753	676	3	2
2014-03-30 16:56:44.279424	104754	1134587.9838688043	4	2
2014-03-30 16:56:44.585906	104755	46	2	10
2014-03-30 16:56:44.809432	104756	19.7	1	10
2014-03-30 16:56:52.914378	104757	51	2	9
2014-03-30 16:56:53.14693	104758	19.4	1	9
2014-03-30 16:56:53.992129	104759	49	2	8
2014-03-30 16:56:54.215754	104760	19.2	1	8
2014-03-30 16:56:56.044858	104761	643	3	2
2014-03-30 16:56:56.278841	104762	1134590.2819382471	4	2
2014-03-30 16:57:05.51017	104763	52	2	1
2014-03-30 16:57:05.734027	104764	19.1	1	1
2014-03-30 16:57:08.050069	104765	676	3	2
2014-03-30 16:57:08.283453	104766	1134592.58000769	4	2
2014-03-30 16:57:20.043243	104767	531	3	2
2014-03-30 16:57:20.268467	104768	1134594.8780771329	4	2
2014-03-30 16:57:23.339617	104769	46	2	10
2014-03-30 16:57:23.573745	104770	19.7	1	10
2014-03-30 16:57:31.902593	104771	51	2	9
2014-03-30 16:57:32.124896	104772	19.4	1	9
2014-03-30 16:57:32.991082	104773	49	2	8
2014-03-30 16:57:33.222068	104774	19.2	1	8
2014-03-30 16:57:44.041968	104775	643	3	2
2014-03-30 16:57:44.273178	104776	1134598.325181297	4	2
2014-03-30 16:57:44.582515	104777	52	2	1
2014-03-30 16:57:44.814816	104778	19.1	1	1
2014-03-30 16:57:56.044422	104779	611	3	2
2014-03-30 16:57:56.265962	104780	1134600.6232507399	4	2
2014-03-30 16:58:02.337845	104781	46	2	10
2014-03-30 16:58:02.573361	104782	19.7	1	10
2014-03-30 16:58:08.048997	104783	659	3	2
2014-03-30 16:58:08.272175	104784	1134602.9213201827	4	2
2014-03-30 16:58:10.915502	104785	51	2	9
2014-03-30 16:58:11.146543	104786	19.4	1	9
2014-03-30 16:58:11.992322	104787	49	2	8
2014-03-30 16:58:12.214291	104788	19.2	1	8
2014-03-30 16:58:20.045235	104789	643	3	2
2014-03-30 16:58:20.276518	104790	1134605.2193896256	4	2
2014-03-30 16:58:23.508128	104791	52	2	1
2014-03-30 16:58:23.732995	104792	19.1	1	1
2014-03-30 16:58:32.044813	104793	659	3	2
2014-03-30 16:58:32.277624	104794	1134607.5174590684	4	2
2014-03-30 16:58:41.337371	104795	46	2	10
2014-03-30 16:58:41.563662	104796	19.7	1	10
2014-03-30 16:58:49.913763	104797	51	2	9
2014-03-30 16:58:50.157269	104798	19.4	1	9
2014-03-30 16:58:50.991245	104799	49	2	8
2014-03-30 16:58:51.213014	104800	19.2	1	8
2014-03-30 16:59:02.507822	104801	52	2	1
2014-03-30 16:59:02.742938	104802	19.1	1	1
2014-03-30 16:59:20.336104	104803	46	2	10
2014-03-30 16:59:20.557991	104804	19.8	1	10
2014-03-30 16:59:28.913312	104805	51	2	9
2014-03-30 16:59:29.14582	104806	19.4	1	9
2014-03-30 16:59:29.990952	104807	49	2	8
2014-03-30 16:59:30.212148	104808	19.2	1	8
2014-03-30 16:59:32.044788	104809	643	3	2
2014-03-30 16:59:32.280674	104810	1134617.8587715612	4	2
2014-03-30 16:59:41.508088	104811	52	2	1
2014-03-30 16:59:41.732403	104812	19.1	1	1
2014-03-30 16:59:44.043028	104813	595	3	2
2014-03-30 16:59:44.275127	104814	1134620.156841004	4	2
2014-03-30 16:59:56.042291	104815	659	3	2
2014-03-30 16:59:56.264185	104816	1134622.454910447	4	2
2014-03-30 16:59:59.337534	104817	46	2	10
2014-03-30 16:59:59.569187	104818	19.7	1	10
2014-03-30 17:00:07.904019	104819	51	2	9
2014-03-30 17:00:08.125816	104820	19.4	1	9
2014-03-30 17:00:08.99141	104821	49	2	8
2014-03-30 17:00:09.222758	104822	19.2	1	8
2014-03-30 17:00:20.043371	104823	643	3	2
2014-03-30 17:00:20.26613	104824	1134625.902014611	4	2
2014-03-30 17:00:20.570905	104825	52	2	1
2014-03-30 17:00:20.803331	104826	19.1	1	1
2014-03-30 17:00:32.045481	104827	579	3	2
2014-03-30 17:00:32.268304	104828	1134628.200084054	4	2
2014-03-30 17:00:38.338693	104829	46	2	10
2014-03-30 17:00:38.569137	104830	19.7	1	10
2014-03-30 17:00:44.04334	104831	579	3	2
2014-03-30 17:00:44.266865	104832	1134630.4981534968	4	2
2014-03-30 17:00:46.915699	104833	51	2	9
2014-03-30 17:00:47.147454	104834	19.4	1	9
2014-03-30 17:00:47.994353	104835	49	2	8
2014-03-30 17:00:48.215883	104836	19.2	1	8
2014-03-30 17:00:59.505265	104837	52	2	1
2014-03-30 17:00:59.738685	104838	19.1	1	1
2014-03-30 17:01:17.336945	104839	46	2	10
2014-03-30 17:01:17.561061	104840	19.7	1	10
2014-03-30 17:01:25.91482	104841	51	2	9
2014-03-30 17:01:26.149453	104842	19.4	1	9
2014-03-30 17:01:26.99457	104843	49	2	8
2014-03-30 17:01:27.218048	104844	19.2	1	8
2014-03-30 17:01:32.048269	104845	595	3	2
2014-03-30 17:01:32.292229	104846	1134638.5413965466	4	2
2014-03-30 17:01:38.504857	104847	52	2	1
2014-03-30 17:01:38.726879	104848	19.1	1	1
2014-03-30 17:01:56.041693	104849	643	3	2
2014-03-30 17:01:56.276618	104850	1134643.1375354324	4	2
2014-03-30 17:01:56.580182	104851	46	2	10
2014-03-30 17:01:56.801803	104852	19.7	1	10
2014-03-30 17:02:04.972123	104853	51	2	9
2014-03-30 17:02:05.206378	104854	19.4	1	9
2014-03-30 17:02:05.992519	104855	49	2	8
2014-03-30 17:02:06.216203	104856	19.2	1	8
2014-03-30 17:02:08.043283	104857	643	3	2
2014-03-30 17:02:08.276855	104858	1134645.4356048752	4	2
2014-03-30 17:02:17.505663	104859	52	2	1
2014-03-30 17:02:17.727128	104860	19.1	1	1
2014-03-30 17:02:32.043026	104861	643	3	2
2014-03-30 17:02:32.277296	104862	1134650.0317437607	4	2
2014-03-30 17:02:35.339863	104863	46	2	10
2014-03-30 17:02:35.559702	104864	19.7	1	10
2014-03-30 17:02:43.914085	104865	51	2	9
2014-03-30 17:02:44.146847	104866	19.4	1	9
2014-03-30 17:02:44.990654	104867	49	2	8
2014-03-30 17:02:45.21091	104868	19.2	1	8
2014-03-30 17:02:56.50601	104869	52	2	1
2014-03-30 17:02:56.738246	104870	19.1	1	1
2014-03-30 17:03:14.338239	104871	46	2	10
2014-03-30 17:03:14.560007	104872	19.7	1	10
2014-03-30 17:03:22.914565	104873	51	2	9
2014-03-30 17:03:23.14724	104874	19.4	1	9
2014-03-30 17:03:23.990394	104875	49	2	8
2014-03-30 17:03:24.211635	104876	19.2	1	8
2014-03-30 17:03:32.043022	104877	659	3	2
2014-03-30 17:03:32.277003	104878	1134662.6711256963	4	2
2014-03-30 17:03:35.508568	104879	52	2	1
2014-03-30 17:03:35.729992	104880	19.1	1	1
2014-03-30 17:03:53.338122	104881	46	2	10
2014-03-30 17:03:53.571601	104882	19.7	1	10
2014-03-30 17:04:01.915719	104883	51	2	9
2014-03-30 17:04:02.136885	104884	19.4	1	9
2014-03-30 17:04:02.991988	104885	49	2	8
2014-03-30 17:04:03.224136	104886	19.2	1	8
2014-03-30 17:04:14.505726	104887	52	2	1
2014-03-30 17:04:14.729352	104888	19.1	1	1
2014-03-30 17:04:20.046067	104889	820	3	2
2014-03-30 17:04:20.277506	104890	1134673.012438189	4	2
2014-03-30 17:04:32.043795	104891	837	3	2
2014-03-30 17:04:32.265435	104892	1134675.3105076319	4	2
2014-03-30 17:04:32.569448	104893	46	2	10
2014-03-30 17:04:32.814659	104894	19.7	1	10
2014-03-30 17:04:40.914446	104895	51	2	9
2014-03-30 17:04:41.137401	104896	19.4	1	9
2014-03-30 17:04:41.990297	104897	49	2	8
2014-03-30 17:04:42.221786	104898	19.2	1	8
2014-03-30 17:04:53.503632	104899	52	2	1
2014-03-30 17:04:53.739973	104900	19.1	1	1
2014-03-30 17:04:56.043994	104901	804	3	2
2014-03-30 17:04:56.275745	104902	1134681.055681239	4	2
2014-03-30 17:05:08.043803	104903	724	3	2
2014-03-30 17:05:08.267596	104904	1134683.3537506817	4	2
2014-03-30 17:05:11.337767	104905	46	2	10
2014-03-30 17:05:11.570777	104906	19.7	1	10
2014-03-30 17:05:19.899852	104907	51	2	9
2014-03-30 17:05:20.124429	104908	19.4	1	9
2014-03-30 17:05:20.992207	104909	49	2	8
2014-03-30 17:05:21.224507	104910	19.2	1	8
2014-03-30 17:05:32.044362	104911	676	3	2
2014-03-30 17:05:32.268636	104912	1134687.9498895674	4	2
2014-03-30 17:05:32.574038	104913	52	2	1
2014-03-30 17:05:32.808813	104914	19.1	1	1
2014-03-30 17:05:44.042301	104915	708	3	2
2014-03-30 17:05:44.266866	104916	1134690.2479590103	4	2
2014-03-30 17:05:50.340086	104917	46	2	10
2014-03-30 17:05:50.572825	104918	19.7	1	10
2014-03-30 17:05:56.048555	104919	659	3	2
2014-03-30 17:05:56.271621	104920	1134692.5460284532	4	2
2014-03-30 17:05:58.915358	104921	51	2	9
2014-03-30 17:05:59.1473	104922	19.4	1	9
2014-03-30 17:05:59.993156	104923	49	2	8
2014-03-30 17:06:00.216496	104924	19.2	1	8
2014-03-30 17:06:08.044974	104925	659	3	2
2014-03-30 17:06:08.280569	104926	1134694.844097896	4	2
2014-03-30 17:06:11.50436	104927	52	2	1
2014-03-30 17:06:11.726796	104928	19.1	1	1
2014-03-30 17:06:29.339685	104929	46	2	10
2014-03-30 17:06:29.570878	104930	19.7	1	10
2014-03-30 17:06:32.046242	104931	643	3	2
2014-03-30 17:06:32.268464	104932	1134699.4402367817	4	2
2014-03-30 17:06:37.914853	104933	51	2	9
2014-03-30 17:06:38.149143	104934	19.4	1	9
2014-03-30 17:06:38.993718	104935	49	2	8
2014-03-30 17:06:39.215994	104936	19.2	1	8
2014-03-30 17:06:50.503486	104937	52	2	1
2014-03-30 17:06:50.734734	104938	19.1	1	1
2014-03-30 17:06:56.047838	104939	804	3	2
2014-03-30 17:06:56.272312	104940	1134704.0363756672	4	2
2014-03-30 17:07:08.042263	104941	659	3	2
2014-03-30 17:07:08.288192	104942	1134706.33444511	4	2
2014-03-30 17:07:08.590149	104943	46	2	10
2014-03-30 17:07:08.814248	104944	19.7	1	10
2014-03-30 17:07:16.915502	104945	51	2	9
2014-03-30 17:07:17.150225	104946	19.4	1	9
2014-03-30 17:07:17.992467	104947	49	2	8
2014-03-30 17:07:18.214814	104948	19.2	1	8
2014-03-30 17:07:20.042529	104949	643	3	2
2014-03-30 17:07:20.274948	104950	1134708.632514553	4	2
2014-03-30 17:07:29.502245	104951	52	2	1
2014-03-30 17:07:29.723517	104952	19.1	1	1
2014-03-30 17:07:32.042519	104953	692	3	2
2014-03-30 17:07:32.276428	104954	1134710.9305839958	4	2
2014-03-30 17:07:44.0421	104955	724	3	2
2014-03-30 17:07:44.267387	104956	1134713.2286534386	4	2
2014-03-30 17:07:47.339182	104957	46	2	10
2014-03-30 17:07:47.571086	104958	19.7	1	10
2014-03-30 17:07:55.900313	104959	51	2	9
2014-03-30 17:07:56.123176	104960	19.4	1	9
2014-03-30 17:07:56.991775	104961	49	2	8
2014-03-30 17:07:57.223216	104962	19.2	1	8
2014-03-30 17:08:08.04338	104963	837	3	2
2014-03-30 17:08:08.26742	104964	1134718.9738270456	4	2
2014-03-30 17:08:08.57165	104965	52	2	1
2014-03-30 17:08:08.804001	104966	19.1	1	1
2014-03-30 17:08:26.343792	104967	46	2	10
2014-03-30 17:08:26.567887	104968	19.7	1	10
2014-03-30 17:08:32.045333	104969	853	3	2
2014-03-30 17:08:32.278861	104970	1134724.7190006527	4	2
2014-03-30 17:08:34.912172	104971	51	2	9
2014-03-30 17:08:35.132998	104972	19.4	1	9
2014-03-30 17:08:35.992693	104973	49	2	8
2014-03-30 17:08:36.224781	104974	19.2	1	8
2014-03-30 17:08:47.504576	104975	52	2	1
2014-03-30 17:08:47.726768	104976	19.1	1	1
2014-03-30 17:09:05.338239	104977	46	2	10
2014-03-30 17:09:05.575005	104978	19.7	1	10
2014-03-30 17:09:08.042914	104979	676	3	2
2014-03-30 17:09:08.263234	104980	1134732.7622437028	4	2
2014-03-30 17:09:13.916934	104981	51	2	9
2014-03-30 17:09:14.150251	104982	19.4	1	9
2014-03-30 17:09:14.990755	104983	49	2	8
2014-03-30 17:09:15.213088	104984	19.2	1	8
2014-03-30 17:09:26.503369	104985	52	2	1
2014-03-30 17:09:26.736463	104986	19.1	1	1
2014-03-30 17:09:32.044636	104987	724	3	2
2014-03-30 17:09:32.265564	104988	1134737.3583825883	4	2
2014-03-30 17:09:44.043835	104989	869	3	2
2014-03-30 17:09:44.28799	104990	1134739.656452031	4	2
2014-03-30 17:09:44.59592	104991	46	2	10
2014-03-30 17:09:44.816194	104992	19.7	1	10
2014-03-30 17:09:52.913802	104993	51	2	9
2014-03-30 17:09:53.147075	104994	19.4	1	9
2014-03-30 17:09:53.991083	104995	49	2	8
2014-03-30 17:09:54.212534	104996	19.2	1	8
2014-03-30 17:09:56.044034	104997	901	3	2
2014-03-30 17:09:56.275925	104998	1134743.1035561955	4	2
2014-03-30 17:10:05.502681	104999	52	2	1
2014-03-30 17:10:05.727539	105000	19.1	1	1
2014-03-30 17:10:08.043485	105001	917	3	2
2014-03-30 17:10:08.274516	105002	1134746.5506603597	4	2
2014-03-30 17:10:20.044959	105003	981	3	2
2014-03-30 17:10:20.268518	105004	1134748.8487298025	4	2
2014-03-30 17:10:23.34151	105005	46	2	10
2014-03-30 17:10:23.574399	105006	19.7	1	10
2014-03-30 17:10:31.900405	105007	51	2	9
2014-03-30 17:10:32.123486	105008	19.4	1	9
2014-03-30 17:10:32.989482	105009	49	2	8
2014-03-30 17:10:33.220498	105010	19.2	1	8
2014-03-30 17:10:44.047355	105011	1078	3	2
2014-03-30 17:10:44.279357	105012	1134755.742938131	4	2
2014-03-30 17:10:44.586781	105013	52	2	1
2014-03-30 17:10:44.823889	105014	19.1	1	1
2014-03-30 17:10:56.039463	105015	1078	3	2
2014-03-30 17:10:56.264146	105016	1134759.1900422953	4	2
2014-03-30 17:11:02.339871	105017	46	2	10
2014-03-30 17:11:02.572369	105018	19.7	1	10
2014-03-30 17:11:10.923878	105019	51	2	9
2014-03-30 17:11:11.146102	105020	19.4	1	9
2014-03-30 17:11:11.990985	105021	49	2	8
2014-03-30 17:11:12.221897	105022	19.2	1	8
2014-03-30 17:11:23.502726	105023	52	2	1
2014-03-30 17:11:23.725258	105024	19.1	1	1
2014-03-30 17:11:32.043352	105025	1271	3	2
2014-03-30 17:11:32.274023	105026	1134771.8294242308	4	2
2014-03-30 17:11:41.340353	105027	46	2	10
2014-03-30 17:11:41.562737	105028	19.8	1	10
2014-03-30 17:11:44.042568	105029	1046	3	2
2014-03-30 17:11:44.275732	105030	1134775.276528395	4	2
2014-03-30 17:11:49.925585	105031	51	2	9
2014-03-30 17:11:50.153617	105032	19.4	1	9
2014-03-30 17:11:50.993275	105033	49	2	8
2014-03-30 17:11:51.224239	105034	19.2	1	8
2014-03-30 17:11:56.04419	105035	1094	3	2
2014-03-30 17:11:56.26704	105036	1134779.8726672807	4	2
2014-03-30 17:12:02.500658	105037	52	2	1
2014-03-30 17:12:02.742382	105038	19.1	1	1
2014-03-30 17:12:08.045639	105039	1078	3	2
2014-03-30 17:12:08.266905	105040	1134783.319771445	4	2
2014-03-30 17:12:20.045127	105041	837	3	2
2014-03-30 17:12:20.27819	105042	1134785.6178408877	4	2
2014-03-30 17:12:20.582177	105043	46	2	10
2014-03-30 17:12:20.804275	105044	19.7	1	10
2014-03-30 17:12:28.916186	105045	51	2	9
2014-03-30 17:12:29.150173	105046	19.4	1	9
2014-03-30 17:12:29.990331	105047	49	2	8
2014-03-30 17:12:30.212581	105048	19.2	1	8
2014-03-30 17:12:32.043741	105049	837	3	2
2014-03-30 17:12:32.279519	105050	1134789.064945052	4	2
2014-03-30 17:12:41.500578	105051	52	2	1
2014-03-30 17:12:41.724725	105052	19.1	1	1
2014-03-30 17:12:59.341535	105053	46	2	10
2014-03-30 17:12:59.576092	105054	19.7	1	10
2014-03-30 17:13:07.89929	105055	51	2	9
2014-03-30 17:13:08.120565	105056	19.4	1	9
2014-03-30 17:13:08.991268	105057	49	2	8
2014-03-30 17:13:09.224281	105058	19.2	1	8
2014-03-30 17:13:20.04148	105059	1062	3	2
2014-03-30 17:13:20.265395	105060	1134800.5552922662	4	2
2014-03-30 17:13:20.569513	105061	52	2	1
2014-03-30 17:13:20.804359	105062	19.1	1	1
2014-03-30 17:13:32.042922	105063	933	3	2
2014-03-30 17:13:32.268203	105064	1134804.0023964304	4	2
2014-03-30 17:13:38.343049	105065	46	2	10
2014-03-30 17:13:38.575268	105066	19.7	1	10
2014-03-30 17:13:44.045254	105067	1078	3	2
2014-03-30 17:13:44.267631	105068	1134807.4495005948	4	2
2014-03-30 17:13:46.916123	105069	51	2	9
2014-03-30 17:13:47.148638	105070	19.4	1	9
2014-03-30 17:13:47.990983	105071	49	2	8
2014-03-30 17:13:48.211115	105072	19.2	1	8
2014-03-30 17:13:56.043458	105073	1303	3	2
2014-03-30 17:13:56.277886	105074	1134810.896604759	4	2
2014-03-30 17:13:59.499281	105075	52	2	1
2014-03-30 17:13:59.718616	105076	19.1	1	1
2014-03-30 17:14:08.043826	105077	1223	3	2
2014-03-30 17:14:08.27723	105078	1134815.4927436446	4	2
2014-03-30 17:14:17.340672	105079	46	2	10
2014-03-30 17:14:17.56486	105080	19.7	1	10
2014-03-30 17:14:20.041845	105081	1255	3	2
2014-03-30 17:14:20.271617	105082	1134818.9398478088	4	2
2014-03-30 17:14:25.914874	105083	51	2	9
2014-03-30 17:14:26.138917	105084	19.4	1	9
2014-03-30 17:14:26.991236	105085	49	2	8
2014-03-30 17:14:27.232775	105086	19.2	1	8
2014-03-30 17:14:38.298683	105087	1352	3	2
2014-03-30 17:14:38.524339	105088	1134822.3914229253	4	2
2014-03-30 17:14:38.831657	105089	52	2	1
2014-03-30 17:14:39.064523	105090	19.1	1	1
2014-03-30 17:14:44.044464	105091	1287	3	2
2014-03-30 17:14:44.266906	105092	1134826.987561811	4	2
2014-03-30 17:14:56.044498	105093	1287	3	2
2014-03-30 17:14:56.275683	105094	1134831.5837006967	4	2
2014-03-30 17:14:56.581627	105095	46	2	10
2014-03-30 17:14:56.804007	105096	19.7	1	10
2014-03-30 17:15:04.916602	105097	51	2	9
2014-03-30 17:15:05.149206	105098	19.4	1	9
2014-03-30 17:15:05.990671	105099	49	2	8
2014-03-30 17:15:06.213447	105100	19.2	1	8
2014-03-30 17:15:17.49933	105101	52	2	1
2014-03-30 17:15:17.73348	105102	19.1	1	1
2014-03-30 17:15:20.045158	105103	981	3	2
2014-03-30 17:15:20.267124	105104	1134839.6269437466	4	2
2014-03-30 17:15:32.040646	105105	885	3	2
2014-03-30 17:15:32.271156	105106	1134843.0740479107	4	2
2014-03-30 17:15:35.341132	105107	46	2	10
2014-03-30 17:15:35.564461	105108	19.7	1	10
2014-03-30 17:15:44.992291	105109	49	2	8
2014-03-30 17:15:45.224182	105110	19.2	1	8
2014-03-30 17:15:56.48941	105111	52	2	1
2014-03-30 17:15:56.714698	105112	19.1	1	1
2014-03-30 17:16:08.041625	105113	837	3	2
2014-03-30 17:16:08.27341	105114	1134851.1172909606	4	2
2014-03-30 17:16:14.343288	105115	46	2	10
2014-03-30 17:16:14.566557	105116	19.7	1	10
2014-03-30 17:16:20.045245	105117	981	3	2
2014-03-30 17:16:20.27912	105118	1134854.5643951248	4	2
2014-03-30 17:16:23.990131	105119	49	2	8
2014-03-30 17:16:24.213012	105120	19.2	1	8
2014-03-30 17:16:32.044167	105121	901	3	2
2014-03-30 17:16:32.276071	105122	1134858.0114992892	4	2
2014-03-30 17:16:35.497304	105123	52	2	1
2014-03-30 17:16:35.718648	105124	19.0	1	1
2014-03-30 17:16:44.042093	105125	965	3	2
2014-03-30 17:16:44.273191	105126	1134860.309568732	4	2
2014-03-30 17:16:53.342799	105127	46	2	10
2014-03-30 17:16:53.567343	105128	19.7	1	10
2014-03-30 17:16:56.043197	105129	933	3	2
2014-03-30 17:16:56.274087	105130	1134863.7566728962	4	2
2014-03-30 17:17:02.993266	105131	49	2	8
2014-03-30 17:17:03.217206	105132	19.2	1	8
2014-03-30 17:17:08.042915	105133	1030	3	2
2014-03-30 17:17:08.284465	105134	1134867.2037770604	4	2
2014-03-30 17:17:14.498002	105135	52	2	1
2014-03-30 17:17:14.721147	105136	19.0	1	1
2014-03-30 17:17:20.047504	105137	1078	3	2
2014-03-30 17:17:20.278774	105138	1134870.6508812248	4	2
2014-03-30 17:17:32.044123	105139	1110	3	2
2014-03-30 17:17:32.268259	105140	1134874.097985389	4	2
2014-03-30 17:17:32.572186	105141	46	2	10
2014-03-30 17:17:32.80411	105142	19.7	1	10
2014-03-30 17:17:41.991567	105143	49	2	8
2014-03-30 17:17:42.216504	105144	19.2	1	8
2014-03-30 17:17:44.044235	105145	1078	3	2
2014-03-30 17:17:44.278613	105146	1134877.545089553	4	2
2014-03-30 17:17:53.497035	105147	52	2	1
2014-03-30 17:17:53.719272	105148	19.0	1	1
2014-03-30 17:17:56.04173	105149	1046	3	2
2014-03-30 17:17:56.273863	105150	1134880.9921937175	4	2
2014-03-30 17:18:08.041391	105151	1078	3	2
2014-03-30 17:18:08.265065	105152	1134884.4392978817	4	2
2014-03-30 17:18:11.342725	105153	46	2	10
2014-03-30 17:18:11.576204	105154	19.7	1	10
2014-03-30 17:18:20.992078	105155	49	2	8
2014-03-30 17:18:21.216834	105156	19.2	1	8
2014-03-30 17:18:32.043541	105157	1223	3	2
2014-03-30 17:18:32.274562	105158	1134892.4825409316	4	2
2014-03-30 17:18:32.578652	105159	52	2	1
2014-03-30 17:18:32.799807	105160	19.0	1	1
2014-03-30 17:18:44.043049	105161	1191	3	2
2014-03-30 17:18:44.278523	105162	1134897.0786798173	4	2
2014-03-30 17:18:50.345096	105163	46	2	10
2014-03-30 17:18:50.568125	105164	19.7	1	10
2014-03-30 17:18:56.045253	105165	1158	3	2
2014-03-30 17:18:56.277418	105166	1134900.5257839814	4	2
2014-03-30 17:18:59.991873	105167	49	2	8
2014-03-30 17:19:00.218749	105168	19.2	1	8
2014-03-30 17:19:08.041733	105169	1175	3	2
2014-03-30 17:19:08.274756	105170	1134905.1219228671	4	2
2014-03-30 17:19:11.49497	105171	52	2	1
2014-03-30 17:19:11.716613	105172	19.0	1	1
2014-03-30 17:19:29.343001	105173	46	2	10
2014-03-30 17:19:29.576552	105174	19.7	1	10
2014-03-30 17:19:32.04154	105175	1207	3	2
2014-03-30 17:19:32.264154	105176	1134912.0161311957	4	2
2014-03-30 17:19:38.992523	105177	49	2	8
2014-03-30 17:19:39.224157	105178	19.2	1	8
2014-03-30 17:19:44.044817	105179	1207	3	2
2014-03-30 17:19:44.26653	105180	1134916.6122700812	4	2
2014-03-30 17:19:50.494932	105181	52	2	1
2014-03-30 17:19:50.737201	105182	19.0	1	1
2014-03-30 17:19:56.04309	105183	1271	3	2
2014-03-30 17:19:56.267081	105184	1134921.208408967	4	2
2014-03-30 17:20:08.044182	105185	1271	3	2
2014-03-30 17:20:08.276596	105186	1134924.6555131313	4	2
2014-03-30 17:20:08.58597	105187	46	2	10
2014-03-30 17:20:08.806432	105188	19.7	1	10
2014-03-30 17:20:17.990672	105189	49	2	8
2014-03-30 17:20:18.220781	105190	19.2	1	8
2014-03-30 17:20:29.494414	105191	52	2	1
2014-03-30 17:20:29.717782	105192	19.0	1	1
2014-03-30 17:20:32.039677	105193	1464	3	2
2014-03-30 17:20:32.27071	105194	1134933.8477909025	4	2
2014-03-30 17:20:44.046426	105195	1464	3	2
2014-03-30 17:20:44.269138	105196	1134938.4439297882	4	2
2014-03-30 17:20:47.344293	105197	46	2	10
2014-03-30 17:20:47.573573	105198	19.8	1	10
2014-03-30 17:20:56.990777	105199	49	2	8
2014-03-30 17:20:57.215974	105200	19.2	1	8
2014-03-30 17:21:08.041239	105201	1432	3	2
2014-03-30 17:21:08.272684	105202	1134948.785242281	4	2
2014-03-30 17:21:08.579191	105203	52	2	1
2014-03-30 17:21:08.802405	105204	19.0	1	1
2014-03-30 17:21:20.042225	105205	1464	3	2
2014-03-30 17:21:20.274111	105206	1134953.3813811666	4	2
2014-03-30 17:21:26.345059	105207	46	2	10
2014-03-30 17:21:26.568757	105208	19.8	1	10
2014-03-30 17:21:32.044772	105209	1496	3	2
2014-03-30 17:21:32.277106	105210	1134957.9775200523	4	2
2014-03-30 17:21:35.991716	105211	49	2	8
2014-03-30 17:21:36.215987	105212	19.2	1	8
2014-03-30 17:21:44.045722	105213	1496	3	2
2014-03-30 17:21:44.276674	105214	1134963.7226936594	4	2
2014-03-30 17:21:47.494142	105215	52	2	1
2014-03-30 17:21:47.715753	105216	19.0	1	1
2014-03-30 17:21:56.04396	105217	1577	3	2
2014-03-30 17:21:56.277135	105218	1134968.318832545	4	2
2014-03-30 17:22:05.344464	105219	46	2	10
2014-03-30 17:22:05.623057	105220	19.8	1	10
2014-03-30 17:22:08.040208	105221	1062	3	2
2014-03-30 17:22:08.271311	105222	1134972.9149714306	4	2
2014-03-30 17:22:14.992001	105223	49	2	8
2014-03-30 17:22:15.21491	105224	19.2	1	8
2014-03-30 17:22:20.043639	105225	869	3	2
2014-03-30 17:22:20.281073	105226	1134976.362075595	4	2
2014-03-30 17:22:26.494305	105227	52	2	1
2014-03-30 17:22:26.716042	105228	19.0	1	1
2014-03-30 17:22:32.045719	105229	869	3	2
2014-03-30 17:22:32.288695	105230	1134978.6601450378	4	2
2014-03-30 17:22:44.343326	105231	46	2	10
2014-03-30 17:22:44.566348	105232	19.8	1	10
2014-03-30 17:22:53.990575	105233	49	2	8
2014-03-30 17:22:54.22403	105234	19.2	1	8
2014-03-30 17:22:56.042722	105235	837	3	2
2014-03-30 17:22:56.263274	105236	1134984.4053186448	4	2
2014-03-30 17:23:05.548275	105237	52	2	1
2014-03-30 17:23:05.780579	105238	19.0	1	1
2014-03-30 17:23:08.039465	105239	820	3	2
2014-03-30 17:23:08.261472	105240	1134986.7033880877	4	2
2014-03-30 17:23:23.343801	105241	46	2	10
2014-03-30 17:23:23.579273	105242	19.8	1	10
2014-03-30 17:23:32.991842	105243	49	2	8
2014-03-30 17:23:33.215621	105244	19.2	1	8
2014-03-30 17:23:44.041589	105245	853	3	2
2014-03-30 17:23:44.278155	105246	1134995.8956658589	4	2
2014-03-30 17:23:44.583517	105247	52	2	1
2014-03-30 17:23:44.80698	105248	19.1	1	1
2014-03-30 17:24:02.347923	105249	47	2	10
2014-03-30 17:24:02.581496	105250	19.8	1	10
2014-03-30 17:24:11.99122	105251	49	2	8
2014-03-30 17:24:12.212596	105252	19.2	1	8
2014-03-30 17:24:23.491826	105253	52	2	1
2014-03-30 17:24:23.72365	105254	19.1	1	1
2014-03-30 17:24:32.042988	105255	837	3	2
2014-03-30 17:24:32.26441	105256	1135006.2369783516	4	2
2014-03-30 17:24:41.347436	105257	47	2	10
2014-03-30 17:24:41.580912	105258	19.8	1	10
2014-03-30 17:24:50.991145	105259	49	2	8
2014-03-30 17:24:51.214277	105260	19.2	1	8
2014-03-30 17:25:02.494709	105261	52	2	1
2014-03-30 17:25:02.726752	105262	19.1	1	1
2014-03-30 17:25:20.344204	105263	47	2	10
2014-03-30 17:25:20.566611	105264	19.9	1	10
2014-03-30 17:25:29.98978	105265	49	2	8
2014-03-30 17:25:30.22323	105266	19.2	1	8
2014-03-30 17:25:32.040988	105267	837	3	2
2014-03-30 17:25:32.26164	105268	1135020.0253950087	4	2
2014-03-30 17:25:41.492444	105269	52	2	1
2014-03-30 17:25:41.725581	105270	19.1	1	1
2014-03-30 17:25:56.048262	105271	2012	3	2
2014-03-30 17:25:56.271539	105272	1135025.7705686158	4	2
2014-03-30 17:25:59.346287	105273	47	2	10
2014-03-30 17:25:59.577635	105274	19.9	1	10
2014-03-30 17:26:08.991361	105275	49	2	8
2014-03-30 17:26:09.212795	105276	19.2	1	8
2014-03-30 17:26:20.040491	105277	1963	3	2
2014-03-30 17:26:20.283578	105278	1135039.5589852727	4	2
2014-03-30 17:26:20.587442	105279	52	2	1
2014-03-30 17:26:20.814318	105280	19.1	1	1
2014-03-30 17:26:32.040687	105281	1995	3	2
2014-03-30 17:26:32.275163	105282	1135046.4531936012	4	2
2014-03-30 17:26:38.361241	105283	47	2	10
2014-03-30 17:26:38.585096	105284	19.9	1	10
2014-03-30 17:26:44.046381	105285	2012	3	2
2014-03-30 17:26:44.277637	105286	1135053.3474019298	4	2
2014-03-30 17:26:47.991558	105287	49	2	8
2014-03-30 17:26:48.214773	105288	19.2	1	8
2014-03-30 17:26:59.492816	105289	52	2	1
2014-03-30 17:26:59.727162	105290	19.1	1	1
2014-03-30 17:27:08.042205	105291	1883	3	2
2014-03-30 17:27:08.264901	105292	1135065.9867838651	4	2
2014-03-30 17:27:17.345819	105293	47	2	10
2014-03-30 17:27:17.578568	105294	19.9	1	10
2014-03-30 17:27:20.041607	105295	1931	3	2
2014-03-30 17:27:20.263562	105296	1135071.7319574724	4	2
2014-03-30 17:27:26.993016	105297	49	2	8
2014-03-30 17:27:27.224316	105298	19.3	1	8
2014-03-30 17:27:32.04202	105299	1963	3	2
2014-03-30 17:27:32.268298	105300	1135078.6261658007	4	2
2014-03-30 17:27:38.729727	105301	53	2	1
2014-03-30 17:27:38.96469	105302	19.2	1	1
2014-03-30 17:27:44.047925	105303	1979	3	2
2014-03-30 17:27:44.270447	105304	1135085.5203741293	4	2
2014-03-30 17:27:56.042685	105305	1883	3	2
2014-03-30 17:27:56.282473	105306	1135091.2655477363	4	2
2014-03-30 17:27:56.587092	105307	46	2	10
2014-03-30 17:27:56.810428	105308	20.0	1	10
2014-03-30 17:28:05.992656	105309	49	2	8
2014-03-30 17:28:06.224238	105310	19.3	1	8
2014-03-30 17:28:08.04386	105311	1867	3	2
2014-03-30 17:28:08.266448	105312	1135098.1597560649	4	2
2014-03-30 17:28:17.492362	105313	53	2	1
2014-03-30 17:28:17.725936	105314	19.2	1	1
2014-03-30 17:28:32.040509	105315	1947	3	2
2014-03-30 17:28:32.265899	105316	1135110.7991380005	4	2
2014-03-30 17:28:35.551952	105317	46	2	10
2014-03-30 17:28:35.784313	105318	20.0	1	10
2014-03-30 17:28:44.990299	105319	49	2	8
2014-03-30 17:28:45.213975	105320	19.3	1	8
2014-03-30 17:28:56.039962	105321	1883	3	2
2014-03-30 17:28:56.274369	105322	1135122.2939561668	4	2
2014-03-30 17:28:56.579882	105323	53	2	1
2014-03-30 17:28:56.805117	105324	19.2	1	1
2014-03-30 17:29:08.041143	105325	1867	3	2
2014-03-30 17:29:08.286622	105326	1135128.0391297739	4	2
2014-03-30 17:29:14.345636	105327	46	2	10
2014-03-30 17:29:14.566565	105328	20.0	1	10
2014-03-30 17:29:20.044136	105329	1931	3	2
2014-03-30 17:29:20.277948	105330	1135134.9333381024	4	2
2014-03-30 17:29:23.990362	105331	49	2	8
2014-03-30 17:29:24.209997	105332	19.3	1	8
2014-03-30 17:29:32.039452	105333	1931	3	2
2014-03-30 17:29:32.272434	105334	1135140.6785117094	4	2
2014-03-30 17:29:35.487727	105335	53	2	1
2014-03-30 17:29:35.707583	105336	19.3	1	1
2014-03-30 17:29:53.347518	105337	46	2	10
2014-03-30 17:29:53.578942	105338	20.0	1	10
2014-03-30 17:29:56.041048	105339	1867	3	2
2014-03-30 17:29:56.260643	105340	1135153.317893645	4	2
2014-03-30 17:30:02.990426	105341	49	2	8
2014-03-30 17:30:03.220918	105342	19.3	1	8
2014-03-30 17:30:08.041604	105343	1867	3	2
2014-03-30 17:30:08.267341	105344	1135160.2121019736	4	2
2014-03-30 17:30:14.492761	105345	53	2	1
2014-03-30 17:30:14.726156	105346	19.3	1	1
2014-03-30 17:30:32.039287	105347	1931	3	2
2014-03-30 17:30:32.26292	105348	1135172.851483909	4	2
2014-03-30 17:30:32.56693	105349	46	2	10
2014-03-30 17:30:32.798797	105350	20.0	1	10
2014-03-30 17:30:41.989622	105351	49	2	8
2014-03-30 17:30:42.21069	105352	19.3	1	8
2014-03-30 17:30:44.043006	105353	708	3	2
2014-03-30 17:30:44.278146	105354	1135176.2985880733	4	2
2014-03-30 17:30:53.489454	105355	53	2	1
2014-03-30 17:30:53.713401	105356	19.3	1	1
2014-03-30 17:30:56.03895	105357	1867	3	2
2014-03-30 17:30:56.271531	105358	1135182.0437616804	4	2
2014-03-30 17:31:08.039772	105359	1867	3	2
2014-03-30 17:31:08.259754	105360	1135188.937970009	4	2
2014-03-30 17:31:11.347617	105361	47	2	10
2014-03-30 17:31:11.583445	105362	20.1	1	10
2014-03-30 17:31:20.990732	105363	49	2	8
2014-03-30 17:31:21.212829	105364	19.3	1	8
2014-03-30 17:31:32.040083	105365	724	3	2
2014-03-30 17:31:32.271226	105366	1135195.8321783373	4	2
2014-03-30 17:31:32.574725	105367	53	2	1
2014-03-30 17:31:32.798155	105368	19.3	1	1
2014-03-30 17:31:50.348167	105369	47	2	10
2014-03-30 17:31:50.58366	105370	20.1	1	10
2014-03-30 17:31:56.04567	105371	1979	3	2
2014-03-30 17:31:56.268022	105372	1135208.4715602729	4	2
2014-03-30 17:31:58.914005	105373	51	2	9
2014-03-30 17:31:59.156027	105374	19.5	1	9
2014-03-30 17:31:59.992412	105375	49	2	8
2014-03-30 17:32:00.214732	105376	19.3	1	8
2014-03-30 17:32:08.042271	105377	820	3	2
2014-03-30 17:32:08.275237	105378	1135210.7696297157	4	2
2014-03-30 17:32:11.488922	105379	53	2	1
2014-03-30 17:32:11.713304	105380	19.4	1	1
2014-03-30 17:32:20.042298	105381	2012	3	2
2014-03-30 17:32:20.27409	105382	1135214.21673388	4	2
2014-03-30 17:32:29.347675	105383	47	2	10
2014-03-30 17:32:29.571161	105384	20.1	1	10
2014-03-30 17:32:32.039898	105385	2076	3	2
2014-03-30 17:32:32.271649	105386	1135221.1109422084	4	2
2014-03-30 17:32:37.915363	105387	51	2	9
2014-03-30 17:32:38.159165	105388	19.5	1	9
2014-03-30 17:32:38.989376	105389	49	2	8
2014-03-30 17:32:39.221517	105390	19.3	1	8
2014-03-30 17:32:44.044576	105391	853	3	2
2014-03-30 17:32:44.27015	105392	1135225.7070810942	4	2
2014-03-30 17:32:50.489289	105393	53	2	1
2014-03-30 17:32:50.720316	105394	19.4	1	1
2014-03-30 17:32:56.044521	105395	804	3	2
2014-03-30 17:32:56.267639	105396	1135228.005150537	4	2
2014-03-30 17:33:08.04247	105397	1963	3	2
2014-03-30 17:33:08.274513	105398	1135234.8993588656	4	2
2014-03-30 17:33:08.581705	105399	47	2	10
2014-03-30 17:33:08.803877	105400	20.1	1	10
2014-03-30 17:33:16.918047	105401	51	2	9
2014-03-30 17:33:17.151235	105402	19.5	1	9
2014-03-30 17:33:17.992241	105403	49	2	8
2014-03-30 17:33:18.214294	105404	19.3	1	8
2014-03-30 17:33:20.042345	105405	853	3	2
2014-03-30 17:33:20.274364	105406	1135240.6445324726	4	2
2014-03-30 17:33:29.489525	105407	53	2	1
2014-03-30 17:33:29.713649	105408	19.4	1	1
2014-03-30 17:33:32.043	105409	837	3	2
2014-03-30 17:33:32.273128	105410	1135242.9426019154	4	2
2014-03-30 17:33:44.047106	105411	1995	3	2
2014-03-30 17:33:44.270227	105412	1135249.8368102438	4	2
2014-03-30 17:33:47.348118	105413	47	2	10
2014-03-30 17:33:47.585844	105414	20.1	1	10
2014-03-30 17:33:55.897634	105415	51	2	9
2014-03-30 17:33:56.123325	105416	19.5	1	9
2014-03-30 17:33:56.992872	105417	49	2	8
2014-03-30 17:33:57.22747	105418	19.3	1	8
2014-03-30 17:34:08.487928	105419	53	2	1
2014-03-30 17:34:08.710617	105420	19.5	1	1
2014-03-30 17:34:26.15077	105421	2028	3	2
2014-03-30 17:34:26.396255	105422	1135267.072331065	4	2
2014-03-30 17:34:26.702352	105423	47	2	10
2014-03-30 17:34:26.923247	105424	20.2	1	10
2014-03-30 17:34:32.041048	105425	2012	3	2
2014-03-30 17:34:32.279	105426	1135273.9665393936	4	2
2014-03-30 17:34:34.916467	105427	52	2	9
2014-03-30 17:34:35.136472	105428	19.5	1	9
2014-03-30 17:34:35.990037	105429	49	2	8
2014-03-30 17:34:36.2242	105430	19.3	1	8
2014-03-30 17:34:44.044762	105431	2044	3	2
2014-03-30 17:34:44.266982	105432	1135279.7117130007	4	2
2014-03-30 17:34:47.485618	105433	53	2	1
2014-03-30 17:34:47.716284	105434	19.5	1	1
2014-03-30 17:34:56.040978	105435	1995	3	2
2014-03-30 17:34:56.26626	105436	1135286.6059213292	4	2
2014-03-30 17:35:05.350029	105437	47	2	10
2014-03-30 17:35:05.582102	105438	20.2	1	10
2014-03-30 17:35:08.039273	105439	1979	3	2
2014-03-30 17:35:08.262055	105440	1135293.5001296576	4	2
2014-03-30 17:35:13.915451	105441	52	2	9
2014-03-30 17:35:14.146576	105442	19.5	1	9
2014-03-30 17:35:14.991318	105443	49	2	8
2014-03-30 17:35:15.212523	105444	19.3	1	8
2014-03-30 17:35:20.043407	105445	2028	3	2
2014-03-30 17:35:20.274624	105446	1135300.3943379861	4	2
2014-03-30 17:35:26.490511	105447	53	2	1
2014-03-30 17:35:26.712591	105448	19.5	1	1
2014-03-30 17:35:32.044762	105449	2028	3	2
2014-03-30 17:35:32.286183	105450	1135307.2885463147	4	2
2014-03-30 17:35:44.349697	105451	47	2	10
2014-03-30 17:35:44.573287	105452	20.2	1	10
2014-03-30 17:35:52.916225	105453	52	2	9
2014-03-30 17:35:53.148673	105454	19.5	1	9
2014-03-30 17:35:53.990391	105455	49	2	8
2014-03-30 17:35:54.212379	105456	19.3	1	8
2014-03-30 17:35:56.039697	105457	1995	3	2
2014-03-30 17:35:56.271799	105458	1135321.0769629716	4	2
2014-03-30 17:36:05.488895	105459	53	2	1
2014-03-30 17:36:05.711704	105460	19.5	1	1
2014-03-30 17:36:08.040454	105461	1979	3	2
2014-03-30 17:36:08.273336	105462	1135326.8221365786	4	2
2014-03-30 17:36:20.040401	105463	2012	3	2
2014-03-30 17:36:20.264197	105464	1135332.5673101856	4	2
2014-03-30 17:36:23.348611	105465	47	2	10
2014-03-30 17:36:23.582839	105466	20.2	1	10
2014-03-30 17:36:31.89899	105467	52	2	9
2014-03-30 17:36:32.121811	105468	19.5	1	9
2014-03-30 17:36:32.991089	105469	49	2	8
2014-03-30 17:36:33.235299	105470	19.3	1	8
2014-03-30 17:36:44.044331	105471	1995	3	2
2014-03-30 17:36:44.2675	105472	1135345.2066921212	4	2
2014-03-30 17:36:44.572818	105473	53	2	1
2014-03-30 17:36:44.993882	105474	19.5	1	1
2014-03-30 17:36:56.039148	105475	1883	3	2
2014-03-30 17:36:56.26692	105476	1135352.1009004498	4	2
2014-03-30 17:37:02.34927	105477	47	2	10
2014-03-30 17:37:02.570994	105478	20.2	1	10
2014-03-30 17:37:08.04411	105479	1867	3	2
2014-03-30 17:37:08.274891	105480	1135357.8460740568	4	2
2014-03-30 17:37:10.915083	105481	52	2	9
2014-03-30 17:37:11.135829	105482	19.5	1	9
2014-03-30 17:37:11.99163	105483	49	2	8
2014-03-30 17:37:12.22366	105484	19.3	1	8
2014-03-30 17:37:20.04031	105485	804	3	2
2014-03-30 17:37:20.261131	105486	1135363.5912476638	4	2
2014-03-30 17:37:23.485351	105487	53	2	1
2014-03-30 17:37:23.738687	105488	19.6	1	1
2014-03-30 17:37:32.03867	105489	1963	3	2
2014-03-30 17:37:32.258212	105490	1135368.1873865495	4	2
2014-03-30 17:37:41.347762	105491	47	2	10
2014-03-30 17:37:41.582956	105492	20.2	1	10
2014-03-30 17:37:44.044095	105493	1883	3	2
2014-03-30 17:37:44.26745	105494	1135373.9325601566	4	2
2014-03-30 17:37:49.926352	105495	52	2	9
2014-03-30 17:37:50.163469	105496	19.5	1	9
2014-03-30 17:37:50.991726	105497	49	2	8
2014-03-30 17:37:51.214376	105498	19.3	1	8
2014-03-30 17:37:56.044171	105499	1883	3	2
2014-03-30 17:37:56.278103	105500	1135380.8267684851	4	2
2014-03-30 17:38:02.485951	105501	53	2	1
2014-03-30 17:38:02.71038	105502	19.6	1	1
2014-03-30 17:38:08.044378	105503	708	3	2
2014-03-30 17:38:08.277107	105504	1135384.2738726493	4	2
2014-03-30 17:38:20.03951	105505	1963	3	2
2014-03-30 17:38:20.263358	105506	1135390.0190462566	4	2
2014-03-30 17:38:20.570345	105507	47	2	10
2014-03-30 17:38:20.803333	105508	20.2	1	10
2014-03-30 17:38:28.919646	105509	52	2	9
2014-03-30 17:38:29.143356	105510	19.5	1	9
2014-03-30 17:38:29.99334	105511	49	2	8
2014-03-30 17:38:30.225396	105512	19.3	1	8
2014-03-30 17:38:32.041844	105513	1867	3	2
2014-03-30 17:38:32.264968	105514	1135396.913254585	4	2
2014-03-30 17:38:41.485484	105515	53	2	1
2014-03-30 17:38:41.718638	105516	19.6	1	1
2014-03-30 17:38:44.047516	105517	659	3	2
2014-03-30 17:38:44.269048	105518	1135400.3603587493	4	2
2014-03-30 17:38:56.041864	105519	1835	3	2
2014-03-30 17:38:56.284689	105520	1135404.956497635	4	2
2014-03-30 17:38:59.350758	105521	47	2	10
2014-03-30 17:38:59.573012	105522	20.2	1	10
2014-03-30 17:39:07.898781	105523	52	2	9
2014-03-30 17:39:08.132376	105524	19.5	1	9
2014-03-30 17:39:08.989477	105525	49	2	8
2014-03-30 17:39:09.213732	105526	19.3	1	8
2014-03-30 17:39:20.040705	105527	692	3	2
2014-03-30 17:39:20.274622	105528	1135415.3022810798	4	2
2014-03-30 17:39:20.586277	105529	53	2	1
2014-03-30 17:39:20.80809	105530	19.6	1	1
2014-03-30 17:39:32.040955	105531	1883	3	2
2014-03-30 17:39:32.275507	105532	1135417.6003505227	4	2
2014-03-30 17:39:38.350064	105533	47	2	10
2014-03-30 17:39:38.573596	105534	20.2	1	10
2014-03-30 17:39:44.052002	105535	1835	3	2
2014-03-30 17:39:44.28723	105536	1135424.4945588512	4	2
2014-03-30 17:39:46.91891	105537	52	2	9
2014-03-30 17:39:47.141001	105538	19.5	1	9
2014-03-30 17:39:47.990339	105539	49	2	8
2014-03-30 17:39:48.223706	105540	19.3	1	8
2014-03-30 17:39:56.039851	105541	1818	3	2
2014-03-30 17:39:56.265319	105542	1135430.2397324583	4	2
2014-03-30 17:39:59.486731	105543	53	2	1
2014-03-30 17:39:59.71991	105544	19.7	1	1
2014-03-30 17:40:08.039016	105545	1867	3	2
2014-03-30 17:40:08.264284	105546	1135434.835871344	4	2
2014-03-30 17:40:17.350068	105547	47	2	10
2014-03-30 17:40:17.585616	105548	20.3	1	10
2014-03-30 17:40:20.039409	105549	1867	3	2
2014-03-30 17:40:20.26301	105550	1135440.581044951	4	2
2014-03-30 17:40:25.913602	105551	52	2	9
2014-03-30 17:40:26.148651	105552	19.6	1	9
2014-03-30 17:40:26.991176	105553	49	2	8
2014-03-30 17:40:27.213015	105554	19.4	1	8
2014-03-30 17:40:32.04485	105555	1851	3	2
2014-03-30 17:40:32.276081	105556	1135446.326218558	4	2
2014-03-30 17:40:38.483532	105557	53	2	1
2014-03-30 17:40:38.762635	105558	19.7	1	1
2014-03-30 17:40:44.044589	105559	627	3	2
2014-03-30 17:40:44.279152	105560	1135450.9223574437	4	2
2014-03-30 17:40:56.040885	105561	1835	3	2
2014-03-30 17:40:56.26467	105562	1135456.6675310507	4	2
2014-03-30 17:40:56.572606	105563	47	2	10
2014-03-30 17:40:56.804324	105564	20.3	1	10
2014-03-30 17:41:04.914692	105565	52	2	9
2014-03-30 17:41:05.137346	105566	19.6	1	9
2014-03-30 17:41:06.028241	105567	49	2	8
2014-03-30 17:41:06.287606	105568	19.4	1	8
2014-03-30 17:41:08.038953	105569	1867	3	2
2014-03-30 17:41:08.258798	105570	1135463.5617393793	4	2
2014-03-30 17:41:17.48507	105571	53	2	1
2014-03-30 17:41:17.716787	105572	19.7	1	1
2014-03-30 17:41:20.03903	105573	1883	3	2
2014-03-30 17:41:20.258754	105574	1135469.3069129863	4	2
2014-03-30 17:41:32.039246	105575	1883	3	2
2014-03-30 17:41:32.269869	105576	1135475.0520865934	4	2
2014-03-30 17:41:35.34919	105577	47	2	10
2014-03-30 17:41:35.571923	105578	20.3	1	10
2014-03-30 17:41:43.896742	105579	52	2	9
2014-03-30 17:41:44.132732	105580	19.6	1	9
2014-03-30 17:41:44.989536	105581	49	2	8
2014-03-30 17:41:45.211075	105582	19.4	1	8
2014-03-30 17:41:56.039288	105583	1835	3	2
2014-03-30 17:41:56.270238	105584	1135487.691468529	4	2
2014-03-30 17:41:56.722309	105585	53	2	1
2014-03-30 17:41:56.943889	105586	19.7	1	1
2014-03-30 17:42:14.350654	105587	47	2	10
2014-03-30 17:42:14.582935	105588	20.3	1	10
2014-03-30 17:42:20.041567	105589	1867	3	2
2014-03-30 17:42:20.263256	105590	1135498.0327810217	4	2
2014-03-30 17:42:22.915027	105591	52	2	9
2014-03-30 17:42:23.147113	105592	19.6	1	9
2014-03-30 17:42:23.990194	105593	49	2	8
2014-03-30 17:42:24.2116	105594	19.4	1	8
2014-03-30 17:42:32.038191	105595	1851	3	2
2014-03-30 17:42:32.272028	105596	1135503.7779546287	4	2
2014-03-30 17:42:35.480773	105597	53	2	1
2014-03-30 17:42:35.706597	105598	19.7	1	1
2014-03-30 17:42:44.042776	105599	627	3	2
2014-03-30 17:42:44.277378	105600	1135508.3740935144	4	2
2014-03-30 17:42:53.350688	105601	47	2	10
2014-03-30 17:42:53.572273	105602	20.3	1	10
2014-03-30 17:42:56.040285	105603	1818	3	2
2014-03-30 17:42:56.271336	105604	1135515.268301843	4	2
2014-03-30 17:43:01.914958	105605	52	2	9
2014-03-30 17:43:02.136946	105606	19.6	1	9
2014-03-30 17:43:02.990459	105607	49	2	8
2014-03-30 17:43:03.222313	105608	19.4	1	8
2014-03-30 17:43:08.042664	105609	1883	3	2
2014-03-30 17:43:08.272872	105610	1135521.01347545	4	2
2014-03-30 17:43:14.48323	105611	53	2	1
2014-03-30 17:43:14.71873	105612	19.7	1	1
2014-03-30 17:43:20.043727	105613	1867	3	2
2014-03-30 17:43:20.265225	105614	1135527.9076837786	4	2
2014-03-30 17:43:32.041661	105615	1867	3	2
2014-03-30 17:43:32.287222	105616	1135531.3547879427	4	2
2014-03-30 17:43:32.593143	105617	47	2	10
2014-03-30 17:43:32.815641	105618	20.3	1	10
2014-03-30 17:43:40.917322	105619	52	2	9
2014-03-30 17:43:41.147501	105620	19.6	1	9
2014-03-30 17:43:41.989917	105621	49	2	8
2014-03-30 17:43:42.211736	105622	19.4	1	8
2014-03-30 17:43:53.483229	105623	53	2	1
2014-03-30 17:43:53.716833	105624	19.8	1	1
2014-03-30 17:44:08.040981	105625	804	3	2
2014-03-30 17:44:08.26382	105626	1135548.590308764	4	2
2014-03-30 17:44:11.34972	105627	47	2	10
2014-03-30 17:44:11.586913	105628	20.4	1	10
2014-03-30 17:44:19.898091	105629	52	2	9
2014-03-30 17:44:20.122981	105630	19.6	1	9
2014-03-30 17:44:20.989757	105631	49	2	8
2014-03-30 17:44:21.225377	105632	19.4	1	8
2014-03-30 17:44:32.039164	105633	1867	3	2
2014-03-30 17:44:32.263449	105634	1135561.2296906996	4	2
2014-03-30 17:44:32.567251	105635	53	2	1
2014-03-30 17:44:32.798203	105636	19.8	1	1
2014-03-30 17:44:44.043649	105637	692	3	2
2014-03-30 17:44:44.267709	105638	1135566.9748643066	4	2
2014-03-30 17:44:50.350919	105639	47	2	10
2014-03-30 17:44:50.584265	105640	20.4	1	10
2014-03-30 17:44:56.043853	105641	1883	3	2
2014-03-30 17:44:56.268506	105642	1135570.4219684708	4	2
2014-03-30 17:44:58.914221	105643	52	2	9
2014-03-30 17:44:59.148251	105644	19.6	1	9
2014-03-30 17:44:59.989857	105645	49	2	8
2014-03-30 17:45:00.213916	105646	19.4	1	8
2014-03-30 17:45:08.039954	105647	1947	3	2
2014-03-30 17:45:08.273038	105648	1135577.3161767994	4	2
2014-03-30 17:45:11.480646	105649	53	2	1
2014-03-30 17:45:11.709522	105650	19.8	1	1
2014-03-30 17:45:20.040342	105651	1947	3	2
2014-03-30 17:45:20.275111	105652	1135584.210385128	4	2
2014-03-30 17:45:29.351473	105653	47	2	10
2014-03-30 17:45:29.574683	105654	20.4	1	10
2014-03-30 17:45:32.039129	105655	692	3	2
2014-03-30 17:45:32.271709	105656	1135586.5084545708	4	2
2014-03-30 17:45:37.915349	105657	52	2	9
2014-03-30 17:45:38.138774	105658	19.6	1	9
2014-03-30 17:45:39.019139	105659	50	2	8
2014-03-30 17:45:39.250634	105660	19.4	1	8
2014-03-30 17:45:44.043649	105661	1931	3	2
2014-03-30 17:45:44.268903	105662	1135592.2536281778	4	2
2014-03-30 17:45:50.479719	105663	53	2	1
2014-03-30 17:45:50.722491	105664	19.8	1	1
2014-03-30 17:45:56.042554	105665	1883	3	2
2014-03-30 17:45:56.264682	105666	1135599.1478365061	4	2
2014-03-30 17:46:08.038461	105667	804	3	2
2014-03-30 17:46:08.268887	105668	1135602.5949406705	4	2
2014-03-30 17:46:08.57227	105669	47	2	10
2014-03-30 17:46:08.793046	105670	20.4	1	10
2014-03-30 17:46:16.914766	105671	52	2	9
2014-03-30 17:46:17.145106	105672	19.6	1	9
2014-03-30 17:46:17.98786	105673	50	2	8
2014-03-30 17:46:18.207374	105674	19.4	1	8
2014-03-30 17:46:20.037706	105675	1947	3	2
2014-03-30 17:46:20.268876	105676	1135608.3401142776	4	2
2014-03-30 17:46:29.481824	105677	53	2	1
2014-03-30 17:46:29.703523	105678	19.8	1	1
2014-03-30 17:46:32.036135	105679	1931	3	2
2014-03-30 17:46:32.268908	105680	1135615.2343226061	4	2
2014-03-30 17:46:44.041972	105681	692	3	2
2014-03-30 17:46:44.266	105682	1135619.8304614916	4	2
2014-03-30 17:46:47.350128	105683	47	2	10
2014-03-30 17:46:47.585414	105684	20.4	1	10
2014-03-30 17:46:55.898206	105685	53	2	9
2014-03-30 17:46:56.119949	105686	19.6	1	9
2014-03-30 17:46:56.988781	105687	50	2	8
2014-03-30 17:46:57.219161	105688	19.4	1	8
2014-03-30 17:47:08.037763	105689	820	3	2
2014-03-30 17:47:08.259507	105690	1135627.8737045417	4	2
2014-03-30 17:47:08.564008	105691	53	2	1
2014-03-30 17:47:08.823169	105692	19.8	1	1
2014-03-30 17:47:20.036967	105693	1239	3	2
2014-03-30 17:47:20.25969	105694	1135630.1717739843	4	2
2014-03-30 17:47:26.350669	105695	47	2	10
2014-03-30 17:47:26.582054	105696	20.4	1	10
2014-03-30 17:47:32.042359	105697	853	3	2
2014-03-30 17:47:32.26436	105698	1135633.6188781487	4	2
2014-03-30 17:47:34.913548	105699	53	2	9
2014-03-30 17:47:35.146035	105700	19.6	1	9
2014-03-30 17:47:35.989843	105701	50	2	8
2014-03-30 17:47:36.211577	105702	19.4	1	8
2014-03-30 17:47:44.041256	105703	869	3	2
2014-03-30 17:47:44.277539	105704	1135635.9169475916	4	2
2014-03-30 17:47:47.480301	105705	53	2	1
2014-03-30 17:47:47.704372	105706	19.8	1	1
2014-03-30 17:47:56.039744	105707	1046	3	2
2014-03-30 17:47:56.270441	105708	1135639.3640517558	4	2
2014-03-30 17:48:05.350576	105709	47	2	10
2014-03-30 17:48:05.573863	105710	20.4	1	10
2014-03-30 17:48:08.038629	105711	949	3	2
2014-03-30 17:48:08.283973	105712	1135642.81115592	4	2
2014-03-30 17:48:13.914748	105713	53	2	9
2014-03-30 17:48:14.137348	105714	19.6	1	9
2014-03-30 17:48:14.988134	105715	50	2	8
2014-03-30 17:48:15.223364	105716	19.4	1	8
2014-03-30 17:48:20.043349	105717	965	3	2
2014-03-30 17:48:20.266033	105718	1135646.2582600843	4	2
2014-03-30 17:48:26.474001	105719	53	2	1
2014-03-30 17:48:26.704667	105720	19.9	1	1
2014-03-30 17:48:32.041833	105721	965	3	2
2014-03-30 17:48:32.265098	105722	1135649.7053642485	4	2
2014-03-30 17:48:44.039333	105723	1110	3	2
2014-03-30 17:48:44.279649	105724	1135653.1524684126	4	2
2014-03-30 17:48:44.585622	105725	47	2	10
2014-03-30 17:48:44.807981	105726	20.5	1	10
2014-03-30 17:48:53.989146	105727	50	2	8
2014-03-30 17:48:54.220678	105728	19.4	1	8
2014-03-30 17:48:56.041709	105729	1287	3	2
2014-03-30 17:48:56.265789	105730	1135656.599572577	4	2
2014-03-30 17:49:05.479916	105731	53	2	1
2014-03-30 17:49:05.713875	105732	19.9	1	1
2014-03-30 17:49:08.041106	105733	1191	3	2
2014-03-30 17:49:08.263944	105734	1135660.0466767412	4	2
2014-03-30 17:49:20.039381	105735	1191	3	2
2014-03-30 17:49:20.270534	105736	1135664.642815627	4	2
2014-03-30 17:49:23.35128	105737	47	2	10
2014-03-30 17:49:23.574044	105738	20.5	1	10
2014-03-30 17:49:32.989335	105739	50	2	8
2014-03-30 17:49:33.256555	105740	19.4	1	8
2014-03-30 17:49:44.040704	105741	1223	3	2
2014-03-30 17:49:44.708499	105742	1135672.6860586768	4	2
2014-03-30 17:49:45.048845	105743	53	2	1
2014-03-30 17:49:45.317305	105744	19.9	1	1
2014-03-30 17:49:56.039979	105745	1191	3	2
2014-03-30 17:49:56.797293	105746	1135676.133162841	4	2
2014-03-30 17:50:02.351506	105747	47	2	10
2014-03-30 17:50:02.585387	105748	20.5	1	10
2014-03-30 17:50:08.047606	105749	1191	3	2
2014-03-30 17:50:08.271546	105750	1135680.7293017267	4	2
2014-03-30 17:50:11.987965	105751	50	2	8
2014-03-30 17:50:12.220875	105752	19.5	1	8
2014-03-30 17:50:20.03717	105753	1271	3	2
2014-03-30 17:50:20.262628	105754	1135684.1764058908	4	2
2014-03-30 17:50:23.477212	105755	53	2	1
2014-03-30 17:50:23.710001	105756	19.9	1	1
2014-03-30 17:50:32.038578	105757	1352	3	2
2014-03-30 17:50:32.2636	105758	1135688.7725447766	4	2
2014-03-30 17:50:41.352603	105759	47	2	10
2014-03-30 17:50:41.595487	105760	20.5	1	10
2014-03-30 17:50:44.038474	105761	1368	3	2
2014-03-30 17:50:44.268956	105762	1135693.3686836623	4	2
2014-03-30 17:50:50.98851	105763	50	2	8
2014-03-30 17:50:51.224407	105764	19.4	1	8
2014-03-30 17:51:02.47759	105765	53	2	1
2014-03-30 17:51:02.699376	105766	19.9	1	1
2014-03-30 17:51:20.353114	105767	47	2	10
2014-03-30 17:51:20.582919	105768	20.5	1	10
2014-03-30 17:51:29.988242	105769	50	2	8
2014-03-30 17:51:30.212865	105770	19.5	1	8
2014-03-30 17:51:32.039452	105771	1368	3	2
2014-03-30 17:51:32.2724	105772	1135710.6086754357	4	2
2014-03-30 17:51:41.480485	105773	53	2	1
2014-03-30 17:51:41.701646	105774	19.9	1	1
2014-03-30 17:51:59.350441	105775	48	2	10
2014-03-30 17:51:59.58377	105776	20.5	1	10
2014-03-30 17:52:08.989003	105777	50	2	8
2014-03-30 17:52:09.212138	105778	19.5	1	8
2014-03-30 17:52:20.039148	105779	1303	3	2
2014-03-30 17:52:20.272807	105780	1135727.844196257	4	2
2014-03-30 17:52:20.600537	105781	53	2	1
2014-03-30 17:52:20.82247	105782	19.9	1	1
2014-03-30 17:52:38.35271	105783	48	2	10
2014-03-30 17:52:38.589952	105784	20.6	1	10
2014-03-30 17:52:44.043438	105785	1303	3	2
2014-03-30 17:52:44.266012	105786	1135737.0364740284	4	2
2014-03-30 17:52:47.988571	105787	50	2	8
2014-03-30 17:52:48.221457	105788	19.5	1	8
2014-03-30 17:52:56.039362	105789	1448	3	2
2014-03-30 17:52:56.262375	105790	1135741.6326129138	4	2
2014-03-30 17:52:59.474631	105791	53	2	1
2014-03-30 17:52:59.706058	105792	20.0	1	1
2014-03-30 17:53:08.03534	105793	1448	3	2
2014-03-30 17:53:08.257261	105794	1135746.2287517996	4	2
2014-03-30 17:53:17.353799	105795	48	2	10
2014-03-30 17:53:17.588251	105796	20.6	1	10
2014-03-30 17:53:26.987193	105797	50	2	8
2014-03-30 17:53:27.208683	105798	19.5	1	8
2014-03-30 17:53:32.036706	105799	1432	3	2
2014-03-30 17:53:32.271791	105800	1135756.5700642923	4	2
2014-03-30 17:53:38.474016	105801	53	2	1
2014-03-30 17:53:38.697286	105802	20.0	1	1
2014-03-30 17:53:56.356255	105803	48	2	10
2014-03-30 17:53:56.590861	105804	20.6	1	10
2014-03-30 17:54:05.988117	105805	50	2	8
2014-03-30 17:54:06.212093	105806	19.5	1	8
2014-03-30 17:54:17.473686	105807	53	2	1
2014-03-30 17:54:17.7171	105808	20.0	1	1
2014-03-30 17:54:32.039937	105809	1432	3	2
2014-03-30 17:54:32.263293	105810	1135780.699793442	4	2
2014-03-30 17:54:35.353048	105811	48	2	10
2014-03-30 17:54:35.587335	105812	20.6	1	10
2014-03-30 17:54:44.992792	105813	50	2	8
2014-03-30 17:54:45.215735	105814	19.5	1	8
2014-03-30 17:54:56.476077	105815	53	2	1
2014-03-30 17:54:56.707975	105816	20.0	1	1
2014-03-30 17:55:08.039247	105817	853	3	2
2014-03-30 17:55:08.261103	105818	1135793.3391753775	4	2
2014-03-30 17:55:14.354205	105819	48	2	10
2014-03-30 17:55:14.588041	105820	20.6	1	10
2014-03-30 17:55:20.042175	105821	837	3	2
2014-03-30 17:55:20.266532	105822	1135795.6372448204	4	2
2014-03-30 17:55:23.987284	105823	50	2	8
2014-03-30 17:55:24.220281	105824	19.5	1	8
2014-03-30 17:55:32.037012	105825	708	3	2
2014-03-30 17:55:32.261846	105826	1135797.9353142632	4	2
2014-03-30 17:55:35.475748	105827	53	2	1
2014-03-30 17:55:35.707662	105828	20.0	1	1
2014-03-30 17:55:44.038446	105829	804	3	2
2014-03-30 17:55:44.262503	105830	1135801.3824184274	4	2
2014-03-30 17:55:53.35407	105831	48	2	10
2014-03-30 17:55:53.584657	105832	20.6	1	10
2014-03-30 17:55:56.034801	105833	724	3	2
2014-03-30 17:55:56.260981	105834	1135803.6804878702	4	2
2014-03-30 17:56:02.989807	105835	50	2	8
2014-03-30 17:56:03.224056	105836	19.5	1	8
2014-03-30 17:56:08.039313	105837	692	3	2
2014-03-30 17:56:08.269445	105838	1135805.978557313	4	2
2014-03-30 17:56:14.474817	105839	53	2	1
2014-03-30 17:56:14.707025	105840	20.0	1	1
2014-03-30 17:56:20.040326	105841	1931	3	2
2014-03-30 17:56:20.265634	105842	1135810.5746961988	4	2
2014-03-30 17:56:32.03911	105843	1947	3	2
2014-03-30 17:56:32.270468	105844	1135817.4689045274	4	2
2014-03-30 17:56:32.579353	105845	48	2	10
2014-03-30 17:56:32.800874	105846	20.6	1	10
2014-03-30 17:56:41.988166	105847	50	2	8
2014-03-30 17:56:42.218827	105848	19.5	1	8
2014-03-30 17:56:53.4754	105849	53	2	1
2014-03-30 17:56:53.700237	105850	20.1	1	1
2014-03-30 17:56:56.03772	105851	1867	3	2
2014-03-30 17:56:56.272265	105852	1135830.108286463	4	2
2014-03-30 17:57:08.038097	105853	1867	3	2
2014-03-30 17:57:08.26021	105854	1135837.0024947913	4	2
2014-03-30 17:57:11.353841	105855	48	2	10
2014-03-30 17:57:11.604761	105856	20.7	1	10
2014-03-30 17:57:20.987359	105857	50	2	8
2014-03-30 17:57:21.20828	105858	19.5	1	8
2014-03-30 17:57:32.03577	105859	1947	3	2
2014-03-30 17:57:32.268096	105860	1135849.6418767269	4	2
2014-03-30 17:57:32.574231	105861	53	2	1
2014-03-30 17:57:32.796066	105862	20.1	1	1
2014-03-30 17:57:50.35469	105863	48	2	10
2014-03-30 17:57:50.591123	105864	20.7	1	10
2014-03-30 17:57:56.040236	105865	1867	3	2
2014-03-30 17:57:56.260764	105866	1135862.2812586625	4	2
2014-03-30 17:57:59.98779	105867	50	2	8
2014-03-30 17:58:00.218862	105868	19.5	1	8
2014-03-30 17:58:08.03735	105869	1851	3	2
2014-03-30 17:58:08.259776	105870	1135869.175466991	4	2
2014-03-30 17:58:11.472701	105871	53	2	1
2014-03-30 17:58:11.716874	105872	20.1	1	1
2014-03-30 17:58:20.045465	105873	1947	3	2
2014-03-30 17:58:20.267742	105874	1135874.920640598	4	2
2014-03-30 17:58:29.354521	105875	48	2	10
2014-03-30 17:58:29.585425	105876	20.7	1	10
2014-03-30 17:58:32.037563	105877	1931	3	2
2014-03-30 17:58:32.257335	105878	1135881.8148489266	4	2
2014-03-30 17:58:38.987849	105879	50	2	8
2014-03-30 17:58:39.219695	105880	19.5	1	8
2014-03-30 17:58:50.472646	105881	53	2	1
2014-03-30 17:58:50.696036	105882	20.1	1	1
2014-03-30 17:58:56.042252	105883	1867	3	2
2014-03-30 17:58:56.27612	105884	1135894.4542308622	4	2
2014-03-30 17:59:08.035503	105885	1883	3	2
2014-03-30 17:59:08.258851	105886	1135900.1994044692	4	2
2014-03-30 17:59:08.563369	105887	48	2	10
2014-03-30 17:59:08.798941	105888	20.7	1	10
2014-03-30 17:59:17.987851	105889	50	2	8
2014-03-30 17:59:18.210421	105890	19.5	1	8
2014-03-30 17:59:20.037303	105891	1947	3	2
2014-03-30 17:59:20.268539	105892	1135907.0936127976	4	2
2014-03-30 17:59:29.710243	105893	53	2	1
2014-03-30 17:59:29.935523	105894	20.1	1	1
2014-03-30 17:59:32.036318	105895	1931	3	2
2014-03-30 17:59:32.26864	105896	1135913.9878211261	4	2
2014-03-30 17:59:47.354013	105897	48	2	10
2014-03-30 17:59:47.577885	105898	20.7	1	10
2014-03-30 17:59:56.988989	105899	50	2	8
2014-03-30 17:59:57.220801	105900	19.5	1	8
2014-03-30 18:00:08.036871	105901	1867	3	2
2014-03-30 18:00:08.257575	105902	1135932.3723766687	4	2
2014-03-30 18:00:08.562364	105903	53	2	1
2014-03-30 18:00:08.82645	105904	20.1	1	1
2014-03-30 18:00:20.04134	105905	1931	3	2
2014-03-30 18:00:20.264555	105906	1135939.2665849973	4	2
2014-03-30 18:00:26.354178	105907	48	2	10
2014-03-30 18:00:26.588939	105908	20.7	1	10
2014-03-30 18:00:32.040774	105909	1931	3	2
2014-03-30 18:00:32.261828	105910	1135945.0117586043	4	2
2014-03-30 18:00:35.985832	105911	50	2	8
2014-03-30 18:00:36.217723	105912	19.5	1	8
2014-03-30 18:00:44.03784	105913	724	3	2
2014-03-30 18:00:44.262411	105914	1135950.7569322113	4	2
2014-03-30 18:00:47.470169	105915	53	2	1
2014-03-30 18:00:47.701259	105916	20.2	1	1
2014-03-30 18:00:56.038833	105917	1867	3	2
2014-03-30 18:00:56.261517	105918	1135955.353071097	4	2
2014-03-30 18:01:05.35525	105919	48	2	10
2014-03-30 18:01:05.586796	105920	20.7	1	10
2014-03-30 18:01:08.034556	105921	1851	3	2
2014-03-30 18:01:08.257952	105922	1135962.2472794256	4	2
2014-03-30 18:01:14.986901	105923	50	2	8
2014-03-30 18:01:15.220172	105924	19.5	1	8
2014-03-30 18:01:20.035888	105925	1947	3	2
2014-03-30 18:01:20.261644	105926	1135969.1414877542	4	2
2014-03-30 18:01:26.469522	105927	53	2	1
2014-03-30 18:01:26.7016	105928	20.2	1	1
2014-03-30 18:01:32.038957	105929	724	3	2
2014-03-30 18:01:32.263853	105930	1135971.4395571968	4	2
2014-03-30 18:01:44.035323	105931	1835	3	2
2014-03-30 18:01:44.269295	105932	1135977.184730804	4	2
2014-03-30 18:01:44.578844	105933	48	2	10
2014-03-30 18:01:44.802347	105934	20.7	1	10
2014-03-30 18:01:53.986582	105935	51	2	8
2014-03-30 18:01:54.219963	105936	19.6	1	8
2014-03-30 18:01:56.037558	105937	1818	3	2
2014-03-30 18:01:56.259564	105938	1135982.929904411	4	2
2014-03-30 18:02:05.472101	105939	53	2	1
2014-03-30 18:02:05.705783	105940	20.2	1	1
2014-03-30 18:02:08.036244	105941	627	3	2
2014-03-30 18:02:08.258452	105942	1135987.5260432968	4	2
2014-03-30 18:02:20.036303	105943	1867	3	2
2014-03-30 18:02:20.269875	105944	1135992.1221821823	4	2
2014-03-30 18:02:23.35624	105945	48	2	10
2014-03-30 18:02:23.580466	105946	20.7	1	10
2014-03-30 18:02:32.988497	105947	51	2	8
2014-03-30 18:02:33.220767	105948	19.6	1	8
2014-03-30 18:02:44.037856	105949	627	3	2
2014-03-30 18:02:44.260522	105950	1136001.318930906	4	2
2014-03-30 18:02:44.569257	105951	53	2	1
2014-03-30 18:02:44.817187	105952	20.2	1	1
2014-03-30 18:02:56.038082	105953	627	3	2
2014-03-30 18:02:56.260619	105954	1136003.6170003489	4	2
2014-03-30 18:03:02.355134	105955	48	2	10
2014-03-30 18:03:02.591219	105956	20.7	1	10
2014-03-30 18:03:08.043504	105957	1802	3	2
2014-03-30 18:03:08.267807	105958	1136010.5112086772	4	2
2014-03-30 18:03:11.988815	105959	51	2	8
2014-03-30 18:03:12.221479	105960	19.6	1	8
2014-03-30 18:03:20.03743	105961	1851	3	2
2014-03-30 18:03:20.261253	105962	1136016.2563822842	4	2
2014-03-30 18:03:23.469732	105963	53	2	1
2014-03-30 18:03:23.703389	105964	20.2	1	1
2014-03-30 18:03:32.036584	105965	676	3	2
2014-03-30 18:03:32.261994	105966	1136019.7034864486	4	2
2014-03-30 18:03:41.356287	105967	48	2	10
2014-03-30 18:03:41.590934	105968	20.7	1	10
2014-03-30 18:03:44.037442	105969	1818	3	2
2014-03-30 18:03:44.258681	105970	1136024.2996253343	4	2
2014-03-30 18:03:50.986376	105971	51	2	8
2014-03-30 18:03:51.218848	105972	19.6	1	8
2014-03-30 18:03:56.038182	105973	1754	3	2
2014-03-30 18:03:56.267559	105974	1136030.0447989414	4	2
2014-03-30 18:04:02.469039	105975	53	2	1
2014-03-30 18:04:02.705003	105976	20.2	1	1
2014-03-30 18:04:08.042594	105977	611	3	2
2014-03-30 18:04:08.266898	105978	1136034.640937827	4	2
2014-03-30 18:04:20.036647	105979	1851	3	2
2014-03-30 18:04:20.268532	105980	1136039.2370767125	4	2
2014-03-30 18:04:20.572529	105981	48	2	10
2014-03-30 18:04:20.797395	105982	20.8	1	10
2014-03-30 18:04:29.987241	105983	51	2	8
2014-03-30 18:04:30.220337	105984	19.6	1	8
2014-03-30 18:04:32.037758	105985	1835	3	2
2014-03-30 18:04:32.261258	105986	1136044.9822503198	4	2
2014-03-30 18:04:41.470787	105987	53	2	1
2014-03-30 18:04:41.703678	105988	20.2	1	1
2014-03-30 18:04:44.037476	105989	1802	3	2
2014-03-30 18:04:44.260775	105990	1136050.7274239268	4	2
2014-03-30 18:04:56.036067	105991	1818	3	2
2014-03-30 18:04:56.267029	105992	1136054.174528091	4	2
2014-03-30 18:04:59.356526	105993	48	2	10
2014-03-30 18:04:59.578544	105994	20.8	1	10
2014-03-30 18:05:08.988673	105995	51	2	8
2014-03-30 18:05:09.219897	105996	19.6	1	8
2014-03-30 18:05:20.038823	105997	1979	3	2
2014-03-30 18:05:20.296093	105998	1136067.9629447479	4	2
2014-03-30 18:05:20.622645	105999	53	2	1
2014-03-30 18:05:20.895392	106000	20.3	1	1
2014-03-30 18:05:32.038765	106001	837	3	2
2014-03-30 18:05:32.293841	106002	1136071.4100489123	4	2
2014-03-30 18:05:38.355224	106003	48	2	10
2014-03-30 18:05:38.618908	106004	20.8	1	10
2014-03-30 18:05:44.055849	106005	1947	3	2
2014-03-30 18:05:44.282468	106006	1136078.3042572406	4	2
2014-03-30 18:05:47.986514	106007	51	2	8
2014-03-30 18:05:48.218646	106008	19.6	1	8
2014-03-30 18:05:56.037229	106009	1947	3	2
2014-03-30 18:05:56.261431	106010	1136085.1984655692	4	2
2014-03-30 18:05:59.469091	106011	53	2	1
2014-03-30 18:05:59.700747	106012	20.3	1	1
2014-03-30 18:06:08.035302	106013	820	3	2
2014-03-30 18:06:08.260532	106014	1136090.9436391762	4	2
2014-03-30 18:06:17.354784	106015	48	2	10
2014-03-30 18:06:17.587657	106016	20.8	1	10
2014-03-30 18:06:20.036187	106017	1979	3	2
2014-03-30 18:06:20.260715	106018	1136095.539778062	4	2
2014-03-30 18:06:26.985977	106019	51	2	8
2014-03-30 18:06:27.221748	106020	19.6	1	8
2014-03-30 18:06:32.037489	106021	1979	3	2
2014-03-30 18:06:32.266321	106022	1136102.4339863905	4	2
2014-03-30 18:06:38.467866	106023	53	2	1
2014-03-30 18:06:38.699477	106024	20.3	1	1
2014-03-30 18:06:44.041347	106025	1947	3	2
2014-03-30 18:06:44.264445	106026	1136109.328194719	4	2
2014-03-30 18:06:56.045359	106027	1931	3	2
2014-03-30 18:06:56.283185	106028	1136112.7752988832	4	2
2014-03-30 18:06:56.587576	106029	48	2	10
2014-03-30 18:06:56.811378	106030	20.8	1	10
2014-03-30 18:07:05.988149	106031	51	2	8
2014-03-30 18:07:06.219821	106032	19.6	1	8
2014-03-30 18:07:08.032871	106033	1963	3	2
2014-03-30 18:07:08.25492	106034	1136119.6695072118	4	2
2014-03-30 18:07:17.465143	106035	53	2	1
2014-03-30 18:07:17.699345	106036	20.3	1	1
2014-03-30 18:07:20.035606	106037	1963	3	2
2014-03-30 18:07:20.25698	106038	1136125.4146808188	4	2
2014-03-30 18:07:32.034642	106039	853	3	2
2014-03-30 18:07:32.267301	106040	1136130.0108197045	4	2
2014-03-30 18:07:35.359978	106041	48	2	10
2014-03-30 18:07:35.580605	106042	20.8	1	10
2014-03-30 18:07:44.99158	106043	51	2	8
2014-03-30 18:07:45.226465	106044	19.6	1	8
2014-03-30 18:07:56.035306	106045	1979	3	2
2014-03-30 18:07:56.257254	106046	1136143.7992363614	4	2
2014-03-30 18:07:56.562576	106047	53	2	1
2014-03-30 18:07:56.808785	106048	20.3	1	1
2014-03-30 18:08:08.036068	106049	853	3	2
2014-03-30 18:08:08.257822	106050	1136149.5444099684	4	2
2014-03-30 18:08:14.359047	106051	48	2	10
2014-03-30 18:08:14.593396	106052	20.8	1	10
2014-03-30 18:08:20.039128	106053	2028	3	2
2014-03-30 18:08:20.261	106054	1136154.1405488541	4	2
2014-03-30 18:08:23.987599	106055	51	2	8
2014-03-30 18:08:24.21905	106056	19.6	1	8
2014-03-30 18:08:32.036469	106057	1963	3	2
2014-03-30 18:08:32.258932	106058	1136161.0347571827	4	2
2014-03-30 18:08:35.465075	106059	53	2	1
2014-03-30 18:08:35.698996	106060	20.3	1	1
2014-03-30 18:08:44.034455	106061	1963	3	2
2014-03-30 18:08:44.258102	106062	1136166.7799307897	4	2
2014-03-30 18:08:53.357719	106063	48	2	10
2014-03-30 18:08:53.590339	106064	20.8	1	10
2014-03-30 18:08:56.038112	106065	837	3	2
2014-03-30 18:08:56.26069	106066	1136170.227034954	4	2
2014-03-30 18:09:02.98654	106067	51	2	8
2014-03-30 18:09:03.218945	106068	19.6	1	8
2014-03-30 18:09:08.036372	106069	1995	3	2
2014-03-30 18:09:08.264963	106070	1136177.1212432825	4	2
2014-03-30 18:09:14.46619	106071	53	2	1
2014-03-30 18:09:14.699359	106072	20.3	1	1
2014-03-30 18:09:20.03909	106073	2012	3	2
2014-03-30 18:09:20.260942	106074	1136182.8664168895	4	2
2014-03-30 18:09:32.03721	106075	804	3	2
2014-03-30 18:09:32.269424	106076	1136187.4625557752	4	2
2014-03-30 18:09:32.575338	106077	48	2	10
2014-03-30 18:09:32.800116	106078	20.8	1	10
2014-03-30 18:09:41.989336	106079	51	2	8
2014-03-30 18:09:42.219759	106080	19.6	1	8
2014-03-30 18:09:44.03648	106081	1979	3	2
2014-03-30 18:09:44.25739	106082	1136193.2077293822	4	2
2014-03-30 18:09:53.465875	106083	53	2	1
2014-03-30 18:09:53.698633	106084	20.3	1	1
2014-03-30 18:09:56.036459	106085	2028	3	2
2014-03-30 18:09:56.259303	106086	1136198.9529029892	4	2
2014-03-30 18:10:08.035552	106087	837	3	2
2014-03-30 18:10:08.267146	106088	1136204.6980765965	4	2
2014-03-30 18:10:11.362388	106089	49	2	10
2014-03-30 18:10:11.584764	106090	20.9	1	10
2014-03-30 18:10:20.98909	106091	51	2	8
2014-03-30 18:10:21.223053	106092	19.6	1	8
2014-03-30 18:10:32.039155	106093	1979	3	2
2014-03-30 18:10:32.26131	106094	1136215.0393890892	4	2
2014-03-30 18:10:32.568764	106095	53	2	1
2014-03-30 18:10:32.809891	106096	20.3	1	1
2014-03-30 18:10:44.03791	106097	1963	3	2
2014-03-30 18:10:44.259395	106098	1136221.9335974175	4	2
2014-03-30 18:10:50.357623	106099	49	2	10
2014-03-30 18:10:50.591137	106100	20.9	1	10
2014-03-30 18:10:56.041726	106101	853	3	2
2014-03-30 18:10:56.265205	106102	1136225.380701582	4	2
2014-03-30 18:10:59.986571	106103	52	2	8
2014-03-30 18:11:00.220438	106104	19.6	1	8
2014-03-30 18:11:08.037933	106105	2012	3	2
2014-03-30 18:11:08.260158	106106	1136231.125875189	4	2
2014-03-30 18:11:11.466073	106107	53	2	1
2014-03-30 18:11:11.69901	106108	20.3	1	1
2014-03-30 18:11:20.037126	106109	2012	3	2
2014-03-30 18:11:20.261789	106110	1136238.0200835173	4	2
2014-03-30 18:11:29.360309	106111	49	2	10
2014-03-30 18:11:29.593664	106112	20.9	1	10
2014-03-30 18:11:32.037639	106113	804	3	2
2014-03-30 18:11:32.260592	106114	1136242.616222403	4	2
2014-03-30 18:11:38.986402	106115	52	2	8
2014-03-30 18:11:39.222822	106116	19.7	1	8
2014-03-30 18:11:44.033855	106117	1963	3	2
2014-03-30 18:11:44.265803	106118	1136247.2123612887	4	2
2014-03-30 18:11:50.4642	106119	53	2	1
2014-03-30 18:11:50.697344	106120	20.3	1	1
2014-03-30 18:11:56.041815	106121	2012	3	2
2014-03-30 18:11:56.267473	106122	1136254.1065696173	4	2
2014-03-30 18:12:08.037746	106123	853	3	2
2014-03-30 18:12:08.27291	106124	1136259.8517432243	4	2
2014-03-30 18:12:08.578003	106125	49	2	10
2014-03-30 18:12:08.800463	106126	20.9	1	10
2014-03-30 18:12:17.989527	106127	52	2	8
2014-03-30 18:12:18.224277	106128	19.7	1	8
2014-03-30 18:12:20.036185	106129	1979	3	2
2014-03-30 18:12:20.259879	106130	1136263.2988473885	4	2
2014-03-30 18:12:29.463292	106131	53	2	1
2014-03-30 18:12:29.695703	106132	20.4	1	1
2014-03-30 18:12:32.037636	106133	1867	3	2
2014-03-30 18:12:32.259284	106134	1136270.193055717	4	2
2014-03-30 18:12:44.03653	106135	1867	3	2
2014-03-30 18:12:44.270723	106136	1136275.938229324	4	2
2014-03-30 18:12:47.362624	106137	49	2	10
2014-03-30 18:12:47.586784	106138	20.9	1	10
2014-03-30 18:12:56.988048	106139	52	2	8
2014-03-30 18:12:57.220484	106140	19.7	1	8
2014-03-30 18:13:08.034652	106141	1931	3	2
2014-03-30 18:13:08.256096	106142	1136286.2795418168	4	2
2014-03-30 18:13:08.561911	106143	53	2	1
2014-03-30 18:13:08.806909	106144	20.4	1	1
2014-03-30 18:13:20.03747	106145	1979	3	2
2014-03-30 18:13:20.260378	106146	1136292.0291863761	4	2
2014-03-30 18:13:26.359403	106147	49	2	10
2014-03-30 18:13:26.592651	106148	20.9	1	10
2014-03-30 18:13:32.040185	106149	692	3	2
2014-03-30 18:13:32.262621	106150	1136296.6253252618	4	2
2014-03-30 18:13:35.9877	106151	52	2	8
2014-03-30 18:13:36.224797	106152	19.7	1	8
2014-03-30 18:13:44.036221	106153	1883	3	2
2014-03-30 18:13:44.259782	106154	1136300.072429426	4	2
2014-03-30 18:13:47.462975	106155	53	2	1
2014-03-30 18:13:47.697127	106156	20.4	1	1
2014-03-30 18:13:56.034272	106157	1963	3	2
2014-03-30 18:13:56.257142	106158	1136306.9666377546	4	2
2014-03-30 18:14:05.359535	106159	48	2	10
2014-03-30 18:14:05.595015	106160	21.0	1	10
2014-03-30 18:14:08.03664	106161	1947	3	2
2014-03-30 18:14:08.259346	106162	1136313.860846083	4	2
2014-03-30 18:14:14.988327	106163	52	2	8
2014-03-30 18:14:15.220354	106164	19.7	1	8
2014-03-30 18:14:26.462248	106165	53	2	1
2014-03-30 18:14:26.687829	106166	20.4	1	1
2014-03-30 18:14:32.043013	106167	1867	3	2
2014-03-30 18:14:32.2763	106168	1136323.0531238543	4	2
2014-03-30 18:14:44.359748	106169	48	2	10
2014-03-30 18:14:44.581484	106170	21.0	1	10
2014-03-30 18:14:53.988233	106171	52	2	8
2014-03-30 18:14:54.221477	106172	19.7	1	8
2014-03-30 18:14:56.035837	106173	820	3	2
2014-03-30 18:14:56.257855	106174	1136333.394436347	4	2
2014-03-30 18:15:05.462239	106175	53	2	1
2014-03-30 18:15:05.696155	106176	20.4	1	1
2014-03-30 18:15:08.036626	106177	1931	3	2
2014-03-30 18:15:08.258477	106178	1136339.139609954	4	2
2014-03-30 18:15:23.350195	106179	48	2	10
2014-03-30 18:15:23.58346	106180	21.0	1	10
2014-03-30 18:15:32.987935	106181	52	2	8
2014-03-30 18:15:33.209569	106182	19.7	1	8
2014-03-30 18:15:44.035032	106183	1851	3	2
2014-03-30 18:15:44.268889	106184	1136354.0770613325	4	2
2014-03-30 18:15:44.575809	106185	53	2	1
2014-03-30 18:15:44.799349	106186	20.4	1	1
2014-03-30 18:15:56.038516	106187	1947	3	2
2014-03-30 18:15:56.271682	106188	1136360.971269661	4	2
2014-03-30 18:16:02.359726	106189	48	2	10
2014-03-30 18:16:02.583018	106190	21.0	1	10
2014-03-30 18:16:08.041846	106191	1931	3	2
2014-03-30 18:16:08.284754	106192	1136366.7164432681	4	2
2014-03-30 18:16:11.989031	106193	52	2	8
2014-03-30 18:16:12.2107	106194	19.7	1	8
2014-03-30 18:16:20.036671	106195	724	3	2
2014-03-30 18:16:20.271341	106196	1136369.014512711	4	2
2014-03-30 18:16:23.462731	106197	53	2	1
2014-03-30 18:16:23.683292	106198	20.4	1	1
2014-03-30 18:16:32.037405	106199	1883	3	2
2014-03-30 18:16:32.270679	106200	1136375.9087210395	4	2
2014-03-30 18:16:41.360467	106201	48	2	10
2014-03-30 18:16:41.583755	106202	21.0	1	10
2014-03-30 18:16:44.033609	106203	1867	3	2
2014-03-30 18:16:44.268101	106204	1136381.6538946466	4	2
2014-03-30 18:16:50.988842	106205	52	2	8
2014-03-30 18:16:51.213033	106206	19.7	1	8
2014-03-30 18:16:56.034155	106207	820	3	2
2014-03-30 18:16:56.272768	106208	1136385.1009988107	4	2
2014-03-30 18:17:02.461573	106209	53	2	1
2014-03-30 18:17:02.68447	106210	20.4	1	1
2014-03-30 18:17:08.035238	106211	1931	3	2
2014-03-30 18:17:08.269896	106212	1136390.8461724177	4	2
2014-03-30 18:17:20.036067	106213	1883	3	2
2014-03-30 18:17:20.263496	106214	1136397.7403807463	4	2
2014-03-30 18:17:20.567028	106215	48	2	10
2014-03-30 18:17:20.799056	106216	21.0	1	10
2014-03-30 18:17:29.988227	106217	52	2	8
2014-03-30 18:17:30.211683	106218	19.7	1	8
2014-03-30 18:17:32.033718	106219	804	3	2
2014-03-30 18:17:32.271156	106220	1136402.336519632	4	2
2014-03-30 18:17:41.460879	106221	53	2	1
2014-03-30 18:17:41.704198	106222	20.4	1	1
2014-03-30 18:17:44.035728	106223	1947	3	2
2014-03-30 18:17:44.268949	106224	1136406.9326585177	4	2
2014-03-30 18:17:56.036062	106225	2012	3	2
2014-03-30 18:17:56.257857	106226	1136412.6778321248	4	2
2014-03-30 18:17:59.36131	106227	48	2	10
2014-03-30 18:17:59.593993	106228	21.1	1	10
2014-03-30 18:18:08.989062	106229	52	2	8
2014-03-30 18:18:09.212578	106230	19.8	1	8
2014-03-30 18:18:20.035149	106231	804	3	2
2014-03-30 18:18:20.267386	106232	1136423.0191446175	4	2
2014-03-30 18:18:20.572217	106233	53	2	1
2014-03-30 18:18:20.794105	106234	20.4	1	1
2014-03-30 18:18:32.035391	106235	1979	3	2
2014-03-30 18:18:32.27045	106236	1136428.7643182245	4	2
2014-03-30 18:18:38.360219	106237	48	2	10
2014-03-30 18:18:38.58414	106238	21.1	1	10
2014-03-30 18:18:44.039777	106239	1963	3	2
2014-03-30 18:18:44.283722	106240	1136435.658526553	4	2
2014-03-30 18:18:47.987604	106241	52	2	8
2014-03-30 18:18:48.209212	106242	19.8	1	8
2014-03-30 18:18:56.035541	106243	853	3	2
2014-03-30 18:18:56.268689	106244	1136440.2546654386	4	2
2014-03-30 18:18:59.462092	106245	53	2	1
2014-03-30 18:18:59.685757	106246	20.5	1	1
2014-03-30 18:19:17.360405	106247	48	2	10
2014-03-30 18:19:17.597934	106248	21.1	1	10
2014-03-30 18:19:20.036484	106249	1947	3	2
2014-03-30 18:19:20.257786	106250	1136450.5959779313	4	2
2014-03-30 18:19:26.988163	106251	52	2	8
2014-03-30 18:19:27.223553	106252	19.8	1	8
2014-03-30 18:19:32.034763	106253	708	3	2
2014-03-30 18:19:32.261406	106254	1136456.3411515385	4	2
2014-03-30 18:19:38.459459	106255	53	2	1
2014-03-30 18:19:38.695338	106256	20.5	1	1
2014-03-30 18:19:44.04002	106257	1963	3	2
2014-03-30 18:19:44.263993	106258	1136459.7882557027	4	2
2014-03-30 18:19:56.034291	106259	1995	3	2
2014-03-30 18:19:56.268108	106260	1136466.6824640313	4	2
2014-03-30 18:19:56.571127	106261	49	2	10
2014-03-30 18:19:56.795471	106262	21.1	1	10
2014-03-30 18:20:05.987837	106263	52	2	8
2014-03-30 18:20:06.221438	106264	19.8	1	8
2014-03-30 18:20:08.036396	106265	1995	3	2
2014-03-30 18:20:08.260314	106266	1136473.5766723596	4	2
2014-03-30 18:20:17.458862	106267	53	2	1
2014-03-30 18:20:17.689604	106268	20.5	1	1
2014-03-30 18:20:20.034462	106269	724	3	2
2014-03-30 18:20:20.256764	106270	1136475.8747418025	4	2
2014-03-30 18:20:32.034305	106271	1931	3	2
2014-03-30 18:20:32.26756	106272	1136481.6199154097	4	2
2014-03-30 18:20:35.361295	106273	49	2	10
2014-03-30 18:20:35.583762	106274	21.1	1	10
2014-03-30 18:20:44.986602	106275	53	2	8
2014-03-30 18:20:45.225362	106276	19.8	1	8
2014-03-30 18:20:56.035015	106277	837	3	2
2014-03-30 18:20:56.258243	106278	1136493.1102626238	4	2
2014-03-30 18:20:56.563402	106279	53	2	1
2014-03-30 18:20:56.795246	106280	20.5	1	1
2014-03-30 18:21:08.036673	106281	1963	3	2
2014-03-30 18:21:08.262709	106282	1136497.7064015095	4	2
2014-03-30 18:21:14.360376	106283	49	2	10
2014-03-30 18:21:14.59389	106284	21.1	1	10
2014-03-30 18:21:20.039858	106285	1931	3	2
2014-03-30 18:21:20.265211	106286	1136504.6006098378	4	2
2014-03-30 18:21:23.99004	106287	53	2	8
2014-03-30 18:21:24.231833	106288	19.8	1	8
2014-03-30 18:21:32.035958	106289	804	3	2
2014-03-30 18:21:32.260865	106290	1136510.345783445	4	2
2014-03-30 18:21:35.459306	106291	53	2	1
2014-03-30 18:21:35.876158	106292	20.5	1	1
2014-03-30 18:21:44.033675	106293	1979	3	2
2014-03-30 18:21:44.254989	106294	1136513.7928876092	4	2
2014-03-30 18:21:53.359571	106295	49	2	10
2014-03-30 18:21:53.580356	106296	21.1	1	10
2014-03-30 18:21:56.035782	106297	2012	3	2
2014-03-30 18:21:56.263925	106298	1136519.5380612162	4	2
2014-03-30 18:22:02.987713	106299	53	2	8
2014-03-30 18:22:03.211502	106300	19.8	1	8
2014-03-30 18:22:08.033131	106301	1979	3	2
2014-03-30 18:22:08.272391	106302	1136526.4322695448	4	2
2014-03-30 18:22:14.456928	106303	53	2	1
2014-03-30 18:22:14.678772	106304	20.5	1	1
2014-03-30 18:22:20.03859	106305	724	3	2
2014-03-30 18:22:20.271949	106306	1136528.7303389877	4	2
2014-03-30 18:22:32.033915	106307	1947	3	2
2014-03-30 18:22:32.257717	106308	1136535.624547316	4	2
2014-03-30 18:22:32.563095	106309	49	2	10
2014-03-30 18:22:32.795557	106310	21.2	1	10
2014-03-30 18:22:41.985894	106311	53	2	8
2014-03-30 18:22:42.212625	106312	19.8	1	8
2014-03-30 18:22:44.035303	106313	2028	3	2
2014-03-30 18:22:44.268799	106314	1136542.5187556446	4	2
2014-03-30 18:22:53.456557	106315	53	2	1
2014-03-30 18:22:53.67916	106316	20.5	1	1
2014-03-30 18:22:56.033111	106317	853	3	2
2014-03-30 18:22:56.266485	106318	1136547.1148945303	4	2
2014-03-30 18:23:08.034579	106319	2012	3	2
2014-03-30 18:23:08.258601	106320	1136551.711033416	4	2
2014-03-30 18:23:11.361675	106321	49	2	10
2014-03-30 18:23:11.593677	106322	21.2	1	10
2014-03-30 18:23:20.98757	106323	53	2	8
2014-03-30 18:23:21.209421	106324	19.8	1	8
2014-03-30 18:23:32.03498	106325	708	3	2
2014-03-30 18:23:32.269409	106326	1136564.3504153516	4	2
2014-03-30 18:23:32.573139	106327	54	2	1
2014-03-30 18:23:32.794743	106328	20.5	1	1
2014-03-30 18:23:44.034195	106329	1947	3	2
2014-03-30 18:23:44.267422	106330	1136567.7975195157	4	2
2014-03-30 18:23:50.361693	106331	49	2	10
2014-03-30 18:23:50.58738	106332	21.2	1	10
2014-03-30 18:23:56.037051	106333	1979	3	2
2014-03-30 18:23:56.268949	106334	1136574.6917278443	4	2
2014-03-30 18:23:59.987752	106335	53	2	8
2014-03-30 18:24:00.209545	106336	19.8	1	8
2014-03-30 18:24:08.035318	106337	1963	3	2
2014-03-30 18:24:08.281361	106338	1136579.292337682	4	2
2014-03-30 18:24:11.459726	106339	54	2	1
2014-03-30 18:24:11.684478	106340	20.6	1	1
2014-03-30 18:24:20.03336	106341	708	3	2
2014-03-30 18:24:20.264071	106342	1136582.7394418463	4	2
2014-03-30 18:24:29.361903	106343	49	2	10
2014-03-30 18:24:29.585097	106344	21.2	1	10
2014-03-30 18:24:32.035285	106345	1931	3	2
2014-03-30 18:24:32.266092	106346	1136588.4846154535	4	2
2014-03-30 18:24:38.988922	106347	53	2	8
2014-03-30 18:24:39.212619	106348	19.8	1	8
2014-03-30 18:24:44.034598	106349	1947	3	2
2014-03-30 18:24:44.270924	106350	1136595.3788237819	4	2
2014-03-30 18:24:50.455069	106351	54	2	1
2014-03-30 18:24:50.680098	106352	20.6	1	1
2014-03-30 18:24:56.035688	106353	804	3	2
2014-03-30 18:24:56.27028	106354	1136599.9749626676	4	2
2014-03-30 18:25:08.035458	106355	1963	3	2
2014-03-30 18:25:08.2578	106356	1136603.4220668317	4	2
2014-03-30 18:25:08.56258	106357	49	2	10
2014-03-30 18:25:08.795185	106358	21.2	1	10
2014-03-30 18:25:17.98687	106359	53	2	8
2014-03-30 18:25:18.221567	106360	19.8	1	8
2014-03-30 18:25:20.034675	106361	1883	3	2
2014-03-30 18:25:20.265892	106362	1136610.3162751603	4	2
2014-03-30 18:25:29.457589	106363	54	2	1
2014-03-30 18:25:29.679322	106364	20.6	1	1
2014-03-30 18:25:32.033478	106365	724	3	2
2014-03-30 18:25:32.265096	106366	1136614.912414046	4	2
2014-03-30 18:25:44.032493	106367	804	3	2
2014-03-30 18:25:44.255034	106368	1136618.3595182102	4	2
2014-03-30 18:25:47.361641	106369	49	2	10
2014-03-30 18:25:47.594284	106370	21.2	1	10
2014-03-30 18:25:56.988113	106371	53	2	8
2014-03-30 18:25:57.211579	106372	19.8	1	8
2014-03-30 18:26:08.031755	106373	1979	3	2
2014-03-30 18:26:08.264009	106374	1136630.9989001458	4	2
2014-03-30 18:26:08.56918	106375	54	2	1
2014-03-30 18:26:08.793052	106376	20.6	1	1
2014-03-30 18:26:20.033627	106377	692	3	2
2014-03-30 18:26:20.268126	106378	1136634.44600431	4	2
2014-03-30 18:26:26.363862	106379	49	2	10
2014-03-30 18:26:26.585576	106380	21.2	1	10
2014-03-30 18:26:32.036889	106381	1947	3	2
2014-03-30 18:26:32.268033	106382	1136640.1911779172	4	2
2014-03-30 18:26:35.988293	106383	53	2	8
2014-03-30 18:26:36.210722	106384	19.8	1	8
2014-03-30 18:26:44.034072	106385	1979	3	2
2014-03-30 18:26:44.27663	106386	1136647.0853862455	4	2
2014-03-30 18:26:47.454843	106387	54	2	1
2014-03-30 18:26:47.676516	106388	20.6	1	1
2014-03-30 18:26:56.036454	106389	837	3	2
2014-03-30 18:26:56.268205	106390	1136651.6815251312	4	2
2014-03-30 18:27:05.362591	106391	49	2	10
2014-03-30 18:27:05.583972	106392	21.2	1	10
2014-03-30 18:27:08.035	106393	1963	3	2
2014-03-30 18:27:08.266352	106394	1136655.1286292954	4	2
2014-03-30 18:27:14.98768	106395	53	2	8
2014-03-30 18:27:15.21194	106396	19.9	1	8
2014-03-30 18:27:20.034941	106397	1883	3	2
2014-03-30 18:27:20.272171	106398	1136660.8738029026	4	2
2014-03-30 18:27:26.453992	106399	54	2	1
2014-03-30 18:27:26.67613	106400	20.6	1	1
2014-03-30 18:27:32.037794	106401	708	3	2
2014-03-30 18:27:32.271316	106402	1136666.6189765097	4	2
2014-03-30 18:27:44.032951	106403	804	3	2
2014-03-30 18:27:44.259323	106404	1136668.9170459525	4	2
2014-03-30 18:27:44.560733	106405	49	2	10
2014-03-30 18:27:44.792599	106406	21.2	1	10
2014-03-30 18:27:53.987601	106407	53	2	8
2014-03-30 18:27:54.210308	106408	19.9	1	8
2014-03-30 18:27:56.03346	106409	1995	3	2
2014-03-30 18:27:56.266677	106410	1136675.8112542809	4	2
2014-03-30 18:28:05.453988	106411	54	2	1
2014-03-30 18:28:05.674988	106412	20.6	1	1
2014-03-30 18:28:08.03438	106413	1979	3	2
2014-03-30 18:28:08.268153	106414	1136682.7054626094	4	2
2014-03-30 18:28:20.031692	106415	724	3	2
2014-03-30 18:28:20.254663	106416	1136686.1525667736	4	2
2014-03-30 18:28:23.364366	106417	49	2	10
2014-03-30 18:28:23.597882	106418	21.3	1	10
2014-03-30 18:28:32.987521	106419	53	2	8
2014-03-30 18:28:33.211143	106420	19.9	1	8
2014-03-30 18:28:44.032537	106421	1947	3	2
2014-03-30 18:28:44.264234	106422	1136697.6429139879	4	2
2014-03-30 18:28:44.569983	106423	54	2	1
2014-03-30 18:28:44.7903	106424	20.6	1	1
2014-03-30 18:28:56.032804	106425	820	3	2
2014-03-30 18:28:56.264924	106426	1136702.2390528736	4	2
2014-03-30 18:29:02.362429	106427	49	2	10
2014-03-30 18:29:02.586059	106428	21.3	1	10
2014-03-30 18:29:08.035835	106429	2012	3	2
2014-03-30 18:29:08.270793	106430	1136705.6861570377	4	2
2014-03-30 18:29:11.988273	106431	53	2	8
2014-03-30 18:29:12.209779	106432	19.9	1	8
2014-03-30 18:29:20.033274	106433	1963	3	2
2014-03-30 18:29:20.276508	106434	1136712.5803653663	4	2
2014-03-30 18:29:23.457431	106435	54	2	1
2014-03-30 18:29:23.677472	106436	20.6	1	1
2014-03-30 18:29:32.033306	106437	804	3	2
2014-03-30 18:29:32.266467	106438	1136718.3255389733	4	2
2014-03-30 18:29:41.361998	106439	49	2	10
2014-03-30 18:29:41.585807	106440	21.3	1	10
2014-03-30 18:29:44.033362	106441	837	3	2
2014-03-30 18:29:44.26536	106442	1136721.7726431375	4	2
2014-03-30 18:29:50.988294	106443	53	2	8
2014-03-30 18:29:51.210396	106444	19.9	1	8
2014-03-30 18:29:56.032513	106445	2012	3	2
2014-03-30 18:29:56.267164	106446	1136727.5178167445	4	2
2014-03-30 18:30:02.452553	106447	54	2	1
2014-03-30 18:30:02.677266	106448	20.6	1	1
2014-03-30 18:30:08.035949	106449	1963	3	2
2014-03-30 18:30:08.270725	106450	1136734.412025073	4	2
2014-03-30 18:30:20.033775	106451	804	3	2
2014-03-30 18:30:20.257004	106452	1136737.8591292375	4	2
2014-03-30 18:30:20.564405	106453	49	2	10
2014-03-30 18:30:20.799108	106454	21.3	1	10
2014-03-30 18:30:29.987266	106455	54	2	8
2014-03-30 18:30:30.210621	106456	19.9	1	8
2014-03-30 18:30:32.033893	106457	1963	3	2
2014-03-30 18:30:32.265234	106458	1136742.455268123	4	2
2014-03-30 18:30:41.453064	106459	54	2	1
2014-03-30 18:30:41.677841	106460	20.6	1	1
2014-03-30 18:30:44.034259	106461	1995	3	2
2014-03-30 18:30:44.264891	106462	1136749.3494764515	4	2
2014-03-30 18:30:56.032748	106463	3203	3	2
2014-03-30 18:30:56.256205	106464	1136756.24368478	4	2
2014-03-30 18:30:59.363877	106465	49	2	10
2014-03-30 18:30:59.594743	106466	21.3	1	10
2014-03-30 18:31:08.030776	106467	4281	3	2
2014-03-30 18:31:08.293152	106468	1136767.7340319941	4	2
2014-03-30 18:31:08.987831	106469	54	2	8
2014-03-30 18:31:09.736812	106470	19.9	1	8
2014-03-30 18:31:20.034704	106471	4249	3	2
2014-03-30 18:31:20.277996	106472	1136781.522448651	4	2
2014-03-30 18:31:20.770463	106473	54	2	1
2014-03-30 18:31:21.206338	106474	20.6	1	1
2014-03-30 18:31:32.034426	106475	4185	3	2
2014-03-30 18:31:32.289685	106476	1136796.4599000295	4	2
2014-03-30 18:31:38.363831	106477	49	2	10
2014-03-30 18:31:38.630851	106478	21.3	1	10
2014-03-30 18:31:44.041381	106479	3138	3	2
2014-03-30 18:31:44.26494	106480	1136806.8012125222	4	2
2014-03-30 18:31:47.990537	106481	54	2	8
2014-03-30 18:31:48.232873	106482	19.9	1	8
2014-03-30 18:31:56.032978	106483	4297	3	2
2014-03-30 18:31:56.253823	106484	1136820.5896291793	4	2
2014-03-30 18:31:59.451883	106485	54	2	1
2014-03-30 18:31:59.68329	106486	20.7	1	1
2014-03-30 18:32:08.03749	106487	4265	3	2
2014-03-30 18:32:08.257666	106488	1136834.3780458362	4	2
2014-03-30 18:32:17.36583	106489	49	2	10
2014-03-30 18:32:17.599632	106490	21.4	1	10
2014-03-30 18:32:20.035042	106491	3010	3	2
2014-03-30 18:32:20.255284	106492	1136845.8683930503	4	2
2014-03-30 18:32:26.989728	106493	54	2	8
2014-03-30 18:32:27.222524	106494	19.9	1	8
2014-03-30 18:32:32.032966	106495	4169	3	2
2014-03-30 18:32:32.259192	106496	1136859.6568097074	4	2
2014-03-30 18:32:38.450277	106497	54	2	1
2014-03-30 18:32:38.685204	106498	20.7	1	1
2014-03-30 18:32:55.894984	106499	4265	3	2
2014-03-30 18:32:56.118619	106500	1136872.300662595	4	2
2014-03-30 18:32:56.423888	106501	3042	3	2
2014-03-30 18:32:56.654602	106502	1136884.9400445307	4	2
2014-03-30 18:32:56.96009	106503	49	2	10
2014-03-30 18:32:57.183103	106504	21.4	1	10
2014-03-30 18:33:05.986757	106505	54	2	8
2014-03-30 18:33:06.219023	106506	19.9	1	8
2014-03-30 18:33:08.033741	106507	4169	3	2
2014-03-30 18:33:08.257604	106508	1136895.2813570234	4	2
2014-03-30 18:33:17.449943	106509	54	2	1
2014-03-30 18:33:17.683282	106510	20.7	1	1
2014-03-30 18:33:20.033252	106511	4169	3	2
2014-03-30 18:33:20.445188	106512	1136909.0697736805	4	2
2014-03-30 18:33:32.031787	106513	4201	3	2
2014-03-30 18:33:32.26536	106514	1136924.0072250587	4	2
2014-03-30 18:33:35.364724	106515	49	2	10
2014-03-30 18:33:35.586367	106516	21.4	1	10
2014-03-30 18:33:44.985969	106517	54	2	8
2014-03-30 18:33:45.218958	106518	19.9	1	8
2014-03-30 18:33:56.033877	106519	4249	3	2
2014-03-30 18:33:56.256819	106520	1136948.1369542086	4	2
2014-03-30 18:33:56.566966	106521	54	2	1
2014-03-30 18:33:56.801082	106522	20.7	1	1
2014-03-30 18:34:08.032271	106523	4169	3	2
2014-03-30 18:34:08.254925	106524	1136961.9253708655	4	2
2014-03-30 18:34:14.365996	106525	49	2	10
2014-03-30 18:34:14.598932	106526	21.4	1	10
2014-03-30 18:34:22.726366	106527	2993	3	2
2014-03-30 18:34:22.950154	106528	1136973.4157180795	4	2
2014-03-30 18:34:23.987769	106529	54	2	8
2014-03-30 18:34:24.233081	106530	19.9	1	8
2014-03-30 18:34:32.03632	106531	4152	3	2
2014-03-30 18:34:32.258575	106532	1136984.9060652938	4	2
2014-03-30 18:34:35.450872	106533	54	2	1
2014-03-30 18:34:35.680722	106534	20.7	1	1
2014-03-30 18:34:53.164902	106535	4185	3	2
2014-03-30 18:34:53.387201	106536	1136998.6944819507	4	2
2014-03-30 18:34:53.693624	106537	49	2	10
2014-03-30 18:34:53.926209	106538	21.4	1	10
2014-03-30 18:34:56.034498	106539	3042	3	2
2014-03-30 18:34:56.257607	106540	1137011.3338638863	4	2
2014-03-30 18:35:02.987453	106541	54	2	8
2014-03-30 18:35:03.218935	106542	20.0	1	8
2014-03-30 18:35:08.032231	106543	4136	3	2
2014-03-30 18:35:08.259925	106544	1137021.675176379	4	2
2014-03-30 18:35:14.451727	106545	54	2	1
2014-03-30 18:35:14.685477	106546	20.7	1	1
2014-03-30 18:35:20.037058	106547	4152	3	2
2014-03-30 18:35:20.258599	106548	1137036.6126277575	4	2
2014-03-30 18:35:32.033142	106549	4185	3	2
2014-03-30 18:35:32.265269	106550	1137050.4010444144	4	2
2014-03-30 18:35:32.571203	106551	49	2	10
2014-03-30 18:35:32.79442	106552	21.4	1	10
2014-03-30 18:35:41.987469	106553	54	2	8
2014-03-30 18:35:42.222535	106554	20.0	1	8
2014-03-30 18:35:44.034269	106555	3026	3	2
2014-03-30 18:35:44.257326	106556	1137059.5933221858	4	2
2014-03-30 18:35:53.449304	106557	54	2	1
2014-03-30 18:35:53.684324	106558	20.7	1	1
2014-03-30 18:35:56.032522	106559	4201	3	2
2014-03-30 18:35:56.256065	106560	1137073.3817388427	4	2
2014-03-30 18:36:08.032899	106561	4169	3	2
2014-03-30 18:36:08.265551	106562	1137087.1701554998	4	2
2014-03-30 18:36:11.36487	106563	49	2	10
2014-03-30 18:36:11.587808	106564	21.4	1	10
2014-03-30 18:36:20.986448	106565	54	2	8
2014-03-30 18:36:21.21813	106566	20.0	1	8
2014-03-30 18:36:32.031606	106567	4249	3	2
2014-03-30 18:36:32.25498	106568	1137110.1508499281	4	2
2014-03-30 18:36:32.560621	106569	54	2	1
2014-03-30 18:36:32.796203	106570	20.7	1	1
2014-03-30 18:36:44.034402	106571	4201	3	2
2014-03-30 18:36:44.257678	106572	1137123.939266585	4	2
2014-03-30 18:36:50.365219	106573	49	2	10
2014-03-30 18:36:50.596174	106574	21.4	1	10
2014-03-30 18:36:56.037209	106575	2977	3	2
2014-03-30 18:36:56.260944	106576	1137136.5786485206	4	2
2014-03-30 18:36:59.985748	106577	54	2	8
2014-03-30 18:37:00.227985	106578	20.0	1	8
2014-03-30 18:37:08.032483	106579	2945	3	2
2014-03-30 18:37:08.256346	106580	1137146.9199610134	4	2
2014-03-30 18:37:11.449421	106581	54	2	1
2014-03-30 18:37:11.683281	106582	20.7	1	1
2014-03-30 18:37:20.033667	106583	4120	3	2
2014-03-30 18:37:20.25725	106584	1137160.7083776703	4	2
2014-03-30 18:37:29.36484	106585	49	2	10
2014-03-30 18:37:29.597387	106586	21.4	1	10
2014-03-30 18:37:32.035662	106587	4152	3	2
2014-03-30 18:37:32.258836	106588	1137173.3522305582	4	2
2014-03-30 18:37:38.988297	106589	54	2	8
2014-03-30 18:37:39.224658	106590	20.0	1	8
2014-03-30 18:37:44.035616	106591	2993	3	2
2014-03-30 18:37:44.265171	106592	1137183.693543051	4	2
2014-03-30 18:37:50.447459	106593	54	2	1
2014-03-30 18:37:50.679098	106594	20.7	1	1
2014-03-30 18:37:56.038126	106595	4185	3	2
2014-03-30 18:37:56.260293	106596	1137196.3329249865	4	2
2014-03-30 18:38:08.366258	106597	49	2	10
2014-03-30 18:38:08.601383	106598	21.4	1	10
2014-03-30 18:38:17.986716	106599	54	2	8
2014-03-30 18:38:18.210772	106600	20.0	1	8
2014-03-30 18:38:20.033372	106601	2977	3	2
2014-03-30 18:38:20.266319	106602	1137221.6116888574	4	2
2014-03-30 18:38:29.445204	106603	54	2	1
2014-03-30 18:38:29.667124	106604	20.7	1	1
2014-03-30 18:38:32.031761	106605	4152	3	2
2014-03-30 18:38:32.264214	106606	1137233.1020360717	4	2
2014-03-30 18:38:44.035486	106607	4152	3	2
2014-03-30 18:38:44.26169	106608	1137246.8904527286	4	2
2014-03-30 18:38:47.365745	106609	49	2	10
2014-03-30 18:38:47.597564	106610	21.5	1	10
2014-03-30 18:38:56.98398	106611	54	2	8
2014-03-30 18:38:57.207777	106612	20.0	1	8
2014-03-30 18:39:08.032917	106613	2929	3	2
2014-03-30 18:39:08.267297	106614	1137269.871147157	4	2
2014-03-30 18:39:08.57212	106615	54	2	1
2014-03-30 18:39:08.794502	106616	20.7	1	1
2014-03-30 18:39:20.031886	106617	4072	3	2
2014-03-30 18:39:20.262488	106618	1137283.6595638138	4	2
2014-03-30 18:39:26.368193	106619	49	2	10
2014-03-30 18:39:26.589987	106620	21.5	1	10
2014-03-30 18:39:32.036598	106621	4185	3	2
2014-03-30 18:39:32.269549	106622	1137297.447980471	4	2
2014-03-30 18:39:35.985955	106623	54	2	8
2014-03-30 18:39:36.210535	106624	20.1	1	8
2014-03-30 18:39:44.032436	106625	2977	3	2
2014-03-30 18:39:44.274357	106626	1137307.7892929637	4	2
2014-03-30 18:39:47.484515	106627	54	2	1
2014-03-30 18:39:47.706113	106628	20.8	1	1
2014-03-30 18:39:56.032792	106629	4185	3	2
2014-03-30 18:39:56.26552	106630	1137320.4286748993	4	2
2014-03-30 18:40:05.368217	106631	49	2	10
2014-03-30 18:40:05.591427	106632	21.5	1	10
2014-03-30 18:40:08.033149	106633	4072	3	2
2014-03-30 18:40:08.264687	106634	1137334.2170915562	4	2
2014-03-30 18:40:14.986369	106635	54	2	8
2014-03-30 18:40:15.208792	106636	20.1	1	8
2014-03-30 18:40:20.039927	106637	2961	3	2
2014-03-30 18:40:20.276511	106638	1137345.7074387702	4	2
2014-03-30 18:40:26.449584	106639	54	2	1
2014-03-30 18:40:26.672967	106640	20.8	1	1
2014-03-30 18:40:32.03648	106641	4136	3	2
2014-03-30 18:40:32.267529	106642	1137357.1977859845	4	2
2014-03-30 18:40:44.033044	106643	4136	3	2
2014-03-30 18:40:44.258768	106644	1137370.9862026414	4	2
2014-03-30 18:40:44.564666	106645	49	2	10
2014-03-30 18:40:44.798878	106646	21.5	1	10
2014-03-30 18:40:53.987241	106647	54	2	8
2014-03-30 18:40:54.208503	106648	20.1	1	8
2014-03-30 18:40:56.03124	106649	2993	3	2
2014-03-30 18:40:56.263157	106650	1137383.625584577	4	2
2014-03-30 18:41:05.447036	106651	54	2	1
2014-03-30 18:41:05.673206	106652	20.8	1	1
2014-03-30 18:41:20.032746	106653	4072	3	2
2014-03-30 18:41:20.265586	106654	1137407.7553137268	4	2
2014-03-30 18:41:23.366449	106655	49	2	10
2014-03-30 18:41:23.588722	106656	21.5	1	10
2014-03-30 18:41:32.986167	106657	54	2	8
2014-03-30 18:41:33.219167	106658	20.1	1	8
2014-03-30 18:41:44.030841	106659	2913	3	2
2014-03-30 18:41:44.254785	106660	1137430.736008155	4	2
2014-03-30 18:41:44.559159	106661	54	2	1
2014-03-30 18:41:44.793416	106662	20.8	1	1
2014-03-30 18:41:56.03287	106663	4056	3	2
2014-03-30 18:41:56.255	106664	1137443.3753900905	4	2
2014-03-30 18:42:02.368012	106665	49	2	10
2014-03-30 18:42:02.600404	106666	21.6	1	10
2014-03-30 18:42:08.032448	106667	4008	3	2
2014-03-30 18:42:08.255316	106668	1137457.1638067476	4	2
2014-03-30 18:42:11.986641	106669	54	2	8
2014-03-30 18:42:12.219474	106670	20.1	1	8
2014-03-30 18:42:20.03254	106671	2849	3	2
2014-03-30 18:42:20.255048	106672	1137467.5095901925	4	2
2014-03-30 18:42:23.445077	106673	54	2	1
2014-03-30 18:42:23.687902	106674	20.8	1	1
2014-03-30 18:42:32.03552	106675	4024	3	2
2014-03-30 18:42:32.258121	106676	1137477.8509026852	4	2
2014-03-30 18:42:41.36874	106677	50	2	10
2014-03-30 18:42:41.60449	106678	21.6	1	10
2014-03-30 18:42:44.033362	106679	4072	3	2
2014-03-30 18:42:44.256514	106680	1137491.6393193423	4	2
2014-03-30 18:42:50.987409	106681	54	2	8
2014-03-30 18:42:51.221453	106682	20.1	1	8
2014-03-30 18:43:02.443862	106683	54	2	1
2014-03-30 18:43:02.665832	106684	20.8	1	1
2014-03-30 18:43:08.034774	106685	2913	3	2
2014-03-30 18:43:08.267136	106686	1137514.6200137706	4	2
2014-03-30 18:43:20.035927	106687	4056	3	2
2014-03-30 18:43:20.260487	106688	1137528.4084304275	4	2
2014-03-30 18:43:20.572123	106689	50	2	10
2014-03-30 18:43:20.803797	106690	21.6	1	10
2014-03-30 18:43:29.985856	106691	54	2	8
2014-03-30 18:43:30.213008	106692	20.1	1	8
2014-03-30 18:43:32.032925	106693	4072	3	2
2014-03-30 18:43:32.266697	106694	1137542.1968470844	4	2
2014-03-30 18:43:41.445736	106695	54	2	1
2014-03-30 18:43:41.670644	106696	20.8	1	1
2014-03-30 18:43:44.034386	106697	2945	3	2
2014-03-30 18:43:44.266009	106698	1137552.5381595772	4	2
2014-03-30 18:43:56.032846	106699	4136	3	2
2014-03-30 18:43:56.257138	106700	1137564.0285067915	4	2
2014-03-30 18:43:59.368298	106701	50	2	10
2014-03-30 18:43:59.599898	106702	21.6	1	10
2014-03-30 18:44:08.988837	106703	54	2	8
2014-03-30 18:44:09.213334	106704	20.1	1	8
2014-03-30 18:44:20.032269	106705	2897	3	2
2014-03-30 18:44:20.263763	106706	1137589.3072706626	4	2
2014-03-30 18:44:20.567458	106707	54	2	1
2014-03-30 18:44:20.791183	106708	20.8	1	1
2014-03-30 18:44:32.032363	106709	4056	3	2
2014-03-30 18:44:32.267768	106710	1137600.7976178767	4	2
2014-03-30 18:44:38.370562	106711	50	2	10
2014-03-30 18:44:38.59304	106712	21.6	1	10
2014-03-30 18:44:44.036502	106713	4120	3	2
2014-03-30 18:44:44.26746	106714	1137613.4369998123	4	2
2014-03-30 18:44:47.985995	106715	54	2	8
2014-03-30 18:44:48.207216	106716	20.1	1	8
2014-03-30 18:44:56.032504	106717	2929	3	2
2014-03-30 18:44:56.265165	106718	1137626.0763817478	4	2
2014-03-30 18:44:59.446622	106719	54	2	1
2014-03-30 18:44:59.668094	106720	20.8	1	1
2014-03-30 18:45:08.033056	106721	2913	3	2
2014-03-30 18:45:08.27914	106722	1137636.4176942406	4	2
2014-03-30 18:45:17.367523	106723	50	2	10
2014-03-30 18:45:17.591206	106724	21.7	1	10
2014-03-30 18:45:20.031905	106725	4040	3	2
2014-03-30 18:45:20.264205	106726	1137649.0570761762	4	2
2014-03-30 18:45:26.98524	106727	55	2	8
2014-03-30 18:45:27.206818	106728	20.1	1	8
2014-03-30 18:45:32.032532	106729	4136	3	2
2014-03-30 18:45:32.269905	106730	1137662.845492833	4	2
2014-03-30 18:45:38.444761	106731	54	2	1
2014-03-30 18:45:38.66756	106732	20.9	1	1
2014-03-30 18:45:44.036641	106733	2961	3	2
2014-03-30 18:45:44.270622	106734	1137674.3358400473	4	2
2014-03-30 18:45:56.033043	106735	4056	3	2
2014-03-30 18:45:56.256226	106736	1137685.8261872614	4	2
2014-03-30 18:45:56.562091	106737	50	2	10
2014-03-30 18:45:56.792628	106738	21.7	1	10
2014-03-30 18:46:05.985273	106739	55	2	8
2014-03-30 18:46:06.20717	106740	20.1	1	8
2014-03-30 18:46:08.052548	106741	4056	3	2
2014-03-30 18:46:08.285495	106742	1137699.6146039183	4	2
2014-03-30 18:46:17.442471	106743	54	2	1
2014-03-30 18:46:17.667399	106744	20.9	1	1
2014-03-30 18:46:20.032328	106745	2849	3	2
2014-03-30 18:46:20.264618	106746	1137711.1049511326	4	2
2014-03-30 18:46:32.03181	106747	4136	3	2
2014-03-30 18:46:32.253205	106748	1137721.4462636253	4	2
2014-03-30 18:46:35.367279	106749	50	2	10
2014-03-30 18:46:35.600654	106750	21.7	1	10
2014-03-30 18:46:44.986596	106751	55	2	8
2014-03-30 18:46:45.208251	106752	20.1	1	8
2014-03-30 18:46:56.032578	106753	2913	3	2
2014-03-30 18:46:56.265113	106754	1137747.8740622178	4	2
2014-03-30 18:46:56.571492	106755	54	2	1
2014-03-30 18:46:56.794198	106756	20.9	1	1
2014-03-30 18:47:08.080564	106757	2929	3	2
2014-03-30 18:47:08.312717	106758	1137757.0708109413	4	2
2014-03-30 18:47:14.368917	106759	50	2	10
2014-03-30 18:47:14.590417	106760	21.7	1	10
2014-03-30 18:47:20.035022	106761	4056	3	2
2014-03-30 18:47:20.265708	106762	1137769.7101928769	4	2
2014-03-30 18:47:23.985905	106763	55	2	8
2014-03-30 18:47:24.206535	106764	20.1	1	8
2014-03-30 18:47:32.032113	106765	4136	3	2
2014-03-30 18:47:32.265138	106766	1137783.4986095338	4	2
2014-03-30 18:47:35.442333	106767	54	2	1
2014-03-30 18:47:35.66468	106768	20.9	1	1
2014-03-30 18:47:44.035107	106769	2945	3	2
2014-03-30 18:47:44.278909	106770	1137793.8399220265	4	2
2014-03-30 18:47:53.366688	106771	50	2	10
2014-03-30 18:47:53.591515	106772	21.7	1	10
2014-03-30 18:47:56.034212	106773	4072	3	2
2014-03-30 18:47:56.266623	106774	1137806.479303962	4	2
2014-03-30 18:48:02.989332	106775	55	2	8
2014-03-30 18:48:03.212821	106776	20.2	1	8
2014-03-30 18:48:08.090001	106777	4056	3	2
2014-03-30 18:48:08.328051	106778	1137820.2677206192	4	2
2014-03-30 18:48:14.449789	106779	54	2	1
2014-03-30 18:48:14.672526	106780	20.9	1	1
2014-03-30 18:48:20.039351	106781	2945	3	2
2014-03-30 18:48:20.271063	106782	1137831.7580678333	4	2
2014-03-30 18:48:32.035049	106783	2961	3	2
2014-03-30 18:48:32.259028	106784	1137840.9503456047	4	2
2014-03-30 18:48:32.561446	106785	50	2	10
2014-03-30 18:48:32.793077	106786	21.7	1	10
2014-03-30 18:48:41.983897	106787	55	2	8
2014-03-30 18:48:42.208016	106788	20.2	1	8
2014-03-30 18:48:44.035726	106789	4120	3	2
2014-03-30 18:48:44.270755	106790	1137854.7387622616	4	2
2014-03-30 18:48:53.441116	106791	54	2	1
2014-03-30 18:48:53.662023	106792	20.9	1	1
2014-03-30 18:48:56.032447	106793	4072	3	2
2014-03-30 18:48:56.264663	106794	1137868.5271789185	4	2
2014-03-30 18:49:08.093708	106795	2929	3	2
2014-03-30 18:49:08.31665	106796	1137878.8684914112	4	2
2014-03-30 18:49:11.369649	106797	50	2	10
2014-03-30 18:49:11.601416	106798	21.7	1	10
2014-03-30 18:49:20.987137	106799	55	2	8
2014-03-30 18:49:21.217618	106800	20.2	1	8
2014-03-30 18:49:32.033264	106801	4072	3	2
2014-03-30 18:49:32.265848	106802	1137905.296290004	4	2
2014-03-30 18:49:32.569728	106803	54	2	1
2014-03-30 18:49:32.792529	106804	20.9	1	1
2014-03-30 18:49:44.032534	106805	2961	3	2
2014-03-30 18:49:44.265962	106806	1137916.786637218	4	2
2014-03-30 18:49:50.369514	106807	50	2	10
2014-03-30 18:49:50.591214	106808	21.8	1	10
2014-03-30 18:49:56.034928	106809	4040	3	2
2014-03-30 18:49:56.266724	106810	1137927.1279497107	4	2
2014-03-30 18:49:59.98672	106811	55	2	8
2014-03-30 18:50:00.206431	106812	20.2	1	8
2014-03-30 18:50:08.088832	106813	4040	3	2
2014-03-30 18:50:08.32506	106814	1137940.9163663678	4	2
2014-03-30 18:50:11.438922	106815	54	2	1
2014-03-30 18:50:11.661347	106816	20.9	1	1
2014-03-30 18:50:20.032531	106817	2961	3	2
2014-03-30 18:50:20.275231	106818	1137952.4067135819	4	2
2014-03-30 18:50:29.370166	106819	50	2	10
2014-03-30 18:50:29.595426	106820	21.8	1	10
2014-03-30 18:50:32.033696	106821	2961	3	2
2014-03-30 18:50:32.268006	106822	1137962.7480260746	4	2
2014-03-30 18:50:38.985127	106823	56	2	8
2014-03-30 18:50:39.206392	106824	20.2	1	8
2014-03-30 18:50:44.030699	106825	4136	3	2
2014-03-30 18:50:44.267672	106826	1137976.5364427315	4	2
2014-03-30 18:50:50.440571	106827	54	2	1
2014-03-30 18:50:50.664147	106828	20.9	1	1
2014-03-30 18:50:56.03527	106829	4040	3	2
2014-03-30 18:50:56.268127	106830	1137990.3248593886	4	2
2014-03-30 18:51:08.068672	106831	2913	3	2
2014-03-30 18:51:08.310046	106832	1137999.5171371598	4	2
2014-03-30 18:51:08.615951	106833	50	2	10
2014-03-30 18:51:08.846994	106834	21.8	1	10
2014-03-30 18:51:17.984239	106835	56	2	8
2014-03-30 18:51:18.208676	106836	20.2	1	8
2014-03-30 18:51:20.035197	106837	4136	3	2
2014-03-30 18:51:20.266528	106838	1138012.1565190954	4	2
2014-03-30 18:51:29.439938	106839	54	2	1
2014-03-30 18:51:29.664816	106840	20.9	1	1
2014-03-30 18:51:32.033307	106841	4120	3	2
2014-03-30 18:51:32.263852	106842	1138025.9449357525	4	2
2014-03-30 18:51:44.032459	106843	901	3	2
2014-03-30 18:51:44.255577	106844	1138033.9881788024	4	2
2014-03-30 18:51:47.36872	106845	50	2	10
2014-03-30 18:51:47.602124	106846	21.8	1	10
2014-03-30 18:51:56.985137	106847	56	2	8
2014-03-30 18:51:57.207441	106848	20.2	1	8
2014-03-30 18:52:08.037198	106849	2044	3	2
2014-03-30 18:52:08.321612	106850	1138044.3294912952	4	2
2014-03-30 18:52:08.62561	106851	54	2	1
2014-03-30 18:52:08.851721	106852	20.9	1	1
2014-03-30 18:52:20.033445	106853	885	3	2
2014-03-30 18:52:20.265622	106854	1138048.930101133	4	2
2014-03-30 18:52:26.368654	106855	50	2	10
2014-03-30 18:52:26.59387	106856	21.8	1	10
2014-03-30 18:52:32.038009	106857	885	3	2
2014-03-30 18:52:32.273114	106858	1138052.3772052971	4	2
2014-03-30 18:52:35.983431	106859	56	2	8
2014-03-30 18:52:36.206863	106860	20.2	1	8
2014-03-30 18:52:44.032302	106861	2076	3	2
2014-03-30 18:52:44.266525	106862	1138059.2714136257	4	2
2014-03-30 18:52:47.439506	106863	54	2	1
2014-03-30 18:52:47.663618	106864	20.9	1	1
2014-03-30 18:52:56.030047	106865	2140	3	2
2014-03-30 18:52:56.273398	106866	1138066.1656219542	4	2
2014-03-30 18:53:05.37	106867	50	2	10
2014-03-30 18:53:05.591665	106868	21.8	1	10
2014-03-30 18:53:08.030403	106869	885	3	2
2014-03-30 18:53:08.319417	106870	1138069.6127261184	4	2
2014-03-30 18:53:14.985712	106871	56	2	8
2014-03-30 18:53:15.205936	106872	20.2	1	8
2014-03-30 18:53:20.032183	106873	2124	3	2
2014-03-30 18:53:20.264491	106874	1138074.2088650041	4	2
2014-03-30 18:53:26.436336	106875	53	2	1
2014-03-30 18:53:26.65803	106876	21.0	1	1
2014-03-30 18:53:32.033075	106877	2173	3	2
2014-03-30 18:53:32.264101	106878	1138081.1030733325	4	2
2014-03-30 18:53:44.031863	106879	933	3	2
2014-03-30 18:53:44.252874	106880	1138085.6992122182	4	2
2014-03-30 18:53:44.556109	106881	50	2	10
2014-03-30 18:53:44.787246	106882	21.9	1	10
2014-03-30 18:53:53.98606	106883	56	2	8
2014-03-30 18:53:54.205851	106884	20.3	1	8
2014-03-30 18:53:56.032239	106885	2140	3	2
2014-03-30 18:53:56.263367	106886	1138090.2953511039	4	2
2014-03-30 18:54:05.43866	106887	53	2	1
2014-03-30 18:54:05.660092	106888	21.0	1	1
2014-03-30 18:54:08.034587	106889	2124	3	2
2014-03-30 18:54:08.322383	106890	1138097.1895594324	4	2
2014-03-30 18:54:20.031616	106891	933	3	2
2014-03-30 18:54:20.253733	106892	1138102.9347330395	4	2
2014-03-30 18:54:23.369057	106893	50	2	10
2014-03-30 18:54:23.602122	106894	21.9	1	10
2014-03-30 18:54:32.98566	106895	56	2	8
2014-03-30 18:54:33.209553	106896	20.3	1	8
2014-03-30 18:54:44.03217	106897	2124	3	2
2014-03-30 18:54:44.267261	106898	1138113.2760455322	4	2
2014-03-30 18:54:44.571974	106899	53	2	1
2014-03-30 18:54:44.794449	106900	21.0	1	1
2014-03-30 18:54:56.031302	106901	2124	3	2
2014-03-30 18:54:56.265889	106902	1138121.319288582	4	2
2014-03-30 18:55:02.367962	106903	50	2	10
2014-03-30 18:55:02.591335	106904	21.9	1	10
2014-03-30 18:55:11.786551	106905	885	3	2
2014-03-30 18:55:12.018243	106906	1138123.617358025	4	2
2014-03-30 18:55:12.32332	106907	57	2	8
2014-03-30 18:55:12.54551	106908	20.3	1	8
2014-03-30 18:55:20.031073	106909	4201	3	2
2014-03-30 18:55:20.266172	106910	1138132.8096357964	4	2
2014-03-30 18:55:23.438634	106911	53	2	1
2014-03-30 18:55:23.660466	106912	21.0	1	1
2014-03-30 18:55:32.029083	106913	4185	3	2
2014-03-30 18:55:32.274173	106914	1138146.5980524532	4	2
2014-03-30 18:55:41.429514	106915	50	2	10
2014-03-30 18:55:41.653766	106916	21.9	1	10
2014-03-30 18:55:44.031912	106917	3042	3	2
2014-03-30 18:55:44.262011	106918	1138158.0883996673	4	2
2014-03-30 18:55:50.98488	106919	57	2	8
2014-03-30 18:55:51.209661	106920	20.3	1	8
2014-03-30 18:55:56.032642	106921	4152	3	2
2014-03-30 18:55:56.268953	106922	1138168.42971216	4	2
2014-03-30 18:56:02.437866	106923	53	2	1
2014-03-30 18:56:02.662823	106924	21.0	1	1
2014-03-30 18:56:08.03689	106925	4072	3	2
2014-03-30 18:56:08.324367	106926	1138182.2181288172	4	2
2014-03-30 18:56:20.03308	106927	3010	3	2
2014-03-30 18:56:20.25746	106928	1138196.006545474	4	2
2014-03-30 18:56:20.564581	106929	50	2	10
2014-03-30 18:56:20.797919	106930	21.9	1	10
2014-03-30 18:56:29.985691	106931	57	2	8
2014-03-30 18:56:30.209548	106932	20.3	1	8
2014-03-30 18:56:32.029791	106933	3010	3	2
2014-03-30 18:56:32.25966	106934	1138205.1988232455	4	2
2014-03-30 18:56:41.489584	106935	53	2	1
2014-03-30 18:56:41.716409	106936	21.0	1	1
2014-03-30 18:56:44.03175	106937	2945	3	2
2014-03-30 18:56:44.264766	106938	1138215.5401357382	4	2
2014-03-30 18:56:56.032166	106939	2945	3	2
2014-03-30 18:56:56.25404	106940	1138225.881448231	4	2
2014-03-30 18:56:59.369304	106941	50	2	10
2014-03-30 18:56:59.602184	106942	21.9	1	10
2014-03-30 18:57:08.983454	106943	57	2	8
2014-03-30 18:57:09.205715	106944	20.4	1	8
2014-03-30 18:57:20.029488	106945	2993	3	2
2014-03-30 18:57:20.263831	106946	1138245.4150384949	4	2
2014-03-30 18:57:20.569325	106947	53	2	1
2014-03-30 18:57:20.793541	106948	21.0	1	1
2014-03-30 18:57:32.039599	106949	2993	3	2
2014-03-30 18:57:32.271741	106950	1138255.7563509876	4	2
2014-03-30 18:57:38.370585	106951	50	2	10
2014-03-30 18:57:38.618276	106952	21.9	1	10
2014-03-30 18:57:44.033798	106953	2945	3	2
2014-03-30 18:57:44.266632	106954	1138266.0976634803	4	2
2014-03-30 18:57:47.984795	106955	57	2	8
2014-03-30 18:57:48.208424	106956	20.4	1	8
2014-03-30 18:57:56.030536	106957	2961	3	2
2014-03-30 18:57:56.262907	106958	1138275.2899412517	4	2
2014-03-30 18:57:59.433765	106959	54	2	1
2014-03-30 18:57:59.656181	106960	21.0	1	1
2014-03-30 18:58:08.031462	106961	2993	3	2
2014-03-30 18:58:08.329902	106962	1138285.6312537445	4	2
2014-03-30 18:58:17.370727	106963	50	2	10
2014-03-30 18:58:17.592741	106964	22.0	1	10
2014-03-30 18:58:20.030777	106965	3010	3	2
2014-03-30 18:58:20.262819	106966	1138295.9725662372	4	2
2014-03-30 18:58:26.983422	106967	57	2	8
2014-03-30 18:58:27.205863	106968	20.4	1	8
2014-03-30 18:58:32.031602	106969	2977	3	2
2014-03-30 18:58:32.268851	106970	1138305.1648440084	4	2
2014-03-30 18:58:38.43236	106971	54	2	1
2014-03-30 18:58:38.654232	106972	21.0	1	1
2014-03-30 18:58:44.033128	106973	2897	3	2
2014-03-30 18:58:44.264735	106974	1138315.5061565011	4	2
2014-03-30 18:58:56.032464	106975	2897	3	2
2014-03-30 18:58:56.253335	106976	1138324.6984342725	4	2
2014-03-30 18:58:56.558651	106977	50	2	10
2014-03-30 18:58:56.790197	106978	22.0	1	10
2014-03-30 18:59:05.985744	106979	57	2	8
2014-03-30 18:59:06.206918	106980	20.4	1	8
2014-03-30 18:59:08.033007	106981	901	3	2
2014-03-30 18:59:08.303596	106982	1138333.890712044	4	2
2014-03-30 18:59:17.432015	106983	54	2	1
2014-03-30 18:59:17.653331	106984	21.0	1	1
2014-03-30 18:59:20.03246	106985	853	3	2
2014-03-30 18:59:20.266319	106986	1138336.1887814866	4	2
2014-03-30 18:59:32.033338	106987	837	3	2
2014-03-30 18:59:32.276168	106988	1138338.4913218818	4	2
2014-03-30 18:59:35.370409	106989	50	2	10
2014-03-30 18:59:35.603047	106990	22.0	1	10
2014-03-30 18:59:44.984843	106991	58	2	8
2014-03-30 18:59:45.208259	106992	20.4	1	8
2014-03-30 18:59:56.434658	106993	54	2	1
2014-03-30 18:59:56.668041	106994	21.0	1	1
2014-03-30 19:00:08.029522	106995	885	3	2
2014-03-30 19:00:08.257856	106996	1138346.5345649316	4	2
2014-03-30 19:00:14.371815	106997	50	2	10
2014-03-30 19:00:14.603303	106998	22.0	1	10
2014-03-30 19:00:20.034454	106999	869	3	2
2014-03-30 19:00:20.259861	107000	1138349.9816690958	4	2
2014-03-30 19:00:23.985721	107001	58	2	8
2014-03-30 19:00:24.221267	107002	20.5	1	8
2014-03-30 19:00:32.030321	107003	853	3	2
2014-03-30 19:00:32.25409	107004	1138352.2797385387	4	2
2014-03-30 19:00:35.432487	107005	54	2	1
2014-03-30 19:00:35.663765	107006	21.1	1	1
2014-03-30 19:00:53.372495	107007	50	2	10
2014-03-30 19:00:53.594911	107008	22.0	1	10
2014-03-30 19:01:02.986087	107009	58	2	8
2014-03-30 19:01:03.232725	107010	20.5	1	8
2014-03-30 19:01:08.028285	107011	885	3	2
2014-03-30 19:01:08.257025	107012	1138361.47201631	4	2
2014-03-30 19:01:14.436254	107013	54	2	1
2014-03-30 19:01:14.669674	107014	21.1	1	1
2014-03-30 19:01:20.031223	107015	853	3	2
2014-03-30 19:01:20.254814	107016	1138363.770085753	4	2
2014-03-30 19:01:32.030429	107017	837	3	2
2014-03-30 19:01:32.263567	107018	1138367.217189917	4	2
2014-03-30 19:01:32.572612	107019	50	2	10
2014-03-30 19:01:32.797456	107020	22.0	1	10
2014-03-30 19:01:41.984868	107021	58	2	8
2014-03-30 19:01:42.217432	107022	20.5	1	8
2014-03-30 19:01:53.435011	107023	54	2	1
2014-03-30 19:01:53.659022	107024	21.1	1	1
2014-03-30 19:02:08.030882	107025	885	3	2
2014-03-30 19:02:08.263503	107026	1138376.4094676885	4	2
2014-03-30 19:02:11.371608	107027	50	2	10
2014-03-30 19:02:11.595707	107028	22.1	1	10
2014-03-30 19:02:20.029791	107029	869	3	2
2014-03-30 19:02:20.262712	107030	1138378.7075371314	4	2
2014-03-30 19:02:20.984542	107031	59	2	8
2014-03-30 19:02:21.207032	107032	20.5	1	8
2014-03-30 19:02:32.029221	107033	837	3	2
2014-03-30 19:02:32.26113	107034	1138382.1546412956	4	2
2014-03-30 19:02:32.567178	107035	54	2	1
2014-03-30 19:02:32.801569	107036	21.1	1	1
2014-03-30 19:02:50.173527	107037	837	3	2
2014-03-30 19:02:50.406912	107038	1138384.4527107384	4	2
2014-03-30 19:02:50.714488	107039	50	2	10
2014-03-30 19:02:50.937178	107040	22.1	1	10
2014-03-30 19:02:56.032549	107041	2961	3	2
2014-03-30 19:02:56.263507	107042	1138392.4959537883	4	2
2014-03-30 19:02:59.984169	107043	59	2	8
2014-03-30 19:03:00.206908	107044	20.6	1	8
2014-03-30 19:03:11.430924	107045	54	2	1
2014-03-30 19:03:11.662424	107046	21.1	1	1
2014-03-30 19:03:29.3717	107047	50	2	10
2014-03-30 19:03:29.595071	107048	22.1	1	10
2014-03-30 19:03:38.985217	107049	59	2	8
2014-03-30 19:03:39.217355	107050	20.6	1	8
2014-03-30 19:03:44.02866	107051	2897	3	2
2014-03-30 19:03:44.25817	107052	1138432.7121690377	4	2
2014-03-30 19:03:50.431994	107053	54	2	1
2014-03-30 19:03:50.664696	107054	21.1	1	1
2014-03-30 19:03:56.032762	107055	2945	3	2
2014-03-30 19:03:56.256573	107056	1138441.904446809	4	2
2014-03-30 19:04:08.030865	107057	2929	3	2
2014-03-30 19:04:08.274869	107058	1138452.2457593018	4	2
2014-03-30 19:04:08.634722	107059	50	2	10
2014-03-30 19:04:08.856509	107060	22.1	1	10
2014-03-30 19:04:17.985827	107061	59	2	8
2014-03-30 19:04:18.219285	107062	20.6	1	8
2014-03-30 19:04:20.031539	107063	3010	3	2
2014-03-30 19:04:20.25295	107064	1138461.4380370732	4	2
2014-03-30 19:04:29.431038	107065	54	2	1
2014-03-30 19:04:29.662757	107066	21.1	1	1
2014-03-30 19:04:32.030724	107067	2945	3	2
2014-03-30 19:04:32.2505	107068	1138471.779349566	4	2
2014-03-30 19:04:44.030289	107069	2945	3	2
2014-03-30 19:04:44.262686	107070	1138482.1206620587	4	2
2014-03-30 19:04:47.372331	107071	50	2	10
2014-03-30 19:04:47.59416	107072	22.1	1	10
2014-03-30 19:04:56.03126	107073	3138	3	2
2014-03-30 19:04:56.263432	107074	1138492.4619745514	4	2
2014-03-30 19:04:56.98377	107075	59	2	8
2014-03-30 19:04:57.206872	107076	20.6	1	8
2014-03-30 19:05:08.027657	107077	1078	3	2
2014-03-30 19:05:08.261408	107078	1138495.9090787156	4	2
2014-03-30 19:05:08.62196	107079	54	2	1
2014-03-30 19:05:08.845288	107080	21.1	1	1
2014-03-30 19:05:20.029067	107081	1062	3	2
2014-03-30 19:05:20.264085	107082	1138499.3561828798	4	2
2014-03-30 19:05:26.371941	107083	50	2	10
2014-03-30 19:05:26.59379	107084	22.1	1	10
2014-03-30 19:05:32.03283	107085	981	3	2
2014-03-30 19:05:32.266802	107086	1138502.8032870442	4	2
2014-03-30 19:05:35.984685	107087	59	2	8
2014-03-30 19:05:36.209947	107088	20.6	1	8
2014-03-30 19:05:44.030001	107089	981	3	2
2014-03-30 19:05:44.263545	107090	1138506.2503912083	4	2
2014-03-30 19:05:47.429345	107091	54	2	1
2014-03-30 19:05:47.651063	107092	21.1	1	1
2014-03-30 19:05:56.02856	107093	1046	3	2
2014-03-30 19:05:56.264268	107094	1138509.6974953725	4	2
2014-03-30 19:06:05.373911	107095	50	2	10
2014-03-30 19:06:05.597171	107096	22.1	1	10
2014-03-30 19:06:08.027393	107097	1062	3	2
2014-03-30 19:06:08.269661	107098	1138513.144599537	4	2
2014-03-30 19:06:14.985222	107099	59	2	8
2014-03-30 19:06:15.209835	107100	20.6	1	8
2014-03-30 19:06:26.431381	107101	54	2	1
2014-03-30 19:06:26.663937	107102	21.1	1	1
2014-03-30 19:06:32.033691	107103	981	3	2
2014-03-30 19:06:32.256964	107104	1138520.0388078652	4	2
2014-03-30 19:06:44.029655	107105	965	3	2
2014-03-30 19:06:44.275073	107106	1138523.4859120296	4	2
2014-03-30 19:06:44.582209	107107	50	2	10
2014-03-30 19:06:44.805566	107108	22.1	1	10
2014-03-30 19:06:53.983518	107109	59	2	8
2014-03-30 19:06:54.403641	107110	20.6	1	8
2014-03-30 19:06:56.028946	107111	1046	3	2
2014-03-30 19:06:56.25268	107112	1138526.9330161938	4	2
2014-03-30 19:07:05.430941	107113	54	2	1
2014-03-30 19:07:05.656269	107114	21.2	1	1
2014-03-30 19:07:08.029344	107115	1271	3	2
2014-03-30 19:07:08.261483	107116	1138530.380120358	4	2
2014-03-30 19:07:20.031107	107117	1207	3	2
2014-03-30 19:07:20.255029	107118	1138534.9762592437	4	2
2014-03-30 19:07:23.372692	107119	50	2	10
2014-03-30 19:07:23.605488	107120	22.1	1	10
2014-03-30 19:07:32.986532	107121	59	2	8
2014-03-30 19:07:33.210024	107122	20.6	1	8
2014-03-30 19:07:44.029547	107123	3235	3	2
2014-03-30 19:07:44.268701	107124	1138548.7646759008	4	2
2014-03-30 19:07:44.577744	107125	54	2	1
2014-03-30 19:07:44.801102	107126	21.2	1	1
2014-03-30 19:07:56.030457	107127	3251	3	2
2014-03-30 19:07:56.264363	107128	1138559.1059883935	4	2
2014-03-30 19:08:02.375597	107129	50	2	10
2014-03-30 19:08:02.598516	107130	22.1	1	10
2014-03-30 19:08:11.986938	107131	59	2	8
2014-03-30 19:08:12.223735	107132	20.6	1	8
2014-03-30 19:08:20.030675	107133	3203	3	2
2014-03-30 19:08:20.253696	107134	1138580.9376481003	4	2
2014-03-30 19:08:23.428189	107135	54	2	1
2014-03-30 19:08:23.660483	107136	21.2	1	1
2014-03-30 19:08:32.03192	107137	3203	3	2
2014-03-30 19:08:32.254067	107138	1138591.278960593	4	2
2014-03-30 19:08:41.375778	107139	50	2	10
2014-03-30 19:08:41.610663	107140	22.2	1	10
2014-03-30 19:08:50.984673	107141	59	2	8
2014-03-30 19:08:51.209245	107142	20.6	1	8
2014-03-30 19:09:02.428016	107143	54	2	1
2014-03-30 19:09:02.659604	107144	21.2	1	1
2014-03-30 19:09:08.031928	107145	3251	3	2
2014-03-30 19:09:08.255981	107146	1138624.600967514	4	2
2014-03-30 19:09:20.028942	107147	3203	3	2
2014-03-30 19:09:20.263438	107148	1138633.7977162376	4	2
2014-03-30 19:09:20.570985	107149	50	2	10
2014-03-30 19:09:20.796129	107150	22.2	1	10
2014-03-30 19:09:29.985665	107151	58	2	8
2014-03-30 19:09:30.217486	107152	20.6	1	8
2014-03-30 19:09:32.028265	107153	3203	3	2
2014-03-30 19:09:32.252293	107154	1138644.1390287303	4	2
2014-03-30 19:09:41.428068	107155	54	2	1
2014-03-30 19:09:41.670881	107156	21.2	1	1
2014-03-30 19:09:59.374126	107157	50	2	10
2014-03-30 19:09:59.597808	107158	22.2	1	10
2014-03-30 19:10:08.984328	107159	58	2	8
2014-03-30 19:10:09.219401	107160	20.6	1	8
2014-03-30 19:10:20.028621	107161	3154	3	2
2014-03-30 19:10:20.25448	107162	1138686.6533134228	4	2
2014-03-30 19:10:20.560838	107163	54	2	1
2014-03-30 19:10:20.795258	107164	21.2	1	1
2014-03-30 19:10:32.028758	107165	3154	3	2
2014-03-30 19:10:32.272239	107166	1138698.1436606369	4	2
2014-03-30 19:10:38.373021	107167	50	2	10
2014-03-30 19:10:38.612209	107168	22.2	1	10
2014-03-30 19:10:44.030309	107169	3203	3	2
2014-03-30 19:10:44.255642	107170	1138708.4849731296	4	2
2014-03-30 19:10:47.987358	107171	58	2	8
2014-03-30 19:10:48.219802	107172	20.6	1	8
2014-03-30 19:10:59.228097	107173	3171	3	2
2014-03-30 19:10:59.45246	107174	1138718.8262856223	4	2
2014-03-30 19:10:59.755905	107175	54	2	1
2014-03-30 19:10:59.988809	107176	21.2	1	1
2014-03-30 19:11:08.027891	107177	3187	3	2
2014-03-30 19:11:08.250232	107178	1138730.3166328366	4	2
2014-03-30 19:11:17.37407	107179	50	2	10
2014-03-30 19:11:17.608262	107180	22.2	1	10
2014-03-30 19:11:20.028526	107181	3154	3	2
2014-03-30 19:11:20.252362	107182	1138740.6579453293	4	2
2014-03-30 19:11:26.983625	107183	58	2	8
2014-03-30 19:11:27.215707	107184	20.6	1	8
2014-03-30 19:11:32.027886	107185	3154	3	2
2014-03-30 19:11:32.255207	107186	1138750.999257822	4	2
2014-03-30 19:11:38.427268	107187	54	2	1
2014-03-30 19:11:38.661143	107188	21.2	1	1
2014-03-30 19:11:56.375936	107189	50	2	10
2014-03-30 19:11:56.599507	107190	22.2	1	10
2014-03-30 19:12:05.987951	107191	59	2	8
2014-03-30 19:12:06.220721	107192	20.7	1	8
2014-03-30 19:12:17.428998	107193	54	2	1
2014-03-30 19:12:17.654651	107194	21.2	1	1
2014-03-30 19:12:32.028657	107195	3154	3	2
2014-03-30 19:12:32.263573	107196	1138803.854855007	4	2
2014-03-30 19:12:35.374626	107197	50	2	10
2014-03-30 19:12:35.59978	107198	22.2	1	10
2014-03-30 19:12:44.02966	107199	3187	3	2
2014-03-30 19:12:44.264149	107200	1138815.345202221	4	2
2014-03-30 19:12:44.984498	107201	59	2	8
2014-03-30 19:12:45.207312	107202	20.7	1	8
2014-03-30 19:12:56.028748	107203	3171	3	2
2014-03-30 19:12:56.272931	107204	1138825.686514714	4	2
2014-03-30 19:12:56.581102	107205	54	2	1
2014-03-30 19:12:56.807138	107206	21.2	1	1
2014-03-30 19:13:14.373961	107207	50	2	10
2014-03-30 19:13:14.607604	107208	22.2	1	10
2014-03-30 19:13:23.984495	107209	59	2	8
2014-03-30 19:13:24.206533	107210	20.7	1	8
2014-03-30 19:13:32.027675	107211	3138	3	2
2014-03-30 19:13:32.260309	107212	1138857.8594869135	4	2
2014-03-30 19:13:35.422324	107213	54	2	1
2014-03-30 19:13:35.645824	107214	21.2	1	1
2014-03-30 19:13:44.028697	107215	3171	3	2
2014-03-30 19:13:44.260267	107216	1138868.2007994063	4	2
2014-03-30 19:13:53.375497	107217	50	2	10
2014-03-30 19:13:53.59664	107218	22.2	1	10
2014-03-30 19:13:56.029217	107219	3154	3	2
2014-03-30 19:13:56.262936	107220	1138878.542111899	4	2
2014-03-30 19:14:02.984713	107221	59	2	8
2014-03-30 19:14:03.207901	107222	20.7	1	8
2014-03-30 19:14:08.028691	107223	3203	3	2
2014-03-30 19:14:08.266438	107224	1138888.8834243917	4	2
2014-03-30 19:14:14.426101	107225	54	2	1
2014-03-30 19:14:14.648309	107226	21.2	1	1
2014-03-30 19:14:20.033662	107227	3154	3	2
2014-03-30 19:14:20.267707	107228	1138900.3737716058	4	2
2014-03-30 19:14:32.029791	107229	3154	3	2
2014-03-30 19:14:32.253557	107230	1138910.7150840985	4	2
2014-03-30 19:14:32.55893	107231	50	2	10
2014-03-30 19:14:32.793363	107232	22.2	1	10
2014-03-30 19:14:41.985943	107233	59	2	8
2014-03-30 19:14:42.265197	107234	20.7	1	8
2014-03-30 19:14:44.028734	107235	3187	3	2
2014-03-30 19:14:44.262448	107236	1138921.0563965915	4	2
2014-03-30 19:14:53.423936	107237	54	2	1
2014-03-30 19:14:53.646006	107238	21.2	1	1
2014-03-30 19:14:56.029129	107239	3154	3	2
2014-03-30 19:14:56.266286	107240	1138930.253145315	4	2
2014-03-30 19:15:08.032336	107241	3154	3	2
2014-03-30 19:15:08.255947	107242	1138941.743492529	4	2
2014-03-30 19:15:11.375857	107243	50	2	10
2014-03-30 19:15:11.608292	107244	22.3	1	10
2014-03-30 19:15:20.986609	107245	59	2	8
2014-03-30 19:15:21.209958	107246	20.7	1	8
2014-03-30 19:15:32.031474	107247	3187	3	2
2014-03-30 19:15:32.26358	107248	1138962.4261175145	4	2
2014-03-30 19:15:32.570332	107249	54	2	1
2014-03-30 19:15:32.793373	107250	21.2	1	1
2014-03-30 19:15:44.031159	107251	3235	3	2
2014-03-30 19:15:44.280158	107252	1138973.9164647288	4	2
2014-03-30 19:15:50.376515	107253	50	2	10
2014-03-30 19:15:50.600435	107254	22.3	1	10
2014-03-30 19:15:56.03421	107255	3026	3	2
2014-03-30 19:15:56.270959	107256	1138984.2577772215	4	2
2014-03-30 19:15:59.984492	107257	60	2	8
2014-03-30 19:16:00.211497	107258	20.7	1	8
2014-03-30 19:16:08.029612	107259	3042	3	2
2014-03-30 19:16:08.265295	107260	1138994.5990897142	4	2
2014-03-30 19:16:11.423795	107261	54	2	1
2014-03-30 19:16:11.647514	107262	21.2	1	1
2014-03-30 19:16:20.029633	107263	2977	3	2
2014-03-30 19:16:20.265563	107264	1139004.940402207	4	2
2014-03-30 19:16:29.379139	107265	50	2	10
2014-03-30 19:16:29.601751	107266	22.3	1	10
2014-03-30 19:16:32.030099	107267	2977	3	2
2014-03-30 19:16:32.264308	107268	1139015.2817146997	4	2
2014-03-30 19:16:38.983298	107269	60	2	8
2014-03-30 19:16:39.207882	107270	20.8	1	8
2014-03-30 19:16:44.029044	107271	885	3	2
2014-03-30 19:16:44.26984	107272	1139019.8778535852	4	2
2014-03-30 19:16:50.425269	107273	55	2	1
2014-03-30 19:16:50.650779	107274	21.2	1	1
2014-03-30 19:16:56.033181	107275	885	3	2
2014-03-30 19:16:56.26604	107276	1139022.175923028	4	2
2014-03-30 19:17:08.377662	107277	50	2	10
2014-03-30 19:17:08.601659	107278	22.3	1	10
2014-03-30 19:17:17.983992	107279	60	2	8
2014-03-30 19:17:18.216403	107280	20.8	1	8
2014-03-30 19:17:20.028724	107281	724	3	2
2014-03-30 19:17:20.253188	107282	1139027.9210966353	4	2
2014-03-30 19:17:29.425578	107283	55	2	1
2014-03-30 19:17:29.658267	107284	21.2	1	1
2014-03-30 19:17:32.029047	107285	724	3	2
2014-03-30 19:17:32.254464	107286	1139031.3682007995	4	2
2014-03-30 19:17:47.376348	107287	50	2	10
2014-03-30 19:17:47.617045	107288	22.3	1	10
2014-03-30 19:17:56.984722	107289	60	2	8
2014-03-30 19:17:57.210048	107290	20.8	1	8
2014-03-30 19:18:08.422828	107291	55	2	1
2014-03-30 19:18:08.659176	107292	21.2	1	1
2014-03-30 19:18:26.377354	107293	50	2	10
2014-03-30 19:18:26.602498	107294	22.3	1	10
2014-03-30 19:18:32.033063	107295	724	3	2
2014-03-30 19:18:32.265637	107296	1139044.007582735	4	2
2014-03-30 19:18:35.984359	107297	60	2	8
2014-03-30 19:18:36.20803	107298	20.8	1	8
2014-03-30 19:18:47.42258	107299	55	2	1
2014-03-30 19:18:47.674466	107300	21.2	1	1
2014-03-30 19:19:05.375259	107301	50	2	10
2014-03-30 19:19:05.596132	107302	22.3	1	10
2014-03-30 19:19:14.98346	107303	60	2	8
2014-03-30 19:19:15.215568	107304	20.8	1	8
2014-03-30 19:19:26.421499	107305	55	2	1
2014-03-30 19:19:26.642813	107306	21.2	1	1
2014-03-30 19:19:32.031199	107307	708	3	2
2014-03-30 19:19:32.263814	107308	1139057.795999392	4	2
2014-03-30 19:19:44.377638	107309	50	2	10
2014-03-30 19:19:44.599304	107310	22.4	1	10
2014-03-30 19:19:53.983239	107311	61	2	8
2014-03-30 19:19:54.214831	107312	20.8	1	8
2014-03-30 19:20:05.422343	107313	55	2	1
2014-03-30 19:20:05.64329	107314	21.2	1	1
2014-03-30 19:20:23.377345	107315	50	2	10
2014-03-30 19:20:23.609443	107316	22.4	1	10
2014-03-30 19:20:32.985631	107317	61	2	8
2014-03-30 19:20:33.207821	107318	20.9	1	8
2014-03-30 19:20:44.422491	107319	55	2	1
2014-03-30 19:20:44.653698	107320	21.2	1	1
2014-03-30 19:21:02.375192	107321	51	2	10
2014-03-30 19:21:02.598572	107322	22.4	1	10
2014-03-30 19:21:11.983106	107323	61	2	8
2014-03-30 19:21:12.217839	107324	20.9	1	8
2014-03-30 19:21:20.031967	107325	659	3	2
2014-03-30 19:21:20.257322	107326	1139080.7766938203	4	2
2014-03-30 19:21:23.420602	107327	55	2	1
2014-03-30 19:21:23.652035	107328	21.3	1	1
2014-03-30 19:21:32.027802	107329	676	3	2
2014-03-30 19:21:32.252233	107330	1139083.074763263	4	2
2014-03-30 19:21:41.377838	107331	51	2	10
2014-03-30 19:21:41.610768	107332	22.4	1	10
2014-03-30 19:21:50.983069	107333	61	2	8
2014-03-30 19:21:51.206918	107334	20.9	1	8
2014-03-30 19:22:02.456419	107335	55	2	1
2014-03-30 19:22:02.689978	107336	21.3	1	1
2014-03-30 19:22:20.379219	107337	51	2	10
2014-03-30 19:22:20.601129	107338	22.4	1	10
2014-03-30 19:22:29.983242	107339	61	2	8
2014-03-30 19:22:30.216367	107340	20.9	1	8
2014-03-30 19:22:32.029906	107341	676	3	2
2014-03-30 19:22:32.250866	107342	1139095.7141451987	4	2
2014-03-30 19:22:41.420067	107343	55	2	1
2014-03-30 19:22:41.653637	107344	21.3	1	1
2014-03-30 19:22:59.377491	107345	51	2	10
2014-03-30 19:22:59.600458	107346	22.4	1	10
2014-03-30 19:23:09.038154	107347	61	2	8
2014-03-30 19:23:09.284321	107348	20.9	1	8
2014-03-30 19:23:20.422255	107349	55	2	1
2014-03-30 19:23:20.647918	107350	21.3	1	1
2014-03-30 19:23:32.029049	107351	676	3	2
2014-03-30 19:23:32.262445	107352	1139107.2044924127	4	2
2014-03-30 19:23:38.37923	107353	51	2	10
2014-03-30 19:23:38.605161	107354	22.4	1	10
2014-03-30 19:23:47.983254	107355	61	2	8
2014-03-30 19:23:48.21628	107356	21.0	1	8
2014-03-30 19:23:59.421115	107357	55	2	1
2014-03-30 19:23:59.645982	107358	21.3	1	1
2014-03-30 19:24:17.37776	107359	51	2	10
2014-03-30 19:24:17.61121	107360	22.4	1	10
2014-03-30 19:24:26.985155	107361	61	2	8
2014-03-30 19:24:27.20877	107362	21.0	1	8
2014-03-30 19:24:32.026021	107363	676	3	2
2014-03-30 19:24:32.262359	107364	1139118.694839627	4	2
2014-03-30 19:24:38.421919	107365	55	2	1
2014-03-30 19:24:38.645447	107366	21.3	1	1
2014-03-30 19:24:56.379795	107367	51	2	10
2014-03-30 19:24:56.613923	107368	22.5	1	10
2014-03-30 19:25:05.982936	107369	61	2	8
2014-03-30 19:25:06.206242	107370	21.0	1	8
2014-03-30 19:25:17.419193	107371	55	2	1
2014-03-30 19:25:17.652147	107372	21.3	1	1
2014-03-30 19:25:32.025463	107373	676	3	2
2014-03-30 19:25:32.24899	107374	1139130.185186841	4	2
2014-03-30 19:25:35.385783	107375	51	2	10
2014-03-30 19:25:35.61898	107376	22.5	1	10
2014-03-30 19:25:44.987259	107377	61	2	8
2014-03-30 19:25:45.2096	107378	21.0	1	8
2014-03-30 19:25:56.419103	107379	55	2	1
2014-03-30 19:25:56.65363	107380	21.3	1	1
2014-03-30 19:26:14.379768	107381	51	2	10
2014-03-30 19:26:14.608052	107382	22.5	1	10
2014-03-30 19:26:23.983889	107383	61	2	8
2014-03-30 19:26:24.220095	107384	21.0	1	8
2014-03-30 19:26:32.029609	107385	676	3	2
2014-03-30 19:26:32.256745	107386	1139142.8245687766	4	2
2014-03-30 19:26:35.416196	107387	55	2	1
2014-03-30 19:26:35.648531	107388	21.3	1	1
2014-03-30 19:26:53.380461	107389	51	2	10
2014-03-30 19:26:53.606653	107390	22.5	1	10
2014-03-30 19:27:01.727602	107391	611	3	2
2014-03-30 19:27:01.961157	107392	1139146.2716729408	4	2
2014-03-30 19:27:02.983933	107393	61	2	8
2014-03-30 19:27:03.209741	107394	21.0	1	8
2014-03-30 19:27:08.027221	107395	595	3	2
2014-03-30 19:27:08.271909	107396	1139148.5697423837	4	2
2014-03-30 19:27:14.417744	107397	56	2	1
2014-03-30 19:27:14.641283	107398	21.3	1	1
2014-03-30 19:27:20.032191	107399	643	3	2
2014-03-30 19:27:20.269353	107400	1139150.8678118265	4	2
2014-03-30 19:27:32.026356	107401	643	3	2
2014-03-30 19:27:32.251073	107402	1139153.1658812694	4	2
2014-03-30 19:27:32.555416	107403	51	2	10
2014-03-30 19:27:32.789969	107404	22.5	1	10
2014-03-30 19:27:41.982307	107405	61	2	8
2014-03-30 19:27:42.207691	107406	21.0	1	8
2014-03-30 19:27:53.420086	107407	56	2	1
2014-03-30 19:27:53.653903	107408	21.3	1	1
2014-03-30 19:28:11.381126	107409	51	2	10
2014-03-30 19:28:11.603648	107410	22.6	1	10
2014-03-30 19:28:20.984512	107411	61	2	8
2014-03-30 19:28:21.216851	107412	21.0	1	8
2014-03-30 19:28:32.028759	107413	643	3	2
2014-03-30 19:28:32.253551	107414	1139164.6562284837	4	2
2014-03-30 19:28:32.562198	107415	56	2	1
2014-03-30 19:28:32.794785	107416	21.3	1	1
2014-03-30 19:28:50.379998	107417	51	2	10
2014-03-30 19:28:50.606623	107418	22.6	1	10
2014-03-30 19:28:59.983611	107419	61	2	8
2014-03-30 19:29:00.215352	107420	21.0	1	8
2014-03-30 19:29:11.417275	107421	56	2	1
2014-03-30 19:29:11.645772	107422	21.4	1	1
2014-03-30 19:29:29.380704	107423	51	2	10
2014-03-30 19:29:29.615298	107424	22.6	1	10
2014-03-30 19:29:32.028929	107425	643	3	2
2014-03-30 19:29:32.255757	107426	1139176.1465756977	4	2
2014-03-30 19:29:38.983673	107427	61	2	8
2014-03-30 19:29:39.215946	107428	21.0	1	8
2014-03-30 19:29:50.452967	107429	56	2	1
2014-03-30 19:29:50.680221	107430	21.4	1	1
2014-03-30 19:30:08.379787	107431	51	2	10
2014-03-30 19:30:08.613571	107432	22.6	1	10
2014-03-30 19:30:17.983144	107433	61	2	8
2014-03-30 19:30:18.207521	107434	21.0	1	8
2014-03-30 19:30:29.413724	107435	56	2	1
2014-03-30 19:30:29.647193	107436	21.4	1	1
2014-03-30 19:30:32.026834	107437	643	3	2
2014-03-30 19:30:32.25042	107438	1139186.4878881904	4	2
2014-03-30 19:30:47.381378	107439	51	2	10
2014-03-30 19:30:47.614497	107440	22.6	1	10
2014-03-30 19:30:56.985661	107441	61	2	8
2014-03-30 19:30:57.208247	107442	21.0	1	8
2014-03-30 19:31:08.414345	107443	56	2	1
2014-03-30 19:31:08.659029	107444	21.4	1	1
2014-03-30 19:31:26.380137	107445	51	2	10
2014-03-30 19:31:26.60473	107446	22.6	1	10
2014-03-30 19:31:32.032043	107447	611	3	2
2014-03-30 19:31:32.265393	107448	1139197.9782354047	4	2
2014-03-30 19:31:35.983347	107449	61	2	8
2014-03-30 19:31:36.206791	107450	21.0	1	8
2014-03-30 19:31:44.026724	107451	595	3	2
2014-03-30 19:31:44.259189	107452	1139200.2763048473	4	2
2014-03-30 19:31:47.414008	107453	56	2	1
2014-03-30 19:31:47.636449	107454	21.4	1	1
2014-03-30 19:32:05.381917	107455	51	2	10
2014-03-30 19:32:05.613456	107456	22.6	1	10
2014-03-30 19:32:14.983751	107457	61	2	8
2014-03-30 19:32:15.209303	107458	21.0	1	8
2014-03-30 19:32:26.412793	107459	56	2	1
2014-03-30 19:32:26.647937	107460	21.4	1	1
2014-03-30 19:32:32.031311	107461	579	3	2
2014-03-30 19:32:32.257802	107462	1139208.3195478974	4	2
2014-03-30 19:32:44.028829	107463	611	3	2
2014-03-30 19:32:44.265374	107464	1139210.61761734	4	2
2014-03-30 19:32:44.572397	107465	51	2	10
2014-03-30 19:32:44.795185	107466	22.7	1	10
2014-03-30 19:32:53.98395	107467	60	2	8
2014-03-30 19:32:54.214815	107468	21.0	1	8
2014-03-30 19:32:56.02697	107469	611	3	2
2014-03-30 19:32:56.252803	107470	1139212.915686783	4	2
2014-03-30 19:33:05.417571	107471	56	2	1
2014-03-30 19:33:05.649643	107472	21.4	1	1
2014-03-30 19:33:23.383754	107473	51	2	10
2014-03-30 19:33:23.608096	107474	22.7	1	10
2014-03-30 19:33:32.028055	107475	595	3	2
2014-03-30 19:33:32.262323	107476	1139217.516296621	4	2
2014-03-30 19:33:32.98393	107477	60	2	8
2014-03-30 19:33:33.20764	107478	21.0	1	8
2014-03-30 19:33:44.027128	107479	708	3	2
2014-03-30 19:33:44.31562	107480	1139220.963400785	4	2
2014-03-30 19:33:44.657134	107481	56	2	1
2014-03-30 19:33:44.915215	107482	21.4	1	1
2014-03-30 19:33:56.027761	107483	724	3	2
2014-03-30 19:33:56.295987	107484	1139223.261470228	4	2
2014-03-30 19:34:02.424647	107485	51	2	10
2014-03-30 19:34:02.985276	107486	22.7	1	10
2014-03-30 19:34:11.984332	107487	60	2	8
2014-03-30 19:34:12.252726	107488	21.0	1	8
2014-03-30 19:34:23.449307	107489	56	2	1
2014-03-30 19:34:23.673865	107490	21.4	1	1
2014-03-30 19:34:32.027609	107491	724	3	2
2014-03-30 19:34:32.272672	107492	1139231.3047132778	4	2
2014-03-30 19:34:41.382812	107493	51	2	10
2014-03-30 19:34:41.607491	107494	22.7	1	10
2014-03-30 19:34:50.983531	107495	60	2	8
2014-03-30 19:34:51.21596	107496	21.0	1	8
2014-03-30 19:35:02.411881	107497	56	2	1
2014-03-30 19:35:02.634352	107498	21.4	1	1
2014-03-30 19:35:08.030131	107499	692	3	2
2014-03-30 19:35:08.263476	107500	1139239.3479563277	4	2
2014-03-30 19:35:20.02762	107501	708	3	2
2014-03-30 19:35:20.249662	107502	1139241.6460257706	4	2
2014-03-30 19:35:20.555179	107503	51	2	10
2014-03-30 19:35:20.788689	107504	22.7	1	10
2014-03-30 19:35:29.983889	107505	60	2	8
2014-03-30 19:35:30.206658	107506	21.0	1	8
2014-03-30 19:35:32.028842	107507	724	3	2
2014-03-30 19:35:32.264509	107508	1139243.9440952134	4	2
2014-03-30 19:35:41.413658	107509	56	2	1
2014-03-30 19:35:41.644252	107510	21.4	1	1
2014-03-30 19:35:59.381353	107511	51	2	10
2014-03-30 19:35:59.613166	107512	22.7	1	10
2014-03-30 19:36:08.985573	107513	60	2	8
2014-03-30 19:36:09.211844	107514	21.0	1	8
2014-03-30 19:36:20.411766	107515	56	2	1
2014-03-30 19:36:20.644749	107516	21.4	1	1
2014-03-30 19:36:32.029836	107517	724	3	2
2014-03-30 19:36:32.254408	107518	1139257.7325118703	4	2
2014-03-30 19:36:38.381852	107519	51	2	10
2014-03-30 19:36:38.614787	107520	22.7	1	10
2014-03-30 19:36:47.984458	107521	61	2	8
2014-03-30 19:36:48.209034	107522	21.0	1	8
2014-03-30 19:36:56.032336	107523	804	3	2
2014-03-30 19:36:56.26713	107524	1139263.4776854776	4	2
2014-03-30 19:36:59.412215	107525	56	2	1
2014-03-30 19:36:59.635744	107526	21.5	1	1
2014-03-30 19:37:08.023075	107527	837	3	2
2014-03-30 19:37:08.257005	107528	1139265.7757549202	4	2
2014-03-30 19:37:17.380977	107529	51	2	10
2014-03-30 19:37:17.605213	107530	22.7	1	10
2014-03-30 19:37:20.027702	107531	837	3	2
2014-03-30 19:37:20.262752	107532	1139268.073824363	4	2
2014-03-30 19:37:26.98338	107533	61	2	8
2014-03-30 19:37:27.20922	107534	21.0	1	8
2014-03-30 19:37:32.033494	107535	837	3	2
2014-03-30 19:37:32.272447	107536	1139271.5209285275	4	2
2014-03-30 19:37:38.434964	107537	56	2	1
2014-03-30 19:37:38.659551	107538	21.5	1	1
2014-03-30 19:37:56.382857	107539	51	2	10
2014-03-30 19:37:56.626167	107540	22.7	1	10
2014-03-30 19:38:05.983795	107541	61	2	8
2014-03-30 19:38:06.206102	107542	21.0	1	8
2014-03-30 19:38:17.410869	107543	56	2	1
2014-03-30 19:38:17.6464	107544	21.5	1	1
2014-03-30 19:38:32.024528	107545	820	3	2
2014-03-30 19:38:32.247042	107546	1139285.3093451844	4	2
2014-03-30 19:38:35.385677	107547	51	2	10
2014-03-30 19:38:35.618329	107548	22.8	1	10
2014-03-30 19:38:44.983116	107549	61	2	8
2014-03-30 19:38:45.206436	107550	21.0	1	8
2014-03-30 19:38:56.412291	107551	56	2	1
2014-03-30 19:38:56.647486	107552	21.5	1	1
2014-03-30 19:39:14.384729	107553	51	2	10
2014-03-30 19:39:14.615897	107554	22.8	1	10
2014-03-30 19:39:23.983374	107555	60	2	8
2014-03-30 19:39:24.215392	107556	21.0	1	8
2014-03-30 19:39:32.024612	107557	820	3	2
2014-03-30 19:39:32.248478	107558	1139299.0977618413	4	2
2014-03-30 19:39:35.410345	107559	56	2	1
2014-03-30 19:39:35.645187	107560	21.5	1	1
2014-03-30 19:39:53.383651	107561	51	2	10
2014-03-30 19:39:53.608868	107562	22.8	1	10
2014-03-30 19:39:56.024132	107563	820	3	2
2014-03-30 19:39:56.255909	107564	1139304.8429354485	4	2
2014-03-30 19:40:02.983757	107565	60	2	8
2014-03-30 19:40:03.207061	107566	21.0	1	8
2014-03-30 19:40:08.025761	107567	820	3	2
2014-03-30 19:40:08.263871	107568	1139308.2900396127	4	2
2014-03-30 19:40:14.410922	107569	56	2	1
2014-03-30 19:40:14.636958	107570	21.5	1	1
2014-03-30 19:40:32.025972	107571	820	3	2
2014-03-30 19:40:32.261228	107572	1139314.0352132197	4	2
2014-03-30 19:40:32.565698	107573	51	2	10
2014-03-30 19:40:32.790564	107574	22.8	1	10
2014-03-30 19:40:41.985224	107575	60	2	8
2014-03-30 19:40:42.217688	107576	21.0	1	8
2014-03-30 19:40:53.410268	107577	56	2	1
2014-03-30 19:40:53.634851	107578	21.5	1	1
2014-03-30 19:41:11.385686	107579	51	2	10
2014-03-30 19:41:11.618625	107580	22.7	1	10
2014-03-30 19:41:20.983485	107581	60	2	8
2014-03-30 19:41:21.207475	107582	21.0	1	8
2014-03-30 19:41:32.024733	107583	837	3	2
2014-03-30 19:41:32.258708	107584	1139327.8236298766	4	2
2014-03-30 19:41:32.56515	107585	56	2	1
2014-03-30 19:41:32.789397	107586	21.5	1	1
2014-03-30 19:41:50.384033	107587	51	2	10
2014-03-30 19:41:50.629492	107588	22.7	1	10
2014-03-30 19:41:59.984929	107589	60	2	8
2014-03-30 19:42:00.211564	107590	21.0	1	8
2014-03-30 19:42:08.026252	107591	869	3	2
2014-03-30 19:42:08.260499	107592	1139335.8668729267	4	2
2014-03-30 19:42:11.409374	107593	56	2	1
2014-03-30 19:42:11.635102	107594	21.5	1	1
2014-03-30 19:42:29.38495	107595	51	2	10
2014-03-30 19:42:29.618987	107596	22.7	1	10
2014-03-30 19:42:38.983063	107597	60	2	8
2014-03-30 19:42:39.211365	107598	21.0	1	8
2014-03-30 19:42:44.027915	107599	708	3	2
2014-03-30 19:42:44.267448	107600	1139345.059150698	4	2
2014-03-30 19:42:50.445012	107601	56	2	1
2014-03-30 19:42:50.668997	107602	21.5	1	1
2014-03-30 19:42:56.025137	107603	724	3	2
2014-03-30 19:42:56.259002	107604	1139347.3572201408	4	2
2014-03-30 19:43:08.382665	107605	51	2	10
2014-03-30 19:43:08.61699	107606	22.7	1	10
2014-03-30 19:43:17.98394	107607	60	2	8
2014-03-30 19:43:18.220422	107608	21.0	1	8
2014-03-30 19:43:29.407082	107609	56	2	1
2014-03-30 19:43:29.631056	107610	21.5	1	1
2014-03-30 19:43:47.385973	107611	51	2	10
2014-03-30 19:43:47.620956	107612	22.7	1	10
2014-03-30 19:43:56.984216	107613	60	2	8
2014-03-30 19:43:57.210357	107614	21.0	1	8
2014-03-30 19:44:08.41012	107615	56	2	1
2014-03-30 19:44:08.643413	107616	21.5	1	1
2014-03-30 19:44:26.388496	107617	51	2	10
2014-03-30 19:44:26.614375	107618	22.7	1	10
2014-03-30 19:44:32.029037	107619	692	3	2
2014-03-30 19:44:32.260429	107620	1139368.0398451262	4	2
2014-03-30 19:44:35.984651	107621	60	2	8
2014-03-30 19:44:36.209517	107622	21.0	1	8
2014-03-30 19:44:47.407011	107623	56	2	1
2014-03-30 19:44:47.642839	107624	21.5	1	1
2014-03-30 19:45:05.385972	107625	51	2	10
2014-03-30 19:45:05.613788	107626	22.8	1	10
2014-03-30 19:45:14.984662	107627	60	2	8
2014-03-30 19:45:15.219499	107628	20.9	1	8
2014-03-30 19:45:26.647783	107629	56	2	1
2014-03-30 19:45:26.870924	107630	21.5	1	1
2014-03-30 19:45:32.027662	107631	692	3	2
2014-03-30 19:45:32.258866	107632	1139381.828261783	4	2
2014-03-30 19:45:44.386096	107633	51	2	10
2014-03-30 19:45:44.613384	107634	22.8	1	10
2014-03-30 19:45:53.984704	107635	60	2	8
2014-03-30 19:45:54.229505	107636	20.9	1	8
2014-03-30 19:46:05.408668	107637	56	2	1
2014-03-30 19:46:05.632657	107638	21.5	1	1
2014-03-30 19:46:23.385819	107639	51	2	10
2014-03-30 19:46:23.619677	107640	22.8	1	10
2014-03-30 19:46:32.977675	107641	60	2	8
2014-03-30 19:46:33.200717	107642	20.9	1	8
2014-03-30 19:46:44.407218	107643	56	2	1
2014-03-30 19:46:44.641844	107644	21.5	1	1
2014-03-30 19:47:02.385701	107645	51	2	10
2014-03-30 19:47:02.611847	107646	22.8	1	10
2014-03-30 19:47:08.03151	107647	724	3	2
2014-03-30 19:47:08.265165	107648	1139402.5108867686	4	2
2014-03-30 19:47:11.98656	107649	60	2	8
2014-03-30 19:47:12.209073	107650	20.9	1	8
2014-03-30 19:47:20.028774	107651	869	3	2
2014-03-30 19:47:20.262887	107652	1139404.8089562114	4	2
2014-03-30 19:47:23.405239	107653	56	2	1
2014-03-30 19:47:23.626266	107654	21.5	1	1
2014-03-30 19:47:32.023767	107655	917	3	2
2014-03-30 19:47:32.256915	107656	1139408.2560603758	4	2
2014-03-30 19:47:41.384986	107657	51	2	10
2014-03-30 19:47:41.610727	107658	22.8	1	10
2014-03-30 19:47:44.027263	107659	933	3	2
2014-03-30 19:47:44.261552	107660	1139411.70316454	4	2
2014-03-30 19:47:50.985489	107661	60	2	8
2014-03-30 19:47:51.212782	107662	20.9	1	8
2014-03-30 19:48:02.403751	107663	56	2	1
2014-03-30 19:48:02.636038	107664	21.5	1	1
2014-03-30 19:48:20.022669	107665	965	3	2
2014-03-30 19:48:20.24889	107666	1139420.8954423114	4	2
2014-03-30 19:48:20.55449	107667	51	2	10
2014-03-30 19:48:20.789183	107668	22.8	1	10
2014-03-30 19:48:28.913562	107669	61	2	9
2014-03-30 19:48:29.137469	107670	22.0	1	9
2014-03-30 19:48:29.98424	107671	60	2	8
2014-03-30 19:48:30.218134	107672	20.9	1	8
2014-03-30 19:48:32.025899	107673	949	3	2
2014-03-30 19:48:32.250317	107674	1139424.3425464756	4	2
2014-03-30 19:48:41.405609	107675	56	2	1
2014-03-30 19:48:41.636416	107676	21.5	1	1
2014-03-30 19:48:59.384463	107677	52	2	10
2014-03-30 19:48:59.609106	107678	22.8	1	10
2014-03-30 19:49:08.98294	107679	59	2	8
2014-03-30 19:49:09.214708	107680	20.9	1	8
2014-03-30 19:49:20.40808	107681	56	2	1
2014-03-30 19:49:20.632233	107682	21.5	1	1
2014-03-30 19:49:32.025414	107683	965	3	2
2014-03-30 19:49:32.267233	107684	1139441.5780672969	4	2
2014-03-30 19:49:38.387204	107685	52	2	10
2014-03-30 19:49:38.614259	107686	22.8	1	10
2014-03-30 19:49:46.910346	107687	62	2	9
2014-03-30 19:49:47.144144	107688	22.0	1	9
2014-03-30 19:49:47.98412	107689	59	2	8
2014-03-30 19:49:48.206193	107690	20.9	1	8
2014-03-30 19:49:59.407396	107691	56	2	1
2014-03-30 19:49:59.642102	107692	21.5	1	1
2014-03-30 19:50:17.38405	107693	52	2	10
2014-03-30 19:50:17.61018	107694	22.8	1	10
2014-03-30 19:50:25.906013	107695	62	2	9
2014-03-30 19:50:26.138058	107696	22.0	1	9
2014-03-30 19:50:26.983781	107697	59	2	8
2014-03-30 19:50:27.205894	107698	20.9	1	8
2014-03-30 19:50:32.027225	107699	965	3	2
2014-03-30 19:50:32.260119	107700	1139457.6645533966	4	2
2014-03-30 19:50:38.404314	107701	56	2	1
2014-03-30 19:50:38.629649	107702	21.5	1	1
2014-03-30 19:50:56.388012	107703	52	2	10
2014-03-30 19:50:56.621562	107704	22.8	1	10
2014-03-30 19:51:05.983052	107705	59	2	8
2014-03-30 19:51:06.207182	107706	20.9	1	8
2014-03-30 19:51:17.405065	107707	56	2	1
2014-03-30 19:51:17.638076	107708	21.6	1	1
2014-03-30 19:51:35.387368	107709	52	2	10
2014-03-30 19:51:35.611603	107710	22.9	1	10
2014-03-30 19:51:43.909536	107711	62	2	9
2014-03-30 19:51:44.141612	107712	22.0	1	9
2014-03-30 19:51:44.982829	107713	59	2	8
2014-03-30 19:51:45.20595	107714	20.9	1	8
2014-03-30 19:51:56.404075	107715	56	2	1
2014-03-30 19:51:56.636707	107716	21.6	1	1
2014-03-30 19:52:08.022037	107717	917	3	2
2014-03-30 19:52:08.245412	107718	1139485.2413867107	4	2
2014-03-30 19:52:14.388042	107719	52	2	10
2014-03-30 19:52:14.630641	107720	22.9	1	10
2014-03-30 19:52:20.028987	107721	917	3	2
2014-03-30 19:52:20.253293	107722	1139487.5394561533	4	2
2014-03-30 19:52:23.986366	107723	58	2	8
2014-03-30 19:52:24.215705	107724	20.9	1	8
2014-03-30 19:52:32.029392	107725	1030	3	2
2014-03-30 19:52:32.253644	107726	1139490.9865603177	4	2
2014-03-30 19:52:35.404816	107727	56	2	1
2014-03-30 19:52:35.637313	107728	21.6	1	1
2014-03-30 19:52:44.028497	107729	1030	3	2
2014-03-30 19:52:44.254174	107730	1139494.4336644819	4	2
2014-03-30 19:52:53.38778	107731	52	2	10
2014-03-30 19:52:53.63141	107732	22.9	1	10
2014-03-30 19:53:02.114034	107733	62	2	9
2014-03-30 19:53:02.337238	107734	22.1	1	9
2014-03-30 19:53:02.982912	107735	58	2	8
2014-03-30 19:53:03.215454	107736	20.9	1	8
2014-03-30 19:53:14.403678	107737	56	2	1
2014-03-30 19:53:14.624975	107738	21.5	1	1
2014-03-30 19:53:32.024516	107739	1062	3	2
2014-03-30 19:53:32.258436	107740	1139509.3711158603	4	2
2014-03-30 19:53:32.562031	107741	51	2	10
2014-03-30 19:53:32.783538	107742	22.9	1	10
2014-03-30 19:53:41.9824	107743	58	2	8
2014-03-30 19:53:42.216448	107744	20.9	1	8
2014-03-30 19:53:44.024819	107745	1062	3	2
2014-03-30 19:53:44.247826	107746	1139511.6736562552	4	2
2014-03-30 19:53:53.402089	107747	56	2	1
2014-03-30 19:53:53.635068	107748	21.5	1	1
2014-03-30 19:54:11.387862	107749	51	2	10
2014-03-30 19:54:11.610318	107750	22.9	1	10
2014-03-30 19:54:20.983634	107751	58	2	8
2014-03-30 19:54:21.214898	107752	20.9	1	8
2014-03-30 19:54:32.024911	107753	1062	3	2
2014-03-30 19:54:32.248975	107754	1139525.4620729124	4	2
2014-03-30 19:54:32.555568	107755	56	2	1
2014-03-30 19:54:32.789852	107756	21.5	1	1
2014-03-30 19:54:50.391136	107757	51	2	10
2014-03-30 19:54:50.614156	107758	22.9	1	10
2014-03-30 19:54:58.90974	107759	62	2	9
2014-03-30 19:54:59.141562	107760	22.1	1	9
2014-03-30 19:54:59.984574	107761	58	2	8
2014-03-30 19:55:00.208491	107762	20.8	1	8
2014-03-30 19:55:11.40147	107763	56	2	1
2014-03-30 19:55:11.634513	107764	21.5	1	1
2014-03-30 19:55:29.385704	107765	51	2	10
2014-03-30 19:55:29.6102	107766	22.9	1	10
2014-03-30 19:55:37.912051	107767	62	2	9
2014-03-30 19:55:38.144884	107768	22.1	1	9
2014-03-30 19:55:38.984259	107769	58	2	8
2014-03-30 19:55:39.206607	107770	20.8	1	8
2014-03-30 19:55:50.39958	107771	56	2	1
2014-03-30 19:55:50.633023	107772	21.5	1	1
2014-03-30 19:56:08.38887	107773	51	2	10
2014-03-30 19:56:08.614151	107774	22.9	1	10
2014-03-30 19:56:16.910883	107775	62	2	9
2014-03-30 19:56:17.143779	107776	22.1	1	9
2014-03-30 19:56:17.984302	107777	57	2	8
2014-03-30 19:56:18.206464	107778	20.8	1	8
2014-03-30 19:56:29.402253	107779	56	2	1
2014-03-30 19:56:29.647824	107780	21.5	1	1
2014-03-30 19:56:32.022495	107781	1046	3	2
2014-03-30 19:56:32.244453	107782	1139562.2311839976	4	2
2014-03-30 19:56:47.389818	107783	51	2	10
2014-03-30 19:56:47.622421	107784	22.9	1	10
2014-03-30 19:56:56.983076	107785	58	2	8
2014-03-30 19:56:57.206536	107786	20.8	1	8
2014-03-30 19:57:08.402756	107787	56	2	1
2014-03-30 19:57:08.634742	107788	21.5	1	1
2014-03-30 19:57:26.391588	107789	51	2	10
2014-03-30 19:57:26.616232	107790	22.9	1	10
2014-03-30 19:57:32.028457	107791	1046	3	2
2014-03-30 19:57:32.259239	107792	1139579.466704819	4	2
2014-03-30 19:57:35.9858	107793	58	2	8
2014-03-30 19:57:36.209162	107794	20.8	1	8
2014-03-30 19:57:47.400148	107795	56	2	1
2014-03-30 19:57:47.638191	107796	21.5	1	1
2014-03-30 19:58:05.592704	107797	51	2	10
2014-03-30 19:58:05.816993	107798	22.8	1	10
2014-03-30 19:58:08.024339	107799	1094	3	2
2014-03-30 19:58:08.255241	107800	1139590.957052033	4	2
2014-03-30 19:58:14.985862	107801	58	2	8
2014-03-30 19:58:15.209963	107802	20.8	1	8
2014-03-30 19:58:20.027326	107803	1078	3	2
2014-03-30 19:58:20.263119	107804	1139594.404156197	4	2
2014-03-30 19:58:26.401781	107805	56	2	1
2014-03-30 19:58:26.625869	107806	21.5	1	1
2014-03-30 19:58:32.160018	107807	1094	3	2
2014-03-30 19:58:32.595483	107808	1139597.8512603615	4	2
2014-03-30 19:58:44.151371	107809	1030	3	2
2014-03-30 19:58:44.575555	107810	1139601.2983645257	4	2
2014-03-30 19:58:45.170036	107811	51	2	10
2014-03-30 19:58:45.628755	107812	22.8	1	10
2014-03-30 19:58:53.033248	107813	62	2	9
2014-03-30 19:58:53.44999	107814	22.1	1	9
2014-03-30 19:58:54.119911	107815	58	2	8
2014-03-30 19:58:54.6036	107816	20.8	1	8
2014-03-30 19:58:56.16205	107817	1078	3	2
2014-03-30 19:58:56.580027	107818	1139604.7454686898	4	2
2014-03-30 19:59:05.407141	107819	56	2	1
2014-03-30 19:59:05.639151	107820	21.5	1	1
2014-03-30 19:59:08.024517	107821	1094	3	2
2014-03-30 19:59:08.24913	107822	1139608.1925728542	4	2
2014-03-30 19:59:23.389383	107823	51	2	10
2014-03-30 19:59:23.620979	107824	22.8	1	10
2014-03-30 19:59:32.985567	107825	57	2	8
2014-03-30 19:59:33.210625	107826	20.8	1	8
2014-03-30 19:59:44.023762	107827	1046	3	2
2014-03-30 19:59:44.269009	107828	1139619.6829200683	4	2
2014-03-30 19:59:44.577631	107829	56	2	1
2014-03-30 19:59:44.801052	107830	21.5	1	1
2014-03-30 19:59:56.023243	107831	1078	3	2
2014-03-30 19:59:56.256533	107832	1139623.1300242327	4	2
2014-03-30 20:00:02.391693	107833	51	2	10
2014-03-30 20:00:02.613304	107834	22.8	1	10
2014-03-30 20:00:08.025404	107835	1078	3	2
2014-03-30 20:00:08.256823	107836	1139626.5771283968	4	2
2014-03-30 20:00:11.984214	107837	57	2	8
2014-03-30 20:00:12.206792	107838	20.8	1	8
2014-03-30 20:00:23.403672	107839	56	2	1
2014-03-30 20:00:23.638428	107840	21.5	1	1
2014-03-30 20:00:32.023244	107841	1062	3	2
2014-03-30 20:00:32.245335	107842	1139634.6203714467	4	2
2014-03-30 20:00:41.389717	107843	51	2	10
2014-03-30 20:00:41.623465	107844	22.8	1	10
2014-03-30 20:00:44.020966	107845	1030	3	2
2014-03-30 20:00:44.243863	107846	1139638.0674756109	4	2
2014-03-30 20:00:50.983376	107847	57	2	8
2014-03-30 20:00:51.216893	107848	20.8	1	8
2014-03-30 20:00:56.023856	107849	1078	3	2
2014-03-30 20:00:56.249301	107850	1139641.5145797753	4	2
2014-03-30 20:01:02.400747	107851	56	2	1
2014-03-30 20:01:02.637536	107852	21.4	1	1
2014-03-30 20:01:08.025298	107853	1062	3	2
2014-03-30 20:01:08.246795	107854	1139644.9616839394	4	2
2014-03-30 20:01:20.390636	107855	51	2	10
2014-03-30 20:01:20.624524	107856	22.8	1	10
2014-03-30 20:01:29.985431	107857	57	2	8
2014-03-30 20:01:30.20732	107858	20.8	1	8
2014-03-30 20:01:32.023839	107859	1062	3	2
2014-03-30 20:01:32.259313	107860	1139653.0049269893	4	2
2014-03-30 20:01:41.398823	107861	56	2	1
2014-03-30 20:01:41.625371	107862	21.4	1	1
2014-03-30 20:01:44.023719	107863	949	3	2
2014-03-30 20:01:44.255273	107864	1139656.4520311537	4	2
2014-03-30 20:01:56.022668	107865	981	3	2
2014-03-30 20:01:56.24488	107866	1139659.899135318	4	2
2014-03-30 20:01:59.391278	107867	51	2	10
2014-03-30 20:01:59.624283	107868	22.8	1	10
2014-03-30 20:02:08.985125	107869	57	2	8
2014-03-30 20:02:09.208302	107870	20.7	1	8
2014-03-30 20:02:20.023997	107871	1030	3	2
2014-03-30 20:02:20.254789	107872	1139666.7933436465	4	2
2014-03-30 20:02:20.559986	107873	56	2	1
2014-03-30 20:02:20.792734	107874	21.4	1	1
2014-03-30 20:02:32.024951	107875	1046	3	2
2014-03-30 20:02:32.268414	107876	1139670.2404478106	4	2
2014-03-30 20:02:38.390798	107877	51	2	10
2014-03-30 20:02:38.616645	107878	22.8	1	10
2014-03-30 20:02:44.025862	107879	965	3	2
2014-03-30 20:02:44.260191	107880	1139673.6875519748	4	2
2014-03-30 20:02:47.985455	107881	57	2	8
2014-03-30 20:02:48.21092	107882	20.8	1	8
2014-03-30 20:02:56.023967	107883	1030	3	2
2014-03-30 20:02:56.256305	107884	1139677.1346561392	4	2
2014-03-30 20:02:59.39918	107885	56	2	1
2014-03-30 20:02:59.622683	107886	21.4	1	1
2014-03-30 20:03:08.024819	107887	1030	3	2
2014-03-30 20:03:08.25738	107888	1139680.5817603034	4	2
2014-03-30 20:03:17.391457	107889	51	2	10
2014-03-30 20:03:17.614753	107890	22.8	1	10
2014-03-30 20:03:26.987614	107891	57	2	8
2014-03-30 20:03:27.220926	107892	20.7	1	8
2014-03-30 20:03:32.025903	107893	981	3	2
2014-03-30 20:03:32.253499	107894	1139687.475968632	4	2
2014-03-30 20:03:38.397607	107895	56	2	1
2014-03-30 20:03:38.633599	107896	21.4	1	1
2014-03-30 20:03:44.025305	107897	965	3	2
2014-03-30 20:03:44.24815	107898	1139689.7740380745	4	2
2014-03-30 20:03:56.026871	107899	1030	3	2
2014-03-30 20:03:56.259984	107900	1139693.221142239	4	2
2014-03-30 20:03:56.563384	107901	51	2	10
2014-03-30 20:03:56.785978	107902	22.8	1	10
2014-03-30 20:04:05.984378	107903	57	2	8
2014-03-30 20:04:06.219905	107904	20.7	1	8
2014-03-30 20:04:08.025624	107905	1030	3	2
2014-03-30 20:04:08.269734	107906	1139696.668246403	4	2
2014-03-30 20:04:17.399294	107907	56	2	1
2014-03-30 20:04:17.632566	107908	21.4	1	1
2014-03-30 20:04:20.025151	107909	933	3	2
2014-03-30 20:04:20.249027	107910	1139700.1153505673	4	2
2014-03-30 20:04:32.022865	107911	901	3	2
2014-03-30 20:04:32.25613	107912	1139703.5624547317	4	2
2014-03-30 20:04:35.39258	107913	51	2	10
2014-03-30 20:04:35.614798	107914	22.8	1	10
2014-03-30 20:04:44.984545	107915	57	2	8
2014-03-30 20:04:45.218019	107916	20.7	1	8
2014-03-30 20:04:56.397797	107917	56	2	1
2014-03-30 20:04:56.622502	107918	21.4	1	1
2014-03-30 20:05:14.394702	107919	51	2	10
2014-03-30 20:05:14.627598	107920	22.8	1	10
2014-03-30 20:05:23.984809	107921	57	2	8
2014-03-30 20:05:24.208947	107922	20.7	1	8
2014-03-30 20:05:32.023054	107923	917	3	2
2014-03-30 20:05:32.266424	107924	1139718.49990611	4	2
2014-03-30 20:05:35.400317	107925	56	2	1
2014-03-30 20:05:35.621096	107926	21.4	1	1
2014-03-30 20:05:53.393245	107927	51	2	10
2014-03-30 20:05:53.812297	107928	22.8	1	10
2014-03-30 20:06:02.982376	107929	56	2	8
2014-03-30 20:06:03.206314	107930	20.7	1	8
2014-03-30 20:06:14.397366	107931	56	2	1
2014-03-30 20:06:14.618174	107932	21.3	1	1
2014-03-30 20:06:32.021656	107933	917	3	2
2014-03-30 20:06:32.251536	107934	1139734.5863922099	4	2
2014-03-30 20:06:32.554882	107935	51	2	10
2014-03-30 20:06:32.775341	107936	22.8	1	10
2014-03-30 20:06:41.982918	107937	56	2	8
2014-03-30 20:06:42.213548	107938	20.7	1	8
2014-03-30 20:06:53.395291	107939	56	2	1
2014-03-30 20:06:53.617078	107940	21.3	1	1
2014-03-30 20:07:11.391478	107941	50	2	10
2014-03-30 20:07:11.621939	107942	22.8	1	10
2014-03-30 20:07:20.982252	107943	56	2	8
2014-03-30 20:07:21.203125	107944	20.7	1	8
2014-03-30 20:07:32.022013	107945	965	3	2
2014-03-30 20:07:32.252992	107946	1139750.6728783096	4	2
2014-03-30 20:07:32.555959	107947	56	2	1
2014-03-30 20:07:32.77781	107948	21.3	1	1
2014-03-30 20:07:50.391937	107949	50	2	10
2014-03-30 20:07:50.624379	107950	22.8	1	10
2014-03-30 20:07:59.981631	107951	56	2	8
2014-03-30 20:08:00.202352	107952	20.7	1	8
2014-03-30 20:08:11.393788	107953	56	2	1
2014-03-30 20:08:11.62528	107954	21.3	1	1
2014-03-30 20:08:29.392848	107955	50	2	10
2014-03-30 20:08:29.614179	107956	22.8	1	10
2014-03-30 20:08:32.021028	107957	965	3	2
2014-03-30 20:08:32.251548	107958	1139766.7593644094	4	2
2014-03-30 20:08:37.911695	107959	61	2	9
2014-03-30 20:08:38.133162	107960	22.1	1	9
2014-03-30 20:08:38.985507	107961	56	2	8
2014-03-30 20:08:39.214666	107962	20.7	1	8
2014-03-30 20:08:44.084099	107963	933	3	2
2014-03-30 20:08:44.306082	107964	1139769.0574338522	4	2
2014-03-30 20:08:50.394025	107965	56	2	1
2014-03-30 20:08:50.624269	107966	21.3	1	1
2014-03-30 20:09:08.192795	107967	837	3	2
2014-03-30 20:09:08.413902	107968	1139774.8026074592	4	2
2014-03-30 20:09:08.715152	107969	50	2	10
2014-03-30 20:09:08.94608	107970	22.8	1	10
2014-03-30 20:09:17.113022	107971	61	2	9
2014-03-30 20:09:17.333984	107972	22.1	1	9
2014-03-30 20:09:17.983316	107973	56	2	8
2014-03-30 20:09:18.226141	107974	20.7	1	8
2014-03-30 20:09:20.01969	107975	804	3	2
2014-03-30 20:09:20.240924	107976	1139778.2497116236	4	2
2014-03-30 20:09:29.395425	107977	56	2	1
2014-03-30 20:09:29.624933	107978	21.3	1	1
2014-03-30 20:09:32.021197	107979	804	3	2
2014-03-30 20:09:32.241844	107980	1139780.5477810665	4	2
2014-03-30 20:09:47.390836	107981	50	2	10
2014-03-30 20:09:47.620862	107982	22.8	1	10
2014-03-30 20:09:56.983178	107983	56	2	8
2014-03-30 20:09:57.205844	107984	20.7	1	8
2014-03-30 20:10:08.394041	107985	56	2	1
2014-03-30 20:10:08.625499	107986	21.3	1	1
2014-03-30 20:10:26.393108	107987	50	2	10
2014-03-30 20:10:26.613881	107988	22.8	1	10
2014-03-30 20:10:32.022312	107989	804	3	2
2014-03-30 20:10:32.254325	107990	1139794.3361977234	4	2
2014-03-30 20:10:35.983111	107991	56	2	8
2014-03-30 20:10:36.202632	107992	20.7	1	8
2014-03-30 20:10:47.394646	107993	56	2	1
2014-03-30 20:10:47.627278	107994	21.3	1	1
2014-03-30 20:10:56.021531	107995	676	3	2
2014-03-30 20:10:56.242065	107996	1139800.0813713304	4	2
2014-03-30 20:11:05.397225	107997	50	2	10
2014-03-30 20:11:05.62858	107998	22.8	1	10
2014-03-30 20:11:08.021488	107999	676	3	2
2014-03-30 20:11:08.243132	108000	1139802.3794407733	4	2
2014-03-30 20:11:14.982858	108001	56	2	8
2014-03-30 20:11:15.21343	108002	20.7	1	8
2014-03-30 20:11:26.393358	108003	56	2	1
2014-03-30 20:11:26.616208	108004	21.2	1	1
2014-03-30 20:11:32.023891	108005	692	3	2
2014-03-30 20:11:32.255158	108006	1139805.8310158898	4	2
2014-03-30 20:11:44.393063	108007	50	2	10
2014-03-30 20:11:44.615746	108008	22.8	1	10
2014-03-30 20:11:53.981783	108009	56	2	8
2014-03-30 20:11:54.214202	108010	20.7	1	8
2014-03-30 20:12:05.392702	108011	56	2	1
2014-03-30 20:12:05.614736	108012	21.2	1	1
2014-03-30 20:12:20.021865	108013	627	3	2
2014-03-30 20:12:20.252966	108014	1139815.0232936612	4	2
2014-03-30 20:12:23.392682	108015	50	2	10
2014-03-30 20:12:23.614094	108016	22.8	1	10
2014-03-30 20:12:32.988864	108017	56	2	8
2014-03-30 20:12:33.220191	108018	20.7	1	8
2014-03-30 20:12:44.392354	108019	56	2	1
2014-03-30 20:12:44.614805	108020	21.2	1	1
2014-03-30 20:13:02.393745	108021	50	2	10
2014-03-30 20:13:02.635051	108022	22.7	1	10
2014-03-30 20:13:11.983242	108023	56	2	8
2014-03-30 20:13:12.203809	108024	20.7	1	8
2014-03-30 20:13:20.024152	108025	692	3	2
2014-03-30 20:13:20.254864	108026	1139825.364606154	4	2
2014-03-30 20:13:23.390745	108027	56	2	1
2014-03-30 20:13:23.612462	108028	21.2	1	1
2014-03-30 20:13:32.020378	108029	724	3	2
2014-03-30 20:13:32.253271	108030	1139827.6626755968	4	2
2014-03-30 20:13:41.519966	108031	50	2	10
2014-03-30 20:13:41.936638	108032	22.7	1	10
2014-03-30 20:13:44.179211	108033	724	3	2
2014-03-30 20:13:44.639979	108034	1139829.9607450394	4	2
2014-03-30 20:13:49.912357	108035	60	2	9
2014-03-30 20:13:50.133376	108036	22.1	1	9
2014-03-30 20:13:50.983896	108037	56	2	8
2014-03-30 20:13:51.214709	108038	20.6	1	8
2014-03-30 20:14:02.392494	108039	56	2	1
2014-03-30 20:14:02.613235	108040	21.2	1	1
2014-03-30 20:14:20.39345	108041	50	2	10
2014-03-30 20:14:20.623518	108042	22.7	1	10
2014-03-30 20:14:28.911339	108043	60	2	9
2014-03-30 20:14:29.133849	108044	22.1	1	9
2014-03-30 20:14:29.983612	108045	56	2	8
2014-03-30 20:14:30.215198	108046	20.6	1	8
2014-03-30 20:14:32.022275	108047	708	3	2
2014-03-30 20:14:32.240984	108048	1139840.3020575321	4	2
2014-03-30 20:14:41.390575	108049	56	2	1
2014-03-30 20:14:41.620809	108050	21.2	1	1
2014-03-30 20:14:59.393245	108051	50	2	10
2014-03-30 20:14:59.615481	108052	22.7	1	10
2014-03-30 20:15:08.982957	108053	55	2	8
2014-03-30 20:15:09.214611	108054	20.6	1	8
2014-03-30 20:15:20.01979	108055	820	3	2
2014-03-30 20:15:20.243085	108056	1139850.6433700249	4	2
2014-03-30 20:15:20.546662	108057	56	2	1
2014-03-30 20:15:20.776515	108058	21.2	1	1
2014-03-30 20:15:32.019195	108059	837	3	2
2014-03-30 20:15:32.240456	108060	1139852.9414394677	4	2
2014-03-30 20:15:38.394325	108061	50	2	10
2014-03-30 20:15:38.625079	108062	22.7	1	10
2014-03-30 20:15:47.982012	108063	55	2	8
2014-03-30 20:15:48.224907	108064	20.6	1	8
2014-03-30 20:15:59.394096	108065	56	2	1
2014-03-30 20:15:59.625024	108066	21.2	1	1
2014-03-30 20:16:17.39637	108067	50	2	10
2014-03-30 20:16:17.618185	108068	22.7	1	10
2014-03-30 20:16:25.90731	108069	60	2	9
2014-03-30 20:16:26.149493	108070	22.1	1	9
2014-03-30 20:16:26.9823	108071	55	2	8
2014-03-30 20:16:27.201602	108072	20.6	1	8
2014-03-30 20:16:32.022856	108073	804	3	2
2014-03-30 20:16:32.254096	108074	1139866.7298561248	4	2
2014-03-30 20:16:38.392422	108075	56	2	1
2014-03-30 20:16:38.612346	108076	21.2	1	1
2014-03-30 20:16:44.023751	108077	724	3	2
2014-03-30 20:16:44.292345	108078	1139870.176960289	4	2
2014-03-30 20:16:56.021848	108079	724	3	2
2014-03-30 20:16:56.243284	108080	1139872.4750297319	4	2
2014-03-30 20:16:56.54698	108081	50	2	10
2014-03-30 20:16:56.777699	108082	22.7	1	10
2014-03-30 20:17:05.982861	108083	55	2	8
2014-03-30 20:17:06.203516	108084	20.6	1	8
2014-03-30 20:17:17.389852	108085	56	2	1
2014-03-30 20:17:17.621856	108086	21.2	1	1
2014-03-30 20:17:32.022239	108087	724	3	2
2014-03-30 20:17:32.243922	108088	1139879.3692380604	4	2
2014-03-30 20:17:35.395804	108089	50	2	10
2014-03-30 20:17:35.629124	108090	22.7	1	10
2014-03-30 20:17:44.983088	108091	55	2	8
2014-03-30 20:17:45.203915	108092	20.6	1	8
2014-03-30 20:17:56.019819	108093	804	3	2
2014-03-30 20:17:56.250656	108094	1139885.1144116675	4	2
2014-03-30 20:17:56.553788	108095	56	2	1
2014-03-30 20:17:56.776107	108096	21.2	1	1
2014-03-30 20:18:08.018922	108097	724	3	2
2014-03-30 20:18:08.251619	108098	1139887.4124811103	4	2
2014-03-30 20:18:14.393931	108099	50	2	10
2014-03-30 20:18:14.6162	108100	22.7	1	10
2014-03-30 20:18:20.02297	108101	837	3	2
2014-03-30 20:18:20.25564	108102	1139889.7105505532	4	2
2014-03-30 20:18:23.984357	108103	55	2	8
2014-03-30 20:18:24.204528	108104	20.6	1	8
2014-03-30 20:18:32.022218	108105	853	3	2
2014-03-30 20:18:32.253484	108106	1139893.1576547173	4	2
2014-03-30 20:18:35.38999	108107	56	2	1
2014-03-30 20:18:35.611312	108108	21.2	1	1
2014-03-30 20:18:53.396184	108109	50	2	10
2014-03-30 20:18:53.627196	108110	22.7	1	10
2014-03-30 20:19:02.983806	108111	55	2	8
2014-03-30 20:19:03.205665	108112	20.6	1	8
2014-03-30 20:19:14.425171	108113	56	2	1
2014-03-30 20:19:14.656793	108114	21.1	1	1
2014-03-30 20:19:32.023429	108115	853	3	2
2014-03-30 20:19:32.245476	108116	1139906.9460713742	4	2
2014-03-30 20:19:32.54903	108117	50	2	10
2014-03-30 20:19:32.792877	108118	22.7	1	10
2014-03-30 20:19:41.984029	108119	55	2	8
2014-03-30 20:19:42.204179	108120	20.6	1	8
2014-03-30 20:19:53.387284	108121	56	2	1
2014-03-30 20:19:53.619991	108122	21.1	1	1
2014-03-30 20:20:11.394683	108123	50	2	10
2014-03-30 20:20:11.615939	108124	22.7	1	10
2014-03-30 20:20:19.911431	108125	60	2	9
2014-03-30 20:20:20.143095	108126	22.1	1	9
2014-03-30 20:20:20.982855	108127	55	2	8
2014-03-30 20:20:21.204923	108128	20.6	1	8
2014-03-30 20:20:32.01853	108129	853	3	2
2014-03-30 20:20:32.253292	108130	1139920.7344880314	4	2
2014-03-30 20:20:32.559947	108131	56	2	1
2014-03-30 20:20:32.781077	108132	21.1	1	1
2014-03-30 20:20:50.396155	108133	50	2	10
2014-03-30 20:20:50.626009	108134	22.7	1	10
2014-03-30 20:20:59.983046	108135	55	2	8
2014-03-30 20:21:00.205481	108136	20.6	1	8
2014-03-30 20:21:11.383935	108137	56	2	1
2014-03-30 20:21:11.613527	108138	21.1	1	1
2014-03-30 20:21:29.399502	108139	50	2	10
2014-03-30 20:21:29.620144	108140	22.7	1	10
2014-03-30 20:21:32.019867	108141	837	3	2
2014-03-30 20:21:32.249519	108142	1139934.5229046883	4	2
2014-03-30 20:21:38.039983	108143	60	2	9
2014-03-30 20:21:38.449743	108144	22.1	1	9
2014-03-30 20:21:39.109992	108145	55	2	8
2014-03-30 20:21:39.544808	108146	20.6	1	8
2014-03-30 20:21:50.387375	108147	56	2	1
2014-03-30 20:21:50.607533	108148	21.1	1	1
2014-03-30 20:22:08.022191	108149	901	3	2
2014-03-30 20:22:08.253457	108150	1139943.7151824597	4	2
2014-03-30 20:22:08.556895	108151	49	2	10
2014-03-30 20:22:08.776106	108152	22.7	1	10
2014-03-30 20:22:16.909345	108153	60	2	9
2014-03-30 20:22:17.139709	108154	22.1	1	9
2014-03-30 20:22:17.982789	108155	55	2	8
2014-03-30 20:22:18.202437	108156	20.6	1	8
2014-03-30 20:22:20.02121	108157	901	3	2
2014-03-30 20:22:20.252732	108158	1139946.0132519023	4	2
2014-03-30 20:22:29.388121	108159	56	2	1
2014-03-30 20:22:29.610628	108160	21.1	1	1
2014-03-30 20:22:32.020995	108161	901	3	2
2014-03-30 20:22:32.251656	108162	1139949.4603560667	4	2
2014-03-30 20:22:47.397791	108163	49	2	10
2014-03-30 20:22:47.623563	108164	22.7	1	10
2014-03-30 20:22:55.912561	108165	60	2	9
2014-03-30 20:22:56.155784	108166	22.1	1	9
2014-03-30 20:22:56.98431	108167	55	2	8
2014-03-30 20:22:57.205246	108168	20.5	1	8
2014-03-30 20:23:08.390887	108169	56	2	1
2014-03-30 20:23:08.624679	108170	21.1	1	1
2014-03-30 20:23:26.397313	108171	49	2	10
2014-03-30 20:23:26.61958	108172	22.7	1	10
2014-03-30 20:23:34.908922	108173	59	2	9
2014-03-30 20:23:35.140067	108174	22.1	1	9
2014-03-30 20:23:35.982962	108175	55	2	8
2014-03-30 20:23:36.203522	108176	20.5	1	8
2014-03-30 20:23:44.022899	108177	724	3	2
2014-03-30 20:23:44.25589	108178	1139966.6958768878	4	2
2014-03-30 20:23:47.385224	108179	56	2	1
2014-03-30 20:23:47.606258	108180	21.1	1	1
2014-03-30 20:24:05.396362	108181	49	2	10
2014-03-30 20:24:05.627893	108182	22.7	1	10
2014-03-30 20:24:14.984201	108183	55	2	8
2014-03-30 20:24:15.204581	108184	20.5	1	8
2014-03-30 20:24:26.38433	108185	56	2	1
2014-03-30 20:24:26.615353	108186	21.1	1	1
2014-03-30 20:24:44.404413	108187	49	2	10
2014-03-30 20:24:44.681101	108188	22.7	1	10
2014-03-30 20:24:53.985699	108189	55	2	8
2014-03-30 20:24:54.214986	108190	20.5	1	8
2014-03-30 20:25:05.385343	108191	56	2	1
2014-03-30 20:25:05.606715	108192	21.1	1	1
2014-03-30 20:25:23.397486	108193	49	2	10
2014-03-30 20:25:23.628323	108194	22.7	1	10
2014-03-30 20:25:32.983789	108195	55	2	8
2014-03-30 20:25:33.205547	108196	20.5	1	8
2014-03-30 20:25:44.385008	108197	56	2	1
2014-03-30 20:25:44.670689	108198	21.1	1	1
2014-03-30 20:26:02.397708	108199	49	2	10
2014-03-30 20:26:02.619962	108200	22.7	1	10
2014-03-30 20:26:10.911351	108201	59	2	9
2014-03-30 20:26:11.143332	108202	22.1	1	9
2014-03-30 20:26:11.984276	108203	55	2	8
2014-03-30 20:26:12.207015	108204	20.5	1	8
2014-03-30 20:26:23.384956	108205	56	2	1
2014-03-30 20:26:23.616491	108206	21.1	1	1
2014-03-30 20:26:32.022416	108207	724	3	2
2014-03-30 20:26:32.24651	108208	1140001.1669185304	4	2
2014-03-30 20:26:41.398079	108209	49	2	10
2014-03-30 20:26:41.650032	108210	22.7	1	10
2014-03-30 20:26:49.915103	108211	59	2	9
2014-03-30 20:26:50.13567	108212	22.1	1	9
2014-03-30 20:26:50.983518	108213	55	2	8
2014-03-30 20:26:51.225901	108214	20.5	1	8
2014-03-30 20:27:02.386004	108215	56	2	1
2014-03-30 20:27:02.605411	108216	21.1	1	1
2014-03-30 20:27:20.400829	108217	49	2	10
2014-03-30 20:27:20.631167	108218	22.7	1	10
2014-03-30 20:27:28.909153	108219	59	2	9
2014-03-30 20:27:29.129454	108220	22.1	1	9
2014-03-30 20:27:29.983117	108221	55	2	8
2014-03-30 20:27:30.213753	108222	20.5	1	8
2014-03-30 20:27:41.383911	108223	56	2	1
2014-03-30 20:27:41.608654	108224	21.1	1	1
2014-03-30 20:27:44.019737	108225	804	3	2
2014-03-30 20:27:44.251489	108226	1140014.9553351873	4	2
2014-03-30 20:27:56.02117	108227	724	3	2
2014-03-30 20:27:56.241402	108228	1140017.25340463	4	2
2014-03-30 20:27:59.398052	108229	49	2	10
2014-03-30 20:27:59.630805	108230	22.7	1	10
2014-03-30 20:28:08.984272	108231	55	2	8
2014-03-30 20:28:09.208461	108232	20.5	1	8
2014-03-30 20:28:20.384422	108233	56	2	1
2014-03-30 20:28:20.621088	108234	21.0	1	1
2014-03-30 20:28:32.021123	108235	708	3	2
2014-03-30 20:28:32.243091	108236	1140025.29664768	4	2
2014-03-30 20:28:38.399287	108237	49	2	10
2014-03-30 20:28:38.631177	108238	22.7	1	10
2014-03-30 20:28:46.911955	108239	59	2	9
2014-03-30 20:28:47.132151	108240	22.1	1	9
2014-03-30 20:28:47.982716	108241	54	2	8
2014-03-30 20:28:48.214088	108242	20.4	1	8
2014-03-30 20:28:59.381149	108243	56	2	1
2014-03-30 20:28:59.601637	108244	21.0	1	1
2014-03-30 20:29:08.021462	108245	820	3	2
2014-03-30 20:29:08.252356	108246	1140032.1908560086	4	2
2014-03-30 20:29:17.397988	108247	49	2	10
2014-03-30 20:29:17.618765	108248	22.6	1	10
2014-03-30 20:29:20.019745	108249	837	3	2
2014-03-30 20:29:20.24975	108250	1140035.6379601727	4	2
2014-03-30 20:29:25.911729	108251	59	2	9
2014-03-30 20:29:26.133239	108252	22.0	1	9
2014-03-30 20:29:26.984346	108253	55	2	8
2014-03-30 20:29:27.214471	108254	20.4	1	8
2014-03-30 20:29:32.025527	108255	853	3	2
2014-03-30 20:29:32.247298	108256	1140037.9360296156	4	2
2014-03-30 20:29:38.382349	108257	56	2	1
2014-03-30 20:29:38.613844	108258	21.0	1	1
2014-03-30 20:29:56.022285	108259	820	3	2
2014-03-30 20:29:56.243479	108260	1140043.6812032226	4	2
2014-03-30 20:29:56.546252	108261	49	2	10
2014-03-30 20:29:56.789645	108262	22.6	1	10
2014-03-30 20:30:05.985989	108263	54	2	8
2014-03-30 20:30:06.206749	108264	20.4	1	8
2014-03-30 20:30:08.02392	108265	820	3	2
2014-03-30 20:30:08.256058	108266	1140045.9792726655	4	2
2014-03-30 20:30:17.382638	108267	56	2	1
2014-03-30 20:30:17.606126	108268	21.0	1	1
2014-03-30 20:30:32.022769	108269	820	3	2
2014-03-30 20:30:32.253472	108270	1140051.7244462725	4	2
2014-03-30 20:30:35.400328	108271	49	2	10
2014-03-30 20:30:35.620529	108272	22.6	1	10
2014-03-30 20:30:44.984415	108273	54	2	8
2014-03-30 20:30:45.216844	108274	20.4	1	8
2014-03-30 20:30:56.381965	108275	55	2	1
2014-03-30 20:30:56.6028	108276	21.0	1	1
2014-03-30 20:31:14.398766	108277	49	2	10
2014-03-30 20:31:14.630354	108278	22.6	1	10
2014-03-30 20:31:22.91123	108279	59	2	9
2014-03-30 20:31:23.134655	108280	22.0	1	9
2014-03-30 20:31:23.983689	108281	54	2	8
2014-03-30 20:31:24.215455	108282	20.4	1	8
2014-03-30 20:31:32.021859	108283	820	3	2
2014-03-30 20:31:32.243754	108284	1140065.5128629296	4	2
2014-03-30 20:31:35.387373	108285	55	2	1
2014-03-30 20:31:35.617147	108286	21.0	1	1
2014-03-30 20:31:53.39949	108287	49	2	10
2014-03-30 20:31:53.621088	108288	22.6	1	10
2014-03-30 20:32:01.909495	108289	59	2	9
2014-03-30 20:32:02.13892	108290	22.0	1	9
2014-03-30 20:32:02.984875	108291	54	2	8
2014-03-30 20:32:03.205684	108292	20.4	1	8
2014-03-30 20:32:14.383239	108293	55	2	1
2014-03-30 20:32:14.6144	108294	21.0	1	1
2014-03-30 20:32:32.021335	108295	820	3	2
2014-03-30 20:32:32.243023	108296	1140079.3012795865	4	2
2014-03-30 20:32:32.548103	108297	49	2	10
2014-03-30 20:32:32.779714	108298	22.6	1	10
2014-03-30 20:32:41.986211	108299	54	2	8
2014-03-30 20:32:42.209462	108300	20.4	1	8
2014-03-30 20:32:53.382314	108301	55	2	1
2014-03-30 20:32:53.615507	108302	21.0	1	1
2014-03-30 20:33:11.401874	108303	49	2	10
2014-03-30 20:33:11.62494	108304	22.6	1	10
2014-03-30 20:33:20.984597	108305	54	2	8
2014-03-30 20:33:21.21679	108306	20.4	1	8
2014-03-30 20:33:32.021248	108307	724	3	2
2014-03-30 20:33:32.242952	108308	1140093.0896962436	4	2
2014-03-30 20:33:32.548763	108309	55	2	1
2014-03-30 20:33:32.791595	108310	21.0	1	1
2014-03-30 20:33:50.401079	108311	49	2	10
2014-03-30 20:33:50.625271	108312	22.6	1	10
2014-03-30 20:33:58.908664	108313	59	2	9
2014-03-30 20:33:59.140321	108314	22.0	1	9
2014-03-30 20:33:59.984761	108315	54	2	8
2014-03-30 20:34:00.204073	108316	20.4	1	8
2014-03-30 20:34:11.381707	108317	55	2	1
2014-03-30 20:34:11.612421	108318	21.0	1	1
2014-03-30 20:34:29.401025	108319	49	2	10
2014-03-30 20:34:29.621682	108320	22.6	1	10
2014-03-30 20:34:32.020892	108321	724	3	2
2014-03-30 20:34:32.252345	108322	1140103.4354796885	4	2
2014-03-30 20:34:37.910804	108323	59	2	9
2014-03-30 20:34:38.132946	108324	22.0	1	9
2014-03-30 20:34:38.984113	108325	54	2	8
2014-03-30 20:34:39.214691	108326	20.4	1	8
2014-03-30 20:34:50.380028	108327	55	2	1
2014-03-30 20:34:50.601482	108328	21.0	1	1
2014-03-30 20:35:08.400933	108329	48	2	10
2014-03-30 20:35:08.632158	108330	22.6	1	10
2014-03-30 20:35:16.909813	108331	58	2	9
2014-03-30 20:35:17.134694	108332	22.0	1	9
2014-03-30 20:35:17.986663	108333	54	2	8
2014-03-30 20:35:18.217674	108334	20.4	1	8
2014-03-30 20:35:29.378317	108335	55	2	1
2014-03-30 20:35:29.599239	108336	21.0	1	1
2014-03-30 20:35:32.025113	108337	708	3	2
2014-03-30 20:35:32.257323	108338	1140116.074861624	4	2
2014-03-30 20:35:47.400906	108339	48	2	10
2014-03-30 20:35:47.621461	108340	22.6	1	10
2014-03-30 20:35:56.985757	108341	54	2	8
2014-03-30 20:35:57.217752	108342	20.4	1	8
2014-03-30 20:36:08.379586	108343	55	2	1
2014-03-30 20:36:08.600424	108344	21.0	1	1
2014-03-30 20:36:26.40196	108345	48	2	10
2014-03-30 20:36:26.633671	108346	22.6	1	10
2014-03-30 20:36:32.023976	108347	724	3	2
2014-03-30 20:36:32.246258	108348	1140127.565208838	4	2
2014-03-30 20:36:34.909903	108349	58	2	9
2014-03-30 20:36:35.142587	108350	22.0	1	9
2014-03-30 20:36:35.98347	108351	54	2	8
2014-03-30 20:36:36.20632	108352	20.4	1	8
2014-03-30 20:36:47.380296	108353	55	2	1
2014-03-30 20:36:47.612026	108354	21.0	1	1
2014-03-30 20:37:05.40099	108355	48	2	10
2014-03-30 20:37:05.622264	108356	22.6	1	10
2014-03-30 20:37:13.910732	108357	58	2	9
2014-03-30 20:37:14.159901	108358	22.0	1	9
2014-03-30 20:37:14.984659	108359	54	2	8
2014-03-30 20:37:15.207182	108360	20.4	1	8
2014-03-30 20:37:26.380433	108361	55	2	1
2014-03-30 20:37:26.611491	108362	21.0	1	1
2014-03-30 20:37:32.022753	108363	708	3	2
2014-03-30 20:37:32.247272	108364	1140140.2045907737	4	2
2014-03-30 20:37:44.405378	108365	48	2	10
2014-03-30 20:37:44.641012	108366	22.5	1	10
2014-03-30 20:37:52.911777	108367	58	2	9
2014-03-30 20:37:53.136189	108368	22.0	1	9
2014-03-30 20:37:53.98411	108369	54	2	8
2014-03-30 20:37:54.214746	108370	20.4	1	8
2014-03-30 20:38:05.383873	108371	55	2	1
2014-03-30 20:38:05.606054	108372	21.0	1	1
2014-03-30 20:38:23.402985	108373	48	2	10
2014-03-30 20:38:23.638099	108374	22.5	1	10
2014-03-30 20:38:32.983793	108375	54	2	8
2014-03-30 20:38:33.207905	108376	20.4	1	8
2014-03-30 20:38:44.380094	108377	55	2	1
2014-03-30 20:38:44.614834	108378	21.0	1	1
2014-03-30 20:38:56.018492	108379	837	3	2
2014-03-30 20:38:56.243019	108380	1140156.2910768737	4	2
2014-03-30 20:39:02.401825	108381	48	2	10
2014-03-30 20:39:02.635677	108382	22.5	1	10
2014-03-30 20:39:08.023224	108383	869	3	2
2014-03-30 20:39:08.246953	108384	1140159.7381810378	4	2
2014-03-30 20:39:10.911939	108385	58	2	9
2014-03-30 20:39:11.197525	108386	22.0	1	9
2014-03-30 20:39:11.984201	108387	54	2	8
2014-03-30 20:39:12.205804	108388	20.4	1	8
2014-03-30 20:39:20.020183	108389	869	3	2
2014-03-30 20:39:20.251093	108390	1140162.0362504807	4	2
2014-03-30 20:39:23.378671	108391	55	2	1
2014-03-30 20:39:23.600098	108392	21.0	1	1
2014-03-30 20:39:32.020121	108393	869	3	2
2014-03-30 20:39:32.251806	108394	1140165.4833546448	4	2
2014-03-30 20:39:41.403917	108395	48	2	10
2014-03-30 20:39:41.627643	108396	22.5	1	10
2014-03-30 20:39:49.908094	108397	58	2	9
2014-03-30 20:39:50.142904	108398	22.0	1	9
2014-03-30 20:39:50.984226	108399	54	2	8
2014-03-30 20:39:51.209335	108400	20.4	1	8
2014-03-30 20:40:02.378227	108401	55	2	1
2014-03-30 20:40:02.609259	108402	21.0	1	1
2014-03-30 20:40:20.403736	108403	48	2	10
2014-03-30 20:40:20.6262	108404	22.5	1	10
2014-03-30 20:40:28.909468	108405	58	2	9
2014-03-30 20:40:29.157257	108406	22.0	1	9
2014-03-30 20:40:29.982607	108407	54	2	8
2014-03-30 20:40:30.20351	108408	20.4	1	8
2014-03-30 20:40:32.020895	108409	869	3	2
2014-03-30 20:40:32.250963	108410	1140180.4208060233	4	2
2014-03-30 20:40:41.373879	108411	55	2	1
2014-03-30 20:40:41.603446	108412	21.0	1	1
2014-03-30 20:40:59.402312	108413	48	2	10
2014-03-30 20:40:59.633631	108414	22.5	1	10
2014-03-30 20:41:07.911406	108415	58	2	9
2014-03-30 20:41:08.136815	108416	22.0	1	9
2014-03-30 20:41:08.986022	108417	54	2	8
2014-03-30 20:41:09.215294	108418	20.4	1	8
2014-03-30 20:41:20.375824	108419	55	2	1
2014-03-30 20:41:20.597562	108420	20.9	1	1
2014-03-30 20:41:32.020578	108421	853	3	2
2014-03-30 20:41:32.252487	108422	1140194.2092226802	4	2
2014-03-30 20:41:38.403336	108423	48	2	10
2014-03-30 20:41:38.623471	108424	22.5	1	10
2014-03-30 20:41:46.909456	108425	58	2	9
2014-03-30 20:41:47.144612	108426	22.0	1	9
2014-03-30 20:41:47.984309	108427	53	2	8
2014-03-30 20:41:48.20534	108428	20.3	1	8
2014-03-30 20:41:59.375332	108429	55	2	1
2014-03-30 20:41:59.60671	108430	20.9	1	1
2014-03-30 20:42:17.402196	108431	48	2	10
2014-03-30 20:42:17.6236	108432	22.5	1	10
2014-03-30 20:42:20.020763	108433	885	3	2
2014-03-30 20:42:20.255838	108434	1140205.6995698945	4	2
2014-03-30 20:42:25.909014	108435	58	2	9
2014-03-30 20:42:26.133082	108436	21.9	1	9
2014-03-30 20:42:26.984029	108437	53	2	8
2014-03-30 20:42:27.216326	108438	20.3	1	8
2014-03-30 20:42:32.021528	108439	869	3	2
2014-03-30 20:42:32.247497	108440	1140209.1466740586	4	2
2014-03-30 20:42:38.373731	108441	55	2	1
2014-03-30 20:42:38.631771	108442	20.9	1	1
2014-03-30 20:42:56.404563	108443	48	2	10
2014-03-30 20:42:56.626615	108444	22.5	1	10
2014-03-30 20:43:04.90983	108445	58	2	9
2014-03-30 20:43:05.143057	108446	21.9	1	9
2014-03-30 20:43:05.984026	108447	53	2	8
2014-03-30 20:43:06.205827	108448	20.3	1	8
2014-03-30 20:43:08.021898	108449	837	3	2
2014-03-30 20:43:08.25398	108450	1140217.1899171085	4	2
2014-03-30 20:43:17.379488	108451	55	2	1
2014-03-30 20:43:17.601259	108452	20.9	1	1
2014-03-30 20:43:32.020831	108453	837	3	2
2014-03-30 20:43:32.266742	108454	1140222.9350907155	4	2
2014-03-30 20:43:35.406909	108455	48	2	10
2014-03-30 20:43:35.648778	108456	22.5	1	10
2014-03-30 20:43:43.909817	108457	58	2	9
2014-03-30 20:43:44.142076	108458	21.9	1	9
2014-03-30 20:43:44.98404	108459	53	2	8
2014-03-30 20:43:45.206931	108460	20.3	1	8
2014-03-30 20:43:56.376191	108461	55	2	1
2014-03-30 20:43:56.61083	108462	20.9	1	1
2014-03-30 20:44:14.40434	108463	48	2	10
2014-03-30 20:44:14.627206	108464	22.4	1	10
2014-03-30 20:44:22.908185	108465	58	2	9
2014-03-30 20:44:23.140643	108466	21.9	1	9
2014-03-30 20:44:23.987031	108467	53	2	8
2014-03-30 20:44:24.206229	108468	20.3	1	8
2014-03-30 20:44:32.020884	108469	837	3	2
2014-03-30 20:44:32.253737	108470	1140237.872542094	4	2
2014-03-30 20:44:35.377056	108471	55	2	1
2014-03-30 20:44:35.599901	108472	20.9	1	1
2014-03-30 20:44:53.403997	108473	48	2	10
2014-03-30 20:44:53.639497	108474	22.4	1	10
2014-03-30 20:45:01.907306	108475	58	2	9
2014-03-30 20:45:02.129502	108476	21.9	1	9
2014-03-30 20:45:02.985538	108477	53	2	8
2014-03-30 20:45:03.217069	108478	20.3	1	8
2014-03-30 20:45:14.378639	108479	55	2	1
2014-03-30 20:45:14.600238	108480	20.9	1	1
2014-03-30 20:45:32.021145	108481	837	3	2
2014-03-30 20:45:32.253779	108482	1140251.660958751	4	2
2014-03-30 20:45:32.558311	108483	48	2	10
2014-03-30 20:45:32.781663	108484	22.4	1	10
2014-03-30 20:45:40.909559	108485	58	2	9
2014-03-30 20:45:41.142672	108486	21.9	1	9
2014-03-30 20:45:41.985082	108487	53	2	8
2014-03-30 20:45:42.208325	108488	20.3	1	8
2014-03-30 20:45:53.374109	108489	55	2	1
2014-03-30 20:45:53.60592	108490	20.9	1	1
2014-03-30 20:46:11.45547	108491	48	2	10
2014-03-30 20:46:11.676932	108492	22.4	1	10
2014-03-30 20:46:19.911579	108493	58	2	9
2014-03-30 20:46:20.14629	108494	21.9	1	9
2014-03-30 20:46:20.986618	108495	53	2	8
2014-03-30 20:46:21.20997	108496	20.3	1	8
2014-03-30 20:46:32.023824	108497	837	3	2
2014-03-30 20:46:32.263385	108498	1140265.449375408	4	2
2014-03-30 20:46:32.565381	108499	55	2	1
2014-03-30 20:46:32.785989	108500	20.9	1	1
2014-03-30 20:46:50.40825	108501	48	2	10
2014-03-30 20:46:50.656526	108502	22.4	1	10
2014-03-30 20:46:58.908588	108503	58	2	9
2014-03-30 20:46:59.131755	108504	21.9	1	9
2014-03-30 20:46:59.98485	108505	53	2	8
2014-03-30 20:47:00.2171	108506	20.3	1	8
2014-03-30 20:47:11.430432	108507	55	2	1
2014-03-30 20:47:11.653525	108508	20.9	1	1
2014-03-30 20:47:29.405684	108509	48	2	10
2014-03-30 20:47:29.637105	108510	22.4	1	10
2014-03-30 20:47:32.020959	108511	837	3	2
2014-03-30 20:47:32.242829	108512	1140279.237792065	4	2
2014-03-30 20:47:38.984937	108513	53	2	8
2014-03-30 20:47:39.218983	108514	20.3	1	8
2014-03-30 20:47:50.371612	108515	55	2	1
2014-03-30 20:47:50.598793	108516	20.9	1	1
2014-03-30 20:48:08.406984	108517	48	2	10
2014-03-30 20:48:08.640689	108518	22.4	1	10
2014-03-30 20:48:17.984742	108519	53	2	8
2014-03-30 20:48:18.208089	108520	20.3	1	8
2014-03-30 20:48:29.375319	108521	55	2	1
2014-03-30 20:48:29.607244	108522	20.9	1	1
2014-03-30 20:48:32.020238	108523	853	3	2
2014-03-30 20:48:32.241078	108524	1140293.026208722	4	2
2014-03-30 20:48:47.408135	108525	48	2	10
2014-03-30 20:48:47.643219	108526	22.4	1	10
2014-03-30 20:48:55.908061	108527	58	2	9
2014-03-30 20:48:56.13101	108528	21.9	1	9
2014-03-30 20:48:56.983909	108529	53	2	8
2014-03-30 20:48:57.215445	108530	20.3	1	8
2014-03-30 20:49:08.372407	108531	55	2	1
2014-03-30 20:49:08.596147	108532	20.8	1	1
2014-03-30 20:49:26.406506	108533	48	2	10
2014-03-30 20:49:26.641731	108534	22.4	1	10
2014-03-30 20:49:32.023784	108535	837	3	2
2014-03-30 20:49:32.245657	108536	1140307.9636601002	4	2
2014-03-30 20:49:34.908707	108537	57	2	9
2014-03-30 20:49:35.163385	108538	21.9	1	9
2014-03-30 20:49:35.982116	108539	53	2	8
2014-03-30 20:49:36.204569	108540	20.3	1	8
2014-03-30 20:49:47.372001	108541	55	2	1
2014-03-30 20:49:47.605301	108542	20.8	1	1
2014-03-30 20:50:05.40539	108543	48	2	10
2014-03-30 20:50:05.630259	108544	22.4	1	10
2014-03-30 20:50:13.909305	108545	57	2	9
2014-03-30 20:50:14.141565	108546	21.9	1	9
2014-03-30 20:50:14.984172	108547	53	2	8
2014-03-30 20:50:15.206135	108548	20.3	1	8
2014-03-30 20:50:26.371839	108549	55	2	1
2014-03-30 20:50:26.61689	108550	20.8	1	1
2014-03-30 20:50:32.025964	108551	853	3	2
2014-03-30 20:50:32.247326	108552	1140321.7520767574	4	2
2014-03-30 20:50:44.406113	108553	48	2	10
2014-03-30 20:50:44.63859	108554	22.3	1	10
2014-03-30 20:50:52.90965	108555	57	2	9
2014-03-30 20:50:53.129895	108556	21.9	1	9
2014-03-30 20:50:53.983529	108557	53	2	8
2014-03-30 20:50:54.218889	108558	20.3	1	8
2014-03-30 20:51:05.371098	108559	55	2	1
2014-03-30 20:51:05.594244	108560	20.8	1	1
2014-03-30 20:51:23.406708	108561	48	2	10
2014-03-30 20:51:23.639567	108562	22.3	1	10
2014-03-30 20:51:32.985636	108563	53	2	8
2014-03-30 20:51:33.207635	108564	20.3	1	8
2014-03-30 20:51:44.373013	108565	55	2	1
2014-03-30 20:51:44.605453	108566	20.8	1	1
2014-03-30 20:52:02.407906	108567	48	2	10
2014-03-30 20:52:02.632519	108568	22.3	1	10
2014-03-30 20:52:10.910785	108569	57	2	9
2014-03-30 20:52:11.14484	108570	21.9	1	9
2014-03-30 20:52:11.98376	108571	53	2	8
2014-03-30 20:52:12.206926	108572	20.3	1	8
2014-03-30 20:52:23.371654	108573	55	2	1
2014-03-30 20:52:23.603566	108574	20.8	1	1
2014-03-30 20:52:32.019304	108575	853	3	2
2014-03-30 20:52:32.245573	108576	1140350.4779447927	4	2
2014-03-30 20:52:41.409296	108577	47	2	10
2014-03-30 20:52:41.664158	108578	22.3	1	10
2014-03-30 20:52:49.909382	108579	57	2	9
2014-03-30 20:52:50.132859	108580	21.9	1	9
2014-03-30 20:52:50.984471	108581	53	2	8
2014-03-30 20:52:51.217272	108582	20.3	1	8
2014-03-30 20:53:02.369506	108583	55	2	1
2014-03-30 20:53:02.590506	108584	20.8	1	1
2014-03-30 20:53:08.02437	108585	820	3	2
2014-03-30 20:53:08.25804	108586	1140358.5211878426	4	2
2014-03-30 20:53:20.020451	108587	837	3	2
2014-03-30 20:53:20.245282	108588	1140361.9682920068	4	2
2014-03-30 20:53:20.549669	108589	47	2	10
2014-03-30 20:53:20.780701	108590	22.3	1	10
2014-03-30 20:53:28.910194	108591	57	2	9
2014-03-30 20:53:29.133382	108592	21.9	1	9
2014-03-30 20:53:29.984942	108593	53	2	8
2014-03-30 20:53:30.215788	108594	20.3	1	8
2014-03-30 20:53:32.020337	108595	837	3	2
2014-03-30 20:53:32.240801	108596	1140364.2663614496	4	2
2014-03-30 20:53:41.371662	108597	55	2	1
2014-03-30 20:53:41.614235	108598	20.8	1	1
2014-03-30 20:53:59.4099	108599	47	2	10
2014-03-30 20:53:59.633483	108600	22.3	1	10
2014-03-30 20:54:08.984585	108601	53	2	8
2014-03-30 20:54:09.219363	108602	20.3	1	8
2014-03-30 20:54:20.370991	108603	55	2	1
2014-03-30 20:54:20.596485	108604	20.8	1	1
2014-03-30 20:54:32.019925	108605	837	3	2
2014-03-30 20:54:32.251997	108606	1140378.0547781067	4	2
2014-03-30 20:54:38.407616	108607	47	2	10
2014-03-30 20:54:38.631769	108608	22.3	1	10
2014-03-30 20:54:46.909992	108609	57	2	9
2014-03-30 20:54:47.14341	108610	21.9	1	9
2014-03-30 20:54:47.987444	108611	53	2	8
2014-03-30 20:54:48.209829	108612	20.2	1	8
2014-03-30 20:54:59.36983	108613	55	2	1
2014-03-30 20:54:59.605309	108614	20.8	1	1
2014-03-30 20:55:17.408682	108615	47	2	10
2014-03-30 20:55:17.652441	108616	22.3	1	10
2014-03-30 20:55:25.905952	108617	57	2	9
2014-03-30 20:55:26.137965	108618	21.9	1	9
2014-03-30 20:55:26.98646	108619	53	2	8
2014-03-30 20:55:27.208307	108620	20.2	1	8
2014-03-30 20:55:32.024521	108621	837	3	2
2014-03-30 20:55:32.255843	108622	1140391.847665716	4	2
2014-03-30 20:55:38.370989	108623	55	2	1
2014-03-30 20:55:38.595654	108624	20.8	1	1
2014-03-30 20:55:56.409243	108625	47	2	10
2014-03-30 20:55:56.641956	108626	22.3	1	10
2014-03-30 20:56:04.910469	108627	57	2	9
2014-03-30 20:56:05.133264	108628	21.9	1	9
2014-03-30 20:56:05.983917	108629	53	2	8
2014-03-30 20:56:06.21478	108630	20.2	1	8
2014-03-30 20:56:17.370731	108631	55	2	1
2014-03-30 20:56:17.595608	108632	20.8	1	1
2014-03-30 20:56:32.021018	108633	820	3	2
2014-03-30 20:56:32.253716	108634	1140405.6360823729	4	2
2014-03-30 20:56:35.41006	108635	47	2	10
2014-03-30 20:56:35.633382	108636	22.3	1	10
2014-03-30 20:56:44.986311	108637	53	2	8
2014-03-30 20:56:45.217204	108638	20.2	1	8
2014-03-30 20:56:56.022159	108639	692	3	2
2014-03-30 20:56:56.244123	108640	1140410.2322212586	4	2
2014-03-30 20:56:56.549928	108641	55	2	1
2014-03-30 20:56:56.782221	108642	20.8	1	1
2014-03-30 20:57:14.409094	108643	47	2	10
2014-03-30 20:57:14.632696	108644	22.3	1	10
2014-03-30 20:57:22.911427	108645	57	2	9
2014-03-30 20:57:23.158205	108646	21.9	1	9
2014-03-30 20:57:23.98756	108647	53	2	8
2014-03-30 20:57:24.209481	108648	20.2	1	8
2014-03-30 20:57:32.020336	108649	692	3	2
2014-03-30 20:57:32.252923	108650	1140417.126429587	4	2
2014-03-30 20:57:35.367597	108651	55	2	1
2014-03-30 20:57:35.59099	108652	20.8	1	1
2014-03-30 20:57:53.409499	108653	47	2	10
2014-03-30 20:57:53.643803	108654	22.2	1	10
2014-03-30 20:58:01.912565	108655	57	2	9
2014-03-30 20:58:02.136536	108656	21.9	1	9
2014-03-30 20:58:02.984982	108657	53	2	8
2014-03-30 20:58:03.218202	108658	20.2	1	8
2014-03-30 20:58:14.369545	108659	55	2	1
2014-03-30 20:58:14.593235	108660	20.8	1	1
2014-03-30 20:58:32.020473	108661	692	3	2
2014-03-30 20:58:32.253254	108662	1140428.6167768012	4	2
2014-03-30 20:58:32.556895	108663	47	2	10
2014-03-30 20:58:32.781103	108664	22.2	1	10
2014-03-30 20:58:41.985928	108665	53	2	8
2014-03-30 20:58:42.220895	108666	20.2	1	8
2014-03-30 20:58:53.368558	108667	55	2	1
2014-03-30 20:58:53.59232	108668	20.8	1	1
2014-03-30 20:58:56.02176	108669	804	3	2
2014-03-30 20:58:56.254277	108670	1140433.212915687	4	2
2014-03-30 20:59:08.019259	108671	804	3	2
2014-03-30 20:59:08.243402	108672	1140436.660019851	4	2
2014-03-30 20:59:11.412272	108673	47	2	10
2014-03-30 20:59:11.679985	108674	22.2	1	10
2014-03-30 20:59:19.909397	108675	57	2	9
2014-03-30 20:59:20.133068	108676	21.9	1	9
2014-03-30 20:59:20.984862	108677	53	2	8
2014-03-30 20:59:21.217457	108678	20.2	1	8
2014-03-30 20:59:32.018517	108679	820	3	2
2014-03-30 20:59:32.245166	108680	1140441.2561587368	4	2
2014-03-30 20:59:32.551363	108681	55	2	1
2014-03-30 20:59:32.784146	108682	20.7	1	1
2014-03-30 20:59:50.411812	108683	47	2	10
2014-03-30 20:59:50.636778	108684	22.2	1	10
2014-03-30 20:59:58.90858	108685	57	2	9
2014-03-30 20:59:59.141577	108686	21.8	1	9
2014-03-30 20:59:59.984918	108687	53	2	8
2014-03-30 21:00:00.208229	108688	20.2	1	8
2014-03-30 21:00:11.368584	108689	55	2	1
2014-03-30 21:00:11.601391	108690	20.7	1	1
2014-03-30 21:00:29.410747	108691	47	2	10
2014-03-30 21:00:29.635579	108692	22.2	1	10
2014-03-30 21:00:32.020581	108693	804	3	2
2014-03-30 21:00:32.26414	108694	1140455.0445753937	4	2
2014-03-30 21:00:37.908539	108695	56	2	9
2014-03-30 21:00:38.129465	108696	21.8	1	9
2014-03-30 21:00:38.98532	108697	52	2	8
2014-03-30 21:00:39.216462	108698	20.2	1	8
2014-03-30 21:00:50.365504	108699	55	2	1
2014-03-30 21:00:50.587298	108700	20.7	1	1
2014-03-30 21:01:08.402393	108701	47	2	10
2014-03-30 21:01:08.633867	108702	22.2	1	10
2014-03-30 21:01:16.90998	108703	56	2	9
2014-03-30 21:01:17.132417	108704	21.8	1	9
2014-03-30 21:01:17.984525	108705	52	2	8
2014-03-30 21:01:18.214748	108706	20.2	1	8
2014-03-30 21:01:29.364054	108707	55	2	1
2014-03-30 21:01:29.605401	108708	20.7	1	1
2014-03-30 21:01:32.020402	108709	820	3	2
2014-03-30 21:01:32.253284	108710	1140468.8329920506	4	2
2014-03-30 21:01:47.409987	108711	47	2	10
2014-03-30 21:01:47.632453	108712	22.2	1	10
2014-03-30 21:01:55.910167	108713	56	2	9
2014-03-30 21:01:56.142425	108714	21.8	1	9
2014-03-30 21:01:56.984746	108715	52	2	8
2014-03-30 21:01:57.205327	108716	20.2	1	8
2014-03-30 21:02:08.364971	108717	55	2	1
2014-03-30 21:02:08.5965	108718	20.7	1	1
2014-03-30 21:02:26.410342	108719	47	2	10
2014-03-30 21:02:26.631846	108720	22.1	1	10
2014-03-30 21:02:32.02467	108721	820	3	2
2014-03-30 21:02:32.256932	108722	1140482.6214087077	4	2
2014-03-30 21:02:35.986625	108723	52	2	8
2014-03-30 21:02:36.20677	108724	20.2	1	8
2014-03-30 21:02:47.363941	108725	55	2	1
2014-03-30 21:02:47.599473	108726	20.7	1	1
2014-03-30 21:02:56.021371	108727	692	3	2
2014-03-30 21:02:56.243535	108728	1140488.3665823147	4	2
2014-03-30 21:03:05.410286	108729	47	2	10
2014-03-30 21:03:05.643537	108730	22.1	1	10
2014-03-30 21:03:08.020346	108731	708	3	2
2014-03-30 21:03:08.244361	108732	1140490.6646517576	4	2
2014-03-30 21:03:13.91002	108733	56	2	9
2014-03-30 21:03:14.144007	108734	21.8	1	9
2014-03-30 21:03:14.984385	108735	52	2	8
2014-03-30 21:03:15.209373	108736	20.2	1	8
2014-03-30 21:03:26.361928	108737	55	2	1
2014-03-30 21:03:26.595638	108738	20.7	1	1
2014-03-30 21:03:32.022004	108739	708	3	2
2014-03-30 21:03:32.246362	108740	1140495.2607906433	4	2
2014-03-30 21:03:44.41151	108741	47	2	10
2014-03-30 21:03:44.655641	108742	22.1	1	10
2014-03-30 21:03:52.909776	108743	56	2	9
2014-03-30 21:03:53.133367	108744	21.8	1	9
2014-03-30 21:03:53.984319	108745	52	2	8
2014-03-30 21:03:54.40294	108746	20.2	1	8
2014-03-30 21:04:05.363888	108747	55	2	1
2014-03-30 21:04:05.586255	108748	20.7	1	1
2014-03-30 21:04:23.412644	108749	47	2	10
2014-03-30 21:04:23.638751	108750	22.1	1	10
2014-03-30 21:04:32.985353	108751	52	2	8
2014-03-30 21:04:33.217252	108752	20.2	1	8
2014-03-30 21:04:44.365749	108753	55	2	1
2014-03-30 21:04:44.586939	108754	20.7	1	1
2014-03-30 21:05:02.41382	108755	47	2	10
2014-03-30 21:05:02.645788	108756	22.1	1	10
2014-03-30 21:05:10.909761	108757	56	2	9
2014-03-30 21:05:11.13364	108758	21.8	1	9
2014-03-30 21:05:11.989337	108759	52	2	8
2014-03-30 21:05:12.223369	108760	20.2	1	8
2014-03-30 21:05:23.363692	108761	55	2	1
2014-03-30 21:05:23.589033	108762	20.7	1	1
2014-03-30 21:05:32.019735	108763	708	3	2
2014-03-30 21:05:32.252619	108764	1140518.2414850716	4	2
2014-03-30 21:05:41.419094	108765	47	2	10
2014-03-30 21:05:41.644444	108766	22.1	1	10
2014-03-30 21:05:49.909945	108767	56	2	9
2014-03-30 21:05:50.143265	108768	21.8	1	9
2014-03-30 21:05:50.985533	108769	52	2	8
2014-03-30 21:05:51.210081	108770	20.2	1	8
2014-03-30 21:06:02.362434	108771	55	2	1
2014-03-30 21:06:02.595574	108772	20.7	1	1
2014-03-30 21:06:20.411847	108773	47	2	10
2014-03-30 21:06:20.636006	108774	22.1	1	10
2014-03-30 21:06:28.912598	108775	56	2	9
2014-03-30 21:06:29.146745	108776	21.8	1	9
2014-03-30 21:06:29.986819	108777	52	2	8
2014-03-30 21:06:30.209516	108778	20.2	1	8
2014-03-30 21:06:32.020703	108779	692	3	2
2014-03-30 21:06:32.251038	108780	1140529.7318322856	4	2
2014-03-30 21:06:41.361586	108781	55	2	1
2014-03-30 21:06:41.585239	108782	20.7	1	1
2014-03-30 21:06:59.414064	108783	47	2	10
2014-03-30 21:06:59.646808	108784	22.1	1	10
2014-03-30 21:07:07.912208	108785	56	2	9
2014-03-30 21:07:08.133472	108786	21.8	1	9
2014-03-30 21:07:08.984836	108787	52	2	8
2014-03-30 21:07:09.216018	108788	20.2	1	8
2014-03-30 21:07:20.359957	108789	55	2	1
2014-03-30 21:07:20.583269	108790	20.7	1	1
2014-03-30 21:07:32.020741	108791	692	3	2
2014-03-30 21:07:32.262383	108792	1140541.2221795	4	2
2014-03-30 21:07:38.430803	108793	47	2	10
2014-03-30 21:07:38.653805	108794	22.0	1	10
2014-03-30 21:07:46.920189	108795	56	2	9
2014-03-30 21:07:47.151911	108796	21.8	1	9
2014-03-30 21:07:47.986498	108797	52	2	8
2014-03-30 21:07:48.206784	108798	20.1	1	8
2014-03-30 21:07:59.360689	108799	55	2	1
2014-03-30 21:07:59.592903	108800	20.7	1	1
2014-03-30 21:08:17.411746	108801	47	2	10
2014-03-30 21:08:17.632071	108802	22.0	1	10
2014-03-30 21:08:26.984802	108803	52	2	8
2014-03-30 21:08:27.220134	108804	20.1	1	8
2014-03-30 21:08:32.020734	108805	692	3	2
2014-03-30 21:08:32.246746	108806	1140553.8615614353	4	2
2014-03-30 21:08:38.360277	108807	55	2	1
2014-03-30 21:08:38.593518	108808	20.7	1	1
2014-03-30 21:08:44.022087	108809	804	3	2
2014-03-30 21:08:44.244468	108810	1140556.1596308781	4	2
2014-03-30 21:08:56.016939	108811	804	3	2
2014-03-30 21:08:56.251505	108812	1140558.457700321	4	2
2014-03-30 21:08:56.554236	108813	47	2	10
2014-03-30 21:08:56.775317	108814	22.0	1	10
2014-03-30 21:09:04.908661	108815	56	2	9
2014-03-30 21:09:05.140597	108816	21.8	1	9
2014-03-30 21:09:05.987658	108817	52	2	8
2014-03-30 21:09:06.209766	108818	20.1	1	8
2014-03-30 21:09:17.364274	108819	55	2	1
2014-03-30 21:09:17.596889	108820	20.7	1	1
2014-03-30 21:09:32.018503	108821	804	3	2
2014-03-30 21:09:32.241396	108822	1140566.5009433709	4	2
2014-03-30 21:09:35.412542	108823	47	2	10
2014-03-30 21:09:35.644115	108824	22.0	1	10
2014-03-30 21:09:43.907895	108825	56	2	9
2014-03-30 21:09:44.130236	108826	21.8	1	9
2014-03-30 21:09:44.985356	108827	52	2	8
2014-03-30 21:09:45.218797	108828	20.1	1	8
2014-03-30 21:09:56.364172	108829	55	2	1
2014-03-30 21:09:56.586502	108830	20.7	1	1
2014-03-30 21:10:14.415409	108831	47	2	10
2014-03-30 21:10:14.646142	108832	22.0	1	10
2014-03-30 21:10:22.91021	108833	56	2	9
2014-03-30 21:10:23.135173	108834	21.8	1	9
2014-03-30 21:10:23.985601	108835	52	2	8
2014-03-30 21:10:24.216632	108836	20.1	1	8
2014-03-30 21:10:32.022328	108837	804	3	2
2014-03-30 21:10:32.244336	108838	1140580.289360028	4	2
2014-03-30 21:10:35.358768	108839	55	2	1
2014-03-30 21:10:35.605765	108840	20.7	1	1
2014-03-30 21:10:53.413625	108841	47	2	10
2014-03-30 21:10:53.637977	108842	22.0	1	10
2014-03-30 21:11:01.908659	108843	56	2	9
2014-03-30 21:11:02.14341	108844	21.8	1	9
2014-03-30 21:11:02.986937	108845	52	2	8
2014-03-30 21:11:03.208476	108846	20.1	1	8
2014-03-30 21:11:14.36004	108847	55	2	1
2014-03-30 21:11:14.594094	108848	20.7	1	1
2014-03-30 21:11:32.01776	108849	820	3	2
2014-03-30 21:11:32.249457	108850	1140594.077776685	4	2
2014-03-30 21:11:32.554882	108851	47	2	10
2014-03-30 21:11:32.791151	108852	22.0	1	10
2014-03-30 21:11:40.908581	108853	56	2	9
2014-03-30 21:11:41.130634	108854	21.7	1	9
2014-03-30 21:11:41.983865	108855	52	2	8
2014-03-30 21:11:42.215976	108856	20.1	1	8
2014-03-30 21:11:53.359654	108857	55	2	1
2014-03-30 21:11:53.582674	108858	20.7	1	1
2014-03-30 21:12:11.412877	108859	47	2	10
2014-03-30 21:12:11.646216	108860	22.0	1	10
2014-03-30 21:12:20.986174	108861	52	2	8
2014-03-30 21:12:21.211227	108862	20.1	1	8
2014-03-30 21:12:32.363591	108863	55	2	1
2014-03-30 21:12:32.599138	108864	20.6	1	1
2014-03-30 21:12:44.020286	108865	692	3	2
2014-03-30 21:12:44.243391	108866	1140609.0152280633	4	2
2014-03-30 21:12:50.413444	108867	47	2	10
2014-03-30 21:12:50.647229	108868	22.0	1	10
2014-03-30 21:12:58.914084	108869	56	2	9
2014-03-30 21:12:59.13641	108870	21.7	1	9
2014-03-30 21:12:59.986265	108871	52	2	8
2014-03-30 21:13:00.216981	108872	20.1	1	8
2014-03-30 21:13:11.356936	108873	55	2	1
2014-03-30 21:13:11.580499	108874	20.6	1	1
2014-03-30 21:13:29.413312	108875	47	2	10
2014-03-30 21:13:29.646221	108876	22.0	1	10
2014-03-30 21:13:32.02088	108877	692	3	2
2014-03-30 21:13:32.244259	108878	1140618.2075058345	4	2
2014-03-30 21:13:37.91406	108879	56	2	9
2014-03-30 21:13:38.148095	108880	21.7	1	9
2014-03-30 21:13:38.984509	108881	52	2	8
2014-03-30 21:13:39.208244	108882	20.1	1	8
2014-03-30 21:13:50.357933	108883	55	2	1
2014-03-30 21:13:50.590333	108884	20.6	1	1
2014-03-30 21:14:08.415522	108885	47	2	10
2014-03-30 21:14:08.640486	108886	22.0	1	10
2014-03-30 21:14:16.913831	108887	55	2	9
2014-03-30 21:14:17.159636	108888	21.7	1	9
2014-03-30 21:14:17.984207	108889	52	2	8
2014-03-30 21:14:18.205627	108890	20.1	1	8
2014-03-30 21:14:29.356131	108891	55	2	1
2014-03-30 21:14:29.588541	108892	20.6	1	1
2014-03-30 21:14:32.019381	108893	708	3	2
2014-03-30 21:14:32.241077	108894	1140629.6978530488	4	2
2014-03-30 21:14:47.414205	108895	47	2	10
2014-03-30 21:14:47.646731	108896	21.9	1	10
2014-03-30 21:14:55.908627	108897	55	2	9
2014-03-30 21:14:56.130484	108898	21.7	1	9
2014-03-30 21:14:56.984539	108899	52	2	8
2014-03-30 21:14:57.214753	108900	20.1	1	8
2014-03-30 21:15:08.359852	108901	55	2	1
2014-03-30 21:15:08.580672	108902	20.6	1	1
2014-03-30 21:15:26.416367	108903	47	2	10
2014-03-30 21:15:26.648527	108904	21.9	1	10
2014-03-30 21:15:34.908559	108905	55	2	9
2014-03-30 21:15:35.13066	108906	21.7	1	9
2014-03-30 21:15:35.983409	108907	52	2	8
2014-03-30 21:15:36.21521	108908	20.1	1	8
2014-03-30 21:15:47.355816	108909	55	2	1
2014-03-30 21:15:47.600753	108910	20.6	1	1
2014-03-30 21:16:05.414934	108911	47	2	10
2014-03-30 21:16:05.649148	108912	21.9	1	10
2014-03-30 21:16:13.912196	108913	55	2	9
2014-03-30 21:16:14.133101	108914	21.7	1	9
2014-03-30 21:16:14.983532	108915	52	2	8
2014-03-30 21:16:15.21552	108916	20.1	1	8
2014-03-30 21:16:26.354412	108917	55	2	1
2014-03-30 21:16:26.577187	108918	20.6	1	1
2014-03-30 21:16:32.020907	108919	692	3	2
2014-03-30 21:16:32.256938	108920	1140652.6785474771	4	2
2014-03-30 21:16:44.416423	108921	47	2	10
2014-03-30 21:16:44.639908	108922	21.9	1	10
2014-03-30 21:16:52.907552	108923	55	2	9
2014-03-30 21:16:53.139006	108924	21.7	1	9
2014-03-30 21:16:53.984112	108925	52	2	8
2014-03-30 21:16:54.205873	108926	20.1	1	8
2014-03-30 21:17:05.357833	108927	55	2	1
2014-03-30 21:17:05.591271	108928	20.6	1	1
2014-03-30 21:17:23.416069	108929	47	2	10
2014-03-30 21:17:23.638259	108930	21.9	1	10
2014-03-30 21:17:32.98366	108931	52	2	8
2014-03-30 21:17:33.215986	108932	20.1	1	8
2014-03-30 21:17:44.35623	108933	55	2	1
2014-03-30 21:17:44.580101	108934	20.6	1	1
2014-03-30 21:17:56.016316	108935	804	3	2
2014-03-30 21:17:56.261025	108936	1140668.7650335769	4	2
2014-03-30 21:18:02.416376	108937	47	2	10
2014-03-30 21:18:02.639726	108938	21.9	1	10
2014-03-30 21:18:08.021424	108939	804	3	2
2014-03-30 21:18:08.251336	108940	1140672.212137741	4	2
2014-03-30 21:18:10.911686	108941	55	2	9
2014-03-30 21:18:11.133743	108942	21.7	1	9
2014-03-30 21:18:11.983976	108943	52	2	8
2014-03-30 21:18:12.272136	108944	20.1	1	8
2014-03-30 21:18:23.355594	108945	55	2	1
2014-03-30 21:18:23.577352	108946	20.6	1	1
2014-03-30 21:18:32.020612	108947	804	3	2
2014-03-30 21:18:32.253272	108948	1140676.8082766267	4	2
2014-03-30 21:18:41.414912	108949	47	2	10
2014-03-30 21:18:41.639146	108950	21.9	1	10
2014-03-30 21:18:44.021153	108951	724	3	2
2014-03-30 21:18:44.25305	108952	1140680.255380791	4	2
2014-03-30 21:18:49.915209	108953	55	2	9
2014-03-30 21:18:50.141225	108954	21.7	1	9
2014-03-30 21:18:50.98513	108955	52	2	8
2014-03-30 21:18:51.215479	108956	20.1	1	8
2014-03-30 21:18:56.023966	108957	724	3	2
2014-03-30 21:18:56.249896	108958	1140681.4088864645	4	2
2014-03-30 21:19:02.35724	108959	55	2	1
2014-03-30 21:19:02.591407	108960	20.6	1	1
2014-03-30 21:19:19.882393	108961	804	3	2
2014-03-30 21:19:20.107818	108962	1140683.7069559074	4	2
2014-03-30 21:19:20.414166	108963	724	3	2
2014-03-30 21:19:20.645574	108964	1140687.1540600718	4	2
2014-03-30 21:19:20.947688	108965	47	2	10
2014-03-30 21:19:21.173305	108966	21.9	1	10
2014-03-30 21:19:28.913007	108967	55	2	9
2014-03-30 21:19:29.149051	108968	21.7	1	9
2014-03-30 21:19:29.985477	108969	52	2	8
2014-03-30 21:19:30.210189	108970	20.1	1	8
2014-03-30 21:19:32.019735	108971	804	3	2
2014-03-30 21:19:32.253776	108972	1140689.4521295147	4	2
2014-03-30 21:19:41.354337	108973	55	2	1
2014-03-30 21:19:41.576612	108974	20.6	1	1
2014-03-30 21:19:44.018917	108975	820	3	2
2014-03-30 21:19:44.25373	108976	1140691.7501989573	4	2
2014-03-30 21:19:59.417487	108977	47	2	10
2014-03-30 21:19:59.640696	108978	21.9	1	10
2014-03-30 21:20:07.912101	108979	55	2	9
2014-03-30 21:20:08.144886	108980	21.7	1	9
2014-03-30 21:20:08.985279	108981	52	2	8
2014-03-30 21:20:09.208129	108982	20.1	1	8
2014-03-30 21:20:20.021345	108983	724	3	2
2014-03-30 21:20:20.267362	108984	1140699.7934420074	4	2
2014-03-30 21:20:20.569863	108985	55	2	1
2014-03-30 21:20:20.790292	108986	20.6	1	1
2014-03-30 21:20:32.018648	108987	659	3	2
2014-03-30 21:20:32.250941	108988	1140702.09151145	4	2
2014-03-30 21:20:38.417954	108989	47	2	10
2014-03-30 21:20:38.63861	108990	21.9	1	10
2014-03-30 21:20:44.020906	108991	692	3	2
2014-03-30 21:20:44.252298	108992	1140704.3895808929	4	2
2014-03-30 21:20:46.911607	108993	55	2	9
2014-03-30 21:20:47.132384	108994	21.7	1	9
2014-03-30 21:20:47.982895	108995	52	2	8
2014-03-30 21:20:48.213722	108996	20.1	1	8
2014-03-30 21:20:56.018144	108997	676	3	2
2014-03-30 21:20:56.238675	108998	1140706.6876503357	4	2
2014-03-30 21:20:59.353843	108999	55	2	1
2014-03-30 21:20:59.586791	109000	20.6	1	1
2014-03-30 21:21:17.417555	109001	47	2	10
2014-03-30 21:21:17.646944	109002	21.9	1	10
2014-03-30 21:21:25.91196	109003	55	2	9
2014-03-30 21:21:26.144458	109004	21.7	1	9
2014-03-30 21:21:26.987828	109005	52	2	8
2014-03-30 21:21:27.207205	109006	20.1	1	8
2014-03-30 21:21:32.021241	109007	676	3	2
2014-03-30 21:21:32.255426	109008	1140713.5818586643	4	2
2014-03-30 21:21:38.356612	109009	55	2	1
2014-03-30 21:21:38.579859	109010	20.6	1	1
2014-03-30 21:21:56.018434	109011	627	3	2
2014-03-30 21:21:56.249675	109012	1140718.17799755	4	2
2014-03-30 21:21:56.554342	109013	47	2	10
2014-03-30 21:21:56.776318	109014	21.9	1	10
2014-03-30 21:22:04.909831	109015	55	2	9
2014-03-30 21:22:05.143462	109016	21.7	1	9
2014-03-30 21:22:05.975372	109017	52	2	8
2014-03-30 21:22:06.198453	109018	20.1	1	8
2014-03-30 21:22:08.019602	109019	643	3	2
2014-03-30 21:22:08.249875	109020	1140720.4760669929	4	2
2014-03-30 21:22:17.35425	109021	55	2	1
2014-03-30 21:22:17.582891	109022	20.6	1	1
2014-03-30 21:22:32.020634	109023	595	3	2
2014-03-30 21:22:32.253929	109024	1140723.923171157	4	2
2014-03-30 21:22:35.417806	109025	47	2	10
2014-03-30 21:22:35.640075	109026	21.8	1	10
2014-03-30 21:22:44.98335	109027	52	2	8
2014-03-30 21:22:45.21796	109028	20.1	1	8
2014-03-30 21:22:56.355277	109029	55	2	1
2014-03-30 21:22:56.577464	109030	20.5	1	1
2014-03-30 21:23:14.417877	109031	47	2	10
2014-03-30 21:23:14.66296	109032	21.8	1	10
2014-03-30 21:23:22.912316	109033	55	2	9
2014-03-30 21:23:23.134476	109034	21.7	1	9
2014-03-30 21:23:23.983555	109035	52	2	8
2014-03-30 21:23:24.213847	109036	20.1	1	8
2014-03-30 21:23:32.018874	109037	595	3	2
2014-03-30 21:23:32.241864	109038	1140734.2644836497	4	2
2014-03-30 21:23:35.354469	109039	55	2	1
2014-03-30 21:23:35.58599	109040	20.5	1	1
2014-03-30 21:23:53.418676	109041	47	2	10
2014-03-30 21:23:53.641286	109042	21.8	1	10
2014-03-30 21:24:01.910522	109043	55	2	9
2014-03-30 21:24:02.143461	109044	21.6	1	9
2014-03-30 21:24:02.984226	109045	52	2	8
2014-03-30 21:24:03.206335	109046	20.1	1	8
2014-03-30 21:24:14.356083	109047	55	2	1
2014-03-30 21:24:14.588747	109048	20.5	1	1
2014-03-30 21:24:32.019882	109049	595	3	2
2014-03-30 21:24:32.243874	109050	1140744.6057961425	4	2
2014-03-30 21:24:32.548276	109051	47	2	10
2014-03-30 21:24:32.779021	109052	21.8	1	10
2014-03-30 21:24:40.910362	109053	55	2	9
2014-03-30 21:24:41.135009	109054	21.6	1	9
2014-03-30 21:24:41.985294	109055	52	2	8
2014-03-30 21:24:42.217428	109056	20.1	1	8
2014-03-30 21:24:53.356389	109057	54	2	1
2014-03-30 21:24:53.580295	109058	20.5	1	1
2014-03-30 21:25:11.419486	109059	47	2	10
2014-03-30 21:25:11.650313	109060	21.8	1	10
2014-03-30 21:25:19.909577	109061	55	2	9
2014-03-30 21:25:20.131791	109062	21.6	1	9
2014-03-30 21:25:20.982984	109063	52	2	8
2014-03-30 21:25:21.217706	109064	20.1	1	8
2014-03-30 21:25:32.016632	109065	595	3	2
2014-03-30 21:25:32.241994	109066	1140753.798073914	4	2
2014-03-30 21:25:32.547546	109067	54	2	1
2014-03-30 21:25:32.778754	109068	20.5	1	1
2014-03-30 21:25:50.418295	109069	47	2	10
2014-03-30 21:25:50.643436	109070	21.8	1	10
2014-03-30 21:25:58.910229	109071	55	2	9
2014-03-30 21:25:59.141985	109072	21.6	1	9
2014-03-30 21:25:59.985338	109073	52	2	8
2014-03-30 21:26:00.205666	109074	20.1	1	8
2014-03-30 21:26:11.356942	109075	54	2	1
2014-03-30 21:26:11.58939	109076	20.4	1	1
2014-03-30 21:26:29.42062	109077	47	2	10
2014-03-30 21:26:29.644431	109078	21.8	1	10
2014-03-30 21:26:32.01606	109079	595	3	2
2014-03-30 21:26:32.258576	109080	1140764.1393864066	4	2
2014-03-30 21:26:37.908029	109081	55	2	9
2014-03-30 21:26:38.130159	109082	21.6	1	9
2014-03-30 21:26:38.986326	109083	51	2	8
2014-03-30 21:26:39.217165	109084	20.1	1	8
2014-03-30 21:26:50.350793	109085	54	2	1
2014-03-30 21:26:50.573193	109086	20.4	1	1
2014-03-30 21:27:08.627544	109087	47	2	10
2014-03-30 21:27:08.857569	109088	21.8	1	10
2014-03-30 21:27:16.907894	109089	55	2	9
2014-03-30 21:27:17.128894	109090	21.6	1	9
2014-03-30 21:27:17.984254	109091	51	2	8
2014-03-30 21:27:18.216935	109092	20.1	1	8
2014-03-30 21:27:29.352689	109093	54	2	1
2014-03-30 21:27:29.574758	109094	20.4	1	1
2014-03-30 21:27:43.883053	109095	1818	3	2
2014-03-30 21:27:44.119265	109096	1140775.6297336207	4	2
2014-03-30 21:27:47.418033	109097	47	2	10
2014-03-30 21:27:47.64222	109098	21.8	1	10
2014-03-30 21:27:56.98549	109099	51	2	8
2014-03-30 21:27:57.216374	109100	20.1	1	8
2014-03-30 21:28:08.015463	109101	692	3	2
2014-03-30 21:28:08.237611	109102	1140781.3749072277	4	2
2014-03-30 21:28:08.540621	109103	54	2	1
2014-03-30 21:28:08.774708	109104	20.4	1	1
2014-03-30 21:28:20.018797	109105	804	3	2
2014-03-30 21:28:20.243495	109106	1140784.822011392	4	2
2014-03-30 21:28:26.419372	109107	47	2	10
2014-03-30 21:28:26.651584	109108	21.9	1	10
2014-03-30 21:28:32.021566	109109	820	3	2
2014-03-30 21:28:32.243466	109110	1140787.1200808347	4	2
2014-03-30 21:28:34.910241	109111	55	2	9
2014-03-30 21:28:35.142754	109112	21.6	1	9
2014-03-30 21:28:35.989584	109113	51	2	8
2014-03-30 21:28:36.213072	109114	20.1	1	8
2014-03-30 21:28:47.350317	109115	54	2	1
2014-03-30 21:28:47.58329	109116	20.3	1	1
2014-03-30 21:28:56.017056	109117	627	3	2
2014-03-30 21:28:56.23913	109118	1140791.7162197204	4	2
2014-03-30 21:29:05.419184	109119	47	2	10
2014-03-30 21:29:05.653752	109120	21.9	1	10
2014-03-30 21:29:08.016859	109121	611	3	2
2014-03-30 21:29:08.239323	109122	1140794.0142891633	4	2
2014-03-30 21:29:13.915189	109123	54	2	9
2014-03-30 21:29:14.149348	109124	21.6	1	9
2014-03-30 21:29:14.988802	109125	51	2	8
2014-03-30 21:29:15.212287	109126	20.0	1	8
2014-03-30 21:29:26.348161	109127	54	2	1
2014-03-30 21:29:26.592206	109128	20.3	1	1
2014-03-30 21:29:32.022167	109129	627	3	2
2014-03-30 21:29:32.243993	109130	1140798.610428049	4	2
2014-03-30 21:29:44.420367	109131	47	2	10
2014-03-30 21:29:44.653869	109132	21.9	1	10
2014-03-30 21:29:52.909496	109133	54	2	9
2014-03-30 21:29:53.135073	109134	21.6	1	9
2014-03-30 21:29:53.985495	109135	51	2	8
2014-03-30 21:29:54.220717	109136	20.0	1	8
2014-03-30 21:30:05.350285	109137	54	2	1
2014-03-30 21:30:05.574202	109138	20.3	1	1
2014-03-30 21:30:23.420038	109139	47	2	10
2014-03-30 21:30:23.654107	109140	21.9	1	10
2014-03-30 21:30:32.984996	109141	51	2	8
2014-03-30 21:30:33.210818	109142	20.0	1	8
2014-03-30 21:30:44.019264	109143	579	3	2
2014-03-30 21:30:44.254444	109144	1140810.100775263	4	2
2014-03-30 21:30:44.562473	109145	54	2	1
2014-03-30 21:30:44.784881	109146	20.3	1	1
2014-03-30 21:31:02.419957	109147	47	2	10
2014-03-30 21:31:02.650766	109148	21.8	1	10
2014-03-30 21:31:11.97928	109149	51	2	8
2014-03-30 21:31:12.202944	109150	20.0	1	8
2014-03-30 21:31:23.352427	109151	54	2	1
2014-03-30 21:31:23.585659	109152	20.3	1	1
2014-03-30 21:31:32.017858	109153	595	3	2
2014-03-30 21:31:32.240232	109154	1140818.1440183131	4	2
2014-03-30 21:31:41.42191	109155	47	2	10
2014-03-30 21:31:41.653485	109156	21.8	1	10
2014-03-30 21:31:44.017509	109157	627	3	2
2014-03-30 21:31:44.238502	109158	1140820.4420877558	4	2
2014-03-30 21:31:49.911745	109159	54	2	9
2014-03-30 21:31:50.14762	109160	21.6	1	9
2014-03-30 21:31:50.986868	109161	51	2	8
2014-03-30 21:31:51.207921	109162	20.0	1	8
2014-03-30 21:31:56.018518	109163	611	3	2
2014-03-30 21:31:56.250538	109164	1140821.5911224773	4	2
2014-03-30 21:32:02.34804	109165	54	2	1
2014-03-30 21:32:02.573646	109166	20.2	1	1
2014-03-30 21:32:20.422225	109167	47	2	10
2014-03-30 21:32:20.723476	109168	21.8	1	10
2014-03-30 21:32:28.910095	109169	54	2	9
2014-03-30 21:32:29.167938	109170	21.6	1	9
2014-03-30 21:32:29.985212	109171	51	2	8
2014-03-30 21:32:30.249447	109172	20.0	1	8
2014-03-30 21:32:32.018904	109173	611	3	2
2014-03-30 21:32:32.27718	109174	1140828.4853308059	4	2
2014-03-30 21:32:41.349891	109175	54	2	1
2014-03-30 21:32:41.595815	109176	20.2	1	1
2014-03-30 21:32:59.419515	109177	47	2	10
2014-03-30 21:32:59.64277	109178	21.8	1	10
2014-03-30 21:33:07.908575	109179	54	2	9
2014-03-30 21:33:08.139316	109180	21.6	1	9
2014-03-30 21:33:08.984743	109181	51	2	8
2014-03-30 21:33:09.205	109182	20.0	1	8
2014-03-30 21:33:20.587619	109183	54	2	1
2014-03-30 21:33:20.821214	109184	20.2	1	1
2014-03-30 21:33:32.016415	109185	611	3	2
2014-03-30 21:33:32.239127	109186	1140838.8266432986	4	2
2014-03-30 21:33:38.420685	109187	47	2	10
2014-03-30 21:33:38.651757	109188	21.8	1	10
2014-03-30 21:33:46.907464	109189	54	2	9
2014-03-30 21:33:47.183519	109190	21.6	1	9
2014-03-30 21:33:47.986353	109191	51	2	8
2014-03-30 21:33:48.220175	109192	20.0	1	8
2014-03-30 21:33:59.347358	109193	54	2	1
2014-03-30 21:33:59.567885	109194	20.2	1	1
2014-03-30 21:34:17.421069	109195	47	2	10
2014-03-30 21:34:17.656702	109196	21.7	1	10
2014-03-30 21:34:25.908056	109197	54	2	9
2014-03-30 21:34:26.129324	109198	21.6	1	9
2014-03-30 21:34:26.985205	109199	51	2	8
2014-03-30 21:34:27.218806	109200	20.0	1	8
2014-03-30 21:34:32.021061	109201	547	3	2
2014-03-30 21:34:32.444223	109202	1140848.0189210698	4	2
2014-03-30 21:34:38.34749	109203	54	2	1
2014-03-30 21:34:38.581036	109204	20.2	1	1
2014-03-30 21:34:56.018637	109205	579	3	2
2014-03-30 21:34:56.242428	109206	1140851.466025234	4	2
2014-03-30 21:34:56.549335	109207	47	2	10
2014-03-30 21:34:56.782927	109208	21.7	1	10
2014-03-30 21:35:05.986019	109209	51	2	8
2014-03-30 21:35:06.208413	109210	20.0	1	8
2014-03-30 21:35:08.016062	109211	547	3	2
2014-03-30 21:35:08.250102	109212	1140853.7640946768	4	2
2014-03-30 21:35:17.348585	109213	54	2	1
2014-03-30 21:35:17.570998	109214	20.2	1	1
2014-03-30 21:35:20.017871	109215	547	3	2
2014-03-30 21:35:20.250161	109216	1140854.9131293984	4	2
2014-03-30 21:35:35.422472	109217	47	2	10
2014-03-30 21:35:35.643929	109218	21.7	1	10
2014-03-30 21:35:44.985594	109219	51	2	8
2014-03-30 21:35:45.221407	109220	20.0	1	8
2014-03-30 21:35:56.348781	109221	54	2	1
2014-03-30 21:35:56.570325	109222	20.1	1	1
2014-03-30 21:36:14.423066	109223	47	2	10
2014-03-30 21:36:14.666328	109224	21.6	1	10
2014-03-30 21:36:20.01944	109225	659	3	2
2014-03-30 21:36:20.244395	109226	1140865.254441891	4	2
2014-03-30 21:36:22.90622	109227	54	2	9
2014-03-30 21:36:23.136701	109228	21.6	1	9
2014-03-30 21:36:23.986337	109229	51	2	8
2014-03-30 21:36:24.208128	109230	20.0	1	8
2014-03-30 21:36:32.021448	109231	676	3	2
2014-03-30 21:36:32.257003	109232	1140867.552511334	4	2
2014-03-30 21:36:35.349994	109233	54	2	1
2014-03-30 21:36:35.57054	109234	20.1	1	1
2014-03-30 21:36:53.423628	109235	47	2	10
2014-03-30 21:36:53.654434	109236	21.6	1	10
2014-03-30 21:37:01.911955	109237	54	2	9
2014-03-30 21:37:02.136689	109238	21.6	1	9
2014-03-30 21:37:02.986641	109239	51	2	8
2014-03-30 21:37:03.218674	109240	20.0	1	8
2014-03-30 21:37:14.348309	109241	54	2	1
2014-03-30 21:37:14.574182	109242	20.1	1	1
2014-03-30 21:37:20.016308	109243	547	3	2
2014-03-30 21:37:20.248112	109244	1140876.7447891051	4	2
2014-03-30 21:37:32.017497	109245	579	3	2
2014-03-30 21:37:32.24915	109246	1140877.8938238267	4	2
2014-03-30 21:37:32.557418	109247	47	2	10
2014-03-30 21:37:32.790908	109248	21.6	1	10
2014-03-30 21:37:40.911881	109249	54	2	9
2014-03-30 21:37:41.13806	109250	21.6	1	9
2014-03-30 21:37:41.986985	109251	51	2	8
2014-03-30 21:37:42.218426	109252	20.0	1	8
2014-03-30 21:37:53.348132	109253	54	2	1
2014-03-30 21:37:53.573326	109254	20.1	1	1
2014-03-30 21:37:56.020299	109255	531	3	2
2014-03-30 21:37:56.253556	109256	1140881.3409279909	4	2
2014-03-30 21:38:11.424417	109257	47	2	10
2014-03-30 21:38:11.649272	109258	21.6	1	10
2014-03-30 21:38:19.907148	109259	54	2	9
2014-03-30 21:38:20.141953	109260	21.6	1	9
2014-03-30 21:38:20.985087	109261	51	2	8
2014-03-30 21:38:21.207154	109262	20.0	1	8
2014-03-30 21:38:32.019741	109263	547	3	2
2014-03-30 21:38:32.254543	109264	1140887.0861015979	4	2
2014-03-30 21:38:32.560379	109265	54	2	1
2014-03-30 21:38:32.785403	109266	20.1	1	1
2014-03-30 21:38:50.423003	109267	46	2	10
2014-03-30 21:38:50.657249	109268	21.6	1	10
2014-03-30 21:38:58.909071	109269	54	2	9
2014-03-30 21:38:59.133934	109270	21.6	1	9
2014-03-30 21:38:59.98603	109271	51	2	8
2014-03-30 21:39:00.228792	109272	20.0	1	8
2014-03-30 21:39:08.014852	109273	579	3	2
2014-03-30 21:39:08.237507	109274	1140892.831275205	4	2
2014-03-30 21:39:11.344397	109275	54	2	1
2014-03-30 21:39:11.575367	109276	20.1	1	1
2014-03-30 21:39:29.422797	109277	46	2	10
2014-03-30 21:39:29.643709	109278	21.5	1	10
2014-03-30 21:39:32.015329	109279	547	3	2
2014-03-30 21:39:32.245623	109280	1140896.2783793693	4	2
2014-03-30 21:39:37.910943	109281	54	2	9
2014-03-30 21:39:38.13249	109282	21.6	1	9
2014-03-30 21:39:38.985445	109283	51	2	8
2014-03-30 21:39:39.216302	109284	20.0	1	8
2014-03-30 21:39:50.344519	109285	54	2	1
2014-03-30 21:39:50.566469	109286	20.1	1	1
2014-03-30 21:40:08.017318	109287	611	3	2
2014-03-30 21:40:08.249203	109288	1140902.0235529763	4	2
2014-03-30 21:40:08.551322	109289	46	2	10
2014-03-30 21:40:08.794948	109290	21.5	1	10
2014-03-30 21:40:16.909072	109291	54	2	9
2014-03-30 21:40:17.143839	109292	21.6	1	9
2014-03-30 21:40:17.986644	109293	51	2	8
2014-03-30 21:40:18.207473	109294	20.0	1	8
2014-03-30 21:40:29.345159	109295	54	2	1
2014-03-30 21:40:29.57768	109296	20.0	1	1
2014-03-30 21:40:32.021474	109297	611	3	2
2014-03-30 21:40:32.243395	109298	1140906.619691862	4	2
2014-03-30 21:40:47.478932	109299	46	2	10
2014-03-30 21:40:47.713711	109300	21.5	1	10
2014-03-30 21:40:55.910948	109301	54	2	9
2014-03-30 21:40:56.135093	109302	21.6	1	9
2014-03-30 21:40:56.986682	109303	51	2	8
2014-03-30 21:40:57.21867	109304	20.0	1	8
2014-03-30 21:41:08.344411	109305	54	2	1
2014-03-30 21:41:08.567361	109306	20.0	1	1
2014-03-30 21:41:26.42386	109307	46	2	10
2014-03-30 21:41:26.66004	109308	21.5	1	10
2014-03-30 21:41:32.019265	109309	611	3	2
2014-03-30 21:41:32.243407	109310	1140916.9610043548	4	2
2014-03-30 21:41:34.908036	109311	54	2	9
2014-03-30 21:41:35.139886	109312	21.6	1	9
2014-03-30 21:41:35.988876	109313	51	2	8
2014-03-30 21:41:36.213023	109314	20.0	1	8
2014-03-30 21:41:47.345787	109315	54	2	1
2014-03-30 21:41:47.636205	109316	20.0	1	1
2014-03-30 21:42:05.427461	109317	46	2	10
2014-03-30 21:42:05.649789	109318	21.5	1	10
2014-03-30 21:42:13.909734	109319	54	2	9
2014-03-30 21:42:14.153565	109320	21.6	1	9
2014-03-30 21:42:14.988086	109321	51	2	8
2014-03-30 21:42:15.211155	109322	20.0	1	8
2014-03-30 21:42:26.344861	109323	54	2	1
2014-03-30 21:42:26.578946	109324	20.0	1	1
2014-03-30 21:42:32.018582	109325	611	3	2
2014-03-30 21:42:32.241644	109326	1140926.153282126	4	2
2014-03-30 21:42:44.426725	109327	46	2	10
2014-03-30 21:42:44.663312	109328	21.5	1	10
2014-03-30 21:42:52.910076	109329	54	2	9
2014-03-30 21:42:53.13187	109330	21.6	1	9
2014-03-30 21:42:53.986515	109331	51	2	8
2014-03-30 21:42:54.221133	109332	20.0	1	8
2014-03-30 21:43:05.344087	109333	53	2	1
2014-03-30 21:43:05.568106	109334	20.0	1	1
2014-03-30 21:43:20.018788	109335	482	3	2
2014-03-30 21:43:20.252352	109336	1140934.196525176	4	2
2014-03-30 21:43:23.426989	109337	46	2	10
2014-03-30 21:43:23.652545	109338	21.5	1	10
2014-03-30 21:43:32.986717	109339	51	2	8
2014-03-30 21:43:33.219953	109340	20.0	1	8
2014-03-30 21:43:44.347326	109341	53	2	1
2014-03-30 21:43:44.570141	109342	20.0	1	1
2014-03-30 21:43:56.015216	109343	595	3	2
2014-03-30 21:43:56.247865	109344	1140939.941698783	4	2
2014-03-30 21:44:02.426492	109345	46	2	10
2014-03-30 21:44:02.652346	109346	21.4	1	10
2014-03-30 21:44:08.020177	109347	611	3	2
2014-03-30 21:44:08.252159	109348	1140941.0907335044	4	2
2014-03-30 21:44:10.911137	109349	54	2	9
2014-03-30 21:44:11.133682	109350	21.5	1	9
2014-03-30 21:44:11.986044	109351	51	2	8
2014-03-30 21:44:12.218902	109352	20.0	1	8
2014-03-30 21:44:23.344562	109353	53	2	1
2014-03-30 21:44:23.567163	109354	20.0	1	1
2014-03-30 21:44:41.425714	109355	46	2	10
2014-03-30 21:44:41.659422	109356	21.4	1	10
2014-03-30 21:44:49.912521	109357	54	2	9
2014-03-30 21:44:50.136877	109358	21.5	1	9
2014-03-30 21:44:50.9869	109359	51	2	8
2014-03-30 21:44:51.218095	109360	20.0	1	8
2014-03-30 21:44:56.017323	109361	498	3	2
2014-03-30 21:44:56.240855	109362	1140949.1339765543	4	2
2014-03-30 21:45:02.342587	109363	53	2	1
2014-03-30 21:45:02.574847	109364	20.0	1	1
2014-03-30 21:45:08.020258	109365	547	3	2
2014-03-30 21:45:08.247301	109366	1140951.4320459971	4	2
2014-03-30 21:45:20.020394	109367	579	3	2
2014-03-30 21:45:20.263215	109368	1140953.73011544	4	2
2014-03-30 21:45:20.567795	109369	46	2	10
2014-03-30 21:45:20.791188	109370	21.4	1	10
2014-03-30 21:45:28.90863	109371	54	2	9
2014-03-30 21:45:29.143103	109372	21.5	1	9
2014-03-30 21:45:29.987069	109373	51	2	8
2014-03-30 21:45:30.208003	109374	20.0	1	8
2014-03-30 21:45:32.018245	109375	498	3	2
2014-03-30 21:45:32.248798	109376	1140954.8791501615	4	2
2014-03-30 21:45:41.340087	109377	53	2	1
2014-03-30 21:45:41.560973	109378	20.0	1	1
2014-03-30 21:45:44.019414	109379	434	3	2
2014-03-30 21:45:44.251053	109380	1140956.0281848828	4	2
2014-03-30 21:45:56.017161	109381	402	3	2
2014-03-30 21:45:56.239441	109382	1140958.3262543257	4	2
2014-03-30 21:45:59.424062	109383	46	2	10
2014-03-30 21:45:59.656944	109384	21.4	1	10
2014-03-30 21:46:08.985126	109385	51	2	8
2014-03-30 21:46:09.207539	109386	20.0	1	8
2014-03-30 21:46:20.34133	109387	53	2	1
2014-03-30 21:46:20.572771	109388	19.9	1	1
2014-03-30 21:46:32.01822	109389	402	3	2
2014-03-30 21:46:32.242299	109390	1140961.7733584899	4	2
2014-03-30 21:46:38.425635	109391	46	2	10
2014-03-30 21:46:38.657865	109392	21.4	1	10
2014-03-30 21:46:46.912301	109393	54	2	9
2014-03-30 21:46:47.135801	109394	21.5	1	9
2014-03-30 21:46:47.986211	109395	51	2	8
2014-03-30 21:46:48.2225	109396	20.0	1	8
2014-03-30 21:46:59.342041	109397	53	2	1
2014-03-30 21:46:59.56408	109398	19.9	1	1
2014-03-30 21:47:17.427358	109399	46	2	10
2014-03-30 21:47:17.661819	109400	21.4	1	10
2014-03-30 21:47:25.911955	109401	54	2	9
2014-03-30 21:47:26.135397	109402	21.5	1	9
2014-03-30 21:47:26.986301	109403	51	2	8
2014-03-30 21:47:27.219158	109404	20.0	1	8
2014-03-30 21:47:32.019261	109405	482	3	2
2014-03-30 21:47:32.241506	109406	1140968.6675668184	4	2
2014-03-30 21:47:38.34417	109407	53	2	1
2014-03-30 21:47:38.578869	109408	19.9	1	1
2014-03-30 21:47:44.024269	109409	482	3	2
2014-03-30 21:47:44.246339	109410	1140969.8166015397	4	2
2014-03-30 21:47:56.427896	109411	46	2	10
2014-03-30 21:47:56.659583	109412	21.4	1	10
2014-03-30 21:48:04.913433	109413	54	2	9
2014-03-30 21:48:05.137953	109414	21.5	1	9
2014-03-30 21:48:05.985541	109415	51	2	8
2014-03-30 21:48:06.229763	109416	20.0	1	8
2014-03-30 21:48:17.343492	109417	53	2	1
2014-03-30 21:48:17.569738	109418	19.9	1	1
2014-03-30 21:48:20.01513	109419	547	3	2
2014-03-30 21:48:20.249019	109420	1140974.4172113778	4	2
2014-03-30 21:48:32.017515	109421	402	3	2
2014-03-30 21:48:32.240977	109422	1140975.566246099	4	2
2014-03-30 21:48:35.425846	109423	46	2	10
2014-03-30 21:48:35.659952	109424	21.3	1	10
2014-03-30 21:48:44.987424	109425	51	2	8
2014-03-30 21:48:45.212967	109426	20.0	1	8
2014-03-30 21:48:56.341998	109427	53	2	1
2014-03-30 21:48:56.578963	109428	19.9	1	1
2014-03-30 21:49:14.426344	109429	46	2	10
2014-03-30 21:49:14.65235	109430	21.3	1	10
2014-03-30 21:49:22.904797	109431	54	2	9
2014-03-30 21:49:23.137015	109432	21.4	1	9
2014-03-30 21:49:23.985997	109433	51	2	8
2014-03-30 21:49:24.211095	109434	20.0	1	8
2014-03-30 21:49:35.579881	109435	53	2	1
2014-03-30 21:49:35.817142	109436	19.9	1	1
2014-03-30 21:49:44.018281	109437	402	3	2
2014-03-30 21:49:44.242371	109438	1140983.609489149	4	2
2014-03-30 21:49:53.427333	109439	46	2	10
2014-03-30 21:49:53.658121	109440	21.3	1	10
2014-03-30 21:49:56.015273	109441	466	3	2
2014-03-30 21:49:56.239194	109442	1140984.7585238705	4	2
2014-03-30 21:50:01.91207	109443	54	2	9
2014-03-30 21:50:02.146451	109444	21.4	1	9
2014-03-30 21:50:02.985968	109445	51	2	8
2014-03-30 21:50:03.209348	109446	20.0	1	8
2014-03-30 21:50:08.019712	109447	354	3	2
2014-03-30 21:50:08.252508	109448	1140985.9075585918	4	2
2014-03-30 21:50:14.341114	109449	53	2	1
2014-03-30 21:50:14.563983	109450	19.9	1	1
2014-03-30 21:50:20.01795	109451	354	3	2
2014-03-30 21:50:20.253132	109452	1140987.0565933133	4	2
2014-03-30 21:50:32.017234	109453	338	3	2
2014-03-30 21:50:32.241458	109454	1140988.2056280347	4	2
2014-03-30 21:50:32.546202	109455	46	2	10
2014-03-30 21:50:32.777092	109456	21.3	1	10
2014-03-30 21:50:41.988252	109457	51	2	8
2014-03-30 21:50:42.213573	109458	20.0	1	8
2014-03-30 21:50:53.33991	109459	53	2	1
2014-03-30 21:50:53.57309	109460	19.9	1	1
2014-03-30 21:51:11.42929	109461	46	2	10
2014-03-30 21:51:11.653412	109462	21.3	1	10
2014-03-30 21:51:20.986466	109463	51	2	8
2014-03-30 21:51:21.232882	109464	20.0	1	8
2014-03-30 21:51:32.014659	109465	402	3	2
2014-03-30 21:51:32.239419	109466	1140993.9508016417	4	2
2014-03-30 21:51:32.542146	109467	53	2	1
2014-03-30 21:51:32.774681	109468	19.9	1	1
2014-03-30 21:51:44.014842	109469	418	3	2
2014-03-30 21:51:44.239617	109470	1140995.0998363632	4	2
2014-03-30 21:51:50.428535	109471	46	2	10
2014-03-30 21:51:50.661422	109472	21.3	1	10
2014-03-30 21:51:58.720074	109473	370	3	2
2014-03-30 21:51:58.951166	109474	1140997.397905806	4	2
2014-03-30 21:51:59.985806	109475	51	2	8
2014-03-30 21:52:00.223883	109476	20.0	1	8
2014-03-30 21:52:08.017189	109477	370	3	2
2014-03-30 21:52:08.242692	109478	1140998.5469405274	4	2
2014-03-30 21:52:11.336181	109479	53	2	1
2014-03-30 21:52:11.569989	109480	19.8	1	1
2014-03-30 21:52:29.42752	109481	46	2	10
2014-03-30 21:52:29.650772	109482	21.3	1	10
2014-03-30 21:52:32.020843	109483	402	3	2
2014-03-30 21:52:32.25926	109484	1141000.8450099702	4	2
2014-03-30 21:52:39.002122	109485	51	2	8
2014-03-30 21:52:39.22452	109486	20.0	1	8
2014-03-30 21:52:44.017967	109487	370	3	2
2014-03-30 21:52:44.254894	109488	1141001.9940446916	4	2
2014-03-30 21:52:50.340653	109489	53	2	1
2014-03-30 21:52:50.563372	109490	19.8	1	1
2014-03-30 21:52:56.019618	109491	370	3	2
2014-03-30 21:52:56.252998	109492	1141003.143079413	4	2
2014-03-30 21:53:08.429484	109493	46	2	10
2014-03-30 21:53:08.651867	109494	21.3	1	10
2014-03-30 21:53:17.986355	109495	51	2	8
2014-03-30 21:53:18.219445	109496	20.0	1	8
2014-03-30 21:53:29.337046	109497	53	2	1
2014-03-30 21:53:29.561528	109498	19.8	1	1
2014-03-30 21:53:32.015166	109499	370	3	2
2014-03-30 21:53:32.248159	109500	1141006.5901835773	4	2
2014-03-30 21:53:47.42818	109501	46	2	10
2014-03-30 21:53:47.652259	109502	21.3	1	10
2014-03-30 21:53:56.989626	109503	51	2	8
2014-03-30 21:53:57.22241	109504	20.0	1	8
2014-03-30 21:54:08.337836	109505	53	2	1
2014-03-30 21:54:08.563554	109506	19.8	1	1
2014-03-30 21:54:26.426896	109507	46	2	10
2014-03-30 21:54:26.659339	109508	21.3	1	10
2014-03-30 21:54:32.021333	109509	370	3	2
2014-03-30 21:54:32.245036	109510	1141013.4843919058	4	2
2014-03-30 21:54:35.985626	109511	51	2	8
2014-03-30 21:54:36.228529	109512	20.0	1	8
2014-03-30 21:54:47.335667	109513	53	2	1
2014-03-30 21:54:47.558708	109514	19.8	1	1
2014-03-30 21:55:05.429441	109515	46	2	10
2014-03-30 21:55:05.662414	109516	21.2	1	10
2014-03-30 21:55:14.985267	109517	51	2	8
2014-03-30 21:55:15.20926	109518	20.0	1	8
2014-03-30 21:55:26.336562	109519	53	2	1
2014-03-30 21:55:26.56882	109520	19.8	1	1
2014-03-30 21:55:32.018022	109521	370	3	2
2014-03-30 21:55:32.241381	109522	1141019.2295655129	4	2
2014-03-30 21:55:44.428035	109523	46	2	10
2014-03-30 21:55:44.661663	109524	21.2	1	10
2014-03-30 21:55:53.98585	109525	51	2	8
2014-03-30 21:55:54.210429	109526	20.0	1	8
2014-03-30 21:56:05.336399	109527	53	2	1
2014-03-30 21:56:05.569447	109528	19.8	1	1
2014-03-30 21:56:23.429462	109529	46	2	10
2014-03-30 21:56:23.651723	109530	21.2	1	10
2014-03-30 21:56:32.989191	109531	51	2	8
2014-03-30 21:56:33.221477	109532	20.0	1	8
2014-03-30 21:56:44.336004	109533	53	2	1
2014-03-30 21:56:44.559503	109534	19.8	1	1
2014-03-30 21:57:02.430713	109535	46	2	10
2014-03-30 21:57:02.663512	109536	21.2	1	10
2014-03-30 21:57:11.987331	109537	51	2	8
2014-03-30 21:57:12.213113	109538	20.0	1	8
2014-03-30 21:57:23.332408	109539	53	2	1
2014-03-30 21:57:23.56453	109540	19.7	1	1
2014-03-30 21:57:32.015158	109541	305	3	2
2014-03-30 21:57:32.240554	109542	1141030.7199127271	4	2
2014-03-30 21:57:41.638604	109543	46	2	10
2014-03-30 21:57:41.874026	109544	21.2	1	10
2014-03-30 21:57:44.017642	109545	305	3	2
2014-03-30 21:57:44.240914	109546	1141031.8689474484	4	2
2014-03-30 21:57:50.985502	109547	51	2	8
2014-03-30 21:57:51.218077	109548	20.0	1	8
2014-03-30 21:58:02.336417	109549	53	2	1
2014-03-30 21:58:02.557737	109550	19.7	1	1
2014-03-30 21:58:20.023687	109551	338	3	2
2014-03-30 21:58:20.256844	109552	1141035.3160516126	4	2
2014-03-30 21:58:20.56489	109553	46	2	10
2014-03-30 21:58:20.786722	109554	21.2	1	10
2014-03-30 21:58:29.98546	109555	51	2	8
2014-03-30 21:58:30.21885	109556	20.0	1	8
2014-03-30 21:58:32.015775	109557	338	3	2
2014-03-30 21:58:32.23799	109558	1141036.4650863342	4	2
2014-03-30 21:58:41.336152	109559	53	2	1
2014-03-30 21:58:41.579743	109560	19.7	1	1
2014-03-30 21:58:59.429396	109561	46	2	10
2014-03-30 21:58:59.651679	109562	21.1	1	10
2014-03-30 21:59:08.986395	109563	51	2	8
2014-03-30 21:59:09.403053	109564	20.0	1	8
2014-03-30 21:59:20.332824	109565	53	2	1
2014-03-30 21:59:20.561146	109566	19.7	1	1
2014-03-30 21:59:32.014867	109567	338	3	2
2014-03-30 21:59:32.23743	109568	1141042.2102599412	4	2
2014-03-30 21:59:38.429551	109569	46	2	10
2014-03-30 21:59:38.662016	109570	21.1	1	10
2014-03-30 21:59:47.984264	109571	51	2	8
2014-03-30 21:59:48.264699	109572	20.0	1	8
2014-03-30 21:59:59.334107	109573	53	2	1
2014-03-30 21:59:59.564821	109574	19.7	1	1
2014-03-30 22:00:08.014318	109575	305	3	2
2014-03-30 22:00:08.240464	109576	1141045.6573641053	4	2
2014-03-30 22:00:17.428712	109577	46	2	10
2014-03-30 22:00:17.661434	109578	21.1	1	10
2014-03-30 22:00:20.015469	109579	305	3	2
2014-03-30 22:00:20.236093	109580	1141046.806398827	4	2
2014-03-30 22:00:26.985686	109581	51	2	8
2014-03-30 22:00:27.21672	109582	20.0	1	8
2014-03-30 22:00:32.018892	109583	305	3	2
2014-03-30 22:00:32.245103	109584	1141046.806398827	4	2
2014-03-30 22:00:38.332913	109585	53	2	1
2014-03-30 22:00:38.563809	109586	19.7	1	1
2014-03-30 22:00:56.429971	109587	46	2	10
2014-03-30 22:00:56.652664	109588	21.1	1	10
2014-03-30 22:01:05.986429	109589	51	2	8
2014-03-30 22:01:06.217518	109590	20.0	1	8
2014-03-30 22:01:17.332567	109591	53	2	1
2014-03-30 22:01:17.554179	109592	19.7	1	1
2014-03-30 22:01:20.014296	109593	338	3	2
2014-03-30 22:01:20.244445	109594	1141051.4025377126	4	2
2014-03-30 22:01:32.017635	109595	338	3	2
2014-03-30 22:01:32.238228	109596	1141052.551572434	4	2
2014-03-30 22:01:35.432596	109597	46	2	10
2014-03-30 22:01:35.663947	109598	21.1	1	10
2014-03-30 22:01:44.986659	109599	51	2	8
2014-03-30 22:01:45.208751	109600	20.0	1	8
2014-03-30 22:01:56.332132	109601	53	2	1
2014-03-30 22:01:56.563326	109602	19.7	1	1
2014-03-30 22:02:14.430714	109603	46	2	10
2014-03-30 22:02:14.653256	109604	21.1	1	10
2014-03-30 22:02:23.986557	109605	51	2	8
2014-03-30 22:02:24.221702	109606	20.0	1	8
2014-03-30 22:02:32.016028	109607	338	3	2
2014-03-30 22:02:32.240035	109608	1141058.296746041	4	2
2014-03-30 22:02:35.331863	109609	53	2	1
2014-03-30 22:02:35.574083	109610	19.7	1	1
2014-03-30 22:02:53.431966	109611	46	2	10
2014-03-30 22:02:53.660716	109612	21.1	1	10
2014-03-30 22:03:02.985799	109613	51	2	8
2014-03-30 22:03:03.217564	109614	20.0	1	8
2014-03-30 22:03:14.3397	109615	53	2	1
2014-03-30 22:03:14.559708	109616	19.7	1	1
2014-03-30 22:03:32.01404	109617	370	3	2
2014-03-30 22:03:32.247076	109618	1141064.041919648	4	2
2014-03-30 22:03:32.551679	109619	46	2	10
2014-03-30 22:03:32.77345	109620	21.1	1	10
2014-03-30 22:03:41.986329	109621	51	2	8
2014-03-30 22:03:42.216042	109622	20.0	1	8
2014-03-30 22:03:44.014454	109623	402	3	2
2014-03-30 22:03:44.235234	109624	1141065.1909543695	4	2
2014-03-30 22:03:53.570621	109625	53	2	1
2014-03-30 22:03:53.806327	109626	19.7	1	1
2014-03-30 22:03:56.015087	109627	370	3	2
2014-03-30 22:03:56.236234	109628	1141066.3399890908	4	2
2014-03-30 22:04:08.016012	109629	370	3	2
2014-03-30 22:04:08.247691	109630	1141067.4890238123	4	2
2014-03-30 22:04:11.432601	109631	46	2	10
2014-03-30 22:04:11.653862	109632	21.0	1	10
2014-03-30 22:04:20.98542	109633	51	2	8
2014-03-30 22:04:21.217938	109634	20.0	1	8
2014-03-30 22:04:32.015473	109635	370	3	2
2014-03-30 22:04:32.23749	109636	1141069.7870932552	4	2
2014-03-30 22:04:32.542133	109637	53	2	1
2014-03-30 22:04:32.773752	109638	19.6	1	1
2014-03-30 22:04:50.432284	109639	46	2	10
2014-03-30 22:04:50.658105	109640	21.0	1	10
2014-03-30 22:04:59.984046	109641	51	2	8
2014-03-30 22:05:00.216961	109642	20.0	1	8
2014-03-30 22:05:11.332848	109643	53	2	1
2014-03-30 22:05:11.555181	109644	19.6	1	1
2014-03-30 22:05:20.014849	109645	402	3	2
2014-03-30 22:05:20.248318	109646	1141075.5322668622	4	2
2014-03-30 22:05:29.432226	109647	46	2	10
2014-03-30 22:05:29.655446	109648	21.0	1	10
2014-03-30 22:05:32.017044	109649	370	3	2
2014-03-30 22:05:32.248759	109650	1141076.6813015835	4	2
2014-03-30 22:05:38.985927	109651	51	2	8
2014-03-30 22:05:39.207899	109652	20.0	1	8
2014-03-30 22:05:44.014163	109653	370	3	2
2014-03-30 22:05:44.249993	109654	1141077.830336305	4	2
2014-03-30 22:05:50.331637	109655	52	2	1
2014-03-30 22:05:50.552518	109656	19.6	1	1
2014-03-30 22:06:08.440123	109657	46	2	10
2014-03-30 22:06:08.683296	109658	21.0	1	10
2014-03-30 22:06:17.985835	109659	51	2	8
2014-03-30 22:06:18.207235	109660	20.0	1	8
2014-03-30 22:06:20.01458	109661	402	3	2
2014-03-30 22:06:20.246087	109662	1141081.2774404692	4	2
2014-03-30 22:06:29.329855	109663	52	2	1
2014-03-30 22:06:29.551178	109664	19.6	1	1
2014-03-30 22:06:32.01521	109665	370	3	2
2014-03-30 22:06:32.246646	109666	1141082.4264751908	4	2
2014-03-30 22:06:44.015485	109667	370	3	2
2014-03-30 22:06:44.23591	109668	1141083.575509912	4	2
2014-03-30 22:06:47.432513	109669	46	2	10
2014-03-30 22:06:47.662936	109670	21.0	1	10
2014-03-30 22:06:56.987181	109671	51	2	8
2014-03-30 22:06:57.208	109672	20.0	1	8
2014-03-30 22:07:08.329529	109673	52	2	1
2014-03-30 22:07:08.562397	109674	19.6	1	1
2014-03-30 22:07:26.431399	109675	46	2	10
2014-03-30 22:07:26.652283	109676	21.0	1	10
2014-03-30 22:07:32.018728	109677	370	3	2
2014-03-30 22:07:32.252441	109678	1141089.3206835191	4	2
2014-03-30 22:07:35.985451	109679	51	2	8
2014-03-30 22:07:36.208587	109680	20.0	1	8
2014-03-30 22:07:47.36571	109681	52	2	1
2014-03-30 22:07:47.598488	109682	19.6	1	1
2014-03-30 22:08:05.433021	109683	46	2	10
2014-03-30 22:08:05.653801	109684	21.0	1	10
2014-03-30 22:08:14.985722	109685	51	2	8
2014-03-30 22:08:15.217663	109686	20.0	1	8
2014-03-30 22:08:20.013839	109687	338	3	2
2014-03-30 22:08:20.23594	109688	1141093.9168224048	4	2
2014-03-30 22:08:26.331733	109689	52	2	1
2014-03-30 22:08:26.564038	109690	19.6	1	1
2014-03-30 22:08:32.01826	109691	338	3	2
2014-03-30 22:08:32.241161	109692	1141095.0658571264	4	2
2014-03-30 22:08:44.432086	109693	46	2	10
2014-03-30 22:08:44.66393	109694	21.0	1	10
2014-03-30 22:08:53.984906	109695	51	2	8
2014-03-30 22:08:54.206533	109696	20.0	1	8
2014-03-30 22:09:05.330444	109697	52	2	1
2014-03-30 22:09:05.562281	109698	19.6	1	1
2014-03-30 22:09:08.014422	109699	305	3	2
2014-03-30 22:09:08.235503	109700	1141098.5129612905	4	2
2014-03-30 22:09:20.01296	109701	305	3	2
2014-03-30 22:09:20.244263	109702	1141099.6619960119	4	2
2014-03-30 22:09:23.434619	109703	46	2	10
2014-03-30 22:09:23.654809	109704	21.0	1	10
2014-03-30 22:09:32.984817	109705	51	2	8
2014-03-30 22:09:33.227872	109706	20.0	1	8
2014-03-30 22:09:44.014846	109707	338	3	2
2014-03-30 22:09:44.23592	109708	1141100.8110307334	4	2
2014-03-30 22:09:44.542312	109709	52	2	1
2014-03-30 22:09:44.772785	109710	19.6	1	1
2014-03-30 22:09:56.013538	109711	305	3	2
2014-03-30 22:09:56.23499	109712	1141101.9600654547	4	2
2014-03-30 22:10:02.432166	109713	46	2	10
2014-03-30 22:10:02.664682	109714	21.0	1	10
2014-03-30 22:10:08.018027	109715	305	3	2
2014-03-30 22:10:08.239156	109716	1141103.1091001763	4	2
2014-03-30 22:10:11.985842	109717	51	2	8
2014-03-30 22:10:12.214841	109718	20.0	1	8
2014-03-30 22:10:23.328848	109719	52	2	1
2014-03-30 22:10:23.551218	109720	19.6	1	1
2014-03-30 22:10:32.013677	109721	305	3	2
2014-03-30 22:10:32.24379	109722	1141105.407169619	4	2
2014-03-30 22:10:41.433993	109723	46	2	10
2014-03-30 22:10:41.657486	109724	20.9	1	10
2014-03-30 22:10:44.014479	109725	338	3	2
2014-03-30 22:10:44.244025	109726	1141106.5562043404	4	2
2014-03-30 22:10:50.98595	109727	51	2	8
2014-03-30 22:10:51.207614	109728	20.0	1	8
2014-03-30 22:10:56.014713	109729	305	3	2
2014-03-30 22:10:56.245952	109730	1141107.7052390617	4	2
2014-03-30 22:11:02.327686	109731	52	2	1
2014-03-30 22:11:02.548907	109732	19.6	1	1
2014-03-30 22:11:08.016481	109733	305	3	2
2014-03-30 22:11:08.246483	109734	1141108.8542737833	4	2
2014-03-30 22:11:20.434241	109735	46	2	10
2014-03-30 22:11:20.657903	109736	20.9	1	10
2014-03-30 22:11:29.984978	109737	51	2	8
2014-03-30 22:11:30.217743	109738	20.0	1	8
2014-03-30 22:11:32.015951	109739	305	3	2
2014-03-30 22:11:32.236355	109740	1141111.1523432261	4	2
2014-03-30 22:11:41.327213	109741	52	2	1
2014-03-30 22:11:41.559992	109742	19.6	1	1
2014-03-30 22:11:59.4357	109743	46	2	10
2014-03-30 22:11:59.661872	109744	20.9	1	10
2014-03-30 22:12:08.986568	109745	51	2	8
2014-03-30 22:12:09.218928	109746	20.0	1	8
2014-03-30 22:12:20.328316	109747	52	2	1
2014-03-30 22:12:20.550733	109748	19.6	1	1
2014-03-30 22:12:32.017937	109749	305	3	2
2014-03-30 22:12:32.247461	109750	1141115.7484821118	4	2
2014-03-30 22:12:38.434906	109751	46	2	10
2014-03-30 22:12:38.659409	109752	20.9	1	10
2014-03-30 22:12:47.985832	109753	51	2	8
2014-03-30 22:12:48.230736	109754	20.0	1	8
2014-03-30 22:12:59.326574	109755	52	2	1
2014-03-30 22:12:59.547052	109756	19.5	1	1
2014-03-30 22:13:17.433665	109757	46	2	10
2014-03-30 22:13:17.665651	109758	20.9	1	10
2014-03-30 22:13:20.013115	109759	338	3	2
2014-03-30 22:13:20.236779	109760	1141120.3446209973	4	2
2014-03-30 22:13:26.986386	109761	50	2	8
2014-03-30 22:13:27.219907	109762	20.0	1	8
2014-03-30 22:13:32.012896	109763	305	3	2
2014-03-30 22:13:32.239272	109764	1141121.4936557189	4	2
2014-03-30 22:13:38.327541	109765	52	2	1
2014-03-30 22:13:38.580172	109766	19.5	1	1
2014-03-30 22:13:44.015435	109767	305	3	2
2014-03-30 22:13:44.237881	109768	1141121.4936557189	4	2
2014-03-30 22:13:56.434107	109769	46	2	10
2014-03-30 22:13:56.665587	109770	20.9	1	10
2014-03-30 22:14:05.984838	109771	50	2	8
2014-03-30 22:14:06.207353	109772	20.0	1	8
2014-03-30 22:14:17.328108	109773	52	2	1
2014-03-30 22:14:17.561143	109774	19.5	1	1
2014-03-30 22:14:20.01325	109775	354	3	2
2014-03-30 22:14:20.234797	109776	1141124.940759883	4	2
2014-03-30 22:14:32.014746	109777	354	3	2
2014-03-30 22:14:32.246987	109778	1141126.0897946046	4	2
2014-03-30 22:14:35.435459	109779	46	2	10
2014-03-30 22:14:35.655984	109780	20.9	1	10
2014-03-30 22:14:44.985047	109781	50	2	8
2014-03-30 22:14:45.216067	109782	20.0	1	8
2014-03-30 22:14:56.325701	109783	52	2	1
2014-03-30 22:14:56.549755	109784	19.5	1	1
2014-03-30 22:15:14.434644	109785	46	2	10
2014-03-30 22:15:14.666778	109786	20.9	1	10
2014-03-30 22:15:23.985268	109787	50	2	8
2014-03-30 22:15:24.207312	109788	20.0	1	8
2014-03-30 22:15:32.013784	109789	370	3	2
2014-03-30 22:15:32.244254	109790	1141131.8349682116	4	2
2014-03-30 22:15:35.325335	109791	52	2	1
2014-03-30 22:15:35.546771	109792	19.5	1	1
2014-03-30 22:15:53.434965	109793	46	2	10
2014-03-30 22:15:53.670176	109794	20.9	1	10
2014-03-30 22:16:02.984582	109795	50	2	8
2014-03-30 22:16:03.206113	109796	20.0	1	8
2014-03-30 22:16:14.327383	109797	52	2	1
2014-03-30 22:16:14.557448	109798	19.5	1	1
2014-03-30 22:16:32.01321	109799	354	3	2
2014-03-30 22:16:32.234446	109800	1141138.72917654	4	2
2014-03-30 22:16:32.538763	109801	46	2	10
2014-03-30 22:16:32.783317	109802	20.9	1	10
2014-03-30 22:16:41.985972	109803	50	2	8
2014-03-30 22:16:42.207752	109804	20.0	1	8
2014-03-30 22:16:53.324279	109805	52	2	1
2014-03-30 22:16:53.554506	109806	19.5	1	1
2014-03-30 22:17:08.012854	109807	434	3	2
2014-03-30 22:17:08.234267	109808	1141142.1762807043	4	2
2014-03-30 22:17:11.434948	109809	46	2	10
2014-03-30 22:17:11.665832	109810	20.8	1	10
2014-03-30 22:17:20.990483	109811	50	2	8
2014-03-30 22:17:21.214342	109812	20.0	1	8
2014-03-30 22:17:32.014227	109813	434	3	2
2014-03-30 22:17:32.246342	109814	1141145.6233848685	4	2
2014-03-30 22:17:32.547724	109815	52	2	1
2014-03-30 22:17:32.768812	109816	19.5	1	1
2014-03-30 22:17:50.435306	109817	46	2	10
2014-03-30 22:17:50.667944	109818	20.8	1	10
2014-03-30 22:17:59.987518	109819	50	2	8
2014-03-30 22:18:00.208506	109820	20.0	1	8
2014-03-30 22:18:11.323054	109821	52	2	1
2014-03-30 22:18:11.555308	109822	19.5	1	1
2014-03-30 22:18:29.43484	109823	46	2	10
2014-03-30 22:18:29.656314	109824	20.8	1	10
2014-03-30 22:18:32.012846	109825	434	3	2
2014-03-30 22:18:32.247012	109826	1141152.517593197	4	2
2014-03-30 22:18:38.985877	109827	50	2	8
2014-03-30 22:18:39.209079	109828	20.0	1	8
2014-03-30 22:18:44.014285	109829	370	3	2
2014-03-30 22:18:44.251011	109830	1141153.6666279184	4	2
2014-03-30 22:18:50.323246	109831	52	2	1
2014-03-30 22:18:50.545006	109832	19.5	1	1
2014-03-30 22:18:56.015498	109833	370	3	2
2014-03-30 22:18:56.250089	109834	1141154.81566264	4	2
2014-03-30 22:19:08.013766	109835	402	3	2
2014-03-30 22:19:08.237494	109836	1141155.9646973612	4	2
2014-03-30 22:19:08.539784	109837	46	2	10
2014-03-30 22:19:08.77114	109838	20.8	1	10
2014-03-30 22:19:17.986684	109839	50	2	8
2014-03-30 22:19:18.208127	109840	20.0	1	8
2014-03-30 22:19:20.013547	109841	370	3	2
2014-03-30 22:19:20.245815	109842	1141157.1137320828	4	2
2014-03-30 22:19:29.323302	109843	52	2	1
2014-03-30 22:19:29.544441	109844	19.5	1	1
2014-03-30 22:19:32.014745	109845	370	3	2
2014-03-30 22:19:32.24876	109846	1141158.262766804	4	2
2014-03-30 22:19:47.438598	109847	46	2	10
2014-03-30 22:19:47.66072	109848	20.8	1	10
2014-03-30 22:19:56.98631	109849	50	2	8
2014-03-30 22:19:57.227691	109850	20.0	1	8
2014-03-30 22:20:08.32076	109851	52	2	1
2014-03-30 22:20:08.542925	109852	19.5	1	1
2014-03-30 22:20:26.437706	109853	46	2	10
2014-03-30 22:20:26.668123	109854	20.8	1	10
2014-03-30 22:20:35.985084	109855	50	2	8
2014-03-30 22:20:36.206267	109856	20.0	1	8
2014-03-30 22:20:47.321123	109857	52	2	1
2014-03-30 22:20:47.55406	109858	19.5	1	1
2014-03-30 22:21:05.435679	109859	46	2	10
2014-03-30 22:21:05.657939	109860	20.8	1	10
2014-03-30 22:21:14.985966	109861	50	2	8
2014-03-30 22:21:15.216161	109862	20.0	1	8
2014-03-30 22:21:26.32145	109863	52	2	1
2014-03-30 22:21:26.542261	109864	19.4	1	1
2014-03-30 22:21:32.015935	109865	370	3	2
2014-03-30 22:21:32.248103	109866	1141170.9021487397	4	2
2014-03-30 22:21:44.43509	109867	46	2	10
2014-03-30 22:21:44.657425	109868	20.8	1	10
2014-03-30 22:21:53.985181	109869	50	2	8
2014-03-30 22:21:54.217001	109870	20.0	1	8
2014-03-30 22:22:05.319484	109871	52	2	1
2014-03-30 22:22:05.541595	109872	19.4	1	1
2014-03-30 22:22:23.438134	109873	46	2	10
2014-03-30 22:22:23.66992	109874	20.8	1	10
2014-03-30 22:22:32.985578	109875	50	2	8
2014-03-30 22:22:33.207217	109876	20.0	1	8
2014-03-30 22:22:44.322466	109877	52	2	1
2014-03-30 22:22:44.554115	109878	19.4	1	1
2014-03-30 22:23:02.436853	109879	46	2	10
2014-03-30 22:23:02.660598	109880	20.7	1	10
2014-03-30 22:23:11.987543	109881	50	2	8
2014-03-30 22:23:12.218047	109882	20.0	1	8
2014-03-30 22:23:23.319703	109883	52	2	1
2014-03-30 22:23:23.54143	109884	19.4	1	1
2014-03-30 22:23:32.015379	109885	370	3	2
2014-03-30 22:23:32.247513	109886	1141183.5415306753	4	2
2014-03-30 22:23:41.446538	109887	46	2	10
2014-03-30 22:23:41.667233	109888	20.7	1	10
2014-03-30 22:23:50.98649	109889	50	2	8
2014-03-30 22:23:51.218958	109890	20.0	1	8
2014-03-30 22:24:02.322035	109891	52	2	1
2014-03-30 22:24:02.544152	109892	19.4	1	1
2014-03-30 22:24:20.438212	109893	46	2	10
2014-03-30 22:24:20.668509	109894	20.7	1	10
2014-03-30 22:24:29.986415	109895	50	2	8
2014-03-30 22:24:30.210079	109896	20.0	1	8
2014-03-30 22:24:32.013465	109897	370	3	2
2014-03-30 22:24:32.25749	109898	1141189.2867042823	4	2
2014-03-30 22:24:41.321094	109899	52	2	1
2014-03-30 22:24:41.543377	109900	19.4	1	1
2014-03-30 22:24:44.014346	109901	434	3	2
2014-03-30 22:24:44.248027	109902	1141191.5847737251	4	2
2014-03-30 22:24:56.0134	109903	434	3	2
2014-03-30 22:24:56.234584	109904	1141192.7338084464	4	2
2014-03-30 22:24:59.437753	109905	46	2	10
2014-03-30 22:24:59.669353	109906	20.7	1	10
2014-03-30 22:25:08.985931	109907	50	2	8
2014-03-30 22:25:09.248824	109908	20.0	1	8
2014-03-30 22:25:20.320029	109909	52	2	1
2014-03-30 22:25:20.589903	109910	19.4	1	1
2014-03-30 22:25:32.012638	109911	418	3	2
2014-03-30 22:25:32.763541	109912	1141197.3299473322	4	2
2014-03-30 22:25:38.439951	109913	46	2	10
2014-03-30 22:25:38.727074	109914	20.7	1	10
2014-03-30 22:25:47.986229	109915	50	2	8
2014-03-30 22:25:48.242648	109916	20.0	1	8
2014-03-30 22:25:59.318952	109917	52	2	1
2014-03-30 22:26:00.081189	109918	19.4	1	1
2014-03-30 22:26:17.438832	109919	46	2	10
2014-03-30 22:26:17.662361	109920	20.7	1	10
2014-03-30 22:26:26.985699	109921	50	2	8
2014-03-30 22:26:27.217262	109922	20.0	1	8
2014-03-30 22:26:32.010648	109923	418	3	2
2014-03-30 22:26:32.236287	109924	1141204.2241556607	4	2
2014-03-30 22:26:38.31946	109925	52	2	1
2014-03-30 22:26:38.550802	109926	19.4	1	1
2014-03-30 22:26:56.439159	109927	46	2	10
2014-03-30 22:26:56.662958	109928	20.7	1	10
2014-03-30 22:27:05.984605	109929	50	2	8
2014-03-30 22:27:06.21651	109930	20.0	1	8
2014-03-30 22:27:17.319166	109931	52	2	1
2014-03-30 22:27:17.541245	109932	19.4	1	1
2014-03-30 22:27:32.01723	109933	418	3	2
2014-03-30 22:27:32.24826	109934	1141211.1183639893	4	2
2014-03-30 22:27:35.438078	109935	46	2	10
2014-03-30 22:27:35.658318	109936	20.7	1	10
2014-03-30 22:27:44.98522	109937	50	2	8
2014-03-30 22:27:45.218891	109938	20.0	1	8
2014-03-30 22:27:56.31771	109939	52	2	1
2014-03-30 22:27:56.539637	109940	19.4	1	1
2014-03-30 22:28:14.438949	109941	46	2	10
2014-03-30 22:28:14.671658	109942	20.7	1	10
2014-03-30 22:28:23.988166	109943	50	2	8
2014-03-30 22:28:24.210399	109944	20.0	1	8
2014-03-30 22:28:32.013772	109945	418	3	2
2014-03-30 22:28:32.259985	109946	1141218.0125723176	4	2
2014-03-30 22:28:35.317146	109947	52	2	1
2014-03-30 22:28:35.537929	109948	19.4	1	1
2014-03-30 22:28:53.438993	109949	46	2	10
2014-03-30 22:28:53.672236	109950	20.7	1	10
2014-03-30 22:29:02.984796	109951	50	2	8
2014-03-30 22:29:03.207548	109952	20.0	1	8
2014-03-30 22:29:14.317626	109953	52	2	1
2014-03-30 22:29:14.548728	109954	19.4	1	1
2014-03-30 22:29:32.013382	109955	418	3	2
2014-03-30 22:29:32.237056	109956	1141224.9067806462	4	2
2014-03-30 22:29:32.539707	109957	46	2	10
2014-03-30 22:29:32.770477	109958	20.7	1	10
2014-03-30 22:29:41.984607	109959	50	2	8
2014-03-30 22:29:42.208553	109960	20.0	1	8
2014-03-30 22:29:44.013489	109961	370	3	2
2014-03-30 22:29:44.244699	109962	1141226.0558153675	4	2
2014-03-30 22:29:53.352212	109963	52	2	1
2014-03-30 22:29:53.572615	109964	19.4	1	1
2014-03-30 22:29:56.012863	109965	370	3	2
2014-03-30 22:29:56.246821	109966	1141227.204850089	4	2
2014-03-30 22:30:11.440092	109967	46	2	10
2014-03-30 22:30:11.662161	109968	20.7	1	10
2014-03-30 22:30:20.985254	109969	50	2	8
2014-03-30 22:30:21.21623	109970	20.0	1	8
2014-03-30 22:30:32.013005	109971	370	3	2
2014-03-30 22:30:32.235104	109972	1141231.8009889747	4	2
2014-03-30 22:30:32.542408	109973	52	2	1
2014-03-30 22:30:32.775048	109974	19.4	1	1
2014-03-30 22:30:50.440932	109975	46	2	10
2014-03-30 22:30:50.6624	109976	20.7	1	10
2014-03-30 22:30:59.984065	109977	50	2	8
2014-03-30 22:31:00.216022	109978	20.0	1	8
2014-03-30 22:31:11.318578	109979	52	2	1
2014-03-30 22:31:11.541625	109980	19.3	1	1
2014-03-30 22:31:29.438249	109981	46	2	10
2014-03-30 22:31:29.6709	109982	20.7	1	10
2014-03-30 22:31:32.0152	109983	354	3	2
2014-03-30 22:31:32.235569	109984	1141237.5461625818	4	2
2014-03-30 22:31:38.985657	109985	50	2	8
2014-03-30 22:31:39.217726	109986	20.0	1	8
2014-03-30 22:31:50.315301	109987	52	2	1
2014-03-30 22:31:50.537727	109988	19.3	1	1
2014-03-30 22:32:08.012102	109989	402	3	2
2014-03-30 22:32:08.242957	109990	1141240.993266746	4	2
2014-03-30 22:32:08.547721	109991	46	2	10
2014-03-30 22:32:08.770341	109992	20.6	1	10
2014-03-30 22:32:17.986335	109993	50	2	8
2014-03-30 22:32:18.231003	109994	20.0	1	8
2014-03-30 22:32:20.014958	109995	370	3	2
2014-03-30 22:32:20.237344	109996	1141242.1423014675	4	2
2014-03-30 22:32:29.316815	109997	52	2	1
2014-03-30 22:32:29.54956	109998	19.3	1	1
2014-03-30 22:32:32.010387	109999	370	3	2
2014-03-30 22:32:32.233355	110000	1141243.2913361888	4	2
2014-03-30 22:32:44.012837	110001	402	3	2
2014-03-30 22:32:44.247416	110002	1141245.5894056316	4	2
2014-03-30 22:32:47.441142	110003	46	2	10
2014-03-30 22:32:47.663562	110004	20.6	1	10
2014-03-30 22:32:56.984404	110005	50	2	8
2014-03-30 22:32:57.216953	110006	20.0	1	8
2014-03-30 22:33:08.012948	110007	402	3	2
2014-03-30 22:33:08.235947	110008	1141247.8874750745	4	2
2014-03-30 22:33:08.539553	110009	51	2	1
2014-03-30 22:33:08.770073	110010	19.3	1	1
2014-03-30 22:33:20.015976	110011	402	3	2
2014-03-30 22:33:20.238134	110012	1141249.0365097958	4	2
2014-03-30 22:33:26.439897	110013	46	2	10
2014-03-30 22:33:26.671643	110014	20.6	1	10
2014-03-30 22:33:32.017751	110015	402	3	2
2014-03-30 22:33:32.240111	110016	1141250.1855445174	4	2
2014-03-30 22:33:35.989673	110017	50	2	8
2014-03-30 22:33:36.220264	110018	20.0	1	8
2014-03-30 22:33:44.015344	110019	370	3	2
2014-03-30 22:33:44.237245	110020	1141251.3345792387	4	2
2014-03-30 22:33:47.314527	110021	51	2	1
2014-03-30 22:33:47.544595	110022	19.3	1	1
2014-03-30 22:33:56.014839	110023	338	3	2
2014-03-30 22:33:56.236209	110024	1141252.4836139602	4	2
2014-03-30 22:34:05.441166	110025	46	2	10
2014-03-30 22:34:05.672653	110026	20.6	1	10
2014-03-30 22:34:08.01388	110027	338	3	2
2014-03-30 22:34:08.235077	110028	1141253.6326486815	4	2
2014-03-30 22:34:14.984703	110029	50	2	8
2014-03-30 22:34:15.218801	110030	19.9	1	8
2014-03-30 22:34:26.315035	110031	51	2	1
2014-03-30 22:34:26.536025	110032	19.3	1	1
2014-03-30 22:34:32.015839	110033	338	3	2
2014-03-30 22:34:32.249541	110034	1141255.9307181244	4	2
2014-03-30 22:34:44.441724	110035	46	2	10
2014-03-30 22:34:44.663953	110036	20.6	1	10
2014-03-30 22:34:53.985458	110037	50	2	8
2014-03-30 22:34:54.220075	110038	19.9	1	8
2014-03-30 22:35:05.313046	110039	51	2	1
2014-03-30 22:35:05.535269	110040	19.3	1	1
2014-03-30 22:35:20.016658	110041	305	3	2
2014-03-30 22:35:20.263338	110042	1141260.52685701	4	2
2014-03-30 22:35:23.441371	110043	46	2	10
2014-03-30 22:35:23.660745	110044	20.6	1	10
2014-03-30 22:35:32.98378	110045	50	2	8
2014-03-30 22:35:33.215747	110046	19.9	1	8
2014-03-30 22:35:44.011652	110047	354	3	2
2014-03-30 22:35:44.233156	110048	1141262.824926453	4	2
2014-03-30 22:35:44.53791	110049	51	2	1
2014-03-30 22:35:44.767562	110050	19.3	1	1
2014-03-30 22:36:02.444495	110051	46	2	10
2014-03-30 22:36:02.66576	110052	20.6	1	10
2014-03-30 22:36:11.985426	110053	50	2	8
2014-03-30 22:36:12.217536	110054	19.9	1	8
2014-03-30 22:36:23.312233	110055	51	2	1
2014-03-30 22:36:23.534931	110056	19.3	1	1
2014-03-30 22:36:32.012744	110057	354	3	2
2014-03-30 22:36:32.245562	110058	1141267.4210653384	4	2
2014-03-30 22:36:41.441667	110059	46	2	10
2014-03-30 22:36:41.663929	110060	20.5	1	10
2014-03-30 22:36:50.984936	110061	50	2	8
2014-03-30 22:36:51.217997	110062	19.9	1	8
2014-03-30 22:37:02.310455	110063	51	2	1
2014-03-30 22:37:02.53249	110064	19.3	1	1
2014-03-30 22:37:20.650852	110065	46	2	10
2014-03-30 22:37:20.882592	110066	20.5	1	10
2014-03-30 22:37:29.985918	110067	50	2	8
2014-03-30 22:37:30.206955	110068	19.9	1	8
2014-03-30 22:37:32.011724	110069	354	3	2
2014-03-30 22:37:32.244094	110070	1141272.0216751765	4	2
2014-03-30 22:37:41.312328	110071	51	2	1
2014-03-30 22:37:41.535069	110072	19.3	1	1
2014-03-30 22:37:59.442468	110073	46	2	10
2014-03-30 22:37:59.67338	110074	20.5	1	10
2014-03-30 22:38:08.984635	110075	50	2	8
2014-03-30 22:38:09.20791	110076	19.9	1	8
2014-03-30 22:38:20.311527	110077	51	2	1
2014-03-30 22:38:20.542973	110078	19.3	1	1
2014-03-30 22:38:32.013087	110079	370	3	2
2014-03-30 22:38:32.237415	110080	1141278.9158835048	4	2
2014-03-30 22:38:38.44224	110081	46	2	10
2014-03-30 22:38:38.674318	110082	20.5	1	10
2014-03-30 22:38:47.988189	110083	50	2	8
2014-03-30 22:38:48.209491	110084	19.9	1	8
2014-03-30 22:38:59.312762	110085	51	2	1
2014-03-30 22:38:59.547254	110086	19.3	1	1
2014-03-30 22:39:17.443574	110087	46	2	10
2014-03-30 22:39:17.664557	110088	20.5	1	10
2014-03-30 22:39:25.905393	110089	54	2	9
2014-03-30 22:39:26.153145	110090	20.8	1	9
2014-03-30 22:39:26.987283	110091	50	2	8
2014-03-30 22:39:27.207528	110092	19.9	1	8
2014-03-30 22:39:32.0172	110093	354	3	2
2014-03-30 22:39:32.24781	110094	1141284.661057112	4	2
2014-03-30 22:39:38.310147	110095	51	2	1
2014-03-30 22:39:38.532988	110096	19.2	1	1
2014-03-30 22:39:56.443867	110097	46	2	10
2014-03-30 22:39:56.676547	110098	20.5	1	10
2014-03-30 22:40:05.986004	110099	50	2	8
2014-03-30 22:40:06.209954	110100	19.9	1	8
2014-03-30 22:40:17.310571	110101	51	2	1
2014-03-30 22:40:17.543485	110102	19.2	1	1
2014-03-30 22:40:32.011545	110103	354	3	2
2014-03-30 22:40:32.235554	110104	1141290.406230719	4	2
2014-03-30 22:40:35.44345	110105	46	2	10
2014-03-30 22:40:35.673379	110106	20.5	1	10
2014-03-30 22:40:44.98566	110107	50	2	8
2014-03-30 22:40:45.208693	110108	19.9	1	8
2014-03-30 22:40:56.011595	110109	305	3	2
2014-03-30 22:40:56.243339	110110	1141292.704300162	4	2
2014-03-30 22:40:56.548019	110111	51	2	1
2014-03-30 22:40:56.76949	110112	19.2	1	1
2014-03-30 22:41:08.011355	110113	338	3	2
2014-03-30 22:41:08.2464	110114	1141293.8533348832	4	2
2014-03-30 22:41:14.501132	110115	46	2	10
2014-03-30 22:41:14.723643	110116	20.5	1	10
2014-03-30 22:41:20.015293	110117	338	3	2
2014-03-30 22:41:20.246661	110118	1141295.0023696048	4	2
2014-03-30 22:41:23.985704	110119	50	2	8
2014-03-30 22:41:24.208291	110120	19.9	1	8
2014-03-30 22:41:32.012682	110121	338	3	2
2014-03-30 22:41:32.246435	110122	1141296.151404326	4	2
2014-03-30 22:41:35.310606	110123	51	2	1
2014-03-30 22:41:35.535117	110124	19.2	1	1
2014-03-30 22:41:53.446134	110125	46	2	10
2014-03-30 22:41:53.678651	110126	20.5	1	10
2014-03-30 22:41:56.01068	110127	305	3	2
2014-03-30 22:41:56.232926	110128	1141298.449473769	4	2
2014-03-30 22:42:02.98662	110129	50	2	8
2014-03-30 22:42:03.219679	110130	19.9	1	8
2014-03-30 22:42:08.012762	110131	338	3	2
2014-03-30 22:42:08.239671	110132	1141299.5985084902	4	2
2014-03-30 22:42:14.31266	110133	51	2	1
2014-03-30 22:42:14.603521	110134	19.2	1	1
2014-03-30 22:42:20.016488	110135	338	3	2
2014-03-30 22:42:20.259325	110136	1141300.7475432118	4	2
2014-03-30 22:42:32.011525	110137	338	3	2
2014-03-30 22:42:32.25561	110138	1141301.896577933	4	2
2014-03-30 22:42:32.561628	110139	46	2	10
2014-03-30 22:42:32.781626	110140	20.5	1	10
2014-03-30 22:42:41.985338	110141	50	2	8
2014-03-30 22:42:42.21961	110142	19.9	1	8
2014-03-30 22:42:53.308139	110143	51	2	1
2014-03-30 22:42:53.529748	110144	19.2	1	1
2014-03-30 22:42:56.0109	110145	305	3	2
2014-03-30 22:42:56.241414	110146	1141304.194647376	4	2
2014-03-30 22:43:08.012456	110147	338	3	2
2014-03-30 22:43:08.234632	110148	1141305.3436820975	4	2
2014-03-30 22:43:11.442863	110149	46	2	10
2014-03-30 22:43:11.676335	110150	20.5	1	10
2014-03-30 22:43:20.985335	110151	50	2	8
2014-03-30 22:43:21.205713	110152	19.9	1	8
2014-03-30 22:43:32.012299	110153	305	3	2
2014-03-30 22:43:32.246702	110154	1141306.4927168188	4	2
2014-03-30 22:43:32.549123	110155	51	2	1
2014-03-30 22:43:32.773375	110156	19.2	1	1
2014-03-30 22:43:50.444209	110157	46	2	10
2014-03-30 22:43:50.67628	110158	20.5	1	10
2014-03-30 22:43:59.986975	110159	50	2	8
2014-03-30 22:44:00.209654	110160	19.9	1	8
2014-03-30 22:44:08.011681	110161	338	3	2
2014-03-30 22:44:08.243061	110162	1141309.939820983	4	2
2014-03-30 22:44:11.308632	110163	51	2	1
2014-03-30 22:44:11.528823	110164	19.2	1	1
2014-03-30 22:44:20.01748	110165	338	3	2
2014-03-30 22:44:20.248795	110166	1141311.0888557045	4	2
2014-03-30 22:44:29.443809	110167	46	2	10
2014-03-30 22:44:29.668037	110168	20.5	1	10
2014-03-30 22:44:32.012961	110169	338	3	2
2014-03-30 22:44:32.243752	110170	1141312.2378904258	4	2
2014-03-30 22:44:38.11081	110171	54	2	9
2014-03-30 22:44:38.332929	110172	20.8	1	9
2014-03-30 22:44:38.988185	110173	50	2	8
2014-03-30 22:44:39.223005	110174	19.9	1	8
2014-03-30 22:44:50.309472	110175	51	2	1
2014-03-30 22:44:50.530749	110176	19.2	1	1
2014-03-30 22:45:08.011622	110177	305	3	2
2014-03-30 22:45:08.266543	110178	1141315.6849945902	4	2
2014-03-30 22:45:08.571487	110179	45	2	10
2014-03-30 22:45:08.794488	110180	20.5	1	10
2014-03-30 22:45:17.986318	110181	50	2	8
2014-03-30 22:45:18.222975	110182	19.9	1	8
2014-03-30 22:45:20.015091	110183	305	3	2
2014-03-30 22:45:20.237723	110184	1141316.8340293115	4	2
2014-03-30 22:45:29.309304	110185	51	2	1
2014-03-30 22:45:29.553982	110186	19.2	1	1
2014-03-30 22:45:32.01089	110187	305	3	2
2014-03-30 22:45:32.234908	110188	1141317.983064033	4	2
2014-03-30 22:45:47.444867	110189	45	2	10
2014-03-30 22:45:47.675707	110190	20.5	1	10
2014-03-30 22:45:56.984881	110191	50	2	8
2014-03-30 22:45:57.208142	110192	19.9	1	8
2014-03-30 22:46:08.012028	110193	338	3	2
2014-03-30 22:46:08.248289	110194	1141320.2811334757	4	2
2014-03-30 22:46:08.551672	110195	51	2	1
2014-03-30 22:46:08.773083	110196	19.2	1	1
2014-03-30 22:46:20.014915	110197	305	3	2
2014-03-30 22:46:20.24823	110198	1141321.4301681973	4	2
2014-03-30 22:46:26.444779	110199	45	2	10
2014-03-30 22:46:26.666656	110200	20.4	1	10
2014-03-30 22:46:32.014567	110201	305	3	2
2014-03-30 22:46:32.24611	110202	1141322.5792029186	4	2
2014-03-30 22:46:35.985301	110203	50	2	8
2014-03-30 22:46:36.205833	110204	19.9	1	8
2014-03-30 22:46:44.009894	110205	338	3	2
2014-03-30 22:46:44.241193	110206	1141323.72823764	4	2
2014-03-30 22:46:47.307998	110207	51	2	1
2014-03-30 22:46:47.532793	110208	19.2	1	1
2014-03-30 22:46:56.011544	110209	370	3	2
2014-03-30 22:46:56.242669	110210	1141324.8772723614	4	2
2014-03-30 22:47:05.652078	110211	45	2	10
2014-03-30 22:47:05.875904	110212	20.4	1	10
2014-03-30 22:47:08.009959	110213	370	3	2
2014-03-30 22:47:08.245001	110214	1141326.026307083	4	2
2014-03-30 22:47:14.984467	110215	50	2	8
2014-03-30 22:47:15.206932	110216	19.9	1	8
2014-03-30 22:47:26.306465	110217	51	2	1
2014-03-30 22:47:26.542812	110218	19.2	1	1
2014-03-30 22:47:32.01551	110219	370	3	2
2014-03-30 22:47:32.238542	110220	1141328.3243765258	4	2
2014-03-30 22:47:44.445881	110221	45	2	10
2014-03-30 22:47:44.68096	110222	20.4	1	10
2014-03-30 22:47:53.985945	110223	50	2	8
2014-03-30 22:47:54.207896	110224	19.9	1	8
2014-03-30 22:48:05.307817	110225	51	2	1
2014-03-30 22:48:05.540341	110226	19.2	1	1
2014-03-30 22:48:23.446743	110227	45	2	10
2014-03-30 22:48:23.670254	110228	20.4	1	10
2014-03-30 22:48:32.986318	110229	50	2	8
2014-03-30 22:48:33.218632	110230	19.9	1	8
2014-03-30 22:48:44.305491	110231	51	2	1
2014-03-30 22:48:44.525912	110232	19.2	1	1
2014-03-30 22:49:02.447324	110233	45	2	10
2014-03-30 22:49:02.690921	110234	20.4	1	10
2014-03-30 22:49:11.986552	110235	50	2	8
2014-03-30 22:49:12.207807	110236	19.9	1	8
2014-03-30 22:49:23.306118	110237	51	2	1
2014-03-30 22:49:23.537363	110238	19.2	1	1
2014-03-30 22:49:32.012609	110239	370	3	2
2014-03-30 22:49:32.233956	110240	1141340.9637584612	4	2
2014-03-30 22:49:41.446405	110241	45	2	10
2014-03-30 22:49:41.676974	110242	20.4	1	10
2014-03-30 22:49:44.014163	110243	402	3	2
2014-03-30 22:49:44.236712	110244	1141342.1127931827	4	2
2014-03-30 22:49:50.986267	110245	50	2	8
2014-03-30 22:49:51.217449	110246	19.9	1	8
2014-03-30 22:49:56.0131	110247	370	3	2
2014-03-30 22:49:56.23759	110248	1141343.261827904	4	2
2014-03-30 22:50:02.305327	110249	51	2	1
2014-03-30 22:50:02.535943	110250	19.2	1	1
2014-03-30 22:50:08.014641	110251	370	3	2
2014-03-30 22:50:08.238491	110252	1141344.4108626256	4	2
2014-03-30 22:50:20.444826	110253	45	2	10
2014-03-30 22:50:20.676789	110254	20.4	1	10
2014-03-30 22:50:29.985233	110255	50	2	8
2014-03-30 22:50:30.208836	110256	19.9	1	8
2014-03-30 22:50:32.012588	110257	370	3	2
2014-03-30 22:50:32.247064	110258	1141347.8579667897	4	2
2014-03-30 22:50:41.304225	110259	51	2	1
2014-03-30 22:50:41.526813	110260	19.2	1	1
2014-03-30 22:50:59.446371	110261	45	2	10
2014-03-30 22:50:59.677788	110262	20.4	1	10
2014-03-30 22:51:08.985338	110263	50	2	8
2014-03-30 22:51:09.208857	110264	19.9	1	8
2014-03-30 22:51:20.307125	110265	51	2	1
2014-03-30 22:51:20.540183	110266	19.2	1	1
2014-03-30 22:51:32.012607	110267	370	3	2
2014-03-30 22:51:32.235529	110268	1141353.6031403968	4	2
2014-03-30 22:51:38.445534	110269	45	2	10
2014-03-30 22:51:38.678442	110270	20.4	1	10
2014-03-30 22:51:47.984302	110271	50	2	8
2014-03-30 22:51:48.206341	110272	19.9	1	8
2014-03-30 22:51:59.303513	110273	51	2	1
2014-03-30 22:51:59.536729	110274	19.1	1	1
2014-03-30 22:52:17.44912	110275	45	2	10
2014-03-30 22:52:17.670581	110276	20.4	1	10
2014-03-30 22:52:26.986637	110277	50	2	8
2014-03-30 22:52:27.221374	110278	19.9	1	8
2014-03-30 22:52:32.01345	110279	370	3	2
2014-03-30 22:52:32.237529	110280	1141359.348314004	4	2
2014-03-30 22:52:38.305794	110281	51	2	1
2014-03-30 22:52:38.5532	110282	19.1	1	1
2014-03-30 22:52:56.446876	110283	45	2	10
2014-03-30 22:52:56.67269	110284	20.4	1	10
2014-03-30 22:53:05.986673	110285	50	2	8
2014-03-30 22:53:06.219348	110286	19.9	1	8
2014-03-30 22:53:17.301388	110287	51	2	1
2014-03-30 22:53:17.524426	110288	19.1	1	1
2014-03-30 22:53:20.014637	110289	305	3	2
2014-03-30 22:53:20.247876	110290	1141363.9444528895	4	2
2014-03-30 22:53:32.014755	110291	305	3	2
2014-03-30 22:53:32.238644	110292	1141365.093487611	4	2
2014-03-30 22:53:35.44597	110293	45	2	10
2014-03-30 22:53:35.678872	110294	20.4	1	10
2014-03-30 22:53:44.985394	110295	50	2	8
2014-03-30 22:53:45.20827	110296	19.9	1	8
2014-03-30 22:53:56.010452	110297	338	3	2
2014-03-30 22:53:56.245703	110298	1141367.391557054	4	2
2014-03-30 22:53:56.550302	110299	51	2	1
2014-03-30 22:53:56.774974	110300	19.1	1	1
2014-03-30 22:54:14.447614	110301	45	2	10
2014-03-30 22:54:14.678539	110302	20.4	1	10
2014-03-30 22:54:23.984376	110303	50	2	8
2014-03-30 22:54:24.207881	110304	19.9	1	8
2014-03-30 22:54:32.01045	110305	305	3	2
2014-03-30 22:54:32.244731	110306	1141370.838661218	4	2
2014-03-30 22:54:35.301616	110307	51	2	1
2014-03-30 22:54:35.524198	110308	19.1	1	1
2014-03-30 22:54:44.009567	110309	305	3	2
2014-03-30 22:54:44.241575	110310	1141371.9876959396	4	2
2014-03-30 22:54:53.447233	110311	45	2	10
2014-03-30 22:54:53.6707	110312	20.3	1	10
2014-03-30 22:54:56.015177	110313	338	3	2
2014-03-30 22:54:56.247604	110314	1141373.136730661	4	2
2014-03-30 22:55:01.908483	110315	54	2	9
2014-03-30 22:55:02.135348	110316	20.7	1	9
2014-03-30 22:55:02.987304	110317	50	2	8
2014-03-30 22:55:03.217528	110318	19.9	1	8
2014-03-30 22:55:08.01528	110319	338	3	2
2014-03-30 22:55:08.238717	110320	1141374.2857653822	4	2
2014-03-30 22:55:14.303406	110321	51	2	1
2014-03-30 22:55:14.536758	110322	19.1	1	1
2014-03-30 22:55:32.013537	110323	338	3	2
2014-03-30 22:55:32.234805	110324	1141376.583834825	4	2
2014-03-30 22:55:32.539811	110325	45	2	10
2014-03-30 22:55:32.772303	110326	20.3	1	10
2014-03-30 22:55:40.904658	110327	54	2	9
2014-03-30 22:55:41.128515	110328	20.7	1	9
2014-03-30 22:55:41.984301	110329	50	2	8
2014-03-30 22:55:42.230154	110330	19.9	1	8
2014-03-30 22:55:53.302468	110331	51	2	1
2014-03-30 22:55:53.524685	110332	19.1	1	1
2014-03-30 22:55:56.012949	110333	305	3	2
2014-03-30 22:55:56.247596	110334	1141378.881904268	4	2
2014-03-30 22:56:08.00943	110335	338	3	2
2014-03-30 22:56:08.234842	110336	1141380.0309389895	4	2
2014-03-30 22:56:11.446451	110337	45	2	10
2014-03-30 22:56:11.677054	110338	20.3	1	10
2014-03-30 22:56:20.983949	110339	50	2	8
2014-03-30 22:56:21.207813	110340	19.9	1	8
2014-03-30 22:56:32.009901	110341	338	3	2
2014-03-30 22:56:32.244923	110342	1141382.3290084323	4	2
2014-03-30 22:56:32.547586	110343	51	2	1
2014-03-30 22:56:32.769527	110344	19.1	1	1
2014-03-30 22:56:44.021432	110345	305	3	2
2014-03-30 22:56:44.254384	110346	1141383.4780431536	4	2
2014-03-30 22:56:50.447335	110347	45	2	10
2014-03-30 22:56:50.66925	110348	20.3	1	10
2014-03-30 22:56:56.015397	110349	305	3	2
2014-03-30 22:56:56.250377	110350	1141383.4780431536	4	2
2014-03-30 22:56:59.985561	110351	50	2	8
2014-03-30 22:57:00.206721	110352	19.9	1	8
2014-03-30 22:57:08.01117	110353	338	3	2
2014-03-30 22:57:08.243655	110354	1141384.627077875	4	2
2014-03-30 22:57:11.295613	110355	51	2	1
2014-03-30 22:57:11.516942	110356	19.1	1	1
2014-03-30 22:57:20.014931	110357	338	3	2
2014-03-30 22:57:20.247074	110358	1141385.7761125965	4	2
2014-03-30 22:57:29.449491	110359	45	2	10
2014-03-30 22:57:29.674299	110360	20.3	1	10
2014-03-30 22:57:32.0116	110361	338	3	2
2014-03-30 22:57:32.243746	110362	1141386.9251473178	4	2
2014-03-30 22:57:37.906755	110363	54	2	9
2014-03-30 22:57:38.131484	110364	20.7	1	9
2014-03-30 22:57:38.986184	110365	50	2	8
2014-03-30 22:57:39.218714	110366	19.9	1	8
2014-03-30 22:57:50.356298	110367	51	2	1
2014-03-30 22:57:50.580922	110368	19.1	1	1
2014-03-30 22:58:08.01008	110369	305	3	2
2014-03-30 22:58:08.241273	110370	1141390.3722514822	4	2
2014-03-30 22:58:08.547399	110371	45	2	10
2014-03-30 22:58:08.769464	110372	20.3	1	10
2014-03-30 22:58:17.108578	110373	54	2	9
2014-03-30 22:58:17.341061	110374	20.7	1	9
2014-03-30 22:58:17.987357	110375	50	2	8
2014-03-30 22:58:18.209289	110376	19.9	1	8
2014-03-30 22:58:20.014071	110377	338	3	2
2014-03-30 22:58:20.258472	110378	1141391.5212862035	4	2
2014-03-30 22:58:29.301165	110379	51	2	1
2014-03-30 22:58:29.525388	110380	19.1	1	1
2014-03-30 22:58:32.010814	110381	338	3	2
2014-03-30 22:58:32.429729	110382	1141392.670320925	4	2
2014-03-30 22:58:47.449564	110383	45	2	10
2014-03-30 22:58:47.674334	110384	20.3	1	10
2014-03-30 22:58:56.986053	110385	50	2	8
2014-03-30 22:58:57.210826	110386	19.9	1	8
2014-03-30 22:59:08.009598	110387	305	3	2
2014-03-30 22:59:08.242969	110388	1141396.1174250892	4	2
2014-03-30 22:59:08.549251	110389	51	2	1
2014-03-30 22:59:08.77566	110390	19.1	1	1
2014-03-30 22:59:20.014418	110391	338	3	2
2014-03-30 22:59:20.246965	110392	1141397.2664598105	4	2
2014-03-30 22:59:26.449575	110393	45	2	10
2014-03-30 22:59:26.67511	110394	20.3	1	10
2014-03-30 22:59:32.015603	110395	370	3	2
2014-03-30 22:59:32.250393	110396	1141398.415494532	4	2
2014-03-30 22:59:35.110057	110397	54	2	9
2014-03-30 22:59:35.33496	110398	20.7	1	9
2014-03-30 22:59:35.988624	110399	50	2	8
2014-03-30 22:59:36.222045	110400	19.9	1	8
2014-03-30 22:59:44.010504	110401	370	3	2
2014-03-30 22:59:44.235487	110402	1141399.5645292534	4	2
2014-03-30 22:59:47.299915	110403	51	2	1
2014-03-30 22:59:47.533941	110404	19.1	1	1
2014-03-30 23:00:05.451773	110405	45	2	10
2014-03-30 23:00:05.675066	110406	20.3	1	10
2014-03-30 23:00:15.043887	110407	50	2	8
2014-03-30 23:00:15.277948	110408	19.9	1	8
2014-03-30 23:00:26.298961	110409	51	2	1
2014-03-30 23:00:26.524301	110410	19.1	1	1
2014-03-30 23:00:32.015816	110411	370	3	2
2014-03-30 23:00:32.25001	110412	1141404.160668139	4	2
2014-03-30 23:00:44.458822	110413	45	2	10
2014-03-30 23:00:44.683526	110414	20.3	1	10
2014-03-30 23:00:53.987747	110415	50	2	8
2014-03-30 23:00:54.223702	110416	19.9	1	8
2014-03-30 23:01:05.298239	110417	51	2	1
2014-03-30 23:01:05.52097	110418	19.1	1	1
2014-03-30 23:01:23.448763	110419	45	2	10
2014-03-30 23:01:23.682446	110420	20.3	1	10
2014-03-30 23:01:32.986801	110421	50	2	8
2014-03-30 23:01:33.211633	110422	19.9	1	8
2014-03-30 23:01:44.301907	110423	51	2	1
2014-03-30 23:01:44.536193	110424	19.1	1	1
2014-03-30 23:02:02.450574	110425	45	2	10
2014-03-30 23:02:02.673416	110426	20.3	1	10
2014-03-30 23:02:10.897021	110427	54	2	9
2014-03-30 23:02:11.142158	110428	20.6	1	9
2014-03-30 23:02:11.985461	110429	50	2	8
2014-03-30 23:02:12.207078	110430	19.9	1	8
2014-03-30 23:02:23.301081	110431	51	2	1
2014-03-30 23:02:23.533837	110432	19.1	1	1
2014-03-30 23:02:32.009074	110433	370	3	2
2014-03-30 23:02:32.230627	110434	1141416.8000500747	4	2
2014-03-30 23:02:41.449821	110435	45	2	10
2014-03-30 23:02:41.68359	110436	20.3	1	10
2014-03-30 23:02:49.90498	110437	54	2	9
2014-03-30 23:02:50.126829	110438	20.6	1	9
2014-03-30 23:02:50.984805	110439	50	2	8
2014-03-30 23:02:51.21691	110440	19.9	1	8
2014-03-30 23:03:02.297494	110441	51	2	1
2014-03-30 23:03:02.522865	110442	19.1	1	1
2014-03-30 23:03:20.451627	110443	45	2	10
2014-03-30 23:03:20.688952	110444	20.2	1	10
2014-03-30 23:03:28.905878	110445	54	2	9
2014-03-30 23:03:29.129676	110446	20.6	1	9
2014-03-30 23:03:29.985518	110447	50	2	8
2014-03-30 23:03:30.217526	110448	19.9	1	8
2014-03-30 23:03:32.014926	110449	370	3	2
2014-03-30 23:03:32.237737	110450	1141422.5452236817	4	2
2014-03-30 23:03:41.29893	110451	51	2	1
2014-03-30 23:03:41.533127	110452	19.0	1	1
2014-03-30 23:03:44.011305	110453	305	3	2
2014-03-30 23:03:44.23332	110454	1141423.6942584033	4	2
2014-03-30 23:03:56.013519	110455	305	3	2
2014-03-30 23:03:56.246673	110456	1141424.8432931246	4	2
2014-03-30 23:03:59.450491	110457	45	2	10
2014-03-30 23:03:59.67461	110458	20.2	1	10
2014-03-30 23:04:08.986457	110459	50	2	8
2014-03-30 23:04:09.220836	110460	19.9	1	8
2014-03-30 23:04:20.009535	110461	338	3	2
2014-03-30 23:04:20.240578	110462	1141427.1413625674	4	2
2014-03-30 23:04:20.548777	110463	51	2	1
2014-03-30 23:04:20.783659	110464	19.0	1	1
2014-03-30 23:04:32.009692	110465	305	3	2
2014-03-30 23:04:32.231728	110466	1141428.2903972887	4	2
2014-03-30 23:04:38.451517	110467	45	2	10
2014-03-30 23:04:38.687	110468	20.2	1	10
2014-03-30 23:04:44.016078	110469	338	3	2
2014-03-30 23:04:44.240468	110470	1141429.4394320103	4	2
2014-03-30 23:04:47.985541	110471	50	2	8
2014-03-30 23:04:48.218552	110472	19.9	1	8
2014-03-30 23:04:56.014448	110473	338	3	2
2014-03-30 23:04:56.237742	110474	1141430.5884667316	4	2
2014-03-30 23:04:59.298685	110475	51	2	1
2014-03-30 23:04:59.543501	110476	19.0	1	1
2014-03-30 23:05:08.008997	110477	305	3	2
2014-03-30 23:05:08.232884	110478	1141431.7375014531	4	2
2014-03-30 23:05:17.451344	110479	45	2	10
2014-03-30 23:05:17.684447	110480	20.2	1	10
2014-03-30 23:05:20.010322	110481	305	3	2
2014-03-30 23:05:20.242024	110482	1141432.8865361745	4	2
2014-03-30 23:05:26.985491	110483	50	2	8
2014-03-30 23:05:27.220371	110484	19.9	1	8
2014-03-30 23:05:32.009349	110485	338	3	2
2014-03-30 23:05:32.237043	110486	1141432.8865361745	4	2
2014-03-30 23:05:38.296427	110487	51	2	1
2014-03-30 23:05:38.529399	110488	19.0	1	1
2014-03-30 23:05:44.013129	110489	338	3	2
2014-03-30 23:05:44.238093	110490	1141434.035570896	4	2
2014-03-30 23:05:56.015414	110491	305	3	2
2014-03-30 23:05:56.249091	110492	1141435.1846056173	4	2
2014-03-30 23:05:56.557359	110493	45	2	10
2014-03-30 23:05:56.781256	110494	20.2	1	10
2014-03-30 23:06:05.986866	110495	50	2	8
2014-03-30 23:06:06.220671	110496	19.9	1	8
2014-03-30 23:06:08.014515	110497	305	3	2
2014-03-30 23:06:08.238575	110498	1141436.3336403386	4	2
2014-03-30 23:06:17.29522	110499	51	2	1
2014-03-30 23:06:17.530274	110500	19.0	1	1
2014-03-30 23:06:32.01171	110501	305	3	2
2014-03-30 23:06:32.23851	110502	1141438.6317097815	4	2
2014-03-30 23:06:35.452373	110503	45	2	10
2014-03-30 23:06:35.684082	110504	20.2	1	10
2014-03-30 23:06:44.984755	110505	50	2	8
2014-03-30 23:06:45.211302	110506	19.9	1	8
2014-03-30 23:06:56.015642	110507	305	3	2
2014-03-30 23:06:56.25365	110508	1141440.9297792243	4	2
2014-03-30 23:06:56.560487	110509	51	2	1
2014-03-30 23:06:56.785031	110510	19.0	1	1
2014-03-30 23:07:08.010526	110511	338	3	2
2014-03-30 23:07:08.244505	110512	1141442.0788139459	4	2
2014-03-30 23:07:14.452215	110513	45	2	10
2014-03-30 23:07:14.675523	110514	20.2	1	10
2014-03-30 23:07:20.014531	110515	305	3	2
2014-03-30 23:07:20.251758	110516	1141443.2278486672	4	2
2014-03-30 23:07:22.907126	110517	54	2	9
2014-03-30 23:07:23.130128	110518	20.6	1	9
2014-03-30 23:07:23.984993	110519	50	2	8
2014-03-30 23:07:24.219377	110520	19.9	1	8
2014-03-30 23:07:32.009171	110521	402	3	2
2014-03-30 23:07:32.236263	110522	1141444.3768833887	4	2
2014-03-30 23:07:35.29638	110523	51	2	1
2014-03-30 23:07:35.538101	110524	19.0	1	1
2014-03-30 23:07:44.009547	110525	402	3	2
2014-03-30 23:07:44.233766	110526	1141445.52591811	4	2
2014-03-30 23:07:53.451291	110527	45	2	10
2014-03-30 23:07:53.684008	110528	20.2	1	10
2014-03-30 23:08:02.985057	110529	50	2	8
2014-03-30 23:08:03.207974	110530	19.9	1	8
2014-03-30 23:08:14.299218	110531	51	2	1
2014-03-30 23:08:14.533453	110532	19.0	1	1
2014-03-30 23:08:32.009403	110533	370	3	2
2014-03-30 23:08:32.23317	110534	1141451.271091717	4	2
2014-03-30 23:08:32.539317	110535	45	2	10
2014-03-30 23:08:32.772259	110536	20.2	1	10
2014-03-30 23:08:41.986366	110537	50	2	8
2014-03-30 23:08:42.2093	110538	19.9	1	8
2014-03-30 23:08:44.010886	110539	370	3	2
2014-03-30 23:08:44.243415	110540	1141452.4201264386	4	2
2014-03-30 23:08:53.293812	110541	51	2	1
2014-03-30 23:08:53.516545	110542	19.0	1	1
2014-03-30 23:08:56.015405	110543	402	3	2
2014-03-30 23:08:56.248998	110544	1141453.56916116	4	2
2014-03-30 23:09:08.00978	110545	370	3	2
2014-03-30 23:09:08.233537	110546	1141454.7181958815	4	2
2014-03-30 23:09:11.451657	110547	45	2	10
2014-03-30 23:09:11.686189	110548	20.2	1	10
2014-03-30 23:09:20.991074	110549	50	2	8
2014-03-30 23:09:21.217202	110550	19.9	1	8
2014-03-30 23:09:32.009217	110551	434	3	2
2014-03-30 23:09:32.244261	110552	1141457.0162653243	4	2
2014-03-30 23:09:32.548938	110553	50	2	1
2014-03-30 23:09:32.774203	110554	19.0	1	1
2014-03-30 23:09:44.009636	110555	434	3	2
2014-03-30 23:09:44.244116	110556	1141459.314334767	4	2
2014-03-30 23:09:50.452237	110557	45	2	10
2014-03-30 23:09:50.710098	110558	20.2	1	10
2014-03-30 23:09:59.984564	110559	50	2	8
2014-03-30 23:10:00.217148	110560	19.9	1	8
2014-03-30 23:10:11.294985	110561	50	2	1
2014-03-30 23:10:11.517428	110562	19.0	1	1
2014-03-30 23:10:29.453054	110563	45	2	10
2014-03-30 23:10:29.686152	110564	20.1	1	10
2014-03-30 23:10:32.011899	110565	434	3	2
2014-03-30 23:10:32.235467	110566	1141465.0595083742	4	2
2014-03-30 23:10:38.985501	110567	50	2	8
2014-03-30 23:10:39.217857	110568	19.9	1	8
2014-03-30 23:10:50.292839	110569	50	2	1
2014-03-30 23:10:50.516839	110570	19.0	1	1
2014-03-30 23:11:08.453255	110571	45	2	10
2014-03-30 23:11:08.698261	110572	20.1	1	10
2014-03-30 23:11:17.985968	110573	50	2	8
2014-03-30 23:11:18.209141	110574	19.9	1	8
2014-03-30 23:11:29.29203	110575	50	2	1
2014-03-30 23:11:29.525793	110576	19.0	1	1
2014-03-30 23:11:32.011736	110577	434	3	2
2014-03-30 23:11:32.235511	110578	1141471.9537167025	4	2
2014-03-30 23:11:47.452861	110579	45	2	10
2014-03-30 23:11:47.687537	110580	20.1	1	10
2014-03-30 23:11:56.98613	110581	50	2	8
2014-03-30 23:11:57.213391	110582	19.9	1	8
2014-03-30 23:12:08.297082	110583	50	2	1
2014-03-30 23:12:08.528804	110584	19.0	1	1
2014-03-30 23:12:26.453268	110585	45	2	10
2014-03-30 23:12:26.676803	110586	20.1	1	10
2014-03-30 23:12:32.015023	110587	434	3	2
2014-03-30 23:12:32.251939	110588	1141478.847925031	4	2
2014-03-30 23:12:35.986258	110589	50	2	8
2014-03-30 23:12:36.211817	110590	19.9	1	8
2014-03-30 23:12:47.295522	110591	50	2	1
2014-03-30 23:12:47.529163	110592	19.0	1	1
2014-03-30 23:13:05.453265	110593	45	2	10
2014-03-30 23:13:05.678884	110594	20.2	1	10
2014-03-30 23:13:14.985652	110595	50	2	8
2014-03-30 23:13:15.225726	110596	19.9	1	8
2014-03-30 23:13:26.305653	110597	50	2	1
2014-03-30 23:13:26.530333	110598	19.0	1	1
2014-03-30 23:13:32.011398	110599	434	3	2
2014-03-30 23:13:32.246369	110600	1141486.891168081	4	2
2014-03-30 23:13:44.454571	110601	45	2	10
2014-03-30 23:13:44.677372	110602	20.1	1	10
2014-03-30 23:13:53.986346	110603	50	2	8
2014-03-30 23:13:54.219559	110604	19.9	1	8
2014-03-30 23:14:05.292201	110605	50	2	1
2014-03-30 23:14:05.518005	110606	19.0	1	1
2014-03-30 23:14:20.009464	110607	370	3	2
2014-03-30 23:14:20.242211	110608	1141492.636341688	4	2
2014-03-30 23:14:23.454118	110609	45	2	10
2014-03-30 23:14:23.678734	110610	20.1	1	10
2014-03-30 23:14:32.986794	110611	50	2	8
2014-03-30 23:14:33.219934	110612	19.9	1	8
2014-03-30 23:14:44.294018	110613	50	2	1
2014-03-30 23:14:44.517082	110614	19.0	1	1
2014-03-30 23:15:02.455405	110615	45	2	10
2014-03-30 23:15:02.691509	110616	20.1	1	10
2014-03-30 23:15:11.989403	110617	50	2	8
2014-03-30 23:15:12.213754	110618	19.9	1	8
2014-03-30 23:15:23.293962	110619	50	2	1
2014-03-30 23:15:23.537093	110620	19.0	1	1
2014-03-30 23:15:32.008825	110621	402	3	2
2014-03-30 23:15:32.234228	110622	1141499.5305500166	4	2
2014-03-30 23:15:41.453504	110623	45	2	10
2014-03-30 23:15:41.687363	110624	20.1	1	10
2014-03-30 23:15:44.008797	110625	370	3	2
2014-03-30 23:15:44.230066	110626	1141500.6795847379	4	2
2014-03-30 23:15:51.04165	110627	50	2	8
2014-03-30 23:15:51.274931	110628	19.9	1	8
2014-03-30 23:15:56.013429	110629	402	3	2
2014-03-30 23:15:56.236445	110630	1141501.8286194594	4	2
2014-03-30 23:16:02.288831	110631	50	2	1
2014-03-30 23:16:02.522968	110632	19.0	1	1
2014-03-30 23:16:08.011856	110633	402	3	2
2014-03-30 23:16:08.235854	110634	1141504.1266889023	4	2
2014-03-30 23:16:20.008952	110635	370	3	2
2014-03-30 23:16:20.241725	110636	1141505.2757236236	4	2
2014-03-30 23:16:20.553659	110637	45	2	10
2014-03-30 23:16:20.776814	110638	20.1	1	10
2014-03-30 23:16:29.987335	110639	50	2	8
2014-03-30 23:16:30.22112	110640	19.9	1	8
2014-03-30 23:16:32.010778	110641	370	3	2
2014-03-30 23:16:32.233341	110642	1141506.4247583451	4	2
2014-03-30 23:16:41.290789	110643	50	2	1
2014-03-30 23:16:41.525955	110644	19.0	1	1
2014-03-30 23:16:59.454635	110645	45	2	10
2014-03-30 23:16:59.677743	110646	20.1	1	10
2014-03-30 23:17:08.985847	110647	50	2	8
2014-03-30 23:17:09.220544	110648	19.9	1	8
2014-03-30 23:17:20.291685	110649	50	2	1
2014-03-30 23:17:20.521292	110650	19.0	1	1
2014-03-30 23:17:32.008325	110651	370	3	2
2014-03-30 23:17:32.244203	110652	1141512.1699319521	4	2
2014-03-30 23:17:38.455608	110653	45	2	10
2014-03-30 23:17:38.679953	110654	20.1	1	10
2014-03-30 23:17:47.984564	110655	50	2	8
2014-03-30 23:17:48.21897	110656	19.9	1	8
2014-03-30 23:17:59.289518	110657	50	2	1
2014-03-30 23:17:59.51279	110658	19.0	1	1
2014-03-30 23:18:17.455429	110659	45	2	10
2014-03-30 23:18:17.689288	110660	20.1	1	10
2014-03-30 23:18:26.986446	110661	50	2	8
2014-03-30 23:18:27.210049	110662	19.9	1	8
2014-03-30 23:18:32.00922	110663	370	3	2
2014-03-30 23:18:32.26793	110664	1141517.9151055592	4	2
2014-03-30 23:18:38.291003	110665	50	2	1
2014-03-30 23:18:38.513311	110666	19.0	1	1
2014-03-30 23:18:56.456768	110667	45	2	10
2014-03-30 23:18:56.707398	110668	20.1	1	10
2014-03-30 23:19:05.10816	110669	54	2	9
2014-03-30 23:19:05.331916	110670	20.5	1	9
2014-03-30 23:19:05.98545	110671	50	2	8
2014-03-30 23:19:06.219163	110672	19.9	1	8
2014-03-30 23:19:17.290672	110673	51	2	1
2014-03-30 23:19:17.515356	110674	18.9	1	1
2014-03-30 23:19:32.00754	110675	370	3	2
2014-03-30 23:19:32.539108	110676	1141524.8093138877	4	2
2014-03-30 23:19:35.454294	110677	45	2	10
2014-03-30 23:19:35.680369	110678	20.1	1	10
2014-03-30 23:19:44.985193	110679	50	2	8
2014-03-30 23:19:45.219371	110680	19.9	1	8
2014-03-30 23:19:56.286763	110681	51	2	1
2014-03-30 23:19:56.516119	110682	18.9	1	1
2014-03-30 23:20:14.455668	110683	45	2	10
2014-03-30 23:20:14.692532	110684	20.0	1	10
2014-03-30 23:20:23.986018	110685	50	2	8
2014-03-30 23:20:24.209943	110686	19.9	1	8
2014-03-30 23:20:32.010907	110687	434	3	2
2014-03-30 23:20:32.245161	110688	1141530.5544874948	4	2
2014-03-30 23:20:35.289858	110689	51	2	1
2014-03-30 23:20:35.513198	110690	18.9	1	1
2014-03-30 23:20:44.009341	110691	434	3	2
2014-03-30 23:20:44.242864	110692	1141532.8525569376	4	2
2014-03-30 23:20:53.454827	110693	45	2	10
2014-03-30 23:20:53.67947	110694	20.0	1	10
2014-03-30 23:21:02.98548	110695	50	2	8
2014-03-30 23:21:03.404756	110696	19.9	1	8
2014-03-30 23:21:14.29184	110697	51	2	1
2014-03-30 23:21:14.55075	110698	18.9	1	1
2014-03-30 23:21:32.009037	110699	434	3	2
2014-03-30 23:21:32.276565	110700	1141538.5977305446	4	2
2014-03-30 23:21:32.602607	110701	45	2	10
2014-03-30 23:21:32.864844	110702	20.0	1	10
2014-03-30 23:21:41.985834	110703	50	2	8
2014-03-30 23:21:42.691777	110704	19.9	1	8
2014-03-30 23:21:53.287441	110705	51	2	1
2014-03-30 23:21:53.528862	110706	18.9	1	1
2014-03-30 23:22:11.455614	110707	45	2	10
2014-03-30 23:22:11.723958	110708	20.0	1	10
2014-03-30 23:22:20.987593	110709	50	2	8
2014-03-30 23:22:21.211038	110710	19.9	1	8
2014-03-30 23:22:32.011084	110711	418	3	2
2014-03-30 23:22:32.245415	110712	1141545.4919388732	4	2
2014-03-30 23:22:32.552103	110713	51	2	1
2014-03-30 23:22:32.775928	110714	18.9	1	1
2014-03-30 23:22:50.456629	110715	45	2	10
2014-03-30 23:22:50.703109	110716	20.0	1	10
2014-03-30 23:22:59.783031	110717	54	2	9
2014-03-30 23:23:00.006654	110718	20.5	1	9
2014-03-30 23:23:00.312768	110719	50	2	8
2014-03-30 23:23:00.54422	110720	19.9	1	8
2014-03-30 23:23:11.285862	110721	51	2	1
2014-03-30 23:23:11.507136	110722	18.9	1	1
2014-03-30 23:23:29.457185	110723	45	2	10
2014-03-30 23:23:29.689646	110724	20.0	1	10
2014-03-30 23:23:32.00829	110725	434	3	2
2014-03-30 23:23:32.231708	110726	1141552.3861472018	4	2
2014-03-30 23:23:37.902911	110727	54	2	9
2014-03-30 23:23:38.136105	110728	20.5	1	9
2014-03-30 23:23:38.984703	110729	50	2	8
2014-03-30 23:23:39.206616	110730	19.9	1	8
2014-03-30 23:23:50.287428	110731	51	2	1
2014-03-30 23:23:50.521654	110732	18.9	1	1
2014-03-30 23:23:56.013901	110733	370	3	2
2014-03-30 23:23:56.237335	110734	1141554.6842166444	4	2
2014-03-30 23:24:08.008564	110735	354	3	2
2014-03-30 23:24:08.243357	110736	1141556.9822860872	4	2
2014-03-30 23:24:08.552929	110737	45	2	10
2014-03-30 23:24:08.777088	110738	20.0	1	10
2014-03-30 23:24:16.90438	110739	54	2	9
2014-03-30 23:24:17.13648	110740	20.5	1	9
2014-03-30 23:24:17.985019	110741	50	2	8
2014-03-30 23:24:18.206069	110742	19.9	1	8
2014-03-30 23:24:29.286117	110743	51	2	1
2014-03-30 23:24:29.522947	110744	18.9	1	1
2014-03-30 23:24:32.006505	110745	370	3	2
2014-03-30 23:24:32.22892	110746	1141559.28035553	4	2
2014-03-30 23:24:47.459577	110747	45	2	10
2014-03-30 23:24:47.691081	110748	20.0	1	10
2014-03-30 23:24:56.106456	110749	54	2	9
2014-03-30 23:24:56.329128	110750	20.5	1	9
2014-03-30 23:24:56.987298	110751	50	2	8
2014-03-30 23:24:57.219244	110752	19.9	1	8
2014-03-30 23:25:08.009317	110753	305	3	2
2014-03-30 23:25:08.233888	110754	1141561.5828959253	4	2
2014-03-30 23:25:08.541027	110755	51	2	1
2014-03-30 23:25:08.771648	110756	18.9	1	1
2014-03-30 23:25:20.009381	110757	305	3	2
2014-03-30 23:25:20.231266	110758	1141562.7319306466	4	2
2014-03-30 23:25:26.456272	110759	45	2	10
2014-03-30 23:25:26.690857	110760	20.0	1	10
2014-03-30 23:25:32.011903	110761	305	3	2
2014-03-30 23:25:32.23506	110762	1141562.7319306466	4	2
2014-03-30 23:25:34.90411	110763	54	2	9
2014-03-30 23:25:35.14672	110764	20.5	1	9
2014-03-30 23:25:35.986289	110765	50	2	8
2014-03-30 23:25:36.207453	110766	19.9	1	8
2014-03-30 23:25:47.284857	110767	51	2	1
2014-03-30 23:25:47.519149	110768	18.9	1	1
2014-03-30 23:26:05.459545	110769	45	2	10
2014-03-30 23:26:05.683511	110770	20.0	1	10
2014-03-30 23:26:13.905092	110771	54	2	9
2014-03-30 23:26:14.136866	110772	20.5	1	9
2014-03-30 23:26:14.984472	110773	50	2	8
2014-03-30 23:26:15.207035	110774	19.9	1	8
2014-03-30 23:26:26.286455	110775	51	2	1
2014-03-30 23:26:26.519427	110776	18.9	1	1
2014-03-30 23:26:32.014972	110777	338	3	2
2014-03-30 23:26:32.238955	110778	1141568.4771042536	4	2
2014-03-30 23:26:44.008061	110779	305	3	2
2014-03-30 23:26:44.250196	110780	1141569.6261389751	4	2
2014-03-30 23:26:44.55437	110781	45	2	10
2014-03-30 23:26:44.777463	110782	20.0	1	10
2014-03-30 23:26:53.107653	110783	54	2	9
2014-03-30 23:26:53.341541	110784	20.5	1	9
2014-03-30 23:26:53.988663	110785	50	2	8
2014-03-30 23:26:54.210652	110786	19.9	1	8
2014-03-30 23:26:56.0078	110787	305	3	2
2014-03-30 23:26:56.240964	110788	1141570.7751736965	4	2
2014-03-30 23:27:05.286607	110789	51	2	1
2014-03-30 23:27:05.510782	110790	18.9	1	1
2014-03-30 23:27:23.458209	110791	45	2	10
2014-03-30 23:27:23.693031	110792	20.0	1	10
2014-03-30 23:27:32.990041	110793	50	2	8
2014-03-30 23:27:33.213947	110794	19.9	1	8
2014-03-30 23:27:44.285138	110795	51	2	1
2014-03-30 23:27:44.520458	110796	18.9	1	1
2014-03-30 23:28:02.457842	110797	45	2	10
2014-03-30 23:28:02.682123	110798	20.0	1	10
2014-03-30 23:28:11.98602	110799	50	2	8
2014-03-30 23:28:12.222395	110800	19.9	1	8
2014-03-30 23:28:23.284138	110801	51	2	1
2014-03-30 23:28:23.507899	110802	18.9	1	1
2014-03-30 23:28:32.00722	110803	305	3	2
2014-03-30 23:28:32.242186	110804	1141578.8184167463	4	2
2014-03-30 23:28:41.460816	110805	45	2	10
2014-03-30 23:28:41.683662	110806	20.0	1	10
2014-03-30 23:28:49.90605	110807	54	2	9
2014-03-30 23:28:50.14271	110808	20.5	1	9
2014-03-30 23:28:50.98502	110809	50	2	8
2014-03-30 23:28:51.209817	110810	19.9	1	8
2014-03-30 23:29:02.284428	110811	51	2	1
2014-03-30 23:29:02.526877	110812	18.9	1	1
2014-03-30 23:29:20.458064	110813	45	2	10
2014-03-30 23:29:20.679293	110814	19.9	1	10
2014-03-30 23:29:28.907575	110815	54	2	9
2014-03-30 23:29:29.139187	110816	20.5	1	9
2014-03-30 23:29:29.985886	110817	50	2	8
2014-03-30 23:29:30.207552	110818	19.9	1	8
2014-03-30 23:29:32.009237	110819	305	3	2
2014-03-30 23:29:32.241039	110820	1141583.414555632	4	2
2014-03-30 23:29:41.281997	110821	51	2	1
2014-03-30 23:29:41.506064	110822	18.9	1	1
2014-03-30 23:29:56.00949	110823	338	3	2
2014-03-30 23:29:56.241304	110824	1141585.712625075	4	2
2014-03-30 23:29:59.462007	110825	45	2	10
2014-03-30 23:29:59.686802	110826	19.9	1	10
2014-03-30 23:30:08.985607	110827	50	2	8
2014-03-30 23:30:09.219712	110828	19.8	1	8
2014-03-30 23:30:20.007809	110829	305	3	2
2014-03-30 23:30:20.230528	110830	1141588.0106945178	4	2
2014-03-30 23:30:20.534666	110831	51	2	1
2014-03-30 23:30:20.774882	110832	18.9	1	1
2014-03-30 23:30:32.007379	110833	305	3	2
2014-03-30 23:30:32.229544	110834	1141589.159729239	4	2
2014-03-30 23:30:38.459673	110835	45	2	10
2014-03-30 23:30:38.695272	110836	19.9	1	10
2014-03-30 23:30:47.985882	110837	50	2	8
2014-03-30 23:30:48.208575	110838	19.8	1	8
2014-03-30 23:30:56.008136	110839	354	3	2
2014-03-30 23:30:56.245142	110840	1141591.457798682	4	2
2014-03-30 23:30:59.282009	110841	51	2	1
2014-03-30 23:30:59.505156	110842	18.8	1	1
2014-03-30 23:31:08.007806	110843	354	3	2
2014-03-30 23:31:08.241071	110844	1141592.6068334035	4	2
2014-03-30 23:31:17.458621	110845	45	2	10
2014-03-30 23:31:17.683738	110846	19.9	1	10
2014-03-30 23:31:26.985492	110847	50	2	8
2014-03-30 23:31:27.21938	110848	19.8	1	8
2014-03-30 23:31:32.007582	110849	354	3	2
2014-03-30 23:31:32.234389	110850	1141594.9049028463	4	2
2014-03-30 23:31:38.280764	110851	51	2	1
2014-03-30 23:31:38.517223	110852	18.8	1	1
2014-03-30 23:31:56.458973	110853	45	2	10
2014-03-30 23:31:56.685334	110854	19.9	1	10
2014-03-30 23:32:04.907199	110855	54	2	9
2014-03-30 23:32:05.141192	110856	20.5	1	9
2014-03-30 23:32:05.986038	110857	50	2	8
2014-03-30 23:32:06.206378	110858	19.8	1	8
2014-03-30 23:32:17.280467	110859	51	2	1
2014-03-30 23:32:17.526375	110860	18.8	1	1
2014-03-30 23:32:32.008693	110861	354	3	2
2014-03-30 23:32:32.232408	110862	1141600.6500764533	4	2
2014-03-30 23:32:35.459482	110863	45	2	10
2014-03-30 23:32:35.690516	110864	19.9	1	10
2014-03-30 23:32:44.10806	110865	54	2	9
2014-03-30 23:32:44.333471	110866	20.5	1	9
2014-03-30 23:32:44.9895	110867	50	2	8
2014-03-30 23:32:45.222342	110868	19.8	1	8
2014-03-30 23:32:56.283173	110869	51	2	1
2014-03-30 23:32:56.506857	110870	18.8	1	1
2014-03-30 23:33:14.458703	110871	45	2	10
2014-03-30 23:33:14.691655	110872	19.9	1	10
2014-03-30 23:33:22.888289	110873	54	2	9
2014-03-30 23:33:23.11609	110874	20.5	1	9
2014-03-30 23:33:23.985455	110875	50	2	8
2014-03-30 23:33:24.219428	110876	19.8	1	8
2014-03-30 23:33:32.008666	110877	370	3	2
2014-03-30 23:33:32.233488	110878	1141606.3952500604	4	2
2014-03-30 23:33:35.28106	110879	51	2	1
2014-03-30 23:33:35.511142	110880	18.8	1	1
2014-03-30 23:33:53.460436	110881	45	2	10
2014-03-30 23:33:53.68346	110882	19.9	1	10
2014-03-30 23:34:02.986521	110883	50	2	8
2014-03-30 23:34:03.221392	110884	19.8	1	8
2014-03-30 23:34:14.284043	110885	51	2	1
2014-03-30 23:34:14.509254	110886	18.8	1	1
2014-03-30 23:34:32.008121	110887	370	3	2
2014-03-30 23:34:32.239475	110888	1141613.289458389	4	2
2014-03-30 23:34:32.545287	110889	45	2	10
2014-03-30 23:34:32.766669	110890	19.9	1	10
2014-03-30 23:34:41.986033	110891	50	2	8
2014-03-30 23:34:42.220018	110892	19.8	1	8
2014-03-30 23:34:53.280766	110893	51	2	1
2014-03-30 23:34:53.505544	110894	18.8	1	1
2014-03-30 23:35:11.462583	110895	45	2	10
2014-03-30 23:35:11.693442	110896	19.9	1	10
2014-03-30 23:35:19.904266	110897	54	2	9
2014-03-30 23:35:20.127053	110898	20.5	1	9
2014-03-30 23:35:20.985544	110899	50	2	8
2014-03-30 23:35:21.218953	110900	19.8	1	8
2014-03-30 23:35:32.009735	110901	354	3	2
2014-03-30 23:35:32.23323	110902	1141619.034631996	4	2
2014-03-30 23:35:32.540996	110903	51	2	1
2014-03-30 23:35:32.772247	110904	18.8	1	1
2014-03-30 23:35:50.46016	110905	45	2	10
2014-03-30 23:35:50.68532	110906	19.9	1	10
2014-03-30 23:35:58.904088	110907	54	2	9
2014-03-30 23:35:59.149117	110908	20.5	1	9
2014-03-30 23:35:59.984944	110909	50	2	8
2014-03-30 23:36:00.205473	110910	19.8	1	8
2014-03-30 23:36:11.28109	110911	51	2	1
2014-03-30 23:36:11.51435	110912	18.8	1	1
2014-03-30 23:36:29.462436	110913	45	2	10
2014-03-30 23:36:29.685993	110914	19.9	1	10
2014-03-30 23:36:32.007709	110915	354	3	2
2014-03-30 23:36:32.239724	110916	1141624.779805603	4	2
2014-03-30 23:36:37.904202	110917	54	2	9
2014-03-30 23:36:38.126225	110918	20.5	1	9
2014-03-30 23:36:38.987331	110919	50	2	8
2014-03-30 23:36:39.220537	110920	19.8	1	8
2014-03-30 23:36:50.280002	110921	51	2	1
2014-03-30 23:36:50.503107	110922	18.8	1	1
2014-03-30 23:37:08.008534	110923	305	3	2
2014-03-30 23:37:08.241012	110924	1141628.2269097674	4	2
2014-03-30 23:37:08.545126	110925	45	2	10
2014-03-30 23:37:08.769851	110926	19.9	1	10
2014-03-30 23:37:17.109683	110927	54	2	9
2014-03-30 23:37:17.343346	110928	20.5	1	9
2014-03-30 23:37:17.987377	110929	50	2	8
2014-03-30 23:37:18.209301	110930	19.8	1	8
2014-03-30 23:37:20.007315	110931	305	3	2
2014-03-30 23:37:20.238117	110932	1141629.3759444887	4	2
2014-03-30 23:37:29.279146	110933	51	2	1
2014-03-30 23:37:29.502133	110934	18.8	1	1
2014-03-30 23:37:32.007495	110935	305	3	2
2014-03-30 23:37:32.240989	110936	1141630.52497921	4	2
2014-03-30 23:37:47.461521	110937	45	2	10
2014-03-30 23:37:47.685666	110938	19.9	1	10
2014-03-30 23:37:56.987818	110939	50	2	8
2014-03-30 23:37:57.219882	110940	19.8	1	8
2014-03-30 23:38:08.007122	110941	305	3	2
2014-03-30 23:38:08.229637	110942	1141633.9720833744	4	2
2014-03-30 23:38:08.535354	110943	51	2	1
2014-03-30 23:38:08.768498	110944	18.8	1	1
2014-03-30 23:38:20.008469	110945	305	3	2
2014-03-30 23:38:20.231391	110946	1141635.1211180957	4	2
2014-03-30 23:38:26.461958	110947	45	2	10
2014-03-30 23:38:26.693766	110948	19.9	1	10
2014-03-30 23:38:32.010756	110949	305	3	2
2014-03-30 23:38:32.232402	110950	1141636.2701528172	4	2
2014-03-30 23:38:34.902694	110951	54	2	9
2014-03-30 23:38:35.136593	110952	20.4	1	9
2014-03-30 23:38:35.989388	110953	50	2	8
2014-03-30 23:38:36.212552	110954	19.8	1	8
2014-03-30 23:38:47.278198	110955	51	2	1
2014-03-30 23:38:47.52099	110956	18.8	1	1
2014-03-30 23:39:05.461446	110957	45	2	10
2014-03-30 23:39:05.682933	110958	19.8	1	10
2014-03-30 23:39:08.005431	110959	338	3	2
2014-03-30 23:39:08.241189	110960	1141638.56822226	4	2
2014-03-30 23:39:14.109534	110961	54	2	9
2014-03-30 23:39:14.333369	110962	20.4	1	9
2014-03-30 23:39:14.985731	110963	50	2	8
2014-03-30 23:39:15.217752	110964	19.8	1	8
2014-03-30 23:39:20.00919	110965	338	3	2
2014-03-30 23:39:20.233274	110966	1141639.7172569814	4	2
2014-03-30 23:39:26.280149	110967	51	2	1
2014-03-30 23:39:26.514032	110968	18.8	1	1
2014-03-30 23:39:32.010502	110969	338	3	2
2014-03-30 23:39:32.237226	110970	1141640.8662917027	4	2
2014-03-30 23:39:44.461726	110971	45	2	10
2014-03-30 23:39:44.694046	110972	19.8	1	10
2014-03-30 23:39:52.904335	110973	54	2	9
2014-03-30 23:39:53.126617	110974	20.4	1	9
2014-03-30 23:39:53.985632	110975	50	2	8
2014-03-30 23:39:54.217166	110976	19.8	1	8
2014-03-30 23:39:56.008269	110977	305	3	2
2014-03-30 23:39:56.231372	110978	1141643.1643611456	4	2
2014-03-30 23:40:05.279725	110979	51	2	1
2014-03-30 23:40:05.513189	110980	18.8	1	1
2014-03-30 23:40:08.008011	110981	305	3	2
2014-03-30 23:40:08.229373	110982	1141644.3133958671	4	2
2014-03-30 23:40:23.463682	110983	45	2	10
2014-03-30 23:40:23.697458	110984	19.8	1	10
2014-03-30 23:40:32.98534	110985	50	2	8
2014-03-30 23:40:33.209332	110986	19.8	1	8
2014-03-30 23:40:44.007306	110987	305	3	2
2014-03-30 23:40:44.239006	110988	1141647.7605000313	4	2
2014-03-30 23:40:44.563039	110989	51	2	1
2014-03-30 23:40:44.785568	110990	18.8	1	1
2014-03-30 23:40:56.00821	110991	305	3	2
2014-03-30 23:40:56.244363	110992	1141648.9095347528	4	2
2014-03-30 23:41:02.464616	110993	45	2	10
2014-03-30 23:41:02.688552	110994	19.8	1	10
2014-03-30 23:41:11.985281	110995	50	2	8
2014-03-30 23:41:12.216806	110996	19.8	1	8
2014-03-30 23:41:23.276504	110997	51	2	1
2014-03-30 23:41:23.499897	110998	18.8	1	1
2014-03-30 23:41:32.006882	110999	338	3	2
2014-03-30 23:41:32.239988	111000	1141651.2076041955	4	2
2014-03-30 23:41:41.466573	111001	45	2	10
2014-03-30 23:41:41.689938	111002	19.8	1	10
2014-03-30 23:41:44.00583	111003	338	3	2
2014-03-30 23:41:44.246781	111004	1141652.356638917	4	2
2014-03-30 23:41:49.903613	111005	54	2	9
2014-03-30 23:41:50.125063	111006	20.4	1	9
2014-03-30 23:41:50.985722	111007	50	2	8
2014-03-30 23:41:51.217577	111008	19.8	1	8
2014-03-30 23:42:02.277374	111009	51	2	1
2014-03-30 23:42:02.499695	111010	18.8	1	1
2014-03-30 23:42:08.011864	111011	305	3	2
2014-03-30 23:42:08.244423	111012	1141654.6547083599	4	2
2014-03-30 23:42:20.006663	111013	338	3	2
2014-03-30 23:42:20.230973	111014	1141655.8037430812	4	2
2014-03-30 23:42:20.53902	111015	45	2	10
2014-03-30 23:42:20.775771	111016	19.8	1	10
2014-03-30 23:42:29.108002	111017	54	2	9
2014-03-30 23:42:29.32855	111018	20.4	1	9
2014-03-30 23:42:29.985743	111019	50	2	8
2014-03-30 23:42:30.219445	111020	19.8	1	8
2014-03-30 23:42:32.005554	111021	305	3	2
2014-03-30 23:42:32.226324	111022	1141656.9527778027	4	2
2014-03-30 23:42:41.276053	111023	51	2	1
2014-03-30 23:42:41.511235	111024	18.8	1	1
2014-03-30 23:42:44.006078	111025	305	3	2
2014-03-30 23:42:44.227479	111026	1141658.101812524	4	2
2014-03-30 23:42:59.463372	111027	45	2	10
2014-03-30 23:42:59.696201	111028	19.8	1	10
2014-03-30 23:43:08.985693	111029	50	2	8
2014-03-30 23:43:09.207223	111030	19.8	1	8
2014-03-30 23:43:20.007972	111031	354	3	2
2014-03-30 23:43:20.242023	111032	1141661.5489166882	4	2
2014-03-30 23:43:20.545634	111033	51	2	1
2014-03-30 23:43:20.768106	111034	18.8	1	1
2014-03-30 23:43:32.005751	111035	354	3	2
2014-03-30 23:43:32.237737	111036	1141662.6979514097	4	2
2014-03-30 23:43:38.462344	111037	45	2	10
2014-03-30 23:43:38.685079	111038	19.8	1	10
2014-03-30 23:43:46.902718	111039	54	2	9
2014-03-30 23:43:47.137556	111040	20.4	1	9
2014-03-30 23:43:47.987387	111041	50	2	8
2014-03-30 23:43:48.21041	111042	19.8	1	8
2014-03-30 23:43:59.275195	111043	51	2	1
2014-03-30 23:43:59.508872	111044	18.8	1	1
2014-03-30 23:44:17.464343	111045	45	2	10
2014-03-30 23:44:17.688754	111046	19.8	1	10
2014-03-30 23:44:26.985426	111047	50	2	8
2014-03-30 23:44:27.220283	111048	19.8	1	8
2014-03-30 23:44:32.005869	111049	354	3	2
2014-03-30 23:44:32.235547	111050	1141668.4431250168	4	2
2014-03-30 23:44:38.273718	111051	51	2	1
2014-03-30 23:44:38.517203	111052	18.8	1	1
2014-03-30 23:44:56.462807	111053	45	2	10
2014-03-30 23:44:56.688937	111054	19.8	1	10
2014-03-30 23:45:05.106059	111055	54	2	9
2014-03-30 23:45:05.342171	111056	20.4	1	9
2014-03-30 23:45:05.986976	111057	50	2	8
2014-03-30 23:45:06.209804	111058	19.8	1	8
2014-03-30 23:45:17.274165	111059	51	2	1
2014-03-30 23:45:17.506931	111060	18.8	1	1
2014-03-30 23:45:32.006358	111061	370	3	2
2014-03-30 23:45:32.228571	111062	1141674.1882986238	4	2
2014-03-30 23:45:35.463448	111063	45	2	10
2014-03-30 23:45:35.698512	111064	19.8	1	10
2014-03-30 23:45:44.98452	111065	50	2	8
2014-03-30 23:45:45.20696	111066	19.8	1	8
2014-03-30 23:45:56.274496	111067	51	2	1
2014-03-30 23:45:56.507823	111068	18.8	1	1
2014-03-30 23:46:14.464214	111069	45	2	10
2014-03-30 23:46:14.686851	111070	19.8	1	10
2014-03-30 23:46:22.904259	111071	54	2	9
2014-03-30 23:46:23.13653	111072	20.4	1	9
2014-03-30 23:46:23.987406	111073	50	2	8
2014-03-30 23:46:24.208076	111074	19.8	1	8
2014-03-30 23:46:32.005712	111075	354	3	2
2014-03-30 23:46:32.239256	111076	1141679.933472231	4	2
2014-03-30 23:46:35.272686	111077	51	2	1
2014-03-30 23:46:35.497682	111078	18.8	1	1
2014-03-30 23:46:53.463852	111079	45	2	10
2014-03-30 23:46:53.701759	111080	19.8	1	10
2014-03-30 23:47:01.902791	111081	54	2	9
2014-03-30 23:47:02.125358	111082	20.4	1	9
2014-03-30 23:47:02.984722	111083	50	2	8
2014-03-30 23:47:03.21615	111084	19.8	1	8
2014-03-30 23:47:14.274918	111085	51	2	1
2014-03-30 23:47:14.49827	111086	18.8	1	1
2014-03-30 23:47:32.466554	111087	45	2	10
2014-03-30 23:47:32.701025	111088	19.8	1	10
2014-03-30 23:47:40.904597	111089	54	2	9
2014-03-30 23:47:41.129238	111090	20.4	1	9
2014-03-30 23:47:41.433483	111091	54	2	9
2014-03-30 23:47:41.663511	111092	20.4	1	9
2014-03-30 23:47:41.985818	111093	50	2	8
2014-03-30 23:47:42.208526	111094	19.8	1	8
2014-03-30 23:47:44.006237	111095	305	3	2
2014-03-30 23:47:44.239266	111096	1141687.976715281	4	2
2014-03-30 23:47:53.274454	111097	51	2	1
2014-03-30 23:47:53.497601	111098	18.8	1	1
2014-03-30 23:47:56.004109	111099	305	3	2
2014-03-30 23:47:56.247756	111100	1141689.1257500022	4	2
2014-03-30 23:48:11.462537	111101	45	2	10
2014-03-30 23:48:11.686007	111102	19.8	1	10
2014-03-30 23:48:20.105569	111103	54	2	9
2014-03-30 23:48:20.336722	111104	20.4	1	9
2014-03-30 23:48:20.985708	111105	50	2	8
2014-03-30 23:48:21.206317	111106	19.8	1	8
2014-03-30 23:48:32.007093	111107	305	3	2
2014-03-30 23:48:32.241785	111108	1141691.423819445	4	2
2014-03-30 23:48:32.545536	111109	51	2	1
2014-03-30 23:48:32.766953	111110	18.8	1	1
2014-03-30 23:48:50.464608	111111	45	2	10
2014-03-30 23:48:50.697281	111112	19.8	1	10
2014-03-30 23:48:56.011061	111113	338	3	2
2014-03-30 23:48:56.234835	111114	1141693.721888888	4	2
2014-03-30 23:48:58.90388	111115	54	2	9
2014-03-30 23:48:59.138949	111116	20.4	1	9
2014-03-30 23:48:59.988187	111117	50	2	8
2014-03-30 23:49:00.208227	111118	19.8	1	8
2014-03-30 23:49:08.006289	111119	305	3	2
2014-03-30 23:49:08.241407	111120	1141694.8709236092	4	2
2014-03-30 23:49:11.274797	111121	51	2	1
2014-03-30 23:49:11.498326	111122	18.8	1	1
2014-03-30 23:49:20.006209	111123	305	3	2
2014-03-30 23:49:20.238462	111124	1141696.0199583308	4	2
2014-03-30 23:49:29.464833	111125	45	2	10
2014-03-30 23:49:29.68659	111126	19.8	1	10
2014-03-30 23:49:32.004772	111127	338	3	2
2014-03-30 23:49:32.237957	111128	1141697.168993052	4	2
2014-03-30 23:49:37.903277	111129	54	2	9
2014-03-30 23:49:38.128584	111130	20.4	1	9
2014-03-30 23:49:38.983335	111131	49	2	8
2014-03-30 23:49:39.216289	111132	19.8	1	8
2014-03-30 23:49:44.007874	111133	305	3	2
2014-03-30 23:49:44.231906	111134	1141698.3180277736	4	2
2014-03-30 23:49:50.272672	111135	51	2	1
2014-03-30 23:49:50.505093	111136	18.8	1	1
2014-03-30 23:49:56.009628	111137	338	3	2
2014-03-30 23:49:56.233907	111138	1141699.467062495	4	2
2014-03-30 23:50:08.008116	111139	305	3	2
2014-03-30 23:50:08.242892	111140	1141700.6160972165	4	2
2014-03-30 23:50:08.547797	111141	45	2	10
2014-03-30 23:50:08.769503	111142	19.8	1	10
2014-03-30 23:50:16.903302	111143	54	2	9
2014-03-30 23:50:17.136499	111144	20.4	1	9
2014-03-30 23:50:17.983181	111145	49	2	8
2014-03-30 23:50:18.206457	111146	19.8	1	8
2014-03-30 23:50:20.004076	111147	305	3	2
2014-03-30 23:50:20.249467	111148	1141700.6160972165	4	2
2014-03-30 23:50:29.27376	111149	51	2	1
2014-03-30 23:50:29.497746	111150	18.8	1	1
2014-03-30 23:50:32.0044	111151	305	3	2
2014-03-30 23:50:32.23568	111152	1141701.7651319378	4	2
2014-03-30 23:50:47.46449	111153	45	2	10
2014-03-30 23:50:47.687799	111154	19.8	1	10
2014-03-30 23:50:56.98371	111155	49	2	8
2014-03-30 23:50:57.214331	111156	19.8	1	8
2014-03-30 23:51:08.005274	111157	305	3	2
2014-03-30 23:51:08.228304	111158	1141705.212236102	4	2
2014-03-30 23:51:08.536244	111159	51	2	1
2014-03-30 23:51:08.767574	111160	18.7	1	1
2014-03-30 23:51:26.266456	111161	338	3	2
2014-03-30 23:51:26.491531	111162	1141706.3612708235	4	2
2014-03-30 23:51:26.797824	111163	45	2	10
2014-03-30 23:51:27.02933	111164	19.8	1	10
2014-03-30 23:51:32.006588	111165	305	3	2
2014-03-30 23:51:32.231771	111166	1141707.5103055448	4	2
2014-03-30 23:51:34.904001	111167	54	2	9
2014-03-30 23:51:35.13667	111168	20.4	1	9
2014-03-30 23:51:35.980627	111169	49	2	8
2014-03-30 23:51:36.203669	111170	19.8	1	8
2014-03-30 23:51:44.003569	111171	305	3	2
2014-03-30 23:51:44.235956	111172	1141708.6593402664	4	2
2014-03-30 23:51:47.272332	111173	51	2	1
2014-03-30 23:51:47.496101	111174	18.7	1	1
2014-03-30 23:51:56.00472	111175	338	3	2
2014-03-30 23:51:56.23644	111176	1141709.8083749877	4	2
2014-03-30 23:52:05.466664	111177	45	2	10
2014-03-30 23:52:05.692334	111178	19.8	1	10
2014-03-30 23:52:08.003606	111179	338	3	2
2014-03-30 23:52:08.234478	111180	1141710.9574097092	4	2
2014-03-30 23:52:13.899979	111181	54	2	9
2014-03-30 23:52:14.123294	111182	20.3	1	9
2014-03-30 23:52:14.982888	111183	49	2	8
2014-03-30 23:52:15.214733	111184	19.8	1	8
2014-03-30 23:52:26.271986	111185	51	2	1
2014-03-30 23:52:26.49433	111186	18.7	1	1
2014-03-30 23:52:32.007859	111187	305	3	2
2014-03-30 23:52:32.244055	111188	1141712.1064444305	4	2
2014-03-30 23:52:44.004381	111189	305	3	2
2014-03-30 23:52:44.23015	111190	1141713.255479152	4	2
2014-03-30 23:52:44.536016	111191	45	2	10
2014-03-30 23:52:44.769886	111192	19.7	1	10
2014-03-30 23:52:53.98464	111193	49	2	8
2014-03-30 23:52:54.207187	111194	19.8	1	8
2014-03-30 23:53:05.269762	111195	51	2	1
2014-03-30 23:53:05.512741	111196	18.7	1	1
2014-03-30 23:53:20.005739	111197	338	3	2
2014-03-30 23:53:20.228605	111198	1141716.7025833162	4	2
2014-03-30 23:53:23.466082	111199	45	2	10
2014-03-30 23:53:23.885301	111200	19.7	1	10
2014-03-30 23:53:32.982598	111201	49	2	8
2014-03-30 23:53:33.208867	111202	19.8	1	8
2014-03-30 23:53:44.004156	111203	370	3	2
2014-03-30 23:53:44.226093	111204	1141719.000652759	4	2
2014-03-30 23:53:44.529787	111205	51	2	1
2014-03-30 23:53:44.75817	111206	18.7	1	1
2014-03-30 23:53:56.005344	111207	370	3	2
2014-03-30 23:53:56.226519	111208	1141720.1496874804	4	2
2014-03-30 23:54:02.465054	111209	45	2	10
2014-03-30 23:54:02.697173	111210	19.7	1	10
2014-03-30 23:54:11.106044	111211	54	2	9
2014-03-30 23:54:11.327065	111212	20.3	1	9
2014-03-30 23:54:11.984888	111213	49	2	8
2014-03-30 23:54:12.214457	111214	19.8	1	8
2014-03-30 23:54:23.268514	111215	51	2	1
2014-03-30 23:54:23.48993	111216	18.7	1	1
2014-03-30 23:54:32.003328	111217	370	3	2
2014-03-30 23:54:32.236374	111218	1141723.5967916448	4	2
2014-03-30 23:54:41.467646	111219	45	2	10
2014-03-30 23:54:41.690513	111220	19.7	1	10
2014-03-30 23:54:49.903125	111221	54	2	9
2014-03-30 23:54:50.138655	111222	20.3	1	9
2014-03-30 23:54:50.983488	111223	49	2	8
2014-03-30 23:54:51.206648	111224	19.8	1	8
2014-03-30 23:55:02.269969	111225	51	2	1
2014-03-30 23:55:02.50256	111226	18.7	1	1
2014-03-30 23:55:20.467982	111227	45	2	10
2014-03-30 23:55:20.68957	111228	19.7	1	10
2014-03-30 23:55:28.90381	111229	54	2	9
2014-03-30 23:55:29.135988	111230	20.3	1	9
2014-03-30 23:55:29.981575	111231	49	2	8
2014-03-30 23:55:30.203697	111232	19.8	1	8
2014-03-30 23:55:32.004351	111233	370	3	2
2014-03-30 23:55:32.238189	111234	1141730.4909999731	4	2
2014-03-30 23:55:41.268311	111235	51	2	1
2014-03-30 23:55:41.491557	111236	18.7	1	1
2014-03-30 23:55:59.467759	111237	45	2	10
2014-03-30 23:55:59.700826	111238	19.7	1	10
2014-03-30 23:56:07.903712	111239	54	2	9
2014-03-30 23:56:08.125902	111240	20.3	1	9
2014-03-30 23:56:08.984101	111241	49	2	8
2014-03-30 23:56:09.215519	111242	19.8	1	8
2014-03-30 23:56:20.271173	111243	51	2	1
2014-03-30 23:56:20.495828	111244	18.7	1	1
2014-03-30 23:56:32.004272	111245	370	3	2
2014-03-30 23:56:32.247186	111246	1141736.2361735802	4	2
2014-03-30 23:56:38.467346	111247	45	2	10
2014-03-30 23:56:38.689485	111248	19.7	1	10
2014-03-30 23:56:47.093432	111249	54	2	9
2014-03-30 23:56:47.326023	111250	20.3	1	9
2014-03-30 23:56:47.984318	111251	49	2	8
2014-03-30 23:56:48.206371	111252	19.8	1	8
2014-03-30 23:56:59.268912	111253	51	2	1
2014-03-30 23:56:59.505114	111254	18.7	1	1
2014-03-30 23:57:17.469921	111255	45	2	10
2014-03-30 23:57:17.717225	111256	19.7	1	10
2014-03-30 23:57:25.904692	111257	54	2	9
2014-03-30 23:57:26.137315	111258	20.3	1	9
2014-03-30 23:57:26.983065	111259	49	2	8
2014-03-30 23:57:27.204734	111260	19.8	1	8
2014-03-30 23:57:32.004356	111261	370	3	2
2014-03-30 23:57:32.237175	111262	1141741.9813471874	4	2
2014-03-30 23:57:38.269132	111263	51	2	1
2014-03-30 23:57:38.492613	111264	18.7	1	1
2014-03-30 23:57:56.466008	111265	45	2	10
2014-03-30 23:57:56.702176	111266	19.7	1	10
2014-03-30 23:58:05.983465	111267	49	2	8
2014-03-30 23:58:06.20526	111268	19.8	1	8
2014-03-30 23:58:17.267862	111269	51	2	1
2014-03-30 23:58:17.50104	111270	18.7	1	1
2014-03-30 23:58:32.003297	111271	370	3	2
2014-03-30 23:58:32.225676	111272	1141748.8755555158	4	2
2014-03-30 23:58:35.468002	111273	45	2	10
2014-03-30 23:58:35.701379	111274	19.7	1	10
2014-03-30 23:58:44.983816	111275	49	2	8
2014-03-30 23:58:45.205212	111276	19.8	1	8
2014-03-30 23:58:56.005646	111277	402	3	2
2014-03-30 23:58:56.238924	111278	1141751.1736249586	4	2
2014-03-30 23:58:56.542471	111279	51	2	1
2014-03-30 23:58:56.764246	111280	18.7	1	1
2014-03-30 23:59:08.006749	111281	402	3	2
2014-03-30 23:59:08.240515	111282	1141752.3226596802	4	2
2014-03-30 23:59:14.468536	111283	45	2	10
2014-03-30 23:59:14.691339	111284	19.7	1	10
2014-03-30 23:59:23.98762	111285	49	2	8
2014-03-30 23:59:24.221657	111286	19.8	1	8
2014-03-30 23:59:32.005528	111287	402	3	2
2014-03-30 23:59:32.227091	111288	1141755.7697638443	4	2
2014-03-30 23:59:35.266591	111289	51	2	1
2014-03-30 23:59:35.500218	111290	18.7	1	1
2014-03-30 23:59:53.469212	111291	45	2	10
2014-03-30 23:59:53.693117	111292	19.7	1	10
2014-03-31 00:00:02.108889	111293	54	2	9
2014-03-31 00:00:02.353369	111294	20.3	1	9
2014-03-31 00:00:02.982934	111295	49	2	8
2014-03-31 00:00:03.206397	111296	19.8	1	8
2014-03-31 00:00:14.265319	111297	51	2	1
2014-03-31 00:00:14.498443	111298	18.7	1	1
2014-03-31 00:00:32.004577	111299	402	3	2
2014-03-31 00:00:32.229416	111300	1141761.5149374513	4	2
2014-03-31 00:00:32.53478	111301	45	2	10
2014-03-31 00:00:32.777708	111302	19.7	1	10
2014-03-31 00:00:41.982604	111303	49	2	8
2014-03-31 00:00:42.207051	111304	19.8	1	8
2014-03-31 00:00:53.266204	111305	51	2	1
2014-03-31 00:00:53.498631	111306	18.7	1	1
2014-03-31 00:00:56.002806	111307	370	3	2
2014-03-31 00:00:56.229692	111308	1141764.9620416157	4	2
2014-03-31 00:01:08.004045	111309	402	3	2
2014-03-31 00:01:08.237944	111310	1141766.111076337	4	2
2014-03-31 00:01:11.468257	111311	45	2	10
2014-03-31 00:01:11.69047	111312	19.7	1	10
2014-03-31 00:01:20.982894	111313	49	2	8
2014-03-31 00:01:21.214935	111314	19.8	1	8
2014-03-31 00:01:32.004187	111315	370	3	2
2014-03-31 00:01:32.22848	111316	1141768.40914578	4	2
2014-03-31 00:01:32.535183	111317	51	2	1
2014-03-31 00:01:32.767771	111318	18.7	1	1
2014-03-31 00:01:44.004438	111319	402	3	2
2014-03-31 00:01:44.229827	111320	1141769.5581805012	4	2
2014-03-31 00:01:50.470488	111321	45	2	10
2014-03-31 00:01:50.703332	111322	19.7	1	10
2014-03-31 00:01:56.006771	111323	370	3	2
2014-03-31 00:01:56.231176	111324	1141770.7072152228	4	2
2014-03-31 00:01:58.903926	111325	54	2	9
2014-03-31 00:01:59.135352	111326	20.3	1	9
2014-03-31 00:01:59.984183	111327	49	2	8
2014-03-31 00:02:00.206724	111328	19.8	1	8
2014-03-31 00:02:08.004304	111329	370	3	2
2014-03-31 00:02:08.236835	111330	1141771.856249944	4	2
2014-03-31 00:02:11.264083	111331	51	2	1
2014-03-31 00:02:11.490336	111332	18.7	1	1
2014-03-31 00:02:29.471236	111333	45	2	10
2014-03-31 00:02:29.704165	111334	19.7	1	10
2014-03-31 00:02:32.006047	111335	402	3	2
2014-03-31 00:02:32.229437	111336	1141774.154319387	4	2
2014-03-31 00:02:37.904162	111337	54	2	9
2014-03-31 00:02:38.140358	111338	20.3	1	9
2014-03-31 00:02:38.982766	111339	49	2	8
2014-03-31 00:02:39.2065	111340	19.8	1	8
2014-03-31 00:02:44.003832	111341	370	3	2
2014-03-31 00:02:44.251548	111342	1141775.3033541085	4	2
2014-03-31 00:02:50.265124	111343	51	2	1
2014-03-31 00:02:50.486466	111344	18.7	1	1
2014-03-31 00:02:56.007428	111345	370	3	2
2014-03-31 00:02:56.240639	111346	1141776.4523888298	4	2
2014-03-31 00:03:08.468617	111347	45	2	10
2014-03-31 00:03:08.692567	111348	19.7	1	10
2014-03-31 00:03:17.107077	111349	54	2	9
2014-03-31 00:03:17.341265	111350	20.3	1	9
2014-03-31 00:03:17.98501	111351	49	2	8
2014-03-31 00:03:18.207338	111352	19.8	1	8
2014-03-31 00:03:29.503308	111353	51	2	1
2014-03-31 00:03:29.740138	111354	18.7	1	1
2014-03-31 00:03:32.004565	111355	370	3	2
2014-03-31 00:03:32.228961	111356	1141781.0485277155	4	2
2014-03-31 00:03:47.46872	111357	45	2	10
2014-03-31 00:03:47.701599	111358	19.7	1	10
2014-03-31 00:03:56.105471	111359	54	2	9
2014-03-31 00:03:56.328438	111360	20.3	1	9
2014-03-31 00:03:56.983445	111361	49	2	8
2014-03-31 00:03:57.214311	111362	19.8	1	8
2014-03-31 00:04:08.264476	111363	51	2	1
2014-03-31 00:04:08.487621	111364	18.7	1	1
2014-03-31 00:04:26.470766	111365	45	2	10
2014-03-31 00:04:26.703358	111366	19.7	1	10
2014-03-31 00:04:32.006822	111367	370	3	2
2014-03-31 00:04:32.230935	111368	1141786.7937013225	4	2
2014-03-31 00:04:34.904387	111369	54	2	9
2014-03-31 00:04:35.136215	111370	20.3	1	9
2014-03-31 00:04:35.985308	111371	49	2	8
2014-03-31 00:04:36.206857	111372	19.8	1	8
2014-03-31 00:04:44.005959	111373	402	3	2
2014-03-31 00:04:44.238639	111374	1141787.9427360438	4	2
2014-03-31 00:04:47.266472	111375	51	2	1
2014-03-31 00:04:47.490513	111376	18.7	1	1
2014-03-31 00:04:56.006242	111377	434	3	2
2014-03-31 00:04:56.239735	111378	1141790.2408054867	4	2
2014-03-31 00:05:05.4702	111379	45	2	10
2014-03-31 00:05:05.693636	111380	19.7	1	10
2014-03-31 00:05:08.006272	111381	434	3	2
2014-03-31 00:05:08.238471	111382	1141791.3898402082	4	2
2014-03-31 00:05:13.904571	111383	54	2	9
2014-03-31 00:05:14.129522	111384	20.3	1	9
2014-03-31 00:05:14.985544	111385	49	2	8
2014-03-31 00:05:15.217672	111386	19.8	1	8
2014-03-31 00:05:26.261779	111387	51	2	1
2014-03-31 00:05:26.597864	111388	18.7	1	1
2014-03-31 00:05:32.021898	111389	434	3	2
2014-03-31 00:05:32.304749	111390	1141793.687909651	4	2
2014-03-31 00:05:44.469285	111391	45	2	10
2014-03-31 00:05:44.731296	111392	19.7	1	10
2014-03-31 00:05:53.983561	111393	49	2	8
2014-03-31 00:05:54.218005	111394	19.8	1	8
2014-03-31 00:06:05.268314	111395	51	2	1
2014-03-31 00:06:05.492022	111396	18.7	1	1
2014-03-31 00:06:23.482315	111397	45	2	10
2014-03-31 00:06:23.713757	111398	19.6	1	10
2014-03-31 00:06:32.983538	111399	49	2	8
2014-03-31 00:06:33.207253	111400	19.8	1	8
2014-03-31 00:06:44.265586	111401	51	2	1
2014-03-31 00:06:44.498987	111402	18.7	1	1
2014-03-31 00:07:02.470908	111403	45	2	10
2014-03-31 00:07:02.69543	111404	19.6	1	10
2014-03-31 00:07:11.105422	111405	54	2	9
2014-03-31 00:07:11.337521	111406	20.3	1	9
2014-03-31 00:07:11.984183	111407	49	2	8
2014-03-31 00:07:12.20986	111408	19.8	1	8
2014-03-31 00:07:23.261569	111409	51	2	1
2014-03-31 00:07:23.497022	111410	18.7	1	1
2014-03-31 00:07:32.004221	111411	434	3	2
2014-03-31 00:07:32.229763	111412	1141808.6253610295	4	2
2014-03-31 00:07:41.471454	111413	45	2	10
2014-03-31 00:07:41.705952	111414	19.6	1	10
2014-03-31 00:07:50.105476	111415	54	2	9
2014-03-31 00:07:50.329485	111416	20.3	1	9
2014-03-31 00:07:50.983641	111417	49	2	8
2014-03-31 00:07:51.21657	111418	19.8	1	8
2014-03-31 00:08:02.2626	111419	51	2	1
2014-03-31 00:08:02.486076	111420	18.7	1	1
2014-03-31 00:08:20.470086	111421	45	2	10
2014-03-31 00:08:20.70408	111422	19.6	1	10
2014-03-31 00:08:29.984506	111423	49	2	8
2014-03-31 00:08:30.208003	111424	19.8	1	8
2014-03-31 00:08:32.004446	111425	434	3	2
2014-03-31 00:08:32.238109	111426	1141815.5195693579	4	2
2014-03-31 00:08:41.264184	111427	51	2	1
2014-03-31 00:08:41.487291	111428	18.7	1	1
2014-03-31 00:08:59.470931	111429	45	2	10
2014-03-31 00:08:59.704398	111430	19.6	1	10
2014-03-31 00:09:07.902034	111431	54	2	9
2014-03-31 00:09:08.126211	111432	20.3	1	9
2014-03-31 00:09:08.983292	111433	49	2	8
2014-03-31 00:09:09.217016	111434	19.8	1	8
2014-03-31 00:09:20.261411	111435	51	2	1
2014-03-31 00:09:20.487495	111436	18.7	1	1
2014-03-31 00:09:32.002084	111437	434	3	2
2014-03-31 00:09:32.245509	111438	1141822.4137776864	4	2
2014-03-31 00:09:38.469988	111439	45	2	10
2014-03-31 00:09:38.693013	111440	19.6	1	10
2014-03-31 00:09:47.982841	111441	49	2	8
2014-03-31 00:09:48.215801	111442	19.8	1	8
2014-03-31 00:09:56.001712	111443	370	3	2
2014-03-31 00:09:56.225762	111444	1141825.8608818506	4	2
2014-03-31 00:09:59.260651	111445	51	2	1
2014-03-31 00:09:59.494443	111446	18.6	1	1
2014-03-31 00:10:08.006507	111447	370	3	2
2014-03-31 00:10:08.230213	111448	1141827.0099165721	4	2
2014-03-31 00:10:17.472008	111449	45	2	10
2014-03-31 00:10:17.704968	111450	19.6	1	10
2014-03-31 00:10:26.108055	111451	54	2	9
2014-03-31 00:10:26.331136	111452	20.3	1	9
2014-03-31 00:10:26.985542	111453	49	2	8
2014-03-31 00:10:27.217353	111454	19.8	1	8
2014-03-31 00:10:32.008671	111455	370	3	2
2014-03-31 00:10:32.232748	111456	1141829.307986015	4	2
2014-03-31 00:10:38.261847	111457	51	2	1
2014-03-31 00:10:38.494098	111458	18.6	1	1
2014-03-31 00:10:56.471677	111459	45	2	10
2014-03-31 00:10:56.695151	111460	19.6	1	10
2014-03-31 00:11:04.903483	111461	54	2	9
2014-03-31 00:11:05.13829	111462	20.3	1	9
2014-03-31 00:11:05.983375	111463	49	2	8
2014-03-31 00:11:06.207621	111464	19.8	1	8
2014-03-31 00:11:17.260162	111465	51	2	1
2014-03-31 00:11:17.491782	111466	18.6	1	1
2014-03-31 00:11:32.002333	111467	370	3	2
2014-03-31 00:11:32.227901	111468	1141835.053159622	4	2
2014-03-31 00:11:35.472119	111469	45	2	10
2014-03-31 00:11:35.705188	111470	19.6	1	10
2014-03-31 00:11:43.903893	111471	54	2	9
2014-03-31 00:11:44.127986	111472	20.3	1	9
2014-03-31 00:11:44.98298	111473	49	2	8
2014-03-31 00:11:45.215403	111474	19.8	1	8
2014-03-31 00:11:56.260842	111475	51	2	1
2014-03-31 00:11:56.485574	111476	18.6	1	1
2014-03-31 00:12:14.471431	111477	45	2	10
2014-03-31 00:12:14.70512	111478	19.6	1	10
2014-03-31 00:12:23.105326	111479	54	2	9
2014-03-31 00:12:23.330689	111480	20.3	1	9
2014-03-31 00:12:23.984123	111481	49	2	8
2014-03-31 00:12:24.214308	111482	19.8	1	8
2014-03-31 00:12:32.002511	111483	370	3	2
2014-03-31 00:12:32.22495	111484	1141841.9473679503	4	2
2014-03-31 00:12:35.259505	111485	51	2	1
2014-03-31 00:12:35.503762	111486	18.6	1	1
2014-03-31 00:12:53.47376	111487	45	2	10
2014-03-31 00:12:53.699474	111488	19.6	1	10
2014-03-31 00:13:02.982467	111489	49	2	8
2014-03-31 00:13:03.214917	111490	19.8	1	8
2014-03-31 00:13:14.259767	111491	51	2	1
2014-03-31 00:13:14.484356	111492	18.6	1	1
2014-03-31 00:13:32.003009	111493	370	3	2
2014-03-31 00:13:32.234801	111494	1141847.6925415576	4	2
2014-03-31 00:13:32.541645	111495	45	2	10
2014-03-31 00:13:32.763587	111496	19.6	1	10
2014-03-31 00:13:41.106247	111497	54	2	9
2014-03-31 00:13:41.338795	111498	20.3	1	9
2014-03-31 00:13:41.98178	111499	49	2	8
2014-03-31 00:13:42.203133	111500	19.8	1	8
2014-03-31 00:13:53.312925	111501	51	2	1
2014-03-31 00:13:53.548514	111502	18.6	1	1
2014-03-31 00:14:11.472582	111503	45	2	10
2014-03-31 00:14:11.696357	111504	19.6	1	10
2014-03-31 00:14:20.108074	111505	54	2	9
2014-03-31 00:14:20.340007	111506	20.3	1	9
2014-03-31 00:14:20.982543	111507	49	2	8
2014-03-31 00:14:21.204091	111508	19.8	1	8
2014-03-31 00:14:32.002974	111509	370	3	2
2014-03-31 00:14:32.236486	111510	1141853.4421861167	4	2
2014-03-31 00:14:32.54245	111511	51	2	1
2014-03-31 00:14:32.767706	111512	18.6	1	1
2014-03-31 00:14:50.473	111513	45	2	10
2014-03-31 00:14:50.706041	111514	19.6	1	10
2014-03-31 00:14:56.005859	111515	305	3	2
2014-03-31 00:14:56.227991	111516	1141855.7402555596	4	2
2014-03-31 00:14:58.906003	111517	54	2	9
2014-03-31 00:14:59.138797	111518	20.3	1	9
2014-03-31 00:14:59.983314	111519	49	2	8
2014-03-31 00:15:00.205274	111520	19.8	1	8
2014-03-31 00:15:08.002734	111521	338	3	2
2014-03-31 00:15:08.234135	111522	1141856.889290281	4	2
2014-03-31 00:15:11.258578	111523	51	2	1
2014-03-31 00:15:11.483136	111524	18.6	1	1
2014-03-31 00:15:20.005699	111525	338	3	2
2014-03-31 00:15:20.240183	111526	1141856.889290281	4	2
2014-03-31 00:15:29.472484	111527	45	2	10
2014-03-31 00:15:29.695761	111528	19.6	1	10
2014-03-31 00:15:32.004042	111529	305	3	2
2014-03-31 00:15:32.236084	111530	1141858.0383250024	4	2
2014-03-31 00:15:37.902626	111531	54	2	9
2014-03-31 00:15:38.126765	111532	20.3	1	9
2014-03-31 00:15:38.985008	111533	49	2	8
2014-03-31 00:15:39.227116	111534	19.8	1	8
2014-03-31 00:15:44.007845	111535	370	3	2
2014-03-31 00:15:44.229706	111536	1141859.187359724	4	2
2014-03-31 00:15:50.257595	111537	51	2	1
2014-03-31 00:15:50.490624	111538	18.6	1	1
2014-03-31 00:15:56.00978	111539	354	3	2
2014-03-31 00:15:56.231039	111540	1141860.3363944453	4	2
2014-03-31 00:16:08.472641	111541	45	2	10
2014-03-31 00:16:08.705232	111542	19.6	1	10
2014-03-31 00:16:16.958264	111543	54	2	9
2014-03-31 00:16:17.182944	111544	20.3	1	9
2014-03-31 00:16:17.982909	111545	49	2	8
2014-03-31 00:16:18.217413	111546	19.8	1	8
2014-03-31 00:16:29.25744	111547	51	2	1
2014-03-31 00:16:29.47847	111548	18.6	1	1
2014-03-31 00:16:32.002784	111549	354	3	2
2014-03-31 00:16:32.236447	111550	1141864.932533331	4	2
2014-03-31 00:16:47.47231	111551	45	2	10
2014-03-31 00:16:47.694719	111552	19.6	1	10
2014-03-31 00:16:56.982512	111553	49	2	8
2014-03-31 00:16:57.217734	111554	19.8	1	8
2014-03-31 00:17:08.259389	111555	51	2	1
2014-03-31 00:17:08.483147	111556	18.6	1	1
2014-03-31 00:17:26.472964	111557	45	2	10
2014-03-31 00:17:26.708269	111558	19.6	1	10
2014-03-31 00:17:32.007091	111559	370	3	2
2014-03-31 00:17:32.231926	111560	1141870.677706938	4	2
2014-03-31 00:17:34.904012	111561	54	2	9
2014-03-31 00:17:35.137932	111562	20.3	1	9
2014-03-31 00:17:35.987022	111563	49	2	8
2014-03-31 00:17:36.20818	111564	19.8	1	8
2014-03-31 00:17:47.257456	111565	51	2	1
2014-03-31 00:17:47.493999	111566	18.6	1	1
2014-03-31 00:18:05.474315	111567	45	2	10
2014-03-31 00:18:05.695204	111568	19.5	1	10
2014-03-31 00:18:13.903789	111569	54	2	9
2014-03-31 00:18:14.137448	111570	20.3	1	9
2014-03-31 00:18:14.983824	111571	49	2	8
2014-03-31 00:18:15.207864	111572	19.8	1	8
2014-03-31 00:18:26.255785	111573	51	2	1
2014-03-31 00:18:26.489844	111574	18.6	1	1
2014-03-31 00:18:32.0052	111575	354	3	2
2014-03-31 00:18:32.228929	111576	1141876.422880545	4	2
2014-03-31 00:18:44.473939	111577	45	2	10
2014-03-31 00:18:44.711522	111578	19.5	1	10
2014-03-31 00:18:52.903582	111579	54	2	9
2014-03-31 00:18:53.125745	111580	20.3	1	9
2014-03-31 00:18:53.982066	111581	49	2	8
2014-03-31 00:18:54.226041	111582	19.8	1	8
2014-03-31 00:19:05.254711	111583	51	2	1
2014-03-31 00:19:05.477115	111584	18.6	1	1
2014-03-31 00:19:23.472762	111585	45	2	10
2014-03-31 00:19:23.707314	111586	19.5	1	10
2014-03-31 00:19:32.98186	111587	49	2	8
2014-03-31 00:19:33.204641	111588	19.8	1	8
2014-03-31 00:19:44.25784	111589	51	2	1
2014-03-31 00:19:44.490449	111590	18.6	1	1
2014-03-31 00:20:02.474834	111591	45	2	10
2014-03-31 00:20:02.698101	111592	19.5	1	10
2014-03-31 00:20:11.107625	111593	54	2	9
2014-03-31 00:20:11.342903	111594	20.2	1	9
2014-03-31 00:20:11.98226	111595	49	2	8
2014-03-31 00:20:12.205073	111596	19.8	1	8
2014-03-31 00:20:23.255717	111597	51	2	1
2014-03-31 00:20:23.493013	111598	18.6	1	1
2014-03-31 00:20:32.002353	111599	370	3	2
2014-03-31 00:20:32.226072	111600	1141887.9132277593	4	2
2014-03-31 00:20:41.473331	111601	45	2	10
2014-03-31 00:20:41.705958	111602	19.5	1	10
2014-03-31 00:20:49.889064	111603	54	2	9
2014-03-31 00:20:50.112817	111604	20.2	1	9
2014-03-31 00:20:50.985018	111605	49	2	8
2014-03-31 00:20:51.21655	111606	19.8	1	8
2014-03-31 00:20:56.008234	111607	305	3	2
2014-03-31 00:20:56.232189	111608	1141891.3603319235	4	2
2014-03-31 00:21:02.253736	111609	51	2	1
2014-03-31 00:21:02.486907	111610	18.6	1	1
2014-03-31 00:21:08.00464	111611	338	3	2
2014-03-31 00:21:08.228736	111612	1141891.3603319235	4	2
2014-03-31 00:21:20.002908	111613	305	3	2
2014-03-31 00:21:20.236444	111614	1141892.509366645	4	2
2014-03-31 00:21:20.544994	111615	45	2	10
2014-03-31 00:21:20.767392	111616	19.5	1	10
2014-03-31 00:21:29.110704	111617	54	2	9
2014-03-31 00:21:29.342796	111618	20.2	1	9
2014-03-31 00:21:29.98281	111619	49	2	8
2014-03-31 00:21:30.209139	111620	19.8	1	8
2014-03-31 00:21:32.00391	111621	338	3	2
2014-03-31 00:21:32.237653	111622	1141893.6584013663	4	2
2014-03-31 00:21:41.254844	111623	51	2	1
2014-03-31 00:21:41.478845	111624	18.6	1	1
2014-03-31 00:21:44.002644	111625	338	3	2
2014-03-31 00:21:44.236377	111626	1141894.8074360879	4	2
2014-03-31 00:21:56.002112	111627	305	3	2
2014-03-31 00:21:56.227218	111628	1141895.9564708092	4	2
2014-03-31 00:21:59.473116	111629	45	2	10
2014-03-31 00:21:59.717449	111630	19.5	1	10
2014-03-31 00:22:08.981917	111631	49	2	8
2014-03-31 00:22:09.208437	111632	19.8	1	8
2014-03-31 00:22:20.254346	111633	51	2	1
2014-03-31 00:22:20.486898	111634	18.6	1	1
2014-03-31 00:22:32.003057	111635	305	3	2
2014-03-31 00:22:32.229856	111636	1141899.4035749733	4	2
2014-03-31 00:22:38.474167	111637	45	2	10
2014-03-31 00:22:38.709477	111638	19.5	1	10
2014-03-31 00:22:47.105745	111639	54	2	9
2014-03-31 00:22:47.331004	111640	20.2	1	9
2014-03-31 00:22:47.982305	111641	49	2	8
2014-03-31 00:22:48.216083	111642	19.8	1	8
2014-03-31 00:22:59.255452	111643	51	2	1
2014-03-31 00:22:59.479985	111644	18.6	1	1
2014-03-31 00:23:17.475358	111645	45	2	10
2014-03-31 00:23:17.707609	111646	19.5	1	10
2014-03-31 00:23:26.106623	111647	54	2	9
2014-03-31 00:23:26.329399	111648	20.2	1	9
2014-03-31 00:23:26.982583	111649	49	2	8
2014-03-31 00:23:27.21499	111650	19.8	1	8
2014-03-31 00:23:32.004667	111651	305	3	2
2014-03-31 00:23:32.226636	111652	1141903.999713859	4	2
2014-03-31 00:23:38.25256	111653	51	2	1
2014-03-31 00:23:38.487194	111654	18.6	1	1
2014-03-31 00:23:56.476282	111655	45	2	10
2014-03-31 00:23:56.699423	111656	19.5	1	10
2014-03-31 00:24:05.104271	111657	54	2	9
2014-03-31 00:24:05.338293	111658	20.2	1	9
2014-03-31 00:24:05.982541	111659	49	2	8
2014-03-31 00:24:06.204401	111660	19.8	1	8
2014-03-31 00:24:17.252011	111661	51	2	1
2014-03-31 00:24:17.484641	111662	18.6	1	1
2014-03-31 00:24:32.002306	111663	305	3	2
2014-03-31 00:24:32.22747	111664	1141909.744887466	4	2
2014-03-31 00:24:35.475267	111665	45	2	10
2014-03-31 00:24:35.709501	111666	19.5	1	10
2014-03-31 00:24:44.982986	111667	49	2	8
2014-03-31 00:24:45.206908	111668	19.8	1	8
2014-03-31 00:24:56.251998	111669	51	2	1
2014-03-31 00:24:56.484373	111670	18.6	1	1
2014-03-31 00:25:14.475102	111671	45	2	10
2014-03-31 00:25:14.720577	111672	19.5	1	10
2014-03-31 00:25:23.983125	111673	49	2	8
2014-03-31 00:25:24.215171	111674	19.8	1	8
2014-03-31 00:25:32.00349	111675	305	3	2
2014-03-31 00:25:32.228441	111676	1141914.3410263518	4	2
2014-03-31 00:25:35.252538	111677	51	2	1
2014-03-31 00:25:35.495365	111678	18.6	1	1
2014-03-31 00:25:53.473643	111679	45	2	10
2014-03-31 00:25:53.751063	111680	19.5	1	10
2014-03-31 00:26:02.983868	111681	49	2	8
2014-03-31 00:26:03.216589	111682	19.8	1	8
2014-03-31 00:26:14.252357	111683	51	2	1
2014-03-31 00:26:14.475349	111684	18.6	1	1
2014-03-31 00:26:32.276928	111685	305	3	2
2014-03-31 00:26:32.511304	111686	1141920.0861999588	4	2
2014-03-31 00:26:32.816874	111687	45	2	10
2014-03-31 00:26:33.040717	111688	19.5	1	10
2014-03-31 00:26:41.106018	111689	54	2	9
2014-03-31 00:26:41.34036	111690	20.2	1	9
2014-03-31 00:26:41.985021	111691	49	2	8
2014-03-31 00:26:42.218739	111692	19.8	1	8
2014-03-31 00:26:44.004366	111693	338	3	2
2014-03-31 00:26:44.235761	111694	1141921.2352346804	4	2
2014-03-31 00:26:53.249961	111695	51	2	1
2014-03-31 00:26:53.473561	111696	18.6	1	1
2014-03-31 00:26:56.004285	111697	305	3	2
2014-03-31 00:26:56.240586	111698	1141922.3842694017	4	2
2014-03-31 00:27:08.001723	111699	354	3	2
2014-03-31 00:27:08.227977	111700	1141923.5333041232	4	2
2014-03-31 00:27:11.47626	111701	45	2	10
2014-03-31 00:27:11.707081	111702	19.5	1	10
2014-03-31 00:27:20.982181	111703	49	2	8
2014-03-31 00:27:21.207958	111704	19.8	1	8
2014-03-31 00:27:32.001572	111705	354	3	2
2014-03-31 00:27:32.236404	111706	1141925.831373566	4	2
2014-03-31 00:27:32.542232	111707	51	2	1
2014-03-31 00:27:32.766582	111708	18.6	1	1
2014-03-31 00:27:50.475914	111709	45	2	10
2014-03-31 00:27:50.709029	111710	19.5	1	10
2014-03-31 00:27:58.900607	111711	54	2	9
2014-03-31 00:27:59.125117	111712	20.2	1	9
2014-03-31 00:27:59.984175	111713	49	2	8
2014-03-31 00:28:00.217134	111714	19.8	1	8
2014-03-31 00:28:11.250406	111715	51	2	1
2014-03-31 00:28:11.474279	111716	18.6	1	1
2014-03-31 00:28:29.475745	111717	45	2	10
2014-03-31 00:28:29.707032	111718	19.5	1	10
2014-03-31 00:28:31.999999	111719	354	3	2
2014-03-31 00:28:32.224339	111720	1141931.576547173	4	2
2014-03-31 00:28:38.107686	111721	54	2	9
2014-03-31 00:28:38.342116	111722	20.2	1	9
2014-03-31 00:28:38.982664	111723	49	2	8
2014-03-31 00:28:39.205434	111724	19.8	1	8
2014-03-31 00:28:50.249216	111725	51	2	1
2014-03-31 00:28:50.496754	111726	18.6	1	1
2014-03-31 00:29:08.477881	111727	45	2	10
2014-03-31 00:29:08.701848	111728	19.5	1	10
2014-03-31 00:29:16.902425	111729	54	2	9
2014-03-31 00:29:17.134548	111730	20.2	1	9
2014-03-31 00:29:17.983857	111731	49	2	8
2014-03-31 00:29:18.206914	111732	19.8	1	8
2014-03-31 00:29:29.249906	111733	51	2	1
2014-03-31 00:29:29.48351	111734	18.6	1	1
2014-03-31 00:29:32.002637	111735	370	3	2
2014-03-31 00:29:32.224762	111736	1141937.32172078	4	2
2014-03-31 00:29:47.476614	111737	45	2	10
2014-03-31 00:29:47.710267	111738	19.5	1	10
2014-03-31 00:29:56.106724	111739	54	2	9
2014-03-31 00:29:56.33043	111740	20.2	1	9
2014-03-31 00:29:56.982308	111741	49	2	8
2014-03-31 00:29:57.213966	111742	19.8	1	8
2014-03-31 00:30:08.249665	111743	51	2	1
2014-03-31 00:30:08.472727	111744	18.6	1	1
2014-03-31 00:30:26.685373	111745	45	2	10
2014-03-31 00:30:26.918843	111746	19.5	1	10
2014-03-31 00:30:32.003906	111747	370	3	2
2014-03-31 00:30:32.229106	111748	1141943.0668943871	4	2
2014-03-31 00:30:35.982586	111749	49	2	8
2014-03-31 00:30:36.21548	111750	19.8	1	8
2014-03-31 00:30:47.248717	111751	51	2	1
2014-03-31 00:30:47.47093	111752	18.6	1	1
2014-03-31 00:31:05.476123	111753	45	2	10
2014-03-31 00:31:05.706845	111754	19.5	1	10
2014-03-31 00:31:14.983783	111755	49	2	8
2014-03-31 00:31:15.208028	111756	19.8	1	8
2014-03-31 00:31:26.246589	111757	51	2	1
2014-03-31 00:31:26.481355	111758	18.6	1	1
2014-03-31 00:31:32.008165	111759	354	3	2
2014-03-31 00:31:32.231703	111760	1141948.8120679941	4	2
2014-03-31 00:31:44.478815	111761	45	2	10
2014-03-31 00:31:44.71289	111762	19.5	1	10
2014-03-31 00:31:54.032936	111763	49	2	8
2014-03-31 00:31:54.256958	111764	19.8	1	8
2014-03-31 00:32:05.249174	111765	50	2	1
2014-03-31 00:32:05.483659	111766	18.6	1	1
2014-03-31 00:32:23.47882	111767	45	2	10
2014-03-31 00:32:23.704489	111768	19.5	1	10
2014-03-31 00:32:32.981178	111769	49	2	8
2014-03-31 00:32:33.216617	111770	19.8	1	8
2014-03-31 00:32:44.249908	111771	50	2	1
2014-03-31 00:32:44.475795	111772	18.6	1	1
2014-03-31 00:32:56.002138	111773	305	3	2
2014-03-31 00:32:56.246875	111774	1141958.0043457656	4	2
2014-03-31 00:33:02.477747	111775	45	2	10
2014-03-31 00:33:02.70282	111776	19.5	1	10
2014-03-31 00:33:08.003431	111777	305	3	2
2014-03-31 00:33:08.23917	111778	1141959.1533804869	4	2
2014-03-31 00:33:11.98324	111779	49	2	8
2014-03-31 00:33:12.206371	111780	19.8	1	8
2014-03-31 00:33:23.249698	111781	50	2	1
2014-03-31 00:33:23.484801	111782	18.6	1	1
2014-03-31 00:33:32.001434	111783	305	3	2
2014-03-31 00:33:32.224658	111784	1141960.3024152084	4	2
2014-03-31 00:33:41.478797	111785	45	2	10
2014-03-31 00:33:41.711815	111786	19.5	1	10
2014-03-31 00:33:50.107929	111787	54	2	9
2014-03-31 00:33:50.334023	111788	20.2	1	9
2014-03-31 00:33:50.98279	111789	49	2	8
2014-03-31 00:33:51.215515	111790	19.8	1	8
2014-03-31 00:34:02.246442	111791	50	2	1
2014-03-31 00:34:02.474622	111792	18.5	1	1
2014-03-31 00:34:20.001015	111793	338	3	2
2014-03-31 00:34:20.234613	111794	1141964.8985540941	4	2
2014-03-31 00:34:20.545047	111795	45	2	10
2014-03-31 00:34:20.76712	111796	19.4	1	10
2014-03-31 00:34:28.902938	111797	54	2	9
2014-03-31 00:34:29.134956	111798	20.2	1	9
2014-03-31 00:34:29.982524	111799	49	2	8
2014-03-31 00:34:30.206731	111800	19.8	1	8
2014-03-31 00:34:32.003459	111801	338	3	2
2014-03-31 00:34:32.236973	111802	1141966.0475888154	4	2
2014-03-31 00:34:41.248677	111803	50	2	1
2014-03-31 00:34:41.472842	111804	18.5	1	1
2014-03-31 00:34:56.002413	111805	305	3	2
2014-03-31 00:34:56.234153	111806	1141968.3456582583	4	2
2014-03-31 00:34:59.478035	111807	45	2	10
2014-03-31 00:34:59.703636	111808	19.4	1	10
2014-03-31 00:35:08.983412	111809	49	2	8
2014-03-31 00:35:09.217376	111810	19.8	1	8
2014-03-31 00:35:20.247285	111811	50	2	1
2014-03-31 00:35:20.470761	111812	18.5	1	1
2014-03-31 00:35:32.000318	111813	305	3	2
2014-03-31 00:35:32.232869	111814	1141970.6437277012	4	2
2014-03-31 00:35:38.479149	111815	45	2	10
2014-03-31 00:35:38.704682	111816	19.4	1	10
2014-03-31 00:35:46.901173	111817	54	2	9
2014-03-31 00:35:47.135438	111818	20.2	1	9
2014-03-31 00:35:47.982866	111819	49	2	8
2014-03-31 00:35:48.205259	111820	19.8	1	8
2014-03-31 00:35:59.244561	111821	50	2	1
2014-03-31 00:35:59.493304	111822	18.5	1	1
2014-03-31 00:36:17.529524	111823	45	2	10
2014-03-31 00:36:17.751924	111824	19.4	1	10
2014-03-31 00:36:25.905231	111825	54	2	9
2014-03-31 00:36:26.138075	111826	20.2	1	9
2014-03-31 00:36:26.98145	111827	49	2	8
2014-03-31 00:36:27.206831	111828	19.8	1	8
2014-03-31 00:36:32.003152	111829	305	3	2
2014-03-31 00:36:32.236452	111830	1141976.3889013082	4	2
2014-03-31 00:36:38.245363	111831	50	2	1
2014-03-31 00:36:38.467389	111832	18.5	1	1
2014-03-31 00:36:56.479152	111833	45	2	10
2014-03-31 00:36:56.714846	111834	19.4	1	10
2014-03-31 00:37:04.903992	111835	54	2	9
2014-03-31 00:37:05.128245	111836	20.2	1	9
2014-03-31 00:37:05.984248	111837	49	2	8
2014-03-31 00:37:06.217273	111838	19.8	1	8
2014-03-31 00:37:17.246903	111839	50	2	1
2014-03-31 00:37:17.5254	111840	18.5	1	1
2014-03-31 00:37:32.001105	111841	338	3	2
2014-03-31 00:37:32.236944	111842	1141980.985040194	4	2
2014-03-31 00:37:35.48087	111843	45	2	10
2014-03-31 00:37:35.703531	111844	19.4	1	10
2014-03-31 00:37:44.981797	111845	49	2	8
2014-03-31 00:37:45.218293	111846	19.8	1	8
2014-03-31 00:37:56.000052	111847	305	3	2
2014-03-31 00:37:56.225774	111848	1141983.2831096367	4	2
2014-03-31 00:38:14.277715	111849	50	2	1
2014-03-31 00:38:14.51375	111850	18.5	1	1
2014-03-31 00:38:14.819442	111851	45	2	10
2014-03-31 00:38:15.043309	111852	19.4	1	10
2014-03-31 00:38:22.90289	111853	54	2	9
2014-03-31 00:38:23.135879	111854	20.2	1	9
2014-03-31 00:38:23.983023	111855	49	2	8
2014-03-31 00:38:24.207606	111856	19.8	1	8
2014-03-31 00:38:32.002262	111857	305	3	2
2014-03-31 00:38:32.236476	111858	1141986.730213801	4	2
2014-03-31 00:38:35.248869	111859	50	2	1
2014-03-31 00:38:35.474373	111860	18.5	1	1
2014-03-31 00:38:53.479706	111861	45	2	10
2014-03-31 00:38:53.71252	111862	19.4	1	10
2014-03-31 00:39:01.903332	111863	54	2	9
2014-03-31 00:39:02.127513	111864	20.2	1	9
2014-03-31 00:39:02.982844	111865	49	2	8
2014-03-31 00:39:03.215713	111866	19.8	1	8
2014-03-31 00:39:08.003942	111867	354	3	2
2014-03-31 00:39:08.229738	111868	1141990.1773179653	4	2
2014-03-31 00:39:14.246238	111869	50	2	1
2014-03-31 00:39:14.492347	111870	18.5	1	1
2014-03-31 00:39:20.005443	111871	354	3	2
2014-03-31 00:39:20.228478	111872	1141991.3263526866	4	2
2014-03-31 00:39:32.000083	111873	354	3	2
2014-03-31 00:39:32.233325	111874	1141992.475387408	4	2
2014-03-31 00:39:32.538683	111875	45	2	10
2014-03-31 00:39:32.76174	111876	19.4	1	10
2014-03-31 00:39:40.901931	111877	54	2	9
2014-03-31 00:39:41.134402	111878	20.1	1	9
2014-03-31 00:39:41.982902	111879	49	2	8
2014-03-31 00:39:42.205044	111880	19.8	1	8
2014-03-31 00:39:53.243029	111881	50	2	1
2014-03-31 00:39:53.477862	111882	18.5	1	1
2014-03-31 00:40:11.479668	111883	45	2	10
2014-03-31 00:40:11.705644	111884	19.4	1	10
2014-03-31 00:40:19.902516	111885	54	2	9
2014-03-31 00:40:20.135274	111886	20.1	1	9
2014-03-31 00:40:20.983222	111887	49	2	8
2014-03-31 00:40:21.205901	111888	19.8	1	8
2014-03-31 00:40:32.000321	111889	354	3	2
2014-03-31 00:40:32.233391	111890	1141998.2205610152	4	2
2014-03-31 00:40:32.539823	111891	50	2	1
2014-03-31 00:40:32.765273	111892	18.5	1	1
2014-03-31 00:40:50.480248	111893	45	2	10
2014-03-31 00:40:50.71815	111894	19.4	1	10
2014-03-31 00:40:58.903017	111895	54	2	9
2014-03-31 00:40:59.126237	111896	20.1	1	9
2014-03-31 00:40:59.980164	111897	49	2	8
2014-03-31 00:41:00.213277	111898	19.8	1	8
2014-03-31 00:41:11.242823	111899	50	2	1
2014-03-31 00:41:11.46691	111900	18.5	1	1
2014-03-31 00:41:29.480496	111901	45	2	10
2014-03-31 00:41:29.714307	111902	19.4	1	10
2014-03-31 00:41:32.001545	111903	354	3	2
2014-03-31 00:41:32.224865	111904	1142003.9657346222	4	2
2014-03-31 00:41:37.905103	111905	54	2	9
2014-03-31 00:41:38.1373	111906	20.1	1	9
2014-03-31 00:41:38.982051	111907	49	2	8
2014-03-31 00:41:39.204109	111908	19.8	1	8
2014-03-31 00:41:50.242369	111909	50	2	1
2014-03-31 00:41:50.475392	111910	18.5	1	1
2014-03-31 00:42:08.480977	111911	45	2	10
2014-03-31 00:42:08.704749	111912	19.4	1	10
2014-03-31 00:42:17.105647	111913	54	2	9
2014-03-31 00:42:17.339265	111914	20.1	1	9
2014-03-31 00:42:17.984437	111915	49	2	8
2014-03-31 00:42:18.206327	111916	19.7	1	8
2014-03-31 00:42:29.241591	111917	50	2	1
2014-03-31 00:42:29.485679	111918	18.5	1	1
2014-03-31 00:42:32.001589	111919	354	3	2
2014-03-31 00:42:32.22162	111920	1142009.7109082292	4	2
2014-03-31 00:42:47.480224	111921	45	2	10
2014-03-31 00:42:47.714844	111922	19.4	1	10
2014-03-31 00:42:55.900484	111923	54	2	9
2014-03-31 00:42:56.123716	111924	20.1	1	9
2014-03-31 00:42:56.98304	111925	49	2	8
2014-03-31 00:42:57.215391	111926	19.7	1	8
2014-03-31 00:43:08.244126	111927	50	2	1
2014-03-31 00:43:08.465634	111928	18.5	1	1
2014-03-31 00:43:26.480292	111929	45	2	10
2014-03-31 00:43:26.71296	111930	19.4	1	10
2014-03-31 00:43:32.002934	111931	354	3	2
2014-03-31 00:43:32.227528	111932	1142016.6051165578	4	2
2014-03-31 00:43:34.902701	111933	54	2	9
2014-03-31 00:43:35.135016	111934	20.1	1	9
2014-03-31 00:43:35.982038	111935	49	2	8
2014-03-31 00:43:36.204886	111936	19.7	1	8
2014-03-31 00:43:47.245877	111937	50	2	1
2014-03-31 00:43:47.477956	111938	18.5	1	1
2014-03-31 00:44:05.481686	111939	45	2	10
2014-03-31 00:44:05.70408	111940	19.4	1	10
2014-03-31 00:44:13.905925	111941	54	2	9
2014-03-31 00:44:14.139393	111942	20.1	1	9
2014-03-31 00:44:14.983201	111943	49	2	8
2014-03-31 00:44:15.204402	111944	19.7	1	8
2014-03-31 00:44:26.23941	111945	50	2	1
2014-03-31 00:44:26.474223	111946	18.5	1	1
2014-03-31 00:44:32.002989	111947	354	3	2
2014-03-31 00:44:32.226099	111948	1142022.3502901648	4	2
2014-03-31 00:44:44.482797	111949	45	2	10
2014-03-31 00:44:44.715739	111950	19.4	1	10
2014-03-31 00:44:52.902335	111951	54	2	9
2014-03-31 00:44:53.124492	111952	20.1	1	9
2014-03-31 00:44:53.982748	111953	49	2	8
2014-03-31 00:44:54.21489	111954	19.7	1	8
2014-03-31 00:44:55.999197	111955	305	3	2
2014-03-31 00:44:56.22142	111956	1142024.6483596077	4	2
2014-03-31 00:45:05.240641	111957	50	2	1
2014-03-31 00:45:05.475817	111958	18.5	1	1
2014-03-31 00:45:07.999368	111959	305	3	2
2014-03-31 00:45:08.223016	111960	1142025.797394329	4	2
2014-03-31 00:45:23.485906	111961	45	2	10
2014-03-31 00:45:23.739893	111962	19.4	1	10
2014-03-31 00:45:32.984832	111963	49	2	8
2014-03-31 00:45:33.209435	111964	19.7	1	8
2014-03-31 00:45:44.242122	111965	50	2	1
2014-03-31 00:45:44.487169	111966	18.5	1	1
2014-03-31 00:46:02.484858	111967	45	2	10
2014-03-31 00:46:02.711725	111968	19.4	1	10
2014-03-31 00:46:10.901658	111969	54	2	9
2014-03-31 00:46:11.133624	111970	20.1	1	9
2014-03-31 00:46:11.984436	111971	49	2	8
2014-03-31 00:46:12.208228	111972	19.7	1	8
2014-03-31 00:46:23.239804	111973	50	2	1
2014-03-31 00:46:23.473541	111974	18.5	1	1
2014-03-31 00:46:32.002253	111975	305	3	2
2014-03-31 00:46:32.226834	111976	1142032.6916026575	4	2
2014-03-31 00:46:41.482622	111977	45	2	10
2014-03-31 00:46:41.716989	111978	19.4	1	10
2014-03-31 00:46:49.903989	111979	54	2	9
2014-03-31 00:46:50.127778	111980	20.1	1	9
2014-03-31 00:46:50.982864	111981	49	2	8
2014-03-31 00:46:51.214913	111982	19.7	1	8
2014-03-31 00:47:02.239263	111983	50	2	1
2014-03-31 00:47:02.463017	111984	18.5	1	1
2014-03-31 00:47:20.482536	111985	45	2	10
2014-03-31 00:47:20.715524	111986	19.4	1	10
2014-03-31 00:47:29.105885	111987	54	2	9
2014-03-31 00:47:29.329989	111988	20.1	1	9
2014-03-31 00:47:29.984126	111989	49	2	8
2014-03-31 00:47:30.217097	111990	19.7	1	8
2014-03-31 00:47:32.004486	111991	305	3	2
2014-03-31 00:47:32.227162	111992	1142037.2877415433	4	2
2014-03-31 00:47:41.239721	111993	50	2	1
2014-03-31 00:47:41.475629	111994	18.5	1	1
2014-03-31 00:47:59.482393	111995	45	2	10
2014-03-31 00:47:59.714715	111996	19.4	1	10
2014-03-31 00:48:07.905698	111997	54	2	9
2014-03-31 00:48:08.140582	111998	20.1	1	9
2014-03-31 00:48:08.984991	111999	49	2	8
2014-03-31 00:48:09.207669	112000	19.7	1	8
2014-03-31 00:48:20.239178	112001	50	2	1
2014-03-31 00:48:20.473604	112002	18.5	1	1
2014-03-31 00:48:32.000381	112003	305	3	2
2014-03-31 00:48:32.225423	112004	1142043.0329151503	4	2
2014-03-31 00:48:38.483575	112005	45	2	10
2014-03-31 00:48:38.719293	112006	19.4	1	10
2014-03-31 00:48:46.904442	112007	54	2	9
2014-03-31 00:48:47.128574	112008	20.1	1	9
2014-03-31 00:48:47.983706	112009	49	2	8
2014-03-31 00:48:48.216173	112010	19.7	1	8
2014-03-31 00:48:59.240158	112011	50	2	1
2014-03-31 00:48:59.463699	112012	18.5	1	1
2014-03-31 00:49:17.48351	112013	45	2	10
2014-03-31 00:49:17.782512	112014	19.4	1	10
2014-03-31 00:49:25.900318	112015	54	2	9
2014-03-31 00:49:26.123631	112016	20.1	1	9
2014-03-31 00:49:26.983676	112017	49	2	8
2014-03-31 00:49:27.401419	112018	19.7	1	8
2014-03-31 00:49:32.001662	112019	305	3	2
2014-03-31 00:49:32.229252	112020	1142047.629054036	4	2
2014-03-31 00:49:38.237738	112021	50	2	1
2014-03-31 00:49:38.460028	112022	18.5	1	1
2014-03-31 00:49:56.482305	112023	45	2	10
2014-03-31 00:49:56.712307	112024	19.4	1	10
2014-03-31 00:50:05.982928	112025	49	2	8
2014-03-31 00:50:06.205182	112026	19.7	1	8
2014-03-31 00:50:17.237009	112027	50	2	1
2014-03-31 00:50:17.47232	112028	18.5	1	1
2014-03-31 00:50:19.999357	112029	338	3	2
2014-03-31 00:50:20.220306	112030	1142052.2251929217	4	2
2014-03-31 00:50:31.999571	112031	305	3	2
2014-03-31 00:50:32.231546	112032	1142053.374227643	4	2
2014-03-31 00:50:35.48365	112033	45	2	10
2014-03-31 00:50:35.70562	112034	19.4	1	10
2014-03-31 00:50:44.981355	112035	49	2	8
2014-03-31 00:50:45.213544	112036	19.7	1	8
2014-03-31 00:50:55.999389	112037	434	3	2
2014-03-31 00:50:56.220457	112038	1142055.6722970859	4	2
2014-03-31 00:50:56.527037	112039	50	2	1
2014-03-31 00:50:56.75932	112040	18.5	1	1
2014-03-31 00:51:07.998154	112041	434	3	2
2014-03-31 00:51:08.221937	112042	1142056.8213318072	4	2
2014-03-31 00:51:14.483904	112043	45	2	10
2014-03-31 00:51:14.718142	112044	19.4	1	10
2014-03-31 00:51:23.98159	112045	49	2	8
2014-03-31 00:51:24.203997	112046	19.7	1	8
2014-03-31 00:51:31.998866	112047	450	3	2
2014-03-31 00:51:32.230023	112048	1142059.11940125	4	2
2014-03-31 00:51:35.237274	112049	50	2	1
2014-03-31 00:51:35.457881	112050	18.5	1	1
2014-03-31 00:51:53.483424	112051	45	2	10
2014-03-31 00:51:53.716723	112052	19.4	1	10
2014-03-31 00:52:02.982739	112053	49	2	8
2014-03-31 00:52:03.203447	112054	19.7	1	8
2014-03-31 00:52:14.238542	112055	50	2	1
2014-03-31 00:52:14.4701	112056	18.5	1	1
2014-03-31 00:52:32.001671	112057	434	3	2
2014-03-31 00:52:32.224049	112058	1142067.1626443	4	2
2014-03-31 00:52:32.527231	112059	45	2	10
2014-03-31 00:52:32.75921	112060	19.3	1	10
2014-03-31 00:52:41.983489	112061	49	2	8
2014-03-31 00:52:42.208467	112062	19.7	1	8
2014-03-31 00:52:53.236531	112063	50	2	1
2014-03-31 00:52:53.477297	112064	18.5	1	1
2014-03-31 00:53:11.483653	112065	45	2	10
2014-03-31 00:53:11.706741	112066	19.3	1	10
2014-03-31 00:53:20.984548	112067	49	2	8
2014-03-31 00:53:21.216769	112068	19.7	1	8
2014-03-31 00:53:31.999429	112069	418	3	2
2014-03-31 00:53:32.223292	112070	1142074.0568526285	4	2
2014-03-31 00:53:32.528017	112071	50	2	1
2014-03-31 00:53:32.757799	112072	18.5	1	1
2014-03-31 00:53:50.48422	112073	45	2	10
2014-03-31 00:53:50.708303	112074	19.3	1	10
2014-03-31 00:53:59.983167	112075	49	2	8
2014-03-31 00:54:00.21537	112076	19.7	1	8
2014-03-31 00:54:11.23581	112077	50	2	1
2014-03-31 00:54:11.457524	112078	18.5	1	1
2014-03-31 00:54:29.483052	112079	45	2	10
2014-03-31 00:54:29.715051	112080	19.3	1	10
2014-03-31 00:54:31.999121	112081	418	3	2
2014-03-31 00:54:32.222528	112082	1142080.951060957	4	2
2014-03-31 00:54:38.9831	112083	49	2	8
2014-03-31 00:54:39.216396	112084	19.7	1	8
2014-03-31 00:54:50.235025	112085	50	2	1
2014-03-31 00:54:50.45737	112086	18.5	1	1
2014-03-31 00:55:08.485083	112087	45	2	10
2014-03-31 00:55:08.716245	112088	19.3	1	10
2014-03-31 00:55:18.001972	112089	49	2	8
2014-03-31 00:55:18.223231	112090	19.7	1	8
2014-03-31 00:55:29.235089	112091	50	2	1
2014-03-31 00:55:29.469266	112092	18.5	1	1
2014-03-31 00:55:31.999351	112093	434	3	2
2014-03-31 00:55:32.220638	112094	1142088.994304007	4	2
2014-03-31 00:55:47.489192	112095	45	2	10
2014-03-31 00:55:47.722101	112096	19.3	1	10
2014-03-31 00:55:56.983093	112097	49	2	8
2014-03-31 00:55:57.204988	112098	19.7	1	8
2014-03-31 00:56:08.235132	112099	50	2	1
2014-03-31 00:56:08.466935	112100	18.5	1	1
2014-03-31 00:56:26.485106	112101	45	2	10
2014-03-31 00:56:26.710295	112102	19.3	1	10
2014-03-31 00:56:32.004688	112103	434	3	2
2014-03-31 00:56:32.23603	112104	1142095.8885123355	4	2
2014-03-31 00:56:35.983732	112105	49	2	8
2014-03-31 00:56:36.205333	112106	19.7	1	8
2014-03-31 00:56:47.233199	112107	50	2	1
2014-03-31 00:56:47.464976	112108	18.5	1	1
2014-03-31 00:56:55.998834	112109	370	3	2
2014-03-31 00:56:56.221114	112110	1142098.186581778	4	2
2014-03-31 00:57:05.485169	112111	45	2	10
2014-03-31 00:57:05.728728	112112	19.3	1	10
2014-03-31 00:57:07.998301	112113	370	3	2
2014-03-31 00:57:08.220741	112114	1142099.3356164997	4	2
2014-03-31 00:57:14.981328	112115	49	2	8
2014-03-31 00:57:15.215195	112116	19.7	1	8
2014-03-31 00:57:26.234181	112117	50	2	1
2014-03-31 00:57:26.454887	112118	18.4	1	1
2014-03-31 00:57:32.001685	112119	402	3	2
2014-03-31 00:57:32.233225	112120	1142101.6336859425	4	2
2014-03-31 00:57:43.997866	112121	370	3	2
2014-03-31 00:57:44.220806	112122	1142103.9317553854	4	2
2014-03-31 00:57:44.523814	112123	45	2	10
2014-03-31 00:57:44.756223	112124	19.3	1	10
2014-03-31 00:57:53.983294	112125	49	2	8
2014-03-31 00:57:54.205397	112126	19.7	1	8
2014-03-31 00:57:55.9989	112127	370	3	2
2014-03-31 00:57:56.229213	112128	1142105.0807901067	4	2
2014-03-31 00:58:05.23628	112129	50	2	1
2014-03-31 00:58:05.457146	112130	18.4	1	1
2014-03-31 00:58:23.485772	112131	45	2	10
2014-03-31 00:58:23.71652	112132	19.3	1	10
2014-03-31 00:58:32.983939	112133	49	2	8
2014-03-31 00:58:33.207122	112134	19.7	1	8
2014-03-31 00:58:44.232673	112135	50	2	1
2014-03-31 00:58:44.464522	112136	18.4	1	1
2014-03-31 00:59:02.486056	112137	45	2	10
2014-03-31 00:59:02.709043	112138	19.3	1	10
2014-03-31 00:59:11.983651	112139	49	2	8
2014-03-31 00:59:12.21718	112140	19.7	1	8
2014-03-31 00:59:23.233764	112141	50	2	1
2014-03-31 00:59:23.456733	112142	18.4	1	1
2014-03-31 00:59:31.998907	112143	370	3	2
2014-03-31 00:59:32.232607	112144	1142114.273067878	4	2
2014-03-31 00:59:41.486274	112145	45	2	10
2014-03-31 00:59:41.707551	112146	19.3	1	10
2014-03-31 00:59:50.981935	112147	49	2	8
2014-03-31 00:59:51.217457	112148	19.7	1	8
2014-03-31 01:00:02.233968	112149	50	2	1
2014-03-31 01:00:02.45494	112150	18.4	1	1
2014-03-31 01:00:20.488572	112151	45	2	10
2014-03-31 01:00:20.723662	112152	19.3	1	10
2014-03-31 01:00:29.982919	112153	49	2	8
2014-03-31 01:00:30.206236	112154	19.7	1	8
2014-03-31 01:00:32.000245	112155	370	3	2
2014-03-31 01:00:32.230361	112156	1142121.1672762064	4	2
2014-03-31 01:00:41.267617	112157	50	2	1
2014-03-31 01:00:41.492068	112158	18.4	1	1
2014-03-31 01:00:59.488977	112159	45	2	10
2014-03-31 01:00:59.734615	112160	19.3	1	10
2014-03-31 01:01:08.981686	112161	49	2	8
2014-03-31 01:01:09.202834	112162	19.7	1	8
2014-03-31 01:01:20.231329	112163	50	2	1
2014-03-31 01:01:20.46328	112164	18.4	1	1
2014-03-31 01:01:31.999075	112165	370	3	2
2014-03-31 01:01:32.22191	112166	1142126.9124498137	4	2
2014-03-31 01:01:38.487153	112167	45	2	10
2014-03-31 01:01:38.721348	112168	19.3	1	10
2014-03-31 01:01:47.982616	112169	49	2	8
2014-03-31 01:01:48.203634	112170	19.7	1	8
2014-03-31 01:01:59.230843	112171	50	2	1
2014-03-31 01:01:59.463493	112172	18.4	1	1
2014-03-31 01:02:17.486785	112173	45	2	10
2014-03-31 01:02:17.711314	112174	19.3	1	10
2014-03-31 01:02:26.981529	112175	49	2	8
2014-03-31 01:02:27.214013	112176	19.7	1	8
2014-03-31 01:02:32.001827	112177	370	3	2
2014-03-31 01:02:32.22687	112178	1142133.806658142	4	2
2014-03-31 01:02:38.230672	112179	50	2	1
2014-03-31 01:02:38.465441	112180	18.4	1	1
2014-03-31 01:02:56.486609	112181	45	2	10
2014-03-31 01:02:56.708079	112182	19.3	1	10
2014-03-31 01:03:05.981306	112183	49	2	8
2014-03-31 01:03:06.213553	112184	19.7	1	8
2014-03-31 01:03:08.000712	112185	418	3	2
2014-03-31 01:03:08.222679	112186	1142137.2537623064	4	2
2014-03-31 01:03:17.230061	112187	50	2	1
2014-03-31 01:03:17.463126	112188	18.4	1	1
2014-03-31 01:03:19.996822	112189	434	3	2
2014-03-31 01:03:20.21889	112190	1142138.4027970277	4	2
2014-03-31 01:03:31.997271	112191	434	3	2
2014-03-31 01:03:32.23007	112192	1142139.551831749	4	2
2014-03-31 01:03:35.488923	112193	45	2	10
2014-03-31 01:03:35.710411	112194	19.3	1	10
2014-03-31 01:03:44.982586	112195	49	2	8
2014-03-31 01:03:45.217027	112196	19.7	1	8
2014-03-31 01:03:56.229978	112197	50	2	1
2014-03-31 01:03:56.451525	112198	18.4	1	1
2014-03-31 01:04:14.486723	112199	45	2	10
2014-03-31 01:04:14.718946	112200	19.3	1	10
2014-03-31 01:04:23.982968	112201	49	2	8
2014-03-31 01:04:24.207229	112202	19.7	1	8
2014-03-31 01:04:32.00043	112203	418	3	2
2014-03-31 01:04:32.233114	112204	1142146.45051103	4	2
2014-03-31 01:04:35.231633	112205	50	2	1
2014-03-31 01:04:35.453736	112206	18.4	1	1
2014-03-31 01:04:53.487846	112207	45	2	10
2014-03-31 01:04:53.730088	112208	19.3	1	10
2014-03-31 01:05:02.982315	112209	49	2	8
2014-03-31 01:05:03.206432	112210	19.7	1	8
2014-03-31 01:05:14.234506	112211	50	2	1
2014-03-31 01:05:14.466238	112212	18.4	1	1
2014-03-31 01:05:31.997476	112213	434	3	2
2014-03-31 01:05:32.222578	112214	1142153.3447193583	4	2
2014-03-31 01:05:32.526279	112215	45	2	10
2014-03-31 01:05:32.758542	112216	19.3	1	10
2014-03-31 01:05:41.982481	112217	49	2	8
2014-03-31 01:05:42.203506	112218	19.7	1	8
2014-03-31 01:05:53.229303	112219	50	2	1
2014-03-31 01:05:53.46137	112220	18.4	1	1
2014-03-31 01:06:11.487585	112221	45	2	10
2014-03-31 01:06:11.710621	112222	19.3	1	10
2014-03-31 01:06:20.98247	112223	49	2	8
2014-03-31 01:06:21.213453	112224	19.7	1	8
2014-03-31 01:06:31.997145	112225	418	3	2
2014-03-31 01:06:32.220058	112226	1142160.2389276868	4	2
2014-03-31 01:06:32.544941	112227	50	2	1
2014-03-31 01:06:32.776969	112228	18.4	1	1
2014-03-31 01:06:50.489951	112229	45	2	10
2014-03-31 01:06:50.713048	112230	19.3	1	10
2014-03-31 01:06:59.982588	112231	49	2	8
2014-03-31 01:07:00.213926	112232	19.7	1	8
2014-03-31 01:07:07.998996	112233	354	3	2
2014-03-31 01:07:08.220586	112234	1142163.686031851	4	2
2014-03-31 01:07:11.229737	112235	50	2	1
2014-03-31 01:07:11.461516	112236	18.4	1	1
2014-03-31 01:07:19.998973	112237	354	3	2
2014-03-31 01:07:20.220683	112238	1142164.8350665725	4	2
2014-03-31 01:07:29.488505	112239	45	2	10
2014-03-31 01:07:29.721715	112240	19.3	1	10
2014-03-31 01:07:31.997227	112241	354	3	2
2014-03-31 01:07:32.219376	112242	1142165.9841012938	4	2
2014-03-31 01:07:38.982425	112243	49	2	8
2014-03-31 01:07:39.21521	112244	19.7	1	8
2014-03-31 01:07:50.227227	112245	50	2	1
2014-03-31 01:07:50.451572	112246	18.4	1	1
2014-03-31 01:08:08.48892	112247	45	2	10
2014-03-31 01:08:08.722465	112248	19.3	1	10
2014-03-31 01:08:17.982383	112249	49	2	8
2014-03-31 01:08:18.257837	112250	19.7	1	8
2014-03-31 01:08:29.226781	112251	50	2	1
2014-03-31 01:08:29.458788	112252	18.4	1	1
2014-03-31 01:08:31.99965	112253	354	3	2
2014-03-31 01:08:32.221771	112254	1142172.8783096224	4	2
2014-03-31 01:08:43.995986	112255	305	3	2
2014-03-31 01:08:44.23856	112256	1142172.8783096224	4	2
2014-03-31 01:08:47.489636	112257	45	2	10
2014-03-31 01:08:47.710251	112258	19.3	1	10
2014-03-31 01:08:56.984282	112259	49	2	8
2014-03-31 01:08:57.216126	112260	19.7	1	8
2014-03-31 01:09:08.226962	112261	50	2	1
2014-03-31 01:09:08.448319	112262	18.4	1	1
2014-03-31 01:09:26.49134	112263	45	2	10
2014-03-31 01:09:26.724519	112264	19.3	1	10
2014-03-31 01:09:32.004647	112265	305	3	2
2014-03-31 01:09:32.226807	112266	1142177.4744485081	4	2
2014-03-31 01:09:35.983801	112267	49	2	8
2014-03-31 01:09:36.215426	112268	19.7	1	8
2014-03-31 01:09:47.226194	112269	50	2	1
2014-03-31 01:09:47.448625	112270	18.4	1	1
2014-03-31 01:10:05.489362	112271	45	2	10
2014-03-31 01:10:05.72294	112272	19.3	1	10
2014-03-31 01:10:14.983285	112273	49	2	8
2014-03-31 01:10:15.20578	112274	19.7	1	8
2014-03-31 01:10:19.997907	112275	338	3	2
2014-03-31 01:10:20.235576	112276	1142182.0705873938	4	2
2014-03-31 01:10:26.229394	112277	50	2	1
2014-03-31 01:10:26.453428	112278	18.4	1	1
2014-03-31 01:10:32.000815	112279	305	3	2
2014-03-31 01:10:32.23979	112280	1142183.2196221151	4	2
2014-03-31 01:10:43.999311	112281	305	3	2
2014-03-31 01:10:44.222748	112282	1142183.2196221151	4	2
2014-03-31 01:10:44.526771	112283	45	2	10
2014-03-31 01:10:44.756025	112284	19.3	1	10
2014-03-31 01:10:53.983341	112285	49	2	8
2014-03-31 01:10:54.204362	112286	19.7	1	8
2014-03-31 01:11:05.224255	112287	50	2	1
2014-03-31 01:11:05.458895	112288	18.4	1	1
2014-03-31 01:11:23.489799	112289	45	2	10
2014-03-31 01:11:23.717035	112290	19.3	1	10
2014-03-31 01:11:32.981775	112291	49	2	8
2014-03-31 01:11:33.213667	112292	19.7	1	8
2014-03-31 01:11:44.225274	112293	50	2	1
2014-03-31 01:11:44.448715	112294	18.4	1	1
2014-03-31 01:12:02.492088	112295	45	2	10
2014-03-31 01:12:02.724135	112296	19.3	1	10
2014-03-31 01:12:11.981599	112297	49	2	8
2014-03-31 01:12:12.205171	112298	19.7	1	8
2014-03-31 01:12:23.226975	112299	50	2	1
2014-03-31 01:12:23.464802	112300	18.4	1	1
2014-03-31 01:12:31.997645	112301	305	3	2
2014-03-31 01:12:32.220038	112302	1142192.4118998866	4	2
2014-03-31 01:12:41.489749	112303	45	2	10
2014-03-31 01:12:41.736394	112304	19.3	1	10
2014-03-31 01:12:50.982587	112305	49	2	8
2014-03-31 01:12:51.204239	112306	19.7	1	8
2014-03-31 01:13:02.225861	112307	50	2	1
2014-03-31 01:13:02.457338	112308	18.4	1	1
2014-03-31 01:13:20.488922	112309	45	2	10
2014-03-31 01:13:20.712821	112310	19.3	1	10
2014-03-31 01:13:29.982561	112311	49	2	8
2014-03-31 01:13:30.213791	112312	19.7	1	8
2014-03-31 01:13:31.997038	112313	305	3	2
2014-03-31 01:13:32.221209	112314	1142198.1570734936	4	2
2014-03-31 01:13:41.224945	112315	50	2	1
2014-03-31 01:13:41.456608	112316	18.4	1	1
2014-03-31 01:13:55.996123	112317	338	3	2
2014-03-31 01:13:56.217339	112318	1142200.4551429364	4	2
2014-03-31 01:13:59.490307	112319	45	2	10
2014-03-31 01:13:59.721319	112320	19.3	1	10
2014-03-31 01:14:08.982991	112321	49	2	8
2014-03-31 01:14:09.207785	112322	19.7	1	8
2014-03-31 01:14:19.998622	112323	305	3	2
2014-03-31 01:14:20.23087	112324	1142202.7532123793	4	2
2014-03-31 01:14:20.534298	112325	50	2	1
2014-03-31 01:14:20.757809	112326	18.4	1	1
2014-03-31 01:14:31.998661	112327	305	3	2
2014-03-31 01:14:32.2301	112328	1142202.7532123793	4	2
2014-03-31 01:14:38.492126	112329	45	2	10
2014-03-31 01:14:38.715105	112330	19.2	1	10
2014-03-31 01:14:44.003397	112331	354	3	2
2014-03-31 01:14:44.234842	112332	1142203.9022471006	4	2
2014-03-31 01:14:47.983901	112333	49	2	8
2014-03-31 01:14:48.205739	112334	19.7	1	8
2014-03-31 01:14:55.998606	112335	370	3	2
2014-03-31 01:14:56.229632	112336	1142205.051281822	4	2
2014-03-31 01:14:59.224683	112337	50	2	1
2014-03-31 01:14:59.445298	112338	18.4	1	1
2014-03-31 01:15:17.490625	112339	45	2	10
2014-03-31 01:15:17.724359	112340	19.2	1	10
2014-03-31 01:15:26.982871	112341	49	2	8
2014-03-31 01:15:27.206916	112342	19.7	1	8
2014-03-31 01:15:31.998861	112343	354	3	2
2014-03-31 01:15:32.236428	112344	1142209.6474207076	4	2
2014-03-31 01:15:38.225215	112345	50	2	1
2014-03-31 01:15:38.447582	112346	18.4	1	1
2014-03-31 01:15:56.492378	112347	45	2	10
2014-03-31 01:15:56.727014	112348	19.2	1	10
2014-03-31 01:16:05.982857	112349	49	2	8
2014-03-31 01:16:06.206284	112350	19.7	1	8
2014-03-31 01:16:17.224435	112351	50	2	1
2014-03-31 01:16:17.471523	112352	18.4	1	1
2014-03-31 01:16:31.996145	112353	370	3	2
2014-03-31 01:16:32.218186	112354	1142215.3925943146	4	2
2014-03-31 01:16:35.49248	112355	45	2	10
2014-03-31 01:16:35.723565	112356	19.2	1	10
2014-03-31 01:16:44.980424	112357	49	2	8
2014-03-31 01:16:45.202567	112358	19.7	1	8
2014-03-31 01:16:56.222872	112359	50	2	1
2014-03-31 01:16:56.457199	112360	18.4	1	1
2014-03-31 01:17:14.493669	112361	45	2	10
2014-03-31 01:17:14.715532	112362	19.2	1	10
2014-03-31 01:17:23.983684	112363	49	2	8
2014-03-31 01:17:24.21788	112364	19.7	1	8
2014-03-31 01:17:31.999379	112365	354	3	2
2014-03-31 01:17:32.221606	112366	1142221.137767922	4	2
2014-03-31 01:17:35.222577	112367	50	2	1
2014-03-31 01:17:35.453913	112368	18.4	1	1
2014-03-31 01:17:53.492482	112369	45	2	10
2014-03-31 01:17:53.718979	112370	19.2	1	10
2014-03-31 01:18:02.983693	112371	49	2	8
2014-03-31 01:18:03.215423	112372	19.7	1	8
2014-03-31 01:18:14.228741	112373	50	2	1
2014-03-31 01:18:14.451722	112374	18.4	1	1
2014-03-31 01:18:31.999086	112375	354	3	2
2014-03-31 01:18:32.237204	112376	1142226.882941529	4	2
2014-03-31 01:18:32.542669	112377	45	2	10
2014-03-31 01:18:32.765942	112378	19.2	1	10
2014-03-31 01:18:41.981988	112379	49	2	8
2014-03-31 01:18:42.213453	112380	19.7	1	8
2014-03-31 01:18:53.221484	112381	50	2	1
2014-03-31 01:18:53.443784	112382	18.4	1	1
2014-03-31 01:19:11.491927	112383	45	2	10
2014-03-31 01:19:11.723783	112384	19.2	1	10
2014-03-31 01:19:20.982783	112385	49	2	8
2014-03-31 01:19:21.204322	112386	19.7	1	8
2014-03-31 01:19:31.997663	112387	370	3	2
2014-03-31 01:19:32.230436	112388	1142232.628115136	4	2
2014-03-31 01:19:32.534997	112389	50	2	1
2014-03-31 01:19:32.757438	112390	18.4	1	1
2014-03-31 01:19:50.492866	112391	45	2	10
2014-03-31 01:19:50.723565	112392	19.2	1	10
2014-03-31 01:19:59.983286	112393	49	2	8
2014-03-31 01:20:00.206975	112394	19.7	1	8
2014-03-31 01:20:11.219959	112395	50	2	1
2014-03-31 01:20:11.452502	112396	18.4	1	1
2014-03-31 01:20:20.130037	112397	305	3	2
2014-03-31 01:20:20.542713	112398	1142238.373288743	4	2
2014-03-31 01:20:29.49417	112399	45	2	10
2014-03-31 01:20:29.737097	112400	19.2	1	10
2014-03-31 01:20:31.994906	112401	305	3	2
2014-03-31 01:20:32.218532	112402	1142238.373288743	4	2
2014-03-31 01:20:38.982471	112403	49	2	8
2014-03-31 01:20:39.21554	112404	19.7	1	8
2014-03-31 01:20:50.221616	112405	50	2	1
2014-03-31 01:20:50.443413	112406	18.4	1	1
2014-03-31 01:21:08.493115	112407	45	2	10
2014-03-31 01:21:08.723719	112408	19.2	1	10
2014-03-31 01:21:17.982597	112409	49	2	8
2014-03-31 01:21:18.207062	112410	19.7	1	8
2014-03-31 01:21:29.222713	112411	50	2	1
2014-03-31 01:21:29.453806	112412	18.4	1	1
2014-03-31 01:21:31.995984	112413	305	3	2
2014-03-31 01:21:32.219242	112414	1142244.1184623502	4	2
2014-03-31 01:21:47.504702	112415	45	2	10
2014-03-31 01:21:47.738293	112416	19.2	1	10
2014-03-31 01:21:55.957467	112417	54	2	9
2014-03-31 01:21:56.178742	112418	20.0	1	9
2014-03-31 01:21:56.981042	112419	49	2	8
2014-03-31 01:21:57.21227	112420	19.7	1	8
2014-03-31 01:22:08.220278	112421	50	2	1
2014-03-31 01:22:08.443725	112422	18.4	1	1
2014-03-31 01:22:26.495389	112423	45	2	10
2014-03-31 01:22:26.727252	112424	19.2	1	10
2014-03-31 01:22:32.001913	112425	305	3	2
2014-03-31 01:22:32.225681	112426	1142248.7146012357	4	2
2014-03-31 01:22:35.98193	112427	49	2	8
2014-03-31 01:22:36.21326	112428	19.7	1	8
2014-03-31 01:22:47.220789	112429	50	2	1
2014-03-31 01:22:47.445776	112430	18.4	1	1
2014-03-31 01:23:05.497479	112431	45	2	10
2014-03-31 01:23:05.729575	112432	19.2	1	10
2014-03-31 01:23:14.981804	112433	49	2	8
2014-03-31 01:23:15.224484	112434	19.7	1	8
2014-03-31 01:23:26.218921	112435	50	2	1
2014-03-31 01:23:26.449438	112436	18.4	1	1
2014-03-31 01:23:44.295013	112437	305	3	2
2014-03-31 01:23:44.517166	112438	1142254.459774843	4	2
2014-03-31 01:23:44.823576	112439	45	2	10
2014-03-31 01:23:45.055762	112440	19.2	1	10
2014-03-31 01:23:53.981055	112441	49	2	8
2014-03-31 01:23:54.202834	112442	19.7	1	8
2014-03-31 01:24:05.218896	112443	50	2	1
2014-03-31 01:24:05.450948	112444	18.3	1	1
2014-03-31 01:24:23.494762	112445	45	2	10
2014-03-31 01:24:23.723037	112446	19.2	1	10
2014-03-31 01:24:32.982677	112447	49	2	8
2014-03-31 01:24:33.227546	112448	19.7	1	8
2014-03-31 01:24:44.2183	112449	50	2	1
2014-03-31 01:24:44.43921	112450	18.3	1	1
2014-03-31 01:25:02.49592	112451	45	2	10
2014-03-31 01:25:02.726376	112452	19.2	1	10
2014-03-31 01:25:11.984073	112453	49	2	8
2014-03-31 01:25:12.205693	112454	19.7	1	8
2014-03-31 01:25:20.000267	112455	338	3	2
2014-03-31 01:25:20.234081	112456	1142263.6520526141	4	2
2014-03-31 01:25:23.21797	112457	50	2	1
2014-03-31 01:25:23.438786	112458	18.3	1	1
2014-03-31 01:25:31.995951	112459	338	3	2
2014-03-31 01:25:32.229863	112460	1142264.8010873357	4	2
2014-03-31 01:25:41.494599	112461	45	2	10
2014-03-31 01:25:41.716913	112462	19.2	1	10
2014-03-31 01:25:50.980713	112463	49	2	8
2014-03-31 01:25:51.214444	112464	19.7	1	8
2014-03-31 01:25:56.037294	112465	305	3	2
2014-03-31 01:25:56.281637	112466	1142267.0991567785	4	2
2014-03-31 01:26:02.217475	112467	50	2	1
2014-03-31 01:26:02.447946	112468	18.3	1	1
2014-03-31 01:26:08.010509	112469	338	3	2
2014-03-31 01:26:08.232781	112470	1142268.2481914998	4	2
2014-03-31 01:26:19.995282	112471	338	3	2
2014-03-31 01:26:20.2277	112472	1142269.3972262212	4	2
2014-03-31 01:26:20.531601	112473	45	2	10
2014-03-31 01:26:20.772932	112474	19.2	1	10
2014-03-31 01:26:29.982479	112475	49	2	8
2014-03-31 01:26:30.215962	112476	19.7	1	8
2014-03-31 01:26:31.995221	112477	370	3	2
2014-03-31 01:26:32.217252	112478	1142270.5462609427	4	2
2014-03-31 01:26:41.219924	112479	50	2	1
2014-03-31 01:26:41.451717	112480	18.3	1	1
2014-03-31 01:26:43.994687	112481	370	3	2
2014-03-31 01:26:44.218157	112482	1142271.695295664	4	2
2014-03-31 01:26:59.494923	112483	45	2	10
2014-03-31 01:26:59.726535	112484	19.2	1	10
2014-03-31 01:27:08.980674	112485	49	2	8
2014-03-31 01:27:09.204896	112486	19.7	1	8
2014-03-31 01:27:20.217659	112487	50	2	1
2014-03-31 01:27:20.45182	112488	18.3	1	1
2014-03-31 01:27:31.996075	112489	370	3	2
2014-03-31 01:27:32.217824	112490	1142276.2914345497	4	2
2014-03-31 01:27:38.494567	112491	45	2	10
2014-03-31 01:27:38.728934	112492	19.2	1	10
2014-03-31 01:27:47.983126	112493	49	2	8
2014-03-31 01:27:48.206731	112494	19.7	1	8
2014-03-31 01:27:59.216076	112495	50	2	1
2014-03-31 01:27:59.463035	112496	18.3	1	1
2014-03-31 01:28:17.498791	112497	45	2	10
2014-03-31 01:28:17.723521	112498	19.2	1	10
2014-03-31 01:28:26.980849	112499	49	2	8
2014-03-31 01:28:27.214122	112500	19.7	1	8
2014-03-31 01:28:31.997149	112501	370	3	2
2014-03-31 01:28:32.223411	112502	1142283.1856428783	4	2
2014-03-31 01:28:38.218099	112503	50	2	1
2014-03-31 01:28:38.449088	112504	18.3	1	1
2014-03-31 01:28:56.495192	112505	45	2	10
2014-03-31 01:28:56.719961	112506	19.2	1	10
2014-03-31 01:29:05.98258	112507	49	2	8
2014-03-31 01:29:06.214622	112508	19.7	1	8
2014-03-31 01:29:17.215777	112509	50	2	1
2014-03-31 01:29:17.437798	112510	18.3	1	1
2014-03-31 01:29:31.995731	112511	370	3	2
2014-03-31 01:29:32.227546	112512	1142288.9308164853	4	2
2014-03-31 01:29:35.4954	112513	45	2	10
2014-03-31 01:29:35.719189	112514	19.2	1	10
2014-03-31 01:29:44.98249	112515	49	2	8
2014-03-31 01:29:45.213622	112516	19.7	1	8
2014-03-31 01:29:56.271995	112517	50	2	1
2014-03-31 01:29:56.49449	112518	18.3	1	1
2014-03-31 01:30:14.495722	112519	45	2	10
2014-03-31 01:30:14.72964	112520	19.2	1	10
2014-03-31 01:30:23.983791	112521	49	2	8
2014-03-31 01:30:24.205919	112522	19.7	1	8
2014-03-31 01:30:31.998242	112523	370	3	2
2014-03-31 01:30:32.228919	112524	1142294.6759900923	4	2
2014-03-31 01:30:35.21491	112525	50	2	1
2014-03-31 01:30:35.435595	112526	18.3	1	1
2014-03-31 01:30:53.497325	112527	45	2	10
2014-03-31 01:30:53.730324	112528	19.2	1	10
2014-03-31 01:31:02.98353	112529	49	2	8
2014-03-31 01:31:03.205841	112530	19.7	1	8
2014-03-31 01:31:14.215617	112531	50	2	1
2014-03-31 01:31:14.450212	112532	18.3	1	1
2014-03-31 01:31:31.995964	112533	370	3	2
2014-03-31 01:31:32.219622	112534	1142301.570198421	4	2
2014-03-31 01:31:32.52447	112535	45	2	10
2014-03-31 01:31:32.756151	112536	19.2	1	10
2014-03-31 01:31:41.98289	112537	49	2	8
2014-03-31 01:31:42.206589	112538	19.7	1	8
2014-03-31 01:31:43.994163	112539	305	3	2
2014-03-31 01:31:44.226704	112540	1142302.7192331422	4	2
2014-03-31 01:31:53.216497	112541	50	2	1
2014-03-31 01:31:53.438841	112542	18.3	1	1
2014-03-31 01:31:55.997087	112543	305	3	2
2014-03-31 01:31:56.281165	112544	1142303.8682678638	4	2
2014-03-31 01:32:07.996178	112545	338	3	2
2014-03-31 01:32:08.220116	112546	1142305.017302585	4	2
2014-03-31 01:32:11.496546	112547	45	2	10
2014-03-31 01:32:11.72762	112548	19.2	1	10
2014-03-31 01:32:20.982542	112549	49	2	8
2014-03-31 01:32:21.204953	112550	19.7	1	8
2014-03-31 01:32:31.994948	112551	338	3	2
2014-03-31 01:32:32.227003	112552	1142306.1663373066	4	2
2014-03-31 01:32:32.53208	112553	50	2	1
2014-03-31 01:32:32.755922	112554	18.3	1	1
2014-03-31 01:32:43.998893	112555	338	3	2
2014-03-31 01:32:44.234512	112556	1142307.315372028	4	2
2014-03-31 01:32:50.497776	112557	45	2	10
2014-03-31 01:32:50.719741	112558	19.2	1	10
2014-03-31 01:32:59.982586	112559	49	2	8
2014-03-31 01:33:00.213779	112560	19.7	1	8
2014-03-31 01:33:07.996137	112561	305	3	2
2014-03-31 01:33:08.219135	112562	1142309.6134414708	4	2
2014-03-31 01:33:11.213835	112563	50	2	1
2014-03-31 01:33:11.447379	112564	18.3	1	1
2014-03-31 01:33:19.996163	112565	305	3	2
2014-03-31 01:33:20.222174	112566	1142310.762476192	4	2
2014-03-31 01:33:29.500121	112567	45	2	10
2014-03-31 01:33:29.732307	112568	19.2	1	10
2014-03-31 01:33:31.995297	112569	338	3	2
2014-03-31 01:33:32.216009	112570	1142311.9115109136	4	2
2014-03-31 01:33:38.982763	112571	49	2	8
2014-03-31 01:33:39.214229	112572	19.7	1	8
2014-03-31 01:33:43.996823	112573	305	3	2
2014-03-31 01:33:44.223238	112574	1142313.060545635	4	2
2014-03-31 01:33:50.214209	112575	50	2	1
2014-03-31 01:33:50.446989	112576	18.3	1	1
2014-03-31 01:33:55.999544	112577	305	3	2
2014-03-31 01:33:56.222084	112578	1142314.2095803565	4	2
2014-03-31 01:34:08.498531	112579	45	2	10
2014-03-31 01:34:08.733711	112580	19.2	1	10
2014-03-31 01:34:17.981724	112581	49	2	8
2014-03-31 01:34:18.204028	112582	19.7	1	8
2014-03-31 01:34:29.212613	112583	50	2	1
2014-03-31 01:34:29.444198	112584	18.3	1	1
2014-03-31 01:34:31.995693	112585	305	3	2
2014-03-31 01:34:32.21805	112586	1142317.6566845207	4	2
2014-03-31 01:34:47.498009	112587	45	2	10
2014-03-31 01:34:47.733167	112588	19.2	1	10
2014-03-31 01:34:56.982199	112589	49	2	8
2014-03-31 01:34:57.205892	112590	19.7	1	8
2014-03-31 01:35:07.995571	112591	305	3	2
2014-03-31 01:35:08.240579	112592	1142319.9547539635	4	2
2014-03-31 01:35:08.544053	112593	50	2	1
2014-03-31 01:35:08.768484	112594	18.3	1	1
2014-03-31 01:35:19.993824	112595	305	3	2
2014-03-31 01:35:20.226264	112596	1142321.1037886848	4	2
2014-03-31 01:35:26.498729	112597	45	2	10
2014-03-31 01:35:26.721464	112598	19.2	1	10
2014-03-31 01:35:32.002529	112599	338	3	2
2014-03-31 01:35:32.233633	112600	1142322.2528234064	4	2
2014-03-31 01:35:35.982426	112601	49	2	8
2014-03-31 01:35:36.203718	112602	19.7	1	8
2014-03-31 01:35:43.995951	112603	305	3	2
2014-03-31 01:35:44.229157	112604	1142323.4018581277	4	2
2014-03-31 01:35:47.212224	112605	50	2	1
2014-03-31 01:35:47.435108	112606	18.3	1	1
2014-03-31 01:35:55.99815	112607	305	3	2
2014-03-31 01:35:56.22935	112608	1142324.5508928492	4	2
2014-03-31 01:36:05.499191	112609	45	2	10
2014-03-31 01:36:05.72041	112610	19.2	1	10
2014-03-31 01:36:13.901169	112611	55	2	9
2014-03-31 01:36:14.135247	112612	19.9	1	9
2014-03-31 01:36:14.983155	112613	49	2	8
2014-03-31 01:36:15.205255	112614	19.7	1	8
2014-03-31 01:36:26.211541	112615	50	2	1
2014-03-31 01:36:26.442441	112616	18.3	1	1
2014-03-31 01:36:32.000012	112617	305	3	2
2014-03-31 01:36:32.221268	112618	1142327.9979970134	4	2
2014-03-31 01:36:43.996526	112619	338	3	2
2014-03-31 01:36:44.231339	112620	1142327.9979970134	4	2
2014-03-31 01:36:44.541058	112621	45	2	10
2014-03-31 01:36:44.763053	112622	19.2	1	10
2014-03-31 01:36:52.88439	112623	55	2	9
2014-03-31 01:36:53.118862	112624	19.9	1	9
2014-03-31 01:36:53.981692	112625	49	2	8
2014-03-31 01:36:54.205132	112626	19.7	1	8
2014-03-31 01:36:55.995942	112627	305	3	2
2014-03-31 01:36:56.229727	112628	1142329.147031735	4	2
2014-03-31 01:37:05.213924	112629	50	2	1
2014-03-31 01:37:05.435151	112630	18.3	1	1
2014-03-31 01:37:07.995636	112631	305	3	2
2014-03-31 01:37:08.229028	112632	1142330.2960664562	4	2
2014-03-31 01:37:23.49823	112633	45	2	10
2014-03-31 01:37:23.721415	112634	19.2	1	10
2014-03-31 01:37:32.981925	112635	49	2	8
2014-03-31 01:37:33.216907	112636	19.7	1	8
2014-03-31 01:37:43.994594	112637	354	3	2
2014-03-31 01:37:44.221656	112638	1142333.7431706204	4	2
2014-03-31 01:37:44.525348	112639	50	2	1
2014-03-31 01:37:44.768762	112640	18.3	1	1
2014-03-31 01:37:55.995907	112641	354	3	2
2014-03-31 01:37:56.216637	112642	1142334.892205342	4	2
2014-03-31 01:38:02.497395	112643	45	2	10
2014-03-31 01:38:02.728947	112644	19.1	1	10
2014-03-31 01:38:11.107444	112645	55	2	9
2014-03-31 01:38:11.331238	112646	19.9	1	9
2014-03-31 01:38:11.981921	112647	49	2	8
2014-03-31 01:38:12.213676	112648	19.7	1	8
2014-03-31 01:38:23.210361	112649	50	2	1
2014-03-31 01:38:23.433909	112650	18.3	1	1
2014-03-31 01:38:31.993766	112651	354	3	2
2014-03-31 01:38:32.2263	112652	1142338.3393095061	4	2
2014-03-31 01:38:41.500945	112653	45	2	10
2014-03-31 01:38:41.722747	112654	19.1	1	10
2014-03-31 01:38:49.899591	112655	55	2	9
2014-03-31 01:38:50.132547	112656	19.9	1	9
2014-03-31 01:38:50.983468	112657	49	2	8
2014-03-31 01:38:51.203811	112658	19.7	1	8
2014-03-31 01:39:02.209866	112659	50	2	1
2014-03-31 01:39:02.442211	112660	18.3	1	1
2014-03-31 01:39:20.498134	112661	45	2	10
2014-03-31 01:39:20.723031	112662	19.1	1	10
2014-03-31 01:39:28.903332	112663	55	2	9
2014-03-31 01:39:29.134599	112664	19.9	1	9
2014-03-31 01:39:29.981908	112665	49	2	8
2014-03-31 01:39:30.204273	112666	19.7	1	8
2014-03-31 01:39:31.996308	112667	354	3	2
2014-03-31 01:39:32.229026	112668	1142344.0844831131	4	2
2014-03-31 01:39:41.209168	112669	50	2	1
2014-03-31 01:39:41.431451	112670	18.3	1	1
2014-03-31 01:39:59.500003	112671	45	2	10
2014-03-31 01:39:59.734671	112672	19.1	1	10
2014-03-31 01:40:08.982044	112673	49	2	8
2014-03-31 01:40:09.203865	112674	19.7	1	8
2014-03-31 01:40:20.209498	112675	50	2	1
2014-03-31 01:40:20.443521	112676	18.3	1	1
2014-03-31 01:40:31.993964	112677	354	3	2
2014-03-31 01:40:32.21617	112678	1142350.9786914417	4	2
2014-03-31 01:40:38.500084	112679	45	2	10
2014-03-31 01:40:38.732479	112680	19.1	1	10
2014-03-31 01:40:46.902069	112681	55	2	9
2014-03-31 01:40:47.125404	112682	19.9	1	9
2014-03-31 01:40:47.981923	112683	49	2	8
2014-03-31 01:40:48.213268	112684	19.6	1	8
2014-03-31 01:40:59.209345	112685	50	2	1
2014-03-31 01:40:59.431901	112686	18.3	1	1
2014-03-31 01:41:17.500057	112687	45	2	10
2014-03-31 01:41:17.744589	112688	19.1	1	10
2014-03-31 01:41:26.984899	112689	49	2	8
2014-03-31 01:41:27.209427	112690	19.6	1	8
2014-03-31 01:41:31.999356	112691	354	3	2
2014-03-31 01:41:32.235311	112692	1142356.7238650487	4	2
2014-03-31 01:41:38.209878	112693	50	2	1
2014-03-31 01:41:38.432391	112694	18.3	1	1
2014-03-31 01:41:56.49918	112695	45	2	10
2014-03-31 01:41:56.789979	112696	19.1	1	10
2014-03-31 01:42:05.981185	112697	49	2	8
2014-03-31 01:42:06.207372	112698	19.6	1	8
2014-03-31 01:42:17.209047	112699	50	2	1
2014-03-31 01:42:17.443284	112700	18.3	1	1
2014-03-31 01:42:31.995505	112701	354	3	2
2014-03-31 01:42:32.220502	112702	1142362.469038656	4	2
2014-03-31 01:42:35.500908	112703	45	2	10
2014-03-31 01:42:35.734597	112704	19.1	1	10
2014-03-31 01:42:44.981873	112705	49	2	8
2014-03-31 01:42:45.206798	112706	19.6	1	8
2014-03-31 01:42:56.210441	112707	50	2	1
2014-03-31 01:42:56.442341	112708	18.3	1	1
2014-03-31 01:43:14.501322	112709	45	2	10
2014-03-31 01:43:14.723331	112710	19.1	1	10
2014-03-31 01:43:23.982121	112711	49	2	8
2014-03-31 01:43:24.214969	112712	19.6	1	8
2014-03-31 01:43:31.993125	112713	305	3	2
2014-03-31 01:43:32.216307	112714	1142368.214212263	4	2
2014-03-31 01:43:35.207798	112715	50	2	1
2014-03-31 01:43:35.442856	112716	18.3	1	1
2014-03-31 01:43:43.9943	112717	305	3	2
2014-03-31 01:43:44.216905	112718	1142369.3632469843	4	2
2014-03-31 01:43:53.502818	112719	45	2	10
2014-03-31 01:43:53.735514	112720	19.1	1	10
2014-03-31 01:44:02.980684	112721	49	2	8
2014-03-31 01:44:03.202797	112722	19.6	1	8
2014-03-31 01:44:14.210555	112723	50	2	1
2014-03-31 01:44:14.446409	112724	18.3	1	1
2014-03-31 01:44:19.998038	112725	370	3	2
2014-03-31 01:44:20.223469	112726	1142372.8103511487	4	2
2014-03-31 01:44:31.995422	112727	370	3	2
2014-03-31 01:44:32.229993	112728	1142373.95938587	4	2
2014-03-31 01:44:32.537009	112729	45	2	10
2014-03-31 01:44:32.759418	112730	19.1	1	10
2014-03-31 01:44:41.105122	112731	55	2	9
2014-03-31 01:44:41.337283	112732	19.9	1	9
2014-03-31 01:44:41.981924	112733	49	2	8
2014-03-31 01:44:42.205893	112734	19.6	1	8
2014-03-31 01:44:53.210392	112735	50	2	1
2014-03-31 01:44:53.456328	112736	18.3	1	1
2014-03-31 01:45:11.501449	112737	45	2	10
2014-03-31 01:45:11.726494	112738	19.1	1	10
2014-03-31 01:45:20.982704	112739	49	2	8
2014-03-31 01:45:21.21496	112740	19.6	1	8
2014-03-31 01:45:31.993329	112741	370	3	2
2014-03-31 01:45:32.21799	112742	1142379.704559477	4	2
2014-03-31 01:45:32.523525	112743	50	2	1
2014-03-31 01:45:32.757867	112744	18.3	1	1
2014-03-31 01:45:50.500626	112745	45	2	10
2014-03-31 01:45:50.72468	112746	19.1	1	10
2014-03-31 01:45:55.997186	112747	402	3	2
2014-03-31 01:45:56.228755	112748	1142383.1516636414	4	2
2014-03-31 01:45:59.981204	112749	49	2	8
2014-03-31 01:46:00.206206	112750	19.6	1	8
2014-03-31 01:46:07.996108	112751	370	3	2
2014-03-31 01:46:08.226659	112752	1142384.3006983628	4	2
2014-03-31 01:46:11.206303	112753	50	2	1
2014-03-31 01:46:11.426436	112754	18.3	1	1
2014-03-31 01:46:19.995883	112755	370	3	2
2014-03-31 01:46:20.228472	112756	1142385.449733084	4	2
2014-03-31 01:46:29.501966	112757	45	2	10
2014-03-31 01:46:29.725386	112758	19.1	1	10
2014-03-31 01:46:31.997294	112759	370	3	2
2014-03-31 01:46:32.231134	112760	1142386.5987678056	4	2
2014-03-31 01:46:37.903659	112761	55	2	9
2014-03-31 01:46:38.12749	112762	19.9	1	9
2014-03-31 01:46:38.98346	112763	49	2	8
2014-03-31 01:46:39.216314	112764	19.6	1	8
2014-03-31 01:46:50.207971	112765	50	2	1
2014-03-31 01:46:50.451508	112766	18.3	1	1
2014-03-31 01:47:08.50463	112767	45	2	10
2014-03-31 01:47:08.739105	112768	19.1	1	10
2014-03-31 01:47:17.982363	112769	48	2	8
2014-03-31 01:47:18.208151	112770	19.6	1	8
2014-03-31 01:47:29.208924	112771	50	2	1
2014-03-31 01:47:29.441189	112772	18.3	1	1
2014-03-31 01:47:31.996075	112773	370	3	2
2014-03-31 01:47:32.223558	112774	1142392.3439414126	4	2
2014-03-31 01:47:47.503195	112775	45	2	10
2014-03-31 01:47:47.739466	112776	19.1	1	10
2014-03-31 01:47:57.039553	112777	48	2	8
2014-03-31 01:47:57.265711	112778	19.6	1	8
2014-03-31 01:48:08.206267	112779	50	2	1
2014-03-31 01:48:08.438144	112780	18.3	1	1
2014-03-31 01:48:26.50262	112781	45	2	10
2014-03-31 01:48:26.727299	112782	19.1	1	10
2014-03-31 01:48:31.996495	112783	370	3	2
2014-03-31 01:48:32.241229	112784	1142399.2381497412	4	2
2014-03-31 01:48:35.981488	112785	48	2	8
2014-03-31 01:48:36.203809	112786	19.6	1	8
2014-03-31 01:48:47.204502	112787	50	2	1
2014-03-31 01:48:47.438199	112788	18.3	1	1
2014-03-31 01:49:05.501459	112789	45	2	10
2014-03-31 01:49:05.724466	112790	19.1	1	10
2014-03-31 01:49:14.982255	112791	48	2	8
2014-03-31 01:49:15.215961	112792	19.6	1	8
2014-03-31 01:49:26.205587	112793	50	2	1
2014-03-31 01:49:26.43132	112794	18.3	1	1
2014-03-31 01:49:31.996872	112795	370	3	2
2014-03-31 01:49:32.229222	112796	1142404.9833233482	4	2
2014-03-31 01:49:43.994075	112797	418	3	2
2014-03-31 01:49:44.216385	112798	1142406.1323580695	4	2
2014-03-31 01:49:44.522668	112799	45	2	10
2014-03-31 01:49:44.755476	112800	19.1	1	10
2014-03-31 01:49:52.902138	112801	55	2	9
2014-03-31 01:49:53.124541	112802	19.9	1	9
2014-03-31 01:49:53.981098	112803	48	2	8
2014-03-31 01:49:54.214035	112804	19.6	1	8
2014-03-31 01:49:55.996686	112805	434	3	2
2014-03-31 01:49:56.219501	112806	1142407.281392791	4	2
2014-03-31 01:50:05.205512	112807	50	2	1
2014-03-31 01:50:05.438166	112808	18.3	1	1
2014-03-31 01:50:23.50242	112809	45	2	10
2014-03-31 01:50:23.7266	112810	19.1	1	10
2014-03-31 01:50:32.981883	112811	48	2	8
2014-03-31 01:50:33.214843	112812	19.6	1	8
2014-03-31 01:50:44.205902	112813	50	2	1
2014-03-31 01:50:44.427284	112814	18.3	1	1
2014-03-31 01:51:02.502838	112815	45	2	10
2014-03-31 01:51:02.745619	112816	19.1	1	10
2014-03-31 01:51:11.981279	112817	48	2	8
2014-03-31 01:51:12.204096	112818	19.6	1	8
2014-03-31 01:51:23.205931	112819	50	2	1
2014-03-31 01:51:23.439087	112820	18.3	1	1
2014-03-31 01:51:31.995305	112821	418	3	2
2014-03-31 01:51:32.21797	112822	1142418.7717400051	4	2
2014-03-31 01:51:41.503333	112823	44	2	10
2014-03-31 01:51:41.736316	112824	19.1	1	10
2014-03-31 01:51:50.982663	112825	48	2	8
2014-03-31 01:51:51.203883	112826	19.6	1	8
2014-03-31 01:52:02.203436	112827	50	2	1
2014-03-31 01:52:02.443703	112828	18.3	1	1
2014-03-31 01:52:20.504245	112829	44	2	10
2014-03-31 01:52:20.726708	112830	19.1	1	10
2014-03-31 01:52:29.104902	112831	55	2	9
2014-03-31 01:52:29.350902	112832	19.9	1	9
2014-03-31 01:52:29.983932	112833	48	2	8
2014-03-31 01:52:30.205991	112834	19.6	1	8
2014-03-31 01:52:32.001153	112835	418	3	2
2014-03-31 01:52:32.417673	112836	1142425.6659483337	4	2
2014-03-31 01:52:41.204464	112837	50	2	1
2014-03-31 01:52:41.429254	112838	18.3	1	1
2014-03-31 01:52:59.504184	112839	44	2	10
2014-03-31 01:52:59.727184	112840	19.1	1	10
2014-03-31 01:53:08.980614	112841	48	2	8
2014-03-31 01:53:09.214389	112842	19.6	1	8
2014-03-31 01:53:20.205212	112843	50	2	1
2014-03-31 01:53:20.428921	112844	18.3	1	1
2014-03-31 01:53:31.993997	112845	418	3	2
2014-03-31 01:53:32.229605	112846	1142433.7091913836	4	2
2014-03-31 01:53:38.503443	112847	44	2	10
2014-03-31 01:53:38.726128	112848	19.1	1	10
2014-03-31 01:53:47.981115	112849	48	2	8
2014-03-31 01:53:48.213434	112850	19.6	1	8
2014-03-31 01:53:59.204361	112851	50	2	1
2014-03-31 01:53:59.428529	112852	18.2	1	1
2014-03-31 01:54:17.504332	112853	44	2	10
2014-03-31 01:54:17.737614	112854	19.1	1	10
2014-03-31 01:54:26.981479	112855	48	2	8
2014-03-31 01:54:27.204187	112856	19.6	1	8
2014-03-31 01:54:31.99404	112857	418	3	2
2014-03-31 01:54:32.230464	112858	1142439.458835943	4	2
2014-03-31 01:54:38.202257	112859	50	2	1
2014-03-31 01:54:38.427015	112860	18.2	1	1
2014-03-31 01:54:56.507096	112861	44	2	10
2014-03-31 01:54:56.739361	112862	19.1	1	10
2014-03-31 01:55:05.979492	112863	48	2	8
2014-03-31 01:55:06.203033	112864	19.6	1	8
2014-03-31 01:55:07.993449	112865	354	3	2
2014-03-31 01:55:08.226372	112866	1142442.905940107	4	2
2014-03-31 01:55:17.201452	112867	50	2	1
2014-03-31 01:55:17.426409	112868	18.2	1	1
2014-03-31 01:55:19.993196	112869	370	3	2
2014-03-31 01:55:20.226032	112870	1142444.0549748286	4	2
2014-03-31 01:55:31.992803	112871	370	3	2
2014-03-31 01:55:32.238693	112872	1142445.20400955	4	2
2014-03-31 01:55:35.505441	112873	44	2	10
2014-03-31 01:55:35.739002	112874	19.1	1	10
2014-03-31 01:55:44.982948	112875	48	2	8
2014-03-31 01:55:45.218839	112876	19.6	1	8
2014-03-31 01:55:56.202282	112877	50	2	1
2014-03-31 01:55:56.433399	112878	18.2	1	1
2014-03-31 01:56:14.505763	112879	44	2	10
2014-03-31 01:56:14.73122	112880	19.1	1	10
2014-03-31 01:56:23.981902	112881	48	2	8
2014-03-31 01:56:24.225581	112882	19.6	1	8
2014-03-31 01:56:34.998724	112883	370	3	2
2014-03-31 01:56:35.221121	112884	1142452.0982178785	4	2
2014-03-31 01:56:35.524197	112885	50	2	1
2014-03-31 01:56:35.758991	112886	18.2	1	1
2014-03-31 01:56:53.503715	112887	44	2	10
2014-03-31 01:56:53.72612	112888	19.1	1	10
2014-03-31 01:57:02.979389	112889	48	2	8
2014-03-31 01:57:03.211916	112890	19.6	1	8
2014-03-31 01:57:14.199576	112891	50	2	1
2014-03-31 01:57:14.420098	112892	18.2	1	1
2014-03-31 01:57:31.994329	112893	354	3	2
2014-03-31 01:57:32.225682	112894	1142457.8433914855	4	2
2014-03-31 01:57:32.529254	112895	44	2	10
2014-03-31 01:57:32.749138	112896	19.1	1	10
2014-03-31 01:57:41.984304	112897	48	2	8
2014-03-31 01:57:42.217987	112898	19.6	1	8
2014-03-31 01:57:53.202451	112899	50	2	1
2014-03-31 01:57:53.42572	112900	18.2	1	1
2014-03-31 01:58:11.504349	112901	44	2	10
2014-03-31 01:58:11.739282	112902	19.1	1	10
2014-03-31 01:58:20.980693	112903	48	2	8
2014-03-31 01:58:21.203602	112904	19.6	1	8
2014-03-31 01:58:31.99464	112905	370	3	2
2014-03-31 01:58:32.227942	112906	1142463.5885650925	4	2
2014-03-31 01:58:32.534779	112907	50	2	1
2014-03-31 01:58:32.757486	112908	18.2	1	1
2014-03-31 01:58:50.505946	112909	44	2	10
2014-03-31 01:58:50.737348	112910	19.1	1	10
2014-03-31 01:58:59.981626	112911	48	2	8
2014-03-31 01:59:00.205581	112912	19.6	1	8
2014-03-31 01:59:11.199919	112913	50	2	1
2014-03-31 01:59:11.435561	112914	18.2	1	1
2014-03-31 01:59:29.506717	112915	44	2	10
2014-03-31 01:59:29.730001	112916	19.1	1	10
2014-03-31 01:59:31.99325	112917	354	3	2
2014-03-31 01:59:32.226876	112918	1142470.482773421	4	2
2014-03-31 01:59:38.982011	112919	48	2	8
2014-03-31 01:59:39.205536	112920	19.6	1	8
2014-03-31 01:59:50.200271	112921	50	2	1
2014-03-31 01:59:50.435621	112922	18.2	1	1
2014-03-31 01:59:55.997329	112923	305	3	2
2014-03-31 01:59:56.220386	112924	1142472.780842864	4	2
2014-03-31 02:00:07.993897	112925	305	3	2
2014-03-31 02:00:08.224842	112926	1142473.9298775853	4	2
2014-03-31 02:00:08.530944	112927	44	2	10
2014-03-31 02:00:08.754502	112928	19.1	1	10
2014-03-31 02:00:16.9003	112929	55	2	9
2014-03-31 02:00:17.144866	112930	19.9	1	9
2014-03-31 02:00:17.983156	112931	48	2	8
2014-03-31 02:00:18.203804	112932	19.6	1	8
2014-03-31 02:00:29.198538	112933	50	2	1
2014-03-31 02:00:29.429349	112934	18.2	1	1
2014-03-31 02:00:31.998639	112935	305	3	2
2014-03-31 02:00:32.219315	112936	1142475.0789123068	4	2
2014-03-31 02:00:47.506011	112937	44	2	10
2014-03-31 02:00:47.738209	112938	19.1	1	10
2014-03-31 02:00:56.981671	112939	48	2	8
2014-03-31 02:00:57.203613	112940	19.6	1	8
2014-03-31 02:01:07.992567	112941	370	3	2
2014-03-31 02:01:08.22427	112942	1142478.526016471	4	2
2014-03-31 02:01:08.527579	112943	50	2	1
2014-03-31 02:01:08.748995	112944	18.2	1	1
2014-03-31 02:01:19.99275	112945	370	3	2
2014-03-31 02:01:20.226434	112946	1142479.6750511925	4	2
2014-03-31 02:01:26.50548	112947	44	2	10
2014-03-31 02:01:26.728646	112948	19.1	1	10
2014-03-31 02:01:31.996892	112949	370	3	2
2014-03-31 02:01:32.249995	112950	1142480.8240859138	4	2
2014-03-31 02:01:35.98014	112951	48	2	8
2014-03-31 02:01:36.20038	112952	19.6	1	8
2014-03-31 02:01:47.196015	112953	50	2	1
2014-03-31 02:01:47.428024	112954	18.2	1	1
2014-03-31 02:02:05.505615	112955	44	2	10
2014-03-31 02:02:05.7268	112956	19.1	1	10
2014-03-31 02:02:14.981305	112957	48	2	8
2014-03-31 02:02:15.21381	112958	19.6	1	8
2014-03-31 02:02:26.196558	112959	50	2	1
2014-03-31 02:02:26.418165	112960	18.2	1	1
2014-03-31 02:02:31.996051	112961	370	3	2
2014-03-31 02:02:32.227281	112962	1142487.7182942424	4	2
2014-03-31 02:02:44.506957	112963	44	2	10
2014-03-31 02:02:44.732469	112964	19.1	1	10
2014-03-31 02:02:53.982731	112965	48	2	8
2014-03-31 02:02:54.215527	112966	19.6	1	8
2014-03-31 02:03:05.1976	112967	50	2	1
2014-03-31 02:03:05.41853	112968	18.2	1	1
2014-03-31 02:03:23.507598	112969	44	2	10
2014-03-31 02:03:23.740215	112970	19.1	1	10
2014-03-31 02:03:32.982066	112971	48	2	8
2014-03-31 02:03:33.205703	112972	19.6	1	8
2014-03-31 02:03:44.200994	112973	50	2	1
2014-03-31 02:03:44.433395	112974	18.2	1	1
2014-03-31 02:04:02.508218	112975	44	2	10
2014-03-31 02:04:02.736315	112976	19.1	1	10
2014-03-31 02:04:11.981386	112977	48	2	8
2014-03-31 02:04:12.227079	112978	19.6	1	8
2014-03-31 02:04:23.199091	112979	50	2	1
2014-03-31 02:04:23.421403	112980	18.2	1	1
2014-03-31 02:04:31.993973	112981	370	3	2
2014-03-31 02:04:32.227407	112982	1142499.2086414564	4	2
2014-03-31 02:04:41.506378	112983	44	2	10
2014-03-31 02:04:41.729881	112984	19.1	1	10
2014-03-31 02:04:50.982006	112985	48	2	8
2014-03-31 02:04:51.214328	112986	19.6	1	8
2014-03-31 02:05:02.196239	112987	50	2	1
2014-03-31 02:05:02.421171	112988	18.2	1	1
2014-03-31 02:05:20.510315	112989	44	2	10
2014-03-31 02:05:20.743274	112990	19.0	1	10
2014-03-31 02:05:29.981363	112991	48	2	8
2014-03-31 02:05:30.203313	112992	19.6	1	8
2014-03-31 02:05:31.992079	112993	370	3	2
2014-03-31 02:05:32.223521	112994	1142506.102849785	4	2
2014-03-31 02:05:41.196615	112995	50	2	1
2014-03-31 02:05:41.419769	112996	18.2	1	1
2014-03-31 02:05:59.510731	112997	44	2	10
2014-03-31 02:05:59.742803	112998	19.0	1	10
2014-03-31 02:06:08.981253	112999	48	2	8
2014-03-31 02:06:09.20556	113000	19.6	1	8
2014-03-31 02:06:20.195897	113001	50	2	1
2014-03-31 02:06:20.426967	113002	18.2	1	1
2014-03-31 02:06:31.993919	113003	370	3	2
2014-03-31 02:06:32.217369	113004	1142511.848023392	4	2
2014-03-31 02:06:38.507933	113005	44	2	10
2014-03-31 02:06:38.742944	113006	19.0	1	10
2014-03-31 02:06:47.981745	113007	48	2	8
2014-03-31 02:06:48.205137	113008	19.6	1	8
2014-03-31 02:06:59.196057	113009	50	2	1
2014-03-31 02:06:59.429045	113010	18.2	1	1
2014-03-31 02:07:17.508503	113011	44	2	10
2014-03-31 02:07:17.730343	113012	19.0	1	10
2014-03-31 02:07:19.992354	113013	402	3	2
2014-03-31 02:07:20.224484	113014	1142517.593196999	4	2
2014-03-31 02:07:26.980138	113015	48	2	8
2014-03-31 02:07:27.204175	113016	19.6	1	8
2014-03-31 02:07:31.993736	113017	338	3	2
2014-03-31 02:07:32.230427	113018	1142518.7422317206	4	2
2014-03-31 02:07:38.215114	113019	50	2	1
2014-03-31 02:07:38.44024	113020	18.2	1	1
2014-03-31 02:07:43.995423	113021	305	3	2
2014-03-31 02:07:44.228177	113022	1142518.7422317206	4	2
2014-03-31 02:07:55.994342	113023	305	3	2
2014-03-31 02:07:56.21869	113024	1142519.891266442	4	2
2014-03-31 02:07:56.523168	113025	44	2	10
2014-03-31 02:07:56.766471	113026	19.0	1	10
2014-03-31 02:08:05.982677	113027	48	2	8
2014-03-31 02:08:06.203922	113028	19.6	1	8
2014-03-31 02:08:07.994594	113029	338	3	2
2014-03-31 02:08:08.224863	113030	1142521.0403011634	4	2
2014-03-31 02:08:17.192649	113031	50	2	1
2014-03-31 02:08:17.414906	113032	18.2	1	1
2014-03-31 02:08:19.995101	113033	305	3	2
2014-03-31 02:08:20.228548	113034	1142522.1893358848	4	2
2014-03-31 02:08:31.993295	113035	305	3	2
2014-03-31 02:08:32.216305	113036	1142523.3383706063	4	2
2014-03-31 02:08:35.50742	113037	44	2	10
2014-03-31 02:08:35.73937	113038	19.0	1	10
2014-03-31 02:08:44.979852	113039	48	2	8
2014-03-31 02:08:45.202637	113040	19.6	1	8
2014-03-31 02:08:56.193886	113041	50	2	1
2014-03-31 02:08:56.427831	113042	18.2	1	1
2014-03-31 02:09:14.510184	113043	44	2	10
2014-03-31 02:09:14.733339	113044	19.0	1	10
2014-03-31 02:09:23.981635	113045	48	2	8
2014-03-31 02:09:24.215532	113046	19.6	1	8
2014-03-31 02:09:31.991732	113047	305	3	2
2014-03-31 02:09:32.215429	113048	1142529.0835442133	4	2
2014-03-31 02:09:35.195881	113049	50	2	1
2014-03-31 02:09:35.426969	113050	18.2	1	1
2014-03-31 02:09:53.508561	113051	44	2	10
2014-03-31 02:09:53.729331	113052	19.0	1	10
2014-03-31 02:10:02.982184	113053	48	2	8
2014-03-31 02:10:03.215232	113054	19.6	1	8
2014-03-31 02:10:14.194123	113055	50	2	1
2014-03-31 02:10:14.418605	113056	18.2	1	1
2014-03-31 02:10:31.990473	113057	305	3	2
2014-03-31 02:10:32.224662	113058	1142533.679683099	4	2
2014-03-31 02:10:32.532686	113059	44	2	10
2014-03-31 02:10:32.757161	113060	19.0	1	10
2014-03-31 02:10:41.979916	113061	48	2	8
2014-03-31 02:10:42.214943	113062	19.6	1	8
2014-03-31 02:10:53.192305	113063	50	2	1
2014-03-31 02:10:53.415859	113064	18.2	1	1
2014-03-31 02:11:11.512702	113065	44	2	10
2014-03-31 02:11:11.746821	113066	19.0	1	10
2014-03-31 02:11:20.104302	113067	55	2	9
2014-03-31 02:11:20.326726	113068	19.8	1	9
2014-03-31 02:11:20.981644	113069	48	2	8
2014-03-31 02:11:21.212629	113070	19.6	1	8
2014-03-31 02:11:31.993838	113071	305	3	2
2014-03-31 02:11:32.215544	113072	1142539.424856706	4	2
2014-03-31 02:11:32.520773	113073	50	2	1
2014-03-31 02:11:32.765705	113074	18.2	1	1
2014-03-31 02:11:50.510671	113075	44	2	10
2014-03-31 02:11:50.735701	113076	19.0	1	10
2014-03-31 02:11:59.980726	113077	48	2	8
2014-03-31 02:12:00.211009	113078	19.6	1	8
2014-03-31 02:12:11.19299	113079	50	2	1
2014-03-31 02:12:11.416659	113080	18.2	1	1
2014-03-31 02:12:29.509119	113081	44	2	10
2014-03-31 02:12:29.744711	113082	19.0	1	10
2014-03-31 02:12:31.993082	113083	305	3	2
2014-03-31 02:12:32.215078	113084	1142544.0209955918	4	2
2014-03-31 02:12:38.980711	113085	48	2	8
2014-03-31 02:12:39.214103	113086	19.6	1	8
2014-03-31 02:12:50.19205	113087	50	2	1
2014-03-31 02:12:50.414578	113088	18.2	1	1
2014-03-31 02:13:08.511749	113089	44	2	10
2014-03-31 02:13:08.744277	113090	19.0	1	10
2014-03-31 02:13:16.904557	113091	55	2	9
2014-03-31 02:13:17.128963	113092	19.8	1	9
2014-03-31 02:13:17.982552	113093	48	2	8
2014-03-31 02:13:18.212729	113094	19.6	1	8
2014-03-31 02:13:29.192013	113095	50	2	1
2014-03-31 02:13:29.415415	113096	18.2	1	1
2014-03-31 02:13:31.994671	113097	354	3	2
2014-03-31 02:13:32.226173	113098	1142549.7661691988	4	2
2014-03-31 02:13:43.994164	113099	354	3	2
2014-03-31 02:13:44.224967	113100	1142550.91520392	4	2
2014-03-31 02:13:47.510505	113101	44	2	10
2014-03-31 02:13:47.741753	113102	19.0	1	10
2014-03-31 02:13:55.903806	113103	55	2	9
2014-03-31 02:13:56.12879	113104	19.8	1	9
2014-03-31 02:13:56.982983	113105	48	2	8
2014-03-31 02:13:57.21391	113106	19.6	1	8
2014-03-31 02:14:08.192064	113107	50	2	1
2014-03-31 02:14:08.414151	113108	18.2	1	1
2014-03-31 02:14:26.510564	113109	44	2	10
2014-03-31 02:14:26.744237	113110	19.0	1	10
2014-03-31 02:14:31.996011	113111	354	3	2
2014-03-31 02:14:32.219553	113112	1142555.5113428058	4	2
2014-03-31 02:14:34.895458	113113	55	2	9
2014-03-31 02:14:35.129582	113114	19.8	1	9
2014-03-31 02:14:35.981322	113115	48	2	8
2014-03-31 02:14:36.203913	113116	19.6	1	8
2014-03-31 02:14:47.193829	113117	50	2	1
2014-03-31 02:14:47.425128	113118	18.2	1	1
2014-03-31 02:15:05.510506	113119	44	2	10
2014-03-31 02:15:05.734902	113120	19.0	1	10
2014-03-31 02:15:14.980869	113121	48	2	8
2014-03-31 02:15:15.225034	113122	19.6	1	8
2014-03-31 02:15:26.19128	113123	50	2	1
2014-03-31 02:15:26.414788	113124	18.2	1	1
2014-03-31 02:15:31.995009	113125	354	3	2
2014-03-31 02:15:32.229248	113126	1142561.2565164128	4	2
2014-03-31 02:15:44.511689	113127	44	2	10
2014-03-31 02:15:44.734151	113128	19.0	1	10
2014-03-31 02:15:53.105229	113129	55	2	9
2014-03-31 02:15:53.339116	113130	19.8	1	9
2014-03-31 02:15:53.980541	113131	48	2	8
2014-03-31 02:15:54.203044	113132	19.6	1	8
2014-03-31 02:16:05.190541	113133	50	2	1
2014-03-31 02:16:05.425383	113134	18.2	1	1
2014-03-31 02:16:23.514318	113135	44	2	10
2014-03-31 02:16:23.737041	113136	19.0	1	10
2014-03-31 02:16:32.981722	113137	48	2	8
2014-03-31 02:16:33.213507	113138	19.6	1	8
2014-03-31 02:16:44.189423	113139	50	2	1
2014-03-31 02:16:44.412914	113140	18.2	1	1
2014-03-31 02:17:02.512126	113141	44	2	10
2014-03-31 02:17:02.746011	113142	19.0	1	10
2014-03-31 02:17:11.98288	113143	48	2	8
2014-03-31 02:17:12.205021	113144	19.6	1	8
2014-03-31 02:17:23.190339	113145	50	2	1
2014-03-31 02:17:23.421297	113146	18.2	1	1
2014-03-31 02:17:31.993352	113147	354	3	2
2014-03-31 02:17:32.217032	113148	1142572.746863627	4	2
2014-03-31 02:17:41.511551	113149	44	2	10
2014-03-31 02:17:41.747318	113150	19.0	1	10
2014-03-31 02:17:50.981939	113151	48	2	8
2014-03-31 02:17:51.204296	113152	19.6	1	8
2014-03-31 02:18:02.189543	113153	50	2	1
2014-03-31 02:18:02.421006	113154	18.1	1	1
2014-03-31 02:18:20.512396	113155	44	2	10
2014-03-31 02:18:20.734723	113156	19.0	1	10
2014-03-31 02:18:29.980416	113157	48	2	8
2014-03-31 02:18:30.213422	113158	19.6	1	8
2014-03-31 02:18:31.994582	113159	354	3	2
2014-03-31 02:18:32.216324	113160	1142579.6410719554	4	2
2014-03-31 02:18:41.189811	113161	50	2	1
2014-03-31 02:18:41.42109	113162	18.1	1	1
2014-03-31 02:18:59.512366	113163	44	2	10
2014-03-31 02:18:59.735001	113164	19.0	1	10
2014-03-31 02:19:08.983593	113165	48	2	8
2014-03-31 02:19:09.216875	113166	19.6	1	8
2014-03-31 02:19:20.007232	113167	305	3	2
2014-03-31 02:19:20.229591	113168	1142584.2372108412	4	2
2014-03-31 02:19:20.534675	113169	50	2	1
2014-03-31 02:19:20.799322	113170	18.1	1	1
2014-03-31 02:19:31.994089	113171	305	3	2
2014-03-31 02:19:32.216558	113172	1142585.3862455627	4	2
2014-03-31 02:19:38.512475	113173	44	2	10
2014-03-31 02:19:38.746247	113174	19.0	1	10
2014-03-31 02:19:46.904064	113175	55	2	9
2014-03-31 02:19:47.127321	113176	19.8	1	9
2014-03-31 02:19:47.981682	113177	48	2	8
2014-03-31 02:19:48.214506	113178	19.6	1	8
2014-03-31 02:19:59.190382	113179	50	2	1
2014-03-31 02:19:59.412836	113180	18.1	1	1
2014-03-31 02:20:17.512879	113181	44	2	10
2014-03-31 02:20:17.745879	113182	19.0	1	10
2014-03-31 02:20:20.024654	113183	338	3	2
2014-03-31 02:20:20.2497	113184	1142588.8333497269	4	2
2014-03-31 02:20:26.087404	113185	55	2	9
2014-03-31 02:20:26.320264	113186	19.8	1	9
2014-03-31 02:20:26.981028	113187	48	2	8
2014-03-31 02:20:27.205417	113188	19.6	1	8
2014-03-31 02:20:31.995251	113189	305	3	2
2014-03-31 02:20:32.230726	113190	1142589.9823844482	4	2
2014-03-31 02:20:38.191067	113191	50	2	1
2014-03-31 02:20:38.416229	113192	18.1	1	1
2014-03-31 02:20:43.996724	113193	305	3	2
2014-03-31 02:20:44.228986	113194	1142591.1314191697	4	2
2014-03-31 02:20:56.512724	113195	44	2	10
2014-03-31 02:20:56.736272	113196	19.0	1	10
2014-03-31 02:21:05.982281	113197	48	2	8
2014-03-31 02:21:06.213732	113198	19.6	1	8
2014-03-31 02:21:17.187809	113199	50	2	1
2014-03-31 02:21:17.412205	113200	18.1	1	1
2014-03-31 02:21:31.992289	113201	305	3	2
2014-03-31 02:21:32.224954	113202	1142595.7275580554	4	2
2014-03-31 02:21:35.514705	113203	44	2	10
2014-03-31 02:21:35.740099	113204	19.0	1	10
2014-03-31 02:21:44.982548	113205	48	2	8
2014-03-31 02:21:45.223382	113206	19.6	1	8
2014-03-31 02:21:56.189435	113207	50	2	1
2014-03-31 02:21:56.411388	113208	18.1	1	1
2014-03-31 02:22:14.513431	113209	44	2	10
2014-03-31 02:22:14.747415	113210	19.0	1	10
2014-03-31 02:22:23.106164	113211	55	2	9
2014-03-31 02:22:23.329285	113212	19.8	1	9
2014-03-31 02:22:23.981967	113213	48	2	8
2014-03-31 02:22:24.213065	113214	19.6	1	8
2014-03-31 02:22:31.993435	113215	305	3	2
2014-03-31 02:22:32.217885	113216	1142600.323696941	4	2
2014-03-31 02:22:35.185893	113217	50	2	1
2014-03-31 02:22:35.428929	113218	18.1	1	1
2014-03-31 02:22:53.51359	113219	44	2	10
2014-03-31 02:22:53.73711	113220	19.0	1	10
2014-03-31 02:23:02.103801	113221	55	2	9
2014-03-31 02:23:02.33776	113222	19.8	1	9
2014-03-31 02:23:02.98013	113223	48	2	8
2014-03-31 02:23:03.200674	113224	19.6	1	8
2014-03-31 02:23:14.187477	113225	50	2	1
2014-03-31 02:23:14.420493	113226	18.1	1	1
2014-03-31 02:23:31.993181	113227	305	3	2
2014-03-31 02:23:32.215505	113228	1142606.0688705482	4	2
2014-03-31 02:23:32.519223	113229	44	2	10
2014-03-31 02:23:32.750086	113230	19.0	1	10
2014-03-31 02:23:41.980012	113231	48	2	8
2014-03-31 02:23:42.203532	113232	19.6	1	8
2014-03-31 02:23:53.186112	113233	50	2	1
2014-03-31 02:23:53.42008	113234	18.1	1	1
2014-03-31 02:24:11.514995	113235	44	2	10
2014-03-31 02:24:11.73903	113236	19.0	1	10
2014-03-31 02:24:20.983612	113237	48	2	8
2014-03-31 02:24:21.220081	113238	19.6	1	8
2014-03-31 02:24:31.985927	113239	305	3	2
2014-03-31 02:24:32.209675	113240	1142610.6650094336	4	2
2014-03-31 02:24:32.512785	113241	50	2	1
2014-03-31 02:24:32.744196	113242	18.1	1	1
2014-03-31 02:24:50.515178	113243	44	2	10
2014-03-31 02:24:50.737873	113244	19.0	1	10
2014-03-31 02:24:55.994652	113245	338	3	2
2014-03-31 02:24:56.22649	113246	1142612.9630788765	4	2
2014-03-31 02:24:59.103833	113247	55	2	9
2014-03-31 02:24:59.325471	113248	19.8	1	9
2014-03-31 02:24:59.980618	113249	48	2	8
2014-03-31 02:25:00.213297	113250	19.6	1	8
2014-03-31 02:25:07.991858	113251	305	3	2
2014-03-31 02:25:08.216944	113252	1142614.112113598	4	2
2014-03-31 02:25:11.185668	113253	50	2	1
2014-03-31 02:25:11.447711	113254	18.1	1	1
2014-03-31 02:25:20.078091	113255	305	3	2
2014-03-31 02:25:20.860429	113256	1142615.2611483193	4	2
2014-03-31 02:25:29.513924	113257	44	2	10
2014-03-31 02:25:29.785124	113258	19.0	1	10
2014-03-31 02:25:31.992551	113259	354	3	2
2014-03-31 02:25:32.250779	113260	1142616.410183041	4	2
2014-03-31 02:25:37.903542	113261	55	2	9
2014-03-31 02:25:38.173696	113262	19.8	1	9
2014-03-31 02:25:38.981014	113263	48	2	8
2014-03-31 02:25:39.235431	113264	19.6	1	8
2014-03-31 02:25:43.995132	113265	354	3	2
2014-03-31 02:25:44.241062	113266	1142617.5592177622	4	2
2014-03-31 02:25:50.186118	113267	50	2	1
2014-03-31 02:25:50.412531	113268	18.1	1	1
2014-03-31 02:26:08.514895	113269	44	2	10
2014-03-31 02:26:08.7485	113270	19.0	1	10
2014-03-31 02:26:16.902475	113271	55	2	9
2014-03-31 02:26:17.125281	113272	19.8	1	9
2014-03-31 02:26:17.980603	113273	48	2	8
2014-03-31 02:26:18.211494	113274	19.6	1	8
2014-03-31 02:26:29.18504	113275	50	2	1
2014-03-31 02:26:29.41097	113276	18.1	1	1
2014-03-31 02:26:31.99251	113277	354	3	2
2014-03-31 02:26:32.225262	113278	1142622.155356648	4	2
2014-03-31 02:26:47.516599	113279	44	2	10
2014-03-31 02:26:47.738619	113280	19.0	1	10
2014-03-31 02:26:56.980633	113281	48	2	8
2014-03-31 02:26:57.210989	113282	19.6	1	8
2014-03-31 02:27:08.183465	113283	50	2	1
2014-03-31 02:27:08.406456	113284	18.1	1	1
2014-03-31 02:27:26.517276	113285	44	2	10
2014-03-31 02:27:26.749248	113286	19.0	1	10
2014-03-31 02:27:31.995057	113287	354	3	2
2014-03-31 02:27:32.219259	113288	1142627.900530255	4	2
2014-03-31 02:27:35.981596	113289	48	2	8
2014-03-31 02:27:36.213581	113290	19.6	1	8
2014-03-31 02:27:47.184935	113291	50	2	1
2014-03-31 02:27:47.409914	113292	18.1	1	1
2014-03-31 02:28:05.516929	113293	44	2	10
2014-03-31 02:28:05.75162	113294	19.0	1	10
2014-03-31 02:28:14.981547	113295	48	2	8
2014-03-31 02:28:15.203447	113296	19.6	1	8
2014-03-31 02:28:26.184068	113297	50	2	1
2014-03-31 02:28:26.41558	113298	18.1	1	1
2014-03-31 02:28:31.994143	113299	354	3	2
2014-03-31 02:28:32.217661	113300	1142633.645703862	4	2
2014-03-31 02:28:44.515657	113301	44	2	10
2014-03-31 02:28:44.74916	113302	19.0	1	10
2014-03-31 02:28:52.902624	113303	55	2	9
2014-03-31 02:28:53.125034	113304	19.8	1	9
2014-03-31 02:28:53.981302	113305	48	2	8
2014-03-31 02:28:54.211502	113306	19.6	1	8
2014-03-31 02:29:05.184235	113307	50	2	1
2014-03-31 02:29:05.406248	113308	18.1	1	1
2014-03-31 02:29:23.516164	113309	45	2	10
2014-03-31 02:29:23.747933	113310	18.9	1	10
2014-03-31 02:29:32.982438	113311	48	2	8
2014-03-31 02:29:33.205395	113312	19.6	1	8
2014-03-31 02:29:44.186134	113313	50	2	1
2014-03-31 02:29:44.430904	113314	18.1	1	1
2014-03-31 02:30:02.515796	113315	45	2	10
2014-03-31 02:30:02.73902	113316	18.9	1	10
2014-03-31 02:30:11.980436	113317	48	2	8
2014-03-31 02:30:12.215113	113318	19.6	1	8
2014-03-31 02:30:23.182137	113319	50	2	1
2014-03-31 02:30:23.404718	113320	18.1	1	1
2014-03-31 02:30:31.992512	113321	354	3	2
2014-03-31 02:30:32.227109	113322	1142646.2850857975	4	2
2014-03-31 02:30:41.515993	113323	45	2	10
2014-03-31 02:30:41.739178	113324	18.9	1	10
2014-03-31 02:30:50.98072	113325	48	2	8
2014-03-31 02:30:51.215122	113326	19.6	1	8
2014-03-31 02:31:02.186415	113327	50	2	1
2014-03-31 02:31:02.442786	113328	18.1	1	1
2014-03-31 02:31:20.516024	113329	45	2	10
2014-03-31 02:31:20.849783	113330	18.9	1	10
2014-03-31 02:31:29.979935	113331	48	2	8
2014-03-31 02:31:30.233719	113332	19.6	1	8
2014-03-31 02:31:31.99287	113333	305	3	2
2014-03-31 02:31:32.260805	113334	1142652.0302594046	4	2
2014-03-31 02:31:41.18272	113335	50	2	1
2014-03-31 02:31:41.771766	113336	18.1	1	1
2014-03-31 02:31:43.990944	113337	305	3	2
2014-03-31 02:31:44.257108	113338	1142653.179294126	4	2
2014-03-31 02:31:59.514682	113339	45	2	10
2014-03-31 02:31:59.736599	113340	18.9	1	10
2014-03-31 02:32:07.901137	113341	55	2	9
2014-03-31 02:32:08.133461	113342	19.8	1	9
2014-03-31 02:32:08.982413	113343	48	2	8
2014-03-31 02:32:09.203955	113344	19.5	1	8
2014-03-31 02:32:20.23458	113345	50	2	1
2014-03-31 02:32:20.467747	113346	18.1	1	1
2014-03-31 02:32:31.990585	113347	305	3	2
2014-03-31 02:32:32.213785	113348	1142656.6263982903	4	2
2014-03-31 02:32:38.518419	113349	45	2	10
2014-03-31 02:32:38.753294	113350	18.9	1	10
2014-03-31 02:32:43.995344	113351	338	3	2
2014-03-31 02:32:44.217144	113352	1142657.7754330118	4	2
2014-03-31 02:32:47.982024	113353	48	2	8
2014-03-31 02:32:48.212395	113354	19.5	1	8
2014-03-31 02:32:55.991402	113355	305	3	2
2014-03-31 02:32:56.213637	113356	1142658.9244677331	4	2
2014-03-31 02:32:59.179746	113357	50	2	1
2014-03-31 02:32:59.41361	113358	18.1	1	1
2014-03-31 02:33:07.992138	113359	305	3	2
2014-03-31 02:33:08.213675	113360	1142660.0735024547	4	2
2014-03-31 02:33:17.515362	113361	45	2	10
2014-03-31 02:33:17.762113	113362	18.9	1	10
2014-03-31 02:33:26.98032	113363	48	2	8
2014-03-31 02:33:27.204247	113364	19.5	1	8
2014-03-31 02:33:31.992492	113365	305	3	2
2014-03-31 02:33:32.229835	113366	1142662.3715718973	4	2
2014-03-31 02:33:38.180093	113367	50	2	1
2014-03-31 02:33:38.405094	113368	18.1	1	1
2014-03-31 02:33:56.516567	113369	45	2	10
2014-03-31 02:33:56.750438	113370	18.9	1	10
2014-03-31 02:34:05.979546	113371	48	2	8
2014-03-31 02:34:06.204526	113372	19.5	1	8
2014-03-31 02:34:17.179737	113373	50	2	1
2014-03-31 02:34:17.413061	113374	18.1	1	1
2014-03-31 02:34:31.992606	113375	305	3	2
2014-03-31 02:34:32.214462	113376	1142666.967710783	4	2
2014-03-31 02:34:35.520134	113377	45	2	10
2014-03-31 02:34:35.751	113378	18.9	1	10
2014-03-31 02:34:44.981863	113379	48	2	8
2014-03-31 02:34:45.205524	113380	19.5	1	8
2014-03-31 02:34:56.180427	113381	50	2	1
2014-03-31 02:34:56.411854	113382	18.1	1	1
2014-03-31 02:35:14.517667	113383	45	2	10
2014-03-31 02:35:14.740937	113384	18.9	1	10
2014-03-31 02:35:22.903793	113385	55	2	9
2014-03-31 02:35:23.137214	113386	19.8	1	9
2014-03-31 02:35:23.982988	113387	48	2	8
2014-03-31 02:35:24.206299	113388	19.5	1	8
2014-03-31 02:35:31.993247	113389	305	3	2
2014-03-31 02:35:32.229305	113390	1142672.71288439	4	2
2014-03-31 02:35:35.18144	113391	50	2	1
2014-03-31 02:35:35.402837	113392	18.1	1	1
2014-03-31 02:35:53.517909	113393	45	2	10
2014-03-31 02:35:53.749969	113394	18.9	1	10
2014-03-31 02:36:02.980087	113395	48	2	8
2014-03-31 02:36:03.205262	113396	19.5	1	8
2014-03-31 02:36:14.182538	113397	50	2	1
2014-03-31 02:36:14.413783	113398	18.1	1	1
2014-03-31 02:36:31.990314	113399	338	3	2
2014-03-31 02:36:32.216323	113400	1142677.3090232757	4	2
2014-03-31 02:36:32.522472	113401	45	2	10
2014-03-31 02:36:32.754227	113402	18.9	1	10
2014-03-31 02:36:41.980101	113403	48	2	8
2014-03-31 02:36:42.203914	113404	19.5	1	8
2014-03-31 02:36:43.991574	113405	305	3	2
2014-03-31 02:36:44.225038	113406	1142678.4580579973	4	2
2014-03-31 02:36:53.179083	113407	50	2	1
2014-03-31 02:36:53.404763	113408	18.1	1	1
2014-03-31 02:36:55.991404	113409	305	3	2
2014-03-31 02:36:56.233747	113410	1142679.6070927186	4	2
2014-03-31 02:37:11.518053	113411	45	2	10
2014-03-31 02:37:11.743363	113412	18.9	1	10
2014-03-31 02:37:19.899753	113413	55	2	9
2014-03-31 02:37:20.132917	113414	19.7	1	9
2014-03-31 02:37:20.981548	113415	48	2	8
2014-03-31 02:37:21.20248	113416	19.5	1	8
2014-03-31 02:37:32.17875	113417	50	2	1
2014-03-31 02:37:32.413487	113418	18.1	1	1
2014-03-31 02:37:43.990808	113419	434	3	2
2014-03-31 02:37:44.214095	113420	1142684.2032316043	4	2
2014-03-31 02:37:50.521228	113421	45	2	10
2014-03-31 02:37:50.75483	113422	18.9	1	10
2014-03-31 02:37:55.993695	113423	434	3	2
2014-03-31 02:37:56.215417	113424	1142686.5013010472	4	2
2014-03-31 02:37:59.12719	113425	55	2	9
2014-03-31 02:37:59.359769	113426	19.7	1	9
2014-03-31 02:37:59.981674	113427	48	2	8
2014-03-31 02:38:00.204497	113428	19.5	1	8
2014-03-31 02:38:11.179145	113429	50	2	1
2014-03-31 02:38:11.410853	113430	18.1	1	1
2014-03-31 02:38:29.518883	113431	45	2	10
2014-03-31 02:38:29.745227	113432	18.9	1	10
2014-03-31 02:38:31.989712	113433	434	3	2
2014-03-31 02:38:32.220413	113434	1142689.9484052113	4	2
2014-03-31 02:38:38.979291	113435	48	2	8
2014-03-31 02:38:39.203405	113436	19.5	1	8
2014-03-31 02:38:50.178198	113437	50	2	1
2014-03-31 02:38:50.411283	113438	18.1	1	1
2014-03-31 02:39:08.521342	113439	45	2	10
2014-03-31 02:39:08.745589	113440	18.9	1	10
2014-03-31 02:39:16.900305	113441	55	2	9
2014-03-31 02:39:17.133212	113442	19.7	1	9
2014-03-31 02:39:17.980743	113443	48	2	8
2014-03-31 02:39:18.202164	113444	19.5	1	8
2014-03-31 02:39:29.178137	113445	50	2	1
2014-03-31 02:39:29.432607	113446	18.1	1	1
2014-03-31 02:39:31.991585	113447	434	3	2
2014-03-31 02:39:32.213239	113448	1142697.9916482612	4	2
2014-03-31 02:39:47.519155	113449	45	2	10
2014-03-31 02:39:47.749733	113450	18.9	1	10
2014-03-31 02:39:55.899942	113451	55	2	9
2014-03-31 02:39:56.123247	113452	19.7	1	9
2014-03-31 02:39:56.980709	113453	48	2	8
2014-03-31 02:39:57.211325	113454	19.5	1	8
2014-03-31 02:40:08.179486	113455	50	2	1
2014-03-31 02:40:08.401694	113456	18.1	1	1
2014-03-31 02:40:26.519439	113457	45	2	10
2014-03-31 02:40:26.761524	113458	18.9	1	10
2014-03-31 02:40:31.99751	113459	434	3	2
2014-03-31 02:40:32.221309	113460	1142704.8858565898	4	2
2014-03-31 02:40:35.983395	113461	48	2	8
2014-03-31 02:40:36.214552	113462	19.5	1	8
2014-03-31 02:40:47.176945	113463	50	2	1
2014-03-31 02:40:47.401662	113464	18.1	1	1
2014-03-31 02:41:05.519329	113465	45	2	10
2014-03-31 02:41:05.750032	113466	18.9	1	10
2014-03-31 02:41:13.900933	113467	55	2	9
2014-03-31 02:41:14.12522	113468	19.7	1	9
2014-03-31 02:41:14.98097	113469	48	2	8
2014-03-31 02:41:15.215627	113470	19.5	1	8
2014-03-31 02:41:26.179552	113471	50	2	1
2014-03-31 02:41:26.402988	113472	18.1	1	1
2014-03-31 02:41:31.994322	113473	434	3	2
2014-03-31 02:41:32.227944	113474	1142711.7800649183	4	2
2014-03-31 02:41:44.521446	113475	45	2	10
2014-03-31 02:41:44.744213	113476	18.9	1	10
2014-03-31 02:41:53.103077	113477	55	2	9
2014-03-31 02:41:53.338131	113478	19.7	1	9
2014-03-31 02:41:53.981621	113479	48	2	8
2014-03-31 02:41:54.208268	113480	19.5	1	8
2014-03-31 02:42:05.175128	113481	50	2	1
2014-03-31 02:42:05.408249	113482	18.1	1	1
2014-03-31 02:42:23.520195	113483	45	2	10
2014-03-31 02:42:23.743254	113484	18.9	1	10
2014-03-31 02:42:32.980627	113485	48	2	8
2014-03-31 02:42:33.213423	113486	19.5	1	8
2014-03-31 02:42:44.17765	113487	50	2	1
2014-03-31 02:42:44.403827	113488	18.1	1	1
2014-03-31 02:43:02.52113	113489	45	2	10
2014-03-31 02:43:02.753266	113490	18.9	1	10
2014-03-31 02:43:10.900119	113491	55	2	9
2014-03-31 02:43:11.121642	113492	19.7	1	9
2014-03-31 02:43:11.980231	113493	48	2	8
2014-03-31 02:43:12.213151	113494	19.5	1	8
2014-03-31 02:43:23.175931	113495	50	2	1
2014-03-31 02:43:23.398946	113496	18.1	1	1
2014-03-31 02:43:31.989739	113497	418	3	2
2014-03-31 02:43:32.222125	113498	1142726.7175162965	4	2
2014-03-31 02:43:41.522	113499	45	2	10
2014-03-31 02:43:41.744118	113500	18.9	1	10
2014-03-31 02:43:49.900084	113501	55	2	9
2014-03-31 02:43:50.133468	113502	19.7	1	9
2014-03-31 02:43:50.979151	113503	48	2	8
2014-03-31 02:43:51.20205	113504	19.5	1	8
2014-03-31 02:44:02.175948	113505	50	2	1
2014-03-31 02:44:02.418186	113506	18.1	1	1
2014-03-31 02:44:07.989675	113507	370	3	2
2014-03-31 02:44:08.212065	113508	1142730.164620461	4	2
2014-03-31 02:44:19.990746	113509	370	3	2
2014-03-31 02:44:20.222427	113510	1142731.3136551823	4	2
2014-03-31 02:44:20.58293	113511	45	2	10
2014-03-31 02:44:20.807305	113512	18.9	1	10
2014-03-31 02:44:29.979892	113513	48	2	8
2014-03-31 02:44:30.212463	113514	19.5	1	8
2014-03-31 02:44:31.989685	113515	370	3	2
2014-03-31 02:44:32.210655	113516	1142732.467160856	4	2
2014-03-31 02:44:41.174743	113517	50	2	1
2014-03-31 02:44:41.40578	113518	18.1	1	1
2014-03-31 02:44:59.520367	113519	45	2	10
2014-03-31 02:44:59.743192	113520	18.9	1	10
2014-03-31 02:45:08.980831	113521	48	2	8
2014-03-31 02:45:09.213345	113522	19.5	1	8
2014-03-31 02:45:20.173401	113523	50	2	1
2014-03-31 02:45:20.402508	113524	18.1	1	1
2014-03-31 02:45:31.992043	113525	370	3	2
2014-03-31 02:45:32.225164	113526	1142738.212334463	4	2
2014-03-31 02:45:38.520264	113527	45	2	10
2014-03-31 02:45:38.741291	113528	18.8	1	10
2014-03-31 02:45:46.90159	113529	55	2	9
2014-03-31 02:45:47.136057	113530	19.7	1	9
2014-03-31 02:45:47.981872	113531	48	2	8
2014-03-31 02:45:48.20386	113532	19.5	1	8
2014-03-31 02:45:59.172449	113533	50	2	1
2014-03-31 02:45:59.461658	113534	18.1	1	1
2014-03-31 02:46:17.521065	113535	45	2	10
2014-03-31 02:46:17.743817	113536	18.8	1	10
2014-03-31 02:46:26.980206	113537	48	2	8
2014-03-31 02:46:27.214317	113538	19.5	1	8
2014-03-31 02:46:31.99143	113539	370	3	2
2014-03-31 02:46:32.222612	113540	1142743.9575080702	4	2
2014-03-31 02:46:38.175718	113541	50	2	1
2014-03-31 02:46:38.406677	113542	18.1	1	1
2014-03-31 02:46:56.522072	113543	45	2	10
2014-03-31 02:46:56.744022	113544	18.8	1	10
2014-03-31 02:47:04.901792	113545	55	2	9
2014-03-31 02:47:05.133685	113546	19.7	1	9
2014-03-31 02:47:05.440473	113547	55	2	9
2014-03-31 02:47:05.661848	113548	19.7	1	9
2014-03-31 02:47:05.980333	113549	48	2	8
2014-03-31 02:47:06.214424	113550	19.5	1	8
2014-03-31 02:47:17.172655	113551	50	2	1
2014-03-31 02:47:17.39752	113552	18.1	1	1
2014-03-31 02:47:31.988622	113553	370	3	2
2014-03-31 02:47:32.232524	113554	1142750.8517163985	4	2
2014-03-31 02:47:35.520894	113555	45	2	10
2014-03-31 02:47:35.741556	113556	18.8	1	10
2014-03-31 02:47:43.899371	113557	55	2	9
2014-03-31 02:47:44.132266	113558	19.7	1	9
2014-03-31 02:47:44.9809	113559	48	2	8
2014-03-31 02:47:45.201407	113560	19.5	1	8
2014-03-31 02:47:56.172922	113561	50	2	1
2014-03-31 02:47:56.404443	113562	18.0	1	1
2014-03-31 02:48:14.521366	113563	45	2	10
2014-03-31 02:48:14.745694	113564	18.8	1	10
2014-03-31 02:48:23.981829	113565	48	2	8
2014-03-31 02:48:24.21302	113566	19.5	1	8
2014-03-31 02:48:31.992816	113567	370	3	2
2014-03-31 02:48:32.215808	113568	1142756.5968900057	4	2
2014-03-31 02:48:35.171981	113569	50	2	1
2014-03-31 02:48:35.401971	113570	18.0	1	1
2014-03-31 02:48:53.523812	113571	45	2	10
2014-03-31 02:48:53.746134	113572	18.8	1	10
2014-03-31 02:49:02.979541	113573	48	2	8
2014-03-31 02:49:03.214707	113574	19.5	1	8
2014-03-31 02:49:07.991228	113575	466	3	2
2014-03-31 02:49:08.2136	113576	1142761.1930288912	4	2
2014-03-31 02:49:14.174433	113577	50	2	1
2014-03-31 02:49:14.404713	113578	18.0	1	1
2014-03-31 02:49:19.995072	113579	482	3	2
2014-03-31 02:49:20.217013	113580	1142762.3420636128	4	2
2014-03-31 02:49:31.989233	113581	482	3	2
2014-03-31 02:49:32.224737	113582	1142763.491098334	4	2
2014-03-31 02:49:32.531052	113583	45	2	10
2014-03-31 02:49:32.756719	113584	18.8	1	10
2014-03-31 02:49:41.98125	113585	48	2	8
2014-03-31 02:49:42.213254	113586	19.5	1	8
2014-03-31 02:49:53.172343	113587	50	2	1
2014-03-31 02:49:53.394579	113588	18.0	1	1
2014-03-31 02:50:11.523529	113589	45	2	10
2014-03-31 02:50:11.76003	113590	18.8	1	10
2014-03-31 02:50:20.981067	113591	48	2	8
2014-03-31 02:50:21.203669	113592	19.5	1	8
2014-03-31 02:50:32.172239	113593	50	2	1
2014-03-31 02:50:32.403982	113594	18.0	1	1
2014-03-31 02:50:50.521924	113595	45	2	10
2014-03-31 02:50:50.744692	113596	18.8	1	10
2014-03-31 02:50:59.982092	113597	48	2	8
2014-03-31 02:51:00.214543	113598	19.6	1	8
2014-03-31 02:51:11.170689	113599	50	2	1
2014-03-31 02:51:11.393002	113600	18.0	1	1
2014-03-31 02:51:29.52298	113601	45	2	10
2014-03-31 02:51:29.765451	113602	18.8	1	10
2014-03-31 02:51:31.991292	113603	515	3	2
2014-03-31 02:51:32.213687	113604	1142780.7266191554	4	2
2014-03-31 02:51:38.980257	113605	48	2	8
2014-03-31 02:51:39.215062	113606	19.6	1	8
2014-03-31 02:51:50.172442	113607	50	2	1
2014-03-31 02:51:50.394843	113608	18.0	1	1
2014-03-31 02:52:08.523563	113609	45	2	10
2014-03-31 02:52:08.75904	113610	18.9	1	10
2014-03-31 02:52:17.982278	113611	48	2	8
2014-03-31 02:52:18.206544	113612	19.6	1	8
2014-03-31 02:52:29.17401	113613	50	2	1
2014-03-31 02:52:29.406689	113614	18.0	1	1
2014-03-31 02:52:31.993414	113615	531	3	2
2014-03-31 02:52:32.220013	113616	1142789.9188969268	4	2
2014-03-31 02:52:47.527234	113617	45	2	10
2014-03-31 02:52:47.760985	113618	18.8	1	10
2014-03-31 02:52:56.979978	113619	48	2	8
2014-03-31 02:52:57.203752	113620	19.6	1	8
2014-03-31 02:53:08.170069	113621	50	2	1
2014-03-31 02:53:08.40501	113622	18.0	1	1
2014-03-31 02:53:26.522865	113623	45	2	10
2014-03-31 02:53:26.745876	113624	18.8	1	10
2014-03-31 02:53:31.993573	113625	515	3	2
2014-03-31 02:53:32.226084	113626	1142797.9621399767	4	2
2014-03-31 02:53:35.979946	113627	48	2	8
2014-03-31 02:53:36.202432	113628	19.6	1	8
2014-03-31 02:53:43.988423	113629	466	3	2
2014-03-31 02:53:44.221404	113630	1142800.2602094195	4	2
2014-03-31 02:53:47.169659	113631	50	2	1
2014-03-31 02:53:47.393248	113632	18.0	1	1
2014-03-31 02:53:55.991598	113633	466	3	2
2014-03-31 02:53:56.224061	113634	1142801.4092441408	4	2
2014-03-31 02:54:05.525844	113635	45	2	10
2014-03-31 02:54:05.747135	113636	18.8	1	10
2014-03-31 02:54:14.979912	113637	48	2	8
2014-03-31 02:54:15.210162	113638	19.6	1	8
2014-03-31 02:54:26.168597	113639	50	2	1
2014-03-31 02:54:26.390474	113640	18.0	1	1
2014-03-31 02:54:31.993432	113641	450	3	2
2014-03-31 02:54:32.225797	113642	1142806.0053830266	4	2
2014-03-31 02:54:44.523858	113643	45	2	10
2014-03-31 02:54:44.746803	113644	18.8	1	10
2014-03-31 02:54:53.980512	113645	48	2	8
2014-03-31 02:54:54.211343	113646	19.6	1	8
2014-03-31 02:55:05.167432	113647	50	2	1
2014-03-31 02:55:05.390001	113648	18.0	1	1
2014-03-31 02:55:23.524184	113649	45	2	10
2014-03-31 02:55:23.768847	113650	18.8	1	10
2014-03-31 02:55:32.979737	113651	48	2	8
2014-03-31 02:55:33.204119	113652	19.6	1	8
2014-03-31 02:55:44.170499	113653	50	2	1
2014-03-31 02:55:44.586966	113654	18.0	1	1
2014-03-31 02:56:02.522698	113655	45	2	10
2014-03-31 02:56:02.748526	113656	18.8	1	10
2014-03-31 02:56:07.986326	113657	418	3	2
2014-03-31 02:56:08.206038	113658	1142818.6447649621	4	2
2014-03-31 02:56:11.980222	113659	48	2	8
2014-03-31 02:56:12.206774	113660	19.6	1	8
2014-03-31 02:56:19.990373	113661	418	3	2
2014-03-31 02:56:20.210064	113662	1142819.7937996835	4	2
2014-03-31 02:56:23.168234	113663	50	2	1
2014-03-31 02:56:23.39784	113664	18.0	1	1
2014-03-31 02:56:31.99017	113665	418	3	2
2014-03-31 02:56:32.210716	113666	1142820.942834405	4	2
2014-03-31 02:56:41.522601	113667	45	2	10
2014-03-31 02:56:41.754086	113668	18.8	1	10
2014-03-31 02:56:50.980467	113669	48	2	8
2014-03-31 02:56:51.199636	113670	19.6	1	8
2014-03-31 02:57:02.166473	113671	50	2	1
2014-03-31 02:57:02.397412	113672	18.0	1	1
2014-03-31 02:57:20.523476	113673	45	2	10
2014-03-31 02:57:20.801104	113674	18.8	1	10
2014-03-31 02:57:29.978974	113675	48	2	8
2014-03-31 02:57:30.212237	113676	19.6	1	8
2014-03-31 02:57:31.988668	113677	418	3	2
2014-03-31 02:57:32.209633	113678	1142827.8370427333	4	2
2014-03-31 02:57:41.168561	113679	50	2	1
2014-03-31 02:57:41.401376	113680	18.0	1	1
2014-03-31 02:57:59.524132	113681	45	2	10
2014-03-31 02:57:59.743947	113682	18.8	1	10
2014-03-31 02:58:08.979125	113683	48	2	8
2014-03-31 02:58:09.21053	113684	19.7	1	8
2014-03-31 02:58:20.167638	113685	50	2	1
2014-03-31 02:58:20.392844	113686	18.0	1	1
2014-03-31 02:58:31.989504	113687	418	3	2
2014-03-31 02:58:32.22048	113688	1142834.731251062	4	2
2014-03-31 02:58:38.523696	113689	45	2	10
2014-03-31 02:58:38.744287	113690	18.8	1	10
2014-03-31 02:58:47.979573	113691	48	2	8
2014-03-31 02:58:48.209939	113692	19.7	1	8
2014-03-31 02:58:59.165094	113693	50	2	1
2014-03-31 02:58:59.387259	113694	18.0	1	1
2014-03-31 02:59:17.524463	113695	45	2	10
2014-03-31 02:59:17.757639	113696	18.8	1	10
2014-03-31 02:59:26.979928	113697	48	2	8
2014-03-31 02:59:27.200346	113698	19.7	1	8
2014-03-31 02:59:31.988562	113699	418	3	2
2014-03-31 02:59:32.233798	113700	1142842.7744941118	4	2
2014-03-31 02:59:38.166598	113701	50	2	1
2014-03-31 02:59:38.387947	113702	18.0	1	1
2014-03-31 02:59:56.524103	113703	45	2	10
2014-03-31 02:59:56.75883	113704	18.8	1	10
2014-03-31 03:00:05.97663	113705	48	2	8
2014-03-31 03:00:06.198795	113706	19.7	1	8
2014-03-31 03:00:17.165997	113707	50	2	1
2014-03-31 03:00:17.419921	113708	18.0	1	1
2014-03-31 03:00:31.989653	113709	434	3	2
2014-03-31 03:00:32.211229	113710	1142849.6687024403	4	2
2014-03-31 03:00:35.525308	113711	45	2	10
2014-03-31 03:00:35.759117	113712	18.8	1	10
2014-03-31 03:00:44.980156	113713	48	2	8
2014-03-31 03:00:45.202535	113714	19.7	1	8
2014-03-31 03:00:56.164972	113715	50	2	1
2014-03-31 03:00:56.396239	113716	18.0	1	1
2014-03-31 03:01:14.524199	113717	45	2	10
2014-03-31 03:01:14.747391	113718	18.8	1	10
2014-03-31 03:01:23.98081	113719	48	2	8
2014-03-31 03:01:24.214214	113720	19.7	1	8
2014-03-31 03:01:31.987598	113721	418	3	2
2014-03-31 03:01:32.207377	113722	1142856.5629107687	4	2
2014-03-31 03:01:35.166194	113723	50	2	1
2014-03-31 03:01:35.395428	113724	18.0	1	1
2014-03-31 03:01:53.52673	113725	45	2	10
2014-03-31 03:01:53.747477	113726	18.8	1	10
2014-03-31 03:02:02.982983	113727	48	2	8
2014-03-31 03:02:03.215275	113728	19.7	1	8
2014-03-31 03:02:07.989478	113729	466	3	2
2014-03-31 03:02:08.210792	113730	1142861.1590496544	4	2
2014-03-31 03:02:14.165761	113731	50	2	1
2014-03-31 03:02:14.39603	113732	18.0	1	1
2014-03-31 03:02:19.992203	113733	466	3	2
2014-03-31 03:02:20.213503	113734	1142862.308084376	4	2
2014-03-31 03:02:31.986451	113735	466	3	2
2014-03-31 03:02:32.21959	113736	1142864.6061538185	4	2
2014-03-31 03:02:32.527972	113737	45	2	10
2014-03-31 03:02:32.751254	113738	18.8	1	10
2014-03-31 03:02:41.979189	113739	48	2	8
2014-03-31 03:02:42.214338	113740	19.7	1	8
2014-03-31 03:02:53.164018	113741	50	2	1
2014-03-31 03:02:53.388082	113742	18.0	1	1
2014-03-31 03:03:11.527225	113743	45	2	10
2014-03-31 03:03:11.757578	113744	18.8	1	10
2014-03-31 03:03:20.998084	113745	48	2	8
2014-03-31 03:03:21.220778	113746	19.7	1	8
2014-03-31 03:03:32.165022	113747	50	2	1
2014-03-31 03:03:32.409766	113748	18.0	1	1
2014-03-31 03:03:50.525013	113749	45	2	10
2014-03-31 03:03:50.746507	113750	18.8	1	10
2014-03-31 03:03:55.992069	113751	466	3	2
2014-03-31 03:03:56.224055	113752	1142876.0965010328	4	2
2014-03-31 03:03:59.980496	113753	48	2	8
2014-03-31 03:04:00.255986	113754	19.7	1	8
2014-03-31 03:04:07.988506	113755	466	3	2
2014-03-31 03:04:08.220177	113756	1142877.2455357541	4	2
2014-03-31 03:04:11.163114	113757	50	2	1
2014-03-31 03:04:11.387282	113758	18.0	1	1
2014-03-31 03:04:29.52637	113759	45	2	10
2014-03-31 03:04:29.75745	113760	18.8	1	10
2014-03-31 03:04:37.900275	113761	54	2	9
2014-03-31 03:04:38.122188	113762	19.7	1	9
2014-03-31 03:04:38.975255	113763	48	2	8
2014-03-31 03:04:39.206447	113764	19.7	1	8
2014-03-31 03:04:43.994424	113765	370	3	2
2014-03-31 03:04:44.216613	113766	1142881.8416746398	4	2
2014-03-31 03:04:50.163138	113767	50	2	1
2014-03-31 03:04:50.394314	113768	18.0	1	1
2014-03-31 03:04:55.99229	113769	370	3	2
2014-03-31 03:04:56.213386	113770	1142882.9907093614	4	2
2014-03-31 03:05:08.529373	113771	45	2	10
2014-03-31 03:05:08.760972	113772	18.8	1	10
2014-03-31 03:05:17.980348	113773	48	2	8
2014-03-31 03:05:18.203521	113774	19.7	1	8
2014-03-31 03:05:29.163867	113775	50	2	1
2014-03-31 03:05:29.396652	113776	18.0	1	1
2014-03-31 03:05:31.990037	113777	370	3	2
2014-03-31 03:05:32.21244	113778	1142886.4378135256	4	2
2014-03-31 03:05:47.526636	113779	45	2	10
2014-03-31 03:05:47.760044	113780	18.8	1	10
2014-03-31 03:05:56.980563	113781	48	2	8
2014-03-31 03:05:57.202319	113782	19.7	1	8
2014-03-31 03:06:08.162997	113783	50	2	1
2014-03-31 03:06:08.395256	113784	18.0	1	1
2014-03-31 03:06:26.527865	113785	45	2	10
2014-03-31 03:06:26.752847	113786	18.8	1	10
2014-03-31 03:06:31.992891	113787	370	3	2
2014-03-31 03:06:32.243208	113788	1142893.3320218541	4	2
2014-03-31 03:06:35.980087	113789	48	2	8
2014-03-31 03:06:36.208737	113790	19.7	1	8
2014-03-31 03:06:47.162662	113791	50	2	1
2014-03-31 03:06:47.394861	113792	18.0	1	1
2014-03-31 03:07:05.734767	113793	45	2	10
2014-03-31 03:07:05.965207	113794	18.8	1	10
2014-03-31 03:07:14.980661	113795	48	2	8
2014-03-31 03:07:15.22387	113796	19.7	1	8
2014-03-31 03:07:26.162696	113797	50	2	1
2014-03-31 03:07:26.38463	113798	18.0	1	1
2014-03-31 03:07:31.99261	113799	370	3	2
2014-03-31 03:07:32.224031	113800	1142899.0771954611	4	2
2014-03-31 03:07:44.528053	113801	45	2	10
2014-03-31 03:07:44.751391	113802	18.8	1	10
2014-03-31 03:07:52.900116	113803	54	2	9
2014-03-31 03:07:53.134754	113804	19.7	1	9
2014-03-31 03:07:53.979673	113805	48	2	8
2014-03-31 03:07:54.203087	113806	19.7	1	8
2014-03-31 03:08:05.162956	113807	50	2	1
2014-03-31 03:08:05.400726	113808	18.0	1	1
2014-03-31 03:08:23.528421	113809	45	2	10
2014-03-31 03:08:23.749179	113810	18.8	1	10
2014-03-31 03:08:32.980587	113811	48	2	8
2014-03-31 03:08:33.213599	113812	19.7	1	8
2014-03-31 03:08:44.161891	113813	50	2	1
2014-03-31 03:08:44.384888	113814	18.0	1	1
2014-03-31 03:09:02.52825	113815	45	2	10
2014-03-31 03:09:02.760412	113816	18.8	1	10
2014-03-31 03:09:10.713813	113817	338	3	2
2014-03-31 03:09:10.934809	113818	1142908.2694732323	4	2
2014-03-31 03:09:11.978726	113819	48	2	8
2014-03-31 03:09:12.210731	113820	19.7	1	8
2014-03-31 03:09:19.988319	113821	338	3	2
2014-03-31 03:09:20.210414	113822	1142909.4185079539	4	2
2014-03-31 03:09:23.161382	113823	50	2	1
2014-03-31 03:09:23.396086	113824	18.0	1	1
2014-03-31 03:09:31.989085	113825	305	3	2
2014-03-31 03:09:32.210185	113826	1142910.5675426752	4	2
2014-03-31 03:09:41.527899	113827	45	2	10
2014-03-31 03:09:41.75939	113828	18.8	1	10
2014-03-31 03:09:43.986546	113829	338	3	2
2014-03-31 03:09:44.208576	113830	1142911.7165773967	4	2
2014-03-31 03:09:50.979777	113831	48	2	8
2014-03-31 03:09:51.213027	113832	19.7	1	8
2014-03-31 03:09:55.987121	113833	338	3	2
2014-03-31 03:09:56.214948	113834	1142912.865612118	4	2
2014-03-31 03:10:02.399198	113835	50	2	1
2014-03-31 03:10:02.632069	113836	18.0	1	1
2014-03-31 03:10:20.529891	113837	45	2	10
2014-03-31 03:10:20.751907	113838	18.8	1	10
2014-03-31 03:10:29.979755	113839	48	2	8
2014-03-31 03:10:30.214071	113840	19.7	1	8
2014-03-31 03:10:31.988832	113841	338	3	2
2014-03-31 03:10:32.210828	113842	1142916.3127162824	4	2
2014-03-31 03:10:41.160662	113843	50	2	1
2014-03-31 03:10:41.403727	113844	18.0	1	1
2014-03-31 03:10:59.529183	113845	45	2	10
2014-03-31 03:10:59.752989	113846	18.8	1	10
2014-03-31 03:11:08.980198	113847	48	2	8
2014-03-31 03:11:09.211168	113848	19.7	1	8
2014-03-31 03:11:20.159204	113849	50	2	1
2014-03-31 03:11:20.381421	113850	18.0	1	1
2014-03-31 03:11:31.988638	113851	338	3	2
2014-03-31 03:11:32.220634	113852	1142922.0578898895	4	2
2014-03-31 03:11:38.529277	113853	45	2	10
2014-03-31 03:11:38.753785	113854	18.8	1	10
2014-03-31 03:11:47.979732	113855	48	2	8
2014-03-31 03:11:48.212706	113856	19.7	1	8
2014-03-31 03:11:59.162579	113857	50	2	1
2014-03-31 03:11:59.384549	113858	18.0	1	1
2014-03-31 03:12:17.529978	113859	45	2	10
2014-03-31 03:12:17.762389	113860	18.8	1	10
2014-03-31 03:12:26.982096	113861	48	2	8
2014-03-31 03:12:27.204445	113862	19.7	1	8
2014-03-31 03:12:31.99139	113863	338	3	2
2014-03-31 03:12:32.225924	113864	1142927.8030634965	4	2
2014-03-31 03:12:38.159329	113865	50	2	1
2014-03-31 03:12:38.403608	113866	18.0	1	1
2014-03-31 03:12:43.993373	113867	305	3	2
2014-03-31 03:12:44.226438	113868	1142928.9520982178	4	2
2014-03-31 03:12:55.99067	113869	338	3	2
2014-03-31 03:12:56.213611	113870	1142930.1011329393	4	2
2014-03-31 03:12:56.530467	113871	45	2	10
2014-03-31 03:12:56.761457	113872	18.8	1	10
2014-03-31 03:13:05.979121	113873	48	2	8
2014-03-31 03:13:06.202704	113874	19.6	1	8
2014-03-31 03:13:07.987824	113875	305	3	2
2014-03-31 03:13:08.223911	113876	1142931.2501676606	4	2
2014-03-31 03:13:17.159801	113877	50	2	1
2014-03-31 03:13:17.381665	113878	18.0	1	1
2014-03-31 03:13:19.988653	113879	338	3	2
2014-03-31 03:13:20.221242	113880	1142932.3992023822	4	2
2014-03-31 03:13:31.988667	113881	338	3	2
2014-03-31 03:13:32.213021	113882	1142933.5482371035	4	2
2014-03-31 03:13:35.529665	113883	45	2	10
2014-03-31 03:13:35.763153	113884	18.8	1	10
2014-03-31 03:13:44.980628	113885	48	2	8
2014-03-31 03:13:45.204268	113886	19.6	1	8
2014-03-31 03:13:56.159883	113887	50	2	1
2014-03-31 03:13:56.39254	113888	18.0	1	1
2014-03-31 03:14:14.530122	113889	45	2	10
2014-03-31 03:14:14.753095	113890	18.8	1	10
2014-03-31 03:14:23.977578	113891	48	2	8
2014-03-31 03:14:24.22283	113892	19.6	1	8
2014-03-31 03:14:31.988253	113893	305	3	2
2014-03-31 03:14:32.209123	113894	1142939.2934107105	4	2
2014-03-31 03:14:35.15791	113895	50	2	1
2014-03-31 03:14:35.389887	113896	18.0	1	1
2014-03-31 03:14:43.986794	113897	338	3	2
2014-03-31 03:14:44.208225	113898	1142940.442445432	4	2
2014-03-31 03:14:53.529322	113899	45	2	10
2014-03-31 03:14:53.759914	113900	18.8	1	10
2014-03-31 03:14:55.986117	113901	338	3	2
2014-03-31 03:14:56.207818	113902	1142941.5914801534	4	2
2014-03-31 03:15:02.980857	113903	48	2	8
2014-03-31 03:15:03.212622	113904	19.6	1	8
2014-03-31 03:15:07.989115	113905	370	3	2
2014-03-31 03:15:08.209917	113906	1142942.740514875	4	2
2014-03-31 03:15:14.159116	113907	50	2	1
2014-03-31 03:15:14.391034	113908	18.0	1	1
2014-03-31 03:15:19.993792	113909	370	3	2
2014-03-31 03:15:20.215365	113910	1142943.8895495962	4	2
2014-03-31 03:15:31.989037	113911	370	3	2
2014-03-31 03:15:32.221144	113912	1142945.0385843178	4	2
2014-03-31 03:15:32.736049	113913	45	2	10
2014-03-31 03:15:32.959269	113914	18.8	1	10
2014-03-31 03:15:41.980334	113915	48	2	8
2014-03-31 03:15:42.212615	113916	19.6	1	8
2014-03-31 03:15:53.157975	113917	50	2	1
2014-03-31 03:15:53.379313	113918	18.0	1	1
2014-03-31 03:16:11.529374	113919	45	2	10
2014-03-31 03:16:11.76541	113920	18.8	1	10
2014-03-31 03:16:20.979879	113921	48	2	8
2014-03-31 03:16:21.258546	113922	19.6	1	8
2014-03-31 03:16:32.396688	113923	50	2	1
2014-03-31 03:16:32.629779	113924	18.0	1	1
2014-03-31 03:16:50.532343	113925	45	2	10
2014-03-31 03:16:50.758818	113926	18.8	1	10
2014-03-31 03:16:59.978922	113927	48	2	8
2014-03-31 03:17:00.210961	113928	19.6	1	8
2014-03-31 03:17:11.157527	113929	50	2	1
2014-03-31 03:17:11.380731	113930	18.0	1	1
2014-03-31 03:17:29.530335	113931	45	2	10
2014-03-31 03:17:29.763077	113932	18.8	1	10
2014-03-31 03:17:31.989374	113933	370	3	2
2014-03-31 03:17:32.211614	113934	1142957.6779662534	4	2
2014-03-31 03:17:38.979428	113935	48	2	8
2014-03-31 03:17:39.21302	113936	19.6	1	8
2014-03-31 03:17:50.155218	113937	50	2	1
2014-03-31 03:17:50.377787	113938	17.9	1	1
2014-03-31 03:18:08.530831	113939	45	2	10
2014-03-31 03:18:08.774287	113940	18.8	1	10
2014-03-31 03:18:17.979995	113941	48	2	8
2014-03-31 03:18:18.200617	113942	19.6	1	8
2014-03-31 03:18:29.157635	113943	50	2	1
2014-03-31 03:18:29.388893	113944	17.9	1	1
2014-03-31 03:18:31.985912	113945	370	3	2
2014-03-31 03:18:32.210415	113946	1142963.4231398604	4	2
2014-03-31 03:18:47.531219	113947	45	2	10
2014-03-31 03:18:47.762885	113948	18.8	1	10
2014-03-31 03:18:56.979781	113949	48	2	8
2014-03-31 03:18:57.20318	113950	19.6	1	8
2014-03-31 03:19:08.155449	113951	50	2	1
2014-03-31 03:19:08.38704	113952	17.9	1	1
2014-03-31 03:19:26.530983	113953	45	2	10
2014-03-31 03:19:26.758466	113954	18.8	1	10
2014-03-31 03:19:31.992234	113955	370	3	2
2014-03-31 03:19:32.225023	113956	1142969.1683134674	4	2
2014-03-31 03:19:35.978952	113957	48	2	8
2014-03-31 03:19:36.201752	113958	19.6	1	8
2014-03-31 03:19:47.153564	113959	50	2	1
2014-03-31 03:19:47.388911	113960	17.9	1	1
2014-03-31 03:20:05.532389	113961	45	2	10
2014-03-31 03:20:05.75545	113962	18.8	1	10
2014-03-31 03:20:14.97758	113963	48	2	8
2014-03-31 03:20:15.208504	113964	19.6	1	8
2014-03-31 03:20:26.153862	113965	50	2	1
2014-03-31 03:20:26.38328	113966	17.9	1	1
2014-03-31 03:20:31.992404	113967	370	3	2
2014-03-31 03:20:32.224098	113968	1142976.062521796	4	2
2014-03-31 03:20:44.534187	113969	45	2	10
2014-03-31 03:20:45.266945	113970	18.8	1	10
2014-03-31 03:20:53.979492	113971	48	2	8
2014-03-31 03:20:54.246805	113972	19.6	1	8
2014-03-31 03:21:05.153305	113973	50	2	1
2014-03-31 03:21:05.406085	113974	17.9	1	1
2014-03-31 03:21:23.533815	113975	45	2	10
2014-03-31 03:21:23.764746	113976	18.8	1	10
2014-03-31 03:21:32.979464	113977	48	2	8
2014-03-31 03:21:33.201431	113978	19.6	1	8
2014-03-31 03:21:44.154625	113979	50	2	1
2014-03-31 03:21:44.385866	113980	17.9	1	1
2014-03-31 03:22:02.532357	113981	45	2	10
2014-03-31 03:22:02.757157	113982	18.8	1	10
2014-03-31 03:22:11.97966	113983	48	2	8
2014-03-31 03:22:12.211873	113984	19.6	1	8
2014-03-31 03:22:23.153213	113985	50	2	1
2014-03-31 03:22:23.375399	113986	17.9	1	1
2014-03-31 03:22:31.988324	113987	370	3	2
2014-03-31 03:22:32.231111	113988	1142988.7019037316	4	2
2014-03-31 03:22:41.532467	113989	45	2	10
2014-03-31 03:22:41.758261	113990	18.8	1	10
2014-03-31 03:22:50.97952	113991	48	2	8
2014-03-31 03:22:51.211936	113992	19.6	1	8
2014-03-31 03:23:02.152823	113993	50	2	1
2014-03-31 03:23:02.374442	113994	17.9	1	1
2014-03-31 03:23:20.532536	113995	45	2	10
2014-03-31 03:23:20.76444	113996	18.8	1	10
2014-03-31 03:23:29.981255	113997	48	2	8
2014-03-31 03:23:30.202499	113998	19.6	1	8
2014-03-31 03:23:31.99038	113999	370	3	2
2014-03-31 03:23:32.22272	114000	1142994.4470773386	4	2
2014-03-31 03:23:41.152585	114001	50	2	1
2014-03-31 03:23:41.37426	114002	17.9	1	1
2014-03-31 03:23:59.532609	114003	45	2	10
2014-03-31 03:23:59.763988	114004	18.8	1	10
2014-03-31 03:24:08.978666	114005	48	2	8
2014-03-31 03:24:09.202053	114006	19.6	1	8
2014-03-31 03:24:20.153711	114007	50	2	1
2014-03-31 03:24:20.385447	114008	17.9	1	1
2014-03-31 03:24:31.987881	114009	370	3	2
2014-03-31 03:24:32.212743	114010	1143000.1922509456	4	2
2014-03-31 03:24:38.533296	114011	45	2	10
2014-03-31 03:24:38.766862	114012	18.8	1	10
2014-03-31 03:24:47.980049	114013	48	2	8
2014-03-31 03:24:48.202756	114014	19.6	1	8
2014-03-31 03:24:59.15223	114015	50	2	1
2014-03-31 03:24:59.386022	114016	17.9	1	1
2014-03-31 03:25:17.532777	114017	45	2	10
2014-03-31 03:25:17.755667	114018	18.8	1	10
2014-03-31 03:25:26.979835	114019	48	2	8
2014-03-31 03:25:27.211786	114020	19.6	1	8
2014-03-31 03:25:31.987553	114021	370	3	2
2014-03-31 03:25:32.213008	114022	1143007.0864592742	4	2
2014-03-31 03:25:38.149457	114023	50	2	1
2014-03-31 03:25:38.384356	114024	17.9	1	1
2014-03-31 03:25:55.986933	114025	305	3	2
2014-03-31 03:25:56.208156	114026	1143009.384528717	4	2
2014-03-31 03:25:56.533321	114027	45	2	10
2014-03-31 03:25:56.764741	114028	18.8	1	10
2014-03-31 03:26:05.979115	114029	48	2	8
2014-03-31 03:26:06.201227	114030	19.6	1	8
2014-03-31 03:26:07.987078	114031	338	3	2
2014-03-31 03:26:08.218605	114032	1143010.5335634383	4	2
2014-03-31 03:26:17.151289	114033	50	2	1
2014-03-31 03:26:17.373852	114034	17.9	1	1
2014-03-31 03:26:19.987572	114035	338	3	2
2014-03-31 03:26:20.229442	114036	1143011.6825981599	4	2
2014-03-31 03:26:31.98515	114037	338	3	2
2014-03-31 03:26:32.206552	114038	1143012.8316328812	4	2
2014-03-31 03:26:35.535665	114039	45	2	10
2014-03-31 03:26:35.766298	114040	18.8	1	10
2014-03-31 03:26:44.978861	114041	48	2	8
2014-03-31 03:26:45.201349	114042	19.6	1	8
2014-03-31 03:26:56.390027	114043	50	2	1
2014-03-31 03:26:56.62374	114044	17.9	1	1
2014-03-31 03:27:07.987291	114045	338	3	2
2014-03-31 03:27:08.209857	114046	1143016.2787370454	4	2
2014-03-31 03:27:14.534362	114047	45	2	10
2014-03-31 03:27:14.766627	114048	18.8	1	10
2014-03-31 03:27:19.990365	114049	338	3	2
2014-03-31 03:27:20.212229	114050	1143017.427771767	4	2
2014-03-31 03:27:23.979306	114051	48	2	8
2014-03-31 03:27:24.211249	114052	19.6	1	8
2014-03-31 03:27:31.987488	114053	338	3	2
2014-03-31 03:27:32.208744	114054	1143018.5768064882	4	2
2014-03-31 03:27:35.1506	114055	50	2	1
2014-03-31 03:27:35.381252	114056	17.9	1	1
2014-03-31 03:27:53.533944	114057	45	2	10
2014-03-31 03:27:53.761191	114058	18.8	1	10
2014-03-31 03:28:02.97971	114059	48	2	8
2014-03-31 03:28:03.212507	114060	19.6	1	8
2014-03-31 03:28:14.152013	114061	50	2	1
2014-03-31 03:28:14.375213	114062	17.9	1	1
2014-03-31 03:28:19.992641	114063	305	3	2
2014-03-31 03:28:20.224891	114064	1143022.0239106526	4	2
2014-03-31 03:28:31.988906	114065	338	3	2
2014-03-31 03:28:32.212476	114066	1143023.172945374	4	2
2014-03-31 03:28:32.536764	114067	45	2	10
2014-03-31 03:28:32.768313	114068	18.8	1	10
2014-03-31 03:28:41.981999	114069	48	2	8
2014-03-31 03:28:42.20654	114070	19.5	1	8
2014-03-31 03:28:43.988686	114071	338	3	2
2014-03-31 03:28:44.220097	114072	1143024.3219800952	4	2
2014-03-31 03:28:53.150625	114073	50	2	1
2014-03-31 03:28:53.372025	114074	17.9	1	1
2014-03-31 03:29:11.543188	114075	45	2	10
2014-03-31 03:29:11.777984	114076	18.8	1	10
2014-03-31 03:29:20.981873	114077	48	2	8
2014-03-31 03:29:21.205822	114078	19.5	1	8
2014-03-31 03:29:32.388309	114079	50	2	1
2014-03-31 03:29:32.621534	114080	17.9	1	1
2014-03-31 03:29:43.98748	114081	338	3	2
2014-03-31 03:29:44.230286	114082	1143028.9225899333	4	2
2014-03-31 03:29:50.534337	114083	45	2	10
2014-03-31 03:29:50.777452	114084	18.8	1	10
2014-03-31 03:29:55.989372	114085	338	3	2
2014-03-31 03:29:56.213494	114086	1143030.0716246546	4	2
2014-03-31 03:29:59.978974	114087	48	2	8
2014-03-31 03:30:00.21091	114088	19.5	1	8
2014-03-31 03:30:11.14883	114089	50	2	1
2014-03-31 03:30:11.374036	114090	17.9	1	1
2014-03-31 03:30:29.535509	114091	45	2	10
2014-03-31 03:30:29.767093	114092	18.8	1	10
2014-03-31 03:30:31.98596	114093	338	3	2
2014-03-31 03:30:32.206736	114094	1143033.518728819	4	2
2014-03-31 03:30:38.978892	114095	48	2	8
2014-03-31 03:30:39.210602	114096	19.5	1	8
2014-03-31 03:30:50.150794	114097	50	2	1
2014-03-31 03:30:50.375526	114098	17.9	1	1
2014-03-31 03:31:08.535347	114099	45	2	10
2014-03-31 03:31:08.768444	114100	18.8	1	10
2014-03-31 03:31:17.980178	114101	48	2	8
2014-03-31 03:31:18.201808	114102	19.5	1	8
2014-03-31 03:31:29.14785	114103	50	2	1
2014-03-31 03:31:29.378613	114104	17.9	1	1
2014-03-31 03:31:31.985689	114105	338	3	2
2014-03-31 03:31:32.20619	114106	1143039.263902426	4	2
2014-03-31 03:31:47.537413	114107	45	2	10
2014-03-31 03:31:47.770525	114108	18.8	1	10
2014-03-31 03:31:56.978935	114109	48	2	8
2014-03-31 03:31:57.201195	114110	19.5	1	8
2014-03-31 03:32:08.388575	114111	50	2	1
2014-03-31 03:32:08.621984	114112	17.9	1	1
2014-03-31 03:32:19.985865	114113	370	3	2
2014-03-31 03:32:20.207585	114114	1143043.8600413117	4	2
2014-03-31 03:32:26.534936	114115	45	2	10
2014-03-31 03:32:26.769009	114116	18.8	1	10
2014-03-31 03:32:31.990977	114117	370	3	2
2014-03-31 03:32:32.21184	114118	1143046.1581107543	4	2
2014-03-31 03:32:35.978615	114119	48	2	8
2014-03-31 03:32:36.210084	114120	19.5	1	8
2014-03-31 03:32:43.985975	114121	434	3	2
2014-03-31 03:32:44.209509	114122	1143047.3071454759	4	2
2014-03-31 03:32:47.148921	114123	50	2	1
2014-03-31 03:32:47.382681	114124	17.9	1	1
2014-03-31 03:32:55.986168	114125	434	3	2
2014-03-31 03:32:56.208118	114126	1143048.4561801972	4	2
2014-03-31 03:33:05.535058	114127	45	2	10
2014-03-31 03:33:05.769978	114128	18.8	1	10
2014-03-31 03:33:14.978697	114129	48	2	8
2014-03-31 03:33:15.19993	114130	19.5	1	8
2014-03-31 03:33:26.147964	114131	50	2	1
2014-03-31 03:33:26.393773	114132	17.9	1	1
2014-03-31 03:33:31.98898	114133	450	3	2
2014-03-31 03:33:32.210828	114134	1143053.052319083	4	2
2014-03-31 03:33:44.536029	114135	45	2	10
2014-03-31 03:33:44.767399	114136	18.8	1	10
2014-03-31 03:33:53.98004	114137	48	2	8
2014-03-31 03:33:54.20308	114138	19.5	1	8
2014-03-31 03:34:05.145125	114139	50	2	1
2014-03-31 03:34:05.378249	114140	17.9	1	1
2014-03-31 03:34:23.536714	114141	45	2	10
2014-03-31 03:34:23.757789	114142	18.8	1	10
2014-03-31 03:34:32.978624	114143	48	2	8
2014-03-31 03:34:33.213045	114144	19.5	1	8
2014-03-31 03:34:44.148946	114145	50	2	1
2014-03-31 03:34:44.370545	114146	17.9	1	1
2014-03-31 03:35:02.536407	114147	45	2	10
2014-03-31 03:35:02.767533	114148	18.8	1	10
2014-03-31 03:35:11.97898	114149	48	2	8
2014-03-31 03:35:12.201936	114150	19.5	1	8
2014-03-31 03:35:23.147529	114151	50	2	1
2014-03-31 03:35:23.378487	114152	17.9	1	1
2014-03-31 03:35:31.987035	114153	434	3	2
2014-03-31 03:35:32.210171	114154	1143067.9897704613	4	2
2014-03-31 03:35:41.545124	114155	45	2	10
2014-03-31 03:35:41.7771	114156	18.8	1	10
2014-03-31 03:35:50.978979	114157	48	2	8
2014-03-31 03:35:51.220686	114158	19.5	1	8
2014-03-31 03:36:02.144647	114159	50	2	1
2014-03-31 03:36:02.379252	114160	17.9	1	1
2014-03-31 03:36:20.538176	114161	45	2	10
2014-03-31 03:36:20.760841	114162	18.8	1	10
2014-03-31 03:36:29.977885	114163	48	2	8
2014-03-31 03:36:30.210138	114164	19.5	1	8
2014-03-31 03:36:31.988108	114165	450	3	2
2014-03-31 03:36:32.213633	114166	1143074.88397879	4	2
2014-03-31 03:36:41.146213	114167	50	2	1
2014-03-31 03:36:41.379329	114168	17.9	1	1
2014-03-31 03:36:59.539099	114169	45	2	10
2014-03-31 03:36:59.760826	114170	18.8	1	10
2014-03-31 03:37:08.979633	114171	48	2	8
2014-03-31 03:37:09.213063	114172	19.5	1	8
2014-03-31 03:37:20.144599	114173	50	2	1
2014-03-31 03:37:20.367225	114174	17.9	1	1
2014-03-31 03:37:31.983751	114175	434	3	2
2014-03-31 03:37:32.21559	114176	1143081.7781871182	4	2
2014-03-31 03:37:38.536941	114177	45	2	10
2014-03-31 03:37:38.766216	114178	18.8	1	10
2014-03-31 03:37:47.978088	114179	48	2	8
2014-03-31 03:37:48.221536	114180	19.5	1	8
2014-03-31 03:37:59.14539	114181	50	2	1
2014-03-31 03:37:59.367891	114182	17.9	1	1
2014-03-31 03:38:17.539373	114183	45	2	10
2014-03-31 03:38:17.773846	114184	18.8	1	10
2014-03-31 03:38:26.97927	114185	48	2	8
2014-03-31 03:38:27.202121	114186	19.5	1	8
2014-03-31 03:38:31.985455	114187	434	3	2
2014-03-31 03:38:32.221282	114188	1143089.821430168	4	2
2014-03-31 03:38:38.143212	114189	50	2	1
2014-03-31 03:38:38.366187	114190	17.9	1	1
2014-03-31 03:38:56.53855	114191	45	2	10
2014-03-31 03:38:56.771491	114192	18.8	1	10
2014-03-31 03:39:05.979677	114193	48	2	8
2014-03-31 03:39:06.202072	114194	19.5	1	8
2014-03-31 03:39:17.144157	114195	50	2	1
2014-03-31 03:39:17.376081	114196	17.9	1	1
2014-03-31 03:39:19.988582	114197	370	3	2
2014-03-31 03:39:20.209121	114198	1143095.5666037754	4	2
2014-03-31 03:39:31.987964	114199	370	3	2
2014-03-31 03:39:32.221141	114200	1143096.7156384967	4	2
2014-03-31 03:39:35.538902	114201	45	2	10
2014-03-31 03:39:35.761645	114202	18.8	1	10
2014-03-31 03:39:44.981237	114203	48	2	8
2014-03-31 03:39:45.214604	114204	19.5	1	8
2014-03-31 03:39:56.143773	114205	50	2	1
2014-03-31 03:39:56.367012	114206	17.9	1	1
2014-03-31 03:40:14.539451	114207	45	2	10
2014-03-31 03:40:14.772171	114208	18.8	1	10
2014-03-31 03:40:23.979399	114209	48	2	8
2014-03-31 03:40:24.203275	114210	19.5	1	8
2014-03-31 03:40:31.985901	114211	402	3	2
2014-03-31 03:40:32.221838	114212	1143102.4608121037	4	2
2014-03-31 03:40:35.143462	114213	50	2	1
2014-03-31 03:40:35.364299	114214	17.9	1	1
2014-03-31 03:40:43.987881	114215	370	3	2
2014-03-31 03:40:44.221646	114216	1143103.6098468252	4	2
2014-03-31 03:40:53.538581	114217	45	2	10
2014-03-31 03:40:53.761665	114218	18.9	1	10
2014-03-31 03:40:55.985962	114219	370	3	2
2014-03-31 03:40:56.217489	114220	1143104.7588815466	4	2
2014-03-31 03:41:02.979261	114221	48	2	8
2014-03-31 03:41:03.203964	114222	19.5	1	8
2014-03-31 03:41:14.143793	114223	50	2	1
2014-03-31 03:41:14.378729	114224	17.9	1	1
2014-03-31 03:41:31.986995	114225	402	3	2
2014-03-31 03:41:32.209905	114226	1143109.3550204323	4	2
2014-03-31 03:41:32.538917	114227	45	2	10
2014-03-31 03:41:32.780846	114228	18.9	1	10
2014-03-31 03:41:41.979611	114229	48	2	8
2014-03-31 03:41:42.200569	114230	19.5	1	8
2014-03-31 03:41:43.985493	114231	370	3	2
2014-03-31 03:41:44.215459	114232	1143110.5040551536	4	2
2014-03-31 03:41:53.141672	114233	50	2	1
2014-03-31 03:41:53.365172	114234	17.9	1	1
2014-03-31 03:41:55.985649	114235	370	3	2
2014-03-31 03:41:56.217996	114236	1143111.6530898751	4	2
2014-03-31 03:42:11.542723	114237	45	2	10
2014-03-31 03:42:11.765117	114238	18.9	1	10
2014-03-31 03:42:20.979924	114239	48	2	8
2014-03-31 03:42:21.211526	114240	19.5	1	8
2014-03-31 03:42:32.38041	114241	50	2	1
2014-03-31 03:42:32.60502	114242	17.9	1	1
2014-03-31 03:42:50.541315	114243	45	2	10
2014-03-31 03:42:50.776755	114244	18.9	1	10
2014-03-31 03:42:59.981788	114245	48	2	8
2014-03-31 03:43:00.204829	114246	19.5	1	8
2014-03-31 03:43:11.141454	114247	50	2	1
2014-03-31 03:43:11.372494	114248	17.9	1	1
2014-03-31 03:43:29.539456	114249	45	2	10
2014-03-31 03:43:29.76471	114250	18.9	1	10
2014-03-31 03:43:31.985364	114251	402	3	2
2014-03-31 03:43:32.217115	114252	1143120.8453676463	4	2
2014-03-31 03:43:38.97786	114253	48	2	8
2014-03-31 03:43:39.199599	114254	19.5	1	8
2014-03-31 03:43:43.986147	114255	370	3	2
2014-03-31 03:43:44.222667	114256	1143123.1434370892	4	2
2014-03-31 03:43:50.142761	114257	50	2	1
2014-03-31 03:43:50.364064	114258	17.9	1	1
2014-03-31 03:43:55.990814	114259	370	3	2
2014-03-31 03:43:56.223396	114260	1143124.2924718107	4	2
2014-03-31 03:44:08.540123	114261	45	2	10
2014-03-31 03:44:08.762676	114262	18.9	1	10
2014-03-31 03:44:17.977823	114263	48	2	8
2014-03-31 03:44:18.23137	114264	19.5	1	8
2014-03-31 03:44:29.142195	114265	50	2	1
2014-03-31 03:44:29.365413	114266	17.9	1	1
2014-03-31 03:44:31.986728	114267	370	3	2
2014-03-31 03:44:32.217411	114268	1143127.7395759749	4	2
2014-03-31 03:44:47.540055	114269	45	2	10
2014-03-31 03:44:47.761516	114270	18.9	1	10
2014-03-31 03:44:56.980065	114271	48	2	8
2014-03-31 03:44:57.212843	114272	19.5	1	8
2014-03-31 03:45:08.140227	114273	50	2	1
2014-03-31 03:45:08.362728	114274	17.8	1	1
2014-03-31 03:45:26.540642	114275	45	2	10
2014-03-31 03:45:26.790345	114276	18.9	1	10
2014-03-31 03:45:31.988754	114277	434	3	2
2014-03-31 03:45:32.213608	114278	1143134.6337843034	4	2
2014-03-31 03:45:35.981335	114279	48	2	8
2014-03-31 03:45:36.214278	114280	19.5	1	8
2014-03-31 03:45:43.98575	114281	434	3	2
2014-03-31 03:45:44.210005	114282	1143135.7828190248	4	2
2014-03-31 03:45:47.141855	114283	50	2	1
2014-03-31 03:45:47.37498	114284	17.8	1	1
2014-03-31 03:46:05.540736	114285	45	2	10
2014-03-31 03:46:05.764468	114286	18.9	1	10
2014-03-31 03:46:14.979409	114287	48	2	8
2014-03-31 03:46:15.213547	114288	19.5	1	8
2014-03-31 03:46:26.140561	114289	50	2	1
2014-03-31 03:46:26.365044	114290	17.8	1	1
2014-03-31 03:46:31.985153	114291	434	3	2
2014-03-31 03:46:32.218687	114292	1143141.5279926318	4	2
2014-03-31 03:46:44.539476	114293	45	2	10
2014-03-31 03:46:44.763344	114294	18.9	1	10
2014-03-31 03:46:53.978841	114295	48	2	8
2014-03-31 03:46:54.209503	114296	19.5	1	8
2014-03-31 03:47:05.380558	114297	50	2	1
2014-03-31 03:47:05.602681	114298	17.8	1	1
2014-03-31 03:47:23.540604	114299	45	2	10
2014-03-31 03:47:23.773831	114300	18.9	1	10
2014-03-31 03:47:32.97852	114301	48	2	8
2014-03-31 03:47:33.200549	114302	19.5	1	8
2014-03-31 03:47:44.140366	114303	50	2	1
2014-03-31 03:47:44.374643	114304	17.8	1	1
2014-03-31 03:47:55.984653	114305	370	3	2
2014-03-31 03:47:56.208679	114306	1143151.8693051245	4	2
2014-03-31 03:48:02.542903	114307	45	2	10
2014-03-31 03:48:02.7749	114308	18.9	1	10
2014-03-31 03:48:07.990372	114309	370	3	2
2014-03-31 03:48:08.213942	114310	1143153.018339846	4	2
2014-03-31 03:48:11.979449	114311	48	2	8
2014-03-31 03:48:12.210853	114312	19.5	1	8
2014-03-31 03:48:23.13846	114313	50	2	1
2014-03-31 03:48:23.360565	114314	17.8	1	1
2014-03-31 03:48:31.984768	114315	370	3	2
2014-03-31 03:48:32.225111	114316	1143155.316409289	4	2
2014-03-31 03:48:41.542586	114317	45	2	10
2014-03-31 03:48:41.767274	114318	18.9	1	10
2014-03-31 03:48:50.979395	114319	48	2	8
2014-03-31 03:48:51.2108	114320	19.5	1	8
2014-03-31 03:49:02.138601	114321	50	2	1
2014-03-31 03:49:02.361514	114322	17.8	1	1
2014-03-31 03:49:20.540776	114323	45	2	10
2014-03-31 03:49:20.785526	114324	18.9	1	10
2014-03-31 03:49:29.979233	114325	48	2	8
2014-03-31 03:49:30.200973	114326	19.5	1	8
2014-03-31 03:49:31.985915	114327	370	3	2
2014-03-31 03:49:32.216586	114328	1143161.061582896	4	2
2014-03-31 03:49:41.137888	114329	50	2	1
2014-03-31 03:49:41.359393	114330	17.8	1	1
2014-03-31 03:49:59.542289	114331	45	2	10
2014-03-31 03:49:59.773696	114332	18.9	1	10
2014-03-31 03:50:08.980545	114333	48	2	8
2014-03-31 03:50:09.202562	114334	19.5	1	8
2014-03-31 03:50:20.138072	114335	50	2	1
2014-03-31 03:50:20.369278	114336	17.8	1	1
2014-03-31 03:50:31.992541	114337	370	3	2
2014-03-31 03:50:32.213767	114338	1143166.806756503	4	2
2014-03-31 03:50:38.541866	114339	45	2	10
2014-03-31 03:50:38.77398	114340	18.9	1	10
2014-03-31 03:50:47.978897	114341	48	2	8
2014-03-31 03:50:48.203184	114342	19.5	1	8
2014-03-31 03:50:59.139147	114343	50	2	1
2014-03-31 03:50:59.370649	114344	17.8	1	1
2014-03-31 03:51:17.54164	114345	45	2	10
2014-03-31 03:51:17.766221	114346	18.9	1	10
2014-03-31 03:51:19.985849	114347	338	3	2
2014-03-31 03:51:20.220517	114348	1143172.5519301102	4	2
2014-03-31 03:51:26.979227	114349	48	2	8
2014-03-31 03:51:27.202643	114350	19.5	1	8
2014-03-31 03:51:31.985367	114351	305	3	2
2014-03-31 03:51:32.222065	114352	1143173.7009648315	4	2
2014-03-31 03:51:38.137455	114353	50	2	1
2014-03-31 03:51:38.360217	114354	17.8	1	1
2014-03-31 03:51:43.98815	114355	305	3	2
2014-03-31 03:51:44.221712	114356	1143174.8499995528	4	2
2014-03-31 03:51:55.985027	114357	338	3	2
2014-03-31 03:51:56.206882	114358	1143175.9990342744	4	2
2014-03-31 03:51:56.542463	114359	45	2	10
2014-03-31 03:51:56.773601	114360	18.9	1	10
2014-03-31 03:52:05.978878	114361	48	2	8
2014-03-31 03:52:06.199769	114362	19.5	1	8
2014-03-31 03:52:07.986432	114363	338	3	2
2014-03-31 03:52:08.219129	114364	1143177.1480689957	4	2
2014-03-31 03:52:17.136525	114365	50	2	1
2014-03-31 03:52:17.360257	114366	17.8	1	1
2014-03-31 03:52:31.989007	114367	305	3	2
2014-03-31 03:52:32.220839	114368	1143178.2971037172	4	2
2014-03-31 03:52:35.543496	114369	45	2	10
2014-03-31 03:52:35.764214	114370	18.9	1	10
2014-03-31 03:52:44.978964	114371	48	2	8
2014-03-31 03:52:45.22601	114372	19.5	1	8
2014-03-31 03:52:56.138135	114373	50	2	1
2014-03-31 03:52:56.359894	114374	17.8	1	1
2014-03-31 03:53:14.545963	114375	45	2	10
2014-03-31 03:53:14.778458	114376	18.9	1	10
2014-03-31 03:53:23.979491	114377	48	2	8
2014-03-31 03:53:24.201657	114378	19.5	1	8
2014-03-31 03:53:31.986915	114379	338	3	2
2014-03-31 03:53:32.223433	114380	1143184.0422773242	4	2
2014-03-31 03:53:35.135178	114381	50	2	1
2014-03-31 03:53:35.357844	114382	17.8	1	1
2014-03-31 03:53:43.986707	114383	305	3	2
2014-03-31 03:53:44.217487	114384	1143185.1913120456	4	2
2014-03-31 03:53:53.542947	114385	45	2	10
2014-03-31 03:53:53.767993	114386	18.9	1	10
2014-03-31 03:53:55.987454	114387	338	3	2
2014-03-31 03:53:56.218103	114388	1143186.340346767	4	2
2014-03-31 03:54:02.979372	114389	48	2	8
2014-03-31 03:54:03.201087	114390	19.5	1	8
2014-03-31 03:54:07.991605	114391	305	3	2
2014-03-31 03:54:08.224658	114392	1143187.4893814884	4	2
2014-03-31 03:54:14.138222	114393	50	2	1
2014-03-31 03:54:14.361902	114394	17.8	1	1
2014-03-31 03:54:19.988533	114395	305	3	2
2014-03-31 03:54:20.219163	114396	1143188.63841621	4	2
2014-03-31 03:54:31.987036	114397	305	3	2
2014-03-31 03:54:32.209095	114398	1143189.7874509313	4	2
2014-03-31 03:54:32.543793	114399	45	2	10
2014-03-31 03:54:32.776914	114400	18.9	1	10
2014-03-31 03:54:41.980318	114401	48	2	8
2014-03-31 03:54:42.202915	114402	19.5	1	8
2014-03-31 03:54:43.985919	114403	338	3	2
2014-03-31 03:54:44.217178	114404	1143190.9364856528	4	2
2014-03-31 03:54:53.137487	114405	50	2	1
2014-03-31 03:54:53.362381	114406	17.8	1	1
2014-03-31 03:54:55.986478	114407	305	3	2
2014-03-31 03:54:56.217347	114408	1143192.0855203741	4	2
2014-03-31 03:55:07.989504	114409	305	3	2
2014-03-31 03:55:08.212927	114410	1143193.2345550957	4	2
2014-03-31 03:55:11.551502	114411	45	2	10
2014-03-31 03:55:11.784124	114412	18.9	1	10
2014-03-31 03:55:20.981899	114413	48	2	8
2014-03-31 03:55:21.203545	114414	19.5	1	8
2014-03-31 03:55:32.376685	114415	50	2	1
2014-03-31 03:55:32.610648	114416	17.8	1	1
2014-03-31 03:55:43.988218	114417	305	3	2
2014-03-31 03:55:44.230853	114418	1143195.5326245383	4	2
2014-03-31 03:55:50.543907	114419	45	2	10
2014-03-31 03:55:50.786305	114420	18.9	1	10
2014-03-31 03:55:55.989645	114421	305	3	2
2014-03-31 03:55:56.21164	114422	1143196.6816592598	4	2
2014-03-31 03:55:59.982105	114423	48	2	8
2014-03-31 03:56:00.21406	114424	19.5	1	8
2014-03-31 03:56:07.991984	114425	338	3	2
2014-03-31 03:56:08.213565	114426	1143197.8306939811	4	2
2014-03-31 03:56:11.136046	114427	50	2	1
2014-03-31 03:56:11.366189	114428	17.8	1	1
2014-03-31 03:56:19.986246	114429	338	3	2
2014-03-31 03:56:20.209304	114430	1143198.9797287027	4	2
2014-03-31 03:56:29.543849	114431	45	2	10
2014-03-31 03:56:29.778656	114432	18.9	1	10
2014-03-31 03:56:31.985915	114433	338	3	2
2014-03-31 03:56:32.209107	114434	1143200.128763424	4	2
2014-03-31 03:56:38.98015	114435	48	2	8
2014-03-31 03:56:39.214704	114436	19.5	1	8
2014-03-31 03:56:43.985187	114437	305	3	2
2014-03-31 03:56:44.213565	114438	1143201.2777981455	4	2
2014-03-31 03:56:50.135372	114439	50	2	1
2014-03-31 03:56:50.369855	114440	17.8	1	1
2014-03-31 03:56:55.989375	114441	305	3	2
2014-03-31 03:56:56.213921	114442	1143202.4268328669	4	2
2014-03-31 03:57:08.546816	114443	45	2	10
2014-03-31 03:57:08.78071	114444	18.9	1	10
2014-03-31 03:57:17.979165	114445	48	2	8
2014-03-31 03:57:18.200624	114446	19.5	1	8
2014-03-31 03:57:19.98464	114447	338	3	2
2014-03-31 03:57:20.217778	114448	1143204.7249023097	4	2
2014-03-31 03:57:29.133203	114449	50	2	1
2014-03-31 03:57:29.356607	114450	17.8	1	1
2014-03-31 03:57:31.983562	114451	370	3	2
2014-03-31 03:57:32.21543	114452	1143205.873937031	4	2
2014-03-31 03:57:43.986214	114453	370	3	2
2014-03-31 03:57:44.209718	114454	1143207.0229717526	4	2
2014-03-31 03:57:47.545041	114455	45	2	10
2014-03-31 03:57:47.776548	114456	18.9	1	10
2014-03-31 03:57:56.979868	114457	48	2	8
2014-03-31 03:57:57.201482	114458	19.5	1	8
2014-03-31 03:58:08.132398	114459	50	2	1
2014-03-31 03:58:08.367781	114460	17.8	1	1
2014-03-31 03:58:26.545906	114461	45	2	10
2014-03-31 03:58:26.766727	114462	18.9	1	10
2014-03-31 03:58:31.985902	114463	370	3	2
2014-03-31 03:58:32.218694	114464	1143211.6191106383	4	2
2014-03-31 03:58:35.977845	114465	48	2	8
2014-03-31 03:58:36.200716	114466	19.5	1	8
2014-03-31 03:58:47.132709	114467	50	2	1
2014-03-31 03:58:47.377275	114468	17.8	1	1
2014-03-31 03:59:05.547508	114469	45	2	10
2014-03-31 03:59:05.769467	114470	18.9	1	10
2014-03-31 03:59:14.977935	114471	48	2	8
2014-03-31 03:59:15.394512	114472	19.5	1	8
2014-03-31 03:59:26.132046	114473	50	2	1
2014-03-31 03:59:26.352688	114474	17.8	1	1
2014-03-31 03:59:31.985148	114475	370	3	2
2014-03-31 03:59:32.206804	114476	1143217.3642842453	4	2
2014-03-31 03:59:44.54489	114477	44	2	10
2014-03-31 03:59:44.77599	114478	19.0	1	10
2014-03-31 03:59:53.978085	114479	48	2	8
2014-03-31 03:59:54.197719	114480	19.5	1	8
2014-03-31 04:00:05.132135	114481	50	2	1
2014-03-31 04:00:05.362047	114482	17.8	1	1
2014-03-31 04:00:23.544948	114483	44	2	10
2014-03-31 04:00:23.76676	114484	19.0	1	10
2014-03-31 04:00:32.977536	114485	48	2	8
2014-03-31 04:00:33.208986	114486	19.5	1	8
2014-03-31 04:00:44.131651	114487	50	2	1
2014-03-31 04:00:44.353343	114488	17.8	1	1
2014-03-31 04:01:02.602693	114489	44	2	10
2014-03-31 04:01:02.833467	114490	19.0	1	10
2014-03-31 04:01:11.980527	114491	48	2	8
2014-03-31 04:01:12.20318	114492	19.5	1	8
2014-03-31 04:01:23.130162	114493	50	2	1
2014-03-31 04:01:23.360542	114494	17.8	1	1
2014-03-31 04:01:31.984619	114495	370	3	2
2014-03-31 04:01:32.207203	114496	1143230.003666181	4	2
2014-03-31 04:01:41.54635	114497	44	2	10
2014-03-31 04:01:41.777045	114498	19.0	1	10
2014-03-31 04:01:50.978866	114499	48	2	8
2014-03-31 04:01:51.2011	114500	19.4	1	8
2014-03-31 04:02:02.132667	114501	50	2	1
2014-03-31 04:02:02.365144	114502	17.8	1	1
2014-03-31 04:02:20.547314	114503	44	2	10
2014-03-31 04:02:20.769448	114504	19.0	1	10
2014-03-31 04:02:29.978423	114505	48	2	8
2014-03-31 04:02:30.212442	114506	19.4	1	8
2014-03-31 04:02:31.985215	114507	370	3	2
2014-03-31 04:02:32.207736	114508	1143236.8978745092	4	2
2014-03-31 04:02:41.131408	114509	50	2	1
2014-03-31 04:02:41.366701	114510	17.8	1	1
2014-03-31 04:02:59.545417	114511	44	2	10
2014-03-31 04:02:59.766339	114512	19.0	1	10
2014-03-31 04:03:08.978477	114513	48	2	8
2014-03-31 04:03:09.211462	114514	19.4	1	8
2014-03-31 04:03:20.128746	114515	50	2	1
2014-03-31 04:03:20.351524	114516	17.8	1	1
2014-03-31 04:03:31.983964	114517	370	3	2
2014-03-31 04:03:32.225263	114518	1143242.6430481165	4	2
2014-03-31 04:03:38.546773	114519	44	2	10
2014-03-31 04:03:38.766063	114520	19.0	1	10
2014-03-31 04:03:47.978754	114521	48	2	8
2014-03-31 04:03:48.210969	114522	19.4	1	8
2014-03-31 04:03:55.984948	114523	338	3	2
2014-03-31 04:03:56.205779	114524	1143244.9411175593	4	2
2014-03-31 04:03:59.129553	114525	50	2	1
2014-03-31 04:03:59.359817	114526	17.8	1	1
2014-03-31 04:04:07.986954	114527	305	3	2
2014-03-31 04:04:08.228294	114528	1143246.0901522806	4	2
2014-03-31 04:04:17.548313	114529	44	2	10
2014-03-31 04:04:17.779333	114530	19.0	1	10
2014-03-31 04:04:19.984296	114531	305	3	2
2014-03-31 04:04:20.204908	114532	1143247.239187002	4	2
2014-03-31 04:04:26.978127	114533	48	2	8
2014-03-31 04:04:27.209417	114534	19.4	1	8
2014-03-31 04:04:31.98486	114535	305	3	2
2014-03-31 04:04:32.20472	114536	1143248.3882217235	4	2
2014-03-31 04:04:38.12874	114537	50	2	1
2014-03-31 04:04:38.359306	114538	17.8	1	1
2014-03-31 04:04:43.987995	114539	338	3	2
2014-03-31 04:04:44.209647	114540	1143249.5372564448	4	2
2014-03-31 04:04:55.986121	114541	338	3	2
2014-03-31 04:04:56.217373	114542	1143250.6862911663	4	2
2014-03-31 04:04:56.755532	114543	44	2	10
2014-03-31 04:04:56.975042	114544	19.0	1	10
2014-03-31 04:05:05.979065	114545	48	2	8
2014-03-31 04:05:06.208474	114546	19.4	1	8
2014-03-31 04:05:17.12934	114547	50	2	1
2014-03-31 04:05:17.353989	114548	17.8	1	1
2014-03-31 04:05:31.985613	114549	305	3	2
2014-03-31 04:05:32.217772	114550	1143252.9843606092	4	2
2014-03-31 04:05:35.54727	114551	44	2	10
2014-03-31 04:05:35.769974	114552	19.0	1	10
2014-03-31 04:05:44.979184	114553	48	2	8
2014-03-31 04:05:45.210783	114554	19.4	1	8
2014-03-31 04:05:56.369335	114555	50	2	1
2014-03-31 04:05:56.589352	114556	17.8	1	1
2014-03-31 04:06:07.989885	114557	305	3	2
2014-03-31 04:06:08.221478	114558	1143256.4314647734	4	2
2014-03-31 04:06:14.547973	114559	44	2	10
2014-03-31 04:06:14.769853	114560	19.0	1	10
2014-03-31 04:06:19.989309	114561	305	3	2
2014-03-31 04:06:20.221146	114562	1143257.580499495	4	2
2014-03-31 04:06:23.97955	114563	48	2	8
2014-03-31 04:06:24.202262	114564	19.4	1	8
2014-03-31 04:06:31.985347	114565	338	3	2
2014-03-31 04:06:32.228891	114566	1143258.7295342162	4	2
2014-03-31 04:06:35.128307	114567	50	2	1
2014-03-31 04:06:35.350444	114568	17.8	1	1
2014-03-31 04:06:43.986126	114569	338	3	2
2014-03-31 04:06:44.217578	114570	1143259.8785689375	4	2
2014-03-31 04:06:53.547774	114571	44	2	10
2014-03-31 04:06:53.768474	114572	19.0	1	10
2014-03-31 04:07:02.978477	114573	48	2	8
2014-03-31 04:07:03.21102	114574	19.4	1	8
2014-03-31 04:07:14.132096	114575	50	2	1
2014-03-31 04:07:14.353235	114576	17.8	1	1
2014-03-31 04:07:31.985461	114577	305	3	2
2014-03-31 04:07:32.219312	114578	1143264.4747078232	4	2
2014-03-31 04:07:32.547859	114579	44	2	10
2014-03-31 04:07:32.768895	114580	19.0	1	10
2014-03-31 04:07:41.980138	114581	48	2	8
2014-03-31 04:07:42.214895	114582	19.4	1	8
2014-03-31 04:07:52.927774	114583	305	3	2
2014-03-31 04:07:53.148247	114584	1143265.6237425448	4	2
2014-03-31 04:07:53.461788	114585	50	2	1
2014-03-31 04:07:53.692543	114586	17.8	1	1
2014-03-31 04:08:07.987823	114587	338	3	2
2014-03-31 04:08:08.209295	114588	1143267.9218119876	4	2
2014-03-31 04:08:11.547932	114589	44	2	10
2014-03-31 04:08:11.779473	114590	19.0	1	10
2014-03-31 04:08:20.978237	114591	48	2	8
2014-03-31 04:08:21.199669	114592	19.4	1	8
2014-03-31 04:08:32.368809	114593	50	2	1
2014-03-31 04:08:32.600125	114594	17.8	1	1
2014-03-31 04:08:43.985849	114595	338	3	2
2014-03-31 04:08:44.206751	114596	1143270.2198814303	4	2
2014-03-31 04:08:50.548961	114597	44	2	10
2014-03-31 04:08:50.779922	114598	19.0	1	10
2014-03-31 04:08:55.986792	114599	305	3	2
2014-03-31 04:08:56.208075	114600	1143271.3689161518	4	2
2014-03-31 04:08:59.97733	114601	48	2	8
2014-03-31 04:09:00.208215	114602	19.4	1	8
2014-03-31 04:09:07.987233	114603	305	3	2
2014-03-31 04:09:08.208595	114604	1143272.5179508731	4	2
2014-03-31 04:09:11.128026	114605	50	2	1
2014-03-31 04:09:11.359708	114606	17.8	1	1
2014-03-31 04:09:29.550074	114607	44	2	10
2014-03-31 04:09:29.771557	114608	19.0	1	10
2014-03-31 04:09:31.984457	114609	338	3	2
2014-03-31 04:09:32.214525	114610	1143274.816020316	4	2
2014-03-31 04:09:38.982515	114611	48	2	8
2014-03-31 04:09:39.203344	114612	19.4	1	8
2014-03-31 04:09:43.983675	114613	338	3	2
2014-03-31 04:09:44.231148	114614	1143275.9650550375	4	2
2014-03-31 04:09:50.126156	114615	50	2	1
2014-03-31 04:09:50.347948	114616	17.8	1	1
2014-03-31 04:09:55.988843	114617	370	3	2
2014-03-31 04:09:56.220418	114618	1143277.1140897588	4	2
2014-03-31 04:10:07.989037	114619	370	3	2
2014-03-31 04:10:08.211594	114620	1143278.2631244804	4	2
2014-03-31 04:10:08.549537	114621	44	2	10
2014-03-31 04:10:08.781249	114622	19.0	1	10
2014-03-31 04:10:17.979005	114623	48	2	8
2014-03-31 04:10:18.199233	114624	19.4	1	8
2014-03-31 04:10:29.127377	114625	50	2	1
2014-03-31 04:10:29.358719	114626	17.8	1	1
2014-03-31 04:10:31.98364	114627	370	3	2
2014-03-31 04:10:32.20455	114628	1143280.561193923	4	2
2014-03-31 04:10:47.549146	114629	44	2	10
2014-03-31 04:10:47.783575	114630	19.0	1	10
2014-03-31 04:10:56.977536	114631	48	2	8
2014-03-31 04:10:57.199331	114632	19.4	1	8
2014-03-31 04:11:08.127651	114633	50	2	1
2014-03-31 04:11:08.363565	114634	17.8	1	1
2014-03-31 04:11:26.549735	114635	44	2	10
2014-03-31 04:11:26.771459	114636	19.0	1	10
2014-03-31 04:11:31.985322	114637	370	3	2
2014-03-31 04:11:32.216883	114638	1143286.3063675303	4	2
2014-03-31 04:11:35.9804	114639	48	2	8
2014-03-31 04:11:36.20059	114640	19.4	1	8
2014-03-31 04:11:47.125004	114641	50	2	1
2014-03-31 04:11:47.358993	114642	17.8	1	1
2014-03-31 04:12:05.549734	114643	44	2	10
2014-03-31 04:12:05.771165	114644	19.0	1	10
2014-03-31 04:12:14.978635	114645	48	2	8
2014-03-31 04:12:15.213122	114646	19.4	1	8
2014-03-31 04:12:26.127315	114647	50	2	1
2014-03-31 04:12:26.351065	114648	17.8	1	1
2014-03-31 04:12:31.982801	114649	370	3	2
2014-03-31 04:12:32.217238	114650	1143293.2005758586	4	2
2014-03-31 04:12:44.549435	114651	44	2	10
2014-03-31 04:12:44.878052	114652	19.0	1	10
2014-03-31 04:12:53.978285	114653	48	2	8
2014-03-31 04:12:54.244027	114654	19.4	1	8
2014-03-31 04:13:05.125401	114655	50	2	1
2014-03-31 04:13:05.348128	114656	17.8	1	1
2014-03-31 04:13:23.55018	114657	44	2	10
2014-03-31 04:13:23.782747	114658	19.0	1	10
2014-03-31 04:13:32.978247	114659	48	2	8
2014-03-31 04:13:33.200317	114660	19.4	1	8
2014-03-31 04:13:44.124033	114661	50	2	1
2014-03-31 04:13:44.368733	114662	17.8	1	1
2014-03-31 04:14:02.549833	114663	44	2	10
2014-03-31 04:14:02.771425	114664	19.0	1	10
2014-03-31 04:14:11.978598	114665	48	2	8
2014-03-31 04:14:12.208695	114666	19.4	1	8
2014-03-31 04:14:23.123775	114667	50	2	1
2014-03-31 04:14:23.344028	114668	17.8	1	1
2014-03-31 04:14:31.982441	114669	402	3	2
2014-03-31 04:14:32.214251	114670	1143305.8399577942	4	2
2014-03-31 04:14:41.550586	114671	44	2	10
2014-03-31 04:14:41.772451	114672	19.0	1	10
2014-03-31 04:14:43.98308	114673	370	3	2
2014-03-31 04:14:44.214529	114674	1143306.9889925157	4	2
2014-03-31 04:14:50.977323	114675	48	2	8
2014-03-31 04:14:51.199866	114676	19.4	1	8
2014-03-31 04:14:55.981932	114677	370	3	2
2014-03-31 04:14:56.218257	114678	1143308.138027237	4	2
2014-03-31 04:15:02.123953	114679	50	2	1
2014-03-31 04:15:02.347889	114680	17.8	1	1
2014-03-31 04:15:20.549771	114681	44	2	10
2014-03-31 04:15:20.785313	114682	19.0	1	10
2014-03-31 04:15:29.977955	114683	48	2	8
2014-03-31 04:15:30.19902	114684	19.4	1	8
2014-03-31 04:15:31.983929	114685	370	3	2
2014-03-31 04:15:32.214734	114686	1143311.5851314012	4	2
2014-03-31 04:15:41.12456	114687	50	2	1
2014-03-31 04:15:41.344208	114688	17.8	1	1
2014-03-31 04:15:59.551424	114689	44	2	10
2014-03-31 04:15:59.783856	114690	19.0	1	10
2014-03-31 04:16:08.97637	114691	48	2	8
2014-03-31 04:16:09.198523	114692	19.4	1	8
2014-03-31 04:16:20.365357	114693	50	2	1
2014-03-31 04:16:20.595165	114694	17.8	1	1
2014-03-31 04:16:31.984212	114695	338	3	2
2014-03-31 04:16:32.20525	114696	1143317.3303050085	4	2
2014-03-31 04:16:38.552353	114697	44	2	10
2014-03-31 04:16:38.78463	114698	19.0	1	10
2014-03-31 04:16:47.97948	114699	48	2	8
2014-03-31 04:16:48.20072	114700	19.4	1	8
2014-03-31 04:16:59.124102	114701	50	2	1
2014-03-31 04:16:59.355068	114702	17.7	1	1
2014-03-31 04:17:17.550895	114703	44	2	10
2014-03-31 04:17:17.773358	114704	19.0	1	10
2014-03-31 04:17:26.979797	114705	48	2	8
2014-03-31 04:17:27.2109	114706	19.4	1	8
2014-03-31 04:17:31.982494	114707	338	3	2
2014-03-31 04:17:32.203413	114708	1143321.9309148462	4	2
2014-03-31 04:17:38.125473	114709	50	2	1
2014-03-31 04:17:38.370633	114710	17.7	1	1
2014-03-31 04:17:56.551241	114711	44	2	10
2014-03-31 04:17:56.772992	114712	19.0	1	10
2014-03-31 04:18:05.103534	114713	54	2	9
2014-03-31 04:18:05.33812	114714	19.5	1	9
2014-03-31 04:18:05.98055	114715	48	2	8
2014-03-31 04:18:06.203573	114716	19.4	1	8
2014-03-31 04:18:17.123699	114717	49	2	1
2014-03-31 04:18:17.375122	114718	17.7	1	1
2014-03-31 04:18:31.984571	114719	338	3	2
2014-03-31 04:18:32.209696	114720	1143327.6760884533	4	2
2014-03-31 04:18:35.552053	114721	44	2	10
2014-03-31 04:18:35.783353	114722	19.0	1	10
2014-03-31 04:18:44.978546	114723	48	2	8
2014-03-31 04:18:45.201828	114724	19.4	1	8
2014-03-31 04:18:56.120134	114725	49	2	1
2014-03-31 04:18:56.354042	114726	17.7	1	1
2014-03-31 04:19:14.551981	114727	44	2	10
2014-03-31 04:19:14.773707	114728	19.0	1	10
2014-03-31 04:19:19.987074	114729	305	3	2
2014-03-31 04:19:20.21706	114730	1143332.272227339	4	2
2014-03-31 04:19:23.977351	114731	48	2	8
2014-03-31 04:19:24.199801	114732	19.4	1	8
2014-03-31 04:19:31.982997	114733	305	3	2
2014-03-31 04:19:32.213937	114734	1143333.4212620605	4	2
2014-03-31 04:19:35.122133	114735	49	2	1
2014-03-31 04:19:35.34382	114736	17.7	1	1
2014-03-31 04:19:43.984477	114737	338	3	2
2014-03-31 04:19:44.21575	114738	1143334.5702967818	4	2
2014-03-31 04:19:53.553352	114739	44	2	10
2014-03-31 04:19:53.776115	114740	19.0	1	10
2014-03-31 04:19:55.982735	114741	305	3	2
2014-03-31 04:19:56.214026	114742	1143335.7193315031	4	2
2014-03-31 04:20:02.978883	114743	48	2	8
2014-03-31 04:20:03.200632	114744	19.4	1	8
2014-03-31 04:20:07.984198	114745	338	3	2
2014-03-31 04:20:08.220929	114746	1143336.8683662247	4	2
2014-03-31 04:20:14.122694	114747	49	2	1
2014-03-31 04:20:14.343821	114748	17.7	1	1
2014-03-31 04:20:19.990032	114749	338	3	2
2014-03-31 04:20:20.222309	114750	1143338.017400946	4	2
2014-03-31 04:20:31.98189	114751	305	3	2
2014-03-31 04:20:32.203349	114752	1143339.1664356675	4	2
2014-03-31 04:20:32.554036	114753	44	2	10
2014-03-31 04:20:32.785835	114754	19.0	1	10
2014-03-31 04:20:41.979084	114755	48	2	8
2014-03-31 04:20:42.199806	114756	19.4	1	8
2014-03-31 04:20:43.983842	114757	305	3	2
2014-03-31 04:20:44.225966	114758	1143339.1664356675	4	2
2014-03-31 04:20:53.121417	114759	49	2	1
2014-03-31 04:20:53.343495	114760	17.7	1	1
2014-03-31 04:20:55.980327	114761	338	3	2
2014-03-31 04:20:56.213217	114762	1143340.3154703889	4	2
2014-03-31 04:21:07.982748	114763	305	3	2
2014-03-31 04:21:08.20392	114764	1143341.4645051104	4	2
2014-03-31 04:21:11.552311	114765	44	2	10
2014-03-31 04:21:11.78628	114766	19.0	1	10
2014-03-31 04:21:20.977322	114767	48	2	8
2014-03-31 04:21:21.199538	114768	19.4	1	8
2014-03-31 04:21:32.361244	114769	49	2	1
2014-03-31 04:21:32.593257	114770	17.7	1	1
2014-03-31 04:21:50.552549	114771	44	2	10
2014-03-31 04:21:50.774623	114772	19.0	1	10
2014-03-31 04:21:59.979962	114773	48	2	8
2014-03-31 04:22:00.211036	114774	19.4	1	8
2014-03-31 04:22:11.119654	114775	49	2	1
2014-03-31 04:22:11.340963	114776	17.7	1	1
2014-03-31 04:22:19.985233	114777	338	3	2
2014-03-31 04:22:20.215298	114778	1143348.3587134387	4	2
2014-03-31 04:22:29.553833	114779	44	2	10
2014-03-31 04:22:29.775799	114780	19.0	1	10
2014-03-31 04:22:31.985413	114781	370	3	2
2014-03-31 04:22:32.216357	114782	1143349.5077481603	4	2
2014-03-31 04:22:38.981682	114783	48	2	8
2014-03-31 04:22:39.20481	114784	19.4	1	8
2014-03-31 04:22:43.985586	114785	370	3	2
2014-03-31 04:22:44.221684	114786	1143350.6567828816	4	2
2014-03-31 04:22:50.12073	114787	49	2	1
2014-03-31 04:22:50.343108	114788	17.7	1	1
2014-03-31 04:23:08.554808	114789	44	2	10
2014-03-31 04:23:08.793722	114790	19.0	1	10
2014-03-31 04:23:17.978199	114791	48	2	8
2014-03-31 04:23:18.201461	114792	19.4	1	8
2014-03-31 04:23:29.121653	114793	49	2	1
2014-03-31 04:23:29.353175	114794	17.7	1	1
2014-03-31 04:23:31.98378	114795	370	3	2
2014-03-31 04:23:32.206335	114796	1143355.2529217673	4	2
2014-03-31 04:23:47.552753	114797	44	2	10
2014-03-31 04:23:47.785173	114798	19.0	1	10
2014-03-31 04:23:56.979338	114799	48	2	8
2014-03-31 04:23:57.202381	114800	19.4	1	8
2014-03-31 04:24:08.11962	114801	49	2	1
2014-03-31 04:24:08.355154	114802	17.7	1	1
2014-03-31 04:24:26.552973	114803	44	2	10
2014-03-31 04:24:26.7744	114804	19.0	1	10
2014-03-31 04:24:31.983686	114805	370	3	2
2014-03-31 04:24:32.227404	114806	1143362.1471300959	4	2
2014-03-31 04:24:35.977949	114807	48	2	8
2014-03-31 04:24:36.197483	114808	19.4	1	8
2014-03-31 04:24:47.118919	114809	49	2	1
2014-03-31 04:24:47.352835	114810	17.7	1	1
2014-03-31 04:25:05.554433	114811	44	2	10
2014-03-31 04:25:05.7754	114812	19.0	1	10
2014-03-31 04:25:14.978575	114813	48	2	8
2014-03-31 04:25:15.208483	114814	19.4	1	8
2014-03-31 04:25:26.118297	114815	49	2	1
2014-03-31 04:25:26.341099	114816	17.7	1	1
2014-03-31 04:25:31.986508	114817	370	3	2
2014-03-31 04:25:32.216195	114818	1143367.892303703	4	2
2014-03-31 04:25:44.556203	114819	44	2	10
2014-03-31 04:25:44.777588	114820	19.0	1	10
2014-03-31 04:25:52.89856	114821	54	2	9
2014-03-31 04:25:53.129257	114822	19.4	1	9
2014-03-31 04:25:53.977529	114823	48	2	8
2014-03-31 04:25:54.198233	114824	19.4	1	8
2014-03-31 04:26:05.114937	114825	49	2	1
2014-03-31 04:26:05.347499	114826	17.7	1	1
2014-03-31 04:26:23.553655	114827	44	2	10
2014-03-31 04:26:23.777348	114828	19.0	1	10
2014-03-31 04:26:32.977189	114829	48	2	8
2014-03-31 04:26:33.20751	114830	19.4	1	8
2014-03-31 04:26:44.119255	114831	49	2	1
2014-03-31 04:26:44.341353	114832	17.7	1	1
2014-03-31 04:27:02.553906	114833	44	2	10
2014-03-31 04:27:02.78653	114834	19.0	1	10
2014-03-31 04:27:10.882683	114835	54	2	9
2014-03-31 04:27:11.123905	114836	19.4	1	9
2014-03-31 04:27:11.978319	114837	48	2	8
2014-03-31 04:27:12.208792	114838	19.4	1	8
2014-03-31 04:27:19.983131	114839	434	3	2
2014-03-31 04:27:20.204851	114840	1143379.382650917	4	2
2014-03-31 04:27:23.117848	114841	49	2	1
2014-03-31 04:27:23.349413	114842	17.7	1	1
2014-03-31 04:27:31.982789	114843	434	3	2
2014-03-31 04:27:32.204139	114844	1143380.5316856385	4	2
2014-03-31 04:27:41.554033	114845	44	2	10
2014-03-31 04:27:41.788045	114846	19.0	1	10
2014-03-31 04:27:50.979036	114847	48	2	8
2014-03-31 04:27:51.200448	114848	19.4	1	8
2014-03-31 04:28:02.116317	114849	49	2	1
2014-03-31 04:28:02.348822	114850	17.7	1	1
2014-03-31 04:28:19.984931	114851	402	3	2
2014-03-31 04:28:20.20914	114852	1143386.2768592455	4	2
2014-03-31 04:28:20.554542	114853	44	2	10
2014-03-31 04:28:20.797018	114854	19.0	1	10
2014-03-31 04:28:28.887306	114855	54	2	9
2014-03-31 04:28:29.110149	114856	19.4	1	9
2014-03-31 04:28:29.977054	114857	48	2	8
2014-03-31 04:28:30.208719	114858	19.4	1	8
2014-03-31 04:28:31.982304	114859	402	3	2
2014-03-31 04:28:32.204702	114860	1143387.4258939668	4	2
2014-03-31 04:28:41.117744	114861	49	2	1
2014-03-31 04:28:41.348855	114862	17.7	1	1
2014-03-31 04:28:59.554384	114863	44	2	10
2014-03-31 04:28:59.776396	114864	19.0	1	10
2014-03-31 04:29:08.977173	114865	48	2	8
2014-03-31 04:29:09.209082	114866	19.4	1	8
2014-03-31 04:29:20.117761	114867	49	2	1
2014-03-31 04:29:20.34248	114868	17.7	1	1
2014-03-31 04:29:31.982396	114869	402	3	2
2014-03-31 04:29:32.213818	114870	1143394.3201022954	4	2
2014-03-31 04:29:38.554843	114871	44	2	10
2014-03-31 04:29:38.776591	114872	19.0	1	10
2014-03-31 04:29:43.987428	114873	370	3	2
2014-03-31 04:29:44.220033	114874	1143395.469137017	4	2
2014-03-31 04:29:47.9776	114875	48	2	8
2014-03-31 04:29:48.197003	114876	19.4	1	8
2014-03-31 04:29:55.98261	114877	370	3	2
2014-03-31 04:29:56.213725	114878	1143396.6181717382	4	2
2014-03-31 04:29:59.115957	114879	49	2	1
2014-03-31 04:29:59.358624	114880	17.7	1	1
2014-03-31 04:30:17.554565	114881	44	2	10
2014-03-31 04:30:17.786924	114882	19.0	1	10
2014-03-31 04:30:26.980432	114883	48	2	8
2014-03-31 04:30:27.201336	114884	19.4	1	8
2014-03-31 04:30:31.982501	114885	370	3	2
2014-03-31 04:30:32.220526	114886	1143400.0652759024	4	2
2014-03-31 04:30:38.117904	114887	49	2	1
2014-03-31 04:30:38.339717	114888	17.7	1	1
2014-03-31 04:30:56.557068	114889	44	2	10
2014-03-31 04:30:56.788652	114890	19.0	1	10
2014-03-31 04:31:05.978442	114891	48	2	8
2014-03-31 04:31:06.200711	114892	19.4	1	8
2014-03-31 04:31:17.115158	114893	49	2	1
2014-03-31 04:31:17.346091	114894	17.7	1	1
2014-03-31 04:31:31.983124	114895	370	3	2
2014-03-31 04:31:32.204978	114896	1143406.959484231	4	2
2014-03-31 04:31:35.556187	114897	44	2	10
2014-03-31 04:31:35.790226	114898	19.0	1	10
2014-03-31 04:31:43.893126	114899	54	2	9
2014-03-31 04:31:44.113683	114900	19.4	1	9
2014-03-31 04:31:44.979223	114901	48	2	8
2014-03-31 04:31:45.221532	114902	19.4	1	8
2014-03-31 04:31:56.114595	114903	49	2	1
2014-03-31 04:31:56.336169	114904	17.7	1	1
2014-03-31 04:32:14.555187	114905	44	2	10
2014-03-31 04:32:14.78938	114906	19.0	1	10
2014-03-31 04:32:23.978203	114907	48	2	8
2014-03-31 04:32:24.200468	114908	19.4	1	8
2014-03-31 04:32:31.98355	114909	370	3	2
2014-03-31 04:32:32.214431	114910	1143412.704657838	4	2
2014-03-31 04:32:35.114713	114911	49	2	1
2014-03-31 04:32:35.3345	114912	17.7	1	1
2014-03-31 04:32:53.555089	114913	44	2	10
2014-03-31 04:32:53.789672	114914	19.0	1	10
2014-03-31 04:33:01.884902	114915	54	2	9
2014-03-31 04:33:02.106488	114916	19.4	1	9
2014-03-31 04:33:02.981625	114917	48	2	8
2014-03-31 04:33:03.211895	114918	19.4	1	8
2014-03-31 04:33:07.989558	114919	402	3	2
2014-03-31 04:33:08.213463	114920	1143416.1517620024	4	2
2014-03-31 04:33:14.121704	114921	49	2	1
2014-03-31 04:33:14.352368	114922	17.7	1	1
2014-03-31 04:33:19.986881	114923	370	3	2
2014-03-31 04:33:20.207341	114924	1143418.449831445	4	2
2014-03-31 04:33:31.984045	114925	370	3	2
2014-03-31 04:33:32.225241	114926	1143419.5988661665	4	2
2014-03-31 04:33:32.555867	114927	44	2	10
2014-03-31 04:33:32.77793	114928	19.0	1	10
2014-03-31 04:33:41.97728	114929	48	2	8
2014-03-31 04:33:42.209798	114930	19.4	1	8
2014-03-31 04:33:53.115294	114931	49	2	1
2014-03-31 04:33:53.33571	114932	17.7	1	1
2014-03-31 04:34:11.556963	114933	44	2	10
2014-03-31 04:34:11.789364	114934	19.1	1	10
2014-03-31 04:34:20.979561	114935	48	2	8
2014-03-31 04:34:21.203705	114936	19.4	1	8
2014-03-31 04:34:32.35305	114937	49	2	1
2014-03-31 04:34:32.585018	114938	17.7	1	1
2014-03-31 04:34:50.557808	114939	44	2	10
2014-03-31 04:34:50.777469	114940	19.0	1	10
2014-03-31 04:34:59.979583	114941	48	2	8
2014-03-31 04:35:00.212457	114942	19.4	1	8
2014-03-31 04:35:11.112634	114943	49	2	1
2014-03-31 04:35:11.336093	114944	17.7	1	1
2014-03-31 04:35:29.55619	114945	44	2	10
2014-03-31 04:35:29.790459	114946	19.0	1	10
2014-03-31 04:35:31.983215	114947	434	3	2
2014-03-31 04:35:32.203758	114948	1143433.3872828234	4	2
2014-03-31 04:35:38.977839	114949	48	2	8
2014-03-31 04:35:39.221617	114950	19.4	1	8
2014-03-31 04:35:50.11216	114951	49	2	1
2014-03-31 04:35:50.35297	114952	17.7	1	1
2014-03-31 04:36:08.55778	114953	44	2	10
2014-03-31 04:36:08.794048	114954	19.0	1	10
2014-03-31 04:36:17.978827	114955	48	2	8
2014-03-31 04:36:18.200371	114956	19.4	1	8
2014-03-31 04:36:29.114123	114957	49	2	1
2014-03-31 04:36:29.344519	114958	17.7	1	1
2014-03-31 04:36:31.981257	114959	434	3	2
2014-03-31 04:36:32.201955	114960	1143440.281491152	4	2
2014-03-31 04:36:47.557841	114961	44	2	10
2014-03-31 04:36:47.791364	114962	19.0	1	10
2014-03-31 04:36:56.97768	114963	48	2	8
2014-03-31 04:36:57.199043	114964	19.4	1	8
2014-03-31 04:37:08.113225	114965	49	2	1
2014-03-31 04:37:08.344663	114966	17.7	1	1
2014-03-31 04:37:26.557736	114967	44	2	10
2014-03-31 04:37:26.781304	114968	19.0	1	10
2014-03-31 04:37:31.981899	114969	434	3	2
2014-03-31 04:37:32.213392	114970	1143447.1756994806	4	2
2014-03-31 04:37:35.97911	114971	48	2	8
2014-03-31 04:37:36.199395	114972	19.4	1	8
2014-03-31 04:37:47.111492	114973	49	2	1
2014-03-31 04:37:47.344047	114974	17.7	1	1
2014-03-31 04:38:05.558283	114975	44	2	10
2014-03-31 04:38:05.779823	114976	19.0	1	10
2014-03-31 04:38:14.979837	114977	48	2	8
2014-03-31 04:38:15.212717	114978	19.4	1	8
2014-03-31 04:38:26.112594	114979	49	2	1
2014-03-31 04:38:26.335362	114980	17.7	1	1
2014-03-31 04:38:31.984717	114981	434	3	2
2014-03-31 04:38:32.216488	114982	1143454.069907809	4	2
2014-03-31 04:38:44.558695	114983	44	2	10
2014-03-31 04:38:44.802237	114984	19.0	1	10
2014-03-31 04:38:52.901217	114985	54	2	9
2014-03-31 04:38:53.134095	114986	19.4	1	9
2014-03-31 04:38:53.979838	114987	48	2	8
2014-03-31 04:38:54.201542	114988	19.4	1	8
2014-03-31 04:39:05.11379	114989	49	2	1
2014-03-31 04:39:05.345827	114990	17.7	1	1
2014-03-31 04:39:23.55808	114991	44	2	10
2014-03-31 04:39:23.779429	114992	19.0	1	10
2014-03-31 04:39:32.977631	114993	48	2	8
2014-03-31 04:39:33.213359	114994	19.4	1	8
2014-03-31 04:39:44.112436	114995	49	2	1
2014-03-31 04:39:44.336362	114996	17.7	1	1
2014-03-31 04:39:55.982356	114997	370	3	2
2014-03-31 04:39:56.229214	114998	1143464.4112203016	4	2
2014-03-31 04:40:02.558515	114999	44	2	10
2014-03-31 04:40:02.780079	115000	19.0	1	10
2014-03-31 04:40:07.983526	115001	370	3	2
2014-03-31 04:40:08.21727	115002	1143465.5602550232	4	2
2014-03-31 04:40:10.899868	115003	54	2	9
2014-03-31 04:40:11.119666	115004	19.4	1	9
2014-03-31 04:40:11.977442	115005	48	2	8
2014-03-31 04:40:12.210379	115006	19.4	1	8
2014-03-31 04:40:23.109183	115007	49	2	1
2014-03-31 04:40:23.333237	115008	17.7	1	1
2014-03-31 04:40:31.982613	115009	370	3	2
2014-03-31 04:40:32.215394	115010	1143467.858324466	4	2
2014-03-31 04:40:41.559377	115011	44	2	10
2014-03-31 04:40:41.781295	115012	19.0	1	10
2014-03-31 04:40:50.977474	115013	48	2	8
2014-03-31 04:40:51.20703	115014	19.4	1	8
2014-03-31 04:41:02.110911	115015	49	2	1
2014-03-31 04:41:02.333133	115016	17.7	1	1
2014-03-31 04:41:20.559387	115017	44	2	10
2014-03-31 04:41:20.792682	115018	19.0	1	10
2014-03-31 04:41:29.978966	115019	48	2	8
2014-03-31 04:41:30.200269	115020	19.4	1	8
2014-03-31 04:41:31.982284	115021	370	3	2
2014-03-31 04:41:32.2134	115022	1143474.7525327944	4	2
2014-03-31 04:41:41.108868	115023	49	2	1
2014-03-31 04:41:41.330037	115024	17.7	1	1
2014-03-31 04:41:59.560483	115025	44	2	10
2014-03-31 04:41:59.803361	115026	19.0	1	10
2014-03-31 04:42:08.977712	115027	48	2	8
2014-03-31 04:42:09.199594	115028	19.4	1	8
2014-03-31 04:42:20.109681	115029	49	2	1
2014-03-31 04:42:20.339553	115030	17.7	1	1
2014-03-31 04:42:31.982739	115031	370	3	2
2014-03-31 04:42:32.204863	115032	1143480.4977064016	4	2
2014-03-31 04:42:38.559521	115033	44	2	10
2014-03-31 04:42:38.793869	115034	19.0	1	10
2014-03-31 04:42:46.899512	115035	54	2	9
2014-03-31 04:42:47.121469	115036	19.4	1	9
2014-03-31 04:42:47.978881	115037	48	2	8
2014-03-31 04:42:48.208033	115038	19.4	1	8
2014-03-31 04:42:55.982169	115039	338	3	2
2014-03-31 04:42:56.203376	115040	1143482.7957758442	4	2
2014-03-31 04:42:59.109324	115041	49	2	1
2014-03-31 04:42:59.339737	115042	17.7	1	1
2014-03-31 04:43:07.982095	115043	338	3	2
2014-03-31 04:43:08.204171	115044	1143483.9448105658	4	2
2014-03-31 04:43:17.56011	115045	44	2	10
2014-03-31 04:43:17.804167	115046	19.1	1	10
2014-03-31 04:43:25.900354	115047	54	2	9
2014-03-31 04:43:26.122089	115048	19.4	1	9
2014-03-31 04:43:26.978042	115049	48	2	8
2014-03-31 04:43:27.20825	115050	19.3	1	8
2014-03-31 04:43:31.984109	115051	305	3	2
2014-03-31 04:43:32.205081	115052	1143486.2428800086	4	2
2014-03-31 04:43:38.107706	115053	49	2	1
2014-03-31 04:43:38.339985	115054	17.7	1	1
2014-03-31 04:43:43.98716	115055	338	3	2
2014-03-31 04:43:44.20897	115056	1143487.39191473	4	2
2014-03-31 04:43:55.985373	115057	305	3	2
2014-03-31 04:43:56.217111	115058	1143488.5409494515	4	2
2014-03-31 04:43:56.560085	115059	44	2	10
2014-03-31 04:43:56.783199	115060	19.1	1	10
2014-03-31 04:44:04.899451	115061	54	2	9
2014-03-31 04:44:05.132371	115062	19.4	1	9
2014-03-31 04:44:05.980179	115063	48	2	8
2014-03-31 04:44:06.200702	115064	19.3	1	8
2014-03-31 04:44:07.98166	115065	338	3	2
2014-03-31 04:44:08.212504	115066	1143489.6899841728	4	2
2014-03-31 04:44:17.108124	115067	49	2	1
2014-03-31 04:44:17.329252	115068	17.7	1	1
2014-03-31 04:44:19.98283	115069	305	3	2
2014-03-31 04:44:20.213075	115070	1143490.8390188944	4	2
2014-03-31 04:44:31.98215	115071	305	3	2
2014-03-31 04:44:32.206691	115072	1143491.9880536157	4	2
2014-03-31 04:44:35.560151	115073	44	2	10
2014-03-31 04:44:35.790948	115074	19.0	1	10
2014-03-31 04:44:44.978122	115075	48	2	8
2014-03-31 04:44:45.201644	115076	19.3	1	8
2014-03-31 04:44:56.347896	115077	49	2	1
2014-03-31 04:44:56.580288	115078	17.7	1	1
2014-03-31 04:45:07.982218	115079	338	3	2
2014-03-31 04:45:08.204756	115080	1143495.4351577798	4	2
2014-03-31 04:45:14.559628	115081	44	2	10
2014-03-31 04:45:14.792357	115082	19.0	1	10
2014-03-31 04:45:19.985557	115083	338	3	2
2014-03-31 04:45:20.211275	115084	1143496.5841925014	4	2
2014-03-31 04:45:22.898706	115085	54	2	9
2014-03-31 04:45:23.188752	115086	19.4	1	9
2014-03-31 04:45:23.9782	115087	48	2	8
2014-03-31 04:45:24.201078	115088	19.3	1	8
2014-03-31 04:45:31.980401	115089	338	3	2
2014-03-31 04:45:32.216768	115090	1143497.7332272227	4	2
2014-03-31 04:45:35.109594	115091	49	2	1
2014-03-31 04:45:35.331551	115092	17.6	1	1
2014-03-31 04:45:43.979893	115093	305	3	2
2014-03-31 04:45:44.222721	115094	1143498.8822619442	4	2
2014-03-31 04:45:53.560464	115095	44	2	10
2014-03-31 04:45:53.780896	115096	19.0	1	10
2014-03-31 04:45:55.9806	115097	354	3	2
2014-03-31 04:45:56.211288	115098	1143500.0312966655	4	2
2014-03-31 04:46:01.886691	115099	54	2	9
2014-03-31 04:46:02.108701	115100	19.4	1	9
2014-03-31 04:46:02.977751	115101	48	2	8
2014-03-31 04:46:03.20882	115102	19.3	1	8
2014-03-31 04:46:07.98683	115103	370	3	2
2014-03-31 04:46:08.21005	115104	1143501.180331387	4	2
2014-03-31 04:46:14.108287	115105	49	2	1
2014-03-31 04:46:14.341432	115106	17.6	1	1
2014-03-31 04:46:31.981701	115107	354	3	2
2014-03-31 04:46:32.202841	115108	1143503.4784008297	4	2
2014-03-31 04:46:32.561327	115109	44	2	10
2014-03-31 04:46:32.791616	115110	19.0	1	10
2014-03-31 04:46:41.978066	115111	48	2	8
2014-03-31 04:46:42.200088	115112	19.3	1	8
2014-03-31 04:46:53.105998	115113	49	2	1
2014-03-31 04:46:53.336972	115114	17.6	1	1
2014-03-31 04:47:11.562643	115115	44	2	10
2014-03-31 04:47:11.784336	115116	19.0	1	10
2014-03-31 04:47:19.898416	115117	54	2	9
2014-03-31 04:47:20.13167	115118	19.4	1	9
2014-03-31 04:47:20.977993	115119	48	2	8
2014-03-31 04:47:21.198679	115120	19.3	1	8
2014-03-31 04:47:32.346172	115121	49	2	1
2014-03-31 04:47:32.579682	115122	17.6	1	1
2014-03-31 04:47:50.570299	115123	44	2	10
2014-03-31 04:47:50.794583	115124	19.0	1	10
2014-03-31 04:47:58.901427	115125	54	2	9
2014-03-31 04:47:59.135019	115126	19.4	1	9
2014-03-31 04:47:59.439476	115127	54	2	9
2014-03-31 04:47:59.664625	115128	19.4	1	9
2014-03-31 04:47:59.977664	115129	48	2	8
2014-03-31 04:48:00.210761	115130	19.3	1	8
2014-03-31 04:48:11.106255	115131	49	2	1
2014-03-31 04:48:11.326689	115132	17.6	1	1
2014-03-31 04:48:29.562911	115133	44	2	10
2014-03-31 04:48:29.797472	115134	19.1	1	10
2014-03-31 04:48:31.981449	115135	370	3	2
2014-03-31 04:48:32.203536	115136	1143514.968748044	4	2
2014-03-31 04:48:37.901642	115137	54	2	9
2014-03-31 04:48:38.132463	115138	19.4	1	9
2014-03-31 04:48:38.97887	115139	48	2	8
2014-03-31 04:48:39.201435	115140	19.3	1	8
2014-03-31 04:48:50.104313	115141	49	2	1
2014-03-31 04:48:50.348009	115142	17.6	1	1
2014-03-31 04:49:08.562934	115143	44	2	10
2014-03-31 04:49:08.785726	115144	19.1	1	10
2014-03-31 04:49:16.901929	115145	54	2	9
2014-03-31 04:49:17.13379	115146	19.4	1	9
2014-03-31 04:49:17.979555	115147	48	2	8
2014-03-31 04:49:18.199272	115148	19.3	1	8
2014-03-31 04:49:29.102884	115149	49	2	1
2014-03-31 04:49:29.334195	115150	17.6	1	1
2014-03-31 04:49:31.983227	115151	370	3	2
2014-03-31 04:49:32.206501	115152	1143521.8629563726	4	2
2014-03-31 04:49:47.76891	115153	44	2	10
2014-03-31 04:49:48.004482	115154	19.1	1	10
2014-03-31 04:49:55.901496	115155	54	2	9
2014-03-31 04:49:56.126395	115156	19.4	1	9
2014-03-31 04:49:56.978422	115157	48	2	8
2014-03-31 04:49:57.21086	115158	19.3	1	8
2014-03-31 04:50:08.109002	115159	49	2	1
2014-03-31 04:50:08.333243	115160	17.6	1	1
2014-03-31 04:50:26.562508	115161	44	2	10
2014-03-31 04:50:26.793796	115162	19.1	1	10
2014-03-31 04:50:31.980999	115163	370	3	2
2014-03-31 04:50:32.205403	115164	1143527.6081299796	4	2
2014-03-31 04:50:35.97867	115165	48	2	8
2014-03-31 04:50:36.211295	115166	19.3	1	8
2014-03-31 04:50:47.104218	115167	49	2	1
2014-03-31 04:50:47.329455	115168	17.6	1	1
2014-03-31 04:51:05.562236	115169	44	2	10
2014-03-31 04:51:05.794354	115170	19.1	1	10
2014-03-31 04:51:13.897432	115171	54	2	9
2014-03-31 04:51:14.119247	115172	19.4	1	9
2014-03-31 04:51:14.978317	115173	48	2	8
2014-03-31 04:51:15.209417	115174	19.3	1	8
2014-03-31 04:51:26.104663	115175	49	2	1
2014-03-31 04:51:26.328597	115176	17.6	1	1
2014-03-31 04:51:31.981296	115177	338	3	2
2014-03-31 04:51:32.213837	115178	1143533.3533035866	4	2
2014-03-31 04:51:43.981573	115179	305	3	2
2014-03-31 04:51:44.204449	115180	1143534.5023383081	4	2
2014-03-31 04:51:44.562748	115181	44	2	10
2014-03-31 04:51:44.801259	115182	19.1	1	10
2014-03-31 04:51:52.900138	115183	54	2	9
2014-03-31 04:51:53.12343	115184	19.4	1	9
2014-03-31 04:51:53.977764	115185	48	2	8
2014-03-31 04:51:54.21225	115186	19.3	1	8
2014-03-31 04:51:55.982589	115187	305	3	2
2014-03-31 04:51:56.205367	115188	1143535.6513730295	4	2
2014-03-31 04:52:05.103865	115189	49	2	1
2014-03-31 04:52:05.345785	115190	17.6	1	1
2014-03-31 04:52:07.981277	115191	338	3	2
2014-03-31 04:52:08.20218	115192	1143536.8004077508	4	2
2014-03-31 04:52:19.980124	115193	338	3	2
2014-03-31 04:52:20.213659	115194	1143537.9494424723	4	2
2014-03-31 04:52:23.563819	115195	44	2	10
2014-03-31 04:52:23.785426	115196	19.1	1	10
2014-03-31 04:52:32.977222	115197	48	2	8
2014-03-31 04:52:33.208	115198	19.3	1	8
2014-03-31 04:52:44.104036	115199	49	2	1
2014-03-31 04:52:44.328461	115200	17.6	1	1
2014-03-31 04:53:02.562325	115201	44	2	10
2014-03-31 04:53:02.79622	115202	19.1	1	10
2014-03-31 04:53:07.983755	115203	305	3	2
2014-03-31 04:53:08.206231	115204	1143542.545581358	4	2
2014-03-31 04:53:10.899621	115205	54	2	9
2014-03-31 04:53:11.129638	115206	19.4	1	9
2014-03-31 04:53:11.977137	115207	48	2	8
2014-03-31 04:53:12.197896	115208	19.3	1	8
2014-03-31 04:53:19.980856	115209	305	3	2
2014-03-31 04:53:20.213624	115210	1143543.6946160793	4	2
2014-03-31 04:53:23.141338	115211	49	2	1
2014-03-31 04:53:23.381024	115212	17.6	1	1
2014-03-31 04:53:31.980641	115213	305	3	2
2014-03-31 04:53:32.213321	115214	1143544.8436508009	4	2
2014-03-31 04:53:41.562954	115215	44	2	10
2014-03-31 04:53:41.786764	115216	19.1	1	10
2014-03-31 04:53:43.980778	115217	338	3	2
2014-03-31 04:53:44.211553	115218	1143545.9926855222	4	2
2014-03-31 04:53:49.902366	115219	54	2	9
2014-03-31 04:53:50.126047	115220	19.4	1	9
2014-03-31 04:53:50.429057	115221	54	2	9
2014-03-31 04:53:50.660021	115222	19.4	1	9
2014-03-31 04:53:50.978771	115223	48	2	8
2014-03-31 04:53:51.199165	115224	19.3	1	8
2014-03-31 04:53:55.98275	115225	305	3	2
2014-03-31 04:53:56.213971	115226	1143547.1417202435	4	2
2014-03-31 04:54:02.10294	115227	49	2	1
2014-03-31 04:54:02.326407	115228	17.6	1	1
2014-03-31 04:54:07.986052	115229	305	3	2
2014-03-31 04:54:08.218636	115230	1143548.290754965	4	2
2014-03-31 04:54:19.984428	115231	338	3	2
2014-03-31 04:54:20.2131	115232	1143548.290754965	4	2
2014-03-31 04:54:20.562376	115233	44	2	10
2014-03-31 04:54:20.79352	115234	19.0	1	10
2014-03-31 04:54:28.900605	115235	54	2	9
2014-03-31 04:54:29.122449	115236	19.4	1	9
2014-03-31 04:54:29.978639	115237	48	2	8
2014-03-31 04:54:30.21872	115238	19.3	1	8
2014-03-31 04:54:31.981879	115239	305	3	2
2014-03-31 04:54:32.202318	115240	1143549.4397896864	4	2
2014-03-31 04:54:41.101466	115241	49	2	1
2014-03-31 04:54:41.334254	115242	17.6	1	1
2014-03-31 04:54:43.984016	115243	338	3	2
2014-03-31 04:54:44.207728	115244	1143550.588824408	4	2
2014-03-31 04:54:55.983723	115245	338	3	2
2014-03-31 04:54:56.215012	115246	1143551.7378591292	4	2
2014-03-31 04:54:59.562095	115247	44	2	10
2014-03-31 04:54:59.783704	115248	19.0	1	10
2014-03-31 04:55:07.900484	115249	54	2	9
2014-03-31 04:55:08.134146	115250	19.4	1	9
2014-03-31 04:55:08.978527	115251	48	2	8
2014-03-31 04:55:09.201347	115252	19.3	1	8
2014-03-31 04:55:20.34187	115253	49	2	1
2014-03-31 04:55:20.626426	115254	17.6	1	1
2014-03-31 04:55:31.980386	115255	305	3	2
2014-03-31 04:55:32.223722	115256	1143555.1849632936	4	2
2014-03-31 04:55:38.56437	115257	44	2	10
2014-03-31 04:55:38.829159	115258	19.0	1	10
2014-03-31 04:55:47.104217	115259	54	2	9
2014-03-31 04:55:47.364258	115260	19.4	1	9
2014-03-31 04:55:47.979268	115261	48	2	8
2014-03-31 04:55:48.242714	115262	19.3	1	8
2014-03-31 04:55:59.103487	115263	49	2	1
2014-03-31 04:55:59.326222	115264	17.6	1	1
2014-03-31 04:56:17.564267	115265	44	2	10
2014-03-31 04:56:17.794386	115266	19.0	1	10
2014-03-31 04:56:25.896987	115267	54	2	9
2014-03-31 04:56:26.120101	115268	19.4	1	9
2014-03-31 04:56:26.977055	115269	48	2	8
2014-03-31 04:56:27.208562	115270	19.3	1	8
2014-03-31 04:56:31.980598	115271	305	3	2
2014-03-31 04:56:32.20416	115272	1143560.9301369006	4	2
2014-03-31 04:56:38.100396	115273	49	2	1
2014-03-31 04:56:38.333072	115274	17.6	1	1
2014-03-31 04:56:43.984694	115275	338	3	2
2014-03-31 04:56:44.205876	115276	1143562.079171622	4	2
2014-03-31 04:56:55.980912	115277	305	3	2
2014-03-31 04:56:56.213035	115278	1143563.2282063435	4	2
2014-03-31 04:56:56.564141	115279	44	2	10
2014-03-31 04:56:56.785967	115280	19.0	1	10
2014-03-31 04:57:04.899013	115281	54	2	9
2014-03-31 04:57:05.187442	115282	19.4	1	9
2014-03-31 04:57:05.97792	115283	48	2	8
2014-03-31 04:57:06.199635	115284	19.3	1	8
2014-03-31 04:57:07.981676	115285	305	3	2
2014-03-31 04:57:08.224862	115286	1143563.2282063435	4	2
2014-03-31 04:57:17.101071	115287	49	2	1
2014-03-31 04:57:17.321285	115288	17.6	1	1
2014-03-31 04:57:19.979322	115289	370	3	2
2014-03-31 04:57:20.395308	115290	1143564.3772410648	4	2
2014-03-31 04:57:31.982237	115291	370	3	2
2014-03-31 04:57:32.201719	115292	1143566.6753105076	4	2
2014-03-31 04:57:35.575652	115293	44	2	10
2014-03-31 04:57:35.796937	115294	19.1	1	10
2014-03-31 04:57:43.901497	115295	54	2	9
2014-03-31 04:57:44.134132	115296	19.4	1	9
2014-03-31 04:57:44.979886	115297	48	2	8
2014-03-31 04:57:45.200323	115298	19.3	1	8
2014-03-31 04:57:56.09972	115299	49	2	1
2014-03-31 04:57:56.329623	115300	17.6	1	1
2014-03-31 04:58:14.564601	115301	44	2	10
2014-03-31 04:58:14.787118	115302	19.1	1	10
2014-03-31 04:58:22.898879	115303	54	2	9
2014-03-31 04:58:23.130939	115304	19.4	1	9
2014-03-31 04:58:23.490106	115305	54	2	9
2014-03-31 04:58:23.711401	115306	19.4	1	9
2014-03-31 04:58:24.014055	115307	48	2	8
2014-03-31 04:58:24.244039	115308	19.3	1	8
2014-03-31 04:58:31.981415	115309	370	3	2
2014-03-31 04:58:32.201628	115310	1143572.4204841147	4	2
2014-03-31 04:58:35.09971	115311	49	2	1
2014-03-31 04:58:35.329484	115312	17.6	1	1
2014-03-31 04:58:53.563592	115313	44	2	10
2014-03-31 04:58:53.787356	115314	19.1	1	10
2014-03-31 04:59:01.898852	115315	54	2	9
2014-03-31 04:59:02.129067	115316	19.4	1	9
2014-03-31 04:59:02.977743	115317	48	2	8
2014-03-31 04:59:03.196915	115318	19.3	1	8
2014-03-31 04:59:14.100521	115319	49	2	1
2014-03-31 04:59:14.333532	115320	17.6	1	1
2014-03-31 04:59:31.981012	115321	370	3	2
2014-03-31 04:59:32.202156	115322	1143578.1656577217	4	2
2014-03-31 04:59:32.565081	115323	44	2	10
2014-03-31 04:59:32.796132	115324	19.1	1	10
2014-03-31 04:59:41.102827	115325	54	2	9
2014-03-31 04:59:41.323262	115326	19.4	1	9
2014-03-31 04:59:41.97792	115327	48	2	8
2014-03-31 04:59:42.208669	115328	19.3	1	8
2014-03-31 04:59:53.099855	115329	49	2	1
2014-03-31 04:59:53.321665	115330	17.6	1	1
2014-03-31 05:00:11.567073	115331	44	2	10
2014-03-31 05:00:11.798525	115332	19.1	1	10
2014-03-31 05:00:19.898554	115333	54	2	9
2014-03-31 05:00:20.121065	115334	19.4	1	9
2014-03-31 05:00:20.978665	115335	48	2	8
2014-03-31 05:00:21.217422	115336	19.3	1	8
2014-03-31 05:00:32.340754	115337	49	2	1
2014-03-31 05:00:32.561548	115338	17.6	1	1
2014-03-31 05:00:50.565693	115339	44	2	10
2014-03-31 05:00:50.796776	115340	19.1	1	10
2014-03-31 05:00:58.900014	115341	54	2	9
2014-03-31 05:00:59.123648	115342	19.4	1	9
2014-03-31 05:00:59.977616	115343	48	2	8
2014-03-31 05:01:00.207747	115344	19.3	1	8
2014-03-31 05:01:11.100529	115345	49	2	1
2014-03-31 05:01:11.323425	115346	17.6	1	1
2014-03-31 05:01:29.565415	115347	44	2	10
2014-03-31 05:01:29.797255	115348	19.1	1	10
2014-03-31 05:01:31.980251	115349	370	3	2
2014-03-31 05:01:32.202206	115350	1143590.8050396573	4	2
2014-03-31 05:01:37.898552	115351	54	2	9
2014-03-31 05:01:38.131244	115352	19.4	1	9
2014-03-31 05:01:38.437874	115353	54	2	9
2014-03-31 05:01:38.660588	115354	19.4	1	9
2014-03-31 05:01:38.979152	115355	48	2	8
2014-03-31 05:01:39.211059	115356	19.3	1	8
2014-03-31 05:01:50.340426	115357	49	2	1
2014-03-31 05:01:50.561143	115358	17.6	1	1
2014-03-31 05:02:08.565102	115359	44	2	10
2014-03-31 05:02:08.796557	115360	19.1	1	10
2014-03-31 05:02:17.101414	115361	54	2	9
2014-03-31 05:02:17.325976	115362	19.4	1	9
2014-03-31 05:02:17.977873	115363	48	2	8
2014-03-31 05:02:18.20784	115364	19.3	1	8
2014-03-31 05:02:29.097149	115365	49	2	1
2014-03-31 05:02:29.320407	115366	17.6	1	1
2014-03-31 05:02:31.980896	115367	354	3	2
2014-03-31 05:02:32.210779	115368	1143596.5502132645	4	2
2014-03-31 05:02:47.564769	115369	44	2	10
2014-03-31 05:02:47.7879	115370	19.1	1	10
2014-03-31 05:02:56.978904	115371	48	2	8
2014-03-31 05:02:57.209711	115372	19.3	1	8
2014-03-31 05:03:08.338236	115373	49	2	1
2014-03-31 05:03:08.559281	115374	17.6	1	1
2014-03-31 05:03:26.568701	115375	44	2	10
2014-03-31 05:03:26.80241	115376	19.1	1	10
2014-03-31 05:03:31.980005	115377	305	3	2
2014-03-31 05:03:32.201659	115378	1143602.2953868716	4	2
2014-03-31 05:03:35.10224	115379	54	2	9
2014-03-31 05:03:35.333377	115380	19.4	1	9
2014-03-31 05:03:35.977125	115381	48	2	8
2014-03-31 05:03:36.198984	115382	19.3	1	8
2014-03-31 05:03:47.096839	115383	49	2	1
2014-03-31 05:03:47.337561	115384	17.6	1	1
2014-03-31 05:04:05.565851	115385	44	2	10
2014-03-31 05:04:05.790152	115386	19.1	1	10
2014-03-31 05:04:13.901007	115387	54	2	9
2014-03-31 05:04:14.132316	115388	19.4	1	9
2014-03-31 05:04:14.977587	115389	48	2	8
2014-03-31 05:04:15.19677	115390	19.3	1	8
2014-03-31 05:04:26.097541	115391	49	2	1
2014-03-31 05:04:26.326331	115392	17.6	1	1
2014-03-31 05:04:31.979399	115393	305	3	2
2014-03-31 05:04:32.200764	115394	1143606.8915257573	4	2
2014-03-31 05:04:44.566148	115395	44	2	10
2014-03-31 05:04:44.7989	115396	19.1	1	10
2014-03-31 05:04:52.902342	115397	54	2	9
2014-03-31 05:04:53.123998	115398	19.4	1	9
2014-03-31 05:04:53.97703	115399	48	2	8
2014-03-31 05:04:54.207517	115400	19.3	1	8
2014-03-31 05:04:55.982603	115401	338	3	2
2014-03-31 05:04:56.202857	115402	1143609.1895952	4	2
2014-03-31 05:05:05.095884	115403	49	2	1
2014-03-31 05:05:05.375198	115404	17.6	1	1
2014-03-31 05:05:07.981038	115405	305	3	2
2014-03-31 05:05:08.201327	115406	1143610.3386299214	4	2
2014-03-31 05:05:19.983989	115407	305	3	2
2014-03-31 05:05:20.214292	115408	1143611.4876646427	4	2
2014-03-31 05:05:23.77435	115409	44	2	10
2014-03-31 05:05:23.997138	115410	19.1	1	10
2014-03-31 05:05:32.979823	115411	48	2	8
2014-03-31 05:05:33.211329	115412	19.3	1	8
2014-03-31 05:05:44.098478	115413	49	2	1
2014-03-31 05:05:44.320929	115414	17.6	1	1
2014-03-31 05:06:02.565422	115415	44	2	10
2014-03-31 05:06:02.797008	115416	19.1	1	10
2014-03-31 05:06:10.899065	115417	54	2	9
2014-03-31 05:06:11.122412	115418	19.3	1	9
2014-03-31 05:06:11.97753	115419	48	2	8
2014-03-31 05:06:12.209624	115420	19.3	1	8
2014-03-31 05:06:23.100171	115421	49	2	1
2014-03-31 05:06:23.32136	115422	17.6	1	1
2014-03-31 05:06:31.98066	115423	305	3	2
2014-03-31 05:06:32.212823	115424	1143616.0882744808	4	2
2014-03-31 05:06:41.566984	115425	44	2	10
2014-03-31 05:06:41.788083	115426	19.1	1	10
2014-03-31 05:06:49.900691	115427	54	2	9
2014-03-31 05:06:50.132841	115428	19.3	1	9
2014-03-31 05:06:50.977679	115429	48	2	8
2014-03-31 05:06:51.200446	115430	19.3	1	8
2014-03-31 05:07:02.095733	115431	49	2	1
2014-03-31 05:07:02.33902	115432	17.6	1	1
2014-03-31 05:07:20.56825	115433	44	2	10
2014-03-31 05:07:20.790951	115434	19.0	1	10
2014-03-31 05:07:29.102868	115435	54	2	9
2014-03-31 05:07:29.334129	115436	19.3	1	9
2014-03-31 05:07:29.977616	115437	48	2	8
2014-03-31 05:07:30.197005	115438	19.3	1	8
2014-03-31 05:07:31.978326	115439	305	3	2
2014-03-31 05:07:32.208849	115440	1143621.8334480878	4	2
2014-03-31 05:07:41.095938	115441	49	2	1
2014-03-31 05:07:41.31869	115442	17.6	1	1
2014-03-31 05:07:59.568531	115443	44	2	10
2014-03-31 05:07:59.798091	115444	19.0	1	10
2014-03-31 05:08:07.899703	115445	54	2	9
2014-03-31 05:08:08.120558	115446	19.3	1	9
2014-03-31 05:08:08.977485	115447	48	2	8
2014-03-31 05:08:09.207164	115448	19.3	1	8
2014-03-31 05:08:20.093958	115449	49	2	1
2014-03-31 05:08:20.315532	115450	17.6	1	1
2014-03-31 05:08:38.36887	115451	305	3	2
2014-03-31 05:08:38.603846	115452	1143626.4295869735	4	2
2014-03-31 05:08:38.906893	115453	44	2	10
2014-03-31 05:08:39.127775	115454	19.0	1	10
2014-03-31 05:08:46.898697	115455	54	2	9
2014-03-31 05:08:47.12975	115456	19.3	1	9
2014-03-31 05:08:47.977193	115457	48	2	8
2014-03-31 05:08:48.197106	115458	19.3	1	8
2014-03-31 05:08:55.982017	115459	354	3	2
2014-03-31 05:08:56.213255	115460	1143628.7276564164	4	2
2014-03-31 05:08:59.094344	115461	49	2	1
2014-03-31 05:08:59.315365	115462	17.6	1	1
2014-03-31 05:09:07.980168	115463	354	3	2
2014-03-31 05:09:08.210757	115464	1143629.8766911377	4	2
2014-03-31 05:09:17.568244	115465	44	2	10
2014-03-31 05:09:17.79009	115466	19.0	1	10
2014-03-31 05:09:26.102979	115467	54	2	9
2014-03-31 05:09:26.33308	115468	19.3	1	9
2014-03-31 05:09:26.977316	115469	48	2	8
2014-03-31 05:09:27.196817	115470	19.3	1	8
2014-03-31 05:09:31.981299	115471	354	3	2
2014-03-31 05:09:32.210856	115472	1143632.1747605805	4	2
2014-03-31 05:09:38.093477	115473	49	2	1
2014-03-31 05:09:38.314695	115474	17.6	1	1
2014-03-31 05:09:56.567259	115475	44	2	10
2014-03-31 05:09:56.800817	115476	19.0	1	10
2014-03-31 05:10:04.901802	115477	54	2	9
2014-03-31 05:10:05.122507	115478	19.3	1	9
2014-03-31 05:10:05.97828	115479	48	2	8
2014-03-31 05:10:06.221252	115480	19.3	1	8
2014-03-31 05:10:17.093669	115481	49	2	1
2014-03-31 05:10:17.314167	115482	17.6	1	1
2014-03-31 05:10:31.982132	115483	370	3	2
2014-03-31 05:10:32.213779	115484	1143637.9199341876	4	2
2014-03-31 05:10:35.567789	115485	44	2	10
2014-03-31 05:10:35.790058	115486	19.0	1	10
2014-03-31 05:10:44.101963	115487	54	2	9
2014-03-31 05:10:44.335664	115488	19.3	1	9
2014-03-31 05:10:44.980082	115489	48	2	8
2014-03-31 05:10:45.199024	115490	19.3	1	8
2014-03-31 05:10:56.092248	115491	49	2	1
2014-03-31 05:10:56.323097	115492	17.6	1	1
2014-03-31 05:11:14.568693	115493	44	2	10
2014-03-31 05:11:14.789513	115494	19.0	1	10
2014-03-31 05:11:22.899572	115495	54	2	9
2014-03-31 05:11:23.133078	115496	19.3	1	9
2014-03-31 05:11:23.976049	115497	48	2	8
2014-03-31 05:11:24.199693	115498	19.3	1	8
2014-03-31 05:11:31.979835	115499	354	3	2
2014-03-31 05:11:32.213184	115500	1143643.6651077946	4	2
2014-03-31 05:11:35.093966	115501	49	2	1
2014-03-31 05:11:35.314569	115502	17.6	1	1
2014-03-31 05:11:53.572063	115503	44	2	10
2014-03-31 05:11:53.804288	115504	19.0	1	10
2014-03-31 05:12:01.899263	115505	54	2	9
2014-03-31 05:12:02.12014	115506	19.3	1	9
2014-03-31 05:12:02.977636	115507	48	2	8
2014-03-31 05:12:03.208528	115508	19.3	1	8
2014-03-31 05:12:14.092246	115509	49	2	1
2014-03-31 05:12:14.315508	115510	17.6	1	1
2014-03-31 05:12:31.980471	115511	354	3	2
2014-03-31 05:12:32.210841	115512	1143650.5593161231	4	2
2014-03-31 05:12:32.569094	115513	44	2	10
2014-03-31 05:12:32.790285	115514	19.0	1	10
2014-03-31 05:12:41.978297	115515	48	2	8
2014-03-31 05:12:42.211258	115516	19.3	1	8
2014-03-31 05:12:53.089593	115517	49	2	1
2014-03-31 05:12:53.313203	115518	17.6	1	1
2014-03-31 05:13:11.56877	115519	44	2	10
2014-03-31 05:13:11.799993	115520	19.0	1	10
2014-03-31 05:13:19.898645	115521	54	2	9
2014-03-31 05:13:20.122722	115522	19.3	1	9
2014-03-31 05:13:20.977313	115523	48	2	8
2014-03-31 05:13:21.206789	115524	19.3	1	8
2014-03-31 05:13:32.332055	115525	49	2	1
2014-03-31 05:13:32.555041	115526	17.6	1	1
2014-03-31 05:13:50.571741	115527	44	2	10
2014-03-31 05:13:50.814434	115528	19.0	1	10
2014-03-31 05:13:58.902621	115529	54	2	9
2014-03-31 05:13:59.123429	115530	19.3	1	9
2014-03-31 05:13:59.976204	115531	48	2	8
2014-03-31 05:14:00.207479	115532	19.3	1	8
2014-03-31 05:14:11.091816	115533	49	2	1
2014-03-31 05:14:11.31228	115534	17.6	1	1
2014-03-31 05:14:29.569885	115535	44	2	10
2014-03-31 05:14:29.803166	115536	19.0	1	10
2014-03-31 05:14:31.982432	115537	370	3	2
2014-03-31 05:14:32.201698	115538	1143662.0496633374	4	2
2014-03-31 05:14:37.901322	115539	54	2	9
2014-03-31 05:14:38.132541	115540	19.3	1	9
2014-03-31 05:14:38.977586	115541	48	2	8
2014-03-31 05:14:39.197251	115542	19.3	1	8
2014-03-31 05:14:50.090333	115543	49	2	1
2014-03-31 05:14:50.323379	115544	17.6	1	1
2014-03-31 05:14:55.984042	115545	305	3	2
2014-03-31 05:14:56.204428	115546	1143664.34773278	4	2
2014-03-31 05:15:07.978826	115547	305	3	2
2014-03-31 05:15:08.21086	115548	1143665.4967675016	4	2
2014-03-31 05:15:08.569365	115549	44	2	10
2014-03-31 05:15:08.791391	115550	19.0	1	10
2014-03-31 05:15:16.899068	115551	54	2	9
2014-03-31 05:15:17.129461	115552	19.3	1	9
2014-03-31 05:15:17.977862	115553	48	2	8
2014-03-31 05:15:18.198934	115554	19.3	1	8
2014-03-31 05:15:29.092661	115555	49	2	1
2014-03-31 05:15:29.322813	115556	17.6	1	1
2014-03-31 05:15:31.981086	115557	305	3	2
2014-03-31 05:15:32.20112	115558	1143667.7948369444	4	2
2014-03-31 05:15:47.570427	115559	44	2	10
2014-03-31 05:15:47.801813	115560	19.0	1	10
2014-03-31 05:15:55.901587	115561	54	2	9
2014-03-31 05:15:56.123662	115562	19.3	1	9
2014-03-31 05:15:56.979696	115563	48	2	8
2014-03-31 05:15:57.209417	115564	19.3	1	8
2014-03-31 05:16:08.092003	115565	49	2	1
2014-03-31 05:16:08.313138	115566	17.6	1	1
2014-03-31 05:16:26.570295	115567	44	2	10
2014-03-31 05:16:26.801221	115568	19.0	1	10
2014-03-31 05:16:34.712751	115569	305	3	2
2014-03-31 05:16:34.935085	115570	1143672.3909758301	4	2
2014-03-31 05:16:35.239718	115571	54	2	9
2014-03-31 05:16:35.474662	115572	19.3	1	9
2014-03-31 05:16:35.977818	115573	48	2	8
2014-03-31 05:16:36.198761	115574	19.3	1	8
2014-03-31 05:16:47.091284	115575	49	2	1
2014-03-31 05:16:47.332468	115576	17.6	1	1
2014-03-31 05:17:05.571541	115577	44	2	10
2014-03-31 05:17:05.79404	115578	19.0	1	10
2014-03-31 05:17:13.8993	115579	54	2	9
2014-03-31 05:17:14.13192	115580	19.3	1	9
2014-03-31 05:17:14.977714	115581	47	2	8
2014-03-31 05:17:15.199284	115582	19.3	1	8
2014-03-31 05:17:19.982793	115583	338	3	2
2014-03-31 05:17:20.214665	115584	1143676.9871147156	4	2
2014-03-31 05:17:26.089309	115585	49	2	1
2014-03-31 05:17:26.311761	115586	17.6	1	1
2014-03-31 05:17:31.979147	115587	338	3	2
2014-03-31 05:17:32.212162	115588	1143678.1361494372	4	2
2014-03-31 05:17:43.983572	115589	305	3	2
2014-03-31 05:17:44.207853	115590	1143678.1361494372	4	2
2014-03-31 05:17:44.571083	115591	44	2	10
2014-03-31 05:17:44.801918	115592	19.0	1	10
2014-03-31 05:17:52.900214	115593	54	2	9
2014-03-31 05:17:53.121972	115594	19.3	1	9
2014-03-31 05:17:53.977102	115595	47	2	8
2014-03-31 05:17:54.210465	115596	19.3	1	8
2014-03-31 05:17:55.979561	115597	305	3	2
2014-03-31 05:17:56.200145	115598	1143679.2851841585	4	2
2014-03-31 05:18:05.088296	115599	49	2	1
2014-03-31 05:18:05.321251	115600	17.6	1	1
2014-03-31 05:18:23.600085	115601	44	2	10
2014-03-31 05:18:23.851234	115602	19.0	1	10
2014-03-31 05:18:32.97588	115603	47	2	8
2014-03-31 05:18:33.206469	115604	19.3	1	8
2014-03-31 05:18:44.089331	115605	49	2	1
2014-03-31 05:18:44.311286	115606	17.6	1	1
2014-03-31 05:19:02.572788	115607	44	2	10
2014-03-31 05:19:02.802896	115608	19.0	1	10
2014-03-31 05:19:10.899277	115609	54	2	9
2014-03-31 05:19:11.120755	115610	19.3	1	9
2014-03-31 05:19:11.977149	115611	47	2	8
2014-03-31 05:19:12.206115	115612	19.3	1	8
2014-03-31 05:19:23.088253	115613	49	2	1
2014-03-31 05:19:23.309768	115614	17.5	1	1
2014-03-31 05:19:31.980063	115615	305	3	2
2014-03-31 05:19:32.210416	115616	1143688.47746193	4	2
2014-03-31 05:19:41.573184	115617	44	2	10
2014-03-31 05:19:41.79412	115618	19.0	1	10
2014-03-31 05:19:49.897375	115619	54	2	9
2014-03-31 05:19:50.129036	115620	19.3	1	9
2014-03-31 05:19:50.976606	115621	47	2	8
2014-03-31 05:19:51.196858	115622	19.3	1	8
2014-03-31 05:20:02.089369	115623	49	2	1
2014-03-31 05:20:02.333537	115624	17.5	1	1
2014-03-31 05:20:20.571396	115625	44	2	10
2014-03-31 05:20:20.793824	115626	19.0	1	10
2014-03-31 05:20:29.086142	115627	54	2	9
2014-03-31 05:20:29.316782	115628	19.3	1	9
2014-03-31 05:20:29.976115	115629	47	2	8
2014-03-31 05:20:30.196854	115630	19.3	1	8
2014-03-31 05:20:31.981632	115631	305	3	2
2014-03-31 05:20:32.21159	115632	1143693.0736008156	4	2
2014-03-31 05:20:41.089888	115633	49	2	1
2014-03-31 05:20:41.309467	115634	17.5	1	1
2014-03-31 05:20:55.978796	115635	354	3	2
2014-03-31 05:20:56.209979	115636	1143695.3716702585	4	2
2014-03-31 05:20:59.57242	115637	44	2	10
2014-03-31 05:20:59.794314	115638	19.0	1	10
2014-03-31 05:21:08.977329	115639	47	2	8
2014-03-31 05:21:09.20995	115640	19.3	1	8
2014-03-31 05:21:20.087019	115641	49	2	1
2014-03-31 05:21:20.308547	115642	17.5	1	1
2014-03-31 05:21:31.981752	115643	354	3	2
2014-03-31 05:21:32.213003	115644	1143698.8187744226	4	2
2014-03-31 05:21:38.572324	115645	44	2	10
2014-03-31 05:21:38.793081	115646	19.0	1	10
2014-03-31 05:21:46.900091	115647	54	2	9
2014-03-31 05:21:47.133871	115648	19.3	1	9
2014-03-31 05:21:47.978207	115649	47	2	8
2014-03-31 05:21:48.200177	115650	19.3	1	8
2014-03-31 05:21:59.089144	115651	49	2	1
2014-03-31 05:21:59.320299	115652	17.5	1	1
2014-03-31 05:22:17.571513	115653	44	2	10
2014-03-31 05:22:17.7943	115654	19.0	1	10
2014-03-31 05:22:25.901344	115655	54	2	9
2014-03-31 05:22:26.136341	115656	19.3	1	9
2014-03-31 05:22:26.976004	115657	47	2	8
2014-03-31 05:22:27.200957	115658	19.3	1	8
2014-03-31 05:22:31.978663	115659	354	3	2
2014-03-31 05:22:32.212694	115660	1143704.5639480297	4	2
2014-03-31 05:22:38.085833	115661	49	2	1
2014-03-31 05:22:38.314136	115662	17.5	1	1
2014-03-31 05:22:43.983396	115663	434	3	2
2014-03-31 05:22:44.215141	115664	1143705.7129827512	4	2
2014-03-31 05:22:55.9799	115665	434	3	2
2014-03-31 05:22:56.203245	115666	1143708.0110521938	4	2
2014-03-31 05:22:56.573108	115667	44	2	10
2014-03-31 05:22:56.803388	115668	19.0	1	10
2014-03-31 05:23:04.89991	115669	54	2	9
2014-03-31 05:23:05.122544	115670	19.3	1	9
2014-03-31 05:23:05.976191	115671	47	2	8
2014-03-31 05:23:06.276142	115672	19.3	1	8
2014-03-31 05:23:17.0885	115673	49	2	1
2014-03-31 05:23:17.312686	115674	17.5	1	1
2014-03-31 05:23:31.979785	115675	434	3	2
2014-03-31 05:23:32.210412	115676	1143711.4581563582	4	2
2014-03-31 05:23:35.573457	115677	44	2	10
2014-03-31 05:23:35.794281	115678	19.0	1	10
2014-03-31 05:23:44.103547	115679	54	2	9
2014-03-31 05:23:44.336856	115680	19.3	1	9
2014-03-31 05:23:44.975375	115681	47	2	8
2014-03-31 05:23:45.196307	115682	19.3	1	8
2014-03-31 05:23:56.087597	115683	49	2	1
2014-03-31 05:23:56.319282	115684	17.5	1	1
2014-03-31 05:24:14.572936	115685	44	2	10
2014-03-31 05:24:14.79466	115686	19.0	1	10
2014-03-31 05:24:23.094768	115687	54	2	9
2014-03-31 05:24:23.326614	115688	19.3	1	9
2014-03-31 05:24:23.975675	115689	47	2	8
2014-03-31 05:24:24.198895	115690	19.3	1	8
2014-03-31 05:24:31.980789	115691	434	3	2
2014-03-31 05:24:32.211455	115692	1143719.501399408	4	2
2014-03-31 05:24:35.32669	115693	49	2	1
2014-03-31 05:24:35.550681	115694	17.5	1	1
2014-03-31 05:24:53.575037	115695	44	2	10
2014-03-31 05:24:53.806468	115696	19.0	1	10
2014-03-31 05:25:01.90014	115697	54	2	9
2014-03-31 05:25:02.120771	115698	19.3	1	9
2014-03-31 05:25:02.976383	115699	47	2	8
2014-03-31 05:25:03.205572	115700	19.3	1	8
2014-03-31 05:25:14.086764	115701	49	2	1
2014-03-31 05:25:14.307219	115702	17.5	1	1
2014-03-31 05:25:31.980349	115703	434	3	2
2014-03-31 05:25:32.210232	115704	1143726.3956077367	4	2
2014-03-31 05:25:32.573442	115705	44	2	10
2014-03-31 05:25:32.796192	115706	18.9	1	10
2014-03-31 05:25:40.897903	115707	54	2	9
2014-03-31 05:25:41.128646	115708	19.3	1	9
2014-03-31 05:25:41.975654	115709	47	2	8
2014-03-31 05:25:42.195656	115710	19.3	1	8
2014-03-31 05:25:53.086072	115711	49	2	1
2014-03-31 05:25:53.316874	115712	17.5	1	1
2014-03-31 05:26:11.574044	115713	44	2	10
2014-03-31 05:26:11.80465	115714	18.9	1	10
2014-03-31 05:26:19.901786	115715	54	2	9
2014-03-31 05:26:20.15347	115716	19.3	1	9
2014-03-31 05:26:20.975221	115717	47	2	8
2014-03-31 05:26:21.195093	115718	19.3	1	8
2014-03-31 05:26:32.323898	115719	49	2	1
2014-03-31 05:26:32.56676	115720	17.5	1	1
2014-03-31 05:26:50.574456	115721	44	2	10
2014-03-31 05:26:50.79749	115722	18.9	1	10
2014-03-31 05:26:58.914182	115723	54	2	9
2014-03-31 05:26:59.146998	115724	19.3	1	9
2014-03-31 05:26:59.977901	115725	47	2	8
2014-03-31 05:27:00.19783	115726	19.2	1	8
2014-03-31 05:27:11.084321	115727	49	2	1
2014-03-31 05:27:11.314735	115728	17.5	1	1
2014-03-31 05:27:29.573743	115729	44	2	10
2014-03-31 05:27:29.795567	115730	18.9	1	10
2014-03-31 05:27:31.979636	115731	370	3	2
2014-03-31 05:27:32.212591	115732	1143740.1840243936	4	2
2014-03-31 05:27:38.103201	115733	54	2	9
2014-03-31 05:27:38.326118	115734	19.3	1	9
2014-03-31 05:27:38.975568	115735	47	2	8
2014-03-31 05:27:39.208278	115736	19.2	1	8
2014-03-31 05:27:43.97935	115737	370	3	2
2014-03-31 05:27:44.203211	115738	1143741.3330591149	4	2
2014-03-31 05:27:50.084013	115739	49	2	1
2014-03-31 05:27:50.316761	115740	17.5	1	1
2014-03-31 05:28:08.574966	115741	44	2	10
2014-03-31 05:28:08.797253	115742	18.9	1	10
2014-03-31 05:28:16.899923	115743	54	2	9
2014-03-31 05:28:17.131554	115744	19.3	1	9
2014-03-31 05:28:17.977567	115745	47	2	8
2014-03-31 05:28:18.199994	115746	19.2	1	8
2014-03-31 05:28:29.085336	115747	49	2	1
2014-03-31 05:28:29.317059	115748	17.5	1	1
2014-03-31 05:28:31.979447	115749	370	3	2
2014-03-31 05:28:32.199733	115750	1143747.0782327221	4	2
2014-03-31 05:28:47.574786	115751	44	2	10
2014-03-31 05:28:47.805342	115752	18.9	1	10
2014-03-31 05:28:55.89951	115753	54	2	9
2014-03-31 05:28:56.120477	115754	19.3	1	9
2014-03-31 05:28:56.976555	115755	47	2	8
2014-03-31 05:28:57.20689	115756	19.2	1	8
2014-03-31 05:29:08.085672	115757	49	2	1
2014-03-31 05:29:08.305643	115758	17.5	1	1
2014-03-31 05:29:26.574598	115759	44	2	10
2014-03-31 05:29:26.806319	115760	18.9	1	10
2014-03-31 05:29:31.978989	115761	370	3	2
2014-03-31 05:29:32.200454	115762	1143752.8234063291	4	2
2014-03-31 05:29:34.900669	115763	54	2	9
2014-03-31 05:29:35.132873	115764	19.3	1	9
2014-03-31 05:29:35.976947	115765	47	2	8
2014-03-31 05:29:36.196554	115766	19.2	1	8
2014-03-31 05:29:43.979402	115767	402	3	2
2014-03-31 05:29:44.222274	115768	1143753.9724410505	4	2
2014-03-31 05:29:47.082092	115769	49	2	1
2014-03-31 05:29:47.303224	115770	17.5	1	1
2014-03-31 05:29:55.979595	115771	370	3	2
2014-03-31 05:29:56.211849	115772	1143755.121475772	4	2
2014-03-31 05:30:05.575958	115773	44	2	10
2014-03-31 05:30:05.797045	115774	18.9	1	10
2014-03-31 05:30:07.979517	115775	370	3	2
2014-03-31 05:30:08.209461	115776	1143756.2705104933	4	2
2014-03-31 05:30:13.903432	115777	54	2	9
2014-03-31 05:30:14.125308	115778	19.3	1	9
2014-03-31 05:30:14.975176	115779	47	2	8
2014-03-31 05:30:15.205396	115780	19.2	1	8
2014-03-31 05:30:26.082824	115781	49	2	1
2014-03-31 05:30:26.303805	115782	17.5	1	1
2014-03-31 05:30:31.981737	115783	354	3	2
2014-03-31 05:30:32.213165	115784	1143758.5685799362	4	2
2014-03-31 05:30:44.575523	115785	44	2	10
2014-03-31 05:30:44.798114	115786	18.9	1	10
2014-03-31 05:30:52.902081	115787	54	2	9
2014-03-31 05:30:53.133153	115788	19.3	1	9
2014-03-31 05:30:53.975756	115789	47	2	8
2014-03-31 05:30:54.195964	115790	19.2	1	8
2014-03-31 05:31:05.084513	115791	49	2	1
2014-03-31 05:31:05.31561	115792	17.5	1	1
2014-03-31 05:31:23.5761	115793	44	2	10
2014-03-31 05:31:23.805217	115794	18.9	1	10
2014-03-31 05:31:32.975068	115795	47	2	8
2014-03-31 05:31:33.205965	115796	19.2	1	8
2014-03-31 05:31:44.084192	115797	49	2	1
2014-03-31 05:31:44.305592	115798	17.5	1	1
2014-03-31 05:32:02.574883	115799	44	2	10
2014-03-31 05:32:02.807168	115800	18.9	1	10
2014-03-31 05:32:11.102588	115801	54	2	9
2014-03-31 05:32:11.322769	115802	19.3	1	9
2014-03-31 05:32:11.976337	115803	47	2	8
2014-03-31 05:32:12.228047	115804	19.2	1	8
2014-03-31 05:32:23.081797	115805	49	2	1
2014-03-31 05:32:23.303076	115806	17.5	1	1
2014-03-31 05:32:31.982589	115807	354	3	2
2014-03-31 05:32:32.212947	115808	1143771.2079618718	4	2
2014-03-31 05:32:41.575856	115809	44	2	10
2014-03-31 05:32:41.800425	115810	18.9	1	10
2014-03-31 05:32:50.976935	115811	47	2	8
2014-03-31 05:32:51.21281	115812	19.2	1	8
2014-03-31 05:33:02.083271	115813	49	2	1
2014-03-31 05:33:02.303961	115814	17.5	1	1
2014-03-31 05:33:20.577267	115815	44	2	10
2014-03-31 05:33:20.82024	115816	18.9	1	10
2014-03-31 05:33:28.902597	115817	54	2	9
2014-03-31 05:33:29.124986	115818	19.3	1	9
2014-03-31 05:33:29.975699	115819	47	2	8
2014-03-31 05:33:30.208964	115820	19.2	1	8
2014-03-31 05:33:31.978861	115821	418	3	2
2014-03-31 05:33:32.200048	115822	1143776.9531354788	4	2
2014-03-31 05:33:41.082292	115823	49	2	1
2014-03-31 05:33:41.314354	115824	17.5	1	1
2014-03-31 05:33:43.981392	115825	418	3	2
2014-03-31 05:33:44.204302	115826	1143779.2512049216	4	2
2014-03-31 05:33:59.575821	115827	44	2	10
2014-03-31 05:33:59.807319	115828	18.9	1	10
2014-03-31 05:34:07.89954	115829	54	2	9
2014-03-31 05:34:08.121709	115830	19.3	1	9
2014-03-31 05:34:08.977889	115831	47	2	8
2014-03-31 05:34:09.206929	115832	19.2	1	8
2014-03-31 05:34:20.081454	115833	49	2	1
2014-03-31 05:34:20.304953	115834	17.5	1	1
2014-03-31 05:34:31.980005	115835	418	3	2
2014-03-31 05:34:32.21082	115836	1143784.9963785287	4	2
2014-03-31 05:34:38.576338	115837	44	2	10
2014-03-31 05:34:38.797455	115838	18.9	1	10
2014-03-31 05:34:47.977597	115839	47	2	8
2014-03-31 05:34:48.20971	115840	19.2	1	8
2014-03-31 05:34:59.081607	115841	49	2	1
2014-03-31 05:34:59.302162	115842	17.5	1	1
2014-03-31 05:35:17.579122	115843	44	2	10
2014-03-31 05:35:17.812817	115844	18.9	1	10
2014-03-31 05:35:25.900153	115845	54	2	9
2014-03-31 05:35:26.123623	115846	19.3	1	9
2014-03-31 05:35:26.978898	115847	47	2	8
2014-03-31 05:35:27.210855	115848	19.2	1	8
2014-03-31 05:35:31.980016	115849	418	3	2
2014-03-31 05:35:32.200725	115850	1143791.8905868572	4	2
2014-03-31 05:35:38.082306	115851	49	2	1
2014-03-31 05:35:38.31262	115852	17.5	1	1
2014-03-31 05:35:56.577682	115853	44	2	10
2014-03-31 05:35:56.804004	115854	18.9	1	10
2014-03-31 05:36:04.899514	115855	54	2	9
2014-03-31 05:36:05.132132	115856	19.3	1	9
2014-03-31 05:36:05.97679	115857	47	2	8
2014-03-31 05:36:06.199092	115858	19.2	1	8
2014-03-31 05:36:17.078964	115859	49	2	1
2014-03-31 05:36:17.309603	115860	17.5	1	1
2014-03-31 05:36:31.979037	115861	434	3	2
2014-03-31 05:36:32.200464	115862	1143798.7847951858	4	2
2014-03-31 05:36:35.578619	115863	44	2	10
2014-03-31 05:36:35.82358	115864	18.9	1	10
2014-03-31 05:36:44.976995	115865	47	2	8
2014-03-31 05:36:45.198823	115866	19.2	1	8
2014-03-31 05:36:56.080857	115867	49	2	1
2014-03-31 05:36:56.313189	115868	17.5	1	1
2014-03-31 05:37:14.577386	115869	44	2	10
2014-03-31 05:37:14.798945	115870	18.9	1	10
2014-03-31 05:37:24.033653	115871	47	2	8
2014-03-31 05:37:24.26541	115872	19.2	1	8
2014-03-31 05:37:31.980085	115873	434	3	2
2014-03-31 05:37:32.202229	115874	1143805.6790035141	4	2
2014-03-31 05:37:35.080725	115875	49	2	1
2014-03-31 05:37:35.312399	115876	17.5	1	1
2014-03-31 05:37:53.578534	115877	44	2	10
2014-03-31 05:37:53.856799	115878	18.9	1	10
2014-03-31 05:38:02.977195	115879	47	2	8
2014-03-31 05:38:03.244335	115880	19.2	1	8
2014-03-31 05:38:14.082626	115881	49	2	1
2014-03-31 05:38:14.357098	115882	17.5	1	1
2014-03-31 05:38:19.979198	115883	354	3	2
2014-03-31 05:38:20.245591	115884	1143811.4241771214	4	2
2014-03-31 05:38:31.981275	115885	354	3	2
2014-03-31 05:38:32.219627	115886	1143812.5732118427	4	2
2014-03-31 05:38:32.579096	115887	44	2	10
2014-03-31 05:38:32.809135	115888	18.9	1	10
2014-03-31 05:38:40.897683	115889	54	2	9
2014-03-31 05:38:41.12123	115890	19.3	1	9
2014-03-31 05:38:41.976552	115891	47	2	8
2014-03-31 05:38:42.209873	115892	19.2	1	8
2014-03-31 05:38:53.080109	115893	49	2	1
2014-03-31 05:38:53.302698	115894	17.5	1	1
2014-03-31 05:39:11.578595	115895	44	2	10
2014-03-31 05:39:11.808679	115896	18.9	1	10
2014-03-31 05:39:19.901896	115897	54	2	9
2014-03-31 05:39:20.123081	115898	19.3	1	9
2014-03-31 05:39:20.976589	115899	47	2	8
2014-03-31 05:39:21.206752	115900	19.2	1	8
2014-03-31 05:39:32.320774	115901	49	2	1
2014-03-31 05:39:32.544163	115902	17.5	1	1
2014-03-31 05:39:43.978203	115903	305	3	2
2014-03-31 05:39:44.210209	115904	1143819.4674201712	4	2
2014-03-31 05:39:50.577983	115905	44	2	10
2014-03-31 05:39:50.799609	115906	18.9	1	10
2014-03-31 05:39:58.889607	115907	54	2	9
2014-03-31 05:39:59.121645	115908	19.3	1	9
2014-03-31 05:39:59.975167	115909	47	2	8
2014-03-31 05:40:00.195882	115910	19.2	1	8
2014-03-31 05:40:11.079851	115911	49	2	1
2014-03-31 05:40:11.323108	115912	17.5	1	1
2014-03-31 05:40:29.580818	115913	44	2	10
2014-03-31 05:40:29.807474	115914	18.9	1	10
2014-03-31 05:40:31.979605	115915	338	3	2
2014-03-31 05:40:32.211728	115916	1143822.9145243354	4	2
2014-03-31 05:40:37.901816	115917	54	2	9
2014-03-31 05:40:38.123511	115918	19.3	1	9
2014-03-31 05:40:38.976163	115919	47	2	8
2014-03-31 05:40:39.206438	115920	19.2	1	8
2014-03-31 05:40:43.983025	115921	305	3	2
2014-03-31 05:40:44.224576	115922	1143824.0635590567	4	2
2014-03-31 05:40:50.079504	115923	49	2	1
2014-03-31 05:40:50.310049	115924	17.5	1	1
2014-03-31 05:40:55.984209	115925	305	3	2
2014-03-31 05:40:56.206249	115926	1143825.2125937783	4	2
2014-03-31 05:41:08.580781	115927	44	2	10
2014-03-31 05:41:08.811273	115928	18.8	1	10
2014-03-31 05:41:16.901503	115929	54	2	9
2014-03-31 05:41:17.123187	115930	19.3	1	9
2014-03-31 05:41:17.978283	115931	47	2	8
2014-03-31 05:41:18.208056	115932	19.2	1	8
2014-03-31 05:41:29.077945	115933	49	2	1
2014-03-31 05:41:29.305013	115934	17.5	1	1
2014-03-31 05:41:31.979296	115935	305	3	2
2014-03-31 05:41:32.208268	115936	1143828.6596979424	4	2
2014-03-31 05:41:47.57841	115937	44	2	10
2014-03-31 05:41:47.803897	115938	18.8	1	10
2014-03-31 05:41:55.901005	115939	54	2	9
2014-03-31 05:41:56.131571	115940	19.3	1	9
2014-03-31 05:41:56.975093	115941	47	2	8
2014-03-31 05:41:57.196795	115942	19.2	1	8
2014-03-31 05:42:08.079593	115943	49	2	1
2014-03-31 05:42:08.310916	115944	17.5	1	1
2014-03-31 05:42:26.579336	115945	44	2	10
2014-03-31 05:42:26.800067	115946	18.8	1	10
2014-03-31 05:42:31.978317	115947	305	3	2
2014-03-31 05:42:32.209661	115948	1143833.2558368281	4	2
2014-03-31 05:42:35.106758	115949	54	2	9
2014-03-31 05:42:35.327117	115950	19.3	1	9
2014-03-31 05:42:35.977727	115951	47	2	8
2014-03-31 05:42:36.207835	115952	19.2	1	8
2014-03-31 05:42:47.075085	115953	49	2	1
2014-03-31 05:42:47.298692	115954	17.5	1	1
2014-03-31 05:42:55.981862	115955	338	3	2
2014-03-31 05:42:56.213573	115956	1143835.553906271	4	2
2014-03-31 05:43:05.580136	115957	44	2	10
2014-03-31 05:43:05.803068	115958	18.8	1	10
2014-03-31 05:43:07.981076	115959	305	3	2
2014-03-31 05:43:08.223776	115960	1143836.7029409923	4	2
2014-03-31 05:43:13.901786	115961	54	2	9
2014-03-31 05:43:14.125126	115962	19.3	1	9
2014-03-31 05:43:14.979206	115963	47	2	8
2014-03-31 05:43:15.210367	115964	19.2	1	8
2014-03-31 05:43:19.984242	115965	305	3	2
2014-03-31 05:43:20.208532	115966	1143837.8519757139	4	2
2014-03-31 05:43:26.079156	115967	49	2	1
2014-03-31 05:43:26.311309	115968	17.5	1	1
2014-03-31 05:43:31.982516	115969	305	3	2
2014-03-31 05:43:32.204743	115970	1143839.0010104352	4	2
2014-03-31 05:43:44.58023	115971	44	2	10
2014-03-31 05:43:44.810727	115972	18.8	1	10
2014-03-31 05:43:52.901429	115973	54	2	9
2014-03-31 05:43:53.124911	115974	19.3	1	9
2014-03-31 05:43:53.975278	115975	47	2	8
2014-03-31 05:43:54.208254	115976	19.2	1	8
2014-03-31 05:44:05.076813	115977	49	2	1
2014-03-31 05:44:05.302121	115978	17.5	1	1
2014-03-31 05:44:23.579136	115979	44	2	10
2014-03-31 05:44:23.811197	115980	18.8	1	10
2014-03-31 05:44:32.97634	115981	47	2	8
2014-03-31 05:44:33.198583	115982	19.2	1	8
2014-03-31 05:44:44.081296	115983	49	2	1
2014-03-31 05:44:44.313786	115984	17.5	1	1
2014-03-31 05:45:02.58016	115985	44	2	10
2014-03-31 05:45:02.803311	115986	18.8	1	10
2014-03-31 05:45:07.983954	115987	354	3	2
2014-03-31 05:45:08.217726	115988	1143847.044253485	4	2
2014-03-31 05:45:10.900099	115989	54	2	9
2014-03-31 05:45:11.120172	115990	19.3	1	9
2014-03-31 05:45:11.975399	115991	47	2	8
2014-03-31 05:45:12.206585	115992	19.2	1	8
2014-03-31 05:45:19.980321	115993	354	3	2
2014-03-31 05:45:20.20145	115994	1143848.1932882066	4	2
2014-03-31 05:45:23.075127	115995	49	2	1
2014-03-31 05:45:23.306024	115996	17.5	1	1
2014-03-31 05:45:31.97916	115997	354	3	2
2014-03-31 05:45:32.20104	115998	1143849.342322928	4	2
2014-03-31 05:45:41.581346	115999	44	2	10
2014-03-31 05:45:41.813413	116000	18.8	1	10
2014-03-31 05:45:49.902105	116001	54	2	9
2014-03-31 05:45:50.125138	116002	19.3	1	9
2014-03-31 05:45:50.975362	116003	47	2	8
2014-03-31 05:45:51.20601	116004	19.2	1	8
2014-03-31 05:46:02.07688	116005	49	2	1
2014-03-31 05:46:02.299073	116006	17.5	1	1
2014-03-31 05:46:20.582428	116007	44	2	10
2014-03-31 05:46:20.825903	116008	18.8	1	10
2014-03-31 05:46:28.902148	116009	54	2	9
2014-03-31 05:46:29.123387	116010	19.3	1	9
2014-03-31 05:46:29.976054	116011	47	2	8
2014-03-31 05:46:30.207308	116012	19.2	1	8
2014-03-31 05:46:31.981702	116013	354	3	2
2014-03-31 05:46:32.20227	116014	1143855.087496535	4	2
2014-03-31 05:46:41.075695	116015	49	2	1
2014-03-31 05:46:41.307081	116016	17.5	1	1
2014-03-31 05:46:59.58142	116017	44	2	10
2014-03-31 05:46:59.806947	116018	18.8	1	10
2014-03-31 05:47:07.899573	116019	54	2	9
2014-03-31 05:47:08.131805	116020	19.3	1	9
2014-03-31 05:47:08.977011	116021	47	2	8
2014-03-31 05:47:09.198074	116022	19.2	1	8
2014-03-31 05:47:20.075657	116023	49	2	1
2014-03-31 05:47:20.307548	116024	17.5	1	1
2014-03-31 05:47:31.977376	116025	354	3	2
2014-03-31 05:47:32.202821	116026	1143860.8326701422	4	2
2014-03-31 05:47:38.58013	116027	44	2	10
2014-03-31 05:47:38.816129	116028	18.8	1	10
2014-03-31 05:47:46.901427	116029	54	2	9
2014-03-31 05:47:47.122975	116030	19.3	1	9
2014-03-31 05:47:47.975779	116031	47	2	8
2014-03-31 05:47:48.206758	116032	19.2	1	8
2014-03-31 05:47:59.074116	116033	49	2	1
2014-03-31 05:47:59.294681	116034	17.5	1	1
2014-03-31 05:48:17.581705	116035	44	2	10
2014-03-31 05:48:17.813793	116036	18.8	1	10
2014-03-31 05:48:25.901347	116037	54	2	9
2014-03-31 05:48:26.124708	116038	19.3	1	9
2014-03-31 05:48:26.976636	116039	47	2	8
2014-03-31 05:48:27.208448	116040	19.2	1	8
2014-03-31 05:48:31.98183	116041	354	3	2
2014-03-31 05:48:32.204023	116042	1143867.7268784705	4	2
2014-03-31 05:48:38.077264	116043	49	2	1
2014-03-31 05:48:38.309096	116044	17.5	1	1
2014-03-31 05:48:56.581713	116045	44	2	10
2014-03-31 05:48:56.803738	116046	18.7	1	10
2014-03-31 05:49:04.899738	116047	54	2	9
2014-03-31 05:49:05.131597	116048	19.2	1	9
2014-03-31 05:49:05.97749	116049	47	2	8
2014-03-31 05:49:06.199431	116050	19.2	1	8
2014-03-31 05:49:17.074656	116051	49	2	1
2014-03-31 05:49:17.309404	116052	17.5	1	1
2014-03-31 05:49:31.978266	116053	354	3	2
2014-03-31 05:49:32.201569	116054	1143873.4720520778	4	2
2014-03-31 05:49:35.58171	116055	44	2	10
2014-03-31 05:49:35.824297	116056	18.7	1	10
2014-03-31 05:49:43.91413	116057	54	2	9
2014-03-31 05:49:44.13614	116058	19.2	1	9
2014-03-31 05:49:44.977605	116059	47	2	8
2014-03-31 05:49:45.213664	116060	19.2	1	8
2014-03-31 05:49:56.074548	116061	49	2	1
2014-03-31 05:49:56.297222	116062	17.5	1	1
2014-03-31 05:50:14.582838	116063	44	2	10
2014-03-31 05:50:14.814748	116064	18.7	1	10
2014-03-31 05:50:22.902176	116065	54	2	9
2014-03-31 05:50:23.126773	116066	19.2	1	9
2014-03-31 05:50:23.977564	116067	47	2	8
2014-03-31 05:50:24.263091	116068	19.2	1	8
2014-03-31 05:50:31.979403	116069	354	3	2
2014-03-31 05:50:32.200122	116070	1143879.2172256848	4	2
2014-03-31 05:50:35.074034	116071	49	2	1
2014-03-31 05:50:35.306365	116072	17.5	1	1
2014-03-31 05:50:53.583093	116073	44	2	10
2014-03-31 05:50:53.805241	116074	18.7	1	10
2014-03-31 05:51:01.899113	116075	54	2	9
2014-03-31 05:51:02.131417	116076	19.2	1	9
2014-03-31 05:51:02.97557	116077	47	2	8
2014-03-31 05:51:03.196054	116078	19.2	1	8
2014-03-31 05:51:14.074074	116079	49	2	1
2014-03-31 05:51:14.306388	116080	17.5	1	1
2014-03-31 05:51:19.983417	116081	305	3	2
2014-03-31 05:51:20.206548	116082	1143883.8133645705	4	2
2014-03-31 05:51:31.97961	116083	305	3	2
2014-03-31 05:51:32.213916	116084	1143884.9623992918	4	2
2014-03-31 05:51:32.584243	116085	44	2	10
2014-03-31 05:51:32.808681	116086	18.7	1	10
2014-03-31 05:51:40.901862	116087	54	2	9
2014-03-31 05:51:41.133621	116088	19.2	1	9
2014-03-31 05:51:41.438168	116089	54	2	9
2014-03-31 05:51:41.662141	116090	19.2	1	9
2014-03-31 05:51:41.975519	116091	47	2	8
2014-03-31 05:51:42.207766	116092	19.2	1	8
2014-03-31 05:51:53.075233	116093	49	2	1
2014-03-31 05:51:53.297243	116094	17.5	1	1
2014-03-31 05:52:11.585267	116095	44	2	10
2014-03-31 05:52:11.819188	116096	18.7	1	10
2014-03-31 05:52:19.902444	116097	54	2	9
2014-03-31 05:52:20.125528	116098	19.2	1	9
2014-03-31 05:52:20.976912	116099	47	2	8
2014-03-31 05:52:21.209135	116100	19.2	1	8
2014-03-31 05:52:32.311006	116101	49	2	1
2014-03-31 05:52:32.533256	116102	17.5	1	1
2014-03-31 05:52:50.582367	116103	44	2	10
2014-03-31 05:52:50.831968	116104	18.7	1	10
2014-03-31 05:52:59.103189	116105	54	2	9
2014-03-31 05:52:59.325143	116106	19.2	1	9
2014-03-31 05:52:59.976865	116107	47	2	8
2014-03-31 05:53:00.393839	116108	19.2	1	8
2014-03-31 05:53:11.071811	116109	49	2	1
2014-03-31 05:53:11.298261	116110	17.5	1	1
2014-03-31 05:53:29.58336	116111	44	2	10
2014-03-31 05:53:29.810103	116112	18.7	1	10
2014-03-31 05:53:31.981681	116113	305	3	2
2014-03-31 05:53:32.211199	116114	1143895.3037117845	4	2
2014-03-31 05:53:37.901236	116115	54	2	9
2014-03-31 05:53:38.123034	116116	19.2	1	9
2014-03-31 05:53:38.978718	116117	47	2	8
2014-03-31 05:53:39.208913	116118	19.2	1	8
2014-03-31 05:53:50.073024	116119	49	2	1
2014-03-31 05:53:50.296555	116120	17.5	1	1
2014-03-31 05:54:08.583599	116121	44	2	10
2014-03-31 05:54:08.815791	116122	18.7	1	10
2014-03-31 05:54:16.899222	116123	54	2	9
2014-03-31 05:54:17.123061	116124	19.2	1	9
2014-03-31 05:54:17.975697	116125	47	2	8
2014-03-31 05:54:18.2089	116126	19.2	1	8
2014-03-31 05:54:29.073743	116127	49	2	1
2014-03-31 05:54:29.30111	116128	17.5	1	1
2014-03-31 05:54:31.977864	116129	305	3	2
2014-03-31 05:54:32.210027	116130	1143899.8998506702	4	2
2014-03-31 05:54:47.583304	116131	44	2	10
2014-03-31 05:54:47.814274	116132	18.7	1	10
2014-03-31 05:54:55.899149	116133	54	2	9
2014-03-31 05:54:56.132847	116134	19.2	1	9
2014-03-31 05:54:56.976785	116135	47	2	8
2014-03-31 05:54:57.198084	116136	19.2	1	8
2014-03-31 05:55:08.070931	116137	49	2	1
2014-03-31 05:55:08.304542	116138	17.5	1	1
2014-03-31 05:55:26.58421	116139	44	2	10
2014-03-31 05:55:26.806007	116140	18.7	1	10
2014-03-31 05:55:31.97828	116141	305	3	2
2014-03-31 05:55:32.209776	116142	1143904.500460508	4	2
2014-03-31 05:55:34.902539	116143	54	2	9
2014-03-31 05:55:35.124274	116144	19.2	1	9
2014-03-31 05:55:35.97599	116145	47	2	8
2014-03-31 05:55:36.205805	116146	19.2	1	8
2014-03-31 05:55:47.071766	116147	49	2	1
2014-03-31 05:55:47.294507	116148	17.5	1	1
2014-03-31 05:56:05.583234	116149	44	2	10
2014-03-31 05:56:05.815964	116150	18.7	1	10
2014-03-31 05:56:13.899332	116151	54	2	9
2014-03-31 05:56:14.121281	116152	19.2	1	9
2014-03-31 05:56:14.975958	116153	47	2	8
2014-03-31 05:56:15.216949	116154	19.2	1	8
2014-03-31 05:56:26.069986	116155	49	2	1
2014-03-31 05:56:26.29351	116156	17.5	1	1
2014-03-31 05:56:31.978661	116157	305	3	2
2014-03-31 05:56:32.210204	116158	1143909.0965993938	4	2
2014-03-31 05:56:44.586493	116159	44	2	10
2014-03-31 05:56:44.809218	116160	18.7	1	10
2014-03-31 05:56:52.899332	116161	54	2	9
2014-03-31 05:56:53.13101	116162	19.2	1	9
2014-03-31 05:56:53.976308	116163	47	2	8
2014-03-31 05:56:54.196953	116164	19.2	1	8
2014-03-31 05:57:05.067934	116165	49	2	1
2014-03-31 05:57:05.298981	116166	17.5	1	1
2014-03-31 05:57:19.97775	116167	354	3	2
2014-03-31 05:57:20.199516	116168	1143913.6927382795	4	2
2014-03-31 05:57:23.586652	116169	44	2	10
2014-03-31 05:57:23.817977	116170	18.7	1	10
2014-03-31 05:57:32.975874	116171	47	2	8
2014-03-31 05:57:33.197465	116172	19.2	1	8
2014-03-31 05:57:44.068976	116173	49	2	1
2014-03-31 05:57:44.302491	116174	17.4	1	1
2014-03-31 05:58:02.5836	116175	44	2	10
2014-03-31 05:58:02.807438	116176	18.7	1	10
2014-03-31 05:58:11.103474	116177	54	2	9
2014-03-31 05:58:11.335426	116178	19.2	1	9
2014-03-31 05:58:11.976214	116179	47	2	8
2014-03-31 05:58:12.197743	116180	19.2	1	8
2014-03-31 05:58:23.069438	116181	49	2	1
2014-03-31 05:58:23.300301	116182	17.4	1	1
2014-03-31 05:58:31.979353	116183	354	3	2
2014-03-31 05:58:32.200951	116184	1143920.5869466078	4	2
2014-03-31 05:58:41.58539	116185	44	2	10
2014-03-31 05:58:41.816265	116186	18.7	1	10
2014-03-31 05:58:49.903724	116187	54	2	9
2014-03-31 05:58:50.125746	116188	19.2	1	9
2014-03-31 05:58:50.980297	116189	47	2	8
2014-03-31 05:58:51.213076	116190	19.2	1	8
2014-03-31 05:59:02.067914	116191	49	2	1
2014-03-31 05:59:02.29003	116192	17.4	1	1
2014-03-31 05:59:20.586281	116193	44	2	10
2014-03-31 05:59:20.819029	116194	18.7	1	10
2014-03-31 05:59:28.90037	116195	54	2	9
2014-03-31 05:59:29.124397	116196	19.2	1	9
2014-03-31 05:59:29.97954	116197	47	2	8
2014-03-31 05:59:30.208943	116198	19.2	1	8
2014-03-31 05:59:40.86928	116199	354	3	2
2014-03-31 05:59:41.092645	116200	1143926.332120215	4	2
2014-03-31 05:59:41.395411	116201	49	2	1
2014-03-31 05:59:41.636739	116202	17.4	1	1
2014-03-31 05:59:59.585646	116203	44	2	10
2014-03-31 05:59:59.806964	116204	18.7	1	10
2014-03-31 06:00:07.958136	116205	54	2	9
2014-03-31 06:00:08.191567	116206	19.2	1	9
2014-03-31 06:00:08.97535	116207	47	2	8
2014-03-31 06:00:09.197045	116208	19.2	1	8
2014-03-31 06:00:20.065628	116209	49	2	1
2014-03-31 06:00:20.296768	116210	17.4	1	1
2014-03-31 06:00:31.977482	116211	354	3	2
2014-03-31 06:00:32.199162	116212	1143932.077293822	4	2
2014-03-31 06:00:38.586164	116213	44	2	10
2014-03-31 06:00:38.819833	116214	18.7	1	10
2014-03-31 06:00:46.900129	116215	54	2	9
2014-03-31 06:00:47.121155	116216	19.2	1	9
2014-03-31 06:00:47.97534	116217	47	2	8
2014-03-31 06:00:48.20602	116218	19.2	1	8
2014-03-31 06:00:55.978424	116219	402	3	2
2014-03-31 06:00:56.199541	116220	1143935.5243979862	4	2
2014-03-31 06:00:59.068282	116221	49	2	1
2014-03-31 06:00:59.301389	116222	17.4	1	1
2014-03-31 06:01:08.03538	116223	370	3	2
2014-03-31 06:01:08.257284	116224	1143936.6734327078	4	2
2014-03-31 06:01:17.584375	116225	44	2	10
2014-03-31 06:01:17.817979	116226	18.7	1	10
2014-03-31 06:01:19.979561	116227	402	3	2
2014-03-31 06:01:20.202742	116228	1143937.822467429	4	2
2014-03-31 06:01:25.899155	116229	54	2	9
2014-03-31 06:01:26.130985	116230	19.2	1	9
2014-03-31 06:01:26.977584	116231	47	2	8
2014-03-31 06:01:27.197078	116232	19.2	1	8
2014-03-31 06:01:31.978594	116233	402	3	2
2014-03-31 06:01:32.211129	116234	1143938.9715021506	4	2
2014-03-31 06:01:38.307484	116235	49	2	1
2014-03-31 06:01:38.529669	116236	17.4	1	1
2014-03-31 06:01:43.979778	116237	370	3	2
2014-03-31 06:01:44.212444	116238	1143940.120536872	4	2
2014-03-31 06:01:55.980135	116239	402	3	2
2014-03-31 06:01:56.200487	116240	1143941.2695715933	4	2
2014-03-31 06:01:56.585941	116241	44	2	10
2014-03-31 06:01:56.816957	116242	18.7	1	10
2014-03-31 06:02:04.899739	116243	54	2	9
2014-03-31 06:02:05.120989	116244	19.2	1	9
2014-03-31 06:02:05.975938	116245	47	2	8
2014-03-31 06:02:06.205935	116246	19.2	1	8
2014-03-31 06:02:08.033467	116247	370	3	2
2014-03-31 06:02:08.255068	116248	1143942.4186063148	4	2
2014-03-31 06:02:17.066126	116249	49	2	1
2014-03-31 06:02:17.307749	116250	17.4	1	1
2014-03-31 06:02:19.978525	116251	402	3	2
2014-03-31 06:02:20.199234	116252	1143944.7166757577	4	2
2014-03-31 06:02:31.978546	116253	402	3	2
2014-03-31 06:02:32.209438	116254	1143945.865710479	4	2
2014-03-31 06:02:35.589121	116255	44	2	10
2014-03-31 06:02:35.81182	116256	18.7	1	10
2014-03-31 06:02:44.977143	116257	47	2	8
2014-03-31 06:02:45.214162	116258	19.2	1	8
2014-03-31 06:02:56.306152	116259	49	2	1
2014-03-31 06:02:56.52841	116260	17.4	1	1
2014-03-31 06:03:14.589176	116261	44	2	10
2014-03-31 06:03:14.821783	116262	18.6	1	10
2014-03-31 06:03:22.899909	116263	54	2	9
2014-03-31 06:03:23.123092	116264	19.2	1	9
2014-03-31 06:03:23.976475	116265	47	2	8
2014-03-31 06:03:24.206467	116266	19.2	1	8
2014-03-31 06:03:31.979959	116267	370	3	2
2014-03-31 06:03:32.202653	116268	1143951.610884086	4	2
2014-03-31 06:03:35.06585	116269	49	2	1
2014-03-31 06:03:35.295472	116270	17.4	1	1
2014-03-31 06:03:43.979422	116271	402	3	2
2014-03-31 06:03:44.201571	116272	1143952.7599188075	4	2
2014-03-31 06:03:53.587563	116273	44	2	10
2014-03-31 06:03:53.819681	116274	18.6	1	10
2014-03-31 06:03:55.977002	116275	370	3	2
2014-03-31 06:03:56.199344	116276	1143953.9089535289	4	2
2014-03-31 06:04:01.90192	116277	54	2	9
2014-03-31 06:04:02.133141	116278	19.2	1	9
2014-03-31 06:04:02.975793	116279	47	2	8
2014-03-31 06:04:03.197043	116280	19.2	1	8
2014-03-31 06:04:07.986727	116281	370	3	2
2014-03-31 06:04:08.273279	116282	1143955.0579882504	4	2
2014-03-31 06:04:14.069524	116283	49	2	1
2014-03-31 06:04:14.29112	116284	17.4	1	1
2014-03-31 06:04:32.588289	116285	44	2	10
2014-03-31 06:04:32.821174	116286	18.6	1	10
2014-03-31 06:04:40.899627	116287	54	2	9
2014-03-31 06:04:41.123638	116288	19.2	1	9
2014-03-31 06:04:41.977451	116289	47	2	8
2014-03-31 06:04:42.208757	116290	19.2	1	8
2014-03-31 06:04:53.306922	116291	49	2	1
2014-03-31 06:04:53.530899	116292	17.4	1	1
2014-03-31 06:05:11.587836	116293	44	2	10
2014-03-31 06:05:11.819425	116294	18.6	1	10
2014-03-31 06:05:20.977304	116295	47	2	8
2014-03-31 06:05:21.202329	116296	19.2	1	8
2014-03-31 06:05:32.305218	116297	49	2	1
2014-03-31 06:05:32.547573	116298	17.4	1	1
2014-03-31 06:05:50.588696	116299	44	2	10
2014-03-31 06:05:50.808844	116300	18.6	1	10
2014-03-31 06:05:55.981572	116301	547	3	2
2014-03-31 06:05:56.215232	116302	1143972.2935090717	4	2
2014-03-31 06:05:58.901642	116303	54	2	9
2014-03-31 06:05:59.12288	116304	19.2	1	9
2014-03-31 06:05:59.978426	116305	48	2	8
2014-03-31 06:06:00.210913	116306	19.2	1	8
2014-03-31 06:06:07.978959	116307	547	3	2
2014-03-31 06:06:08.257949	116308	1143973.442543793	4	2
2014-03-31 06:06:11.065684	116309	49	2	1
2014-03-31 06:06:11.29791	116310	17.4	1	1
2014-03-31 06:06:29.588035	116311	44	2	10
2014-03-31 06:06:29.81539	116312	18.6	1	10
2014-03-31 06:06:31.979442	116313	547	3	2
2014-03-31 06:06:32.208454	116314	1143976.8896479572	4	2
2014-03-31 06:06:37.901466	116315	54	2	9
2014-03-31 06:06:38.125258	116316	19.2	1	9
2014-03-31 06:06:38.978076	116317	49	2	8
2014-03-31 06:06:39.208526	116318	19.2	1	8
2014-03-31 06:06:50.0649	116319	49	2	1
2014-03-31 06:06:50.285625	116320	17.4	1	1
2014-03-31 06:07:08.587731	116321	44	2	10
2014-03-31 06:07:08.821052	116322	18.6	1	10
2014-03-31 06:07:16.901957	116323	54	2	9
2014-03-31 06:07:17.125502	116324	19.2	1	9
2014-03-31 06:07:17.974823	116325	50	2	8
2014-03-31 06:07:18.209061	116326	19.3	1	8
2014-03-31 06:07:29.065213	116327	49	2	1
2014-03-31 06:07:29.286717	116328	17.4	1	1
2014-03-31 06:07:31.976579	116329	547	3	2
2014-03-31 06:07:32.209544	116330	1143986.0819257286	4	2
2014-03-31 06:07:47.590719	116331	44	2	10
2014-03-31 06:07:47.813966	116332	18.6	1	10
2014-03-31 06:07:55.900686	116333	54	2	9
2014-03-31 06:07:56.133976	116334	19.2	1	9
2014-03-31 06:07:56.975336	116335	51	2	8
2014-03-31 06:07:57.196233	116336	19.4	1	8
2014-03-31 06:08:08.36009	116337	49	2	1
2014-03-31 06:08:08.59319	116338	17.4	1	1
2014-03-31 06:08:19.976213	116339	547	3	2
2014-03-31 06:08:20.197935	116340	1143994.1251687785	4	2
2014-03-31 06:08:26.58948	116341	44	2	10
2014-03-31 06:08:26.822768	116342	18.6	1	10
2014-03-31 06:08:31.98277	116343	579	3	2
2014-03-31 06:08:32.204853	116344	1143996.4232382213	4	2
2014-03-31 06:08:34.902757	116345	54	2	9
2014-03-31 06:08:35.145159	116346	19.2	1	9
2014-03-31 06:08:35.776974	116347	54	2	9
2014-03-31 06:08:36.020852	116348	19.2	1	9
2014-03-31 06:08:36.322249	116349	52	2	8
2014-03-31 06:08:36.551317	116350	19.5	1	8
2014-03-31 06:08:43.976694	116351	547	3	2
2014-03-31 06:08:44.197222	116352	1143997.5722729426	4	2
2014-03-31 06:08:47.062992	116353	49	2	1
2014-03-31 06:08:47.293932	116354	17.4	1	1
2014-03-31 06:08:55.974278	116355	547	3	2
2014-03-31 06:08:56.195181	116356	1143999.8703423855	4	2
2014-03-31 06:09:05.589749	116357	44	2	10
2014-03-31 06:09:05.824683	116358	18.6	1	10
2014-03-31 06:09:13.901607	116359	54	2	9
2014-03-31 06:09:14.123308	116360	19.2	1	9
2014-03-31 06:09:14.977821	116361	53	2	8
2014-03-31 06:09:15.212842	116362	19.7	1	8
2014-03-31 06:09:26.063939	116363	49	2	1
2014-03-31 06:09:26.286879	116364	17.4	1	1
2014-03-31 06:09:31.977561	116365	547	3	2
2014-03-31 06:09:32.20883	116366	1144005.6155159925	4	2
2014-03-31 06:09:44.590464	116367	44	2	10
2014-03-31 06:09:44.81443	116368	18.6	1	10
2014-03-31 06:09:52.901844	116369	54	2	9
2014-03-31 06:09:53.136871	116370	19.2	1	9
2014-03-31 06:09:53.979396	116371	55	2	8
2014-03-31 06:09:54.199835	116372	19.8	1	8
2014-03-31 06:10:05.064433	116373	49	2	1
2014-03-31 06:10:05.293776	116374	17.4	1	1
2014-03-31 06:10:23.589555	116375	44	2	10
2014-03-31 06:10:23.812484	116376	18.6	1	10
2014-03-31 06:10:32.975839	116377	57	2	8
2014-03-31 06:10:33.207932	116378	20.0	1	8
2014-03-31 06:10:44.303867	116379	49	2	1
2014-03-31 06:10:44.525184	116380	17.4	1	1
2014-03-31 06:11:02.588884	116381	44	2	10
2014-03-31 06:11:02.821696	116382	18.6	1	10
2014-03-31 06:11:10.899574	116383	54	2	9
2014-03-31 06:11:11.121569	116384	19.2	1	9
2014-03-31 06:11:11.977351	116385	59	2	8
2014-03-31 06:11:12.209487	116386	20.2	1	8
2014-03-31 06:11:23.062491	116387	49	2	1
2014-03-31 06:11:23.288738	116388	17.4	1	1
2014-03-31 06:11:41.588703	116389	44	2	10
2014-03-31 06:11:41.821106	116390	18.6	1	10
2014-03-31 06:11:49.902562	116391	54	2	9
2014-03-31 06:11:50.124167	116392	19.2	1	9
2014-03-31 06:11:50.975707	116393	61	2	8
2014-03-31 06:11:51.236608	116394	20.4	1	8
2014-03-31 06:12:02.063889	116395	49	2	1
2014-03-31 06:12:02.286178	116396	17.4	1	1
2014-03-31 06:12:20.59035	116397	44	2	10
2014-03-31 06:12:20.822808	116398	18.5	1	10
2014-03-31 06:12:28.89904	116399	54	2	9
2014-03-31 06:12:29.120529	116400	19.2	1	9
2014-03-31 06:12:29.975055	116401	63	2	8
2014-03-31 06:12:30.205477	116402	20.6	1	8
2014-03-31 06:12:41.062644	116403	49	2	1
2014-03-31 06:12:41.28632	116404	17.4	1	1
2014-03-31 06:12:59.592256	116405	44	2	10
2014-03-31 06:12:59.82306	116406	18.5	1	10
2014-03-31 06:13:07.902804	116407	54	2	9
2014-03-31 06:13:08.123338	116408	19.2	1	9
2014-03-31 06:13:08.977419	116409	65	2	8
2014-03-31 06:13:09.208625	116410	20.9	1	8
2014-03-31 06:13:20.059921	116411	49	2	1
2014-03-31 06:13:20.282003	116412	17.4	1	1
2014-03-31 06:13:31.977587	116413	611	3	2
2014-03-31 06:13:32.209384	116414	1144045.8317312421	4	2
2014-03-31 06:13:38.590957	116415	44	2	10
2014-03-31 06:13:38.814984	116416	18.5	1	10
2014-03-31 06:13:47.100689	116417	54	2	9
2014-03-31 06:13:47.331849	116418	19.2	1	9
2014-03-31 06:13:47.9756	116419	65	2	8
2014-03-31 06:13:48.196199	116420	21.1	1	8
2014-03-31 06:13:59.067943	116421	49	2	1
2014-03-31 06:13:59.298025	116422	17.4	1	1
2014-03-31 06:14:17.591691	116423	44	2	10
2014-03-31 06:14:17.814247	116424	18.5	1	10
2014-03-31 06:14:25.902928	116425	54	2	9
2014-03-31 06:14:26.135099	116426	19.2	1	9
2014-03-31 06:14:26.974796	116427	66	2	8
2014-03-31 06:14:27.197165	116428	21.3	1	8
2014-03-31 06:14:38.064216	116429	49	2	1
2014-03-31 06:14:38.295026	116430	17.4	1	1
2014-03-31 06:14:56.590426	116431	44	2	10
2014-03-31 06:14:56.812368	116432	18.5	1	10
2014-03-31 06:15:04.902645	116433	54	2	9
2014-03-31 06:15:05.133643	116434	19.2	1	9
2014-03-31 06:15:05.977118	116435	67	2	8
2014-03-31 06:15:06.197913	116436	21.5	1	8
2014-03-31 06:15:17.061672	116437	49	2	1
2014-03-31 06:15:17.29328	116438	17.4	1	1
2014-03-31 06:15:31.977712	116439	611	3	2
2014-03-31 06:15:32.199278	116440	1144065.3653215063	4	2
2014-03-31 06:15:35.590828	116441	44	2	10
2014-03-31 06:15:35.834284	116442	18.5	1	10
2014-03-31 06:15:43.900208	116443	54	2	9
2014-03-31 06:15:44.124232	116444	19.2	1	9
2014-03-31 06:15:44.97782	116445	67	2	8
2014-03-31 06:15:45.209813	116446	21.6	1	8
2014-03-31 06:15:56.06182	116447	49	2	1
2014-03-31 06:15:56.282866	116448	17.4	1	1
2014-03-31 06:16:14.59144	116449	44	2	10
2014-03-31 06:16:14.823371	116450	18.5	1	10
2014-03-31 06:16:22.912608	116451	54	2	9
2014-03-31 06:16:23.135728	116452	19.2	1	9
2014-03-31 06:16:23.978609	116453	68	2	8
2014-03-31 06:16:24.210668	116454	21.7	1	8
2014-03-31 06:16:31.976579	116455	611	3	2
2014-03-31 06:16:32.199588	116456	1144075.706633999	4	2
2014-03-31 06:16:35.058741	116457	49	2	1
2014-03-31 06:16:35.293223	116458	17.4	1	1
2014-03-31 06:16:53.591721	116459	44	2	10
2014-03-31 06:16:53.814323	116460	18.5	1	10
2014-03-31 06:17:02.102932	116461	54	2	9
2014-03-31 06:17:02.334934	116462	19.2	1	9
2014-03-31 06:17:02.979346	116463	68	2	8
2014-03-31 06:17:03.203459	116464	21.9	1	8
2014-03-31 06:17:14.064575	116465	49	2	1
2014-03-31 06:17:14.295497	116466	17.4	1	1
2014-03-31 06:17:31.976296	116467	547	3	2
2014-03-31 06:17:32.197949	116468	1144086.0479464917	4	2
2014-03-31 06:17:32.592396	116469	44	2	10
2014-03-31 06:17:32.823235	116470	18.5	1	10
2014-03-31 06:17:40.900298	116471	54	2	9
2014-03-31 06:17:41.124847	116472	19.2	1	9
2014-03-31 06:17:41.974138	116473	69	2	8
2014-03-31 06:17:42.205238	116474	22.1	1	8
2014-03-31 06:17:43.975592	116475	498	3	2
2014-03-31 06:17:44.196537	116476	1144088.3460159346	4	2
2014-03-31 06:17:53.057973	116477	49	2	1
2014-03-31 06:17:53.289001	116478	17.4	1	1
2014-03-31 06:17:55.976371	116479	482	3	2
2014-03-31 06:17:56.197314	116480	1144089.495050656	4	2
2014-03-31 06:18:11.593706	116481	44	2	10
2014-03-31 06:18:11.824606	116482	18.5	1	10
2014-03-31 06:18:19.902206	116483	54	2	9
2014-03-31 06:18:20.123301	116484	19.2	1	9
2014-03-31 06:18:20.973547	116485	68	2	8
2014-03-31 06:18:21.204115	116486	22.2	1	8
2014-03-31 06:18:32.298648	116487	49	2	1
2014-03-31 06:18:32.520362	116488	17.4	1	1
2014-03-31 06:18:50.593279	116489	44	2	10
2014-03-31 06:18:50.835386	116490	18.5	1	10
2014-03-31 06:18:58.901513	116491	54	2	9
2014-03-31 06:18:59.123131	116492	19.1	1	9
2014-03-31 06:18:59.978099	116493	67	2	8
2014-03-31 06:19:00.208635	116494	22.1	1	8
2014-03-31 06:19:11.058713	116495	49	2	1
2014-03-31 06:19:11.280168	116496	17.4	1	1
2014-03-31 06:19:29.592812	116497	44	2	10
2014-03-31 06:19:29.835126	116498	18.5	1	10
2014-03-31 06:19:37.903322	116499	54	2	9
2014-03-31 06:19:38.124512	116500	19.1	1	9
2014-03-31 06:19:38.977104	116501	66	2	8
2014-03-31 06:19:39.206457	116502	22.1	1	8
2014-03-31 06:19:43.979382	116503	547	3	2
2014-03-31 06:19:44.201323	116504	1144105.5815367557	4	2
2014-03-31 06:19:50.061034	116505	49	2	1
2014-03-31 06:19:50.292229	116506	17.4	1	1
2014-03-31 06:20:08.592493	116507	44	2	10
2014-03-31 06:20:08.868555	116508	18.5	1	10
2014-03-31 06:20:17.103467	116509	54	2	9
2014-03-31 06:20:17.335226	116510	19.1	1	9
2014-03-31 06:20:17.979471	116511	65	2	8
2014-03-31 06:20:18.200599	116512	21.9	1	8
2014-03-31 06:20:29.058319	116513	49	2	1
2014-03-31 06:20:29.290018	116514	17.4	1	1
2014-03-31 06:20:31.980694	116515	547	3	2
2014-03-31 06:20:32.203248	116516	1144112.4757450842	4	2
2014-03-31 06:20:47.591981	116517	44	2	10
2014-03-31 06:20:47.823519	116518	18.4	1	10
2014-03-31 06:20:56.978094	116519	64	2	8
2014-03-31 06:20:57.201268	116520	21.8	1	8
2014-03-31 06:21:08.297174	116521	49	2	1
2014-03-31 06:21:08.528634	116522	17.4	1	1
2014-03-31 06:21:26.592431	116523	44	2	10
2014-03-31 06:21:26.8139	116524	18.4	1	10
2014-03-31 06:21:34.906981	116525	54	2	9
2014-03-31 06:21:35.140659	116526	19.1	1	9
2014-03-31 06:21:35.976665	116527	63	2	8
2014-03-31 06:21:36.199476	116528	21.7	1	8
2014-03-31 06:21:47.05745	116529	49	2	1
2014-03-31 06:21:47.29306	116530	17.4	1	1
2014-03-31 06:22:05.592709	116531	44	2	10
2014-03-31 06:22:05.817309	116532	18.4	1	10
2014-03-31 06:22:13.898603	116533	54	2	9
2014-03-31 06:22:14.130278	116534	19.1	1	9
2014-03-31 06:22:14.984325	116535	62	2	8
2014-03-31 06:22:15.206414	116536	21.6	1	8
2014-03-31 06:22:26.055502	116537	49	2	1
2014-03-31 06:22:26.299782	116538	17.4	1	1
2014-03-31 06:22:31.976027	116539	547	3	2
2014-03-31 06:22:32.19735	116540	1144132.0093353481	4	2
2014-03-31 06:22:44.593288	116541	44	2	10
2014-03-31 06:22:44.827661	116542	18.4	1	10
2014-03-31 06:22:52.901492	116543	54	2	9
2014-03-31 06:22:53.123542	116544	19.1	1	9
2014-03-31 06:22:53.97652	116545	62	2	8
2014-03-31 06:22:54.207941	116546	21.5	1	8
2014-03-31 06:22:55.976283	116547	579	3	2
2014-03-31 06:22:56.196799	116548	1144135.4564395125	4	2
2014-03-31 06:23:05.056009	116549	49	2	1
2014-03-31 06:23:05.288098	116550	17.4	1	1
2014-03-31 06:23:19.977891	116551	547	3	2
2014-03-31 06:23:20.198758	116552	1144138.9035436767	4	2
2014-03-31 06:23:23.595087	116553	44	2	10
2014-03-31 06:23:23.825723	116554	18.4	1	10
2014-03-31 06:23:32.976045	116555	62	2	8
2014-03-31 06:23:33.197361	116556	21.4	1	8
2014-03-31 06:23:44.296983	116557	49	2	1
2014-03-31 06:23:44.52992	116558	17.4	1	1
2014-03-31 06:23:55.976315	116559	595	3	2
2014-03-31 06:23:56.198072	116560	1144144.6487172837	4	2
2014-03-31 06:24:02.596782	116561	44	2	10
2014-03-31 06:24:02.831553	116562	18.4	1	10
2014-03-31 06:24:10.900216	116563	54	2	9
2014-03-31 06:24:11.125778	116564	19.1	1	9
2014-03-31 06:24:11.975581	116565	61	2	8
2014-03-31 06:24:12.206082	116566	21.3	1	8
2014-03-31 06:24:23.055416	116567	49	2	1
2014-03-31 06:24:23.278423	116568	17.4	1	1
2014-03-31 06:24:31.973205	116569	531	3	2
2014-03-31 06:24:32.205742	116570	1144150.393890891	4	2
2014-03-31 06:24:41.59324	116571	44	2	10
2014-03-31 06:24:41.817829	116572	18.4	1	10
2014-03-31 06:24:43.975929	116573	531	3	2
2014-03-31 06:24:44.206815	116574	1144152.6919603336	4	2
2014-03-31 06:24:49.902856	116575	54	2	9
2014-03-31 06:24:50.125657	116576	19.1	1	9
2014-03-31 06:24:50.977481	116577	61	2	8
2014-03-31 06:24:51.20949	116578	21.3	1	8
2014-03-31 06:25:02.181243	116579	49	2	1
2014-03-31 06:25:02.607714	116580	17.4	1	1
2014-03-31 06:25:20.59538	116581	44	2	10
2014-03-31 06:25:20.829335	116582	18.4	1	10
2014-03-31 06:25:28.903208	116583	54	2	9
2014-03-31 06:25:29.126365	116584	19.1	1	9
2014-03-31 06:25:29.976455	116585	60	2	8
2014-03-31 06:25:30.219507	116586	21.2	1	8
2014-03-31 06:25:31.97537	116587	531	3	2
2014-03-31 06:25:32.195636	116588	1144159.5861686622	4	2
2014-03-31 06:25:41.05393	116589	49	2	1
2014-03-31 06:25:41.284232	116590	17.4	1	1
2014-03-31 06:25:59.595743	116591	44	2	10
2014-03-31 06:25:59.817726	116592	18.4	1	10
2014-03-31 06:26:07.901637	116593	54	2	9
2014-03-31 06:26:08.134296	116594	19.1	1	9
2014-03-31 06:26:08.976714	116595	60	2	8
2014-03-31 06:26:09.253808	116596	21.1	1	8
2014-03-31 06:26:20.05791	116597	49	2	1
2014-03-31 06:26:20.287476	116598	17.4	1	1
2014-03-31 06:26:31.978544	116599	515	3	2
2014-03-31 06:26:32.200548	116600	1144168.7784464336	4	2
2014-03-31 06:26:38.593744	116601	44	2	10
2014-03-31 06:26:38.825716	116602	18.4	1	10
2014-03-31 06:26:46.901619	116603	54	2	9
2014-03-31 06:26:47.125298	116604	19.1	1	9
2014-03-31 06:26:47.977098	116605	60	2	8
2014-03-31 06:26:48.208449	116606	21.0	1	8
2014-03-31 06:26:59.055041	116607	49	2	1
2014-03-31 06:26:59.27926	116608	17.4	1	1
2014-03-31 06:27:17.594131	116609	44	2	10
2014-03-31 06:27:17.826304	116610	18.4	1	10
2014-03-31 06:27:25.901764	116611	54	2	9
2014-03-31 06:27:26.123888	116612	19.1	1	9
2014-03-31 06:27:26.977845	116613	60	2	8
2014-03-31 06:27:27.21042	116614	20.9	1	8
2014-03-31 06:27:31.977516	116615	515	3	2
2014-03-31 06:27:32.199473	116616	1144176.8216894835	4	2
2014-03-31 06:27:38.055661	116617	49	2	1
2014-03-31 06:27:38.315164	116618	17.4	1	1
2014-03-31 06:27:56.595559	116619	44	2	10
2014-03-31 06:27:56.817047	116620	18.4	1	10
2014-03-31 06:28:04.901459	116621	54	2	9
2014-03-31 06:28:05.133588	116622	19.1	1	9
2014-03-31 06:28:05.97832	116623	60	2	8
2014-03-31 06:28:06.197324	116624	20.7	1	8
2014-03-31 06:28:17.054651	116625	49	2	1
2014-03-31 06:28:17.285683	116626	17.4	1	1
2014-03-31 06:28:31.976356	116627	515	3	2
2014-03-31 06:28:32.198129	116628	1144186.0139672547	4	2
2014-03-31 06:28:35.59404	116629	44	2	10
2014-03-31 06:28:35.833722	116630	18.4	1	10
2014-03-31 06:28:43.902851	116631	54	2	9
2014-03-31 06:28:44.124656	116632	19.1	1	9
2014-03-31 06:28:44.977052	116633	59	2	8
2014-03-31 06:28:45.219317	116634	20.6	1	8
2014-03-31 06:28:56.056106	116635	49	2	1
2014-03-31 06:28:56.278731	116636	17.4	1	1
2014-03-31 06:29:14.598795	116637	44	2	10
2014-03-31 06:29:14.835637	116638	18.4	1	10
2014-03-31 06:29:22.902259	116639	54	2	9
2014-03-31 06:29:23.123405	116640	19.1	1	9
2014-03-31 06:29:23.977645	116641	60	2	8
2014-03-31 06:29:24.20827	116642	20.5	1	8
2014-03-31 06:29:35.05239	116643	49	2	1
2014-03-31 06:29:35.274608	116644	17.4	1	1
2014-03-31 06:29:53.597861	116645	44	2	10
2014-03-31 06:29:53.832454	116646	18.4	1	10
2014-03-31 06:30:01.900825	116647	54	2	9
2014-03-31 06:30:02.123544	116648	19.1	1	9
2014-03-31 06:30:02.978541	116649	60	2	8
2014-03-31 06:30:03.209503	116650	20.5	1	8
2014-03-31 06:30:14.053034	116651	49	2	1
2014-03-31 06:30:14.275294	116652	17.3	1	1
2014-03-31 06:30:32.595715	116653	44	2	10
2014-03-31 06:30:32.830361	116654	18.4	1	10
2014-03-31 06:30:40.907545	116655	54	2	9
2014-03-31 06:30:41.128144	116656	19.1	1	9
2014-03-31 06:30:41.977252	116657	60	2	8
2014-03-31 06:30:42.207187	116658	20.4	1	8
2014-03-31 06:30:53.052728	116659	49	2	1
2014-03-31 06:30:53.273642	116660	17.3	1	1
2014-03-31 06:30:55.975485	116661	611	3	2
2014-03-31 06:30:56.206599	116662	1144205.5520284711	4	2
2014-03-31 06:31:07.97893	116663	579	3	2
2014-03-31 06:31:08.200088	116664	1144206.7010631924	4	2
2014-03-31 06:31:11.596747	116665	44	2	10
2014-03-31 06:31:11.82951	116666	18.4	1	10
2014-03-31 06:31:20.979606	116667	60	2	8
2014-03-31 06:31:21.20236	116668	20.3	1	8
2014-03-31 06:31:32.292715	116669	49	2	1
2014-03-31 06:31:32.523905	116670	17.3	1	1
2014-03-31 06:31:50.597856	116671	44	2	10
2014-03-31 06:31:50.818838	116672	18.4	1	10
2014-03-31 06:31:58.902048	116673	54	2	9
2014-03-31 06:31:59.134528	116674	19.1	1	9
2014-03-31 06:31:59.978319	116675	60	2	8
2014-03-31 06:32:00.199629	116676	20.3	1	8
2014-03-31 06:32:11.049877	116677	49	2	1
2014-03-31 06:32:11.283951	116678	17.3	1	1
2014-03-31 06:32:29.597242	116679	44	2	10
2014-03-31 06:32:29.820762	116680	18.4	1	10
2014-03-31 06:32:37.925669	116681	54	2	9
2014-03-31 06:32:38.171943	116682	19.2	1	9
2014-03-31 06:32:38.978781	116683	59	2	8
2014-03-31 06:32:39.200242	116684	20.2	1	8
2014-03-31 06:32:50.051101	116685	49	2	1
2014-03-31 06:32:50.286373	116686	17.3	1	1
2014-03-31 06:33:08.59744	116687	44	2	10
2014-03-31 06:33:08.819985	116688	18.4	1	10
2014-03-31 06:33:16.901612	116689	54	2	9
2014-03-31 06:33:17.134065	116690	19.2	1	9
2014-03-31 06:33:17.97665	116691	59	2	8
2014-03-31 06:33:18.19825	116692	20.2	1	8
2014-03-31 06:33:29.051316	116693	49	2	1
2014-03-31 06:33:29.283324	116694	17.3	1	1
2014-03-31 06:33:31.977342	116695	579	3	2
2014-03-31 06:33:32.216772	116696	1144230.830792342	4	2
2014-03-31 06:33:47.597929	116697	44	2	10
2014-03-31 06:33:47.829249	116698	18.3	1	10
2014-03-31 06:33:55.903359	116699	54	2	9
2014-03-31 06:33:56.126055	116700	19.2	1	9
2014-03-31 06:33:56.977463	116701	59	2	8
2014-03-31 06:33:57.207927	116702	20.1	1	8
2014-03-31 06:34:08.051658	116703	49	2	1
2014-03-31 06:34:08.275522	116704	17.3	1	1
2014-03-31 06:34:19.978843	116705	659	3	2
2014-03-31 06:34:20.209291	116706	1144238.8740353922	4	2
2014-03-31 06:34:26.599571	116707	44	2	10
2014-03-31 06:34:26.82107	116708	18.4	1	10
2014-03-31 06:34:31.981932	116709	2446	3	2
2014-03-31 06:34:32.213204	116710	1144245.7682437205	4	2
2014-03-31 06:34:34.90467	116711	54	2	9
2014-03-31 06:34:35.126045	116712	19.2	1	9
2014-03-31 06:34:35.976472	116713	59	2	8
2014-03-31 06:34:36.207882	116714	20.1	1	8
2014-03-31 06:34:43.975332	116715	2446	3	2
2014-03-31 06:34:44.197823	116716	1144253.8114867704	4	2
2014-03-31 06:34:47.050708	116717	49	2	1
2014-03-31 06:34:47.281835	116718	17.3	1	1
2014-03-31 06:35:05.598928	116719	44	2	10
2014-03-31 06:35:05.823078	116720	18.3	1	10
2014-03-31 06:35:07.97984	116721	2398	3	2
2014-03-31 06:35:08.210274	116722	1144269.8979728704	4	2
2014-03-31 06:35:13.904485	116723	54	2	9
2014-03-31 06:35:14.126701	116724	19.2	1	9
2014-03-31 06:35:14.976077	116725	59	2	8
2014-03-31 06:35:15.206467	116726	20.1	1	8
2014-03-31 06:35:19.978201	116727	2398	3	2
2014-03-31 06:35:20.198975	116728	1144277.9412159203	4	2
2014-03-31 06:35:26.055547	116729	49	2	1
2014-03-31 06:35:26.297282	116730	17.3	1	1
2014-03-31 06:35:31.979926	116731	2398	3	2
2014-03-31 06:35:32.207315	116732	1144285.9844589701	4	2
2014-03-31 06:35:44.59855	116733	44	2	10
2014-03-31 06:35:44.833921	116734	18.3	1	10
2014-03-31 06:35:52.904414	116735	54	2	9
2014-03-31 06:35:53.127004	116736	19.2	1	9
2014-03-31 06:35:53.977151	116737	59	2	8
2014-03-31 06:35:54.211495	116738	20.1	1	8
2014-03-31 06:35:55.976593	116739	6615	3	2
2014-03-31 06:35:56.197607	116740	1144315.8593617268	4	2
2014-03-31 06:36:05.049093	116741	49	2	1
2014-03-31 06:36:05.280108	116742	17.3	1	1
2014-03-31 06:36:07.977684	116743	6342	3	2
2014-03-31 06:36:08.199967	116744	1144337.6910214338	4	2
2014-03-31 06:36:19.978551	116745	6229	3	2
2014-03-31 06:36:20.210597	116746	1144358.3736464193	4	2
2014-03-31 06:36:23.599285	116747	44	2	10
2014-03-31 06:36:23.821872	116748	18.4	1	10
2014-03-31 06:36:44.290633	116749	49	2	1
2014-03-31 06:36:44.521896	116750	17.3	1	1
2014-03-31 06:36:55.981151	116751	8338	3	2
2014-03-31 06:36:56.203295	116752	1144438.8060769183	4	2
2014-03-31 06:37:02.599098	116753	44	2	10
2014-03-31 06:37:02.831645	116754	18.4	1	10
2014-03-31 06:37:07.981618	116755	7098	3	2
2014-03-31 06:37:08.204891	116756	1144462.935806068	4	2
2014-03-31 06:37:11.972011	116757	59	2	8
2014-03-31 06:37:12.205655	116758	20.1	1	8
2014-03-31 06:37:19.975837	116759	7018	3	2
2014-03-31 06:37:20.199484	116760	1144485.9165004962	4	2
2014-03-31 06:37:23.051116	116761	49	2	1
2014-03-31 06:37:23.281803	116762	17.3	1	1
2014-03-31 06:37:31.979585	116763	6229	3	2
2014-03-31 06:37:32.203702	116764	1144504.3055269911	4	2
2014-03-31 06:37:41.600888	116765	44	2	10
2014-03-31 06:37:41.834471	116766	18.3	1	10
2014-03-31 06:37:43.976802	116767	5054	3	2
2014-03-31 06:37:44.199903	116768	1144523.8391172553	4	2
2014-03-31 06:37:49.905022	116769	54	2	9
2014-03-31 06:37:50.139855	116770	19.3	1	9
2014-03-31 06:37:50.97672	116771	59	2	8
2014-03-31 06:37:51.199334	116772	20.1	1	8
2014-03-31 06:37:55.980989	116773	5070	3	2
2014-03-31 06:37:56.21422	116774	1144539.925603355	4	2
2014-03-31 06:38:02.052504	116775	49	2	1
2014-03-31 06:38:02.27613	116776	17.4	1	1
2014-03-31 06:38:07.982819	116777	2414	3	2
2014-03-31 06:38:08.228693	116778	1144554.8630547335	4	2
2014-03-31 06:38:19.977262	116779	2462	3	2
2014-03-31 06:38:20.197839	116780	1144564.0553325047	4	2
2014-03-31 06:38:20.59754	116781	44	2	10
2014-03-31 06:38:20.829339	116782	18.3	1	10
2014-03-31 06:38:28.902832	116783	55	2	9
2014-03-31 06:38:29.125733	116784	19.3	1	9
2014-03-31 06:38:29.977655	116785	59	2	8
2014-03-31 06:38:30.207113	116786	20.1	1	8
2014-03-31 06:38:31.975769	116787	3605	3	2
2014-03-31 06:38:32.195801	116788	1144574.3966449974	4	2
2014-03-31 06:38:41.048062	116789	50	2	1
2014-03-31 06:38:41.279448	116790	17.4	1	1
2014-03-31 06:38:43.977128	116791	2430	3	2
2014-03-31 06:38:44.197101	116792	1144584.7379574901	4	2
2014-03-31 06:38:55.977759	116793	2446	3	2
2014-03-31 06:38:56.210152	116794	1144592.78120054	4	2
2014-03-31 06:38:59.598208	116795	44	2	10
2014-03-31 06:38:59.818664	116796	18.3	1	10
2014-03-31 06:39:08.977118	116797	59	2	8
2014-03-31 06:39:09.229922	116798	20.1	1	8
2014-03-31 06:39:20.290753	116799	50	2	1
2014-03-31 06:39:20.514715	116800	17.4	1	1
2014-03-31 06:39:31.978225	116801	708	3	2
2014-03-31 06:39:32.212633	116802	1144606.5696171972	4	2
2014-03-31 06:39:38.602712	116803	44	2	10
2014-03-31 06:39:38.824811	116804	18.3	1	10
2014-03-31 06:39:43.979062	116805	676	3	2
2014-03-31 06:39:44.209684	116806	1144608.86768664	4	2
2014-03-31 06:39:46.899756	116807	55	2	9
2014-03-31 06:39:47.121779	116808	19.3	1	9
2014-03-31 06:39:47.977865	116809	60	2	8
2014-03-31 06:39:48.209531	116810	20.1	1	8
2014-03-31 06:39:55.9779	116811	2414	3	2
2014-03-31 06:39:56.199149	116812	1144616.9109296899	4	2
2014-03-31 06:39:59.047805	116813	50	2	1
2014-03-31 06:39:59.279369	116814	17.5	1	1
2014-03-31 06:40:07.977463	116815	6277	3	2
2014-03-31 06:40:08.201985	116816	1144629.5503116255	4	2
2014-03-31 06:40:17.60214	116817	44	2	10
2014-03-31 06:40:17.836182	116818	18.3	1	10
2014-03-31 06:40:19.978837	116819	2446	3	2
2014-03-31 06:40:20.200939	116820	1144643.3387282824	4	2
2014-03-31 06:40:25.900672	116821	55	2	9
2014-03-31 06:40:26.133125	116822	19.3	1	9
2014-03-31 06:40:26.976405	116823	60	2	8
2014-03-31 06:40:27.197901	116824	20.1	1	8
2014-03-31 06:40:31.977855	116825	2382	3	2
2014-03-31 06:40:32.228863	116826	1144652.5310060538	4	2
2014-03-31 06:40:38.052769	116827	50	2	1
2014-03-31 06:40:38.274789	116828	17.5	1	1
2014-03-31 06:40:43.982824	116829	659	3	2
2014-03-31 06:40:44.214194	116830	1144655.978110218	4	2
2014-03-31 06:40:55.978511	116831	4973	3	2
2014-03-31 06:40:56.201524	116832	1144668.6174921535	4	2
2014-03-31 06:40:56.601613	116833	44	2	10
2014-03-31 06:40:56.834155	116834	18.3	1	10
2014-03-31 06:41:04.900479	116835	55	2	9
2014-03-31 06:41:05.123249	116836	19.3	1	9
2014-03-31 06:41:05.977304	116837	59	2	8
2014-03-31 06:41:06.208588	116838	20.1	1	8
2014-03-31 06:41:07.979162	116839	4941	3	2
2014-03-31 06:41:08.200727	116840	1144685.8530129746	4	2
2014-03-31 06:41:17.050012	116841	50	2	1
2014-03-31 06:41:17.282248	116842	17.5	1	1
2014-03-31 06:41:19.977002	116843	5054	3	2
2014-03-31 06:41:20.196851	116844	1144703.088533796	4	2
2014-03-31 06:41:31.974451	116845	4957	3	2
2014-03-31 06:41:32.205778	116846	1144720.3240546172	4	2
2014-03-31 06:41:35.810405	116847	44	2	10
2014-03-31 06:41:36.033416	116848	18.4	1	10
2014-03-31 06:41:44.979445	116849	59	2	8
2014-03-31 06:41:45.209995	116850	20.1	1	8
2014-03-31 06:41:56.286742	116851	50	2	1
2014-03-31 06:41:56.510687	116852	17.6	1	1
2014-03-31 06:42:07.977651	116853	5102	3	2
2014-03-31 06:42:08.208916	116854	1144767.4344781952	4	2
2014-03-31 06:42:14.59963	116855	44	2	10
2014-03-31 06:42:14.820965	116856	18.4	1	10
2014-03-31 06:42:19.984267	116857	5134	3	2
2014-03-31 06:42:20.218514	116858	1144783.5254352472	4	2
2014-03-31 06:42:22.901923	116859	55	2	9
2014-03-31 06:42:23.12534	116860	19.4	1	9
2014-03-31 06:42:23.974153	116861	59	2	8
2014-03-31 06:42:24.206912	116862	20.1	1	8
2014-03-31 06:42:35.040106	116863	50	2	1
2014-03-31 06:42:35.261785	116864	17.6	1	1
2014-03-31 06:42:43.978636	116865	2816	3	2
2014-03-31 06:42:44.216164	116866	1144815.6984074467	4	2
2014-03-31 06:42:53.600629	116867	44	2	10
2014-03-31 06:42:53.823918	116868	18.4	1	10
2014-03-31 06:43:02.976251	116869	59	2	8
2014-03-31 06:43:03.209858	116870	20.1	1	8
2014-03-31 06:43:14.049313	116871	50	2	1
2014-03-31 06:43:14.273895	116872	17.6	1	1
2014-03-31 06:43:19.976167	116873	2913	3	2
2014-03-31 06:43:20.219687	116874	1144839.8281365966	4	2
2014-03-31 06:43:31.980384	116875	2977	3	2
2014-03-31 06:43:32.204192	116876	1144849.0204143678	4	2
2014-03-31 06:43:32.601869	116877	44	2	10
2014-03-31 06:43:32.83378	116878	18.4	1	10
2014-03-31 06:43:40.905081	116879	55	2	9
2014-03-31 06:43:41.126533	116880	19.4	1	9
2014-03-31 06:43:41.975222	116881	59	2	8
2014-03-31 06:43:42.205633	116882	20.1	1	8
2014-03-31 06:43:43.973382	116883	3138	3	2
2014-03-31 06:43:44.195932	116884	1144858.2126921392	4	2
2014-03-31 06:43:53.050832	116885	50	2	1
2014-03-31 06:43:53.285102	116886	17.7	1	1
2014-03-31 06:43:55.975633	116887	2945	3	2
2014-03-31 06:43:56.19759	116888	1144867.4049699104	4	2
2014-03-31 06:44:07.978526	116889	2752	3	2
2014-03-31 06:44:08.209988	116890	1144876.5972476818	4	2
2014-03-31 06:44:11.601195	116891	44	2	10
2014-03-31 06:44:11.824192	116892	18.4	1	10
2014-03-31 06:44:20.977342	116893	59	2	8
2014-03-31 06:44:21.208245	116894	20.1	1	8
2014-03-31 06:44:32.284047	116895	51	2	1
2014-03-31 06:44:32.506605	116896	17.7	1	1
2014-03-31 06:44:43.977082	116897	2816	3	2
2014-03-31 06:44:44.211428	116898	1144904.1740809958	4	2
2014-03-31 06:44:50.601873	116899	44	2	10
2014-03-31 06:44:50.825783	116900	18.4	1	10
2014-03-31 06:44:55.977723	116901	2736	3	2
2014-03-31 06:44:56.210348	116902	1144912.2173240457	4	2
2014-03-31 06:44:58.907122	116903	55	2	9
2014-03-31 06:44:59.12937	116904	19.4	1	9
2014-03-31 06:44:59.977535	116905	58	2	8
2014-03-31 06:45:00.20886	116906	20.1	1	8
2014-03-31 06:45:07.977156	116907	2720	3	2
2014-03-31 06:45:08.199225	116908	1144921.409601817	4	2
2014-03-31 06:45:11.048892	116909	51	2	1
2014-03-31 06:45:11.279595	116910	17.8	1	1
2014-03-31 06:45:29.602441	116911	44	2	10
2014-03-31 06:45:29.82487	116912	18.4	1	10
2014-03-31 06:45:31.976833	116913	2752	3	2
2014-03-31 06:45:32.210573	116914	1144939.7941573597	4	2
2014-03-31 06:45:37.907563	116915	55	2	9
2014-03-31 06:45:38.133402	116916	19.4	1	9
2014-03-31 06:45:38.977554	116917	58	2	8
2014-03-31 06:45:39.207817	116918	20.1	1	8
2014-03-31 06:45:43.980592	116919	2816	3	2
2014-03-31 06:45:44.202264	116920	1144948.986435131	4	2
2014-03-31 06:45:50.050752	116921	51	2	1
2014-03-31 06:45:50.293642	116922	17.8	1	1
2014-03-31 06:45:55.98012	116923	2704	3	2
2014-03-31 06:45:56.203182	116924	1144957.0296781808	4	2
2014-03-31 06:46:07.977436	116925	2655	3	2
2014-03-31 06:46:08.39403	116926	1144966.2219559522	4	2
2014-03-31 06:46:08.699996	116927	44	2	10
2014-03-31 06:46:08.920578	116928	18.4	1	10
2014-03-31 06:46:16.898563	116929	55	2	9
2014-03-31 06:46:17.119428	116930	19.4	1	9
2014-03-31 06:46:17.977472	116931	58	2	8
2014-03-31 06:46:18.205974	116932	20.1	1	8
2014-03-31 06:46:19.979785	116933	2591	3	2
2014-03-31 06:46:20.199519	116934	1144975.4142337234	4	2
2014-03-31 06:46:29.043905	116935	51	2	1
2014-03-31 06:46:29.275029	116936	17.9	1	1
2014-03-31 06:46:31.978818	116937	2704	3	2
2014-03-31 06:46:32.198711	116938	1144984.6065114948	4	2
2014-03-31 06:46:43.977725	116939	2527	3	2
2014-03-31 06:46:44.209333	116940	1144992.6497545447	4	2
2014-03-31 06:46:47.601342	116941	44	2	10
2014-03-31 06:46:47.823262	116942	18.4	1	10
2014-03-31 06:46:56.977184	116943	58	2	8
2014-03-31 06:46:57.242368	116944	20.1	1	8
2014-03-31 06:47:08.282173	116945	51	2	1
2014-03-31 06:47:08.538086	116946	17.9	1	1
2014-03-31 06:47:19.978748	116947	2446	3	2
2014-03-31 06:47:20.245035	116948	1145019.0775531372	4	2
2014-03-31 06:47:26.602712	116949	44	2	10
2014-03-31 06:47:26.858936	116950	18.4	1	10
2014-03-31 06:47:31.980228	116951	2511	3	2
2014-03-31 06:47:32.248838	116952	1145028.2698309086	4	2
2014-03-31 06:47:34.903721	116953	55	2	9
2014-03-31 06:47:35.159263	116954	19.4	1	9
2014-03-31 06:47:35.978526	116955	59	2	8
2014-03-31 06:47:36.242839	116956	20.1	1	8
2014-03-31 06:47:43.979318	116957	3750	3	2
2014-03-31 06:47:44.203425	116958	1145038.6111434014	4	2
2014-03-31 06:47:47.046633	116959	51	2	1
2014-03-31 06:47:47.276637	116960	18.0	1	1
2014-03-31 06:47:55.978635	116961	3750	3	2
2014-03-31 06:47:56.202011	116962	1145050.1014906154	4	2
2014-03-31 06:48:05.602598	116963	44	2	10
2014-03-31 06:48:05.834501	116964	18.5	1	10
2014-03-31 06:48:07.979266	116965	2511	3	2
2014-03-31 06:48:08.201609	116966	1145061.5918378297	4	2
2014-03-31 06:48:13.901686	116967	55	2	9
2014-03-31 06:48:14.133441	116968	19.4	1	9
2014-03-31 06:48:14.974465	116969	59	2	8
2014-03-31 06:48:15.19807	116970	20.0	1	8
2014-03-31 06:48:19.980264	116971	2511	3	2
2014-03-31 06:48:20.224549	116972	1145070.7841156009	4	2
2014-03-31 06:48:26.043869	116973	51	2	1
2014-03-31 06:48:26.266572	116974	18.0	1	1
2014-03-31 06:48:31.978492	116975	2494	3	2
2014-03-31 06:48:32.211111	116976	1145077.6827948818	4	2
2014-03-31 06:48:43.979509	116977	2430	3	2
2014-03-31 06:48:44.204225	116978	1145085.7260379316	4	2
2014-03-31 06:48:44.602666	116979	44	2	10
2014-03-31 06:48:44.833474	116980	18.5	1	10
2014-03-31 06:48:53.975882	116981	59	2	8
2014-03-31 06:48:54.199262	116982	20.0	1	8
2014-03-31 06:48:55.979514	116983	2462	3	2
2014-03-31 06:48:56.212804	116984	1145093.7692809815	4	2
2014-03-31 06:49:05.043048	116985	51	2	1
2014-03-31 06:49:05.298443	116986	18.0	1	1
2014-03-31 06:49:07.979947	116987	3686	3	2
2014-03-31 06:49:08.211109	116988	1145104.1105934742	4	2
2014-03-31 06:49:19.980009	116989	2430	3	2
2014-03-31 06:49:20.201816	116990	1145114.451905967	4	2
2014-03-31 06:49:23.60347	116991	44	2	10
2014-03-31 06:49:23.835397	116992	18.5	1	10
2014-03-31 06:49:32.975727	116993	58	2	8
2014-03-31 06:49:33.197374	116994	20.0	1	8
2014-03-31 06:49:44.044862	116995	51	2	1
2014-03-31 06:49:44.277197	116996	18.1	1	1
2014-03-31 06:50:02.603339	116997	44	2	10
2014-03-31 06:50:02.825784	116998	18.5	1	10
2014-03-31 06:50:07.980491	116999	2494	3	2
2014-03-31 06:50:08.211387	117000	1145147.773912888	4	2
2014-03-31 06:50:10.898688	117001	55	2	9
2014-03-31 06:50:11.120204	117002	19.5	1	9
2014-03-31 06:50:11.975933	117003	58	2	8
2014-03-31 06:50:12.207603	117004	20.0	1	8
2014-03-31 06:50:19.976772	117005	2494	3	2
2014-03-31 06:50:20.201759	117006	1145155.817155938	4	2
2014-03-31 06:50:23.043649	117007	51	2	1
2014-03-31 06:50:23.274722	117008	18.1	1	1
2014-03-31 06:50:31.978694	117009	2478	3	2
2014-03-31 06:50:32.199977	117010	1145165.0094337093	4	2
2014-03-31 06:50:41.605659	117011	44	2	10
2014-03-31 06:50:41.839646	117012	18.5	1	10
2014-03-31 06:50:49.902148	117013	55	2	9
2014-03-31 06:50:50.125267	117014	19.5	1	9
2014-03-31 06:50:50.97599	117015	58	2	8
2014-03-31 06:50:51.206434	117016	20.0	1	8
2014-03-31 06:51:02.040775	117017	51	2	1
2014-03-31 06:51:02.263916	117018	18.1	1	1
2014-03-31 06:51:19.978065	117019	3702	3	2
2014-03-31 06:51:20.21992	117020	1145201.7785447945	4	2
2014-03-31 06:51:20.603648	117021	44	2	10
2014-03-31 06:51:20.82538	117022	18.6	1	10
2014-03-31 06:51:28.89926	117023	55	2	9
2014-03-31 06:51:29.133816	117024	19.5	1	9
2014-03-31 06:51:29.974936	117025	58	2	8
2014-03-31 06:51:30.195684	117026	20.0	1	8
2014-03-31 06:51:31.977481	117027	2494	3	2
2014-03-31 06:51:32.208987	117028	1145210.9708225657	4	2
2014-03-31 06:51:41.042386	117029	51	2	1
2014-03-31 06:51:41.264091	117030	18.2	1	1
2014-03-31 06:51:43.978021	117031	2494	3	2
2014-03-31 06:51:44.210215	117032	1145219.0140656156	4	2
2014-03-31 06:51:59.602878	117033	44	2	10
2014-03-31 06:51:59.829629	117034	18.6	1	10
2014-03-31 06:52:07.901516	117035	55	2	9
2014-03-31 06:52:08.131828	117036	19.5	1	9
2014-03-31 06:52:08.975528	117037	58	2	8
2014-03-31 06:52:09.196464	117038	20.0	1	8
2014-03-31 06:52:20.04116	117039	51	2	1
2014-03-31 06:52:20.273437	117040	18.2	1	1
2014-03-31 06:52:31.980031	117041	2655	3	2
2014-03-31 06:52:32.203564	117042	1145253.4851072582	4	2
2014-03-31 06:52:38.603682	117043	44	2	10
2014-03-31 06:52:38.836575	117044	18.6	1	10
2014-03-31 06:52:43.984579	117045	2639	3	2
2014-03-31 06:52:44.20862	117046	1145262.6773850294	4	2
2014-03-31 06:52:46.900156	117047	56	2	9
2014-03-31 06:52:47.133536	117048	19.5	1	9
2014-03-31 06:52:47.976742	117049	58	2	8
2014-03-31 06:52:48.199392	117050	20.0	1	8
2014-03-31 06:52:59.042385	117051	52	2	1
2014-03-31 06:52:59.272997	117052	18.3	1	1
2014-03-31 06:53:17.604675	117053	44	2	10
2014-03-31 06:53:17.828827	117054	18.6	1	10
2014-03-31 06:53:25.900322	117055	56	2	9
2014-03-31 06:53:26.133935	117056	19.5	1	9
2014-03-31 06:53:26.973996	117057	58	2	8
2014-03-31 06:53:27.196536	117058	20.0	1	8
2014-03-31 06:53:31.974546	117059	2639	3	2
2014-03-31 06:53:32.207324	117060	1145298.2974613933	4	2
2014-03-31 06:53:38.045001	117061	52	2	1
2014-03-31 06:53:38.267324	117062	18.3	1	1
2014-03-31 06:53:56.604444	117063	44	2	10
2014-03-31 06:53:56.834916	117064	18.6	1	10
2014-03-31 06:54:05.086517	117065	56	2	9
2014-03-31 06:54:05.31027	117066	19.5	1	9
2014-03-31 06:54:05.97539	117067	59	2	8
2014-03-31 06:54:06.221851	117068	20.0	1	8
2014-03-31 06:54:17.039828	117069	52	2	1
2014-03-31 06:54:17.265239	117070	18.3	1	1
2014-03-31 06:54:31.974367	117071	3895	3	2
2014-03-31 06:54:32.205737	117072	1145347.705954414	4	2
2014-03-31 06:54:35.604639	117073	44	2	10
2014-03-31 06:54:35.82416	117074	18.6	1	10
2014-03-31 06:54:44.975238	117075	61	2	8
2014-03-31 06:54:45.207092	117076	20.1	1	8
2014-03-31 06:54:56.280427	117077	52	2	1
2014-03-31 06:54:56.505495	117078	18.4	1	1
2014-03-31 06:55:14.606041	117079	44	2	10
2014-03-31 06:55:14.838052	117080	18.6	1	10
2014-03-31 06:55:22.900638	117081	56	2	9
2014-03-31 06:55:23.1215	117082	19.6	1	9
2014-03-31 06:55:23.975237	117083	61	2	8
2014-03-31 06:55:24.206306	117084	20.2	1	8
2014-03-31 06:55:31.973342	117085	2623	3	2
2014-03-31 06:55:32.194286	117086	1145391.3737447802	4	2
2014-03-31 06:55:35.039652	117087	52	2	1
2014-03-31 06:55:35.269423	117088	18.4	1	1
2014-03-31 06:55:53.607312	117089	44	2	10
2014-03-31 06:55:53.830007	117090	18.6	1	10
2014-03-31 06:55:55.973861	117091	917	3	2
2014-03-31 06:55:56.207477	117092	1145405.162161437	4	2
2014-03-31 06:56:01.898808	117093	56	2	9
2014-03-31 06:56:02.121643	117094	19.6	1	9
2014-03-31 06:56:02.9742	117095	62	2	8
2014-03-31 06:56:03.205809	117096	20.2	1	8
2014-03-31 06:56:07.9795	117097	981	3	2
2014-03-31 06:56:08.201116	117098	1145408.6092656015	4	2
2014-03-31 06:56:14.076246	117099	52	2	1
2014-03-31 06:56:14.308196	117100	18.4	1	1
2014-03-31 06:56:19.981942	117101	933	3	2
2014-03-31 06:56:20.203806	117102	1145410.9073350441	4	2
2014-03-31 06:56:31.975307	117103	965	3	2
2014-03-31 06:56:32.207379	117104	1145414.3544392085	4	2
2014-03-31 06:56:32.60572	117105	44	2	10
2014-03-31 06:56:32.829317	117106	18.6	1	10
2014-03-31 06:56:40.899838	117107	56	2	9
2014-03-31 06:56:41.130665	117108	19.6	1	9
2014-03-31 06:56:41.976185	117109	63	2	8
2014-03-31 06:56:42.197751	117110	20.3	1	8
2014-03-31 06:56:53.039269	117111	52	2	1
2014-03-31 06:56:53.269404	117112	18.5	1	1
2014-03-31 06:56:55.975815	117113	949	3	2
2014-03-31 06:56:56.195858	117114	1145421.248647537	4	2
2014-03-31 06:57:07.975416	117115	917	3	2
2014-03-31 06:57:08.217714	117116	1145423.5467169797	4	2
2014-03-31 06:57:11.60463	117117	44	2	10
2014-03-31 06:57:11.827788	117118	18.6	1	10
2014-03-31 06:57:20.974342	117119	63	2	8
2014-03-31 06:57:21.205749	117120	20.4	1	8
2014-03-31 06:57:32.277995	117121	52	2	1
2014-03-31 06:57:32.499529	117122	18.5	1	1
2014-03-31 06:57:50.606104	117123	44	2	10
2014-03-31 06:57:50.839926	117124	18.7	1	10
2014-03-31 06:57:58.900671	117125	56	2	9
2014-03-31 06:57:59.122195	117126	19.6	1	9
2014-03-31 06:57:59.977767	117127	64	2	8
2014-03-31 06:58:00.207817	117128	20.5	1	8
2014-03-31 06:58:11.0399	117129	52	2	1
2014-03-31 06:58:11.259225	117130	18.5	1	1
2014-03-31 06:58:19.974431	117131	2140	3	2
2014-03-31 06:58:20.205778	117132	1145445.3783766867	4	2
2014-03-31 06:58:29.606956	117133	44	2	10
2014-03-31 06:58:29.827657	117134	18.7	1	10
2014-03-31 06:58:37.899481	117135	56	2	9
2014-03-31 06:58:38.137904	117136	19.6	1	9
2014-03-31 06:58:38.975453	117137	64	2	8
2014-03-31 06:58:39.198648	117138	20.6	1	8
2014-03-31 06:58:50.04015	117139	52	2	1
2014-03-31 06:58:50.270932	117140	18.6	1	1
2014-03-31 06:59:08.606805	117141	44	2	10
2014-03-31 06:59:08.827917	117142	18.7	1	10
2014-03-31 06:59:17.104105	117143	56	2	9
2014-03-31 06:59:17.33725	117144	19.6	1	9
2014-03-31 06:59:17.97429	117145	64	2	8
2014-03-31 06:59:18.208262	117146	20.7	1	8
2014-03-31 06:59:29.279336	117147	52	2	1
2014-03-31 06:59:29.530895	117148	18.6	1	1
2014-03-31 06:59:47.608895	117149	44	2	10
2014-03-31 06:59:47.831366	117150	18.7	1	10
2014-03-31 06:59:56.976028	117151	65	2	8
2014-03-31 06:59:57.205921	117152	20.8	1	8
2014-03-31 07:00:08.279203	117153	52	2	1
2014-03-31 07:00:08.501355	117154	18.6	1	1
2014-03-31 07:00:19.977923	117155	901	3	2
2014-03-31 07:00:20.209903	117156	1145477.5513488862	4	2
2014-03-31 07:00:26.608049	117157	44	2	10
2014-03-31 07:00:26.829911	117158	18.7	1	10
2014-03-31 07:00:31.974725	117159	853	3	2
2014-03-31 07:00:32.209085	117160	1145479.849418329	4	2
2014-03-31 07:00:34.899843	117161	56	2	9
2014-03-31 07:00:35.121748	117162	19.6	1	9
2014-03-31 07:00:35.976036	117163	64	2	8
2014-03-31 07:00:36.217862	117164	20.9	1	8
2014-03-31 07:00:43.975824	117165	885	3	2
2014-03-31 07:00:44.196967	117166	1145483.2965224935	4	2
2014-03-31 07:00:47.037355	117167	52	2	1
2014-03-31 07:00:47.268198	117168	18.6	1	1
2014-03-31 07:00:55.97563	117169	917	3	2
2014-03-31 07:00:56.196921	117170	1145486.7436266576	4	2
2014-03-31 07:01:05.608215	117171	44	2	10
2014-03-31 07:01:05.839565	117172	18.7	1	10
2014-03-31 07:01:07.975668	117173	869	3	2
2014-03-31 07:01:08.196159	117174	1145489.0416961005	4	2
2014-03-31 07:01:13.901457	117175	56	2	9
2014-03-31 07:01:14.132487	117176	19.6	1	9
2014-03-31 07:01:14.976189	117177	64	2	8
2014-03-31 07:01:15.197291	117178	20.9	1	8
2014-03-31 07:01:19.978571	117179	885	3	2
2014-03-31 07:01:20.209133	117180	1145492.4888002647	4	2
2014-03-31 07:01:26.036253	117181	52	2	1
2014-03-31 07:01:26.257426	117182	18.6	1	1
2014-03-31 07:01:31.97799	117183	853	3	2
2014-03-31 07:01:32.209427	117184	1145494.7868697075	4	2
2014-03-31 07:01:43.976447	117185	885	3	2
2014-03-31 07:01:44.200109	117186	1145498.2339738717	4	2
2014-03-31 07:01:44.609149	117187	44	2	10
2014-03-31 07:01:44.84085	117188	18.7	1	10
2014-03-31 07:01:53.975787	117189	63	2	8
2014-03-31 07:01:54.1969	117190	20.8	1	8
2014-03-31 07:01:55.974695	117191	885	3	2
2014-03-31 07:01:56.20468	117192	1145500.5320433145	4	2
2014-03-31 07:02:05.035349	117193	52	2	1
2014-03-31 07:02:05.257391	117194	18.6	1	1
2014-03-31 07:02:07.974914	117195	949	3	2
2014-03-31 07:02:08.206399	117196	1145503.979147479	4	2
2014-03-31 07:02:19.975507	117197	949	3	2
2014-03-31 07:02:20.195784	117198	1145507.426251643	4	2
2014-03-31 07:02:23.615756	117199	44	2	10
2014-03-31 07:02:23.848756	117200	18.7	1	10
2014-03-31 07:02:32.975929	117201	63	2	8
2014-03-31 07:02:33.199441	117202	20.8	1	8
2014-03-31 07:02:44.275745	117203	52	2	1
2014-03-31 07:02:44.509205	117204	18.6	1	1
2014-03-31 07:02:55.973796	117205	2076	3	2
2014-03-31 07:02:56.195762	117206	1145520.0656335787	4	2
2014-03-31 07:03:02.607465	117207	44	2	10
2014-03-31 07:03:02.841749	117208	18.7	1	10
2014-03-31 07:03:07.981348	117209	885	3	2
2014-03-31 07:03:08.202981	117210	1145523.5127377429	4	2
2014-03-31 07:03:11.978298	117211	62	2	8
2014-03-31 07:03:12.22171	117212	20.7	1	8
2014-03-31 07:03:19.978508	117213	869	3	2
2014-03-31 07:03:20.201688	117214	1145525.8108071857	4	2
2014-03-31 07:03:23.034864	117215	52	2	1
2014-03-31 07:03:23.266056	117216	18.7	1	1
2014-03-31 07:03:31.977804	117217	837	3	2
2014-03-31 07:03:32.202312	117218	1145529.2579113499	4	2
2014-03-31 07:03:41.608007	117219	44	2	10
2014-03-31 07:03:41.839111	117220	18.7	1	10
2014-03-31 07:03:43.976523	117221	869	3	2
2014-03-31 07:03:44.196923	117222	1145531.5559807927	4	2
2014-03-31 07:03:49.902952	117223	56	2	9
2014-03-31 07:03:50.137024	117224	19.7	1	9
2014-03-31 07:03:50.973642	117225	62	2	8
2014-03-31 07:03:51.196831	117226	20.6	1	8
2014-03-31 07:03:55.980291	117227	869	3	2
2014-03-31 07:03:56.213376	117228	1145535.0030849571	4	2
2014-03-31 07:04:02.040436	117229	52	2	1
2014-03-31 07:04:02.262328	117230	18.7	1	1
2014-03-31 07:04:20.608057	117231	44	2	10
2014-03-31 07:04:20.84065	117232	18.8	1	10
2014-03-31 07:04:29.975807	117233	61	2	8
2014-03-31 07:04:30.198772	117234	20.6	1	8
2014-03-31 07:04:31.975715	117235	820	3	2
2014-03-31 07:04:32.208177	117236	1145543.046328007	4	2
2014-03-31 07:04:41.036241	117237	52	2	1
2014-03-31 07:04:41.260146	117238	18.7	1	1
2014-03-31 07:04:55.975229	117239	965	3	2
2014-03-31 07:04:56.209158	117240	1145549.9405363353	4	2
2014-03-31 07:04:59.608143	117241	44	2	10
2014-03-31 07:04:59.829695	117242	18.8	1	10
2014-03-31 07:05:08.976515	117243	61	2	8
2014-03-31 07:05:09.209684	117244	20.6	1	8
2014-03-31 07:05:20.275342	117245	52	2	1
2014-03-31 07:05:20.497452	117246	18.7	1	1
2014-03-31 07:05:31.97785	117247	820	3	2
2014-03-31 07:05:32.209376	117248	1145557.9837793855	4	2
2014-03-31 07:05:38.610011	117249	44	2	10
2014-03-31 07:05:38.832222	117250	18.8	1	10
2014-03-31 07:05:43.978706	117251	869	3	2
2014-03-31 07:05:44.210971	117252	1145561.4308835496	4	2
2014-03-31 07:05:47.9756	117253	61	2	8
2014-03-31 07:05:48.196363	117254	20.5	1	8
2014-03-31 07:05:55.973939	117255	885	3	2
2014-03-31 07:05:56.206391	117256	1145563.7289529925	4	2
2014-03-31 07:05:59.034336	117257	52	2	1
2014-03-31 07:05:59.257308	117258	18.7	1	1
2014-03-31 07:06:17.60893	117259	44	2	10
2014-03-31 07:06:17.853109	117260	18.8	1	10
2014-03-31 07:06:19.97693	117261	3557	3	2
2014-03-31 07:06:20.199317	117262	1145578.666404371	4	2
2014-03-31 07:06:26.973638	117263	61	2	8
2014-03-31 07:06:27.205119	117264	20.5	1	8
2014-03-31 07:06:31.973618	117265	4555	3	2
2014-03-31 07:06:32.19553	117266	1145594.7528904707	4	2
2014-03-31 07:06:38.03871	117267	52	2	1
2014-03-31 07:06:38.268681	117268	18.8	1	1
2014-03-31 07:06:43.981571	117269	3525	3	2
2014-03-31 07:06:44.203935	117270	1145608.5413071276	4	2
2014-03-31 07:06:55.974222	117271	3541	3	2
2014-03-31 07:06:56.206032	117272	1145620.0316543418	4	2
2014-03-31 07:06:56.610994	117273	44	2	10
2014-03-31 07:06:56.831733	117274	18.8	1	10
2014-03-31 07:07:05.970464	117275	61	2	8
2014-03-31 07:07:06.201107	117276	20.5	1	8
2014-03-31 07:07:17.041224	117277	53	2	1
2014-03-31 07:07:17.26377	117278	18.8	1	1
2014-03-31 07:07:19.984492	117279	837	3	2
2014-03-31 07:07:20.218071	117280	1145625.7768279489	4	2
2014-03-31 07:07:35.610245	117281	44	2	10
2014-03-31 07:07:35.833837	117282	18.8	1	10
2014-03-31 07:07:44.97481	117283	60	2	8
2014-03-31 07:07:45.207368	117284	20.4	1	8
2014-03-31 07:07:56.270756	117285	53	2	1
2014-03-31 07:07:56.496466	117286	18.8	1	1
2014-03-31 07:08:14.610526	117287	44	2	10
2014-03-31 07:08:14.844044	117288	18.8	1	10
2014-03-31 07:08:23.975587	117289	60	2	8
2014-03-31 07:08:24.198927	117290	20.4	1	8
2014-03-31 07:08:31.973181	117291	724	3	2
2014-03-31 07:08:32.205684	117292	1145654.5026959842	4	2
2014-03-31 07:08:35.031712	117293	53	2	1
2014-03-31 07:08:35.254141	117294	18.9	1	1
2014-03-31 07:08:53.609688	117295	44	2	10
2014-03-31 07:08:53.840485	117296	18.8	1	10
2014-03-31 07:09:02.977227	117297	60	2	8
2014-03-31 07:09:03.201132	117298	20.4	1	8
2014-03-31 07:09:14.037117	117299	53	2	1
2014-03-31 07:09:14.269504	117300	18.9	1	1
2014-03-31 07:09:32.610174	117301	44	2	10
2014-03-31 07:09:32.831834	117302	18.8	1	10
2014-03-31 07:09:40.907289	117303	57	2	9
2014-03-31 07:09:41.141319	117304	19.8	1	9
2014-03-31 07:09:41.975502	117305	60	2	8
2014-03-31 07:09:42.197133	117306	20.4	1	8
2014-03-31 07:09:53.029181	117307	53	2	1
2014-03-31 07:09:53.274301	117308	18.9	1	1
2014-03-31 07:10:11.608189	117309	44	2	10
2014-03-31 07:10:11.830165	117310	18.8	1	10
2014-03-31 07:10:20.974435	117311	60	2	8
2014-03-31 07:10:21.20784	117312	20.4	1	8
2014-03-31 07:10:32.272693	117313	53	2	1
2014-03-31 07:10:32.493632	117314	18.9	1	1
2014-03-31 07:10:50.610331	117315	44	2	10
2014-03-31 07:10:50.842109	117316	18.8	1	10
2014-03-31 07:10:59.974287	117317	59	2	8
2014-03-31 07:11:00.195687	117318	20.4	1	8
2014-03-31 07:11:11.031575	117319	52	2	1
2014-03-31 07:11:11.308808	117320	19.0	1	1
2014-03-31 07:11:29.610273	117321	44	2	10
2014-03-31 07:11:29.831979	117322	18.8	1	10
2014-03-31 07:11:38.975028	117323	60	2	8
2014-03-31 07:11:39.205275	117324	20.4	1	8
2014-03-31 07:11:50.030447	117325	52	2	1
2014-03-31 07:11:50.252054	117326	19.0	1	1
2014-03-31 07:12:08.612471	117327	44	2	10
2014-03-31 07:12:08.844347	117328	18.9	1	10
2014-03-31 07:12:17.974317	117329	60	2	8
2014-03-31 07:12:18.195896	117330	20.3	1	8
2014-03-31 07:12:29.029443	117331	52	2	1
2014-03-31 07:12:29.259233	117332	19.0	1	1
2014-03-31 07:12:47.612208	117333	44	2	10
2014-03-31 07:12:47.837918	117334	18.9	1	10
2014-03-31 07:12:56.974576	117335	60	2	8
2014-03-31 07:12:57.207569	117336	20.3	1	8
2014-03-31 07:13:08.270024	117337	52	2	1
2014-03-31 07:13:08.492595	117338	19.0	1	1
2014-03-31 07:13:26.611696	117339	44	2	10
2014-03-31 07:13:26.844581	117340	18.9	1	10
2014-03-31 07:13:34.904877	117341	57	2	9
2014-03-31 07:13:35.126435	117342	19.7	1	9
2014-03-31 07:13:35.974954	117343	60	2	8
2014-03-31 07:13:36.20564	117344	20.3	1	8
2014-03-31 07:13:47.029062	117345	52	2	1
2014-03-31 07:13:47.251529	117346	19.1	1	1
2014-03-31 07:14:05.611975	117347	44	2	10
2014-03-31 07:14:05.843338	117348	18.9	1	10
2014-03-31 07:14:13.898487	117349	57	2	9
2014-03-31 07:14:14.12276	117350	19.7	1	9
2014-03-31 07:14:14.977453	117351	59	2	8
2014-03-31 07:14:15.208264	117352	20.3	1	8
2014-03-31 07:14:26.029119	117353	52	2	1
2014-03-31 07:14:26.251051	117354	19.1	1	1
2014-03-31 07:14:44.611878	117355	44	2	10
2014-03-31 07:14:44.855227	117356	18.9	1	10
2014-03-31 07:14:52.909096	117357	57	2	9
2014-03-31 07:14:53.13316	117358	19.7	1	9
2014-03-31 07:14:53.975004	117359	58	2	8
2014-03-31 07:14:54.207405	117360	20.3	1	8
2014-03-31 07:15:05.028504	117361	52	2	1
2014-03-31 07:15:05.259054	117362	19.1	1	1
2014-03-31 07:15:23.612364	117363	44	2	10
2014-03-31 07:15:23.844672	117364	18.9	1	10
2014-03-31 07:15:32.975277	117365	58	2	8
2014-03-31 07:15:33.199199	117366	20.3	1	8
2014-03-31 07:15:44.269645	117367	52	2	1
2014-03-31 07:15:44.502121	117368	19.1	1	1
2014-03-31 07:16:02.612217	117369	44	2	10
2014-03-31 07:16:02.836435	117370	18.9	1	10
2014-03-31 07:16:10.905215	117371	57	2	9
2014-03-31 07:16:11.137142	117372	19.7	1	9
2014-03-31 07:16:11.974931	117373	58	2	8
2014-03-31 07:16:12.1964	117374	20.3	1	8
2014-03-31 07:16:23.027009	117375	52	2	1
2014-03-31 07:16:23.258171	117376	19.1	1	1
2014-03-31 07:16:41.612891	117377	44	2	10
2014-03-31 07:16:41.834708	117378	18.9	1	10
2014-03-31 07:16:49.910034	117379	57	2	9
2014-03-31 07:16:50.141808	117380	19.7	1	9
2014-03-31 07:16:50.97553	117381	58	2	8
2014-03-31 07:16:51.195964	117382	20.3	1	8
2014-03-31 07:17:02.026383	117383	52	2	1
2014-03-31 07:17:02.256184	117384	19.2	1	1
2014-03-31 07:17:20.614815	117385	44	2	10
2014-03-31 07:17:20.838862	117386	18.9	1	10
2014-03-31 07:17:28.907656	117387	57	2	9
2014-03-31 07:17:29.138977	117388	19.7	1	9
2014-03-31 07:17:29.977243	117389	58	2	8
2014-03-31 07:17:30.197606	117390	20.2	1	8
2014-03-31 07:17:41.02736	117391	52	2	1
2014-03-31 07:17:41.260314	117392	19.2	1	1
2014-03-31 07:17:59.613564	117393	44	2	10
2014-03-31 07:17:59.836579	117394	18.9	1	10
2014-03-31 07:18:08.976996	117395	58	2	8
2014-03-31 07:18:09.208706	117396	20.2	1	8
2014-03-31 07:18:20.266367	117397	52	2	1
2014-03-31 07:18:20.49439	117398	19.2	1	1
2014-03-31 07:18:38.610218	117399	44	2	10
2014-03-31 07:18:38.8459	117400	19.0	1	10
2014-03-31 07:18:46.902279	117401	57	2	9
2014-03-31 07:18:47.124098	117402	19.7	1	9
2014-03-31 07:18:59.028917	117403	52	2	1
2014-03-31 07:18:59.273857	117404	19.2	1	1
2014-03-31 07:19:17.614159	117405	44	2	10
2014-03-31 07:19:17.837485	117406	19.0	1	10
2014-03-31 07:19:25.901421	117407	57	2	9
2014-03-31 07:19:26.132335	117408	19.7	1	9
2014-03-31 07:19:26.977414	117409	58	2	8
2014-03-31 07:19:27.196922	117410	20.2	1	8
2014-03-31 07:19:31.979304	117411	853	3	2
2014-03-31 07:19:32.211713	117412	1145782.0500210135	4	2
2014-03-31 07:19:38.031855	117413	53	2	1
2014-03-31 07:19:38.253524	117414	19.2	1	1
2014-03-31 07:19:43.977147	117415	708	3	2
2014-03-31 07:19:44.209408	117416	1145784.3480904563	4	2
2014-03-31 07:19:56.614113	117417	44	2	10
2014-03-31 07:19:56.837713	117418	19.0	1	10
2014-03-31 07:20:04.907729	117419	57	2	9
2014-03-31 07:20:05.13987	117420	19.7	1	9
2014-03-31 07:20:05.973645	117421	58	2	8
2014-03-31 07:20:06.196626	117422	20.2	1	8
2014-03-31 07:20:17.032679	117423	53	2	1
2014-03-31 07:20:17.269415	117424	19.2	1	1
2014-03-31 07:20:19.972241	117425	643	3	2
2014-03-31 07:20:20.194508	117426	1145791.242298785	4	2
2014-03-31 07:20:35.613357	117427	44	2	10
2014-03-31 07:20:35.844824	117428	19.0	1	10
2014-03-31 07:20:43.903549	117429	57	2	9
2014-03-31 07:20:44.128084	117430	19.7	1	9
2014-03-31 07:20:44.97424	117431	57	2	8
2014-03-31 07:20:45.206738	117432	20.2	1	8
2014-03-31 07:20:56.024607	117433	53	2	1
2014-03-31 07:20:56.24922	117434	19.3	1	1
2014-03-31 07:21:14.613118	117435	44	2	10
2014-03-31 07:21:14.844476	117436	19.0	1	10
2014-03-31 07:21:22.90952	117437	57	2	9
2014-03-31 07:21:23.131169	117438	19.7	1	9
2014-03-31 07:21:23.974291	117439	57	2	8
2014-03-31 07:21:24.206453	117440	20.2	1	8
2014-03-31 07:21:35.025723	117441	53	2	1
2014-03-31 07:21:35.247771	117442	19.3	1	1
2014-03-31 07:21:53.614882	117443	44	2	10
2014-03-31 07:21:53.846913	117444	19.0	1	10
2014-03-31 07:22:01.904131	117445	57	2	9
2014-03-31 07:22:02.126664	117446	19.7	1	9
2014-03-31 07:22:02.975252	117447	57	2	8
2014-03-31 07:22:03.20589	117448	20.2	1	8
2014-03-31 07:22:14.024355	117449	53	2	1
2014-03-31 07:22:14.245285	117450	19.3	1	1
2014-03-31 07:22:32.614704	117451	44	2	10
2014-03-31 07:22:32.877487	117452	19.0	1	10
2014-03-31 07:22:40.905755	117453	57	2	9
2014-03-31 07:22:41.139089	117454	19.7	1	9
2014-03-31 07:22:41.972848	117455	57	2	8
2014-03-31 07:22:42.204663	117456	20.2	1	8
2014-03-31 07:22:53.023978	117457	53	2	1
2014-03-31 07:22:53.248459	117458	19.3	1	1
2014-03-31 07:23:11.615035	117459	44	2	10
2014-03-31 07:23:11.886641	117460	19.0	1	10
2014-03-31 07:23:20.973355	117461	57	2	8
2014-03-31 07:23:21.203137	117462	20.2	1	8
2014-03-31 07:23:32.261199	117463	53	2	1
2014-03-31 07:23:32.493539	117464	19.3	1	1
2014-03-31 07:23:50.614383	117465	44	2	10
2014-03-31 07:23:50.838628	117466	19.0	1	10
2014-03-31 07:23:59.974216	117467	57	2	8
2014-03-31 07:24:00.20481	117468	20.2	1	8
2014-03-31 07:24:11.023664	117469	53	2	1
2014-03-31 07:24:11.245932	117470	19.4	1	1
2014-03-31 07:24:29.616466	117471	44	2	10
2014-03-31 07:24:29.850249	117472	19.0	1	10
2014-03-31 07:24:37.906592	117473	57	2	9
2014-03-31 07:24:38.12811	117474	19.7	1	9
2014-03-31 07:24:38.975961	117475	57	2	8
2014-03-31 07:24:39.206376	117476	20.2	1	8
2014-03-31 07:24:50.022148	117477	53	2	1
2014-03-31 07:24:50.244161	117478	19.4	1	1
2014-03-31 07:25:08.614731	117479	44	2	10
2014-03-31 07:25:08.845949	117480	19.0	1	10
2014-03-31 07:25:16.902346	117481	56	2	9
2014-03-31 07:25:17.124795	117482	19.7	1	9
2014-03-31 07:25:17.972604	117483	57	2	8
2014-03-31 07:25:18.206041	117484	20.2	1	8
2014-03-31 07:25:29.024022	117485	53	2	1
2014-03-31 07:25:29.265617	117486	19.4	1	1
2014-03-31 07:25:47.615006	117487	44	2	10
2014-03-31 07:25:47.847163	117488	19.1	1	10
2014-03-31 07:25:56.975198	117489	57	2	8
2014-03-31 07:25:57.198169	117490	20.2	1	8
2014-03-31 07:26:08.263863	117491	53	2	1
2014-03-31 07:26:08.499127	117492	19.4	1	1
2014-03-31 07:26:26.616957	117493	44	2	10
2014-03-31 07:26:26.838568	117494	19.1	1	10
2014-03-31 07:26:34.904171	117495	56	2	9
2014-03-31 07:26:35.135815	117496	19.7	1	9
2014-03-31 07:26:35.972747	117497	57	2	8
2014-03-31 07:26:36.196099	117498	20.2	1	8
2014-03-31 07:26:47.021479	117499	53	2	1
2014-03-31 07:26:47.265508	117500	19.4	1	1
2014-03-31 07:27:05.61491	117501	44	2	10
2014-03-31 07:27:05.838149	117502	19.1	1	10
2014-03-31 07:27:13.903315	117503	56	2	9
2014-03-31 07:27:14.135266	117504	19.7	1	9
2014-03-31 07:27:14.974553	117505	57	2	8
2014-03-31 07:27:15.196756	117506	20.2	1	8
2014-03-31 07:27:26.020965	117507	53	2	1
2014-03-31 07:27:26.252069	117508	19.5	1	1
2014-03-31 07:27:44.616068	117509	44	2	10
2014-03-31 07:27:44.839987	117510	19.1	1	10
2014-03-31 07:27:52.905933	117511	56	2	9
2014-03-31 07:27:53.136345	117512	19.7	1	9
2014-03-31 07:27:53.973381	117513	57	2	8
2014-03-31 07:27:54.193519	117514	20.1	1	8
2014-03-31 07:28:05.019157	117515	53	2	1
2014-03-31 07:28:05.251615	117516	19.5	1	1
2014-03-31 07:28:23.618018	117517	44	2	10
2014-03-31 07:28:23.840807	117518	19.1	1	10
2014-03-31 07:28:32.973852	117519	57	2	8
2014-03-31 07:28:33.207016	117520	20.1	1	8
2014-03-31 07:28:44.261317	117521	53	2	1
2014-03-31 07:28:44.482148	117522	19.5	1	1
2014-03-31 07:29:02.617633	117523	44	2	10
2014-03-31 07:29:02.851719	117524	19.1	1	10
2014-03-31 07:29:10.904659	117525	56	2	9
2014-03-31 07:29:11.126859	117526	19.7	1	9
2014-03-31 07:29:11.975059	117527	57	2	8
2014-03-31 07:29:12.26085	117528	20.1	1	8
2014-03-31 07:29:23.017778	117529	53	2	1
2014-03-31 07:29:23.2401	117530	19.5	1	1
2014-03-31 07:29:41.617891	117531	44	2	10
2014-03-31 07:29:41.85141	117532	19.1	1	10
2014-03-31 07:29:50.103192	117533	56	2	9
2014-03-31 07:29:50.325651	117534	19.7	1	9
2014-03-31 07:29:50.972159	117535	57	2	8
2014-03-31 07:29:51.203662	117536	20.1	1	8
2014-03-31 07:30:02.01916	117537	53	2	1
2014-03-31 07:30:02.243059	117538	19.5	1	1
2014-03-31 07:30:20.616657	117539	44	2	10
2014-03-31 07:30:20.85035	117540	19.1	1	10
2014-03-31 07:30:29.975104	117541	57	2	8
2014-03-31 07:30:30.19857	117542	20.1	1	8
2014-03-31 07:30:41.019226	117543	53	2	1
2014-03-31 07:30:41.251974	117544	19.5	1	1
2014-03-31 07:30:59.618038	117545	44	2	10
2014-03-31 07:30:59.840992	117546	19.1	1	10
2014-03-31 07:31:08.97475	117547	57	2	8
2014-03-31 07:31:09.218925	117548	20.1	1	8
2014-03-31 07:31:20.257403	117549	53	2	1
2014-03-31 07:31:20.480048	117550	19.6	1	1
2014-03-31 07:31:38.618073	117551	44	2	10
2014-03-31 07:31:38.849195	117552	19.1	1	10
2014-03-31 07:31:46.905328	117553	56	2	9
2014-03-31 07:31:47.127418	117554	19.8	1	9
2014-03-31 07:31:48.177277	117555	57	2	8
2014-03-31 07:31:48.410163	117556	20.1	1	8
2014-03-31 07:31:59.017313	117557	53	2	1
2014-03-31 07:31:59.239854	117558	19.6	1	1
2014-03-31 07:32:17.618623	117559	44	2	10
2014-03-31 07:32:17.858774	117560	19.1	1	10
2014-03-31 07:32:25.966057	117561	56	2	9
2014-03-31 07:32:26.186538	117562	19.8	1	9
2014-03-31 07:32:26.97377	117563	57	2	8
2014-03-31 07:32:27.20516	117564	20.1	1	8
2014-03-31 07:32:38.017589	117565	53	2	1
2014-03-31 07:32:38.240815	117566	19.6	1	1
2014-03-31 07:32:56.619082	117567	44	2	10
2014-03-31 07:32:56.853057	117568	19.1	1	10
2014-03-31 07:33:04.906034	117569	56	2	9
2014-03-31 07:33:05.12851	117570	19.8	1	9
2014-03-31 07:33:05.976024	117571	57	2	8
2014-03-31 07:33:06.209625	117572	20.1	1	8
2014-03-31 07:33:17.019677	117573	53	2	1
2014-03-31 07:33:17.242031	117574	19.6	1	1
2014-03-31 07:33:35.621592	117575	44	2	10
2014-03-31 07:33:35.854742	117576	19.2	1	10
2014-03-31 07:33:44.975035	117577	57	2	8
2014-03-31 07:33:45.195997	117578	20.1	1	8
2014-03-31 07:33:56.017298	117579	53	2	1
2014-03-31 07:33:56.252509	117580	19.6	1	1
2014-03-31 07:34:14.619337	117581	44	2	10
2014-03-31 07:34:14.843821	117582	19.2	1	10
2014-03-31 07:34:22.907295	117583	56	2	9
2014-03-31 07:34:23.139419	117584	19.8	1	9
2014-03-31 07:34:23.972495	117585	57	2	8
2014-03-31 07:34:24.194008	117586	20.1	1	8
2014-03-31 07:34:35.017411	117587	53	2	1
2014-03-31 07:34:35.248424	117588	19.6	1	1
2014-03-31 07:34:53.618651	117589	44	2	10
2014-03-31 07:34:53.842322	117590	19.2	1	10
2014-03-31 07:35:02.97355	117591	57	2	8
2014-03-31 07:35:03.204232	117592	20.1	1	8
2014-03-31 07:35:14.01711	117593	53	2	1
2014-03-31 07:35:14.238713	117594	19.6	1	1
2014-03-31 07:35:32.630224	117595	44	2	10
2014-03-31 07:35:32.87353	117596	19.2	1	10
2014-03-31 07:35:40.910046	117597	56	2	9
2014-03-31 07:35:41.132605	117598	19.8	1	9
2014-03-31 07:35:41.975466	117599	57	2	8
2014-03-31 07:35:42.207424	117600	20.1	1	8
2014-03-31 07:35:53.017343	117601	53	2	1
2014-03-31 07:35:53.239322	117602	19.6	1	1
2014-03-31 07:36:11.619738	117603	44	2	10
2014-03-31 07:36:11.852152	117604	19.2	1	10
2014-03-31 07:36:20.974182	117605	57	2	8
2014-03-31 07:36:21.199522	117606	20.1	1	8
2014-03-31 07:36:32.257999	117607	53	2	1
2014-03-31 07:36:32.489306	117608	19.7	1	1
2014-03-31 07:36:50.620076	117609	44	2	10
2014-03-31 07:36:50.842548	117610	19.2	1	10
2014-03-31 07:36:59.973962	117611	57	2	8
2014-03-31 07:37:00.208018	117612	20.1	1	8
2014-03-31 07:37:11.015389	117613	53	2	1
2014-03-31 07:37:11.238692	117614	19.7	1	1
2014-03-31 07:37:29.61908	117615	44	2	10
2014-03-31 07:37:29.853275	117616	19.2	1	10
2014-03-31 07:37:37.904936	117617	56	2	9
2014-03-31 07:37:38.149777	117618	19.8	1	9
2014-03-31 07:37:38.974779	117619	57	2	8
2014-03-31 07:37:39.205758	117620	20.1	1	8
2014-03-31 07:37:50.01417	117621	53	2	1
2014-03-31 07:37:50.235186	117622	19.7	1	1
2014-03-31 07:38:08.61967	117623	44	2	10
2014-03-31 07:38:08.852182	117624	19.2	1	10
2014-03-31 07:38:16.906178	117625	56	2	9
2014-03-31 07:38:17.128975	117626	19.8	1	9
2014-03-31 07:38:18.176748	117627	57	2	8
2014-03-31 07:38:18.409182	117628	20.1	1	8
2014-03-31 07:38:29.016991	117629	53	2	1
2014-03-31 07:38:29.242639	117630	19.7	1	1
2014-03-31 07:38:47.62075	117631	44	2	10
2014-03-31 07:38:47.853387	117632	19.2	1	10
2014-03-31 07:38:56.973981	117633	57	2	8
2014-03-31 07:38:57.196758	117634	20.0	1	8
2014-03-31 07:39:08.252307	117635	53	2	1
2014-03-31 07:39:08.484886	117636	19.7	1	1
2014-03-31 07:39:26.623098	117637	44	2	10
2014-03-31 07:39:26.846083	117638	19.2	1	10
2014-03-31 07:39:34.908183	117639	56	2	9
2014-03-31 07:39:35.141919	117640	19.8	1	9
2014-03-31 07:39:35.973692	117641	57	2	8
2014-03-31 07:39:36.194223	117642	20.0	1	8
2014-03-31 07:39:47.012962	117643	53	2	1
2014-03-31 07:39:47.256443	117644	19.7	1	1
2014-03-31 07:40:05.621063	117645	44	2	10
2014-03-31 07:40:05.843881	117646	19.2	1	10
2014-03-31 07:40:13.905258	117647	56	2	9
2014-03-31 07:40:14.137807	117648	19.8	1	9
2014-03-31 07:40:14.973075	117649	57	2	8
2014-03-31 07:40:15.19338	117650	20.0	1	8
2014-03-31 07:40:26.067793	117651	53	2	1
2014-03-31 07:40:26.298999	117652	19.7	1	1
2014-03-31 07:40:44.621503	117653	44	2	10
2014-03-31 07:40:44.843335	117654	19.3	1	10
2014-03-31 07:40:52.905448	117655	56	2	9
2014-03-31 07:40:53.137948	117656	19.8	1	9
2014-03-31 07:40:53.975005	117657	57	2	8
2014-03-31 07:40:54.196961	117658	20.0	1	8
2014-03-31 07:41:05.015254	117659	53	2	1
2014-03-31 07:41:05.246208	117660	19.8	1	1
2014-03-31 07:41:23.620506	117661	44	2	10
2014-03-31 07:41:23.861606	117662	19.3	1	10
2014-03-31 07:41:32.972388	117663	57	2	8
2014-03-31 07:41:33.207797	117664	20.0	1	8
2014-03-31 07:41:44.252145	117665	53	2	1
2014-03-31 07:41:44.473652	117666	19.8	1	1
2014-03-31 07:42:02.620988	117667	44	2	10
2014-03-31 07:42:02.853165	117668	19.3	1	10
2014-03-31 07:42:10.90562	117669	56	2	9
2014-03-31 07:42:11.127349	117670	19.8	1	9
2014-03-31 07:42:11.972664	117671	57	2	8
2014-03-31 07:42:12.204736	117672	20.0	1	8
2014-03-31 07:42:23.01133	117673	53	2	1
2014-03-31 07:42:23.233832	117674	19.8	1	1
2014-03-31 07:42:41.832889	117675	44	2	10
2014-03-31 07:42:42.066736	117676	19.3	1	10
2014-03-31 07:42:49.909334	117677	56	2	9
2014-03-31 07:42:50.131329	117678	19.8	1	9
2014-03-31 07:42:50.975014	117679	57	2	8
2014-03-31 07:42:51.204815	117680	20.0	1	8
2014-03-31 07:43:02.012507	117681	53	2	1
2014-03-31 07:43:02.235017	117682	19.8	1	1
2014-03-31 07:43:20.621703	117683	44	2	10
2014-03-31 07:43:20.854094	117684	19.3	1	10
2014-03-31 07:43:28.908233	117685	56	2	9
2014-03-31 07:43:29.130555	117686	19.8	1	9
2014-03-31 07:43:29.973257	117687	57	2	8
2014-03-31 07:43:30.204638	117688	20.0	1	8
2014-03-31 07:43:41.012382	117689	53	2	1
2014-03-31 07:43:41.234431	117690	19.8	1	1
2014-03-31 07:43:59.622252	117691	44	2	10
2014-03-31 07:43:59.86523	117692	19.3	1	10
2014-03-31 07:44:08.97393	117693	57	2	8
2014-03-31 07:44:09.196256	117694	20.0	1	8
2014-03-31 07:44:20.252499	117695	53	2	1
2014-03-31 07:44:20.485275	117696	19.8	1	1
2014-03-31 07:44:31.974941	117697	837	3	2
2014-03-31 07:44:32.196949	117698	1146048.630547334	4	2
2014-03-31 07:44:38.623823	117699	44	2	10
2014-03-31 07:44:38.855561	117700	19.3	1	10
2014-03-31 07:44:47.974194	117701	57	2	8
2014-03-31 07:44:48.196355	117702	20.0	1	8
2014-03-31 07:44:59.009021	117703	53	2	1
2014-03-31 07:44:59.241365	117704	19.8	1	1
2014-03-31 07:45:07.971258	117705	853	3	2
2014-03-31 07:45:08.19332	117706	1146056.6737903839	4	2
2014-03-31 07:45:17.623175	117707	44	2	10
2014-03-31 07:45:17.857296	117708	19.3	1	10
2014-03-31 07:45:26.975772	117709	57	2	8
2014-03-31 07:45:27.1999	117710	20.0	1	8
2014-03-31 07:45:38.011296	117711	53	2	1
2014-03-31 07:45:38.243656	117712	19.9	1	1
2014-03-31 07:45:56.624773	117713	44	2	10
2014-03-31 07:45:56.851124	117714	19.3	1	10
2014-03-31 07:46:05.975461	117715	57	2	8
2014-03-31 07:46:06.207423	117716	20.0	1	8
2014-03-31 07:46:07.971117	117717	885	3	2
2014-03-31 07:46:08.191368	117718	1146069.3131723194	4	2
2014-03-31 07:46:17.010463	117719	53	2	1
2014-03-31 07:46:17.242616	117720	19.9	1	1
2014-03-31 07:46:19.97148	117721	869	3	2
2014-03-31 07:46:20.195518	117722	1146071.6112417623	4	2
2014-03-31 07:46:31.975469	117723	885	3	2
2014-03-31 07:46:32.208483	117724	1146073.9093112051	4	2
2014-03-31 07:46:35.62278	117725	44	2	10
2014-03-31 07:46:35.846441	117726	19.3	1	10
2014-03-31 07:46:44.975919	117727	57	2	8
2014-03-31 07:46:45.207132	117728	20.0	1	8
2014-03-31 07:46:56.249208	117729	53	2	1
2014-03-31 07:46:56.470574	117730	19.9	1	1
2014-03-31 07:47:14.622478	117731	44	2	10
2014-03-31 07:47:14.855418	117732	19.3	1	10
2014-03-31 07:47:23.973536	117733	57	2	8
2014-03-31 07:47:24.196217	117734	20.0	1	8
2014-03-31 07:47:35.00949	117735	53	2	1
2014-03-31 07:47:35.244491	117736	19.9	1	1
2014-03-31 07:47:53.623115	117737	44	2	10
2014-03-31 07:47:53.847745	117738	19.3	1	10
2014-03-31 07:48:02.974088	117739	57	2	8
2014-03-31 07:48:03.221006	117740	20.0	1	8
2014-03-31 07:48:14.01445	117741	53	2	1
2014-03-31 07:48:14.234942	117742	19.9	1	1
2014-03-31 07:48:31.974613	117743	820	3	2
2014-03-31 07:48:32.393294	117744	1146099.1880750763	4	2
2014-03-31 07:48:32.696338	117745	44	2	10
2014-03-31 07:48:32.916663	117746	19.3	1	10
2014-03-31 07:48:41.973571	117747	57	2	8
2014-03-31 07:48:42.195549	117748	20.0	1	8
2014-03-31 07:48:53.00885	117749	53	2	1
2014-03-31 07:48:53.238325	117750	19.9	1	1
2014-03-31 07:49:11.622958	117751	44	2	10
2014-03-31 07:49:11.844433	117752	19.4	1	10
2014-03-31 07:49:20.973978	117753	57	2	8
2014-03-31 07:49:21.203599	117754	20.0	1	8
2014-03-31 07:49:43.830704	117755	53	2	1
2014-03-31 07:49:44.050039	117756	19.9	1	1
2014-03-31 07:49:50.624974	117757	44	2	10
2014-03-31 07:49:50.856952	117758	19.4	1	10
2014-03-31 07:49:58.908245	117759	56	2	9
2014-03-31 07:49:59.128442	117760	19.8	1	9
2014-03-31 07:49:59.975175	117761	57	2	8
2014-03-31 07:50:00.204581	117762	20.0	1	8
2014-03-31 07:50:11.005404	117763	53	2	1
2014-03-31 07:50:11.225752	117764	19.9	1	1
2014-03-31 07:50:29.623847	117765	44	2	10
2014-03-31 07:50:29.857342	117766	19.4	1	10
2014-03-31 07:50:37.908789	117767	56	2	9
2014-03-31 07:50:38.128748	117768	19.8	1	9
2014-03-31 07:50:38.971517	117769	57	2	8
2014-03-31 07:50:39.203484	117770	20.0	1	8
2014-03-31 07:50:50.005351	117771	53	2	1
2014-03-31 07:50:50.226617	117772	19.9	1	1
2014-03-31 07:51:08.623066	117773	44	2	10
2014-03-31 07:51:08.856752	117774	19.4	1	10
2014-03-31 07:51:16.903655	117775	56	2	9
2014-03-31 07:51:17.123883	117776	19.8	1	9
2014-03-31 07:51:17.973808	117777	57	2	8
2014-03-31 07:51:18.203792	117778	20.0	1	8
2014-03-31 07:51:29.042428	117779	53	2	1
2014-03-31 07:51:29.263468	117780	19.9	1	1
2014-03-31 07:51:47.753614	117781	44	2	10
2014-03-31 07:51:48.199858	117782	19.4	1	10
2014-03-31 07:51:56.025242	117783	56	2	9
2014-03-31 07:51:56.450059	117784	19.8	1	9
2014-03-31 07:51:57.110065	117785	57	2	8
2014-03-31 07:51:57.55052	117786	20.0	1	8
2014-03-31 07:52:08.133133	117787	53	2	1
2014-03-31 07:52:08.549953	117788	19.9	1	1
2014-03-31 07:52:26.624298	117789	44	2	10
2014-03-31 07:52:26.869369	117790	19.4	1	10
2014-03-31 07:52:34.90243	117791	56	2	9
2014-03-31 07:52:35.124042	117792	19.8	1	9
2014-03-31 07:52:35.973373	117793	57	2	8
2014-03-31 07:52:36.205952	117794	20.0	1	8
2014-03-31 07:52:47.002527	117795	53	2	1
2014-03-31 07:52:47.227983	117796	19.9	1	1
2014-03-31 07:53:05.624047	117797	44	2	10
2014-03-31 07:53:05.855224	117798	19.4	1	10
2014-03-31 07:53:13.908296	117799	56	2	9
2014-03-31 07:53:14.130215	117800	19.9	1	9
2014-03-31 07:53:14.975257	117801	57	2	8
2014-03-31 07:53:15.208152	117802	20.0	1	8
2014-03-31 07:53:26.007031	117803	53	2	1
2014-03-31 07:53:26.284852	117804	19.9	1	1
2014-03-31 07:53:44.624544	117805	44	2	10
2014-03-31 07:53:44.857203	117806	19.4	1	10
2014-03-31 07:53:52.91152	117807	56	2	9
2014-03-31 07:53:53.13203	117808	19.9	1	9
2014-03-31 07:53:53.972514	117809	56	2	8
2014-03-31 07:53:54.205083	117810	20.0	1	8
2014-03-31 07:54:05.002776	117811	53	2	1
2014-03-31 07:54:05.223989	117812	19.9	1	1
2014-03-31 07:54:23.624488	117813	44	2	10
2014-03-31 07:54:23.85659	117814	19.4	1	10
2014-03-31 07:54:32.973459	117815	56	2	8
2014-03-31 07:54:33.194234	117816	20.0	1	8
2014-03-31 07:54:44.24559	117817	53	2	1
2014-03-31 07:54:44.478187	117818	19.9	1	1
2014-03-31 07:55:02.626745	117819	44	2	10
2014-03-31 07:55:02.847961	117820	19.5	1	10
2014-03-31 07:55:10.907152	117821	56	2	9
2014-03-31 07:55:11.137747	117822	19.9	1	9
2014-03-31 07:55:11.97117	117823	56	2	8
2014-03-31 07:55:12.192341	117824	20.0	1	8
2014-03-31 07:55:23.002406	117825	53	2	1
2014-03-31 07:55:23.233458	117826	19.9	1	1
2014-03-31 07:55:41.625548	117827	44	2	10
2014-03-31 07:55:41.849185	117828	19.5	1	10
2014-03-31 07:55:49.907846	117829	56	2	9
2014-03-31 07:55:50.139778	117830	19.9	1	9
2014-03-31 07:55:50.972973	117831	57	2	8
2014-03-31 07:55:51.194346	117832	20.0	1	8
2014-03-31 07:56:02.003446	117833	53	2	1
2014-03-31 07:56:02.234241	117834	19.9	1	1
2014-03-31 07:56:20.625482	117835	44	2	10
2014-03-31 07:56:20.850541	117836	19.5	1	10
2014-03-31 07:56:28.912036	117837	56	2	9
2014-03-31 07:56:29.15429	117838	19.9	1	9
2014-03-31 07:56:29.974398	117839	57	2	8
2014-03-31 07:56:30.195442	117840	20.0	1	8
2014-03-31 07:56:41.005181	117841	53	2	1
2014-03-31 07:56:41.236923	117842	19.9	1	1
2014-03-31 07:56:59.626084	117843	44	2	10
2014-03-31 07:56:59.84696	117844	19.5	1	10
2014-03-31 07:57:08.975091	117845	57	2	8
2014-03-31 07:57:09.207117	117846	20.0	1	8
2014-03-31 07:57:20.243152	117847	53	2	1
2014-03-31 07:57:20.464599	117848	19.9	1	1
2014-03-31 07:57:38.62563	117849	44	2	10
2014-03-31 07:57:38.859023	117850	19.5	1	10
2014-03-31 07:57:46.903333	117851	56	2	9
2014-03-31 07:57:47.128978	117852	19.9	1	9
2014-03-31 07:57:47.973273	117853	57	2	8
2014-03-31 07:57:48.205647	117854	20.0	1	8
2014-03-31 07:57:59.003059	117855	53	2	1
2014-03-31 07:57:59.226077	117856	19.9	1	1
2014-03-31 07:58:17.62484	117857	44	2	10
2014-03-31 07:58:17.856643	117858	19.5	1	10
2014-03-31 07:58:25.90015	117859	56	2	9
2014-03-31 07:58:26.122095	117860	19.9	1	9
2014-03-31 07:58:26.973761	117861	57	2	8
2014-03-31 07:58:27.205656	117862	19.9	1	8
2014-03-31 07:58:38.000403	117863	53	2	1
2014-03-31 07:58:38.244463	117864	19.9	1	1
2014-03-31 07:58:56.624803	117865	44	2	10
2014-03-31 07:58:56.856728	117866	19.5	1	10
2014-03-31 07:59:04.904379	117867	56	2	9
2014-03-31 07:59:05.126085	117868	19.9	1	9
2014-03-31 07:59:05.975996	117869	57	2	8
2014-03-31 07:59:06.209859	117870	19.9	1	8
2014-03-31 07:59:17.000643	117871	53	2	1
2014-03-31 07:59:17.220974	117872	19.9	1	1
2014-03-31 07:59:35.629145	117873	44	2	10
2014-03-31 07:59:35.862961	117874	19.5	1	10
2014-03-31 07:59:44.973943	117875	57	2	8
2014-03-31 07:59:45.194936	117876	19.9	1	8
2014-03-31 07:59:56.238637	117877	53	2	1
2014-03-31 07:59:56.470866	117878	19.9	1	1
2014-03-31 08:00:14.627839	117879	44	2	10
2014-03-31 08:00:14.85207	117880	19.5	1	10
2014-03-31 08:00:22.908279	117881	56	2	9
2014-03-31 08:00:23.139541	117882	19.9	1	9
2014-03-31 08:00:23.975179	117883	57	2	8
2014-03-31 08:00:24.196206	117884	19.9	1	8
2014-03-31 08:00:35.040093	117885	53	2	1
2014-03-31 08:00:35.283487	117886	19.9	1	1
2014-03-31 08:00:53.62953	117887	44	2	10
2014-03-31 08:00:53.85104	117888	19.5	1	10
2014-03-31 08:01:01.908597	117889	56	2	9
2014-03-31 08:01:02.139802	117890	19.9	1	9
2014-03-31 08:01:02.97499	117891	57	2	8
2014-03-31 08:01:03.194515	117892	19.9	1	8
2014-03-31 08:01:14.001944	117893	53	2	1
2014-03-31 08:01:14.235257	117894	19.9	1	1
2014-03-31 08:01:32.62816	117895	44	2	10
2014-03-31 08:01:32.851181	117896	19.5	1	10
2014-03-31 08:01:40.908714	117897	56	2	9
2014-03-31 08:01:41.141106	117898	19.9	1	9
2014-03-31 08:01:41.975429	117899	57	2	8
2014-03-31 08:01:42.195942	117900	19.9	1	8
2014-03-31 08:01:52.999162	117901	53	2	1
2014-03-31 08:01:53.230725	117902	19.9	1	1
2014-03-31 08:02:11.628691	117903	44	2	10
2014-03-31 08:02:11.87239	117904	19.6	1	10
2014-03-31 08:02:20.976341	117905	57	2	8
2014-03-31 08:02:21.206811	117906	19.9	1	8
2014-03-31 08:02:32.238979	117907	53	2	1
2014-03-31 08:02:32.461584	117908	19.9	1	1
2014-03-31 08:02:50.628958	117909	44	2	10
2014-03-31 08:02:50.863273	117910	19.6	1	10
2014-03-31 08:02:58.901443	117911	56	2	9
2014-03-31 08:02:59.124397	117912	19.9	1	9
2014-03-31 08:02:59.975007	117913	57	2	8
2014-03-31 08:03:00.206877	117914	19.9	1	8
2014-03-31 08:03:10.997708	117915	53	2	1
2014-03-31 08:03:11.221585	117916	19.9	1	1
2014-03-31 08:03:29.62825	117917	44	2	10
2014-03-31 08:03:29.860518	117918	19.6	1	10
2014-03-31 08:03:37.909286	117919	56	2	9
2014-03-31 08:03:38.131699	117920	19.9	1	9
2014-03-31 08:03:38.975176	117921	57	2	8
2014-03-31 08:03:39.207928	117922	19.9	1	8
2014-03-31 08:03:50.002332	117923	53	2	1
2014-03-31 08:03:50.224168	117924	19.9	1	1
2014-03-31 08:04:08.629478	117925	44	2	10
2014-03-31 08:04:08.861212	117926	19.6	1	10
2014-03-31 08:04:17.973799	117927	57	2	8
2014-03-31 08:04:18.194741	117928	19.9	1	8
2014-03-31 08:04:28.999505	117929	53	2	1
2014-03-31 08:04:29.230537	117930	19.9	1	1
2014-03-31 08:04:47.629402	117931	44	2	10
2014-03-31 08:04:47.852882	117932	19.6	1	10
2014-03-31 08:04:56.975269	117933	57	2	8
2014-03-31 08:04:57.217442	117934	19.9	1	8
2014-03-31 08:05:08.238806	117935	53	2	1
2014-03-31 08:05:08.480855	117936	19.9	1	1
2014-03-31 08:05:26.627923	117937	44	2	10
2014-03-31 08:05:26.8593	117938	19.6	1	10
2014-03-31 08:05:34.902197	117939	56	2	9
2014-03-31 08:05:35.122649	117940	19.9	1	9
2014-03-31 08:05:35.973386	117941	58	2	8
2014-03-31 08:05:36.204942	117942	19.9	1	8
2014-03-31 08:05:46.997731	117943	53	2	1
2014-03-31 08:05:47.216629	117944	19.9	1	1
2014-03-31 08:06:05.630522	117945	44	2	10
2014-03-31 08:06:05.861096	117946	19.6	1	10
2014-03-31 08:06:13.907521	117947	56	2	9
2014-03-31 08:06:14.184177	117948	19.9	1	9
2014-03-31 08:06:14.975448	117949	58	2	8
2014-03-31 08:06:15.205956	117950	19.9	1	8
2014-03-31 08:06:25.996768	117951	53	2	1
2014-03-31 08:06:26.218706	117952	19.9	1	1
2014-03-31 08:06:44.62997	117953	44	2	10
2014-03-31 08:06:44.863246	117954	19.6	1	10
2014-03-31 08:06:52.907791	117955	56	2	9
2014-03-31 08:06:53.128619	117956	19.9	1	9
2014-03-31 08:06:53.974892	117957	58	2	8
2014-03-31 08:06:54.205714	117958	19.9	1	8
2014-03-31 08:07:04.996407	117959	53	2	1
2014-03-31 08:07:05.21778	117960	19.8	1	1
2014-03-31 08:07:23.6299	117961	44	2	10
2014-03-31 08:07:23.862753	117962	19.6	1	10
2014-03-31 08:07:32.975232	117963	57	2	8
2014-03-31 08:07:33.19667	117964	19.9	1	8
2014-03-31 08:07:44.239286	117965	53	2	1
2014-03-31 08:07:44.472381	117966	19.8	1	1
2014-03-31 08:08:02.629603	117967	44	2	10
2014-03-31 08:08:02.851395	117968	19.6	1	10
2014-03-31 08:08:10.902935	117969	56	2	9
2014-03-31 08:08:11.135258	117970	19.9	1	9
2014-03-31 08:08:11.976528	117971	58	2	8
2014-03-31 08:08:12.197094	117972	19.9	1	8
2014-03-31 08:08:23.239955	117973	53	2	1
2014-03-31 08:08:23.471164	117974	19.8	1	1
2014-03-31 08:08:41.629604	117975	44	2	10
2014-03-31 08:08:41.852534	117976	19.6	1	10
2014-03-31 08:08:49.904027	117977	56	2	9
2014-03-31 08:08:50.138718	117978	19.9	1	9
2014-03-31 08:08:50.97458	117979	58	2	8
2014-03-31 08:08:51.197395	117980	19.9	1	8
2014-03-31 08:09:01.994645	117981	53	2	1
2014-03-31 08:09:02.239721	117982	19.8	1	1
2014-03-31 08:09:07.978102	117983	917	3	2
2014-03-31 08:09:08.203659	117984	1146378.4079833324	4	2
2014-03-31 08:09:20.630396	117985	44	2	10
2014-03-31 08:09:20.862404	117986	19.6	1	10
2014-03-31 08:09:28.903772	117987	56	2	9
2014-03-31 08:09:29.124012	117988	19.9	1	9
2014-03-31 08:09:29.975025	117989	57	2	8
2014-03-31 08:09:30.204905	117990	19.9	1	8
2014-03-31 08:09:40.997367	117991	53	2	1
2014-03-31 08:09:41.217471	117992	19.8	1	1
2014-03-31 08:09:59.630668	117993	44	2	10
2014-03-31 08:09:59.861523	117994	19.6	1	10
2014-03-31 08:10:08.107995	117995	56	2	9
2014-03-31 08:10:08.331631	117996	19.9	1	9
2014-03-31 08:10:09.177333	117997	57	2	8
2014-03-31 08:10:09.409819	117998	19.9	1	8
2014-03-31 08:10:20.03652	117999	53	2	1
2014-03-31 08:10:20.258546	118000	19.8	1	1
2014-03-31 08:10:38.622092	118001	44	2	10
2014-03-31 08:10:38.854463	118002	19.7	1	10
2014-03-31 08:10:46.913694	118003	56	2	9
2014-03-31 08:10:47.134931	118004	19.9	1	9
2014-03-31 08:10:47.975044	118005	57	2	8
2014-03-31 08:10:48.205572	118006	19.9	1	8
2014-03-31 08:10:58.995036	118007	53	2	1
2014-03-31 08:10:59.218256	118008	19.8	1	1
2014-03-31 08:11:17.629264	118009	44	2	10
2014-03-31 08:11:17.860583	118010	19.7	1	10
2014-03-31 08:11:25.906089	118011	56	2	9
2014-03-31 08:11:26.129542	118012	19.9	1	9
2014-03-31 08:11:26.974851	118013	57	2	8
2014-03-31 08:11:27.20473	118014	19.9	1	8
2014-03-31 08:11:37.995002	118015	53	2	1
2014-03-31 08:11:38.215839	118016	19.8	1	1
2014-03-31 08:11:56.625913	118017	44	2	10
2014-03-31 08:11:56.859277	118018	19.7	1	10
2014-03-31 08:12:04.903895	118019	56	2	9
2014-03-31 08:12:05.126487	118020	19.9	1	9
2014-03-31 08:12:05.974148	118021	57	2	8
2014-03-31 08:12:06.204936	118022	19.8	1	8
2014-03-31 08:12:16.994719	118023	53	2	1
2014-03-31 08:12:17.216485	118024	19.8	1	1
2014-03-31 08:12:44.975659	118025	57	2	8
2014-03-31 08:12:45.210445	118026	19.8	1	8
2014-03-31 08:12:56.232919	118027	53	2	1
2014-03-31 08:12:56.455292	118028	19.8	1	1
2014-03-31 08:13:14.622492	118029	44	2	10
2014-03-31 08:13:14.867162	118030	19.7	1	10
2014-03-31 08:13:22.899944	118031	56	2	9
2014-03-31 08:13:23.122015	118032	19.9	1	9
2014-03-31 08:13:23.976451	118033	57	2	8
2014-03-31 08:13:24.208002	118034	19.8	1	8
2014-03-31 08:13:34.99655	118035	53	2	1
2014-03-31 08:13:35.216341	118036	19.8	1	1
2014-03-31 08:13:53.627213	118037	44	2	10
2014-03-31 08:13:53.85921	118038	19.7	1	10
2014-03-31 08:14:01.901331	118039	56	2	9
2014-03-31 08:14:02.123961	118040	19.9	1	9
2014-03-31 08:14:02.974726	118041	57	2	8
2014-03-31 08:14:03.209389	118042	19.8	1	8
2014-03-31 08:14:13.995214	118043	53	2	1
2014-03-31 08:14:14.218323	118044	19.7	1	1
2014-03-31 08:14:32.626091	118045	45	2	10
2014-03-31 08:14:32.858114	118046	19.7	1	10
2014-03-31 08:14:40.902035	118047	56	2	9
2014-03-31 08:14:41.123932	118048	19.9	1	9
2014-03-31 08:14:41.974115	118049	57	2	8
2014-03-31 08:14:42.20647	118050	19.8	1	8
2014-03-31 08:14:52.992916	118051	53	2	1
2014-03-31 08:14:53.217119	118052	19.7	1	1
2014-03-31 08:15:11.632614	118053	45	2	10
2014-03-31 08:15:11.864529	118054	19.7	1	10
2014-03-31 08:15:19.901956	118055	56	2	9
2014-03-31 08:15:20.123514	118056	19.9	1	9
2014-03-31 08:15:20.974518	118057	57	2	8
2014-03-31 08:15:21.205133	118058	19.8	1	8
2014-03-31 08:15:32.231061	118059	53	2	1
2014-03-31 08:15:32.456943	118060	19.7	1	1
2014-03-31 08:15:50.631975	118061	45	2	10
2014-03-31 08:15:50.863104	118062	19.7	1	10
2014-03-31 08:15:58.904099	118063	55	2	9
2014-03-31 08:15:59.126585	118064	19.9	1	9
2014-03-31 08:15:59.974866	118065	57	2	8
2014-03-31 08:16:00.206726	118066	19.8	1	8
2014-03-31 08:16:10.99189	118067	53	2	1
2014-03-31 08:16:11.21444	118068	19.7	1	1
2014-03-31 08:16:29.634549	118069	45	2	10
2014-03-31 08:16:29.866539	118070	19.7	1	10
2014-03-31 08:16:37.902148	118071	55	2	9
2014-03-31 08:16:38.124109	118072	19.9	1	9
2014-03-31 08:16:38.975374	118073	57	2	8
2014-03-31 08:16:39.206963	118074	19.8	1	8
2014-03-31 08:16:49.990579	118075	53	2	1
2014-03-31 08:16:50.212068	118076	19.7	1	1
2014-03-31 08:17:08.634935	118077	45	2	10
2014-03-31 08:17:08.878604	118078	19.7	1	10
2014-03-31 08:17:16.911526	118079	55	2	9
2014-03-31 08:17:17.132307	118080	19.9	1	9
2014-03-31 08:17:17.974118	118081	57	2	8
2014-03-31 08:17:18.203942	118082	19.8	1	8
2014-03-31 08:17:28.987902	118083	53	2	1
2014-03-31 08:17:29.20983	118084	19.7	1	1
2014-03-31 08:17:31.974908	118085	450	3	2
2014-03-31 08:17:32.20941	118086	1146473.7778652098	4	2
2014-03-31 08:17:47.629871	118087	45	2	10
2014-03-31 08:17:47.855199	118088	19.7	1	10
2014-03-31 08:17:56.973838	118089	57	2	8
2014-03-31 08:17:57.206506	118090	19.8	1	8
2014-03-31 08:18:07.989726	118091	53	2	1
2014-03-31 08:18:08.210598	118092	19.7	1	1
2014-03-31 08:18:19.975396	118093	482	3	2
2014-03-31 08:18:20.207943	118094	1146479.5230388169	4	2
2014-03-31 08:18:26.634059	118095	45	2	10
2014-03-31 08:18:26.856819	118096	19.7	1	10
2014-03-31 08:18:34.907182	118097	55	2	9
2014-03-31 08:18:35.138702	118098	19.9	1	9
2014-03-31 08:18:35.976461	118099	57	2	8
2014-03-31 08:18:36.197359	118100	19.8	1	8
2014-03-31 08:18:43.967489	118101	515	3	2
2014-03-31 08:18:44.198858	118102	1146482.970142981	4	2
2014-03-31 08:18:46.993218	118103	53	2	1
2014-03-31 08:18:47.214552	118104	19.7	1	1
2014-03-31 08:19:05.634544	118105	45	2	10
2014-03-31 08:19:05.867075	118106	19.7	1	10
2014-03-31 08:19:13.908855	118107	55	2	9
2014-03-31 08:19:14.13265	118108	19.9	1	9
2014-03-31 08:19:14.974018	118109	57	2	8
2014-03-31 08:19:15.208263	118110	19.8	1	8
2014-03-31 08:19:25.989621	118111	53	2	1
2014-03-31 08:19:26.212896	118112	19.7	1	1
2014-03-31 08:19:31.972973	118113	531	3	2
2014-03-31 08:19:32.206856	118114	1146489.8643513096	4	2
2014-03-31 08:19:44.634498	118115	45	2	10
2014-03-31 08:19:44.858305	118116	19.7	1	10
2014-03-31 08:19:52.907319	118117	55	2	9
2014-03-31 08:19:53.140383	118118	19.9	1	9
2014-03-31 08:19:53.975109	118119	57	2	8
2014-03-31 08:19:54.198679	118120	19.8	1	8
2014-03-31 08:20:04.991125	118121	53	2	1
2014-03-31 08:20:05.224925	118122	19.7	1	1
2014-03-31 08:20:23.635079	118123	45	2	10
2014-03-31 08:20:23.909511	118124	19.7	1	10
2014-03-31 08:20:32.974158	118125	57	2	8
2014-03-31 08:20:33.251632	118126	19.8	1	8
2014-03-31 08:20:44.230109	118127	53	2	1
2014-03-31 08:20:44.472581	118128	19.7	1	1
2014-03-31 08:21:02.634065	118129	45	2	10
2014-03-31 08:21:02.918101	118130	19.7	1	10
2014-03-31 08:21:10.908725	118131	55	2	9
2014-03-31 08:21:11.65132	118132	19.9	1	9
2014-03-31 08:21:12.003503	118133	57	2	8
2014-03-31 08:21:12.264456	118134	19.8	1	8
2014-03-31 08:21:22.988462	118135	53	2	1
2014-03-31 08:21:23.310054	118136	19.7	1	1
2014-03-31 08:21:31.96892	118137	498	3	2
2014-03-31 08:21:32.203025	118138	1146507.0998721307	4	2
2014-03-31 08:21:41.634609	118139	45	2	10
2014-03-31 08:21:41.856133	118140	19.7	1	10
2014-03-31 08:21:49.905959	118141	55	2	9
2014-03-31 08:21:50.137272	118142	19.9	1	9
2014-03-31 08:21:50.974616	118143	57	2	8
2014-03-31 08:21:51.198131	118144	19.8	1	8
2014-03-31 08:22:01.990335	118145	53	2	1
2014-03-31 08:22:02.221517	118146	19.7	1	1
2014-03-31 08:22:20.636235	118147	45	2	10
2014-03-31 08:22:20.857903	118148	19.6	1	10
2014-03-31 08:22:28.90818	118149	55	2	9
2014-03-31 08:22:29.140465	118150	19.9	1	9
2014-03-31 08:22:29.974984	118151	57	2	8
2014-03-31 08:22:30.195859	118152	19.8	1	8
2014-03-31 08:22:31.970609	118153	498	3	2
2014-03-31 08:22:32.203017	118154	1146516.292149902	4	2
2014-03-31 08:22:40.989079	118155	53	2	1
2014-03-31 08:22:41.212169	118156	19.7	1	1
2014-03-31 08:22:59.637143	118157	45	2	10
2014-03-31 08:22:59.870214	118158	19.6	1	10
2014-03-31 08:23:07.909766	118159	55	2	9
2014-03-31 08:23:08.13316	118160	19.9	1	9
2014-03-31 08:23:08.975846	118161	57	2	8
2014-03-31 08:23:09.207042	118162	19.8	1	8
2014-03-31 08:23:19.992549	118163	53	2	1
2014-03-31 08:23:20.215119	118164	19.7	1	1
2014-03-31 08:23:38.636115	118165	45	2	10
2014-03-31 08:23:38.870713	118166	19.6	1	10
2014-03-31 08:23:46.910277	118167	55	2	9
2014-03-31 08:23:47.132061	118168	19.9	1	9
2014-03-31 08:23:47.974112	118169	57	2	8
2014-03-31 08:23:48.206169	118170	19.8	1	8
2014-03-31 08:23:58.98897	118171	53	2	1
2014-03-31 08:23:59.385218	118172	19.7	1	1
2014-03-31 08:24:17.6359	118173	45	2	10
2014-03-31 08:24:17.877007	118174	19.6	1	10
2014-03-31 08:24:25.908017	118175	55	2	9
2014-03-31 08:24:26.132197	118176	19.9	1	9
2014-03-31 08:24:26.974809	118177	57	2	8
2014-03-31 08:24:27.211706	118178	19.8	1	8
2014-03-31 08:24:37.990038	118179	53	2	1
2014-03-31 08:24:38.213822	118180	19.7	1	1
2014-03-31 08:24:56.635565	118181	45	2	10
2014-03-31 08:24:56.86804	118182	19.6	1	10
2014-03-31 08:25:04.90988	118183	55	2	9
2014-03-31 08:25:05.133805	118184	19.9	1	9
2014-03-31 08:25:05.975476	118185	56	2	8
2014-03-31 08:25:06.206663	118186	19.8	1	8
2014-03-31 08:25:16.984985	118187	53	2	1
2014-03-31 08:25:17.206217	118188	19.7	1	1
2014-03-31 08:25:31.973445	118189	466	3	2
2014-03-31 08:25:32.206614	118190	1146541.5709137733	4	2
2014-03-31 08:25:35.63567	118191	45	2	10
2014-03-31 08:25:35.856896	118192	19.6	1	10
2014-03-31 08:25:44.032709	118193	55	2	9
2014-03-31 08:25:44.472235	118194	19.9	1	9
2014-03-31 08:25:45.100967	118195	56	2	8
2014-03-31 08:25:45.522235	118196	19.8	1	8
2014-03-31 08:25:55.98643	118197	53	2	1
2014-03-31 08:25:56.218432	118198	19.6	1	1
2014-03-31 08:26:14.636353	118199	45	2	10
2014-03-31 08:26:14.858723	118200	19.6	1	10
2014-03-31 08:26:22.908147	118201	55	2	9
2014-03-31 08:26:23.139208	118202	19.9	1	9
2014-03-31 08:26:23.975799	118203	56	2	8
2014-03-31 08:26:24.196448	118204	19.8	1	8
2014-03-31 08:26:31.966479	118205	466	3	2
2014-03-31 08:26:32.198069	118206	1146548.469593054	4	2
2014-03-31 08:26:34.985303	118207	53	2	1
2014-03-31 08:26:35.205809	118208	19.6	1	1
2014-03-31 08:26:53.638795	118209	45	2	10
2014-03-31 08:26:53.870461	118210	19.6	1	10
2014-03-31 08:27:01.907084	118211	55	2	9
2014-03-31 08:27:02.128765	118212	19.9	1	9
2014-03-31 08:27:02.97386	118213	56	2	8
2014-03-31 08:27:03.20823	118214	19.8	1	8
2014-03-31 08:27:13.987069	118215	53	2	1
2014-03-31 08:27:14.210297	118216	19.6	1	1
2014-03-31 08:27:31.971888	118217	466	3	2
2014-03-31 08:27:32.204278	118218	1146556.5128361038	4	2
2014-03-31 08:27:32.640488	118219	45	2	10
2014-03-31 08:27:32.86387	118220	19.5	1	10
2014-03-31 08:27:40.909451	118221	55	2	9
2014-03-31 08:27:41.154037	118222	19.8	1	9
2014-03-31 08:27:41.974653	118223	56	2	8
2014-03-31 08:27:42.195303	118224	19.8	1	8
2014-03-31 08:27:52.985663	118225	53	2	1
2014-03-31 08:27:53.217265	118226	19.6	1	1
2014-03-31 08:28:11.637023	118227	45	2	10
2014-03-31 08:28:11.860026	118228	19.5	1	10
2014-03-31 08:28:19.911768	118229	55	2	9
2014-03-31 08:28:20.143867	118230	19.8	1	9
2014-03-31 08:28:20.975289	118231	56	2	8
2014-03-31 08:28:21.196908	118232	19.8	1	8
2014-03-31 08:28:32.224929	118233	54	2	1
2014-03-31 08:28:32.457049	118234	19.6	1	1
2014-03-31 08:28:50.635548	118235	45	2	10
2014-03-31 08:28:50.860119	118236	19.5	1	10
2014-03-31 08:28:58.910857	118237	55	2	9
2014-03-31 08:28:59.142711	118238	19.8	1	9
2014-03-31 08:28:59.974673	118239	56	2	8
2014-03-31 08:29:00.195989	118240	19.7	1	8
2014-03-31 08:29:10.988098	118241	54	2	1
2014-03-31 08:29:11.221516	118242	19.6	1	1
2014-03-31 08:29:29.635593	118243	45	2	10
2014-03-31 08:29:29.856459	118244	19.5	1	10
2014-03-31 08:29:31.971062	118245	466	3	2
2014-03-31 08:29:32.203198	118246	1146571.4502874822	4	2
2014-03-31 08:29:37.908531	118247	55	2	9
2014-03-31 08:29:38.136841	118248	19.8	1	9
2014-03-31 08:29:38.977042	118249	56	2	8
2014-03-31 08:29:39.206963	118250	19.7	1	8
2014-03-31 08:29:49.987387	118251	54	2	1
2014-03-31 08:29:50.209434	118252	19.6	1	1
2014-03-31 08:30:08.636036	118253	45	2	10
2014-03-31 08:30:08.868268	118254	19.5	1	10
2014-03-31 08:30:16.910313	118255	55	2	9
2014-03-31 08:30:17.13412	118256	19.8	1	9
2014-03-31 08:30:17.974502	118257	56	2	8
2014-03-31 08:30:18.205872	118258	19.7	1	8
2014-03-31 08:30:28.984096	118259	54	2	1
2014-03-31 08:30:29.2085	118260	19.6	1	1
2014-03-31 08:30:31.970538	118261	466	3	2
2014-03-31 08:30:32.204831	118262	1146579.493530532	4	2
2014-03-31 08:30:47.638509	118263	45	2	10
2014-03-31 08:30:47.860164	118264	19.5	1	10
2014-03-31 08:30:55.911713	118265	55	2	9
2014-03-31 08:30:56.143787	118266	19.8	1	9
2014-03-31 08:30:56.974384	118267	56	2	8
2014-03-31 08:30:57.196871	118268	19.7	1	8
2014-03-31 08:31:07.983442	118269	54	2	1
2014-03-31 08:31:08.228006	118270	19.6	1	1
2014-03-31 08:31:26.693569	118271	45	2	10
2014-03-31 08:31:26.917248	118272	19.5	1	10
2014-03-31 08:31:31.972884	118273	515	3	2
2014-03-31 08:31:32.204113	118274	1146587.536773582	4	2
2014-03-31 08:31:35.774021	118275	55	2	9
2014-03-31 08:31:35.996108	118276	19.8	1	9
2014-03-31 08:31:36.299376	118277	56	2	8
2014-03-31 08:31:36.532665	118278	19.7	1	8
2014-03-31 08:31:43.967062	118279	498	3	2
2014-03-31 08:31:44.188252	118280	1146588.6858083035	4	2
2014-03-31 08:31:46.98039	118281	54	2	1
2014-03-31 08:31:47.212913	118282	19.6	1	1
2014-03-31 08:32:05.638494	118283	45	2	10
2014-03-31 08:32:05.861333	118284	19.5	1	10
2014-03-31 08:32:13.910593	118285	55	2	9
2014-03-31 08:32:14.141969	118286	19.8	1	9
2014-03-31 08:32:14.974703	118287	56	2	8
2014-03-31 08:32:15.195901	118288	19.7	1	8
2014-03-31 08:32:25.983932	118289	54	2	1
2014-03-31 08:32:26.215952	118290	19.6	1	1
2014-03-31 08:32:31.972108	118291	547	3	2
2014-03-31 08:32:32.193818	118292	1146596.7290513534	4	2
2014-03-31 08:32:43.96713	118293	547	3	2
2014-03-31 08:32:44.19934	118294	1146597.8780860747	4	2
2014-03-31 08:32:44.639593	118295	45	2	10
2014-03-31 08:32:44.862457	118296	19.5	1	10
2014-03-31 08:32:52.912407	118297	55	2	9
2014-03-31 08:32:53.144705	118298	19.8	1	9
2014-03-31 08:32:53.97451	118299	56	2	8
2014-03-31 08:32:54.195609	118300	19.7	1	8
2014-03-31 08:33:04.983074	118301	54	2	1
2014-03-31 08:33:05.21417	118302	19.6	1	1
2014-03-31 08:33:19.968947	118303	515	3	2
2014-03-31 08:33:20.190906	118304	1146603.623259682	4	2
2014-03-31 08:33:23.63847	118305	45	2	10
2014-03-31 08:33:23.871607	118306	19.5	1	10
2014-03-31 08:33:32.97469	118307	56	2	8
2014-03-31 08:33:33.196614	118308	19.7	1	8
2014-03-31 08:33:43.983034	118309	54	2	1
2014-03-31 08:33:44.213846	118310	19.6	1	1
2014-03-31 08:34:02.637041	118311	45	2	10
2014-03-31 08:34:02.864164	118312	19.5	1	10
2014-03-31 08:34:10.912346	118313	55	2	9
2014-03-31 08:34:11.144675	118314	19.8	1	9
2014-03-31 08:34:11.974649	118315	55	2	8
2014-03-31 08:34:12.195174	118316	19.7	1	8
2014-03-31 08:34:22.98117	118317	54	2	1
2014-03-31 08:34:23.22311	118318	19.6	1	1
2014-03-31 08:34:31.969371	118319	515	3	2
2014-03-31 08:34:32.191368	118320	1146613.9645721747	4	2
2014-03-31 08:34:41.6387	118321	45	2	10
2014-03-31 08:34:41.872787	118322	19.5	1	10
2014-03-31 08:34:49.910915	118323	55	2	9
2014-03-31 08:34:50.133967	118324	19.8	1	9
2014-03-31 08:34:50.976318	118325	56	2	8
2014-03-31 08:34:51.206268	118326	19.7	1	8
2014-03-31 08:35:01.983148	118327	54	2	1
2014-03-31 08:35:02.203526	118328	19.6	1	1
2014-03-31 08:35:20.639369	118329	45	2	10
2014-03-31 08:35:20.876628	118330	19.5	1	10
2014-03-31 08:35:28.907741	118331	55	2	9
2014-03-31 08:35:29.129979	118332	19.8	1	9
2014-03-31 08:35:29.974389	118333	56	2	8
2014-03-31 08:35:30.206581	118334	19.7	1	8
2014-03-31 08:35:31.968503	118335	547	3	2
2014-03-31 08:35:32.192805	118336	1146623.156849946	4	2
2014-03-31 08:35:40.98	118337	54	2	1
2014-03-31 08:35:41.214645	118338	19.6	1	1
2014-03-31 08:35:43.965993	118339	531	3	2
2014-03-31 08:35:44.187881	118340	1146624.3058846674	4	2
2014-03-31 08:35:59.63931	118341	45	2	10
2014-03-31 08:35:59.872613	118342	19.4	1	10
2014-03-31 08:36:07.912238	118343	55	2	9
2014-03-31 08:36:08.134729	118344	19.8	1	9
2014-03-31 08:36:08.975491	118345	56	2	8
2014-03-31 08:36:09.211043	118346	19.7	1	8
2014-03-31 08:36:19.982151	118347	54	2	1
2014-03-31 08:36:20.20556	118348	19.6	1	1
2014-03-31 08:36:31.972172	118349	515	3	2
2014-03-31 08:36:32.203346	118350	1146631.2000929958	4	2
2014-03-31 08:36:38.639796	118351	45	2	10
2014-03-31 08:36:38.861338	118352	19.4	1	10
2014-03-31 08:36:46.909018	118353	55	2	9
2014-03-31 08:36:47.141723	118354	19.8	1	9
2014-03-31 08:36:47.975911	118355	56	2	8
2014-03-31 08:36:48.197886	118356	19.7	1	8
2014-03-31 08:36:58.97858	118357	54	2	1
2014-03-31 08:36:59.210259	118358	19.6	1	1
2014-03-31 08:37:17.638889	118359	45	2	10
2014-03-31 08:37:17.861565	118360	19.4	1	10
2014-03-31 08:37:25.91086	118361	55	2	9
2014-03-31 08:37:26.142974	118362	19.8	1	9
2014-03-31 08:37:26.974956	118363	56	2	8
2014-03-31 08:37:27.197028	118364	19.7	1	8
2014-03-31 08:37:31.970467	118365	515	3	2
2014-03-31 08:37:32.214141	118366	1146640.3923707672	4	2
2014-03-31 08:37:37.977247	118367	54	2	1
2014-03-31 08:37:38.21108	118368	19.6	1	1
2014-03-31 08:37:43.970804	118369	482	3	2
2014-03-31 08:37:44.203239	118370	1146641.5414054885	4	2
2014-03-31 08:37:55.967354	118371	482	3	2
2014-03-31 08:37:56.191297	118372	1146642.69044021	4	2
2014-03-31 08:37:56.641248	118373	45	2	10
2014-03-31 08:37:56.872771	118374	19.4	1	10
2014-03-31 08:38:04.905011	118375	55	2	9
2014-03-31 08:38:05.127244	118376	19.8	1	9
2014-03-31 08:38:05.974773	118377	56	2	8
2014-03-31 08:38:06.204602	118378	19.7	1	8
2014-03-31 08:38:16.982785	118379	54	2	1
2014-03-31 08:38:17.204593	118380	19.6	1	1
2014-03-31 08:38:31.973321	118381	482	3	2
2014-03-31 08:38:32.20425	118382	1146648.435613817	4	2
2014-03-31 08:38:35.64219	118383	45	2	10
2014-03-31 08:38:35.864212	118384	19.4	1	10
2014-03-31 08:38:43.912035	118385	55	2	9
2014-03-31 08:38:44.14486	118386	19.8	1	9
2014-03-31 08:38:44.974556	118387	56	2	8
2014-03-31 08:38:45.196905	118388	19.7	1	8
2014-03-31 08:38:55.979792	118389	54	2	1
2014-03-31 08:38:56.209489	118390	19.6	1	1
2014-03-31 08:39:14.640857	118391	45	2	10
2014-03-31 08:39:14.864826	118392	19.4	1	10
2014-03-31 08:39:22.912066	118393	55	2	9
2014-03-31 08:39:23.145301	118394	19.8	1	9
2014-03-31 08:39:23.973667	118395	55	2	8
2014-03-31 08:39:24.195623	118396	19.7	1	8
2014-03-31 08:39:31.965124	118397	482	3	2
2014-03-31 08:39:32.197064	118398	1146656.478856867	4	2
2014-03-31 08:39:34.979457	118399	54	2	1
2014-03-31 08:39:35.201338	118400	19.6	1	1
2014-03-31 08:39:53.640739	118401	45	2	10
2014-03-31 08:39:53.875117	118402	19.4	1	10
2014-03-31 08:40:01.912322	118403	55	2	9
2014-03-31 08:40:02.133464	118404	19.8	1	9
2014-03-31 08:40:02.975257	118405	55	2	8
2014-03-31 08:40:03.205763	118406	19.7	1	8
2014-03-31 08:40:13.98106	118407	54	2	1
2014-03-31 08:40:14.204141	118408	19.6	1	1
2014-03-31 08:40:32.640927	118409	45	2	10
2014-03-31 08:40:32.872805	118410	19.4	1	10
2014-03-31 08:40:40.912059	118411	55	2	9
2014-03-31 08:40:41.135649	118412	19.8	1	9
2014-03-31 08:40:41.976643	118413	55	2	8
2014-03-31 08:40:42.221717	118414	19.7	1	8
2014-03-31 08:40:52.976995	118415	54	2	1
2014-03-31 08:40:53.198985	118416	19.5	1	1
2014-03-31 08:41:11.642729	118417	45	2	10
2014-03-31 08:41:11.877957	118418	19.4	1	10
2014-03-31 08:41:19.90973	118419	55	2	9
2014-03-31 08:41:20.13349	118420	19.8	1	9
2014-03-31 08:41:20.974664	118421	55	2	8
2014-03-31 08:41:21.207155	118422	19.7	1	8
2014-03-31 08:41:32.218787	118423	54	2	1
2014-03-31 08:41:32.440204	118424	19.5	1	1
2014-03-31 08:41:50.641777	118425	45	2	10
2014-03-31 08:41:50.875459	118426	19.4	1	10
2014-03-31 08:41:58.909454	118427	55	2	9
2014-03-31 08:41:59.130655	118428	19.8	1	9
2014-03-31 08:41:59.973786	118429	55	2	8
2014-03-31 08:42:00.204581	118430	19.7	1	8
2014-03-31 08:42:10.978017	118431	54	2	1
2014-03-31 08:42:11.199996	118432	19.5	1	1
2014-03-31 08:42:29.641764	118433	45	2	10
2014-03-31 08:42:29.874689	118434	19.4	1	10
2014-03-31 08:42:31.974535	118435	466	3	2
2014-03-31 08:42:32.196628	118436	1146680.6085860166	4	2
2014-03-31 08:42:37.925291	118437	55	2	9
2014-03-31 08:42:38.164027	118438	19.8	1	9
2014-03-31 08:42:38.974089	118439	55	2	8
2014-03-31 08:42:39.194492	118440	19.7	1	8
2014-03-31 08:42:49.978848	118441	54	2	1
2014-03-31 08:42:50.213339	118442	19.5	1	1
2014-03-31 08:43:08.643002	118443	45	2	10
2014-03-31 08:43:08.864724	118444	19.4	1	10
2014-03-31 08:43:16.904495	118445	55	2	9
2014-03-31 08:43:17.136909	118446	19.8	1	9
2014-03-31 08:43:17.974292	118447	55	2	8
2014-03-31 08:43:18.195955	118448	19.7	1	8
2014-03-31 08:43:28.976896	118449	54	2	1
2014-03-31 08:43:29.207138	118450	19.5	1	1
2014-03-31 08:43:31.972427	118451	482	3	2
2014-03-31 08:43:32.195867	118452	1146688.6518290667	4	2
2014-03-31 08:43:43.965615	118453	515	3	2
2014-03-31 08:43:44.199643	118454	1146689.800863788	4	2
2014-03-31 08:43:47.643336	118455	45	2	10
2014-03-31 08:43:47.865237	118456	19.4	1	10
2014-03-31 08:43:56.973756	118457	55	2	8
2014-03-31 08:43:57.205595	118458	19.7	1	8
2014-03-31 08:44:07.978092	118459	54	2	1
2014-03-31 08:44:08.199039	118460	19.5	1	1
2014-03-31 08:44:26.642153	118461	45	2	10
2014-03-31 08:44:26.943939	118462	19.4	1	10
2014-03-31 08:44:31.970751	118463	515	3	2
2014-03-31 08:44:32.191436	118464	1146696.6950721166	4	2
2014-03-31 08:44:34.899821	118465	55	2	9
2014-03-31 08:44:35.130926	118466	19.8	1	9
2014-03-31 08:44:35.973554	118467	56	2	8
2014-03-31 08:44:36.194515	118468	19.7	1	8
2014-03-31 08:44:46.977021	118469	54	2	1
2014-03-31 08:44:47.208963	118470	19.5	1	1
2014-03-31 08:45:05.851754	118471	45	2	10
2014-03-31 08:45:06.073278	118472	19.3	1	10
2014-03-31 08:45:13.912409	118473	55	2	9
2014-03-31 08:45:14.143785	118474	19.8	1	9
2014-03-31 08:45:14.975705	118475	55	2	8
2014-03-31 08:45:15.197338	118476	19.7	1	8
2014-03-31 08:45:25.978324	118477	54	2	1
2014-03-31 08:45:26.209684	118478	19.5	1	1
2014-03-31 08:45:31.971888	118479	531	3	2
2014-03-31 08:45:32.195688	118480	1146705.8873498878	4	2
2014-03-31 08:45:44.643171	118481	45	2	10
2014-03-31 08:45:44.875119	118482	19.3	1	10
2014-03-31 08:45:52.90774	118483	55	2	9
2014-03-31 08:45:53.129241	118484	19.8	1	9
2014-03-31 08:45:53.974071	118485	55	2	8
2014-03-31 08:45:54.227179	118486	19.7	1	8
2014-03-31 08:46:04.976603	118487	54	2	1
2014-03-31 08:46:05.201394	118488	19.5	1	1
2014-03-31 08:46:23.643509	118489	45	2	10
2014-03-31 08:46:23.875464	118490	19.3	1	10
2014-03-31 08:46:32.974428	118491	55	2	8
2014-03-31 08:46:33.196776	118492	19.7	1	8
2014-03-31 08:46:43.975138	118493	54	2	1
2014-03-31 08:46:44.208542	118494	19.5	1	1
2014-03-31 08:47:02.643187	118495	45	2	10
2014-03-31 08:47:02.864881	118496	19.4	1	10
2014-03-31 08:47:10.908941	118497	55	2	9
2014-03-31 08:47:11.140657	118498	19.7	1	9
2014-03-31 08:47:11.974242	118499	55	2	8
2014-03-31 08:47:12.194575	118500	19.7	1	8
2014-03-31 08:47:23.21419	118501	54	2	1
2014-03-31 08:47:23.446888	118502	19.5	1	1
2014-03-31 08:47:31.963011	118503	515	3	2
2014-03-31 08:47:32.185	118504	1146723.122870709	4	2
2014-03-31 08:47:41.643126	118505	45	2	10
2014-03-31 08:47:41.877992	118506	19.3	1	10
2014-03-31 08:47:49.910235	118507	55	2	9
2014-03-31 08:47:50.131377	118508	19.7	1	9
2014-03-31 08:47:50.973671	118509	55	2	8
2014-03-31 08:47:51.215723	118510	19.6	1	8
2014-03-31 08:48:02.212481	118511	54	2	1
2014-03-31 08:48:02.436046	118512	19.5	1	1
2014-03-31 08:48:20.64374	118513	45	2	10
2014-03-31 08:48:20.878235	118514	19.3	1	10
2014-03-31 08:48:28.911833	118515	55	2	9
2014-03-31 08:48:29.133533	118516	19.7	1	9
2014-03-31 08:48:29.974341	118517	56	2	8
2014-03-31 08:48:30.204667	118518	19.6	1	8
2014-03-31 08:48:31.967592	118519	531	3	2
2014-03-31 08:48:32.190928	118520	1146731.166113759	4	2
2014-03-31 08:48:40.971411	118521	54	2	1
2014-03-31 08:48:41.204011	118522	19.5	1	1
2014-03-31 08:48:59.645403	118523	45	2	10
2014-03-31 08:48:59.86856	118524	19.3	1	10
2014-03-31 08:49:07.90895	118525	55	2	9
2014-03-31 08:49:08.139383	118526	19.7	1	9
2014-03-31 08:49:08.974465	118527	55	2	8
2014-03-31 08:49:09.196235	118528	19.6	1	8
2014-03-31 08:49:19.96997	118529	54	2	1
2014-03-31 08:49:20.200428	118530	19.5	1	1
2014-03-31 08:49:31.970125	118531	515	3	2
2014-03-31 08:49:32.192534	118532	1146740.3583915303	4	2
2014-03-31 08:49:38.642873	118533	45	2	10
2014-03-31 08:49:38.87812	118534	19.3	1	10
2014-03-31 08:49:46.909334	118535	55	2	9
2014-03-31 08:49:47.129632	118536	19.7	1	9
2014-03-31 08:49:47.973511	118537	55	2	8
2014-03-31 08:49:48.205591	118538	19.6	1	8
2014-03-31 08:49:58.971127	118539	54	2	1
2014-03-31 08:49:59.192562	118540	19.5	1	1
2014-03-31 08:50:17.643378	118541	45	2	10
2014-03-31 08:50:17.875401	118542	19.3	1	10
2014-03-31 08:50:25.908621	118543	55	2	9
2014-03-31 08:50:26.12979	118544	19.7	1	9
2014-03-31 08:50:26.982711	118545	55	2	8
2014-03-31 08:50:27.213967	118546	19.6	1	8
2014-03-31 08:50:31.973428	118547	482	3	2
2014-03-31 08:50:32.19804	118548	1146748.4016345802	4	2
2014-03-31 08:50:37.974811	118549	54	2	1
2014-03-31 08:50:38.206855	118550	19.5	1	1
2014-03-31 08:50:43.972005	118551	482	3	2
2014-03-31 08:50:44.192924	118552	1146750.699704023	4	2
2014-03-31 08:50:56.644477	118553	45	2	10
2014-03-31 08:50:56.876477	118554	19.3	1	10
2014-03-31 08:51:04.908176	118555	55	2	9
2014-03-31 08:51:05.131171	118556	19.7	1	9
2014-03-31 08:51:05.974344	118557	55	2	8
2014-03-31 08:51:06.216333	118558	19.6	1	8
2014-03-31 08:51:16.968759	118559	54	2	1
2014-03-31 08:51:17.191075	118560	19.4	1	1
2014-03-31 08:51:35.64415	118561	45	2	10
2014-03-31 08:51:36.063281	118562	19.2	1	10
2014-03-31 08:51:44.972273	118563	55	2	8
2014-03-31 08:51:45.2004	118564	19.6	1	8
2014-03-31 08:51:56.211147	118565	54	2	1
2014-03-31 08:51:56.431246	118566	19.4	1	1
2014-03-31 08:52:07.963438	118567	547	3	2
2014-03-31 08:52:08.194698	118568	1146762.1900512371	4	2
2014-03-31 08:52:14.642652	118569	45	2	10
2014-03-31 08:52:14.86394	118570	19.2	1	10
2014-03-31 08:52:19.966877	118571	547	3	2
2014-03-31 08:52:20.200578	118572	1146764.48812068	4	2
2014-03-31 08:52:22.90773	118573	55	2	9
2014-03-31 08:52:23.130522	118574	19.7	1	9
2014-03-31 08:52:23.972355	118575	55	2	8
2014-03-31 08:52:24.204595	118576	19.6	1	8
2014-03-31 08:52:31.969575	118577	547	3	2
2014-03-31 08:52:32.190026	118578	1146766.7861901228	4	2
2014-03-31 08:52:34.968435	118579	54	2	1
2014-03-31 08:52:35.198818	118580	19.4	1	1
2014-03-31 08:52:53.644905	118581	45	2	10
2014-03-31 08:52:53.86866	118582	19.2	1	10
2014-03-31 08:53:01.904445	118583	55	2	9
2014-03-31 08:53:02.134755	118584	19.7	1	9
2014-03-31 08:53:02.971732	118585	55	2	8
2014-03-31 08:53:03.192515	118586	19.6	1	8
2014-03-31 08:53:13.970429	118587	54	2	1
2014-03-31 08:53:14.202921	118588	19.4	1	1
2014-03-31 08:53:31.967155	118589	547	3	2
2014-03-31 08:53:32.189399	118590	1146775.978467894	4	2
2014-03-31 08:53:32.654671	118591	45	2	10
2014-03-31 08:53:32.886644	118592	19.2	1	10
2014-03-31 08:53:40.905369	118593	55	2	9
2014-03-31 08:53:41.12704	118594	19.7	1	9
2014-03-31 08:53:41.972921	118595	55	2	8
2014-03-31 08:53:42.203877	118596	19.6	1	8
2014-03-31 08:53:52.968495	118597	54	2	1
2014-03-31 08:53:53.189848	118598	19.4	1	1
2014-03-31 08:54:11.646012	118599	45	2	10
2014-03-31 08:54:11.877659	118600	19.2	1	10
2014-03-31 08:54:19.903785	118601	55	2	9
2014-03-31 08:54:20.125138	118602	19.7	1	9
2014-03-31 08:54:20.971685	118603	55	2	8
2014-03-31 08:54:21.203092	118604	19.6	1	8
2014-03-31 08:54:32.208426	118605	54	2	1
2014-03-31 08:54:32.430486	118606	19.4	1	1
2014-03-31 08:54:50.643464	118607	45	2	10
2014-03-31 08:54:50.885168	118608	19.2	1	10
2014-03-31 08:54:58.906344	118609	55	2	9
2014-03-31 08:54:59.130843	118610	19.7	1	9
2014-03-31 08:54:59.971952	118611	55	2	8
2014-03-31 08:55:00.202481	118612	19.6	1	8
2014-03-31 08:55:10.967983	118613	54	2	1
2014-03-31 08:55:11.18914	118614	19.4	1	1
2014-03-31 08:55:29.64253	118615	45	2	10
2014-03-31 08:55:29.874911	118616	19.2	1	10
2014-03-31 08:55:31.965888	118617	547	3	2
2014-03-31 08:55:32.186822	118618	1146793.2139887153	4	2
2014-03-31 08:55:38.106283	118619	55	2	9
2014-03-31 08:55:38.337669	118620	19.7	1	9
2014-03-31 08:55:38.972441	118621	55	2	8
2014-03-31 08:55:39.193189	118622	19.6	1	8
2014-03-31 08:55:49.967964	118623	54	2	1
2014-03-31 08:55:50.198213	118624	19.4	1	1
2014-03-31 08:56:07.967431	118625	595	3	2
2014-03-31 08:56:08.188304	118626	1146798.9591623223	4	2
2014-03-31 08:56:08.642486	118627	46	2	10
2014-03-31 08:56:08.873703	118628	19.2	1	10
2014-03-31 08:56:16.904368	118629	55	2	9
2014-03-31 08:56:17.126659	118630	19.7	1	9
2014-03-31 08:56:17.972254	118631	55	2	8
2014-03-31 08:56:18.20329	118632	19.6	1	8
2014-03-31 08:56:19.966565	118633	595	3	2
2014-03-31 08:56:20.186734	118634	1146801.2572317652	4	2
2014-03-31 08:56:28.967421	118635	54	2	1
2014-03-31 08:56:29.199215	118636	19.4	1	1
2014-03-31 08:56:31.966586	118637	595	3	2
2014-03-31 08:56:32.189871	118638	1146803.555301208	4	2
2014-03-31 08:56:47.644249	118639	46	2	10
2014-03-31 08:56:47.874882	118640	19.2	1	10
2014-03-31 08:56:55.904199	118641	55	2	9
2014-03-31 08:56:56.127144	118642	19.7	1	9
2014-03-31 08:56:56.971056	118643	55	2	8
2014-03-31 08:56:57.203162	118644	19.6	1	8
2014-03-31 08:57:07.965366	118645	54	2	1
2014-03-31 08:57:08.187761	118646	19.4	1	1
2014-03-31 08:57:26.644046	118647	46	2	10
2014-03-31 08:57:26.913527	118648	19.2	1	10
2014-03-31 08:57:31.966407	118649	595	3	2
2014-03-31 08:57:32.19059	118650	1146812.7475789795	4	2
2014-03-31 08:57:34.907081	118651	55	2	9
2014-03-31 08:57:35.138211	118652	19.7	1	9
2014-03-31 08:57:35.97152	118653	55	2	8
2014-03-31 08:57:36.194592	118654	19.6	1	8
2014-03-31 08:57:46.96502	118655	54	2	1
2014-03-31 08:57:47.208566	118656	19.4	1	1
2014-03-31 08:58:05.643427	118657	46	2	10
2014-03-31 08:58:05.863645	118658	19.2	1	10
2014-03-31 08:58:13.898749	118659	55	2	9
2014-03-31 08:58:14.135209	118660	19.7	1	9
2014-03-31 08:58:14.971383	118661	54	2	8
2014-03-31 08:58:15.191631	118662	19.6	1	8
2014-03-31 08:58:25.964772	118663	54	2	1
2014-03-31 08:58:26.194868	118664	19.4	1	1
2014-03-31 08:58:44.645399	118665	46	2	10
2014-03-31 08:58:44.867358	118666	19.2	1	10
2014-03-31 08:58:52.903732	118667	55	2	9
2014-03-31 08:58:53.134661	118668	19.7	1	9
2014-03-31 08:58:53.969157	118669	55	2	8
2014-03-31 08:58:54.190841	118670	19.6	1	8
2014-03-31 08:59:04.963047	118671	54	2	1
2014-03-31 08:59:05.194214	118672	19.4	1	1
2014-03-31 08:59:23.643987	118673	46	2	10
2014-03-31 08:59:23.864519	118674	19.2	1	10
2014-03-31 08:59:32.970574	118675	55	2	8
2014-03-31 08:59:33.200792	118676	19.6	1	8
2014-03-31 08:59:43.964232	118677	54	2	1
2014-03-31 08:59:44.186362	118678	19.4	1	1
2014-03-31 09:00:02.645748	118679	46	2	10
2014-03-31 09:00:02.876999	118680	19.1	1	10
2014-03-31 09:00:10.901552	118681	55	2	9
2014-03-31 09:00:11.145743	118682	19.7	1	9
2014-03-31 09:00:12.17507	118683	55	2	8
2014-03-31 09:00:12.405449	118684	19.6	1	8
2014-03-31 09:00:22.964159	118685	54	2	1
2014-03-31 09:00:23.186526	118686	19.4	1	1
2014-03-31 09:00:41.644262	118687	46	2	10
2014-03-31 09:00:41.877566	118688	19.1	1	10
2014-03-31 09:00:49.90641	118689	55	2	9
2014-03-31 09:00:50.127847	118690	19.7	1	9
2014-03-31 09:00:50.970125	118691	55	2	8
2014-03-31 09:00:51.20021	118692	19.6	1	8
2014-03-31 09:01:01.961398	118693	54	2	1
2014-03-31 09:01:02.185161	118694	19.4	1	1
2014-03-31 09:01:20.64366	118695	46	2	10
2014-03-31 09:01:20.878285	118696	19.1	1	10
2014-03-31 09:01:28.909032	118697	55	2	9
2014-03-31 09:01:29.130688	118698	19.7	1	9
2014-03-31 09:01:29.971993	118699	55	2	8
2014-03-31 09:01:30.203135	118700	19.6	1	8
2014-03-31 09:01:40.96472	118701	54	2	1
2014-03-31 09:01:41.186259	118702	19.4	1	1
2014-03-31 09:01:59.645614	118703	46	2	10
2014-03-31 09:01:59.889036	118704	19.1	1	10
2014-03-31 09:02:07.901857	118705	55	2	9
2014-03-31 09:02:08.126274	118706	19.7	1	9
2014-03-31 09:02:08.968251	118707	55	2	8
2014-03-31 09:02:09.200697	118708	19.6	1	8
2014-03-31 09:02:19.961694	118709	54	2	1
2014-03-31 09:02:20.184663	118710	19.4	1	1
2014-03-31 09:02:31.964523	118711	595	3	2
2014-03-31 09:02:32.197662	118712	1146862.1605429524	4	2
2014-03-31 09:02:38.643576	118713	46	2	10
2014-03-31 09:02:38.866942	118714	19.1	1	10
2014-03-31 09:02:46.905267	118715	55	2	9
2014-03-31 09:02:47.138772	118716	19.7	1	9
2014-03-31 09:02:47.969381	118717	54	2	8
2014-03-31 09:02:48.191607	118718	19.6	1	8
2014-03-31 09:02:58.962223	118719	54	2	1
2014-03-31 09:02:59.214523	118720	19.4	1	1
2014-03-31 09:03:17.643707	118721	46	2	10
2014-03-31 09:03:17.865016	118722	19.1	1	10
2014-03-31 09:03:25.90358	118723	55	2	9
2014-03-31 09:03:26.133346	118724	19.7	1	9
2014-03-31 09:03:27.025286	118725	54	2	8
2014-03-31 09:03:27.247232	118726	19.6	1	8
2014-03-31 09:03:31.963857	118727	611	3	2
2014-03-31 09:03:32.195411	118728	1146872.501855445	4	2
2014-03-31 09:03:37.963055	118729	54	2	1
2014-03-31 09:03:38.184766	118730	19.4	1	1
2014-03-31 09:03:56.643983	118731	46	2	10
2014-03-31 09:03:56.87584	118732	19.1	1	10
2014-03-31 09:04:04.902831	118733	55	2	9
2014-03-31 09:04:05.125293	118734	19.7	1	9
2014-03-31 09:04:05.968905	118735	55	2	8
2014-03-31 09:04:06.198947	118736	19.6	1	8
2014-03-31 09:04:07.959155	118737	515	3	2
2014-03-31 09:04:08.179264	118738	1146878.2470290523	4	2
2014-03-31 09:04:16.959978	118739	54	2	1
2014-03-31 09:04:17.247027	118740	19.4	1	1
2014-03-31 09:04:19.960624	118741	531	3	2
2014-03-31 09:04:20.181758	118742	1146879.3960637737	4	2
2014-03-31 09:04:31.961004	118743	547	3	2
2014-03-31 09:04:32.199289	118744	1146881.6941332165	4	2
2014-03-31 09:04:35.644251	118745	46	2	10
2014-03-31 09:04:35.866193	118746	19.1	1	10
2014-03-31 09:04:43.905534	118747	55	2	9
2014-03-31 09:04:44.136886	118748	19.7	1	9
2014-03-31 09:04:44.973161	118749	54	2	8
2014-03-31 09:04:45.195645	118750	19.6	1	8
2014-03-31 09:04:55.959069	118751	54	2	1
2014-03-31 09:04:56.202571	118752	19.4	1	1
2014-03-31 09:05:14.644735	118753	46	2	10
2014-03-31 09:05:14.868532	118754	19.1	1	10
2014-03-31 09:05:22.902753	118755	55	2	9
2014-03-31 09:05:23.133637	118756	19.7	1	9
2014-03-31 09:05:23.969205	118757	54	2	8
2014-03-31 09:05:24.18946	118758	19.6	1	8
2014-03-31 09:05:31.959771	118759	498	3	2
2014-03-31 09:05:32.191323	118760	1146890.886410988	4	2
2014-03-31 09:05:34.960232	118761	54	2	1
2014-03-31 09:05:35.180072	118762	19.4	1	1
2014-03-31 09:05:43.960458	118763	482	3	2
2014-03-31 09:05:44.190255	118764	1146892.0354457092	4	2
2014-03-31 09:05:53.642844	118765	46	2	10
2014-03-31 09:05:53.866108	118766	19.1	1	10
2014-03-31 09:06:01.898108	118767	55	2	9
2014-03-31 09:06:02.129433	118768	19.7	1	9
2014-03-31 09:06:02.969111	118769	54	2	8
2014-03-31 09:06:03.19001	118770	19.6	1	8
2014-03-31 09:06:13.96066	118771	54	2	1
2014-03-31 09:06:14.192646	118772	19.4	1	1
2014-03-31 09:06:31.960918	118773	466	3	2
2014-03-31 09:06:32.188536	118774	1146898.9296540378	4	2
2014-03-31 09:06:32.643972	118775	46	2	10
2014-03-31 09:06:32.876751	118776	19.1	1	10
2014-03-31 09:06:40.902532	118777	55	2	9
2014-03-31 09:06:41.124799	118778	19.7	1	9
2014-03-31 09:06:41.970772	118779	54	2	8
2014-03-31 09:06:42.202667	118780	19.6	1	8
2014-03-31 09:06:52.960224	118781	55	2	1
2014-03-31 09:06:53.182216	118782	19.4	1	1
2014-03-31 09:07:07.961163	118783	515	3	2
2014-03-31 09:07:08.193677	118784	1146903.5257929233	4	2
2014-03-31 09:07:11.643751	118785	46	2	10
2014-03-31 09:07:11.864875	118786	19.1	1	10
2014-03-31 09:07:20.969116	118787	54	2	8
2014-03-31 09:07:21.202484	118788	19.6	1	8
2014-03-31 09:07:32.195157	118789	55	2	1
2014-03-31 09:07:32.422769	118790	19.4	1	1
2014-03-31 09:07:50.643937	118791	46	2	10
2014-03-31 09:07:50.875264	118792	19.1	1	10
2014-03-31 09:07:59.108877	118793	55	2	9
2014-03-31 09:07:59.329362	118794	19.7	1	9
2014-03-31 09:07:59.96998	118795	54	2	8
2014-03-31 09:08:00.202835	118796	19.6	1	8
2014-03-31 09:08:10.959263	118797	55	2	1
2014-03-31 09:08:11.183572	118798	19.4	1	1
2014-03-31 09:08:29.644646	118799	46	2	10
2014-03-31 09:08:29.887404	118800	19.1	1	10
2014-03-31 09:08:31.958678	118801	482	3	2
2014-03-31 09:08:32.186408	118802	1146915.0161401376	4	2
2014-03-31 09:08:37.902811	118803	55	2	9
2014-03-31 09:08:38.136785	118804	19.7	1	9
2014-03-31 09:08:38.968248	118805	54	2	8
2014-03-31 09:08:39.189076	118806	19.6	1	8
2014-03-31 09:08:49.955805	118807	55	2	1
2014-03-31 09:08:50.186695	118808	19.4	1	1
2014-03-31 09:09:08.644159	118809	46	2	10
2014-03-31 09:09:08.867287	118810	19.1	1	10
2014-03-31 09:09:16.90298	118811	55	2	9
2014-03-31 09:09:17.134787	118812	19.7	1	9
2014-03-31 09:09:17.969047	118813	54	2	8
2014-03-31 09:09:18.189778	118814	19.6	1	8
2014-03-31 09:09:28.95434	118815	55	2	1
2014-03-31 09:09:29.185312	118816	19.4	1	1
2014-03-31 09:09:31.956845	118817	482	3	2
2014-03-31 09:09:32.186866	118818	1146923.0593831874	4	2
2014-03-31 09:09:47.644657	118819	46	2	10
2014-03-31 09:09:47.876995	118820	19.1	1	10
2014-03-31 09:09:55.900504	118821	55	2	9
2014-03-31 09:09:56.12156	118822	19.7	1	9
2014-03-31 09:09:56.968187	118823	54	2	8
2014-03-31 09:09:57.199607	118824	19.6	1	8
2014-03-31 09:10:07.956642	118825	55	2	1
2014-03-31 09:10:08.177577	118826	19.4	1	1
2014-03-31 09:10:19.959572	118827	515	3	2
2014-03-31 09:10:20.191293	118828	1146929.953591516	4	2
2014-03-31 09:10:26.645378	118829	46	2	10
2014-03-31 09:10:26.867501	118830	19.1	1	10
2014-03-31 09:10:31.965557	118831	531	3	2
2014-03-31 09:10:32.196329	118832	1146931.1026262373	4	2
2014-03-31 09:10:34.904483	118833	55	2	9
2014-03-31 09:10:35.125188	118834	19.7	1	9
2014-03-31 09:10:35.967616	118835	54	2	8
2014-03-31 09:10:36.196731	118836	19.6	1	8
2014-03-31 09:10:46.952854	118837	55	2	1
2014-03-31 09:10:47.173737	118838	19.4	1	1
2014-03-31 09:11:05.644908	118839	46	2	10
2014-03-31 09:11:05.878075	118840	19.1	1	10
2014-03-31 09:11:13.904513	118841	55	2	9
2014-03-31 09:11:14.126434	118842	19.7	1	9
2014-03-31 09:11:14.968775	118843	54	2	8
2014-03-31 09:11:15.200945	118844	19.6	1	8
2014-03-31 09:11:25.953192	118845	55	2	1
2014-03-31 09:11:26.173532	118846	19.4	1	1
2014-03-31 09:11:31.961248	118847	515	3	2
2014-03-31 09:11:32.20431	118848	1146940.2949040087	4	2
2014-03-31 09:11:44.645174	118849	46	2	10
2014-03-31 09:11:44.870073	118850	19.1	1	10
2014-03-31 09:11:52.905289	118851	55	2	9
2014-03-31 09:11:53.136926	118852	19.7	1	9
2014-03-31 09:11:53.967893	118853	54	2	8
2014-03-31 09:11:54.187501	118854	19.5	1	8
2014-03-31 09:12:04.956982	118855	55	2	1
2014-03-31 09:12:05.188497	118856	19.4	1	1
2014-03-31 09:12:23.645303	118857	46	2	10
2014-03-31 09:12:23.866443	118858	19.0	1	10
2014-03-31 09:12:32.967831	118859	54	2	8
2014-03-31 09:12:33.197806	118860	19.5	1	8
2014-03-31 09:12:43.956113	118861	55	2	1
2014-03-31 09:12:44.181471	118862	19.4	1	1
2014-03-31 09:13:02.64414	118863	46	2	10
2014-03-31 09:13:02.875691	118864	19.0	1	10
2014-03-31 09:13:07.961602	118865	627	3	2
2014-03-31 09:13:08.188494	118866	1146954.0833206656	4	2
2014-03-31 09:13:10.897761	118867	55	2	9
2014-03-31 09:13:11.130853	118868	19.7	1	9
2014-03-31 09:13:11.966796	118869	55	2	8
2014-03-31 09:13:12.188302	118870	19.6	1	8
2014-03-31 09:13:22.955907	118871	55	2	1
2014-03-31 09:13:23.187908	118872	19.4	1	1
2014-03-31 09:13:31.958891	118873	627	3	2
2014-03-31 09:13:32.181993	118874	1146958.6794595513	4	2
2014-03-31 09:13:41.645762	118875	46	2	10
2014-03-31 09:13:41.876978	118876	19.0	1	10
2014-03-31 09:13:49.896651	118877	55	2	9
2014-03-31 09:13:50.118325	118878	19.7	1	9
2014-03-31 09:13:50.966737	118879	55	2	8
2014-03-31 09:13:51.200113	118880	19.6	1	8
2014-03-31 09:14:01.951288	118881	55	2	1
2014-03-31 09:14:02.173072	118882	19.4	1	1
2014-03-31 09:14:20.645535	118883	46	2	10
2014-03-31 09:14:20.877726	118884	19.0	1	10
2014-03-31 09:14:28.897122	118885	55	2	9
2014-03-31 09:14:29.118717	118886	19.7	1	9
2014-03-31 09:14:29.968109	118887	55	2	8
2014-03-31 09:14:30.198754	118888	19.6	1	8
2014-03-31 09:14:31.959317	118889	627	3	2
2014-03-31 09:14:32.186938	118890	1146969.020772044	4	2
2014-03-31 09:14:40.952984	118891	55	2	1
2014-03-31 09:14:41.185079	118892	19.4	1	1
2014-03-31 09:14:59.645457	118893	46	2	10
2014-03-31 09:14:59.867012	118894	19.0	1	10
2014-03-31 09:15:07.898504	118895	55	2	9
2014-03-31 09:15:08.141968	118896	19.7	1	9
2014-03-31 09:15:08.966475	118897	55	2	8
2014-03-31 09:15:09.186257	118898	19.6	1	8
2014-03-31 09:15:19.951531	118899	55	2	1
2014-03-31 09:15:20.18475	118900	19.4	1	1
2014-03-31 09:15:31.957376	118901	627	3	2
2014-03-31 09:15:32.185071	118902	1146979.3620845368	4	2
2014-03-31 09:15:38.646682	118903	46	2	10
2014-03-31 09:15:38.879377	118904	19.0	1	10
2014-03-31 09:15:46.894974	118905	55	2	9
2014-03-31 09:15:47.115512	118906	19.7	1	9
2014-03-31 09:15:47.962627	118907	55	2	8
2014-03-31 09:15:48.192627	118908	19.6	1	8
2014-03-31 09:15:55.955621	118909	659	3	2
2014-03-31 09:15:56.178222	118910	1146983.9582234225	4	2
2014-03-31 09:15:58.9504	118911	55	2	1
2014-03-31 09:15:59.181196	118912	19.4	1	1
2014-03-31 09:16:07.960001	118913	627	3	2
2014-03-31 09:16:08.182391	118914	1146986.2562928654	4	2
2014-03-31 09:16:17.647506	118915	46	2	10
2014-03-31 09:16:17.935104	118916	19.0	1	10
2014-03-31 09:16:19.956229	118917	627	3	2
2014-03-31 09:16:20.176789	118918	1146988.554362308	4	2
2014-03-31 09:16:25.897576	118919	55	2	9
2014-03-31 09:16:26.129102	118920	19.7	1	9
2014-03-31 09:16:26.966086	118921	55	2	8
2014-03-31 09:16:27.244012	118922	19.6	1	8
2014-03-31 09:16:37.949803	118923	55	2	1
2014-03-31 09:16:38.181628	118924	19.4	1	1
2014-03-31 09:16:56.645762	118925	46	2	10
2014-03-31 09:16:56.869648	118926	19.0	1	10
2014-03-31 09:17:04.90068	118927	55	2	9
2014-03-31 09:17:05.133304	118928	19.7	1	9
2014-03-31 09:17:05.966246	118929	55	2	8
2014-03-31 09:17:06.186035	118930	19.6	1	8
2014-03-31 09:17:07.954958	118931	466	3	2
2014-03-31 09:17:08.187106	118932	1146996.597605358	4	2
2014-03-31 09:17:16.952461	118933	55	2	1
2014-03-31 09:17:17.17687	118934	19.4	1	1
2014-03-31 09:17:19.956804	118935	450	3	2
2014-03-31 09:17:20.187195	118936	1146997.7466400794	4	2
2014-03-31 09:17:35.646666	118937	46	2	10
2014-03-31 09:17:35.868211	118938	19.0	1	10
2014-03-31 09:17:43.90453	118939	55	2	9
2014-03-31 09:17:44.138741	118940	19.7	1	9
2014-03-31 09:17:44.965321	118941	55	2	8
2014-03-31 09:17:45.185794	118942	19.6	1	8
2014-03-31 09:17:55.949272	118943	55	2	1
2014-03-31 09:17:56.193609	118944	19.4	1	1
2014-03-31 09:18:14.645675	118945	46	2	10
2014-03-31 09:18:14.87053	118946	19.0	1	10
2014-03-31 09:18:22.899622	118947	55	2	9
2014-03-31 09:18:23.131323	118948	19.7	1	9
2014-03-31 09:18:23.964283	118949	55	2	8
2014-03-31 09:18:24.186411	118950	19.6	1	8
2014-03-31 09:18:31.956379	118951	466	3	2
2014-03-31 09:18:32.190914	118952	1147006.9389178508	4	2
2014-03-31 09:18:34.951592	118953	55	2	1
2014-03-31 09:18:35.176415	118954	19.4	1	1
2014-03-31 09:18:53.645735	118955	46	2	10
2014-03-31 09:18:53.877422	118956	19.0	1	10
2014-03-31 09:19:01.899099	118957	55	2	9
2014-03-31 09:19:02.120602	118958	19.7	1	9
2014-03-31 09:19:02.966542	118959	54	2	8
2014-03-31 09:19:03.197678	118960	19.6	1	8
2014-03-31 09:19:13.948784	118961	55	2	1
2014-03-31 09:19:14.168876	118962	19.4	1	1
2014-03-31 09:19:31.953683	118963	450	3	2
2014-03-31 09:19:32.189711	118964	1147014.9821609007	4	2
2014-03-31 09:19:32.647266	118965	46	2	10
2014-03-31 09:19:32.86817	118966	19.0	1	10
2014-03-31 09:19:40.899277	118967	55	2	9
2014-03-31 09:19:41.130039	118968	19.7	1	9
2014-03-31 09:19:41.963378	118969	54	2	8
2014-03-31 09:19:42.184438	118970	19.6	1	8
2014-03-31 09:19:43.953421	118971	482	3	2
2014-03-31 09:19:44.185582	118972	1147016.131195622	4	2
2014-03-31 09:19:52.945635	118973	55	2	1
2014-03-31 09:19:53.167257	118974	19.4	1	1
2014-03-31 09:19:55.955043	118975	466	3	2
2014-03-31 09:19:56.185399	118976	1147018.429265065	4	2
2014-03-31 09:20:11.644899	118977	46	2	10
2014-03-31 09:20:11.866973	118978	19.0	1	10
2014-03-31 09:20:19.898877	118979	55	2	9
2014-03-31 09:20:20.131231	118980	19.7	1	9
2014-03-31 09:20:20.965817	118981	54	2	8
2014-03-31 09:20:21.186219	118982	19.6	1	8
2014-03-31 09:20:32.187382	118983	55	2	1
2014-03-31 09:20:32.424097	118984	19.4	1	1
2014-03-31 09:20:50.645882	118985	46	2	10
2014-03-31 09:20:50.867447	118986	19.0	1	10
2014-03-31 09:20:58.900187	118987	55	2	9
2014-03-31 09:20:59.131171	118988	19.7	1	9
2014-03-31 09:20:59.965272	118989	54	2	8
2014-03-31 09:21:00.18644	118990	19.6	1	8
2014-03-31 09:21:10.944182	118991	55	2	1
2014-03-31 09:21:11.187796	118992	19.3	1	1
2014-03-31 09:21:29.647953	118993	46	2	10
2014-03-31 09:21:29.869823	118994	19.0	1	10
2014-03-31 09:21:31.956479	118995	466	3	2
2014-03-31 09:21:32.194564	118996	1147031.0686470005	4	2
2014-03-31 09:21:37.900945	118997	55	2	9
2014-03-31 09:21:38.125552	118998	19.6	1	9
2014-03-31 09:21:38.966212	118999	54	2	8
2014-03-31 09:21:39.199469	119000	19.6	1	8
2014-03-31 09:21:49.945282	119001	55	2	1
2014-03-31 09:21:50.166569	119002	19.3	1	1
2014-03-31 09:22:08.649129	119003	46	2	10
2014-03-31 09:22:08.882651	119004	19.0	1	10
2014-03-31 09:22:16.897346	119005	55	2	9
2014-03-31 09:22:17.12095	119006	19.6	1	9
2014-03-31 09:22:17.964021	119007	54	2	8
2014-03-31 09:22:18.251478	119008	19.6	1	8
2014-03-31 09:22:28.94709	119009	55	2	1
2014-03-31 09:22:29.167856	119010	19.3	1	1
2014-03-31 09:22:47.647647	119011	46	2	10
2014-03-31 09:22:47.882338	119012	18.9	1	10
2014-03-31 09:22:55.90018	119013	55	2	9
2014-03-31 09:22:56.121724	119014	19.6	1	9
2014-03-31 09:22:56.965956	119015	54	2	8
2014-03-31 09:22:57.196869	119016	19.5	1	8
2014-03-31 09:23:08.187215	119017	55	2	1
2014-03-31 09:23:08.411587	119018	19.3	1	1
2014-03-31 09:23:19.954785	119019	498	3	2
2014-03-31 09:23:20.185922	119020	1147044.8570636574	4	2
2014-03-31 09:23:26.646013	119021	46	2	10
2014-03-31 09:23:26.86871	119022	18.9	1	10
2014-03-31 09:23:31.957445	119023	498	3	2
2014-03-31 09:23:32.192104	119024	1147046.006098379	4	2
2014-03-31 09:23:34.898872	119025	55	2	9
2014-03-31 09:23:35.121094	119026	19.6	1	9
2014-03-31 09:23:35.9648	119027	54	2	8
2014-03-31 09:23:36.198879	119028	19.5	1	8
2014-03-31 09:23:46.941953	119029	55	2	1
2014-03-31 09:23:47.166161	119030	19.3	1	1
2014-03-31 09:24:05.645033	119031	46	2	10
2014-03-31 09:24:05.877581	119032	18.9	1	10
2014-03-31 09:24:13.898937	119033	55	2	9
2014-03-31 09:24:14.122357	119034	19.6	1	9
2014-03-31 09:24:14.964038	119035	54	2	8
2014-03-31 09:24:15.197545	119036	19.5	1	8
2014-03-31 09:24:25.945705	119037	55	2	1
2014-03-31 09:24:26.170997	119038	19.3	1	1
2014-03-31 09:24:31.956897	119039	498	3	2
2014-03-31 09:24:32.201294	119040	1147054.0493414288	4	2
2014-03-31 09:24:44.644915	119041	46	2	10
2014-03-31 09:24:44.866435	119042	18.9	1	10
2014-03-31 09:24:52.899338	119043	55	2	9
2014-03-31 09:24:53.131602	119044	19.6	1	9
2014-03-31 09:24:53.963128	119045	54	2	8
2014-03-31 09:24:54.183217	119046	19.5	1	8
2014-03-31 09:25:04.941258	119047	55	2	1
2014-03-31 09:25:05.172566	119048	19.3	1	1
2014-03-31 09:25:23.645781	119049	46	2	10
2014-03-31 09:25:23.872498	119050	18.9	1	10
2014-03-31 09:25:32.961985	119051	54	2	8
2014-03-31 09:25:33.19497	119052	19.5	1	8
2014-03-31 09:25:43.942635	119053	55	2	1
2014-03-31 09:25:44.164697	119054	19.3	1	1
2014-03-31 09:26:02.643767	119055	46	2	10
2014-03-31 09:26:02.876574	119056	18.9	1	10
2014-03-31 09:26:10.897766	119057	55	2	9
2014-03-31 09:26:11.11949	119058	19.6	1	9
2014-03-31 09:26:11.961756	119059	54	2	8
2014-03-31 09:26:12.192586	119060	19.5	1	8
2014-03-31 09:26:22.94149	119061	55	2	1
2014-03-31 09:26:23.16248	119062	19.3	1	1
2014-03-31 09:26:31.952737	119063	498	3	2
2014-03-31 09:26:32.183517	119064	1147071.28486225	4	2
2014-03-31 09:26:41.646862	119065	46	2	10
2014-03-31 09:26:41.868863	119066	18.9	1	10
2014-03-31 09:26:49.896723	119067	55	2	9
2014-03-31 09:26:50.127939	119068	19.6	1	9
2014-03-31 09:26:50.962922	119069	54	2	8
2014-03-31 09:26:51.184447	119070	19.5	1	8
2014-03-31 09:27:01.941072	119071	55	2	1
2014-03-31 09:27:02.173469	119072	19.3	1	1
2014-03-31 09:27:20.644439	119073	46	2	10
2014-03-31 09:27:20.866685	119074	18.9	1	10
2014-03-31 09:27:28.895401	119075	55	2	9
2014-03-31 09:27:29.126661	119076	19.6	1	9
2014-03-31 09:27:29.961454	119077	54	2	8
2014-03-31 09:27:30.182708	119078	19.5	1	8
2014-03-31 09:27:31.950639	119079	482	3	2
2014-03-31 09:27:32.181211	119080	1147079.3281053	4	2
2014-03-31 09:27:40.940468	119081	55	2	1
2014-03-31 09:27:41.163712	119082	19.3	1	1
2014-03-31 09:27:59.645267	119083	46	2	10
2014-03-31 09:27:59.879302	119084	18.9	1	10
2014-03-31 09:28:08.96546	119085	54	2	8
2014-03-31 09:28:09.187555	119086	19.5	1	8
2014-03-31 09:28:20.1777	119087	55	2	1
2014-03-31 09:28:20.421195	119088	19.3	1	1
2014-03-31 09:28:31.953037	119089	482	3	2
2014-03-31 09:28:32.174338	119090	1147087.3713483498	4	2
2014-03-31 09:28:38.644116	119091	46	2	10
2014-03-31 09:28:38.896993	119092	18.9	1	10
2014-03-31 09:28:46.897714	119093	55	2	9
2014-03-31 09:28:47.121227	119094	19.6	1	9
2014-03-31 09:28:47.963336	119095	54	2	8
2014-03-31 09:28:48.194846	119096	19.5	1	8
2014-03-31 09:28:58.939193	119097	55	2	1
2014-03-31 09:28:59.162502	119098	19.3	1	1
2014-03-31 09:29:07.95072	119099	450	3	2
2014-03-31 09:29:08.184831	119100	1147093.1165219569	4	2
2014-03-31 09:29:17.64455	119101	46	2	10
2014-03-31 09:29:17.867151	119102	18.9	1	10
2014-03-31 09:29:19.949715	119103	450	3	2
2014-03-31 09:29:20.183371	119104	1147094.2655566782	4	2
2014-03-31 09:29:25.899729	119105	55	2	9
2014-03-31 09:29:26.125384	119106	19.6	1	9
2014-03-31 09:29:26.960369	119107	54	2	8
2014-03-31 09:29:27.23118	119108	19.5	1	8
2014-03-31 09:29:31.953362	119109	450	3	2
2014-03-31 09:29:32.177266	119110	1147095.4145913997	4	2
2014-03-31 09:29:38.179411	119111	55	2	1
2014-03-31 09:29:38.411129	119112	19.3	1	1
2014-03-31 09:29:56.644061	119113	46	2	10
2014-03-31 09:29:56.867264	119114	18.9	1	10
2014-03-31 09:30:04.895902	119115	55	2	9
2014-03-31 09:30:05.126338	119116	19.6	1	9
2014-03-31 09:30:05.960039	119117	54	2	8
2014-03-31 09:30:06.181452	119118	19.5	1	8
2014-03-31 09:30:16.94036	119119	55	2	1
2014-03-31 09:30:17.17107	119120	19.3	1	1
2014-03-31 09:30:31.949193	119121	450	3	2
2014-03-31 09:30:32.169414	119122	1147103.4578344496	4	2
2014-03-31 09:30:35.644002	119123	46	2	10
2014-03-31 09:30:35.876223	119124	18.9	1	10
2014-03-31 09:30:43.893231	119125	55	2	9
2014-03-31 09:30:44.114727	119126	19.6	1	9
2014-03-31 09:30:44.961527	119127	53	2	8
2014-03-31 09:30:45.191204	119128	19.5	1	8
2014-03-31 09:30:55.934798	119129	55	2	1
2014-03-31 09:30:56.157388	119130	19.3	1	1
2014-03-31 09:31:14.644275	119131	46	2	10
2014-03-31 09:31:14.876778	119132	18.9	1	10
2014-03-31 09:31:22.894663	119133	55	2	9
2014-03-31 09:31:23.116915	119134	19.6	1	9
2014-03-31 09:31:23.959816	119135	53	2	8
2014-03-31 09:31:24.201348	119136	19.5	1	8
2014-03-31 09:31:31.948957	119137	450	3	2
2014-03-31 09:31:32.170693	119138	1147111.5010774995	4	2
2014-03-31 09:31:34.934971	119139	55	2	1
2014-03-31 09:31:35.168976	119140	19.3	1	1
2014-03-31 09:31:53.645347	119141	46	2	10
2014-03-31 09:31:53.867787	119142	18.9	1	10
2014-03-31 09:32:01.894461	119143	55	2	9
2014-03-31 09:32:02.125703	119144	19.6	1	9
2014-03-31 09:32:02.958245	119145	54	2	8
2014-03-31 09:32:03.179883	119146	19.5	1	8
2014-03-31 09:32:13.93754	119147	55	2	1
2014-03-31 09:32:14.169159	119148	19.3	1	1
2014-03-31 09:32:31.947091	119149	450	3	2
2014-03-31 09:32:32.167984	119150	1147118.395285828	4	2
2014-03-31 09:32:32.642839	119151	46	2	10
2014-03-31 09:32:32.877299	119152	18.9	1	10
2014-03-31 09:32:40.893837	119153	55	2	9
2014-03-31 09:32:41.126137	119154	19.6	1	9
2014-03-31 09:32:41.959385	119155	53	2	8
2014-03-31 09:32:42.190885	119156	19.5	1	8
2014-03-31 09:32:52.935064	119157	55	2	1
2014-03-31 09:32:53.15686	119158	19.3	1	1
2014-03-31 09:33:11.644592	119159	46	2	10
2014-03-31 09:33:11.87828	119160	18.8	1	10
2014-03-31 09:33:19.893881	119161	55	2	9
2014-03-31 09:33:20.115802	119162	19.6	1	9
2014-03-31 09:33:20.958801	119163	53	2	8
2014-03-31 09:33:21.193291	119164	19.5	1	8
2014-03-31 09:33:32.172688	119165	55	2	1
2014-03-31 09:33:32.400088	119166	19.3	1	1
2014-03-31 09:33:50.643329	119167	46	2	10
2014-03-31 09:33:50.874828	119168	18.8	1	10
2014-03-31 09:33:58.89289	119169	55	2	9
2014-03-31 09:33:59.117043	119170	19.6	1	9
2014-03-31 09:33:59.960207	119171	53	2	8
2014-03-31 09:34:00.19284	119172	19.5	1	8
2014-03-31 09:34:10.933086	119173	55	2	1
2014-03-31 09:34:11.157294	119174	19.3	1	1
2014-03-31 09:34:29.643232	119175	46	2	10
2014-03-31 09:34:29.876356	119176	18.8	1	10
2014-03-31 09:34:31.94788	119177	450	3	2
2014-03-31 09:34:32.171588	119178	1147132.1881734373	4	2
2014-03-31 09:34:37.89135	119179	55	2	9
2014-03-31 09:34:38.126795	119180	19.6	1	9
2014-03-31 09:34:38.959233	119181	53	2	8
2014-03-31 09:34:39.183876	119182	19.5	1	8
2014-03-31 09:34:49.933469	119183	55	2	1
2014-03-31 09:34:50.178247	119184	19.3	1	1
2014-03-31 09:34:55.950997	119185	498	3	2
2014-03-31 09:34:56.174458	119186	1147135.6352776014	4	2
2014-03-31 09:35:07.945484	119187	498	3	2
2014-03-31 09:35:08.179762	119188	1147137.9333470443	4	2
2014-03-31 09:35:08.643174	119189	46	2	10
2014-03-31 09:35:08.864337	119190	18.8	1	10
2014-03-31 09:35:16.892845	119191	55	2	9
2014-03-31 09:35:17.123674	119192	19.6	1	9
2014-03-31 09:35:17.958182	119193	53	2	8
2014-03-31 09:35:18.180384	119194	19.5	1	8
2014-03-31 09:35:28.931865	119195	55	2	1
2014-03-31 09:35:29.163778	119196	19.3	1	1
2014-03-31 09:35:31.947499	119197	482	3	2
2014-03-31 09:35:32.169493	119198	1147140.2314164871	4	2
2014-03-31 09:35:47.64439	119199	46	2	10
2014-03-31 09:35:47.877206	119200	18.8	1	10
2014-03-31 09:35:55.891307	119201	55	2	9
2014-03-31 09:35:56.113648	119202	19.6	1	9
2014-03-31 09:35:56.955233	119203	53	2	8
2014-03-31 09:35:57.18759	119204	19.5	1	8
2014-03-31 09:36:07.930802	119205	55	2	1
2014-03-31 09:36:08.152589	119206	19.3	1	1
2014-03-31 09:36:26.643472	119207	46	2	10
2014-03-31 09:36:26.875631	119208	18.8	1	10
2014-03-31 09:36:31.949218	119209	482	3	2
2014-03-31 09:36:32.172092	119210	1147149.4236942583	4	2
2014-03-31 09:36:34.892184	119211	55	2	9
2014-03-31 09:36:35.123356	119212	19.6	1	9
2014-03-31 09:36:35.957595	119213	53	2	8
2014-03-31 09:36:36.178242	119214	19.5	1	8
2014-03-31 09:36:46.928931	119215	55	2	1
2014-03-31 09:36:47.161088	119216	19.3	1	1
2014-03-31 09:37:05.643307	119217	46	2	10
2014-03-31 09:37:05.864982	119218	18.8	1	10
2014-03-31 09:37:13.892953	119219	55	2	9
2014-03-31 09:37:14.127993	119220	19.6	1	9
2014-03-31 09:37:14.955622	119221	53	2	8
2014-03-31 09:37:15.177962	119222	19.5	1	8
2014-03-31 09:37:25.930027	119223	55	2	1
2014-03-31 09:37:26.16139	119224	19.3	1	1
2014-03-31 09:37:31.946843	119225	498	3	2
2014-03-31 09:37:32.168901	119226	1147157.4669373084	4	2
2014-03-31 09:37:44.644542	119227	46	2	10
2014-03-31 09:37:44.878516	119228	18.8	1	10
2014-03-31 09:37:52.884704	119229	55	2	9
2014-03-31 09:37:53.107844	119230	19.6	1	9
2014-03-31 09:37:53.956718	119231	53	2	8
2014-03-31 09:37:54.199361	119232	19.5	1	8
2014-03-31 09:38:04.928724	119233	55	2	1
2014-03-31 09:38:05.150124	119234	19.3	1	1
2014-03-31 09:38:23.64371	119235	46	2	10
2014-03-31 09:38:23.877963	119236	18.8	1	10
2014-03-31 09:38:32.956148	119237	53	2	8
2014-03-31 09:38:33.179255	119238	19.5	1	8
2014-03-31 09:38:43.929512	119239	55	2	1
2014-03-31 09:38:44.161856	119240	19.3	1	1
2014-03-31 09:39:02.642504	119241	46	2	10
2014-03-31 09:39:02.866365	119242	18.8	1	10
2014-03-31 09:39:10.892269	119243	55	2	9
2014-03-31 09:39:11.12342	119244	19.6	1	9
2014-03-31 09:39:11.957818	119245	53	2	8
2014-03-31 09:39:12.181471	119246	19.5	1	8
2014-03-31 09:39:22.930266	119247	55	2	1
2014-03-31 09:39:23.161907	119248	19.3	1	1
2014-03-31 09:39:31.944712	119249	515	3	2
2014-03-31 09:39:32.167832	119250	1147173.5534234082	4	2
2014-03-31 09:39:41.641729	119251	46	2	10
2014-03-31 09:39:41.873569	119252	18.8	1	10
2014-03-31 09:39:49.891696	119253	55	2	9
2014-03-31 09:39:50.118	119254	19.6	1	9
2014-03-31 09:39:50.955426	119255	53	2	8
2014-03-31 09:39:51.187302	119256	19.5	1	8
2014-03-31 09:40:01.927558	119257	55	2	1
2014-03-31 09:40:02.1509	119258	19.3	1	1
2014-03-31 09:40:20.642886	119259	46	2	10
2014-03-31 09:40:20.875319	119260	18.8	1	10
2014-03-31 09:40:28.889633	119261	55	2	9
2014-03-31 09:40:29.111599	119262	19.6	1	9
2014-03-31 09:40:29.95542	119263	53	2	8
2014-03-31 09:40:30.188087	119264	19.5	1	8
2014-03-31 09:40:31.942349	119265	498	3	2
2014-03-31 09:40:32.165497	119266	1147182.7457011794	4	2
2014-03-31 09:40:40.925922	119267	55	2	1
2014-03-31 09:40:41.158876	119268	19.3	1	1
2014-03-31 09:40:59.643985	119269	46	2	10
2014-03-31 09:40:59.868178	119270	18.8	1	10
2014-03-31 09:41:07.890207	119271	55	2	9
2014-03-31 09:41:08.123291	119272	19.6	1	9
2014-03-31 09:41:08.953285	119273	53	2	8
2014-03-31 09:41:09.175291	119274	19.5	1	8
2014-03-31 09:41:19.925135	119275	55	2	1
2014-03-31 09:41:20.157481	119276	19.3	1	1
2014-03-31 09:41:31.946059	119277	498	3	2
2014-03-31 09:41:32.170955	119278	1147190.7889442293	4	2
2014-03-31 09:41:38.642677	119279	46	2	10
2014-03-31 09:41:38.886597	119280	18.8	1	10
2014-03-31 09:41:46.884923	119281	55	2	9
2014-03-31 09:41:47.114987	119282	19.6	1	9
2014-03-31 09:41:47.954122	119283	53	2	8
2014-03-31 09:41:48.186168	119284	19.5	1	8
2014-03-31 09:41:58.924988	119285	55	2	1
2014-03-31 09:41:59.146702	119286	19.3	1	1
2014-03-31 09:42:17.643759	119287	46	2	10
2014-03-31 09:42:17.876403	119288	18.8	1	10
2014-03-31 09:42:19.943071	119289	466	3	2
2014-03-31 09:42:20.165651	119290	1147197.6831525578	4	2
2014-03-31 09:42:25.884791	119291	55	2	9
2014-03-31 09:42:26.117637	119292	19.6	1	9
2014-03-31 09:42:26.953955	119293	53	2	8
2014-03-31 09:42:27.183783	119294	19.5	1	8
2014-03-31 09:42:31.947656	119295	466	3	2
2014-03-31 09:42:32.179827	119296	1147198.8321872794	4	2
2014-03-31 09:42:37.922662	119297	55	2	1
2014-03-31 09:42:38.148282	119298	19.3	1	1
2014-03-31 09:42:56.643782	119299	46	2	10
2014-03-31 09:42:56.87705	119300	18.8	1	10
2014-03-31 09:43:04.8885	119301	55	2	9
2014-03-31 09:43:05.110689	119302	19.6	1	9
2014-03-31 09:43:05.953964	119303	53	2	8
2014-03-31 09:43:06.185709	119304	19.5	1	8
2014-03-31 09:43:16.923976	119305	55	2	1
2014-03-31 09:43:17.147401	119306	19.3	1	1
2014-03-31 09:43:31.941307	119307	466	3	2
2014-03-31 09:43:32.174308	119308	1147206.8754303292	4	2
2014-03-31 09:43:35.641671	119309	46	2	10
2014-03-31 09:43:35.866151	119310	18.8	1	10
2014-03-31 09:43:43.888707	119311	55	2	9
2014-03-31 09:43:44.123065	119312	19.6	1	9
2014-03-31 09:43:44.954273	119313	53	2	8
2014-03-31 09:43:45.176639	119314	19.4	1	8
2014-03-31 09:43:55.923023	119315	55	2	1
2014-03-31 09:43:56.153724	119316	19.3	1	1
2014-03-31 09:44:14.642361	119317	46	2	10
2014-03-31 09:44:14.866247	119318	18.8	1	10
2014-03-31 09:44:22.892796	119319	55	2	9
2014-03-31 09:44:23.125057	119320	19.5	1	9
2014-03-31 09:44:23.955065	119321	53	2	8
2014-03-31 09:44:24.175772	119322	19.4	1	8
2014-03-31 09:44:31.944022	119323	466	3	2
2014-03-31 09:44:32.176887	119324	1147214.918673379	4	2
2014-03-31 09:44:34.921934	119325	55	2	1
2014-03-31 09:44:35.143336	119326	19.3	1	1
2014-03-31 09:44:53.642094	119327	46	2	10
2014-03-31 09:44:53.885086	119328	18.8	1	10
2014-03-31 09:45:01.891407	119329	55	2	9
2014-03-31 09:45:02.115727	119330	19.5	1	9
2014-03-31 09:45:02.951411	119331	53	2	8
2014-03-31 09:45:03.185108	119332	19.4	1	8
2014-03-31 09:45:13.924626	119333	55	2	1
2014-03-31 09:45:14.14811	119334	19.3	1	1
2014-03-31 09:45:31.944273	119335	466	3	2
2014-03-31 09:45:32.176028	119336	1147221.8128817074	4	2
2014-03-31 09:45:32.64144	119337	46	2	10
2014-03-31 09:45:32.864534	119338	18.8	1	10
2014-03-31 09:45:40.890059	119339	55	2	9
2014-03-31 09:45:41.124757	119340	19.5	1	9
2014-03-31 09:45:41.95277	119341	53	2	8
2014-03-31 09:45:42.176855	119342	19.5	1	8
2014-03-31 09:45:43.939587	119343	515	3	2
2014-03-31 09:45:44.193296	119344	1147224.1109511503	4	2
2014-03-31 09:45:52.921621	119345	55	2	1
2014-03-31 09:45:53.14811	119346	19.3	1	1
2014-03-31 09:45:55.942124	119349	515	3	2
2014-03-31 09:45:56.165826	119350	1147225.2599858718	4	2
2014-03-31 09:46:04.346391	119351	52	2	24
2014-03-31 09:46:04.576936	119352	16.1	1	24
2014-03-31 09:46:11.642179	119353	46	2	10
2014-03-31 09:46:11.863797	119354	18.8	1	10
2014-03-31 09:46:19.88911	119355	55	2	9
2014-03-31 09:46:20.121361	119356	19.5	1	9
2014-03-31 09:46:20.949698	119357	53	2	8
2014-03-31 09:46:21.172747	119358	19.4	1	8
2014-03-31 09:46:32.158842	119359	55	2	1
2014-03-31 09:46:32.403559	119360	19.3	1	1
2014-03-31 09:46:50.641834	119361	46	2	10
2014-03-31 09:46:50.863829	119362	18.8	1	10
2014-03-31 09:46:58.887926	119363	55	2	9
2014-03-31 09:46:59.12123	119364	19.5	1	9
2014-03-31 09:46:59.952031	119365	53	2	8
2014-03-31 09:47:00.1738	119366	19.4	1	8
2014-03-31 09:47:11.043721	119367	55	2	1
2014-03-31 09:47:11.49153	119368	19.3	1	1
2014-03-31 09:47:29.64088	119369	46	2	10
2014-03-31 09:47:29.865527	119370	18.8	1	10
2014-03-31 09:47:31.9458	119371	515	3	2
2014-03-31 09:47:32.179564	119372	1147239.0484025287	4	2
2014-03-31 09:47:37.922752	119373	55	2	9
2014-03-31 09:47:38.147617	119374	19.5	1	9
2014-03-31 09:47:39.080039	119375	53	2	8
2014-03-31 09:47:39.570016	119376	19.4	1	8
2014-03-31 09:47:50.045064	119377	55	2	1
2014-03-31 09:47:50.470047	119378	19.3	1	1
2014-03-31 09:48:08.643043	119379	46	2	10
2014-03-31 09:48:09.062907	119380	18.7	1	10
2014-03-31 09:48:16.886545	119381	55	2	9
2014-03-31 09:48:17.107711	119382	19.5	1	9
2014-03-31 09:48:17.95102	119383	53	2	8
2014-03-31 09:48:18.17118	119384	19.4	1	8
2014-03-31 09:48:29.049949	119385	55	2	1
2014-03-31 09:48:29.479992	119386	19.3	1	1
2014-03-31 09:48:32.07003	119387	547	3	2
2014-03-31 09:48:32.492155	119388	1147248.2406803002	4	2
2014-03-31 09:48:43.93958	119389	579	3	2
2014-03-31 09:48:44.170218	119390	1147250.538749743	4	2
2014-03-31 09:48:47.641045	119391	46	2	10
2014-03-31 09:48:47.86433	119392	18.7	1	10
2014-03-31 09:48:56.949811	119393	53	2	8
2014-03-31 09:48:57.180234	119394	19.4	1	8
2014-03-31 09:49:08.155633	119395	55	2	1
2014-03-31 09:49:08.37799	119396	19.3	1	1
2014-03-31 09:49:19.939212	119397	547	3	2
2014-03-31 09:49:20.171268	119398	1147256.28392335	4	2
2014-03-31 09:49:26.766057	119399	46	2	10
2014-03-31 09:49:27.192445	119400	18.7	1	10
2014-03-31 09:49:32.070005	119401	579	3	2
2014-03-31 09:49:32.503942	119402	1147258.581992793	4	2
2014-03-31 09:49:35.021128	119403	55	2	9
2014-03-31 09:49:35.440009	119404	19.5	1	9
2014-03-31 09:49:35.951978	119405	53	2	8
2014-03-31 09:49:36.183514	119406	19.4	1	8
2014-03-31 09:49:43.942022	119407	547	3	2
2014-03-31 09:49:44.163156	119408	1147259.7310275142	4	2
2014-03-31 09:49:46.917964	119409	55	2	1
2014-03-31 09:49:47.148082	119410	19.3	1	1
2014-03-31 09:49:55.940514	119411	547	3	2
2014-03-31 09:49:56.161348	119412	1147262.029096957	4	2
2014-03-31 09:50:05.642349	119413	46	2	10
2014-03-31 09:50:05.874842	119414	18.7	1	10
2014-03-31 09:50:13.891028	119415	55	2	9
2014-03-31 09:50:14.115897	119416	19.5	1	9
2014-03-31 09:50:14.955395	119417	54	2	8
2014-03-31 09:50:15.189498	119418	19.4	1	8
2014-03-31 09:50:25.918066	119419	55	2	1
2014-03-31 09:50:26.165536	119420	19.3	1	1
2014-03-31 09:50:31.945111	119421	579	3	2
2014-03-31 09:50:32.181474	119422	1147267.774270564	4	2
2014-03-31 09:50:43.937836	119423	547	3	2
2014-03-31 09:50:44.161283	119424	1147268.9233052856	4	2
2014-03-31 09:50:44.64167	119425	46	2	10
2014-03-31 09:50:44.886381	119426	18.7	1	10
2014-03-31 09:50:52.889223	119427	55	2	9
2014-03-31 09:50:53.117017	119428	19.5	1	9
2014-03-31 09:50:53.950688	119429	54	2	8
2014-03-31 09:50:54.189603	119430	19.4	1	8
2014-03-31 09:50:55.937145	119431	547	3	2
2014-03-31 09:50:56.160109	119432	1147271.2213747285	4	2
2014-03-31 09:51:04.914777	119433	55	2	1
2014-03-31 09:51:05.158986	119434	19.3	1	1
2014-03-31 09:51:23.641638	119435	46	2	10
2014-03-31 09:51:23.868132	119436	18.7	1	10
2014-03-31 09:51:33.072383	119437	53	2	8
2014-03-31 09:51:33.50976	119438	19.4	1	8
2014-03-31 09:51:44.039968	119439	55	2	1
2014-03-31 09:51:44.460051	119440	19.3	1	1
2014-03-31 09:52:02.64154	119441	46	2	10
2014-03-31 09:52:02.874381	119442	18.7	1	10
2014-03-31 09:52:10.886957	119443	55	2	9
2014-03-31 09:52:11.10824	119444	19.5	1	9
2014-03-31 09:52:11.947536	119445	53	2	8
2014-03-31 09:52:12.178031	119446	19.4	1	8
2014-03-31 09:52:22.913106	119447	55	2	1
2014-03-31 09:52:23.134399	119448	19.3	1	1
2014-03-31 09:52:31.94054	119449	579	3	2
2014-03-31 09:52:32.17296	119450	1147286.1588261067	4	2
2014-03-31 09:52:36.242213	119451	55	2	25
2014-03-31 09:52:36.463705	119452	17.3	1	25
2014-03-31 09:52:41.641291	119453	46	2	10
2014-03-31 09:52:41.873149	119454	18.7	1	10
2014-03-31 09:52:50.020019	119455	55	2	9
2014-03-31 09:52:50.430027	119456	19.5	1	9
2014-03-31 09:52:51.080307	119457	53	2	8
2014-03-31 09:52:51.520048	119458	19.4	1	8
2014-03-31 09:52:56.062171	119459	547	3	2
2014-03-31 09:52:56.494329	119460	1147289.605930271	4	2
2014-03-31 09:53:02.040056	119461	55	2	1
2014-03-31 09:53:02.470048	119462	19.3	1	1
2014-03-31 09:53:15.247239	119463	55	2	25
2014-03-31 09:53:15.468633	119464	18.0	1	25
2014-03-31 09:53:19.952966	119465	579	3	2
2014-03-31 09:53:20.183708	119466	1147293.0530344353	4	2
2014-03-31 09:53:20.642971	119467	46	2	10
2014-03-31 09:53:20.872403	119468	18.7	1	10
2014-03-31 09:53:28.884145	119469	55	2	9
2014-03-31 09:53:29.115125	119470	19.5	1	9
2014-03-31 09:53:29.947943	119471	53	2	8
2014-03-31 09:53:30.168734	119472	19.4	1	8
2014-03-31 09:53:31.935356	119473	547	3	2
2014-03-31 09:53:32.178107	119474	1147295.351103878	4	2
2014-03-31 09:53:40.912781	119475	55	2	1
2014-03-31 09:53:41.133431	119476	19.3	1	1
2014-03-31 09:53:43.937144	119477	547	3	2
2014-03-31 09:53:44.168455	119478	1147296.5001385994	4	2
2014-03-31 09:53:54.371195	119479	55	2	25
2014-03-31 09:53:54.789994	119480	18.5	1	25
2014-03-31 09:53:59.770024	119481	46	2	10
2014-03-31 09:54:00.212441	119482	18.7	1	10
2014-03-31 09:54:07.887546	119483	55	2	9
2014-03-31 09:54:08.109727	119484	19.5	1	9
2014-03-31 09:54:08.948652	119485	53	2	8
2014-03-31 09:54:09.178625	119486	19.4	1	8
2014-03-31 09:54:19.96695	119487	55	2	1
2014-03-31 09:54:20.188739	119488	19.3	1	1
2014-03-31 09:54:31.950195	119489	547	3	2
2014-03-31 09:54:32.20127	119490	1147304.5433816495	4	2
2014-03-31 09:54:33.255147	119491	54	2	25
2014-03-31 09:54:33.492641	119492	18.7	1	25
2014-03-31 09:54:38.641429	119493	46	2	10
2014-03-31 09:54:38.877812	119494	18.6	1	10
2014-03-31 09:54:46.899347	119495	55	2	9
2014-03-31 09:54:47.131587	119496	19.5	1	9
2014-03-31 09:54:47.957665	119497	54	2	8
2014-03-31 09:54:48.205504	119498	19.4	1	8
2014-03-31 09:54:59.039997	119499	55	2	1
2014-03-31 09:54:59.460041	119500	19.3	1	1
2014-03-31 09:55:12.369896	119501	53	2	25
2014-03-31 09:55:12.79993	119502	18.7	1	25
2014-03-31 09:55:17.641261	119503	46	2	10
2014-03-31 09:55:17.868168	119504	18.6	1	10
2014-03-31 09:55:19.992237	119505	515	3	2
2014-03-31 09:55:20.223968	119506	1147311.4375899779	4	2
2014-03-31 09:55:25.888918	119507	55	2	9
2014-03-31 09:55:26.111668	119508	19.5	1	9
2014-03-31 09:55:26.949082	119509	53	2	8
2014-03-31 09:55:27.178618	119510	19.4	1	8
2014-03-31 09:55:31.940017	119511	515	3	2
2014-03-31 09:55:32.163369	119512	1147312.5866246994	4	2
2014-03-31 09:55:37.911804	119513	55	2	1
2014-03-31 09:55:38.148428	119514	19.3	1	1
2014-03-31 09:55:51.24016	119515	53	2	25
2014-03-31 09:55:51.475149	119516	18.6	1	25
2014-03-31 09:55:56.643674	119517	46	2	10
2014-03-31 09:55:56.874662	119518	18.6	1	10
2014-03-31 09:56:04.883892	119519	55	2	9
2014-03-31 09:56:05.107562	119520	19.5	1	9
2014-03-31 09:56:05.945197	119521	53	2	8
2014-03-31 09:56:06.187513	119522	19.4	1	8
2014-03-31 09:56:16.908846	119523	55	2	1
2014-03-31 09:56:17.131132	119524	19.3	1	1
2014-03-31 09:56:30.240748	119525	52	2	25
2014-03-31 09:56:30.472948	119526	18.6	1	25
2014-03-31 09:56:31.935392	119527	515	3	2
2014-03-31 09:56:32.15789	119528	1147321.7789024706	4	2
2014-03-31 09:56:35.64098	119529	46	2	10
2014-03-31 09:56:35.871128	119530	18.6	1	10
2014-03-31 09:56:43.885963	119531	55	2	9
2014-03-31 09:56:44.106574	119532	19.5	1	9
2014-03-31 09:56:44.943554	119533	53	2	8
2014-03-31 09:56:45.174868	119534	19.4	1	8
2014-03-31 09:56:55.908954	119535	55	2	1
2014-03-31 09:56:56.13008	119536	19.3	1	1
2014-03-31 09:57:09.242725	119537	52	2	25
2014-03-31 09:57:09.474288	119538	18.5	1	25
2014-03-31 09:57:14.641357	119539	46	2	10
2014-03-31 09:57:14.866237	119540	18.6	1	10
2014-03-31 09:57:22.886202	119541	55	2	9
2014-03-31 09:57:23.116166	119542	19.5	1	9
2014-03-31 09:57:23.944507	119543	53	2	8
2014-03-31 09:57:24.164407	119544	19.4	1	8
2014-03-31 09:57:31.933837	119545	515	3	2
2014-03-31 09:57:32.163797	119546	1147329.8221455205	4	2
2014-03-31 09:57:34.9046	119547	55	2	1
2014-03-31 09:57:35.127687	119548	19.3	1	1
2014-03-31 09:57:48.360522	119549	52	2	25
2014-03-31 09:57:48.802441	119550	18.5	1	25
2014-03-31 09:57:53.771309	119551	46	2	10
2014-03-31 09:57:54.179952	119552	18.6	1	10
2014-03-31 09:58:01.881134	119553	55	2	9
2014-03-31 09:58:02.112936	119554	19.5	1	9
2014-03-31 09:58:02.945732	119555	53	2	8
2014-03-31 09:58:03.167981	119556	19.4	1	8
2014-03-31 09:58:13.910295	119557	55	2	1
2014-03-31 09:58:14.141183	119558	19.3	1	1
2014-03-31 09:58:27.240362	119559	52	2	25
2014-03-31 09:58:27.520931	119560	18.4	1	25
2014-03-31 09:58:31.934452	119561	515	3	2
2014-03-31 09:58:32.164275	119562	1147339.014423292	4	2
2014-03-31 09:58:32.641284	119563	46	2	10
2014-03-31 09:58:32.8706	119564	18.6	1	10
2014-03-31 09:58:40.883726	119565	55	2	9
2014-03-31 09:58:41.115388	119566	19.5	1	9
2014-03-31 09:58:41.94442	119567	54	2	8
2014-03-31 09:58:42.165534	119568	19.4	1	8
2014-03-31 09:58:53.145397	119569	55	2	1
2014-03-31 09:58:53.389207	119570	19.3	1	1
2014-03-31 09:59:06.238916	119571	51	2	25
2014-03-31 09:59:06.461032	119572	18.3	1	25
2014-03-31 09:59:11.643048	119573	46	2	10
2014-03-31 09:59:11.878406	119574	18.6	1	10
2014-03-31 09:59:19.885522	119575	55	2	9
2014-03-31 09:59:20.140133	119576	19.5	1	9
2014-03-31 09:59:20.945439	119577	53	2	8
2014-03-31 09:59:21.176886	119578	19.4	1	8
2014-03-31 09:59:32.159856	119579	55	2	1
2014-03-31 09:59:32.382012	119580	19.3	1	1
2014-03-31 09:59:45.237012	119581	51	2	25
2014-03-31 09:59:45.472463	119582	18.3	1	25
2014-03-31 09:59:50.641496	119583	46	2	10
2014-03-31 09:59:50.890415	119584	18.6	1	10
2014-03-31 09:59:58.886938	119585	55	2	9
2014-03-31 09:59:59.120657	119586	19.5	1	9
2014-03-31 10:00:00.06887	119587	54	2	8
2014-03-31 10:00:00.307679	119588	19.4	1	8
2014-03-31 10:00:10.908795	119589	55	2	1
2014-03-31 10:00:11.140635	119590	19.3	1	1
2014-03-31 10:00:24.236936	119591	51	2	25
2014-03-31 10:00:24.458627	119592	18.2	1	25
2014-03-31 10:00:29.640404	119593	46	2	10
2014-03-31 10:00:29.874324	119594	18.6	1	10
2014-03-31 10:00:31.932986	119595	466	3	2
2014-03-31 10:00:32.156901	119596	1147355.1009093917	4	2
2014-03-31 10:00:37.883036	119597	55	2	9
2014-03-31 10:00:38.114608	119598	19.5	1	9
2014-03-31 10:00:38.945622	119599	53	2	8
2014-03-31 10:00:39.167412	119600	19.4	1	8
2014-03-31 10:00:43.936614	119601	450	3	2
2014-03-31 10:00:44.166557	119602	1147356.2499441132	4	2
2014-03-31 10:00:49.905951	119603	55	2	1
2014-03-31 10:00:50.133808	119604	19.3	1	1
2014-03-31 10:01:03.237686	119605	51	2	25
2014-03-31 10:01:03.468094	119606	18.2	1	25
2014-03-31 10:01:08.641723	119607	46	2	10
2014-03-31 10:01:08.867957	119608	18.6	1	10
2014-03-31 10:01:16.881909	119609	55	2	9
2014-03-31 10:01:17.116019	119610	19.5	1	9
2014-03-31 10:01:17.942682	119611	53	2	8
2014-03-31 10:01:18.16521	119612	19.4	1	8
2014-03-31 10:01:28.91122	119613	55	2	1
2014-03-31 10:01:29.144338	119614	19.3	1	1
2014-03-31 10:01:31.932406	119615	482	3	2
2014-03-31 10:01:32.156335	119616	1147363.1441524415	4	2
2014-03-31 10:01:40.289568	119617	54	2	24
2014-03-31 10:01:40.533716	119618	18.8	1	24
2014-03-31 10:01:42.234925	119619	51	2	25
2014-03-31 10:01:42.457178	119620	18.2	1	25
2014-03-31 10:01:47.640623	119621	46	2	10
2014-03-31 10:01:47.872346	119622	18.6	1	10
2014-03-31 10:01:55.884474	119623	55	2	9
2014-03-31 10:01:56.107157	119624	19.5	1	9
2014-03-31 10:01:56.943493	119625	53	2	8
2014-03-31 10:01:57.176609	119626	19.4	1	8
2014-03-31 10:02:08.270166	119627	55	2	1
2014-03-31 10:02:08.532883	119628	19.3	1	1
2014-03-31 10:02:19.289692	119629	54	2	24
2014-03-31 10:02:19.520971	119630	18.8	1	24
2014-03-31 10:02:21.238536	119631	51	2	25
2014-03-31 10:02:21.462263	119632	18.1	1	25
2014-03-31 10:02:26.639997	119633	46	2	10
2014-03-31 10:02:26.872638	119634	18.6	1	10
2014-03-31 10:02:31.943737	119635	482	3	2
2014-03-31 10:02:32.165151	119636	1147371.1873954914	4	2
2014-03-31 10:02:34.878441	119637	55	2	9
2014-03-31 10:02:35.108472	119638	19.5	1	9
2014-03-31 10:02:35.933996	119639	53	2	8
2014-03-31 10:02:36.15509	119640	19.4	1	8
2014-03-31 10:02:46.904426	119641	55	2	1
2014-03-31 10:02:47.138153	119642	19.3	1	1
2014-03-31 10:03:00.234621	119643	51	2	25
2014-03-31 10:03:00.457897	119644	18.1	1	25
2014-03-31 10:03:05.639379	119645	46	2	10
2014-03-31 10:03:05.874786	119646	18.6	1	10
2014-03-31 10:03:13.881918	119647	55	2	9
2014-03-31 10:03:14.104239	119648	19.5	1	9
2014-03-31 10:03:14.943653	119649	53	2	8
2014-03-31 10:03:15.175702	119650	19.4	1	8
2014-03-31 10:03:25.902754	119651	55	2	1
2014-03-31 10:03:26.128933	119652	19.2	1	1
2014-03-31 10:03:31.934248	119653	482	3	2
2014-03-31 10:03:32.167595	119654	1147379.2306385415	4	2
2014-03-31 10:03:39.234343	119655	51	2	25
2014-03-31 10:03:39.456736	119656	18.0	1	25
2014-03-31 10:03:44.642326	119657	46	2	10
2014-03-31 10:03:44.879147	119658	18.6	1	10
2014-03-31 10:03:52.88262	119659	55	2	9
2014-03-31 10:03:53.104135	119660	19.5	1	9
2014-03-31 10:03:53.943569	119661	53	2	8
2014-03-31 10:03:54.174338	119662	19.4	1	8
2014-03-31 10:04:04.902576	119663	55	2	1
2014-03-31 10:04:05.123962	119664	19.2	1	1
2014-03-31 10:04:18.23793	119665	51	2	25
2014-03-31 10:04:18.483972	119666	18.0	1	25
2014-03-31 10:04:23.642343	119667	46	2	10
2014-03-31 10:04:23.869327	119668	18.6	1	10
2014-03-31 10:04:32.943653	119669	53	2	8
2014-03-31 10:04:33.175222	119670	19.4	1	8
2014-03-31 10:04:43.900816	119671	55	2	1
2014-03-31 10:04:44.123293	119672	19.2	1	1
2014-03-31 10:04:57.233514	119673	51	2	25
2014-03-31 10:04:57.46438	119674	18.0	1	25
2014-03-31 10:05:02.639129	119675	46	2	10
2014-03-31 10:05:02.866071	119676	18.6	1	10
2014-03-31 10:05:11.082073	119677	55	2	9
2014-03-31 10:05:11.314511	119678	19.5	1	9
2014-03-31 10:05:11.944288	119679	53	2	8
2014-03-31 10:05:12.164762	119680	19.4	1	8
2014-03-31 10:05:22.901738	119681	55	2	1
2014-03-31 10:05:23.131709	119682	19.2	1	1
2014-03-31 10:05:31.932543	119683	482	3	2
2014-03-31 10:05:32.153195	119684	1147395.3171246413	4	2
2014-03-31 10:05:36.231651	119685	51	2	25
2014-03-31 10:05:36.463792	119686	17.9	1	25
2014-03-31 10:05:41.64	119687	46	2	10
2014-03-31 10:05:41.867357	119688	18.6	1	10
2014-03-31 10:05:49.877706	119689	55	2	9
2014-03-31 10:05:50.10935	119690	19.5	1	9
2014-03-31 10:05:50.944694	119691	53	2	8
2014-03-31 10:05:51.166954	119692	19.4	1	8
2014-03-31 10:06:01.900011	119693	55	2	1
2014-03-31 10:06:02.131617	119694	19.2	1	1
2014-03-31 10:06:15.232779	119695	51	2	25
2014-03-31 10:06:15.454572	119696	17.9	1	25
2014-03-31 10:06:20.68872	119697	46	2	10
2014-03-31 10:06:20.92019	119698	18.6	1	10
2014-03-31 10:06:28.874633	119699	55	2	9
2014-03-31 10:06:29.097812	119700	19.5	1	9
2014-03-31 10:06:29.941946	119701	53	2	8
2014-03-31 10:06:30.175892	119702	19.4	1	8
2014-03-31 10:06:31.92844	119703	498	3	2
2014-03-31 10:06:32.15163	119704	1147403.3603676911	4	2
2014-03-31 10:06:40.89666	119705	55	2	1
2014-03-31 10:06:41.134047	119706	19.2	1	1
2014-03-31 10:06:54.229994	119707	51	2	25
2014-03-31 10:06:54.452888	119708	17.9	1	25
2014-03-31 10:06:59.640422	119709	46	2	10
2014-03-31 10:06:59.874923	119710	18.6	1	10
2014-03-31 10:07:08.942956	119711	53	2	8
2014-03-31 10:07:09.166485	119712	19.4	1	8
2014-03-31 10:07:20.14407	119713	55	2	1
2014-03-31 10:07:20.387987	119714	19.2	1	1
2014-03-31 10:07:31.272978	119715	53	2	24
2014-03-31 10:07:31.494166	119716	19.1	1	24
2014-03-31 10:07:31.930976	119717	450	3	2
2014-03-31 10:07:32.161353	119718	1147411.403610741	4	2
2014-03-31 10:07:33.237454	119719	51	2	25
2014-03-31 10:07:33.46186	119720	17.8	1	25
2014-03-31 10:07:38.640797	119721	46	2	10
2014-03-31 10:07:38.873528	119722	18.5	1	10
2014-03-31 10:07:46.880226	119723	55	2	9
2014-03-31 10:07:47.104353	119724	19.5	1	9
2014-03-31 10:07:47.942559	119725	53	2	8
2014-03-31 10:07:48.173551	119726	19.4	1	8
2014-03-31 10:07:58.895922	119727	55	2	1
2014-03-31 10:07:59.117598	119728	19.2	1	1
2014-03-31 10:08:10.280055	119729	53	2	24
2014-03-31 10:08:10.512641	119730	19.2	1	24
2014-03-31 10:08:12.231226	119731	51	2	25
2014-03-31 10:08:12.455969	119732	17.8	1	25
2014-03-31 10:08:17.642711	119733	46	2	10
2014-03-31 10:08:17.875224	119734	18.5	1	10
2014-03-31 10:08:25.879189	119735	55	2	9
2014-03-31 10:08:26.102204	119736	19.5	1	9
2014-03-31 10:08:26.942443	119737	53	2	8
2014-03-31 10:08:27.173206	119738	19.4	1	8
2014-03-31 10:08:31.929404	119739	450	3	2
2014-03-31 10:08:32.155794	119740	1147419.446853791	4	2
2014-03-31 10:08:37.894248	119741	55	2	1
2014-03-31 10:08:38.127688	119742	19.2	1	1
2014-03-31 10:08:49.277913	119743	53	2	24
2014-03-31 10:08:49.500639	119744	19.2	1	24
2014-03-31 10:08:51.271568	119745	51	2	25
2014-03-31 10:08:51.509618	119746	17.8	1	25
2014-03-31 10:08:56.640394	119747	46	2	10
2014-03-31 10:08:57.010061	119748	18.6	1	10
2014-03-31 10:09:04.877199	119749	55	2	9
2014-03-31 10:09:05.110576	119750	19.5	1	9
2014-03-31 10:09:05.947151	119751	53	2	8
2014-03-31 10:09:06.175319	119752	19.4	1	8
2014-03-31 10:09:16.892697	119753	55	2	1
2014-03-31 10:09:17.124576	119754	19.2	1	1
2014-03-31 10:09:28.273331	119755	53	2	24
2014-03-31 10:09:28.494656	119756	19.1	1	24
2014-03-31 10:09:30.230586	119757	50	2	25
2014-03-31 10:09:30.463504	119758	17.8	1	25
2014-03-31 10:09:32.059996	119759	450	3	2
2014-03-31 10:09:32.480016	119760	1147425.1964983502	4	2
2014-03-31 10:09:35.641907	119761	46	2	10
2014-03-31 10:09:35.885354	119762	18.6	1	10
2014-03-31 10:09:43.881434	119763	55	2	9
2014-03-31 10:09:44.123626	119764	19.5	1	9
2014-03-31 10:09:44.940402	119765	53	2	8
2014-03-31 10:09:45.171079	119766	19.4	1	8
2014-03-31 10:09:55.892282	119767	55	2	1
2014-03-31 10:09:56.113982	119768	19.2	1	1
2014-03-31 10:10:07.40219	119769	53	2	24
2014-03-31 10:10:07.840053	119770	19.0	1	24
2014-03-31 10:10:09.361039	119771	50	2	25
2014-03-31 10:10:09.776606	119772	17.8	1	25
2014-03-31 10:10:14.770021	119773	46	2	10
2014-03-31 10:10:15.2101	119774	18.6	1	10
2014-03-31 10:10:22.999108	119775	55	2	9
2014-03-31 10:10:23.41456	119776	19.5	1	9
2014-03-31 10:10:23.93977	119777	53	2	8
2014-03-31 10:10:24.170575	119778	19.4	1	8
2014-03-31 10:10:34.891539	119779	55	2	1
2014-03-31 10:10:35.11362	119780	19.2	1	1
2014-03-31 10:10:46.275458	119781	54	2	24
2014-03-31 10:10:46.509217	119782	18.9	1	24
2014-03-31 10:10:48.227511	119783	50	2	25
2014-03-31 10:10:48.448183	119784	17.7	1	25
2014-03-31 10:10:53.639414	119785	46	2	10
2014-03-31 10:10:53.88131	119786	18.5	1	10
2014-03-31 10:11:01.881784	119787	55	2	9
2014-03-31 10:11:02.103334	119788	19.5	1	9
2014-03-31 10:11:03.070055	119789	53	2	8
2014-03-31 10:11:03.510075	119790	19.4	1	8
2014-03-31 10:11:14.030085	119791	55	2	1
2014-03-31 10:11:14.439854	119792	19.2	1	1
2014-03-31 10:11:25.271979	119793	54	2	24
2014-03-31 10:11:25.503095	119794	18.8	1	24
2014-03-31 10:11:27.228	119795	50	2	25
2014-03-31 10:11:27.45077	119796	17.7	1	25
2014-03-31 10:11:31.926581	119797	450	3	2
2014-03-31 10:11:32.158791	119798	1147441.28298445	4	2
2014-03-31 10:11:32.64002	119799	46	2	10
2014-03-31 10:11:32.868773	119800	18.5	1	10
2014-03-31 10:11:40.876926	119801	55	2	9
2014-03-31 10:11:41.109557	119802	19.5	1	9
2014-03-31 10:11:41.940295	119803	53	2	8
2014-03-31 10:11:42.164696	119804	19.4	1	8
2014-03-31 10:11:52.890588	119805	55	2	1
2014-03-31 10:11:53.123939	119806	19.2	1	1
2014-03-31 10:11:55.926245	119807	482	3	2
2014-03-31 10:11:56.149648	119808	1147443.5810538928	4	2
2014-03-31 10:12:04.272639	119809	54	2	24
2014-03-31 10:12:04.515685	119810	18.7	1	24
2014-03-31 10:12:06.229653	119811	50	2	25
2014-03-31 10:12:06.45252	119812	17.7	1	25
2014-03-31 10:12:07.927215	119813	466	3	2
2014-03-31 10:12:08.159856	119814	1147445.8791233357	4	2
2014-03-31 10:12:11.639456	119815	46	2	10
2014-03-31 10:12:11.860896	119816	18.5	1	10
2014-03-31 10:12:19.874521	119817	55	2	9
2014-03-31 10:12:20.107379	119818	19.5	1	9
2014-03-31 10:12:21.015462	119819	53	2	8
2014-03-31 10:12:21.273399	119820	19.4	1	8
2014-03-31 10:12:32.132041	119821	55	2	1
2014-03-31 10:12:32.40319	119822	19.2	1	1
2014-03-31 10:12:43.271548	119823	53	2	24
2014-03-31 10:12:44.022529	119824	18.6	1	24
2014-03-31 10:12:45.228932	119825	50	2	25
2014-03-31 10:12:45.494662	119826	17.7	1	25
2014-03-31 10:12:50.639277	119827	46	2	10
2014-03-31 10:12:50.916604	119828	18.5	1	10
2014-03-31 10:12:58.878093	119829	55	2	9
2014-03-31 10:12:59.640211	119830	19.5	1	9
2014-03-31 10:12:59.99971	119831	53	2	8
2014-03-31 10:13:00.255949	119832	19.4	1	8
2014-03-31 10:13:07.925928	119833	482	3	2
2014-03-31 10:13:08.191782	119834	1147452.7733316643	4	2
2014-03-31 10:13:10.892016	119835	55	2	1
2014-03-31 10:13:11.116145	119836	19.2	1	1
2014-03-31 10:13:19.925417	119837	498	3	2
2014-03-31 10:13:20.158522	119838	1147455.0714011071	4	2
2014-03-31 10:13:22.509292	119839	53	2	24
2014-03-31 10:13:22.731937	119840	18.5	1	24
2014-03-31 10:13:24.22689	119841	50	2	25
2014-03-31 10:13:24.46108	119842	17.7	1	25
2014-03-31 10:13:29.638849	119843	46	2	10
2014-03-31 10:13:29.862552	119844	18.5	1	10
2014-03-31 10:13:31.927106	119845	498	3	2
2014-03-31 10:13:32.158576	119846	1147456.2204358284	4	2
2014-03-31 10:13:37.880226	119847	55	2	9
2014-03-31 10:13:38.101377	119848	19.5	1	9
2014-03-31 10:13:38.940133	119849	53	2	8
2014-03-31 10:13:39.170708	119850	19.4	1	8
2014-03-31 10:13:49.890719	119851	55	2	1
2014-03-31 10:13:50.112989	119852	19.2	1	1
2014-03-31 10:14:01.268987	119853	53	2	24
2014-03-31 10:14:01.502356	119854	18.4	1	24
2014-03-31 10:14:03.2287	119855	50	2	25
2014-03-31 10:14:03.452995	119856	17.6	1	25
2014-03-31 10:14:08.63962	119857	46	2	10
2014-03-31 10:14:08.885272	119858	18.5	1	10
2014-03-31 10:14:16.873348	119859	55	2	9
2014-03-31 10:14:17.09851	119860	19.5	1	9
2014-03-31 10:14:17.939399	119861	53	2	8
2014-03-31 10:14:18.171623	119862	19.4	1	8
2014-03-31 10:14:28.890382	119863	55	2	1
2014-03-31 10:14:29.112254	119864	19.2	1	1
2014-03-31 10:14:31.92368	119865	515	3	2
2014-03-31 10:14:32.156442	119866	1147465.4127135999	4	2
2014-03-31 10:14:40.268001	119867	53	2	24
2014-03-31 10:14:40.490673	119868	18.4	1	24
2014-03-31 10:14:42.223686	119869	50	2	25
2014-03-31 10:14:42.453662	119870	17.6	1	25
2014-03-31 10:14:47.640252	119871	46	2	10
2014-03-31 10:14:47.863278	119872	18.5	1	10
2014-03-31 10:14:55.873219	119873	55	2	9
2014-03-31 10:14:56.106451	119874	19.5	1	9
2014-03-31 10:14:56.93887	119875	53	2	8
2014-03-31 10:14:57.159074	119876	19.4	1	8
2014-03-31 10:15:07.888193	119877	55	2	1
2014-03-31 10:15:08.119942	119878	19.2	1	1
2014-03-31 10:15:19.392226	119879	53	2	24
2014-03-31 10:15:19.809905	119880	18.3	1	24
2014-03-31 10:15:21.362148	119881	50	2	25
2014-03-31 10:15:21.799912	119882	17.6	1	25
2014-03-31 10:15:26.769937	119883	46	2	10
2014-03-31 10:15:27.184414	119884	18.5	1	10
2014-03-31 10:15:31.923164	119885	498	3	2
2014-03-31 10:15:32.162565	119886	1147473.4559566497	4	2
2014-03-31 10:15:34.873711	119887	55	2	9
2014-03-31 10:15:35.095724	119888	19.5	1	9
2014-03-31 10:15:35.939342	119889	53	2	8
2014-03-31 10:15:36.170488	119890	19.4	1	8
2014-03-31 10:15:46.88857	119891	55	2	1
2014-03-31 10:15:47.269963	119892	19.2	1	1
2014-03-31 10:15:58.389943	119893	53	2	24
2014-03-31 10:15:58.82998	119894	18.3	1	24
2014-03-31 10:16:00.349972	119895	50	2	25
2014-03-31 10:16:00.765063	119896	17.6	1	25
2014-03-31 10:16:05.639109	119897	46	2	10
2014-03-31 10:16:05.873501	119898	18.5	1	10
2014-03-31 10:16:13.875302	119899	55	2	9
2014-03-31 10:16:14.097519	119900	19.5	1	9
2014-03-31 10:16:14.940061	119901	53	2	8
2014-03-31 10:16:15.170704	119902	19.4	1	8
2014-03-31 10:16:25.890687	119903	55	2	1
2014-03-31 10:16:26.113839	119904	19.2	1	1
2014-03-31 10:16:31.929036	119905	498	3	2
2014-03-31 10:16:32.175243	119906	1147481.4991996996	4	2
2014-03-31 10:16:37.263706	119907	54	2	24
2014-03-31 10:16:37.489953	119908	18.2	1	24
2014-03-31 10:16:39.221579	119909	50	2	25
2014-03-31 10:16:39.473515	119910	17.6	1	25
2014-03-31 10:16:44.639427	119911	46	2	10
2014-03-31 10:16:44.860832	119912	18.5	1	10
2014-03-31 10:16:52.87029	119913	55	2	9
2014-03-31 10:16:53.105694	119914	19.5	1	9
2014-03-31 10:16:53.94086	119915	53	2	8
2014-03-31 10:16:54.163122	119916	19.4	1	8
2014-03-31 10:17:04.886135	119917	55	2	1
2014-03-31 10:17:05.119651	119918	19.2	1	1
2014-03-31 10:17:16.253349	119919	54	2	24
2014-03-31 10:17:16.476483	119920	18.1	1	24
2014-03-31 10:17:18.22119	119921	50	2	25
2014-03-31 10:17:18.453003	119922	17.6	1	25
2014-03-31 10:17:23.640645	119923	46	2	10
2014-03-31 10:17:23.864557	119924	18.4	1	10
2014-03-31 10:17:32.938535	119925	53	2	8
2014-03-31 10:17:33.174615	119926	19.4	1	8
2014-03-31 10:17:43.887115	119927	55	2	1
2014-03-31 10:17:44.113607	119928	19.2	1	1
2014-03-31 10:17:57.222819	119929	50	2	25
2014-03-31 10:17:57.454371	119930	17.6	1	25
2014-03-31 10:18:02.639823	119931	46	2	10
2014-03-31 10:18:02.865896	119932	18.4	1	10
2014-03-31 10:18:10.875932	119933	55	2	9
2014-03-31 10:18:11.108075	119934	19.5	1	9
2014-03-31 10:18:11.937435	119935	53	2	8
2014-03-31 10:18:12.159071	119936	19.4	1	8
2014-03-31 10:18:19.922566	119937	595	3	2
2014-03-31 10:18:20.153818	119938	1147498.734720521	4	2
2014-03-31 10:18:22.888055	119939	55	2	1
2014-03-31 10:18:23.110392	119940	19.2	1	1
2014-03-31 10:18:34.265596	119941	54	2	24
2014-03-31 10:18:34.498823	119942	18.1	1	24
2014-03-31 10:18:36.221905	119943	50	2	25
2014-03-31 10:18:36.444506	119944	17.5	1	25
2014-03-31 10:18:41.77005	119945	46	2	10
2014-03-31 10:18:42.21004	119946	18.4	1	10
2014-03-31 10:18:44.050071	119947	482	3	2
2014-03-31 10:18:44.480219	119948	1147502.181824685	4	2
2014-03-31 10:18:50.010016	119949	55	2	9
2014-03-31 10:18:50.449995	119950	19.4	1	9
2014-03-31 10:18:51.062699	119951	53	2	8
2014-03-31 10:18:51.482946	119952	19.4	1	8
2014-03-31 10:19:01.886521	119953	55	2	1
2014-03-31 10:19:02.133248	119954	19.2	1	1
2014-03-31 10:19:13.260382	119955	54	2	24
2014-03-31 10:19:13.485315	119956	18.0	1	24
2014-03-31 10:19:15.221021	119957	50	2	25
2014-03-31 10:19:15.453962	119958	17.5	1	25
2014-03-31 10:19:20.64214	119959	46	2	10
2014-03-31 10:19:20.864314	119960	18.4	1	10
2014-03-31 10:19:28.876073	119961	55	2	9
2014-03-31 10:19:29.108007	119962	19.4	1	9
2014-03-31 10:19:29.939083	119963	53	2	8
2014-03-31 10:19:30.161711	119964	19.4	1	8
2014-03-31 10:19:31.92314	119965	498	3	2
2014-03-31 10:19:32.155018	119966	1147509.0760330136	4	2
2014-03-31 10:19:40.886745	119967	55	2	1
2014-03-31 10:19:41.109024	119968	19.2	1	1
2014-03-31 10:19:43.923421	119969	450	3	2
2014-03-31 10:19:44.15549	119970	1147510.225067735	4	2
2014-03-31 10:19:52.260009	119971	54	2	24
2014-03-31 10:19:52.4836	119972	18.0	1	24
2014-03-31 10:19:54.220705	119973	50	2	25
2014-03-31 10:19:54.452798	119974	17.5	1	25
2014-03-31 10:19:55.922632	119975	450	3	2
2014-03-31 10:19:56.144071	119976	1147511.3741024563	4	2
2014-03-31 10:19:59.639455	119977	46	2	10
2014-03-31 10:19:59.871293	119978	18.4	1	10
2014-03-31 10:20:07.878159	119979	55	2	9
2014-03-31 10:20:08.101056	119980	19.4	1	9
2014-03-31 10:20:08.936617	119981	53	2	8
2014-03-31 10:20:09.168549	119982	19.4	1	8
2014-03-31 10:20:19.883642	119983	55	2	1
2014-03-31 10:20:20.105861	119984	19.2	1	1
2014-03-31 10:20:31.258882	119985	54	2	24
2014-03-31 10:20:31.49027	119986	17.9	1	24
2014-03-31 10:20:31.922456	119987	466	3	2
2014-03-31 10:20:32.143339	119988	1147515.970241342	4	2
2014-03-31 10:20:33.222078	119989	50	2	25
2014-03-31 10:20:33.455869	119990	17.5	1	25
2014-03-31 10:20:38.641583	119991	46	2	10
2014-03-31 10:20:38.868472	119992	18.4	1	10
2014-03-31 10:20:46.876386	119993	55	2	9
2014-03-31 10:20:47.10748	119994	19.4	1	9
2014-03-31 10:20:47.936569	119995	53	2	8
2014-03-31 10:20:48.158541	119996	19.4	1	8
2014-03-31 10:20:59.011148	119997	55	2	1
2014-03-31 10:20:59.460237	119998	19.2	1	1
2014-03-31 10:21:10.258224	119999	54	2	24
2014-03-31 10:21:10.481892	120000	17.9	1	24
2014-03-31 10:21:12.219889	120001	50	2	25
2014-03-31 10:21:12.462473	120002	17.5	1	25
2014-03-31 10:21:17.639032	120003	46	2	10
2014-03-31 10:21:17.863364	120004	18.4	1	10
2014-03-31 10:21:25.874733	120005	55	2	9
2014-03-31 10:21:26.110107	120006	19.4	1	9
2014-03-31 10:21:26.93568	120007	53	2	8
2014-03-31 10:21:27.157086	120008	19.4	1	8
2014-03-31 10:21:31.922941	120009	450	3	2
2014-03-31 10:21:32.159342	120010	1147524.0134843918	4	2
2014-03-31 10:21:37.882746	120011	55	2	1
2014-03-31 10:21:38.147013	120012	19.2	1	1
2014-03-31 10:21:49.257291	120013	54	2	24
2014-03-31 10:21:49.489034	120014	17.8	1	24
2014-03-31 10:21:51.218268	120015	50	2	25
2014-03-31 10:21:51.438594	120016	17.5	1	25
2014-03-31 10:21:56.640045	120017	46	2	10
2014-03-31 10:21:56.874757	120018	18.4	1	10
2014-03-31 10:22:04.876918	120019	55	2	9
2014-03-31 10:22:05.100664	120020	19.4	1	9
2014-03-31 10:22:05.937411	120021	53	2	8
2014-03-31 10:22:06.168211	120022	19.4	1	8
2014-03-31 10:22:16.880314	120023	55	2	1
2014-03-31 10:22:17.104098	120024	19.2	1	1
2014-03-31 10:22:28.255744	120025	54	2	24
2014-03-31 10:22:28.487547	120026	17.8	1	24
2014-03-31 10:22:30.218493	120027	50	2	25
2014-03-31 10:22:30.439303	120028	17.5	1	25
2014-03-31 10:22:31.919961	120029	466	3	2
2014-03-31 10:22:32.15348	120030	1147532.0567274417	4	2
2014-03-31 10:22:35.639039	120031	46	2	10
2014-03-31 10:22:35.863871	120032	18.4	1	10
2014-03-31 10:22:43.876517	120033	55	2	9
2014-03-31 10:22:44.113246	120034	19.4	1	9
2014-03-31 10:22:44.935447	120035	53	2	8
2014-03-31 10:22:45.159537	120036	19.4	1	8
2014-03-31 10:22:55.881718	120037	55	2	1
2014-03-31 10:22:56.114509	120038	19.2	1	1
2014-03-31 10:23:07.255277	120039	54	2	24
2014-03-31 10:23:07.476902	120040	17.8	1	24
2014-03-31 10:23:09.219747	120041	50	2	25
2014-03-31 10:23:09.449995	120042	17.5	1	25
2014-03-31 10:23:14.640508	120043	46	2	10
2014-03-31 10:23:14.86324	120044	18.4	1	10
2014-03-31 10:23:22.873825	120045	55	2	9
2014-03-31 10:23:23.104787	120046	19.4	1	9
2014-03-31 10:23:23.934224	120047	53	2	8
2014-03-31 10:23:24.157511	120048	19.4	1	8
2014-03-31 10:23:31.919921	120049	466	3	2
2014-03-31 10:23:32.166429	120050	1147538.9509357703	4	2
2014-03-31 10:23:34.880762	120051	55	2	1
2014-03-31 10:23:35.103176	120052	19.2	1	1
2014-03-31 10:23:46.256144	120053	54	2	24
2014-03-31 10:23:46.487288	120054	17.8	1	24
2014-03-31 10:23:48.21811	120055	50	2	25
2014-03-31 10:23:48.439039	120056	17.5	1	25
2014-03-31 10:23:53.640038	120057	46	2	10
2014-03-31 10:23:53.871288	120058	18.4	1	10
2014-03-31 10:24:01.875776	120059	55	2	9
2014-03-31 10:24:02.098244	120060	19.4	1	9
2014-03-31 10:24:02.934136	120061	53	2	8
2014-03-31 10:24:03.163953	120062	19.4	1	8
2014-03-31 10:24:13.879575	120063	55	2	1
2014-03-31 10:24:14.103598	120064	19.2	1	1
2014-03-31 10:24:25.252508	120065	54	2	24
2014-03-31 10:24:25.486791	120066	17.7	1	24
2014-03-31 10:24:27.215262	120067	50	2	25
2014-03-31 10:24:27.43918	120068	17.5	1	25
2014-03-31 10:24:31.918802	120069	450	3	2
2014-03-31 10:24:32.151982	120070	1147546.9941788202	4	2
2014-03-31 10:24:32.639777	120071	46	2	10
2014-03-31 10:24:32.866398	120072	18.4	1	10
2014-03-31 10:24:40.871719	120073	55	2	9
2014-03-31 10:24:41.103282	120074	19.4	1	9
2014-03-31 10:24:41.935208	120075	53	2	8
2014-03-31 10:24:42.156799	120076	19.4	1	8
2014-03-31 10:24:52.879536	120077	55	2	1
2014-03-31 10:24:53.110444	120078	19.2	1	1
2014-03-31 10:25:04.252644	120079	54	2	24
2014-03-31 10:25:04.476433	120080	17.7	1	24
2014-03-31 10:25:06.21523	120081	50	2	25
2014-03-31 10:25:06.446392	120082	17.5	1	25
2014-03-31 10:25:11.639325	120083	46	2	10
2014-03-31 10:25:11.863186	120084	18.4	1	10
2014-03-31 10:25:19.875019	120085	55	2	9
2014-03-31 10:25:20.106747	120086	19.4	1	9
2014-03-31 10:25:20.934751	120087	53	2	8
2014-03-31 10:25:21.155176	120088	19.4	1	8
2014-03-31 10:25:32.118407	120089	55	2	1
2014-03-31 10:25:32.350774	120090	19.2	1	1
2014-03-31 10:25:43.251324	120091	54	2	24
2014-03-31 10:25:43.480653	120092	17.7	1	24
2014-03-31 10:25:43.919474	120093	482	3	2
2014-03-31 10:25:44.153781	120094	1147556.1864565916	4	2
2014-03-31 10:25:45.21509	120095	50	2	25
2014-03-31 10:25:45.437113	120096	17.5	1	25
2014-03-31 10:25:50.777477	120097	46	2	10
2014-03-31 10:25:51.260013	120098	18.4	1	10
2014-03-31 10:25:59.009922	120099	55	2	9
2014-03-31 10:25:59.450022	120100	19.4	1	9
2014-03-31 10:26:00.07109	120101	53	2	8
2014-03-31 10:26:00.520054	120102	19.4	1	8
2014-03-31 10:26:10.879785	120103	55	2	1
2014-03-31 10:26:11.10624	120104	19.2	1	1
2014-03-31 10:26:22.250418	120105	54	2	24
2014-03-31 10:26:22.482593	120106	17.6	1	24
2014-03-31 10:26:24.214529	120107	50	2	25
2014-03-31 10:26:24.477539	120108	17.4	1	25
2014-03-31 10:26:29.639741	120109	46	2	10
2014-03-31 10:26:29.872349	120110	18.4	1	10
2014-03-31 10:26:31.919376	120111	498	3	2
2014-03-31 10:26:32.141288	120112	1147563.08066492	4	2
2014-03-31 10:26:37.871564	120113	55	2	9
2014-03-31 10:26:38.103177	120114	19.4	1	9
2014-03-31 10:26:38.93373	120115	53	2	8
2014-03-31 10:26:39.156261	120116	19.4	1	8
2014-03-31 10:26:49.881657	120117	55	2	1
2014-03-31 10:26:50.112567	120118	19.2	1	1
2014-03-31 10:27:01.250796	120119	54	2	24
2014-03-31 10:27:01.476182	120120	17.6	1	24
2014-03-31 10:27:03.214316	120121	50	2	25
2014-03-31 10:27:03.446242	120122	17.4	1	25
2014-03-31 10:27:08.638311	120123	46	2	10
2014-03-31 10:27:08.862722	120124	18.4	1	10
2014-03-31 10:27:16.871334	120125	55	2	9
2014-03-31 10:27:17.102868	120126	19.4	1	9
2014-03-31 10:27:17.935742	120127	53	2	8
2014-03-31 10:27:18.15938	120128	19.3	1	8
2014-03-31 10:27:28.877348	120129	55	2	1
2014-03-31 10:27:29.110281	120130	19.2	1	1
2014-03-31 10:27:31.921617	120131	482	3	2
2014-03-31 10:27:32.143972	120132	1147571.12390797	4	2
2014-03-31 10:27:40.489223	120133	54	2	24
2014-03-31 10:27:40.74114	120134	17.6	1	24
2014-03-31 10:27:42.214006	120135	50	2	25
2014-03-31 10:27:42.436193	120136	17.4	1	25
2014-03-31 10:27:47.639007	120137	46	2	10
2014-03-31 10:27:47.871449	120138	18.4	1	10
2014-03-31 10:27:55.869852	120139	55	2	9
2014-03-31 10:27:56.093921	120140	19.4	1	9
2014-03-31 10:27:56.9336	120141	53	2	8
2014-03-31 10:27:57.168855	120142	19.3	1	8
2014-03-31 10:28:07.879533	120143	56	2	1
2014-03-31 10:28:08.10422	120144	19.2	1	1
2014-03-31 10:28:19.247533	120145	54	2	24
2014-03-31 10:28:19.491314	120146	17.6	1	24
2014-03-31 10:28:21.212274	120147	50	2	25
2014-03-31 10:28:21.433487	120148	17.4	1	25
2014-03-31 10:28:26.638618	120149	46	2	10
2014-03-31 10:28:26.870272	120150	18.4	1	10
2014-03-31 10:28:31.91796	120151	498	3	2
2014-03-31 10:28:32.1454	120152	1147579.16715102	4	2
2014-03-31 10:28:34.86903	120153	55	2	9
2014-03-31 10:28:35.098702	120154	19.4	1	9
2014-03-31 10:28:35.933348	120155	53	2	8
2014-03-31 10:28:36.155153	120156	19.3	1	8
2014-03-31 10:28:46.875899	120157	56	2	1
2014-03-31 10:28:47.108906	120158	19.2	1	1
2014-03-31 10:28:58.250118	120159	54	2	24
2014-03-31 10:28:58.470346	120160	17.6	1	24
2014-03-31 10:29:00.216219	120161	50	2	25
2014-03-31 10:29:00.446768	120162	17.4	1	25
2014-03-31 10:29:05.639746	120163	46	2	10
2014-03-31 10:29:05.863159	120164	18.4	1	10
2014-03-31 10:29:13.869818	120165	55	2	9
2014-03-31 10:29:14.100756	120166	19.4	1	9
2014-03-31 10:29:14.932855	120167	53	2	8
2014-03-31 10:29:15.153837	120168	19.3	1	8
2014-03-31 10:29:25.879856	120169	56	2	1
2014-03-31 10:29:26.111889	120170	19.2	1	1
2014-03-31 10:29:31.918741	120171	498	3	2
2014-03-31 10:29:32.140748	120172	1147587.2103940698	4	2
2014-03-31 10:29:37.244364	120173	54	2	24
2014-03-31 10:29:37.478151	120174	17.5	1	24
2014-03-31 10:29:39.212124	120175	50	2	25
2014-03-31 10:29:39.435194	120176	17.4	1	25
2014-03-31 10:29:44.63984	120177	46	2	10
2014-03-31 10:29:44.871962	120178	18.4	1	10
2014-03-31 10:29:52.868654	120179	55	2	9
2014-03-31 10:29:53.090694	120180	19.4	1	9
2014-03-31 10:29:53.932295	120181	53	2	8
2014-03-31 10:29:54.163328	120182	19.3	1	8
2014-03-31 10:30:04.874878	120183	55	2	1
2014-03-31 10:30:05.097608	120184	19.2	1	1
2014-03-31 10:30:16.243345	120185	54	2	24
2014-03-31 10:30:16.476627	120186	17.5	1	24
2014-03-31 10:30:18.211747	120187	50	2	25
2014-03-31 10:30:18.434323	120188	17.4	1	25
2014-03-31 10:30:23.639644	120189	46	2	10
2014-03-31 10:30:23.871701	120190	18.4	1	10
2014-03-31 10:30:32.936982	120191	53	2	8
2014-03-31 10:30:33.157184	120192	19.3	1	8
2014-03-31 10:30:43.875342	120193	55	2	1
2014-03-31 10:30:44.120085	120194	19.2	1	1
2014-03-31 10:30:55.243945	120195	54	2	24
2014-03-31 10:30:55.465955	120196	17.5	1	24
2014-03-31 10:30:57.209851	120197	50	2	25
2014-03-31 10:30:57.627935	120198	17.4	1	25
2014-03-31 10:31:02.641909	120199	46	2	10
2014-03-31 10:31:02.862093	120200	18.4	1	10
2014-03-31 10:31:10.872633	120201	55	2	9
2014-03-31 10:31:11.094539	120202	19.4	1	9
2014-03-31 10:31:11.934284	120203	53	2	8
2014-03-31 10:31:12.163321	120204	19.3	1	8
2014-03-31 10:31:22.873523	120205	55	2	1
2014-03-31 10:31:23.09458	120206	19.2	1	1
2014-03-31 10:31:31.917612	120207	515	3	2
2014-03-31 10:31:32.149649	120208	1147604.445914891	4	2
2014-03-31 10:31:34.241669	120209	54	2	24
2014-03-31 10:31:34.464396	120210	17.5	1	24
2014-03-31 10:31:36.207199	120211	50	2	25
2014-03-31 10:31:36.437244	120212	17.4	1	25
2014-03-31 10:31:41.638083	120213	46	2	10
2014-03-31 10:31:41.861322	120214	18.4	1	10
2014-03-31 10:31:49.871667	120215	55	2	9
2014-03-31 10:31:50.103699	120216	19.4	1	9
2014-03-31 10:31:50.93167	120217	53	2	8
2014-03-31 10:31:51.153015	120218	19.3	1	8
2014-03-31 10:32:01.875637	120219	55	2	1
2014-03-31 10:32:02.115935	120220	19.2	1	1
2014-03-31 10:32:07.915809	120221	482	3	2
2014-03-31 10:32:08.142647	120222	1147609.0420537766	4	2
2014-03-31 10:32:13.2425	120223	54	2	24
2014-03-31 10:32:13.479262	120224	17.5	1	24
2014-03-31 10:32:15.212449	120225	50	2	25
2014-03-31 10:32:15.431815	120226	17.4	1	25
2014-03-31 10:32:19.918636	120227	482	3	2
2014-03-31 10:32:20.152241	120228	1147611.3401232194	4	2
2014-03-31 10:32:20.639593	120229	46	2	10
2014-03-31 10:32:20.86458	120230	18.4	1	10
2014-03-31 10:32:28.872366	120231	54	2	9
2014-03-31 10:32:29.103995	120232	19.4	1	9
2014-03-31 10:32:29.934106	120233	53	2	8
2014-03-31 10:32:30.155333	120234	19.3	1	8
2014-03-31 10:32:31.916241	120235	482	3	2
2014-03-31 10:32:32.14702	120236	1147612.489157941	4	2
2014-03-31 10:32:40.871268	120237	55	2	1
2014-03-31 10:32:41.098732	120238	19.2	1	1
2014-03-31 10:32:52.239265	120239	54	2	24
2014-03-31 10:32:52.47083	120240	17.5	1	24
2014-03-31 10:32:54.207502	120241	50	2	25
2014-03-31 10:32:54.42917	120242	17.4	1	25
2014-03-31 10:32:59.640166	120243	46	2	10
2014-03-31 10:32:59.882805	120244	18.4	1	10
2014-03-31 10:33:07.868712	120245	54	2	9
2014-03-31 10:33:08.092485	120246	19.4	1	9
2014-03-31 10:33:08.930927	120247	53	2	8
2014-03-31 10:33:09.16311	120248	19.3	1	8
2014-03-31 10:33:19.870049	120249	55	2	1
2014-03-31 10:33:20.09457	120250	19.2	1	1
2014-03-31 10:33:31.239254	120251	54	2	24
2014-03-31 10:33:31.470262	120252	17.4	1	24
2014-03-31 10:33:31.918794	120253	498	3	2
2014-03-31 10:33:32.141519	120254	1147620.5324009908	4	2
2014-03-31 10:33:33.210509	120255	50	2	25
2014-03-31 10:33:33.441732	120256	17.4	1	25
2014-03-31 10:33:38.63794	120257	46	2	10
2014-03-31 10:33:38.864766	120258	18.4	1	10
2014-03-31 10:33:46.868972	120259	54	2	9
2014-03-31 10:33:47.100742	120260	19.4	1	9
2014-03-31 10:33:47.931928	120261	53	2	8
2014-03-31 10:33:48.157418	120262	19.3	1	8
2014-03-31 10:33:58.870151	120263	55	2	1
2014-03-31 10:33:59.102984	120264	19.2	1	1
2014-03-31 10:34:10.241452	120265	54	2	24
2014-03-31 10:34:10.463573	120266	17.4	1	24
2014-03-31 10:34:12.212481	120267	50	2	25
2014-03-31 10:34:12.445142	120268	17.4	1	25
2014-03-31 10:34:17.63842	120269	46	2	10
2014-03-31 10:34:17.861059	120270	18.4	1	10
2014-03-31 10:34:25.868499	120271	54	2	9
2014-03-31 10:34:26.102315	120272	19.4	1	9
2014-03-31 10:34:26.930681	120273	53	2	8
2014-03-31 10:34:27.152296	120274	19.3	1	8
2014-03-31 10:34:31.916387	120275	482	3	2
2014-03-31 10:34:32.150449	120276	1147629.724678762	4	2
2014-03-31 10:34:37.869994	120277	55	2	1
2014-03-31 10:34:38.095573	120278	19.2	1	1
2014-03-31 10:34:49.2393	120279	54	2	24
2014-03-31 10:34:49.473101	120280	17.4	1	24
2014-03-31 10:34:51.208925	120281	50	2	25
2014-03-31 10:34:51.431539	120282	17.4	1	25
2014-03-31 10:34:55.916335	120283	450	3	2
2014-03-31 10:34:56.14764	120284	1147632.0227482049	4	2
2014-03-31 10:34:56.638766	120285	46	2	10
2014-03-31 10:34:56.860967	120286	18.4	1	10
2014-03-31 10:35:04.867747	120287	54	2	9
2014-03-31 10:35:05.099966	120288	19.4	1	9
2014-03-31 10:35:05.930313	120289	53	2	8
2014-03-31 10:35:06.151482	120290	19.3	1	8
2014-03-31 10:35:07.916654	120291	450	3	2
2014-03-31 10:35:08.159238	120292	1147634.3208176477	4	2
2014-03-31 10:35:16.870563	120293	55	2	1
2014-03-31 10:35:17.093257	120294	19.2	1	1
2014-03-31 10:35:28.237003	120295	54	2	24
2014-03-31 10:35:28.471269	120296	17.4	1	24
2014-03-31 10:35:30.20813	120297	50	2	25
2014-03-31 10:35:30.430127	120298	17.3	1	25
2014-03-31 10:35:31.91431	120299	450	3	2
2014-03-31 10:35:32.146285	120300	1147636.6188870906	4	2
2014-03-31 10:35:35.639782	120301	46	2	10
2014-03-31 10:35:35.861	120302	18.4	1	10
2014-03-31 10:35:43.863402	120303	54	2	9
2014-03-31 10:35:44.096088	120304	19.4	1	9
2014-03-31 10:35:44.933005	120305	52	2	8
2014-03-31 10:35:45.156538	120306	19.3	1	8
2014-03-31 10:35:55.869193	120307	55	2	1
2014-03-31 10:35:56.099348	120308	19.2	1	1
2014-03-31 10:36:07.239657	120309	54	2	24
2014-03-31 10:36:07.460566	120310	17.4	1	24
2014-03-31 10:36:07.914883	120311	418	3	2
2014-03-31 10:36:08.146432	120312	1147641.2150259763	4	2
2014-03-31 10:36:09.206859	120313	50	2	25
2014-03-31 10:36:09.427553	120314	17.3	1	25
2014-03-31 10:36:14.641413	120315	46	2	10
2014-03-31 10:36:14.873991	120316	18.4	1	10
2014-03-31 10:36:19.917608	120317	450	3	2
2014-03-31 10:36:20.143163	120318	1147643.5130954192	4	2
2014-03-31 10:36:22.866806	120319	54	2	9
2014-03-31 10:36:23.097956	120320	19.4	1	9
2014-03-31 10:36:23.93032	120321	52	2	8
2014-03-31 10:36:24.153294	120322	19.3	1	8
2014-03-31 10:36:31.915416	120323	434	3	2
2014-03-31 10:36:32.147108	120324	1147644.6621301405	4	2
2014-03-31 10:36:34.869109	120325	55	2	1
2014-03-31 10:36:35.092067	120326	19.2	1	1
2014-03-31 10:36:46.234692	120327	55	2	24
2014-03-31 10:36:46.467712	120328	17.4	1	24
2014-03-31 10:36:48.210414	120329	50	2	25
2014-03-31 10:36:48.432008	120330	17.3	1	25
2014-03-31 10:36:53.638677	120331	46	2	10
2014-03-31 10:36:53.872817	120332	18.4	1	10
2014-03-31 10:37:01.86694	120333	54	2	9
2014-03-31 10:37:02.089628	120334	19.4	1	9
2014-03-31 10:37:02.930834	120335	52	2	8
2014-03-31 10:37:03.162773	120336	19.3	1	8
2014-03-31 10:37:13.869903	120337	55	2	1
2014-03-31 10:37:14.093139	120338	19.2	1	1
2014-03-31 10:37:25.235848	120339	55	2	24
2014-03-31 10:37:25.479728	120340	17.4	1	24
2014-03-31 10:37:27.207166	120341	50	2	25
2014-03-31 10:37:27.433075	120342	17.3	1	25
2014-03-31 10:37:31.916814	120343	434	3	2
2014-03-31 10:37:32.147786	120344	1147651.556338469	4	2
2014-03-31 10:37:32.639399	120345	46	2	10
2014-03-31 10:37:32.867582	120346	18.4	1	10
2014-03-31 10:37:40.866268	120347	54	2	9
2014-03-31 10:37:41.100302	120348	19.4	1	9
2014-03-31 10:37:41.930427	120349	52	2	8
2014-03-31 10:37:42.152087	120350	19.3	1	8
2014-03-31 10:37:52.871027	120351	55	2	1
2014-03-31 10:37:53.102422	120352	19.2	1	1
2014-03-31 10:38:04.234295	120353	55	2	24
2014-03-31 10:38:04.45647	120354	17.3	1	24
2014-03-31 10:38:06.225641	120355	50	2	25
2014-03-31 10:38:06.456823	120356	17.3	1	25
2014-03-31 10:38:07.916533	120357	482	3	2
2014-03-31 10:38:08.137534	120358	1147656.1524773547	4	2
2014-03-31 10:38:11.638448	120359	46	2	10
2014-03-31 10:38:11.870502	120360	18.4	1	10
2014-03-31 10:38:20.929874	120361	52	2	8
2014-03-31 10:38:21.153144	120362	19.3	1	8
2014-03-31 10:38:32.108079	120363	55	2	1
2014-03-31 10:38:32.339132	120364	19.1	1	1
2014-03-31 10:38:43.233331	120365	55	2	24
2014-03-31 10:38:43.454836	120366	17.3	1	24
2014-03-31 10:38:45.204998	120367	50	2	25
2014-03-31 10:38:45.437289	120368	17.3	1	25
2014-03-31 10:38:50.637929	120369	46	2	10
2014-03-31 10:38:50.861151	120370	18.4	1	10
2014-03-31 10:38:55.913402	120371	450	3	2
2014-03-31 10:38:56.149841	120372	1147663.046685683	4	2
2014-03-31 10:38:58.864257	120373	54	2	9
2014-03-31 10:38:59.089296	120374	19.4	1	9
2014-03-31 10:38:59.928904	120375	52	2	8
2014-03-31 10:39:00.162658	120376	19.3	1	8
2014-03-31 10:39:07.914879	120377	450	3	2
2014-03-31 10:39:08.137953	120378	1147664.1957204046	4	2
2014-03-31 10:39:10.865978	120379	55	2	1
2014-03-31 10:39:11.101528	120380	19.1	1	1
2014-03-31 10:39:22.235692	120381	55	2	24
2014-03-31 10:39:22.5128	120382	17.3	1	24
2014-03-31 10:39:24.207161	120383	50	2	25
2014-03-31 10:39:24.43781	120384	17.3	1	25
2014-03-31 10:39:29.638907	120385	46	2	10
2014-03-31 10:39:29.868842	120386	18.3	1	10
2014-03-31 10:39:31.91384	120387	450	3	2
2014-03-31 10:39:32.158723	120388	1147667.6428245688	4	2
2014-03-31 10:39:37.864148	120389	54	2	9
2014-03-31 10:39:38.086629	120390	19.4	1	9
2014-03-31 10:39:38.930582	120391	52	2	8
2014-03-31 10:39:39.162497	120392	19.3	1	8
2014-03-31 10:39:49.86871	120393	55	2	1
2014-03-31 10:39:50.090916	120394	19.1	1	1
2014-03-31 10:40:01.234291	120395	55	2	24
2014-03-31 10:40:01.468589	120396	17.3	1	24
2014-03-31 10:40:03.207015	120397	50	2	25
2014-03-31 10:40:03.42895	120398	17.3	1	25
2014-03-31 10:40:08.638428	120399	46	2	10
2014-03-31 10:40:08.870486	120400	18.3	1	10
2014-03-31 10:40:16.863345	120401	54	2	9
2014-03-31 10:40:17.085928	120402	19.4	1	9
2014-03-31 10:40:17.930425	120403	52	2	8
2014-03-31 10:40:18.162034	120404	19.3	1	8
2014-03-31 10:40:28.868626	120405	55	2	1
2014-03-31 10:40:29.089539	120406	19.1	1	1
2014-03-31 10:40:31.911776	120407	466	3	2
2014-03-31 10:40:32.143845	120408	1147674.5370328974	4	2
2014-03-31 10:40:40.235301	120409	55	2	24
2014-03-31 10:40:40.459511	120410	17.3	1	24
2014-03-31 10:40:42.205847	120411	50	2	25
2014-03-31 10:40:42.438287	120412	17.3	1	25
2014-03-31 10:40:47.640069	120413	46	2	10
2014-03-31 10:40:47.863277	120414	18.3	1	10
2014-03-31 10:40:55.865789	120415	54	2	9
2014-03-31 10:40:56.097948	120416	19.4	1	9
2014-03-31 10:40:56.927743	120417	52	2	8
2014-03-31 10:40:57.149101	120418	19.3	1	8
2014-03-31 10:41:08.102262	120419	55	2	1
2014-03-31 10:41:08.336015	120420	19.1	1	1
2014-03-31 10:41:19.231979	120421	55	2	24
2014-03-31 10:41:19.454471	120422	17.3	1	24
2014-03-31 10:41:19.914379	120423	515	3	2
2014-03-31 10:41:20.145036	120424	1147681.4312412257	4	2
2014-03-31 10:41:21.202719	120425	50	2	25
2014-03-31 10:41:21.425017	120426	17.3	1	25
2014-03-31 10:41:26.640687	120427	46	2	10
2014-03-31 10:41:26.871819	120428	18.3	1	10
2014-03-31 10:41:31.914282	120429	498	3	2
2014-03-31 10:41:32.142718	120430	1147682.5802759472	4	2
2014-03-31 10:41:34.863216	120431	54	2	9
2014-03-31 10:41:35.095521	120432	19.4	1	9
2014-03-31 10:41:35.929296	120433	52	2	8
2014-03-31 10:41:36.151604	120434	19.3	1	8
2014-03-31 10:41:46.863258	120435	55	2	1
2014-03-31 10:41:47.107988	120436	19.1	1	1
2014-03-31 10:41:58.230118	120437	55	2	24
2014-03-31 10:41:58.458753	120438	17.3	1	24
2014-03-31 10:42:00.202946	120439	50	2	25
2014-03-31 10:42:00.434634	120440	17.3	1	25
2014-03-31 10:42:05.640637	120441	46	2	10
2014-03-31 10:42:05.862783	120442	18.3	1	10
2014-03-31 10:42:13.865594	120443	54	2	9
2014-03-31 10:42:14.099868	120444	19.3	1	9
2014-03-31 10:42:14.92854	120445	52	2	8
2014-03-31 10:42:15.149132	120446	19.3	1	8
2014-03-31 10:42:25.864356	120447	55	2	1
2014-03-31 10:42:26.096576	120448	19.1	1	1
2014-03-31 10:42:31.913227	120449	498	3	2
2014-03-31 10:42:32.135669	120450	1147691.7725537184	4	2
2014-03-31 10:42:37.237962	120451	55	2	24
2014-03-31 10:42:37.475115	120452	17.3	1	24
2014-03-31 10:42:39.201847	120453	50	2	25
2014-03-31 10:42:39.424197	120454	17.3	1	25
2014-03-31 10:42:44.639382	120455	46	2	10
2014-03-31 10:42:44.878143	120456	18.3	1	10
2014-03-31 10:42:52.867818	120457	54	2	9
2014-03-31 10:42:53.089831	120458	19.3	1	9
2014-03-31 10:42:53.929476	120459	52	2	8
2014-03-31 10:42:54.1603	120460	19.3	1	8
2014-03-31 10:43:04.865381	120461	55	2	1
2014-03-31 10:43:05.08678	120462	19.1	1	1
2014-03-31 10:43:16.230419	120463	55	2	24
2014-03-31 10:43:16.461968	120464	17.2	1	24
2014-03-31 10:43:18.203494	120465	50	2	25
2014-03-31 10:43:18.423882	120466	17.3	1	25
2014-03-31 10:43:23.638045	120467	46	2	10
2014-03-31 10:43:23.871792	120468	18.3	1	10
2014-03-31 10:43:32.936344	120469	52	2	8
2014-03-31 10:43:33.158621	120470	19.3	1	8
2014-03-31 10:43:44.102367	120471	55	2	1
2014-03-31 10:43:44.333794	120472	19.1	1	1
2014-03-31 10:43:55.227478	120473	55	2	24
2014-03-31 10:43:55.449438	120474	17.2	1	24
2014-03-31 10:43:57.20077	120475	50	2	25
2014-03-31 10:43:57.432526	120476	17.3	1	25
2014-03-31 10:44:02.639187	120477	46	2	10
2014-03-31 10:44:02.862735	120478	18.3	1	10
2014-03-31 10:44:10.865535	120479	54	2	9
2014-03-31 10:44:11.099271	120480	19.3	1	9
2014-03-31 10:44:11.929032	120481	52	2	8
2014-03-31 10:44:12.152718	120482	19.3	1	8
2014-03-31 10:44:22.894718	120483	55	2	1
2014-03-31 10:44:23.140088	120484	19.1	1	1
2014-03-31 10:44:31.91474	120485	450	3	2
2014-03-31 10:44:32.138747	120486	1147707.8590398184	4	2
2014-03-31 10:44:34.228091	120487	55	2	24
2014-03-31 10:44:34.45908	120488	17.2	1	24
2014-03-31 10:44:36.222982	120489	50	2	25
2014-03-31 10:44:36.443806	120490	17.3	1	25
2014-03-31 10:44:41.639038	120491	46	2	10
2014-03-31 10:44:41.871568	120492	18.3	1	10
2014-03-31 10:44:49.86516	120493	54	2	9
2014-03-31 10:44:50.086911	120494	19.3	1	9
2014-03-31 10:44:50.928098	120495	52	2	8
2014-03-31 10:44:51.183393	120496	19.3	1	8
2014-03-31 10:44:55.915529	120497	418	3	2
2014-03-31 10:44:56.140182	120498	1147710.1571092613	4	2
2014-03-31 10:45:01.86429	120499	55	2	1
2014-03-31 10:45:02.099538	120500	19.1	1	1
2014-03-31 10:45:07.913603	120501	402	3	2
2014-03-31 10:45:08.13984	120502	1147711.3061439826	4	2
2014-03-31 10:45:13.226162	120503	55	2	24
2014-03-31 10:45:13.462386	120504	17.2	1	24
2014-03-31 10:45:15.201814	120505	50	2	25
2014-03-31 10:45:15.426589	120506	17.3	1	25
2014-03-31 10:45:20.639502	120507	46	2	10
2014-03-31 10:45:20.872621	120508	18.3	1	10
2014-03-31 10:45:28.865006	120509	54	2	9
2014-03-31 10:45:29.086893	120510	19.3	1	9
2014-03-31 10:45:29.930226	120511	52	2	8
2014-03-31 10:45:30.164426	120512	19.3	1	8
2014-03-31 10:45:31.91342	120513	418	3	2
2014-03-31 10:45:32.134974	120514	1147713.6086843775	4	2
2014-03-31 10:45:40.862772	120515	55	2	1
2014-03-31 10:45:41.095083	120516	19.1	1	1
2014-03-31 10:45:52.224651	120517	55	2	24
2014-03-31 10:45:52.446193	120518	17.2	1	24
2014-03-31 10:45:54.200723	120519	50	2	25
2014-03-31 10:45:54.43342	120520	17.3	1	25
2014-03-31 10:45:59.639483	120521	46	2	10
2014-03-31 10:45:59.862307	120522	18.3	1	10
2014-03-31 10:46:08.928712	120523	52	2	8
2014-03-31 10:46:09.160568	120524	19.3	1	8
2014-03-31 10:46:20.100093	120525	55	2	1
2014-03-31 10:46:20.322482	120526	19.1	1	1
2014-03-31 10:46:31.222976	120527	55	2	24
2014-03-31 10:46:31.454205	120528	17.2	1	24
2014-03-31 10:46:31.91077	120529	2945	3	2
2014-03-31 10:46:32.132291	120530	1147743.4835871344	4	2
2014-03-31 10:46:33.200793	120531	50	2	25
2014-03-31 10:46:33.443477	120532	17.3	1	25
2014-03-31 10:46:38.638282	120533	46	2	10
2014-03-31 10:46:38.864385	120534	18.3	1	10
2014-03-31 10:46:43.910039	120535	2977	3	2
2014-03-31 10:46:44.144934	120536	1147753.8248996271	4	2
2014-03-31 10:46:46.867711	120537	54	2	9
2014-03-31 10:46:47.088418	120538	19.3	1	9
2014-03-31 10:46:47.928084	120539	52	2	8
2014-03-31 10:46:48.159876	120540	19.3	1	8
2014-03-31 10:46:58.859024	120541	55	2	1
2014-03-31 10:46:59.081166	120542	19.0	1	1
2014-03-31 10:47:10.222369	120543	55	2	24
2014-03-31 10:47:10.453743	120544	17.2	1	24
2014-03-31 10:47:12.200554	120545	50	2	25
2014-03-31 10:47:12.422402	120546	17.3	1	25
2014-03-31 10:47:17.642322	120547	46	2	10
2014-03-31 10:47:17.873629	120548	18.3	1	10
2014-03-31 10:47:25.866266	120549	54	2	9
2014-03-31 10:47:26.110877	120550	19.3	1	9
2014-03-31 10:47:26.927897	120551	52	2	8
2014-03-31 10:47:27.158888	120552	19.3	1	8
2014-03-31 10:47:31.913264	120553	2961	3	2
2014-03-31 10:47:32.136529	120554	1147794.0411148767	4	2
2014-03-31 10:47:37.858735	120555	55	2	1
2014-03-31 10:47:38.094433	120556	19.0	1	1
2014-03-31 10:47:49.220198	120557	55	2	24
2014-03-31 10:47:49.442505	120558	17.2	1	24
2014-03-31 10:47:51.199211	120559	50	2	25
2014-03-31 10:47:51.42969	120560	17.3	1	25
2014-03-31 10:47:56.641666	120561	46	2	10
2014-03-31 10:47:56.865841	120562	18.3	1	10
2014-03-31 10:48:04.868643	120563	54	2	9
2014-03-31 10:48:05.104979	120564	19.3	1	9
2014-03-31 10:48:05.928117	120565	52	2	8
2014-03-31 10:48:06.150723	120566	19.3	1	8
2014-03-31 10:48:16.861146	120567	55	2	1
2014-03-31 10:48:17.093435	120568	19.0	1	1
2014-03-31 10:48:28.221274	120569	55	2	24
2014-03-31 10:48:28.449914	120570	17.2	1	24
2014-03-31 10:48:30.198153	120571	50	2	25
2014-03-31 10:48:30.430633	120572	17.3	1	25
2014-03-31 10:48:31.914495	120573	2961	3	2
2014-03-31 10:48:32.136187	120574	1147843.4496078975	4	2
2014-03-31 10:48:35.640137	120575	46	2	10
2014-03-31 10:48:35.875154	120576	18.2	1	10
2014-03-31 10:48:43.866552	120577	54	2	9
2014-03-31 10:48:44.090651	120578	19.3	1	9
2014-03-31 10:48:44.929674	120579	52	2	8
2014-03-31 10:48:45.172623	120580	19.3	1	8
2014-03-31 10:48:56.095767	120581	55	2	1
2014-03-31 10:48:56.31792	120582	19.0	1	1
2014-03-31 10:49:07.218567	120583	55	2	24
2014-03-31 10:49:07.449847	120584	17.1	1	24
2014-03-31 10:49:07.910687	120585	466	3	2
2014-03-31 10:49:08.133289	120586	1147856.0889898331	4	2
2014-03-31 10:49:09.198749	120587	50	2	25
2014-03-31 10:49:09.431798	120588	17.3	1	25
2014-03-31 10:49:14.638914	120589	46	2	10
2014-03-31 10:49:14.862265	120590	18.3	1	10
2014-03-31 10:49:22.866825	120591	54	2	9
2014-03-31 10:49:23.153647	120592	19.3	1	9
2014-03-31 10:49:23.927406	120593	52	2	8
2014-03-31 10:49:24.149197	120594	19.3	1	8
2014-03-31 10:49:31.91108	120595	466	3	2
2014-03-31 10:49:32.14523	120596	1147859.5360939973	4	2
2014-03-31 10:49:34.859064	120597	55	2	1
2014-03-31 10:49:35.085317	120598	19.0	1	1
2014-03-31 10:49:46.217298	120599	55	2	24
2014-03-31 10:49:46.467757	120600	17.1	1	24
2014-03-31 10:49:48.199292	120601	50	2	25
2014-03-31 10:49:48.420076	120602	17.3	1	25
2014-03-31 10:49:53.640089	120603	46	2	10
2014-03-31 10:49:53.872754	120604	18.2	1	10
2014-03-31 10:50:01.866992	120605	54	2	9
2014-03-31 10:50:02.089939	120606	19.3	1	9
2014-03-31 10:50:02.926944	120607	52	2	8
2014-03-31 10:50:03.161689	120608	19.3	1	8
2014-03-31 10:50:13.858774	120609	55	2	1
2014-03-31 10:50:14.081098	120610	19.0	1	1
2014-03-31 10:50:25.219327	120611	55	2	24
2014-03-31 10:50:25.451825	120612	17.1	1	24
2014-03-31 10:50:27.198673	120613	50	2	25
2014-03-31 10:50:27.419334	120614	17.2	1	25
2014-03-31 10:50:31.913518	120615	466	3	2
2014-03-31 10:50:32.14651	120616	1147867.5793370472	4	2
2014-03-31 10:50:32.639848	120617	46	2	10
2014-03-31 10:50:32.860628	120618	18.2	1	10
2014-03-31 10:50:40.86597	120619	54	2	9
2014-03-31 10:50:41.099443	120620	19.3	1	9
2014-03-31 10:50:41.927993	120621	52	2	8
2014-03-31 10:50:42.153339	120622	19.3	1	8
2014-03-31 10:50:52.858695	120623	55	2	1
2014-03-31 10:50:53.089562	120624	19.0	1	1
2014-03-31 10:51:04.213036	120625	55	2	24
2014-03-31 10:51:04.436033	120626	17.1	1	24
2014-03-31 10:51:06.194862	120627	50	2	25
2014-03-31 10:51:06.439995	120628	17.2	1	25
2014-03-31 10:51:07.911442	120629	498	3	2
2014-03-31 10:51:08.133062	120630	1147872.175475933	4	2
2014-03-31 10:51:11.642519	120631	46	2	10
2014-03-31 10:51:11.87407	120632	18.2	1	10
2014-03-31 10:51:20.9273	120633	52	2	8
2014-03-31 10:51:21.15042	120634	19.3	1	8
2014-03-31 10:51:32.094848	120635	55	2	1
2014-03-31 10:51:32.327371	120636	19.0	1	1
2014-03-31 10:51:43.215934	120637	55	2	24
2014-03-31 10:51:43.438699	120638	17.1	1	24
2014-03-31 10:51:45.195862	120639	50	2	25
2014-03-31 10:51:45.427917	120640	17.2	1	25
2014-03-31 10:51:50.640885	120641	46	2	10
2014-03-31 10:51:50.863193	120642	18.2	1	10
2014-03-31 10:51:58.866432	120643	54	2	9
2014-03-31 10:51:59.098858	120644	19.3	1	9
2014-03-31 10:51:59.926665	120645	52	2	8
2014-03-31 10:52:00.148025	120646	19.3	1	8
2014-03-31 10:52:10.85519	120647	55	2	1
2014-03-31 10:52:11.087125	120648	19.0	1	1
2014-03-31 10:52:22.214935	120649	55	2	24
2014-03-31 10:52:22.436619	120650	17.1	1	24
2014-03-31 10:52:24.197756	120651	50	2	25
2014-03-31 10:52:24.429564	120652	17.2	1	25
2014-03-31 10:52:29.641265	120653	46	2	10
2014-03-31 10:52:29.865201	120654	18.2	1	10
2014-03-31 10:52:31.910094	120655	498	3	2
2014-03-31 10:52:32.14229	120656	1147883.665823147	4	2
2014-03-31 10:52:37.865863	120657	54	2	9
2014-03-31 10:52:38.092631	120658	19.3	1	9
2014-03-31 10:52:38.926348	120659	52	2	8
2014-03-31 10:52:39.158473	120660	19.3	1	8
2014-03-31 10:52:49.852526	120661	55	2	1
2014-03-31 10:52:50.074655	120662	19.0	1	1
2014-03-31 10:53:01.21525	120663	55	2	24
2014-03-31 10:53:01.44667	120664	17.1	1	24
2014-03-31 10:53:03.199579	120665	50	2	25
2014-03-31 10:53:03.420831	120666	17.2	1	25
2014-03-31 10:53:08.639577	120667	46	2	10
2014-03-31 10:53:08.873345	120668	18.2	1	10
2014-03-31 10:53:16.867388	120669	54	2	9
2014-03-31 10:53:17.090485	120670	19.3	1	9
2014-03-31 10:53:17.926291	120671	52	2	8
2014-03-31 10:53:18.157755	120672	19.3	1	8
2014-03-31 10:53:28.857734	120673	55	2	1
2014-03-31 10:53:29.085152	120674	19.0	1	1
2014-03-31 10:53:31.90909	120675	531	3	2
2014-03-31 10:53:32.153707	120676	1147891.709066197	4	2
2014-03-31 10:53:40.213847	120677	55	2	24
2014-03-31 10:53:40.43375	120678	17.1	1	24
2014-03-31 10:53:42.194711	120679	50	2	25
2014-03-31 10:53:42.42531	120680	17.2	1	25
2014-03-31 10:53:43.911522	120681	498	3	2
2014-03-31 10:53:44.131594	120682	1147894.0071356397	4	2
2014-03-31 10:53:47.640723	120683	46	2	10
2014-03-31 10:53:47.87875	120684	18.2	1	10
2014-03-31 10:53:56.927141	120685	52	2	8
2014-03-31 10:53:57.149141	120686	19.3	1	8
2014-03-31 10:54:07.852695	120687	55	2	1
2014-03-31 10:54:08.087219	120688	19.0	1	1
2014-03-31 10:54:19.212125	120689	55	2	24
2014-03-31 10:54:19.43178	120690	17.1	1	24
2014-03-31 10:54:21.192633	120691	50	2	25
2014-03-31 10:54:21.423345	120692	17.2	1	25
2014-03-31 10:54:26.640004	120693	46	2	10
2014-03-31 10:54:26.860461	120694	18.2	1	10
2014-03-31 10:54:31.909247	120695	498	3	2
2014-03-31 10:54:32.146505	120696	1147900.9013439682	4	2
2014-03-31 10:54:34.864572	120697	54	2	9
2014-03-31 10:54:35.085812	120698	19.3	1	9
2014-03-31 10:54:35.926284	120699	52	2	8
2014-03-31 10:54:36.158557	120700	19.3	1	8
2014-03-31 10:54:46.85187	120701	55	2	1
2014-03-31 10:54:47.074989	120702	19.0	1	1
2014-03-31 10:54:58.210198	120703	55	2	24
2014-03-31 10:54:58.441101	120704	17.1	1	24
2014-03-31 10:55:00.193755	120705	50	2	25
2014-03-31 10:55:00.415602	120706	17.2	1	25
2014-03-31 10:55:05.640254	120707	46	2	10
2014-03-31 10:55:05.872646	120708	18.2	1	10
2014-03-31 10:55:13.865311	120709	54	2	9
2014-03-31 10:55:14.087954	120710	19.3	1	9
2014-03-31 10:55:14.925786	120711	52	2	8
2014-03-31 10:55:15.15893	120712	19.3	1	8
2014-03-31 10:55:25.850337	120713	55	2	1
2014-03-31 10:55:26.072542	120714	19.0	1	1
2014-03-31 10:55:31.908525	120715	498	3	2
2014-03-31 10:55:32.14269	120716	1147908.944587018	4	2
2014-03-31 10:55:37.21123	120717	55	2	24
2014-03-31 10:55:37.441231	120718	17.1	1	24
2014-03-31 10:55:39.196007	120719	50	2	25
2014-03-31 10:55:39.427011	120720	17.2	1	25
2014-03-31 10:55:44.64083	120721	46	2	10
2014-03-31 10:55:44.86328	120722	18.2	1	10
2014-03-31 10:55:52.864791	120723	54	2	9
2014-03-31 10:55:53.107056	120724	19.3	1	9
2014-03-31 10:55:53.926015	120725	52	2	8
2014-03-31 10:55:54.147738	120726	19.3	1	8
2014-03-31 10:56:04.850008	120727	55	2	1
2014-03-31 10:56:05.082024	120728	19.0	1	1
2014-03-31 10:56:16.20862	120729	55	2	24
2014-03-31 10:56:16.433399	120730	17.1	1	24
2014-03-31 10:56:18.193629	120731	50	2	25
2014-03-31 10:56:18.428843	120732	17.2	1	25
2014-03-31 10:56:23.640718	120733	46	2	10
2014-03-31 10:56:23.861228	120734	18.1	1	10
2014-03-31 10:56:32.927595	120735	52	2	8
2014-03-31 10:56:33.160436	120736	19.3	1	8
2014-03-31 10:56:44.089743	120737	55	2	1
2014-03-31 10:56:44.310857	120738	19.0	1	1
2014-03-31 10:56:55.20879	120739	55	2	24
2014-03-31 10:56:55.442786	120740	17.1	1	24
2014-03-31 10:56:55.907329	120741	466	3	2
2014-03-31 10:56:56.129385	120742	1147920.4349342324	4	2
2014-03-31 10:56:57.192858	120743	50	2	25
2014-03-31 10:56:57.426304	120744	17.2	1	25
2014-03-31 10:57:02.64007	120745	46	2	10
2014-03-31 10:57:02.861776	120746	18.1	1	10
2014-03-31 10:57:10.866631	120747	54	2	9
2014-03-31 10:57:11.09949	120748	19.3	1	9
2014-03-31 10:57:11.926831	120749	52	2	8
2014-03-31 10:57:12.14899	120750	19.3	1	8
2014-03-31 10:57:19.907495	120751	418	3	2
2014-03-31 10:57:20.138674	120752	1147922.7330036752	4	2
2014-03-31 10:57:22.849703	120753	55	2	1
2014-03-31 10:57:23.070734	120754	19.0	1	1
2014-03-31 10:57:31.909577	120755	418	3	2
2014-03-31 10:57:32.140658	120756	1147923.8820383966	4	2
2014-03-31 10:57:34.20842	120757	55	2	24
2014-03-31 10:57:34.429915	120758	17.0	1	24
2014-03-31 10:57:36.192385	120759	50	2	25
2014-03-31 10:57:36.423129	120760	17.2	1	25
2014-03-31 10:57:41.642484	120761	46	2	10
2014-03-31 10:57:41.867283	120762	18.1	1	10
2014-03-31 10:57:49.864139	120763	54	2	9
2014-03-31 10:57:50.096704	120764	19.3	1	9
2014-03-31 10:57:50.925712	120765	52	2	8
2014-03-31 10:57:51.149202	120766	19.3	1	8
2014-03-31 10:58:01.850078	120767	55	2	1
2014-03-31 10:58:02.081265	120768	19.0	1	1
2014-03-31 10:58:13.208178	120769	55	2	24
2014-03-31 10:58:13.429914	120770	17.0	1	24
2014-03-31 10:58:15.191166	120771	50	2	25
2014-03-31 10:58:15.434504	120772	17.2	1	25
2014-03-31 10:58:20.640539	120773	46	2	10
2014-03-31 10:58:20.864122	120774	18.2	1	10
2014-03-31 10:58:28.866684	120775	54	2	9
2014-03-31 10:58:29.099508	120776	19.3	1	9
2014-03-31 10:58:29.925271	120777	52	2	8
2014-03-31 10:58:30.147465	120778	19.3	1	8
2014-03-31 10:58:31.906304	120779	418	3	2
2014-03-31 10:58:32.138257	120780	1147931.9252814464	4	2
2014-03-31 10:58:40.852321	120781	55	2	1
2014-03-31 10:58:41.074019	120782	19.0	1	1
2014-03-31 10:58:52.205705	120783	55	2	24
2014-03-31 10:58:52.436723	120784	17.0	1	24
2014-03-31 10:58:54.191677	120785	50	2	25
2014-03-31 10:58:54.412614	120786	17.2	1	25
2014-03-31 10:58:59.640036	120787	46	2	10
2014-03-31 10:58:59.874177	120788	18.2	1	10
2014-03-31 10:59:07.866086	120789	54	2	9
2014-03-31 10:59:08.091089	120790	19.3	1	9
2014-03-31 10:59:08.927576	120791	52	2	8
2014-03-31 10:59:09.158058	120792	19.3	1	8
2014-03-31 10:59:19.849342	120793	55	2	1
2014-03-31 10:59:20.078923	120794	19.0	1	1
2014-03-31 10:59:31.20796	120795	55	2	24
2014-03-31 10:59:31.440644	120796	17.0	1	24
2014-03-31 10:59:31.910003	120797	434	3	2
2014-03-31 10:59:32.133171	120798	1147938.819489775	4	2
2014-03-31 10:59:33.195319	120799	50	2	25
2014-03-31 10:59:33.426932	120800	17.2	1	25
2014-03-31 10:59:38.640494	120801	46	2	10
2014-03-31 10:59:38.867952	120802	18.2	1	10
2014-03-31 10:59:46.862995	120803	54	2	9
2014-03-31 10:59:47.096746	120804	19.3	1	9
2014-03-31 10:59:47.923958	120805	52	2	8
2014-03-31 10:59:48.147526	120806	19.3	1	8
2014-03-31 10:59:58.850132	120807	55	2	1
2014-03-31 10:59:59.084194	120808	19.0	1	1
2014-03-31 11:00:10.206228	120809	55	2	24
2014-03-31 11:00:10.449473	120810	17.0	1	24
2014-03-31 11:00:12.190954	120811	50	2	25
2014-03-31 11:00:12.422061	120812	17.2	1	25
2014-03-31 11:00:17.641141	120813	46	2	10
2014-03-31 11:00:17.864383	120814	18.2	1	10
2014-03-31 11:00:25.862275	120815	54	2	9
2014-03-31 11:00:26.095046	120816	19.3	1	9
2014-03-31 11:00:26.923323	120817	52	2	8
2014-03-31 11:00:27.14682	120818	19.3	1	8
2014-03-31 11:00:31.905758	120819	418	3	2
2014-03-31 11:00:32.152327	120820	1147945.7136981033	4	2
2014-03-31 11:00:37.850806	120821	55	2	1
2014-03-31 11:00:38.076215	120822	19.0	1	1
2014-03-31 11:00:49.205538	120823	55	2	24
2014-03-31 11:00:49.43539	120824	17.0	1	24
2014-03-31 11:00:51.192864	120825	50	2	25
2014-03-31 11:00:51.414488	120826	17.2	1	25
2014-03-31 11:00:56.639322	120827	46	2	10
2014-03-31 11:00:56.873619	120828	18.2	1	10
2014-03-31 11:01:04.863112	120829	54	2	9
2014-03-31 11:01:05.085946	120830	19.3	1	9
2014-03-31 11:01:05.924365	120831	52	2	8
2014-03-31 11:01:06.15467	120832	19.3	1	8
2014-03-31 11:01:16.849158	120833	55	2	1
2014-03-31 11:01:17.071642	120834	19.0	1	1
2014-03-31 11:01:28.203566	120835	55	2	24
2014-03-31 11:01:28.435875	120836	17.0	1	24
2014-03-31 11:01:30.430299	120837	50	2	25
2014-03-31 11:01:30.652612	120838	17.2	1	25
2014-03-31 11:01:31.905948	120839	418	3	2
2014-03-31 11:01:32.137408	120840	1147952.607906432	4	2
2014-03-31 11:01:35.641367	120841	46	2	10
2014-03-31 11:01:35.866517	120842	18.2	1	10
2014-03-31 11:01:43.863163	120843	54	2	9
2014-03-31 11:01:44.095324	120844	19.3	1	9
2014-03-31 11:01:44.924028	120845	52	2	8
2014-03-31 11:01:45.145588	120846	19.3	1	8
2014-03-31 11:01:55.848733	120847	55	2	1
2014-03-31 11:01:56.080007	120848	19.0	1	1
2014-03-31 11:02:07.20092	120849	55	2	24
2014-03-31 11:02:07.424543	120850	17.0	1	24
2014-03-31 11:02:09.18861	120851	50	2	25
2014-03-31 11:02:09.419774	120852	17.2	1	25
2014-03-31 11:02:14.641009	120853	46	2	10
2014-03-31 11:02:14.863298	120854	18.2	1	10
2014-03-31 11:02:22.864829	120855	54	2	9
2014-03-31 11:02:23.096259	120856	19.3	1	9
2014-03-31 11:02:23.973174	120857	52	2	8
2014-03-31 11:02:24.197197	120858	19.3	1	8
2014-03-31 11:02:31.90594	120859	418	3	2
2014-03-31 11:02:32.137693	120860	1147959.5021147605	4	2
2014-03-31 11:02:34.847956	120861	55	2	1
2014-03-31 11:02:35.071532	120862	19.0	1	1
2014-03-31 11:02:46.201804	120863	56	2	24
2014-03-31 11:02:46.436561	120864	17.0	1	24
2014-03-31 11:02:48.189168	120865	50	2	25
2014-03-31 11:02:48.410194	120866	17.2	1	25
2014-03-31 11:02:53.64177	120867	46	2	10
2014-03-31 11:02:53.886353	120868	18.2	1	10
2014-03-31 11:03:01.862257	120869	54	2	9
2014-03-31 11:03:02.08433	120870	19.3	1	9
2014-03-31 11:03:02.923409	120871	52	2	8
2014-03-31 11:03:03.155985	120872	19.3	1	8
2014-03-31 11:03:07.905859	120873	450	3	2
2014-03-31 11:03:08.131883	120874	1147964.0982536462	4	2
2014-03-31 11:03:13.852775	120875	55	2	1
2014-03-31 11:03:14.087946	120876	19.0	1	1
2014-03-31 11:03:19.907017	120877	450	3	2
2014-03-31 11:03:20.131556	120878	1147965.2472883675	4	2
2014-03-31 11:03:25.200619	120879	56	2	24
2014-03-31 11:03:25.439629	120880	17.0	1	24
2014-03-31 11:03:27.188294	120881	50	2	25
2014-03-31 11:03:27.407968	120882	17.2	1	25
2014-03-31 11:03:31.906496	120883	450	3	2
2014-03-31 11:03:32.137172	120884	1147966.396323089	4	2
2014-03-31 11:03:32.642458	120885	46	2	10
2014-03-31 11:03:32.864574	120886	18.2	1	10
2014-03-31 11:03:40.863889	120887	54	2	9
2014-03-31 11:03:41.096415	120888	19.3	1	9
2014-03-31 11:03:41.924367	120889	52	2	8
2014-03-31 11:03:42.148005	120890	19.3	1	8
2014-03-31 11:03:52.847062	120891	55	2	1
2014-03-31 11:03:53.078535	120892	19.0	1	1
2014-03-31 11:04:04.199664	120893	56	2	24
2014-03-31 11:04:04.421876	120894	17.0	1	24
2014-03-31 11:04:06.187951	120895	50	2	25
2014-03-31 11:04:06.419132	120896	17.2	1	25
2014-03-31 11:04:11.641555	120897	46	2	10
2014-03-31 11:04:11.866062	120898	18.2	1	10
2014-03-31 11:04:19.864595	120899	54	2	9
2014-03-31 11:04:20.099906	120900	19.3	1	9
2014-03-31 11:04:20.92397	120901	52	2	8
2014-03-31 11:04:21.144755	120902	19.3	1	8
2014-03-31 11:04:32.085194	120903	55	2	1
2014-03-31 11:04:32.317278	120904	19.0	1	1
2014-03-31 11:04:43.437697	120905	56	2	24
2014-03-31 11:04:43.662116	120906	17.0	1	24
2014-03-31 11:04:45.188879	120907	50	2	25
2014-03-31 11:04:45.420114	120908	17.2	1	25
2014-03-31 11:04:50.641148	120909	46	2	10
2014-03-31 11:04:50.864293	120910	18.2	1	10
2014-03-31 11:04:58.862063	120911	54	2	9
2014-03-31 11:04:59.096965	120912	19.3	1	9
2014-03-31 11:04:59.924558	120913	52	2	8
2014-03-31 11:05:00.145943	120914	19.3	1	8
2014-03-31 11:05:10.846072	120915	55	2	1
2014-03-31 11:05:11.090955	120916	19.0	1	1
2014-03-31 11:05:19.905941	120917	466	3	2
2014-03-31 11:05:20.13225	120918	1147980.184739746	4	2
2014-03-31 11:05:22.19732	120919	56	2	24
2014-03-31 11:05:22.428743	120920	17.0	1	24
2014-03-31 11:05:24.188272	120921	50	2	25
2014-03-31 11:05:24.409677	120922	17.2	1	25
2014-03-31 11:05:29.641144	120923	46	2	10
2014-03-31 11:05:29.874535	120924	18.2	1	10
2014-03-31 11:05:37.863376	120925	54	2	9
2014-03-31 11:05:38.087259	120926	19.3	1	9
2014-03-31 11:05:38.923349	120927	52	2	8
2014-03-31 11:05:39.157081	120928	19.3	1	8
2014-03-31 11:05:49.844515	120929	55	2	1
2014-03-31 11:05:50.067849	120930	19.0	1	1
2014-03-31 11:06:01.198748	120931	56	2	24
2014-03-31 11:06:01.432774	120932	17.0	1	24
2014-03-31 11:06:03.189445	120933	50	2	25
2014-03-31 11:06:03.413473	120934	17.2	1	25
2014-03-31 11:06:08.640585	120935	46	2	10
2014-03-31 11:06:08.872859	120936	18.2	1	10
2014-03-31 11:06:16.861717	120937	54	2	9
2014-03-31 11:06:17.085278	120938	19.3	1	9
2014-03-31 11:06:17.92273	120939	52	2	8
2014-03-31 11:06:18.156319	120940	19.3	1	8
2014-03-31 11:06:28.84261	120941	55	2	1
2014-03-31 11:06:29.063907	120942	19.0	1	1
2014-03-31 11:06:31.905628	120943	450	3	2
2014-03-31 11:06:32.137109	120944	1147989.377017517	4	2
2014-03-31 11:06:40.195842	120945	56	2	24
2014-03-31 11:06:40.420418	120946	17.0	1	24
2014-03-31 11:06:42.185892	120947	50	2	25
2014-03-31 11:06:42.419896	120948	17.2	1	25
2014-03-31 11:06:47.641544	120949	46	2	10
2014-03-31 11:06:47.862455	120950	18.2	1	10
2014-03-31 11:06:55.861007	120951	54	2	9
2014-03-31 11:06:56.093532	120952	19.3	1	9
2014-03-31 11:06:56.922369	120953	52	2	8
2014-03-31 11:06:57.143804	120954	19.3	1	8
2014-03-31 11:07:07.843531	120955	55	2	1
2014-03-31 11:07:08.075716	120956	19.0	1	1
2014-03-31 11:07:19.195514	120957	56	2	24
2014-03-31 11:07:19.42092	120958	17.0	1	24
2014-03-31 11:07:21.184847	120959	50	2	25
2014-03-31 11:07:21.418269	120960	17.2	1	25
2014-03-31 11:07:26.641103	120961	46	2	10
2014-03-31 11:07:26.86337	120962	18.2	1	10
2014-03-31 11:07:31.905237	120963	450	3	2
2014-03-31 11:07:32.152585	120964	1147997.4202605672	4	2
2014-03-31 11:07:34.85967	120965	54	2	9
2014-03-31 11:07:35.080661	120966	19.3	1	9
2014-03-31 11:07:35.921634	120967	52	2	8
2014-03-31 11:07:36.15428	120968	19.3	1	8
2014-03-31 11:07:46.840717	120969	55	2	1
2014-03-31 11:07:47.064492	120970	19.0	1	1
2014-03-31 11:07:58.195488	120971	57	2	24
2014-03-31 11:07:58.426494	120972	16.9	1	24
2014-03-31 11:08:00.185096	120973	50	2	25
2014-03-31 11:08:00.405151	120974	17.2	1	25
2014-03-31 11:08:05.640163	120975	46	2	10
2014-03-31 11:08:05.874527	120976	18.2	1	10
2014-03-31 11:08:13.858187	120977	54	2	9
2014-03-31 11:08:14.080576	120978	19.3	1	9
2014-03-31 11:08:14.92191	120979	52	2	8
2014-03-31 11:08:15.15342	120980	19.3	1	8
2014-03-31 11:08:25.841446	120981	55	2	1
2014-03-31 11:08:26.064855	120982	19.0	1	1
2014-03-31 11:08:36.998568	120983	450	3	2
2014-03-31 11:08:37.230148	120984	1148004.3144688956	4	2
2014-03-31 11:08:37.532443	120985	57	2	24
2014-03-31 11:08:37.755805	120986	16.9	1	24
2014-03-31 11:08:39.185209	120987	50	2	25
2014-03-31 11:08:39.415826	120988	17.2	1	25
2014-03-31 11:08:44.643255	120989	46	2	10
2014-03-31 11:08:44.865763	120990	18.1	1	10
2014-03-31 11:08:52.8605	120991	54	2	9
2014-03-31 11:08:53.093463	120992	19.3	1	9
2014-03-31 11:08:53.920845	120993	52	2	8
2014-03-31 11:08:54.142899	120994	19.3	1	8
2014-03-31 11:08:55.904605	120995	418	3	2
2014-03-31 11:08:56.136178	120996	1148006.6170092907	4	2
2014-03-31 11:09:04.840275	120997	55	2	1
2014-03-31 11:09:05.062506	120998	19.0	1	1
2014-03-31 11:09:07.904156	120999	418	3	2
2014-03-31 11:09:08.135863	121000	1148007.766044012	4	2
2014-03-31 11:09:16.195956	121001	57	2	24
2014-03-31 11:09:16.417922	121002	16.9	1	24
2014-03-31 11:09:18.186003	121003	50	2	25
2014-03-31 11:09:18.416563	121004	17.2	1	25
2014-03-31 11:09:23.642552	121005	46	2	10
2014-03-31 11:09:23.868953	121006	18.1	1	10
2014-03-31 11:09:32.920384	121007	52	2	8
2014-03-31 11:09:33.152605	121008	19.3	1	8
2014-03-31 11:09:43.841619	121009	55	2	1
2014-03-31 11:09:44.065422	121010	19.0	1	1
2014-03-31 11:09:55.193518	121011	57	2	24
2014-03-31 11:09:55.435447	121012	16.9	1	24
2014-03-31 11:09:57.183979	121013	50	2	25
2014-03-31 11:09:57.407425	121014	17.2	1	25
2014-03-31 11:10:02.640522	121015	46	2	10
2014-03-31 11:10:03.058795	121016	18.1	1	10
2014-03-31 11:10:10.858753	121017	54	2	9
2014-03-31 11:10:11.082256	121018	19.3	1	9
2014-03-31 11:10:11.923806	121019	52	2	8
2014-03-31 11:10:12.145041	121020	19.3	1	8
2014-03-31 11:10:22.840598	121021	55	2	1
2014-03-31 11:10:23.073162	121022	19.0	1	1
2014-03-31 11:10:31.910124	121023	418	3	2
2014-03-31 11:10:32.137368	121024	1148018.1073565048	4	2
2014-03-31 11:10:34.190322	121025	57	2	24
2014-03-31 11:10:34.422454	121026	16.9	1	24
2014-03-31 11:10:36.184861	121027	50	2	25
2014-03-31 11:10:36.406037	121028	17.2	1	25
2014-03-31 11:10:41.640552	121029	46	2	10
2014-03-31 11:10:41.873313	121030	18.1	1	10
2014-03-31 11:10:49.859145	121031	54	2	9
2014-03-31 11:10:50.083559	121032	19.3	1	9
2014-03-31 11:10:50.921509	121033	52	2	8
2014-03-31 11:10:51.154597	121034	19.3	1	8
2014-03-31 11:11:01.840155	121035	55	2	1
2014-03-31 11:11:02.066842	121036	19.0	1	1
2014-03-31 11:11:13.192333	121037	57	2	24
2014-03-31 11:11:13.423138	121038	16.9	1	24
2014-03-31 11:11:15.184947	121039	50	2	25
2014-03-31 11:11:15.405826	121040	17.2	1	25
2014-03-31 11:11:20.642508	121041	46	2	10
2014-03-31 11:11:20.87435	121042	18.1	1	10
2014-03-31 11:11:28.860672	121043	54	2	9
2014-03-31 11:11:29.083466	121044	19.3	1	9
2014-03-31 11:11:29.920702	121045	52	2	8
2014-03-31 11:11:30.154093	121046	19.2	1	8
2014-03-31 11:11:31.903477	121047	402	3	2
2014-03-31 11:11:32.128079	121048	1148025.0015648333	4	2
2014-03-31 11:11:40.839112	121049	55	2	1
2014-03-31 11:11:41.071612	121050	19.0	1	1
2014-03-31 11:11:52.199813	121051	57	2	24
2014-03-31 11:11:52.426525	121052	16.9	1	24
2014-03-31 11:11:54.182923	121053	50	2	25
2014-03-31 11:11:54.41731	121054	17.2	1	25
2014-03-31 11:11:59.642509	121055	46	2	10
2014-03-31 11:11:59.8659	121056	18.1	1	10
2014-03-31 11:12:07.861986	121057	54	2	9
2014-03-31 11:12:08.093421	121058	19.3	1	9
2014-03-31 11:12:08.921697	121059	52	2	8
2014-03-31 11:12:09.144336	121060	19.2	1	8
2014-03-31 11:12:19.841973	121061	55	2	1
2014-03-31 11:12:20.085451	121062	19.0	1	1
2014-03-31 11:12:31.189735	121063	57	2	24
2014-03-31 11:12:31.413786	121064	16.9	1	24
2014-03-31 11:12:31.904941	121065	402	3	2
2014-03-31 11:12:32.139169	121066	1148030.7467384404	4	2
2014-03-31 11:12:33.183012	121067	50	2	25
2014-03-31 11:12:33.406224	121068	17.2	1	25
2014-03-31 11:12:38.642715	121069	46	2	10
2014-03-31 11:12:38.87559	121070	18.1	1	10
2014-03-31 11:12:46.860857	121071	54	2	9
2014-03-31 11:12:47.083663	121072	19.3	1	9
2014-03-31 11:12:47.922442	121073	52	2	8
2014-03-31 11:12:48.153495	121074	19.2	1	8
2014-03-31 11:12:58.841189	121075	55	2	1
2014-03-31 11:12:59.063459	121076	19.0	1	1
2014-03-31 11:13:10.189379	121077	57	2	24
2014-03-31 11:13:10.420346	121078	16.9	1	24
2014-03-31 11:13:12.182582	121079	50	2	25
2014-03-31 11:13:12.403915	121080	17.2	1	25
2014-03-31 11:13:17.642785	121081	46	2	10
2014-03-31 11:13:17.876157	121082	18.1	1	10
2014-03-31 11:13:25.860517	121083	54	2	9
2014-03-31 11:13:26.082627	121084	19.3	1	9
2014-03-31 11:13:26.921995	121085	52	2	8
2014-03-31 11:13:27.153306	121086	19.2	1	8
2014-03-31 11:13:31.904939	121087	402	3	2
2014-03-31 11:13:32.127624	121088	1148037.640946769	4	2
2014-03-31 11:13:37.838187	121089	55	2	1
2014-03-31 11:13:38.074591	121090	19.0	1	1
2014-03-31 11:13:49.190347	121091	57	2	24
2014-03-31 11:13:49.412388	121092	16.9	1	24
2014-03-31 11:13:51.181996	121093	50	2	25
2014-03-31 11:13:51.412768	121094	17.2	1	25
2014-03-31 11:13:56.645725	121095	46	2	10
2014-03-31 11:13:56.868882	121096	18.1	1	10
2014-03-31 11:14:04.860721	121097	54	2	9
2014-03-31 11:14:05.093784	121098	19.3	1	9
2014-03-31 11:14:05.921786	121099	52	2	8
2014-03-31 11:14:06.14476	121100	19.2	1	8
2014-03-31 11:14:16.837505	121101	55	2	1
2014-03-31 11:14:17.071647	121102	19.0	1	1
2014-03-31 11:14:28.189465	121103	57	2	24
2014-03-31 11:14:28.411577	121104	16.9	1	24
2014-03-31 11:14:30.183307	121105	50	2	25
2014-03-31 11:14:30.415703	121106	17.2	1	25
2014-03-31 11:14:31.904882	121107	402	3	2
2014-03-31 11:14:32.125563	121108	1148044.5351550973	4	2
2014-03-31 11:14:35.644602	121109	46	2	10
2014-03-31 11:14:35.89338	121110	18.1	1	10
2014-03-31 11:14:44.920897	121111	52	2	8
2014-03-31 11:14:45.143403	121112	19.2	1	8
2014-03-31 11:14:56.075649	121113	55	2	1
2014-03-31 11:14:56.306975	121114	19.0	1	1
2014-03-31 11:15:07.188095	121115	57	2	24
2014-03-31 11:15:07.409671	121116	16.9	1	24
2014-03-31 11:15:09.181749	121117	50	2	25
2014-03-31 11:15:09.411879	121118	17.2	1	25
2014-03-31 11:15:14.644623	121119	46	2	10
2014-03-31 11:15:14.868173	121120	18.1	1	10
2014-03-31 11:15:22.863749	121121	54	2	9
2014-03-31 11:15:23.096381	121122	19.3	1	9
2014-03-31 11:15:23.923631	121123	52	2	8
2014-03-31 11:15:24.145649	121124	19.2	1	8
2014-03-31 11:15:31.907036	121125	434	3	2
2014-03-31 11:15:32.14018	121126	1148051.4293634258	4	2
2014-03-31 11:15:34.838984	121127	56	2	1
2014-03-31 11:15:35.063428	121128	19.0	1	1
2014-03-31 11:15:46.189006	121129	57	2	24
2014-03-31 11:15:46.422957	121130	16.9	1	24
2014-03-31 11:15:48.182998	121131	50	2	25
2014-03-31 11:15:48.403587	121132	17.2	1	25
2014-03-31 11:15:53.643765	121133	46	2	10
2014-03-31 11:15:53.876219	121134	18.1	1	10
2014-03-31 11:16:01.862344	121135	54	2	9
2014-03-31 11:16:02.087532	121136	19.3	1	9
2014-03-31 11:16:02.920017	121137	52	2	8
2014-03-31 11:16:03.154059	121138	19.2	1	8
2014-03-31 11:16:13.840524	121139	56	2	1
2014-03-31 11:16:14.065072	121140	19.0	1	1
2014-03-31 11:16:25.187425	121141	57	2	24
2014-03-31 11:16:25.419341	121142	16.9	1	24
2014-03-31 11:16:27.181926	121143	50	2	25
2014-03-31 11:16:27.403915	121144	17.2	1	25
2014-03-31 11:16:31.90261	121145	450	3	2
2014-03-31 11:16:32.136608	121146	1148059.4726064757	4	2
2014-03-31 11:16:32.643936	121147	46	2	10
2014-03-31 11:16:32.867093	121148	18.1	1	10
2014-03-31 11:16:40.861538	121149	54	2	9
2014-03-31 11:16:41.095514	121150	19.3	1	9
2014-03-31 11:16:41.92152	121151	52	2	8
2014-03-31 11:16:42.145002	121152	19.2	1	8
2014-03-31 11:16:52.838239	121153	56	2	1
2014-03-31 11:16:53.069974	121154	19.0	1	1
2014-03-31 11:17:04.190107	121155	57	2	24
2014-03-31 11:17:04.413421	121156	16.9	1	24
2014-03-31 11:17:06.182412	121157	50	2	25
2014-03-31 11:17:06.431126	121158	17.2	1	25
2014-03-31 11:17:11.644194	121159	46	2	10
2014-03-31 11:17:11.86939	121160	18.1	1	10
2014-03-31 11:17:19.863114	121161	54	2	9
2014-03-31 11:17:20.094692	121162	19.3	1	9
2014-03-31 11:17:20.920496	121163	52	2	8
2014-03-31 11:17:21.144838	121164	19.2	1	8
2014-03-31 11:17:32.075638	121165	56	2	1
2014-03-31 11:17:32.309005	121166	19.0	1	1
2014-03-31 11:17:43.185885	121167	57	2	24
2014-03-31 11:17:43.412461	121168	16.9	1	24
2014-03-31 11:17:45.182586	121169	50	2	25
2014-03-31 11:17:45.43667	121170	17.2	1	25
2014-03-31 11:17:50.644558	121171	46	2	10
2014-03-31 11:17:50.867489	121172	18.1	1	10
2014-03-31 11:17:58.861638	121173	54	2	9
2014-03-31 11:17:59.095086	121174	19.3	1	9
2014-03-31 11:17:59.922748	121175	52	2	8
2014-03-31 11:18:00.144911	121176	19.2	1	8
2014-03-31 11:18:10.838278	121177	56	2	1
2014-03-31 11:18:11.070558	121178	19.0	1	1
2014-03-31 11:18:22.184899	121179	57	2	24
2014-03-31 11:18:22.409031	121180	16.8	1	24
2014-03-31 11:18:24.181955	121181	50	2	25
2014-03-31 11:18:24.414878	121182	17.2	1	25
2014-03-31 11:18:29.645956	121183	46	2	10
2014-03-31 11:18:29.869493	121184	18.1	1	10
2014-03-31 11:18:31.90445	121185	450	3	2
2014-03-31 11:18:32.135618	121186	1148074.4100578541	4	2
2014-03-31 11:18:37.860593	121187	54	2	9
2014-03-31 11:18:38.083931	121188	19.3	1	9
2014-03-31 11:18:38.923773	121189	52	2	8
2014-03-31 11:18:39.154771	121190	19.2	1	8
2014-03-31 11:18:49.838774	121191	56	2	1
2014-03-31 11:18:50.062609	121192	19.0	1	1
2014-03-31 11:19:01.184938	121193	57	2	24
2014-03-31 11:19:01.417519	121194	16.8	1	24
2014-03-31 11:19:03.181898	121195	50	2	25
2014-03-31 11:19:03.404159	121196	17.2	1	25
2014-03-31 11:19:08.646551	121197	46	2	10
2014-03-31 11:19:08.879915	121198	18.1	1	10
2014-03-31 11:19:16.860683	121199	54	2	9
2014-03-31 11:19:17.083235	121200	19.3	1	9
2014-03-31 11:19:17.921817	121201	52	2	8
2014-03-31 11:19:18.154204	121202	19.2	1	8
2014-03-31 11:19:28.836258	121203	56	2	1
2014-03-31 11:19:29.059041	121204	19.0	1	1
2014-03-31 11:19:31.902834	121205	450	3	2
2014-03-31 11:19:32.146599	121206	1148081.3042661827	4	2
2014-03-31 11:19:40.184734	121207	57	2	24
2014-03-31 11:19:40.405688	121208	16.8	1	24
2014-03-31 11:19:42.179973	121209	50	2	25
2014-03-31 11:19:42.41023	121210	17.2	1	25
2014-03-31 11:19:47.645295	121211	46	2	10
2014-03-31 11:19:47.869686	121212	18.1	1	10
2014-03-31 11:19:55.859302	121213	54	2	9
2014-03-31 11:19:56.09129	121214	19.3	1	9
2014-03-31 11:19:56.921728	121215	52	2	8
2014-03-31 11:19:57.143166	121216	19.2	1	8
2014-03-31 11:20:07.838595	121217	56	2	1
2014-03-31 11:20:08.07227	121218	19.0	1	1
2014-03-31 11:20:19.182459	121219	57	2	24
2014-03-31 11:20:19.403206	121220	16.8	1	24
2014-03-31 11:20:21.17965	121221	50	2	25
2014-03-31 11:20:21.410277	121222	17.2	1	25
2014-03-31 11:20:26.644853	121223	46	2	10
2014-03-31 11:20:26.889854	121224	18.1	1	10
2014-03-31 11:20:31.906098	121225	418	3	2
2014-03-31 11:20:32.139329	121226	1148089.3475092326	4	2
2014-03-31 11:20:34.862975	121227	54	2	9
2014-03-31 11:20:35.084528	121228	19.3	1	9
2014-03-31 11:20:35.923129	121229	52	2	8
2014-03-31 11:20:36.15426	121230	19.2	1	8
2014-03-31 11:20:43.905681	121231	418	3	2
2014-03-31 11:20:44.127177	121232	1148090.496543954	4	2
2014-03-31 11:20:46.835992	121233	56	2	1
2014-03-31 11:20:47.069892	121234	19.0	1	1
2014-03-31 11:20:58.183144	121235	57	2	24
2014-03-31 11:20:58.404771	121236	16.8	1	24
2014-03-31 11:21:00.179564	121237	50	2	25
2014-03-31 11:21:00.409629	121238	17.2	1	25
2014-03-31 11:21:05.645172	121239	46	2	10
2014-03-31 11:21:05.867845	121240	18.1	1	10
2014-03-31 11:21:13.861998	121241	54	2	9
2014-03-31 11:21:14.096339	121242	19.3	1	9
2014-03-31 11:21:14.921822	121243	52	2	8
2014-03-31 11:21:15.146184	121244	19.2	1	8
2014-03-31 11:21:25.835506	121245	56	2	1
2014-03-31 11:21:26.069446	121246	19.0	1	1
2014-03-31 11:21:31.903115	121247	418	3	2
2014-03-31 11:21:32.128529	121248	1148096.241717561	4	2
2014-03-31 11:21:37.18074	121249	57	2	24
2014-03-31 11:21:37.415699	121250	16.8	1	24
2014-03-31 11:21:39.178973	121251	50	2	25
2014-03-31 11:21:39.400416	121252	17.2	1	25
2014-03-31 11:21:44.645615	121253	46	2	10
2014-03-31 11:21:44.889401	121254	18.1	1	10
2014-03-31 11:21:52.861584	121255	54	2	9
2014-03-31 11:21:53.086291	121256	19.3	1	9
2014-03-31 11:21:53.922326	121257	52	2	8
2014-03-31 11:21:54.156174	121258	19.2	1	8
2014-03-31 11:22:04.833076	121259	56	2	1
2014-03-31 11:22:05.05646	121260	19.0	1	1
2014-03-31 11:22:16.182151	121261	57	2	24
2014-03-31 11:22:16.414103	121262	16.8	1	24
2014-03-31 11:22:18.182558	121263	50	2	25
2014-03-31 11:22:18.403183	121264	17.2	1	25
2014-03-31 11:22:23.645171	121265	46	2	10
2014-03-31 11:22:23.876763	121266	18.1	1	10
2014-03-31 11:22:32.924432	121267	52	2	8
2014-03-31 11:22:33.146121	121268	19.2	1	8
2014-03-31 11:22:43.833806	121269	56	2	1
2014-03-31 11:22:44.070694	121270	19.0	1	1
2014-03-31 11:22:55.182403	121271	57	2	24
2014-03-31 11:22:55.406281	121272	16.8	1	24
2014-03-31 11:22:57.180984	121273	50	2	25
2014-03-31 11:22:57.413487	121274	17.2	1	25
2014-03-31 11:23:02.64738	121275	46	2	10
2014-03-31 11:23:02.87048	121276	18.1	1	10
2014-03-31 11:23:10.862927	121277	54	2	9
2014-03-31 11:23:11.096034	121278	19.3	1	9
2014-03-31 11:23:11.922619	121279	52	2	8
2014-03-31 11:23:12.145085	121280	19.2	1	8
2014-03-31 11:23:22.834853	121281	56	2	1
2014-03-31 11:23:23.067885	121282	19.0	1	1
2014-03-31 11:23:31.904781	121283	418	3	2
2014-03-31 11:23:32.128795	121284	1148110.030134218	4	2
2014-03-31 11:23:34.180106	121285	57	2	24
2014-03-31 11:23:34.413618	121286	16.8	1	24
2014-03-31 11:23:36.179157	121287	50	2	25
2014-03-31 11:23:36.404716	121288	17.2	1	25
2014-03-31 11:23:41.64777	121289	46	2	10
2014-03-31 11:23:41.879767	121290	18.1	1	10
2014-03-31 11:23:49.86234	121291	54	2	9
2014-03-31 11:23:50.086027	121292	19.3	1	9
2014-03-31 11:23:50.922342	121293	52	2	8
2014-03-31 11:23:51.154842	121294	19.2	1	8
2014-03-31 11:24:01.83317	121295	56	2	1
2014-03-31 11:24:02.055184	121296	19.0	1	1
2014-03-31 11:24:13.179321	121297	57	2	24
2014-03-31 11:24:13.412142	121298	16.8	1	24
2014-03-31 11:24:15.179075	121299	50	2	25
2014-03-31 11:24:15.401737	121300	17.2	1	25
2014-03-31 11:24:20.652586	121301	46	2	10
2014-03-31 11:24:20.895852	121302	18.1	1	10
2014-03-31 11:24:28.862113	121303	54	2	9
2014-03-31 11:24:29.08686	121304	19.3	1	9
2014-03-31 11:24:29.922581	121305	52	2	8
2014-03-31 11:24:30.15407	121306	19.2	1	8
2014-03-31 11:24:31.904058	121307	434	3	2
2014-03-31 11:24:32.125244	121308	1148118.073377268	4	2
2014-03-31 11:24:40.833613	121309	56	2	1
2014-03-31 11:24:41.065705	121310	19.0	1	1
2014-03-31 11:24:52.17872	121311	57	2	24
2014-03-31 11:24:52.401351	121312	16.8	1	24
2014-03-31 11:24:54.178905	121313	50	2	25
2014-03-31 11:24:54.409353	121314	17.2	1	25
2014-03-31 11:24:59.648689	121315	46	2	10
2014-03-31 11:24:59.87221	121316	18.1	1	10
2014-03-31 11:25:07.863828	121317	54	2	9
2014-03-31 11:25:08.097481	121318	19.3	1	9
2014-03-31 11:25:08.922514	121319	52	2	8
2014-03-31 11:25:09.144223	121320	19.2	1	8
2014-03-31 11:25:19.836374	121321	56	2	1
2014-03-31 11:25:20.068099	121322	19.0	1	1
2014-03-31 11:25:31.179536	121323	57	2	24
2014-03-31 11:25:31.401606	121324	16.8	1	24
2014-03-31 11:25:31.903077	121325	434	3	2
2014-03-31 11:25:32.134982	121326	1148124.9675855965	4	2
2014-03-31 11:25:33.180745	121327	50	2	25
2014-03-31 11:25:33.401538	121328	17.2	1	25
2014-03-31 11:25:38.647339	121329	46	2	10
2014-03-31 11:25:38.880244	121330	18.1	1	10
2014-03-31 11:25:46.86182	121331	54	2	9
2014-03-31 11:25:47.104231	121332	19.3	1	9
2014-03-31 11:25:47.924246	121333	52	2	8
2014-03-31 11:25:48.155174	121334	19.2	1	8
2014-03-31 11:25:58.836646	121335	56	2	1
2014-03-31 11:25:59.062395	121336	19.0	1	1
2014-03-31 11:26:10.181636	121337	57	2	24
2014-03-31 11:26:10.413406	121338	16.8	1	24
2014-03-31 11:26:12.177822	121339	50	2	25
2014-03-31 11:26:12.400522	121340	17.2	1	25
2014-03-31 11:26:17.64903	121341	46	2	10
2014-03-31 11:26:17.883428	121342	18.1	1	10
2014-03-31 11:26:25.858414	121343	54	2	9
2014-03-31 11:26:26.082385	121344	19.3	1	9
2014-03-31 11:26:26.923456	121345	52	2	8
2014-03-31 11:26:27.154721	121346	19.2	1	8
2014-03-31 11:26:31.905099	121347	450	3	2
2014-03-31 11:26:32.129048	121348	1148131.8617939248	4	2
2014-03-31 11:26:37.834826	121349	56	2	1
2014-03-31 11:26:38.081879	121350	19.0	1	1
2014-03-31 11:26:49.174981	121351	57	2	24
2014-03-31 11:26:49.397469	121352	16.8	1	24
2014-03-31 11:26:51.17673	121353	50	2	25
2014-03-31 11:26:51.407767	121354	17.2	1	25
2014-03-31 11:26:56.648557	121355	46	2	10
2014-03-31 11:26:56.87082	121356	18.1	1	10
2014-03-31 11:27:04.863353	121357	54	2	9
2014-03-31 11:27:05.096363	121358	19.3	1	9
2014-03-31 11:27:05.922697	121359	52	2	8
2014-03-31 11:27:06.146733	121360	19.2	1	8
2014-03-31 11:27:16.834109	121361	56	2	1
2014-03-31 11:27:17.068021	121362	19.0	1	1
2014-03-31 11:27:28.177779	121363	57	2	24
2014-03-31 11:27:28.398831	121364	16.8	1	24
2014-03-31 11:27:30.180718	121365	50	2	25
2014-03-31 11:27:30.416769	121366	17.2	1	25
2014-03-31 11:27:31.903804	121367	466	3	2
2014-03-31 11:27:32.126734	121368	1148139.9050369747	4	2
2014-03-31 11:27:35.648197	121369	46	2	10
2014-03-31 11:27:35.888294	121370	18.1	1	10
2014-03-31 11:27:43.862255	121371	54	2	9
2014-03-31 11:27:44.087341	121372	19.3	1	9
2014-03-31 11:27:44.922237	121373	52	2	8
2014-03-31 11:27:45.154744	121374	19.2	1	8
2014-03-31 11:27:55.833783	121375	56	2	1
2014-03-31 11:27:56.055282	121376	19.0	1	1
2014-03-31 11:28:07.178161	121377	57	2	24
2014-03-31 11:28:07.413017	121378	16.8	1	24
2014-03-31 11:28:09.179033	121379	50	2	25
2014-03-31 11:28:09.403015	121380	17.2	1	25
2014-03-31 11:28:14.649601	121381	46	2	10
2014-03-31 11:28:14.881479	121382	18.1	1	10
2014-03-31 11:28:22.861535	121383	54	2	9
2014-03-31 11:28:23.085213	121384	19.3	1	9
2014-03-31 11:28:23.92346	121385	52	2	8
2014-03-31 11:28:24.155576	121386	19.2	1	8
2014-03-31 11:28:31.904558	121387	450	3	2
2014-03-31 11:28:32.127066	121388	1148146.7992453033	4	2
2014-03-31 11:28:34.832747	121389	56	2	1
2014-03-31 11:28:35.064594	121390	19.0	1	1
2014-03-31 11:28:46.176847	121391	57	2	24
2014-03-31 11:28:46.400059	121392	16.8	1	24
2014-03-31 11:28:48.177501	121393	50	2	25
2014-03-31 11:28:48.410241	121394	17.2	1	25
2014-03-31 11:28:53.649843	121395	46	2	10
2014-03-31 11:28:53.871951	121396	18.1	1	10
2014-03-31 11:29:01.860812	121397	54	2	9
2014-03-31 11:29:02.103621	121398	19.3	1	9
2014-03-31 11:29:02.923597	121399	52	2	8
2014-03-31 11:29:03.146087	121400	19.2	1	8
2014-03-31 11:29:13.83267	121401	56	2	1
2014-03-31 11:29:14.065625	121402	19.0	1	1
2014-03-31 11:29:25.174784	121403	57	2	24
2014-03-31 11:29:25.396746	121404	16.8	1	24
2014-03-31 11:29:27.178593	121405	50	2	25
2014-03-31 11:29:27.408611	121406	17.2	1	25
2014-03-31 11:29:31.906182	121407	466	3	2
2014-03-31 11:29:32.129025	121408	1148154.8424883531	4	2
2014-03-31 11:29:32.65041	121409	46	2	10
2014-03-31 11:29:32.882676	121410	18.1	1	10
2014-03-31 11:29:40.86321	121411	54	2	9
2014-03-31 11:29:41.087038	121412	19.3	1	9
2014-03-31 11:29:41.921951	121413	52	2	8
2014-03-31 11:29:42.154882	121414	19.2	1	8
2014-03-31 11:29:52.831338	121415	56	2	1
2014-03-31 11:29:53.055752	121416	19.0	1	1
2014-03-31 11:30:04.174218	121417	57	2	24
2014-03-31 11:30:04.405313	121418	16.8	1	24
2014-03-31 11:30:06.17684	121419	50	2	25
2014-03-31 11:30:06.398909	121420	17.2	1	25
2014-03-31 11:30:11.653322	121421	46	2	10
2014-03-31 11:30:11.885778	121422	18.1	1	10
2014-03-31 11:30:19.862021	121423	54	2	9
2014-03-31 11:30:20.084658	121424	19.3	1	9
2014-03-31 11:30:20.923501	121425	52	2	8
2014-03-31 11:30:21.154916	121426	19.2	1	8
2014-03-31 11:30:43.174401	121427	57	2	24
2014-03-31 11:30:43.396455	121428	16.8	1	24
2014-03-31 11:30:45.176199	121429	50	2	25
2014-03-31 11:30:45.40751	121430	17.2	1	25
2014-03-31 11:30:50.652738	121431	46	2	10
2014-03-31 11:30:50.877086	121432	18.1	1	10
2014-03-31 11:30:58.860966	121433	54	2	9
2014-03-31 11:30:59.093725	121434	19.3	1	9
2014-03-31 11:30:59.922789	121435	52	2	8
2014-03-31 11:31:00.145607	121436	19.2	1	8
2014-03-31 11:31:10.834806	121437	56	2	1
2014-03-31 11:31:11.068731	121438	19.0	1	1
2014-03-31 11:31:22.174209	121439	57	2	24
2014-03-31 11:31:22.397499	121440	16.8	1	24
2014-03-31 11:31:24.177918	121441	50	2	25
2014-03-31 11:31:24.409461	121442	17.2	1	25
2014-03-31 11:31:29.649885	121443	46	2	10
2014-03-31 11:31:29.874495	121444	18.1	1	10
2014-03-31 11:31:31.908104	121445	466	3	2
2014-03-31 11:31:32.152426	121446	1148170.928974453	4	2
2014-03-31 11:31:37.859546	121447	54	2	9
2014-03-31 11:31:38.083049	121448	19.3	1	9
2014-03-31 11:31:38.925554	121449	52	2	8
2014-03-31 11:31:39.157551	121450	19.2	1	8
2014-03-31 11:31:49.827015	121451	56	2	1
2014-03-31 11:31:50.051353	121452	19.0	1	1
2014-03-31 11:32:01.173832	121453	57	2	24
2014-03-31 11:32:01.406197	121454	16.8	1	24
2014-03-31 11:32:03.176307	121455	50	2	25
2014-03-31 11:32:03.395987	121456	17.2	1	25
2014-03-31 11:32:08.650492	121457	46	2	10
2014-03-31 11:32:08.883829	121458	18.1	1	10
2014-03-31 11:32:16.859079	121459	54	2	9
2014-03-31 11:32:17.084579	121460	19.3	1	9
2014-03-31 11:32:17.923001	121461	52	2	8
2014-03-31 11:32:18.15617	121462	19.2	1	8
2014-03-31 11:32:19.905729	121463	3154	3	2
2014-03-31 11:32:20.129065	121464	1148178.972217503	4	2
2014-03-31 11:32:28.829816	121465	56	2	1
2014-03-31 11:32:29.06442	121466	19.0	1	1
2014-03-31 11:32:31.905113	121467	3042	3	2
2014-03-31 11:32:32.129523	121468	1148189.3135299957	4	2
2014-03-31 11:32:40.174385	121469	57	2	24
2014-03-31 11:32:40.407161	121470	16.8	1	24
2014-03-31 11:32:42.17878	121471	50	2	25
2014-03-31 11:32:42.400759	121472	17.2	1	25
2014-03-31 11:32:43.905786	121473	3026	3	2
2014-03-31 11:32:44.139615	121474	1148199.6548424885	4	2
2014-03-31 11:32:47.651421	121475	46	2	10
2014-03-31 11:32:47.874916	121476	18.1	1	10
2014-03-31 11:32:55.859218	121477	54	2	9
2014-03-31 11:32:56.094738	121478	19.3	1	9
2014-03-31 11:32:56.920703	121479	52	2	8
2014-03-31 11:32:57.144868	121480	19.2	1	8
2014-03-31 11:33:19.171534	121481	57	2	24
2014-03-31 11:33:19.405342	121482	16.8	1	24
2014-03-31 11:33:19.904667	121483	3042	3	2
2014-03-31 11:33:20.126541	121484	1148229.5297452451	4	2
2014-03-31 11:33:21.178263	121485	50	2	25
2014-03-31 11:33:21.410516	121486	17.2	1	25
2014-03-31 11:33:26.653191	121487	46	2	10
2014-03-31 11:33:26.875828	121488	18.0	1	10
2014-03-31 11:33:31.903328	121489	3026	3	2
2014-03-31 11:33:32.135786	121490	1148239.8710577379	4	2
2014-03-31 11:33:34.856193	121491	54	2	9
2014-03-31 11:33:35.109655	121492	19.3	1	9
2014-03-31 11:33:35.922332	121493	52	2	8
2014-03-31 11:33:36.187464	121494	19.2	1	8
2014-03-31 11:33:43.907953	121495	1738	3	2
2014-03-31 11:33:44.16577	121496	1148243.3181619023	4	2
2014-03-31 11:33:46.831007	121497	56	2	1
2014-03-31 11:33:47.083074	121498	19.0	1	1
2014-03-31 11:33:55.905093	121499	1738	3	2
2014-03-31 11:33:56.161206	121500	1148249.0633355093	4	2
2014-03-31 11:33:58.169367	121501	57	2	24
2014-03-31 11:33:58.453625	121502	16.7	1	24
2014-03-31 11:34:00.17612	121503	50	2	25
2014-03-31 11:34:00.43513	121504	17.2	1	25
2014-03-31 11:34:05.655145	121505	46	2	10
2014-03-31 11:34:05.919516	121506	18.0	1	10
2014-03-31 11:34:13.858699	121507	54	2	9
2014-03-31 11:34:14.114322	121508	19.3	1	9
2014-03-31 11:34:14.924157	121509	52	2	8
2014-03-31 11:34:15.156347	121510	19.2	1	8
2014-03-31 11:34:25.886814	121511	56	2	1
2014-03-31 11:34:26.109808	121512	19.0	1	1
2014-03-31 11:34:31.90747	121513	1738	3	2
2014-03-31 11:34:32.141504	121514	1148266.2988563303	4	2
2014-03-31 11:34:37.161783	121515	57	2	24
2014-03-31 11:34:37.387058	121516	16.7	1	24
2014-03-31 11:34:39.178214	121517	50	2	25
2014-03-31 11:34:39.408903	121518	17.2	1	25
2014-03-31 11:34:43.905028	121519	1867	3	2
2014-03-31 11:34:44.127633	121520	1148272.0440299376	4	2
2014-03-31 11:34:44.652855	121521	46	2	10
2014-03-31 11:34:44.883094	121522	18.0	1	10
2014-03-31 11:34:52.858741	121523	54	2	9
2014-03-31 11:34:53.082785	121524	19.3	1	9
2014-03-31 11:34:53.923999	121525	52	2	8
2014-03-31 11:34:54.155431	121526	19.2	1	8
2014-03-31 11:34:55.905997	121527	1851	3	2
2014-03-31 11:34:56.12745	121528	1148278.938238266	4	2
2014-03-31 11:35:04.831412	121529	56	2	1
2014-03-31 11:35:05.062877	121530	19.0	1	1
2014-03-31 11:35:16.399183	121531	57	2	24
2014-03-31 11:35:16.624698	121532	16.7	1	24
2014-03-31 11:35:18.174131	121533	50	2	25
2014-03-31 11:35:18.4053	121534	17.2	1	25
2014-03-31 11:35:23.654874	121535	46	2	10
2014-03-31 11:35:23.878327	121536	18.0	1	10
2014-03-31 11:35:32.924171	121537	52	2	8
2014-03-31 11:35:33.156816	121538	19.2	1	8
2014-03-31 11:35:55.168815	121539	57	2	24
2014-03-31 11:35:55.392132	121540	16.7	1	24
2014-03-31 11:35:55.903568	121541	1690	3	2
2014-03-31 11:35:56.147936	121542	1148308.8176119751	4	2
2014-03-31 11:35:57.175687	121543	50	2	25
2014-03-31 11:35:57.396922	121544	17.2	1	25
2014-03-31 11:36:02.65447	121545	46	2	10
2014-03-31 11:36:02.888561	121546	18.0	1	10
2014-03-31 11:36:10.860994	121547	54	2	9
2014-03-31 11:36:11.084265	121548	19.3	1	9
2014-03-31 11:36:11.923547	121549	52	2	8
2014-03-31 11:36:12.155381	121550	19.2	1	8
2014-03-31 11:36:19.903876	121551	515	3	2
2014-03-31 11:36:20.126381	121552	1148315.7118203035	4	2
2014-03-31 11:36:22.831124	121553	57	2	1
2014-03-31 11:36:23.063337	121554	18.9	1	1
2014-03-31 11:36:31.90809	121555	515	3	2
2014-03-31 11:36:32.131844	121556	1148318.0098897463	4	2
2014-03-31 11:36:34.168435	121557	58	2	24
2014-03-31 11:36:34.399881	121558	16.7	1	24
2014-03-31 11:36:36.175725	121559	50	2	25
2014-03-31 11:36:36.396975	121560	17.2	1	25
2014-03-31 11:36:41.65432	121561	46	2	10
2014-03-31 11:36:41.888212	121562	18.0	1	10
2014-03-31 11:36:49.859279	121563	54	2	9
2014-03-31 11:36:50.082324	121564	19.4	1	9
2014-03-31 11:36:50.925491	121565	52	2	8
2014-03-31 11:36:51.157048	121566	19.2	1	8
2014-03-31 11:36:55.905655	121567	1352	3	2
2014-03-31 11:36:56.131306	121568	1148321.4569939105	4	2
2014-03-31 11:37:01.829614	121569	57	2	1
2014-03-31 11:37:02.069187	121570	18.9	1	1
2014-03-31 11:37:07.905721	121571	466	3	2
2014-03-31 11:37:08.136548	121572	1148322.606028632	4	2
2014-03-31 11:37:13.169414	121573	58	2	24
2014-03-31 11:37:13.403981	121574	16.7	1	24
2014-03-31 11:37:15.175563	121575	50	2	25
2014-03-31 11:37:15.399531	121576	17.2	1	25
2014-03-31 11:37:19.905145	121577	547	3	2
2014-03-31 11:37:20.139887	121578	1148324.9040980749	4	2
2014-03-31 11:37:20.654959	121579	46	2	10
2014-03-31 11:37:20.876073	121580	18.0	1	10
2014-03-31 11:37:28.858802	121581	54	2	9
2014-03-31 11:37:29.091432	121582	19.4	1	9
2014-03-31 11:37:29.922482	121583	52	2	8
2014-03-31 11:37:30.147088	121584	19.2	1	8
2014-03-31 11:37:31.904823	121585	595	3	2
2014-03-31 11:37:32.143367	121586	1148327.2021675177	4	2
2014-03-31 11:37:40.828746	121587	57	2	1
2014-03-31 11:37:41.054089	121588	18.9	1	1
2014-03-31 11:37:43.905706	121589	595	3	2
2014-03-31 11:37:44.149492	121590	1148328.351202239	4	2
2014-03-31 11:37:52.206685	121591	58	2	24
2014-03-31 11:37:52.427594	121592	16.7	1	24
2014-03-31 11:37:54.177116	121593	50	2	25
2014-03-31 11:37:54.406078	121594	17.2	1	25
2014-03-31 11:37:59.653515	121595	46	2	10
2014-03-31 11:37:59.875996	121596	18.0	1	10
2014-03-31 11:38:07.865538	121597	54	2	9
2014-03-31 11:38:08.099793	121598	19.4	1	9
2014-03-31 11:38:08.924048	121599	52	2	8
2014-03-31 11:38:09.149128	121600	19.2	1	8
2014-03-31 11:38:19.827958	121601	57	2	1
2014-03-31 11:38:20.059715	121602	18.9	1	1
2014-03-31 11:38:31.169879	121603	58	2	24
2014-03-31 11:38:31.397422	121604	16.7	1	24
2014-03-31 11:38:31.903215	121605	627	3	2
2014-03-31 11:38:32.136043	121606	1148336.394445289	4	2
2014-03-31 11:38:33.180501	121607	50	2	25
2014-03-31 11:38:33.403565	121608	17.2	1	25
2014-03-31 11:38:38.655384	121609	46	2	10
2014-03-31 11:38:38.889259	121610	18.0	1	10
2014-03-31 11:38:43.902461	121611	627	3	2
2014-03-31 11:38:44.127298	121612	1148338.6925147318	4	2
2014-03-31 11:38:46.859214	121613	54	2	9
2014-03-31 11:38:47.089831	121614	19.4	1	9
2014-03-31 11:38:47.922827	121615	52	2	8
2014-03-31 11:38:48.143506	121616	19.2	1	8
2014-03-31 11:38:58.829464	121617	57	2	1
2014-03-31 11:38:59.060133	121618	18.9	1	1
2014-03-31 11:39:10.164767	121619	58	2	24
2014-03-31 11:39:10.389007	121620	16.7	1	24
2014-03-31 11:39:12.174736	121621	50	2	25
2014-03-31 11:39:12.410844	121622	17.2	1	25
2014-03-31 11:39:17.656539	121623	46	2	10
2014-03-31 11:39:17.878559	121624	18.0	1	10
2014-03-31 11:39:25.857561	121625	55	2	9
2014-03-31 11:39:26.13642	121626	19.4	1	9
2014-03-31 11:39:26.923915	121627	52	2	8
2014-03-31 11:39:27.146531	121628	19.2	1	8
2014-03-31 11:39:37.827891	121629	57	2	1
2014-03-31 11:39:38.059895	121630	18.9	1	1
2014-03-31 11:39:49.20429	121631	58	2	24
2014-03-31 11:39:49.428706	121632	16.7	1	24
2014-03-31 11:39:51.175094	121633	50	2	25
2014-03-31 11:39:51.405791	121634	17.2	1	25
2014-03-31 11:39:56.655729	121635	46	2	10
2014-03-31 11:39:56.877605	121636	18.0	1	10
2014-03-31 11:40:04.859576	121637	55	2	9
2014-03-31 11:40:05.102672	121638	19.4	1	9
2014-03-31 11:40:05.926181	121639	52	2	8
2014-03-31 11:40:06.148438	121640	19.2	1	8
2014-03-31 11:40:16.828255	121641	57	2	1
2014-03-31 11:40:17.060516	121642	18.9	1	1
2014-03-31 11:40:28.164926	121643	58	2	24
2014-03-31 11:40:28.386016	121644	16.7	1	24
2014-03-31 11:40:30.173055	121645	50	2	25
2014-03-31 11:40:30.405288	121646	17.2	1	25
2014-03-31 11:40:31.904776	121647	627	3	2
2014-03-31 11:40:32.132225	121648	1148358.226104996	4	2
2014-03-31 11:40:35.657735	121649	46	2	10
2014-03-31 11:40:35.889647	121650	18.1	1	10
2014-03-31 11:40:43.862332	121651	55	2	9
2014-03-31 11:40:44.085427	121652	19.4	1	9
2014-03-31 11:40:44.923762	121653	52	2	8
2014-03-31 11:40:45.15478	121654	19.2	1	8
2014-03-31 11:40:55.824512	121655	57	2	1
2014-03-31 11:40:56.047317	121656	18.9	1	1
2014-03-31 11:41:07.16381	121657	58	2	24
2014-03-31 11:41:07.395844	121658	16.7	1	24
2014-03-31 11:41:09.173815	121659	50	2	25
2014-03-31 11:41:09.395267	121660	17.2	1	25
2014-03-31 11:41:14.655679	121661	46	2	10
2014-03-31 11:41:14.890068	121662	18.1	1	10
2014-03-31 11:41:22.861003	121663	55	2	9
2014-03-31 11:41:23.083195	121664	19.5	1	9
2014-03-31 11:41:23.924507	121665	52	2	8
2014-03-31 11:41:24.155262	121666	19.2	1	8
2014-03-31 11:41:31.904827	121667	627	3	2
2014-03-31 11:41:32.126579	121668	1148368.5674174887	4	2
2014-03-31 11:41:34.830479	121669	57	2	1
2014-03-31 11:41:35.061572	121670	18.9	1	1
2014-03-31 11:41:46.163856	121671	58	2	24
2014-03-31 11:41:46.387809	121672	16.7	1	24
2014-03-31 11:41:48.174331	121673	50	2	25
2014-03-31 11:41:48.406225	121674	17.2	1	25
2014-03-31 11:41:53.655405	121675	46	2	10
2014-03-31 11:41:53.880219	121676	18.1	1	10
2014-03-31 11:42:01.865108	121677	55	2	9
2014-03-31 11:42:02.097061	121678	19.5	1	9
2014-03-31 11:42:02.926114	121679	52	2	8
2014-03-31 11:42:03.14785	121680	19.2	1	8
2014-03-31 11:42:13.827939	121681	57	2	1
2014-03-31 11:42:14.062057	121682	18.9	1	1
2014-03-31 11:42:25.164609	121683	58	2	24
2014-03-31 11:42:25.387356	121684	16.7	1	24
2014-03-31 11:42:27.174886	121685	50	2	25
2014-03-31 11:42:27.417369	121686	17.2	1	25
2014-03-31 11:42:31.903899	121687	627	3	2
2014-03-31 11:42:32.127622	121688	1148378.9087299814	4	2
2014-03-31 11:42:32.654632	121689	46	2	10
2014-03-31 11:42:32.886686	121690	18.1	1	10
2014-03-31 11:42:40.864541	121691	55	2	9
2014-03-31 11:42:41.088318	121692	19.5	1	9
2014-03-31 11:42:41.924108	121693	52	2	8
2014-03-31 11:42:42.156185	121694	19.2	1	8
2014-03-31 11:42:52.826018	121695	57	2	1
2014-03-31 11:42:53.050277	121696	18.9	1	1
2014-03-31 11:43:04.161713	121697	58	2	24
2014-03-31 11:43:04.393736	121698	16.7	1	24
2014-03-31 11:43:06.172654	121699	50	2	25
2014-03-31 11:43:06.393761	121700	17.2	1	25
2014-03-31 11:43:11.657961	121701	46	2	10
2014-03-31 11:43:11.890273	121702	18.1	1	10
2014-03-31 11:43:19.864457	121703	55	2	9
2014-03-31 11:43:20.088454	121704	19.5	1	9
2014-03-31 11:43:20.924181	121705	52	2	8
2014-03-31 11:43:21.157794	121706	19.2	1	8
2014-03-31 11:43:43.164399	121707	58	2	24
2014-03-31 11:43:43.387199	121708	16.7	1	24
2014-03-31 11:43:45.176308	121709	50	2	25
2014-03-31 11:43:45.4076	121710	17.2	1	25
2014-03-31 11:43:50.656642	121711	46	2	10
2014-03-31 11:43:50.87935	121712	18.1	1	10
2014-03-31 11:43:58.865846	121713	55	2	9
2014-03-31 11:43:59.099144	121714	19.5	1	9
2014-03-31 11:43:59.924394	121715	52	2	8
2014-03-31 11:44:00.144794	121716	19.2	1	8
2014-03-31 11:44:10.824023	121717	57	2	1
2014-03-31 11:44:11.057034	121718	18.9	1	1
2014-03-31 11:44:22.163474	121719	58	2	24
2014-03-31 11:44:22.389141	121720	16.7	1	24
2014-03-31 11:44:24.173686	121721	50	2	25
2014-03-31 11:44:24.406613	121722	17.2	1	25
2014-03-31 11:44:29.657959	121723	46	2	10
2014-03-31 11:44:29.880182	121724	18.0	1	10
2014-03-31 11:44:31.905258	121725	547	3	2
2014-03-31 11:44:32.137453	121726	1148399.5913549669	4	2
2014-03-31 11:44:37.86289	121727	55	2	9
2014-03-31 11:44:38.090392	121728	19.5	1	9
2014-03-31 11:44:38.923567	121729	52	2	8
2014-03-31 11:44:39.155733	121730	19.2	1	8
2014-03-31 11:44:43.903702	121731	547	3	2
2014-03-31 11:44:44.131605	121732	1148400.7403896882	4	2
2014-03-31 11:44:49.827766	121733	57	2	1
2014-03-31 11:44:50.074513	121734	18.9	1	1
2014-03-31 11:45:01.164519	121735	58	2	24
2014-03-31 11:45:01.390978	121736	16.7	1	24
2014-03-31 11:45:03.173327	121737	50	2	25
2014-03-31 11:45:03.405506	121738	17.2	1	25
2014-03-31 11:45:08.658292	121739	46	2	10
2014-03-31 11:45:08.881181	121740	18.0	1	10
2014-03-31 11:45:16.863486	121741	55	2	9
2014-03-31 11:45:17.095155	121742	19.5	1	9
2014-03-31 11:45:17.925575	121743	52	2	8
2014-03-31 11:45:18.147343	121744	19.2	1	8
2014-03-31 11:45:28.822051	121745	57	2	1
2014-03-31 11:45:29.054363	121746	18.9	1	1
2014-03-31 11:45:31.906647	121747	547	3	2
2014-03-31 11:45:32.13241	121748	1148408.783632738	4	2
2014-03-31 11:45:40.160002	121749	58	2	24
2014-03-31 11:45:40.391631	121750	16.7	1	24
2014-03-31 11:45:42.174943	121751	50	2	25
2014-03-31 11:45:42.396516	121752	17.2	1	25
2014-03-31 11:45:47.659743	121753	46	2	10
2014-03-31 11:45:47.890805	121754	18.0	1	10
2014-03-31 11:45:55.863822	121755	55	2	9
2014-03-31 11:45:56.085684	121756	19.5	1	9
2014-03-31 11:45:56.924702	121757	52	2	8
2014-03-31 11:45:57.155977	121758	19.2	1	8
2014-03-31 11:46:19.160124	121759	58	2	24
2014-03-31 11:46:19.382339	121760	16.7	1	24
2014-03-31 11:46:19.903321	121761	547	3	2
2014-03-31 11:46:20.13408	121762	1148415.6778410666	4	2
2014-03-31 11:46:21.173423	121763	50	2	25
2014-03-31 11:46:21.39401	121764	17.2	1	25
2014-03-31 11:46:26.800025	121765	46	2	10
2014-03-31 11:46:27.16532	121766	18.0	1	10
2014-03-31 11:46:32.040046	121767	547	3	2
2014-03-31 11:46:32.46002	121768	1148417.9759105095	4	2
2014-03-31 11:46:34.864753	121769	55	2	9
2014-03-31 11:46:35.095734	121770	19.5	1	9
2014-03-31 11:46:36.050029	121771	52	2	8
2014-03-31 11:46:36.472678	121772	19.2	1	8
2014-03-31 11:46:46.960029	121773	57	2	1
2014-03-31 11:46:47.395181	121774	18.9	1	1
2014-03-31 11:46:56.029064	121775	595	3	2
2014-03-31 11:46:56.449992	121776	1148421.4230146736	4	2
2014-03-31 11:46:58.290025	121777	58	2	24
2014-03-31 11:46:58.730039	121778	16.7	1	24
2014-03-31 11:47:00.192338	121779	50	2	25
2014-03-31 11:47:00.413473	121780	17.2	1	25
2014-03-31 11:47:05.659579	121781	46	2	10
2014-03-31 11:47:05.910539	121782	18.0	1	10
2014-03-31 11:47:07.905821	121783	547	3	2
2014-03-31 11:47:08.125264	121784	1148423.7210841165	4	2
2014-03-31 11:47:13.866839	121785	55	2	9
2014-03-31 11:47:14.099372	121786	19.5	1	9
2014-03-31 11:47:14.926418	121787	52	2	8
2014-03-31 11:47:15.148059	121788	19.2	1	8
2014-03-31 11:47:19.907215	121789	547	3	2
2014-03-31 11:47:20.146067	121790	1148424.870118838	4	2
2014-03-31 11:47:25.823133	121791	57	2	1
2014-03-31 11:47:26.050516	121792	18.9	1	1
2014-03-31 11:47:32.041604	121793	547	3	2
2014-03-31 11:47:32.479836	121794	1148427.1681882807	4	2
2014-03-31 11:47:37.285019	121795	58	2	24
2014-03-31 11:47:37.709911	121796	16.7	1	24
2014-03-31 11:47:39.302796	121797	50	2	25
2014-03-31 11:47:39.750348	121798	17.2	1	25
2014-03-31 11:47:44.789977	121799	46	2	10
2014-03-31 11:47:45.209986	121800	18.0	1	10
2014-03-31 11:47:53.005276	121801	55	2	9
2014-03-31 11:47:53.320789	121802	19.5	1	9
2014-03-31 11:47:53.927261	121803	52	2	8
2014-03-31 11:47:54.148865	121804	19.2	1	8
2014-03-31 11:48:04.825561	121805	57	2	1
2014-03-31 11:48:05.05716	121806	18.9	1	1
2014-03-31 11:48:16.161554	121807	58	2	24
2014-03-31 11:48:16.384788	121808	16.7	1	24
2014-03-31 11:48:18.192047	121809	50	2	25
2014-03-31 11:48:18.423891	121810	17.2	1	25
2014-03-31 11:48:23.66133	121811	46	2	10
2014-03-31 11:48:23.88406	121812	18.0	1	10
2014-03-31 11:48:32.92418	121813	52	2	8
2014-03-31 11:48:33.156994	121814	19.2	1	8
2014-03-31 11:48:44.06533	121815	57	2	1
2014-03-31 11:48:44.291214	121816	18.9	1	1
2014-03-31 11:48:55.157897	121817	58	2	24
2014-03-31 11:48:55.389956	121818	16.7	1	24
2014-03-31 11:48:57.174494	121819	50	2	25
2014-03-31 11:48:57.396711	121820	17.2	1	25
2014-03-31 11:49:02.659977	121821	46	2	10
2014-03-31 11:49:02.892701	121822	18.0	1	10
2014-03-31 11:49:10.858923	121823	55	2	9
2014-03-31 11:49:11.081544	121824	19.6	1	9
2014-03-31 11:49:11.924922	121825	52	2	8
2014-03-31 11:49:12.156821	121826	19.2	1	8
2014-03-31 11:49:19.905269	121827	579	3	2
2014-03-31 11:49:20.126737	121828	1148443.2546743806	4	2
2014-03-31 11:49:22.823726	121829	57	2	1
2014-03-31 11:49:23.067124	121830	18.9	1	1
2014-03-31 11:49:31.906714	121831	547	3	2
2014-03-31 11:49:32.133598	121832	1148445.5527438235	4	2
2014-03-31 11:49:34.156558	121833	58	2	24
2014-03-31 11:49:34.575238	121834	16.7	1	24
2014-03-31 11:49:36.171145	121835	50	2	25
2014-03-31 11:49:36.398786	121836	17.2	1	25
2014-03-31 11:49:41.659047	121837	46	2	10
2014-03-31 11:49:41.879995	121838	18.0	1	10
2014-03-31 11:49:43.905038	121839	547	3	2
2014-03-31 11:49:44.134238	121840	1148447.8508132661	4	2
2014-03-31 11:49:49.862211	121841	55	2	9
2014-03-31 11:49:50.083921	121842	19.6	1	9
2014-03-31 11:49:50.924994	121843	52	2	8
2014-03-31 11:49:51.155657	121844	19.2	1	8
2014-03-31 11:50:01.82352	121845	57	2	1
2014-03-31 11:50:02.046406	121846	18.9	1	1
2014-03-31 11:50:13.156349	121847	58	2	24
2014-03-31 11:50:13.390316	121848	16.6	1	24
2014-03-31 11:50:15.172222	121849	50	2	25
2014-03-31 11:50:15.395397	121850	17.2	1	25
2014-03-31 11:50:20.659757	121851	46	2	10
2014-03-31 11:50:20.890411	121852	18.0	1	10
2014-03-31 11:50:28.859122	121853	55	2	9
2014-03-31 11:50:29.07884	121854	19.6	1	9
2014-03-31 11:50:29.923664	121855	52	2	8
2014-03-31 11:50:30.154649	121856	19.2	1	8
2014-03-31 11:50:31.904264	121857	611	3	2
2014-03-31 11:50:32.131773	121858	1148454.7450215947	4	2
2014-03-31 11:50:40.822115	121859	57	2	1
2014-03-31 11:50:41.054561	121860	18.9	1	1
2014-03-31 11:50:43.903138	121861	611	3	2
2014-03-31 11:50:44.124939	121862	1148457.0430910375	4	2
2014-03-31 11:50:52.154033	121863	58	2	24
2014-03-31 11:50:52.384241	121864	16.6	1	24
2014-03-31 11:50:54.171276	121865	50	2	25
2014-03-31 11:50:54.390827	121866	17.2	1	25
2014-03-31 11:50:59.660884	121867	46	2	10
2014-03-31 11:50:59.893347	121868	18.0	1	10
2014-03-31 11:51:07.859723	121869	55	2	9
2014-03-31 11:51:08.081858	121870	19.6	1	9
2014-03-31 11:51:08.924902	121871	52	2	8
2014-03-31 11:51:09.154697	121872	19.2	1	8
2014-03-31 11:51:19.821324	121873	57	2	1
2014-03-31 11:51:20.044214	121874	18.9	1	1
2014-03-31 11:51:31.155073	121875	58	2	24
2014-03-31 11:51:31.386634	121876	16.6	1	24
2014-03-31 11:51:31.904343	121877	611	3	2
2014-03-31 11:51:32.131478	121878	1148465.0863340874	4	2
2014-03-31 11:51:33.170534	121879	50	2	25
2014-03-31 11:51:33.40926	121880	17.2	1	25
2014-03-31 11:51:38.662479	121881	46	2	10
2014-03-31 11:51:38.883347	121882	18.0	1	10
2014-03-31 11:51:46.859409	121883	55	2	9
2014-03-31 11:51:47.089604	121884	19.6	1	9
2014-03-31 11:51:47.925207	121885	52	2	8
2014-03-31 11:51:48.144647	121886	19.2	1	8
2014-03-31 11:51:58.821648	121887	57	2	1
2014-03-31 11:51:59.053901	121888	18.9	1	1
2014-03-31 11:52:07.904264	121889	531	3	2
2014-03-31 11:52:08.12674	121890	1148470.8315076944	4	2
2014-03-31 11:52:10.153547	121891	58	2	24
2014-03-31 11:52:10.383375	121892	16.6	1	24
2014-03-31 11:52:12.171991	121893	50	2	25
2014-03-31 11:52:12.392308	121894	17.2	1	25
2014-03-31 11:52:17.660781	121895	46	2	10
2014-03-31 11:52:17.893558	121896	18.0	1	10
2014-03-31 11:52:19.907041	121897	531	3	2
2014-03-31 11:52:20.127918	121898	1148473.1295771373	4	2
2014-03-31 11:52:25.86197	121899	55	2	9
2014-03-31 11:52:26.093591	121900	19.6	1	9
2014-03-31 11:52:26.979811	121901	52	2	8
2014-03-31 11:52:27.200214	121902	19.2	1	8
2014-03-31 11:52:31.907906	121903	547	3	2
2014-03-31 11:52:32.14559	121904	1148474.2786118588	4	2
2014-03-31 11:52:37.824323	121905	57	2	1
2014-03-31 11:52:38.047769	121906	18.9	1	1
2014-03-31 11:52:49.153626	121907	58	2	24
2014-03-31 11:52:49.385296	121908	16.6	1	24
2014-03-31 11:52:51.172258	121909	50	2	25
2014-03-31 11:52:51.391575	121910	17.2	1	25
2014-03-31 11:52:56.661544	121911	46	2	10
2014-03-31 11:52:56.894365	121912	18.0	1	10
2014-03-31 11:53:04.858675	121913	55	2	9
2014-03-31 11:53:05.101378	121914	19.6	1	9
2014-03-31 11:53:05.925539	121915	52	2	8
2014-03-31 11:53:06.156654	121916	19.2	1	8
2014-03-31 11:53:16.820048	121917	57	2	1
2014-03-31 11:53:17.044417	121918	18.9	1	1
2014-03-31 11:53:28.152691	121919	58	2	24
2014-03-31 11:53:28.383872	121920	16.6	1	24
2014-03-31 11:53:30.168843	121921	50	2	25
2014-03-31 11:53:30.389162	121922	17.2	1	25
2014-03-31 11:53:31.905647	121923	531	3	2
2014-03-31 11:53:32.144552	121924	1148483.47088963	4	2
2014-03-31 11:53:35.661499	121925	46	2	10
2014-03-31 11:53:35.882881	121926	18.0	1	10
2014-03-31 11:53:43.858954	121927	55	2	9
2014-03-31 11:53:44.102698	121928	19.6	1	9
2014-03-31 11:53:44.922954	121929	52	2	8
2014-03-31 11:53:45.145676	121930	19.2	1	8
2014-03-31 11:53:55.821846	121931	57	2	1
2014-03-31 11:53:56.053841	121932	18.9	1	1
2014-03-31 11:54:07.144084	121933	58	2	24
2014-03-31 11:54:07.36634	121934	16.6	1	24
2014-03-31 11:54:09.172711	121935	50	2	25
2014-03-31 11:54:09.403023	121936	17.2	1	25
2014-03-31 11:54:14.662336	121937	46	2	10
2014-03-31 11:54:14.88338	121938	18.0	1	10
2014-03-31 11:54:22.85932	121939	55	2	9
2014-03-31 11:54:23.090482	121940	19.6	1	9
2014-03-31 11:54:23.924792	121941	52	2	8
2014-03-31 11:54:24.14801	121942	19.2	1	8
2014-03-31 11:54:31.905603	121943	531	3	2
2014-03-31 11:54:32.136048	121944	1148492.6631674014	4	2
2014-03-31 11:54:34.819365	121945	57	2	1
2014-03-31 11:54:35.039132	121946	18.9	1	1
2014-03-31 11:54:46.150272	121947	58	2	24
2014-03-31 11:54:46.383569	121948	16.6	1	24
2014-03-31 11:54:48.169525	121949	50	2	25
2014-03-31 11:54:48.392588	121950	17.2	1	25
2014-03-31 11:54:53.661456	121951	46	2	10
2014-03-31 11:54:53.893246	121952	18.0	1	10
2014-03-31 11:55:01.863498	121953	55	2	9
2014-03-31 11:55:02.083355	121954	19.6	1	9
2014-03-31 11:55:02.924934	121955	52	2	8
2014-03-31 11:55:03.154076	121956	19.2	1	8
2014-03-31 11:55:13.818759	121957	57	2	1
2014-03-31 11:55:14.039768	121958	18.9	1	1
2014-03-31 11:55:25.14979	121959	58	2	24
2014-03-31 11:55:25.383835	121960	16.6	1	24
2014-03-31 11:55:27.227018	121961	50	2	25
2014-03-31 11:55:27.450245	121962	17.2	1	25
2014-03-31 11:55:31.906956	121963	531	3	2
2014-03-31 11:55:32.139381	121964	1148501.8554451726	4	2
2014-03-31 11:55:32.662515	121965	46	2	10
2014-03-31 11:55:32.883612	121966	18.0	1	10
2014-03-31 11:55:40.861425	121967	55	2	9
2014-03-31 11:55:41.093634	121968	19.6	1	9
2014-03-31 11:55:41.924843	121969	52	2	8
2014-03-31 11:55:42.144242	121970	19.2	1	8
2014-03-31 11:55:52.81914	121971	57	2	1
2014-03-31 11:55:53.049604	121972	18.9	1	1
2014-03-31 11:56:04.148623	121973	58	2	24
2014-03-31 11:56:04.369594	121974	16.6	1	24
2014-03-31 11:56:06.171091	121975	50	2	25
2014-03-31 11:56:06.413683	121976	17.2	1	25
2014-03-31 11:56:11.662985	121977	46	2	10
2014-03-31 11:56:11.884577	121978	18.0	1	10
2014-03-31 11:56:19.862613	121979	55	2	9
2014-03-31 11:56:20.092414	121980	19.6	1	9
2014-03-31 11:56:20.924538	121981	52	2	8
2014-03-31 11:56:21.144769	121982	19.2	1	8
2014-03-31 11:56:43.188235	121983	58	2	24
2014-03-31 11:56:43.418018	121984	16.6	1	24
2014-03-31 11:56:45.168274	121985	50	2	25
2014-03-31 11:56:45.388222	121986	17.2	1	25
2014-03-31 11:56:50.665249	121987	46	2	10
2014-03-31 11:56:50.897036	121988	18.0	1	10
2014-03-31 11:56:58.861883	121989	55	2	9
2014-03-31 11:56:59.083435	121990	19.6	1	9
2014-03-31 11:56:59.925403	121991	52	2	8
2014-03-31 11:57:00.156037	121992	19.2	1	8
2014-03-31 11:57:10.819625	121993	57	2	1
2014-03-31 11:57:11.041549	121994	18.9	1	1
2014-03-31 11:57:19.90424	121995	498	3	2
2014-03-31 11:57:20.135505	121996	1148517.9419312726	4	2
2014-03-31 11:57:22.15118	121997	58	2	24
2014-03-31 11:57:22.371291	121998	16.6	1	24
2014-03-31 11:57:24.168328	121999	50	2	25
2014-03-31 11:57:24.397843	122000	17.2	1	25
2014-03-31 11:57:29.662735	122001	46	2	10
2014-03-31 11:57:29.886503	122002	18.0	1	10
2014-03-31 11:57:31.906288	122003	498	3	2
2014-03-31 11:57:32.137802	122004	1148519.090965994	4	2
2014-03-31 11:57:37.865821	122005	55	2	9
2014-03-31 11:57:38.089188	122006	19.6	1	9
2014-03-31 11:57:38.924591	122007	52	2	8
2014-03-31 11:57:39.155266	122008	19.2	1	8
2014-03-31 11:57:49.823329	122009	57	2	1
2014-03-31 11:57:50.044887	122010	18.9	1	1
2014-03-31 11:58:01.150658	122011	58	2	24
2014-03-31 11:58:01.382188	122012	16.6	1	24
2014-03-31 11:58:03.168942	122013	50	2	25
2014-03-31 11:58:03.389365	122014	17.2	1	25
2014-03-31 11:58:08.663719	122015	46	2	10
2014-03-31 11:58:08.897327	122016	18.0	1	10
2014-03-31 11:58:16.867307	122017	55	2	9
2014-03-31 11:58:17.088101	122018	19.6	1	9
2014-03-31 11:58:17.927205	122019	51	2	8
2014-03-31 11:58:18.159004	122020	19.2	1	8
2014-03-31 11:58:28.81581	122021	57	2	1
2014-03-31 11:58:29.041381	122022	18.9	1	1
2014-03-31 11:58:31.907615	122023	498	3	2
2014-03-31 11:58:32.148569	122024	1148528.2832437654	4	2
2014-03-31 11:58:40.147217	122025	58	2	24
2014-03-31 11:58:40.370534	122026	16.6	1	24
2014-03-31 11:58:42.169099	122027	50	2	25
2014-03-31 11:58:42.400802	122028	17.2	1	25
2014-03-31 11:58:47.663463	122029	46	2	10
2014-03-31 11:58:47.884325	122030	18.0	1	10
2014-03-31 11:58:55.867988	122031	55	2	9
2014-03-31 11:58:56.10238	122032	19.6	1	9
2014-03-31 11:58:56.92622	122033	51	2	8
2014-03-31 11:58:57.149225	122034	19.2	1	8
2014-03-31 11:59:07.818052	122035	57	2	1
2014-03-31 11:59:08.051444	122036	18.9	1	1
2014-03-31 11:59:19.148915	122037	58	2	24
2014-03-31 11:59:19.372398	122038	16.6	1	24
2014-03-31 11:59:21.171642	122039	50	2	25
2014-03-31 11:59:21.403303	122040	17.2	1	25
2014-03-31 11:59:26.664587	122041	46	2	10
2014-03-31 11:59:26.886356	122042	18.0	1	10
2014-03-31 11:59:34.863034	122043	55	2	9
2014-03-31 11:59:35.095616	122044	19.6	1	9
2014-03-31 11:59:35.925854	122045	51	2	8
2014-03-31 11:59:36.148595	122046	19.2	1	8
2014-03-31 11:59:46.816572	122047	57	2	1
2014-03-31 11:59:47.048083	122048	18.9	1	1
2014-03-31 11:59:58.147601	122049	58	2	24
2014-03-31 11:59:58.372498	122050	16.6	1	24
2014-03-31 12:00:00.168659	122051	50	2	25
2014-03-31 12:00:00.402013	122052	17.2	1	25
2014-03-31 12:00:05.663589	122053	46	2	10
2014-03-31 12:00:05.886137	122054	18.0	1	10
2014-03-31 12:00:13.862518	122055	55	2	9
2014-03-31 12:00:14.096177	122056	19.6	1	9
2014-03-31 12:00:14.92328	122057	51	2	8
2014-03-31 12:00:15.143777	122058	19.2	1	8
2014-03-31 12:00:25.818744	122059	57	2	1
2014-03-31 12:00:26.050655	122060	18.9	1	1
2014-03-31 12:00:31.905375	122061	498	3	2
2014-03-31 12:00:32.132308	122062	1148544.369729865	4	2
2014-03-31 12:00:37.144455	122063	58	2	24
2014-03-31 12:00:37.383058	122064	16.6	1	24
2014-03-31 12:00:39.169018	122065	50	2	25
2014-03-31 12:00:39.391699	122066	17.2	1	25
2014-03-31 12:00:44.663996	122067	46	2	10
2014-03-31 12:00:44.895264	122068	18.0	1	10
2014-03-31 12:00:52.862209	122069	55	2	9
2014-03-31 12:00:53.083312	122070	19.6	1	9
2014-03-31 12:00:53.917436	122071	51	2	8
2014-03-31 12:00:54.159504	122072	19.2	1	8
2014-03-31 12:01:04.820315	122073	57	2	1
2014-03-31 12:01:05.041382	122074	18.9	1	1
2014-03-31 12:01:16.143611	122075	58	2	24
2014-03-31 12:01:16.376816	122076	16.6	1	24
2014-03-31 12:01:18.16814	122077	50	2	25
2014-03-31 12:01:18.387431	122078	17.2	1	25
2014-03-31 12:01:23.663344	122079	46	2	10
2014-03-31 12:01:23.915967	122080	18.0	1	10
2014-03-31 12:01:32.924075	122081	51	2	8
2014-03-31 12:01:33.145524	122082	19.2	1	8
2014-03-31 12:01:43.820473	122083	57	2	1
2014-03-31 12:01:44.051522	122084	18.9	1	1
2014-03-31 12:01:55.144891	122085	58	2	24
2014-03-31 12:01:55.365451	122086	16.6	1	24
2014-03-31 12:01:57.166624	122087	50	2	25
2014-03-31 12:01:57.397029	122088	17.2	1	25
2014-03-31 12:02:02.667364	122089	46	2	10
2014-03-31 12:02:02.888533	122090	18.0	1	10
2014-03-31 12:02:10.863922	122091	55	2	9
2014-03-31 12:02:11.094022	122092	19.6	1	9
2014-03-31 12:02:11.924305	122093	51	2	8
2014-03-31 12:02:12.144604	122094	19.2	1	8
2014-03-31 12:02:22.815854	122095	57	2	1
2014-03-31 12:02:23.047026	122096	18.9	1	1
2014-03-31 12:02:31.905474	122097	482	3	2
2014-03-31 12:02:32.127189	122098	1148560.4562159649	4	2
2014-03-31 12:02:34.143726	122099	58	2	24
2014-03-31 12:02:34.375	122100	16.6	1	24
2014-03-31 12:02:36.167928	122101	50	2	25
2014-03-31 12:02:36.38824	122102	17.2	1	25
2014-03-31 12:02:41.664587	122103	46	2	10
2014-03-31 12:02:41.900707	122104	18.0	1	10
2014-03-31 12:02:49.863641	122105	55	2	9
2014-03-31 12:02:50.08472	122106	19.6	1	9
2014-03-31 12:02:50.924628	122107	51	2	8
2014-03-31 12:02:51.155264	122108	19.1	1	8
2014-03-31 12:03:01.819206	122109	57	2	1
2014-03-31 12:03:02.043933	122110	18.9	1	1
2014-03-31 12:03:13.142369	122111	58	2	24
2014-03-31 12:03:13.373836	122112	16.6	1	24
2014-03-31 12:03:15.16635	122113	50	2	25
2014-03-31 12:03:15.387271	122114	17.2	1	25
2014-03-31 12:03:19.905928	122115	531	3	2
2014-03-31 12:03:20.137542	122116	1148567.3504242934	4	2
2014-03-31 12:03:20.665453	122117	46	2	10
2014-03-31 12:03:20.889514	122118	18.0	1	10
2014-03-31 12:03:28.866245	122119	55	2	9
2014-03-31 12:03:29.108494	122120	19.6	1	9
2014-03-31 12:03:29.925532	122121	51	2	8
2014-03-31 12:03:30.14561	122122	19.1	1	8
2014-03-31 12:03:31.904938	122123	547	3	2
2014-03-31 12:03:32.136281	122124	1148569.6484937363	4	2
2014-03-31 12:03:40.815923	122125	57	2	1
2014-03-31 12:03:41.039111	122126	18.9	1	1
2014-03-31 12:03:52.142309	122127	58	2	24
2014-03-31 12:03:52.374068	122128	16.6	1	24
2014-03-31 12:03:54.166038	122129	50	2	25
2014-03-31 12:03:54.386176	122130	17.2	1	25
2014-03-31 12:03:59.664478	122131	46	2	10
2014-03-31 12:03:59.897827	122132	18.0	1	10
2014-03-31 12:04:07.861717	122133	55	2	9
2014-03-31 12:04:08.086075	122134	19.6	1	9
2014-03-31 12:04:08.924443	122135	51	2	8
2014-03-31 12:04:09.156562	122136	19.1	1	8
2014-03-31 12:04:19.815809	122137	57	2	1
2014-03-31 12:04:20.045806	122138	18.9	1	1
2014-03-31 12:04:31.145336	122139	58	2	24
2014-03-31 12:04:31.377321	122140	16.6	1	24
2014-03-31 12:04:31.904321	122141	531	3	2
2014-03-31 12:04:32.126991	122142	1148578.8407715075	4	2
2014-03-31 12:04:33.171097	122143	50	2	25
2014-03-31 12:04:33.403221	122144	17.2	1	25
2014-03-31 12:04:38.664527	122145	46	2	10
2014-03-31 12:04:38.891468	122146	18.0	1	10
2014-03-31 12:04:46.862675	122147	55	2	9
2014-03-31 12:04:47.095074	122148	19.6	1	9
2014-03-31 12:04:47.925039	122149	51	2	8
2014-03-31 12:04:48.146153	122150	19.1	1	8
2014-03-31 12:04:58.815881	122151	57	2	1
2014-03-31 12:04:59.048746	122152	18.9	1	1
2014-03-31 12:05:10.1434	122153	58	2	24
2014-03-31 12:05:10.365826	122154	16.6	1	24
2014-03-31 12:05:12.165367	122155	50	2	25
2014-03-31 12:05:12.39908	122156	17.2	1	25
2014-03-31 12:05:17.666277	122157	46	2	10
2014-03-31 12:05:17.888055	122158	18.0	1	10
2014-03-31 12:05:25.866405	122159	55	2	9
2014-03-31 12:05:26.097609	122160	19.7	1	9
2014-03-31 12:05:26.924699	122161	51	2	8
2014-03-31 12:05:27.146147	122162	19.1	1	8
2014-03-31 12:05:31.904172	122163	547	3	2
2014-03-31 12:05:32.143978	122164	1148588.033049279	4	2
2014-03-31 12:05:37.815257	122165	57	2	1
2014-03-31 12:05:38.040281	122166	18.9	1	1
2014-03-31 12:05:49.141577	122167	58	2	24
2014-03-31 12:05:49.386908	122168	16.6	1	24
2014-03-31 12:05:51.168888	122169	50	2	25
2014-03-31 12:05:51.39081	122170	17.2	1	25
2014-03-31 12:05:56.666526	122171	46	2	10
2014-03-31 12:05:56.898537	122172	18.0	1	10
2014-03-31 12:06:04.858124	122173	55	2	9
2014-03-31 12:06:05.079516	122174	19.7	1	9
2014-03-31 12:06:05.924289	122175	51	2	8
2014-03-31 12:06:06.157074	122176	19.1	1	8
2014-03-31 12:06:16.81923	122177	57	2	1
2014-03-31 12:06:17.041288	122178	18.9	1	1
2014-03-31 12:06:28.1449	122179	58	2	24
2014-03-31 12:06:28.377082	122180	16.6	1	24
2014-03-31 12:06:30.165166	122181	50	2	25
2014-03-31 12:06:30.387376	122182	17.2	1	25
2014-03-31 12:06:31.905627	122183	434	3	2
2014-03-31 12:06:32.137984	122184	1148594.9317285595	4	2
2014-03-31 12:06:35.667438	122185	46	2	10
2014-03-31 12:06:35.888763	122186	18.0	1	10
2014-03-31 12:06:44.924526	122187	52	2	8
2014-03-31 12:06:45.157525	122188	19.1	1	8
2014-03-31 12:06:55.815137	122189	57	2	1
2014-03-31 12:06:56.03795	122190	18.9	1	1
2014-03-31 12:07:07.140105	122191	58	2	24
2014-03-31 12:07:07.372208	122192	16.6	1	24
2014-03-31 12:07:09.168492	122193	50	2	25
2014-03-31 12:07:09.409163	122194	17.2	1	25
2014-03-31 12:07:14.667589	122195	46	2	10
2014-03-31 12:07:14.899114	122196	18.0	1	10
2014-03-31 12:07:22.858125	122197	55	2	9
2014-03-31 12:07:23.080705	122198	19.6	1	9
2014-03-31 12:07:23.923919	122199	52	2	8
2014-03-31 12:07:24.155166	122200	19.1	1	8
2014-03-31 12:07:31.904811	122201	434	3	2
2014-03-31 12:07:32.128191	122202	1148602.9749716094	4	2
2014-03-31 12:07:34.81504	122203	57	2	1
2014-03-31 12:07:35.046498	122204	18.9	1	1
2014-03-31 12:07:46.138531	122205	58	2	24
2014-03-31 12:07:46.363784	122206	16.6	1	24
2014-03-31 12:07:48.16607	122207	50	2	25
2014-03-31 12:07:48.396532	122208	17.2	1	25
2014-03-31 12:07:53.67008	122209	46	2	10
2014-03-31 12:07:53.892889	122210	18.0	1	10
2014-03-31 12:08:01.858324	122211	55	2	9
2014-03-31 12:08:02.090019	122212	19.6	1	9
2014-03-31 12:08:02.925	122213	52	2	8
2014-03-31 12:08:03.146665	122214	19.1	1	8
2014-03-31 12:08:13.816888	122215	57	2	1
2014-03-31 12:08:14.059981	122216	18.9	1	1
2014-03-31 12:08:25.137642	122217	58	2	24
2014-03-31 12:08:25.35792	122218	16.6	1	24
2014-03-31 12:08:27.165378	122219	50	2	25
2014-03-31 12:08:27.39521	122220	17.2	1	25
2014-03-31 12:08:31.906057	122221	434	3	2
2014-03-31 12:08:32.128625	122222	1148609.869179938	4	2
2014-03-31 12:08:32.667221	122223	46	2	10
2014-03-31 12:08:32.899838	122224	18.0	1	10
2014-03-31 12:08:40.869431	122225	55	2	9
2014-03-31 12:08:41.093461	122226	19.6	1	9
2014-03-31 12:08:41.926243	122227	52	2	8
2014-03-31 12:08:42.158531	122228	19.1	1	8
2014-03-31 12:08:52.813187	122229	57	2	1
2014-03-31 12:08:53.036747	122230	18.9	1	1
2014-03-31 12:09:04.137794	122231	58	2	24
2014-03-31 12:09:04.369804	122232	16.6	1	24
2014-03-31 12:09:06.164913	122233	50	2	25
2014-03-31 12:09:06.386566	122234	17.2	1	25
2014-03-31 12:09:11.667965	122235	46	2	10
2014-03-31 12:09:11.900451	122236	18.0	1	10
2014-03-31 12:09:19.860474	122237	55	2	9
2014-03-31 12:09:20.083493	122238	19.6	1	9
2014-03-31 12:09:20.925759	122239	52	2	8
2014-03-31 12:09:21.157275	122240	19.1	1	8
2014-03-31 12:09:43.137754	122241	58	2	24
2014-03-31 12:09:43.360697	122242	16.6	1	24
2014-03-31 12:09:45.165308	122243	50	2	25
2014-03-31 12:09:45.398434	122244	17.2	1	25
2014-03-31 12:09:50.669215	122245	46	2	10
2014-03-31 12:09:50.890841	122246	18.0	1	10
2014-03-31 12:09:58.859892	122247	55	2	9
2014-03-31 12:09:59.094933	122248	19.6	1	9
2014-03-31 12:09:59.926018	122249	52	2	8
2014-03-31 12:10:00.147936	122250	19.1	1	8
2014-03-31 12:10:10.814399	122251	57	2	1
2014-03-31 12:10:11.046654	122252	18.9	1	1
2014-03-31 12:10:22.139347	122253	58	2	24
2014-03-31 12:10:22.362028	122254	16.6	1	24
2014-03-31 12:10:24.166352	122255	50	2	25
2014-03-31 12:10:24.397893	122256	17.2	1	25
2014-03-31 12:10:29.667467	122257	46	2	10
2014-03-31 12:10:29.889563	122258	18.0	1	10
2014-03-31 12:10:31.904728	122259	434	3	2
2014-03-31 12:10:32.136157	122260	1148624.8066313164	4	2
2014-03-31 12:10:37.860973	122261	55	2	9
2014-03-31 12:10:38.086081	122262	19.6	1	9
2014-03-31 12:10:38.925194	122263	51	2	8
2014-03-31 12:10:39.169273	122264	19.1	1	8
2014-03-31 12:10:49.813091	122265	57	2	1
2014-03-31 12:10:50.035148	122266	18.9	1	1
2014-03-31 12:10:55.90389	122267	402	3	2
2014-03-31 12:10:56.136628	122268	1148627.1047007593	4	2
2014-03-31 12:11:01.137067	122269	58	2	24
2014-03-31 12:11:01.364281	122270	16.6	1	24
2014-03-31 12:11:03.165758	122271	50	2	25
2014-03-31 12:11:03.399683	122272	17.2	1	25
2014-03-31 12:11:07.905034	122273	402	3	2
2014-03-31 12:11:08.127073	122274	1148628.2537354806	4	2
2014-03-31 12:11:08.668473	122275	46	2	10
2014-03-31 12:11:08.898467	122276	18.0	1	10
2014-03-31 12:11:16.858253	122277	55	2	9
2014-03-31 12:11:17.082561	122278	19.6	1	9
2014-03-31 12:11:17.92617	122279	51	2	8
2014-03-31 12:11:18.156965	122280	19.1	1	8
2014-03-31 12:11:28.812491	122281	57	2	1
2014-03-31 12:11:29.034839	122282	18.9	1	1
2014-03-31 12:11:31.902028	122283	402	3	2
2014-03-31 12:11:32.131515	122284	1148631.7008396448	4	2
2014-03-31 12:11:40.137317	122285	58	2	24
2014-03-31 12:11:40.361955	122286	16.6	1	24
2014-03-31 12:11:42.16375	122287	50	2	25
2014-03-31 12:11:42.396249	122288	17.2	1	25
2014-03-31 12:11:47.669586	122289	46	2	10
2014-03-31 12:11:47.892391	122290	18.0	1	10
2014-03-31 12:11:55.859809	122291	55	2	9
2014-03-31 12:11:56.100331	122292	19.6	1	9
2014-03-31 12:11:56.924754	122293	51	2	8
2014-03-31 12:11:57.145631	122294	19.1	1	8
2014-03-31 12:12:07.813364	122295	57	2	1
2014-03-31 12:12:08.045049	122296	18.9	1	1
2014-03-31 12:12:19.134405	122297	58	2	24
2014-03-31 12:12:19.356075	122298	16.6	1	24
2014-03-31 12:12:21.162876	122299	50	2	25
2014-03-31 12:12:21.39412	122300	17.2	1	25
2014-03-31 12:12:26.668707	122301	46	2	10
2014-03-31 12:12:26.891421	122302	18.0	1	10
2014-03-31 12:12:31.903953	122303	402	3	2
2014-03-31 12:12:32.138207	122304	1148638.5950479733	4	2
2014-03-31 12:12:34.863756	122305	55	2	9
2014-03-31 12:12:35.086467	122306	19.6	1	9
2014-03-31 12:12:35.923127	122307	51	2	8
2014-03-31 12:12:36.164539	122308	19.1	1	8
2014-03-31 12:12:46.812733	122309	57	2	1
2014-03-31 12:12:47.035433	122310	18.9	1	1
2014-03-31 12:12:58.135445	122311	58	2	24
2014-03-31 12:12:58.38007	122312	16.6	1	24
2014-03-31 12:13:00.163722	122313	50	2	25
2014-03-31 12:13:00.385171	122314	17.2	1	25
2014-03-31 12:13:05.671931	122315	46	2	10
2014-03-31 12:13:05.903664	122316	18.0	1	10
2014-03-31 12:13:13.861724	122317	55	2	9
2014-03-31 12:13:14.085087	122318	19.6	1	9
2014-03-31 12:13:14.924239	122319	51	2	8
2014-03-31 12:13:15.155503	122320	19.1	1	8
2014-03-31 12:13:25.814041	122321	57	2	1
2014-03-31 12:13:26.036736	122322	18.8	1	1
2014-03-31 12:13:31.905004	122323	402	3	2
2014-03-31 12:13:32.140278	122324	1148645.489256302	4	2
2014-03-31 12:13:37.133004	122325	58	2	24
2014-03-31 12:13:37.358171	122326	16.6	1	24
2014-03-31 12:13:39.162529	122327	50	2	25
2014-03-31 12:13:39.394413	122328	17.2	1	25
2014-03-31 12:13:44.669919	122329	46	2	10
2014-03-31 12:13:44.893333	122330	18.0	1	10
2014-03-31 12:13:52.862086	122331	55	2	9
2014-03-31 12:13:53.093129	122332	19.6	1	9
2014-03-31 12:13:53.925848	122333	51	2	8
2014-03-31 12:13:54.146034	122334	19.1	1	8
2014-03-31 12:14:04.813836	122335	57	2	1
2014-03-31 12:14:05.045018	122336	18.8	1	1
2014-03-31 12:14:16.133282	122337	58	2	24
2014-03-31 12:14:16.355817	122338	16.5	1	24
2014-03-31 12:14:18.162441	122339	50	2	25
2014-03-31 12:14:18.392515	122340	17.2	1	25
2014-03-31 12:14:23.669738	122341	46	2	10
2014-03-31 12:14:23.892966	122342	18.0	1	10
2014-03-31 12:14:32.927538	122343	51	2	8
2014-03-31 12:14:33.159773	122344	19.1	1	8
2014-03-31 12:14:43.814057	122345	57	2	1
2014-03-31 12:14:44.037788	122346	18.8	1	1
2014-03-31 12:14:55.132755	122347	58	2	24
2014-03-31 12:14:55.362889	122348	16.5	1	24
2014-03-31 12:14:57.181525	122349	50	2	25
2014-03-31 12:14:57.402733	122350	17.2	1	25
2014-03-31 12:15:02.670463	122351	46	2	10
2014-03-31 12:15:02.905137	122352	18.0	1	10
2014-03-31 12:15:10.85976	122353	55	2	9
2014-03-31 12:15:11.083689	122354	19.5	1	9
2014-03-31 12:15:11.924702	122355	51	2	8
2014-03-31 12:15:12.157462	122356	19.1	1	8
2014-03-31 12:15:22.810069	122357	57	2	1
2014-03-31 12:15:23.032289	122358	18.8	1	1
2014-03-31 12:15:31.902803	122359	402	3	2
2014-03-31 12:15:32.148587	122360	1148658.1286382375	4	2
2014-03-31 12:15:34.134941	122361	58	2	24
2014-03-31 12:15:34.357457	122362	16.5	1	24
2014-03-31 12:15:36.164016	122363	50	2	25
2014-03-31 12:15:36.394918	122364	17.2	1	25
2014-03-31 12:15:41.672642	122365	46	2	10
2014-03-31 12:15:41.895721	122366	18.0	1	10
2014-03-31 12:15:49.860418	122367	55	2	9
2014-03-31 12:15:50.090609	122368	19.5	1	9
2014-03-31 12:15:50.923285	122369	51	2	8
2014-03-31 12:15:51.146608	122370	19.1	1	8
2014-03-31 12:16:01.807719	122371	57	2	1
2014-03-31 12:16:02.041545	122372	18.8	1	1
2014-03-31 12:16:07.902513	122373	354	3	2
2014-03-31 12:16:08.127101	122374	1148662.724777123	4	2
2014-03-31 12:16:13.131247	122375	58	2	24
2014-03-31 12:16:13.368131	122376	16.5	1	24
2014-03-31 12:16:15.161973	122377	50	2	25
2014-03-31 12:16:15.383813	122378	17.2	1	25
2014-03-31 12:16:20.671103	122379	46	2	10
2014-03-31 12:16:20.903365	122380	18.0	1	10
2014-03-31 12:16:28.861366	122381	55	2	9
2014-03-31 12:16:29.083515	122382	19.5	1	9
2014-03-31 12:16:29.924644	122383	51	2	8
2014-03-31 12:16:30.155044	122384	19.1	1	8
2014-03-31 12:16:31.902779	122385	354	3	2
2014-03-31 12:16:32.124662	122386	1148665.0228465658	4	2
2014-03-31 12:16:40.810461	122387	57	2	1
2014-03-31 12:16:41.042028	122388	18.8	1	1
2014-03-31 12:16:52.128073	122389	58	2	24
2014-03-31 12:16:52.350882	122390	16.5	1	24
2014-03-31 12:16:54.161545	122391	50	2	25
2014-03-31 12:16:54.393917	122392	17.2	1	25
2014-03-31 12:16:55.904604	122393	402	3	2
2014-03-31 12:16:56.12527	122394	1148667.3209160087	4	2
2014-03-31 12:16:59.67071	122395	46	2	10
2014-03-31 12:16:59.903534	122396	18.0	1	10
2014-03-31 12:17:08.926866	122397	51	2	8
2014-03-31 12:17:09.148913	122398	19.1	1	8
2014-03-31 12:17:19.812476	122399	57	2	1
2014-03-31 12:17:20.04371	122400	18.8	1	1
2014-03-31 12:17:31.131721	122401	58	2	24
2014-03-31 12:17:31.352755	122402	16.5	1	24
2014-03-31 12:17:31.902518	122403	402	3	2
2014-03-31 12:17:32.133769	122404	1148670.768020173	4	2
2014-03-31 12:17:33.16245	122405	50	2	25
2014-03-31 12:17:33.382271	122406	17.2	1	25
2014-03-31 12:17:38.670904	122407	46	2	10
2014-03-31 12:17:38.914195	122408	18.0	1	10
2014-03-31 12:17:46.859754	122409	54	2	9
2014-03-31 12:17:47.08247	122410	19.5	1	9
2014-03-31 12:17:47.924253	122411	51	2	8
2014-03-31 12:17:48.157975	122412	19.1	1	8
2014-03-31 12:17:58.808563	122413	57	2	1
2014-03-31 12:17:59.030566	122414	18.8	1	1
2014-03-31 12:18:07.90451	122415	370	3	2
2014-03-31 12:18:08.135936	122416	1148675.3641590585	4	2
2014-03-31 12:18:10.128162	122417	58	2	24
2014-03-31 12:18:10.351704	122418	16.5	1	24
2014-03-31 12:18:12.155395	122419	50	2	25
2014-03-31 12:18:12.386586	122420	17.2	1	25
2014-03-31 12:18:17.673105	122421	46	2	10
2014-03-31 12:18:17.896031	122422	18.0	1	10
2014-03-31 12:18:19.905141	122423	402	3	2
2014-03-31 12:18:20.13653	122424	1148676.51319378	4	2
2014-03-31 12:18:25.862017	122425	54	2	9
2014-03-31 12:18:26.082803	122426	19.5	1	9
2014-03-31 12:18:26.925652	122427	51	2	8
2014-03-31 12:18:27.157311	122428	19.1	1	8
2014-03-31 12:18:31.904213	122429	370	3	2
2014-03-31 12:18:32.130304	122430	1148677.6622285014	4	2
2014-03-31 12:18:37.80919	122431	57	2	1
2014-03-31 12:18:38.04296	122432	18.8	1	1
2014-03-31 12:18:43.904286	122433	370	3	2
2014-03-31 12:18:44.133571	122434	1148678.811263223	4	2
2014-03-31 12:18:49.128667	122435	58	2	24
2014-03-31 12:18:49.364093	122436	16.5	1	24
2014-03-31 12:18:51.160666	122437	50	2	25
2014-03-31 12:18:51.382059	122438	17.2	1	25
2014-03-31 12:18:56.672644	122439	46	2	10
2014-03-31 12:18:56.906799	122440	18.0	1	10
2014-03-31 12:19:04.864188	122441	54	2	9
2014-03-31 12:19:05.086713	122442	19.5	1	9
2014-03-31 12:19:05.924846	122443	51	2	8
2014-03-31 12:19:06.156022	122444	19.1	1	8
2014-03-31 12:19:16.811773	122445	57	2	1
2014-03-31 12:19:17.036748	122446	18.8	1	1
2014-03-31 12:19:28.13013	122447	58	2	24
2014-03-31 12:19:28.361206	122448	16.5	1	24
2014-03-31 12:19:30.161104	122449	50	2	25
2014-03-31 12:19:30.382207	122450	17.2	1	25
2014-03-31 12:19:31.905729	122451	370	3	2
2014-03-31 12:19:32.135866	122452	1148684.55643683	4	2
2014-03-31 12:19:35.672279	122453	46	2	10
2014-03-31 12:19:35.895451	122454	18.0	1	10
2014-03-31 12:19:43.864614	122455	54	2	9
2014-03-31 12:19:44.10757	122456	19.5	1	9
2014-03-31 12:19:44.926403	122457	51	2	8
2014-03-31 12:19:45.146135	122458	19.1	1	8
2014-03-31 12:19:55.807559	122459	57	2	1
2014-03-31 12:19:56.040968	122460	18.8	1	1
2014-03-31 12:20:07.12711	122461	58	2	24
2014-03-31 12:20:07.34802	122462	16.5	1	24
2014-03-31 12:20:09.159751	122463	50	2	25
2014-03-31 12:20:09.390609	122464	17.2	1	25
2014-03-31 12:20:14.671474	122465	46	2	10
2014-03-31 12:20:14.89275	122466	18.0	1	10
2014-03-31 12:20:22.860118	122467	54	2	9
2014-03-31 12:20:23.09652	122468	19.5	1	9
2014-03-31 12:20:23.924862	122469	51	2	8
2014-03-31 12:20:24.146759	122470	19.1	1	8
2014-03-31 12:20:31.902405	122471	370	3	2
2014-03-31 12:20:32.136825	122472	1148690.301610437	4	2
2014-03-31 12:20:35.050121	122473	57	2	1
2014-03-31 12:20:35.270686	122474	18.8	1	1
2014-03-31 12:20:46.127724	122475	58	2	24
2014-03-31 12:20:46.360118	122476	16.5	1	24
2014-03-31 12:20:48.161744	122477	50	2	25
2014-03-31 12:20:48.382752	122478	17.2	1	25
2014-03-31 12:20:53.673401	122479	46	2	10
2014-03-31 12:20:53.905765	122480	18.0	1	10
2014-03-31 12:21:01.863351	122481	54	2	9
2014-03-31 12:21:02.085709	122482	19.5	1	9
2014-03-31 12:21:02.92387	122483	51	2	8
2014-03-31 12:21:03.158721	122484	19.1	1	8
2014-03-31 12:21:13.80819	122485	57	2	1
2014-03-31 12:21:14.030796	122486	18.8	1	1
2014-03-31 12:21:25.12648	122487	58	2	24
2014-03-31 12:21:25.359019	122488	16.5	1	24
2014-03-31 12:21:27.160801	122489	50	2	25
2014-03-31 12:21:27.382584	122490	17.2	1	25
2014-03-31 12:21:31.903765	122491	370	3	2
2014-03-31 12:21:32.13577	122492	1148696.046784044	4	2
2014-03-31 12:21:32.673094	122493	46	2	10
2014-03-31 12:21:32.894714	122494	18.0	1	10
2014-03-31 12:21:40.860691	122495	54	2	9
2014-03-31 12:21:41.091678	122496	19.5	1	9
2014-03-31 12:21:41.925759	122497	51	2	8
2014-03-31 12:21:42.146954	122498	19.1	1	8
2014-03-31 12:21:52.805508	122499	57	2	1
2014-03-31 12:21:53.038654	122500	18.8	1	1
2014-03-31 12:22:04.128082	122501	58	2	24
2014-03-31 12:22:04.354304	122502	16.5	1	24
2014-03-31 12:22:06.161763	122503	50	2	25
2014-03-31 12:22:06.404283	122504	17.2	1	25
2014-03-31 12:22:11.672469	122505	46	2	10
2014-03-31 12:22:11.894709	122506	18.0	1	10
2014-03-31 12:22:19.862089	122507	54	2	9
2014-03-31 12:22:20.094174	122508	19.5	1	9
2014-03-31 12:22:20.925803	122509	51	2	8
2014-03-31 12:22:21.145563	122510	19.1	1	8
2014-03-31 12:22:43.124566	122511	58	2	24
2014-03-31 12:22:43.358954	122512	16.5	1	24
2014-03-31 12:22:43.904744	122513	418	3	2
2014-03-31 12:22:44.12786	122514	1148704.090027094	4	2
2014-03-31 12:22:45.160474	122515	50	2	25
2014-03-31 12:22:45.392151	122516	17.2	1	25
2014-03-31 12:22:50.672172	122517	46	2	10
2014-03-31 12:22:50.894504	122518	18.0	1	10
2014-03-31 12:22:55.902884	122519	402	3	2
2014-03-31 12:22:56.138276	122520	1148705.2390618154	4	2
2014-03-31 12:22:58.86149	122521	54	2	9
2014-03-31 12:22:59.08399	122522	19.5	1	9
2014-03-31 12:22:59.925419	122523	51	2	8
2014-03-31 12:23:00.157043	122524	19.1	1	8
2014-03-31 12:23:10.806482	122525	57	2	1
2014-03-31 12:23:11.049904	122526	18.8	1	1
2014-03-31 12:23:22.123866	122527	58	2	24
2014-03-31 12:23:22.356188	122528	16.5	1	24
2014-03-31 12:23:24.161605	122529	50	2	25
2014-03-31 12:23:24.384821	122530	17.2	1	25
2014-03-31 12:23:29.675199	122531	46	2	10
2014-03-31 12:23:29.906755	122532	18.0	1	10
2014-03-31 12:23:31.905237	122533	354	3	2
2014-03-31 12:23:32.126996	122534	1148708.6861659796	4	2
2014-03-31 12:23:37.860046	122535	54	2	9
2014-03-31 12:23:38.091225	122536	19.5	1	9
2014-03-31 12:23:38.923534	122537	51	2	8
2014-03-31 12:23:39.145361	122538	19.1	1	8
2014-03-31 12:23:49.80395	122539	57	2	1
2014-03-31 12:23:50.036456	122540	18.8	1	1
2014-03-31 12:24:01.12381	122541	58	2	24
2014-03-31 12:24:01.347974	122542	16.5	1	24
2014-03-31 12:24:03.159817	122543	50	2	25
2014-03-31 12:24:03.390458	122544	17.2	1	25
2014-03-31 12:24:08.675125	122545	46	2	10
2014-03-31 12:24:08.897279	122546	18.0	1	10
2014-03-31 12:24:16.861177	122547	54	2	9
2014-03-31 12:24:17.094117	122548	19.5	1	9
2014-03-31 12:24:17.9259	122549	51	2	8
2014-03-31 12:24:18.146235	122550	19.1	1	8
2014-03-31 12:24:28.806485	122551	57	2	1
2014-03-31 12:24:29.103734	122552	18.8	1	1
2014-03-31 12:24:31.903655	122553	354	3	2
2014-03-31 12:24:32.126128	122554	1148714.4313395866	4	2
2014-03-31 12:24:40.12267	122555	58	2	24
2014-03-31 12:24:40.355352	122556	16.5	1	24
2014-03-31 12:24:42.159366	122557	50	2	25
2014-03-31 12:24:42.380686	122558	17.2	1	25
2014-03-31 12:24:47.673144	122559	46	2	10
2014-03-31 12:24:47.906807	122560	18.0	1	10
2014-03-31 12:24:55.864948	122561	54	2	9
2014-03-31 12:24:56.086818	122562	19.5	1	9
2014-03-31 12:24:56.927016	122563	51	2	8
2014-03-31 12:24:57.156833	122564	19.1	1	8
2014-03-31 12:25:07.805685	122565	57	2	1
2014-03-31 12:25:08.029121	122566	18.7	1	1
2014-03-31 12:25:19.121849	122567	58	2	24
2014-03-31 12:25:19.354084	122568	16.5	1	24
2014-03-31 12:25:21.158132	122569	50	2	25
2014-03-31 12:25:21.379019	122570	17.2	1	25
2014-03-31 12:25:26.674444	122571	46	2	10
2014-03-31 12:25:26.906545	122572	18.0	1	10
2014-03-31 12:25:31.903957	122573	354	3	2
2014-03-31 12:25:32.134005	122574	1148721.3255479152	4	2
2014-03-31 12:25:34.861746	122575	54	2	9
2014-03-31 12:25:35.09412	122576	19.5	1	9
2014-03-31 12:25:35.925564	122577	51	2	8
2014-03-31 12:25:36.148683	122578	19.1	1	8
2014-03-31 12:25:46.80472	122579	57	2	1
2014-03-31 12:25:47.039668	122580	18.7	1	1
2014-03-31 12:25:58.122471	122581	58	2	24
2014-03-31 12:25:58.353148	122582	16.5	1	24
2014-03-31 12:26:00.159287	122583	50	2	25
2014-03-31 12:26:00.391321	122584	17.2	1	25
2014-03-31 12:26:05.674133	122585	46	2	10
2014-03-31 12:26:05.896935	122586	18.0	1	10
2014-03-31 12:26:13.862429	122587	54	2	9
2014-03-31 12:26:14.116002	122588	19.5	1	9
2014-03-31 12:26:14.924097	122589	51	2	8
2014-03-31 12:26:15.14799	122590	19.1	1	8
2014-03-31 12:26:25.803652	122591	57	2	1
2014-03-31 12:26:26.035966	122592	18.7	1	1
2014-03-31 12:26:31.902354	122593	354	3	2
2014-03-31 12:26:32.130598	122594	1148727.0707215222	4	2
2014-03-31 12:26:37.120996	122595	58	2	24
2014-03-31 12:26:37.359256	122596	16.5	1	24
2014-03-31 12:26:39.160389	122597	50	2	25
2014-03-31 12:26:39.383023	122598	17.2	1	25
2014-03-31 12:26:44.674159	122599	46	2	10
2014-03-31 12:26:44.918105	122600	18.0	1	10
2014-03-31 12:26:52.860659	122601	54	2	9
2014-03-31 12:26:53.081339	122602	19.4	1	9
2014-03-31 12:26:53.923842	122603	51	2	8
2014-03-31 12:26:54.15486	122604	19.1	1	8
2014-03-31 12:27:04.80592	122605	57	2	1
2014-03-31 12:27:05.027824	122606	18.7	1	1
2014-03-31 12:27:16.119972	122607	58	2	24
2014-03-31 12:27:16.353482	122608	16.5	1	24
2014-03-31 12:27:18.157871	122609	50	2	25
2014-03-31 12:27:18.381482	122610	17.2	1	25
2014-03-31 12:27:23.674269	122611	46	2	10
2014-03-31 12:27:23.905474	122612	18.0	1	10
2014-03-31 12:27:32.924858	122613	51	2	8
2014-03-31 12:27:33.148739	122614	19.1	1	8
2014-03-31 12:27:43.803858	122615	57	2	1
2014-03-31 12:27:44.036664	122616	18.7	1	1
2014-03-31 12:27:55.119174	122617	58	2	24
2014-03-31 12:27:55.342063	122618	16.5	1	24
2014-03-31 12:27:57.156753	122619	50	2	25
2014-03-31 12:27:57.388621	122620	17.2	1	25
2014-03-31 12:28:02.675123	122621	46	2	10
2014-03-31 12:28:02.896451	122622	18.0	1	10
2014-03-31 12:28:10.860715	122623	54	2	9
2014-03-31 12:28:11.092868	122624	19.4	1	9
2014-03-31 12:28:11.925181	122625	51	2	8
2014-03-31 12:28:12.145864	122626	19.1	1	8
2014-03-31 12:28:22.80385	122627	57	2	1
2014-03-31 12:28:23.035114	122628	18.7	1	1
2014-03-31 12:28:31.903016	122629	354	3	2
2014-03-31 12:28:32.125532	122630	1148738.5610687365	4	2
2014-03-31 12:28:34.118244	122631	58	2	24
2014-03-31 12:28:34.35624	122632	16.5	1	24
2014-03-31 12:28:36.158236	122633	50	2	25
2014-03-31 12:28:36.378848	122634	17.2	1	25
2014-03-31 12:28:41.675335	122635	46	2	10
2014-03-31 12:28:41.907448	122636	18.0	1	10
2014-03-31 12:28:49.859945	122637	54	2	9
2014-03-31 12:28:50.103577	122638	19.4	1	9
2014-03-31 12:28:50.926999	122639	51	2	8
2014-03-31 12:28:51.157188	122640	19.1	1	8
2014-03-31 12:29:01.80316	122641	57	2	1
2014-03-31 12:29:02.024461	122642	18.7	1	1
2014-03-31 12:29:13.118298	122643	58	2	24
2014-03-31 12:29:13.349927	122644	16.5	1	24
2014-03-31 12:29:15.155175	122645	50	2	25
2014-03-31 12:29:15.376848	122646	17.2	1	25
2014-03-31 12:29:19.902776	122647	402	3	2
2014-03-31 12:29:20.149336	122648	1148743.1572076222	4	2
2014-03-31 12:29:20.676295	122649	46	2	10
2014-03-31 12:29:20.898303	122650	18.0	1	10
2014-03-31 12:29:28.858937	122651	54	2	9
2014-03-31 12:29:29.274096	122652	19.4	1	9
2014-03-31 12:29:29.924685	122653	51	2	8
2014-03-31 12:29:30.147045	122654	19.1	1	8
2014-03-31 12:29:31.903833	122655	402	3	2
2014-03-31 12:29:32.126902	122656	1148744.3062423435	4	2
2014-03-31 12:29:40.80453	122657	57	2	1
2014-03-31 12:29:41.035027	122658	18.7	1	1
2014-03-31 12:29:52.117796	122659	58	2	24
2014-03-31 12:29:52.338679	122660	16.5	1	24
2014-03-31 12:29:54.155998	122661	50	2	25
2014-03-31 12:29:54.387495	122662	17.2	1	25
2014-03-31 12:29:59.674861	122663	46	2	10
2014-03-31 12:29:59.899065	122664	18.0	1	10
2014-03-31 12:30:07.862776	122665	54	2	9
2014-03-31 12:30:08.096023	122666	19.4	1	9
2014-03-31 12:30:08.926088	122667	51	2	8
2014-03-31 12:30:09.146244	122668	19.1	1	8
2014-03-31 12:30:19.802244	122669	57	2	1
2014-03-31 12:30:20.036517	122670	18.7	1	1
2014-03-31 12:30:31.116983	122671	58	2	24
2014-03-31 12:30:31.339018	122672	16.5	1	24
2014-03-31 12:30:31.904549	122673	402	3	2
2014-03-31 12:30:32.135988	122674	1148751.200450672	4	2
2014-03-31 12:30:33.157558	122675	50	2	25
2014-03-31 12:30:33.378582	122676	17.2	1	25
2014-03-31 12:30:38.675846	122677	46	2	10
2014-03-31 12:30:38.909565	122678	18.0	1	10
2014-03-31 12:30:46.860374	122679	54	2	9
2014-03-31 12:30:47.085961	122680	19.4	1	9
2014-03-31 12:30:47.928848	122681	51	2	8
2014-03-31 12:30:48.159552	122682	19.1	1	8
2014-03-31 12:30:58.803149	122683	57	2	1
2014-03-31 12:30:59.025925	122684	18.7	1	1
2014-03-31 12:31:10.117566	122685	58	2	24
2014-03-31 12:31:10.34923	122686	16.5	1	24
2014-03-31 12:31:12.155409	122687	50	2	25
2014-03-31 12:31:12.376168	122688	17.2	1	25
2014-03-31 12:31:17.676311	122689	46	2	10
2014-03-31 12:31:17.908967	122690	18.0	1	10
2014-03-31 12:31:25.861697	122691	54	2	9
2014-03-31 12:31:26.085092	122692	19.4	1	9
2014-03-31 12:31:26.925153	122693	51	2	8
2014-03-31 12:31:27.156543	122694	19.1	1	8
2014-03-31 12:31:31.904316	122695	402	3	2
2014-03-31 12:31:32.13309	122696	1148758.0946590004	4	2
2014-03-31 12:31:37.80235	122697	57	2	1
2014-03-31 12:31:38.045681	122698	18.7	1	1
2014-03-31 12:31:49.114805	122699	58	2	24
2014-03-31 12:31:49.336837	122700	16.5	1	24
2014-03-31 12:31:51.156371	122701	50	2	25
2014-03-31 12:31:51.387458	122702	17.2	1	25
2014-03-31 12:31:56.674708	122703	46	2	10
2014-03-31 12:31:56.897097	122704	18.0	1	10
2014-03-31 12:32:04.858075	122705	54	2	9
2014-03-31 12:32:05.089565	122706	19.4	1	9
2014-03-31 12:32:05.925497	122707	51	2	8
2014-03-31 12:32:06.15064	122708	19.1	1	8
2014-03-31 12:32:07.903078	122709	450	3	2
2014-03-31 12:32:08.133728	122710	1148762.690797886	4	2
2014-03-31 12:32:16.802059	122711	57	2	1
2014-03-31 12:32:17.022649	122712	18.7	1	1
2014-03-31 12:32:19.902703	122713	466	3	2
2014-03-31 12:32:20.13385	122714	1148763.8398326077	4	2
2014-03-31 12:32:28.113529	122715	58	2	24
2014-03-31 12:32:28.336926	122716	16.5	1	24
2014-03-31 12:32:30.154957	122717	50	2	25
2014-03-31 12:32:30.388219	122718	17.2	1	25
2014-03-31 12:32:31.903378	122719	450	3	2
2014-03-31 12:32:32.12369	122720	1148764.988867329	4	2
2014-03-31 12:32:35.677865	122721	46	2	10
2014-03-31 12:32:35.909924	122722	18.0	1	10
2014-03-31 12:32:43.860686	122723	54	2	9
2014-03-31 12:32:44.083853	122724	19.4	1	9
2014-03-31 12:32:44.924677	122725	51	2	8
2014-03-31 12:32:45.157545	122726	19.1	1	8
2014-03-31 12:32:55.802062	122727	57	2	1
2014-03-31 12:32:56.023606	122728	18.7	1	1
2014-03-31 12:33:07.112197	122729	58	2	24
2014-03-31 12:33:07.343998	122730	16.5	1	24
2014-03-31 12:33:09.157297	122731	50	2	25
2014-03-31 12:33:09.379369	122732	17.2	1	25
2014-03-31 12:33:14.67819	122733	46	2	10
2014-03-31 12:33:14.911379	122734	18.0	1	10
2014-03-31 12:33:22.860889	122735	54	2	9
2014-03-31 12:33:23.082984	122736	19.4	1	9
2014-03-31 12:33:23.923933	122737	51	2	8
2014-03-31 12:33:24.154367	122738	19.1	1	8
2014-03-31 12:33:31.90366	122739	466	3	2
2014-03-31 12:33:32.12596	122740	1148773.0321103788	4	2
2014-03-31 12:33:34.803529	122741	57	2	1
2014-03-31 12:33:35.040553	122742	18.7	1	1
2014-03-31 12:33:46.113705	122743	58	2	24
2014-03-31 12:33:46.335969	122744	16.5	1	24
2014-03-31 12:33:48.156327	122745	50	2	25
2014-03-31 12:33:48.397404	122746	17.2	1	25
2014-03-31 12:33:53.67662	122747	46	2	10
2014-03-31 12:33:53.90239	122748	18.0	1	10
2014-03-31 12:34:01.860625	122749	54	2	9
2014-03-31 12:34:02.092998	122750	19.4	1	9
2014-03-31 12:34:02.924828	122751	51	2	8
2014-03-31 12:34:03.145228	122752	19.1	1	8
2014-03-31 12:34:13.803244	122753	57	2	1
2014-03-31 12:34:14.035292	122754	18.7	1	1
2014-03-31 12:34:25.112649	122755	58	2	24
2014-03-31 12:34:25.333546	122756	16.5	1	24
2014-03-31 12:34:27.155069	122757	50	2	25
2014-03-31 12:34:27.408164	122758	17.2	1	25
2014-03-31 12:34:31.903307	122759	482	3	2
2014-03-31 12:34:32.123989	122760	1148781.0753534287	4	2
2014-03-31 12:34:32.679051	122761	46	2	10
2014-03-31 12:34:32.910057	122762	18.0	1	10
2014-03-31 12:34:40.861571	122763	54	2	9
2014-03-31 12:34:41.084686	122764	19.4	1	9
2014-03-31 12:34:41.924322	122765	51	2	8
2014-03-31 12:34:42.155339	122766	19.1	1	8
2014-03-31 12:34:52.802218	122767	57	2	1
2014-03-31 12:34:53.023954	122768	18.7	1	1
2014-03-31 12:35:04.110811	122769	58	2	24
2014-03-31 12:35:04.342547	122770	16.5	1	24
2014-03-31 12:35:06.153648	122771	50	2	25
2014-03-31 12:35:06.374562	122772	17.2	1	25
2014-03-31 12:35:11.678467	122773	46	2	10
2014-03-31 12:35:11.910706	122774	18.0	1	10
2014-03-31 12:35:19.863422	122775	54	2	9
2014-03-31 12:35:20.086945	122776	19.4	1	9
2014-03-31 12:35:20.9253	122777	51	2	8
2014-03-31 12:35:21.15625	122778	19.1	1	8
2014-03-31 12:35:43.110016	122779	59	2	24
2014-03-31 12:35:43.332641	122780	16.5	1	24
2014-03-31 12:35:45.173081	122781	50	2	25
2014-03-31 12:35:45.40685	122782	17.2	1	25
2014-03-31 12:35:50.677535	122783	46	2	10
2014-03-31 12:35:50.900918	122784	18.0	1	10
2014-03-31 12:35:58.860728	122785	54	2	9
2014-03-31 12:35:59.094617	122786	19.4	1	9
2014-03-31 12:35:59.925975	122787	51	2	8
2014-03-31 12:36:00.148147	122788	19.1	1	8
2014-03-31 12:36:10.799382	122789	57	2	1
2014-03-31 12:36:11.033209	122790	18.7	1	1
2014-03-31 12:36:22.150848	122791	59	2	24
2014-03-31 12:36:22.37259	122792	16.5	1	24
2014-03-31 12:36:24.153038	122793	50	2	25
2014-03-31 12:36:24.395224	122794	17.2	1	25
2014-03-31 12:36:29.677784	122795	46	2	10
2014-03-31 12:36:29.981646	122796	17.9	1	10
2014-03-31 12:36:31.904046	122797	466	3	2
2014-03-31 12:36:32.140753	122798	1148797.1618395287	4	2
2014-03-31 12:36:37.860617	122799	54	2	9
2014-03-31 12:36:38.085588	122800	19.4	1	9
2014-03-31 12:36:38.923939	122801	51	2	8
2014-03-31 12:36:39.155999	122802	19.1	1	8
2014-03-31 12:36:43.90408	122803	418	3	2
2014-03-31 12:36:44.131442	122804	1148798.31087425	4	2
2014-03-31 12:36:49.799813	122805	57	2	1
2014-03-31 12:36:50.035084	122806	18.7	1	1
2014-03-31 12:36:55.903446	122807	418	3	2
2014-03-31 12:36:56.128034	122808	1148799.4599089713	4	2
2014-03-31 12:37:01.113374	122809	59	2	24
2014-03-31 12:37:01.351105	122810	16.5	1	24
2014-03-31 12:37:03.158476	122811	50	2	25
2014-03-31 12:37:03.378051	122812	17.2	1	25
2014-03-31 12:37:08.678195	122813	46	2	10
2014-03-31 12:37:08.909933	122814	17.9	1	10
2014-03-31 12:37:16.860747	122815	54	2	9
2014-03-31 12:37:17.084078	122816	19.4	1	9
2014-03-31 12:37:17.925067	122817	51	2	8
2014-03-31 12:37:18.15806	122818	19.1	1	8
2014-03-31 12:37:28.798227	122819	57	2	1
2014-03-31 12:37:29.020174	122820	18.7	1	1
2014-03-31 12:37:31.903022	122821	418	3	2
2014-03-31 12:37:32.133954	122822	1148804.056047857	4	2
2014-03-31 12:37:40.108522	122823	59	2	24
2014-03-31 12:37:40.333148	122824	16.5	1	24
2014-03-31 12:37:42.153368	122825	50	2	25
2014-03-31 12:37:42.387328	122826	17.2	1	25
2014-03-31 12:37:47.678502	122827	46	2	10
2014-03-31 12:37:47.90132	122828	17.9	1	10
2014-03-31 12:37:55.861997	122829	54	2	9
2014-03-31 12:37:56.092783	122830	19.4	1	9
2014-03-31 12:37:56.922865	122831	51	2	8
2014-03-31 12:37:57.143463	122832	19.1	1	8
2014-03-31 12:38:07.799383	122833	57	2	1
2014-03-31 12:38:08.030193	122834	18.7	1	1
2014-03-31 12:38:19.098812	122835	59	2	24
2014-03-31 12:38:19.322866	122836	16.5	1	24
2014-03-31 12:38:21.152518	122837	50	2	25
2014-03-31 12:38:21.384758	122838	17.2	1	25
2014-03-31 12:38:26.678139	122839	46	2	10
2014-03-31 12:38:26.898123	122840	17.9	1	10
2014-03-31 12:38:34.860738	122841	54	2	9
2014-03-31 12:38:35.104398	122842	19.4	1	9
2014-03-31 12:38:35.926448	122843	51	2	8
2014-03-31 12:38:36.146687	122844	19.1	1	8
2014-03-31 12:38:46.8015	122845	57	2	1
2014-03-31 12:38:47.033403	122846	18.7	1	1
2014-03-31 12:38:58.107017	122847	59	2	24
2014-03-31 12:38:58.328827	122848	16.4	1	24
2014-03-31 12:39:00.155154	122849	50	2	25
2014-03-31 12:39:00.389112	122850	17.2	1	25
2014-03-31 12:39:05.677298	122851	46	2	10
2014-03-31 12:39:05.899461	122852	17.9	1	10
2014-03-31 12:39:07.90254	122853	466	3	2
2014-03-31 12:39:08.133408	122854	1148816.6954297926	4	2
2014-03-31 12:39:13.864344	122855	54	2	9
2014-03-31 12:39:14.086133	122856	19.4	1	9
2014-03-31 12:39:14.923583	122857	51	2	8
2014-03-31 12:39:15.154727	122858	19.1	1	8
2014-03-31 12:39:25.796065	122859	57	2	1
2014-03-31 12:39:26.01709	122860	18.7	1	1
2014-03-31 12:39:37.107715	122861	59	2	24
2014-03-31 12:39:37.340179	122862	16.4	1	24
2014-03-31 12:39:39.394717	122863	50	2	25
2014-03-31 12:39:39.619657	122864	17.2	1	25
2014-03-31 12:39:44.679637	122865	46	2	10
2014-03-31 12:39:44.911265	122866	17.9	1	10
2014-03-31 12:39:52.864585	122867	54	2	9
2014-03-31 12:39:53.0868	122868	19.4	1	9
2014-03-31 12:39:53.923149	122869	51	2	8
2014-03-31 12:39:54.153749	122870	19.1	1	8
2014-03-31 12:40:04.795761	122871	57	2	1
2014-03-31 12:40:05.017772	122872	18.7	1	1
2014-03-31 12:40:16.107663	122873	59	2	24
2014-03-31 12:40:16.340994	122874	16.4	1	24
2014-03-31 12:40:18.151765	122875	50	2	25
2014-03-31 12:40:18.373831	122876	17.2	1	25
2014-03-31 12:40:23.67917	122877	46	2	10
2014-03-31 12:40:23.913469	122878	17.9	1	10
2014-03-31 12:40:32.924738	122879	51	2	8
2014-03-31 12:40:33.148629	122880	19.1	1	8
2014-03-31 12:40:43.799902	122881	57	2	1
2014-03-31 12:40:44.031936	122882	18.7	1	1
2014-03-31 12:40:55.106455	122883	59	2	24
2014-03-31 12:40:55.32892	122884	16.4	1	24
2014-03-31 12:40:57.151273	122885	50	2	25
2014-03-31 12:40:57.383486	122886	17.2	1	25
2014-03-31 12:41:02.679922	122887	46	2	10
2014-03-31 12:41:02.903281	122888	17.9	1	10
2014-03-31 12:41:10.865205	122889	54	2	9
2014-03-31 12:41:11.110399	122890	19.4	1	9
2014-03-31 12:41:11.926935	122891	51	2	8
2014-03-31 12:41:12.146882	122892	19.1	1	8
2014-03-31 12:41:22.794703	122893	57	2	1
2014-03-31 12:41:23.027472	122894	18.7	1	1
2014-03-31 12:41:31.90133	122895	466	3	2
2014-03-31 12:41:32.123633	122896	1148836.2290200568	4	2
2014-03-31 12:41:34.104624	122897	59	2	24
2014-03-31 12:41:34.336581	122898	16.4	1	24
2014-03-31 12:41:36.153548	122899	50	2	25
2014-03-31 12:41:36.374315	122900	17.2	1	25
2014-03-31 12:41:41.679321	122901	46	2	10
2014-03-31 12:41:41.916226	122902	17.9	1	10
2014-03-31 12:41:49.865452	122903	54	2	9
2014-03-31 12:41:50.087703	122904	19.4	1	9
2014-03-31 12:41:50.923281	122905	51	2	8
2014-03-31 12:41:51.156076	122906	19.1	1	8
2014-03-31 12:42:01.7951	122907	57	2	1
2014-03-31 12:42:02.017587	122908	18.7	1	1
2014-03-31 12:42:13.107617	122909	59	2	24
2014-03-31 12:42:13.338174	122910	16.4	1	24
2014-03-31 12:42:15.151964	122911	50	2	25
2014-03-31 12:42:15.373391	122912	17.2	1	25
2014-03-31 12:42:20.679325	122913	46	2	10
2014-03-31 12:42:20.914428	122914	17.9	1	10
2014-03-31 12:42:28.863663	122915	54	2	9
2014-03-31 12:42:29.086288	122916	19.4	1	9
2014-03-31 12:42:29.925082	122917	51	2	8
2014-03-31 12:42:30.196882	122918	19.1	1	8
2014-03-31 12:42:31.901582	122919	450	3	2
2014-03-31 12:42:32.125376	122920	1148843.123228385	4	2
2014-03-31 12:42:40.793856	122921	57	2	1
2014-03-31 12:42:41.051327	122922	18.7	1	1
2014-03-31 12:42:52.10396	122923	59	2	24
2014-03-31 12:42:52.327778	122924	16.4	1	24
2014-03-31 12:42:54.152198	122925	50	2	25
2014-03-31 12:42:54.384697	122926	17.2	1	25
2014-03-31 12:42:55.901509	122927	498	3	2
2014-03-31 12:42:56.123085	122928	1148846.5703325495	4	2
2014-03-31 12:42:59.679775	122929	46	2	10
2014-03-31 12:42:59.911943	122930	17.9	1	10
2014-03-31 12:43:08.925225	122931	51	2	8
2014-03-31 12:43:09.147356	122932	19.1	1	8
2014-03-31 12:43:19.79346	122933	57	2	1
2014-03-31 12:43:20.024614	122934	18.7	1	1
2014-03-31 12:43:31.103922	122935	59	2	24
2014-03-31 12:43:31.327415	122936	16.4	1	24
2014-03-31 12:43:31.901201	122937	498	3	2
2014-03-31 12:43:32.144323	122938	1148851.166471435	4	2
2014-03-31 12:43:33.152581	122939	50	2	25
2014-03-31 12:43:33.373502	122940	17.2	1	25
2014-03-31 12:43:38.679798	122941	46	2	10
2014-03-31 12:43:38.911956	122942	17.9	1	10
2014-03-31 12:43:46.863203	122943	54	2	9
2014-03-31 12:43:47.083755	122944	19.4	1	9
2014-03-31 12:43:47.922268	122945	51	2	8
2014-03-31 12:43:48.154817	122946	19.1	1	8
2014-03-31 12:43:58.794992	122947	57	2	1
2014-03-31 12:43:59.016759	122948	18.7	1	1
2014-03-31 12:44:10.102611	122949	59	2	24
2014-03-31 12:44:10.336998	122950	16.4	1	24
2014-03-31 12:44:12.150436	122951	50	2	25
2014-03-31 12:44:12.371611	122952	17.2	1	25
2014-03-31 12:44:17.681029	122953	46	2	10
2014-03-31 12:44:17.914018	122954	17.9	1	10
2014-03-31 12:44:25.866506	122955	54	2	9
2014-03-31 12:44:26.090094	122956	19.4	1	9
2014-03-31 12:44:26.92461	122957	51	2	8
2014-03-31 12:44:27.154662	122958	19.1	1	8
2014-03-31 12:44:31.901496	122959	498	3	2
2014-03-31 12:44:32.127574	122960	1148860.3587492064	4	2
2014-03-31 12:44:37.793718	122961	57	2	1
2014-03-31 12:44:38.031183	122962	18.7	1	1
2014-03-31 12:44:49.101622	122963	59	2	24
2014-03-31 12:44:49.323574	122964	16.4	1	24
2014-03-31 12:44:51.152495	122965	50	2	25
2014-03-31 12:44:51.382784	122966	17.2	1	25
2014-03-31 12:44:56.682492	122967	46	2	10
2014-03-31 12:44:56.903713	122968	17.9	1	10
2014-03-31 12:45:04.864315	122969	54	2	9
2014-03-31 12:45:05.097567	122970	19.4	1	9
2014-03-31 12:45:05.925886	122971	51	2	8
2014-03-31 12:45:06.146003	122972	19.1	1	8
2014-03-31 12:45:16.79353	122973	57	2	1
2014-03-31 12:45:17.024447	122974	18.7	1	1
2014-03-31 12:45:28.09977	122975	59	2	24
2014-03-31 12:45:28.323042	122976	16.4	1	24
2014-03-31 12:45:30.152071	122977	50	2	25
2014-03-31 12:45:30.471343	122978	17.2	1	25
2014-03-31 12:45:31.90251	122979	498	3	2
2014-03-31 12:45:32.123648	122980	1148868.4019922563	4	2
2014-03-31 12:45:35.680823	122981	46	2	10
2014-03-31 12:45:35.91317	122982	17.9	1	10
2014-03-31 12:45:43.86403	122983	54	2	9
2014-03-31 12:45:44.08858	122984	19.4	1	9
2014-03-31 12:45:44.924398	122985	51	2	8
2014-03-31 12:45:45.169222	122986	19.1	1	8
2014-03-31 12:45:55.794351	122987	57	2	1
2014-03-31 12:45:56.016562	122988	18.7	1	1
2014-03-31 12:46:07.098189	122989	59	2	24
2014-03-31 12:46:07.331003	122990	16.4	1	24
2014-03-31 12:46:09.151537	122991	50	2	25
2014-03-31 12:46:09.3722	122992	17.2	1	25
2014-03-31 12:46:14.681633	122993	46	2	10
2014-03-31 12:46:14.915532	122994	17.9	1	10
2014-03-31 12:46:22.864073	122995	54	2	9
2014-03-31 12:46:23.086683	122996	19.4	1	9
2014-03-31 12:46:23.92492	122997	51	2	8
2014-03-31 12:46:24.155197	122998	19.1	1	8
2014-03-31 12:46:31.903121	122999	498	3	2
2014-03-31 12:46:32.124479	123000	1148877.5942700277	4	2
2014-03-31 12:46:34.794462	123001	57	2	1
2014-03-31 12:46:35.026229	123002	18.7	1	1
2014-03-31 12:46:46.097772	123003	59	2	24
2014-03-31 12:46:46.31958	123004	16.4	1	24
2014-03-31 12:46:48.151113	123005	50	2	25
2014-03-31 12:46:48.38048	123006	17.2	1	25
2014-03-31 12:46:53.681789	123007	46	2	10
2014-03-31 12:46:53.903068	123008	18.0	1	10
2014-03-31 12:46:55.901403	123009	450	3	2
2014-03-31 12:46:56.133911	123010	1148879.8923394706	4	2
2014-03-31 12:47:01.861739	123011	54	2	9
2014-03-31 12:47:02.084541	123012	19.4	1	9
2014-03-31 12:47:02.923722	123013	51	2	8
2014-03-31 12:47:03.156386	123014	19.1	1	8
2014-03-31 12:47:07.901871	123015	450	3	2
2014-03-31 12:47:08.129292	123016	1148882.1904089134	4	2
2014-03-31 12:47:13.798092	123017	57	2	1
2014-03-31 12:47:14.035641	123018	18.7	1	1
2014-03-31 12:47:25.099801	123019	59	2	24
2014-03-31 12:47:25.32287	123020	16.4	1	24
2014-03-31 12:47:27.152324	123021	50	2	25
2014-03-31 12:47:27.383596	123022	17.2	1	25
2014-03-31 12:47:31.901647	123023	434	3	2
2014-03-31 12:47:32.124952	123024	1148884.488478356	4	2
2014-03-31 12:47:32.680678	123025	46	2	10
2014-03-31 12:47:32.912723	123026	18.0	1	10
2014-03-31 12:47:40.865323	123027	54	2	9
2014-03-31 12:47:41.089866	123028	19.4	1	9
2014-03-31 12:47:41.924328	123029	51	2	8
2014-03-31 12:47:42.156334	123030	19.1	1	8
2014-03-31 12:47:52.792269	123031	57	2	1
2014-03-31 12:47:53.013699	123032	18.7	1	1
2014-03-31 12:47:55.901327	123033	466	3	2
2014-03-31 12:47:56.146417	123034	1148886.7910187512	4	2
2014-03-31 12:48:04.098956	123035	59	2	24
2014-03-31 12:48:04.320703	123036	16.4	1	24
2014-03-31 12:48:06.150457	123037	50	2	25
2014-03-31 12:48:06.383773	123038	17.2	1	25
2014-03-31 12:48:07.90155	123039	450	3	2
2014-03-31 12:48:08.121717	123040	1148887.9400534725	4	2
2014-03-31 12:48:11.6826	123041	46	2	10
2014-03-31 12:48:11.91908	123042	18.0	1	10
2014-03-31 12:48:19.863767	123043	54	2	9
2014-03-31 12:48:20.086303	123044	19.4	1	9
2014-03-31 12:48:20.925138	123045	51	2	8
2014-03-31 12:48:21.155935	123046	19.1	1	8
2014-03-31 12:48:31.762877	123047	57	2	1
2014-03-31 12:48:31.985035	123048	18.7	1	1
2014-03-31 12:48:43.100194	123049	59	2	24
2014-03-31 12:48:43.335012	123050	16.4	1	24
2014-03-31 12:48:45.151458	123051	50	2	25
2014-03-31 12:48:45.374722	123052	17.2	1	25
2014-03-31 12:48:50.682889	123053	46	2	10
2014-03-31 12:48:50.914248	123054	18.0	1	10
2014-03-31 12:48:55.900568	123055	402	3	2
2014-03-31 12:48:56.126323	123056	1148894.834261801	4	2
2014-03-31 12:48:58.864867	123057	54	2	9
2014-03-31 12:48:59.096316	123058	19.4	1	9
2014-03-31 12:48:59.924646	123059	51	2	8
2014-03-31 12:49:00.147729	123060	19.1	1	8
2014-03-31 12:49:07.90138	123061	418	3	2
2014-03-31 12:49:08.133386	123062	1148895.9832965224	4	2
2014-03-31 12:49:10.791174	123063	57	2	1
2014-03-31 12:49:11.013079	123064	18.7	1	1
2014-03-31 12:49:22.097679	123065	59	2	24
2014-03-31 12:49:22.328472	123066	16.4	1	24
2014-03-31 12:49:24.150158	123067	50	2	25
2014-03-31 12:49:24.371418	123068	17.2	1	25
2014-03-31 12:49:29.890215	123069	46	2	10
2014-03-31 12:49:30.12321	123070	18.0	1	10
2014-03-31 12:49:31.902115	123071	418	3	2
2014-03-31 12:49:32.124526	123072	1148898.2813659653	4	2
2014-03-31 12:49:37.864993	123073	54	2	9
2014-03-31 12:49:38.097246	123074	19.4	1	9
2014-03-31 12:49:38.92482	123075	51	2	8
2014-03-31 12:49:39.145306	123076	19.1	1	8
2014-03-31 12:49:49.792141	123077	57	2	1
2014-03-31 12:49:50.023755	123078	18.7	1	1
2014-03-31 12:50:01.097127	123079	59	2	24
2014-03-31 12:50:01.320673	123080	16.4	1	24
2014-03-31 12:50:03.149577	123081	50	2	25
2014-03-31 12:50:03.392318	123082	17.2	1	25
2014-03-31 12:50:08.682383	123083	46	2	10
2014-03-31 12:50:08.905643	123084	18.0	1	10
2014-03-31 12:50:16.864003	123085	54	2	9
2014-03-31 12:50:17.097907	123086	19.4	1	9
2014-03-31 12:50:17.922339	123087	51	2	8
2014-03-31 12:50:18.144312	123088	19.1	1	8
2014-03-31 12:50:28.791549	123089	57	2	1
2014-03-31 12:50:29.023932	123090	18.7	1	1
2014-03-31 12:50:31.903998	123091	418	3	2
2014-03-31 12:50:32.126703	123092	1148905.1755742938	4	2
2014-03-31 12:50:40.095775	123093	59	2	24
2014-03-31 12:50:40.328069	123094	16.4	1	24
2014-03-31 12:50:42.14714	123095	50	2	25
2014-03-31 12:50:42.369475	123096	17.2	1	25
2014-03-31 12:50:47.684547	123097	46	2	10
2014-03-31 12:50:47.91675	123098	18.0	1	10
2014-03-31 12:50:55.863175	123099	54	2	9
2014-03-31 12:50:56.084954	123100	19.4	1	9
2014-03-31 12:50:56.924323	123101	51	2	8
2014-03-31 12:50:57.155495	123102	19.1	1	8
2014-03-31 12:51:07.793232	123103	57	2	1
2014-03-31 12:51:08.017761	123104	18.7	1	1
2014-03-31 12:51:19.096656	123105	59	2	24
2014-03-31 12:51:19.329888	123106	16.4	1	24
2014-03-31 12:51:21.148206	123107	50	2	25
2014-03-31 12:51:21.371894	123108	17.2	1	25
2014-03-31 12:51:26.68348	123109	46	2	10
2014-03-31 12:51:26.916801	123110	18.0	1	10
2014-03-31 12:51:31.902568	123111	434	3	2
2014-03-31 12:51:32.12844	123112	1148913.2188173437	4	2
2014-03-31 12:51:34.866249	123113	54	2	9
2014-03-31 12:51:35.096253	123114	19.4	1	9
2014-03-31 12:51:35.925916	123115	51	2	8
2014-03-31 12:51:36.14791	123116	19.1	1	8
2014-03-31 12:51:46.791072	123117	57	2	1
2014-03-31 12:51:47.027563	123118	18.7	1	1
2014-03-31 12:51:58.095419	123119	59	2	24
2014-03-31 12:51:58.319556	123120	16.4	1	24
2014-03-31 12:52:00.149417	123121	50	2	25
2014-03-31 12:52:00.379126	123122	17.2	1	25
2014-03-31 12:52:05.683853	123123	46	2	10
2014-03-31 12:52:05.906886	123124	18.0	1	10
2014-03-31 12:52:13.864183	123125	54	2	9
2014-03-31 12:52:14.098751	123126	19.4	1	9
2014-03-31 12:52:14.927124	123127	51	2	8
2014-03-31 12:52:15.149537	123128	19.0	1	8
2014-03-31 12:52:25.790022	123129	57	2	1
2014-03-31 12:52:26.034348	123130	18.7	1	1
2014-03-31 12:52:31.901706	123131	434	3	2
2014-03-31 12:52:32.129607	123132	1148920.1130256723	4	2
2014-03-31 12:52:37.106865	123133	59	2	24
2014-03-31 12:52:37.341542	123134	16.4	1	24
2014-03-31 12:52:39.145721	123135	50	2	25
2014-03-31 12:52:39.367799	123136	17.2	1	25
2014-03-31 12:52:44.683353	123137	46	2	10
2014-03-31 12:52:44.921056	123138	18.0	1	10
2014-03-31 12:52:52.862968	123139	54	2	9
2014-03-31 12:52:53.086853	123140	19.4	1	9
2014-03-31 12:52:53.923305	123141	51	2	8
2014-03-31 12:52:54.157127	123142	19.0	1	8
2014-03-31 12:53:04.78942	123143	57	2	1
2014-03-31 12:53:05.010152	123144	18.7	1	1
2014-03-31 12:53:16.09255	123145	59	2	24
2014-03-31 12:53:16.32772	123146	16.4	1	24
2014-03-31 12:53:18.147849	123147	50	2	25
2014-03-31 12:53:18.369382	123148	17.2	1	25
2014-03-31 12:53:23.684337	123149	46	2	10
2014-03-31 12:53:23.916558	123150	18.0	1	10
2014-03-31 12:53:32.924702	123151	51	2	8
2014-03-31 12:53:33.147389	123152	19.0	1	8
2014-03-31 12:53:43.790386	123153	57	2	1
2014-03-31 12:53:44.02436	123154	18.8	1	1
2014-03-31 12:53:55.093004	123155	59	2	24
2014-03-31 12:53:55.317522	123156	16.4	1	24
2014-03-31 12:53:55.900245	123157	370	3	2
2014-03-31 12:53:56.130568	123158	1148930.454338165	4	2
2014-03-31 12:53:57.1469	123159	50	2	25
2014-03-31 12:53:57.37064	123160	17.2	1	25
2014-03-31 12:54:02.68405	123161	46	2	10
2014-03-31 12:54:02.915539	123162	18.0	1	10
2014-03-31 12:54:07.90377	123163	402	3	2
2014-03-31 12:54:08.125449	123164	1148931.6033728863	4	2
2014-03-31 12:54:10.863381	123165	54	2	9
2014-03-31 12:54:11.096851	123166	19.3	1	9
2014-03-31 12:54:11.924409	123167	51	2	8
2014-03-31 12:54:12.145111	123168	19.0	1	8
2014-03-31 12:54:19.90251	123169	402	3	2
2014-03-31 12:54:20.13374	123170	1148932.7524076079	4	2
2014-03-31 12:54:22.788957	123171	58	2	1
2014-03-31 12:54:23.009594	123172	18.8	1	1
2014-03-31 12:54:31.902242	123173	402	3	2
2014-03-31 12:54:32.134156	123174	1148933.9014423292	4	2
2014-03-31 12:54:34.091629	123175	59	2	24
2014-03-31 12:54:34.31313	123176	16.4	1	24
2014-03-31 12:54:36.146894	123177	50	2	25
2014-03-31 12:54:36.39246	123178	17.2	1	25
2014-03-31 12:54:41.683944	123179	46	2	10
2014-03-31 12:54:41.911381	123180	18.0	1	10
2014-03-31 12:54:43.902732	123181	434	3	2
2014-03-31 12:54:44.134387	123182	1148935.0504770507	4	2
2014-03-31 12:54:49.863761	123183	54	2	9
2014-03-31 12:54:50.086792	123184	19.3	1	9
2014-03-31 12:54:50.928075	123185	51	2	8
2014-03-31 12:54:51.158972	123186	19.0	1	8
2014-03-31 12:54:55.901137	123187	418	3	2
2014-03-31 12:54:56.126255	123188	1148936.199511772	4	2
2014-03-31 12:55:01.790668	123189	58	2	1
2014-03-31 12:55:02.025923	123190	18.8	1	1
2014-03-31 12:55:13.090852	123191	59	2	24
2014-03-31 12:55:13.314654	123192	16.4	1	24
2014-03-31 12:55:15.147501	123193	50	2	25
2014-03-31 12:55:15.37902	123194	17.2	1	25
2014-03-31 12:55:20.684236	123195	46	2	10
2014-03-31 12:55:20.905554	123196	18.0	1	10
2014-03-31 12:55:28.864028	123197	54	2	9
2014-03-31 12:55:29.137009	123198	19.3	1	9
2014-03-31 12:55:29.924121	123199	51	2	8
2014-03-31 12:55:30.180774	123200	19.0	1	8
2014-03-31 12:55:31.901723	123201	434	3	2
2014-03-31 12:55:32.260061	123202	1148940.7956506577	4	2
2014-03-31 12:55:40.789507	123203	58	2	1
2014-03-31 12:55:41.046278	123204	18.8	1	1
2014-03-31 12:55:52.09132	123205	59	2	24
2014-03-31 12:55:52.357877	123206	16.4	1	24
2014-03-31 12:55:54.145056	123207	50	2	25
2014-03-31 12:55:54.400611	123208	17.2	1	25
2014-03-31 12:55:59.687434	123209	46	2	10
2014-03-31 12:56:00.284235	123210	18.0	1	10
2014-03-31 12:56:07.862146	123211	54	2	9
2014-03-31 12:56:08.085254	123212	19.3	1	9
2014-03-31 12:56:08.925901	123213	51	2	8
2014-03-31 12:56:09.157623	123214	19.0	1	8
2014-03-31 12:56:19.789789	123215	58	2	1
2014-03-31 12:56:20.011348	123216	18.8	1	1
2014-03-31 12:56:31.091692	123217	59	2	24
2014-03-31 12:56:31.323667	123218	16.4	1	24
2014-03-31 12:56:31.903739	123219	434	3	2
2014-03-31 12:56:32.126075	123220	1148947.6898589863	4	2
2014-03-31 12:56:33.145678	123221	50	2	25
2014-03-31 12:56:33.377736	123222	17.2	1	25
2014-03-31 12:56:38.685672	123223	46	2	10
2014-03-31 12:56:38.909171	123224	18.0	1	10
2014-03-31 12:56:46.864182	123225	54	2	9
2014-03-31 12:56:47.107159	123226	19.3	1	9
2014-03-31 12:56:47.925283	123227	51	2	8
2014-03-31 12:56:48.146033	123228	19.0	1	8
2014-03-31 12:56:58.78482	123229	58	2	1
2014-03-31 12:56:59.018209	123230	18.8	1	1
2014-03-31 12:57:07.90257	123231	466	3	2
2014-03-31 12:57:08.124625	123232	1148952.2859978718	4	2
2014-03-31 12:57:10.090688	123233	59	2	24
2014-03-31 12:57:10.323919	123234	16.4	1	24
2014-03-31 12:57:12.144432	123235	50	2	25
2014-03-31 12:57:12.366414	123236	17.2	1	25
2014-03-31 12:57:17.684714	123237	46	2	10
2014-03-31 12:57:17.917826	123238	18.0	1	10
2014-03-31 12:57:19.903135	123239	466	3	2
2014-03-31 12:57:20.124407	123240	1148954.5840673146	4	2
2014-03-31 12:57:25.863873	123241	54	2	9
2014-03-31 12:57:26.096928	123242	19.3	1	9
2014-03-31 12:57:26.92651	123243	51	2	8
2014-03-31 12:57:27.14811	123244	19.0	1	8
2014-03-31 12:57:31.901426	123245	466	3	2
2014-03-31 12:57:32.139957	123246	1148955.7331020362	4	2
2014-03-31 12:57:37.78908	123247	58	2	1
2014-03-31 12:57:38.015597	123248	18.8	1	1
2014-03-31 12:57:49.092062	123249	59	2	24
2014-03-31 12:57:49.324575	123250	16.4	1	24
2014-03-31 12:57:51.146869	123251	50	2	25
2014-03-31 12:57:51.37101	123252	17.2	1	25
2014-03-31 12:57:56.685558	123253	46	2	10
2014-03-31 12:57:56.91669	123254	18.0	1	10
2014-03-31 12:58:04.860511	123255	54	2	9
2014-03-31 12:58:05.105099	123256	19.3	1	9
2014-03-31 12:58:05.92751	123257	51	2	8
2014-03-31 12:58:06.159702	123258	19.0	1	8
2014-03-31 12:58:16.787945	123259	58	2	1
2014-03-31 12:58:17.01039	123260	18.8	1	1
2014-03-31 12:58:28.081343	123261	59	2	24
2014-03-31 12:58:28.313565	123262	16.4	1	24
2014-03-31 12:58:30.146087	123263	50	2	25
2014-03-31 12:58:30.367299	123264	17.2	1	25
2014-03-31 12:58:35.685988	123265	46	2	10
2014-03-31 12:58:35.918173	123266	18.0	1	10
2014-03-31 12:58:44.925739	123267	51	2	8
2014-03-31 12:58:45.159145	123268	19.0	1	8
2014-03-31 12:58:55.761187	123269	58	2	1
2014-03-31 12:58:55.99368	123270	18.8	1	1
2014-03-31 12:59:07.079389	123271	59	2	24
2014-03-31 12:59:07.303986	123272	16.4	1	24
2014-03-31 12:59:09.14532	123273	50	2	25
2014-03-31 12:59:09.389304	123274	17.2	1	25
2014-03-31 12:59:14.688806	123275	46	2	10
2014-03-31 12:59:14.912351	123276	18.0	1	10
2014-03-31 12:59:19.901108	123277	547	3	2
2014-03-31 12:59:20.13697	123278	1148971.819588136	4	2
2014-03-31 12:59:23.065428	123279	54	2	9
2014-03-31 12:59:23.28936	123280	19.3	1	9
2014-03-31 12:59:23.923821	123281	51	2	8
2014-03-31 12:59:24.155497	123282	19.1	1	8
2014-03-31 12:59:34.785645	123283	58	2	1
2014-03-31 12:59:35.008049	123284	18.8	1	1
2014-03-31 12:59:43.899227	123285	450	3	2
2014-03-31 12:59:44.134525	123286	1148974.1176575788	4	2
2014-03-31 12:59:46.087878	123287	59	2	24
2014-03-31 12:59:46.310661	123288	16.4	1	24
2014-03-31 12:59:48.144433	123289	50	2	25
2014-03-31 12:59:48.375944	123290	17.2	1	25
2014-03-31 12:59:53.690729	123291	46	2	10
2014-03-31 12:59:53.913702	123292	18.0	1	10
2014-03-31 13:00:01.862733	123293	54	2	9
2014-03-31 13:00:02.095787	123294	19.3	1	9
2014-03-31 13:00:02.923712	123295	51	2	8
2014-03-31 13:00:03.146005	123296	19.1	1	8
2014-03-31 13:00:13.785515	123297	58	2	1
2014-03-31 13:00:14.017277	123298	18.8	1	1
2014-03-31 13:00:25.088776	123299	59	2	24
2014-03-31 13:00:25.312797	123300	16.4	1	24
2014-03-31 13:00:27.146981	123301	50	2	25
2014-03-31 13:00:27.379177	123302	17.2	1	25
2014-03-31 13:00:31.900581	123303	450	3	2
2014-03-31 13:00:32.123581	123304	1148981.011865907	4	2
2014-03-31 13:00:32.686244	123305	46	2	10
2014-03-31 13:00:32.916659	123306	18.0	1	10
2014-03-31 13:00:40.865807	123307	54	2	9
2014-03-31 13:00:41.087419	123308	19.3	1	9
2014-03-31 13:00:41.925239	123309	51	2	8
2014-03-31 13:00:42.156532	123310	19.1	1	8
2014-03-31 13:00:43.902038	123311	402	3	2
2014-03-31 13:00:44.126446	123312	1148982.1609006287	4	2
2014-03-31 13:00:52.784846	123313	58	2	1
2014-03-31 13:00:53.016292	123314	18.8	1	1
2014-03-31 13:00:55.900594	123315	418	3	2
2014-03-31 13:00:56.122297	123316	1148983.30993535	4	2
2014-03-31 13:01:04.08575	123317	59	2	24
2014-03-31 13:01:04.317833	123318	16.4	1	24
2014-03-31 13:01:06.146205	123319	50	2	25
2014-03-31 13:01:06.375166	123320	17.2	1	25
2014-03-31 13:01:11.690315	123321	46	2	10
2014-03-31 13:01:11.936975	123322	18.0	1	10
2014-03-31 13:01:19.865299	123323	54	2	9
2014-03-31 13:01:20.086339	123324	19.3	1	9
2014-03-31 13:01:20.925089	123325	51	2	8
2014-03-31 13:01:21.158024	123326	19.1	1	8
2014-03-31 13:01:31.762767	123327	58	2	1
2014-03-31 13:01:31.984093	123328	18.8	1	1
2014-03-31 13:01:43.084365	123329	59	2	24
2014-03-31 13:01:43.315616	123330	16.4	1	24
2014-03-31 13:01:45.145076	123331	50	2	25
2014-03-31 13:01:45.366035	123332	17.2	1	25
2014-03-31 13:01:50.686597	123333	46	2	10
2014-03-31 13:01:50.920573	123334	18.0	1	10
2014-03-31 13:01:58.868924	123335	54	2	9
2014-03-31 13:01:59.090658	123336	19.3	1	9
2014-03-31 13:01:59.925396	123337	51	2	8
2014-03-31 13:02:00.157079	123338	19.1	1	8
2014-03-31 13:02:11.028808	123339	58	2	1
2014-03-31 13:02:11.253204	123340	18.8	1	1
2014-03-31 13:02:22.085327	123341	59	2	24
2014-03-31 13:02:22.316797	123342	16.4	1	24
2014-03-31 13:02:24.144128	123343	50	2	25
2014-03-31 13:02:24.364373	123344	17.2	1	25
2014-03-31 13:02:29.687471	123345	46	2	10
2014-03-31 13:02:29.923459	123346	18.0	1	10
2014-03-31 13:02:31.902809	123347	402	3	2
2014-03-31 13:02:32.124974	123348	1148994.8002825642	4	2
2014-03-31 13:02:37.867014	123349	54	2	9
2014-03-31 13:02:38.102445	123350	19.3	1	9
2014-03-31 13:02:38.927148	123351	51	2	8
2014-03-31 13:02:39.14855	123352	19.0	1	8
2014-03-31 13:02:49.785105	123353	58	2	1
2014-03-31 13:02:50.01857	123354	18.8	1	1
2014-03-31 13:03:01.139949	123355	59	2	24
2014-03-31 13:03:01.363424	123356	16.4	1	24
2014-03-31 13:03:03.145001	123357	50	2	25
2014-03-31 13:03:03.375832	123358	17.2	1	25
2014-03-31 13:03:08.69017	123359	46	2	10
2014-03-31 13:03:08.916223	123360	18.0	1	10
2014-03-31 13:03:16.86798	123361	54	2	9
2014-03-31 13:03:17.100955	123362	19.3	1	9
2014-03-31 13:03:17.92771	123363	51	2	8
2014-03-31 13:03:18.151657	123364	19.0	1	8
2014-03-31 13:03:28.782586	123365	58	2	1
2014-03-31 13:03:29.014273	123366	18.8	1	1
2014-03-31 13:03:40.087347	123367	59	2	24
2014-03-31 13:03:40.309765	123368	16.4	1	24
2014-03-31 13:03:42.147048	123369	50	2	25
2014-03-31 13:03:42.388431	123370	17.2	1	25
2014-03-31 13:03:47.691329	123371	46	2	10
2014-03-31 13:03:47.914523	123372	18.0	1	10
2014-03-31 13:03:55.865051	123373	54	2	9
2014-03-31 13:03:56.098047	123374	19.3	1	9
2014-03-31 13:03:56.928523	123375	51	2	8
2014-03-31 13:03:57.151292	123376	19.0	1	8
2014-03-31 13:04:07.783268	123377	58	2	1
2014-03-31 13:04:08.015757	123378	18.8	1	1
2014-03-31 13:04:19.082487	123379	59	2	24
2014-03-31 13:04:19.306332	123380	16.4	1	24
2014-03-31 13:04:21.144248	123381	50	2	25
2014-03-31 13:04:21.377646	123382	17.2	1	25
2014-03-31 13:04:26.689296	123383	46	2	10
2014-03-31 13:04:26.913323	123384	18.0	1	10
2014-03-31 13:04:34.863052	123385	54	2	9
2014-03-31 13:04:35.115017	123386	19.3	1	9
2014-03-31 13:04:35.927477	123387	52	2	8
2014-03-31 13:04:36.148303	123388	19.0	1	8
2014-03-31 13:04:46.783454	123389	58	2	1
2014-03-31 13:04:47.014049	123390	18.8	1	1
2014-03-31 13:04:58.083168	123391	59	2	24
2014-03-31 13:04:58.304617	123392	16.4	1	24
2014-03-31 13:05:00.144001	123393	50	2	25
2014-03-31 13:05:00.37675	123394	17.2	1	25
2014-03-31 13:05:05.6891	123395	46	2	10
2014-03-31 13:05:05.910634	123396	18.0	1	10
2014-03-31 13:05:13.867697	123397	54	2	9
2014-03-31 13:05:14.102866	123398	19.3	1	9
2014-03-31 13:05:14.925574	123399	51	2	8
2014-03-31 13:05:15.147574	123400	19.0	1	8
2014-03-31 13:05:25.781857	123401	58	2	1
2014-03-31 13:05:26.014261	123402	18.8	1	1
2014-03-31 13:05:31.90297	123403	402	3	2
2014-03-31 13:05:32.126258	123404	1149014.3338728282	4	2
2014-03-31 13:05:37.082233	123405	59	2	24
2014-03-31 13:05:37.314026	123406	16.4	1	24
2014-03-31 13:05:39.143604	123407	50	2	25
2014-03-31 13:05:39.36437	123408	17.2	1	25
2014-03-31 13:05:44.690154	123409	46	2	10
2014-03-31 13:05:44.922218	123410	18.0	1	10
2014-03-31 13:05:52.867901	123411	54	2	9
2014-03-31 13:05:53.091979	123412	19.3	1	9
2014-03-31 13:05:53.927543	123413	51	2	8
2014-03-31 13:05:54.159125	123414	19.0	1	8
2014-03-31 13:05:55.902394	123415	370	3	2
2014-03-31 13:05:56.124977	123416	1149017.7809769926	4	2
2014-03-31 13:06:04.782318	123417	58	2	1
2014-03-31 13:06:05.027037	123418	18.8	1	1
2014-03-31 13:06:07.901956	123419	402	3	2
2014-03-31 13:06:08.123677	123420	1149018.9300117139	4	2
2014-03-31 13:06:16.082433	123421	59	2	24
2014-03-31 13:06:16.315518	123422	16.4	1	24
2014-03-31 13:06:18.144498	123423	50	2	25
2014-03-31 13:06:18.365499	123424	17.2	1	25
2014-03-31 13:06:19.902469	123425	402	3	2
2014-03-31 13:06:20.133527	123426	1149020.0790464354	4	2
2014-03-31 13:06:23.693076	123427	46	2	10
2014-03-31 13:06:23.91467	123428	18.0	1	10
2014-03-31 13:06:32.927006	123429	51	2	8
2014-03-31 13:06:33.159069	123430	19.0	1	8
2014-03-31 13:06:43.764069	123431	58	2	1
2014-03-31 13:06:43.985895	123432	18.8	1	1
2014-03-31 13:06:55.082895	123433	59	2	24
2014-03-31 13:06:55.314511	123434	16.4	1	24
2014-03-31 13:06:55.902443	123435	434	3	2
2014-03-31 13:06:56.124595	123436	1149024.675185321	4	2
2014-03-31 13:06:57.143518	123437	50	2	25
2014-03-31 13:06:57.374432	123438	17.2	1	25
2014-03-31 13:07:02.689974	123439	46	2	10
2014-03-31 13:07:02.914154	123440	18.0	1	10
2014-03-31 13:07:10.867364	123441	54	2	9
2014-03-31 13:07:11.098584	123442	19.3	1	9
2014-03-31 13:07:11.92603	123443	51	2	8
2014-03-31 13:07:12.146731	123444	19.0	1	8
2014-03-31 13:07:22.782548	123445	58	2	1
2014-03-31 13:07:23.013755	123446	18.8	1	1
2014-03-31 13:07:31.904517	123447	434	3	2
2014-03-31 13:07:32.127521	123448	1149029.2713242066	4	2
2014-03-31 13:07:34.076498	123449	59	2	24
2014-03-31 13:07:34.309231	123450	16.4	1	24
2014-03-31 13:07:36.144215	123451	50	2	25
2014-03-31 13:07:36.370833	123452	17.2	1	25
2014-03-31 13:07:41.691297	123453	46	2	10
2014-03-31 13:07:41.929558	123454	18.0	1	10
2014-03-31 13:07:49.868619	123455	54	2	9
2014-03-31 13:07:50.090841	123456	19.3	1	9
2014-03-31 13:07:50.928207	123457	51	2	8
2014-03-31 13:07:51.159264	123458	19.0	1	8
2014-03-31 13:08:01.781901	123459	58	2	1
2014-03-31 13:08:02.005829	123460	18.8	1	1
2014-03-31 13:08:13.079355	123461	59	2	24
2014-03-31 13:08:13.31282	123462	16.4	1	24
2014-03-31 13:08:15.145625	123463	50	2	25
2014-03-31 13:08:15.366549	123464	17.2	1	25
2014-03-31 13:08:20.692229	123465	46	2	10
2014-03-31 13:08:20.935358	123466	18.0	1	10
2014-03-31 13:08:28.8677	123467	54	2	9
2014-03-31 13:08:29.089906	123468	19.3	1	9
2014-03-31 13:08:29.926038	123469	51	2	8
2014-03-31 13:08:30.344822	123470	19.0	1	8
2014-03-31 13:08:40.779278	123471	58	2	1
2014-03-31 13:08:41.007942	123472	18.8	1	1
2014-03-31 13:08:52.081232	123473	59	2	24
2014-03-31 13:08:52.303733	123474	16.4	1	24
2014-03-31 13:08:54.143985	123475	50	2	25
2014-03-31 13:08:54.374289	123476	17.2	1	25
2014-03-31 13:08:59.690359	123477	46	2	10
2014-03-31 13:08:59.911048	123478	18.0	1	10
2014-03-31 13:09:07.867117	123479	54	2	9
2014-03-31 13:09:08.099124	123480	19.3	1	9
2014-03-31 13:09:08.926583	123481	51	2	8
2014-03-31 13:09:09.147457	123482	19.0	1	8
2014-03-31 13:09:19.780357	123483	58	2	1
2014-03-31 13:09:20.011587	123484	18.8	1	1
2014-03-31 13:09:31.078133	123485	59	2	24
2014-03-31 13:09:31.355751	123486	16.3	1	24
2014-03-31 13:09:31.902245	123487	434	3	2
2014-03-31 13:09:32.134603	123488	1149043.0597408637	4	2
2014-03-31 13:09:33.141907	123489	50	2	25
2014-03-31 13:09:33.363744	123490	17.2	1	25
2014-03-31 13:09:38.690845	123491	46	2	10
2014-03-31 13:09:38.921606	123492	18.0	1	10
2014-03-31 13:09:46.868079	123493	54	2	9
2014-03-31 13:09:47.088431	123494	19.3	1	9
2014-03-31 13:09:47.92437	123495	51	2	8
2014-03-31 13:09:48.153361	123496	19.0	1	8
2014-03-31 13:09:58.779177	123497	58	2	1
2014-03-31 13:09:59.000633	123498	18.8	1	1
2014-03-31 13:10:10.077063	123499	59	2	24
2014-03-31 13:10:10.310783	123500	16.3	1	24
2014-03-31 13:10:12.161264	123501	50	2	25
2014-03-31 13:10:12.383478	123502	17.2	1	25
2014-03-31 13:10:17.690633	123503	46	2	10
2014-03-31 13:10:17.922398	123504	18.1	1	10
2014-03-31 13:10:25.8652	123505	54	2	9
2014-03-31 13:10:26.087161	123506	19.3	1	9
2014-03-31 13:10:26.927264	123507	51	2	8
2014-03-31 13:10:27.158508	123508	19.0	1	8
2014-03-31 13:10:31.902387	123509	450	3	2
2014-03-31 13:10:32.123448	123510	1149051.1029839136	4	2
2014-03-31 13:10:37.780532	123511	58	2	1
2014-03-31 13:10:38.012757	123512	18.8	1	1
2014-03-31 13:10:49.079374	123513	59	2	24
2014-03-31 13:10:49.300398	123514	16.3	1	24
2014-03-31 13:10:51.141245	123515	50	2	25
2014-03-31 13:10:51.382932	123516	17.2	1	25
2014-03-31 13:10:56.691978	123517	46	2	10
2014-03-31 13:10:56.914961	123518	18.1	1	10
2014-03-31 13:11:04.86447	123519	54	2	9
2014-03-31 13:11:05.096549	123520	19.3	1	9
2014-03-31 13:11:05.927914	123521	51	2	8
2014-03-31 13:11:06.148924	123522	19.0	1	8
2014-03-31 13:11:16.780534	123523	58	2	1
2014-03-31 13:11:17.011601	123524	18.8	1	1
2014-03-31 13:11:28.079581	123525	59	2	24
2014-03-31 13:11:28.302736	123526	16.3	1	24
2014-03-31 13:11:30.143131	123527	50	2	25
2014-03-31 13:11:30.374696	123528	17.2	1	25
2014-03-31 13:11:31.902705	123529	450	3	2
2014-03-31 13:11:32.124025	123530	1149057.997192242	4	2
2014-03-31 13:11:35.692388	123531	46	2	10
2014-03-31 13:11:35.925724	123532	18.1	1	10
2014-03-31 13:11:43.865349	123533	54	2	9
2014-03-31 13:11:44.087328	123534	19.3	1	9
2014-03-31 13:11:44.926338	123535	51	2	8
2014-03-31 13:11:45.156665	123536	19.0	1	8
2014-03-31 13:11:55.779476	123537	58	2	1
2014-03-31 13:11:55.999758	123538	18.8	1	1
2014-03-31 13:12:07.075711	123539	59	2	24
2014-03-31 13:12:07.306646	123540	16.3	1	24
2014-03-31 13:12:09.140877	123541	50	2	25
2014-03-31 13:12:09.364425	123542	17.2	1	25
2014-03-31 13:12:14.6925	123543	46	2	10
2014-03-31 13:12:14.924799	123544	18.1	1	10
2014-03-31 13:12:22.869059	123545	54	2	9
2014-03-31 13:12:23.090235	123546	19.3	1	9
2014-03-31 13:12:23.92845	123547	51	2	8
2014-03-31 13:12:24.158561	123548	19.0	1	8
2014-03-31 13:12:31.901451	123549	434	3	2
2014-03-31 13:12:32.123353	123550	1149066.0404352918	4	2
2014-03-31 13:12:34.780201	123551	58	2	1
2014-03-31 13:12:35.011488	123552	18.8	1	1
2014-03-31 13:12:46.075322	123553	59	2	24
2014-03-31 13:12:46.298585	123554	16.3	1	24
2014-03-31 13:12:48.140923	123555	50	2	25
2014-03-31 13:12:48.373308	123556	17.2	1	25
2014-03-31 13:12:53.692641	123557	46	2	10
2014-03-31 13:12:53.917999	123558	18.1	1	10
2014-03-31 13:13:01.869023	123559	54	2	9
2014-03-31 13:13:02.101463	123560	19.3	1	9
2014-03-31 13:13:02.930174	123561	51	2	8
2014-03-31 13:13:03.151569	123562	19.0	1	8
2014-03-31 13:13:13.779052	123563	58	2	1
2014-03-31 13:13:14.023704	123564	18.8	1	1
2014-03-31 13:13:25.073735	123565	59	2	24
2014-03-31 13:13:25.297711	123566	16.3	1	24
2014-03-31 13:13:27.141007	123567	50	2	25
2014-03-31 13:13:27.370418	123568	17.2	1	25
2014-03-31 13:13:31.900195	123569	450	3	2
2014-03-31 13:13:32.123612	123570	1149072.9346436204	4	2
2014-03-31 13:13:32.692282	123571	46	2	10
2014-03-31 13:13:32.925057	123572	18.1	1	10
2014-03-31 13:13:40.867315	123573	54	2	9
2014-03-31 13:13:41.089922	123574	19.3	1	9
2014-03-31 13:13:41.928053	123575	51	2	8
2014-03-31 13:13:42.159799	123576	19.0	1	8
2014-03-31 13:13:52.779669	123577	58	2	1
2014-03-31 13:13:53.00081	123578	18.8	1	1
2014-03-31 13:14:03.878621	123579	418	3	2
2014-03-31 13:14:04.112571	123580	1149076.3817477846	4	2
2014-03-31 13:14:04.414632	123581	59	2	24
2014-03-31 13:14:04.635301	123582	16.3	1	24
2014-03-31 13:14:06.144113	123583	50	2	25
2014-03-31 13:14:06.37489	123584	17.2	1	25
2014-03-31 13:14:11.693745	123585	46	2	10
2014-03-31 13:14:11.918309	123586	18.1	1	10
2014-03-31 13:14:19.867546	123587	54	2	9
2014-03-31 13:14:20.10245	123588	19.3	1	9
2014-03-31 13:14:20.92807	123589	51	2	8
2014-03-31 13:14:21.151251	123590	19.0	1	8
2014-03-31 13:14:31.762597	123591	58	2	1
2014-03-31 13:14:31.994495	123592	18.8	1	1
2014-03-31 13:14:43.074726	123593	59	2	24
2014-03-31 13:14:43.298162	123594	16.3	1	24
2014-03-31 13:14:45.144297	123595	50	2	25
2014-03-31 13:14:45.374986	123596	17.2	1	25
2014-03-31 13:14:50.902364	123597	46	2	10
2014-03-31 13:14:51.125172	123598	18.1	1	10
2014-03-31 13:14:58.869507	123599	54	2	9
2014-03-31 13:14:59.101751	123600	19.3	1	9
2014-03-31 13:14:59.928473	123601	51	2	8
2014-03-31 13:15:00.148866	123602	19.0	1	8
2014-03-31 13:15:10.776816	123603	58	2	1
2014-03-31 13:15:11.008632	123604	18.8	1	1
2014-03-31 13:15:22.075398	123605	59	2	24
2014-03-31 13:15:22.299137	123606	16.3	1	24
2014-03-31 13:15:24.142345	123607	50	2	25
2014-03-31 13:15:24.375284	123608	17.2	1	25
2014-03-31 13:15:29.903851	123609	46	2	10
2014-03-31 13:15:30.126043	123610	18.1	1	10
2014-03-31 13:15:37.868729	123611	54	2	9
2014-03-31 13:15:38.11201	123612	19.3	1	9
2014-03-31 13:15:38.930406	123613	51	2	8
2014-03-31 13:15:39.153158	123614	19.0	1	8
2014-03-31 13:15:49.77946	123615	58	2	1
2014-03-31 13:15:50.011188	123616	18.8	1	1
2014-03-31 13:16:01.080044	123617	59	2	24
2014-03-31 13:16:01.30105	123618	16.3	1	24
2014-03-31 13:16:03.161418	123619	50	2	25
2014-03-31 13:16:03.395079	123620	17.2	1	25
2014-03-31 13:16:08.695245	123621	46	2	10
2014-03-31 13:16:08.91869	123622	18.1	1	10
2014-03-31 13:16:16.865963	123623	54	2	9
2014-03-31 13:16:17.096809	123624	19.3	1	9
2014-03-31 13:16:17.929672	123625	51	2	8
2014-03-31 13:16:18.149781	123626	19.0	1	8
2014-03-31 13:16:28.779943	123627	58	2	1
2014-03-31 13:16:29.012081	123628	18.8	1	1
2014-03-31 13:16:40.074906	123629	59	2	24
2014-03-31 13:16:40.296895	123630	16.3	1	24
2014-03-31 13:16:42.141392	123631	50	2	25
2014-03-31 13:16:42.373843	123632	17.2	1	25
2014-03-31 13:16:47.695898	123633	46	2	10
2014-03-31 13:16:47.918687	123634	18.1	1	10
2014-03-31 13:16:55.864551	123635	54	2	9
2014-03-31 13:16:56.095567	123636	19.3	1	9
2014-03-31 13:16:56.929642	123637	51	2	8
2014-03-31 13:16:57.149841	123638	19.0	1	8
2014-03-31 13:17:07.779559	123639	58	2	1
2014-03-31 13:17:08.01072	123640	18.8	1	1
2014-03-31 13:17:19.074727	123641	59	2	24
2014-03-31 13:17:19.296043	123642	16.3	1	24
2014-03-31 13:17:21.141621	123643	50	2	25
2014-03-31 13:17:21.373439	123644	17.2	1	25
2014-03-31 13:17:26.697665	123645	46	2	10
2014-03-31 13:17:26.920692	123646	18.1	1	10
2014-03-31 13:17:31.904778	123647	402	3	2
2014-03-31 13:17:32.140634	123648	1149100.5114769344	4	2
2014-03-31 13:17:34.870531	123649	54	2	9
2014-03-31 13:17:35.093084	123650	19.3	1	9
2014-03-31 13:17:35.929604	123651	51	2	8
2014-03-31 13:17:36.159639	123652	19.0	1	8
2014-03-31 13:17:46.782548	123653	58	2	1
2014-03-31 13:17:47.006859	123654	18.8	1	1
2014-03-31 13:17:58.072228	123655	59	2	24
2014-03-31 13:17:58.30661	123656	16.3	1	24
2014-03-31 13:18:00.142855	123657	50	2	25
2014-03-31 13:18:00.363962	123658	17.2	1	25
2014-03-31 13:18:05.696416	123659	46	2	10
2014-03-31 13:18:05.941586	123660	18.1	1	10
2014-03-31 13:18:13.871353	123661	54	2	9
2014-03-31 13:18:14.09319	123662	19.3	1	9
2014-03-31 13:18:14.932685	123663	51	2	8
2014-03-31 13:18:15.163056	123664	19.0	1	8
2014-03-31 13:18:25.779243	123665	59	2	1
2014-03-31 13:18:26.001635	123666	18.8	1	1
2014-03-31 13:18:37.074859	123667	59	2	24
2014-03-31 13:18:37.304492	123668	16.3	1	24
2014-03-31 13:18:39.140298	123669	50	2	25
2014-03-31 13:18:39.361876	123670	17.2	1	25
2014-03-31 13:18:44.697776	123671	46	2	10
2014-03-31 13:18:44.931947	123672	18.1	1	10
2014-03-31 13:18:52.870789	123673	54	2	9
2014-03-31 13:18:53.093402	123674	19.3	1	9
2014-03-31 13:18:53.932476	123675	51	2	8
2014-03-31 13:18:54.163333	123676	19.0	1	8
2014-03-31 13:19:04.778561	123677	59	2	1
2014-03-31 13:19:05.002225	123678	18.8	1	1
2014-03-31 13:19:16.074095	123679	59	2	24
2014-03-31 13:19:16.305933	123680	16.3	1	24
2014-03-31 13:19:18.140771	123681	50	2	25
2014-03-31 13:19:18.36277	123682	17.2	1	25
2014-03-31 13:19:23.697628	123683	46	2	10
2014-03-31 13:19:23.930256	123684	18.1	1	10
2014-03-31 13:19:32.07485	123685	54	2	9
2014-03-31 13:19:32.297	123686	19.3	1	9
2014-03-31 13:19:32.931837	123687	51	2	8
2014-03-31 13:19:33.164931	123688	19.0	1	8
2014-03-31 13:19:43.782372	123689	59	2	1
2014-03-31 13:19:44.004574	123690	18.8	1	1
2014-03-31 13:19:55.07124	123691	59	2	24
2014-03-31 13:19:55.305001	123692	16.3	1	24
2014-03-31 13:19:55.904738	123693	450	3	2
2014-03-31 13:19:56.126767	123694	1149117.7469977555	4	2
2014-03-31 13:19:57.142558	123695	50	2	25
2014-03-31 13:19:57.373725	123696	17.2	1	25
2014-03-31 13:20:02.822895	123697	46	2	10
2014-03-31 13:20:03.250042	123698	18.1	1	10
2014-03-31 13:20:10.871116	123699	54	2	9
2014-03-31 13:20:11.105185	123700	19.3	1	9
2014-03-31 13:20:11.930632	123701	51	2	8
2014-03-31 13:20:12.15243	123702	19.0	1	8
2014-03-31 13:20:22.782453	123703	59	2	1
2014-03-31 13:20:23.014067	123704	18.8	1	1
2014-03-31 13:20:31.904815	123705	450	3	2
2014-03-31 13:20:32.129095	123706	1149122.3431366412	4	2
2014-03-31 13:20:34.072225	123707	59	2	24
2014-03-31 13:20:34.315983	123708	16.3	1	24
2014-03-31 13:20:36.142369	123709	50	2	25
2014-03-31 13:20:36.366123	123710	17.2	1	25
2014-03-31 13:20:41.699412	123711	46	2	10
2014-03-31 13:20:41.931883	123712	18.1	1	10
2014-03-31 13:20:49.873915	123713	54	2	9
2014-03-31 13:20:50.095744	123714	19.3	1	9
2014-03-31 13:20:50.932809	123715	51	2	8
2014-03-31 13:20:51.164645	123716	19.0	1	8
2014-03-31 13:21:01.794182	123717	59	2	1
2014-03-31 13:21:02.016439	123718	18.8	1	1
2014-03-31 13:21:13.070518	123719	59	2	24
2014-03-31 13:21:13.303654	123720	16.3	1	24
2014-03-31 13:21:15.143409	123721	50	2	25
2014-03-31 13:21:15.366937	123722	17.2	1	25
2014-03-31 13:21:20.699517	123723	46	2	10
2014-03-31 13:21:20.932403	123724	18.1	1	10
2014-03-31 13:21:28.872615	123725	54	2	9
2014-03-31 13:21:29.094374	123726	19.3	1	9
2014-03-31 13:21:29.930341	123727	51	2	8
2014-03-31 13:21:30.160507	123728	19.0	1	8
2014-03-31 13:21:31.904593	123729	450	3	2
2014-03-31 13:21:32.128536	123730	1149129.2373449698	4	2
2014-03-31 13:21:40.779264	123731	59	2	1
2014-03-31 13:21:41.010301	123732	18.8	1	1
2014-03-31 13:21:52.070184	123733	59	2	24
2014-03-31 13:21:52.293434	123734	16.3	1	24
2014-03-31 13:21:54.142409	123735	50	2	25
2014-03-31 13:21:54.373891	123736	17.2	1	25
2014-03-31 13:21:59.70025	123737	46	2	10
2014-03-31 13:21:59.924651	123738	18.1	1	10
2014-03-31 13:22:07.873183	123739	54	2	9
2014-03-31 13:22:08.103966	123740	19.3	1	9
2014-03-31 13:22:08.932463	123741	51	2	8
2014-03-31 13:22:09.154308	123742	19.0	1	8
2014-03-31 13:22:19.778441	123743	59	2	1
2014-03-31 13:22:20.010168	123744	18.8	1	1
2014-03-31 13:22:31.073527	123745	59	2	24
2014-03-31 13:22:31.296846	123746	16.3	1	24
2014-03-31 13:22:31.906091	123747	450	3	2
2014-03-31 13:22:32.139326	123748	1149137.2805880196	4	2
2014-03-31 13:22:33.39003	123749	50	2	25
2014-03-31 13:22:33.612887	123750	17.2	1	25
2014-03-31 13:22:38.703196	123751	46	2	10
2014-03-31 13:22:38.936913	123752	18.1	1	10
2014-03-31 13:22:46.870497	123753	54	2	9
2014-03-31 13:22:47.093475	123754	19.3	1	9
2014-03-31 13:22:47.932362	123755	51	2	8
2014-03-31 13:22:48.17301	123756	19.0	1	8
2014-03-31 13:22:58.780306	123757	59	2	1
2014-03-31 13:22:59.002813	123758	18.8	1	1
2014-03-31 13:23:10.069408	123759	59	2	24
2014-03-31 13:23:10.301293	123760	16.3	1	24
2014-03-31 13:23:12.142628	123761	50	2	25
2014-03-31 13:23:12.363584	123762	17.2	1	25
2014-03-31 13:23:17.700266	123763	46	2	10
2014-03-31 13:23:17.935232	123764	18.1	1	10
2014-03-31 13:23:25.868594	123765	54	2	9
2014-03-31 13:23:26.090274	123766	19.3	1	9
2014-03-31 13:23:26.932215	123767	51	2	8
2014-03-31 13:23:27.163662	123768	19.0	1	8
2014-03-31 13:23:37.778808	123769	59	2	1
2014-03-31 13:23:38.003025	123770	18.8	1	1
2014-03-31 13:23:49.070077	123771	59	2	24
2014-03-31 13:23:49.304041	123772	16.3	1	24
2014-03-31 13:23:51.142468	123773	50	2	25
2014-03-31 13:23:51.364214	123774	17.2	1	25
2014-03-31 13:23:56.702349	123775	46	2	10
2014-03-31 13:23:56.935448	123776	18.1	1	10
2014-03-31 13:24:04.873806	123777	54	2	9
2014-03-31 13:24:05.098322	123778	19.3	1	9
2014-03-31 13:24:05.934157	123779	51	2	8
2014-03-31 13:24:06.164751	123780	19.0	1	8
2014-03-31 13:24:16.777367	123781	59	2	1
2014-03-31 13:24:17.000098	123782	18.8	1	1
2014-03-31 13:24:28.072314	123783	59	2	24
2014-03-31 13:24:28.304291	123784	16.3	1	24
2014-03-31 13:24:30.142084	123785	50	2	25
2014-03-31 13:24:30.362713	123786	17.2	1	25
2014-03-31 13:24:31.907096	123787	450	3	2
2014-03-31 13:24:32.139901	123788	1149151.0690046765	4	2
2014-03-31 13:24:35.701904	123789	46	2	10
2014-03-31 13:24:35.926675	123790	18.1	1	10
2014-03-31 13:24:43.871808	123791	54	2	9
2014-03-31 13:24:44.105782	123792	19.3	1	9
2014-03-31 13:24:44.933404	123793	51	2	8
2014-03-31 13:24:45.156094	123794	19.0	1	8
2014-03-31 13:24:55.778644	123795	59	2	1
2014-03-31 13:24:56.011337	123796	18.8	1	1
2014-03-31 13:25:07.073251	123797	59	2	24
2014-03-31 13:25:07.297247	123798	16.3	1	24
2014-03-31 13:25:07.905764	123799	370	3	2
2014-03-31 13:25:08.13873	123800	1149155.6651435622	4	2
2014-03-31 13:25:09.142569	123801	50	2	25
2014-03-31 13:25:09.363723	123802	17.2	1	25
2014-03-31 13:25:14.701567	123803	46	2	10
2014-03-31 13:25:14.945852	123804	18.1	1	10
2014-03-31 13:25:19.906924	123805	370	3	2
2014-03-31 13:25:20.136191	123806	1149156.8141782838	4	2
2014-03-31 13:25:22.87049	123807	54	2	9
2014-03-31 13:25:23.100286	123808	19.2	1	9
2014-03-31 13:25:23.932878	123809	51	2	8
2014-03-31 13:25:24.154956	123810	19.0	1	8
2014-03-31 13:25:34.780969	123811	59	2	1
2014-03-31 13:25:35.012731	123812	18.8	1	1
2014-03-31 13:25:46.069813	123813	59	2	24
2014-03-31 13:25:46.293738	123814	16.3	1	24
2014-03-31 13:25:48.141175	123815	50	2	25
2014-03-31 13:25:48.375565	123816	17.2	1	25
2014-03-31 13:25:53.703483	123817	46	2	10
2014-03-31 13:25:53.926049	123818	18.2	1	10
2014-03-31 13:25:55.907891	123819	370	3	2
2014-03-31 13:25:56.138784	123820	1149161.4103171693	4	2
2014-03-31 13:26:01.928991	123821	54	2	9
2014-03-31 13:26:02.149402	123822	19.2	1	9
2014-03-31 13:26:02.933276	123823	51	2	8
2014-03-31 13:26:03.165652	123824	19.0	1	8
2014-03-31 13:26:13.780154	123825	59	2	1
2014-03-31 13:26:14.002682	123826	18.8	1	1
2014-03-31 13:26:19.908749	123827	370	3	2
2014-03-31 13:26:20.144629	123828	1149163.7083866121	4	2
2014-03-31 13:26:25.0674	123829	59	2	24
2014-03-31 13:26:25.293928	123830	16.3	1	24
2014-03-31 13:26:27.142593	123831	50	2	25
2014-03-31 13:26:27.375506	123832	17.2	1	25
2014-03-31 13:26:31.93792	123833	370	3	2
2014-03-31 13:26:32.160441	123834	1149164.8574213337	4	2
2014-03-31 13:26:32.704053	123835	46	2	10
2014-03-31 13:26:32.935388	123836	18.1	1	10
2014-03-31 13:26:40.877165	123837	54	2	9
2014-03-31 13:26:41.099788	123838	19.3	1	9
2014-03-31 13:26:41.934641	123839	51	2	8
2014-03-31 13:26:42.165639	123840	19.0	1	8
2014-03-31 13:26:52.776742	123841	59	2	1
2014-03-31 13:26:53	123842	18.8	1	1
2014-03-31 13:26:55.906154	123843	418	3	2
2014-03-31 13:26:56.138283	123844	1149167.1554907765	4	2
2014-03-31 13:27:04.068666	123845	59	2	24
2014-03-31 13:27:04.289405	123846	16.3	1	24
2014-03-31 13:27:06.14237	123847	50	2	25
2014-03-31 13:27:06.373691	123848	17.2	1	25
2014-03-31 13:27:07.907179	123849	418	3	2
2014-03-31 13:27:08.128712	123850	1149169.4535602194	4	2
2014-03-31 13:27:11.703223	123851	46	2	10
2014-03-31 13:27:11.944991	123852	18.1	1	10
2014-03-31 13:27:19.875333	123853	54	2	9
2014-03-31 13:27:20.097742	123854	19.3	1	9
2014-03-31 13:27:20.934024	123855	51	2	8
2014-03-31 13:27:21.16373	123856	19.0	1	8
2014-03-31 13:27:31.77563	123857	59	2	1
2014-03-31 13:27:32.046718	123858	18.8	1	1
2014-03-31 13:27:43.068724	123859	59	2	24
2014-03-31 13:27:43.30162	123860	16.3	1	24
2014-03-31 13:27:45.142519	123861	50	2	25
2014-03-31 13:27:45.36378	123862	17.2	1	25
2014-03-31 13:27:50.706353	123863	46	2	10
2014-03-31 13:27:50.936594	123864	18.1	1	10
2014-03-31 13:27:58.872575	123865	54	2	9
2014-03-31 13:27:59.095976	123866	19.2	1	9
2014-03-31 13:27:59.933108	123867	51	2	8
2014-03-31 13:28:00.164744	123868	19.0	1	8
2014-03-31 13:28:10.780535	123869	59	2	1
2014-03-31 13:28:11.003561	123870	18.8	1	1
2014-03-31 13:28:22.069458	123871	59	2	24
2014-03-31 13:28:22.301565	123872	16.3	1	24
2014-03-31 13:28:24.142568	123873	50	2	25
2014-03-31 13:28:24.364446	123874	17.2	1	25
2014-03-31 13:28:29.704633	123875	46	2	10
2014-03-31 13:28:29.9383	123876	18.1	1	10
2014-03-31 13:28:31.963689	123877	402	3	2
2014-03-31 13:28:32.188207	123878	1149178.6458379906	4	2
2014-03-31 13:28:37.871278	123879	54	2	9
2014-03-31 13:28:38.102945	123880	19.2	1	9
2014-03-31 13:28:38.934492	123881	51	2	8
2014-03-31 13:28:39.155999	123882	19.0	1	8
2014-03-31 13:28:43.909791	123883	450	3	2
2014-03-31 13:28:44.143646	123884	1149178.650308943	4	2
2014-03-31 13:28:49.779344	123885	59	2	1
2014-03-31 13:28:50.004888	123886	18.8	1	1
2014-03-31 13:28:55.909462	123887	450	3	2
2014-03-31 13:28:56.145219	123888	1149180.9483783857	4	2
2014-03-31 13:29:01.065424	123889	59	2	24
2014-03-31 13:29:01.293297	123890	16.3	1	24
2014-03-31 13:29:03.14236	123891	50	2	25
2014-03-31 13:29:03.373251	123892	17.2	1	25
2014-03-31 13:29:08.706059	123893	46	2	10
2014-03-31 13:29:08.932974	123894	18.1	1	10
2014-03-31 13:29:16.875381	123895	54	2	9
2014-03-31 13:29:17.106011	123896	19.2	1	9
2014-03-31 13:29:17.936832	123897	51	2	8
2014-03-31 13:29:18.15811	123898	19.0	1	8
2014-03-31 13:29:28.786365	123899	59	2	1
2014-03-31 13:29:29.029913	123900	18.8	1	1
2014-03-31 13:29:31.963075	123901	466	3	2
2014-03-31 13:29:32.1861	123902	1149185.5445172712	4	2
2014-03-31 13:29:40.066739	123903	59	2	24
2014-03-31 13:29:40.299061	123904	16.3	1	24
2014-03-31 13:29:42.143656	123905	50	2	25
2014-03-31 13:29:42.364366	123906	17.2	1	25
2014-03-31 13:29:47.70635	123907	46	2	10
2014-03-31 13:29:47.938032	123908	18.1	1	10
2014-03-31 13:29:55.878506	123909	54	2	9
2014-03-31 13:29:56.102274	123910	19.2	1	9
2014-03-31 13:29:56.934801	123911	51	2	8
2014-03-31 13:29:57.167048	123912	19.0	1	8
2014-03-31 13:30:07.776523	123913	59	2	1
2014-03-31 13:30:07.998128	123914	18.8	1	1
2014-03-31 13:30:19.068966	123915	59	2	24
2014-03-31 13:30:19.299803	123916	16.3	1	24
2014-03-31 13:30:21.143424	123917	50	2	25
2014-03-31 13:30:21.365478	123918	17.2	1	25
2014-03-31 13:30:26.706276	123919	46	2	10
2014-03-31 13:30:26.939121	123920	18.1	1	10
2014-03-31 13:30:31.95983	123921	466	3	2
2014-03-31 13:30:32.19386	123922	1149192.4387255998	4	2
2014-03-31 13:30:34.874386	123923	54	2	9
2014-03-31 13:30:35.107176	123924	19.2	1	9
2014-03-31 13:30:35.934871	123925	51	2	8
2014-03-31 13:30:36.158125	123926	19.0	1	8
2014-03-31 13:30:46.779465	123927	59	2	1
2014-03-31 13:30:47.013659	123928	18.8	1	1
2014-03-31 13:30:55.908143	123929	498	3	2
2014-03-31 13:30:56.130222	123930	1149195.885829764	4	2
2014-03-31 13:30:58.065205	123931	59	2	24
2014-03-31 13:30:58.298521	123932	16.3	1	24
2014-03-31 13:31:00.141949	123933	50	2	25
2014-03-31 13:31:00.365512	123934	17.2	1	25
2014-03-31 13:31:05.707701	123935	46	2	10
2014-03-31 13:31:05.940993	123936	18.1	1	10
2014-03-31 13:31:07.90653	123937	515	3	2
2014-03-31 13:31:08.134051	123938	1149198.1838992068	4	2
2014-03-31 13:31:14.080066	123939	54	2	9
2014-03-31 13:31:14.315369	123940	19.2	1	9
2014-03-31 13:31:14.93406	123941	51	2	8
2014-03-31 13:31:15.156727	123942	19.0	1	8
2014-03-31 13:31:25.780025	123943	59	2	1
2014-03-31 13:31:26.011727	123944	18.8	1	1
2014-03-31 13:31:31.933909	123945	498	3	2
2014-03-31 13:31:32.192308	123946	1149201.6310033712	4	2
2014-03-31 13:31:37.066847	123947	59	2	24
2014-03-31 13:31:37.311454	123948	16.3	1	24
2014-03-31 13:31:39.142139	123949	50	2	25
2014-03-31 13:31:39.363587	123950	17.2	1	25
2014-03-31 13:31:44.707671	123951	46	2	10
2014-03-31 13:31:44.94031	123952	18.1	1	10
2014-03-31 13:31:52.877224	123953	54	2	9
2014-03-31 13:31:53.098093	123954	19.2	1	9
2014-03-31 13:31:53.93531	123955	51	2	8
2014-03-31 13:31:54.166815	123956	19.0	1	8
2014-03-31 13:32:04.777899	123957	59	2	1
2014-03-31 13:32:05.003558	123958	18.8	1	1
2014-03-31 13:32:16.065248	123959	59	2	24
2014-03-31 13:32:16.296764	123960	16.3	1	24
2014-03-31 13:32:18.143306	123961	50	2	25
2014-03-31 13:32:18.363643	123962	17.2	1	25
2014-03-31 13:32:23.708697	123963	46	2	10
2014-03-31 13:32:23.94244	123964	18.1	1	10
2014-03-31 13:32:32.130143	123965	54	2	9
2014-03-31 13:32:32.351196	123966	19.2	1	9
2014-03-31 13:32:32.935966	123967	51	2	8
2014-03-31 13:32:33.166975	123968	19.0	1	8
2014-03-31 13:32:43.778237	123969	59	2	1
2014-03-31 13:32:44.001626	123970	18.8	1	1
2014-03-31 13:32:55.067094	123971	59	2	24
2014-03-31 13:32:55.298565	123972	16.3	1	24
2014-03-31 13:32:57.141308	123973	50	2	25
2014-03-31 13:32:57.362854	123974	17.2	1	25
2014-03-31 13:33:02.708109	123975	46	2	10
2014-03-31 13:33:02.940938	123976	18.1	1	10
2014-03-31 13:33:10.878302	123977	54	2	9
2014-03-31 13:33:11.101301	123978	19.2	1	9
2014-03-31 13:33:11.937021	123979	51	2	8
2014-03-31 13:33:12.168167	123980	19.0	1	8
2014-03-31 13:33:22.777486	123981	59	2	1
2014-03-31 13:33:22.998866	123982	18.8	1	1
2014-03-31 13:33:31.909413	123983	482	3	2
2014-03-31 13:33:32.197309	123984	1149217.717489471	4	2
2014-03-31 13:33:34.064371	123985	59	2	24
2014-03-31 13:33:34.285773	123986	16.3	1	24
2014-03-31 13:33:36.142783	123987	50	2	25
2014-03-31 13:33:36.374034	123988	17.2	1	25
2014-03-31 13:33:41.711579	123989	46	2	10
2014-03-31 13:33:41.93415	123990	18.1	1	10
2014-03-31 13:33:49.875109	123991	54	2	9
2014-03-31 13:33:50.109719	123992	19.2	1	9
2014-03-31 13:33:50.935965	123993	51	2	8
2014-03-31 13:33:51.157241	123994	19.0	1	8
2014-03-31 13:34:01.779537	123995	59	2	1
2014-03-31 13:34:02.039572	123996	18.8	1	1
2014-03-31 13:34:13.064555	123997	59	2	24
2014-03-31 13:34:13.28752	123998	16.3	1	24
2014-03-31 13:34:15.142945	123999	50	2	25
2014-03-31 13:34:15.37463	124000	17.2	1	25
2014-03-31 13:34:20.709484	124001	46	2	10
2014-03-31 13:34:20.933051	124002	18.1	1	10
2014-03-31 13:34:28.879186	124003	54	2	9
2014-03-31 13:34:29.111098	124004	19.2	1	9
2014-03-31 13:34:29.939818	124005	51	2	8
2014-03-31 13:34:30.16003	124006	19.0	1	8
2014-03-31 13:34:31.911778	124007	482	3	2
2014-03-31 13:34:32.197713	124008	1149225.7607325208	4	2
2014-03-31 13:34:40.775818	124009	59	2	1
2014-03-31 13:34:40.998696	124010	18.8	1	1
2014-03-31 13:34:52.06234	124011	59	2	24
2014-03-31 13:34:52.296075	124012	16.3	1	24
2014-03-31 13:34:54.141604	124013	51	2	25
2014-03-31 13:34:54.363113	124014	17.2	1	25
2014-03-31 13:34:59.708971	124015	46	2	10
2014-03-31 13:34:59.947292	124016	18.1	1	10
2014-03-31 13:35:07.87519	124017	54	2	9
2014-03-31 13:35:08.099285	124018	19.2	1	9
2014-03-31 13:35:08.936243	124019	51	2	8
2014-03-31 13:35:09.169251	124020	19.0	1	8
2014-03-31 13:35:19.777167	124021	59	2	1
2014-03-31 13:35:20.000444	124022	18.8	1	1
2014-03-31 13:35:31.065872	124023	59	2	24
2014-03-31 13:35:31.29735	124024	16.3	1	24
2014-03-31 13:35:31.912822	124025	450	3	2
2014-03-31 13:35:32.192333	124026	1149233.8039755707	4	2
2014-03-31 13:35:33.14436	124027	51	2	25
2014-03-31 13:35:33.375153	124028	17.2	1	25
2014-03-31 13:35:38.710951	124029	46	2	10
2014-03-31 13:35:38.93332	124030	18.2	1	10
2014-03-31 13:35:43.911363	124031	450	3	2
2014-03-31 13:35:44.14754	124032	1149236.1020450136	4	2
2014-03-31 13:35:46.878281	124033	54	2	9
2014-03-31 13:35:47.101048	124034	19.2	1	9
2014-03-31 13:35:47.93754	124035	51	2	8
2014-03-31 13:35:48.170122	124036	19.0	1	8
2014-03-31 13:35:58.774205	124037	59	2	1
2014-03-31 13:35:58.99533	124038	18.8	1	1
2014-03-31 13:36:10.063371	124039	59	2	24
2014-03-31 13:36:10.296271	124040	16.3	1	24
2014-03-31 13:36:12.142122	124041	51	2	25
2014-03-31 13:36:12.365713	124042	17.2	1	25
2014-03-31 13:36:17.71098	124043	46	2	10
2014-03-31 13:36:17.954089	124044	18.1	1	10
2014-03-31 13:36:25.878581	124045	54	2	9
2014-03-31 13:36:26.102981	124046	19.2	1	9
2014-03-31 13:36:26.937298	124047	51	2	8
2014-03-31 13:36:27.16971	124048	19.0	1	8
2014-03-31 13:36:37.775939	124049	59	2	1
2014-03-31 13:36:38.003212	124050	18.8	1	1
2014-03-31 13:36:49.061927	124051	59	2	24
2014-03-31 13:36:49.296137	124052	16.3	1	24
2014-03-31 13:36:51.142792	124053	51	2	25
2014-03-31 13:36:51.367207	124054	17.2	1	25
2014-03-31 13:36:56.711319	124055	46	2	10
2014-03-31 13:36:56.943438	124056	18.1	1	10
2014-03-31 13:37:04.872884	124057	54	2	9
2014-03-31 13:37:05.094925	124058	19.2	1	9
2014-03-31 13:37:05.938796	124059	51	2	8
2014-03-31 13:37:06.169446	124060	19.0	1	8
2014-03-31 13:37:16.775694	124061	59	2	1
2014-03-31 13:37:16.996883	124062	18.8	1	1
2014-03-31 13:37:28.062368	124063	59	2	24
2014-03-31 13:37:28.293781	124064	16.3	1	24
2014-03-31 13:37:30.142307	124065	50	2	25
2014-03-31 13:37:30.364051	124066	17.2	1	25
2014-03-31 13:37:35.710404	124067	46	2	10
2014-03-31 13:37:35.943012	124068	18.1	1	10
2014-03-31 13:37:43.872373	124069	54	2	9
2014-03-31 13:37:44.096317	124070	19.2	1	9
2014-03-31 13:37:44.938867	124071	51	2	8
2014-03-31 13:37:45.169194	124072	19.0	1	8
2014-03-31 13:37:55.77581	124073	59	2	1
2014-03-31 13:37:55.997912	124074	18.8	1	1
2014-03-31 13:38:07.061026	124075	59	2	24
2014-03-31 13:38:07.376301	124076	16.3	1	24
2014-03-31 13:38:09.160892	124077	50	2	25
2014-03-31 13:38:09.414838	124078	17.2	1	25
2014-03-31 13:38:14.71287	124079	46	2	10
2014-03-31 13:38:14.979615	124080	18.1	1	10
2014-03-31 13:38:22.876391	124081	54	2	9
2014-03-31 13:38:23.152386	124082	19.2	1	9
2014-03-31 13:38:23.939317	124083	51	2	8
2014-03-31 13:38:24.20388	124084	19.0	1	8
2014-03-31 13:38:31.912026	124085	466	3	2
2014-03-31 13:38:32.212028	124086	1149256.784669999	4	2
2014-03-31 13:38:34.775855	124087	59	2	1
2014-03-31 13:38:35.05357	124088	18.8	1	1
2014-03-31 13:38:46.0612	124089	59	2	24
2014-03-31 13:38:46.284316	124090	16.3	1	24
2014-03-31 13:38:48.14321	124091	50	2	25
2014-03-31 13:38:48.385524	124092	17.2	1	25
2014-03-31 13:38:53.713792	124093	46	2	10
2014-03-31 13:38:53.935054	124094	18.1	1	10
2014-03-31 13:39:01.880184	124095	54	2	9
2014-03-31 13:39:02.111848	124096	19.2	1	9
2014-03-31 13:39:02.938259	124097	51	2	8
2014-03-31 13:39:03.159388	124098	19.0	1	8
2014-03-31 13:39:13.780661	124099	59	2	1
2014-03-31 13:39:14.013267	124100	18.8	1	1
2014-03-31 13:39:25.060003	124101	59	2	24
2014-03-31 13:39:25.283195	124102	16.3	1	24
2014-03-31 13:39:27.141107	124103	50	2	25
2014-03-31 13:39:27.371638	124104	17.2	1	25
2014-03-31 13:39:31.912523	124105	450	3	2
2014-03-31 13:39:32.13382	124106	1149264.827913049	4	2
2014-03-31 13:39:32.713615	124107	46	2	10
2014-03-31 13:39:32.94708	124108	18.1	1	10
2014-03-31 13:39:40.879822	124109	54	2	9
2014-03-31 13:39:41.103411	124110	19.2	1	9
2014-03-31 13:39:41.941955	124111	51	2	8
2014-03-31 13:39:42.174492	124112	19.0	1	8
2014-03-31 13:39:52.775849	124113	59	2	1
2014-03-31 13:39:52.997338	124114	18.8	1	1
2014-03-31 13:40:04.062407	124115	59	2	24
2014-03-31 13:40:04.294208	124116	16.3	1	24
2014-03-31 13:40:06.140549	124117	51	2	25
2014-03-31 13:40:06.362372	124118	17.2	1	25
2014-03-31 13:40:07.913026	124119	482	3	2
2014-03-31 13:40:08.148559	124120	1149269.4240519346	4	2
2014-03-31 13:40:11.713781	124121	46	2	10
2014-03-31 13:40:11.935707	124122	18.1	1	10
2014-03-31 13:40:20.077573	124123	54	2	9
2014-03-31 13:40:20.309885	124124	19.2	1	9
2014-03-31 13:40:20.9406	124125	51	2	8
2014-03-31 13:40:21.163266	124126	19.0	1	8
2014-03-31 13:40:31.770116	124127	59	2	1
2014-03-31 13:40:32.003562	124128	18.8	1	1
2014-03-31 13:40:43.060807	124129	59	2	24
2014-03-31 13:40:43.283611	124130	16.3	1	24
2014-03-31 13:40:45.144077	124131	50	2	25
2014-03-31 13:40:45.37593	124132	17.2	1	25
2014-03-31 13:40:50.714217	124133	46	2	10
2014-03-31 13:40:50.937111	124134	18.1	1	10
2014-03-31 13:40:58.87559	124135	54	2	9
2014-03-31 13:40:59.11034	124136	19.2	1	9
2014-03-31 13:40:59.939778	124137	51	2	8
2014-03-31 13:41:00.16317	124138	19.0	1	8
2014-03-31 13:41:07.910286	124139	498	3	2
2014-03-31 13:41:08.154848	124140	1149277.4672949845	4	2
2014-03-31 13:41:10.774642	124141	59	2	1
2014-03-31 13:41:10.996702	124142	18.8	1	1
2014-03-31 13:41:19.910683	124143	482	3	2
2014-03-31 13:41:20.144308	124144	1149279.7653644274	4	2
2014-03-31 13:41:22.059548	124145	59	2	24
2014-03-31 13:41:22.283412	124146	16.3	1	24
2014-03-31 13:41:24.143547	124147	50	2	25
2014-03-31 13:41:24.375008	124148	17.2	1	25
2014-03-31 13:41:29.717205	124149	46	2	10
2014-03-31 13:41:29.938709	124150	18.1	1	10
2014-03-31 13:41:37.8764	124151	54	2	9
2014-03-31 13:41:38.10805	124152	19.2	1	9
2014-03-31 13:41:38.939322	124153	51	2	8
2014-03-31 13:41:39.159675	124154	19.0	1	8
2014-03-31 13:41:49.775648	124155	59	2	1
2014-03-31 13:41:50.006884	124156	18.8	1	1
2014-03-31 13:42:01.058093	124157	59	2	24
2014-03-31 13:42:01.283066	124158	16.2	1	24
2014-03-31 13:42:03.142672	124159	50	2	25
2014-03-31 13:42:03.378955	124160	17.2	1	25
2014-03-31 13:42:08.71449	124161	46	2	10
2014-03-31 13:42:08.936895	124162	18.1	1	10
2014-03-31 13:42:16.878292	124163	54	2	9
2014-03-31 13:42:17.110284	124164	19.2	1	9
2014-03-31 13:42:17.939787	124165	51	2	8
2014-03-31 13:42:18.160655	124166	19.0	1	8
2014-03-31 13:42:28.774541	124167	59	2	1
2014-03-31 13:42:29.007307	124168	18.8	1	1
2014-03-31 13:42:40.058768	124169	59	2	24
2014-03-31 13:42:40.285116	124170	16.2	1	24
2014-03-31 13:42:42.142479	124171	50	2	25
2014-03-31 13:42:42.376756	124172	17.2	1	25
2014-03-31 13:42:47.71456	124173	46	2	10
2014-03-31 13:42:47.936657	124174	18.1	1	10
2014-03-31 13:42:55.878129	124175	54	2	9
2014-03-31 13:42:56.109583	124176	19.2	1	9
2014-03-31 13:42:56.939341	124177	51	2	8
2014-03-31 13:42:57.160082	124178	19.0	1	8
2014-03-31 13:43:07.774979	124179	59	2	1
2014-03-31 13:43:08.013472	124180	18.8	1	1
2014-03-31 13:43:19.056168	124181	59	2	24
2014-03-31 13:43:19.278836	124182	16.2	1	24
2014-03-31 13:43:21.142678	124183	50	2	25
2014-03-31 13:43:21.376197	124184	17.2	1	25
2014-03-31 13:43:26.717832	124185	46	2	10
2014-03-31 13:43:26.940752	124186	18.1	1	10
2014-03-31 13:43:31.91244	124187	466	3	2
2014-03-31 13:43:32.158857	124188	1149297.0008852486	4	2
2014-03-31 13:43:34.877973	124189	54	2	9
2014-03-31 13:43:35.099695	124190	19.2	1	9
2014-03-31 13:43:35.940825	124191	51	2	8
2014-03-31 13:43:36.173229	124192	19.0	1	8
2014-03-31 13:43:46.77725	124193	59	2	1
2014-03-31 13:43:46.998052	124194	18.8	1	1
2014-03-31 13:43:58.056786	124195	59	2	24
2014-03-31 13:43:58.288612	124196	16.2	1	24
2014-03-31 13:44:00.140549	124197	51	2	25
2014-03-31 13:44:00.362038	124198	17.2	1	25
2014-03-31 13:44:05.717733	124199	46	2	10
2014-03-31 13:44:05.95201	124200	18.1	1	10
2014-03-31 13:44:13.878301	124201	54	2	9
2014-03-31 13:44:14.10042	124202	19.2	1	9
2014-03-31 13:44:14.938024	124203	51	2	8
2014-03-31 13:44:15.169801	124204	19.0	1	8
2014-03-31 13:44:25.776352	124205	59	2	1
2014-03-31 13:44:25.997508	124206	18.8	1	1
2014-03-31 13:44:31.911539	124207	466	3	2
2014-03-31 13:44:32.147047	124208	1149305.0441282985	4	2
2014-03-31 13:44:37.05851	124209	59	2	24
2014-03-31 13:44:37.285848	124210	16.2	1	24
2014-03-31 13:44:39.141772	124211	51	2	25
2014-03-31 13:44:39.371929	124212	17.2	1	25
2014-03-31 13:44:44.717802	124213	46	2	10
2014-03-31 13:44:44.941513	124214	18.1	1	10
2014-03-31 13:44:52.883828	124215	54	2	9
2014-03-31 13:44:53.115577	124216	19.2	1	9
2014-03-31 13:44:53.938473	124217	51	2	8
2014-03-31 13:44:54.161817	124218	19.0	1	8
2014-03-31 13:45:04.774044	124219	59	2	1
2014-03-31 13:45:05.007283	124220	18.8	1	1
2014-03-31 13:45:16.058718	124221	59	2	24
2014-03-31 13:45:16.281841	124222	16.2	1	24
2014-03-31 13:45:18.14158	124223	51	2	25
2014-03-31 13:45:18.371581	124224	17.2	1	25
2014-03-31 13:45:23.7182	124225	46	2	10
2014-03-31 13:45:23.942735	124226	18.1	1	10
2014-03-31 13:45:32.942388	124227	51	2	8
2014-03-31 13:45:33.173183	124228	19.0	1	8
2014-03-31 13:45:43.773761	124229	59	2	1
2014-03-31 13:45:43.998315	124230	18.8	1	1
2014-03-31 13:45:55.056559	124231	59	2	24
2014-03-31 13:45:55.287985	124232	16.2	1	24
2014-03-31 13:45:57.142417	124233	51	2	25
2014-03-31 13:45:57.363424	124234	17.2	1	25
2014-03-31 13:46:02.718789	124235	46	2	10
2014-03-31 13:46:02.961167	124236	18.1	1	10
2014-03-31 13:46:10.878175	124237	54	2	9
2014-03-31 13:46:11.101982	124238	19.2	1	9
2014-03-31 13:46:11.937694	124239	51	2	8
2014-03-31 13:46:12.17107	124240	19.0	1	8
2014-03-31 13:46:22.778632	124241	59	2	1
2014-03-31 13:46:23.000744	124242	18.8	1	1
2014-03-31 13:46:34.055772	124243	59	2	24
2014-03-31 13:46:34.288818	124244	16.2	1	24
2014-03-31 13:46:36.143051	124245	51	2	25
2014-03-31 13:46:36.363681	124246	17.2	1	25
2014-03-31 13:46:41.717967	124247	46	2	10
2014-03-31 13:46:41.951867	124248	18.1	1	10
2014-03-31 13:46:43.914366	124249	402	3	2
2014-03-31 13:46:44.138999	124250	1149321.1306143983	4	2
2014-03-31 13:46:49.879089	124251	54	2	9
2014-03-31 13:46:50.11335	124252	19.2	1	9
2014-03-31 13:46:50.940279	124253	51	2	8
2014-03-31 13:46:51.162693	124254	19.0	1	8
2014-03-31 13:47:01.775841	124255	59	2	1
2014-03-31 13:47:02.007191	124256	18.8	1	1
2014-03-31 13:47:13.052851	124257	59	2	24
2014-03-31 13:47:13.276324	124258	16.2	1	24
2014-03-31 13:47:15.141273	124259	51	2	25
2014-03-31 13:47:15.374479	124260	17.2	1	25
2014-03-31 13:47:20.71813	124261	46	2	10
2014-03-31 13:47:20.941074	124262	18.1	1	10
2014-03-31 13:47:28.879353	124263	54	2	9
2014-03-31 13:47:29.110418	124264	19.2	1	9
2014-03-31 13:47:29.9409	124265	51	2	8
2014-03-31 13:47:30.162341	124266	19.0	1	8
2014-03-31 13:47:31.913722	124267	402	3	2
2014-03-31 13:47:32.143619	124268	1149326.8757880053	4	2
2014-03-31 13:47:40.776547	124269	59	2	1
2014-03-31 13:47:41.008494	124270	18.8	1	1
2014-03-31 13:47:52.053116	124271	59	2	24
2014-03-31 13:47:52.284204	124272	16.2	1	24
2014-03-31 13:47:54.139733	124273	51	2	25
2014-03-31 13:47:54.363646	124274	17.2	1	25
2014-03-31 13:47:59.718675	124275	46	2	10
2014-03-31 13:47:59.971902	124276	18.1	1	10
2014-03-31 13:48:07.879036	124277	54	2	9
2014-03-31 13:48:08.100418	124278	19.2	1	9
2014-03-31 13:48:08.941538	124279	51	2	8
2014-03-31 13:48:09.173145	124280	19.0	1	8
2014-03-31 13:48:19.775383	124281	59	2	1
2014-03-31 13:48:19.997337	124282	18.8	1	1
2014-03-31 13:48:31.054639	124283	59	2	24
2014-03-31 13:48:31.297104	124284	16.2	1	24
2014-03-31 13:48:31.914765	124285	418	3	2
2014-03-31 13:48:32.136631	124286	1149333.7699963339	4	2
2014-03-31 13:48:33.141555	124287	51	2	25
2014-03-31 13:48:33.560138	124288	17.2	1	25
2014-03-31 13:48:38.719216	124289	46	2	10
2014-03-31 13:48:38.947704	124290	18.1	1	10
2014-03-31 13:48:46.87925	124291	54	2	9
2014-03-31 13:48:47.099936	124292	19.2	1	9
2014-03-31 13:48:47.941038	124293	51	2	8
2014-03-31 13:48:48.171259	124294	19.0	1	8
2014-03-31 13:48:58.774291	124295	59	2	1
2014-03-31 13:48:58.996952	124296	18.8	1	1
2014-03-31 13:49:10.053323	124297	59	2	24
2014-03-31 13:49:10.284714	124298	16.2	1	24
2014-03-31 13:49:12.159833	124299	51	2	25
2014-03-31 13:49:12.381	124300	17.2	1	25
2014-03-31 13:49:17.720051	124301	46	2	10
2014-03-31 13:49:17.95246	124302	18.1	1	10
2014-03-31 13:49:25.878659	124303	54	2	9
2014-03-31 13:49:26.101651	124304	19.2	1	9
2014-03-31 13:49:26.941135	124305	51	2	8
2014-03-31 13:49:27.171626	124306	19.0	1	8
2014-03-31 13:49:37.775479	124307	59	2	1
2014-03-31 13:49:38.003421	124308	18.8	1	1
2014-03-31 13:49:49.052386	124309	59	2	24
2014-03-31 13:49:49.284497	124310	16.2	1	24
2014-03-31 13:49:51.141281	124311	51	2	25
2014-03-31 13:49:51.361848	124312	17.2	1	25
2014-03-31 13:49:56.720083	124313	46	2	10
2014-03-31 13:49:56.953945	124314	18.1	1	10
2014-03-31 13:50:04.879873	124315	54	2	9
2014-03-31 13:50:05.101965	124316	19.2	1	9
2014-03-31 13:50:05.940942	124317	51	2	8
2014-03-31 13:50:06.173115	124318	19.0	1	8
2014-03-31 13:50:16.774879	124319	59	2	1
2014-03-31 13:50:16.998739	124320	18.8	1	1
2014-03-31 13:50:28.054029	124321	59	2	24
2014-03-31 13:50:28.286799	124322	16.2	1	24
2014-03-31 13:50:30.140778	124323	51	2	25
2014-03-31 13:50:30.362772	124324	17.2	1	25
2014-03-31 13:50:31.916294	124325	418	3	2
2014-03-31 13:50:32.148513	124326	1149346.4093782695	4	2
2014-03-31 13:50:35.720391	124327	46	2	10
2014-03-31 13:50:35.983853	124328	18.1	1	10
2014-03-31 13:50:43.879904	124329	54	2	9
2014-03-31 13:50:44.147188	124330	19.2	1	9
2014-03-31 13:50:44.942185	124331	51	2	8
2014-03-31 13:50:45.201632	124332	19.0	1	8
2014-03-31 13:50:55.77282	124333	59	2	1
2014-03-31 13:50:56.064859	124334	18.8	1	1
2014-03-31 13:51:07.053778	124335	59	2	24
2014-03-31 13:51:07.275584	124336	16.2	1	24
2014-03-31 13:51:09.140677	124337	51	2	25
2014-03-31 13:51:09.372022	124338	17.2	1	25
2014-03-31 13:51:14.720459	124339	46	2	10
2014-03-31 13:51:14.945915	124340	18.1	1	10
2014-03-31 13:51:19.915258	124341	450	3	2
2014-03-31 13:51:20.150974	124342	1149352.1545518765	4	2
2014-03-31 13:51:22.878719	124343	54	2	9
2014-03-31 13:51:23.101391	124344	19.2	1	9
2014-03-31 13:51:23.941141	124345	51	2	8
2014-03-31 13:51:24.174277	124346	19.0	1	8
2014-03-31 13:51:31.915837	124347	466	3	2
2014-03-31 13:51:32.139471	124348	1149354.4526213193	4	2
2014-03-31 13:51:34.775384	124349	59	2	1
2014-03-31 13:51:35.007316	124350	18.8	1	1
2014-03-31 13:51:46.050368	124351	59	2	24
2014-03-31 13:51:46.272981	124352	16.2	1	24
2014-03-31 13:51:48.141686	124353	51	2	25
2014-03-31 13:51:48.372819	124354	17.2	1	25
2014-03-31 13:51:53.723896	124355	46	2	10
2014-03-31 13:51:53.945145	124356	18.0	1	10
2014-03-31 13:52:01.882817	124357	54	2	9
2014-03-31 13:52:02.114552	124358	19.2	1	9
2014-03-31 13:52:02.942567	124359	51	2	8
2014-03-31 13:52:03.165598	124360	19.0	1	8
2014-03-31 13:52:07.915501	124361	498	3	2
2014-03-31 13:52:08.15319	124362	1149359.048760205	4	2
2014-03-31 13:52:13.776407	124363	59	2	1
2014-03-31 13:52:14.003438	124364	18.8	1	1
2014-03-31 13:52:25.051481	124365	59	2	24
2014-03-31 13:52:25.285473	124366	16.2	1	24
2014-03-31 13:52:27.139616	124367	51	2	25
2014-03-31 13:52:27.365924	124368	17.2	1	25
2014-03-31 13:52:31.913635	124369	498	3	2
2014-03-31 13:52:32.146154	124370	1149361.346829648	4	2
2014-03-31 13:52:32.775642	124371	46	2	10
2014-03-31 13:52:32.99748	124372	18.0	1	10
2014-03-31 13:52:41.083921	124373	54	2	9
2014-03-31 13:52:41.31919	124374	19.2	1	9
2014-03-31 13:52:41.944485	124375	51	2	8
2014-03-31 13:52:42.18646	124376	19.0	1	8
2014-03-31 13:52:52.775278	124377	59	2	1
2014-03-31 13:52:53.006264	124378	18.8	1	1
2014-03-31 13:53:04.050365	124379	59	2	24
2014-03-31 13:53:04.272951	124380	16.2	1	24
2014-03-31 13:53:06.139945	124381	51	2	25
2014-03-31 13:53:06.384286	124382	17.2	1	25
2014-03-31 13:53:11.722548	124383	46	2	10
2014-03-31 13:53:11.944649	124384	18.0	1	10
2014-03-31 13:53:19.884545	124385	54	2	9
2014-03-31 13:53:20.117522	124386	19.2	1	9
2014-03-31 13:53:20.942026	124387	51	2	8
2014-03-31 13:53:21.162784	124388	18.9	1	8
2014-03-31 13:53:31.774782	124389	59	2	1
2014-03-31 13:53:32.008076	124390	18.8	1	1
2014-03-31 13:53:43.051607	124391	59	2	24
2014-03-31 13:53:43.274332	124392	16.2	1	24
2014-03-31 13:53:45.139436	124393	51	2	25
2014-03-31 13:53:45.370697	124394	17.2	1	25
2014-03-31 13:53:50.725412	124395	46	2	10
2014-03-31 13:53:50.947001	124396	18.0	1	10
2014-03-31 13:53:58.883842	124397	54	2	9
2014-03-31 13:53:59.114549	124398	19.2	1	9
2014-03-31 13:53:59.941247	124399	51	2	8
2014-03-31 13:54:00.163242	124400	18.9	1	8
2014-03-31 13:54:10.813186	124401	59	2	1
2014-03-31 13:54:11.043158	124402	18.8	1	1
2014-03-31 13:54:19.91576	124403	515	3	2
2014-03-31 13:54:20.136335	124404	1149376.284281026	4	2
2014-03-31 13:54:22.049431	124405	59	2	24
2014-03-31 13:54:22.281365	124406	16.2	1	24
2014-03-31 13:54:24.138186	124407	51	2	25
2014-03-31 13:54:24.359289	124408	17.2	1	25
2014-03-31 13:54:29.725226	124409	46	2	10
2014-03-31 13:54:29.956248	124410	18.0	1	10
2014-03-31 13:54:31.914666	124411	498	3	2
2014-03-31 13:54:32.135917	124412	1149378.582350469	4	2
2014-03-31 13:54:37.88256	124413	54	2	9
2014-03-31 13:54:38.114059	124414	19.2	1	9
2014-03-31 13:54:38.941845	124415	51	2	8
2014-03-31 13:54:39.16401	124416	18.9	1	8
2014-03-31 13:54:49.775508	124417	59	2	1
2014-03-31 13:54:50.005299	124418	18.8	1	1
2014-03-31 13:55:01.049311	124419	59	2	24
2014-03-31 13:55:01.271566	124420	16.2	1	24
2014-03-31 13:55:03.14135	124421	51	2	25
2014-03-31 13:55:03.373726	124422	17.2	1	25
2014-03-31 13:55:08.725317	124423	46	2	10
2014-03-31 13:55:08.949167	124424	18.0	1	10
2014-03-31 13:55:16.884279	124425	54	2	9
2014-03-31 13:55:17.114528	124426	19.2	1	9
2014-03-31 13:55:17.941854	124427	51	2	8
2014-03-31 13:55:18.182812	124428	18.9	1	8
2014-03-31 13:55:28.8143	124429	59	2	1
2014-03-31 13:55:29.057089	124430	18.8	1	1
2014-03-31 13:55:31.918519	124431	498	3	2
2014-03-31 13:55:32.142084	124432	1149386.6255935188	4	2
2014-03-31 13:55:40.048841	124433	59	2	24
2014-03-31 13:55:40.281636	124434	16.2	1	24
2014-03-31 13:55:42.139135	124435	51	2	25
2014-03-31 13:55:42.36035	124436	17.2	1	25
2014-03-31 13:55:47.72418	124437	46	2	10
2014-03-31 13:55:47.956565	124438	18.0	1	10
2014-03-31 13:55:55.884138	124439	54	2	9
2014-03-31 13:55:56.106304	124440	19.2	1	9
2014-03-31 13:55:56.945457	124441	51	2	8
2014-03-31 13:55:57.17678	124442	18.9	1	8
2014-03-31 13:56:07.773408	124443	59	2	1
2014-03-31 13:56:08.002181	124444	18.8	1	1
2014-03-31 13:56:19.051812	124445	59	2	24
2014-03-31 13:56:19.282949	124446	16.2	1	24
2014-03-31 13:56:21.138137	124447	51	2	25
2014-03-31 13:56:21.359066	124448	17.2	1	25
2014-03-31 13:56:26.724653	124449	46	2	10
2014-03-31 13:56:26.95631	124450	18.0	1	10
2014-03-31 13:56:31.916437	124451	482	3	2
2014-03-31 13:56:32.143786	124452	1149394.6688365687	4	2
2014-03-31 13:56:34.882861	124453	54	2	9
2014-03-31 13:56:35.115315	124454	19.2	1	9
2014-03-31 13:56:35.942735	124455	51	2	8
2014-03-31 13:56:36.165537	124456	18.9	1	8
2014-03-31 13:56:46.771982	124457	59	2	1
2014-03-31 13:56:47.007169	124458	18.8	1	1
2014-03-31 13:56:58.047869	124459	59	2	24
2014-03-31 13:56:58.272761	124460	16.2	1	24
2014-03-31 13:57:00.141744	124461	51	2	25
2014-03-31 13:57:00.375167	124462	17.2	1	25
2014-03-31 13:57:05.723938	124463	46	2	10
2014-03-31 13:57:05.946692	124464	18.0	1	10
2014-03-31 13:57:13.883699	124465	54	2	9
2014-03-31 13:57:14.118141	124466	19.2	1	9
2014-03-31 13:57:14.943063	124467	51	2	8
2014-03-31 13:57:15.165724	124468	18.9	1	8
2014-03-31 13:57:25.773008	124469	59	2	1
2014-03-31 13:57:26.005821	124470	18.8	1	1
2014-03-31 13:57:31.91743	124471	515	3	2
2014-03-31 13:57:32.141688	124472	1149403.8611143401	4	2
2014-03-31 13:57:37.049421	124473	59	2	24
2014-03-31 13:57:37.294933	124474	16.2	1	24
2014-03-31 13:57:39.139248	124475	51	2	25
2014-03-31 13:57:39.363685	124476	17.2	1	25
2014-03-31 13:57:43.917652	124477	466	3	2
2014-03-31 13:57:44.159495	124478	1149405.0101490617	4	2
2014-03-31 13:57:44.724737	124479	46	2	10
2014-03-31 13:57:44.948119	124480	18.0	1	10
2014-03-31 13:57:52.88773	124481	54	2	9
2014-03-31 13:57:53.119534	124482	19.2	1	9
2014-03-31 13:57:53.942463	124483	51	2	8
2014-03-31 13:57:54.16577	124484	18.9	1	8
2014-03-31 13:58:04.77167	124485	59	2	1
2014-03-31 13:58:05.003184	124486	18.8	1	1
2014-03-31 13:58:16.047824	124487	59	2	24
2014-03-31 13:58:16.270078	124488	16.2	1	24
2014-03-31 13:58:18.139406	124489	51	2	25
2014-03-31 13:58:18.372568	124490	17.2	1	25
2014-03-31 13:58:23.724831	124491	46	2	10
2014-03-31 13:58:23.950793	124492	18.0	1	10
2014-03-31 13:58:32.086427	124493	54	2	9
2014-03-31 13:58:32.316831	124494	19.2	1	9
2014-03-31 13:58:32.977758	124495	51	2	8
2014-03-31 13:58:33.201257	124496	18.9	1	8
2014-03-31 13:58:43.774532	124497	59	2	1
2014-03-31 13:58:44.006931	124498	18.8	1	1
2014-03-31 13:58:55.046343	124499	59	2	24
2014-03-31 13:58:55.268204	124500	16.2	1	24
2014-03-31 13:58:57.13927	124501	51	2	25
2014-03-31 13:58:57.370151	124502	17.1	1	25
2014-03-31 13:59:02.726126	124503	46	2	10
2014-03-31 13:59:03.004538	124504	18.0	1	10
2014-03-31 13:59:10.884506	124505	54	2	9
2014-03-31 13:59:11.116767	124506	19.2	1	9
2014-03-31 13:59:11.942672	124507	51	2	8
2014-03-31 13:59:12.163526	124508	18.9	1	8
2014-03-31 13:59:19.916472	124509	482	3	2
2014-03-31 13:59:20.147859	124510	1149417.649530997	4	2
2014-03-31 13:59:22.773018	124511	59	2	1
2014-03-31 13:59:22.993877	124512	18.8	1	1
2014-03-31 13:59:31.915606	124513	450	3	2
2014-03-31 13:59:32.148107	124514	1149418.7985657186	4	2
2014-03-31 13:59:34.04633	124515	59	2	24
2014-03-31 13:59:34.267106	124516	16.2	1	24
2014-03-31 13:59:36.139857	124517	51	2	25
2014-03-31 13:59:36.370031	124518	17.1	1	25
2014-03-31 13:59:41.724918	124519	46	2	10
2014-03-31 13:59:41.947786	124520	18.0	1	10
2014-03-31 13:59:43.916939	124521	466	3	2
2014-03-31 13:59:44.147459	124522	1149421.0966351614	4	2
2014-03-31 13:59:49.885351	124523	54	2	9
2014-03-31 13:59:50.107278	124524	19.2	1	9
2014-03-31 13:59:50.943804	124525	51	2	8
2014-03-31 13:59:51.185144	124526	18.9	1	8
2014-03-31 14:00:01.772348	124527	59	2	1
2014-03-31 14:00:01.992974	124528	18.8	1	1
2014-03-31 14:00:13.048802	124529	59	2	24
2014-03-31 14:00:13.280654	124530	16.2	1	24
2014-03-31 14:00:15.140131	124531	50	2	25
2014-03-31 14:00:15.360896	124532	17.1	1	25
2014-03-31 14:00:20.728192	124533	46	2	10
2014-03-31 14:00:20.960575	124534	18.0	1	10
2014-03-31 14:00:28.884301	124535	54	2	9
2014-03-31 14:00:29.104768	124536	19.2	1	9
2014-03-31 14:00:29.942346	124537	51	2	8
2014-03-31 14:00:30.17341	124538	18.9	1	8
2014-03-31 14:00:31.916872	124539	466	3	2
2014-03-31 14:00:32.138078	124540	1149426.8418087685	4	2
2014-03-31 14:00:40.773584	124541	59	2	1
2014-03-31 14:00:41.006756	124542	18.9	1	1
2014-03-31 14:00:52.04198	124543	59	2	24
2014-03-31 14:00:52.263904	124544	16.2	1	24
2014-03-31 14:00:54.14084	124545	50	2	25
2014-03-31 14:00:54.373532	124546	17.1	1	25
2014-03-31 14:00:59.727713	124547	46	2	10
2014-03-31 14:00:59.952555	124548	18.0	1	10
2014-03-31 14:01:07.885652	124549	54	2	9
2014-03-31 14:01:08.117356	124550	19.2	1	9
2014-03-31 14:01:08.945845	124551	51	2	8
2014-03-31 14:01:09.167361	124552	18.9	1	8
2014-03-31 14:01:19.771579	124553	59	2	1
2014-03-31 14:01:20.006232	124554	18.9	1	1
2014-03-31 14:01:31.04737	124555	59	2	24
2014-03-31 14:01:31.270213	124556	16.2	1	24
2014-03-31 14:01:32.978576	124557	466	3	2
2014-03-31 14:01:33.210206	124558	1149434.8850518183	4	2
2014-03-31 14:01:33.514192	124559	50	2	25
2014-03-31 14:01:33.735455	124560	17.1	1	25
2014-03-31 14:01:38.729956	124561	46	2	10
2014-03-31 14:01:38.962841	124562	18.0	1	10
2014-03-31 14:01:46.885444	124563	54	2	9
2014-03-31 14:01:47.109455	124564	19.2	1	9
2014-03-31 14:01:47.942635	124565	51	2	8
2014-03-31 14:01:48.175674	124566	18.9	1	8
2014-03-31 14:01:58.770722	124567	59	2	1
2014-03-31 14:01:58.992259	124568	18.9	1	1
2014-03-31 14:02:10.045009	124569	59	2	24
2014-03-31 14:02:10.27757	124570	16.2	1	24
2014-03-31 14:02:12.140746	124571	51	2	25
2014-03-31 14:02:12.361325	124572	17.1	1	25
2014-03-31 14:02:17.728503	124573	46	2	10
2014-03-31 14:02:17.972129	124574	18.0	1	10
2014-03-31 14:02:25.887942	124575	54	2	9
2014-03-31 14:02:26.111465	124576	19.2	1	9
2014-03-31 14:02:26.944775	124577	51	2	8
2014-03-31 14:02:27.179297	124578	18.9	1	8
2014-03-31 14:02:31.918188	124579	450	3	2
2014-03-31 14:02:32.144985	124580	1149441.779260147	4	2
2014-03-31 14:02:37.775651	124581	59	2	1
2014-03-31 14:02:38.009343	124582	18.9	1	1
2014-03-31 14:02:49.04407	124583	59	2	24
2014-03-31 14:02:49.26658	124584	16.2	1	24
2014-03-31 14:02:51.139941	124585	51	2	25
2014-03-31 14:02:51.37185	124586	17.2	1	25
2014-03-31 14:02:56.729167	124587	46	2	10
2014-03-31 14:02:56.951056	124588	18.0	1	10
2014-03-31 14:03:04.88461	124589	54	2	9
2014-03-31 14:03:05.116411	124590	19.2	1	9
2014-03-31 14:03:05.944618	124591	51	2	8
2014-03-31 14:03:06.164878	124592	18.9	1	8
2014-03-31 14:03:16.768617	124593	59	2	1
2014-03-31 14:03:17.000291	124594	18.9	1	1
2014-03-31 14:03:28.285774	124595	59	2	24
2014-03-31 14:03:28.507649	124596	16.2	1	24
2014-03-31 14:03:30.137084	124597	51	2	25
2014-03-31 14:03:30.369646	124598	17.2	1	25
2014-03-31 14:03:31.915486	124599	498	3	2
2014-03-31 14:03:32.13605	124600	1149449.8225031968	4	2
2014-03-31 14:03:35.729174	124601	46	2	10
2014-03-31 14:03:35.960898	124602	18.0	1	10
2014-03-31 14:03:44.946132	124603	51	2	8
2014-03-31 14:03:45.170554	124604	18.9	1	8
2014-03-31 14:03:55.772074	124605	59	2	1
2014-03-31 14:03:56.002931	124606	18.9	1	1
2014-03-31 14:04:07.043053	124607	59	2	24
2014-03-31 14:04:07.265832	124608	16.2	1	24
2014-03-31 14:04:09.159124	124609	51	2	25
2014-03-31 14:04:09.389111	124610	17.2	1	25
2014-03-31 14:04:14.729413	124611	46	2	10
2014-03-31 14:04:14.954681	124612	18.0	1	10
2014-03-31 14:04:22.887872	124613	54	2	9
2014-03-31 14:04:23.120964	124614	19.2	1	9
2014-03-31 14:04:23.945571	124615	51	2	8
2014-03-31 14:04:24.165864	124616	18.9	1	8
2014-03-31 14:04:31.919139	124617	498	3	2
2014-03-31 14:04:32.15172	124618	1149457.8657462467	4	2
2014-03-31 14:04:34.80776	124619	59	2	1
2014-03-31 14:04:35.029525	124620	18.9	1	1
2014-03-31 14:04:46.042715	124621	59	2	24
2014-03-31 14:04:46.284481	124622	16.2	1	24
2014-03-31 14:04:48.13765	124623	51	2	25
2014-03-31 14:04:48.359492	124624	17.2	1	25
2014-03-31 14:04:53.729459	124625	46	2	10
2014-03-31 14:04:53.961403	124626	18.0	1	10
2014-03-31 14:05:01.886321	124627	54	2	9
2014-03-31 14:05:02.107393	124628	19.2	1	9
2014-03-31 14:05:02.945137	124629	51	2	8
2014-03-31 14:05:03.23697	124630	18.9	1	8
2014-03-31 14:05:13.773497	124631	59	2	1
2014-03-31 14:05:13.993485	124632	18.9	1	1
2014-03-31 14:05:25.041034	124633	59	2	24
2014-03-31 14:05:25.272751	124634	16.2	1	24
2014-03-31 14:05:27.137394	124635	51	2	25
2014-03-31 14:05:27.357671	124636	17.2	1	25
2014-03-31 14:05:31.919951	124637	498	3	2
2014-03-31 14:05:32.151753	124638	1149467.058024018	4	2
2014-03-31 14:05:32.730963	124639	46	2	10
2014-03-31 14:05:32.952788	124640	18.0	1	10
2014-03-31 14:05:40.885312	124641	54	2	9
2014-03-31 14:05:41.116668	124642	19.2	1	9
2014-03-31 14:05:41.944423	124643	51	2	8
2014-03-31 14:05:42.164399	124644	18.9	1	8
2014-03-31 14:05:52.770974	124645	59	2	1
2014-03-31 14:05:53.003953	124646	18.9	1	1
2014-03-31 14:06:04.042277	124647	59	2	24
2014-03-31 14:06:04.263915	124648	16.2	1	24
2014-03-31 14:06:06.137373	124649	51	2	25
2014-03-31 14:06:06.36657	124650	17.2	1	25
2014-03-31 14:06:11.937897	124651	46	2	10
2014-03-31 14:06:12.159462	124652	18.0	1	10
2014-03-31 14:06:19.887768	124653	54	2	9
2014-03-31 14:06:20.119137	124654	19.2	1	9
2014-03-31 14:06:20.945058	124655	51	2	8
2014-03-31 14:06:21.166186	124656	18.9	1	8
2014-03-31 14:06:31.768938	124657	59	2	1
2014-03-31 14:06:32.002078	124658	18.9	1	1
2014-03-31 14:06:43.039433	124659	59	2	24
2014-03-31 14:06:43.263022	124660	16.2	1	24
2014-03-31 14:06:45.136891	124661	50	2	25
2014-03-31 14:06:45.368261	124662	17.1	1	25
2014-03-31 14:06:50.730409	124663	46	2	10
2014-03-31 14:06:50.957993	124664	18.0	1	10
2014-03-31 14:06:58.886672	124665	54	2	9
2014-03-31 14:06:59.120249	124666	19.2	1	9
2014-03-31 14:06:59.946714	124667	51	2	8
2014-03-31 14:07:00.16927	124668	18.9	1	8
2014-03-31 14:07:10.769606	124669	59	2	1
2014-03-31 14:07:11.014066	124670	18.9	1	1
2014-03-31 14:07:22.041805	124671	59	2	24
2014-03-31 14:07:22.263306	124672	16.2	1	24
2014-03-31 14:07:24.138666	124673	51	2	25
2014-03-31 14:07:24.369899	124674	17.1	1	25
2014-03-31 14:07:29.732113	124675	46	2	10
2014-03-31 14:07:29.956483	124676	18.0	1	10
2014-03-31 14:07:31.916761	124677	498	3	2
2014-03-31 14:07:32.149736	124678	1149481.9999463486	4	2
2014-03-31 14:07:37.887514	124679	54	2	9
2014-03-31 14:07:38.115712	124680	19.2	1	9
2014-03-31 14:07:38.946099	124681	51	2	8
2014-03-31 14:07:39.180012	124682	18.9	1	8
2014-03-31 14:07:49.770673	124683	59	2	1
2014-03-31 14:07:49.993938	124684	18.9	1	1
2014-03-31 14:08:01.040657	124685	59	2	24
2014-03-31 14:08:01.273726	124686	16.2	1	24
2014-03-31 14:08:03.170101	124687	51	2	25
2014-03-31 14:08:03.418239	124688	17.1	1	25
2014-03-31 14:08:08.939035	124689	46	2	10
2014-03-31 14:08:09.172376	124690	18.0	1	10
2014-03-31 14:08:16.888051	124691	54	2	9
2014-03-31 14:08:17.110472	124692	19.2	1	9
2014-03-31 14:08:17.94547	124693	51	2	8
2014-03-31 14:08:18.175588	124694	18.9	1	8
2014-03-31 14:08:28.769375	124695	59	2	1
2014-03-31 14:08:28.991481	124696	18.9	1	1
2014-03-31 14:08:31.918636	124697	498	3	2
2014-03-31 14:08:32.150933	124698	1149490.0431893985	4	2
2014-03-31 14:08:40.159962	124699	59	2	24
2014-03-31 14:08:40.590091	124700	16.2	1	24
2014-03-31 14:08:42.269018	124701	51	2	25
2014-03-31 14:08:42.702365	124702	17.1	1	25
2014-03-31 14:08:47.731774	124703	46	2	10
2014-03-31 14:08:47.955333	124704	18.0	1	10
2014-03-31 14:08:55.88512	124705	54	2	9
2014-03-31 14:08:56.117108	124706	19.2	1	9
2014-03-31 14:08:57.069019	124707	51	2	8
2014-03-31 14:08:57.490078	124708	18.9	1	8
2014-03-31 14:09:07.900002	124709	59	2	1
2014-03-31 14:09:08.332698	124710	18.9	1	1
2014-03-31 14:09:19.037732	124711	59	2	24
2014-03-31 14:09:19.26012	124712	16.2	1	24
2014-03-31 14:09:21.13752	124713	50	2	25
2014-03-31 14:09:21.368034	124714	17.1	1	25
2014-03-31 14:09:26.73198	124715	46	2	10
2014-03-31 14:09:26.955042	124716	18.0	1	10
2014-03-31 14:09:31.919448	124717	498	3	2
2014-03-31 14:09:32.163779	124718	1149499.23546717	4	2
2014-03-31 14:09:34.893036	124719	54	2	9
2014-03-31 14:09:35.117783	124720	19.2	1	9
2014-03-31 14:09:35.947738	124721	51	2	8
2014-03-31 14:09:36.183399	124722	18.9	1	8
2014-03-31 14:09:46.769453	124723	59	2	1
2014-03-31 14:09:47.001007	124724	18.9	1	1
2014-03-31 14:09:58.038735	124725	59	2	24
2014-03-31 14:09:58.275994	124726	16.2	1	24
2014-03-31 14:10:00.138236	124727	50	2	25
2014-03-31 14:10:00.390419	124728	17.1	1	25
2014-03-31 14:10:05.734383	124729	46	2	10
2014-03-31 14:10:05.969567	124730	18.0	1	10
2014-03-31 14:10:13.888593	124731	55	2	9
2014-03-31 14:10:14.11336	124732	19.2	1	9
2014-03-31 14:10:14.946942	124733	51	2	8
2014-03-31 14:10:15.181186	124734	18.9	1	8
2014-03-31 14:10:25.774713	124735	59	2	1
2014-03-31 14:10:25.997836	124736	18.9	1	1
2014-03-31 14:10:31.922007	124737	450	3	2
2014-03-31 14:10:32.160607	124738	1149507.2787102198	4	2
2014-03-31 14:10:37.036525	124739	59	2	24
2014-03-31 14:10:37.273316	124740	16.2	1	24
2014-03-31 14:10:39.139508	124741	50	2	25
2014-03-31 14:10:39.383252	124742	17.1	1	25
2014-03-31 14:10:44.734372	124743	46	2	10
2014-03-31 14:10:44.956415	124744	18.0	1	10
2014-03-31 14:10:52.887778	124745	55	2	9
2014-03-31 14:10:53.118879	124746	19.2	1	9
2014-03-31 14:10:53.944224	124747	51	2	8
2014-03-31 14:10:54.165036	124748	18.9	1	8
2014-03-31 14:11:04.76928	124749	59	2	1
2014-03-31 14:11:04.999971	124750	18.9	1	1
2014-03-31 14:11:16.037217	124751	59	2	24
2014-03-31 14:11:16.266423	124752	16.2	1	24
2014-03-31 14:11:18.135716	124753	50	2	25
2014-03-31 14:11:18.367202	124754	17.1	1	25
2014-03-31 14:11:23.733715	124755	46	2	10
2014-03-31 14:11:23.956707	124756	18.0	1	10
2014-03-31 14:11:32.088826	124757	55	2	9
2014-03-31 14:11:32.319708	124758	19.2	1	9
2014-03-31 14:11:32.945668	124759	51	2	8
2014-03-31 14:11:33.165927	124760	18.9	1	8
2014-03-31 14:11:43.768481	124761	59	2	1
2014-03-31 14:11:44.003502	124762	18.9	1	1
2014-03-31 14:11:55.040472	124763	59	2	24
2014-03-31 14:11:55.270333	124764	16.2	1	24
2014-03-31 14:11:57.145819	124765	50	2	25
2014-03-31 14:11:57.387937	124766	17.1	1	25
2014-03-31 14:12:02.860735	124767	46	2	10
2014-03-31 14:12:03.320074	124768	18.0	1	10
2014-03-31 14:12:11.020027	124769	55	2	9
2014-03-31 14:12:11.450029	124770	19.2	1	9
2014-03-31 14:12:12.080029	124771	51	2	8
2014-03-31 14:12:12.500013	124772	18.9	1	8
2014-03-31 14:12:22.769588	124773	59	2	1
2014-03-31 14:12:23.002936	124774	18.9	1	1
2014-03-31 14:12:31.919505	124775	450	3	2
2014-03-31 14:12:32.143247	124776	1149522.2161615982	4	2
2014-03-31 14:12:34.037422	124777	59	2	24
2014-03-31 14:12:34.271281	124778	16.2	1	24
2014-03-31 14:12:36.137283	124779	50	2	25
2014-03-31 14:12:36.364687	124780	17.1	1	25
2014-03-31 14:12:41.73419	124781	46	2	10
2014-03-31 14:12:41.967902	124782	18.0	1	10
2014-03-31 14:12:49.885789	124783	55	2	9
2014-03-31 14:12:50.109069	124784	19.2	1	9
2014-03-31 14:12:50.945305	124785	51	2	8
2014-03-31 14:12:51.187766	124786	18.9	1	8
2014-03-31 14:13:01.767359	124787	59	2	1
2014-03-31 14:13:01.990243	124788	18.9	1	1
2014-03-31 14:13:13.03481	124789	59	2	24
2014-03-31 14:13:13.266803	124790	16.2	1	24
2014-03-31 14:13:15.138594	124791	50	2	25
2014-03-31 14:13:15.359381	124792	17.1	1	25
2014-03-31 14:13:20.734455	124793	46	2	10
2014-03-31 14:13:20.967369	124794	18.0	1	10
2014-03-31 14:13:28.888224	124795	55	2	9
2014-03-31 14:13:29.109212	124796	19.2	1	9
2014-03-31 14:13:29.946175	124797	51	2	8
2014-03-31 14:13:30.18063	124798	18.9	1	8
2014-03-31 14:13:31.917672	124799	450	3	2
2014-03-31 14:13:32.138718	124800	1149529.1103699266	4	2
2014-03-31 14:13:40.768641	124801	59	2	1
2014-03-31 14:13:41.000819	124802	18.9	1	1
2014-03-31 14:13:52.034459	124803	59	2	24
2014-03-31 14:13:52.257995	124804	16.2	1	24
2014-03-31 14:13:54.134052	124805	50	2	25
2014-03-31 14:13:54.367106	124806	17.1	1	25
2014-03-31 14:13:59.735211	124807	46	2	10
2014-03-31 14:13:59.958643	124808	18.0	1	10
2014-03-31 14:14:07.887519	124809	55	2	9
2014-03-31 14:14:08.118885	124810	19.2	1	9
2014-03-31 14:14:08.94578	124811	51	2	8
2014-03-31 14:14:09.166916	124812	18.9	1	8
2014-03-31 14:14:19.765443	124813	59	2	1
2014-03-31 14:14:20.008273	124814	18.9	1	1
2014-03-31 14:14:31.033918	124815	59	2	24
2014-03-31 14:14:31.276986	124816	16.2	1	24
2014-03-31 14:14:31.918878	124817	450	3	2
2014-03-31 14:14:32.150733	124818	1149537.1536129764	4	2
2014-03-31 14:14:33.137903	124819	50	2	25
2014-03-31 14:14:33.417247	124820	17.1	1	25
2014-03-31 14:14:38.735544	124821	46	2	10
2014-03-31 14:14:38.967865	124822	18.0	1	10
2014-03-31 14:14:46.887727	124823	55	2	9
2014-03-31 14:14:47.109861	124824	19.2	1	9
2014-03-31 14:14:47.946376	124825	51	2	8
2014-03-31 14:14:48.177092	124826	18.9	1	8
2014-03-31 14:14:58.765724	124827	59	2	1
2014-03-31 14:14:58.98748	124828	18.9	1	1
2014-03-31 14:15:10.032952	124829	59	2	24
2014-03-31 14:15:10.263933	124830	16.2	1	24
2014-03-31 14:15:12.135363	124831	50	2	25
2014-03-31 14:15:12.358819	124832	17.1	1	25
2014-03-31 14:15:17.735884	124833	46	2	10
2014-03-31 14:15:17.96746	124834	18.0	1	10
2014-03-31 14:15:25.885633	124835	55	2	9
2014-03-31 14:15:26.109465	124836	19.2	1	9
2014-03-31 14:15:26.94635	124837	51	2	8
2014-03-31 14:15:27.175352	124838	18.9	1	8
2014-03-31 14:15:31.919793	124839	450	3	2
2014-03-31 14:15:32.143331	124840	1149545.1968560263	4	2
2014-03-31 14:15:37.767031	124841	59	2	1
2014-03-31 14:15:38.001052	124842	18.9	1	1
2014-03-31 14:15:49.033199	124843	59	2	24
2014-03-31 14:15:49.256754	124844	16.2	1	24
2014-03-31 14:15:51.141946	124845	50	2	25
2014-03-31 14:15:51.372438	124846	17.1	1	25
2014-03-31 14:15:56.73896	124847	46	2	10
2014-03-31 14:15:56.965052	124848	18.0	1	10
2014-03-31 14:16:04.920703	124849	55	2	9
2014-03-31 14:16:05.184456	124850	19.1	1	9
2014-03-31 14:16:05.946658	124851	51	2	8
2014-03-31 14:16:06.183028	124852	18.9	1	8
2014-03-31 14:16:16.778223	124853	59	2	1
2014-03-31 14:16:17.026353	124854	18.9	1	1
2014-03-31 14:16:28.037972	124855	59	2	24
2014-03-31 14:16:28.262059	124856	16.2	1	24
2014-03-31 14:16:30.142378	124857	50	2	25
2014-03-31 14:16:30.374553	124858	17.1	1	25
2014-03-31 14:16:31.926644	124859	498	3	2
2014-03-31 14:16:32.16464	124860	1149553.2400990764	4	2
2014-03-31 14:16:35.748277	124861	46	2	10
2014-03-31 14:16:36.008122	124862	18.0	1	10
2014-03-31 14:16:44.218914	124863	55	2	9
2014-03-31 14:16:44.639981	124864	19.1	1	9
2014-03-31 14:16:45.215485	124865	51	2	8
2014-03-31 14:16:45.660017	124866	18.9	1	8
2014-03-31 14:16:55.899935	124867	59	2	1
2014-03-31 14:16:56.312506	124868	18.9	1	1
2014-03-31 14:17:07.038001	124869	59	2	24
2014-03-31 14:17:07.271868	124870	16.2	1	24
2014-03-31 14:17:09.135542	124871	50	2	25
2014-03-31 14:17:09.356072	124872	17.1	1	25
2014-03-31 14:17:14.735989	124873	46	2	10
2014-03-31 14:17:14.969709	124874	18.0	1	10
2014-03-31 14:17:22.890363	124875	55	2	9
2014-03-31 14:17:23.112784	124876	19.1	1	9
2014-03-31 14:17:23.947886	124877	51	2	8
2014-03-31 14:17:24.178457	124878	18.9	1	8
2014-03-31 14:17:31.921834	124879	498	3	2
2014-03-31 14:17:32.143992	124880	1149561.2833421263	4	2
2014-03-31 14:17:34.768761	124881	59	2	1
2014-03-31 14:17:35.0029	124882	18.9	1	1
2014-03-31 14:17:46.032926	124883	59	2	24
2014-03-31 14:17:46.255351	124884	16.2	1	24
2014-03-31 14:17:48.155364	124885	50	2	25
2014-03-31 14:17:48.386014	124886	17.1	1	25
2014-03-31 14:17:53.738807	124887	46	2	10
2014-03-31 14:17:53.962505	124888	18.0	1	10
2014-03-31 14:18:01.889043	124889	55	2	9
2014-03-31 14:18:02.123352	124890	19.1	1	9
2014-03-31 14:18:02.948594	124891	51	2	8
2014-03-31 14:18:03.172578	124892	18.9	1	8
2014-03-31 14:18:13.771973	124893	59	2	1
2014-03-31 14:18:14.005091	124894	18.9	1	1
2014-03-31 14:18:25.03189	124895	59	2	24
2014-03-31 14:18:25.255286	124896	16.2	1	24
2014-03-31 14:18:27.137143	124897	50	2	25
2014-03-31 14:18:27.368623	124898	17.1	1	25
2014-03-31 14:18:31.921075	124899	498	3	2
2014-03-31 14:18:32.146633	124900	1149569.3265851762	4	2
2014-03-31 14:18:32.736595	124901	46	2	10
2014-03-31 14:18:32.96702	124902	18.0	1	10
2014-03-31 14:18:40.888551	124903	55	2	9
2014-03-31 14:18:41.110683	124904	19.1	1	9
2014-03-31 14:18:41.949549	124905	51	2	8
2014-03-31 14:18:42.181117	124906	18.9	1	8
2014-03-31 14:18:53.004834	124907	59	2	1
2014-03-31 14:18:53.22959	124908	18.9	1	1
2014-03-31 14:19:04.032054	124909	59	2	24
2014-03-31 14:19:04.275835	124910	16.2	1	24
2014-03-31 14:19:06.135755	124911	50	2	25
2014-03-31 14:19:06.358753	124912	17.1	1	25
2014-03-31 14:19:11.738088	124913	46	2	10
2014-03-31 14:19:11.970192	124914	18.0	1	10
2014-03-31 14:19:19.890173	124915	55	2	9
2014-03-31 14:19:20.114991	124916	19.1	1	9
2014-03-31 14:19:20.947739	124917	51	2	8
2014-03-31 14:19:21.179338	124918	18.9	1	8
2014-03-31 14:19:31.763928	124919	59	2	1
2014-03-31 14:19:31.986004	124920	18.9	1	1
2014-03-31 14:19:43.02876	124921	59	2	24
2014-03-31 14:19:43.260972	124922	16.2	1	24
2014-03-31 14:19:45.378283	124923	50	2	25
2014-03-31 14:19:45.599674	124924	17.1	1	25
2014-03-31 14:19:50.738096	124925	46	2	10
2014-03-31 14:19:50.969325	124926	18.0	1	10
2014-03-31 14:19:58.88849	124927	55	2	9
2014-03-31 14:19:59.110808	124928	19.1	1	9
2014-03-31 14:19:59.948026	124929	51	2	8
2014-03-31 14:20:00.178913	124930	18.9	1	8
2014-03-31 14:20:10.763696	124931	59	2	1
2014-03-31 14:20:10.984805	124932	18.9	1	1
2014-03-31 14:20:22.02905	124933	59	2	24
2014-03-31 14:20:22.261032	124934	16.2	1	24
2014-03-31 14:20:24.135715	124935	50	2	25
2014-03-31 14:20:24.356612	124936	17.1	1	25
2014-03-31 14:20:29.737758	124937	46	2	10
2014-03-31 14:20:29.970122	124938	18.0	1	10
2014-03-31 14:20:31.921616	124939	498	3	2
2014-03-31 14:20:32.143468	124940	1149586.5621059975	4	2
2014-03-31 14:20:37.888823	124941	55	2	9
2014-03-31 14:20:38.120406	124942	19.1	1	9
2014-03-31 14:20:38.948863	124943	51	2	8
2014-03-31 14:20:39.16953	124944	18.9	1	8
2014-03-31 14:20:49.762647	124945	59	2	1
2014-03-31 14:20:50.001085	124946	18.9	1	1
2014-03-31 14:21:01.029477	124947	59	2	24
2014-03-31 14:21:01.251722	124948	16.2	1	24
2014-03-31 14:21:03.135599	124949	50	2	25
2014-03-31 14:21:03.366404	124950	17.1	1	25
2014-03-31 14:21:08.73935	124951	46	2	10
2014-03-31 14:21:08.961258	124952	18.0	1	10
2014-03-31 14:21:16.889628	124953	55	2	9
2014-03-31 14:21:17.122963	124954	19.1	1	9
2014-03-31 14:21:17.947517	124955	51	2	8
2014-03-31 14:21:18.169504	124956	18.9	1	8
2014-03-31 14:21:28.766665	124957	59	2	1
2014-03-31 14:21:29.010077	124958	18.9	1	1
2014-03-31 14:21:31.92042	124959	498	3	2
2014-03-31 14:21:32.143234	124960	1149594.6053490473	4	2
2014-03-31 14:21:40.029515	124961	59	2	24
2014-03-31 14:21:40.262298	124962	16.2	1	24
2014-03-31 14:21:42.134021	124963	50	2	25
2014-03-31 14:21:42.357135	124964	17.1	1	25
2014-03-31 14:21:47.740171	124965	46	2	10
2014-03-31 14:21:47.973279	124966	18.0	1	10
2014-03-31 14:21:55.889274	124967	55	2	9
2014-03-31 14:21:56.110899	124968	19.1	1	9
2014-03-31 14:21:56.946245	124969	51	2	8
2014-03-31 14:21:57.176909	124970	18.9	1	8
2014-03-31 14:22:07.763972	124971	59	2	1
2014-03-31 14:22:07.987183	124972	18.9	1	1
2014-03-31 14:22:19.031088	124973	59	2	24
2014-03-31 14:22:19.262452	124974	16.2	1	24
2014-03-31 14:22:21.134978	124975	50	2	25
2014-03-31 14:22:21.356739	124976	17.1	1	25
2014-03-31 14:22:26.738962	124977	46	2	10
2014-03-31 14:22:26.97305	124978	18.0	1	10
2014-03-31 14:22:31.923878	124979	515	3	2
2014-03-31 14:22:32.146777	124980	1149602.6485920972	4	2
2014-03-31 14:22:34.890864	124981	55	2	9
2014-03-31 14:22:35.122012	124982	19.1	1	9
2014-03-31 14:22:35.950149	124983	51	2	8
2014-03-31 14:22:36.170859	124984	18.9	1	8
2014-03-31 14:22:46.763676	124985	59	2	1
2014-03-31 14:22:46.998671	124986	18.9	1	1
2014-03-31 14:22:55.922909	124987	482	3	2
2014-03-31 14:22:56.14494	124988	1149606.0956962614	4	2
2014-03-31 14:22:58.028705	124989	59	2	24
2014-03-31 14:22:58.259552	124990	16.2	1	24
2014-03-31 14:23:00.13496	124991	50	2	25
2014-03-31 14:23:00.358145	124992	17.1	1	25
2014-03-31 14:23:05.740694	124993	46	2	10
2014-03-31 14:23:05.97469	124994	18.0	1	10
2014-03-31 14:23:07.920504	124995	482	3	2
2014-03-31 14:23:08.144288	124996	1149608.3937657042	4	2
2014-03-31 14:23:13.889373	124997	55	2	9
2014-03-31 14:23:14.12272	124998	19.1	1	9
2014-03-31 14:23:14.947628	124999	51	2	8
2014-03-31 14:23:15.174281	125000	18.9	1	8
2014-03-31 14:23:25.763906	125001	59	2	1
2014-03-31 14:23:25.994805	125002	18.9	1	1
2014-03-31 14:23:31.92075	125003	482	3	2
2014-03-31 14:23:32.146506	125004	1149610.691835147	4	2
2014-03-31 14:23:37.027435	125005	59	2	24
2014-03-31 14:23:37.276528	125006	16.2	1	24
2014-03-31 14:23:39.140133	125007	50	2	25
2014-03-31 14:23:39.3623	125008	17.1	1	25
2014-03-31 14:23:44.870021	125009	46	2	10
2014-03-31 14:23:45.305505	125010	17.9	1	10
2014-03-31 14:23:53.011353	125011	55	2	9
2014-03-31 14:23:53.434724	125012	19.1	1	9
2014-03-31 14:23:54.072797	125013	51	2	8
2014-03-31 14:23:54.514463	125014	18.9	1	8
2014-03-31 14:24:04.762655	125015	59	2	1
2014-03-31 14:24:04.984501	125016	18.9	1	1
2014-03-31 14:24:16.027114	125017	59	2	24
2014-03-31 14:24:16.260659	125018	16.2	1	24
2014-03-31 14:24:18.153832	125019	50	2	25
2014-03-31 14:24:18.37699	125020	17.1	1	25
2014-03-31 14:24:23.739974	125021	46	2	10
2014-03-31 14:24:23.971304	125022	17.9	1	10
2014-03-31 14:24:32.093322	125023	55	2	9
2014-03-31 14:24:32.316772	125024	19.1	1	9
2014-03-31 14:24:32.948667	125025	51	2	8
2014-03-31 14:24:33.178115	125026	18.9	1	8
2014-03-31 14:24:43.76446	125027	59	2	1
2014-03-31 14:24:43.986039	125028	18.9	1	1
2014-03-31 14:24:55.025818	125029	59	2	24
2014-03-31 14:24:55.259142	125030	16.2	1	24
2014-03-31 14:24:57.133401	125031	50	2	25
2014-03-31 14:24:57.356977	125032	17.1	1	25
2014-03-31 14:25:02.741602	125033	46	2	10
2014-03-31 14:25:02.974239	125034	17.9	1	10
2014-03-31 14:25:10.889691	125035	55	2	9
2014-03-31 14:25:11.110431	125036	19.1	1	9
2014-03-31 14:25:11.94558	125037	51	2	8
2014-03-31 14:25:12.175982	125038	18.9	1	8
2014-03-31 14:25:22.763279	125039	59	2	1
2014-03-31 14:25:22.985631	125040	18.9	1	1
2014-03-31 14:25:31.921307	125041	547	3	2
2014-03-31 14:25:32.154987	125042	1149627.9273559684	4	2
2014-03-31 14:25:34.026281	125043	59	2	24
2014-03-31 14:25:34.248791	125044	16.2	1	24
2014-03-31 14:25:36.132511	125045	50	2	25
2014-03-31 14:25:36.364402	125046	17.1	1	25
2014-03-31 14:25:41.740919	125047	46	2	10
2014-03-31 14:25:41.962987	125048	17.9	1	10
2014-03-31 14:25:43.920779	125049	547	3	2
2014-03-31 14:25:44.15227	125050	1149629.0763906897	4	2
2014-03-31 14:25:49.889432	125051	55	2	9
2014-03-31 14:25:50.112825	125052	19.1	1	9
2014-03-31 14:25:50.947943	125053	51	2	8
2014-03-31 14:25:51.191231	125054	18.9	1	8
2014-03-31 14:26:01.76296	125055	59	2	1
2014-03-31 14:26:01.984601	125056	18.9	1	1
2014-03-31 14:26:13.024266	125057	59	2	24
2014-03-31 14:26:13.256345	125058	16.2	1	24
2014-03-31 14:26:15.133052	125059	50	2	25
2014-03-31 14:26:15.353566	125060	17.1	1	25
2014-03-31 14:26:20.740728	125061	46	2	10
2014-03-31 14:26:20.971792	125062	17.9	1	10
2014-03-31 14:26:28.890212	125063	55	2	9
2014-03-31 14:26:29.111586	125064	19.1	1	9
2014-03-31 14:26:29.948323	125065	51	2	8
2014-03-31 14:26:30.179359	125066	18.9	1	8
2014-03-31 14:26:31.924046	125067	547	3	2
2014-03-31 14:26:32.144707	125068	1149637.1196337396	4	2
2014-03-31 14:26:40.761888	125069	59	2	1
2014-03-31 14:26:40.994824	125070	18.9	1	1
2014-03-31 14:26:52.023147	125071	59	2	24
2014-03-31 14:26:52.244628	125072	16.2	1	24
2014-03-31 14:26:54.132871	125073	50	2	25
2014-03-31 14:26:54.364751	125074	17.1	1	25
2014-03-31 14:26:59.743142	125075	46	2	10
2014-03-31 14:26:59.966345	125076	17.9	1	10
2014-03-31 14:27:07.889752	125077	55	2	9
2014-03-31 14:27:08.121056	125078	19.1	1	9
2014-03-31 14:27:08.949342	125079	51	2	8
2014-03-31 14:27:09.169506	125080	18.9	1	8
2014-03-31 14:27:19.76543	125081	59	2	1
2014-03-31 14:27:19.997217	125082	18.9	1	1
2014-03-31 14:27:31.023681	125083	59	2	24
2014-03-31 14:27:31.245081	125084	16.2	1	24
2014-03-31 14:27:31.922287	125085	579	3	2
2014-03-31 14:27:32.152518	125086	1149646.311911511	4	2
2014-03-31 14:27:33.154398	125087	50	2	25
2014-03-31 14:27:33.375489	125088	17.1	1	25
2014-03-31 14:27:38.741739	125089	46	2	10
2014-03-31 14:27:38.980855	125090	17.9	1	10
2014-03-31 14:27:43.92653	125091	579	3	2
2014-03-31 14:27:44.148528	125092	1149647.4609462323	4	2
2014-03-31 14:27:46.891784	125093	55	2	9
2014-03-31 14:27:47.121197	125094	19.1	1	9
2014-03-31 14:27:47.949889	125095	51	2	8
2014-03-31 14:27:48.171045	125096	18.9	1	8
2014-03-31 14:27:55.924181	125097	547	3	2
2014-03-31 14:27:56.155928	125098	1149649.7590156752	4	2
2014-03-31 14:27:58.761075	125099	59	2	1
2014-03-31 14:27:58.983361	125100	18.9	1	1
2014-03-31 14:28:07.923758	125101	547	3	2
2014-03-31 14:28:08.166286	125102	1149652.057085118	4	2
2014-03-31 14:28:10.261905	125103	59	2	24
2014-03-31 14:28:10.483758	125104	16.2	1	24
2014-03-31 14:28:12.132729	125105	50	2	25
2014-03-31 14:28:12.549396	125106	17.1	1	25
2014-03-31 14:28:17.742529	125107	46	2	10
2014-03-31 14:28:17.96493	125108	17.9	1	10
2014-03-31 14:28:25.891567	125109	55	2	9
2014-03-31 14:28:26.116015	125110	19.1	1	9
2014-03-31 14:28:26.95177	125111	51	2	8
2014-03-31 14:28:27.181436	125112	18.9	1	8
2014-03-31 14:28:31.920017	125113	547	3	2
2014-03-31 14:28:32.145296	125114	1149655.5041892822	4	2
2014-03-31 14:28:37.761218	125115	59	2	1
2014-03-31 14:28:38.000255	125116	18.9	1	1
2014-03-31 14:28:49.023317	125117	59	2	24
2014-03-31 14:28:49.246014	125118	16.2	1	24
2014-03-31 14:28:51.153475	125119	50	2	25
2014-03-31 14:28:51.383493	125120	17.1	1	25
2014-03-31 14:28:56.742521	125121	46	2	10
2014-03-31 14:28:56.964249	125122	17.9	1	10
2014-03-31 14:29:04.888147	125123	55	2	9
2014-03-31 14:29:05.123851	125124	19.1	1	9
2014-03-31 14:29:05.950575	125125	51	2	8
2014-03-31 14:29:06.172343	125126	18.9	1	8
2014-03-31 14:29:07.922287	125127	579	3	2
2014-03-31 14:29:08.154382	125128	1149661.2493628892	4	2
2014-03-31 14:29:16.761912	125129	59	2	1
2014-03-31 14:29:16.982668	125130	18.9	1	1
2014-03-31 14:29:19.921478	125131	547	3	2
2014-03-31 14:29:20.153785	125132	1149662.3983976108	4	2
2014-03-31 14:29:28.020623	125133	59	2	24
2014-03-31 14:29:28.247574	125134	16.2	1	24
2014-03-31 14:29:30.132435	125135	50	2	25
2014-03-31 14:29:30.36546	125136	17.1	1	25
2014-03-31 14:29:31.921281	125137	547	3	2
2014-03-31 14:29:32.142466	125138	1149664.6964670536	4	2
2014-03-31 14:29:35.742802	125139	46	2	10
2014-03-31 14:29:35.975041	125140	17.9	1	10
2014-03-31 14:29:43.890113	125141	55	2	9
2014-03-31 14:29:44.114523	125142	19.1	1	9
2014-03-31 14:29:44.948086	125143	51	2	8
2014-03-31 14:29:45.179205	125144	18.9	1	8
2014-03-31 14:29:55.760203	125145	59	2	1
2014-03-31 14:29:55.989881	125146	18.9	1	1
2014-03-31 14:30:07.021868	125147	59	2	24
2014-03-31 14:30:07.253971	125148	16.2	1	24
2014-03-31 14:30:07.920693	125149	547	3	2
2014-03-31 14:30:08.140947	125150	1149670.4416406606	4	2
2014-03-31 14:30:09.131195	125151	50	2	25
2014-03-31 14:30:09.374674	125152	17.1	1	25
2014-03-31 14:30:14.743145	125153	46	2	10
2014-03-31 14:30:14.968871	125154	17.9	1	10
2014-03-31 14:30:19.922774	125155	547	3	2
2014-03-31 14:30:20.15499	125156	1149671.590675382	4	2
2014-03-31 14:30:22.890459	125157	55	2	9
2014-03-31 14:30:23.110806	125158	19.1	1	9
2014-03-31 14:30:23.949849	125159	51	2	8
2014-03-31 14:30:24.180577	125160	18.9	1	8
2014-03-31 14:30:31.921279	125161	579	3	2
2014-03-31 14:30:32.143149	125162	1149673.8887448248	4	2
2014-03-31 14:30:34.761702	125163	59	2	1
2014-03-31 14:30:34.993992	125164	18.9	1	1
2014-03-31 14:30:43.922184	125165	547	3	2
2014-03-31 14:30:44.143475	125166	1149676.1868142677	4	2
2014-03-31 14:30:46.020311	125167	59	2	24
2014-03-31 14:30:46.253212	125168	16.2	1	24
2014-03-31 14:30:48.133191	125169	50	2	25
2014-03-31 14:30:48.354828	125170	17.1	1	25
2014-03-31 14:30:53.74253	125171	46	2	10
2014-03-31 14:30:53.974716	125172	17.9	1	10
2014-03-31 14:30:55.920162	125173	547	3	2
2014-03-31 14:30:56.141238	125174	1149677.3358489892	4	2
2014-03-31 14:31:01.889083	125175	55	2	9
2014-03-31 14:31:02.121008	125176	19.1	1	9
2014-03-31 14:31:02.949826	125177	51	2	8
2014-03-31 14:31:03.172169	125178	18.9	1	8
2014-03-31 14:31:13.760299	125179	59	2	1
2014-03-31 14:31:13.993121	125180	18.9	1	1
2014-03-31 14:31:19.924064	125181	515	3	2
2014-03-31 14:31:20.14988	125182	1149680.7829531534	4	2
2014-03-31 14:31:25.02178	125183	59	2	24
2014-03-31 14:31:25.255816	125184	16.1	1	24
2014-03-31 14:31:27.132922	125185	50	2	25
2014-03-31 14:31:27.355351	125186	17.1	1	25
2014-03-31 14:31:31.921176	125187	515	3	2
2014-03-31 14:31:32.154256	125188	1149683.0810225962	4	2
2014-03-31 14:31:32.742771	125189	46	2	10
2014-03-31 14:31:32.964503	125190	17.9	1	10
2014-03-31 14:31:40.891259	125191	55	2	9
2014-03-31 14:31:41.123262	125192	19.1	1	9
2014-03-31 14:31:41.948612	125193	51	2	8
2014-03-31 14:31:42.168932	125194	18.9	1	8
2014-03-31 14:31:52.757747	125195	59	2	1
2014-03-31 14:31:52.990158	125196	18.9	1	1
2014-03-31 14:32:04.075291	125197	59	2	24
2014-03-31 14:32:04.298282	125198	16.1	1	24
2014-03-31 14:32:06.131929	125199	50	2	25
2014-03-31 14:32:06.374614	125200	17.1	1	25
2014-03-31 14:32:11.74697	125201	46	2	10
2014-03-31 14:32:11.968566	125202	17.9	1	10
2014-03-31 14:32:19.895027	125203	55	2	9
2014-03-31 14:32:20.127373	125204	19.1	1	9
2014-03-31 14:32:20.949335	125205	51	2	8
2014-03-31 14:32:21.170038	125206	18.9	1	8
2014-03-31 14:32:31.76033	125207	59	2	1
2014-03-31 14:32:31.992898	125208	18.9	1	1
2014-03-31 14:32:43.021133	125209	59	2	24
2014-03-31 14:32:43.24401	125210	16.1	1	24
2014-03-31 14:32:45.130772	125211	50	2	25
2014-03-31 14:32:45.362296	125212	17.1	1	25
2014-03-31 14:32:50.746501	125213	46	2	10
2014-03-31 14:32:50.969678	125214	17.9	1	10
2014-03-31 14:32:55.926377	125215	498	3	2
2014-03-31 14:32:56.159237	125216	1149694.5713698103	4	2
2014-03-31 14:32:58.892225	125217	55	2	9
2014-03-31 14:32:59.112971	125218	19.1	1	9
2014-03-31 14:32:59.949606	125219	51	2	8
2014-03-31 14:33:00.180474	125220	18.9	1	8
2014-03-31 14:33:07.92281	125221	498	3	2
2014-03-31 14:33:08.144735	125222	1149696.8694392531	4	2
2014-03-31 14:33:10.759583	125223	59	2	1
2014-03-31 14:33:10.993165	125224	18.9	1	1
2014-03-31 14:33:22.019398	125225	59	2	24
2014-03-31 14:33:22.242133	125226	16.1	1	24
2014-03-31 14:33:24.131824	125227	50	2	25
2014-03-31 14:33:24.361935	125228	17.1	1	25
2014-03-31 14:33:29.744041	125229	46	2	10
2014-03-31 14:33:29.968251	125230	17.9	1	10
2014-03-31 14:33:31.92378	125231	515	3	2
2014-03-31 14:33:32.1562	125232	1149700.3165434175	4	2
2014-03-31 14:33:37.891761	125233	55	2	9
2014-03-31 14:33:38.118075	125234	19.1	1	9
2014-03-31 14:33:38.953965	125235	51	2	8
2014-03-31 14:33:39.185156	125236	18.9	1	8
2014-03-31 14:33:49.759743	125237	59	2	1
2014-03-31 14:33:49.984018	125238	18.9	1	1
2014-03-31 14:34:01.020112	125239	59	2	24
2014-03-31 14:34:01.252581	125240	16.1	1	24
2014-03-31 14:34:03.134441	125241	50	2	25
2014-03-31 14:34:03.356779	125242	17.1	1	25
2014-03-31 14:34:08.744406	125243	46	2	10
2014-03-31 14:34:08.976598	125244	17.9	1	10
2014-03-31 14:34:16.891077	125245	55	2	9
2014-03-31 14:34:17.113902	125246	19.1	1	9
2014-03-31 14:34:17.951873	125247	51	2	8
2014-03-31 14:34:18.196328	125248	18.9	1	8
2014-03-31 14:34:19.92075	125249	482	3	2
2014-03-31 14:34:20.144079	125250	1149707.2107517458	4	2
2014-03-31 14:34:28.75772	125251	59	2	1
2014-03-31 14:34:28.989329	125252	18.9	1	1
2014-03-31 14:34:31.919615	125253	498	3	2
2014-03-31 14:34:32.143466	125254	1149708.3597864674	4	2
2014-03-31 14:34:40.021248	125255	59	2	24
2014-03-31 14:34:40.254734	125256	16.1	1	24
2014-03-31 14:34:42.136336	125257	50	2	25
2014-03-31 14:34:42.35678	125258	17.0	1	25
2014-03-31 14:34:47.743832	125259	46	2	10
2014-03-31 14:34:47.976583	125260	17.9	1	10
2014-03-31 14:34:55.891491	125261	55	2	9
2014-03-31 14:34:56.113378	125262	19.1	1	9
2014-03-31 14:34:56.950036	125263	51	2	8
2014-03-31 14:34:57.181462	125264	18.9	1	8
2014-03-31 14:35:07.757749	125265	59	2	1
2014-03-31 14:35:07.979836	125266	18.9	1	1
2014-03-31 14:35:19.016202	125267	59	2	24
2014-03-31 14:35:19.250063	125268	16.1	1	24
2014-03-31 14:35:19.922545	125269	531	3	2
2014-03-31 14:35:20.143129	125270	1149715.2539947957	4	2
2014-03-31 14:35:21.132887	125271	50	2	25
2014-03-31 14:35:21.365761	125272	17.0	1	25
2014-03-31 14:35:26.745238	125273	46	2	10
2014-03-31 14:35:26.96728	125274	17.9	1	10
2014-03-31 14:35:31.924823	125275	498	3	2
2014-03-31 14:35:32.157648	125276	1149717.5520642386	4	2
2014-03-31 14:35:34.890531	125277	55	2	9
2014-03-31 14:35:35.113034	125278	19.1	1	9
2014-03-31 14:35:35.949546	125279	51	2	8
2014-03-31 14:35:36.181481	125280	18.9	1	8
2014-03-31 14:35:43.922074	125281	515	3	2
2014-03-31 14:35:44.14629	125282	1149718.7010989601	4	2
2014-03-31 14:35:46.759641	125283	59	2	1
2014-03-31 14:35:46.98929	125284	18.9	1	1
2014-03-31 14:35:58.016066	125285	59	2	24
2014-03-31 14:35:58.256983	125286	16.1	1	24
2014-03-31 14:36:00.130101	125287	50	2	25
2014-03-31 14:36:00.359928	125288	17.0	1	25
2014-03-31 14:36:05.74491	125289	46	2	10
2014-03-31 14:36:05.967602	125290	17.9	1	10
2014-03-31 14:36:13.890847	125291	55	2	9
2014-03-31 14:36:14.123927	125292	19.1	1	9
2014-03-31 14:36:14.950666	125293	51	2	8
2014-03-31 14:36:15.17258	125294	18.9	1	8
2014-03-31 14:36:25.760103	125295	59	2	1
2014-03-31 14:36:26.003629	125296	18.9	1	1
2014-03-31 14:36:31.920493	125297	515	3	2
2014-03-31 14:36:32.147246	125298	1149725.5953072885	4	2
2014-03-31 14:36:37.016561	125299	59	2	24
2014-03-31 14:36:37.254303	125300	16.1	1	24
2014-03-31 14:36:39.13176	125301	50	2	25
2014-03-31 14:36:39.355501	125302	17.0	1	25
2014-03-31 14:36:44.746192	125303	46	2	10
2014-03-31 14:36:44.978859	125304	17.9	1	10
2014-03-31 14:36:52.890169	125305	55	2	9
2014-03-31 14:36:53.112661	125306	19.1	1	9
2014-03-31 14:36:53.949129	125307	51	2	8
2014-03-31 14:36:54.181135	125308	18.9	1	8
2014-03-31 14:37:04.758208	125309	59	2	1
2014-03-31 14:37:04.978637	125310	18.9	1	1
2014-03-31 14:37:16.013903	125311	59	2	24
2014-03-31 14:37:16.245487	125312	16.1	1	24
2014-03-31 14:37:18.129692	125313	50	2	25
2014-03-31 14:37:18.352426	125314	17.0	1	25
2014-03-31 14:37:23.748484	125315	46	2	10
2014-03-31 14:37:23.983408	125316	17.9	1	10
2014-03-31 14:37:32.093496	125317	55	2	9
2014-03-31 14:37:32.316806	125318	19.1	1	9
2014-03-31 14:37:32.949417	125319	51	2	8
2014-03-31 14:37:33.181476	125320	18.9	1	8
2014-03-31 14:37:43.760677	125321	59	2	1
2014-03-31 14:37:43.983602	125322	18.9	1	1
2014-03-31 14:37:55.013915	125323	59	2	24
2014-03-31 14:37:55.248171	125324	16.1	1	24
2014-03-31 14:37:55.919272	125325	579	3	2
2014-03-31 14:37:56.144097	125326	1149738.234689224	4	2
2014-03-31 14:37:57.131833	125327	50	2	25
2014-03-31 14:37:57.361405	125328	17.0	1	25
2014-03-31 14:38:02.748727	125329	46	2	10
2014-03-31 14:38:02.969501	125330	17.9	1	10
2014-03-31 14:38:07.921401	125331	579	3	2
2014-03-31 14:38:08.153737	125332	1149739.3837239456	4	2
2014-03-31 14:38:10.890801	125333	55	2	9
2014-03-31 14:38:11.110481	125334	19.1	1	9
2014-03-31 14:38:11.950633	125335	51	2	8
2014-03-31 14:38:12.183524	125336	18.9	1	8
2014-03-31 14:38:19.923164	125337	547	3	2
2014-03-31 14:38:20.143683	125338	1149741.6817933884	4	2
2014-03-31 14:38:22.756607	125339	59	2	1
2014-03-31 14:38:22.990659	125340	18.9	1	1
2014-03-31 14:38:31.923919	125341	547	3	2
2014-03-31 14:38:32.144836	125342	1149743.9798628313	4	2
2014-03-31 14:38:34.014835	125343	59	2	24
2014-03-31 14:38:34.313172	125344	16.1	1	24
2014-03-31 14:38:36.131242	125345	51	2	25
2014-03-31 14:38:36.352539	125346	17.0	1	25
2014-03-31 14:38:41.745895	125347	46	2	10
2014-03-31 14:38:41.978975	125348	17.9	1	10
2014-03-31 14:38:49.890759	125349	55	2	9
2014-03-31 14:38:50.115162	125350	19.1	1	9
2014-03-31 14:38:50.951726	125351	51	2	8
2014-03-31 14:38:51.183526	125352	18.9	1	8
2014-03-31 14:39:01.756787	125353	59	2	1
2014-03-31 14:39:01.981093	125354	18.9	1	1
2014-03-31 14:39:07.920396	125355	579	3	2
2014-03-31 14:39:08.157307	125356	1149748.5760017168	4	2
2014-03-31 14:39:13.014551	125357	59	2	24
2014-03-31 14:39:13.239724	125358	16.1	1	24
2014-03-31 14:39:15.128217	125359	51	2	25
2014-03-31 14:39:15.359408	125360	17.0	1	25
2014-03-31 14:39:19.922368	125361	547	3	2
2014-03-31 14:39:20.144971	125362	1149750.8740711596	4	2
2014-03-31 14:39:20.745764	125363	46	2	10
2014-03-31 14:39:20.976166	125364	17.9	1	10
2014-03-31 14:39:28.891408	125365	55	2	9
2014-03-31 14:39:29.114445	125366	19.1	1	9
2014-03-31 14:39:29.950757	125367	51	2	8
2014-03-31 14:39:30.182715	125368	18.9	1	8
2014-03-31 14:39:31.924924	125369	547	3	2
2014-03-31 14:39:32.147503	125370	1149753.1721406025	4	2
2014-03-31 14:39:40.757036	125371	59	2	1
2014-03-31 14:39:40.986926	125372	18.9	1	1
2014-03-31 14:39:52.014375	125373	59	2	24
2014-03-31 14:39:52.237558	125374	16.1	1	24
2014-03-31 14:39:54.1291	125375	51	2	25
2014-03-31 14:39:54.361032	125376	17.0	1	25
2014-03-31 14:39:59.747075	125377	46	2	10
2014-03-31 14:39:59.9696	125378	17.9	1	10
2014-03-31 14:40:07.891941	125379	55	2	9
2014-03-31 14:40:08.123635	125380	19.1	1	9
2014-03-31 14:40:08.949716	125381	51	2	8
2014-03-31 14:40:09.172983	125382	18.9	1	8
2014-03-31 14:40:19.756158	125383	59	2	1
2014-03-31 14:40:19.989175	125384	18.9	1	1
2014-03-31 14:40:31.013638	125385	59	2	24
2014-03-31 14:40:31.237674	125386	16.1	1	24
2014-03-31 14:40:31.920512	125387	498	3	2
2014-03-31 14:40:32.153066	125388	1149761.2153836524	4	2
2014-03-31 14:40:33.130284	125389	51	2	25
2014-03-31 14:40:33.353246	125390	17.0	1	25
2014-03-31 14:40:38.748281	125391	46	2	10
2014-03-31 14:40:38.994324	125392	17.9	1	10
2014-03-31 14:40:46.891521	125393	55	2	9
2014-03-31 14:40:47.113133	125394	19.1	1	9
2014-03-31 14:40:47.952719	125395	51	2	8
2014-03-31 14:40:48.185652	125396	18.9	1	8
2014-03-31 14:40:58.754348	125397	59	2	1
2014-03-31 14:40:58.975866	125398	18.9	1	1
2014-03-31 14:41:10.016545	125399	59	2	24
2014-03-31 14:41:10.248059	125400	16.1	1	24
2014-03-31 14:41:12.128617	125401	51	2	25
2014-03-31 14:41:12.352722	125402	17.0	1	25
2014-03-31 14:41:17.75131	125403	46	2	10
2014-03-31 14:41:17.982308	125404	17.9	1	10
2014-03-31 14:41:25.890768	125405	55	2	9
2014-03-31 14:41:26.113294	125406	19.1	1	9
2014-03-31 14:41:26.949437	125407	51	2	8
2014-03-31 14:41:27.181811	125408	18.9	1	8
2014-03-31 14:41:31.922425	125409	482	3	2
2014-03-31 14:41:32.146979	125410	1149769.2630976546	4	2
2014-03-31 14:41:37.75385	125411	59	2	1
2014-03-31 14:41:37.993454	125412	18.9	1	1
2014-03-31 14:41:49.010179	125413	59	2	24
2014-03-31 14:41:49.232682	125414	16.1	1	24
2014-03-31 14:41:51.12918	125415	51	2	25
2014-03-31 14:41:51.360289	125416	17.0	1	25
2014-03-31 14:41:56.749384	125417	46	2	10
2014-03-31 14:41:56.970042	125418	17.9	1	10
2014-03-31 14:42:04.892108	125419	55	2	9
2014-03-31 14:42:05.123464	125420	19.1	1	9
2014-03-31 14:42:05.950415	125421	51	2	8
2014-03-31 14:42:06.172478	125422	18.9	1	8
2014-03-31 14:42:16.754792	125423	59	2	1
2014-03-31 14:42:16.986247	125424	18.9	1	1
2014-03-31 14:42:19.923553	125425	515	3	2
2014-03-31 14:42:20.144735	125426	1149776.1573059831	4	2
2014-03-31 14:42:28.010208	125427	59	2	24
2014-03-31 14:42:28.241648	125428	16.1	1	24
2014-03-31 14:42:30.128896	125429	50	2	25
2014-03-31 14:42:30.350921	125430	17.0	1	25
2014-03-31 14:42:31.921882	125431	466	3	2
2014-03-31 14:42:32.153165	125432	1149777.3063407044	4	2
2014-03-31 14:42:35.750685	125433	46	2	10
2014-03-31 14:42:35.973022	125434	17.9	1	10
2014-03-31 14:42:44.093345	125435	55	2	9
2014-03-31 14:42:44.327053	125436	19.1	1	9
2014-03-31 14:42:44.950642	125437	51	2	8
2014-03-31 14:42:45.172323	125438	18.9	1	8
2014-03-31 14:42:55.757873	125439	59	2	1
2014-03-31 14:42:56.002109	125440	18.9	1	1
2014-03-31 14:43:07.009855	125441	59	2	24
2014-03-31 14:43:07.231749	125442	16.1	1	24
2014-03-31 14:43:09.129895	125443	51	2	25
2014-03-31 14:43:09.366241	125444	17.0	1	25
2014-03-31 14:43:14.751916	125445	46	2	10
2014-03-31 14:43:14.978252	125446	17.9	1	10
2014-03-31 14:43:22.891679	125447	55	2	9
2014-03-31 14:43:23.124378	125448	19.1	1	9
2014-03-31 14:43:23.951468	125449	51	2	8
2014-03-31 14:43:24.173202	125450	18.9	1	8
2014-03-31 14:43:31.921898	125451	466	3	2
2014-03-31 14:43:32.153574	125452	1149785.3495837543	4	2
2014-03-31 14:43:34.755491	125453	59	2	1
2014-03-31 14:43:34.978729	125454	18.9	1	1
2014-03-31 14:43:46.010266	125455	60	2	24
2014-03-31 14:43:46.242852	125456	16.1	1	24
2014-03-31 14:43:48.129233	125457	51	2	25
2014-03-31 14:43:48.349507	125458	17.0	1	25
2014-03-31 14:43:53.750916	125459	46	2	10
2014-03-31 14:43:53.984337	125460	17.9	1	10
2014-03-31 14:44:01.892969	125461	55	2	9
2014-03-31 14:44:02.114719	125462	19.1	1	9
2014-03-31 14:44:02.953311	125463	51	2	8
2014-03-31 14:44:03.184014	125464	18.9	1	8
2014-03-31 14:44:13.757852	125465	59	2	1
2014-03-31 14:44:13.980742	125466	18.9	1	1
2014-03-31 14:44:25.011809	125467	59	2	24
2014-03-31 14:44:25.243206	125468	16.1	1	24
2014-03-31 14:44:27.128468	125469	51	2	25
2014-03-31 14:44:27.352582	125470	17.0	1	25
2014-03-31 14:44:31.922241	125471	466	3	2
2014-03-31 14:44:32.156961	125472	1149792.2437920829	4	2
2014-03-31 14:44:32.751584	125473	46	2	10
2014-03-31 14:44:32.97309	125474	17.9	1	10
2014-03-31 14:44:40.889936	125475	55	2	9
2014-03-31 14:44:41.123463	125476	19.1	1	9
2014-03-31 14:44:41.950545	125477	51	2	8
2014-03-31 14:44:42.172946	125478	18.9	1	8
2014-03-31 14:44:52.760843	125479	59	2	1
2014-03-31 14:44:52.993852	125480	18.9	1	1
2014-03-31 14:45:04.008873	125481	60	2	24
2014-03-31 14:45:04.232046	125482	16.1	1	24
2014-03-31 14:45:06.130827	125483	51	2	25
2014-03-31 14:45:06.362413	125484	17.0	1	25
2014-03-31 14:45:11.752692	125485	46	2	10
2014-03-31 14:45:11.974982	125486	17.9	1	10
2014-03-31 14:45:19.895042	125487	55	2	9
2014-03-31 14:45:20.139419	125488	19.1	1	9
2014-03-31 14:45:20.951334	125489	51	2	8
2014-03-31 14:45:21.173699	125490	18.9	1	8
2014-03-31 14:45:31.754863	125491	59	2	1
2014-03-31 14:45:31.985663	125492	18.9	1	1
2014-03-31 14:45:43.249312	125493	60	2	24
2014-03-31 14:45:43.500497	125494	16.1	1	24
2014-03-31 14:45:45.128155	125495	51	2	25
2014-03-31 14:45:45.395566	125496	17.0	1	25
2014-03-31 14:45:50.751775	125497	46	2	10
2014-03-31 14:45:51.004811	125498	17.9	1	10
2014-03-31 14:45:58.892165	125499	55	2	9
2014-03-31 14:45:59.159059	125500	19.1	1	9
2014-03-31 14:45:59.952533	125501	51	2	8
2014-03-31 14:46:00.208012	125502	18.8	1	8
2014-03-31 14:46:10.756188	125503	59	2	1
2014-03-31 14:46:11.026929	125504	18.9	1	1
2014-03-31 14:46:22.010122	125505	60	2	24
2014-03-31 14:46:22.232764	125506	16.1	1	24
2014-03-31 14:46:24.129686	125507	51	2	25
2014-03-31 14:46:24.363514	125508	17.0	1	25
2014-03-31 14:46:29.751549	125509	46	2	10
2014-03-31 14:46:29.974585	125510	17.8	1	10
2014-03-31 14:46:31.924415	125511	450	3	2
2014-03-31 14:46:32.156815	125512	1149808.3302781826	4	2
2014-03-31 14:46:37.892928	125513	55	2	9
2014-03-31 14:46:38.114447	125514	19.1	1	9
2014-03-31 14:46:38.952694	125515	51	2	8
2014-03-31 14:46:39.183792	125516	18.8	1	8
2014-03-31 14:46:49.751782	125517	59	2	1
2014-03-31 14:46:49.973705	125518	18.9	1	1
2014-03-31 14:47:01.007886	125519	60	2	24
2014-03-31 14:47:01.240783	125520	16.1	1	24
2014-03-31 14:47:03.130588	125521	51	2	25
2014-03-31 14:47:03.353266	125522	17.0	1	25
2014-03-31 14:47:08.752601	125523	46	2	10
2014-03-31 14:47:08.984855	125524	17.8	1	10
2014-03-31 14:47:16.895804	125525	55	2	9
2014-03-31 14:47:17.117993	125526	19.1	1	9
2014-03-31 14:47:17.95355	125527	51	2	8
2014-03-31 14:47:18.185814	125528	18.8	1	8
2014-03-31 14:47:28.754396	125529	59	2	1
2014-03-31 14:47:28.977366	125530	18.9	1	1
2014-03-31 14:47:31.924891	125531	450	3	2
2014-03-31 14:47:32.155418	125532	1149815.2244865112	4	2
2014-03-31 14:47:40.009254	125533	60	2	24
2014-03-31 14:47:40.23155	125534	16.1	1	24
2014-03-31 14:47:42.130067	125535	51	2	25
2014-03-31 14:47:42.371844	125536	17.0	1	25
2014-03-31 14:47:47.755043	125537	46	2	10
2014-03-31 14:47:47.977171	125538	17.8	1	10
2014-03-31 14:47:55.893344	125539	55	2	9
2014-03-31 14:47:56.126531	125540	19.1	1	9
2014-03-31 14:47:56.952848	125541	51	2	8
2014-03-31 14:47:57.174076	125542	18.8	1	8
2014-03-31 14:48:07.755623	125543	59	2	1
2014-03-31 14:48:07.987564	125544	18.9	1	1
2014-03-31 14:48:19.007619	125545	60	2	24
2014-03-31 14:48:19.228929	125546	16.1	1	24
2014-03-31 14:48:19.9245	125547	498	3	2
2014-03-31 14:48:20.156597	125548	1149822.1186948395	4	2
2014-03-31 14:48:21.129061	125549	51	2	25
2014-03-31 14:48:21.351501	125550	17.0	1	25
2014-03-31 14:48:26.754746	125551	46	2	10
2014-03-31 14:48:26.988057	125552	17.8	1	10
2014-03-31 14:48:34.893425	125553	55	2	9
2014-03-31 14:48:35.116267	125554	19.1	1	9
2014-03-31 14:48:35.954111	125555	51	2	8
2014-03-31 14:48:36.186657	125556	18.8	1	8
2014-03-31 14:48:46.754443	125557	59	2	1
2014-03-31 14:48:46.978086	125558	18.9	1	1
2014-03-31 14:48:58.006108	125559	60	2	24
2014-03-31 14:48:58.238242	125560	16.1	1	24
2014-03-31 14:49:00.129313	125561	51	2	25
2014-03-31 14:49:00.350075	125562	17.0	1	25
2014-03-31 14:49:05.754199	125563	46	2	10
2014-03-31 14:49:05.987652	125564	17.8	1	10
2014-03-31 14:49:13.895961	125565	55	2	9
2014-03-31 14:49:14.117559	125566	19.1	1	9
2014-03-31 14:49:14.955306	125567	51	2	8
2014-03-31 14:49:15.186356	125568	18.8	1	8
2014-03-31 14:49:25.755084	125569	59	2	1
2014-03-31 14:49:25.979097	125570	18.9	1	1
2014-03-31 14:49:31.934876	125571	515	3	2
2014-03-31 14:49:32.16876	125572	1149832.4600073323	4	2
2014-03-31 14:49:37.008048	125573	60	2	24
2014-03-31 14:49:37.236302	125574	16.1	1	24
2014-03-31 14:49:39.130496	125575	51	2	25
2014-03-31 14:49:39.360305	125576	17.0	1	25
2014-03-31 14:49:44.754504	125577	46	2	10
2014-03-31 14:49:44.977878	125578	17.8	1	10
2014-03-31 14:49:52.893924	125579	55	2	9
2014-03-31 14:49:53.12869	125580	19.1	1	9
2014-03-31 14:49:53.95387	125581	51	2	8
2014-03-31 14:49:54.177463	125582	18.8	1	8
2014-03-31 14:50:04.754925	125583	59	2	1
2014-03-31 14:50:05.00159	125584	18.9	1	1
2014-03-31 14:50:16.046813	125585	60	2	24
2014-03-31 14:50:16.269367	125586	16.1	1	24
2014-03-31 14:50:18.131748	125587	51	2	25
2014-03-31 14:50:18.362155	125588	17.0	1	25
2014-03-31 14:50:23.755047	125589	46	2	10
2014-03-31 14:50:23.976774	125590	17.8	1	10
2014-03-31 14:50:32.752508	125591	55	2	9
2014-03-31 14:50:32.985243	125592	19.1	1	9
2014-03-31 14:50:33.291292	125593	51	2	8
2014-03-31 14:50:33.513207	125594	18.8	1	8
2014-03-31 14:50:43.752388	125595	59	2	1
2014-03-31 14:50:43.983627	125596	18.9	1	1
2014-03-31 14:50:55.005353	125597	60	2	24
2014-03-31 14:50:55.229264	125598	16.1	1	24
2014-03-31 14:50:57.128805	125599	51	2	25
2014-03-31 14:50:57.359335	125600	17.0	1	25
2014-03-31 14:51:02.75418	125601	46	2	10
2014-03-31 14:51:02.976787	125602	17.8	1	10
2014-03-31 14:51:10.895303	125603	55	2	9
2014-03-31 14:51:11.127564	125604	19.1	1	9
2014-03-31 14:51:11.952858	125605	51	2	8
2014-03-31 14:51:12.175074	125606	18.8	1	8
2014-03-31 14:51:22.752703	125607	59	2	1
2014-03-31 14:51:22.985041	125608	18.9	1	1
2014-03-31 14:51:31.926209	125609	515	3	2
2014-03-31 14:51:32.14779	125610	1149849.6955281536	4	2
2014-03-31 14:51:34.004183	125611	60	2	24
2014-03-31 14:51:34.239016	125612	16.1	1	24
2014-03-31 14:51:36.130729	125613	51	2	25
2014-03-31 14:51:36.354467	125614	17.0	1	25
2014-03-31 14:51:41.756011	125615	46	2	10
2014-03-31 14:51:41.98814	125616	17.8	1	10
2014-03-31 14:51:49.894647	125617	55	2	9
2014-03-31 14:51:50.117976	125618	19.1	1	9
2014-03-31 14:51:50.953636	125619	51	2	8
2014-03-31 14:51:51.185425	125620	18.8	1	8
2014-03-31 14:52:01.754426	125621	59	2	1
2014-03-31 14:52:01.977755	125622	18.9	1	1
2014-03-31 14:52:13.004896	125623	60	2	24
2014-03-31 14:52:13.237014	125624	16.1	1	24
2014-03-31 14:52:15.130452	125625	51	2	25
2014-03-31 14:52:15.351493	125626	17.0	1	25
2014-03-31 14:52:20.75646	125627	46	2	10
2014-03-31 14:52:20.9911	125628	17.8	1	10
2014-03-31 14:52:28.895528	125629	55	2	9
2014-03-31 14:52:29.118766	125630	19.1	1	9
2014-03-31 14:52:29.954928	125631	51	2	8
2014-03-31 14:52:30.199099	125632	18.8	1	8
2014-03-31 14:52:31.923437	125633	498	3	2
2014-03-31 14:52:32.150373	125634	1149857.7387712034	4	2
2014-03-31 14:52:40.7541	125635	59	2	1
2014-03-31 14:52:40.987078	125636	18.9	1	1
2014-03-31 14:52:43.92319	125637	466	3	2
2014-03-31 14:52:44.146341	125638	1149858.887805925	4	2
2014-03-31 14:52:52.003095	125639	60	2	24
2014-03-31 14:52:52.235325	125640	16.1	1	24
2014-03-31 14:52:54.130147	125641	51	2	25
2014-03-31 14:52:54.35164	125642	17.0	1	25
2014-03-31 14:52:55.925323	125643	466	3	2
2014-03-31 14:52:56.158149	125644	1149861.1858753678	4	2
2014-03-31 14:52:59.757522	125645	46	2	10
2014-03-31 14:52:59.979056	125646	17.8	1	10
2014-03-31 14:53:07.894975	125647	55	2	9
2014-03-31 14:53:08.130352	125648	19.1	1	9
2014-03-31 14:53:08.955075	125649	51	2	8
2014-03-31 14:53:09.176566	125650	18.8	1	8
2014-03-31 14:53:19.993229	125651	59	2	1
2014-03-31 14:53:20.225507	125652	18.9	1	1
2014-03-31 14:53:31.004403	125653	60	2	24
2014-03-31 14:53:31.226404	125654	16.1	1	24
2014-03-31 14:53:32.912255	125655	466	3	2
2014-03-31 14:53:33.145175	125656	1149865.7820142533	4	2
2014-03-31 14:53:33.45122	125657	51	2	25
2014-03-31 14:53:33.675423	125658	17.0	1	25
2014-03-31 14:53:38.762259	125659	46	2	10
2014-03-31 14:53:38.994177	125660	17.8	1	10
2014-03-31 14:53:46.895775	125661	55	2	9
2014-03-31 14:53:47.118738	125662	19.1	1	9
2014-03-31 14:53:47.954472	125663	51	2	8
2014-03-31 14:53:48.186255	125664	18.8	1	8
2014-03-31 14:53:58.754743	125665	59	2	1
2014-03-31 14:53:58.985525	125666	18.9	1	1
2014-03-31 14:54:10.007738	125667	60	2	24
2014-03-31 14:54:10.239085	125668	16.1	1	24
2014-03-31 14:54:12.127001	125669	51	2	25
2014-03-31 14:54:12.348132	125670	17.0	1	25
2014-03-31 14:54:17.758323	125671	46	2	10
2014-03-31 14:54:17.99558	125672	17.8	1	10
2014-03-31 14:54:25.899486	125673	55	2	9
2014-03-31 14:54:26.120305	125674	19.1	1	9
2014-03-31 14:54:26.954124	125675	51	2	8
2014-03-31 14:54:27.184957	125676	18.8	1	8
2014-03-31 14:54:37.791394	125677	59	2	1
2014-03-31 14:54:38.014816	125678	18.9	1	1
2014-03-31 14:54:49.004629	125679	60	2	24
2014-03-31 14:54:49.248672	125680	16.1	1	24
2014-03-31 14:54:51.1304	125681	51	2	25
2014-03-31 14:54:51.353861	125682	17.0	1	25
2014-03-31 14:54:56.759191	125683	46	2	10
2014-03-31 14:54:56.992814	125684	17.8	1	10
2014-03-31 14:55:04.895113	125685	55	2	9
2014-03-31 14:55:05.118664	125686	19.1	1	9
2014-03-31 14:55:05.957609	125687	51	2	8
2014-03-31 14:55:06.209042	125688	18.8	1	8
2014-03-31 14:55:16.88	125689	59	2	1
2014-03-31 14:55:17.309962	125690	18.9	1	1
2014-03-31 14:55:28.139911	125691	60	2	24
2014-03-31 14:55:28.580944	125692	16.1	1	24
2014-03-31 14:55:30.261106	125693	51	2	25
2014-03-31 14:55:30.680038	125694	17.0	1	25
2014-03-31 14:55:31.9272	125695	466	3	2
2014-03-31 14:55:32.160572	125696	1149880.7194656318	4	2
2014-03-31 14:55:35.759603	125697	46	2	10
2014-03-31 14:55:35.98321	125698	17.8	1	10
2014-03-31 14:55:43.896219	125699	55	2	9
2014-03-31 14:55:44.130071	125700	19.1	1	9
2014-03-31 14:55:44.955334	125701	51	2	8
2014-03-31 14:55:45.178647	125702	18.8	1	8
2014-03-31 14:55:55.753822	125703	59	2	1
2014-03-31 14:55:55.985073	125704	18.9	1	1
2014-03-31 14:56:07.004267	125705	60	2	24
2014-03-31 14:56:07.22956	125706	16.1	1	24
2014-03-31 14:56:09.131406	125707	51	2	25
2014-03-31 14:56:09.362396	125708	17.0	1	25
2014-03-31 14:56:14.759722	125709	46	2	10
2014-03-31 14:56:14.981397	125710	17.8	1	10
2014-03-31 14:56:22.895462	125711	55	2	9
2014-03-31 14:56:23.130144	125712	19.1	1	9
2014-03-31 14:56:23.954761	125713	51	2	8
2014-03-31 14:56:24.185109	125714	18.8	1	8
2014-03-31 14:56:31.925425	125715	466	3	2
2014-03-31 14:56:32.158633	125716	1149888.7627086816	4	2
2014-03-31 14:56:34.8082	125717	59	2	1
2014-03-31 14:56:35.032607	125718	18.9	1	1
2014-03-31 14:56:46.001669	125719	60	2	24
2014-03-31 14:56:46.23332	125720	16.1	1	24
2014-03-31 14:56:48.128569	125721	51	2	25
2014-03-31 14:56:48.352426	125722	17.0	1	25
2014-03-31 14:56:53.760453	125723	46	2	10
2014-03-31 14:56:53.994157	125724	17.8	1	10
2014-03-31 14:57:01.897132	125725	55	2	9
2014-03-31 14:57:02.12003	125726	19.1	1	9
2014-03-31 14:57:02.957213	125727	51	2	8
2014-03-31 14:57:03.204482	125728	18.8	1	8
2014-03-31 14:57:13.752404	125729	59	2	1
2014-03-31 14:57:13.97423	125730	18.9	1	1
2014-03-31 14:57:25.000559	125731	60	2	24
2014-03-31 14:57:25.233146	125732	16.1	1	24
2014-03-31 14:57:27.127742	125733	51	2	25
2014-03-31 14:57:27.348859	125734	17.0	1	25
2014-03-31 14:57:31.925296	125735	466	3	2
2014-03-31 14:57:32.157517	125736	1149896.8059517315	4	2
2014-03-31 14:57:32.966375	125737	46	2	10
2014-03-31 14:57:33.187368	125738	17.8	1	10
2014-03-31 14:57:41.958086	125739	51	2	8
2014-03-31 14:57:42.193558	125740	18.8	1	8
2014-03-31 14:57:52.751994	125741	59	2	1
2014-03-31 14:57:52.9733	125742	18.9	1	1
2014-03-31 14:58:03.998665	125743	60	2	24
2014-03-31 14:58:04.233214	125744	16.1	1	24
2014-03-31 14:58:06.129225	125745	51	2	25
2014-03-31 14:58:06.351391	125746	17.0	1	25
2014-03-31 14:58:07.927477	125747	498	3	2
2014-03-31 14:58:08.159357	125748	1149901.4020906172	4	2
2014-03-31 14:58:11.760297	125749	46	2	10
2014-03-31 14:58:11.981583	125750	17.8	1	10
2014-03-31 14:58:20.100861	125751	55	2	9
2014-03-31 14:58:20.333533	125752	19.1	1	9
2014-03-31 14:58:20.956722	125753	51	2	8
2014-03-31 14:58:21.178737	125754	18.8	1	8
2014-03-31 14:58:31.750796	125755	59	2	1
2014-03-31 14:58:31.983397	125756	18.9	1	1
2014-03-31 14:58:42.997844	125757	60	2	24
2014-03-31 14:58:43.220109	125758	16.1	1	24
2014-03-31 14:58:45.129546	125759	51	2	25
2014-03-31 14:58:45.360719	125760	17.0	1	25
2014-03-31 14:58:50.762354	125761	46	2	10
2014-03-31 14:58:50.986554	125762	17.8	1	10
2014-03-31 14:58:58.899169	125763	55	2	9
2014-03-31 14:58:59.130883	125764	19.1	1	9
2014-03-31 14:58:59.955402	125765	51	2	8
2014-03-31 14:59:00.176989	125766	18.8	1	8
2014-03-31 14:59:10.753686	125767	58	2	1
2014-03-31 14:59:10.985394	125768	18.9	1	1
2014-03-31 14:59:21.999617	125769	60	2	24
2014-03-31 14:59:22.222017	125770	16.1	1	24
2014-03-31 14:59:24.129479	125771	51	2	25
2014-03-31 14:59:24.363755	125772	17.0	1	25
2014-03-31 14:59:29.76353	125773	46	2	10
2014-03-31 14:59:29.985868	125774	17.8	1	10
2014-03-31 14:59:31.927327	125775	498	3	2
2014-03-31 14:59:32.169097	125776	1149912.8924378315	4	2
2014-03-31 14:59:37.900871	125777	55	2	9
2014-03-31 14:59:38.122627	125778	19.1	1	9
2014-03-31 14:59:38.95465	125779	51	2	8
2014-03-31 14:59:39.187697	125780	18.8	1	8
2014-03-31 14:59:49.750185	125781	58	2	1
2014-03-31 14:59:49.974958	125782	18.9	1	1
2014-03-31 15:00:01.040013	125783	60	2	24
2014-03-31 15:00:01.271663	125784	16.1	1	24
2014-03-31 15:00:03.12874	125785	51	2	25
2014-03-31 15:00:03.349388	125786	17.0	1	25
2014-03-31 15:00:08.761402	125787	46	2	10
2014-03-31 15:00:08.99525	125788	17.8	1	10
2014-03-31 15:00:16.899325	125789	55	2	9
2014-03-31 15:00:17.122518	125790	19.1	1	9
2014-03-31 15:00:17.958519	125791	51	2	8
2014-03-31 15:00:18.189446	125792	18.8	1	8
2014-03-31 15:00:28.750068	125793	58	2	1
2014-03-31 15:00:28.974247	125794	18.9	1	1
2014-03-31 15:00:31.927639	125795	515	3	2
2014-03-31 15:00:32.159443	125796	1149922.0847156027	4	2
2014-03-31 15:00:40.004974	125797	60	2	24
2014-03-31 15:00:40.227991	125798	16.1	1	24
2014-03-31 15:00:42.128664	125799	51	2	25
2014-03-31 15:00:42.359319	125800	17.0	1	25
2014-03-31 15:00:47.762416	125801	46	2	10
2014-03-31 15:00:47.984976	125802	17.8	1	10
2014-03-31 15:00:55.897088	125803	55	2	9
2014-03-31 15:00:56.130685	125804	19.1	1	9
2014-03-31 15:00:56.956504	125805	51	2	8
2014-03-31 15:00:57.182578	125806	18.8	1	8
2014-03-31 15:01:07.74841	125807	58	2	1
2014-03-31 15:01:07.981099	125808	18.9	1	1
2014-03-31 15:01:18.998245	125809	60	2	24
2014-03-31 15:01:19.222267	125810	16.1	1	24
2014-03-31 15:01:21.129637	125811	51	2	25
2014-03-31 15:01:21.361154	125812	17.0	1	25
2014-03-31 15:01:26.762173	125813	46	2	10
2014-03-31 15:01:26.984846	125814	17.8	1	10
2014-03-31 15:01:31.926269	125815	498	3	2
2014-03-31 15:01:32.164668	125816	1149930.1279586526	4	2
2014-03-31 15:01:34.950907	125817	55	2	9
2014-03-31 15:01:35.17587	125818	19.1	1	9
2014-03-31 15:01:35.957905	125819	51	2	8
2014-03-31 15:01:36.192223	125820	18.8	1	8
2014-03-31 15:01:46.750643	125821	58	2	1
2014-03-31 15:01:46.972855	125822	19.0	1	1
2014-03-31 15:01:57.997554	125823	60	2	24
2014-03-31 15:01:58.24336	125824	16.1	1	24
2014-03-31 15:02:00.12801	125825	51	2	25
2014-03-31 15:02:00.35094	125826	17.0	1	25
2014-03-31 15:02:05.761736	125827	46	2	10
2014-03-31 15:02:05.993851	125828	17.8	1	10
2014-03-31 15:02:13.899524	125829	55	2	9
2014-03-31 15:02:14.123116	125830	19.1	1	9
2014-03-31 15:02:14.957016	125831	51	2	8
2014-03-31 15:02:15.188278	125832	18.8	1	8
2014-03-31 15:02:25.752655	125833	58	2	1
2014-03-31 15:02:25.976055	125834	19.0	1	1
2014-03-31 15:02:31.928052	125835	498	3	2
2014-03-31 15:02:32.160132	125836	1149938.1712017024	4	2
2014-03-31 15:02:36.996533	125837	60	2	24
2014-03-31 15:02:37.228813	125838	16.1	1	24
2014-03-31 15:02:39.127758	125839	51	2	25
2014-03-31 15:02:39.36302	125840	17.0	1	25
2014-03-31 15:02:44.762146	125841	46	2	10
2014-03-31 15:02:44.988252	125842	17.7	1	10
2014-03-31 15:02:52.898659	125843	55	2	9
2014-03-31 15:02:53.131171	125844	19.1	1	9
2014-03-31 15:02:53.956624	125845	51	2	8
2014-03-31 15:02:54.178854	125846	18.8	1	8
2014-03-31 15:03:04.749028	125847	58	2	1
2014-03-31 15:03:05.03729	125848	19.0	1	1
2014-03-31 15:03:15.995382	125849	60	2	24
2014-03-31 15:03:16.21751	125850	16.1	1	24
2014-03-31 15:03:18.128997	125851	50	2	25
2014-03-31 15:03:18.360164	125852	17.0	1	25
2014-03-31 15:03:23.763629	125853	46	2	10
2014-03-31 15:03:23.985948	125854	17.8	1	10
2014-03-31 15:03:32.101933	125855	55	2	9
2014-03-31 15:03:32.333219	125856	19.1	1	9
2014-03-31 15:03:32.958084	125857	51	2	8
2014-03-31 15:03:33.181166	125858	18.8	1	8
2014-03-31 15:03:43.751218	125859	58	2	1
2014-03-31 15:03:43.983776	125860	19.0	1	1
2014-03-31 15:03:54.996343	125861	60	2	24
2014-03-31 15:03:55.227918	125862	16.1	1	24
2014-03-31 15:03:57.128148	125863	50	2	25
2014-03-31 15:03:57.358994	125864	17.0	1	25
2014-03-31 15:04:02.766452	125865	46	2	10
2014-03-31 15:04:02.989334	125866	17.7	1	10
2014-03-31 15:04:10.898256	125867	55	2	9
2014-03-31 15:04:11.131246	125868	19.1	1	9
2014-03-31 15:04:11.957627	125869	51	2	8
2014-03-31 15:04:12.179672	125870	18.8	1	8
2014-03-31 15:04:22.751869	125871	58	2	1
2014-03-31 15:04:22.995536	125872	19.0	1	1
2014-03-31 15:04:31.92805	125873	498	3	2
2014-03-31 15:04:32.154115	125874	1149955.4067225237	4	2
2014-03-31 15:04:33.996531	125875	60	2	24
2014-03-31 15:04:34.229403	125876	16.1	1	24
2014-03-31 15:04:36.1286	125877	50	2	25
2014-03-31 15:04:36.349785	125878	17.0	1	25
2014-03-31 15:04:41.766587	125879	46	2	10
2014-03-31 15:04:41.998718	125880	17.7	1	10
2014-03-31 15:04:43.925571	125881	450	3	2
2014-03-31 15:04:44.148324	125882	1149956.5557572453	4	2
2014-03-31 15:04:49.898315	125883	55	2	9
2014-03-31 15:04:50.132176	125884	19.1	1	9
2014-03-31 15:04:50.957815	125885	51	2	8
2014-03-31 15:04:51.17985	125886	18.8	1	8
2014-03-31 15:04:55.929121	125887	450	3	2
2014-03-31 15:04:56.167008	125888	1149958.8538266881	4	2
2014-03-31 15:05:01.749347	125889	58	2	1
2014-03-31 15:05:01.977108	125890	19.0	1	1
2014-03-31 15:05:12.993555	125891	60	2	24
2014-03-31 15:05:13.226887	125892	16.1	1	24
2014-03-31 15:05:15.129188	125893	50	2	25
2014-03-31 15:05:15.350086	125894	17.0	1	25
2014-03-31 15:05:20.764597	125895	46	2	10
2014-03-31 15:05:20.996901	125896	17.7	1	10
2014-03-31 15:05:28.899811	125897	55	2	9
2014-03-31 15:05:29.123092	125898	19.1	1	9
2014-03-31 15:05:29.962334	125899	51	2	8
2014-03-31 15:05:30.194687	125900	18.8	1	8
2014-03-31 15:05:31.929649	125901	450	3	2
2014-03-31 15:05:32.153204	125902	1149963.4499655736	4	2
2014-03-31 15:05:40.751331	125903	58	2	1
2014-03-31 15:05:40.990755	125904	18.9	1	1
2014-03-31 15:05:51.996608	125905	60	2	24
2014-03-31 15:05:52.220171	125906	16.1	1	24
2014-03-31 15:05:54.13049	125907	50	2	25
2014-03-31 15:05:54.361464	125908	17.0	1	25
2014-03-31 15:05:59.765319	125909	46	2	10
2014-03-31 15:05:59.987996	125910	17.7	1	10
2014-03-31 15:06:07.89753	125911	55	2	9
2014-03-31 15:06:08.131529	125912	19.1	1	9
2014-03-31 15:06:08.957462	125913	51	2	8
2014-03-31 15:06:09.182381	125914	18.8	1	8
2014-03-31 15:06:19.749371	125915	58	2	1
2014-03-31 15:06:19.982258	125916	18.9	1	1
2014-03-31 15:06:30.995595	125917	60	2	24
2014-03-31 15:06:31.219344	125918	16.1	1	24
2014-03-31 15:06:31.927512	125919	450	3	2
2014-03-31 15:06:32.171657	125920	1149971.4932086235	4	2
2014-03-31 15:06:33.131763	125921	50	2	25
2014-03-31 15:06:33.352855	125922	17.0	1	25
2014-03-31 15:06:38.766348	125923	46	2	10
2014-03-31 15:06:39.188834	125924	17.7	1	10
2014-03-31 15:06:46.901442	125925	55	2	9
2014-03-31 15:06:47.131992	125926	19.1	1	9
2014-03-31 15:06:47.959424	125927	51	2	8
2014-03-31 15:06:48.182595	125928	18.8	1	8
2014-03-31 15:06:58.747334	125929	58	2	1
2014-03-31 15:06:58.979844	125930	18.9	1	1
2014-03-31 15:07:09.993922	125931	60	2	24
2014-03-31 15:07:10.224721	125932	16.1	1	24
2014-03-31 15:07:12.126364	125933	51	2	25
2014-03-31 15:07:12.361133	125934	17.0	1	25
2014-03-31 15:07:17.765965	125935	46	2	10
2014-03-31 15:07:17.986954	125936	17.7	1	10
2014-03-31 15:07:25.899477	125937	55	2	9
2014-03-31 15:07:26.133172	125938	19.1	1	9
2014-03-31 15:07:26.958302	125939	51	2	8
2014-03-31 15:07:27.199596	125940	18.8	1	8
2014-03-31 15:07:31.929269	125941	450	3	2
2014-03-31 15:07:32.163596	125942	1149978.387416952	4	2
2014-03-31 15:07:37.748663	125943	58	2	1
2014-03-31 15:07:37.973691	125944	18.9	1	1
2014-03-31 15:07:48.992969	125945	60	2	24
2014-03-31 15:07:49.223886	125946	16.1	1	24
2014-03-31 15:07:51.127809	125947	51	2	25
2014-03-31 15:07:51.352148	125948	17.0	1	25
2014-03-31 15:07:56.765829	125949	46	2	10
2014-03-31 15:07:56.997742	125950	17.7	1	10
2014-03-31 15:08:04.899712	125951	55	2	9
2014-03-31 15:08:05.17833	125952	19.1	1	9
2014-03-31 15:08:05.959422	125953	51	2	8
2014-03-31 15:08:06.190404	125954	18.8	1	8
2014-03-31 15:08:16.749086	125955	58	2	1
2014-03-31 15:08:16.971882	125956	18.9	1	1
2014-03-31 15:08:27.991914	125957	60	2	24
2014-03-31 15:08:28.223727	125958	16.1	1	24
2014-03-31 15:08:30.126175	125959	51	2	25
2014-03-31 15:08:30.348524	125960	17.0	1	25
2014-03-31 15:08:31.929075	125961	450	3	2
2014-03-31 15:08:32.160348	125962	1149986.430660002	4	2
2014-03-31 15:08:35.766825	125963	46	2	10
2014-03-31 15:08:35.989097	125964	17.7	1	10
2014-03-31 15:08:43.899898	125965	55	2	9
2014-03-31 15:08:44.131331	125966	19.1	1	9
2014-03-31 15:08:44.958508	125967	51	2	8
2014-03-31 15:08:45.182459	125968	18.8	1	8
2014-03-31 15:08:55.748285	125969	58	2	1
2014-03-31 15:08:55.988703	125970	18.9	1	1
2014-03-31 15:09:06.992154	125971	60	2	24
2014-03-31 15:09:07.213611	125972	16.1	1	24
2014-03-31 15:09:09.12695	125973	50	2	25
2014-03-31 15:09:09.358584	125974	17.0	1	25
2014-03-31 15:09:14.766391	125975	46	2	10
2014-03-31 15:09:14.987219	125976	17.7	1	10
2014-03-31 15:09:22.897822	125977	55	2	9
2014-03-31 15:09:23.12873	125978	19.1	1	9
2014-03-31 15:09:23.958815	125979	51	2	8
2014-03-31 15:09:24.179304	125980	18.8	1	8
2014-03-31 15:09:31.928862	125981	450	3	2
2014-03-31 15:09:32.160279	125982	1149994.4739030518	4	2
2014-03-31 15:09:34.750439	125983	58	2	1
2014-03-31 15:09:34.970919	125984	18.9	1	1
2014-03-31 15:09:45.992277	125985	60	2	24
2014-03-31 15:09:46.225291	125986	16.1	1	24
2014-03-31 15:09:48.127465	125987	50	2	25
2014-03-31 15:09:48.349426	125988	17.0	1	25
2014-03-31 15:09:53.767308	125989	46	2	10
2014-03-31 15:09:53.999671	125990	17.7	1	10
2014-03-31 15:10:01.898673	125991	55	2	9
2014-03-31 15:10:02.121191	125992	19.1	1	9
2014-03-31 15:10:02.959285	125993	51	2	8
2014-03-31 15:10:03.190578	125994	18.8	1	8
2014-03-31 15:10:13.749071	125995	58	2	1
2014-03-31 15:10:13.973279	125996	18.9	1	1
2014-03-31 15:10:24.990728	125997	60	2	24
2014-03-31 15:10:25.221843	125998	16.0	1	24
2014-03-31 15:10:27.127028	125999	51	2	25
2014-03-31 15:10:27.349687	126000	17.0	1	25
2014-03-31 15:10:32.767204	126001	46	2	10
2014-03-31 15:10:33.005406	126002	17.7	1	10
2014-03-31 15:10:40.90051	126003	55	2	9
2014-03-31 15:10:41.122516	126004	19.1	1	9
2014-03-31 15:10:41.960392	126005	51	2	8
2014-03-31 15:10:42.19115	126006	18.8	1	8
2014-03-31 15:10:43.930085	126007	498	3	2
2014-03-31 15:10:44.153832	126008	1150003.6661808232	4	2
2014-03-31 15:10:52.748465	126009	58	2	1
2014-03-31 15:10:52.983768	126010	18.9	1	1
2014-03-31 15:10:55.930179	126011	498	3	2
2014-03-31 15:10:56.151373	126012	1150004.8152155445	4	2
2014-03-31 15:11:03.992491	126013	60	2	24
2014-03-31 15:11:04.225997	126014	16.0	1	24
2014-03-31 15:11:06.126469	126015	51	2	25
2014-03-31 15:11:06.348723	126016	17.0	1	25
2014-03-31 15:11:11.768301	126017	46	2	10
2014-03-31 15:11:12.010286	126018	17.7	1	10
2014-03-31 15:11:19.899342	126019	55	2	9
2014-03-31 15:11:20.123506	126020	19.1	1	9
2014-03-31 15:11:20.960135	126021	51	2	8
2014-03-31 15:11:21.193612	126022	18.8	1	8
2014-03-31 15:11:31.747835	126023	58	2	1
2014-03-31 15:11:31.971153	126024	18.9	1	1
2014-03-31 15:11:42.991553	126025	60	2	24
2014-03-31 15:11:43.223962	126026	16.0	1	24
2014-03-31 15:11:45.127371	126027	50	2	25
2014-03-31 15:11:45.347845	126028	17.0	1	25
2014-03-31 15:11:50.769715	126029	46	2	10
2014-03-31 15:11:51.002145	126030	17.7	1	10
2014-03-31 15:11:58.900569	126031	55	2	9
2014-03-31 15:11:59.124999	126032	19.1	1	9
2014-03-31 15:11:59.959055	126033	51	2	8
2014-03-31 15:12:00.193394	126034	18.8	1	8
2014-03-31 15:12:10.749414	126035	58	2	1
2014-03-31 15:12:10.977432	126036	18.9	1	1
2014-03-31 15:12:21.989644	126037	60	2	24
2014-03-31 15:12:22.240748	126038	16.0	1	24
2014-03-31 15:12:24.126308	126039	50	2	25
2014-03-31 15:12:24.347659	126040	17.0	1	25
2014-03-31 15:12:29.771718	126041	46	2	10
2014-03-31 15:12:30.005736	126042	17.7	1	10
2014-03-31 15:12:31.929743	126043	498	3	2
2014-03-31 15:12:32.15116	126044	1150018.6036322017	4	2
2014-03-31 15:12:37.900336	126045	55	2	9
2014-03-31 15:12:38.133629	126046	19.1	1	9
2014-03-31 15:12:38.960724	126047	51	2	8
2014-03-31 15:12:39.184642	126048	18.8	1	8
2014-03-31 15:12:49.745817	126049	58	2	1
2014-03-31 15:12:49.979016	126050	18.9	1	1
2014-03-31 15:13:00.989576	126051	60	2	24
2014-03-31 15:13:01.220193	126052	16.0	1	24
2014-03-31 15:13:03.125774	126053	50	2	25
2014-03-31 15:13:03.356284	126054	17.0	1	25
2014-03-31 15:13:08.769373	126055	46	2	10
2014-03-31 15:13:08.99135	126056	17.7	1	10
2014-03-31 15:13:16.902962	126057	55	2	9
2014-03-31 15:13:17.136118	126058	19.0	1	9
2014-03-31 15:13:17.959733	126059	51	2	8
2014-03-31 15:13:18.181721	126060	18.8	1	8
2014-03-31 15:13:28.748169	126061	58	2	1
2014-03-31 15:13:28.979463	126062	18.9	1	1
2014-03-31 15:13:31.928999	126063	515	3	2
2014-03-31 15:13:32.150341	126064	1150026.6468752516	4	2
2014-03-31 15:13:39.990403	126065	60	2	24
2014-03-31 15:13:40.232978	126066	16.0	1	24
2014-03-31 15:13:42.125729	126067	50	2	25
2014-03-31 15:13:42.34719	126068	17.0	1	25
2014-03-31 15:13:47.769515	126069	46	2	10
2014-03-31 15:13:47.998677	126070	17.7	1	10
2014-03-31 15:13:55.902583	126071	55	2	9
2014-03-31 15:13:56.125238	126072	19.0	1	9
2014-03-31 15:13:56.959596	126073	51	2	8
2014-03-31 15:13:57.189415	126074	18.8	1	8
2014-03-31 15:14:07.74806	126075	58	2	1
2014-03-31 15:14:07.969447	126076	18.9	1	1
2014-03-31 15:14:18.98718	126077	60	2	24
2014-03-31 15:14:19.219619	126078	16.0	1	24
2014-03-31 15:14:21.125195	126079	50	2	25
2014-03-31 15:14:21.345387	126080	17.0	1	25
2014-03-31 15:14:26.770354	126081	46	2	10
2014-03-31 15:14:27.001356	126082	17.7	1	10
2014-03-31 15:14:31.930169	126083	498	3	2
2014-03-31 15:14:32.15584	126084	1150035.8391530227	4	2
2014-03-31 15:14:34.899687	126085	55	2	9
2014-03-31 15:14:35.130801	126086	19.0	1	9
2014-03-31 15:14:35.959518	126087	51	2	8
2014-03-31 15:14:36.180969	126088	18.8	1	8
2014-03-31 15:14:46.746316	126089	58	2	1
2014-03-31 15:14:46.978249	126090	18.9	1	1
2014-03-31 15:14:57.986016	126091	60	2	24
2014-03-31 15:14:58.206532	126092	16.0	1	24
2014-03-31 15:15:00.125588	126093	50	2	25
2014-03-31 15:15:00.356147	126094	17.0	1	25
2014-03-31 15:15:05.771644	126095	46	2	10
2014-03-31 15:15:05.994485	126096	17.7	1	10
2014-03-31 15:15:13.903517	126097	55	2	9
2014-03-31 15:15:14.135409	126098	19.0	1	9
2014-03-31 15:15:14.960168	126099	51	2	8
2014-03-31 15:15:15.182447	126100	18.8	1	8
2014-03-31 15:15:25.748673	126101	58	2	1
2014-03-31 15:15:25.981443	126102	18.9	1	1
2014-03-31 15:15:31.934462	126103	498	3	2
2014-03-31 15:15:32.156987	126104	1150043.8823960728	4	2
2014-03-31 15:15:36.990251	126105	60	2	24
2014-03-31 15:15:37.227314	126106	16.0	1	24
2014-03-31 15:15:39.126947	126107	50	2	25
2014-03-31 15:15:39.348255	126108	17.0	1	25
2014-03-31 15:15:44.770701	126109	46	2	10
2014-03-31 15:15:45.004549	126110	17.7	1	10
2014-03-31 15:15:52.90214	126111	55	2	9
2014-03-31 15:15:53.125717	126112	19.0	1	9
2014-03-31 15:15:53.962475	126113	51	2	8
2014-03-31 15:15:54.204558	126114	18.8	1	8
2014-03-31 15:16:04.745571	126115	58	2	1
2014-03-31 15:16:04.970237	126116	18.9	1	1
2014-03-31 15:16:15.989644	126117	60	2	24
2014-03-31 15:16:16.223976	126118	16.0	1	24
2014-03-31 15:16:18.125579	126119	50	2	25
2014-03-31 15:16:18.346655	126120	17.0	1	25
2014-03-31 15:16:23.772081	126121	46	2	10
2014-03-31 15:16:24.005224	126122	17.7	1	10
2014-03-31 15:16:32.104095	126123	55	2	9
2014-03-31 15:16:32.326994	126124	19.0	1	9
2014-03-31 15:16:32.9614	126125	51	2	8
2014-03-31 15:16:33.19342	126126	18.8	1	8
2014-03-31 15:16:43.747689	126127	58	2	1
2014-03-31 15:16:43.970716	126128	18.9	1	1
2014-03-31 15:16:54.986898	126129	60	2	24
2014-03-31 15:16:55.220718	126130	16.0	1	24
2014-03-31 15:16:57.127603	126131	50	2	25
2014-03-31 15:16:57.349048	126132	17.0	1	25
2014-03-31 15:17:02.772412	126133	46	2	10
2014-03-31 15:17:03.006161	126134	17.7	1	10
2014-03-31 15:17:10.902035	126135	55	2	9
2014-03-31 15:17:11.124521	126136	19.0	1	9
2014-03-31 15:17:11.961792	126137	51	2	8
2014-03-31 15:17:12.196728	126138	18.8	1	8
2014-03-31 15:17:22.747728	126139	58	2	1
2014-03-31 15:17:22.972373	126140	18.9	1	1
2014-03-31 15:17:31.930383	126141	466	3	2
2014-03-31 15:17:32.165704	126142	1150058.8243184034	4	2
2014-03-31 15:17:33.985591	126143	60	2	24
2014-03-31 15:17:34.209318	126144	16.0	1	24
2014-03-31 15:17:36.126705	126145	50	2	25
2014-03-31 15:17:36.359265	126146	17.0	1	25
2014-03-31 15:17:41.773112	126147	46	2	10
2014-03-31 15:17:41.996833	126148	17.7	1	10
2014-03-31 15:17:49.902111	126149	55	2	9
2014-03-31 15:17:50.133549	126150	19.0	1	9
2014-03-31 15:17:50.961877	126151	51	2	8
2014-03-31 15:17:51.183008	126152	18.8	1	8
2014-03-31 15:18:01.747909	126153	58	2	1
2014-03-31 15:18:01.981083	126154	18.9	1	1
2014-03-31 15:18:12.986259	126155	60	2	24
2014-03-31 15:18:13.210041	126156	16.0	1	24
2014-03-31 15:18:15.126942	126157	50	2	25
2014-03-31 15:18:15.361228	126158	17.0	1	25
2014-03-31 15:18:20.772413	126159	46	2	10
2014-03-31 15:18:20.994825	126160	17.7	1	10
2014-03-31 15:18:28.902434	126161	55	2	9
2014-03-31 15:18:29.144878	126162	19.0	1	9
2014-03-31 15:18:29.960501	126163	51	2	8
2014-03-31 15:18:30.180186	126164	18.8	1	8
2014-03-31 15:18:31.928837	126165	450	3	2
2014-03-31 15:18:32.159105	126166	1150066.8675614533	4	2
2014-03-31 15:18:40.746493	126167	58	2	1
2014-03-31 15:18:40.974272	126168	18.9	1	1
2014-03-31 15:18:51.988623	126169	60	2	24
2014-03-31 15:18:52.220672	126170	16.0	1	24
2014-03-31 15:18:54.126116	126171	50	2	25
2014-03-31 15:18:54.346572	126172	17.0	1	25
2014-03-31 15:18:59.772464	126173	46	2	10
2014-03-31 15:19:00.006198	126174	17.7	1	10
2014-03-31 15:19:07.902248	126175	55	2	9
2014-03-31 15:19:08.126263	126176	19.0	1	9
2014-03-31 15:19:08.961666	126177	51	2	8
2014-03-31 15:19:09.191609	126178	18.8	1	8
2014-03-31 15:19:19.745383	126179	58	2	1
2014-03-31 15:19:19.967448	126180	18.9	1	1
2014-03-31 15:19:30.985715	126181	60	2	24
2014-03-31 15:19:31.217109	126182	16.0	1	24
2014-03-31 15:19:31.932366	126183	450	3	2
2014-03-31 15:19:32.154861	126184	1150073.7617697818	4	2
2014-03-31 15:19:33.126277	126185	51	2	25
2014-03-31 15:19:33.35832	126186	16.9	1	25
2014-03-31 15:19:38.774385	126187	46	2	10
2014-03-31 15:19:38.996971	126188	17.7	1	10
2014-03-31 15:19:46.901746	126189	55	2	9
2014-03-31 15:19:47.134821	126190	19.0	1	9
2014-03-31 15:19:47.962334	126191	51	2	8
2014-03-31 15:19:48.184593	126192	18.8	1	8
2014-03-31 15:19:58.745982	126193	58	2	1
2014-03-31 15:19:58.978063	126194	18.9	1	1
2014-03-31 15:20:09.983849	126195	60	2	24
2014-03-31 15:20:10.20435	126196	16.0	1	24
2014-03-31 15:20:12.126802	126197	51	2	25
2014-03-31 15:20:12.35892	126198	16.9	1	25
2014-03-31 15:20:17.774868	126199	46	2	10
2014-03-31 15:20:18.000419	126200	17.7	1	10
2014-03-31 15:20:25.902398	126201	55	2	9
2014-03-31 15:20:26.133949	126202	19.0	1	9
2014-03-31 15:20:26.961479	126203	51	2	8
2014-03-31 15:20:27.183746	126204	18.8	1	8
2014-03-31 15:20:37.747399	126205	58	2	1
2014-03-31 15:20:37.979682	126206	18.9	1	1
2014-03-31 15:20:48.985937	126207	60	2	24
2014-03-31 15:20:49.210345	126208	16.0	1	24
2014-03-31 15:20:51.127137	126209	51	2	25
2014-03-31 15:20:51.372884	126210	16.9	1	25
2014-03-31 15:20:56.775467	126211	46	2	10
2014-03-31 15:20:56.997163	126212	17.7	1	10
2014-03-31 15:21:04.903888	126213	55	2	9
2014-03-31 15:21:05.136347	126214	19.0	1	9
2014-03-31 15:21:05.961915	126215	51	2	8
2014-03-31 15:21:06.18318	126216	18.8	1	8
2014-03-31 15:21:16.745796	126217	58	2	1
2014-03-31 15:21:16.980408	126218	18.9	1	1
2014-03-31 15:21:27.985074	126219	60	2	24
2014-03-31 15:21:28.206493	126220	16.0	1	24
2014-03-31 15:21:30.125577	126221	51	2	25
2014-03-31 15:21:30.356192	126222	16.9	1	25
2014-03-31 15:21:31.93282	126223	466	3	2
2014-03-31 15:21:32.156025	126224	1150089.8482558816	4	2
2014-03-31 15:21:35.775261	126225	46	2	10
2014-03-31 15:21:36.008683	126226	17.7	1	10
2014-03-31 15:21:43.904034	126227	55	2	9
2014-03-31 15:21:44.129135	126228	19.0	1	9
2014-03-31 15:21:44.964106	126229	51	2	8
2014-03-31 15:21:45.196244	126230	18.8	1	8
2014-03-31 15:21:55.74611	126231	58	2	1
2014-03-31 15:21:55.96998	126232	18.9	1	1
2014-03-31 15:22:06.983333	126233	60	2	24
2014-03-31 15:22:07.217344	126234	16.0	1	24
2014-03-31 15:22:09.12979	126235	51	2	25
2014-03-31 15:22:09.353353	126236	16.9	1	25
2014-03-31 15:22:14.77559	126237	46	2	10
2014-03-31 15:22:15.008056	126238	17.7	1	10
2014-03-31 15:22:22.902911	126239	55	2	9
2014-03-31 15:22:23.126768	126240	19.0	1	9
2014-03-31 15:22:23.962359	126241	51	2	8
2014-03-31 15:22:24.195922	126242	18.8	1	8
2014-03-31 15:22:34.747538	126243	58	2	1
2014-03-31 15:22:34.96997	126244	18.9	1	1
2014-03-31 15:22:45.982831	126245	60	2	24
2014-03-31 15:22:46.21879	126246	16.0	1	24
2014-03-31 15:22:48.129	126247	51	2	25
2014-03-31 15:22:48.350474	126248	16.9	1	25
2014-03-31 15:22:53.775692	126249	46	2	10
2014-03-31 15:22:54.008472	126250	17.7	1	10
2014-03-31 15:23:01.90393	126251	55	2	9
2014-03-31 15:23:02.125983	126252	19.0	1	9
2014-03-31 15:23:02.962077	126253	51	2	8
2014-03-31 15:23:03.195759	126254	18.8	1	8
2014-03-31 15:23:07.93624	126255	547	3	2
2014-03-31 15:23:08.159142	126256	1150102.4876378172	4	2
2014-03-31 15:23:13.744613	126257	58	2	1
2014-03-31 15:23:13.991338	126258	18.9	1	1
2014-03-31 15:23:24.981564	126259	60	2	24
2014-03-31 15:23:25.203014	126260	16.0	1	24
2014-03-31 15:23:27.126358	126261	51	2	25
2014-03-31 15:23:27.359927	126262	16.9	1	25
2014-03-31 15:23:32.776107	126263	46	2	10
2014-03-31 15:23:32.996607	126264	17.7	1	10
2014-03-31 15:23:40.9058	126265	55	2	9
2014-03-31 15:23:41.137462	126266	19.0	1	9
2014-03-31 15:23:41.963843	126267	51	2	8
2014-03-31 15:23:42.185234	126268	18.8	1	8
2014-03-31 15:23:52.744759	126269	58	2	1
2014-03-31 15:23:52.976668	126270	18.9	1	1
2014-03-31 15:24:03.982166	126271	60	2	24
2014-03-31 15:24:04.203627	126272	16.0	1	24
2014-03-31 15:24:06.124085	126273	51	2	25
2014-03-31 15:24:06.355939	126274	16.9	1	25
2014-03-31 15:24:11.776057	126275	46	2	10
2014-03-31 15:24:11.999025	126276	17.7	1	10
2014-03-31 15:24:19.904422	126277	55	2	9
2014-03-31 15:24:20.135193	126278	19.0	1	9
2014-03-31 15:24:20.963282	126279	51	2	8
2014-03-31 15:24:21.183447	126280	18.8	1	8
2014-03-31 15:24:31.744951	126281	58	2	1
2014-03-31 15:24:31.976213	126282	18.9	1	1
2014-03-31 15:24:42.978232	126283	60	2	24
2014-03-31 15:24:43.202124	126284	16.0	1	24
2014-03-31 15:24:45.125489	126285	51	2	25
2014-03-31 15:24:45.355707	126286	16.9	1	25
2014-03-31 15:24:50.777266	126287	46	2	10
2014-03-31 15:24:50.999102	126288	17.7	1	10
2014-03-31 15:24:58.907929	126289	55	2	9
2014-03-31 15:24:59.143824	126290	19.0	1	9
2014-03-31 15:24:59.963715	126291	51	2	8
2014-03-31 15:25:00.184473	126292	18.8	1	8
2014-03-31 15:25:10.744613	126293	58	2	1
2014-03-31 15:25:10.983717	126294	18.9	1	1
2014-03-31 15:25:19.934279	126295	547	3	2
2014-03-31 15:25:20.158007	126296	1150124.319297524	4	2
2014-03-31 15:25:21.981719	126297	60	2	24
2014-03-31 15:25:22.213395	126298	16.0	1	24
2014-03-31 15:25:24.125405	126299	51	2	25
2014-03-31 15:25:24.346641	126300	16.9	1	25
2014-03-31 15:25:29.77773	126301	46	2	10
2014-03-31 15:25:30.011169	126302	17.7	1	10
2014-03-31 15:25:31.933251	126303	547	3	2
2014-03-31 15:25:32.154756	126304	1150125.4683322455	4	2
2014-03-31 15:25:37.903831	126305	55	2	9
2014-03-31 15:25:38.147429	126306	19.0	1	9
2014-03-31 15:25:38.963984	126307	51	2	8
2014-03-31 15:25:39.18576	126308	18.8	1	8
2014-03-31 15:25:43.932723	126309	579	3	2
2014-03-31 15:25:44.165634	126310	1150127.7664016883	4	2
2014-03-31 15:25:49.749227	126311	58	2	1
2014-03-31 15:25:49.976758	126312	18.9	1	1
2014-03-31 15:25:55.933252	126313	579	3	2
2014-03-31 15:25:56.165604	126314	1150130.0644711312	4	2
2014-03-31 15:26:00.982106	126315	60	2	24
2014-03-31 15:26:01.208112	126316	16.0	1	24
2014-03-31 15:26:03.128276	126317	51	2	25
2014-03-31 15:26:03.358133	126318	16.9	1	25
2014-03-31 15:26:08.781275	126319	46	2	10
2014-03-31 15:26:09.003083	126320	17.7	1	10
2014-03-31 15:26:16.903298	126321	55	2	9
2014-03-31 15:26:17.135811	126322	19.0	1	9
2014-03-31 15:26:17.963358	126323	51	2	8
2014-03-31 15:26:18.185273	126324	18.8	1	8
2014-03-31 15:26:19.933558	126325	547	3	2
2014-03-31 15:26:20.166322	126326	1150133.5115752954	4	2
2014-03-31 15:26:28.745289	126327	58	2	1
2014-03-31 15:26:28.989765	126328	18.9	1	1
2014-03-31 15:26:31.934859	126329	547	3	2
2014-03-31 15:26:32.167419	126330	1150135.8096447382	4	2
2014-03-31 15:26:39.98188	126331	60	2	24
2014-03-31 15:26:40.203467	126332	16.0	1	24
2014-03-31 15:26:42.128748	126333	51	2	25
2014-03-31 15:26:42.361166	126334	16.9	1	25
2014-03-31 15:26:47.77929	126335	46	2	10
2014-03-31 15:26:48.005263	126336	17.7	1	10
2014-03-31 15:26:55.905945	126337	55	2	9
2014-03-31 15:26:56.137663	126338	19.0	1	9
2014-03-31 15:26:56.965771	126339	51	2	8
2014-03-31 15:26:57.188186	126340	18.8	1	8
2014-03-31 15:27:07.744468	126341	58	2	1
2014-03-31 15:27:07.97886	126342	18.9	1	1
2014-03-31 15:27:18.981055	126343	60	2	24
2014-03-31 15:27:19.204931	126344	16.0	1	24
2014-03-31 15:27:21.127683	126345	51	2	25
2014-03-31 15:27:21.359563	126346	16.9	1	25
2014-03-31 15:27:26.779828	126347	46	2	10
2014-03-31 15:27:27.00424	126348	17.7	1	10
2014-03-31 15:27:31.931577	126349	579	3	2
2014-03-31 15:27:32.169467	126350	1150145.0019225094	4	2
2014-03-31 15:27:34.90513	126351	55	2	9
2014-03-31 15:27:35.128254	126352	19.0	1	9
2014-03-31 15:27:35.963247	126353	51	2	8
2014-03-31 15:27:36.20788	126354	18.8	1	8
2014-03-31 15:27:43.931674	126355	547	3	2
2014-03-31 15:27:44.157715	126356	1150146.150957231	4	2
2014-03-31 15:27:46.74363	126357	58	2	1
2014-03-31 15:27:46.975586	126358	18.9	1	1
2014-03-31 15:27:57.978578	126359	60	2	24
2014-03-31 15:27:58.20261	126360	16.0	1	24
2014-03-31 15:28:00.365551	126361	51	2	25
2014-03-31 15:28:00.596467	126362	16.9	1	25
2014-03-31 15:28:05.836446	126363	46	2	10
2014-03-31 15:28:06.05737	126364	17.7	1	10
2014-03-31 15:28:07.934139	126365	515	3	2
2014-03-31 15:28:08.168005	126366	1150149.598061395	4	2
2014-03-31 15:28:13.905793	126367	55	2	9
2014-03-31 15:28:14.12701	126368	19.0	1	9
2014-03-31 15:28:14.964039	126369	51	2	8
2014-03-31 15:28:15.197125	126370	18.8	1	8
2014-03-31 15:28:19.936272	126371	498	3	2
2014-03-31 15:28:20.158048	126372	1150151.896130838	4	2
2014-03-31 15:28:25.743894	126373	58	2	1
2014-03-31 15:28:25.980845	126374	18.9	1	1
2014-03-31 15:28:31.933666	126375	498	3	2
2014-03-31 15:28:32.155576	126376	1150153.0451655593	4	2
2014-03-31 15:28:36.980183	126377	60	2	24
2014-03-31 15:28:37.221488	126378	16.0	1	24
2014-03-31 15:28:39.124899	126379	51	2	25
2014-03-31 15:28:39.34945	126380	16.9	1	25
2014-03-31 15:28:44.78032	126381	46	2	10
2014-03-31 15:28:45.012596	126382	17.7	1	10
2014-03-31 15:28:52.907128	126383	55	2	9
2014-03-31 15:28:53.130702	126384	19.0	1	9
2014-03-31 15:28:53.963718	126385	51	2	8
2014-03-31 15:28:54.194928	126386	18.8	1	8
2014-03-31 15:29:04.741493	126387	58	2	1
2014-03-31 15:29:04.963868	126388	18.9	1	1
2014-03-31 15:29:15.978041	126389	60	2	24
2014-03-31 15:29:16.210515	126390	16.0	1	24
2014-03-31 15:29:18.125098	126391	51	2	25
2014-03-31 15:29:18.348153	126392	16.9	1	25
2014-03-31 15:29:23.781722	126393	46	2	10
2014-03-31 15:29:24.012392	126394	17.7	1	10
2014-03-31 15:29:32.105589	126395	55	2	9
2014-03-31 15:29:32.327172	126396	19.0	1	9
2014-03-31 15:29:32.96567	126397	51	2	8
2014-03-31 15:29:33.204179	126398	18.8	1	8
2014-03-31 15:29:43.745962	126399	58	2	1
2014-03-31 15:29:43.968913	126400	18.9	1	1
2014-03-31 15:29:54.978755	126401	60	2	24
2014-03-31 15:29:55.22155	126402	16.0	1	24
2014-03-31 15:29:57.124771	126403	51	2	25
2014-03-31 15:29:57.346216	126404	16.9	1	25
2014-03-31 15:30:02.780694	126405	46	2	10
2014-03-31 15:30:03.013517	126406	17.6	1	10
2014-03-31 15:30:10.903797	126407	55	2	9
2014-03-31 15:30:11.126782	126408	19.0	1	9
2014-03-31 15:30:11.965084	126409	51	2	8
2014-03-31 15:30:12.197265	126410	18.8	1	8
2014-03-31 15:30:22.985297	126411	58	2	1
2014-03-31 15:30:23.206861	126412	18.9	1	1
2014-03-31 15:30:31.934264	126413	498	3	2
2014-03-31 15:30:32.168039	126414	1150170.2806863806	4	2
2014-03-31 15:30:34.217471	126415	60	2	24
2014-03-31 15:30:34.438856	126416	16.0	1	24
2014-03-31 15:30:36.124849	126417	51	2	25
2014-03-31 15:30:36.356989	126418	16.9	1	25
2014-03-31 15:30:41.782288	126419	46	2	10
2014-03-31 15:30:42.003402	126420	17.6	1	10
2014-03-31 15:30:49.90712	126421	55	2	9
2014-03-31 15:30:50.137534	126422	19.0	1	9
2014-03-31 15:30:50.965204	126423	51	2	8
2014-03-31 15:30:51.186211	126424	18.8	1	8
2014-03-31 15:31:01.744658	126425	58	2	1
2014-03-31 15:31:01.976624	126426	18.9	1	1
2014-03-31 15:31:12.976162	126427	60	2	24
2014-03-31 15:31:13.197643	126428	16.0	1	24
2014-03-31 15:31:15.124774	126429	51	2	25
2014-03-31 15:31:15.354667	126430	16.9	1	25
2014-03-31 15:31:20.783167	126431	46	2	10
2014-03-31 15:31:21.006038	126432	17.6	1	10
2014-03-31 15:31:28.910981	126433	55	2	9
2014-03-31 15:31:29.143375	126434	19.0	1	9
2014-03-31 15:31:29.965929	126435	51	2	8
2014-03-31 15:31:30.187593	126436	18.7	1	8
2014-03-31 15:31:40.545842	126437	498	3	2
2014-03-31 15:31:40.777091	126438	1150178.3239294305	4	2
2014-03-31 15:31:41.087771	126439	58	2	1
2014-03-31 15:31:41.308435	126440	18.9	1	1
2014-03-31 15:31:51.979249	126441	60	2	24
2014-03-31 15:31:52.213674	126442	16.0	1	24
2014-03-31 15:31:54.126232	126443	51	2	25
2014-03-31 15:31:54.347371	126444	16.9	1	25
2014-03-31 15:31:59.781739	126445	46	2	10
2014-03-31 15:32:00.014694	126446	17.6	1	10
2014-03-31 15:32:07.912393	126447	55	2	9
2014-03-31 15:32:08.135015	126448	19.0	1	9
2014-03-31 15:32:08.969346	126449	51	2	8
2014-03-31 15:32:09.213009	126450	18.7	1	8
2014-03-31 15:32:19.744714	126451	58	2	1
2014-03-31 15:32:19.971003	126452	18.9	1	1
2014-03-31 15:32:30.979835	126453	60	2	24
2014-03-31 15:32:31.212295	126454	16.0	1	24
2014-03-31 15:32:31.934397	126455	498	3	2
2014-03-31 15:32:32.156462	126456	1150187.5162072019	4	2
2014-03-31 15:32:33.127589	126457	51	2	25
2014-03-31 15:32:33.359165	126458	16.9	1	25
2014-03-31 15:32:38.781933	126459	46	2	10
2014-03-31 15:32:39.008944	126460	17.6	1	10
2014-03-31 15:32:46.907505	126461	55	2	9
2014-03-31 15:32:47.141077	126462	19.0	1	9
2014-03-31 15:32:47.969973	126463	51	2	8
2014-03-31 15:32:48.193719	126464	18.7	1	8
2014-03-31 15:32:58.744876	126465	58	2	1
2014-03-31 15:32:58.978311	126466	18.9	1	1
2014-03-31 15:33:09.976449	126467	60	2	24
2014-03-31 15:33:10.199687	126468	16.0	1	24
2014-03-31 15:33:12.145435	126469	51	2	25
2014-03-31 15:33:12.378606	126470	16.9	1	25
2014-03-31 15:33:17.78339	126471	46	2	10
2014-03-31 15:33:18.010336	126472	17.6	1	10
2014-03-31 15:33:25.909448	126473	55	2	9
2014-03-31 15:33:26.144138	126474	19.0	1	9
2014-03-31 15:33:26.968153	126475	51	2	8
2014-03-31 15:33:27.191626	126476	18.7	1	8
2014-03-31 15:33:31.934664	126477	498	3	2
2014-03-31 15:33:32.173462	126478	1150195.5594502517	4	2
2014-03-31 15:33:37.740241	126479	58	2	1
2014-03-31 15:33:37.97049	126480	18.9	1	1
2014-03-31 15:33:43.933733	126481	547	3	2
2014-03-31 15:33:44.168702	126482	1150196.708484973	4	2
2014-03-31 15:33:48.97475	126483	60	2	24
2014-03-31 15:33:49.202423	126484	16.0	1	24
2014-03-31 15:33:51.124689	126485	51	2	25
2014-03-31 15:33:51.358696	126486	16.9	1	25
2014-03-31 15:33:55.935308	126487	547	3	2
2014-03-31 15:33:56.157661	126488	1150199.006554416	4	2
2014-03-31 15:33:56.783398	126489	46	2	10
2014-03-31 15:33:57.015253	126490	17.6	1	10
2014-03-31 15:34:04.908796	126491	55	2	9
2014-03-31 15:34:05.131447	126492	19.0	1	9
2014-03-31 15:34:06.025105	126493	51	2	8
2014-03-31 15:34:06.259129	126494	18.7	1	8
2014-03-31 15:34:16.74194	126495	58	2	1
2014-03-31 15:34:16.96424	126496	18.9	1	1
2014-03-31 15:34:19.936232	126497	579	3	2
2014-03-31 15:34:20.179218	126498	1150202.4536585803	4	2
2014-03-31 15:34:27.974761	126499	60	2	24
2014-03-31 15:34:28.196805	126500	16.0	1	24
2014-03-31 15:34:30.125466	126501	51	2	25
2014-03-31 15:34:30.358578	126502	16.9	1	25
2014-03-31 15:34:35.58374	126503	547	3	2
2014-03-31 15:34:35.805197	126504	1150204.751728023	4	2
2014-03-31 15:34:36.164728	126505	46	2	10
2014-03-31 15:34:36.398505	126506	17.6	1	10
2014-03-31 15:34:44.11257	126507	55	2	9
2014-03-31 15:34:44.334339	126508	19.0	1	9
2014-03-31 15:34:44.965124	126509	51	2	8
2014-03-31 15:34:45.197654	126510	18.8	1	8
2014-03-31 15:34:55.779309	126511	58	2	1
2014-03-31 15:34:56.003942	126512	18.9	1	1
2014-03-31 15:35:06.973427	126513	60	2	24
2014-03-31 15:35:07.207891	126514	16.0	1	24
2014-03-31 15:35:09.125027	126515	51	2	25
2014-03-31 15:35:09.348661	126516	16.9	1	25
2014-03-31 15:35:14.785706	126517	46	2	10
2014-03-31 15:35:15.017204	126518	17.6	1	10
2014-03-31 15:35:22.907351	126519	55	2	9
2014-03-31 15:35:23.130567	126520	19.0	1	9
2014-03-31 15:35:23.966812	126521	51	2	8
2014-03-31 15:35:24.198823	126522	18.8	1	8
2014-03-31 15:35:31.935187	126523	531	3	2
2014-03-31 15:35:32.157508	126524	1150213.9440057944	4	2
2014-03-31 15:35:34.741792	126525	58	2	1
2014-03-31 15:35:34.973589	126526	18.9	1	1
2014-03-31 15:35:45.974497	126527	60	2	24
2014-03-31 15:35:46.197682	126528	16.0	1	24
2014-03-31 15:35:48.124738	126529	52	2	25
2014-03-31 15:35:48.354523	126530	16.9	1	25
2014-03-31 15:35:53.784324	126531	46	2	10
2014-03-31 15:35:54.008635	126532	17.6	1	10
2014-03-31 15:36:01.909504	126533	55	2	9
2014-03-31 15:36:02.141069	126534	19.0	1	9
2014-03-31 15:36:02.96645	126535	51	2	8
2014-03-31 15:36:03.209528	126536	18.7	1	8
2014-03-31 15:36:13.746227	126537	58	2	1
2014-03-31 15:36:13.978328	126538	18.9	1	1
2014-03-31 15:36:24.974148	126539	60	2	24
2014-03-31 15:36:25.198104	126540	16.0	1	24
2014-03-31 15:36:27.125178	126541	51	2	25
2014-03-31 15:36:27.357289	126542	16.9	1	25
2014-03-31 15:36:31.934974	126543	547	3	2
2014-03-31 15:36:32.157991	126544	1150223.1362835658	4	2
2014-03-31 15:36:32.7888	126545	46	2	10
2014-03-31 15:36:33.033731	126546	17.6	1	10
2014-03-31 15:36:40.907606	126547	55	2	9
2014-03-31 15:36:41.129111	126548	19.0	1	9
2014-03-31 15:36:41.968622	126549	51	2	8
2014-03-31 15:36:42.200396	126550	18.7	1	8
2014-03-31 15:36:52.744151	126551	58	2	1
2014-03-31 15:36:52.968054	126552	18.9	1	1
2014-03-31 15:37:03.97285	126553	60	2	24
2014-03-31 15:37:04.212324	126554	16.0	1	24
2014-03-31 15:37:06.180716	126555	52	2	25
2014-03-31 15:37:06.403617	126556	16.9	1	25
2014-03-31 15:37:07.93564	126557	676	3	2
2014-03-31 15:37:08.167015	126558	1150228.8814571728	4	2
2014-03-31 15:37:11.786157	126559	46	2	10
2014-03-31 15:37:12.011649	126560	17.6	1	10
2014-03-31 15:37:20.970993	126561	51	2	8
2014-03-31 15:37:21.202901	126562	18.7	1	8
2014-03-31 15:37:31.743263	126563	58	2	1
2014-03-31 15:37:31.966047	126564	18.9	1	1
2014-03-31 15:37:42.974057	126565	60	2	24
2014-03-31 15:37:43.207388	126566	16.0	1	24
2014-03-31 15:37:43.938845	126567	482	3	2
2014-03-31 15:37:44.178227	126568	1150234.6266307798	4	2
2014-03-31 15:37:45.124924	126569	52	2	25
2014-03-31 15:37:45.356472	126570	16.9	1	25
2014-03-31 15:37:50.785882	126571	46	2	10
2014-03-31 15:37:51.0095	126572	17.6	1	10
2014-03-31 15:37:55.936044	126573	498	3	2
2014-03-31 15:37:56.173378	126574	1150235.7756655014	4	2
2014-03-31 15:37:58.906118	126575	55	2	9
2014-03-31 15:37:59.129153	126576	19.0	1	9
2014-03-31 15:37:59.972028	126577	51	2	8
2014-03-31 15:38:00.2043	126578	18.7	1	8
2014-03-31 15:38:10.740917	126579	58	2	1
2014-03-31 15:38:10.963571	126580	18.9	1	1
2014-03-31 15:38:19.93434	126581	434	3	2
2014-03-31 15:38:20.168291	126582	1150239.2227696655	4	2
2014-03-31 15:38:21.972307	126583	60	2	24
2014-03-31 15:38:22.195501	126584	16.0	1	24
2014-03-31 15:38:24.128085	126585	52	2	25
2014-03-31 15:38:24.362104	126586	16.9	1	25
2014-03-31 15:38:29.786595	126587	46	2	10
2014-03-31 15:38:30.007723	126588	17.6	1	10
2014-03-31 15:38:31.936628	126589	434	3	2
2014-03-31 15:38:32.170669	126590	1150240.3718043868	4	2
2014-03-31 15:38:37.909052	126591	55	2	9
2014-03-31 15:38:38.133587	126592	19.0	1	9
2014-03-31 15:38:38.969918	126593	51	2	8
2014-03-31 15:38:39.213605	126594	18.7	1	8
2014-03-31 15:38:49.739929	126595	58	2	1
2014-03-31 15:38:49.962802	126596	18.9	1	1
2014-03-31 15:39:00.972177	126597	60	2	24
2014-03-31 15:39:01.206317	126598	16.0	1	24
2014-03-31 15:39:03.123434	126599	52	2	25
2014-03-31 15:39:03.346692	126600	16.9	1	25
2014-03-31 15:39:08.787447	126601	46	2	10
2014-03-31 15:39:09.019162	126602	17.6	1	10
2014-03-31 15:39:16.90884	126603	55	2	9
2014-03-31 15:39:17.130859	126604	19.0	1	9
2014-03-31 15:39:17.968976	126605	51	2	8
2014-03-31 15:39:18.19868	126606	18.7	1	8
2014-03-31 15:39:28.739937	126607	58	2	1
2014-03-31 15:39:28.961055	126608	18.9	1	1
2014-03-31 15:39:31.937316	126609	434	3	2
2014-03-31 15:39:32.168641	126610	1150248.4150474367	4	2
2014-03-31 15:39:39.965603	126611	60	2	24
2014-03-31 15:39:40.187729	126612	16.0	1	24
2014-03-31 15:39:42.125455	126613	51	2	25
2014-03-31 15:39:42.359742	126614	16.9	1	25
2014-03-31 15:39:47.787297	126615	46	2	10
2014-03-31 15:39:48.013589	126616	17.6	1	10
2014-03-31 15:39:56.970529	126617	51	2	8
2014-03-31 15:39:57.202053	126618	18.7	1	8
2014-03-31 15:40:07.741282	126619	58	2	1
2014-03-31 15:40:07.966839	126620	18.9	1	1
2014-03-31 15:40:18.960257	126621	60	2	24
2014-03-31 15:40:19.192367	126622	16.0	1	24
2014-03-31 15:40:21.124216	126623	52	2	25
2014-03-31 15:40:21.345839	126624	16.9	1	25
2014-03-31 15:40:26.788495	126625	46	2	10
2014-03-31 15:40:27.019265	126626	17.6	1	10
2014-03-31 15:40:31.937058	126627	418	3	2
2014-03-31 15:40:32.163732	126628	1150255.3092557653	4	2
2014-03-31 15:40:34.909247	126629	55	2	9
2014-03-31 15:40:35.140302	126630	19.0	1	9
2014-03-31 15:40:35.968726	126631	51	2	8
2014-03-31 15:40:36.246496	126632	18.7	1	8
2014-03-31 15:40:46.737608	126633	58	2	1
2014-03-31 15:40:46.970312	126634	18.9	1	1
2014-03-31 15:40:57.970102	126635	60	2	24
2014-03-31 15:40:58.192713	126636	16.0	1	24
2014-03-31 15:41:00.122812	126637	51	2	25
2014-03-31 15:41:00.354912	126638	16.9	1	25
2014-03-31 15:41:05.786804	126639	46	2	10
2014-03-31 15:41:06.008221	126640	17.6	1	10
2014-03-31 15:41:07.936126	126641	450	3	2
2014-03-31 15:41:08.179428	126642	1150258.7563599295	4	2
2014-03-31 15:41:13.907317	126643	55	2	9
2014-03-31 15:41:14.130309	126644	19.0	1	9
2014-03-31 15:41:14.96972	126645	51	2	8
2014-03-31 15:41:15.201787	126646	18.7	1	8
2014-03-31 15:41:19.938999	126647	450	3	2
2014-03-31 15:41:20.161328	126648	1150261.0544293723	4	2
2014-03-31 15:41:25.741433	126649	58	2	1
2014-03-31 15:41:25.976754	126650	18.9	1	1
2014-03-31 15:41:36.97007	126651	60	2	24
2014-03-31 15:41:37.194917	126652	16.0	1	24
2014-03-31 15:41:39.124062	126653	51	2	25
2014-03-31 15:41:39.357671	126654	16.9	1	25
2014-03-31 15:41:43.935666	126655	2993	3	2
2014-03-31 15:41:44.157986	126656	1150279.438984915	4	2
2014-03-31 15:41:44.789897	126657	46	2	10
2014-03-31 15:41:45.022457	126658	17.6	1	10
2014-03-31 15:41:52.909853	126659	55	2	9
2014-03-31 15:41:53.132415	126660	19.0	1	9
2014-03-31 15:41:53.968783	126661	51	2	8
2014-03-31 15:41:54.200763	126662	18.7	1	8
2014-03-31 15:41:55.935447	126663	2993	3	2
2014-03-31 15:41:56.159601	126664	1150288.6312626863	4	2
2014-03-31 15:42:04.743106	126665	58	2	1
2014-03-31 15:42:04.975018	126666	18.9	1	1
2014-03-31 15:42:15.969959	126667	60	2	24
2014-03-31 15:42:16.192365	126668	16.0	1	24
2014-03-31 15:42:18.12472	126669	51	2	25
2014-03-31 15:42:18.354821	126670	16.9	1	25
2014-03-31 15:42:23.791325	126671	46	2	10
2014-03-31 15:42:24.013445	126672	17.6	1	10
2014-03-31 15:42:32.11417	126673	55	2	9
2014-03-31 15:42:32.347024	126674	19.0	1	9
2014-03-31 15:42:32.968858	126675	51	2	8
2014-03-31 15:42:33.190862	126676	18.7	1	8
2014-03-31 15:42:43.742206	126677	58	2	1
2014-03-31 15:42:43.979586	126678	18.9	1	1
2014-03-31 15:42:54.970148	126679	60	2	24
2014-03-31 15:42:55.194911	126680	16.0	1	24
2014-03-31 15:42:57.123924	126681	52	2	25
2014-03-31 15:42:57.355308	126682	16.9	1	25
2014-03-31 15:43:02.791121	126683	46	2	10
2014-03-31 15:43:03.013825	126684	17.6	1	10
2014-03-31 15:43:10.909114	126685	55	2	9
2014-03-31 15:43:11.142863	126686	19.0	1	9
2014-03-31 15:43:11.972101	126687	51	2	8
2014-03-31 15:43:12.195406	126688	18.7	1	8
2014-03-31 15:43:22.739276	126689	58	2	1
2014-03-31 15:43:22.985447	126690	18.8	1	1
2014-03-31 15:43:33.970411	126691	60	2	24
2014-03-31 15:43:34.194583	126692	16.0	1	24
2014-03-31 15:43:36.124168	126693	52	2	25
2014-03-31 15:43:36.414072	126694	16.9	1	25
2014-03-31 15:43:41.789808	126695	46	2	10
2014-03-31 15:43:42.013313	126696	17.6	1	10
2014-03-31 15:43:43.936998	126697	450	3	2
2014-03-31 15:43:44.171837	126698	1150373.6643030234	4	2
2014-03-31 15:43:49.909912	126699	55	2	9
2014-03-31 15:43:50.133497	126700	19.0	1	9
2014-03-31 15:43:50.968488	126701	51	2	8
2014-03-31 15:43:51.201973	126702	18.7	1	8
2014-03-31 15:43:55.942177	126703	450	3	2
2014-03-31 15:43:56.164885	126704	1150374.8133377447	4	2
2014-03-31 15:44:01.741361	126705	58	2	1
2014-03-31 15:44:01.976371	126706	18.8	1	1
2014-03-31 15:44:13.005829	126707	60	2	24
2014-03-31 15:44:13.229682	126708	16.0	1	24
2014-03-31 15:44:15.122552	126709	52	2	25
2014-03-31 15:44:15.357208	126710	16.9	1	25
2014-03-31 15:44:20.788956	126711	46	2	10
2014-03-31 15:44:21.013815	126712	17.7	1	10
2014-03-31 15:44:28.909303	126713	55	2	9
2014-03-31 15:44:29.143669	126714	19.0	1	9
2014-03-31 15:44:29.96914	126715	51	2	8
2014-03-31 15:44:30.191469	126716	18.7	1	8
2014-03-31 15:44:31.937194	126717	466	3	2
2014-03-31 15:44:32.168905	126718	1150379.4094766304	4	2
2014-03-31 15:44:40.739515	126719	58	2	1
2014-03-31 15:44:40.961012	126720	18.8	1	1
2014-03-31 15:44:51.965126	126721	60	2	24
2014-03-31 15:44:52.197128	126722	16.0	1	24
2014-03-31 15:44:54.122421	126723	52	2	25
2014-03-31 15:44:54.344074	126724	16.9	1	25
2014-03-31 15:44:59.791039	126725	46	2	10
2014-03-31 15:45:00.022312	126726	17.7	1	10
2014-03-31 15:45:07.909076	126727	55	2	9
2014-03-31 15:45:08.130337	126728	19.0	1	9
2014-03-31 15:45:08.969424	126729	51	2	8
2014-03-31 15:45:09.201071	126730	18.7	1	8
2014-03-31 15:45:19.740278	126731	58	2	1
2014-03-31 15:45:19.963295	126732	18.8	1	1
2014-03-31 15:45:30.965757	126733	60	2	24
2014-03-31 15:45:31.198666	126734	16.0	1	24
2014-03-31 15:45:31.937964	126735	498	3	2
2014-03-31 15:45:32.159512	126736	1150387.4527196803	4	2
2014-03-31 15:45:33.123333	126737	52	2	25
2014-03-31 15:45:33.367706	126738	16.9	1	25
2014-03-31 15:45:38.79213	126739	46	2	10
2014-03-31 15:45:39.013757	126740	17.7	1	10
2014-03-31 15:45:43.937309	126741	498	3	2
2014-03-31 15:45:44.354941	126742	1150389.7507891231	4	2
2014-03-31 15:45:46.913796	126743	55	2	9
2014-03-31 15:45:47.135814	126744	19.0	1	9
2014-03-31 15:45:47.970466	126745	51	2	8
2014-03-31 15:45:48.192403	126746	18.7	1	8
2014-03-31 15:45:58.738686	126747	58	2	1
2014-03-31 15:45:58.969398	126748	18.8	1	1
2014-03-31 15:46:09.967007	126749	60	2	24
2014-03-31 15:46:10.190347	126750	16.0	1	24
2014-03-31 15:46:12.123153	126751	52	2	25
2014-03-31 15:46:12.353027	126752	16.9	1	25
2014-03-31 15:46:17.790749	126753	46	2	10
2014-03-31 15:46:18.014097	126754	17.7	1	10
2014-03-31 15:46:25.911327	126755	55	2	9
2014-03-31 15:46:26.144014	126756	19.0	1	9
2014-03-31 15:46:26.972546	126757	51	2	8
2014-03-31 15:46:27.192821	126758	18.7	1	8
2014-03-31 15:46:31.942375	126759	498	3	2
2014-03-31 15:46:32.173351	126760	1150395.4959627301	4	2
2014-03-31 15:46:37.735022	126761	58	2	1
2014-03-31 15:46:37.964635	126762	18.8	1	1
2014-03-31 15:46:48.964617	126763	60	2	24
2014-03-31 15:46:49.194674	126764	16.0	1	24
2014-03-31 15:46:51.122663	126765	52	2	25
2014-03-31 15:46:51.343063	126766	16.9	1	25
2014-03-31 15:46:56.791746	126767	46	2	10
2014-03-31 15:46:57.022235	126768	17.7	1	10
2014-03-31 15:47:04.909839	126769	55	2	9
2014-03-31 15:47:05.132083	126770	19.0	1	9
2014-03-31 15:47:05.971393	126771	51	2	8
2014-03-31 15:47:06.203622	126772	18.7	1	8
2014-03-31 15:47:16.74133	126773	58	2	1
2014-03-31 15:47:16.962806	126774	18.8	1	1
2014-03-31 15:47:27.96653	126775	60	2	24
2014-03-31 15:47:28.196331	126776	16.0	1	24
2014-03-31 15:47:30.122362	126777	52	2	25
2014-03-31 15:47:30.343117	126778	16.9	1	25
2014-03-31 15:47:31.938534	126779	498	3	2
2014-03-31 15:47:32.16955	126780	1150404.6882405016	4	2
2014-03-31 15:47:35.794148	126781	46	2	10
2014-03-31 15:47:36.016168	126782	17.7	1	10
2014-03-31 15:47:44.11447	126783	55	2	9
2014-03-31 15:47:44.346329	126784	19.0	1	9
2014-03-31 15:47:44.970474	126785	51	2	8
2014-03-31 15:47:45.191002	126786	18.7	1	8
2014-03-31 15:47:55.738895	126787	58	2	1
2014-03-31 15:47:55.984509	126788	18.8	1	1
2014-03-31 15:48:06.965079	126789	60	2	24
2014-03-31 15:48:07.187136	126790	16.0	1	24
2014-03-31 15:48:09.123878	126791	52	2	25
2014-03-31 15:48:09.354538	126792	16.9	1	25
2014-03-31 15:48:14.792592	126793	46	2	10
2014-03-31 15:48:15.018874	126794	17.7	1	10
2014-03-31 15:48:22.910491	126795	55	2	9
2014-03-31 15:48:23.143049	126796	19.0	1	9
2014-03-31 15:48:23.973896	126797	51	2	8
2014-03-31 15:48:24.195742	126798	18.7	1	8
2014-03-31 15:48:31.941871	126799	498	3	2
2014-03-31 15:48:32.172989	126800	1150412.7314835514	4	2
2014-03-31 15:48:34.740217	126801	58	2	1
2014-03-31 15:48:34.963074	126802	18.8	1	1
2014-03-31 15:48:45.965282	126803	60	2	24
2014-03-31 15:48:46.1965	126804	16.0	1	24
2014-03-31 15:48:48.121632	126805	52	2	25
2014-03-31 15:48:48.342637	126806	16.9	1	25
2014-03-31 15:48:53.792175	126807	46	2	10
2014-03-31 15:48:54.0264	126808	17.8	1	10
2014-03-31 15:49:01.91066	126809	55	2	9
2014-03-31 15:49:02.136838	126810	19.0	1	9
2014-03-31 15:49:02.97069	126811	52	2	8
2014-03-31 15:49:03.203378	126812	18.7	1	8
2014-03-31 15:49:13.740664	126813	58	2	1
2014-03-31 15:49:13.963064	126814	18.8	1	1
2014-03-31 15:49:24.963281	126815	60	2	24
2014-03-31 15:49:25.195493	126816	16.0	1	24
2014-03-31 15:49:27.12348	126817	52	2	25
2014-03-31 15:49:27.345268	126818	16.9	1	25
2014-03-31 15:49:31.938582	126819	482	3	2
2014-03-31 15:49:32.171769	126820	1150420.7747266013	4	2
2014-03-31 15:49:32.793305	126821	46	2	10
2014-03-31 15:49:33.013928	126822	17.8	1	10
2014-03-31 15:49:40.909622	126823	55	2	9
2014-03-31 15:49:41.141718	126824	19.0	1	9
2014-03-31 15:49:41.97094	126825	51	2	8
2014-03-31 15:49:42.196723	126826	18.7	1	8
2014-03-31 15:49:52.739513	126827	58	2	1
2014-03-31 15:49:52.971356	126828	18.8	1	1
2014-03-31 15:50:04.00251	126829	60	2	24
2014-03-31 15:50:04.225973	126830	16.0	1	24
2014-03-31 15:50:06.122006	126831	52	2	25
2014-03-31 15:50:06.35472	126832	16.9	1	25
2014-03-31 15:50:11.793092	126833	46	2	10
2014-03-31 15:50:12.014638	126834	17.8	1	10
2014-03-31 15:50:19.912555	126835	55	2	9
2014-03-31 15:50:20.154188	126836	19.0	1	9
2014-03-31 15:50:20.971014	126837	51	2	8
2014-03-31 15:50:21.19214	126838	18.7	1	8
2014-03-31 15:50:31.734199	126839	58	2	1
2014-03-31 15:50:31.987311	126840	18.8	1	1
2014-03-31 15:50:42.962546	126841	60	2	24
2014-03-31 15:50:43.184485	126842	16.0	1	24
2014-03-31 15:50:45.122028	126843	52	2	25
2014-03-31 15:50:45.353707	126844	16.9	1	25
2014-03-31 15:50:50.792929	126845	46	2	10
2014-03-31 15:50:51.014154	126846	17.8	1	10
2014-03-31 15:50:59.116056	126847	55	2	9
2014-03-31 15:50:59.34931	126848	19.0	1	9
2014-03-31 15:50:59.970884	126849	51	2	8
2014-03-31 15:51:00.19338	126850	18.7	1	8
2014-03-31 15:51:10.737699	126851	58	2	1
2014-03-31 15:51:10.968191	126852	18.8	1	1
2014-03-31 15:51:21.961742	126853	60	2	24
2014-03-31 15:51:22.185313	126854	16.0	1	24
2014-03-31 15:51:24.12244	126855	52	2	25
2014-03-31 15:51:24.354495	126856	16.9	1	25
2014-03-31 15:51:29.793239	126857	46	2	10
2014-03-31 15:51:30.014977	126858	17.9	1	10
2014-03-31 15:51:31.940287	126859	482	3	2
2014-03-31 15:51:32.173093	126860	1150438.0102474226	4	2
2014-03-31 15:51:37.910528	126861	55	2	9
2014-03-31 15:51:38.132613	126862	19.0	1	9
2014-03-31 15:51:38.972457	126863	51	2	8
2014-03-31 15:51:39.203064	126864	18.7	1	8
2014-03-31 15:51:49.73461	126865	58	2	1
2014-03-31 15:51:49.957274	126866	18.9	1	1
2014-03-31 15:52:00.963437	126867	60	2	24
2014-03-31 15:52:01.194566	126868	16.0	1	24
2014-03-31 15:52:03.124702	126869	52	2	25
2014-03-31 15:52:03.345107	126870	16.9	1	25
2014-03-31 15:52:07.939438	126871	450	3	2
2014-03-31 15:52:08.170474	126872	1150442.606386308	4	2
2014-03-31 15:52:08.794429	126873	46	2	10
2014-03-31 15:52:09.014175	126874	17.9	1	10
2014-03-31 15:52:16.911504	126875	55	2	9
2014-03-31 15:52:17.14309	126876	19.0	1	9
2014-03-31 15:52:17.971504	126877	51	2	8
2014-03-31 15:52:18.193524	126878	18.7	1	8
2014-03-31 15:52:19.939668	126879	450	3	2
2014-03-31 15:52:20.170865	126880	1150443.7554210296	4	2
2014-03-31 15:52:28.737474	126881	58	2	1
2014-03-31 15:52:28.962067	126882	18.9	1	1
2014-03-31 15:52:31.943736	126883	450	3	2
2014-03-31 15:52:32.186885	126884	1150446.0534904725	4	2
2014-03-31 15:52:39.960663	126885	60	2	24
2014-03-31 15:52:40.185087	126886	16.0	1	24
2014-03-31 15:52:42.121931	126887	52	2	25
2014-03-31 15:52:42.353428	126888	16.9	1	25
2014-03-31 15:52:47.797614	126889	46	2	10
2014-03-31 15:52:48.017309	126890	17.9	1	10
2014-03-31 15:52:55.911497	126891	55	2	9
2014-03-31 15:52:56.142949	126892	19.0	1	9
2014-03-31 15:52:56.972468	126893	51	2	8
2014-03-31 15:52:57.19178	126894	18.7	1	8
2014-03-31 15:53:07.735302	126895	58	2	1
2014-03-31 15:53:07.968547	126896	18.9	1	1
2014-03-31 15:53:18.960351	126897	60	2	24
2014-03-31 15:53:19.181199	126898	16.0	1	24
2014-03-31 15:53:21.120987	126899	52	2	25
2014-03-31 15:53:21.352589	126900	16.9	1	25
2014-03-31 15:53:26.794514	126901	46	2	10
2014-03-31 15:53:27.017986	126902	17.9	1	10
2014-03-31 15:53:31.941309	126903	450	3	2
2014-03-31 15:53:32.175387	126904	1150452.9476988008	4	2
2014-03-31 15:53:34.913011	126905	55	2	9
2014-03-31 15:53:35.134524	126906	19.0	1	9
2014-03-31 15:53:35.974248	126907	51	2	8
2014-03-31 15:53:36.203652	126908	18.7	1	8
2014-03-31 15:53:46.736377	126909	58	2	1
2014-03-31 15:53:46.962885	126910	18.9	1	1
2014-03-31 15:53:57.961635	126911	60	2	24
2014-03-31 15:53:58.193976	126912	16.0	1	24
2014-03-31 15:54:00.121279	126913	52	2	25
2014-03-31 15:54:00.343003	126914	16.9	1	25
2014-03-31 15:54:05.798748	126915	46	2	10
2014-03-31 15:54:06.033489	126916	17.9	1	10
2014-03-31 15:54:13.909696	126917	55	2	9
2014-03-31 15:54:14.133133	126918	19.1	1	9
2014-03-31 15:54:14.973365	126919	51	2	8
2014-03-31 15:54:15.208139	126920	18.7	1	8
2014-03-31 15:54:25.735446	126921	58	2	1
2014-03-31 15:54:25.957607	126922	18.9	1	1
2014-03-31 15:54:31.941516	126923	450	3	2
2014-03-31 15:54:32.175183	126924	1150460.9909418507	4	2
2014-03-31 15:54:36.958504	126925	60	2	24
2014-03-31 15:54:37.188575	126926	16.0	1	24
2014-03-31 15:54:39.143351	126927	52	2	25
2014-03-31 15:54:39.374435	126928	16.9	1	25
2014-03-31 15:54:44.797805	126929	46	2	10
2014-03-31 15:54:45.01925	126930	18.0	1	10
2014-03-31 15:54:52.915464	126931	55	2	9
2014-03-31 15:54:53.16076	126932	19.1	1	9
2014-03-31 15:54:53.971827	126933	51	2	8
2014-03-31 15:54:54.194321	126934	18.7	1	8
2014-03-31 15:55:04.733955	126935	57	2	1
2014-03-31 15:55:04.965192	126936	19.0	1	1
2014-03-31 15:55:15.958009	126937	60	2	24
2014-03-31 15:55:16.18206	126938	16.1	1	24
2014-03-31 15:55:18.122468	126939	52	2	25
2014-03-31 15:55:18.35448	126940	16.9	1	25
2014-03-31 15:55:23.797769	126941	46	2	10
2014-03-31 15:55:24.020259	126942	18.0	1	10
2014-03-31 15:55:32.117006	126943	55	2	9
2014-03-31 15:55:32.34957	126944	19.1	1	9
2014-03-31 15:55:32.971893	126945	51	2	8
2014-03-31 15:55:33.19191	126946	18.8	1	8
2014-03-31 15:55:43.737789	126947	57	2	1
2014-03-31 15:55:43.969437	126948	19.0	1	1
2014-03-31 15:55:54.957367	126949	60	2	24
2014-03-31 15:55:55.180148	126950	16.1	1	24
2014-03-31 15:55:57.121465	126951	52	2	25
2014-03-31 15:55:57.354251	126952	16.9	1	25
2014-03-31 15:56:02.796623	126953	46	2	10
2014-03-31 15:56:03.017069	126954	18.0	1	10
2014-03-31 15:56:10.910906	126955	55	2	9
2014-03-31 15:56:11.142805	126956	19.1	1	9
2014-03-31 15:56:11.97227	126957	51	2	8
2014-03-31 15:56:12.19357	126958	18.8	1	8
2014-03-31 15:56:22.733305	126959	57	2	1
2014-03-31 15:56:22.965199	126960	19.0	1	1
2014-03-31 15:56:31.942435	126961	450	3	2
2014-03-31 15:56:32.1648	126962	1150475.9283932291	4	2
2014-03-31 15:56:33.960803	126963	60	2	24
2014-03-31 15:56:34.192366	126964	16.1	1	24
2014-03-31 15:56:36.119585	126965	52	2	25
2014-03-31 15:56:36.339934	126966	16.9	1	25
2014-03-31 15:56:41.797845	126967	46	2	10
2014-03-31 15:56:42.030403	126968	18.0	1	10
2014-03-31 15:56:49.911566	126969	55	2	9
2014-03-31 15:56:50.133277	126970	19.1	1	9
2014-03-31 15:56:50.972069	126971	51	2	8
2014-03-31 15:56:51.203053	126972	18.8	1	8
2014-03-31 15:57:01.733628	126973	57	2	1
2014-03-31 15:57:01.955153	126974	19.0	1	1
2014-03-31 15:57:12.957107	126975	60	2	24
2014-03-31 15:57:13.188266	126976	16.1	1	24
2014-03-31 15:57:15.120703	126977	52	2	25
2014-03-31 15:57:15.343744	126978	16.9	1	25
2014-03-31 15:57:20.797626	126979	46	2	10
2014-03-31 15:57:21.041122	126980	18.0	1	10
2014-03-31 15:57:28.912607	126981	55	2	9
2014-03-31 15:57:29.134175	126982	19.1	1	9
2014-03-31 15:57:29.972413	126983	51	2	8
2014-03-31 15:57:30.204364	126984	18.8	1	8
2014-03-31 15:57:31.940585	126985	450	3	2
2014-03-31 15:57:32.162975	126986	1150482.8226015577	4	2
2014-03-31 15:57:40.733942	126987	57	2	1
2014-03-31 15:57:40.967564	126988	19.0	1	1
2014-03-31 15:57:43.940765	126989	498	3	2
2014-03-31 15:57:44.164861	126990	1150485.1206710006	4	2
2014-03-31 15:57:51.957966	126991	60	2	24
2014-03-31 15:57:52.190366	126992	16.1	1	24
2014-03-31 15:57:54.118927	126993	52	2	25
2014-03-31 15:57:54.338949	126994	16.9	1	25
2014-03-31 15:57:59.59987	126995	498	3	2
2014-03-31 15:57:59.833776	126996	1150486.2697057219	4	2
2014-03-31 15:58:00.140878	126997	46	2	10
2014-03-31 15:58:00.36142	126998	18.1	1	10
2014-03-31 15:58:07.91817	126999	55	2	9
2014-03-31 15:58:08.150479	127000	19.1	1	9
2014-03-31 15:58:08.972378	127001	52	2	8
2014-03-31 15:58:09.193426	127002	18.8	1	8
2014-03-31 15:58:19.735637	127003	57	2	1
2014-03-31 15:58:19.968069	127004	19.1	1	1
2014-03-31 15:58:30.957233	127005	60	2	24
2014-03-31 15:58:31.179392	127006	16.1	1	24
2014-03-31 15:58:31.940035	127007	498	3	2
2014-03-31 15:58:32.171604	127008	1150490.8658446076	4	2
2014-03-31 15:58:33.122359	127009	52	2	25
2014-03-31 15:58:33.34367	127010	16.9	1	25
2014-03-31 15:58:38.799475	127011	46	2	10
2014-03-31 15:58:39.032438	127012	18.1	1	10
2014-03-31 15:58:46.913105	127013	55	2	9
2014-03-31 15:58:47.135308	127014	19.1	1	9
2014-03-31 15:58:47.973717	127015	52	2	8
2014-03-31 15:58:48.207285	127016	18.8	1	8
2014-03-31 15:58:58.734501	127017	57	2	1
2014-03-31 15:58:58.958306	127018	19.1	1	1
2014-03-31 15:59:09.958901	127019	60	2	24
2014-03-31 15:59:10.191844	127020	16.2	1	24
2014-03-31 15:59:12.122097	127021	52	2	25
2014-03-31 15:59:12.343896	127022	16.9	1	25
2014-03-31 15:59:17.798456	127023	46	2	10
2014-03-31 15:59:18.035538	127024	18.1	1	10
2014-03-31 15:59:25.911662	127025	55	2	9
2014-03-31 15:59:26.135928	127026	19.1	1	9
2014-03-31 15:59:26.974035	127027	52	2	8
2014-03-31 15:59:27.215818	127028	18.8	1	8
2014-03-31 15:59:31.942658	127029	498	3	2
2014-03-31 15:59:32.167095	127030	1150500.058122379	4	2
2014-03-31 15:59:37.734847	127031	57	2	1
2014-03-31 15:59:37.976517	127032	19.1	1	1
2014-03-31 15:59:48.956671	127033	60	2	24
2014-03-31 15:59:49.181681	127034	16.2	1	24
2014-03-31 15:59:51.124774	127035	52	2	25
2014-03-31 15:59:51.356122	127036	16.9	1	25
2014-03-31 15:59:56.80107	127037	46	2	10
2014-03-31 15:59:57.024273	127038	18.1	1	10
2014-03-31 16:00:04.911997	127039	55	2	9
2014-03-31 16:00:05.14401	127040	19.1	1	9
2014-03-31 16:00:05.971598	127041	52	2	8
2014-03-31 16:00:06.195861	127042	18.8	1	8
2014-03-31 16:00:16.733362	127043	57	2	1
2014-03-31 16:00:16.964877	127044	19.2	1	1
2014-03-31 16:00:27.955016	127045	60	2	24
2014-03-31 16:00:28.177381	127046	16.2	1	24
2014-03-31 16:00:30.361795	127047	52	2	25
2014-03-31 16:00:30.59255	127048	16.9	1	25
2014-03-31 16:00:31.943419	127049	482	3	2
2014-03-31 16:00:32.168186	127050	1150508.1013654289	4	2
2014-03-31 16:00:35.799935	127051	46	2	10
2014-03-31 16:00:36.031219	127052	18.2	1	10
2014-03-31 16:00:43.912675	127053	55	2	9
2014-03-31 16:00:44.135315	127054	19.1	1	9
2014-03-31 16:00:44.972516	127055	52	2	8
2014-03-31 16:00:45.202863	127056	18.8	1	8
2014-03-31 16:00:55.733664	127057	57	2	1
2014-03-31 16:00:55.956207	127058	19.2	1	1
2014-03-31 16:01:06.97934	127059	60	2	24
2014-03-31 16:01:07.2121	127060	16.2	1	24
2014-03-31 16:01:09.120702	127061	52	2	25
2014-03-31 16:01:09.341881	127062	16.9	1	25
2014-03-31 16:01:14.800694	127063	46	2	10
2014-03-31 16:01:15.031662	127064	18.2	1	10
2014-03-31 16:01:22.914345	127065	55	2	9
2014-03-31 16:01:23.139561	127066	19.1	1	9
2014-03-31 16:01:23.972638	127067	52	2	8
2014-03-31 16:01:24.204576	127068	18.8	1	8
2014-03-31 16:01:31.94201	127069	498	3	2
2014-03-31 16:01:32.16602	127070	1150516.1446084788	4	2
2014-03-31 16:01:34.731409	127071	57	2	1
2014-03-31 16:01:34.964354	127072	19.2	1	1
2014-03-31 16:01:45.954691	127073	60	2	24
2014-03-31 16:01:46.177012	127074	16.2	1	24
2014-03-31 16:01:48.118724	127075	52	2	25
2014-03-31 16:01:48.36151	127076	16.9	1	25
2014-03-31 16:01:53.80109	127077	46	2	10
2014-03-31 16:01:54.023825	127078	18.2	1	10
2014-03-31 16:02:01.913268	127079	55	2	9
2014-03-31 16:02:02.14543	127080	19.1	1	9
2014-03-31 16:02:02.97325	127081	52	2	8
2014-03-31 16:02:03.195258	127082	18.8	1	8
2014-03-31 16:02:13.735889	127083	57	2	1
2014-03-31 16:02:13.968431	127084	19.3	1	1
2014-03-31 16:02:24.9536	127085	60	2	24
2014-03-31 16:02:25.176198	127086	16.2	1	24
2014-03-31 16:02:27.121926	127087	52	2	25
2014-03-31 16:02:27.351502	127088	16.9	1	25
2014-03-31 16:02:31.941301	127089	515	3	2
2014-03-31 16:02:32.163741	127090	1150524.1878515286	4	2
2014-03-31 16:02:32.801258	127091	46	2	10
2014-03-31 16:02:33.03242	127092	18.2	1	10
2014-03-31 16:02:40.914852	127093	55	2	9
2014-03-31 16:02:41.137793	127094	19.1	1	9
2014-03-31 16:02:41.973403	127095	52	2	8
2014-03-31 16:02:42.205258	127096	18.8	1	8
2014-03-31 16:02:52.734479	127097	57	2	1
2014-03-31 16:02:52.956971	127098	19.3	1	1
2014-03-31 16:03:03.95337	127099	60	2	24
2014-03-31 16:03:04.185487	127100	16.3	1	24
2014-03-31 16:03:06.119801	127101	52	2	25
2014-03-31 16:03:06.33958	127102	16.9	1	25
2014-03-31 16:03:11.802209	127103	46	2	10
2014-03-31 16:03:12.033611	127104	18.2	1	10
2014-03-31 16:03:19.913259	127105	55	2	9
2014-03-31 16:03:20.136856	127106	19.1	1	9
2014-03-31 16:03:20.973742	127107	52	2	8
2014-03-31 16:03:21.205495	127108	18.8	1	8
2014-03-31 16:03:31.735131	127109	57	2	1
2014-03-31 16:03:31.956737	127110	19.3	1	1
2014-03-31 16:03:42.953056	127111	60	2	24
2014-03-31 16:03:43.183818	127112	16.3	1	24
2014-03-31 16:03:45.119553	127113	52	2	25
2014-03-31 16:03:45.340505	127114	16.9	1	25
2014-03-31 16:03:50.803562	127115	46	2	10
2014-03-31 16:03:51.035682	127116	18.2	1	10
2014-03-31 16:03:58.915169	127117	55	2	9
2014-03-31 16:03:59.1379	127118	19.2	1	9
2014-03-31 16:03:59.974089	127119	52	2	8
2014-03-31 16:04:00.205486	127120	18.8	1	8
2014-03-31 16:04:10.729405	127121	57	2	1
2014-03-31 16:04:10.953865	127122	19.3	1	1
2014-03-31 16:04:21.952846	127123	61	2	24
2014-03-31 16:04:22.196406	127124	16.3	1	24
2014-03-31 16:04:24.12055	127125	52	2	25
2014-03-31 16:04:24.341663	127126	16.9	1	25
2014-03-31 16:04:29.80249	127127	46	2	10
2014-03-31 16:04:30.036592	127128	18.2	1	10
2014-03-31 16:04:31.944924	127129	498	3	2
2014-03-31 16:04:32.167686	127130	1150541.42337235	4	2
2014-03-31 16:04:37.915306	127131	55	2	9
2014-03-31 16:04:38.148588	127132	19.2	1	9
2014-03-31 16:04:38.974941	127133	52	2	8
2014-03-31 16:04:39.194794	127134	18.8	1	8
2014-03-31 16:04:43.941602	127135	434	3	2
2014-03-31 16:04:44.175777	127136	1150542.5724070712	4	2
2014-03-31 16:04:49.732953	127137	57	2	1
2014-03-31 16:04:49.959451	127138	19.3	1	1
2014-03-31 16:04:55.942772	127139	434	3	2
2014-03-31 16:04:56.17766	127140	1150544.870476514	4	2
2014-03-31 16:05:00.951022	127141	61	2	24
2014-03-31 16:05:01.202318	127142	16.3	1	24
2014-03-31 16:05:03.123137	127143	52	2	25
2014-03-31 16:05:03.353479	127144	16.9	1	25
2014-03-31 16:05:08.802127	127145	46	2	10
2014-03-31 16:05:09.025933	127146	18.2	1	10
2014-03-31 16:05:16.912466	127147	55	2	9
2014-03-31 16:05:17.14692	127148	19.2	1	9
2014-03-31 16:05:17.973499	127149	52	2	8
2014-03-31 16:05:18.196758	127150	18.8	1	8
2014-03-31 16:05:28.732327	127151	57	2	1
2014-03-31 16:05:28.964686	127152	19.4	1	1
2014-03-31 16:05:31.942979	127153	450	3	2
2014-03-31 16:05:32.16524	127154	1150548.3175806783	4	2
2014-03-31 16:05:39.990274	127155	61	2	24
2014-03-31 16:05:40.224109	127156	16.3	1	24
2014-03-31 16:05:42.120357	127157	52	2	25
2014-03-31 16:05:42.344486	127158	16.9	1	25
2014-03-31 16:05:47.803704	127159	46	2	10
2014-03-31 16:05:48.04007	127160	18.2	1	10
2014-03-31 16:05:55.914993	127161	55	2	9
2014-03-31 16:05:56.138531	127162	19.2	1	9
2014-03-31 16:05:56.972643	127163	52	2	8
2014-03-31 16:05:57.204877	127164	18.8	1	8
2014-03-31 16:06:07.732916	127165	57	2	1
2014-03-31 16:06:07.954813	127166	19.4	1	1
2014-03-31 16:06:18.989675	127167	61	2	24
2014-03-31 16:06:19.222467	127168	16.3	1	24
2014-03-31 16:06:21.121706	127169	51	2	25
2014-03-31 16:06:21.343959	127170	16.8	1	25
2014-03-31 16:06:26.803025	127171	46	2	10
2014-03-31 16:06:27.044812	127172	18.3	1	10
2014-03-31 16:06:31.942686	127173	450	3	2
2014-03-31 16:06:32.169475	127174	1150556.3608237281	4	2
2014-03-31 16:06:34.914325	127175	55	2	9
2014-03-31 16:06:35.146108	127176	19.2	1	9
2014-03-31 16:06:35.974727	127177	52	2	8
2014-03-31 16:06:36.198915	127178	18.8	1	8
2014-03-31 16:06:46.730278	127179	57	2	1
2014-03-31 16:06:46.962584	127180	19.4	1	1
2014-03-31 16:06:57.949411	127181	61	2	24
2014-03-31 16:06:58.170213	127182	16.4	1	24
2014-03-31 16:07:00.119406	127183	51	2	25
2014-03-31 16:07:00.352974	127184	16.8	1	25
2014-03-31 16:07:05.804125	127185	46	2	10
2014-03-31 16:07:06.027438	127186	18.3	1	10
2014-03-31 16:07:13.915378	127187	55	2	9
2014-03-31 16:07:14.150351	127188	19.2	1	9
2014-03-31 16:07:14.972909	127189	52	2	8
2014-03-31 16:07:15.193715	127190	18.8	1	8
2014-03-31 16:07:25.731823	127191	57	2	1
2014-03-31 16:07:25.964179	127192	19.4	1	1
2014-03-31 16:07:31.944012	127193	450	3	2
2014-03-31 16:07:32.165963	127194	1150564.4040667783	4	2
2014-03-31 16:07:36.953248	127195	61	2	24
2014-03-31 16:07:37.251416	127196	16.4	1	24
2014-03-31 16:07:39.117702	127197	51	2	25
2014-03-31 16:07:39.341308	127198	16.8	1	25
2014-03-31 16:07:44.803013	127199	46	2	10
2014-03-31 16:07:45.037682	127200	18.3	1	10
2014-03-31 16:07:52.915179	127201	55	2	9
2014-03-31 16:07:53.138184	127202	19.2	1	9
2014-03-31 16:07:53.975801	127203	52	2	8
2014-03-31 16:07:54.205217	127204	18.8	1	8
2014-03-31 16:08:04.730682	127205	57	2	1
2014-03-31 16:08:04.953163	127206	19.5	1	1
2014-03-31 16:08:15.947748	127207	61	2	24
2014-03-31 16:08:16.180407	127208	16.4	1	24
2014-03-31 16:08:18.138561	127209	51	2	25
2014-03-31 16:08:18.359837	127210	16.8	1	25
2014-03-31 16:08:23.80504	127211	46	2	10
2014-03-31 16:08:24.037431	127212	18.3	1	10
2014-03-31 16:08:32.11522	127213	55	2	9
2014-03-31 16:08:32.337959	127214	19.2	1	9
2014-03-31 16:08:32.974687	127215	52	2	8
2014-03-31 16:08:33.204538	127216	18.8	1	8
2014-03-31 16:08:43.734907	127217	57	2	1
2014-03-31 16:08:43.958925	127218	19.5	1	1
2014-03-31 16:08:54.947164	127219	61	2	24
2014-03-31 16:08:55.191085	127220	16.4	1	24
2014-03-31 16:08:55.941543	127221	482	3	2
2014-03-31 16:08:56.163041	127222	1150574.745379271	4	2
2014-03-31 16:08:57.119161	127223	51	2	25
2014-03-31 16:08:57.350902	127224	16.8	1	25
2014-03-31 16:09:02.80586	127225	46	2	10
2014-03-31 16:09:03.027245	127226	18.3	1	10
2014-03-31 16:09:07.941457	127227	466	3	2
2014-03-31 16:09:08.180142	127228	1150575.8944139923	4	2
2014-03-31 16:09:10.915356	127229	55	2	9
2014-03-31 16:09:11.136428	127230	19.2	1	9
2014-03-31 16:09:11.974059	127231	52	2	8
2014-03-31 16:09:12.204553	127232	18.8	1	8
2014-03-31 16:09:22.729495	127233	57	2	1
2014-03-31 16:09:22.961945	127234	19.5	1	1
2014-03-31 16:09:31.944969	127235	450	3	2
2014-03-31 16:09:32.176992	127236	1150579.3415181565	4	2
2014-03-31 16:09:33.94938	127237	61	2	24
2014-03-31 16:09:34.173273	127238	16.4	1	24
2014-03-31 16:09:36.1196	127239	51	2	25
2014-03-31 16:09:36.349817	127240	16.8	1	25
2014-03-31 16:09:41.804312	127241	46	2	10
2014-03-31 16:09:42.028712	127242	18.3	1	10
2014-03-31 16:09:49.917387	127243	56	2	9
2014-03-31 16:09:50.149158	127244	19.2	1	9
2014-03-31 16:09:50.976781	127245	52	2	8
2014-03-31 16:09:51.197199	127246	18.8	1	8
2014-03-31 16:10:01.732434	127247	57	2	1
2014-03-31 16:10:01.966553	127248	19.5	1	1
2014-03-31 16:10:12.951913	127249	61	2	24
2014-03-31 16:10:13.177411	127250	16.5	1	24
2014-03-31 16:10:15.122464	127251	51	2	25
2014-03-31 16:10:15.354039	127252	16.8	1	25
2014-03-31 16:10:20.8048	127253	46	2	10
2014-03-31 16:10:21.029113	127254	18.3	1	10
2014-03-31 16:10:28.912699	127255	56	2	9
2014-03-31 16:10:29.146569	127256	19.2	1	9
2014-03-31 16:10:29.975966	127257	52	2	8
2014-03-31 16:10:30.198915	127258	18.8	1	8
2014-03-31 16:10:31.943756	127259	498	3	2
2014-03-31 16:10:32.17709	127260	1150587.3847612066	4	2
2014-03-31 16:10:40.730826	127261	57	2	1
2014-03-31 16:10:40.954762	127262	19.6	1	1
2014-03-31 16:10:43.942532	127263	515	3	2
2014-03-31 16:10:44.176265	127264	1150588.533795928	4	2
2014-03-31 16:10:51.946226	127265	61	2	24
2014-03-31 16:10:52.171178	127266	16.5	1	24
2014-03-31 16:10:54.120586	127267	51	2	25
2014-03-31 16:10:54.36219	127268	16.8	1	25
2014-03-31 16:10:59.804771	127269	46	2	10
2014-03-31 16:11:00.026524	127270	18.4	1	10
2014-03-31 16:11:07.919824	127271	56	2	9
2014-03-31 16:11:08.156428	127272	19.2	1	9
2014-03-31 16:11:08.975981	127273	52	2	8
2014-03-31 16:11:09.199611	127274	18.8	1	8
2014-03-31 16:11:19.728774	127275	57	2	1
2014-03-31 16:11:19.959537	127276	19.6	1	1
2014-03-31 16:11:31.185391	127277	61	2	24
2014-03-31 16:11:31.40685	127278	16.5	1	24
2014-03-31 16:11:31.94112	127279	531	3	2
2014-03-31 16:11:32.173635	127280	1150595.4280042564	4	2
2014-03-31 16:11:33.119331	127281	51	2	25
2014-03-31 16:11:33.341233	127282	16.8	1	25
2014-03-31 16:11:38.805613	127283	46	2	10
2014-03-31 16:11:39.037111	127284	18.4	1	10
2014-03-31 16:11:46.915008	127285	56	2	9
2014-03-31 16:11:47.13702	127286	19.2	1	9
2014-03-31 16:11:47.974799	127287	52	2	8
2014-03-31 16:11:48.207232	127288	18.8	1	8
2014-03-31 16:11:58.728931	127289	57	2	1
2014-03-31 16:11:58.951394	127290	19.6	1	1
2014-03-31 16:12:09.944135	127291	61	2	24
2014-03-31 16:12:10.175412	127292	16.5	1	24
2014-03-31 16:12:12.117685	127293	51	2	25
2014-03-31 16:12:12.343915	127294	16.8	1	25
2014-03-31 16:12:17.805605	127295	46	2	10
2014-03-31 16:12:18.040835	127296	18.4	1	10
2014-03-31 16:12:19.942019	127297	498	3	2
2014-03-31 16:12:20.164154	127298	1150602.3222125848	4	2
2014-03-31 16:12:25.917045	127299	56	2	9
2014-03-31 16:12:26.149395	127300	19.2	1	9
2014-03-31 16:12:26.976855	127301	52	2	8
2014-03-31 16:12:27.199565	127302	18.8	1	8
2014-03-31 16:12:31.948051	127303	498	3	2
2014-03-31 16:12:32.180365	127304	1150603.4712473063	4	2
2014-03-31 16:12:37.729533	127305	57	2	1
2014-03-31 16:12:37.957762	127306	19.6	1	1
2014-03-31 16:12:48.944666	127307	61	2	24
2014-03-31 16:12:49.176021	127308	16.5	1	24
2014-03-31 16:12:51.118917	127309	51	2	25
2014-03-31 16:12:51.340662	127310	16.8	1	25
2014-03-31 16:12:56.805847	127311	46	2	10
2014-03-31 16:12:57.038949	127312	18.4	1	10
2014-03-31 16:13:04.917597	127313	56	2	9
2014-03-31 16:13:05.140083	127314	19.2	1	9
2014-03-31 16:13:05.975671	127315	52	2	8
2014-03-31 16:13:06.218035	127316	18.8	1	8
2014-03-31 16:13:16.728413	127317	57	2	1
2014-03-31 16:13:16.949416	127318	19.6	1	1
2014-03-31 16:13:28.184011	127319	61	2	24
2014-03-31 16:13:28.42317	127320	16.5	1	24
2014-03-31 16:13:30.116248	127321	51	2	25
2014-03-31 16:13:30.339073	127322	16.8	1	25
2014-03-31 16:13:31.943645	127323	515	3	2
2014-03-31 16:13:32.17523	127324	1150612.6635250775	4	2
2014-03-31 16:13:35.807363	127325	46	2	10
2014-03-31 16:13:36.028638	127326	18.4	1	10
2014-03-31 16:13:43.914793	127327	56	2	9
2014-03-31 16:13:44.146777	127328	19.2	1	9
2014-03-31 16:13:44.976108	127329	52	2	8
2014-03-31 16:13:45.19925	127330	18.8	1	8
2014-03-31 16:13:55.726926	127331	57	2	1
2014-03-31 16:13:55.95916	127332	19.6	1	1
2014-03-31 16:14:06.943379	127333	61	2	24
2014-03-31 16:14:07.165292	127334	16.6	1	24
2014-03-31 16:14:09.116756	127335	51	2	25
2014-03-31 16:14:09.348417	127336	16.8	1	25
2014-03-31 16:14:14.808135	127337	46	2	10
2014-03-31 16:14:15.029924	127338	18.4	1	10
2014-03-31 16:14:22.915625	127339	56	2	9
2014-03-31 16:14:23.146754	127340	19.2	1	9
2014-03-31 16:14:23.973884	127341	52	2	8
2014-03-31 16:14:24.196857	127342	18.8	1	8
2014-03-31 16:14:31.941997	127343	498	3	2
2014-03-31 16:14:32.174489	127344	1150620.7067681274	4	2
2014-03-31 16:14:34.725337	127345	57	2	1
2014-03-31 16:14:34.950217	127346	19.7	1	1
2014-03-31 16:14:45.943726	127347	61	2	24
2014-03-31 16:14:46.176161	127348	16.6	1	24
2014-03-31 16:14:48.115747	127349	52	2	25
2014-03-31 16:14:48.337273	127350	16.8	1	25
2014-03-31 16:14:53.808193	127351	46	2	10
2014-03-31 16:14:54.044298	127352	18.4	1	10
2014-03-31 16:15:01.917643	127353	56	2	9
2014-03-31 16:15:02.140063	127354	19.2	1	9
2014-03-31 16:15:02.978237	127355	52	2	8
2014-03-31 16:15:03.210531	127356	18.8	1	8
2014-03-31 16:15:13.729382	127357	57	2	1
2014-03-31 16:15:13.953327	127358	19.7	1	1
2014-03-31 16:15:24.944776	127359	61	2	24
2014-03-31 16:15:25.176543	127360	16.6	1	24
2014-03-31 16:15:27.116927	127361	52	2	25
2014-03-31 16:15:27.338261	127362	16.8	1	25
2014-03-31 16:15:31.943119	127363	498	3	2
2014-03-31 16:15:32.191408	127364	1150628.7500111775	4	2
2014-03-31 16:15:32.806041	127365	46	2	10
2014-03-31 16:15:33.031818	127366	18.4	1	10
2014-03-31 16:15:40.921335	127367	56	2	9
2014-03-31 16:15:41.156407	127368	19.3	1	9
2014-03-31 16:15:41.975717	127369	52	2	8
2014-03-31 16:15:42.19979	127370	18.8	1	8
2014-03-31 16:15:52.728977	127371	57	2	1
2014-03-31 16:15:52.960334	127372	19.7	1	1
2014-03-31 16:15:55.941282	127373	547	3	2
2014-03-31 16:15:56.163958	127374	1150632.1971153417	4	2
2014-03-31 16:16:03.941252	127375	61	2	24
2014-03-31 16:16:04.174483	127376	16.6	1	24
2014-03-31 16:16:06.11395	127377	52	2	25
2014-03-31 16:16:06.335598	127378	16.8	1	25
2014-03-31 16:16:11.80858	127379	46	2	10
2014-03-31 16:16:12.039349	127380	18.4	1	10
2014-03-31 16:16:20.119404	127381	56	2	9
2014-03-31 16:16:20.342059	127382	19.2	1	9
2014-03-31 16:16:20.975498	127383	52	2	8
2014-03-31 16:16:21.208863	127384	18.8	1	8
2014-03-31 16:16:31.729197	127385	57	2	1
2014-03-31 16:16:31.954072	127386	19.7	1	1
2014-03-31 16:16:42.945245	127387	61	2	24
2014-03-31 16:16:43.178263	127388	16.6	1	24
2014-03-31 16:16:45.117406	127389	52	2	25
2014-03-31 16:16:45.342432	127390	16.8	1	25
2014-03-31 16:16:50.808167	127391	46	2	10
2014-03-31 16:16:51.039775	127392	18.4	1	10
2014-03-31 16:16:58.915823	127393	56	2	9
2014-03-31 16:16:59.137435	127394	19.3	1	9
2014-03-31 16:16:59.974993	127395	52	2	8
2014-03-31 16:17:00.20872	127396	18.8	1	8
2014-03-31 16:17:10.728113	127397	57	2	1
2014-03-31 16:17:10.951895	127398	19.7	1	1
2014-03-31 16:17:21.979841	127399	61	2	24
2014-03-31 16:17:22.211928	127400	16.6	1	24
2014-03-31 16:17:24.118488	127401	52	2	25
2014-03-31 16:17:24.343603	127402	16.8	1	25
2014-03-31 16:17:29.810684	127403	46	2	10
2014-03-31 16:17:30.041842	127404	18.5	1	10
2014-03-31 16:17:31.942932	127405	498	3	2
2014-03-31 16:17:32.164779	127406	1150644.8409682293	4	2
2014-03-31 16:17:37.917423	127407	56	2	9
2014-03-31 16:17:38.152359	127408	19.3	1	9
2014-03-31 16:17:38.979537	127409	52	2	8
2014-03-31 16:17:39.203537	127410	18.8	1	8
2014-03-31 16:17:49.72805	127411	57	2	1
2014-03-31 16:17:49.97392	127412	19.7	1	1
2014-03-31 16:18:00.93801	127413	61	2	24
2014-03-31 16:18:01.161282	127414	16.7	1	24
2014-03-31 16:18:03.116123	127415	52	2	25
2014-03-31 16:18:03.346638	127416	16.8	1	25
2014-03-31 16:18:08.809061	127417	46	2	10
2014-03-31 16:18:09.035656	127418	18.5	1	10
2014-03-31 16:18:16.916101	127419	56	2	9
2014-03-31 16:18:17.148491	127420	19.3	1	9
2014-03-31 16:18:17.975955	127421	52	2	8
2014-03-31 16:18:18.199976	127422	18.8	1	8
2014-03-31 16:18:28.725965	127423	57	2	1
2014-03-31 16:18:28.956978	127424	19.7	1	1
2014-03-31 16:18:31.942196	127425	498	3	2
2014-03-31 16:18:32.163883	127426	1150652.8842112792	4	2
2014-03-31 16:18:39.939252	127427	61	2	24
2014-03-31 16:18:40.171179	127428	16.7	1	24
2014-03-31 16:18:42.114437	127429	52	2	25
2014-03-31 16:18:42.336239	127430	16.8	1	25
2014-03-31 16:18:47.809087	127431	46	2	10
2014-03-31 16:18:48.044031	127432	18.5	1	10
2014-03-31 16:18:55.917325	127433	56	2	9
2014-03-31 16:18:56.138782	127434	19.3	1	9
2014-03-31 16:18:56.975751	127435	53	2	8
2014-03-31 16:18:57.209029	127436	18.8	1	8
2014-03-31 16:19:07.727921	127437	57	2	1
2014-03-31 16:19:07.951113	127438	19.8	1	1
2014-03-31 16:19:18.938468	127439	61	2	24
2014-03-31 16:19:19.16934	127440	16.7	1	24
2014-03-31 16:19:21.115706	127441	52	2	25
2014-03-31 16:19:21.336975	127442	16.8	1	25
2014-03-31 16:19:26.813442	127443	46	2	10
2014-03-31 16:19:27.044925	127444	18.5	1	10
2014-03-31 16:19:31.942361	127445	498	3	2
2014-03-31 16:19:32.168627	127446	1150662.0764890506	4	2
2014-03-31 16:19:34.916329	127447	56	2	9
2014-03-31 16:19:35.146843	127448	19.3	1	9
2014-03-31 16:19:35.975947	127449	53	2	8
2014-03-31 16:19:36.199796	127450	18.8	1	8
2014-03-31 16:19:46.724631	127451	57	2	1
2014-03-31 16:19:46.958977	127452	19.8	1	1
2014-03-31 16:19:55.942225	127453	595	3	2
2014-03-31 16:19:56.164643	127454	1150665.5235932148	4	2
2014-03-31 16:19:57.93728	127455	61	2	24
2014-03-31 16:19:58.168763	127456	16.7	1	24
2014-03-31 16:20:00.116739	127457	52	2	25
2014-03-31 16:20:00.33827	127458	16.8	1	25
2014-03-31 16:20:06.018795	127459	46	2	10
2014-03-31 16:20:06.262929	127460	18.5	1	10
2014-03-31 16:20:07.942412	127461	595	3	2
2014-03-31 16:20:08.164886	127462	1150666.6726279364	4	2
2014-03-31 16:20:13.919271	127463	56	2	9
2014-03-31 16:20:14.151892	127464	19.3	1	9
2014-03-31 16:20:14.976542	127465	52	2	8
2014-03-31 16:20:15.200011	127466	18.8	1	8
2014-03-31 16:20:25.724458	127467	57	2	1
2014-03-31 16:20:25.95971	127468	19.8	1	1
2014-03-31 16:20:31.944726	127469	595	3	2
2014-03-31 16:20:32.167593	127470	1150671.268766822	4	2
2014-03-31 16:20:36.938861	127471	61	2	24
2014-03-31 16:20:37.174522	127472	16.7	1	24
2014-03-31 16:20:39.115425	127473	52	2	25
2014-03-31 16:20:39.336265	127474	16.9	1	25
2014-03-31 16:20:44.809923	127475	46	2	10
2014-03-31 16:20:45.043626	127476	18.5	1	10
2014-03-31 16:20:52.918022	127477	56	2	9
2014-03-31 16:20:53.144013	127478	19.3	1	9
2014-03-31 16:20:53.97583	127479	52	2	8
2014-03-31 16:20:54.209243	127480	18.8	1	8
2014-03-31 16:21:04.724122	127481	57	2	1
2014-03-31 16:21:04.947563	127482	19.8	1	1
2014-03-31 16:21:15.937742	127483	61	2	24
2014-03-31 16:21:16.171449	127484	16.7	1	24
2014-03-31 16:21:18.117658	127485	52	2	25
2014-03-31 16:21:18.339723	127486	16.9	1	25
2014-03-31 16:21:23.809829	127487	46	2	10
2014-03-31 16:21:24.040585	127488	18.5	1	10
2014-03-31 16:21:32.121857	127489	56	2	9
2014-03-31 16:21:32.345686	127490	19.3	1	9
2014-03-31 16:21:32.974384	127491	52	2	8
2014-03-31 16:21:33.210785	127492	18.8	1	8
2014-03-31 16:21:43.765517	127493	57	2	1
2014-03-31 16:21:44.350159	127494	19.8	1	1
2014-03-31 16:21:54.934889	127495	61	2	24
2014-03-31 16:21:55.209484	127496	16.8	1	24
2014-03-31 16:21:55.942036	127497	659	3	2
2014-03-31 16:21:56.201564	127498	1150685.057183479	4	2
2014-03-31 16:21:57.114416	127499	52	2	25
2014-03-31 16:21:57.849036	127500	16.9	1	25
2014-03-31 16:22:02.812063	127501	46	2	10
2014-03-31 16:22:03.051592	127502	18.6	1	10
2014-03-31 16:22:07.93988	127503	643	3	2
2014-03-31 16:22:08.250249	127504	1150687.3552529218	4	2
2014-03-31 16:22:10.918831	127505	56	2	9
2014-03-31 16:22:11.59217	127506	19.3	1	9
2014-03-31 16:22:11.976952	127507	53	2	8
2014-03-31 16:22:12.222552	127508	18.8	1	8
2014-03-31 16:22:22.726189	127509	57	2	1
2014-03-31 16:22:22.948609	127510	19.8	1	1
2014-03-31 16:22:31.940995	127511	595	3	2
2014-03-31 16:22:32.174104	127512	1150691.9513918075	4	2
2014-03-31 16:22:33.933031	127513	61	2	24
2014-03-31 16:22:34.154206	127514	16.8	1	24
2014-03-31 16:22:36.11517	127515	52	2	25
2014-03-31 16:22:36.348693	127516	16.9	1	25
2014-03-31 16:22:41.810071	127517	46	2	10
2014-03-31 16:22:42.031535	127518	18.6	1	10
2014-03-31 16:22:43.941908	127519	595	3	2
2014-03-31 16:22:44.174146	127520	1150693.1004265288	4	2
2014-03-31 16:22:49.913071	127521	56	2	9
2014-03-31 16:22:50.135099	127522	19.3	1	9
2014-03-31 16:22:50.974494	127523	53	2	8
2014-03-31 16:22:51.207987	127524	18.8	1	8
2014-03-31 16:23:01.721451	127525	57	2	1
2014-03-31 16:23:01.943867	127526	19.8	1	1
2014-03-31 16:23:12.935979	127527	61	2	24
2014-03-31 16:23:13.166113	127528	16.8	1	24
2014-03-31 16:23:15.113628	127529	52	2	25
2014-03-31 16:23:15.335458	127530	16.9	1	25
2014-03-31 16:23:19.942469	127531	627	3	2
2014-03-31 16:23:20.176155	127532	1150699.9946348574	4	2
2014-03-31 16:23:20.810558	127533	46	2	10
2014-03-31 16:23:21.033232	127534	18.6	1	10
2014-03-31 16:23:28.916033	127535	56	2	9
2014-03-31 16:23:29.170088	127536	19.3	1	9
2014-03-31 16:23:29.976014	127537	53	2	8
2014-03-31 16:23:30.197162	127538	18.8	1	8
2014-03-31 16:23:31.942441	127539	643	3	2
2014-03-31 16:23:32.174184	127540	1150702.2927043003	4	2
2014-03-31 16:23:40.722086	127541	57	2	1
2014-03-31 16:23:40.943466	127542	19.8	1	1
2014-03-31 16:23:51.933237	127543	61	2	24
2014-03-31 16:23:52.165055	127544	16.8	1	24
2014-03-31 16:23:54.115437	127545	52	2	25
2014-03-31 16:23:54.336274	127546	16.9	1	25
2014-03-31 16:23:59.811156	127547	46	2	10
2014-03-31 16:24:00.0427	127548	18.6	1	10
2014-03-31 16:24:07.917725	127549	56	2	9
2014-03-31 16:24:08.139813	127550	19.3	1	9
2014-03-31 16:24:08.975756	127551	53	2	8
2014-03-31 16:24:09.208791	127552	18.8	1	8
2014-03-31 16:24:19.723876	127553	57	2	1
2014-03-31 16:24:19.94863	127554	19.8	1	1
2014-03-31 16:24:30.932999	127555	61	2	24
2014-03-31 16:24:31.175177	127556	16.8	1	24
2014-03-31 16:24:31.942872	127557	643	3	2
2014-03-31 16:24:32.163138	127558	1150712.634016793	4	2
2014-03-31 16:24:33.114956	127559	52	2	25
2014-03-31 16:24:33.53102	127560	16.9	1	25
2014-03-31 16:24:38.81234	127561	46	2	10
2014-03-31 16:24:39.03338	127562	18.6	1	10
2014-03-31 16:24:46.920188	127563	56	2	9
2014-03-31 16:24:47.141022	127564	19.3	1	9
2014-03-31 16:24:47.974263	127565	53	2	8
2014-03-31 16:24:48.20603	127566	18.8	1	8
2014-03-31 16:24:58.721871	127567	57	2	1
2014-03-31 16:24:58.94513	127568	19.8	1	1
2014-03-31 16:25:09.932137	127569	61	2	24
2014-03-31 16:25:10.163471	127570	16.8	1	24
2014-03-31 16:25:12.113297	127571	52	2	25
2014-03-31 16:25:12.333977	127572	16.9	1	25
2014-03-31 16:25:17.813745	127573	46	2	10
2014-03-31 16:25:18.043283	127574	18.6	1	10
2014-03-31 16:25:25.920038	127575	56	2	9
2014-03-31 16:25:26.141178	127576	19.3	1	9
2014-03-31 16:25:26.976475	127577	53	2	8
2014-03-31 16:25:27.208259	127578	18.8	1	8
2014-03-31 16:25:31.947458	127579	643	3	2
2014-03-31 16:25:32.168533	127580	1150722.9753292857	4	2
2014-03-31 16:25:37.740051	127581	57	2	1
2014-03-31 16:25:37.972959	127582	19.9	1	1
2014-03-31 16:25:48.930427	127583	61	2	24
2014-03-31 16:25:49.152982	127584	16.8	1	24
2014-03-31 16:25:51.112423	127585	52	2	25
2014-03-31 16:25:51.343334	127586	16.9	1	25
2014-03-31 16:25:56.814178	127587	46	2	10
2014-03-31 16:25:57.036245	127588	18.6	1	10
2014-03-31 16:26:04.915484	127589	56	2	9
2014-03-31 16:26:05.147924	127590	19.4	1	9
2014-03-31 16:26:05.977989	127591	53	2	8
2014-03-31 16:26:06.202199	127592	18.8	1	8
2014-03-31 16:26:16.721949	127593	57	2	1
2014-03-31 16:26:16.95268	127594	19.9	1	1
2014-03-31 16:26:27.931876	127595	61	2	24
2014-03-31 16:26:28.154827	127596	16.9	1	24
2014-03-31 16:26:30.116415	127597	52	2	25
2014-03-31 16:26:30.345686	127598	16.9	1	25
2014-03-31 16:26:31.940374	127599	643	3	2
2014-03-31 16:26:32.163467	127600	1150733.3166417785	4	2
2014-03-31 16:26:35.811553	127601	46	2	10
2014-03-31 16:26:36.043013	127602	18.6	1	10
2014-03-31 16:26:43.915952	127603	56	2	9
2014-03-31 16:26:44.140078	127604	19.4	1	9
2014-03-31 16:26:44.982726	127605	53	2	8
2014-03-31 16:26:45.227277	127606	18.8	1	8
2014-03-31 16:26:55.722092	127607	57	2	1
2014-03-31 16:26:55.942963	127608	19.9	1	1
2014-03-31 16:27:06.928507	127609	61	2	24
2014-03-31 16:27:07.162331	127610	16.9	1	24
2014-03-31 16:27:09.112414	127611	52	2	25
2014-03-31 16:27:09.335532	127612	16.9	1	25
2014-03-31 16:27:14.814037	127613	46	2	10
2014-03-31 16:27:15.044257	127614	18.7	1	10
2014-03-31 16:27:22.919539	127615	56	2	9
2014-03-31 16:27:23.141155	127616	19.4	1	9
2014-03-31 16:27:23.976037	127617	53	2	8
2014-03-31 16:27:24.207409	127618	18.8	1	8
2014-03-31 16:27:31.94251	127619	627	3	2
2014-03-31 16:27:32.163583	127620	1150744.8069889925	4	2
2014-03-31 16:27:34.720543	127621	57	2	1
2014-03-31 16:27:34.950773	127622	19.9	1	1
2014-03-31 16:27:45.930334	127623	61	2	24
2014-03-31 16:27:46.153236	127624	16.9	1	24
2014-03-31 16:27:48.113909	127625	52	2	25
2014-03-31 16:27:48.345954	127626	16.9	1	25
2014-03-31 16:27:53.813168	127627	46	2	10
2014-03-31 16:27:54.035077	127628	18.7	1	10
2014-03-31 16:28:01.917043	127629	56	2	9
2014-03-31 16:28:02.149831	127630	19.4	1	9
2014-03-31 16:28:02.975925	127631	53	2	8
2014-03-31 16:28:03.19726	127632	18.8	1	8
2014-03-31 16:28:13.720903	127633	57	2	1
2014-03-31 16:28:13.950347	127634	19.9	1	1
2014-03-31 16:28:24.928904	127635	61	2	24
2014-03-31 16:28:25.150102	127636	16.9	1	24
2014-03-31 16:28:27.113058	127637	52	2	25
2014-03-31 16:28:27.343685	127638	16.9	1	25
2014-03-31 16:28:32.009343	127639	627	3	2
2014-03-31 16:28:32.230985	127640	1150755.1483014852	4	2
2014-03-31 16:28:32.813775	127641	46	2	10
2014-03-31 16:28:33.044413	127642	18.7	1	10
2014-03-31 16:28:40.950706	127643	56	2	9
2014-03-31 16:28:41.369774	127644	19.4	1	9
2014-03-31 16:28:42.102471	127645	53	2	8
2014-03-31 16:28:42.543756	127646	18.8	1	8
2014-03-31 16:28:52.72259	127647	57	2	1
2014-03-31 16:28:52.946338	127648	19.9	1	1
2014-03-31 16:29:03.943478	127649	61	2	24
2014-03-31 16:29:04.181259	127650	16.9	1	24
2014-03-31 16:29:06.113037	127651	52	2	25
2014-03-31 16:29:06.334033	127652	16.9	1	25
2014-03-31 16:29:11.83095	127653	46	2	10
2014-03-31 16:29:12.099494	127654	18.7	1	10
2014-03-31 16:29:19.916684	127655	56	2	9
2014-03-31 16:29:20.137479	127656	19.4	1	9
2014-03-31 16:29:20.97471	127657	53	2	8
2014-03-31 16:29:21.207156	127658	18.8	1	8
2014-03-31 16:29:31.719998	127659	56	2	1
2014-03-31 16:29:31.940365	127660	20.0	1	1
2014-03-31 16:29:42.929343	127661	61	2	24
2014-03-31 16:29:43.163662	127662	16.9	1	24
2014-03-31 16:29:43.943308	127663	579	3	2
2014-03-31 16:29:44.164808	127664	1150767.7876834208	4	2
2014-03-31 16:29:45.11228	127665	52	2	25
2014-03-31 16:29:45.353726	127666	16.9	1	25
2014-03-31 16:29:50.815529	127667	46	2	10
2014-03-31 16:29:51.037874	127668	18.7	1	10
2014-03-31 16:29:55.943467	127669	595	3	2
2014-03-31 16:29:56.178791	127670	1150770.0857528637	4	2
2014-03-31 16:29:58.917719	127671	56	2	9
2014-03-31 16:29:59.137629	127672	19.4	1	9
2014-03-31 16:29:59.974955	127673	53	2	8
2014-03-31 16:30:00.20685	127674	18.8	1	8
2014-03-31 16:30:10.719076	127675	56	2	1
2014-03-31 16:30:10.943291	127676	20.0	1	1
2014-03-31 16:30:21.929575	127677	61	2	24
2014-03-31 16:30:22.161092	127678	16.9	1	24
2014-03-31 16:30:24.111393	127679	52	2	25
2014-03-31 16:30:24.33244	127680	16.9	1	25
2014-03-31 16:30:29.816974	127681	47	2	10
2014-03-31 16:30:30.048153	127682	18.7	1	10
2014-03-31 16:30:31.94286	127683	579	3	2
2014-03-31 16:30:32.165975	127684	1150775.8309264707	4	2
2014-03-31 16:30:37.919681	127685	56	2	9
2014-03-31 16:30:38.150366	127686	19.5	1	9
2014-03-31 16:30:38.975684	127687	53	2	8
2014-03-31 16:30:39.198577	127688	18.8	1	8
2014-03-31 16:30:49.719657	127689	56	2	1
2014-03-31 16:30:49.95165	127690	20.0	1	1
2014-03-31 16:31:00.935061	127691	60	2	24
2014-03-31 16:31:01.155674	127692	17.0	1	24
2014-03-31 16:31:03.112612	127693	52	2	25
2014-03-31 16:31:03.343647	127694	16.9	1	25
2014-03-31 16:31:08.814894	127695	47	2	10
2014-03-31 16:31:09.039435	127696	18.7	1	10
2014-03-31 16:31:16.919085	127697	56	2	9
2014-03-31 16:31:17.152509	127698	19.5	1	9
2014-03-31 16:31:17.977458	127699	53	2	8
2014-03-31 16:31:18.197419	127700	18.8	1	8
2014-03-31 16:31:28.716745	127701	56	2	1
2014-03-31 16:31:28.960012	127702	20.0	1	1
2014-03-31 16:31:31.940492	127703	595	3	2
2014-03-31 16:31:32.162507	127704	1150785.023204242	4	2
2014-03-31 16:31:39.924722	127705	60	2	24
2014-03-31 16:31:40.156607	127706	17.0	1	24
2014-03-31 16:31:42.11224	127707	52	2	25
2014-03-31 16:31:42.331205	127708	16.9	1	25
2014-03-31 16:31:47.814972	127709	47	2	10
2014-03-31 16:31:48.049159	127710	18.7	1	10
2014-03-31 16:31:55.915053	127711	56	2	9
2014-03-31 16:31:56.137227	127712	19.5	1	9
2014-03-31 16:31:56.974192	127713	53	2	8
2014-03-31 16:31:57.206251	127714	18.8	1	8
2014-03-31 16:32:07.719162	127715	56	2	1
2014-03-31 16:32:07.99426	127716	20.0	1	1
2014-03-31 16:32:18.925464	127717	60	2	24
2014-03-31 16:32:19.160018	127718	17.0	1	24
2014-03-31 16:32:21.111265	127719	52	2	25
2014-03-31 16:32:21.33315	127720	16.9	1	25
2014-03-31 16:32:26.815166	127721	47	2	10
2014-03-31 16:32:27.050907	127722	18.7	1	10
2014-03-31 16:32:31.942781	127723	595	3	2
2014-03-31 16:32:32.168995	127724	1150795.3645167348	4	2
2014-03-31 16:32:34.917911	127725	56	2	9
2014-03-31 16:32:35.147123	127726	19.5	1	9
2014-03-31 16:32:35.975466	127727	53	2	8
2014-03-31 16:32:36.198567	127728	18.8	1	8
2014-03-31 16:32:46.716625	127729	56	2	1
2014-03-31 16:32:46.950531	127730	20.0	1	1
2014-03-31 16:32:57.924704	127731	60	2	24
2014-03-31 16:32:58.147324	127732	17.0	1	24
2014-03-31 16:33:00.111546	127733	52	2	25
2014-03-31 16:33:00.343895	127734	16.9	1	25
2014-03-31 16:33:05.815154	127735	47	2	10
2014-03-31 16:33:06.039176	127736	18.8	1	10
2014-03-31 16:33:13.91757	127737	56	2	9
2014-03-31 16:33:14.149266	127738	19.5	1	9
2014-03-31 16:33:14.975936	127739	53	2	8
2014-03-31 16:33:15.19537	127740	18.8	1	8
2014-03-31 16:33:25.720313	127741	56	2	1
2014-03-31 16:33:25.951266	127742	20.0	1	1
2014-03-31 16:33:31.942408	127743	579	3	2
2014-03-31 16:33:32.164202	127744	1150805.7058292276	4	2
2014-03-31 16:33:36.924364	127745	60	2	24
2014-03-31 16:33:37.156278	127746	17.0	1	24
2014-03-31 16:33:39.111357	127747	52	2	25
2014-03-31 16:33:39.333818	127748	16.9	1	25
2014-03-31 16:33:44.815919	127749	47	2	10
2014-03-31 16:33:45.060006	127750	18.8	1	10
2014-03-31 16:33:52.91571	127751	56	2	9
2014-03-31 16:33:53.137964	127752	19.5	1	9
2014-03-31 16:33:53.976352	127753	53	2	8
2014-03-31 16:33:54.205456	127754	18.8	1	8
2014-03-31 16:34:04.72072	127755	56	2	1
2014-03-31 16:34:04.94319	127756	20.1	1	1
2014-03-31 16:34:07.999086	127757	498	3	2
2014-03-31 16:34:08.230279	127758	1150811.4510028346	4	2
2014-03-31 16:34:15.924106	127759	60	2	24
2014-03-31 16:34:16.146464	127760	17.0	1	24
2014-03-31 16:34:18.110123	127761	52	2	25
2014-03-31 16:34:18.339505	127762	16.9	1	25
2014-03-31 16:34:19.942557	127763	498	3	2
2014-03-31 16:34:20.164585	127764	1150812.600037556	4	2
2014-03-31 16:34:23.816146	127765	47	2	10
2014-03-31 16:34:24.051212	127766	18.8	1	10
2014-03-31 16:34:32.116738	127767	56	2	9
2014-03-31 16:34:32.338732	127768	19.5	1	9
2014-03-31 16:34:32.975327	127769	53	2	8
2014-03-31 16:34:33.20623	127770	18.8	1	8
2014-03-31 16:34:43.720015	127771	56	2	1
2014-03-31 16:34:43.943146	127772	20.1	1	1
2014-03-31 16:34:54.921701	127773	60	2	24
2014-03-31 16:34:55.154078	127774	17.0	1	24
2014-03-31 16:34:57.112156	127775	52	2	25
2014-03-31 16:34:57.33365	127776	16.9	1	25
2014-03-31 16:35:02.816996	127777	47	2	10
2014-03-31 16:35:03.048744	127778	18.8	1	10
2014-03-31 16:35:10.914991	127779	56	2	9
2014-03-31 16:35:11.136318	127780	19.5	1	9
2014-03-31 16:35:11.977181	127781	53	2	8
2014-03-31 16:35:12.20858	127782	18.8	1	8
2014-03-31 16:35:22.719757	127783	56	2	1
2014-03-31 16:35:22.943516	127784	20.1	1	1
2014-03-31 16:35:31.942034	127785	515	3	2
2014-03-31 16:35:32.174851	127786	1150822.9413500486	4	2
2014-03-31 16:35:33.921449	127787	60	2	24
2014-03-31 16:35:34.143481	127788	17.1	1	24
2014-03-31 16:35:36.111208	127789	52	2	25
2014-03-31 16:35:36.347003	127790	16.9	1	25
2014-03-31 16:35:41.818495	127791	47	2	10
2014-03-31 16:35:42.045188	127792	18.8	1	10
2014-03-31 16:35:43.941965	127793	579	3	2
2014-03-31 16:35:44.172427	127794	1150825.2394194915	4	2
2014-03-31 16:35:49.916276	127795	56	2	9
2014-03-31 16:35:50.137794	127796	19.5	1	9
2014-03-31 16:35:50.977038	127797	53	2	8
2014-03-31 16:35:51.218941	127798	18.8	1	8
2014-03-31 16:35:55.947302	127799	579	3	2
2014-03-31 16:35:56.168201	127800	1150826.388454213	4	2
2014-03-31 16:36:01.715974	127801	56	2	1
2014-03-31 16:36:01.954642	127802	20.1	1	1
2014-03-31 16:36:07.982733	127803	547	3	2
2014-03-31 16:36:08.221886	127804	1150828.686523656	4	2
2014-03-31 16:36:12.922346	127805	60	2	24
2014-03-31 16:36:13.159645	127806	17.1	1	24
2014-03-31 16:36:15.10861	127807	52	2	25
2014-03-31 16:36:15.327934	127808	16.9	1	25
2014-03-31 16:36:19.94385	127809	579	3	2
2014-03-31 16:36:20.177111	127810	1150829.8355583772	4	2
2014-03-31 16:36:20.817501	127811	47	2	10
2014-03-31 16:36:21.041387	127812	18.8	1	10
2014-03-31 16:36:28.918658	127813	56	2	9
2014-03-31 16:36:29.150308	127814	19.5	1	9
2014-03-31 16:36:29.976508	127815	53	2	8
2014-03-31 16:36:30.197804	127816	18.8	1	8
2014-03-31 16:36:31.94411	127817	547	3	2
2014-03-31 16:36:32.175376	127818	1150832.13362782	4	2
2014-03-31 16:36:40.718724	127819	56	2	1
2014-03-31 16:36:40.943527	127820	20.1	1	1
2014-03-31 16:36:43.941409	127821	547	3	2
2014-03-31 16:36:44.174846	127822	1150834.431697263	4	2
2014-03-31 16:36:51.919808	127823	60	2	24
2014-03-31 16:36:52.14395	127824	17.1	1	24
2014-03-31 16:36:54.111154	127825	52	2	25
2014-03-31 16:36:54.34318	127826	16.9	1	25
2014-03-31 16:36:59.818095	127827	47	2	10
2014-03-31 16:37:00.043748	127828	18.8	1	10
2014-03-31 16:37:07.91852	127829	56	2	9
2014-03-31 16:37:08.206939	127830	19.5	1	9
2014-03-31 16:37:08.975604	127831	53	2	8
2014-03-31 16:37:09.197041	127832	18.8	1	8
2014-03-31 16:37:19.71952	127833	56	2	1
2014-03-31 16:37:19.950563	127834	20.1	1	1
2014-03-31 16:37:30.921748	127835	60	2	24
2014-03-31 16:37:31.144826	127836	17.1	1	24
2014-03-31 16:37:31.941913	127837	579	3	2
2014-03-31 16:37:32.17478	127838	1150841.3259055915	4	2
2014-03-31 16:37:33.119538	127839	52	2	25
2014-03-31 16:37:33.339863	127840	16.9	1	25
2014-03-31 16:37:38.822903	127841	47	2	10
2014-03-31 16:37:39.083834	127842	18.9	1	10
2014-03-31 16:37:46.91556	127843	56	2	9
2014-03-31 16:37:47.136484	127844	19.5	1	9
2014-03-31 16:37:47.975997	127845	53	2	8
2014-03-31 16:37:48.22015	127846	18.8	1	8
2014-03-31 16:37:58.95153	127847	56	2	1
2014-03-31 16:37:59.173489	127848	20.1	1	1
2014-03-31 16:38:07.941346	127849	547	3	2
2014-03-31 16:38:08.232234	127850	1150847.0710791985	4	2
2014-03-31 16:38:09.920123	127851	60	2	24
2014-03-31 16:38:10.140676	127852	17.1	1	24
2014-03-31 16:38:12.111415	127853	52	2	25
2014-03-31 16:38:12.34422	127854	16.9	1	25
2014-03-31 16:38:17.820707	127855	47	2	10
2014-03-31 16:38:18.045181	127856	18.9	1	10
2014-03-31 16:38:19.940706	127857	579	3	2
2014-03-31 16:38:20.172611	127858	1150849.3691486414	4	2
2014-03-31 16:38:25.914357	127859	56	2	9
2014-03-31 16:38:26.136114	127860	19.5	1	9
2014-03-31 16:38:26.976295	127861	53	2	8
2014-03-31 16:38:27.207192	127862	18.8	1	8
2014-03-31 16:38:31.943414	127863	579	3	2
2014-03-31 16:38:32.165586	127864	1150850.5181833627	4	2
2014-03-31 16:38:37.715795	127865	56	2	1
2014-03-31 16:38:37.959549	127866	20.2	1	1
2014-03-31 16:38:43.941239	127867	547	3	2
2014-03-31 16:38:44.163772	127868	1150852.8162528055	4	2
2014-03-31 16:38:48.919091	127869	60	2	24
2014-03-31 16:38:49.151459	127870	17.1	1	24
2014-03-31 16:38:51.108678	127871	52	2	25
2014-03-31 16:38:51.329676	127872	16.9	1	25
2014-03-31 16:38:55.941566	127873	579	3	2
2014-03-31 16:38:56.172762	127874	1150855.1143222484	4	2
2014-03-31 16:38:56.81865	127875	47	2	10
2014-03-31 16:38:57.041202	127876	18.9	1	10
2014-03-31 16:39:04.91832	127877	56	2	9
2014-03-31 16:39:05.149238	127878	19.5	1	9
2014-03-31 16:39:05.976204	127879	53	2	8
2014-03-31 16:39:06.195391	127880	18.8	1	8
2014-03-31 16:39:07.940593	127881	547	3	2
2014-03-31 16:39:08.226327	127882	1150856.2633569697	4	2
2014-03-31 16:39:16.716509	127883	56	2	1
2014-03-31 16:39:16.940508	127884	20.2	1	1
2014-03-31 16:39:19.942588	127885	547	3	2
2014-03-31 16:39:20.172757	127886	1150858.5614264125	4	2
2014-03-31 16:39:27.919437	127887	60	2	24
2014-03-31 16:39:28.140011	127888	17.1	1	24
2014-03-31 16:39:30.112328	127889	52	2	25
2014-03-31 16:39:30.345047	127890	16.9	1	25
2014-03-31 16:39:31.94154	127891	579	3	2
2014-03-31 16:39:32.163537	127892	1150860.8594958554	4	2
2014-03-31 16:39:35.818259	127893	47	2	10
2014-03-31 16:39:36.062748	127894	18.9	1	10
2014-03-31 16:39:44.120857	127895	56	2	9
2014-03-31 16:39:44.341357	127896	19.5	1	9
2014-03-31 16:39:44.976866	127897	53	2	8
2014-03-31 16:39:45.206454	127898	18.8	1	8
2014-03-31 16:39:55.712083	127899	56	2	1
2014-03-31 16:39:55.935627	127900	20.2	1	1
2014-03-31 16:40:06.91565	127901	60	2	24
2014-03-31 16:40:07.147044	127902	17.1	1	24
2014-03-31 16:40:07.94265	127903	547	3	2
2014-03-31 16:40:08.219785	127904	1150865.455634741	4	2
2014-03-31 16:40:09.10877	127905	52	2	25
2014-03-31 16:40:09.338306	127906	16.9	1	25
2014-03-31 16:40:14.818154	127907	47	2	10
2014-03-31 16:40:15.042481	127908	18.9	1	10
2014-03-31 16:40:19.941915	127909	547	3	2
2014-03-31 16:40:20.176918	127910	1150867.753704184	4	2
2014-03-31 16:40:22.916921	127911	56	2	9
2014-03-31 16:40:23.138037	127912	19.5	1	9
2014-03-31 16:40:23.976569	127913	53	2	8
2014-03-31 16:40:24.206936	127914	18.8	1	8
2014-03-31 16:40:31.942017	127915	547	3	2
2014-03-31 16:40:32.164382	127916	1150870.0517736268	4	2
2014-03-31 16:40:34.715414	127917	56	2	1
2014-03-31 16:40:34.946983	127918	20.2	1	1
2014-03-31 16:40:45.917008	127919	60	2	24
2014-03-31 16:40:46.138802	127920	17.1	1	24
2014-03-31 16:40:48.110344	127921	52	2	25
2014-03-31 16:40:48.340356	127922	16.9	1	25
2014-03-31 16:40:53.822855	127923	47	2	10
2014-03-31 16:40:54.047392	127924	18.9	1	10
2014-03-31 16:41:01.918674	127925	56	2	9
2014-03-31 16:41:02.149313	127926	19.5	1	9
2014-03-31 16:41:02.975478	127927	53	2	8
2014-03-31 16:41:03.19657	127928	18.8	1	8
2014-03-31 16:41:07.945241	127929	579	3	2
2014-03-31 16:41:08.23196	127930	1150875.7969472338	4	2
2014-03-31 16:41:13.714706	127931	56	2	1
2014-03-31 16:41:13.944178	127932	20.2	1	1
2014-03-31 16:41:19.942195	127933	547	3	2
2014-03-31 16:41:20.174085	127934	1150876.9459819552	4	2
2014-03-31 16:41:24.918002	127935	60	2	24
2014-03-31 16:41:25.139388	127936	17.2	1	24
2014-03-31 16:41:27.108219	127937	52	2	25
2014-03-31 16:41:27.339816	127938	16.9	1	25
2014-03-31 16:41:31.944889	127939	547	3	2
2014-03-31 16:41:32.166289	127940	1150879.244051398	4	2
2014-03-31 16:41:32.819397	127941	47	2	10
2014-03-31 16:41:33.086759	127942	18.9	1	10
2014-03-31 16:41:40.919809	127943	56	2	9
2014-03-31 16:41:41.141349	127944	19.5	1	9
2014-03-31 16:41:41.978654	127945	53	2	8
2014-03-31 16:41:42.208697	127946	18.8	1	8
2014-03-31 16:41:52.712882	127947	56	2	1
2014-03-31 16:41:52.938229	127948	20.2	1	1
2014-03-31 16:41:55.943696	127949	515	3	2
2014-03-31 16:41:56.173857	127950	1150882.6911555624	4	2
2014-03-31 16:42:03.915899	127951	60	2	24
2014-03-31 16:42:04.139996	127952	17.2	1	24
2014-03-31 16:42:06.107994	127953	52	2	25
2014-03-31 16:42:06.337259	127954	16.9	1	25
2014-03-31 16:42:07.943402	127955	498	3	2
2014-03-31 16:42:08.221195	127956	1150883.8401902837	4	2
2014-03-31 16:42:11.820914	127957	46	2	10
2014-03-31 16:42:12.056492	127958	19.0	1	10
2014-03-31 16:42:19.917028	127959	56	2	9
2014-03-31 16:42:20.141454	127960	19.5	1	9
2014-03-31 16:42:20.977096	127961	53	2	8
2014-03-31 16:42:21.209385	127962	18.8	1	8
2014-03-31 16:42:31.712896	127963	56	2	1
2014-03-31 16:42:31.945567	127964	20.2	1	1
2014-03-31 16:42:42.914761	127965	60	2	24
2014-03-31 16:42:43.149107	127966	17.2	1	24
2014-03-31 16:42:45.110504	127967	52	2	25
2014-03-31 16:42:45.330637	127968	16.9	1	25
2014-03-31 16:42:50.819935	127969	46	2	10
2014-03-31 16:42:51.052481	127970	19.0	1	10
2014-03-31 16:42:55.943656	127971	531	3	2
2014-03-31 16:42:56.171885	127972	1150890.7343986123	4	2
2014-03-31 16:42:58.919274	127973	56	2	9
2014-03-31 16:42:59.150909	127974	19.5	1	9
2014-03-31 16:42:59.977063	127975	53	2	8
2014-03-31 16:43:00.199545	127976	18.8	1	8
2014-03-31 16:43:07.941948	127977	515	3	2
2014-03-31 16:43:08.220021	127978	1150893.0324680551	4	2
2014-03-31 16:43:10.713125	127979	56	2	1
2014-03-31 16:43:10.93428	127980	20.2	1	1
2014-03-31 16:43:21.913187	127981	60	2	24
2014-03-31 16:43:22.144914	127982	17.2	1	24
2014-03-31 16:43:24.105979	127983	52	2	25
2014-03-31 16:43:24.32957	127984	16.9	1	25
2014-03-31 16:43:29.819611	127985	46	2	10
2014-03-31 16:43:30.050083	127986	19.0	1	10
2014-03-31 16:43:31.942044	127987	515	3	2
2014-03-31 16:43:32.161593	127988	1150896.4795722193	4	2
2014-03-31 16:43:37.918232	127989	56	2	9
2014-03-31 16:43:38.218953	127990	19.5	1	9
2014-03-31 16:43:38.975506	127991	53	2	8
2014-03-31 16:43:39.197824	127992	18.8	1	8
2014-03-31 16:43:49.710712	127993	56	2	1
2014-03-31 16:43:49.943905	127994	20.2	1	1
2014-03-31 16:44:00.913459	127995	60	2	24
2014-03-31 16:44:01.135493	127996	17.2	1	24
2014-03-31 16:44:03.109302	127997	52	2	25
2014-03-31 16:44:03.340811	127998	16.9	1	25
2014-03-31 16:44:08.819702	127999	46	2	10
2014-03-31 16:44:09.041038	128000	19.0	1	10
2014-03-31 16:44:16.918152	128001	56	2	9
2014-03-31 16:44:17.150338	128002	19.5	1	9
2014-03-31 16:44:17.976571	128003	53	2	8
2014-03-31 16:44:18.19709	128004	18.8	1	8
2014-03-31 16:44:28.710764	128005	56	2	1
2014-03-31 16:44:28.943341	128006	20.2	1	1
2014-03-31 16:44:31.942304	128007	498	3	2
2014-03-31 16:44:32.163784	128008	1150904.5228152692	4	2
2014-03-31 16:44:39.912204	128009	60	2	24
2014-03-31 16:44:40.142549	128010	17.2	1	24
2014-03-31 16:44:42.106106	128011	51	2	25
2014-03-31 16:44:42.327493	128012	17.0	1	25
2014-03-31 16:44:48.025771	128013	46	2	10
2014-03-31 16:44:48.256484	128014	19.0	1	10
2014-03-31 16:44:56.121219	128015	56	2	9
2014-03-31 16:44:56.34189	128016	19.5	1	9
2014-03-31 16:44:56.976665	128017	53	2	8
2014-03-31 16:44:57.206431	128018	18.8	1	8
2014-03-31 16:45:07.709338	128019	56	2	1
2014-03-31 16:45:07.930722	128020	20.3	1	1
2014-03-31 16:45:18.914776	128021	60	2	24
2014-03-31 16:45:19.147247	128022	17.3	1	24
2014-03-31 16:45:19.941732	128023	498	3	2
2014-03-31 16:45:20.164672	128024	1150911.4170235978	4	2
2014-03-31 16:45:21.104714	128025	51	2	25
2014-03-31 16:45:21.336527	128026	17.0	1	25
2014-03-31 16:45:26.820494	128027	46	2	10
2014-03-31 16:45:27.041486	128028	19.0	1	10
2014-03-31 16:45:31.943312	128029	498	3	2
2014-03-31 16:45:32.179855	128030	1150912.566058319	4	2
2014-03-31 16:45:34.918292	128031	56	2	9
2014-03-31 16:45:35.139281	128032	19.5	1	9
2014-03-31 16:45:35.977046	128033	53	2	8
2014-03-31 16:45:36.207922	128034	18.8	1	8
2014-03-31 16:45:46.713115	128035	56	2	1
2014-03-31 16:45:46.935685	128036	20.3	1	1
2014-03-31 16:45:57.912764	128037	60	2	24
2014-03-31 16:45:58.15545	128038	17.3	1	24
2014-03-31 16:46:00.105898	128039	51	2	25
2014-03-31 16:46:00.327387	128040	17.0	1	25
2014-03-31 16:46:06.025969	128041	46	2	10
2014-03-31 16:46:06.256445	128042	19.0	1	10
2014-03-31 16:46:13.917248	128043	56	2	9
2014-03-31 16:46:14.139274	128044	19.5	1	9
2014-03-31 16:46:14.9756	128045	53	2	8
2014-03-31 16:46:15.20731	128046	18.8	1	8
2014-03-31 16:46:25.710316	128047	56	2	1
2014-03-31 16:46:25.933026	128048	20.3	1	1
2014-03-31 16:46:31.942551	128049	498	3	2
2014-03-31 16:46:32.174753	128050	1150921.7583360905	4	2
2014-03-31 16:46:36.913935	128051	60	2	24
2014-03-31 16:46:37.135269	128052	17.3	1	24
2014-03-31 16:46:39.106664	128053	51	2	25
2014-03-31 16:46:39.338798	128054	17.0	1	25
2014-03-31 16:46:44.821979	128055	46	2	10
2014-03-31 16:46:45.04469	128056	19.0	1	10
2014-03-31 16:46:52.918178	128057	56	2	9
2014-03-31 16:46:53.1516	128058	19.5	1	9
2014-03-31 16:46:53.978645	128059	53	2	8
2014-03-31 16:46:54.199	128060	18.8	1	8
2014-03-31 16:47:04.708721	128061	56	2	1
2014-03-31 16:47:04.942307	128062	20.3	1	1
2014-03-31 16:47:15.911318	128063	60	2	24
2014-03-31 16:47:16.133241	128064	17.3	1	24
2014-03-31 16:47:18.105921	128065	51	2	25
2014-03-31 16:47:18.336463	128066	17.0	1	25
2014-03-31 16:47:23.821257	128067	46	2	10
2014-03-31 16:47:24.045551	128068	19.1	1	10
2014-03-31 16:47:32.12066	128069	56	2	9
2014-03-31 16:47:32.35141	128070	19.5	1	9
2014-03-31 16:47:32.978629	128071	53	2	8
2014-03-31 16:47:33.198095	128072	18.8	1	8
2014-03-31 16:47:43.711598	128073	56	2	1
2014-03-31 16:47:43.950676	128074	20.3	1	1
2014-03-31 16:47:54.909838	128075	60	2	24
2014-03-31 16:47:55.132382	128076	17.3	1	24
2014-03-31 16:47:55.942271	128077	547	3	2
2014-03-31 16:47:56.174878	128078	1150933.2486833045	4	2
2014-03-31 16:47:57.107644	128079	51	2	25
2014-03-31 16:47:57.32901	128080	17.0	1	25
2014-03-31 16:48:02.820819	128081	46	2	10
2014-03-31 16:48:03.053527	128082	19.1	1	10
2014-03-31 16:48:07.941373	128083	547	3	2
2014-03-31 16:48:08.169639	128084	1150935.5467527474	4	2
2014-03-31 16:48:10.915136	128085	56	2	9
2014-03-31 16:48:11.160789	128086	19.5	1	9
2014-03-31 16:48:11.976267	128087	53	2	8
2014-03-31 16:48:12.199464	128088	18.8	1	8
2014-03-31 16:48:22.709505	128089	56	2	1
2014-03-31 16:48:22.961457	128090	20.3	1	1
2014-03-31 16:48:31.944436	128091	547	3	2
2014-03-31 16:48:32.167829	128092	1150937.8492931426	4	2
2014-03-31 16:48:33.909499	128093	60	2	24
2014-03-31 16:48:34.141232	128094	17.3	1	24
2014-03-31 16:48:36.127318	128095	51	2	25
2014-03-31 16:48:36.350563	128096	17.0	1	25
2014-03-31 16:48:41.820403	128097	46	2	10
2014-03-31 16:48:42.052333	128098	19.1	1	10
2014-03-31 16:48:49.915891	128099	56	2	9
2014-03-31 16:48:50.137118	128100	19.5	1	9
2014-03-31 16:48:50.97737	128101	53	2	8
2014-03-31 16:48:51.209875	128102	18.8	1	8
2014-03-31 16:48:55.944964	128103	579	3	2
2014-03-31 16:48:56.166115	128104	1150941.2963973067	4	2
2014-03-31 16:49:01.709634	128105	56	2	1
2014-03-31 16:49:01.945099	128106	20.3	1	1
2014-03-31 16:49:07.941813	128107	547	3	2
2014-03-31 16:49:08.164874	128108	1150943.5944667496	4	2
2014-03-31 16:49:12.909329	128109	60	2	24
2014-03-31 16:49:13.140087	128110	17.3	1	24
2014-03-31 16:49:15.105871	128111	51	2	25
2014-03-31 16:49:15.329053	128112	17.0	1	25
2014-03-31 16:49:20.819666	128113	46	2	10
2014-03-31 16:49:21.051496	128114	19.1	1	10
2014-03-31 16:49:28.918226	128115	56	2	9
2014-03-31 16:49:29.139997	128116	19.5	1	9
2014-03-31 16:49:29.977588	128117	53	2	8
2014-03-31 16:49:30.20685	128118	18.8	1	8
2014-03-31 16:49:31.94137	128119	547	3	2
2014-03-31 16:49:32.164057	128120	1150947.0415709137	4	2
2014-03-31 16:49:40.709825	128121	56	2	1
2014-03-31 16:49:40.939859	128122	20.3	1	1
2014-03-31 16:49:43.946747	128123	579	3	2
2014-03-31 16:49:44.168801	128124	1150949.3396403566	4	2
2014-03-31 16:49:51.906612	128125	60	2	24
2014-03-31 16:49:52.138972	128126	17.3	1	24
2014-03-31 16:49:54.107304	128127	51	2	25
2014-03-31 16:49:54.328627	128128	17.0	1	25
2014-03-31 16:49:55.94421	128129	579	3	2
2014-03-31 16:49:56.175713	128130	1150950.4886750781	4	2
2014-03-31 16:49:59.822452	128131	46	2	10
2014-03-31 16:50:00.042913	128132	19.1	1	10
2014-03-31 16:50:08.118612	128133	56	2	9
2014-03-31 16:50:08.369232	128134	19.5	1	9
2014-03-31 16:50:08.975487	128135	53	2	8
2014-03-31 16:50:09.196625	128136	18.8	1	8
2014-03-31 16:50:19.707292	128137	56	2	1
2014-03-31 16:50:19.939292	128138	20.3	1	1
2014-03-31 16:50:30.908308	128139	60	2	24
2014-03-31 16:50:31.130283	128140	17.3	1	24
2014-03-31 16:50:31.94153	128141	579	3	2
2014-03-31 16:50:32.171593	128142	1150956.2338486852	4	2
2014-03-31 16:50:33.1065	128143	51	2	25
2014-03-31 16:50:33.330714	128144	17.0	1	25
2014-03-31 16:50:38.821793	128145	46	2	10
2014-03-31 16:50:39.052262	128146	19.1	1	10
2014-03-31 16:50:46.915156	128147	56	2	9
2014-03-31 16:50:47.137275	128148	19.5	1	9
2014-03-31 16:50:47.978462	128149	53	2	8
2014-03-31 16:50:48.209562	128150	18.8	1	8
2014-03-31 16:50:55.941506	128151	547	3	2
2014-03-31 16:50:56.163975	128152	1150959.6809528493	4	2
2014-03-31 16:50:58.71007	128153	56	2	1
2014-03-31 16:50:58.942228	128154	20.3	1	1
2014-03-31 16:51:07.946665	128155	579	3	2
2014-03-31 16:51:08.168727	128156	1150961.9790222922	4	2
2014-03-31 16:51:09.907273	128157	60	2	24
2014-03-31 16:51:10.140835	128158	17.4	1	24
2014-03-31 16:51:12.105492	128159	51	2	25
2014-03-31 16:51:12.327703	128160	17.0	1	25
2014-03-31 16:51:17.822497	128161	46	2	10
2014-03-31 16:51:18.052867	128162	19.1	1	10
2014-03-31 16:51:19.943336	128163	579	3	2
2014-03-31 16:51:20.166088	128164	1150964.277091735	4	2
2014-03-31 16:51:25.91606	128165	56	2	9
2014-03-31 16:51:26.147702	128166	19.5	1	9
2014-03-31 16:51:26.976553	128167	53	2	8
2014-03-31 16:51:27.199521	128168	18.9	1	8
2014-03-31 16:51:31.947649	128169	547	3	2
2014-03-31 16:51:32.18082	128170	1150965.4261264564	4	2
2014-03-31 16:51:37.708173	128171	56	2	1
2014-03-31 16:51:37.936002	128172	20.3	1	1
2014-03-31 16:51:43.941703	128173	547	3	2
2014-03-31 16:51:44.173882	128174	1150967.7241958992	4	2
2014-03-31 16:51:48.905538	128175	60	2	24
2014-03-31 16:51:49.126591	128176	17.4	1	24
2014-03-31 16:51:51.104922	128177	51	2	25
2014-03-31 16:51:51.337124	128178	17.0	1	25
2014-03-31 16:51:56.824496	128179	47	2	10
2014-03-31 16:51:57.046653	128180	19.2	1	10
2014-03-31 16:52:04.919287	128181	56	2	9
2014-03-31 16:52:05.163041	128182	19.5	1	9
2014-03-31 16:52:05.977149	128183	53	2	8
2014-03-31 16:52:06.199459	128184	18.9	1	8
2014-03-31 16:52:16.707759	128185	56	2	1
2014-03-31 16:52:16.941473	128186	20.3	1	1
2014-03-31 16:52:27.90447	128187	60	2	24
2014-03-31 16:52:28.124985	128188	17.4	1	24
2014-03-31 16:52:30.104452	128189	51	2	25
2014-03-31 16:52:30.333542	128190	17.0	1	25
2014-03-31 16:52:31.946309	128191	579	3	2
2014-03-31 16:52:32.168909	128192	1150974.6184042278	4	2
2014-03-31 16:52:35.821563	128193	47	2	10
2014-03-31 16:52:36.054367	128194	19.2	1	10
2014-03-31 16:52:44.120559	128195	56	2	9
2014-03-31 16:52:44.344059	128196	19.6	1	9
2014-03-31 16:52:44.978317	128197	53	2	8
2014-03-31 16:52:45.21167	128198	18.9	1	8
2014-03-31 16:52:55.706681	128199	56	2	1
2014-03-31 16:52:55.928716	128200	20.3	1	1
2014-03-31 16:53:06.904772	128201	60	2	24
2014-03-31 16:53:07.136458	128202	17.4	1	24
2014-03-31 16:53:07.940516	128203	579	3	2
2014-03-31 16:53:08.165446	128204	1150980.3635778348	4	2
2014-03-31 16:53:09.105168	128205	51	2	25
2014-03-31 16:53:09.336156	128206	17.0	1	25
2014-03-31 16:53:14.82395	128207	47	2	10
2014-03-31 16:53:15.046447	128208	19.2	1	10
2014-03-31 16:53:19.943515	128209	547	3	2
2014-03-31 16:53:20.181709	128210	1150982.6616472777	4	2
2014-03-31 16:53:22.922248	128211	56	2	9
2014-03-31 16:53:23.145167	128212	19.6	1	9
2014-03-31 16:53:23.976842	128213	53	2	8
2014-03-31 16:53:24.208969	128214	18.9	1	8
2014-03-31 16:53:31.942456	128215	579	3	2
2014-03-31 16:53:32.165968	128216	1150984.9597167205	4	2
2014-03-31 16:53:34.707776	128217	56	2	1
2014-03-31 16:53:34.939612	128218	20.3	1	1
2014-03-31 16:53:43.946718	128219	547	3	2
2014-03-31 16:53:44.171737	128220	1150986.1087514418	4	2
2014-03-31 16:53:45.903534	128221	60	2	24
2014-03-31 16:53:46.135913	128222	17.4	1	24
2014-03-31 16:53:48.103634	128223	51	2	25
2014-03-31 16:53:48.327072	128224	17.0	1	25
2014-03-31 16:53:53.824337	128225	47	2	10
2014-03-31 16:53:54.055421	128226	19.2	1	10
2014-03-31 16:53:55.942212	128227	547	3	2
2014-03-31 16:53:56.164835	128228	1150988.4068208847	4	2
2014-03-31 16:54:01.91792	128229	56	2	9
2014-03-31 16:54:02.162172	128230	19.6	1	9
2014-03-31 16:54:02.9774	128231	53	2	8
2014-03-31 16:54:03.200918	128232	18.9	1	8
2014-03-31 16:54:07.944889	128233	579	3	2
2014-03-31 16:54:08.177329	128234	1150990.7048903275	4	2
2014-03-31 16:54:13.705498	128235	56	2	1
2014-03-31 16:54:13.932634	128236	20.3	1	1
2014-03-31 16:54:19.941871	128237	579	3	2
2014-03-31 16:54:20.172603	128238	1150991.853925049	4	2
2014-03-31 16:54:24.901704	128239	60	2	24
2014-03-31 16:54:25.122595	128240	17.4	1	24
2014-03-31 16:54:27.102589	128241	51	2	25
2014-03-31 16:54:27.335737	128242	17.0	1	25
2014-03-31 16:54:31.942942	128243	579	3	2
2014-03-31 16:54:32.164234	128244	1150994.1519944917	4	2
2014-03-31 16:54:32.823628	128245	47	2	10
2014-03-31 16:54:33.053714	128246	19.2	1	10
2014-03-31 16:54:40.917074	128247	56	2	9
2014-03-31 16:54:41.137045	128248	19.6	1	9
2014-03-31 16:54:41.977057	128249	53	2	8
2014-03-31 16:54:42.229417	128250	18.9	1	8
2014-03-31 16:54:43.944761	128251	547	3	2
2014-03-31 16:54:44.167656	128252	1150995.3010292132	4	2
2014-03-31 16:54:52.707277	128253	55	2	1
2014-03-31 16:54:52.938441	128254	20.4	1	1
2014-03-31 16:54:55.941504	128255	547	3	2
2014-03-31 16:54:56.162509	128256	1150997.599098656	4	2
2014-03-31 16:55:03.902435	128257	60	2	24
2014-03-31 16:55:04.134577	128258	17.4	1	24
2014-03-31 16:55:06.106603	128259	51	2	25
2014-03-31 16:55:06.328495	128260	17.0	1	25
2014-03-31 16:55:11.824023	128261	47	2	10
2014-03-31 16:55:12.055358	128262	19.2	1	10
2014-03-31 16:55:20.120359	128263	56	2	9
2014-03-31 16:55:20.341014	128264	19.5	1	9
2014-03-31 16:55:20.977183	128265	53	2	8
2014-03-31 16:55:21.207591	128266	18.9	1	8
2014-03-31 16:55:31.703624	128267	55	2	1
2014-03-31 16:55:31.926725	128268	20.4	1	1
2014-03-31 16:55:42.903036	128269	60	2	24
2014-03-31 16:55:43.135069	128270	17.4	1	24
2014-03-31 16:55:45.122294	128271	51	2	25
2014-03-31 16:55:45.344572	128272	17.0	1	25
2014-03-31 16:55:50.823403	128273	47	2	10
2014-03-31 16:55:51.059903	128274	19.2	1	10
2014-03-31 16:55:58.91742	128275	56	2	9
2014-03-31 16:55:59.138443	128276	19.6	1	9
2014-03-31 16:55:59.977335	128277	53	2	8
2014-03-31 16:56:00.21929	128278	18.9	1	8
2014-03-31 16:56:07.940607	128279	547	3	2
2014-03-31 16:56:08.162322	128280	1151009.0894458701	4	2
2014-03-31 16:56:10.706023	128281	55	2	1
2014-03-31 16:56:10.937376	128282	20.4	1	1
2014-03-31 16:56:19.942252	128283	547	3	2
2014-03-31 16:56:20.163385	128284	1151010.2384805917	4	2
2014-03-31 16:56:21.900245	128285	60	2	24
2014-03-31 16:56:22.130762	128286	17.5	1	24
2014-03-31 16:56:24.102786	128287	51	2	25
2014-03-31 16:56:24.323255	128288	17.0	1	25
2014-03-31 16:56:29.824565	128289	47	2	10
2014-03-31 16:56:30.054774	128290	19.3	1	10
2014-03-31 16:56:31.942103	128291	547	3	2
2014-03-31 16:56:32.16314	128292	1151012.5365500345	4	2
2014-03-31 16:56:37.919125	128293	56	2	9
2014-03-31 16:56:38.15127	128294	19.6	1	9
2014-03-31 16:56:38.976242	128295	53	2	8
2014-03-31 16:56:39.196078	128296	18.9	1	8
2014-03-31 16:56:43.943555	128297	498	3	2
2014-03-31 16:56:44.174783	128298	1151014.8346194772	4	2
2014-03-31 16:56:49.704637	128299	55	2	1
2014-03-31 16:56:49.92954	128300	20.4	1	1
2014-03-31 16:56:55.942092	128301	498	3	2
2014-03-31 16:56:56.17392	128302	1151015.9836541987	4	2
2014-03-31 16:57:00.90268	128303	60	2	24
2014-03-31 16:57:01.124755	128304	17.5	1	24
2014-03-31 16:57:03.103952	128305	51	2	25
2014-03-31 16:57:03.336529	128306	17.0	1	25
2014-03-31 16:57:08.827147	128307	47	2	10
2014-03-31 16:57:09.047996	128308	19.3	1	10
2014-03-31 16:57:16.918701	128309	56	2	9
2014-03-31 16:57:17.149391	128310	19.6	1	9
2014-03-31 16:57:17.976904	128311	53	2	8
2014-03-31 16:57:18.19598	128312	18.9	1	8
2014-03-31 16:57:28.704349	128313	55	2	1
2014-03-31 16:57:28.938726	128314	20.4	1	1
2014-03-31 16:57:31.943313	128315	498	3	2
2014-03-31 16:57:32.164483	128316	1151020.5797930844	4	2
2014-03-31 16:57:39.90245	128317	60	2	24
2014-03-31 16:57:40.134235	128318	17.5	1	24
2014-03-31 16:57:42.101941	128319	51	2	25
2014-03-31 16:57:42.32303	128320	17.0	1	25
2014-03-31 16:57:47.824153	128321	47	2	10
2014-03-31 16:57:48.058983	128322	19.3	1	10
2014-03-31 16:57:55.9204	128323	56	2	9
2014-03-31 16:57:56.141318	128324	19.6	1	9
2014-03-31 16:57:56.978705	128325	53	2	8
2014-03-31 16:57:57.222708	128326	18.9	1	8
2014-03-31 16:58:07.704084	128327	55	2	1
2014-03-31 16:58:07.925956	128328	20.4	1	1
2014-03-31 16:58:18.899975	128329	60	2	24
2014-03-31 16:58:19.133031	128330	17.5	1	24
2014-03-31 16:58:21.104086	128331	51	2	25
2014-03-31 16:58:21.325682	128332	17.0	1	25
2014-03-31 16:58:26.825377	128333	47	2	10
2014-03-31 16:58:27.058325	128334	19.3	1	10
2014-03-31 16:58:31.944272	128335	498	3	2
2014-03-31 16:58:32.17069	128336	1151029.7720708556	4	2
2014-03-31 16:58:34.917326	128337	56	2	9
2014-03-31 16:58:35.151983	128338	19.6	1	9
2014-03-31 16:58:35.977682	128339	53	2	8
2014-03-31 16:58:36.202087	128340	18.9	1	8
2014-03-31 16:58:46.704212	128341	55	2	1
2014-03-31 16:58:46.935724	128342	20.4	1	1
2014-03-31 16:58:57.899352	128343	60	2	24
2014-03-31 16:58:58.122113	128344	17.5	1	24
2014-03-31 16:59:00.104276	128345	51	2	25
2014-03-31 16:59:00.334144	128346	17.0	1	25
2014-03-31 16:59:05.825864	128347	47	2	10
2014-03-31 16:59:06.046949	128348	19.3	1	10
2014-03-31 16:59:13.914975	128349	56	2	9
2014-03-31 16:59:14.149898	128350	19.6	1	9
2014-03-31 16:59:14.978907	128351	53	2	8
2014-03-31 16:59:15.202068	128352	18.9	1	8
2014-03-31 16:59:25.702843	128353	55	2	1
2014-03-31 16:59:25.936026	128354	20.4	1	1
2014-03-31 16:59:31.941478	128355	498	3	2
2014-03-31 16:59:32.164392	128356	1151037.8153139055	4	2
2014-03-31 16:59:36.8977	128357	60	2	24
2014-03-31 16:59:37.127929	128358	17.5	1	24
2014-03-31 16:59:39.102875	128359	51	2	25
2014-03-31 16:59:39.328205	128360	17.0	1	25
2014-03-31 16:59:44.825533	128361	47	2	10
2014-03-31 16:59:45.056045	128362	19.3	1	10
2014-03-31 16:59:52.918279	128363	56	2	9
2014-03-31 16:59:53.140642	128364	19.6	1	9
2014-03-31 16:59:53.985784	128365	53	2	8
2014-03-31 16:59:54.217177	128366	18.9	1	8
2014-03-31 17:00:04.703233	128367	55	2	1
2014-03-31 17:00:04.927032	128368	20.4	1	1
2014-03-31 17:00:15.901491	128369	60	2	24
2014-03-31 17:00:16.133577	128370	17.5	1	24
2014-03-31 17:00:18.102584	128371	51	2	25
2014-03-31 17:00:18.323855	128372	17.0	1	25
2014-03-31 17:00:23.82593	128373	47	2	10
2014-03-31 17:00:24.069141	128374	19.3	1	10
2014-03-31 17:00:32.119779	128375	56	2	9
2014-03-31 17:00:32.340838	128376	19.6	1	9
2014-03-31 17:00:32.977292	128377	53	2	8
2014-03-31 17:00:33.395105	128378	18.9	1	8
2014-03-31 17:00:43.703666	128379	55	2	1
2014-03-31 17:00:43.929876	128380	20.4	1	1
2014-03-31 17:00:54.895269	128381	60	2	24
2014-03-31 17:00:55.116548	128382	17.5	1	24
2014-03-31 17:00:57.100125	128383	51	2	25
2014-03-31 17:00:57.326885	128384	17.0	1	25
2014-03-31 17:01:02.823868	128385	47	2	10
2014-03-31 17:01:03.046412	128386	19.3	1	10
2014-03-31 17:01:10.919313	128387	56	2	9
2014-03-31 17:01:11.150743	128388	19.6	1	9
2014-03-31 17:01:11.977402	128389	53	2	8
2014-03-31 17:01:12.198039	128390	18.9	1	8
2014-03-31 17:01:22.701957	128391	55	2	1
2014-03-31 17:01:22.93471	128392	20.4	1	1
2014-03-31 17:01:31.944823	128393	515	3	2
2014-03-31 17:01:32.166217	128394	1151055.0508347268	4	2
2014-03-31 17:01:33.897031	128395	60	2	24
2014-03-31 17:01:34.128664	128396	17.5	1	24
2014-03-31 17:01:36.101841	128397	51	2	25
2014-03-31 17:01:36.322226	128398	17.0	1	25
2014-03-31 17:01:41.825598	128399	47	2	10
2014-03-31 17:01:42.05675	128400	19.4	1	10
2014-03-31 17:01:49.918621	128401	56	2	9
2014-03-31 17:01:50.163129	128402	19.6	1	9
2014-03-31 17:01:50.977506	128403	54	2	8
2014-03-31 17:01:51.210262	128404	18.9	1	8
2014-03-31 17:02:01.704835	128405	55	2	1
2014-03-31 17:02:01.927052	128406	20.4	1	1
2014-03-31 17:02:12.895571	128407	60	2	24
2014-03-31 17:02:13.127526	128408	17.6	1	24
2014-03-31 17:02:15.099607	128409	51	2	25
2014-03-31 17:02:15.320735	128410	17.0	1	25
2014-03-31 17:02:20.828698	128411	47	2	10
2014-03-31 17:02:21.065706	128412	19.4	1	10
2014-03-31 17:02:28.91914	128413	56	2	9
2014-03-31 17:02:29.143375	128414	19.6	1	9
2014-03-31 17:02:29.978052	128415	54	2	8
2014-03-31 17:02:30.207144	128416	18.9	1	8
2014-03-31 17:02:31.941827	128417	515	3	2
2014-03-31 17:02:32.163337	128418	1151063.0940777767	4	2
2014-03-31 17:02:40.702223	128419	55	2	1
2014-03-31 17:02:40.937852	128420	20.5	1	1
2014-03-31 17:02:51.895867	128421	60	2	24
2014-03-31 17:02:52.117754	128422	17.6	1	24
2014-03-31 17:02:54.100533	128423	52	2	25
2014-03-31 17:02:54.348196	128424	17.0	1	25
2014-03-31 17:02:55.944007	128425	547	3	2
2014-03-31 17:02:56.16564	128426	1151066.541181941	4	2
2014-03-31 17:02:59.828065	128427	47	2	10
2014-03-31 17:03:00.063264	128428	19.4	1	10
2014-03-31 17:03:08.123124	128429	56	2	9
2014-03-31 17:03:08.345762	128430	19.6	1	9
2014-03-31 17:03:08.996309	128431	54	2	8
2014-03-31 17:03:09.227996	128432	18.9	1	8
2014-03-31 17:03:19.702146	128433	55	2	1
2014-03-31 17:03:19.926276	128434	20.5	1	1
2014-03-31 17:03:30.895828	128435	60	2	24
2014-03-31 17:03:31.128838	128436	17.6	1	24
2014-03-31 17:03:31.944331	128437	547	3	2
2014-03-31 17:03:32.168737	128438	1151072.286355548	4	2
2014-03-31 17:03:33.099782	128439	52	2	25
2014-03-31 17:03:33.329691	128440	17.0	1	25
2014-03-31 17:03:38.881923	128441	47	2	10
2014-03-31 17:03:39.107828	128442	19.4	1	10
2014-03-31 17:03:43.945065	128443	547	3	2
2014-03-31 17:03:44.177865	128444	1151074.584424991	4	2
2014-03-31 17:03:46.919626	128445	56	2	9
2014-03-31 17:03:47.144103	128446	19.6	1	9
2014-03-31 17:03:47.977366	128447	54	2	8
2014-03-31 17:03:48.210259	128448	18.9	1	8
2014-03-31 17:03:58.700449	128449	55	2	1
2014-03-31 17:03:58.923431	128450	20.5	1	1
2014-03-31 17:04:07.942638	128451	579	3	2
2014-03-31 17:04:08.176095	128452	1151078.031529155	4	2
2014-03-31 17:04:09.894247	128453	60	2	24
2014-03-31 17:04:10.121808	128454	17.6	1	24
2014-03-31 17:04:12.102113	128455	52	2	25
2014-03-31 17:04:12.332552	128456	17.0	1	25
2014-03-31 17:04:17.826969	128457	47	2	10
2014-03-31 17:04:18.050644	128458	19.4	1	10
2014-03-31 17:04:19.942444	128459	579	3	2
2014-03-31 17:04:20.174599	128460	1151080.329598598	4	2
2014-03-31 17:04:25.918973	128461	56	2	9
2014-03-31 17:04:26.14487	128462	19.6	1	9
2014-03-31 17:04:26.977584	128463	54	2	8
2014-03-31 17:04:27.211264	128464	18.9	1	8
2014-03-31 17:04:31.945172	128465	547	3	2
2014-03-31 17:04:32.169778	128466	1151081.4786333193	4	2
2014-03-31 17:04:37.701327	128467	55	2	1
2014-03-31 17:04:37.937031	128468	20.5	1	1
2014-03-31 17:04:43.942144	128469	547	3	2
2014-03-31 17:04:44.165953	128470	1151083.776702762	4	2
2014-03-31 17:04:48.892598	128471	60	2	24
2014-03-31 17:04:49.134709	128472	17.6	1	24
2014-03-31 17:04:51.100252	128473	52	2	25
2014-03-31 17:04:51.322652	128474	17.0	1	25
2014-03-31 17:04:56.826637	128475	47	2	10
2014-03-31 17:04:57.057354	128476	19.4	1	10
2014-03-31 17:05:04.917398	128477	56	2	9
2014-03-31 17:05:05.136966	128478	19.6	1	9
2014-03-31 17:05:05.976905	128479	54	2	8
2014-03-31 17:05:06.206839	128480	18.9	1	8
2014-03-31 17:05:16.699532	128481	55	2	1
2014-03-31 17:05:16.921131	128482	20.5	1	1
2014-03-31 17:05:27.696446	128483	579	3	2
2014-03-31 17:05:27.927799	128484	1151089.5218763691	4	2
2014-03-31 17:05:28.2304	128485	60	2	24
2014-03-31 17:05:28.452474	128486	17.6	1	24
2014-03-31 17:05:30.099206	128487	52	2	25
2014-03-31 17:05:30.33116	128488	17.0	1	25
2014-03-31 17:05:31.943132	128489	579	3	2
2014-03-31 17:05:32.16467	128490	1151091.819945812	4	2
2014-03-31 17:05:35.826813	128491	47	2	10
2014-03-31 17:05:36.058112	128492	19.4	1	10
2014-03-31 17:05:44.12019	128493	56	2	9
2014-03-31 17:05:44.344738	128494	19.6	1	9
2014-03-31 17:05:44.975713	128495	54	2	8
2014-03-31 17:05:45.206145	128496	18.9	1	8
2014-03-31 17:05:55.700198	128497	55	2	1
2014-03-31 17:05:55.921729	128498	20.5	1	1
2014-03-31 17:06:06.891471	128499	60	2	24
2014-03-31 17:06:07.122791	128500	17.6	1	24
2014-03-31 17:06:09.098793	128501	52	2	25
2014-03-31 17:06:09.319393	128502	17.0	1	25
2014-03-31 17:06:14.827559	128503	47	2	10
2014-03-31 17:06:15.058688	128504	19.5	1	10
2014-03-31 17:06:22.915362	128505	56	2	9
2014-03-31 17:06:23.137074	128506	19.6	1	9
2014-03-31 17:06:23.979043	128507	54	2	8
2014-03-31 17:06:24.211786	128508	18.9	1	8
2014-03-31 17:06:31.941829	128509	547	3	2
2014-03-31 17:06:32.163582	128510	1151101.0122235834	4	2
2014-03-31 17:06:34.700347	128511	55	2	1
2014-03-31 17:06:34.941966	128512	20.5	1	1
2014-03-31 17:06:45.89019	128513	60	2	24
2014-03-31 17:06:46.111164	128514	17.6	1	24
2014-03-31 17:06:48.101765	128515	52	2	25
2014-03-31 17:06:48.332706	128516	17.0	1	25
2014-03-31 17:06:53.826772	128517	47	2	10
2014-03-31 17:06:54.047973	128518	19.5	1	10
2014-03-31 17:07:01.916143	128519	56	2	9
2014-03-31 17:07:02.158649	128520	19.6	1	9
2014-03-31 17:07:02.977946	128521	54	2	8
2014-03-31 17:07:03.20157	128522	18.9	1	8
2014-03-31 17:07:13.701967	128523	55	2	1
2014-03-31 17:07:13.933881	128524	20.5	1	1
2014-03-31 17:07:24.89002	128525	60	2	24
2014-03-31 17:07:25.111255	128526	17.6	1	24
2014-03-31 17:07:27.099697	128527	51	2	25
2014-03-31 17:07:27.332689	128528	17.0	1	25
2014-03-31 17:07:32.629734	128529	547	3	2
2014-03-31 17:07:32.855512	128530	1151110.2045013546	4	2
2014-03-31 17:07:33.159109	128531	47	2	10
2014-03-31 17:07:33.390443	128532	19.5	1	10
2014-03-31 17:07:40.918737	128533	56	2	9
2014-03-31 17:07:41.143127	128534	19.6	1	9
2014-03-31 17:07:41.979638	128535	54	2	8
2014-03-31 17:07:42.211555	128536	18.9	1	8
2014-03-31 17:07:52.69881	128537	55	2	1
2014-03-31 17:07:52.92363	128538	20.5	1	1
2014-03-31 17:07:55.938678	128539	547	3	2
2014-03-31 17:07:56.170179	128540	1151113.651605519	4	2
2014-03-31 17:08:03.894136	128541	60	2	24
2014-03-31 17:08:04.118442	128542	17.7	1	24
2014-03-31 17:08:06.098891	128543	51	2	25
2014-03-31 17:08:06.329222	128544	17.0	1	25
2014-03-31 17:08:07.939271	128545	547	3	2
2014-03-31 17:08:08.15938	128546	1151114.8006402403	4	2
2014-03-31 17:08:11.830038	128547	47	2	10
2014-03-31 17:08:12.060686	128548	19.5	1	10
2014-03-31 17:08:20.121848	128549	56	2	9
2014-03-31 17:08:20.344042	128550	19.6	1	9
2014-03-31 17:08:20.979452	128551	54	2	8
2014-03-31 17:08:21.210107	128552	18.9	1	8
2014-03-31 17:08:31.69926	128553	55	2	1
2014-03-31 17:08:31.923845	128554	20.6	1	1
2014-03-31 17:08:42.888837	128555	60	2	24
2014-03-31 17:08:43.122057	128556	17.7	1	24
2014-03-31 17:08:43.943069	128557	547	3	2
2014-03-31 17:08:44.172983	128558	1151120.5458138476	4	2
2014-03-31 17:08:45.098031	128559	51	2	25
2014-03-31 17:08:45.328534	128560	17.0	1	25
2014-03-31 17:08:50.830364	128561	47	2	10
2014-03-31 17:08:51.05387	128562	19.5	1	10
2014-03-31 17:08:55.942391	128563	515	3	2
2014-03-31 17:08:56.178565	128564	1151122.8438832902	4	2
2014-03-31 17:08:58.917362	128565	56	2	9
2014-03-31 17:08:59.141031	128566	19.6	1	9
2014-03-31 17:08:59.98117	128567	54	2	8
2014-03-31 17:09:00.224514	128568	18.9	1	8
2014-03-31 17:09:07.941265	128569	515	3	2
2014-03-31 17:09:08.165483	128570	1151123.9929180117	4	2
2014-03-31 17:09:10.697086	128571	55	2	1
2014-03-31 17:09:10.928726	128572	20.6	1	1
2014-03-31 17:09:21.889075	128573	60	2	24
2014-03-31 17:09:22.113729	128574	17.7	1	24
2014-03-31 17:09:24.102284	128575	51	2	25
2014-03-31 17:09:24.332063	128576	17.0	1	25
2014-03-31 17:09:29.829916	128577	47	2	10
2014-03-31 17:09:30.054196	128578	19.5	1	10
2014-03-31 17:09:31.940699	128579	515	3	2
2014-03-31 17:09:32.174643	128580	1151127.440022176	4	2
2014-03-31 17:09:37.918051	128581	56	2	9
2014-03-31 17:09:38.142005	128582	19.7	1	9
2014-03-31 17:09:39.016475	128583	54	2	8
2014-03-31 17:09:39.267101	128584	18.9	1	8
2014-03-31 17:09:49.698268	128585	55	2	1
2014-03-31 17:09:49.91923	128586	20.6	1	1
2014-03-31 17:10:00.889656	128587	60	2	24
2014-03-31 17:10:01.12531	128588	17.7	1	24
2014-03-31 17:10:03.098312	128589	52	2	25
2014-03-31 17:10:03.322924	128590	17.0	1	25
2014-03-31 17:10:07.94057	128591	482	3	2
2014-03-31 17:10:08.173182	128592	1151133.185195783	4	2
2014-03-31 17:10:08.830712	128593	47	2	10
2014-03-31 17:10:09.099293	128594	19.6	1	10
2014-03-31 17:10:16.918994	128595	56	2	9
2014-03-31 17:10:17.149797	128596	19.7	1	9
2014-03-31 17:10:17.978322	128597	54	2	8
2014-03-31 17:10:18.199655	128598	18.9	1	8
2014-03-31 17:10:19.940793	128599	498	3	2
2014-03-31 17:10:20.172404	128600	1151134.3342305045	4	2
2014-03-31 17:10:28.698222	128601	55	2	1
2014-03-31 17:10:28.919689	128602	20.6	1	1
2014-03-31 17:10:39.691679	128603	498	3	2
2014-03-31 17:10:39.923313	128604	1151136.6322999473	4	2
2014-03-31 17:10:40.227609	128605	60	2	24
2014-03-31 17:10:40.450461	128606	17.7	1	24
2014-03-31 17:10:42.098932	128607	52	2	25
2014-03-31 17:10:42.330397	128608	17.0	1	25
2014-03-31 17:10:47.83313	128609	47	2	10
2014-03-31 17:10:48.05721	128610	19.6	1	10
2014-03-31 17:10:55.918434	128611	56	2	9
2014-03-31 17:10:56.151027	128612	19.7	1	9
2014-03-31 17:10:56.977781	128613	54	2	8
2014-03-31 17:10:57.199123	128614	18.9	1	8
2014-03-31 17:11:07.698295	128615	55	2	1
2014-03-31 17:11:07.941003	128616	20.6	1	1
2014-03-31 17:11:18.886048	128617	60	2	24
2014-03-31 17:11:19.107436	128618	17.7	1	24
2014-03-31 17:11:21.099814	128619	52	2	25
2014-03-31 17:11:21.330021	128620	17.1	1	25
2014-03-31 17:11:26.831926	128621	47	2	10
2014-03-31 17:11:27.053609	128622	19.6	1	10
2014-03-31 17:11:31.941936	128623	482	3	2
2014-03-31 17:11:32.177139	128624	1151144.6755429972	4	2
2014-03-31 17:11:34.915207	128625	56	2	9
2014-03-31 17:11:35.136333	128626	19.7	1	9
2014-03-31 17:11:35.978244	128627	54	2	8
2014-03-31 17:11:36.208651	128628	18.9	1	8
2014-03-31 17:11:46.69514	128629	55	2	1
2014-03-31 17:11:46.918644	128630	20.6	1	1
2014-03-31 17:11:57.884877	128631	60	2	24
2014-03-31 17:11:58.11736	128632	17.7	1	24
2014-03-31 17:12:00.097587	128633	52	2	25
2014-03-31 17:12:00.318914	128634	17.1	1	25
2014-03-31 17:12:05.831369	128635	47	2	10
2014-03-31 17:12:06.065578	128636	19.6	1	10
2014-03-31 17:12:13.916423	128637	56	2	9
2014-03-31 17:12:14.13792	128638	19.7	1	9
2014-03-31 17:12:14.977477	128639	54	2	8
2014-03-31 17:12:15.209175	128640	18.9	1	8
2014-03-31 17:12:25.702195	128641	55	2	1
2014-03-31 17:12:25.925503	128642	20.6	1	1
2014-03-31 17:12:31.942277	128643	482	3	2
2014-03-31 17:12:32.176441	128644	1151152.718786047	4	2
2014-03-31 17:12:36.887309	128645	60	2	24
2014-03-31 17:12:37.108892	128646	17.7	1	24
2014-03-31 17:12:39.150102	128647	52	2	25
2014-03-31 17:12:39.386358	128648	17.1	1	25
2014-03-31 17:12:44.830572	128649	47	2	10
2014-03-31 17:12:45.058108	128650	19.6	1	10
2014-03-31 17:12:52.913694	128651	56	2	9
2014-03-31 17:12:53.143983	128652	19.7	1	9
2014-03-31 17:12:53.978586	128653	54	2	8
2014-03-31 17:12:54.198663	128654	18.9	1	8
2014-03-31 17:13:04.700421	128655	55	2	1
2014-03-31 17:13:04.935887	128656	20.7	1	1
2014-03-31 17:13:15.885836	128657	60	2	24
2014-03-31 17:13:16.108179	128658	17.7	1	24
2014-03-31 17:13:18.098542	128659	52	2	25
2014-03-31 17:13:18.328596	128660	17.1	1	25
2014-03-31 17:13:23.832937	128661	47	2	10
2014-03-31 17:13:24.057819	128662	19.6	1	10
2014-03-31 17:13:32.978585	128663	54	2	8
2014-03-31 17:13:33.222753	128664	18.9	1	8
2014-03-31 17:13:43.698787	128665	55	2	1
2014-03-31 17:13:43.924875	128666	20.7	1	1
2014-03-31 17:13:54.88541	128667	60	2	24
2014-03-31 17:13:55.117334	128668	17.8	1	24
2014-03-31 17:13:57.094984	128669	52	2	25
2014-03-31 17:13:57.316618	128670	17.1	1	25
2014-03-31 17:14:02.830818	128671	47	2	10
2014-03-31 17:14:03.064319	128672	19.6	1	10
2014-03-31 17:14:10.915476	128673	56	2	9
2014-03-31 17:14:11.138317	128674	19.7	1	9
2014-03-31 17:14:11.979743	128675	54	2	8
2014-03-31 17:14:12.210756	128676	18.9	1	8
2014-03-31 17:14:22.70199	128677	55	2	1
2014-03-31 17:14:22.929209	128678	20.7	1	1
2014-03-31 17:14:31.942864	128679	498	3	2
2014-03-31 17:14:32.177577	128680	1151168.8052721468	4	2
2014-03-31 17:14:33.876121	128681	60	2	24
2014-03-31 17:14:34.099376	128682	17.8	1	24
2014-03-31 17:14:36.100149	128683	52	2	25
2014-03-31 17:14:36.330494	128684	17.1	1	25
2014-03-31 17:14:42.037901	128685	47	2	10
2014-03-31 17:14:42.261444	128686	19.6	1	10
2014-03-31 17:14:49.913508	128687	56	2	9
2014-03-31 17:14:50.146689	128688	19.7	1	9
2014-03-31 17:14:50.977728	128689	54	2	8
2014-03-31 17:14:51.199913	128690	18.9	1	8
2014-03-31 17:14:55.945204	128691	547	3	2
2014-03-31 17:14:56.18014	128692	1151172.2523763112	4	2
2014-03-31 17:15:01.696404	128693	55	2	1
2014-03-31 17:15:01.92568	128694	20.7	1	1
2014-03-31 17:15:07.943137	128695	611	3	2
2014-03-31 17:15:08.179333	128696	1151174.5504457538	4	2
2014-03-31 17:15:12.879362	128697	60	2	24
2014-03-31 17:15:13.101364	128698	17.8	1	24
2014-03-31 17:15:15.097329	128699	52	2	25
2014-03-31 17:15:15.331584	128700	17.1	1	25
2014-03-31 17:15:19.942971	128701	595	3	2
2014-03-31 17:15:20.165804	128702	1151175.6994804754	4	2
2014-03-31 17:15:20.831367	128703	47	2	10
2014-03-31 17:15:21.061918	128704	19.7	1	10
2014-03-31 17:15:28.912592	128705	56	2	9
2014-03-31 17:15:29.134882	128706	19.7	1	9
2014-03-31 17:15:29.978326	128707	54	2	8
2014-03-31 17:15:30.210775	128708	18.9	1	8
2014-03-31 17:15:40.695586	128709	55	2	1
2014-03-31 17:15:40.918489	128710	20.7	1	1
2014-03-31 17:15:54.094802	128711	52	2	25
2014-03-31 17:15:54.339184	128712	17.1	1	25
2014-03-31 17:15:59.832294	128713	47	2	10
2014-03-31 17:16:00.058138	128714	19.7	1	10
2014-03-31 17:16:07.913521	128715	56	2	9
2014-03-31 17:16:08.146155	128716	19.7	1	9
2014-03-31 17:16:08.97795	128717	54	2	8
2014-03-31 17:16:09.197873	128718	18.9	1	8
2014-03-31 17:16:19.695697	128719	55	2	1
2014-03-31 17:16:19.928179	128720	20.7	1	1
2014-03-31 17:16:30.882343	128721	60	2	24
2014-03-31 17:16:31.102947	128722	17.8	1	24
2014-03-31 17:16:31.94005	128723	482	3	2
2014-03-31 17:16:32.171452	128724	1151187.1898276894	4	2
2014-03-31 17:16:33.097176	128725	52	2	25
2014-03-31 17:16:33.317584	128726	17.1	1	25
2014-03-31 17:16:38.831428	128727	47	2	10
2014-03-31 17:16:39.064128	128728	19.7	1	10
2014-03-31 17:16:43.942177	128729	579	3	2
2014-03-31 17:16:44.170875	128730	1151189.4878971323	4	2
2014-03-31 17:16:46.913978	128731	56	2	9
2014-03-31 17:16:47.14525	128732	19.7	1	9
2014-03-31 17:16:47.978938	128733	54	2	8
2014-03-31 17:16:48.198038	128734	19.0	1	8
2014-03-31 17:16:55.940369	128735	547	3	2
2014-03-31 17:16:56.182771	128736	1151190.6369318538	4	2
2014-03-31 17:16:58.692962	128737	55	2	1
2014-03-31 17:16:58.914247	128738	20.7	1	1
2014-03-31 17:17:07.941178	128739	627	3	2
2014-03-31 17:17:08.171566	128740	1151192.9350012967	4	2
2014-03-31 17:17:09.878595	128741	60	2	24
2014-03-31 17:17:10.10024	128742	17.8	1	24
2014-03-31 17:17:12.097258	128743	52	2	25
2014-03-31 17:17:12.328866	128744	17.1	1	25
2014-03-31 17:17:17.83287	128745	47	2	10
2014-03-31 17:17:18.054697	128746	19.7	1	10
2014-03-31 17:17:19.939295	128747	643	3	2
2014-03-31 17:17:20.170276	128748	1151195.2330707393	4	2
2014-03-31 17:17:25.916422	128749	56	2	9
2014-03-31 17:17:26.139217	128750	19.7	1	9
2014-03-31 17:17:26.977461	128751	54	2	8
2014-03-31 17:17:27.2085	128752	19.0	1	8
2014-03-31 17:17:31.94403	128753	627	3	2
2014-03-31 17:17:32.165314	128754	1151197.5311401822	4	2
2014-03-31 17:17:37.693626	128755	55	2	1
2014-03-31 17:17:37.928781	128756	20.8	1	1
2014-03-31 17:17:48.878745	128757	60	2	24
2014-03-31 17:17:49.099295	128758	17.8	1	24
2014-03-31 17:17:51.095261	128759	52	2	25
2014-03-31 17:17:51.33707	128760	17.1	1	25
2014-03-31 17:17:56.833665	128761	47	2	10
2014-03-31 17:17:57.055442	128762	19.7	1	10
2014-03-31 17:18:04.917377	128763	56	2	9
2014-03-31 17:18:05.149634	128764	19.7	1	9
2014-03-31 17:18:05.978842	128765	54	2	8
2014-03-31 17:18:06.20043	128766	19.0	1	8
2014-03-31 17:18:16.694323	128767	55	2	1
2014-03-31 17:18:16.925718	128768	20.8	1	1
2014-03-31 17:18:27.880675	128769	60	2	24
2014-03-31 17:18:28.102674	128770	17.8	1	24
2014-03-31 17:18:30.095125	128771	52	2	25
2014-03-31 17:18:30.325784	128772	17.1	1	25
2014-03-31 17:18:31.941496	128773	627	3	2
2014-03-31 17:18:32.161644	128774	1151207.872452675	4	2
2014-03-31 17:18:35.834561	128775	47	2	10
2014-03-31 17:18:36.065511	128776	19.7	1	10
2014-03-31 17:18:43.917372	128777	56	2	9
2014-03-31 17:18:44.138799	128778	19.7	1	9
2014-03-31 17:18:44.978236	128779	54	2	8
2014-03-31 17:18:45.208933	128780	19.0	1	8
2014-03-31 17:18:55.694062	128781	55	2	1
2014-03-31 17:18:55.918203	128782	20.8	1	1
2014-03-31 17:19:06.878513	128783	60	2	24
2014-03-31 17:19:07.109491	128784	17.8	1	24
2014-03-31 17:19:09.096701	128785	52	2	25
2014-03-31 17:19:09.340182	128786	17.1	1	25
2014-03-31 17:19:14.832892	128787	47	2	10
2014-03-31 17:19:15.066375	128788	19.7	1	10
2014-03-31 17:19:22.918563	128789	56	2	9
2014-03-31 17:19:23.1399	128790	19.7	1	9
2014-03-31 17:19:23.979521	128791	54	2	8
2014-03-31 17:19:24.209443	128792	19.0	1	8
2014-03-31 17:19:31.94005	128793	627	3	2
2014-03-31 17:19:32.162236	128794	1151218.2137651676	4	2
2014-03-31 17:19:34.690564	128795	55	2	1
2014-03-31 17:19:34.922473	128796	20.8	1	1
2014-03-31 17:19:45.874954	128797	60	2	24
2014-03-31 17:19:46.099187	128798	17.8	1	24
2014-03-31 17:19:48.0982	128799	52	2	25
2014-03-31 17:19:48.329206	128800	17.1	1	25
2014-03-31 17:19:53.83289	128801	47	2	10
2014-03-31 17:19:54.05558	128802	19.8	1	10
2014-03-31 17:19:55.939215	128803	595	3	2
2014-03-31 17:19:56.170984	128804	1151221.660869332	4	2
2014-03-31 17:20:01.918763	128805	56	2	9
2014-03-31 17:20:02.143135	128806	19.7	1	9
2014-03-31 17:20:02.977811	128807	54	2	8
2014-03-31 17:20:03.22227	128808	19.1	1	8
2014-03-31 17:20:07.942861	128809	579	3	2
2014-03-31 17:20:08.167029	128810	1151223.958938775	4	2
2014-03-31 17:20:13.691447	128811	55	2	1
2014-03-31 17:20:13.928736	128812	20.8	1	1
2014-03-31 17:20:24.875194	128813	60	2	24
2014-03-31 17:20:25.097529	128814	17.8	1	24
2014-03-31 17:20:27.095936	128815	52	2	25
2014-03-31 17:20:27.327402	128816	17.1	1	25
2014-03-31 17:20:31.940387	128817	579	3	2
2014-03-31 17:20:32.163699	128818	1151228.5550776604	4	2
2014-03-31 17:20:32.832901	128819	47	2	10
2014-03-31 17:20:33.063841	128820	19.8	1	10
2014-03-31 17:20:40.915911	128821	56	2	9
2014-03-31 17:20:41.138874	128822	19.7	1	9
2014-03-31 17:20:41.977889	128823	54	2	8
2014-03-31 17:20:42.209187	128824	19.1	1	8
2014-03-31 17:20:52.691504	128825	55	2	1
2014-03-31 17:20:52.91261	128826	20.8	1	1
2014-03-31 17:21:03.874195	128827	60	2	24
2014-03-31 17:21:04.104886	128828	17.9	1	24
2014-03-31 17:21:06.093775	128829	52	2	25
2014-03-31 17:21:06.319186	128830	17.1	1	25
2014-03-31 17:21:11.832538	128831	47	2	10
2014-03-31 17:21:12.063414	128832	19.8	1	10
2014-03-31 17:21:19.915837	128833	56	2	9
2014-03-31 17:21:20.136968	128834	19.7	1	9
2014-03-31 17:21:20.977821	128835	54	2	8
2014-03-31 17:21:21.208275	128836	19.1	1	8
2014-03-31 17:21:31.689606	128837	55	2	1
2014-03-31 17:21:31.911208	128838	20.8	1	1
2014-03-31 17:21:42.875488	128839	60	2	24
2014-03-31 17:21:43.107642	128840	17.9	1	24
2014-03-31 17:21:45.093307	128841	52	2	25
2014-03-31 17:21:45.315076	128842	17.1	1	25
2014-03-31 17:21:50.832464	128843	47	2	10
2014-03-31 17:21:51.067684	128844	19.8	1	10
2014-03-31 17:21:55.938165	128845	547	3	2
2014-03-31 17:21:56.16343	128846	1151240.0498958267	4	2
2014-03-31 17:21:58.917125	128847	56	2	9
2014-03-31 17:21:59.147803	128848	19.7	1	9
2014-03-31 17:21:59.97756	128849	54	2	8
2014-03-31 17:22:00.199075	128850	19.1	1	8
2014-03-31 17:22:07.939166	128851	579	3	2
2014-03-31 17:22:08.172052	128852	1151242.3479652696	4	2
2014-03-31 17:22:10.731247	128853	55	2	1
2014-03-31 17:22:10.953004	128854	20.8	1	1
2014-03-31 17:22:19.94016	128855	579	3	2
2014-03-31 17:22:20.181712	128856	1151244.6460347124	4	2
2014-03-31 17:22:21.872771	128857	60	2	24
2014-03-31 17:22:22.09748	128858	17.9	1	24
2014-03-31 17:22:24.094852	128859	52	2	25
2014-03-31 17:22:24.32594	128860	17.1	1	25
2014-03-31 17:22:29.836441	128861	47	2	10
2014-03-31 17:22:30.058819	128862	19.8	1	10
2014-03-31 17:22:31.939711	128863	579	3	2
2014-03-31 17:22:32.173255	128864	1151245.795069434	4	2
2014-03-31 17:22:37.919122	128865	56	2	9
2014-03-31 17:22:38.163604	128866	19.7	1	9
2014-03-31 17:22:38.977898	128867	54	2	8
2014-03-31 17:22:39.208781	128868	19.1	1	8
2014-03-31 17:22:49.689523	128869	55	2	1
2014-03-31 17:22:49.912768	128870	20.9	1	1
2014-03-31 17:22:55.939644	128871	531	3	2
2014-03-31 17:22:56.171636	128872	1151250.3912083195	4	2
2014-03-31 17:23:00.873698	128873	60	2	24
2014-03-31 17:23:01.095747	128874	17.9	1	24
2014-03-31 17:23:03.093867	128875	52	2	25
2014-03-31 17:23:03.324743	128876	17.1	1	25
2014-03-31 17:23:07.940465	128877	547	3	2
2014-03-31 17:23:08.161365	128878	1151251.540243041	4	2
2014-03-31 17:23:08.833932	128879	47	2	10
2014-03-31 17:23:09.064197	128880	19.8	1	10
2014-03-31 17:23:16.917894	128881	56	2	9
2014-03-31 17:23:17.13953	128882	19.8	1	9
2014-03-31 17:23:17.977575	128883	54	2	8
2014-03-31 17:23:18.209484	128884	19.1	1	8
2014-03-31 17:23:19.941246	128885	579	3	2
2014-03-31 17:23:20.163543	128886	1151253.8383124839	4	2
2014-03-31 17:23:28.690349	128887	55	2	1
2014-03-31 17:23:28.922032	128888	20.9	1	1
2014-03-31 17:23:39.680137	128889	579	3	2
2014-03-31 17:23:39.904966	128890	1151256.1363819267	4	2
2014-03-31 17:23:40.210144	128891	60	2	24
2014-03-31 17:23:40.440953	128892	17.9	1	24
2014-03-31 17:23:42.093939	128893	52	2	25
2014-03-31 17:23:42.314409	128894	17.1	1	25
2014-03-31 17:23:47.83459	128895	47	2	10
2014-03-31 17:23:48.064763	128896	19.8	1	10
2014-03-31 17:23:56.121034	128897	56	2	9
2014-03-31 17:23:56.343121	128898	19.8	1	9
2014-03-31 17:23:56.979122	128899	54	2	8
2014-03-31 17:23:57.210114	128900	19.2	1	8
2014-03-31 17:24:07.689869	128901	55	2	1
2014-03-31 17:24:07.914377	128902	20.9	1	1
2014-03-31 17:24:18.873104	128903	60	2	24
2014-03-31 17:24:19.116931	128904	17.9	1	24
2014-03-31 17:24:21.091817	128905	52	2	25
2014-03-31 17:24:21.311213	128906	17.1	1	25
2014-03-31 17:24:26.833193	128907	47	2	10
2014-03-31 17:24:27.065976	128908	19.9	1	10
2014-03-31 17:24:31.94259	128909	579	3	2
2014-03-31 17:24:32.167243	128910	1151265.328659698	4	2
2014-03-31 17:24:34.914348	128911	56	2	9
2014-03-31 17:24:35.145013	128912	19.8	1	9
2014-03-31 17:24:35.979725	128913	54	2	8
2014-03-31 17:24:36.200578	128914	19.2	1	8
2014-03-31 17:24:46.689282	128915	55	2	1
2014-03-31 17:24:46.968823	128916	20.9	1	1
2014-03-31 17:24:57.871049	128917	60	2	24
2014-03-31 17:24:58.13019	128918	17.9	1	24
2014-03-31 17:25:00.093865	128919	52	2	25
2014-03-31 17:25:00.357718	128920	17.1	1	25
2014-03-31 17:25:05.834326	128921	47	2	10
2014-03-31 17:25:06.057177	128922	19.9	1	10
2014-03-31 17:25:07.941057	128923	547	3	2
2014-03-31 17:25:08.17198	128924	1151271.073833305	4	2
2014-03-31 17:25:13.912149	128925	56	2	9
2014-03-31 17:25:14.136786	128926	19.8	1	9
2014-03-31 17:25:14.976721	128927	54	2	8
2014-03-31 17:25:15.209901	128928	19.2	1	8
2014-03-31 17:25:19.944189	128929	579	3	2
2014-03-31 17:25:20.167167	128930	1151273.3719027478	4	2
2014-03-31 17:25:25.691485	128931	55	2	1
2014-03-31 17:25:25.927092	128932	20.9	1	1
2014-03-31 17:25:31.939896	128933	627	3	2
2014-03-31 17:25:32.162388	128934	1151274.5209374693	4	2
2014-03-31 17:25:36.871288	128935	60	2	24
2014-03-31 17:25:37.103646	128936	17.9	1	24
2014-03-31 17:25:39.092732	128937	52	2	25
2014-03-31 17:25:39.313376	128938	17.1	1	25
2014-03-31 17:25:43.938271	128939	627	3	2
2014-03-31 17:25:44.171628	128940	1151276.8190069122	4	2
2014-03-31 17:25:44.834327	128941	47	2	10
2014-03-31 17:25:45.054932	128942	19.9	1	10
2014-03-31 17:25:52.912985	128943	56	2	9
2014-03-31 17:25:53.146887	128944	19.8	1	9
2014-03-31 17:25:53.978554	128945	54	2	8
2014-03-31 17:25:54.202011	128946	19.2	1	8
2014-03-31 17:26:04.689297	128947	55	2	1
2014-03-31 17:26:04.92196	128948	20.9	1	1
2014-03-31 17:26:15.869405	128949	60	2	24
2014-03-31 17:26:16.090455	128950	17.9	1	24
2014-03-31 17:26:18.09	128951	52	2	25
2014-03-31 17:26:18.334612	128952	17.1	1	25
2014-03-31 17:26:19.939622	128953	595	3	2
2014-03-31 17:26:20.162678	128954	1151283.7132152405	4	2
2014-03-31 17:26:23.834454	128955	47	2	10
2014-03-31 17:26:24.064992	128956	19.9	1	10
2014-03-31 17:26:32.117196	128957	56	2	9
2014-03-31 17:26:32.35078	128958	19.8	1	9
2014-03-31 17:26:32.978748	128959	54	2	8
2014-03-31 17:26:33.210021	128960	19.2	1	8
2014-03-31 17:26:43.690608	128961	55	2	1
2014-03-31 17:26:43.91211	128962	20.9	1	1
2014-03-31 17:26:54.869595	128963	60	2	24
2014-03-31 17:26:55.100299	128964	17.9	1	24
2014-03-31 17:26:57.092886	128965	52	2	25
2014-03-31 17:26:57.337172	128966	17.1	1	25
2014-03-31 17:27:02.833462	128967	47	2	10
2014-03-31 17:27:03.064769	128968	19.9	1	10
2014-03-31 17:27:10.912992	128969	56	2	9
2014-03-31 17:27:11.134789	128970	19.8	1	9
2014-03-31 17:27:11.977745	128971	54	2	8
2014-03-31 17:27:12.208247	128972	19.2	1	8
2014-03-31 17:27:22.689314	128973	55	2	1
2014-03-31 17:27:22.912993	128974	21.0	1	1
2014-03-31 17:27:31.940633	128975	595	3	2
2014-03-31 17:27:32.172238	128976	1151295.2035624548	4	2
2014-03-31 17:27:33.869356	128977	60	2	24
2014-03-31 17:27:34.089844	128978	17.9	1	24
2014-03-31 17:27:36.090258	128979	52	2	25
2014-03-31 17:27:36.320762	128980	17.1	1	25
2014-03-31 17:27:41.834259	128981	47	2	10
2014-03-31 17:27:42.057371	128982	19.9	1	10
2014-03-31 17:27:43.941253	128983	627	3	2
2014-03-31 17:27:44.171576	128984	1151297.5016318976	4	2
2014-03-31 17:27:49.912847	128985	56	2	9
2014-03-31 17:27:50.136398	128986	19.8	1	9
2014-03-31 17:27:50.977687	128987	54	2	8
2014-03-31 17:27:51.208667	128988	19.2	1	8
2014-03-31 17:27:55.942151	128989	643	3	2
2014-03-31 17:27:56.163772	128990	1151299.7997013405	4	2
2014-03-31 17:28:01.686001	128991	55	2	1
2014-03-31 17:28:01.924028	128992	21.0	1	1
2014-03-31 17:28:12.866002	128993	60	2	24
2014-03-31 17:28:13.088745	128994	18.0	1	24
2014-03-31 17:28:15.09054	128995	52	2	25
2014-03-31 17:28:15.322971	128996	17.1	1	25
2014-03-31 17:28:20.835791	128997	47	2	10
2014-03-31 17:28:21.062696	128998	19.9	1	10
2014-03-31 17:28:28.9126	128999	56	2	9
2014-03-31 17:28:29.155934	129000	19.8	1	9
2014-03-31 17:28:29.977596	129001	54	2	8
2014-03-31 17:28:30.198242	129002	19.2	1	8
2014-03-31 17:28:31.937527	129003	627	3	2
2014-03-31 17:28:32.168589	129004	1151306.6939096688	4	2
2014-03-31 17:28:40.691966	129005	55	2	1
2014-03-31 17:28:40.915179	129006	21.0	1	1
2014-03-31 17:28:51.865411	129007	60	2	24
2014-03-31 17:28:52.095433	129008	18.0	1	24
2014-03-31 17:28:54.089031	129009	52	2	25
2014-03-31 17:28:54.309072	129010	17.1	1	25
2014-03-31 17:28:59.835685	129011	47	2	10
2014-03-31 17:29:00.066801	129012	19.9	1	10
2014-03-31 17:29:07.915352	129013	56	2	9
2014-03-31 17:29:08.137477	129014	19.8	1	9
2014-03-31 17:29:08.977795	129015	54	2	8
2014-03-31 17:29:09.20793	129016	19.2	1	8
2014-03-31 17:29:19.685539	129017	55	2	1
2014-03-31 17:29:19.908746	129018	21.0	1	1
2014-03-31 17:29:30.869658	129019	60	2	24
2014-03-31 17:29:31.101323	129020	18.0	1	24
2014-03-31 17:29:31.940611	129021	627	3	2
2014-03-31 17:29:32.16075	129022	1151317.0352221616	4	2
2014-03-31 17:29:33.09013	129023	52	2	25
2014-03-31 17:29:33.321489	129024	17.1	1	25
2014-03-31 17:29:38.837474	129025	47	2	10
2014-03-31 17:29:39.05735	129026	20.0	1	10
2014-03-31 17:29:46.911829	129027	56	2	9
2014-03-31 17:29:47.144174	129028	19.8	1	9
2014-03-31 17:29:47.980498	129029	54	2	8
2014-03-31 17:29:48.201382	129030	19.2	1	8
2014-03-31 17:29:58.687914	129031	55	2	1
2014-03-31 17:29:58.924633	129032	21.0	1	1
2014-03-31 17:30:09.871912	129033	60	2	24
2014-03-31 17:30:10.096913	129034	18.0	1	24
2014-03-31 17:30:12.089394	129035	52	2	25
2014-03-31 17:30:12.320807	129036	17.1	1	25
2014-03-31 17:30:17.835208	129037	47	2	10
2014-03-31 17:30:18.05946	129038	20.0	1	10
2014-03-31 17:30:25.913981	129039	56	2	9
2014-03-31 17:30:26.146674	129040	19.8	1	9
2014-03-31 17:30:26.979471	129041	54	2	8
2014-03-31 17:30:27.200299	129042	19.3	1	8
2014-03-31 17:30:31.94363	129043	627	3	2
2014-03-31 17:30:32.177481	129044	1151327.3765346543	4	2
2014-03-31 17:30:37.926372	129045	55	2	1
2014-03-31 17:30:38.153482	129046	21.0	1	1
2014-03-31 17:30:48.866037	129047	60	2	24
2014-03-31 17:30:49.109487	129048	18.0	1	24
2014-03-31 17:30:51.091894	129049	52	2	25
2014-03-31 17:30:51.312792	129050	17.1	1	25
2014-03-31 17:30:56.835449	129051	47	2	10
2014-03-31 17:30:57.068609	129052	20.0	1	10
2014-03-31 17:31:04.915389	129053	56	2	9
2014-03-31 17:31:05.137835	129054	19.8	1	9
2014-03-31 17:31:05.979772	129055	54	2	8
2014-03-31 17:31:06.211244	129056	19.3	1	8
2014-03-31 17:31:16.684027	129057	55	2	1
2014-03-31 17:31:16.905071	129058	21.0	1	1
2014-03-31 17:31:19.939172	129059	547	3	2
2014-03-31 17:31:20.170696	129060	1151335.4197777042	4	2
2014-03-31 17:31:27.863141	129061	60	2	24
2014-03-31 17:31:28.08519	129062	18.0	1	24
2014-03-31 17:31:30.088831	129063	52	2	25
2014-03-31 17:31:30.320685	129064	17.1	1	25
2014-03-31 17:31:31.940024	129065	498	3	2
2014-03-31 17:31:32.161226	129066	1151337.717847147	4	2
2014-03-31 17:31:35.83646	129067	47	2	10
2014-03-31 17:31:36.068137	129068	20.0	1	10
2014-03-31 17:31:44.119324	129069	56	2	9
2014-03-31 17:31:44.3429	129070	19.8	1	9
2014-03-31 17:31:44.977301	129071	54	2	8
2014-03-31 17:31:45.209327	129072	19.3	1	8
2014-03-31 17:31:55.684609	129073	55	2	1
2014-03-31 17:31:55.90636	129074	21.0	1	1
2014-03-31 17:32:06.862262	129075	60	2	24
2014-03-31 17:32:07.093567	129076	18.0	1	24
2014-03-31 17:32:09.089517	129077	52	2	25
2014-03-31 17:32:09.312468	129078	17.2	1	25
2014-03-31 17:32:14.835575	129079	47	2	10
2014-03-31 17:32:15.068176	129080	20.0	1	10
2014-03-31 17:32:22.918111	129081	56	2	9
2014-03-31 17:32:23.13996	129082	19.8	1	9
2014-03-31 17:32:23.976591	129083	54	2	8
2014-03-31 17:32:24.208727	129084	19.2	1	8
2014-03-31 17:32:31.938824	129085	498	3	2
2014-03-31 17:32:32.16155	129086	1151345.761090197	4	2
2014-03-31 17:32:34.681416	129087	55	2	1
2014-03-31 17:32:34.913356	129088	21.0	1	1
2014-03-31 17:32:45.86317	129089	60	2	24
2014-03-31 17:32:46.089737	129090	18.0	1	24
2014-03-31 17:32:48.088675	129091	52	2	25
2014-03-31 17:32:48.320412	129092	17.2	1	25
2014-03-31 17:32:53.836127	129093	47	2	10
2014-03-31 17:32:54.058086	129094	20.0	1	10
2014-03-31 17:33:01.918568	129095	56	2	9
2014-03-31 17:33:02.161164	129096	19.8	1	9
2014-03-31 17:33:02.977734	129097	54	2	8
2014-03-31 17:33:03.199526	129098	19.2	1	8
2014-03-31 17:33:13.688965	129099	55	2	1
2014-03-31 17:33:13.922041	129100	21.0	1	1
2014-03-31 17:33:24.860708	129101	60	2	24
2014-03-31 17:33:25.082073	129102	18.0	1	24
2014-03-31 17:33:27.086399	129103	52	2	25
2014-03-31 17:33:27.316845	129104	17.2	1	25
2014-03-31 17:33:32.83782	129105	47	2	10
2014-03-31 17:33:33.062362	129106	20.0	1	10
2014-03-31 17:33:40.914976	129107	56	2	9
2014-03-31 17:33:41.14707	129108	19.8	1	9
2014-03-31 17:33:41.976812	129109	54	2	8
2014-03-31 17:33:42.197915	129110	19.3	1	8
2014-03-31 17:33:52.684817	129111	55	2	1
2014-03-31 17:33:52.916442	129112	21.0	1	1
2014-03-31 17:33:55.937164	129113	466	3	2
2014-03-31 17:33:56.158563	129114	1151357.2514374112	4	2
2014-03-31 17:34:03.862483	129115	60	2	24
2014-03-31 17:34:04.095617	129116	18.0	1	24
2014-03-31 17:34:06.088276	129117	52	2	25
2014-03-31 17:34:06.309182	129118	17.2	1	25
2014-03-31 17:34:07.937913	129119	515	3	2
2014-03-31 17:34:08.169141	129120	1151359.549506854	4	2
2014-03-31 17:34:11.836261	129121	47	2	10
2014-03-31 17:34:12.057718	129122	20.0	1	10
2014-03-31 17:34:20.12254	129123	56	2	9
2014-03-31 17:34:20.356458	129124	19.8	1	9
2014-03-31 17:34:20.978292	129125	54	2	8
2014-03-31 17:34:21.200132	129126	19.3	1	8
2014-03-31 17:34:31.675848	129127	55	2	1
2014-03-31 17:34:31.909745	129128	21.0	1	1
2014-03-31 17:34:42.859944	129129	60	2	24
2014-03-31 17:34:43.081748	129130	18.1	1	24
2014-03-31 17:34:45.085874	129131	52	2	25
2014-03-31 17:34:45.317077	129132	17.2	1	25
2014-03-31 17:34:50.839643	129133	47	2	10
2014-03-31 17:34:51.063622	129134	20.1	1	10
2014-03-31 17:34:58.920221	129135	56	2	9
2014-03-31 17:34:59.152865	129136	19.8	1	9
2014-03-31 17:34:59.977069	129137	54	2	8
2014-03-31 17:35:00.198541	129138	19.3	1	8
2014-03-31 17:35:10.681187	129139	54	2	1
2014-03-31 17:35:10.917633	129140	21.0	1	1
2014-03-31 17:35:21.859392	129141	60	2	24
2014-03-31 17:35:22.083624	129142	18.1	1	24
2014-03-31 17:35:24.086227	129143	52	2	25
2014-03-31 17:35:24.329488	129144	17.2	1	25
2014-03-31 17:35:29.837048	129145	47	2	10
2014-03-31 17:35:30.059616	129146	20.1	1	10
2014-03-31 17:35:31.939823	129147	531	3	2
2014-03-31 17:35:32.17001	129148	1151371.039854068	4	2
2014-03-31 17:35:37.919952	129149	56	2	9
2014-03-31 17:35:38.143208	129150	19.8	1	9
2014-03-31 17:35:38.978513	129151	54	2	8
2014-03-31 17:35:39.210027	129152	19.3	1	8
2014-03-31 17:35:49.677282	129153	54	2	1
2014-03-31 17:35:49.899426	129154	21.0	1	1
2014-03-31 17:36:00.859345	129155	60	2	24
2014-03-31 17:36:01.095162	129156	18.1	1	24
2014-03-31 17:36:03.08775	129157	52	2	25
2014-03-31 17:36:03.30896	129158	17.2	1	25
2014-03-31 17:36:08.835511	129159	47	2	10
2014-03-31 17:36:09.069611	129160	20.1	1	10
2014-03-31 17:36:16.919355	129161	56	2	9
2014-03-31 17:36:17.142721	129162	19.8	1	9
2014-03-31 17:36:17.97761	129163	54	2	8
2014-03-31 17:36:18.209266	129164	19.3	1	8
2014-03-31 17:36:28.68075	129165	54	2	1
2014-03-31 17:36:28.905297	129166	21.0	1	1
2014-03-31 17:36:31.939264	129167	515	3	2
2014-03-31 17:36:32.171894	129168	1151380.2321318395	4	2
2014-03-31 17:36:39.894365	129169	60	2	24
2014-03-31 17:36:40.135033	129170	18.1	1	24
2014-03-31 17:36:42.085269	129171	52	2	25
2014-03-31 17:36:42.317286	129172	17.2	1	25
2014-03-31 17:36:47.835528	129173	47	2	10
2014-03-31 17:36:48.057336	129174	20.1	1	10
2014-03-31 17:36:55.91953	129175	56	2	9
2014-03-31 17:36:56.150945	129176	19.8	1	9
2014-03-31 17:36:56.976756	129177	54	2	8
2014-03-31 17:36:57.199592	129178	19.3	1	8
2014-03-31 17:37:07.679555	129179	54	2	1
2014-03-31 17:37:07.911207	129180	21.0	1	1
2014-03-31 17:37:18.853674	129181	60	2	24
2014-03-31 17:37:19.076845	129182	18.1	1	24
2014-03-31 17:37:19.937678	129183	579	3	2
2014-03-31 17:37:20.1691	129184	1151387.1263401678	4	2
2014-03-31 17:37:21.086285	129185	52	2	25
2014-03-31 17:37:21.310014	129186	17.2	1	25
2014-03-31 17:37:26.836346	129187	47	2	10
2014-03-31 17:37:27.067815	129188	20.1	1	10
2014-03-31 17:37:34.918476	129189	56	2	9
2014-03-31 17:37:35.141554	129190	19.8	1	9
2014-03-31 17:37:35.977634	129191	54	2	8
2014-03-31 17:37:36.219938	129192	19.3	1	8
2014-03-31 17:37:46.677761	129193	54	2	1
2014-03-31 17:37:46.902663	129194	21.0	1	1
2014-03-31 17:37:57.853863	129195	60	2	24
2014-03-31 17:37:58.27133	129196	18.1	1	24
2014-03-31 17:38:00.086153	129197	52	2	25
2014-03-31 17:38:00.306453	129198	17.2	1	25
2014-03-31 17:38:05.836883	129199	47	2	10
2014-03-31 17:38:06.060713	129200	20.1	1	10
2014-03-31 17:38:13.916939	129201	56	2	9
2014-03-31 17:38:14.1469	129202	19.8	1	9
2014-03-31 17:38:14.975922	129203	54	2	8
2014-03-31 17:38:15.196201	129204	19.3	1	8
2014-03-31 17:38:25.677684	129205	54	2	1
2014-03-31 17:38:25.909362	129206	21.0	1	1
2014-03-31 17:38:31.937572	129207	547	3	2
2014-03-31 17:38:32.157962	129208	1151398.616687382	4	2
2014-03-31 17:38:36.853481	129209	60	2	24
2014-03-31 17:38:37.084575	129210	18.1	1	24
2014-03-31 17:38:39.084782	129211	52	2	25
2014-03-31 17:38:39.30561	129212	17.2	1	25
2014-03-31 17:38:43.936519	129213	595	3	2
2014-03-31 17:38:44.167592	129214	1151399.7657221034	4	2
2014-03-31 17:38:44.837594	129215	47	2	10
2014-03-31 17:38:45.058528	129216	20.1	1	10
2014-03-31 17:38:52.918312	129217	56	2	9
2014-03-31 17:38:53.150236	129218	19.8	1	9
2014-03-31 17:38:53.977467	129219	54	2	8
2014-03-31 17:38:54.197074	129220	19.3	1	8
2014-03-31 17:38:55.936014	129221	579	3	2
2014-03-31 17:38:56.166783	129222	1151402.0637915463	4	2
2014-03-31 17:39:04.67923	129223	54	2	1
2014-03-31 17:39:04.903569	129224	21.1	1	1
2014-03-31 17:39:15.852663	129225	60	2	24
2014-03-31 17:39:16.087779	129226	18.1	1	24
2014-03-31 17:39:18.087413	129227	52	2	25
2014-03-31 17:39:18.306952	129228	17.2	1	25
2014-03-31 17:39:23.836994	129229	47	2	10
2014-03-31 17:39:24.067688	129230	20.2	1	10
2014-03-31 17:39:32.114364	129231	56	2	9
2014-03-31 17:39:32.336101	129232	19.8	1	9
2014-03-31 17:39:32.979445	129233	54	2	8
2014-03-31 17:39:33.210417	129234	19.3	1	8
2014-03-31 17:39:43.678088	129235	54	2	1
2014-03-31 17:39:43.903041	129236	21.1	1	1
2014-03-31 17:39:54.854836	129237	60	2	24
2014-03-31 17:39:55.08574	129238	18.1	1	24
2014-03-31 17:39:57.083258	129239	52	2	25
2014-03-31 17:39:57.304567	129240	17.2	1	25
2014-03-31 17:40:02.839601	129241	47	2	10
2014-03-31 17:40:03.081985	129242	20.2	1	10
2014-03-31 17:40:07.939072	129243	547	3	2
2014-03-31 17:40:08.164222	129244	1151413.5541387605	4	2
2014-03-31 17:40:10.917643	129245	56	2	9
2014-03-31 17:40:11.150848	129246	19.8	1	9
2014-03-31 17:40:11.976494	129247	54	2	8
2014-03-31 17:40:12.196382	129248	19.3	1	8
2014-03-31 17:40:19.93933	129249	579	3	2
2014-03-31 17:40:20.169092	129250	1151414.7031734819	4	2
2014-03-31 17:40:22.677428	129251	54	2	1
2014-03-31 17:40:22.899918	129252	21.1	1	1
2014-03-31 17:40:31.937774	129253	547	3	2
2014-03-31 17:40:32.168986	129254	1151417.0012429247	4	2
2014-03-31 17:40:33.861453	129255	60	2	24
2014-03-31 17:40:34.087441	129256	18.1	1	24
2014-03-31 17:40:36.083161	129257	52	2	25
2014-03-31 17:40:36.31301	129258	17.2	1	25
2014-03-31 17:40:41.838106	129259	47	2	10
2014-03-31 17:40:42.062508	129260	20.2	1	10
2014-03-31 17:40:43.94023	129261	579	3	2
2014-03-31 17:40:44.171394	129262	1151419.2993123676	4	2
2014-03-31 17:40:49.919762	129263	56	2	9
2014-03-31 17:40:50.14167	129264	19.8	1	9
2014-03-31 17:40:50.979963	129265	54	2	8
2014-03-31 17:40:51.213263	129266	19.3	1	8
2014-03-31 17:40:55.941736	129267	579	3	2
2014-03-31 17:40:56.163961	129268	1151420.4483470889	4	2
2014-03-31 17:41:01.677833	129269	54	2	1
2014-03-31 17:41:01.913305	129270	21.1	1	1
2014-03-31 17:41:12.85231	129271	60	2	24
2014-03-31 17:41:13.075322	129272	18.1	1	24
2014-03-31 17:41:15.085985	129273	52	2	25
2014-03-31 17:41:15.322557	129274	17.2	1	25
2014-03-31 17:41:19.937534	129275	547	3	2
2014-03-31 17:41:20.160936	129276	1151425.0444859746	4	2
2014-03-31 17:41:20.83872	129277	47	2	10
2014-03-31 17:41:21.073194	129278	20.2	1	10
2014-03-31 17:41:28.916976	129279	56	2	9
2014-03-31 17:41:29.14101	129280	19.8	1	9
2014-03-31 17:41:29.975962	129281	54	2	8
2014-03-31 17:41:30.20903	129282	19.3	1	8
2014-03-31 17:41:31.936915	129283	579	3	2
2014-03-31 17:41:32.160309	129284	1151426.1935206961	4	2
2014-03-31 17:41:40.676827	129285	54	2	1
2014-03-31 17:41:40.909928	129286	21.1	1	1
2014-03-31 17:41:43.936269	129287	579	3	2
2014-03-31 17:41:44.159443	129288	1151428.491590139	4	2
2014-03-31 17:41:51.849775	129289	60	2	24
2014-03-31 17:41:52.094594	129290	18.1	1	24
2014-03-31 17:41:54.083467	129291	52	2	25
2014-03-31 17:41:54.30586	129292	17.2	1	25
2014-03-31 17:41:55.934736	129293	547	3	2
2014-03-31 17:41:56.167127	129294	1151430.7896595816	4	2
2014-03-31 17:41:59.838905	129295	47	2	10
2014-03-31 17:42:00.062538	129296	20.2	1	10
2014-03-31 17:42:08.120236	129297	56	2	9
2014-03-31 17:42:08.352403	129298	19.8	1	9
2014-03-31 17:42:08.976185	129299	54	2	8
2014-03-31 17:42:09.200668	129300	19.3	1	8
2014-03-31 17:42:19.67429	129301	54	2	1
2014-03-31 17:42:19.905395	129302	21.1	1	1
2014-03-31 17:42:30.850777	129303	60	2	24
2014-03-31 17:42:31.073769	129304	18.1	1	24
2014-03-31 17:42:31.936468	129305	579	3	2
2014-03-31 17:42:32.167121	129306	1151436.5348331889	4	2
2014-03-31 17:42:33.083153	129307	52	2	25
2014-03-31 17:42:33.303945	129308	17.2	1	25
2014-03-31 17:42:38.83861	129309	47	2	10
2014-03-31 17:42:39.070531	129310	20.2	1	10
2014-03-31 17:42:43.939012	129311	547	3	2
2014-03-31 17:42:44.164557	129312	1151437.6838679102	4	2
2014-03-31 17:42:46.91752	129313	56	2	9
2014-03-31 17:42:47.148753	129314	19.8	1	9
2014-03-31 17:42:47.977232	129315	54	2	8
2014-03-31 17:42:48.198562	129316	19.3	1	8
2014-03-31 17:42:55.935552	129317	579	3	2
2014-03-31 17:42:56.167035	129318	1151439.981937353	4	2
2014-03-31 17:42:58.675536	129319	54	2	1
2014-03-31 17:42:58.896692	129320	21.1	1	1
2014-03-31 17:43:07.935818	129321	547	3	2
2014-03-31 17:43:08.166991	129322	1151442.280006796	4	2
2014-03-31 17:43:09.84853	129323	60	2	24
2014-03-31 17:43:10.069587	129324	18.1	1	24
2014-03-31 17:43:12.083612	129325	52	2	25
2014-03-31 17:43:12.314772	129326	17.2	1	25
2014-03-31 17:43:17.838932	129327	47	2	10
2014-03-31 17:43:18.059226	129328	20.2	1	10
2014-03-31 17:43:25.916701	129329	56	2	9
2014-03-31 17:43:26.151273	129330	19.8	1	9
2014-03-31 17:43:26.976113	129331	54	2	8
2014-03-31 17:43:27.196259	129332	19.3	1	8
2014-03-31 17:43:31.938206	129333	547	3	2
2014-03-31 17:43:32.172082	129334	1151445.72711096	4	2
2014-03-31 17:43:37.675866	129335	54	2	1
2014-03-31 17:43:37.903101	129336	21.1	1	1
2014-03-31 17:43:48.848648	129337	60	2	24
2014-03-31 17:43:49.091426	129338	18.1	1	24
2014-03-31 17:43:51.084408	129339	52	2	25
2014-03-31 17:43:51.306857	129340	17.2	1	25
2014-03-31 17:43:55.937331	129341	579	3	2
2014-03-31 17:43:56.167334	129342	1151449.1742151245	4	2
2014-03-31 17:43:56.838855	129343	47	2	10
2014-03-31 17:43:57.058302	129344	20.2	1	10
2014-03-31 17:44:04.91619	129345	56	2	9
2014-03-31 17:44:05.147822	129346	19.8	1	9
2014-03-31 17:44:05.975386	129347	54	2	8
2014-03-31 17:44:06.197405	129348	19.3	1	8
2014-03-31 17:44:07.935761	129349	579	3	2
2014-03-31 17:44:08.166381	129350	1151451.472284567	4	2
2014-03-31 17:44:16.677014	129351	54	2	1
2014-03-31 17:44:16.899338	129352	21.1	1	1
2014-03-31 17:44:27.847439	129353	60	2	24
2014-03-31 17:44:28.07814	129354	18.1	1	24
2014-03-31 17:44:30.082677	129355	52	2	25
2014-03-31 17:44:30.30371	129356	17.2	1	25
2014-03-31 17:44:31.93638	129357	547	3	2
2014-03-31 17:44:32.166262	129358	1151454.9193887315	4	2
2014-03-31 17:44:35.837508	129359	47	2	10
2014-03-31 17:44:36.0591	129360	20.3	1	10
2014-03-31 17:44:44.120604	129361	56	2	9
2014-03-31 17:44:44.352435	129362	19.8	1	9
2014-03-31 17:44:44.975045	129363	54	2	8
2014-03-31 17:44:45.198698	129364	19.4	1	8
2014-03-31 17:44:55.676148	129365	54	2	1
2014-03-31 17:44:55.908005	129366	21.2	1	1
2014-03-31 17:45:06.849652	129367	60	2	24
2014-03-31 17:45:07.070117	129368	18.2	1	24
2014-03-31 17:45:09.08278	129369	52	2	25
2014-03-31 17:45:09.313353	129370	17.2	1	25
2014-03-31 17:45:14.841717	129371	47	2	10
2014-03-31 17:45:15.103168	129372	20.3	1	10
2014-03-31 17:45:19.937379	129373	579	3	2
2014-03-31 17:45:20.256611	129374	1151461.8135970598	4	2
2014-03-31 17:45:22.916849	129375	56	2	9
2014-03-31 17:45:23.173849	129376	19.8	1	9
2014-03-31 17:45:23.975489	129377	54	2	8
2014-03-31 17:45:24.2388	129378	19.4	1	8
2014-03-31 17:45:31.936035	129379	547	3	2
2014-03-31 17:45:32.282381	129380	1151464.1116665027	4	2
2014-03-31 17:45:34.713507	129381	54	2	1
2014-03-31 17:45:35.001621	129382	21.2	1	1
2014-03-31 17:45:43.937713	129383	547	3	2
2014-03-31 17:45:44.196331	129384	1151466.4097359455	4	2
2014-03-31 17:45:45.84877	129385	60	2	24
2014-03-31 17:45:46.624679	129386	18.2	1	24
2014-03-31 17:45:48.080587	129387	52	2	25
2014-03-31 17:45:48.334207	129388	17.2	1	25
2014-03-31 17:45:53.839752	129389	47	2	10
2014-03-31 17:45:54.109443	129390	20.3	1	10
2014-03-31 17:46:01.919957	129391	56	2	9
2014-03-31 17:46:02.170145	129392	19.8	1	9
2014-03-31 17:46:02.976416	129393	54	2	8
2014-03-31 17:46:03.207458	129394	19.4	1	8
2014-03-31 17:46:13.914787	129395	54	2	1
2014-03-31 17:46:14.136542	129396	21.2	1	1
2014-03-31 17:46:19.938502	129397	515	3	2
2014-03-31 17:46:20.168001	129398	1151471.0058748312	4	2
2014-03-31 17:46:24.844263	129399	60	2	24
2014-03-31 17:46:25.067352	129400	18.2	1	24
2014-03-31 17:46:27.08313	129401	52	2	25
2014-03-31 17:46:27.314672	129402	17.2	1	25
2014-03-31 17:46:31.935854	129403	498	3	2
2014-03-31 17:46:32.158758	129404	1151473.303944274	4	2
2014-03-31 17:46:33.048446	129405	47	2	10
2014-03-31 17:46:33.278267	129406	20.3	1	10
2014-03-31 17:46:40.916717	129407	56	2	9
2014-03-31 17:46:41.139566	129408	19.8	1	9
2014-03-31 17:46:41.974538	129409	54	2	8
2014-03-31 17:46:42.206333	129410	19.4	1	8
2014-03-31 17:46:52.670417	129411	54	2	1
2014-03-31 17:46:52.891618	129412	21.2	1	1
2014-03-31 17:47:03.844801	129413	60	2	24
2014-03-31 17:47:04.078263	129414	18.2	1	24
2014-03-31 17:47:06.080614	129415	52	2	25
2014-03-31 17:47:06.300634	129416	17.2	1	25
2014-03-31 17:47:11.839885	129417	47	2	10
2014-03-31 17:47:12.072304	129418	20.3	1	10
2014-03-31 17:47:19.915091	129419	56	2	9
2014-03-31 17:47:20.138598	129420	19.8	1	9
2014-03-31 17:47:20.97702	129421	54	2	8
2014-03-31 17:47:21.209199	129422	19.4	1	8
2014-03-31 17:47:42.845205	129423	60	2	24
2014-03-31 17:47:43.0687	129424	18.2	1	24
2014-03-31 17:47:45.082026	129425	52	2	25
2014-03-31 17:47:45.321687	129426	17.2	1	25
2014-03-31 17:47:50.841035	129427	47	2	10
2014-03-31 17:47:51.069284	129428	20.3	1	10
2014-03-31 17:47:58.912443	129429	56	2	9
2014-03-31 17:47:59.143578	129430	19.8	1	9
2014-03-31 17:47:59.975448	129431	54	2	8
2014-03-31 17:48:00.197379	129432	19.4	1	8
2014-03-31 17:48:10.673753	129433	54	2	1
2014-03-31 17:48:10.919771	129434	21.2	1	1
2014-03-31 17:48:19.93657	129435	482	3	2
2014-03-31 17:48:20.15771	129436	1151488.2413956525	4	2
2014-03-31 17:48:21.843317	129437	60	2	24
2014-03-31 17:48:22.073383	129438	18.2	1	24
2014-03-31 17:48:24.083031	129439	52	2	25
2014-03-31 17:48:24.304991	129440	17.2	1	25
2014-03-31 17:48:29.840462	129441	47	2	10
2014-03-31 17:48:30.071685	129442	20.3	1	10
2014-03-31 17:48:37.918256	129443	56	2	9
2014-03-31 17:48:38.139858	129444	19.8	1	9
2014-03-31 17:48:38.975692	129445	54	2	8
2014-03-31 17:48:39.205978	129446	19.4	1	8
2014-03-31 17:48:43.939819	129447	498	3	2
2014-03-31 17:48:44.162641	129448	1151491.6884998167	4	2
2014-03-31 17:48:49.674688	129449	54	2	1
2014-03-31 17:48:49.911356	129450	21.2	1	1
2014-03-31 17:49:00.842777	129451	60	2	24
2014-03-31 17:49:01.065535	129452	18.2	1	24
2014-03-31 17:49:03.079457	129453	52	2	25
2014-03-31 17:49:03.309526	129454	17.2	1	25
2014-03-31 17:49:08.84033	129455	47	2	10
2014-03-31 17:49:09.063676	129456	20.3	1	10
2014-03-31 17:49:16.919122	129457	56	2	9
2014-03-31 17:49:17.150379	129458	19.8	1	9
2014-03-31 17:49:17.97586	129459	54	2	8
2014-03-31 17:49:18.197743	129460	19.4	1	8
2014-03-31 17:49:28.67501	129461	54	2	1
2014-03-31 17:49:28.905606	129462	21.2	1	1
2014-03-31 17:49:31.93627	129463	482	3	2
2014-03-31 17:49:32.156765	129464	1151498.5827081453	4	2
2014-03-31 17:49:39.842122	129465	60	2	24
2014-03-31 17:49:40.08346	129466	18.2	1	24
2014-03-31 17:49:42.083181	129467	52	2	25
2014-03-31 17:49:42.306869	129468	17.2	1	25
2014-03-31 17:49:47.840389	129469	47	2	10
2014-03-31 17:49:48.071642	129470	20.4	1	10
2014-03-31 17:49:55.914122	129471	56	2	9
2014-03-31 17:49:56.136298	129472	19.8	1	9
2014-03-31 17:49:56.975665	129473	54	2	8
2014-03-31 17:49:57.206423	129474	19.4	1	8
2014-03-31 17:50:07.675004	129475	54	2	1
2014-03-31 17:50:07.896739	129476	21.2	1	1
2014-03-31 17:50:18.840469	129477	60	2	24
2014-03-31 17:50:19.071516	129478	18.2	1	24
2014-03-31 17:50:19.934494	129479	498	3	2
2014-03-31 17:50:20.165419	129480	1151505.4769164736	4	2
2014-03-31 17:50:21.077561	129481	52	2	25
2014-03-31 17:50:21.318563	129482	17.2	1	25
2014-03-31 17:50:26.839934	129483	47	2	10
2014-03-31 17:50:27.05989	129484	20.4	1	10
2014-03-31 17:50:31.934878	129485	498	3	2
2014-03-31 17:50:32.16921	129486	1151506.6259511951	4	2
2014-03-31 17:50:34.913718	129487	56	2	9
2014-03-31 17:50:35.13355	129488	19.8	1	9
2014-03-31 17:50:35.975423	129489	54	2	8
2014-03-31 17:50:36.206055	129490	19.4	1	8
2014-03-31 17:50:46.671446	129491	54	2	1
2014-03-31 17:50:46.893899	129492	21.3	1	1
2014-03-31 17:50:57.842279	129493	60	2	24
2014-03-31 17:50:58.07386	129494	18.2	1	24
2014-03-31 17:51:00.079375	129495	52	2	25
2014-03-31 17:51:00.302024	129496	17.2	1	25
2014-03-31 17:51:05.840724	129497	47	2	10
2014-03-31 17:51:06.072256	129498	20.4	1	10
2014-03-31 17:51:14.119106	129499	56	2	9
2014-03-31 17:51:14.340185	129500	19.8	1	9
2014-03-31 17:51:14.975538	129501	54	2	8
2014-03-31 17:51:15.209592	129502	19.4	1	8
2014-03-31 17:51:25.671574	129503	54	2	1
2014-03-31 17:51:25.89465	129504	21.3	1	1
2014-03-31 17:51:31.939465	129505	515	3	2
2014-03-31 17:51:32.170332	129506	1151514.669194245	4	2
2014-03-31 17:51:36.839297	129507	60	2	24
2014-03-31 17:51:37.062516	129508	18.2	1	24
2014-03-31 17:51:39.078487	129509	52	2	25
2014-03-31 17:51:39.310684	129510	17.2	1	25
2014-03-31 17:51:43.938911	129511	482	3	2
2014-03-31 17:51:44.161515	129512	1151516.9672636879	4	2
2014-03-31 17:51:44.841979	129513	47	2	10
2014-03-31 17:51:45.074992	129514	20.4	1	10
2014-03-31 17:51:52.916222	129515	56	2	9
2014-03-31 17:51:53.139841	129516	19.8	1	9
2014-03-31 17:51:53.976452	129517	54	2	8
2014-03-31 17:51:54.207812	129518	19.4	1	8
2014-03-31 17:52:04.673311	129519	54	2	1
2014-03-31 17:52:04.895186	129520	21.3	1	1
2014-03-31 17:52:07.935399	129521	498	3	2
2014-03-31 17:52:08.16721	129522	1151520.414367852	4	2
2014-03-31 17:52:15.839979	129523	60	2	24
2014-03-31 17:52:16.068117	129524	18.2	1	24
2014-03-31 17:52:18.079641	129525	52	2	25
2014-03-31 17:52:18.310773	129526	17.3	1	25
2014-03-31 17:52:23.83992	129527	47	2	10
2014-03-31 17:52:24.063899	129528	20.4	1	10
2014-03-31 17:52:32.12523	129529	56	2	9
2014-03-31 17:52:32.367825	129530	19.8	1	9
2014-03-31 17:52:32.974712	129531	54	2	8
2014-03-31 17:52:33.195965	129532	19.4	1	8
2014-03-31 17:52:43.670485	129533	54	2	1
2014-03-31 17:52:43.904783	129534	21.3	1	1
2014-03-31 17:52:54.843072	129535	60	2	24
2014-03-31 17:52:55.067041	129536	18.2	1	24
2014-03-31 17:52:55.934114	129537	547	3	2
2014-03-31 17:52:56.165826	129538	1151526.1640124114	4	2
2014-03-31 17:52:57.07724	129539	52	2	25
2014-03-31 17:52:57.302008	129540	17.3	1	25
2014-03-31 17:53:02.8398	129541	47	2	10
2014-03-31 17:53:03.071739	129542	20.4	1	10
2014-03-31 17:53:11.119774	129543	56	2	9
2014-03-31 17:53:11.341748	129544	19.8	1	9
2014-03-31 17:53:11.974786	129545	54	2	8
2014-03-31 17:53:12.20642	129546	19.4	1	8
2014-03-31 17:53:22.671208	129547	54	2	1
2014-03-31 17:53:22.892534	129548	21.3	1	1
2014-03-31 17:53:31.934702	129549	547	3	2
2014-03-31 17:53:32.165616	129550	1151531.9091860184	4	2
2014-03-31 17:53:33.836574	129551	60	2	24
2014-03-31 17:53:34.056807	129552	18.2	1	24
2014-03-31 17:53:36.077091	129553	52	2	25
2014-03-31 17:53:36.309398	129554	17.3	1	25
2014-03-31 17:53:41.83997	129555	47	2	10
2014-03-31 17:53:42.060713	129556	20.4	1	10
2014-03-31 17:53:49.918897	129557	56	2	9
2014-03-31 17:53:50.151296	129558	19.8	1	9
2014-03-31 17:53:50.974742	129559	54	2	8
2014-03-31 17:53:51.195267	129560	19.4	1	8
2014-03-31 17:54:01.67241	129561	54	2	1
2014-03-31 17:54:01.904355	129562	21.3	1	1
2014-03-31 17:54:12.836494	129563	60	2	24
2014-03-31 17:54:13.057519	129564	18.2	1	24
2014-03-31 17:54:15.076164	129565	52	2	25
2014-03-31 17:54:15.307049	129566	17.3	1	25
2014-03-31 17:54:20.842736	129567	47	2	10
2014-03-31 17:54:21.066092	129568	20.4	1	10
2014-03-31 17:54:28.914208	129569	56	2	9
2014-03-31 17:54:29.169155	129570	19.8	1	9
2014-03-31 17:54:29.975553	129571	54	2	8
2014-03-31 17:54:30.194701	129572	19.4	1	8
2014-03-31 17:54:31.934131	129573	547	3	2
2014-03-31 17:54:32.165337	129574	1151541.1014637898	4	2
2014-03-31 17:54:40.672299	129575	54	2	1
2014-03-31 17:54:40.893539	129576	21.3	1	1
2014-03-31 17:54:51.835038	129577	60	2	24
2014-03-31 17:54:52.077414	129578	18.2	1	24
2014-03-31 17:54:54.077282	129579	52	2	25
2014-03-31 17:54:54.298075	129580	17.3	1	25
2014-03-31 17:54:55.933076	129581	579	3	2
2014-03-31 17:54:56.163465	129582	1151544.548567954	4	2
2014-03-31 17:54:59.84272	129583	47	2	10
2014-03-31 17:55:00.063703	129584	20.4	1	10
2014-03-31 17:55:08.12226	129585	56	2	9
2014-03-31 17:55:08.354471	129586	19.8	1	9
2014-03-31 17:55:08.975157	129587	54	2	8
2014-03-31 17:55:09.195102	129588	19.4	1	8
2014-03-31 17:55:19.671922	129589	54	2	1
2014-03-31 17:55:19.903223	129590	21.3	1	1
2014-03-31 17:55:30.835535	129591	60	2	24
2014-03-31 17:55:31.057108	129592	18.2	1	24
2014-03-31 17:55:31.933627	129593	547	3	2
2014-03-31 17:55:32.164023	129594	1151550.293741561	4	2
2014-03-31 17:55:33.078318	129595	52	2	25
2014-03-31 17:55:33.299383	129596	17.3	1	25
2014-03-31 17:55:38.842238	129597	47	2	10
2014-03-31 17:55:39.073603	129598	20.5	1	10
2014-03-31 17:55:46.918524	129599	56	2	9
2014-03-31 17:55:47.138807	129600	19.9	1	9
2014-03-31 17:55:47.974633	129601	54	2	8
2014-03-31 17:55:48.205384	129602	19.4	1	8
2014-03-31 17:55:58.665315	129603	54	2	1
2014-03-31 17:55:58.890664	129604	21.3	1	1
2014-03-31 17:56:09.834496	129605	60	2	24
2014-03-31 17:56:10.065343	129606	18.2	1	24
2014-03-31 17:56:12.074042	129607	52	2	25
2014-03-31 17:56:12.295139	129608	17.3	1	25
2014-03-31 17:56:17.843689	129609	47	2	10
2014-03-31 17:56:18.074525	129610	20.5	1	10
2014-03-31 17:56:25.917506	129611	56	2	9
2014-03-31 17:56:26.138941	129612	19.9	1	9
2014-03-31 17:56:26.973767	129613	54	2	8
2014-03-31 17:56:27.204197	129614	19.5	1	8
2014-03-31 17:56:37.670619	129615	54	2	1
2014-03-31 17:56:37.894883	129616	21.3	1	1
2014-03-31 17:56:48.833789	129617	60	2	24
2014-03-31 17:56:49.068868	129618	18.2	1	24
2014-03-31 17:56:51.076216	129619	52	2	25
2014-03-31 17:56:51.296841	129620	17.3	1	25
2014-03-31 17:56:55.935857	129621	804	3	2
2014-03-31 17:56:56.169299	129622	1151565.2311929394	4	2
2014-03-31 17:56:56.840632	129623	47	2	10
2014-03-31 17:56:57.064036	129624	20.5	1	10
2014-03-31 17:57:04.914718	129625	56	2	9
2014-03-31 17:57:05.158604	129626	19.9	1	9
2014-03-31 17:57:05.976082	129627	54	2	8
2014-03-31 17:57:06.195902	129628	19.5	1	8
2014-03-31 17:57:07.936486	129629	804	3	2
2014-03-31 17:57:08.165845	129630	1151567.5292623823	4	2
2014-03-31 17:57:16.669835	129631	54	2	1
2014-03-31 17:57:16.89126	129632	21.3	1	1
2014-03-31 17:57:19.935277	129633	724	3	2
2014-03-31 17:57:20.167018	129634	1151569.8273318252	4	2
2014-03-31 17:57:27.834136	129635	60	2	24
2014-03-31 17:57:28.059371	129636	18.2	1	24
2014-03-31 17:57:30.07761	129637	52	2	25
2014-03-31 17:57:30.307716	129638	17.3	1	25
2014-03-31 17:57:31.934109	129639	804	3	2
2014-03-31 17:57:32.156722	129640	1151572.125401268	4	2
2014-03-31 17:57:35.842467	129641	47	2	10
2014-03-31 17:57:36.07501	129642	20.5	1	10
2014-03-31 17:57:44.121358	129643	56	2	9
2014-03-31 17:57:44.345739	129644	19.9	1	9
2014-03-31 17:57:44.973821	129645	54	2	8
2014-03-31 17:57:45.206114	129646	19.5	1	8
2014-03-31 17:57:55.667301	129647	54	2	1
2014-03-31 17:57:55.888578	129648	21.3	1	1
2014-03-31 17:58:06.831867	129649	60	2	24
2014-03-31 17:58:07.062948	129650	18.3	1	24
2014-03-31 17:58:07.934145	129651	724	3	2
2014-03-31 17:58:08.156449	129652	1151580.168644318	4	2
2014-03-31 17:58:09.077308	129653	52	2	25
2014-03-31 17:58:09.30907	129654	17.3	1	25
2014-03-31 17:58:14.842456	129655	47	2	10
2014-03-31 17:58:15.063255	129656	20.5	1	10
2014-03-31 17:58:19.933253	129657	804	3	2
2014-03-31 17:58:20.169858	129658	1151583.615748482	4	2
2014-03-31 17:58:22.916935	129659	56	2	9
2014-03-31 17:58:23.138612	129660	19.9	1	9
2014-03-31 17:58:23.974477	129661	54	2	8
2014-03-31 17:58:24.208021	129662	19.5	1	8
2014-03-31 17:58:31.933063	129663	676	3	2
2014-03-31 17:58:32.155324	129664	1151585.913817925	4	2
2014-03-31 17:58:34.666489	129665	54	2	1
2014-03-31 17:58:34.898131	129666	21.3	1	1
2014-03-31 17:58:45.832958	129667	60	2	24
2014-03-31 17:58:46.0595	129668	18.3	1	24
2014-03-31 17:58:48.075223	129669	52	2	25
2014-03-31 17:58:48.309871	129670	17.3	1	25
2014-03-31 17:58:53.843281	129671	47	2	10
2014-03-31 17:58:54.064315	129672	20.5	1	10
2014-03-31 17:59:01.918305	129673	56	2	9
2014-03-31 17:59:02.160015	129674	19.9	1	9
2014-03-31 17:59:02.974319	129675	54	2	8
2014-03-31 17:59:03.195276	129676	19.5	1	8
2014-03-31 17:59:13.668538	129677	54	2	1
2014-03-31 17:59:13.900663	129678	21.3	1	1
2014-03-31 17:59:19.934638	129679	659	3	2
2014-03-31 17:59:20.155939	129680	1151595.1060956963	4	2
2014-03-31 17:59:24.832263	129681	60	2	24
2014-03-31 17:59:25.062944	129682	18.3	1	24
2014-03-31 17:59:27.073844	129683	52	2	25
2014-03-31 17:59:27.295389	129684	17.3	1	25
2014-03-31 17:59:31.935752	129685	676	3	2
2014-03-31 17:59:32.16606	129686	1151597.4041651392	4	2
2014-03-31 17:59:32.842444	129687	47	2	10
2014-03-31 17:59:33.063739	129688	20.5	1	10
2014-03-31 17:59:40.91589	129689	56	2	9
2014-03-31 17:59:41.146523	129690	19.9	1	9
2014-03-31 17:59:41.973952	129691	54	2	8
2014-03-31 17:59:42.193673	129692	19.5	1	8
2014-03-31 17:59:52.667592	129693	54	2	1
2014-03-31 17:59:52.898091	129694	21.3	1	1
2014-03-31 18:00:03.830325	129695	60	2	24
2014-03-31 18:00:04.051462	129696	18.3	1	24
2014-03-31 18:00:06.07502	129697	52	2	25
2014-03-31 18:00:06.305655	129698	17.3	1	25
2014-03-31 18:00:11.842841	129699	47	2	10
2014-03-31 18:00:12.063122	129700	20.5	1	10
2014-03-31 18:00:19.914828	129701	56	2	9
2014-03-31 18:00:20.147641	129702	19.9	1	9
2014-03-31 18:00:20.975512	129703	54	2	8
2014-03-31 18:00:21.19789	129704	19.5	1	8
2014-03-31 18:00:31.66932	129705	54	2	1
2014-03-31 18:00:31.903257	129706	21.3	1	1
2014-03-31 18:00:42.833185	129707	60	2	24
2014-03-31 18:00:43.054641	129708	18.3	1	24
2014-03-31 18:00:45.073356	129709	52	2	25
2014-03-31 18:00:45.303816	129710	17.3	1	25
2014-03-31 18:00:50.844252	129711	47	2	10
2014-03-31 18:00:51.066001	129712	20.6	1	10
2014-03-31 18:00:55.934536	129713	692	3	2
2014-03-31 18:00:56.170657	129714	1151612.3416165174	4	2
2014-03-31 18:00:58.915251	129715	56	2	9
2014-03-31 18:00:59.136186	129716	19.9	1	9
2014-03-31 18:00:59.974072	129717	54	2	8
2014-03-31 18:01:00.204673	129718	19.5	1	8
2014-03-31 18:01:10.68024	129719	54	2	1
2014-03-31 18:01:10.948455	129720	21.3	1	1
2014-03-31 18:01:21.823407	129721	60	2	24
2014-03-31 18:01:22.066407	129722	18.3	1	24
2014-03-31 18:01:24.07063	129723	52	2	25
2014-03-31 18:01:24.294031	129724	17.3	1	25
2014-03-31 18:01:29.844936	129725	47	2	10
2014-03-31 18:01:30.076767	129726	20.6	1	10
2014-03-31 18:01:31.93867	129727	692	3	2
2014-03-31 18:01:32.159182	129728	1151619.235824846	4	2
2014-03-31 18:01:37.920021	129729	56	2	9
2014-03-31 18:01:38.15325	129730	19.9	1	9
2014-03-31 18:01:38.974084	129731	54	2	8
2014-03-31 18:01:39.195018	129732	19.5	1	8
2014-03-31 18:01:43.934887	129733	659	3	2
2014-03-31 18:01:44.16893	129734	1151621.5338942888	4	2
2014-03-31 18:01:49.66434	129735	54	2	1
2014-03-31 18:01:49.894114	129736	21.3	1	1
2014-03-31 18:01:55.93745	129737	692	3	2
2014-03-31 18:01:56.169022	129738	1151623.8319637317	4	2
2014-03-31 18:02:00.827462	129739	60	2	24
2014-03-31 18:02:01.050065	129740	18.3	1	24
2014-03-31 18:02:03.076136	129741	52	2	25
2014-03-31 18:02:03.307331	129742	17.3	1	25
2014-03-31 18:02:07.93713	129743	692	3	2
2014-03-31 18:02:08.157571	129744	1151626.1300331745	4	2
2014-03-31 18:02:08.843742	129745	47	2	10
2014-03-31 18:02:09.07735	129746	20.6	1	10
2014-03-31 18:02:16.91255	129747	56	2	9
2014-03-31 18:02:17.135166	129748	19.9	1	9
2014-03-31 18:02:17.975632	129749	54	2	8
2014-03-31 18:02:18.205645	129750	19.5	1	8
2014-03-31 18:02:28.664966	129751	54	2	1
2014-03-31 18:02:28.887244	129752	21.4	1	1
2014-03-31 18:02:31.933922	129753	708	3	2
2014-03-31 18:02:32.166554	129754	1151631.8752067816	4	2
2014-03-31 18:02:39.829113	129755	60	2	24
2014-03-31 18:02:40.054802	129756	18.3	1	24
2014-03-31 18:02:42.075989	129757	52	2	25
2014-03-31 18:02:42.306714	129758	17.3	1	25
2014-03-31 18:02:47.843387	129759	47	2	10
2014-03-31 18:02:48.066674	129760	20.6	1	10
2014-03-31 18:02:55.912374	129761	56	2	9
2014-03-31 18:02:56.145069	129762	20.0	1	9
2014-03-31 18:02:56.974094	129763	54	2	8
2014-03-31 18:02:57.20007	129764	19.5	1	8
2014-03-31 18:03:07.664894	129765	54	2	1
2014-03-31 18:03:07.895719	129766	21.4	1	1
2014-03-31 18:03:18.826026	129767	60	2	24
2014-03-31 18:03:19.048288	129768	18.3	1	24
2014-03-31 18:03:19.935021	129769	708	3	2
2014-03-31 18:03:20.178856	129770	1151641.067484553	4	2
2014-03-31 18:03:21.094247	129771	52	2	25
2014-03-31 18:03:21.315843	129772	17.3	1	25
2014-03-31 18:03:26.84474	129773	47	2	10
2014-03-31 18:03:27.077113	129774	20.6	1	10
2014-03-31 18:03:34.908595	129775	56	2	9
2014-03-31 18:03:35.133072	129776	20.0	1	9
2014-03-31 18:03:35.974383	129777	54	2	8
2014-03-31 18:03:36.206602	129778	19.5	1	8
2014-03-31 18:03:43.933202	129779	2945	3	2
2014-03-31 18:03:44.15515	129780	1151647.9616928813	4	2
2014-03-31 18:03:46.664716	129781	54	2	1
2014-03-31 18:03:46.897239	129782	21.4	1	1
2014-03-31 18:03:55.935731	129783	2913	3	2
2014-03-31 18:03:56.156448	129784	1151658.303005374	4	2
2014-03-31 18:03:57.828727	129785	60	2	24
2014-03-31 18:03:58.058237	129786	18.3	1	24
2014-03-31 18:04:00.073714	129787	52	2	25
2014-03-31 18:04:00.296013	129788	17.3	1	25
2014-03-31 18:04:05.843868	129789	47	2	10
2014-03-31 18:04:06.074981	129790	20.6	1	10
2014-03-31 18:04:07.932976	129791	2913	3	2
2014-03-31 18:04:08.15452	129792	1151667.4952831455	4	2
2014-03-31 18:04:13.908936	129793	56	2	9
2014-03-31 18:04:14.140457	129794	20.0	1	9
2014-03-31 18:04:14.973775	129795	54	2	8
2014-03-31 18:04:15.195322	129796	19.5	1	8
2014-03-31 18:04:19.931485	129797	2849	3	2
2014-03-31 18:04:20.165199	129798	1151677.8365956382	4	2
2014-03-31 18:04:25.66461	129799	54	2	1
2014-03-31 18:04:25.891879	129800	21.4	1	1
2014-03-31 18:04:31.932637	129801	2929	3	2
2014-03-31 18:04:32.16483	129802	1151687.0288734094	4	2
2014-03-31 18:04:36.828272	129803	60	2	24
2014-03-31 18:04:37.053782	129804	18.3	1	24
2014-03-31 18:04:39.073234	129805	52	2	25
2014-03-31 18:04:39.304712	129806	17.3	1	25
2014-03-31 18:04:43.932947	129807	2849	3	2
2014-03-31 18:04:44.156481	129808	1151697.370185902	4	2
2014-03-31 18:04:44.843358	129809	47	2	10
2014-03-31 18:04:45.077013	129810	20.6	1	10
2014-03-31 18:04:52.911866	129811	56	2	9
2014-03-31 18:04:53.134494	129812	20.0	1	9
2014-03-31 18:04:53.974182	129813	54	2	8
2014-03-31 18:04:54.205254	129814	19.5	1	8
2014-03-31 18:05:04.70271	129815	54	2	1
2014-03-31 18:05:04.924703	129816	21.4	1	1
2014-03-31 18:05:07.934018	129817	2816	3	2
2014-03-31 18:05:08.176301	129818	1151715.754741445	4	2
2014-03-31 18:05:15.827448	129819	60	2	24
2014-03-31 18:05:16.05528	129820	18.3	1	24
2014-03-31 18:05:18.071688	129821	52	2	25
2014-03-31 18:05:18.303792	129822	17.3	1	25
2014-03-31 18:05:19.932456	129823	2849	3	2
2014-03-31 18:05:20.154439	129824	1151726.0960539377	4	2
2014-03-31 18:05:23.844592	129825	47	2	10
2014-03-31 18:05:24.076351	129826	20.6	1	10
2014-03-31 18:05:32.111181	129827	56	2	9
2014-03-31 18:05:32.331997	129828	20.0	1	9
2014-03-31 18:05:32.973841	129829	54	2	8
2014-03-31 18:05:33.204148	129830	19.5	1	8
2014-03-31 18:05:43.664827	129831	54	2	1
2014-03-31 18:05:43.885963	129832	21.4	1	1
2014-03-31 18:05:54.823814	129833	60	2	24
2014-03-31 18:05:55.056699	129834	18.3	1	24
2014-03-31 18:05:55.932967	129835	2832	3	2
2014-03-31 18:05:56.155763	129836	1151753.6728872515	4	2
2014-03-31 18:05:57.072303	129837	52	2	25
2014-03-31 18:05:57.306838	129838	17.3	1	25
2014-03-31 18:06:02.844804	129839	47	2	10
2014-03-31 18:06:03.065715	129840	20.7	1	10
2014-03-31 18:06:07.932577	129841	2897	3	2
2014-03-31 18:06:08.168927	129842	1151764.0141997442	4	2
2014-03-31 18:06:10.965856	129843	56	2	9
2014-03-31 18:06:11.188991	129844	20.0	1	9
2014-03-31 18:06:11.973457	129845	54	2	8
2014-03-31 18:06:12.207178	129846	19.6	1	8
2014-03-31 18:06:22.467225	129847	2849	3	2
2014-03-31 18:06:22.692417	129848	1151773.2064775156	4	2
2014-03-31 18:06:22.995797	129849	54	2	1
2014-03-31 18:06:23.22767	129850	21.4	1	1
2014-03-31 18:06:31.93399	129851	2832	3	2
2014-03-31 18:06:32.164553	129852	1151782.3987552868	4	2
2014-03-31 18:06:33.825707	129853	60	2	24
2014-03-31 18:06:34.056913	129854	18.3	1	24
2014-03-31 18:06:36.073464	129855	52	2	25
2014-03-31 18:06:36.295119	129856	17.3	1	25
2014-03-31 18:06:41.846345	129857	47	2	10
2014-03-31 18:06:42.078478	129858	20.7	1	10
2014-03-31 18:06:49.913998	129859	56	2	9
2014-03-31 18:06:50.135855	129860	20.0	1	9
2014-03-31 18:06:50.974439	129861	54	2	8
2014-03-31 18:06:51.204351	129862	19.6	1	8
2014-03-31 18:07:01.659408	129863	54	2	1
2014-03-31 18:07:01.882475	129864	21.4	1	1
2014-03-31 18:07:07.935419	129865	2913	3	2
2014-03-31 18:07:08.177926	129866	1151811.1246233224	4	2
2014-03-31 18:07:12.824939	129867	60	2	24
2014-03-31 18:07:13.046194	129868	18.3	1	24
2014-03-31 18:07:15.072138	129869	52	2	25
2014-03-31 18:07:15.303493	129870	17.3	1	25
2014-03-31 18:07:19.935302	129871	2897	3	2
2014-03-31 18:07:20.155934	129872	1151820.321372046	4	2
2014-03-31 18:07:20.845746	129873	47	2	10
2014-03-31 18:07:21.075706	129874	20.7	1	10
2014-03-31 18:07:28.913537	129875	56	2	9
2014-03-31 18:07:29.136522	129876	20.0	1	9
2014-03-31 18:07:29.97619	129877	54	2	8
2014-03-31 18:07:30.206607	129878	19.6	1	8
2014-03-31 18:07:31.934272	129879	2816	3	2
2014-03-31 18:07:32.154579	129880	1151829.513649817	4	2
2014-03-31 18:07:40.661144	129881	54	2	1
2014-03-31 18:07:40.949276	129882	21.4	1	1
2014-03-31 18:07:43.93533	129883	2849	3	2
2014-03-31 18:07:44.156622	129884	1151838.7059275885	4	2
2014-03-31 18:07:51.821168	129885	60	2	24
2014-03-31 18:07:52.054167	129886	18.3	1	24
2014-03-31 18:07:54.073106	129887	52	2	25
2014-03-31 18:07:54.293571	129888	17.3	1	25
2014-03-31 18:07:55.932878	129889	2849	3	2
2014-03-31 18:07:56.165208	129890	1151849.0472400812	4	2
2014-03-31 18:07:59.845113	129891	47	2	10
2014-03-31 18:08:00.068968	129892	20.7	1	10
2014-03-31 18:08:08.117133	129893	56	2	9
2014-03-31 18:08:08.350356	129894	20.1	1	9
2014-03-31 18:08:08.974231	129895	54	2	8
2014-03-31 18:08:09.196761	129896	19.6	1	8
2014-03-31 18:08:19.65904	129897	54	2	1
2014-03-31 18:08:19.890423	129898	21.4	1	1
2014-03-31 18:08:30.820941	129899	60	2	24
2014-03-31 18:08:31.043697	129900	18.3	1	24
2014-03-31 18:08:31.933811	129901	2913	3	2
2014-03-31 18:08:32.167563	129902	1151877.7731081166	4	2
2014-03-31 18:08:33.074792	129903	52	2	25
2014-03-31 18:08:33.295324	129904	17.3	1	25
2014-03-31 18:08:38.845594	129905	47	2	10
2014-03-31 18:08:39.078001	129906	20.7	1	10
2014-03-31 18:08:43.934341	129907	2816	3	2
2014-03-31 18:08:44.164433	129908	1151886.965385888	4	2
2014-03-31 18:08:46.910577	129909	56	2	9
2014-03-31 18:08:47.143456	129910	20.1	1	9
2014-03-31 18:08:47.975228	129911	54	2	8
2014-03-31 18:08:48.198505	129912	19.6	1	8
2014-03-31 18:08:55.931705	129913	2849	3	2
2014-03-31 18:08:56.17705	129914	1151896.1576636592	4	2
2014-03-31 18:08:58.657211	129915	54	2	1
2014-03-31 18:08:58.87815	129916	21.4	1	1
2014-03-31 18:09:07.933303	129917	2977	3	2
2014-03-31 18:09:08.164532	129918	1151907.6480108735	4	2
2014-03-31 18:09:09.822378	129919	60	2	24
2014-03-31 18:09:10.043343	129920	18.3	1	24
2014-03-31 18:09:12.071731	129921	52	2	25
2014-03-31 18:09:12.305213	129922	17.3	1	25
2014-03-31 18:09:17.845255	129923	47	2	10
2014-03-31 18:09:18.066254	129924	20.7	1	10
2014-03-31 18:09:19.932032	129925	2929	3	2
2014-03-31 18:09:20.163352	129926	1151916.8402886447	4	2
2014-03-31 18:09:25.910353	129927	56	2	9
2014-03-31 18:09:26.132137	129928	20.1	1	9
2014-03-31 18:09:26.9737	129929	54	2	8
2014-03-31 18:09:27.204201	129930	19.6	1	8
2014-03-31 18:09:37.659471	129931	54	2	1
2014-03-31 18:09:37.881424	129932	21.4	1	1
2014-03-31 18:09:48.819386	129933	60	2	24
2014-03-31 18:09:49.050134	129934	18.3	1	24
2014-03-31 18:09:51.071586	129935	52	2	25
2014-03-31 18:09:51.292616	129936	17.3	1	25
2014-03-31 18:09:56.845151	129937	47	2	10
2014-03-31 18:09:57.075452	129938	20.7	1	10
2014-03-31 18:10:04.910268	129939	56	2	9
2014-03-31 18:10:05.13426	129940	20.1	1	9
2014-03-31 18:10:05.973869	129941	54	2	8
2014-03-31 18:10:06.204834	129942	19.6	1	8
2014-03-31 18:10:16.658303	129943	54	2	1
2014-03-31 18:10:16.88586	129944	21.4	1	1
2014-03-31 18:10:27.8198	129945	60	2	24
2014-03-31 18:10:28.049454	129946	18.3	1	24
2014-03-31 18:10:30.072179	129947	52	2	25
2014-03-31 18:10:30.292861	129948	17.3	1	25
2014-03-31 18:10:31.933203	129949	2913	3	2
2014-03-31 18:10:32.164023	129950	1151975.4410594369	4	2
2014-03-31 18:10:35.845576	129951	47	2	10
2014-03-31 18:10:36.068644	129952	20.7	1	10
2014-03-31 18:10:43.905715	129953	56	2	9
2014-03-31 18:10:44.139464	129954	20.1	1	9
2014-03-31 18:10:44.974083	129955	54	2	8
2014-03-31 18:10:45.19591	129956	19.6	1	8
2014-03-31 18:10:55.65902	129957	54	2	1
2014-03-31 18:10:55.89017	129958	21.4	1	1
2014-03-31 18:11:06.819904	129959	60	2	24
2014-03-31 18:11:07.040575	129960	18.4	1	24
2014-03-31 18:11:09.070353	129961	52	2	25
2014-03-31 18:11:09.31323	129962	17.3	1	25
2014-03-31 18:11:14.845234	129963	47	2	10
2014-03-31 18:11:15.067508	129964	20.7	1	10
2014-03-31 18:11:22.906674	129965	56	2	9
2014-03-31 18:11:23.137198	129966	20.1	1	9
2014-03-31 18:11:23.975743	129967	54	2	8
2014-03-31 18:11:24.19951	129968	19.6	1	8
2014-03-31 18:11:31.933025	129969	2929	3	2
2014-03-31 18:11:32.164622	129970	1152024.8495524577	4	2
2014-03-31 18:11:34.658893	129971	54	2	1
2014-03-31 18:11:34.88472	129972	21.4	1	1
2014-03-31 18:11:45.818792	129973	60	2	24
2014-03-31 18:11:46.056252	129974	18.4	1	24
2014-03-31 18:11:48.069263	129975	52	2	25
2014-03-31 18:11:48.292244	129976	17.3	1	25
2014-03-31 18:11:53.845499	129977	47	2	10
2014-03-31 18:11:54.078489	129978	20.8	1	10
2014-03-31 18:12:01.906453	129979	56	2	9
2014-03-31 18:12:02.129244	129980	20.1	1	9
2014-03-31 18:12:02.975641	129981	54	2	8
2014-03-31 18:12:03.206601	129982	19.6	1	8
2014-03-31 18:12:13.658998	129983	54	2	1
2014-03-31 18:12:13.882587	129984	21.4	1	1
2014-03-31 18:12:19.932435	129985	2897	3	2
2014-03-31 18:12:20.16354	129986	1152063.9167329858	4	2
2014-03-31 18:12:24.81973	129987	60	2	24
2014-03-31 18:12:25.041915	129988	18.4	1	24
2014-03-31 18:12:27.069343	129989	52	2	25
2014-03-31 18:12:27.301656	129990	17.3	1	25
2014-03-31 18:12:31.93468	129991	2929	3	2
2014-03-31 18:12:32.156904	129992	1152074.2580454785	4	2
2014-03-31 18:12:32.847994	129993	47	2	10
2014-03-31 18:12:33.078658	129994	20.8	1	10
2014-03-31 18:12:40.907401	129995	56	2	9
2014-03-31 18:12:41.187184	129996	20.1	1	9
2014-03-31 18:12:41.976209	129997	54	2	8
2014-03-31 18:12:42.207177	129998	19.6	1	8
2014-03-31 18:12:43.933587	129999	2929	3	2
2014-03-31 18:12:44.155168	130000	1152083.45032325	4	2
2014-03-31 18:12:52.657297	130001	54	2	1
2014-03-31 18:12:52.891774	130002	21.4	1	1
2014-03-31 18:13:03.81683	130003	60	2	24
2014-03-31 18:13:04.040755	130004	18.4	1	24
2014-03-31 18:13:06.068299	130005	52	2	25
2014-03-31 18:13:06.301516	130006	17.4	1	25
2014-03-31 18:13:11.847413	130007	47	2	10
2014-03-31 18:13:12.070188	130008	20.8	1	10
2014-03-31 18:13:19.909601	130009	56	2	9
2014-03-31 18:13:20.152963	130010	20.2	1	9
2014-03-31 18:13:20.975605	130011	54	2	8
2014-03-31 18:13:21.196386	130012	19.6	1	8
2014-03-31 18:13:31.654252	130013	54	2	1
2014-03-31 18:13:32.071716	130014	21.4	1	1
2014-03-31 18:13:42.813919	130015	60	2	24
2014-03-31 18:13:43.04541	130016	18.4	1	24
2014-03-31 18:13:43.932262	130017	2849	3	2
2014-03-31 18:13:44.155162	130018	1152130.5652177802	4	2
2014-03-31 18:13:45.070583	130019	52	2	25
2014-03-31 18:13:45.30148	130020	17.4	1	25
2014-03-31 18:13:50.846311	130021	47	2	10
2014-03-31 18:13:51.068755	130022	20.8	1	10
2014-03-31 18:13:55.931697	130023	2913	3	2
2014-03-31 18:13:56.167555	130024	1152140.906530273	4	2
2014-03-31 18:13:58.909444	130025	56	2	9
2014-03-31 18:13:59.130241	130026	20.2	1	9
2014-03-31 18:13:59.972729	130027	54	2	8
2014-03-31 18:14:00.205314	130028	19.6	1	8
2014-03-31 18:14:07.932087	130029	2913	3	2
2014-03-31 18:14:08.153652	130030	1152150.098808044	4	2
2014-03-31 18:14:10.653512	130031	54	2	1
2014-03-31 18:14:10.885548	130032	21.5	1	1
2014-03-31 18:14:21.813538	130033	60	2	24
2014-03-31 18:14:22.033325	130034	18.4	1	24
2014-03-31 18:14:24.067668	130035	52	2	25
2014-03-31 18:14:24.299094	130036	17.4	1	25
2014-03-31 18:14:29.846137	130037	47	2	10
2014-03-31 18:14:30.067068	130038	20.8	1	10
2014-03-31 18:14:31.932799	130039	2913	3	2
2014-03-31 18:14:32.163073	130040	1152169.6323983083	4	2
2014-03-31 18:14:37.905311	130041	56	2	9
2014-03-31 18:14:38.126716	130042	20.2	1	9
2014-03-31 18:14:38.973695	130043	54	2	8
2014-03-31 18:14:39.203299	130044	19.6	1	8
2014-03-31 18:14:49.65475	130045	54	2	1
2014-03-31 18:14:49.875917	130046	21.5	1	1
2014-03-31 18:14:55.931946	130047	2977	3	2
2014-03-31 18:14:56.16501	130048	1152189.1659885722	4	2
2014-03-31 18:15:00.813657	130049	60	2	24
2014-03-31 18:15:01.035896	130050	18.4	1	24
2014-03-31 18:15:03.068896	130051	52	2	25
2014-03-31 18:15:03.300948	130052	17.4	1	25
2014-03-31 18:15:07.929671	130053	2945	3	2
2014-03-31 18:15:08.151344	130054	1152199.507301065	4	2
2014-03-31 18:15:08.847445	130055	47	2	10
2014-03-31 18:15:09.077715	130056	20.8	1	10
2014-03-31 18:15:16.909777	130057	56	2	9
2014-03-31 18:15:17.132315	130058	20.2	1	9
2014-03-31 18:15:17.973789	130059	54	2	8
2014-03-31 18:15:18.216338	130060	19.6	1	8
2014-03-31 18:15:19.932493	130061	2945	3	2
2014-03-31 18:15:20.154243	130062	1152208.6995788363	4	2
2014-03-31 18:15:28.655527	130063	54	2	1
2014-03-31 18:15:28.894026	130064	21.5	1	1
2014-03-31 18:15:31.932308	130065	2945	3	2
2014-03-31 18:15:32.15383	130066	1152219.040891329	4	2
2014-03-31 18:15:39.810969	130067	60	2	24
2014-03-31 18:15:40.043565	130068	18.4	1	24
2014-03-31 18:15:42.066317	130069	52	2	25
2014-03-31 18:15:42.287756	130070	17.4	1	25
2014-03-31 18:15:47.84565	130071	47	2	10
2014-03-31 18:15:48.078183	130072	20.8	1	10
2014-03-31 18:15:55.918312	130073	56	2	9
2014-03-31 18:15:56.139612	130074	20.2	1	9
2014-03-31 18:15:56.973694	130075	54	2	8
2014-03-31 18:15:57.204074	130076	19.6	1	8
2014-03-31 18:16:07.653697	130077	54	2	1
2014-03-31 18:16:07.875145	130078	21.5	1	1
2014-03-31 18:16:18.811093	130079	60	2	24
2014-03-31 18:16:19.042992	130080	18.4	1	24
2014-03-31 18:16:21.064968	130081	53	2	25
2014-03-31 18:16:21.286348	130082	17.4	1	25
2014-03-31 18:16:26.846278	130083	47	2	10
2014-03-31 18:16:27.081791	130084	20.8	1	10
2014-03-31 18:16:31.932441	130085	2977	3	2
2014-03-31 18:16:32.158139	130086	1152268.4493843499	4	2
2014-03-31 18:16:34.912372	130087	56	2	9
2014-03-31 18:16:35.143383	130088	20.2	1	9
2014-03-31 18:16:35.973992	130089	54	2	8
2014-03-31 18:16:36.194183	130090	19.7	1	8
2014-03-31 18:16:43.931082	130091	2929	3	2
2014-03-31 18:16:44.163375	130092	1152277.6416621213	4	2
2014-03-31 18:16:46.654553	130093	54	2	1
2014-03-31 18:16:46.883754	130094	21.5	1	1
2014-03-31 18:16:55.931261	130095	2961	3	2
2014-03-31 18:16:56.161918	130096	1152287.982974614	4	2
2014-03-31 18:16:57.81126	130097	60	2	24
2014-03-31 18:16:58.030255	130098	18.4	1	24
2014-03-31 18:17:00.065999	130099	53	2	25
2014-03-31 18:17:00.295964	130100	17.4	1	25
2014-03-31 18:17:05.847321	130101	47	2	10
2014-03-31 18:17:06.069353	130102	20.9	1	10
2014-03-31 18:17:07.931802	130103	2945	3	2
2014-03-31 18:17:08.166304	130104	1152298.3242871067	4	2
2014-03-31 18:17:13.912055	130105	56	2	9
2014-03-31 18:17:14.140629	130106	20.2	1	9
2014-03-31 18:17:14.97349	130107	54	2	8
2014-03-31 18:17:15.214985	130108	19.7	1	8
2014-03-31 18:17:25.652411	130109	54	2	1
2014-03-31 18:17:25.877385	130110	21.5	1	1
2014-03-31 18:17:31.93151	130111	2977	3	2
2014-03-31 18:17:32.161222	130112	1152317.8578773707	4	2
2014-03-31 18:17:36.812094	130113	60	2	24
2014-03-31 18:17:37.033477	130114	18.4	1	24
2014-03-31 18:17:39.065624	130115	53	2	25
2014-03-31 18:17:39.298888	130116	17.4	1	25
2014-03-31 18:17:43.931588	130117	2961	3	2
2014-03-31 18:17:44.153073	130118	1152328.1991898634	4	2
2014-03-31 18:17:44.847921	130119	47	2	10
2014-03-31 18:17:45.078891	130120	20.9	1	10
2014-03-31 18:17:52.919777	130121	56	2	9
2014-03-31 18:17:53.142532	130122	20.2	1	9
2014-03-31 18:17:53.973153	130123	54	2	8
2014-03-31 18:17:54.204193	130124	19.7	1	8
2014-03-31 18:18:04.652965	130125	54	2	1
2014-03-31 18:18:04.876366	130126	21.5	1	1
2014-03-31 18:18:15.810649	130127	60	2	24
2014-03-31 18:18:16.042341	130128	18.4	1	24
2014-03-31 18:18:18.066285	130129	53	2	25
2014-03-31 18:18:18.288999	130130	17.4	1	25
2014-03-31 18:18:19.932614	130131	2929	3	2
2014-03-31 18:18:20.163667	130132	1152356.9250578987	4	2
2014-03-31 18:18:23.849213	130133	47	2	10
2014-03-31 18:18:24.076887	130134	20.9	1	10
2014-03-31 18:18:32.116367	130135	56	2	9
2014-03-31 18:18:32.348038	130136	20.2	1	9
2014-03-31 18:18:32.974408	130137	54	2	8
2014-03-31 18:18:33.195996	130138	19.7	1	8
2014-03-31 18:18:43.652293	130139	54	2	1
2014-03-31 18:18:43.886514	130140	21.5	1	1
2014-03-31 18:18:54.809677	130141	60	2	24
2014-03-31 18:18:55.032814	130142	18.4	1	24
2014-03-31 18:18:57.067895	130143	53	2	25
2014-03-31 18:18:57.29902	130144	17.4	1	25
2014-03-31 18:19:02.848161	130145	47	2	10
2014-03-31 18:19:03.071477	130146	20.9	1	10
2014-03-31 18:19:10.911903	130147	56	2	9
2014-03-31 18:19:11.147668	130148	20.3	1	9
2014-03-31 18:19:11.974107	130149	54	2	8
2014-03-31 18:19:12.198776	130150	19.7	1	8
2014-03-31 18:19:22.654455	130151	54	2	1
2014-03-31 18:19:22.88684	130152	21.5	1	1
2014-03-31 18:19:31.930121	130153	853	3	2
2014-03-31 18:19:32.154996	130154	1152408.6360913147	4	2
2014-03-31 18:19:33.808564	130155	60	2	24
2014-03-31 18:19:34.052581	130156	18.4	1	24
2014-03-31 18:19:36.066776	130157	53	2	25
2014-03-31 18:19:36.290787	130158	17.4	1	25
2014-03-31 18:19:41.847222	130159	47	2	10
2014-03-31 18:19:42.079105	130160	20.9	1	10
2014-03-31 18:19:49.906558	130161	56	2	9
2014-03-31 18:19:50.128971	130162	20.3	1	9
2014-03-31 18:19:50.973186	130163	54	2	8
2014-03-31 18:19:51.206517	130164	19.7	1	8
2014-03-31 18:19:55.937251	130165	804	3	2
2014-03-31 18:19:56.158874	130166	1152414.3812649217	4	2
2014-03-31 18:20:01.651772	130167	54	2	1
2014-03-31 18:20:01.887569	130168	21.5	1	1
2014-03-31 18:20:07.932431	130169	804	3	2
2014-03-31 18:20:08.153941	130170	1152416.6793343646	4	2
2014-03-31 18:20:12.809948	130171	60	2	24
2014-03-31 18:20:13.04242	130172	18.4	1	24
2014-03-31 18:20:15.065058	130173	53	2	25
2014-03-31 18:20:15.288755	130174	17.4	1	25
2014-03-31 18:20:20.848958	130175	47	2	10
2014-03-31 18:20:21.080762	130176	20.9	1	10
2014-03-31 18:20:28.910116	130177	56	2	9
2014-03-31 18:20:29.132968	130178	20.3	1	9
2014-03-31 18:20:29.97356	130179	54	2	8
2014-03-31 18:20:30.20336	130180	19.7	1	8
2014-03-31 18:20:31.930707	130181	708	3	2
2014-03-31 18:20:32.152814	130182	1152422.4245079716	4	2
2014-03-31 18:20:40.654046	130183	54	2	1
2014-03-31 18:20:40.886481	130184	21.5	1	1
2014-03-31 18:20:43.931284	130185	804	3	2
2014-03-31 18:20:44.152695	130186	1152424.7225774145	4	2
2014-03-31 18:20:51.812221	130187	60	2	24
2014-03-31 18:20:52.043781	130188	18.4	1	24
2014-03-31 18:20:54.063598	130189	53	2	25
2014-03-31 18:20:54.284895	130190	17.4	1	25
2014-03-31 18:20:55.930169	130191	820	3	2
2014-03-31 18:20:56.159834	130192	1152427.0206468573	4	2
2014-03-31 18:20:59.847138	130193	47	2	10
2014-03-31 18:21:00.0691	130194	20.9	1	10
2014-03-31 18:21:07.912364	130195	56	2	9
2014-03-31 18:21:08.145281	130196	20.3	1	9
2014-03-31 18:21:08.972706	130197	54	2	8
2014-03-31 18:21:09.197005	130198	19.7	1	8
2014-03-31 18:21:19.89059	130199	54	2	1
2014-03-31 18:21:20.121718	130200	21.5	1	1
2014-03-31 18:21:30.810747	130201	60	2	24
2014-03-31 18:21:31.032974	130202	18.4	1	24
2014-03-31 18:21:31.931766	130203	837	3	2
2014-03-31 18:21:32.173459	130204	1152435.0638899072	4	2
2014-03-31 18:21:33.065063	130205	53	2	25
2014-03-31 18:21:33.285728	130206	17.4	1	25
2014-03-31 18:21:38.850772	130207	47	2	10
2014-03-31 18:21:39.083667	130208	20.9	1	10
2014-03-31 18:21:46.907534	130209	56	2	9
2014-03-31 18:21:47.129496	130210	20.3	1	9
2014-03-31 18:21:47.966844	130211	54	2	8
2014-03-31 18:21:48.198445	130212	19.7	1	8
2014-03-31 18:21:55.931519	130213	804	3	2
2014-03-31 18:21:56.153607	130214	1152440.8090635145	4	2
2014-03-31 18:21:58.654179	130215	54	2	1
2014-03-31 18:21:58.88689	130216	21.5	1	1
2014-03-31 18:22:09.809521	130217	60	2	24
2014-03-31 18:22:10.032016	130218	18.4	1	24
2014-03-31 18:22:12.064386	130219	53	2	25
2014-03-31 18:22:12.294683	130220	17.4	1	25
2014-03-31 18:22:17.85119	130221	47	2	10
2014-03-31 18:22:18.072942	130222	20.9	1	10
2014-03-31 18:22:26.973806	130223	54	2	8
2014-03-31 18:22:27.204975	130224	19.8	1	8
2014-03-31 18:22:37.648261	130225	54	2	1
2014-03-31 18:22:37.876202	130226	21.5	1	1
2014-03-31 18:22:43.937098	130227	804	3	2
2014-03-31 18:22:44.169174	130228	1152451.1503760072	4	2
2014-03-31 18:22:48.801814	130229	60	2	24
2014-03-31 18:22:49.035425	130230	18.5	1	24
2014-03-31 18:22:51.06309	130231	52	2	25
2014-03-31 18:22:51.293613	130232	17.4	1	25
2014-03-31 18:22:56.848848	130233	47	2	10
2014-03-31 18:22:57.07032	130234	20.9	1	10
2014-03-31 18:23:05.973524	130235	54	2	8
2014-03-31 18:23:06.204693	130236	19.8	1	8
2014-03-31 18:23:07.933748	130237	853	3	2
2014-03-31 18:23:08.154235	130238	1152456.8955496142	4	2
2014-03-31 18:23:16.651488	130239	54	2	1
2014-03-31 18:23:16.889558	130240	21.5	1	1
2014-03-31 18:23:19.935152	130241	853	3	2
2014-03-31 18:23:20.158602	130242	1152459.193619057	4	2
2014-03-31 18:23:27.803658	130243	60	2	24
2014-03-31 18:23:28.036431	130244	18.5	1	24
2014-03-31 18:23:30.062934	130245	52	2	25
2014-03-31 18:23:30.285017	130246	17.4	1	25
2014-03-31 18:23:31.933315	130247	853	3	2
2014-03-31 18:23:32.164437	130248	1152462.6407232212	4	2
2014-03-31 18:23:35.849148	130249	47	2	10
2014-03-31 18:23:36.072486	130250	21.0	1	10
2014-03-31 18:23:43.904811	130251	56	2	9
2014-03-31 18:23:44.148641	130252	20.4	1	9
2014-03-31 18:23:44.973699	130253	54	2	8
2014-03-31 18:23:45.193999	130254	19.8	1	8
2014-03-31 18:23:55.652354	130255	54	2	1
2014-03-31 18:23:55.886674	130256	21.5	1	1
2014-03-31 18:24:06.802711	130257	60	2	24
2014-03-31 18:24:07.025445	130258	18.5	1	24
2014-03-31 18:24:09.063252	130259	52	2	25
2014-03-31 18:24:09.293261	130260	17.4	1	25
2014-03-31 18:24:14.849457	130261	47	2	10
2014-03-31 18:24:15.072265	130262	21.0	1	10
2014-03-31 18:24:22.906607	130263	56	2	9
2014-03-31 18:24:23.139941	130264	20.4	1	9
2014-03-31 18:24:23.97298	130265	54	2	8
2014-03-31 18:24:24.195751	130266	19.8	1	8
2014-03-31 18:24:31.930382	130267	837	3	2
2014-03-31 18:24:32.164914	130268	1152476.4291398781	4	2
2014-03-31 18:24:34.650372	130269	54	2	1
2014-03-31 18:24:34.870363	130270	21.5	1	1
2014-03-31 18:24:43.932313	130271	676	3	2
2014-03-31 18:24:44.165827	130272	1152478.727209321	4	2
2014-03-31 18:24:45.799322	130273	60	2	24
2014-03-31 18:24:46.022472	130274	18.5	1	24
2014-03-31 18:24:48.062619	130275	52	2	25
2014-03-31 18:24:48.296865	130276	17.4	1	25
2014-03-31 18:24:53.847001	130277	47	2	10
2014-03-31 18:24:54.073094	130278	21.0	1	10
2014-03-31 18:24:55.93197	130279	676	3	2
2014-03-31 18:24:56.16522	130280	1152481.0252787638	4	2
2014-03-31 18:25:02.972799	130281	54	2	8
2014-03-31 18:25:03.195862	130282	19.8	1	8
2014-03-31 18:25:13.651759	130283	54	2	1
2014-03-31 18:25:13.882922	130284	21.5	1	1
2014-03-31 18:25:24.799446	130285	60	2	24
2014-03-31 18:25:25.019506	130286	18.5	1	24
2014-03-31 18:25:27.061084	130287	52	2	25
2014-03-31 18:25:27.294148	130288	17.4	1	25
2014-03-31 18:25:31.931469	130289	2897	3	2
2014-03-31 18:25:32.156235	130290	1152490.2175565353	4	2
2014-03-31 18:25:32.848638	130291	47	2	10
2014-03-31 18:25:33.080191	130292	21.0	1	10
2014-03-31 18:25:40.906487	130293	56	2	9
2014-03-31 18:25:41.129876	130294	20.4	1	9
2014-03-31 18:25:42.178781	130295	55	2	8
2014-03-31 18:25:42.412399	130296	19.8	1	8
2014-03-31 18:25:43.932046	130297	2849	3	2
2014-03-31 18:25:44.153636	130298	1152499.4098343065	4	2
2014-03-31 18:25:52.649637	130299	54	2	1
2014-03-31 18:25:52.893672	130300	21.5	1	1
2014-03-31 18:25:55.930123	130301	2816	3	2
2014-03-31 18:25:56.151594	130302	1152508.6021120779	4	2
2014-03-31 18:26:03.802489	130303	60	2	24
2014-03-31 18:26:04.033465	130304	18.5	1	24
2014-03-31 18:26:06.060467	130305	53	2	25
2014-03-31 18:26:06.282491	130306	17.4	1	25
2014-03-31 18:26:07.930309	130307	2816	3	2
2014-03-31 18:26:08.162694	130308	1152518.9434245706	4	2
2014-03-31 18:26:11.849123	130309	47	2	10
2014-03-31 18:26:12.069352	130310	21.0	1	10
2014-03-31 18:26:21.179386	130311	55	2	8
2014-03-31 18:26:21.412948	130312	19.8	1	8
2014-03-31 18:26:31.649713	130313	54	2	1
2014-03-31 18:26:31.873552	130314	21.5	1	1
2014-03-31 18:26:43.937182	130315	2816	3	2
2014-03-31 18:26:44.168286	130316	1152546.5202578846	4	2
2014-03-31 18:26:45.081548	130317	53	2	25
2014-03-31 18:26:45.303863	130318	17.4	1	25
2014-03-31 18:26:50.842765	130319	47	2	10
2014-03-31 18:26:51.073349	130320	21.0	1	10
2014-03-31 18:26:58.906685	130321	56	2	9
2014-03-31 18:26:59.128567	130322	20.4	1	9
2014-03-31 18:26:59.972341	130323	55	2	8
2014-03-31 18:27:00.204257	130324	19.8	1	8
2014-03-31 18:27:10.652362	130325	54	2	1
2014-03-31 18:27:10.873777	130326	21.5	1	1
2014-03-31 18:27:21.801117	130327	60	2	24
2014-03-31 18:27:22.033991	130328	18.5	1	24
2014-03-31 18:27:24.061064	130329	53	2	25
2014-03-31 18:27:24.282256	130330	17.4	1	25
2014-03-31 18:27:29.849283	130331	47	2	10
2014-03-31 18:27:30.080583	130332	21.0	1	10
2014-03-31 18:27:31.93224	130333	2800	3	2
2014-03-31 18:27:32.155093	130334	1152584.4384036912	4	2
2014-03-31 18:27:37.909757	130335	56	2	9
2014-03-31 18:27:38.166306	130336	20.4	1	9
2014-03-31 18:27:38.972561	130337	55	2	8
2014-03-31 18:27:39.193949	130338	19.8	1	8
2014-03-31 18:27:49.649164	130339	54	2	1
2014-03-31 18:27:49.882982	130340	21.5	1	1
2014-03-31 18:28:00.805284	130341	60	2	24
2014-03-31 18:28:01.026112	130342	18.6	1	24
2014-03-31 18:28:03.062371	130343	53	2	25
2014-03-31 18:28:03.292609	130344	17.4	1	25
2014-03-31 18:28:07.929429	130345	2832	3	2
2014-03-31 18:28:08.15212	130346	1152612.0152370052	4	2
2014-03-31 18:28:08.850105	130347	47	2	10
2014-03-31 18:28:09.090931	130348	21.0	1	10
2014-03-31 18:28:16.906872	130349	56	2	9
2014-03-31 18:28:17.128771	130350	20.4	1	9
2014-03-31 18:28:17.972453	130351	55	2	8
2014-03-31 18:28:18.202808	130352	19.9	1	8
2014-03-31 18:28:19.930229	130353	2800	3	2
2014-03-31 18:28:20.151198	130354	1152621.2075147766	4	2
2014-03-31 18:28:28.647174	130355	54	2	1
2014-03-31 18:28:28.881355	130356	21.5	1	1
2014-03-31 18:28:31.933352	130357	2800	3	2
2014-03-31 18:28:32.157078	130358	1152630.3997925478	4	2
2014-03-31 18:28:39.799018	130359	60	2	24
2014-03-31 18:28:40.032753	130360	18.6	1	24
2014-03-31 18:28:42.060224	130361	53	2	25
2014-03-31 18:28:42.284176	130362	17.4	1	25
2014-03-31 18:28:47.850378	130363	47	2	10
2014-03-31 18:28:48.08471	130364	21.0	1	10
2014-03-31 18:28:56.10961	130365	56	2	9
2014-03-31 18:28:56.331527	130366	20.5	1	9
2014-03-31 18:28:56.97385	130367	55	2	8
2014-03-31 18:28:57.204453	130368	19.9	1	8
2014-03-31 18:29:07.647412	130369	54	2	1
2014-03-31 18:29:07.869722	130370	21.5	1	1
2014-03-31 18:29:18.798276	130371	60	2	24
2014-03-31 18:29:19.03147	130372	18.6	1	24
2014-03-31 18:29:19.929688	130373	724	3	2
2014-03-31 18:29:20.153736	130374	1152651.0824175333	4	2
2014-03-31 18:29:21.06254	130375	53	2	25
2014-03-31 18:29:21.294021	130376	17.5	1	25
2014-03-31 18:29:26.849696	130377	47	2	10
2014-03-31 18:29:27.072085	130378	21.1	1	10
2014-03-31 18:29:31.930654	130379	724	3	2
2014-03-31 18:29:32.167252	130380	1152653.3804869761	4	2
2014-03-31 18:29:34.907831	130381	56	2	9
2014-03-31 18:29:35.13049	130382	20.5	1	9
2014-03-31 18:29:35.972764	130383	55	2	8
2014-03-31 18:29:36.204051	130384	19.9	1	8
2014-03-31 18:29:43.929934	130385	692	3	2
2014-03-31 18:29:44.152769	130386	1152655.678556419	4	2
2014-03-31 18:29:46.648496	130387	54	2	1
2014-03-31 18:29:46.885635	130388	21.5	1	1
2014-03-31 18:29:55.930606	130389	708	3	2
2014-03-31 18:29:56.153469	130390	1152657.9766258618	4	2
2014-03-31 18:29:57.798537	130391	60	2	24
2014-03-31 18:29:58.028317	130392	18.6	1	24
2014-03-31 18:30:00.059204	130393	53	2	25
2014-03-31 18:30:00.282915	130394	17.5	1	25
2014-03-31 18:30:05.848756	130395	47	2	10
2014-03-31 18:30:06.09184	130396	21.1	1	10
2014-03-31 18:30:13.907324	130397	56	2	9
2014-03-31 18:30:14.130462	130398	20.5	1	9
2014-03-31 18:30:14.972242	130399	55	2	8
2014-03-31 18:30:15.204331	130400	19.9	1	8
2014-03-31 18:30:25.644621	130401	54	2	1
2014-03-31 18:30:25.866799	130402	21.5	1	1
2014-03-31 18:30:36.601825	130403	708	3	2
2014-03-31 18:30:36.83438	130404	1152664.8708341904	4	2
2014-03-31 18:30:37.138548	130405	60	2	24
2014-03-31 18:30:37.362555	130406	18.6	1	24
2014-03-31 18:30:39.058772	130407	53	2	25
2014-03-31 18:30:39.292591	130408	17.5	1	25
2014-03-31 18:30:44.85039	130409	47	2	10
2014-03-31 18:30:45.072166	130410	21.1	1	10
2014-03-31 18:30:52.909024	130411	56	2	9
2014-03-31 18:30:53.140742	130412	20.6	1	9
2014-03-31 18:30:53.970581	130413	55	2	8
2014-03-31 18:30:54.192351	130414	19.9	1	8
2014-03-31 18:31:04.645409	130415	54	2	1
2014-03-31 18:31:04.877001	130416	21.5	1	1
2014-03-31 18:31:15.796157	130417	60	2	24
2014-03-31 18:31:16.018509	130418	18.6	1	24
2014-03-31 18:31:18.0599	130419	53	2	25
2014-03-31 18:31:18.291422	130420	17.5	1	25
2014-03-31 18:31:23.849926	130421	47	2	10
2014-03-31 18:31:24.075972	130422	21.1	1	10
2014-03-31 18:31:32.108845	130423	57	2	9
2014-03-31 18:31:32.34127	130424	20.6	1	9
2014-03-31 18:31:32.972994	130425	55	2	8
2014-03-31 18:31:33.195628	130426	19.9	1	8
2014-03-31 18:31:43.650209	130427	54	2	1
2014-03-31 18:31:43.880452	130428	21.5	1	1
2014-03-31 18:31:54.794829	130429	60	2	24
2014-03-31 18:31:55.015415	130430	18.6	1	24
2014-03-31 18:31:57.058564	130431	53	2	25
2014-03-31 18:31:57.288596	130432	17.5	1	25
2014-03-31 18:32:02.850452	130433	47	2	10
2014-03-31 18:32:03.072373	130434	21.1	1	10
2014-03-31 18:32:10.908251	130435	57	2	9
2014-03-31 18:32:11.142968	130436	20.6	1	9
2014-03-31 18:32:11.972816	130437	55	2	8
2014-03-31 18:32:12.19548	130438	19.9	1	8
2014-03-31 18:32:22.645549	130439	54	2	1
2014-03-31 18:32:22.878556	130440	21.5	1	1
2014-03-31 18:32:31.929449	130441	724	3	2
2014-03-31 18:32:32.153453	130442	1152689.00056334	4	2
2014-03-31 18:32:33.794257	130443	60	2	24
2014-03-31 18:32:34.035276	130444	18.6	1	24
2014-03-31 18:32:36.058541	130445	53	2	25
2014-03-31 18:32:36.279176	130446	17.5	1	25
2014-03-31 18:32:41.849798	130447	47	2	10
2014-03-31 18:32:42.083371	130448	21.1	1	10
2014-03-31 18:32:49.903761	130449	57	2	9
2014-03-31 18:32:50.125485	130450	20.6	1	9
2014-03-31 18:32:50.971823	130451	55	2	8
2014-03-31 18:32:51.203386	130452	19.9	1	8
2014-03-31 18:33:01.645417	130453	54	2	1
2014-03-31 18:33:01.86852	130454	21.5	1	1
2014-03-31 18:33:07.92927	130455	692	3	2
2014-03-31 18:33:08.160196	130456	1152694.7502078994	4	2
2014-03-31 18:33:12.792608	130457	60	2	24
2014-03-31 18:33:13.014773	130458	18.6	1	24
2014-03-31 18:33:15.056025	130459	53	2	25
2014-03-31 18:33:15.287558	130460	17.5	1	25
2014-03-31 18:33:19.93061	130461	692	3	2
2014-03-31 18:33:20.153063	130462	1152697.0482773422	4	2
2014-03-31 18:33:20.851788	130463	47	2	10
2014-03-31 18:33:21.082561	130464	21.1	1	10
2014-03-31 18:33:28.907741	130465	57	2	9
2014-03-31 18:33:29.131813	130466	20.7	1	9
2014-03-31 18:33:29.972499	130467	55	2	8
2014-03-31 18:33:30.203536	130468	19.9	1	8
2014-03-31 18:33:31.928228	130469	708	3	2
2014-03-31 18:33:32.149032	130470	1152699.3463467848	4	2
2014-03-31 18:33:40.643441	130471	54	2	1
2014-03-31 18:33:40.876426	130472	21.5	1	1
2014-03-31 18:33:51.792525	130473	60	2	24
2014-03-31 18:33:52.016408	130474	18.6	1	24
2014-03-31 18:33:54.058809	130475	53	2	25
2014-03-31 18:33:54.292559	130476	17.5	1	25
2014-03-31 18:33:59.853074	130477	47	2	10
2014-03-31 18:34:00.073393	130478	21.1	1	10
2014-03-31 18:34:07.911406	130479	57	2	9
2014-03-31 18:34:08.143935	130480	20.7	1	9
2014-03-31 18:34:08.973924	130481	55	2	8
2014-03-31 18:34:09.19493	130482	19.9	1	8
2014-03-31 18:34:19.64608	130483	54	2	1
2014-03-31 18:34:19.878952	130484	21.5	1	1
2014-03-31 18:34:30.794383	130485	60	2	24
2014-03-31 18:34:31.018134	130486	18.6	1	24
2014-03-31 18:34:31.931877	130487	692	3	2
2014-03-31 18:34:32.161492	130488	1152711.9857287204	4	2
2014-03-31 18:34:33.060413	130489	53	2	25
2014-03-31 18:34:33.283506	130490	17.5	1	25
2014-03-31 18:34:38.850627	130491	47	2	10
2014-03-31 18:34:39.095516	130492	21.1	1	10
2014-03-31 18:34:43.930808	130493	2897	3	2
2014-03-31 18:34:44.161493	130494	1152716.5818676061	4	2
2014-03-31 18:34:46.908683	130495	57	2	9
2014-03-31 18:34:47.143257	130496	20.7	1	9
2014-03-31 18:34:47.971903	130497	54	2	8
2014-03-31 18:34:48.196175	130498	20.0	1	8
2014-03-31 18:34:55.928911	130499	2832	3	2
2014-03-31 18:34:56.163043	130500	1152725.7741453776	4	2
2014-03-31 18:34:58.641825	130501	54	2	1
2014-03-31 18:34:58.863293	130502	21.5	1	1
2014-03-31 18:35:07.929391	130503	2832	3	2
2014-03-31 18:35:08.163276	130504	1152734.9664231488	4	2
2014-03-31 18:35:09.792434	130505	60	2	24
2014-03-31 18:35:10.013975	130506	18.6	1	24
2014-03-31 18:35:12.299234	130507	53	2	25
2014-03-31 18:35:12.530832	130508	17.5	1	25
2014-03-31 18:35:17.852887	130509	47	2	10
2014-03-31 18:35:18.07661	130510	21.2	1	10
2014-03-31 18:35:19.930373	130511	2800	3	2
2014-03-31 18:35:20.16307	130512	1152744.1587009202	4	2
2014-03-31 18:35:26.969075	130513	54	2	8
2014-03-31 18:35:27.192554	130514	20.0	1	8
2014-03-31 18:35:31.929028	130515	2784	3	2
2014-03-31 18:35:32.160875	130516	1152754.500013413	4	2
2014-03-31 18:35:37.643281	130517	54	2	1
2014-03-31 18:35:37.868897	130518	21.5	1	1
2014-03-31 18:35:48.789082	130519	60	2	24
2014-03-31 18:35:49.022096	130520	18.6	1	24
2014-03-31 18:35:51.055437	130521	53	2	25
2014-03-31 18:35:51.278642	130522	17.5	1	25
2014-03-31 18:35:56.851922	130523	47	2	10
2014-03-31 18:35:57.083088	130524	21.2	1	10
2014-03-31 18:36:04.902337	130525	57	2	9
2014-03-31 18:36:05.123234	130526	20.7	1	9
2014-03-31 18:36:05.970441	130527	54	2	8
2014-03-31 18:36:06.202163	130528	20.0	1	8
2014-03-31 18:36:16.642918	130529	54	2	1
2014-03-31 18:36:16.872478	130530	21.5	1	1
2014-03-31 18:36:19.929374	130531	724	3	2
2014-03-31 18:36:20.159799	130532	1152784.3749161696	4	2
2014-03-31 18:36:27.787128	130533	60	2	24
2014-03-31 18:36:28.011313	130534	18.6	1	24
2014-03-31 18:36:30.055508	130535	53	2	25
2014-03-31 18:36:30.287601	130536	17.5	1	25
2014-03-31 18:36:31.931751	130537	804	3	2
2014-03-31 18:36:32.153833	130538	1152786.6729856124	4	2
2014-03-31 18:36:35.851265	130539	47	2	10
2014-03-31 18:36:36.095351	130540	21.2	1	10
2014-03-31 18:36:44.971633	130541	54	2	8
2014-03-31 18:36:45.191281	130542	20.0	1	8
2014-03-31 18:36:55.641044	130543	54	2	1
2014-03-31 18:36:55.874124	130544	21.5	1	1
2014-03-31 18:37:06.78866	130545	60	2	24
2014-03-31 18:37:07.011504	130546	18.6	1	24
2014-03-31 18:37:09.054551	130547	53	2	25
2014-03-31 18:37:09.286999	130548	17.5	1	25
2014-03-31 18:37:14.851988	130549	47	2	10
2014-03-31 18:37:15.07451	130550	21.2	1	10
2014-03-31 18:37:22.90939	130551	57	2	9
2014-03-31 18:37:23.141324	130552	20.8	1	9
2014-03-31 18:37:23.970518	130553	54	2	8
2014-03-31 18:37:24.19094	130554	20.0	1	8
2014-03-31 18:37:31.931668	130555	708	3	2
2014-03-31 18:37:32.163762	130556	1152799.312367548	4	2
2014-03-31 18:37:34.64169	130557	54	2	1
2014-03-31 18:37:34.864836	130558	21.5	1	1
2014-03-31 18:37:45.789293	130559	60	2	24
2014-03-31 18:37:46.02376	130560	18.6	1	24
2014-03-31 18:37:48.055567	130561	53	2	25
2014-03-31 18:37:48.276455	130562	17.5	1	25
2014-03-31 18:37:53.850636	130563	47	2	10
2014-03-31 18:37:54.088752	130564	21.2	1	10
2014-03-31 18:38:01.908978	130565	57	2	9
2014-03-31 18:38:02.131248	130566	20.8	1	9
2014-03-31 18:38:02.970652	130567	54	2	8
2014-03-31 18:38:03.199566	130568	20.0	1	8
2014-03-31 18:38:13.643211	130569	54	2	1
2014-03-31 18:38:13.8644	130570	21.5	1	1
2014-03-31 18:38:24.789609	130571	60	2	24
2014-03-31 18:38:25.023264	130572	18.6	1	24
2014-03-31 18:38:27.057103	130573	53	2	25
2014-03-31 18:38:27.276971	130574	17.5	1	25
2014-03-31 18:38:31.928069	130575	724	3	2
2014-03-31 18:38:32.159797	130576	1152810.8027147623	4	2
2014-03-31 18:38:32.850657	130577	47	2	10
2014-03-31 18:38:33.071328	130578	21.2	1	10
2014-03-31 18:38:40.915874	130579	57	2	9
2014-03-31 18:38:41.147798	130580	20.8	1	9
2014-03-31 18:38:42.026557	130581	54	2	8
2014-03-31 18:38:42.247273	130582	20.0	1	8
2014-03-31 18:38:43.929519	130583	692	3	2
2014-03-31 18:38:44.161684	130584	1152813.1007842051	4	2
2014-03-31 18:38:52.639861	130585	54	2	1
2014-03-31 18:38:52.864531	130586	21.5	1	1
2014-03-31 18:38:55.927028	130587	724	3	2
2014-03-31 18:38:56.170378	130588	1152816.5478883693	4	2
2014-03-31 18:39:03.788137	130589	60	2	24
2014-03-31 18:39:04.009292	130590	18.6	1	24
2014-03-31 18:39:06.052805	130591	53	2	25
2014-03-31 18:39:06.28727	130592	17.5	1	25
2014-03-31 18:39:07.930929	130593	724	3	2
2014-03-31 18:39:08.152593	130594	1152818.8459578122	4	2
2014-03-31 18:39:11.853299	130595	47	2	10
2014-03-31 18:39:12.140505	130596	21.2	1	10
2014-03-31 18:39:19.908503	130597	57	2	9
2014-03-31 18:39:20.131701	130598	20.8	1	9
2014-03-31 18:39:20.972309	130599	54	2	8
2014-03-31 18:39:21.204156	130600	20.0	1	8
2014-03-31 18:39:31.640875	130601	54	2	1
2014-03-31 18:39:31.863152	130602	21.5	1	1
2014-03-31 18:39:42.785467	130603	60	2	24
2014-03-31 18:39:43.019867	130604	18.6	1	24
2014-03-31 18:39:43.930518	130605	2832	3	2
2014-03-31 18:39:44.152611	130606	1152831.4853397477	4	2
2014-03-31 18:39:45.056472	130607	53	2	25
2014-03-31 18:39:45.308838	130608	17.5	1	25
2014-03-31 18:39:50.851258	130609	47	2	10
2014-03-31 18:39:51.07697	130610	21.2	1	10
2014-03-31 18:39:55.929261	130611	2816	3	2
2014-03-31 18:39:56.1648	130612	1152840.677617519	4	2
2014-03-31 18:39:58.907238	130613	57	2	9
2014-03-31 18:39:59.12962	130614	20.8	1	9
2014-03-31 18:39:59.97106	130615	55	2	8
2014-03-31 18:40:00.202457	130616	20.0	1	8
2014-03-31 18:40:07.929683	130617	2897	3	2
2014-03-31 18:40:08.153044	130618	1152849.8698952904	4	2
2014-03-31 18:40:10.639301	130619	54	2	1
2014-03-31 18:40:10.86905	130620	21.5	1	1
2014-03-31 18:40:19.929399	130621	2849	3	2
2014-03-31 18:40:20.152428	130622	1152860.211207783	4	2
2014-03-31 18:40:21.785496	130623	60	2	24
2014-03-31 18:40:22.016826	130624	18.6	1	24
2014-03-31 18:40:24.056557	130625	53	2	25
2014-03-31 18:40:24.277416	130626	17.5	1	25
2014-03-31 18:40:29.851592	130627	47	2	10
2014-03-31 18:40:30.084351	130628	21.2	1	10
2014-03-31 18:40:31.927732	130629	2897	3	2
2014-03-31 18:40:32.152061	130630	1152869.4034855543	4	2
2014-03-31 18:40:37.901863	130631	57	2	9
2014-03-31 18:40:38.136272	130632	20.8	1	9
2014-03-31 18:40:38.969608	130633	55	2	8
2014-03-31 18:40:39.193372	130634	20.0	1	8
2014-03-31 18:40:43.929563	130635	2849	3	2
2014-03-31 18:40:44.176365	130636	1152878.5957633257	4	2
2014-03-31 18:40:49.639047	130637	54	2	1
2014-03-31 18:40:49.864527	130638	21.5	1	1
2014-03-31 18:40:55.928254	130639	2832	3	2
2014-03-31 18:40:56.171567	130640	1152888.9370758184	4	2
2014-03-31 18:41:00.784668	130641	60	2	24
2014-03-31 18:41:01.00508	130642	18.6	1	24
2014-03-31 18:41:03.054535	130643	53	2	25
2014-03-31 18:41:03.289778	130644	17.5	1	25
2014-03-31 18:41:08.850735	130645	47	2	10
2014-03-31 18:41:09.07255	130646	21.3	1	10
2014-03-31 18:41:17.97001	130647	55	2	8
2014-03-31 18:41:18.201452	130648	20.0	1	8
2014-03-31 18:41:28.637183	130649	54	2	1
2014-03-31 18:41:28.858546	130650	21.5	1	1
2014-03-31 18:41:31.927902	130651	2832	3	2
2014-03-31 18:41:32.158924	130652	1152916.5139091325	4	2
2014-03-31 18:41:39.780143	130653	60	2	24
2014-03-31 18:41:40.001948	130654	18.6	1	24
2014-03-31 18:41:42.108093	130655	53	2	25
2014-03-31 18:41:42.341884	130656	17.5	1	25
2014-03-31 18:41:47.852865	130657	47	2	10
2014-03-31 18:41:48.074135	130658	21.3	1	10
2014-03-31 18:41:56.970215	130659	55	2	8
2014-03-31 18:41:57.202912	130660	20.1	1	8
2014-03-31 18:42:07.639427	130661	54	2	1
2014-03-31 18:42:07.860695	130662	21.5	1	1
2014-03-31 18:42:18.780157	130663	60	2	24
2014-03-31 18:42:19.012618	130664	18.7	1	24
2014-03-31 18:42:21.051655	130665	53	2	25
2014-03-31 18:42:21.273051	130666	17.5	1	25
2014-03-31 18:42:26.853946	130667	47	2	10
2014-03-31 18:42:27.085523	130668	21.3	1	10
2014-03-31 18:42:31.927583	130669	2816	3	2
2014-03-31 18:42:32.153353	130670	1152964.7733674317	4	2
2014-03-31 18:42:36.178183	130671	55	2	8
2014-03-31 18:42:36.40781	130672	20.1	1	8
2014-03-31 18:42:46.639364	130673	54	2	1
2014-03-31 18:42:46.863656	130674	21.5	1	1
2014-03-31 18:42:55.927342	130675	2849	3	2
2014-03-31 18:42:56.162918	130676	1152983.1579229746	4	2
2014-03-31 18:42:57.783642	130677	60	2	24
2014-03-31 18:42:58.004962	130678	18.7	1	24
2014-03-31 18:43:00.053521	130679	53	2	25
2014-03-31 18:43:00.284071	130680	17.5	1	25
2014-03-31 18:43:05.854736	130681	47	2	10
2014-03-31 18:43:06.078594	130682	21.3	1	10
2014-03-31 18:43:07.925639	130683	2849	3	2
2014-03-31 18:43:08.168939	130684	1152991.2056369765	4	2
2014-03-31 18:43:14.970777	130685	55	2	8
2014-03-31 18:43:15.193435	130686	20.1	1	8
2014-03-31 18:43:25.642068	130687	54	2	1
2014-03-31 18:43:25.875702	130688	21.6	1	1
2014-03-31 18:43:31.928852	130689	2816	3	2
2014-03-31 18:43:32.151139	130690	1153010.7392272407	4	2
2014-03-31 18:43:36.78233	130691	60	2	24
2014-03-31 18:43:37.014908	130692	18.7	1	24
2014-03-31 18:43:39.071498	130693	53	2	25
2014-03-31 18:43:39.294942	130694	17.5	1	25
2014-03-31 18:43:43.92941	130695	2800	3	2
2014-03-31 18:43:44.160213	130696	1153019.9315050119	4	2
2014-03-31 18:43:44.852379	130697	47	2	10
2014-03-31 18:43:45.073021	130698	21.3	1	10
2014-03-31 18:43:53.97027	130699	55	2	8
2014-03-31 18:43:54.202334	130700	20.1	1	8
2014-03-31 18:43:55.932587	130701	2832	3	2
2014-03-31 18:43:56.154653	130702	1153029.1237827833	4	2
2014-03-31 18:44:04.638074	130703	54	2	1
2014-03-31 18:44:04.871138	130704	21.6	1	1
2014-03-31 18:44:07.927789	130705	2832	3	2
2014-03-31 18:44:08.148173	130706	1153039.465095276	4	2
2014-03-31 18:44:15.784491	130707	60	2	24
2014-03-31 18:44:16.01888	130708	18.7	1	24
2014-03-31 18:44:18.054412	130709	53	2	25
2014-03-31 18:44:18.276161	130710	17.5	1	25
2014-03-31 18:44:23.855256	130711	47	2	10
2014-03-31 18:44:24.090425	130712	21.3	1	10
2014-03-31 18:44:32.108708	130713	57	2	9
2014-03-31 18:44:32.331519	130714	20.9	1	9
2014-03-31 18:44:32.970532	130715	55	2	8
2014-03-31 18:44:33.203445	130716	20.1	1	8
2014-03-31 18:44:43.638757	130717	54	2	1
2014-03-31 18:44:43.863999	130718	21.6	1	1
2014-03-31 18:44:54.77912	130719	60	2	24
2014-03-31 18:44:55.01276	130720	18.7	1	24
2014-03-31 18:44:55.929631	130721	837	3	2
2014-03-31 18:44:56.153473	130722	1153056.7006160973	4	2
2014-03-31 18:44:57.052379	130723	53	2	25
2014-03-31 18:44:57.283577	130724	17.5	1	25
2014-03-31 18:45:02.853322	130725	47	2	10
2014-03-31 18:45:03.076778	130726	21.3	1	10
2014-03-31 18:45:07.928547	130727	837	3	2
2014-03-31 18:45:08.166345	130728	1153060.1477202615	4	2
2014-03-31 18:45:11.972315	130729	55	2	8
2014-03-31 18:45:12.251397	130730	20.1	1	8
2014-03-31 18:45:22.637459	130731	54	2	1
2014-03-31 18:45:22.882544	130732	21.6	1	1
2014-03-31 18:45:31.925344	130733	837	3	2
2014-03-31 18:45:32.149357	130734	1153064.7438591472	4	2
2014-03-31 18:45:33.779283	130735	60	2	24
2014-03-31 18:45:34.014489	130736	18.7	1	24
2014-03-31 18:45:36.054947	130737	53	2	25
2014-03-31 18:45:36.276538	130738	17.5	1	25
2014-03-31 18:45:41.853428	130739	47	2	10
2014-03-31 18:45:42.120086	130740	21.3	1	10
2014-03-31 18:45:49.901711	130741	57	2	9
2014-03-31 18:45:50.124408	130742	20.9	1	9
2014-03-31 18:45:50.970307	130743	55	2	8
2014-03-31 18:45:51.206173	130744	20.1	1	8
2014-03-31 18:46:01.636954	130745	54	2	1
2014-03-31 18:46:01.859551	130746	21.6	1	1
2014-03-31 18:46:12.780032	130747	60	2	24
2014-03-31 18:46:13.012893	130748	18.7	1	24
2014-03-31 18:46:15.049407	130749	53	2	25
2014-03-31 18:46:15.273269	130750	17.6	1	25
2014-03-31 18:46:19.925372	130751	708	3	2
2014-03-31 18:46:20.158482	130752	1153076.2342063612	4	2
2014-03-31 18:46:20.852554	130753	47	2	10
2014-03-31 18:46:21.073873	130754	21.3	1	10
2014-03-31 18:46:29.971006	130755	55	2	8
2014-03-31 18:46:30.20415	130756	20.1	1	8
2014-03-31 18:46:31.927337	130757	708	3	2
2014-03-31 18:46:32.14878	130758	1153078.532275804	4	2
2014-03-31 18:46:40.637108	130759	54	2	1
2014-03-31 18:46:40.870257	130760	21.6	1	1
2014-03-31 18:46:51.775994	130761	60	2	24
2014-03-31 18:46:52.008017	130762	18.7	1	24
2014-03-31 18:46:54.05162	130763	53	2	25
2014-03-31 18:46:54.283975	130764	17.6	1	25
2014-03-31 18:46:59.853737	130765	47	2	10
2014-03-31 18:47:00.076816	130766	21.3	1	10
2014-03-31 18:47:08.105757	130767	57	2	9
2014-03-31 18:47:08.338643	130768	21.0	1	9
2014-03-31 18:47:08.971175	130769	55	2	8
2014-03-31 18:47:09.194788	130770	20.1	1	8
2014-03-31 18:47:19.635273	130771	54	2	1
2014-03-31 18:47:19.865276	130772	21.6	1	1
2014-03-31 18:47:30.777163	130773	60	2	24
2014-03-31 18:47:30.999082	130774	18.7	1	24
2014-03-31 18:47:31.936417	130775	708	3	2
2014-03-31 18:47:32.168946	130776	1153091.1716577397	4	2
2014-03-31 18:47:33.052319	130777	53	2	25
2014-03-31 18:47:33.27536	130778	17.6	1	25
2014-03-31 18:47:38.85431	130779	47	2	10
2014-03-31 18:47:39.100514	130780	21.4	1	10
2014-03-31 18:47:47.969367	130781	55	2	8
2014-03-31 18:47:48.191301	130782	20.1	1	8
2014-03-31 18:47:58.633043	130783	54	2	1
2014-03-31 18:47:58.865187	130784	21.6	1	1
2014-03-31 18:48:09.775532	130785	60	2	24
2014-03-31 18:48:09.997529	130786	18.7	1	24
2014-03-31 18:48:12.050046	130787	53	2	25
2014-03-31 18:48:12.339006	130788	17.6	1	25
2014-03-31 18:48:17.852615	130789	47	2	10
2014-03-31 18:48:18.07461	130790	21.4	1	10
2014-03-31 18:48:26.971104	130791	55	2	8
2014-03-31 18:48:27.205903	130792	20.1	1	8
2014-03-31 18:48:31.926588	130793	676	3	2
2014-03-31 18:48:32.148283	130794	1153102.6620049537	4	2
2014-03-31 18:48:37.636244	130795	54	2	1
2014-03-31 18:48:37.87169	130796	21.6	1	1
2014-03-31 18:48:43.92626	130797	708	3	2
2014-03-31 18:48:44.147676	130798	1153104.9600743966	4	2
2014-03-31 18:48:48.774023	130799	60	2	24
2014-03-31 18:48:49.006818	130800	18.7	1	24
2014-03-31 18:48:51.049638	130801	53	2	25
2014-03-31 18:48:51.290792	130802	17.6	1	25
2014-03-31 18:48:55.924569	130803	708	3	2
2014-03-31 18:48:56.159481	130804	1153107.2581438394	4	2
2014-03-31 18:48:56.853788	130805	47	2	10
2014-03-31 18:48:57.075507	130806	21.4	1	10
2014-03-31 18:49:05.969946	130807	55	2	8
2014-03-31 18:49:06.202317	130808	20.1	1	8
2014-03-31 18:49:16.633652	130809	54	2	1
2014-03-31 18:49:16.857169	130810	21.6	1	1
2014-03-31 18:49:27.780218	130811	60	2	24
2014-03-31 18:49:28.011005	130812	18.7	1	24
2014-03-31 18:49:30.050203	130813	53	2	25
2014-03-31 18:49:30.271117	130814	17.6	1	25
2014-03-31 18:49:31.924663	130815	708	3	2
2014-03-31 18:49:32.154724	130816	1153114.152352168	4	2
2014-03-31 18:49:35.854684	130817	47	2	10
2014-03-31 18:49:36.076805	130818	21.4	1	10
2014-03-31 18:49:44.969007	130819	55	2	8
2014-03-31 18:49:45.201511	130820	20.2	1	8
2014-03-31 18:49:55.634264	130821	54	2	1
2014-03-31 18:49:55.859288	130822	21.6	1	1
2014-03-31 18:50:06.775345	130823	60	2	24
2014-03-31 18:50:07.00693	130824	18.7	1	24
2014-03-31 18:50:09.048979	130825	53	2	25
2014-03-31 18:50:09.271351	130826	17.6	1	25
2014-03-31 18:50:14.853187	130827	47	2	10
2014-03-31 18:50:15.097278	130828	21.4	1	10
2014-03-31 18:50:23.970319	130829	55	2	8
2014-03-31 18:50:24.193482	130830	20.2	1	8
2014-03-31 18:50:31.927641	130831	724	3	2
2014-03-31 18:50:32.345591	130832	1153126.7917341036	4	2
2014-03-31 18:50:34.631557	130833	54	2	1
2014-03-31 18:50:34.852551	130834	21.6	1	1
2014-03-31 18:50:45.774262	130835	60	2	24
2014-03-31 18:50:45.996145	130836	18.7	1	24
2014-03-31 18:50:48.055758	130837	53	2	25
2014-03-31 18:50:48.287774	130838	17.6	1	25
2014-03-31 18:50:53.852847	130839	47	2	10
2014-03-31 18:50:54.081199	130840	21.4	1	10
2014-03-31 18:51:02.968314	130841	55	2	8
2014-03-31 18:51:03.20297	130842	20.2	1	8
2014-03-31 18:51:13.633378	130843	54	2	1
2014-03-31 18:51:13.854068	130844	21.6	1	1
2014-03-31 18:51:24.772045	130845	60	2	24
2014-03-31 18:51:25.005199	130846	18.7	1	24
2014-03-31 18:51:27.04697	130847	53	2	25
2014-03-31 18:51:27.270907	130848	17.6	1	25
2014-03-31 18:51:31.926346	130849	2832	3	2
2014-03-31 18:51:32.162613	130850	1153144.0272549249	4	2
2014-03-31 18:51:32.854057	130851	47	2	10
2014-03-31 18:51:33.075912	130852	21.4	1	10
2014-03-31 18:51:41.968614	130853	55	2	8
2014-03-31 18:51:42.202866	130854	20.2	1	8
2014-03-31 18:51:43.925972	130855	2816	3	2
2014-03-31 18:51:44.145962	130856	1153153.219532696	4	2
2014-03-31 18:51:52.6332	130857	54	2	1
2014-03-31 18:51:52.865077	130858	21.6	1	1
2014-03-31 18:52:03.773494	130859	60	2	24
2014-03-31 18:52:03.995679	130860	18.7	1	24
2014-03-31 18:52:06.049787	130861	53	2	25
2014-03-31 18:52:06.283294	130862	17.6	1	25
2014-03-31 18:52:07.924576	130863	3283	3	2
2014-03-31 18:52:08.153712	130864	1153172.7531229602	4	2
2014-03-31 18:52:11.854515	130865	47	2	10
2014-03-31 18:52:12.085361	130866	21.4	1	10
2014-03-31 18:52:20.968999	130867	55	2	8
2014-03-31 18:52:21.192217	130868	20.2	1	8
2014-03-31 18:52:42.769376	130869	60	2	24
2014-03-31 18:52:43.002261	130870	18.7	1	24
2014-03-31 18:52:43.925611	130871	2816	3	2
2014-03-31 18:52:44.147756	130872	1153203.7770604384	4	2
2014-03-31 18:52:45.049119	130873	53	2	25
2014-03-31 18:52:45.280355	130874	17.6	1	25
2014-03-31 18:52:50.85395	130875	47	2	10
2014-03-31 18:52:51.076364	130876	21.4	1	10
2014-03-31 18:52:55.925426	130877	2800	3	2
2014-03-31 18:52:56.172261	130878	1153212.9693382096	4	2
2014-03-31 18:52:59.968323	130879	55	2	8
2014-03-31 18:53:00.188169	130880	20.2	1	8
2014-03-31 18:53:10.630904	130881	54	2	1
2014-03-31 18:53:10.863588	130882	21.6	1	1
2014-03-31 18:53:19.922624	130883	820	3	2
2014-03-31 18:53:20.143956	130884	1153226.7577548667	4	2
2014-03-31 18:53:21.770504	130885	60	2	24
2014-03-31 18:53:22.000713	130886	18.7	1	24
2014-03-31 18:53:24.047496	130887	53	2	25
2014-03-31 18:53:24.268797	130888	17.6	1	25
2014-03-31 18:53:29.85326	130889	47	2	10
2014-03-31 18:53:30.085626	130890	21.4	1	10
2014-03-31 18:53:31.925272	130891	820	3	2
2014-03-31 18:53:32.14816	130892	1153230.204859031	4	2
2014-03-31 18:53:38.970209	130893	55	2	8
2014-03-31 18:53:39.2035	130894	20.2	1	8
2014-03-31 18:53:49.870232	130895	54	2	1
2014-03-31 18:53:50.093074	130896	21.6	1	1
2014-03-31 18:54:00.770385	130897	60	2	24
2014-03-31 18:54:01.002143	130898	18.7	1	24
2014-03-31 18:54:03.048048	130899	53	2	25
2014-03-31 18:54:03.268485	130900	17.6	1	25
2014-03-31 18:54:07.923316	130901	1046	3	2
2014-03-31 18:54:08.156079	130902	1153238.2481020808	4	2
2014-03-31 18:54:08.856354	130903	47	2	10
2014-03-31 18:54:09.079425	130904	21.5	1	10
2014-03-31 18:54:17.968964	130905	55	2	8
2014-03-31 18:54:18.200838	130906	20.2	1	8
2014-03-31 18:54:19.926764	130907	1078	3	2
2014-03-31 18:54:20.147901	130908	1153241.695206245	4	2
2014-03-31 18:54:28.630399	130909	54	2	1
2014-03-31 18:54:28.864486	130910	21.6	1	1
2014-03-31 18:54:31.924208	130911	869	3	2
2014-03-31 18:54:32.148431	130912	1153245.1423104093	4	2
2014-03-31 18:54:39.771828	130913	60	2	24
2014-03-31 18:54:40.004206	130914	18.7	1	24
2014-03-31 18:54:42.04799	130915	53	2	25
2014-03-31 18:54:42.269749	130916	17.6	1	25
2014-03-31 18:54:43.924323	130917	885	3	2
2014-03-31 18:54:44.156619	130918	1153248.5894145735	4	2
2014-03-31 18:54:47.857478	130919	47	2	10
2014-03-31 18:54:48.08058	130920	21.5	1	10
2014-03-31 18:54:56.970171	130921	55	2	8
2014-03-31 18:54:57.202291	130922	20.2	1	8
2014-03-31 18:55:18.766862	130923	60	2	24
2014-03-31 18:55:18.990538	130924	18.7	1	24
2014-03-31 18:55:19.925224	130925	869	3	2
2014-03-31 18:55:20.166314	130926	1153256.6326576234	4	2
2014-03-31 18:55:21.047299	130927	53	2	25
2014-03-31 18:55:21.26813	130928	17.6	1	25
2014-03-31 18:55:26.855987	130929	47	2	10
2014-03-31 18:55:27.088854	130930	21.5	1	10
2014-03-31 18:55:31.923006	130931	869	3	2
2014-03-31 18:55:32.149162	130932	1153260.0797617878	4	2
2014-03-31 18:55:35.970741	130933	55	2	8
2014-03-31 18:55:36.201339	130934	20.2	1	8
2014-03-31 18:55:46.630451	130935	54	2	1
2014-03-31 18:55:46.853162	130936	21.6	1	1
2014-03-31 18:55:57.766432	130937	60	2	24
2014-03-31 18:55:57.999997	130938	18.7	1	24
2014-03-31 18:56:00.049232	130939	53	2	25
2014-03-31 18:56:00.27015	130940	17.6	1	25
2014-03-31 18:56:05.858201	130941	47	2	10
2014-03-31 18:56:06.090313	130942	21.5	1	10
2014-03-31 18:56:14.969035	130943	55	2	8
2014-03-31 18:56:15.192533	130944	20.2	1	8
2014-03-31 18:56:25.62954	130945	54	2	1
2014-03-31 18:56:25.86402	130946	21.6	1	1
2014-03-31 18:56:31.92394	130947	869	3	2
2014-03-31 18:56:32.14801	130948	1153273.8681784447	4	2
2014-03-31 18:56:36.768088	130949	60	2	24
2014-03-31 18:56:36.999919	130950	18.7	1	24
2014-03-31 18:56:39.048673	130951	53	2	25
2014-03-31 18:56:39.27267	130952	17.6	1	25
2014-03-31 18:56:43.92554	130953	2993	3	2
2014-03-31 18:56:44.159136	130954	1153278.4643173304	4	2
2014-03-31 18:56:44.856252	130955	47	2	10
2014-03-31 18:56:45.07737	130956	21.5	1	10
2014-03-31 18:56:53.967331	130957	55	2	8
2014-03-31 18:56:54.203046	130958	20.2	1	8
2014-03-31 18:56:55.923107	130959	2945	3	2
2014-03-31 18:56:56.148777	130960	1153287.661066054	4	2
2014-03-31 18:57:04.628606	130961	54	2	1
2014-03-31 18:57:04.861373	130962	21.6	1	1
2014-03-31 18:57:07.927562	130963	2961	3	2
2014-03-31 18:57:08.150927	130964	1153298.0023785466	4	2
2014-03-31 18:57:15.765305	130965	60	2	24
2014-03-31 18:57:15.997107	130966	18.7	1	24
2014-03-31 18:57:18.051942	130967	53	2	25
2014-03-31 18:57:18.275628	130968	17.6	1	25
2014-03-31 18:57:19.92674	130969	2913	3	2
2014-03-31 18:57:20.15927	130970	1153307.1946563178	4	2
2014-03-31 18:57:23.855265	130971	47	2	10
2014-03-31 18:57:24.082358	130972	21.5	1	10
2014-03-31 18:57:32.969552	130973	55	2	8
2014-03-31 18:57:33.212448	130974	20.2	1	8
2014-03-31 18:57:43.629475	130975	54	2	1
2014-03-31 18:57:43.856517	130976	21.7	1	1
2014-03-31 18:57:54.763077	130977	60	2	24
2014-03-31 18:57:54.994641	130978	18.8	1	24
2014-03-31 18:57:55.9247	130979	2897	3	2
2014-03-31 18:57:56.147105	130980	1153337.0695590747	4	2
2014-03-31 18:57:57.043738	130981	53	2	25
2014-03-31 18:57:57.275278	130982	17.6	1	25
2014-03-31 18:58:02.855793	130983	47	2	10
2014-03-31 18:58:03.076522	130984	21.5	1	10
2014-03-31 18:58:07.923384	130985	2913	3	2
2014-03-31 18:58:08.161334	130986	1153346.2618368461	4	2
2014-03-31 18:58:11.966996	130987	55	2	8
2014-03-31 18:58:12.187725	130988	20.3	1	8
2014-03-31 18:58:22.628657	130989	54	2	1
2014-03-31 18:58:22.860437	130990	21.6	1	1
2014-03-31 18:58:31.924778	130991	2832	3	2
2014-03-31 18:58:32.147917	130992	1153365.79542711	4	2
2014-03-31 18:58:33.762871	130993	60	2	24
2014-03-31 18:58:34.016423	130994	18.8	1	24
2014-03-31 18:58:36.043585	130995	53	2	25
2014-03-31 18:58:36.264565	130996	17.6	1	25
2014-03-31 18:58:41.85588	130997	47	2	10
2014-03-31 18:58:42.088112	130998	21.5	1	10
2014-03-31 18:58:43.924349	130999	2800	3	2
2014-03-31 18:58:44.146888	131000	1153374.9877048815	4	2
2014-03-31 18:58:49.901952	131001	57	2	9
2014-03-31 18:58:50.134244	131002	21.3	1	9
2014-03-31 18:58:50.967443	131003	55	2	8
2014-03-31 18:58:51.189038	131004	20.3	1	8
2014-03-31 18:58:55.925003	131005	2832	3	2
2014-03-31 18:58:56.159811	131006	1153385.3290173742	4	2
2014-03-31 18:59:01.629612	131007	54	2	1
2014-03-31 18:59:01.857363	131008	21.6	1	1
2014-03-31 18:59:07.923611	131009	2816	3	2
2014-03-31 18:59:08.158693	131010	1153394.5212951454	4	2
2014-03-31 18:59:12.763326	131011	60	2	24
2014-03-31 18:59:12.985709	131012	18.8	1	24
2014-03-31 18:59:15.042273	131013	53	2	25
2014-03-31 18:59:15.274655	131014	17.6	1	25
2014-03-31 18:59:19.923986	131015	4056	3	2
2014-03-31 18:59:20.146093	131016	1153406.0116423597	4	2
2014-03-31 18:59:20.857978	131017	47	2	10
2014-03-31 18:59:21.089473	131018	21.5	1	10
2014-03-31 18:59:29.968108	131019	55	2	8
2014-03-31 18:59:30.191231	131020	20.3	1	8
2014-03-31 18:59:31.922692	131021	4024	3	2
2014-03-31 18:59:32.165782	131022	1153419.8000590166	4	2
2014-03-31 18:59:40.625376	131023	54	2	1
2014-03-31 18:59:40.851732	131024	21.7	1	1
2014-03-31 18:59:43.920457	131025	4024	3	2
2014-03-31 18:59:44.152289	131026	1153432.4394409521	4	2
2014-03-31 18:59:51.763348	131027	60	2	24
2014-03-31 18:59:51.985303	131028	18.8	1	24
2014-03-31 18:59:54.043381	131029	53	2	25
2014-03-31 18:59:54.274104	131030	17.6	1	25
2014-03-31 18:59:59.856076	131031	47	2	10
2014-03-31 19:00:00.076195	131032	21.5	1	10
2014-03-31 19:00:07.900704	131033	58	2	9
2014-03-31 19:00:08.132802	131034	21.3	1	9
2014-03-31 19:00:08.96782	131035	55	2	8
2014-03-31 19:00:09.189095	131036	20.3	1	8
2014-03-31 19:00:19.626759	131037	54	2	1
2014-03-31 19:00:19.863389	131038	21.7	1	1
2014-03-31 19:00:30.765254	131039	60	2	24
2014-03-31 19:00:30.990863	131040	18.8	1	24
2014-03-31 19:00:31.924015	131041	4040	3	2
2014-03-31 19:00:32.156753	131042	1153486.4440728587	4	2
2014-03-31 19:00:33.045074	131043	53	2	25
2014-03-31 19:00:33.268321	131044	17.6	1	25
2014-03-31 19:00:38.858289	131045	47	2	10
2014-03-31 19:00:39.090367	131046	21.5	1	10
2014-03-31 19:00:43.925909	131047	4008	3	2
2014-03-31 19:00:44.154785	131048	1153500.2324895156	4	2
2014-03-31 19:00:47.969829	131049	55	2	8
2014-03-31 19:00:48.20109	131050	20.3	1	8
2014-03-31 19:00:55.929009	131051	3991	3	2
2014-03-31 19:00:56.152273	131052	1153514.0209061727	4	2
2014-03-31 19:00:58.663864	131053	54	2	1
2014-03-31 19:00:59.32226	131054	21.7	1	1
2014-03-31 19:01:09.761597	131055	60	2	24
2014-03-31 19:01:10.020585	131056	18.8	1	24
2014-03-31 19:01:12.044094	131057	53	2	25
2014-03-31 19:01:12.3105	131058	17.6	1	25
2014-03-31 19:01:17.856249	131059	47	2	10
2014-03-31 19:01:18.115383	131060	21.6	1	10
2014-03-31 19:01:25.901418	131061	58	2	9
2014-03-31 19:01:26.18825	131062	21.4	1	9
2014-03-31 19:01:26.969784	131063	55	2	8
2014-03-31 19:01:27.225195	131064	20.3	1	8
2014-03-31 19:01:31.922873	131065	3991	3	2
2014-03-31 19:01:32.176865	131066	1153554.237121422	4	2
2014-03-31 19:01:37.624588	131067	54	2	1
2014-03-31 19:01:37.851158	131068	21.7	1	1
2014-03-31 19:01:43.923012	131069	4024	3	2
2014-03-31 19:01:44.167394	131070	1153566.8765033577	4	2
2014-03-31 19:01:48.760738	131071	60	2	24
2014-03-31 19:01:48.981952	131072	18.8	1	24
2014-03-31 19:01:51.045461	131073	53	2	25
2014-03-31 19:01:51.279261	131074	17.6	1	25
2014-03-31 19:01:55.92415	131075	3991	3	2
2014-03-31 19:01:56.147047	131076	1153579.5203562456	4	2
2014-03-31 19:01:56.856728	131077	47	2	10
2014-03-31 19:01:57.090184	131078	21.6	1	10
2014-03-31 19:02:05.965939	131079	55	2	8
2014-03-31 19:02:06.191011	131080	20.3	1	8
2014-03-31 19:02:16.624775	131081	54	2	1
2014-03-31 19:02:16.857224	131082	21.7	1	1
2014-03-31 19:02:19.921593	131083	2012	3	2
2014-03-31 19:02:20.144968	131084	1153597.9049117882	4	2
2014-03-31 19:02:27.758186	131085	60	2	24
2014-03-31 19:02:27.991595	131086	18.8	1	24
2014-03-31 19:02:30.042683	131087	53	2	25
2014-03-31 19:02:30.266119	131088	17.6	1	25
2014-03-31 19:02:31.921813	131089	1995	3	2
2014-03-31 19:02:32.153306	131090	1153604.7991201165	4	2
2014-03-31 19:02:35.856654	131091	47	2	10
2014-03-31 19:02:36.07943	131092	21.6	1	10
2014-03-31 19:02:44.967947	131093	55	2	8
2014-03-31 19:02:45.200841	131094	20.3	1	8
2014-03-31 19:02:55.623782	131095	54	2	1
2014-03-31 19:02:55.846408	131096	21.7	1	1
2014-03-31 19:03:06.758276	131097	60	2	24
2014-03-31 19:03:06.990269	131098	18.8	1	24
2014-03-31 19:03:09.042662	131099	53	2	25
2014-03-31 19:03:09.26571	131100	17.6	1	25
2014-03-31 19:03:14.857249	131101	47	2	10
2014-03-31 19:03:15.08906	131102	21.6	1	10
2014-03-31 19:03:19.921677	131103	837	3	2
2014-03-31 19:03:20.143425	131104	1153628.9288492664	4	2
2014-03-31 19:03:23.96692	131105	55	2	8
2014-03-31 19:03:24.198726	131106	20.3	1	8
2014-03-31 19:03:31.921663	131107	853	3	2
2014-03-31 19:03:32.145764	131108	1153632.3759534305	4	2
2014-03-31 19:03:34.623385	131109	54	2	1
2014-03-31 19:03:34.855784	131110	21.7	1	1
2014-03-31 19:03:45.760101	131111	60	2	24
2014-03-31 19:03:45.981797	131112	18.8	1	24
2014-03-31 19:03:48.046504	131113	53	2	25
2014-03-31 19:03:48.28064	131114	17.6	1	25
2014-03-31 19:03:54.068112	131115	47	2	10
2014-03-31 19:03:54.291353	131116	21.6	1	10
2014-03-31 19:03:55.920729	131117	820	3	2
2014-03-31 19:03:56.162837	131118	1153638.1211270376	4	2
2014-03-31 19:04:02.964806	131119	55	2	8
2014-03-31 19:04:03.186664	131120	20.3	1	8
2014-03-31 19:04:13.625752	131121	54	2	1
2014-03-31 19:04:13.858115	131122	21.7	1	1
2014-03-31 19:04:24.995516	131123	60	2	24
2014-03-31 19:04:25.217094	131124	18.8	1	24
2014-03-31 19:04:27.040524	131125	53	2	25
2014-03-31 19:04:27.271137	131126	17.6	1	25
2014-03-31 19:04:31.922835	131127	820	3	2
2014-03-31 19:04:32.146173	131128	1153646.1643700877	4	2
2014-03-31 19:04:32.855823	131129	47	2	10
2014-03-31 19:04:33.087037	131130	21.6	1	10
2014-03-31 19:04:40.900749	131131	58	2	9
2014-03-31 19:04:41.123708	131132	21.4	1	9
2014-03-31 19:04:41.968499	131133	55	2	8
2014-03-31 19:04:42.200853	131134	20.4	1	8
2014-03-31 19:04:52.62344	131135	54	2	1
2014-03-31 19:04:52.845465	131136	21.7	1	1
2014-03-31 19:05:03.759247	131137	60	2	24
2014-03-31 19:05:03.991706	131138	18.8	1	24
2014-03-31 19:05:06.041537	131139	53	2	25
2014-03-31 19:05:06.263691	131140	17.7	1	25
2014-03-31 19:05:11.858036	131141	47	2	10
2014-03-31 19:05:12.091001	131142	21.6	1	10
2014-03-31 19:05:19.901526	131143	58	2	9
2014-03-31 19:05:20.123916	131144	21.4	1	9
2014-03-31 19:05:20.965872	131145	55	2	8
2014-03-31 19:05:21.198104	131146	20.4	1	8
2014-03-31 19:05:31.623418	131147	54	2	1
2014-03-31 19:05:31.848557	131148	21.7	1	1
2014-03-31 19:05:42.81381	131149	60	2	24
2014-03-31 19:05:43.045577	131150	18.8	1	24
2014-03-31 19:05:45.060555	131151	53	2	25
2014-03-31 19:05:45.28158	131152	17.7	1	25
2014-03-31 19:05:50.859477	131153	47	2	10
2014-03-31 19:05:51.092314	131154	21.6	1	10
2014-03-31 19:05:59.966966	131155	56	2	8
2014-03-31 19:06:00.190002	131156	20.4	1	8
2014-03-31 19:06:10.622497	131157	54	2	1
2014-03-31 19:06:10.85412	131158	21.7	1	1
2014-03-31 19:06:21.753877	131159	60	2	24
2014-03-31 19:06:21.977426	131160	18.8	1	24
2014-03-31 19:06:24.040531	131161	53	2	25
2014-03-31 19:06:24.272438	131162	17.7	1	25
2014-03-31 19:06:29.857418	131163	47	2	10
2014-03-31 19:06:30.080473	131164	21.6	1	10
2014-03-31 19:06:31.924184	131165	804	3	2
2014-03-31 19:06:32.1676	131166	1153673.7412034015	4	2
2014-03-31 19:06:38.10219	131167	58	2	9
2014-03-31 19:06:38.324965	131168	21.5	1	9
2014-03-31 19:06:38.969337	131169	56	2	8
2014-03-31 19:06:39.202628	131170	20.4	1	8
2014-03-31 19:06:49.622185	131171	54	2	1
2014-03-31 19:06:49.845551	131172	21.7	1	1
2014-03-31 19:06:55.922584	131173	724	3	2
2014-03-31 19:06:56.155557	131174	1153678.3373422872	4	2
2014-03-31 19:07:00.754077	131175	60	2	24
2014-03-31 19:07:00.975782	131176	18.8	1	24
2014-03-31 19:07:03.041897	131177	53	2	25
2014-03-31 19:07:03.274264	131178	17.7	1	25
2014-03-31 19:07:07.922537	131179	804	3	2
2014-03-31 19:07:08.146133	131180	1153681.7844464513	4	2
2014-03-31 19:07:08.859395	131181	47	2	10
2014-03-31 19:07:09.092878	131182	21.6	1	10
2014-03-31 19:07:17.967955	131183	56	2	8
2014-03-31 19:07:18.192225	131184	20.4	1	8
2014-03-31 19:07:19.921116	131185	804	3	2
2014-03-31 19:07:20.154519	131186	1153684.0825158942	4	2
2014-03-31 19:07:28.622547	131187	54	2	1
2014-03-31 19:07:28.845362	131188	21.7	1	1
2014-03-31 19:07:31.922677	131189	804	3	2
2014-03-31 19:07:32.15592	131190	1153686.380585337	4	2
2014-03-31 19:07:39.752662	131191	60	2	24
2014-03-31 19:07:39.975429	131192	18.8	1	24
2014-03-31 19:07:42.039501	131193	53	2	25
2014-03-31 19:07:42.270901	131194	17.7	1	25
2014-03-31 19:07:47.856695	131195	47	2	10
2014-03-31 19:07:48.08043	131196	21.6	1	10
2014-03-31 19:07:56.968406	131197	56	2	8
2014-03-31 19:07:57.201941	131198	20.4	1	8
2014-03-31 19:08:07.618921	131199	54	2	1
2014-03-31 19:08:07.842245	131200	21.7	1	1
2014-03-31 19:08:18.754338	131201	60	2	24
2014-03-31 19:08:18.986439	131202	18.8	1	24
2014-03-31 19:08:19.92113	131203	804	3	2
2014-03-31 19:08:20.143737	131204	1153696.7218978298	4	2
2014-03-31 19:08:21.039002	131205	53	2	25
2014-03-31 19:08:21.27227	131206	17.7	1	25
2014-03-31 19:08:26.858017	131207	47	2	10
2014-03-31 19:08:27.081849	131208	21.7	1	10
2014-03-31 19:08:31.921097	131209	724	3	2
2014-03-31 19:08:32.158454	131210	1153699.0199672726	4	2
2014-03-31 19:08:34.900386	131211	58	2	9
2014-03-31 19:08:35.121661	131212	21.5	1	9
2014-03-31 19:08:35.967815	131213	56	2	8
2014-03-31 19:08:36.211009	131214	20.4	1	8
2014-03-31 19:08:43.924191	131215	804	3	2
2014-03-31 19:08:44.14488	131216	1153702.4670714368	4	2
2014-03-31 19:08:46.620613	131217	54	2	1
2014-03-31 19:08:46.852279	131218	21.7	1	1
2014-03-31 19:08:55.920864	131219	804	3	2
2014-03-31 19:08:56.142563	131220	1153704.7651408797	4	2
2014-03-31 19:08:57.751588	131221	60	2	24
2014-03-31 19:08:57.98326	131222	18.8	1	24
2014-03-31 19:09:00.038313	131223	53	2	25
2014-03-31 19:09:00.259194	131224	17.7	1	25
2014-03-31 19:09:05.85739	131225	47	2	10
2014-03-31 19:09:06.088683	131226	21.7	1	10
2014-03-31 19:09:07.922197	131227	2816	3	2
2014-03-31 19:09:08.143573	131228	1153712.8083839295	4	2
2014-03-31 19:09:13.897918	131229	58	2	9
2014-03-31 19:09:14.131003	131230	21.5	1	9
2014-03-31 19:09:14.966683	131231	56	2	8
2014-03-31 19:09:15.188955	131232	20.4	1	8
2014-03-31 19:09:19.921013	131233	2816	3	2
2014-03-31 19:09:20.152705	131234	1153722.000661701	4	2
2014-03-31 19:09:25.619884	131235	54	2	1
2014-03-31 19:09:25.845419	131236	21.7	1	1
2014-03-31 19:09:31.920737	131237	2816	3	2
2014-03-31 19:09:32.15367	131238	1153731.1929394722	4	2
2014-03-31 19:09:36.750437	131239	60	2	24
2014-03-31 19:09:36.972056	131240	18.8	1	24
2014-03-31 19:09:39.039211	131241	53	2	25
2014-03-31 19:09:39.272376	131242	17.7	1	25
2014-03-31 19:09:43.922918	131243	2784	3	2
2014-03-31 19:09:44.145609	131244	1153740.3852172436	4	2
2014-03-31 19:09:44.857626	131245	48	2	10
2014-03-31 19:09:45.089037	131246	21.7	1	10
2014-03-31 19:09:52.900733	131247	58	2	9
2014-03-31 19:09:53.125852	131248	21.5	1	9
2014-03-31 19:09:53.965922	131249	56	2	8
2014-03-31 19:09:54.201297	131250	20.4	1	8
2014-03-31 19:09:55.922285	131251	2784	3	2
2014-03-31 19:09:56.144623	131252	1153749.577495015	4	2
2014-03-31 19:10:04.62078	131253	54	2	1
2014-03-31 19:10:04.854679	131254	21.7	1	1
2014-03-31 19:10:07.919686	131255	2752	3	2
2014-03-31 19:10:08.143013	131256	1153758.7697727862	4	2
2014-03-31 19:10:15.752187	131257	60	2	24
2014-03-31 19:10:15.983983	131258	18.8	1	24
2014-03-31 19:10:18.04287	131259	53	2	25
2014-03-31 19:10:18.265332	131260	17.7	1	25
2014-03-31 19:10:19.920482	131261	2736	3	2
2014-03-31 19:10:20.163305	131262	1153767.9620505576	4	2
2014-03-31 19:10:23.858677	131263	48	2	10
2014-03-31 19:10:24.082715	131264	21.7	1	10
2014-03-31 19:10:32.103764	131265	58	2	9
2014-03-31 19:10:32.335295	131266	21.5	1	9
2014-03-31 19:10:32.967471	131267	56	2	8
2014-03-31 19:10:33.190264	131268	20.4	1	8
2014-03-31 19:10:43.621857	131269	54	2	1
2014-03-31 19:10:43.856319	131270	21.7	1	1
2014-03-31 19:10:54.752993	131271	60	2	24
2014-03-31 19:10:54.973871	131272	18.8	1	24
2014-03-31 19:10:55.920215	131273	2704	3	2
2014-03-31 19:10:56.152046	131274	1153795.5388838714	4	2
2014-03-31 19:10:57.038321	131275	53	2	25
2014-03-31 19:10:57.261566	131276	17.7	1	25
2014-03-31 19:11:02.859083	131277	48	2	10
2014-03-31 19:11:03.092496	131278	21.7	1	10
2014-03-31 19:11:07.923456	131279	2720	3	2
2014-03-31 19:11:08.150841	131280	1153804.7311616428	4	2
2014-03-31 19:11:10.903637	131281	58	2	9
2014-03-31 19:11:11.136169	131282	21.5	1	9
2014-03-31 19:11:11.964975	131283	56	2	8
2014-03-31 19:11:12.189344	131284	20.4	1	8
2014-03-31 19:11:22.61914	131285	54	2	1
2014-03-31 19:11:22.854899	131286	21.7	1	1
2014-03-31 19:11:31.921356	131287	2736	3	2
2014-03-31 19:11:32.144091	131288	1153823.1157171854	4	2
2014-03-31 19:11:33.748843	131289	60	2	24
2014-03-31 19:11:33.983991	131290	18.8	1	24
2014-03-31 19:11:36.039718	131291	53	2	25
2014-03-31 19:11:36.261469	131292	17.7	1	25
2014-03-31 19:11:41.858673	131293	48	2	10
2014-03-31 19:11:42.092966	131294	21.7	1	10
2014-03-31 19:11:43.92409	131295	2704	3	2
2014-03-31 19:11:44.146032	131296	1153832.3079949568	4	2
2014-03-31 19:11:49.901898	131297	58	2	9
2014-03-31 19:11:50.13679	131298	21.6	1	9
2014-03-31 19:11:50.967583	131299	56	2	8
2014-03-31 19:11:51.189403	131300	20.4	1	8
2014-03-31 19:11:55.921498	131301	2720	3	2
2014-03-31 19:11:56.158964	131302	1153841.500272728	4	2
2014-03-31 19:12:01.618315	131303	54	2	1
2014-03-31 19:12:01.844792	131304	21.7	1	1
2014-03-31 19:12:12.748522	131305	60	2	24
2014-03-31 19:12:13.020685	131306	18.8	1	24
2014-03-31 19:12:15.039652	131307	53	2	25
2014-03-31 19:12:15.260992	131308	17.7	1	25
2014-03-31 19:12:20.858442	131309	48	2	10
2014-03-31 19:12:21.102469	131310	21.7	1	10
2014-03-31 19:12:28.900371	131311	58	2	9
2014-03-31 19:12:29.125046	131312	21.6	1	9
2014-03-31 19:12:29.966871	131313	56	2	8
2014-03-31 19:12:30.199725	131314	20.4	1	8
2014-03-31 19:12:31.922391	131315	2736	3	2
2014-03-31 19:12:32.144595	131316	1153867.9325422728	4	2
2014-03-31 19:12:40.617889	131317	54	2	1
2014-03-31 19:12:40.854484	131318	21.8	1	1
2014-03-31 19:12:51.74628	131319	60	2	24
2014-03-31 19:12:51.968205	131320	18.8	1	24
2014-03-31 19:12:54.040193	131321	53	2	25
2014-03-31 19:12:54.272814	131322	17.7	1	25
2014-03-31 19:12:59.859248	131323	48	2	10
2014-03-31 19:13:00.0813	131324	21.7	1	10
2014-03-31 19:13:08.966198	131325	56	2	8
2014-03-31 19:13:09.201046	131326	20.4	1	8
2014-03-31 19:13:19.616406	131327	54	2	1
2014-03-31 19:13:19.838751	131328	21.8	1	1
2014-03-31 19:13:30.748755	131329	60	2	24
2014-03-31 19:13:30.979913	131330	18.8	1	24
2014-03-31 19:13:31.919474	131331	692	3	2
2014-03-31 19:13:32.141679	131332	1153903.5526186367	4	2
2014-03-31 19:13:33.038091	131333	53	2	25
2014-03-31 19:13:33.271327	131334	17.7	1	25
2014-03-31 19:13:38.859272	131335	48	2	10
2014-03-31 19:13:39.081476	131336	21.7	1	10
2014-03-31 19:13:46.899365	131337	58	2	9
2014-03-31 19:13:47.130803	131338	21.6	1	9
2014-03-31 19:13:47.966498	131339	56	2	8
2014-03-31 19:13:48.186557	131340	20.4	1	8
2014-03-31 19:13:55.919404	131341	692	3	2
2014-03-31 19:13:56.152917	131342	1153909.2977922438	4	2
2014-03-31 19:13:58.617667	131343	54	2	1
2014-03-31 19:13:58.840937	131344	21.8	1	1
2014-03-31 19:14:07.919463	131345	627	3	2
2014-03-31 19:14:08.152937	131346	1153911.5958616866	4	2
2014-03-31 19:14:09.74609	131347	60	2	24
2014-03-31 19:14:09.968106	131348	18.9	1	24
2014-03-31 19:14:12.034442	131349	54	2	25
2014-03-31 19:14:12.266299	131350	17.7	1	25
2014-03-31 19:14:17.859315	131351	48	2	10
2014-03-31 19:14:18.081358	131352	21.7	1	10
2014-03-31 19:14:19.919543	131353	627	3	2
2014-03-31 19:14:20.153425	131354	1153913.8939311295	4	2
2014-03-31 19:14:26.101336	131355	58	2	9
2014-03-31 19:14:26.324409	131356	21.6	1	9
2014-03-31 19:14:26.96477	131357	56	2	8
2014-03-31 19:14:27.207415	131358	20.5	1	8
2014-03-31 19:14:31.919919	131359	627	3	2
2014-03-31 19:14:32.144651	131360	1153916.1920005723	4	2
2014-03-31 19:14:37.618809	131361	54	2	1
2014-03-31 19:14:37.855378	131362	21.7	1	1
2014-03-31 19:14:48.746969	131363	60	2	24
2014-03-31 19:14:48.974594	131364	18.9	1	24
2014-03-31 19:14:51.035458	131365	54	2	25
2014-03-31 19:14:51.266934	131366	17.8	1	25
2014-03-31 19:14:56.859358	131367	48	2	10
2014-03-31 19:14:57.081234	131368	21.7	1	10
2014-03-31 19:15:04.900567	131369	58	2	9
2014-03-31 19:15:05.131587	131370	21.6	1	9
2014-03-31 19:15:05.9639	131371	56	2	8
2014-03-31 19:15:06.185797	131372	20.5	1	8
2014-03-31 19:15:07.918559	131373	1818	3	2
2014-03-31 19:15:08.15045	131374	1153924.2352436222	4	2
2014-03-31 19:15:16.615846	131375	54	2	1
2014-03-31 19:15:16.840187	131376	21.8	1	1
2014-03-31 19:15:19.91909	131377	1818	3	2
2014-03-31 19:15:20.150706	131378	1153929.9804172292	4	2
2014-03-31 19:15:27.744411	131379	60	2	24
2014-03-31 19:15:27.966592	131380	18.9	1	24
2014-03-31 19:15:30.035656	131381	54	2	25
2014-03-31 19:15:30.269059	131382	17.8	1	25
2014-03-31 19:15:31.919617	131383	1947	3	2
2014-03-31 19:15:32.142737	131384	1153936.8746255578	4	2
2014-03-31 19:15:35.859424	131385	48	2	10
2014-03-31 19:15:36.090628	131386	21.8	1	10
2014-03-31 19:15:44.103534	131387	58	2	9
2014-03-31 19:15:44.327698	131388	21.6	1	9
2014-03-31 19:15:44.965079	131389	56	2	8
2014-03-31 19:15:45.194707	131390	20.5	1	8
2014-03-31 19:15:55.615322	131391	54	2	1
2014-03-31 19:15:55.840249	131392	21.8	1	1
2014-03-31 19:16:06.744466	131393	60	2	24
2014-03-31 19:16:06.975454	131394	18.9	1	24
2014-03-31 19:16:07.920635	131395	1995	3	2
2014-03-31 19:16:08.14227	131396	1153957.5572505433	4	2
2014-03-31 19:16:09.035588	131397	53	2	25
2014-03-31 19:16:09.267997	131398	17.8	1	25
2014-03-31 19:16:14.861823	131399	48	2	10
2014-03-31 19:16:15.084746	131400	21.8	1	10
2014-03-31 19:16:19.919421	131401	4040	3	2
2014-03-31 19:16:20.152061	131402	1153971.3456672002	4	2
2014-03-31 19:16:22.902094	131403	58	2	9
2014-03-31 19:16:23.12313	131404	21.7	1	9
2014-03-31 19:16:23.965409	131405	56	2	8
2014-03-31 19:16:24.209854	131406	20.5	1	8
2014-03-31 19:16:31.921579	131407	4120	3	2
2014-03-31 19:16:32.143648	131408	1153985.1340838573	4	2
2014-03-31 19:16:34.615891	131409	54	2	1
2014-03-31 19:16:34.850673	131410	21.8	1	1
2014-03-31 19:16:43.922161	131411	4072	3	2
2014-03-31 19:16:44.165584	131412	1153998.9225005142	4	2
2014-03-31 19:16:45.74194	131413	60	2	24
2014-03-31 19:16:45.976129	131414	18.9	1	24
2014-03-31 19:16:48.034174	131415	53	2	25
2014-03-31 19:16:48.264197	131416	17.8	1	25
2014-03-31 19:16:53.859766	131417	48	2	10
2014-03-31 19:16:54.095473	131418	21.8	1	10
2014-03-31 19:16:55.919356	131419	4040	3	2
2014-03-31 19:16:56.141758	131420	1154011.5618824498	4	2
2014-03-31 19:17:01.9049	131421	58	2	9
2014-03-31 19:17:02.138987	131422	21.7	1	9
2014-03-31 19:17:02.967968	131423	56	2	8
2014-03-31 19:17:03.190614	131424	20.5	1	8
2014-03-31 19:17:07.922086	131425	4040	3	2
2014-03-31 19:17:08.154324	131426	1154025.3502991067	4	2
2014-03-31 19:17:13.615788	131427	54	2	1
2014-03-31 19:17:13.839401	131428	21.8	1	1
2014-03-31 19:17:24.743853	131429	60	2	24
2014-03-31 19:17:24.98027	131430	18.9	1	24
2014-03-31 19:17:27.035883	131431	53	2	25
2014-03-31 19:17:27.258066	131432	17.8	1	25
2014-03-31 19:17:31.919823	131433	4072	3	2
2014-03-31 19:17:32.154997	131434	1154052.9271324207	4	2
2014-03-31 19:17:32.859835	131435	48	2	10
2014-03-31 19:17:33.083365	131436	21.8	1	10
2014-03-31 19:17:40.900703	131437	58	2	9
2014-03-31 19:17:41.13682	131438	21.7	1	9
2014-03-31 19:17:41.965411	131439	56	2	8
2014-03-31 19:17:42.189245	131440	20.5	1	8
2014-03-31 19:17:43.919318	131441	4040	3	2
2014-03-31 19:17:44.15379	131442	1154066.7155490776	4	2
2014-03-31 19:17:52.61417	131443	54	2	1
2014-03-31 19:17:52.837045	131444	21.8	1	1
2014-03-31 19:17:55.921321	131445	4024	3	2
2014-03-31 19:17:56.155148	131446	1154079.3549310132	4	2
2014-03-31 19:18:03.741568	131447	60	2	24
2014-03-31 19:18:03.964303	131448	18.9	1	24
2014-03-31 19:18:06.035141	131449	54	2	25
2014-03-31 19:18:06.268639	131450	17.8	1	25
2014-03-31 19:18:11.859166	131451	48	2	10
2014-03-31 19:18:12.081666	131452	21.8	1	10
2014-03-31 19:18:19.899128	131453	58	2	9
2014-03-31 19:18:20.144792	131454	21.7	1	9
2014-03-31 19:18:20.9667	131455	56	2	8
2014-03-31 19:18:21.189496	131456	20.5	1	8
2014-03-31 19:18:31.612401	131457	54	2	1
2014-03-31 19:18:31.843543	131458	21.8	1	1
2014-03-31 19:18:42.737964	131459	60	2	24
2014-03-31 19:18:42.961559	131460	18.9	1	24
2014-03-31 19:18:45.034265	131461	54	2	25
2014-03-31 19:18:45.268267	131462	17.8	1	25
2014-03-31 19:18:50.85982	131463	48	2	10
2014-03-31 19:18:51.082551	131464	21.8	1	10
2014-03-31 19:18:58.899979	131465	58	2	9
2014-03-31 19:18:59.131551	131466	21.7	1	9
2014-03-31 19:18:59.96453	131467	56	2	8
2014-03-31 19:19:00.185061	131468	20.5	1	8
2014-03-31 19:19:07.918925	131469	2913	3	2
2014-03-31 19:19:08.151214	131470	1154157.4892920693	4	2
2014-03-31 19:19:10.614315	131471	54	2	1
2014-03-31 19:19:10.837113	131472	21.8	1	1
2014-03-31 19:19:19.919036	131473	2929	3	2
2014-03-31 19:19:20.152629	131474	1154166.686040793	4	2
2014-03-31 19:19:21.738638	131475	60	2	24
2014-03-31 19:19:21.961109	131476	18.9	1	24
2014-03-31 19:19:24.033448	131477	54	2	25
2014-03-31 19:19:24.264537	131478	17.8	1	25
2014-03-31 19:19:29.859938	131479	48	2	10
2014-03-31 19:19:30.083264	131480	21.8	1	10
2014-03-31 19:19:31.919676	131481	869	3	2
2014-03-31 19:19:32.150696	131482	1154171.2821796786	4	2
2014-03-31 19:19:37.900255	131483	59	2	9
2014-03-31 19:19:38.122813	131484	21.7	1	9
2014-03-31 19:19:38.964415	131485	56	2	8
2014-03-31 19:19:39.196176	131486	20.5	1	8
2014-03-31 19:19:43.919382	131487	853	3	2
2014-03-31 19:19:44.141721	131488	1154173.5802491214	4	2
2014-03-31 19:19:49.611643	131489	54	2	1
2014-03-31 19:19:49.846881	131490	21.8	1	1
2014-03-31 19:20:00.740288	131491	60	2	24
2014-03-31 19:20:00.973973	131492	18.9	1	24
2014-03-31 19:20:03.033316	131493	54	2	25
2014-03-31 19:20:03.265955	131494	17.8	1	25
2014-03-31 19:20:08.859404	131495	48	2	10
2014-03-31 19:20:09.081865	131496	21.8	1	10
2014-03-31 19:20:16.90417	131497	59	2	9
2014-03-31 19:20:17.135936	131498	21.8	1	9
2014-03-31 19:20:17.965133	131499	56	2	8
2014-03-31 19:20:18.186127	131500	20.5	1	8
2014-03-31 19:20:28.614228	131501	54	2	1
2014-03-31 19:20:28.858771	131502	21.7	1	1
2014-03-31 19:20:31.919327	131503	853	3	2
2014-03-31 19:20:32.141196	131504	1154185.0705963357	4	2
2014-03-31 19:20:39.736404	131505	60	2	24
2014-03-31 19:20:39.968982	131506	18.9	1	24
2014-03-31 19:20:42.031721	131507	54	2	25
2014-03-31 19:20:42.25293	131508	17.8	1	25
2014-03-31 19:20:47.860458	131509	48	2	10
2014-03-31 19:20:48.092029	131510	21.8	1	10
2014-03-31 19:20:55.898602	131511	59	2	9
2014-03-31 19:20:56.120502	131512	21.8	1	9
2014-03-31 19:20:56.965034	131513	56	2	8
2014-03-31 19:20:57.196966	131514	20.6	1	8
2014-03-31 19:21:07.612497	131515	54	2	1
2014-03-31 19:21:07.836245	131516	21.7	1	1
2014-03-31 19:21:18.737182	131517	60	2	24
2014-03-31 19:21:18.977155	131518	18.9	1	24
2014-03-31 19:21:19.918211	131519	869	3	2
2014-03-31 19:21:20.140368	131520	1154196.5609435497	4	2
2014-03-31 19:21:21.031685	131521	54	2	25
2014-03-31 19:21:21.263119	131522	17.8	1	25
2014-03-31 19:21:26.859548	131523	48	2	10
2014-03-31 19:21:27.084152	131524	21.9	1	10
2014-03-31 19:21:31.919353	131525	885	3	2
2014-03-31 19:21:32.155278	131526	1154200.0080477141	4	2
2014-03-31 19:21:34.902669	131527	59	2	9
2014-03-31 19:21:35.12593	131528	21.8	1	9
2014-03-31 19:21:35.964694	131529	56	2	8
2014-03-31 19:21:36.197355	131530	20.6	1	8
2014-03-31 19:21:43.918307	131531	853	3	2
2014-03-31 19:21:44.139505	131532	1154202.3061171568	4	2
2014-03-31 19:21:46.611791	131533	54	2	1
2014-03-31 19:21:46.843249	131534	21.7	1	1
2014-03-31 19:21:55.921103	131535	837	3	2
2014-03-31 19:21:56.147276	131536	1154205.7532213212	4	2
2014-03-31 19:21:57.737198	131537	60	2	24
2014-03-31 19:21:57.971212	131538	18.9	1	24
2014-03-31 19:22:00.03231	131539	54	2	25
2014-03-31 19:22:00.254696	131540	17.8	1	25
2014-03-31 19:22:05.861581	131541	48	2	10
2014-03-31 19:22:06.093485	131542	21.9	1	10
2014-03-31 19:22:13.902401	131543	59	2	9
2014-03-31 19:22:14.125139	131544	21.8	1	9
2014-03-31 19:22:14.968806	131545	56	2	8
2014-03-31 19:22:15.200527	131546	20.6	1	8
2014-03-31 19:22:25.612203	131547	54	2	1
2014-03-31 19:22:25.833593	131548	21.7	1	1
2014-03-31 19:22:31.916332	131549	853	3	2
2014-03-31 19:22:32.164964	131550	1154213.796464371	4	2
2014-03-31 19:22:36.734808	131551	60	2	24
2014-03-31 19:22:36.958977	131552	18.9	1	24
2014-03-31 19:22:39.031487	131553	53	2	25
2014-03-31 19:22:39.26438	131554	17.8	1	25
2014-03-31 19:22:44.86163	131555	48	2	10
2014-03-31 19:22:45.091476	131556	21.9	1	10
2014-03-31 19:22:52.900022	131557	59	2	9
2014-03-31 19:22:53.135686	131558	21.8	1	9
2014-03-31 19:22:53.964844	131559	56	2	8
2014-03-31 19:22:54.186671	131560	20.6	1	8
2014-03-31 19:23:04.612051	131561	54	2	1
2014-03-31 19:23:04.845886	131562	21.8	1	1
2014-03-31 19:23:15.735343	131563	60	2	24
2014-03-31 19:23:15.958275	131564	18.9	1	24
2014-03-31 19:23:18.030991	131565	53	2	25
2014-03-31 19:23:18.263839	131566	17.8	1	25
2014-03-31 19:23:23.859843	131567	48	2	10
2014-03-31 19:23:24.085757	131568	21.9	1	10
2014-03-31 19:23:32.102889	131569	59	2	9
2014-03-31 19:23:32.335947	131570	21.8	1	9
2014-03-31 19:23:32.964679	131571	56	2	8
2014-03-31 19:23:33.188272	131572	20.6	1	8
2014-03-31 19:23:43.612826	131573	54	2	1
2014-03-31 19:23:43.844174	131574	21.8	1	1
2014-03-31 19:23:54.735374	131575	60	2	24
2014-03-31 19:23:54.959707	131576	18.9	1	24
2014-03-31 19:23:55.917267	131577	2913	3	2
2014-03-31 19:23:56.149725	131578	1154249.416540735	4	2
2014-03-31 19:23:57.030845	131579	53	2	25
2014-03-31 19:23:57.253738	131580	17.8	1	25
2014-03-31 19:24:02.861086	131581	48	2	10
2014-03-31 19:24:03.092588	131582	21.9	1	10
2014-03-31 19:24:07.917914	131583	2929	3	2
2014-03-31 19:24:08.144966	131584	1154259.7578532277	4	2
2014-03-31 19:24:10.9024	131585	59	2	9
2014-03-31 19:24:11.134686	131586	21.8	1	9
2014-03-31 19:24:11.965154	131587	56	2	8
2014-03-31 19:24:12.186924	131588	20.6	1	8
2014-03-31 19:24:19.918405	131589	2849	3	2
2014-03-31 19:24:20.150224	131590	1154268.9501309989	4	2
2014-03-31 19:24:22.609411	131591	54	2	1
2014-03-31 19:24:22.832783	131592	21.8	1	1
2014-03-31 19:24:31.91466	131593	2897	3	2
2014-03-31 19:24:32.14768	131594	1154278.1424087703	4	2
2014-03-31 19:24:33.967613	131595	60	2	24
2014-03-31 19:24:34.188911	131596	18.9	1	24
2014-03-31 19:24:36.029864	131597	53	2	25
2014-03-31 19:24:36.273621	131598	17.8	1	25
2014-03-31 19:24:41.860912	131599	48	2	10
2014-03-31 19:24:42.082745	131600	21.9	1	10
2014-03-31 19:24:49.895929	131601	59	2	9
2014-03-31 19:24:50.127205	131602	21.8	1	9
2014-03-31 19:24:50.964302	131603	56	2	8
2014-03-31 19:24:51.186038	131604	20.6	1	8
2014-03-31 19:25:01.608569	131605	54	2	1
2014-03-31 19:25:01.840719	131606	21.8	1	1
2014-03-31 19:25:07.919344	131607	4136	3	2
2014-03-31 19:25:08.140569	131608	1154314.9115198555	4	2
2014-03-31 19:25:12.731503	131609	60	2	24
2014-03-31 19:25:12.962766	131610	18.9	1	24
2014-03-31 19:25:15.030756	131611	54	2	25
2014-03-31 19:25:15.25225	131612	17.8	1	25
2014-03-31 19:25:20.85933	131613	48	2	10
2014-03-31 19:25:21.091485	131614	21.9	1	10
2014-03-31 19:25:28.899006	131615	59	2	9
2014-03-31 19:25:29.121864	131616	21.8	1	9
2014-03-31 19:25:29.96617	131617	56	2	8
2014-03-31 19:25:30.198059	131618	20.6	1	8
2014-03-31 19:25:31.918743	131619	3026	3	2
2014-03-31 19:25:32.140441	131620	1154341.339318448	4	2
2014-03-31 19:25:40.6124	131621	54	2	1
2014-03-31 19:25:40.844439	131622	21.8	1	1
2014-03-31 19:25:43.920606	131623	933	3	2
2014-03-31 19:25:44.141874	131624	1154347.0844920552	4	2
2014-03-31 19:25:51.730776	131625	59	2	24
2014-03-31 19:25:51.964235	131626	19.0	1	24
2014-03-31 19:25:54.029396	131627	54	2	25
2014-03-31 19:25:54.25141	131628	17.8	1	25
2014-03-31 19:25:55.918327	131629	933	3	2
2014-03-31 19:25:56.150668	131630	1154349.3825614979	4	2
2014-03-31 19:25:59.861993	131631	48	2	10
2014-03-31 19:26:00.084618	131632	22.0	1	10
2014-03-31 19:26:07.900254	131633	59	2	9
2014-03-31 19:26:08.133569	131634	21.9	1	9
2014-03-31 19:26:08.965665	131635	56	2	8
2014-03-31 19:26:09.18816	131636	20.6	1	8
2014-03-31 19:26:19.609425	131637	54	2	1
2014-03-31 19:26:19.843244	131638	21.8	1	1
2014-03-31 19:26:30.73504	131639	59	2	24
2014-03-31 19:26:30.956727	131640	19.0	1	24
2014-03-31 19:26:31.918599	131641	949	3	2
2014-03-31 19:26:32.15145	131642	1154358.5748392693	4	2
2014-03-31 19:26:33.029816	131643	54	2	25
2014-03-31 19:26:33.250079	131644	17.8	1	25
2014-03-31 19:26:38.860575	131645	48	2	10
2014-03-31 19:26:39.104662	131646	22.0	1	10
2014-03-31 19:26:43.918047	131647	933	3	2
2014-03-31 19:26:44.146132	131648	1154362.0219434334	4	2
2014-03-31 19:26:46.900747	131649	59	2	9
2014-03-31 19:26:47.317362	131650	21.9	1	9
2014-03-31 19:26:47.962268	131651	56	2	8
2014-03-31 19:26:48.183886	131652	20.6	1	8
2014-03-31 19:26:58.60727	131653	54	2	1
2014-03-31 19:26:58.831012	131654	21.8	1	1
2014-03-31 19:27:09.729366	131655	59	2	24
2014-03-31 19:27:09.961174	131656	19.0	1	24
2014-03-31 19:27:12.026963	131657	54	2	25
2014-03-31 19:27:12.247193	131658	17.8	1	25
2014-03-31 19:27:17.862968	131659	48	2	10
2014-03-31 19:27:18.093361	131660	22.0	1	10
2014-03-31 19:27:25.90409	131661	59	2	9
2014-03-31 19:27:26.125816	131662	21.9	1	9
2014-03-31 19:27:26.966342	131663	56	2	8
2014-03-31 19:27:27.19741	131664	20.6	1	8
2014-03-31 19:27:31.921583	131665	917	3	2
2014-03-31 19:27:32.146585	131666	1154374.661325369	4	2
2014-03-31 19:27:37.846549	131667	54	2	1
2014-03-31 19:27:38.08288	131668	21.8	1	1
2014-03-31 19:27:43.915296	131669	1030	3	2
2014-03-31 19:27:44.137133	131670	1154378.1084295334	4	2
2014-03-31 19:27:48.72468	131671	59	2	24
2014-03-31 19:27:48.96459	131672	19.0	1	24
2014-03-31 19:27:51.030419	131673	54	2	25
2014-03-31 19:27:51.251105	131674	17.8	1	25
2014-03-31 19:27:55.914686	131675	981	3	2
2014-03-31 19:27:56.149047	131676	1154381.5555336976	4	2
2014-03-31 19:27:56.860417	131677	48	2	10
2014-03-31 19:27:57.083446	131678	22.0	1	10
2014-03-31 19:28:04.9015	131679	59	2	9
2014-03-31 19:28:05.135085	131680	21.9	1	9
2014-03-31 19:28:05.966288	131681	56	2	8
2014-03-31 19:28:06.186649	131682	20.6	1	8
2014-03-31 19:28:16.605856	131683	54	2	1
2014-03-31 19:28:16.839201	131684	21.8	1	1
2014-03-31 19:28:30.029099	131685	54	2	25
2014-03-31 19:28:30.25383	131686	17.8	1	25
2014-03-31 19:28:35.861274	131687	48	2	10
2014-03-31 19:28:36.097945	131688	22.0	1	10
2014-03-31 19:28:44.103913	131689	59	2	9
2014-03-31 19:28:44.326706	131690	21.9	1	9
2014-03-31 19:28:44.963297	131691	56	2	8
2014-03-31 19:28:45.195075	131692	20.5	1	8
2014-03-31 19:28:55.605894	131693	54	2	1
2014-03-31 19:28:55.827359	131694	21.8	1	1
2014-03-31 19:29:06.732374	131695	59	2	24
2014-03-31 19:29:06.983732	131696	19.0	1	24
2014-03-31 19:29:07.919507	131697	3010	3	2
2014-03-31 19:29:08.141162	131698	1154403.3871934044	4	2
2014-03-31 19:29:09.027418	131699	54	2	25
2014-03-31 19:29:09.260025	131700	17.9	1	25
2014-03-31 19:29:14.861044	131701	48	2	10
2014-03-31 19:29:15.083468	131702	22.0	1	10
2014-03-31 19:29:19.919416	131703	2977	3	2
2014-03-31 19:29:20.151765	131704	1154413.728505897	4	2
2014-03-31 19:29:22.901245	131705	59	2	9
2014-03-31 19:29:23.122983	131706	21.9	1	9
2014-03-31 19:29:23.964158	131707	56	2	8
2014-03-31 19:29:24.195976	131708	20.5	1	8
2014-03-31 19:29:31.915581	131709	2977	3	2
2014-03-31 19:29:32.137391	131710	1154422.9207836685	4	2
2014-03-31 19:29:34.607219	131711	54	2	1
2014-03-31 19:29:34.838009	131712	21.9	1	1
2014-03-31 19:29:45.770598	131713	59	2	24
2014-03-31 19:29:45.99139	131714	19.0	1	24
2014-03-31 19:29:48.026657	131715	54	2	25
2014-03-31 19:29:48.257009	131716	17.9	1	25
2014-03-31 19:29:53.862571	131717	48	2	10
2014-03-31 19:29:54.087105	131718	22.0	1	10
2014-03-31 19:30:01.901995	131719	59	2	9
2014-03-31 19:30:02.134408	131720	22.0	1	9
2014-03-31 19:30:02.963951	131721	56	2	8
2014-03-31 19:30:03.185966	131722	20.5	1	8
2014-03-31 19:30:07.91856	131723	2945	3	2
2014-03-31 19:30:08.151166	131724	1154452.7956864254	4	2
2014-03-31 19:30:13.665489	131725	54	2	1
2014-03-31 19:30:13.887429	131726	21.9	1	1
2014-03-31 19:30:19.917354	131727	2929	3	2
2014-03-31 19:30:20.150124	131728	1154461.992435149	4	2
2014-03-31 19:30:24.727993	131729	59	2	24
2014-03-31 19:30:24.952799	131730	19.0	1	24
2014-03-31 19:30:27.027501	131731	54	2	25
2014-03-31 19:30:27.259485	131732	17.9	1	25
2014-03-31 19:30:31.917789	131733	2945	3	2
2014-03-31 19:30:32.14027	131734	1154471.18471292	4	2
2014-03-31 19:30:32.861739	131735	48	2	10
2014-03-31 19:30:33.092991	131736	22.0	1	10
2014-03-31 19:30:40.898802	131737	59	2	9
2014-03-31 19:30:41.120768	131738	22.0	1	9
2014-03-31 19:30:41.964391	131739	56	2	8
2014-03-31 19:30:42.195944	131740	20.5	1	8
2014-03-31 19:30:52.60686	131741	54	2	1
2014-03-31 19:30:52.829359	131742	21.9	1	1
2014-03-31 19:31:03.725428	131743	59	2	24
2014-03-31 19:31:03.969991	131744	19.0	1	24
2014-03-31 19:31:06.027488	131745	54	2	25
2014-03-31 19:31:06.247416	131746	17.9	1	25
2014-03-31 19:31:07.915653	131747	2913	3	2
2014-03-31 19:31:08.14522	131748	1154501.059615677	4	2
2014-03-31 19:31:12.072425	131749	48	2	10
2014-03-31 19:31:12.294471	131750	22.1	1	10
2014-03-31 19:31:20.10618	131751	59	2	9
2014-03-31 19:31:20.337499	131752	22.0	1	9
2014-03-31 19:31:20.963541	131753	56	2	8
2014-03-31 19:31:21.184919	131754	20.5	1	8
2014-03-31 19:31:31.608214	131755	54	2	1
2014-03-31 19:31:31.83939	131756	21.9	1	1
2014-03-31 19:31:42.965143	131757	59	2	24
2014-03-31 19:31:43.185141	131758	19.0	1	24
2014-03-31 19:31:43.916932	131759	804	3	2
2014-03-31 19:31:44.148028	131760	1154526.3383795482	4	2
2014-03-31 19:31:45.02752	131761	54	2	25
2014-03-31 19:31:45.248954	131762	17.9	1	25
2014-03-31 19:31:50.86278	131763	48	2	10
2014-03-31 19:31:51.096398	131764	22.1	1	10
2014-03-31 19:31:55.915484	131765	724	3	2
2014-03-31 19:31:56.140863	131766	1154528.636448991	4	2
2014-03-31 19:31:58.89914	131767	59	2	9
2014-03-31 19:31:59.129369	131768	22.0	1	9
2014-03-31 19:31:59.964315	131769	56	2	8
2014-03-31 19:32:00.18552	131770	20.4	1	8
2014-03-31 19:32:07.91396	131771	708	3	2
2014-03-31 19:32:08.146669	131772	1154530.9345184336	4	2
2014-03-31 19:32:10.602867	131773	54	2	1
2014-03-31 19:32:10.826982	131774	21.8	1	1
2014-03-31 19:32:21.724432	131775	59	2	24
2014-03-31 19:32:21.957389	131776	19.0	1	24
2014-03-31 19:32:24.029442	131777	54	2	25
2014-03-31 19:32:24.250171	131778	17.9	1	25
2014-03-31 19:32:29.864457	131779	48	2	10
2014-03-31 19:32:30.09648	131780	22.1	1	10
2014-03-31 19:32:31.918444	131781	659	3	2
2014-03-31 19:32:32.140007	131782	1154535.5306573194	4	2
2014-03-31 19:32:37.922302	131783	59	2	9
2014-03-31 19:32:38.15621	131784	22.0	1	9
2014-03-31 19:32:38.966158	131785	56	2	8
2014-03-31 19:32:39.188167	131786	20.4	1	8
2014-03-31 19:32:43.920221	131787	659	3	2
2014-03-31 19:32:44.155024	131788	1154537.8287267622	4	2
2014-03-31 19:32:49.602201	131789	54	2	1
2014-03-31 19:32:49.824807	131790	21.8	1	1
2014-03-31 19:32:55.920748	131791	692	3	2
2014-03-31 19:32:56.16385	131792	1154540.126796205	4	2
2014-03-31 19:33:00.725935	131793	59	2	24
2014-03-31 19:33:00.94912	131794	19.0	1	24
2014-03-31 19:33:03.027768	131795	54	2	25
2014-03-31 19:33:03.259471	131796	17.9	1	25
2014-03-31 19:33:07.918031	131797	837	3	2
2014-03-31 19:33:08.142944	131798	1154543.5739003692	4	2
2014-03-31 19:33:08.863469	131799	48	2	10
2014-03-31 19:33:09.097483	131800	22.1	1	10
2014-03-31 19:33:16.899416	131801	59	2	9
2014-03-31 19:33:17.123456	131802	22.0	1	9
2014-03-31 19:33:17.965575	131803	56	2	8
2014-03-31 19:33:18.197178	131804	20.4	1	8
2014-03-31 19:33:19.917047	131805	837	3	2
2014-03-31 19:33:20.141614	131806	1154545.871969812	4	2
2014-03-31 19:33:28.602439	131807	54	2	1
2014-03-31 19:33:28.834704	131808	21.8	1	1
2014-03-31 19:33:31.917317	131809	853	3	2
2014-03-31 19:33:32.141131	131810	1154549.3190739765	4	2
2014-03-31 19:33:39.720889	131811	59	2	24
2014-03-31 19:33:39.953448	131812	19.0	1	24
2014-03-31 19:33:42.02792	131813	54	2	25
2014-03-31 19:33:42.249267	131814	17.9	1	25
2014-03-31 19:33:43.916024	131815	820	3	2
2014-03-31 19:33:44.150468	131816	1154551.617143419	4	2
2014-03-31 19:33:47.863162	131817	48	2	10
2014-03-31 19:33:48.08562	131818	22.1	1	10
2014-03-31 19:33:56.103918	131819	59	2	9
2014-03-31 19:33:56.3341	131820	22.0	1	9
2014-03-31 19:33:56.963223	131821	57	2	8
2014-03-31 19:33:57.185781	131822	20.4	1	8
2014-03-31 19:34:07.602237	131823	54	2	1
2014-03-31 19:34:07.834357	131824	21.8	1	1
2014-03-31 19:34:18.721788	131825	59	2	24
2014-03-31 19:34:18.950961	131826	19.0	1	24
2014-03-31 19:34:21.024811	131827	54	2	25
2014-03-31 19:34:21.257501	131828	17.9	1	25
2014-03-31 19:34:26.863816	131829	48	2	10
2014-03-31 19:34:27.086509	131830	22.1	1	10
2014-03-31 19:34:31.914559	131831	837	3	2
2014-03-31 19:34:32.150385	131832	1154563.1074906334	4	2
2014-03-31 19:34:34.899272	131833	59	2	9
2014-03-31 19:34:35.1208	131834	22.0	1	9
2014-03-31 19:34:35.963373	131835	57	2	8
2014-03-31 19:34:36.195279	131836	20.4	1	8
2014-03-31 19:34:46.600564	131837	54	2	1
2014-03-31 19:34:46.82327	131838	21.8	1	1
2014-03-31 19:34:57.721796	131839	59	2	24
2014-03-31 19:34:57.964027	131840	19.0	1	24
2014-03-31 19:35:00.024519	131841	54	2	25
2014-03-31 19:35:00.247401	131842	17.9	1	25
2014-03-31 19:35:05.862842	131843	48	2	10
2014-03-31 19:35:06.094542	131844	22.1	1	10
2014-03-31 19:35:13.909908	131845	59	2	9
2014-03-31 19:35:14.130919	131846	22.0	1	9
2014-03-31 19:35:14.961981	131847	57	2	8
2014-03-31 19:35:15.194318	131848	20.4	1	8
2014-03-31 19:35:25.600481	131849	54	2	1
2014-03-31 19:35:25.822696	131850	21.8	1	1
2014-03-31 19:35:31.915026	131851	837	3	2
2014-03-31 19:35:32.15069	131852	1154576.8959072903	4	2
2014-03-31 19:35:36.720725	131853	59	2	24
2014-03-31 19:35:36.941074	131854	19.0	1	24
2014-03-31 19:35:39.024357	131855	54	2	25
2014-03-31 19:35:39.255565	131856	17.9	1	25
2014-03-31 19:35:44.86363	131857	48	2	10
2014-03-31 19:35:45.08556	131858	22.1	1	10
2014-03-31 19:35:52.897901	131859	59	2	9
2014-03-31 19:35:53.129804	131860	22.0	1	9
2014-03-31 19:35:53.962263	131861	57	2	8
2014-03-31 19:35:54.183835	131862	20.4	1	8
2014-03-31 19:35:55.91598	131863	2897	3	2
2014-03-31 19:35:56.14639	131864	1154589.5352892259	4	2
2014-03-31 19:36:04.600621	131865	54	2	1
2014-03-31 19:36:04.8234	131866	21.8	1	1
2014-03-31 19:36:07.916339	131867	2897	3	2
2014-03-31 19:36:08.147714	131868	1154598.7275669973	4	2
2014-03-31 19:36:15.717832	131869	59	2	24
2014-03-31 19:36:15.941133	131870	19.0	1	24
2014-03-31 19:36:18.023053	131871	54	2	25
2014-03-31 19:36:18.256011	131872	17.9	1	25
2014-03-31 19:36:19.914584	131873	2832	3	2
2014-03-31 19:36:20.158119	131874	1154609.06887949	4	2
2014-03-31 19:36:23.863993	131875	48	2	10
2014-03-31 19:36:24.095766	131876	22.2	1	10
2014-03-31 19:36:32.103994	131877	59	2	9
2014-03-31 19:36:32.325851	131878	22.0	1	9
2014-03-31 19:36:32.963341	131879	57	2	8
2014-03-31 19:36:33.195161	131880	20.4	1	8
2014-03-31 19:36:43.605997	131881	54	2	1
2014-03-31 19:36:43.883644	131882	21.8	1	1
2014-03-31 19:36:54.722112	131883	59	2	24
2014-03-31 19:36:54.95404	131884	19.0	1	24
2014-03-31 19:36:55.916113	131885	2832	3	2
2014-03-31 19:36:56.139389	131886	1154637.7947475254	4	2
2014-03-31 19:36:57.024001	131887	54	2	25
2014-03-31 19:36:57.266397	131888	17.9	1	25
2014-03-31 19:37:02.864825	131889	48	2	10
2014-03-31 19:37:03.087274	131890	22.2	1	10
2014-03-31 19:37:07.916352	131891	2800	3	2
2014-03-31 19:37:08.152819	131892	1154646.9870252965	4	2
2014-03-31 19:37:10.899599	131893	59	2	9
2014-03-31 19:37:11.120216	131894	22.0	1	9
2014-03-31 19:37:11.96261	131895	57	2	8
2014-03-31 19:37:12.193571	131896	20.3	1	8
2014-03-31 19:37:19.913806	131897	2849	3	2
2014-03-31 19:37:20.135381	131898	1154656.179303068	4	2
2014-03-31 19:37:22.840822	131899	54	2	1
2014-03-31 19:37:23.073735	131900	21.8	1	1
2014-03-31 19:37:31.917402	131901	2849	3	2
2014-03-31 19:37:32.14046	131902	1154666.5206155607	4	2
2014-03-31 19:37:33.720263	131903	59	2	24
2014-03-31 19:37:33.952788	131904	19.0	1	24
2014-03-31 19:37:36.025222	131905	54	2	25
2014-03-31 19:37:36.247068	131906	17.9	1	25
2014-03-31 19:37:41.865722	131907	48	2	10
2014-03-31 19:37:42.098992	131908	22.2	1	10
2014-03-31 19:37:43.942812	131909	2961	3	2
2014-03-31 19:37:44.165376	131910	1154675.7128933321	4	2
2014-03-31 19:37:49.901739	131911	59	2	9
2014-03-31 19:37:50.133207	131912	22.0	1	9
2014-03-31 19:37:50.963632	131913	57	2	8
2014-03-31 19:37:51.184985	131914	20.3	1	8
2014-03-31 19:37:55.918167	131915	2977	3	2
2014-03-31 19:37:56.153492	131916	1154686.0542058249	4	2
2014-03-31 19:38:01.598474	131917	54	2	1
2014-03-31 19:38:01.82582	131918	21.8	1	1
2014-03-31 19:38:07.920508	131919	2945	3	2
2014-03-31 19:38:08.15362	131920	1154696.3955183176	4	2
2014-03-31 19:38:12.719474	131921	59	2	24
2014-03-31 19:38:12.944701	131922	19.0	1	24
2014-03-31 19:38:15.021886	131923	54	2	25
2014-03-31 19:38:15.253734	131924	17.9	1	25
2014-03-31 19:38:19.918197	131925	2977	3	2
2014-03-31 19:38:20.140258	131926	1154705.5877960888	4	2
2014-03-31 19:38:20.863776	131927	48	2	10
2014-03-31 19:38:21.096295	131928	22.2	1	10
2014-03-31 19:38:28.902024	131929	59	2	9
2014-03-31 19:38:29.123821	131930	22.0	1	9
2014-03-31 19:38:29.964979	131931	57	2	8
2014-03-31 19:38:30.195415	131932	20.3	1	8
2014-03-31 19:38:31.917911	131933	2977	3	2
2014-03-31 19:38:32.139751	131934	1154715.9291085815	4	2
2014-03-31 19:38:40.601765	131935	54	2	1
2014-03-31 19:38:40.845878	131936	21.8	1	1
2014-03-31 19:38:51.71535	131937	59	2	24
2014-03-31 19:38:51.937088	131938	19.0	1	24
2014-03-31 19:38:54.023479	131939	54	2	25
2014-03-31 19:38:54.254873	131940	17.9	1	25
2014-03-31 19:38:55.913373	131941	2945	3	2
2014-03-31 19:38:56.134956	131942	1154735.4626988457	4	2
2014-03-31 19:38:59.86282	131943	48	2	10
2014-03-31 19:39:00.095295	131944	22.2	1	10
2014-03-31 19:39:08.10063	131945	59	2	9
2014-03-31 19:39:08.323571	131946	22.1	1	9
2014-03-31 19:39:08.96382	131947	57	2	8
2014-03-31 19:39:09.195379	131948	20.3	1	8
2014-03-31 19:39:19.599261	131949	54	2	1
2014-03-31 19:39:19.821314	131950	21.9	1	1
2014-03-31 19:39:30.72005	131951	59	2	24
2014-03-31 19:39:30.952704	131952	19.0	1	24
2014-03-31 19:39:31.916149	131953	2977	3	2
2014-03-31 19:39:32.138582	131954	1154764.1930378333	4	2
2014-03-31 19:39:33.024774	131955	54	2	25
2014-03-31 19:39:33.256473	131956	17.9	1	25
2014-03-31 19:39:38.863844	131957	48	2	10
2014-03-31 19:39:39.085354	131958	22.2	1	10
2014-03-31 19:39:46.901003	131959	59	2	9
2014-03-31 19:39:47.133815	131960	22.1	1	9
2014-03-31 19:39:47.963265	131961	57	2	8
2014-03-31 19:39:48.185995	131962	20.3	1	8
2014-03-31 19:39:55.915082	131963	3010	3	2
2014-03-31 19:39:56.145937	131964	1154783.7266280972	4	2
2014-03-31 19:39:58.5985	131965	54	2	1
2014-03-31 19:39:58.819841	131966	21.9	1	1
2014-03-31 19:40:07.914398	131967	917	3	2
2014-03-31 19:40:08.146429	131968	1154789.4718017043	4	2
2014-03-31 19:40:09.717162	131969	59	2	24
2014-03-31 19:40:09.942224	131970	19.0	1	24
2014-03-31 19:40:12.023081	131971	54	2	25
2014-03-31 19:40:12.258253	131972	18.0	1	25
2014-03-31 19:40:17.864253	131973	48	2	10
2014-03-31 19:40:18.087136	131974	22.2	1	10
2014-03-31 19:40:19.915273	131975	965	3	2
2014-03-31 19:40:20.147246	131976	1154791.7698711471	4	2
2014-03-31 19:40:25.902203	131977	59	2	9
2014-03-31 19:40:26.126762	131978	22.1	1	9
2014-03-31 19:40:26.963096	131979	57	2	8
2014-03-31 19:40:27.193865	131980	20.3	1	8
2014-03-31 19:40:31.914639	131981	949	3	2
2014-03-31 19:40:32.14013	131982	1154795.2169753115	4	2
2014-03-31 19:40:37.599066	131983	54	2	1
2014-03-31 19:40:37.866076	131984	21.9	1	1
2014-03-31 19:40:48.717264	131985	59	2	24
2014-03-31 19:40:48.946746	131986	19.0	1	24
2014-03-31 19:40:51.02146	131987	54	2	25
2014-03-31 19:40:51.252437	131988	18.0	1	25
2014-03-31 19:40:56.863985	131989	48	2	10
2014-03-31 19:40:57.086144	131990	22.3	1	10
2014-03-31 19:41:04.898495	131991	59	2	9
2014-03-31 19:41:05.129192	131992	22.1	1	9
2014-03-31 19:41:05.963074	131993	57	2	8
2014-03-31 19:41:06.183345	131994	20.3	1	8
2014-03-31 19:41:16.59849	131995	54	2	1
2014-03-31 19:41:16.828995	131996	21.9	1	1
2014-03-31 19:41:27.715816	131997	59	2	24
2014-03-31 19:41:27.938231	131998	19.0	1	24
2014-03-31 19:41:30.022004	131999	54	2	25
2014-03-31 19:41:30.253295	132000	18.0	1	25
2014-03-31 19:41:31.915973	132001	949	3	2
2014-03-31 19:41:32.139286	132002	1154811.3034614113	4	2
2014-03-31 19:41:35.864625	132003	48	2	10
2014-03-31 19:41:36.097635	132004	22.3	1	10
2014-03-31 19:41:43.935442	132005	59	2	9
2014-03-31 19:41:44.175409	132006	22.1	1	9
2014-03-31 19:41:44.962446	132007	57	2	8
2014-03-31 19:41:45.194051	132008	20.3	1	8
2014-03-31 19:41:55.599665	132009	54	2	1
2014-03-31 19:41:55.823483	132010	21.9	1	1
2014-03-31 19:42:06.719107	132011	59	2	24
2014-03-31 19:42:06.950698	132012	19.0	1	24
2014-03-31 19:42:09.021262	132013	54	2	25
2014-03-31 19:42:09.243015	132014	18.0	1	25
2014-03-31 19:42:14.865408	132015	48	2	10
2014-03-31 19:42:15.096499	132016	22.3	1	10
2014-03-31 19:42:22.899805	132017	59	2	9
2014-03-31 19:42:23.121634	132018	22.1	1	9
2014-03-31 19:42:23.963426	132019	57	2	8
2014-03-31 19:42:24.198447	132020	20.3	1	8
2014-03-31 19:42:31.914259	132021	965	3	2
2014-03-31 19:42:32.136749	132022	1154827.389947511	4	2
2014-03-31 19:42:34.59775	132023	54	2	1
2014-03-31 19:42:34.831689	132024	21.9	1	1
2014-03-31 19:42:45.716626	132025	59	2	24
2014-03-31 19:42:45.942664	132026	19.0	1	24
2014-03-31 19:42:48.021841	132027	54	2	25
2014-03-31 19:42:48.253185	132028	18.0	1	25
2014-03-31 19:42:53.86525	132029	48	2	10
2014-03-31 19:42:54.087146	132030	22.3	1	10
2014-03-31 19:43:01.898515	132031	59	2	9
2014-03-31 19:43:02.141177	132032	22.1	1	9
2014-03-31 19:43:02.963133	132033	57	2	8
2014-03-31 19:43:03.183712	132034	20.2	1	8
2014-03-31 19:43:13.598499	132035	54	2	1
2014-03-31 19:43:13.833493	132036	21.9	1	1
2014-03-31 19:43:19.916086	132037	933	3	2
2014-03-31 19:43:20.138645	132038	1154840.0293294466	4	2
2014-03-31 19:43:24.71284	132039	59	2	24
2014-03-31 19:43:24.945852	132040	19.0	1	24
2014-03-31 19:43:27.021239	132041	54	2	25
2014-03-31 19:43:27.24306	132042	18.0	1	25
2014-03-31 19:43:31.914185	132043	965	3	2
2014-03-31 19:43:32.147318	132044	1154843.4764336108	4	2
2014-03-31 19:43:32.866069	132045	48	2	10
2014-03-31 19:43:33.087803	132046	22.3	1	10
2014-03-31 19:43:40.90081	132047	59	2	9
2014-03-31 19:43:41.136476	132048	22.1	1	9
2014-03-31 19:43:41.964916	132049	57	2	8
2014-03-31 19:43:42.187248	132050	20.2	1	8
2014-03-31 19:43:43.916264	132051	949	3	2
2014-03-31 19:43:44.20323	132052	1154845.7745030536	4	2
2014-03-31 19:43:52.596007	132053	54	2	1
2014-03-31 19:43:52.821773	132054	21.9	1	1
2014-03-31 19:44:03.712167	132055	59	2	24
2014-03-31 19:44:03.945291	132056	19.0	1	24
2014-03-31 19:44:06.019805	132057	54	2	25
2014-03-31 19:44:06.240756	132058	18.0	1	25
2014-03-31 19:44:11.865821	132059	48	2	10
2014-03-31 19:44:12.099091	132060	22.3	1	10
2014-03-31 19:44:19.900435	132061	59	2	9
2014-03-31 19:44:20.124093	132062	22.1	1	9
2014-03-31 19:44:20.96401	132063	57	2	8
2014-03-31 19:44:21.196127	132064	20.2	1	8
2014-03-31 19:44:31.59763	132065	54	2	1
2014-03-31 19:44:31.818817	132066	21.9	1	1
2014-03-31 19:44:42.710912	132067	59	2	24
2014-03-31 19:44:42.943311	132068	19.0	1	24
2014-03-31 19:44:43.913175	132069	949	3	2
2014-03-31 19:44:44.193462	132070	1154861.8609891534	4	2
2014-03-31 19:44:45.021851	132071	54	2	25
2014-03-31 19:44:45.254583	132072	18.0	1	25
2014-03-31 19:44:50.866983	132073	48	2	10
2014-03-31 19:44:51.091562	132074	22.4	1	10
2014-03-31 19:44:55.914267	132075	933	3	2
2014-03-31 19:44:56.153749	132076	1154865.3080933178	4	2
2014-03-31 19:44:58.900433	132077	59	2	9
2014-03-31 19:44:59.12286	132078	22.1	1	9
2014-03-31 19:44:59.963697	132079	57	2	8
2014-03-31 19:45:00.208756	132080	20.2	1	8
2014-03-31 19:45:10.593561	132081	54	2	1
2014-03-31 19:45:10.816166	132082	21.9	1	1
2014-03-31 19:45:19.915103	132083	3122	3	2
2014-03-31 19:45:20.184682	132084	1154873.3513363677	4	2
2014-03-31 19:45:21.711973	132085	59	2	24
2014-03-31 19:45:21.972633	132086	19.0	1	24
2014-03-31 19:45:24.023265	132087	54	2	25
2014-03-31 19:45:24.289032	132088	18.0	1	25
2014-03-31 19:45:29.866505	132089	48	2	10
2014-03-31 19:45:30.124597	132090	22.4	1	10
2014-03-31 19:45:31.915365	132091	3122	3	2
2014-03-31 19:45:32.180642	132092	1154883.6926488604	4	2
2014-03-31 19:45:37.898767	132093	59	2	9
2014-03-31 19:45:38.239219	132094	22.1	1	9
2014-03-31 19:45:39.032176	132095	57	2	8
2014-03-31 19:45:39.314306	132096	20.2	1	8
2014-03-31 19:45:49.399675	132097	3026	3	2
2014-03-31 19:45:49.627233	132098	1154894.0339613531	4	2
2014-03-31 19:45:49.933145	132099	54	2	1
2014-03-31 19:45:50.165631	132100	21.9	1	1
2014-03-31 19:45:55.915974	132101	3026	3	2
2014-03-31 19:45:56.137582	132102	1154904.3752738459	4	2
2014-03-31 19:46:00.71553	132103	59	2	24
2014-03-31 19:46:00.948804	132104	19.1	1	24
2014-03-31 19:46:03.02184	132105	54	2	25
2014-03-31 19:46:03.243866	132106	18.0	1	25
2014-03-31 19:46:08.867668	132107	48	2	10
2014-03-31 19:46:09.100814	132108	22.4	1	10
2014-03-31 19:46:16.899221	132109	59	2	9
2014-03-31 19:46:17.121433	132110	22.1	1	9
2014-03-31 19:46:17.963751	132111	57	2	8
2014-03-31 19:46:18.193236	132112	20.2	1	8
2014-03-31 19:46:28.594081	132113	54	2	1
2014-03-31 19:46:28.816186	132114	21.9	1	1
2014-03-31 19:46:31.915181	132115	2993	3	2
2014-03-31 19:46:32.148232	132116	1154934.2501766027	4	2
2014-03-31 19:46:39.710385	132117	59	2	24
2014-03-31 19:46:39.932769	132118	19.1	1	24
2014-03-31 19:46:42.018969	132119	54	2	25
2014-03-31 19:46:42.25009	132120	18.0	1	25
2014-03-31 19:46:43.914009	132121	2993	3	2
2014-03-31 19:46:44.192464	132122	1154944.5914890955	4	2
2014-03-31 19:46:47.867324	132123	48	2	10
2014-03-31 19:46:48.099433	132124	22.4	1	10
2014-03-31 19:46:56.102345	132125	59	2	9
2014-03-31 19:46:56.325165	132126	22.2	1	9
2014-03-31 19:46:56.964181	132127	57	2	8
2014-03-31 19:46:57.207272	132128	20.2	1	8
2014-03-31 19:47:07.597304	132129	54	2	1
2014-03-31 19:47:07.818732	132130	21.9	1	1
2014-03-31 19:47:18.707944	132131	59	2	24
2014-03-31 19:47:18.941816	132132	19.1	1	24
2014-03-31 19:47:19.912954	132133	3010	3	2
2014-03-31 19:47:20.134191	132134	1154974.4663918521	4	2
2014-03-31 19:47:21.019426	132135	54	2	25
2014-03-31 19:47:21.250136	132136	18.0	1	25
2014-03-31 19:47:26.866646	132137	48	2	10
2014-03-31 19:47:27.08865	132138	22.4	1	10
2014-03-31 19:47:31.913131	132139	2993	3	2
2014-03-31 19:47:32.148976	132140	1154984.8077043449	4	2
2014-03-31 19:47:34.900675	132141	59	2	9
2014-03-31 19:47:35.122518	132142	22.2	1	9
2014-03-31 19:47:35.962805	132143	56	2	8
2014-03-31 19:47:36.193565	132144	20.2	1	8
2014-03-31 19:47:46.592334	132145	54	2	1
2014-03-31 19:47:46.816742	132146	21.9	1	1
2014-03-31 19:47:57.710875	132147	59	2	24
2014-03-31 19:47:57.942578	132148	19.1	1	24
2014-03-31 19:48:00.018796	132149	54	2	25
2014-03-31 19:48:00.239887	132150	18.0	1	25
2014-03-31 19:48:05.866418	132151	48	2	10
2014-03-31 19:48:06.098796	132152	22.4	1	10
2014-03-31 19:48:13.897504	132153	59	2	9
2014-03-31 19:48:14.125713	132154	22.2	1	9
2014-03-31 19:48:14.962554	132155	56	2	8
2014-03-31 19:48:15.193373	132156	20.2	1	8
2014-03-31 19:48:25.592676	132157	54	2	1
2014-03-31 19:48:25.816214	132158	21.9	1	1
2014-03-31 19:48:31.913497	132159	3010	3	2
2014-03-31 19:48:32.145772	132160	1155034.2161973657	4	2
2014-03-31 19:48:36.70848	132161	59	2	24
2014-03-31 19:48:36.933636	132162	19.1	1	24
2014-03-31 19:48:39.019965	132163	54	2	25
2014-03-31 19:48:39.251665	132164	18.0	1	25
2014-03-31 19:48:44.868256	132165	48	2	10
2014-03-31 19:48:45.091582	132166	22.4	1	10
2014-03-31 19:48:52.901945	132167	59	2	9
2014-03-31 19:48:53.133645	132168	22.2	1	9
2014-03-31 19:48:53.964739	132169	56	2	8
2014-03-31 19:48:54.186732	132170	20.2	1	8
2014-03-31 19:48:55.916178	132171	2977	3	2
2014-03-31 19:48:56.148565	132172	1155053.754258582	4	2
2014-03-31 19:49:04.59361	132173	54	2	1
2014-03-31 19:49:04.815575	132174	21.9	1	1
2014-03-31 19:49:07.919371	132175	3010	3	2
2014-03-31 19:49:08.163103	132176	1155064.0955710746	4	2
2014-03-31 19:49:15.707148	132177	59	2	24
2014-03-31 19:49:15.931226	132178	19.1	1	24
2014-03-31 19:49:18.018807	132179	54	2	25
2014-03-31 19:49:18.251239	132180	18.0	1	25
2014-03-31 19:49:19.914638	132181	917	3	2
2014-03-31 19:49:20.142091	132182	1155072.1388141247	4	2
2014-03-31 19:49:23.867386	132183	48	2	10
2014-03-31 19:49:24.099776	132184	22.5	1	10
2014-03-31 19:49:32.099272	132185	59	2	9
2014-03-31 19:49:32.321473	132186	22.2	1	9
2014-03-31 19:49:32.964967	132187	57	2	8
2014-03-31 19:49:33.198017	132188	20.2	1	8
2014-03-31 19:49:43.592385	132189	54	2	1
2014-03-31 19:49:43.813442	132190	22.0	1	1
2014-03-31 19:49:54.705106	132191	59	2	24
2014-03-31 19:49:54.937204	132192	19.1	1	24
2014-03-31 19:49:55.913794	132193	853	3	2
2014-03-31 19:49:56.137661	132194	1155081.331091896	4	2
2014-03-31 19:49:57.018766	132195	54	2	25
2014-03-31 19:49:57.251383	132196	18.0	1	25
2014-03-31 19:50:02.866554	132197	48	2	10
2014-03-31 19:50:03.092995	132198	22.5	1	10
2014-03-31 19:50:10.898898	132199	59	2	9
2014-03-31 19:50:11.130548	132200	22.2	1	9
2014-03-31 19:50:11.962072	132201	56	2	8
2014-03-31 19:50:12.185409	132202	20.2	1	8
2014-03-31 19:50:22.593708	132203	54	2	1
2014-03-31 19:50:22.824276	132204	22.0	1	1
2014-03-31 19:50:31.913382	132205	837	3	2
2014-03-31 19:50:32.135214	132206	1155089.3743349458	4	2
2014-03-31 19:50:33.703744	132207	59	2	24
2014-03-31 19:50:33.936569	132208	19.1	1	24
2014-03-31 19:50:36.018663	132209	54	2	25
2014-03-31 19:50:36.243795	132210	18.0	1	25
2014-03-31 19:50:41.866374	132211	48	2	10
2014-03-31 19:50:42.097925	132212	22.5	1	10
2014-03-31 19:50:43.91323	132213	869	3	2
2014-03-31 19:50:44.135766	132214	1155092.8214391102	4	2
2014-03-31 19:50:49.906756	132215	59	2	9
2014-03-31 19:50:50.138228	132216	22.2	1	9
2014-03-31 19:50:50.96243	132217	56	2	8
2014-03-31 19:50:51.183533	132218	20.2	1	8
2014-03-31 19:50:55.913734	132219	869	3	2
2014-03-31 19:50:56.148933	132220	1155095.119508553	4	2
2014-03-31 19:51:01.591983	132221	54	2	1
2014-03-31 19:51:01.820147	132222	22.0	1	1
2014-03-31 19:51:12.704142	132223	59	2	24
2014-03-31 19:51:12.947974	132224	19.1	1	24
2014-03-31 19:51:15.017922	132225	54	2	25
2014-03-31 19:51:15.23995	132226	18.0	1	25
2014-03-31 19:51:20.866284	132227	48	2	10
2014-03-31 19:51:21.099759	132228	22.5	1	10
2014-03-31 19:51:28.896212	132229	59	2	9
2014-03-31 19:51:29.118535	132230	22.2	1	9
2014-03-31 19:51:29.962339	132231	56	2	8
2014-03-31 19:51:30.192469	132232	20.2	1	8
2014-03-31 19:51:31.913859	132233	869	3	2
2014-03-31 19:51:32.134226	132234	1155104.3117863243	4	2
2014-03-31 19:51:40.589921	132235	54	2	1
2014-03-31 19:51:40.821821	132236	22.0	1	1
2014-03-31 19:51:51.703295	132237	60	2	24
2014-03-31 19:51:51.926116	132238	19.1	1	24
2014-03-31 19:51:54.016624	132239	54	2	25
2014-03-31 19:51:54.248069	132240	18.0	1	25
2014-03-31 19:51:55.912629	132241	820	3	2
2014-03-31 19:51:56.133413	132242	1155110.0569599313	4	2
2014-03-31 19:51:59.868273	132243	48	2	10
2014-03-31 19:52:00.123083	132244	22.5	1	10
2014-03-31 19:52:08.100426	132245	59	2	9
2014-03-31 19:52:08.32316	132246	22.2	1	9
2014-03-31 19:52:08.962237	132247	56	2	8
2014-03-31 19:52:09.193676	132248	20.1	1	8
2014-03-31 19:52:19.592741	132249	54	2	1
2014-03-31 19:52:19.820073	132250	22.0	1	1
2014-03-31 19:52:30.703045	132251	60	2	24
2014-03-31 19:52:30.936552	132252	19.1	1	24
2014-03-31 19:52:31.91286	132253	837	3	2
2014-03-31 19:52:32.140039	132254	1155118.1002029811	4	2
2014-03-31 19:52:33.025981	132255	54	2	25
2014-03-31 19:52:33.256261	132256	18.0	1	25
2014-03-31 19:52:38.8673	132257	48	2	10
2014-03-31 19:52:39.091418	132258	22.5	1	10
2014-03-31 19:52:46.900126	132259	59	2	9
2014-03-31 19:52:47.131901	132260	22.2	1	9
2014-03-31 19:52:47.962707	132261	56	2	8
2014-03-31 19:52:48.184504	132262	20.1	1	8
2014-03-31 19:52:58.59012	132263	54	2	1
2014-03-31 19:52:58.823252	132264	22.0	1	1
2014-03-31 19:53:09.703375	132265	59	2	24
2014-03-31 19:53:09.927739	132266	19.1	1	24
2014-03-31 19:53:12.015489	132267	54	2	25
2014-03-31 19:53:12.246493	132268	18.1	1	25
2014-03-31 19:53:17.868584	132269	48	2	10
2014-03-31 19:53:18.091648	132270	22.5	1	10
2014-03-31 19:53:25.897607	132271	58	2	9
2014-03-31 19:53:26.141765	132272	22.2	1	9
2014-03-31 19:53:26.964024	132273	56	2	8
2014-03-31 19:53:27.186499	132274	20.1	1	8
2014-03-31 19:53:31.913766	132275	820	3	2
2014-03-31 19:53:32.150415	132276	1155131.8886196383	4	2
2014-03-31 19:53:37.589927	132277	54	2	1
2014-03-31 19:53:37.818538	132278	22.0	1	1
2014-03-31 19:53:43.914955	132279	853	3	2
2014-03-31 19:53:44.146703	132280	1155135.3357238024	4	2
2014-03-31 19:53:48.701264	132281	59	2	24
2014-03-31 19:53:48.924	132282	19.1	1	24
2014-03-31 19:53:51.014931	132283	54	2	25
2014-03-31 19:53:51.24672	132284	18.1	1	25
2014-03-31 19:53:55.914191	132285	853	3	2
2014-03-31 19:53:56.136453	132286	1155137.6337932453	4	2
2014-03-31 19:53:56.872131	132287	48	2	10
2014-03-31 19:53:57.103331	132288	22.6	1	10
2014-03-31 19:54:04.908036	132289	58	2	9
2014-03-31 19:54:05.129079	132290	22.2	1	9
2014-03-31 19:54:05.962445	132291	56	2	8
2014-03-31 19:54:06.193553	132292	20.1	1	8
2014-03-31 19:54:16.589509	132293	54	2	1
2014-03-31 19:54:16.814323	132294	22.0	1	1
2014-03-31 19:54:19.914614	132295	820	3	2
2014-03-31 19:54:20.152361	132296	1155143.3789668523	4	2
2014-03-31 19:54:27.700497	132297	59	2	24
2014-03-31 19:54:27.924832	132298	19.1	1	24
2014-03-31 19:54:30.018313	132299	54	2	25
2014-03-31 19:54:30.248901	132300	18.1	1	25
2014-03-31 19:54:31.916995	132301	853	3	2
2014-03-31 19:54:32.137216	132302	1155146.8260710167	4	2
2014-03-31 19:54:35.868669	132303	49	2	10
2014-03-31 19:54:36.102968	132304	22.6	1	10
2014-03-31 19:54:44.10223	132305	58	2	9
2014-03-31 19:54:44.361212	132306	22.2	1	9
2014-03-31 19:54:44.963708	132307	56	2	8
2014-03-31 19:54:45.195652	132308	20.1	1	8
2014-03-31 19:54:55.588569	132309	54	2	1
2014-03-31 19:54:55.811837	132310	22.0	1	1
2014-03-31 19:55:06.698946	132311	60	2	24
2014-03-31 19:55:06.932723	132312	19.1	1	24
2014-03-31 19:55:07.915245	132313	2849	3	2
2014-03-31 19:55:08.137606	132314	1155159.465452952	4	2
2014-03-31 19:55:09.015419	132315	54	2	25
2014-03-31 19:55:09.246598	132316	18.1	1	25
2014-03-31 19:55:14.867863	132317	49	2	10
2014-03-31 19:55:15.091299	132318	22.6	1	10
2014-03-31 19:55:19.91212	132319	2800	3	2
2014-03-31 19:55:20.171569	132320	1155169.8067654448	4	2
2014-03-31 19:55:22.898804	132321	58	2	9
2014-03-31 19:55:23.121966	132322	22.2	1	9
2014-03-31 19:55:23.962216	132323	56	2	8
2014-03-31 19:55:24.194028	132324	20.1	1	8
2014-03-31 19:55:31.911783	132325	2832	3	2
2014-03-31 19:55:32.135085	132326	1155178.9990432162	4	2
2014-03-31 19:55:34.588977	132327	54	2	1
2014-03-31 19:55:34.818856	132328	22.0	1	1
2014-03-31 19:55:43.912455	132329	2849	3	2
2014-03-31 19:55:44.136791	132330	1155188.1913209877	4	2
2014-03-31 19:55:45.700361	132331	60	2	24
2014-03-31 19:55:45.934967	132332	19.1	1	24
2014-03-31 19:55:48.015178	132333	54	2	25
2014-03-31 19:55:48.238622	132334	18.1	1	25
2014-03-31 19:55:53.869265	132335	49	2	10
2014-03-31 19:55:54.100477	132336	22.6	1	10
2014-03-31 19:56:01.895576	132337	58	2	9
2014-03-31 19:56:02.117398	132338	22.2	1	9
2014-03-31 19:56:02.962442	132339	56	2	8
2014-03-31 19:56:03.194878	132340	20.1	1	8
2014-03-31 19:56:07.915162	132341	2816	3	2
2014-03-31 19:56:08.141104	132342	1155207.7249112516	4	2
2014-03-31 19:56:13.589057	132343	54	2	1
2014-03-31 19:56:13.823435	132344	22.0	1	1
2014-03-31 19:56:19.913827	132345	2816	3	2
2014-03-31 19:56:20.135378	132346	1155216.917189023	4	2
2014-03-31 19:56:24.69816	132347	60	2	24
2014-03-31 19:56:24.929553	132348	19.1	1	24
2014-03-31 19:56:27.015259	132349	54	2	25
2014-03-31 19:56:27.23667	132350	18.1	1	25
2014-03-31 19:56:32.866482	132351	49	2	10
2014-03-31 19:56:33.097577	132352	22.6	1	10
2014-03-31 19:56:40.897252	132353	58	2	9
2014-03-31 19:56:41.118847	132354	22.2	1	9
2014-03-31 19:56:41.962335	132355	56	2	8
2014-03-31 19:56:42.19495	132356	20.1	1	8
2014-03-31 19:56:43.913547	132357	2897	3	2
2014-03-31 19:56:44.134254	132358	1155235.3017445656	4	2
2014-03-31 19:56:52.588947	132359	54	2	1
2014-03-31 19:56:52.821031	132360	22.0	1	1
2014-03-31 19:56:55.911665	132361	853	3	2
2014-03-31 19:56:56.132179	132362	1155243.3449876155	4	2
2014-03-31 19:57:03.694947	132363	60	2	24
2014-03-31 19:57:03.928299	132364	19.1	1	24
2014-03-31 19:57:06.014072	132365	54	2	25
2014-03-31 19:57:06.233853	132366	18.1	1	25
2014-03-31 19:57:07.914006	132367	853	3	2
2014-03-31 19:57:08.15555	132368	1155246.7920917796	4	2
2014-03-31 19:57:11.868652	132369	49	2	10
2014-03-31 19:57:12.09141	132370	22.6	1	10
2014-03-31 19:57:19.896061	132371	58	2	9
2014-03-31 19:57:20.128615	132372	22.3	1	9
2014-03-31 19:57:20.963079	132373	56	2	8
2014-03-31 19:57:21.184434	132374	20.1	1	8
2014-03-31 19:57:31.587921	132375	54	2	1
2014-03-31 19:57:31.820781	132376	22.0	1	1
2014-03-31 19:57:42.696216	132377	60	2	24
2014-03-31 19:57:42.919803	132378	19.1	1	24
2014-03-31 19:57:45.016676	132379	54	2	25
2014-03-31 19:57:45.249224	132380	18.1	1	25
2014-03-31 19:57:50.871534	132381	49	2	10
2014-03-31 19:57:51.093178	132382	22.7	1	10
2014-03-31 19:57:58.894598	132383	58	2	9
2014-03-31 19:57:59.125653	132384	22.3	1	9
2014-03-31 19:57:59.961622	132385	56	2	8
2014-03-31 19:58:00.183	132386	20.1	1	8
2014-03-31 19:58:10.581316	132387	54	2	1
2014-03-31 19:58:10.81279	132388	22.0	1	1
2014-03-31 19:58:21.699945	132389	60	2	24
2014-03-31 19:58:21.926469	132390	19.1	1	24
2014-03-31 19:58:24.01576	132391	54	2	25
2014-03-31 19:58:24.245848	132392	18.1	1	25
2014-03-31 19:58:29.869184	132393	49	2	10
2014-03-31 19:58:30.091414	132394	22.7	1	10
2014-03-31 19:58:31.913821	132395	837	3	2
2014-03-31 19:58:32.144381	132396	1155266.3256820438	4	2
2014-03-31 19:58:37.89592	132397	58	2	9
2014-03-31 19:58:38.117984	132398	22.3	1	9
2014-03-31 19:58:38.961916	132399	56	2	8
2014-03-31 19:58:39.193396	132400	20.1	1	8
2014-03-31 19:58:49.584747	132401	54	2	1
2014-03-31 19:58:49.816796	132402	22.0	1	1
2014-03-31 19:59:00.696367	132403	60	2	24
2014-03-31 19:59:00.931165	132404	19.1	1	24
2014-03-31 19:59:03.014574	132405	54	2	25
2014-03-31 19:59:03.236389	132406	18.1	1	25
2014-03-31 19:59:07.913271	132407	885	3	2
2014-03-31 19:59:08.144469	132408	1155274.3689250937	4	2
2014-03-31 19:59:08.871698	132409	49	2	10
2014-03-31 19:59:09.092968	132410	22.7	1	10
2014-03-31 19:59:16.899482	132411	58	2	9
2014-03-31 19:59:17.131792	132412	22.3	1	9
2014-03-31 19:59:17.962557	132413	56	2	8
2014-03-31 19:59:18.183606	132414	20.1	1	8
2014-03-31 19:59:19.916976	132415	869	3	2
2014-03-31 19:59:20.163929	132416	1155277.8160292578	4	2
2014-03-31 19:59:28.586191	132417	54	2	1
2014-03-31 19:59:28.807957	132418	22.0	1	1
2014-03-31 19:59:31.912915	132419	869	3	2
2014-03-31 19:59:32.144172	132420	1155280.1140987007	4	2
2014-03-31 19:59:39.694139	132421	60	2	24
2014-03-31 19:59:39.917753	132422	19.1	1	24
2014-03-31 19:59:42.014847	132423	54	2	25
2014-03-31 19:59:42.245334	132424	18.1	1	25
2014-03-31 19:59:47.868546	132425	49	2	10
2014-03-31 19:59:48.092647	132426	22.7	1	10
2014-03-31 19:59:56.098688	132427	58	2	9
2014-03-31 19:59:56.330624	132428	22.3	1	9
2014-03-31 19:59:56.96352	132429	56	2	8
2014-03-31 19:59:57.185052	132430	20.1	1	8
2014-03-31 20:00:07.585305	132431	54	2	1
2014-03-31 20:00:07.816886	132432	22.0	1	1
2014-03-31 20:00:18.695956	132433	60	2	24
2014-03-31 20:00:18.919319	132434	19.1	1	24
2014-03-31 20:00:19.913326	132435	885	3	2
2014-03-31 20:00:20.151739	132436	1155292.7534806363	4	2
2014-03-31 20:00:21.015298	132437	54	2	25
2014-03-31 20:00:21.235209	132438	18.1	1	25
2014-03-31 20:00:26.870138	132439	49	2	10
2014-03-31 20:00:27.104633	132440	22.7	1	10
2014-03-31 20:00:31.912771	132441	869	3	2
2014-03-31 20:00:32.14078	132442	1155295.0515500791	4	2
2014-03-31 20:00:34.898847	132443	58	2	9
2014-03-31 20:00:35.132082	132444	22.3	1	9
2014-03-31 20:00:35.962292	132445	56	2	8
2014-03-31 20:00:36.183981	132446	20.1	1	8
2014-03-31 20:00:46.827459	132447	54	2	1
2014-03-31 20:00:47.0615	132448	22.0	1	1
2014-03-31 20:00:55.912442	132449	2977	3	2
2014-03-31 20:00:56.137656	132450	1155307.6909320147	4	2
2014-03-31 20:00:57.693238	132451	60	2	24
2014-03-31 20:00:57.924536	132452	19.1	1	24
2014-03-31 20:01:00.012357	132453	54	2	25
2014-03-31 20:01:00.235177	132454	18.1	1	25
2014-03-31 20:01:05.869205	132455	49	2	10
2014-03-31 20:01:06.104071	132456	22.7	1	10
2014-03-31 20:01:07.913388	132457	2913	3	2
2014-03-31 20:01:08.139217	132458	1155318.0322445075	4	2
2014-03-31 20:01:13.896727	132459	58	2	9
2014-03-31 20:01:14.130772	132460	22.3	1	9
2014-03-31 20:01:14.962659	132461	56	2	8
2014-03-31 20:01:15.186542	132462	20.1	1	8
2014-03-31 20:01:19.912094	132463	2945	3	2
2014-03-31 20:01:20.158095	132464	1155327.2245222789	4	2
2014-03-31 20:01:25.584425	132465	54	2	1
2014-03-31 20:01:25.811822	132466	22.1	1	1
2014-03-31 20:01:31.914314	132467	2961	3	2
2014-03-31 20:01:32.332589	132468	1155336.4212710024	4	2
2014-03-31 20:01:36.691078	132469	60	2	24
2014-03-31 20:01:36.914742	132470	19.1	1	24
2014-03-31 20:01:39.013308	132471	54	2	25
2014-03-31 20:01:39.236174	132472	18.1	1	25
2014-03-31 20:01:44.869422	132473	49	2	10
2014-03-31 20:01:45.100903	132474	22.7	1	10
2014-03-31 20:01:52.896566	132475	58	2	9
2014-03-31 20:01:53.11825	132476	22.3	1	9
2014-03-31 20:01:53.961389	132477	56	2	8
2014-03-31 20:01:54.190337	132478	20.1	1	8
2014-03-31 20:01:55.909616	132479	2929	3	2
2014-03-31 20:01:56.13123	132480	1155355.9548612663	4	2
2014-03-31 20:02:04.584863	132481	54	2	1
2014-03-31 20:02:04.816539	132482	22.1	1	1
2014-03-31 20:02:07.910317	132483	2945	3	2
2014-03-31 20:02:08.133911	132484	1155366.296173759	4	2
2014-03-31 20:02:15.692099	132485	60	2	24
2014-03-31 20:02:15.923771	132486	19.2	1	24
2014-03-31 20:02:18.012472	132487	54	2	25
2014-03-31 20:02:18.233384	132488	18.1	1	25
2014-03-31 20:02:19.913663	132489	2849	3	2
2014-03-31 20:02:20.152274	132490	1155375.4884515305	4	2
2014-03-31 20:02:23.870345	132491	49	2	10
2014-03-31 20:02:24.090931	132492	22.8	1	10
2014-03-31 20:02:32.098888	132493	58	2	9
2014-03-31 20:02:32.328657	132494	22.3	1	9
2014-03-31 20:02:32.963416	132495	56	2	8
2014-03-31 20:02:33.186059	132496	20.1	1	8
2014-03-31 20:02:43.584531	132497	54	2	1
2014-03-31 20:02:43.8173	132498	22.1	1	1
2014-03-31 20:02:54.690247	132499	60	2	24
2014-03-31 20:02:54.912706	132500	19.2	1	24
2014-03-31 20:02:57.011641	132501	54	2	25
2014-03-31 20:02:57.243122	132502	18.1	1	25
2014-03-31 20:03:02.870847	132503	49	2	10
2014-03-31 20:03:03.09348	132504	22.8	1	10
2014-03-31 20:03:10.895858	132505	58	2	9
2014-03-31 20:03:11.128246	132506	22.3	1	9
2014-03-31 20:03:11.962776	132507	56	2	8
2014-03-31 20:03:12.183624	132508	20.1	1	8
2014-03-31 20:03:22.588068	132509	54	2	1
2014-03-31 20:03:22.821009	132510	22.1	1	1
2014-03-31 20:03:31.910505	132511	2913	3	2
2014-03-31 20:03:32.133162	132512	1155434.0892223227	4	2
2014-03-31 20:03:33.692813	132513	60	2	24
2014-03-31 20:03:33.936324	132514	19.2	1	24
2014-03-31 20:03:36.01157	132515	54	2	25
2014-03-31 20:03:36.233319	132516	18.1	1	25
2014-03-31 20:03:41.869991	132517	49	2	10
2014-03-31 20:03:42.104679	132518	22.8	1	10
2014-03-31 20:03:49.894234	132519	58	2	9
2014-03-31 20:03:50.11645	132520	22.3	1	9
2014-03-31 20:03:50.962684	132521	56	2	8
2014-03-31 20:03:51.19378	132522	20.0	1	8
2014-03-31 20:04:01.584279	132523	54	2	1
2014-03-31 20:04:01.810296	132524	22.1	1	1
2014-03-31 20:04:12.692295	132525	60	2	24
2014-03-31 20:04:12.927721	132526	19.2	1	24
2014-03-31 20:04:15.011892	132527	54	2	25
2014-03-31 20:04:15.233033	132528	18.1	1	25
2014-03-31 20:04:19.911353	132529	2832	3	2
2014-03-31 20:04:20.143754	132530	1155473.1564028508	4	2
2014-03-31 20:04:20.87182	132531	49	2	10
2014-03-31 20:04:21.094599	132532	22.8	1	10
2014-03-31 20:04:28.897147	132533	58	2	9
2014-03-31 20:04:29.128005	132534	22.3	1	9
2014-03-31 20:04:29.961674	132535	56	2	8
2014-03-31 20:04:30.182899	132536	20.0	1	8
2014-03-31 20:04:31.911428	132537	2832	3	2
2014-03-31 20:04:32.143718	132538	1155482.348680622	4	2
2014-03-31 20:04:40.583914	132539	54	2	1
2014-03-31 20:04:40.806668	132540	22.1	1	1
2014-03-31 20:04:43.913516	132541	2800	3	2
2014-03-31 20:04:44.143913	132542	1155491.5409583934	4	2
2014-03-31 20:04:51.690359	132543	60	2	24
2014-03-31 20:04:51.913967	132544	19.2	1	24
2014-03-31 20:04:54.010428	132545	54	2	25
2014-03-31 20:04:54.24232	132546	18.1	1	25
2014-03-31 20:04:55.915749	132547	2784	3	2
2014-03-31 20:04:56.136899	132548	1155501.882270886	4	2
2014-03-31 20:04:59.873929	132549	49	2	10
2014-03-31 20:05:00.105428	132550	22.8	1	10
2014-03-31 20:05:08.098664	132551	58	2	9
2014-03-31 20:05:08.320533	132552	22.4	1	9
2014-03-31 20:05:08.963416	132553	56	2	8
2014-03-31 20:05:09.194153	132554	20.0	1	8
2014-03-31 20:05:19.583831	132555	54	2	1
2014-03-31 20:05:19.813482	132556	22.1	1	1
2014-03-31 20:05:30.693378	132557	60	2	24
2014-03-31 20:05:30.926018	132558	19.2	1	24
2014-03-31 20:05:31.912974	132559	2768	3	2
2014-03-31 20:05:32.138747	132560	1155529.4591042001	4	2
2014-03-31 20:05:33.014836	132561	54	2	25
2014-03-31 20:05:33.25624	132562	18.1	1	25
2014-03-31 20:05:38.871657	132563	49	2	10
2014-03-31 20:05:39.096467	132564	22.8	1	10
2014-03-31 20:05:46.895683	132565	58	2	9
2014-03-31 20:05:47.130349	132566	22.4	1	9
2014-03-31 20:05:47.961408	132567	56	2	8
2014-03-31 20:05:48.185475	132568	20.0	1	8
2014-03-31 20:05:58.583621	132569	54	2	1
2014-03-31 20:05:58.815196	132570	22.1	1	1
2014-03-31 20:06:09.689057	132571	60	2	24
2014-03-31 20:06:09.912509	132572	19.2	1	24
2014-03-31 20:06:12.010651	132573	54	2	25
2014-03-31 20:06:12.243929	132574	18.1	1	25
2014-03-31 20:06:17.871706	132575	49	2	10
2014-03-31 20:06:18.093565	132576	22.8	1	10
2014-03-31 20:06:25.894395	132577	58	2	9
2014-03-31 20:06:26.127956	132578	22.4	1	9
2014-03-31 20:06:26.961321	132579	56	2	8
2014-03-31 20:06:27.184807	132580	20.0	1	8
2014-03-31 20:06:31.911892	132581	2768	3	2
2014-03-31 20:06:32.147786	132582	1155575.4204930565	4	2
2014-03-31 20:06:37.582659	132583	54	2	1
2014-03-31 20:06:37.810463	132584	22.1	1	1
2014-03-31 20:06:48.688231	132585	60	2	24
2014-03-31 20:06:48.920247	132586	19.2	1	24
2014-03-31 20:06:51.012423	132587	54	2	25
2014-03-31 20:06:51.236149	132588	18.1	1	25
2014-03-31 20:06:55.910272	132589	724	3	2
2014-03-31 20:06:56.142538	132590	1155589.2089097137	4	2
2014-03-31 20:06:56.874411	132591	49	2	10
2014-03-31 20:06:57.096047	132592	22.8	1	10
2014-03-31 20:07:04.896799	132593	58	2	9
2014-03-31 20:07:05.12748	132594	22.4	1	9
2014-03-31 20:07:05.961699	132595	56	2	8
2014-03-31 20:07:06.18344	132596	20.0	1	8
2014-03-31 20:07:07.911636	132597	804	3	2
2014-03-31 20:07:08.143156	132598	1155591.5069791565	4	2
2014-03-31 20:07:16.581969	132599	54	2	1
2014-03-31 20:07:16.80502	132600	22.1	1	1
2014-03-31 20:07:19.912136	132601	724	3	2
2014-03-31 20:07:20.147027	132602	1155593.8050485994	4	2
2014-03-31 20:07:27.685346	132603	60	2	24
2014-03-31 20:07:27.907454	132604	19.2	1	24
2014-03-31 20:07:30.01025	132605	54	2	25
2014-03-31 20:07:30.240868	132606	18.1	1	25
2014-03-31 20:07:31.911321	132607	804	3	2
2014-03-31 20:07:32.137725	132608	1155597.2521527635	4	2
2014-03-31 20:07:35.872096	132609	49	2	10
2014-03-31 20:07:36.115108	132610	22.8	1	10
2014-03-31 20:07:44.100537	132611	58	2	9
2014-03-31 20:07:44.323434	132612	22.4	1	9
2014-03-31 20:07:44.962322	132613	56	2	8
2014-03-31 20:07:45.19439	132614	20.0	1	8
2014-03-31 20:07:55.581307	132615	54	2	1
2014-03-31 20:07:55.804053	132616	22.1	1	1
2014-03-31 20:08:06.68603	132617	60	2	24
2014-03-31 20:08:06.918765	132618	19.2	1	24
2014-03-31 20:08:09.009791	132619	54	2	25
2014-03-31 20:08:09.231206	132620	18.1	1	25
2014-03-31 20:08:14.931038	132621	49	2	10
2014-03-31 20:08:15.164504	132622	22.9	1	10
2014-03-31 20:08:22.897727	132623	58	2	9
2014-03-31 20:08:23.120917	132624	22.4	1	9
2014-03-31 20:08:23.962758	132625	56	2	8
2014-03-31 20:08:24.194186	132626	20.0	1	8
2014-03-31 20:08:31.911564	132627	724	3	2
2014-03-31 20:08:32.133963	132628	1155609.8915346991	4	2
2014-03-31 20:08:34.58344	132629	54	2	1
2014-03-31 20:08:34.81457	132630	22.1	1	1
2014-03-31 20:08:45.684196	132631	60	2	24
2014-03-31 20:08:45.908256	132632	19.2	1	24
2014-03-31 20:08:48.008838	132633	54	2	25
2014-03-31 20:08:48.241193	132634	18.1	1	25
2014-03-31 20:08:53.872259	132635	49	2	10
2014-03-31 20:08:54.095214	132636	22.9	1	10
2014-03-31 20:09:01.901193	132637	58	2	9
2014-03-31 20:09:02.132512	132638	22.4	1	9
2014-03-31 20:09:02.962422	132639	56	2	8
2014-03-31 20:09:03.184846	132640	20.0	1	8
2014-03-31 20:09:13.581997	132641	54	2	1
2014-03-31 20:09:13.816031	132642	22.1	1	1
2014-03-31 20:09:24.684904	132643	60	2	24
2014-03-31 20:09:24.908051	132644	19.2	1	24
2014-03-31 20:09:27.009107	132645	54	2	25
2014-03-31 20:09:27.240123	132646	18.2	1	25
2014-03-31 20:09:31.910119	132647	804	3	2
2014-03-31 20:09:32.133649	132648	1155621.3818819132	4	2
2014-03-31 20:09:32.872319	132649	49	2	10
2014-03-31 20:09:33.104709	132650	22.9	1	10
2014-03-31 20:09:40.893432	132651	58	2	9
2014-03-31 20:09:41.115003	132652	22.4	1	9
2014-03-31 20:09:41.962736	132653	56	2	8
2014-03-31 20:09:42.194154	132654	20.0	1	8
2014-03-31 20:09:43.914288	132655	820	3	2
2014-03-31 20:09:44.13577	132656	1155623.679951356	4	2
2014-03-31 20:09:52.578071	132657	54	2	1
2014-03-31 20:09:52.825973	132658	22.1	1	1
2014-03-31 20:10:03.684042	132659	60	2	24
2014-03-31 20:10:03.910342	132660	19.2	1	24
2014-03-31 20:10:06.008673	132661	54	2	25
2014-03-31 20:10:06.240225	132662	18.2	1	25
2014-03-31 20:10:11.875087	132663	49	2	10
2014-03-31 20:10:12.096909	132664	22.9	1	10
2014-03-31 20:10:20.9634	132665	56	2	8
2014-03-31 20:10:21.19394	132666	20.0	1	8
2014-03-31 20:10:31.581518	132667	54	2	1
2014-03-31 20:10:31.80468	132668	22.1	1	1
2014-03-31 20:10:42.682408	132669	60	2	24
2014-03-31 20:10:42.915717	132670	19.2	1	24
2014-03-31 20:10:43.910002	132671	724	3	2
2014-03-31 20:10:44.1335	132672	1155636.323804244	4	2
2014-03-31 20:10:45.018203	132673	54	2	25
2014-03-31 20:10:45.251514	132674	18.2	1	25
2014-03-31 20:10:50.870946	132675	49	2	10
2014-03-31 20:10:51.095605	132676	22.9	1	10
2014-03-31 20:10:59.963665	132677	56	2	8
2014-03-31 20:11:00.199016	132678	20.0	1	8
2014-03-31 20:11:10.579229	132679	54	2	1
2014-03-31 20:11:10.800522	132680	22.1	1	1
2014-03-31 20:11:19.911423	132681	853	3	2
2014-03-31 20:11:20.148983	132682	1155643.2180125723	4	2
2014-03-31 20:11:21.681822	132683	60	2	24
2014-03-31 20:11:21.904276	132684	19.2	1	24
2014-03-31 20:11:24.007896	132685	54	2	25
2014-03-31 20:11:24.242555	132686	18.2	1	25
2014-03-31 20:11:29.872208	132687	49	2	10
2014-03-31 20:11:30.099135	132688	22.9	1	10
2014-03-31 20:11:31.910345	132689	837	3	2
2014-03-31 20:11:32.145769	132690	1155646.6651167367	4	2
2014-03-31 20:11:38.960137	132691	56	2	8
2014-03-31 20:11:39.186898	132692	20.0	1	8
2014-03-31 20:11:49.579466	132693	54	2	1
2014-03-31 20:11:49.814734	132694	22.1	1	1
2014-03-31 20:12:00.682604	132695	60	2	24
2014-03-31 20:12:00.904071	132696	19.2	1	24
2014-03-31 20:12:03.009021	132697	54	2	25
2014-03-31 20:12:03.24208	132698	18.2	1	25
2014-03-31 20:12:08.8717	132699	49	2	10
2014-03-31 20:12:09.094175	132700	22.9	1	10
2014-03-31 20:12:17.962357	132701	56	2	8
2014-03-31 20:12:18.193833	132702	20.0	1	8
2014-03-31 20:12:28.578496	132703	54	2	1
2014-03-31 20:12:28.80151	132704	22.1	1	1
2014-03-31 20:12:31.908208	132705	837	3	2
2014-03-31 20:12:32.150999	132706	1155660.4535333936	4	2
2014-03-31 20:12:39.682888	132707	60	2	24
2014-03-31 20:12:39.907238	132708	19.2	1	24
2014-03-31 20:12:42.008252	132709	54	2	25
2014-03-31 20:12:42.238749	132710	18.2	1	25
2014-03-31 20:12:47.872929	132711	49	2	10
2014-03-31 20:12:48.095368	132712	22.9	1	10
2014-03-31 20:12:55.877294	132713	59	2	9
2014-03-31 20:12:56.11029	132714	22.5	1	9
2014-03-31 20:12:56.962763	132715	56	2	8
2014-03-31 20:12:57.183721	132716	20.0	1	8
2014-03-31 20:13:07.578702	132717	54	2	1
2014-03-31 20:13:07.812096	132718	22.1	1	1
2014-03-31 20:13:18.679757	132719	60	2	24
2014-03-31 20:13:18.904147	132720	19.2	1	24
2014-03-31 20:13:21.032813	132721	54	2	25
2014-03-31 20:13:21.265845	132722	18.2	1	25
2014-03-31 20:13:26.873526	132723	48	2	10
2014-03-31 20:13:27.102212	132724	23.0	1	10
2014-03-31 20:13:31.910966	132725	837	3	2
2014-03-31 20:13:32.146074	132726	1155674.2419500505	4	2
2014-03-31 20:13:35.962282	132727	56	2	8
2014-03-31 20:13:36.183483	132728	20.0	1	8
2014-03-31 20:13:46.579868	132729	54	2	1
2014-03-31 20:13:46.811466	132730	22.0	1	1
2014-03-31 20:13:57.681637	132731	60	2	24
2014-03-31 20:13:57.903231	132732	19.2	1	24
2014-03-31 20:14:00.009385	132733	54	2	25
2014-03-31 20:14:00.238853	132734	18.2	1	25
2014-03-31 20:14:05.872222	132735	48	2	10
2014-03-31 20:14:06.096002	132736	23.0	1	10
2014-03-31 20:14:14.990327	132737	56	2	8
2014-03-31 20:14:15.2501	132738	20.0	1	8
2014-03-31 20:14:25.577944	132739	54	2	1
2014-03-31 20:14:25.802423	132740	22.0	1	1
2014-03-31 20:14:31.907795	132741	853	3	2
2014-03-31 20:14:32.141074	132742	1155689.179401429	4	2
2014-03-31 20:14:36.680705	132743	60	2	24
2014-03-31 20:14:36.903484	132744	19.2	1	24
2014-03-31 20:14:39.009538	132745	54	2	25
2014-03-31 20:14:39.241077	132746	18.2	1	25
2014-03-31 20:14:44.874181	132747	48	2	10
2014-03-31 20:14:45.154197	132748	23.0	1	10
2014-03-31 20:14:52.89522	132749	59	2	9
2014-03-31 20:14:53.128497	132750	22.5	1	9
2014-03-31 20:14:53.962062	132751	56	2	8
2014-03-31 20:14:54.185118	132752	20.0	1	8
2014-03-31 20:15:04.577092	132753	54	2	1
2014-03-31 20:15:04.822452	132754	22.0	1	1
2014-03-31 20:15:07.910225	132755	885	3	2
2014-03-31 20:15:08.133701	132756	1155697.2226444788	4	2
2014-03-31 20:15:15.678037	132757	60	2	24
2014-03-31 20:15:15.916027	132758	19.2	1	24
2014-03-31 20:15:18.008949	132759	54	2	25
2014-03-31 20:15:18.231587	132760	18.2	1	25
2014-03-31 20:15:19.911385	132761	820	3	2
2014-03-31 20:15:20.149227	132762	1155699.5207139216	4	2
2014-03-31 20:15:23.875353	132763	48	2	10
2014-03-31 20:15:24.097212	132764	23.0	1	10
2014-03-31 20:15:32.094941	132765	59	2	9
2014-03-31 20:15:32.326106	132766	22.6	1	9
2014-03-31 20:15:32.961776	132767	56	2	8
2014-03-31 20:15:33.183031	132768	20.0	1	8
2014-03-31 20:15:43.579684	132769	54	2	1
2014-03-31 20:15:43.811554	132770	22.0	1	1
2014-03-31 20:15:54.674684	132771	60	2	24
2014-03-31 20:15:54.899751	132772	19.2	1	24
2014-03-31 20:15:57.008561	132773	54	2	25
2014-03-31 20:15:57.242566	132774	18.2	1	25
2014-03-31 20:16:02.875151	132775	48	2	10
2014-03-31 20:16:03.098709	132776	23.0	1	10
2014-03-31 20:16:10.893711	132777	59	2	9
2014-03-31 20:16:11.127331	132778	22.6	1	9
2014-03-31 20:16:11.963411	132779	56	2	8
2014-03-31 20:16:12.185178	132780	20.0	1	8
2014-03-31 20:16:22.582753	132781	54	2	1
2014-03-31 20:16:22.815305	132782	22.0	1	1
2014-03-31 20:16:31.908682	132783	820	3	2
2014-03-31 20:16:32.133018	132784	1155716.756234743	4	2
2014-03-31 20:16:33.675521	132785	60	2	24
2014-03-31 20:16:33.906832	132786	19.2	1	24
2014-03-31 20:16:36.00666	132787	55	2	25
2014-03-31 20:16:36.229893	132788	18.2	1	25
2014-03-31 20:16:41.874744	132789	48	2	10
2014-03-31 20:16:42.11018	132790	23.0	1	10
2014-03-31 20:16:49.895538	132791	59	2	9
2014-03-31 20:16:50.119544	132792	22.6	1	9
2014-03-31 20:16:50.961532	132793	56	2	8
2014-03-31 20:16:51.195149	132794	20.0	1	8
2014-03-31 20:17:01.574896	132795	54	2	1
2014-03-31 20:17:01.797991	132796	22.0	1	1
2014-03-31 20:17:07.90826	132797	708	3	2
2014-03-31 20:17:08.162785	132798	1155723.6504430713	4	2
2014-03-31 20:17:12.675087	132799	60	2	24
2014-03-31 20:17:12.897244	132800	19.2	1	24
2014-03-31 20:17:15.00589	132801	55	2	25
2014-03-31 20:17:15.308018	132802	18.2	1	25
2014-03-31 20:17:20.873463	132803	48	2	10
2014-03-31 20:17:21.100265	132804	23.0	1	10
2014-03-31 20:17:28.8951	132805	59	2	9
2014-03-31 20:17:29.128177	132806	22.6	1	9
2014-03-31 20:17:29.962487	132807	56	2	8
2014-03-31 20:17:30.185942	132808	20.0	1	8
2014-03-31 20:17:31.906753	132809	708	3	2
2014-03-31 20:17:32.139404	132810	1155729.3956166785	4	2
2014-03-31 20:17:40.575154	132811	55	2	1
2014-03-31 20:17:40.798702	132812	21.9	1	1
2014-03-31 20:17:51.67496	132813	60	2	24
2014-03-31 20:17:51.907558	132814	19.2	1	24
2014-03-31 20:17:54.004335	132815	55	2	25
2014-03-31 20:17:54.225032	132816	18.2	1	25
2014-03-31 20:17:59.874353	132817	48	2	10
2014-03-31 20:18:00.107639	132818	23.0	1	10
2014-03-31 20:18:07.89466	132819	59	2	9
2014-03-31 20:18:08.11722	132820	22.6	1	9
2014-03-31 20:18:08.961547	132821	56	2	8
2014-03-31 20:18:09.193199	132822	20.0	1	8
2014-03-31 20:18:19.575352	132823	55	2	1
2014-03-31 20:18:19.798873	132824	21.9	1	1
2014-03-31 20:18:30.675324	132825	60	2	24
2014-03-31 20:18:30.909572	132826	19.2	1	24
2014-03-31 20:18:31.907866	132827	692	3	2
2014-03-31 20:18:32.130688	132828	1155740.8859638926	4	2
2014-03-31 20:18:33.007713	132829	55	2	25
2014-03-31 20:18:33.239622	132830	18.2	1	25
2014-03-31 20:18:38.874061	132831	48	2	10
2014-03-31 20:18:39.09734	132832	23.1	1	10
2014-03-31 20:18:46.894148	132833	59	2	9
2014-03-31 20:18:47.127135	132834	22.6	1	9
2014-03-31 20:18:47.961676	132835	56	2	8
2014-03-31 20:18:48.18232	132836	20.0	1	8
2014-03-31 20:18:58.57534	132837	55	2	1
2014-03-31 20:18:58.809528	132838	21.9	1	1
2014-03-31 20:19:09.673693	132839	60	2	24
2014-03-31 20:19:09.89674	132840	19.2	1	24
2014-03-31 20:19:12.003896	132841	55	2	25
2014-03-31 20:19:12.236288	132842	18.2	1	25
2014-03-31 20:19:17.875381	132843	49	2	10
2014-03-31 20:19:18.098563	132844	23.1	1	10
2014-03-31 20:19:25.893917	132845	58	2	9
2014-03-31 20:19:26.127591	132846	22.6	1	9
2014-03-31 20:19:26.961617	132847	56	2	8
2014-03-31 20:19:27.184262	132848	20.0	1	8
2014-03-31 20:19:31.907892	132849	692	3	2
2014-03-31 20:19:32.154636	132850	1155752.3763111068	4	2
2014-03-31 20:19:37.572773	132851	55	2	1
2014-03-31 20:19:37.800595	132852	21.9	1	1
2014-03-31 20:19:48.674685	132853	60	2	24
2014-03-31 20:19:48.906117	132854	19.2	1	24
2014-03-31 20:19:51.007412	132855	54	2	25
2014-03-31 20:19:51.228896	132856	18.2	1	25
2014-03-31 20:19:56.875208	132857	49	2	10
2014-03-31 20:19:57.111699	132858	23.1	1	10
2014-03-31 20:20:04.893667	132859	58	2	9
2014-03-31 20:20:05.118029	132860	22.6	1	9
2014-03-31 20:20:05.963528	132861	56	2	8
2014-03-31 20:20:06.194317	132862	20.0	1	8
2014-03-31 20:20:16.573141	132863	55	2	1
2014-03-31 20:20:16.796046	132864	21.9	1	1
2014-03-31 20:20:27.673343	132865	60	2	24
2014-03-31 20:20:27.908636	132866	19.1	1	24
2014-03-31 20:20:30.004111	132867	54	2	25
2014-03-31 20:20:30.225759	132868	18.2	1	25
2014-03-31 20:20:31.908009	132869	676	3	2
2014-03-31 20:20:32.138468	132870	1155763.8666583209	4	2
2014-03-31 20:20:35.877434	132871	49	2	10
2014-03-31 20:20:36.099398	132872	23.1	1	10
2014-03-31 20:20:43.897647	132873	58	2	9
2014-03-31 20:20:44.129273	132874	22.6	1	9
2014-03-31 20:20:44.962241	132875	56	2	8
2014-03-31 20:20:45.239318	132876	20.0	1	8
2014-03-31 20:20:55.57416	132877	55	2	1
2014-03-31 20:20:55.805057	132878	21.8	1	1
2014-03-31 20:21:06.670718	132879	60	2	24
2014-03-31 20:21:06.894851	132880	19.1	1	24
2014-03-31 20:21:09.00457	132881	55	2	25
2014-03-31 20:21:09.236331	132882	18.3	1	25
2014-03-31 20:21:14.875909	132883	49	2	10
2014-03-31 20:21:15.100705	132884	23.1	1	10
2014-03-31 20:21:22.895954	132885	58	2	9
2014-03-31 20:21:23.131819	132886	22.6	1	9
2014-03-31 20:21:23.964493	132887	56	2	8
2014-03-31 20:21:24.186068	132888	19.9	1	8
2014-03-31 20:21:31.907786	132889	692	3	2
2014-03-31 20:21:32.143407	132890	1155775.3570055352	4	2
2014-03-31 20:21:34.571597	132891	55	2	1
2014-03-31 20:21:34.79432	132892	21.8	1	1
2014-03-31 20:21:45.673745	132893	60	2	24
2014-03-31 20:21:45.939913	132894	19.1	1	24
2014-03-31 20:21:48.005811	132895	55	2	25
2014-03-31 20:21:48.256014	132896	18.3	1	25
2014-03-31 20:21:53.875401	132897	49	2	10
2014-03-31 20:21:54.153798	132898	23.1	1	10
2014-03-31 20:22:01.894107	132899	58	2	9
2014-03-31 20:22:02.172498	132900	22.6	1	9
2014-03-31 20:22:02.961516	132901	56	2	8
2014-03-31 20:22:03.236847	132902	19.9	1	8
2014-03-31 20:22:13.570627	132903	55	2	1
2014-03-31 20:22:13.793899	132904	21.8	1	1
2014-03-31 20:22:24.669843	132905	60	2	24
2014-03-31 20:22:24.90267	132906	19.1	1	24
2014-03-31 20:22:27.004408	132907	55	2	25
2014-03-31 20:22:27.227492	132908	18.3	1	25
2014-03-31 20:22:31.908836	132909	692	3	2
2014-03-31 20:22:32.146269	132910	1155786.8473527492	4	2
2014-03-31 20:22:32.875757	132911	49	2	10
2014-03-31 20:22:33.098323	132912	23.1	1	10
2014-03-31 20:22:40.894316	132913	58	2	9
2014-03-31 20:22:41.126709	132914	22.6	1	9
2014-03-31 20:22:41.961794	132915	56	2	8
2014-03-31 20:22:42.186645	132916	19.9	1	8
2014-03-31 20:22:52.572452	132917	55	2	1
2014-03-31 20:22:52.804333	132918	21.8	1	1
2014-03-31 20:23:03.66927	132919	60	2	24
2014-03-31 20:23:03.891598	132920	19.1	1	24
2014-03-31 20:23:06.003966	132921	55	2	25
2014-03-31 20:23:06.237653	132922	18.3	1	25
2014-03-31 20:23:11.876237	132923	49	2	10
2014-03-31 20:23:12.097493	132924	23.2	1	10
2014-03-31 20:23:19.894368	132925	58	2	9
2014-03-31 20:23:20.127108	132926	22.6	1	9
2014-03-31 20:23:20.964078	132927	56	2	8
2014-03-31 20:23:21.186355	132928	19.9	1	8
2014-03-31 20:23:31.571775	132929	55	2	1
2014-03-31 20:23:31.805463	132930	21.8	1	1
2014-03-31 20:23:42.66982	132931	60	2	24
2014-03-31 20:23:42.892892	132932	19.1	1	24
2014-03-31 20:23:43.906269	132933	820	3	2
2014-03-31 20:23:44.138429	132934	1155801.7848041276	4	2
2014-03-31 20:23:45.003242	132935	55	2	25
2014-03-31 20:23:45.229724	132936	18.3	1	25
2014-03-31 20:23:50.876043	132937	49	2	10
2014-03-31 20:23:51.10919	132938	23.2	1	10
2014-03-31 20:23:58.894023	132939	58	2	9
2014-03-31 20:23:59.115577	132940	22.6	1	9
2014-03-31 20:23:59.961605	132941	56	2	8
2014-03-31 20:24:00.192157	132942	19.9	1	8
2014-03-31 20:24:10.571816	132943	55	2	1
2014-03-31 20:24:10.797089	132944	21.7	1	1
2014-03-31 20:24:21.667772	132945	60	2	24
2014-03-31 20:24:21.909947	132946	19.1	1	24
2014-03-31 20:24:24.003343	132947	55	2	25
2014-03-31 20:24:24.224838	132948	18.3	1	25
2014-03-31 20:24:29.87532	132949	49	2	10
2014-03-31 20:24:30.107404	132950	23.2	1	10
2014-03-31 20:24:31.906027	132951	853	3	2
2014-03-31 20:24:32.127083	132952	1155812.1261166204	4	2
2014-03-31 20:24:37.894125	132953	58	2	9
2014-03-31 20:24:38.127349	132954	22.6	1	9
2014-03-31 20:24:38.962194	132955	56	2	8
2014-03-31 20:24:39.183063	132956	19.9	1	8
2014-03-31 20:24:49.573041	132957	55	2	1
2014-03-31 20:24:49.80422	132958	21.7	1	1
2014-03-31 20:25:00.670692	132959	60	2	24
2014-03-31 20:25:00.892467	132960	19.1	1	24
2014-03-31 20:25:03.002563	132961	55	2	25
2014-03-31 20:25:03.234245	132962	18.3	1	25
2014-03-31 20:25:08.875858	132963	49	2	10
2014-03-31 20:25:09.099467	132964	23.2	1	10
2014-03-31 20:25:16.903711	132965	58	2	9
2014-03-31 20:25:17.136097	132966	22.6	1	9
2014-03-31 20:25:17.962066	132967	56	2	8
2014-03-31 20:25:18.184005	132968	19.9	1	8
2014-03-31 20:25:28.570768	132969	55	2	1
2014-03-31 20:25:28.804623	132970	21.7	1	1
2014-03-31 20:25:31.905916	132971	869	3	2
2014-03-31 20:25:32.126052	132972	1155827.0635679988	4	2
2014-03-31 20:25:39.667685	132973	60	2	24
2014-03-31 20:25:39.903751	132974	19.1	1	24
2014-03-31 20:25:42.000476	132975	55	2	25
2014-03-31 20:25:42.222017	132976	18.3	1	25
2014-03-31 20:25:47.87682	132977	49	2	10
2014-03-31 20:25:48.10798	132978	23.2	1	10
2014-03-31 20:25:55.896375	132979	58	2	9
2014-03-31 20:25:56.11866	132980	22.6	1	9
2014-03-31 20:25:56.961821	132981	56	2	8
2014-03-31 20:25:57.193493	132982	19.9	1	8
2014-03-31 20:26:07.571961	132983	55	2	1
2014-03-31 20:26:07.793738	132984	21.7	1	1
2014-03-31 20:26:18.666016	132985	60	2	24
2014-03-31 20:26:18.901104	132986	19.1	1	24
2014-03-31 20:26:21.006328	132987	55	2	25
2014-03-31 20:26:21.229527	132988	18.3	1	25
2014-03-31 20:26:26.879597	132989	49	2	10
2014-03-31 20:26:27.135392	132990	23.2	1	10
2014-03-31 20:26:31.909112	132991	837	3	2
2014-03-31 20:26:32.135305	132992	1155840.8519846557	4	2
2014-03-31 20:26:34.894106	132993	58	2	9
2014-03-31 20:26:35.139033	132994	22.6	1	9
2014-03-31 20:26:35.963878	132995	56	2	8
2014-03-31 20:26:36.186188	132996	19.9	1	8
2014-03-31 20:26:43.907024	132997	853	3	2
2014-03-31 20:26:44.142751	132998	1155844.29908882	4	2
2014-03-31 20:26:46.570627	132999	55	2	1
2014-03-31 20:26:46.793266	133000	21.7	1	1
2014-03-31 20:26:57.664785	133001	60	2	24
2014-03-31 20:26:57.895714	133002	19.1	1	24
2014-03-31 20:27:00.003245	133003	55	2	25
2014-03-31 20:27:00.223907	133004	18.3	1	25
2014-03-31 20:27:05.875958	133005	49	2	10
2014-03-31 20:27:06.109569	133006	23.2	1	10
2014-03-31 20:27:13.89237	133007	58	2	9
2014-03-31 20:27:14.116408	133008	22.6	1	9
2014-03-31 20:27:14.96044	133009	56	2	8
2014-03-31 20:27:15.193175	133010	19.9	1	8
2014-03-31 20:27:25.569407	133011	55	2	1
2014-03-31 20:27:25.791399	133012	21.7	1	1
2014-03-31 20:27:31.906815	133013	837	3	2
2014-03-31 20:27:32.140184	133014	1155854.6404013126	4	2
2014-03-31 20:27:36.664779	133015	60	2	24
2014-03-31 20:27:36.88668	133016	19.1	1	24
2014-03-31 20:27:39.001686	133017	55	2	25
2014-03-31 20:27:39.234581	133018	18.3	1	25
2014-03-31 20:27:44.875761	133019	49	2	10
2014-03-31 20:27:45.100801	133020	23.2	1	10
2014-03-31 20:27:52.893342	133021	58	2	9
2014-03-31 20:27:53.125983	133022	22.6	1	9
2014-03-31 20:27:53.96242	133023	56	2	8
2014-03-31 20:27:54.185077	133024	19.9	1	8
2014-03-31 20:28:04.568536	133025	55	2	1
2014-03-31 20:28:04.801277	133026	21.6	1	1
2014-03-31 20:28:15.66371	133027	60	2	24
2014-03-31 20:28:15.887949	133028	19.1	1	24
2014-03-31 20:28:18.00166	133029	55	2	25
2014-03-31 20:28:18.235728	133030	18.3	1	25
2014-03-31 20:28:23.877852	133031	49	2	10
2014-03-31 20:28:24.100337	133032	23.3	1	10
2014-03-31 20:28:32.096088	133033	58	2	9
2014-03-31 20:28:32.329076	133034	22.6	1	9
2014-03-31 20:28:32.961917	133035	56	2	8
2014-03-31 20:28:33.183079	133036	19.9	1	8
2014-03-31 20:28:43.570588	133037	55	2	1
2014-03-31 20:28:43.802405	133038	21.6	1	1
2014-03-31 20:28:54.903595	133039	60	2	24
2014-03-31 20:28:55.126051	133040	19.0	1	24
2014-03-31 20:28:55.905797	133041	724	3	2
2014-03-31 20:28:56.147425	133042	1155874.1739915768	4	2
2014-03-31 20:28:57.001074	133043	55	2	25
2014-03-31 20:28:57.223197	133044	18.3	1	25
2014-03-31 20:29:02.877222	133045	49	2	10
2014-03-31 20:29:03.108978	133046	23.3	1	10
2014-03-31 20:29:07.90554	133047	820	3	2
2014-03-31 20:29:08.131583	133048	1155877.621095741	4	2
2014-03-31 20:29:10.894631	133049	58	2	9
2014-03-31 20:29:11.126401	133050	22.6	1	9
2014-03-31 20:29:11.962359	133051	56	2	8
2014-03-31 20:29:12.184089	133052	19.9	1	8
2014-03-31 20:29:19.904551	133053	837	3	2
2014-03-31 20:29:20.136489	133054	1155879.9191651838	4	2
2014-03-31 20:29:22.569696	133055	55	2	1
2014-03-31 20:29:22.79121	133056	21.6	1	1
2014-03-31 20:29:31.905712	133057	820	3	2
2014-03-31 20:29:32.13626	133058	1155882.2172346266	4	2
2014-03-31 20:29:33.661855	133059	60	2	24
2014-03-31 20:29:33.883387	133060	19.0	1	24
2014-03-31 20:29:36.001858	133061	55	2	25
2014-03-31 20:29:36.232316	133062	18.3	1	25
2014-03-31 20:29:41.878474	133063	49	2	10
2014-03-31 20:29:42.101145	133064	23.3	1	10
2014-03-31 20:29:49.894899	133065	58	2	9
2014-03-31 20:29:50.127076	133066	22.6	1	9
2014-03-31 20:29:50.96281	133067	56	2	8
2014-03-31 20:29:51.184168	133068	19.9	1	8
2014-03-31 20:30:01.572196	133069	55	2	1
2014-03-31 20:30:01.805544	133070	21.6	1	1
2014-03-31 20:30:12.66539	133071	60	2	24
2014-03-31 20:30:12.887347	133072	19.0	1	24
2014-03-31 20:30:15.000247	133073	55	2	25
2014-03-31 20:30:15.230338	133074	18.3	1	25
2014-03-31 20:30:20.879054	133075	49	2	10
2014-03-31 20:30:21.101503	133076	23.3	1	10
2014-03-31 20:30:28.894473	133077	58	2	9
2014-03-31 20:30:29.126778	133078	22.6	1	9
2014-03-31 20:30:29.962001	133079	56	2	8
2014-03-31 20:30:30.182919	133080	19.9	1	8
2014-03-31 20:30:31.905452	133081	820	3	2
2014-03-31 20:30:32.137289	133082	1155896.0056512835	4	2
2014-03-31 20:30:40.569177	133083	55	2	1
2014-03-31 20:30:40.793712	133084	21.6	1	1
2014-03-31 20:30:51.662328	133085	60	2	24
2014-03-31 20:30:51.89761	133086	19.0	1	24
2014-03-31 20:30:54.000083	133087	55	2	25
2014-03-31 20:30:54.221171	133088	18.3	1	25
2014-03-31 20:30:59.879373	133089	49	2	10
2014-03-31 20:31:00.121531	133090	23.3	1	10
2014-03-31 20:31:07.895451	133091	58	2	9
2014-03-31 20:31:08.117898	133092	22.6	1	9
2014-03-31 20:31:08.96159	133093	56	2	8
2014-03-31 20:31:09.19351	133094	19.9	1	8
2014-03-31 20:31:19.569035	133095	55	2	1
2014-03-31 20:31:19.793327	133096	21.5	1	1
2014-03-31 20:31:30.662395	133097	60	2	24
2014-03-31 20:31:30.895281	133098	19.0	1	24
2014-03-31 20:31:31.905903	133099	724	3	2
2014-03-31 20:31:32.127348	133100	1155909.7940679407	4	2
2014-03-31 20:31:33.003651	133101	55	2	25
2014-03-31 20:31:33.233808	133102	18.3	1	25
2014-03-31 20:31:38.880878	133103	49	2	10
2014-03-31 20:31:39.103122	133104	23.3	1	10
2014-03-31 20:31:43.907376	133105	820	3	2
2014-03-31 20:31:44.143535	133106	1155913.2411721048	4	2
2014-03-31 20:31:46.893893	133107	58	2	9
2014-03-31 20:31:47.117324	133108	22.6	1	9
2014-03-31 20:31:47.964525	133109	56	2	8
2014-03-31 20:31:48.195416	133110	19.9	1	8
2014-03-31 20:31:55.906254	133111	820	3	2
2014-03-31 20:31:56.128906	133112	1155915.5392415477	4	2
2014-03-31 20:31:58.566426	133113	55	2	1
2014-03-31 20:31:58.797548	133114	21.5	1	1
2014-03-31 20:32:09.659721	133115	60	2	24
2014-03-31 20:32:09.883201	133116	19.0	1	24
2014-03-31 20:32:12.00293	133117	55	2	25
2014-03-31 20:32:12.233325	133118	18.3	1	25
2014-03-31 20:32:17.879047	133119	49	2	10
2014-03-31 20:32:18.104094	133120	23.3	1	10
2014-03-31 20:32:25.892854	133121	58	2	9
2014-03-31 20:32:26.126328	133122	22.6	1	9
2014-03-31 20:32:26.96088	133123	56	2	8
2014-03-31 20:32:27.184277	133124	19.9	1	8
2014-03-31 20:32:31.904801	133125	837	3	2
2014-03-31 20:32:32.142295	133126	1155922.4379208283	4	2
2014-03-31 20:32:37.568303	133127	55	2	1
2014-03-31 20:32:37.793208	133128	21.5	1	1
2014-03-31 20:32:48.701167	133129	60	2	24
2014-03-31 20:32:48.933967	133130	19.0	1	24
2014-03-31 20:32:51.00386	133131	55	2	25
2014-03-31 20:32:51.227702	133132	18.3	1	25
2014-03-31 20:32:56.879006	133133	49	2	10
2014-03-31 20:32:57.116039	133134	23.3	1	10
2014-03-31 20:33:04.895369	133135	58	2	9
2014-03-31 20:33:05.121313	133136	22.6	1	9
2014-03-31 20:33:05.961274	133137	56	2	8
2014-03-31 20:33:06.206217	133138	19.9	1	8
2014-03-31 20:33:07.906025	133139	804	3	2
2014-03-31 20:33:08.12909	133140	1155930.4811638782	4	2
2014-03-31 20:33:16.564127	133141	55	2	1
2014-03-31 20:33:16.794826	133142	21.5	1	1
2014-03-31 20:33:19.904562	133143	708	3	2
2014-03-31 20:33:20.126032	133144	1155933.9282680426	4	2
2014-03-31 20:33:27.657093	133145	60	2	24
2014-03-31 20:33:27.889596	133146	19.0	1	24
2014-03-31 20:33:29.998903	133147	55	2	25
2014-03-31 20:33:30.222144	133148	18.3	1	25
2014-03-31 20:33:31.904057	133149	820	3	2
2014-03-31 20:33:32.136309	133150	1155936.2263374855	4	2
2014-03-31 20:33:35.877743	133151	49	2	10
2014-03-31 20:33:36.101149	133152	23.3	1	10
2014-03-31 20:33:44.097865	133153	58	2	9
2014-03-31 20:33:44.33097	133154	22.6	1	9
2014-03-31 20:33:44.960006	133155	56	2	8
2014-03-31 20:33:45.182888	133156	19.9	1	8
2014-03-31 20:33:55.565188	133157	55	2	1
2014-03-31 20:33:55.797278	133158	21.5	1	1
2014-03-31 20:34:06.658439	133159	60	2	24
2014-03-31 20:34:06.880089	133160	19.0	1	24
2014-03-31 20:34:08.99768	133161	55	2	25
2014-03-31 20:34:09.229734	133162	18.3	1	25
2014-03-31 20:34:14.879031	133163	49	2	10
2014-03-31 20:34:15.101553	133164	23.3	1	10
2014-03-31 20:34:22.895278	133165	58	2	9
2014-03-31 20:34:23.127543	133166	22.6	1	9
2014-03-31 20:34:23.961738	133167	56	2	8
2014-03-31 20:34:24.183144	133168	19.9	1	8
2014-03-31 20:34:31.905146	133169	820	3	2
2014-03-31 20:34:32.138889	133170	1155950.0147541424	4	2
2014-03-31 20:34:34.564896	133171	55	2	1
2014-03-31 20:34:34.787401	133172	21.5	1	1
2014-03-31 20:34:45.709751	133173	60	2	24
2014-03-31 20:34:45.943335	133174	19.0	1	24
2014-03-31 20:34:47.998841	133175	55	2	25
2014-03-31 20:34:48.219276	133176	18.3	1	25
2014-03-31 20:34:53.879786	133177	49	2	10
2014-03-31 20:34:54.111312	133178	23.3	1	10
2014-03-31 20:35:01.894469	133179	58	2	9
2014-03-31 20:35:02.116119	133180	22.6	1	9
2014-03-31 20:35:02.960268	133181	56	2	8
2014-03-31 20:35:03.190837	133182	19.9	1	8
2014-03-31 20:35:13.805568	133183	55	2	1
2014-03-31 20:35:14.028842	133184	21.5	1	1
2014-03-31 20:35:24.65977	133185	60	2	24
2014-03-31 20:35:24.903202	133186	19.0	1	24
2014-03-31 20:35:26.998904	133187	55	2	25
2014-03-31 20:35:27.220231	133188	18.3	1	25
2014-03-31 20:35:32.878806	133189	49	2	10
2014-03-31 20:35:33.11028	133190	23.3	1	10
2014-03-31 20:35:40.895109	133191	58	2	9
2014-03-31 20:35:41.117232	133192	22.6	1	9
2014-03-31 20:35:41.962107	133193	56	2	8
2014-03-31 20:35:42.193764	133194	19.9	1	8
2014-03-31 20:35:52.563832	133195	55	2	1
2014-03-31 20:35:52.790269	133196	21.4	1	1
2014-03-31 20:36:03.655211	133197	60	2	24
2014-03-31 20:36:03.887707	133198	19.0	1	24
2014-03-31 20:36:05.99647	133199	55	2	25
2014-03-31 20:36:06.21604	133200	18.3	1	25
2014-03-31 20:36:11.878556	133201	49	2	10
2014-03-31 20:36:12.110677	133202	23.3	1	10
2014-03-31 20:36:19.895643	133203	58	2	9
2014-03-31 20:36:20.118049	133204	22.7	1	9
2014-03-31 20:36:20.962086	133205	56	2	8
2014-03-31 20:36:21.193762	133206	19.9	1	8
2014-03-31 20:36:31.563291	133207	55	2	1
2014-03-31 20:36:31.786263	133208	21.4	1	1
2014-03-31 20:36:42.655366	133209	60	2	24
2014-03-31 20:36:42.888969	133210	19.0	1	24
2014-03-31 20:36:44.999678	133211	54	2	25
2014-03-31 20:36:45.219892	133212	18.3	1	25
2014-03-31 20:36:50.883432	133213	49	2	10
2014-03-31 20:36:51.115615	133214	23.3	1	10
2014-03-31 20:36:58.894207	133215	57	2	9
2014-03-31 20:36:59.115613	133216	22.7	1	9
2014-03-31 20:36:59.962624	133217	56	2	8
2014-03-31 20:37:00.195208	133218	19.9	1	8
2014-03-31 20:37:07.908452	133219	724	3	2
2014-03-31 20:37:08.131416	133220	1155985.6348305063	4	2
2014-03-31 20:37:10.563777	133221	55	2	1
2014-03-31 20:37:10.795987	133222	21.4	1	1
2014-03-31 20:37:19.906707	133223	708	3	2
2014-03-31 20:37:20.130759	133224	1155987.9328999491	4	2
2014-03-31 20:37:21.654952	133225	60	2	24
2014-03-31 20:37:21.887443	133226	19.0	1	24
2014-03-31 20:37:23.998866	133227	54	2	25
2014-03-31 20:37:24.220632	133228	18.4	1	25
2014-03-31 20:37:29.882848	133229	49	2	10
2014-03-31 20:37:30.126108	133230	23.3	1	10
2014-03-31 20:37:31.905601	133231	724	3	2
2014-03-31 20:37:32.129663	133232	1155991.3800041133	4	2
2014-03-31 20:37:37.912771	133233	57	2	9
2014-03-31 20:37:38.159648	133234	22.7	1	9
2014-03-31 20:37:38.963027	133235	56	2	8
2014-03-31 20:37:39.183922	133236	19.9	1	8
2014-03-31 20:37:49.562594	133237	55	2	1
2014-03-31 20:37:49.797016	133238	21.4	1	1
2014-03-31 20:37:55.905222	133239	676	3	2
2014-03-31 20:37:56.129822	133240	1155995.976142999	4	2
2014-03-31 20:38:00.655289	133241	60	2	24
2014-03-31 20:38:00.887004	133242	19.0	1	24
2014-03-31 20:38:02.997985	133243	54	2	25
2014-03-31 20:38:03.22284	133244	18.4	1	25
2014-03-31 20:38:07.903944	133245	692	3	2
2014-03-31 20:38:08.137497	133246	1155998.2742124419	4	2
2014-03-31 20:38:08.880805	133247	49	2	10
2014-03-31 20:38:09.10595	133248	23.3	1	10
2014-03-31 20:38:16.891444	133249	57	2	9
2014-03-31 20:38:17.124771	133250	22.7	1	9
2014-03-31 20:38:17.9613	133251	56	2	8
2014-03-31 20:38:18.184125	133252	19.9	1	8
2014-03-31 20:38:28.562475	133253	55	2	1
2014-03-31 20:38:28.793347	133254	21.4	1	1
2014-03-31 20:38:31.905883	133255	708	3	2
2014-03-31 20:38:32.128304	133256	1156002.8703513274	4	2
2014-03-31 20:38:39.652177	133257	60	2	24
2014-03-31 20:38:39.884155	133258	18.9	1	24
2014-03-31 20:38:41.995512	133259	54	2	25
2014-03-31 20:38:42.218833	133260	18.4	1	25
2014-03-31 20:38:47.881619	133261	49	2	10
2014-03-31 20:38:48.113368	133262	23.3	1	10
2014-03-31 20:38:55.89541	133263	57	2	9
2014-03-31 20:38:56.11842	133264	22.7	1	9
2014-03-31 20:38:56.960672	133265	56	2	8
2014-03-31 20:38:57.191303	133266	19.9	1	8
2014-03-31 20:39:07.562012	133267	55	2	1
2014-03-31 20:39:07.784819	133268	21.4	1	1
2014-03-31 20:39:18.65387	133269	60	2	24
2014-03-31 20:39:18.886456	133270	18.9	1	24
2014-03-31 20:39:20.999945	133271	54	2	25
2014-03-31 20:39:21.222262	133272	18.4	1	25
2014-03-31 20:39:26.883031	133273	49	2	10
2014-03-31 20:39:27.117647	133274	23.3	1	10
2014-03-31 20:39:34.892845	133275	57	2	9
2014-03-31 20:39:35.114698	133276	22.7	1	9
2014-03-31 20:39:35.960575	133277	56	2	8
2014-03-31 20:39:36.191291	133278	19.9	1	8
2014-03-31 20:39:46.562753	133279	55	2	1
2014-03-31 20:39:46.785386	133280	21.4	1	1
2014-03-31 20:39:57.694488	133281	60	2	24
2014-03-31 20:39:57.939455	133282	18.9	1	24
2014-03-31 20:39:59.99474	133283	54	2	25
2014-03-31 20:40:00.216253	133284	18.4	1	25
2014-03-31 20:40:05.880914	133285	49	2	10
2014-03-31 20:40:06.298015	133286	23.3	1	10
2014-03-31 20:40:07.902894	133287	820	3	2
2014-03-31 20:40:08.130164	133288	1156021.2549068702	4	2
2014-03-31 20:40:13.892839	133289	57	2	9
2014-03-31 20:40:14.112659	133290	22.7	1	9
2014-03-31 20:40:14.96125	133291	56	2	8
2014-03-31 20:40:15.190464	133292	19.8	1	8
2014-03-31 20:40:19.904196	133293	804	3	2
2014-03-31 20:40:20.128255	133294	1156024.7020110344	4	2
2014-03-31 20:40:25.562293	133295	55	2	1
2014-03-31 20:40:25.797461	133296	21.3	1	1
2014-03-31 20:40:31.904917	133297	804	3	2
2014-03-31 20:40:32.126285	133298	1156027.0000804772	4	2
2014-03-31 20:40:36.649644	133299	60	2	24
2014-03-31 20:40:36.8808	133300	18.9	1	24
2014-03-31 20:40:38.997367	133301	54	2	25
2014-03-31 20:40:39.218041	133302	18.4	1	25
2014-03-31 20:40:43.904413	133303	692	3	2
2014-03-31 20:40:44.135319	133304	1156029.29814992	4	2
2014-03-31 20:40:44.880784	133305	49	2	10
2014-03-31 20:40:45.102686	133306	23.3	1	10
2014-03-31 20:40:52.893781	133307	57	2	9
2014-03-31 20:40:53.124888	133308	22.7	1	9
2014-03-31 20:40:53.961208	133309	56	2	8
2014-03-31 20:40:54.181351	133310	19.8	1	8
2014-03-31 20:40:55.903464	133311	708	3	2
2014-03-31 20:40:56.13485	133312	1156031.596219363	4	2
2014-03-31 20:41:04.561451	133313	55	2	1
2014-03-31 20:41:04.784002	133314	21.3	1	1
2014-03-31 20:41:15.650878	133315	60	2	24
2014-03-31 20:41:15.938915	133316	18.9	1	24
2014-03-31 20:41:17.994987	133317	54	2	25
2014-03-31 20:41:18.216034	133318	18.4	1	25
2014-03-31 20:41:23.880436	133319	49	2	10
2014-03-31 20:41:24.11271	133320	23.3	1	10
2014-03-31 20:41:32.962239	133321	56	2	8
2014-03-31 20:41:33.184864	133322	19.8	1	8
2014-03-31 20:41:43.560121	133323	55	2	1
2014-03-31 20:41:43.793815	133324	21.3	1	1
2014-03-31 20:41:54.649719	133325	60	2	24
2014-03-31 20:41:54.873075	133326	18.9	1	24
2014-03-31 20:41:55.904156	133327	643	3	2
2014-03-31 20:41:56.136737	133328	1156043.086566577	4	2
2014-03-31 20:41:56.993948	133329	54	2	25
2014-03-31 20:41:57.21633	133330	18.4	1	25
2014-03-31 20:42:02.882621	133331	49	2	10
2014-03-31 20:42:03.12608	133332	23.3	1	10
2014-03-31 20:42:07.90712	133333	676	3	2
2014-03-31 20:42:08.133648	133334	1156045.3846360198	4	2
2014-03-31 20:42:10.894578	133335	57	2	9
2014-03-31 20:42:11.125249	133336	22.7	1	9
2014-03-31 20:42:11.961721	133337	56	2	8
2014-03-31 20:42:12.180892	133338	19.8	1	8
2014-03-31 20:42:19.905046	133339	643	3	2
2014-03-31 20:42:20.137293	133340	1156047.6827054627	4	2
2014-03-31 20:42:22.559368	133341	55	2	1
2014-03-31 20:42:22.783198	133342	21.3	1	1
2014-03-31 20:42:33.650397	133343	60	2	24
2014-03-31 20:42:33.8849	133344	18.9	1	24
2014-03-31 20:42:35.996631	133345	54	2	25
2014-03-31 20:42:36.215273	133346	18.4	1	25
2014-03-31 20:42:41.881735	133347	49	2	10
2014-03-31 20:42:42.116074	133348	23.3	1	10
2014-03-31 20:42:43.90612	133349	659	3	2
2014-03-31 20:42:44.125713	133350	1156052.2788443484	4	2
2014-03-31 20:42:49.894153	133351	57	2	9
2014-03-31 20:42:50.128106	133352	22.7	1	9
2014-03-31 20:42:50.963403	133353	56	2	8
2014-03-31 20:42:51.184074	133354	19.8	1	8
2014-03-31 20:43:01.559811	133355	55	2	1
2014-03-31 20:43:01.791852	133356	21.3	1	1
2014-03-31 20:43:12.647974	133357	60	2	24
2014-03-31 20:43:12.869769	133358	18.9	1	24
2014-03-31 20:43:14.996726	133359	54	2	25
2014-03-31 20:43:15.229476	133360	18.4	1	25
2014-03-31 20:43:20.882475	133361	49	2	10
2014-03-31 20:43:21.105898	133362	23.3	1	10
2014-03-31 20:43:28.89129	133363	57	2	9
2014-03-31 20:43:29.125964	133364	22.7	1	9
2014-03-31 20:43:29.962027	133365	56	2	8
2014-03-31 20:43:30.185805	133366	19.8	1	8
2014-03-31 20:43:40.558108	133367	55	2	1
2014-03-31 20:43:40.79014	133368	21.3	1	1
2014-03-31 20:43:51.646002	133369	60	2	24
2014-03-31 20:43:51.867475	133370	18.9	1	24
2014-03-31 20:43:53.994563	133371	54	2	25
2014-03-31 20:43:54.225816	133372	18.4	1	25
2014-03-31 20:43:59.882564	133373	49	2	10
2014-03-31 20:44:00.104945	133374	23.3	1	10
2014-03-31 20:44:07.892435	133375	57	2	9
2014-03-31 20:44:08.126588	133376	22.7	1	9
2014-03-31 20:44:08.961463	133377	56	2	8
2014-03-31 20:44:09.183077	133378	19.8	1	8
2014-03-31 20:44:19.559777	133379	55	2	1
2014-03-31 20:44:19.803227	133380	21.2	1	1
2014-03-31 20:44:30.647606	133381	60	2	24
2014-03-31 20:44:30.870067	133382	18.9	1	24
2014-03-31 20:44:31.902409	133383	643	3	2
2014-03-31 20:44:32.133343	133384	1156071.8124346123	4	2
2014-03-31 20:44:32.993919	133385	54	2	25
2014-03-31 20:44:33.214401	133386	18.4	1	25
2014-03-31 20:44:38.881908	133387	49	2	10
2014-03-31 20:44:39.113064	133388	23.3	1	10
2014-03-31 20:44:43.904405	133389	692	3	2
2014-03-31 20:44:44.130117	133390	1156074.1105040552	4	2
2014-03-31 20:44:46.892012	133391	57	2	9
2014-03-31 20:44:47.123095	133392	22.7	1	9
2014-03-31 20:44:47.96129	133393	56	2	8
2014-03-31 20:44:48.182172	133394	19.8	1	8
2014-03-31 20:44:55.904756	133395	643	3	2
2014-03-31 20:44:56.136713	133396	1156076.408573498	4	2
2014-03-31 20:44:58.561141	133397	55	2	1
2014-03-31 20:44:58.781345	133398	21.2	1	1
2014-03-31 20:45:09.64557	133399	60	2	24
2014-03-31 20:45:09.876834	133400	18.8	1	24
2014-03-31 20:45:11.994007	133401	54	2	25
2014-03-31 20:45:12.214069	133402	18.4	1	25
2014-03-31 20:45:17.881275	133403	49	2	10
2014-03-31 20:45:18.113707	133404	23.3	1	10
2014-03-31 20:45:25.891126	133405	57	2	9
2014-03-31 20:45:26.114431	133406	22.7	1	9
2014-03-31 20:45:26.960996	133407	56	2	8
2014-03-31 20:45:27.190843	133408	19.8	1	8
2014-03-31 20:45:31.903161	133409	627	3	2
2014-03-31 20:45:32.132141	133410	1156082.153747105	4	2
2014-03-31 20:45:37.561046	133411	55	2	1
2014-03-31 20:45:37.795301	133412	21.2	1	1
2014-03-31 20:45:48.643531	133413	60	2	24
2014-03-31 20:45:48.866124	133414	18.8	1	24
2014-03-31 20:45:50.990808	133415	54	2	25
2014-03-31 20:45:51.2291	133416	18.4	1	25
2014-03-31 20:45:56.88289	133417	49	2	10
2014-03-31 20:45:57.109444	133418	23.3	1	10
2014-03-31 20:46:04.892449	133419	57	2	9
2014-03-31 20:46:05.124572	133420	22.7	1	9
2014-03-31 20:46:05.961501	133421	56	2	8
2014-03-31 20:46:06.183221	133422	19.8	1	8
2014-03-31 20:46:16.557151	133423	55	2	1
2014-03-31 20:46:16.78997	133424	21.2	1	1
2014-03-31 20:46:27.646801	133425	60	2	24
2014-03-31 20:46:27.86794	133426	18.8	1	24
2014-03-31 20:46:29.992846	133427	54	2	25
2014-03-31 20:46:30.236276	133428	18.4	1	25
2014-03-31 20:46:31.903887	133429	643	3	2
2014-03-31 20:46:32.125747	133430	1156093.6440943193	4	2
2014-03-31 20:46:35.882357	133431	49	2	10
2014-03-31 20:46:36.113187	133432	23.3	1	10
2014-03-31 20:46:43.892994	133433	57	2	9
2014-03-31 20:46:44.113689	133434	22.7	1	9
2014-03-31 20:46:45.167246	133435	56	2	8
2014-03-31 20:46:45.397436	133436	19.8	1	8
2014-03-31 20:46:55.557289	133437	55	2	1
2014-03-31 20:46:55.780097	133438	21.2	1	1
2014-03-31 20:47:06.645089	133439	60	2	24
2014-03-31 20:47:06.877261	133440	18.8	1	24
2014-03-31 20:47:08.993848	133441	54	2	25
2014-03-31 20:47:09.213216	133442	18.4	1	25
2014-03-31 20:47:14.884299	133443	49	2	10
2014-03-31 20:47:15.117442	133444	23.3	1	10
2014-03-31 20:47:22.89509	133445	57	2	9
2014-03-31 20:47:23.136929	133446	22.7	1	9
2014-03-31 20:47:23.961621	133447	56	2	8
2014-03-31 20:47:24.191012	133448	19.8	1	8
2014-03-31 20:47:34.557124	133449	55	2	1
2014-03-31 20:47:34.777873	133450	21.2	1	1
2014-03-31 20:47:45.644195	133451	60	2	24
2014-03-31 20:47:45.877533	133452	18.8	1	24
2014-03-31 20:47:47.992144	133453	54	2	25
2014-03-31 20:47:48.213397	133454	18.4	1	25
2014-03-31 20:47:53.884019	133455	49	2	10
2014-03-31 20:47:54.11625	133456	23.3	1	10
2014-03-31 20:47:55.904312	133457	627	3	2
2014-03-31 20:47:56.126199	133458	1156108.5815456975	4	2
2014-03-31 20:48:01.89527	133459	57	2	9
2014-03-31 20:48:02.12685	133460	22.7	1	9
2014-03-31 20:48:02.962292	133461	56	2	8
2014-03-31 20:48:03.183626	133462	19.8	1	8
2014-03-31 20:48:07.902424	133463	627	3	2
2014-03-31 20:48:08.138544	133464	1156110.8796151404	4	2
2014-03-31 20:48:13.562122	133465	55	2	1
2014-03-31 20:48:13.788684	133466	21.2	1	1
2014-03-31 20:48:19.903082	133467	708	3	2
2014-03-31 20:48:20.136072	133468	1156113.1776845832	4	2
2014-03-31 20:48:24.644109	133469	60	2	24
2014-03-31 20:48:24.866318	133470	18.8	1	24
2014-03-31 20:48:26.99339	133471	54	2	25
2014-03-31 20:48:27.225256	133472	18.4	1	25
2014-03-31 20:48:31.90223	133473	708	3	2
2014-03-31 20:48:32.126361	133474	1156115.475754026	4	2
2014-03-31 20:48:32.883318	133475	49	2	10
2014-03-31 20:48:33.12922	133476	23.4	1	10
2014-03-31 20:48:40.896033	133477	57	2	9
2014-03-31 20:48:41.119311	133478	22.7	1	9
2014-03-31 20:48:41.960671	133479	56	2	8
2014-03-31 20:48:42.193562	133480	19.8	1	8
2014-03-31 20:48:43.904219	133481	676	3	2
2014-03-31 20:48:44.127252	133482	1156117.773823469	4	2
2014-03-31 20:48:52.557425	133483	55	2	1
2014-03-31 20:48:52.790144	133484	21.2	1	1
2014-03-31 20:48:55.904061	133485	708	3	2
2014-03-31 20:48:56.128737	133486	1156120.0718929118	4	2
2014-03-31 20:49:03.643967	133487	60	2	24
2014-03-31 20:49:03.876089	133488	18.8	1	24
2014-03-31 20:49:05.992024	133489	54	2	25
2014-03-31 20:49:06.214816	133490	18.4	1	25
2014-03-31 20:49:07.904028	133491	708	3	2
2014-03-31 20:49:08.137427	133492	1156122.3699623547	4	2
2014-03-31 20:49:11.884167	133493	49	2	10
2014-03-31 20:49:12.10649	133494	23.4	1	10
2014-03-31 20:49:19.892377	133495	57	2	9
2014-03-31 20:49:20.126211	133496	22.7	1	9
2014-03-31 20:49:20.961091	133497	56	2	8
2014-03-31 20:49:21.187531	133498	19.8	1	8
2014-03-31 20:49:31.566209	133499	55	2	1
2014-03-31 20:49:31.797734	133500	21.1	1	1
2014-03-31 20:49:42.642241	133501	60	2	24
2014-03-31 20:49:42.863748	133502	18.8	1	24
2014-03-31 20:49:44.990536	133503	54	2	25
2014-03-31 20:49:45.223056	133504	18.4	1	25
2014-03-31 20:49:50.882592	133505	49	2	10
2014-03-31 20:49:51.104357	133506	23.4	1	10
2014-03-31 20:49:58.892322	133507	57	2	9
2014-03-31 20:49:59.126195	133508	22.7	1	9
2014-03-31 20:49:59.959636	133509	56	2	8
2014-03-31 20:50:00.182594	133510	19.8	1	8
2014-03-31 20:50:10.554342	133511	55	2	1
2014-03-31 20:50:10.786549	133512	21.1	1	1
2014-03-31 20:50:21.640371	133513	60	2	24
2014-03-31 20:50:21.86869	133514	18.8	1	24
2014-03-31 20:50:23.99078	133515	54	2	25
2014-03-31 20:50:24.223372	133516	18.4	1	25
2014-03-31 20:50:29.88239	133517	49	2	10
2014-03-31 20:50:30.104636	133518	23.4	1	10
2014-03-31 20:50:31.903795	133519	708	3	2
2014-03-31 20:50:32.135035	133520	1156139.6054831757	4	2
2014-03-31 20:50:37.893418	133521	57	2	9
2014-03-31 20:50:38.114666	133522	22.7	1	9
2014-03-31 20:50:38.960493	133523	56	2	8
2014-03-31 20:50:39.204131	133524	19.8	1	8
2014-03-31 20:50:49.555634	133525	55	2	1
2014-03-31 20:50:49.776411	133526	21.1	1	1
2014-03-31 20:51:00.638637	133527	60	2	24
2014-03-31 20:51:00.870509	133528	18.8	1	24
2014-03-31 20:51:02.991234	133529	54	2	25
2014-03-31 20:51:03.212883	133530	18.4	1	25
2014-03-31 20:51:08.88285	133531	49	2	10
2014-03-31 20:51:09.117729	133532	23.4	1	10
2014-03-31 20:51:16.890141	133533	57	2	9
2014-03-31 20:51:17.111667	133534	22.7	1	9
2014-03-31 20:51:17.961856	133535	56	2	8
2014-03-31 20:51:18.195357	133536	19.8	1	8
2014-03-31 20:51:28.556884	133537	55	2	1
2014-03-31 20:51:28.779341	133538	21.1	1	1
2014-03-31 20:51:39.640424	133539	60	2	24
2014-03-31 20:51:39.872426	133540	18.8	1	24
2014-03-31 20:51:41.990388	133541	54	2	25
2014-03-31 20:51:42.209942	133542	18.4	1	25
2014-03-31 20:51:48.089078	133543	49	2	10
2014-03-31 20:51:48.320721	133544	23.4	1	10
2014-03-31 20:51:55.891986	133545	57	2	9
2014-03-31 20:51:56.114718	133546	22.7	1	9
2014-03-31 20:51:56.963967	133547	56	2	8
2014-03-31 20:51:57.196634	133548	19.8	1	8
2014-03-31 20:52:07.554005	133549	55	2	1
2014-03-31 20:52:07.776787	133550	21.1	1	1
2014-03-31 20:52:18.638047	133551	60	2	24
2014-03-31 20:52:18.871942	133552	18.7	1	24
2014-03-31 20:52:19.901693	133553	676	3	2
2014-03-31 20:52:20.123077	133554	1156160.2881081612	4	2
2014-03-31 20:52:20.990115	133555	54	2	25
2014-03-31 20:52:21.221677	133556	18.4	1	25
2014-03-31 20:52:26.892738	133557	49	2	10
2014-03-31 20:52:27.115255	133558	23.4	1	10
2014-03-31 20:52:31.901502	133559	708	3	2
2014-03-31 20:52:32.136017	133560	1156162.586177604	4	2
2014-03-31 20:52:34.892764	133561	57	2	9
2014-03-31 20:52:35.113608	133562	22.7	1	9
2014-03-31 20:52:35.960831	133563	56	2	8
2014-03-31 20:52:36.191662	133564	19.8	1	8
2014-03-31 20:52:46.557236	133565	55	2	1
2014-03-31 20:52:46.783295	133566	21.1	1	1
2014-03-31 20:52:55.90545	133567	692	3	2
2014-03-31 20:52:56.13863	133568	1156167.1823164898	4	2
2014-03-31 20:52:57.638758	133569	60	2	24
2014-03-31 20:52:57.864592	133570	18.7	1	24
2014-03-31 20:52:59.990784	133571	54	2	25
2014-03-31 20:53:00.232545	133572	18.4	1	25
2014-03-31 20:53:06.091764	133573	49	2	10
2014-03-31 20:53:06.31367	133574	23.4	1	10
2014-03-31 20:53:07.905027	133575	692	3	2
2014-03-31 20:53:08.135748	133576	1156169.4803859326	4	2
2014-03-31 20:53:13.895638	133577	56	2	9
2014-03-31 20:53:14.118196	133578	22.7	1	9
2014-03-31 20:53:14.962545	133579	56	2	8
2014-03-31 20:53:15.193875	133580	19.8	1	8
2014-03-31 20:53:25.555753	133581	55	2	1
2014-03-31 20:53:25.782816	133582	21.1	1	1
2014-03-31 20:53:36.44396	133583	659	3	2
2014-03-31 20:53:36.674939	133584	1156174.0765248183	4	2
2014-03-31 20:53:36.980019	133585	60	2	24
2014-03-31 20:53:37.201317	133586	18.7	1	24
2014-03-31 20:53:39.01122	133587	54	2	25
2014-03-31 20:53:39.242251	133588	18.4	1	25
2014-03-31 20:53:44.884336	133589	49	2	10
2014-03-31 20:53:45.107896	133590	23.4	1	10
2014-03-31 20:53:52.892484	133591	56	2	9
2014-03-31 20:53:53.125303	133592	22.6	1	9
2014-03-31 20:53:53.960955	133593	56	2	8
2014-03-31 20:53:54.183399	133594	19.8	1	8
2014-03-31 20:53:55.90219	133595	627	3	2
2014-03-31 20:53:56.133618	133596	1156178.672663704	4	2
2014-03-31 20:54:04.553845	133597	55	2	1
2014-03-31 20:54:04.795956	133598	21.0	1	1
2014-03-31 20:54:07.901766	133599	627	3	2
2014-03-31 20:54:08.133906	133600	1156180.9707331466	4	2
2014-03-31 20:54:15.636282	133601	60	2	24
2014-03-31 20:54:15.857351	133602	18.7	1	24
2014-03-31 20:54:17.990271	133603	54	2	25
2014-03-31 20:54:18.222946	133604	18.4	1	25
2014-03-31 20:54:23.884107	133605	49	2	10
2014-03-31 20:54:24.108195	133606	23.4	1	10
2014-03-31 20:54:32.095852	133607	56	2	9
2014-03-31 20:54:32.329762	133608	22.6	1	9
2014-03-31 20:54:32.960036	133609	56	2	8
2014-03-31 20:54:33.183943	133610	19.8	1	8
2014-03-31 20:54:43.555135	133611	55	2	1
2014-03-31 20:54:43.788022	133612	21.0	1	1
2014-03-31 20:54:54.636233	133613	60	2	24
2014-03-31 20:54:54.857956	133614	18.7	1	24
2014-03-31 20:54:55.900595	133615	611	3	2
2014-03-31 20:54:56.134039	133616	1156189.0139761968	4	2
2014-03-31 20:54:56.989416	133617	54	2	25
2014-03-31 20:54:57.212787	133618	18.4	1	25
2014-03-31 20:55:02.884746	133619	49	2	10
2014-03-31 20:55:03.127494	133620	23.4	1	10
2014-03-31 20:55:07.902346	133621	611	3	2
2014-03-31 20:55:08.127655	133622	1156191.3120456394	4	2
2014-03-31 20:55:10.892162	133623	56	2	9
2014-03-31 20:55:11.123242	133624	22.6	1	9
2014-03-31 20:55:11.959559	133625	56	2	8
2014-03-31 20:55:12.181753	133626	19.8	1	8
2014-03-31 20:55:22.553738	133627	55	2	1
2014-03-31 20:55:22.786598	133628	21.0	1	1
2014-03-31 20:55:31.902677	133629	611	3	2
2014-03-31 20:55:32.124467	133630	1156195.908184525	4	2
2014-03-31 20:55:33.632418	133631	60	2	24
2014-03-31 20:55:33.865846	133632	18.7	1	24
2014-03-31 20:55:36.23111	133633	54	2	25
2014-03-31 20:55:36.453773	133634	18.4	1	25
2014-03-31 20:55:41.884064	133635	49	2	10
2014-03-31 20:55:42.116798	133636	23.4	1	10
2014-03-31 20:55:43.904434	133637	643	3	2
2014-03-31 20:55:44.126158	133638	1156197.0572192466	4	2
2014-03-31 20:55:49.892384	133639	56	2	9
2014-03-31 20:55:50.124967	133640	22.6	1	9
2014-03-31 20:55:50.961708	133641	55	2	8
2014-03-31 20:55:51.183597	133642	19.8	1	8
2014-03-31 20:55:55.901031	133643	627	3	2
2014-03-31 20:55:56.135902	133644	1156199.3552886895	4	2
2014-03-31 20:56:01.551479	133645	55	2	1
2014-03-31 20:56:01.77796	133646	21.0	1	1
2014-03-31 20:56:12.635939	133647	60	2	24
2014-03-31 20:56:12.873621	133648	18.7	1	24
2014-03-31 20:56:14.989326	133649	54	2	25
2014-03-31 20:56:15.212717	133650	18.4	1	25
2014-03-31 20:56:20.885786	133651	49	2	10
2014-03-31 20:56:21.118279	133652	23.4	1	10
2014-03-31 20:56:28.892742	133653	56	2	9
2014-03-31 20:56:29.115141	133654	22.6	1	9
2014-03-31 20:56:29.960903	133655	55	2	8
2014-03-31 20:56:30.192972	133656	19.8	1	8
2014-03-31 20:56:31.903434	133657	611	3	2
2014-03-31 20:56:32.125338	133658	1156206.2494970178	4	2
2014-03-31 20:56:40.553554	133659	55	2	1
2014-03-31 20:56:40.786315	133660	21.0	1	1
2014-03-31 20:56:51.637131	133661	60	2	24
2014-03-31 20:56:51.864914	133662	18.7	1	24
2014-03-31 20:56:53.988859	133663	54	2	25
2014-03-31 20:56:54.220454	133664	18.4	1	25
2014-03-31 20:56:59.688826	133665	643	3	2
2014-03-31 20:56:59.914855	133666	1156209.6966011822	4	2
2014-03-31 20:57:00.219329	133667	49	2	10
2014-03-31 20:57:00.462667	133668	23.4	1	10
2014-03-31 20:57:08.095451	133669	56	2	9
2014-03-31 20:57:08.31612	133670	22.6	1	9
2014-03-31 20:57:08.96176	133671	55	2	8
2014-03-31 20:57:09.192459	133672	19.8	1	8
2014-03-31 20:57:19.549644	133673	55	2	1
2014-03-31 20:57:19.774523	133674	21.0	1	1
2014-03-31 20:57:30.634069	133675	60	2	24
2014-03-31 20:57:30.868025	133676	18.7	1	24
2014-03-31 20:57:31.904257	133677	643	3	2
2014-03-31 20:57:32.125974	133678	1156215.4462457413	4	2
2014-03-31 20:57:32.989217	133679	54	2	25
2014-03-31 20:57:33.220255	133680	18.4	1	25
2014-03-31 20:57:38.884934	133681	49	2	10
2014-03-31 20:57:39.108954	133682	23.4	1	10
2014-03-31 20:57:46.891424	133683	56	2	9
2014-03-31 20:57:47.124196	133684	22.6	1	9
2014-03-31 20:57:47.960532	133685	55	2	8
2014-03-31 20:57:48.183188	133686	19.8	1	8
2014-03-31 20:57:58.550476	133687	55	2	1
2014-03-31 20:57:58.783849	133688	21.0	1	1
2014-03-31 20:58:09.633021	133689	60	2	24
2014-03-31 20:58:09.858756	133690	18.7	1	24
2014-03-31 20:58:11.989038	133691	54	2	25
2014-03-31 20:58:12.219274	133692	18.4	1	25
2014-03-31 20:58:17.887647	133693	49	2	10
2014-03-31 20:58:18.109996	133694	23.4	1	10
2014-03-31 20:58:25.892492	133695	56	2	9
2014-03-31 20:58:26.12515	133696	22.6	1	9
2014-03-31 20:58:26.962822	133697	55	2	8
2014-03-31 20:58:27.184634	133698	19.8	1	8
2014-03-31 20:58:31.904639	133699	643	3	2
2014-03-31 20:58:32.16362	133700	1156225.787558234	4	2
2014-03-31 20:58:37.789833	133701	55	2	1
2014-03-31 20:58:38.017729	133702	21.0	1	1
2014-03-31 20:58:48.63191	133703	60	2	24
2014-03-31 20:58:48.865217	133704	18.7	1	24
2014-03-31 20:58:50.990036	133705	54	2	25
2014-03-31 20:58:51.210702	133706	18.4	1	25
2014-03-31 20:58:56.886308	133707	49	2	10
2014-03-31 20:58:57.120863	133708	23.4	1	10
2014-03-31 20:59:04.891745	133709	56	2	9
2014-03-31 20:59:05.116107	133710	22.6	1	9
2014-03-31 20:59:05.961746	133711	55	2	8
2014-03-31 20:59:06.194987	133712	19.8	1	8
2014-03-31 20:59:16.60182	133713	55	2	1
2014-03-31 20:59:16.824442	133714	21.0	1	1
2014-03-31 20:59:27.631908	133715	60	2	24
2014-03-31 20:59:27.875801	133716	18.6	1	24
2014-03-31 20:59:29.989305	133717	54	2	25
2014-03-31 20:59:30.213174	133718	18.4	1	25
2014-03-31 20:59:31.90281	133719	659	3	2
2014-03-31 20:59:32.135715	133720	1156237.2779054483	4	2
2014-03-31 20:59:35.886742	133721	49	2	10
2014-03-31 20:59:36.111633	133722	23.4	1	10
2014-03-31 20:59:43.892543	133723	56	2	9
2014-03-31 20:59:44.12734	133724	22.6	1	9
2014-03-31 20:59:44.961725	133725	55	2	8
2014-03-31 20:59:45.186656	133726	19.8	1	8
2014-03-31 20:59:55.552054	133727	55	2	1
2014-03-31 20:59:55.783586	133728	21.0	1	1
2014-03-31 21:00:06.631864	133729	60	2	24
2014-03-31 21:00:06.854503	133730	18.6	1	24
2014-03-31 21:00:08.989007	133731	54	2	25
2014-03-31 21:00:09.222432	133732	18.4	1	25
2014-03-31 21:00:14.890036	133733	49	2	10
2014-03-31 21:00:15.112531	133734	23.4	1	10
2014-03-31 21:00:22.890021	133735	56	2	9
2014-03-31 21:00:23.122375	133736	22.6	1	9
2014-03-31 21:00:24.166532	133737	55	2	8
2014-03-31 21:00:24.388295	133738	19.8	1	8
2014-03-31 21:00:31.901912	133739	692	3	2
2014-03-31 21:00:32.135044	133740	1156247.619217941	4	2
2014-03-31 21:00:34.551433	133741	55	2	1
2014-03-31 21:00:34.772878	133742	20.9	1	1
2014-03-31 21:00:45.630645	133743	60	2	24
2014-03-31 21:00:45.863577	133744	18.6	1	24
2014-03-31 21:00:47.988888	133745	54	2	25
2014-03-31 21:00:48.21224	133746	18.4	1	25
2014-03-31 21:00:53.886163	133747	49	2	10
2014-03-31 21:00:54.120388	133748	23.4	1	10
2014-03-31 21:01:01.892255	133749	56	2	9
2014-03-31 21:01:02.115197	133750	22.6	1	9
2014-03-31 21:01:02.961991	133751	55	2	8
2014-03-31 21:01:03.193325	133752	19.8	1	8
2014-03-31 21:01:13.553819	133753	55	2	1
2014-03-31 21:01:13.774957	133754	20.9	1	1
2014-03-31 21:01:24.629469	133755	60	2	24
2014-03-31 21:01:24.861829	133756	18.6	1	24
2014-03-31 21:01:26.986377	133757	54	2	25
2014-03-31 21:01:27.209108	133758	18.4	1	25
2014-03-31 21:01:31.903427	133759	708	3	2
2014-03-31 21:01:32.134553	133760	1156260.2585998767	4	2
2014-03-31 21:01:32.887463	133761	49	2	10
2014-03-31 21:01:33.109173	133762	23.4	1	10
2014-03-31 21:01:40.89325	133763	56	2	9
2014-03-31 21:01:41.136971	133764	22.6	1	9
2014-03-31 21:01:41.960329	133765	55	2	8
2014-03-31 21:01:42.182739	133766	19.8	1	8
2014-03-31 21:01:43.901098	133767	676	3	2
2014-03-31 21:01:44.133232	133768	1156262.5566693195	4	2
2014-03-31 21:01:52.550492	133769	55	2	1
2014-03-31 21:01:52.773252	133770	20.9	1	1
2014-03-31 21:01:55.90146	133771	676	3	2
2014-03-31 21:01:56.134851	133772	1156264.8547387624	4	2
2014-03-31 21:02:03.630557	133773	60	2	24
2014-03-31 21:02:03.853028	133774	18.6	1	24
2014-03-31 21:02:05.988112	133775	54	2	25
2014-03-31 21:02:06.218645	133776	18.4	1	25
2014-03-31 21:02:11.887064	133777	49	2	10
2014-03-31 21:02:12.109637	133778	23.4	1	10
2014-03-31 21:02:19.891077	133779	56	2	9
2014-03-31 21:02:20.123173	133780	22.6	1	9
2014-03-31 21:02:20.961764	133781	55	2	8
2014-03-31 21:02:21.182623	133782	19.8	1	8
2014-03-31 21:02:31.547845	133783	55	2	1
2014-03-31 21:02:31.783691	133784	20.9	1	1
2014-03-31 21:02:32.089014	133785	692	3	2
2014-03-31 21:02:32.311698	133786	1156271.7489470907	4	2
2014-03-31 21:02:42.631205	133787	60	2	24
2014-03-31 21:02:42.867298	133788	18.6	1	24
2014-03-31 21:02:44.984572	133789	54	2	25
2014-03-31 21:02:45.206425	133790	18.4	1	25
2014-03-31 21:02:50.882947	133791	49	2	10
2014-03-31 21:02:51.115187	133792	23.4	1	10
2014-03-31 21:02:55.901158	133793	724	3	2
2014-03-31 21:02:56.125802	133794	1156276.3450859764	4	2
2014-03-31 21:02:58.892078	133795	56	2	9
2014-03-31 21:02:59.124884	133796	22.6	1	9
2014-03-31 21:02:59.961331	133797	55	2	8
2014-03-31 21:03:00.183132	133798	19.8	1	8
2014-03-31 21:03:07.903314	133799	676	3	2
2014-03-31 21:03:08.147002	133800	1156278.6431554193	4	2
2014-03-31 21:03:10.548248	133801	55	2	1
2014-03-31 21:03:10.771504	133802	20.9	1	1
2014-03-31 21:03:19.900642	133803	692	3	2
2014-03-31 21:03:20.132915	133804	1156280.9412248621	4	2
2014-03-31 21:03:21.627048	133805	60	2	24
2014-03-31 21:03:21.857062	133806	18.6	1	24
2014-03-31 21:03:23.986561	133807	54	2	25
2014-03-31 21:03:24.218594	133808	18.4	1	25
2014-03-31 21:03:29.889247	133809	49	2	10
2014-03-31 21:03:30.112047	133810	23.4	1	10
2014-03-31 21:03:31.904778	133811	692	3	2
2014-03-31 21:03:32.146802	133812	1156283.239294305	4	2
2014-03-31 21:03:37.892409	133813	56	2	9
2014-03-31 21:03:38.114739	133814	22.6	1	9
2014-03-31 21:03:38.961033	133815	55	2	8
2014-03-31 21:03:39.19203	133816	19.8	1	8
2014-03-31 21:03:49.549076	133817	55	2	1
2014-03-31 21:03:49.770834	133818	20.9	1	1
2014-03-31 21:04:00.626248	133819	60	2	24
2014-03-31 21:04:00.856994	133820	18.6	1	24
2014-03-31 21:04:02.98912	133821	54	2	25
2014-03-31 21:04:03.213944	133822	18.4	1	25
2014-03-31 21:04:08.887922	133823	49	2	10
2014-03-31 21:04:09.12158	133824	23.4	1	10
2014-03-31 21:04:16.892056	133825	56	2	9
2014-03-31 21:04:17.118472	133826	22.6	1	9
2014-03-31 21:04:17.963213	133827	55	2	8
2014-03-31 21:04:18.19482	133828	19.8	1	8
2014-03-31 21:04:28.547957	133829	56	2	1
2014-03-31 21:04:28.769586	133830	20.9	1	1
2014-03-31 21:04:31.902621	133831	708	3	2
2014-03-31 21:04:32.136227	133832	1156294.729641519	4	2
2014-03-31 21:04:39.625982	133833	60	2	24
2014-03-31 21:04:39.850364	133834	18.6	1	24
2014-03-31 21:04:41.984159	133835	55	2	25
2014-03-31 21:04:42.216868	133836	18.5	1	25
2014-03-31 21:04:47.889563	133837	49	2	10
2014-03-31 21:04:48.114191	133838	23.4	1	10
2014-03-31 21:04:55.892119	133839	56	2	9
2014-03-31 21:04:56.125787	133840	22.6	1	9
2014-03-31 21:04:56.96119	133841	55	2	8
2014-03-31 21:04:57.184662	133842	19.8	1	8
2014-03-31 21:05:07.547422	133843	56	2	1
2014-03-31 21:05:07.779011	133844	20.9	1	1
2014-03-31 21:05:08.085246	133845	676	3	2
2014-03-31 21:05:08.308778	133846	1156301.6238498476	4	2
2014-03-31 21:05:18.625588	133847	60	2	24
2014-03-31 21:05:18.857961	133848	18.6	1	24
2014-03-31 21:05:19.902435	133849	692	3	2
2014-03-31 21:05:20.123417	133850	1156303.9219192904	4	2
2014-03-31 21:05:20.98468	133851	54	2	25
2014-03-31 21:05:21.218187	133852	18.5	1	25
2014-03-31 21:05:26.888196	133853	49	2	10
2014-03-31 21:05:27.110966	133854	23.4	1	10
2014-03-31 21:05:34.890288	133855	56	2	9
2014-03-31 21:05:35.124295	133856	22.6	1	9
2014-03-31 21:05:35.961456	133857	55	2	8
2014-03-31 21:05:36.184219	133858	19.8	1	8
2014-03-31 21:05:46.54623	133859	56	2	1
2014-03-31 21:05:46.845116	133860	20.8	1	1
2014-03-31 21:05:55.900637	133861	659	3	2
2014-03-31 21:05:56.122856	133862	1156310.8161276188	4	2
2014-03-31 21:05:57.624219	133863	60	2	24
2014-03-31 21:05:57.855766	133864	18.6	1	24
2014-03-31 21:05:59.984782	133865	54	2	25
2014-03-31 21:06:00.206145	133866	18.5	1	25
2014-03-31 21:06:05.887647	133867	49	2	10
2014-03-31 21:06:06.12334	133868	23.4	1	10
2014-03-31 21:06:07.899007	133869	676	3	2
2014-03-31 21:06:08.121955	133870	1156313.1141970616	4	2
2014-03-31 21:06:13.892536	133871	56	2	9
2014-03-31 21:06:14.12383	133872	22.6	1	9
2014-03-31 21:06:14.960117	133873	55	2	8
2014-03-31 21:06:15.181758	133874	19.8	1	8
2014-03-31 21:06:19.900739	133875	643	3	2
2014-03-31 21:06:20.13626	133876	1156315.4122665045	4	2
2014-03-31 21:06:25.546955	133877	56	2	1
2014-03-31 21:06:25.774078	133878	20.8	1	1
2014-03-31 21:06:31.901035	133879	643	3	2
2014-03-31 21:06:32.133603	133880	1156317.7103359473	4	2
2014-03-31 21:06:36.625363	133881	60	2	24
2014-03-31 21:06:36.847099	133882	18.5	1	24
2014-03-31 21:06:38.984481	133883	55	2	25
2014-03-31 21:06:39.217008	133884	18.5	1	25
2014-03-31 21:06:44.888694	133885	49	2	10
2014-03-31 21:06:45.113391	133886	23.4	1	10
2014-03-31 21:06:52.893811	133887	56	2	9
2014-03-31 21:06:53.125974	133888	22.6	1	9
2014-03-31 21:06:53.960736	133889	55	2	8
2014-03-31 21:06:54.185245	133890	19.8	1	8
2014-03-31 21:06:55.901991	133891	611	3	2
2014-03-31 21:06:56.132266	133892	1156321.1574401115	4	2
2014-03-31 21:07:04.549023	133893	56	2	1
2014-03-31 21:07:04.773293	133894	20.8	1	1
2014-03-31 21:07:07.902519	133895	611	3	2
2014-03-31 21:07:08.134539	133896	1156323.4555095544	4	2
2014-03-31 21:07:15.625235	133897	60	2	24
2014-03-31 21:07:15.848923	133898	18.5	1	24
2014-03-31 21:07:17.983681	133899	54	2	25
2014-03-31 21:07:18.214994	133900	18.5	1	25
2014-03-31 21:07:23.891272	133901	49	2	10
2014-03-31 21:07:24.113159	133902	23.4	1	10
2014-03-31 21:07:32.097469	133903	56	2	9
2014-03-31 21:07:32.332129	133904	22.6	1	9
2014-03-31 21:07:32.960911	133905	55	2	8
2014-03-31 21:07:33.182809	133906	19.8	1	8
2014-03-31 21:07:43.546082	133907	56	2	1
2014-03-31 21:07:43.794639	133908	20.8	1	1
2014-03-31 21:07:44.10107	133909	611	3	2
2014-03-31 21:07:44.322042	133910	1156330.349717883	4	2
2014-03-31 21:07:54.625105	133911	60	2	24
2014-03-31 21:07:54.858189	133912	18.5	1	24
2014-03-31 21:07:56.982385	133913	54	2	25
2014-03-31 21:07:57.204056	133914	18.5	1	25
2014-03-31 21:08:02.888252	133915	49	2	10
2014-03-31 21:08:03.120586	133916	23.4	1	10
2014-03-31 21:08:10.892132	133917	56	2	9
2014-03-31 21:08:11.113879	133918	22.6	1	9
2014-03-31 21:08:11.960538	133919	55	2	8
2014-03-31 21:08:12.192756	133920	19.8	1	8
2014-03-31 21:08:22.547518	133921	56	2	1
2014-03-31 21:08:22.770033	133922	20.8	1	1
2014-03-31 21:08:33.620978	133923	60	2	24
2014-03-31 21:08:33.854857	133924	18.5	1	24
2014-03-31 21:08:35.981654	133925	54	2	25
2014-03-31 21:08:36.20326	133926	18.5	1	25
2014-03-31 21:08:41.891605	133927	49	2	10
2014-03-31 21:08:42.123478	133928	23.4	1	10
2014-03-31 21:08:49.892469	133929	56	2	9
2014-03-31 21:08:50.113869	133930	22.5	1	9
2014-03-31 21:08:50.960881	133931	55	2	8
2014-03-31 21:08:51.194971	133932	19.8	1	8
2014-03-31 21:09:01.545216	133933	56	2	1
2014-03-31 21:09:01.766582	133934	20.8	1	1
2014-03-31 21:09:12.620819	133935	60	2	24
2014-03-31 21:09:12.853686	133936	18.5	1	24
2014-03-31 21:09:14.985378	133937	54	2	25
2014-03-31 21:09:15.206959	133938	18.5	1	25
2014-03-31 21:09:20.892466	133939	49	2	10
2014-03-31 21:09:21.124228	133940	23.4	1	10
2014-03-31 21:09:28.893095	133941	56	2	9
2014-03-31 21:09:29.117306	133942	22.5	1	9
2014-03-31 21:09:29.962779	133943	55	2	8
2014-03-31 21:09:30.196263	133944	19.8	1	8
2014-03-31 21:09:31.902816	133945	643	3	2
2014-03-31 21:09:32.127641	133946	1156348.7342734255	4	2
2014-03-31 21:09:40.545818	133947	56	2	1
2014-03-31 21:09:40.77689	133948	20.8	1	1
2014-03-31 21:09:51.621195	133949	60	2	24
2014-03-31 21:09:51.848816	133950	18.5	1	24
2014-03-31 21:09:53.98168	133951	54	2	25
2014-03-31 21:09:54.214404	133952	18.5	1	25
2014-03-31 21:09:59.890806	133953	49	2	10
2014-03-31 21:10:00.116439	133954	23.4	1	10
2014-03-31 21:10:07.894097	133955	56	2	9
2014-03-31 21:10:08.139841	133956	22.5	1	9
2014-03-31 21:10:08.961808	133957	55	2	8
2014-03-31 21:10:09.185018	133958	19.8	1	8
2014-03-31 21:10:19.549489	133959	56	2	1
2014-03-31 21:10:19.78468	133960	20.8	1	1
2014-03-31 21:10:20.092889	133961	611	3	2
2014-03-31 21:10:20.314104	133962	1156356.7775164754	4	2
2014-03-31 21:10:30.620239	133963	60	2	24
2014-03-31 21:10:30.851859	133964	18.5	1	24
2014-03-31 21:10:31.900351	133965	643	3	2
2014-03-31 21:10:32.122052	133966	1156359.0755859183	4	2
2014-03-31 21:10:32.982578	133967	54	2	25
2014-03-31 21:10:33.21491	133968	18.5	1	25
2014-03-31 21:10:38.890507	133969	49	2	10
2014-03-31 21:10:39.125374	133970	23.4	1	10
2014-03-31 21:10:43.900101	133971	611	3	2
2014-03-31 21:10:44.135929	133972	1156361.3736553611	4	2
2014-03-31 21:10:46.942852	133973	56	2	9
2014-03-31 21:10:47.167016	133974	22.5	1	9
2014-03-31 21:10:47.960138	133975	55	2	8
2014-03-31 21:10:48.194122	133976	19.8	1	8
2014-03-31 21:10:55.901565	133977	627	3	2
2014-03-31 21:10:56.124934	133978	1156363.671724804	4	2
2014-03-31 21:10:58.542969	133979	56	2	1
2014-03-31 21:10:58.777396	133980	20.8	1	1
2014-03-31 21:11:09.620296	133981	60	2	24
2014-03-31 21:11:09.841263	133982	18.5	1	24
2014-03-31 21:11:11.982401	133983	54	2	25
2014-03-31 21:11:12.213337	133984	18.5	1	25
2014-03-31 21:11:17.890312	133985	49	2	10
2014-03-31 21:11:18.112084	133986	23.4	1	10
2014-03-31 21:11:25.892392	133987	55	2	9
2014-03-31 21:11:26.124898	133988	22.5	1	9
2014-03-31 21:11:26.960229	133989	55	2	8
2014-03-31 21:11:27.180148	133990	19.7	1	8
2014-03-31 21:11:37.347451	133991	643	3	2
2014-03-31 21:11:37.579863	133992	1156369.416898411	4	2
2014-03-31 21:11:37.886865	133993	56	2	1
2014-03-31 21:11:38.109736	133994	20.8	1	1
2014-03-31 21:11:48.619115	133995	60	2	24
2014-03-31 21:11:48.851554	133996	18.5	1	24
2014-03-31 21:11:50.982455	133997	54	2	25
2014-03-31 21:11:51.204646	133998	18.5	1	25
2014-03-31 21:11:56.890064	133999	49	2	10
2014-03-31 21:11:57.123299	134000	23.4	1	10
2014-03-31 21:12:04.889668	134001	55	2	9
2014-03-31 21:12:05.115555	134002	22.5	1	9
2014-03-31 21:12:05.960309	134003	55	2	8
2014-03-31 21:12:06.203616	134004	19.7	1	8
2014-03-31 21:12:16.546407	134005	56	2	1
2014-03-31 21:12:16.769188	134006	20.8	1	1
2014-03-31 21:12:27.61953	134007	60	2	24
2014-03-31 21:12:27.853397	134008	18.5	1	24
2014-03-31 21:12:29.98486	134009	54	2	25
2014-03-31 21:12:30.206995	134010	18.5	1	25
2014-03-31 21:12:35.88854	134011	49	2	10
2014-03-31 21:12:36.126084	134012	23.4	1	10
2014-03-31 21:12:43.892646	134013	55	2	9
2014-03-31 21:12:44.116079	134014	22.5	1	9
2014-03-31 21:12:44.960154	134015	55	2	8
2014-03-31 21:12:45.19301	134016	19.7	1	8
2014-03-31 21:12:55.543041	134017	56	2	1
2014-03-31 21:12:55.767389	134018	20.7	1	1
2014-03-31 21:12:56.074355	134019	611	3	2
2014-03-31 21:12:56.305688	134020	1156384.3543497894	4	2
2014-03-31 21:13:06.619982	134021	60	2	24
2014-03-31 21:13:06.844891	134022	18.5	1	24
2014-03-31 21:13:07.90014	134023	692	3	2
2014-03-31 21:13:08.130889	134024	1156386.6524192323	4	2
2014-03-31 21:13:08.980218	134025	54	2	25
2014-03-31 21:13:09.202715	134026	18.5	1	25
2014-03-31 21:13:14.890977	134027	49	2	10
2014-03-31 21:13:15.125844	134028	23.4	1	10
2014-03-31 21:13:19.899461	134029	804	3	2
2014-03-31 21:13:20.128317	134030	1156388.9504886752	4	2
2014-03-31 21:13:22.892482	134031	55	2	9
2014-03-31 21:13:23.124218	134032	22.5	1	9
2014-03-31 21:13:23.960743	134033	55	2	8
2014-03-31 21:13:24.181154	134034	19.7	1	8
2014-03-31 21:13:31.90003	134035	820	3	2
2014-03-31 21:13:32.133997	134036	1156392.3975928393	4	2
2014-03-31 21:13:34.54169	134037	56	2	1
2014-03-31 21:13:34.76547	134038	20.7	1	1
2014-03-31 21:13:45.616543	134039	60	2	24
2014-03-31 21:13:45.851484	134040	18.5	1	24
2014-03-31 21:13:47.982136	134041	54	2	25
2014-03-31 21:13:48.204898	134042	18.5	1	25
2014-03-31 21:13:53.8898	134043	49	2	10
2014-03-31 21:13:54.122212	134044	23.4	1	10
2014-03-31 21:14:01.893466	134045	55	2	9
2014-03-31 21:14:02.116275	134046	22.5	1	9
2014-03-31 21:14:03.165464	134047	55	2	8
2014-03-31 21:14:03.397306	134048	19.7	1	8
2014-03-31 21:14:13.544498	134049	56	2	1
2014-03-31 21:14:13.767184	134050	20.7	1	1
2014-03-31 21:14:24.625735	134051	60	2	24
2014-03-31 21:14:24.870744	134052	18.5	1	24
2014-03-31 21:14:26.97921	134053	54	2	25
2014-03-31 21:14:27.200236	134054	18.5	1	25
2014-03-31 21:14:31.903327	134055	837	3	2
2014-03-31 21:14:32.134751	134056	1156406.1860094962	4	2
2014-03-31 21:14:32.893123	134057	49	2	10
2014-03-31 21:14:33.113676	134058	23.4	1	10
2014-03-31 21:14:40.894509	134059	55	2	9
2014-03-31 21:14:41.125807	134060	22.5	1	9
2014-03-31 21:14:41.960774	134061	55	2	8
2014-03-31 21:14:42.184627	134062	19.7	1	8
2014-03-31 21:14:52.544127	134063	56	2	1
2014-03-31 21:14:52.776166	134064	20.7	1	1
2014-03-31 21:15:03.61746	134065	60	2	24
2014-03-31 21:15:03.838822	134066	18.5	1	24
2014-03-31 21:15:05.980173	134067	54	2	25
2014-03-31 21:15:06.212949	134068	18.5	1	25
2014-03-31 21:15:11.892864	134069	49	2	10
2014-03-31 21:15:12.117149	134070	23.4	1	10
2014-03-31 21:15:19.892344	134071	55	2	9
2014-03-31 21:15:20.126133	134072	22.5	1	9
2014-03-31 21:15:20.960836	134073	55	2	8
2014-03-31 21:15:21.183399	134074	19.7	1	8
2014-03-31 21:15:31.542284	134075	56	2	1
2014-03-31 21:15:31.775426	134076	20.7	1	1
2014-03-31 21:15:32.083935	134077	837	3	2
2014-03-31 21:15:32.305576	134078	1156419.9744261533	4	2
2014-03-31 21:15:42.615812	134079	60	2	24
2014-03-31 21:15:42.848047	134080	18.4	1	24
2014-03-31 21:15:44.976769	134081	54	2	25
2014-03-31 21:15:45.201281	134082	18.5	1	25
2014-03-31 21:15:50.890103	134083	49	2	10
2014-03-31 21:15:51.12566	134084	23.4	1	10
2014-03-31 21:15:58.892768	134085	55	2	9
2014-03-31 21:15:59.114623	134086	22.5	1	9
2014-03-31 21:15:59.960549	134087	55	2	8
2014-03-31 21:16:00.193448	134088	19.7	1	8
2014-03-31 21:16:10.541659	134089	56	2	1
2014-03-31 21:16:10.763825	134090	20.7	1	1
2014-03-31 21:16:21.613622	134091	60	2	24
2014-03-31 21:16:21.845495	134092	18.4	1	24
2014-03-31 21:16:23.978617	134093	54	2	25
2014-03-31 21:16:24.203698	134094	18.5	1	25
2014-03-31 21:16:29.890348	134095	49	2	10
2014-03-31 21:16:30.125809	134096	23.4	1	10
2014-03-31 21:16:31.901931	134097	820	3	2
2014-03-31 21:16:32.123852	134098	1156433.7628428102	4	2
2014-03-31 21:16:37.893396	134099	55	2	9
2014-03-31 21:16:38.135929	134100	22.5	1	9
2014-03-31 21:16:38.959743	134101	55	2	8
2014-03-31 21:16:39.180512	134102	19.7	1	8
2014-03-31 21:16:49.540906	134103	56	2	1
2014-03-31 21:16:49.959035	134104	20.7	1	1
2014-03-31 21:17:00.614371	134105	60	2	24
2014-03-31 21:17:00.841713	134106	18.4	1	24
2014-03-31 21:17:03.220589	134107	54	2	25
2014-03-31 21:17:03.444548	134108	18.5	1	25
2014-03-31 21:17:07.899992	134109	853	3	2
2014-03-31 21:17:08.130753	134110	1156442.9551205817	4	2
2014-03-31 21:17:08.891043	134111	49	2	10
2014-03-31 21:17:09.111292	134112	23.4	1	10
2014-03-31 21:17:16.892358	134113	55	2	9
2014-03-31 21:17:17.179217	134114	22.5	1	9
2014-03-31 21:17:17.960598	134115	55	2	8
2014-03-31 21:17:18.180698	134116	19.7	1	8
2014-03-31 21:17:19.899674	134117	837	3	2
2014-03-31 21:17:20.131877	134118	1156445.2531900245	4	2
2014-03-31 21:17:28.541776	134119	56	2	1
2014-03-31 21:17:28.761737	134120	20.7	1	1
2014-03-31 21:17:31.898787	134121	820	3	2
2014-03-31 21:17:32.128466	134122	1156447.5512594671	4	2
2014-03-31 21:17:39.613298	134123	60	2	24
2014-03-31 21:17:39.8355	134124	18.4	1	24
2014-03-31 21:17:41.977837	134125	54	2	25
2014-03-31 21:17:42.209107	134126	18.5	1	25
2014-03-31 21:17:47.891062	134127	49	2	10
2014-03-31 21:17:48.110758	134128	23.5	1	10
2014-03-31 21:17:55.892539	134129	55	2	9
2014-03-31 21:17:56.123878	134130	22.5	1	9
2014-03-31 21:17:56.959074	134131	55	2	8
2014-03-31 21:17:57.178657	134132	19.7	1	8
2014-03-31 21:18:07.540269	134133	56	2	1
2014-03-31 21:18:07.772753	134134	20.7	1	1
2014-03-31 21:18:18.61318	134135	60	2	24
2014-03-31 21:18:18.834836	134136	18.4	1	24
2014-03-31 21:18:20.976748	134137	54	2	25
2014-03-31 21:18:21.20939	134138	18.5	1	25
2014-03-31 21:18:26.890655	134139	49	2	10
2014-03-31 21:18:27.112817	134140	23.5	1	10
2014-03-31 21:18:31.90115	134141	820	3	2
2014-03-31 21:18:32.139396	134142	1156461.3396761243	4	2
2014-03-31 21:18:34.893825	134143	55	2	9
2014-03-31 21:18:35.1146	134144	22.5	1	9
2014-03-31 21:18:35.959965	134145	55	2	8
2014-03-31 21:18:36.189467	134146	19.7	1	8
2014-03-31 21:18:46.54019	134147	56	2	1
2014-03-31 21:18:46.763717	134148	20.7	1	1
2014-03-31 21:18:57.610663	134149	60	2	24
2014-03-31 21:18:57.853669	134150	18.4	1	24
2014-03-31 21:19:00.21811	134151	54	2	25
2014-03-31 21:19:00.437365	134152	18.5	1	25
2014-03-31 21:19:05.890954	134153	49	2	10
2014-03-31 21:19:06.122357	134154	23.5	1	10
2014-03-31 21:19:13.89246	134155	55	2	9
2014-03-31 21:19:14.11356	134156	22.5	1	9
2014-03-31 21:19:14.959106	134157	55	2	8
2014-03-31 21:19:15.19025	134158	19.7	1	8
2014-03-31 21:19:25.539326	134159	56	2	1
2014-03-31 21:19:25.758103	134160	20.7	1	1
2014-03-31 21:19:31.900364	134161	804	3	2
2014-03-31 21:19:32.132863	134162	1156475.1280927812	4	2
2014-03-31 21:19:36.610469	134163	60	2	24
2014-03-31 21:19:36.833885	134164	18.4	1	24
2014-03-31 21:19:38.978581	134165	54	2	25
2014-03-31 21:19:39.211025	134166	18.5	1	25
2014-03-31 21:19:44.893384	134167	49	2	10
2014-03-31 21:19:45.117987	134168	23.5	1	10
2014-03-31 21:19:52.892761	134169	55	2	9
2014-03-31 21:19:53.126757	134170	22.5	1	9
2014-03-31 21:19:53.961797	134171	55	2	8
2014-03-31 21:19:54.183458	134172	19.7	1	8
2014-03-31 21:20:04.54057	134173	56	2	1
2014-03-31 21:20:04.773039	134174	20.6	1	1
2014-03-31 21:20:15.608632	134175	60	2	24
2014-03-31 21:20:15.830034	134176	18.4	1	24
2014-03-31 21:20:17.977486	134177	54	2	25
2014-03-31 21:20:18.208509	134178	18.5	1	25
2014-03-31 21:20:23.892208	134179	49	2	10
2014-03-31 21:20:24.114606	134180	23.5	1	10
2014-03-31 21:20:32.097418	134181	55	2	9
2014-03-31 21:20:32.329221	134182	22.5	1	9
2014-03-31 21:20:32.959839	134183	55	2	8
2014-03-31 21:20:33.183125	134184	19.7	1	8
2014-03-31 21:20:43.539651	134185	56	2	1
2014-03-31 21:20:43.771067	134186	20.6	1	1
2014-03-31 21:20:54.608792	134187	60	2	24
2014-03-31 21:20:54.830238	134188	18.4	1	24
2014-03-31 21:20:56.975817	134189	54	2	25
2014-03-31 21:20:57.208887	134190	18.5	1	25
2014-03-31 21:21:02.891752	134191	49	2	10
2014-03-31 21:21:03.114862	134192	23.4	1	10
2014-03-31 21:21:07.899415	134193	724	3	2
2014-03-31 21:21:08.135903	134194	1156495.8107177666	4	2
2014-03-31 21:21:10.889847	134195	55	2	9
2014-03-31 21:21:11.111693	134196	22.5	1	9
2014-03-31 21:21:11.960019	134197	55	2	8
2014-03-31 21:21:12.201502	134198	19.7	1	8
2014-03-31 21:21:22.53934	134199	56	2	1
2014-03-31 21:21:22.767944	134200	20.6	1	1
2014-03-31 21:21:31.897819	134201	804	3	2
2014-03-31 21:21:32.128791	134202	1156501.5558913737	4	2
2014-03-31 21:21:33.608985	134203	60	2	24
2014-03-31 21:21:33.830668	134204	18.4	1	24
2014-03-31 21:21:36.218252	134205	54	2	25
2014-03-31 21:21:36.448052	134206	18.5	1	25
2014-03-31 21:21:41.891483	134207	49	2	10
2014-03-31 21:21:42.111173	134208	23.4	1	10
2014-03-31 21:21:43.897586	134209	724	3	2
2014-03-31 21:21:44.127141	134210	1156503.8539608165	4	2
2014-03-31 21:21:49.891393	134211	55	2	9
2014-03-31 21:21:50.111579	134212	22.5	1	9
2014-03-31 21:21:50.95897	134213	55	2	8
2014-03-31 21:21:51.189467	134214	19.7	1	8
2014-03-31 21:21:55.899158	134215	708	3	2
2014-03-31 21:21:56.120401	134216	1156505.0074664901	4	2
2014-03-31 21:22:01.536803	134217	56	2	1
2014-03-31 21:22:01.76745	134218	20.6	1	1
2014-03-31 21:22:07.899586	134219	659	3	2
2014-03-31 21:22:08.120608	134220	1156507.305535933	4	2
2014-03-31 21:22:12.606911	134221	60	2	24
2014-03-31 21:22:12.838051	134222	18.4	1	24
2014-03-31 21:22:14.97632	134223	54	2	25
2014-03-31 21:22:15.197162	134224	18.5	1	25
2014-03-31 21:22:19.898684	134225	659	3	2
2014-03-31 21:22:20.129674	134226	1156509.6036053759	4	2
2014-03-31 21:22:20.891248	134227	49	2	10
2014-03-31 21:22:21.112793	134228	23.4	1	10
2014-03-31 21:22:28.891554	134229	55	2	9
2014-03-31 21:22:29.122481	134230	22.5	1	9
2014-03-31 21:22:29.958953	134231	55	2	8
2014-03-31 21:22:30.17894	134232	19.7	1	8
2014-03-31 21:22:31.900214	134233	676	3	2
2014-03-31 21:22:32.13086	134234	1156511.9016748187	4	2
2014-03-31 21:22:40.537016	134235	56	2	1
2014-03-31 21:22:40.759756	134236	20.6	1	1
2014-03-31 21:22:51.609631	134237	60	2	24
2014-03-31 21:22:51.840493	134238	18.4	1	24
2014-03-31 21:22:53.975258	134239	54	2	25
2014-03-31 21:22:54.195937	134240	18.5	1	25
2014-03-31 21:22:59.89276	134241	49	2	10
2014-03-31 21:23:00.126712	134242	23.4	1	10
2014-03-31 21:23:07.891489	134243	55	2	9
2014-03-31 21:23:08.112051	134244	22.4	1	9
2014-03-31 21:23:08.959077	134245	55	2	8
2014-03-31 21:23:09.200411	134246	19.7	1	8
2014-03-31 21:23:19.538812	134247	56	2	1
2014-03-31 21:23:19.759826	134248	20.6	1	1
2014-03-31 21:23:30.608764	134249	60	2	24
2014-03-31 21:23:30.838893	134250	18.4	1	24
2014-03-31 21:23:31.89877	134251	676	3	2
2014-03-31 21:23:32.119018	134252	1156523.3920220328	4	2
2014-03-31 21:23:32.977343	134253	54	2	25
2014-03-31 21:23:33.20735	134254	18.5	1	25
2014-03-31 21:23:38.89259	134255	49	2	10
2014-03-31 21:23:39.114423	134256	23.4	1	10
2014-03-31 21:23:46.892124	134257	55	2	9
2014-03-31 21:23:47.125124	134258	22.4	1	9
2014-03-31 21:23:48.164288	134259	55	2	8
2014-03-31 21:23:48.386742	134260	19.7	1	8
2014-03-31 21:23:58.534658	134261	56	2	1
2014-03-31 21:23:58.767612	134262	20.6	1	1
2014-03-31 21:24:09.605518	134263	60	2	24
2014-03-31 21:24:09.828913	134264	18.4	1	24
2014-03-31 21:24:11.974733	134265	54	2	25
2014-03-31 21:24:12.206066	134266	18.5	1	25
2014-03-31 21:24:17.892745	134267	49	2	10
2014-03-31 21:24:18.115683	134268	23.4	1	10
2014-03-31 21:24:25.901453	134269	55	2	9
2014-03-31 21:24:26.133737	134270	22.4	1	9
2014-03-31 21:24:27.164584	134271	55	2	8
2014-03-31 21:24:27.384111	134272	19.7	1	8
2014-03-31 21:24:37.537732	134273	56	2	1
2014-03-31 21:24:37.771692	134274	20.6	1	1
2014-03-31 21:24:48.604899	134275	60	2	24
2014-03-31 21:24:48.829908	134276	18.3	1	24
2014-03-31 21:24:50.974057	134277	54	2	25
2014-03-31 21:24:51.206005	134278	18.5	1	25
2014-03-31 21:24:56.894843	134279	49	2	10
2014-03-31 21:24:57.116213	134280	23.4	1	10
2014-03-31 21:25:04.893402	134281	55	2	9
2014-03-31 21:25:05.12314	134282	22.4	1	9
2014-03-31 21:25:05.961427	134283	55	2	8
2014-03-31 21:25:06.183473	134284	19.7	1	8
2014-03-31 21:25:16.535702	134285	56	2	1
2014-03-31 21:25:16.766079	134286	20.6	1	1
2014-03-31 21:25:27.603951	134287	60	2	24
2014-03-31 21:25:27.825852	134288	18.3	1	24
2014-03-31 21:25:29.976036	134289	54	2	25
2014-03-31 21:25:30.206222	134290	18.5	1	25
2014-03-31 21:25:31.899043	134291	692	3	2
2014-03-31 21:25:32.123445	134292	1156546.372716461	4	2
2014-03-31 21:25:35.893556	134293	49	2	10
2014-03-31 21:25:36.137947	134294	23.5	1	10
2014-03-31 21:25:43.890385	134295	55	2	9
2014-03-31 21:25:44.114098	134296	22.4	1	9
2014-03-31 21:25:44.962724	134297	55	2	8
2014-03-31 21:25:45.194644	134298	19.7	1	8
2014-03-31 21:25:55.535193	134299	56	2	1
2014-03-31 21:25:55.755328	134300	20.6	1	1
2014-03-31 21:26:06.602907	134301	60	2	24
2014-03-31 21:26:06.835733	134302	18.3	1	24
2014-03-31 21:26:08.973408	134303	54	2	25
2014-03-31 21:26:09.196142	134304	18.5	1	25
2014-03-31 21:26:14.894963	134305	49	2	10
2014-03-31 21:26:15.127229	134306	23.5	1	10
2014-03-31 21:26:22.890451	134307	55	2	9
2014-03-31 21:26:23.113335	134308	22.4	1	9
2014-03-31 21:26:23.959693	134309	55	2	8
2014-03-31 21:26:24.190594	134310	19.7	1	8
2014-03-31 21:26:31.899417	134311	676	3	2
2014-03-31 21:26:32.123519	134312	1156557.8630636754	4	2
2014-03-31 21:26:34.536748	134313	56	2	1
2014-03-31 21:26:34.76896	134314	20.6	1	1
2014-03-31 21:26:43.899159	134315	627	3	2
2014-03-31 21:26:44.121358	134316	1156560.1611331182	4	2
2014-03-31 21:26:45.601783	134317	60	2	24
2014-03-31 21:26:45.832357	134318	18.3	1	24
2014-03-31 21:26:47.974315	134319	54	2	25
2014-03-31 21:26:48.197458	134320	18.5	1	25
2014-03-31 21:26:53.894699	134321	49	2	10
2014-03-31 21:26:54.128612	134322	23.4	1	10
2014-03-31 21:26:55.898984	134323	611	3	2
2014-03-31 21:26:56.1194	134324	1156562.459202561	4	2
2014-03-31 21:27:01.890586	134325	55	2	9
2014-03-31 21:27:02.121648	134326	22.4	1	9
2014-03-31 21:27:02.958627	134327	55	2	8
2014-03-31 21:27:03.179113	134328	19.7	1	8
2014-03-31 21:27:13.535833	134329	56	2	1
2014-03-31 21:27:13.767101	134330	20.6	1	1
2014-03-31 21:27:24.600838	134331	60	2	24
2014-03-31 21:27:24.823851	134332	18.3	1	24
2014-03-31 21:27:26.972345	134333	54	2	25
2014-03-31 21:27:27.205116	134334	18.5	1	25
2014-03-31 21:27:31.899028	134335	627	3	2
2014-03-31 21:27:32.123387	134336	1156568.204376168	4	2
2014-03-31 21:27:32.89357	134337	49	2	10
2014-03-31 21:27:33.126973	134338	23.4	1	10
2014-03-31 21:27:40.892994	134339	55	2	9
2014-03-31 21:27:41.117161	134340	22.4	1	9
2014-03-31 21:27:41.958619	134341	54	2	8
2014-03-31 21:27:42.201647	134342	19.7	1	8
2014-03-31 21:27:52.535516	134343	56	2	1
2014-03-31 21:27:52.76395	134344	20.6	1	1
2014-03-31 21:28:03.600811	134345	60	2	24
2014-03-31 21:28:03.832502	134346	18.3	1	24
2014-03-31 21:28:05.973815	134347	54	2	25
2014-03-31 21:28:06.195513	134348	18.5	1	25
2014-03-31 21:28:11.894381	134349	49	2	10
2014-03-31 21:28:12.125403	134350	23.4	1	10
2014-03-31 21:28:19.891021	134351	55	2	9
2014-03-31 21:28:20.111599	134352	22.4	1	9
2014-03-31 21:28:20.958293	134353	54	2	8
2014-03-31 21:28:21.188279	134354	19.7	1	8
2014-03-31 21:28:31.534831	134355	56	2	1
2014-03-31 21:28:31.757859	134356	20.5	1	1
2014-03-31 21:28:32.081741	134357	56	2	1
2014-03-31 21:28:32.312685	134358	20.5	1	1
2014-03-31 21:28:32.619693	134359	611	3	2
2014-03-31 21:28:32.842101	134360	1156578.5456886608	4	2
2014-03-31 21:28:42.603472	134361	60	2	24
2014-03-31 21:28:42.834713	134362	18.3	1	24
2014-03-31 21:28:44.755995	134363	643	3	2
2014-03-31 21:28:44.976713	134364	1156580.8437581037	4	2
2014-03-31 21:28:45.280815	134365	54	2	25
2014-03-31 21:28:45.513813	134366	18.5	1	25
2014-03-31 21:28:50.892957	134367	49	2	10
2014-03-31 21:28:51.116307	134368	23.4	1	10
2014-03-31 21:28:55.896867	134369	627	3	2
2014-03-31 21:28:56.132084	134370	1156583.1418275465	4	2
2014-03-31 21:28:58.891267	134371	55	2	9
2014-03-31 21:28:59.116423	134372	22.4	1	9
2014-03-31 21:28:59.959708	134373	54	2	8
2014-03-31 21:29:00.190245	134374	19.7	1	8
2014-03-31 21:29:10.534803	134375	56	2	1
2014-03-31 21:29:10.757503	134376	20.5	1	1
2014-03-31 21:29:21.599834	134377	60	2	24
2014-03-31 21:29:21.84316	134378	18.3	1	24
2014-03-31 21:29:23.972932	134379	54	2	25
2014-03-31 21:29:24.194182	134380	18.5	1	25
2014-03-31 21:29:29.894437	134381	49	2	10
2014-03-31 21:29:30.126106	134382	23.4	1	10
2014-03-31 21:29:31.899678	134383	643	3	2
2014-03-31 21:29:32.123897	134384	1156588.8870011535	4	2
2014-03-31 21:29:37.891307	134385	55	2	9
2014-03-31 21:29:38.123121	134386	22.4	1	9
2014-03-31 21:29:38.959008	134387	54	2	8
2014-03-31 21:29:39.181033	134388	19.7	1	8
2014-03-31 21:29:43.897432	134389	676	3	2
2014-03-31 21:29:44.143755	134390	1156591.1850705964	4	2
2014-03-31 21:29:49.530725	134391	56	2	1
2014-03-31 21:29:49.758208	134392	20.5	1	1
2014-03-31 21:29:55.898293	134393	676	3	2
2014-03-31 21:29:56.128216	134394	1156593.4831400393	4	2
2014-03-31 21:30:00.599181	134395	60	2	24
2014-03-31 21:30:00.821548	134396	18.3	1	24
2014-03-31 21:30:02.972143	134397	54	2	25
2014-03-31 21:30:03.202875	134398	18.5	1	25
2014-03-31 21:30:08.896348	134399	49	2	10
2014-03-31 21:30:09.120796	134400	23.4	1	10
2014-03-31 21:30:16.902525	134401	55	2	9
2014-03-31 21:30:17.133876	134402	22.4	1	9
2014-03-31 21:30:17.959662	134403	54	2	8
2014-03-31 21:30:18.181386	134404	19.7	1	8
2014-03-31 21:30:28.53386	134405	56	2	1
2014-03-31 21:30:28.765397	134406	20.5	1	1
2014-03-31 21:30:31.897906	134407	676	3	2
2014-03-31 21:30:32.118329	134408	1156600.3773483676	4	2
2014-03-31 21:30:39.597303	134409	60	2	24
2014-03-31 21:30:39.828827	134410	18.3	1	24
2014-03-31 21:30:41.973603	134411	54	2	25
2014-03-31 21:30:42.195408	134412	18.5	1	25
2014-03-31 21:30:47.896571	134413	49	2	10
2014-03-31 21:30:48.127217	134414	23.4	1	10
2014-03-31 21:30:55.891487	134415	55	2	9
2014-03-31 21:30:56.149154	134416	22.4	1	9
2014-03-31 21:30:56.982223	134417	54	2	8
2014-03-31 21:30:57.445774	134418	19.7	1	8
2014-03-31 21:31:07.531826	134419	56	2	1
2014-03-31 21:31:07.786582	134420	20.5	1	1
2014-03-31 21:31:18.599594	134421	60	2	24
2014-03-31 21:31:18.864465	134422	18.3	1	24
2014-03-31 21:31:20.973895	134423	54	2	25
2014-03-31 21:31:21.716389	134424	18.5	1	25
2014-03-31 21:31:26.89464	134425	49	2	10
2014-03-31 21:31:27.146893	134426	23.4	1	10
2014-03-31 21:31:31.897891	134427	676	3	2
2014-03-31 21:31:32.219443	134428	1156611.8676955819	4	2
2014-03-31 21:31:34.890951	134429	55	2	9
2014-03-31 21:31:35.121329	134430	22.4	1	9
2014-03-31 21:31:35.960238	134431	54	2	8
2014-03-31 21:31:36.182237	134432	19.7	1	8
2014-03-31 21:31:46.530354	134433	56	2	1
2014-03-31 21:31:46.762604	134434	20.5	1	1
2014-03-31 21:31:57.595295	134435	60	2	24
2014-03-31 21:31:57.815752	134436	18.3	1	24
2014-03-31 21:31:59.97371	134437	54	2	25
2014-03-31 21:32:00.217429	134438	18.5	1	25
2014-03-31 21:32:05.897692	134439	49	2	10
2014-03-31 21:32:06.120381	134440	23.4	1	10
2014-03-31 21:32:13.891913	134441	55	2	9
2014-03-31 21:32:14.123196	134442	22.4	1	9
2014-03-31 21:32:14.958755	134443	54	2	8
2014-03-31 21:32:15.182063	134444	19.7	1	8
2014-03-31 21:32:25.531228	134445	56	2	1
2014-03-31 21:32:25.763582	134446	20.5	1	1
2014-03-31 21:32:31.898419	134447	659	3	2
2014-03-31 21:32:32.119478	134448	1156623.358042796	4	2
2014-03-31 21:32:36.595983	134449	60	2	24
2014-03-31 21:32:36.825521	134450	18.3	1	24
2014-03-31 21:32:38.972092	134451	54	2	25
2014-03-31 21:32:39.196873	134452	18.5	1	25
2014-03-31 21:32:44.895308	134453	49	2	10
2014-03-31 21:32:45.131737	134454	23.4	1	10
2014-03-31 21:32:52.891311	134455	55	2	9
2014-03-31 21:32:53.114105	134456	22.4	1	9
2014-03-31 21:32:53.959504	134457	54	2	8
2014-03-31 21:32:54.190363	134458	19.7	1	8
2014-03-31 21:33:04.530546	134459	56	2	1
2014-03-31 21:33:04.753326	134460	20.5	1	1
2014-03-31 21:33:07.897867	134461	692	3	2
2014-03-31 21:33:08.128552	134462	1156630.2522511245	4	2
2014-03-31 21:33:15.596889	134463	60	2	24
2014-03-31 21:33:15.818687	134464	18.3	1	24
2014-03-31 21:33:17.970447	134465	54	2	25
2014-03-31 21:33:18.202372	134466	18.5	1	25
2014-03-31 21:33:19.898276	134467	659	3	2
2014-03-31 21:33:20.121228	134468	1156632.5503205673	4	2
2014-03-31 21:33:23.892329	134469	49	2	10
2014-03-31 21:33:24.123991	134470	23.4	1	10
2014-03-31 21:33:32.094041	134471	55	2	9
2014-03-31 21:33:32.317368	134472	22.4	1	9
2014-03-31 21:33:32.962065	134473	54	2	8
2014-03-31 21:33:33.191446	134474	19.7	1	8
2014-03-31 21:33:43.53252	134475	56	2	1
2014-03-31 21:33:43.755808	134476	20.5	1	1
2014-03-31 21:33:54.598538	134477	60	2	24
2014-03-31 21:33:54.828747	134478	18.2	1	24
2014-03-31 21:33:56.972776	134479	54	2	25
2014-03-31 21:33:57.194518	134480	18.5	1	25
2014-03-31 21:34:02.896753	134481	49	2	10
2014-03-31 21:34:03.132893	134482	23.4	1	10
2014-03-31 21:34:10.892632	134483	55	2	9
2014-03-31 21:34:11.113835	134484	22.4	1	9
2014-03-31 21:34:11.959228	134485	54	2	8
2014-03-31 21:34:12.201148	134486	19.7	1	8
2014-03-31 21:34:22.529944	134487	56	2	1
2014-03-31 21:34:22.759136	134488	20.5	1	1
2014-03-31 21:34:31.89668	134489	659	3	2
2014-03-31 21:34:32.127437	134490	1156645.189702503	4	2
2014-03-31 21:34:33.595023	134491	60	2	24
2014-03-31 21:34:33.817367	134492	18.2	1	24
2014-03-31 21:34:35.971471	134493	54	2	25
2014-03-31 21:34:36.200254	134494	18.5	1	25
2014-03-31 21:34:41.895536	134495	49	2	10
2014-03-31 21:34:42.116352	134496	23.4	1	10
2014-03-31 21:34:49.891122	134497	55	2	9
2014-03-31 21:34:50.122962	134498	22.4	1	9
2014-03-31 21:34:50.958206	134499	54	2	8
2014-03-31 21:34:51.179223	134500	19.7	1	8
2014-03-31 21:35:01.530602	134501	56	2	1
2014-03-31 21:35:01.764298	134502	20.5	1	1
2014-03-31 21:35:12.594921	134503	60	2	24
2014-03-31 21:35:12.817213	134504	18.2	1	24
2014-03-31 21:35:14.970681	134505	54	2	25
2014-03-31 21:35:15.20404	134506	18.5	1	25
2014-03-31 21:35:20.896363	134507	49	2	10
2014-03-31 21:35:21.119552	134508	23.4	1	10
2014-03-31 21:35:28.892363	134509	55	2	9
2014-03-31 21:35:29.123751	134510	22.4	1	9
2014-03-31 21:35:29.958943	134511	54	2	8
2014-03-31 21:35:30.179801	134512	19.7	1	8
2014-03-31 21:35:31.90063	134513	659	3	2
2014-03-31 21:35:32.131168	134514	1156656.680049717	4	2
2014-03-31 21:35:40.768577	134515	56	2	1
2014-03-31 21:35:40.991195	134516	20.5	1	1
2014-03-31 21:35:51.593766	134517	60	2	24
2014-03-31 21:35:51.825478	134518	18.2	1	24
2014-03-31 21:35:53.971919	134519	54	2	25
2014-03-31 21:35:54.19373	134520	18.5	1	25
2014-03-31 21:35:55.899181	134521	611	3	2
2014-03-31 21:35:56.129691	134522	1156661.2761886027	4	2
2014-03-31 21:35:59.898927	134523	49	2	10
2014-03-31 21:36:00.121758	134524	23.4	1	10
2014-03-31 21:36:08.095877	134525	55	2	9
2014-03-31 21:36:08.326933	134526	22.4	1	9
2014-03-31 21:36:08.962346	134527	54	2	8
2014-03-31 21:36:09.183464	134528	19.7	1	8
2014-03-31 21:36:19.5292	134529	56	2	1
2014-03-31 21:36:19.761497	134530	20.4	1	1
2014-03-31 21:36:20.068152	134531	611	3	2
2014-03-31 21:36:20.288638	134532	1156665.8723274884	4	2
2014-03-31 21:36:30.596282	134533	60	2	24
2014-03-31 21:36:30.838983	134534	18.2	1	24
2014-03-31 21:36:31.898114	134535	627	3	2
2014-03-31 21:36:32.121072	134536	1156668.1703969312	4	2
2014-03-31 21:36:32.971864	134537	53	2	25
2014-03-31 21:36:33.202657	134538	18.5	1	25
2014-03-31 21:36:38.899818	134539	49	2	10
2014-03-31 21:36:39.122819	134540	23.4	1	10
2014-03-31 21:36:46.891317	134541	55	2	9
2014-03-31 21:36:47.126869	134542	22.4	1	9
2014-03-31 21:36:47.960304	134543	54	2	8
2014-03-31 21:36:48.183437	134544	19.7	1	8
2014-03-31 21:36:58.528452	134545	56	2	1
2014-03-31 21:36:58.759319	134546	20.4	1	1
2014-03-31 21:37:09.592943	134547	60	2	24
2014-03-31 21:37:09.815645	134548	18.2	1	24
2014-03-31 21:37:11.971599	134549	54	2	25
2014-03-31 21:37:12.203385	134550	18.5	1	25
2014-03-31 21:37:17.896776	134551	49	2	10
2014-03-31 21:37:18.119774	134552	23.3	1	10
2014-03-31 21:37:25.890867	134553	54	2	9
2014-03-31 21:37:26.121185	134554	22.4	1	9
2014-03-31 21:37:26.960035	134555	54	2	8
2014-03-31 21:37:27.181937	134556	19.7	1	8
2014-03-31 21:37:31.897565	134557	627	3	2
2014-03-31 21:37:32.131386	134558	1156678.511709424	4	2
2014-03-31 21:37:37.528502	134559	56	2	1
2014-03-31 21:37:37.754367	134560	20.4	1	1
2014-03-31 21:37:48.591692	134561	60	2	24
2014-03-31 21:37:48.823832	134562	18.2	1	24
2014-03-31 21:37:50.969811	134563	54	2	25
2014-03-31 21:37:51.190739	134564	18.5	1	25
2014-03-31 21:37:55.897938	134565	659	3	2
2014-03-31 21:37:56.128769	134566	1156681.9588135881	4	2
2014-03-31 21:37:56.89668	134567	49	2	10
2014-03-31 21:37:57.117617	134568	23.3	1	10
2014-03-31 21:38:04.892979	134569	54	2	9
2014-03-31 21:38:05.125885	134570	22.3	1	9
2014-03-31 21:38:05.959368	134571	54	2	8
2014-03-31 21:38:06.180273	134572	19.7	1	8
2014-03-31 21:38:07.898038	134573	643	3	2
2014-03-31 21:38:08.130082	134574	1156684.256883031	4	2
2014-03-31 21:38:16.528188	134575	56	2	1
2014-03-31 21:38:16.750497	134576	20.4	1	1
2014-03-31 21:38:27.590328	134577	60	2	24
2014-03-31 21:38:27.822476	134578	18.2	1	24
2014-03-31 21:38:29.969651	134579	53	2	25
2014-03-31 21:38:30.188668	134580	18.5	1	25
2014-03-31 21:38:31.896859	134581	611	3	2
2014-03-31 21:38:32.138161	134582	1156688.8530219167	4	2
2014-03-31 21:38:35.896915	134583	49	2	10
2014-03-31 21:38:36.118815	134584	23.3	1	10
2014-03-31 21:38:44.093056	134585	54	2	9
2014-03-31 21:38:44.325582	134586	22.3	1	9
2014-03-31 21:38:44.958512	134587	54	2	8
2014-03-31 21:38:45.178699	134588	19.7	1	8
2014-03-31 21:38:55.529361	134589	56	2	1
2014-03-31 21:38:55.761418	134590	20.4	1	1
2014-03-31 21:39:06.588461	134591	60	2	24
2014-03-31 21:39:06.810502	134592	18.2	1	24
2014-03-31 21:39:08.969352	134593	54	2	25
2014-03-31 21:39:09.200133	134594	18.5	1	25
2014-03-31 21:39:14.896383	134595	49	2	10
2014-03-31 21:39:15.117311	134596	23.3	1	10
2014-03-31 21:39:22.890162	134597	54	2	9
2014-03-31 21:39:23.122785	134598	22.3	1	9
2014-03-31 21:39:23.96046	134599	54	2	8
2014-03-31 21:39:24.181548	134600	19.7	1	8
2014-03-31 21:39:31.896454	134601	611	3	2
2014-03-31 21:39:32.127821	134602	1156699.1943344094	4	2
2014-03-31 21:39:34.525438	134603	56	2	1
2014-03-31 21:39:34.747882	134604	20.4	1	1
2014-03-31 21:39:43.898076	134605	643	3	2
2014-03-31 21:39:44.129206	134606	1156701.4924038523	4	2
2014-03-31 21:39:45.591418	134607	60	2	24
2014-03-31 21:39:45.813308	134608	18.2	1	24
2014-03-31 21:39:47.968954	134609	54	2	25
2014-03-31 21:39:48.199365	134610	18.5	1	25
2014-03-31 21:39:53.898611	134611	49	2	10
2014-03-31 21:39:54.119272	134612	23.3	1	10
2014-03-31 21:39:55.894944	134613	627	3	2
2014-03-31 21:39:56.125235	134614	1156703.790473295	4	2
2014-03-31 21:40:01.889599	134615	54	2	9
2014-03-31 21:40:02.112725	134616	22.3	1	9
2014-03-31 21:40:02.961718	134617	54	2	8
2014-03-31 21:40:03.194591	134618	19.7	1	8
2014-03-31 21:40:13.527723	134619	56	2	1
2014-03-31 21:40:13.751295	134620	20.4	1	1
2014-03-31 21:40:19.898964	134621	595	3	2
2014-03-31 21:40:20.130411	134622	1156707.2375774593	4	2
2014-03-31 21:40:24.589861	134623	60	2	24
2014-03-31 21:40:24.813609	134624	18.2	1	24
2014-03-31 21:40:26.967794	134625	54	2	25
2014-03-31 21:40:27.200086	134626	18.5	1	25
2014-03-31 21:40:31.897875	134627	643	3	2
2014-03-31 21:40:32.118643	134628	1156709.5356469022	4	2
2014-03-31 21:40:32.899133	134629	49	2	10
2014-03-31 21:40:33.141979	134630	23.3	1	10
2014-03-31 21:40:40.891458	134631	54	2	9
2014-03-31 21:40:41.114058	134632	22.3	1	9
2014-03-31 21:40:41.959777	134633	54	2	8
2014-03-31 21:40:42.191127	134634	19.7	1	8
2014-03-31 21:40:43.896756	134635	643	3	2
2014-03-31 21:40:44.118802	134636	1156711.833716345	4	2
2014-03-31 21:40:52.526401	134637	56	2	1
2014-03-31 21:40:52.760031	134638	20.4	1	1
2014-03-31 21:41:03.587841	134639	60	2	24
2014-03-31 21:41:03.813616	134640	18.2	1	24
2014-03-31 21:41:05.966984	134641	54	2	25
2014-03-31 21:41:06.198165	134642	18.5	1	25
2014-03-31 21:41:11.901655	134643	49	2	10
2014-03-31 21:41:12.125069	134644	23.3	1	10
2014-03-31 21:41:19.896292	134645	54	2	9
2014-03-31 21:41:20.127873	134646	22.3	1	9
2014-03-31 21:41:20.960741	134647	54	2	8
2014-03-31 21:41:21.181634	134648	19.7	1	8
2014-03-31 21:41:31.525125	134649	56	2	1
2014-03-31 21:41:31.759921	134650	20.4	1	1
2014-03-31 21:41:32.068783	134651	611	3	2
2014-03-31 21:41:32.292454	134652	1156719.876959395	4	2
2014-03-31 21:41:42.589007	134653	60	2	24
2014-03-31 21:41:42.828276	134654	18.2	1	24
2014-03-31 21:41:43.897217	134655	627	3	2
2014-03-31 21:41:44.120428	134656	1156722.1750288378	4	2
2014-03-31 21:41:44.970718	134657	54	2	25
2014-03-31 21:41:45.200082	134658	18.5	1	25
2014-03-31 21:41:50.898663	134659	49	2	10
2014-03-31 21:41:51.122305	134660	23.3	1	10
2014-03-31 21:41:59.960278	134661	54	2	8
2014-03-31 21:42:00.193114	134662	19.7	1	8
2014-03-31 21:42:10.525791	134663	56	2	1
2014-03-31 21:42:10.748548	134664	20.4	1	1
2014-03-31 21:42:21.587258	134665	60	2	24
2014-03-31 21:42:21.820188	134666	18.2	1	24
2014-03-31 21:42:23.968078	134667	54	2	25
2014-03-31 21:42:24.22731	134668	18.5	1	25
2014-03-31 21:42:29.898928	134669	49	2	10
2014-03-31 21:42:30.162867	134670	23.3	1	10
2014-03-31 21:42:31.898015	134671	627	3	2
2014-03-31 21:42:32.325107	134672	1156730.2182718876	4	2
2014-03-31 21:42:37.89185	134673	54	2	9
2014-03-31 21:42:38.161394	134674	22.3	1	9
2014-03-31 21:42:38.963416	134675	54	2	8
2014-03-31 21:42:39.332672	134676	19.7	1	8
2014-03-31 21:42:49.52473	134677	56	2	1
2014-03-31 21:42:49.767382	134678	20.4	1	1
2014-03-31 21:43:00.588926	134679	60	2	24
2014-03-31 21:43:00.80899	134680	18.2	1	24
2014-03-31 21:43:02.968455	134681	54	2	25
2014-03-31 21:43:03.200493	134682	18.5	1	25
2014-03-31 21:43:07.896383	134683	676	3	2
2014-03-31 21:43:08.118647	134684	1156737.112480216	4	2
2014-03-31 21:43:08.899654	134685	49	2	10
2014-03-31 21:43:09.128632	134686	23.3	1	10
2014-03-31 21:43:16.890586	134687	54	2	9
2014-03-31 21:43:17.113112	134688	22.3	1	9
2014-03-31 21:43:18.01583	134689	54	2	8
2014-03-31 21:43:18.248669	134690	19.7	1	8
2014-03-31 21:43:19.899488	134691	659	3	2
2014-03-31 21:43:20.120057	134692	1156739.4105496588	4	2
2014-03-31 21:43:28.524796	134693	56	2	1
2014-03-31 21:43:28.756656	134694	20.4	1	1
2014-03-31 21:43:31.896996	134695	692	3	2
2014-03-31 21:43:32.117699	134696	1156741.7086191017	4	2
2014-03-31 21:43:39.584146	134697	60	2	24
2014-03-31 21:43:39.817552	134698	18.2	1	24
2014-03-31 21:43:41.967335	134699	53	2	25
2014-03-31 21:43:42.18826	134700	18.5	1	25
2014-03-31 21:43:43.897471	134701	643	3	2
2014-03-31 21:43:44.128244	134702	1156744.0066885445	4	2
2014-03-31 21:43:47.954593	134703	49	2	10
2014-03-31 21:43:48.175644	134704	23.3	1	10
2014-03-31 21:43:56.092846	134705	54	2	9
2014-03-31 21:43:56.325264	134706	22.3	1	9
2014-03-31 21:43:56.962575	134707	54	2	8
2014-03-31 21:43:57.1833	134708	19.7	1	8
2014-03-31 21:44:07.523542	134709	56	2	1
2014-03-31 21:44:07.754927	134710	20.4	1	1
2014-03-31 21:44:08.060178	134711	692	3	2
2014-03-31 21:44:08.28147	134712	1156748.6028274302	4	2
2014-03-31 21:44:18.585868	134713	60	2	24
2014-03-31 21:44:18.820271	134714	18.1	1	24
2014-03-31 21:44:19.896665	134715	692	3	2
2014-03-31 21:44:20.11628	134716	1156750.900896873	4	2
2014-03-31 21:44:20.967708	134717	53	2	25
2014-03-31 21:44:21.196742	134718	18.5	1	25
2014-03-31 21:44:26.898607	134719	49	2	10
2014-03-31 21:44:27.120711	134720	23.3	1	10
2014-03-31 21:44:31.897113	134721	676	3	2
2014-03-31 21:44:32.133176	134722	1156753.198966316	4	2
2014-03-31 21:44:34.893324	134723	54	2	9
2014-03-31 21:44:35.115161	134724	22.3	1	9
2014-03-31 21:44:35.959995	134725	54	2	8
2014-03-31 21:44:36.201585	134726	19.7	1	8
2014-03-31 21:44:46.524395	134727	56	2	1
2014-03-31 21:44:46.746386	134728	20.4	1	1
2014-03-31 21:44:57.58497	134729	60	2	24
2014-03-31 21:44:57.81814	134730	18.1	1	24
2014-03-31 21:44:59.964965	134731	53	2	25
2014-03-31 21:45:00.185948	134732	18.5	1	25
2014-03-31 21:45:05.89932	134733	49	2	10
2014-03-31 21:45:06.129976	134734	23.3	1	10
2014-03-31 21:45:13.890528	134735	54	2	9
2014-03-31 21:45:14.113908	134736	22.3	1	9
2014-03-31 21:45:14.960163	134737	54	2	8
2014-03-31 21:45:15.189898	134738	19.7	1	8
2014-03-31 21:45:25.522381	134739	56	2	1
2014-03-31 21:45:25.747257	134740	20.4	1	1
2014-03-31 21:45:31.897989	134741	692	3	2
2014-03-31 21:45:32.129014	134742	1156764.68931353	4	2
2014-03-31 21:45:36.582229	134743	60	2	24
2014-03-31 21:45:36.806955	134744	18.1	1	24
2014-03-31 21:45:38.967175	134745	53	2	25
2014-03-31 21:45:39.198768	134746	18.5	1	25
2014-03-31 21:45:44.899336	134747	49	2	10
2014-03-31 21:45:45.127717	134748	23.3	1	10
2014-03-31 21:45:52.890501	134749	54	2	9
2014-03-31 21:45:53.121187	134750	22.3	1	9
2014-03-31 21:45:53.959839	134751	54	2	8
2014-03-31 21:45:54.18053	134752	19.7	1	8
2014-03-31 21:46:04.522563	134753	56	2	1
2014-03-31 21:46:04.755376	134754	20.3	1	1
2014-03-31 21:46:15.583577	134755	60	2	24
2014-03-31 21:46:15.807472	134756	18.1	1	24
2014-03-31 21:46:18.010662	134757	53	2	25
2014-03-31 21:46:18.253405	134758	18.5	1	25
2014-03-31 21:46:23.902088	134759	49	2	10
2014-03-31 21:46:24.123915	134760	23.3	1	10
2014-03-31 21:46:32.094453	134761	54	2	9
2014-03-31 21:46:32.325357	134762	22.3	1	9
2014-03-31 21:46:32.962334	134763	54	2	8
2014-03-31 21:46:33.184412	134764	19.7	1	8
2014-03-31 21:46:43.523532	134765	56	2	1
2014-03-31 21:46:43.754692	134766	20.3	1	1
2014-03-31 21:46:54.58159	134767	60	2	24
2014-03-31 21:46:54.80481	134768	18.1	1	24
2014-03-31 21:46:56.965958	134769	53	2	25
2014-03-31 21:46:57.196967	134770	18.5	1	25
2014-03-31 21:47:02.899534	134771	49	2	10
2014-03-31 21:47:03.124113	134772	23.3	1	10
2014-03-31 21:47:10.89004	134773	54	2	9
2014-03-31 21:47:11.134764	134774	22.3	1	9
2014-03-31 21:47:12.16489	134775	54	2	8
2014-03-31 21:47:12.387201	134776	19.7	1	8
2014-03-31 21:47:22.523296	134777	56	2	1
2014-03-31 21:47:22.753974	134778	20.3	1	1
2014-03-31 21:47:31.895194	134779	659	3	2
2014-03-31 21:47:32.119383	134780	1156787.6700079583	4	2
2014-03-31 21:47:33.579186	134781	60	2	24
2014-03-31 21:47:33.812477	134782	18.1	1	24
2014-03-31 21:47:35.965139	134783	53	2	25
2014-03-31 21:47:36.188835	134784	18.5	1	25
2014-03-31 21:47:41.899006	134785	49	2	10
2014-03-31 21:47:42.133946	134786	23.2	1	10
2014-03-31 21:47:49.89032	134787	54	2	9
2014-03-31 21:47:50.114825	134788	22.3	1	9
2014-03-31 21:47:50.95983	134789	54	2	8
2014-03-31 21:47:51.193482	134790	19.7	1	8
2014-03-31 21:47:55.896679	134791	692	3	2
2014-03-31 21:47:56.121164	134792	1156792.266146844	4	2
2014-03-31 21:48:01.521679	134793	56	2	1
2014-03-31 21:48:01.757912	134794	20.3	1	1
2014-03-31 21:48:07.895702	134795	676	3	2
2014-03-31 21:48:08.116718	134796	1156794.5642162869	4	2
2014-03-31 21:48:12.580607	134797	60	2	24
2014-03-31 21:48:12.810405	134798	18.1	1	24
2014-03-31 21:48:14.963891	134799	53	2	25
2014-03-31 21:48:15.188255	134800	18.5	1	25
2014-03-31 21:48:20.901027	134801	49	2	10
2014-03-31 21:48:21.137511	134802	23.2	1	10
2014-03-31 21:48:28.892106	134803	54	2	9
2014-03-31 21:48:29.114189	134804	22.3	1	9
2014-03-31 21:48:30.16428	134805	54	2	8
2014-03-31 21:48:30.396918	134806	19.7	1	8
2014-03-31 21:48:31.894172	134807	692	3	2
2014-03-31 21:48:32.117413	134808	1156798.0157914034	4	2
2014-03-31 21:48:40.522269	134809	56	2	1
2014-03-31 21:48:40.753406	134810	20.3	1	1
2014-03-31 21:48:51.57813	134811	60	2	24
2014-03-31 21:48:51.800156	134812	18.1	1	24
2014-03-31 21:48:53.968658	134813	53	2	25
2014-03-31 21:48:54.200375	134814	18.5	1	25
2014-03-31 21:48:55.894872	134815	643	3	2
2014-03-31 21:48:56.116867	134816	1156802.6119302888	4	2
2014-03-31 21:48:59.901018	134817	49	2	10
2014-03-31 21:49:00.138171	134818	23.2	1	10
2014-03-31 21:49:08.095339	134819	54	2	9
2014-03-31 21:49:08.338212	134820	22.3	1	9
2014-03-31 21:49:08.959375	134821	54	2	8
2014-03-31 21:49:09.203683	134822	19.7	1	8
2014-03-31 21:49:19.521943	134823	56	2	1
2014-03-31 21:49:19.744058	134824	20.3	1	1
2014-03-31 21:49:20.049904	134825	579	3	2
2014-03-31 21:49:20.280299	134826	1156806.0590344532	4	2
2014-03-31 21:49:30.579965	134827	60	2	24
2014-03-31 21:49:30.802854	134828	18.1	1	24
2014-03-31 21:49:31.896747	134829	611	3	2
2014-03-31 21:49:32.127894	134830	1156808.357103896	4	2
2014-03-31 21:49:32.96549	134831	53	2	25
2014-03-31 21:49:33.186734	134832	18.5	1	25
2014-03-31 21:49:38.899663	134833	49	2	10
2014-03-31 21:49:39.131698	134834	23.2	1	10
2014-03-31 21:49:43.896525	134835	611	3	2
2014-03-31 21:49:44.117242	134836	1156810.655173339	4	2
2014-03-31 21:49:46.889619	134837	54	2	9
2014-03-31 21:49:47.121706	134838	22.3	1	9
2014-03-31 21:49:48.205896	134839	54	2	8
2014-03-31 21:49:48.426948	134840	19.7	1	8
2014-03-31 21:49:58.523194	134841	56	2	1
2014-03-31 21:49:58.756903	134842	20.3	1	1
2014-03-31 21:50:09.581736	134843	60	2	24
2014-03-31 21:50:09.804397	134844	18.1	1	24
2014-03-31 21:50:11.962986	134845	53	2	25
2014-03-31 21:50:12.194967	134846	18.5	1	25
2014-03-31 21:50:17.901442	134847	49	2	10
2014-03-31 21:50:18.17822	134848	23.2	1	10
2014-03-31 21:50:25.890741	134849	54	2	9
2014-03-31 21:50:26.121177	134850	22.3	1	9
2014-03-31 21:50:26.958172	134851	54	2	8
2014-03-31 21:50:27.180754	134852	19.7	1	8
2014-03-31 21:50:31.897166	134853	611	3	2
2014-03-31 21:50:32.130702	134854	1156818.6984163888	4	2
2014-03-31 21:50:37.519302	134855	56	2	1
2014-03-31 21:50:37.746911	134856	20.3	1	1
2014-03-31 21:50:48.577046	134857	60	2	24
2014-03-31 21:50:48.811057	134858	18.1	1	24
2014-03-31 21:50:51.206063	134859	53	2	25
2014-03-31 21:50:51.427034	134860	18.5	1	25
2014-03-31 21:50:56.900643	134861	49	2	10
2014-03-31 21:50:57.133172	134862	23.2	1	10
2014-03-31 21:51:04.892473	134863	54	2	9
2014-03-31 21:51:05.113351	134864	22.3	1	9
2014-03-31 21:51:05.959709	134865	54	2	8
2014-03-31 21:51:06.190388	134866	19.7	1	8
2014-03-31 21:51:16.522043	134867	56	2	1
2014-03-31 21:51:16.746201	134868	20.3	1	1
2014-03-31 21:51:27.578	134869	60	2	24
2014-03-31 21:51:27.822923	134870	18.1	1	24
2014-03-31 21:51:29.964028	134871	53	2	25
2014-03-31 21:51:30.183961	134872	18.5	1	25
2014-03-31 21:51:31.896986	134873	611	3	2
2014-03-31 21:51:32.126867	134874	1156829.0397288816	4	2
2014-03-31 21:51:35.90531	134875	49	2	10
2014-03-31 21:51:36.126973	134876	23.2	1	10
2014-03-31 21:51:43.893021	134877	54	2	9
2014-03-31 21:51:44.124754	134878	22.2	1	9
2014-03-31 21:51:44.959196	134879	54	2	8
2014-03-31 21:51:45.181321	134880	19.7	1	8
2014-03-31 21:51:55.519942	134881	56	2	1
2014-03-31 21:51:55.752438	134882	20.3	1	1
2014-03-31 21:52:06.577546	134883	60	2	24
2014-03-31 21:52:06.800327	134884	18.1	1	24
2014-03-31 21:52:08.967545	134885	53	2	25
2014-03-31 21:52:09.198536	134886	18.5	1	25
2014-03-31 21:52:14.903096	134887	49	2	10
2014-03-31 21:52:15.12392	134888	23.2	1	10
2014-03-31 21:52:19.895839	134889	643	3	2
2014-03-31 21:52:20.135287	134890	1156837.0829719314	4	2
2014-03-31 21:52:22.900867	134891	54	2	9
2014-03-31 21:52:23.123229	134892	22.2	1	9
2014-03-31 21:52:23.961521	134893	54	2	8
2014-03-31 21:52:24.19341	134894	19.7	1	8
2014-03-31 21:52:31.894796	134895	643	3	2
2014-03-31 21:52:32.122657	134896	1156839.3810413743	4	2
2014-03-31 21:52:34.519262	134897	56	2	1
2014-03-31 21:52:34.748963	134898	20.3	1	1
2014-03-31 21:52:45.574865	134899	60	2	24
2014-03-31 21:52:45.797646	134900	18.1	1	24
2014-03-31 21:52:47.965626	134901	53	2	25
2014-03-31 21:52:48.254783	134902	18.5	1	25
2014-03-31 21:52:53.902339	134903	49	2	10
2014-03-31 21:52:54.141529	134904	23.2	1	10
2014-03-31 21:53:01.889966	134905	54	2	9
2014-03-31 21:53:02.123358	134906	22.2	1	9
2014-03-31 21:53:02.960147	134907	54	2	8
2014-03-31 21:53:03.182838	134908	19.7	1	8
2014-03-31 21:53:13.522693	134909	56	2	1
2014-03-31 21:53:13.755083	134910	20.3	1	1
2014-03-31 21:53:24.573489	134911	60	2	24
2014-03-31 21:53:24.795665	134912	18.1	1	24
2014-03-31 21:53:26.963026	134913	53	2	25
2014-03-31 21:53:27.197889	134914	18.5	1	25
2014-03-31 21:53:31.899283	134915	659	3	2
2014-03-31 21:53:32.122561	134916	1156849.722353867	4	2
2014-03-31 21:53:32.901989	134917	49	2	10
2014-03-31 21:53:33.146725	134918	23.2	1	10
2014-03-31 21:53:40.893656	134919	54	2	9
2014-03-31 21:53:41.135333	134920	22.2	1	9
2014-03-31 21:53:41.95982	134921	54	2	8
2014-03-31 21:53:42.378743	134922	19.7	1	8
2014-03-31 21:53:52.520054	134923	56	2	1
2014-03-31 21:53:52.74623	134924	20.3	1	1
2014-03-31 21:54:03.574937	134925	60	2	24
2014-03-31 21:54:03.796782	134926	18.0	1	24
2014-03-31 21:54:05.963668	134927	53	2	25
2014-03-31 21:54:06.192904	134928	18.5	1	25
2014-03-31 21:54:11.902362	134929	49	2	10
2014-03-31 21:54:12.123178	134930	23.2	1	10
2014-03-31 21:54:19.890241	134931	54	2	9
2014-03-31 21:54:20.120936	134932	22.2	1	9
2014-03-31 21:54:20.959368	134933	54	2	8
2014-03-31 21:54:21.180229	134934	19.7	1	8
2014-03-31 21:54:31.51915	134935	56	2	1
2014-03-31 21:54:31.749084	134936	20.3	1	1
2014-03-31 21:54:32.052783	134937	643	3	2
2014-03-31 21:54:32.273597	134938	1156861.212701081	4	2
2014-03-31 21:54:42.572556	134939	60	2	24
2014-03-31 21:54:42.805191	134940	18.0	1	24
2014-03-31 21:54:44.963048	134941	53	2	25
2014-03-31 21:54:45.185934	134942	18.5	1	25
2014-03-31 21:54:50.901601	134943	49	2	10
2014-03-31 21:54:51.133078	134944	23.2	1	10
2014-03-31 21:54:58.890131	134945	54	2	9
2014-03-31 21:54:59.112641	134946	22.2	1	9
2014-03-31 21:54:59.960231	134947	54	2	8
2014-03-31 21:55:00.190748	134948	19.7	1	8
2014-03-31 21:55:07.896009	134949	595	3	2
2014-03-31 21:55:08.117548	134950	1156866.957874688	4	2
2014-03-31 21:55:10.519988	134951	56	2	1
2014-03-31 21:55:10.750434	134952	20.3	1	1
2014-03-31 21:55:19.895821	134953	611	3	2
2014-03-31 21:55:20.118953	134954	1156869.255944131	4	2
2014-03-31 21:55:21.574234	134955	60	2	24
2014-03-31 21:55:21.805541	134956	18.0	1	24
2014-03-31 21:55:23.964563	134957	53	2	25
2014-03-31 21:55:24.186026	134958	18.5	1	25
2014-03-31 21:55:29.902734	134959	49	2	10
2014-03-31 21:55:30.136582	134960	23.2	1	10
2014-03-31 21:55:31.895565	134961	595	3	2
2014-03-31 21:55:32.116028	134962	1156871.5540135738	4	2
2014-03-31 21:55:37.89137	134963	54	2	9
2014-03-31 21:55:38.123627	134964	22.2	1	9
2014-03-31 21:55:38.959496	134965	54	2	8
2014-03-31 21:55:39.179958	134966	19.7	1	8
2014-03-31 21:55:49.515936	134967	56	2	1
2014-03-31 21:55:49.759594	134968	20.3	1	1
2014-03-31 21:56:00.573535	134969	60	2	24
2014-03-31 21:56:00.795162	134970	18.0	1	24
2014-03-31 21:56:02.962695	134971	53	2	25
2014-03-31 21:56:03.192143	134972	18.5	1	25
2014-03-31 21:56:07.897417	134973	643	3	2
2014-03-31 21:56:08.118084	134974	1156877.2991871808	4	2
2014-03-31 21:56:08.901521	134975	49	2	10
2014-03-31 21:56:09.134566	134976	23.2	1	10
2014-03-31 21:56:16.890583	134977	54	2	9
2014-03-31 21:56:17.110319	134978	22.2	1	9
2014-03-31 21:56:18.164855	134979	54	2	8
2014-03-31 21:56:18.453686	134980	19.7	1	8
2014-03-31 21:56:19.895409	134981	643	3	2
2014-03-31 21:56:20.116199	134982	1156879.5972566237	4	2
2014-03-31 21:56:28.516922	134983	56	2	1
2014-03-31 21:56:28.750375	134984	20.3	1	1
2014-03-31 21:56:31.894832	134985	643	3	2
2014-03-31 21:56:32.113916	134986	1156881.8953260665	4	2
2014-03-31 21:56:39.580665	134987	60	2	24
2014-03-31 21:56:39.815513	134988	18.0	1	24
2014-03-31 21:56:41.957442	134989	53	2	25
2014-03-31 21:56:42.177928	134990	18.5	1	25
2014-03-31 21:56:47.90238	134991	49	2	10
2014-03-31 21:56:48.132959	134992	23.2	1	10
2014-03-31 21:56:56.092528	134993	54	2	9
2014-03-31 21:56:56.314508	134994	22.2	1	9
2014-03-31 21:56:56.958164	134995	54	2	8
2014-03-31 21:56:57.188907	134996	19.7	1	8
2014-03-31 21:57:07.518249	134997	56	2	1
2014-03-31 21:57:07.738053	134998	20.2	1	1
2014-03-31 21:57:08.044136	134999	547	3	2
2014-03-31 21:57:08.274787	135000	1156887.6404996736	4	2
2014-03-31 21:57:18.570471	135001	60	2	24
2014-03-31 21:57:18.793785	135002	18.0	1	24
2014-03-31 21:57:19.895353	135003	547	3	2
2014-03-31 21:57:20.127311	135004	1156889.9385691164	4	2
2014-03-31 21:57:20.962117	135005	53	2	25
2014-03-31 21:57:21.183363	135006	18.5	1	25
2014-03-31 21:57:26.904452	135007	49	2	10
2014-03-31 21:57:27.13679	135008	23.2	1	10
2014-03-31 21:57:31.895973	135009	531	3	2
2014-03-31 21:57:32.121532	135010	1156892.2366385593	4	2
2014-03-31 21:57:34.892902	135011	54	2	9
2014-03-31 21:57:35.125351	135012	22.2	1	9
2014-03-31 21:57:35.960433	135013	54	2	8
2014-03-31 21:57:36.180029	135014	19.7	1	8
2014-03-31 21:57:46.516968	135015	56	2	1
2014-03-31 21:57:46.760644	135016	20.2	1	1
2014-03-31 21:57:57.570343	135017	60	2	24
2014-03-31 21:57:57.792761	135018	18.0	1	24
2014-03-31 21:57:59.959737	135019	53	2	25
2014-03-31 21:58:00.193911	135020	18.5	1	25
2014-03-31 21:58:05.903678	135021	49	2	10
2014-03-31 21:58:06.128591	135022	23.1	1	10
2014-03-31 21:58:13.89117	135023	54	2	9
2014-03-31 21:58:14.123071	135024	22.2	1	9
2014-03-31 21:58:14.9579	135025	54	2	8
2014-03-31 21:58:15.181394	135026	19.7	1	8
2014-03-31 21:58:25.518577	135027	56	2	1
2014-03-31 21:58:25.770656	135028	20.2	1	1
2014-03-31 21:58:36.568735	135029	60	2	24
2014-03-31 21:58:36.790905	135030	18.0	1	24
2014-03-31 21:58:38.960335	135031	53	2	25
2014-03-31 21:58:39.193384	135032	18.5	1	25
2014-03-31 21:58:44.902089	135033	49	2	10
2014-03-31 21:58:45.125311	135034	23.1	1	10
2014-03-31 21:58:52.890525	135035	54	2	9
2014-03-31 21:58:53.121977	135036	22.2	1	9
2014-03-31 21:58:53.960202	135037	54	2	8
2014-03-31 21:58:54.183326	135038	19.7	1	8
2014-03-31 21:59:04.516048	135039	56	2	1
2014-03-31 21:59:04.748031	135040	20.2	1	1
2014-03-31 21:59:15.569809	135041	60	2	24
2014-03-31 21:59:15.793183	135042	18.0	1	24
2014-03-31 21:59:17.962684	135043	53	2	25
2014-03-31 21:59:18.193078	135044	18.5	1	25
2014-03-31 21:59:23.903556	135045	49	2	10
2014-03-31 21:59:24.124909	135046	23.1	1	10
2014-03-31 21:59:32.094385	135047	54	2	9
2014-03-31 21:59:32.324733	135048	22.2	1	9
2014-03-31 21:59:32.959823	135049	54	2	8
2014-03-31 21:59:33.179859	135050	19.7	1	8
2014-03-31 21:59:43.517527	135051	56	2	1
2014-03-31 21:59:43.748801	135052	20.2	1	1
2014-03-31 21:59:54.569743	135053	60	2	24
2014-03-31 21:59:54.791697	135054	18.0	1	24
2014-03-31 21:59:56.959409	135055	53	2	25
2014-03-31 21:59:57.189243	135056	18.5	1	25
2014-03-31 22:00:02.903138	135057	49	2	10
2014-03-31 22:00:03.125197	135058	23.1	1	10
2014-03-31 22:00:07.895131	135059	579	3	2
2014-03-31 22:00:08.131559	135060	1156915.2173329876	4	2
2014-03-31 22:00:10.891933	135061	54	2	9
2014-03-31 22:00:11.112705	135062	22.2	1	9
2014-03-31 22:00:11.960032	135063	54	2	8
2014-03-31 22:00:12.201412	135064	19.7	1	8
2014-03-31 22:00:19.902596	135065	515	3	2
2014-03-31 22:00:20.124309	135066	1156917.5154024304	4	2
2014-03-31 22:00:22.517474	135067	56	2	1
2014-03-31 22:00:22.747057	135068	20.2	1	1
2014-03-31 22:00:31.895574	135069	627	3	2
2014-03-31 22:00:32.116611	135070	1156919.8134718733	4	2
2014-03-31 22:00:33.570801	135071	60	2	24
2014-03-31 22:00:33.802769	135072	18.0	1	24
2014-03-31 22:00:35.960348	135073	53	2	25
2014-03-31 22:00:36.181494	135074	18.5	1	25
2014-03-31 22:00:41.903007	135075	49	2	10
2014-03-31 22:00:42.133629	135076	23.1	1	10
2014-03-31 22:00:43.895997	135077	611	3	2
2014-03-31 22:00:44.118063	135078	1156920.9625065946	4	2
2014-03-31 22:00:49.889887	135079	54	2	9
2014-03-31 22:00:50.121358	135080	22.2	1	9
2014-03-31 22:00:50.961149	135081	54	2	8
2014-03-31 22:00:51.180549	135082	19.7	1	8
2014-03-31 22:01:01.515116	135083	56	2	1
2014-03-31 22:01:01.767399	135084	20.2	1	1
2014-03-31 22:01:12.558699	135085	60	2	24
2014-03-31 22:01:12.781378	135086	18.0	1	24
2014-03-31 22:01:14.959643	135087	53	2	25
2014-03-31 22:01:15.191233	135088	18.5	1	25
2014-03-31 22:01:19.896656	135089	482	3	2
2014-03-31 22:01:20.11703	135090	1156926.7076802019	4	2
2014-03-31 22:01:20.903356	135091	49	2	10
2014-03-31 22:01:21.134277	135092	23.1	1	10
2014-03-31 22:01:28.891867	135093	54	2	9
2014-03-31 22:01:29.114695	135094	22.2	1	9
2014-03-31 22:01:29.960259	135095	54	2	8
2014-03-31 22:01:30.190466	135096	19.7	1	8
2014-03-31 22:01:40.51471	135097	56	2	1
2014-03-31 22:01:40.736668	135098	20.2	1	1
2014-03-31 22:01:51.566776	135099	60	2	24
2014-03-31 22:01:51.800744	135100	18.0	1	24
2014-03-31 22:01:53.962348	135101	53	2	25
2014-03-31 22:01:54.185247	135102	18.5	1	25
2014-03-31 22:01:55.897901	135103	402	3	2
2014-03-31 22:01:56.129796	135104	1156932.4528538089	4	2
2014-03-31 22:01:59.904459	135105	49	2	10
2014-03-31 22:02:00.129218	135106	23.0	1	10
2014-03-31 22:02:08.09289	135107	54	2	9
2014-03-31 22:02:08.325472	135108	22.2	1	9
2014-03-31 22:02:08.959176	135109	54	2	8
2014-03-31 22:02:09.181693	135110	19.7	1	8
2014-03-31 22:02:19.514639	135111	56	2	1
2014-03-31 22:02:19.757556	135112	20.2	1	1
2014-03-31 22:02:30.562732	135113	60	2	24
2014-03-31 22:02:30.78422	135114	18.0	1	24
2014-03-31 22:02:32.958892	135115	53	2	25
2014-03-31 22:02:33.188945	135116	18.5	1	25
2014-03-31 22:02:38.906943	135117	49	2	10
2014-03-31 22:02:39.129797	135118	23.0	1	10
2014-03-31 22:02:46.890406	135119	54	2	9
2014-03-31 22:02:47.122931	135120	22.2	1	9
2014-03-31 22:02:47.962193	135121	54	2	8
2014-03-31 22:02:48.182918	135122	19.7	1	8
2014-03-31 22:02:58.514522	135123	56	2	1
2014-03-31 22:02:58.74604	135124	20.2	1	1
2014-03-31 22:03:09.566306	135125	60	2	24
2014-03-31 22:03:09.788055	135126	18.0	1	24
2014-03-31 22:03:11.961099	135127	53	2	25
2014-03-31 22:03:12.192676	135128	18.5	1	25
2014-03-31 22:03:17.904437	135129	49	2	10
2014-03-31 22:03:18.147443	135130	23.0	1	10
2014-03-31 22:03:25.88919	135131	54	2	9
2014-03-31 22:03:26.122169	135132	22.1	1	9
2014-03-31 22:03:27.165727	135133	54	2	8
2014-03-31 22:03:27.385349	135134	19.8	1	8
2014-03-31 22:03:37.512551	135135	56	2	1
2014-03-31 22:03:37.743938	135136	20.2	1	1
2014-03-31 22:03:48.619034	135137	60	2	24
2014-03-31 22:03:48.842466	135138	18.0	1	24
2014-03-31 22:03:50.958436	135139	53	2	25
2014-03-31 22:03:51.191784	135140	18.5	1	25
2014-03-31 22:03:56.90417	135141	49	2	10
2014-03-31 22:03:57.126991	135142	23.0	1	10
2014-03-31 22:04:04.889952	135143	54	2	9
2014-03-31 22:04:05.125583	135144	22.1	1	9
2014-03-31 22:04:06.167244	135145	54	2	8
2014-03-31 22:04:06.388528	135146	19.8	1	8
2014-03-31 22:04:16.513439	135147	56	2	1
2014-03-31 22:04:16.744211	135148	20.2	1	1
2014-03-31 22:04:27.559148	135149	60	2	24
2014-03-31 22:04:27.782013	135150	18.0	1	24
2014-03-31 22:04:29.957395	135151	53	2	25
2014-03-31 22:04:30.189174	135152	18.5	1	25
2014-03-31 22:04:31.898236	135153	466	3	2
2014-03-31 22:04:32.120108	135154	1156950.8374093515	4	2
2014-03-31 22:04:36.110503	135155	49	2	10
2014-03-31 22:04:36.344794	135156	23.0	1	10
2014-03-31 22:04:43.888624	135157	54	2	9
2014-03-31 22:04:44.10924	135158	22.1	1	9
2014-03-31 22:04:44.959006	135159	54	2	8
2014-03-31 22:04:45.204842	135160	19.8	1	8
2014-03-31 22:04:55.512631	135161	56	2	1
2014-03-31 22:04:55.735353	135162	20.2	1	1
2014-03-31 22:05:06.56324	135163	61	2	24
2014-03-31 22:05:06.795952	135164	18.0	1	24
2014-03-31 22:05:07.893726	135165	515	3	2
2014-03-31 22:05:08.115165	135166	1156955.4335482372	4	2
2014-03-31 22:05:08.958926	135167	53	2	25
2014-03-31 22:05:09.189919	135168	18.5	1	25
2014-03-31 22:05:14.905312	135169	49	2	10
2014-03-31 22:05:15.126923	135170	23.0	1	10
2014-03-31 22:05:22.888703	135171	54	2	9
2014-03-31 22:05:23.11911	135172	22.1	1	9
2014-03-31 22:05:23.960066	135173	54	2	8
2014-03-31 22:05:24.180278	135174	19.8	1	8
2014-03-31 22:05:34.514201	135175	56	2	1
2014-03-31 22:05:34.746257	135176	20.2	1	1
2014-03-31 22:05:45.561311	135177	61	2	24
2014-03-31 22:05:45.796581	135178	18.0	1	24
2014-03-31 22:05:47.957129	135179	52	2	25
2014-03-31 22:05:48.187606	135180	18.5	1	25
2014-03-31 22:05:53.905431	135181	49	2	10
2014-03-31 22:05:54.127017	135182	22.9	1	10
2014-03-31 22:06:01.88967	135183	54	2	9
2014-03-31 22:06:02.122821	135184	22.1	1	9
2014-03-31 22:06:02.960538	135185	54	2	8
2014-03-31 22:06:03.182458	135186	19.8	1	8
2014-03-31 22:06:13.515514	135187	56	2	1
2014-03-31 22:06:13.746095	135188	20.2	1	1
2014-03-31 22:06:24.562923	135189	61	2	24
2014-03-31 22:06:24.784318	135190	18.0	1	24
2014-03-31 22:06:26.955871	135191	52	2	25
2014-03-31 22:06:27.188055	135192	18.5	1	25
2014-03-31 22:06:31.89521	135193	498	3	2
2014-03-31 22:06:32.120122	135194	1156966.9238954512	4	2
2014-03-31 22:06:32.905144	135195	49	2	10
2014-03-31 22:06:33.13599	135196	22.9	1	10
2014-03-31 22:06:40.891706	135197	54	2	9
2014-03-31 22:06:41.114236	135198	22.0	1	9
2014-03-31 22:06:41.959508	135199	54	2	8
2014-03-31 22:06:42.191384	135200	19.8	1	8
2014-03-31 22:06:52.513385	135201	56	2	1
2014-03-31 22:06:52.73743	135202	20.2	1	1
2014-03-31 22:06:55.89581	135203	547	3	2
2014-03-31 22:06:56.128451	135204	1156970.3709996154	4	2
2014-03-31 22:07:03.559476	135205	61	2	24
2014-03-31 22:07:03.783506	135206	18.1	1	24
2014-03-31 22:07:05.957467	135207	52	2	25
2014-03-31 22:07:06.199233	135208	18.5	1	25
2014-03-31 22:07:07.894943	135209	547	3	2
2014-03-31 22:07:08.115293	135210	1156972.6690690583	4	2
2014-03-31 22:07:11.90881	135211	49	2	10
2014-03-31 22:07:12.14019	135212	22.9	1	10
2014-03-31 22:07:19.889905	135213	54	2	9
2014-03-31 22:07:20.110562	135214	22.0	1	9
2014-03-31 22:07:20.959369	135215	54	2	8
2014-03-31 22:07:21.190144	135216	19.8	1	8
2014-03-31 22:07:31.513022	135217	56	2	1
2014-03-31 22:07:31.73394	135218	20.2	1	1
2014-03-31 22:07:32.041096	135219	547	3	2
2014-03-31 22:07:32.272548	135220	1156976.1161732227	4	2
2014-03-31 22:07:42.561589	135221	61	2	24
2014-03-31 22:07:42.787975	135222	18.1	1	24
2014-03-31 22:07:44.954942	135223	52	2	25
2014-03-31 22:07:45.186688	135224	18.5	1	25
2014-03-31 22:07:50.907809	135225	49	2	10
2014-03-31 22:07:51.130181	135226	22.9	1	10
2014-03-31 22:07:58.892496	135227	54	2	9
2014-03-31 22:07:59.125839	135228	22.0	1	9
2014-03-31 22:07:59.960567	135229	54	2	8
2014-03-31 22:08:00.202526	135230	19.8	1	8
2014-03-31 22:08:10.512685	135231	56	2	1
2014-03-31 22:08:10.743485	135232	20.2	1	1
2014-03-31 22:08:21.559813	135233	61	2	24
2014-03-31 22:08:21.782412	135234	18.1	1	24
2014-03-31 22:08:23.961164	135235	52	2	25
2014-03-31 22:08:24.191732	135236	18.5	1	25
2014-03-31 22:08:29.906834	135237	49	2	10
2014-03-31 22:08:30.133592	135238	22.9	1	10
2014-03-31 22:08:31.893332	135239	547	3	2
2014-03-31 22:08:32.126528	135240	1156985.3084509938	4	2
2014-03-31 22:08:37.889513	135241	54	2	9
2014-03-31 22:08:38.114682	135242	22.0	1	9
2014-03-31 22:08:38.961181	135243	54	2	8
2014-03-31 22:08:39.19228	135244	19.8	1	8
2014-03-31 22:08:49.512268	135245	56	2	1
2014-03-31 22:08:49.734117	135246	20.2	1	1
2014-03-31 22:09:00.559153	135247	61	2	24
2014-03-31 22:09:00.791776	135248	18.1	1	24
2014-03-31 22:09:02.957283	135249	52	2	25
2014-03-31 22:09:03.179393	135250	18.5	1	25
2014-03-31 22:09:08.905773	135251	49	2	10
2014-03-31 22:09:09.139288	135252	22.8	1	10
2014-03-31 22:09:16.888187	135253	54	2	9
2014-03-31 22:09:17.113166	135254	22.0	1	9
2014-03-31 22:09:17.961318	135255	54	2	8
2014-03-31 22:09:18.205575	135256	19.8	1	8
2014-03-31 22:09:28.512056	135257	56	2	1
2014-03-31 22:09:28.733306	135258	20.2	1	1
2014-03-31 22:09:42.196978	135259	52	2	25
2014-03-31 22:09:42.428677	135260	18.5	1	25
2014-03-31 22:09:47.907234	135261	49	2	10
2014-03-31 22:09:48.133874	135262	22.8	1	10
2014-03-31 22:09:56.092538	135263	54	2	9
2014-03-31 22:09:56.325438	135264	22.0	1	9
2014-03-31 22:09:56.962425	135265	54	2	8
2014-03-31 22:09:57.185528	135266	19.8	1	8
2014-03-31 22:10:07.51098	135267	56	2	1
2014-03-31 22:10:07.741836	135268	20.2	1	1
2014-03-31 22:10:18.553845	135269	61	2	24
2014-03-31 22:10:18.830683	135270	18.1	1	24
2014-03-31 22:10:20.955762	135271	52	2	25
2014-03-31 22:10:21.186744	135272	18.5	1	25
2014-03-31 22:10:26.906716	135273	49	2	10
2014-03-31 22:10:27.129601	135274	22.8	1	10
2014-03-31 22:10:31.899177	135275	450	3	2
2014-03-31 22:10:32.136316	135276	1157003.6930065365	4	2
2014-03-31 22:10:34.888872	135277	54	2	9
2014-03-31 22:10:35.110327	135278	22.0	1	9
2014-03-31 22:10:35.962264	135279	54	2	8
2014-03-31 22:10:36.195144	135280	19.9	1	8
2014-03-31 22:10:43.894197	135281	418	3	2
2014-03-31 22:10:44.116835	135282	1157004.842041258	4	2
2014-03-31 22:10:46.510457	135283	56	2	1
2014-03-31 22:10:46.741025	135284	20.2	1	1
2014-03-31 22:10:57.362117	135285	434	3	2
2014-03-31 22:10:57.586806	135286	1157007.1401107009	4	2
2014-03-31 22:10:57.890931	135287	61	2	24
2014-03-31 22:10:58.122451	135288	18.1	1	24
2014-03-31 22:10:59.95693	135289	52	2	25
2014-03-31 22:11:00.177532	135290	18.5	1	25
2014-03-31 22:11:05.906006	135291	49	2	10
2014-03-31 22:11:06.137533	135292	22.8	1	10
2014-03-31 22:11:13.88962	135293	54	2	9
2014-03-31 22:11:14.111357	135294	22.0	1	9
2014-03-31 22:11:14.961913	135295	54	2	8
2014-03-31 22:11:15.194456	135296	19.9	1	8
2014-03-31 22:11:25.512339	135297	56	2	1
2014-03-31 22:11:25.733501	135298	20.1	1	1
2014-03-31 22:11:36.559385	135299	61	2	24
2014-03-31 22:11:36.792472	135300	18.1	1	24
2014-03-31 22:11:38.954626	135301	52	2	25
2014-03-31 22:11:39.175425	135302	18.5	1	25
2014-03-31 22:11:44.909734	135303	49	2	10
2014-03-31 22:11:45.150256	135304	22.8	1	10
2014-03-31 22:11:52.891603	135305	54	2	9
2014-03-31 22:11:53.114062	135306	21.9	1	9
2014-03-31 22:11:53.960496	135307	54	2	8
2014-03-31 22:11:54.194583	135308	19.9	1	8
2014-03-31 22:12:04.510259	135309	56	2	1
2014-03-31 22:12:04.733534	135310	20.1	1	1
2014-03-31 22:12:07.89347	135311	370	3	2
2014-03-31 22:12:08.127604	135312	1157015.1833537507	4	2
2014-03-31 22:12:15.55712	135313	61	2	24
2014-03-31 22:12:15.779873	135314	18.1	1	24
2014-03-31 22:12:17.954619	135315	52	2	25
2014-03-31 22:12:18.183912	135316	18.5	1	25
2014-03-31 22:12:19.892691	135317	402	3	2
2014-03-31 22:12:20.113869	135318	1157016.332388472	4	2
2014-03-31 22:12:23.909883	135319	49	2	10
2014-03-31 22:12:24.143575	135320	22.8	1	10
2014-03-31 22:12:32.091798	135321	54	2	9
2014-03-31 22:12:32.313995	135322	21.9	1	9
2014-03-31 22:12:33.164892	135323	54	2	8
2014-03-31 22:12:33.398054	135324	19.8	1	8
2014-03-31 22:12:43.510008	135325	56	2	1
2014-03-31 22:12:43.738204	135326	20.1	1	1
2014-03-31 22:12:54.555533	135327	61	2	24
2014-03-31 22:12:54.789847	135328	18.1	1	24
2014-03-31 22:12:56.954023	135329	52	2	25
2014-03-31 22:12:57.174597	135330	18.4	1	25
2014-03-31 22:13:02.913402	135331	49	2	10
2014-03-31 22:13:03.145279	135332	22.8	1	10
2014-03-31 22:13:10.892376	135333	54	2	9
2014-03-31 22:13:11.11433	135334	21.9	1	9
2014-03-31 22:13:11.960561	135335	54	2	8
2014-03-31 22:13:12.190459	135336	19.8	1	8
2014-03-31 22:13:19.895353	135337	370	3	2
2014-03-31 22:13:20.116733	135338	1157023.2265968006	4	2
2014-03-31 22:13:22.508196	135339	56	2	1
2014-03-31 22:13:22.74251	135340	20.1	1	1
2014-03-31 22:13:31.896546	135341	402	3	2
2014-03-31 22:13:32.118659	135342	1157024.375631522	4	2
2014-03-31 22:13:33.554583	135343	61	2	24
2014-03-31 22:13:33.786304	135344	18.1	1	24
2014-03-31 22:13:35.955552	135345	52	2	25
2014-03-31 22:13:36.178972	135346	18.4	1	25
2014-03-31 22:13:41.9121	135347	49	2	10
2014-03-31 22:13:42.144119	135348	22.8	1	10
2014-03-31 22:13:43.89324	135349	418	3	2
2014-03-31 22:13:44.116959	135350	1157025.5246662435	4	2
2014-03-31 22:13:49.889294	135351	54	2	9
2014-03-31 22:13:50.134089	135352	21.9	1	9
2014-03-31 22:13:50.962532	135353	54	2	8
2014-03-31 22:13:51.183426	135354	19.8	1	8
2014-03-31 22:14:01.508822	135355	56	2	1
2014-03-31 22:14:01.742259	135356	20.1	1	1
2014-03-31 22:14:12.553325	135357	61	2	24
2014-03-31 22:14:12.774877	135358	18.1	1	24
2014-03-31 22:14:14.95483	135359	52	2	25
2014-03-31 22:14:15.188556	135360	18.4	1	25
2014-03-31 22:14:20.909631	135361	49	2	10
2014-03-31 22:14:21.133731	135362	22.7	1	10
2014-03-31 22:14:28.889601	135363	54	2	9
2014-03-31 22:14:29.123499	135364	21.9	1	9
2014-03-31 22:14:29.963636	135365	54	2	8
2014-03-31 22:14:30.185333	135366	19.8	1	8
2014-03-31 22:14:31.89263	135367	402	3	2
2014-03-31 22:14:32.127088	135368	1157031.2698398505	4	2
2014-03-31 22:14:40.507014	135369	56	2	1
2014-03-31 22:14:40.728287	135370	20.1	1	1
2014-03-31 22:14:51.555072	135371	61	2	24
2014-03-31 22:14:51.786951	135372	18.1	1	24
2014-03-31 22:14:53.957256	135373	52	2	25
2014-03-31 22:14:54.180318	135374	18.4	1	25
2014-03-31 22:14:59.909448	135375	49	2	10
2014-03-31 22:15:00.147571	135376	22.7	1	10
2014-03-31 22:15:07.891984	135377	54	2	9
2014-03-31 22:15:08.114278	135378	21.9	1	9
2014-03-31 22:15:08.963464	135379	54	2	8
2014-03-31 22:15:09.195976	135380	19.8	1	8
2014-03-31 22:15:19.508755	135381	56	2	1
2014-03-31 22:15:19.729143	135382	20.1	1	1
2014-03-31 22:15:20.037672	135383	370	3	2
2014-03-31 22:15:20.270514	135384	1157037.0150134575	4	2
2014-03-31 22:15:30.554232	135385	61	2	24
2014-03-31 22:15:30.776277	135386	18.1	1	24
2014-03-31 22:15:31.893368	135387	402	3	2
2014-03-31 22:15:32.124572	135388	1157038.164048179	4	2
2014-03-31 22:15:32.954526	135389	52	2	25
2014-03-31 22:15:33.174569	135390	18.4	1	25
2014-03-31 22:15:38.909419	135391	49	2	10
2014-03-31 22:15:39.142339	135392	22.7	1	10
2014-03-31 22:15:43.89462	135393	402	3	2
2014-03-31 22:15:44.117582	135394	1157039.3130829004	4	2
2014-03-31 22:15:46.891396	135395	54	2	9
2014-03-31 22:15:47.122116	135396	21.9	1	9
2014-03-31 22:15:47.961412	135397	54	2	8
2014-03-31 22:15:48.182339	135398	19.8	1	8
2014-03-31 22:15:58.507654	135399	56	2	1
2014-03-31 22:15:58.751927	135400	20.1	1	1
2014-03-31 22:16:07.893979	135401	370	3	2
2014-03-31 22:16:08.115882	135402	1157042.7601870648	4	2
2014-03-31 22:16:09.554074	135403	61	2	24
2014-03-31 22:16:09.787232	135404	18.1	1	24
2014-03-31 22:16:11.954536	135405	52	2	25
2014-03-31 22:16:12.174981	135406	18.4	1	25
2014-03-31 22:16:17.909364	135407	49	2	10
2014-03-31 22:16:18.140374	135408	22.7	1	10
2014-03-31 22:16:19.894529	135409	402	3	2
2014-03-31 22:16:20.115215	135410	1157043.909221786	4	2
2014-03-31 22:16:25.888641	135411	54	2	9
2014-03-31 22:16:26.121783	135412	21.8	1	9
2014-03-31 22:16:27.163961	135413	54	2	8
2014-03-31 22:16:27.384345	135414	19.8	1	8
2014-03-31 22:16:31.892412	135415	402	3	2
2014-03-31 22:16:32.127909	135416	1157045.0582565074	4	2
2014-03-31 22:16:37.507686	135417	56	2	1
2014-03-31 22:16:37.733094	135418	20.1	1	1
2014-03-31 22:16:48.553789	135419	61	2	24
2014-03-31 22:16:48.789101	135420	18.1	1	24
2014-03-31 22:16:50.952753	135421	52	2	25
2014-03-31 22:16:51.175014	135422	18.4	1	25
2014-03-31 22:16:56.908729	135423	49	2	10
2014-03-31 22:16:57.141082	135424	22.7	1	10
2014-03-31 22:17:04.889476	135425	54	2	9
2014-03-31 22:17:05.112416	135426	21.8	1	9
2014-03-31 22:17:05.960606	135427	54	2	8
2014-03-31 22:17:06.19277	135428	19.8	1	8
2014-03-31 22:17:16.506462	135429	55	2	1
2014-03-31 22:17:16.728511	135430	20.1	1	1
2014-03-31 22:17:27.552051	135431	61	2	24
2014-03-31 22:17:27.788585	135432	18.1	1	24
2014-03-31 22:17:29.952586	135433	52	2	25
2014-03-31 22:17:30.176155	135434	18.4	1	25
2014-03-31 22:17:31.894168	135435	370	3	2
2014-03-31 22:17:32.147774	135436	1157051.952464836	4	2
2014-03-31 22:17:35.909533	135437	49	2	10
2014-03-31 22:17:36.13266	135438	22.7	1	10
2014-03-31 22:17:44.094106	135439	54	2	9
2014-03-31 22:17:44.327421	135440	21.8	1	9
2014-03-31 22:17:44.960876	135441	54	2	8
2014-03-31 22:17:45.183277	135442	19.8	1	8
2014-03-31 22:17:55.507096	135443	55	2	1
2014-03-31 22:17:55.739967	135444	20.1	1	1
2014-03-31 22:17:56.046374	135445	338	3	2
2014-03-31 22:17:56.266118	135446	1157054.2505342788	4	2
2014-03-31 22:18:06.550653	135447	61	2	24
2014-03-31 22:18:06.794809	135448	18.1	1	24
2014-03-31 22:18:07.893308	135449	338	3	2
2014-03-31 22:18:08.114656	135450	1157055.3995690001	4	2
2014-03-31 22:18:08.952928	135451	52	2	25
2014-03-31 22:18:09.183843	135452	18.4	1	25
2014-03-31 22:18:14.909875	135453	49	2	10
2014-03-31 22:18:15.13198	135454	22.7	1	10
2014-03-31 22:18:19.895244	135455	370	3	2
2014-03-31 22:18:20.133747	135456	1157056.5486037217	4	2
2014-03-31 22:18:22.893449	135457	54	2	9
2014-03-31 22:18:23.113896	135458	21.8	1	9
2014-03-31 22:18:23.960139	135459	54	2	8
2014-03-31 22:18:24.190724	135460	19.8	1	8
2014-03-31 22:18:31.894511	135461	402	3	2
2014-03-31 22:18:32.116476	135462	1157057.697638443	4	2
2014-03-31 22:18:34.505646	135463	55	2	1
2014-03-31 22:18:34.736569	135464	20.1	1	1
2014-03-31 22:18:43.897114	135465	370	3	2
2014-03-31 22:18:44.119236	135466	1157058.8466731645	4	2
2014-03-31 22:18:45.549704	135467	61	2	24
2014-03-31 22:18:45.783572	135468	18.1	1	24
2014-03-31 22:18:47.953322	135469	52	2	25
2014-03-31 22:18:48.175105	135470	18.4	1	25
2014-03-31 22:18:53.911383	135471	49	2	10
2014-03-31 22:18:54.143304	135472	22.6	1	10
2014-03-31 22:18:55.894065	135473	370	3	2
2014-03-31 22:18:56.117118	135474	1157059.9957078858	4	2
2014-03-31 22:19:01.88945	135475	54	2	9
2014-03-31 22:19:02.124522	135476	21.8	1	9
2014-03-31 22:19:02.961931	135477	54	2	8
2014-03-31 22:19:03.184287	135478	19.8	1	8
2014-03-31 22:19:13.507885	135479	55	2	1
2014-03-31 22:19:13.742648	135480	20.1	1	1
2014-03-31 22:19:24.550432	135481	61	2	24
2014-03-31 22:19:24.778652	135482	18.1	1	24
2014-03-31 22:19:26.952727	135483	52	2	25
2014-03-31 22:19:27.18539	135484	18.4	1	25
2014-03-31 22:19:31.891498	135485	370	3	2
2014-03-31 22:19:32.116721	135486	1157063.4428120502	4	2
2014-03-31 22:19:32.910621	135487	49	2	10
2014-03-31 22:19:33.144303	135488	22.6	1	10
2014-03-31 22:19:40.890172	135489	54	2	9
2014-03-31 22:19:41.114213	135490	21.8	1	9
2014-03-31 22:19:41.960797	135491	54	2	8
2014-03-31 22:19:42.193103	135492	19.8	1	8
2014-03-31 22:19:52.50583	135493	55	2	1
2014-03-31 22:19:52.726446	135494	20.1	1	1
2014-03-31 22:19:55.892643	135495	402	3	2
2014-03-31 22:19:56.13703	135496	1157066.8899162144	4	2
2014-03-31 22:20:03.549463	135497	61	2	24
2014-03-31 22:20:03.772072	135498	18.1	1	24
2014-03-31 22:20:05.95269	135499	52	2	25
2014-03-31 22:20:06.185219	135500	18.4	1	25
2014-03-31 22:20:07.895037	135501	370	3	2
2014-03-31 22:20:08.118791	135502	1157068.0389509357	4	2
2014-03-31 22:20:11.910665	135503	49	2	10
2014-03-31 22:20:12.144779	135504	22.6	1	10
2014-03-31 22:20:20.757744	135505	54	2	9
2014-03-31 22:20:20.979072	135506	21.8	1	9
2014-03-31 22:20:21.28416	135507	53	2	8
2014-03-31 22:20:21.515169	135508	19.8	1	8
2014-03-31 22:20:31.503333	135509	55	2	1
2014-03-31 22:20:31.726839	135510	20.1	1	1
2014-03-31 22:20:32.032828	135511	370	3	2
2014-03-31 22:20:32.266404	135512	1157070.3370203786	4	2
2014-03-31 22:20:42.547967	135513	61	2	24
2014-03-31 22:20:42.772599	135514	18.1	1	24
2014-03-31 22:20:44.950989	135515	52	2	25
2014-03-31 22:20:45.181592	135516	18.4	1	25
2014-03-31 22:20:50.911117	135517	49	2	10
2014-03-31 22:20:51.131901	135518	22.6	1	10
2014-03-31 22:20:58.889252	135519	54	2	9
2014-03-31 22:20:59.120709	135520	21.8	1	9
2014-03-31 22:20:59.960078	135521	53	2	8
2014-03-31 22:21:00.18237	135522	19.8	1	8
2014-03-31 22:21:10.502189	135523	55	2	1
2014-03-31 22:21:10.733223	135524	20.1	1	1
2014-03-31 22:21:21.547791	135525	61	2	24
2014-03-31 22:21:21.769647	135526	18.1	1	24
2014-03-31 22:21:23.950254	135527	52	2	25
2014-03-31 22:21:24.187522	135528	18.4	1	25
2014-03-31 22:21:29.911281	135529	49	2	10
2014-03-31 22:21:30.137372	135530	22.6	1	10
2014-03-31 22:21:31.893518	135531	354	3	2
2014-03-31 22:21:32.124254	135532	1157076.0821939856	4	2
2014-03-31 22:21:37.888874	135533	54	2	9
2014-03-31 22:21:38.112347	135534	21.8	1	9
2014-03-31 22:21:38.960662	135535	53	2	8
2014-03-31 22:21:39.191182	135536	19.8	1	8
2014-03-31 22:21:49.506228	135537	55	2	1
2014-03-31 22:21:49.726428	135538	20.1	1	1
2014-03-31 22:22:00.549534	135539	61	2	24
2014-03-31 22:22:00.780754	135540	18.1	1	24
2014-03-31 22:22:02.951949	135541	52	2	25
2014-03-31 22:22:03.197652	135542	18.4	1	25
2014-03-31 22:22:08.911781	135543	49	2	10
2014-03-31 22:22:09.153432	135544	22.6	1	10
2014-03-31 22:22:16.891676	135545	54	2	9
2014-03-31 22:22:17.113264	135546	21.8	1	9
2014-03-31 22:22:17.961815	135547	53	2	8
2014-03-31 22:22:18.19351	135548	19.8	1	8
2014-03-31 22:22:28.501427	135549	55	2	1
2014-03-31 22:22:28.724819	135550	20.1	1	1
2014-03-31 22:22:31.892074	135551	354	3	2
2014-03-31 22:22:32.123443	135552	1157082.9764023141	4	2
2014-03-31 22:22:39.545626	135553	61	2	24
2014-03-31 22:22:39.769875	135554	18.1	1	24
2014-03-31 22:22:41.950834	135555	52	2	25
2014-03-31 22:22:42.183645	135556	18.4	1	25
2014-03-31 22:22:47.911315	135557	49	2	10
2014-03-31 22:22:48.133074	135558	22.6	1	10
2014-03-31 22:22:55.889486	135559	54	2	9
2014-03-31 22:22:56.121269	135560	21.7	1	9
2014-03-31 22:22:56.959878	135561	53	2	8
2014-03-31 22:22:57.181283	135562	19.8	1	8
2014-03-31 22:23:07.502066	135563	55	2	1
2014-03-31 22:23:07.745124	135564	20.1	1	1
2014-03-31 22:23:18.546334	135565	61	2	24
2014-03-31 22:23:18.768518	135566	18.1	1	24
2014-03-31 22:23:20.95017	135567	52	2	25
2014-03-31 22:23:21.181901	135568	18.4	1	25
2014-03-31 22:23:26.91118	135569	49	2	10
2014-03-31 22:23:27.133587	135570	22.5	1	10
2014-03-31 22:23:31.896531	135571	354	3	2
2014-03-31 22:23:32.126676	135572	1157088.7215759212	4	2
2014-03-31 22:23:34.88759	135573	54	2	9
2014-03-31 22:23:35.109827	135574	21.7	1	9
2014-03-31 22:23:35.959712	135575	53	2	8
2014-03-31 22:23:36.190702	135576	19.8	1	8
2014-03-31 22:23:43.895133	135577	305	3	2
2014-03-31 22:23:44.117272	135578	1157089.8706106427	4	2
2014-03-31 22:23:46.504259	135579	55	2	1
2014-03-31 22:23:46.735514	135580	20.1	1	1
2014-03-31 22:23:55.895647	135581	338	3	2
2014-03-31 22:23:56.119008	135582	1157089.8750815948	4	2
2014-03-31 22:23:57.545429	135583	61	2	24
2014-03-31 22:23:57.776316	135584	18.1	1	24
2014-03-31 22:23:59.95204	135585	52	2	25
2014-03-31 22:24:00.173469	135586	18.4	1	25
2014-03-31 22:24:05.912855	135587	49	2	10
2014-03-31 22:24:06.14393	135588	22.5	1	10
2014-03-31 22:24:07.89515	135589	305	3	2
2014-03-31 22:24:08.116833	135590	1157091.0241163163	4	2
2014-03-31 22:24:13.888252	135591	54	2	9
2014-03-31 22:24:14.132096	135592	21.7	1	9
2014-03-31 22:24:14.962386	135593	53	2	8
2014-03-31 22:24:15.183788	135594	19.8	1	8
2014-03-31 22:24:19.895433	135595	305	3	2
2014-03-31 22:24:20.127686	135596	1157092.1731510377	4	2
2014-03-31 22:24:25.503895	135597	55	2	1
2014-03-31 22:24:25.726296	135598	20.1	1	1
2014-03-31 22:24:31.89367	135599	305	3	2
2014-03-31 22:24:32.125891	135600	1157092.1731510377	4	2
2014-03-31 22:24:36.544258	135601	61	2	24
2014-03-31 22:24:36.765818	135602	18.1	1	24
2014-03-31 22:24:38.950943	135603	52	2	25
2014-03-31 22:24:39.182803	135604	18.4	1	25
2014-03-31 22:24:44.913439	135605	49	2	10
2014-03-31 22:24:45.140265	135606	22.5	1	10
2014-03-31 22:24:52.889557	135607	54	2	9
2014-03-31 22:24:53.123054	135608	21.7	1	9
2014-03-31 22:24:53.960275	135609	53	2	8
2014-03-31 22:24:54.183325	135610	19.8	1	8
2014-03-31 22:25:04.501878	135611	55	2	1
2014-03-31 22:25:04.732984	135612	20.1	1	1
2014-03-31 22:25:15.543111	135613	61	2	24
2014-03-31 22:25:15.765023	135614	18.1	1	24
2014-03-31 22:25:17.951138	135615	52	2	25
2014-03-31 22:25:18.183358	135616	18.4	1	25
2014-03-31 22:25:23.912449	135617	49	2	10
2014-03-31 22:25:24.135347	135618	22.5	1	10
2014-03-31 22:25:32.092226	135619	54	2	9
2014-03-31 22:25:32.325921	135620	21.7	1	9
2014-03-31 22:25:32.960956	135621	53	2	8
2014-03-31 22:25:33.193035	135622	19.8	1	8
2014-03-31 22:25:43.501451	135623	55	2	1
2014-03-31 22:25:43.732981	135624	20.0	1	1
2014-03-31 22:25:44.039916	135625	338	3	2
2014-03-31 22:25:44.26274	135626	1157099.0673593662	4	2
2014-03-31 22:25:54.543755	135627	61	2	24
2014-03-31 22:25:54.779689	135628	18.0	1	24
2014-03-31 22:25:55.892354	135629	305	3	2
2014-03-31 22:25:56.113235	135630	1157100.2163940875	4	2
2014-03-31 22:25:56.949302	135631	52	2	25
2014-03-31 22:25:57.181106	135632	18.4	1	25
2014-03-31 22:26:02.91218	135633	49	2	10
2014-03-31 22:26:03.134287	135634	22.5	1	10
2014-03-31 22:26:07.892613	135635	305	3	2
2014-03-31 22:26:08.129397	135636	1157101.365428809	4	2
2014-03-31 22:26:11.092099	135637	54	2	9
2014-03-31 22:26:11.314264	135638	21.7	1	9
2014-03-31 22:26:11.960185	135639	53	2	8
2014-03-31 22:26:12.203629	135640	19.8	1	8
2014-03-31 22:26:19.891828	135641	338	3	2
2014-03-31 22:26:20.113244	135642	1157102.5144635304	4	2
2014-03-31 22:26:22.499673	135643	55	2	1
2014-03-31 22:26:22.730541	135644	20.0	1	1
2014-03-31 22:26:31.89109	135645	305	3	2
2014-03-31 22:26:32.112896	135646	1157103.663498252	4	2
2014-03-31 22:26:33.541374	135647	61	2	24
2014-03-31 22:26:33.775412	135648	18.0	1	24
2014-03-31 22:26:35.949889	135649	52	2	25
2014-03-31 22:26:36.17361	135650	18.4	1	25
2014-03-31 22:26:41.912452	135651	49	2	10
2014-03-31 22:26:42.143799	135652	22.5	1	10
2014-03-31 22:26:43.895247	135653	305	3	2
2014-03-31 22:26:44.11725	135654	1157103.663498252	4	2
2014-03-31 22:26:49.890211	135655	54	2	9
2014-03-31 22:26:50.122486	135656	21.7	1	9
2014-03-31 22:26:50.960154	135657	53	2	8
2014-03-31 22:26:51.179596	135658	19.8	1	8
2014-03-31 22:26:55.892263	135659	338	3	2
2014-03-31 22:26:56.123644	135660	1157104.8125329732	4	2
2014-03-31 22:27:01.502123	135661	55	2	1
2014-03-31 22:27:01.727174	135662	20.0	1	1
2014-03-31 22:27:07.89457	135663	289	3	2
2014-03-31 22:27:08.124993	135664	1157105.9615676948	4	2
2014-03-31 22:27:12.543939	135665	61	2	24
2014-03-31 22:27:12.766214	135666	18.0	1	24
2014-03-31 22:27:14.948757	135667	52	2	25
2014-03-31 22:27:15.180962	135668	18.4	1	25
2014-03-31 22:27:20.714237	135669	305	3	2
2014-03-31 22:27:20.943334	135670	1157107.110602416	4	2
2014-03-31 22:27:21.248587	135671	49	2	10
2014-03-31 22:27:21.481559	135672	22.5	1	10
2014-03-31 22:27:28.887767	135673	54	2	9
2014-03-31 22:27:29.112218	135674	21.7	1	9
2014-03-31 22:27:29.96054	135675	53	2	8
2014-03-31 22:27:30.190787	135676	19.8	1	8
2014-03-31 22:27:31.892441	135677	338	3	2
2014-03-31 22:27:32.112274	135678	1157108.2596371376	4	2
2014-03-31 22:27:40.498295	135679	55	2	1
2014-03-31 22:27:40.734581	135680	20.0	1	1
2014-03-31 22:27:43.892657	135681	289	3	2
2014-03-31 22:27:44.11722	135682	1157109.408671859	4	2
2014-03-31 22:27:51.543479	135683	61	2	24
2014-03-31 22:27:51.776327	135684	18.0	1	24
2014-03-31 22:27:53.949104	135685	52	2	25
2014-03-31 22:27:54.170087	135686	18.4	1	25
2014-03-31 22:27:55.893445	135687	338	3	2
2014-03-31 22:27:56.136188	135688	1157110.5577065803	4	2
2014-03-31 22:27:59.911327	135689	49	2	10
2014-03-31 22:28:00.138567	135690	22.5	1	10
2014-03-31 22:28:08.092763	135691	54	2	9
2014-03-31 22:28:08.324434	135692	21.6	1	9
2014-03-31 22:28:08.961347	135693	53	2	8
2014-03-31 22:28:09.182383	135694	19.8	1	8
2014-03-31 22:28:19.500604	135695	55	2	1
2014-03-31 22:28:19.734217	135696	20.0	1	1
2014-03-31 22:28:20.0419	135697	289	3	2
2014-03-31 22:28:20.262161	135698	1157112.8557760231	4	2
2014-03-31 22:28:30.543035	135699	61	2	24
2014-03-31 22:28:30.776713	135700	18.0	1	24
2014-03-31 22:28:31.892192	135701	305	3	2
2014-03-31 22:28:32.113567	135702	1157114.0048107447	4	2
2014-03-31 22:28:32.948795	135703	52	2	25
2014-03-31 22:28:33.180359	135704	18.4	1	25
2014-03-31 22:28:38.912575	135705	49	2	10
2014-03-31 22:28:39.134808	135706	22.5	1	10
2014-03-31 22:28:46.889549	135707	54	2	9
2014-03-31 22:28:47.123844	135708	21.6	1	9
2014-03-31 22:28:47.960605	135709	53	2	8
2014-03-31 22:28:48.181332	135710	19.8	1	8
2014-03-31 22:28:55.89395	135711	338	3	2
2014-03-31 22:28:56.126702	135712	1157115.153845466	4	2
2014-03-31 22:28:58.499819	135713	55	2	1
2014-03-31 22:28:58.721092	135714	20.0	1	1
2014-03-31 22:29:07.897509	135715	305	3	2
2014-03-31 22:29:08.129512	135716	1157116.3028801875	4	2
2014-03-31 22:29:09.539355	135717	61	2	24
2014-03-31 22:29:09.762411	135718	18.0	1	24
2014-03-31 22:29:11.947772	135719	52	2	25
2014-03-31 22:29:12.178827	135720	18.4	1	25
2014-03-31 22:29:17.915148	135721	49	2	10
2014-03-31 22:29:18.136724	135722	22.4	1	10
2014-03-31 22:29:19.894033	135723	305	3	2
2014-03-31 22:29:20.126018	135724	1157117.4519149088	4	2
2014-03-31 22:29:25.891884	135725	54	2	9
2014-03-31 22:29:26.113899	135726	21.6	1	9
2014-03-31 22:29:26.96219	135727	53	2	8
2014-03-31 22:29:27.193677	135728	19.8	1	8
2014-03-31 22:29:31.894134	135729	305	3	2
2014-03-31 22:29:32.119945	135730	1157118.6009496304	4	2
2014-03-31 22:29:37.497846	135731	55	2	1
2014-03-31 22:29:37.733386	135732	20.0	1	1
2014-03-31 22:29:48.550335	135733	61	2	24
2014-03-31 22:29:48.771353	135734	18.0	1	24
2014-03-31 22:29:50.948824	135735	52	2	25
2014-03-31 22:29:51.19216	135736	18.4	1	25
2014-03-31 22:29:55.892619	135737	338	3	2
2014-03-31 22:29:56.116727	135738	1157120.899019073	4	2
2014-03-31 22:29:56.912984	135739	49	2	10
2014-03-31 22:29:57.330517	135740	22.4	1	10
2014-03-31 22:30:04.889265	135741	54	2	9
2014-03-31 22:30:05.117689	135742	21.6	1	9
2014-03-31 22:30:05.958673	135743	53	2	8
2014-03-31 22:30:06.181687	135744	19.8	1	8
2014-03-31 22:30:07.893179	135745	289	3	2
2014-03-31 22:30:08.124555	135746	1157122.0480537945	4	2
2014-03-31 22:30:16.497951	135747	55	2	1
2014-03-31 22:30:16.71773	135748	20.0	1	1
2014-03-31 22:30:19.891421	135749	305	3	2
2014-03-31 22:30:20.124235	135750	1157123.1970885159	4	2
2014-03-31 22:30:27.538103	135751	61	2	24
2014-03-31 22:30:27.757537	135752	18.0	1	24
2014-03-31 22:30:29.946802	135753	52	2	25
2014-03-31 22:30:30.179292	135754	18.4	1	25
2014-03-31 22:30:31.892819	135755	305	3	2
2014-03-31 22:30:32.114073	135756	1157124.3461232374	4	2
2014-03-31 22:30:35.913076	135757	49	2	10
2014-03-31 22:30:36.145457	135758	22.4	1	10
2014-03-31 22:30:44.093242	135759	54	2	9
2014-03-31 22:30:44.333009	135760	21.6	1	9
2014-03-31 22:30:44.95983	135761	53	2	8
2014-03-31 22:30:45.191009	135762	19.8	1	8
2014-03-31 22:30:55.498879	135763	55	2	1
2014-03-31 22:30:55.720393	135764	20.0	1	1
2014-03-31 22:30:56.025376	135765	354	3	2
2014-03-31 22:30:56.25811	135766	1157126.6441926803	4	2
2014-03-31 22:31:06.537254	135767	61	2	24
2014-03-31 22:31:06.757747	135768	18.0	1	24
2014-03-31 22:31:08.947652	135769	52	2	25
2014-03-31 22:31:09.179981	135770	18.4	1	25
2014-03-31 22:31:14.913729	135771	49	2	10
2014-03-31 22:31:15.134329	135772	22.4	1	10
2014-03-31 22:31:22.888541	135773	54	2	9
2014-03-31 22:31:23.123105	135774	21.6	1	9
2014-03-31 22:31:23.959171	135775	53	2	8
2014-03-31 22:31:24.179598	135776	19.8	1	8
2014-03-31 22:31:31.892836	135777	354	3	2
2014-03-31 22:31:32.124064	135778	1157130.0912968444	4	2
2014-03-31 22:31:34.496814	135779	55	2	1
2014-03-31 22:31:34.716585	135780	20.0	1	1
2014-03-31 22:31:45.534395	135781	61	2	24
2014-03-31 22:31:45.767761	135782	18.0	1	24
2014-03-31 22:31:47.947262	135783	52	2	25
2014-03-31 22:31:48.167826	135784	18.4	1	25
2014-03-31 22:31:53.91384	135785	49	2	10
2014-03-31 22:31:54.156295	135786	22.4	1	10
2014-03-31 22:32:01.88969	135787	54	2	9
2014-03-31 22:32:02.1121	135788	21.6	1	9
2014-03-31 22:32:02.959183	135789	53	2	8
2014-03-31 22:32:03.188322	135790	19.8	1	8
2014-03-31 22:32:13.4986	135791	55	2	1
2014-03-31 22:32:13.720264	135792	20.0	1	1
2014-03-31 22:32:24.538448	135793	61	2	24
2014-03-31 22:32:24.777086	135794	18.0	1	24
2014-03-31 22:32:26.9455	135795	52	2	25
2014-03-31 22:32:27.166471	135796	18.4	1	25
2014-03-31 22:32:31.894273	135797	354	3	2
2014-03-31 22:32:32.128111	135798	1157135.8364704514	4	2
2014-03-31 22:32:32.912937	135799	49	2	10
2014-03-31 22:32:33.134418	135800	22.4	1	10
2014-03-31 22:32:40.88985	135801	54	2	9
2014-03-31 22:32:41.123583	135802	21.6	1	9
2014-03-31 22:32:41.962017	135803	53	2	8
2014-03-31 22:32:42.184015	135804	19.8	1	8
2014-03-31 22:32:52.498301	135805	55	2	1
2014-03-31 22:32:52.7291	135806	20.0	1	1
2014-03-31 22:33:03.535427	135807	61	2	24
2014-03-31 22:33:03.75744	135808	18.0	1	24
2014-03-31 22:33:05.946664	135809	52	2	25
2014-03-31 22:33:06.179564	135810	18.4	1	25
2014-03-31 22:33:11.915555	135811	49	2	10
2014-03-31 22:33:12.136837	135812	22.4	1	10
2014-03-31 22:33:19.889146	135813	54	2	9
2014-03-31 22:33:20.121058	135814	21.5	1	9
2014-03-31 22:33:20.961965	135815	53	2	8
2014-03-31 22:33:21.186714	135816	19.8	1	8
2014-03-31 22:33:31.496249	135817	55	2	1
2014-03-31 22:33:31.728778	135818	20.0	1	1
2014-03-31 22:33:32.036054	135819	354	3	2
2014-03-31 22:33:32.257145	135820	1157141.5816440585	4	2
2014-03-31 22:33:42.534559	135821	61	2	24
2014-03-31 22:33:42.768182	135822	18.0	1	24
2014-03-31 22:33:44.945782	135823	52	2	25
2014-03-31 22:33:45.16729	135824	18.4	1	25
2014-03-31 22:33:50.915779	135825	49	2	10
2014-03-31 22:33:51.146554	135826	22.4	1	10
2014-03-31 22:33:58.889728	135827	54	2	9
2014-03-31 22:33:59.112468	135828	21.5	1	9
2014-03-31 22:33:59.960073	135829	53	2	8
2014-03-31 22:34:00.192164	135830	19.8	1	8
2014-03-31 22:34:10.49792	135831	55	2	1
2014-03-31 22:34:10.719735	135832	20.0	1	1
2014-03-31 22:34:21.533155	135833	61	2	24
2014-03-31 22:34:21.777667	135834	18.0	1	24
2014-03-31 22:34:23.946515	135835	52	2	25
2014-03-31 22:34:24.166282	135836	18.4	1	25
2014-03-31 22:34:29.917965	135837	49	2	10
2014-03-31 22:34:30.151535	135838	22.3	1	10
2014-03-31 22:34:31.894725	135839	370	3	2
2014-03-31 22:34:32.116108	135840	1157147.3268176657	4	2
2014-03-31 22:34:37.890081	135841	54	2	9
2014-03-31 22:34:38.122451	135842	21.5	1	9
2014-03-31 22:34:38.96139	135843	53	2	8
2014-03-31 22:34:39.182625	135844	19.8	1	8
2014-03-31 22:34:49.545131	135845	55	2	1
2014-03-31 22:34:49.786484	135846	20.0	1	1
2014-03-31 22:35:00.533145	135847	61	2	24
2014-03-31 22:35:00.755085	135848	18.0	1	24
2014-03-31 22:35:02.948296	135849	52	2	25
2014-03-31 22:35:03.178847	135850	18.4	1	25
2014-03-31 22:35:08.91739	135851	49	2	10
2014-03-31 22:35:09.1405	135852	22.3	1	10
2014-03-31 22:35:16.888747	135853	54	2	9
2014-03-31 22:35:17.120239	135854	21.5	1	9
2014-03-31 22:35:17.961374	135855	53	2	8
2014-03-31 22:35:18.180767	135856	19.8	1	8
2014-03-31 22:35:28.493099	135857	55	2	1
2014-03-31 22:35:28.727055	135858	20.0	1	1
2014-03-31 22:35:31.892691	135859	354	3	2
2014-03-31 22:35:32.114607	135860	1157153.0719912727	4	2
2014-03-31 22:35:39.534272	135861	61	2	24
2014-03-31 22:35:39.766922	135862	18.0	1	24
2014-03-31 22:35:41.944184	135863	52	2	25
2014-03-31 22:35:42.166793	135864	18.4	1	25
2014-03-31 22:35:43.891473	135865	305	3	2
2014-03-31 22:35:44.124077	135866	1157154.221025994	4	2
2014-03-31 22:35:47.914238	135867	49	2	10
2014-03-31 22:35:48.136585	135868	22.3	1	10
2014-03-31 22:35:56.093299	135869	54	2	9
2014-03-31 22:35:56.324579	135870	21.5	1	9
2014-03-31 22:35:56.959972	135871	53	2	8
2014-03-31 22:35:57.181499	135872	19.8	1	8
2014-03-31 22:36:07.494193	135873	55	2	1
2014-03-31 22:36:07.725255	135874	20.0	1	1
2014-03-31 22:36:18.531497	135875	61	2	24
2014-03-31 22:36:18.753718	135876	18.0	1	24
2014-03-31 22:36:20.942558	135877	52	2	25
2014-03-31 22:36:21.17753	135878	18.4	1	25
2014-03-31 22:36:26.916401	135879	49	2	10
2014-03-31 22:36:27.140666	135880	22.3	1	10
2014-03-31 22:36:31.892275	135881	305	3	2
2014-03-31 22:36:32.135434	135882	1157158.8171648798	4	2
2014-03-31 22:36:34.892475	135883	54	2	9
2014-03-31 22:36:35.113222	135884	21.5	1	9
2014-03-31 22:36:35.95934	135885	53	2	8
2014-03-31 22:36:36.192692	135886	19.8	1	8
2014-03-31 22:36:46.494433	135887	55	2	1
2014-03-31 22:36:46.716802	135888	20.0	1	1
2014-03-31 22:36:57.531865	135889	61	2	24
2014-03-31 22:36:57.762796	135890	18.0	1	24
2014-03-31 22:36:59.94476	135891	52	2	25
2014-03-31 22:37:00.164712	135892	18.4	1	25
2014-03-31 22:37:05.916285	135893	49	2	10
2014-03-31 22:37:06.147922	135894	22.3	1	10
2014-03-31 22:37:13.899539	135895	54	2	9
2014-03-31 22:37:14.121178	135896	21.5	1	9
2014-03-31 22:37:14.959813	135897	53	2	8
2014-03-31 22:37:15.190951	135898	19.8	1	8
2014-03-31 22:37:19.892964	135899	338	3	2
2014-03-31 22:37:20.114552	135900	1157163.4133037655	4	2
2014-03-31 22:37:25.492982	135901	55	2	1
2014-03-31 22:37:25.72459	135902	20.0	1	1
2014-03-31 22:37:31.891411	135903	305	3	2
2014-03-31 22:37:32.113458	135904	1157163.4133037655	4	2
2014-03-31 22:37:36.5303	135905	61	2	24
2014-03-31 22:37:36.764629	135906	18.0	1	24
2014-03-31 22:37:38.944482	135907	52	2	25
2014-03-31 22:37:39.168768	135908	18.4	1	25
2014-03-31 22:37:43.890534	135909	305	3	2
2014-03-31 22:37:44.120348	135910	1157164.5623384868	4	2
2014-03-31 22:37:44.915545	135911	49	2	10
2014-03-31 22:37:45.137061	135912	22.3	1	10
2014-03-31 22:37:52.887175	135913	54	2	9
2014-03-31 22:37:53.122289	135914	21.5	1	9
2014-03-31 22:37:53.960484	135915	53	2	8
2014-03-31 22:37:54.182036	135916	19.8	1	8
2014-03-31 22:37:55.894756	135917	338	3	2
2014-03-31 22:37:56.128611	135918	1157165.7113732083	4	2
2014-03-31 22:38:04.496113	135919	55	2	1
2014-03-31 22:38:04.717333	135920	20.0	1	1
2014-03-31 22:38:07.891656	135921	305	3	2
2014-03-31 22:38:08.124043	135922	1157166.8604079296	4	2
2014-03-31 22:38:15.531822	135923	61	2	24
2014-03-31 22:38:15.756643	135924	18.0	1	24
2014-03-31 22:38:17.942936	135925	52	2	25
2014-03-31 22:38:18.174118	135926	18.4	1	25
2014-03-31 22:38:19.891307	135927	305	3	2
2014-03-31 22:38:20.113436	135928	1157168.0094426512	4	2
2014-03-31 22:38:23.915915	135929	49	2	10
2014-03-31 22:38:24.160024	135930	22.3	1	10
2014-03-31 22:38:32.090802	135931	54	2	9
2014-03-31 22:38:32.310931	135932	21.5	1	9
2014-03-31 22:38:32.95928	135933	53	2	8
2014-03-31 22:38:33.189409	135934	19.8	1	8
2014-03-31 22:38:43.494228	135935	55	2	1
2014-03-31 22:38:43.716634	135936	20.0	1	1
2014-03-31 22:38:54.528922	135937	61	2	24
2014-03-31 22:38:54.77081	135938	18.0	1	24
2014-03-31 22:38:56.943275	135939	52	2	25
2014-03-31 22:38:57.163123	135940	18.4	1	25
2014-03-31 22:39:02.916269	135941	49	2	10
2014-03-31 22:39:03.147009	135942	22.3	1	10
2014-03-31 22:39:10.887879	135943	54	2	9
2014-03-31 22:39:11.109028	135944	21.5	1	9
2014-03-31 22:39:11.960446	135945	53	2	8
2014-03-31 22:39:12.189916	135946	19.8	1	8
2014-03-31 22:39:22.49234	135947	55	2	1
2014-03-31 22:39:22.717336	135948	20.0	1	1
2014-03-31 22:39:31.892862	135949	305	3	2
2014-03-31 22:39:32.126993	135950	1157173.7546162582	4	2
2014-03-31 22:39:33.52687	135951	61	2	24
2014-03-31 22:39:33.750354	135952	18.0	1	24
2014-03-31 22:39:35.944462	135953	52	2	25
2014-03-31 22:39:36.175873	135954	18.4	1	25
2014-03-31 22:39:41.915186	135955	49	2	10
2014-03-31 22:39:42.136382	135956	22.2	1	10
2014-03-31 22:39:49.890236	135957	54	2	9
2014-03-31 22:39:50.121566	135958	21.5	1	9
2014-03-31 22:39:50.958546	135959	53	2	8
2014-03-31 22:39:51.177852	135960	19.8	1	8
2014-03-31 22:40:01.491772	135961	55	2	1
2014-03-31 22:40:01.722479	135962	20.0	1	1
2014-03-31 22:40:12.527391	135963	61	2	24
2014-03-31 22:40:12.748771	135964	18.0	1	24
2014-03-31 22:40:14.944548	135965	52	2	25
2014-03-31 22:40:15.175002	135966	18.4	1	25
2014-03-31 22:40:20.919607	135967	49	2	10
2014-03-31 22:40:21.141553	135968	22.2	1	10
2014-03-31 22:40:28.888533	135969	54	2	9
2014-03-31 22:40:29.121681	135970	21.5	1	9
2014-03-31 22:40:29.961765	135971	53	2	8
2014-03-31 22:40:30.181397	135972	19.8	1	8
2014-03-31 22:40:31.891237	135973	305	3	2
2014-03-31 22:40:32.123975	135974	1157179.4997898652	4	2
2014-03-31 22:40:40.492198	135975	55	2	1
2014-03-31 22:40:40.71326	135976	20.0	1	1
2014-03-31 22:40:51.528254	135977	61	2	24
2014-03-31 22:40:51.77333	135978	18.0	1	24
2014-03-31 22:40:53.942575	135979	52	2	25
2014-03-31 22:40:54.165675	135980	18.4	1	25
2014-03-31 22:40:59.916704	135981	49	2	10
2014-03-31 22:41:00.149551	135982	22.2	1	10
2014-03-31 22:41:07.889559	135983	54	2	9
2014-03-31 22:41:08.114743	135984	21.4	1	9
2014-03-31 22:41:08.958589	135985	53	2	8
2014-03-31 22:41:09.19188	135986	19.8	1	8
2014-03-31 22:41:19.492608	135987	55	2	1
2014-03-31 22:41:19.741963	135988	20.0	1	1
2014-03-31 22:41:30.52774	135989	61	2	24
2014-03-31 22:41:30.760594	135990	17.9	1	24
2014-03-31 22:41:31.892953	135991	305	3	2
2014-03-31 22:41:32.11791	135992	1157184.095928751	4	2
2014-03-31 22:41:32.942799	135993	52	2	25
2014-03-31 22:41:33.174627	135994	18.4	1	25
2014-03-31 22:41:38.917171	135995	49	2	10
2014-03-31 22:41:39.1417	135996	22.2	1	10
2014-03-31 22:41:46.888752	135997	54	2	9
2014-03-31 22:41:47.120233	135998	21.4	1	9
2014-03-31 22:41:47.960212	135999	53	2	8
2014-03-31 22:41:48.184361	136000	19.8	1	8
2014-03-31 22:41:58.492467	136001	55	2	1
2014-03-31 22:41:58.723954	136002	20.0	1	1
2014-03-31 22:42:09.526804	136003	61	2	24
2014-03-31 22:42:09.750241	136004	17.9	1	24
2014-03-31 22:42:11.940957	136005	52	2	25
2014-03-31 22:42:12.171886	136006	18.4	1	25
2014-03-31 22:42:17.916528	136007	49	2	10
2014-03-31 22:42:18.137872	136008	22.2	1	10
2014-03-31 22:42:25.889561	136009	54	2	9
2014-03-31 22:42:26.121351	136010	21.4	1	9
2014-03-31 22:42:26.960347	136011	53	2	8
2014-03-31 22:42:27.182383	136012	19.8	1	8
2014-03-31 22:42:31.890151	136013	354	3	2
2014-03-31 22:42:32.123762	136014	1157189.841102358	4	2
2014-03-31 22:42:37.490907	136015	55	2	1
2014-03-31 22:42:37.715133	136016	20.0	1	1
2014-03-31 22:42:43.894693	136017	354	3	2
2014-03-31 22:42:44.126874	136018	1157190.9901370795	4	2
2014-03-31 22:42:48.526575	136019	61	2	24
2014-03-31 22:42:48.747343	136020	17.9	1	24
2014-03-31 22:42:50.943202	136021	52	2	25
2014-03-31 22:42:51.174539	136022	18.4	1	25
2014-03-31 22:42:56.918056	136023	49	2	10
2014-03-31 22:42:57.14012	136024	22.2	1	10
2014-03-31 22:43:04.889482	136025	54	2	9
2014-03-31 22:43:05.133483	136026	21.4	1	9
2014-03-31 22:43:05.960234	136027	53	2	8
2014-03-31 22:43:06.180292	136028	19.8	1	8
2014-03-31 22:43:16.493435	136029	55	2	1
2014-03-31 22:43:16.725271	136030	20.0	1	1
2014-03-31 22:43:27.526442	136031	61	2	24
2014-03-31 22:43:27.748853	136032	17.9	1	24
2014-03-31 22:43:29.941962	136033	52	2	25
2014-03-31 22:43:30.173866	136034	18.4	1	25
2014-03-31 22:43:31.892456	136035	354	3	2
2014-03-31 22:43:32.112617	136036	1157195.586275965	4	2
2014-03-31 22:43:35.919448	136037	49	2	10
2014-03-31 22:43:36.15023	136038	22.2	1	10
2014-03-31 22:43:43.889406	136039	54	2	9
2014-03-31 22:43:44.110382	136040	21.4	1	9
2014-03-31 22:43:44.959783	136041	53	2	8
2014-03-31 22:43:45.191641	136042	19.8	1	8
2014-03-31 22:43:55.490311	136043	55	2	1
2014-03-31 22:43:55.713453	136044	20.0	1	1
2014-03-31 22:44:06.524262	136045	61	2	24
2014-03-31 22:44:06.758036	136046	17.9	1	24
2014-03-31 22:44:08.944912	136047	52	2	25
2014-03-31 22:44:09.167699	136048	18.4	1	25
2014-03-31 22:44:15.123997	136049	49	2	10
2014-03-31 22:44:15.355487	136050	22.2	1	10
2014-03-31 22:44:22.892806	136051	54	2	9
2014-03-31 22:44:23.113899	136052	21.4	1	9
2014-03-31 22:44:23.959505	136053	53	2	8
2014-03-31 22:44:24.19204	136054	19.8	1	8
2014-03-31 22:44:31.891436	136055	354	3	2
2014-03-31 22:44:32.112104	136056	1157201.3314495722	4	2
2014-03-31 22:44:34.48927	136057	55	2	1
2014-03-31 22:44:34.722322	136058	20.0	1	1
2014-03-31 22:44:45.522564	136059	61	2	24
2014-03-31 22:44:45.745817	136060	17.9	1	24
2014-03-31 22:44:47.94075	136061	52	2	25
2014-03-31 22:44:48.173818	136062	18.4	1	25
2014-03-31 22:44:53.919515	136063	49	2	10
2014-03-31 22:44:54.141087	136064	22.1	1	10
2014-03-31 22:45:02.088957	136065	54	2	9
2014-03-31 22:45:02.321608	136066	21.4	1	9
2014-03-31 22:45:02.960554	136067	53	2	8
2014-03-31 22:45:03.181039	136068	19.8	1	8
2014-03-31 22:45:13.490756	136069	55	2	1
2014-03-31 22:45:13.723417	136070	20.0	1	1
2014-03-31 22:45:24.524409	136071	61	2	24
2014-03-31 22:45:24.745915	136072	17.9	1	24
2014-03-31 22:45:26.941794	136073	52	2	25
2014-03-31 22:45:27.184355	136074	18.4	1	25
2014-03-31 22:45:31.894009	136075	354	3	2
2014-03-31 22:45:32.115843	136076	1157207.0766231793	4	2
2014-03-31 22:45:32.921132	136077	49	2	10
2014-03-31 22:45:33.150688	136078	22.1	1	10
2014-03-31 22:45:40.893324	136079	54	2	9
2014-03-31 22:45:41.115794	136080	21.4	1	9
2014-03-31 22:45:41.962406	136081	53	2	8
2014-03-31 22:45:42.192685	136082	19.8	1	8
2014-03-31 22:45:52.490512	136083	55	2	1
2014-03-31 22:45:52.7116	136084	20.0	1	1
2014-03-31 22:46:03.522578	136085	61	2	24
2014-03-31 22:46:03.756474	136086	17.9	1	24
2014-03-31 22:46:05.941908	136087	52	2	25
2014-03-31 22:46:06.164043	136088	18.4	1	25
2014-03-31 22:46:11.919887	136089	49	2	10
2014-03-31 22:46:12.154025	136090	22.1	1	10
2014-03-31 22:46:19.92526	136091	54	2	9
2014-03-31 22:46:20.167458	136092	21.4	1	9
2014-03-31 22:46:20.960497	136093	53	2	8
2014-03-31 22:46:21.195075	136094	19.8	1	8
2014-03-31 22:46:31.489566	136095	55	2	1
2014-03-31 22:46:31.711204	136096	20.0	1	1
2014-03-31 22:46:32.01726	136097	354	3	2
2014-03-31 22:46:32.24958	136098	1157213.9708315078	4	2
2014-03-31 22:46:42.520986	136099	61	2	24
2014-03-31 22:46:42.743454	136100	17.9	1	24
2014-03-31 22:46:44.941679	136101	52	2	25
2014-03-31 22:46:45.174517	136102	18.4	1	25
2014-03-31 22:46:50.920554	136103	49	2	10
2014-03-31 22:46:51.144998	136104	22.1	1	10
2014-03-31 22:46:58.889121	136105	54	2	9
2014-03-31 22:46:59.121707	136106	21.4	1	9
2014-03-31 22:46:59.960068	136107	53	2	8
2014-03-31 22:47:00.18378	136108	19.8	1	8
2014-03-31 22:47:10.489184	136109	55	2	1
2014-03-31 22:47:10.721337	136110	20.0	1	1
2014-03-31 22:47:21.521847	136111	61	2	24
2014-03-31 22:47:21.74369	136112	17.9	1	24
2014-03-31 22:47:23.94022	136113	52	2	25
2014-03-31 22:47:24.170743	136114	18.4	1	25
2014-03-31 22:47:29.919811	136115	49	2	10
2014-03-31 22:47:30.142079	136116	22.1	1	10
2014-03-31 22:47:31.892536	136117	354	3	2
2014-03-31 22:47:32.127186	136118	1157219.7160051148	4	2
2014-03-31 22:47:37.89173	136119	54	2	9
2014-03-31 22:47:38.11891	136120	21.4	1	9
2014-03-31 22:47:38.959905	136121	53	2	8
2014-03-31 22:47:39.202365	136122	19.8	1	8
2014-03-31 22:47:43.891712	136123	305	3	2
2014-03-31 22:47:44.11696	136124	1157220.8650398361	4	2
2014-03-31 22:47:49.4894	136125	55	2	1
2014-03-31 22:47:49.725059	136126	20.0	1	1
2014-03-31 22:47:55.891014	136127	305	3	2
2014-03-31 22:47:56.111433	136128	1157222.0140745577	4	2
2014-03-31 22:48:00.523138	136129	61	2	24
2014-03-31 22:48:00.754192	136130	17.9	1	24
2014-03-31 22:48:02.940618	136131	52	2	25
2014-03-31 22:48:03.163012	136132	18.4	1	25
2014-03-31 22:48:08.919908	136133	49	2	10
2014-03-31 22:48:09.154893	136134	22.1	1	10
2014-03-31 22:48:16.889694	136135	54	2	9
2014-03-31 22:48:17.111905	136136	21.4	1	9
2014-03-31 22:48:17.960501	136137	53	2	8
2014-03-31 22:48:18.192352	136138	19.8	1	8
2014-03-31 22:48:28.491474	136139	55	2	1
2014-03-31 22:48:28.715943	136140	20.0	1	1
2014-03-31 22:48:31.892375	136141	305	3	2
2014-03-31 22:48:32.124598	136142	1157224.3121440005	4	2
2014-03-31 22:48:39.759684	136143	61	2	24
2014-03-31 22:48:39.981078	136144	17.9	1	24
2014-03-31 22:48:41.939861	136145	52	2	25
2014-03-31 22:48:42.170639	136146	18.4	1	25
2014-03-31 22:48:47.918538	136147	49	2	10
2014-03-31 22:48:48.141997	136148	22.1	1	10
2014-03-31 22:48:57.165065	136149	53	2	8
2014-03-31 22:48:57.396621	136150	19.8	1	8
2014-03-31 22:49:07.485523	136151	55	2	1
2014-03-31 22:49:07.709942	136152	20.0	1	1
2014-03-31 22:49:18.51966	136153	61	2	24
2014-03-31 22:49:18.755651	136154	17.9	1	24
2014-03-31 22:49:20.939318	136155	52	2	25
2014-03-31 22:49:21.162524	136156	18.4	1	25
2014-03-31 22:49:26.919775	136157	49	2	10
2014-03-31 22:49:27.150527	136158	22.1	1	10
2014-03-31 22:49:31.891034	136159	305	3	2
2014-03-31 22:49:32.112397	136160	1157230.0573176076	4	2
2014-03-31 22:49:34.890552	136161	54	2	9
2014-03-31 22:49:35.123233	136162	21.3	1	9
2014-03-31 22:49:35.960402	136163	53	2	8
2014-03-31 22:49:36.18238	136164	19.8	1	8
2014-03-31 22:49:46.487471	136165	55	2	1
2014-03-31 22:49:46.71882	136166	20.0	1	1
2014-03-31 22:49:57.518715	136167	61	2	24
2014-03-31 22:49:57.7431	136168	17.9	1	24
2014-03-31 22:49:59.93994	136169	52	2	25
2014-03-31 22:50:00.183481	136170	18.4	1	25
2014-03-31 22:50:05.919326	136171	49	2	10
2014-03-31 22:50:06.14262	136172	22.1	1	10
2014-03-31 22:50:13.889741	136173	54	2	9
2014-03-31 22:50:14.121422	136174	21.3	1	9
2014-03-31 22:50:14.960665	136175	53	2	8
2014-03-31 22:50:15.181686	136176	19.8	1	8
2014-03-31 22:50:25.490269	136177	56	2	1
2014-03-31 22:50:25.726716	136178	19.9	1	1
2014-03-31 22:50:31.893144	136179	305	3	2
2014-03-31 22:50:32.116094	136180	1157234.6534564933	4	2
2014-03-31 22:50:36.518434	136181	61	2	24
2014-03-31 22:50:36.751156	136182	17.9	1	24
2014-03-31 22:50:38.940102	136183	52	2	25
2014-03-31 22:50:39.162977	136184	18.4	1	25
2014-03-31 22:50:44.923142	136185	49	2	10
2014-03-31 22:50:45.157814	136186	22.1	1	10
2014-03-31 22:50:52.890085	136187	54	2	9
2014-03-31 22:50:53.111851	136188	21.3	1	9
2014-03-31 22:50:53.963009	136189	53	2	8
2014-03-31 22:50:54.194972	136190	19.8	1	8
2014-03-31 22:51:04.488446	136191	56	2	1
2014-03-31 22:51:04.711425	136192	19.9	1	1
2014-03-31 22:51:15.51711	136193	61	2	24
2014-03-31 22:51:15.749992	136194	17.9	1	24
2014-03-31 22:51:17.938176	136195	52	2	25
2014-03-31 22:51:18.161986	136196	18.4	1	25
2014-03-31 22:51:23.920406	136197	49	2	10
2014-03-31 22:51:24.154463	136198	22.0	1	10
2014-03-31 22:51:32.094704	136199	54	2	9
2014-03-31 22:51:32.317387	136200	21.3	1	9
2014-03-31 22:51:32.960192	136201	53	2	8
2014-03-31 22:51:33.193709	136202	19.8	1	8
2014-03-31 22:51:43.48872	136203	56	2	1
2014-03-31 22:51:43.711137	136204	19.9	1	1
2014-03-31 22:51:54.517822	136205	61	2	24
2014-03-31 22:51:54.748551	136206	17.9	1	24
2014-03-31 22:51:56.939146	136207	52	2	25
2014-03-31 22:51:57.163141	136208	18.4	1	25
2014-03-31 22:52:02.920689	136209	49	2	10
2014-03-31 22:52:03.159172	136210	22.0	1	10
2014-03-31 22:52:10.888983	136211	54	2	9
2014-03-31 22:52:11.113298	136212	21.3	1	9
2014-03-31 22:52:11.961748	136213	53	2	8
2014-03-31 22:52:12.196406	136214	19.8	1	8
2014-03-31 22:52:22.488157	136215	56	2	1
2014-03-31 22:52:22.710999	136216	19.9	1	1
2014-03-31 22:52:31.892611	136217	305	3	2
2014-03-31 22:52:32.142043	136218	1157244.994768986	4	2
2014-03-31 22:52:33.518976	136219	61	2	24
2014-03-31 22:52:33.739363	136220	17.9	1	24
2014-03-31 22:52:35.939098	136221	52	2	25
2014-03-31 22:52:36.169543	136222	18.4	1	25
2014-03-31 22:52:41.920572	136223	49	2	10
2014-03-31 22:52:42.14745	136224	22.0	1	10
2014-03-31 22:52:49.89022	136225	54	2	9
2014-03-31 22:52:50.176776	136226	21.3	1	9
2014-03-31 22:52:50.960281	136227	53	2	8
2014-03-31 22:52:51.185518	136228	19.8	1	8
2014-03-31 22:53:01.487255	136229	56	2	1
2014-03-31 22:53:01.717887	136230	19.9	1	1
2014-03-31 22:53:12.515323	136231	61	2	24
2014-03-31 22:53:12.738257	136232	17.9	1	24
2014-03-31 22:53:14.95663	136233	52	2	25
2014-03-31 22:53:15.187837	136234	18.4	1	25
2014-03-31 22:53:20.91976	136235	49	2	10
2014-03-31 22:53:21.142161	136236	22.0	1	10
2014-03-31 22:53:28.88861	136237	54	2	9
2014-03-31 22:53:29.122507	136238	21.3	1	9
2014-03-31 22:53:29.960031	136239	53	2	8
2014-03-31 22:53:30.181645	136240	19.8	1	8
2014-03-31 22:53:31.890743	136241	305	3	2
2014-03-31 22:53:32.121406	136242	1157250.739942593	4	2
2014-03-31 22:53:40.490115	136243	56	2	1
2014-03-31 22:53:40.71111	136244	19.9	1	1
2014-03-31 22:53:51.516943	136245	61	2	24
2014-03-31 22:53:51.749159	136246	17.9	1	24
2014-03-31 22:53:53.937279	136247	52	2	25
2014-03-31 22:53:54.158128	136248	18.4	1	25
2014-03-31 22:53:59.919846	136249	49	2	10
2014-03-31 22:54:00.152105	136250	22.0	1	10
2014-03-31 22:54:07.890172	136251	54	2	9
2014-03-31 22:54:08.112167	136252	21.3	1	9
2014-03-31 22:54:08.961636	136253	53	2	8
2014-03-31 22:54:09.193224	136254	19.8	1	8
2014-03-31 22:54:19.486275	136255	56	2	1
2014-03-31 22:54:19.709	136256	19.9	1	1
2014-03-31 22:54:30.517689	136257	61	2	24
2014-03-31 22:54:30.751357	136258	17.9	1	24
2014-03-31 22:54:31.89078	136259	305	3	2
2014-03-31 22:54:32.112333	136260	1157255.3360814787	4	2
2014-03-31 22:54:32.937165	136261	52	2	25
2014-03-31 22:54:33.167726	136262	18.4	1	25
2014-03-31 22:54:38.921572	136263	49	2	10
2014-03-31 22:54:39.143874	136264	22.0	1	10
2014-03-31 22:54:43.892241	136265	354	3	2
2014-03-31 22:54:44.134098	136266	1157256.4851162	4	2
2014-03-31 22:54:46.887025	136267	54	2	9
2014-03-31 22:54:47.108127	136268	21.3	1	9
2014-03-31 22:54:47.961818	136269	53	2	8
2014-03-31 22:54:48.194718	136270	19.8	1	8
2014-03-31 22:54:55.889897	136271	354	3	2
2014-03-31 22:54:56.115431	136272	1157257.6341509214	4	2
2014-03-31 22:54:58.484595	136273	56	2	1
2014-03-31 22:54:58.716795	136274	19.9	1	1
2014-03-31 22:55:09.514189	136275	61	2	24
2014-03-31 22:55:09.738664	136276	17.9	1	24
2014-03-31 22:55:11.935395	136277	52	2	25
2014-03-31 22:55:12.165284	136278	18.4	1	25
2014-03-31 22:55:17.920659	136279	49	2	10
2014-03-31 22:55:18.141612	136280	22.0	1	10
2014-03-31 22:55:25.887071	136281	54	2	9
2014-03-31 22:55:26.119611	136282	21.3	1	9
2014-03-31 22:55:26.96084	136283	53	2	8
2014-03-31 22:55:27.182732	136284	19.8	1	8
2014-03-31 22:55:31.890724	136285	354	3	2
2014-03-31 22:55:32.126884	136286	1157261.0812550858	4	2
2014-03-31 22:55:37.48315	136287	56	2	1
2014-03-31 22:55:37.709261	136288	19.9	1	1
2014-03-31 22:55:43.891718	136289	418	3	2
2014-03-31 22:55:44.124122	136290	1157263.3793245286	4	2
2014-03-31 22:55:48.51505	136291	61	2	24
2014-03-31 22:55:48.737028	136292	17.9	1	24
2014-03-31 22:55:50.934543	136293	52	2	25
2014-03-31 22:55:51.167391	136294	18.4	1	25
2014-03-31 22:55:55.892748	136295	418	3	2
2014-03-31 22:55:56.117708	136296	1157264.52835925	4	2
2014-03-31 22:55:56.922918	136297	49	2	10
2014-03-31 22:55:57.154461	136298	22.0	1	10
2014-03-31 22:56:04.889577	136299	54	2	9
2014-03-31 22:56:05.111138	136300	21.3	1	9
2014-03-31 22:56:05.960136	136301	53	2	8
2014-03-31 22:56:06.191964	136302	19.8	1	8
2014-03-31 22:56:16.483886	136303	56	2	1
2014-03-31 22:56:16.708491	136304	19.9	1	1
2014-03-31 22:56:27.511336	136305	61	2	24
2014-03-31 22:56:27.743184	136306	17.9	1	24
2014-03-31 22:56:29.937903	136307	52	2	25
2014-03-31 22:56:30.15912	136308	18.4	1	25
2014-03-31 22:56:31.889867	136309	418	3	2
2014-03-31 22:56:32.122983	136310	1157269.1244981356	4	2
2014-03-31 22:56:35.924841	136311	49	2	10
2014-03-31 22:56:36.146821	136312	21.9	1	10
2014-03-31 22:56:43.888775	136313	54	2	9
2014-03-31 22:56:44.133303	136314	21.2	1	9
2014-03-31 22:56:44.961751	136315	53	2	8
2014-03-31 22:56:45.183342	136316	19.8	1	8
2014-03-31 22:56:55.724549	136317	56	2	1
2014-03-31 22:56:55.964516	136318	19.9	1	1
2014-03-31 22:57:06.51218	136319	61	2	24
2014-03-31 22:57:06.736315	136320	17.9	1	24
2014-03-31 22:57:08.936551	136321	52	2	25
2014-03-31 22:57:09.168891	136322	18.4	1	25
2014-03-31 22:57:14.922717	136323	49	2	10
2014-03-31 22:57:15.147757	136324	21.9	1	10
2014-03-31 22:57:22.888856	136325	54	2	9
2014-03-31 22:57:23.123477	136326	21.2	1	9
2014-03-31 22:57:23.959339	136327	53	2	8
2014-03-31 22:57:24.182522	136328	19.8	1	8
2014-03-31 22:57:31.897521	136329	434	3	2
2014-03-31 22:57:32.131446	136330	1157276.0187064642	4	2
2014-03-31 22:57:34.485232	136331	56	2	1
2014-03-31 22:57:34.707958	136332	19.9	1	1
2014-03-31 22:57:45.509317	136333	61	2	24
2014-03-31 22:57:45.743718	136334	17.9	1	24
2014-03-31 22:57:47.934892	136335	52	2	25
2014-03-31 22:57:48.158172	136336	18.4	1	25
2014-03-31 22:57:53.922523	136337	49	2	10
2014-03-31 22:57:54.153687	136338	21.9	1	10
2014-03-31 22:58:01.888177	136339	54	2	9
2014-03-31 22:58:02.111234	136340	21.2	1	9
2014-03-31 22:58:02.95881	136341	52	2	8
2014-03-31 22:58:03.191482	136342	19.8	1	8
2014-03-31 22:58:13.483507	136343	56	2	1
2014-03-31 22:58:13.705901	136344	19.9	1	1
2014-03-31 22:58:24.51154	136345	61	2	24
2014-03-31 22:58:24.743342	136346	17.9	1	24
2014-03-31 22:58:26.936377	136347	52	2	25
2014-03-31 22:58:27.157508	136348	18.4	1	25
2014-03-31 22:58:31.889785	136349	434	3	2
2014-03-31 22:58:32.121011	136350	1157282.9129147925	4	2
2014-03-31 22:58:32.92365	136351	49	2	10
2014-03-31 22:58:33.147168	136352	21.9	1	10
2014-03-31 22:58:40.889111	136353	54	2	9
2014-03-31 22:58:41.121104	136354	21.2	1	9
2014-03-31 22:58:41.960773	136355	52	2	8
2014-03-31 22:58:42.181066	136356	19.8	1	8
2014-03-31 22:58:52.483493	136357	56	2	1
2014-03-31 22:58:52.714629	136358	19.9	1	1
2014-03-31 22:59:03.512102	136359	61	2	24
2014-03-31 22:59:03.736211	136360	17.9	1	24
2014-03-31 22:59:05.935247	136361	52	2	25
2014-03-31 22:59:06.176444	136362	18.4	1	25
2014-03-31 22:59:11.923807	136363	49	2	10
2014-03-31 22:59:12.146077	136364	21.9	1	10
2014-03-31 22:59:19.888282	136365	54	2	9
2014-03-31 22:59:20.120439	136366	21.2	1	9
2014-03-31 22:59:20.960612	136367	52	2	8
2014-03-31 22:59:21.183492	136368	19.7	1	8
2014-03-31 22:59:31.485246	136369	56	2	1
2014-03-31 22:59:31.716107	136370	19.9	1	1
2014-03-31 22:59:32.021149	136371	418	3	2
2014-03-31 22:59:32.243534	136372	1157289.807123121	4	2
2014-03-31 22:59:42.511725	136373	61	2	24
2014-03-31 22:59:42.744691	136374	17.9	1	24
2014-03-31 22:59:44.933061	136375	52	2	25
2014-03-31 22:59:45.154336	136376	18.4	1	25
2014-03-31 22:59:50.922751	136377	49	2	10
2014-03-31 22:59:51.152791	136378	21.9	1	10
2014-03-31 22:59:58.889353	136379	54	2	9
2014-03-31 22:59:59.111586	136380	21.2	1	9
2014-03-31 22:59:59.959862	136381	52	2	8
2014-03-31 23:00:00.191542	136382	19.7	1	8
2014-03-31 23:00:10.483206	136383	56	2	1
2014-03-31 23:00:10.707415	136384	19.9	1	1
2014-03-31 23:00:21.508097	136385	61	2	24
2014-03-31 23:00:21.740217	136386	17.9	1	24
2014-03-31 23:00:23.935504	136387	52	2	25
2014-03-31 23:00:24.155948	136388	18.4	1	25
2014-03-31 23:00:29.922523	136389	49	2	10
2014-03-31 23:00:30.153332	136390	21.9	1	10
2014-03-31 23:00:31.891186	136391	370	3	2
2014-03-31 23:00:32.114786	136392	1157296.7013314497	4	2
2014-03-31 23:00:37.889616	136393	54	2	9
2014-03-31 23:00:38.122358	136394	21.2	1	9
2014-03-31 23:00:38.959997	136395	52	2	8
2014-03-31 23:00:39.180969	136396	19.7	1	8
2014-03-31 23:00:43.892483	136397	370	3	2
2014-03-31 23:00:44.12643	136398	1157297.850366171	4	2
2014-03-31 23:00:49.482372	136399	56	2	1
2014-03-31 23:00:49.710367	136400	19.9	1	1
2014-03-31 23:01:00.513655	136401	61	2	24
2014-03-31 23:01:00.747515	136402	17.8	1	24
2014-03-31 23:01:02.934945	136403	52	2	25
2014-03-31 23:01:03.155873	136404	18.4	1	25
2014-03-31 23:01:08.923531	136405	49	2	10
2014-03-31 23:01:09.156487	136406	21.9	1	10
2014-03-31 23:01:16.890912	136407	54	2	9
2014-03-31 23:01:17.111804	136408	21.2	1	9
2014-03-31 23:01:17.960277	136409	52	2	8
2014-03-31 23:01:18.202539	136410	19.7	1	8
2014-03-31 23:01:28.480751	136411	56	2	1
2014-03-31 23:01:28.702177	136412	19.9	1	1
2014-03-31 23:01:31.892728	136413	370	3	2
2014-03-31 23:01:32.123539	136414	1157303.595539778	4	2
2014-03-31 23:01:39.505635	136415	61	2	24
2014-03-31 23:01:39.726364	136416	17.8	1	24
2014-03-31 23:01:42.175513	136417	52	2	25
2014-03-31 23:01:42.406773	136418	18.4	1	25
2014-03-31 23:01:47.925051	136419	49	2	10
2014-03-31 23:01:48.146802	136420	21.9	1	10
2014-03-31 23:01:55.889163	136421	54	2	9
2014-03-31 23:01:56.123254	136422	21.2	1	9
2014-03-31 23:01:56.961323	136423	52	2	8
2014-03-31 23:01:57.181541	136424	19.7	1	8
2014-03-31 23:02:07.481789	136425	56	2	1
2014-03-31 23:02:07.71287	136426	19.9	1	1
2014-03-31 23:02:18.545801	136427	61	2	24
2014-03-31 23:02:18.767864	136428	17.8	1	24
2014-03-31 23:02:20.932256	136429	52	2	25
2014-03-31 23:02:21.164615	136430	18.4	1	25
2014-03-31 23:02:26.923381	136431	49	2	10
2014-03-31 23:02:27.145975	136432	21.9	1	10
2014-03-31 23:02:31.889464	136433	370	3	2
2014-03-31 23:02:32.143898	136434	1157309.3407133853	4	2
2014-03-31 23:02:34.887559	136435	54	2	9
2014-03-31 23:02:35.111583	136436	21.2	1	9
2014-03-31 23:02:35.959249	136437	52	2	8
2014-03-31 23:02:36.19213	136438	19.7	1	8
2014-03-31 23:02:46.480603	136439	56	2	1
2014-03-31 23:02:46.704177	136440	19.9	1	1
2014-03-31 23:02:57.50463	136441	61	2	24
2014-03-31 23:02:57.73675	136442	17.8	1	24
2014-03-31 23:02:59.932547	136443	52	2	25
2014-03-31 23:03:00.155592	136444	18.4	1	25
2014-03-31 23:03:05.923172	136445	49	2	10
2014-03-31 23:03:06.158317	136446	21.9	1	10
2014-03-31 23:03:13.88949	136447	54	2	9
2014-03-31 23:03:14.112051	136448	21.2	1	9
2014-03-31 23:03:14.958686	136449	52	2	8
2014-03-31 23:03:15.191807	136450	19.7	1	8
2014-03-31 23:03:25.480703	136451	56	2	1
2014-03-31 23:03:25.708047	136452	19.9	1	1
2014-03-31 23:03:31.889279	136453	370	3	2
2014-03-31 23:03:32.122789	136454	1157316.2349217136	4	2
2014-03-31 23:03:36.504754	136455	61	2	24
2014-03-31 23:03:36.726222	136456	17.8	1	24
2014-03-31 23:03:39.174976	136457	52	2	25
2014-03-31 23:03:39.419907	136458	18.4	1	25
2014-03-31 23:03:44.923464	136459	49	2	10
2014-03-31 23:03:45.147389	136460	21.9	1	10
2014-03-31 23:03:52.889198	136461	54	2	9
2014-03-31 23:03:53.120148	136462	21.2	1	9
2014-03-31 23:03:53.962396	136463	52	2	8
2014-03-31 23:03:54.184289	136464	19.7	1	8
2014-03-31 23:04:04.481135	136465	56	2	1
2014-03-31 23:04:04.713714	136466	19.9	1	1
2014-03-31 23:04:15.505243	136467	61	2	24
2014-03-31 23:04:15.726831	136468	17.8	1	24
2014-03-31 23:04:17.934431	136469	52	2	25
2014-03-31 23:04:18.166254	136470	18.4	1	25
2014-03-31 23:04:23.924987	136471	49	2	10
2014-03-31 23:04:24.147327	136472	21.9	1	10
2014-03-31 23:04:33.163665	136473	52	2	8
2014-03-31 23:04:33.396053	136474	19.7	1	8
2014-03-31 23:04:43.482505	136475	56	2	1
2014-03-31 23:04:43.726122	136476	19.9	1	1
2014-03-31 23:04:44.031918	136477	370	3	2
2014-03-31 23:04:44.263711	136478	1157323.1291300422	4	2
2014-03-31 23:04:54.504448	136479	61	2	24
2014-03-31 23:04:54.726241	136480	17.8	1	24
2014-03-31 23:04:55.890058	136481	370	3	2
2014-03-31 23:04:56.126431	136482	1157324.2781647635	4	2
2014-03-31 23:04:56.933006	136483	52	2	25
2014-03-31 23:04:57.154914	136484	18.4	1	25
2014-03-31 23:05:02.923785	136485	49	2	10
2014-03-31 23:05:03.154732	136486	21.8	1	10
2014-03-31 23:05:10.899378	136487	54	2	9
2014-03-31 23:05:11.123885	136488	21.2	1	9
2014-03-31 23:05:11.959406	136489	52	2	8
2014-03-31 23:05:12.192712	136490	19.7	1	8
2014-03-31 23:05:22.479782	136491	56	2	1
2014-03-31 23:05:22.703564	136492	19.9	1	1
2014-03-31 23:05:31.889923	136493	370	3	2
2014-03-31 23:05:32.121418	136494	1157327.7252689279	4	2
2014-03-31 23:05:33.499587	136495	61	2	24
2014-03-31 23:05:33.723783	136496	17.8	1	24
2014-03-31 23:05:35.935386	136497	52	2	25
2014-03-31 23:05:36.166736	136498	18.4	1	25
2014-03-31 23:05:41.926164	136499	49	2	10
2014-03-31 23:05:42.148691	136500	21.8	1	10
2014-03-31 23:05:49.889348	136501	54	2	9
2014-03-31 23:05:50.120407	136502	21.2	1	9
2014-03-31 23:05:50.958312	136503	52	2	8
2014-03-31 23:05:51.180568	136504	19.7	1	8
2014-03-31 23:06:01.47972	136505	56	2	1
2014-03-31 23:06:01.723911	136506	19.9	1	1
2014-03-31 23:06:12.502344	136507	61	2	24
2014-03-31 23:06:12.725378	136508	17.8	1	24
2014-03-31 23:06:14.93207	136509	52	2	25
2014-03-31 23:06:15.161909	136510	18.4	1	25
2014-03-31 23:06:19.890067	136511	402	3	2
2014-03-31 23:06:20.112229	136512	1157333.470442535	4	2
2014-03-31 23:06:20.923235	136513	49	2	10
2014-03-31 23:06:21.154245	136514	21.8	1	10
2014-03-31 23:06:28.88946	136515	54	2	9
2014-03-31 23:06:29.111114	136516	21.2	1	9
2014-03-31 23:06:29.959235	136517	52	2	8
2014-03-31 23:06:30.189233	136518	19.7	1	8
2014-03-31 23:06:31.890465	136519	370	3	2
2014-03-31 23:06:32.10982	136520	1157334.6194772562	4	2
2014-03-31 23:06:40.481086	136521	56	2	1
2014-03-31 23:06:40.71201	136522	19.9	1	1
2014-03-31 23:06:43.891515	136523	370	3	2
2014-03-31 23:06:44.1117	136524	1157335.7685119777	4	2
2014-03-31 23:06:51.500163	136525	61	2	24
2014-03-31 23:06:51.731481	136526	17.8	1	24
2014-03-31 23:06:53.933048	136527	52	2	25
2014-03-31 23:06:54.154313	136528	18.3	1	25
2014-03-31 23:06:59.925857	136529	49	2	10
2014-03-31 23:07:00.155974	136530	21.8	1	10
2014-03-31 23:07:07.889511	136531	54	2	9
2014-03-31 23:07:08.114464	136532	21.2	1	9
2014-03-31 23:07:08.960954	136533	52	2	8
2014-03-31 23:07:09.190846	136534	19.7	1	8
2014-03-31 23:07:19.478596	136535	56	2	1
2014-03-31 23:07:19.700034	136536	19.9	1	1
2014-03-31 23:07:30.501495	136537	61	2	24
2014-03-31 23:07:30.734663	136538	17.8	1	24
2014-03-31 23:07:32.938813	136539	52	2	25
2014-03-31 23:07:33.160824	136540	18.3	1	25
2014-03-31 23:07:38.924351	136541	49	2	10
2014-03-31 23:07:39.159192	136542	21.8	1	10
2014-03-31 23:07:43.890566	136543	418	3	2
2014-03-31 23:07:44.113421	136544	1157342.662720306	4	2
2014-03-31 23:07:46.888029	136545	54	2	9
2014-03-31 23:07:47.120392	136546	21.2	1	9
2014-03-31 23:07:47.95972	136547	52	2	8
2014-03-31 23:07:48.183532	136548	19.7	1	8
2014-03-31 23:07:58.478807	136549	56	2	1
2014-03-31 23:07:58.711571	136550	19.9	1	1
2014-03-31 23:08:09.501022	136551	61	2	24
2014-03-31 23:08:09.722374	136552	17.8	1	24
2014-03-31 23:08:11.932227	136553	52	2	25
2014-03-31 23:08:12.175987	136554	18.3	1	25
2014-03-31 23:08:17.927877	136555	49	2	10
2014-03-31 23:08:18.152409	136556	21.8	1	10
2014-03-31 23:08:25.888993	136557	54	2	9
2014-03-31 23:08:26.307733	136558	21.2	1	9
2014-03-31 23:08:26.958012	136559	52	2	8
2014-03-31 23:08:27.179506	136560	19.7	1	8
2014-03-31 23:08:31.887646	136561	434	3	2
2014-03-31 23:08:32.112994	136562	1157348.4078939133	4	2
2014-03-31 23:08:37.476379	136563	56	2	1
2014-03-31 23:08:37.711591	136564	19.9	1	1
2014-03-31 23:08:48.499181	136565	61	2	24
2014-03-31 23:08:48.723563	136566	17.8	1	24
2014-03-31 23:08:50.928673	136567	52	2	25
2014-03-31 23:08:51.160512	136568	18.3	1	25
2014-03-31 23:08:56.924865	136569	49	2	10
2014-03-31 23:08:57.146056	136570	21.8	1	10
2014-03-31 23:09:04.887742	136571	54	2	9
2014-03-31 23:09:05.11989	136572	21.2	1	9
2014-03-31 23:09:05.959956	136573	52	2	8
2014-03-31 23:09:06.179775	136574	19.7	1	8
2014-03-31 23:09:16.477129	136575	56	2	1
2014-03-31 23:09:16.709514	136576	19.9	1	1
2014-03-31 23:09:27.4997	136577	61	2	24
2014-03-31 23:09:27.723486	136578	17.8	1	24
2014-03-31 23:09:29.929797	136579	52	2	25
2014-03-31 23:09:30.160934	136580	18.3	1	25
2014-03-31 23:09:31.889776	136581	434	3	2
2014-03-31 23:09:32.110375	136582	1157355.3021022417	4	2
2014-03-31 23:09:35.92775	136583	49	2	10
2014-03-31 23:09:36.160257	136584	21.8	1	10
2014-03-31 23:09:43.888436	136585	54	2	9
2014-03-31 23:09:44.110968	136586	21.2	1	9
2014-03-31 23:09:44.959661	136587	52	2	8
2014-03-31 23:09:45.190358	136588	19.7	1	8
2014-03-31 23:09:55.476302	136589	56	2	1
2014-03-31 23:09:55.70438	136590	19.9	1	1
2014-03-31 23:09:56.010463	136591	370	3	2
2014-03-31 23:09:56.242359	136592	1157357.6001716845	4	2
2014-03-31 23:10:06.501379	136593	61	2	24
2014-03-31 23:10:06.723179	136594	17.8	1	24
2014-03-31 23:10:08.711643	136595	370	3	2
2014-03-31 23:10:08.943245	136596	1157359.8982411274	4	2
2014-03-31 23:10:09.246567	136597	52	2	25
2014-03-31 23:10:09.469252	136598	18.3	1	25
2014-03-31 23:10:14.925763	136599	49	2	10
2014-03-31 23:10:15.15913	136600	21.8	1	10
2014-03-31 23:10:22.886217	136601	54	2	9
2014-03-31 23:10:23.109007	136602	21.2	1	9
2014-03-31 23:10:23.960039	136603	52	2	8
2014-03-31 23:10:24.200057	136604	19.7	1	8
2014-03-31 23:10:31.889507	136605	370	3	2
2014-03-31 23:10:32.112982	136606	1157362.1963105702	4	2
2014-03-31 23:10:34.472334	136607	56	2	1
2014-03-31 23:10:34.704983	136608	19.9	1	1
2014-03-31 23:10:45.497384	136609	61	2	24
2014-03-31 23:10:45.719009	136610	17.8	1	24
2014-03-31 23:10:47.929812	136611	52	2	25
2014-03-31 23:10:48.15966	136612	18.3	1	25
2014-03-31 23:10:53.926073	136613	49	2	10
2014-03-31 23:10:54.146996	136614	21.7	1	10
2014-03-31 23:11:01.88806	136615	54	2	9
2014-03-31 23:11:02.11985	136616	21.2	1	9
2014-03-31 23:11:02.959939	136617	52	2	8
2014-03-31 23:11:03.180149	136618	19.7	1	8
2014-03-31 23:11:13.475369	136619	56	2	1
2014-03-31 23:11:13.708104	136620	19.9	1	1
2014-03-31 23:11:24.494556	136621	61	2	24
2014-03-31 23:11:24.720496	136622	17.8	1	24
2014-03-31 23:11:26.930046	136623	52	2	25
2014-03-31 23:11:27.162599	136624	18.3	1	25
2014-03-31 23:11:31.889594	136625	370	3	2
2014-03-31 23:11:32.11013	136626	1157367.9414841773	4	2
2014-03-31 23:11:32.925723	136627	49	2	10
2014-03-31 23:11:33.156976	136628	21.7	1	10
2014-03-31 23:11:40.889811	136629	54	2	9
2014-03-31 23:11:41.112009	136630	21.2	1	9
2014-03-31 23:11:41.95902	136631	52	2	8
2014-03-31 23:11:42.190705	136632	19.7	1	8
2014-03-31 23:11:52.4786	136633	56	2	1
2014-03-31 23:11:52.699853	136634	19.9	1	1
2014-03-31 23:12:03.497183	136635	61	2	24
2014-03-31 23:12:03.72811	136636	17.8	1	24
2014-03-31 23:12:05.931875	136637	52	2	25
2014-03-31 23:12:06.152344	136638	18.3	1	25
2014-03-31 23:12:11.928017	136639	49	2	10
2014-03-31 23:12:12.1594	136640	21.7	1	10
2014-03-31 23:12:19.890657	136641	54	2	9
2014-03-31 23:12:20.112552	136642	21.2	1	9
2014-03-31 23:12:20.960521	136643	52	2	8
2014-03-31 23:12:21.192371	136644	19.7	1	8
2014-03-31 23:12:31.473639	136645	56	2	1
2014-03-31 23:12:31.695704	136646	19.9	1	1
2014-03-31 23:12:32.004359	136647	354	3	2
2014-03-31 23:12:32.236241	136648	1157373.6866577845	4	2
2014-03-31 23:12:42.495225	136649	61	2	24
2014-03-31 23:12:42.718208	136650	17.8	1	24
2014-03-31 23:12:44.92831	136651	52	2	25
2014-03-31 23:12:45.172281	136652	18.3	1	25
2014-03-31 23:12:50.925891	136653	49	2	10
2014-03-31 23:12:51.148169	136654	21.7	1	10
2014-03-31 23:12:58.888752	136655	54	2	9
2014-03-31 23:12:59.12602	136656	21.2	1	9
2014-03-31 23:12:59.959946	136657	52	2	8
2014-03-31 23:13:00.181377	136658	19.7	1	8
2014-03-31 23:13:10.477204	136659	56	2	1
2014-03-31 23:13:10.708582	136660	19.9	1	1
2014-03-31 23:13:21.494582	136661	61	2	24
2014-03-31 23:13:21.714837	136662	17.8	1	24
2014-03-31 23:13:23.927825	136663	52	2	25
2014-03-31 23:13:24.161044	136664	18.3	1	25
2014-03-31 23:13:29.926435	136665	49	2	10
2014-03-31 23:13:30.149814	136666	21.7	1	10
2014-03-31 23:13:31.88829	136667	354	3	2
2014-03-31 23:13:32.120041	136668	1157379.4318313915	4	2
2014-03-31 23:13:37.890401	136669	54	2	9
2014-03-31 23:13:38.134938	136670	21.2	1	9
2014-03-31 23:13:38.959772	136671	52	2	8
2014-03-31 23:13:39.195601	136672	19.7	1	8
2014-03-31 23:13:49.473646	136673	56	2	1
2014-03-31 23:13:49.69616	136674	19.9	1	1
2014-03-31 23:14:00.493505	136675	61	2	24
2014-03-31 23:14:00.725877	136676	17.8	1	24
2014-03-31 23:14:02.928477	136677	52	2	25
2014-03-31 23:14:03.149811	136678	18.3	1	25
2014-03-31 23:14:08.927709	136679	49	2	10
2014-03-31 23:14:09.160371	136680	21.7	1	10
2014-03-31 23:14:16.88916	136681	54	2	9
2014-03-31 23:14:17.110778	136682	21.2	1	9
2014-03-31 23:14:17.958671	136683	52	2	8
2014-03-31 23:14:18.188794	136684	19.7	1	8
2014-03-31 23:14:19.888423	136685	305	3	2
2014-03-31 23:14:20.110669	136686	1157382.883406508	4	2
2014-03-31 23:14:28.474739	136687	56	2	1
2014-03-31 23:14:28.706617	136688	19.8	1	1
2014-03-31 23:14:31.890541	136689	305	3	2
2014-03-31 23:14:32.11124	136690	1157384.0324412293	4	2
2014-03-31 23:14:39.494096	136691	61	2	24
2014-03-31 23:14:39.725226	136692	17.8	1	24
2014-03-31 23:14:41.927712	136693	52	2	25
2014-03-31 23:14:42.148714	136694	18.3	1	25
2014-03-31 23:14:47.927402	136695	49	2	10
2014-03-31 23:14:48.157791	136696	21.7	1	10
2014-03-31 23:14:55.889522	136697	54	2	9
2014-03-31 23:14:56.111175	136698	21.2	1	9
2014-03-31 23:14:56.95973	136699	52	2	8
2014-03-31 23:14:57.200795	136700	19.7	1	8
2014-03-31 23:15:07.474893	136701	56	2	1
2014-03-31 23:15:07.695292	136702	19.8	1	1
2014-03-31 23:15:18.496006	136703	61	2	24
2014-03-31 23:15:18.728018	136704	17.8	1	24
2014-03-31 23:15:20.983886	136705	52	2	25
2014-03-31 23:15:21.205469	136706	18.3	1	25
2014-03-31 23:15:26.92773	136707	49	2	10
2014-03-31 23:15:27.159687	136708	21.7	1	10
2014-03-31 23:15:31.889062	136709	338	3	2
2014-03-31 23:15:32.109622	136710	1157389.7776148363	4	2
2014-03-31 23:15:34.888965	136711	54	2	9
2014-03-31 23:15:35.122405	136712	21.1	1	9
2014-03-31 23:15:35.961707	136713	52	2	8
2014-03-31 23:15:36.183115	136714	19.7	1	8
2014-03-31 23:15:43.890061	136715	338	3	2
2014-03-31 23:15:44.121479	136716	1157390.926649558	4	2
2014-03-31 23:15:46.474046	136717	56	2	1
2014-03-31 23:15:46.69708	136718	19.8	1	1
2014-03-31 23:15:57.493137	136719	61	2	24
2014-03-31 23:15:57.726362	136720	17.8	1	24
2014-03-31 23:15:59.929271	136721	52	2	25
2014-03-31 23:16:00.150133	136722	18.3	1	25
2014-03-31 23:16:05.93046	136723	49	2	10
2014-03-31 23:16:06.160512	136724	21.7	1	10
2014-03-31 23:16:13.886881	136725	54	2	9
2014-03-31 23:16:14.109503	136726	21.1	1	9
2014-03-31 23:16:14.962824	136727	52	2	8
2014-03-31 23:16:15.212885	136728	19.7	1	8
2014-03-31 23:16:19.8896	136729	305	3	2
2014-03-31 23:16:20.113541	136730	1157394.373753722	4	2
2014-03-31 23:16:25.472639	136731	56	2	1
2014-03-31 23:16:25.712503	136732	19.8	1	1
2014-03-31 23:16:31.888673	136733	305	3	2
2014-03-31 23:16:32.110595	136734	1157395.5227884436	4	2
2014-03-31 23:16:36.490797	136735	61	2	24
2014-03-31 23:16:36.72295	136736	17.8	1	24
2014-03-31 23:16:38.927924	136737	52	2	25
2014-03-31 23:16:39.148955	136738	18.3	1	25
2014-03-31 23:16:44.929565	136739	49	2	10
2014-03-31 23:16:45.165298	136740	21.7	1	10
2014-03-31 23:16:52.888734	136741	54	2	9
2014-03-31 23:16:53.111356	136742	21.1	1	9
2014-03-31 23:16:53.960696	136743	52	2	8
2014-03-31 23:16:54.193987	136744	19.7	1	8
2014-03-31 23:17:04.472524	136745	56	2	1
2014-03-31 23:17:04.694708	136746	19.8	1	1
2014-03-31 23:17:15.491995	136747	61	2	24
2014-03-31 23:17:15.734052	136748	17.8	1	24
2014-03-31 23:17:17.927784	136749	52	2	25
2014-03-31 23:17:18.14812	136750	18.3	1	25
2014-03-31 23:17:23.930723	136751	49	2	10
2014-03-31 23:17:24.161224	136752	21.7	1	10
2014-03-31 23:17:32.089866	136753	54	2	9
2014-03-31 23:17:32.310086	136754	21.1	1	9
2014-03-31 23:17:32.961329	136755	52	2	8
2014-03-31 23:17:33.190678	136756	19.7	1	8
2014-03-31 23:17:43.473453	136757	56	2	1
2014-03-31 23:17:43.697877	136758	19.8	1	1
2014-03-31 23:17:54.488239	136759	61	2	24
2014-03-31 23:17:54.720269	136760	17.8	1	24
2014-03-31 23:17:56.929141	136761	52	2	25
2014-03-31 23:17:57.172058	136762	18.3	1	25
2014-03-31 23:18:02.930505	136763	49	2	10
2014-03-31 23:18:03.167761	136764	21.6	1	10
2014-03-31 23:18:10.888139	136765	54	2	9
2014-03-31 23:18:11.111417	136766	21.1	1	9
2014-03-31 23:18:11.961768	136767	52	2	8
2014-03-31 23:18:12.192921	136768	19.7	1	8
2014-03-31 23:18:22.474756	136769	56	2	1
2014-03-31 23:18:22.69796	136770	19.8	1	1
2014-03-31 23:18:31.889548	136771	305	3	2
2014-03-31 23:18:32.125835	136772	1157405.8641009363	4	2
2014-03-31 23:18:33.488529	136773	61	2	24
2014-03-31 23:18:33.707715	136774	17.8	1	24
2014-03-31 23:18:35.925097	136775	52	2	25
2014-03-31 23:18:36.157062	136776	18.3	1	25
2014-03-31 23:18:41.929901	136777	49	2	10
2014-03-31 23:18:42.155538	136778	21.6	1	10
2014-03-31 23:18:49.888001	136779	54	2	9
2014-03-31 23:18:50.120886	136780	21.1	1	9
2014-03-31 23:18:51.014648	136781	52	2	8
2014-03-31 23:18:51.236995	136782	19.7	1	8
2014-03-31 23:19:01.509918	136783	56	2	1
2014-03-31 23:19:01.743119	136784	19.8	1	1
2014-03-31 23:19:12.729696	136785	61	2	24
2014-03-31 23:19:12.953425	136786	17.8	1	24
2014-03-31 23:19:14.924073	136787	52	2	25
2014-03-31 23:19:15.157547	136788	18.3	1	25
2014-03-31 23:19:20.934806	136789	49	2	10
2014-03-31 23:19:21.212592	136790	21.6	1	10
2014-03-31 23:19:28.888591	136791	54	2	9
2014-03-31 23:19:29.120467	136792	21.1	1	9
2014-03-31 23:19:29.95985	136793	52	2	8
2014-03-31 23:19:30.180994	136794	19.7	1	8
2014-03-31 23:19:31.88975	136795	305	3	2
2014-03-31 23:19:32.131795	136796	1157410.4602398218	4	2
2014-03-31 23:19:40.471778	136797	56	2	1
2014-03-31 23:19:40.694821	136798	19.8	1	1
2014-03-31 23:19:51.48832	136799	61	2	24
2014-03-31 23:19:51.718784	136800	17.8	1	24
2014-03-31 23:19:53.925277	136801	52	2	25
2014-03-31 23:19:54.146949	136802	18.3	1	25
2014-03-31 23:19:59.929772	136803	49	2	10
2014-03-31 23:20:00.161974	136804	21.6	1	10
2014-03-31 23:20:07.890201	136805	54	2	9
2014-03-31 23:20:08.114245	136806	21.1	1	9
2014-03-31 23:20:08.959964	136807	52	2	8
2014-03-31 23:20:09.1901	136808	19.7	1	8
2014-03-31 23:20:19.470164	136809	56	2	1
2014-03-31 23:20:19.701817	136810	19.8	1	1
2014-03-31 23:20:30.49104	136811	61	2	24
2014-03-31 23:20:30.723242	136812	17.8	1	24
2014-03-31 23:20:31.888712	136813	305	3	2
2014-03-31 23:20:32.11007	136814	1157416.205413429	4	2
2014-03-31 23:20:32.925564	136815	52	2	25
2014-03-31 23:20:33.155596	136816	18.3	1	25
2014-03-31 23:20:38.929143	136817	49	2	10
2014-03-31 23:20:39.152167	136818	21.6	1	10
2014-03-31 23:20:46.888491	136819	54	2	9
2014-03-31 23:20:47.120467	136820	21.1	1	9
2014-03-31 23:20:47.95942	136821	52	2	8
2014-03-31 23:20:48.180709	136822	19.7	1	8
2014-03-31 23:20:58.470987	136823	56	2	1
2014-03-31 23:20:58.705156	136824	19.8	1	1
2014-03-31 23:21:09.485671	136825	61	2	24
2014-03-31 23:21:09.711136	136826	17.8	1	24
2014-03-31 23:21:11.945089	136827	52	2	25
2014-03-31 23:21:12.176487	136828	18.3	1	25
2014-03-31 23:21:17.929579	136829	49	2	10
2014-03-31 23:21:18.151663	136830	21.6	1	10
2014-03-31 23:21:25.886894	136831	54	2	9
2014-03-31 23:21:26.117932	136832	21.1	1	9
2014-03-31 23:21:26.960293	136833	52	2	8
2014-03-31 23:21:27.181537	136834	19.7	1	8
2014-03-31 23:21:31.888698	136835	354	3	2
2014-03-31 23:21:32.123129	136836	1157420.8015523145	4	2
2014-03-31 23:21:37.469808	136837	56	2	1
2014-03-31 23:21:37.696921	136838	19.8	1	1
2014-03-31 23:21:43.887634	136839	354	3	2
2014-03-31 23:21:44.11898	136840	1157421.950587036	4	2
2014-03-31 23:21:48.487738	136841	61	2	24
2014-03-31 23:21:48.711145	136842	17.8	1	24
2014-03-31 23:21:50.925852	136843	52	2	25
2014-03-31 23:21:51.224791	136844	18.3	1	25
2014-03-31 23:21:56.930673	136845	49	2	10
2014-03-31 23:21:57.153281	136846	21.6	1	10
2014-03-31 23:22:04.890642	136847	54	2	9
2014-03-31 23:22:05.122631	136848	21.1	1	9
2014-03-31 23:22:05.959989	136849	52	2	8
2014-03-31 23:22:06.181434	136850	19.7	1	8
2014-03-31 23:22:16.46952	136851	56	2	1
2014-03-31 23:22:16.699635	136852	19.8	1	1
2014-03-31 23:22:27.524359	136853	61	2	24
2014-03-31 23:22:27.750685	136854	17.8	1	24
2014-03-31 23:22:29.925853	136855	52	2	25
2014-03-31 23:22:30.157047	136856	18.3	1	25
2014-03-31 23:22:31.893575	136857	370	3	2
2014-03-31 23:22:32.113697	136858	1157426.5467259218	4	2
2014-03-31 23:22:35.929663	136859	49	2	10
2014-03-31 23:22:36.162305	136860	21.6	1	10
2014-03-31 23:22:43.892501	136861	54	2	9
2014-03-31 23:22:44.115609	136862	21.1	1	9
2014-03-31 23:22:44.969214	136863	52	2	8
2014-03-31 23:22:45.199314	136864	19.7	1	8
2014-03-31 23:22:55.469557	136865	56	2	1
2014-03-31 23:22:55.690621	136866	19.8	1	1
2014-03-31 23:23:06.485442	136867	61	2	24
2014-03-31 23:23:06.717184	136868	17.8	1	24
2014-03-31 23:23:08.927721	136869	52	2	25
2014-03-31 23:23:09.148216	136870	18.3	1	25
2014-03-31 23:23:14.931981	136871	49	2	10
2014-03-31 23:23:15.163654	136872	21.6	1	10
2014-03-31 23:23:22.889513	136873	54	2	9
2014-03-31 23:23:23.111729	136874	21.1	1	9
2014-03-31 23:23:23.962538	136875	52	2	8
2014-03-31 23:23:24.195167	136876	19.7	1	8
2014-03-31 23:23:34.469539	136877	56	2	1
2014-03-31 23:23:34.691413	136878	19.8	1	1
2014-03-31 23:23:45.484136	136879	61	2	24
2014-03-31 23:23:45.715709	136880	17.8	1	24
2014-03-31 23:23:47.922931	136881	52	2	25
2014-03-31 23:23:48.146318	136882	18.3	1	25
2014-03-31 23:23:53.9295	136883	49	2	10
2014-03-31 23:23:54.163577	136884	21.6	1	10
2014-03-31 23:24:01.890264	136885	54	2	9
2014-03-31 23:24:02.114806	136886	21.1	1	9
2014-03-31 23:24:02.959706	136887	52	2	8
2014-03-31 23:24:03.191724	136888	19.7	1	8
2014-03-31 23:24:13.469661	136889	56	2	1
2014-03-31 23:24:13.690732	136890	19.8	1	1
2014-03-31 23:24:24.486294	136891	61	2	24
2014-03-31 23:24:24.728182	136892	17.7	1	24
2014-03-31 23:24:26.924943	136893	52	2	25
2014-03-31 23:24:27.151876	136894	18.3	1	25
2014-03-31 23:24:31.888522	136895	354	3	2
2014-03-31 23:24:32.119959	136896	1157439.1861078572	4	2
2014-03-31 23:24:33.137048	136897	49	2	10
2014-03-31 23:24:33.358608	136898	21.5	1	10
2014-03-31 23:24:40.890261	136899	54	2	9
2014-03-31 23:24:41.120295	136900	21.1	1	9
2014-03-31 23:24:41.959513	136901	52	2	8
2014-03-31 23:24:42.182948	136902	19.7	1	8
2014-03-31 23:24:52.468832	136903	56	2	1
2014-03-31 23:24:52.699632	136904	19.8	1	1
2014-03-31 23:25:03.481982	136905	61	2	24
2014-03-31 23:25:03.702544	136906	17.7	1	24
2014-03-31 23:25:05.925325	136907	52	2	25
2014-03-31 23:25:06.156322	136908	18.3	1	25
2014-03-31 23:25:11.931862	136909	49	2	10
2014-03-31 23:25:12.154451	136910	21.5	1	10
2014-03-31 23:25:19.889149	136911	54	2	9
2014-03-31 23:25:20.121036	136912	21.1	1	9
2014-03-31 23:25:20.959318	136913	52	2	8
2014-03-31 23:25:21.236328	136914	19.7	1	8
2014-03-31 23:25:31.467791	136915	56	2	1
2014-03-31 23:25:31.699924	136916	19.8	1	1
2014-03-31 23:25:32.004872	136917	354	3	2
2014-03-31 23:25:32.225794	136918	1157444.9312814644	4	2
2014-03-31 23:25:42.483362	136919	61	2	24
2014-03-31 23:25:42.714116	136920	17.7	1	24
2014-03-31 23:25:44.924043	136921	52	2	25
2014-03-31 23:25:45.145762	136922	18.3	1	25
2014-03-31 23:25:50.93052	136923	49	2	10
2014-03-31 23:25:51.21594	136924	21.5	1	10
2014-03-31 23:25:58.899348	136925	54	2	9
2014-03-31 23:25:59.122033	136926	21.0	1	9
2014-03-31 23:25:59.959424	136927	52	2	8
2014-03-31 23:26:00.18954	136928	19.7	1	8
2014-03-31 23:26:10.470325	136929	56	2	1
2014-03-31 23:26:10.692922	136930	19.8	1	1
2014-03-31 23:26:21.482906	136931	61	2	24
2014-03-31 23:26:21.713603	136932	17.7	1	24
2014-03-31 23:26:23.921241	136933	52	2	25
2014-03-31 23:26:24.143817	136934	18.3	1	25
2014-03-31 23:26:29.93054	136935	49	2	10
2014-03-31 23:26:30.161831	136936	21.5	1	10
2014-03-31 23:26:31.888026	136937	305	3	2
2014-03-31 23:26:32.108552	136938	1157450.6764550714	4	2
2014-03-31 23:26:37.890903	136939	54	2	9
2014-03-31 23:26:38.131124	136940	21.0	1	9
2014-03-31 23:26:38.958616	136941	52	2	8
2014-03-31 23:26:39.178127	136942	19.7	1	8
2014-03-31 23:26:43.890628	136943	305	3	2
2014-03-31 23:26:44.127866	136944	1157451.8254897927	4	2
2014-03-31 23:26:49.467078	136945	56	2	1
2014-03-31 23:26:49.694445	136946	19.8	1	1
2014-03-31 23:27:00.494398	136947	61	2	24
2014-03-31 23:27:00.727932	136948	17.7	1	24
2014-03-31 23:27:02.922667	136949	52	2	25
2014-03-31 23:27:03.142818	136950	18.3	1	25
2014-03-31 23:27:08.930419	136951	49	2	10
2014-03-31 23:27:09.162874	136952	21.5	1	10
2014-03-31 23:27:16.889722	136953	54	2	9
2014-03-31 23:27:17.110679	136954	21.0	1	9
2014-03-31 23:27:17.959008	136955	52	2	8
2014-03-31 23:27:18.190081	136956	19.7	1	8
2014-03-31 23:27:28.468063	136957	56	2	1
2014-03-31 23:27:28.694408	136958	19.8	1	1
2014-03-31 23:27:31.889576	136959	305	3	2
2014-03-31 23:27:32.121404	136960	1157455.2725939571	4	2
2014-03-31 23:27:39.479035	136961	61	2	24
2014-03-31 23:27:39.701203	136962	17.7	1	24
2014-03-31 23:27:41.921691	136963	52	2	25
2014-03-31 23:27:42.154483	136964	18.3	1	25
2014-03-31 23:27:47.931466	136965	49	2	10
2014-03-31 23:27:48.15316	136966	21.5	1	10
2014-03-31 23:27:55.891608	136967	54	2	9
2014-03-31 23:27:56.12223	136968	21.0	1	9
2014-03-31 23:27:56.957896	136969	52	2	8
2014-03-31 23:27:57.178662	136970	19.7	1	8
2014-03-31 23:28:07.467265	136971	56	2	1
2014-03-31 23:28:07.699601	136972	19.8	1	1
2014-03-31 23:28:18.481019	136973	61	2	24
2014-03-31 23:28:18.703172	136974	17.7	1	24
2014-03-31 23:28:20.924697	136975	52	2	25
2014-03-31 23:28:21.155627	136976	18.3	1	25
2014-03-31 23:28:26.932362	136977	49	2	10
2014-03-31 23:28:27.155857	136978	21.5	1	10
2014-03-31 23:28:31.89163	136979	305	3	2
2014-03-31 23:28:32.120933	136980	1157461.0177675642	4	2
2014-03-31 23:28:34.891887	136981	54	2	9
2014-03-31 23:28:35.113198	136982	21.0	1	9
2014-03-31 23:28:35.962093	136983	52	2	8
2014-03-31 23:28:36.193311	136984	19.7	1	8
2014-03-31 23:28:46.465226	136985	56	2	1
2014-03-31 23:28:46.686781	136986	19.8	1	1
2014-03-31 23:28:57.477977	136987	61	2	24
2014-03-31 23:28:57.720609	136988	17.7	1	24
2014-03-31 23:28:59.922194	136989	52	2	25
2014-03-31 23:29:00.146744	136990	18.3	1	25
2014-03-31 23:29:05.931812	136991	49	2	10
2014-03-31 23:29:06.168522	136992	21.5	1	10
2014-03-31 23:29:13.890086	136993	54	2	9
2014-03-31 23:29:14.114626	136994	21.0	1	9
2014-03-31 23:29:14.959691	136995	52	2	8
2014-03-31 23:29:15.192047	136996	19.7	1	8
2014-03-31 23:29:25.467306	136997	56	2	1
2014-03-31 23:29:25.690563	136998	19.8	1	1
2014-03-31 23:29:31.887734	136999	305	3	2
2014-03-31 23:29:32.121467	137000	1157465.6139064499	4	2
2014-03-31 23:29:36.477709	137001	61	2	24
2014-03-31 23:29:36.699995	137002	17.7	1	24
2014-03-31 23:29:38.921949	137003	52	2	25
2014-03-31 23:29:39.154171	137004	18.3	1	25
2014-03-31 23:29:44.935082	137005	49	2	10
2014-03-31 23:29:45.157308	137006	21.5	1	10
2014-03-31 23:29:52.888953	137007	54	2	9
2014-03-31 23:29:53.120443	137008	21.0	1	9
2014-03-31 23:29:53.958941	137009	52	2	8
2014-03-31 23:29:54.181703	137010	19.7	1	8
2014-03-31 23:30:04.464032	137011	56	2	1
2014-03-31 23:30:04.882679	137012	19.8	1	1
2014-03-31 23:30:15.477856	137013	61	2	24
2014-03-31 23:30:15.755138	137014	17.7	1	24
2014-03-31 23:30:17.922503	137015	52	2	25
2014-03-31 23:30:18.18563	137016	18.3	1	25
2014-03-31 23:30:23.932734	137017	49	2	10
2014-03-31 23:30:24.187983	137018	21.5	1	10
2014-03-31 23:30:32.092235	137019	54	2	9
2014-03-31 23:30:32.356373	137020	21.0	1	9
2014-03-31 23:30:32.960658	137021	52	2	8
2014-03-31 23:30:33.701622	137022	19.7	1	8
2014-03-31 23:30:43.467263	137023	56	2	1
2014-03-31 23:30:43.731623	137024	19.8	1	1
2014-03-31 23:30:54.478448	137025	61	2	24
2014-03-31 23:30:54.722852	137026	17.7	1	24
2014-03-31 23:30:56.922347	137027	52	2	25
2014-03-31 23:30:57.204031	137028	18.3	1	25
2014-03-31 23:31:02.933005	137029	49	2	10
2014-03-31 23:31:03.203469	137030	21.5	1	10
2014-03-31 23:31:10.889387	137031	54	2	9
2014-03-31 23:31:11.120966	137032	21.0	1	9
2014-03-31 23:31:11.959751	137033	52	2	8
2014-03-31 23:31:12.181061	137034	19.7	1	8
2014-03-31 23:31:22.466022	137035	56	2	1
2014-03-31 23:31:22.709338	137036	19.8	1	1
2014-03-31 23:31:31.88756	137037	305	3	2
2014-03-31 23:31:32.10955	137038	1157475.9552189426	4	2
2014-03-31 23:31:33.475808	137039	61	2	24
2014-03-31 23:31:33.706861	137040	17.7	1	24
2014-03-31 23:31:35.920502	137041	52	2	25
2014-03-31 23:31:36.142318	137042	18.3	1	25
2014-03-31 23:31:41.932478	137043	49	2	10
2014-03-31 23:31:42.164103	137044	21.5	1	10
2014-03-31 23:31:49.888549	137045	54	2	9
2014-03-31 23:31:50.113694	137046	21.0	1	9
2014-03-31 23:31:50.960151	137047	52	2	8
2014-03-31 23:31:51.192164	137048	19.7	1	8
2014-03-31 23:32:01.465062	137049	56	2	1
2014-03-31 23:32:01.68825	137050	19.8	1	1
2014-03-31 23:32:12.475526	137051	61	2	24
2014-03-31 23:32:12.70886	137052	17.7	1	24
2014-03-31 23:32:14.920268	137053	52	2	25
2014-03-31 23:32:15.141039	137054	18.3	1	25
2014-03-31 23:32:20.933321	137055	49	2	10
2014-03-31 23:32:21.164543	137056	21.5	1	10
2014-03-31 23:32:28.888542	137057	54	2	9
2014-03-31 23:32:29.110766	137058	21.0	1	9
2014-03-31 23:32:29.962572	137059	52	2	8
2014-03-31 23:32:30.193495	137060	19.7	1	8
2014-03-31 23:32:31.887198	137061	305	3	2
2014-03-31 23:32:32.107031	137062	1157481.7003925496	4	2
2014-03-31 23:32:40.463322	137063	56	2	1
2014-03-31 23:32:40.700027	137064	19.8	1	1
2014-03-31 23:32:51.522771	137065	61	2	24
2014-03-31 23:32:51.747991	137066	17.7	1	24
2014-03-31 23:32:53.920812	137067	52	2	25
2014-03-31 23:32:54.151453	137068	18.3	1	25
2014-03-31 23:32:59.932699	137069	49	2	10
2014-03-31 23:33:00.153961	137070	21.5	1	10
2014-03-31 23:33:07.889635	137071	54	2	9
2014-03-31 23:33:08.123512	137072	21.0	1	9
2014-03-31 23:33:08.960152	137073	52	2	8
2014-03-31 23:33:09.182459	137074	19.7	1	8
2014-03-31 23:33:19.463329	137075	56	2	1
2014-03-31 23:33:19.69407	137076	19.8	1	1
2014-03-31 23:33:20.000681	137077	354	3	2
2014-03-31 23:33:20.223006	137078	1157485.1474967138	4	2
2014-03-31 23:33:30.474511	137079	61	2	24
2014-03-31 23:33:30.70663	137080	17.7	1	24
2014-03-31 23:33:31.88964	137081	354	3	2
2014-03-31 23:33:32.111795	137082	1157486.2965314353	4	2
2014-03-31 23:33:32.921462	137083	52	2	25
2014-03-31 23:33:33.16415	137084	18.3	1	25
2014-03-31 23:33:38.934064	137085	49	2	10
2014-03-31 23:33:39.156536	137086	21.5	1	10
2014-03-31 23:33:46.892477	137087	54	2	9
2014-03-31 23:33:47.125193	137088	21.0	1	9
2014-03-31 23:33:47.961921	137089	52	2	8
2014-03-31 23:33:48.182984	137090	19.7	1	8
2014-03-31 23:33:58.463947	137091	56	2	1
2014-03-31 23:33:58.694175	137092	19.8	1	1
2014-03-31 23:34:09.473266	137093	61	2	24
2014-03-31 23:34:09.695542	137094	17.7	1	24
2014-03-31 23:34:11.920126	137095	52	2	25
2014-03-31 23:34:12.153155	137096	18.3	1	25
2014-03-31 23:34:17.932761	137097	49	2	10
2014-03-31 23:34:18.158109	137098	21.5	1	10
2014-03-31 23:34:25.889712	137099	54	2	9
2014-03-31 23:34:26.123688	137100	21.0	1	9
2014-03-31 23:34:26.959148	137101	52	2	8
2014-03-31 23:34:27.182729	137102	19.7	1	8
2014-03-31 23:34:31.887686	137103	354	3	2
2014-03-31 23:34:32.145055	137104	1157492.0417050424	4	2
2014-03-31 23:34:37.46178	137105	56	2	1
2014-03-31 23:34:37.687837	137106	19.8	1	1
2014-03-31 23:34:48.472204	137107	61	2	24
2014-03-31 23:34:48.70347	137108	17.7	1	24
2014-03-31 23:34:50.918469	137109	52	2	25
2014-03-31 23:34:51.141863	137110	18.3	1	25
2014-03-31 23:34:56.93432	137111	49	2	10
2014-03-31 23:34:57.167857	137112	21.5	1	10
2014-03-31 23:35:04.887039	137113	54	2	9
2014-03-31 23:35:05.111643	137114	21.0	1	9
2014-03-31 23:35:05.959838	137115	52	2	8
2014-03-31 23:35:06.193283	137116	19.7	1	8
2014-03-31 23:35:16.463277	137117	56	2	1
2014-03-31 23:35:16.684745	137118	19.8	1	1
2014-03-31 23:35:27.473172	137119	61	2	24
2014-03-31 23:35:27.705198	137120	17.7	1	24
2014-03-31 23:35:30.160372	137121	52	2	25
2014-03-31 23:35:30.383207	137122	18.3	1	25
2014-03-31 23:35:31.886885	137123	354	3	2
2014-03-31 23:35:32.118114	137124	1157498.935913371	4	2
2014-03-31 23:35:35.933047	137125	49	2	10
2014-03-31 23:35:36.155615	137126	21.4	1	10
2014-03-31 23:35:43.890046	137127	54	2	9
2014-03-31 23:35:44.122264	137128	21.0	1	9
2014-03-31 23:35:44.959344	137129	52	2	8
2014-03-31 23:35:45.181059	137130	19.7	1	8
2014-03-31 23:35:55.462448	137131	56	2	1
2014-03-31 23:35:55.70588	137132	19.8	1	1
2014-03-31 23:36:06.470435	137133	61	2	24
2014-03-31 23:36:06.703186	137134	17.7	1	24
2014-03-31 23:36:08.92048	137135	52	2	25
2014-03-31 23:36:09.150336	137136	18.3	1	25
2014-03-31 23:36:14.933732	137137	49	2	10
2014-03-31 23:36:15.154073	137138	21.4	1	10
2014-03-31 23:36:22.890623	137139	54	2	9
2014-03-31 23:36:23.120988	137140	21.0	1	9
2014-03-31 23:36:23.959826	137141	52	2	8
2014-03-31 23:36:24.178963	137142	19.7	1	8
2014-03-31 23:36:31.886695	137143	354	3	2
2014-03-31 23:36:32.119549	137144	1157504.681086978	4	2
2014-03-31 23:36:34.462153	137145	56	2	1
2014-03-31 23:36:34.682914	137146	19.8	1	1
2014-03-31 23:36:45.471352	137147	61	2	24
2014-03-31 23:36:45.704366	137148	17.7	1	24
2014-03-31 23:36:47.919896	137149	52	2	25
2014-03-31 23:36:48.14168	137150	18.3	1	25
2014-03-31 23:36:53.934462	137151	49	2	10
2014-03-31 23:36:54.166225	137152	21.4	1	10
2014-03-31 23:37:01.889522	137153	54	2	9
2014-03-31 23:37:02.110585	137154	21.0	1	9
2014-03-31 23:37:02.95982	137155	52	2	8
2014-03-31 23:37:03.191388	137156	19.7	1	8
2014-03-31 23:37:13.462254	137157	56	2	1
2014-03-31 23:37:13.686519	137158	19.8	1	1
2014-03-31 23:37:24.468588	137159	61	2	24
2014-03-31 23:37:24.703826	137160	17.7	1	24
2014-03-31 23:37:26.918148	137161	52	2	25
2014-03-31 23:37:27.143109	137162	18.3	1	25
2014-03-31 23:37:31.886706	137163	354	3	2
2014-03-31 23:37:32.116778	137164	1157510.426260585	4	2
2014-03-31 23:37:32.93383	137165	49	2	10
2014-03-31 23:37:33.155447	137166	21.4	1	10
2014-03-31 23:37:40.891039	137167	54	2	9
2014-03-31 23:37:41.123238	137168	21.0	1	9
2014-03-31 23:37:41.959364	137169	52	2	8
2014-03-31 23:37:42.179872	137170	19.7	1	8
2014-03-31 23:37:52.461727	137171	56	2	1
2014-03-31 23:37:52.694466	137172	19.8	1	1
2014-03-31 23:38:03.469612	137173	61	2	24
2014-03-31 23:38:03.693448	137174	17.7	1	24
2014-03-31 23:38:05.919334	137175	52	2	25
2014-03-31 23:38:06.149777	137176	18.3	1	25
2014-03-31 23:38:11.934294	137177	49	2	10
2014-03-31 23:38:12.156319	137178	21.4	1	10
2014-03-31 23:38:19.89119	137179	54	2	9
2014-03-31 23:38:20.135225	137180	21.0	1	9
2014-03-31 23:38:20.960309	137181	52	2	8
2014-03-31 23:38:21.181356	137182	19.7	1	8
2014-03-31 23:38:31.46193	137183	56	2	1
2014-03-31 23:38:31.695476	137184	19.8	1	1
2014-03-31 23:38:32.00309	137185	354	3	2
2014-03-31 23:38:32.224036	137186	1157516.171434192	4	2
2014-03-31 23:38:42.468251	137187	61	2	24
2014-03-31 23:38:42.700331	137188	17.6	1	24
2014-03-31 23:38:44.918446	137189	52	2	25
2014-03-31 23:38:45.140288	137190	18.3	1	25
2014-03-31 23:38:50.935382	137191	49	2	10
2014-03-31 23:38:51.167117	137192	21.4	1	10
2014-03-31 23:38:58.889883	137193	54	2	9
2014-03-31 23:38:59.115711	137194	21.0	1	9
2014-03-31 23:38:59.961855	137195	52	2	8
2014-03-31 23:39:00.192921	137196	19.7	1	8
2014-03-31 23:39:10.461537	137197	56	2	1
2014-03-31 23:39:10.682875	137198	19.8	1	1
2014-03-31 23:39:21.467812	137199	61	2	24
2014-03-31 23:39:21.754946	137200	17.6	1	24
2014-03-31 23:39:23.917552	137201	52	2	25
2014-03-31 23:39:24.139579	137202	18.3	1	25
2014-03-31 23:39:29.936942	137203	49	2	10
2014-03-31 23:39:30.167128	137204	21.4	1	10
2014-03-31 23:39:31.887865	137205	305	3	2
2014-03-31 23:39:32.111465	137206	1157521.9166077992	4	2
2014-03-31 23:39:37.888641	137207	54	2	9
2014-03-31 23:39:38.121508	137208	20.9	1	9
2014-03-31 23:39:38.960668	137209	52	2	8
2014-03-31 23:39:39.181169	137210	19.7	1	8
2014-03-31 23:39:43.887056	137211	305	3	2
2014-03-31 23:39:44.124814	137212	1157523.0656425206	4	2
2014-03-31 23:39:49.459834	137213	56	2	1
2014-03-31 23:39:49.68643	137214	19.8	1	1
2014-03-31 23:40:00.46823	137215	61	2	24
2014-03-31 23:40:00.701556	137216	17.6	1	24
2014-03-31 23:40:02.919499	137217	52	2	25
2014-03-31 23:40:03.144651	137218	18.3	1	25
2014-03-31 23:40:08.934946	137219	49	2	10
2014-03-31 23:40:09.168719	137220	21.4	1	10
2014-03-31 23:40:16.889321	137221	54	2	9
2014-03-31 23:40:17.112454	137222	20.9	1	9
2014-03-31 23:40:17.960036	137223	52	2	8
2014-03-31 23:40:18.19348	137224	19.7	1	8
2014-03-31 23:40:28.460777	137225	56	2	1
2014-03-31 23:40:28.683896	137226	19.8	1	1
2014-03-31 23:40:31.889326	137227	289	3	2
2014-03-31 23:40:32.134298	137228	1157526.5127466847	4	2
2014-03-31 23:40:39.465724	137229	61	2	24
2014-03-31 23:40:39.688256	137230	17.6	1	24
2014-03-31 23:40:41.91753	137231	52	2	25
2014-03-31 23:40:42.151316	137232	18.3	1	25
2014-03-31 23:40:47.935986	137233	49	2	10
2014-03-31 23:40:48.158693	137234	21.4	1	10
2014-03-31 23:40:55.890119	137235	54	2	9
2014-03-31 23:40:56.121541	137236	20.9	1	9
2014-03-31 23:40:56.96068	137237	52	2	8
2014-03-31 23:40:57.18155	137238	19.7	1	8
2014-03-31 23:41:07.459954	137239	56	2	1
2014-03-31 23:41:07.6941	137240	19.8	1	1
2014-03-31 23:41:18.46733	137241	61	2	24
2014-03-31 23:41:18.689864	137242	17.6	1	24
2014-03-31 23:41:20.915908	137243	52	2	25
2014-03-31 23:41:21.146968	137244	18.3	1	25
2014-03-31 23:41:26.934694	137245	49	2	10
2014-03-31 23:41:27.155564	137246	21.4	1	10
2014-03-31 23:41:31.887502	137247	305	3	2
2014-03-31 23:41:32.119282	137248	1157532.257920292	4	2
2014-03-31 23:41:34.890064	137249	54	2	9
2014-03-31 23:41:35.1114	137250	20.9	1	9
2014-03-31 23:41:35.959928	137251	52	2	8
2014-03-31 23:41:36.195501	137252	19.7	1	8
2014-03-31 23:41:46.461767	137253	56	2	1
2014-03-31 23:41:46.683873	137254	19.8	1	1
2014-03-31 23:41:57.466887	137255	61	2	24
2014-03-31 23:41:57.699692	137256	17.6	1	24
2014-03-31 23:41:59.917514	137257	52	2	25
2014-03-31 23:42:00.138541	137258	18.3	1	25
2014-03-31 23:42:05.936517	137259	49	2	10
2014-03-31 23:42:06.167819	137260	21.4	1	10
2014-03-31 23:42:13.889999	137261	54	2	9
2014-03-31 23:42:14.111374	137262	20.9	1	9
2014-03-31 23:42:14.960148	137263	52	2	8
2014-03-31 23:42:15.190618	137264	19.7	1	8
2014-03-31 23:42:25.459659	137265	56	2	1
2014-03-31 23:42:25.683551	137266	19.7	1	1
2014-03-31 23:42:31.887427	137267	338	3	2
2014-03-31 23:42:32.120679	137268	1157536.8540591775	4	2
2014-03-31 23:42:36.464119	137269	61	2	24
2014-03-31 23:42:36.687999	137270	17.6	1	24
2014-03-31 23:42:38.91567	137271	52	2	25
2014-03-31 23:42:39.149892	137272	18.3	1	25
2014-03-31 23:42:43.886278	137273	305	3	2
2014-03-31 23:42:44.107537	137274	1157538.003093899	4	2
2014-03-31 23:42:44.93585	137275	49	2	10
2014-03-31 23:42:45.181629	137276	21.4	1	10
2014-03-31 23:42:52.889646	137277	54	2	9
2014-03-31 23:42:53.111233	137278	20.9	1	9
2014-03-31 23:42:53.958293	137279	52	2	8
2014-03-31 23:42:54.189118	137280	19.7	1	8
2014-03-31 23:42:55.884737	137281	305	3	2
2014-03-31 23:42:56.106271	137282	1157539.1521286203	4	2
2014-03-31 23:43:04.459092	137283	56	2	1
2014-03-31 23:43:04.695231	137284	19.7	1	1
2014-03-31 23:43:15.46475	137285	61	2	24
2014-03-31 23:43:15.68851	137286	17.6	1	24
2014-03-31 23:43:17.915103	137287	52	2	25
2014-03-31 23:43:18.146408	137288	18.3	1	25
2014-03-31 23:43:23.937692	137289	49	2	10
2014-03-31 23:43:24.160155	137290	21.3	1	10
2014-03-31 23:43:32.092425	137291	54	2	9
2014-03-31 23:43:32.324116	137292	20.9	1	9
2014-03-31 23:43:32.95873	137293	52	2	8
2014-03-31 23:43:33.179542	137294	19.7	1	8
2014-03-31 23:43:43.45964	137295	56	2	1
2014-03-31 23:43:43.693332	137296	19.7	1	1
2014-03-31 23:43:54.462361	137297	61	2	24
2014-03-31 23:43:54.68413	137298	17.6	1	24
2014-03-31 23:43:56.916945	137299	52	2	25
2014-03-31 23:43:57.151784	137300	18.3	1	25
2014-03-31 23:44:02.94001	137301	49	2	10
2014-03-31 23:44:03.160822	137302	21.3	1	10
2014-03-31 23:44:10.890702	137303	54	2	9
2014-03-31 23:44:11.121052	137304	20.9	1	9
2014-03-31 23:44:11.959022	137305	52	2	8
2014-03-31 23:44:12.179563	137306	19.7	1	8
2014-03-31 23:44:22.4587	137307	56	2	1
2014-03-31 23:44:22.689674	137308	19.7	1	1
2014-03-31 23:44:31.888783	137309	305	3	2
2014-03-31 23:44:32.110177	137310	1157547.1953716702	4	2
2014-03-31 23:44:33.462268	137311	61	2	24
2014-03-31 23:44:33.694521	137312	17.6	1	24
2014-03-31 23:44:35.917322	137313	52	2	25
2014-03-31 23:44:36.137278	137314	18.3	1	25
2014-03-31 23:44:41.937591	137315	49	2	10
2014-03-31 23:44:42.168644	137316	21.3	1	10
2014-03-31 23:44:43.887757	137317	338	3	2
2014-03-31 23:44:44.108766	137318	1157548.3444063917	4	2
2014-03-31 23:44:49.899944	137319	54	2	9
2014-03-31 23:44:50.134483	137320	20.9	1	9
2014-03-31 23:44:50.961365	137321	52	2	8
2014-03-31 23:44:51.184229	137322	19.7	1	8
2014-03-31 23:44:55.886816	137323	305	3	2
2014-03-31 23:44:56.137003	137324	1157549.493441113	4	2
2014-03-31 23:45:01.457792	137325	56	2	1
2014-03-31 23:45:01.684459	137326	19.7	1	1
2014-03-31 23:45:07.887381	137327	305	3	2
2014-03-31 23:45:08.122766	137328	1157550.6424758346	4	2
2014-03-31 23:45:12.46292	137329	61	2	24
2014-03-31 23:45:12.692903	137330	17.6	1	24
2014-03-31 23:45:14.916509	137331	52	2	25
2014-03-31 23:45:15.149386	137332	18.3	1	25
2014-03-31 23:45:20.940834	137333	49	2	10
2014-03-31 23:45:21.165103	137334	21.3	1	10
2014-03-31 23:45:28.890495	137335	54	2	9
2014-03-31 23:45:29.123738	137336	20.9	1	9
2014-03-31 23:45:29.960007	137337	52	2	8
2014-03-31 23:45:30.182461	137338	19.7	1	8
2014-03-31 23:45:31.887391	137339	338	3	2
2014-03-31 23:45:32.120897	137340	1157552.9405452774	4	2
2014-03-31 23:45:40.45758	137341	56	2	1
2014-03-31 23:45:40.679585	137342	19.7	1	1
2014-03-31 23:45:43.889085	137343	338	3	2
2014-03-31 23:45:44.122208	137344	1157554.0895799987	4	2
2014-03-31 23:45:51.463231	137345	61	2	24
2014-03-31 23:45:51.686092	137346	17.6	1	24
2014-03-31 23:45:53.91507	137347	52	2	25
2014-03-31 23:45:54.148044	137348	18.3	1	25
2014-03-31 23:45:59.938925	137349	49	2	10
2014-03-31 23:46:00.161865	137350	21.3	1	10
2014-03-31 23:46:08.090645	137351	54	2	9
2014-03-31 23:46:08.32522	137352	20.9	1	9
2014-03-31 23:46:08.959841	137353	52	2	8
2014-03-31 23:46:09.183545	137354	19.7	1	8
2014-03-31 23:46:19.459001	137355	56	2	1
2014-03-31 23:46:19.691604	137356	19.7	1	1
2014-03-31 23:46:30.461723	137357	61	2	24
2014-03-31 23:46:30.684646	137358	17.6	1	24
2014-03-31 23:46:31.885615	137359	354	3	2
2014-03-31 23:46:32.117205	137360	1157558.6857188845	4	2
2014-03-31 23:46:32.915437	137361	52	2	25
2014-03-31 23:46:33.140102	137362	18.3	1	25
2014-03-31 23:46:38.937847	137363	49	2	10
2014-03-31 23:46:39.170922	137364	21.3	1	10
2014-03-31 23:46:46.889097	137365	54	2	9
2014-03-31 23:46:47.111047	137366	20.9	1	9
2014-03-31 23:46:47.960247	137367	52	2	8
2014-03-31 23:46:48.193275	137368	19.7	1	8
2014-03-31 23:46:58.455976	137369	56	2	1
2014-03-31 23:46:58.677949	137370	19.7	1	1
2014-03-31 23:47:09.462536	137371	61	2	24
2014-03-31 23:47:09.705345	137372	17.6	1	24
2014-03-31 23:47:11.913607	137373	52	2	25
2014-03-31 23:47:12.135289	137374	18.3	1	25
2014-03-31 23:47:17.93832	137375	49	2	10
2014-03-31 23:47:18.355629	137376	21.3	1	10
2014-03-31 23:47:25.888303	137377	54	2	9
2014-03-31 23:47:26.116161	137378	20.9	1	9
2014-03-31 23:47:26.958722	137379	52	2	8
2014-03-31 23:47:27.179739	137380	19.7	1	8
2014-03-31 23:47:31.887063	137381	370	3	2
2014-03-31 23:47:32.120702	137382	1157564.4308924915	4	2
2014-03-31 23:47:37.456557	137383	56	2	1
2014-03-31 23:47:37.680633	137384	19.7	1	1
2014-03-31 23:47:48.458927	137385	61	2	24
2014-03-31 23:47:48.69312	137386	17.6	1	24
2014-03-31 23:47:50.913303	137387	52	2	25
2014-03-31 23:47:51.135017	137388	18.2	1	25
2014-03-31 23:47:56.940666	137389	49	2	10
2014-03-31 23:47:57.173813	137390	21.3	1	10
2014-03-31 23:48:04.88923	137391	54	2	9
2014-03-31 23:48:05.111141	137392	20.9	1	9
2014-03-31 23:48:05.960096	137393	52	2	8
2014-03-31 23:48:06.190704	137394	19.7	1	8
2014-03-31 23:48:16.457884	137395	56	2	1
2014-03-31 23:48:16.680512	137396	19.7	1	1
2014-03-31 23:48:27.459177	137397	61	2	24
2014-03-31 23:48:27.692452	137398	17.6	1	24
2014-03-31 23:48:29.914541	137399	52	2	25
2014-03-31 23:48:30.135198	137400	18.2	1	25
2014-03-31 23:48:31.884605	137401	370	3	2
2014-03-31 23:48:32.117337	137402	1157570.1760660985	4	2
2014-03-31 23:48:35.937853	137403	49	2	10
2014-03-31 23:48:36.15977	137404	21.3	1	10
2014-03-31 23:48:44.092554	137405	54	2	9
2014-03-31 23:48:44.324257	137406	20.9	1	9
2014-03-31 23:48:44.959641	137407	52	2	8
2014-03-31 23:48:45.180715	137408	19.7	1	8
2014-03-31 23:48:55.455885	137409	56	2	1
2014-03-31 23:48:55.688257	137410	19.7	1	1
2014-03-31 23:49:06.458323	137411	61	2	24
2014-03-31 23:49:06.681199	137412	17.6	1	24
2014-03-31 23:49:08.696121	137413	434	3	2
2014-03-31 23:49:08.93008	137414	1157574.7722049842	4	2
2014-03-31 23:49:09.234346	137415	52	2	25
2014-03-31 23:49:09.456	137416	18.2	1	25
2014-03-31 23:49:14.93783	137417	49	2	10
2014-03-31 23:49:15.16941	137418	21.3	1	10
2014-03-31 23:49:19.887243	137419	434	3	2
2014-03-31 23:49:20.108417	137420	1157575.9212397058	4	2
2014-03-31 23:49:22.890626	137421	54	2	9
2014-03-31 23:49:23.132845	137422	20.9	1	9
2014-03-31 23:49:23.959176	137423	52	2	8
2014-03-31 23:49:24.182951	137424	19.7	1	8
2014-03-31 23:49:31.887217	137425	450	3	2
2014-03-31 23:49:32.120644	137426	1157577.070274427	4	2
2014-03-31 23:49:34.455565	137427	56	2	1
2014-03-31 23:49:34.676474	137428	19.7	1	1
2014-03-31 23:49:45.4574	137429	61	2	24
2014-03-31 23:49:45.688313	137430	17.6	1	24
2014-03-31 23:49:47.914841	137431	52	2	25
2014-03-31 23:49:48.135656	137432	18.2	1	25
2014-03-31 23:49:53.940559	137433	49	2	10
2014-03-31 23:49:54.17348	137434	21.3	1	10
2014-03-31 23:50:01.890629	137435	54	2	9
2014-03-31 23:50:02.110026	137436	20.9	1	9
2014-03-31 23:50:02.960352	137437	52	2	8
2014-03-31 23:50:03.19115	137438	19.7	1	8
2014-03-31 23:50:13.454942	137439	56	2	1
2014-03-31 23:50:13.677384	137440	19.7	1	1
2014-03-31 23:50:24.455576	137441	61	2	24
2014-03-31 23:50:24.688152	137442	17.6	1	24
2014-03-31 23:50:26.913594	137443	52	2	25
2014-03-31 23:50:27.14412	137444	18.2	1	25
2014-03-31 23:50:31.884603	137445	434	3	2
2014-03-31 23:50:32.117111	137446	1157585.113517477	4	2
2014-03-31 23:50:32.93855	137447	49	2	10
2014-03-31 23:50:33.162613	137448	21.3	1	10
2014-03-31 23:50:40.888166	137449	54	2	9
2014-03-31 23:50:41.124079	137450	20.9	1	9
2014-03-31 23:50:41.959747	137451	52	2	8
2014-03-31 23:50:42.183347	137452	19.7	1	8
2014-03-31 23:50:52.452395	137453	56	2	1
2014-03-31 23:50:52.68298	137454	19.7	1	1
2014-03-31 23:51:03.457791	137455	61	2	24
2014-03-31 23:51:03.680994	137456	17.6	1	24
2014-03-31 23:51:05.912495	137457	52	2	25
2014-03-31 23:51:06.147071	137458	18.2	1	25
2014-03-31 23:51:11.938453	137459	49	2	10
2014-03-31 23:51:12.162701	137460	21.3	1	10
2014-03-31 23:51:19.889752	137461	54	2	9
2014-03-31 23:51:20.122601	137462	20.9	1	9
2014-03-31 23:51:20.958983	137463	52	2	8
2014-03-31 23:51:21.182912	137464	19.7	1	8
2014-03-31 23:51:31.454214	137465	56	2	1
2014-03-31 23:51:31.686098	137466	19.7	1	1
2014-03-31 23:51:31.992428	137467	434	3	2
2014-03-31 23:51:32.2164	137468	1157592.0077258055	4	2
2014-03-31 23:51:42.453684	137469	61	2	24
2014-03-31 23:51:42.696645	137470	17.6	1	24
2014-03-31 23:51:44.912225	137471	51	2	25
2014-03-31 23:51:45.133835	137472	18.2	1	25
2014-03-31 23:51:50.939131	137473	49	2	10
2014-03-31 23:51:51.169339	137474	21.3	1	10
2014-03-31 23:51:58.888453	137475	54	2	9
2014-03-31 23:51:59.109785	137476	20.8	1	9
2014-03-31 23:51:59.959426	137477	52	2	8
2014-03-31 23:52:00.1893	137478	19.7	1	8
2014-03-31 23:52:07.885296	137479	370	3	2
2014-03-31 23:52:08.106532	137480	1157596.6038646912	4	2
2014-03-31 23:52:10.45203	137481	56	2	1
2014-03-31 23:52:10.683906	137482	19.7	1	1
2014-03-31 23:52:19.885364	137483	370	3	2
2014-03-31 23:52:20.106362	137484	1157597.7528994125	4	2
2014-03-31 23:52:21.453877	137485	61	2	24
2014-03-31 23:52:21.684197	137486	17.6	1	24
2014-03-31 23:52:23.912089	137487	51	2	25
2014-03-31 23:52:24.13419	137488	18.2	1	25
2014-03-31 23:52:29.938576	137489	49	2	10
2014-03-31 23:52:30.169895	137490	21.3	1	10
2014-03-31 23:52:31.884969	137491	370	3	2
2014-03-31 23:52:32.113345	137492	1157598.9019341338	4	2
2014-03-31 23:52:37.888316	137493	54	2	9
2014-03-31 23:52:38.123981	137494	20.8	1	9
2014-03-31 23:52:38.959771	137495	52	2	8
2014-03-31 23:52:39.183707	137496	19.7	1	8
2014-03-31 23:52:49.454501	137497	56	2	1
2014-03-31 23:52:49.68637	137498	19.7	1	1
2014-03-31 23:53:00.455503	137499	61	2	24
2014-03-31 23:53:00.676669	137500	17.6	1	24
2014-03-31 23:53:02.913094	137501	52	2	25
2014-03-31 23:53:03.145415	137502	18.2	1	25
2014-03-31 23:53:08.939214	137503	49	2	10
2014-03-31 23:53:09.160766	137504	21.3	1	10
2014-03-31 23:53:16.900172	137505	54	2	9
2014-03-31 23:53:17.132797	137506	20.8	1	9
2014-03-31 23:53:17.960393	137507	52	2	8
2014-03-31 23:53:18.182259	137508	19.7	1	8
2014-03-31 23:53:28.45278	137509	55	2	1
2014-03-31 23:53:28.686132	137510	19.7	1	1
2014-03-31 23:53:31.885913	137511	370	3	2
2014-03-31 23:53:32.109172	137512	1157604.647107741	4	2
2014-03-31 23:53:39.453686	137513	61	2	24
2014-03-31 23:53:39.688206	137514	17.6	1	24
2014-03-31 23:53:41.912097	137515	52	2	25
2014-03-31 23:53:42.133758	137516	18.2	1	25
2014-03-31 23:53:47.938862	137517	49	2	10
2014-03-31 23:53:48.183146	137518	21.3	1	10
2014-03-31 23:53:55.888557	137519	54	2	9
2014-03-31 23:53:56.110615	137520	20.8	1	9
2014-03-31 23:53:56.958747	137521	52	2	8
2014-03-31 23:53:57.19137	137522	19.7	1	8
2014-03-31 23:54:07.453665	137523	55	2	1
2014-03-31 23:54:07.678201	137524	19.7	1	1
2014-03-31 23:54:18.452689	137525	61	2	24
2014-03-31 23:54:18.693942	137526	17.6	1	24
2014-03-31 23:54:20.910812	137527	52	2	25
2014-03-31 23:54:21.133512	137528	18.2	1	25
2014-03-31 23:54:26.940816	137529	49	2	10
2014-03-31 23:54:27.176489	137530	21.3	1	10
2014-03-31 23:54:31.885175	137531	370	3	2
2014-03-31 23:54:32.106597	137532	1157611.5413160694	4	2
2014-03-31 23:54:34.887862	137533	54	2	9
2014-03-31 23:54:35.118262	137534	20.8	1	9
2014-03-31 23:54:35.960049	137535	52	2	8
2014-03-31 23:54:36.180711	137536	19.7	1	8
2014-03-31 23:54:46.451656	137537	55	2	1
2014-03-31 23:54:46.684217	137538	19.7	1	1
2014-03-31 23:54:57.452131	137539	61	2	24
2014-03-31 23:54:57.680473	137540	17.6	1	24
2014-03-31 23:54:59.911916	137541	52	2	25
2014-03-31 23:55:00.144241	137542	18.2	1	25
2014-03-31 23:55:05.942026	137543	49	2	10
2014-03-31 23:55:06.163332	137544	21.3	1	10
2014-03-31 23:55:13.891513	137545	54	2	9
2014-03-31 23:55:14.123619	137546	20.8	1	9
2014-03-31 23:55:14.960474	137547	52	2	8
2014-03-31 23:55:15.181939	137548	19.7	1	8
2014-03-31 23:55:25.450773	137549	55	2	1
2014-03-31 23:55:25.683037	137550	19.7	1	1
2014-03-31 23:55:31.887376	137551	370	3	2
2014-03-31 23:55:32.110435	137552	1157617.2864896767	4	2
2014-03-31 23:55:36.452319	137553	61	2	24
2014-03-31 23:55:36.685161	137554	17.6	1	24
2014-03-31 23:55:38.91261	137555	52	2	25
2014-03-31 23:55:39.135398	137556	18.2	1	25
2014-03-31 23:55:44.944962	137557	49	2	10
2014-03-31 23:55:45.176321	137558	21.3	1	10
2014-03-31 23:55:52.889143	137559	54	2	9
2014-03-31 23:55:53.112192	137560	20.8	1	9
2014-03-31 23:55:53.962176	137561	52	2	8
2014-03-31 23:55:54.194983	137562	19.7	1	8
2014-03-31 23:56:04.453236	137563	55	2	1
2014-03-31 23:56:04.676809	137564	19.7	1	1
2014-03-31 23:56:15.448485	137565	61	2	24
2014-03-31 23:56:15.692501	137566	17.6	1	24
2014-03-31 23:56:17.909512	137567	52	2	25
2014-03-31 23:56:18.133121	137568	18.2	1	25
2014-03-31 23:56:23.939942	137569	49	2	10
2014-03-31 23:56:24.173031	137570	21.3	1	10
2014-03-31 23:56:32.092717	137571	54	2	9
2014-03-31 23:56:32.314126	137572	20.8	1	9
2014-03-31 23:56:32.95907	137573	52	2	8
2014-03-31 23:56:33.191738	137574	19.7	1	8
2014-03-31 23:56:43.45175	137575	55	2	1
2014-03-31 23:56:43.672762	137576	19.7	1	1
2014-03-31 23:56:54.450396	137577	61	2	24
2014-03-31 23:56:54.682334	137578	17.6	1	24
2014-03-31 23:56:56.910548	137579	52	2	25
2014-03-31 23:56:57.129332	137580	18.2	1	25
2014-03-31 23:57:02.942424	137581	49	2	10
2014-03-31 23:57:03.173945	137582	21.3	1	10
2014-03-31 23:57:10.899447	137583	54	2	9
2014-03-31 23:57:11.119154	137584	20.8	1	9
2014-03-31 23:57:11.959646	137585	52	2	8
2014-03-31 23:57:12.189055	137586	19.7	1	8
2014-03-31 23:57:22.447751	137587	55	2	1
2014-03-31 23:57:22.670012	137588	19.7	1	1
2014-03-31 23:57:31.88664	137589	354	3	2
2014-03-31 23:57:32.119784	137590	1157629.925871612	4	2
2014-03-31 23:57:33.450199	137591	61	2	24
2014-03-31 23:57:33.671471	137592	17.6	1	24
2014-03-31 23:57:35.911626	137593	52	2	25
2014-03-31 23:57:36.143127	137594	18.2	1	25
2014-03-31 23:57:41.943202	137595	49	2	10
2014-03-31 23:57:42.186615	137596	21.3	1	10
2014-03-31 23:57:49.888494	137597	54	2	9
2014-03-31 23:57:50.120983	137598	20.8	1	9
2014-03-31 23:57:50.960656	137599	52	2	8
2014-03-31 23:57:51.180405	137600	19.7	1	8
2014-03-31 23:58:01.45218	137601	55	2	1
2014-03-31 23:58:01.684503	137602	19.7	1	1
2014-03-31 23:58:12.451473	137603	61	2	24
2014-03-31 23:58:12.673044	137604	17.6	1	24
2014-03-31 23:58:14.909428	137605	51	2	25
2014-03-31 23:58:15.140081	137606	18.2	1	25
2014-03-31 23:58:20.941953	137607	49	2	10
2014-03-31 23:58:21.162985	137608	21.3	1	10
2014-03-31 23:58:28.889344	137609	54	2	9
2014-03-31 23:58:29.120752	137610	20.8	1	9
2014-03-31 23:58:29.959582	137611	52	2	8
2014-03-31 23:58:30.18001	137612	19.7	1	8
2014-03-31 23:58:31.884165	137613	370	3	2
2014-03-31 23:58:32.126812	137614	1157635.6710452193	4	2
2014-03-31 23:58:40.45163	137615	55	2	1
2014-03-31 23:58:40.674829	137616	19.7	1	1
2014-03-31 23:58:51.448052	137617	61	2	24
2014-03-31 23:58:51.682775	137618	17.6	1	24
2014-03-31 23:58:53.910788	137619	51	2	25
2014-03-31 23:58:54.133312	137620	18.2	1	25
2014-03-31 23:58:59.941181	137621	49	2	10
2014-03-31 23:59:00.172118	137622	21.3	1	10
2014-03-31 23:59:08.092665	137623	54	2	9
2014-03-31 23:59:08.313416	137624	20.8	1	9
2014-03-31 23:59:08.960269	137625	52	2	8
2014-03-31 23:59:09.190509	137626	19.7	1	8
2014-03-31 23:59:19.450021	137627	55	2	1
2014-03-31 23:59:19.674636	137628	19.7	1	1
2014-03-31 23:59:19.980854	137629	418	3	2
2014-03-31 23:59:20.213592	137630	1157641.4162188263	4	2
2014-03-31 23:59:30.447749	137631	61	2	24
2014-03-31 23:59:30.671123	137632	17.6	1	24
2014-03-31 23:59:31.885437	137633	418	3	2
2014-03-31 23:59:32.117083	137634	1157642.5652535476	4	2
2014-03-31 23:59:32.910639	137635	51	2	25
2014-03-31 23:59:33.131601	137636	18.2	1	25
2014-03-31 23:59:38.942379	137637	49	2	10
2014-03-31 23:59:39.17318	137638	21.3	1	10
2014-03-31 23:59:46.892283	137639	54	2	9
2014-03-31 23:59:47.11467	137640	20.8	1	9
2014-03-31 23:59:47.960193	137641	52	2	8
2014-03-31 23:59:48.189546	137642	19.7	1	8
2014-03-31 23:59:58.448594	137643	55	2	1
2014-03-31 23:59:58.669897	137644	19.7	1	1
2014-04-01 00:00:09.446395	137645	61	2	24
2014-04-01 00:00:09.697341	137646	17.6	1	24
2014-04-01 00:00:11.90966	137647	52	2	25
2014-04-01 00:00:12.131069	137648	18.2	1	25
2014-04-01 00:00:17.942275	137649	49	2	10
2014-04-01 00:00:18.172925	137650	21.3	1	10
2014-04-01 00:00:25.891467	137651	54	2	9
2014-04-01 00:00:26.112932	137652	20.8	1	9
2014-04-01 00:00:26.959243	137653	52	2	8
2014-04-01 00:00:27.190585	137654	19.7	1	8
2014-04-01 00:00:31.887562	137655	418	3	2
2014-04-01 00:00:32.113506	137656	1157649.4594618762	4	2
2014-04-01 00:00:37.449559	137657	55	2	1
2014-04-01 00:00:37.684851	137658	19.7	1	1
2014-04-01 00:00:48.447717	137659	61	2	24
2014-04-01 00:00:48.669455	137660	17.6	1	24
2014-04-01 00:00:50.911186	137661	51	2	25
2014-04-01 00:00:51.152748	137662	18.2	1	25
2014-04-01 00:00:56.943033	137663	49	2	10
2014-04-01 00:00:57.169209	137664	21.3	1	10
2014-04-01 00:01:04.889112	137665	54	2	9
2014-04-01 00:01:05.12268	137666	20.8	1	9
2014-04-01 00:01:05.961541	137667	52	2	8
2014-04-01 00:01:06.183356	137668	19.7	1	8
2014-04-01 00:01:16.450055	137669	55	2	1
2014-04-01 00:01:16.681878	137670	19.7	1	1
2014-04-01 00:01:27.446184	137671	61	2	24
2014-04-01 00:01:27.673695	137672	17.6	1	24
2014-04-01 00:01:29.909133	137673	51	2	25
2014-04-01 00:01:30.141341	137674	18.2	1	25
2014-04-01 00:01:31.883013	137675	418	3	2
2014-04-01 00:01:32.106883	137676	1157656.3536702048	4	2
2014-04-01 00:01:35.94198	137677	49	2	10
2014-04-01 00:01:36.175622	137678	21.3	1	10
2014-04-01 00:01:43.890079	137679	54	2	9
2014-04-01 00:01:44.113668	137680	20.8	1	9
2014-04-01 00:01:44.960099	137681	52	2	8
2014-04-01 00:01:45.192987	137682	19.7	1	8
2014-04-01 00:01:55.445725	137683	55	2	1
2014-04-01 00:01:55.667342	137684	19.7	1	1
2014-04-01 00:02:06.445198	137685	61	2	24
2014-04-01 00:02:06.676709	137686	17.6	1	24
2014-04-01 00:02:08.90892	137687	51	2	25
2014-04-01 00:02:09.129886	137688	18.2	1	25
2014-04-01 00:02:15.147821	137689	49	2	10
2014-04-01 00:02:15.381206	137690	21.3	1	10
2014-04-01 00:02:22.888646	137691	54	2	9
2014-04-01 00:02:23.110852	137692	20.8	1	9
2014-04-01 00:02:23.959459	137693	52	2	8
2014-04-01 00:02:24.191623	137694	19.7	1	8
2014-04-01 00:02:31.886007	137695	418	3	2
2014-04-01 00:02:32.128666	137696	1157663.247878533	4	2
2014-04-01 00:02:34.447706	137697	55	2	1
2014-04-01 00:02:34.681461	137698	19.7	1	1
2014-04-01 00:02:45.445065	137699	61	2	24
2014-04-01 00:02:45.668265	137700	17.6	1	24
2014-04-01 00:02:47.904789	137701	51	2	25
2014-04-01 00:02:48.137317	137702	18.2	1	25
2014-04-01 00:02:53.942932	137703	49	2	10
2014-04-01 00:02:54.16494	137704	21.2	1	10
2014-04-01 00:03:01.889912	137705	54	2	9
2014-04-01 00:03:02.122938	137706	20.8	1	9
2014-04-01 00:03:02.959776	137707	52	2	8
2014-04-01 00:03:03.180289	137708	19.7	1	8
2014-04-01 00:03:13.454921	137709	55	2	1
2014-04-01 00:03:13.698447	137710	19.7	1	1
2014-04-01 00:03:24.446078	137711	61	2	24
2014-04-01 00:03:24.66704	137712	17.6	1	24
2014-04-01 00:03:26.909142	137713	51	2	25
2014-04-01 00:03:27.139353	137714	18.2	1	25
2014-04-01 00:03:31.885107	137715	354	3	2
2014-04-01 00:03:32.107461	137716	1157670.1420868617	4	2
2014-04-01 00:03:32.942988	137717	49	2	10
2014-04-01 00:03:33.174153	137718	21.2	1	10
2014-04-01 00:03:40.889315	137719	54	2	9
2014-04-01 00:03:41.110725	137720	20.8	1	9
2014-04-01 00:03:41.960121	137721	52	2	8
2014-04-01 00:03:42.190798	137722	19.7	1	8
2014-04-01 00:03:43.884536	137723	354	3	2
2014-04-01 00:03:44.106376	137724	1157671.2911215832	4	2
2014-04-01 00:03:52.50598	137725	55	2	1
2014-04-01 00:03:52.737023	137726	19.7	1	1
2014-04-01 00:04:03.443652	137727	61	2	24
2014-04-01 00:04:03.667978	137728	17.6	1	24
2014-04-01 00:04:05.926235	137729	51	2	25
2014-04-01 00:04:06.156372	137730	18.2	1	25
2014-04-01 00:04:11.945324	137731	49	2	10
2014-04-01 00:04:12.167433	137732	21.2	1	10
2014-04-01 00:04:20.09044	137733	54	2	9
2014-04-01 00:04:20.322473	137734	20.8	1	9
2014-04-01 00:04:20.960168	137735	52	2	8
2014-04-01 00:04:21.182363	137736	19.7	1	8
2014-04-01 00:04:31.448986	137737	55	2	1
2014-04-01 00:04:31.683488	137738	19.7	1	1
2014-04-01 00:04:31.98945	137739	305	3	2
2014-04-01 00:04:32.211832	137740	1157675.8872604687	4	2
2014-04-01 00:04:42.442557	137741	61	2	24
2014-04-01 00:04:42.676118	137742	17.6	1	24
2014-04-01 00:04:44.907444	137743	52	2	25
2014-04-01 00:04:45.127792	137744	18.2	1	25
2014-04-01 00:04:50.943223	137745	49	2	10
2014-04-01 00:04:51.196642	137746	21.2	1	10
2014-04-01 00:04:58.89	137747	54	2	9
2014-04-01 00:04:59.112861	137748	20.8	1	9
2014-04-01 00:04:59.966363	137749	52	2	8
2014-04-01 00:05:00.198974	137750	19.7	1	8
2014-04-01 00:05:10.44828	137751	55	2	1
2014-04-01 00:05:10.670349	137752	19.7	1	1
2014-04-01 00:05:21.439749	137753	61	2	24
2014-04-01 00:05:21.673343	137754	17.6	1	24
2014-04-01 00:05:23.908629	137755	52	2	25
2014-04-01 00:05:24.130693	137756	18.2	1	25
2014-04-01 00:05:29.944258	137757	49	2	10
2014-04-01 00:05:30.18706	137758	21.2	1	10
2014-04-01 00:05:31.88622	137759	305	3	2
2014-04-01 00:05:32.107337	137760	1157679.3388355852	4	2
2014-04-01 00:05:37.890234	137761	54	2	9
2014-04-01 00:05:38.12398	137762	20.8	1	9
2014-04-01 00:05:38.959734	137763	52	2	8
2014-04-01 00:05:39.180654	137764	19.7	1	8
2014-04-01 00:05:49.447269	137765	55	2	1
2014-04-01 00:05:49.677363	137766	19.7	1	1
2014-04-01 00:06:00.441527	137767	61	2	24
2014-04-01 00:06:00.663697	137768	17.6	1	24
2014-04-01 00:06:02.909293	137769	52	2	25
2014-04-01 00:06:03.138811	137770	18.2	1	25
2014-04-01 00:06:08.944367	137771	49	2	10
2014-04-01 00:06:09.166673	137772	21.2	1	10
2014-04-01 00:06:16.890457	137773	54	2	9
2014-04-01 00:06:17.125598	137774	20.8	1	9
2014-04-01 00:06:17.961446	137775	52	2	8
2014-04-01 00:06:18.182205	137776	19.7	1	8
2014-04-01 00:06:28.444119	137777	55	2	1
2014-04-01 00:06:28.676338	137778	19.7	1	1
2014-04-01 00:06:31.883701	137779	305	3	2
2014-04-01 00:06:32.10714	137780	1157685.0840091922	4	2
2014-04-01 00:06:39.44138	137781	61	2	24
2014-04-01 00:06:39.671986	137782	17.6	1	24
2014-04-01 00:06:41.908288	137783	51	2	25
2014-04-01 00:06:42.130268	137784	18.2	1	25
2014-04-01 00:06:47.944518	137785	49	2	10
2014-04-01 00:06:48.176982	137786	21.2	1	10
2014-04-01 00:06:55.890655	137787	54	2	9
2014-04-01 00:06:56.114551	137788	20.8	1	9
2014-04-01 00:06:56.959069	137789	52	2	8
2014-04-01 00:06:57.193151	137790	19.7	1	8
2014-04-01 00:07:07.445838	137791	55	2	1
2014-04-01 00:07:07.668936	137792	19.7	1	1
2014-04-01 00:07:18.441441	137793	61	2	24
2014-04-01 00:07:18.67385	137794	17.6	1	24
2014-04-01 00:07:20.907508	137795	51	2	25
2014-04-01 00:07:21.130971	137796	18.2	1	25
2014-04-01 00:07:26.942974	137797	49	2	10
2014-04-01 00:07:27.176117	137798	21.2	1	10
2014-04-01 00:07:31.883565	137799	305	3	2
2014-04-01 00:07:32.104042	137800	1157689.680148078	4	2
2014-04-01 00:07:34.892555	137801	54	2	9
2014-04-01 00:07:35.124693	137802	20.8	1	9
2014-04-01 00:07:35.961467	137803	52	2	8
2014-04-01 00:07:36.18479	137804	19.7	1	8
2014-04-01 00:07:46.446143	137805	55	2	1
2014-04-01 00:07:46.690856	137806	19.7	1	1
2014-04-01 00:07:57.442082	137807	61	2	24
2014-04-01 00:07:57.67036	137808	17.6	1	24
2014-04-01 00:07:59.905151	137809	51	2	25
2014-04-01 00:08:00.134908	137810	18.2	1	25
2014-04-01 00:08:05.944496	137811	49	2	10
2014-04-01 00:08:06.16521	137812	21.2	1	10
2014-04-01 00:08:13.889437	137813	54	2	9
2014-04-01 00:08:14.121785	137814	20.8	1	9
2014-04-01 00:08:14.960726	137815	52	2	8
2014-04-01 00:08:15.184274	137816	19.7	1	8
2014-04-01 00:08:25.683913	137817	55	2	1
2014-04-01 00:08:25.914525	137818	19.7	1	1
2014-04-01 00:08:31.883225	137819	305	3	2
2014-04-01 00:08:32.103482	137820	1157695.425321685	4	2
2014-04-01 00:08:36.440706	137821	61	2	24
2014-04-01 00:08:36.674003	137822	17.6	1	24
2014-04-01 00:08:38.906184	137823	51	2	25
2014-04-01 00:08:39.127869	137824	18.2	1	25
2014-04-01 00:08:44.948241	137825	49	2	10
2014-04-01 00:08:45.177897	137826	21.2	1	10
2014-04-01 00:08:52.888494	137827	54	2	9
2014-04-01 00:08:53.111289	137828	20.8	1	9
2014-04-01 00:08:53.96046	137829	52	2	8
2014-04-01 00:08:54.191394	137830	19.7	1	8
2014-04-01 00:09:04.446778	137831	55	2	1
2014-04-01 00:09:04.671289	137832	19.7	1	1
2014-04-01 00:09:15.437342	137833	61	2	24
2014-04-01 00:09:15.671793	137834	17.6	1	24
2014-04-01 00:09:18.149621	137835	51	2	25
2014-04-01 00:09:18.370917	137836	18.2	1	25
2014-04-01 00:09:23.946712	137837	49	2	10
2014-04-01 00:09:24.181029	137838	21.2	1	10
2014-04-01 00:09:32.094375	137839	54	2	9
2014-04-01 00:09:32.316373	137840	20.8	1	9
2014-04-01 00:09:32.958964	137841	52	2	8
2014-04-01 00:09:33.190099	137842	19.7	1	8
2014-04-01 00:09:43.444013	137843	55	2	1
2014-04-01 00:09:43.669654	137844	19.7	1	1
2014-04-01 00:09:54.436772	137845	61	2	24
2014-04-01 00:09:54.670544	137846	17.6	1	24
2014-04-01 00:09:56.903856	137847	51	2	25
2014-04-01 00:09:57.124892	137848	18.2	1	25
2014-04-01 00:10:02.945808	137849	49	2	10
2014-04-01 00:10:03.177163	137850	21.2	1	10
2014-04-01 00:10:07.884496	137851	338	3	2
2014-04-01 00:10:08.105252	137852	1157703.468564735	4	2
2014-04-01 00:10:10.889075	137853	54	2	9
2014-04-01 00:10:11.132255	137854	20.8	1	9
2014-04-01 00:10:11.959087	137855	52	2	8
2014-04-01 00:10:12.178774	137856	19.7	1	8
2014-04-01 00:10:19.88357	137857	305	3	2
2014-04-01 00:10:20.114872	137858	1157704.6175994563	4	2
2014-04-01 00:10:22.443192	137859	55	2	1
2014-04-01 00:10:22.722699	137860	19.7	1	1
2014-04-01 00:10:31.884462	137861	305	3	2
2014-04-01 00:10:32.115486	137862	1157705.7666341776	4	2
2014-04-01 00:10:33.434599	137863	61	2	24
2014-04-01 00:10:33.656895	137864	17.6	1	24
2014-04-01 00:10:35.90434	137865	51	2	25
2014-04-01 00:10:36.137303	137866	18.2	1	25
2014-04-01 00:10:41.946045	137867	49	2	10
2014-04-01 00:10:42.169185	137868	21.2	1	10
2014-04-01 00:10:49.890527	137869	54	2	9
2014-04-01 00:10:50.123793	137870	20.8	1	9
2014-04-01 00:10:50.959682	137871	52	2	8
2014-04-01 00:10:51.180023	137872	19.7	1	8
2014-04-01 00:11:01.442477	137873	55	2	1
2014-04-01 00:11:01.676953	137874	19.7	1	1
2014-04-01 00:11:12.437086	137875	61	2	24
2014-04-01 00:11:12.659593	137876	17.6	1	24
2014-04-01 00:11:14.904776	137877	51	2	25
2014-04-01 00:11:15.136284	137878	18.2	1	25
2014-04-01 00:11:19.883316	137879	370	3	2
2014-04-01 00:11:20.105848	137880	1157710.3627730634	4	2
2014-04-01 00:11:20.945633	137881	49	2	10
2014-04-01 00:11:21.177484	137882	21.2	1	10
2014-04-01 00:11:28.891075	137883	54	2	9
2014-04-01 00:11:29.113531	137884	20.8	1	9
2014-04-01 00:11:29.962533	137885	52	2	8
2014-04-01 00:11:30.193362	137886	19.7	1	8
2014-04-01 00:11:40.442851	137887	55	2	1
2014-04-01 00:11:40.66456	137888	19.7	1	1
2014-04-01 00:11:51.434244	137889	61	2	24
2014-04-01 00:11:51.665776	137890	17.6	1	24
2014-04-01 00:11:53.903244	137891	51	2	25
2014-04-01 00:11:54.126303	137892	18.2	1	25
2014-04-01 00:11:59.944715	137893	49	2	10
2014-04-01 00:12:00.178043	137894	21.2	1	10
2014-04-01 00:12:07.89136	137895	54	2	9
2014-04-01 00:12:08.114854	137896	20.8	1	9
2014-04-01 00:12:08.959963	137897	52	2	8
2014-04-01 00:12:09.19401	137898	19.7	1	8
2014-04-01 00:12:19.444652	137899	55	2	1
2014-04-01 00:12:19.667425	137900	19.6	1	1
2014-04-01 00:12:30.436249	137901	61	2	24
2014-04-01 00:12:30.68211	137902	17.6	1	24
2014-04-01 00:12:31.884267	137903	354	3	2
2014-04-01 00:12:32.110014	137904	1157717.256981392	4	2
2014-04-01 00:12:32.906448	137905	51	2	25
2014-04-01 00:12:33.138266	137906	18.2	1	25
2014-04-01 00:12:38.945577	137907	49	2	10
2014-04-01 00:12:39.172044	137908	21.2	1	10
2014-04-01 00:12:46.888427	137909	54	2	9
2014-04-01 00:12:47.122569	137910	20.7	1	9
2014-04-01 00:12:47.960217	137911	52	2	8
2014-04-01 00:12:48.18358	137912	19.7	1	8
2014-04-01 00:12:58.440815	137913	55	2	1
2014-04-01 00:12:58.673105	137914	19.6	1	1
2014-04-01 00:13:09.43582	137915	61	2	24
2014-04-01 00:13:09.658981	137916	17.6	1	24
2014-04-01 00:13:11.903124	137917	51	2	25
2014-04-01 00:13:12.135141	137918	18.2	1	25
2014-04-01 00:13:17.945212	137919	49	2	10
2014-04-01 00:13:18.167464	137920	21.2	1	10
2014-04-01 00:13:25.888311	137921	54	2	9
2014-04-01 00:13:26.120801	137922	20.7	1	9
2014-04-01 00:13:26.960984	137923	52	2	8
2014-04-01 00:13:27.183132	137924	19.7	1	8
2014-04-01 00:13:31.884744	137925	338	3	2
2014-04-01 00:13:32.118237	137926	1157723.002154999	4	2
2014-04-01 00:13:37.442014	137927	55	2	1
2014-04-01 00:13:37.667841	137928	19.6	1	1
2014-04-01 00:13:48.435252	137929	61	2	24
2014-04-01 00:13:48.668485	137930	17.6	1	24
2014-04-01 00:13:50.902474	137931	51	2	25
2014-04-01 00:13:51.124697	137932	18.2	1	25
2014-04-01 00:13:56.947045	137933	49	2	10
2014-04-01 00:13:57.177495	137934	21.2	1	10
2014-04-01 00:14:04.889079	137935	54	2	9
2014-04-01 00:14:05.110801	137936	20.7	1	9
2014-04-01 00:14:05.95993	137937	52	2	8
2014-04-01 00:14:06.190694	137938	19.7	1	8
2014-04-01 00:14:16.445025	137939	55	2	1
2014-04-01 00:14:16.668033	137940	19.6	1	1
2014-04-01 00:14:27.433817	137941	61	2	24
2014-04-01 00:14:27.665156	137942	17.6	1	24
2014-04-01 00:14:29.903064	137943	51	2	25
2014-04-01 00:14:30.126689	137944	18.2	1	25
2014-04-01 00:14:31.884003	137945	354	3	2
2014-04-01 00:14:32.114305	137946	1157728.747328606	4	2
2014-04-01 00:14:35.947571	137947	49	2	10
2014-04-01 00:14:36.179702	137948	21.2	1	10
2014-04-01 00:14:43.89015	137949	54	2	9
2014-04-01 00:14:44.131834	137950	20.7	1	9
2014-04-01 00:14:44.960231	137951	52	2	8
2014-04-01 00:14:45.181726	137952	19.7	1	8
2014-04-01 00:14:55.441557	137953	55	2	1
2014-04-01 00:14:55.675575	137954	19.6	1	1
2014-04-01 00:15:06.432356	137955	61	2	24
2014-04-01 00:15:06.655868	137956	17.6	1	24
2014-04-01 00:15:08.902637	137957	51	2	25
2014-04-01 00:15:09.134308	137958	18.2	1	25
2014-04-01 00:15:14.947039	137959	49	2	10
2014-04-01 00:15:15.167866	137960	21.2	1	10
2014-04-01 00:15:22.942209	137961	54	2	9
2014-04-01 00:15:23.173381	137962	20.7	1	9
2014-04-01 00:15:23.961449	137963	52	2	8
2014-04-01 00:15:24.182804	137964	19.7	1	8
2014-04-01 00:15:31.883173	137965	354	3	2
2014-04-01 00:15:32.114797	137966	1157734.4925022132	4	2
2014-04-01 00:15:34.439875	137967	55	2	1
2014-04-01 00:15:34.663253	137968	19.6	1	1
2014-04-01 00:15:45.432071	137969	61	2	24
2014-04-01 00:15:45.664525	137970	17.6	1	24
2014-04-01 00:15:47.901824	137971	51	2	25
2014-04-01 00:15:48.123555	137972	18.2	1	25
2014-04-01 00:15:53.946573	137973	49	2	10
2014-04-01 00:15:54.178412	137974	21.2	1	10
2014-04-01 00:16:01.889151	137975	54	2	9
2014-04-01 00:16:02.111453	137976	20.7	1	9
2014-04-01 00:16:02.960602	137977	52	2	8
2014-04-01 00:16:03.192884	137978	19.7	1	8
2014-04-01 00:16:07.88488	137979	305	3	2
2014-04-01 00:16:08.109678	137980	1157737.9396063774	4	2
2014-04-01 00:16:13.44041	137981	55	2	1
2014-04-01 00:16:13.676379	137982	19.6	1	1
2014-04-01 00:16:19.885824	137983	305	3	2
2014-04-01 00:16:20.106276	137984	1157739.0886410987	4	2
2014-04-01 00:16:24.430953	137985	61	2	24
2014-04-01 00:16:24.662856	137986	17.6	1	24
2014-04-01 00:16:26.904172	137987	52	2	25
2014-04-01 00:16:27.126265	137988	18.2	1	25
2014-04-01 00:16:31.886337	137989	305	3	2
2014-04-01 00:16:32.123213	137990	1157740.2376758202	4	2
2014-04-01 00:16:32.948947	137991	49	2	10
2014-04-01 00:16:33.171605	137992	21.2	1	10
2014-04-01 00:16:40.889522	137993	54	2	9
2014-04-01 00:16:41.123298	137994	20.7	1	9
2014-04-01 00:16:41.962362	137995	52	2	8
2014-04-01 00:16:42.184422	137996	19.7	1	8
2014-04-01 00:16:52.439356	137997	55	2	1
2014-04-01 00:16:52.682673	137998	19.6	1	1
2014-04-01 00:17:03.429664	137999	61	2	24
2014-04-01 00:17:03.654047	138000	17.5	1	24
2014-04-01 00:17:05.90294	138001	52	2	25
2014-04-01 00:17:06.136466	138002	18.2	1	25
2014-04-01 00:17:11.949752	138003	49	2	10
2014-04-01 00:17:12.17309	138004	21.2	1	10
2014-04-01 00:17:19.888587	138005	54	2	9
2014-04-01 00:17:20.122619	138006	20.7	1	9
2014-04-01 00:17:20.962106	138007	52	2	8
2014-04-01 00:17:21.185325	138008	19.7	1	8
2014-04-01 00:17:31.438194	138009	55	2	1
2014-04-01 00:17:31.671445	138010	19.6	1	1
2014-04-01 00:17:31.977683	138011	305	3	2
2014-04-01 00:17:32.203018	138012	1157745.9828494273	4	2
2014-04-01 00:17:42.429902	138013	61	2	24
2014-04-01 00:17:42.664039	138014	17.5	1	24
2014-04-01 00:17:44.901575	138015	51	2	25
2014-04-01 00:17:45.124949	138016	18.2	1	25
2014-04-01 00:17:50.947517	138017	49	2	10
2014-04-01 00:17:51.181298	138018	21.2	1	10
2014-04-01 00:17:58.8895	138019	54	2	9
2014-04-01 00:17:59.114168	138020	20.7	1	9
2014-04-01 00:17:59.959822	138021	52	2	8
2014-04-01 00:18:00.192848	138022	19.7	1	8
2014-04-01 00:18:10.439535	138023	55	2	1
2014-04-01 00:18:10.660247	138024	19.6	1	1
2014-04-01 00:18:21.428643	138025	61	2	24
2014-04-01 00:18:21.672347	138026	17.5	1	24
2014-04-01 00:18:23.903997	138027	51	2	25
2014-04-01 00:18:24.127199	138028	18.2	1	25
2014-04-01 00:18:29.948721	138029	49	2	10
2014-04-01 00:18:30.203041	138030	21.2	1	10
2014-04-01 00:18:31.883783	138031	305	3	2
2014-04-01 00:18:32.106241	138032	1157750.578988313	4	2
2014-04-01 00:18:37.888266	138033	54	2	9
2014-04-01 00:18:38.123432	138034	20.7	1	9
2014-04-01 00:18:38.960308	138035	52	2	8
2014-04-01 00:18:39.182292	138036	19.7	1	8
2014-04-01 00:18:49.438328	138037	55	2	1
2014-04-01 00:18:49.669671	138038	19.6	1	1
2014-04-01 00:19:00.429251	138039	61	2	24
2014-04-01 00:19:00.650622	138040	17.5	1	24
2014-04-01 00:19:02.906171	138041	52	2	25
2014-04-01 00:19:03.139265	138042	18.2	1	25
2014-04-01 00:19:08.948794	138043	49	2	10
2014-04-01 00:19:09.170123	138044	21.2	1	10
2014-04-01 00:19:16.889169	138045	54	2	9
2014-04-01 00:19:17.132452	138046	20.7	1	9
2014-04-01 00:19:17.96017	138047	52	2	8
2014-04-01 00:19:18.180377	138048	19.7	1	8
2014-04-01 00:19:28.442529	138049	55	2	1
2014-04-01 00:19:28.673607	138050	19.6	1	1
2014-04-01 00:19:31.882668	138051	305	3	2
2014-04-01 00:19:32.104775	138052	1157756.32416192	4	2
2014-04-01 00:19:39.427901	138053	61	2	24
2014-04-01 00:19:39.660887	138054	17.5	1	24
2014-04-01 00:19:41.902389	138055	52	2	25
2014-04-01 00:19:42.124792	138056	18.2	1	25
2014-04-01 00:19:47.947837	138057	49	2	10
2014-04-01 00:19:48.180506	138058	21.2	1	10
2014-04-01 00:19:55.88704	138059	54	2	9
2014-04-01 00:19:56.109052	138060	20.7	1	9
2014-04-01 00:19:56.96007	138061	52	2	8
2014-04-01 00:19:57.192633	138062	19.7	1	8
2014-04-01 00:20:07.437789	138063	55	2	1
2014-04-01 00:20:07.661079	138064	19.6	1	1
2014-04-01 00:20:18.427156	138065	61	2	24
2014-04-01 00:20:18.661644	138066	17.5	1	24
2014-04-01 00:20:20.901696	138067	52	2	25
2014-04-01 00:20:21.12378	138068	18.2	1	25
2014-04-01 00:20:26.948756	138069	49	2	10
2014-04-01 00:20:27.179089	138070	21.2	1	10
2014-04-01 00:20:31.882575	138071	305	3	2
2014-04-01 00:20:32.103616	138072	1157760.9203008057	4	2
2014-04-01 00:20:34.889345	138073	54	2	9
2014-04-01 00:20:35.122107	138074	20.7	1	9
2014-04-01 00:20:35.961103	138075	52	2	8
2014-04-01 00:20:36.184215	138076	19.7	1	8
2014-04-01 00:20:46.437649	138077	55	2	1
2014-04-01 00:20:46.671044	138078	19.6	1	1
2014-04-01 00:20:57.426869	138079	61	2	24
2014-04-01 00:20:57.650842	138080	17.5	1	24
2014-04-01 00:20:59.9009	138081	51	2	25
2014-04-01 00:21:00.132355	138082	18.2	1	25
2014-04-01 00:21:05.952957	138083	49	2	10
2014-04-01 00:21:06.174199	138084	21.2	1	10
2014-04-01 00:21:13.889427	138085	54	2	9
2014-04-01 00:21:14.121087	138086	20.7	1	9
2014-04-01 00:21:14.95933	138087	52	2	8
2014-04-01 00:21:15.18075	138088	19.7	1	8
2014-04-01 00:21:25.438311	138089	55	2	1
2014-04-01 00:21:25.670734	138090	19.6	1	1
2014-04-01 00:21:31.886107	138091	305	3	2
2014-04-01 00:21:32.117477	138092	1157765.5164396914	4	2
2014-04-01 00:21:36.425629	138093	61	2	24
2014-04-01 00:21:36.668112	138094	17.5	1	24
2014-04-01 00:21:38.901555	138095	51	2	25
2014-04-01 00:21:39.123602	138096	18.2	1	25
2014-04-01 00:21:44.952021	138097	49	2	10
2014-04-01 00:21:45.18604	138098	21.1	1	10
2014-04-01 00:21:52.89531	138099	54	2	9
2014-04-01 00:21:53.17009	138100	20.7	1	9
2014-04-01 00:21:53.961513	138101	52	2	8
2014-04-01 00:21:54.193167	138102	19.7	1	8
2014-04-01 00:22:04.436313	138103	55	2	1
2014-04-01 00:22:04.658711	138104	19.6	1	1
2014-04-01 00:22:15.425419	138105	61	2	24
2014-04-01 00:22:15.65657	138106	17.5	1	24
2014-04-01 00:22:17.904234	138107	51	2	25
2014-04-01 00:22:18.124851	138108	18.2	1	25
2014-04-01 00:22:23.951546	138109	49	2	10
2014-04-01 00:22:24.184718	138110	21.1	1	10
2014-04-01 00:22:32.093108	138111	54	2	9
2014-04-01 00:22:32.315054	138112	20.7	1	9
2014-04-01 00:22:32.961896	138113	52	2	8
2014-04-01 00:22:33.193562	138114	19.7	1	8
2014-04-01 00:22:43.438541	138115	55	2	1
2014-04-01 00:22:43.66222	138116	19.6	1	1
2014-04-01 00:22:43.968674	138117	338	3	2
2014-04-01 00:22:44.201208	138118	1157772.4106480198	4	2
2014-04-01 00:22:54.425521	138119	61	2	24
2014-04-01 00:22:54.648668	138120	17.5	1	24
2014-04-01 00:22:55.882458	138121	305	3	2
2014-04-01 00:22:56.116426	138122	1157773.5596827413	4	2
2014-04-01 00:22:56.899091	138123	51	2	25
2014-04-01 00:22:57.122374	138124	18.2	1	25
2014-04-01 00:23:02.949691	138125	49	2	10
2014-04-01 00:23:03.183592	138126	21.1	1	10
2014-04-01 00:23:07.881948	138127	354	3	2
2014-04-01 00:23:08.106465	138128	1157774.7087174626	4	2
2014-04-01 00:23:10.8891	138129	54	2	9
2014-04-01 00:23:11.122972	138130	20.7	1	9
2014-04-01 00:23:11.960443	138131	52	2	8
2014-04-01 00:23:12.203597	138132	19.7	1	8
2014-04-01 00:23:19.884806	138133	354	3	2
2014-04-01 00:23:20.118662	138134	1157775.8577521842	4	2
2014-04-01 00:23:22.438153	138135	55	2	1
2014-04-01 00:23:22.658317	138136	19.6	1	1
2014-04-01 00:23:31.883258	138137	370	3	2
2014-04-01 00:23:32.115885	138138	1157777.0067869055	4	2
2014-04-01 00:23:33.421432	138139	61	2	24
2014-04-01 00:23:33.645325	138140	17.5	1	24
2014-04-01 00:23:35.899787	138141	51	2	25
2014-04-01 00:23:36.143336	138142	18.2	1	25
2014-04-01 00:23:41.949193	138143	49	2	10
2014-04-01 00:23:42.174282	138144	21.1	1	10
2014-04-01 00:23:49.888686	138145	54	2	9
2014-04-01 00:23:50.120174	138146	20.7	1	9
2014-04-01 00:23:50.959959	138147	52	2	8
2014-04-01 00:23:51.1806	138148	19.7	1	8
2014-04-01 00:24:01.435246	138149	55	2	1
2014-04-01 00:24:01.666931	138150	19.6	1	1
2014-04-01 00:24:12.422345	138151	61	2	24
2014-04-01 00:24:12.644655	138152	17.5	1	24
2014-04-01 00:24:14.898742	138153	51	2	25
2014-04-01 00:24:15.129234	138154	18.2	1	25
2014-04-01 00:24:20.950516	138155	49	2	10
2014-04-01 00:24:21.172835	138156	21.1	1	10
2014-04-01 00:24:28.887645	138157	54	2	9
2014-04-01 00:24:29.120678	138158	20.7	1	9
2014-04-01 00:24:29.959072	138159	52	2	8
2014-04-01 00:24:30.180834	138160	19.7	1	8
2014-04-01 00:24:40.43813	138161	55	2	1
2014-04-01 00:24:40.669601	138162	19.6	1	1
2014-04-01 00:24:51.423872	138163	61	2	24
2014-04-01 00:24:51.645983	138164	17.5	1	24
2014-04-01 00:24:53.897515	138165	51	2	25
2014-04-01 00:24:54.129868	138166	18.2	1	25
2014-04-01 00:24:59.949207	138167	49	2	10
2014-04-01 00:25:00.173314	138168	21.1	1	10
2014-04-01 00:25:07.887779	138169	54	2	9
2014-04-01 00:25:08.12014	138170	20.7	1	9
2014-04-01 00:25:08.960104	138171	52	2	8
2014-04-01 00:25:09.183178	138172	19.7	1	8
2014-04-01 00:25:19.435242	138173	55	2	1
2014-04-01 00:25:19.669433	138174	19.6	1	1
2014-04-01 00:25:30.421725	138175	61	2	24
2014-04-01 00:25:30.644976	138176	17.5	1	24
2014-04-01 00:25:31.88386	138177	354	3	2
2014-04-01 00:25:32.116178	138178	1157788.4971341197	4	2
2014-04-01 00:25:32.899805	138179	51	2	25
2014-04-01 00:25:33.121496	138180	18.2	1	25
2014-04-01 00:25:38.949678	138181	49	2	10
2014-04-01 00:25:39.180612	138182	21.1	1	10
2014-04-01 00:25:46.886977	138183	54	2	9
2014-04-01 00:25:47.109178	138184	20.7	1	9
2014-04-01 00:25:47.960249	138185	52	2	8
2014-04-01 00:25:48.193032	138186	19.7	1	8
2014-04-01 00:25:58.436479	138187	55	2	1
2014-04-01 00:25:58.665545	138188	19.6	1	1
2014-04-01 00:26:09.420896	138189	61	2	24
2014-04-01 00:26:09.666685	138190	17.5	1	24
2014-04-01 00:26:11.898956	138191	51	2	25
2014-04-01 00:26:12.120519	138192	18.2	1	25
2014-04-01 00:26:17.950323	138193	49	2	10
2014-04-01 00:26:18.366521	138194	21.1	1	10
2014-04-01 00:26:25.888822	138195	54	2	9
2014-04-01 00:26:26.116635	138196	20.7	1	9
2014-04-01 00:26:26.959939	138197	52	2	8
2014-04-01 00:26:27.179461	138198	19.7	1	8
2014-04-01 00:26:31.882496	138199	354	3	2
2014-04-01 00:26:32.115189	138200	1157794.2423077268	4	2
2014-04-01 00:26:37.434473	138201	55	2	1
2014-04-01 00:26:37.662057	138202	19.6	1	1
2014-04-01 00:26:48.420684	138203	61	2	24
2014-04-01 00:26:48.653664	138204	17.5	1	24
2014-04-01 00:26:50.895614	138205	51	2	25
2014-04-01 00:26:51.115832	138206	18.2	1	25
2014-04-01 00:26:56.951369	138207	49	2	10
2014-04-01 00:26:57.183169	138208	21.1	1	10
2014-04-01 00:27:04.890478	138209	54	2	9
2014-04-01 00:27:05.111076	138210	20.7	1	9
2014-04-01 00:27:05.960706	138211	52	2	8
2014-04-01 00:27:06.191426	138212	19.7	1	8
2014-04-01 00:27:16.435382	138213	55	2	1
2014-04-01 00:27:16.657815	138214	19.6	1	1
2014-04-01 00:27:27.419464	138215	61	2	24
2014-04-01 00:27:27.650788	138216	17.5	1	24
2014-04-01 00:27:29.900895	138217	51	2	25
2014-04-01 00:27:30.123174	138218	18.2	1	25
2014-04-01 00:27:31.884046	138219	370	3	2
2014-04-01 00:27:32.115234	138220	1157801.136516055	4	2
2014-04-01 00:27:35.955481	138221	49	2	10
2014-04-01 00:27:36.177166	138222	21.1	1	10
2014-04-01 00:27:43.888531	138223	54	2	9
2014-04-01 00:27:44.123314	138224	20.7	1	9
2014-04-01 00:27:44.961623	138225	52	2	8
2014-04-01 00:27:45.181955	138226	19.7	1	8
2014-04-01 00:27:55.434752	138227	55	2	1
2014-04-01 00:27:55.665979	138228	19.6	1	1
2014-04-01 00:28:06.419179	138229	61	2	24
2014-04-01 00:28:06.639452	138230	17.5	1	24
2014-04-01 00:28:07.882367	138231	305	3	2
2014-04-01 00:28:08.114902	138232	1157804.5836202195	4	2
2014-04-01 00:28:08.897379	138233	51	2	25
2014-04-01 00:28:09.120226	138234	18.2	1	25
2014-04-01 00:28:14.953191	138235	49	2	10
2014-04-01 00:28:15.185305	138236	21.1	1	10
2014-04-01 00:28:19.882901	138237	305	3	2
2014-04-01 00:28:20.10673	138238	1157804.5836202195	4	2
2014-04-01 00:28:22.899716	138239	54	2	9
2014-04-01 00:28:23.141238	138240	20.7	1	9
2014-04-01 00:28:23.959821	138241	52	2	8
2014-04-01 00:28:24.181388	138242	19.7	1	8
2014-04-01 00:28:31.882926	138243	305	3	2
2014-04-01 00:28:32.116371	138244	1157805.7326549408	4	2
2014-04-01 00:28:34.432483	138245	55	2	1
2014-04-01 00:28:34.65342	138246	19.6	1	1
2014-04-01 00:28:45.421056	138247	61	2	24
2014-04-01 00:28:45.65184	138248	17.5	1	24
2014-04-01 00:28:47.89754	138249	51	2	25
2014-04-01 00:28:48.118556	138250	18.1	1	25
2014-04-01 00:28:53.950844	138251	49	2	10
2014-04-01 00:28:54.183936	138252	21.1	1	10
2014-04-01 00:29:01.888291	138253	54	2	9
2014-04-01 00:29:02.11149	138254	20.7	1	9
2014-04-01 00:29:02.959018	138255	52	2	8
2014-04-01 00:29:03.191138	138256	19.7	1	8
2014-04-01 00:29:13.433791	138257	55	2	1
2014-04-01 00:29:13.655843	138258	19.6	1	1
2014-04-01 00:29:24.418178	138259	61	2	24
2014-04-01 00:29:24.649158	138260	17.5	1	24
2014-04-01 00:29:26.897007	138261	51	2	25
2014-04-01 00:29:27.117111	138262	18.1	1	25
2014-04-01 00:29:31.883344	138263	305	3	2
2014-04-01 00:29:32.114797	138264	1157811.477828548	4	2
2014-04-01 00:29:32.951941	138265	49	2	10
2014-04-01 00:29:33.173449	138266	21.1	1	10
2014-04-01 00:29:40.888908	138267	54	2	9
2014-04-01 00:29:41.122733	138268	20.6	1	9
2014-04-01 00:29:41.959819	138269	52	2	8
2014-04-01 00:29:42.181647	138270	19.7	1	8
2014-04-01 00:29:52.435593	138271	55	2	1
2014-04-01 00:29:52.667002	138272	19.6	1	1
2014-04-01 00:30:03.416906	138273	61	2	24
2014-04-01 00:30:03.638266	138274	17.5	1	24
2014-04-01 00:30:05.899222	138275	51	2	25
2014-04-01 00:30:06.129835	138276	18.1	1	25
2014-04-01 00:30:11.952715	138277	49	2	10
2014-04-01 00:30:12.175007	138278	21.1	1	10
2014-04-01 00:30:19.886201	138279	54	2	9
2014-04-01 00:30:20.117322	138280	20.6	1	9
2014-04-01 00:30:20.959861	138281	52	2	8
2014-04-01 00:30:21.180943	138282	19.7	1	8
2014-04-01 00:30:31.433274	138283	55	2	1
2014-04-01 00:30:31.664438	138284	19.6	1	1
2014-04-01 00:30:31.992831	138285	305	3	2
2014-04-01 00:30:32.213792	138286	1157816.0739674335	4	2
2014-04-01 00:30:42.417441	138287	61	2	24
2014-04-01 00:30:42.663445	138288	17.5	1	24
2014-04-01 00:30:44.89594	138289	51	2	25
2014-04-01 00:30:45.116153	138290	18.1	1	25
2014-04-01 00:30:50.951379	138291	49	2	10
2014-04-01 00:30:51.183845	138292	21.1	1	10
2014-04-01 00:30:58.888137	138293	54	2	9
2014-04-01 00:30:59.109593	138294	20.6	1	9
2014-04-01 00:30:59.961782	138295	52	2	8
2014-04-01 00:31:00.192949	138296	19.7	1	8
2014-04-01 00:31:10.429796	138297	55	2	1
2014-04-01 00:31:10.653834	138298	19.6	1	1
2014-04-01 00:31:21.41559	138299	61	2	24
2014-04-01 00:31:21.649135	138300	17.5	1	24
2014-04-01 00:31:23.896545	138301	51	2	25
2014-04-01 00:31:24.118513	138302	18.1	1	25
2014-04-01 00:31:29.952476	138303	49	2	10
2014-04-01 00:31:30.184199	138304	21.1	1	10
2014-04-01 00:31:31.882817	138305	305	3	2
2014-04-01 00:31:32.105028	138306	1157821.8191410408	4	2
2014-04-01 00:31:37.887372	138307	54	2	9
2014-04-01 00:31:38.11951	138308	20.6	1	9
2014-04-01 00:31:38.959731	138309	52	2	8
2014-04-01 00:31:39.183724	138310	19.7	1	8
2014-04-01 00:31:49.432139	138311	55	2	1
2014-04-01 00:31:49.663924	138312	19.6	1	1
2014-04-01 00:32:00.416033	138313	61	2	24
2014-04-01 00:32:00.636971	138314	17.5	1	24
2014-04-01 00:32:02.897674	138315	51	2	25
2014-04-01 00:32:03.130748	138316	18.1	1	25
2014-04-01 00:32:08.951634	138317	49	2	10
2014-04-01 00:32:09.174061	138318	21.1	1	10
2014-04-01 00:32:16.889081	138319	54	2	9
2014-04-01 00:32:17.121086	138320	20.6	1	9
2014-04-01 00:32:17.960832	138321	52	2	8
2014-04-01 00:32:18.18358	138322	19.7	1	8
2014-04-01 00:32:28.432547	138323	55	2	1
2014-04-01 00:32:28.668823	138324	19.6	1	1
2014-04-01 00:32:31.883399	138325	305	3	2
2014-04-01 00:32:32.105133	138326	1157826.4152799263	4	2
2014-04-01 00:32:39.414152	138327	61	2	24
2014-04-01 00:32:39.647911	138328	17.5	1	24
2014-04-01 00:32:41.896795	138329	51	2	25
2014-04-01 00:32:42.118011	138330	18.1	1	25
2014-04-01 00:32:47.954412	138331	49	2	10
2014-04-01 00:32:48.187026	138332	21.1	1	10
2014-04-01 00:32:55.889608	138333	54	2	9
2014-04-01 00:32:56.110602	138334	20.6	1	9
2014-04-01 00:32:56.960772	138335	52	2	8
2014-04-01 00:32:57.205194	138336	19.7	1	8
2014-04-01 00:33:07.430911	138337	55	2	1
2014-04-01 00:33:07.654029	138338	19.6	1	1
2014-04-01 00:33:18.42222	138339	61	2	24
2014-04-01 00:33:18.654027	138340	17.5	1	24
2014-04-01 00:33:20.896081	138341	51	2	25
2014-04-01 00:33:21.11792	138342	18.1	1	25
2014-04-01 00:33:26.95225	138343	49	2	10
2014-04-01 00:33:27.187014	138344	21.1	1	10
2014-04-01 00:33:31.88309	138345	305	3	2
2014-04-01 00:33:32.105229	138346	1157832.1604535335	4	2
2014-04-01 00:33:34.889885	138347	54	2	9
2014-04-01 00:33:35.122099	138348	20.6	1	9
2014-04-01 00:33:35.959367	138349	52	2	8
2014-04-01 00:33:36.184433	138350	19.7	1	8
2014-04-01 00:33:46.430429	138351	55	2	1
2014-04-01 00:33:46.663834	138352	19.6	1	1
2014-04-01 00:33:57.414264	138353	61	2	24
2014-04-01 00:33:57.635976	138354	17.5	1	24
2014-04-01 00:33:59.893622	138355	51	2	25
2014-04-01 00:34:00.126661	138356	18.1	1	25
2014-04-01 00:34:05.958032	138357	49	2	10
2014-04-01 00:34:06.182849	138358	21.0	1	10
2014-04-01 00:34:13.8876	138359	54	2	9
2014-04-01 00:34:14.120212	138360	20.6	1	9
2014-04-01 00:34:14.960626	138361	52	2	8
2014-04-01 00:34:15.182673	138362	19.7	1	8
2014-04-01 00:34:25.42954	138363	55	2	1
2014-04-01 00:34:25.663077	138364	19.6	1	1
2014-04-01 00:34:31.882355	138365	305	3	2
2014-04-01 00:34:32.104145	138366	1157836.756592419	4	2
2014-04-01 00:34:36.412023	138367	61	2	24
2014-04-01 00:34:36.643287	138368	17.5	1	24
2014-04-01 00:34:38.895274	138369	52	2	25
2014-04-01 00:34:39.118714	138370	18.1	1	25
2014-04-01 00:34:44.956415	138371	49	2	10
2014-04-01 00:34:45.189825	138372	21.0	1	10
2014-04-01 00:34:52.888579	138373	54	2	9
2014-04-01 00:34:53.110647	138374	20.6	1	9
2014-04-01 00:34:53.958605	138375	52	2	8
2014-04-01 00:34:54.190369	138376	19.7	1	8
2014-04-01 00:35:04.429146	138377	55	2	1
2014-04-01 00:35:04.65013	138378	19.6	1	1
2014-04-01 00:35:07.881564	138379	354	3	2
2014-04-01 00:35:08.112007	138380	1157840.2036965834	4	2
2014-04-01 00:35:15.414792	138381	61	2	24
2014-04-01 00:35:15.636597	138382	17.5	1	24
2014-04-01 00:35:17.894381	138383	52	2	25
2014-04-01 00:35:18.13519	138384	18.1	1	25
2014-04-01 00:35:19.880433	138385	354	3	2
2014-04-01 00:35:20.100796	138386	1157841.3527313047	4	2
2014-04-01 00:35:23.953891	138387	49	2	10
2014-04-01 00:35:24.186141	138388	21.0	1	10
2014-04-01 00:35:32.091984	138389	54	2	9
2014-04-01 00:35:32.313639	138390	20.6	1	9
2014-04-01 00:35:32.960707	138391	52	2	8
2014-04-01 00:35:33.192508	138392	19.7	1	8
2014-04-01 00:35:43.431673	138393	55	2	1
2014-04-01 00:35:43.666075	138394	19.6	1	1
2014-04-01 00:35:54.413202	138395	61	2	24
2014-04-01 00:35:54.646691	138396	17.5	1	24
2014-04-01 00:35:56.894329	138397	52	2	25
2014-04-01 00:35:57.114814	138398	18.1	1	25
2014-04-01 00:36:02.953895	138399	49	2	10
2014-04-01 00:36:03.184383	138400	21.0	1	10
2014-04-01 00:36:10.88722	138401	54	2	9
2014-04-01 00:36:11.110581	138402	20.6	1	9
2014-04-01 00:36:11.962862	138403	52	2	8
2014-04-01 00:36:12.194494	138404	19.7	1	8
2014-04-01 00:36:22.431488	138405	55	2	1
2014-04-01 00:36:22.654598	138406	19.6	1	1
2014-04-01 00:36:31.881336	138407	370	3	2
2014-04-01 00:36:32.112936	138408	1157848.2469396333	4	2
2014-04-01 00:36:33.411053	138409	61	2	24
2014-04-01 00:36:33.635832	138410	17.5	1	24
2014-04-01 00:36:35.895007	138411	52	2	25
2014-04-01 00:36:36.124974	138412	18.1	1	25
2014-04-01 00:36:41.95275	138413	49	2	10
2014-04-01 00:36:42.175388	138414	21.0	1	10
2014-04-01 00:36:49.886418	138415	54	2	9
2014-04-01 00:36:50.11828	138416	20.6	1	9
2014-04-01 00:36:50.960164	138417	52	2	8
2014-04-01 00:36:51.180409	138418	19.7	1	8
2014-04-01 00:37:01.429109	138419	55	2	1
2014-04-01 00:37:01.662302	138420	19.6	1	1
2014-04-01 00:37:12.409954	138421	61	2	24
2014-04-01 00:37:12.632921	138422	17.5	1	24
2014-04-01 00:37:14.892314	138423	51	2	25
2014-04-01 00:37:15.123877	138424	18.1	1	25
2014-04-01 00:37:20.953319	138425	49	2	10
2014-04-01 00:37:21.174531	138426	21.0	1	10
2014-04-01 00:37:28.888581	138427	54	2	9
2014-04-01 00:37:29.119728	138428	20.6	1	9
2014-04-01 00:37:29.960249	138429	52	2	8
2014-04-01 00:37:30.181053	138430	19.7	1	8
2014-04-01 00:37:31.88172	138431	354	3	2
2014-04-01 00:37:32.124621	138432	1157853.9921132403	4	2
2014-04-01 00:37:40.427677	138433	55	2	1
2014-04-01 00:37:40.650774	138434	19.6	1	1
2014-04-01 00:37:51.410221	138435	61	2	24
2014-04-01 00:37:51.643929	138436	17.5	1	24
2014-04-01 00:37:53.894838	138437	51	2	25
2014-04-01 00:37:54.11843	138438	18.1	1	25
2014-04-01 00:37:59.956538	138439	49	2	10
2014-04-01 00:38:00.188456	138440	21.0	1	10
2014-04-01 00:38:07.89036	138441	54	2	9
2014-04-01 00:38:08.112381	138442	20.6	1	9
2014-04-01 00:38:08.964144	138443	52	2	8
2014-04-01 00:38:09.196018	138444	19.7	1	8
2014-04-01 00:38:19.428734	138445	55	2	1
2014-04-01 00:38:19.65168	138446	19.6	1	1
2014-04-01 00:38:30.410893	138447	61	2	24
2014-04-01 00:38:30.643034	138448	17.5	1	24
2014-04-01 00:38:31.881539	138449	354	3	2
2014-04-01 00:38:32.104282	138450	1157859.7372868473	4	2
2014-04-01 00:38:32.894143	138451	51	2	25
2014-04-01 00:38:33.126867	138452	18.1	1	25
2014-04-01 00:38:38.958784	138453	49	2	10
2014-04-01 00:38:39.180798	138454	21.0	1	10
2014-04-01 00:38:46.887118	138455	54	2	9
2014-04-01 00:38:47.120605	138456	20.6	1	9
2014-04-01 00:38:47.960572	138457	52	2	8
2014-04-01 00:38:48.183563	138458	19.7	1	8
2014-04-01 00:38:58.426735	138459	55	2	1
2014-04-01 00:38:58.666304	138460	19.6	1	1
2014-04-01 00:39:09.40786	138461	61	2	24
2014-04-01 00:39:09.632293	138462	17.5	1	24
2014-04-01 00:39:11.892531	138463	51	2	25
2014-04-01 00:39:12.1244	138464	18.1	1	25
2014-04-01 00:39:17.955016	138465	49	2	10
2014-04-01 00:39:18.178726	138466	21.0	1	10
2014-04-01 00:39:25.889254	138467	54	2	9
2014-04-01 00:39:26.122992	138468	20.6	1	9
2014-04-01 00:39:26.960536	138469	52	2	8
2014-04-01 00:39:27.182196	138470	19.7	1	8
2014-04-01 00:39:31.882871	138471	354	3	2
2014-04-01 00:39:32.115722	138472	1157866.6314951759	4	2
2014-04-01 00:39:37.428839	138473	55	2	1
2014-04-01 00:39:37.656335	138474	19.6	1	1
2014-04-01 00:39:48.407271	138475	61	2	24
2014-04-01 00:39:48.639021	138476	17.5	1	24
2014-04-01 00:39:50.892935	138477	51	2	25
2014-04-01 00:39:51.112736	138478	18.1	1	25
2014-04-01 00:39:56.954516	138479	49	2	10
2014-04-01 00:39:57.198583	138480	21.0	1	10
2014-04-01 00:40:04.889903	138481	54	2	9
2014-04-01 00:40:05.112565	138482	20.6	1	9
2014-04-01 00:40:05.960697	138483	52	2	8
2014-04-01 00:40:06.193734	138484	19.7	1	8
2014-04-01 00:40:07.882509	138485	305	3	2
2014-04-01 00:40:08.104392	138486	1157870.07859934	4	2
2014-04-01 00:40:16.428034	138487	55	2	1
2014-04-01 00:40:16.659852	138488	19.6	1	1
2014-04-01 00:40:19.882728	138489	305	3	2
2014-04-01 00:40:20.102679	138490	1157871.2276340616	4	2
2014-04-01 00:40:27.408957	138491	61	2	24
2014-04-01 00:40:27.640687	138492	17.5	1	24
2014-04-01 00:40:29.892265	138493	51	2	25
2014-04-01 00:40:30.114577	138494	18.1	1	25
2014-04-01 00:40:31.880965	138495	305	3	2
2014-04-01 00:40:32.111701	138496	1157871.2276340616	4	2
2014-04-01 00:40:35.957629	138497	49	2	10
2014-04-01 00:40:36.179685	138498	21.0	1	10
2014-04-01 00:40:43.888018	138499	54	2	9
2014-04-01 00:40:44.12139	138500	20.6	1	9
2014-04-01 00:40:44.961372	138501	52	2	8
2014-04-01 00:40:45.182893	138502	19.7	1	8
2014-04-01 00:40:55.427198	138503	55	2	1
2014-04-01 00:40:55.661412	138504	19.6	1	1
2014-04-01 00:41:06.406079	138505	61	2	24
2014-04-01 00:41:06.62794	138506	17.5	1	24
2014-04-01 00:41:08.89162	138507	51	2	25
2014-04-01 00:41:09.123341	138508	18.1	1	25
2014-04-01 00:41:14.955798	138509	49	2	10
2014-04-01 00:41:15.176849	138510	21.0	1	10
2014-04-01 00:41:22.88816	138511	54	2	9
2014-04-01 00:41:23.118704	138512	20.6	1	9
2014-04-01 00:41:23.959989	138513	52	2	8
2014-04-01 00:41:24.182191	138514	19.7	1	8
2014-04-01 00:41:31.882264	138515	305	3	2
2014-04-01 00:41:32.113529	138516	1157876.9728076686	4	2
2014-04-01 00:41:34.42709	138517	55	2	1
2014-04-01 00:41:34.650743	138518	19.6	1	1
2014-04-01 00:41:45.404033	138519	61	2	24
2014-04-01 00:41:45.637985	138520	17.5	1	24
2014-04-01 00:41:47.892886	138521	51	2	25
2014-04-01 00:41:48.116242	138522	18.1	1	25
2014-04-01 00:41:53.955455	138523	49	2	10
2014-04-01 00:41:54.20876	138524	21.0	1	10
2014-04-01 00:42:01.888801	138525	54	2	9
2014-04-01 00:42:02.110664	138526	20.6	1	9
2014-04-01 00:42:02.960054	138527	52	2	8
2014-04-01 00:42:03.203069	138528	19.7	1	8
2014-04-01 00:42:13.426685	138529	55	2	1
2014-04-01 00:42:13.650742	138530	19.6	1	1
2014-04-01 00:42:24.403909	138531	61	2	24
2014-04-01 00:42:24.635716	138532	17.5	1	24
2014-04-01 00:42:27.132993	138533	51	2	25
2014-04-01 00:42:27.355624	138534	18.1	1	25
2014-04-01 00:42:31.882995	138535	305	3	2
2014-04-01 00:42:32.114489	138536	1157881.5689465543	4	2
2014-04-01 00:42:32.955616	138537	49	2	10
2014-04-01 00:42:33.178842	138538	21.0	1	10
2014-04-01 00:42:40.887665	138539	54	2	9
2014-04-01 00:42:41.12053	138540	20.6	1	9
2014-04-01 00:42:41.959902	138541	52	2	8
2014-04-01 00:42:42.181236	138542	19.7	1	8
2014-04-01 00:42:43.882774	138543	370	3	2
2014-04-01 00:42:44.114191	138544	1157882.7179812756	4	2
2014-04-01 00:42:52.425089	138545	55	2	1
2014-04-01 00:42:52.64769	138546	19.6	1	1
2014-04-01 00:42:55.883448	138547	370	3	2
2014-04-01 00:42:56.115589	138548	1157883.8670159972	4	2
2014-04-01 00:43:03.404397	138549	61	2	24
2014-04-01 00:43:03.627498	138550	17.5	1	24
2014-04-01 00:43:05.893386	138551	51	2	25
2014-04-01 00:43:06.125171	138552	18.1	1	25
2014-04-01 00:43:11.957197	138553	49	2	10
2014-04-01 00:43:12.178446	138554	21.0	1	10
2014-04-01 00:43:19.891333	138555	54	2	9
2014-04-01 00:43:20.124877	138556	20.6	1	9
2014-04-01 00:43:20.961714	138557	52	2	8
2014-04-01 00:43:21.182991	138558	19.7	1	8
2014-04-01 00:43:31.425006	138559	55	2	1
2014-04-01 00:43:31.656683	138560	19.6	1	1
2014-04-01 00:43:31.966475	138561	370	3	2
2014-04-01 00:43:32.187719	138562	1157888.4631548827	4	2
2014-04-01 00:43:42.403528	138563	61	2	24
2014-04-01 00:43:42.635152	138564	17.5	1	24
2014-04-01 00:43:44.890954	138565	51	2	25
2014-04-01 00:43:45.114758	138566	18.1	1	25
2014-04-01 00:43:50.957561	138567	49	2	10
2014-04-01 00:43:51.190178	138568	21.0	1	10
2014-04-01 00:43:58.889051	138569	54	2	9
2014-04-01 00:43:59.113204	138570	20.6	1	9
2014-04-01 00:43:59.963663	138571	52	2	8
2014-04-01 00:44:00.196514	138572	19.7	1	8
2014-04-01 00:44:10.422526	138573	55	2	1
2014-04-01 00:44:10.64438	138574	19.6	1	1
2014-04-01 00:44:21.401612	138575	61	2	24
2014-04-01 00:44:21.645207	138576	17.5	1	24
2014-04-01 00:44:23.909422	138577	51	2	25
2014-04-01 00:44:24.13315	138578	18.1	1	25
2014-04-01 00:44:29.957129	138579	49	2	10
2014-04-01 00:44:30.190766	138580	21.0	1	10
2014-04-01 00:44:31.883532	138581	370	3	2
2014-04-01 00:44:32.105812	138582	1157894.20832849	4	2
2014-04-01 00:44:37.890058	138583	54	2	9
2014-04-01 00:44:38.123449	138584	20.6	1	9
2014-04-01 00:44:38.959273	138585	52	2	8
2014-04-01 00:44:39.183215	138586	19.7	1	8
2014-04-01 00:44:49.4241	138587	55	2	1
2014-04-01 00:44:49.65642	138588	19.6	1	1
2014-04-01 00:45:00.402355	138589	61	2	24
2014-04-01 00:45:00.624035	138590	17.5	1	24
2014-04-01 00:45:02.891743	138591	51	2	25
2014-04-01 00:45:03.122754	138592	18.1	1	25
2014-04-01 00:45:08.956755	138593	49	2	10
2014-04-01 00:45:09.179879	138594	21.0	1	10
2014-04-01 00:45:16.887931	138595	54	2	9
2014-04-01 00:45:17.120018	138596	20.6	1	9
2014-04-01 00:45:17.960411	138597	52	2	8
2014-04-01 00:45:18.181999	138598	19.7	1	8
2014-04-01 00:45:28.424609	138599	55	2	1
2014-04-01 00:45:28.656577	138600	19.6	1	1
2014-04-01 00:45:31.88277	138601	370	3	2
2014-04-01 00:45:32.104519	138602	1157899.953502097	4	2
2014-04-01 00:45:39.403027	138603	61	2	24
2014-04-01 00:45:39.63505	138604	17.5	1	24
2014-04-01 00:45:41.889953	138605	51	2	25
2014-04-01 00:45:42.111617	138606	18.1	1	25
2014-04-01 00:45:47.956564	138607	49	2	10
2014-04-01 00:45:48.187747	138608	21.0	1	10
2014-04-01 00:45:55.887358	138609	54	2	9
2014-04-01 00:45:56.109986	138610	20.6	1	9
2014-04-01 00:45:56.960996	138611	52	2	8
2014-04-01 00:45:57.191853	138612	19.7	1	8
2014-04-01 00:46:07.426197	138613	55	2	1
2014-04-01 00:46:07.648574	138614	19.5	1	1
2014-04-01 00:46:18.401792	138615	61	2	24
2014-04-01 00:46:18.63404	138616	17.5	1	24
2014-04-01 00:46:20.889629	138617	51	2	25
2014-04-01 00:46:21.112348	138618	18.1	1	25
2014-04-01 00:46:26.957841	138619	49	2	10
2014-04-01 00:46:27.190149	138620	21.0	1	10
2014-04-01 00:46:31.884154	138621	370	3	2
2014-04-01 00:46:32.107112	138622	1157906.8477104253	4	2
2014-04-01 00:46:34.889778	138623	54	2	9
2014-04-01 00:46:35.133412	138624	20.5	1	9
2014-04-01 00:46:35.960496	138625	51	2	8
2014-04-01 00:46:36.181368	138626	19.7	1	8
2014-04-01 00:46:46.422839	138627	55	2	1
2014-04-01 00:46:46.655917	138628	19.5	1	1
2014-04-01 00:46:57.641385	138629	61	2	24
2014-04-01 00:46:57.864681	138630	17.5	1	24
2014-04-01 00:46:59.890427	138631	51	2	25
2014-04-01 00:47:00.133334	138632	18.1	1	25
2014-04-01 00:47:05.960784	138633	49	2	10
2014-04-01 00:47:06.183256	138634	21.0	1	10
2014-04-01 00:47:07.88122	138635	418	3	2
2014-04-01 00:47:08.113885	138636	1157910.2948145897	4	2
2014-04-01 00:47:13.8886	138637	54	2	9
2014-04-01 00:47:14.110819	138638	20.5	1	9
2014-04-01 00:47:14.960003	138639	51	2	8
2014-04-01 00:47:15.192839	138640	19.7	1	8
2014-04-01 00:47:19.881036	138641	418	3	2
2014-04-01 00:47:20.10446	138642	1157911.443849311	4	2
2014-04-01 00:47:25.422329	138643	55	2	1
2014-04-01 00:47:25.663581	138644	19.5	1	1
2014-04-01 00:47:31.879906	138645	418	3	2
2014-04-01 00:47:32.103541	138646	1157913.7419187538	4	2
2014-04-01 00:47:36.398767	138647	61	2	24
2014-04-01 00:47:36.630627	138648	17.5	1	24
2014-04-01 00:47:38.890972	138649	51	2	25
2014-04-01 00:47:39.114223	138650	18.1	1	25
2014-04-01 00:47:44.961083	138651	49	2	10
2014-04-01 00:47:45.194165	138652	21.0	1	10
2014-04-01 00:47:52.88907	138653	54	2	9
2014-04-01 00:47:53.111915	138654	20.5	1	9
2014-04-01 00:47:53.960913	138655	51	2	8
2014-04-01 00:47:54.192979	138656	19.7	1	8
2014-04-01 00:48:04.421825	138657	55	2	1
2014-04-01 00:48:04.643244	138658	19.5	1	1
2014-04-01 00:48:15.401751	138659	61	2	24
2014-04-01 00:48:15.633428	138660	17.5	1	24
2014-04-01 00:48:17.889999	138661	51	2	25
2014-04-01 00:48:18.11155	138662	18.1	1	25
2014-04-01 00:48:24.014996	138663	49	2	10
2014-04-01 00:48:24.24657	138664	21.0	1	10
2014-04-01 00:48:32.091824	138665	54	2	9
2014-04-01 00:48:32.313444	138666	20.5	1	9
2014-04-01 00:48:32.960376	138667	51	2	8
2014-04-01 00:48:33.190908	138668	19.7	1	8
2014-04-01 00:48:43.421977	138669	55	2	1
2014-04-01 00:48:43.646284	138670	19.5	1	1
2014-04-01 00:48:54.39767	138671	61	2	24
2014-04-01 00:48:54.643226	138672	17.5	1	24
2014-04-01 00:48:56.890115	138673	51	2	25
2014-04-01 00:48:57.11111	138674	18.1	1	25
2014-04-01 00:49:02.960015	138675	49	2	10
2014-04-01 00:49:03.191714	138676	20.9	1	10
2014-04-01 00:49:10.889377	138677	54	2	9
2014-04-01 00:49:11.114351	138678	20.5	1	9
2014-04-01 00:49:11.962847	138679	52	2	8
2014-04-01 00:49:12.194414	138680	19.7	1	8
2014-04-01 00:49:22.419768	138681	55	2	1
2014-04-01 00:49:22.641071	138682	19.5	1	1
2014-04-01 00:49:31.881538	138683	418	3	2
2014-04-01 00:49:32.115347	138684	1157927.530335411	4	2
2014-04-01 00:49:33.396857	138685	61	2	24
2014-04-01 00:49:33.619015	138686	17.5	1	24
2014-04-01 00:49:35.889081	138687	51	2	25
2014-04-01 00:49:36.121889	138688	18.1	1	25
2014-04-01 00:49:41.959302	138689	49	2	10
2014-04-01 00:49:42.182058	138690	20.9	1	10
2014-04-01 00:49:49.889366	138691	54	2	9
2014-04-01 00:49:50.123507	138692	20.5	1	9
2014-04-01 00:49:50.962277	138693	51	2	8
2014-04-01 00:49:51.187455	138694	19.7	1	8
2014-04-01 00:50:01.422655	138695	55	2	1
2014-04-01 00:50:01.654818	138696	19.5	1	1
2014-04-01 00:50:12.397005	138697	61	2	24
2014-04-01 00:50:12.619171	138698	17.5	1	24
2014-04-01 00:50:14.88885	138699	51	2	25
2014-04-01 00:50:15.122881	138700	18.1	1	25
2014-04-01 00:50:20.95909	138701	49	2	10
2014-04-01 00:50:21.183761	138702	20.9	1	10
2014-04-01 00:50:28.888652	138703	54	2	9
2014-04-01 00:50:29.121095	138704	20.5	1	9
2014-04-01 00:50:29.960229	138705	52	2	8
2014-04-01 00:50:30.186172	138706	19.7	1	8
2014-04-01 00:50:31.882588	138707	434	3	2
2014-04-01 00:50:32.114248	138708	1157934.4245437393	4	2
2014-04-01 00:50:40.419856	138709	55	2	1
2014-04-01 00:50:40.643081	138710	19.5	1	1
2014-04-01 00:50:51.394431	138711	61	2	24
2014-04-01 00:50:51.628213	138712	17.5	1	24
2014-04-01 00:50:53.94489	138713	51	2	25
2014-04-01 00:50:54.166517	138714	18.1	1	25
2014-04-01 00:50:59.958975	138715	49	2	10
2014-04-01 00:51:00.191441	138716	20.9	1	10
2014-04-01 00:51:07.890464	138717	54	2	9
2014-04-01 00:51:08.113562	138718	20.5	1	9
2014-04-01 00:51:08.960766	138719	51	2	8
2014-04-01 00:51:09.204429	138720	19.7	1	8
2014-04-01 00:51:19.420475	138721	55	2	1
2014-04-01 00:51:19.642638	138722	19.5	1	1
2014-04-01 00:51:30.396942	138723	61	2	24
2014-04-01 00:51:30.638115	138724	17.5	1	24
2014-04-01 00:51:31.880422	138725	418	3	2
2014-04-01 00:51:32.103088	138726	1157941.3187520679	4	2
2014-04-01 00:51:32.889066	138727	51	2	25
2014-04-01 00:51:33.124456	138728	18.1	1	25
2014-04-01 00:51:38.959455	138729	49	2	10
2014-04-01 00:51:39.180987	138730	20.9	1	10
2014-04-01 00:51:46.889018	138731	54	2	9
2014-04-01 00:51:47.122056	138732	20.5	1	9
2014-04-01 00:51:47.959248	138733	51	2	8
2014-04-01 00:51:48.180999	138734	19.7	1	8
2014-04-01 00:51:58.421619	138735	55	2	1
2014-04-01 00:51:58.655016	138736	19.5	1	1
2014-04-01 00:52:09.393574	138737	61	2	24
2014-04-01 00:52:09.616847	138738	17.5	1	24
2014-04-01 00:52:11.889662	138739	51	2	25
2014-04-01 00:52:12.120949	138740	18.1	1	25
2014-04-01 00:52:17.959318	138741	49	2	10
2014-04-01 00:52:18.18027	138742	20.9	1	10
2014-04-01 00:52:25.890119	138743	54	2	9
2014-04-01 00:52:26.124069	138744	20.5	1	9
2014-04-01 00:52:26.95974	138745	51	2	8
2014-04-01 00:52:27.181589	138746	19.7	1	8
2014-04-01 00:52:31.881571	138747	370	3	2
2014-04-01 00:52:32.114087	138748	1157948.2129603964	4	2
2014-04-01 00:52:37.422413	138749	55	2	1
2014-04-01 00:52:37.650265	138750	19.5	1	1
2014-04-01 00:52:43.881793	138751	370	3	2
2014-04-01 00:52:44.113704	138752	1157949.3619951177	4	2
2014-04-01 00:52:48.394252	138753	61	2	24
2014-04-01 00:52:48.618146	138754	17.5	1	24
2014-04-01 00:52:50.888287	138755	51	2	25
2014-04-01 00:52:51.119489	138756	18.1	1	25
2014-04-01 00:52:56.96234	138757	49	2	10
2014-04-01 00:52:57.185369	138758	20.9	1	10
2014-04-01 00:53:05.093058	138759	54	2	9
2014-04-01 00:53:05.325092	138760	20.5	1	9
2014-04-01 00:53:05.959642	138761	51	2	8
2014-04-01 00:53:06.18281	138762	19.7	1	8
2014-04-01 00:53:16.420551	138763	55	2	1
2014-04-01 00:53:16.652979	138764	19.5	1	1
2014-04-01 00:53:27.39532	138765	61	2	24
2014-04-01 00:53:27.61843	138766	17.5	1	24
2014-04-01 00:53:29.888733	138767	51	2	25
2014-04-01 00:53:30.136626	138768	18.1	1	25
2014-04-01 00:53:31.88198	138769	354	3	2
2014-04-01 00:53:32.103696	138770	1157953.9581340034	4	2
2014-04-01 00:53:35.96275	138771	49	2	10
2014-04-01 00:53:36.194549	138772	20.9	1	10
2014-04-01 00:53:43.889801	138773	54	2	9
2014-04-01 00:53:44.113817	138774	20.5	1	9
2014-04-01 00:53:44.959134	138775	51	2	8
2014-04-01 00:53:45.192857	138776	19.6	1	8
2014-04-01 00:53:55.416901	138777	55	2	1
2014-04-01 00:53:55.638696	138778	19.5	1	1
2014-04-01 00:54:06.392898	138779	61	2	24
2014-04-01 00:54:06.623884	138780	17.5	1	24
2014-04-01 00:54:08.890845	138781	51	2	25
2014-04-01 00:54:09.111923	138782	18.1	1	25
2014-04-01 00:54:14.960576	138783	49	2	10
2014-04-01 00:54:15.193484	138784	20.9	1	10
2014-04-01 00:54:22.891313	138785	54	2	9
2014-04-01 00:54:23.112177	138786	20.5	1	9
2014-04-01 00:54:23.962444	138787	51	2	8
2014-04-01 00:54:24.251298	138788	19.6	1	8
2014-04-01 00:54:31.878861	138789	354	3	2
2014-04-01 00:54:32.103422	138790	1157960.8523423318	4	2
2014-04-01 00:54:34.419659	138791	55	2	1
2014-04-01 00:54:34.651586	138792	19.5	1	1
2014-04-01 00:54:45.392992	138793	61	2	24
2014-04-01 00:54:45.616192	138794	17.5	1	24
2014-04-01 00:54:47.88693	138795	51	2	25
2014-04-01 00:54:48.122414	138796	18.1	1	25
2014-04-01 00:54:53.980169	138797	49	2	10
2014-04-01 00:54:54.239197	138798	20.9	1	10
2014-04-01 00:55:01.888003	138799	54	2	9
2014-04-01 00:55:02.122399	138800	20.5	1	9
2014-04-01 00:55:02.96095	138801	51	2	8
2014-04-01 00:55:03.18576	138802	19.6	1	8
2014-04-01 00:55:13.420973	138803	55	2	1
2014-04-01 00:55:13.653832	138804	19.5	1	1
2014-04-01 00:55:24.390976	138805	61	2	24
2014-04-01 00:55:24.612668	138806	17.5	1	24
2014-04-01 00:55:26.885578	138807	51	2	25
2014-04-01 00:55:27.118616	138808	18.1	1	25
2014-04-01 00:55:31.88175	138809	370	3	2
2014-04-01 00:55:32.105324	138810	1157966.597515939	4	2
2014-04-01 00:55:32.960004	138811	49	2	10
2014-04-01 00:55:33.194933	138812	20.9	1	10
2014-04-01 00:55:40.898518	138813	54	2	9
2014-04-01 00:55:41.119967	138814	20.5	1	9
2014-04-01 00:55:41.959118	138815	51	2	8
2014-04-01 00:55:42.202908	138816	19.6	1	8
2014-04-01 00:55:52.419024	138817	55	2	1
2014-04-01 00:55:52.643639	138818	19.5	1	1
2014-04-01 00:56:03.391245	138819	61	2	24
2014-04-01 00:56:03.622763	138820	17.5	1	24
2014-04-01 00:56:05.887588	138821	51	2	25
2014-04-01 00:56:06.109598	138822	18.1	1	25
2014-04-01 00:56:11.960602	138823	49	2	10
2014-04-01 00:56:12.19514	138824	20.9	1	10
2014-04-01 00:56:19.889295	138825	54	2	9
2014-04-01 00:56:20.113024	138826	20.5	1	9
2014-04-01 00:56:20.959882	138827	51	2	8
2014-04-01 00:56:21.191698	138828	19.6	1	8
2014-04-01 00:56:31.420495	138829	55	2	1
2014-04-01 00:56:31.644462	138830	19.5	1	1
2014-04-01 00:56:31.956004	138831	370	3	2
2014-04-01 00:56:32.18757	138832	1157971.1981257768	4	2
2014-04-01 00:56:42.392328	138833	61	2	24
2014-04-01 00:56:42.615286	138834	17.5	1	24
2014-04-01 00:56:44.888262	138835	51	2	25
2014-04-01 00:56:45.12001	138836	18.1	1	25
2014-04-01 00:56:50.959632	138837	49	2	10
2014-04-01 00:56:51.184849	138838	20.9	1	10
2014-04-01 00:56:58.888716	138839	54	2	9
2014-04-01 00:56:59.124059	138840	20.5	1	9
2014-04-01 00:56:59.959694	138841	51	2	8
2014-04-01 00:57:00.181896	138842	19.6	1	8
2014-04-01 00:57:10.419861	138843	55	2	1
2014-04-01 00:57:10.651941	138844	19.5	1	1
2014-04-01 00:57:19.881954	138845	305	3	2
2014-04-01 00:57:20.103916	138846	1157975.7942646625	4	2
2014-04-01 00:57:21.390739	138847	61	2	24
2014-04-01 00:57:21.623522	138848	17.5	1	24
2014-04-01 00:57:23.884509	138849	51	2	25
2014-04-01 00:57:24.107009	138850	18.1	1	25
2014-04-01 00:57:29.960384	138851	49	2	10
2014-04-01 00:57:30.193229	138852	20.9	1	10
2014-04-01 00:57:31.8814	138853	305	3	2
2014-04-01 00:57:32.103819	138854	1157976.9432993839	4	2
2014-04-01 00:57:37.889321	138855	54	2	9
2014-04-01 00:57:38.124497	138856	20.5	1	9
2014-04-01 00:57:38.959536	138857	51	2	8
2014-04-01 00:57:39.182129	138858	19.6	1	8
2014-04-01 00:57:49.417891	138859	55	2	1
2014-04-01 00:57:49.65093	138860	19.5	1	1
2014-04-01 00:58:00.390033	138861	61	2	24
2014-04-01 00:58:00.649061	138862	17.5	1	24
2014-04-01 00:58:02.886502	138863	51	2	25
2014-04-01 00:58:03.163058	138864	18.1	1	25
2014-04-01 00:58:08.959616	138865	49	2	10
2014-04-01 00:58:09.216551	138866	20.9	1	10
2014-04-01 00:58:16.887748	138867	54	2	9
2014-04-01 00:58:17.154683	138868	20.5	1	9
2014-04-01 00:58:17.959719	138869	51	2	8
2014-04-01 00:58:18.2135	138870	19.6	1	8
2014-04-01 00:58:28.415379	138871	55	2	1
2014-04-01 00:58:28.668594	138872	19.5	1	1
2014-04-01 00:58:31.88143	138873	305	3	2
2014-04-01 00:58:32.138872	138874	1157982.6884729909	4	2
2014-04-01 00:58:39.38885	138875	61	2	24
2014-04-01 00:58:39.620696	138876	17.5	1	24
2014-04-01 00:58:41.885154	138877	51	2	25
2014-04-01 00:58:42.105506	138878	18.1	1	25
2014-04-01 00:58:47.959783	138879	49	2	10
2014-04-01 00:58:48.191645	138880	20.9	1	10
2014-04-01 00:58:55.888859	138881	54	2	9
2014-04-01 00:58:56.109917	138882	20.5	1	9
2014-04-01 00:58:56.959049	138883	51	2	8
2014-04-01 00:58:57.18996	138884	19.6	1	8
2014-04-01 00:59:07.415068	138885	55	2	1
2014-04-01 00:59:07.636068	138886	19.5	1	1
2014-04-01 00:59:18.389381	138887	61	2	24
2014-04-01 00:59:18.621911	138888	17.5	1	24
2014-04-01 00:59:20.885414	138889	51	2	25
2014-04-01 00:59:21.106174	138890	18.1	1	25
2014-04-01 00:59:26.961806	138891	49	2	10
2014-04-01 00:59:27.194088	138892	20.9	1	10
2014-04-01 00:59:31.881484	138893	354	3	2
2014-04-01 00:59:32.103704	138894	1157987.2846118766	4	2
2014-04-01 00:59:34.888675	138895	54	2	9
2014-04-01 00:59:35.118451	138896	20.5	1	9
2014-04-01 00:59:35.961967	138897	51	2	8
2014-04-01 00:59:36.18286	138898	19.6	1	8
2014-04-01 00:59:43.883752	138899	354	3	2
2014-04-01 00:59:44.116942	138900	1157988.4336465981	4	2
2014-04-01 00:59:46.416055	138901	55	2	1
2014-04-01 00:59:46.645294	138902	19.5	1	1
2014-04-01 00:59:57.385888	138903	61	2	24
2014-04-01 00:59:57.617982	138904	17.5	1	24
2014-04-01 00:59:59.886291	138905	51	2	25
2014-04-01 01:00:00.114351	138906	18.1	1	25
2014-04-01 01:00:05.969035	138907	49	2	10
2014-04-01 01:00:06.2015	138908	20.9	1	10
2014-04-01 01:00:13.888787	138909	54	2	9
2014-04-01 01:00:14.112343	138910	20.5	1	9
2014-04-01 01:00:14.959807	138911	51	2	8
2014-04-01 01:00:15.204549	138912	19.6	1	8
2014-04-01 01:00:25.417809	138913	55	2	1
2014-04-01 01:00:25.661242	138914	19.5	1	1
2014-04-01 01:00:31.882051	138915	354	3	2
2014-04-01 01:00:32.114018	138916	1157993.0297854838	4	2
2014-04-01 01:00:36.385459	138917	61	2	24
2014-04-01 01:00:36.608465	138918	17.5	1	24
2014-04-01 01:00:38.885928	138919	51	2	25
2014-04-01 01:00:39.119268	138920	18.1	1	25
2014-04-01 01:00:44.962405	138921	49	2	10
2014-04-01 01:00:45.186766	138922	20.8	1	10
2014-04-01 01:00:52.888297	138923	54	2	9
2014-04-01 01:00:53.121332	138924	20.5	1	9
2014-04-01 01:00:53.959497	138925	51	2	8
2014-04-01 01:00:54.218813	138926	19.6	1	8
2014-04-01 01:01:04.413814	138927	55	2	1
2014-04-01 01:01:04.646356	138928	19.5	1	1
2014-04-01 01:01:15.386278	138929	61	2	24
2014-04-01 01:01:15.608518	138930	17.5	1	24
2014-04-01 01:01:17.883245	138931	51	2	25
2014-04-01 01:01:18.114924	138932	18.1	1	25
2014-04-01 01:01:23.963878	138933	49	2	10
2014-04-01 01:01:24.186221	138934	20.8	1	10
2014-04-01 01:01:32.090377	138935	54	2	9
2014-04-01 01:01:32.323367	138936	20.5	1	9
2014-04-01 01:01:32.960188	138937	51	2	8
2014-04-01 01:01:33.181501	138938	19.6	1	8
2014-04-01 01:01:43.416942	138939	55	2	1
2014-04-01 01:01:43.648206	138940	19.5	1	1
2014-04-01 01:01:54.397783	138941	61	2	24
2014-04-01 01:01:54.618312	138942	17.5	1	24
2014-04-01 01:01:56.884227	138943	51	2	25
2014-04-01 01:01:57.115321	138944	18.1	1	25
2014-04-01 01:02:02.962139	138945	49	2	10
2014-04-01 01:02:03.183849	138946	20.8	1	10
2014-04-01 01:02:10.888704	138947	54	2	9
2014-04-01 01:02:11.120063	138948	20.5	1	9
2014-04-01 01:02:11.959106	138949	51	2	8
2014-04-01 01:02:12.180712	138950	19.6	1	8
2014-04-01 01:02:22.415366	138951	55	2	1
2014-04-01 01:02:22.646942	138952	19.5	1	1
2014-04-01 01:02:31.879947	138953	354	3	2
2014-04-01 01:02:32.104321	138954	1158005.6691674192	4	2
2014-04-01 01:02:33.384426	138955	62	2	24
2014-04-01 01:02:33.619543	138956	17.5	1	24
2014-04-01 01:02:35.88313	138957	51	2	25
2014-04-01 01:02:36.106841	138958	18.1	1	25
2014-04-01 01:02:41.961247	138959	49	2	10
2014-04-01 01:02:42.206848	138960	20.8	1	10
2014-04-01 01:02:49.887692	138961	54	2	9
2014-04-01 01:02:50.109657	138962	20.5	1	9
2014-04-01 01:02:50.959634	138963	51	2	8
2014-04-01 01:02:51.191684	138964	19.6	1	8
2014-04-01 01:03:01.414694	138965	55	2	1
2014-04-01 01:03:01.640227	138966	19.5	1	1
2014-04-01 01:03:12.38259	138967	62	2	24
2014-04-01 01:03:12.619225	138968	17.5	1	24
2014-04-01 01:03:14.884481	138969	51	2	25
2014-04-01 01:03:15.109482	138970	18.1	1	25
2014-04-01 01:03:20.96243	138971	49	2	10
2014-04-01 01:03:21.195282	138972	20.8	1	10
2014-04-01 01:03:28.887148	138973	54	2	9
2014-04-01 01:03:29.109037	138974	20.5	1	9
2014-04-01 01:03:29.959451	138975	51	2	8
2014-04-01 01:03:30.191107	138976	19.6	1	8
2014-04-01 01:03:31.879948	138977	354	3	2
2014-04-01 01:03:32.101943	138978	1158011.4143410265	4	2
2014-04-01 01:03:40.41482	138979	55	2	1
2014-04-01 01:03:40.647546	138980	19.5	1	1
2014-04-01 01:03:51.382497	138981	62	2	24
2014-04-01 01:03:51.604207	138982	17.5	1	24
2014-04-01 01:03:53.88371	138983	51	2	25
2014-04-01 01:03:54.115011	138984	18.1	1	25
2014-04-01 01:03:59.962243	138985	49	2	10
2014-04-01 01:04:00.184155	138986	20.8	1	10
2014-04-01 01:04:07.889085	138987	54	2	9
2014-04-01 01:04:08.120451	138988	20.5	1	9
2014-04-01 01:04:08.959833	138989	51	2	8
2014-04-01 01:04:09.181562	138990	19.6	1	8
2014-04-01 01:04:19.411805	138991	55	2	1
2014-04-01 01:04:19.64318	138992	19.5	1	1
2014-04-01 01:04:30.38331	138993	62	2	24
2014-04-01 01:04:30.606628	138994	17.5	1	24
2014-04-01 01:04:31.88296	138995	305	3	2
2014-04-01 01:04:32.114311	138996	1158017.1595146335	4	2
2014-04-01 01:04:32.885543	138997	51	2	25
2014-04-01 01:04:33.106729	138998	18.1	1	25
2014-04-01 01:04:38.962614	138999	49	2	10
2014-04-01 01:04:39.195206	139000	20.8	1	10
2014-04-01 01:04:43.882013	139001	305	3	2
2014-04-01 01:04:44.10754	139002	1158018.3085493548	4	2
2014-04-01 01:04:46.890074	139003	54	2	9
2014-04-01 01:04:47.122529	139004	20.5	1	9
2014-04-01 01:04:47.96149	139005	51	2	8
2014-04-01 01:04:48.183426	139006	19.6	1	8
2014-04-01 01:04:58.413073	139007	55	2	1
2014-04-01 01:04:58.659665	139008	19.5	1	1
2014-04-01 01:05:09.381595	139009	61	2	24
2014-04-01 01:05:09.604911	139010	17.5	1	24
2014-04-01 01:05:11.882463	139011	51	2	25
2014-04-01 01:05:12.302124	139012	18.1	1	25
2014-04-01 01:05:17.964467	139013	49	2	10
2014-04-01 01:05:18.208121	139014	20.8	1	10
2014-04-01 01:05:25.888506	139015	54	2	9
2014-04-01 01:05:26.112685	139016	20.5	1	9
2014-04-01 01:05:26.960459	139017	51	2	8
2014-04-01 01:05:27.189791	139018	19.6	1	8
2014-04-01 01:05:31.881294	139019	305	3	2
2014-04-01 01:05:32.104099	139020	1158021.7556535192	4	2
2014-04-01 01:05:37.413035	139021	55	2	1
2014-04-01 01:05:37.647472	139022	19.5	1	1
2014-04-01 01:05:48.381203	139023	61	2	24
2014-04-01 01:05:48.603431	139024	17.5	1	24
2014-04-01 01:05:50.882419	139025	51	2	25
2014-04-01 01:05:51.113581	139026	18.1	1	25
2014-04-01 01:05:56.962715	139027	49	2	10
2014-04-01 01:05:57.185585	139028	20.8	1	10
2014-04-01 01:06:04.886729	139029	54	2	9
2014-04-01 01:06:05.120366	139030	20.5	1	9
2014-04-01 01:06:05.959326	139031	51	2	8
2014-04-01 01:06:06.181345	139032	19.6	1	8
2014-04-01 01:06:16.41102	139033	55	2	1
2014-04-01 01:06:16.641052	139034	19.5	1	1
2014-04-01 01:06:27.379778	139035	61	2	24
2014-04-01 01:06:27.601574	139036	17.5	1	24
2014-04-01 01:06:29.881788	139037	51	2	25
2014-04-01 01:06:30.117134	139038	18.1	1	25
2014-04-01 01:06:31.881097	139039	305	3	2
2014-04-01 01:06:32.103456	139040	1158027.5008271262	4	2
2014-04-01 01:06:35.967286	139041	49	2	10
2014-04-01 01:06:36.203446	139042	20.8	1	10
2014-04-01 01:06:43.888788	139043	54	2	9
2014-04-01 01:06:44.110053	139044	20.5	1	9
2014-04-01 01:06:44.959727	139045	51	2	8
2014-04-01 01:06:45.191202	139046	19.6	1	8
2014-04-01 01:06:55.412114	139047	55	2	1
2014-04-01 01:06:55.633124	139048	19.5	1	1
2014-04-01 01:07:06.381876	139049	61	2	24
2014-04-01 01:07:06.613246	139050	17.5	1	24
2014-04-01 01:07:08.882002	139051	51	2	25
2014-04-01 01:07:09.103975	139052	18.1	1	25
2014-04-01 01:07:14.966943	139053	49	2	10
2014-04-01 01:07:15.19689	139054	20.8	1	10
2014-04-01 01:07:22.888437	139055	54	2	9
2014-04-01 01:07:23.110335	139056	20.5	1	9
2014-04-01 01:07:23.957788	139057	51	2	8
2014-04-01 01:07:24.199927	139058	19.6	1	8
2014-04-01 01:07:31.879326	139059	305	3	2
2014-04-01 01:07:32.099161	139060	1158032.096966012	4	2
2014-04-01 01:07:34.412731	139061	55	2	1
2014-04-01 01:07:34.644561	139062	19.5	1	1
2014-04-01 01:07:45.378276	139063	61	2	24
2014-04-01 01:07:45.603313	139064	17.5	1	24
2014-04-01 01:07:47.881467	139065	51	2	25
2014-04-01 01:07:48.111499	139066	18.1	1	25
2014-04-01 01:07:53.964057	139067	49	2	10
2014-04-01 01:07:54.185441	139068	20.8	1	10
2014-04-01 01:08:01.88734	139069	54	2	9
2014-04-01 01:08:02.118914	139070	20.5	1	9
2014-04-01 01:08:02.959033	139071	51	2	8
2014-04-01 01:08:03.179995	139072	19.6	1	8
2014-04-01 01:08:13.40949	139073	55	2	1
2014-04-01 01:08:13.64328	139074	19.5	1	1
2014-04-01 01:08:24.380689	139075	61	2	24
2014-04-01 01:08:24.660322	139076	17.5	1	24
2014-04-01 01:08:26.8794	139077	51	2	25
2014-04-01 01:08:27.11008	139078	18.1	1	25
2014-04-01 01:08:31.88002	139079	305	3	2
2014-04-01 01:08:32.101428	139080	1158037.842139619	4	2
2014-04-01 01:08:32.963664	139081	49	2	10
2014-04-01 01:08:33.193025	139082	20.8	1	10
2014-04-01 01:08:40.88861	139083	54	2	9
2014-04-01 01:08:41.109946	139084	20.5	1	9
2014-04-01 01:08:41.959395	139085	51	2	8
2014-04-01 01:08:42.189164	139086	19.6	1	8
2014-04-01 01:08:52.409459	139087	55	2	1
2014-04-01 01:08:52.633359	139088	19.5	1	1
2014-04-01 01:09:03.375868	139089	61	2	24
2014-04-01 01:09:03.608119	139090	17.5	1	24
2014-04-01 01:09:05.880565	139091	51	2	25
2014-04-01 01:09:06.101333	139092	18.0	1	25
2014-04-01 01:09:11.962706	139093	49	2	10
2014-04-01 01:09:12.194793	139094	20.8	1	10
2014-04-01 01:09:19.887518	139095	54	2	9
2014-04-01 01:09:20.107211	139096	20.5	1	9
2014-04-01 01:09:20.958655	139097	51	2	8
2014-04-01 01:09:21.191146	139098	19.6	1	8
2014-04-01 01:09:31.410081	139099	55	2	1
2014-04-01 01:09:31.631612	139100	19.5	1	1
2014-04-01 01:09:31.939487	139101	305	3	2
2014-04-01 01:09:32.169231	139102	1158042.4382785046	4	2
2014-04-01 01:09:42.375539	139103	61	2	24
2014-04-01 01:09:42.596839	139104	17.5	1	24
2014-04-01 01:09:44.884364	139105	51	2	25
2014-04-01 01:09:45.127443	139106	18.0	1	25
2014-04-01 01:09:50.962549	139107	49	2	10
2014-04-01 01:09:51.183358	139108	20.8	1	10
2014-04-01 01:09:58.892693	139109	54	2	9
2014-04-01 01:09:59.124613	139110	20.5	1	9
2014-04-01 01:09:59.960048	139111	51	2	8
2014-04-01 01:10:00.182087	139112	19.6	1	8
2014-04-01 01:10:10.409331	139113	55	2	1
2014-04-01 01:10:10.641043	139114	19.5	1	1
2014-04-01 01:10:21.375729	139115	61	2	24
2014-04-01 01:10:21.596514	139116	17.5	1	24
2014-04-01 01:10:23.880356	139117	51	2	25
2014-04-01 01:10:24.109421	139118	18.0	1	25
2014-04-01 01:10:29.966429	139119	49	2	10
2014-04-01 01:10:30.187297	139120	20.8	1	10
2014-04-01 01:10:31.879254	139121	305	3	2
2014-04-01 01:10:32.110477	139122	1158048.1834521117	4	2
2014-04-01 01:10:37.888707	139123	54	2	9
2014-04-01 01:10:38.112774	139124	20.5	1	9
2014-04-01 01:10:38.96117	139125	51	2	8
2014-04-01 01:10:39.191312	139126	19.6	1	8
2014-04-01 01:10:49.410353	139127	55	2	1
2014-04-01 01:10:49.632882	139128	19.5	1	1
2014-04-01 01:11:00.37577	139129	61	2	24
2014-04-01 01:11:00.606843	139130	17.5	1	24
2014-04-01 01:11:02.880002	139131	51	2	25
2014-04-01 01:11:03.101515	139132	18.0	1	25
2014-04-01 01:11:08.964028	139133	49	2	10
2014-04-01 01:11:09.196607	139134	20.8	1	10
2014-04-01 01:11:16.886103	139135	54	2	9
2014-04-01 01:11:17.106554	139136	20.5	1	9
2014-04-01 01:11:17.958124	139137	51	2	8
2014-04-01 01:11:18.190245	139138	19.6	1	8
2014-04-01 01:11:28.411511	139139	55	2	1
2014-04-01 01:11:28.632656	139140	19.5	1	1
2014-04-01 01:11:31.879216	139141	354	3	2
2014-04-01 01:11:32.11277	139142	1158052.7795909974	4	2
2014-04-01 01:11:39.373212	139143	61	2	24
2014-04-01 01:11:39.595146	139144	17.5	1	24
2014-04-01 01:11:41.880551	139145	51	2	25
2014-04-01 01:11:42.110472	139146	18.0	1	25
2014-04-01 01:11:43.879888	139147	354	3	2
2014-04-01 01:11:44.100223	139148	1158053.9286257187	4	2
2014-04-01 01:11:47.973182	139149	49	2	10
2014-04-01 01:11:48.203723	139150	20.8	1	10
2014-04-01 01:11:55.887993	139151	54	2	9
2014-04-01 01:11:56.110084	139152	20.5	1	9
2014-04-01 01:11:56.960282	139153	51	2	8
2014-04-01 01:11:57.204195	139154	19.6	1	8
2014-04-01 01:12:07.409063	139155	55	2	1
2014-04-01 01:12:07.633234	139156	19.5	1	1
2014-04-01 01:12:18.374707	139157	61	2	24
2014-04-01 01:12:18.605212	139158	17.5	1	24
2014-04-01 01:12:20.879635	139159	51	2	25
2014-04-01 01:12:21.100207	139160	18.0	1	25
2014-04-01 01:12:26.964788	139161	49	2	10
2014-04-01 01:12:27.194788	139162	20.8	1	10
2014-04-01 01:12:31.879424	139163	354	3	2
2014-04-01 01:12:32.101327	139164	1158058.5247646044	4	2
2014-04-01 01:12:34.888263	139165	54	2	9
2014-04-01 01:12:35.11751	139166	20.5	1	9
2014-04-01 01:12:35.958629	139167	51	2	8
2014-04-01 01:12:36.181253	139168	19.6	1	8
2014-04-01 01:12:46.412176	139169	55	2	1
2014-04-01 01:12:46.644924	139170	19.5	1	1
2014-04-01 01:12:57.374886	139171	61	2	24
2014-04-01 01:12:57.596769	139172	17.4	1	24
2014-04-01 01:12:59.878606	139173	51	2	25
2014-04-01 01:13:00.115373	139174	18.0	1	25
2014-04-01 01:13:05.970905	139175	49	2	10
2014-04-01 01:13:06.194969	139176	20.8	1	10
2014-04-01 01:13:13.885975	139177	54	2	9
2014-04-01 01:13:14.117541	139178	20.5	1	9
2014-04-01 01:13:14.959584	139179	51	2	8
2014-04-01 01:13:15.180438	139180	19.6	1	8
2014-04-01 01:13:25.40943	139181	55	2	1
2014-04-01 01:13:25.644295	139182	19.5	1	1
2014-04-01 01:13:31.878124	139183	354	3	2
2014-04-01 01:13:32.099196	139184	1158065.418972933	4	2
2014-04-01 01:13:36.372546	139185	61	2	24
2014-04-01 01:13:36.605061	139186	17.4	1	24
2014-04-01 01:13:38.880169	139187	51	2	25
2014-04-01 01:13:39.101378	139188	18.0	1	25
2014-04-01 01:13:44.968786	139189	49	2	10
2014-04-01 01:13:45.199863	139190	20.8	1	10
2014-04-01 01:13:52.889287	139191	54	2	9
2014-04-01 01:13:53.109689	139192	20.5	1	9
2014-04-01 01:13:53.959358	139193	51	2	8
2014-04-01 01:13:54.188768	139194	19.6	1	8
2014-04-01 01:14:04.407908	139195	55	2	1
2014-04-01 01:14:04.63162	139196	19.5	1	1
2014-04-01 01:14:15.371849	139197	61	2	24
2014-04-01 01:14:15.605494	139198	17.4	1	24
2014-04-01 01:14:17.876449	139199	51	2	25
2014-04-01 01:14:18.097302	139200	18.0	1	25
2014-04-01 01:14:23.965769	139201	49	2	10
2014-04-01 01:14:24.20967	139202	20.8	1	10
2014-04-01 01:14:32.090736	139203	54	2	9
2014-04-01 01:14:32.333213	139204	20.4	1	9
2014-04-01 01:14:32.959693	139205	51	2	8
2014-04-01 01:14:33.18939	139206	19.6	1	8
2014-04-01 01:14:43.407861	139207	55	2	1
2014-04-01 01:14:43.630747	139208	19.5	1	1
2014-04-01 01:14:54.372665	139209	61	2	24
2014-04-01 01:14:54.611051	139210	17.4	1	24
2014-04-01 01:14:56.879502	139211	51	2	25
2014-04-01 01:14:57.100381	139212	18.0	1	25
2014-04-01 01:15:02.966976	139213	49	2	10
2014-04-01 01:15:03.198065	139214	20.8	1	10
2014-04-01 01:15:10.89098	139215	54	2	9
2014-04-01 01:15:11.111608	139216	20.4	1	9
2014-04-01 01:15:11.958999	139217	51	2	8
2014-04-01 01:15:12.189968	139218	19.6	1	8
2014-04-01 01:15:22.407625	139219	55	2	1
2014-04-01 01:15:22.628158	139220	19.5	1	1
2014-04-01 01:15:31.883672	139221	370	3	2
2014-04-01 01:15:32.114163	139222	1158076.909320147	4	2
2014-04-01 01:15:33.371929	139223	61	2	24
2014-04-01 01:15:33.601714	139224	17.4	1	24
2014-04-01 01:15:35.881046	139225	51	2	25
2014-04-01 01:15:36.111457	139226	18.0	1	25
2014-04-01 01:15:41.966834	139227	49	2	10
2014-04-01 01:15:42.18918	139228	20.8	1	10
2014-04-01 01:15:49.889695	139229	54	2	9
2014-04-01 01:15:50.121445	139230	20.4	1	9
2014-04-01 01:15:50.962012	139231	51	2	8
2014-04-01 01:15:51.18331	139232	19.6	1	8
2014-04-01 01:16:01.407486	139233	55	2	1
2014-04-01 01:16:01.638817	139234	19.5	1	1
2014-04-01 01:16:12.372143	139235	61	2	24
2014-04-01 01:16:12.59435	139236	17.4	1	24
2014-04-01 01:16:14.877237	139237	51	2	25
2014-04-01 01:16:15.110343	139238	18.0	1	25
2014-04-01 01:16:20.965483	139239	49	2	10
2014-04-01 01:16:21.189248	139240	20.8	1	10
2014-04-01 01:16:28.888073	139241	54	2	9
2014-04-01 01:16:29.123342	139242	20.4	1	9
2014-04-01 01:16:29.962347	139243	51	2	8
2014-04-01 01:16:30.184788	139244	19.6	1	8
2014-04-01 01:16:31.879394	139245	370	3	2
2014-04-01 01:16:32.113113	139246	1158083.8035284756	4	2
2014-04-01 01:16:40.406672	139247	55	2	1
2014-04-01 01:16:40.628227	139248	19.5	1	1
2014-04-01 01:16:43.879422	139249	338	3	2
2014-04-01 01:16:44.123614	139250	1158084.952563197	4	2
2014-04-01 01:16:51.369649	139251	61	2	24
2014-04-01 01:16:51.590148	139252	17.4	1	24
2014-04-01 01:16:53.877422	139253	51	2	25
2014-04-01 01:16:54.110276	139254	18.0	1	25
2014-04-01 01:16:55.878506	139255	338	3	2
2014-04-01 01:16:56.103271	139256	1158086.1015979184	4	2
2014-04-01 01:16:59.966558	139257	49	2	10
2014-04-01 01:17:00.199691	139258	20.7	1	10
2014-04-01 01:17:08.090786	139259	54	2	9
2014-04-01 01:17:08.312864	139260	20.4	1	9
2014-04-01 01:17:08.959368	139261	51	2	8
2014-04-01 01:17:09.191602	139262	19.6	1	8
2014-04-01 01:17:19.404648	139263	55	2	1
2014-04-01 01:17:19.625042	139264	19.5	1	1
2014-04-01 01:17:19.930468	139265	305	3	2
2014-04-01 01:17:20.160847	139266	1158087.2506326397	4	2
2014-04-01 01:17:30.368305	139267	61	2	24
2014-04-01 01:17:30.590122	139268	17.4	1	24
2014-04-01 01:17:31.87903	139269	305	3	2
2014-04-01 01:17:32.108648	139270	1158088.3996673613	4	2
2014-04-01 01:17:32.877916	139271	51	2	25
2014-04-01 01:17:33.09914	139272	18.0	1	25
2014-04-01 01:17:38.966034	139273	49	2	10
2014-04-01 01:17:39.200182	139274	20.7	1	10
2014-04-01 01:17:43.878041	139275	338	3	2
2014-04-01 01:17:44.097558	139276	1158089.5487020826	4	2
2014-04-01 01:17:46.889806	139277	54	2	9
2014-04-01 01:17:47.120658	139278	20.4	1	9
2014-04-01 01:17:47.959947	139279	51	2	8
2014-04-01 01:17:48.180711	139280	19.6	1	8
2014-04-01 01:17:55.880173	139281	338	3	2
2014-04-01 01:17:56.110707	139282	1158090.697736804	4	2
2014-04-01 01:17:58.407228	139283	55	2	1
2014-04-01 01:17:58.626267	139284	19.5	1	1
2014-04-01 01:18:09.368249	139285	62	2	24
2014-04-01 01:18:09.599377	139286	17.4	1	24
2014-04-01 01:18:11.878607	139287	51	2	25
2014-04-01 01:18:12.098603	139288	18.0	1	25
2014-04-01 01:18:17.967556	139289	49	2	10
2014-04-01 01:18:18.200964	139290	20.7	1	10
2014-04-01 01:18:19.879756	139291	305	3	2
2014-04-01 01:18:20.10023	139292	1158092.9958062468	4	2
2014-04-01 01:18:25.88514	139293	54	2	9
2014-04-01 01:18:26.117813	139294	20.4	1	9
2014-04-01 01:18:26.959289	139295	51	2	8
2014-04-01 01:18:27.181675	139296	19.6	1	8
2014-04-01 01:18:31.879817	139297	305	3	2
2014-04-01 01:18:32.122108	139298	1158094.1448409683	4	2
2014-04-01 01:18:37.40288	139299	55	2	1
2014-04-01 01:18:37.630541	139300	19.5	1	1
2014-04-01 01:18:48.367403	139301	62	2	24
2014-04-01 01:18:48.600493	139302	17.4	1	24
2014-04-01 01:18:50.875522	139303	51	2	25
2014-04-01 01:18:51.097093	139304	18.0	1	25
2014-04-01 01:18:56.966292	139305	49	2	10
2014-04-01 01:18:57.197801	139306	20.7	1	10
2014-04-01 01:19:04.888945	139307	54	2	9
2014-04-01 01:19:05.112234	139308	20.4	1	9
2014-04-01 01:19:05.959003	139309	51	2	8
2014-04-01 01:19:06.18963	139310	19.6	1	8
2014-04-01 01:19:16.407598	139311	55	2	1
2014-04-01 01:19:16.629551	139312	19.5	1	1
2014-04-01 01:19:19.881105	139313	338	3	2
2014-04-01 01:19:20.113163	139314	1158098.740979854	4	2
2014-04-01 01:19:27.605759	139315	62	2	24
2014-04-01 01:19:27.828101	139316	17.4	1	24
2014-04-01 01:19:29.877215	139317	51	2	25
2014-04-01 01:19:30.111538	139318	18.0	1	25
2014-04-01 01:19:31.878662	139319	305	3	2
2014-04-01 01:19:32.098515	139320	1158099.8900145753	4	2
2014-04-01 01:19:35.969813	139321	49	2	10
2014-04-01 01:19:36.200963	139322	20.7	1	10
2014-04-01 01:19:44.091355	139323	54	2	9
2014-04-01 01:19:44.311581	139324	20.4	1	9
2014-04-01 01:19:44.959851	139325	51	2	8
2014-04-01 01:19:45.189751	139326	19.6	1	8
2014-04-01 01:19:55.40402	139327	55	2	1
2014-04-01 01:19:55.624938	139328	19.5	1	1
2014-04-01 01:20:06.364455	139329	62	2	24
2014-04-01 01:20:06.596287	139330	17.4	1	24
2014-04-01 01:20:08.876458	139331	51	2	25
2014-04-01 01:20:09.099541	139332	18.0	1	25
2014-04-01 01:20:14.967828	139333	49	2	10
2014-04-01 01:20:15.199343	139334	20.7	1	10
2014-04-01 01:20:22.886832	139335	54	2	9
2014-04-01 01:20:23.109962	139336	20.4	1	9
2014-04-01 01:20:23.959143	139337	51	2	8
2014-04-01 01:20:24.189912	139338	19.6	1	8
2014-04-01 01:20:31.880053	139339	305	3	2
2014-04-01 01:20:32.101743	139340	1158104.486153461	4	2
2014-04-01 01:20:34.404128	139341	55	2	1
2014-04-01 01:20:34.634218	139342	19.5	1	1
2014-04-01 01:20:45.365443	139343	62	2	24
2014-04-01 01:20:45.588971	139344	17.4	1	24
2014-04-01 01:20:47.879953	139345	51	2	25
2014-04-01 01:20:48.122795	139346	18.0	1	25
2014-04-01 01:20:53.967696	139347	49	2	10
2014-04-01 01:20:54.188864	139348	20.7	1	10
2014-04-01 01:21:01.891464	139349	54	2	9
2014-04-01 01:21:02.122945	139350	20.4	1	9
2014-04-01 01:21:02.960597	139351	51	2	8
2014-04-01 01:21:03.18162	139352	19.6	1	8
2014-04-01 01:21:13.402639	139353	55	2	1
2014-04-01 01:21:13.633324	139354	19.5	1	1
2014-04-01 01:21:24.363854	139355	62	2	24
2014-04-01 01:21:24.584894	139356	17.4	1	24
2014-04-01 01:21:26.874135	139357	51	2	25
2014-04-01 01:21:27.10743	139358	18.0	1	25
2014-04-01 01:21:31.879447	139359	305	3	2
2014-04-01 01:21:32.103168	139360	1158110.231327068	4	2
2014-04-01 01:21:32.969988	139361	49	2	10
2014-04-01 01:21:33.200069	139362	20.7	1	10
2014-04-01 01:21:40.888675	139363	54	2	9
2014-04-01 01:21:41.111544	139364	20.4	1	9
2014-04-01 01:21:41.95919	139365	51	2	8
2014-04-01 01:21:42.191653	139366	19.6	1	8
2014-04-01 01:21:52.403946	139367	55	2	1
2014-04-01 01:21:52.62467	139368	19.5	1	1
2014-04-01 01:22:03.362954	139369	62	2	24
2014-04-01 01:22:03.593165	139370	17.4	1	24
2014-04-01 01:22:05.873592	139371	51	2	25
2014-04-01 01:22:06.097412	139372	18.0	1	25
2014-04-01 01:22:11.967984	139373	49	2	10
2014-04-01 01:22:12.201219	139374	20.7	1	10
2014-04-01 01:22:19.888075	139375	54	2	9
2014-04-01 01:22:20.112232	139376	20.4	1	9
2014-04-01 01:22:20.959644	139377	51	2	8
2014-04-01 01:22:21.193688	139378	19.6	1	8
2014-04-01 01:22:31.402766	139379	55	2	1
2014-04-01 01:22:31.626706	139380	19.5	1	1
2014-04-01 01:22:31.933402	139381	305	3	2
2014-04-01 01:22:32.16657	139382	1158114.8274659538	4	2
2014-04-01 01:22:42.364078	139383	62	2	24
2014-04-01 01:22:42.586587	139384	17.4	1	24
2014-04-01 01:22:44.873777	139385	51	2	25
2014-04-01 01:22:45.10488	139386	18.0	1	25
2014-04-01 01:22:50.968948	139387	49	2	10
2014-04-01 01:22:51.192779	139388	20.7	1	10
2014-04-01 01:22:58.888461	139389	54	2	9
2014-04-01 01:22:59.120952	139390	20.4	1	9
2014-04-01 01:22:59.958817	139391	51	2	8
2014-04-01 01:23:00.180229	139392	19.6	1	8
2014-04-01 01:23:10.401795	139393	55	2	1
2014-04-01 01:23:10.64385	139394	19.5	1	1
2014-04-01 01:23:21.363432	139395	62	2	24
2014-04-01 01:23:21.584828	139396	17.4	1	24
2014-04-01 01:23:23.87401	139397	51	2	25
2014-04-01 01:23:24.104929	139398	18.0	1	25
2014-04-01 01:23:29.968522	139399	49	2	10
2014-04-01 01:23:30.188694	139400	20.7	1	10
2014-04-01 01:23:31.877449	139401	305	3	2
2014-04-01 01:23:32.107917	139402	1158119.4236048395	4	2
2014-04-01 01:23:37.887341	139403	54	2	9
2014-04-01 01:23:38.109328	139404	20.4	1	9
2014-04-01 01:23:38.958182	139405	51	2	8
2014-04-01 01:23:39.189819	139406	19.6	1	8
2014-04-01 01:23:43.878584	139407	354	3	2
2014-04-01 01:23:44.103895	139408	1158120.5726395608	4	2
2014-04-01 01:23:49.403663	139409	55	2	1
2014-04-01 01:23:49.640083	139410	19.5	1	1
2014-04-01 01:23:55.880684	139411	354	3	2
2014-04-01 01:23:56.104249	139412	1158122.8707090036	4	2
2014-04-01 01:24:00.364348	139413	62	2	24
2014-04-01 01:24:00.598717	139414	17.4	1	24
2014-04-01 01:24:02.875752	139415	51	2	25
2014-04-01 01:24:03.09607	139416	18.0	1	25
2014-04-01 01:24:08.969037	139417	49	2	10
2014-04-01 01:24:09.199554	139418	20.7	1	10
2014-04-01 01:24:16.888579	139419	54	2	9
2014-04-01 01:24:17.110932	139420	20.4	1	9
2014-04-01 01:24:17.959433	139421	51	2	8
2014-04-01 01:24:18.18845	139422	19.6	1	8
2014-04-01 01:24:28.400991	139423	55	2	1
2014-04-01 01:24:28.62408	139424	19.5	1	1
2014-04-01 01:24:31.877561	139425	354	3	2
2014-04-01 01:24:32.109464	139426	1158126.3178131678	4	2
2014-04-01 01:24:39.361382	139427	62	2	24
2014-04-01 01:24:39.584461	139428	17.4	1	24
2014-04-01 01:24:41.874114	139429	51	2	25
2014-04-01 01:24:42.10479	139430	18.0	1	25
2014-04-01 01:24:47.968563	139431	49	2	10
2014-04-01 01:24:48.189534	139432	20.7	1	10
2014-04-01 01:24:55.889153	139433	54	2	9
2014-04-01 01:24:56.120801	139434	20.4	1	9
2014-04-01 01:24:56.95892	139435	51	2	8
2014-04-01 01:24:57.17913	139436	19.6	1	8
2014-04-01 01:25:07.401291	139437	55	2	1
2014-04-01 01:25:07.635595	139438	19.5	1	1
2014-04-01 01:25:18.36054	139439	62	2	24
2014-04-01 01:25:18.581613	139440	17.4	1	24
2014-04-01 01:25:20.873292	139441	51	2	25
2014-04-01 01:25:21.116152	139442	18.0	1	25
2014-04-01 01:25:26.968464	139443	49	2	10
2014-04-01 01:25:27.190165	139444	20.7	1	10
2014-04-01 01:25:31.87867	139445	354	3	2
2014-04-01 01:25:32.109357	139446	1158132.0629867748	4	2
2014-04-01 01:25:34.888234	139447	54	2	9
2014-04-01 01:25:35.111238	139448	20.4	1	9
2014-04-01 01:25:35.959854	139449	51	2	8
2014-04-01 01:25:36.19039	139450	19.6	1	8
2014-04-01 01:25:46.39851	139451	55	2	1
2014-04-01 01:25:46.619181	139452	19.5	1	1
2014-04-01 01:25:57.359281	139453	62	2	24
2014-04-01 01:25:57.590276	139454	17.4	1	24
2014-04-01 01:25:59.877861	139455	51	2	25
2014-04-01 01:26:00.124878	139456	18.0	1	25
2014-04-01 01:26:05.972386	139457	49	2	10
2014-04-01 01:26:06.205459	139458	20.7	1	10
2014-04-01 01:26:13.890322	139459	54	2	9
2014-04-01 01:26:14.110998	139460	20.4	1	9
2014-04-01 01:26:14.959214	139461	51	2	8
2014-04-01 01:26:15.189831	139462	19.6	1	8
2014-04-01 01:26:25.399486	139463	55	2	1
2014-04-01 01:26:25.621026	139464	19.5	1	1
2014-04-01 01:26:31.879124	139465	354	3	2
2014-04-01 01:26:32.110471	139466	1158137.808160382	4	2
2014-04-01 01:26:36.360072	139467	62	2	24
2014-04-01 01:26:36.580933	139468	17.4	1	24
2014-04-01 01:26:38.873501	139469	51	2	25
2014-04-01 01:26:39.106386	139470	18.0	1	25
2014-04-01 01:26:44.974961	139471	49	2	10
2014-04-01 01:26:45.196465	139472	20.7	1	10
2014-04-01 01:26:52.887577	139473	54	2	9
2014-04-01 01:26:53.119541	139474	20.4	1	9
2014-04-01 01:26:53.961376	139475	51	2	8
2014-04-01 01:26:54.183388	139476	19.6	1	8
2014-04-01 01:27:04.402424	139477	55	2	1
2014-04-01 01:27:04.633991	139478	19.5	1	1
2014-04-01 01:27:15.358305	139479	62	2	24
2014-04-01 01:27:15.579938	139480	17.4	1	24
2014-04-01 01:27:17.873289	139481	51	2	25
2014-04-01 01:27:18.105109	139482	18.0	1	25
2014-04-01 01:27:23.96923	139483	49	2	10
2014-04-01 01:27:24.19222	139484	20.7	1	10
2014-04-01 01:27:32.094023	139485	54	2	9
2014-04-01 01:27:32.325787	139486	20.4	1	9
2014-04-01 01:27:32.958298	139487	51	2	8
2014-04-01 01:27:33.181881	139488	19.6	1	8
2014-04-01 01:27:43.641302	139489	55	2	1
2014-04-01 01:27:43.884611	139490	19.5	1	1
2014-04-01 01:27:54.357585	139491	62	2	24
2014-04-01 01:27:54.578282	139492	17.4	1	24
2014-04-01 01:27:56.872411	139493	51	2	25
2014-04-01 01:27:57.103294	139494	18.0	1	25
2014-04-01 01:28:02.969786	139495	49	2	10
2014-04-01 01:28:03.192677	139496	20.7	1	10
2014-04-01 01:28:10.888004	139497	54	2	9
2014-04-01 01:28:11.121882	139498	20.4	1	9
2014-04-01 01:28:11.958587	139499	51	2	8
2014-04-01 01:28:12.381591	139500	19.6	1	8
2014-04-01 01:28:22.396903	139501	55	2	1
2014-04-01 01:28:23.146297	139502	19.5	1	1
2014-04-01 01:28:31.876577	139503	354	3	2
2014-04-01 01:28:32.132306	139504	1158149.2985075961	4	2
2014-04-01 01:28:33.358126	139505	62	2	24
2014-04-01 01:28:33.624156	139506	17.4	1	24
2014-04-01 01:28:35.872377	139507	51	2	25
2014-04-01 01:28:36.126478	139508	18.0	1	25
2014-04-01 01:28:41.969665	139509	49	2	10
2014-04-01 01:28:42.235916	139510	20.7	1	10
2014-04-01 01:28:49.886871	139511	54	2	9
2014-04-01 01:28:50.127727	139512	20.4	1	9
2014-04-01 01:28:50.958946	139513	51	2	8
2014-04-01 01:28:51.189273	139514	19.6	1	8
2014-04-01 01:29:01.40156	139515	55	2	1
2014-04-01 01:29:01.622414	139516	19.5	1	1
2014-04-01 01:29:07.877401	139517	305	3	2
2014-04-01 01:29:08.108304	139518	1158152.7456117603	4	2
2014-04-01 01:29:12.357417	139519	62	2	24
2014-04-01 01:29:12.583131	139520	17.4	1	24
2014-04-01 01:29:14.872648	139521	51	2	25
2014-04-01 01:29:15.103986	139522	18.0	1	25
2014-04-01 01:29:19.877996	139523	305	3	2
2014-04-01 01:29:20.106144	139524	1158153.8946464818	4	2
2014-04-01 01:29:20.969755	139525	49	2	10
2014-04-01 01:29:21.20078	139526	20.7	1	10
2014-04-01 01:29:28.888246	139527	54	2	9
2014-04-01 01:29:29.109045	139528	20.4	1	9
2014-04-01 01:29:29.959625	139529	51	2	8
2014-04-01 01:29:30.192412	139530	19.6	1	8
2014-04-01 01:29:31.878315	139531	305	3	2
2014-04-01 01:29:32.099741	139532	1158155.0436812032	4	2
2014-04-01 01:29:40.399549	139533	55	2	1
2014-04-01 01:29:40.632727	139534	19.5	1	1
2014-04-01 01:29:51.35593	139535	62	2	24
2014-04-01 01:29:51.578842	139536	17.4	1	24
2014-04-01 01:29:53.872305	139537	51	2	25
2014-04-01 01:29:54.114855	139538	18.0	1	25
2014-04-01 01:29:59.970585	139539	49	2	10
2014-04-01 01:30:00.193018	139540	20.7	1	10
2014-04-01 01:30:07.889145	139541	54	2	9
2014-04-01 01:30:08.120609	139542	20.4	1	9
2014-04-01 01:30:08.961436	139543	51	2	8
2014-04-01 01:30:09.183451	139544	19.6	1	8
2014-04-01 01:30:19.39963	139545	55	2	1
2014-04-01 01:30:19.633556	139546	19.4	1	1
2014-04-01 01:30:30.354754	139547	62	2	24
2014-04-01 01:30:30.970395	139548	17.4	1	24
2014-04-01 01:30:31.877687	139549	305	3	2
2014-04-01 01:30:32.10784	139550	1158160.7888548104	4	2
2014-04-01 01:30:32.874803	139551	51	2	25
2014-04-01 01:30:33.094842	139552	18.0	1	25
2014-04-01 01:30:38.971975	139553	49	2	10
2014-04-01 01:30:39.204267	139554	20.7	1	10
2014-04-01 01:30:46.888068	139555	54	2	9
2014-04-01 01:30:47.110947	139556	20.4	1	9
2014-04-01 01:30:47.959783	139557	51	2	8
2014-04-01 01:30:48.190246	139558	19.6	1	8
2014-04-01 01:30:58.397428	139559	55	2	1
2014-04-01 01:30:58.621225	139560	19.4	1	1
2014-04-01 01:31:09.355325	139561	62	2	24
2014-04-01 01:31:09.585661	139562	17.4	1	24
2014-04-01 01:31:11.873239	139563	51	2	25
2014-04-01 01:31:12.093035	139564	18.0	1	25
2014-04-01 01:31:17.972102	139565	49	2	10
2014-04-01 01:31:18.204153	139566	20.7	1	10
2014-04-01 01:31:25.890477	139567	54	2	9
2014-04-01 01:31:26.111587	139568	20.4	1	9
2014-04-01 01:31:26.960014	139569	51	2	8
2014-04-01 01:31:27.189334	139570	19.6	1	8
2014-04-01 01:31:31.880086	139571	305	3	2
2014-04-01 01:31:32.102689	139572	1158165.384993696	4	2
2014-04-01 01:31:37.398221	139573	55	2	1
2014-04-01 01:31:37.635601	139574	19.4	1	1
2014-04-01 01:31:48.354296	139575	62	2	24
2014-04-01 01:31:48.575586	139576	17.4	1	24
2014-04-01 01:31:50.872866	139577	51	2	25
2014-04-01 01:31:51.104618	139578	18.0	1	25
2014-04-01 01:31:56.974694	139579	49	2	10
2014-04-01 01:31:57.19746	139580	20.6	1	10
2014-04-01 01:32:04.886559	139581	54	2	9
2014-04-01 01:32:05.121473	139582	20.4	1	9
2014-04-01 01:32:05.961953	139583	51	2	8
2014-04-01 01:32:06.182985	139584	19.6	1	8
2014-04-01 01:32:16.399661	139585	55	2	1
2014-04-01 01:32:16.643373	139586	19.4	1	1
2014-04-01 01:32:27.353063	139587	62	2	24
2014-04-01 01:32:27.573604	139588	17.4	1	24
2014-04-01 01:32:29.871793	139589	51	2	25
2014-04-01 01:32:30.104394	139590	18.0	1	25
2014-04-01 01:32:31.87874	139591	305	3	2
2014-04-01 01:32:32.102479	139592	1158169.9811325816	4	2
2014-04-01 01:32:35.97169	139593	49	2	10
2014-04-01 01:32:36.205518	139594	20.6	1	10
2014-04-01 01:32:43.888226	139595	54	2	9
2014-04-01 01:32:44.13322	139596	20.4	1	9
2014-04-01 01:32:44.95863	139597	51	2	8
2014-04-01 01:32:45.191129	139598	19.6	1	8
2014-04-01 01:32:55.406888	139599	55	2	1
2014-04-01 01:32:55.627876	139600	19.4	1	1
2014-04-01 01:33:06.353443	139601	62	2	24
2014-04-01 01:33:06.586506	139602	17.4	1	24
2014-04-01 01:33:08.86933	139603	51	2	25
2014-04-01 01:33:09.089508	139604	18.0	1	25
2014-04-01 01:33:14.971824	139605	49	2	10
2014-04-01 01:33:15.204118	139606	20.6	1	10
2014-04-01 01:33:22.888873	139607	54	2	9
2014-04-01 01:33:23.109669	139608	20.4	1	9
2014-04-01 01:33:23.959055	139609	51	2	8
2014-04-01 01:33:24.191454	139610	19.6	1	8
2014-04-01 01:33:31.875644	139611	305	3	2
2014-04-01 01:33:32.097438	139612	1158175.7263061886	4	2
2014-04-01 01:33:34.399026	139613	55	2	1
2014-04-01 01:33:34.631603	139614	19.4	1	1
2014-04-01 01:33:45.353399	139615	62	2	24
2014-04-01 01:33:45.576467	139616	17.4	1	24
2014-04-01 01:33:47.869089	139617	51	2	25
2014-04-01 01:33:48.09908	139618	18.0	1	25
2014-04-01 01:33:53.971348	139619	49	2	10
2014-04-01 01:33:54.195964	139620	20.6	1	10
2014-04-01 01:34:01.888766	139621	54	2	9
2014-04-01 01:34:02.121068	139622	20.4	1	9
2014-04-01 01:34:02.959575	139623	51	2	8
2014-04-01 01:34:03.181293	139624	19.6	1	8
2014-04-01 01:34:13.400497	139625	55	2	1
2014-04-01 01:34:13.631617	139626	19.4	1	1
2014-04-01 01:34:24.353644	139627	62	2	24
2014-04-01 01:34:24.574693	139628	17.4	1	24
2014-04-01 01:34:26.870336	139629	51	2	25
2014-04-01 01:34:27.103169	139630	18.0	1	25
2014-04-01 01:34:31.877245	139631	338	3	2
2014-04-01 01:34:32.099439	139632	1158180.3224450743	4	2
2014-04-01 01:34:32.972514	139633	49	2	10
2014-04-01 01:34:33.214933	139634	20.6	1	10
2014-04-01 01:34:40.888843	139635	54	2	9
2014-04-01 01:34:41.110824	139636	20.4	1	9
2014-04-01 01:34:41.958719	139637	51	2	8
2014-04-01 01:34:42.189876	139638	19.6	1	8
2014-04-01 01:34:43.877743	139639	305	3	2
2014-04-01 01:34:44.098549	139640	1158181.4714797959	4	2
2014-04-01 01:34:52.397188	139641	55	2	1
2014-04-01 01:34:52.630975	139642	19.4	1	1
2014-04-01 01:34:55.874352	139643	305	3	2
2014-04-01 01:34:56.096194	139644	1158182.6205145172	4	2
2014-04-01 01:35:03.350495	139645	62	2	24
2014-04-01 01:35:03.583387	139646	17.4	1	24
2014-04-01 01:35:05.869314	139647	51	2	25
2014-04-01 01:35:06.089777	139648	18.0	1	25
2014-04-01 01:35:11.972504	139649	49	2	10
2014-04-01 01:35:12.225451	139650	20.6	1	10
2014-04-01 01:35:19.888814	139651	54	2	9
2014-04-01 01:35:20.109504	139652	20.4	1	9
2014-04-01 01:35:20.959242	139653	51	2	8
2014-04-01 01:35:21.191509	139654	19.6	1	8
2014-04-01 01:35:31.394277	139655	55	2	1
2014-04-01 01:35:31.617148	139656	19.4	1	1
2014-04-01 01:35:31.92283	139657	305	3	2
2014-04-01 01:35:32.153001	139658	1158186.0676186814	4	2
2014-04-01 01:35:42.35056	139659	62	2	24
2014-04-01 01:35:42.573304	139660	17.4	1	24
2014-04-01 01:35:44.868808	139661	51	2	25
2014-04-01 01:35:45.098066	139662	18.0	1	25
2014-04-01 01:35:50.972226	139663	49	2	10
2014-04-01 01:35:51.194245	139664	20.6	1	10
2014-04-01 01:35:58.886945	139665	54	2	9
2014-04-01 01:35:59.119698	139666	20.4	1	9
2014-04-01 01:35:59.959698	139667	51	2	8
2014-04-01 01:36:00.181248	139668	19.6	1	8
2014-04-01 01:36:10.39604	139669	55	2	1
2014-04-01 01:36:10.627443	139670	19.4	1	1
2014-04-01 01:36:19.878263	139671	354	3	2
2014-04-01 01:36:20.100411	139672	1158190.663757567	4	2
2014-04-01 01:36:21.351042	139673	62	2	24
2014-04-01 01:36:21.582732	139674	17.4	1	24
2014-04-01 01:36:23.869916	139675	51	2	25
2014-04-01 01:36:24.090566	139676	18.0	1	25
2014-04-01 01:36:29.972392	139677	49	2	10
2014-04-01 01:36:30.204295	139678	20.6	1	10
2014-04-01 01:36:31.88006	139679	354	3	2
2014-04-01 01:36:32.104305	139680	1158191.8127922886	4	2
2014-04-01 01:36:37.888508	139681	54	2	9
2014-04-01 01:36:38.136729	139682	20.3	1	9
2014-04-01 01:36:38.959258	139683	51	2	8
2014-04-01 01:36:39.180638	139684	19.6	1	8
2014-04-01 01:36:49.396372	139685	55	2	1
2014-04-01 01:36:49.627887	139686	19.4	1	1
2014-04-01 01:37:00.348256	139687	62	2	24
2014-04-01 01:37:00.575482	139688	17.4	1	24
2014-04-01 01:37:02.874395	139689	51	2	25
2014-04-01 01:37:03.106717	139690	18.0	1	25
2014-04-01 01:37:08.974205	139691	49	2	10
2014-04-01 01:37:09.197389	139692	20.6	1	10
2014-04-01 01:37:16.890992	139693	54	2	9
2014-04-01 01:37:17.123498	139694	20.3	1	9
2014-04-01 01:37:17.960526	139695	51	2	8
2014-04-01 01:37:18.182716	139696	19.6	1	8
2014-04-01 01:37:19.875867	139697	418	3	2
2014-04-01 01:37:20.109597	139698	1158196.408931174	4	2
2014-04-01 01:37:28.395242	139699	55	2	1
2014-04-01 01:37:28.617217	139700	19.4	1	1
2014-04-01 01:37:31.877865	139701	434	3	2
2014-04-01 01:37:32.113363	139702	1158197.5579658956	4	2
2014-04-01 01:37:39.347787	139703	62	2	24
2014-04-01 01:37:39.571292	139704	17.4	1	24
2014-04-01 01:37:41.868853	139705	51	2	25
2014-04-01 01:37:42.102691	139706	18.0	1	25
2014-04-01 01:37:47.973555	139707	49	2	10
2014-04-01 01:37:48.197215	139708	20.6	1	10
2014-04-01 01:37:55.888156	139709	54	2	9
2014-04-01 01:37:56.123347	139710	20.3	1	9
2014-04-01 01:37:56.958958	139711	51	2	8
2014-04-01 01:37:57.183958	139712	19.6	1	8
2014-04-01 01:38:07.393645	139713	55	2	1
2014-04-01 01:38:07.627266	139714	19.4	1	1
2014-04-01 01:38:18.348082	139715	62	2	24
2014-04-01 01:38:18.570504	139716	17.4	1	24
2014-04-01 01:38:20.867135	139717	51	2	25
2014-04-01 01:38:21.100164	139718	18.0	1	25
2014-04-01 01:38:26.972927	139719	49	2	10
2014-04-01 01:38:27.196004	139720	20.6	1	10
2014-04-01 01:38:31.879158	139721	418	3	2
2014-04-01 01:38:32.115399	139722	1158204.4521742242	4	2
2014-04-01 01:38:34.88879	139723	54	2	9
2014-04-01 01:38:35.109774	139724	20.3	1	9
2014-04-01 01:38:35.959153	139725	51	2	8
2014-04-01 01:38:36.191439	139726	19.6	1	8
2014-04-01 01:38:46.393189	139727	55	2	1
2014-04-01 01:38:46.615667	139728	19.4	1	1
2014-04-01 01:38:57.347048	139729	62	2	24
2014-04-01 01:38:57.591501	139730	17.4	1	24
2014-04-01 01:38:59.868317	139731	51	2	25
2014-04-01 01:39:00.089115	139732	18.0	1	25
2014-04-01 01:39:05.972227	139733	49	2	10
2014-04-01 01:39:06.204611	139734	20.6	1	10
2014-04-01 01:39:13.888747	139735	54	2	9
2014-04-01 01:39:14.111527	139736	20.3	1	9
2014-04-01 01:39:14.959358	139737	51	2	8
2014-04-01 01:39:15.191895	139738	19.6	1	8
2014-04-01 01:39:25.393624	139739	55	2	1
2014-04-01 01:39:25.672227	139740	19.4	1	1
2014-04-01 01:39:31.875917	139741	434	3	2
2014-04-01 01:39:32.108802	139742	1158212.495417274	4	2
2014-04-01 01:39:36.348155	139743	62	2	24
2014-04-01 01:39:36.568463	139744	17.4	1	24
2014-04-01 01:39:38.866235	139745	51	2	25
2014-04-01 01:39:39.098323	139746	18.0	1	25
2014-04-01 01:39:44.978312	139747	49	2	10
2014-04-01 01:39:45.201133	139748	20.6	1	10
2014-04-01 01:39:52.887711	139749	54	2	9
2014-04-01 01:39:53.119392	139750	20.3	1	9
2014-04-01 01:39:53.959268	139751	51	2	8
2014-04-01 01:39:54.180373	139752	19.6	1	8
2014-04-01 01:40:04.394116	139753	55	2	1
2014-04-01 01:40:04.626371	139754	19.4	1	1
2014-04-01 01:40:15.344907	139755	62	2	24
2014-04-01 01:40:15.56869	139756	17.4	1	24
2014-04-01 01:40:17.869483	139757	51	2	25
2014-04-01 01:40:18.101795	139758	18.0	1	25
2014-04-01 01:40:23.973311	139759	49	2	10
2014-04-01 01:40:24.195362	139760	20.6	1	10
2014-04-01 01:40:32.089048	139761	54	2	9
2014-04-01 01:40:32.320397	139762	20.3	1	9
2014-04-01 01:40:32.958095	139763	51	2	8
2014-04-01 01:40:33.179469	139764	19.6	1	8
2014-04-01 01:40:43.394147	139765	55	2	1
2014-04-01 01:40:43.627473	139766	19.4	1	1
2014-04-01 01:40:54.343433	139767	62	2	24
2014-04-01 01:40:54.56787	139768	17.4	1	24
2014-04-01 01:40:56.867198	139769	51	2	25
2014-04-01 01:40:57.099447	139770	18.0	1	25
2014-04-01 01:41:02.973933	139771	49	2	10
2014-04-01 01:41:03.196175	139772	20.6	1	10
2014-04-01 01:41:10.888252	139773	54	2	9
2014-04-01 01:41:11.121139	139774	20.3	1	9
2014-04-01 01:41:11.960093	139775	51	2	8
2014-04-01 01:41:12.183445	139776	19.6	1	8
2014-04-01 01:41:19.879161	139777	354	3	2
2014-04-01 01:41:20.121931	139778	1158225.1347992097	4	2
2014-04-01 01:41:22.39255	139779	55	2	1
2014-04-01 01:41:22.61482	139780	19.4	1	1
2014-04-01 01:41:31.878087	139781	354	3	2
2014-04-01 01:41:32.109493	139782	1158226.283833931	4	2
2014-04-01 01:41:33.342915	139783	62	2	24
2014-04-01 01:41:33.563173	139784	17.4	1	24
2014-04-01 01:41:35.866385	139785	51	2	25
2014-04-01 01:41:36.097359	139786	18.0	1	25
2014-04-01 01:41:41.973661	139787	49	2	10
2014-04-01 01:41:42.195674	139788	20.6	1	10
2014-04-01 01:41:49.887727	139789	54	2	9
2014-04-01 01:41:50.119543	139790	20.3	1	9
2014-04-01 01:41:50.961339	139791	51	2	8
2014-04-01 01:41:51.182942	139792	19.6	1	8
2014-04-01 01:42:01.39099	139793	55	2	1
2014-04-01 01:42:01.621431	139794	19.4	1	1
2014-04-01 01:42:12.342001	139795	62	2	24
2014-04-01 01:42:12.564104	139796	17.4	1	24
2014-04-01 01:42:14.866285	139797	51	2	25
2014-04-01 01:42:15.097011	139798	18.0	1	25
2014-04-01 01:42:20.973974	139799	49	2	10
2014-04-01 01:42:21.195544	139800	20.6	1	10
2014-04-01 01:42:28.890166	139801	54	2	9
2014-04-01 01:42:29.123249	139802	20.3	1	9
2014-04-01 01:42:29.960416	139803	51	2	8
2014-04-01 01:42:30.180686	139804	19.6	1	8
2014-04-01 01:42:31.879278	139805	370	3	2
2014-04-01 01:42:32.111491	139806	1158232.029007538	4	2
2014-04-01 01:42:40.392942	139807	55	2	1
2014-04-01 01:42:40.6164	139808	19.4	1	1
2014-04-01 01:42:51.342755	139809	62	2	24
2014-04-01 01:42:51.574077	139810	17.4	1	24
2014-04-01 01:42:53.865253	139811	51	2	25
2014-04-01 01:42:54.089357	139812	18.0	1	25
2014-04-01 01:42:59.976296	139813	49	2	10
2014-04-01 01:43:00.20879	139814	20.6	1	10
2014-04-01 01:43:07.887977	139815	54	2	9
2014-04-01 01:43:08.114131	139816	20.3	1	9
2014-04-01 01:43:08.959246	139817	51	2	8
2014-04-01 01:43:09.192628	139818	19.6	1	8
2014-04-01 01:43:19.392164	139819	55	2	1
2014-04-01 01:43:19.613903	139820	19.4	1	1
2014-04-01 01:43:30.342097	139821	62	2	24
2014-04-01 01:43:30.574136	139822	17.4	1	24
2014-04-01 01:43:31.8771	139823	354	3	2
2014-04-01 01:43:32.100552	139824	1158237.774181145	4	2
2014-04-01 01:43:32.866271	139825	51	2	25
2014-04-01 01:43:33.112749	139826	18.0	1	25
2014-04-01 01:43:38.975029	139827	49	2	10
2014-04-01 01:43:39.199369	139828	20.6	1	10
2014-04-01 01:43:46.895751	139829	54	2	9
2014-04-01 01:43:47.315058	139830	20.3	1	9
2014-04-01 01:43:47.957891	139831	51	2	8
2014-04-01 01:43:48.181	139832	19.6	1	8
2014-04-01 01:43:58.390869	139833	55	2	1
2014-04-01 01:43:58.61338	139834	19.4	1	1
2014-04-01 01:44:09.341597	139835	62	2	24
2014-04-01 01:44:09.573124	139836	17.4	1	24
2014-04-01 01:44:11.864748	139837	51	2	25
2014-04-01 01:44:12.08663	139838	18.0	1	25
2014-04-01 01:44:17.97422	139839	49	2	10
2014-04-01 01:44:18.207566	139840	20.6	1	10
2014-04-01 01:44:25.889312	139841	54	2	9
2014-04-01 01:44:26.110609	139842	20.3	1	9
2014-04-01 01:44:26.960123	139843	51	2	8
2014-04-01 01:44:27.193756	139844	19.6	1	8
2014-04-01 01:44:31.878694	139845	354	3	2
2014-04-01 01:44:32.10093	139846	1158243.5193547523	4	2
2014-04-01 01:44:37.389517	139847	55	2	1
2014-04-01 01:44:37.627905	139848	19.4	1	1
2014-04-01 01:44:48.343181	139849	62	2	24
2014-04-01 01:44:48.564446	139850	17.4	1	24
2014-04-01 01:44:50.866417	139851	51	2	25
2014-04-01 01:44:51.097449	139852	18.0	1	25
2014-04-01 01:44:56.97456	139853	49	2	10
2014-04-01 01:44:57.196828	139854	20.6	1	10
2014-04-01 01:45:04.889549	139855	54	2	9
2014-04-01 01:45:05.120249	139856	20.3	1	9
2014-04-01 01:45:05.959712	139857	51	2	8
2014-04-01 01:45:06.183077	139858	19.6	1	8
2014-04-01 01:45:16.394764	139859	55	2	1
2014-04-01 01:45:16.62942	139860	19.4	1	1
2014-04-01 01:45:27.341008	139861	62	2	24
2014-04-01 01:45:27.564785	139862	17.4	1	24
2014-04-01 01:45:29.865339	139863	51	2	25
2014-04-01 01:45:30.095673	139864	18.0	1	25
2014-04-01 01:45:31.878186	139865	354	3	2
2014-04-01 01:45:32.103142	139866	1158250.4135630806	4	2
2014-04-01 01:45:35.977776	139867	49	2	10
2014-04-01 01:45:36.211877	139868	20.6	1	10
2014-04-01 01:45:43.888279	139869	54	2	9
2014-04-01 01:45:44.111048	139870	20.3	1	9
2014-04-01 01:45:44.959403	139871	51	2	8
2014-04-01 01:45:45.189408	139872	19.6	1	8
2014-04-01 01:45:55.391908	139873	55	2	1
2014-04-01 01:45:55.623169	139874	19.4	1	1
2014-04-01 01:46:06.338857	139875	62	2	24
2014-04-01 01:46:06.583949	139876	17.4	1	24
2014-04-01 01:46:08.865725	139877	51	2	25
2014-04-01 01:46:09.086351	139878	18.0	1	25
2014-04-01 01:46:14.975471	139879	49	2	10
2014-04-01 01:46:15.210116	139880	20.6	1	10
2014-04-01 01:46:22.889263	139881	54	2	9
2014-04-01 01:46:23.114179	139882	20.3	1	9
2014-04-01 01:46:23.959121	139883	51	2	8
2014-04-01 01:46:24.191588	139884	19.6	1	8
2014-04-01 01:46:31.877735	139885	354	3	2
2014-04-01 01:46:32.099805	139886	1158256.1587366879	4	2
2014-04-01 01:46:34.388167	139887	55	2	1
2014-04-01 01:46:34.621342	139888	19.4	1	1
2014-04-01 01:46:45.337508	139889	62	2	24
2014-04-01 01:46:45.558887	139890	17.4	1	24
2014-04-01 01:46:47.865762	139891	51	2	25
2014-04-01 01:46:48.097493	139892	18.0	1	25
2014-04-01 01:46:53.978928	139893	49	2	10
2014-04-01 01:46:54.204377	139894	20.5	1	10
2014-04-01 01:47:01.887991	139895	54	2	9
2014-04-01 01:47:02.120936	139896	20.3	1	9
2014-04-01 01:47:02.959235	139897	51	2	8
2014-04-01 01:47:03.180488	139898	19.6	1	8
2014-04-01 01:47:13.391587	139899	55	2	1
2014-04-01 01:47:13.625086	139900	19.4	1	1
2014-04-01 01:47:24.338691	139901	62	2	24
2014-04-01 01:47:24.561848	139902	17.4	1	24
2014-04-01 01:47:26.864888	139903	51	2	25
2014-04-01 01:47:27.097085	139904	18.0	1	25
2014-04-01 01:47:31.878497	139905	354	3	2
2014-04-01 01:47:32.10064	139906	1158261.9039102949	4	2
2014-04-01 01:47:32.976257	139907	49	2	10
2014-04-01 01:47:33.208418	139908	20.5	1	10
2014-04-01 01:47:40.89019	139909	54	2	9
2014-04-01 01:47:41.114081	139910	20.3	1	9
2014-04-01 01:47:41.960301	139911	51	2	8
2014-04-01 01:47:42.191738	139912	19.6	1	8
2014-04-01 01:47:52.389963	139913	55	2	1
2014-04-01 01:47:52.611375	139914	19.4	1	1
2014-04-01 01:48:03.339384	139915	62	2	24
2014-04-01 01:48:03.573352	139916	17.4	1	24
2014-04-01 01:48:05.865334	139917	51	2	25
2014-04-01 01:48:06.089415	139918	18.0	1	25
2014-04-01 01:48:11.978921	139919	49	2	10
2014-04-01 01:48:12.212458	139920	20.5	1	10
2014-04-01 01:48:20.092511	139921	54	2	9
2014-04-01 01:48:20.314431	139922	20.3	1	9
2014-04-01 01:48:20.96083	139923	51	2	8
2014-04-01 01:48:21.204837	139924	19.6	1	8
2014-04-01 01:48:31.387979	139925	55	2	1
2014-04-01 01:48:31.609925	139926	19.4	1	1
2014-04-01 01:48:42.337296	139927	62	2	24
2014-04-01 01:48:42.569764	139928	17.4	1	24
2014-04-01 01:48:44.86126	139929	51	2	25
2014-04-01 01:48:45.08418	139930	18.0	1	25
2014-04-01 01:48:50.977897	139931	49	2	10
2014-04-01 01:48:51.212688	139932	20.5	1	10
2014-04-01 01:48:59.092347	139933	54	2	9
2014-04-01 01:48:59.314747	139934	20.3	1	9
2014-04-01 01:48:59.958548	139935	51	2	8
2014-04-01 01:49:00.192541	139936	19.6	1	8
2014-04-01 01:49:10.388528	139937	55	2	1
2014-04-01 01:49:10.610262	139938	19.4	1	1
2014-04-01 01:49:21.33566	139939	62	2	24
2014-04-01 01:49:21.566771	139940	17.4	1	24
2014-04-01 01:49:23.8632	139941	51	2	25
2014-04-01 01:49:24.084783	139942	18.0	1	25
2014-04-01 01:49:29.97808	139943	49	2	10
2014-04-01 01:49:30.212625	139944	20.5	1	10
2014-04-01 01:49:31.875632	139945	418	3	2
2014-04-01 01:49:32.096954	139946	1158274.5477631825	4	2
2014-04-01 01:49:37.890738	139947	54	2	9
2014-04-01 01:49:38.123058	139948	20.3	1	9
2014-04-01 01:49:38.962339	139949	51	2	8
2014-04-01 01:49:39.185373	139950	19.6	1	8
2014-04-01 01:49:49.387798	139951	55	2	1
2014-04-01 01:49:49.61923	139952	19.4	1	1
2014-04-01 01:50:00.337654	139953	62	2	24
2014-04-01 01:50:00.56132	139954	17.4	1	24
2014-04-01 01:50:02.862454	139955	51	2	25
2014-04-01 01:50:03.093615	139956	18.0	1	25
2014-04-01 01:50:08.980799	139957	49	2	10
2014-04-01 01:50:09.203849	139958	20.5	1	10
2014-04-01 01:50:16.88938	139959	54	2	9
2014-04-01 01:50:17.12265	139960	20.3	1	9
2014-04-01 01:50:17.960061	139961	51	2	8
2014-04-01 01:50:18.183139	139962	19.6	1	8
2014-04-01 01:50:28.39037	139963	55	2	1
2014-04-01 01:50:28.620361	139964	19.4	1	1
2014-04-01 01:50:31.876842	139965	418	3	2
2014-04-01 01:50:32.099222	139966	1158281.441971511	4	2
2014-04-01 01:50:39.333773	139967	62	2	24
2014-04-01 01:50:39.568218	139968	17.4	1	24
2014-04-01 01:50:41.883812	139969	51	2	25
2014-04-01 01:50:42.106995	139970	18.0	1	25
2014-04-01 01:50:47.977527	139971	49	2	10
2014-04-01 01:50:48.222366	139972	20.5	1	10
2014-04-01 01:50:55.942723	139973	54	2	9
2014-04-01 01:50:56.165587	139974	20.3	1	9
2014-04-01 01:50:56.958589	139975	51	2	8
2014-04-01 01:50:57.190983	139976	19.6	1	8
2014-04-01 01:51:07.387145	139977	55	2	1
2014-04-01 01:51:07.610635	139978	19.4	1	1
2014-04-01 01:51:18.335582	139979	62	2	24
2014-04-01 01:51:18.568954	139980	17.4	1	24
2014-04-01 01:51:20.863498	139981	51	2	25
2014-04-01 01:51:21.086471	139982	18.0	1	25
2014-04-01 01:51:26.978124	139983	49	2	10
2014-04-01 01:51:27.210347	139984	20.5	1	10
2014-04-01 01:51:31.876966	139985	418	3	2
2014-04-01 01:51:32.098238	139986	1158288.3361798397	4	2
2014-04-01 01:51:34.888836	139987	54	2	9
2014-04-01 01:51:35.11995	139988	20.3	1	9
2014-04-01 01:51:35.959393	139989	51	2	8
2014-04-01 01:51:36.201202	139990	19.6	1	8
2014-04-01 01:51:46.386843	139991	55	2	1
2014-04-01 01:51:46.620305	139992	19.4	1	1
2014-04-01 01:51:55.928559	139993	354	3	2
2014-04-01 01:51:56.150784	139994	1158290.6342492825	4	2
2014-04-01 01:51:57.331774	139995	62	2	24
2014-04-01 01:51:57.563309	139996	17.4	1	24
2014-04-01 01:51:59.865669	139997	51	2	25
2014-04-01 01:52:00.089797	139998	18.0	1	25
2014-04-01 01:52:05.982402	139999	49	2	10
2014-04-01 01:52:06.213981	140000	20.5	1	10
2014-04-01 01:52:07.876423	140001	354	3	2
2014-04-01 01:52:08.09824	140002	1158291.7832840038	4	2
2014-04-01 01:52:13.888993	140003	54	2	9
2014-04-01 01:52:14.122274	140004	20.3	1	9
2014-04-01 01:52:14.959454	140005	51	2	8
2014-04-01 01:52:15.180998	140006	19.6	1	8
2014-04-01 01:52:25.386398	140007	55	2	1
2014-04-01 01:52:25.617404	140008	19.4	1	1
2014-04-01 01:52:31.876949	140009	354	3	2
2014-04-01 01:52:32.098874	140010	1158294.0813534467	4	2
2014-04-01 01:52:36.332145	140011	62	2	24
2014-04-01 01:52:36.564802	140012	17.4	1	24
2014-04-01 01:52:38.8634	140013	51	2	25
2014-04-01 01:52:39.086474	140014	17.9	1	25
2014-04-01 01:52:44.981725	140015	49	2	10
2014-04-01 01:52:45.215445	140016	20.5	1	10
2014-04-01 01:52:52.890057	140017	54	2	9
2014-04-01 01:52:53.112006	140018	20.3	1	9
2014-04-01 01:52:53.959642	140019	51	2	8
2014-04-01 01:52:54.20258	140020	19.6	1	8
2014-04-01 01:53:04.386898	140021	55	2	1
2014-04-01 01:53:04.608557	140022	19.4	1	1
2014-04-01 01:53:15.330721	140023	62	2	24
2014-04-01 01:53:15.563452	140024	17.4	1	24
2014-04-01 01:53:17.86341	140025	51	2	25
2014-04-01 01:53:18.087108	140026	17.9	1	25
2014-04-01 01:53:23.980573	140027	49	2	10
2014-04-01 01:53:24.212244	140028	20.5	1	10
2014-04-01 01:53:32.090308	140029	54	2	9
2014-04-01 01:53:32.312467	140030	20.3	1	9
2014-04-01 01:53:32.960623	140031	51	2	8
2014-04-01 01:53:33.195236	140032	19.6	1	8
2014-04-01 01:53:43.385614	140033	55	2	1
2014-04-01 01:53:43.628896	140034	19.4	1	1
2014-04-01 01:53:54.331291	140035	62	2	24
2014-04-01 01:53:54.563699	140036	17.4	1	24
2014-04-01 01:53:55.882013	140037	305	3	2
2014-04-01 01:53:56.157217	140038	1158302.1245964966	4	2
2014-04-01 01:53:56.862951	140039	51	2	25
2014-04-01 01:53:57.096573	140040	17.9	1	25
2014-04-01 01:54:02.979088	140041	49	2	10
2014-04-01 01:54:03.20338	140042	20.5	1	10
2014-04-01 01:54:07.876416	140043	305	3	2
2014-04-01 01:54:08.112619	140044	1158303.273631218	4	2
2014-04-01 01:54:10.888589	140045	54	2	9
2014-04-01 01:54:11.112245	140046	20.3	1	9
2014-04-01 01:54:11.95818	140047	51	2	8
2014-04-01 01:54:12.191618	140048	19.6	1	8
2014-04-01 01:54:22.38572	140049	55	2	1
2014-04-01 01:54:22.610331	140050	19.4	1	1
2014-04-01 01:54:31.874821	140051	305	3	2
2014-04-01 01:54:32.106588	140052	1158305.5717006607	4	2
2014-04-01 01:54:33.329298	140053	62	2	24
2014-04-01 01:54:33.549971	140054	17.4	1	24
2014-04-01 01:54:35.86077	140055	51	2	25
2014-04-01 01:54:36.091841	140056	17.9	1	25
2014-04-01 01:54:41.978112	140057	49	2	10
2014-04-01 01:54:42.203294	140058	20.5	1	10
2014-04-01 01:54:49.887861	140059	54	2	9
2014-04-01 01:54:50.120486	140060	20.3	1	9
2014-04-01 01:54:50.959475	140061	51	2	8
2014-04-01 01:54:51.182978	140062	19.6	1	8
2014-04-01 01:55:01.384231	140063	55	2	1
2014-04-01 01:55:01.615576	140064	19.4	1	1
2014-04-01 01:55:12.329891	140065	62	2	24
2014-04-01 01:55:12.555055	140066	17.3	1	24
2014-04-01 01:55:14.86228	140067	51	2	25
2014-04-01 01:55:15.104922	140068	17.9	1	25
2014-04-01 01:55:20.978902	140069	49	2	10
2014-04-01 01:55:21.201177	140070	20.5	1	10
2014-04-01 01:55:28.887686	140071	54	2	9
2014-04-01 01:55:29.118994	140072	20.3	1	9
2014-04-01 01:55:29.959254	140073	51	2	8
2014-04-01 01:55:30.179943	140074	19.6	1	8
2014-04-01 01:55:31.876988	140075	305	3	2
2014-04-01 01:55:32.107162	140076	1158311.316874268	4	2
2014-04-01 01:55:40.385217	140077	55	2	1
2014-04-01 01:55:40.607405	140078	19.4	1	1
2014-04-01 01:55:51.329333	140079	62	2	24
2014-04-01 01:55:51.561971	140080	17.3	1	24
2014-04-01 01:55:53.86043	140081	51	2	25
2014-04-01 01:55:54.081698	140082	17.9	1	25
2014-04-01 01:55:59.980993	140083	49	2	10
2014-04-01 01:56:00.212265	140084	20.5	1	10
2014-04-01 01:56:07.886872	140085	54	2	9
2014-04-01 01:56:08.109461	140086	20.3	1	9
2014-04-01 01:56:08.959454	140087	51	2	8
2014-04-01 01:56:09.189785	140088	19.6	1	8
2014-04-01 01:56:19.384561	140089	55	2	1
2014-04-01 01:56:19.607477	140090	19.4	1	1
2014-04-01 01:56:30.329423	140091	62	2	24
2014-04-01 01:56:30.561311	140092	17.3	1	24
2014-04-01 01:56:31.874093	140093	305	3	2
2014-04-01 01:56:32.100063	140094	1158315.9130131535	4	2
2014-04-01 01:56:32.861837	140095	51	2	25
2014-04-01 01:56:33.093895	140096	17.9	1	25
2014-04-01 01:56:38.979111	140097	49	2	10
2014-04-01 01:56:39.201727	140098	20.5	1	10
2014-04-01 01:56:46.887236	140099	54	2	9
2014-04-01 01:56:47.120527	140100	20.3	1	9
2014-04-01 01:56:47.959638	140101	51	2	8
2014-04-01 01:56:48.179503	140102	19.6	1	8
2014-04-01 01:56:58.384147	140103	55	2	1
2014-04-01 01:56:58.620022	140104	19.4	1	1
2014-04-01 01:57:09.327649	140105	62	2	24
2014-04-01 01:57:09.550606	140106	17.3	1	24
2014-04-01 01:57:11.860045	140107	51	2	25
2014-04-01 01:57:12.091072	140108	17.9	1	25
2014-04-01 01:57:17.980558	140109	49	2	10
2014-04-01 01:57:18.20344	140110	20.5	1	10
2014-04-01 01:57:25.88868	140111	54	2	9
2014-04-01 01:57:26.166841	140112	20.3	1	9
2014-04-01 01:57:26.959276	140113	51	2	8
2014-04-01 01:57:27.180392	140114	19.6	1	8
2014-04-01 01:57:31.874585	140115	305	3	2
2014-04-01 01:57:32.122903	140116	1158321.6581867607	4	2
2014-04-01 01:57:37.384958	140117	55	2	1
2014-04-01 01:57:37.609	140118	19.4	1	1
2014-04-01 01:57:48.326462	140119	62	2	24
2014-04-01 01:57:48.559757	140120	17.3	1	24
2014-04-01 01:57:50.860795	140121	51	2	25
2014-04-01 01:57:51.082808	140122	17.9	1	25
2014-04-01 01:57:56.980406	140123	49	2	10
2014-04-01 01:57:57.213139	140124	20.5	1	10
2014-04-01 01:58:04.889558	140125	54	2	9
2014-04-01 01:58:05.110739	140126	20.3	1	9
2014-04-01 01:58:05.959419	140127	51	2	8
2014-04-01 01:58:06.191605	140128	19.6	1	8
2014-04-01 01:58:16.383601	140129	55	2	1
2014-04-01 01:58:16.60523	140130	19.4	1	1
2014-04-01 01:58:27.326339	140131	62	2	24
2014-04-01 01:58:27.558526	140132	17.3	1	24
2014-04-01 01:58:29.8612	140133	51	2	25
2014-04-01 01:58:30.119247	140134	17.9	1	25
2014-04-01 01:58:31.877282	140135	305	3	2
2014-04-01 01:58:32.700063	140136	1158326.2543256462	4	2
2014-04-01 01:58:35.982138	140137	49	2	10
2014-04-01 01:58:36.241558	140138	20.5	1	10
2014-04-01 01:58:43.890251	140139	54	2	9
2014-04-01 01:58:44.157049	140140	20.3	1	9
2014-04-01 01:58:44.961164	140141	51	2	8
2014-04-01 01:58:45.182418	140142	19.6	1	8
2014-04-01 01:58:55.384013	140143	55	2	1
2014-04-01 01:58:55.614568	140144	19.4	1	1
2014-04-01 01:59:06.325791	140145	62	2	24
2014-04-01 01:59:06.547043	140146	17.3	1	24
2014-04-01 01:59:08.859535	140147	51	2	25
2014-04-01 01:59:09.092572	140148	17.9	1	25
2014-04-01 01:59:14.98054	140149	49	2	10
2014-04-01 01:59:15.204763	140150	20.5	1	10
2014-04-01 01:59:22.888971	140151	54	2	9
2014-04-01 01:59:23.123424	140152	20.3	1	9
2014-04-01 01:59:23.958696	140153	51	2	8
2014-04-01 01:59:24.181609	140154	19.6	1	8
2014-04-01 01:59:31.877115	140155	305	3	2
2014-04-01 01:59:32.110174	140156	1158330.850464532	4	2
2014-04-01 01:59:34.38258	140157	54	2	1
2014-04-01 01:59:34.602666	140158	19.4	1	1
2014-04-01 01:59:45.32634	140159	62	2	24
2014-04-01 01:59:45.55733	140160	17.3	1	24
2014-04-01 01:59:47.85917	140161	51	2	25
2014-04-01 01:59:48.081199	140162	17.9	1	25
2014-04-01 01:59:53.981187	140163	49	2	10
2014-04-01 01:59:54.2254	140164	20.5	1	10
2014-04-01 02:00:01.8888	140165	54	2	9
2014-04-01 02:00:02.109665	140166	20.3	1	9
2014-04-01 02:00:03.164782	140167	51	2	8
2014-04-01 02:00:03.394286	140168	19.6	1	8
2014-04-01 02:00:13.622565	140169	54	2	1
2014-04-01 02:00:13.846871	140170	19.4	1	1
2014-04-01 02:00:24.328457	140171	62	2	24
2014-04-01 02:00:24.559117	140172	17.3	1	24
2014-04-01 02:00:26.859109	140173	51	2	25
2014-04-01 02:00:27.080933	140174	17.9	1	25
2014-04-01 02:00:31.87418	140175	305	3	2
2014-04-01 02:00:32.108941	140176	1158336.595638139	4	2
2014-04-01 02:00:32.98119	140177	49	2	10
2014-04-01 02:00:33.201348	140178	20.5	1	10
2014-04-01 02:00:40.889355	140179	54	2	9
2014-04-01 02:00:41.121372	140180	20.3	1	9
2014-04-01 02:00:41.958983	140181	51	2	8
2014-04-01 02:00:42.18272	140182	19.6	1	8
2014-04-01 02:00:43.875465	140183	338	3	2
2014-04-01 02:00:44.108629	140184	1158337.7446728605	4	2
2014-04-01 02:00:52.382502	140185	54	2	1
2014-04-01 02:00:52.602959	140186	19.4	1	1
2014-04-01 02:00:55.874563	140187	354	3	2
2014-04-01 02:00:56.120066	140188	1158338.8937075818	4	2
2014-04-01 02:01:03.32353	140189	62	2	24
2014-04-01 02:01:03.547719	140190	17.3	1	24
2014-04-01 02:01:05.858804	140191	51	2	25
2014-04-01 02:01:06.090331	140192	17.9	1	25
2014-04-01 02:01:11.981873	140193	49	2	10
2014-04-01 02:01:12.202577	140194	20.5	1	10
2014-04-01 02:01:19.88659	140195	54	2	9
2014-04-01 02:01:20.118734	140196	20.3	1	9
2014-04-01 02:01:20.959714	140197	51	2	8
2014-04-01 02:01:21.181703	140198	19.6	1	8
2014-04-01 02:01:31.622231	140199	54	2	1
2014-04-01 02:01:31.859583	140200	19.4	1	1
2014-04-01 02:01:32.164288	140201	354	3	2
2014-04-01 02:01:32.38456	140202	1158342.3408117462	4	2
2014-04-01 02:01:42.325643	140203	62	2	24
2014-04-01 02:01:42.559778	140204	17.3	1	24
2014-04-01 02:01:44.859279	140205	51	2	25
2014-04-01 02:01:45.081031	140206	17.9	1	25
2014-04-01 02:01:50.982214	140207	49	2	10
2014-04-01 02:01:51.21425	140208	20.5	1	10
2014-04-01 02:01:58.886942	140209	54	2	9
2014-04-01 02:01:59.110324	140210	20.3	1	9
2014-04-01 02:01:59.959855	140211	51	2	8
2014-04-01 02:02:00.202528	140212	19.6	1	8
2014-04-01 02:02:10.3819	140213	54	2	1
2014-04-01 02:02:10.607177	140214	19.4	1	1
2014-04-01 02:02:21.322958	140215	62	2	24
2014-04-01 02:02:21.555798	140216	17.3	1	24
2014-04-01 02:02:23.857824	140217	51	2	25
2014-04-01 02:02:24.083236	140218	17.9	1	25
2014-04-01 02:02:29.98118	140219	49	2	10
2014-04-01 02:02:30.215178	140220	20.5	1	10
2014-04-01 02:02:31.873908	140221	354	3	2
2014-04-01 02:02:32.096317	140222	1158348.0859853532	4	2
2014-04-01 02:02:37.887951	140223	54	2	9
2014-04-01 02:02:38.122917	140224	20.3	1	9
2014-04-01 02:02:38.958592	140225	51	2	8
2014-04-01 02:02:39.180643	140226	19.6	1	8
2014-04-01 02:02:49.379789	140227	54	2	1
2014-04-01 02:02:49.611936	140228	19.4	1	1
2014-04-01 02:03:00.322765	140229	62	2	24
2014-04-01 02:03:00.544441	140230	17.3	1	24
2014-04-01 02:03:02.859317	140231	51	2	25
2014-04-01 02:03:03.090755	140232	17.9	1	25
2014-04-01 02:03:08.985523	140233	49	2	10
2014-04-01 02:03:09.207365	140234	20.5	1	10
2014-04-01 02:03:16.889492	140235	54	2	9
2014-04-01 02:03:17.123274	140236	20.3	1	9
2014-04-01 02:03:17.961801	140237	51	2	8
2014-04-01 02:03:18.183127	140238	19.6	1	8
2014-04-01 02:03:28.379002	140239	54	2	1
2014-04-01 02:03:28.612459	140240	19.4	1	1
2014-04-01 02:03:31.877468	140241	354	3	2
2014-04-01 02:03:32.10398	140242	1158353.8311589602	4	2
2014-04-01 02:03:39.322117	140243	62	2	24
2014-04-01 02:03:39.557497	140244	17.3	1	24
2014-04-01 02:03:41.859557	140245	51	2	25
2014-04-01 02:03:42.081687	140246	17.9	1	25
2014-04-01 02:03:47.98391	140247	49	2	10
2014-04-01 02:03:48.215776	140248	20.5	1	10
2014-04-01 02:03:55.890183	140249	54	2	9
2014-04-01 02:03:56.113389	140250	20.3	1	9
2014-04-01 02:03:56.963204	140251	51	2	8
2014-04-01 02:03:57.193885	140252	19.6	1	8
2014-04-01 02:04:07.381191	140253	54	2	1
2014-04-01 02:04:07.602984	140254	19.4	1	1
2014-04-01 02:04:18.322082	140255	62	2	24
2014-04-01 02:04:18.554998	140256	17.3	1	24
2014-04-01 02:04:20.858225	140257	51	2	25
2014-04-01 02:04:21.0811	140258	17.9	1	25
2014-04-01 02:04:26.983823	140259	49	2	10
2014-04-01 02:04:27.22636	140260	20.5	1	10
2014-04-01 02:04:31.875833	140261	354	3	2
2014-04-01 02:04:32.10379	140262	1158359.5763325673	4	2
2014-04-01 02:04:34.887541	140263	54	2	9
2014-04-01 02:04:35.118904	140264	20.3	1	9
2014-04-01 02:04:35.958792	140265	51	2	8
2014-04-01 02:04:36.18142	140266	19.6	1	8
2014-04-01 02:04:46.379652	140267	54	2	1
2014-04-01 02:04:46.612029	140268	19.4	1	1
2014-04-01 02:04:57.320992	140269	62	2	24
2014-04-01 02:04:57.543639	140270	17.3	1	24
2014-04-01 02:04:59.857705	140271	51	2	25
2014-04-01 02:05:00.09234	140272	17.9	1	25
2014-04-01 02:05:05.981735	140273	49	2	10
2014-04-01 02:05:06.206647	140274	20.5	1	10
2014-04-01 02:05:13.889133	140275	54	2	9
2014-04-01 02:05:14.123016	140276	20.3	1	9
2014-04-01 02:05:14.95799	140277	51	2	8
2014-04-01 02:05:15.181254	140278	19.6	1	8
2014-04-01 02:05:25.37824	140279	54	2	1
2014-04-01 02:05:25.609981	140280	19.4	1	1
2014-04-01 02:05:31.87493	140281	354	3	2
2014-04-01 02:05:32.09759	140282	1158366.4705408958	4	2
2014-04-01 02:05:36.32309	140283	62	2	24
2014-04-01 02:05:36.553769	140284	17.3	1	24
2014-04-01 02:05:38.860024	140285	51	2	25
2014-04-01 02:05:39.08236	140286	17.9	1	25
2014-04-01 02:05:44.985288	140287	49	2	10
2014-04-01 02:05:45.217749	140288	20.5	1	10
2014-04-01 02:05:52.888545	140289	54	2	9
2014-04-01 02:05:53.111493	140290	20.3	1	9
2014-04-01 02:05:53.959151	140291	51	2	8
2014-04-01 02:05:54.19017	140292	19.6	1	8
2014-04-01 02:06:04.381595	140293	54	2	1
2014-04-01 02:06:04.61424	140294	19.4	1	1
2014-04-01 02:06:15.32006	140295	62	2	24
2014-04-01 02:06:15.55307	140296	17.3	1	24
2014-04-01 02:06:17.858752	140297	51	2	25
2014-04-01 02:06:18.08039	140298	17.9	1	25
2014-04-01 02:06:23.98202	140299	49	2	10
2014-04-01 02:06:24.21369	140300	20.4	1	10
2014-04-01 02:06:32.090376	140301	54	2	9
2014-04-01 02:06:32.312856	140302	20.3	1	9
2014-04-01 02:06:32.959663	140303	51	2	8
2014-04-01 02:06:33.189813	140304	19.6	1	8
2014-04-01 02:06:43.379548	140305	54	2	1
2014-04-01 02:06:43.605631	140306	19.4	1	1
2014-04-01 02:06:54.318013	140307	62	2	24
2014-04-01 02:06:54.564295	140308	17.3	1	24
2014-04-01 02:06:55.874922	140309	305	3	2
2014-04-01 02:06:56.098065	140310	1158374.5137839457	4	2
2014-04-01 02:06:57.098313	140311	51	2	25
2014-04-01 02:06:57.333112	140312	17.9	1	25
2014-04-01 02:07:02.982459	140313	49	2	10
2014-04-01 02:07:03.204486	140314	20.4	1	10
2014-04-01 02:07:07.87417	140315	305	3	2
2014-04-01 02:07:08.106239	140316	1158375.6628186672	4	2
2014-04-01 02:07:10.888763	140317	54	2	9
2014-04-01 02:07:11.109583	140318	20.3	1	9
2014-04-01 02:07:11.958212	140319	51	2	8
2014-04-01 02:07:12.189696	140320	19.6	1	8
2014-04-01 02:07:22.377127	140321	54	2	1
2014-04-01 02:07:22.600203	140322	19.4	1	1
2014-04-01 02:07:33.318484	140323	62	2	24
2014-04-01 02:07:33.550782	140324	17.3	1	24
2014-04-01 02:07:35.856848	140325	51	2	25
2014-04-01 02:07:36.077181	140326	17.9	1	25
2014-04-01 02:07:41.982147	140327	49	2	10
2014-04-01 02:07:42.215165	140328	20.4	1	10
2014-04-01 02:07:49.885839	140329	54	2	9
2014-04-01 02:07:50.107881	140330	20.3	1	9
2014-04-01 02:07:50.959049	140331	51	2	8
2014-04-01 02:07:51.191217	140332	19.6	1	8
2014-04-01 02:08:01.377382	140333	54	2	1
2014-04-01 02:08:01.604646	140334	19.4	1	1
2014-04-01 02:08:12.318318	140335	62	2	24
2014-04-01 02:08:12.550998	140336	17.3	1	24
2014-04-01 02:08:14.857943	140337	51	2	25
2014-04-01 02:08:15.080996	140338	17.9	1	25
2014-04-01 02:08:20.982295	140339	49	2	10
2014-04-01 02:08:21.214596	140340	20.4	1	10
2014-04-01 02:08:28.887123	140341	54	2	9
2014-04-01 02:08:29.109953	140342	20.3	1	9
2014-04-01 02:08:29.957798	140343	51	2	8
2014-04-01 02:08:30.190166	140344	19.6	1	8
2014-04-01 02:08:31.876164	140345	305	3	2
2014-04-01 02:08:32.103482	140346	1158382.5570269956	4	2
2014-04-01 02:08:40.377769	140347	54	2	1
2014-04-01 02:08:40.610493	140348	19.4	1	1
2014-04-01 02:08:51.316224	140349	62	2	24
2014-04-01 02:08:51.540197	140350	17.3	1	24
2014-04-01 02:08:53.858054	140351	51	2	25
2014-04-01 02:08:54.09016	140352	17.9	1	25
2014-04-01 02:08:59.981517	140353	49	2	10
2014-04-01 02:09:00.204119	140354	20.4	1	10
2014-04-01 02:09:07.890595	140355	54	2	9
2014-04-01 02:09:08.133278	140356	20.3	1	9
2014-04-01 02:09:08.960424	140357	51	2	8
2014-04-01 02:09:09.180128	140358	19.6	1	8
2014-04-01 02:09:19.375535	140359	54	2	1
2014-04-01 02:09:19.608789	140360	19.3	1	1
2014-04-01 02:09:30.317499	140361	62	2	24
2014-04-01 02:09:30.539524	140362	17.3	1	24
2014-04-01 02:09:31.87447	140363	305	3	2
2014-04-01 02:09:32.11245	140364	1158387.1531658813	4	2
2014-04-01 02:09:32.857783	140365	51	2	25
2014-04-01 02:09:33.079574	140366	17.9	1	25
2014-04-01 02:09:38.983775	140367	49	2	10
2014-04-01 02:09:39.216209	140368	20.4	1	10
2014-04-01 02:09:46.888993	140369	54	2	9
2014-04-01 02:09:47.112487	140370	20.3	1	9
2014-04-01 02:09:47.959103	140371	51	2	8
2014-04-01 02:09:48.19166	140372	19.6	1	8
2014-04-01 02:09:58.378474	140373	54	2	1
2014-04-01 02:09:58.603294	140374	19.3	1	1
2014-04-01 02:10:09.313273	140375	62	2	24
2014-04-01 02:10:09.54561	140376	17.3	1	24
2014-04-01 02:10:11.854713	140377	51	2	25
2014-04-01 02:10:12.077518	140378	17.9	1	25
2014-04-01 02:10:17.983586	140379	49	2	10
2014-04-01 02:10:18.216805	140380	20.4	1	10
2014-04-01 02:10:25.887525	140381	54	2	9
2014-04-01 02:10:26.111472	140382	20.3	1	9
2014-04-01 02:10:26.958676	140383	51	2	8
2014-04-01 02:10:27.193069	140384	19.6	1	8
2014-04-01 02:10:31.873643	140385	305	3	2
2014-04-01 02:10:32.099534	140386	1158392.8983394883	4	2
2014-04-01 02:10:37.374906	140387	54	2	1
2014-04-01 02:10:37.613302	140388	19.3	1	1
2014-04-01 02:10:48.314691	140389	62	2	24
2014-04-01 02:10:48.536234	140390	17.3	1	24
2014-04-01 02:10:50.854057	140391	51	2	25
2014-04-01 02:10:51.08476	140392	17.9	1	25
2014-04-01 02:10:56.983685	140393	49	2	10
2014-04-01 02:10:57.207863	140394	20.4	1	10
2014-04-01 02:11:04.888986	140395	54	2	9
2014-04-01 02:11:05.121109	140396	20.2	1	9
2014-04-01 02:11:05.959383	140397	51	2	8
2014-04-01 02:11:06.179492	140398	19.6	1	8
2014-04-01 02:11:16.377302	140399	54	2	1
2014-04-01 02:11:16.609413	140400	19.3	1	1
2014-04-01 02:11:27.31442	140401	62	2	24
2014-04-01 02:11:27.535997	140402	17.3	1	24
2014-04-01 02:11:29.854546	140403	51	2	25
2014-04-01 02:11:30.096336	140404	17.9	1	25
2014-04-01 02:11:31.874663	140405	305	3	2
2014-04-01 02:11:32.101791	140406	1158397.494478374	4	2
2014-04-01 02:11:35.98311	140407	49	2	10
2014-04-01 02:11:36.215477	140408	20.4	1	10
2014-04-01 02:11:43.889959	140409	54	2	9
2014-04-01 02:11:44.111742	140410	20.2	1	9
2014-04-01 02:11:44.959425	140411	51	2	8
2014-04-01 02:11:45.191077	140412	19.6	1	8
2014-04-01 02:11:55.377332	140413	54	2	1
2014-04-01 02:11:55.59792	140414	19.3	1	1
2014-04-01 02:12:06.313225	140415	62	2	24
2014-04-01 02:12:06.546409	140416	17.3	1	24
2014-04-01 02:12:08.854011	140417	51	2	25
2014-04-01 02:12:09.074898	140418	17.9	1	25
2014-04-01 02:12:14.986372	140419	49	2	10
2014-04-01 02:12:15.219254	140420	20.4	1	10
2014-04-01 02:12:22.88621	140421	54	2	9
2014-04-01 02:12:23.108192	140422	20.2	1	9
2014-04-01 02:12:23.960158	140423	51	2	8
2014-04-01 02:12:24.190553	140424	19.6	1	8
2014-04-01 02:12:31.873759	140425	305	3	2
2014-04-01 02:12:32.09565	140426	1158403.239651981	4	2
2014-04-01 02:12:34.375257	140427	54	2	1
2014-04-01 02:12:34.607802	140428	19.3	1	1
2014-04-01 02:12:45.323415	140429	62	2	24
2014-04-01 02:12:45.547699	140430	17.3	1	24
2014-04-01 02:12:47.852936	140431	51	2	25
2014-04-01 02:12:48.083969	140432	17.9	1	25
2014-04-01 02:12:53.982797	140433	49	2	10
2014-04-01 02:12:54.203761	140434	20.4	1	10
2014-04-01 02:13:01.889368	140435	54	2	9
2014-04-01 02:13:02.122667	140436	20.2	1	9
2014-04-01 02:13:02.95954	140437	51	2	8
2014-04-01 02:13:03.179462	140438	19.6	1	8
2014-04-01 02:13:13.374942	140439	54	2	1
2014-04-01 02:13:13.608097	140440	19.3	1	1
2014-04-01 02:13:24.310389	140441	62	2	24
2014-04-01 02:13:24.531446	140442	17.3	1	24
2014-04-01 02:13:26.857156	140443	51	2	25
2014-04-01 02:13:27.089308	140444	17.9	1	25
2014-04-01 02:13:31.873704	140445	338	3	2
2014-04-01 02:13:32.09697	140446	1158407.8357908668	4	2
2014-04-01 02:13:32.98383	140447	49	2	10
2014-04-01 02:13:33.215495	140448	20.4	1	10
2014-04-01 02:13:40.888534	140449	54	2	9
2014-04-01 02:13:41.109525	140450	20.2	1	9
2014-04-01 02:13:41.958999	140451	51	2	8
2014-04-01 02:13:42.202073	140452	19.6	1	8
2014-04-01 02:13:52.177011	140453	305	3	2
2014-04-01 02:13:52.399506	140454	1158408.984825588	4	2
2014-04-01 02:13:52.702949	140455	54	2	1
2014-04-01 02:13:52.937527	140456	19.3	1	1
2014-04-01 02:13:55.875119	140457	354	3	2
2014-04-01 02:13:56.099612	140458	1158410.1338603096	4	2
2014-04-01 02:14:03.310512	140459	62	2	24
2014-04-01 02:14:03.541835	140460	17.3	1	24
2014-04-01 02:14:05.855083	140461	51	2	25
2014-04-01 02:14:06.075911	140462	17.9	1	25
2014-04-01 02:14:07.876239	140463	354	3	2
2014-04-01 02:14:08.108049	140464	1158411.282895031	4	2
2014-04-01 02:14:11.984228	140465	49	2	10
2014-04-01 02:14:12.206531	140466	20.4	1	10
2014-04-01 02:14:19.890727	140467	54	2	9
2014-04-01 02:14:20.123193	140468	20.2	1	9
2014-04-01 02:14:20.958898	140469	51	2	8
2014-04-01 02:14:21.179391	140470	19.6	1	8
2014-04-01 02:14:31.37551	140471	54	2	1
2014-04-01 02:14:31.608118	140472	19.3	1	1
2014-04-01 02:14:31.922794	140473	354	3	2
2014-04-01 02:14:32.164141	140474	1158413.5809644738	4	2
2014-04-01 02:14:42.310219	140475	62	2	24
2014-04-01 02:14:42.543236	140476	17.3	1	24
2014-04-01 02:14:44.853084	140477	51	2	25
2014-04-01 02:14:45.077246	140478	17.9	1	25
2014-04-01 02:14:50.985605	140479	49	2	10
2014-04-01 02:14:51.21695	140480	20.4	1	10
2014-04-01 02:14:58.888685	140481	54	2	9
2014-04-01 02:14:59.112189	140482	20.2	1	9
2014-04-01 02:14:59.961761	140483	51	2	8
2014-04-01 02:15:00.192597	140484	19.6	1	8
2014-04-01 02:15:10.373435	140485	54	2	1
2014-04-01 02:15:10.594369	140486	19.3	1	1
2014-04-01 02:15:21.309779	140487	62	2	24
2014-04-01 02:15:21.54088	140488	17.3	1	24
2014-04-01 02:15:23.852557	140489	51	2	25
2014-04-01 02:15:24.076307	140490	17.9	1	25
2014-04-01 02:15:29.985334	140491	49	2	10
2014-04-01 02:15:30.218978	140492	20.4	1	10
2014-04-01 02:15:31.873596	140493	354	3	2
2014-04-01 02:15:32.101527	140494	1158419.3261380808	4	2
2014-04-01 02:15:37.890742	140495	54	2	9
2014-04-01 02:15:38.128795	140496	20.2	1	9
2014-04-01 02:15:38.959139	140497	51	2	8
2014-04-01 02:15:39.18311	140498	19.6	1	8
2014-04-01 02:15:49.374027	140499	54	2	1
2014-04-01 02:15:49.616171	140500	19.3	1	1
2014-04-01 02:16:00.314765	140501	62	2	24
2014-04-01 02:16:00.535559	140502	17.3	1	24
2014-04-01 02:16:02.853706	140503	51	2	25
2014-04-01 02:16:03.088016	140504	17.9	1	25
2014-04-01 02:16:08.988859	140505	49	2	10
2014-04-01 02:16:09.212951	140506	20.4	1	10
2014-04-01 02:16:16.888895	140507	54	2	9
2014-04-01 02:16:17.120361	140508	20.2	1	9
2014-04-01 02:16:17.958709	140509	51	2	8
2014-04-01 02:16:18.180631	140510	19.6	1	8
2014-04-01 02:16:28.374354	140511	54	2	1
2014-04-01 02:16:28.644752	140512	19.3	1	1
2014-04-01 02:16:31.87477	140513	354	3	2
2014-04-01 02:16:32.100371	140514	1158425.071311688	4	2
2014-04-01 02:16:39.308769	140515	62	2	24
2014-04-01 02:16:39.541542	140516	17.3	1	24
2014-04-01 02:16:41.851875	140517	51	2	25
2014-04-01 02:16:42.073476	140518	17.9	1	25
2014-04-01 02:16:47.986085	140519	49	2	10
2014-04-01 02:16:48.219356	140520	20.4	1	10
2014-04-01 02:16:55.889094	140521	54	2	9
2014-04-01 02:16:56.111186	140522	20.2	1	9
2014-04-01 02:16:56.960022	140523	51	2	8
2014-04-01 02:16:57.209199	140524	19.6	1	8
2014-04-01 02:17:07.373081	140525	54	2	1
2014-04-01 02:17:07.595223	140526	19.3	1	1
2014-04-01 02:17:18.307486	140527	62	2	24
2014-04-01 02:17:18.540432	140528	17.3	1	24
2014-04-01 02:17:20.852857	140529	51	2	25
2014-04-01 02:17:21.078637	140530	17.9	1	25
2014-04-01 02:17:26.985529	140531	49	2	10
2014-04-01 02:17:27.217578	140532	20.4	1	10
2014-04-01 02:17:31.874658	140533	354	3	2
2014-04-01 02:17:32.103126	140534	1158431.9655200164	4	2
2014-04-01 02:17:34.888637	140535	54	2	9
2014-04-01 02:17:35.121136	140536	20.2	1	9
2014-04-01 02:17:35.963604	140537	51	2	8
2014-04-01 02:17:36.187877	140538	19.6	1	8
2014-04-01 02:17:46.372145	140539	54	2	1
2014-04-01 02:17:46.60629	140540	19.3	1	1
2014-04-01 02:17:57.307684	140541	62	2	24
2014-04-01 02:17:57.531302	140542	17.3	1	24
2014-04-01 02:17:59.851662	140543	51	2	25
2014-04-01 02:18:00.082826	140544	17.9	1	25
2014-04-01 02:18:05.985439	140545	49	2	10
2014-04-01 02:18:06.210208	140546	20.4	1	10
2014-04-01 02:18:13.891222	140547	54	2	9
2014-04-01 02:18:14.134481	140548	20.2	1	9
2014-04-01 02:18:14.958029	140549	51	2	8
2014-04-01 02:18:15.181683	140550	19.6	1	8
2014-04-01 02:18:25.371986	140551	54	2	1
2014-04-01 02:18:25.606167	140552	19.3	1	1
2014-04-01 02:18:31.87313	140553	370	3	2
2014-04-01 02:18:32.097656	140554	1158437.7106936236	4	2
2014-04-01 02:18:36.306052	140555	62	2	24
2014-04-01 02:18:36.536836	140556	17.3	1	24
2014-04-01 02:18:38.851783	140557	51	2	25
2014-04-01 02:18:39.073994	140558	17.9	1	25
2014-04-01 02:18:43.874981	140559	305	3	2
2014-04-01 02:18:44.109892	140560	1158438.859728345	4	2
2014-04-01 02:18:44.985279	140561	49	2	10
2014-04-01 02:18:45.207806	140562	20.4	1	10
2014-04-01 02:18:52.889285	140563	54	2	9
2014-04-01 02:18:53.12157	140564	20.2	1	9
2014-04-01 02:18:53.959154	140565	51	2	8
2014-04-01 02:18:54.18008	140566	19.6	1	8
2014-04-01 02:18:55.872878	140567	305	3	2
2014-04-01 02:18:56.103402	140568	1158440.0087630663	4	2
2014-04-01 02:19:04.37384	140569	54	2	1
2014-04-01 02:19:04.597399	140570	19.3	1	1
2014-04-01 02:19:07.873157	140571	354	3	2
2014-04-01 02:19:08.105071	140572	1158441.1577977878	4	2
2014-04-01 02:19:15.30582	140573	62	2	24
2014-04-01 02:19:15.527243	140574	17.3	1	24
2014-04-01 02:19:17.853324	140575	51	2	25
2014-04-01 02:19:18.083873	140576	17.9	1	25
2014-04-01 02:19:19.87567	140577	338	3	2
2014-04-01 02:19:20.09709	140578	1158441.1577977878	4	2
2014-04-01 02:19:23.986369	140579	49	2	10
2014-04-01 02:19:24.219451	140580	20.4	1	10
2014-04-01 02:19:32.089027	140581	54	2	9
2014-04-01 02:19:32.311357	140582	20.2	1	9
2014-04-01 02:19:32.959522	140583	51	2	8
2014-04-01 02:19:33.190406	140584	19.6	1	8
2014-04-01 02:19:43.372388	140585	54	2	1
2014-04-01 02:19:43.594681	140586	19.3	1	1
2014-04-01 02:19:43.908217	140587	305	3	2
2014-04-01 02:19:44.141419	140588	1158443.4558672307	4	2
2014-04-01 02:19:54.304779	140589	62	2	24
2014-04-01 02:19:54.526851	140590	17.2	1	24
2014-04-01 02:19:55.875051	140591	338	3	2
2014-04-01 02:19:56.106172	140592	1158444.604901952	4	2
2014-04-01 02:19:56.900539	140593	51	2	25
2014-04-01 02:19:57.123358	140594	17.9	1	25
2014-04-01 02:20:02.988223	140595	49	2	10
2014-04-01 02:20:03.231466	140596	20.4	1	10
2014-04-01 02:20:07.874688	140597	338	3	2
2014-04-01 02:20:08.098178	140598	1158445.7539366735	4	2
2014-04-01 02:20:10.889018	140599	54	2	9
2014-04-01 02:20:11.123265	140600	20.2	1	9
2014-04-01 02:20:11.960784	140601	51	2	8
2014-04-01 02:20:12.182858	140602	19.6	1	8
2014-04-01 02:20:22.371521	140603	54	2	1
2014-04-01 02:20:22.603376	140604	19.3	1	1
2014-04-01 02:20:31.874847	140605	305	3	2
2014-04-01 02:20:32.099087	140606	1158448.0520061164	4	2
2014-04-01 02:20:33.306732	140607	62	2	24
2014-04-01 02:20:33.537907	140608	17.2	1	24
2014-04-01 02:20:35.850368	140609	51	2	25
2014-04-01 02:20:36.073973	140610	17.9	1	25
2014-04-01 02:20:41.987092	140611	49	2	10
2014-04-01 02:20:42.221129	140612	20.4	1	10
2014-04-01 02:20:43.874927	140613	305	3	2
2014-04-01 02:20:44.097922	140614	1158449.2010408377	4	2
2014-04-01 02:20:49.898282	140615	54	2	9
2014-04-01 02:20:50.131999	140616	20.2	1	9
2014-04-01 02:20:50.959411	140617	51	2	8
2014-04-01 02:20:51.18079	140618	19.6	1	8
2014-04-01 02:21:01.371455	140619	54	2	1
2014-04-01 02:21:01.604406	140620	19.3	1	1
2014-04-01 02:21:07.875476	140621	338	3	2
2014-04-01 02:21:08.099008	140622	1158451.4991102805	4	2
2014-04-01 02:21:12.303714	140623	62	2	24
2014-04-01 02:21:12.536233	140624	17.2	1	24
2014-04-01 02:21:14.850983	140625	51	2	25
2014-04-01 02:21:15.073218	140626	17.9	1	25
2014-04-01 02:21:19.873559	140627	305	3	2
2014-04-01 02:21:20.109542	140628	1158452.6481450018	4	2
2014-04-01 02:21:20.987126	140629	49	2	10
2014-04-01 02:21:21.209817	140630	20.4	1	10
2014-04-01 02:21:28.886927	140631	54	2	9
2014-04-01 02:21:29.118882	140632	20.2	1	9
2014-04-01 02:21:29.959506	140633	51	2	8
2014-04-01 02:21:30.183494	140634	19.6	1	8
2014-04-01 02:21:31.873024	140635	305	3	2
2014-04-01 02:21:32.111207	140636	1158453.7971797234	4	2
2014-04-01 02:21:40.371096	140637	54	2	1
2014-04-01 02:21:40.593608	140638	19.3	1	1
2014-04-01 02:21:43.873807	140639	338	3	2
2014-04-01 02:21:44.106832	140640	1158454.9462144447	4	2
2014-04-01 02:21:51.30251	140641	62	2	24
2014-04-01 02:21:51.525958	140642	17.2	1	24
2014-04-01 02:21:53.850789	140643	51	2	25
2014-04-01 02:21:54.093169	140644	17.9	1	25
2014-04-01 02:21:55.873017	140645	338	3	2
2014-04-01 02:21:56.095267	140646	1158456.0952491662	4	2
2014-04-01 02:21:59.986306	140647	49	2	10
2014-04-01 02:22:00.404722	140648	20.4	1	10
2014-04-01 02:22:07.889705	140649	54	2	9
2014-04-01 02:22:08.11589	140650	20.2	1	9
2014-04-01 02:22:08.957829	140651	51	2	8
2014-04-01 02:22:09.177754	140652	19.6	1	8
2014-04-01 02:22:19.370457	140653	54	2	1
2014-04-01 02:22:19.600914	140654	19.3	1	1
2014-04-01 02:22:19.908114	140655	289	3	2
2014-04-01 02:22:20.128117	140656	1158457.2442838876	4	2
2014-04-01 02:22:30.30317	140657	62	2	24
2014-04-01 02:22:30.536124	140658	17.2	1	24
2014-04-01 02:22:31.872297	140659	289	3	2
2014-04-01 02:22:32.097893	140660	1158458.393318609	4	2
2014-04-01 02:22:32.857164	140661	51	2	25
2014-04-01 02:22:33.089421	140662	17.9	1	25
2014-04-01 02:22:38.986296	140663	49	2	10
2014-04-01 02:22:39.208948	140664	20.4	1	10
2014-04-01 02:22:46.888798	140665	54	2	9
2014-04-01 02:22:47.120432	140666	20.2	1	9
2014-04-01 02:22:47.95776	140667	51	2	8
2014-04-01 02:22:48.178126	140668	19.6	1	8
2014-04-01 02:22:58.370681	140669	54	2	1
2014-04-01 02:22:58.604057	140670	19.3	1	1
2014-04-01 02:23:09.300477	140671	62	2	24
2014-04-01 02:23:09.52583	140672	17.2	1	24
2014-04-01 02:23:11.849252	140673	51	2	25
2014-04-01 02:23:12.079332	140674	17.9	1	25
2014-04-01 02:23:17.987764	140675	49	2	10
2014-04-01 02:23:18.209612	140676	20.4	1	10
2014-04-01 02:23:25.889263	140677	54	2	9
2014-04-01 02:23:26.119524	140678	20.2	1	9
2014-04-01 02:23:27.005664	140679	51	2	8
2014-04-01 02:23:27.236909	140680	19.6	1	8
2014-04-01 02:23:31.872166	140681	289	3	2
2014-04-01 02:23:32.108634	140682	1158464.1384922161	4	2
2014-04-01 02:23:37.371459	140683	54	2	1
2014-04-01 02:23:37.600107	140684	19.3	1	1
2014-04-01 02:23:48.299806	140685	62	2	24
2014-04-01 02:23:48.532133	140686	17.2	1	24
2014-04-01 02:23:50.849828	140687	51	2	25
2014-04-01 02:23:51.071191	140688	17.9	1	25
2014-04-01 02:23:57.035246	140689	49	2	10
2014-04-01 02:23:57.266723	140690	20.4	1	10
2014-04-01 02:24:04.886303	140691	54	2	9
2014-04-01 02:24:05.108545	140692	20.2	1	9
2014-04-01 02:24:05.958639	140693	51	2	8
2014-04-01 02:24:06.19901	140694	19.6	1	8
2014-04-01 02:24:16.369118	140695	54	2	1
2014-04-01 02:24:16.590295	140696	19.3	1	1
2014-04-01 02:24:27.299256	140697	62	2	24
2014-04-01 02:24:27.531289	140698	17.2	1	24
2014-04-01 02:24:29.851718	140699	51	2	25
2014-04-01 02:24:30.071576	140700	17.9	1	25
2014-04-01 02:24:31.873519	140701	305	3	2
2014-04-01 02:24:32.111132	140702	1158468.7346311018	4	2
2014-04-01 02:24:35.988527	140703	49	2	10
2014-04-01 02:24:36.209969	140704	20.4	1	10
2014-04-01 02:24:43.889315	140705	54	2	9
2014-04-01 02:24:44.122461	140706	20.2	1	9
2014-04-01 02:24:44.958784	140707	51	2	8
2014-04-01 02:24:45.179722	140708	19.6	1	8
2014-04-01 02:24:55.367655	140709	54	2	1
2014-04-01 02:24:55.599247	140710	19.3	1	1
2014-04-01 02:25:06.299267	140711	62	2	24
2014-04-01 02:25:06.521589	140712	17.2	1	24
2014-04-01 02:25:08.851956	140713	51	2	25
2014-04-01 02:25:09.084223	140714	17.9	1	25
2014-04-01 02:25:14.98983	140715	49	2	10
2014-04-01 02:25:15.213123	140716	20.4	1	10
2014-04-01 02:25:19.875251	140717	354	3	2
2014-04-01 02:25:20.109572	140718	1158473.3307699873	4	2
2014-04-01 02:25:22.891185	140719	54	2	9
2014-04-01 02:25:23.113732	140720	20.2	1	9
2014-04-01 02:25:23.960642	140721	51	2	8
2014-04-01 02:25:24.193255	140722	19.6	1	8
2014-04-01 02:25:31.871864	140723	354	3	2
2014-04-01 02:25:32.102899	140724	1158474.4798047089	4	2
2014-04-01 02:25:34.368009	140725	54	2	1
2014-04-01 02:25:34.597795	140726	19.3	1	1
2014-04-01 02:25:45.299166	140727	62	2	24
2014-04-01 02:25:45.520588	140728	17.2	1	24
2014-04-01 02:25:47.849716	140729	51	2	25
2014-04-01 02:25:48.084416	140730	17.9	1	25
2014-04-01 02:25:53.990684	140731	49	2	10
2014-04-01 02:25:54.2137	140732	20.3	1	10
2014-04-01 02:26:01.888099	140733	54	2	9
2014-04-01 02:26:02.123182	140734	20.2	1	9
2014-04-01 02:26:02.958957	140735	51	2	8
2014-04-01 02:26:03.182142	140736	19.6	1	8
2014-04-01 02:26:13.369316	140737	54	2	1
2014-04-01 02:26:13.601707	140738	19.3	1	1
2014-04-01 02:26:24.298758	140739	62	2	24
2014-04-01 02:26:24.521296	140740	17.2	1	24
2014-04-01 02:26:26.848616	140741	51	2	25
2014-04-01 02:26:27.146219	140742	17.9	1	25
2014-04-01 02:26:31.872879	140743	354	3	2
2014-04-01 02:26:32.10305	140744	1158480.2249783159	4	2
2014-04-01 02:26:32.989054	140745	49	2	10
2014-04-01 02:26:33.22163	140746	20.3	1	10
2014-04-01 02:26:40.889523	140747	54	2	9
2014-04-01 02:26:41.110371	140748	20.2	1	9
2014-04-01 02:26:41.958585	140749	51	2	8
2014-04-01 02:26:42.189171	140750	19.6	1	8
2014-04-01 02:26:52.3676	140751	54	2	1
2014-04-01 02:26:52.590576	140752	19.3	1	1
2014-04-01 02:27:03.300081	140753	62	2	24
2014-04-01 02:27:03.532402	140754	17.2	1	24
2014-04-01 02:27:05.849269	140755	51	2	25
2014-04-01 02:27:06.06904	140756	17.9	1	25
2014-04-01 02:27:11.997097	140757	49	2	10
2014-04-01 02:27:12.22974	140758	20.3	1	10
2014-04-01 02:27:19.889021	140759	54	2	9
2014-04-01 02:27:20.108557	140760	20.2	1	9
2014-04-01 02:27:20.956848	140761	51	2	8
2014-04-01 02:27:21.187006	140762	19.6	1	8
2014-04-01 02:27:31.367392	140763	54	2	1
2014-04-01 02:27:31.589194	140764	19.3	1	1
2014-04-01 02:27:31.893688	140765	354	3	2
2014-04-01 02:27:32.131517	140766	1158485.970151923	4	2
2014-04-01 02:27:42.296057	140767	62	2	24
2014-04-01 02:27:42.519212	140768	17.2	1	24
2014-04-01 02:27:44.84874	140769	51	2	25
2014-04-01 02:27:45.079674	140770	17.9	1	25
2014-04-01 02:27:50.989023	140771	49	2	10
2014-04-01 02:27:51.210077	140772	20.3	1	10
2014-04-01 02:27:58.888942	140773	54	2	9
2014-04-01 02:27:59.120741	140774	20.2	1	9
2014-04-01 02:27:59.958868	140775	51	2	8
2014-04-01 02:28:00.179862	140776	19.6	1	8
2014-04-01 02:28:10.364655	140777	54	2	1
2014-04-01 02:28:10.598168	140778	19.3	1	1
2014-04-01 02:28:21.297553	140779	62	2	24
2014-04-01 02:28:21.519612	140780	17.2	1	24
2014-04-01 02:28:23.846496	140781	51	2	25
2014-04-01 02:28:24.078491	140782	17.9	1	25
2014-04-01 02:28:29.988862	140783	49	2	10
2014-04-01 02:28:30.210605	140784	20.3	1	10
2014-04-01 02:28:31.873191	140785	354	3	2
2014-04-01 02:28:32.107455	140786	1158491.7153255302	4	2
2014-04-01 02:28:37.888794	140787	54	2	9
2014-04-01 02:28:38.113609	140788	20.2	1	9
2014-04-01 02:28:38.960474	140789	51	2	8
2014-04-01 02:28:39.203826	140790	19.6	1	8
2014-04-01 02:28:49.365085	140791	54	2	1
2014-04-01 02:28:49.588643	140792	19.3	1	1
2014-04-01 02:29:00.295499	140793	62	2	24
2014-04-01 02:29:00.527194	140794	17.2	1	24
2014-04-01 02:29:02.84866	140795	51	2	25
2014-04-01 02:29:03.073485	140796	17.9	1	25
2014-04-01 02:29:08.994532	140797	49	2	10
2014-04-01 02:29:09.225755	140798	20.3	1	10
2014-04-01 02:29:16.885886	140799	54	2	9
2014-04-01 02:29:17.109417	140800	20.2	1	9
2014-04-01 02:29:17.956966	140801	51	2	8
2014-04-01 02:29:18.189519	140802	19.6	1	8
2014-04-01 02:29:28.365385	140803	54	2	1
2014-04-01 02:29:28.586805	140804	19.3	1	1
2014-04-01 02:29:31.872863	140805	354	3	2
2014-04-01 02:29:32.104105	140806	1158497.4604991372	4	2
2014-04-01 02:29:39.295599	140807	62	2	24
2014-04-01 02:29:39.516144	140808	17.2	1	24
2014-04-01 02:29:41.845753	140809	51	2	25
2014-04-01 02:29:42.076427	140810	17.9	1	25
2014-04-01 02:29:47.989346	140811	49	2	10
2014-04-01 02:29:48.212133	140812	20.3	1	10
2014-04-01 02:29:55.888068	140813	54	2	9
2014-04-01 02:29:56.120241	140814	20.2	1	9
2014-04-01 02:29:56.959818	140815	51	2	8
2014-04-01 02:29:57.236302	140816	19.6	1	8
2014-04-01 02:30:07.364372	140817	54	2	1
2014-04-01 02:30:07.596758	140818	19.3	1	1
2014-04-01 02:30:18.293401	140819	62	2	24
2014-04-01 02:30:18.516373	140820	17.2	1	24
2014-04-01 02:30:20.849099	140821	51	2	25
2014-04-01 02:30:21.080139	140822	17.9	1	25
2014-04-01 02:30:26.991041	140823	49	2	10
2014-04-01 02:30:27.268183	140824	20.3	1	10
2014-04-01 02:30:34.700498	140825	354	3	2
2014-04-01 02:30:34.935454	140826	1158503.2056727442	4	2
2014-04-01 02:30:35.240219	140827	54	2	9
2014-04-01 02:30:35.461135	140828	20.2	1	9
2014-04-01 02:30:35.962065	140829	51	2	8
2014-04-01 02:30:36.193227	140830	19.6	1	8
2014-04-01 02:30:46.36592	140831	54	2	1
2014-04-01 02:30:46.587432	140832	19.3	1	1
2014-04-01 02:30:55.872088	140833	305	3	2
2014-04-01 02:30:56.105294	140834	1158505.503742187	4	2
2014-04-01 02:30:57.53404	140835	62	2	24
2014-04-01 02:30:57.756344	140836	17.2	1	24
2014-04-01 02:30:59.845667	140837	51	2	25
2014-04-01 02:31:00.090424	140838	17.9	1	25
2014-04-01 02:31:05.991995	140839	49	2	10
2014-04-01 02:31:06.21386	140840	20.3	1	10
2014-04-01 02:31:07.87383	140841	305	3	2
2014-04-01 02:31:08.105985	140842	1158506.6527769084	4	2
2014-04-01 02:31:13.889051	140843	54	2	9
2014-04-01 02:31:14.114075	140844	20.2	1	9
2014-04-01 02:31:14.958718	140845	51	2	8
2014-04-01 02:31:15.191936	140846	19.5	1	8
2014-04-01 02:31:25.363285	140847	54	2	1
2014-04-01 02:31:25.584542	140848	19.3	1	1
2014-04-01 02:31:31.872473	140849	305	3	2
2014-04-01 02:31:32.105763	140850	1158508.9508463512	4	2
2014-04-01 02:31:36.292231	140851	62	2	24
2014-04-01 02:31:36.513194	140852	17.2	1	24
2014-04-01 02:31:38.845869	140853	51	2	25
2014-04-01 02:31:39.079578	140854	17.9	1	25
2014-04-01 02:31:44.994733	140855	49	2	10
2014-04-01 02:31:45.21962	140856	20.3	1	10
2014-04-01 02:31:52.888442	140857	54	2	9
2014-04-01 02:31:53.12223	140858	20.2	1	9
2014-04-01 02:31:53.959731	140859	51	2	8
2014-04-01 02:31:54.183869	140860	19.5	1	8
2014-04-01 02:32:04.362309	140861	54	2	1
2014-04-01 02:32:04.593603	140862	19.3	1	1
2014-04-01 02:32:07.870946	140863	338	3	2
2014-04-01 02:32:08.093186	140864	1158512.3979505156	4	2
2014-04-01 02:32:15.292809	140865	62	2	24
2014-04-01 02:32:15.525368	140866	17.2	1	24
2014-04-01 02:32:17.846505	140867	51	2	25
2014-04-01 02:32:18.068203	140868	17.8	1	25
2014-04-01 02:32:19.872765	140869	305	3	2
2014-04-01 02:32:20.103043	140870	1158513.546985237	4	2
2014-04-01 02:32:23.991277	140871	49	2	10
2014-04-01 02:32:24.21403	140872	20.3	1	10
2014-04-01 02:32:32.09066	140873	54	2	9
2014-04-01 02:32:32.32368	140874	20.2	1	9
2014-04-01 02:32:32.959827	140875	51	2	8
2014-04-01 02:32:33.180529	140876	19.5	1	8
2014-04-01 02:32:43.367756	140877	54	2	1
2014-04-01 02:32:43.602335	140878	19.3	1	1
2014-04-01 02:32:43.906161	140879	370	3	2
2014-04-01 02:32:44.126725	140880	1158515.8450546798	4	2
2014-04-01 02:32:54.292351	140881	62	2	24
2014-04-01 02:32:54.525706	140882	17.2	1	24
2014-04-01 02:32:55.872465	140883	370	3	2
2014-04-01 02:32:56.093504	140884	1158516.994089401	4	2
2014-04-01 02:32:56.845024	140885	51	2	25
2014-04-01 02:32:57.087874	140886	17.8	1	25
2014-04-01 02:33:02.990207	140887	49	2	10
2014-04-01 02:33:03.214454	140888	20.3	1	10
2014-04-01 02:33:10.88791	140889	54	2	9
2014-04-01 02:33:11.122366	140890	20.2	1	9
2014-04-01 02:33:11.958893	140891	51	2	8
2014-04-01 02:33:12.179939	140892	19.5	1	8
2014-04-01 02:33:22.364831	140893	54	2	1
2014-04-01 02:33:22.598644	140894	19.3	1	1
2014-04-01 02:33:31.872139	140895	370	3	2
2014-04-01 02:33:32.094116	140896	1158520.4411935655	4	2
2014-04-01 02:33:33.290678	140897	62	2	24
2014-04-01 02:33:33.523583	140898	17.2	1	24
2014-04-01 02:33:35.844926	140899	51	2	25
2014-04-01 02:33:36.065306	140900	17.8	1	25
2014-04-01 02:33:41.991136	140901	49	2	10
2014-04-01 02:33:42.222781	140902	20.3	1	10
2014-04-01 02:33:49.887939	140903	54	2	9
2014-04-01 02:33:50.110713	140904	20.2	1	9
2014-04-01 02:33:50.957799	140905	51	2	8
2014-04-01 02:33:51.187777	140906	19.5	1	8
2014-04-01 02:34:01.364183	140907	54	2	1
2014-04-01 02:34:01.588453	140908	19.3	1	1
2014-04-01 02:34:12.291193	140909	62	2	24
2014-04-01 02:34:12.522818	140910	17.2	1	24
2014-04-01 02:34:14.844276	140911	51	2	25
2014-04-01 02:34:15.065991	140912	17.8	1	25
2014-04-01 02:34:20.992082	140913	49	2	10
2014-04-01 02:34:21.223398	140914	20.3	1	10
2014-04-01 02:34:28.887094	140915	54	2	9
2014-04-01 02:34:29.109178	140916	20.2	1	9
2014-04-01 02:34:29.958836	140917	51	2	8
2014-04-01 02:34:30.1893	140918	19.5	1	8
2014-04-01 02:34:31.872712	140919	370	3	2
2014-04-01 02:34:32.094894	140920	1158526.1863671725	4	2
2014-04-01 02:34:40.363956	140921	54	2	1
2014-04-01 02:34:40.595143	140922	19.3	1	1
2014-04-01 02:34:51.295841	140923	62	2	24
2014-04-01 02:34:51.519175	140924	17.2	1	24
2014-04-01 02:34:53.844421	140925	51	2	25
2014-04-01 02:34:54.076763	140926	17.8	1	25
2014-04-01 02:34:59.991972	140927	48	2	10
2014-04-01 02:35:00.215057	140928	20.3	1	10
2014-04-01 02:35:07.888288	140929	54	2	9
2014-04-01 02:35:08.120634	140930	20.1	1	9
2014-04-01 02:35:08.958281	140931	51	2	8
2014-04-01 02:35:09.18048	140932	19.5	1	8
2014-04-01 02:35:19.363082	140933	54	2	1
2014-04-01 02:35:19.605496	140934	19.3	1	1
2014-04-01 02:35:30.290655	140935	62	2	24
2014-04-01 02:35:30.512792	140936	17.2	1	24
2014-04-01 02:35:31.873708	140937	354	3	2
2014-04-01 02:35:32.104701	140938	1158533.080575501	4	2
2014-04-01 02:35:32.846113	140939	51	2	25
2014-04-01 02:35:33.071488	140940	17.8	1	25
2014-04-01 02:35:38.993047	140941	48	2	10
2014-04-01 02:35:39.224556	140942	20.3	1	10
2014-04-01 02:35:46.888846	140943	54	2	9
2014-04-01 02:35:47.111547	140944	20.1	1	9
2014-04-01 02:35:47.960486	140945	51	2	8
2014-04-01 02:35:48.192194	140946	19.5	1	8
2014-04-01 02:35:58.36305	140947	54	2	1
2014-04-01 02:35:58.583773	140948	19.3	1	1
2014-04-01 02:36:09.288321	140949	62	2	24
2014-04-01 02:36:09.520593	140950	17.2	1	24
2014-04-01 02:36:11.844337	140951	51	2	25
2014-04-01 02:36:12.066628	140952	17.8	1	25
2014-04-01 02:36:17.992829	140953	48	2	10
2014-04-01 02:36:18.224798	140954	20.3	1	10
2014-04-01 02:36:25.88525	140955	54	2	9
2014-04-01 02:36:26.108169	140956	20.1	1	9
2014-04-01 02:36:26.962163	140957	51	2	8
2014-04-01 02:36:27.194648	140958	19.5	1	8
2014-04-01 02:36:31.872888	140959	354	3	2
2014-04-01 02:36:32.09935	140960	1158538.825749108	4	2
2014-04-01 02:36:37.362712	140961	54	2	1
2014-04-01 02:36:37.598752	140962	19.3	1	1
2014-04-01 02:36:48.287938	140963	62	2	24
2014-04-01 02:36:48.51606	140964	17.2	1	24
2014-04-01 02:36:50.844169	140965	51	2	25
2014-04-01 02:36:51.076244	140966	17.8	1	25
2014-04-01 02:36:56.990926	140967	48	2	10
2014-04-01 02:36:57.214621	140968	20.3	1	10
2014-04-01 02:37:04.888233	140969	54	2	9
2014-04-01 02:37:05.12002	140970	20.1	1	9
2014-04-01 02:37:05.958451	140971	51	2	8
2014-04-01 02:37:06.181156	140972	19.5	1	8
2014-04-01 02:37:16.361472	140973	54	2	1
2014-04-01 02:37:16.593419	140974	19.3	1	1
2014-04-01 02:37:27.286694	140975	62	2	24
2014-04-01 02:37:27.564769	140976	17.2	1	24
2014-04-01 02:37:29.845163	140977	51	2	25
2014-04-01 02:37:30.075122	140978	17.8	1	25
2014-04-01 02:37:31.873092	140979	354	3	2
2014-04-01 02:37:32.094334	140980	1158544.5709227151	4	2
2014-04-01 02:37:35.991277	140981	48	2	10
2014-04-01 02:37:36.234198	140982	20.3	1	10
2014-04-01 02:37:44.089183	140983	54	2	9
2014-04-01 02:37:44.313718	140984	20.1	1	9
2014-04-01 02:37:44.958949	140985	51	2	8
2014-04-01 02:37:45.189089	140986	19.5	1	8
2014-04-01 02:37:55.36242	140987	54	2	1
2014-04-01 02:37:55.583238	140988	19.3	1	1
2014-04-01 02:37:55.890939	140989	418	3	2
2014-04-01 02:37:56.121321	140990	1158548.0180268793	4	2
2014-04-01 02:38:06.287797	140991	62	2	24
2014-04-01 02:38:06.511245	140992	17.2	1	24
2014-04-01 02:38:08.842154	140993	51	2	25
2014-04-01 02:38:09.075103	140994	17.8	1	25
2014-04-01 02:38:14.992497	140995	48	2	10
2014-04-01 02:38:15.215463	140996	20.3	1	10
2014-04-01 02:38:22.885955	140997	54	2	9
2014-04-01 02:38:23.117191	140998	20.1	1	9
2014-04-01 02:38:23.958471	140999	51	2	8
2014-04-01 02:38:24.180234	141000	19.5	1	8
2014-04-01 02:38:31.871195	141001	418	3	2
2014-04-01 02:38:32.102066	141002	1158551.4651310437	4	2
2014-04-01 02:38:34.363013	141003	54	2	1
2014-04-01 02:38:34.584659	141004	19.3	1	1
2014-04-01 02:38:45.285901	141005	62	2	24
2014-04-01 02:38:45.520335	141006	17.2	1	24
2014-04-01 02:38:47.843018	141007	51	2	25
2014-04-01 02:38:48.063425	141008	17.8	1	25
2014-04-01 02:38:53.991002	141009	48	2	10
2014-04-01 02:38:54.22427	141010	20.3	1	10
2014-04-01 02:39:01.889228	141011	54	2	9
2014-04-01 02:39:02.114146	141012	20.1	1	9
2014-04-01 02:39:02.958941	141013	51	2	8
2014-04-01 02:39:03.190343	141014	19.5	1	8
2014-04-01 02:39:13.362088	141015	54	2	1
2014-04-01 02:39:13.586508	141016	19.3	1	1
2014-04-01 02:39:24.285712	141017	62	2	24
2014-04-01 02:39:24.518602	141018	17.2	1	24
2014-04-01 02:39:26.842631	141019	51	2	25
2014-04-01 02:39:27.063415	141020	17.8	1	25
2014-04-01 02:39:31.872406	141021	418	3	2
2014-04-01 02:39:32.103101	141022	1158557.214775603	4	2
2014-04-01 02:39:32.992886	141023	48	2	10
2014-04-01 02:39:33.215995	141024	20.2	1	10
2014-04-01 02:39:40.887814	141025	54	2	9
2014-04-01 02:39:41.118966	141026	20.1	1	9
2014-04-01 02:39:41.958501	141027	51	2	8
2014-04-01 02:39:42.178069	141028	19.5	1	8
2014-04-01 02:39:52.360443	141029	54	2	1
2014-04-01 02:39:52.605326	141030	19.3	1	1
2014-04-01 02:40:03.284996	141031	62	2	24
2014-04-01 02:40:03.507787	141032	17.2	1	24
2014-04-01 02:40:05.841585	141033	51	2	25
2014-04-01 02:40:06.072597	141034	17.8	1	25
2014-04-01 02:40:11.993655	141035	48	2	10
2014-04-01 02:40:12.215062	141036	20.2	1	10
2014-04-01 02:40:19.88713	141037	54	2	9
2014-04-01 02:40:20.118783	141038	20.1	1	9
2014-04-01 02:40:20.958279	141039	51	2	8
2014-04-01 02:40:21.179568	141040	19.5	1	8
2014-04-01 02:40:31.358466	141041	54	2	1
2014-04-01 02:40:31.591182	141042	19.3	1	1
2014-04-01 02:40:31.898469	141043	418	3	2
2014-04-01 02:40:32.119469	141044	1158564.1089839314	4	2
2014-04-01 02:40:42.282939	141045	62	2	24
2014-04-01 02:40:42.51415	141046	17.2	1	24
2014-04-01 02:40:44.843456	141047	51	2	25
2014-04-01 02:40:45.064527	141048	17.8	1	25
2014-04-01 02:40:50.991912	141049	48	2	10
2014-04-01 02:40:51.223137	141050	20.2	1	10
2014-04-01 02:40:58.889895	141051	54	2	9
2014-04-01 02:40:59.111331	141052	20.1	1	9
2014-04-01 02:40:59.957888	141053	51	2	8
2014-04-01 02:41:00.187274	141054	19.5	1	8
2014-04-01 02:41:10.357597	141055	54	2	1
2014-04-01 02:41:10.581559	141056	19.2	1	1
2014-04-01 02:41:21.28361	141057	62	2	24
2014-04-01 02:41:21.520905	141058	17.2	1	24
2014-04-01 02:41:23.841908	141059	51	2	25
2014-04-01 02:41:24.06532	141060	17.8	1	25
2014-04-01 02:41:29.994985	141061	48	2	10
2014-04-01 02:41:30.226577	141062	20.2	1	10
2014-04-01 02:41:31.872041	141063	418	3	2
2014-04-01 02:41:32.095756	141064	1158572.1522269812	4	2
2014-04-01 02:41:37.887138	141065	54	2	9
2014-04-01 02:41:38.121375	141066	20.1	1	9
2014-04-01 02:41:38.961454	141067	51	2	8
2014-04-01 02:41:39.182774	141068	19.5	1	8
2014-04-01 02:41:49.35844	141069	54	2	1
2014-04-01 02:41:49.590409	141070	19.2	1	1
2014-04-01 02:42:00.282364	141071	62	2	24
2014-04-01 02:42:00.504206	141072	17.2	1	24
2014-04-01 02:42:02.841405	141073	51	2	25
2014-04-01 02:42:03.079494	141074	17.8	1	25
2014-04-01 02:42:08.996296	141075	48	2	10
2014-04-01 02:42:09.220191	141076	20.2	1	10
2014-04-01 02:42:16.887281	141077	54	2	9
2014-04-01 02:42:17.131372	141078	20.1	1	9
2014-04-01 02:42:17.957667	141079	51	2	8
2014-04-01 02:42:18.180468	141080	19.5	1	8
2014-04-01 02:42:28.359905	141081	54	2	1
2014-04-01 02:42:28.591231	141082	19.2	1	1
2014-04-01 02:42:31.870701	141083	418	3	2
2014-04-01 02:42:32.091619	141084	1158579.0464353098	4	2
2014-04-01 02:42:39.281976	141085	62	2	24
2014-04-01 02:42:39.515126	141086	17.2	1	24
2014-04-01 02:42:41.840629	141087	51	2	25
2014-04-01 02:42:42.061697	141088	17.8	1	25
2014-04-01 02:42:47.993172	141089	48	2	10
2014-04-01 02:42:48.226713	141090	20.2	1	10
2014-04-01 02:42:55.889676	141091	54	2	9
2014-04-01 02:42:56.111573	141092	20.1	1	9
2014-04-01 02:42:56.958329	141093	51	2	8
2014-04-01 02:42:57.190365	141094	19.5	1	8
2014-04-01 02:43:07.359938	141095	54	2	1
2014-04-01 02:43:07.582471	141096	19.2	1	1
2014-04-01 02:43:18.283071	141097	62	2	24
2014-04-01 02:43:18.515278	141098	17.2	1	24
2014-04-01 02:43:20.839287	141099	51	2	25
2014-04-01 02:43:21.06144	141100	17.8	1	25
2014-04-01 02:43:26.993651	141101	48	2	10
2014-04-01 02:43:27.226485	141102	20.2	1	10
2014-04-01 02:43:31.871955	141103	418	3	2
2014-04-01 02:43:32.092942	141104	1158585.9406436384	4	2
2014-04-01 02:43:34.889005	141105	54	2	9
2014-04-01 02:43:35.123447	141106	20.1	1	9
2014-04-01 02:43:35.95858	141107	51	2	8
2014-04-01 02:43:36.178794	141108	19.5	1	8
2014-04-01 02:43:46.359606	141109	54	2	1
2014-04-01 02:43:46.591265	141110	19.2	1	1
2014-04-01 02:43:57.280517	141111	62	2	24
2014-04-01 02:43:57.542394	141112	17.2	1	24
2014-04-01 02:43:59.842047	141113	51	2	25
2014-04-01 02:44:00.073007	141114	17.8	1	25
2014-04-01 02:44:05.994084	141115	48	2	10
2014-04-01 02:44:06.21519	141116	20.2	1	10
2014-04-01 02:44:07.873593	141117	370	3	2
2014-04-01 02:44:08.104217	141118	1158589.3877478025	4	2
2014-04-01 02:44:13.888616	141119	54	2	9
2014-04-01 02:44:14.11124	141120	20.1	1	9
2014-04-01 02:44:14.957739	141121	51	2	8
2014-04-01 02:44:15.188546	141122	19.5	1	8
2014-04-01 02:44:19.872405	141123	370	3	2
2014-04-01 02:44:20.096796	141124	1158590.5367825238	4	2
2014-04-01 02:44:25.358878	141125	54	2	1
2014-04-01 02:44:25.607636	141126	19.2	1	1
2014-04-01 02:44:31.871186	141127	370	3	2
2014-04-01 02:44:32.092059	141128	1158591.6858172454	4	2
2014-04-01 02:44:36.281818	141129	62	2	24
2014-04-01 02:44:36.515821	141130	17.2	1	24
2014-04-01 02:44:38.84098	141131	51	2	25
2014-04-01 02:44:39.061829	141132	17.8	1	25
2014-04-01 02:44:44.997206	141133	48	2	10
2014-04-01 02:44:45.229203	141134	20.2	1	10
2014-04-01 02:44:52.886267	141135	54	2	9
2014-04-01 02:44:53.107645	141136	20.1	1	9
2014-04-01 02:44:53.959003	141137	51	2	8
2014-04-01 02:44:54.191471	141138	19.5	1	8
2014-04-01 02:45:04.357708	141139	54	2	1
2014-04-01 02:45:04.580484	141140	19.2	1	1
2014-04-01 02:45:07.871654	141141	402	3	2
2014-04-01 02:45:08.102201	141142	1158596.281956131	4	2
2014-04-01 02:45:15.518931	141143	62	2	24
2014-04-01 02:45:15.740935	141144	17.2	1	24
2014-04-01 02:45:17.838414	141145	51	2	25
2014-04-01 02:45:18.06946	141146	17.8	1	25
2014-04-01 02:45:19.87176	141147	370	3	2
2014-04-01 02:45:20.093267	141148	1158597.4309908524	4	2
2014-04-01 02:45:23.994423	141149	48	2	10
2014-04-01 02:45:24.226289	141150	20.2	1	10
2014-04-01 02:45:32.089479	141151	54	2	9
2014-04-01 02:45:32.311336	141152	20.1	1	9
2014-04-01 02:45:32.958464	141153	51	2	8
2014-04-01 02:45:33.191248	141154	19.5	1	8
2014-04-01 02:45:43.358403	141155	54	2	1
2014-04-01 02:45:43.581518	141156	19.2	1	1
2014-04-01 02:45:54.277313	141157	62	2	24
2014-04-01 02:45:54.510414	141158	17.2	1	24
2014-04-01 02:45:56.84197	141159	51	2	25
2014-04-01 02:45:57.063595	141160	17.8	1	25
2014-04-01 02:46:02.995873	141161	48	2	10
2014-04-01 02:46:03.227672	141162	20.2	1	10
2014-04-01 02:46:10.891228	141163	54	2	9
2014-04-01 02:46:11.11341	141164	20.1	1	9
2014-04-01 02:46:11.958131	141165	51	2	8
2014-04-01 02:46:12.187684	141166	19.5	1	8
2014-04-01 02:46:22.355494	141167	54	2	1
2014-04-01 02:46:22.57891	141168	19.2	1	1
2014-04-01 02:46:31.874316	141169	370	3	2
2014-04-01 02:46:32.106572	141170	1158604.325199181	4	2
2014-04-01 02:46:33.277303	141171	62	2	24
2014-04-01 02:46:33.498263	141172	17.2	1	24
2014-04-01 02:46:35.838225	141173	51	2	25
2014-04-01 02:46:36.08287	141174	17.8	1	25
2014-04-01 02:46:41.997029	141175	48	2	10
2014-04-01 02:46:42.219206	141176	20.2	1	10
2014-04-01 02:46:49.889198	141177	54	2	9
2014-04-01 02:46:50.123316	141178	20.1	1	9
2014-04-01 02:46:50.95994	141179	51	2	8
2014-04-01 02:46:51.182827	141180	19.5	1	8
2014-04-01 02:47:01.356844	141181	54	2	1
2014-04-01 02:47:01.587106	141182	19.2	1	1
2014-04-01 02:47:12.277126	141183	62	2	24
2014-04-01 02:47:12.498985	141184	17.2	1	24
2014-04-01 02:47:14.837808	141185	51	2	25
2014-04-01 02:47:15.071693	141186	17.8	1	25
2014-04-01 02:47:20.995169	141187	48	2	10
2014-04-01 02:47:21.219573	141188	20.2	1	10
2014-04-01 02:47:28.889199	141189	54	2	9
2014-04-01 02:47:29.124371	141190	20.1	1	9
2014-04-01 02:47:29.958659	141191	51	2	8
2014-04-01 02:47:30.184776	141192	19.5	1	8
2014-04-01 02:47:31.873172	141193	370	3	2
2014-04-01 02:47:32.108778	141194	1158610.070372788	4	2
2014-04-01 02:47:40.356082	141195	54	2	1
2014-04-01 02:47:40.578854	141196	19.2	1	1
2014-04-01 02:47:43.872979	141197	305	3	2
2014-04-01 02:47:44.107353	141198	1158611.2194075093	4	2
2014-04-01 02:47:51.277102	141199	62	2	24
2014-04-01 02:47:51.501468	141200	17.2	1	24
2014-04-01 02:47:53.8393	141201	51	2	25
2014-04-01 02:47:54.069794	141202	17.8	1	25
2014-04-01 02:47:55.873024	141203	305	3	2
2014-04-01 02:47:56.095955	141204	1158612.3684422309	4	2
2014-04-01 02:47:59.995363	141205	48	2	10
2014-04-01 02:48:00.229751	141206	20.2	1	10
2014-04-01 02:48:07.887759	141207	54	2	9
2014-04-01 02:48:08.110631	141208	20.1	1	9
2014-04-01 02:48:08.958027	141209	51	2	8
2014-04-01 02:48:09.191289	141210	19.5	1	8
2014-04-01 02:48:19.352263	141211	54	2	1
2014-04-01 02:48:19.574524	141212	19.2	1	1
2014-04-01 02:48:30.278666	141213	62	2	24
2014-04-01 02:48:30.509328	141214	17.2	1	24
2014-04-01 02:48:31.870438	141215	305	3	2
2014-04-01 02:48:32.091887	141216	1158615.815546395	4	2
2014-04-01 02:48:32.838774	141217	51	2	25
2014-04-01 02:48:33.076034	141218	17.8	1	25
2014-04-01 02:48:38.997748	141219	48	2	10
2014-04-01 02:48:39.220295	141220	20.2	1	10
2014-04-01 02:48:46.886673	141221	54	2	9
2014-04-01 02:48:47.129812	141222	20.1	1	9
2014-04-01 02:48:47.957826	141223	51	2	8
2014-04-01 02:48:48.178125	141224	19.5	1	8
2014-04-01 02:48:55.871922	141225	338	3	2
2014-04-01 02:48:56.107544	141226	1158618.1136158379	4	2
2014-04-01 02:48:58.356216	141227	54	2	1
2014-04-01 02:48:58.576421	141228	19.2	1	1
2014-04-01 02:49:07.871601	141229	305	3	2
2014-04-01 02:49:08.103969	141230	1158619.2626505594	4	2
2014-04-01 02:49:09.273277	141231	62	2	24
2014-04-01 02:49:09.498523	141232	17.2	1	24
2014-04-01 02:49:11.838415	141233	51	2	25
2014-04-01 02:49:12.068151	141234	17.8	1	25
2014-04-01 02:49:17.995037	141235	48	2	10
2014-04-01 02:49:18.21746	141236	20.2	1	10
2014-04-01 02:49:19.872583	141237	305	3	2
2014-04-01 02:49:20.105241	141238	1158620.4116852807	4	2
2014-04-01 02:49:25.897495	141239	54	2	9
2014-04-01 02:49:26.119716	141240	20.1	1	9
2014-04-01 02:49:26.956557	141241	51	2	8
2014-04-01 02:49:27.187919	141242	19.5	1	8
2014-04-01 02:49:31.870763	141243	305	3	2
2014-04-01 02:49:32.095825	141244	1158620.4116852807	4	2
2014-04-01 02:49:37.354569	141245	54	2	1
2014-04-01 02:49:37.592758	141246	19.2	1	1
2014-04-01 02:49:48.274671	141247	62	2	24
2014-04-01 02:49:48.498714	141248	17.2	1	24
2014-04-01 02:49:50.837728	141249	51	2	25
2014-04-01 02:49:51.068103	141250	17.8	1	25
2014-04-01 02:49:56.996617	141251	48	2	10
2014-04-01 02:49:57.219365	141252	20.2	1	10
2014-04-01 02:50:04.886587	141253	54	2	9
2014-04-01 02:50:05.118793	141254	20.1	1	9
2014-04-01 02:50:05.957021	141255	51	2	8
2014-04-01 02:50:06.179501	141256	19.5	1	8
2014-04-01 02:50:16.354284	141257	54	2	1
2014-04-01 02:50:16.586426	141258	19.2	1	1
2014-04-01 02:50:27.274563	141259	62	2	24
2014-04-01 02:50:27.496899	141260	17.1	1	24
2014-04-01 02:50:29.839775	141261	51	2	25
2014-04-01 02:50:30.069916	141262	17.8	1	25
2014-04-01 02:50:31.871346	141263	305	3	2
2014-04-01 02:50:32.092552	141264	1158626.1568588878	4	2
2014-04-01 02:50:35.995384	141265	48	2	10
2014-04-01 02:50:36.225795	141266	20.2	1	10
2014-04-01 02:50:43.886953	141267	54	2	9
2014-04-01 02:50:44.107693	141268	20.1	1	9
2014-04-01 02:50:44.958837	141269	51	2	8
2014-04-01 02:50:45.201195	141270	19.5	1	8
2014-04-01 02:50:55.352105	141271	54	2	1
2014-04-01 02:50:55.609036	141272	19.2	1	1
2014-04-01 02:51:06.273496	141273	62	2	24
2014-04-01 02:51:06.53874	141274	17.1	1	24
2014-04-01 02:51:07.87024	141275	354	3	2
2014-04-01 02:51:08.125203	141276	1158629.6039630522	4	2
2014-04-01 02:51:08.840426	141277	51	2	25
2014-04-01 02:51:09.10975	141278	17.8	1	25
2014-04-01 02:51:15.013847	141279	48	2	10
2014-04-01 02:51:15.769211	141280	20.2	1	10
2014-04-01 02:51:19.874183	141281	354	3	2
2014-04-01 02:51:20.158766	141282	1158630.7529977735	4	2
2014-04-01 02:51:22.889614	141283	54	2	9
2014-04-01 02:51:23.310591	141284	20.1	1	9
2014-04-01 02:51:23.974941	141285	51	2	8
2014-04-01 02:51:24.241429	141286	19.5	1	8
2014-04-01 02:51:31.872738	141287	354	3	2
2014-04-01 02:51:32.09386	141288	1158631.902032495	4	2
2014-04-01 02:51:34.352535	141289	54	2	1
2014-04-01 02:51:34.583984	141290	19.2	1	1
2014-04-01 02:51:45.272644	141291	62	2	24
2014-04-01 02:51:45.49489	141292	17.1	1	24
2014-04-01 02:51:47.836352	141293	51	2	25
2014-04-01 02:51:48.070615	141294	17.8	1	25
2014-04-01 02:51:53.998074	141295	48	2	10
2014-04-01 02:51:54.219973	141296	20.2	1	10
2014-04-01 02:52:01.889591	141297	54	2	9
2014-04-01 02:52:02.1215	141298	20.1	1	9
2014-04-01 02:52:02.961162	141299	51	2	8
2014-04-01 02:52:03.182122	141300	19.5	1	8
2014-04-01 02:52:13.352519	141301	54	2	1
2014-04-01 02:52:13.584558	141302	19.2	1	1
2014-04-01 02:52:24.272381	141303	62	2	24
2014-04-01 02:52:24.495192	141304	17.1	1	24
2014-04-01 02:52:26.839668	141305	51	2	25
2014-04-01 02:52:27.07438	141306	17.8	1	25
2014-04-01 02:52:31.870379	141307	354	3	2
2014-04-01 02:52:32.093604	141308	1158637.647206102	4	2
2014-04-01 02:52:32.998634	141309	48	2	10
2014-04-01 02:52:33.229416	141310	20.2	1	10
2014-04-01 02:52:40.887303	141311	54	2	9
2014-04-01 02:52:41.113355	141312	20.1	1	9
2014-04-01 02:52:41.957952	141313	51	2	8
2014-04-01 02:52:42.190951	141314	19.5	1	8
2014-04-01 02:52:52.350468	141315	54	2	1
2014-04-01 02:52:52.593248	141316	19.2	1	1
2014-04-01 02:53:03.270449	141317	62	2	24
2014-04-01 02:53:03.513228	141318	17.1	1	24
2014-04-01 02:53:05.834745	141319	51	2	25
2014-04-01 02:53:06.055013	141320	17.8	1	25
2014-04-01 02:53:11.996838	141321	48	2	10
2014-04-01 02:53:12.228933	141322	20.2	1	10
2014-04-01 02:53:19.889019	141323	54	2	9
2014-04-01 02:53:20.11056	141324	20.1	1	9
2014-04-01 02:53:20.956667	141325	51	2	8
2014-04-01 02:53:21.188647	141326	19.5	1	8
2014-04-01 02:53:31.350915	141327	54	2	1
2014-04-01 02:53:31.571558	141328	19.2	1	1
2014-04-01 02:53:31.877134	141329	338	3	2
2014-04-01 02:53:32.106547	141330	1158643.392379709	4	2
2014-04-01 02:53:42.273358	141331	62	2	24
2014-04-01 02:53:42.494535	141332	17.1	1	24
2014-04-01 02:53:44.835339	141333	51	2	25
2014-04-01 02:53:45.065018	141334	17.8	1	25
2014-04-01 02:53:50.998454	141335	48	2	10
2014-04-01 02:53:51.21786	141336	20.2	1	10
2014-04-01 02:53:58.888848	141337	54	2	9
2014-04-01 02:53:59.120779	141338	20.1	1	9
2014-04-01 02:53:59.958488	141339	51	2	8
2014-04-01 02:54:00.17822	141340	19.5	1	8
2014-04-01 02:54:10.351912	141341	54	2	1
2014-04-01 02:54:10.583151	141342	19.2	1	1
2014-04-01 02:54:21.270256	141343	62	2	24
2014-04-01 02:54:21.493355	141344	17.1	1	24
2014-04-01 02:54:23.835491	141345	51	2	25
2014-04-01 02:54:24.066782	141346	17.8	1	25
2014-04-01 02:54:29.997651	141347	48	2	10
2014-04-01 02:54:30.218149	141348	20.2	1	10
2014-04-01 02:54:31.872264	141349	354	3	2
2014-04-01 02:54:32.103139	141350	1158649.137553316	4	2
2014-04-01 02:54:37.889295	141351	54	2	9
2014-04-01 02:54:38.110388	141352	20.1	1	9
2014-04-01 02:54:38.956589	141353	51	2	8
2014-04-01 02:54:39.187822	141354	19.5	1	8
2014-04-01 02:54:49.350566	141355	54	2	1
2014-04-01 02:54:49.573875	141356	19.2	1	1
2014-04-01 02:55:00.269213	141357	62	2	24
2014-04-01 02:55:00.503606	141358	17.1	1	24
2014-04-01 02:55:03.077675	141359	51	2	25
2014-04-01 02:55:03.300248	141360	17.8	1	25
2014-04-01 02:55:09.000586	141361	48	2	10
2014-04-01 02:55:09.233219	141362	20.2	1	10
2014-04-01 02:55:16.887634	141363	54	2	9
2014-04-01 02:55:17.110359	141364	20.1	1	9
2014-04-01 02:55:17.959336	141365	51	2	8
2014-04-01 02:55:18.201726	141366	19.5	1	8
2014-04-01 02:55:28.35154	141367	54	2	1
2014-04-01 02:55:28.575324	141368	19.2	1	1
2014-04-01 02:55:31.871498	141369	354	3	2
2014-04-01 02:55:32.103386	141370	1158654.882726923	4	2
2014-04-01 02:55:39.26793	141371	62	2	24
2014-04-01 02:55:39.489329	141372	17.1	1	24
2014-04-01 02:55:41.835258	141373	51	2	25
2014-04-01 02:55:42.066897	141374	17.8	1	25
2014-04-01 02:55:47.998511	141375	48	2	10
2014-04-01 02:55:48.220922	141376	20.1	1	10
2014-04-01 02:55:55.888685	141377	54	2	9
2014-04-01 02:55:56.120379	141378	20.1	1	9
2014-04-01 02:55:56.95827	141379	51	2	8
2014-04-01 02:55:57.179906	141380	19.5	1	8
2014-04-01 02:56:07.349846	141381	54	2	1
2014-04-01 02:56:07.581695	141382	19.2	1	1
2014-04-01 02:56:18.268266	141383	62	2	24
2014-04-01 02:56:18.490222	141384	17.1	1	24
2014-04-01 02:56:20.834307	141385	51	2	25
2014-04-01 02:56:21.066128	141386	17.8	1	25
2014-04-01 02:56:26.998729	141387	48	2	10
2014-04-01 02:56:27.220114	141388	20.1	1	10
2014-04-01 02:56:31.871519	141389	305	3	2
2014-04-01 02:56:32.103535	141390	1158660.6279005304	4	2
2014-04-01 02:56:34.889241	141391	54	2	9
2014-04-01 02:56:35.109197	141392	20.1	1	9
2014-04-01 02:56:35.95864	141393	51	2	8
2014-04-01 02:56:36.191308	141394	19.5	1	8
2014-04-01 02:56:43.874709	141395	305	3	2
2014-04-01 02:56:44.098163	141396	1158661.7769352517	4	2
2014-04-01 02:56:46.349966	141397	54	2	1
2014-04-01 02:56:46.581438	141398	19.2	1	1
2014-04-01 02:56:57.266073	141399	62	2	24
2014-04-01 02:56:57.488857	141400	17.1	1	24
2014-04-01 02:56:59.835207	141401	51	2	25
2014-04-01 02:57:00.06688	141402	17.8	1	25
2014-04-01 02:57:05.998311	141403	48	2	10
2014-04-01 02:57:06.223483	141404	20.1	1	10
2014-04-01 02:57:13.892944	141405	54	2	9
2014-04-01 02:57:14.128605	141406	20.1	1	9
2014-04-01 02:57:14.960132	141407	51	2	8
2014-04-01 02:57:15.181605	141408	19.5	1	8
2014-04-01 02:57:25.349814	141409	54	2	1
2014-04-01 02:57:25.580459	141410	19.2	1	1
2014-04-01 02:57:31.868593	141411	305	3	2
2014-04-01 02:57:32.093347	141412	1158666.3730741374	4	2
2014-04-01 02:57:36.266012	141413	62	2	24
2014-04-01 02:57:36.5097	141414	17.1	1	24
2014-04-01 02:57:38.833965	141415	51	2	25
2014-04-01 02:57:39.059199	141416	17.8	1	25
2014-04-01 02:57:45.003956	141417	48	2	10
2014-04-01 02:57:45.235555	141418	20.1	1	10
2014-04-01 02:57:52.88877	141419	54	2	9
2014-04-01 02:57:53.111978	141420	20.1	1	9
2014-04-01 02:57:53.957217	141421	51	2	8
2014-04-01 02:57:54.189018	141422	19.5	1	8
2014-04-01 02:58:04.347749	141423	54	2	1
2014-04-01 02:58:04.567402	141424	19.2	1	1
2014-04-01 02:58:15.26337	141425	62	2	24
2014-04-01 02:58:15.494648	141426	17.1	1	24
2014-04-01 02:58:17.83638	141427	51	2	25
2014-04-01 02:58:18.059098	141428	17.8	1	25
2014-04-01 02:58:23.998751	141429	48	2	10
2014-04-01 02:58:24.231388	141430	20.1	1	10
2014-04-01 02:58:32.09033	141431	54	2	9
2014-04-01 02:58:32.313131	141432	20.1	1	9
2014-04-01 02:58:32.958276	141433	51	2	8
2014-04-01 02:58:33.191569	141434	19.5	1	8
2014-04-01 02:58:43.349014	141435	54	2	1
2014-04-01 02:58:43.570922	141436	19.2	1	1
2014-04-01 02:58:54.265143	141437	62	2	24
2014-04-01 02:58:54.49801	141438	17.1	1	24
2014-04-01 02:58:56.832521	141439	50	2	25
2014-04-01 02:58:57.05417	141440	17.8	1	25
2014-04-01 02:59:02.998027	141441	48	2	10
2014-04-01 02:59:03.230165	141442	20.1	1	10
2014-04-01 02:59:10.890391	141443	54	2	9
2014-04-01 02:59:11.112398	141444	20.1	1	9
2014-04-01 02:59:11.958829	141445	51	2	8
2014-04-01 02:59:12.189575	141446	19.5	1	8
2014-04-01 02:59:22.352054	141447	54	2	1
2014-04-01 02:59:22.572623	141448	19.2	1	1
2014-04-01 02:59:31.872943	141449	305	3	2
2014-04-01 02:59:32.107287	141450	1158676.71438663	4	2
2014-04-01 02:59:33.263118	141451	62	2	24
2014-04-01 02:59:33.49461	141452	17.1	1	24
2014-04-01 02:59:35.832788	141453	50	2	25
2014-04-01 02:59:36.062917	141454	17.8	1	25
2014-04-01 02:59:41.999895	141455	48	2	10
2014-04-01 02:59:42.221563	141456	20.1	1	10
2014-04-01 02:59:49.887696	141457	54	2	9
2014-04-01 02:59:50.119346	141458	20.1	1	9
2014-04-01 02:59:50.958044	141459	51	2	8
2014-04-01 02:59:51.179462	141460	19.5	1	8
2014-04-01 03:00:01.350471	141461	54	2	1
2014-04-01 03:00:01.61721	141462	19.2	1	1
2014-04-01 03:00:07.870911	141463	338	3	2
2014-04-01 03:00:08.093095	141464	1158679.012456073	4	2
2014-04-01 03:00:12.263829	141465	62	2	24
2014-04-01 03:00:12.679889	141466	17.1	1	24
2014-04-01 03:00:14.83305	141467	50	2	25
2014-04-01 03:00:15.05864	141468	17.8	1	25
2014-04-01 03:00:19.87026	141469	338	3	2
2014-04-01 03:00:20.094388	141470	1158680.1614907943	4	2
2014-04-01 03:00:21.001928	141471	48	2	10
2014-04-01 03:00:21.231254	141472	20.1	1	10
2014-04-01 03:00:28.888839	141473	54	2	9
2014-04-01 03:00:29.108789	141474	20.1	1	9
2014-04-01 03:00:29.958045	141475	51	2	8
2014-04-01 03:00:30.187279	141476	19.5	1	8
2014-04-01 03:00:31.869691	141477	338	3	2
2014-04-01 03:00:32.08827	141478	1158681.3105255158	4	2
2014-04-01 03:00:40.34608	141479	54	2	1
2014-04-01 03:00:40.578425	141480	19.2	1	1
2014-04-01 03:00:51.262292	141481	62	2	24
2014-04-01 03:00:51.48201	141482	17.1	1	24
2014-04-01 03:00:53.831183	141483	50	2	25
2014-04-01 03:00:54.061714	141484	17.8	1	25
2014-04-01 03:00:55.872459	141485	305	3	2
2014-04-01 03:00:56.093274	141486	1158683.6085949587	4	2
2014-04-01 03:00:59.999729	141487	48	2	10
2014-04-01 03:01:00.231756	141488	20.1	1	10
2014-04-01 03:01:08.090249	141489	54	2	9
2014-04-01 03:01:08.311791	141490	20.1	1	9
2014-04-01 03:01:08.957121	141491	51	2	8
2014-04-01 03:01:09.188038	141492	19.5	1	8
2014-04-01 03:01:19.348992	141493	54	2	1
2014-04-01 03:01:19.57041	141494	19.2	1	1
2014-04-01 03:01:19.878771	141495	338	3	2
2014-04-01 03:01:20.10959	141496	1158685.9066644013	4	2
2014-04-01 03:01:30.262884	141497	62	2	24
2014-04-01 03:01:30.485528	141498	17.1	1	24
2014-04-01 03:01:31.870867	141499	338	3	2
2014-04-01 03:01:32.10238	141500	1158687.0556991228	4	2
2014-04-01 03:01:32.833542	141501	51	2	25
2014-04-01 03:01:33.054848	141502	17.8	1	25
2014-04-01 03:01:39.002271	141503	48	2	10
2014-04-01 03:01:39.233453	141504	20.1	1	10
2014-04-01 03:01:46.887352	141505	54	2	9
2014-04-01 03:01:47.109511	141506	20.1	1	9
2014-04-01 03:01:47.958495	141507	51	2	8
2014-04-01 03:01:48.188887	141508	19.5	1	8
2014-04-01 03:01:58.345794	141509	54	2	1
2014-04-01 03:01:58.566811	141510	19.2	1	1
2014-04-01 03:02:09.262028	141511	62	2	24
2014-04-01 03:02:09.50335	141512	17.1	1	24
2014-04-01 03:02:11.834428	141513	51	2	25
2014-04-01 03:02:12.05526	141514	17.8	1	25
2014-04-01 03:02:17.999075	141515	48	2	10
2014-04-01 03:02:18.231284	141516	20.1	1	10
2014-04-01 03:02:25.891228	141517	54	2	9
2014-04-01 03:02:26.111895	141518	20.1	1	9
2014-04-01 03:02:26.959379	141519	51	2	8
2014-04-01 03:02:27.210665	141520	19.5	1	8
2014-04-01 03:02:31.874492	141521	338	3	2
2014-04-01 03:02:32.100903	141522	1158692.8008727299	4	2
2014-04-01 03:02:37.347246	141523	54	2	1
2014-04-01 03:02:37.582113	141524	19.2	1	1
2014-04-01 03:02:48.498436	141525	62	2	24
2014-04-01 03:02:48.719032	141526	17.1	1	24
2014-04-01 03:02:50.832364	141527	51	2	25
2014-04-01 03:02:51.066714	141528	17.8	1	25
2014-04-01 03:02:57.002226	141529	48	2	10
2014-04-01 03:02:57.222753	141530	20.1	1	10
2014-04-01 03:03:04.888268	141531	54	2	9
2014-04-01 03:03:05.122169	141532	20.1	1	9
2014-04-01 03:03:05.959804	141533	51	2	8
2014-04-01 03:03:06.180612	141534	19.5	1	8
2014-04-01 03:03:16.345095	141535	54	2	1
2014-04-01 03:03:16.576296	141536	19.2	1	1
2014-04-01 03:03:19.870788	141537	370	3	2
2014-04-01 03:03:20.093134	141538	1158697.3970116156	4	2
2014-04-01 03:03:27.262602	141539	62	2	24
2014-04-01 03:03:27.493064	141540	17.1	1	24
2014-04-01 03:03:29.833521	141541	51	2	25
2014-04-01 03:03:30.056874	141542	17.8	1	25
2014-04-01 03:03:31.871472	141543	370	3	2
2014-04-01 03:03:32.105969	141544	1158698.5460463369	4	2
2014-04-01 03:03:35.999908	141545	48	2	10
2014-04-01 03:03:36.223546	141546	20.1	1	10
2014-04-01 03:03:43.888728	141547	54	2	9
2014-04-01 03:03:44.12173	141548	20.1	1	9
2014-04-01 03:03:44.957763	141549	51	2	8
2014-04-01 03:03:45.180157	141550	19.5	1	8
2014-04-01 03:03:55.345473	141551	54	2	1
2014-04-01 03:03:55.577893	141552	19.2	1	1
2014-04-01 03:04:06.261101	141553	62	2	24
2014-04-01 03:04:06.494071	141554	17.1	1	24
2014-04-01 03:04:08.831826	141555	51	2	25
2014-04-01 03:04:09.062744	141556	17.8	1	25
2014-04-01 03:04:15.000379	141557	48	2	10
2014-04-01 03:04:15.22423	141558	20.1	1	10
2014-04-01 03:04:22.886927	141559	54	2	9
2014-04-01 03:04:23.130181	141560	20.1	1	9
2014-04-01 03:04:23.958427	141561	51	2	8
2014-04-01 03:04:24.180286	141562	19.5	1	8
2014-04-01 03:04:31.869177	141563	370	3	2
2014-04-01 03:04:32.100956	141564	1158705.4402546654	4	2
2014-04-01 03:04:34.348117	141565	54	2	1
2014-04-01 03:04:34.569091	141566	19.2	1	1
2014-04-01 03:04:43.871099	141567	402	3	2
2014-04-01 03:04:44.100671	141568	1158706.5892893868	4	2
2014-04-01 03:04:45.262157	141569	62	2	24
2014-04-01 03:04:45.481665	141570	17.1	1	24
2014-04-01 03:04:47.832538	141571	51	2	25
2014-04-01 03:04:48.062812	141572	17.8	1	25
2014-04-01 03:04:54.000761	141573	48	2	10
2014-04-01 03:04:54.221265	141574	20.1	1	10
2014-04-01 03:04:55.872791	141575	370	3	2
2014-04-01 03:04:56.102386	141576	1158707.7383241083	4	2
2014-04-01 03:05:01.886722	141577	54	2	9
2014-04-01 03:05:02.108948	141578	20.1	1	9
2014-04-01 03:05:02.957651	141579	51	2	8
2014-04-01 03:05:03.187844	141580	19.5	1	8
2014-04-01 03:05:07.870296	141581	370	3	2
2014-04-01 03:05:08.095375	141582	1158708.8873588296	4	2
2014-04-01 03:05:13.346989	141583	54	2	1
2014-04-01 03:05:13.580298	141584	19.2	1	1
2014-04-01 03:05:24.25868	141585	62	2	24
2014-04-01 03:05:24.4815	141586	17.1	1	24
2014-04-01 03:05:26.83147	141587	51	2	25
2014-04-01 03:05:27.064547	141588	17.8	1	25
2014-04-01 03:05:31.869654	141589	370	3	2
2014-04-01 03:05:32.093299	141590	1158711.1854282725	4	2
2014-04-01 03:05:33.000589	141591	48	2	10
2014-04-01 03:05:33.230497	141592	20.1	1	10
2014-04-01 03:05:40.887915	141593	54	2	9
2014-04-01 03:05:41.110274	141594	20.1	1	9
2014-04-01 03:05:41.960062	141595	51	2	8
2014-04-01 03:05:42.191405	141596	19.5	1	8
2014-04-01 03:05:52.344777	141597	54	2	1
2014-04-01 03:05:52.568806	141598	19.2	1	1
2014-04-01 03:06:03.256576	141599	62	2	24
2014-04-01 03:06:03.494299	141600	17.1	1	24
2014-04-01 03:06:05.831027	141601	51	2	25
2014-04-01 03:06:06.052686	141602	17.8	1	25
2014-04-01 03:06:12.00082	141603	48	2	10
2014-04-01 03:06:12.232732	141604	20.1	1	10
2014-04-01 03:06:19.887459	141605	54	2	9
2014-04-01 03:06:20.110203	141606	20.1	1	9
2014-04-01 03:06:20.957755	141607	51	2	8
2014-04-01 03:06:21.199639	141608	19.5	1	8
2014-04-01 03:06:31.344475	141609	54	2	1
2014-04-01 03:06:31.568769	141610	19.2	1	1
2014-04-01 03:06:31.875523	141611	354	3	2
2014-04-01 03:06:32.107218	141612	1158716.9306018795	4	2
2014-04-01 03:06:42.255831	141613	62	2	24
2014-04-01 03:06:42.476163	141614	17.1	1	24
2014-04-01 03:06:44.830733	141615	51	2	25
2014-04-01 03:06:45.060742	141616	17.8	1	25
2014-04-01 03:06:51.001465	141617	48	2	10
2014-04-01 03:06:51.221084	141618	20.1	1	10
2014-04-01 03:06:58.88777	141619	54	2	9
2014-04-01 03:06:59.119364	141620	20.1	1	9
2014-04-01 03:06:59.957215	141621	51	2	8
2014-04-01 03:07:00.177991	141622	19.5	1	8
2014-04-01 03:07:10.34342	141623	54	2	1
2014-04-01 03:07:10.575291	141624	19.2	1	1
2014-04-01 03:07:21.25549	141625	62	2	24
2014-04-01 03:07:21.476891	141626	17.1	1	24
2014-04-01 03:07:23.830708	141627	51	2	25
2014-04-01 03:07:24.061172	141628	17.8	1	25
2014-04-01 03:07:30.001385	141629	48	2	10
2014-04-01 03:07:30.22145	141630	20.1	1	10
2014-04-01 03:07:31.871774	141631	370	3	2
2014-04-01 03:07:32.102185	141632	1158723.824810208	4	2
2014-04-01 03:07:37.890552	141633	54	2	9
2014-04-01 03:07:38.114335	141634	20.1	1	9
2014-04-01 03:07:38.957138	141635	51	2	8
2014-04-01 03:07:39.185898	141636	19.5	1	8
2014-04-01 03:07:49.343714	141637	54	2	1
2014-04-01 03:07:49.564894	141638	19.2	1	1
2014-04-01 03:08:00.25652	141639	62	2	24
2014-04-01 03:08:00.487674	141640	17.1	1	24
2014-04-01 03:08:02.831787	141641	51	2	25
2014-04-01 03:08:03.053533	141642	17.8	1	25
2014-04-01 03:08:09.002516	141643	48	2	10
2014-04-01 03:08:09.235964	141644	20.1	1	10
2014-04-01 03:08:16.887461	141645	54	2	9
2014-04-01 03:08:17.112755	141646	20.1	1	9
2014-04-01 03:08:17.959855	141647	51	2	8
2014-04-01 03:08:18.191394	141648	19.5	1	8
2014-04-01 03:08:28.343931	141649	54	2	1
2014-04-01 03:08:28.621043	141650	19.2	1	1
2014-04-01 03:08:31.868711	141651	370	3	2
2014-04-01 03:08:32.101794	141652	1158729.569983815	4	2
2014-04-01 03:08:39.25576	141653	62	2	24
2014-04-01 03:08:39.478806	141654	17.1	1	24
2014-04-01 03:08:41.830595	141655	51	2	25
2014-04-01 03:08:42.073282	141656	17.8	1	25
2014-04-01 03:08:48.001495	141657	48	2	10
2014-04-01 03:08:48.224856	141658	20.1	1	10
2014-04-01 03:08:55.886076	141659	54	2	9
2014-04-01 03:08:56.120978	141660	20.1	1	9
2014-04-01 03:08:56.957491	141661	51	2	8
2014-04-01 03:08:57.180925	141662	19.5	1	8
2014-04-01 03:09:07.343645	141663	54	2	1
2014-04-01 03:09:07.576209	141664	19.2	1	1
2014-04-01 03:09:18.25565	141665	62	2	24
2014-04-01 03:09:18.496442	141666	17.1	1	24
2014-04-01 03:09:19.868084	141667	305	3	2
2014-04-01 03:09:20.099381	141668	1158734.1661227008	4	2
2014-04-01 03:09:20.828826	141669	51	2	25
2014-04-01 03:09:21.049888	141670	17.8	1	25
2014-04-01 03:09:27.002344	141671	48	2	10
2014-04-01 03:09:27.235353	141672	20.1	1	10
2014-04-01 03:09:31.869287	141673	338	3	2
2014-04-01 03:09:32.090567	141674	1158735.3151574223	4	2
2014-04-01 03:09:34.88827	141675	54	2	9
2014-04-01 03:09:35.11938	141676	20.1	1	9
2014-04-01 03:09:35.958004	141677	51	2	8
2014-04-01 03:09:36.182364	141678	19.5	1	8
2014-04-01 03:09:43.869046	141679	338	3	2
2014-04-01 03:09:44.100834	141680	1158736.4641921436	4	2
2014-04-01 03:09:46.342059	141681	54	2	1
2014-04-01 03:09:46.563135	141682	19.2	1	1
2014-04-01 03:09:57.260595	141683	62	2	24
2014-04-01 03:09:57.492706	141684	17.1	1	24
2014-04-01 03:09:59.829219	141685	51	2	25
2014-04-01 03:10:00.050442	141686	17.8	1	25
2014-04-01 03:10:06.000805	141687	48	2	10
2014-04-01 03:10:06.233279	141688	20.1	1	10
2014-04-01 03:10:07.870091	141689	305	3	2
2014-04-01 03:10:08.091355	141690	1158738.7622615865	4	2
2014-04-01 03:10:13.889685	141691	54	2	9
2014-04-01 03:10:14.121577	141692	20.1	1	9
2014-04-01 03:10:14.957627	141693	51	2	8
2014-04-01 03:10:15.177693	141694	19.5	1	8
2014-04-01 03:10:19.868263	141695	305	3	2
2014-04-01 03:10:20.106221	141696	1158739.9112963078	4	2
2014-04-01 03:10:25.34356	141697	54	2	1
2014-04-01 03:10:25.568772	141698	19.2	1	1
2014-04-01 03:10:31.867658	141699	338	3	2
2014-04-01 03:10:32.098901	141700	1158741.0603310294	4	2
2014-04-01 03:10:36.252337	141701	62	2	24
2014-04-01 03:10:36.475082	141702	17.1	1	24
2014-04-01 03:10:38.829382	141703	51	2	25
2014-04-01 03:10:39.07107	141704	17.8	1	25
2014-04-01 03:10:43.86701	141705	338	3	2
2014-04-01 03:10:44.092683	141706	1158742.2093657507	4	2
2014-04-01 03:10:45.001425	141707	48	2	10
2014-04-01 03:10:45.231368	141708	20.1	1	10
2014-04-01 03:10:52.885897	141709	54	2	9
2014-04-01 03:10:53.106839	141710	20.1	1	9
2014-04-01 03:10:53.958154	141711	51	2	8
2014-04-01 03:10:54.187206	141712	19.5	1	8
2014-04-01 03:10:55.869547	141713	305	3	2
2014-04-01 03:10:56.088547	141714	1158743.3584004722	4	2
2014-04-01 03:11:04.341846	141715	54	2	1
2014-04-01 03:11:04.574393	141716	19.2	1	1
2014-04-01 03:11:07.867758	141717	305	3	2
2014-04-01 03:11:08.08798	141718	1158744.5074351935	4	2
2014-04-01 03:11:15.250539	141719	62	2	24
2014-04-01 03:11:15.483092	141720	17.1	1	24
2014-04-01 03:11:17.828457	141721	51	2	25
2014-04-01 03:11:18.047231	141722	17.8	1	25
2014-04-01 03:11:24.002604	141723	48	2	10
2014-04-01 03:11:24.234063	141724	20.1	1	10
2014-04-01 03:11:32.090164	141725	54	2	9
2014-04-01 03:11:32.312691	141726	20.1	1	9
2014-04-01 03:11:32.957644	141727	51	2	8
2014-04-01 03:11:33.188228	141728	19.5	1	8
2014-04-01 03:11:43.340616	141729	54	2	1
2014-04-01 03:11:43.566276	141730	19.2	1	1
2014-04-01 03:11:43.872337	141731	338	3	2
2014-04-01 03:11:44.103535	141732	1158746.8055046364	4	2
2014-04-01 03:11:54.252387	141733	62	2	24
2014-04-01 03:11:54.473595	141734	17.1	1	24
2014-04-01 03:11:56.82693	141735	51	2	25
2014-04-01 03:11:57.057445	141736	17.7	1	25
2014-04-01 03:12:03.002409	141737	48	2	10
2014-04-01 03:12:03.223601	141738	20.1	1	10
2014-04-01 03:12:10.888745	141739	54	2	9
2014-04-01 03:12:11.120522	141740	20.1	1	9
2014-04-01 03:12:11.958113	141741	51	2	8
2014-04-01 03:12:12.178246	141742	19.5	1	8
2014-04-01 03:12:22.341099	141743	54	2	1
2014-04-01 03:12:22.57294	141744	19.2	1	1
2014-04-01 03:12:31.869724	141745	305	3	2
2014-04-01 03:12:32.092829	141746	1158751.401643522	4	2
2014-04-01 03:12:33.250003	141747	62	2	24
2014-04-01 03:12:33.482733	141748	17.1	1	24
2014-04-01 03:12:35.830347	141749	51	2	25
2014-04-01 03:12:36.052541	141750	17.7	1	25
2014-04-01 03:12:42.002728	141751	48	2	10
2014-04-01 03:12:42.246738	141752	20.1	1	10
2014-04-01 03:12:43.870299	141753	305	3	2
2014-04-01 03:12:44.091493	141754	1158752.5506782434	4	2
2014-04-01 03:12:49.890782	141755	54	2	9
2014-04-01 03:12:50.122955	141756	20.1	1	9
2014-04-01 03:12:50.956922	141757	51	2	8
2014-04-01 03:12:51.178064	141758	19.5	1	8
2014-04-01 03:13:01.341607	141759	54	2	1
2014-04-01 03:13:01.574041	141760	19.2	1	1
2014-04-01 03:13:12.250727	141761	62	2	24
2014-04-01 03:13:12.473759	141762	17.1	1	24
2014-04-01 03:13:14.827935	141763	51	2	25
2014-04-01 03:13:15.059937	141764	17.7	1	25
2014-04-01 03:13:21.002367	141765	48	2	10
2014-04-01 03:13:21.223936	141766	20.1	1	10
2014-04-01 03:13:28.890394	141767	54	2	9
2014-04-01 03:13:29.121156	141768	20.1	1	9
2014-04-01 03:13:29.961321	141769	51	2	8
2014-04-01 03:13:30.183299	141770	19.5	1	8
2014-04-01 03:13:31.870146	141771	338	3	2
2014-04-01 03:13:32.103476	141772	1158757.146817129	4	2
2014-04-01 03:13:40.339067	141773	54	2	1
2014-04-01 03:13:40.560593	141774	19.2	1	1
2014-04-01 03:13:43.86799	141775	338	3	2
2014-04-01 03:13:44.100947	141776	1158758.2958518506	4	2
2014-04-01 03:13:51.250751	141777	62	2	24
2014-04-01 03:13:51.472911	141778	17.1	1	24
2014-04-01 03:13:53.827897	141779	51	2	25
2014-04-01 03:13:54.061196	141780	17.7	1	25
2014-04-01 03:13:55.872424	141781	305	3	2
2014-04-01 03:13:56.094935	141782	1158759.444886572	4	2
2014-04-01 03:14:00.006004	141783	48	2	10
2014-04-01 03:14:00.236407	141784	20.1	1	10
2014-04-01 03:14:08.092736	141785	54	2	9
2014-04-01 03:14:08.31445	141786	20.1	1	9
2014-04-01 03:14:08.956136	141787	51	2	8
2014-04-01 03:14:09.189587	141788	19.5	1	8
2014-04-01 03:14:19.579307	141789	54	2	1
2014-04-01 03:14:19.803039	141790	19.2	1	1
2014-04-01 03:14:20.109469	141791	338	3	2
2014-04-01 03:14:20.340815	141792	1158761.7429560148	4	2
2014-04-01 03:14:30.249652	141793	62	2	24
2014-04-01 03:14:30.470584	141794	17.1	1	24
2014-04-01 03:14:31.869253	141795	338	3	2
2014-04-01 03:14:32.101297	141796	1158762.8919907361	4	2
2014-04-01 03:14:32.827963	141797	51	2	25
2014-04-01 03:14:33.048597	141798	17.7	1	25
2014-04-01 03:14:39.004386	141799	48	2	10
2014-04-01 03:14:39.250883	141800	20.1	1	10
2014-04-01 03:14:46.887393	141801	54	2	9
2014-04-01 03:14:47.108662	141802	20.1	1	9
2014-04-01 03:14:47.957672	141803	51	2	8
2014-04-01 03:14:48.191117	141804	19.5	1	8
2014-04-01 03:14:55.869576	141805	305	3	2
2014-04-01 03:14:56.09173	141806	1158765.190060179	4	2
2014-04-01 03:14:58.338588	141807	54	2	1
2014-04-01 03:14:58.6256	141808	19.2	1	1
2014-04-01 03:15:07.879451	141809	338	3	2
2014-04-01 03:15:08.100978	141810	1158765.190060179	4	2
2014-04-01 03:15:09.250216	141811	62	2	24
2014-04-01 03:15:09.479799	141812	17.1	1	24
2014-04-01 03:15:11.827071	141813	51	2	25
2014-04-01 03:15:12.048575	141814	17.7	1	25
2014-04-01 03:15:18.005705	141815	48	2	10
2014-04-01 03:15:18.240629	141816	20.1	1	10
2014-04-01 03:15:19.868286	141817	338	3	2
2014-04-01 03:15:20.089927	141818	1158766.3390949005	4	2
2014-04-01 03:15:25.887276	141819	54	2	9
2014-04-01 03:15:26.11973	141820	20.1	1	9
2014-04-01 03:15:26.958438	141821	51	2	8
2014-04-01 03:15:27.177978	141822	19.5	1	8
2014-04-01 03:15:31.869201	141823	338	3	2
2014-04-01 03:15:32.103461	141824	1158767.4881296218	4	2
2014-04-01 03:15:37.341843	141825	54	2	1
2014-04-01 03:15:37.565706	141826	19.2	1	1
2014-04-01 03:15:48.247264	141827	62	2	24
2014-04-01 03:15:48.480644	141828	17.1	1	24
2014-04-01 03:15:50.826743	141829	51	2	25
2014-04-01 03:15:51.046885	141830	17.7	1	25
2014-04-01 03:15:55.86875	141831	305	3	2
2014-04-01 03:15:56.101063	141832	1158769.7861990647	4	2
2014-04-01 03:15:57.004014	141833	48	2	10
2014-04-01 03:15:57.22483	141834	20.1	1	10
2014-04-01 03:16:04.887352	141835	54	2	9
2014-04-01 03:16:05.119024	141836	20.1	1	9
2014-04-01 03:16:05.958902	141837	51	2	8
2014-04-01 03:16:06.17908	141838	19.5	1	8
2014-04-01 03:16:07.870994	141839	370	3	2
2014-04-01 03:16:08.102893	141840	1158770.935233786	4	2
2014-04-01 03:16:16.338499	141841	54	2	1
2014-04-01 03:16:16.560894	141842	19.2	1	1
2014-04-01 03:16:19.869433	141843	370	3	2
2014-04-01 03:16:20.101888	141844	1158772.0842685075	4	2
2014-04-01 03:16:27.248722	141845	62	2	24
2014-04-01 03:16:27.474807	141846	17.1	1	24
2014-04-01 03:16:29.825204	141847	51	2	25
2014-04-01 03:16:30.068899	141848	17.7	1	25
2014-04-01 03:16:31.870128	141849	370	3	2
2014-04-01 03:16:32.093229	141850	1158774.3823379504	4	2
2014-04-01 03:16:36.002735	141851	48	2	10
2014-04-01 03:16:36.234622	141852	20.1	1	10
2014-04-01 03:16:43.887548	141853	54	2	9
2014-04-01 03:16:44.109535	141854	20.0	1	9
2014-04-01 03:16:44.957783	141855	51	2	8
2014-04-01 03:16:45.18924	141856	19.5	1	8
2014-04-01 03:16:55.338775	141857	54	2	1
2014-04-01 03:16:55.563336	141858	19.2	1	1
2014-04-01 03:17:06.247217	141859	62	2	24
2014-04-01 03:17:06.478664	141860	17.1	1	24
2014-04-01 03:17:08.844837	141861	51	2	25
2014-04-01 03:17:09.068	141862	17.7	1	25
2014-04-01 03:17:15.006113	141863	48	2	10
2014-04-01 03:17:15.240871	141864	20.1	1	10
2014-04-01 03:17:22.886855	141865	54	2	9
2014-04-01 03:17:23.109486	141866	20.0	1	9
2014-04-01 03:17:23.957493	141867	51	2	8
2014-04-01 03:17:24.188939	141868	19.5	1	8
2014-04-01 03:17:31.869931	141869	370	3	2
2014-04-01 03:17:32.092329	141870	1158780.1275115574	4	2
2014-04-01 03:17:34.337988	141871	54	2	1
2014-04-01 03:17:34.567549	141872	19.2	1	1
2014-04-01 03:17:45.245358	141873	62	2	24
2014-04-01 03:17:45.469352	141874	17.1	1	24
2014-04-01 03:17:47.827407	141875	51	2	25
2014-04-01 03:17:48.058653	141876	17.7	1	25
2014-04-01 03:17:54.004658	141877	48	2	10
2014-04-01 03:17:54.226254	141878	20.1	1	10
2014-04-01 03:18:01.886968	141879	54	2	9
2014-04-01 03:18:02.117546	141880	20.0	1	9
2014-04-01 03:18:02.958422	141881	51	2	8
2014-04-01 03:18:03.178547	141882	19.5	1	8
2014-04-01 03:18:13.342441	141883	54	2	1
2014-04-01 03:18:13.575975	141884	19.2	1	1
2014-04-01 03:18:24.24479	141885	62	2	24
2014-04-01 03:18:24.466741	141886	17.1	1	24
2014-04-01 03:18:26.82879	141887	51	2	25
2014-04-01 03:18:27.060167	141888	17.7	1	25
2014-04-01 03:18:31.871731	141889	370	3	2
2014-04-01 03:18:32.094643	141890	1158785.8726851644	4	2
2014-04-01 03:18:33.0046	141891	48	2	10
2014-04-01 03:18:33.236713	141892	20.1	1	10
2014-04-01 03:18:40.890402	141893	54	2	9
2014-04-01 03:18:41.111489	141894	20.0	1	9
2014-04-01 03:18:41.958118	141895	51	2	8
2014-04-01 03:18:42.200508	141896	19.5	1	8
2014-04-01 03:18:52.338593	141897	54	2	1
2014-04-01 03:18:52.56271	141898	19.2	1	1
2014-04-01 03:19:03.243793	141899	62	2	24
2014-04-01 03:19:03.474522	141900	17.1	1	24
2014-04-01 03:19:05.823172	141901	51	2	25
2014-04-01 03:19:06.046203	141902	17.7	1	25
2014-04-01 03:19:12.006821	141903	48	2	10
2014-04-01 03:19:12.237889	141904	20.1	1	10
2014-04-01 03:19:19.887892	141905	54	2	9
2014-04-01 03:19:20.110416	141906	20.0	1	9
2014-04-01 03:19:20.957625	141907	51	2	8
2014-04-01 03:19:21.189022	141908	19.5	1	8
2014-04-01 03:19:31.334828	141909	54	2	1
2014-04-01 03:19:31.556706	141910	19.2	1	1
2014-04-01 03:19:31.86723	141911	370	3	2
2014-04-01 03:19:32.101908	141912	1158792.766893493	4	2
2014-04-01 03:19:42.243143	141913	62	2	24
2014-04-01 03:19:42.464247	141914	17.1	1	24
2014-04-01 03:19:44.828089	141915	51	2	25
2014-04-01 03:19:45.061137	141916	17.7	1	25
2014-04-01 03:19:51.005268	141917	48	2	10
2014-04-01 03:19:51.22987	141918	20.1	1	10
2014-04-01 03:19:58.888226	141919	54	2	9
2014-04-01 03:19:59.120739	141920	20.0	1	9
2014-04-01 03:19:59.958281	141921	51	2	8
2014-04-01 03:20:00.180799	141922	19.5	1	8
2014-04-01 03:20:10.337776	141923	54	2	1
2014-04-01 03:20:10.568276	141924	19.2	1	1
2014-04-01 03:20:21.245458	141925	62	2	24
2014-04-01 03:20:21.467181	141926	17.1	1	24
2014-04-01 03:20:23.82747	141927	51	2	25
2014-04-01 03:20:24.060642	141928	17.7	1	25
2014-04-01 03:20:30.005813	141929	48	2	10
2014-04-01 03:20:30.263494	141930	20.1	1	10
2014-04-01 03:20:31.871553	141931	370	3	2
2014-04-01 03:20:32.138233	141932	1158798.5120671	4	2
2014-04-01 03:20:37.886614	141933	54	2	9
2014-04-01 03:20:38.140267	141934	20.0	1	9
2014-04-01 03:20:38.958501	141935	51	2	8
2014-04-01 03:20:39.219975	141936	19.5	1	8
2014-04-01 03:20:49.33767	141937	54	2	1
2014-04-01 03:20:49.56327	141938	19.2	1	1
2014-04-01 03:21:00.242664	141939	62	2	24
2014-04-01 03:21:00.474983	141940	17.1	1	24
2014-04-01 03:21:02.825652	141941	51	2	25
2014-04-01 03:21:03.046779	141942	17.7	1	25
2014-04-01 03:21:07.868683	141943	338	3	2
2014-04-01 03:21:08.113227	141944	1158801.9591712642	4	2
2014-04-01 03:21:09.005487	141945	48	2	10
2014-04-01 03:21:09.226225	141946	20.1	1	10
2014-04-01 03:21:16.885852	141947	54	2	9
2014-04-01 03:21:17.119898	141948	20.0	1	9
2014-04-01 03:21:17.958066	141949	51	2	8
2014-04-01 03:21:18.18249	141950	19.5	1	8
2014-04-01 03:21:19.865773	141951	305	3	2
2014-04-01 03:21:20.100323	141952	1158803.1082059857	4	2
2014-04-01 03:21:28.336699	141953	54	2	1
2014-04-01 03:21:28.582815	141954	19.2	1	1
2014-04-01 03:21:31.868475	141955	305	3	2
2014-04-01 03:21:32.103877	141956	1158804.257240707	4	2
2014-04-01 03:21:39.241558	141957	62	2	24
2014-04-01 03:21:39.468928	141958	17.1	1	24
2014-04-01 03:21:41.824982	141959	51	2	25
2014-04-01 03:21:42.055731	141960	17.7	1	25
2014-04-01 03:21:43.868578	141961	338	3	2
2014-04-01 03:21:44.090751	141962	1158805.4062754286	4	2
2014-04-01 03:21:48.005467	141963	48	2	10
2014-04-01 03:21:48.236281	141964	20.1	1	10
2014-04-01 03:21:56.089466	141965	54	2	9
2014-04-01 03:21:56.315102	141966	20.0	1	9
2014-04-01 03:21:56.957591	141967	51	2	8
2014-04-01 03:21:57.191934	141968	19.5	1	8
2014-04-01 03:22:07.336578	141969	54	2	1
2014-04-01 03:22:07.560717	141970	19.2	1	1
2014-04-01 03:22:18.241435	141971	62	2	24
2014-04-01 03:22:18.475798	141972	17.1	1	24
2014-04-01 03:22:20.82355	141973	51	2	25
2014-04-01 03:22:21.047373	141974	17.7	1	25
2014-04-01 03:22:27.006504	141975	48	2	10
2014-04-01 03:22:27.237257	141976	20.1	1	10
2014-04-01 03:22:31.868852	141977	338	3	2
2014-04-01 03:22:32.096189	141978	1158810.0024143143	4	2
2014-04-01 03:22:34.887906	141979	54	2	9
2014-04-01 03:22:35.119031	141980	20.0	1	9
2014-04-01 03:22:35.957113	141981	51	2	8
2014-04-01 03:22:36.182651	141982	19.5	1	8
2014-04-01 03:22:46.334761	141983	54	2	1
2014-04-01 03:22:46.568849	141984	19.2	1	1
2014-04-01 03:22:57.241439	141985	62	2	24
2014-04-01 03:22:57.462188	141986	17.1	1	24
2014-04-01 03:22:59.823511	141987	51	2	25
2014-04-01 03:23:00.055203	141988	17.7	1	25
2014-04-01 03:23:06.006184	141989	48	2	10
2014-04-01 03:23:06.227446	141990	20.1	1	10
2014-04-01 03:23:13.887158	141991	54	2	9
2014-04-01 03:23:14.129066	141992	20.0	1	9
2014-04-01 03:23:14.956193	141993	51	2	8
2014-04-01 03:23:15.177225	141994	19.5	1	8
2014-04-01 03:23:25.33287	141995	54	2	1
2014-04-01 03:23:25.563868	141996	19.2	1	1
2014-04-01 03:23:31.868287	141997	338	3	2
2014-04-01 03:23:32.089847	141998	1158815.7475879213	4	2
2014-04-01 03:23:36.237993	141999	62	2	24
2014-04-01 03:23:36.468658	142000	17.1	1	24
2014-04-01 03:23:38.825019	142001	51	2	25
2014-04-01 03:23:39.047372	142002	17.7	1	25
2014-04-01 03:23:45.00998	142003	48	2	10
2014-04-01 03:23:45.242652	142004	20.1	1	10
2014-04-01 03:23:52.889063	142005	54	2	9
2014-04-01 03:23:53.11093	142006	20.0	1	9
2014-04-01 03:23:53.960011	142007	51	2	8
2014-04-01 03:23:54.190799	142008	19.5	1	8
2014-04-01 03:24:04.334063	142009	54	2	1
2014-04-01 03:24:04.555617	142010	19.2	1	1
2014-04-01 03:24:15.238943	142011	62	2	24
2014-04-01 03:24:15.471094	142012	17.1	1	24
2014-04-01 03:24:17.822243	142013	51	2	25
2014-04-01 03:24:18.045859	142014	17.7	1	25
2014-04-01 03:24:24.007998	142015	48	2	10
2014-04-01 03:24:24.24032	142016	20.1	1	10
2014-04-01 03:24:32.091293	142017	54	2	9
2014-04-01 03:24:32.311363	142018	20.0	1	9
2014-04-01 03:24:32.958934	142019	51	2	8
2014-04-01 03:24:33.188732	142020	19.5	1	8
2014-04-01 03:24:43.33404	142021	54	2	1
2014-04-01 03:24:43.554344	142022	19.1	1	1
2014-04-01 03:24:54.238634	142023	62	2	24
2014-04-01 03:24:54.470696	142024	17.1	1	24
2014-04-01 03:24:56.82307	142025	51	2	25
2014-04-01 03:24:57.045354	142026	17.7	1	25
2014-04-01 03:25:03.006901	142027	48	2	10
2014-04-01 03:25:03.24075	142028	20.1	1	10
2014-04-01 03:25:07.868778	142029	370	3	2
2014-04-01 03:25:08.091174	142030	1158824.9398656925	4	2
2014-04-01 03:25:10.886787	142031	54	2	9
2014-04-01 03:25:11.122817	142032	20.0	1	9
2014-04-01 03:25:11.957846	142033	51	2	8
2014-04-01 03:25:12.181262	142034	19.5	1	8
2014-04-01 03:25:19.870099	142035	338	3	2
2014-04-01 03:25:20.103982	142036	1158826.088900414	4	2
2014-04-01 03:25:22.334065	142037	54	2	1
2014-04-01 03:25:22.55494	142038	19.1	1	1
2014-04-01 03:25:31.867749	142039	338	3	2
2014-04-01 03:25:32.112658	142040	1158827.2379351354	4	2
2014-04-01 03:25:33.239218	142041	62	2	24
2014-04-01 03:25:33.461005	142042	17.1	1	24
2014-04-01 03:25:35.823659	142043	51	2	25
2014-04-01 03:25:36.055031	142044	17.7	1	25
2014-04-01 03:25:42.010833	142045	48	2	10
2014-04-01 03:25:42.233794	142046	20.1	1	10
2014-04-01 03:25:49.887589	142047	54	2	9
2014-04-01 03:25:50.118957	142048	20.0	1	9
2014-04-01 03:25:50.957118	142049	51	2	8
2014-04-01 03:25:51.178197	142050	19.5	1	8
2014-04-01 03:26:01.332684	142051	54	2	1
2014-04-01 03:26:01.563506	142052	19.1	1	1
2014-04-01 03:26:12.237037	142053	62	2	24
2014-04-01 03:26:12.460189	142054	17.1	1	24
2014-04-01 03:26:14.82284	142055	50	2	25
2014-04-01 03:26:15.053806	142056	17.7	1	25
2014-04-01 03:26:21.007685	142057	48	2	10
2014-04-01 03:26:21.229379	142058	20.1	1	10
2014-04-01 03:26:28.88972	142059	54	2	9
2014-04-01 03:26:29.177136	142060	20.0	1	9
2014-04-01 03:26:29.957052	142061	51	2	8
2014-04-01 03:26:30.177894	142062	19.5	1	8
2014-04-01 03:26:31.867321	142063	338	3	2
2014-04-01 03:26:32.098023	142064	1158832.9831087426	4	2
2014-04-01 03:26:40.332114	142065	54	2	1
2014-04-01 03:26:40.558213	142066	19.1	1	1
2014-04-01 03:26:51.235903	142067	62	2	24
2014-04-01 03:26:51.46925	142068	17.1	1	24
2014-04-01 03:26:53.823236	142069	50	2	25
2014-04-01 03:26:54.043655	142070	17.7	1	25
2014-04-01 03:27:00.008289	142071	48	2	10
2014-04-01 03:27:00.240015	142072	20.1	1	10
2014-04-01 03:27:07.886621	142073	54	2	9
2014-04-01 03:27:08.110645	142074	20.0	1	9
2014-04-01 03:27:08.957246	142075	51	2	8
2014-04-01 03:27:09.194839	142076	19.5	1	8
2014-04-01 03:27:19.331247	142077	54	2	1
2014-04-01 03:27:19.553978	142078	19.1	1	1
2014-04-01 03:27:30.237508	142079	62	2	24
2014-04-01 03:27:30.468654	142080	17.1	1	24
2014-04-01 03:27:31.867902	142081	338	3	2
2014-04-01 03:27:32.091451	142082	1158838.7282823496	4	2
2014-04-01 03:27:32.822994	142083	51	2	25
2014-04-01 03:27:33.05536	142084	17.7	1	25
2014-04-01 03:27:39.008941	142085	48	2	10
2014-04-01 03:27:39.23275	142086	20.1	1	10
2014-04-01 03:27:46.887578	142087	54	2	9
2014-04-01 03:27:47.129811	142088	20.0	1	9
2014-04-01 03:27:47.95777	142089	51	2	8
2014-04-01 03:27:48.180558	142090	19.5	1	8
2014-04-01 03:27:55.869416	142091	370	3	2
2014-04-01 03:27:56.100943	142092	1158841.0263517925	4	2
2014-04-01 03:27:58.331932	142093	54	2	1
2014-04-01 03:27:58.552343	142094	19.1	1	1
2014-04-01 03:28:07.867474	142095	370	3	2
2014-04-01 03:28:08.099545	142096	1158842.1753865138	4	2
2014-04-01 03:28:09.236392	142097	62	2	24
2014-04-01 03:28:09.458032	142098	17.1	1	24
2014-04-01 03:28:12.062996	142099	51	2	25
2014-04-01 03:28:12.294273	142100	17.7	1	25
2014-04-01 03:28:18.008289	142101	48	2	10
2014-04-01 03:28:18.229487	142102	20.2	1	10
2014-04-01 03:28:25.887838	142103	54	2	9
2014-04-01 03:28:26.121099	142104	20.0	1	9
2014-04-01 03:28:26.959197	142105	51	2	8
2014-04-01 03:28:27.183493	142106	19.5	1	8
2014-04-01 03:28:37.132729	142107	370	3	2
2014-04-01 03:28:37.364787	142108	1158844.4734559567	4	2
2014-04-01 03:28:37.667932	142109	54	2	1
2014-04-01 03:28:37.891781	142110	19.1	1	1
2014-04-01 03:28:48.233327	142111	62	2	24
2014-04-01 03:28:48.466641	142112	17.1	1	24
2014-04-01 03:28:50.84261	142113	51	2	25
2014-04-01 03:28:51.063505	142114	17.7	1	25
2014-04-01 03:28:55.868466	142115	434	3	2
2014-04-01 03:28:56.099583	142116	1158846.7715253995	4	2
2014-04-01 03:28:57.008303	142117	48	2	10
2014-04-01 03:28:57.227549	142118	20.2	1	10
2014-04-01 03:29:04.889101	142119	54	2	9
2014-04-01 03:29:05.122684	142120	20.0	1	9
2014-04-01 03:29:05.958767	142121	51	2	8
2014-04-01 03:29:06.180961	142122	19.5	1	8
2014-04-01 03:29:16.133735	142123	434	3	2
2014-04-01 03:29:16.369819	142124	1158847.9205601208	4	2
2014-04-01 03:29:16.675132	142125	54	2	1
2014-04-01 03:29:16.898036	142126	19.1	1	1
2014-04-01 03:29:27.23235	142127	62	2	24
2014-04-01 03:29:27.464964	142128	17.1	1	24
2014-04-01 03:29:29.840992	142129	51	2	25
2014-04-01 03:29:30.065879	142130	17.7	1	25
2014-04-01 03:29:31.867981	142131	434	3	2
2014-04-01 03:29:32.156231	142132	1158850.223100516	4	2
2014-04-01 03:29:36.010252	142133	48	2	10
2014-04-01 03:29:36.268221	142134	20.2	1	10
2014-04-01 03:29:43.888607	142135	54	2	9
2014-04-01 03:29:44.164325	142136	20.0	1	9
2014-04-01 03:29:44.958289	142137	51	2	8
2014-04-01 03:29:45.180148	142138	19.5	1	8
2014-04-01 03:29:55.330074	142139	54	2	1
2014-04-01 03:29:55.563087	142140	19.1	1	1
2014-04-01 03:30:06.23271	142141	62	2	24
2014-04-01 03:30:06.454092	142142	17.1	1	24
2014-04-01 03:30:08.822322	142143	51	2	25
2014-04-01 03:30:09.055422	142144	17.7	1	25
2014-04-01 03:30:15.009382	142145	48	2	10
2014-04-01 03:30:15.233446	142146	20.2	1	10
2014-04-01 03:30:22.885884	142147	54	2	9
2014-04-01 03:30:23.120725	142148	20.0	1	9
2014-04-01 03:30:23.957737	142149	51	2	8
2014-04-01 03:30:24.182707	142150	19.5	1	8
2014-04-01 03:30:31.867246	142151	434	3	2
2014-04-01 03:30:32.101826	142152	1158857.1173088443	4	2
2014-04-01 03:30:34.331594	142153	54	2	1
2014-04-01 03:30:34.55833	142154	19.1	1	1
2014-04-01 03:30:45.2351	142155	62	2	24
2014-04-01 03:30:45.467282	142156	17.1	1	24
2014-04-01 03:30:47.819689	142157	51	2	25
2014-04-01 03:30:48.041421	142158	17.7	1	25
2014-04-01 03:30:54.009404	142159	48	2	10
2014-04-01 03:30:54.242967	142160	20.2	1	10
2014-04-01 03:31:01.887367	142161	54	2	9
2014-04-01 03:31:02.108894	142162	20.0	1	9
2014-04-01 03:31:02.958223	142163	51	2	8
2014-04-01 03:31:03.190379	142164	19.5	1	8
2014-04-01 03:31:13.332862	142165	54	2	1
2014-04-01 03:31:13.556496	142166	19.1	1	1
2014-04-01 03:31:24.234422	142167	62	2	24
2014-04-01 03:31:24.470611	142168	17.1	1	24
2014-04-01 03:31:26.821062	142169	51	2	25
2014-04-01 03:31:27.04212	142170	17.7	1	25
2014-04-01 03:31:31.868144	142171	434	3	2
2014-04-01 03:31:32.100169	142172	1158865.1605518945	4	2
2014-04-01 03:31:33.008851	142173	48	2	10
2014-04-01 03:31:33.231359	142174	20.2	1	10
2014-04-01 03:31:40.887045	142175	54	2	9
2014-04-01 03:31:41.118862	142176	20.0	1	9
2014-04-01 03:31:41.958026	142177	51	2	8
2014-04-01 03:31:42.178604	142178	19.5	1	8
2014-04-01 03:31:52.330932	142179	54	2	1
2014-04-01 03:31:52.563936	142180	19.1	1	1
2014-04-01 03:32:03.230062	142181	62	2	24
2014-04-01 03:32:03.454019	142182	17.1	1	24
2014-04-01 03:32:05.81954	142183	51	2	25
2014-04-01 03:32:06.063935	142184	17.7	1	25
2014-04-01 03:32:12.012315	142185	48	2	10
2014-04-01 03:32:12.23406	142186	20.2	1	10
2014-04-01 03:32:19.885077	142187	54	2	9
2014-04-01 03:32:20.118552	142188	20.0	1	9
2014-04-01 03:32:20.9582	142189	51	2	8
2014-04-01 03:32:21.181261	142190	19.5	1	8
2014-04-01 03:32:31.329553	142191	54	2	1
2014-04-01 03:32:31.563062	142192	19.1	1	1
2014-04-01 03:32:31.871488	142193	434	3	2
2014-04-01 03:32:32.092756	142194	1158872.0547602228	4	2
2014-04-01 03:32:42.232371	142195	62	2	24
2014-04-01 03:32:42.466059	142196	17.1	1	24
2014-04-01 03:32:44.819661	142197	51	2	25
2014-04-01 03:32:45.050779	142198	17.7	1	25
2014-04-01 03:32:51.01	142199	48	2	10
2014-04-01 03:32:51.244701	142200	20.2	1	10
2014-04-01 03:32:58.887511	142201	54	2	9
2014-04-01 03:32:59.165002	142202	20.0	1	9
2014-04-01 03:32:59.957932	142203	51	2	8
2014-04-01 03:33:00.189938	142204	19.5	1	8
2014-04-01 03:33:07.866905	142205	370	3	2
2014-04-01 03:33:08.089714	142206	1158876.6508991085	4	2
2014-04-01 03:33:10.328759	142207	54	2	1
2014-04-01 03:33:10.55879	142208	19.1	1	1
2014-04-01 03:33:19.867961	142209	370	3	2
2014-04-01 03:33:20.099347	142210	1158877.7999338298	4	2
2014-04-01 03:33:21.229752	142211	62	2	24
2014-04-01 03:33:21.460941	142212	17.1	1	24
2014-04-01 03:33:23.818956	142213	51	2	25
2014-04-01 03:33:24.040576	142214	17.7	1	25
2014-04-01 03:33:30.009452	142215	48	2	10
2014-04-01 03:33:30.241439	142216	20.2	1	10
2014-04-01 03:33:31.867792	142217	370	3	2
2014-04-01 03:33:32.089125	142218	1158878.9489685514	4	2
2014-04-01 03:33:37.88766	142219	54	2	9
2014-04-01 03:33:38.119692	142220	20.0	1	9
2014-04-01 03:33:38.95903	142221	51	2	8
2014-04-01 03:33:39.179638	142222	19.5	1	8
2014-04-01 03:33:49.329569	142223	54	2	1
2014-04-01 03:33:49.56048	142224	19.1	1	1
2014-04-01 03:34:00.23118	142225	62	2	24
2014-04-01 03:34:00.474171	142226	17.1	1	24
2014-04-01 03:34:02.824898	142227	51	2	25
2014-04-01 03:34:03.056304	142228	17.7	1	25
2014-04-01 03:34:09.010523	142229	48	2	10
2014-04-01 03:34:09.23259	142230	20.2	1	10
2014-04-01 03:34:16.889647	142231	54	2	9
2014-04-01 03:34:17.132718	142232	20.0	1	9
2014-04-01 03:34:17.95654	142233	51	2	8
2014-04-01 03:34:18.181602	142234	19.5	1	8
2014-04-01 03:34:28.327777	142235	54	2	1
2014-04-01 03:34:28.560203	142236	19.1	1	1
2014-04-01 03:34:31.870852	142237	370	3	2
2014-04-01 03:34:32.094157	142238	1158884.6941421584	4	2
2014-04-01 03:34:39.228001	142239	62	2	24
2014-04-01 03:34:39.458963	142240	17.1	1	24
2014-04-01 03:34:41.820414	142241	51	2	25
2014-04-01 03:34:42.042546	142242	17.7	1	25
2014-04-01 03:34:43.870883	142243	402	3	2
2014-04-01 03:34:44.102281	142244	1158885.84317688	4	2
2014-04-01 03:34:48.009683	142245	48	2	10
2014-04-01 03:34:48.232177	142246	20.2	1	10
2014-04-01 03:34:56.088988	142247	54	2	9
2014-04-01 03:34:56.321125	142248	20.0	1	9
2014-04-01 03:34:56.959029	142249	51	2	8
2014-04-01 03:34:57.179723	142250	19.5	1	8
2014-04-01 03:35:07.327481	142251	54	2	1
2014-04-01 03:35:07.560988	142252	19.1	1	1
2014-04-01 03:35:07.869257	142253	370	3	2
2014-04-01 03:35:08.092331	142254	1158889.290281044	4	2
2014-04-01 03:35:18.227914	142255	62	2	24
2014-04-01 03:35:18.45923	142256	17.1	1	24
2014-04-01 03:35:20.818688	142257	50	2	25
2014-04-01 03:35:21.043778	142258	17.7	1	25
2014-04-01 03:35:27.012548	142259	48	2	10
2014-04-01 03:35:27.243827	142260	20.2	1	10
2014-04-01 03:35:31.870703	142261	370	3	2
2014-04-01 03:35:32.093811	142262	1158891.588350487	4	2
2014-04-01 03:35:34.885574	142263	54	2	9
2014-04-01 03:35:35.120853	142264	20.0	1	9
2014-04-01 03:35:35.958698	142265	51	2	8
2014-04-01 03:35:36.180129	142266	19.5	1	8
2014-04-01 03:35:46.330535	142267	54	2	1
2014-04-01 03:35:46.562331	142268	19.1	1	1
2014-04-01 03:35:57.22783	142269	62	2	24
2014-04-01 03:35:57.450646	142270	17.1	1	24
2014-04-01 03:35:59.819625	142271	50	2	25
2014-04-01 03:36:00.05156	142272	17.7	1	25
2014-04-01 03:36:06.009828	142273	48	2	10
2014-04-01 03:36:06.232478	142274	20.2	1	10
2014-04-01 03:36:13.887807	142275	54	2	9
2014-04-01 03:36:14.120519	142276	20.0	1	9
2014-04-01 03:36:14.956849	142277	51	2	8
2014-04-01 03:36:15.180237	142278	19.5	1	8
2014-04-01 03:36:25.328271	142279	54	2	1
2014-04-01 03:36:25.572036	142280	19.1	1	1
2014-04-01 03:36:31.867215	142281	370	3	2
2014-04-01 03:36:32.089794	142282	1158897.333524094	4	2
2014-04-01 03:36:36.227804	142283	62	2	24
2014-04-01 03:36:36.645375	142284	17.1	1	24
2014-04-01 03:36:38.819171	142285	50	2	25
2014-04-01 03:36:39.046883	142286	17.7	1	25
2014-04-01 03:36:45.014352	142287	48	2	10
2014-04-01 03:36:45.237513	142288	20.2	1	10
2014-04-01 03:36:52.887268	142289	54	2	9
2014-04-01 03:36:53.117188	142290	20.0	1	9
2014-04-01 03:36:53.957618	142291	51	2	8
2014-04-01 03:36:54.178673	142292	19.5	1	8
2014-04-01 03:37:04.329696	142293	54	2	1
2014-04-01 03:37:04.567228	142294	19.1	1	1
2014-04-01 03:37:15.225282	142295	62	2	24
2014-04-01 03:37:15.450803	142296	17.1	1	24
2014-04-01 03:37:17.816913	142297	50	2	25
2014-04-01 03:37:18.048006	142298	17.7	1	25
2014-04-01 03:37:24.011714	142299	48	2	10
2014-04-01 03:37:24.233736	142300	20.2	1	10
2014-04-01 03:37:32.091149	142301	54	2	9
2014-04-01 03:37:32.322515	142302	20.0	1	9
2014-04-01 03:37:32.958156	142303	51	2	8
2014-04-01 03:37:33.178813	142304	19.5	1	8
2014-04-01 03:37:43.327212	142305	54	2	1
2014-04-01 03:37:43.561706	142306	19.1	1	1
2014-04-01 03:37:54.22394	142307	62	2	24
2014-04-01 03:37:54.446654	142308	17.1	1	24
2014-04-01 03:37:56.81629	142309	50	2	25
2014-04-01 03:37:57.047344	142310	17.7	1	25
2014-04-01 03:38:03.011959	142311	48	2	10
2014-04-01 03:38:03.23367	142312	20.2	1	10
2014-04-01 03:38:10.886974	142313	54	2	9
2014-04-01 03:38:11.117914	142314	20.0	1	9
2014-04-01 03:38:11.957738	142315	51	2	8
2014-04-01 03:38:12.178546	142316	19.5	1	8
2014-04-01 03:38:22.325687	142317	54	2	1
2014-04-01 03:38:22.559798	142318	19.1	1	1
2014-04-01 03:38:31.868845	142319	370	3	2
2014-04-01 03:38:32.089562	142320	1158909.9729060296	4	2
2014-04-01 03:38:33.222767	142321	62	2	24
2014-04-01 03:38:33.453342	142322	17.1	1	24
2014-04-01 03:38:35.81803	142323	50	2	25
2014-04-01 03:38:36.040074	142324	17.7	1	25
2014-04-01 03:38:42.013846	142325	48	2	10
2014-04-01 03:38:42.24465	142326	20.2	1	10
2014-04-01 03:38:49.885093	142327	54	2	9
2014-04-01 03:38:50.106229	142328	20.0	1	9
2014-04-01 03:38:50.956509	142329	51	2	8
2014-04-01 03:38:51.196862	142330	19.5	1	8
2014-04-01 03:39:01.324068	142331	54	2	1
2014-04-01 03:39:01.546185	142332	19.1	1	1
2014-04-01 03:39:12.222138	142333	62	2	24
2014-04-01 03:39:12.452979	142334	17.1	1	24
2014-04-01 03:39:14.819405	142335	50	2	25
2014-04-01 03:39:15.039097	142336	17.7	1	25
2014-04-01 03:39:21.216595	142337	48	2	10
2014-04-01 03:39:21.447348	142338	20.2	1	10
2014-04-01 03:39:28.88724	142339	54	2	9
2014-04-01 03:39:29.108429	142340	20.0	1	9
2014-04-01 03:39:29.956737	142341	51	2	8
2014-04-01 03:39:30.186888	142342	19.5	1	8
2014-04-01 03:39:31.867639	142343	370	3	2
2014-04-01 03:39:32.088011	142344	1158915.7180796366	4	2
2014-04-01 03:39:40.325149	142345	54	2	1
2014-04-01 03:39:40.556297	142346	19.1	1	1
2014-04-01 03:39:51.221116	142347	62	2	24
2014-04-01 03:39:51.443166	142348	17.1	1	24
2014-04-01 03:39:53.816191	142349	50	2	25
2014-04-01 03:39:54.046504	142350	17.7	1	25
2014-04-01 03:39:55.87036	142351	434	3	2
2014-04-01 03:39:56.092596	142352	1158919.165183801	4	2
2014-04-01 03:40:00.009988	142353	48	2	10
2014-04-01 03:40:00.24293	142354	20.2	1	10
2014-04-01 03:40:08.089604	142355	54	2	9
2014-04-01 03:40:08.311109	142356	20.0	1	9
2014-04-01 03:40:08.959613	142357	51	2	8
2014-04-01 03:40:09.189265	142358	19.5	1	8
2014-04-01 03:40:19.325143	142359	54	2	1
2014-04-01 03:40:19.547486	142360	19.1	1	1
2014-04-01 03:40:30.222563	142361	62	2	24
2014-04-01 03:40:30.453882	142362	17.1	1	24
2014-04-01 03:40:31.866188	142363	434	3	2
2014-04-01 03:40:32.091276	142364	1158922.6122879651	4	2
2014-04-01 03:40:32.818215	142365	50	2	25
2014-04-01 03:40:33.050673	142366	17.7	1	25
2014-04-01 03:40:39.013894	142367	48	2	10
2014-04-01 03:40:39.238299	142368	20.2	1	10
2014-04-01 03:40:46.884686	142369	54	2	9
2014-04-01 03:40:47.118615	142370	20.0	1	9
2014-04-01 03:40:47.957672	142371	51	2	8
2014-04-01 03:40:48.182152	142372	19.5	1	8
2014-04-01 03:40:58.32371	142373	54	2	1
2014-04-01 03:40:58.556482	142374	19.1	1	1
2014-04-01 03:41:09.222386	142375	62	2	24
2014-04-01 03:41:09.444806	142376	17.1	1	24
2014-04-01 03:41:11.81529	142377	50	2	25
2014-04-01 03:41:12.05848	142378	17.7	1	25
2014-04-01 03:41:18.012021	142379	48	2	10
2014-04-01 03:41:18.236872	142380	20.3	1	10
2014-04-01 03:41:25.887564	142381	54	2	9
2014-04-01 03:41:26.121318	142382	20.0	1	9
2014-04-01 03:41:26.957126	142383	51	2	8
2014-04-01 03:41:27.180384	142384	19.5	1	8
2014-04-01 03:41:31.866497	142385	434	3	2
2014-04-01 03:41:32.100909	142386	1158930.655531015	4	2
2014-04-01 03:41:37.32391	142387	54	2	1
2014-04-01 03:41:37.549588	142388	19.1	1	1
2014-04-01 03:41:48.222016	142389	62	2	24
2014-04-01 03:41:48.453436	142390	17.1	1	24
2014-04-01 03:41:50.814503	142391	50	2	25
2014-04-01 03:41:51.036297	142392	17.7	1	25
2014-04-01 03:41:57.012162	142393	48	2	10
2014-04-01 03:41:57.244187	142394	20.3	1	10
2014-04-01 03:42:04.887871	142395	54	2	9
2014-04-01 03:42:05.113695	142396	20.0	1	9
2014-04-01 03:42:05.956937	142397	51	2	8
2014-04-01 03:42:06.188106	142398	19.5	1	8
2014-04-01 03:42:16.324139	142399	54	2	1
2014-04-01 03:42:16.546367	142400	19.1	1	1
2014-04-01 03:42:27.219735	142401	62	2	24
2014-04-01 03:42:27.455098	142402	17.1	1	24
2014-04-01 03:42:29.815733	142403	51	2	25
2014-04-01 03:42:30.037062	142404	17.7	1	25
2014-04-01 03:42:31.865246	142405	418	3	2
2014-04-01 03:42:32.097176	142406	1158937.5497393436	4	2
2014-04-01 03:42:36.012031	142407	48	2	10
2014-04-01 03:42:36.234243	142408	20.3	1	10
2014-04-01 03:42:43.887334	142409	54	2	9
2014-04-01 03:42:44.119584	142410	20.0	1	9
2014-04-01 03:42:44.956555	142411	51	2	8
2014-04-01 03:42:45.177077	142412	19.5	1	8
2014-04-01 03:42:55.323376	142413	54	2	1
2014-04-01 03:42:55.556783	142414	19.1	1	1
2014-04-01 03:43:06.232489	142415	62	2	24
2014-04-01 03:43:06.455794	142416	17.1	1	24
2014-04-01 03:43:08.814079	142417	51	2	25
2014-04-01 03:43:09.045227	142418	17.7	1	25
2014-04-01 03:43:15.011297	142419	48	2	10
2014-04-01 03:43:15.233325	142420	20.3	1	10
2014-04-01 03:43:22.886844	142421	54	2	9
2014-04-01 03:43:23.138623	142422	20.0	1	9
2014-04-01 03:43:23.958816	142423	51	2	8
2014-04-01 03:43:24.180157	142424	19.5	1	8
2014-04-01 03:43:31.866517	142425	434	3	2
2014-04-01 03:43:32.109303	142426	1158944.443947672	4	2
2014-04-01 03:43:34.320907	142427	54	2	1
2014-04-01 03:43:34.542719	142428	19.1	1	1
2014-04-01 03:43:43.865532	142429	370	3	2
2014-04-01 03:43:44.09687	142430	1158945.5929823935	4	2
2014-04-01 03:43:45.217687	142431	62	2	24
2014-04-01 03:43:45.436924	142432	17.1	1	24
2014-04-01 03:43:47.815158	142433	51	2	25
2014-04-01 03:43:48.046578	142434	17.7	1	25
2014-04-01 03:43:54.015217	142435	48	2	10
2014-04-01 03:43:54.237049	142436	20.3	1	10
2014-04-01 03:43:55.865452	142437	370	3	2
2014-04-01 03:43:56.096517	142438	1158947.8910518363	4	2
2014-04-01 03:44:01.885924	142439	54	2	9
2014-04-01 03:44:02.107028	142440	20.0	1	9
2014-04-01 03:44:02.956356	142441	51	2	8
2014-04-01 03:44:03.189215	142442	19.5	1	8
2014-04-01 03:44:13.321979	142443	54	2	1
2014-04-01 03:44:13.54496	142444	19.1	1	1
2014-04-01 03:44:24.218957	142445	62	2	24
2014-04-01 03:44:24.451329	142446	17.1	1	24
2014-04-01 03:44:26.814144	142447	51	2	25
2014-04-01 03:44:27.03522	142448	17.7	1	25
2014-04-01 03:44:31.865504	142449	338	3	2
2014-04-01 03:44:32.099867	142450	1158951.3381560005	4	2
2014-04-01 03:44:33.013935	142451	48	2	10
2014-04-01 03:44:33.236447	142452	20.3	1	10
2014-04-01 03:44:40.887819	142453	54	2	9
2014-04-01 03:44:41.120402	142454	20.0	1	9
2014-04-01 03:44:41.957372	142455	51	2	8
2014-04-01 03:44:42.177808	142456	19.5	1	8
2014-04-01 03:44:43.867124	142457	338	3	2
2014-04-01 03:44:44.098615	142458	1158952.4871907218	4	2
2014-04-01 03:44:52.322795	142459	54	2	1
2014-04-01 03:44:52.544948	142460	19.1	1	1
2014-04-01 03:45:03.216013	142461	62	2	24
2014-04-01 03:45:03.446665	142462	17.1	1	24
2014-04-01 03:45:05.814195	142463	51	2	25
2014-04-01 03:45:06.036548	142464	17.7	1	25
2014-04-01 03:45:12.015605	142465	48	2	10
2014-04-01 03:45:12.247397	142466	20.3	1	10
2014-04-01 03:45:19.89283	142467	54	2	9
2014-04-01 03:45:20.114433	142468	20.0	1	9
2014-04-01 03:45:20.95801	142469	51	2	8
2014-04-01 03:45:21.188868	142470	19.5	1	8
2014-04-01 03:45:31.323188	142471	54	2	1
2014-04-01 03:45:31.543925	142472	19.1	1	1
2014-04-01 03:45:31.869721	142473	338	3	2
2014-04-01 03:45:32.113968	142474	1158957.0833296075	4	2
2014-04-01 03:45:42.216779	142475	62	2	24
2014-04-01 03:45:42.438126	142476	17.1	1	24
2014-04-01 03:45:44.813822	142477	51	2	25
2014-04-01 03:45:45.046335	142478	17.7	1	25
2014-04-01 03:45:51.014443	142479	48	2	10
2014-04-01 03:45:51.235292	142480	20.3	1	10
2014-04-01 03:45:55.865859	142481	305	3	2
2014-04-01 03:45:56.099058	142482	1158959.3813990504	4	2
2014-04-01 03:45:58.886901	142483	54	2	9
2014-04-01 03:45:59.110819	142484	20.0	1	9
2014-04-01 03:45:59.958526	142485	51	2	8
2014-04-01 03:46:00.18849	142486	19.5	1	8
2014-04-01 03:46:07.865632	142487	305	3	2
2014-04-01 03:46:08.089598	142488	1158960.530433772	4	2
2014-04-01 03:46:10.321482	142489	54	2	1
2014-04-01 03:46:10.552504	142490	19.1	1	1
2014-04-01 03:46:19.867316	142491	338	3	2
2014-04-01 03:46:20.088716	142492	1158961.6794684932	4	2
2014-04-01 03:46:21.216749	142493	62	2	24
2014-04-01 03:46:21.448454	142494	17.0	1	24
2014-04-01 03:46:23.813807	142495	51	2	25
2014-04-01 03:46:24.03687	142496	17.7	1	25
2014-04-01 03:46:30.012324	142497	48	2	10
2014-04-01 03:46:30.246171	142498	20.3	1	10
2014-04-01 03:46:31.864538	142499	305	3	2
2014-04-01 03:46:32.087595	142500	1158961.6794684932	4	2
2014-04-01 03:46:37.888183	142501	54	2	9
2014-04-01 03:46:38.124638	142502	20.0	1	9
2014-04-01 03:46:38.956381	142503	51	2	8
2014-04-01 03:46:39.178294	142504	19.5	1	8
2014-04-01 03:46:43.86404	142505	338	3	2
2014-04-01 03:46:44.10214	142506	1158962.8285032145	4	2
2014-04-01 03:46:49.320667	142507	54	2	1
2014-04-01 03:46:49.545262	142508	19.1	1	1
2014-04-01 03:46:55.866125	142509	305	3	2
2014-04-01 03:46:56.097788	142510	1158963.977537936	4	2
2014-04-01 03:47:00.218672	142511	62	2	24
2014-04-01 03:47:00.440464	142512	17.0	1	24
2014-04-01 03:47:02.813378	142513	51	2	25
2014-04-01 03:47:03.046874	142514	17.6	1	25
2014-04-01 03:47:07.86596	142515	305	3	2
2014-04-01 03:47:08.090697	142516	1158965.1265726574	4	2
2014-04-01 03:47:09.012528	142517	48	2	10
2014-04-01 03:47:09.246569	142518	20.3	1	10
2014-04-01 03:47:16.886374	142519	54	2	9
2014-04-01 03:47:17.107077	142520	20.0	1	9
2014-04-01 03:47:17.95575	142521	51	2	8
2014-04-01 03:47:18.198194	142522	19.5	1	8
2014-04-01 03:47:19.865423	142523	338	3	2
2014-04-01 03:47:20.086438	142524	1158966.275607379	4	2
2014-04-01 03:47:28.321813	142525	54	2	1
2014-04-01 03:47:28.55294	142526	19.1	1	1
2014-04-01 03:47:31.865754	142527	338	3	2
2014-04-01 03:47:32.087888	142528	1158967.4246421002	4	2
2014-04-01 03:47:39.453754	142529	62	2	24
2014-04-01 03:47:39.687114	142530	17.0	1	24
2014-04-01 03:47:41.813578	142531	51	2	25
2014-04-01 03:47:42.034457	142532	17.6	1	25
2014-04-01 03:47:48.013541	142533	48	2	10
2014-04-01 03:47:48.244821	142534	20.3	1	10
2014-04-01 03:47:56.089607	142535	54	2	9
2014-04-01 03:47:56.3148	142536	20.0	1	9
2014-04-01 03:47:56.95764	142537	51	2	8
2014-04-01 03:47:57.188564	142538	19.5	1	8
2014-04-01 03:48:07.320954	142539	54	2	1
2014-04-01 03:48:07.54296	142540	19.1	1	1
2014-04-01 03:48:07.865908	142541	305	3	2
2014-04-01 03:48:08.097044	142542	1158970.8717462646	4	2
2014-04-01 03:48:18.213937	142543	62	2	24
2014-04-01 03:48:18.436984	142544	17.0	1	24
2014-04-01 03:48:20.813831	142545	51	2	25
2014-04-01 03:48:21.046517	142546	17.6	1	25
2014-04-01 03:48:27.01369	142547	48	2	10
2014-04-01 03:48:27.237603	142548	20.3	1	10
2014-04-01 03:48:31.865135	142549	305	3	2
2014-04-01 03:48:32.096257	142550	1158973.1698157073	4	2
2014-04-01 03:48:34.887135	142551	54	2	9
2014-04-01 03:48:35.110058	142552	20.0	1	9
2014-04-01 03:48:35.957611	142553	51	2	8
2014-04-01 03:48:36.188162	142554	19.5	1	8
2014-04-01 03:48:46.319537	142555	54	2	1
2014-04-01 03:48:46.542677	142556	19.1	1	1
2014-04-01 03:48:57.213531	142557	62	2	24
2014-04-01 03:48:57.444668	142558	17.0	1	24
2014-04-01 03:48:59.811945	142559	51	2	25
2014-04-01 03:49:00.033544	142560	17.6	1	25
2014-04-01 03:49:06.012854	142561	48	2	10
2014-04-01 03:49:06.244913	142562	20.3	1	10
2014-04-01 03:49:07.865402	142563	338	3	2
2014-04-01 03:49:08.086877	142564	1158976.6169198717	4	2
2014-04-01 03:49:13.885491	142565	54	2	9
2014-04-01 03:49:14.116176	142566	20.0	1	9
2014-04-01 03:49:14.957635	142567	51	2	8
2014-04-01 03:49:15.177575	142568	19.5	1	8
2014-04-01 03:49:19.868318	142569	305	3	2
2014-04-01 03:49:20.116276	142570	1158976.6169198717	4	2
2014-04-01 03:49:25.31873	142571	54	2	1
2014-04-01 03:49:25.543125	142572	19.1	1	1
2014-04-01 03:49:31.866158	142573	305	3	2
2014-04-01 03:49:32.0965	142574	1158977.765954593	4	2
2014-04-01 03:49:36.213291	142575	62	2	24
2014-04-01 03:49:36.433168	142576	17.0	1	24
2014-04-01 03:49:38.813918	142577	51	2	25
2014-04-01 03:49:39.044048	142578	17.6	1	25
2014-04-01 03:49:45.017116	142579	48	2	10
2014-04-01 03:49:45.237922	142580	20.3	1	10
2014-04-01 03:49:52.895781	142581	54	2	9
2014-04-01 03:49:53.126235	142582	20.0	1	9
2014-04-01 03:49:53.955385	142583	51	2	8
2014-04-01 03:49:54.175123	142584	19.5	1	8
2014-04-01 03:50:04.557481	142585	54	2	1
2014-04-01 03:50:04.795919	142586	19.1	1	1
2014-04-01 03:50:15.210297	142587	62	2	24
2014-04-01 03:50:15.431317	142588	17.0	1	24
2014-04-01 03:50:17.813246	142589	51	2	25
2014-04-01 03:50:18.045199	142590	17.6	1	25
2014-04-01 03:50:19.867332	142591	338	3	2
2014-04-01 03:50:20.088193	142592	1158982.3620934787	4	2
2014-04-01 03:50:24.013972	142593	48	2	10
2014-04-01 03:50:24.246718	142594	20.3	1	10
2014-04-01 03:50:32.091957	142595	54	2	9
2014-04-01 03:50:32.313025	142596	20.0	1	9
2014-04-01 03:50:32.957449	142597	51	2	8
2014-04-01 03:50:33.1883	142598	19.5	1	8
2014-04-01 03:50:43.321516	142599	54	2	1
2014-04-01 03:50:43.543654	142600	19.1	1	1
2014-04-01 03:50:54.211632	142601	62	2	24
2014-04-01 03:50:54.442959	142602	17.0	1	24
2014-04-01 03:50:55.869808	142603	305	3	2
2014-04-01 03:50:56.094195	142604	1158985.8091976428	4	2
2014-04-01 03:50:56.811881	142605	51	2	25
2014-04-01 03:50:57.045026	142606	17.6	1	25
2014-04-01 03:51:03.016534	142607	48	2	10
2014-04-01 03:51:03.23787	142608	20.3	1	10
2014-04-01 03:51:07.865058	142609	354	3	2
2014-04-01 03:51:08.098152	142610	1158986.9582323644	4	2
2014-04-01 03:51:10.885124	142611	54	2	9
2014-04-01 03:51:11.106767	142612	20.0	1	9
2014-04-01 03:51:11.956693	142613	51	2	8
2014-04-01 03:51:12.187247	142614	19.5	1	8
2014-04-01 03:51:19.86567	142615	354	3	2
2014-04-01 03:51:20.091036	142616	1158988.1072670857	4	2
2014-04-01 03:51:22.320817	142617	54	2	1
2014-04-01 03:51:22.562075	142618	19.1	1	1
2014-04-01 03:51:31.865472	142619	354	3	2
2014-04-01 03:51:32.090248	142620	1158989.2563018072	4	2
2014-04-01 03:51:33.210241	142621	62	2	24
2014-04-01 03:51:33.442031	142622	17.0	1	24
2014-04-01 03:51:35.812893	142623	51	2	25
2014-04-01 03:51:36.036087	142624	17.6	1	25
2014-04-01 03:51:42.016039	142625	48	2	10
2014-04-01 03:51:42.249163	142626	20.3	1	10
2014-04-01 03:51:49.887017	142627	54	2	9
2014-04-01 03:51:50.111594	142628	20.0	1	9
2014-04-01 03:51:50.957651	142629	51	2	8
2014-04-01 03:51:51.191425	142630	19.4	1	8
2014-04-01 03:52:01.319338	142631	54	2	1
2014-04-01 03:52:01.541447	142632	19.1	1	1
2014-04-01 03:52:12.212097	142633	62	2	24
2014-04-01 03:52:12.444596	142634	17.0	1	24
2014-04-01 03:52:14.811493	142635	51	2	25
2014-04-01 03:52:15.032087	142636	17.6	1	25
2014-04-01 03:52:21.015135	142637	48	2	10
2014-04-01 03:52:21.248013	142638	20.3	1	10
2014-04-01 03:52:28.889487	142639	54	2	9
2014-04-01 03:52:29.110131	142640	20.0	1	9
2014-04-01 03:52:29.998289	142641	51	2	8
2014-04-01 03:52:30.231612	142642	19.4	1	8
2014-04-01 03:52:31.866107	142643	354	3	2
2014-04-01 03:52:32.092774	142644	1158995.0014754143	4	2
2014-04-01 03:52:40.319135	142645	54	2	1
2014-04-01 03:52:40.553189	142646	19.1	1	1
2014-04-01 03:52:51.208282	142647	62	2	24
2014-04-01 03:52:51.432048	142648	17.0	1	24
2014-04-01 03:52:53.81078	142649	51	2	25
2014-04-01 03:52:54.040118	142650	17.6	1	25
2014-04-01 03:53:00.014717	142651	48	2	10
2014-04-01 03:53:00.236853	142652	20.3	1	10
2014-04-01 03:53:07.889102	142653	54	2	9
2014-04-01 03:53:08.120912	142654	20.0	1	9
2014-04-01 03:53:08.957451	142655	51	2	8
2014-04-01 03:53:09.177735	142656	19.4	1	8
2014-04-01 03:53:19.316341	142657	54	2	1
2014-04-01 03:53:19.548526	142658	19.1	1	1
2014-04-01 03:53:30.208277	142659	62	2	24
2014-04-01 03:53:30.431279	142660	17.0	1	24
2014-04-01 03:53:31.865362	142661	370	3	2
2014-04-01 03:53:32.096267	142662	1159001.8956837428	4	2
2014-04-01 03:53:32.811895	142663	51	2	25
2014-04-01 03:53:33.033485	142664	17.6	1	25
2014-04-01 03:53:39.015621	142665	48	2	10
2014-04-01 03:53:39.257158	142666	20.3	1	10
2014-04-01 03:53:46.885477	142667	54	2	9
2014-04-01 03:53:47.108847	142668	20.0	1	9
2014-04-01 03:53:47.957831	142669	51	2	8
2014-04-01 03:53:48.190402	142670	19.4	1	8
2014-04-01 03:53:58.315967	142671	54	2	1
2014-04-01 03:53:58.53957	142672	19.1	1	1
2014-04-01 03:54:09.208284	142673	62	2	24
2014-04-01 03:54:09.439294	142674	17.0	1	24
2014-04-01 03:54:11.810097	142675	51	2	25
2014-04-01 03:54:12.032375	142676	17.6	1	25
2014-04-01 03:54:18.01552	142677	48	2	10
2014-04-01 03:54:18.267349	142678	20.3	1	10
2014-04-01 03:54:25.886748	142679	54	2	9
2014-04-01 03:54:26.108856	142680	20.0	1	9
2014-04-01 03:54:26.957191	142681	51	2	8
2014-04-01 03:54:27.187453	142682	19.4	1	8
2014-04-01 03:54:31.863903	142683	354	3	2
2014-04-01 03:54:32.090665	142684	1159007.6408573498	4	2
2014-04-01 03:54:37.318086	142685	54	2	1
2014-04-01 03:54:37.552535	142686	19.1	1	1
2014-04-01 03:54:48.207214	142687	62	2	24
2014-04-01 03:54:48.429567	142688	17.0	1	24
2014-04-01 03:54:50.808621	142689	51	2	25
2014-04-01 03:54:51.039296	142690	17.6	1	25
2014-04-01 03:54:57.016004	142691	48	2	10
2014-04-01 03:54:57.238289	142692	20.3	1	10
2014-04-01 03:55:04.889799	142693	54	2	9
2014-04-01 03:55:05.121266	142694	20.0	1	9
2014-04-01 03:55:05.957156	142695	51	2	8
2014-04-01 03:55:06.179084	142696	19.4	1	8
2014-04-01 03:55:16.314751	142697	54	2	1
2014-04-01 03:55:16.545982	142698	19.1	1	1
2014-04-01 03:55:27.207252	142699	62	2	24
2014-04-01 03:55:27.428462	142700	17.0	1	24
2014-04-01 03:55:29.81176	142701	51	2	25
2014-04-01 03:55:30.101138	142702	17.6	1	25
2014-04-01 03:55:31.869303	142703	354	3	2
2014-04-01 03:55:32.093045	142704	1159013.3860309569	4	2
2014-04-01 03:55:36.016461	142705	48	2	10
2014-04-01 03:55:36.248049	142706	20.3	1	10
2014-04-01 03:55:43.890903	142707	54	2	9
2014-04-01 03:55:44.113481	142708	20.0	1	9
2014-04-01 03:55:45.162181	142709	51	2	8
2014-04-01 03:55:45.392597	142710	19.4	1	8
2014-04-01 03:55:55.314854	142711	54	2	1
2014-04-01 03:55:55.53591	142712	19.1	1	1
2014-04-01 03:56:06.20646	142713	62	2	24
2014-04-01 03:56:06.449462	142714	17.0	1	24
2014-04-01 03:56:08.81071	142715	51	2	25
2014-04-01 03:56:09.032397	142716	17.6	1	25
2014-04-01 03:56:15.01849	142717	48	2	10
2014-04-01 03:56:15.248746	142718	20.3	1	10
2014-04-01 03:56:23.089913	142719	54	2	9
2014-04-01 03:56:23.311522	142720	20.0	1	9
2014-04-01 03:56:23.959591	142721	51	2	8
2014-04-01 03:56:24.191274	142722	19.4	1	8
2014-04-01 03:56:31.86358	142723	354	3	2
2014-04-01 03:56:32.087638	142724	1159019.131204564	4	2
2014-04-01 03:56:34.315819	142725	54	2	1
2014-04-01 03:56:34.546307	142726	19.1	1	1
2014-04-01 03:56:45.206566	142727	62	2	24
2014-04-01 03:56:45.427325	142728	17.0	1	24
2014-04-01 03:56:47.808204	142729	51	2	25
2014-04-01 03:56:48.040695	142730	17.6	1	25
2014-04-01 03:56:54.018936	142731	48	2	10
2014-04-01 03:56:54.240275	142732	20.3	1	10
2014-04-01 03:57:01.886086	142733	54	2	9
2014-04-01 03:57:02.123585	142734	20.0	1	9
2014-04-01 03:57:02.957566	142735	51	2	8
2014-04-01 03:57:03.179874	142736	19.4	1	8
2014-04-01 03:57:13.31899	142737	54	2	1
2014-04-01 03:57:13.55001	142738	19.1	1	1
2014-04-01 03:57:19.865073	142739	305	3	2
2014-04-01 03:57:20.088605	142740	1159023.7273434496	4	2
2014-04-01 03:57:24.205623	142741	62	2	24
2014-04-01 03:57:24.438479	142742	17.0	1	24
2014-04-01 03:57:26.811577	142743	51	2	25
2014-04-01 03:57:27.033559	142744	17.6	1	25
2014-04-01 03:57:31.865185	142745	305	3	2
2014-04-01 03:57:32.104742	142746	1159024.8763781711	4	2
2014-04-01 03:57:33.017795	142747	48	2	10
2014-04-01 03:57:33.241398	142748	20.3	1	10
2014-04-01 03:57:40.886327	142749	54	2	9
2014-04-01 03:57:41.122258	142750	20.0	1	9
2014-04-01 03:57:41.956572	142751	51	2	8
2014-04-01 03:57:42.17815	142752	19.4	1	8
2014-04-01 03:57:52.315601	142753	54	2	1
2014-04-01 03:57:52.546775	142754	19.1	1	1
2014-04-01 03:58:03.204092	142755	62	2	24
2014-04-01 03:58:03.426527	142756	17.0	1	24
2014-04-01 03:58:05.808118	142757	51	2	25
2014-04-01 03:58:06.040382	142758	17.6	1	25
2014-04-01 03:58:12.020187	142759	48	2	10
2014-04-01 03:58:12.240942	142760	20.3	1	10
2014-04-01 03:58:19.88611	142761	54	2	9
2014-04-01 03:58:20.129754	142762	20.0	1	9
2014-04-01 03:58:20.958791	142763	51	2	8
2014-04-01 03:58:21.180544	142764	19.4	1	8
2014-04-01 03:58:31.314	142765	54	2	1
2014-04-01 03:58:31.545295	142766	19.1	1	1
2014-04-01 03:58:31.86509	142767	305	3	2
2014-04-01 03:58:32.086875	142768	1159030.6215517782	4	2
2014-04-01 03:58:42.201624	142769	62	2	24
2014-04-01 03:58:42.435928	142770	17.0	1	24
2014-04-01 03:58:44.81133	142771	51	2	25
2014-04-01 03:58:45.032729	142772	17.6	1	25
2014-04-01 03:58:51.016797	142773	48	2	10
2014-04-01 03:58:51.249236	142774	20.3	1	10
2014-04-01 03:58:58.886092	142775	54	2	9
2014-04-01 03:58:59.110867	142776	20.0	1	9
2014-04-01 03:59:00.014747	142777	51	2	8
2014-04-01 03:59:00.248138	142778	19.4	1	8
2014-04-01 03:59:10.314767	142779	54	2	1
2014-04-01 03:59:10.538173	142780	19.1	1	1
2014-04-01 03:59:21.201845	142781	62	2	24
2014-04-01 03:59:21.434681	142782	17.0	1	24
2014-04-01 03:59:23.808463	142783	51	2	25
2014-04-01 03:59:24.029857	142784	17.6	1	25
2014-04-01 03:59:30.018551	142785	48	2	10
2014-04-01 03:59:30.306683	142786	20.3	1	10
2014-04-01 03:59:31.865823	142787	305	3	2
2014-04-01 03:59:32.087374	142788	1159035.2176906639	4	2
2014-04-01 03:59:37.887276	142789	55	2	9
2014-04-01 03:59:38.12005	142790	19.9	1	9
2014-04-01 03:59:38.957669	142791	51	2	8
2014-04-01 03:59:39.178142	142792	19.4	1	8
2014-04-01 03:59:49.313935	142793	54	2	1
2014-04-01 03:59:49.549518	142794	19.1	1	1
2014-04-01 04:00:00.202745	142795	62	2	24
2014-04-01 04:00:00.424227	142796	17.0	1	24
2014-04-01 04:00:02.810648	142797	51	2	25
2014-04-01 04:00:03.042122	142798	17.6	1	25
2014-04-01 04:00:09.020396	142799	48	2	10
2014-04-01 04:00:09.243668	142800	20.3	1	10
2014-04-01 04:00:16.888618	142801	55	2	9
2014-04-01 04:00:17.121413	142802	19.9	1	9
2014-04-01 04:00:17.957835	142803	51	2	8
2014-04-01 04:00:18.178422	142804	19.4	1	8
2014-04-01 04:00:19.865731	142805	338	3	2
2014-04-01 04:00:20.095717	142806	1159039.8138295494	4	2
2014-04-01 04:00:28.312954	142807	54	2	1
2014-04-01 04:00:28.534346	142808	19.1	1	1
2014-04-01 04:00:31.864083	142809	305	3	2
2014-04-01 04:00:32.109756	142810	1159040.962864271	4	2
2014-04-01 04:00:39.199513	142811	62	2	24
2014-04-01 04:00:39.421911	142812	17.0	1	24
2014-04-01 04:00:41.808741	142813	51	2	25
2014-04-01 04:00:42.040731	142814	17.6	1	25
2014-04-01 04:00:43.864736	142815	305	3	2
2014-04-01 04:00:44.088029	142816	1159042.1118989922	4	2
2014-04-01 04:00:48.018567	142817	48	2	10
2014-04-01 04:00:48.253984	142818	20.3	1	10
2014-04-01 04:00:55.888955	142819	55	2	9
2014-04-01 04:00:56.110701	142820	19.9	1	9
2014-04-01 04:00:56.957345	142821	51	2	8
2014-04-01 04:00:57.187996	142822	19.4	1	8
2014-04-01 04:01:07.314901	142823	54	2	1
2014-04-01 04:01:07.537457	142824	19.1	1	1
2014-04-01 04:01:18.200591	142825	62	2	24
2014-04-01 04:01:18.445657	142826	17.0	1	24
2014-04-01 04:01:20.808488	142827	51	2	25
2014-04-01 04:01:21.031871	142828	17.6	1	25
2014-04-01 04:01:27.019607	142829	48	2	10
2014-04-01 04:01:27.2518	142830	20.3	1	10
2014-04-01 04:01:31.867483	142831	338	3	2
2014-04-01 04:01:32.089806	142832	1159046.708037878	4	2
2014-04-01 04:01:34.888676	142833	55	2	9
2014-04-01 04:01:35.121351	142834	19.9	1	9
2014-04-01 04:01:35.959404	142835	51	2	8
2014-04-01 04:01:36.180327	142836	19.4	1	8
2014-04-01 04:01:43.865249	142837	305	3	2
2014-04-01 04:01:44.101318	142838	1159046.708037878	4	2
2014-04-01 04:01:46.31257	142839	54	2	1
2014-04-01 04:01:46.533729	142840	19.1	1	1
2014-04-01 04:01:55.86637	142841	305	3	2
2014-04-01 04:01:56.099953	142842	1159047.8570725992	4	2
2014-04-01 04:01:57.201084	142843	62	2	24
2014-04-01 04:01:57.423519	142844	17.0	1	24
2014-04-01 04:01:59.807482	142845	51	2	25
2014-04-01 04:02:00.086754	142846	17.6	1	25
2014-04-01 04:02:06.01982	142847	48	2	10
2014-04-01 04:02:06.242384	142848	20.3	1	10
2014-04-01 04:02:13.888954	142849	55	2	9
2014-04-01 04:02:14.123779	142850	19.9	1	9
2014-04-01 04:02:15.160695	142851	51	2	8
2014-04-01 04:02:15.383007	142852	19.4	1	8
2014-04-01 04:02:25.313816	142853	54	2	1
2014-04-01 04:02:25.544615	142854	19.1	1	1
2014-04-01 04:02:31.864729	142855	305	3	2
2014-04-01 04:02:32.089008	142856	1159051.3041767636	4	2
2014-04-01 04:02:36.201857	142857	62	2	24
2014-04-01 04:02:36.444461	142858	17.0	1	24
2014-04-01 04:02:38.806783	142859	51	2	25
2014-04-01 04:02:39.030897	142860	17.6	1	25
2014-04-01 04:02:43.863692	142861	338	3	2
2014-04-01 04:02:44.100882	142862	1159052.453211485	4	2
2014-04-01 04:02:45.018465	142863	48	2	10
2014-04-01 04:02:45.240605	142864	20.3	1	10
2014-04-01 04:02:52.886314	142865	55	2	9
2014-04-01 04:02:53.120374	142866	19.9	1	9
2014-04-01 04:02:53.95649	142867	51	2	8
2014-04-01 04:02:54.179273	142868	19.4	1	8
2014-04-01 04:02:55.865027	142869	338	3	2
2014-04-01 04:02:56.095684	142870	1159053.6022462065	4	2
2014-04-01 04:03:04.312383	142871	54	2	1
2014-04-01 04:03:04.535732	142872	19.1	1	1
2014-04-01 04:03:07.863752	142873	305	3	2
2014-04-01 04:03:08.09604	142874	1159054.7512809278	4	2
2014-04-01 04:03:15.201126	142875	62	2	24
2014-04-01 04:03:15.42324	142876	17.0	1	24
2014-04-01 04:03:17.80639	142877	51	2	25
2014-04-01 04:03:18.037774	142878	17.6	1	25
2014-04-01 04:03:19.864485	142879	305	3	2
2014-04-01 04:03:20.086587	142880	1159055.9003156493	4	2
2014-04-01 04:03:24.018602	142881	48	2	10
2014-04-01 04:03:24.253095	142882	20.3	1	10
2014-04-01 04:03:32.090589	142883	55	2	9
2014-04-01 04:03:32.31389	142884	19.9	1	9
2014-04-01 04:03:33.159115	142885	51	2	8
2014-04-01 04:03:33.393247	142886	19.4	1	8
2014-04-01 04:03:43.314323	142887	54	2	1
2014-04-01 04:03:43.535726	142888	19.1	1	1
2014-04-01 04:03:43.865729	142889	338	3	2
2014-04-01 04:03:44.096963	142890	1159058.198385092	4	2
2014-04-01 04:03:54.199549	142891	62	2	24
2014-04-01 04:03:54.422938	142892	17.0	1	24
2014-04-01 04:03:55.866231	142893	305	3	2
2014-04-01 04:03:56.099178	142894	1159059.3474198135	4	2
2014-04-01 04:03:56.808617	142895	51	2	25
2014-04-01 04:03:57.030205	142896	17.6	1	25
2014-04-01 04:04:03.019811	142897	48	2	10
2014-04-01 04:04:03.253158	142898	20.3	1	10
2014-04-01 04:04:07.864188	142899	305	3	2
2014-04-01 04:04:08.085874	142900	1159059.3474198135	4	2
2014-04-01 04:04:10.88829	142901	55	2	9
2014-04-01 04:04:11.120221	142902	19.9	1	9
2014-04-01 04:04:12.160157	142903	51	2	8
2014-04-01 04:04:12.384184	142904	19.4	1	8
2014-04-01 04:04:19.867163	142905	354	3	2
2014-04-01 04:04:20.109582	142906	1159060.4964545348	4	2
2014-04-01 04:04:22.312331	142907	54	2	1
2014-04-01 04:04:22.534209	142908	19.1	1	1
2014-04-01 04:04:31.865745	142909	370	3	2
2014-04-01 04:04:32.098663	142910	1159062.7945239777	4	2
2014-04-01 04:04:33.197426	142911	62	2	24
2014-04-01 04:04:33.418833	142912	17.0	1	24
2014-04-01 04:04:35.809517	142913	51	2	25
2014-04-01 04:04:36.045162	142914	17.6	1	25
2014-04-01 04:04:42.022086	142915	48	2	10
2014-04-01 04:04:42.244245	142916	20.3	1	10
2014-04-01 04:04:49.887303	142917	55	2	9
2014-04-01 04:04:50.119294	142918	19.9	1	9
2014-04-01 04:04:50.956294	142919	51	2	8
2014-04-01 04:04:51.177177	142920	19.4	1	8
2014-04-01 04:05:01.31266	142921	54	2	1
2014-04-01 04:05:01.545306	142922	19.1	1	1
2014-04-01 04:05:12.195642	142923	62	2	24
2014-04-01 04:05:12.417527	142924	17.0	1	24
2014-04-01 04:05:14.825546	142925	51	2	25
2014-04-01 04:05:15.056247	142926	17.6	1	25
2014-04-01 04:05:21.019316	142927	48	2	10
2014-04-01 04:05:21.242816	142928	20.3	1	10
2014-04-01 04:05:28.888303	142929	55	2	9
2014-04-01 04:05:29.119679	142930	19.9	1	9
2014-04-01 04:05:30.160615	142931	51	2	8
2014-04-01 04:05:30.440796	142932	19.4	1	8
2014-04-01 04:05:31.865782	142933	354	3	2
2014-04-01 04:05:32.096067	142934	1159068.5396975847	4	2
2014-04-01 04:05:40.3116	142935	54	2	1
2014-04-01 04:05:40.534599	142936	19.1	1	1
2014-04-01 04:05:51.195596	142937	62	2	24
2014-04-01 04:05:51.427498	142938	17.0	1	24
2014-04-01 04:05:53.809635	142939	51	2	25
2014-04-01 04:05:54.032686	142940	17.6	1	25
2014-04-01 04:06:00.019178	142941	48	2	10
2014-04-01 04:06:00.304765	142942	20.3	1	10
2014-04-01 04:06:07.888683	142943	55	2	9
2014-04-01 04:06:08.111264	142944	19.9	1	9
2014-04-01 04:06:08.956385	142945	51	2	8
2014-04-01 04:06:09.186424	142946	19.4	1	8
2014-04-01 04:06:19.31287	142947	54	2	1
2014-04-01 04:06:19.535208	142948	19.1	1	1
2014-04-01 04:06:30.197368	142949	62	2	24
2014-04-01 04:06:30.486215	142950	17.0	1	24
2014-04-01 04:06:31.866761	142951	354	3	2
2014-04-01 04:06:32.087681	142952	1159074.284871192	4	2
2014-04-01 04:06:32.806641	142953	51	2	25
2014-04-01 04:06:33.04973	142954	17.6	1	25
2014-04-01 04:06:39.019293	142955	48	2	10
2014-04-01 04:06:39.240726	142956	20.3	1	10
2014-04-01 04:06:46.888885	142957	55	2	9
2014-04-01 04:06:47.120692	142958	19.9	1	9
2014-04-01 04:06:47.959571	142959	51	2	8
2014-04-01 04:06:48.180721	142960	19.4	1	8
2014-04-01 04:06:58.309628	142961	54	2	1
2014-04-01 04:06:58.542043	142962	19.1	1	1
2014-04-01 04:07:09.193062	142963	62	2	24
2014-04-01 04:07:09.415558	142964	17.0	1	24
2014-04-01 04:07:11.804365	142965	51	2	25
2014-04-01 04:07:12.037268	142966	17.6	1	25
2014-04-01 04:07:18.020876	142967	48	2	10
2014-04-01 04:07:18.242555	142968	20.3	1	10
2014-04-01 04:07:25.887621	142969	55	2	9
2014-04-01 04:07:26.121608	142970	19.9	1	9
2014-04-01 04:07:26.95669	142971	51	2	8
2014-04-01 04:07:27.178201	142972	19.4	1	8
2014-04-01 04:07:31.864024	142973	354	3	2
2014-04-01 04:07:32.103233	142974	1159080.030044799	4	2
2014-04-01 04:07:37.309885	142975	54	2	1
2014-04-01 04:07:37.534792	142976	19.1	1	1
2014-04-01 04:07:48.19389	142977	62	2	24
2014-04-01 04:07:48.425579	142978	17.0	1	24
2014-04-01 04:07:50.803349	142979	51	2	25
2014-04-01 04:07:51.024543	142980	17.6	1	25
2014-04-01 04:07:57.020136	142981	48	2	10
2014-04-01 04:07:57.275394	142982	20.4	1	10
2014-04-01 04:08:04.887985	142983	55	2	9
2014-04-01 04:08:05.112507	142984	19.9	1	9
2014-04-01 04:08:06.162287	142985	51	2	8
2014-04-01 04:08:06.39373	142986	19.4	1	8
2014-04-01 04:08:16.310996	142987	54	2	1
2014-04-01 04:08:16.531228	142988	19.1	1	1
2014-04-01 04:08:27.195056	142989	62	2	24
2014-04-01 04:08:27.426358	142990	17.0	1	24
2014-04-01 04:08:29.804688	142991	51	2	25
2014-04-01 04:08:30.026728	142992	17.6	1	25
2014-04-01 04:08:31.864981	142993	354	3	2
2014-04-01 04:08:32.095161	142994	1159086.9242531275	4	2
2014-04-01 04:08:36.020735	142995	48	2	10
2014-04-01 04:08:36.243702	142996	20.4	1	10
2014-04-01 04:08:43.888249	142997	55	2	9
2014-04-01 04:08:44.120804	142998	19.9	1	9
2014-04-01 04:08:44.95794	142999	51	2	8
2014-04-01 04:08:45.178135	143000	19.4	1	8
2014-04-01 04:08:55.30784	143001	54	2	1
2014-04-01 04:08:55.553587	143002	19.1	1	1
2014-04-01 04:09:06.192178	143003	62	2	24
2014-04-01 04:09:06.415487	143004	17.0	1	24
2014-04-01 04:09:08.803743	143005	51	2	25
2014-04-01 04:09:09.035567	143006	17.6	1	25
2014-04-01 04:09:15.019627	143007	48	2	10
2014-04-01 04:09:15.241728	143008	20.4	1	10
2014-04-01 04:09:22.887355	143009	55	2	9
2014-04-01 04:09:23.119631	143010	19.9	1	9
2014-04-01 04:09:23.957449	143011	51	2	8
2014-04-01 04:09:24.179628	143012	19.4	1	8
2014-04-01 04:09:31.863152	143013	354	3	2
2014-04-01 04:09:32.096254	143014	1159092.6694267346	4	2
2014-04-01 04:09:34.308493	143015	54	2	1
2014-04-01 04:09:34.534406	143016	19.0	1	1
2014-04-01 04:09:45.190242	143017	62	2	24
2014-04-01 04:09:45.424458	143018	17.0	1	24
2014-04-01 04:09:47.80333	143019	51	2	25
2014-04-01 04:09:48.026889	143020	17.6	1	25
2014-04-01 04:09:54.020387	143021	48	2	10
2014-04-01 04:09:54.25126	143022	20.4	1	10
2014-04-01 04:10:01.886652	143023	55	2	9
2014-04-01 04:10:02.108271	143024	19.9	1	9
2014-04-01 04:10:02.957671	143025	51	2	8
2014-04-01 04:10:03.188034	143026	19.4	1	8
2014-04-01 04:10:13.306528	143027	54	2	1
2014-04-01 04:10:13.530076	143028	19.1	1	1
2014-04-01 04:10:24.191248	143029	62	2	24
2014-04-01 04:10:24.42211	143030	17.0	1	24
2014-04-01 04:10:26.802281	143031	51	2	25
2014-04-01 04:10:27.023547	143032	17.6	1	25
2014-04-01 04:10:31.864078	143033	305	3	2
2014-04-01 04:10:32.098172	143034	1159098.4146003416	4	2
2014-04-01 04:10:33.020965	143035	48	2	10
2014-04-01 04:10:33.241608	143036	20.4	1	10
2014-04-01 04:10:40.887012	143037	55	2	9
2014-04-01 04:10:41.119261	143038	19.9	1	9
2014-04-01 04:10:41.957311	143039	51	2	8
2014-04-01 04:10:42.179017	143040	19.4	1	8
2014-04-01 04:10:43.863845	143041	305	3	2
2014-04-01 04:10:44.094099	143042	1159099.5636350631	4	2
2014-04-01 04:10:52.307779	143043	54	2	1
2014-04-01 04:10:52.528725	143044	19.1	1	1
2014-04-01 04:11:03.190983	143045	62	2	24
2014-04-01 04:11:03.422891	143046	17.0	1	24
2014-04-01 04:11:05.8026	143047	51	2	25
2014-04-01 04:11:06.027414	143048	17.6	1	25
2014-04-01 04:11:12.025307	143049	48	2	10
2014-04-01 04:11:12.271125	143050	20.4	1	10
2014-04-01 04:11:19.888275	143051	55	2	9
2014-04-01 04:11:20.109895	143052	19.9	1	9
2014-04-01 04:11:20.958064	143053	51	2	8
2014-04-01 04:11:21.187977	143054	19.4	1	8
2014-04-01 04:11:31.308063	143055	54	2	1
2014-04-01 04:11:31.529815	143056	19.1	1	1
2014-04-01 04:11:31.866006	143057	305	3	2
2014-04-01 04:11:32.095971	143058	1159103.0107392273	4	2
2014-04-01 04:11:42.188965	143059	62	2	24
2014-04-01 04:11:42.411218	143060	17.0	1	24
2014-04-01 04:11:44.80504	143061	51	2	25
2014-04-01 04:11:45.036159	143062	17.6	1	25
2014-04-01 04:11:51.020286	143063	48	2	10
2014-04-01 04:11:51.240956	143064	20.4	1	10
2014-04-01 04:11:58.88975	143065	55	2	9
2014-04-01 04:11:59.122153	143066	19.9	1	9
2014-04-01 04:11:59.959023	143067	51	2	8
2014-04-01 04:12:00.180613	143068	19.4	1	8
2014-04-01 04:12:10.307644	143069	54	2	1
2014-04-01 04:12:10.540705	143070	19.1	1	1
2014-04-01 04:12:21.189967	143071	62	2	24
2014-04-01 04:12:21.412351	143072	17.0	1	24
2014-04-01 04:12:23.805708	143073	51	2	25
2014-04-01 04:12:24.038621	143074	17.6	1	25
2014-04-01 04:12:30.022203	143075	48	2	10
2014-04-01 04:12:30.244992	143076	20.4	1	10
2014-04-01 04:12:31.864306	143077	305	3	2
2014-04-01 04:12:32.098847	143078	1159108.7559128343	4	2
2014-04-01 04:12:37.891127	143079	55	2	9
2014-04-01 04:12:38.131549	143080	19.9	1	9
2014-04-01 04:12:39.162274	143081	51	2	8
2014-04-01 04:12:39.394071	143082	19.4	1	8
2014-04-01 04:12:49.306024	143083	54	2	1
2014-04-01 04:12:49.528938	143084	19.0	1	1
2014-04-01 04:12:55.863862	143085	338	3	2
2014-04-01 04:12:56.09824	143086	1159111.0539822772	4	2
2014-04-01 04:13:00.190469	143087	62	2	24
2014-04-01 04:13:00.459644	143088	17.0	1	24
2014-04-01 04:13:02.805123	143089	51	2	25
2014-04-01 04:13:03.039211	143090	17.6	1	25
2014-04-01 04:13:07.864885	143091	305	3	2
2014-04-01 04:13:08.093009	143092	1159112.2030169985	4	2
2014-04-01 04:13:09.022042	143093	48	2	10
2014-04-01 04:13:09.254962	143094	20.4	1	10
2014-04-01 04:13:16.888924	143095	55	2	9
2014-04-01 04:13:17.114476	143096	19.9	1	9
2014-04-01 04:13:17.956101	143097	51	2	8
2014-04-01 04:13:18.202604	143098	19.4	1	8
2014-04-01 04:13:19.863176	143099	338	3	2
2014-04-01 04:13:20.086273	143100	1159113.35205172	4	2
2014-04-01 04:13:28.305952	143101	54	2	1
2014-04-01 04:13:28.721194	143102	19.0	1	1
2014-04-01 04:13:31.864922	143103	305	3	2
2014-04-01 04:13:32.092763	143104	1159114.5010864413	4	2
2014-04-01 04:13:39.188712	143105	62	2	24
2014-04-01 04:13:39.408859	143106	17.0	1	24
2014-04-01 04:13:41.803119	143107	51	2	25
2014-04-01 04:13:42.03223	143108	17.6	1	25
2014-04-01 04:13:43.865659	143109	305	3	2
2014-04-01 04:13:44.086115	143110	1159114.5010864413	4	2
2014-04-01 04:13:48.022008	143111	48	2	10
2014-04-01 04:13:48.253637	143112	20.4	1	10
2014-04-01 04:13:55.888538	143113	55	2	9
2014-04-01 04:13:56.109564	143114	19.9	1	9
2014-04-01 04:13:56.958655	143115	51	2	8
2014-04-01 04:13:57.186786	143116	19.4	1	8
2014-04-01 04:14:07.307206	143117	54	2	1
2014-04-01 04:14:07.528647	143118	19.0	1	1
2014-04-01 04:14:18.186781	143119	62	2	24
2014-04-01 04:14:18.421183	143120	17.0	1	24
2014-04-01 04:14:20.802421	143121	51	2	25
2014-04-01 04:14:21.024665	143122	17.6	1	25
2014-04-01 04:14:27.022678	143123	48	2	10
2014-04-01 04:14:27.253659	143124	20.4	1	10
2014-04-01 04:14:31.864251	143125	305	3	2
2014-04-01 04:14:32.085274	143126	1159119.097225327	4	2
2014-04-01 04:14:34.88756	143127	55	2	9
2014-04-01 04:14:35.119287	143128	19.9	1	9
2014-04-01 04:14:35.958005	143129	51	2	8
2014-04-01 04:14:36.181231	143130	19.4	1	8
2014-04-01 04:14:46.304241	143131	54	2	1
2014-04-01 04:14:46.536667	143132	19.0	1	1
2014-04-01 04:14:57.186257	143133	62	2	24
2014-04-01 04:14:57.410244	143134	17.0	1	24
2014-04-01 04:14:59.802504	143135	51	2	25
2014-04-01 04:15:00.032925	143136	17.6	1	25
2014-04-01 04:15:06.022882	143137	48	2	10
2014-04-01 04:15:06.243284	143138	20.4	1	10
2014-04-01 04:15:13.886862	143139	55	2	9
2014-04-01 04:15:14.118044	143140	19.9	1	9
2014-04-01 04:15:14.957142	143141	51	2	8
2014-04-01 04:15:15.17785	143142	19.4	1	8
2014-04-01 04:15:25.303993	143143	54	2	1
2014-04-01 04:15:25.539673	143144	19.0	1	1
2014-04-01 04:15:31.864039	143145	305	3	2
2014-04-01 04:15:32.087323	143146	1159123.6933642128	4	2
2014-04-01 04:15:36.185671	143147	62	2	24
2014-04-01 04:15:36.426219	143148	17.0	1	24
2014-04-01 04:15:38.801985	143149	51	2	25
2014-04-01 04:15:39.023149	143150	17.6	1	25
2014-04-01 04:15:43.864165	143151	338	3	2
2014-04-01 04:15:44.095107	143152	1159124.842398934	4	2
2014-04-01 04:15:45.025463	143153	48	2	10
2014-04-01 04:15:45.247608	143154	20.4	1	10
2014-04-01 04:15:52.886891	143155	55	2	9
2014-04-01 04:15:53.11994	143156	19.9	1	9
2014-04-01 04:15:53.95716	143157	51	2	8
2014-04-01 04:15:54.177104	143158	19.4	1	8
2014-04-01 04:15:55.864201	143159	305	3	2
2014-04-01 04:15:56.096509	143160	1159125.9914336556	4	2
2014-04-01 04:16:04.302676	143161	54	2	1
2014-04-01 04:16:04.525241	143162	19.0	1	1
2014-04-01 04:16:07.86334	143163	305	3	2
2014-04-01 04:16:08.095099	143164	1159127.140468377	4	2
2014-04-01 04:16:15.185915	143165	62	2	24
2014-04-01 04:16:15.405832	143166	17.0	1	24
2014-04-01 04:16:17.801606	143167	51	2	25
2014-04-01 04:16:18.032627	143168	17.6	1	25
2014-04-01 04:16:24.023213	143169	48	2	10
2014-04-01 04:16:24.246142	143170	20.4	1	10
2014-04-01 04:16:32.091869	143171	55	2	9
2014-04-01 04:16:32.323261	143172	19.9	1	9
2014-04-01 04:16:32.956245	143173	51	2	8
2014-04-01 04:16:33.177986	143174	19.4	1	8
2014-04-01 04:16:43.305268	143175	54	2	1
2014-04-01 04:16:43.535386	143176	19.0	1	1
2014-04-01 04:16:54.184752	143177	62	2	24
2014-04-01 04:16:54.407963	143178	17.0	1	24
2014-04-01 04:16:56.802844	143179	51	2	25
2014-04-01 04:16:57.034702	143180	17.6	1	25
2014-04-01 04:17:03.022548	143181	48	2	10
2014-04-01 04:17:03.243671	143182	20.4	1	10
2014-04-01 04:17:10.888852	143183	55	2	9
2014-04-01 04:17:11.119581	143184	19.9	1	9
2014-04-01 04:17:11.956245	143185	51	2	8
2014-04-01 04:17:12.177037	143186	19.4	1	8
2014-04-01 04:17:19.866083	143187	370	3	2
2014-04-01 04:17:20.097651	143188	1159134.0346767055	4	2
2014-04-01 04:17:22.303991	143189	54	2	1
2014-04-01 04:17:22.525104	143190	19.0	1	1
2014-04-01 04:17:31.863412	143191	354	3	2
2014-04-01 04:17:32.095939	143192	1159135.1837114268	4	2
2014-04-01 04:17:33.185052	143193	62	2	24
2014-04-01 04:17:33.405525	143194	17.0	1	24
2014-04-01 04:17:35.800821	143195	51	2	25
2014-04-01 04:17:36.047378	143196	17.6	1	25
2014-04-01 04:17:42.024481	143197	48	2	10
2014-04-01 04:17:42.249288	143198	20.4	1	10
2014-04-01 04:17:49.888598	143199	55	2	9
2014-04-01 04:17:50.123629	143200	19.9	1	9
2014-04-01 04:17:50.958266	143201	51	2	8
2014-04-01 04:17:51.180258	143202	19.4	1	8
2014-04-01 04:18:01.304461	143203	54	2	1
2014-04-01 04:18:01.535579	143204	19.0	1	1
2014-04-01 04:18:12.185119	143205	62	2	24
2014-04-01 04:18:12.406435	143206	17.0	1	24
2014-04-01 04:18:14.800155	143207	51	2	25
2014-04-01 04:18:15.034852	143208	17.6	1	25
2014-04-01 04:18:21.025019	143209	48	2	10
2014-04-01 04:18:21.246651	143210	20.4	1	10
2014-04-01 04:18:28.88848	143211	55	2	9
2014-04-01 04:18:29.120772	143212	19.9	1	9
2014-04-01 04:18:29.956337	143213	51	2	8
2014-04-01 04:18:30.179846	143214	19.4	1	8
2014-04-01 04:18:31.865117	143215	370	3	2
2014-04-01 04:18:32.099153	143216	1159140.928885034	4	2
2014-04-01 04:18:40.302676	143217	54	2	1
2014-04-01 04:18:40.536381	143218	19.0	1	1
2014-04-01 04:18:51.18453	143219	62	2	24
2014-04-01 04:18:51.416366	143220	17.0	1	24
2014-04-01 04:18:53.799235	143221	51	2	25
2014-04-01 04:18:54.023583	143222	17.6	1	25
2014-04-01 04:19:00.023289	143223	48	2	10
2014-04-01 04:19:00.257287	143224	20.4	1	10
2014-04-01 04:19:07.888099	143225	55	2	9
2014-04-01 04:19:08.110097	143226	19.9	1	9
2014-04-01 04:19:08.95719	143227	51	2	8
2014-04-01 04:19:09.188092	143228	19.4	1	8
2014-04-01 04:19:19.304696	143229	54	2	1
2014-04-01 04:19:19.52681	143230	19.0	1	1
2014-04-01 04:19:30.184576	143231	62	2	24
2014-04-01 04:19:30.417797	143232	17.0	1	24
2014-04-01 04:19:31.864884	143233	354	3	2
2014-04-01 04:19:32.086413	143234	1159145.5294948719	4	2
2014-04-01 04:19:32.800604	143235	51	2	25
2014-04-01 04:19:33.030872	143236	17.6	1	25
2014-04-01 04:19:39.022713	143237	48	2	10
2014-04-01 04:19:39.244208	143238	20.4	1	10
2014-04-01 04:19:46.88636	143239	55	2	9
2014-04-01 04:19:47.117298	143240	19.9	1	9
2014-04-01 04:19:47.95871	143241	51	2	8
2014-04-01 04:19:48.179464	143242	19.4	1	8
2014-04-01 04:19:58.303558	143243	54	2	1
2014-04-01 04:19:58.547209	143244	19.0	1	1
2014-04-01 04:20:09.179508	143245	62	2	24
2014-04-01 04:20:09.403308	143246	17.0	1	24
2014-04-01 04:20:11.801167	143247	51	2	25
2014-04-01 04:20:12.031553	143248	17.6	1	25
2014-04-01 04:20:18.024134	143249	48	2	10
2014-04-01 04:20:18.245715	143250	20.4	1	10
2014-04-01 04:20:25.887825	143251	55	2	9
2014-04-01 04:20:26.119378	143252	19.9	1	9
2014-04-01 04:20:26.956017	143253	51	2	8
2014-04-01 04:20:27.177047	143254	19.4	1	8
2014-04-01 04:20:31.86226	143255	354	3	2
2014-04-01 04:20:32.100961	143256	1159151.2746684789	4	2
2014-04-01 04:20:37.301532	143257	54	2	1
2014-04-01 04:20:37.528425	143258	19.0	1	1
2014-04-01 04:20:48.181507	143259	62	2	24
2014-04-01 04:20:48.413763	143260	17.0	1	24
2014-04-01 04:20:50.800409	143261	51	2	25
2014-04-01 04:20:51.023035	143262	17.6	1	25
2014-04-01 04:20:57.02432	143263	48	2	10
2014-04-01 04:20:57.255723	143264	20.4	1	10
2014-04-01 04:21:04.888793	143265	55	2	9
2014-04-01 04:21:05.108664	143266	19.9	1	9
2014-04-01 04:21:05.956741	143267	51	2	8
2014-04-01 04:21:06.186445	143268	19.4	1	8
2014-04-01 04:21:16.301663	143269	54	2	1
2014-04-01 04:21:16.523834	143270	19.0	1	1
2014-04-01 04:21:19.864582	143271	305	3	2
2014-04-01 04:21:20.095989	143272	1159155.8708073646	4	2
2014-04-01 04:21:27.180082	143273	62	2	24
2014-04-01 04:21:27.400664	143274	17.0	1	24
2014-04-01 04:21:29.818866	143275	51	2	25
2014-04-01 04:21:30.051811	143276	17.6	1	25
2014-04-01 04:21:31.863807	143277	305	3	2
2014-04-01 04:21:32.085711	143278	1159157.019842086	4	2
2014-04-01 04:21:36.024414	143279	48	2	10
2014-04-01 04:21:36.255882	143280	20.4	1	10
2014-04-01 04:21:43.886891	143281	55	2	9
2014-04-01 04:21:44.108635	143282	19.9	1	9
2014-04-01 04:21:44.95619	143283	51	2	8
2014-04-01 04:21:45.186983	143284	19.4	1	8
2014-04-01 04:21:55.301487	143285	54	2	1
2014-04-01 04:21:55.523269	143286	19.0	1	1
2014-04-01 04:22:06.178587	143287	62	2	24
2014-04-01 04:22:06.410132	143288	17.0	1	24
2014-04-01 04:22:08.801856	143289	51	2	25
2014-04-01 04:22:09.022335	143290	17.6	1	25
2014-04-01 04:22:15.024988	143291	48	2	10
2014-04-01 04:22:15.266697	143292	20.4	1	10
2014-04-01 04:22:22.890241	143293	55	2	9
2014-04-01 04:22:23.112138	143294	19.9	1	9
2014-04-01 04:22:23.956326	143295	51	2	8
2014-04-01 04:22:24.187162	143296	19.4	1	8
2014-04-01 04:22:31.865129	143297	338	3	2
2014-04-01 04:22:32.087018	143298	1159162.7650156931	4	2
2014-04-01 04:22:34.300717	143299	54	2	1
2014-04-01 04:22:34.533529	143300	19.0	1	1
2014-04-01 04:22:43.864919	143301	305	3	2
2014-04-01 04:22:44.089181	143302	1159163.9140504145	4	2
2014-04-01 04:22:45.179996	143303	62	2	24
2014-04-01 04:22:45.410043	143304	17.0	1	24
2014-04-01 04:22:47.798672	143305	51	2	25
2014-04-01 04:22:48.021006	143306	17.6	1	25
2014-04-01 04:22:54.02343	143307	48	2	10
2014-04-01 04:22:54.254793	143308	20.4	1	10
2014-04-01 04:22:55.87521	143309	338	3	2
2014-04-01 04:22:56.097819	143310	1159165.063085136	4	2
2014-04-01 04:23:01.887129	143311	55	2	9
2014-04-01 04:23:02.120131	143312	19.9	1	9
2014-04-01 04:23:02.95823	143313	51	2	8
2014-04-01 04:23:03.179926	143314	19.4	1	8
2014-04-01 04:23:07.865182	143315	338	3	2
2014-04-01 04:23:08.099114	143316	1159166.2121198573	4	2
2014-04-01 04:23:13.301705	143317	54	2	1
2014-04-01 04:23:13.529636	143318	19.0	1	1
2014-04-01 04:23:24.17815	143319	62	2	24
2014-04-01 04:23:24.409545	143320	17.0	1	24
2014-04-01 04:23:26.797801	143321	51	2	25
2014-04-01 04:23:27.021773	143322	17.6	1	25
2014-04-01 04:23:31.86418	143323	338	3	2
2014-04-01 04:23:32.096222	143324	1159168.5101893002	4	2
2014-04-01 04:23:33.025941	143325	48	2	10
2014-04-01 04:23:33.246987	143326	20.4	1	10
2014-04-01 04:23:40.88776	143327	55	2	9
2014-04-01 04:23:41.121007	143328	19.9	1	9
2014-04-01 04:23:41.956811	143329	51	2	8
2014-04-01 04:23:42.177959	143330	19.4	1	8
2014-04-01 04:23:43.863449	143331	305	3	2
2014-04-01 04:23:44.097071	143332	1159168.5101893002	4	2
2014-04-01 04:23:52.30158	143333	54	2	1
2014-04-01 04:23:52.523095	143334	19.0	1	1
2014-04-01 04:23:55.862653	143335	338	3	2
2014-04-01 04:23:56.096978	143336	1159169.6592240215	4	2
2014-04-01 04:24:03.179001	143337	62	2	24
2014-04-01 04:24:03.40165	143338	17.0	1	24
2014-04-01 04:24:05.79818	143339	50	2	25
2014-04-01 04:24:06.053267	143340	17.6	1	25
2014-04-01 04:24:07.864604	143341	305	3	2
2014-04-01 04:24:08.089225	143342	1159170.808258743	4	2
2014-04-01 04:24:12.028917	143343	48	2	10
2014-04-01 04:24:12.261188	143344	20.4	1	10
2014-04-01 04:24:20.091361	143345	55	2	9
2014-04-01 04:24:20.314746	143346	19.9	1	9
2014-04-01 04:24:20.956022	143347	51	2	8
2014-04-01 04:24:21.188181	143348	19.4	1	8
2014-04-01 04:24:31.300043	143349	54	2	1
2014-04-01 04:24:31.521381	143350	19.0	1	1
2014-04-01 04:24:31.862821	143351	338	3	2
2014-04-01 04:24:32.093182	143352	1159173.1063281859	4	2
2014-04-01 04:24:42.17546	143353	62	2	24
2014-04-01 04:24:42.398587	143354	17.0	1	24
2014-04-01 04:24:43.864402	143355	305	3	2
2014-04-01 04:24:44.09511	143356	1159174.2553629072	4	2
2014-04-01 04:24:44.798012	143357	50	2	25
2014-04-01 04:24:45.01859	143358	17.6	1	25
2014-04-01 04:24:51.024519	143359	48	2	10
2014-04-01 04:24:51.257787	143360	20.4	1	10
2014-04-01 04:24:55.86259	143361	370	3	2
2014-04-01 04:24:56.084761	143362	1159175.4043976287	4	2
2014-04-01 04:24:58.888439	143363	55	2	9
2014-04-01 04:24:59.120343	143364	19.9	1	9
2014-04-01 04:24:59.956297	143365	51	2	8
2014-04-01 04:25:00.176691	143366	19.4	1	8
2014-04-01 04:25:07.863451	143367	370	3	2
2014-04-01 04:25:08.094873	143368	1159176.55343235	4	2
2014-04-01 04:25:10.301947	143369	54	2	1
2014-04-01 04:25:10.523341	143370	19.0	1	1
2014-04-01 04:25:21.187458	143371	62	2	24
2014-04-01 04:25:21.420102	143372	17.0	1	24
2014-04-01 04:25:23.798627	143373	50	2	25
2014-04-01 04:25:24.019553	143374	17.6	1	25
2014-04-01 04:25:30.025788	143375	48	2	10
2014-04-01 04:25:30.260063	143376	20.4	1	10
2014-04-01 04:25:31.863626	143377	370	3	2
2014-04-01 04:25:32.086374	143378	1159178.851501793	4	2
2014-04-01 04:25:37.887324	143379	55	2	9
2014-04-01 04:25:38.11916	143380	19.9	1	9
2014-04-01 04:25:38.956661	143381	51	2	8
2014-04-01 04:25:39.178194	143382	19.4	1	8
2014-04-01 04:25:49.299394	143383	54	2	1
2014-04-01 04:25:49.532524	143384	19.0	1	1
2014-04-01 04:26:00.178192	143385	62	2	24
2014-04-01 04:26:00.398501	143386	17.0	1	24
2014-04-01 04:26:02.798511	143387	50	2	25
2014-04-01 04:26:03.041746	143388	17.6	1	25
2014-04-01 04:26:07.86405	143389	402	3	2
2014-04-01 04:26:08.085921	143390	1159183.4476406786	4	2
2014-04-01 04:26:09.025932	143391	48	2	10
2014-04-01 04:26:09.257409	143392	20.4	1	10
2014-04-01 04:26:16.890861	143393	55	2	9
2014-04-01 04:26:17.113284	143394	19.9	1	9
2014-04-01 04:26:17.956282	143395	51	2	8
2014-04-01 04:26:18.186279	143396	19.4	1	8
2014-04-01 04:26:19.86415	143397	370	3	2
2014-04-01 04:26:20.084244	143398	1159184.5966754	4	2
2014-04-01 04:26:28.300185	143399	54	2	1
2014-04-01 04:26:28.531338	143400	19.0	1	1
2014-04-01 04:26:31.864312	143401	402	3	2
2014-04-01 04:26:32.086802	143402	1159185.7457101215	4	2
2014-04-01 04:26:39.175336	143403	62	2	24
2014-04-01 04:26:39.406867	143404	17.0	1	24
2014-04-01 04:26:41.796859	143405	50	2	25
2014-04-01 04:26:42.018326	143406	17.6	1	25
2014-04-01 04:26:43.863742	143407	402	3	2
2014-04-01 04:26:44.095177	143408	1159186.8947448428	4	2
2014-04-01 04:26:48.029066	143409	48	2	10
2014-04-01 04:26:48.249439	143410	20.4	1	10
2014-04-01 04:26:56.089157	143411	55	2	9
2014-04-01 04:26:56.319822	143412	19.9	1	9
2014-04-01 04:26:57.160361	143413	51	2	8
2014-04-01 04:26:57.382396	143414	19.4	1	8
2014-04-01 04:27:07.299286	143415	54	2	1
2014-04-01 04:27:07.531353	143416	19.0	1	1
2014-04-01 04:27:07.862847	143417	370	3	2
2014-04-01 04:27:08.08416	143418	1159189.1928142856	4	2
2014-04-01 04:27:18.17382	143419	62	2	24
2014-04-01 04:27:18.403799	143420	17.0	1	24
2014-04-01 04:27:20.800712	143421	50	2	25
2014-04-01 04:27:21.02242	143422	17.6	1	25
2014-04-01 04:27:27.025798	143423	48	2	10
2014-04-01 04:27:27.25643	143424	20.4	1	10
2014-04-01 04:27:31.865392	143425	370	3	2
2014-04-01 04:27:32.086844	143426	1159192.6399184498	4	2
2014-04-01 04:27:34.892003	143427	55	2	9
2014-04-01 04:27:35.126467	143428	19.9	1	9
2014-04-01 04:27:35.957477	143429	51	2	8
2014-04-01 04:27:36.177848	143430	19.4	1	8
2014-04-01 04:27:43.866295	143431	418	3	2
2014-04-01 04:27:44.100136	143432	1159193.7889531713	4	2
2014-04-01 04:27:46.298969	143433	54	2	1
2014-04-01 04:27:46.52066	143434	19.0	1	1
2014-04-01 04:27:55.865979	143435	418	3	2
2014-04-01 04:27:56.108002	143436	1159194.9379878927	4	2
2014-04-01 04:27:57.173256	143437	62	2	24
2014-04-01 04:27:57.394772	143438	17.0	1	24
2014-04-01 04:27:59.79532	143439	50	2	25
2014-04-01 04:28:00.029735	143440	17.6	1	25
2014-04-01 04:28:06.026584	143441	48	2	10
2014-04-01 04:28:06.247577	143442	20.4	1	10
2014-04-01 04:28:13.89119	143443	54	2	9
2014-04-01 04:28:14.14416	143444	19.9	1	9
2014-04-01 04:28:14.959145	143445	51	2	8
2014-04-01 04:28:15.178566	143446	19.4	1	8
2014-04-01 04:28:25.299004	143447	54	2	1
2014-04-01 04:28:25.529274	143448	19.0	1	1
2014-04-01 04:28:31.863712	143449	418	3	2
2014-04-01 04:28:32.087511	143450	1159199.5341267784	4	2
2014-04-01 04:28:36.172755	143451	62	2	24
2014-04-01 04:28:36.410435	143452	17.0	1	24
2014-04-01 04:28:38.797325	143453	50	2	25
2014-04-01 04:28:39.021185	143454	17.6	1	25
2014-04-01 04:28:45.02728	143455	48	2	10
2014-04-01 04:28:45.25863	143456	20.4	1	10
2014-04-01 04:28:52.88842	143457	54	2	9
2014-04-01 04:28:53.110435	143458	19.9	1	9
2014-04-01 04:28:53.956747	143459	51	2	8
2014-04-01 04:28:54.191428	143460	19.4	1	8
2014-04-01 04:29:04.295275	143461	54	2	1
2014-04-01 04:29:04.518266	143462	19.0	1	1
2014-04-01 04:29:15.173407	143463	62	2	24
2014-04-01 04:29:15.40538	143464	17.0	1	24
2014-04-01 04:29:17.794365	143465	50	2	25
2014-04-01 04:29:18.016519	143466	17.6	1	25
2014-04-01 04:29:24.027559	143467	48	2	10
2014-04-01 04:29:24.259546	143468	20.4	1	10
2014-04-01 04:29:32.089741	143469	54	2	9
2014-04-01 04:29:32.313384	143470	19.9	1	9
2014-04-01 04:29:32.957164	143471	51	2	8
2014-04-01 04:29:33.193229	143472	19.4	1	8
2014-04-01 04:29:43.299101	143473	54	2	1
2014-04-01 04:29:43.521571	143474	19.0	1	1
2014-04-01 04:29:54.1735	143475	62	2	24
2014-04-01 04:29:54.405045	143476	17.0	1	24
2014-04-01 04:29:56.795892	143477	50	2	25
2014-04-01 04:29:57.016991	143478	17.5	1	25
2014-04-01 04:30:03.028284	143479	48	2	10
2014-04-01 04:30:03.264502	143480	20.4	1	10
2014-04-01 04:30:10.88896	143481	54	2	9
2014-04-01 04:30:11.110237	143482	19.9	1	9
2014-04-01 04:30:11.956604	143483	51	2	8
2014-04-01 04:30:12.199058	143484	19.4	1	8
2014-04-01 04:30:22.299571	143485	54	2	1
2014-04-01 04:30:22.523699	143486	19.0	1	1
2014-04-01 04:30:31.869554	143487	418	3	2
2014-04-01 04:30:32.103459	143488	1159213.3225434353	4	2
2014-04-01 04:30:33.171253	143489	62	2	24
2014-04-01 04:30:33.393676	143490	17.0	1	24
2014-04-01 04:30:35.79428	143491	50	2	25
2014-04-01 04:30:36.025997	143492	17.5	1	25
2014-04-01 04:30:42.029628	143493	48	2	10
2014-04-01 04:30:42.275082	143494	20.4	1	10
2014-04-01 04:30:49.890354	143495	54	2	9
2014-04-01 04:30:50.124411	143496	19.9	1	9
2014-04-01 04:30:50.956381	143497	51	2	8
2014-04-01 04:30:51.177874	143498	19.4	1	8
2014-04-01 04:31:01.294357	143499	54	2	1
2014-04-01 04:31:01.527938	143500	19.0	1	1
2014-04-01 04:31:12.17124	143501	62	2	24
2014-04-01 04:31:12.392639	143502	17.0	1	24
2014-04-01 04:31:14.795575	143503	50	2	25
2014-04-01 04:31:15.026224	143504	17.5	1	25
2014-04-01 04:31:21.028213	143505	48	2	10
2014-04-01 04:31:21.249213	143506	20.4	1	10
2014-04-01 04:31:28.88783	143507	54	2	9
2014-04-01 04:31:29.120834	143508	19.9	1	9
2014-04-01 04:31:29.957118	143509	51	2	8
2014-04-01 04:31:30.179974	143510	19.4	1	8
2014-04-01 04:31:31.863578	143511	418	3	2
2014-04-01 04:31:32.095692	143512	1159220.2167517638	4	2
2014-04-01 04:31:40.294829	143513	54	2	1
2014-04-01 04:31:40.519057	143514	19.0	1	1
2014-04-01 04:31:51.170215	143515	62	2	24
2014-04-01 04:31:51.403794	143516	17.0	1	24
2014-04-01 04:31:53.79328	143517	50	2	25
2014-04-01 04:31:54.014002	143518	17.5	1	25
2014-04-01 04:32:00.02805	143519	48	2	10
2014-04-01 04:32:00.260209	143520	20.4	1	10
2014-04-01 04:32:07.888899	143521	54	2	9
2014-04-01 04:32:08.111365	143522	19.9	1	9
2014-04-01 04:32:09.162093	143523	51	2	8
2014-04-01 04:32:09.392701	143524	19.4	1	8
2014-04-01 04:32:19.295701	143525	54	2	1
2014-04-01 04:32:19.516868	143526	19.0	1	1
2014-04-01 04:32:30.169582	143527	62	2	24
2014-04-01 04:32:30.401197	143528	17.0	1	24
2014-04-01 04:32:31.863647	143529	418	3	2
2014-04-01 04:32:32.087049	143530	1159227.1109600924	4	2
2014-04-01 04:32:32.795233	143531	50	2	25
2014-04-01 04:32:33.039131	143532	17.5	1	25
2014-04-01 04:32:39.028473	143533	48	2	10
2014-04-01 04:32:39.251281	143534	20.4	1	10
2014-04-01 04:32:46.887759	143535	54	2	9
2014-04-01 04:32:47.120432	143536	19.9	1	9
2014-04-01 04:32:47.956591	143537	51	2	8
2014-04-01 04:32:48.177789	143538	19.4	1	8
2014-04-01 04:32:58.294402	143539	54	2	1
2014-04-01 04:32:58.548824	143540	19.0	1	1
2014-04-01 04:33:09.169001	143541	62	2	24
2014-04-01 04:33:09.389752	143542	17.0	1	24
2014-04-01 04:33:11.795607	143543	50	2	25
2014-04-01 04:33:12.027387	143544	17.5	1	25
2014-04-01 04:33:18.028088	143545	48	2	10
2014-04-01 04:33:18.25135	143546	20.4	1	10
2014-04-01 04:33:25.888808	143547	54	2	9
2014-04-01 04:33:26.120116	143548	19.9	1	9
2014-04-01 04:33:26.958176	143549	50	2	8
2014-04-01 04:33:27.179346	143550	19.4	1	8
2014-04-01 04:33:31.863728	143551	418	3	2
2014-04-01 04:33:32.096271	143552	1159234.0051684207	4	2
2014-04-01 04:33:37.294927	143553	54	2	1
2014-04-01 04:33:37.516198	143554	19.0	1	1
2014-04-01 04:33:48.167603	143555	62	2	24
2014-04-01 04:33:48.399535	143556	17.0	1	24
2014-04-01 04:33:50.793133	143557	50	2	25
2014-04-01 04:33:51.016171	143558	17.5	1	25
2014-04-01 04:33:57.030635	143559	48	2	10
2014-04-01 04:33:57.264061	143560	20.4	1	10
2014-04-01 04:34:04.88797	143561	54	2	9
2014-04-01 04:34:05.111293	143562	19.9	1	9
2014-04-01 04:34:05.958974	143563	51	2	8
2014-04-01 04:34:06.18992	143564	19.4	1	8
2014-04-01 04:34:16.295011	143565	54	2	1
2014-04-01 04:34:16.517094	143566	19.0	1	1
2014-04-01 04:34:27.166054	143567	62	2	24
2014-04-01 04:34:27.398749	143568	17.0	1	24
2014-04-01 04:34:29.793279	143569	50	2	25
2014-04-01 04:34:30.014398	143570	17.5	1	25
2014-04-01 04:34:31.862295	143571	370	3	2
2014-04-01 04:34:32.096309	143572	1159240.8993767493	4	2
2014-04-01 04:34:36.02864	143573	48	2	10
2014-04-01 04:34:36.253415	143574	20.4	1	10
2014-04-01 04:34:44.095561	143575	54	2	9
2014-04-01 04:34:44.328862	143576	19.9	1	9
2014-04-01 04:34:44.959473	143577	51	2	8
2014-04-01 04:34:45.182415	143578	19.4	1	8
2014-04-01 04:34:55.29495	143579	54	2	1
2014-04-01 04:34:55.540004	143580	19.0	1	1
2014-04-01 04:35:06.166756	143581	62	2	24
2014-04-01 04:35:06.394438	143582	17.0	1	24
2014-04-01 04:35:08.793673	143583	50	2	25
2014-04-01 04:35:09.025744	143584	17.5	1	25
2014-04-01 04:35:15.02779	143585	48	2	10
2014-04-01 04:35:15.252684	143586	20.4	1	10
2014-04-01 04:35:22.887709	143587	54	2	9
2014-04-01 04:35:23.119604	143588	19.9	1	9
2014-04-01 04:35:23.956579	143589	50	2	8
2014-04-01 04:35:24.176307	143590	19.4	1	8
2014-04-01 04:35:31.862399	143591	370	3	2
2014-04-01 04:35:32.093432	143592	1159247.7935850779	4	2
2014-04-01 04:35:34.29653	143593	54	2	1
2014-04-01 04:35:34.516884	143594	19.0	1	1
2014-04-01 04:35:45.163601	143595	62	2	24
2014-04-01 04:35:45.396768	143596	17.0	1	24
2014-04-01 04:35:47.794165	143597	50	2	25
2014-04-01 04:35:48.014894	143598	17.5	1	25
2014-04-01 04:35:54.030464	143599	48	2	10
2014-04-01 04:35:54.26304	143600	20.4	1	10
2014-04-01 04:36:01.886438	143601	54	2	9
2014-04-01 04:36:02.109105	143602	19.9	1	9
2014-04-01 04:36:02.957005	143603	51	2	8
2014-04-01 04:36:03.186816	143604	19.4	1	8
2014-04-01 04:36:13.293614	143605	54	2	1
2014-04-01 04:36:13.5173	143606	19.0	1	1
2014-04-01 04:36:24.165486	143607	62	2	24
2014-04-01 04:36:24.398609	143608	17.0	1	24
2014-04-01 04:36:26.793943	143609	50	2	25
2014-04-01 04:36:27.017078	143610	17.5	1	25
2014-04-01 04:36:31.862478	143611	370	3	2
2014-04-01 04:36:32.094947	143612	1159253.5387586849	4	2
2014-04-01 04:36:33.029608	143613	48	2	10
2014-04-01 04:36:33.249933	143614	20.4	1	10
2014-04-01 04:36:40.888861	143615	54	2	9
2014-04-01 04:36:41.120087	143616	19.9	1	9
2014-04-01 04:36:41.956493	143617	51	2	8
2014-04-01 04:36:42.176731	143618	19.4	1	8
2014-04-01 04:36:52.293442	143619	54	2	1
2014-04-01 04:36:52.527727	143620	19.0	1	1
2014-04-01 04:37:03.165115	143621	62	2	24
2014-04-01 04:37:03.387652	143622	17.0	1	24
2014-04-01 04:37:05.793149	143623	50	2	25
2014-04-01 04:37:06.024493	143624	17.5	1	25
2014-04-01 04:37:12.031778	143625	48	2	10
2014-04-01 04:37:12.255254	143626	20.4	1	10
2014-04-01 04:37:19.889628	143627	54	2	9
2014-04-01 04:37:20.133157	143628	19.9	1	9
2014-04-01 04:37:20.954911	143629	51	2	8
2014-04-01 04:37:21.176603	143630	19.4	1	8
2014-04-01 04:37:31.348823	143631	54	2	1
2014-04-01 04:37:31.580672	143632	19.0	1	1
2014-04-01 04:37:31.891031	143633	370	3	2
2014-04-01 04:37:32.111875	143634	1159259.283932292	4	2
2014-04-01 04:37:42.164023	143635	62	2	24
2014-04-01 04:37:42.396764	143636	17.0	1	24
2014-04-01 04:37:44.791966	143637	50	2	25
2014-04-01 04:37:45.012506	143638	17.5	1	25
2014-04-01 04:37:51.028687	143639	48	2	10
2014-04-01 04:37:51.259831	143640	20.4	1	10
2014-04-01 04:37:58.888603	143641	54	2	9
2014-04-01 04:37:59.109987	143642	19.9	1	9
2014-04-01 04:37:59.956275	143643	51	2	8
2014-04-01 04:38:00.186648	143644	19.4	1	8
2014-04-01 04:38:10.2905	143645	54	2	1
2014-04-01 04:38:10.512353	143646	19.0	1	1
2014-04-01 04:38:21.163221	143647	62	2	24
2014-04-01 04:38:21.395366	143648	17.0	1	24
2014-04-01 04:38:23.793344	143649	50	2	25
2014-04-01 04:38:24.013612	143650	17.5	1	25
2014-04-01 04:38:30.028683	143651	48	2	10
2014-04-01 04:38:30.260206	143652	20.4	1	10
2014-04-01 04:38:37.696777	143653	370	3	2
2014-04-01 04:38:37.92114	143654	1159266.1781406205	4	2
2014-04-01 04:38:38.224729	143655	54	2	9
2014-04-01 04:38:38.455355	143656	19.9	1	9
2014-04-01 04:38:38.956813	143657	50	2	8
2014-04-01 04:38:39.177715	143658	19.4	1	8
2014-04-01 04:38:49.291696	143659	54	2	1
2014-04-01 04:38:49.523699	143660	19.0	1	1
2014-04-01 04:39:00.162763	143661	62	2	24
2014-04-01 04:39:00.38412	143662	17.0	1	24
2014-04-01 04:39:02.792951	143663	50	2	25
2014-04-01 04:39:03.026326	143664	17.5	1	25
2014-04-01 04:39:09.02949	143665	48	2	10
2014-04-01 04:39:09.250979	143666	20.4	1	10
2014-04-01 04:39:16.88744	143667	54	2	9
2014-04-01 04:39:17.123449	143668	19.9	1	9
2014-04-01 04:39:17.959022	143669	50	2	8
2014-04-01 04:39:18.180268	143670	19.4	1	8
2014-04-01 04:39:28.292039	143671	54	2	1
2014-04-01 04:39:28.524569	143672	19.0	1	1
2014-04-01 04:39:31.862201	143673	402	3	2
2014-04-01 04:39:32.085499	143674	1159271.9233142275	4	2
2014-04-01 04:39:39.160723	143675	62	2	24
2014-04-01 04:39:39.404283	143676	17.0	1	24
2014-04-01 04:39:41.791066	143677	50	2	25
2014-04-01 04:39:42.015762	143678	17.5	1	25
2014-04-01 04:39:43.862612	143679	305	3	2
2014-04-01 04:39:44.09687	143680	1159273.0723489488	4	2
2014-04-01 04:39:48.031056	143681	48	2	10
2014-04-01 04:39:48.252618	143682	20.4	1	10
2014-04-01 04:39:56.091857	143683	54	2	9
2014-04-01 04:39:56.323558	143684	19.9	1	9
2014-04-01 04:39:56.955844	143685	51	2	8
2014-04-01 04:39:57.17886	143686	19.4	1	8
2014-04-01 04:40:07.292241	143687	54	2	1
2014-04-01 04:40:07.523587	143688	19.0	1	1
2014-04-01 04:40:07.862534	143689	305	3	2
2014-04-01 04:40:08.094079	143690	1159275.3704183917	4	2
2014-04-01 04:40:18.161757	143691	62	2	24
2014-04-01 04:40:18.393727	143692	17.0	1	24
2014-04-01 04:40:19.860656	143693	305	3	2
2014-04-01 04:40:20.08266	143694	1159276.5194531132	4	2
2014-04-01 04:40:20.791274	143695	50	2	25
2014-04-01 04:40:21.023172	143696	17.5	1	25
2014-04-01 04:40:27.031591	143697	48	2	10
2014-04-01 04:40:27.256533	143698	20.5	1	10
2014-04-01 04:40:31.861901	143699	305	3	2
2014-04-01 04:40:32.09384	143700	1159277.6684878345	4	2
2014-04-01 04:40:34.88812	143701	54	2	9
2014-04-01 04:40:35.112372	143702	19.9	1	9
2014-04-01 04:40:35.957263	143703	50	2	8
2014-04-01 04:40:36.189886	143704	19.4	1	8
2014-04-01 04:40:46.292541	143705	54	2	1
2014-04-01 04:40:46.514497	143706	19.0	1	1
2014-04-01 04:40:55.862715	143707	338	3	2
2014-04-01 04:40:56.094768	143708	1159279.9665572774	4	2
2014-04-01 04:40:57.160843	143709	62	2	24
2014-04-01 04:40:57.384616	143710	17.0	1	24
2014-04-01 04:40:59.79186	143711	50	2	25
2014-04-01 04:41:00.02519	143712	17.5	1	25
2014-04-01 04:41:06.029608	143713	48	2	10
2014-04-01 04:41:06.253447	143714	20.5	1	10
2014-04-01 04:41:07.862271	143715	305	3	2
2014-04-01 04:41:08.094494	143716	1159281.115591999	4	2
2014-04-01 04:41:13.889912	143717	54	2	9
2014-04-01 04:41:14.110931	143718	19.9	1	9
2014-04-01 04:41:14.955145	143719	50	2	8
2014-04-01 04:41:15.186484	143720	19.4	1	8
2014-04-01 04:41:19.863691	143721	305	3	2
2014-04-01 04:41:20.08919	143722	1159282.2646267202	4	2
2014-04-01 04:41:25.290942	143723	53	2	1
2014-04-01 04:41:25.5386	143724	19.0	1	1
2014-04-01 04:41:31.861997	143725	370	3	2
2014-04-01 04:41:32.085055	143726	1159283.4136614415	4	2
2014-04-01 04:41:36.159132	143727	62	2	24
2014-04-01 04:41:36.391183	143728	17.0	1	24
2014-04-01 04:41:38.791521	143729	50	2	25
2014-04-01 04:41:39.013181	143730	17.5	1	25
2014-04-01 04:41:43.862841	143731	370	3	2
2014-04-01 04:41:44.094887	143732	1159284.562696163	4	2
2014-04-01 04:41:45.03024	143733	48	2	10
2014-04-01 04:41:45.250144	143734	20.5	1	10
2014-04-01 04:41:52.888192	143735	54	2	9
2014-04-01 04:41:53.120562	143736	19.9	1	9
2014-04-01 04:41:53.956604	143737	50	2	8
2014-04-01 04:41:54.176623	143738	19.4	1	8
2014-04-01 04:42:04.289412	143739	53	2	1
2014-04-01 04:42:04.524386	143740	19.0	1	1
2014-04-01 04:42:15.159642	143741	63	2	24
2014-04-01 04:42:15.380557	143742	16.9	1	24
2014-04-01 04:42:17.790062	143743	50	2	25
2014-04-01 04:42:18.020468	143744	17.5	1	25
2014-04-01 04:42:24.033045	143745	48	2	10
2014-04-01 04:42:24.254017	143746	20.5	1	10
2014-04-01 04:42:32.090796	143747	54	2	9
2014-04-01 04:42:32.322972	143748	19.9	1	9
2014-04-01 04:42:32.95689	143749	50	2	8
2014-04-01 04:42:33.177177	143750	19.4	1	8
2014-04-01 04:42:43.291418	143751	53	2	1
2014-04-01 04:42:43.523742	143752	19.0	1	1
2014-04-01 04:42:54.158302	143753	63	2	24
2014-04-01 04:42:54.379525	143754	16.9	1	24
2014-04-01 04:42:56.790789	143755	50	2	25
2014-04-01 04:42:57.022741	143756	17.5	1	25
2014-04-01 04:43:03.031284	143757	48	2	10
2014-04-01 04:43:03.251928	143758	20.5	1	10
2014-04-01 04:43:10.891896	143759	54	2	9
2014-04-01 04:43:11.125633	143760	19.9	1	9
2014-04-01 04:43:11.958012	143761	50	2	8
2014-04-01 04:43:12.179048	143762	19.4	1	8
2014-04-01 04:43:22.288746	143763	53	2	1
2014-04-01 04:43:22.52083	143764	19.0	1	1
2014-04-01 04:43:31.863781	143765	354	3	2
2014-04-01 04:43:32.08594	143766	1159294.9040086558	4	2
2014-04-01 04:43:33.158001	143767	63	2	24
2014-04-01 04:43:33.390524	143768	16.9	1	24
2014-04-01 04:43:35.792547	143769	50	2	25
2014-04-01 04:43:36.014755	143770	17.5	1	25
2014-04-01 04:43:42.031027	143771	48	2	10
2014-04-01 04:43:42.275714	143772	20.5	1	10
2014-04-01 04:43:49.89252	143773	54	2	9
2014-04-01 04:43:50.117646	143774	19.9	1	9
2014-04-01 04:43:51.162062	143775	50	2	8
2014-04-01 04:43:51.393749	143776	19.4	1	8
2014-04-01 04:44:01.287364	143777	53	2	1
2014-04-01 04:44:01.563188	143778	19.0	1	1
2014-04-01 04:44:12.157947	143779	63	2	24
2014-04-01 04:44:12.389863	143780	16.9	1	24
2014-04-01 04:44:14.789238	143781	50	2	25
2014-04-01 04:44:15.013468	143782	17.5	1	25
2014-04-01 04:44:21.031912	143783	48	2	10
2014-04-01 04:44:21.264563	143784	20.5	1	10
2014-04-01 04:44:28.890082	143785	54	2	9
2014-04-01 04:44:29.113574	143786	19.9	1	9
2014-04-01 04:44:29.959533	143787	50	2	8
2014-04-01 04:44:30.191292	143788	19.4	1	8
2014-04-01 04:44:31.86319	143789	354	3	2
2014-04-01 04:44:32.087419	143790	1159300.6491822628	4	2
2014-04-01 04:44:40.289821	143791	53	2	1
2014-04-01 04:44:40.521393	143792	19.0	1	1
2014-04-01 04:44:51.158591	143793	63	2	24
2014-04-01 04:44:51.380849	143794	16.9	1	24
2014-04-01 04:44:53.789969	143795	50	2	25
2014-04-01 04:44:54.023624	143796	17.5	1	25
2014-04-01 04:45:00.033316	143797	48	2	10
2014-04-01 04:45:00.255927	143798	20.5	1	10
2014-04-01 04:45:07.889402	143799	54	2	9
2014-04-01 04:45:08.1237	143800	19.9	1	9
2014-04-01 04:45:08.957687	143801	50	2	8
2014-04-01 04:45:09.182753	143802	19.4	1	8
2014-04-01 04:45:19.289477	143803	53	2	1
2014-04-01 04:45:19.519539	143804	19.0	1	1
2014-04-01 04:45:30.158548	143805	63	2	24
2014-04-01 04:45:30.381531	143806	16.9	1	24
2014-04-01 04:45:31.861314	143807	354	3	2
2014-04-01 04:45:32.096042	143808	1159307.5433905914	4	2
2014-04-01 04:45:32.790917	143809	50	2	25
2014-04-01 04:45:33.01257	143810	17.5	1	25
2014-04-01 04:45:39.032702	143811	48	2	10
2014-04-01 04:45:39.26606	143812	20.5	1	10
2014-04-01 04:45:46.888044	143813	54	2	9
2014-04-01 04:45:47.110878	143814	19.9	1	9
2014-04-01 04:45:47.95818	143815	50	2	8
2014-04-01 04:45:48.19216	143816	19.4	1	8
2014-04-01 04:45:58.287869	143817	53	2	1
2014-04-01 04:45:58.512179	143818	19.0	1	1
2014-04-01 04:46:09.154248	143819	63	2	24
2014-04-01 04:46:09.399654	143820	16.9	1	24
2014-04-01 04:46:11.788778	143821	50	2	25
2014-04-01 04:46:12.008801	143822	17.5	1	25
2014-04-01 04:46:18.033405	143823	48	2	10
2014-04-01 04:46:18.26801	143824	20.5	1	10
2014-04-01 04:46:25.889248	143825	54	2	9
2014-04-01 04:46:26.11109	143826	19.9	1	9
2014-04-01 04:46:26.957073	143827	50	2	8
2014-04-01 04:46:27.187147	143828	19.4	1	8
2014-04-01 04:46:31.86041	143829	354	3	2
2014-04-01 04:46:32.083411	143830	1159313.2885641984	4	2
2014-04-01 04:46:37.289859	143831	53	2	1
2014-04-01 04:46:37.524436	143832	19.0	1	1
2014-04-01 04:46:48.153854	143833	63	2	24
2014-04-01 04:46:48.375758	143834	16.9	1	24
2014-04-01 04:46:50.789362	143835	50	2	25
2014-04-01 04:46:51.021244	143836	17.5	1	25
2014-04-01 04:46:57.033162	143837	48	2	10
2014-04-01 04:46:57.255163	143838	20.5	1	10
2014-04-01 04:47:04.890231	143839	54	2	9
2014-04-01 04:47:05.123037	143840	19.9	1	9
2014-04-01 04:47:05.956114	143841	50	2	8
2014-04-01 04:47:06.177263	143842	19.4	1	8
2014-04-01 04:47:07.86248	143843	305	3	2
2014-04-01 04:47:08.093827	143844	1159316.7356683626	4	2
2014-04-01 04:47:16.287086	143845	53	2	1
2014-04-01 04:47:16.51343	143846	19.0	1	1
2014-04-01 04:47:19.861284	143847	305	3	2
2014-04-01 04:47:20.093833	143848	1159317.8847030841	4	2
2014-04-01 04:47:27.154788	143849	63	2	24
2014-04-01 04:47:27.377018	143850	16.9	1	24
2014-04-01 04:47:29.789507	143851	50	2	25
2014-04-01 04:47:30.019538	143852	17.5	1	25
2014-04-01 04:47:31.858782	143853	305	3	2
2014-04-01 04:47:32.081922	143854	1159319.0337378054	4	2
2014-04-01 04:47:36.032634	143855	48	2	10
2014-04-01 04:47:36.264748	143856	20.5	1	10
2014-04-01 04:47:43.888707	143857	54	2	9
2014-04-01 04:47:44.114177	143858	19.8	1	9
2014-04-01 04:47:44.956135	143859	50	2	8
2014-04-01 04:47:45.188754	143860	19.4	1	8
2014-04-01 04:47:55.287386	143861	53	2	1
2014-04-01 04:47:55.51018	143862	19.0	1	1
2014-04-01 04:48:06.15424	143863	63	2	24
2014-04-01 04:48:06.388795	143864	16.9	1	24
2014-04-01 04:48:08.78812	143865	50	2	25
2014-04-01 04:48:09.02254	143866	17.5	1	25
2014-04-01 04:48:15.033179	143867	48	2	10
2014-04-01 04:48:15.2772	143868	20.5	1	10
2014-04-01 04:48:22.89009	143869	54	2	9
2014-04-01 04:48:23.112256	143870	19.8	1	9
2014-04-01 04:48:23.95551	143871	50	2	8
2014-04-01 04:48:24.186281	143872	19.4	1	8
2014-04-01 04:48:31.865594	143873	338	3	2
2014-04-01 04:48:32.08707	143874	1159323.6298766911	4	2
2014-04-01 04:48:34.287094	143875	53	2	1
2014-04-01 04:48:34.518266	143876	19.0	1	1
2014-04-01 04:48:43.861676	143877	305	3	2
2014-04-01 04:48:44.095093	143878	1159324.7789114125	4	2
2014-04-01 04:48:45.153075	143879	63	2	24
2014-04-01 04:48:45.386098	143880	16.9	1	24
2014-04-01 04:48:47.789657	143881	50	2	25
2014-04-01 04:48:48.011207	143882	17.5	1	25
2014-04-01 04:48:54.032103	143883	48	2	10
2014-04-01 04:48:54.265565	143884	20.5	1	10
2014-04-01 04:48:55.862305	143885	305	3	2
2014-04-01 04:48:56.083693	143886	1159325.927946134	4	2
2014-04-01 04:49:01.88929	143887	54	2	9
2014-04-01 04:49:02.120387	143888	19.8	1	9
2014-04-01 04:49:02.957485	143889	50	2	8
2014-04-01 04:49:03.179057	143890	19.4	1	8
2014-04-01 04:49:13.285883	143891	53	2	1
2014-04-01 04:49:13.516623	143892	19.0	1	1
2014-04-01 04:49:24.162944	143893	63	2	24
2014-04-01 04:49:24.390896	143894	16.9	1	24
2014-04-01 04:49:26.787799	143895	50	2	25
2014-04-01 04:49:27.021019	143896	17.5	1	25
2014-04-01 04:49:31.863709	143897	305	3	2
2014-04-01 04:49:32.086112	143898	1159329.3750502982	4	2
2014-04-01 04:49:33.033035	143899	48	2	10
2014-04-01 04:49:33.263921	143900	20.5	1	10
2014-04-01 04:49:40.890611	143901	54	2	9
2014-04-01 04:49:41.113385	143902	19.8	1	9
2014-04-01 04:49:41.959304	143903	50	2	8
2014-04-01 04:49:42.190256	143904	19.4	1	8
2014-04-01 04:49:52.283449	143905	53	2	1
2014-04-01 04:49:52.504869	143906	19.0	1	1
2014-04-01 04:50:03.150891	143907	63	2	24
2014-04-01 04:50:03.385532	143908	16.9	1	24
2014-04-01 04:50:05.787345	143909	50	2	25
2014-04-01 04:50:06.0109	143910	17.5	1	25
2014-04-01 04:50:07.861976	143911	338	3	2
2014-04-01 04:50:08.095798	143912	1159331.673119741	4	2
2014-04-01 04:50:12.03828	143913	48	2	10
2014-04-01 04:50:12.259384	143914	20.5	1	10
2014-04-01 04:50:20.093345	143915	54	2	9
2014-04-01 04:50:20.335827	143916	19.8	1	9
2014-04-01 04:50:20.955686	143917	50	2	8
2014-04-01 04:50:21.177715	143918	19.4	1	8
2014-04-01 04:50:31.285452	143919	53	2	1
2014-04-01 04:50:31.749079	143920	19.0	1	1
2014-04-01 04:50:32.066027	143921	305	3	2
2014-04-01 04:50:32.28738	143922	1159333.9711891839	4	2
2014-04-01 04:50:42.151521	143923	63	2	24
2014-04-01 04:50:42.373642	143924	16.9	1	24
2014-04-01 04:50:44.785928	143925	50	2	25
2014-04-01 04:50:45.015633	143926	17.5	1	25
2014-04-01 04:50:51.033438	143927	48	2	10
2014-04-01 04:50:51.25826	143928	20.5	1	10
2014-04-01 04:50:55.863238	143929	338	3	2
2014-04-01 04:50:56.096255	143930	1159336.2692586267	4	2
2014-04-01 04:50:58.887727	143931	54	2	9
2014-04-01 04:50:59.109782	143932	19.8	1	9
2014-04-01 04:50:59.957338	143933	50	2	8
2014-04-01 04:51:00.189683	143934	19.4	1	8
2014-04-01 04:51:07.8632	143935	338	3	2
2014-04-01 04:51:08.085414	143936	1159337.418293348	4	2
2014-04-01 04:51:10.284355	143937	53	2	1
2014-04-01 04:51:10.514787	143938	19.0	1	1
2014-04-01 04:51:19.862885	143939	305	3	2
2014-04-01 04:51:20.08385	143940	1159338.5673280696	4	2
2014-04-01 04:51:21.150498	143941	63	2	24
2014-04-01 04:51:21.3851	143942	16.9	1	24
2014-04-01 04:51:23.787524	143943	50	2	25
2014-04-01 04:51:24.029355	143944	17.5	1	25
2014-04-01 04:51:30.033303	143945	48	2	10
2014-04-01 04:51:30.265827	143946	20.5	1	10
2014-04-01 04:51:31.894916	143947	305	3	2
2014-04-01 04:51:32.116335	143948	1159339.716362791	4	2
2014-04-01 04:51:37.887703	143949	54	2	9
2014-04-01 04:51:38.121145	143950	19.8	1	9
2014-04-01 04:51:39.160605	143951	50	2	8
2014-04-01 04:51:39.383198	143952	19.4	1	8
2014-04-01 04:51:49.285755	143953	53	2	1
2014-04-01 04:51:49.518137	143954	19.0	1	1
2014-04-01 04:52:00.15073	143955	63	2	24
2014-04-01 04:52:00.374557	143956	16.9	1	24
2014-04-01 04:52:02.786892	143957	50	2	25
2014-04-01 04:52:03.018689	143958	17.5	1	25
2014-04-01 04:52:09.034552	143959	48	2	10
2014-04-01 04:52:09.256374	143960	20.5	1	10
2014-04-01 04:52:16.888861	143961	54	2	9
2014-04-01 04:52:17.120963	143962	19.8	1	9
2014-04-01 04:52:17.956414	143963	50	2	8
2014-04-01 04:52:18.17712	143964	19.4	1	8
2014-04-01 04:52:28.284905	143965	53	2	1
2014-04-01 04:52:28.528123	143966	19.0	1	1
2014-04-01 04:52:31.923388	143967	338	3	2
2014-04-01 04:52:32.144698	143968	1159345.461536398	4	2
2014-04-01 04:52:39.147574	143969	63	2	24
2014-04-01 04:52:39.381735	143970	16.9	1	24
2014-04-01 04:52:41.784689	143971	50	2	25
2014-04-01 04:52:42.008225	143972	17.5	1	25
2014-04-01 04:52:43.863408	143973	305	3	2
2014-04-01 04:52:44.093944	143974	1159345.461536398	4	2
2014-04-01 04:52:48.0339	143975	48	2	10
2014-04-01 04:52:48.255829	143976	20.5	1	10
2014-04-01 04:52:56.092516	143977	54	2	9
2014-04-01 04:52:56.324235	143978	19.8	1	9
2014-04-01 04:52:56.957271	143979	50	2	8
2014-04-01 04:52:57.180664	143980	19.4	1	8
2014-04-01 04:53:07.283867	143981	53	2	1
2014-04-01 04:53:07.518065	143982	19.0	1	1
2014-04-01 04:53:07.862579	143983	338	3	2
2014-04-01 04:53:08.084346	143984	1159347.7596058408	4	2
2014-04-01 04:53:18.148967	143985	63	2	24
2014-04-01 04:53:18.381308	143986	16.9	1	24
2014-04-01 04:53:20.786297	143987	50	2	25
2014-04-01 04:53:21.010422	143988	17.5	1	25
2014-04-01 04:53:27.034771	143989	48	2	10
2014-04-01 04:53:27.266726	143990	20.5	1	10
2014-04-01 04:53:31.919792	143991	338	3	2
2014-04-01 04:53:32.142609	143992	1159350.0576752836	4	2
2014-04-01 04:53:34.889338	143993	54	2	9
2014-04-01 04:53:35.120594	143994	19.8	1	9
2014-04-01 04:53:35.957071	143995	50	2	8
2014-04-01 04:53:36.177529	143996	19.4	1	8
2014-04-01 04:53:43.862429	143997	370	3	2
2014-04-01 04:53:44.093708	143998	1159351.2067100052	4	2
2014-04-01 04:53:46.283683	143999	53	2	1
2014-04-01 04:53:46.504767	144000	19.0	1	1
2014-04-01 04:53:55.861533	144001	370	3	2
2014-04-01 04:53:56.094285	144002	1159352.3557447265	4	2
2014-04-01 04:53:57.146902	144003	63	2	24
2014-04-01 04:53:57.367265	144004	16.9	1	24
2014-04-01 04:53:59.788536	144005	50	2	25
2014-04-01 04:54:00.020037	144006	17.5	1	25
2014-04-01 04:54:06.034347	144007	48	2	10
2014-04-01 04:54:06.255048	144008	20.5	1	10
2014-04-01 04:54:13.888837	144009	54	2	9
2014-04-01 04:54:14.123787	144010	19.8	1	9
2014-04-01 04:54:14.956683	144011	50	2	8
2014-04-01 04:54:15.177625	144012	19.4	1	8
2014-04-01 04:54:25.283219	144013	53	2	1
2014-04-01 04:54:25.528201	144014	19.0	1	1
2014-04-01 04:54:31.919073	144015	370	3	2
2014-04-01 04:54:32.141414	144016	1159356.9518836122	4	2
2014-04-01 04:54:36.145879	144017	63	2	24
2014-04-01 04:54:36.377249	144018	16.9	1	24
2014-04-01 04:54:38.786645	144019	50	2	25
2014-04-01 04:54:39.008529	144020	17.5	1	25
2014-04-01 04:54:45.035156	144021	48	2	10
2014-04-01 04:54:45.266512	144022	20.5	1	10
2014-04-01 04:54:52.890817	144023	54	2	9
2014-04-01 04:54:53.112343	144024	19.8	1	9
2014-04-01 04:54:53.958031	144025	50	2	8
2014-04-01 04:54:54.187573	144026	19.4	1	8
2014-04-01 04:55:04.282445	144027	53	2	1
2014-04-01 04:55:04.504438	144028	19.0	1	1
2014-04-01 04:55:15.145836	144029	63	2	24
2014-04-01 04:55:15.376985	144030	16.9	1	24
2014-04-01 04:55:17.784445	144031	50	2	25
2014-04-01 04:55:18.006633	144032	17.5	1	25
2014-04-01 04:55:24.037641	144033	48	2	10
2014-04-01 04:55:24.267623	144034	20.5	1	10
2014-04-01 04:55:32.091354	144035	54	2	9
2014-04-01 04:55:32.312063	144036	19.8	1	9
2014-04-01 04:55:32.957344	144037	50	2	8
2014-04-01 04:55:33.188599	144038	19.4	1	8
2014-04-01 04:55:43.283288	144039	53	2	1
2014-04-01 04:55:43.505336	144040	19.0	1	1
2014-04-01 04:55:54.145724	144041	63	2	24
2014-04-01 04:55:54.376374	144042	16.9	1	24
2014-04-01 04:55:56.784654	144043	50	2	25
2014-04-01 04:55:57.005875	144044	17.5	1	25
2014-04-01 04:56:03.039202	144045	48	2	10
2014-04-01 04:56:03.269529	144046	20.5	1	10
2014-04-01 04:56:10.890924	144047	54	2	9
2014-04-01 04:56:11.115016	144048	19.8	1	9
2014-04-01 04:56:11.956451	144049	50	2	8
2014-04-01 04:56:12.187576	144050	19.4	1	8
2014-04-01 04:56:22.281005	144051	53	2	1
2014-04-01 04:56:22.503542	144052	19.0	1	1
2014-04-01 04:56:31.880117	144053	370	3	2
2014-04-01 04:56:32.152535	144054	1159368.4422308262	4	2
2014-04-01 04:56:33.146884	144055	63	2	24
2014-04-01 04:56:33.368199	144056	16.9	1	24
2014-04-01 04:56:35.785265	144057	50	2	25
2014-04-01 04:56:36.015312	144058	17.5	1	25
2014-04-01 04:56:42.034535	144059	48	2	10
2014-04-01 04:56:42.257855	144060	20.5	1	10
2014-04-01 04:56:49.888312	144061	54	2	9
2014-04-01 04:56:50.131939	144062	19.8	1	9
2014-04-01 04:56:50.956123	144063	50	2	8
2014-04-01 04:56:51.17769	144064	19.4	1	8
2014-04-01 04:57:01.283852	144065	53	2	1
2014-04-01 04:57:01.515478	144066	19.0	1	1
2014-04-01 04:57:12.144057	144067	63	2	24
2014-04-01 04:57:12.367366	144068	16.9	1	24
2014-04-01 04:57:14.785175	144069	50	2	25
2014-04-01 04:57:15.016992	144070	17.5	1	25
2014-04-01 04:57:21.035858	144071	48	2	10
2014-04-01 04:57:21.257836	144072	20.5	1	10
2014-04-01 04:57:28.889357	144073	54	2	9
2014-04-01 04:57:29.120926	144074	19.8	1	9
2014-04-01 04:57:29.957709	144075	50	2	8
2014-04-01 04:57:30.179787	144076	19.3	1	8
2014-04-01 04:57:31.863432	144077	370	3	2
2014-04-01 04:57:32.152659	144078	1159375.3364391548	4	2
2014-04-01 04:57:40.282911	144079	53	2	1
2014-04-01 04:57:40.507087	144080	19.0	1	1
2014-04-01 04:57:51.145867	144081	63	2	24
2014-04-01 04:57:51.377683	144082	16.9	1	24
2014-04-01 04:57:53.783389	144083	50	2	25
2014-04-01 04:57:54.005173	144084	17.5	1	25
2014-04-01 04:58:00.035941	144085	48	2	10
2014-04-01 04:58:00.268296	144086	20.5	1	10
2014-04-01 04:58:07.890968	144087	54	2	9
2014-04-01 04:58:08.148959	144088	19.8	1	9
2014-04-01 04:58:08.957978	144089	50	2	8
2014-04-01 04:58:09.219339	144090	19.3	1	8
2014-04-01 04:58:19.279949	144091	53	2	1
2014-04-01 04:58:19.626096	144092	19.0	1	1
2014-04-01 04:58:30.14345	144093	63	2	24
2014-04-01 04:58:30.484598	144094	16.9	1	24
2014-04-01 04:58:31.861625	144095	370	3	2
2014-04-01 04:58:32.177215	144096	1159381.0816127618	4	2
2014-04-01 04:58:32.783405	144097	50	2	25
2014-04-01 04:58:33.048511	144098	17.5	1	25
2014-04-01 04:58:39.034739	144099	48	2	10
2014-04-01 04:58:39.78621	144100	20.5	1	10
2014-04-01 04:58:46.889295	144101	54	2	9
2014-04-01 04:58:47.142199	144102	19.8	1	9
2014-04-01 04:58:47.971808	144103	50	2	8
2014-04-01 04:58:48.247325	144104	19.3	1	8
2014-04-01 04:58:58.280646	144105	53	2	1
2014-04-01 04:58:58.54775	144106	19.0	1	1
2014-04-01 04:59:07.860465	144107	338	3	2
2014-04-01 04:59:08.082739	144108	1159384.5287169262	4	2
2014-04-01 04:59:09.142695	144109	63	2	24
2014-04-01 04:59:09.383981	144110	16.9	1	24
2014-04-01 04:59:11.784417	144111	50	2	25
2014-04-01 04:59:12.007007	144112	17.5	1	25
2014-04-01 04:59:18.036488	144113	48	2	10
2014-04-01 04:59:18.269342	144114	20.5	1	10
2014-04-01 04:59:19.86268	144115	305	3	2
2014-04-01 04:59:20.083812	144116	1159385.6777516475	4	2
2014-04-01 04:59:25.889726	144117	54	2	9
2014-04-01 04:59:26.121549	144118	19.8	1	9
2014-04-01 04:59:26.958877	144119	50	2	8
2014-04-01 04:59:27.179479	144120	19.3	1	8
2014-04-01 04:59:31.862733	144121	338	3	2
2014-04-01 04:59:32.153432	144122	1159386.826786369	4	2
2014-04-01 04:59:37.281599	144123	53	2	1
2014-04-01 04:59:37.508038	144124	19.0	1	1
2014-04-01 04:59:43.863573	144125	338	3	2
2014-04-01 04:59:44.094364	144126	1159387.9758210904	4	2
2014-04-01 04:59:48.140421	144127	63	2	24
2014-04-01 04:59:48.362046	144128	16.9	1	24
2014-04-01 04:59:50.784022	144129	50	2	25
2014-04-01 04:59:51.016301	144130	17.5	1	25
2014-04-01 04:59:57.039656	144131	48	2	10
2014-04-01 04:59:57.261706	144132	20.5	1	10
2014-04-01 05:00:04.889441	144133	54	2	9
2014-04-01 05:00:05.123776	144134	19.8	1	9
2014-04-01 05:00:05.957476	144135	50	2	8
2014-04-01 05:00:06.180438	144136	19.3	1	8
2014-04-01 05:00:07.863422	144137	305	3	2
2014-04-01 05:00:08.093992	144138	1159390.2738905333	4	2
2014-04-01 05:00:16.281391	144139	53	2	1
2014-04-01 05:00:16.503598	144140	19.0	1	1
2014-04-01 05:00:19.862978	144141	338	3	2
2014-04-01 05:00:20.094795	144142	1159391.4229252546	4	2
2014-04-01 05:00:27.142364	144143	63	2	24
2014-04-01 05:00:27.364975	144144	16.9	1	24
2014-04-01 05:00:29.783531	144145	50	2	25
2014-04-01 05:00:30.016385	144146	17.5	1	25
2014-04-01 05:00:31.862861	144147	338	3	2
2014-04-01 05:00:32.148284	144148	1159392.571959976	4	2
2014-04-01 05:00:36.037595	144149	48	2	10
2014-04-01 05:00:36.269869	144150	20.5	1	10
2014-04-01 05:00:44.089949	144151	54	2	9
2014-04-01 05:00:44.314575	144152	19.8	1	9
2014-04-01 05:00:44.958675	144153	50	2	8
2014-04-01 05:00:45.188902	144154	19.3	1	8
2014-04-01 05:00:55.281786	144155	53	2	1
2014-04-01 05:00:55.512823	144156	19.0	1	1
2014-04-01 05:00:55.862126	144157	305	3	2
2014-04-01 05:00:56.106047	144158	1159394.870029419	4	2
2014-04-01 05:01:06.139701	144159	63	2	24
2014-04-01 05:01:06.360347	144160	16.9	1	24
2014-04-01 05:01:07.86207	144161	338	3	2
2014-04-01 05:01:08.098482	144162	1159396.0190641403	4	2
2014-04-01 05:01:08.782896	144163	50	2	25
2014-04-01 05:01:09.005982	144164	17.5	1	25
2014-04-01 05:01:15.039581	144165	48	2	10
2014-04-01 05:01:15.269341	144166	20.5	1	10
2014-04-01 05:01:19.861485	144167	305	3	2
2014-04-01 05:01:20.083395	144168	1159397.1680988618	4	2
2014-04-01 05:01:22.88829	144169	54	2	9
2014-04-01 05:01:23.121179	144170	19.8	1	9
2014-04-01 05:01:23.958436	144171	50	2	8
2014-04-01 05:01:24.18288	144172	19.3	1	8
2014-04-01 05:01:31.861895	144173	305	3	2
2014-04-01 05:01:32.150917	144174	1159398.3171335831	4	2
2014-04-01 05:01:34.278605	144175	53	2	1
2014-04-01 05:01:34.498199	144176	19.0	1	1
2014-04-01 05:01:45.142243	144177	63	2	24
2014-04-01 05:01:45.373995	144178	16.9	1	24
2014-04-01 05:01:47.782818	144179	50	2	25
2014-04-01 05:01:48.004589	144180	17.5	1	25
2014-04-01 05:01:54.036514	144181	48	2	10
2014-04-01 05:01:54.273966	144182	20.5	1	10
2014-04-01 05:02:01.888787	144183	54	2	9
2014-04-01 05:02:02.168461	144184	19.8	1	9
2014-04-01 05:02:02.957487	144185	50	2	8
2014-04-01 05:02:03.192181	144186	19.3	1	8
2014-04-01 05:02:13.282501	144187	53	2	1
2014-04-01 05:02:13.505663	144188	19.0	1	1
2014-04-01 05:02:24.13764	144189	63	2	24
2014-04-01 05:02:24.370721	144190	16.9	1	24
2014-04-01 05:02:26.781238	144191	50	2	25
2014-04-01 05:02:27.002029	144192	17.5	1	25
2014-04-01 05:02:31.86242	144193	305	3	2
2014-04-01 05:02:32.129994	144194	1159402.9132724688	4	2
2014-04-01 05:02:33.037457	144195	48	2	10
2014-04-01 05:02:33.262585	144196	20.5	1	10
2014-04-01 05:02:40.886212	144197	54	2	9
2014-04-01 05:02:41.120324	144198	19.8	1	9
2014-04-01 05:02:41.957447	144199	50	2	8
2014-04-01 05:02:42.179202	144200	19.3	1	8
2014-04-01 05:02:52.28036	144201	53	2	1
2014-04-01 05:02:52.514695	144202	19.0	1	1
2014-04-01 05:03:03.137585	144203	63	2	24
2014-04-01 05:03:03.36162	144204	16.9	1	24
2014-04-01 05:03:05.78219	144205	50	2	25
2014-04-01 05:03:06.024567	144206	17.5	1	25
2014-04-01 05:03:12.037818	144207	48	2	10
2014-04-01 05:03:12.262106	144208	20.5	1	10
2014-04-01 05:03:19.889471	144209	54	2	9
2014-04-01 05:03:20.121331	144210	19.8	1	9
2014-04-01 05:03:20.956174	144211	50	2	8
2014-04-01 05:03:21.179052	144212	19.3	1	8
2014-04-01 05:03:31.275659	144213	53	2	1
2014-04-01 05:03:31.50915	144214	19.0	1	1
2014-04-01 05:03:31.864066	144215	305	3	2
2014-04-01 05:03:32.092289	144216	1159408.6584460759	4	2
2014-04-01 05:03:42.138663	144217	63	2	24
2014-04-01 05:03:42.368296	144218	16.9	1	24
2014-04-01 05:03:44.781559	144219	50	2	25
2014-04-01 05:03:45.003119	144220	17.5	1	25
2014-04-01 05:03:51.038063	144221	48	2	10
2014-04-01 05:03:51.269086	144222	20.5	1	10
2014-04-01 05:03:58.88692	144223	54	2	9
2014-04-01 05:03:59.10826	144224	19.8	1	9
2014-04-01 05:03:59.956795	144225	50	2	8
2014-04-01 05:04:00.187249	144226	19.3	1	8
2014-04-01 05:04:10.279411	144227	53	2	1
2014-04-01 05:04:10.499522	144228	19.0	1	1
2014-04-01 05:04:21.137949	144229	63	2	24
2014-04-01 05:04:21.369661	144230	16.9	1	24
2014-04-01 05:04:23.782553	144231	50	2	25
2014-04-01 05:04:24.003737	144232	17.5	1	25
2014-04-01 05:04:30.038072	144233	48	2	10
2014-04-01 05:04:30.268467	144234	20.5	1	10
2014-04-01 05:04:31.861839	144235	305	3	2
2014-04-01 05:04:32.084627	144236	1159413.2545849616	4	2
2014-04-01 05:04:37.88956	144237	54	2	9
2014-04-01 05:04:38.119476	144238	19.8	1	9
2014-04-01 05:04:38.956633	144239	50	2	8
2014-04-01 05:04:39.176452	144240	19.3	1	8
2014-04-01 05:04:49.27778	144241	53	2	1
2014-04-01 05:04:49.52938	144242	19.0	1	1
2014-04-01 05:05:00.138108	144243	63	2	24
2014-04-01 05:05:00.360714	144244	16.9	1	24
2014-04-01 05:05:02.782943	144245	50	2	25
2014-04-01 05:05:03.013744	144246	17.5	1	25
2014-04-01 05:05:09.038013	144247	48	2	10
2014-04-01 05:05:09.259725	144248	20.5	1	10
2014-04-01 05:05:16.893183	144249	54	2	9
2014-04-01 05:05:17.124533	144250	19.8	1	9
2014-04-01 05:05:18.162055	144251	50	2	8
2014-04-01 05:05:18.384204	144252	19.3	1	8
2014-04-01 05:05:28.277701	144253	53	2	1
2014-04-01 05:05:28.519554	144254	19.0	1	1
2014-04-01 05:05:31.862185	144255	305	3	2
2014-04-01 05:05:32.082067	144256	1159418.9997585686	4	2
2014-04-01 05:05:39.134679	144257	63	2	24
2014-04-01 05:05:39.365201	144258	16.9	1	24
2014-04-01 05:05:41.78038	144259	50	2	25
2014-04-01 05:05:42.008144	144260	17.5	1	25
2014-04-01 05:05:43.862103	144261	354	3	2
2014-04-01 05:05:44.092487	144262	1159418.9997585686	4	2
2014-04-01 05:05:48.041815	144263	48	2	10
2014-04-01 05:05:48.263513	144264	20.5	1	10
2014-04-01 05:05:56.090733	144265	54	2	9
2014-04-01 05:05:56.322236	144266	19.8	1	9
2014-04-01 05:05:56.958421	144267	50	2	8
2014-04-01 05:05:57.179081	144268	19.3	1	8
2014-04-01 05:06:07.273988	144269	53	2	1
2014-04-01 05:06:07.515276	144270	19.0	1	1
2014-04-01 05:06:18.136389	144271	63	2	24
2014-04-01 05:06:18.358087	144272	16.9	1	24
2014-04-01 05:06:20.781156	144273	50	2	25
2014-04-01 05:06:21.012896	144274	17.5	1	25
2014-04-01 05:06:27.040383	144275	48	2	10
2014-04-01 05:06:27.262682	144276	20.5	1	10
2014-04-01 05:06:31.859259	144277	354	3	2
2014-04-01 05:06:32.093564	144278	1159424.7449321756	4	2
2014-04-01 05:06:34.889587	144279	54	2	9
2014-04-01 05:06:35.112985	144280	19.8	1	9
2014-04-01 05:06:35.956351	144281	50	2	8
2014-04-01 05:06:36.186715	144282	19.3	1	8
2014-04-01 05:06:46.275804	144283	53	2	1
2014-04-01 05:06:46.49825	144284	19.0	1	1
2014-04-01 05:06:57.137681	144285	63	2	24
2014-04-01 05:06:57.370324	144286	16.9	1	24
2014-04-01 05:06:59.780654	144287	50	2	25
2014-04-01 05:07:00.000873	144288	17.5	1	25
2014-04-01 05:07:06.038488	144289	48	2	10
2014-04-01 05:07:06.274419	144290	20.5	1	10
2014-04-01 05:07:13.889446	144291	54	2	9
2014-04-01 05:07:14.111742	144292	19.8	1	9
2014-04-01 05:07:14.956435	144293	50	2	8
2014-04-01 05:07:15.187075	144294	19.3	1	8
2014-04-01 05:07:25.277942	144295	54	2	1
2014-04-01 05:07:25.49926	144296	18.9	1	1
2014-04-01 05:07:31.862617	144297	370	3	2
2014-04-01 05:07:32.093157	144298	1159430.4901057826	4	2
2014-04-01 05:07:36.131945	144299	63	2	24
2014-04-01 05:07:36.354228	144300	16.9	1	24
2014-04-01 05:07:38.781311	144301	50	2	25
2014-04-01 05:07:39.049899	144302	17.5	1	25
2014-04-01 05:07:45.041696	144303	48	2	10
2014-04-01 05:07:45.26543	144304	20.5	1	10
2014-04-01 05:07:52.886949	144305	54	2	9
2014-04-01 05:07:53.118443	144306	19.8	1	9
2014-04-01 05:07:53.956571	144307	50	2	8
2014-04-01 05:07:54.177363	144308	19.3	1	8
2014-04-01 05:08:04.276308	144309	54	2	1
2014-04-01 05:08:04.506889	144310	18.9	1	1
2014-04-01 05:08:15.130893	144311	63	2	24
2014-04-01 05:08:15.354433	144312	16.9	1	24
2014-04-01 05:08:17.781114	144313	50	2	25
2014-04-01 05:08:18.012624	144314	17.5	1	25
2014-04-01 05:08:24.038756	144315	48	2	10
2014-04-01 05:08:24.263357	144316	20.5	1	10
2014-04-01 05:08:32.090375	144317	54	2	9
2014-04-01 05:08:32.377136	144318	19.8	1	9
2014-04-01 05:08:32.958129	144319	50	2	8
2014-04-01 05:08:33.179543	144320	19.3	1	8
2014-04-01 05:08:43.277761	144321	54	2	1
2014-04-01 05:08:43.51088	144322	18.9	1	1
2014-04-01 05:08:54.132541	144323	63	2	24
2014-04-01 05:08:54.354697	144324	16.9	1	24
2014-04-01 05:08:56.778821	144325	50	2	25
2014-04-01 05:08:57.009372	144326	17.4	1	25
2014-04-01 05:09:03.039673	144327	48	2	10
2014-04-01 05:09:03.261303	144328	20.5	1	10
2014-04-01 05:09:10.887968	144329	54	2	9
2014-04-01 05:09:11.119125	144330	19.8	1	9
2014-04-01 05:09:11.956436	144331	50	2	8
2014-04-01 05:09:12.175932	144332	19.3	1	8
2014-04-01 05:09:22.275514	144333	54	2	1
2014-04-01 05:09:22.50563	144334	18.9	1	1
2014-04-01 05:09:31.862312	144335	354	3	2
2014-04-01 05:09:32.084647	144336	1159440.8358892277	4	2
2014-04-01 05:09:33.132842	144337	63	2	24
2014-04-01 05:09:33.363729	144338	16.9	1	24
2014-04-01 05:09:35.77914	144339	50	2	25
2014-04-01 05:09:35.999055	144340	17.4	1	25
2014-04-01 05:09:42.038798	144341	47	2	10
2014-04-01 05:09:42.268682	144342	20.5	1	10
2014-04-01 05:09:49.889155	144343	54	2	9
2014-04-01 05:09:50.110544	144344	19.8	1	9
2014-04-01 05:09:50.957105	144345	50	2	8
2014-04-01 05:09:51.187303	144346	19.3	1	8
2014-04-01 05:10:01.275732	144347	54	2	1
2014-04-01 05:10:01.496577	144348	18.9	1	1
2014-04-01 05:10:12.129525	144349	63	2	24
2014-04-01 05:10:12.373403	144350	16.9	1	24
2014-04-01 05:10:14.780936	144351	50	2	25
2014-04-01 05:10:15.000109	144352	17.4	1	25
2014-04-01 05:10:21.038642	144353	47	2	10
2014-04-01 05:10:21.271318	144354	20.5	1	10
2014-04-01 05:10:28.888215	144355	54	2	9
2014-04-01 05:10:29.109316	144356	19.8	1	9
2014-04-01 05:10:29.956451	144357	50	2	8
2014-04-01 05:10:30.187203	144358	19.3	1	8
2014-04-01 05:10:31.8618	144359	305	3	2
2014-04-01 05:10:32.083708	144360	1159446.5810628347	4	2
2014-04-01 05:10:40.27388	144361	54	2	1
2014-04-01 05:10:40.503969	144362	18.9	1	1
2014-04-01 05:10:43.863268	144363	305	3	2
2014-04-01 05:10:44.084819	144364	1159447.7300975563	4	2
2014-04-01 05:10:51.129333	144365	63	2	24
2014-04-01 05:10:51.360672	144366	16.9	1	24
2014-04-01 05:10:53.778624	144367	50	2	25
2014-04-01 05:10:54.000814	144368	17.4	1	25
2014-04-01 05:11:00.037892	144369	47	2	10
2014-04-01 05:11:00.269948	144370	20.5	1	10
2014-04-01 05:11:07.891316	144371	54	2	9
2014-04-01 05:11:08.112922	144372	19.8	1	9
2014-04-01 05:11:08.957905	144373	50	2	8
2014-04-01 05:11:09.187762	144374	19.3	1	8
2014-04-01 05:11:19.271851	144375	54	2	1
2014-04-01 05:11:19.49387	144376	18.9	1	1
2014-04-01 05:11:30.130059	144377	63	2	24
2014-04-01 05:11:30.360923	144378	16.9	1	24
2014-04-01 05:11:31.859844	144379	305	3	2
2014-04-01 05:11:32.081528	144380	1159452.326236442	4	2
2014-04-01 05:11:32.780716	144381	50	2	25
2014-04-01 05:11:33.014637	144382	17.4	1	25
2014-04-01 05:11:39.043601	144383	47	2	10
2014-04-01 05:11:39.264984	144384	20.5	1	10
2014-04-01 05:11:46.889287	144385	54	2	9
2014-04-01 05:11:47.122329	144386	19.8	1	9
2014-04-01 05:11:48.161563	144387	50	2	8
2014-04-01 05:11:48.38481	144388	19.3	1	8
2014-04-01 05:11:58.27394	144389	54	2	1
2014-04-01 05:11:58.506186	144390	18.9	1	1
2014-04-01 05:12:09.13156	144391	63	2	24
2014-04-01 05:12:09.353418	144392	16.9	1	24
2014-04-01 05:12:11.778952	144393	50	2	25
2014-04-01 05:12:12.008696	144394	17.4	1	25
2014-04-01 05:12:18.038514	144395	47	2	10
2014-04-01 05:12:18.263321	144396	20.5	1	10
2014-04-01 05:12:25.888068	144397	54	2	9
2014-04-01 05:12:26.133529	144398	19.8	1	9
2014-04-01 05:12:27.162981	144399	50	2	8
2014-04-01 05:12:27.383239	144400	19.3	1	8
2014-04-01 05:12:31.860219	144401	305	3	2
2014-04-01 05:12:32.096523	144402	1159456.9223753274	4	2
2014-04-01 05:12:37.271448	144403	54	2	1
2014-04-01 05:12:37.497475	144404	18.9	1	1
2014-04-01 05:12:48.128858	144405	63	2	24
2014-04-01 05:12:48.362616	144406	16.9	1	24
2014-04-01 05:12:50.778641	144407	50	2	25
2014-04-01 05:12:51.000137	144408	17.4	1	25
2014-04-01 05:12:57.039802	144409	47	2	10
2014-04-01 05:12:57.273583	144410	20.5	1	10
2014-04-01 05:13:04.890232	144411	54	2	9
2014-04-01 05:13:05.112496	144412	19.8	1	9
2014-04-01 05:13:05.9576	144413	50	2	8
2014-04-01 05:13:06.187724	144414	19.3	1	8
2014-04-01 05:13:16.273842	144415	54	2	1
2014-04-01 05:13:16.497136	144416	18.9	1	1
2014-04-01 05:13:27.1294	144417	63	2	24
2014-04-01 05:13:27.36283	144418	16.9	1	24
2014-04-01 05:13:29.776356	144419	50	2	25
2014-04-01 05:13:29.9985	144420	17.4	1	25
2014-04-01 05:13:31.861321	144421	305	3	2
2014-04-01 05:13:32.091937	144422	1159462.6675489347	4	2
2014-04-01 05:13:36.040216	144423	47	2	10
2014-04-01 05:13:36.262246	144424	20.5	1	10
2014-04-01 05:13:43.891882	144425	54	2	9
2014-04-01 05:13:44.124637	144426	19.8	1	9
2014-04-01 05:13:44.957829	144427	50	2	8
2014-04-01 05:13:45.177754	144428	19.3	1	8
2014-04-01 05:13:55.272147	144429	54	2	1
2014-04-01 05:13:55.504849	144430	18.9	1	1
2014-04-01 05:14:06.125926	144431	63	2	24
2014-04-01 05:14:06.346247	144432	16.9	1	24
2014-04-01 05:14:07.861087	144433	338	3	2
2014-04-01 05:14:08.096485	144434	1159464.9656183773	4	2
2014-04-01 05:14:08.779115	144435	50	2	25
2014-04-01 05:14:08.99928	144436	17.4	1	25
2014-04-01 05:14:15.038426	144437	47	2	10
2014-04-01 05:14:15.270466	144438	20.5	1	10
2014-04-01 05:14:19.860948	144439	305	3	2
2014-04-01 05:14:20.082437	144440	1159466.1146530989	4	2
2014-04-01 05:14:22.888915	144441	54	2	9
2014-04-01 05:14:23.123956	144442	19.8	1	9
2014-04-01 05:14:23.958283	144443	50	2	8
2014-04-01 05:14:24.178942	144444	19.3	1	8
2014-04-01 05:14:31.858844	144445	305	3	2
2014-04-01 05:14:32.102387	144446	1159467.2636878202	4	2
2014-04-01 05:14:34.270609	144447	54	2	1
2014-04-01 05:14:34.49466	144448	18.9	1	1
2014-04-01 05:14:45.125713	144449	63	2	24
2014-04-01 05:14:45.356325	144450	16.9	1	24
2014-04-01 05:14:47.777029	144451	50	2	25
2014-04-01 05:14:47.998704	144452	17.4	1	25
2014-04-01 05:14:54.040648	144453	47	2	10
2014-04-01 05:14:54.271099	144454	20.4	1	10
2014-04-01 05:15:01.889758	144455	54	2	9
2014-04-01 05:15:02.112722	144456	19.8	1	9
2014-04-01 05:15:02.958199	144457	50	2	8
2014-04-01 05:15:03.189339	144458	19.3	1	8
2014-04-01 05:15:13.272866	144459	54	2	1
2014-04-01 05:15:13.49367	144460	18.9	1	1
2014-04-01 05:15:24.124849	144461	63	2	24
2014-04-01 05:15:24.357714	144462	16.9	1	24
2014-04-01 05:15:26.779675	144463	50	2	25
2014-04-01 05:15:27.000741	144464	17.4	1	25
2014-04-01 05:15:31.861497	144465	305	3	2
2014-04-01 05:15:32.094227	144466	1159473.0088614274	4	2
2014-04-01 05:15:33.040666	144467	47	2	10
2014-04-01 05:15:33.261609	144468	20.4	1	10
2014-04-01 05:15:40.889807	144469	54	2	9
2014-04-01 05:15:41.123127	144470	19.8	1	9
2014-04-01 05:15:41.959101	144471	50	2	8
2014-04-01 05:15:42.18184	144472	19.3	1	8
2014-04-01 05:15:52.273533	144473	54	2	1
2014-04-01 05:15:52.50613	144474	18.9	1	1
2014-04-01 05:16:03.364916	144475	63	2	24
2014-04-01 05:16:03.586815	144476	16.9	1	24
2014-04-01 05:16:05.777465	144477	50	2	25
2014-04-01 05:16:06.009036	144478	17.4	1	25
2014-04-01 05:16:12.041995	144479	47	2	10
2014-04-01 05:16:12.272321	144480	20.4	1	10
2014-04-01 05:16:19.890313	144481	54	2	9
2014-04-01 05:16:20.121774	144482	19.8	1	9
2014-04-01 05:16:20.955787	144483	50	2	8
2014-04-01 05:16:21.179059	144484	19.3	1	8
2014-04-01 05:16:31.271877	144485	54	2	1
2014-04-01 05:16:31.505674	144486	18.9	1	1
2014-04-01 05:16:31.863152	144487	305	3	2
2014-04-01 05:16:32.083899	144488	1159477.605000313	4	2
2014-04-01 05:16:42.123568	144489	63	2	24
2014-04-01 05:16:42.355844	144490	16.9	1	24
2014-04-01 05:16:43.859887	144491	354	3	2
2014-04-01 05:16:44.08336	144492	1159478.7540350344	4	2
2014-04-01 05:16:44.775936	144493	50	2	25
2014-04-01 05:16:45.019327	144494	17.4	1	25
2014-04-01 05:16:51.044848	144495	47	2	10
2014-04-01 05:16:51.269014	144496	20.4	1	10
2014-04-01 05:16:55.860548	144497	354	3	2
2014-04-01 05:16:56.093578	144498	1159479.9030697558	4	2
2014-04-01 05:16:58.887506	144499	54	2	9
2014-04-01 05:16:59.11227	144500	19.7	1	9
2014-04-01 05:16:59.959779	144501	50	2	8
2014-04-01 05:17:00.191755	144502	19.3	1	8
2014-04-01 05:17:10.26979	144503	54	2	1
2014-04-01 05:17:10.490226	144504	18.9	1	1
2014-04-01 05:17:21.12697	144505	63	2	24
2014-04-01 05:17:21.358252	144506	16.9	1	24
2014-04-01 05:17:23.775474	144507	50	2	25
2014-04-01 05:17:23.997596	144508	17.4	1	25
2014-04-01 05:17:30.043659	144509	47	2	10
2014-04-01 05:17:30.273419	144510	20.4	1	10
2014-04-01 05:17:31.860311	144511	354	3	2
2014-04-01 05:17:32.083869	144512	1159483.3501739202	4	2
2014-04-01 05:17:37.888484	144513	54	2	9
2014-04-01 05:17:38.142895	144514	19.7	1	9
2014-04-01 05:17:38.957607	144515	50	2	8
2014-04-01 05:17:39.180262	144516	19.3	1	8
2014-04-01 05:17:49.269711	144517	54	2	1
2014-04-01 05:17:49.503017	144518	18.9	1	1
2014-04-01 05:18:00.124535	144519	63	2	24
2014-04-01 05:18:00.347275	144520	16.9	1	24
2014-04-01 05:18:02.775447	144521	50	2	25
2014-04-01 05:18:03.007238	144522	17.4	1	25
2014-04-01 05:18:09.042009	144523	47	2	10
2014-04-01 05:18:09.264744	144524	20.4	1	10
2014-04-01 05:18:16.890385	144525	54	2	9
2014-04-01 05:18:17.121289	144526	19.7	1	9
2014-04-01 05:18:17.956915	144527	50	2	8
2014-04-01 05:18:18.179346	144528	19.3	1	8
2014-04-01 05:18:28.271834	144529	54	2	1
2014-04-01 05:18:28.502794	144530	18.9	1	1
2014-04-01 05:18:31.859464	144531	354	3	2
2014-04-01 05:18:32.081978	144532	1159489.0953475272	4	2
2014-04-01 05:18:39.121422	144533	63	2	24
2014-04-01 05:18:39.355766	144534	16.9	1	24
2014-04-01 05:18:41.774954	144535	50	2	25
2014-04-01 05:18:41.995625	144536	17.4	1	25
2014-04-01 05:18:48.04166	144537	47	2	10
2014-04-01 05:18:48.275974	144538	20.4	1	10
2014-04-01 05:18:55.887717	144539	54	2	9
2014-04-01 05:18:56.10942	144540	19.7	1	9
2014-04-01 05:18:56.957702	144541	50	2	8
2014-04-01 05:18:57.20054	144542	19.3	1	8
2014-04-01 05:19:07.269558	144543	54	2	1
2014-04-01 05:19:07.492205	144544	18.9	1	1
2014-04-01 05:19:18.119745	144545	63	2	24
2014-04-01 05:19:18.350331	144546	16.9	1	24
2014-04-01 05:19:20.774951	144547	50	2	25
2014-04-01 05:19:20.995999	144548	17.4	1	25
2014-04-01 05:19:27.041256	144549	47	2	10
2014-04-01 05:19:27.273286	144550	20.4	1	10
2014-04-01 05:19:34.697688	144551	370	3	2
2014-04-01 05:19:34.920392	144552	1159495.9895558555	4	2
2014-04-01 05:19:35.2227	144553	54	2	9
2014-04-01 05:19:35.455066	144554	19.7	1	9
2014-04-01 05:19:35.956559	144555	50	2	8
2014-04-01 05:19:36.177389	144556	19.3	1	8
2014-04-01 05:19:46.269581	144557	54	2	1
2014-04-01 05:19:46.502651	144558	18.9	1	1
2014-04-01 05:19:57.120486	144559	63	2	24
2014-04-01 05:19:57.342711	144560	16.9	1	24
2014-04-01 05:19:59.775056	144561	50	2	25
2014-04-01 05:20:00.00713	144562	17.4	1	25
2014-04-01 05:20:06.045482	144563	47	2	10
2014-04-01 05:20:06.266959	144564	20.4	1	10
2014-04-01 05:20:13.885483	144565	54	2	9
2014-04-01 05:20:14.117046	144566	19.7	1	9
2014-04-01 05:20:14.957395	144567	50	2	8
2014-04-01 05:20:15.176126	144568	19.3	1	8
2014-04-01 05:20:25.268952	144569	54	2	1
2014-04-01 05:20:25.500156	144570	18.9	1	1
2014-04-01 05:20:31.858687	144571	354	3	2
2014-04-01 05:20:32.079508	144572	1159501.7347294628	4	2
2014-04-01 05:20:36.120023	144573	63	2	24
2014-04-01 05:20:36.351587	144574	16.9	1	24
2014-04-01 05:20:38.774239	144575	50	2	25
2014-04-01 05:20:38.995548	144576	17.4	1	25
2014-04-01 05:20:45.045938	144577	47	2	10
2014-04-01 05:20:45.276935	144578	20.4	1	10
2014-04-01 05:20:52.888302	144579	54	2	9
2014-04-01 05:20:53.199675	144580	19.7	1	9
2014-04-01 05:20:53.9562	144581	50	2	8
2014-04-01 05:20:54.294395	144582	19.3	1	8
2014-04-01 05:21:04.268099	144583	54	2	1
2014-04-01 05:21:04.519828	144584	18.9	1	1
2014-04-01 05:21:15.122591	144585	63	2	24
2014-04-01 05:21:15.354412	144586	16.9	1	24
2014-04-01 05:21:17.776015	144587	50	2	25
2014-04-01 05:21:17.998225	144588	17.4	1	25
2014-04-01 05:21:19.860339	144589	418	3	2
2014-04-01 05:21:20.103493	144590	1159506.3308683482	4	2
2014-04-01 05:21:24.04214	144591	47	2	10
2014-04-01 05:21:24.262812	144592	20.4	1	10
2014-04-01 05:21:32.090663	144593	54	2	9
2014-04-01 05:21:32.323192	144594	19.7	1	9
2014-04-01 05:21:32.956807	144595	50	2	8
2014-04-01 05:21:33.177691	144596	19.3	1	8
2014-04-01 05:21:43.269191	144597	54	2	1
2014-04-01 05:21:43.501552	144598	18.9	1	1
2014-04-01 05:21:54.118846	144599	63	2	24
2014-04-01 05:21:54.340154	144600	16.9	1	24
2014-04-01 05:21:55.860545	144601	370	3	2
2014-04-01 05:21:56.092647	144602	1159510.927007234	4	2
2014-04-01 05:21:56.774461	144603	50	2	25
2014-04-01 05:21:56.998188	144604	17.4	1	25
2014-04-01 05:22:03.04379	144605	47	2	10
2014-04-01 05:22:03.275759	144606	20.4	1	10
2014-04-01 05:22:07.860669	144607	370	3	2
2014-04-01 05:22:08.086388	144608	1159512.0760419555	4	2
2014-04-01 05:22:10.88688	144609	54	2	9
2014-04-01 05:22:11.119622	144610	19.7	1	9
2014-04-01 05:22:11.9577	144611	50	2	8
2014-04-01 05:22:12.179205	144612	19.3	1	8
2014-04-01 05:22:22.268029	144613	54	2	1
2014-04-01 05:22:22.500799	144614	18.9	1	1
2014-04-01 05:22:31.859406	144615	370	3	2
2014-04-01 05:22:32.082304	144616	1159514.3741113984	4	2
2014-04-01 05:22:33.119373	144617	63	2	24
2014-04-01 05:22:33.350561	144618	16.9	1	24
2014-04-01 05:22:35.773889	144619	50	2	25
2014-04-01 05:22:35.99677	144620	17.4	1	25
2014-04-01 05:22:42.044508	144621	47	2	10
2014-04-01 05:22:42.278659	144622	20.4	1	10
2014-04-01 05:22:49.886074	144623	54	2	9
2014-04-01 05:22:50.10935	144624	19.7	1	9
2014-04-01 05:22:50.956966	144625	50	2	8
2014-04-01 05:22:51.189602	144626	19.3	1	8
2014-04-01 05:23:01.267721	144627	54	2	1
2014-04-01 05:23:01.492904	144628	18.9	1	1
2014-04-01 05:23:12.117575	144629	63	2	24
2014-04-01 05:23:12.349702	144630	16.9	1	24
2014-04-01 05:23:14.774727	144631	50	2	25
2014-04-01 05:23:14.99505	144632	17.4	1	25
2014-04-01 05:23:21.043116	144633	47	2	10
2014-04-01 05:23:21.276087	144634	20.4	1	10
2014-04-01 05:23:28.885313	144635	54	2	9
2014-04-01 05:23:29.107507	144636	19.7	1	9
2014-04-01 05:23:29.956007	144637	50	2	8
2014-04-01 05:23:30.200114	144638	19.3	1	8
2014-04-01 05:23:31.859541	144639	354	3	2
2014-04-01 05:23:32.079781	144640	1159520.1192850054	4	2
2014-04-01 05:23:40.267704	144641	54	2	1
2014-04-01 05:23:40.498225	144642	18.9	1	1
2014-04-01 05:23:51.117544	144643	63	2	24
2014-04-01 05:23:51.34026	144644	16.9	1	24
2014-04-01 05:23:53.773914	144645	50	2	25
2014-04-01 05:23:54.005085	144646	17.4	1	25
2014-04-01 05:24:00.042454	144647	47	2	10
2014-04-01 05:24:00.264934	144648	20.4	1	10
2014-04-01 05:24:07.887378	144649	54	2	9
2014-04-01 05:24:08.119425	144650	19.7	1	9
2014-04-01 05:24:08.955724	144651	50	2	8
2014-04-01 05:24:09.178814	144652	19.3	1	8
2014-04-01 05:24:19.265385	144653	54	2	1
2014-04-01 05:24:19.499275	144654	18.9	1	1
2014-04-01 05:24:30.116335	144655	63	2	24
2014-04-01 05:24:30.339744	144656	16.9	1	24
2014-04-01 05:24:31.861055	144657	370	3	2
2014-04-01 05:24:32.092163	144658	1159525.8644586124	4	2
2014-04-01 05:24:32.778455	144659	50	2	25
2014-04-01 05:24:33.051044	144660	17.4	1	25
2014-04-01 05:24:39.042617	144661	47	2	10
2014-04-01 05:24:39.273889	144662	20.4	1	10
2014-04-01 05:24:46.888254	144663	54	2	9
2014-04-01 05:24:47.109349	144664	19.7	1	9
2014-04-01 05:24:47.955881	144665	50	2	8
2014-04-01 05:24:48.186847	144666	19.3	1	8
2014-04-01 05:24:58.266	144667	54	2	1
2014-04-01 05:24:58.486366	144668	18.9	1	1
2014-04-01 05:25:09.11288	144669	63	2	24
2014-04-01 05:25:09.344417	144670	16.8	1	24
2014-04-01 05:25:11.77172	144671	50	2	25
2014-04-01 05:25:11.991943	144672	17.4	1	25
2014-04-01 05:25:18.043973	144673	47	2	10
2014-04-01 05:25:18.276468	144674	20.4	1	10
2014-04-01 05:25:25.889012	144675	54	2	9
2014-04-01 05:25:26.11062	144676	19.7	1	9
2014-04-01 05:25:26.95588	144677	50	2	8
2014-04-01 05:25:27.185753	144678	19.3	1	8
2014-04-01 05:25:31.859621	144679	370	3	2
2014-04-01 05:25:32.08528	144680	1159532.758666941	4	2
2014-04-01 05:25:37.262505	144681	54	2	1
2014-04-01 05:25:37.502214	144682	18.9	1	1
2014-04-01 05:25:48.114026	144683	63	2	24
2014-04-01 05:25:48.336489	144684	16.8	1	24
2014-04-01 05:25:50.772385	144685	50	2	25
2014-04-01 05:25:51.016156	144686	17.4	1	25
2014-04-01 05:25:57.043309	144687	47	2	10
2014-04-01 05:25:57.265349	144688	20.4	1	10
2014-04-01 05:26:04.887608	144689	54	2	9
2014-04-01 05:26:05.118247	144690	19.7	1	9
2014-04-01 05:26:06.159816	144691	50	2	8
2014-04-01 05:26:06.381469	144692	19.3	1	8
2014-04-01 05:26:16.264938	144693	54	2	1
2014-04-01 05:26:16.497093	144694	18.9	1	1
2014-04-01 05:26:27.114086	144695	63	2	24
2014-04-01 05:26:27.335623	144696	16.8	1	24
2014-04-01 05:26:29.774098	144697	50	2	25
2014-04-01 05:26:30.006364	144698	17.4	1	25
2014-04-01 05:26:31.859893	144699	370	3	2
2014-04-01 05:26:32.082494	144700	1159538.503840548	4	2
2014-04-01 05:26:36.044123	144701	47	2	10
2014-04-01 05:26:36.275445	144702	20.4	1	10
2014-04-01 05:26:43.888509	144703	54	2	9
2014-04-01 05:26:44.109897	144704	19.7	1	9
2014-04-01 05:26:44.9551	144705	50	2	8
2014-04-01 05:26:45.186949	144706	19.3	1	8
2014-04-01 05:26:55.266385	144707	54	2	1
2014-04-01 05:26:55.488312	144708	18.9	1	1
2014-04-01 05:27:06.113545	144709	63	2	24
2014-04-01 05:27:06.344823	144710	16.8	1	24
2014-04-01 05:27:08.77207	144711	50	2	25
2014-04-01 05:27:08.994827	144712	17.4	1	25
2014-04-01 05:27:15.048201	144713	47	2	10
2014-04-01 05:27:15.281956	144714	20.4	1	10
2014-04-01 05:27:22.891894	144715	54	2	9
2014-04-01 05:27:23.115202	144716	19.7	1	9
2014-04-01 05:27:23.957496	144717	50	2	8
2014-04-01 05:27:24.188217	144718	19.3	1	8
2014-04-01 05:27:31.863643	144719	370	3	2
2014-04-01 05:27:32.087539	144720	1159545.3980488766	4	2
2014-04-01 05:27:34.263878	144721	54	2	1
2014-04-01 05:27:34.495894	144722	18.9	1	1
2014-04-01 05:27:45.113091	144723	63	2	24
2014-04-01 05:27:45.336044	144724	16.8	1	24
2014-04-01 05:27:47.772044	144725	50	2	25
2014-04-01 05:27:48.006061	144726	17.4	1	25
2014-04-01 05:27:54.046035	144727	47	2	10
2014-04-01 05:27:54.267617	144728	20.4	1	10
2014-04-01 05:28:01.887907	144729	54	2	9
2014-04-01 05:28:02.123564	144730	19.7	1	9
2014-04-01 05:28:03.003581	144731	50	2	8
2014-04-01 05:28:03.22536	144732	19.3	1	8
2014-04-01 05:28:13.263793	144733	54	2	1
2014-04-01 05:28:13.505822	144734	18.9	1	1
2014-04-01 05:28:19.860836	144735	434	3	2
2014-04-01 05:28:20.084325	144736	1159549.994187762	4	2
2014-04-01 05:28:24.112738	144737	63	2	24
2014-04-01 05:28:24.529478	144738	16.8	1	24
2014-04-01 05:28:26.770757	144739	50	2	25
2014-04-01 05:28:26.992878	144740	17.4	1	25
2014-04-01 05:28:31.860381	144741	418	3	2
2014-04-01 05:28:32.085956	144742	1159551.1432224836	4	2
2014-04-01 05:28:33.102201	144743	47	2	10
2014-04-01 05:28:33.331256	144744	20.4	1	10
2014-04-01 05:28:40.887555	144745	54	2	9
2014-04-01 05:28:41.106664	144746	19.7	1	9
2014-04-01 05:28:42.162775	144747	50	2	8
2014-04-01 05:28:42.392324	144748	19.3	1	8
2014-04-01 05:28:52.263033	144749	54	2	1
2014-04-01 05:28:52.483832	144750	18.9	1	1
2014-04-01 05:29:03.110638	144751	63	2	24
2014-04-01 05:29:03.344565	144752	16.8	1	24
2014-04-01 05:29:05.7733	144753	50	2	25
2014-04-01 05:29:05.993931	144754	17.4	1	25
2014-04-01 05:29:12.043183	144755	47	2	10
2014-04-01 05:29:12.275582	144756	20.4	1	10
2014-04-01 05:29:19.887787	144757	54	2	9
2014-04-01 05:29:20.108803	144758	19.7	1	9
2014-04-01 05:29:20.956774	144759	50	2	8
2014-04-01 05:29:21.189125	144760	19.3	1	8
2014-04-01 05:29:31.264389	144761	54	2	1
2014-04-01 05:29:31.488251	144762	18.9	1	1
2014-04-01 05:29:31.858996	144763	418	3	2
2014-04-01 05:29:32.089343	144764	1159558.0374308121	4	2
2014-04-01 05:29:42.112817	144765	63	2	24
2014-04-01 05:29:42.334713	144766	16.8	1	24
2014-04-01 05:29:44.771001	144767	50	2	25
2014-04-01 05:29:45.002102	144768	17.4	1	25
2014-04-01 05:29:51.046723	144769	47	2	10
2014-04-01 05:29:51.270659	144770	20.4	1	10
2014-04-01 05:29:58.885538	144771	54	2	9
2014-04-01 05:29:59.117346	144772	19.7	1	9
2014-04-01 05:29:59.956555	144773	50	2	8
2014-04-01 05:30:00.176462	144774	19.3	1	8
2014-04-01 05:30:10.260527	144775	54	2	1
2014-04-01 05:30:10.495376	144776	18.9	1	1
2014-04-01 05:30:21.110666	144777	63	2	24
2014-04-01 05:30:21.331178	144778	16.8	1	24
2014-04-01 05:30:23.770132	144779	50	2	25
2014-04-01 05:30:24.000988	144780	17.4	1	25
2014-04-01 05:30:30.04547	144781	47	2	10
2014-04-01 05:30:30.268664	144782	20.4	1	10
2014-04-01 05:30:31.859167	144783	418	3	2
2014-04-01 05:30:32.10071	144784	1159564.9316391405	4	2
2014-04-01 05:30:37.887588	144785	54	2	9
2014-04-01 05:30:38.109432	144786	19.7	1	9
2014-04-01 05:30:38.955937	144787	50	2	8
2014-04-01 05:30:39.18818	144788	19.3	1	8
2014-04-01 05:30:49.262734	144789	54	2	1
2014-04-01 05:30:49.483577	144790	18.9	1	1
2014-04-01 05:31:00.114211	144791	63	2	24
2014-04-01 05:31:00.346725	144792	16.8	1	24
2014-04-01 05:31:02.772146	144793	50	2	25
2014-04-01 05:31:03.048143	144794	17.4	1	25
2014-04-01 05:31:09.044889	144795	47	2	10
2014-04-01 05:31:09.276416	144796	20.4	1	10
2014-04-01 05:31:16.88536	144797	54	2	9
2014-04-01 05:31:17.106234	144798	19.7	1	9
2014-04-01 05:31:17.955715	144799	50	2	8
2014-04-01 05:31:18.188796	144800	19.3	1	8
2014-04-01 05:31:28.260102	144801	54	2	1
2014-04-01 05:31:28.480695	144802	18.9	1	1
2014-04-01 05:31:31.858971	144803	418	3	2
2014-04-01 05:31:32.089731	144804	1159572.9748821903	4	2
2014-04-01 05:31:39.117661	144805	63	2	24
2014-04-01 05:31:39.340624	144806	16.8	1	24
2014-04-01 05:31:41.771957	144807	50	2	25
2014-04-01 05:31:42.00227	144808	17.4	1	25
2014-04-01 05:31:48.045519	144809	47	2	10
2014-04-01 05:31:48.266583	144810	20.4	1	10
2014-04-01 05:31:55.887771	144811	54	2	9
2014-04-01 05:31:56.119099	144812	19.7	1	9
2014-04-01 05:31:56.955911	144813	50	2	8
2014-04-01 05:31:57.177745	144814	19.3	1	8
2014-04-01 05:32:07.262201	144815	54	2	1
2014-04-01 05:32:07.49446	144816	18.9	1	1
2014-04-01 05:32:18.108033	144817	63	2	24
2014-04-01 05:32:18.329162	144818	16.8	1	24
2014-04-01 05:32:19.859482	144819	370	3	2
2014-04-01 05:32:20.095755	144820	1159577.571021076	4	2
2014-04-01 05:32:20.769169	144821	50	2	25
2014-04-01 05:32:20.993434	144822	17.4	1	25
2014-04-01 05:32:27.046274	144823	47	2	10
2014-04-01 05:32:27.279449	144824	20.4	1	10
2014-04-01 05:32:31.8606	144825	370	3	2
2014-04-01 05:32:32.08285	144826	1159579.869090519	4	2
2014-04-01 05:32:34.888223	144827	54	2	9
2014-04-01 05:32:35.119043	144828	19.7	1	9
2014-04-01 05:32:35.957452	144829	50	2	8
2014-04-01 05:32:36.179935	144830	19.3	1	8
2014-04-01 05:32:46.259852	144831	54	2	1
2014-04-01 05:32:46.503302	144832	18.9	1	1
2014-04-01 05:32:57.106305	144833	63	2	24
2014-04-01 05:32:57.330335	144834	16.8	1	24
2014-04-01 05:32:59.768593	144835	50	2	25
2014-04-01 05:32:59.999603	144836	17.4	1	25
2014-04-01 05:33:06.04758	144837	47	2	10
2014-04-01 05:33:06.268226	144838	20.4	1	10
2014-04-01 05:33:13.888094	144839	54	2	9
2014-04-01 05:33:14.121678	144840	19.7	1	9
2014-04-01 05:33:14.955636	144841	50	2	8
2014-04-01 05:33:15.178547	144842	19.3	1	8
2014-04-01 05:33:25.261114	144843	54	2	1
2014-04-01 05:33:25.492669	144844	18.9	1	1
2014-04-01 05:33:31.858508	144845	370	3	2
2014-04-01 05:33:32.081995	144846	1159585.614264126	4	2
2014-04-01 05:33:36.107911	144847	63	2	24
2014-04-01 05:33:36.339121	144848	16.8	1	24
2014-04-01 05:33:38.769211	144849	50	2	25
2014-04-01 05:33:38.989278	144850	17.4	1	25
2014-04-01 05:33:45.051543	144851	47	2	10
2014-04-01 05:33:45.28533	144852	20.3	1	10
2014-04-01 05:33:52.887146	144853	54	2	9
2014-04-01 05:33:53.112544	144854	19.7	1	9
2014-04-01 05:33:53.956835	144855	50	2	8
2014-04-01 05:33:54.187518	144856	19.3	1	8
2014-04-01 05:34:04.259733	144857	54	2	1
2014-04-01 05:34:04.480753	144858	18.9	1	1
2014-04-01 05:34:15.106426	144859	63	2	24
2014-04-01 05:34:15.34079	144860	16.8	1	24
2014-04-01 05:34:17.769637	144861	50	2	25
2014-04-01 05:34:17.990234	144862	17.4	1	25
2014-04-01 05:34:24.046313	144863	47	2	10
2014-04-01 05:34:24.279226	144864	20.3	1	10
2014-04-01 05:34:32.090457	144865	54	2	9
2014-04-01 05:34:32.313907	144866	19.7	1	9
2014-04-01 05:34:32.95551	144867	50	2	8
2014-04-01 05:34:33.242606	144868	19.3	1	8
2014-04-01 05:34:43.264139	144869	54	2	1
2014-04-01 05:34:43.485509	144870	18.9	1	1
2014-04-01 05:34:54.103236	144871	63	2	24
2014-04-01 05:34:54.336744	144872	16.8	1	24
2014-04-01 05:34:56.767954	144873	50	2	25
2014-04-01 05:34:56.990501	144874	17.4	1	25
2014-04-01 05:35:03.085693	144875	47	2	10
2014-04-01 05:35:03.336427	144876	20.3	1	10
2014-04-01 05:35:07.858534	144877	402	3	2
2014-04-01 05:35:08.078428	144878	1159595.9555766187	4	2
2014-04-01 05:35:10.885131	144879	54	2	9
2014-04-01 05:35:11.128924	144880	19.7	1	9
2014-04-01 05:35:11.955766	144881	50	2	8
2014-04-01 05:35:12.17668	144882	19.3	1	8
2014-04-01 05:35:19.858982	144883	370	3	2
2014-04-01 05:35:20.089531	144884	1159597.1046113402	4	2
2014-04-01 05:35:22.261406	144885	54	2	1
2014-04-01 05:35:22.483102	144886	18.9	1	1
2014-04-01 05:35:31.860217	144887	370	3	2
2014-04-01 05:35:32.092394	144888	1159598.2536460615	4	2
2014-04-01 05:35:33.104619	144889	63	2	24
2014-04-01 05:35:33.382223	144890	16.8	1	24
2014-04-01 05:35:35.76789	144891	50	2	25
2014-04-01 05:35:35.999806	144892	17.4	1	25
2014-04-01 05:35:42.047653	144893	47	2	10
2014-04-01 05:35:42.268703	144894	20.3	1	10
2014-04-01 05:35:49.886376	144895	54	2	9
2014-04-01 05:35:50.116205	144896	19.7	1	9
2014-04-01 05:35:51.159996	144897	50	2	8
2014-04-01 05:35:51.380794	144898	19.3	1	8
2014-04-01 05:36:01.260405	144899	54	2	1
2014-04-01 05:36:01.494501	144900	18.9	1	1
2014-04-01 05:36:12.104215	144901	63	2	24
2014-04-01 05:36:12.325749	144902	16.8	1	24
2014-04-01 05:36:14.768037	144903	50	2	25
2014-04-01 05:36:14.998532	144904	17.4	1	25
2014-04-01 05:36:19.858312	144905	338	3	2
2014-04-01 05:36:20.079034	144906	1159602.8497849472	4	2
2014-04-01 05:36:21.048129	144907	47	2	10
2014-04-01 05:36:21.278577	144908	20.3	1	10
2014-04-01 05:36:28.887156	144909	54	2	9
2014-04-01 05:36:29.109411	144910	19.7	1	9
2014-04-01 05:36:29.95614	144911	50	2	8
2014-04-01 05:36:30.186629	144912	19.3	1	8
2014-04-01 05:36:31.858653	144913	338	3	2
2014-04-01 05:36:32.078714	144914	1159603.9988196685	4	2
2014-04-01 05:36:40.257684	144915	54	2	1
2014-04-01 05:36:40.487348	144916	18.9	1	1
2014-04-01 05:36:51.10283	144917	63	2	24
2014-04-01 05:36:51.324226	144918	16.8	1	24
2014-04-01 05:36:53.770812	144919	50	2	25
2014-04-01 05:36:54.00072	144920	17.4	1	25
2014-04-01 05:37:00.048971	144921	47	2	10
2014-04-01 05:37:00.270693	144922	20.3	1	10
2014-04-01 05:37:07.887047	144923	54	2	9
2014-04-01 05:37:08.116278	144924	19.7	1	9
2014-04-01 05:37:08.955218	144925	50	2	8
2014-04-01 05:37:09.175148	144926	19.3	1	8
2014-04-01 05:37:19.259358	144927	54	2	1
2014-04-01 05:37:19.501945	144928	18.9	1	1
2014-04-01 05:37:30.103683	144929	63	2	24
2014-04-01 05:37:30.32462	144930	16.8	1	24
2014-04-01 05:37:31.861463	144931	338	3	2
2014-04-01 05:37:32.092194	144932	1159609.7439932758	4	2
2014-04-01 05:37:32.775558	144933	50	2	25
2014-04-01 05:37:32.996103	144934	17.4	1	25
2014-04-01 05:37:39.047553	144935	47	2	10
2014-04-01 05:37:39.280598	144936	20.3	1	10
2014-04-01 05:37:46.893879	144937	54	2	9
2014-04-01 05:37:47.114503	144938	19.7	1	9
2014-04-01 05:37:47.955578	144939	50	2	8
2014-04-01 05:37:48.186555	144940	19.3	1	8
2014-04-01 05:37:55.859639	144941	305	3	2
2014-04-01 05:37:56.082066	144942	1159612.0420627184	4	2
2014-04-01 05:37:58.257523	144943	54	2	1
2014-04-01 05:37:58.4876	144944	18.9	1	1
2014-04-01 05:38:07.857845	144945	305	3	2
2014-04-01 05:38:08.082304	144946	1159613.19109744	4	2
2014-04-01 05:38:09.102706	144947	63	2	24
2014-04-01 05:38:09.334371	144948	16.8	1	24
2014-04-01 05:38:11.768601	144949	50	2	25
2014-04-01 05:38:11.993255	144950	17.4	1	25
2014-04-01 05:38:18.047516	144951	47	2	10
2014-04-01 05:38:18.278914	144952	20.3	1	10
2014-04-01 05:38:19.857214	144953	370	3	2
2014-04-01 05:38:20.078848	144954	1159614.3401321613	4	2
2014-04-01 05:38:25.887606	144955	54	2	9
2014-04-01 05:38:26.11996	144956	19.7	1	9
2014-04-01 05:38:26.957498	144957	50	2	8
2014-04-01 05:38:27.177513	144958	19.3	1	8
2014-04-01 05:38:31.858057	144959	370	3	2
2014-04-01 05:38:32.094753	144960	1159615.4891668828	4	2
2014-04-01 05:38:37.257588	144961	54	2	1
2014-04-01 05:38:37.48575	144962	18.9	1	1
2014-04-01 05:38:48.100421	144963	63	2	24
2014-04-01 05:38:48.331662	144964	16.8	1	24
2014-04-01 05:38:50.766997	144965	50	2	25
2014-04-01 05:38:50.992469	144966	17.4	1	25
2014-04-01 05:38:57.052608	144967	47	2	10
2014-04-01 05:38:57.284112	144968	20.3	1	10
2014-04-01 05:39:04.886262	144969	54	2	9
2014-04-01 05:39:05.110743	144970	19.7	1	9
2014-04-01 05:39:05.958104	144971	50	2	8
2014-04-01 05:39:06.191212	144972	19.3	1	8
2014-04-01 05:39:16.256934	144973	54	2	1
2014-04-01 05:39:16.477373	144974	18.9	1	1
2014-04-01 05:39:27.098099	144975	63	2	24
2014-04-01 05:39:27.343791	144976	16.8	1	24
2014-04-01 05:39:29.7669	144977	50	2	25
2014-04-01 05:39:29.986118	144978	17.4	1	25
2014-04-01 05:39:31.858729	144979	354	3	2
2014-04-01 05:39:32.089356	144980	1159621.2343404898	4	2
2014-04-01 05:39:36.048768	144981	47	2	10
2014-04-01 05:39:36.271165	144982	20.3	1	10
2014-04-01 05:39:43.887363	144983	54	2	9
2014-04-01 05:39:44.118927	144984	19.7	1	9
2014-04-01 05:39:44.955482	144985	50	2	8
2014-04-01 05:39:45.176715	144986	19.3	1	8
2014-04-01 05:39:55.258257	144987	54	2	1
2014-04-01 05:39:55.49133	144988	18.9	1	1
2014-04-01 05:40:06.100017	144989	63	2	24
2014-04-01 05:40:06.323468	144990	16.8	1	24
2014-04-01 05:40:08.766197	144991	50	2	25
2014-04-01 05:40:09.003158	144992	17.4	1	25
2014-04-01 05:40:15.051729	144993	47	2	10
2014-04-01 05:40:15.274933	144994	20.3	1	10
2014-04-01 05:40:22.885945	144995	54	2	9
2014-04-01 05:40:23.116205	144996	19.7	1	9
2014-04-01 05:40:24.157988	144997	50	2	8
2014-04-01 05:40:24.380463	144998	19.3	1	8
2014-04-01 05:40:31.857583	144999	354	3	2
2014-04-01 05:40:32.090187	145000	1159626.9795140969	4	2
2014-04-01 05:40:34.257049	145001	54	2	1
2014-04-01 05:40:34.480319	145002	18.9	1	1
2014-04-01 05:40:45.098567	145003	63	2	24
2014-04-01 05:40:45.332003	145004	16.8	1	24
2014-04-01 05:40:47.765669	145005	50	2	25
2014-04-01 05:40:47.986572	145006	17.4	1	25
2014-04-01 05:40:54.0494	145007	47	2	10
2014-04-01 05:40:54.281089	145008	20.3	1	10
2014-04-01 05:41:01.886496	145009	54	2	9
2014-04-01 05:41:02.109258	145010	19.7	1	9
2014-04-01 05:41:02.955243	145011	50	2	8
2014-04-01 05:41:03.186104	145012	19.3	1	8
2014-04-01 05:41:13.254916	145013	54	2	1
2014-04-01 05:41:13.478545	145014	18.9	1	1
2014-04-01 05:41:24.098628	145015	63	2	24
2014-04-01 05:41:24.329914	145016	16.8	1	24
2014-04-01 05:41:26.766163	145017	50	2	25
2014-04-01 05:41:26.987418	145018	17.3	1	25
2014-04-01 05:41:31.860009	145019	354	3	2
2014-04-01 05:41:32.091265	145020	1159632.7246877041	4	2
2014-04-01 05:41:33.048313	145021	47	2	10
2014-04-01 05:41:33.273183	145022	20.3	1	10
2014-04-01 05:41:40.885847	145023	54	2	9
2014-04-01 05:41:41.129713	145024	19.7	1	9
2014-04-01 05:41:41.954946	145025	50	2	8
2014-04-01 05:41:42.174727	145026	19.3	1	8
2014-04-01 05:41:52.253782	145027	54	2	1
2014-04-01 05:41:52.484868	145028	18.9	1	1
2014-04-01 05:42:03.097409	145029	63	2	24
2014-04-01 05:42:03.371836	145030	16.8	1	24
2014-04-01 05:42:05.76468	145031	50	2	25
2014-04-01 05:42:05.996243	145032	17.3	1	25
2014-04-01 05:42:12.048568	145033	47	2	10
2014-04-01 05:42:12.270638	145034	20.2	1	10
2014-04-01 05:42:19.887861	145035	54	2	9
2014-04-01 05:42:20.118917	145036	19.7	1	9
2014-04-01 05:42:20.957516	145037	50	2	8
2014-04-01 05:42:21.179677	145038	19.3	1	8
2014-04-01 05:42:31.253253	145039	54	2	1
2014-04-01 05:42:31.484943	145040	18.9	1	1
2014-04-01 05:42:31.857005	145041	354	3	2
2014-04-01 05:42:32.076871	145042	1159638.4698613111	4	2
2014-04-01 05:42:42.096098	145043	63	2	24
2014-04-01 05:42:42.329672	145044	16.8	1	24
2014-04-01 05:42:45.004644	145045	50	2	25
2014-04-01 05:42:45.2254	145046	17.3	1	25
2014-04-01 05:42:51.048082	145047	47	2	10
2014-04-01 05:42:51.279776	145048	20.2	1	10
2014-04-01 05:42:58.888972	145049	54	2	9
2014-04-01 05:42:59.109158	145050	19.7	1	9
2014-04-01 05:42:59.955093	145051	50	2	8
2014-04-01 05:43:00.186516	145052	19.3	1	8
2014-04-01 05:43:10.254213	145053	54	2	1
2014-04-01 05:43:10.476155	145054	18.9	1	1
2014-04-01 05:43:21.09892	145055	63	2	24
2014-04-01 05:43:21.330717	145056	16.8	1	24
2014-04-01 05:43:23.766082	145057	50	2	25
2014-04-01 05:43:23.988164	145058	17.3	1	25
2014-04-01 05:43:30.050011	145059	47	2	10
2014-04-01 05:43:30.283299	145060	20.2	1	10
2014-04-01 05:43:31.857585	145061	354	3	2
2014-04-01 05:43:32.079416	145062	1159645.3640696395	4	2
2014-04-01 05:43:37.887018	145063	54	2	9
2014-04-01 05:43:38.120636	145064	19.7	1	9
2014-04-01 05:43:38.95689	145065	50	2	8
2014-04-01 05:43:39.180583	145066	19.3	1	8
2014-04-01 05:43:43.858587	145067	305	3	2
2014-04-01 05:43:44.093459	145068	1159646.513104361	4	2
2014-04-01 05:43:49.252337	145069	54	2	1
2014-04-01 05:43:49.478922	145070	18.9	1	1
2014-04-01 05:43:55.859087	145071	305	3	2
2014-04-01 05:43:56.104368	145072	1159646.513104361	4	2
2014-04-01 05:44:00.098763	145073	63	2	24
2014-04-01 05:44:00.320717	145074	16.8	1	24
2014-04-01 05:44:02.766502	145075	50	2	25
2014-04-01 05:44:03.000454	145076	17.3	1	25
2014-04-01 05:44:09.055839	145077	47	2	10
2014-04-01 05:44:09.277711	145078	20.2	1	10
2014-04-01 05:44:16.888863	145079	54	2	9
2014-04-01 05:44:17.123379	145080	19.7	1	9
2014-04-01 05:44:17.95673	145081	50	2	8
2014-04-01 05:44:18.179659	145082	19.3	1	8
2014-04-01 05:44:28.25352	145083	54	2	1
2014-04-01 05:44:28.485417	145084	18.9	1	1
2014-04-01 05:44:31.855951	145085	305	3	2
2014-04-01 05:44:32.079471	145086	1159649.9602085252	4	2
2014-04-01 05:44:39.097855	145087	63	2	24
2014-04-01 05:44:39.333978	145088	16.8	1	24
2014-04-01 05:44:41.766996	145089	50	2	25
2014-04-01 05:44:41.987679	145090	17.3	1	25
2014-04-01 05:44:48.050402	145091	47	2	10
2014-04-01 05:44:48.283137	145092	20.2	1	10
2014-04-01 05:44:55.887397	145093	54	2	9
2014-04-01 05:44:56.1096	145094	19.7	1	9
2014-04-01 05:44:56.95543	145095	50	2	8
2014-04-01 05:44:57.188079	145096	19.3	1	8
2014-04-01 05:45:07.257088	145097	54	2	1
2014-04-01 05:45:07.477427	145098	18.9	1	1
2014-04-01 05:45:07.857326	145099	338	3	2
2014-04-01 05:45:08.087215	145100	1159653.4073126896	4	2
2014-04-01 05:45:18.095171	145101	63	2	24
2014-04-01 05:45:18.321118	145102	16.8	1	24
2014-04-01 05:45:19.856244	145103	305	3	2
2014-04-01 05:45:20.088596	145104	1159654.556347411	4	2
2014-04-01 05:45:20.763212	145105	50	2	25
2014-04-01 05:45:20.985081	145106	17.3	1	25
2014-04-01 05:45:27.049615	145107	47	2	10
2014-04-01 05:45:27.281503	145108	20.2	1	10
2014-04-01 05:45:31.858123	145109	305	3	2
2014-04-01 05:45:32.079812	145110	1159655.7053821322	4	2
2014-04-01 05:45:34.888264	145111	54	2	9
2014-04-01 05:45:35.120191	145112	19.7	1	9
2014-04-01 05:45:35.956058	145113	50	2	8
2014-04-01 05:45:36.177818	145114	19.3	1	8
2014-04-01 05:45:46.252525	145115	54	2	1
2014-04-01 05:45:46.485353	145116	18.9	1	1
2014-04-01 05:45:57.093386	145117	63	2	24
2014-04-01 05:45:57.31633	145118	16.8	1	24
2014-04-01 05:45:59.763922	145119	50	2	25
2014-04-01 05:46:00.004426	145120	17.3	1	25
2014-04-01 05:46:06.049319	145121	47	2	10
2014-04-01 05:46:06.270136	145122	20.2	1	10
2014-04-01 05:46:13.886371	145123	54	2	9
2014-04-01 05:46:14.116381	145124	19.7	1	9
2014-04-01 05:46:14.954576	145125	50	2	8
2014-04-01 05:46:15.17518	145126	19.3	1	8
2014-04-01 05:46:25.253945	145127	54	2	1
2014-04-01 05:46:25.487676	145128	18.9	1	1
2014-04-01 05:46:31.857883	145129	305	3	2
2014-04-01 05:46:32.078749	145130	1159660.301521018	4	2
2014-04-01 05:46:36.093481	145131	63	2	24
2014-04-01 05:46:36.345357	145132	16.8	1	24
2014-04-01 05:46:38.76386	145133	50	2	25
2014-04-01 05:46:38.986265	145134	17.3	1	25
2014-04-01 05:46:45.053963	145135	47	2	10
2014-04-01 05:46:45.286048	145136	20.2	1	10
2014-04-01 05:46:52.886308	145137	54	2	9
2014-04-01 05:46:53.108785	145138	19.7	1	9
2014-04-01 05:46:53.954868	145139	50	2	8
2014-04-01 05:46:54.186226	145140	19.3	1	8
2014-04-01 05:47:04.252344	145141	54	2	1
2014-04-01 05:47:04.473377	145142	18.9	1	1
2014-04-01 05:47:15.093822	145143	63	2	24
2014-04-01 05:47:15.325463	145144	16.8	1	24
2014-04-01 05:47:17.763944	145145	50	2	25
2014-04-01 05:47:17.984354	145146	17.3	1	25
2014-04-01 05:47:24.050847	145147	47	2	10
2014-04-01 05:47:24.282471	145148	20.2	1	10
2014-04-01 05:47:32.090004	145149	54	2	9
2014-04-01 05:47:32.313069	145150	19.7	1	9
2014-04-01 05:47:33.160733	145151	50	2	8
2014-04-01 05:47:33.393366	145152	19.3	1	8
2014-04-01 05:47:43.253507	145153	54	2	1
2014-04-01 05:47:43.47723	145154	18.9	1	1
2014-04-01 05:47:54.091298	145155	63	2	24
2014-04-01 05:47:54.325733	145156	16.8	1	24
2014-04-01 05:47:56.764326	145157	50	2	25
2014-04-01 05:47:56.984543	145158	17.3	1	25
2014-04-01 05:48:03.049516	145159	47	2	10
2014-04-01 05:48:03.282634	145160	20.2	1	10
2014-04-01 05:48:10.889062	145161	54	2	9
2014-04-01 05:48:11.111687	145162	19.7	1	9
2014-04-01 05:48:11.955509	145163	50	2	8
2014-04-01 05:48:12.185799	145164	19.3	1	8
2014-04-01 05:48:19.85992	145165	338	3	2
2014-04-01 05:48:20.08317	145166	1159669.4937987893	4	2
2014-04-01 05:48:22.25039	145167	54	2	1
2014-04-01 05:48:22.492264	145168	18.9	1	1
2014-04-01 05:48:31.859554	145169	305	3	2
2014-04-01 05:48:32.083019	145170	1159670.6428335106	4	2
2014-04-01 05:48:33.091704	145171	63	2	24
2014-04-01 05:48:33.323697	145172	16.8	1	24
2014-04-01 05:48:35.763971	145173	50	2	25
2014-04-01 05:48:35.989498	145174	17.3	1	25
2014-04-01 05:48:42.052185	145175	47	2	10
2014-04-01 05:48:42.283907	145176	20.2	1	10
2014-04-01 05:48:43.862423	145177	305	3	2
2014-04-01 05:48:44.082997	145178	1159671.7918682322	4	2
2014-04-01 05:48:49.889823	145179	54	2	9
2014-04-01 05:48:50.141662	145180	19.7	1	9
2014-04-01 05:48:50.957535	145181	50	2	8
2014-04-01 05:48:51.178176	145182	19.3	1	8
2014-04-01 05:49:01.252446	145183	54	2	1
2014-04-01 05:49:01.484786	145184	18.9	1	1
2014-04-01 05:49:12.090045	145185	63	2	24
2014-04-01 05:49:12.312529	145186	16.8	1	24
2014-04-01 05:49:14.762287	145187	50	2	25
2014-04-01 05:49:14.994817	145188	17.3	1	25
2014-04-01 05:49:21.052604	145189	47	2	10
2014-04-01 05:49:21.277056	145190	20.2	1	10
2014-04-01 05:49:28.888832	145191	54	2	9
2014-04-01 05:49:29.12364	145192	19.7	1	9
2014-04-01 05:49:29.956567	145193	50	2	8
2014-04-01 05:49:30.179948	145194	19.3	1	8
2014-04-01 05:49:31.857641	145195	305	3	2
2014-04-01 05:49:32.090385	145196	1159675.2389723964	4	2
2014-04-01 05:49:40.251461	145197	54	2	1
2014-04-01 05:49:40.474178	145198	18.9	1	1
2014-04-01 05:49:51.092652	145199	63	2	24
2014-04-01 05:49:51.333346	145200	16.8	1	24
2014-04-01 05:49:53.762578	145201	50	2	25
2014-04-01 05:49:53.982657	145202	17.3	1	25
2014-04-01 05:50:00.052382	145203	47	2	10
2014-04-01 05:50:00.287391	145204	20.2	1	10
2014-04-01 05:50:08.090066	145205	54	2	9
2014-04-01 05:50:08.314307	145206	19.7	1	9
2014-04-01 05:50:08.955141	145207	50	2	8
2014-04-01 05:50:09.188973	145208	19.3	1	8
2014-04-01 05:50:19.25256	145209	54	2	1
2014-04-01 05:50:19.474368	145210	18.9	1	1
2014-04-01 05:50:19.860015	145211	354	3	2
2014-04-01 05:50:20.090558	145212	1159679.835111282	4	2
2014-04-01 05:50:30.090389	145213	63	2	24
2014-04-01 05:50:30.315037	145214	16.8	1	24
2014-04-01 05:50:31.858663	145215	354	3	2
2014-04-01 05:50:32.103383	145216	1159680.9841460034	4	2
2014-04-01 05:50:32.760416	145217	50	2	25
2014-04-01 05:50:32.983106	145218	17.3	1	25
2014-04-01 05:50:39.051249	145219	47	2	10
2014-04-01 05:50:39.28371	145220	20.2	1	10
2014-04-01 05:50:46.886552	145221	54	2	9
2014-04-01 05:50:47.107417	145222	19.7	1	9
2014-04-01 05:50:47.957967	145223	50	2	8
2014-04-01 05:50:48.18753	145224	19.3	1	8
2014-04-01 05:50:58.24893	145225	54	2	1
2014-04-01 05:50:58.473173	145226	18.9	1	1
2014-04-01 05:51:09.087477	145227	63	2	24
2014-04-01 05:51:09.321099	145228	16.8	1	24
2014-04-01 05:51:11.761767	145229	50	2	25
2014-04-01 05:51:11.983313	145230	17.3	1	25
2014-04-01 05:51:18.052372	145231	47	2	10
2014-04-01 05:51:18.283272	145232	20.2	1	10
2014-04-01 05:51:25.887164	145233	54	2	9
2014-04-01 05:51:26.108428	145234	19.7	1	9
2014-04-01 05:51:26.955321	145235	50	2	8
2014-04-01 05:51:27.187214	145236	19.3	1	8
2014-04-01 05:51:31.857605	145237	354	3	2
2014-04-01 05:51:32.083599	145238	1159686.7293196104	4	2
2014-04-01 05:51:37.250285	145239	54	2	1
2014-04-01 05:51:37.487938	145240	18.9	1	1
2014-04-01 05:51:48.08772	145241	63	2	24
2014-04-01 05:51:48.30913	145242	16.8	1	24
2014-04-01 05:51:50.760461	145243	50	2	25
2014-04-01 05:51:50.991657	145244	17.3	1	25
2014-04-01 05:51:57.052349	145245	47	2	10
2014-04-01 05:51:57.27611	145246	20.2	1	10
2014-04-01 05:52:04.885761	145247	54	2	9
2014-04-01 05:52:05.116949	145248	19.7	1	9
2014-04-01 05:52:05.954533	145249	50	2	8
2014-04-01 05:52:06.175779	145250	19.3	1	8
2014-04-01 05:52:16.250206	145251	54	2	1
2014-04-01 05:52:16.483095	145252	18.9	1	1
2014-04-01 05:52:27.088647	145253	63	2	24
2014-04-01 05:52:27.310421	145254	16.8	1	24
2014-04-01 05:52:29.762097	145255	50	2	25
2014-04-01 05:52:29.993262	145256	17.3	1	25
2014-04-01 05:52:31.860045	145257	354	3	2
2014-04-01 05:52:32.08709	145258	1159693.623527939	4	2
2014-04-01 05:52:36.051547	145259	47	2	10
2014-04-01 05:52:36.283518	145260	20.2	1	10
2014-04-01 05:52:43.888576	145261	54	2	9
2014-04-01 05:52:44.110683	145262	19.7	1	9
2014-04-01 05:52:44.955229	145263	50	2	8
2014-04-01 05:52:45.19744	145264	19.3	1	8
2014-04-01 05:52:55.248529	145265	54	2	1
2014-04-01 05:52:55.471257	145266	18.9	1	1
2014-04-01 05:53:06.087253	145267	63	2	24
2014-04-01 05:53:06.318891	145268	16.8	1	24
2014-04-01 05:53:08.762356	145269	50	2	25
2014-04-01 05:53:08.98987	145270	17.3	1	25
2014-04-01 05:53:15.054813	145271	47	2	10
2014-04-01 05:53:15.285583	145272	20.2	1	10
2014-04-01 05:53:22.88779	145273	54	2	9
2014-04-01 05:53:23.110292	145274	19.7	1	9
2014-04-01 05:53:23.956172	145275	50	2	8
2014-04-01 05:53:24.186883	145276	19.3	1	8
2014-04-01 05:53:31.869885	145277	354	3	2
2014-04-01 05:53:32.093548	145278	1159699.368701546	4	2
2014-04-01 05:53:34.249262	145279	54	2	1
2014-04-01 05:53:34.481747	145280	18.8	1	1
2014-04-01 05:53:45.087211	145281	63	2	24
2014-04-01 05:53:45.308014	145282	16.8	1	24
2014-04-01 05:53:47.761097	145283	50	2	25
2014-04-01 05:53:47.993275	145284	17.3	1	25
2014-04-01 05:53:54.051144	145285	47	2	10
2014-04-01 05:53:54.273733	145286	20.1	1	10
2014-04-01 05:54:01.889172	145287	54	2	9
2014-04-01 05:54:02.11934	145288	19.7	1	9
2014-04-01 05:54:02.957999	145289	50	2	8
2014-04-01 05:54:03.177917	145290	19.3	1	8
2014-04-01 05:54:13.251049	145291	54	2	1
2014-04-01 05:54:13.483358	145292	18.8	1	1
2014-04-01 05:54:24.085899	145293	63	2	24
2014-04-01 05:54:24.308265	145294	16.8	1	24
2014-04-01 05:54:26.761691	145295	50	2	25
2014-04-01 05:54:26.995423	145296	17.3	1	25
2014-04-01 05:54:31.857895	145297	354	3	2
2014-04-01 05:54:32.083325	145298	1159705.1138751532	4	2
2014-04-01 05:54:33.054912	145299	47	2	10
2014-04-01 05:54:33.286135	145300	20.1	1	10
2014-04-01 05:54:40.889194	145301	54	2	9
2014-04-01 05:54:41.114551	145302	19.7	1	9
2014-04-01 05:54:41.955963	145303	50	2	8
2014-04-01 05:54:42.188989	145304	19.3	1	8
2014-04-01 05:54:52.247923	145305	54	2	1
2014-04-01 05:54:52.469446	145306	18.8	1	1
2014-04-01 05:55:03.085949	145307	63	2	24
2014-04-01 05:55:03.317453	145308	16.8	1	24
2014-04-01 05:55:05.75924	145309	50	2	25
2014-04-01 05:55:05.980983	145310	17.3	1	25
2014-04-01 05:55:07.856192	145311	305	3	2
2014-04-01 05:55:08.100525	145312	1159708.5609793174	4	2
2014-04-01 05:55:12.054808	145313	47	2	10
2014-04-01 05:55:12.27606	145314	20.1	1	10
2014-04-01 05:55:20.089391	145315	54	2	9
2014-04-01 05:55:20.324401	145316	19.7	1	9
2014-04-01 05:55:20.955064	145317	50	2	8
2014-04-01 05:55:21.177272	145318	19.3	1	8
2014-04-01 05:55:31.250623	145319	54	2	1
2014-04-01 05:55:31.481093	145320	18.8	1	1
2014-04-01 05:55:31.857351	145321	305	3	2
2014-04-01 05:55:32.085415	145322	1159710.8590487603	4	2
2014-04-01 05:55:42.085083	145323	63	2	24
2014-04-01 05:55:42.320443	145324	16.8	1	24
2014-04-01 05:55:44.759499	145325	50	2	25
2014-04-01 05:55:44.981002	145326	17.3	1	25
2014-04-01 05:55:51.052577	145327	47	2	10
2014-04-01 05:55:51.285605	145328	20.1	1	10
2014-04-01 05:55:58.885604	145329	54	2	9
2014-04-01 05:55:59.107103	145330	19.7	1	9
2014-04-01 05:55:59.956773	145331	50	2	8
2014-04-01 05:56:00.18827	145332	19.3	1	8
2014-04-01 05:56:10.249173	145333	54	2	1
2014-04-01 05:56:10.468706	145334	18.8	1	1
2014-04-01 05:56:21.081488	145335	63	2	24
2014-04-01 05:56:21.314807	145336	16.8	1	24
2014-04-01 05:56:23.759604	145337	50	2	25
2014-04-01 05:56:23.980656	145338	17.3	1	25
2014-04-01 05:56:30.053272	145339	47	2	10
2014-04-01 05:56:30.284691	145340	20.1	1	10
2014-04-01 05:56:31.858186	145341	305	3	2
2014-04-01 05:56:32.080045	145342	1159715.455187646	4	2
2014-04-01 05:56:37.886446	145343	54	2	9
2014-04-01 05:56:38.117081	145344	19.7	1	9
2014-04-01 05:56:38.955874	145345	50	2	8
2014-04-01 05:56:39.179224	145346	19.3	1	8
2014-04-01 05:56:49.250214	145347	54	2	1
2014-04-01 05:56:49.483532	145348	18.8	1	1
2014-04-01 05:57:00.083827	145349	63	2	24
2014-04-01 05:57:00.304194	145350	16.8	1	24
2014-04-01 05:57:02.76102	145351	50	2	25
2014-04-01 05:57:02.99075	145352	17.3	1	25
2014-04-01 05:57:09.054522	145353	47	2	10
2014-04-01 05:57:09.274877	145354	20.1	1	10
2014-04-01 05:57:16.887263	145355	54	2	9
2014-04-01 05:57:17.119566	145356	19.7	1	9
2014-04-01 05:57:17.956102	145357	50	2	8
2014-04-01 05:57:18.178971	145358	19.3	1	8
2014-04-01 05:57:28.245421	145359	54	2	1
2014-04-01 05:57:28.491405	145360	18.8	1	1
2014-04-01 05:57:31.858099	145361	305	3	2
2014-04-01 05:57:32.078752	145362	1159721.200361253	4	2
2014-04-01 05:57:39.081255	145363	63	2	24
2014-04-01 05:57:39.313211	145364	16.8	1	24
2014-04-01 05:57:41.760199	145365	50	2	25
2014-04-01 05:57:41.980568	145366	17.3	1	25
2014-04-01 05:57:48.054937	145367	47	2	10
2014-04-01 05:57:48.288214	145368	20.1	1	10
2014-04-01 05:57:55.885517	145369	54	2	9
2014-04-01 05:57:56.107251	145370	19.7	1	9
2014-04-01 05:57:56.955977	145371	50	2	8
2014-04-01 05:57:57.186171	145372	19.3	1	8
2014-04-01 05:58:07.247185	145373	54	2	1
2014-04-01 05:58:07.473692	145374	18.8	1	1
2014-04-01 05:58:18.082636	145375	63	2	24
2014-04-01 05:58:18.31421	145376	16.8	1	24
2014-04-01 05:58:20.760057	145377	50	2	25
2014-04-01 05:58:20.980382	145378	17.3	1	25
2014-04-01 05:58:27.054682	145379	47	2	10
2014-04-01 05:58:27.2871	145380	20.1	1	10
2014-04-01 05:58:31.857175	145381	305	3	2
2014-04-01 05:58:32.078518	145382	1159725.7965001387	4	2
2014-04-01 05:58:34.889452	145383	54	2	9
2014-04-01 05:58:35.123199	145384	19.7	1	9
2014-04-01 05:58:35.955041	145385	50	2	8
2014-04-01 05:58:36.17645	145386	19.3	1	8
2014-04-01 05:58:46.247814	145387	54	2	1
2014-04-01 05:58:46.479415	145388	18.8	1	1
2014-04-01 05:58:57.082958	145389	63	2	24
2014-04-01 05:58:57.305423	145390	16.8	1	24
2014-04-01 05:58:59.782257	145391	50	2	25
2014-04-01 05:59:00.01427	145392	17.3	1	25
2014-04-01 05:59:06.054738	145393	47	2	10
2014-04-01 05:59:06.276836	145394	20.1	1	10
2014-04-01 05:59:13.891142	145395	54	2	9
2014-04-01 05:59:14.122938	145396	19.7	1	9
2014-04-01 05:59:14.956016	145397	50	2	8
2014-04-01 05:59:15.177181	145398	19.3	1	8
2014-04-01 05:59:25.245048	145399	54	2	1
2014-04-01 05:59:25.477861	145400	18.8	1	1
2014-04-01 05:59:31.857337	145401	305	3	2
2014-04-01 05:59:32.082647	145402	1159730.3971099765	4	2
2014-04-01 05:59:36.080729	145403	63	2	24
2014-04-01 05:59:36.312584	145404	16.8	1	24
2014-04-01 05:59:38.757319	145405	50	2	25
2014-04-01 05:59:38.980805	145406	17.3	1	25
2014-04-01 05:59:45.059289	145407	47	2	10
2014-04-01 05:59:45.303322	145408	20.1	1	10
2014-04-01 05:59:52.884779	145409	54	2	9
2014-04-01 05:59:53.107179	145410	19.7	1	9
2014-04-01 05:59:53.956842	145411	50	2	8
2014-04-01 05:59:54.186591	145412	19.3	1	8
2014-04-01 06:00:04.245603	145413	54	2	1
2014-04-01 06:00:04.467599	145414	18.8	1	1
2014-04-01 06:00:15.080364	145415	63	2	24
2014-04-01 06:00:15.312743	145416	16.8	1	24
2014-04-01 06:00:17.761654	145417	50	2	25
2014-04-01 06:00:17.984236	145418	17.3	1	25
2014-04-01 06:00:24.056917	145419	47	2	10
2014-04-01 06:00:24.287702	145420	20.1	1	10
2014-04-01 06:00:32.092663	145421	54	2	9
2014-04-01 06:00:32.31537	145422	19.7	1	9
2014-04-01 06:00:32.954894	145423	50	2	8
2014-04-01 06:00:33.187927	145424	19.3	1	8
2014-04-01 06:00:43.249247	145425	54	2	1
2014-04-01 06:00:43.471689	145426	18.8	1	1
2014-04-01 06:00:54.078239	145427	63	2	24
2014-04-01 06:00:54.311306	145428	16.8	1	24
2014-04-01 06:00:56.757608	145429	50	2	25
2014-04-01 06:00:56.978991	145430	17.3	1	25
2014-04-01 06:01:03.054933	145431	47	2	10
2014-04-01 06:01:03.287961	145432	20.1	1	10
2014-04-01 06:01:10.889057	145433	54	2	9
2014-04-01 06:01:11.110308	145434	19.7	1	9
2014-04-01 06:01:12.159618	145435	50	2	8
2014-04-01 06:01:12.390948	145436	19.3	1	8
2014-04-01 06:01:19.854296	145437	338	3	2
2014-04-01 06:01:20.078618	145438	1159739.589387748	4	2
2014-04-01 06:01:22.245967	145439	54	2	1
2014-04-01 06:01:22.477948	145440	18.8	1	1
2014-04-01 06:01:31.857131	145441	370	3	2
2014-04-01 06:01:32.079167	145442	1159740.7384224692	4	2
2014-04-01 06:01:33.320295	145443	63	2	24
2014-04-01 06:01:33.550348	145444	16.8	1	24
2014-04-01 06:01:35.757567	145445	50	2	25
2014-04-01 06:01:35.97945	145446	17.3	1	25
2014-04-01 06:01:42.055596	145447	47	2	10
2014-04-01 06:01:42.287911	145448	20.1	1	10
2014-04-01 06:01:43.857834	145449	370	3	2
2014-04-01 06:01:44.078773	145450	1159741.8874571905	4	2
2014-04-01 06:01:49.888712	145451	54	2	9
2014-04-01 06:01:50.123447	145452	19.7	1	9
2014-04-01 06:01:50.955598	145453	50	2	8
2014-04-01 06:01:51.177178	145454	19.3	1	8
2014-04-01 06:02:01.243316	145455	54	2	1
2014-04-01 06:02:01.488468	145456	18.8	1	1
2014-04-01 06:02:07.855522	145457	402	3	2
2014-04-01 06:02:08.076857	145458	1159744.1855266334	4	2
2014-04-01 06:02:12.077974	145459	63	2	24
2014-04-01 06:02:12.309035	145460	16.8	1	24
2014-04-01 06:02:14.758685	145461	50	2	25
2014-04-01 06:02:14.981885	145462	17.3	1	25
2014-04-01 06:02:19.858039	145463	402	3	2
2014-04-01 06:02:20.093161	145464	1159745.334561355	4	2
2014-04-01 06:02:21.054487	145465	47	2	10
2014-04-01 06:02:21.276897	145466	20.1	1	10
2014-04-01 06:02:28.885933	145467	54	2	9
2014-04-01 06:02:29.117952	145468	19.7	1	9
2014-04-01 06:02:29.955065	145469	50	2	8
2014-04-01 06:02:30.176594	145470	19.3	1	8
2014-04-01 06:02:31.857981	145471	370	3	2
2014-04-01 06:02:32.089209	145472	1159746.4835960763	4	2
2014-04-01 06:02:40.243472	145473	54	2	1
2014-04-01 06:02:40.470995	145474	18.8	1	1
2014-04-01 06:02:43.858683	145475	370	3	2
2014-04-01 06:02:44.089613	145476	1159747.6326307978	4	2
2014-04-01 06:02:51.076399	145477	63	2	24
2014-04-01 06:02:51.318148	145478	16.8	1	24
2014-04-01 06:02:53.75802	145479	50	2	25
2014-04-01 06:02:53.990851	145480	17.3	1	25
2014-04-01 06:03:00.054737	145481	47	2	10
2014-04-01 06:03:00.276425	145482	20.1	1	10
2014-04-01 06:03:07.887626	145483	54	2	9
2014-04-01 06:03:08.120262	145484	19.7	1	9
2014-04-01 06:03:08.955274	145485	50	2	8
2014-04-01 06:03:09.178202	145486	19.3	1	8
2014-04-01 06:03:19.24378	145487	54	2	1
2014-04-01 06:03:19.47406	145488	18.8	1	1
2014-04-01 06:03:30.077931	145489	63	2	24
2014-04-01 06:03:30.299189	145490	16.8	1	24
2014-04-01 06:03:31.858652	145491	370	3	2
2014-04-01 06:03:32.090969	145492	1159753.3778044048	4	2
2014-04-01 06:03:32.759772	145493	50	2	25
2014-04-01 06:03:32.980588	145494	17.3	1	25
2014-04-01 06:03:39.054713	145495	47	2	10
2014-04-01 06:03:39.287075	145496	20.1	1	10
2014-04-01 06:03:46.88782	145497	54	2	9
2014-04-01 06:03:47.109438	145498	19.7	1	9
2014-04-01 06:03:48.159289	145499	50	2	8
2014-04-01 06:03:48.392176	145500	19.3	1	8
2014-04-01 06:03:58.243678	145501	54	2	1
2014-04-01 06:03:58.467031	145502	18.8	1	1
2014-04-01 06:04:09.07576	145503	63	2	24
2014-04-01 06:04:09.324264	145504	16.8	1	24
2014-04-01 06:04:11.757153	145505	50	2	25
2014-04-01 06:04:11.9779	145506	17.3	1	25
2014-04-01 06:04:18.055192	145507	47	2	10
2014-04-01 06:04:18.28703	145508	20.1	1	10
2014-04-01 06:04:26.090571	145509	54	2	9
2014-04-01 06:04:26.312799	145510	19.7	1	9
2014-04-01 06:04:27.16018	145511	50	2	8
2014-04-01 06:04:27.389966	145512	19.3	1	8
2014-04-01 06:04:31.858086	145513	370	3	2
2014-04-01 06:04:32.081671	145514	1159759.1229780118	4	2
2014-04-01 06:04:37.240652	145515	54	2	1
2014-04-01 06:04:37.476748	145516	18.8	1	1
2014-04-01 06:04:48.073802	145517	63	2	24
2014-04-01 06:04:48.295534	145518	16.8	1	24
2014-04-01 06:04:50.755317	145519	50	2	25
2014-04-01 06:04:50.989432	145520	17.3	1	25
2014-04-01 06:04:57.055954	145521	47	2	10
2014-04-01 06:04:57.277474	145522	20.0	1	10
2014-04-01 06:05:04.885411	145523	54	2	9
2014-04-01 06:05:05.119463	145524	19.7	1	9
2014-04-01 06:05:05.956974	145525	50	2	8
2014-04-01 06:05:06.180347	145526	19.3	1	8
2014-04-01 06:05:16.242913	145527	54	2	1
2014-04-01 06:05:16.494676	145528	18.8	1	1
2014-04-01 06:05:27.074086	145529	63	2	24
2014-04-01 06:05:27.295807	145530	16.8	1	24
2014-04-01 06:05:29.75477	145531	50	2	25
2014-04-01 06:05:29.986776	145532	17.3	1	25
2014-04-01 06:05:31.857952	145533	402	3	2
2014-04-01 06:05:32.081874	145534	1159764.8681516189	4	2
2014-04-01 06:05:36.057945	145535	47	2	10
2014-04-01 06:05:36.288566	145536	20.0	1	10
2014-04-01 06:05:44.091805	145537	54	2	9
2014-04-01 06:05:44.313381	145538	19.7	1	9
2014-04-01 06:05:44.955256	145539	50	2	8
2014-04-01 06:05:45.186838	145540	19.3	1	8
2014-04-01 06:05:55.243464	145541	54	2	1
2014-04-01 06:05:55.465668	145542	18.8	1	1
2014-04-01 06:05:55.857404	145543	370	3	2
2014-04-01 06:05:56.088426	145544	1159768.3152557833	4	2
2014-04-01 06:06:06.073067	145545	63	2	24
2014-04-01 06:06:06.296967	145546	16.8	1	24
2014-04-01 06:06:07.855763	145547	370	3	2
2014-04-01 06:06:08.088036	145548	1159769.4642905046	4	2
2014-04-01 06:06:08.756209	145549	50	2	25
2014-04-01 06:06:08.976493	145550	17.3	1	25
2014-04-01 06:06:15.058523	145551	47	2	10
2014-04-01 06:06:15.304673	145552	20.0	1	10
2014-04-01 06:06:22.886869	145553	54	2	9
2014-04-01 06:06:23.108125	145554	19.7	1	9
2014-04-01 06:06:23.954859	145555	50	2	8
2014-04-01 06:06:24.37246	145556	19.3	1	8
2014-04-01 06:06:31.856048	145557	370	3	2
2014-04-01 06:06:32.076516	145558	1159771.7623599474	4	2
2014-04-01 06:06:34.299523	145559	54	2	1
2014-04-01 06:06:34.522689	145560	18.8	1	1
2014-04-01 06:06:45.072475	145561	63	2	24
2014-04-01 06:06:45.304108	145562	16.8	1	24
2014-04-01 06:06:47.754682	145563	50	2	25
2014-04-01 06:06:47.974894	145564	17.3	1	25
2014-04-01 06:06:54.055258	145565	47	2	10
2014-04-01 06:06:54.288208	145566	20.0	1	10
2014-04-01 06:06:55.854673	145567	338	3	2
2014-04-01 06:06:56.076123	145568	1159774.0604293903	4	2
2014-04-01 06:07:01.884957	145569	54	2	9
2014-04-01 06:07:02.115643	145570	19.7	1	9
2014-04-01 06:07:02.955089	145571	50	2	8
2014-04-01 06:07:03.176215	145572	19.3	1	8
2014-04-01 06:07:07.854109	145573	338	3	2
2014-04-01 06:07:08.090961	145574	1159775.2094641116	4	2
2014-04-01 06:07:13.242222	145575	54	2	1
2014-04-01 06:07:13.469489	145576	18.8	1	1
2014-04-01 06:07:19.855895	145577	305	3	2
2014-04-01 06:07:20.086166	145578	1159776.3584988331	4	2
2014-04-01 06:07:24.07196	145579	63	2	24
2014-04-01 06:07:24.293566	145580	16.8	1	24
2014-04-01 06:07:26.754754	145581	50	2	25
2014-04-01 06:07:26.986797	145582	17.3	1	25
2014-04-01 06:07:31.857608	145583	338	3	2
2014-04-01 06:07:32.083273	145584	1159777.5075335545	4	2
2014-04-01 06:07:33.056525	145585	47	2	10
2014-04-01 06:07:33.286421	145586	20.0	1	10
2014-04-01 06:07:40.887215	145587	54	2	9
2014-04-01 06:07:41.109545	145588	19.7	1	9
2014-04-01 06:07:41.954811	145589	50	2	8
2014-04-01 06:07:42.18448	145590	19.3	1	8
2014-04-01 06:07:43.856839	145591	338	3	2
2014-04-01 06:07:44.075865	145592	1159778.656568276	4	2
2014-04-01 06:07:52.242383	145593	54	2	1
2014-04-01 06:07:52.475619	145594	18.8	1	1
2014-04-01 06:08:03.071899	145595	63	2	24
2014-04-01 06:08:03.293047	145596	16.8	1	24
2014-04-01 06:08:05.754311	145597	50	2	25
2014-04-01 06:08:05.985851	145598	17.3	1	25
2014-04-01 06:08:12.057203	145599	47	2	10
2014-04-01 06:08:12.2794	145600	20.0	1	10
2014-04-01 06:08:20.089067	145601	54	2	9
2014-04-01 06:08:20.331186	145602	19.7	1	9
2014-04-01 06:08:20.954454	145603	50	2	8
2014-04-01 06:08:21.174605	145604	19.3	1	8
2014-04-01 06:08:31.238932	145605	54	2	1
2014-04-01 06:08:31.472115	145606	18.8	1	1
2014-04-01 06:08:42.06233	145607	63	2	24
2014-04-01 06:08:42.283291	145608	16.8	1	24
2014-04-01 06:08:44.752954	145609	50	2	25
2014-04-01 06:08:44.983562	145610	17.3	1	25
2014-04-01 06:08:51.056464	145611	47	2	10
2014-04-01 06:08:51.276712	145612	20.0	1	10
2014-04-01 06:08:55.855079	145613	498	3	2
2014-04-01 06:08:56.08619	145614	1159786.6998113259	4	2
2014-04-01 06:08:58.887934	145615	54	2	9
2014-04-01 06:08:59.109715	145616	19.7	1	9
2014-04-01 06:08:59.954218	145617	50	2	8
2014-04-01 06:09:00.184674	145618	19.3	1	8
2014-04-01 06:09:10.238707	145619	54	2	1
2014-04-01 06:09:10.460673	145620	18.8	1	1
2014-04-01 06:09:21.069277	145621	63	2	24
2014-04-01 06:09:21.301242	145622	16.8	1	24
2014-04-01 06:09:23.758238	145623	50	2	25
2014-04-01 06:09:23.978722	145624	17.3	1	25
2014-04-01 06:09:30.056403	145625	47	2	10
2014-04-01 06:09:30.287992	145626	20.0	1	10
2014-04-01 06:09:31.857986	145627	498	3	2
2014-04-01 06:09:32.078972	145628	1159792.444984933	4	2
2014-04-01 06:09:37.88612	145629	54	2	9
2014-04-01 06:09:38.117547	145630	19.7	1	9
2014-04-01 06:09:38.955657	145631	50	2	8
2014-04-01 06:09:39.177162	145632	19.3	1	8
2014-04-01 06:09:49.240824	145633	54	2	1
2014-04-01 06:09:49.471188	145634	18.8	1	1
2014-04-01 06:10:00.069914	145635	63	2	24
2014-04-01 06:10:00.290797	145636	16.8	1	24
2014-04-01 06:10:02.754533	145637	50	2	25
2014-04-01 06:10:02.987227	145638	17.3	1	25
2014-04-01 06:10:09.057958	145639	47	2	10
2014-04-01 06:10:09.279047	145640	20.0	1	10
2014-04-01 06:10:16.887808	145641	54	2	9
2014-04-01 06:10:17.119384	145642	19.7	1	9
2014-04-01 06:10:17.957974	145643	51	2	8
2014-04-01 06:10:18.180979	145644	19.3	1	8
2014-04-01 06:10:28.241006	145645	54	2	1
2014-04-01 06:10:28.47319	145646	18.8	1	1
2014-04-01 06:10:31.857483	145647	498	3	2
2014-04-01 06:10:32.082659	145648	1159800.4882279828	4	2
2014-04-01 06:10:39.069402	145649	63	2	24
2014-04-01 06:10:39.311006	145650	16.8	1	24
2014-04-01 06:10:41.754172	145651	50	2	25
2014-04-01 06:10:41.977323	145652	17.3	1	25
2014-04-01 06:10:48.060169	145653	47	2	10
2014-04-01 06:10:48.292237	145654	20.0	1	10
2014-04-01 06:10:55.887918	145655	54	2	9
2014-04-01 06:10:56.110673	145656	19.7	1	9
2014-04-01 06:10:56.955725	145657	51	2	8
2014-04-01 06:10:57.187725	145658	19.3	1	8
2014-04-01 06:11:07.240196	145659	54	2	1
2014-04-01 06:11:07.465523	145660	18.8	1	1
2014-04-01 06:11:18.066052	145661	63	2	24
2014-04-01 06:11:18.296672	145662	16.8	1	24
2014-04-01 06:11:20.7536	145663	50	2	25
2014-04-01 06:11:20.973827	145664	17.3	1	25
2014-04-01 06:11:27.057517	145665	47	2	10
2014-04-01 06:11:27.292776	145666	20.0	1	10
2014-04-01 06:11:34.886745	145667	54	2	9
2014-04-01 06:11:35.10933	145668	19.6	1	9
2014-04-01 06:11:35.954536	145669	52	2	8
2014-04-01 06:11:36.187081	145670	19.4	1	8
2014-04-01 06:11:46.240921	145671	54	2	1
2014-04-01 06:11:46.463345	145672	18.8	1	1
2014-04-01 06:11:57.065841	145673	63	2	24
2014-04-01 06:11:57.298789	145674	16.8	1	24
2014-04-01 06:11:59.752998	145675	50	2	25
2014-04-01 06:11:59.975843	145676	17.3	1	25
2014-04-01 06:12:06.05916	145677	47	2	10
2014-04-01 06:12:06.293605	145678	20.0	1	10
2014-04-01 06:12:13.887572	145679	54	2	9
2014-04-01 06:12:14.109517	145680	19.6	1	9
2014-04-01 06:12:14.954697	145681	54	2	8
2014-04-01 06:12:15.185361	145682	19.5	1	8
2014-04-01 06:12:25.238665	145683	54	2	1
2014-04-01 06:12:25.461152	145684	18.8	1	1
2014-04-01 06:12:36.066068	145685	63	2	24
2014-04-01 06:12:36.299442	145686	16.8	1	24
2014-04-01 06:12:38.753069	145687	50	2	25
2014-04-01 06:12:38.977475	145688	17.3	1	25
2014-04-01 06:12:45.058844	145689	47	2	10
2014-04-01 06:12:45.289758	145690	20.0	1	10
2014-04-01 06:12:52.885217	145691	54	2	9
2014-04-01 06:12:53.11006	145692	19.6	1	9
2014-04-01 06:12:53.95461	145693	55	2	8
2014-04-01 06:12:54.185926	145694	19.6	1	8
2014-04-01 06:13:04.237571	145695	54	2	1
2014-04-01 06:13:04.515318	145696	18.8	1	1
2014-04-01 06:13:15.062313	145697	63	2	24
2014-04-01 06:13:15.306716	145698	16.8	1	24
2014-04-01 06:13:17.994094	145699	50	2	25
2014-04-01 06:13:18.214248	145700	17.3	1	25
2014-04-01 06:13:24.059252	145701	47	2	10
2014-04-01 06:13:24.291284	145702	20.0	1	10
2014-04-01 06:13:32.089845	145703	54	2	9
2014-04-01 06:13:32.31118	145704	19.6	1	9
2014-04-01 06:13:32.955398	145705	56	2	8
2014-04-01 06:13:33.185415	145706	19.7	1	8
2014-04-01 06:13:43.237926	145707	54	2	1
2014-04-01 06:13:43.459045	145708	18.8	1	1
2014-04-01 06:13:54.063892	145709	63	2	24
2014-04-01 06:13:54.295752	145710	16.8	1	24
2014-04-01 06:13:56.753353	145711	50	2	25
2014-04-01 06:13:56.97371	145712	17.3	1	25
2014-04-01 06:14:03.058616	145713	47	2	10
2014-04-01 06:14:03.288272	145714	20.0	1	10
2014-04-01 06:14:10.887351	145715	54	2	9
2014-04-01 06:14:11.109567	145716	19.6	1	9
2014-04-01 06:14:11.954884	145717	59	2	8
2014-04-01 06:14:12.186103	145718	19.9	1	8
2014-04-01 06:14:22.235393	145719	54	2	1
2014-04-01 06:14:22.457614	145720	18.8	1	1
2014-04-01 06:14:33.062538	145721	63	2	24
2014-04-01 06:14:33.2933	145722	16.8	1	24
2014-04-01 06:14:35.752883	145723	50	2	25
2014-04-01 06:14:35.974655	145724	17.3	1	25
2014-04-01 06:14:42.059008	145725	47	2	10
2014-04-01 06:14:42.29284	145726	20.0	1	10
2014-04-01 06:14:49.888058	145727	54	2	9
2014-04-01 06:14:50.10931	145728	19.6	1	9
2014-04-01 06:14:50.956775	145729	61	2	8
2014-04-01 06:14:51.186441	145730	20.0	1	8
2014-04-01 06:15:01.238137	145731	54	2	1
2014-04-01 06:15:01.460664	145732	18.8	1	1
2014-04-01 06:15:12.063676	145733	63	2	24
2014-04-01 06:15:12.294221	145734	16.8	1	24
2014-04-01 06:15:14.753595	145735	50	2	25
2014-04-01 06:15:14.976803	145736	17.3	1	25
2014-04-01 06:15:21.058605	145737	47	2	10
2014-04-01 06:15:21.29033	145738	20.0	1	10
2014-04-01 06:15:28.887151	145739	54	2	9
2014-04-01 06:15:29.109508	145740	19.6	1	9
2014-04-01 06:15:30.161876	145741	64	2	8
2014-04-01 06:15:30.391599	145742	20.3	1	8
2014-04-01 06:15:31.856012	145743	531	3	2
2014-04-01 06:15:32.07715	145744	1159843.0025126752	4	2
2014-04-01 06:15:40.234664	145745	54	2	1
2014-04-01 06:15:40.476824	145746	18.8	1	1
2014-04-01 06:15:51.060764	145747	63	2	24
2014-04-01 06:15:51.282504	145748	16.8	1	24
2014-04-01 06:15:53.751194	145749	50	2	25
2014-04-01 06:15:53.983692	145750	17.3	1	25
2014-04-01 06:16:00.061263	145751	47	2	10
2014-04-01 06:16:00.282795	145752	20.0	1	10
2014-04-01 06:16:07.887886	145753	54	2	9
2014-04-01 06:16:08.121491	145754	19.6	1	9
2014-04-01 06:16:08.955821	145755	66	2	8
2014-04-01 06:16:09.179433	145756	20.5	1	8
2014-04-01 06:16:19.236773	145757	54	2	1
2014-04-01 06:16:19.468228	145758	18.8	1	1
2014-04-01 06:16:30.062976	145759	63	2	24
2014-04-01 06:16:30.284938	145760	16.8	1	24
2014-04-01 06:16:31.85601	145761	531	3	2
2014-04-01 06:16:32.088463	145762	1159852.1947904464	4	2
2014-04-01 06:16:32.753974	145763	50	2	25
2014-04-01 06:16:32.977274	145764	17.3	1	25
2014-04-01 06:16:39.061822	145765	47	2	10
2014-04-01 06:16:39.293637	145766	19.9	1	10
2014-04-01 06:16:46.886358	145767	54	2	9
2014-04-01 06:16:47.110361	145768	19.6	1	9
2014-04-01 06:16:47.957436	145769	68	2	8
2014-04-01 06:16:48.189224	145770	20.8	1	8
2014-04-01 06:16:58.236041	145771	54	2	1
2014-04-01 06:16:58.458494	145772	18.8	1	1
2014-04-01 06:17:09.058123	145773	63	2	24
2014-04-01 06:17:09.313648	145774	16.8	1	24
2014-04-01 06:17:11.75256	145775	50	2	25
2014-04-01 06:17:11.973814	145776	17.3	1	25
2014-04-01 06:17:18.06038	145777	47	2	10
2014-04-01 06:17:18.293772	145778	19.9	1	10
2014-04-01 06:17:25.887552	145779	54	2	9
2014-04-01 06:17:26.109592	145780	19.6	1	9
2014-04-01 06:17:26.95635	145781	69	2	8
2014-04-01 06:17:27.187171	145782	21.1	1	8
2014-04-01 06:17:31.854393	145783	531	3	2
2014-04-01 06:17:32.080711	145784	1159861.3870682179	4	2
2014-04-01 06:17:37.245573	145785	54	2	1
2014-04-01 06:17:37.479125	145786	18.8	1	1
2014-04-01 06:17:48.059056	145787	63	2	24
2014-04-01 06:17:48.283227	145788	16.8	1	24
2014-04-01 06:17:50.75029	145789	50	2	25
2014-04-01 06:17:50.982882	145790	17.3	1	25
2014-04-01 06:17:57.059012	145791	47	2	10
2014-04-01 06:17:57.281695	145792	19.9	1	10
2014-04-01 06:18:04.886028	145793	54	2	9
2014-04-01 06:18:05.12781	145794	19.6	1	9
2014-04-01 06:18:05.955049	145795	69	2	8
2014-04-01 06:18:06.176174	145796	21.4	1	8
2014-04-01 06:18:16.234315	145797	54	2	1
2014-04-01 06:18:16.468034	145798	18.8	1	1
2014-04-01 06:18:27.059934	145799	63	2	24
2014-04-01 06:18:27.281206	145800	16.8	1	24
2014-04-01 06:18:29.750349	145801	50	2	25
2014-04-01 06:18:29.980339	145802	17.3	1	25
2014-04-01 06:18:36.0615	145803	47	2	10
2014-04-01 06:18:36.283568	145804	19.9	1	10
2014-04-01 06:18:44.090276	145805	54	2	9
2014-04-01 06:18:44.321508	145806	19.6	1	9
2014-04-01 06:18:44.956178	145807	70	2	8
2014-04-01 06:18:45.177322	145808	21.6	1	8
2014-04-01 06:18:55.234828	145809	54	2	1
2014-04-01 06:18:55.465906	145810	18.8	1	1
2014-04-01 06:19:06.059005	145811	63	2	24
2014-04-01 06:19:06.280262	145812	16.8	1	24
2014-04-01 06:19:08.75003	145813	50	2	25
2014-04-01 06:19:08.982174	145814	17.3	1	25
2014-04-01 06:19:15.061267	145815	47	2	10
2014-04-01 06:19:15.283233	145816	19.9	1	10
2014-04-01 06:19:22.886927	145817	54	2	9
2014-04-01 06:19:23.11833	145818	19.6	1	9
2014-04-01 06:19:23.954273	145819	70	2	8
2014-04-01 06:19:24.175411	145820	21.8	1	8
2014-04-01 06:19:31.854528	145821	547	3	2
2014-04-01 06:19:32.085882	145822	1159880.9206584818	4	2
2014-04-01 06:19:34.233465	145823	54	2	1
2014-04-01 06:19:34.454362	145824	18.8	1	1
2014-04-01 06:19:45.057564	145825	63	2	24
2014-04-01 06:19:45.289404	145826	16.8	1	24
2014-04-01 06:19:47.750708	145827	50	2	25
2014-04-01 06:19:47.971411	145828	17.3	1	25
2014-04-01 06:19:54.063524	145829	47	2	10
2014-04-01 06:19:54.295097	145830	19.9	1	10
2014-04-01 06:20:01.888004	145831	54	2	9
2014-04-01 06:20:02.109822	145832	19.6	1	9
2014-04-01 06:20:02.956197	145833	70	2	8
2014-04-01 06:20:03.186459	145834	21.9	1	8
2014-04-01 06:20:13.235692	145835	54	2	1
2014-04-01 06:20:13.45817	145836	18.8	1	1
2014-04-01 06:20:24.057297	145837	63	2	24
2014-04-01 06:20:24.288117	145838	16.8	1	24
2014-04-01 06:20:26.749332	145839	50	2	25
2014-04-01 06:20:26.972785	145840	17.3	1	25
2014-04-01 06:20:31.854722	145841	498	3	2
2014-04-01 06:20:32.096811	145842	1159888.9639015316	4	2
2014-04-01 06:20:33.06046	145843	47	2	10
2014-04-01 06:20:33.279409	145844	19.9	1	10
2014-04-01 06:20:40.887677	145845	54	2	9
2014-04-01 06:20:41.119027	145846	19.6	1	9
2014-04-01 06:20:41.954927	145847	70	2	8
2014-04-01 06:20:42.176109	145848	22.1	1	8
2014-04-01 06:20:52.233719	145849	54	2	1
2014-04-01 06:20:52.46525	145850	18.8	1	1
2014-04-01 06:21:03.056272	145851	63	2	24
2014-04-01 06:21:03.27683	145852	16.8	1	24
2014-04-01 06:21:05.748838	145853	50	2	25
2014-04-01 06:21:05.982513	145854	17.3	1	25
2014-04-01 06:21:12.062004	145855	47	2	10
2014-04-01 06:21:12.283772	145856	19.9	1	10
2014-04-01 06:21:19.887893	145857	54	2	9
2014-04-01 06:21:20.12245	145858	19.6	1	9
2014-04-01 06:21:20.956546	145859	70	2	8
2014-04-01 06:21:21.177427	145860	22.1	1	8
2014-04-01 06:21:31.2337	145861	54	2	1
2014-04-01 06:21:31.466949	145862	18.8	1	1
2014-04-01 06:21:42.061549	145863	63	2	24
2014-04-01 06:21:42.282944	145864	16.8	1	24
2014-04-01 06:21:44.749042	145865	50	2	25
2014-04-01 06:21:44.980014	145866	17.3	1	25
2014-04-01 06:21:51.062673	145867	47	2	10
2014-04-01 06:21:51.283837	145868	19.9	1	10
2014-04-01 06:21:58.886642	145869	54	2	9
2014-04-01 06:21:59.122747	145870	19.6	1	9
2014-04-01 06:21:59.955706	145871	69	2	8
2014-04-01 06:22:00.179375	145872	22.1	1	8
2014-04-01 06:22:10.2326	145873	54	2	1
2014-04-01 06:22:10.463302	145874	18.8	1	1
2014-04-01 06:22:21.052803	145875	63	2	24
2014-04-01 06:22:21.275214	145876	16.8	1	24
2014-04-01 06:22:23.750296	145877	50	2	25
2014-04-01 06:22:23.980729	145878	17.3	1	25
2014-04-01 06:22:30.061637	145879	47	2	10
2014-04-01 06:22:30.292478	145880	19.9	1	10
2014-04-01 06:22:37.887402	145881	54	2	9
2014-04-01 06:22:38.143317	145882	19.6	1	9
2014-04-01 06:22:38.955876	145883	68	2	8
2014-04-01 06:22:39.178024	145884	21.9	1	8
2014-04-01 06:22:49.233995	145885	54	2	1
2014-04-01 06:22:49.465266	145886	18.8	1	1
2014-04-01 06:22:55.856213	145887	515	3	2
2014-04-01 06:22:56.078328	145888	1159909.6465265173	4	2
2014-04-01 06:23:00.054134	145889	63	2	24
2014-04-01 06:23:00.298649	145890	16.8	1	24
2014-04-01 06:23:02.749211	145891	50	2	25
2014-04-01 06:23:02.972287	145892	17.3	1	25
2014-04-01 06:23:09.061952	145893	47	2	10
2014-04-01 06:23:09.29478	145894	19.9	1	10
2014-04-01 06:23:16.886253	145895	54	2	9
2014-04-01 06:23:17.110559	145896	19.6	1	9
2014-04-01 06:23:17.956146	145897	67	2	8
2014-04-01 06:23:18.190378	145898	21.8	1	8
2014-04-01 06:23:28.233956	145899	54	2	1
2014-04-01 06:23:28.458789	145900	18.8	1	1
2014-04-01 06:23:31.855596	145901	498	3	2
2014-04-01 06:23:32.086366	145902	1159914.2426654028	4	2
2014-04-01 06:23:39.052598	145903	63	2	24
2014-04-01 06:23:39.273596	145904	16.8	1	24
2014-04-01 06:23:41.749303	145905	50	2	25
2014-04-01 06:23:41.981223	145906	17.3	1	25
2014-04-01 06:23:48.066026	145907	47	2	10
2014-04-01 06:23:48.28728	145908	19.9	1	10
2014-04-01 06:23:55.887633	145909	54	2	9
2014-04-01 06:23:56.119701	145910	19.6	1	9
2014-04-01 06:23:56.955402	145911	66	2	8
2014-04-01 06:23:57.176107	145912	21.7	1	8
2014-04-01 06:24:07.231605	145913	54	2	1
2014-04-01 06:24:07.4645	145914	18.8	1	1
2014-04-01 06:24:18.044903	145915	63	2	24
2014-04-01 06:24:18.266774	145916	16.8	1	24
2014-04-01 06:24:20.749125	145917	50	2	25
2014-04-01 06:24:20.980811	145918	17.3	1	25
2014-04-01 06:24:27.062072	145919	47	2	10
2014-04-01 06:24:27.285714	145920	19.9	1	10
2014-04-01 06:24:34.93387	145921	54	2	9
2014-04-01 06:24:35.165033	145922	19.6	1	9
2014-04-01 06:24:35.954839	145923	66	2	8
2014-04-01 06:24:36.175411	145924	21.5	1	8
2014-04-01 06:24:46.231	145925	54	2	1
2014-04-01 06:24:46.463122	145926	18.8	1	1
2014-04-01 06:24:57.050763	145927	63	2	24
2014-04-01 06:24:57.274989	145928	16.8	1	24
2014-04-01 06:24:59.751661	145929	50	2	25
2014-04-01 06:24:59.98281	145930	17.3	1	25
2014-04-01 06:25:06.188645	145931	47	2	10
2014-04-01 06:25:06.620071	145932	19.9	1	10
2014-04-01 06:25:13.888164	145933	54	2	9
2014-04-01 06:25:14.120904	145934	19.6	1	9
2014-04-01 06:25:14.954691	145935	65	2	8
2014-04-01 06:25:15.176714	145936	21.4	1	8
2014-04-01 06:25:25.231798	145937	54	2	1
2014-04-01 06:25:25.474086	145938	18.8	1	1
2014-04-01 06:25:31.856051	145939	627	3	2
2014-04-01 06:25:32.078099	145940	1159932.6272209454	4	2
2014-04-01 06:25:36.05352	145941	63	2	24
2014-04-01 06:25:36.285542	145942	16.8	1	24
2014-04-01 06:25:38.747319	145943	50	2	25
2014-04-01 06:25:38.970427	145944	17.3	1	25
2014-04-01 06:25:43.858434	145945	627	3	2
2014-04-01 06:25:44.094197	145946	1159934.9252903883	4	2
2014-04-01 06:25:45.061298	145947	47	2	10
2014-04-01 06:25:45.283279	145948	19.9	1	10
2014-04-01 06:25:52.888976	145949	54	2	9
2014-04-01 06:25:53.120918	145950	19.6	1	9
2014-04-01 06:25:53.954597	145951	65	2	8
2014-04-01 06:25:54.176385	145952	21.3	1	8
2014-04-01 06:26:04.229208	145953	54	2	1
2014-04-01 06:26:04.460454	145954	18.8	1	1
2014-04-01 06:26:15.051328	145955	63	2	24
2014-04-01 06:26:15.272677	145956	16.8	1	24
2014-04-01 06:26:17.74762	145957	50	2	25
2014-04-01 06:26:17.979893	145958	17.3	1	25
2014-04-01 06:26:19.854709	145959	692	3	2
2014-04-01 06:26:20.077001	145960	1159940.6704639955	4	2
2014-04-01 06:26:24.062304	145961	47	2	10
2014-04-01 06:26:24.29407	145962	19.9	1	10
2014-04-01 06:26:32.090107	145963	54	2	9
2014-04-01 06:26:32.312128	145964	19.6	1	9
2014-04-01 06:26:32.956911	145965	64	2	8
2014-04-01 06:26:33.187424	145966	21.2	1	8
2014-04-01 06:26:43.229763	145967	54	2	1
2014-04-01 06:26:43.453494	145968	18.8	1	1
2014-04-01 06:26:54.051116	145969	63	2	24
2014-04-01 06:26:54.282764	145970	16.8	1	24
2014-04-01 06:26:56.748803	145971	50	2	25
2014-04-01 06:26:56.969973	145972	17.3	1	25
2014-04-01 06:27:03.065593	145973	47	2	10
2014-04-01 06:27:03.297302	145974	19.9	1	10
2014-04-01 06:27:07.857222	145975	498	3	2
2014-04-01 06:27:08.079514	145976	1159949.8627417667	4	2
2014-04-01 06:27:10.888573	145977	54	2	9
2014-04-01 06:27:11.12176	145978	19.6	1	9
2014-04-01 06:27:12.161553	145979	64	2	8
2014-04-01 06:27:12.38309	145980	21.2	1	8
2014-04-01 06:27:22.031274	145981	498	3	2
2014-04-01 06:27:22.265783	145982	1159951.0117764883	4	2
2014-04-01 06:27:22.569253	145983	54	2	1
2014-04-01 06:27:22.792512	145984	18.8	1	1
2014-04-01 06:27:31.853064	145985	498	3	2
2014-04-01 06:27:32.098231	145986	1159953.309845931	4	2
2014-04-01 06:27:33.05238	145987	63	2	24
2014-04-01 06:27:33.275789	145988	16.8	1	24
2014-04-01 06:27:35.745259	145989	50	2	25
2014-04-01 06:27:35.978972	145990	17.3	1	25
2014-04-01 06:27:42.063411	145991	47	2	10
2014-04-01 06:27:42.288423	145992	19.9	1	10
2014-04-01 06:27:49.886967	145993	54	2	9
2014-04-01 06:27:50.118113	145994	19.6	1	9
2014-04-01 06:27:50.954046	145995	63	2	8
2014-04-01 06:27:51.177728	145996	21.1	1	8
2014-04-01 06:28:01.230413	145997	54	2	1
2014-04-01 06:28:01.462292	145998	18.8	1	1
2014-04-01 06:28:12.04842	145999	63	2	24
2014-04-01 06:28:12.272524	146000	16.8	1	24
2014-04-01 06:28:14.747478	146001	50	2	25
2014-04-01 06:28:14.979841	146002	17.3	1	25
2014-04-01 06:28:19.852388	146003	531	3	2
2014-04-01 06:28:20.075189	146004	1159960.2040542595	4	2
2014-04-01 06:28:21.064176	146005	47	2	10
2014-04-01 06:28:21.296431	146006	19.9	1	10
2014-04-01 06:28:28.885406	146007	54	2	9
2014-04-01 06:28:29.107077	146008	19.6	1	9
2014-04-01 06:28:29.955227	146009	62	2	8
2014-04-01 06:28:30.18586	146010	21.0	1	8
2014-04-01 06:28:31.853992	146011	531	3	2
2014-04-01 06:28:32.075948	146012	1159961.353088981	4	2
2014-04-01 06:28:40.230001	146013	54	2	1
2014-04-01 06:28:40.464072	146014	18.8	1	1
2014-04-01 06:28:51.05645	146015	63	2	24
2014-04-01 06:28:51.278649	146016	16.8	1	24
2014-04-01 06:28:53.745654	146017	50	2	25
2014-04-01 06:28:53.977042	146018	17.3	1	25
2014-04-01 06:29:00.062333	146019	47	2	10
2014-04-01 06:29:00.284641	146020	19.9	1	10
2014-04-01 06:29:07.887032	146021	54	2	9
2014-04-01 06:29:08.118616	146022	19.6	1	9
2014-04-01 06:29:08.956097	146023	62	2	8
2014-04-01 06:29:09.176367	146024	20.9	1	8
2014-04-01 06:29:19.227177	146025	54	2	1
2014-04-01 06:29:19.460254	146026	18.8	1	1
2014-04-01 06:29:19.853571	146027	482	3	2
2014-04-01 06:29:20.075557	146028	1159969.3963320309	4	2
2014-04-01 06:29:30.05002	146029	64	2	24
2014-04-01 06:29:30.28456	146030	16.8	1	24
2014-04-01 06:29:31.851978	146031	498	3	2
2014-04-01 06:29:32.075351	146032	1159970.5453667522	4	2
2014-04-01 06:29:32.747071	146033	50	2	25
2014-04-01 06:29:32.992108	146034	17.3	1	25
2014-04-01 06:29:39.066643	146035	47	2	10
2014-04-01 06:29:39.28884	146036	19.9	1	10
2014-04-01 06:29:46.886406	146037	54	2	9
2014-04-01 06:29:47.120222	146038	19.6	1	9
2014-04-01 06:29:47.955285	146039	62	2	8
2014-04-01 06:29:48.176653	146040	20.8	1	8
2014-04-01 06:29:58.226467	146041	54	2	1
2014-04-01 06:29:58.458683	146042	18.8	1	1
2014-04-01 06:30:09.044954	146043	64	2	24
2014-04-01 06:30:09.268087	146044	16.8	1	24
2014-04-01 06:30:11.744507	146045	50	2	25
2014-04-01 06:30:11.976756	146046	17.3	1	25
2014-04-01 06:30:18.063961	146047	47	2	10
2014-04-01 06:30:18.285899	146048	19.9	1	10
2014-04-01 06:30:25.885492	146049	54	2	9
2014-04-01 06:30:26.116448	146050	19.6	1	9
2014-04-01 06:30:26.955002	146051	62	2	8
2014-04-01 06:30:27.175917	146052	20.7	1	8
2014-04-01 06:30:37.229109	146053	54	2	1
2014-04-01 06:30:37.458875	146054	18.8	1	1
2014-04-01 06:30:48.045704	146055	64	2	24
2014-04-01 06:30:48.268307	146056	16.8	1	24
2014-04-01 06:30:50.745889	146057	50	2	25
2014-04-01 06:30:50.977975	146058	17.3	1	25
2014-04-01 06:30:57.065148	146059	47	2	10
2014-04-01 06:30:57.286933	146060	19.9	1	10
2014-04-01 06:31:04.944216	146061	54	2	9
2014-04-01 06:31:05.178135	146062	19.6	1	9
2014-04-01 06:31:05.954291	146063	61	2	8
2014-04-01 06:31:06.177935	146064	20.6	1	8
2014-04-01 06:31:16.22727	146065	54	2	1
2014-04-01 06:31:16.458549	146066	18.8	1	1
2014-04-01 06:31:27.04616	146067	64	2	24
2014-04-01 06:31:27.267096	146068	16.8	1	24
2014-04-01 06:31:29.747226	146069	50	2	25
2014-04-01 06:31:29.979636	146070	17.3	1	25
2014-04-01 06:31:36.065368	146071	47	2	10
2014-04-01 06:31:36.286175	146072	19.8	1	10
2014-04-01 06:31:43.888947	146073	54	2	9
2014-04-01 06:31:44.120717	146074	19.6	1	9
2014-04-01 06:31:44.956929	146075	61	2	8
2014-04-01 06:31:45.176797	146076	20.5	1	8
2014-04-01 06:31:55.227504	146077	54	2	1
2014-04-01 06:31:55.457813	146078	18.8	1	1
2014-04-01 06:32:08.764842	146079	50	2	25
2014-04-01 06:32:08.989425	146080	17.3	1	25
2014-04-01 06:32:15.066561	146081	47	2	10
2014-04-01 06:32:15.309737	146082	19.8	1	10
2014-04-01 06:32:22.883717	146083	54	2	9
2014-04-01 06:32:23.10729	146084	19.6	1	9
2014-04-01 06:32:23.955007	146085	61	2	8
2014-04-01 06:32:24.186727	146086	20.4	1	8
2014-04-01 06:32:31.858881	146087	482	3	2
2014-04-01 06:32:32.084198	146088	1159994.675095902	4	2
2014-04-01 06:32:34.227031	146089	54	2	1
2014-04-01 06:32:34.458038	146090	18.8	1	1
2014-04-01 06:32:45.044929	146091	64	2	24
2014-04-01 06:32:45.270671	146092	16.8	1	24
2014-04-01 06:32:47.744826	146093	50	2	25
2014-04-01 06:32:47.976374	146094	17.3	1	25
2014-04-01 06:32:54.065446	146095	47	2	10
2014-04-01 06:32:54.290116	146096	19.8	1	10
2014-04-01 06:33:01.890296	146097	54	2	9
2014-04-01 06:33:02.12334	146098	19.6	1	9
2014-04-01 06:33:02.954355	146099	61	2	8
2014-04-01 06:33:03.177701	146100	20.3	1	8
2014-04-01 06:33:07.85427	146101	515	3	2
2014-04-01 06:33:08.089283	146102	1160000.420269509	4	2
2014-04-01 06:33:13.234757	146103	54	2	1
2014-04-01 06:33:13.463271	146104	18.8	1	1
2014-04-01 06:33:19.854429	146105	466	3	2
2014-04-01 06:33:20.084689	146106	1160001.5693042304	4	2
2014-04-01 06:33:24.045057	146107	64	2	24
2014-04-01 06:33:24.269111	146108	16.8	1	24
2014-04-01 06:33:26.743803	146109	50	2	25
2014-04-01 06:33:26.974433	146110	17.3	1	25
2014-04-01 06:33:32.865498	146111	450	3	2
2014-04-01 06:33:33.087628	146112	1160003.8673736732	4	2
2014-04-01 06:33:33.393109	146113	47	2	10
2014-04-01 06:33:33.624031	146114	19.8	1	10
2014-04-01 06:33:40.888839	146115	54	2	9
2014-04-01 06:33:41.111241	146116	19.6	1	9
2014-04-01 06:33:41.955618	146117	61	2	8
2014-04-01 06:33:42.185657	146118	20.2	1	8
2014-04-01 06:33:52.224262	146119	54	2	1
2014-04-01 06:33:52.448604	146120	18.8	1	1
2014-04-01 06:34:03.044767	146121	64	2	24
2014-04-01 06:34:03.277357	146122	16.9	1	24
2014-04-01 06:34:05.742889	146123	50	2	25
2014-04-01 06:34:05.964388	146124	17.3	1	25
2014-04-01 06:34:12.065906	146125	47	2	10
2014-04-01 06:34:12.297951	146126	19.8	1	10
2014-04-01 06:34:20.089672	146127	54	2	9
2014-04-01 06:34:20.313143	146128	19.6	1	9
2014-04-01 06:34:20.955029	146129	61	2	8
2014-04-01 06:34:21.197256	146130	20.2	1	8
2014-04-01 06:34:31.226236	146131	54	2	1
2014-04-01 06:34:31.44822	146132	18.8	1	1
2014-04-01 06:34:31.85408	146133	482	3	2
2014-04-01 06:34:32.085265	146134	1160010.7615820018	4	2
2014-04-01 06:34:42.043823	146135	64	2	24
2014-04-01 06:34:42.264627	146136	16.9	1	24
2014-04-01 06:34:44.743236	146137	50	2	25
2014-04-01 06:34:44.975733	146138	17.3	1	25
2014-04-01 06:34:51.066068	146139	47	2	10
2014-04-01 06:34:51.288858	146140	19.8	1	10
2014-04-01 06:34:58.884647	146141	54	2	9
2014-04-01 06:34:59.115782	146142	19.6	1	9
2014-04-01 06:34:59.956043	146143	61	2	8
2014-04-01 06:35:00.177254	146144	20.2	1	8
2014-04-01 06:35:10.223147	146145	54	2	1
2014-04-01 06:35:10.460196	146146	18.8	1	1
2014-04-01 06:35:21.044014	146147	64	2	24
2014-04-01 06:35:21.264591	146148	16.9	1	24
2014-04-01 06:35:23.742363	146149	50	2	25
2014-04-01 06:35:23.972079	146150	17.2	1	25
2014-04-01 06:35:30.065693	146151	47	2	10
2014-04-01 06:35:30.2873	146152	19.8	1	10
2014-04-01 06:35:31.853893	146153	531	3	2
2014-04-01 06:35:32.085008	146154	1160018.8048250517	4	2
2014-04-01 06:35:37.887148	146155	54	2	9
2014-04-01 06:35:38.107629	146156	19.6	1	9
2014-04-01 06:35:38.95623	146157	61	2	8
2014-04-01 06:35:39.189612	146158	20.1	1	8
2014-04-01 06:35:43.855959	146159	531	3	2
2014-04-01 06:35:44.080342	146160	1160019.9583307253	4	2
2014-04-01 06:35:49.226235	146161	54	2	1
2014-04-01 06:35:49.464746	146162	18.8	1	1
2014-04-01 06:36:00.043068	146163	64	2	24
2014-04-01 06:36:00.264477	146164	16.9	1	24
2014-04-01 06:36:02.744904	146165	50	2	25
2014-04-01 06:36:02.976129	146166	17.2	1	25
2014-04-01 06:36:09.067197	146167	47	2	10
2014-04-01 06:36:09.290518	146168	19.8	1	10
2014-04-01 06:36:16.890097	146169	54	2	9
2014-04-01 06:36:17.121488	146170	19.6	1	9
2014-04-01 06:36:17.954124	146171	61	2	8
2014-04-01 06:36:18.177929	146172	20.1	1	8
2014-04-01 06:36:28.22317	146173	54	2	1
2014-04-01 06:36:28.457945	146174	18.8	1	1
2014-04-01 06:36:31.857166	146175	531	3	2
2014-04-01 06:36:32.077642	146176	1160026.852539054	4	2
2014-04-01 06:36:39.042327	146177	64	2	24
2014-04-01 06:36:39.285813	146178	16.9	1	24
2014-04-01 06:36:41.741161	146179	50	2	25
2014-04-01 06:36:41.964859	146180	17.2	1	25
2014-04-01 06:36:48.067448	146181	47	2	10
2014-04-01 06:36:48.301022	146182	19.8	1	10
2014-04-01 06:36:55.887727	146183	54	2	9
2014-04-01 06:36:56.108913	146184	19.6	1	9
2014-04-01 06:36:56.956743	146185	61	2	8
2014-04-01 06:36:57.187234	146186	20.1	1	8
2014-04-01 06:37:07.224987	146187	54	2	1
2014-04-01 06:37:07.446698	146188	18.8	1	1
2014-04-01 06:37:18.042473	146189	64	2	24
2014-04-01 06:37:18.275243	146190	16.9	1	24
2014-04-01 06:37:20.740036	146191	50	2	25
2014-04-01 06:37:20.963509	146192	17.2	1	25
2014-04-01 06:37:27.07846	146193	47	2	10
2014-04-01 06:37:27.311414	146194	19.8	1	10
2014-04-01 06:37:34.887109	146195	54	2	9
2014-04-01 06:37:35.109494	146196	19.6	1	9
2014-04-01 06:37:35.954532	146197	61	2	8
2014-04-01 06:37:36.189357	146198	20.1	1	8
2014-04-01 06:37:46.224447	146199	54	2	1
2014-04-01 06:37:46.448041	146200	18.8	1	1
2014-04-01 06:37:57.042222	146201	63	2	24
2014-04-01 06:37:57.277225	146202	17.0	1	24
2014-04-01 06:37:59.742637	146203	50	2	25
2014-04-01 06:37:59.964417	146204	17.2	1	25
2014-04-01 06:38:06.066501	146205	47	2	10
2014-04-01 06:38:06.299274	146206	19.8	1	10
2014-04-01 06:38:13.8883	146207	54	2	9
2014-04-01 06:38:14.114046	146208	19.6	1	9
2014-04-01 06:38:14.954781	146209	61	2	8
2014-04-01 06:38:15.188011	146210	20.1	1	8
2014-04-01 06:38:25.225566	146211	54	2	1
2014-04-01 06:38:25.446721	146212	18.8	1	1
2014-04-01 06:38:31.856716	146213	515	3	2
2014-04-01 06:38:32.087969	146214	1160045.2370945965	4	2
2014-04-01 06:38:36.041972	146215	63	2	24
2014-04-01 06:38:36.265724	146216	17.0	1	24
2014-04-01 06:38:38.742453	146217	50	2	25
2014-04-01 06:38:38.973715	146218	17.2	1	25
2014-04-01 06:38:45.065764	146219	47	2	10
2014-04-01 06:38:45.290351	146220	19.8	1	10
2014-04-01 06:38:52.88481	146221	54	2	9
2014-04-01 06:38:53.116441	146222	19.6	1	9
2014-04-01 06:38:53.953722	146223	61	2	8
2014-04-01 06:38:54.175263	146224	20.1	1	8
2014-04-01 06:38:55.855381	146225	1722	3	2
2014-04-01 06:38:56.097988	146226	1160050.9822682035	4	2
2014-04-01 06:39:04.223341	146227	54	2	1
2014-04-01 06:39:04.446791	146228	18.8	1	1
2014-04-01 06:39:07.854375	146229	1722	3	2
2014-04-01 06:39:08.085281	146230	1160056.7274418105	4	2
2014-04-01 06:39:15.041498	146231	63	2	24
2014-04-01 06:39:15.265386	146232	17.0	1	24
2014-04-01 06:39:17.74241	146233	50	2	25
2014-04-01 06:39:17.974228	146234	17.2	1	25
2014-04-01 06:39:24.067412	146235	47	2	10
2014-04-01 06:39:24.288435	146236	19.8	1	10
2014-04-01 06:39:32.089549	146237	54	2	9
2014-04-01 06:39:32.321528	146238	19.6	1	9
2014-04-01 06:39:32.95434	146239	61	2	8
2014-04-01 06:39:33.174968	146240	20.1	1	8
2014-04-01 06:39:43.223471	146241	54	2	1
2014-04-01 06:39:43.490823	146242	18.8	1	1
2014-04-01 06:39:54.040628	146243	64	2	24
2014-04-01 06:39:54.31406	146244	17.0	1	24
2014-04-01 06:39:56.741655	146245	50	2	25
2014-04-01 06:39:57.007602	146246	17.2	1	25
2014-04-01 06:40:03.067474	146247	47	2	10
2014-04-01 06:40:03.41442	146248	19.8	1	10
2014-04-01 06:40:07.855139	146249	531	3	2
2014-04-01 06:40:08.12131	146250	1160082.0062056817	4	2
2014-04-01 06:40:10.886676	146251	54	2	9
2014-04-01 06:40:11.159182	146252	19.6	1	9
2014-04-01 06:40:11.954573	146253	61	2	8
2014-04-01 06:40:12.220712	146254	20.1	1	8
2014-04-01 06:40:19.856406	146255	515	3	2
2014-04-01 06:40:20.07796	146256	1160083.155240403	4	2
2014-04-01 06:40:22.222177	146257	54	2	1
2014-04-01 06:40:22.452886	146258	18.8	1	1
2014-04-01 06:40:31.855217	146259	4362	3	2
2014-04-01 06:40:32.077737	146260	1160090.0494487316	4	2
2014-04-01 06:40:33.039118	146261	64	2	24
2014-04-01 06:40:33.269458	146262	17.0	1	24
2014-04-01 06:40:35.743787	146263	50	2	25
2014-04-01 06:40:35.965651	146264	17.2	1	25
2014-04-01 06:40:42.068904	146265	47	2	10
2014-04-01 06:40:42.299308	146266	19.8	1	10
2014-04-01 06:40:43.857024	146267	4812	3	2
2014-04-01 06:40:44.078454	146268	1160106.1359348313	4	2
2014-04-01 06:40:49.888586	146269	54	2	9
2014-04-01 06:40:50.120602	146270	19.6	1	9
2014-04-01 06:40:50.955548	146271	60	2	8
2014-04-01 06:40:51.177462	146272	20.1	1	8
2014-04-01 06:40:55.852535	146273	4845	3	2
2014-04-01 06:40:56.096722	146274	1160122.2224209313	4	2
2014-04-01 06:41:01.223522	146275	54	2	1
2014-04-01 06:41:01.45032	146276	18.8	1	1
2014-04-01 06:41:07.852798	146277	4828	3	2
2014-04-01 06:41:08.085416	146278	1160138.308907031	4	2
2014-04-01 06:41:12.038617	146279	64	2	24
2014-04-01 06:41:12.260365	146280	17.0	1	24
2014-04-01 06:41:14.74246	146281	50	2	25
2014-04-01 06:41:14.975194	146282	17.2	1	25
2014-04-01 06:41:19.855123	146283	4796	3	2
2014-04-01 06:41:20.080647	146284	1160154.3953931308	4	2
2014-04-01 06:41:21.064833	146285	47	2	10
2014-04-01 06:41:21.29632	146286	19.8	1	10
2014-04-01 06:41:28.895025	146287	54	2	9
2014-04-01 06:41:29.115868	146288	19.6	1	9
2014-04-01 06:41:29.954745	146289	60	2	8
2014-04-01 06:41:30.184712	146290	20.1	1	8
2014-04-01 06:41:40.222145	146291	54	2	1
2014-04-01 06:41:40.4502	146292	18.8	1	1
2014-04-01 06:41:51.031575	146293	64	2	24
2014-04-01 06:41:51.263063	146294	17.1	1	24
2014-04-01 06:41:53.740794	146295	50	2	25
2014-04-01 06:41:53.963951	146296	17.2	1	25
2014-04-01 06:41:55.859366	146297	4941	3	2
2014-04-01 06:41:56.088535	146298	1160207.250990316	4	2
2014-04-01 06:42:00.068756	146299	47	2	10
2014-04-01 06:42:00.290058	146300	19.8	1	10
2014-04-01 06:42:07.890281	146301	54	2	9
2014-04-01 06:42:08.120959	146302	19.6	1	9
2014-04-01 06:42:08.95573	146303	61	2	8
2014-04-01 06:42:09.175732	146304	20.1	1	8
2014-04-01 06:42:19.220633	146305	54	2	1
2014-04-01 06:42:19.450895	146306	18.8	1	1
2014-04-01 06:42:31.85305	146307	4909	3	2
2014-04-01 06:42:32.075964	146308	1160256.6594833368	4	2
2014-04-01 06:42:32.743715	146309	50	2	25
2014-04-01 06:42:32.977003	146310	17.2	1	25
2014-04-01 06:42:39.06879	146311	47	2	10
2014-04-01 06:42:39.291687	146312	19.8	1	10
2014-04-01 06:42:46.888127	146313	54	2	9
2014-04-01 06:42:47.122119	146314	19.6	1	9
2014-04-01 06:42:47.955024	146315	62	2	8
2014-04-01 06:42:48.177918	146316	20.2	1	8
2014-04-01 06:42:55.855418	146317	4941	3	2
2014-04-01 06:42:56.090398	146318	1160289.981490258	4	2
2014-04-01 06:42:58.222323	146319	54	2	1
2014-04-01 06:42:58.444229	146320	18.8	1	1
2014-04-01 06:43:07.853611	146321	6100	3	2
2014-04-01 06:43:08.098586	146322	1160308.3660458005	4	2
2014-04-01 06:43:09.034728	146323	64	2	24
2014-04-01 06:43:09.255241	146324	17.2	1	24
2014-04-01 06:43:11.739746	146325	50	2	25
2014-04-01 06:43:11.970284	146326	17.2	1	25
2014-04-01 06:43:18.069837	146327	47	2	10
2014-04-01 06:43:18.291679	146328	19.8	1	10
2014-04-01 06:43:19.852904	146329	4941	3	2
2014-04-01 06:43:20.086627	146330	1160325.606037574	4	2
2014-04-01 06:43:25.889059	146331	55	2	9
2014-04-01 06:43:26.115788	146332	19.6	1	9
2014-04-01 06:43:26.955527	146333	63	2	8
2014-04-01 06:43:27.188807	146334	20.2	1	8
2014-04-01 06:43:31.852584	146335	5456	3	2
2014-04-01 06:43:32.076715	146336	1160342.8415583952	4	2
2014-04-01 06:43:37.460577	146337	54	2	1
2014-04-01 06:43:37.698306	146338	18.9	1	1
2014-04-01 06:43:48.031768	146339	64	2	24
2014-04-01 06:43:48.256226	146340	17.3	1	24
2014-04-01 06:43:50.738943	146341	50	2	25
2014-04-01 06:43:51.025002	146342	17.2	1	25
2014-04-01 06:43:57.067873	146343	47	2	10
2014-04-01 06:43:57.82044	146344	19.8	1	10
2014-04-01 06:44:04.889139	146345	55	2	9
2014-04-01 06:44:05.157795	146346	19.6	1	9
2014-04-01 06:44:05.954461	146347	66	2	8
2014-04-01 06:44:06.215551	146348	20.4	1	8
2014-04-01 06:44:07.853285	146349	5247	3	2
2014-04-01 06:44:08.115222	146350	1160394.5481208588	4	2
2014-04-01 06:44:16.222608	146351	54	2	1
2014-04-01 06:44:16.477623	146352	18.9	1	1
2014-04-01 06:44:19.852898	146353	2655	3	2
2014-04-01 06:44:20.085679	146354	1160402.5913639087	4	2
2014-04-01 06:44:27.032376	146355	65	2	24
2014-04-01 06:44:27.254295	146356	17.4	1	24
2014-04-01 06:44:29.738963	146357	50	2	25
2014-04-01 06:44:29.970719	146358	17.2	1	25
2014-04-01 06:44:31.852314	146359	2607	3	2
2014-04-01 06:44:32.07316	146360	1160410.6346069586	4	2
2014-04-01 06:44:36.069505	146361	47	2	10
2014-04-01 06:44:36.30315	146362	19.9	1	10
2014-04-01 06:44:44.090534	146363	55	2	9
2014-04-01 06:44:44.314377	146364	19.6	1	9
2014-04-01 06:44:44.954409	146365	68	2	8
2014-04-01 06:44:45.188732	146366	20.6	1	8
2014-04-01 06:44:55.21904	146367	54	2	1
2014-04-01 06:44:55.442886	146368	18.9	1	1
2014-04-01 06:45:06.032441	146369	65	2	24
2014-04-01 06:45:06.274397	146370	17.5	1	24
2014-04-01 06:45:07.85434	146371	2430	3	2
2014-04-01 06:45:08.076223	146372	1160435.9133708298	4	2
2014-04-01 06:45:08.739031	146373	50	2	25
2014-04-01 06:45:09.155766	146374	17.2	1	25
2014-04-01 06:45:15.067368	146375	47	2	10
2014-04-01 06:45:15.287903	146376	19.9	1	10
2014-04-01 06:45:22.887961	146377	55	2	9
2014-04-01 06:45:23.110302	146378	19.6	1	9
2014-04-01 06:45:23.954731	146379	69	2	8
2014-04-01 06:45:24.183831	146380	20.8	1	8
2014-04-01 06:45:34.219112	146381	54	2	1
2014-04-01 06:45:34.438705	146382	18.9	1	1
2014-04-01 06:45:43.853594	146383	1754	3	2
2014-04-01 06:45:44.084717	146384	1160450.8508222082	4	2
2014-04-01 06:45:45.031538	146385	65	2	24
2014-04-01 06:45:45.252211	146386	17.5	1	24
2014-04-01 06:45:47.737746	146387	50	2	25
2014-04-01 06:45:47.967596	146388	17.2	1	25
2014-04-01 06:45:54.068858	146389	47	2	10
2014-04-01 06:45:54.288493	146390	19.9	1	10
2014-04-01 06:46:01.888246	146391	55	2	9
2014-04-01 06:46:02.120151	146392	19.6	1	9
2014-04-01 06:46:02.953371	146393	70	2	8
2014-04-01 06:46:03.174606	146394	21.0	1	8
2014-04-01 06:46:07.852925	146395	595	3	2
2014-04-01 06:46:08.087231	146396	1160455.4469610937	4	2
2014-04-01 06:46:13.461925	146397	53	2	1
2014-04-01 06:46:13.686904	146398	19.0	1	1
2014-04-01 06:46:24.032475	146399	65	2	24
2014-04-01 06:46:24.26371	146400	17.6	1	24
2014-04-01 06:46:26.978808	146401	50	2	25
2014-04-01 06:46:27.197844	146402	17.2	1	25
2014-04-01 06:46:31.851892	146403	595	3	2
2014-04-01 06:46:32.081468	146404	1160460.0430999794	4	2
2014-04-01 06:46:33.069389	146405	47	2	10
2014-04-01 06:46:33.289224	146406	19.9	1	10
2014-04-01 06:46:40.888741	146407	55	2	9
2014-04-01 06:46:41.121808	146408	19.7	1	9
2014-04-01 06:46:41.953685	146409	71	2	8
2014-04-01 06:46:42.175746	146410	21.3	1	8
2014-04-01 06:46:52.219607	146411	53	2	1
2014-04-01 06:46:52.45261	146412	19.0	1	1
2014-04-01 06:47:03.028651	146413	65	2	24
2014-04-01 06:47:03.249975	146414	17.6	1	24
2014-04-01 06:47:05.736866	146415	50	2	25
2014-04-01 06:47:05.970271	146416	17.2	1	25
2014-04-01 06:47:12.069028	146417	47	2	10
2014-04-01 06:47:12.29135	146418	19.9	1	10
2014-04-01 06:47:19.887761	146419	55	2	9
2014-04-01 06:47:20.130474	146420	19.7	1	9
2014-04-01 06:47:20.95421	146421	72	2	8
2014-04-01 06:47:21.173197	146422	21.6	1	8
2014-04-01 06:47:31.218263	146423	53	2	1
2014-04-01 06:47:31.449048	146424	19.0	1	1
2014-04-01 06:47:42.030461	146425	65	2	24
2014-04-01 06:47:42.254442	146426	17.6	1	24
2014-04-01 06:47:44.73454	146427	50	2	25
2014-04-01 06:47:44.968848	146428	17.2	1	25
2014-04-01 06:47:51.068814	146429	47	2	10
2014-04-01 06:47:51.289852	146430	19.9	1	10
2014-04-01 06:47:55.851252	146431	659	3	2
2014-04-01 06:47:56.08372	146432	1160477.2786208007	4	2
2014-04-01 06:47:58.890808	146433	55	2	9
2014-04-01 06:47:59.113368	146434	19.7	1	9
2014-04-01 06:47:59.956923	146435	73	2	8
2014-04-01 06:48:00.18949	146436	21.9	1	8
2014-04-01 06:48:07.851371	146437	595	3	2
2014-04-01 06:48:08.073397	146438	1160480.7257249649	4	2
2014-04-01 06:48:10.219412	146439	53	2	1
2014-04-01 06:48:10.450579	146440	19.0	1	1
2014-04-01 06:48:19.852187	146441	837	3	2
2014-04-01 06:48:20.075166	146442	1160483.0237944077	4	2
2014-04-01 06:48:21.029997	146443	65	2	24
2014-04-01 06:48:21.263238	146444	17.7	1	24
2014-04-01 06:48:23.73735	146445	50	2	25
2014-04-01 06:48:23.957651	146446	17.2	1	25
2014-04-01 06:48:30.072642	146447	48	2	10
2014-04-01 06:48:30.30352	146448	19.9	1	10
2014-04-01 06:48:31.853159	146449	595	3	2
2014-04-01 06:48:32.077012	146450	1160485.3218638506	4	2
2014-04-01 06:48:37.88739	146451	55	2	9
2014-04-01 06:48:38.119714	146452	19.7	1	9
2014-04-01 06:48:38.953669	146453	74	2	8
2014-04-01 06:48:39.175062	146454	22.2	1	8
2014-04-01 06:48:43.853297	146455	1030	3	2
2014-04-01 06:48:44.087054	146456	1160488.7689680147	4	2
2014-04-01 06:48:49.220857	146457	53	2	1
2014-04-01 06:48:49.446946	146458	19.0	1	1
2014-04-01 06:48:55.851427	146459	981	3	2
2014-04-01 06:48:56.082249	146460	1160492.2160721791	4	2
2014-04-01 06:49:00.029082	146461	65	2	24
2014-04-01 06:49:00.250708	146462	17.7	1	24
2014-04-01 06:49:02.738202	146463	50	2	25
2014-04-01 06:49:02.969003	146464	17.2	1	25
2014-04-01 06:49:09.070279	146465	48	2	10
2014-04-01 06:49:09.295513	146466	19.9	1	10
2014-04-01 06:49:16.888264	146467	55	2	9
2014-04-01 06:49:17.128655	146468	19.7	1	9
2014-04-01 06:49:17.9534	146469	74	2	8
2014-04-01 06:49:18.173113	146470	22.4	1	8
2014-04-01 06:49:19.852949	146471	1867	3	2
2014-04-01 06:49:20.083095	146472	1160501.4083499503	4	2
2014-04-01 06:49:28.21993	146473	53	2	1
2014-04-01 06:49:28.442955	146474	19.0	1	1
2014-04-01 06:49:31.850477	146475	965	3	2
2014-04-01 06:49:32.079774	146476	1160504.8554541147	4	2
2014-04-01 06:49:39.02583	146477	65	2	24
2014-04-01 06:49:39.250241	146478	17.7	1	24
2014-04-01 06:49:41.738889	146479	50	2	25
2014-04-01 06:49:41.969597	146480	17.2	1	25
2014-04-01 06:49:48.070002	146481	47	2	10
2014-04-01 06:49:48.295769	146482	19.9	1	10
2014-04-01 06:49:56.087771	146483	55	2	9
2014-04-01 06:49:56.321608	146484	19.7	1	9
2014-04-01 06:49:56.954337	146485	74	2	8
2014-04-01 06:49:57.17503	146486	22.5	1	8
2014-04-01 06:50:07.216565	146487	53	2	1
2014-04-01 06:50:07.450377	146488	19.0	1	1
2014-04-01 06:50:18.026722	146489	65	2	24
2014-04-01 06:50:18.251167	146490	17.7	1	24
2014-04-01 06:50:19.852844	146491	965	3	2
2014-04-01 06:50:20.084018	146492	1160516.3458013288	4	2
2014-04-01 06:50:20.73636	146493	50	2	25
2014-04-01 06:50:20.957916	146494	17.2	1	25
2014-04-01 06:50:27.06969	146495	47	2	10
2014-04-01 06:50:27.301189	146496	20.0	1	10
2014-04-01 06:50:34.888696	146497	55	2	9
2014-04-01 06:50:35.110124	146498	19.7	1	9
2014-04-01 06:50:35.953894	146499	73	2	8
2014-04-01 06:50:36.187806	146500	22.5	1	8
2014-04-01 06:50:43.851594	146501	917	3	2
2014-04-01 06:50:44.073379	146502	1160522.0909749358	4	2
2014-04-01 06:50:46.216349	146503	53	2	1
2014-04-01 06:50:46.446803	146504	19.0	1	1
2014-04-01 06:50:55.852299	146505	611	3	2
2014-04-01 06:50:56.073681	146506	1160524.3890443787	4	2
2014-04-01 06:50:57.029514	146507	65	2	24
2014-04-01 06:50:57.259416	146508	17.7	1	24
2014-04-01 06:50:59.97806	146509	50	2	25
2014-04-01 06:51:00.19789	146510	17.2	1	25
2014-04-01 06:51:06.070461	146511	47	2	10
2014-04-01 06:51:06.299815	146512	20.0	1	10
2014-04-01 06:51:07.85517	146513	611	3	2
2014-04-01 06:51:08.075643	146514	1160526.6871138215	4	2
2014-04-01 06:51:13.889365	146515	55	2	9
2014-04-01 06:51:14.131674	146516	19.7	1	9
2014-04-01 06:51:14.955025	146517	71	2	8
2014-04-01 06:51:15.175289	146518	22.4	1	8
2014-04-01 06:51:25.215549	146519	53	2	1
2014-04-01 06:51:25.446695	146520	19.1	1	1
2014-04-01 06:51:31.85461	146521	611	3	2
2014-04-01 06:51:32.075506	146522	1160530.1342179857	4	2
2014-04-01 06:51:36.027465	146523	65	2	24
2014-04-01 06:51:36.259185	146524	17.7	1	24
2014-04-01 06:51:38.737854	146525	50	2	25
2014-04-01 06:51:38.959451	146526	17.2	1	25
2014-04-01 06:51:45.070484	146527	47	2	10
2014-04-01 06:51:45.302095	146528	20.0	1	10
2014-04-01 06:51:52.88829	146529	55	2	9
2014-04-01 06:51:53.109789	146530	19.7	1	9
2014-04-01 06:51:53.954185	146531	70	2	8
2014-04-01 06:51:54.183594	146532	22.3	1	8
2014-04-01 06:52:04.456219	146533	53	2	1
2014-04-01 06:52:04.679365	146534	19.1	1	1
2014-04-01 06:52:07.855102	146535	531	3	2
2014-04-01 06:52:08.086773	146536	1160535.879391593	4	2
2014-04-01 06:52:15.025956	146537	65	2	24
2014-04-01 06:52:15.24645	146538	17.7	1	24
2014-04-01 06:52:17.734647	146539	50	2	25
2014-04-01 06:52:17.967257	146540	17.2	1	25
2014-04-01 06:52:19.854785	146541	531	3	2
2014-04-01 06:52:20.076441	146542	1160538.1774610358	4	2
2014-04-01 06:52:24.07003	146543	47	2	10
2014-04-01 06:52:24.301954	146544	20.0	1	10
2014-04-01 06:52:32.091439	146545	55	2	9
2014-04-01 06:52:32.313406	146546	19.7	1	9
2014-04-01 06:52:32.953797	146547	70	2	8
2014-04-01 06:52:33.185705	146548	22.1	1	8
2014-04-01 06:52:43.220096	146549	53	2	1
2014-04-01 06:52:43.443495	146550	19.1	1	1
2014-04-01 06:52:54.025539	146551	65	2	24
2014-04-01 06:52:54.25608	146552	17.7	1	24
2014-04-01 06:52:56.735281	146553	50	2	25
2014-04-01 06:52:56.957544	146554	17.2	1	25
2014-04-01 06:53:03.274361	146555	47	2	10
2014-04-01 06:53:03.50706	146556	20.0	1	10
2014-04-01 06:53:10.887541	146557	55	2	9
2014-04-01 06:53:11.111273	146558	19.7	1	9
2014-04-01 06:53:11.956018	146559	68	2	8
2014-04-01 06:53:12.185634	146560	22.0	1	8
2014-04-01 06:53:22.215638	146561	53	2	1
2014-04-01 06:53:22.437419	146562	19.1	1	1
2014-04-01 06:53:31.857003	146563	531	3	2
2014-04-01 06:53:32.101359	146564	1160548.5187735285	4	2
2014-04-01 06:53:33.027281	146565	65	2	24
2014-04-01 06:53:33.24805	146566	17.7	1	24
2014-04-01 06:53:35.794772	146567	50	2	25
2014-04-01 06:53:36.028674	146568	17.2	1	25
2014-04-01 06:53:42.073383	146569	47	2	10
2014-04-01 06:53:42.293592	146570	20.0	1	10
2014-04-01 06:53:43.854057	146571	1706	3	2
2014-04-01 06:53:44.084514	146572	1160554.2639471355	4	2
2014-04-01 06:53:49.88744	146573	55	2	9
2014-04-01 06:53:50.110743	146574	19.7	1	9
2014-04-01 06:53:50.954119	146575	68	2	8
2014-04-01 06:53:51.185142	146576	21.9	1	8
2014-04-01 06:53:55.855797	146577	515	3	2
2014-04-01 06:53:56.080884	146578	1160556.5620165784	4	2
2014-04-01 06:54:01.215015	146579	53	2	1
2014-04-01 06:54:01.451767	146580	19.1	1	1
2014-04-01 06:54:07.854025	146581	531	3	2
2014-04-01 06:54:08.076775	146582	1160557.7110512997	4	2
2014-04-01 06:54:12.023986	146583	65	2	24
2014-04-01 06:54:12.259396	146584	17.7	1	24
2014-04-01 06:54:14.736207	146585	50	2	25
2014-04-01 06:54:14.960748	146586	17.2	1	25
2014-04-01 06:54:21.071653	146587	47	2	10
2014-04-01 06:54:21.304298	146588	20.0	1	10
2014-04-01 06:54:28.887976	146589	55	2	9
2014-04-01 06:54:29.110186	146590	19.7	1	9
2014-04-01 06:54:29.954306	146591	67	2	8
2014-04-01 06:54:30.185169	146592	21.8	1	8
2014-04-01 06:54:31.853688	146593	531	3	2
2014-04-01 06:54:32.075526	146594	1160561.1581554639	4	2
2014-04-01 06:54:40.215177	146595	53	2	1
2014-04-01 06:54:40.445906	146596	19.1	1	1
2014-04-01 06:54:51.024346	146597	65	2	24
2014-04-01 06:54:51.24778	146598	17.7	1	24
2014-04-01 06:54:53.738241	146599	50	2	25
2014-04-01 06:54:53.969395	146600	17.2	1	25
2014-04-01 06:54:55.85564	146601	482	3	2
2014-04-01 06:54:56.076819	146602	1160564.6052596283	4	2
2014-04-01 06:55:00.070735	146603	47	2	10
2014-04-01 06:55:00.322654	146604	20.0	1	10
2014-04-01 06:55:08.090642	146605	55	2	9
2014-04-01 06:55:08.313562	146606	19.7	1	9
2014-04-01 06:55:08.954142	146607	67	2	8
2014-04-01 06:55:09.184371	146608	21.7	1	8
2014-04-01 06:55:19.214521	146609	53	2	1
2014-04-01 06:55:19.437577	146610	19.1	1	1
2014-04-01 06:55:19.853485	146611	611	3	2
2014-04-01 06:55:20.093915	146612	1160568.0523637924	4	2
2014-04-01 06:55:30.024158	146613	65	2	24
2014-04-01 06:55:30.243354	146614	17.7	1	24
2014-04-01 06:55:31.85198	146615	3203	3	2
2014-04-01 06:55:32.083063	146616	1160577.2446415639	4	2
2014-04-01 06:55:32.735407	146617	50	2	25
2014-04-01 06:55:32.957492	146618	17.2	1	25
2014-04-01 06:55:39.071508	146619	47	2	10
2014-04-01 06:55:39.301621	146620	20.0	1	10
2014-04-01 06:55:46.887981	146621	55	2	9
2014-04-01 06:55:47.108988	146622	19.7	1	9
2014-04-01 06:55:47.954167	146623	66	2	8
2014-04-01 06:55:48.184871	146624	21.6	1	8
2014-04-01 06:55:55.852139	146625	611	3	2
2014-04-01 06:55:56.073021	146626	1160594.480162385	4	2
2014-04-01 06:55:58.214521	146627	53	2	1
2014-04-01 06:55:58.447732	146628	19.2	1	1
2014-04-01 06:56:07.854103	146629	611	3	2
2014-04-01 06:56:08.075213	146630	1160596.7782318278	4	2
2014-04-01 06:56:09.061585	146631	65	2	24
2014-04-01 06:56:09.292142	146632	17.8	1	24
2014-04-01 06:56:11.736329	146633	50	2	25
2014-04-01 06:56:11.958786	146634	17.2	1	25
2014-04-01 06:56:18.072598	146635	47	2	10
2014-04-01 06:56:18.303265	146636	20.0	1	10
2014-04-01 06:56:25.889963	146637	56	2	9
2014-04-01 06:56:26.11124	146638	19.8	1	9
2014-04-01 06:56:26.953095	146639	66	2	8
2014-04-01 06:56:27.182473	146640	21.5	1	8
2014-04-01 06:56:31.855202	146641	611	3	2
2014-04-01 06:56:32.082861	146642	1160601.3743707135	4	2
2014-04-01 06:56:37.212862	146643	53	2	1
2014-04-01 06:56:37.4494	146644	19.2	1	1
2014-04-01 06:56:48.021564	146645	65	2	24
2014-04-01 06:56:48.24308	146646	17.8	1	24
2014-04-01 06:56:50.735744	146647	50	2	25
2014-04-01 06:56:50.966264	146648	17.2	1	25
2014-04-01 06:56:57.070583	146649	47	2	10
2014-04-01 06:56:57.292702	146650	20.0	1	10
2014-04-01 06:57:04.889127	146651	56	2	9
2014-04-01 06:57:05.121524	146652	19.8	1	9
2014-04-01 06:57:05.953054	146653	66	2	8
2014-04-01 06:57:06.173939	146654	21.4	1	8
2014-04-01 06:57:07.853717	146655	820	3	2
2014-04-01 06:57:08.083811	146656	1160605.9749805513	4	2
2014-04-01 06:57:16.212096	146657	53	2	1
2014-04-01 06:57:16.433802	146658	19.2	1	1
2014-04-01 06:57:19.8536	146659	724	3	2
2014-04-01 06:57:20.095667	146660	1160608.2730499941	4	2
2014-04-01 06:57:27.021983	146661	65	2	24
2014-04-01 06:57:27.263331	146662	17.8	1	24
2014-04-01 06:57:29.734766	146663	50	2	25
2014-04-01 06:57:29.965989	146664	17.2	1	25
2014-04-01 06:57:31.857033	146665	611	3	2
2014-04-01 06:57:32.076688	146666	1160610.571119437	4	2
2014-04-01 06:57:36.072744	146667	47	2	10
2014-04-01 06:57:36.306111	146668	20.1	1	10
2014-04-01 06:57:44.089559	146669	56	2	9
2014-04-01 06:57:44.3127	146670	19.8	1	9
2014-04-01 06:57:44.953071	146671	65	2	8
2014-04-01 06:57:45.183846	146672	21.4	1	8
2014-04-01 06:57:55.212675	146673	53	2	1
2014-04-01 06:57:55.433374	146674	19.2	1	1
2014-04-01 06:58:06.058766	146675	65	2	24
2014-04-01 06:58:06.289545	146676	17.8	1	24
2014-04-01 06:58:08.734264	146677	50	2	25
2014-04-01 06:58:08.956879	146678	17.2	1	25
2014-04-01 06:58:15.071863	146679	47	2	10
2014-04-01 06:58:15.303612	146680	20.1	1	10
2014-04-01 06:58:22.890494	146681	56	2	9
2014-04-01 06:58:23.112919	146682	19.8	1	9
2014-04-01 06:58:23.955796	146683	65	2	8
2014-04-01 06:58:24.186099	146684	21.3	1	8
2014-04-01 06:58:31.854764	146685	1818	3	2
2014-04-01 06:58:32.077589	146686	1160624.3595360941	4	2
2014-04-01 06:58:34.213013	146687	53	2	1
2014-04-01 06:58:34.443244	146688	19.3	1	1
2014-04-01 06:58:43.852244	146689	611	3	2
2014-04-01 06:58:44.076988	146690	1160625.5085708154	4	2
2014-04-01 06:58:45.024057	146691	65	2	24
2014-04-01 06:58:45.254955	146692	17.8	1	24
2014-04-01 06:58:47.733608	146693	50	2	25
2014-04-01 06:58:47.956371	146694	17.2	1	25
2014-04-01 06:58:54.074065	146695	47	2	10
2014-04-01 06:58:54.306984	146696	20.1	1	10
2014-04-01 06:58:55.852048	146697	611	3	2
2014-04-01 06:58:56.075767	146698	1160627.8066402583	4	2
2014-04-01 06:59:01.890827	146699	56	2	9
2014-04-01 06:59:02.125354	146700	19.8	1	9
2014-04-01 06:59:02.954746	146701	65	2	8
2014-04-01 06:59:03.178504	146702	21.3	1	8
2014-04-01 06:59:13.212405	146703	53	2	1
2014-04-01 06:59:13.444155	146704	19.3	1	1
2014-04-01 06:59:24.020677	146705	65	2	24
2014-04-01 06:59:24.244443	146706	17.8	1	24
2014-04-01 06:59:26.734556	146707	50	2	25
2014-04-01 06:59:26.975971	146708	17.2	1	25
2014-04-01 06:59:31.854964	146709	611	3	2
2014-04-01 06:59:32.075677	146710	1160634.7008485869	4	2
2014-04-01 06:59:33.073085	146711	47	2	10
2014-04-01 06:59:33.305096	146712	20.1	1	10
2014-04-01 06:59:40.888878	146713	56	2	9
2014-04-01 06:59:41.109757	146714	19.8	1	9
2014-04-01 06:59:41.954224	146715	65	2	8
2014-04-01 06:59:42.186102	146716	21.2	1	8
2014-04-01 06:59:52.213388	146717	53	2	1
2014-04-01 06:59:52.434718	146718	19.3	1	1
2014-04-01 07:00:03.019149	146719	65	2	24
2014-04-01 07:00:03.251936	146720	17.8	1	24
2014-04-01 07:00:05.732929	146721	50	2	25
2014-04-01 07:00:06.011331	146722	17.2	1	25
2014-04-01 07:00:12.07319	146723	47	2	10
2014-04-01 07:00:12.306085	146724	20.1	1	10
2014-04-01 07:00:19.889526	146725	56	2	9
2014-04-01 07:00:20.112274	146726	19.9	1	9
2014-04-01 07:00:20.95393	146727	65	2	8
2014-04-01 07:00:21.183984	146728	21.2	1	8
2014-04-01 07:00:31.211102	146729	53	2	1
2014-04-01 07:00:31.43526	146730	19.3	1	1
2014-04-01 07:00:31.855835	146731	611	3	2
2014-04-01 07:00:32.086872	146732	1160643.893126358	4	2
2014-04-01 07:00:42.016737	146733	65	2	24
2014-04-01 07:00:42.238042	146734	17.8	1	24
2014-04-01 07:00:43.85673	146735	708	3	2
2014-04-01 07:00:44.087622	146736	1160646.191195801	4	2
2014-04-01 07:00:44.732343	146737	50	2	25
2014-04-01 07:00:44.953519	146738	17.2	1	25
2014-04-01 07:00:51.074098	146739	47	2	10
2014-04-01 07:00:51.306817	146740	20.1	1	10
2014-04-01 07:00:55.854978	146741	724	3	2
2014-04-01 07:00:56.076644	146742	1160649.638299965	4	2
2014-04-01 07:00:58.88827	146743	56	2	9
2014-04-01 07:00:59.120682	146744	19.9	1	9
2014-04-01 07:00:59.953382	146745	65	2	8
2014-04-01 07:01:00.175643	146746	21.2	1	8
2014-04-01 07:01:10.210209	146747	53	2	1
2014-04-01 07:01:10.443748	146748	19.4	1	1
2014-04-01 07:01:19.854208	146749	837	3	2
2014-04-01 07:01:20.075598	146750	1160654.2344388508	4	2
2014-04-01 07:01:21.019287	146751	65	2	24
2014-04-01 07:01:21.249957	146752	17.8	1	24
2014-04-01 07:01:23.732414	146753	50	2	25
2014-04-01 07:01:23.95308	146754	17.2	1	25
2014-04-01 07:01:30.076233	146755	47	2	10
2014-04-01 07:01:30.318946	146756	20.1	1	10
2014-04-01 07:01:31.855256	146757	837	3	2
2014-04-01 07:01:32.076304	146758	1160657.681543015	4	2
2014-04-01 07:01:37.889706	146759	56	2	9
2014-04-01 07:01:38.12375	146760	19.9	1	9
2014-04-01 07:01:38.952971	146761	64	2	8
2014-04-01 07:01:39.173398	146762	21.1	1	8
2014-04-01 07:01:43.854651	146763	3525	3	2
2014-04-01 07:01:44.086789	146764	1160669.1718902292	4	2
2014-04-01 07:01:49.210184	146765	53	2	1
2014-04-01 07:01:49.433961	146766	19.4	1	1
2014-04-01 07:01:55.850806	146767	965	3	2
2014-04-01 07:01:56.083478	146768	1160673.768029115	4	2
2014-04-01 07:02:00.018218	146769	65	2	24
2014-04-01 07:02:00.239427	146770	17.8	1	24
2014-04-01 07:02:02.732507	146771	50	2	25
2014-04-01 07:02:02.984008	146772	17.2	1	25
2014-04-01 07:02:07.851336	146773	2012	3	2
2014-04-01 07:02:08.07916	146774	1160680.6622374433	4	2
2014-04-01 07:02:09.07413	146775	47	2	10
2014-04-01 07:02:09.305389	146776	20.1	1	10
2014-04-01 07:02:16.89092	146777	56	2	9
2014-04-01 07:02:17.115585	146778	19.9	1	9
2014-04-01 07:02:17.953046	146779	64	2	8
2014-04-01 07:02:18.184785	146780	21.1	1	8
2014-04-01 07:02:19.851975	146781	837	3	2
2014-04-01 07:02:20.073786	146782	1160685.258376329	4	2
2014-04-01 07:02:28.210599	146783	53	2	1
2014-04-01 07:02:28.441366	146784	19.4	1	1
2014-04-01 07:02:31.852962	146785	853	3	2
2014-04-01 07:02:32.073485	146786	1160687.5564457718	4	2
2014-04-01 07:02:39.017799	146787	65	2	24
2014-04-01 07:02:39.251477	146788	17.9	1	24
2014-04-01 07:02:41.736734	146789	50	2	25
2014-04-01 07:02:41.958923	146790	17.2	1	25
2014-04-01 07:02:48.074084	146791	47	2	10
2014-04-01 07:02:48.304667	146792	20.1	1	10
2014-04-01 07:02:56.093488	146793	56	2	9
2014-04-01 07:02:56.316501	146794	19.9	1	9
2014-04-01 07:02:56.95269	146795	64	2	8
2014-04-01 07:02:57.182248	146796	21.1	1	8
2014-04-01 07:03:07.209242	146797	53	2	1
2014-04-01 07:03:07.430639	146798	19.5	1	1
2014-04-01 07:03:07.854027	146799	2076	3	2
2014-04-01 07:03:08.084611	146800	1160699.0467929859	4	2
2014-04-01 07:03:18.01907	146801	65	2	24
2014-04-01 07:03:18.241738	146802	17.9	1	24
2014-04-01 07:03:19.853253	146803	2028	3	2
2014-04-01 07:03:20.096391	146804	1160705.9410013144	4	2
2014-04-01 07:03:20.731952	146805	50	2	25
2014-04-01 07:03:20.954892	146806	17.2	1	25
2014-04-01 07:03:27.073993	146807	47	2	10
2014-04-01 07:03:27.305646	146808	20.1	1	10
2014-04-01 07:03:31.853237	146809	837	3	2
2014-04-01 07:03:32.074855	146810	1160709.3881054788	4	2
2014-04-01 07:03:34.891588	146811	56	2	9
2014-04-01 07:03:35.122949	146812	19.9	1	9
2014-04-01 07:03:35.956448	146813	64	2	8
2014-04-01 07:03:36.237018	146814	21.0	1	8
2014-04-01 07:03:43.851327	146815	853	3	2
2014-04-01 07:03:44.084227	146816	1160712.835209643	4	2
2014-04-01 07:03:46.208807	146817	53	2	1
2014-04-01 07:03:46.427758	146818	19.5	1	1
2014-04-01 07:03:57.016622	146819	65	2	24
2014-04-01 07:03:57.24936	146820	17.9	1	24
2014-04-01 07:03:59.733556	146821	50	2	25
2014-04-01 07:03:59.956703	146822	17.2	1	25
2014-04-01 07:04:06.103012	146823	47	2	10
2014-04-01 07:04:06.337583	146824	20.1	1	10
2014-04-01 07:04:07.853986	146825	2028	3	2
2014-04-01 07:04:08.075667	146826	1160718.58038325	4	2
2014-04-01 07:04:13.88727	146827	56	2	9
2014-04-01 07:04:14.119765	146828	20.0	1	9
2014-04-01 07:04:14.953847	146829	64	2	8
2014-04-01 07:04:15.178738	146830	21.0	1	8
2014-04-01 07:04:19.852363	146831	853	3	2
2014-04-01 07:04:20.090138	146832	1160724.325556857	4	2
2014-04-01 07:04:25.210073	146833	53	2	1
2014-04-01 07:04:25.436048	146834	19.5	1	1
2014-04-01 07:04:31.852522	146835	837	3	2
2014-04-01 07:04:32.088853	146836	1160727.7726610214	4	2
2014-04-01 07:04:36.014849	146837	66	2	24
2014-04-01 07:04:36.295633	146838	17.9	1	24
2014-04-01 07:04:38.732078	146839	50	2	25
2014-04-01 07:04:38.963522	146840	17.2	1	25
2014-04-01 07:04:45.077543	146841	47	2	10
2014-04-01 07:04:45.310491	146842	20.1	1	10
2014-04-01 07:04:52.888705	146843	56	2	9
2014-04-01 07:04:53.122697	146844	20.0	1	9
2014-04-01 07:04:53.953339	146845	64	2	8
2014-04-01 07:04:54.175177	146846	21.0	1	8
2014-04-01 07:04:55.852852	146847	917	3	2
2014-04-01 07:04:56.084303	146848	1160733.5178346285	4	2
2014-04-01 07:05:04.211138	146849	53	2	1
2014-04-01 07:05:04.436005	146850	19.5	1	1
2014-04-01 07:05:07.852019	146851	3525	3	2
2014-04-01 07:05:08.096062	146852	1160745.0081818425	4	2
2014-04-01 07:05:15.013222	146853	66	2	24
2014-04-01 07:05:15.237215	146854	17.9	1	24
2014-04-01 07:05:17.730607	146855	50	2	25
2014-04-01 07:05:17.962709	146856	17.2	1	25
2014-04-01 07:05:19.852825	146857	837	3	2
2014-04-01 07:05:20.077175	146858	1160749.6043207282	4	2
2014-04-01 07:05:24.074942	146859	47	2	10
2014-04-01 07:05:24.30948	146860	20.1	1	10
2014-04-01 07:05:32.090652	146861	56	2	9
2014-04-01 07:05:32.313565	146862	20.0	1	9
2014-04-01 07:05:32.953367	146863	64	2	8
2014-04-01 07:05:33.184142	146864	21.0	1	8
2014-04-01 07:05:43.210375	146865	53	2	1
2014-04-01 07:05:43.433978	146866	19.6	1	1
2014-04-01 07:05:54.012738	146867	66	2	24
2014-04-01 07:05:54.245524	146868	18.0	1	24
2014-04-01 07:05:56.730593	146869	50	2	25
2014-04-01 07:05:56.953541	146870	17.2	1	25
2014-04-01 07:06:03.074054	146871	47	2	10
2014-04-01 07:06:03.306875	146872	20.2	1	10
2014-04-01 07:06:10.886548	146873	56	2	9
2014-04-01 07:06:11.107635	146874	20.0	1	9
2014-04-01 07:06:11.953727	146875	64	2	8
2014-04-01 07:06:12.184388	146876	21.0	1	8
2014-04-01 07:06:22.208151	146877	53	2	1
2014-04-01 07:06:22.43144	146878	19.6	1	1
2014-04-01 07:06:33.00998	146879	66	2	24
2014-04-01 07:06:33.242756	146880	18.0	1	24
2014-04-01 07:06:35.728914	146881	50	2	25
2014-04-01 07:06:35.949787	146882	17.2	1	25
2014-04-01 07:06:42.075627	146883	47	2	10
2014-04-01 07:06:42.306423	146884	20.2	1	10
2014-04-01 07:06:43.852953	146885	724	3	2
2014-04-01 07:06:44.073403	146886	1160773.7340498779	4	2
2014-04-01 07:06:49.88582	146887	56	2	9
2014-04-01 07:06:50.116649	146888	20.0	1	9
2014-04-01 07:06:50.952093	146889	64	2	8
2014-04-01 07:06:51.173578	146890	20.9	1	8
2014-04-01 07:06:55.854906	146891	724	3	2
2014-04-01 07:06:56.091502	146892	1160776.0321193207	4	2
2014-04-01 07:07:01.208481	146893	53	2	1
2014-04-01 07:07:01.434998	146894	19.6	1	1
2014-04-01 07:07:07.851543	146895	611	3	2
2014-04-01 07:07:08.082759	146896	1160778.3301887636	4	2
2014-04-01 07:07:12.004434	146897	66	2	24
2014-04-01 07:07:12.225457	146898	18.0	1	24
2014-04-01 07:07:14.729744	146899	50	2	25
2014-04-01 07:07:14.973731	146900	17.2	1	25
2014-04-01 07:07:21.075062	146901	47	2	10
2014-04-01 07:07:21.296269	146902	20.2	1	10
2014-04-01 07:07:28.890911	146903	56	2	9
2014-04-01 07:07:29.121611	146904	20.0	1	9
2014-04-01 07:07:29.952835	146905	64	2	8
2014-04-01 07:07:30.173615	146906	20.9	1	8
2014-04-01 07:07:31.849846	146907	724	3	2
2014-04-01 07:07:32.082109	146908	1160782.9263276493	4	2
2014-04-01 07:07:40.207542	146909	53	2	1
2014-04-01 07:07:40.431461	146910	19.7	1	1
2014-04-01 07:07:51.007744	146911	66	2	24
2014-04-01 07:07:51.238779	146912	18.0	1	24
2014-04-01 07:07:53.732702	146913	50	2	25
2014-04-01 07:07:53.95307	146914	17.2	1	25
2014-04-01 07:08:00.075549	146915	47	2	10
2014-04-01 07:08:00.307723	146916	20.2	1	10
2014-04-01 07:08:07.887846	146917	56	2	9
2014-04-01 07:08:08.109037	146918	20.0	1	9
2014-04-01 07:08:08.953562	146919	64	2	8
2014-04-01 07:08:09.184448	146920	20.9	1	8
2014-04-01 07:08:19.205841	146921	53	2	1
2014-04-01 07:08:19.427792	146922	19.7	1	1
2014-04-01 07:08:30.010855	146923	66	2	24
2014-04-01 07:08:30.242124	146924	18.0	1	24
2014-04-01 07:08:31.855188	146925	692	3	2
2014-04-01 07:08:32.076285	146926	1160794.4166748633	4	2
2014-04-01 07:08:32.73209	146927	50	2	25
2014-04-01 07:08:32.965686	146928	17.2	1	25
2014-04-01 07:08:39.076	146929	47	2	10
2014-04-01 07:08:39.296982	146930	20.2	1	10
2014-04-01 07:08:43.855765	146931	724	3	2
2014-04-01 07:08:44.087835	146932	1160797.8637790277	4	2
2014-04-01 07:08:46.890076	146933	56	2	9
2014-04-01 07:08:47.112069	146934	20.0	1	9
2014-04-01 07:08:48.150584	146935	64	2	8
2014-04-01 07:08:48.381383	146936	20.9	1	8
2014-04-01 07:08:55.852762	146937	724	3	2
2014-04-01 07:08:56.075767	146938	1160800.1618484706	4	2
2014-04-01 07:08:58.206246	146939	53	2	1
2014-04-01 07:08:58.436631	146940	19.7	1	1
2014-04-01 07:09:09.004852	146941	66	2	24
2014-04-01 07:09:09.226481	146942	18.0	1	24
2014-04-01 07:09:11.729353	146943	50	2	25
2014-04-01 07:09:11.968276	146944	17.3	1	25
2014-04-01 07:09:18.07669	146945	47	2	10
2014-04-01 07:09:18.298122	146946	20.2	1	10
2014-04-01 07:09:25.88754	146947	57	2	9
2014-04-01 07:09:26.131852	146948	20.1	1	9
2014-04-01 07:09:26.954831	146949	64	2	8
2014-04-01 07:09:27.17619	146950	20.9	1	8
2014-04-01 07:09:31.852746	146951	708	3	2
2014-04-01 07:09:32.090119	146952	1160807.056056799	4	2
2014-04-01 07:09:37.20586	146953	53	2	1
2014-04-01 07:09:37.434711	146954	19.7	1	1
2014-04-01 07:09:48.007629	146955	66	2	24
2014-04-01 07:09:48.240758	146956	18.0	1	24
2014-04-01 07:09:50.728283	146957	50	2	25
2014-04-01 07:09:50.960982	146958	17.2	1	25
2014-04-01 07:09:57.077108	146959	47	2	10
2014-04-01 07:09:57.308666	146960	20.2	1	10
2014-04-01 07:10:04.887993	146961	57	2	9
2014-04-01 07:10:05.110816	146962	20.1	1	9
2014-04-01 07:10:05.95312	146963	64	2	8
2014-04-01 07:10:06.241114	146964	20.9	1	8
2014-04-01 07:10:16.207478	146965	53	2	1
2014-04-01 07:10:16.428763	146966	19.7	1	1
2014-04-01 07:10:27.006926	146967	66	2	24
2014-04-01 07:10:27.240774	146968	18.1	1	24
2014-04-01 07:10:29.730638	146969	50	2	25
2014-04-01 07:10:29.95323	146970	17.3	1	25
2014-04-01 07:10:36.076426	146971	47	2	10
2014-04-01 07:10:36.362972	146972	20.2	1	10
2014-04-01 07:10:43.889082	146973	57	2	9
2014-04-01 07:10:44.111136	146974	20.1	1	9
2014-04-01 07:10:44.954091	146975	63	2	8
2014-04-01 07:10:45.184031	146976	20.8	1	8
2014-04-01 07:10:55.211635	146977	53	2	1
2014-04-01 07:10:55.436109	146978	19.8	1	1
2014-04-01 07:10:55.854903	146979	837	3	2
2014-04-01 07:10:56.085461	146980	1160824.2915776202	4	2
2014-04-01 07:11:06.007331	146981	66	2	24
2014-04-01 07:11:06.299512	146982	18.1	1	24
2014-04-01 07:11:07.854861	146983	853	3	2
2014-04-01 07:11:08.086056	146984	1160826.589647063	4	2
2014-04-01 07:11:08.730252	146985	50	2	25
2014-04-01 07:11:08.954091	146986	17.3	1	25
2014-04-01 07:11:15.072008	146987	47	2	10
2014-04-01 07:11:15.305096	146988	20.2	1	10
2014-04-01 07:11:22.883809	146989	57	2	9
2014-04-01 07:11:23.104212	146990	20.1	1	9
2014-04-01 07:11:23.944767	146991	63	2	8
2014-04-01 07:11:24.176175	146992	20.8	1	8
2014-04-01 07:11:31.85246	146993	853	3	2
2014-04-01 07:11:32.07435	146994	1160832.33482067	4	2
2014-04-01 07:11:34.205528	146995	53	2	1
2014-04-01 07:11:34.450043	146996	19.8	1	1
2014-04-01 07:11:45.003861	146997	66	2	24
2014-04-01 07:11:45.225677	146998	18.1	1	24
2014-04-01 07:11:47.727753	146999	50	2	25
2014-04-01 07:11:47.961454	147000	17.3	1	25
2014-04-01 07:11:54.076876	147001	47	2	10
2014-04-01 07:11:54.297545	147002	20.2	1	10
2014-04-01 07:12:01.882898	147003	57	2	9
2014-04-01 07:12:02.116152	147004	20.1	1	9
2014-04-01 07:12:02.9539	147005	63	2	8
2014-04-01 07:12:03.174382	147006	20.8	1	8
2014-04-01 07:12:13.205054	147007	53	2	1
2014-04-01 07:12:13.435847	147008	19.8	1	1
2014-04-01 07:12:24.004244	147009	66	2	24
2014-04-01 07:12:24.225678	147010	18.1	1	24
2014-04-01 07:12:26.727752	147011	50	2	25
2014-04-01 07:12:26.959067	147012	17.3	1	25
2014-04-01 07:12:33.077574	147013	47	2	10
2014-04-01 07:12:33.29815	147014	20.2	1	10
2014-04-01 07:12:40.885287	147015	57	2	9
2014-04-01 07:12:41.118327	147016	20.1	1	9
2014-04-01 07:12:42.159271	147017	63	2	8
2014-04-01 07:12:42.380785	147018	20.8	1	8
2014-04-01 07:12:52.203814	147019	53	2	1
2014-04-01 07:12:52.435497	147020	19.8	1	1
2014-04-01 07:13:03.005466	147021	66	2	24
2014-04-01 07:13:03.226848	147022	18.1	1	24
2014-04-01 07:13:05.728762	147023	50	2	25
2014-04-01 07:13:05.961109	147024	17.3	1	25
2014-04-01 07:13:12.077635	147025	47	2	10
2014-04-01 07:13:12.299764	147026	20.2	1	10
2014-04-01 07:13:20.09018	147027	57	2	9
2014-04-01 07:13:20.322438	147028	20.1	1	9
2014-04-01 07:13:20.955678	147029	63	2	8
2014-04-01 07:13:21.176816	147030	20.8	1	8
2014-04-01 07:13:31.205514	147031	53	2	1
2014-04-01 07:13:31.436679	147032	19.8	1	1
2014-04-01 07:13:42.007822	147033	66	2	24
2014-04-01 07:13:42.228536	147034	18.1	1	24
2014-04-01 07:13:44.726537	147035	50	2	25
2014-04-01 07:13:44.959845	147036	17.3	1	25
2014-04-01 07:13:51.077564	147037	47	2	10
2014-04-01 07:13:51.302666	147038	20.2	1	10
2014-04-01 07:13:58.88813	147039	57	2	9
2014-04-01 07:13:59.119744	147040	20.1	1	9
2014-04-01 07:13:59.956517	147041	63	2	8
2014-04-01 07:14:00.176579	147042	20.8	1	8
2014-04-01 07:14:10.204281	147043	53	2	1
2014-04-01 07:14:10.44729	147044	19.9	1	1
2014-04-01 07:14:21.003607	147045	66	2	24
2014-04-01 07:14:21.225521	147046	18.1	1	24
2014-04-01 07:14:23.72792	147047	50	2	25
2014-04-01 07:14:23.959315	147048	17.3	1	25
2014-04-01 07:14:30.078535	147049	47	2	10
2014-04-01 07:14:30.299981	147050	20.3	1	10
2014-04-01 07:14:31.854622	147051	853	3	2
2014-04-01 07:14:32.087278	147052	1160874.8491053625	4	2
2014-04-01 07:14:37.883059	147053	57	2	9
2014-04-01 07:14:38.105935	147054	20.2	1	9
2014-04-01 07:14:38.95628	147055	63	2	8
2014-04-01 07:14:39.185984	147056	20.8	1	8
2014-04-01 07:14:49.203213	147057	53	2	1
2014-04-01 07:14:49.42541	147058	19.9	1	1
2014-04-01 07:14:55.850302	147059	949	3	2
2014-04-01 07:14:56.083781	147060	1160880.5942789696	4	2
2014-04-01 07:15:00.000645	147061	66	2	24
2014-04-01 07:15:00.224865	147062	18.1	1	24
2014-04-01 07:15:02.727644	147063	50	2	25
2014-04-01 07:15:02.962386	147064	17.3	1	25
2014-04-01 07:15:07.850396	147065	917	3	2
2014-04-01 07:15:08.07886	147066	1160882.8923484124	4	2
2014-04-01 07:15:09.079671	147067	47	2	10
2014-04-01 07:15:09.311904	147068	20.3	1	10
2014-04-01 07:15:16.884203	147069	57	2	9
2014-04-01 07:15:17.109147	147070	20.2	1	9
2014-04-01 07:15:18.161898	147071	63	2	8
2014-04-01 07:15:18.393076	147072	20.8	1	8
2014-04-01 07:15:19.850122	147073	917	3	2
2014-04-01 07:15:20.074721	147074	1160886.3394525766	4	2
2014-04-01 07:15:28.204068	147075	53	2	1
2014-04-01 07:15:28.435851	147076	19.9	1	1
2014-04-01 07:15:31.850655	147077	917	3	2
2014-04-01 07:15:32.072744	147078	1160889.7865567408	4	2
2014-04-01 07:15:39.002444	147079	66	2	24
2014-04-01 07:15:39.235421	147080	18.2	1	24
2014-04-01 07:15:41.72582	147081	50	2	25
2014-04-01 07:15:41.955696	147082	17.3	1	25
2014-04-01 07:15:48.078763	147083	47	2	10
2014-04-01 07:15:48.312909	147084	20.3	1	10
2014-04-01 07:15:55.882368	147085	57	2	9
2014-04-01 07:15:56.104682	147086	20.2	1	9
2014-04-01 07:15:56.95433	147087	63	2	8
2014-04-01 07:15:57.18602	147088	20.8	1	8
2014-04-01 07:16:07.204273	147089	53	2	1
2014-04-01 07:16:07.426926	147090	19.9	1	1
2014-04-01 07:16:18.001278	147091	66	2	24
2014-04-01 07:16:18.243382	147092	18.2	1	24
2014-04-01 07:16:20.725775	147093	50	2	25
2014-04-01 07:16:20.945329	147094	17.3	1	25
2014-04-01 07:16:27.078938	147095	47	2	10
2014-04-01 07:16:27.313321	147096	20.3	1	10
2014-04-01 07:16:31.852304	147097	917	3	2
2014-04-01 07:16:32.075759	147098	1160903.57944435	4	2
2014-04-01 07:16:34.884195	147099	57	2	9
2014-04-01 07:16:35.114974	147100	20.2	1	9
2014-04-01 07:16:35.953682	147101	63	2	8
2014-04-01 07:16:36.174363	147102	20.7	1	8
2014-04-01 07:16:46.201103	147103	53	2	1
2014-04-01 07:16:46.434036	147104	20.0	1	1
2014-04-01 07:16:57.00072	147105	66	2	24
2014-04-01 07:16:57.22183	147106	18.2	1	24
2014-04-01 07:16:59.727573	147107	50	2	25
2014-04-01 07:16:59.958823	147108	17.3	1	25
2014-04-01 07:17:06.078749	147109	47	2	10
2014-04-01 07:17:06.300357	147110	20.3	1	10
2014-04-01 07:17:13.8834	147111	58	2	9
2014-04-01 07:17:14.1149	147112	20.2	1	9
2014-04-01 07:17:14.954591	147113	63	2	8
2014-04-01 07:17:15.176377	147114	20.7	1	8
2014-04-01 07:17:25.201311	147115	53	2	1
2014-04-01 07:17:25.432244	147116	20.0	1	1
2014-04-01 07:17:31.852557	147117	917	3	2
2014-04-01 07:17:32.074194	147118	1160919.66593045	4	2
2014-04-01 07:17:36.000521	147119	66	2	24
2014-04-01 07:17:36.231514	147120	18.2	1	24
2014-04-01 07:17:38.725348	147121	50	2	25
2014-04-01 07:17:38.949296	147122	17.3	1	25
2014-04-01 07:17:45.079408	147123	47	2	10
2014-04-01 07:17:45.310709	147124	20.3	1	10
2014-04-01 07:17:52.88408	147125	58	2	9
2014-04-01 07:17:53.106916	147126	20.2	1	9
2014-04-01 07:17:53.953763	147127	63	2	8
2014-04-01 07:17:54.185772	147128	20.7	1	8
2014-04-01 07:18:04.202952	147129	53	2	1
2014-04-01 07:18:04.424026	147130	20.0	1	1
2014-04-01 07:18:14.999247	147131	66	2	24
2014-04-01 07:18:15.230917	147132	18.2	1	24
2014-04-01 07:18:17.727739	147133	50	2	25
2014-04-01 07:18:17.948529	147134	17.3	1	25
2014-04-01 07:18:24.079311	147135	47	2	10
2014-04-01 07:18:24.31107	147136	20.3	1	10
2014-04-01 07:18:32.089715	147137	58	2	9
2014-04-01 07:18:32.313453	147138	20.2	1	9
2014-04-01 07:18:32.954613	147139	63	2	8
2014-04-01 07:18:33.196932	147140	20.7	1	8
2014-04-01 07:18:43.202635	147141	53	2	1
2014-04-01 07:18:43.424637	147142	20.0	1	1
2014-04-01 07:18:53.999826	147143	66	2	24
2014-04-01 07:18:54.233353	147144	18.2	1	24
2014-04-01 07:18:56.726341	147145	50	2	25
2014-04-01 07:18:56.948667	147146	17.3	1	25
2014-04-01 07:19:03.079208	147147	47	2	10
2014-04-01 07:19:03.310426	147148	20.3	1	10
2014-04-01 07:19:11.954901	147149	63	2	8
2014-04-01 07:19:12.175663	147150	20.7	1	8
2014-04-01 07:19:22.201561	147151	53	2	1
2014-04-01 07:19:22.432985	147152	20.1	1	1
2014-04-01 07:19:31.849517	147153	917	3	2
2014-04-01 07:19:32.081488	147154	1160949.5408332066	4	2
2014-04-01 07:19:32.999766	147155	66	2	24
2014-04-01 07:19:33.229853	147156	18.2	1	24
2014-04-01 07:19:35.725181	147157	50	2	25
2014-04-01 07:19:35.948598	147158	17.3	1	25
2014-04-01 07:19:42.284104	147159	47	2	10
2014-04-01 07:19:42.514788	147160	20.3	1	10
2014-04-01 07:19:49.885477	147161	58	2	9
2014-04-01 07:19:50.109024	147162	20.2	1	9
2014-04-01 07:19:50.957481	147163	63	2	8
2014-04-01 07:19:51.188216	147164	20.7	1	8
2014-04-01 07:19:55.850513	147165	869	3	2
2014-04-01 07:19:56.077395	147166	1160955.2860068136	4	2
2014-04-01 07:20:01.200311	147167	53	2	1
2014-04-01 07:20:01.435338	147168	20.1	1	1
2014-04-01 07:20:07.849579	147169	869	3	2
2014-04-01 07:20:08.07357	147170	1160958.733110978	4	2
2014-04-01 07:20:12.00372	147171	66	2	24
2014-04-01 07:20:12.24709	147172	18.2	1	24
2014-04-01 07:20:14.724596	147173	50	2	25
2014-04-01 07:20:14.946329	147174	17.3	1	25
2014-04-01 07:20:21.08169	147175	47	2	10
2014-04-01 07:20:21.312358	147176	20.3	1	10
2014-04-01 07:20:29.955185	147177	63	2	8
2014-04-01 07:20:30.18043	147178	20.7	1	8
2014-04-01 07:20:31.850642	147179	869	3	2
2014-04-01 07:20:32.08412	147180	1160964.478284585	4	2
2014-04-01 07:20:40.202224	147181	53	2	1
2014-04-01 07:20:40.425535	147182	20.1	1	1
2014-04-01 07:20:50.997243	147183	66	2	24
2014-04-01 07:20:51.230152	147184	18.2	1	24
2014-04-01 07:20:53.724581	147185	50	2	25
2014-04-01 07:20:53.94734	147186	17.3	1	25
2014-04-01 07:21:00.08086	147187	47	2	10
2014-04-01 07:21:00.324325	147188	20.3	1	10
2014-04-01 07:21:07.883588	147189	58	2	9
2014-04-01 07:21:08.105252	147190	20.3	1	9
2014-04-01 07:21:08.953529	147191	63	2	8
2014-04-01 07:21:09.371463	147192	20.7	1	8
2014-04-01 07:21:19.200841	147193	53	2	1
2014-04-01 07:21:19.423826	147194	20.1	1	1
2014-04-01 07:21:29.997795	147195	66	2	24
2014-04-01 07:21:30.217966	147196	18.3	1	24
2014-04-01 07:21:31.849118	147197	869	3	2
2014-04-01 07:21:32.076022	147198	1160979.4157359635	4	2
2014-04-01 07:21:32.72514	147199	50	2	25
2014-04-01 07:21:32.94648	147200	17.3	1	25
2014-04-01 07:21:39.082566	147201	47	2	10
2014-04-01 07:21:39.31734	147202	20.3	1	10
2014-04-01 07:21:46.88555	147203	58	2	9
2014-04-01 07:21:47.106904	147204	20.3	1	9
2014-04-01 07:21:47.954588	147205	63	2	8
2014-04-01 07:21:48.18709	147206	20.7	1	8
2014-04-01 07:21:58.197871	147207	53	2	1
2014-04-01 07:21:58.420171	147208	20.2	1	1
2014-04-01 07:22:08.996258	147209	66	2	24
2014-04-01 07:22:09.229249	147210	18.3	1	24
2014-04-01 07:22:11.723464	147211	50	2	25
2014-04-01 07:22:11.950467	147212	17.3	1	25
2014-04-01 07:22:18.081197	147213	47	2	10
2014-04-01 07:22:18.313088	147214	20.3	1	10
2014-04-01 07:22:25.884009	147215	58	2	9
2014-04-01 07:22:26.105646	147216	20.3	1	9
2014-04-01 07:22:26.954039	147217	63	2	8
2014-04-01 07:22:27.183998	147218	20.7	1	8
2014-04-01 07:22:31.847712	147219	869	3	2
2014-04-01 07:22:32.071541	147220	1160993.2041526204	4	2
2014-04-01 07:22:37.197749	147221	53	2	1
2014-04-01 07:22:37.433311	147222	20.2	1	1
2014-04-01 07:22:47.995651	147223	66	2	24
2014-04-01 07:22:48.217995	147224	18.3	1	24
2014-04-01 07:22:50.723007	147225	50	2	25
2014-04-01 07:22:50.954376	147226	17.3	1	25
2014-04-01 07:22:57.079859	147227	47	2	10
2014-04-01 07:22:57.300827	147228	20.3	1	10
2014-04-01 07:23:05.953785	147229	63	2	8
2014-04-01 07:23:06.186045	147230	20.6	1	8
2014-04-01 07:23:16.200676	147231	53	2	1
2014-04-01 07:23:16.421489	147232	20.2	1	1
2014-04-01 07:23:26.993943	147233	66	2	24
2014-04-01 07:23:27.2267	147234	18.3	1	24
2014-04-01 07:23:29.726298	147235	50	2	25
2014-04-01 07:23:29.946756	147236	17.3	1	25
2014-04-01 07:23:36.081385	147237	47	2	10
2014-04-01 07:23:36.320413	147238	20.3	1	10
2014-04-01 07:23:43.882911	147239	58	2	9
2014-04-01 07:23:44.104146	147240	20.3	1	9
2014-04-01 07:23:44.953715	147241	63	2	8
2014-04-01 07:23:45.18451	147242	20.6	1	8
2014-04-01 07:23:55.197765	147243	53	2	1
2014-04-01 07:23:55.417458	147244	20.2	1	1
2014-04-01 07:24:06.230485	147245	66	2	24
2014-04-01 07:24:06.459806	147246	18.3	1	24
2014-04-01 07:24:08.724415	147247	50	2	25
2014-04-01 07:24:08.946284	147248	17.3	1	25
2014-04-01 07:24:15.08125	147249	47	2	10
2014-04-01 07:24:15.310973	147250	20.3	1	10
2014-04-01 07:24:22.887873	147251	58	2	9
2014-04-01 07:24:23.109369	147252	20.3	1	9
2014-04-01 07:24:23.953909	147253	63	2	8
2014-04-01 07:24:24.184139	147254	20.6	1	8
2014-04-01 07:24:31.851401	147255	837	3	2
2014-04-01 07:24:32.071141	147256	1161021.9300206557	4	2
2014-04-01 07:24:34.198999	147257	53	2	1
2014-04-01 07:24:34.427989	147258	20.3	1	1
2014-04-01 07:24:43.850368	147259	837	3	2
2014-04-01 07:24:44.069761	147260	1161025.3771248201	4	2
2014-04-01 07:24:44.993297	147261	66	2	24
2014-04-01 07:24:45.223735	147262	18.3	1	24
2014-04-01 07:24:47.722779	147263	50	2	25
2014-04-01 07:24:47.945615	147264	17.3	1	25
2014-04-01 07:24:54.080877	147265	47	2	10
2014-04-01 07:24:54.311319	147266	20.3	1	10
2014-04-01 07:24:55.849134	147267	869	3	2
2014-04-01 07:24:56.073131	147268	1161027.675194263	4	2
2014-04-01 07:25:01.887087	147269	58	2	9
2014-04-01 07:25:02.120926	147270	20.3	1	9
2014-04-01 07:25:02.956071	147271	63	2	8
2014-04-01 07:25:03.176475	147272	20.6	1	8
2014-04-01 07:25:07.849044	147273	885	3	2
2014-04-01 07:25:08.088022	147274	1161031.1222984272	4	2
2014-04-01 07:25:13.196466	147275	53	2	1
2014-04-01 07:25:13.422575	147276	20.3	1	1
2014-04-01 07:25:23.994498	147277	66	2	24
2014-04-01 07:25:24.225673	147278	18.3	1	24
2014-04-01 07:25:26.722902	147279	50	2	25
2014-04-01 07:25:26.944557	147280	17.3	1	25
2014-04-01 07:25:33.083344	147281	47	2	10
2014-04-01 07:25:33.31496	147282	20.3	1	10
2014-04-01 07:25:41.955092	147283	63	2	8
2014-04-01 07:25:42.178199	147284	20.6	1	8
2014-04-01 07:25:43.849475	147285	837	3	2
2014-04-01 07:25:44.092355	147286	1161040.3145761983	4	2
2014-04-01 07:25:52.194862	147287	53	2	1
2014-04-01 07:25:52.416327	147288	20.3	1	1
2014-04-01 07:26:02.992298	147289	66	2	24
2014-04-01 07:26:03.224792	147290	18.3	1	24
2014-04-01 07:26:05.722481	147291	50	2	25
2014-04-01 07:26:05.943254	147292	17.3	1	25
2014-04-01 07:26:12.080409	147293	47	2	10
2014-04-01 07:26:12.312685	147294	20.4	1	10
2014-04-01 07:26:20.954242	147295	63	2	8
2014-04-01 07:26:21.175718	147296	20.6	1	8
2014-04-01 07:26:31.198243	147297	53	2	1
2014-04-01 07:26:31.427272	147298	20.3	1	1
2014-04-01 07:26:31.84691	147299	869	3	2
2014-04-01 07:26:32.066891	147300	1161050.655888691	4	2
2014-04-01 07:26:41.994866	147301	66	2	24
2014-04-01 07:26:42.226395	147302	18.3	1	24
2014-04-01 07:26:44.723959	147303	50	2	25
2014-04-01 07:26:44.950693	147304	17.3	1	25
2014-04-01 07:26:51.079662	147305	47	2	10
2014-04-01 07:26:51.315151	147306	20.4	1	10
2014-04-01 07:26:58.889394	147307	58	2	9
2014-04-01 07:26:59.10919	147308	20.4	1	9
2014-04-01 07:26:59.954624	147309	63	2	8
2014-04-01 07:27:00.183991	147310	20.6	1	8
2014-04-01 07:27:10.193309	147311	53	2	1
2014-04-01 07:27:10.416352	147312	20.3	1	1
2014-04-01 07:27:20.990172	147313	66	2	24
2014-04-01 07:27:21.221052	147314	18.3	1	24
2014-04-01 07:27:23.720435	147315	50	2	25
2014-04-01 07:27:23.942999	147316	17.3	1	25
2014-04-01 07:27:30.081598	147317	47	2	10
2014-04-01 07:27:30.312915	147318	20.4	1	10
2014-04-01 07:27:37.886363	147319	58	2	9
2014-04-01 07:27:38.109941	147320	20.4	1	9
2014-04-01 07:27:38.954301	147321	63	2	8
2014-04-01 07:27:39.184562	147322	20.6	1	8
2014-04-01 07:27:49.194079	147323	53	2	1
2014-04-01 07:27:49.417513	147324	20.4	1	1
2014-04-01 07:27:59.991803	147325	66	2	24
2014-04-01 07:28:00.2227	147326	18.3	1	24
2014-04-01 07:28:02.722771	147327	50	2	25
2014-04-01 07:28:02.943571	147328	17.3	1	25
2014-04-01 07:28:09.081113	147329	47	2	10
2014-04-01 07:28:09.313404	147330	20.4	1	10
2014-04-01 07:28:16.886816	147331	58	2	9
2014-04-01 07:28:17.108532	147332	20.4	1	9
2014-04-01 07:28:17.954885	147333	63	2	8
2014-04-01 07:28:18.197326	147334	20.6	1	8
2014-04-01 07:28:28.19147	147335	53	2	1
2014-04-01 07:28:28.41283	147336	20.4	1	1
2014-04-01 07:28:31.849528	147337	853	3	2
2014-04-01 07:28:32.082641	147338	1161080.530791448	4	2
2014-04-01 07:28:38.988884	147339	66	2	24
2014-04-01 07:28:39.212678	147340	18.2	1	24
2014-04-01 07:28:41.740419	147341	50	2	25
2014-04-01 07:28:41.977937	147342	17.3	1	25
2014-04-01 07:28:48.08257	147343	47	2	10
2014-04-01 07:28:48.304313	147344	20.4	1	10
2014-04-01 07:28:55.884516	147345	58	2	9
2014-04-01 07:28:56.116859	147346	20.4	1	9
2014-04-01 07:28:56.955157	147347	63	2	8
2014-04-01 07:28:57.176498	147348	20.6	1	8
2014-04-01 07:29:07.188227	147349	53	2	1
2014-04-01 07:29:07.418576	147350	20.4	1	1
2014-04-01 07:29:17.984648	147351	66	2	24
2014-04-01 07:29:18.206461	147352	18.2	1	24
2014-04-01 07:29:20.722299	147353	50	2	25
2014-04-01 07:29:20.954562	147354	17.3	1	25
2014-04-01 07:29:27.073196	147355	47	2	10
2014-04-01 07:29:27.294714	147356	20.4	1	10
2014-04-01 07:29:31.852858	147357	724	3	2
2014-04-01 07:29:32.085268	147358	1161094.3192081049	4	2
2014-04-01 07:29:34.88406	147359	58	2	9
2014-04-01 07:29:35.106468	147360	20.4	1	9
2014-04-01 07:29:35.954341	147361	63	2	8
2014-04-01 07:29:36.184913	147362	20.6	1	8
2014-04-01 07:29:43.8522	147363	724	3	2
2014-04-01 07:29:44.07497	147364	1161096.6172775477	4	2
2014-04-01 07:29:46.200228	147365	53	2	1
2014-04-01 07:29:46.430767	147366	20.4	1	1
2014-04-01 07:29:56.989824	147367	66	2	24
2014-04-01 07:29:57.213746	147368	18.2	1	24
2014-04-01 07:29:59.721701	147369	50	2	25
2014-04-01 07:29:59.976241	147370	17.3	1	25
2014-04-01 07:30:06.08221	147371	47	2	10
2014-04-01 07:30:06.303572	147372	20.4	1	10
2014-04-01 07:30:13.887273	147373	58	2	9
2014-04-01 07:30:14.120796	147374	20.4	1	9
2014-04-01 07:30:14.955208	147375	63	2	8
2014-04-01 07:30:15.176996	147376	20.6	1	8
2014-04-01 07:30:25.191735	147377	53	2	1
2014-04-01 07:30:25.422202	147378	20.4	1	1
2014-04-01 07:30:35.989725	147379	66	2	24
2014-04-01 07:30:36.210372	147380	18.2	1	24
2014-04-01 07:30:38.720898	147381	50	2	25
2014-04-01 07:30:38.965898	147382	17.3	1	25
2014-04-01 07:30:45.092859	147383	47	2	10
2014-04-01 07:30:45.325326	147384	20.4	1	10
2014-04-01 07:30:54.081639	147385	63	2	8
2014-04-01 07:30:54.520015	147386	20.6	1	8
2014-04-01 07:31:04.319998	147387	53	2	1
2014-04-01 07:31:04.72992	147388	20.4	1	1
2014-04-01 07:31:07.979984	147389	837	3	2
2014-04-01 07:31:08.430216	147390	1161113.852798369	4	2
2014-04-01 07:31:14.986335	147391	66	2	24
2014-04-01 07:31:15.208629	147392	18.2	1	24
2014-04-01 07:31:17.720612	147393	50	2	25
2014-04-01 07:31:17.951452	147394	17.3	1	25
2014-04-01 07:31:19.856059	147395	837	3	2
2014-04-01 07:31:20.07949	147396	1161116.1508678119	4	2
2014-04-01 07:31:24.084654	147397	47	2	10
2014-04-01 07:31:24.314936	147398	20.4	1	10
2014-04-01 07:31:33.090212	147399	63	2	8
2014-04-01 07:31:33.510082	147400	20.6	1	8
2014-04-01 07:31:43.31997	147401	53	2	1
2014-04-01 07:31:43.756587	147402	20.4	1	1
2014-04-01 07:31:53.985437	147403	66	2	24
2014-04-01 07:31:54.209333	147404	18.2	1	24
2014-04-01 07:31:56.720644	147405	50	2	25
2014-04-01 07:31:56.951602	147406	17.3	1	25
2014-04-01 07:32:03.085594	147407	47	2	10
2014-04-01 07:32:03.309252	147408	20.4	1	10
2014-04-01 07:32:10.885597	147409	59	2	9
2014-04-01 07:32:11.117595	147410	20.4	1	9
2014-04-01 07:32:11.953503	147411	63	2	8
2014-04-01 07:32:12.174003	147412	20.5	1	8
2014-04-01 07:32:19.849957	147413	820	3	2
2014-04-01 07:32:20.081278	147414	1161129.9392844688	4	2
2014-04-01 07:32:22.191508	147415	53	2	1
2014-04-01 07:32:22.414428	147416	20.5	1	1
2014-04-01 07:32:31.851706	147417	820	3	2
2014-04-01 07:32:32.081137	147418	1161133.3863886332	4	2
2014-04-01 07:32:32.985919	147419	66	2	24
2014-04-01 07:32:33.206139	147420	18.2	1	24
2014-04-01 07:32:35.720322	147421	50	2	25
2014-04-01 07:32:35.951517	147422	17.3	1	25
2014-04-01 07:32:42.084023	147423	47	2	10
2014-04-01 07:32:42.312848	147424	20.4	1	10
2014-04-01 07:32:49.882616	147425	59	2	9
2014-04-01 07:32:50.114407	147426	20.5	1	9
2014-04-01 07:32:50.951604	147427	63	2	8
2014-04-01 07:32:51.173256	147428	20.5	1	8
2014-04-01 07:33:01.190914	147429	53	2	1
2014-04-01 07:33:01.454665	147430	20.5	1	1
2014-04-01 07:33:11.984749	147431	66	2	24
2014-04-01 07:33:12.206715	147432	18.2	1	24
2014-04-01 07:33:14.71844	147433	50	2	25
2014-04-01 07:33:14.949139	147434	17.3	1	25
2014-04-01 07:33:21.083866	147435	47	2	10
2014-04-01 07:33:21.304777	147436	20.4	1	10
2014-04-01 07:33:28.889414	147437	59	2	9
2014-04-01 07:33:29.121319	147438	20.5	1	9
2014-04-01 07:33:29.940619	147439	63	2	8
2014-04-01 07:33:30.161688	147440	20.5	1	8
2014-04-01 07:33:40.192395	147441	53	2	1
2014-04-01 07:33:40.424747	147442	20.5	1	1
2014-04-01 07:33:50.983075	147443	66	2	24
2014-04-01 07:33:51.204095	147444	18.2	1	24
2014-04-01 07:33:53.718687	147445	50	2	25
2014-04-01 07:33:53.951117	147446	17.3	1	25
2014-04-01 07:34:00.084137	147447	47	2	10
2014-04-01 07:34:00.304789	147448	20.4	1	10
2014-04-01 07:34:08.953865	147449	63	2	8
2014-04-01 07:34:09.184246	147450	20.5	1	8
2014-04-01 07:34:19.320038	147451	54	2	1
2014-04-01 07:34:19.732268	147452	20.5	1	1
2014-04-01 07:34:30.11002	147453	66	2	24
2014-04-01 07:34:30.549945	147454	18.2	1	24
2014-04-01 07:34:31.979985	147455	820	3	2
2014-04-01 07:34:32.392383	147456	1161159.8141872257	4	2
2014-04-01 07:34:32.966581	147457	50	2	25
2014-04-01 07:34:33.399985	147458	17.3	1	25
2014-04-01 07:34:39.084011	147459	47	2	10
2014-04-01 07:34:39.304962	147460	20.4	1	10
2014-04-01 07:34:47.95388	147461	63	2	8
2014-04-01 07:34:48.184002	147462	20.5	1	8
2014-04-01 07:34:58.189986	147463	54	2	1
2014-04-01 07:34:58.413432	147464	20.5	1	1
2014-04-01 07:35:08.984841	147465	66	2	24
2014-04-01 07:35:09.216949	147466	18.2	1	24
2014-04-01 07:35:11.717394	147467	50	2	25
2014-04-01 07:35:11.939189	147468	17.3	1	25
2014-04-01 07:35:18.084067	147469	47	2	10
2014-04-01 07:35:18.315805	147470	20.4	1	10
2014-04-01 07:35:25.889587	147471	59	2	9
2014-04-01 07:35:26.113386	147472	20.5	1	9
2014-04-01 07:35:26.954832	147473	63	2	8
2014-04-01 07:35:27.187192	147474	20.5	1	8
2014-04-01 07:35:37.24736	147475	54	2	1
2014-04-01 07:35:37.470672	147476	20.5	1	1
2014-04-01 07:35:47.979033	147477	66	2	24
2014-04-01 07:35:48.22272	147478	18.2	1	24
2014-04-01 07:35:50.737326	147479	50	2	25
2014-04-01 07:35:50.959893	147480	17.3	1	25
2014-04-01 07:35:57.084204	147481	47	2	10
2014-04-01 07:35:57.318048	147482	20.4	1	10
2014-04-01 07:36:04.889398	147483	59	2	9
2014-04-01 07:36:05.111532	147484	20.5	1	9
2014-04-01 07:36:05.955992	147485	63	2	8
2014-04-01 07:36:06.185777	147486	20.5	1	8
2014-04-01 07:36:16.186545	147487	54	2	1
2014-04-01 07:36:16.407471	147488	20.5	1	1
2014-04-01 07:36:26.981113	147489	66	2	24
2014-04-01 07:36:27.215324	147490	18.2	1	24
2014-04-01 07:36:29.718894	147491	50	2	25
2014-04-01 07:36:29.940321	147492	17.3	1	25
2014-04-01 07:36:36.086291	147493	47	2	10
2014-04-01 07:36:36.316691	147494	20.5	1	10
2014-04-01 07:36:43.884912	147495	59	2	9
2014-04-01 07:36:44.108117	147496	20.5	1	9
2014-04-01 07:36:44.954276	147497	63	2	8
2014-04-01 07:36:45.18766	147498	20.5	1	8
2014-04-01 07:36:55.19025	147499	54	2	1
2014-04-01 07:36:55.412074	147500	20.6	1	1
2014-04-01 07:37:05.980015	147501	66	2	24
2014-04-01 07:37:06.213171	147502	18.2	1	24
2014-04-01 07:37:08.718649	147503	50	2	25
2014-04-01 07:37:08.941187	147504	17.3	1	25
2014-04-01 07:37:15.084204	147505	47	2	10
2014-04-01 07:37:15.316233	147506	20.5	1	10
2014-04-01 07:37:22.888123	147507	59	2	9
2014-04-01 07:37:23.11212	147508	20.5	1	9
2014-04-01 07:37:23.953818	147509	63	2	8
2014-04-01 07:37:24.18887	147510	20.5	1	8
2014-04-01 07:37:31.847734	147511	820	3	2
2014-04-01 07:37:32.070169	147512	1161200.0348734274	4	2
2014-04-01 07:37:34.18637	147513	54	2	1
2014-04-01 07:37:34.419291	147514	20.6	1	1
2014-04-01 07:37:44.978967	147515	66	2	24
2014-04-01 07:37:45.201581	147516	18.2	1	24
2014-04-01 07:37:47.718243	147517	50	2	25
2014-04-01 07:37:47.949101	147518	17.3	1	25
2014-04-01 07:37:54.085777	147519	47	2	10
2014-04-01 07:37:54.309018	147520	20.5	1	10
2014-04-01 07:37:55.847443	147521	853	3	2
2014-04-01 07:37:56.078605	147522	1161205.7800470344	4	2
2014-04-01 07:38:01.885893	147523	59	2	9
2014-04-01 07:38:02.110249	147524	20.5	1	9
2014-04-01 07:38:02.953741	147525	63	2	8
2014-04-01 07:38:03.196049	147526	20.5	1	8
2014-04-01 07:38:07.848007	147527	837	3	2
2014-04-01 07:38:08.068167	147528	1161209.2271511988	4	2
2014-04-01 07:38:13.189398	147529	54	2	1
2014-04-01 07:38:13.422932	147530	20.6	1	1
2014-04-01 07:38:23.977302	147531	66	2	24
2014-04-01 07:38:24.198495	147532	18.2	1	24
2014-04-01 07:38:26.716025	147533	50	2	25
2014-04-01 07:38:26.947957	147534	17.3	1	25
2014-04-01 07:38:33.084744	147535	47	2	10
2014-04-01 07:38:33.308987	147536	20.5	1	10
2014-04-01 07:38:40.882268	147537	59	2	9
2014-04-01 07:38:41.113418	147538	20.5	1	9
2014-04-01 07:38:41.953864	147539	63	2	8
2014-04-01 07:38:42.17405	147540	20.5	1	8
2014-04-01 07:38:52.184397	147541	54	2	1
2014-04-01 07:38:52.419633	147542	20.6	1	1
2014-04-01 07:39:02.980427	147543	66	2	24
2014-04-01 07:39:03.206134	147544	18.2	1	24
2014-04-01 07:39:05.718723	147545	50	2	25
2014-04-01 07:39:05.950535	147546	17.3	1	25
2014-04-01 07:39:12.085633	147547	47	2	10
2014-04-01 07:39:12.305909	147548	20.5	1	10
2014-04-01 07:39:20.086462	147549	59	2	9
2014-04-01 07:39:20.31897	147550	20.5	1	9
2014-04-01 07:39:20.95378	147551	63	2	8
2014-04-01 07:39:21.174487	147552	20.5	1	8
2014-04-01 07:39:31.183391	147553	54	2	1
2014-04-01 07:39:31.414775	147554	20.6	1	1
2014-04-01 07:39:41.977846	147555	66	2	24
2014-04-01 07:39:42.199231	147556	18.2	1	24
2014-04-01 07:39:43.847571	147557	708	3	2
2014-04-01 07:39:44.079644	147558	1161229.9097761842	4	2
2014-04-01 07:39:44.720628	147559	50	2	25
2014-04-01 07:39:44.941483	147560	17.3	1	25
2014-04-01 07:39:51.085342	147561	47	2	10
2014-04-01 07:39:51.315689	147562	20.5	1	10
2014-04-01 07:39:58.884298	147563	59	2	9
2014-04-01 07:39:59.106923	147564	20.5	1	9
2014-04-01 07:39:59.953995	147565	63	2	8
2014-04-01 07:40:00.185059	147566	20.5	1	8
2014-04-01 07:40:10.18574	147567	54	2	1
2014-04-01 07:40:10.406309	147568	20.6	1	1
2014-04-01 07:40:20.978898	147569	66	2	24
2014-04-01 07:40:21.209357	147570	18.2	1	24
2014-04-01 07:40:23.718451	147571	50	2	25
2014-04-01 07:40:23.941462	147572	17.3	1	25
2014-04-01 07:40:30.085118	147573	47	2	10
2014-04-01 07:40:30.328419	147574	20.5	1	10
2014-04-01 07:40:31.852001	147575	724	3	2
2014-04-01 07:40:32.07388	147576	1161240.251088677	4	2
2014-04-01 07:40:37.886848	147577	59	2	9
2014-04-01 07:40:38.118202	147578	20.5	1	9
2014-04-01 07:40:38.95369	147579	63	2	8
2014-04-01 07:40:39.176196	147580	20.5	1	8
2014-04-01 07:40:49.185294	147581	54	2	1
2014-04-01 07:40:49.415954	147582	20.6	1	1
2014-04-01 07:40:55.850566	147583	853	3	2
2014-04-01 07:40:56.072598	147584	1161244.8472275625	4	2
2014-04-01 07:40:59.980039	147585	66	2	24
2014-04-01 07:41:00.21133	147586	18.3	1	24
2014-04-01 07:41:02.718466	147587	50	2	25
2014-04-01 07:41:02.942959	147588	17.3	1	25
2014-04-01 07:41:07.848459	147589	853	3	2
2014-04-01 07:41:08.084494	147590	1161248.2943317269	4	2
2014-04-01 07:41:09.08665	147591	47	2	10
2014-04-01 07:41:09.307128	147592	20.5	1	10
2014-04-01 07:41:16.887381	147593	59	2	9
2014-04-01 07:41:17.120611	147594	20.5	1	9
2014-04-01 07:41:17.954898	147595	63	2	8
2014-04-01 07:41:18.176937	147596	20.5	1	8
2014-04-01 07:41:28.185656	147597	54	2	1
2014-04-01 07:41:28.417296	147598	20.7	1	1
2014-04-01 07:41:38.969494	147599	66	2	24
2014-04-01 07:41:39.192968	147600	18.3	1	24
2014-04-01 07:41:41.717333	147601	50	2	25
2014-04-01 07:41:41.949257	147602	17.3	1	25
2014-04-01 07:41:48.088257	147603	47	2	10
2014-04-01 07:41:48.30918	147604	20.5	1	10
2014-04-01 07:41:55.884287	147605	59	2	9
2014-04-01 07:41:56.117112	147606	20.5	1	9
2014-04-01 07:41:56.953176	147607	63	2	8
2014-04-01 07:41:57.17566	147608	20.5	1	8
2014-04-01 07:42:07.240116	147609	54	2	1
2014-04-01 07:42:07.473739	147610	20.7	1	1
2014-04-01 07:42:17.971673	147611	66	2	24
2014-04-01 07:42:18.194481	147612	18.3	1	24
2014-04-01 07:42:20.717114	147613	50	2	25
2014-04-01 07:42:20.948615	147614	17.3	1	25
2014-04-01 07:42:27.086231	147615	47	2	10
2014-04-01 07:42:27.309992	147616	20.5	1	10
2014-04-01 07:42:31.850623	147617	901	3	2
2014-04-01 07:42:32.082511	147618	1161268.9769567123	4	2
2014-04-01 07:42:34.882651	147619	59	2	9
2014-04-01 07:42:35.103616	147620	20.5	1	9
2014-04-01 07:42:35.954123	147621	63	2	8
2014-04-01 07:42:36.197946	147622	20.5	1	8
2014-04-01 07:42:46.184073	147623	54	2	1
2014-04-01 07:42:46.411861	147624	20.7	1	1
2014-04-01 07:42:56.968958	147625	66	2	24
2014-04-01 07:42:57.200317	147626	18.3	1	24
2014-04-01 07:42:59.715277	147627	50	2	25
2014-04-01 07:42:59.936815	147628	17.3	1	25
2014-04-01 07:43:06.088128	147629	47	2	10
2014-04-01 07:43:06.320426	147630	20.5	1	10
2014-04-01 07:43:07.849342	147631	869	3	2
2014-04-01 07:43:08.072248	147632	1161278.1692344835	4	2
2014-04-01 07:43:13.887591	147633	59	2	9
2014-04-01 07:43:14.12171	147634	20.6	1	9
2014-04-01 07:43:14.954131	147635	63	2	8
2014-04-01 07:43:15.176842	147636	20.5	1	8
2014-04-01 07:43:19.849176	147637	869	3	2
2014-04-01 07:43:20.084322	147638	1161280.4673039264	4	2
2014-04-01 07:43:25.182483	147639	54	2	1
2014-04-01 07:43:25.410299	147640	20.7	1	1
2014-04-01 07:43:35.973311	147641	66	2	24
2014-04-01 07:43:36.205618	147642	18.3	1	24
2014-04-01 07:43:38.717271	147643	50	2	25
2014-04-01 07:43:38.941961	147644	17.3	1	25
2014-04-01 07:43:45.087387	147645	47	2	10
2014-04-01 07:43:45.317088	147646	20.5	1	10
2014-04-01 07:43:53.95425	147647	63	2	8
2014-04-01 07:43:54.176003	147648	20.4	1	8
2014-04-01 07:44:04.186717	147649	54	2	1
2014-04-01 07:44:04.418182	147650	20.7	1	1
2014-04-01 07:44:07.849563	147651	2849	3	2
2014-04-01 07:44:08.0737	147652	1161301.1499289118	4	2
2014-04-01 07:44:14.971809	147653	66	2	24
2014-04-01 07:44:15.216416	147654	18.4	1	24
2014-04-01 07:44:17.71525	147655	50	2	25
2014-04-01 07:44:17.937836	147656	17.3	1	25
2014-04-01 07:44:19.849873	147657	2784	3	2
2014-04-01 07:44:20.0837	147658	1161310.3422066832	4	2
2014-04-01 07:44:24.088744	147659	47	2	10
2014-04-01 07:44:24.310841	147660	20.5	1	10
2014-04-01 07:44:32.083828	147661	59	2	9
2014-04-01 07:44:32.315166	147662	20.6	1	9
2014-04-01 07:44:32.95279	147663	63	2	8
2014-04-01 07:44:33.17445	147664	20.4	1	8
2014-04-01 07:44:43.185614	147665	54	2	1
2014-04-01 07:44:43.418569	147666	20.7	1	1
2014-04-01 07:44:56.718189	147667	50	2	25
2014-04-01 07:44:56.94018	147668	17.3	1	25
2014-04-01 07:45:03.078627	147669	47	2	10
2014-04-01 07:45:03.322609	147670	20.6	1	10
2014-04-01 07:45:11.953141	147671	63	2	8
2014-04-01 07:45:12.175606	147672	20.4	1	8
2014-04-01 07:45:22.18209	147673	54	2	1
2014-04-01 07:45:22.413924	147674	20.7	1	1
2014-04-01 07:45:32.97221	147675	66	2	24
2014-04-01 07:45:33.19631	147676	18.4	1	24
2014-04-01 07:45:35.71538	147677	50	2	25
2014-04-01 07:45:35.948629	147678	17.3	1	25
2014-04-01 07:45:42.08868	147679	47	2	10
2014-04-01 07:45:42.310278	147680	20.6	1	10
2014-04-01 07:45:50.091549	147681	59	2	9
2014-04-01 07:45:50.323225	147682	20.6	1	9
2014-04-01 07:45:50.953384	147683	63	2	8
2014-04-01 07:45:51.174492	147684	20.4	1	8
2014-04-01 07:46:01.183421	147685	54	2	1
2014-04-01 07:46:01.414679	147686	20.8	1	1
2014-04-01 07:46:11.970416	147687	66	2	24
2014-04-01 07:46:12.192378	147688	18.4	1	24
2014-04-01 07:46:14.715391	147689	50	2	25
2014-04-01 07:46:14.947006	147690	17.3	1	25
2014-04-01 07:46:21.088209	147691	47	2	10
2014-04-01 07:46:21.310266	147692	20.6	1	10
2014-04-01 07:46:29.955238	147693	63	2	8
2014-04-01 07:46:30.18712	147694	20.4	1	8
2014-04-01 07:46:40.186075	147695	54	2	1
2014-04-01 07:46:40.406947	147696	20.8	1	1
2014-04-01 07:46:50.9722	147697	66	2	24
2014-04-01 07:46:51.203208	147698	18.5	1	24
2014-04-01 07:46:53.714501	147699	50	2	25
2014-04-01 07:46:53.934551	147700	17.3	1	25
2014-04-01 07:47:00.091298	147701	47	2	10
2014-04-01 07:47:00.323158	147702	20.6	1	10
2014-04-01 07:47:08.952835	147703	63	2	8
2014-04-01 07:47:09.178015	147704	20.4	1	8
2014-04-01 07:47:19.181003	147705	54	2	1
2014-04-01 07:47:19.413133	147706	20.8	1	1
2014-04-01 07:47:29.96953	147707	66	2	24
2014-04-01 07:47:30.192717	147708	18.5	1	24
2014-04-01 07:47:32.715576	147709	50	2	25
2014-04-01 07:47:32.950437	147710	17.3	1	25
2014-04-01 07:47:39.089077	147711	47	2	10
2014-04-01 07:47:39.313372	147712	20.6	1	10
2014-04-01 07:47:47.954107	147713	63	2	8
2014-04-01 07:47:48.186824	147714	20.4	1	8
2014-04-01 07:47:58.182549	147715	54	2	1
2014-04-01 07:47:58.405229	147716	20.8	1	1
2014-04-01 07:48:08.968093	147717	66	2	24
2014-04-01 07:48:09.213187	147718	18.5	1	24
2014-04-01 07:48:11.714399	147719	50	2	25
2014-04-01 07:48:11.936138	147720	17.3	1	25
2014-04-01 07:48:18.089057	147721	47	2	10
2014-04-01 07:48:18.32244	147722	20.6	1	10
2014-04-01 07:48:26.952711	147723	63	2	8
2014-04-01 07:48:27.173666	147724	20.4	1	8
2014-04-01 07:48:37.185254	147725	54	2	1
2014-04-01 07:48:37.418875	147726	20.8	1	1
2014-04-01 07:48:47.968794	147727	66	2	24
2014-04-01 07:48:48.190824	147728	18.5	1	24
2014-04-01 07:48:50.713695	147729	50	2	25
2014-04-01 07:48:50.945143	147730	17.3	1	25
2014-04-01 07:48:57.089749	147731	47	2	10
2014-04-01 07:48:57.311145	147732	20.6	1	10
2014-04-01 07:49:05.953202	147733	63	2	8
2014-04-01 07:49:06.18584	147734	20.4	1	8
2014-04-01 07:49:16.181494	147735	54	2	1
2014-04-01 07:49:16.40492	147736	20.8	1	1
2014-04-01 07:49:19.848515	147737	2945	3	2
2014-04-01 07:49:20.079885	147738	1161543.6007260827	4	2
2014-04-01 07:49:26.966188	147739	66	2	24
2014-04-01 07:49:27.187696	147740	18.5	1	24
2014-04-01 07:49:29.715472	147741	50	2	25
2014-04-01 07:49:29.945803	147742	17.3	1	25
2014-04-01 07:49:31.850239	147743	2945	3	2
2014-04-01 07:49:32.071449	147744	1161553.9420385754	4	2
2014-04-01 07:49:36.089407	147745	47	2	10
2014-04-01 07:49:36.320095	147746	20.6	1	10
2014-04-01 07:49:44.953773	147747	63	2	8
2014-04-01 07:49:45.175042	147748	20.4	1	8
2014-04-01 07:49:55.181552	147749	54	2	1
2014-04-01 07:49:55.414936	147750	20.8	1	1
2014-04-01 07:50:05.964187	147751	66	2	24
2014-04-01 07:50:06.186297	147752	18.5	1	24
2014-04-01 07:50:08.712806	147753	50	2	25
2014-04-01 07:50:08.944975	147754	17.3	1	25
2014-04-01 07:50:15.08989	147755	47	2	10
2014-04-01 07:50:15.310853	147756	20.6	1	10
2014-04-01 07:50:23.953696	147757	63	2	8
2014-04-01 07:50:24.18494	147758	20.4	1	8
2014-04-01 07:50:31.848685	147759	2929	3	2
2014-04-01 07:50:32.068968	147760	1161602.201496875	4	2
2014-04-01 07:50:34.180363	147761	54	2	1
2014-04-01 07:50:34.410635	147762	20.8	1	1
2014-04-01 07:50:44.963221	147763	66	2	24
2014-04-01 07:50:45.185506	147764	18.5	1	24
2014-04-01 07:50:47.715349	147765	50	2	25
2014-04-01 07:50:47.958406	147766	17.3	1	25
2014-04-01 07:50:54.089536	147767	47	2	10
2014-04-01 07:50:54.311942	147768	20.6	1	10
2014-04-01 07:51:02.954567	147769	63	2	8
2014-04-01 07:51:03.185605	147770	20.4	1	8
2014-04-01 07:51:07.847941	147771	2977	3	2
2014-04-01 07:51:08.069814	147772	1161632.0763996316	4	2
2014-04-01 07:51:13.179759	147773	54	2	1
2014-04-01 07:51:13.415319	147774	20.8	1	1
2014-04-01 07:51:23.964431	147775	66	2	24
2014-04-01 07:51:24.18646	147776	18.6	1	24
2014-04-01 07:51:26.731558	147777	50	2	25
2014-04-01 07:51:26.964606	147778	17.3	1	25
2014-04-01 07:51:31.84791	147779	2977	3	2
2014-04-01 07:51:32.072813	147780	1161652.759024617	4	2
2014-04-01 07:51:33.090052	147781	47	2	10
2014-04-01 07:51:33.320522	147782	20.6	1	10
2014-04-01 07:51:41.955929	147783	63	2	8
2014-04-01 07:51:42.179167	147784	20.4	1	8
2014-04-01 07:51:52.181024	147785	54	2	1
2014-04-01 07:51:52.412793	147786	20.9	1	1
2014-04-01 07:52:02.964709	147787	66	2	24
2014-04-01 07:52:03.186645	147788	18.6	1	24
2014-04-01 07:52:05.712163	147789	50	2	25
2014-04-01 07:52:05.945598	147790	17.3	1	25
2014-04-01 07:52:12.088944	147791	47	2	10
2014-04-01 07:52:12.310247	147792	20.6	1	10
2014-04-01 07:52:20.952708	147793	63	2	8
2014-04-01 07:52:21.187997	147794	20.4	1	8
2014-04-01 07:52:31.17893	147795	54	2	1
2014-04-01 07:52:31.425525	147796	20.9	1	1
2014-04-01 07:52:31.847304	147797	2961	3	2
2014-04-01 07:52:32.138211	147798	1161702.1675176378	4	2
2014-04-01 07:52:41.982336	147799	66	2	24
2014-04-01 07:52:42.805037	147800	18.6	1	24
2014-04-01 07:52:44.713101	147801	50	2	25
2014-04-01 07:52:44.977529	147802	17.3	1	25
2014-04-01 07:52:51.093207	147803	47	2	10
2014-04-01 07:52:51.316563	147804	20.6	1	10
2014-04-01 07:52:59.952131	147805	63	2	8
2014-04-01 07:53:00.185511	147806	20.4	1	8
2014-04-01 07:53:10.178661	147807	54	2	1
2014-04-01 07:53:10.400934	147808	20.9	1	1
2014-04-01 07:53:20.962979	147809	66	2	24
2014-04-01 07:53:21.206324	147810	18.6	1	24
2014-04-01 07:53:23.711596	147811	50	2	25
2014-04-01 07:53:23.933403	147812	17.3	1	25
2014-04-01 07:53:30.090983	147813	47	2	10
2014-04-01 07:53:30.336444	147814	20.7	1	10
2014-04-01 07:53:37.882491	147815	58	2	9
2014-04-01 07:53:38.103184	147816	20.6	1	9
2014-04-01 07:53:38.953435	147817	63	2	8
2014-04-01 07:53:39.183357	147818	20.4	1	8
2014-04-01 07:53:49.179618	147819	54	2	1
2014-04-01 07:53:49.401488	147820	20.9	1	1
2014-04-01 07:53:59.963813	147821	66	2	24
2014-04-01 07:54:00.195661	147822	18.6	1	24
2014-04-01 07:54:02.71402	147823	50	2	25
2014-04-01 07:54:02.936824	147824	17.3	1	25
2014-04-01 07:54:09.092116	147825	47	2	10
2014-04-01 07:54:09.324708	147826	20.7	1	10
2014-04-01 07:54:17.953433	147827	63	2	8
2014-04-01 07:54:18.174014	147828	20.4	1	8
2014-04-01 07:54:28.178787	147829	54	2	1
2014-04-01 07:54:28.412573	147830	20.9	1	1
2014-04-01 07:54:41.710335	147831	50	2	25
2014-04-01 07:54:41.933707	147832	17.3	1	25
2014-04-01 07:54:48.091005	147833	47	2	10
2014-04-01 07:54:48.322354	147834	20.7	1	10
2014-04-01 07:54:56.952466	147835	63	2	8
2014-04-01 07:54:57.174488	147836	20.4	1	8
2014-04-01 07:55:07.177571	147837	54	2	1
2014-04-01 07:55:07.409551	147838	20.9	1	1
2014-04-01 07:55:17.959617	147839	66	2	24
2014-04-01 07:55:18.182267	147840	18.6	1	24
2014-04-01 07:55:20.713275	147841	50	2	25
2014-04-01 07:55:20.944941	147842	17.3	1	25
2014-04-01 07:55:27.090463	147843	47	2	10
2014-04-01 07:55:27.314362	147844	20.7	1	10
2014-04-01 07:55:35.953733	147845	63	2	8
2014-04-01 07:55:36.185969	147846	20.4	1	8
2014-04-01 07:55:46.174444	147847	54	2	1
2014-04-01 07:55:46.396719	147848	20.9	1	1
2014-04-01 07:55:56.959709	147849	65	2	24
2014-04-01 07:55:57.189443	147850	18.6	1	24
2014-04-01 07:55:59.713504	147851	50	2	25
2014-04-01 07:55:59.935407	147852	17.3	1	25
2014-04-01 07:56:06.094199	147853	47	2	10
2014-04-01 07:56:06.325794	147854	20.7	1	10
2014-04-01 07:56:14.953685	147855	64	2	8
2014-04-01 07:56:15.174877	147856	20.4	1	8
2014-04-01 07:56:25.1746	147857	54	2	1
2014-04-01 07:56:25.404964	147858	20.9	1	1
2014-04-01 07:56:35.959339	147859	65	2	24
2014-04-01 07:56:36.180273	147860	18.6	1	24
2014-04-01 07:56:38.712498	147861	50	2	25
2014-04-01 07:56:38.957212	147862	17.3	1	25
2014-04-01 07:56:45.092405	147863	47	2	10
2014-04-01 07:56:45.313915	147864	20.7	1	10
2014-04-01 07:56:53.95536	147865	64	2	8
2014-04-01 07:56:54.18704	147866	20.4	1	8
2014-04-01 07:57:04.175662	147867	54	2	1
2014-04-01 07:57:04.396204	147868	20.9	1	1
2014-04-01 07:57:14.961733	147869	65	2	24
2014-04-01 07:57:15.195648	147870	18.6	1	24
2014-04-01 07:57:17.711999	147871	50	2	25
2014-04-01 07:57:17.935195	147872	17.3	1	25
2014-04-01 07:57:24.092044	147873	47	2	10
2014-04-01 07:57:24.323541	147874	20.7	1	10
2014-04-01 07:57:32.955234	147875	64	2	8
2014-04-01 07:57:33.175795	147876	20.4	1	8
2014-04-01 07:57:43.177134	147877	53	2	1
2014-04-01 07:57:43.413108	147878	21.0	1	1
2014-04-01 07:57:53.957458	147879	66	2	24
2014-04-01 07:57:54.181197	147880	18.6	1	24
2014-04-01 07:57:56.712987	147881	50	2	25
2014-04-01 07:57:56.946504	147882	17.3	1	25
2014-04-01 07:58:03.093487	147883	47	2	10
2014-04-01 07:58:03.315608	147884	20.7	1	10
2014-04-01 07:58:11.953757	147885	63	2	8
2014-04-01 07:58:12.187267	147886	20.4	1	8
2014-04-01 07:58:22.177501	147887	53	2	1
2014-04-01 07:58:22.399329	147888	21.0	1	1
2014-04-01 07:58:32.95805	147889	66	2	24
2014-04-01 07:58:33.191552	147890	18.6	1	24
2014-04-01 07:58:35.710837	147891	50	2	25
2014-04-01 07:58:35.933943	147892	17.3	1	25
2014-04-01 07:58:42.092569	147893	47	2	10
2014-04-01 07:58:42.325444	147894	20.7	1	10
2014-04-01 07:58:50.952362	147895	63	2	8
2014-04-01 07:58:51.173685	147896	20.4	1	8
2014-04-01 07:59:01.172362	147897	53	2	1
2014-04-01 07:59:01.404707	147898	21.0	1	1
2014-04-01 07:59:11.956382	147899	66	2	24
2014-04-01 07:59:12.177152	147900	18.7	1	24
2014-04-01 07:59:14.711486	147901	50	2	25
2014-04-01 07:59:14.943037	147902	17.3	1	25
2014-04-01 07:59:21.092507	147903	47	2	10
2014-04-01 07:59:21.315251	147904	20.7	1	10
2014-04-01 07:59:29.95306	147905	63	2	8
2014-04-01 07:59:30.184591	147906	20.4	1	8
2014-04-01 07:59:40.169922	147907	53	2	1
2014-04-01 07:59:40.393748	147908	21.0	1	1
2014-04-01 07:59:50.955084	147909	65	2	24
2014-04-01 07:59:51.197306	147910	18.7	1	24
2014-04-01 07:59:53.712101	147911	50	2	25
2014-04-01 07:59:53.93351	147912	17.3	1	25
2014-04-01 08:00:00.092366	147913	47	2	10
2014-04-01 08:00:00.324034	147914	20.7	1	10
2014-04-01 08:00:08.95257	147915	63	2	8
2014-04-01 08:00:09.174308	147916	20.4	1	8
2014-04-01 08:00:19.171586	147917	53	2	1
2014-04-01 08:00:19.402431	147918	21.0	1	1
2014-04-01 08:00:29.955424	147919	65	2	24
2014-04-01 08:00:30.176644	147920	18.7	1	24
2014-04-01 08:00:32.710182	147921	50	2	25
2014-04-01 08:00:32.943597	147922	17.3	1	25
2014-04-01 08:00:39.093089	147923	47	2	10
2014-04-01 08:00:39.313588	147924	20.8	1	10
2014-04-01 08:00:47.953967	147925	63	2	8
2014-04-01 08:00:48.18623	147926	20.4	1	8
2014-04-01 08:00:58.170617	147927	53	2	1
2014-04-01 08:00:58.391588	147928	21.0	1	1
2014-04-01 08:01:08.955658	147929	65	2	24
2014-04-01 08:01:09.187435	147930	18.7	1	24
2014-04-01 08:01:11.711945	147931	50	2	25
2014-04-01 08:01:11.933675	147932	17.3	1	25
2014-04-01 08:01:18.09312	147933	47	2	10
2014-04-01 08:01:18.324193	147934	20.8	1	10
2014-04-01 08:01:26.953561	147935	63	2	8
2014-04-01 08:01:27.174925	147936	20.4	1	8
2014-04-01 08:01:31.843913	147937	676	3	2
2014-04-01 08:01:32.074571	147938	1161974.4932175656	4	2
2014-04-01 08:01:37.170086	147939	53	2	1
2014-04-01 08:01:37.39507	147940	21.0	1	1
2014-04-01 08:01:47.95439	147941	65	2	24
2014-04-01 08:01:48.186434	147942	18.7	1	24
2014-04-01 08:01:50.709475	147943	50	2	25
2014-04-01 08:01:50.932453	147944	17.3	1	25
2014-04-01 08:01:57.094213	147945	47	2	10
2014-04-01 08:01:57.327543	147946	20.8	1	10
2014-04-01 08:02:05.952524	147947	63	2	8
2014-04-01 08:02:06.175429	147948	20.4	1	8
2014-04-01 08:02:16.171811	147949	53	2	1
2014-04-01 08:02:16.403347	147950	21.0	1	1
2014-04-01 08:02:26.954828	147951	65	2	24
2014-04-01 08:02:27.176165	147952	18.7	1	24
2014-04-01 08:02:29.709591	147953	50	2	25
2014-04-01 08:02:29.944381	147954	17.3	1	25
2014-04-01 08:02:36.093741	147955	47	2	10
2014-04-01 08:02:36.317149	147956	20.8	1	10
2014-04-01 08:02:44.954317	147957	63	2	8
2014-04-01 08:02:45.199701	147958	20.4	1	8
2014-04-01 08:02:55.170025	147959	53	2	1
2014-04-01 08:02:55.391456	147960	21.0	1	1
2014-04-01 08:03:05.953105	147961	66	2	24
2014-04-01 08:03:06.185896	147962	18.7	1	24
2014-04-01 08:03:08.708485	147963	50	2	25
2014-04-01 08:03:08.931156	147964	17.3	1	25
2014-04-01 08:03:15.095462	147965	47	2	10
2014-04-01 08:03:15.327923	147966	20.8	1	10
2014-04-01 08:03:23.954546	147967	63	2	8
2014-04-01 08:03:24.177403	147968	20.4	1	8
2014-04-01 08:03:34.173076	147969	53	2	1
2014-04-01 08:03:34.403331	147970	21.1	1	1
2014-04-01 08:03:44.952356	147971	66	2	24
2014-04-01 08:03:45.178041	147972	18.7	1	24
2014-04-01 08:03:47.708753	147973	50	2	25
2014-04-01 08:03:47.940217	147974	17.3	1	25
2014-04-01 08:03:54.092707	147975	47	2	10
2014-04-01 08:03:54.317355	147976	20.8	1	10
2014-04-01 08:04:02.953992	147977	63	2	8
2014-04-01 08:04:03.187894	147978	20.4	1	8
2014-04-01 08:04:13.172801	147979	53	2	1
2014-04-01 08:04:13.397019	147980	21.1	1	1
2014-04-01 08:04:23.951906	147981	66	2	24
2014-04-01 08:04:24.182762	147982	18.8	1	24
2014-04-01 08:04:26.706793	147983	50	2	25
2014-04-01 08:04:26.928938	147984	17.3	1	25
2014-04-01 08:04:33.09501	147985	47	2	10
2014-04-01 08:04:33.329682	147986	20.8	1	10
2014-04-01 08:04:41.95372	147987	63	2	8
2014-04-01 08:04:42.17587	147988	20.4	1	8
2014-04-01 08:04:52.17004	147989	53	2	1
2014-04-01 08:04:52.403711	147990	21.1	1	1
2014-04-01 08:05:02.952642	147991	66	2	24
2014-04-01 08:05:03.174924	147992	18.8	1	24
2014-04-01 08:05:05.70567	147993	50	2	25
2014-04-01 08:05:05.936586	147994	17.3	1	25
2014-04-01 08:05:12.094723	147995	47	2	10
2014-04-01 08:05:12.317279	147996	20.8	1	10
2014-04-01 08:05:20.954834	147997	63	2	8
2014-04-01 08:05:21.186161	147998	20.4	1	8
2014-04-01 08:05:41.951854	147999	66	2	24
2014-04-01 08:05:42.173666	148000	18.8	1	24
2014-04-01 08:05:44.705827	148001	50	2	25
2014-04-01 08:05:44.938263	148002	17.3	1	25
2014-04-01 08:05:51.093679	148003	47	2	10
2014-04-01 08:05:51.3154	148004	20.8	1	10
2014-04-01 08:05:59.953684	148005	63	2	8
2014-04-01 08:06:00.199115	148006	20.4	1	8
2014-04-01 08:06:10.170504	148007	53	2	1
2014-04-01 08:06:10.392807	148008	21.1	1	1
2014-04-01 08:06:20.948806	148009	66	2	24
2014-04-01 08:06:21.364431	148010	18.8	1	24
2014-04-01 08:06:23.708192	148011	50	2	25
2014-04-01 08:06:23.936242	148012	17.3	1	25
2014-04-01 08:06:30.094292	148013	47	2	10
2014-04-01 08:06:30.31333	148014	20.8	1	10
2014-04-01 08:06:38.952702	148015	63	2	8
2014-04-01 08:06:39.182522	148016	20.4	1	8
2014-04-01 08:06:49.172076	148017	53	2	1
2014-04-01 08:06:49.396678	148018	21.1	1	1
2014-04-01 08:06:59.950048	148019	66	2	24
2014-04-01 08:07:00.179931	148020	18.8	1	24
2014-04-01 08:07:02.709926	148021	50	2	25
2014-04-01 08:07:02.93002	148022	17.3	1	25
2014-04-01 08:07:09.097506	148023	47	2	10
2014-04-01 08:07:09.329761	148024	20.8	1	10
2014-04-01 08:07:17.953849	148025	63	2	8
2014-04-01 08:07:18.175136	148026	20.4	1	8
2014-04-01 08:07:28.410227	148027	53	2	1
2014-04-01 08:07:28.643567	148028	21.1	1	1
2014-04-01 08:07:38.949521	148029	66	2	24
2014-04-01 08:07:39.173479	148030	18.8	1	24
2014-04-01 08:07:41.70446	148031	50	2	25
2014-04-01 08:07:41.956926	148032	17.3	1	25
2014-04-01 08:07:48.095141	148033	47	2	10
2014-04-01 08:07:48.317716	148034	20.8	1	10
2014-04-01 08:07:56.954618	148035	63	2	8
2014-04-01 08:07:57.184532	148036	20.4	1	8
2014-04-01 08:08:07.16885	148037	53	2	1
2014-04-01 08:08:07.391446	148038	21.1	1	1
2014-04-01 08:08:17.95059	148039	66	2	24
2014-04-01 08:08:18.184642	148040	18.8	1	24
2014-04-01 08:08:20.705252	148041	50	2	25
2014-04-01 08:08:20.927247	148042	17.3	1	25
2014-04-01 08:08:27.097494	148043	47	2	10
2014-04-01 08:08:27.328956	148044	20.8	1	10
2014-04-01 08:08:35.953696	148045	63	2	8
2014-04-01 08:08:36.179466	148046	20.4	1	8
2014-04-01 08:08:46.167349	148047	53	2	1
2014-04-01 08:08:46.399802	148048	21.1	1	1
2014-04-01 08:08:56.947774	148049	66	2	24
2014-04-01 08:08:57.169522	148050	18.8	1	24
2014-04-01 08:08:59.705977	148051	50	2	25
2014-04-01 08:08:59.936481	148052	17.3	1	25
2014-04-01 08:09:06.096823	148053	47	2	10
2014-04-01 08:09:06.317407	148054	20.9	1	10
2014-04-01 08:09:14.953513	148055	62	2	8
2014-04-01 08:09:15.197264	148056	20.3	1	8
2014-04-01 08:09:25.169605	148057	53	2	1
2014-04-01 08:09:25.390534	148058	21.1	1	1
2014-04-01 08:09:31.847066	148059	659	3	2
2014-04-01 08:09:32.078261	148060	1162064.1179258358	4	2
2014-04-01 08:09:35.946363	148061	66	2	24
2014-04-01 08:09:36.165543	148062	18.8	1	24
2014-04-01 08:09:38.704917	148063	50	2	25
2014-04-01 08:09:38.935678	148064	17.3	1	25
2014-04-01 08:09:45.096578	148065	47	2	10
2014-04-01 08:09:45.318033	148066	20.9	1	10
2014-04-01 08:09:53.95311	148067	63	2	8
2014-04-01 08:09:54.183432	148068	20.3	1	8
2014-04-01 08:10:04.167875	148069	53	2	1
2014-04-01 08:10:04.391309	148070	21.1	1	1
2014-04-01 08:10:14.945369	148071	65	2	24
2014-04-01 08:10:15.176626	148072	18.8	1	24
2014-04-01 08:10:17.704838	148073	50	2	25
2014-04-01 08:10:17.947249	148074	17.3	1	25
2014-04-01 08:10:24.095953	148075	47	2	10
2014-04-01 08:10:24.328045	148076	20.9	1	10
2014-04-01 08:10:32.952876	148077	62	2	8
2014-04-01 08:10:33.174176	148078	20.3	1	8
2014-04-01 08:10:43.168297	148079	53	2	1
2014-04-01 08:10:43.409952	148080	21.1	1	1
2014-04-01 08:10:53.945319	148081	65	2	24
2014-04-01 08:10:54.166444	148082	18.9	1	24
2014-04-01 08:10:56.7041	148083	49	2	25
2014-04-01 08:10:56.934741	148084	17.3	1	25
2014-04-01 08:11:03.095016	148085	47	2	10
2014-04-01 08:11:03.316921	148086	20.9	1	10
2014-04-01 08:11:11.953571	148087	63	2	8
2014-04-01 08:11:12.185256	148088	20.3	1	8
2014-04-01 08:11:22.165676	148089	53	2	1
2014-04-01 08:11:22.386672	148090	21.1	1	1
2014-04-01 08:11:32.943128	148091	65	2	24
2014-04-01 08:11:33.175513	148092	18.9	1	24
2014-04-01 08:11:35.705458	148093	49	2	25
2014-04-01 08:11:35.928171	148094	17.3	1	25
2014-04-01 08:11:42.09606	148095	47	2	10
2014-04-01 08:11:42.327817	148096	20.9	1	10
2014-04-01 08:11:50.953747	148097	63	2	8
2014-04-01 08:11:51.175334	148098	20.3	1	8
2014-04-01 08:12:01.165737	148099	53	2	1
2014-04-01 08:12:01.39684	148100	21.1	1	1
2014-04-01 08:12:11.944409	148101	65	2	24
2014-04-01 08:12:12.164591	148102	18.9	1	24
2014-04-01 08:12:14.706377	148103	49	2	25
2014-04-01 08:12:14.949608	148104	17.3	1	25
2014-04-01 08:12:21.096756	148105	47	2	10
2014-04-01 08:12:21.318057	148106	20.9	1	10
2014-04-01 08:12:29.952428	148107	63	2	8
2014-04-01 08:12:30.183693	148108	20.3	1	8
2014-04-01 08:12:40.165508	148109	53	2	1
2014-04-01 08:12:40.390239	148110	21.1	1	1
2014-04-01 08:12:50.942553	148111	65	2	24
2014-04-01 08:12:51.173868	148112	18.9	1	24
2014-04-01 08:12:53.705612	148113	49	2	25
2014-04-01 08:12:53.929687	148114	17.3	1	25
2014-04-01 08:13:00.097687	148115	47	2	10
2014-04-01 08:13:00.328128	148116	20.9	1	10
2014-04-01 08:13:08.956024	148117	62	2	8
2014-04-01 08:13:09.177712	148118	20.3	1	8
2014-04-01 08:13:19.164921	148119	53	2	1
2014-04-01 08:13:19.397166	148120	21.1	1	1
2014-04-01 08:13:29.944459	148121	65	2	24
2014-04-01 08:13:30.166322	148122	18.9	1	24
2014-04-01 08:13:32.704394	148123	49	2	25
2014-04-01 08:13:32.937317	148124	17.3	1	25
2014-04-01 08:13:39.096218	148125	47	2	10
2014-04-01 08:13:39.318107	148126	20.9	1	10
2014-04-01 08:13:47.953342	148127	62	2	8
2014-04-01 08:13:48.188494	148128	20.3	1	8
2014-04-01 08:13:58.165422	148129	53	2	1
2014-04-01 08:13:58.388629	148130	21.1	1	1
2014-04-01 08:14:08.941764	148131	65	2	24
2014-04-01 08:14:09.17511	148132	18.9	1	24
2014-04-01 08:14:11.70266	148133	49	2	25
2014-04-01 08:14:11.924878	148134	17.3	1	25
2014-04-01 08:14:18.099881	148135	47	2	10
2014-04-01 08:14:18.331904	148136	20.9	1	10
2014-04-01 08:14:27.0789	148137	62	2	8
2014-04-01 08:14:27.50352	148138	20.3	1	8
2014-04-01 08:14:37.289979	148139	53	2	1
2014-04-01 08:14:37.729967	148140	21.1	1	1
2014-04-01 08:14:47.939271	148141	65	2	24
2014-04-01 08:14:48.163744	148142	18.9	1	24
2014-04-01 08:14:50.705265	148143	49	2	25
2014-04-01 08:14:50.93853	148144	17.3	1	25
2014-04-01 08:14:57.099155	148145	47	2	10
2014-04-01 08:14:57.323197	148146	20.9	1	10
2014-04-01 08:15:05.954203	148147	62	2	8
2014-04-01 08:15:06.185445	148148	20.3	1	8
2014-04-01 08:15:16.168062	148149	53	2	1
2014-04-01 08:15:16.391489	148150	21.1	1	1
2014-04-01 08:15:26.941009	148151	65	2	24
2014-04-01 08:15:27.18862	148152	18.9	1	24
2014-04-01 08:15:29.70466	148153	49	2	25
2014-04-01 08:15:29.927541	148154	17.3	1	25
2014-04-01 08:15:36.098296	148155	47	2	10
2014-04-01 08:15:36.34436	148156	20.9	1	10
2014-04-01 08:15:44.954046	148157	62	2	8
2014-04-01 08:15:45.174825	148158	20.3	1	8
2014-04-01 08:15:55.162878	148159	53	2	1
2014-04-01 08:15:55.396064	148160	21.1	1	1
2014-04-01 08:16:05.938691	148161	65	2	24
2014-04-01 08:16:06.164345	148162	18.9	1	24
2014-04-01 08:16:08.701835	148163	49	2	25
2014-04-01 08:16:08.933505	148164	17.3	1	25
2014-04-01 08:16:15.100963	148165	47	2	10
2014-04-01 08:16:15.323904	148166	20.9	1	10
2014-04-01 08:16:23.97015	148167	62	2	8
2014-04-01 08:16:24.216502	148168	20.3	1	8
2014-04-01 08:16:44.936992	148169	65	2	24
2014-04-01 08:16:45.157922	148170	18.9	1	24
2014-04-01 08:16:47.701254	148171	49	2	25
2014-04-01 08:16:47.931827	148172	17.3	1	25
2014-04-01 08:16:54.098594	148173	47	2	10
2014-04-01 08:16:54.319987	148174	21.0	1	10
2014-04-01 08:16:55.842828	148175	595	3	2
2014-04-01 08:16:56.073915	148176	1162130.7664106302	4	2
2014-04-01 08:17:02.954217	148177	62	2	8
2014-04-01 08:17:03.177419	148178	20.3	1	8
2014-04-01 08:17:13.165322	148179	53	2	1
2014-04-01 08:17:13.404525	148180	21.1	1	1
2014-04-01 08:17:23.937723	148181	65	2	24
2014-04-01 08:17:24.158983	148182	18.9	1	24
2014-04-01 08:17:26.703207	148183	49	2	25
2014-04-01 08:17:26.934163	148184	17.3	1	25
2014-04-01 08:17:33.099296	148185	47	2	10
2014-04-01 08:17:33.320689	148186	21.0	1	10
2014-04-01 08:17:41.953362	148187	62	2	8
2014-04-01 08:17:42.186655	148188	20.3	1	8
2014-04-01 08:17:52.162412	148189	53	2	1
2014-04-01 08:17:52.385068	148190	21.0	1	1
2014-04-01 08:18:02.938684	148191	65	2	24
2014-04-01 08:18:03.169426	148192	18.9	1	24
2014-04-01 08:18:05.701087	148193	49	2	25
2014-04-01 08:18:05.925617	148194	17.3	1	25
2014-04-01 08:18:12.099361	148195	47	2	10
2014-04-01 08:18:12.33074	148196	21.0	1	10
2014-04-01 08:18:20.954323	148197	62	2	8
2014-04-01 08:18:21.176369	148198	20.3	1	8
2014-04-01 08:18:31.162539	148199	53	2	1
2014-04-01 08:18:31.405931	148200	21.0	1	1
2014-04-01 08:18:41.937936	148201	65	2	24
2014-04-01 08:18:42.159118	148202	18.9	1	24
2014-04-01 08:18:44.702023	148203	49	2	25
2014-04-01 08:18:44.935738	148204	17.3	1	25
2014-04-01 08:18:51.098904	148205	47	2	10
2014-04-01 08:18:51.321372	148206	21.0	1	10
2014-04-01 08:18:59.95483	148207	62	2	8
2014-04-01 08:19:00.185609	148208	20.3	1	8
2014-04-01 08:19:10.160173	148209	53	2	1
2014-04-01 08:19:10.381305	148210	21.0	1	1
2014-04-01 08:19:20.93637	148211	65	2	24
2014-04-01 08:19:21.169334	148212	18.9	1	24
2014-04-01 08:19:23.701551	148213	49	2	25
2014-04-01 08:19:23.925735	148214	17.3	1	25
2014-04-01 08:19:30.10031	148215	47	2	10
2014-04-01 08:19:30.332894	148216	21.0	1	10
2014-04-01 08:19:38.954835	148217	62	2	8
2014-04-01 08:19:39.180755	148218	20.3	1	8
2014-04-01 08:19:49.164631	148219	53	2	1
2014-04-01 08:19:49.396164	148220	21.0	1	1
2014-04-01 08:19:59.936835	148221	65	2	24
2014-04-01 08:20:00.159992	148222	18.9	1	24
2014-04-01 08:20:02.702341	148223	49	2	25
2014-04-01 08:20:02.934326	148224	17.3	1	25
2014-04-01 08:20:09.098555	148225	47	2	10
2014-04-01 08:20:09.321929	148226	21.0	1	10
2014-04-01 08:20:17.954683	148227	62	2	8
2014-04-01 08:20:18.188904	148228	20.3	1	8
2014-04-01 08:20:28.162161	148229	53	2	1
2014-04-01 08:20:28.387967	148230	21.0	1	1
2014-04-01 08:20:38.933521	148231	65	2	24
2014-04-01 08:20:39.164571	148232	18.9	1	24
2014-04-01 08:20:41.70153	148233	49	2	25
2014-04-01 08:20:41.923316	148234	17.3	1	25
2014-04-01 08:20:48.100616	148235	47	2	10
2014-04-01 08:20:48.334519	148236	21.0	1	10
2014-04-01 08:20:56.952404	148237	62	2	8
2014-04-01 08:20:57.177401	148238	20.3	1	8
2014-04-01 08:21:07.158737	148239	53	2	1
2014-04-01 08:21:07.392677	148240	21.0	1	1
2014-04-01 08:21:17.93678	148241	65	2	24
2014-04-01 08:21:18.161142	148242	18.9	1	24
2014-04-01 08:21:20.698767	148243	49	2	25
2014-04-01 08:21:20.930378	148244	17.3	1	25
2014-04-01 08:21:27.099216	148245	47	2	10
2014-04-01 08:21:27.322078	148246	21.0	1	10
2014-04-01 08:21:35.955637	148247	62	2	8
2014-04-01 08:21:36.197035	148248	20.3	1	8
2014-04-01 08:21:46.15847	148249	53	2	1
2014-04-01 08:21:46.379906	148250	21.0	1	1
2014-04-01 08:21:56.932049	148251	65	2	24
2014-04-01 08:21:57.163968	148252	18.9	1	24
2014-04-01 08:21:59.700228	148253	49	2	25
2014-04-01 08:21:59.921744	148254	17.3	1	25
2014-04-01 08:22:06.100328	148255	47	2	10
2014-04-01 08:22:06.332384	148256	21.0	1	10
2014-04-01 08:22:14.953252	148257	62	2	8
2014-04-01 08:22:15.174725	148258	20.3	1	8
2014-04-01 08:22:25.159079	148259	53	2	1
2014-04-01 08:22:25.388829	148260	21.0	1	1
2014-04-01 08:22:35.930538	148261	65	2	24
2014-04-01 08:22:36.152044	148262	18.9	1	24
2014-04-01 08:22:38.758985	148263	49	2	25
2014-04-01 08:22:38.992646	148264	17.3	1	25
2014-04-01 08:22:45.102559	148265	47	2	10
2014-04-01 08:22:45.322452	148266	21.0	1	10
2014-04-01 08:22:53.953135	148267	62	2	8
2014-04-01 08:22:54.184176	148268	20.3	1	8
2014-04-01 08:23:04.157895	148269	53	2	1
2014-04-01 08:23:04.379017	148270	21.0	1	1
2014-04-01 08:23:14.931783	148271	65	2	24
2014-04-01 08:23:15.163624	148272	18.9	1	24
2014-04-01 08:23:17.698944	148273	49	2	25
2014-04-01 08:23:17.92176	148274	17.3	1	25
2014-04-01 08:23:24.10015	148275	47	2	10
2014-04-01 08:23:24.331391	148276	21.1	1	10
2014-04-01 08:23:32.95327	148277	62	2	8
2014-04-01 08:23:33.175747	148278	20.3	1	8
2014-04-01 08:23:43.15993	148279	53	2	1
2014-04-01 08:23:43.39	148280	21.0	1	1
2014-04-01 08:23:53.936312	148281	65	2	24
2014-04-01 08:23:54.157256	148282	18.9	1	24
2014-04-01 08:23:56.700429	148283	49	2	25
2014-04-01 08:23:56.933086	148284	17.3	1	25
2014-04-01 08:24:03.100423	148285	47	2	10
2014-04-01 08:24:03.320999	148286	21.1	1	10
2014-04-01 08:24:11.956405	148287	62	2	8
2014-04-01 08:24:12.187588	148288	20.2	1	8
2014-04-01 08:24:22.15826	148289	54	2	1
2014-04-01 08:24:22.379193	148290	20.9	1	1
2014-04-01 08:24:32.929287	148291	65	2	24
2014-04-01 08:24:33.163349	148292	18.9	1	24
2014-04-01 08:24:35.700271	148293	49	2	25
2014-04-01 08:24:35.923232	148294	17.3	1	25
2014-04-01 08:24:42.102152	148295	47	2	10
2014-04-01 08:24:42.344275	148296	21.1	1	10
2014-04-01 08:24:50.953519	148297	62	2	8
2014-04-01 08:24:51.176662	148298	20.2	1	8
2014-04-01 08:25:01.16244	148299	54	2	1
2014-04-01 08:25:01.393209	148300	20.9	1	1
2014-04-01 08:25:11.9292	148301	65	2	24
2014-04-01 08:25:12.152142	148302	18.8	1	24
2014-04-01 08:25:14.698184	148303	49	2	25
2014-04-01 08:25:14.93248	148304	17.3	1	25
2014-04-01 08:25:21.101479	148305	47	2	10
2014-04-01 08:25:21.325116	148306	21.1	1	10
2014-04-01 08:25:29.953368	148307	61	2	8
2014-04-01 08:25:30.185149	148308	20.2	1	8
2014-04-01 08:25:40.158215	148309	54	2	1
2014-04-01 08:25:40.382284	148310	20.9	1	1
2014-04-01 08:25:50.929084	148311	65	2	24
2014-04-01 08:25:51.160782	148312	18.8	1	24
2014-04-01 08:25:53.698857	148313	49	2	25
2014-04-01 08:25:53.922739	148314	17.3	1	25
2014-04-01 08:26:00.102378	148315	47	2	10
2014-04-01 08:26:00.335316	148316	21.1	1	10
2014-04-01 08:26:08.953029	148317	61	2	8
2014-04-01 08:26:09.176186	148318	20.2	1	8
2014-04-01 08:26:19.156998	148319	54	2	1
2014-04-01 08:26:19.389088	148320	20.9	1	1
2014-04-01 08:26:29.929436	148321	65	2	24
2014-04-01 08:26:30.163789	148322	18.8	1	24
2014-04-01 08:26:32.698451	148323	49	2	25
2014-04-01 08:26:32.929385	148324	17.3	1	25
2014-04-01 08:26:39.101751	148325	47	2	10
2014-04-01 08:26:39.324313	148326	21.1	1	10
2014-04-01 08:26:47.9516	148327	61	2	8
2014-04-01 08:26:48.183604	148328	20.2	1	8
2014-04-01 08:26:58.157851	148329	54	2	1
2014-04-01 08:26:58.377951	148330	20.9	1	1
2014-04-01 08:27:08.929208	148331	65	2	24
2014-04-01 08:27:09.159267	148332	18.8	1	24
2014-04-01 08:27:11.940419	148333	49	2	25
2014-04-01 08:27:12.163749	148334	17.3	1	25
2014-04-01 08:27:18.101499	148335	47	2	10
2014-04-01 08:27:18.332881	148336	21.1	1	10
2014-04-01 08:27:26.953689	148337	61	2	8
2014-04-01 08:27:27.175071	148338	20.2	1	8
2014-04-01 08:27:31.843579	148339	498	3	2
2014-04-01 08:27:32.075556	148340	1162233.030500836	4	2
2014-04-01 08:27:37.163812	148341	54	2	1
2014-04-01 08:27:37.386111	148342	20.9	1	1
2014-04-01 08:27:47.928273	148343	65	2	24
2014-04-01 08:27:48.169412	148344	18.8	1	24
2014-04-01 08:27:50.699954	148345	49	2	25
2014-04-01 08:27:50.920335	148346	17.3	1	25
2014-04-01 08:27:57.102179	148347	47	2	10
2014-04-01 08:27:57.33506	148348	21.1	1	10
2014-04-01 08:28:05.952908	148349	61	2	8
2014-04-01 08:28:06.173041	148350	20.2	1	8
2014-04-01 08:28:16.155689	148351	54	2	1
2014-04-01 08:28:16.384772	148352	20.9	1	1
2014-04-01 08:28:26.927579	148353	65	2	24
2014-04-01 08:28:27.146863	148354	18.8	1	24
2014-04-01 08:28:29.69965	148355	49	2	25
2014-04-01 08:28:29.930197	148356	17.3	1	25
2014-04-01 08:28:31.8447	148357	595	3	2
2014-04-01 08:28:32.065577	148358	1162242.2227786074	4	2
2014-04-01 08:28:36.101882	148359	47	2	10
2014-04-01 08:28:36.333172	148360	21.1	1	10
2014-04-01 08:28:44.952432	148361	61	2	8
2014-04-01 08:28:45.173657	148362	20.2	1	8
2014-04-01 08:28:55.156233	148363	54	2	1
2014-04-01 08:28:55.387815	148364	20.9	1	1
2014-04-01 08:29:05.927398	148365	65	2	24
2014-04-01 08:29:06.149783	148366	18.8	1	24
2014-04-01 08:29:08.739209	148367	49	2	25
2014-04-01 08:29:08.989317	148368	17.3	1	25
2014-04-01 08:29:15.100835	148369	47	2	10
2014-04-01 08:29:15.322997	148370	21.1	1	10
2014-04-01 08:29:23.954713	148371	61	2	8
2014-04-01 08:29:24.1849	148372	20.2	1	8
2014-04-01 08:29:34.15688	148373	54	2	1
2014-04-01 08:29:34.377393	148374	20.9	1	1
2014-04-01 08:29:44.925223	148375	65	2	24
2014-04-01 08:29:45.157794	148376	18.8	1	24
2014-04-01 08:29:47.696535	148377	49	2	25
2014-04-01 08:29:47.916762	148378	17.3	1	25
2014-04-01 08:29:54.102446	148379	47	2	10
2014-04-01 08:29:54.334162	148380	21.1	1	10
2014-04-01 08:30:02.952701	148381	61	2	8
2014-04-01 08:30:03.179066	148382	20.2	1	8
2014-04-01 08:30:13.159329	148383	54	2	1
2014-04-01 08:30:13.391221	148384	20.9	1	1
2014-04-01 08:30:23.925774	148385	65	2	24
2014-04-01 08:30:24.149751	148386	18.8	1	24
2014-04-01 08:30:26.695694	148387	49	2	25
2014-04-01 08:30:26.926081	148388	17.3	1	25
2014-04-01 08:30:33.10358	148389	47	2	10
2014-04-01 08:30:33.326297	148390	21.2	1	10
2014-04-01 08:30:41.953993	148391	61	2	8
2014-04-01 08:30:42.198593	148392	20.2	1	8
2014-04-01 08:30:52.157507	148393	54	2	1
2014-04-01 08:30:52.378277	148394	20.8	1	1
2014-04-01 08:31:02.92366	148395	65	2	24
2014-04-01 08:31:03.155269	148396	18.8	1	24
2014-04-01 08:31:05.696317	148397	49	2	25
2014-04-01 08:31:05.918455	148398	17.3	1	25
2014-04-01 08:31:12.102234	148399	47	2	10
2014-04-01 08:31:12.336188	148400	21.2	1	10
2014-04-01 08:31:20.953498	148401	61	2	8
2014-04-01 08:31:21.176672	148402	20.2	1	8
2014-04-01 08:31:31.157127	148403	54	2	1
2014-04-01 08:31:31.392728	148404	20.8	1	1
2014-04-01 08:31:41.923487	148405	65	2	24
2014-04-01 08:31:42.146246	148406	18.8	1	24
2014-04-01 08:31:43.842113	148407	2511	3	2
2014-04-01 08:31:44.076935	148408	1162316.9100354994	4	2
2014-04-01 08:31:44.695863	148409	49	2	25
2014-04-01 08:31:44.916996	148410	17.3	1	25
2014-04-01 08:31:51.103195	148411	47	2	10
2014-04-01 08:31:51.336759	148412	21.2	1	10
2014-04-01 08:31:59.952743	148413	61	2	8
2014-04-01 08:32:00.174474	148414	20.2	1	8
2014-04-01 08:32:10.154641	148415	54	2	1
2014-04-01 08:32:10.386411	148416	20.8	1	1
2014-04-01 08:32:20.924752	148417	65	2	24
2014-04-01 08:32:21.145164	148418	18.8	1	24
2014-04-01 08:32:23.6953	148419	49	2	25
2014-04-01 08:32:23.926505	148420	17.3	1	25
2014-04-01 08:32:30.101973	148421	47	2	10
2014-04-01 08:32:30.325598	148422	21.2	1	10
2014-04-01 08:32:39.008322	148423	61	2	8
2014-04-01 08:32:39.243369	148424	20.2	1	8
2014-04-01 08:32:49.153574	148425	54	2	1
2014-04-01 08:32:49.375893	148426	20.8	1	1
2014-04-01 08:32:59.922957	148427	65	2	24
2014-04-01 08:33:00.157185	148428	18.8	1	24
2014-04-01 08:33:02.697278	148429	49	2	25
2014-04-01 08:33:02.919531	148430	17.3	1	25
2014-04-01 08:33:07.841902	148431	2527	3	2
2014-04-01 08:33:08.074544	148432	1162375.5152772437	4	2
2014-04-01 08:33:09.103914	148433	47	2	10
2014-04-01 08:33:09.325885	148434	21.2	1	10
2014-04-01 08:33:17.952654	148435	61	2	8
2014-04-01 08:33:18.18288	148436	20.2	1	8
2014-04-01 08:33:28.152092	148437	53	2	1
2014-04-01 08:33:28.373141	148438	20.8	1	1
2014-04-01 08:33:38.921627	148439	65	2	24
2014-04-01 08:33:39.220163	148440	18.8	1	24
2014-04-01 08:33:41.696394	148441	49	2	25
2014-04-01 08:33:41.917735	148442	17.3	1	25
2014-04-01 08:33:48.103371	148443	47	2	10
2014-04-01 08:33:48.334348	148444	21.2	1	10
2014-04-01 08:33:56.952008	148445	61	2	8
2014-04-01 08:33:57.173568	148446	20.2	1	8
2014-04-01 08:34:07.153205	148447	53	2	1
2014-04-01 08:34:07.383529	148448	20.8	1	1
2014-04-01 08:34:17.923234	148449	65	2	24
2014-04-01 08:34:18.14422	148450	18.8	1	24
2014-04-01 08:34:20.694825	148451	49	2	25
2014-04-01 08:34:20.927745	148452	17.3	1	25
2014-04-01 08:34:27.102283	148453	47	2	10
2014-04-01 08:34:27.324016	148454	21.2	1	10
2014-04-01 08:34:35.953914	148455	61	2	8
2014-04-01 08:34:36.194905	148456	20.2	1	8
2014-04-01 08:34:46.155315	148457	53	2	1
2014-04-01 08:34:46.377479	148458	20.8	1	1
2014-04-01 08:34:56.920131	148459	65	2	24
2014-04-01 08:34:57.151998	148460	18.7	1	24
2014-04-01 08:34:59.695469	148461	49	2	25
2014-04-01 08:34:59.916206	148462	17.3	1	25
2014-04-01 08:35:06.103355	148463	47	2	10
2014-04-01 08:35:06.334526	148464	21.2	1	10
2014-04-01 08:35:14.952429	148465	61	2	8
2014-04-01 08:35:15.175388	148466	20.2	1	8
2014-04-01 08:35:25.152737	148467	53	2	1
2014-04-01 08:35:25.385686	148468	20.8	1	1
2014-04-01 08:35:35.919026	148469	65	2	24
2014-04-01 08:35:36.142976	148470	18.7	1	24
2014-04-01 08:35:38.696117	148471	49	2	25
2014-04-01 08:35:38.928272	148472	17.3	1	25
2014-04-01 08:35:45.10414	148473	47	2	10
2014-04-01 08:35:45.326593	148474	21.2	1	10
2014-04-01 08:35:53.952505	148475	61	2	8
2014-04-01 08:35:54.185673	148476	20.2	1	8
2014-04-01 08:36:04.15425	148477	53	2	1
2014-04-01 08:36:04.376391	148478	20.8	1	1
2014-04-01 08:36:14.917714	148479	65	2	24
2014-04-01 08:36:15.148188	148480	18.7	1	24
2014-04-01 08:36:17.694244	148481	49	2	25
2014-04-01 08:36:17.915845	148482	17.3	1	25
2014-04-01 08:36:24.104452	148483	47	2	10
2014-04-01 08:36:24.338171	148484	21.2	1	10
2014-04-01 08:36:32.951195	148485	61	2	8
2014-04-01 08:36:33.174027	148486	20.2	1	8
2014-04-01 08:36:43.150719	148487	53	2	1
2014-04-01 08:36:43.39584	148488	20.8	1	1
2014-04-01 08:36:53.918794	148489	65	2	24
2014-04-01 08:36:54.143285	148490	18.7	1	24
2014-04-01 08:36:56.692538	148491	49	2	25
2014-04-01 08:36:56.924003	148492	17.3	1	25
2014-04-01 08:37:03.103519	148493	47	2	10
2014-04-01 08:37:03.328024	148494	21.2	1	10
2014-04-01 08:37:11.952067	148495	61	2	8
2014-04-01 08:37:12.184748	148496	20.2	1	8
2014-04-01 08:37:22.14872	148497	53	2	1
2014-04-01 08:37:22.372922	148498	20.8	1	1
2014-04-01 08:37:32.915015	148499	65	2	24
2014-04-01 08:37:33.146884	148500	18.7	1	24
2014-04-01 08:37:35.693258	148501	49	2	25
2014-04-01 08:37:35.914638	148502	17.3	1	25
2014-04-01 08:37:42.104456	148503	47	2	10
2014-04-01 08:37:42.337951	148504	21.2	1	10
2014-04-01 08:37:50.954933	148505	61	2	8
2014-04-01 08:37:51.177288	148506	20.2	1	8
2014-04-01 08:38:01.149394	148507	53	2	1
2014-04-01 08:38:01.379241	148508	20.8	1	1
2014-04-01 08:38:11.917143	148509	65	2	24
2014-04-01 08:38:12.139026	148510	18.7	1	24
2014-04-01 08:38:14.693491	148511	49	2	25
2014-04-01 08:38:14.932568	148512	17.3	1	25
2014-04-01 08:38:21.104845	148513	47	2	10
2014-04-01 08:38:21.327192	148514	21.2	1	10
2014-04-01 08:38:29.952068	148515	61	2	8
2014-04-01 08:38:30.183465	148516	20.2	1	8
2014-04-01 08:38:40.15335	148517	53	2	1
2014-04-01 08:38:40.374228	148518	20.8	1	1
2014-04-01 08:38:50.915296	148519	65	2	24
2014-04-01 08:38:51.146832	148520	18.7	1	24
2014-04-01 08:38:53.694572	148521	49	2	25
2014-04-01 08:38:53.91675	148522	17.3	1	25
2014-04-01 08:39:00.104552	148523	47	2	10
2014-04-01 08:39:00.336192	148524	21.2	1	10
2014-04-01 08:39:08.951032	148525	61	2	8
2014-04-01 08:39:09.2314	148526	20.2	1	8
2014-04-01 08:39:19.143182	148527	53	2	1
2014-04-01 08:39:19.375799	148528	20.8	1	1
2014-04-01 08:39:29.914249	148529	65	2	24
2014-04-01 08:39:30.136538	148530	18.7	1	24
2014-04-01 08:39:32.693638	148531	49	2	25
2014-04-01 08:39:32.926526	148532	17.3	1	25
2014-04-01 08:39:39.105307	148533	47	2	10
2014-04-01 08:39:39.38396	148534	21.2	1	10
2014-04-01 08:39:47.953417	148535	61	2	8
2014-04-01 08:39:48.196021	148536	20.2	1	8
2014-04-01 08:39:58.148544	148537	53	2	1
2014-04-01 08:39:58.370975	148538	20.7	1	1
2014-04-01 08:40:08.916055	148539	65	2	24
2014-04-01 08:40:09.205463	148540	18.7	1	24
2014-04-01 08:40:11.692615	148541	49	2	25
2014-04-01 08:40:11.915631	148542	17.3	1	25
2014-04-01 08:40:18.105065	148543	47	2	10
2014-04-01 08:40:18.33644	148544	21.2	1	10
2014-04-01 08:40:26.953416	148545	61	2	8
2014-04-01 08:40:27.174672	148546	20.2	1	8
2014-04-01 08:40:37.149877	148547	53	2	1
2014-04-01 08:40:37.381431	148548	20.7	1	1
2014-04-01 08:40:47.912726	148549	65	2	24
2014-04-01 08:40:48.138892	148550	18.7	1	24
2014-04-01 08:40:50.691286	148551	49	2	25
2014-04-01 08:40:50.923208	148552	17.3	1	25
2014-04-01 08:40:57.106503	148553	47	2	10
2014-04-01 08:40:57.349943	148554	21.2	1	10
2014-04-01 08:41:05.951999	148555	61	2	8
2014-04-01 08:41:06.184972	148556	20.2	1	8
2014-04-01 08:41:26.910219	148557	65	2	24
2014-04-01 08:41:27.133233	148558	18.6	1	24
2014-04-01 08:41:29.691019	148559	49	2	25
2014-04-01 08:41:29.923049	148560	17.3	1	25
2014-04-01 08:41:36.105729	148561	47	2	10
2014-04-01 08:41:36.329061	148562	21.2	1	10
2014-04-01 08:41:44.951038	148563	60	2	8
2014-04-01 08:41:45.18337	148564	20.2	1	8
2014-04-01 08:41:55.385833	148565	53	2	1
2014-04-01 08:41:55.607612	148566	20.7	1	1
2014-04-01 08:42:05.910583	148567	65	2	24
2014-04-01 08:42:06.142868	148568	18.6	1	24
2014-04-01 08:42:08.692665	148569	49	2	25
2014-04-01 08:42:08.913965	148570	17.3	1	25
2014-04-01 08:42:15.106573	148571	47	2	10
2014-04-01 08:42:15.341362	148572	21.2	1	10
2014-04-01 08:42:23.955067	148573	60	2	8
2014-04-01 08:42:24.182961	148574	20.2	1	8
2014-04-01 08:42:34.145204	148575	53	2	1
2014-04-01 08:42:34.378823	148576	20.7	1	1
2014-04-01 08:42:44.909493	148577	65	2	24
2014-04-01 08:42:45.137357	148578	18.6	1	24
2014-04-01 08:42:47.692343	148579	49	2	25
2014-04-01 08:42:47.925173	148580	17.3	1	25
2014-04-01 08:42:54.312047	148581	47	2	10
2014-04-01 08:42:54.536036	148582	21.3	1	10
2014-04-01 08:43:02.95215	148583	60	2	8
2014-04-01 08:43:03.197595	148584	20.1	1	8
2014-04-01 08:43:13.147624	148585	53	2	1
2014-04-01 08:43:13.37088	148586	20.7	1	1
2014-04-01 08:43:23.909241	148587	65	2	24
2014-04-01 08:43:24.140226	148588	18.6	1	24
2014-04-01 08:43:26.691542	148589	49	2	25
2014-04-01 08:43:26.913079	148590	17.3	1	25
2014-04-01 08:43:33.107206	148591	47	2	10
2014-04-01 08:43:33.339738	148592	21.3	1	10
2014-04-01 08:43:41.953388	148593	60	2	8
2014-04-01 08:43:42.180781	148594	20.1	1	8
2014-04-01 08:43:52.144204	148595	53	2	1
2014-04-01 08:43:52.377139	148596	20.7	1	1
2014-04-01 08:44:02.908187	148597	65	2	24
2014-04-01 08:44:03.132453	148598	18.6	1	24
2014-04-01 08:44:05.692493	148599	49	2	25
2014-04-01 08:44:05.923841	148600	17.3	1	25
2014-04-01 08:44:12.107193	148601	47	2	10
2014-04-01 08:44:12.330338	148602	21.3	1	10
2014-04-01 08:44:20.952668	148603	60	2	8
2014-04-01 08:44:21.183868	148604	20.1	1	8
2014-04-01 08:44:31.143448	148605	53	2	1
2014-04-01 08:44:31.367047	148606	20.7	1	1
2014-04-01 08:44:41.907055	148607	65	2	24
2014-04-01 08:44:42.139959	148608	18.6	1	24
2014-04-01 08:44:44.690252	148609	49	2	25
2014-04-01 08:44:44.921104	148610	17.3	1	25
2014-04-01 08:44:51.106075	148611	47	2	10
2014-04-01 08:44:51.338418	148612	21.3	1	10
2014-04-01 08:44:59.952737	148613	60	2	8
2014-04-01 08:45:00.176278	148614	20.1	1	8
2014-04-01 08:45:10.144085	148615	53	2	1
2014-04-01 08:45:10.375923	148616	20.7	1	1
2014-04-01 08:45:20.911756	148617	65	2	24
2014-04-01 08:45:21.133654	148618	18.6	1	24
2014-04-01 08:45:23.690981	148619	49	2	25
2014-04-01 08:45:23.92402	148620	17.3	1	25
2014-04-01 08:45:30.107314	148621	47	2	10
2014-04-01 08:45:30.329583	148622	21.3	1	10
2014-04-01 08:45:38.954404	148623	61	2	8
2014-04-01 08:45:39.185161	148624	20.1	1	8
2014-04-01 08:45:49.144258	148625	53	2	1
2014-04-01 08:45:49.365056	148626	20.7	1	1
2014-04-01 08:45:59.914408	148627	65	2	24
2014-04-01 08:46:00.147657	148628	18.6	1	24
2014-04-01 08:46:02.690866	148629	49	2	25
2014-04-01 08:46:02.912256	148630	17.3	1	25
2014-04-01 08:46:09.108835	148631	47	2	10
2014-04-01 08:46:09.406681	148632	21.3	1	10
2014-04-01 08:46:17.952727	148633	61	2	8
2014-04-01 08:46:18.176069	148634	20.1	1	8
2014-04-01 08:46:28.144224	148635	53	2	1
2014-04-01 08:46:28.376474	148636	20.7	1	1
2014-04-01 08:46:39.14637	148637	65	2	24
2014-04-01 08:46:39.400032	148638	18.6	1	24
2014-04-01 08:46:41.688656	148639	49	2	25
2014-04-01 08:46:41.919364	148640	17.3	1	25
2014-04-01 08:46:48.106973	148641	47	2	10
2014-04-01 08:46:48.331603	148642	21.3	1	10
2014-04-01 08:46:56.952543	148643	60	2	8
2014-04-01 08:46:57.187137	148644	20.1	1	8
2014-04-01 08:47:07.142389	148645	53	2	1
2014-04-01 08:47:07.366942	148646	20.6	1	1
2014-04-01 08:47:17.905364	148647	65	2	24
2014-04-01 08:47:18.136366	148648	18.6	1	24
2014-04-01 08:47:20.690006	148649	49	2	25
2014-04-01 08:47:20.911775	148650	17.3	1	25
2014-04-01 08:47:27.107732	148651	47	2	10
2014-04-01 08:47:27.341199	148652	21.3	1	10
2014-04-01 08:47:35.953069	148653	60	2	8
2014-04-01 08:47:36.176189	148654	20.1	1	8
2014-04-01 08:47:46.141528	148655	53	2	1
2014-04-01 08:47:46.375809	148656	20.6	1	1
2014-04-01 08:47:56.904164	148657	65	2	24
2014-04-01 08:47:57.126192	148658	18.5	1	24
2014-04-01 08:47:59.689292	148659	49	2	25
2014-04-01 08:47:59.921112	148660	17.3	1	25
2014-04-01 08:48:06.107883	148661	47	2	10
2014-04-01 08:48:06.329436	148662	21.3	1	10
2014-04-01 08:48:14.953472	148663	60	2	8
2014-04-01 08:48:15.184932	148664	20.1	1	8
2014-04-01 08:48:25.141405	148665	53	2	1
2014-04-01 08:48:25.363735	148666	20.6	1	1
2014-04-01 08:48:35.904703	148667	65	2	24
2014-04-01 08:48:36.135877	148668	18.5	1	24
2014-04-01 08:48:38.68972	148669	49	2	25
2014-04-01 08:48:38.912863	148670	17.3	1	25
2014-04-01 08:48:45.107494	148671	47	2	10
2014-04-01 08:48:45.337808	148672	21.3	1	10
2014-04-01 08:48:53.952555	148673	60	2	8
2014-04-01 08:48:54.175189	148674	20.1	1	8
2014-04-01 08:49:04.141333	148675	53	2	1
2014-04-01 08:49:04.373682	148676	20.6	1	1
2014-04-01 08:49:14.905036	148677	65	2	24
2014-04-01 08:49:15.131631	148678	18.5	1	24
2014-04-01 08:49:17.689822	148679	49	2	25
2014-04-01 08:49:17.933994	148680	17.3	1	25
2014-04-01 08:49:24.108913	148681	47	2	10
2014-04-01 08:49:24.330032	148682	21.3	1	10
2014-04-01 08:49:32.962487	148683	60	2	8
2014-04-01 08:49:33.193494	148684	20.1	1	8
2014-04-01 08:49:43.142645	148685	53	2	1
2014-04-01 08:49:43.363933	148686	20.6	1	1
2014-04-01 08:49:53.901456	148687	65	2	24
2014-04-01 08:49:54.131667	148688	18.5	1	24
2014-04-01 08:49:56.688236	148689	49	2	25
2014-04-01 08:49:56.910907	148690	17.3	1	25
2014-04-01 08:50:03.10845	148691	47	2	10
2014-04-01 08:50:03.339585	148692	21.3	1	10
2014-04-01 08:50:11.950279	148693	60	2	8
2014-04-01 08:50:12.173104	148694	20.1	1	8
2014-04-01 08:50:22.139992	148695	53	2	1
2014-04-01 08:50:22.37118	148696	20.6	1	1
2014-04-01 08:50:32.902083	148697	65	2	24
2014-04-01 08:50:33.12421	148698	18.5	1	24
2014-04-01 08:50:35.687163	148699	49	2	25
2014-04-01 08:50:35.920962	148700	17.3	1	25
2014-04-01 08:50:42.107768	148701	47	2	10
2014-04-01 08:50:42.329393	148702	21.3	1	10
2014-04-01 08:50:50.952758	148703	60	2	8
2014-04-01 08:50:51.185055	148704	20.1	1	8
2014-04-01 08:51:01.140789	148705	53	2	1
2014-04-01 08:51:01.361943	148706	20.6	1	1
2014-04-01 08:51:11.900339	148707	65	2	24
2014-04-01 08:51:12.133211	148708	18.5	1	24
2014-04-01 08:51:14.687832	148709	49	2	25
2014-04-01 08:51:14.916682	148710	17.3	1	25
2014-04-01 08:51:21.110584	148711	47	2	10
2014-04-01 08:51:21.342839	148712	21.3	1	10
2014-04-01 08:51:29.952179	148713	60	2	8
2014-04-01 08:51:30.175825	148714	20.1	1	8
2014-04-01 08:51:40.147201	148715	53	2	1
2014-04-01 08:51:40.379094	148716	20.6	1	1
2014-04-01 08:51:50.900321	148717	65	2	24
2014-04-01 08:51:51.126875	148718	18.5	1	24
2014-04-01 08:51:53.688198	148719	49	2	25
2014-04-01 08:51:53.919626	148720	17.3	1	25
2014-04-01 08:52:00.109752	148721	47	2	10
2014-04-01 08:52:00.3328	148722	21.2	1	10
2014-04-01 08:52:07.879274	148723	56	2	9
2014-04-01 08:52:08.11335	148724	20.4	1	9
2014-04-01 08:52:08.952624	148725	60	2	8
2014-04-01 08:52:09.175035	148726	20.1	1	8
2014-04-01 08:52:19.146148	148727	53	2	1
2014-04-01 08:52:19.38844	148728	20.6	1	1
2014-04-01 08:52:29.899364	148729	65	2	24
2014-04-01 08:52:30.120926	148730	18.5	1	24
2014-04-01 08:52:32.6935	148731	49	2	25
2014-04-01 08:52:32.924863	148732	17.3	1	25
2014-04-01 08:52:39.107813	148733	47	2	10
2014-04-01 08:52:39.334088	148734	21.2	1	10
2014-04-01 08:52:47.952079	148735	60	2	8
2014-04-01 08:52:48.184104	148736	20.1	1	8
2014-04-01 08:52:58.140065	148737	53	2	1
2014-04-01 08:52:58.364536	148738	20.6	1	1
2014-04-01 08:53:08.899278	148739	65	2	24
2014-04-01 08:53:09.130106	148740	18.5	1	24
2014-04-01 08:53:11.68746	148741	49	2	25
2014-04-01 08:53:11.909104	148742	17.3	1	25
2014-04-01 08:53:18.110247	148743	47	2	10
2014-04-01 08:53:18.343821	148744	21.2	1	10
2014-04-01 08:53:26.952809	148745	60	2	8
2014-04-01 08:53:27.176504	148746	20.1	1	8
2014-04-01 08:53:37.3802	148747	53	2	1
2014-04-01 08:53:37.613009	148748	20.6	1	1
2014-04-01 08:53:47.900035	148749	65	2	24
2014-04-01 08:53:48.123062	148750	18.4	1	24
2014-04-01 08:53:50.685987	148751	49	2	25
2014-04-01 08:53:50.919495	148752	17.3	1	25
2014-04-01 08:53:57.109163	148753	47	2	10
2014-04-01 08:53:57.330216	148754	21.2	1	10
2014-04-01 08:54:05.95299	148755	60	2	8
2014-04-01 08:54:06.186495	148756	20.1	1	8
2014-04-01 08:54:16.139236	148757	53	2	1
2014-04-01 08:54:16.361632	148758	20.6	1	1
2014-04-01 08:54:26.89831	148759	65	2	24
2014-04-01 08:54:27.130317	148760	18.4	1	24
2014-04-01 08:54:29.685144	148761	49	2	25
2014-04-01 08:54:29.907263	148762	17.3	1	25
2014-04-01 08:54:36.109231	148763	47	2	10
2014-04-01 08:54:36.342724	148764	21.2	1	10
2014-04-01 08:54:44.953927	148765	60	2	8
2014-04-01 08:54:45.179475	148766	20.1	1	8
2014-04-01 08:54:55.141888	148767	53	2	1
2014-04-01 08:54:55.375948	148768	20.6	1	1
2014-04-01 08:55:05.899261	148769	65	2	24
2014-04-01 08:55:06.120807	148770	18.4	1	24
2014-04-01 08:55:08.686686	148771	49	2	25
2014-04-01 08:55:08.919308	148772	17.3	1	25
2014-04-01 08:55:15.110244	148773	47	2	10
2014-04-01 08:55:15.334417	148774	21.2	1	10
2014-04-01 08:55:23.952744	148775	60	2	8
2014-04-01 08:55:24.196055	148776	20.1	1	8
2014-04-01 08:55:34.139212	148777	53	2	1
2014-04-01 08:55:34.361142	148778	20.5	1	1
2014-04-01 08:55:44.898865	148779	65	2	24
2014-04-01 08:55:45.137043	148780	18.4	1	24
2014-04-01 08:55:47.685989	148781	49	2	25
2014-04-01 08:55:47.910333	148782	17.3	1	25
2014-04-01 08:55:54.110189	148783	47	2	10
2014-04-01 08:55:54.343851	148784	21.2	1	10
2014-04-01 08:56:02.957031	148785	60	2	8
2014-04-01 08:56:03.179084	148786	20.1	1	8
2014-04-01 08:56:13.13964	148787	53	2	1
2014-04-01 08:56:13.369597	148788	20.5	1	1
2014-04-01 08:56:23.899811	148789	65	2	24
2014-04-01 08:56:24.123498	148790	18.4	1	24
2014-04-01 08:56:26.684848	148791	49	2	25
2014-04-01 08:56:26.918544	148792	17.3	1	25
2014-04-01 08:56:33.108754	148793	47	2	10
2014-04-01 08:56:33.330615	148794	21.2	1	10
2014-04-01 08:56:41.95524	148795	60	2	8
2014-04-01 08:56:42.186448	148796	20.1	1	8
2014-04-01 08:56:52.13966	148797	53	2	1
2014-04-01 08:56:52.361579	148798	20.5	1	1
2014-04-01 08:57:02.894344	148799	65	2	24
2014-04-01 08:57:03.127891	148800	18.4	1	24
2014-04-01 08:57:05.683471	148801	49	2	25
2014-04-01 08:57:05.906371	148802	17.3	1	25
2014-04-01 08:57:12.112827	148803	47	2	10
2014-04-01 08:57:12.346607	148804	21.2	1	10
2014-04-01 08:57:20.951977	148805	59	2	8
2014-04-01 08:57:21.174497	148806	20.1	1	8
2014-04-01 08:57:31.140891	148807	53	2	1
2014-04-01 08:57:31.372601	148808	20.5	1	1
2014-04-01 08:57:41.89557	148809	65	2	24
2014-04-01 08:57:42.118084	148810	18.4	1	24
2014-04-01 08:57:44.6847	148811	49	2	25
2014-04-01 08:57:44.924144	148812	17.3	1	25
2014-04-01 08:57:51.109057	148813	47	2	10
2014-04-01 08:57:51.33396	148814	21.2	1	10
2014-04-01 08:57:59.952546	148815	59	2	8
2014-04-01 08:58:00.184012	148816	20.1	1	8
2014-04-01 08:58:10.136701	148817	53	2	1
2014-04-01 08:58:10.360008	148818	20.5	1	1
2014-04-01 08:58:20.89356	148819	65	2	24
2014-04-01 08:58:21.125386	148820	18.4	1	24
2014-04-01 08:58:23.683546	148821	49	2	25
2014-04-01 08:58:23.90687	148822	17.3	1	25
2014-04-01 08:58:30.110245	148823	47	2	10
2014-04-01 08:58:30.354452	148824	21.2	1	10
2014-04-01 08:58:38.962735	148825	59	2	8
2014-04-01 08:58:39.184345	148826	20.1	1	8
2014-04-01 08:58:49.134944	148827	53	2	1
2014-04-01 08:58:49.553694	148828	20.5	1	1
2014-04-01 08:58:59.895439	148829	64	2	24
2014-04-01 08:59:00.122585	148830	18.3	1	24
2014-04-01 08:59:02.684457	148831	49	2	25
2014-04-01 08:59:02.904332	148832	17.3	1	25
2014-04-01 08:59:09.111359	148833	47	2	10
2014-04-01 08:59:09.342195	148834	21.2	1	10
2014-04-01 08:59:17.951576	148835	59	2	8
2014-04-01 08:59:18.172841	148836	20.1	1	8
2014-04-01 08:59:28.135111	148837	53	2	1
2014-04-01 08:59:28.364775	148838	20.5	1	1
2014-04-01 08:59:38.89292	148839	64	2	24
2014-04-01 08:59:39.113529	148840	18.3	1	24
2014-04-01 08:59:41.683737	148841	49	2	25
2014-04-01 08:59:41.915857	148842	17.3	1	25
2014-04-01 08:59:48.11132	148843	47	2	10
2014-04-01 08:59:48.332766	148844	21.2	1	10
2014-04-01 08:59:56.951774	148845	59	2	8
2014-04-01 08:59:57.183448	148846	20.1	1	8
2014-04-01 09:00:07.135213	148847	53	2	1
2014-04-01 09:00:07.355448	148848	20.5	1	1
2014-04-01 09:00:17.889989	148849	64	2	24
2014-04-01 09:00:18.121838	148850	18.3	1	24
2014-04-01 09:00:20.68657	148851	49	2	25
2014-04-01 09:00:20.908949	148852	17.3	1	25
2014-04-01 09:00:27.110647	148853	47	2	10
2014-04-01 09:00:27.342078	148854	21.2	1	10
2014-04-01 09:00:31.839407	148855	611	3	2
2014-04-01 09:00:32.060005	148856	1163079.8825033756	4	2
2014-04-01 09:00:35.951614	148857	59	2	8
2014-04-01 09:00:36.18349	148858	20.1	1	8
2014-04-01 09:00:46.138954	148859	53	2	1
2014-04-01 09:00:46.361536	148860	20.5	1	1
2014-04-01 09:00:56.891287	148861	64	2	24
2014-04-01 09:00:57.122778	148862	18.3	1	24
2014-04-01 09:00:59.681416	148863	49	2	25
2014-04-01 09:00:59.905216	148864	17.3	1	25
2014-04-01 09:01:06.111546	148865	47	2	10
2014-04-01 09:01:06.34172	148866	21.2	1	10
2014-04-01 09:01:14.955762	148867	59	2	8
2014-04-01 09:01:15.178948	148868	20.0	1	8
2014-04-01 09:01:25.137397	148869	53	2	1
2014-04-01 09:01:25.368223	148870	20.5	1	1
2014-04-01 09:01:35.893318	148871	64	2	24
2014-04-01 09:01:36.113592	148872	18.3	1	24
2014-04-01 09:01:38.682122	148873	49	2	25
2014-04-01 09:01:38.92535	148874	17.3	1	25
2014-04-01 09:01:45.111131	148875	47	2	10
2014-04-01 09:01:45.353107	148876	21.2	1	10
2014-04-01 09:01:52.879518	148877	56	2	9
2014-04-01 09:01:53.112972	148878	20.4	1	9
2014-04-01 09:01:53.953706	148879	59	2	8
2014-04-01 09:01:54.173447	148880	20.0	1	8
2014-04-01 09:02:04.137414	148881	53	2	1
2014-04-01 09:02:04.36801	148882	20.5	1	1
2014-04-01 09:02:14.892339	148883	64	2	24
2014-04-01 09:02:15.119296	148884	18.3	1	24
2014-04-01 09:02:17.681606	148885	49	2	25
2014-04-01 09:02:17.915029	148886	17.3	1	25
2014-04-01 09:02:24.112677	148887	47	2	10
2014-04-01 09:02:24.333174	148888	21.2	1	10
2014-04-01 09:02:32.95204	148889	59	2	8
2014-04-01 09:02:33.183967	148890	20.0	1	8
2014-04-01 09:02:43.137502	148891	53	2	1
2014-04-01 09:02:43.361291	148892	20.5	1	1
2014-04-01 09:02:53.889537	148893	64	2	24
2014-04-01 09:02:54.121751	148894	18.3	1	24
2014-04-01 09:02:56.682327	148895	49	2	25
2014-04-01 09:02:56.903642	148896	17.3	1	25
2014-04-01 09:03:03.111973	148897	47	2	10
2014-04-01 09:03:03.344118	148898	21.2	1	10
2014-04-01 09:03:11.95173	148899	59	2	8
2014-04-01 09:03:12.175103	148900	20.0	1	8
2014-04-01 09:03:22.134951	148901	53	2	1
2014-04-01 09:03:22.367002	148902	20.4	1	1
2014-04-01 09:03:32.887977	148903	64	2	24
2014-04-01 09:03:33.109553	148904	18.3	1	24
2014-04-01 09:03:35.681716	148905	49	2	25
2014-04-01 09:03:35.914916	148906	17.3	1	25
2014-04-01 09:03:42.112428	148907	47	2	10
2014-04-01 09:03:42.335175	148908	21.2	1	10
2014-04-01 09:03:50.952068	148909	59	2	8
2014-04-01 09:03:51.183968	148910	20.0	1	8
2014-04-01 09:04:01.132496	148911	53	2	1
2014-04-01 09:04:01.356354	148912	20.4	1	1
2014-04-01 09:04:11.887616	148913	64	2	24
2014-04-01 09:04:12.119124	148914	18.3	1	24
2014-04-01 09:04:14.681332	148915	49	2	25
2014-04-01 09:04:14.991114	148916	17.3	1	25
2014-04-01 09:04:21.114287	148917	47	2	10
2014-04-01 09:04:21.86558	148918	21.2	1	10
2014-04-01 09:04:29.951211	148919	59	2	8
2014-04-01 09:04:30.194494	148920	20.0	1	8
2014-04-01 09:04:40.159495	148921	53	2	1
2014-04-01 09:04:40.439513	148922	20.4	1	1
2014-04-01 09:04:50.888146	148923	64	2	24
2014-04-01 09:04:51.139169	148924	18.3	1	24
2014-04-01 09:04:53.681652	148925	49	2	25
2014-04-01 09:04:53.945505	148926	17.3	1	25
2014-04-01 09:05:00.111429	148927	47	2	10
2014-04-01 09:05:00.33295	148928	21.2	1	10
2014-04-01 09:05:08.95198	148929	59	2	8
2014-04-01 09:05:09.183818	148930	20.0	1	8
2014-04-01 09:05:19.133226	148931	53	2	1
2014-04-01 09:05:19.354982	148932	20.4	1	1
2014-04-01 09:05:29.892039	148933	64	2	24
2014-04-01 09:05:30.12237	148934	18.3	1	24
2014-04-01 09:05:32.68161	148935	49	2	25
2014-04-01 09:05:32.901379	148936	17.3	1	25
2014-04-01 09:05:39.111841	148937	47	2	10
2014-04-01 09:05:39.344287	148938	21.2	1	10
2014-04-01 09:05:47.952335	148939	59	2	8
2014-04-01 09:05:48.17366	148940	20.0	1	8
2014-04-01 09:05:58.133685	148941	53	2	1
2014-04-01 09:05:58.364959	148942	20.4	1	1
2014-04-01 09:06:08.883671	148943	64	2	24
2014-04-01 09:06:09.105437	148944	18.3	1	24
2014-04-01 09:06:11.68116	148945	49	2	25
2014-04-01 09:06:11.914479	148946	17.3	1	25
2014-04-01 09:06:18.112705	148947	47	2	10
2014-04-01 09:06:18.333204	148948	21.2	1	10
2014-04-01 09:06:26.952218	148949	58	2	8
2014-04-01 09:06:27.183391	148950	20.0	1	8
2014-04-01 09:06:37.132395	148951	53	2	1
2014-04-01 09:06:37.356426	148952	20.4	1	1
2014-04-01 09:06:47.887613	148953	64	2	24
2014-04-01 09:06:48.12089	148954	18.2	1	24
2014-04-01 09:06:50.680108	148955	49	2	25
2014-04-01 09:06:50.904672	148956	17.3	1	25
2014-04-01 09:06:57.112971	148957	47	2	10
2014-04-01 09:06:57.344707	148958	21.2	1	10
2014-04-01 09:07:05.9518	148959	58	2	8
2014-04-01 09:07:06.173279	148960	20.0	1	8
2014-04-01 09:07:16.133315	148961	53	2	1
2014-04-01 09:07:16.365804	148962	20.4	1	1
2014-04-01 09:07:26.883157	148963	64	2	24
2014-04-01 09:07:27.107949	148964	18.2	1	24
2014-04-01 09:07:29.680104	148965	49	2	25
2014-04-01 09:07:29.912107	148966	17.3	1	25
2014-04-01 09:07:36.114125	148967	47	2	10
2014-04-01 09:07:36.336337	148968	21.2	1	10
2014-04-01 09:07:44.951269	148969	59	2	8
2014-04-01 09:07:45.204557	148970	20.0	1	8
2014-04-01 09:07:55.131958	148971	53	2	1
2014-04-01 09:07:55.353598	148972	20.4	1	1
2014-04-01 09:08:05.884734	148973	64	2	24
2014-04-01 09:08:06.118122	148974	18.2	1	24
2014-04-01 09:08:08.6787	148975	49	2	25
2014-04-01 09:08:08.899134	148976	17.3	1	25
2014-04-01 09:08:15.114469	148977	47	2	10
2014-04-01 09:08:15.345096	148978	21.2	1	10
2014-04-01 09:08:23.083087	148979	55	2	9
2014-04-01 09:08:23.305198	148980	20.3	1	9
2014-04-01 09:08:23.952247	148981	59	2	8
2014-04-01 09:08:24.186385	148982	20.0	1	8
2014-04-01 09:08:31.838544	148983	515	3	2
2014-04-01 09:08:32.059318	148984	1163155.718794989	4	2
2014-04-01 09:08:34.130002	148985	53	2	1
2014-04-01 09:08:34.364966	148986	20.4	1	1
2014-04-01 09:08:44.885477	148987	64	2	24
2014-04-01 09:08:45.107216	148988	18.2	1	24
2014-04-01 09:08:47.679619	148989	49	2	25
2014-04-01 09:08:47.910626	148990	17.3	1	25
2014-04-01 09:08:54.114758	148991	47	2	10
2014-04-01 09:08:54.338879	148992	21.2	1	10
2014-04-01 09:09:01.879105	148993	55	2	9
2014-04-01 09:09:02.111255	148994	20.3	1	9
2014-04-01 09:09:02.951791	148995	58	2	8
2014-04-01 09:09:03.172933	148996	20.0	1	8
2014-04-01 09:09:13.132455	148997	53	2	1
2014-04-01 09:09:13.366835	148998	20.4	1	1
2014-04-01 09:09:23.880991	148999	64	2	24
2014-04-01 09:09:24.103254	149000	18.2	1	24
2014-04-01 09:09:26.679719	149001	49	2	25
2014-04-01 09:09:26.911367	149002	17.3	1	25
2014-04-01 09:09:33.114684	149003	47	2	10
2014-04-01 09:09:33.336331	149004	21.2	1	10
2014-04-01 09:09:40.880472	149005	55	2	9
2014-04-01 09:09:41.112986	149006	20.3	1	9
2014-04-01 09:09:41.951529	149007	58	2	8
2014-04-01 09:09:42.172589	149008	20.0	1	8
2014-04-01 09:09:52.128799	149009	53	2	1
2014-04-01 09:09:52.36189	149010	20.4	1	1
2014-04-01 09:10:02.882505	149011	64	2	24
2014-04-01 09:10:03.106506	149012	18.2	1	24
2014-04-01 09:10:05.680826	149013	49	2	25
2014-04-01 09:10:05.911245	149014	17.3	1	25
2014-04-01 09:10:12.113127	149015	47	2	10
2014-04-01 09:10:12.334504	149016	21.2	1	10
2014-04-01 09:10:19.881661	149017	55	2	9
2014-04-01 09:10:20.124231	149018	20.3	1	9
2014-04-01 09:10:20.95131	149019	58	2	8
2014-04-01 09:10:21.173353	149020	20.0	1	8
2014-04-01 09:10:31.129009	149021	53	2	1
2014-04-01 09:10:31.360666	149022	20.4	1	1
2014-04-01 09:10:41.883045	149023	64	2	24
2014-04-01 09:10:42.105368	149024	18.2	1	24
2014-04-01 09:10:44.680485	149025	49	2	25
2014-04-01 09:10:44.910809	149026	17.3	1	25
2014-04-01 09:10:51.113825	149027	47	2	10
2014-04-01 09:10:51.335407	149028	21.2	1	10
2014-04-01 09:10:59.951467	149029	58	2	8
2014-04-01 09:11:00.181537	149030	20.0	1	8
2014-04-01 09:11:10.184419	149031	53	2	1
2014-04-01 09:11:10.405656	149032	20.4	1	1
2014-04-01 09:11:20.881794	149033	64	2	24
2014-04-01 09:11:21.113469	149034	18.1	1	24
2014-04-01 09:11:23.676879	149035	49	2	25
2014-04-01 09:11:23.899364	149036	17.3	1	25
2014-04-01 09:11:30.114324	149037	47	2	10
2014-04-01 09:11:30.345011	149038	21.1	1	10
2014-04-01 09:11:38.951366	149039	58	2	8
2014-04-01 09:11:39.173905	149040	20.0	1	8
2014-04-01 09:11:49.128483	149041	53	2	1
2014-04-01 09:11:49.360486	149042	20.4	1	1
2014-04-01 09:11:59.881761	149043	64	2	24
2014-04-01 09:12:00.103347	149044	18.1	1	24
2014-04-01 09:12:02.679008	149045	49	2	25
2014-04-01 09:12:02.91275	149046	17.3	1	25
2014-04-01 09:12:09.319815	149047	47	2	10
2014-04-01 09:12:09.542975	149048	21.1	1	10
2014-04-01 09:12:17.953368	149049	58	2	8
2014-04-01 09:12:18.184827	149050	20.0	1	8
2014-04-01 09:12:28.130515	149051	53	2	1
2014-04-01 09:12:28.353338	149052	20.4	1	1
2014-04-01 09:12:38.902256	149053	64	2	24
2014-04-01 09:12:39.138678	149054	18.1	1	24
2014-04-01 09:12:41.678969	149055	49	2	25
2014-04-01 09:12:41.900021	149056	17.3	1	25
2014-04-01 09:12:48.114456	149057	47	2	10
2014-04-01 09:12:48.347043	149058	21.1	1	10
2014-04-01 09:12:56.951816	149059	58	2	8
2014-04-01 09:12:57.174874	149060	20.0	1	8
2014-04-01 09:13:07.131898	149061	53	2	1
2014-04-01 09:13:07.364341	149062	20.4	1	1
2014-04-01 09:13:17.878964	149063	64	2	24
2014-04-01 09:13:18.103555	149064	18.1	1	24
2014-04-01 09:13:20.677703	149065	49	2	25
2014-04-01 09:13:20.921014	149066	17.3	1	25
2014-04-01 09:13:27.115732	149067	47	2	10
2014-04-01 09:13:27.337202	149068	21.1	1	10
2014-04-01 09:13:35.951287	149069	58	2	8
2014-04-01 09:13:36.184112	149070	20.0	1	8
2014-04-01 09:13:46.130581	149071	53	2	1
2014-04-01 09:13:46.353518	149072	20.4	1	1
2014-04-01 09:13:56.877705	149073	64	2	24
2014-04-01 09:13:57.108647	149074	18.1	1	24
2014-04-01 09:13:59.676834	149075	49	2	25
2014-04-01 09:13:59.899671	149076	17.3	1	25
2014-04-01 09:14:06.114277	149077	47	2	10
2014-04-01 09:14:06.347447	149078	21.1	1	10
2014-04-01 09:14:14.081433	149079	55	2	9
2014-04-01 09:14:14.304974	149080	20.3	1	9
2014-04-01 09:14:14.950302	149081	58	2	8
2014-04-01 09:14:15.180219	149082	20.0	1	8
2014-04-01 09:14:25.129201	149083	53	2	1
2014-04-01 09:14:25.373505	149084	20.4	1	1
2014-04-01 09:14:35.883968	149085	64	2	24
2014-04-01 09:14:36.115173	149086	18.1	1	24
2014-04-01 09:14:38.675422	149087	49	2	25
2014-04-01 09:14:38.900809	149088	17.3	1	25
2014-04-01 09:14:45.11862	149089	47	2	10
2014-04-01 09:14:45.351896	149090	21.1	1	10
2014-04-01 09:14:53.950351	149091	58	2	8
2014-04-01 09:14:54.17313	149092	20.0	1	8
2014-04-01 09:15:04.128074	149093	53	2	1
2014-04-01 09:15:04.359402	149094	20.4	1	1
2014-04-01 09:15:14.875445	149095	64	2	24
2014-04-01 09:15:15.098806	149096	18.1	1	24
2014-04-01 09:15:17.675627	149097	49	2	25
2014-04-01 09:15:17.907125	149098	17.3	1	25
2014-04-01 09:15:24.114842	149099	47	2	10
2014-04-01 09:15:24.337365	149100	21.1	1	10
2014-04-01 09:15:32.082595	149101	55	2	9
2014-04-01 09:15:32.314392	149102	20.3	1	9
2014-04-01 09:15:32.95196	149103	58	2	8
2014-04-01 09:15:33.17297	149104	20.0	1	8
2014-04-01 09:15:43.130569	149105	53	2	1
2014-04-01 09:15:43.363231	149106	20.4	1	1
2014-04-01 09:15:53.875258	149107	64	2	24
2014-04-01 09:15:54.096474	149108	18.1	1	24
2014-04-01 09:15:56.679043	149109	49	2	25
2014-04-01 09:15:56.909041	149110	17.3	1	25
2014-04-01 09:16:03.115134	149111	47	2	10
2014-04-01 09:16:03.336522	149112	21.1	1	10
2014-04-01 09:16:11.951011	149113	58	2	8
2014-04-01 09:16:12.193673	149114	20.0	1	8
2014-04-01 09:16:22.12815	149115	53	2	1
2014-04-01 09:16:22.351686	149116	20.4	1	1
2014-04-01 09:16:32.875216	149117	64	2	24
2014-04-01 09:16:33.107378	149118	18.1	1	24
2014-04-01 09:16:35.67803	149119	49	2	25
2014-04-01 09:16:35.89827	149120	17.3	1	25
2014-04-01 09:16:42.116235	149121	47	2	10
2014-04-01 09:16:42.350508	149122	21.1	1	10
2014-04-01 09:16:50.95388	149123	58	2	8
2014-04-01 09:16:51.177391	149124	20.0	1	8
2014-04-01 09:17:01.129408	149125	53	2	1
2014-04-01 09:17:01.361102	149126	20.4	1	1
2014-04-01 09:17:11.876013	149127	64	2	24
2014-04-01 09:17:12.099162	149128	18.0	1	24
2014-04-01 09:17:14.677835	149129	49	2	25
2014-04-01 09:17:14.910922	149130	17.3	1	25
2014-04-01 09:17:21.116323	149131	47	2	10
2014-04-01 09:17:21.338267	149132	21.1	1	10
2014-04-01 09:17:29.952273	149133	58	2	8
2014-04-01 09:17:30.183456	149134	20.0	1	8
2014-04-01 09:17:40.124678	149135	53	2	1
2014-04-01 09:17:40.361025	149136	20.4	1	1
2014-04-01 09:17:50.873439	149137	64	2	24
2014-04-01 09:17:51.10785	149138	18.0	1	24
2014-04-01 09:17:53.678005	149139	49	2	25
2014-04-01 09:17:53.899325	149140	17.3	1	25
2014-04-01 09:18:00.116316	149141	47	2	10
2014-04-01 09:18:00.346563	149142	21.1	1	10
2014-04-01 09:18:08.952509	149143	58	2	8
2014-04-01 09:18:09.174667	149144	20.0	1	8
2014-04-01 09:18:19.123259	149145	53	2	1
2014-04-01 09:18:19.356222	149146	20.4	1	1
2014-04-01 09:18:29.875851	149147	64	2	24
2014-04-01 09:18:30.100257	149148	18.0	1	24
2014-04-01 09:18:32.675401	149149	49	2	25
2014-04-01 09:18:32.905934	149150	17.3	1	25
2014-04-01 09:18:39.116413	149151	47	2	10
2014-04-01 09:18:39.340167	149152	21.1	1	10
2014-04-01 09:18:47.951366	149153	58	2	8
2014-04-01 09:18:48.185933	149154	20.0	1	8
2014-04-01 09:18:58.130418	149155	53	2	1
2014-04-01 09:18:58.353264	149156	20.4	1	1
2014-04-01 09:19:08.87156	149157	64	2	24
2014-04-01 09:19:09.106329	149158	18.0	1	24
2014-04-01 09:19:11.674576	149159	49	2	25
2014-04-01 09:19:11.89642	149160	17.3	1	25
2014-04-01 09:19:18.117444	149161	47	2	10
2014-04-01 09:19:18.36204	149162	21.1	1	10
2014-04-01 09:19:26.950821	149163	58	2	8
2014-04-01 09:19:27.191478	149164	20.0	1	8
2014-04-01 09:19:37.123588	149165	53	2	1
2014-04-01 09:19:37.356649	149166	20.4	1	1
2014-04-01 09:19:47.869495	149167	64	2	24
2014-04-01 09:19:48.090407	149168	18.0	1	24
2014-04-01 09:19:50.674852	149169	49	2	25
2014-04-01 09:19:50.905353	149170	17.3	1	25
2014-04-01 09:19:57.115379	149171	47	2	10
2014-04-01 09:19:57.339259	149172	21.1	1	10
2014-04-01 09:20:05.949371	149173	58	2	8
2014-04-01 09:20:06.180093	149174	20.0	1	8
2014-04-01 09:20:16.125624	149175	53	2	1
2014-04-01 09:20:16.347135	149176	20.4	1	1
2014-04-01 09:20:26.870064	149177	64	2	24
2014-04-01 09:20:27.101518	149178	18.0	1	24
2014-04-01 09:20:29.675285	149179	49	2	25
2014-04-01 09:20:29.897122	149180	17.3	1	25
2014-04-01 09:20:36.117314	149181	47	2	10
2014-04-01 09:20:36.348803	149182	21.1	1	10
2014-04-01 09:20:44.08295	149183	55	2	9
2014-04-01 09:20:44.306733	149184	20.3	1	9
2014-04-01 09:20:44.950963	149185	58	2	8
2014-04-01 09:20:45.18176	149186	20.0	1	8
2014-04-01 09:20:55.124259	149187	53	2	1
2014-04-01 09:20:55.344892	149188	20.3	1	1
2014-04-01 09:21:05.909079	149189	64	2	24
2014-04-01 09:21:06.139616	149190	18.0	1	24
2014-04-01 09:21:08.675167	149191	49	2	25
2014-04-01 09:21:08.898756	149192	17.3	1	25
2014-04-01 09:21:15.117604	149193	47	2	10
2014-04-01 09:21:15.349431	149194	21.1	1	10
2014-04-01 09:21:23.082878	149195	55	2	9
2014-04-01 09:21:23.305972	149196	20.3	1	9
2014-04-01 09:21:23.952304	149197	58	2	8
2014-04-01 09:21:24.182904	149198	20.0	1	8
2014-04-01 09:21:31.839455	149199	498	3	2
2014-04-01 09:21:32.062948	149200	1163266.0305991971	4	2
2014-04-01 09:21:34.123397	149201	53	2	1
2014-04-01 09:21:34.355549	149202	20.3	1	1
2014-04-01 09:21:44.868639	149203	64	2	24
2014-04-01 09:21:45.090793	149204	18.0	1	24
2014-04-01 09:21:47.676963	149205	49	2	25
2014-04-01 09:21:47.908856	149206	17.3	1	25
2014-04-01 09:21:54.117742	149207	47	2	10
2014-04-01 09:21:54.339199	149208	21.1	1	10
2014-04-01 09:22:01.88013	149209	55	2	9
2014-04-01 09:22:02.121179	149210	20.3	1	9
2014-04-01 09:22:02.952475	149211	58	2	8
2014-04-01 09:22:03.173543	149212	20.0	1	8
2014-04-01 09:22:13.127771	149213	53	2	1
2014-04-01 09:22:13.359631	149214	20.3	1	1
2014-04-01 09:22:23.86813	149215	64	2	24
2014-04-01 09:22:24.091217	149216	18.0	1	24
2014-04-01 09:22:26.674371	149217	49	2	25
2014-04-01 09:22:26.917645	149218	17.3	1	25
2014-04-01 09:22:33.117025	149219	47	2	10
2014-04-01 09:22:33.338717	149220	21.1	1	10
2014-04-01 09:22:41.951406	149221	58	2	8
2014-04-01 09:22:42.185605	149222	20.0	1	8
2014-04-01 09:22:52.123621	149223	53	2	1
2014-04-01 09:22:52.346846	149224	20.3	1	1
2014-04-01 09:23:02.865896	149225	64	2	24
2014-04-01 09:23:03.099277	149226	18.0	1	24
2014-04-01 09:23:05.674069	149227	49	2	25
2014-04-01 09:23:05.896987	149228	17.3	1	25
2014-04-01 09:23:12.117863	149229	46	2	10
2014-04-01 09:23:12.351141	149230	21.1	1	10
2014-04-01 09:23:19.881612	149231	55	2	9
2014-04-01 09:23:20.104772	149232	20.3	1	9
2014-04-01 09:23:20.951342	149233	57	2	8
2014-04-01 09:23:21.181139	149234	20.0	1	8
2014-04-01 09:23:31.123537	149235	53	2	1
2014-04-01 09:23:31.346069	149236	20.3	1	1
2014-04-01 09:23:41.866305	149237	64	2	24
2014-04-01 09:23:42.10279	149238	17.9	1	24
2014-04-01 09:23:44.673808	149239	49	2	25
2014-04-01 09:23:44.895925	149240	17.3	1	25
2014-04-01 09:23:51.120454	149241	46	2	10
2014-04-01 09:23:51.353951	149242	21.1	1	10
2014-04-01 09:23:58.879202	149243	55	2	9
2014-04-01 09:23:59.103953	149244	20.3	1	9
2014-04-01 09:23:59.949727	149245	57	2	8
2014-04-01 09:24:00.183363	149246	20.0	1	8
2014-04-01 09:24:10.124632	149247	53	2	1
2014-04-01 09:24:10.345986	149248	20.3	1	1
2014-04-01 09:24:20.866837	149249	64	2	24
2014-04-01 09:24:21.09871	149250	17.9	1	24
2014-04-01 09:24:23.67277	149251	49	2	25
2014-04-01 09:24:23.89379	149252	17.3	1	25
2014-04-01 09:24:30.118727	149253	46	2	10
2014-04-01 09:24:30.352537	149254	21.1	1	10
2014-04-01 09:24:38.950007	149255	57	2	8
2014-04-01 09:24:39.173314	149256	20.0	1	8
2014-04-01 09:24:49.122487	149257	53	2	1
2014-04-01 09:24:49.366029	149258	20.3	1	1
2014-04-01 09:24:59.869943	149259	64	2	24
2014-04-01 09:25:00.090476	149260	17.9	1	24
2014-04-01 09:25:02.673851	149261	49	2	25
2014-04-01 09:25:02.906066	149262	17.3	1	25
2014-04-01 09:25:09.11874	149263	46	2	10
2014-04-01 09:25:09.343058	149264	21.1	1	10
2014-04-01 09:25:16.880366	149265	55	2	9
2014-04-01 09:25:17.111686	149266	20.3	1	9
2014-04-01 09:25:17.948825	149267	57	2	8
2014-04-01 09:25:18.169593	149268	20.0	1	8
2014-04-01 09:25:28.121817	149269	53	2	1
2014-04-01 09:25:28.354678	149270	20.3	1	1
2014-04-01 09:25:38.866325	149271	64	2	24
2014-04-01 09:25:39.087132	149272	17.9	1	24
2014-04-01 09:25:41.670912	149273	49	2	25
2014-04-01 09:25:41.90272	149274	17.3	1	25
2014-04-01 09:25:48.117355	149275	46	2	10
2014-04-01 09:25:48.338942	149276	21.1	1	10
2014-04-01 09:25:56.947957	149277	57	2	8
2014-04-01 09:25:57.179795	149278	20.0	1	8
2014-04-01 09:26:07.12399	149279	53	2	1
2014-04-01 09:26:07.34573	149280	20.3	1	1
2014-04-01 09:26:17.864705	149281	64	2	24
2014-04-01 09:26:18.094578	149282	17.9	1	24
2014-04-01 09:26:20.672119	149283	49	2	25
2014-04-01 09:26:20.89262	149284	17.3	1	25
2014-04-01 09:26:27.118539	149285	46	2	10
2014-04-01 09:26:27.349064	149286	21.1	1	10
2014-04-01 09:26:34.878738	149287	55	2	9
2014-04-01 09:26:35.099962	149288	20.3	1	9
2014-04-01 09:26:35.950311	149289	57	2	8
2014-04-01 09:26:36.184214	149290	20.0	1	8
2014-04-01 09:26:46.122322	149291	53	2	1
2014-04-01 09:26:46.343957	149292	20.3	1	1
2014-04-01 09:26:56.863869	149293	64	2	24
2014-04-01 09:26:57.095578	149294	17.9	1	24
2014-04-01 09:26:59.675754	149295	49	2	25
2014-04-01 09:26:59.898775	149296	17.3	1	25
2014-04-01 09:27:06.118236	149297	46	2	10
2014-04-01 09:27:06.349855	149298	21.1	1	10
2014-04-01 09:27:14.949076	149299	57	2	8
2014-04-01 09:27:15.1707	149300	20.0	1	8
2014-04-01 09:27:25.122901	149301	53	2	1
2014-04-01 09:27:25.354855	149302	20.3	1	1
2014-04-01 09:27:35.864947	149303	64	2	24
2014-04-01 09:27:36.086082	149304	17.8	1	24
2014-04-01 09:27:38.672507	149305	49	2	25
2014-04-01 09:27:38.920137	149306	17.3	1	25
2014-04-01 09:27:45.120144	149307	46	2	10
2014-04-01 09:27:45.341799	149308	21.1	1	10
2014-04-01 09:27:52.881687	149309	55	2	9
2014-04-01 09:27:53.113209	149310	20.3	1	9
2014-04-01 09:27:53.950673	149311	57	2	8
2014-04-01 09:27:54.170834	149312	20.0	1	8
2014-04-01 09:28:04.120281	149313	53	2	1
2014-04-01 09:28:04.352841	149314	20.3	1	1
2014-04-01 09:28:14.863924	149315	64	2	24
2014-04-01 09:28:15.087539	149316	17.8	1	24
2014-04-01 09:28:17.669625	149317	49	2	25
2014-04-01 09:28:17.906108	149318	17.3	1	25
2014-04-01 09:28:24.118901	149319	46	2	10
2014-04-01 09:28:24.339849	149320	21.1	1	10
2014-04-01 09:28:32.952011	149321	57	2	8
2014-04-01 09:28:33.184069	149322	20.0	1	8
2014-04-01 09:28:43.122765	149323	53	2	1
2014-04-01 09:28:43.343865	149324	20.3	1	1
2014-04-01 09:28:53.8625	149325	64	2	24
2014-04-01 09:28:54.09577	149326	17.8	1	24
2014-04-01 09:28:56.670362	149327	49	2	25
2014-04-01 09:28:56.892332	149328	17.3	1	25
2014-04-01 09:29:03.12121	149329	46	2	10
2014-04-01 09:29:03.354721	149330	21.1	1	10
2014-04-01 09:29:11.950673	149331	58	2	8
2014-04-01 09:29:12.175004	149332	19.9	1	8
2014-04-01 09:29:22.119916	149333	53	2	1
2014-04-01 09:29:22.351829	149334	20.3	1	1
2014-04-01 09:29:32.861477	149335	64	2	24
2014-04-01 09:29:33.084121	149336	17.8	1	24
2014-04-01 09:29:35.669225	149337	49	2	25
2014-04-01 09:29:35.901882	149338	17.3	1	25
2014-04-01 09:29:42.120185	149339	46	2	10
2014-04-01 09:29:42.363538	149340	21.0	1	10
2014-04-01 09:29:50.949855	149341	58	2	8
2014-04-01 09:29:51.18271	149342	19.9	1	8
2014-04-01 09:30:01.121554	149343	53	2	1
2014-04-01 09:30:01.344441	149344	20.3	1	1
2014-04-01 09:30:11.861956	149345	64	2	24
2014-04-01 09:30:12.09429	149346	17.8	1	24
2014-04-01 09:30:14.670739	149347	49	2	25
2014-04-01 09:30:14.891205	149348	17.3	1	25
2014-04-01 09:30:21.120401	149349	46	2	10
2014-04-01 09:30:21.352771	149350	21.0	1	10
2014-04-01 09:30:29.949545	149351	58	2	8
2014-04-01 09:30:30.171157	149352	19.9	1	8
2014-04-01 09:30:40.119455	149353	53	2	1
2014-04-01 09:30:40.364962	149354	20.3	1	1
2014-04-01 09:30:50.860821	149355	64	2	24
2014-04-01 09:30:51.083372	149356	17.8	1	24
2014-04-01 09:30:53.670301	149357	49	2	25
2014-04-01 09:30:53.901444	149358	17.3	1	25
2014-04-01 09:31:00.120453	149359	46	2	10
2014-04-01 09:31:00.343001	149360	21.0	1	10
2014-04-01 09:31:07.880347	149361	55	2	9
2014-04-01 09:31:08.11354	149362	20.2	1	9
2014-04-01 09:31:08.950748	149363	58	2	8
2014-04-01 09:31:09.174616	149364	19.9	1	8
2014-04-01 09:31:19.121396	149365	53	2	1
2014-04-01 09:31:19.352648	149366	20.3	1	1
2014-04-01 09:31:29.862142	149367	64	2	24
2014-04-01 09:31:30.084236	149368	17.8	1	24
2014-04-01 09:31:32.67284	149369	49	2	25
2014-04-01 09:31:32.905289	149370	17.3	1	25
2014-04-01 09:31:39.11993	149371	46	2	10
2014-04-01 09:31:39.342454	149372	21.0	1	10
2014-04-01 09:31:46.883309	149373	55	2	9
2014-04-01 09:31:47.114347	149374	20.2	1	9
2014-04-01 09:31:48.15262	149375	58	2	8
2014-04-01 09:31:48.37539	149376	19.9	1	8
2014-04-01 09:31:58.119323	149377	53	2	1
2014-04-01 09:31:58.351841	149378	20.3	1	1
2014-04-01 09:32:08.859204	149379	64	2	24
2014-04-01 09:32:09.08124	149380	17.8	1	24
2014-04-01 09:32:11.670944	149381	49	2	25
2014-04-01 09:32:11.902232	149382	17.3	1	25
2014-04-01 09:32:18.121217	149383	46	2	10
2014-04-01 09:32:18.343906	149384	21.0	1	10
2014-04-01 09:32:26.082644	149385	55	2	9
2014-04-01 09:32:26.314963	149386	20.2	1	9
2014-04-01 09:32:26.950689	149387	57	2	8
2014-04-01 09:32:27.171702	149388	19.9	1	8
2014-04-01 09:32:37.127799	149389	53	2	1
2014-04-01 09:32:37.363288	149390	20.3	1	1
2014-04-01 09:32:47.859393	149391	64	2	24
2014-04-01 09:32:48.100967	149392	17.8	1	24
2014-04-01 09:32:50.66995	149393	49	2	25
2014-04-01 09:32:50.903856	149394	17.3	1	25
2014-04-01 09:32:57.120807	149395	46	2	10
2014-04-01 09:32:57.343634	149396	21.0	1	10
2014-04-01 09:33:04.882634	149397	55	2	9
2014-04-01 09:33:05.116568	149398	20.2	1	9
2014-04-01 09:33:05.949894	149399	58	2	8
2014-04-01 09:33:06.173647	149400	19.9	1	8
2014-04-01 09:33:16.120526	149401	53	2	1
2014-04-01 09:33:16.363827	149402	20.3	1	1
2014-04-01 09:33:26.861307	149403	64	2	24
2014-04-01 09:33:27.083085	149404	17.8	1	24
2014-04-01 09:33:29.669345	149405	49	2	25
2014-04-01 09:33:29.902436	149406	17.3	1	25
2014-04-01 09:33:36.120566	149407	46	2	10
2014-04-01 09:33:36.342271	149408	21.0	1	10
2014-04-01 09:33:43.883484	149409	55	2	9
2014-04-01 09:33:44.115087	149410	20.2	1	9
2014-04-01 09:33:44.95173	149411	58	2	8
2014-04-01 09:33:45.173121	149412	19.9	1	8
2014-04-01 09:33:55.119938	149413	53	2	1
2014-04-01 09:33:55.352192	149414	20.3	1	1
2014-04-01 09:34:05.855325	149415	64	2	24
2014-04-01 09:34:06.081303	149416	17.7	1	24
2014-04-01 09:34:08.668642	149417	49	2	25
2014-04-01 09:34:08.900038	149418	17.3	1	25
2014-04-01 09:34:15.121144	149419	46	2	10
2014-04-01 09:34:15.34267	149420	21.0	1	10
2014-04-01 09:34:22.876787	149421	55	2	9
2014-04-01 09:34:23.110332	149422	20.2	1	9
2014-04-01 09:34:23.951385	149423	58	2	8
2014-04-01 09:34:24.176769	149424	19.9	1	8
2014-04-01 09:34:31.836554	149425	498	3	2
2014-04-01 09:34:32.07169	149426	1163378.6360018956	4	2
2014-04-01 09:34:34.120663	149427	53	2	1
2014-04-01 09:34:34.341209	149428	20.3	1	1
2014-04-01 09:34:44.857791	149429	64	2	24
2014-04-01 09:34:45.091509	149430	17.7	1	24
2014-04-01 09:34:47.667941	149431	49	2	25
2014-04-01 09:34:47.890175	149432	17.3	1	25
2014-04-01 09:34:54.122096	149433	46	2	10
2014-04-01 09:34:54.35423	149434	21.0	1	10
2014-04-01 09:35:02.94939	149435	58	2	8
2014-04-01 09:35:03.174331	149436	19.9	1	8
2014-04-01 09:35:13.118864	149437	53	2	1
2014-04-01 09:35:13.353632	149438	20.3	1	1
2014-04-01 09:35:23.856894	149439	64	2	24
2014-04-01 09:35:24.0789	149440	17.7	1	24
2014-04-01 09:35:26.669551	149441	49	2	25
2014-04-01 09:35:26.9007	149442	17.3	1	25
2014-04-01 09:35:33.122267	149443	46	2	10
2014-04-01 09:35:33.34647	149444	21.0	1	10
2014-04-01 09:35:41.12568	149445	55	2	9
2014-04-01 09:35:41.36328	149446	20.2	1	9
2014-04-01 09:35:41.948872	149447	58	2	8
2014-04-01 09:35:42.169572	149448	19.9	1	8
2014-04-01 09:35:52.119933	149449	53	2	1
2014-04-01 09:35:52.364751	149450	20.3	1	1
2014-04-01 09:36:02.856302	149451	64	2	24
2014-04-01 09:36:03.078752	149452	17.7	1	24
2014-04-01 09:36:05.669304	149453	49	2	25
2014-04-01 09:36:05.902943	149454	17.3	1	25
2014-04-01 09:36:12.122764	149455	46	2	10
2014-04-01 09:36:12.346309	149456	21.0	1	10
2014-04-01 09:36:19.878835	149457	55	2	9
2014-04-01 09:36:20.112445	149458	20.2	1	9
2014-04-01 09:36:20.949994	149459	58	2	8
2014-04-01 09:36:21.170538	149460	19.9	1	8
2014-04-01 09:36:31.117461	149461	53	2	1
2014-04-01 09:36:31.349369	149462	20.3	1	1
2014-04-01 09:36:41.85417	149463	64	2	24
2014-04-01 09:36:42.076465	149464	17.7	1	24
2014-04-01 09:36:44.668313	149465	49	2	25
2014-04-01 09:36:44.899161	149466	17.3	1	25
2014-04-01 09:36:51.120772	149467	46	2	10
2014-04-01 09:36:51.343358	149468	21.0	1	10
2014-04-01 09:36:59.95103	149469	58	2	8
2014-04-01 09:37:00.18399	149470	19.9	1	8
2014-04-01 09:37:10.115926	149471	53	2	1
2014-04-01 09:37:10.336183	149472	20.3	1	1
2014-04-01 09:37:20.85426	149473	64	2	24
2014-04-01 09:37:21.086632	149474	17.7	1	24
2014-04-01 09:37:23.669672	149475	49	2	25
2014-04-01 09:37:23.891939	149476	17.3	1	25
2014-04-01 09:37:30.120291	149477	46	2	10
2014-04-01 09:37:30.352797	149478	21.0	1	10
2014-04-01 09:37:37.882803	149479	55	2	9
2014-04-01 09:37:38.110042	149480	20.2	1	9
2014-04-01 09:37:38.950712	149481	58	2	8
2014-04-01 09:37:39.181866	149482	19.9	1	8
2014-04-01 09:37:49.117088	149483	53	2	1
2014-04-01 09:37:49.340859	149484	20.3	1	1
2014-04-01 09:37:59.853568	149485	64	2	24
2014-04-01 09:38:00.08491	149486	17.7	1	24
2014-04-01 09:38:02.668522	149487	49	2	25
2014-04-01 09:38:02.892203	149488	17.3	1	25
2014-04-01 09:38:09.124027	149489	46	2	10
2014-04-01 09:38:09.356109	149490	21.0	1	10
2014-04-01 09:38:17.952615	149491	58	2	8
2014-04-01 09:38:18.175143	149492	19.9	1	8
2014-04-01 09:38:28.113726	149493	53	2	1
2014-04-01 09:38:28.346743	149494	20.3	1	1
2014-04-01 09:38:38.861206	149495	64	2	24
2014-04-01 09:38:39.083815	149496	17.7	1	24
2014-04-01 09:38:41.668791	149497	49	2	25
2014-04-01 09:38:41.913527	149498	17.3	1	25
2014-04-01 09:38:48.123679	149499	46	2	10
2014-04-01 09:38:48.348998	149500	21.0	1	10
2014-04-01 09:38:55.882617	149501	55	2	9
2014-04-01 09:38:56.113225	149502	20.2	1	9
2014-04-01 09:38:56.952266	149503	58	2	8
2014-04-01 09:38:57.172769	149504	19.9	1	8
2014-04-01 09:39:07.119048	149505	53	2	1
2014-04-01 09:39:07.351831	149506	20.3	1	1
2014-04-01 09:39:17.854504	149507	64	2	24
2014-04-01 09:39:18.080428	149508	17.7	1	24
2014-04-01 09:39:20.66911	149509	49	2	25
2014-04-01 09:39:20.90256	149510	17.3	1	25
2014-04-01 09:39:27.122473	149511	46	2	10
2014-04-01 09:39:27.344689	149512	21.0	1	10
2014-04-01 09:39:31.83461	149513	659	3	2
2014-04-01 09:39:32.067858	149514	1163423.448356031	4	2
2014-04-01 09:39:34.880678	149515	55	2	9
2014-04-01 09:39:35.104988	149516	20.2	1	9
2014-04-01 09:39:35.950418	149517	58	2	8
2014-04-01 09:39:36.184062	149518	19.9	1	8
2014-04-01 09:39:46.118052	149519	53	2	1
2014-04-01 09:39:46.346402	149520	20.3	1	1
2014-04-01 09:39:55.833804	149521	531	3	2
2014-04-01 09:39:56.067349	149522	1163428.0444949165	4	2
2014-04-01 09:39:56.843236	149523	64	2	24
2014-04-01 09:39:57.066961	149524	17.7	1	24
2014-04-01 09:39:59.666091	149525	49	2	25
2014-04-01 09:39:59.89782	149526	17.3	1	25
2014-04-01 09:40:06.124099	149527	47	2	10
2014-04-01 09:40:06.346643	149528	20.9	1	10
2014-04-01 09:40:14.948575	149529	58	2	8
2014-04-01 09:40:15.181361	149530	19.9	1	8
2014-04-01 09:40:25.112461	149531	53	2	1
2014-04-01 09:40:25.337831	149532	20.2	1	1
2014-04-01 09:40:35.851524	149533	64	2	24
2014-04-01 09:40:36.084401	149534	17.7	1	24
2014-04-01 09:40:38.667077	149535	49	2	25
2014-04-01 09:40:38.891507	149536	17.3	1	25
2014-04-01 09:40:45.12238	149537	47	2	10
2014-04-01 09:40:45.355312	149538	20.9	1	10
2014-04-01 09:40:53.950368	149539	58	2	8
2014-04-01 09:40:54.171983	149540	19.9	1	8
2014-04-01 09:41:04.115895	149541	53	2	1
2014-04-01 09:41:04.349936	149542	20.2	1	1
2014-04-01 09:41:14.850409	149543	64	2	24
2014-04-01 09:41:15.070347	149544	17.7	1	24
2014-04-01 09:41:17.665629	149545	49	2	25
2014-04-01 09:41:17.910155	149546	17.3	1	25
2014-04-01 09:41:24.12436	149547	47	2	10
2014-04-01 09:41:24.349227	149548	20.9	1	10
2014-04-01 09:41:32.08326	149549	54	2	9
2014-04-01 09:41:32.314546	149550	20.2	1	9
2014-04-01 09:41:32.948568	149551	58	2	8
2014-04-01 09:41:33.169493	149552	19.9	1	8
2014-04-01 09:41:43.112625	149553	53	2	1
2014-04-01 09:41:43.344867	149554	20.2	1	1
2014-04-01 09:41:54.089109	149555	64	2	24
2014-04-01 09:41:54.312727	149556	17.7	1	24
2014-04-01 09:41:56.665375	149557	49	2	25
2014-04-01 09:41:56.896877	149558	17.3	1	25
2014-04-01 09:42:03.123258	149559	47	2	10
2014-04-01 09:42:03.346241	149560	20.9	1	10
2014-04-01 09:42:10.88038	149561	54	2	9
2014-04-01 09:42:11.168548	149562	20.2	1	9
2014-04-01 09:42:11.951514	149563	58	2	8
2014-04-01 09:42:12.172821	149564	19.9	1	8
2014-04-01 09:42:22.110956	149565	53	2	1
2014-04-01 09:42:22.342019	149566	20.2	1	1
2014-04-01 09:42:32.849614	149567	64	2	24
2014-04-01 09:42:33.072987	149568	17.7	1	24
2014-04-01 09:42:35.663939	149569	49	2	25
2014-04-01 09:42:35.898071	149570	17.3	1	25
2014-04-01 09:42:42.123385	149571	47	2	10
2014-04-01 09:42:42.346714	149572	20.9	1	10
2014-04-01 09:42:49.880354	149573	54	2	9
2014-04-01 09:42:50.112636	149574	20.2	1	9
2014-04-01 09:42:50.951772	149575	58	2	8
2014-04-01 09:42:51.174118	149576	19.9	1	8
2014-04-01 09:43:01.109886	149577	53	2	1
2014-04-01 09:43:01.341139	149578	20.2	1	1
2014-04-01 09:43:11.847965	149579	64	2	24
2014-04-01 09:43:12.072178	149580	17.7	1	24
2014-04-01 09:43:14.667555	149581	49	2	25
2014-04-01 09:43:14.898921	149582	17.3	1	25
2014-04-01 09:43:21.124334	149583	47	2	10
2014-04-01 09:43:21.347941	149584	20.9	1	10
2014-04-01 09:43:28.880637	149585	54	2	9
2014-04-01 09:43:29.110943	149586	20.2	1	9
2014-04-01 09:43:29.950041	149587	58	2	8
2014-04-01 09:43:30.172376	149588	19.9	1	8
2014-04-01 09:43:40.11134	149589	53	2	1
2014-04-01 09:43:40.343135	149590	20.2	1	1
2014-04-01 09:43:50.849442	149591	64	2	24
2014-04-01 09:43:51.074408	149592	17.7	1	24
2014-04-01 09:43:53.666717	149593	49	2	25
2014-04-01 09:43:53.913581	149594	17.3	1	25
2014-04-01 09:44:00.123166	149595	47	2	10
2014-04-01 09:44:00.344097	149596	20.9	1	10
2014-04-01 09:44:07.882296	149597	54	2	9
2014-04-01 09:44:08.114452	149598	20.2	1	9
2014-04-01 09:44:08.951	149599	58	2	8
2014-04-01 09:44:09.171549	149600	19.9	1	8
2014-04-01 09:44:19.111229	149601	53	2	1
2014-04-01 09:44:19.342604	149602	20.2	1	1
2014-04-01 09:44:29.847961	149603	64	2	24
2014-04-01 09:44:30.073509	149604	17.7	1	24
2014-04-01 09:44:32.667137	149605	49	2	25
2014-04-01 09:44:32.901466	149606	17.3	1	25
2014-04-01 09:44:39.124448	149607	47	2	10
2014-04-01 09:44:39.347288	149608	20.9	1	10
2014-04-01 09:44:46.879889	149609	54	2	9
2014-04-01 09:44:47.114155	149610	20.2	1	9
2014-04-01 09:44:47.950482	149611	58	2	8
2014-04-01 09:44:48.170239	149612	19.9	1	8
2014-04-01 09:44:58.11031	149613	53	2	1
2014-04-01 09:44:58.342954	149614	20.2	1	1
2014-04-01 09:45:08.845627	149615	64	2	24
2014-04-01 09:45:09.06975	149616	17.7	1	24
2014-04-01 09:45:11.663016	149617	49	2	25
2014-04-01 09:45:11.895153	149618	17.3	1	25
2014-04-01 09:45:18.127164	149619	47	2	10
2014-04-01 09:45:18.34822	149620	20.9	1	10
2014-04-01 09:45:25.880445	149621	54	2	9
2014-04-01 09:45:26.115064	149622	20.2	1	9
2014-04-01 09:45:26.951494	149623	58	2	8
2014-04-01 09:45:27.173999	149624	19.9	1	8
2014-04-01 09:45:37.110374	149625	53	2	1
2014-04-01 09:45:37.344725	149626	20.2	1	1
2014-04-01 09:45:47.84503	149627	64	2	24
2014-04-01 09:45:48.067548	149628	17.7	1	24
2014-04-01 09:45:50.664131	149629	49	2	25
2014-04-01 09:45:50.895729	149630	17.3	1	25
2014-04-01 09:45:57.125924	149631	47	2	10
2014-04-01 09:45:57.34958	149632	20.9	1	10
2014-04-01 09:46:04.880055	149633	54	2	9
2014-04-01 09:46:05.111496	149634	20.2	1	9
2014-04-01 09:46:05.949894	149635	58	2	8
2014-04-01 09:46:06.173057	149636	19.9	1	8
2014-04-01 09:46:16.107465	149637	53	2	1
2014-04-01 09:46:16.347605	149638	20.2	1	1
2014-04-01 09:46:26.8448	149639	64	2	24
2014-04-01 09:46:27.065548	149640	17.7	1	24
2014-04-01 09:46:29.663511	149641	49	2	25
2014-04-01 09:46:29.904951	149642	17.3	1	25
2014-04-01 09:46:36.125143	149643	47	2	10
2014-04-01 09:46:36.348446	149644	20.9	1	10
2014-04-01 09:46:44.083527	149645	54	2	9
2014-04-01 09:46:44.502553	149646	20.2	1	9
2014-04-01 09:46:44.949245	149647	58	2	8
2014-04-01 09:46:45.170124	149648	19.9	1	8
2014-04-01 09:46:55.10801	149649	53	2	1
2014-04-01 09:46:55.330596	149650	20.2	1	1
2014-04-01 09:47:05.842596	149651	64	2	24
2014-04-01 09:47:06.072712	149652	17.7	1	24
2014-04-01 09:47:08.662669	149653	49	2	25
2014-04-01 09:47:08.882352	149654	17.3	1	25
2014-04-01 09:47:15.125051	149655	47	2	10
2014-04-01 09:47:15.358292	149656	20.9	1	10
2014-04-01 09:47:22.878226	149657	54	2	9
2014-04-01 09:47:23.118547	149658	20.2	1	9
2014-04-01 09:47:23.949587	149659	58	2	8
2014-04-01 09:47:24.183103	149660	19.9	1	8
2014-04-01 09:47:34.112772	149661	53	2	1
2014-04-01 09:47:34.333915	149662	20.2	1	1
2014-04-01 09:47:43.834064	149663	579	3	2
2014-04-01 09:47:44.068137	149664	1163496.9865782014	4	2
2014-04-01 09:47:44.84433	149665	64	2	24
2014-04-01 09:47:45.064978	149666	17.7	1	24
2014-04-01 09:47:47.663945	149667	49	2	25
2014-04-01 09:47:47.895032	149668	17.3	1	25
2014-04-01 09:47:54.124596	149669	47	2	10
2014-04-01 09:47:54.347371	149670	20.9	1	10
2014-04-01 09:47:55.832342	149671	579	3	2
2014-04-01 09:47:56.064137	149672	1163499.2846476443	4	2
2014-04-01 09:48:02.949698	149673	58	2	8
2014-04-01 09:48:03.171169	149674	19.9	1	8
2014-04-01 09:48:13.118615	149675	53	2	1
2014-04-01 09:48:13.352752	149676	20.3	1	1
2014-04-01 09:48:23.841363	149677	64	2	24
2014-04-01 09:48:24.06403	149678	17.7	1	24
2014-04-01 09:48:26.665907	149679	49	2	25
2014-04-01 09:48:26.897933	149680	17.3	1	25
2014-04-01 09:48:33.125527	149681	47	2	10
2014-04-01 09:48:33.347591	149682	20.9	1	10
2014-04-01 09:48:41.950539	149683	58	2	8
2014-04-01 09:48:42.182112	149684	19.9	1	8
2014-04-01 09:48:52.111759	149685	53	2	1
2014-04-01 09:48:52.333198	149686	20.3	1	1
2014-04-01 09:49:02.844572	149687	64	2	24
2014-04-01 09:49:03.076656	149688	17.7	1	24
2014-04-01 09:49:05.663316	149689	49	2	25
2014-04-01 09:49:05.886188	149690	17.3	1	25
2014-04-01 09:49:12.12594	149691	47	2	10
2014-04-01 09:49:12.368097	149692	20.9	1	10
2014-04-01 09:49:20.950743	149693	58	2	8
2014-04-01 09:49:21.172826	149694	19.9	1	8
2014-04-01 09:49:31.112082	149695	53	2	1
2014-04-01 09:49:31.344375	149696	20.3	1	1
2014-04-01 09:49:31.835274	149697	611	3	2
2014-04-01 09:49:32.058194	149698	1163515.371133744	4	2
2014-04-01 09:49:41.844226	149699	64	2	24
2014-04-01 09:49:42.075587	149700	17.7	1	24
2014-04-01 09:49:44.663064	149701	49	2	25
2014-04-01 09:49:44.885089	149702	17.3	1	25
2014-04-01 09:49:51.125483	149703	47	2	10
2014-04-01 09:49:51.357517	149704	20.9	1	10
2014-04-01 09:49:58.881707	149705	54	2	9
2014-04-01 09:49:59.10432	149706	20.2	1	9
2014-04-01 09:49:59.953653	149707	58	2	8
2014-04-01 09:50:00.185165	149708	19.9	1	8
2014-04-01 09:50:10.110483	149709	53	2	1
2014-04-01 09:50:10.331875	149710	20.3	1	1
2014-04-01 09:50:20.841293	149711	64	2	24
2014-04-01 09:50:21.074351	149712	17.6	1	24
2014-04-01 09:50:23.662474	149713	49	2	25
2014-04-01 09:50:23.884038	149714	17.3	1	25
2014-04-01 09:50:30.127673	149715	47	2	10
2014-04-01 09:50:30.359347	149716	20.9	1	10
2014-04-01 09:50:37.884792	149717	54	2	9
2014-04-01 09:50:38.108059	149718	20.2	1	9
2014-04-01 09:50:38.949123	149719	58	2	8
2014-04-01 09:50:39.18168	149720	19.9	1	8
2014-04-01 09:50:49.110002	149721	53	2	1
2014-04-01 09:50:49.333381	149722	20.3	1	1
2014-04-01 09:50:59.840124	149723	64	2	24
2014-04-01 09:51:00.070982	149724	17.6	1	24
2014-04-01 09:51:02.661733	149725	49	2	25
2014-04-01 09:51:02.88333	149726	17.3	1	25
2014-04-01 09:51:09.128846	149727	47	2	10
2014-04-01 09:51:09.360613	149728	20.9	1	10
2014-04-01 09:51:16.883247	149729	54	2	9
2014-04-01 09:51:17.107204	149730	20.2	1	9
2014-04-01 09:51:17.949962	149731	58	2	8
2014-04-01 09:51:18.183273	149732	19.9	1	8
2014-04-01 09:51:28.109878	149733	53	2	1
2014-04-01 09:51:28.333354	149734	20.3	1	1
2014-04-01 09:51:38.83864	149735	64	2	24
2014-04-01 09:51:39.069498	149736	17.6	1	24
2014-04-01 09:51:41.662463	149737	49	2	25
2014-04-01 09:51:41.884705	149738	17.3	1	25
2014-04-01 09:51:48.126429	149739	47	2	10
2014-04-01 09:51:48.372952	149740	20.9	1	10
2014-04-01 09:51:55.882481	149741	54	2	9
2014-04-01 09:51:56.107652	149742	20.2	1	9
2014-04-01 09:51:56.949059	149743	58	2	8
2014-04-01 09:51:57.179917	149744	19.9	1	8
2014-04-01 09:52:07.109535	149745	53	2	1
2014-04-01 09:52:07.333209	149746	20.3	1	1
2014-04-01 09:52:17.83892	149747	64	2	24
2014-04-01 09:52:18.070385	149748	17.6	1	24
2014-04-01 09:52:20.662743	149749	49	2	25
2014-04-01 09:52:20.904772	149750	17.3	1	25
2014-04-01 09:52:27.127131	149751	47	2	10
2014-04-01 09:52:27.359761	149752	20.9	1	10
2014-04-01 09:52:34.882552	149753	54	2	9
2014-04-01 09:52:35.104654	149754	20.2	1	9
2014-04-01 09:52:35.950745	149755	58	2	8
2014-04-01 09:52:36.183027	149756	19.9	1	8
2014-04-01 09:52:46.108664	149757	53	2	1
2014-04-01 09:52:46.331206	149758	20.3	1	1
2014-04-01 09:52:56.837609	149759	64	2	24
2014-04-01 09:52:57.068625	149760	17.6	1	24
2014-04-01 09:52:59.661622	149761	49	2	25
2014-04-01 09:52:59.88301	149762	17.3	1	25
2014-04-01 09:53:06.127018	149763	47	2	10
2014-04-01 09:53:06.358667	149764	20.9	1	10
2014-04-01 09:53:13.878488	149765	54	2	9
2014-04-01 09:53:14.101105	149766	20.2	1	9
2014-04-01 09:53:14.951086	149767	58	2	8
2014-04-01 09:53:15.183865	149768	19.9	1	8
2014-04-01 09:53:25.107974	149769	53	2	1
2014-04-01 09:53:25.334052	149770	20.3	1	1
2014-04-01 09:53:31.835267	149771	627	3	2
2014-04-01 09:53:32.066639	149772	1163556.7408546673	4	2
2014-04-01 09:53:35.8347	149773	64	2	24
2014-04-01 09:53:36.05724	149774	17.6	1	24
2014-04-01 09:53:38.664001	149775	49	2	25
2014-04-01 09:53:38.897988	149776	17.3	1	25
2014-04-01 09:53:45.129178	149777	47	2	10
2014-04-01 09:53:45.352734	149778	20.9	1	10
2014-04-01 09:53:53.949217	149779	58	2	8
2014-04-01 09:53:54.182463	149780	19.9	1	8
2014-04-01 09:54:04.109195	149781	53	2	1
2014-04-01 09:54:04.332982	149782	20.3	1	1
2014-04-01 09:54:14.837323	149783	64	2	24
2014-04-01 09:54:15.068015	149784	17.6	1	24
2014-04-01 09:54:17.661847	149785	49	2	25
2014-04-01 09:54:17.88463	149786	17.3	1	25
2014-04-01 09:54:24.128694	149787	47	2	10
2014-04-01 09:54:24.373197	149788	20.9	1	10
2014-04-01 09:54:32.081396	149789	54	2	9
2014-04-01 09:54:32.357426	149790	20.2	1	9
2014-04-01 09:54:32.950661	149791	58	2	8
2014-04-01 09:54:33.215999	149792	19.9	1	8
2014-04-01 09:54:43.107433	149793	53	2	1
2014-04-01 09:54:43.365181	149794	20.3	1	1
2014-04-01 09:54:53.837753	149795	64	2	24
2014-04-01 09:54:54.106113	149796	17.6	1	24
2014-04-01 09:54:56.660727	149797	49	2	25
2014-04-01 09:54:56.882817	149798	17.3	1	25
2014-04-01 09:55:03.127563	149799	47	2	10
2014-04-01 09:55:03.361088	149800	20.9	1	10
2014-04-01 09:55:10.87988	149801	54	2	9
2014-04-01 09:55:11.102641	149802	20.2	1	9
2014-04-01 09:55:11.951812	149803	58	2	8
2014-04-01 09:55:12.183499	149804	19.9	1	8
2014-04-01 09:55:22.344397	149805	53	2	1
2014-04-01 09:55:22.566852	149806	20.3	1	1
2014-04-01 09:55:32.834407	149807	64	2	24
2014-04-01 09:55:33.070763	149808	17.6	1	24
2014-04-01 09:55:35.661629	149809	49	2	25
2014-04-01 09:55:35.885905	149810	17.3	1	25
2014-04-01 09:55:42.215437	149811	47	2	10
2014-04-01 09:55:42.640056	149812	20.9	1	10
2014-04-01 09:55:50.948622	149813	58	2	8
2014-04-01 09:55:51.174597	149814	19.9	1	8
2014-04-01 09:56:01.108473	149815	53	2	1
2014-04-01 09:56:01.340363	149816	20.3	1	1
2014-04-01 09:56:11.834308	149817	64	2	24
2014-04-01 09:56:12.059076	149818	17.6	1	24
2014-04-01 09:56:14.661276	149819	50	2	25
2014-04-01 09:56:14.89307	149820	17.3	1	25
2014-04-01 09:56:21.128615	149821	47	2	10
2014-04-01 09:56:21.349892	149822	20.8	1	10
2014-04-01 09:56:29.94956	149823	58	2	8
2014-04-01 09:56:30.183291	149824	19.9	1	8
2014-04-01 09:56:40.105438	149825	53	2	1
2014-04-01 09:56:40.328872	149826	20.3	1	1
2014-04-01 09:56:50.832608	149827	64	2	24
2014-04-01 09:56:51.076369	149828	17.6	1	24
2014-04-01 09:56:53.661152	149829	50	2	25
2014-04-01 09:56:53.884162	149830	17.3	1	25
2014-04-01 09:57:00.128582	149831	47	2	10
2014-04-01 09:57:00.361822	149832	20.8	1	10
2014-04-01 09:57:08.949972	149833	58	2	8
2014-04-01 09:57:09.171933	149834	19.9	1	8
2014-04-01 09:57:19.105397	149835	53	2	1
2014-04-01 09:57:19.350216	149836	20.3	1	1
2014-04-01 09:57:29.833914	149837	64	2	24
2014-04-01 09:57:30.054882	149838	17.6	1	24
2014-04-01 09:57:32.661855	149839	50	2	25
2014-04-01 09:57:32.894144	149840	17.3	1	25
2014-04-01 09:57:39.128457	149841	47	2	10
2014-04-01 09:57:39.355206	149842	20.8	1	10
2014-04-01 09:57:46.879434	149843	54	2	9
2014-04-01 09:57:47.114466	149844	20.2	1	9
2014-04-01 09:57:47.949866	149845	58	2	8
2014-04-01 09:57:48.171311	149846	19.9	1	8
2014-04-01 09:57:58.104211	149847	53	2	1
2014-04-01 09:57:58.336493	149848	20.3	1	1
2014-04-01 09:58:08.833042	149849	64	2	24
2014-04-01 09:58:09.055581	149850	17.6	1	24
2014-04-01 09:58:11.711718	149851	50	2	25
2014-04-01 09:58:11.943598	149852	17.3	1	25
2014-04-01 09:58:18.128699	149853	47	2	10
2014-04-01 09:58:18.350256	149854	20.8	1	10
2014-04-01 09:58:25.87911	149855	54	2	9
2014-04-01 09:58:26.110125	149856	20.2	1	9
2014-04-01 09:58:26.950499	149857	58	2	8
2014-04-01 09:58:27.171348	149858	19.9	1	8
2014-04-01 09:58:37.104095	149859	53	2	1
2014-04-01 09:58:37.335393	149860	20.3	1	1
2014-04-01 09:58:47.83427	149861	64	2	24
2014-04-01 09:58:48.056497	149862	17.6	1	24
2014-04-01 09:58:50.66181	149863	50	2	25
2014-04-01 09:58:50.893163	149864	17.3	1	25
2014-04-01 09:58:57.127815	149865	47	2	10
2014-04-01 09:58:57.349319	149866	20.8	1	10
2014-04-01 09:59:04.880579	149867	54	2	9
2014-04-01 09:59:05.113198	149868	20.2	1	9
2014-04-01 09:59:05.951107	149869	57	2	8
2014-04-01 09:59:06.172196	149870	19.9	1	8
2014-04-01 09:59:16.102393	149871	53	2	1
2014-04-01 09:59:16.335175	149872	20.3	1	1
2014-04-01 09:59:26.830566	149873	64	2	24
2014-04-01 09:59:27.052463	149874	17.6	1	24
2014-04-01 09:59:29.660861	149875	50	2	25
2014-04-01 09:59:29.895548	149876	17.3	1	25
2014-04-01 09:59:36.128938	149877	47	2	10
2014-04-01 09:59:36.350919	149878	20.8	1	10
2014-04-01 09:59:44.952157	149879	58	2	8
2014-04-01 09:59:45.184089	149880	19.9	1	8
2014-04-01 09:59:55.103592	149881	53	2	1
2014-04-01 09:59:55.324719	149882	20.3	1	1
2014-04-01 10:00:05.83218	149883	64	2	24
2014-04-01 10:00:06.074691	149884	17.6	1	24
2014-04-01 10:00:08.659681	149885	50	2	25
2014-04-01 10:00:08.884259	149886	17.3	1	25
2014-04-01 10:00:15.128826	149887	47	2	10
2014-04-01 10:00:15.362383	149888	20.8	1	10
2014-04-01 10:00:23.952497	149889	57	2	8
2014-04-01 10:00:24.173283	149890	19.9	1	8
2014-04-01 10:00:34.103482	149891	53	2	1
2014-04-01 10:00:34.333831	149892	20.3	1	1
2014-04-01 10:00:44.82962	149893	64	2	24
2014-04-01 10:00:45.053385	149894	17.6	1	24
2014-04-01 10:00:47.659116	149895	50	2	25
2014-04-01 10:00:47.889955	149896	17.3	1	25
2014-04-01 10:00:54.130223	149897	47	2	10
2014-04-01 10:00:54.352256	149898	20.8	1	10
2014-04-01 10:01:01.878036	149899	54	2	9
2014-04-01 10:01:02.110618	149900	20.2	1	9
2014-04-01 10:01:02.94995	149901	57	2	8
2014-04-01 10:01:03.172815	149902	19.9	1	8
2014-04-01 10:01:13.105341	149903	53	2	1
2014-04-01 10:01:13.336689	149904	20.3	1	1
2014-04-01 10:01:23.829069	149905	64	2	24
2014-04-01 10:01:24.053249	149906	17.6	1	24
2014-04-01 10:01:26.65908	149907	50	2	25
2014-04-01 10:01:26.890647	149908	17.3	1	25
2014-04-01 10:01:33.130978	149909	47	2	10
2014-04-01 10:01:33.351174	149910	20.8	1	10
2014-04-01 10:01:41.967948	149911	57	2	8
2014-04-01 10:01:42.221045	149912	19.9	1	8
2014-04-01 10:01:52.104701	149913	53	2	1
2014-04-01 10:01:52.329476	149914	20.3	1	1
2014-04-01 10:02:02.825712	149915	64	2	24
2014-04-01 10:02:03.057549	149916	17.6	1	24
2014-04-01 10:02:05.658706	149917	50	2	25
2014-04-01 10:02:05.880855	149918	17.3	1	25
2014-04-01 10:02:12.129684	149919	47	2	10
2014-04-01 10:02:12.364508	149920	20.8	1	10
2014-04-01 10:02:20.082374	149921	54	2	9
2014-04-01 10:02:20.306537	149922	20.2	1	9
2014-04-01 10:02:20.950312	149923	58	2	8
2014-04-01 10:02:21.18191	149924	19.9	1	8
2014-04-01 10:02:31.103284	149925	53	2	1
2014-04-01 10:02:31.326233	149926	20.3	1	1
2014-04-01 10:02:41.866766	149927	64	2	24
2014-04-01 10:02:42.118916	149928	17.6	1	24
2014-04-01 10:02:44.657892	149929	50	2	25
2014-04-01 10:02:44.879005	149930	17.3	1	25
2014-04-01 10:02:51.129921	149931	47	2	10
2014-04-01 10:02:51.373964	149932	20.8	1	10
2014-04-01 10:02:59.078258	149933	54	2	9
2014-04-01 10:02:59.299383	149934	20.2	1	9
2014-04-01 10:02:59.949186	149935	58	2	8
2014-04-01 10:03:00.179774	149936	19.9	1	8
2014-04-01 10:03:10.103221	149937	53	2	1
2014-04-01 10:03:10.325009	149938	20.3	1	1
2014-04-01 10:03:20.815704	149939	64	2	24
2014-04-01 10:03:21.04729	149940	17.6	1	24
2014-04-01 10:03:23.658819	149941	50	2	25
2014-04-01 10:03:23.882256	149942	17.3	1	25
2014-04-01 10:03:30.129339	149943	47	2	10
2014-04-01 10:03:30.362015	149944	20.8	1	10
2014-04-01 10:03:38.949292	149945	58	2	8
2014-04-01 10:03:39.169759	149946	19.9	1	8
2014-04-01 10:03:49.099827	149947	53	2	1
2014-04-01 10:03:49.334334	149948	20.3	1	1
2014-04-01 10:03:59.824366	149949	64	2	24
2014-04-01 10:04:00.046243	149950	17.6	1	24
2014-04-01 10:04:02.65998	149951	50	2	25
2014-04-01 10:04:02.891412	149952	17.3	1	25
2014-04-01 10:04:09.130359	149953	47	2	10
2014-04-01 10:04:09.372305	149954	20.8	1	10
2014-04-01 10:04:16.879416	149955	54	2	9
2014-04-01 10:04:17.110554	149956	20.2	1	9
2014-04-01 10:04:17.950317	149957	58	2	8
2014-04-01 10:04:18.171144	149958	19.9	1	8
2014-04-01 10:04:28.103405	149959	53	2	1
2014-04-01 10:04:28.335787	149960	20.3	1	1
2014-04-01 10:04:38.824122	149961	64	2	24
2014-04-01 10:04:39.048899	149962	17.6	1	24
2014-04-01 10:04:41.659254	149963	50	2	25
2014-04-01 10:04:41.928704	149964	17.3	1	25
2014-04-01 10:04:48.130082	149965	47	2	10
2014-04-01 10:04:48.353296	149966	20.8	1	10
2014-04-01 10:04:56.949604	149967	58	2	8
2014-04-01 10:04:57.182458	149968	19.9	1	8
2014-04-01 10:05:07.100073	149969	53	2	1
2014-04-01 10:05:07.321761	149970	20.3	1	1
2014-04-01 10:05:17.827193	149971	64	2	24
2014-04-01 10:05:18.05897	149972	17.6	1	24
2014-04-01 10:05:20.656564	149973	50	2	25
2014-04-01 10:05:20.880575	149974	17.3	1	25
2014-04-01 10:05:27.131349	149975	47	2	10
2014-04-01 10:05:27.362965	149976	20.8	1	10
2014-04-01 10:05:34.883539	149977	54	2	9
2014-04-01 10:05:35.103611	149978	20.2	1	9
2014-04-01 10:05:35.949745	149979	58	2	8
2014-04-01 10:05:36.191477	149980	19.9	1	8
2014-04-01 10:05:46.100092	149981	53	2	1
2014-04-01 10:05:46.323952	149982	20.3	1	1
2014-04-01 10:05:56.823711	149983	64	2	24
2014-04-01 10:05:57.068284	149984	17.6	1	24
2014-04-01 10:05:59.658107	149985	50	2	25
2014-04-01 10:05:59.877728	149986	17.3	1	25
2014-04-01 10:06:06.130865	149987	47	2	10
2014-04-01 10:06:06.36286	149988	20.8	1	10
2014-04-01 10:06:13.882871	149989	54	2	9
2014-04-01 10:06:14.106888	149990	20.2	1	9
2014-04-01 10:06:14.952513	149991	58	2	8
2014-04-01 10:06:15.18268	149992	19.9	1	8
2014-04-01 10:06:25.100536	149993	53	2	1
2014-04-01 10:06:25.321963	149994	20.3	1	1
2014-04-01 10:06:35.822365	149995	64	2	24
2014-04-01 10:06:36.057766	149996	17.6	1	24
2014-04-01 10:06:38.655799	149997	50	2	25
2014-04-01 10:06:38.878073	149998	17.3	1	25
2014-04-01 10:06:45.132774	149999	47	2	10
2014-04-01 10:06:45.364975	150000	20.8	1	10
2014-04-01 10:06:52.882142	150001	54	2	9
2014-04-01 10:06:53.1066	150002	20.2	1	9
2014-04-01 10:06:53.949271	150003	58	2	8
2014-04-01 10:06:54.18056	150004	19.9	1	8
2014-04-01 10:07:04.102323	150005	53	2	1
2014-04-01 10:07:04.324417	150006	20.3	1	1
2014-04-01 10:07:14.821925	150007	64	2	24
2014-04-01 10:07:15.05384	150008	17.6	1	24
2014-04-01 10:07:17.655436	150009	50	2	25
2014-04-01 10:07:17.877713	150010	17.3	1	25
2014-04-01 10:07:24.131036	150011	47	2	10
2014-04-01 10:07:24.364933	150012	20.8	1	10
2014-04-01 10:07:32.084759	150013	54	2	9
2014-04-01 10:07:32.307935	150014	20.2	1	9
2014-04-01 10:07:32.950735	150015	58	2	8
2014-04-01 10:07:33.180998	150016	19.9	1	8
2014-04-01 10:07:43.099061	150017	53	2	1
2014-04-01 10:07:43.323623	150018	20.3	1	1
2014-04-01 10:07:53.822764	150019	64	2	24
2014-04-01 10:07:54.054576	150020	17.6	1	24
2014-04-01 10:07:56.655445	150021	50	2	25
2014-04-01 10:07:56.877166	150022	17.3	1	25
2014-04-01 10:08:03.132328	150023	47	2	10
2014-04-01 10:08:03.36359	150024	20.8	1	10
2014-04-01 10:08:10.879561	150025	54	2	9
2014-04-01 10:08:11.102291	150026	20.2	1	9
2014-04-01 10:08:12.007692	150027	58	2	8
2014-04-01 10:08:12.250855	150028	19.8	1	8
2014-04-01 10:08:22.100884	150029	53	2	1
2014-04-01 10:08:22.330478	150030	20.3	1	1
2014-04-01 10:08:32.821273	150031	64	2	24
2014-04-01 10:08:33.053389	150032	17.6	1	24
2014-04-01 10:08:35.655526	150033	50	2	25
2014-04-01 10:08:35.875929	150034	17.3	1	25
2014-04-01 10:08:42.185957	150035	47	2	10
2014-04-01 10:08:42.419957	150036	20.8	1	10
2014-04-01 10:08:49.881699	150037	54	2	9
2014-04-01 10:08:50.103465	150038	20.2	1	9
2014-04-01 10:08:50.94959	150039	58	2	8
2014-04-01 10:08:51.181666	150040	19.8	1	8
2014-04-01 10:09:01.100116	150041	53	2	1
2014-04-01 10:09:01.323176	150042	20.3	1	1
2014-04-01 10:09:11.819928	150043	64	2	24
2014-04-01 10:09:12.107862	150044	17.6	1	24
2014-04-01 10:09:14.65555	150045	50	2	25
2014-04-01 10:09:14.876558	150046	17.3	1	25
2014-04-01 10:09:21.13285	150047	47	2	10
2014-04-01 10:09:21.365044	150048	20.8	1	10
2014-04-01 10:09:28.881291	150049	54	2	9
2014-04-01 10:09:29.103106	150050	20.2	1	9
2014-04-01 10:09:29.948854	150051	58	2	8
2014-04-01 10:09:30.179706	150052	19.8	1	8
2014-04-01 10:09:40.097464	150053	53	2	1
2014-04-01 10:09:40.319198	150054	20.3	1	1
2014-04-01 10:09:50.821264	150055	64	2	24
2014-04-01 10:09:51.052336	150056	17.6	1	24
2014-04-01 10:09:53.657256	150057	50	2	25
2014-04-01 10:09:53.878855	150058	17.3	1	25
2014-04-01 10:10:00.133427	150059	47	2	10
2014-04-01 10:10:00.366619	150060	20.7	1	10
2014-04-01 10:10:08.081964	150061	54	2	9
2014-04-01 10:10:08.303239	150062	20.2	1	9
2014-04-01 10:10:08.952513	150063	57	2	8
2014-04-01 10:10:09.183173	150064	19.8	1	8
2014-04-01 10:10:19.096297	150065	53	2	1
2014-04-01 10:10:19.318173	150066	20.3	1	1
2014-04-01 10:10:29.822927	150067	64	2	24
2014-04-01 10:10:30.056197	150068	17.5	1	24
2014-04-01 10:10:32.654862	150069	50	2	25
2014-04-01 10:10:32.876801	150070	17.3	1	25
2014-04-01 10:10:39.132939	150071	47	2	10
2014-04-01 10:10:39.364813	150072	20.7	1	10
2014-04-01 10:10:46.88232	150073	54	2	9
2014-04-01 10:10:47.104727	150074	20.2	1	9
2014-04-01 10:10:47.950752	150075	57	2	8
2014-04-01 10:10:48.192543	150076	19.8	1	8
2014-04-01 10:10:58.093687	150077	53	2	1
2014-04-01 10:10:58.316299	150078	20.3	1	1
2014-04-01 10:11:08.820615	150079	64	2	24
2014-04-01 10:11:09.054247	150080	17.5	1	24
2014-04-01 10:11:11.655328	150081	50	2	25
2014-04-01 10:11:11.879798	150082	17.3	1	25
2014-04-01 10:11:18.132987	150083	47	2	10
2014-04-01 10:11:18.363808	150084	20.7	1	10
2014-04-01 10:11:25.881909	150085	54	2	9
2014-04-01 10:11:26.105594	150086	20.1	1	9
2014-04-01 10:11:26.950659	150087	57	2	8
2014-04-01 10:11:27.182311	150088	19.8	1	8
2014-04-01 10:11:37.096952	150089	53	2	1
2014-04-01 10:11:37.316058	150090	20.3	1	1
2014-04-01 10:11:47.818793	150091	64	2	24
2014-04-01 10:11:48.055114	150092	17.5	1	24
2014-04-01 10:11:50.652471	150093	50	2	25
2014-04-01 10:11:50.874421	150094	17.3	1	25
2014-04-01 10:11:57.133708	150095	47	2	10
2014-04-01 10:11:57.366006	150096	20.7	1	10
2014-04-01 10:12:04.880576	150097	54	2	9
2014-04-01 10:12:05.105024	150098	20.1	1	9
2014-04-01 10:12:05.950615	150099	57	2	8
2014-04-01 10:12:06.184159	150100	19.8	1	8
2014-04-01 10:12:16.099979	150101	53	2	1
2014-04-01 10:12:16.32236	150102	20.3	1	1
2014-04-01 10:12:26.816729	150103	64	2	24
2014-04-01 10:12:27.048736	150104	17.5	1	24
2014-04-01 10:12:29.653166	150105	50	2	25
2014-04-01 10:12:29.876335	150106	17.3	1	25
2014-04-01 10:12:36.135294	150107	47	2	10
2014-04-01 10:12:36.365946	150108	20.7	1	10
2014-04-01 10:12:43.880225	150109	54	2	9
2014-04-01 10:12:44.102324	150110	20.1	1	9
2014-04-01 10:12:44.949336	150111	57	2	8
2014-04-01 10:12:45.183459	150112	19.8	1	8
2014-04-01 10:12:55.097203	150113	53	2	1
2014-04-01 10:12:55.319948	150114	20.3	1	1
2014-04-01 10:13:05.813677	150115	64	2	24
2014-04-01 10:13:06.04643	150116	17.5	1	24
2014-04-01 10:13:08.654201	150117	50	2	25
2014-04-01 10:13:08.876335	150118	17.3	1	25
2014-04-01 10:13:15.135958	150119	47	2	10
2014-04-01 10:13:15.371046	150120	20.7	1	10
2014-04-01 10:13:22.881629	150121	54	2	9
2014-04-01 10:13:23.104435	150122	20.1	1	9
2014-04-01 10:13:23.949733	150123	57	2	8
2014-04-01 10:13:24.192895	150124	19.8	1	8
2014-04-01 10:13:34.093512	150125	53	2	1
2014-04-01 10:13:34.316588	150126	20.3	1	1
2014-04-01 10:13:44.814961	150127	64	2	24
2014-04-01 10:13:45.048293	150128	17.5	1	24
2014-04-01 10:13:47.65317	150129	50	2	25
2014-04-01 10:13:47.882941	150130	17.4	1	25
2014-04-01 10:13:54.133328	150131	47	2	10
2014-04-01 10:13:54.366485	150132	20.7	1	10
2014-04-01 10:14:01.88325	150133	54	2	9
2014-04-01 10:14:02.106758	150134	20.1	1	9
2014-04-01 10:14:02.950331	150135	57	2	8
2014-04-01 10:14:03.182322	150136	19.8	1	8
2014-04-01 10:14:13.096341	150137	53	2	1
2014-04-01 10:14:13.317927	150138	20.3	1	1
2014-04-01 10:14:23.815954	150139	64	2	24
2014-04-01 10:14:24.047931	150140	17.5	1	24
2014-04-01 10:14:26.653181	150141	50	2	25
2014-04-01 10:14:26.876806	150142	17.4	1	25
2014-04-01 10:14:33.133427	150143	47	2	10
2014-04-01 10:14:33.364164	150144	20.7	1	10
2014-04-01 10:14:40.878184	150145	54	2	9
2014-04-01 10:14:41.100736	150146	20.1	1	9
2014-04-01 10:14:41.950249	150147	57	2	8
2014-04-01 10:14:42.180997	150148	19.8	1	8
2014-04-01 10:14:52.095113	150149	53	2	1
2014-04-01 10:14:52.317701	150150	20.3	1	1
2014-04-01 10:15:02.814958	150151	64	2	24
2014-04-01 10:15:03.047396	150152	17.5	1	24
2014-04-01 10:15:05.654816	150153	50	2	25
2014-04-01 10:15:05.880472	150154	17.4	1	25
2014-04-01 10:15:12.189128	150155	47	2	10
2014-04-01 10:15:12.422911	150156	20.7	1	10
2014-04-01 10:15:19.884001	150157	54	2	9
2014-04-01 10:15:20.105511	150158	20.1	1	9
2014-04-01 10:15:20.949548	150159	57	2	8
2014-04-01 10:15:21.181345	150160	19.8	1	8
2014-04-01 10:15:31.09549	150161	53	2	1
2014-04-01 10:15:31.317332	150162	20.3	1	1
2014-04-01 10:15:41.815791	150163	64	2	24
2014-04-01 10:15:42.05043	150164	17.5	1	24
2014-04-01 10:15:44.652864	150165	50	2	25
2014-04-01 10:15:44.876701	150166	17.4	1	25
2014-04-01 10:15:51.134857	150167	47	2	10
2014-04-01 10:15:51.368466	150168	20.7	1	10
2014-04-01 10:15:58.880982	150169	54	2	9
2014-04-01 10:15:59.103379	150170	20.1	1	9
2014-04-01 10:15:59.950418	150171	57	2	8
2014-04-01 10:16:00.19295	150172	19.8	1	8
2014-04-01 10:16:10.091967	150173	53	2	1
2014-04-01 10:16:10.31349	150174	20.3	1	1
2014-04-01 10:16:20.814979	150175	64	2	24
2014-04-01 10:16:21.046101	150176	17.5	1	24
2014-04-01 10:16:23.652361	150177	50	2	25
2014-04-01 10:16:23.875507	150178	17.4	1	25
2014-04-01 10:16:30.1334	150179	47	2	10
2014-04-01 10:16:30.365699	150180	20.7	1	10
2014-04-01 10:16:37.884541	150181	54	2	9
2014-04-01 10:16:38.107188	150182	20.1	1	9
2014-04-01 10:16:38.952021	150183	57	2	8
2014-04-01 10:16:39.184168	150184	19.8	1	8
2014-04-01 10:16:49.093304	150185	53	2	1
2014-04-01 10:16:49.335175	150186	20.3	1	1
2014-04-01 10:16:59.81365	150187	64	2	24
2014-04-01 10:17:00.047985	150188	17.5	1	24
2014-04-01 10:17:02.653843	150189	50	2	25
2014-04-01 10:17:02.877357	150190	17.4	1	25
2014-04-01 10:17:09.133294	150191	47	2	10
2014-04-01 10:17:09.36604	150192	20.7	1	10
2014-04-01 10:17:16.880712	150193	54	2	9
2014-04-01 10:17:17.104104	150194	20.1	1	9
2014-04-01 10:17:17.949744	150195	57	2	8
2014-04-01 10:17:18.183183	150196	19.8	1	8
2014-04-01 10:17:28.093907	150197	53	2	1
2014-04-01 10:17:28.318071	150198	20.3	1	1
2014-04-01 10:17:38.812393	150199	64	2	24
2014-04-01 10:17:39.044985	150200	17.5	1	24
2014-04-01 10:17:41.651728	150201	50	2	25
2014-04-01 10:17:41.872822	150202	17.4	1	25
2014-04-01 10:17:48.136593	150203	47	2	10
2014-04-01 10:17:48.368549	150204	20.7	1	10
2014-04-01 10:17:55.882892	150205	54	2	9
2014-04-01 10:17:56.107019	150206	20.1	1	9
2014-04-01 10:17:56.950418	150207	57	2	8
2014-04-01 10:17:57.18356	150208	19.8	1	8
2014-04-01 10:18:07.091914	150209	53	2	1
2014-04-01 10:18:07.315927	150210	20.3	1	1
2014-04-01 10:18:17.810219	150211	64	2	24
2014-04-01 10:18:18.042239	150212	17.5	1	24
2014-04-01 10:18:20.653141	150213	50	2	25
2014-04-01 10:18:20.875993	150214	17.4	1	25
2014-04-01 10:18:27.135019	150215	47	2	10
2014-04-01 10:18:27.368816	150216	20.7	1	10
2014-04-01 10:18:34.879841	150217	54	2	9
2014-04-01 10:18:35.101344	150218	20.1	1	9
2014-04-01 10:18:35.948824	150219	57	2	8
2014-04-01 10:18:36.190821	150220	19.8	1	8
2014-04-01 10:18:46.091954	150221	53	2	1
2014-04-01 10:18:46.314357	150222	20.3	1	1
2014-04-01 10:18:56.809538	150223	64	2	24
2014-04-01 10:18:57.040623	150224	17.5	1	24
2014-04-01 10:18:59.651876	150225	50	2	25
2014-04-01 10:18:59.872899	150226	17.4	1	25
2014-04-01 10:19:06.134958	150227	47	2	10
2014-04-01 10:19:06.388252	150228	20.7	1	10
2014-04-01 10:19:14.949487	150229	57	2	8
2014-04-01 10:19:15.171686	150230	19.8	1	8
2014-04-01 10:19:25.093179	150231	53	2	1
2014-04-01 10:19:25.323947	150232	20.3	1	1
2014-04-01 10:19:35.809619	150233	64	2	24
2014-04-01 10:19:36.031908	150234	17.5	1	24
2014-04-01 10:19:38.652505	150235	50	2	25
2014-04-01 10:19:38.884556	150236	17.4	1	25
2014-04-01 10:19:45.135028	150237	47	2	10
2014-04-01 10:19:45.355943	150238	20.6	1	10
2014-04-01 10:19:53.950656	150239	57	2	8
2014-04-01 10:19:54.182389	150240	19.8	1	8
2014-04-01 10:20:04.091508	150241	53	2	1
2014-04-01 10:20:04.313538	150242	20.3	1	1
2014-04-01 10:20:14.809511	150243	64	2	24
2014-04-01 10:20:15.043246	150244	17.5	1	24
2014-04-01 10:20:17.651483	150245	50	2	25
2014-04-01 10:20:17.880262	150246	17.4	1	25
2014-04-01 10:20:24.135715	150247	47	2	10
2014-04-01 10:20:24.367318	150248	20.6	1	10
2014-04-01 10:20:32.082471	150249	54	2	9
2014-04-01 10:20:32.304673	150250	20.1	1	9
2014-04-01 10:20:32.949453	150251	57	2	8
2014-04-01 10:20:33.180834	150252	19.8	1	8
2014-04-01 10:20:43.093208	150253	53	2	1
2014-04-01 10:20:43.316438	150254	20.3	1	1
2014-04-01 10:20:53.809245	150255	64	2	24
2014-04-01 10:20:54.04044	150256	17.5	1	24
2014-04-01 10:20:56.65117	150257	50	2	25
2014-04-01 10:20:56.874593	150258	17.4	1	25
2014-04-01 10:21:03.137064	150259	47	2	10
2014-04-01 10:21:03.369788	150260	20.6	1	10
2014-04-01 10:21:10.880724	150261	54	2	9
2014-04-01 10:21:11.101806	150262	20.1	1	9
2014-04-01 10:21:11.948818	150263	57	2	8
2014-04-01 10:21:12.179009	150264	19.8	1	8
2014-04-01 10:21:22.089606	150265	53	2	1
2014-04-01 10:21:22.310871	150266	20.3	1	1
2014-04-01 10:21:32.808871	150267	64	2	24
2014-04-01 10:21:33.053756	150268	17.5	1	24
2014-04-01 10:21:35.651509	150269	50	2	25
2014-04-01 10:21:35.875532	150270	17.4	1	25
2014-04-01 10:21:42.13642	150271	47	2	10
2014-04-01 10:21:42.367447	150272	20.6	1	10
2014-04-01 10:21:49.883229	150273	54	2	9
2014-04-01 10:21:50.106138	150274	20.1	1	9
2014-04-01 10:21:50.952059	150275	57	2	8
2014-04-01 10:21:51.181089	150276	19.8	1	8
2014-04-01 10:22:01.087948	150277	53	2	1
2014-04-01 10:22:01.309336	150278	20.3	1	1
2014-04-01 10:22:11.806443	150279	64	2	24
2014-04-01 10:22:12.040106	150280	17.5	1	24
2014-04-01 10:22:14.650378	150281	50	2	25
2014-04-01 10:22:14.873413	150282	17.4	1	25
2014-04-01 10:22:21.137049	150283	47	2	10
2014-04-01 10:22:21.36962	150284	20.6	1	10
2014-04-01 10:22:28.879825	150285	54	2	9
2014-04-01 10:22:29.103106	150286	20.1	1	9
2014-04-01 10:22:29.94939	150287	57	2	8
2014-04-01 10:22:30.181328	150288	19.8	1	8
2014-04-01 10:22:40.087534	150289	53	2	1
2014-04-01 10:22:40.311342	150290	20.3	1	1
2014-04-01 10:22:50.810118	150291	64	2	24
2014-04-01 10:22:51.043612	150292	17.5	1	24
2014-04-01 10:22:53.649307	150293	50	2	25
2014-04-01 10:22:53.870183	150294	17.4	1	25
2014-04-01 10:23:00.139005	150295	47	2	10
2014-04-01 10:23:00.369377	150296	20.6	1	10
2014-04-01 10:23:08.08405	150297	54	2	9
2014-04-01 10:23:08.307313	150298	20.1	1	9
2014-04-01 10:23:08.948933	150299	57	2	8
2014-04-01 10:23:09.184848	150300	19.8	1	8
2014-04-01 10:23:19.097169	150301	54	2	1
2014-04-01 10:23:19.320551	150302	20.3	1	1
2014-04-01 10:23:29.807939	150303	64	2	24
2014-04-01 10:23:30.038891	150304	17.5	1	24
2014-04-01 10:23:32.651096	150305	50	2	25
2014-04-01 10:23:32.872451	150306	17.4	1	25
2014-04-01 10:23:39.137092	150307	47	2	10
2014-04-01 10:23:39.36998	150308	20.6	1	10
2014-04-01 10:23:46.881097	150309	54	2	9
2014-04-01 10:23:47.10336	150310	20.1	1	9
2014-04-01 10:23:47.950144	150311	57	2	8
2014-04-01 10:23:48.18348	150312	19.8	1	8
2014-04-01 10:23:58.087009	150313	54	2	1
2014-04-01 10:23:58.313776	150314	20.3	1	1
2014-04-01 10:24:08.804213	150315	64	2	24
2014-04-01 10:24:09.047311	150316	17.5	1	24
2014-04-01 10:24:11.650654	150317	50	2	25
2014-04-01 10:24:11.87214	150318	17.4	1	25
2014-04-01 10:24:18.137555	150319	47	2	10
2014-04-01 10:24:18.37098	150320	20.6	1	10
2014-04-01 10:24:26.080511	150321	54	2	9
2014-04-01 10:24:26.301615	150322	20.1	1	9
2014-04-01 10:24:26.948851	150323	57	2	8
2014-04-01 10:24:27.17954	150324	19.8	1	8
2014-04-01 10:24:37.090641	150325	54	2	1
2014-04-01 10:24:37.314403	150326	20.3	1	1
2014-04-01 10:24:47.804215	150327	64	2	24
2014-04-01 10:24:48.040663	150328	17.5	1	24
2014-04-01 10:24:50.6428	150329	50	2	25
2014-04-01 10:24:50.865301	150330	17.4	1	25
2014-04-01 10:24:57.138172	150331	47	2	10
2014-04-01 10:24:57.373868	150332	20.6	1	10
2014-04-01 10:25:04.880253	150333	54	2	9
2014-04-01 10:25:05.101643	150334	20.1	1	9
2014-04-01 10:25:05.949336	150335	57	2	8
2014-04-01 10:25:06.179434	150336	19.8	1	8
2014-04-01 10:25:16.085129	150337	54	2	1
2014-04-01 10:25:16.306042	150338	20.3	1	1
2014-04-01 10:25:26.803242	150339	64	2	24
2014-04-01 10:25:27.036701	150340	17.5	1	24
2014-04-01 10:25:29.650763	150341	50	2	25
2014-04-01 10:25:29.872709	150342	17.4	1	25
2014-04-01 10:25:36.13767	150343	47	2	10
2014-04-01 10:25:36.369403	150344	20.6	1	10
2014-04-01 10:25:43.880734	150345	54	2	9
2014-04-01 10:25:44.103464	150346	20.1	1	9
2014-04-01 10:25:44.949349	150347	57	2	8
2014-04-01 10:25:45.179982	150348	19.8	1	8
2014-04-01 10:25:55.086029	150349	54	2	1
2014-04-01 10:25:55.309089	150350	20.3	1	1
2014-04-01 10:26:05.802904	150351	64	2	24
2014-04-01 10:26:06.035121	150352	17.4	1	24
2014-04-01 10:26:08.651189	150353	50	2	25
2014-04-01 10:26:08.873649	150354	17.4	1	25
2014-04-01 10:26:15.136752	150355	47	2	10
2014-04-01 10:26:15.368291	150356	20.6	1	10
2014-04-01 10:26:22.88432	150357	54	2	9
2014-04-01 10:26:23.106975	150358	20.1	1	9
2014-04-01 10:26:23.950773	150359	57	2	8
2014-04-01 10:26:24.182893	150360	19.8	1	8
2014-04-01 10:26:34.087327	150361	54	2	1
2014-04-01 10:26:34.308107	150362	20.3	1	1
2014-04-01 10:26:44.805063	150363	64	2	24
2014-04-01 10:26:45.048765	150364	17.4	1	24
2014-04-01 10:26:47.649479	150365	50	2	25
2014-04-01 10:26:47.902428	150366	17.4	1	25
2014-04-01 10:26:54.136542	150367	47	2	10
2014-04-01 10:26:54.368076	150368	20.6	1	10
2014-04-01 10:27:01.882379	150369	54	2	9
2014-04-01 10:27:02.10462	150370	20.1	1	9
2014-04-01 10:27:02.948586	150371	57	2	8
2014-04-01 10:27:03.181043	150372	19.8	1	8
2014-04-01 10:27:13.087773	150373	54	2	1
2014-04-01 10:27:13.31052	150374	20.3	1	1
2014-04-01 10:27:23.801338	150375	64	2	24
2014-04-01 10:27:24.035378	150376	17.4	1	24
2014-04-01 10:27:26.647372	150377	50	2	25
2014-04-01 10:27:26.870361	150378	17.4	1	25
2014-04-01 10:27:33.137735	150379	47	2	10
2014-04-01 10:27:33.368552	150380	20.6	1	10
2014-04-01 10:27:40.880848	150381	54	2	9
2014-04-01 10:27:41.106123	150382	20.1	1	9
2014-04-01 10:27:41.952687	150383	57	2	8
2014-04-01 10:27:42.183441	150384	19.8	1	8
2014-04-01 10:27:52.086925	150385	54	2	1
2014-04-01 10:27:52.309278	150386	20.3	1	1
2014-04-01 10:28:02.800537	150387	64	2	24
2014-04-01 10:28:03.035124	150388	17.4	1	24
2014-04-01 10:28:05.64919	150389	50	2	25
2014-04-01 10:28:05.870993	150390	17.4	1	25
2014-04-01 10:28:12.139153	150391	47	2	10
2014-04-01 10:28:12.371275	150392	20.6	1	10
2014-04-01 10:28:19.880544	150393	54	2	9
2014-04-01 10:28:20.106825	150394	20.1	1	9
2014-04-01 10:28:20.95018	150395	57	2	8
2014-04-01 10:28:21.183565	150396	19.8	1	8
2014-04-01 10:28:31.086317	150397	54	2	1
2014-04-01 10:28:31.308931	150398	20.3	1	1
2014-04-01 10:28:41.803908	150399	64	2	24
2014-04-01 10:28:42.037303	150400	17.4	1	24
2014-04-01 10:28:44.646733	150401	50	2	25
2014-04-01 10:28:44.869972	150402	17.4	1	25
2014-04-01 10:28:51.139894	150403	47	2	10
2014-04-01 10:28:51.373121	150404	20.6	1	10
2014-04-01 10:28:58.880717	150405	54	2	9
2014-04-01 10:28:59.103524	150406	20.1	1	9
2014-04-01 10:28:59.950015	150407	57	2	8
2014-04-01 10:29:00.184652	150408	19.8	1	8
2014-04-01 10:29:10.084018	150409	54	2	1
2014-04-01 10:29:10.308488	150410	20.3	1	1
2014-04-01 10:29:20.801409	150411	64	2	24
2014-04-01 10:29:21.044714	150412	17.4	1	24
2014-04-01 10:29:23.646915	150413	50	2	25
2014-04-01 10:29:23.870014	150414	17.4	1	25
2014-04-01 10:29:30.139089	150415	47	2	10
2014-04-01 10:29:30.37331	150416	20.6	1	10
2014-04-01 10:29:37.882418	150417	54	2	9
2014-04-01 10:29:38.105568	150418	20.1	1	9
2014-04-01 10:29:38.950008	150419	57	2	8
2014-04-01 10:29:39.180928	150420	19.8	1	8
2014-04-01 10:29:49.08637	150421	54	2	1
2014-04-01 10:29:49.307854	150422	20.3	1	1
2014-04-01 10:29:59.80151	150423	64	2	24
2014-04-01 10:30:00.033222	150424	17.4	1	24
2014-04-01 10:30:02.64972	150425	50	2	25
2014-04-01 10:30:02.873871	150426	17.4	1	25
2014-04-01 10:30:09.138054	150427	47	2	10
2014-04-01 10:30:09.37012	150428	20.6	1	10
2014-04-01 10:30:16.879655	150429	54	2	9
2014-04-01 10:30:17.10154	150430	20.1	1	9
2014-04-01 10:30:17.948676	150431	57	2	8
2014-04-01 10:30:18.18205	150432	19.8	1	8
2014-04-01 10:30:28.086935	150433	54	2	1
2014-04-01 10:30:28.308049	150434	20.3	1	1
2014-04-01 10:30:31.8307	150435	515	3	2
2014-04-01 10:30:32.060721	150436	1163872.7298740086	4	2
2014-04-01 10:30:38.800904	150437	64	2	24
2014-04-01 10:30:39.022799	150438	17.4	1	24
2014-04-01 10:30:41.647905	150439	50	2	25
2014-04-01 10:30:41.879716	150440	17.4	1	25
2014-04-01 10:30:48.140277	150441	47	2	10
2014-04-01 10:30:48.362776	150442	20.6	1	10
2014-04-01 10:30:55.880534	150443	54	2	9
2014-04-01 10:30:56.112335	150444	20.1	1	9
2014-04-01 10:30:56.947986	150445	57	2	8
2014-04-01 10:30:57.169228	150446	19.8	1	8
2014-04-01 10:31:07.085254	150447	54	2	1
2014-04-01 10:31:07.317436	150448	20.3	1	1
2014-04-01 10:31:17.800682	150449	64	2	24
2014-04-01 10:31:18.027243	150450	17.4	1	24
2014-04-01 10:31:20.648602	150451	50	2	25
2014-04-01 10:31:20.879801	150452	17.5	1	25
2014-04-01 10:31:27.139716	150453	47	2	10
2014-04-01 10:31:27.361424	150454	20.6	1	10
2014-04-01 10:31:35.082417	150455	54	2	9
2014-04-01 10:31:35.315434	150456	20.1	1	9
2014-04-01 10:31:35.949508	150457	58	2	8
2014-04-01 10:31:36.169997	150458	19.8	1	8
2014-04-01 10:31:46.087079	150459	54	2	1
2014-04-01 10:31:46.328998	150460	20.3	1	1
2014-04-01 10:31:56.799426	150461	64	2	24
2014-04-01 10:31:57.021031	150462	17.4	1	24
2014-04-01 10:31:59.8887	150463	50	2	25
2014-04-01 10:32:00.305972	150464	17.5	1	25
2014-04-01 10:32:06.139375	150465	47	2	10
2014-04-01 10:32:06.36729	150466	20.6	1	10
2014-04-01 10:32:13.878533	150467	54	2	9
2014-04-01 10:32:14.099992	150468	20.1	1	9
2014-04-01 10:32:14.949487	150469	59	2	8
2014-04-01 10:32:15.179614	150470	19.8	1	8
2014-04-01 10:32:25.085157	150471	54	2	1
2014-04-01 10:32:25.306972	150472	20.3	1	1
2014-04-01 10:32:35.796716	150473	64	2	24
2014-04-01 10:32:36.028283	150474	17.4	1	24
2014-04-01 10:32:38.646777	150475	50	2	25
2014-04-01 10:32:38.871087	150476	17.5	1	25
2014-04-01 10:32:45.138913	150477	47	2	10
2014-04-01 10:32:45.384968	150478	20.6	1	10
2014-04-01 10:32:52.880944	150479	54	2	9
2014-04-01 10:32:53.10423	150480	20.1	1	9
2014-04-01 10:32:53.950638	150481	58	2	8
2014-04-01 10:32:54.18255	150482	19.8	1	8
2014-04-01 10:33:04.084993	150483	54	2	1
2014-04-01 10:33:04.306601	150484	20.3	1	1
2014-04-01 10:33:14.796587	150485	64	2	24
2014-04-01 10:33:15.030435	150486	17.4	1	24
2014-04-01 10:33:17.645456	150487	50	2	25
2014-04-01 10:33:17.873518	150488	17.5	1	25
2014-04-01 10:33:24.140104	150489	47	2	10
2014-04-01 10:33:24.370906	150490	20.6	1	10
2014-04-01 10:33:32.081339	150491	54	2	9
2014-04-01 10:33:32.302946	150492	20.1	1	9
2014-04-01 10:33:32.948442	150493	58	2	8
2014-04-01 10:33:33.180005	150494	19.8	1	8
2014-04-01 10:33:43.087816	150495	54	2	1
2014-04-01 10:33:43.309766	150496	20.3	1	1
2014-04-01 10:33:53.795813	150497	64	2	24
2014-04-01 10:33:54.027428	150498	17.4	1	24
2014-04-01 10:33:56.645441	150499	50	2	25
2014-04-01 10:33:56.867633	150500	17.5	1	25
2014-04-01 10:34:03.345493	150501	47	2	10
2014-04-01 10:34:03.578925	150502	20.6	1	10
2014-04-01 10:34:10.881152	150503	54	2	9
2014-04-01 10:34:11.102627	150504	20.1	1	9
2014-04-01 10:34:11.949276	150505	58	2	8
2014-04-01 10:34:12.181507	150506	19.8	1	8
2014-04-01 10:34:22.082698	150507	54	2	1
2014-04-01 10:34:22.306754	150508	20.3	1	1
2014-04-01 10:34:32.796254	150509	64	2	24
2014-04-01 10:34:33.036827	150510	17.4	1	24
2014-04-01 10:34:35.645952	150511	50	2	25
2014-04-01 10:34:35.866973	150512	17.5	1	25
2014-04-01 10:34:42.13905	150513	47	2	10
2014-04-01 10:34:42.372831	150514	20.6	1	10
2014-04-01 10:34:43.831521	150515	1802	3	2
2014-04-01 10:34:44.052998	150516	1163933.6287142436	4	2
2014-04-01 10:34:49.878653	150517	54	2	9
2014-04-01 10:34:50.109956	150518	20.1	1	9
2014-04-01 10:34:50.949178	150519	58	2	8
2014-04-01 10:34:51.168865	150520	19.8	1	8
2014-04-01 10:35:01.083098	150521	54	2	1
2014-04-01 10:35:01.316024	150522	20.3	1	1
2014-04-01 10:35:11.793196	150523	64	2	24
2014-04-01 10:35:12.014799	150524	17.4	1	24
2014-04-01 10:35:14.64447	150525	50	2	25
2014-04-01 10:35:14.877096	150526	17.5	1	25
2014-04-01 10:35:21.139904	150527	47	2	10
2014-04-01 10:35:21.363682	150528	20.6	1	10
2014-04-01 10:35:29.949785	150529	57	2	8
2014-04-01 10:35:30.181282	150530	19.8	1	8
2014-04-01 10:35:40.085579	150531	54	2	1
2014-04-01 10:35:40.3075	150532	20.3	1	1
2014-04-01 10:35:50.791554	150533	64	2	24
2014-04-01 10:35:51.02516	150534	17.4	1	24
2014-04-01 10:35:53.644038	150535	50	2	25
2014-04-01 10:35:53.865694	150536	17.5	1	25
2014-04-01 10:36:00.140049	150537	47	2	10
2014-04-01 10:36:00.371284	150538	20.6	1	10
2014-04-01 10:36:08.082881	150539	54	2	9
2014-04-01 10:36:08.304297	150540	20.2	1	9
2014-04-01 10:36:08.948869	150541	57	2	8
2014-04-01 10:36:09.179284	150542	19.8	1	8
2014-04-01 10:36:19.083834	150543	54	2	1
2014-04-01 10:36:19.306107	150544	20.3	1	1
2014-04-01 10:36:19.829075	150545	579	3	2
2014-04-01 10:36:20.058863	150546	1163977.2920336574	4	2
2014-04-01 10:36:29.792246	150547	64	2	24
2014-04-01 10:36:30.015027	150548	17.4	1	24
2014-04-01 10:36:32.647363	150549	50	2	25
2014-04-01 10:36:32.879172	150550	17.5	1	25
2014-04-01 10:36:39.141067	150551	47	2	10
2014-04-01 10:36:39.362876	150552	20.6	1	10
2014-04-01 10:36:46.882076	150553	54	2	9
2014-04-01 10:36:47.114629	150554	20.2	1	9
2014-04-01 10:36:47.949108	150555	57	2	8
2014-04-01 10:36:48.170179	150556	19.8	1	8
2014-04-01 10:36:58.083964	150557	54	2	1
2014-04-01 10:36:58.325855	150558	20.3	1	1
2014-04-01 10:37:08.794037	150559	64	2	24
2014-04-01 10:37:09.015625	150560	17.4	1	24
2014-04-01 10:37:11.64368	150561	50	2	25
2014-04-01 10:37:11.876802	150562	17.5	1	25
2014-04-01 10:37:18.140778	150563	47	2	10
2014-04-01 10:37:18.362349	150564	20.6	1	10
2014-04-01 10:37:25.883056	150565	54	2	9
2014-04-01 10:37:26.115384	150566	20.2	1	9
2014-04-01 10:37:26.951003	150567	57	2	8
2014-04-01 10:37:27.170674	150568	19.8	1	8
2014-04-01 10:37:37.081646	150569	54	2	1
2014-04-01 10:37:37.323555	150570	20.3	1	1
2014-04-01 10:37:47.79136	150571	64	2	24
2014-04-01 10:37:48.021885	150572	17.4	1	24
2014-04-01 10:37:50.642917	150573	50	2	25
2014-04-01 10:37:50.875992	150574	17.5	1	25
2014-04-01 10:37:57.139949	150575	47	2	10
2014-04-01 10:37:57.361521	150576	20.6	1	10
2014-04-01 10:38:04.880612	150577	54	2	9
2014-04-01 10:38:05.112395	150578	20.2	1	9
2014-04-01 10:38:05.951962	150579	57	2	8
2014-04-01 10:38:06.175107	150580	19.8	1	8
2014-04-01 10:38:07.828143	150581	579	3	2
2014-04-01 10:38:08.060677	150582	1164026.7005266782	4	2
2014-04-01 10:38:16.08296	150583	54	2	1
2014-04-01 10:38:16.305429	150584	20.3	1	1
2014-04-01 10:38:26.789261	150585	64	2	24
2014-04-01 10:38:27.023781	150586	17.4	1	24
2014-04-01 10:38:29.643111	150587	50	2	25
2014-04-01 10:38:29.864496	150588	17.5	1	25
2014-04-01 10:38:36.140246	150589	47	2	10
2014-04-01 10:38:36.370134	150590	20.6	1	10
2014-04-01 10:38:44.088508	150591	55	2	9
2014-04-01 10:38:44.309483	150592	20.2	1	9
2014-04-01 10:38:44.949327	150593	57	2	8
2014-04-01 10:38:45.182027	150594	19.8	1	8
2014-04-01 10:38:55.084243	150595	54	2	1
2014-04-01 10:38:55.307605	150596	20.3	1	1
2014-04-01 10:39:05.790253	150597	64	2	24
2014-04-01 10:39:06.02227	150598	17.4	1	24
2014-04-01 10:39:08.643956	150599	50	2	25
2014-04-01 10:39:08.867072	150600	17.5	1	25
2014-04-01 10:39:15.146422	150601	47	2	10
2014-04-01 10:39:15.379547	150602	20.6	1	10
2014-04-01 10:39:22.884724	150603	55	2	9
2014-04-01 10:39:23.106575	150604	20.2	1	9
2014-04-01 10:39:23.949538	150605	57	2	8
2014-04-01 10:39:24.194078	150606	19.8	1	8
2014-04-01 10:39:34.080395	150607	54	2	1
2014-04-01 10:39:34.303084	150608	20.3	1	1
2014-04-01 10:39:43.830422	150609	692	3	2
2014-04-01 10:39:44.062697	150610	1164043.9360474993	4	2
2014-04-01 10:39:44.791518	150611	64	2	24
2014-04-01 10:39:45.014691	150612	17.4	1	24
2014-04-01 10:39:47.642356	150613	50	2	25
2014-04-01 10:39:47.873421	150614	17.5	1	25
2014-04-01 10:39:54.141677	150615	47	2	10
2014-04-01 10:39:54.366248	150616	20.6	1	10
2014-04-01 10:40:01.891257	150617	55	2	9
2014-04-01 10:40:02.123321	150618	20.2	1	9
2014-04-01 10:40:02.9491	150619	57	2	8
2014-04-01 10:40:03.170015	150620	19.8	1	8
2014-04-01 10:40:13.082966	150621	54	2	1
2014-04-01 10:40:13.316543	150622	20.3	1	1
2014-04-01 10:40:23.790089	150623	64	2	24
2014-04-01 10:40:24.013955	150624	17.4	1	24
2014-04-01 10:40:26.643228	150625	50	2	25
2014-04-01 10:40:26.874736	150626	17.5	1	25
2014-04-01 10:40:31.829191	150627	692	3	2
2014-04-01 10:40:32.051957	150628	1164053.1283252707	4	2
2014-04-01 10:40:33.141106	150629	47	2	10
2014-04-01 10:40:33.374695	150630	20.6	1	10
2014-04-01 10:40:40.88086	150631	55	2	9
2014-04-01 10:40:41.104206	150632	20.3	1	9
2014-04-01 10:40:41.949281	150633	57	2	8
2014-04-01 10:40:42.180759	150634	19.8	1	8
2014-04-01 10:40:52.077681	150635	54	2	1
2014-04-01 10:40:52.298278	150636	20.3	1	1
2014-04-01 10:41:02.789992	150637	64	2	24
2014-04-01 10:41:03.022665	150638	17.4	1	24
2014-04-01 10:41:05.642139	150639	50	2	25
2014-04-01 10:41:05.864075	150640	17.5	1	25
2014-04-01 10:41:12.142708	150641	47	2	10
2014-04-01 10:41:12.373762	150642	20.6	1	10
2014-04-01 10:41:20.084922	150643	55	2	9
2014-04-01 10:41:20.304794	150644	20.3	1	9
2014-04-01 10:41:20.949369	150645	57	2	8
2014-04-01 10:41:21.179451	150646	19.8	1	8
2014-04-01 10:41:31.07736	150647	54	2	1
2014-04-01 10:41:31.298668	150648	20.3	1	1
2014-04-01 10:41:41.786819	150649	64	2	24
2014-04-01 10:41:42.038719	150650	17.4	1	24
2014-04-01 10:41:44.643228	150651	50	2	25
2014-04-01 10:41:44.864352	150652	17.5	1	25
2014-04-01 10:41:51.142316	150653	47	2	10
2014-04-01 10:41:51.392725	150654	20.6	1	10
2014-04-01 10:41:58.88332	150655	55	2	9
2014-04-01 10:41:59.105358	150656	20.3	1	9
2014-04-01 10:41:59.949173	150657	57	2	8
2014-04-01 10:42:00.181177	150658	19.8	1	8
2014-04-01 10:42:10.07667	150659	54	2	1
2014-04-01 10:42:10.298543	150660	20.3	1	1
2014-04-01 10:42:20.788257	150661	64	2	24
2014-04-01 10:42:21.021097	150662	17.4	1	24
2014-04-01 10:42:23.642584	150663	50	2	25
2014-04-01 10:42:23.865392	150664	17.5	1	25
2014-04-01 10:42:30.142429	150665	47	2	10
2014-04-01 10:42:30.374273	150666	20.5	1	10
2014-04-01 10:42:37.883685	150667	55	2	9
2014-04-01 10:42:38.106644	150668	20.3	1	9
2014-04-01 10:42:38.949841	150669	57	2	8
2014-04-01 10:42:39.181272	150670	19.8	1	8
2014-04-01 10:42:49.081636	150671	54	2	1
2014-04-01 10:42:49.302513	150672	20.3	1	1
2014-04-01 10:42:59.787406	150673	64	2	24
2014-04-01 10:43:00.01978	150674	17.4	1	24
2014-04-01 10:43:02.641074	150675	50	2	25
2014-04-01 10:43:02.863014	150676	17.5	1	25
2014-04-01 10:43:09.140795	150677	47	2	10
2014-04-01 10:43:09.373555	150678	20.5	1	10
2014-04-01 10:43:16.8831	150679	55	2	9
2014-04-01 10:43:17.105242	150680	20.3	1	9
2014-04-01 10:43:17.951113	150681	57	2	8
2014-04-01 10:43:18.181141	150682	19.8	1	8
2014-04-01 10:43:28.074899	150683	54	2	1
2014-04-01 10:43:28.29621	150684	20.3	1	1
2014-04-01 10:43:38.783466	150685	64	2	24
2014-04-01 10:43:39.017841	150686	17.3	1	24
2014-04-01 10:43:41.642128	150687	50	2	25
2014-04-01 10:43:41.865192	150688	17.5	1	25
2014-04-01 10:43:48.142039	150689	47	2	10
2014-04-01 10:43:48.392955	150690	20.5	1	10
2014-04-01 10:43:56.088862	150691	55	2	9
2014-04-01 10:43:56.309135	150692	20.3	1	9
2014-04-01 10:43:56.949541	150693	57	2	8
2014-04-01 10:43:57.183303	150694	19.8	1	8
2014-04-01 10:44:07.076922	150695	54	2	1
2014-04-01 10:44:07.298114	150696	20.2	1	1
2014-04-01 10:44:17.784359	150697	64	2	24
2014-04-01 10:44:18.016825	150698	17.3	1	24
2014-04-01 10:44:20.640464	150699	50	2	25
2014-04-01 10:44:20.862945	150700	17.5	1	25
2014-04-01 10:44:27.144786	150701	47	2	10
2014-04-01 10:44:27.39075	150702	20.5	1	10
2014-04-01 10:44:34.887642	150703	55	2	9
2014-04-01 10:44:35.110835	150704	20.3	1	9
2014-04-01 10:44:35.94888	150705	57	2	8
2014-04-01 10:44:36.181515	150706	19.8	1	8
2014-04-01 10:44:46.075128	150707	54	2	1
2014-04-01 10:44:46.297725	150708	20.2	1	1
2014-04-01 10:44:56.783599	150709	64	2	24
2014-04-01 10:44:57.015277	150710	17.3	1	24
2014-04-01 10:44:59.638151	150711	50	2	25
2014-04-01 10:44:59.859509	150712	17.5	1	25
2014-04-01 10:45:06.142182	150713	47	2	10
2014-04-01 10:45:06.374229	150714	20.5	1	10
2014-04-01 10:45:13.881546	150715	55	2	9
2014-04-01 10:45:14.103734	150716	20.3	1	9
2014-04-01 10:45:14.949299	150717	57	2	8
2014-04-01 10:45:15.181145	150718	19.8	1	8
2014-04-01 10:45:25.077125	150719	54	2	1
2014-04-01 10:45:25.300311	150720	20.2	1	1
2014-04-01 10:45:35.782831	150721	64	2	24
2014-04-01 10:45:36.013289	150722	17.3	1	24
2014-04-01 10:45:38.638744	150723	50	2	25
2014-04-01 10:45:38.858479	150724	17.5	1	25
2014-04-01 10:45:45.142227	150725	47	2	10
2014-04-01 10:45:45.37418	150726	20.5	1	10
2014-04-01 10:45:52.881779	150727	55	2	9
2014-04-01 10:45:53.103193	150728	20.3	1	9
2014-04-01 10:45:53.949266	150729	57	2	8
2014-04-01 10:45:54.178914	150730	19.8	1	8
2014-04-01 10:46:04.074694	150731	54	2	1
2014-04-01 10:46:04.297068	150732	20.3	1	1
2014-04-01 10:46:14.783005	150733	63	2	24
2014-04-01 10:46:15.013817	150734	17.3	1	24
2014-04-01 10:46:17.639396	150735	50	2	25
2014-04-01 10:46:17.862997	150736	17.5	1	25
2014-04-01 10:46:24.14301	150737	47	2	10
2014-04-01 10:46:24.376673	150738	20.5	1	10
2014-04-01 10:46:32.08672	150739	55	2	9
2014-04-01 10:46:32.309554	150740	20.3	1	9
2014-04-01 10:46:32.948743	150741	57	2	8
2014-04-01 10:46:33.1819	150742	19.8	1	8
2014-04-01 10:46:43.077207	150743	54	2	1
2014-04-01 10:46:43.354805	150744	20.3	1	1
2014-04-01 10:46:53.775044	150745	63	2	24
2014-04-01 10:46:54.006772	150746	17.3	1	24
2014-04-01 10:46:56.64122	150747	50	2	25
2014-04-01 10:46:56.862514	150748	17.5	1	25
2014-04-01 10:47:03.14315	150749	47	2	10
2014-04-01 10:47:03.386525	150750	20.5	1	10
2014-04-01 10:47:10.881442	150751	55	2	9
2014-04-01 10:47:11.102843	150752	20.2	1	9
2014-04-01 10:47:11.948625	150753	57	2	8
2014-04-01 10:47:12.178467	150754	19.8	1	8
2014-04-01 10:47:22.077311	150755	54	2	1
2014-04-01 10:47:22.298613	150756	20.3	1	1
2014-04-01 10:47:32.781072	150757	63	2	24
2014-04-01 10:47:33.013278	150758	17.3	1	24
2014-04-01 10:47:35.639324	150759	50	2	25
2014-04-01 10:47:35.86273	150760	17.5	1	25
2014-04-01 10:47:42.142797	150761	47	2	10
2014-04-01 10:47:42.375007	150762	20.5	1	10
2014-04-01 10:47:49.882652	150763	55	2	9
2014-04-01 10:47:50.104364	150764	20.2	1	9
2014-04-01 10:47:50.949115	150765	57	2	8
2014-04-01 10:47:51.179802	150766	19.8	1	8
2014-04-01 10:48:01.074423	150767	54	2	1
2014-04-01 10:48:01.295419	150768	20.3	1	1
2014-04-01 10:48:11.783542	150769	63	2	24
2014-04-01 10:48:12.015253	150770	17.3	1	24
2014-04-01 10:48:14.638518	150771	50	2	25
2014-04-01 10:48:14.864574	150772	17.5	1	25
2014-04-01 10:48:21.142764	150773	47	2	10
2014-04-01 10:48:21.375947	150774	20.5	1	10
2014-04-01 10:48:28.885311	150775	55	2	9
2014-04-01 10:48:29.10598	150776	20.2	1	9
2014-04-01 10:48:29.950477	150777	57	2	8
2014-04-01 10:48:30.180217	150778	19.8	1	8
2014-04-01 10:48:40.075064	150779	54	2	1
2014-04-01 10:48:40.29769	150780	20.3	1	1
2014-04-01 10:48:50.778238	150781	63	2	24
2014-04-01 10:48:51.01084	150782	17.3	1	24
2014-04-01 10:48:53.639797	150783	50	2	25
2014-04-01 10:48:53.8607	150784	17.6	1	25
2014-04-01 10:49:00.142848	150785	47	2	10
2014-04-01 10:49:00.374683	150786	20.5	1	10
2014-04-01 10:49:07.882024	150787	55	2	9
2014-04-01 10:49:08.104895	150788	20.2	1	9
2014-04-01 10:49:08.950742	150789	57	2	8
2014-04-01 10:49:09.180459	150790	19.8	1	8
2014-04-01 10:49:19.077435	150791	54	2	1
2014-04-01 10:49:19.298828	150792	20.3	1	1
2014-04-01 10:49:29.780218	150793	63	2	24
2014-04-01 10:49:30.014292	150794	17.3	1	24
2014-04-01 10:49:32.639575	150795	50	2	25
2014-04-01 10:49:32.859314	150796	17.6	1	25
2014-04-01 10:49:39.147112	150797	47	2	10
2014-04-01 10:49:39.390761	150798	20.5	1	10
2014-04-01 10:49:46.885379	150799	55	2	9
2014-04-01 10:49:47.1097	150800	20.2	1	9
2014-04-01 10:49:47.948732	150801	57	2	8
2014-04-01 10:49:48.18264	150802	19.8	1	8
2014-04-01 10:49:58.075889	150803	54	2	1
2014-04-01 10:49:58.299312	150804	20.3	1	1
2014-04-01 10:50:08.778734	150805	63	2	24
2014-04-01 10:50:09.013384	150806	17.3	1	24
2014-04-01 10:50:11.658191	150807	50	2	25
2014-04-01 10:50:11.880592	150808	17.6	1	25
2014-04-01 10:50:18.144447	150809	47	2	10
2014-04-01 10:50:18.378253	150810	20.5	1	10
2014-04-01 10:50:25.882159	150811	55	2	9
2014-04-01 10:50:26.105601	150812	20.2	1	9
2014-04-01 10:50:26.94967	150813	57	2	8
2014-04-01 10:50:27.17959	150814	19.8	1	8
2014-04-01 10:50:37.072786	150815	54	2	1
2014-04-01 10:50:37.295585	150816	20.3	1	1
2014-04-01 10:50:47.778126	150817	63	2	24
2014-04-01 10:50:48.010822	150818	17.3	1	24
2014-04-01 10:50:50.637645	150819	50	2	25
2014-04-01 10:50:50.8599	150820	17.6	1	25
2014-04-01 10:50:57.143486	150821	47	2	10
2014-04-01 10:50:57.383662	150822	20.5	1	10
2014-04-01 10:51:04.883407	150823	55	2	9
2014-04-01 10:51:05.104178	150824	20.2	1	9
2014-04-01 10:51:05.948241	150825	57	2	8
2014-04-01 10:51:06.182118	150826	19.8	1	8
2014-04-01 10:51:16.074863	150827	54	2	1
2014-04-01 10:51:16.29667	150828	20.3	1	1
2014-04-01 10:51:26.77674	150829	63	2	24
2014-04-01 10:51:27.007526	150830	17.3	1	24
2014-04-01 10:51:29.638044	150831	50	2	25
2014-04-01 10:51:29.859573	150832	17.6	1	25
2014-04-01 10:51:36.144675	150833	47	2	10
2014-04-01 10:51:36.374295	150834	20.5	1	10
2014-04-01 10:51:43.884774	150835	55	2	9
2014-04-01 10:51:44.10759	150836	20.2	1	9
2014-04-01 10:51:44.948018	150837	57	2	8
2014-04-01 10:51:45.178993	150838	19.8	1	8
2014-04-01 10:51:55.072575	150839	54	2	1
2014-04-01 10:51:55.295084	150840	20.3	1	1
2014-04-01 10:52:05.775691	150841	63	2	24
2014-04-01 10:52:06.007285	150842	17.3	1	24
2014-04-01 10:52:08.639799	150843	50	2	25
2014-04-01 10:52:08.860972	150844	17.6	1	25
2014-04-01 10:52:15.146981	150845	47	2	10
2014-04-01 10:52:15.391066	150846	20.5	1	10
2014-04-01 10:52:22.881733	150847	55	2	9
2014-04-01 10:52:23.102758	150848	20.2	1	9
2014-04-01 10:52:23.949546	150849	57	2	8
2014-04-01 10:52:24.17978	150850	19.8	1	8
2014-04-01 10:52:34.068822	150851	54	2	1
2014-04-01 10:52:34.291403	150852	20.3	1	1
2014-04-01 10:52:44.778666	150853	63	2	24
2014-04-01 10:52:45.012623	150854	17.3	1	24
2014-04-01 10:52:47.640507	150855	50	2	25
2014-04-01 10:52:47.860782	150856	17.6	1	25
2014-04-01 10:52:54.144854	150857	47	2	10
2014-04-01 10:52:54.377938	150858	20.5	1	10
2014-04-01 10:53:01.88442	150859	55	2	9
2014-04-01 10:53:02.105697	150860	20.2	1	9
2014-04-01 10:53:02.949867	150861	56	2	8
2014-04-01 10:53:03.180464	150862	19.8	1	8
2014-04-01 10:53:13.070149	150863	54	2	1
2014-04-01 10:53:13.298927	150864	20.3	1	1
2014-04-01 10:53:23.775978	150865	63	2	24
2014-04-01 10:53:24.008723	150866	17.3	1	24
2014-04-01 10:53:26.637518	150867	50	2	25
2014-04-01 10:53:26.860775	150868	17.6	1	25
2014-04-01 10:53:33.144384	150869	47	2	10
2014-04-01 10:53:33.377834	150870	20.5	1	10
2014-04-01 10:53:40.884569	150871	55	2	9
2014-04-01 10:53:41.104985	150872	20.2	1	9
2014-04-01 10:53:41.949484	150873	56	2	8
2014-04-01 10:53:42.179271	150874	19.8	1	8
2014-04-01 10:53:52.070544	150875	54	2	1
2014-04-01 10:53:52.292563	150876	20.3	1	1
2014-04-01 10:54:02.77373	150877	63	2	24
2014-04-01 10:54:03.007458	150878	17.3	1	24
2014-04-01 10:54:05.638468	150879	50	2	25
2014-04-01 10:54:05.859466	150880	17.6	1	25
2014-04-01 10:54:12.145374	150881	47	2	10
2014-04-01 10:54:12.37774	150882	20.5	1	10
2014-04-01 10:54:20.084602	150883	55	2	9
2014-04-01 10:54:20.305882	150884	20.2	1	9
2014-04-01 10:54:20.950759	150885	56	2	8
2014-04-01 10:54:21.182664	150886	19.8	1	8
2014-04-01 10:54:31.07349	150887	54	2	1
2014-04-01 10:54:31.29525	150888	20.3	1	1
2014-04-01 10:54:41.774347	150889	63	2	24
2014-04-01 10:54:42.007411	150890	17.3	1	24
2014-04-01 10:54:44.637163	150891	50	2	25
2014-04-01 10:54:44.859619	150892	17.6	1	25
2014-04-01 10:54:51.144625	150893	47	2	10
2014-04-01 10:54:51.388716	150894	20.5	1	10
2014-04-01 10:54:58.882998	150895	55	2	9
2014-04-01 10:54:59.105085	150896	20.2	1	9
2014-04-01 10:54:59.949772	150897	56	2	8
2014-04-01 10:55:00.183145	150898	19.8	1	8
2014-04-01 10:55:10.074926	150899	54	2	1
2014-04-01 10:55:10.297376	150900	20.3	1	1
2014-04-01 10:55:20.774489	150901	63	2	24
2014-04-01 10:55:21.00641	150902	17.3	1	24
2014-04-01 10:55:23.633918	150903	50	2	25
2014-04-01 10:55:23.858714	150904	17.6	1	25
2014-04-01 10:55:30.147695	150905	47	2	10
2014-04-01 10:55:30.379994	150906	20.5	1	10
2014-04-01 10:55:37.882025	150907	55	2	9
2014-04-01 10:55:38.103701	150908	20.2	1	9
2014-04-01 10:55:38.952247	150909	56	2	8
2014-04-01 10:55:39.185909	150910	19.8	1	8
2014-04-01 10:55:49.073056	150911	54	2	1
2014-04-01 10:55:49.297667	150912	20.3	1	1
2014-04-01 10:55:59.774205	150913	63	2	24
2014-04-01 10:56:00.006297	150914	17.3	1	24
2014-04-01 10:56:02.636879	150915	50	2	25
2014-04-01 10:56:02.858258	150916	17.6	1	25
2014-04-01 10:56:09.145353	150917	47	2	10
2014-04-01 10:56:09.380127	150918	20.5	1	10
2014-04-01 10:56:16.882616	150919	55	2	9
2014-04-01 10:56:17.105721	150920	20.2	1	9
2014-04-01 10:56:17.94957	150921	56	2	8
2014-04-01 10:56:18.181249	150922	19.7	1	8
2014-04-01 10:56:28.070464	150923	54	2	1
2014-04-01 10:56:28.292893	150924	20.3	1	1
2014-04-01 10:56:38.772353	150925	63	2	24
2014-04-01 10:56:39.005266	150926	17.3	1	24
2014-04-01 10:56:41.635765	150927	50	2	25
2014-04-01 10:56:41.859906	150928	17.6	1	25
2014-04-01 10:56:48.146279	150929	47	2	10
2014-04-01 10:56:48.379892	150930	20.5	1	10
2014-04-01 10:56:55.883448	150931	55	2	9
2014-04-01 10:56:56.105897	150932	20.2	1	9
2014-04-01 10:56:56.948263	150933	56	2	8
2014-04-01 10:56:57.178268	150934	19.7	1	8
2014-04-01 10:57:07.066436	150935	54	2	1
2014-04-01 10:57:07.288567	150936	20.3	1	1
2014-04-01 10:57:17.774419	150937	63	2	24
2014-04-01 10:57:18.006675	150938	17.3	1	24
2014-04-01 10:57:20.635235	150939	50	2	25
2014-04-01 10:57:20.859629	150940	17.6	1	25
2014-04-01 10:57:27.147123	150941	47	2	10
2014-04-01 10:57:27.389081	150942	20.5	1	10
2014-04-01 10:57:34.882347	150943	55	2	9
2014-04-01 10:57:35.1054	150944	20.2	1	9
2014-04-01 10:57:35.947993	150945	56	2	8
2014-04-01 10:57:36.180636	150946	19.7	1	8
2014-04-01 10:57:46.068475	150947	54	2	1
2014-04-01 10:57:46.290326	150948	20.3	1	1
2014-04-01 10:57:56.769972	150949	63	2	24
2014-04-01 10:57:57.001598	150950	17.3	1	24
2014-04-01 10:57:59.63663	150951	50	2	25
2014-04-01 10:57:59.857192	150952	17.6	1	25
2014-04-01 10:58:06.145056	150953	47	2	10
2014-04-01 10:58:06.376701	150954	20.5	1	10
2014-04-01 10:58:13.884446	150955	55	2	9
2014-04-01 10:58:14.106494	150956	20.2	1	9
2014-04-01 10:58:14.949043	150957	56	2	8
2014-04-01 10:58:15.17936	150958	19.7	1	8
2014-04-01 10:58:25.068548	150959	54	2	1
2014-04-01 10:58:25.289448	150960	20.3	1	1
2014-04-01 10:58:35.77072	150961	63	2	24
2014-04-01 10:58:36.003431	150962	17.3	1	24
2014-04-01 10:58:38.634866	150963	50	2	25
2014-04-01 10:58:38.858643	150964	17.6	1	25
2014-04-01 10:58:45.146969	150965	47	2	10
2014-04-01 10:58:45.379381	150966	20.5	1	10
2014-04-01 10:58:52.882571	150967	55	2	9
2014-04-01 10:58:53.103911	150968	20.2	1	9
2014-04-01 10:58:53.949477	150969	56	2	8
2014-04-01 10:58:54.180116	150970	19.7	1	8
2014-04-01 10:59:04.071183	150971	54	2	1
2014-04-01 10:59:04.293105	150972	20.3	1	1
2014-04-01 10:59:14.769477	150973	63	2	24
2014-04-01 10:59:15.00337	150974	17.3	1	24
2014-04-01 10:59:17.634192	150975	50	2	25
2014-04-01 10:59:17.858286	150976	17.6	1	25
2014-04-01 10:59:24.146893	150977	47	2	10
2014-04-01 10:59:24.381699	150978	20.5	1	10
2014-04-01 10:59:32.085041	150979	55	2	9
2014-04-01 10:59:32.307264	150980	20.2	1	9
2014-04-01 10:59:32.951087	150981	56	2	8
2014-04-01 10:59:33.181262	150982	19.7	1	8
2014-04-01 10:59:43.070267	150983	54	2	1
2014-04-01 10:59:43.290664	150984	20.3	1	1
2014-04-01 10:59:53.769334	150985	63	2	24
2014-04-01 10:59:54.002762	150986	17.3	1	24
2014-04-01 10:59:56.634757	150987	50	2	25
2014-04-01 10:59:56.856116	150988	17.6	1	25
2014-04-01 11:00:03.147607	150989	47	2	10
2014-04-01 11:00:03.389653	150990	20.5	1	10
2014-04-01 11:00:10.88208	150991	55	2	9
2014-04-01 11:00:11.105809	150992	20.2	1	9
2014-04-01 11:00:11.9474	150993	56	2	8
2014-04-01 11:00:12.180608	150994	19.7	1	8
2014-04-01 11:00:22.068217	150995	54	2	1
2014-04-01 11:00:22.289481	150996	20.3	1	1
2014-04-01 11:00:32.766447	150997	63	2	24
2014-04-01 11:00:32.997389	150998	17.3	1	24
2014-04-01 11:00:35.633996	150999	50	2	25
2014-04-01 11:00:35.856602	151000	17.6	1	25
2014-04-01 11:00:42.149079	151001	47	2	10
2014-04-01 11:00:42.380344	151002	20.5	1	10
2014-04-01 11:00:49.880126	151003	55	2	9
2014-04-01 11:00:50.10259	151004	20.2	1	9
2014-04-01 11:00:51.15263	151005	56	2	8
2014-04-01 11:00:51.384247	151006	19.7	1	8
2014-04-01 11:01:01.068743	151007	54	2	1
2014-04-01 11:01:01.292293	151008	20.3	1	1
2014-04-01 11:01:11.765458	151009	63	2	24
2014-04-01 11:01:11.997513	151010	17.2	1	24
2014-04-01 11:01:14.635351	151011	50	2	25
2014-04-01 11:01:14.861203	151012	17.6	1	25
2014-04-01 11:01:21.147556	151013	47	2	10
2014-04-01 11:01:21.398995	151014	20.5	1	10
2014-04-01 11:01:28.882071	151015	55	2	9
2014-04-01 11:01:29.103211	151016	20.2	1	9
2014-04-01 11:01:29.948871	151017	56	2	8
2014-04-01 11:01:30.179094	151018	19.7	1	8
2014-04-01 11:01:40.065836	151019	54	2	1
2014-04-01 11:01:40.290854	151020	20.3	1	1
2014-04-01 11:01:50.767078	151021	63	2	24
2014-04-01 11:01:50.999433	151022	17.2	1	24
2014-04-01 11:01:53.631783	151023	50	2	25
2014-04-01 11:01:53.85413	151024	17.6	1	25
2014-04-01 11:02:00.148148	151025	47	2	10
2014-04-01 11:02:00.382143	151026	20.5	1	10
2014-04-01 11:02:07.878055	151027	55	2	9
2014-04-01 11:02:08.10028	151028	20.2	1	9
2014-04-01 11:02:08.949773	151029	56	2	8
2014-04-01 11:02:09.18048	151030	19.7	1	8
2014-04-01 11:02:19.070692	151031	54	2	1
2014-04-01 11:02:19.293706	151032	20.3	1	1
2014-04-01 11:02:29.768988	151033	63	2	24
2014-04-01 11:02:29.999805	151034	17.2	1	24
2014-04-01 11:02:32.634452	151035	50	2	25
2014-04-01 11:02:32.855176	151036	17.6	1	25
2014-04-01 11:02:39.147966	151037	47	2	10
2014-04-01 11:02:39.392688	151038	20.5	1	10
2014-04-01 11:02:46.883544	151039	55	2	9
2014-04-01 11:02:47.10567	151040	20.2	1	9
2014-04-01 11:02:47.947921	151041	56	2	8
2014-04-01 11:02:48.179904	151042	19.7	1	8
2014-04-01 11:02:58.069088	151043	54	2	1
2014-04-01 11:02:58.29041	151044	20.3	1	1
2014-04-01 11:03:08.765343	151045	63	2	24
2014-04-01 11:03:09.009501	151046	17.2	1	24
2014-04-01 11:03:11.635579	151047	50	2	25
2014-04-01 11:03:11.856413	151048	17.6	1	25
2014-04-01 11:03:18.148427	151049	47	2	10
2014-04-01 11:03:18.381795	151050	20.5	1	10
2014-04-01 11:03:25.882853	151051	55	2	9
2014-04-01 11:03:26.107005	151052	20.2	1	9
2014-04-01 11:03:26.94813	151053	57	2	8
2014-04-01 11:03:27.178211	151054	19.7	1	8
2014-04-01 11:03:37.064529	151055	54	2	1
2014-04-01 11:03:37.286719	151056	20.3	1	1
2014-04-01 11:03:47.766121	151057	63	2	24
2014-04-01 11:03:47.996962	151058	17.2	1	24
2014-04-01 11:03:50.632683	151059	50	2	25
2014-04-01 11:03:50.8556	151060	17.6	1	25
2014-04-01 11:03:57.147901	151061	47	2	10
2014-04-01 11:03:57.381023	151062	20.5	1	10
2014-04-01 11:04:04.887109	151063	55	2	9
2014-04-01 11:04:05.10822	151064	20.2	1	9
2014-04-01 11:04:05.949751	151065	57	2	8
2014-04-01 11:04:06.179982	151066	19.7	1	8
2014-04-01 11:04:16.065041	151067	54	2	1
2014-04-01 11:04:16.286355	151068	20.3	1	1
2014-04-01 11:04:26.763552	151069	63	2	24
2014-04-01 11:04:26.997569	151070	17.2	1	24
2014-04-01 11:04:29.632947	151071	50	2	25
2014-04-01 11:04:29.857915	151072	17.6	1	25
2014-04-01 11:04:36.148877	151073	47	2	10
2014-04-01 11:04:36.378941	151074	20.5	1	10
2014-04-01 11:04:43.940791	151075	55	2	9
2014-04-01 11:04:44.163769	151076	20.2	1	9
2014-04-01 11:04:44.95193	151077	56	2	8
2014-04-01 11:04:45.182958	151078	19.7	1	8
2014-04-01 11:04:55.067722	151079	54	2	1
2014-04-01 11:04:55.290258	151080	20.3	1	1
2014-04-01 11:05:05.764189	151081	63	2	24
2014-04-01 11:05:05.997209	151082	17.2	1	24
2014-04-01 11:05:08.632569	151083	50	2	25
2014-04-01 11:05:08.853521	151084	17.6	1	25
2014-04-01 11:05:15.149989	151085	47	2	10
2014-04-01 11:05:15.393145	151086	20.5	1	10
2014-04-01 11:05:22.883385	151087	55	2	9
2014-04-01 11:05:23.106979	151088	20.2	1	9
2014-04-01 11:05:23.948521	151089	56	2	8
2014-04-01 11:05:24.180048	151090	19.7	1	8
2014-04-01 11:05:34.064573	151091	54	2	1
2014-04-01 11:05:34.285231	151092	20.3	1	1
2014-04-01 11:05:44.762985	151093	63	2	24
2014-04-01 11:05:44.994509	151094	17.2	1	24
2014-04-01 11:05:47.632606	151095	50	2	25
2014-04-01 11:05:47.854297	151096	17.6	1	25
2014-04-01 11:05:54.152455	151097	47	2	10
2014-04-01 11:05:54.385599	151098	20.5	1	10
2014-04-01 11:06:01.879958	151099	55	2	9
2014-04-01 11:06:02.1033	151100	20.2	1	9
2014-04-01 11:06:02.949072	151101	56	2	8
2014-04-01 11:06:03.18077	151102	19.7	1	8
2014-04-01 11:06:13.065485	151103	54	2	1
2014-04-01 11:06:13.289515	151104	20.3	1	1
2014-04-01 11:06:23.76244	151105	63	2	24
2014-04-01 11:06:23.99652	151106	17.2	1	24
2014-04-01 11:06:26.630335	151107	50	2	25
2014-04-01 11:06:26.85281	151108	17.6	1	25
2014-04-01 11:06:33.14879	151109	47	2	10
2014-04-01 11:06:33.382715	151110	20.5	1	10
2014-04-01 11:06:40.882439	151111	55	2	9
2014-04-01 11:06:41.103176	151112	20.2	1	9
2014-04-01 11:06:41.948113	151113	56	2	8
2014-04-01 11:06:42.178748	151114	19.7	1	8
2014-04-01 11:06:52.068656	151115	54	2	1
2014-04-01 11:06:52.291258	151116	20.3	1	1
2014-04-01 11:07:02.759941	151117	63	2	24
2014-04-01 11:07:02.991129	151118	17.2	1	24
2014-04-01 11:07:05.631847	151119	50	2	25
2014-04-01 11:07:05.85367	151120	17.6	1	25
2014-04-01 11:07:12.149855	151121	47	2	10
2014-04-01 11:07:12.383671	151122	20.5	1	10
2014-04-01 11:07:19.881923	151123	55	2	9
2014-04-01 11:07:20.105092	151124	20.2	1	9
2014-04-01 11:07:20.948653	151125	56	2	8
2014-04-01 11:07:21.180616	151126	19.7	1	8
2014-04-01 11:07:31.062687	151127	54	2	1
2014-04-01 11:07:31.285007	151128	20.3	1	1
2014-04-01 11:07:41.75999	151129	63	2	24
2014-04-01 11:07:41.993517	151130	17.2	1	24
2014-04-01 11:07:44.631939	151131	50	2	25
2014-04-01 11:07:44.854284	151132	17.6	1	25
2014-04-01 11:07:51.15058	151133	47	2	10
2014-04-01 11:07:51.393638	151134	20.5	1	10
2014-04-01 11:07:58.88258	151135	55	2	9
2014-04-01 11:07:59.103645	151136	20.2	1	9
2014-04-01 11:07:59.948476	151137	56	2	8
2014-04-01 11:08:00.180202	151138	19.7	1	8
2014-04-01 11:08:10.064626	151139	54	2	1
2014-04-01 11:08:10.287973	151140	20.3	1	1
2014-04-01 11:08:20.759477	151141	63	2	24
2014-04-01 11:08:20.99249	151142	17.2	1	24
2014-04-01 11:08:23.632183	151143	50	2	25
2014-04-01 11:08:23.854246	151144	17.6	1	25
2014-04-01 11:08:30.149801	151145	47	2	10
2014-04-01 11:08:30.380458	151146	20.5	1	10
2014-04-01 11:08:37.883053	151147	55	2	9
2014-04-01 11:08:38.105044	151148	20.2	1	9
2014-04-01 11:08:38.949288	151149	56	2	8
2014-04-01 11:08:39.182686	151150	19.7	1	8
2014-04-01 11:08:49.063682	151151	54	2	1
2014-04-01 11:08:49.314355	151152	20.3	1	1
2014-04-01 11:08:59.761908	151153	63	2	24
2014-04-01 11:08:59.993399	151154	17.2	1	24
2014-04-01 11:09:02.629824	151155	50	2	25
2014-04-01 11:09:02.852954	151156	17.6	1	25
2014-04-01 11:09:09.149908	151157	47	2	10
2014-04-01 11:09:09.382971	151158	20.5	1	10
2014-04-01 11:09:16.883213	151159	55	2	9
2014-04-01 11:09:17.105278	151160	20.2	1	9
2014-04-01 11:09:17.949208	151161	56	2	8
2014-04-01 11:09:18.179977	151162	19.7	1	8
2014-04-01 11:09:28.06251	151163	55	2	1
2014-04-01 11:09:28.284623	151164	20.3	1	1
2014-04-01 11:09:38.760721	151165	63	2	24
2014-04-01 11:09:38.993635	151166	17.2	1	24
2014-04-01 11:09:41.632376	151167	50	2	25
2014-04-01 11:09:41.855199	151168	17.6	1	25
2014-04-01 11:09:48.150665	151169	47	2	10
2014-04-01 11:09:48.382452	151170	20.5	1	10
2014-04-01 11:09:55.883039	151171	55	2	9
2014-04-01 11:09:56.104442	151172	20.2	1	9
2014-04-01 11:09:56.950271	151173	56	2	8
2014-04-01 11:09:57.182143	151174	19.7	1	8
2014-04-01 11:10:07.061282	151175	55	2	1
2014-04-01 11:10:07.283136	151176	20.3	1	1
2014-04-01 11:10:17.755921	151177	63	2	24
2014-04-01 11:10:17.989893	151178	17.2	1	24
2014-04-01 11:10:20.63169	151179	50	2	25
2014-04-01 11:10:20.856014	151180	17.6	1	25
2014-04-01 11:10:27.150758	151181	47	2	10
2014-04-01 11:10:27.392893	151182	20.5	1	10
2014-04-01 11:10:34.881201	151183	55	2	9
2014-04-01 11:10:35.106415	151184	20.2	1	9
2014-04-01 11:10:35.95072	151185	56	2	8
2014-04-01 11:10:36.182743	151186	19.7	1	8
2014-04-01 11:10:46.063379	151187	55	2	1
2014-04-01 11:10:46.286319	151188	20.3	1	1
2014-04-01 11:10:56.755598	151189	63	2	24
2014-04-01 11:10:56.98715	151190	17.2	1	24
2014-04-01 11:10:59.628803	151191	50	2	25
2014-04-01 11:10:59.850229	151192	17.6	1	25
2014-04-01 11:11:06.152539	151193	47	2	10
2014-04-01 11:11:06.383227	151194	20.5	1	10
2014-04-01 11:11:13.910147	151195	55	2	9
2014-04-01 11:11:14.162579	151196	20.2	1	9
2014-04-01 11:11:14.94818	151197	56	2	8
2014-04-01 11:11:15.180618	151198	19.7	1	8
2014-04-01 11:11:25.060587	151199	55	2	1
2014-04-01 11:11:25.284371	151200	20.3	1	1
2014-04-01 11:11:35.755863	151201	63	2	24
2014-04-01 11:11:35.989483	151202	17.2	1	24
2014-04-01 11:11:38.629606	151203	50	2	25
2014-04-01 11:11:38.851578	151204	17.6	1	25
2014-04-01 11:11:45.150729	151205	47	2	10
2014-04-01 11:11:45.383555	151206	20.5	1	10
2014-04-01 11:11:52.884274	151207	55	2	9
2014-04-01 11:11:53.106832	151208	20.2	1	9
2014-04-01 11:11:53.948818	151209	56	2	8
2014-04-01 11:11:54.182255	151210	19.7	1	8
2014-04-01 11:12:04.060616	151211	55	2	1
2014-04-01 11:12:04.283463	151212	20.3	1	1
2014-04-01 11:12:14.753059	151213	63	2	24
2014-04-01 11:12:14.986057	151214	17.2	1	24
2014-04-01 11:12:17.628798	151215	50	2	25
2014-04-01 11:12:17.850849	151216	17.6	1	25
2014-04-01 11:12:24.149973	151217	47	2	10
2014-04-01 11:12:24.383584	151218	20.5	1	10
2014-04-01 11:12:32.08578	151219	55	2	9
2014-04-01 11:12:32.309146	151220	20.2	1	9
2014-04-01 11:12:32.9476	151221	56	2	8
2014-04-01 11:12:33.177905	151222	19.7	1	8
2014-04-01 11:12:43.063312	151223	55	2	1
2014-04-01 11:12:43.28616	151224	20.3	1	1
2014-04-01 11:12:53.754631	151225	63	2	24
2014-04-01 11:12:53.985371	151226	17.2	1	24
2014-04-01 11:12:56.628493	151227	50	2	25
2014-04-01 11:12:56.848946	151228	17.6	1	25
2014-04-01 11:13:03.151622	151229	47	2	10
2014-04-01 11:13:03.397386	151230	20.6	1	10
2014-04-01 11:13:10.885096	151231	55	2	9
2014-04-01 11:13:11.106285	151232	20.2	1	9
2014-04-01 11:13:11.949238	151233	56	2	8
2014-04-01 11:13:12.179542	151234	19.7	1	8
2014-04-01 11:13:22.059456	151235	55	2	1
2014-04-01 11:13:22.281677	151236	20.3	1	1
2014-04-01 11:13:32.754722	151237	63	2	24
2014-04-01 11:13:32.986694	151238	17.2	1	24
2014-04-01 11:13:35.630736	151239	50	2	25
2014-04-01 11:13:35.854945	151240	17.6	1	25
2014-04-01 11:13:42.152909	151241	47	2	10
2014-04-01 11:13:42.384192	151242	20.6	1	10
2014-04-01 11:13:49.883411	151243	55	2	9
2014-04-01 11:13:50.16303	151244	20.2	1	9
2014-04-01 11:13:50.948686	151245	56	2	8
2014-04-01 11:13:51.710453	151246	19.7	1	8
2014-04-01 11:14:01.059972	151247	55	2	1
2014-04-01 11:14:01.323431	151248	20.3	1	1
2014-04-01 11:14:11.994374	151249	63	2	24
2014-04-01 11:14:12.256128	151250	17.2	1	24
2014-04-01 11:14:14.631677	151251	50	2	25
2014-04-01 11:14:14.888711	151252	17.6	1	25
2014-04-01 11:14:21.152348	151253	47	2	10
2014-04-01 11:14:21.417898	151254	20.6	1	10
2014-04-01 11:14:28.881497	151255	55	2	9
2014-04-01 11:14:29.159777	151256	20.2	1	9
2014-04-01 11:14:29.948162	151257	56	2	8
2014-04-01 11:14:30.22073	151258	19.7	1	8
2014-04-01 11:14:40.060184	151259	55	2	1
2014-04-01 11:14:40.281891	151260	20.3	1	1
2014-04-01 11:14:50.755101	151261	63	2	24
2014-04-01 11:14:50.986633	151262	17.2	1	24
2014-04-01 11:14:53.627848	151263	50	2	25
2014-04-01 11:14:53.850372	151264	17.6	1	25
2014-04-01 11:15:00.152018	151265	47	2	10
2014-04-01 11:15:00.384565	151266	20.5	1	10
2014-04-01 11:15:07.88298	151267	55	2	9
2014-04-01 11:15:08.10527	151268	20.2	1	9
2014-04-01 11:15:08.948992	151269	56	2	8
2014-04-01 11:15:09.179282	151270	19.7	1	8
2014-04-01 11:15:19.059475	151271	55	2	1
2014-04-01 11:15:19.28661	151272	20.3	1	1
2014-04-01 11:15:29.994322	151273	63	2	24
2014-04-01 11:15:30.22945	151274	17.2	1	24
2014-04-01 11:15:32.628532	151275	50	2	25
2014-04-01 11:15:32.852414	151276	17.6	1	25
2014-04-01 11:15:39.15201	151277	47	2	10
2014-04-01 11:15:39.395425	151278	20.5	1	10
2014-04-01 11:15:46.880211	151279	55	2	9
2014-04-01 11:15:47.104852	151280	20.2	1	9
2014-04-01 11:15:47.950158	151281	56	2	8
2014-04-01 11:15:48.36571	151282	19.7	1	8
2014-04-01 11:15:58.059964	151283	55	2	1
2014-04-01 11:15:58.287617	151284	20.3	1	1
2014-04-01 11:16:08.751537	151285	63	2	24
2014-04-01 11:16:08.971713	151286	17.2	1	24
2014-04-01 11:16:11.629799	151287	50	2	25
2014-04-01 11:16:11.858556	151288	17.6	1	25
2014-04-01 11:16:18.153239	151289	47	2	10
2014-04-01 11:16:18.826988	151290	20.6	1	10
2014-04-01 11:16:25.883567	151291	55	2	9
2014-04-01 11:16:26.116035	151292	20.2	1	9
2014-04-01 11:16:26.947575	151293	56	2	8
2014-04-01 11:16:27.169418	151294	19.7	1	8
2014-04-01 11:16:37.059011	151295	55	2	1
2014-04-01 11:16:37.292047	151296	20.3	1	1
2014-04-01 11:16:47.75035	151297	63	2	24
2014-04-01 11:16:47.970916	151298	17.2	1	24
2014-04-01 11:16:50.626324	151299	50	2	25
2014-04-01 11:16:50.859461	151300	17.6	1	25
2014-04-01 11:16:57.155201	151301	47	2	10
2014-04-01 11:16:57.376739	151302	20.6	1	10
2014-04-01 11:17:04.883926	151303	55	2	9
2014-04-01 11:17:05.115624	151304	20.2	1	9
2014-04-01 11:17:05.946933	151305	56	2	8
2014-04-01 11:17:06.169244	151306	19.7	1	8
2014-04-01 11:17:16.060983	151307	55	2	1
2014-04-01 11:17:16.294736	151308	20.3	1	1
2014-04-01 11:17:26.752338	151309	63	2	24
2014-04-01 11:17:26.973117	151310	17.1	1	24
2014-04-01 11:17:29.627661	151311	50	2	25
2014-04-01 11:17:29.858791	151312	17.6	1	25
2014-04-01 11:17:36.153378	151313	46	2	10
2014-04-01 11:17:36.376484	151314	20.6	1	10
2014-04-01 11:17:43.883167	151315	55	2	9
2014-04-01 11:17:44.116251	151316	20.2	1	9
2014-04-01 11:17:44.947761	151317	56	2	8
2014-04-01 11:17:45.167566	151318	19.7	1	8
2014-04-01 11:17:55.057298	151319	55	2	1
2014-04-01 11:17:55.289835	151320	20.3	1	1
2014-04-01 11:18:05.765412	151321	63	2	24
2014-04-01 11:18:05.9872	151322	17.1	1	24
2014-04-01 11:18:08.62498	151323	50	2	25
2014-04-01 11:18:08.856736	151324	17.6	1	25
2014-04-01 11:18:15.15534	151325	46	2	10
2014-04-01 11:18:15.379236	151326	20.6	1	10
2014-04-01 11:18:22.880318	151327	55	2	9
2014-04-01 11:18:23.122425	151328	20.2	1	9
2014-04-01 11:18:23.948882	151329	56	2	8
2014-04-01 11:18:24.169523	151330	19.7	1	8
2014-04-01 11:18:34.058767	151331	55	2	1
2014-04-01 11:18:34.290544	151332	20.3	1	1
2014-04-01 11:18:44.747828	151333	63	2	24
2014-04-01 11:18:44.96863	151334	17.1	1	24
2014-04-01 11:18:47.625416	151335	50	2	25
2014-04-01 11:18:47.855315	151336	17.6	1	25
2014-04-01 11:18:54.15361	151337	46	2	10
2014-04-01 11:18:54.375131	151338	20.6	1	10
2014-04-01 11:19:01.879528	151339	55	2	9
2014-04-01 11:19:02.113154	151340	20.1	1	9
2014-04-01 11:19:02.949588	151341	56	2	8
2014-04-01 11:19:03.173288	151342	19.7	1	8
2014-04-01 11:19:13.059696	151343	55	2	1
2014-04-01 11:19:13.293724	151344	20.3	1	1
2014-04-01 11:19:23.748329	151345	63	2	24
2014-04-01 11:19:23.970758	151346	17.1	1	24
2014-04-01 11:19:26.625994	151347	50	2	25
2014-04-01 11:19:26.857613	151348	17.6	1	25
2014-04-01 11:19:33.15273	151349	46	2	10
2014-04-01 11:19:33.374457	151350	20.6	1	10
2014-04-01 11:19:40.881415	151351	55	2	9
2014-04-01 11:19:41.113124	151352	20.1	1	9
2014-04-01 11:19:41.948153	151353	56	2	8
2014-04-01 11:19:42.168845	151354	19.7	1	8
2014-04-01 11:19:52.058204	151355	55	2	1
2014-04-01 11:19:52.294174	151356	20.3	1	1
2014-04-01 11:20:02.749769	151357	63	2	24
2014-04-01 11:20:02.971676	151358	17.1	1	24
2014-04-01 11:20:05.62456	151359	50	2	25
2014-04-01 11:20:05.857892	151360	17.6	1	25
2014-04-01 11:20:12.154755	151361	46	2	10
2014-04-01 11:20:12.377028	151362	20.6	1	10
2014-04-01 11:20:19.882667	151363	55	2	9
2014-04-01 11:20:20.114932	151364	20.1	1	9
2014-04-01 11:20:20.948119	151365	56	2	8
2014-04-01 11:20:21.168936	151366	19.7	1	8
2014-04-01 11:20:31.055509	151367	55	2	1
2014-04-01 11:20:31.287302	151368	20.3	1	1
2014-04-01 11:20:41.747517	151369	63	2	24
2014-04-01 11:20:41.97212	151370	17.1	1	24
2014-04-01 11:20:44.624056	151371	50	2	25
2014-04-01 11:20:44.857413	151372	17.6	1	25
2014-04-01 11:20:51.155149	151373	46	2	10
2014-04-01 11:20:51.376931	151374	20.6	1	10
2014-04-01 11:20:58.882597	151375	55	2	9
2014-04-01 11:20:59.124553	151376	20.1	1	9
2014-04-01 11:20:59.949447	151377	56	2	8
2014-04-01 11:21:00.169422	151378	19.7	1	8
2014-04-01 11:21:10.053983	151379	55	2	1
2014-04-01 11:21:10.28369	151380	20.3	1	1
2014-04-01 11:21:20.746182	151381	63	2	24
2014-04-01 11:21:20.972192	151382	17.1	1	24
2014-04-01 11:21:23.624158	151383	50	2	25
2014-04-01 11:21:23.855707	151384	17.6	1	25
2014-04-01 11:21:30.154426	151385	46	2	10
2014-04-01 11:21:30.375724	151386	20.6	1	10
2014-04-01 11:21:37.882117	151387	55	2	9
2014-04-01 11:21:38.114893	151388	20.1	1	9
2014-04-01 11:21:38.94722	151389	56	2	8
2014-04-01 11:21:39.170941	151390	19.7	1	8
2014-04-01 11:21:49.056379	151391	55	2	1
2014-04-01 11:21:49.286969	151392	20.3	1	1
2014-04-01 11:21:59.745308	151393	63	2	24
2014-04-01 11:21:59.967082	151394	17.1	1	24
2014-04-01 11:22:02.624378	151395	50	2	25
2014-04-01 11:22:02.855227	151396	17.6	1	25
2014-04-01 11:22:09.156355	151397	46	2	10
2014-04-01 11:22:09.377036	151398	20.6	1	10
2014-04-01 11:22:16.879731	151399	55	2	9
2014-04-01 11:22:17.109591	151400	20.1	1	9
2014-04-01 11:22:17.948459	151401	56	2	8
2014-04-01 11:22:18.169958	151402	19.7	1	8
2014-04-01 11:22:28.055796	151403	55	2	1
2014-04-01 11:22:28.288645	151404	20.3	1	1
2014-04-01 11:22:38.744633	151405	63	2	24
2014-04-01 11:22:38.968983	151406	17.1	1	24
2014-04-01 11:22:41.625834	151407	50	2	25
2014-04-01 11:22:41.859459	151408	17.6	1	25
2014-04-01 11:22:48.155725	151409	46	2	10
2014-04-01 11:22:48.377565	151410	20.6	1	10
2014-04-01 11:22:55.89041	151411	55	2	9
2014-04-01 11:22:56.122144	151412	20.1	1	9
2014-04-01 11:22:56.949219	151413	56	2	8
2014-04-01 11:22:57.169614	151414	19.7	1	8
2014-04-01 11:23:07.05553	151415	55	2	1
2014-04-01 11:23:07.288938	151416	20.3	1	1
2014-04-01 11:23:17.744797	151417	63	2	24
2014-04-01 11:23:17.966461	151418	17.1	1	24
2014-04-01 11:23:20.625353	151419	50	2	25
2014-04-01 11:23:20.856859	151420	17.6	1	25
2014-04-01 11:23:27.155206	151421	46	2	10
2014-04-01 11:23:27.378526	151422	20.6	1	10
2014-04-01 11:23:34.881308	151423	55	2	9
2014-04-01 11:23:35.1436	151424	20.1	1	9
2014-04-01 11:23:35.945298	151425	56	2	8
2014-04-01 11:23:36.166468	151426	19.7	1	8
2014-04-01 11:23:46.056099	151427	55	2	1
2014-04-01 11:23:46.286698	151428	20.3	1	1
2014-04-01 11:23:56.743102	151429	63	2	24
2014-04-01 11:23:56.965374	151430	17.1	1	24
2014-04-01 11:23:59.62324	151431	50	2	25
2014-04-01 11:23:59.855147	151432	17.6	1	25
2014-04-01 11:24:06.155305	151433	46	2	10
2014-04-01 11:24:06.376239	151434	20.6	1	10
2014-04-01 11:24:13.880305	151435	55	2	9
2014-04-01 11:24:14.111567	151436	20.1	1	9
2014-04-01 11:24:14.948892	151437	56	2	8
2014-04-01 11:24:15.170273	151438	19.7	1	8
2014-04-01 11:24:25.051637	151439	55	2	1
2014-04-01 11:24:25.283537	151440	20.3	1	1
2014-04-01 11:24:35.74202	151441	63	2	24
2014-04-01 11:24:35.966437	151442	17.1	1	24
2014-04-01 11:24:38.624909	151443	50	2	25
2014-04-01 11:24:38.856348	151444	17.6	1	25
2014-04-01 11:24:45.155319	151445	46	2	10
2014-04-01 11:24:45.378234	151446	20.6	1	10
2014-04-01 11:24:52.879538	151447	55	2	9
2014-04-01 11:24:53.110938	151448	20.1	1	9
2014-04-01 11:24:53.948907	151449	56	2	8
2014-04-01 11:24:54.168488	151450	19.7	1	8
2014-04-01 11:25:04.052389	151451	55	2	1
2014-04-01 11:25:04.282912	151452	20.3	1	1
2014-04-01 11:25:14.743573	151453	63	2	24
2014-04-01 11:25:14.965151	151454	17.1	1	24
2014-04-01 11:25:17.624848	151455	50	2	25
2014-04-01 11:25:17.857271	151456	17.6	1	25
2014-04-01 11:25:24.15555	151457	46	2	10
2014-04-01 11:25:24.376569	151458	20.6	1	10
2014-04-01 11:25:32.083244	151459	55	2	9
2014-04-01 11:25:32.314364	151460	20.1	1	9
2014-04-01 11:25:32.947332	151461	56	2	8
2014-04-01 11:25:33.168252	151462	19.7	1	8
2014-04-01 11:25:43.055477	151463	55	2	1
2014-04-01 11:25:43.286375	151464	20.3	1	1
2014-04-01 11:25:53.741816	151465	63	2	24
2014-04-01 11:25:53.965708	151466	17.1	1	24
2014-04-01 11:25:56.624493	151467	50	2	25
2014-04-01 11:25:56.857115	151468	17.6	1	25
2014-04-01 11:26:03.154266	151469	46	2	10
2014-04-01 11:26:03.3762	151470	20.6	1	10
2014-04-01 11:26:10.88306	151471	55	2	9
2014-04-01 11:26:11.125535	151472	20.1	1	9
2014-04-01 11:26:11.949887	151473	56	2	8
2014-04-01 11:26:12.169545	151474	19.7	1	8
2014-04-01 11:26:22.051986	151475	55	2	1
2014-04-01 11:26:22.286394	151476	20.3	1	1
2014-04-01 11:26:32.740485	151477	63	2	24
2014-04-01 11:26:32.964619	151478	17.1	1	24
2014-04-01 11:26:35.623172	151479	50	2	25
2014-04-01 11:26:35.854756	151480	17.6	1	25
2014-04-01 11:26:42.155881	151481	46	2	10
2014-04-01 11:26:42.376627	151482	20.6	1	10
2014-04-01 11:26:49.88238	151483	55	2	9
2014-04-01 11:26:50.115677	151484	20.1	1	9
2014-04-01 11:26:50.946991	151485	56	2	8
2014-04-01 11:26:51.170785	151486	19.7	1	8
2014-04-01 11:27:01.053362	151487	55	2	1
2014-04-01 11:27:01.285241	151488	20.3	1	1
2014-04-01 11:27:11.742252	151489	63	2	24
2014-04-01 11:27:11.965828	151490	17.1	1	24
2014-04-01 11:27:14.621976	151491	50	2	25
2014-04-01 11:27:14.856488	151492	17.6	1	25
2014-04-01 11:27:21.160552	151493	46	2	10
2014-04-01 11:27:21.383083	151494	20.6	1	10
2014-04-01 11:27:28.88375	151495	55	2	9
2014-04-01 11:27:29.116393	151496	20.1	1	9
2014-04-01 11:27:29.948839	151497	56	2	8
2014-04-01 11:27:30.171981	151498	19.7	1	8
2014-04-01 11:27:40.053415	151499	55	2	1
2014-04-01 11:27:40.289139	151500	20.3	1	1
2014-04-01 11:27:50.741405	151501	63	2	24
2014-04-01 11:27:50.964326	151502	17.1	1	24
2014-04-01 11:27:53.621667	151503	50	2	25
2014-04-01 11:27:53.851774	151504	17.6	1	25
2014-04-01 11:28:00.156285	151505	46	2	10
2014-04-01 11:28:00.379176	151506	20.6	1	10
2014-04-01 11:28:07.883922	151507	55	2	9
2014-04-01 11:28:08.11485	151508	20.1	1	9
2014-04-01 11:28:08.951278	151509	56	2	8
2014-04-01 11:28:09.172589	151510	19.7	1	8
2014-04-01 11:28:19.05262	151511	55	2	1
2014-04-01 11:28:19.285485	151512	20.3	1	1
2014-04-01 11:28:29.740275	151513	63	2	24
2014-04-01 11:28:29.963064	151514	17.1	1	24
2014-04-01 11:28:32.621924	151515	50	2	25
2014-04-01 11:28:32.854219	151516	17.6	1	25
2014-04-01 11:28:39.155663	151517	46	2	10
2014-04-01 11:28:39.379587	151518	20.6	1	10
2014-04-01 11:28:46.880667	151519	55	2	9
2014-04-01 11:28:47.12506	151520	20.1	1	9
2014-04-01 11:28:47.947759	151521	56	2	8
2014-04-01 11:28:48.169045	151522	19.7	1	8
2014-04-01 11:28:58.053401	151523	55	2	1
2014-04-01 11:28:58.283999	151524	20.3	1	1
2014-04-01 11:29:08.738189	151525	63	2	24
2014-04-01 11:29:08.96098	151526	17.1	1	24
2014-04-01 11:29:11.620728	151527	50	2	25
2014-04-01 11:29:11.853522	151528	17.6	1	25
2014-04-01 11:29:18.156433	151529	46	2	10
2014-04-01 11:29:18.379567	151530	20.6	1	10
2014-04-01 11:29:25.881088	151531	55	2	9
2014-04-01 11:29:26.113146	151532	20.1	1	9
2014-04-01 11:29:26.947957	151533	56	2	8
2014-04-01 11:29:27.168773	151534	19.7	1	8
2014-04-01 11:29:37.06237	151535	55	2	1
2014-04-01 11:29:37.293898	151536	20.3	1	1
2014-04-01 11:29:47.739414	151537	63	2	24
2014-04-01 11:29:47.960738	151538	17.1	1	24
2014-04-01 11:29:50.622836	151539	50	2	25
2014-04-01 11:29:50.855042	151540	17.6	1	25
2014-04-01 11:29:57.1575	151541	46	2	10
2014-04-01 11:29:57.377911	151542	20.6	1	10
2014-04-01 11:30:04.880676	151543	55	2	9
2014-04-01 11:30:05.113072	151544	20.1	1	9
2014-04-01 11:30:05.94777	151545	56	2	8
2014-04-01 11:30:06.169189	151546	19.7	1	8
2014-04-01 11:30:16.053162	151547	55	2	1
2014-04-01 11:30:16.284471	151548	20.3	1	1
2014-04-01 11:30:26.739378	151549	63	2	24
2014-04-01 11:30:26.962947	151550	17.1	1	24
2014-04-01 11:30:29.621777	151551	50	2	25
2014-04-01 11:30:29.855917	151552	17.6	1	25
2014-04-01 11:30:36.157852	151553	46	2	10
2014-04-01 11:30:36.378772	151554	20.6	1	10
2014-04-01 11:30:43.882405	151555	55	2	9
2014-04-01 11:30:44.114775	151556	20.1	1	9
2014-04-01 11:30:44.948328	151557	56	2	8
2014-04-01 11:30:45.169893	151558	19.7	1	8
2014-04-01 11:30:55.054039	151559	55	2	1
2014-04-01 11:30:55.284972	151560	20.3	1	1
2014-04-01 11:31:05.737611	151561	63	2	24
2014-04-01 11:31:05.963629	151562	17.1	1	24
2014-04-01 11:31:08.618733	151563	50	2	25
2014-04-01 11:31:08.852425	151564	17.6	1	25
2014-04-01 11:31:15.157282	151565	46	2	10
2014-04-01 11:31:15.37919	151566	20.6	1	10
2014-04-01 11:31:22.884209	151567	55	2	9
2014-04-01 11:31:23.126994	151568	20.1	1	9
2014-04-01 11:31:23.949156	151569	56	2	8
2014-04-01 11:31:24.168926	151570	19.7	1	8
2014-04-01 11:31:34.05226	151571	55	2	1
2014-04-01 11:31:34.284468	151572	20.3	1	1
2014-04-01 11:31:44.792072	151573	63	2	24
2014-04-01 11:31:45.015403	151574	17.1	1	24
2014-04-01 11:31:47.619809	151575	50	2	25
2014-04-01 11:31:47.85186	151576	17.6	1	25
2014-04-01 11:31:54.157491	151577	46	2	10
2014-04-01 11:31:54.380177	151578	20.6	1	10
2014-04-01 11:32:01.883278	151579	55	2	9
2014-04-01 11:32:02.115883	151580	20.1	1	9
2014-04-01 11:32:02.949001	151581	56	2	8
2014-04-01 11:32:03.169369	151582	19.7	1	8
2014-04-01 11:32:13.051823	151583	55	2	1
2014-04-01 11:32:13.283969	151584	20.3	1	1
2014-04-01 11:32:23.73441	151585	63	2	24
2014-04-01 11:32:23.95624	151586	17.1	1	24
2014-04-01 11:32:26.619964	151587	50	2	25
2014-04-01 11:32:26.851704	151588	17.6	1	25
2014-04-01 11:32:33.160409	151589	46	2	10
2014-04-01 11:32:33.383229	151590	20.6	1	10
2014-04-01 11:32:40.884142	151591	55	2	9
2014-04-01 11:32:41.120643	151592	20.1	1	9
2014-04-01 11:32:41.947975	151593	56	2	8
2014-04-01 11:32:42.170229	151594	19.7	1	8
2014-04-01 11:32:52.048756	151595	55	2	1
2014-04-01 11:32:52.284671	151596	20.3	1	1
2014-04-01 11:33:02.733961	151597	63	2	24
2014-04-01 11:33:02.955857	151598	17.1	1	24
2014-04-01 11:33:05.619517	151599	50	2	25
2014-04-01 11:33:05.849656	151600	17.6	1	25
2014-04-01 11:33:12.159023	151601	46	2	10
2014-04-01 11:33:12.382717	151602	20.6	1	10
2014-04-01 11:33:19.88471	151603	55	2	9
2014-04-01 11:33:20.118805	151604	20.1	1	9
2014-04-01 11:33:20.94746	151605	56	2	8
2014-04-01 11:33:21.168295	151606	19.7	1	8
2014-04-01 11:33:31.050049	151607	55	2	1
2014-04-01 11:33:31.282962	151608	20.3	1	1
2014-04-01 11:33:41.734167	151609	63	2	24
2014-04-01 11:33:41.95874	151610	17.1	1	24
2014-04-01 11:33:44.619983	151611	50	2	25
2014-04-01 11:33:44.906332	151612	17.6	1	25
2014-04-01 11:33:51.158829	151613	46	2	10
2014-04-01 11:33:51.382644	151614	20.6	1	10
2014-04-01 11:33:58.884958	151615	55	2	9
2014-04-01 11:33:59.127194	151616	20.1	1	9
2014-04-01 11:33:59.947931	151617	56	2	8
2014-04-01 11:34:00.168907	151618	19.7	1	8
2014-04-01 11:34:10.045715	151619	55	2	1
2014-04-01 11:34:10.276986	151620	20.3	1	1
2014-04-01 11:34:20.732123	151621	63	2	24
2014-04-01 11:34:20.95469	151622	17.1	1	24
2014-04-01 11:34:23.620926	151623	50	2	25
2014-04-01 11:34:23.85295	151624	17.6	1	25
2014-04-01 11:34:30.158582	151625	46	2	10
2014-04-01 11:34:30.380325	151626	20.6	1	10
2014-04-01 11:34:37.883514	151627	55	2	9
2014-04-01 11:34:38.113523	151628	20.1	1	9
2014-04-01 11:34:38.945887	151629	56	2	8
2014-04-01 11:34:39.168256	151630	19.7	1	8
2014-04-01 11:34:49.049967	151631	55	2	1
2014-04-01 11:34:49.283307	151632	20.3	1	1
2014-04-01 11:34:59.733801	151633	63	2	24
2014-04-01 11:34:59.95632	151634	17.1	1	24
2014-04-01 11:35:02.623007	151635	50	2	25
2014-04-01 11:35:02.853651	151636	17.6	1	25
2014-04-01 11:35:09.15826	151637	46	2	10
2014-04-01 11:35:09.378784	151638	20.6	1	10
2014-04-01 11:35:16.883802	151639	55	2	9
2014-04-01 11:35:17.1164	151640	20.1	1	9
2014-04-01 11:35:17.947663	151641	56	2	8
2014-04-01 11:35:18.171258	151642	19.7	1	8
2014-04-01 11:35:28.049481	151643	55	2	1
2014-04-01 11:35:28.284837	151644	20.3	1	1
2014-04-01 11:35:38.732953	151645	63	2	24
2014-04-01 11:35:38.954809	151646	17.1	1	24
2014-04-01 11:35:41.620455	151647	50	2	25
2014-04-01 11:35:41.853443	151648	17.6	1	25
2014-04-01 11:35:48.158613	151649	46	2	10
2014-04-01 11:35:48.380492	151650	20.6	1	10
2014-04-01 11:35:55.883529	151651	55	2	9
2014-04-01 11:35:56.115081	151652	20.1	1	9
2014-04-01 11:35:56.9471	151653	56	2	8
2014-04-01 11:35:57.167125	151654	19.7	1	8
2014-04-01 11:36:07.047819	151655	55	2	1
2014-04-01 11:36:07.280467	151656	20.3	1	1
2014-04-01 11:36:17.731036	151657	63	2	24
2014-04-01 11:36:17.954161	151658	17.1	1	24
2014-04-01 11:36:20.619098	151659	50	2	25
2014-04-01 11:36:20.853464	151660	17.6	1	25
2014-04-01 11:36:27.160008	151661	46	2	10
2014-04-01 11:36:27.383636	151662	20.6	1	10
2014-04-01 11:36:34.885345	151663	55	2	9
2014-04-01 11:36:35.128485	151664	20.1	1	9
2014-04-01 11:36:35.947394	151665	56	2	8
2014-04-01 11:36:36.1669	151666	19.7	1	8
2014-04-01 11:36:46.044877	151667	55	2	1
2014-04-01 11:36:46.276652	151668	20.3	1	1
2014-04-01 11:36:56.731046	151669	63	2	24
2014-04-01 11:36:56.955847	151670	17.1	1	24
2014-04-01 11:36:59.861404	151671	50	2	25
2014-04-01 11:37:00.091019	151672	17.6	1	25
2014-04-01 11:37:06.160118	151673	46	2	10
2014-04-01 11:37:06.382686	151674	20.6	1	10
2014-04-01 11:37:13.883014	151675	55	2	9
2014-04-01 11:37:14.117585	151676	20.1	1	9
2014-04-01 11:37:14.951719	151677	56	2	8
2014-04-01 11:37:15.17457	151678	19.7	1	8
2014-04-01 11:37:25.047847	151679	55	2	1
2014-04-01 11:37:25.280558	151680	20.3	1	1
2014-04-01 11:37:35.730076	151681	63	2	24
2014-04-01 11:37:35.953084	151682	17.1	1	24
2014-04-01 11:37:38.617165	151683	50	2	25
2014-04-01 11:37:38.849685	151684	17.6	1	25
2014-04-01 11:37:45.15919	151685	46	2	10
2014-04-01 11:37:45.380116	151686	20.6	1	10
2014-04-01 11:37:52.883654	151687	55	2	9
2014-04-01 11:37:53.119583	151688	20.1	1	9
2014-04-01 11:37:53.948572	151689	56	2	8
2014-04-01 11:37:54.172022	151690	19.7	1	8
2014-04-01 11:38:04.045752	151691	55	2	1
2014-04-01 11:38:04.27787	151692	20.3	1	1
2014-04-01 11:38:14.733142	151693	63	2	24
2014-04-01 11:38:15.005889	151694	17.1	1	24
2014-04-01 11:38:17.619035	151695	50	2	25
2014-04-01 11:38:17.849628	151696	17.6	1	25
2014-04-01 11:38:24.162117	151697	46	2	10
2014-04-01 11:38:24.383125	151698	20.6	1	10
2014-04-01 11:38:32.088882	151699	55	2	9
2014-04-01 11:38:32.322164	151700	20.1	1	9
2014-04-01 11:38:32.948131	151701	56	2	8
2014-04-01 11:38:33.170741	151702	19.7	1	8
2014-04-01 11:38:43.048659	151703	55	2	1
2014-04-01 11:38:43.291341	151704	20.3	1	1
2014-04-01 11:38:53.729465	151705	63	2	24
2014-04-01 11:38:53.950394	151706	17.1	1	24
2014-04-01 11:38:56.618135	151707	50	2	25
2014-04-01 11:38:56.849017	151708	17.6	1	25
2014-04-01 11:39:03.159083	151709	46	2	10
2014-04-01 11:39:03.383395	151710	20.6	1	10
2014-04-01 11:39:10.88501	151711	55	2	9
2014-04-01 11:39:11.129056	151712	20.1	1	9
2014-04-01 11:39:11.94909	151713	56	2	8
2014-04-01 11:39:12.170625	151714	19.7	1	8
2014-04-01 11:39:22.045152	151715	55	2	1
2014-04-01 11:39:22.27673	151716	20.3	1	1
2014-04-01 11:39:32.728267	151717	63	2	24
2014-04-01 11:39:32.949055	151718	17.1	1	24
2014-04-01 11:39:35.635213	151719	50	2	25
2014-04-01 11:39:35.868981	151720	17.6	1	25
2014-04-01 11:39:42.160413	151721	46	2	10
2014-04-01 11:39:42.38353	151722	20.6	1	10
2014-04-01 11:39:49.883433	151723	55	2	9
2014-04-01 11:39:50.114434	151724	20.1	1	9
2014-04-01 11:39:50.948054	151725	56	2	8
2014-04-01 11:39:51.16953	151726	19.7	1	8
2014-04-01 11:40:01.045093	151727	55	2	1
2014-04-01 11:40:01.276476	151728	20.3	1	1
2014-04-01 11:40:11.724361	151729	63	2	24
2014-04-01 11:40:11.946389	151730	17.1	1	24
2014-04-01 11:40:14.616828	151731	50	2	25
2014-04-01 11:40:14.894387	151732	17.6	1	25
2014-04-01 11:40:21.159825	151733	46	2	10
2014-04-01 11:40:21.383615	151734	20.6	1	10
2014-04-01 11:40:28.881773	151735	55	2	9
2014-04-01 11:40:29.113266	151736	20.1	1	9
2014-04-01 11:40:29.947804	151737	56	2	8
2014-04-01 11:40:30.170368	151738	19.7	1	8
2014-04-01 11:40:40.043237	151739	55	2	1
2014-04-01 11:40:40.275698	151740	20.3	1	1
2014-04-01 11:40:50.725474	151741	63	2	24
2014-04-01 11:40:50.948566	151742	17.1	1	24
2014-04-01 11:40:53.619229	151743	50	2	25
2014-04-01 11:40:53.851304	151744	17.6	1	25
2014-04-01 11:41:00.160942	151745	46	2	10
2014-04-01 11:41:00.382809	151746	20.6	1	10
2014-04-01 11:41:07.881746	151747	55	2	9
2014-04-01 11:41:08.113342	151748	20.1	1	9
2014-04-01 11:41:08.949025	151749	56	2	8
2014-04-01 11:41:09.170016	151750	19.7	1	8
2014-04-01 11:41:19.28534	151751	55	2	1
2014-04-01 11:41:19.5158	151752	20.3	1	1
2014-04-01 11:41:29.72891	151753	63	2	24
2014-04-01 11:41:29.952845	151754	17.0	1	24
2014-04-01 11:41:32.621966	151755	50	2	25
2014-04-01 11:41:32.857528	151756	17.6	1	25
2014-04-01 11:41:39.160055	151757	46	2	10
2014-04-01 11:41:39.382659	151758	20.6	1	10
2014-04-01 11:41:46.88078	151759	55	2	9
2014-04-01 11:41:47.124839	151760	20.1	1	9
2014-04-01 11:41:47.948235	151761	56	2	8
2014-04-01 11:41:48.169281	151762	19.7	1	8
2014-04-01 11:41:58.043203	151763	55	2	1
2014-04-01 11:41:58.275679	151764	20.3	1	1
2014-04-01 11:42:08.723345	151765	63	2	24
2014-04-01 11:42:08.946859	151766	17.0	1	24
2014-04-01 11:42:11.617364	151767	50	2	25
2014-04-01 11:42:11.851842	151768	17.6	1	25
2014-04-01 11:42:18.161767	151769	46	2	10
2014-04-01 11:42:18.383145	151770	20.6	1	10
2014-04-01 11:42:25.87935	151771	55	2	9
2014-04-01 11:42:26.113897	151772	20.1	1	9
2014-04-01 11:42:26.949791	151773	56	2	8
2014-04-01 11:42:27.172281	151774	19.7	1	8
2014-04-01 11:42:37.045112	151775	55	2	1
2014-04-01 11:42:37.288257	151776	20.3	1	1
2014-04-01 11:42:47.723577	151777	63	2	24
2014-04-01 11:42:47.94928	151778	17.0	1	24
2014-04-01 11:42:50.616864	151779	50	2	25
2014-04-01 11:42:50.853217	151780	17.6	1	25
2014-04-01 11:42:57.161463	151781	46	2	10
2014-04-01 11:42:57.381678	151782	20.6	1	10
2014-04-01 11:43:04.879102	151783	55	2	9
2014-04-01 11:43:05.113361	151784	20.1	1	9
2014-04-01 11:43:05.94871	151785	56	2	8
2014-04-01 11:43:06.172729	151786	19.7	1	8
2014-04-01 11:43:16.045997	151787	55	2	1
2014-04-01 11:43:16.276747	151788	20.3	1	1
2014-04-01 11:43:26.723109	151789	63	2	24
2014-04-01 11:43:26.946082	151790	17.0	1	24
2014-04-01 11:43:29.615581	151791	50	2	25
2014-04-01 11:43:29.847173	151792	17.6	1	25
2014-04-01 11:43:36.16424	151793	46	2	10
2014-04-01 11:43:36.385784	151794	20.6	1	10
2014-04-01 11:43:43.883185	151795	55	2	9
2014-04-01 11:43:44.114547	151796	20.1	1	9
2014-04-01 11:43:44.945195	151797	56	2	8
2014-04-01 11:43:45.224653	151798	19.7	1	8
2014-04-01 11:43:55.042469	151799	55	2	1
2014-04-01 11:43:55.275202	151800	20.3	1	1
2014-04-01 11:44:05.723291	151801	63	2	24
2014-04-01 11:44:05.944227	151802	17.0	1	24
2014-04-01 11:44:08.616906	151803	50	2	25
2014-04-01 11:44:08.847835	151804	17.6	1	25
2014-04-01 11:44:15.161478	151805	46	2	10
2014-04-01 11:44:15.384928	151806	20.6	1	10
2014-04-01 11:44:22.883221	151807	55	2	9
2014-04-01 11:44:23.126111	151808	20.1	1	9
2014-04-01 11:44:23.947007	151809	56	2	8
2014-04-01 11:44:24.167091	151810	19.7	1	8
2014-04-01 11:44:31.824711	151811	482	3	2
2014-04-01 11:44:32.059946	151812	1164589.7364820759	4	2
2014-04-01 11:44:34.042489	151813	55	2	1
2014-04-01 11:44:34.263664	151814	20.3	1	1
2014-04-01 11:44:44.720219	151815	63	2	24
2014-04-01 11:44:44.952974	151816	17.0	1	24
2014-04-01 11:44:47.613726	151817	50	2	25
2014-04-01 11:44:47.835726	151818	17.6	1	25
2014-04-01 11:44:54.161728	151819	46	2	10
2014-04-01 11:44:54.395907	151820	20.6	1	10
2014-04-01 11:45:01.879217	151821	55	2	9
2014-04-01 11:45:02.101141	151822	20.1	1	9
2014-04-01 11:45:02.947534	151823	56	2	8
2014-04-01 11:45:03.17795	151824	19.7	1	8
2014-04-01 11:45:13.0455	151825	55	2	1
2014-04-01 11:45:13.267206	151826	20.3	1	1
2014-04-01 11:45:23.723031	151827	63	2	24
2014-04-01 11:45:23.963702	151828	17.0	1	24
2014-04-01 11:45:26.615023	151829	50	2	25
2014-04-01 11:45:26.837083	151830	17.6	1	25
2014-04-01 11:45:33.16384	151831	46	2	10
2014-04-01 11:45:33.394702	151832	20.6	1	10
2014-04-01 11:45:40.882396	151833	55	2	9
2014-04-01 11:45:41.104646	151834	20.1	1	9
2014-04-01 11:45:41.94748	151835	56	2	8
2014-04-01 11:45:42.179594	151836	19.7	1	8
2014-04-01 11:45:52.043818	151837	55	2	1
2014-04-01 11:45:52.266364	151838	20.3	1	1
2014-04-01 11:46:02.721643	151839	63	2	24
2014-04-01 11:46:02.953039	151840	17.0	1	24
2014-04-01 11:46:05.614693	151841	51	2	25
2014-04-01 11:46:05.836536	151842	17.7	1	25
2014-04-01 11:46:12.162439	151843	46	2	10
2014-04-01 11:46:12.394626	151844	20.6	1	10
2014-04-01 11:46:19.883135	151845	55	2	9
2014-04-01 11:46:20.106992	151846	20.1	1	9
2014-04-01 11:46:20.947015	151847	56	2	8
2014-04-01 11:46:21.178744	151848	19.7	1	8
2014-04-01 11:46:31.043262	151849	55	2	1
2014-04-01 11:46:31.265902	151850	20.3	1	1
2014-04-01 11:46:41.722057	151851	63	2	24
2014-04-01 11:46:41.955852	151852	17.0	1	24
2014-04-01 11:46:44.614777	151853	51	2	25
2014-04-01 11:46:44.838177	151854	17.7	1	25
2014-04-01 11:46:51.162694	151855	46	2	10
2014-04-01 11:46:51.406566	151856	20.5	1	10
2014-04-01 11:46:58.882041	151857	55	2	9
2014-04-01 11:46:59.103711	151858	20.1	1	9
2014-04-01 11:46:59.946709	151859	56	2	8
2014-04-01 11:47:00.179957	151860	19.7	1	8
2014-04-01 11:47:10.042357	151861	55	2	1
2014-04-01 11:47:10.26446	151862	20.3	1	1
2014-04-01 11:47:20.720183	151863	63	2	24
2014-04-01 11:47:20.954859	151864	17.0	1	24
2014-04-01 11:47:23.614456	151865	51	2	25
2014-04-01 11:47:23.838151	151866	17.7	1	25
2014-04-01 11:47:30.161391	151867	46	2	10
2014-04-01 11:47:30.393519	151868	20.5	1	10
2014-04-01 11:47:37.884902	151869	55	2	9
2014-04-01 11:47:38.129563	151870	20.1	1	9
2014-04-01 11:47:38.95167	151871	56	2	8
2014-04-01 11:47:39.182413	151872	19.7	1	8
2014-04-01 11:47:49.040779	151873	55	2	1
2014-04-01 11:47:49.262457	151874	20.3	1	1
2014-04-01 11:47:59.721088	151875	63	2	24
2014-04-01 11:47:59.955047	151876	17.0	1	24
2014-04-01 11:48:02.616868	151877	51	2	25
2014-04-01 11:48:02.838194	151878	17.7	1	25
2014-04-01 11:48:09.164524	151879	46	2	10
2014-04-01 11:48:09.396902	151880	20.5	1	10
2014-04-01 11:48:16.883218	151881	55	2	9
2014-04-01 11:48:17.106303	151882	20.1	1	9
2014-04-01 11:48:17.948837	151883	56	2	8
2014-04-01 11:48:18.183142	151884	19.7	1	8
2014-04-01 11:48:28.043649	151885	55	2	1
2014-04-01 11:48:28.267371	151886	20.3	1	1
2014-04-01 11:48:38.718124	151887	63	2	24
2014-04-01 11:48:38.950477	151888	17.0	1	24
2014-04-01 11:48:41.613398	151889	51	2	25
2014-04-01 11:48:41.835386	151890	17.7	1	25
2014-04-01 11:48:48.163702	151891	46	2	10
2014-04-01 11:48:48.397825	151892	20.5	1	10
2014-04-01 11:48:55.882959	151893	55	2	9
2014-04-01 11:48:56.108795	151894	20.1	1	9
2014-04-01 11:48:56.948304	151895	56	2	8
2014-04-01 11:48:57.180498	151896	19.7	1	8
2014-04-01 11:49:07.042507	151897	55	2	1
2014-04-01 11:49:07.267794	151898	20.3	1	1
2014-04-01 11:49:17.959516	151899	63	2	24
2014-04-01 11:49:18.192405	151900	17.0	1	24
2014-04-01 11:49:20.612352	151901	51	2	25
2014-04-01 11:49:20.841139	151902	17.7	1	25
2014-04-01 11:49:27.162711	151903	46	2	10
2014-04-01 11:49:27.409228	151904	20.5	1	10
2014-04-01 11:49:34.884065	151905	55	2	9
2014-04-01 11:49:35.106519	151906	20.1	1	9
2014-04-01 11:49:35.947247	151907	56	2	8
2014-04-01 11:49:36.178684	151908	19.7	1	8
2014-04-01 11:49:46.038902	151909	55	2	1
2014-04-01 11:49:46.26221	151910	20.3	1	1
2014-04-01 11:49:56.718861	151911	63	2	24
2014-04-01 11:49:56.95066	151912	17.0	1	24
2014-04-01 11:49:59.614419	151913	51	2	25
2014-04-01 11:49:59.836959	151914	17.7	1	25
2014-04-01 11:50:06.162017	151915	46	2	10
2014-04-01 11:50:06.395622	151916	20.5	1	10
2014-04-01 11:50:13.883312	151917	55	2	9
2014-04-01 11:50:14.106397	151918	20.1	1	9
2014-04-01 11:50:14.949428	151919	56	2	8
2014-04-01 11:50:15.225524	151920	19.7	1	8
2014-04-01 11:50:25.039013	151921	55	2	1
2014-04-01 11:50:25.259927	151922	20.3	1	1
2014-04-01 11:50:35.715751	151923	63	2	24
2014-04-01 11:50:35.948539	151924	17.0	1	24
2014-04-01 11:50:38.614637	151925	51	2	25
2014-04-01 11:50:38.837002	151926	17.7	1	25
2014-04-01 11:50:45.162111	151927	46	2	10
2014-04-01 11:50:45.452422	151928	20.5	1	10
2014-04-01 11:50:52.88327	151929	55	2	9
2014-04-01 11:50:53.105403	151930	20.1	1	9
2014-04-01 11:50:53.945978	151931	56	2	8
2014-04-01 11:50:54.179877	151932	19.7	1	8
2014-04-01 11:51:04.038957	151933	55	2	1
2014-04-01 11:51:04.26123	151934	20.3	1	1
2014-04-01 11:51:14.954866	151935	63	2	24
2014-04-01 11:51:15.223621	151936	17.0	1	24
2014-04-01 11:51:17.61342	151937	51	2	25
2014-04-01 11:51:17.83503	151938	17.7	1	25
2014-04-01 11:51:24.161924	151939	46	2	10
2014-04-01 11:51:24.395684	151940	20.5	1	10
2014-04-01 11:51:32.085062	151941	55	2	9
2014-04-01 11:51:32.308018	151942	20.1	1	9
2014-04-01 11:51:32.948044	151943	56	2	8
2014-04-01 11:51:33.181244	151944	19.7	1	8
2014-04-01 11:51:43.03998	151945	55	2	1
2014-04-01 11:51:43.263686	151946	20.3	1	1
2014-04-01 11:51:53.717063	151947	63	2	24
2014-04-01 11:51:53.949067	151948	17.0	1	24
2014-04-01 11:51:56.613001	151949	51	2	25
2014-04-01 11:51:56.838245	151950	17.7	1	25
2014-04-01 11:52:03.163866	151951	46	2	10
2014-04-01 11:52:03.40665	151952	20.5	1	10
2014-04-01 11:52:10.883064	151953	55	2	9
2014-04-01 11:52:11.104299	151954	20.1	1	9
2014-04-01 11:52:11.94593	151955	56	2	8
2014-04-01 11:52:12.1772	151956	19.7	1	8
2014-04-01 11:52:22.03912	151957	55	2	1
2014-04-01 11:52:22.261985	151958	20.3	1	1
2014-04-01 11:52:32.715516	151959	63	2	24
2014-04-01 11:52:32.950654	151960	17.0	1	24
2014-04-01 11:52:35.61379	151961	51	2	25
2014-04-01 11:52:35.837081	151962	17.7	1	25
2014-04-01 11:52:42.164775	151963	46	2	10
2014-04-01 11:52:42.399674	151964	20.5	1	10
2014-04-01 11:52:49.887727	151965	55	2	9
2014-04-01 11:52:50.10948	151966	20.1	1	9
2014-04-01 11:52:50.949404	151967	56	2	8
2014-04-01 11:52:51.179992	151968	19.7	1	8
2014-04-01 11:53:01.036792	151969	55	2	1
2014-04-01 11:53:01.259529	151970	20.3	1	1
2014-04-01 11:53:11.715174	151971	63	2	24
2014-04-01 11:53:11.951543	151972	17.0	1	24
2014-04-01 11:53:14.612143	151973	51	2	25
2014-04-01 11:53:14.837005	151974	17.7	1	25
2014-04-01 11:53:21.163058	151975	46	2	10
2014-04-01 11:53:21.397735	151976	20.5	1	10
2014-04-01 11:53:28.885649	151977	55	2	9
2014-04-01 11:53:29.131047	151978	20.1	1	9
2014-04-01 11:53:29.949035	151979	56	2	8
2014-04-01 11:53:30.182824	151980	19.7	1	8
2014-04-01 11:53:40.036631	151981	55	2	1
2014-04-01 11:53:40.258742	151982	20.3	1	1
2014-04-01 11:53:50.957402	151983	63	2	24
2014-04-01 11:53:51.194416	151984	17.0	1	24
2014-04-01 11:53:53.612617	151985	51	2	25
2014-04-01 11:53:53.834661	151986	17.7	1	25
2014-04-01 11:54:00.16586	151987	46	2	10
2014-04-01 11:54:00.398599	151988	20.5	1	10
2014-04-01 11:54:07.884556	151989	55	2	9
2014-04-01 11:54:08.109374	151990	20.1	1	9
2014-04-01 11:54:08.94694	151991	56	2	8
2014-04-01 11:54:09.18172	151992	19.7	1	8
2014-04-01 11:54:19.038046	151993	55	2	1
2014-04-01 11:54:19.261643	151994	20.3	1	1
2014-04-01 11:54:29.713444	151995	63	2	24
2014-04-01 11:54:29.946686	151996	17.0	1	24
2014-04-01 11:54:32.612472	151997	51	2	25
2014-04-01 11:54:32.835309	151998	17.7	1	25
2014-04-01 11:54:39.164879	151999	46	2	10
2014-04-01 11:54:39.408121	152000	20.5	1	10
2014-04-01 11:54:46.887567	152001	55	2	9
2014-04-01 11:54:47.109896	152002	20.1	1	9
2014-04-01 11:54:47.947733	152003	56	2	8
2014-04-01 11:54:48.179302	152004	19.7	1	8
2014-04-01 11:54:58.035625	152005	55	2	1
2014-04-01 11:54:58.260051	152006	20.3	1	1
2014-04-01 11:55:08.712744	152007	63	2	24
2014-04-01 11:55:08.945426	152008	17.0	1	24
2014-04-01 11:55:11.611912	152009	51	2	25
2014-04-01 11:55:11.835197	152010	17.7	1	25
2014-04-01 11:55:18.1648	152011	46	2	10
2014-04-01 11:55:18.398891	152012	20.5	1	10
2014-04-01 11:55:25.883127	152013	55	2	9
2014-04-01 11:55:26.107663	152014	20.1	1	9
2014-04-01 11:55:26.948012	152015	56	2	8
2014-04-01 11:55:27.178633	152016	19.7	1	8
2014-04-01 11:55:37.036589	152017	55	2	1
2014-04-01 11:55:37.258884	152018	20.3	1	1
2014-04-01 11:55:47.711852	152019	63	2	24
2014-04-01 11:55:47.944734	152020	17.0	1	24
2014-04-01 11:55:50.61168	152021	51	2	25
2014-04-01 11:55:50.84066	152022	17.7	1	25
2014-04-01 11:55:57.164007	152023	46	2	10
2014-04-01 11:55:57.397996	152024	20.5	1	10
2014-04-01 11:56:04.882678	152025	55	2	9
2014-04-01 11:56:05.141332	152026	20.1	1	9
2014-04-01 11:56:05.948452	152027	56	2	8
2014-04-01 11:56:06.204309	152028	19.7	1	8
2014-04-01 11:56:16.038798	152029	55	2	1
2014-04-01 11:56:16.294053	152030	20.3	1	1
2014-04-01 11:56:26.708282	152031	63	2	24
2014-04-01 11:56:26.974837	152032	17.0	1	24
2014-04-01 11:56:29.612373	152033	51	2	25
2014-04-01 11:56:29.867784	152034	17.7	1	25
2014-04-01 11:56:36.16397	152035	46	2	10
2014-04-01 11:56:36.396918	152036	20.5	1	10
2014-04-01 11:56:44.088617	152037	55	2	9
2014-04-01 11:56:44.311361	152038	20.1	1	9
2014-04-01 11:56:44.94641	152039	56	2	8
2014-04-01 11:56:45.177626	152040	19.7	1	8
2014-04-01 11:56:55.033943	152041	55	2	1
2014-04-01 11:56:55.256126	152042	20.3	1	1
2014-04-01 11:57:05.713404	152043	63	2	24
2014-04-01 11:57:05.945224	152044	17.0	1	24
2014-04-01 11:57:08.610238	152045	51	2	25
2014-04-01 11:57:08.833055	152046	17.7	1	25
2014-04-01 11:57:15.166646	152047	46	2	10
2014-04-01 11:57:15.465312	152048	20.5	1	10
2014-04-01 11:57:22.884802	152049	55	2	9
2014-04-01 11:57:23.107168	152050	20.1	1	9
2014-04-01 11:57:23.948667	152051	56	2	8
2014-04-01 11:57:24.179294	152052	19.7	1	8
2014-04-01 11:57:34.035055	152053	55	2	1
2014-04-01 11:57:34.256624	152054	20.3	1	1
2014-04-01 11:57:44.708754	152055	63	2	24
2014-04-01 11:57:44.945351	152056	17.0	1	24
2014-04-01 11:57:47.61	152057	51	2	25
2014-04-01 11:57:47.833517	152058	17.7	1	25
2014-04-01 11:57:54.165652	152059	46	2	10
2014-04-01 11:57:54.397506	152060	20.5	1	10
2014-04-01 11:58:01.884281	152061	55	2	9
2014-04-01 11:58:02.106985	152062	20.1	1	9
2014-04-01 11:58:02.946562	152063	56	2	8
2014-04-01 11:58:03.178882	152064	19.7	1	8
2014-04-01 11:58:13.035523	152065	55	2	1
2014-04-01 11:58:13.25734	152066	20.3	1	1
2014-04-01 11:58:23.708983	152067	63	2	24
2014-04-01 11:58:23.944211	152068	17.0	1	24
2014-04-01 11:58:26.610215	152069	51	2	25
2014-04-01 11:58:26.832855	152070	17.7	1	25
2014-04-01 11:58:33.165502	152071	46	2	10
2014-04-01 11:58:33.397111	152072	20.5	1	10
2014-04-01 11:58:40.884942	152073	55	2	9
2014-04-01 11:58:41.109246	152074	20.1	1	9
2014-04-01 11:58:41.948078	152075	56	2	8
2014-04-01 11:58:42.178454	152076	19.6	1	8
2014-04-01 11:58:52.039815	152077	55	2	1
2014-04-01 11:58:52.262195	152078	20.3	1	1
2014-04-01 11:59:02.709263	152079	63	2	24
2014-04-01 11:59:02.942715	152080	17.0	1	24
2014-04-01 11:59:05.613088	152081	51	2	25
2014-04-01 11:59:05.835265	152082	17.7	1	25
2014-04-01 11:59:12.166069	152083	46	2	10
2014-04-01 11:59:12.397682	152084	20.5	1	10
2014-04-01 11:59:19.887123	152085	55	2	9
2014-04-01 11:59:20.111121	152086	20.1	1	9
2014-04-01 11:59:20.947672	152087	56	2	8
2014-04-01 11:59:21.180092	152088	19.6	1	8
2014-04-01 11:59:31.036028	152089	55	2	1
2014-04-01 11:59:31.259224	152090	20.3	1	1
2014-04-01 11:59:41.703882	152091	63	2	24
2014-04-01 11:59:41.937249	152092	17.0	1	24
2014-04-01 11:59:44.609061	152093	51	2	25
2014-04-01 11:59:44.830906	152094	17.7	1	25
2014-04-01 11:59:51.167877	152095	46	2	10
2014-04-01 11:59:51.410618	152096	20.5	1	10
2014-04-01 11:59:58.887586	152097	55	2	9
2014-04-01 11:59:59.110506	152098	20.1	1	9
2014-04-01 11:59:59.948698	152099	56	2	8
2014-04-01 12:00:00.366417	152100	19.6	1	8
2014-04-01 12:00:10.035489	152101	55	2	1
2014-04-01 12:00:10.258769	152102	20.3	1	1
2014-04-01 12:00:20.707246	152103	63	2	24
2014-04-01 12:00:20.935762	152104	17.0	1	24
2014-04-01 12:00:23.609067	152105	51	2	25
2014-04-01 12:00:23.838622	152106	17.7	1	25
2014-04-01 12:00:30.166447	152107	46	2	10
2014-04-01 12:00:30.38939	152108	20.5	1	10
2014-04-01 12:00:37.885221	152109	55	2	9
2014-04-01 12:00:38.117344	152110	20.1	1	9
2014-04-01 12:00:38.950329	152111	56	2	8
2014-04-01 12:00:39.170364	152112	19.6	1	8
2014-04-01 12:00:49.032491	152113	55	2	1
2014-04-01 12:00:49.265277	152114	20.3	1	1
2014-04-01 12:00:59.711187	152115	63	2	24
2014-04-01 12:00:59.953237	152116	17.0	1	24
2014-04-01 12:01:02.608846	152117	51	2	25
2014-04-01 12:01:02.84062	152118	17.7	1	25
2014-04-01 12:01:09.165492	152119	46	2	10
2014-04-01 12:01:09.389928	152120	20.5	1	10
2014-04-01 12:01:16.885155	152121	55	2	9
2014-04-01 12:01:17.116932	152122	20.1	1	9
2014-04-01 12:01:17.945314	152123	56	2	8
2014-04-01 12:01:18.166527	152124	19.6	1	8
2014-04-01 12:01:28.032926	152125	55	2	1
2014-04-01 12:01:28.26422	152126	20.3	1	1
2014-04-01 12:01:38.705222	152127	63	2	24
2014-04-01 12:01:38.926984	152128	17.0	1	24
2014-04-01 12:01:41.606812	152129	51	2	25
2014-04-01 12:01:41.838121	152130	17.7	1	25
2014-04-01 12:01:48.166552	152131	46	2	10
2014-04-01 12:01:48.3878	152132	20.5	1	10
2014-04-01 12:01:56.087906	152133	55	2	9
2014-04-01 12:01:56.318579	152134	20.1	1	9
2014-04-01 12:01:56.945153	152135	56	2	8
2014-04-01 12:01:57.165911	152136	19.6	1	8
2014-04-01 12:02:07.033144	152137	55	2	1
2014-04-01 12:02:07.266038	152138	20.3	1	1
2014-04-01 12:02:17.705937	152139	63	2	24
2014-04-01 12:02:17.928656	152140	17.0	1	24
2014-04-01 12:02:20.610044	152141	51	2	25
2014-04-01 12:02:20.846299	152142	17.7	1	25
2014-04-01 12:02:27.165201	152143	46	2	10
2014-04-01 12:02:27.388427	152144	20.5	1	10
2014-04-01 12:02:34.881515	152145	55	2	9
2014-04-01 12:02:35.127195	152146	20.1	1	9
2014-04-01 12:02:35.945963	152147	56	2	8
2014-04-01 12:02:36.170131	152148	19.6	1	8
2014-04-01 12:02:46.033359	152149	55	2	1
2014-04-01 12:02:46.267324	152150	20.3	1	1
2014-04-01 12:02:56.703969	152151	63	2	24
2014-04-01 12:02:56.927131	152152	17.0	1	24
2014-04-01 12:02:59.607569	152153	51	2	25
2014-04-01 12:02:59.842242	152154	17.7	1	25
2014-04-01 12:03:06.167644	152155	46	2	10
2014-04-01 12:03:06.389264	152156	20.5	1	10
2014-04-01 12:03:13.885012	152157	55	2	9
2014-04-01 12:03:14.117394	152158	20.1	1	9
2014-04-01 12:03:14.945993	152159	56	2	8
2014-04-01 12:03:15.166303	152160	19.6	1	8
2014-04-01 12:03:25.032172	152161	55	2	1
2014-04-01 12:03:25.264247	152162	20.3	1	1
2014-04-01 12:03:35.702594	152163	63	2	24
2014-04-01 12:03:35.928575	152164	17.0	1	24
2014-04-01 12:03:38.607872	152165	51	2	25
2014-04-01 12:03:38.840602	152166	17.7	1	25
2014-04-01 12:03:45.16724	152167	46	2	10
2014-04-01 12:03:45.389802	152168	20.5	1	10
2014-04-01 12:03:52.882007	152169	55	2	9
2014-04-01 12:03:53.114026	152170	20.1	1	9
2014-04-01 12:03:53.947765	152171	56	2	8
2014-04-01 12:03:54.169436	152172	19.6	1	8
2014-04-01 12:04:04.034673	152173	55	2	1
2014-04-01 12:04:04.266765	152174	20.2	1	1
2014-04-01 12:04:14.701509	152175	63	2	24
2014-04-01 12:04:14.924599	152176	17.0	1	24
2014-04-01 12:04:17.606697	152177	51	2	25
2014-04-01 12:04:17.840184	152178	17.7	1	25
2014-04-01 12:04:24.167303	152179	46	2	10
2014-04-01 12:04:24.391314	152180	20.5	1	10
2014-04-01 12:04:32.086531	152181	55	2	9
2014-04-01 12:04:32.320443	152182	20.1	1	9
2014-04-01 12:04:32.948007	152183	56	2	8
2014-04-01 12:04:33.170074	152184	19.6	1	8
2014-04-01 12:04:43.033159	152185	55	2	1
2014-04-01 12:04:43.26404	152186	20.2	1	1
2014-04-01 12:04:53.701357	152187	63	2	24
2014-04-01 12:04:53.92466	152188	17.0	1	24
2014-04-01 12:04:56.607725	152189	51	2	25
2014-04-01 12:04:56.839188	152190	17.7	1	25
2014-04-01 12:05:03.170145	152191	46	2	10
2014-04-01 12:05:03.392828	152192	20.4	1	10
2014-04-01 12:05:10.882106	152193	55	2	9
2014-04-01 12:05:11.126594	152194	20.1	1	9
2014-04-01 12:05:11.946911	152195	56	2	8
2014-04-01 12:05:12.169623	152196	19.6	1	8
2014-04-01 12:05:22.032223	152197	55	2	1
2014-04-01 12:05:22.26518	152198	20.2	1	1
2014-04-01 12:05:32.699556	152199	63	2	24
2014-04-01 12:05:32.921981	152200	17.0	1	24
2014-04-01 12:05:35.607442	152201	51	2	25
2014-04-01 12:05:35.837906	152202	17.7	1	25
2014-04-01 12:05:42.168493	152203	46	2	10
2014-04-01 12:05:42.392729	152204	20.4	1	10
2014-04-01 12:05:49.882488	152205	55	2	9
2014-04-01 12:05:50.113455	152206	20.1	1	9
2014-04-01 12:05:50.947938	152207	56	2	8
2014-04-01 12:05:51.168681	152208	19.6	1	8
2014-04-01 12:06:01.032589	152209	55	2	1
2014-04-01 12:06:01.266488	152210	20.2	1	1
2014-04-01 12:06:11.700654	152211	64	2	24
2014-04-01 12:06:11.923223	152212	16.9	1	24
2014-04-01 12:06:14.607682	152213	51	2	25
2014-04-01 12:06:14.839113	152214	17.7	1	25
2014-04-01 12:06:21.167322	152215	46	2	10
2014-04-01 12:06:21.393357	152216	20.4	1	10
2014-04-01 12:06:28.884233	152217	55	2	9
2014-04-01 12:06:29.115815	152218	20.1	1	9
2014-04-01 12:06:29.947626	152219	56	2	8
2014-04-01 12:06:30.167985	152220	19.6	1	8
2014-04-01 12:06:40.032247	152221	55	2	1
2014-04-01 12:06:40.263282	152222	20.2	1	1
2014-04-01 12:06:50.700117	152223	64	2	24
2014-04-01 12:06:50.92774	152224	16.9	1	24
2014-04-01 12:06:53.607736	152225	51	2	25
2014-04-01 12:06:53.8395	152226	17.7	1	25
2014-04-01 12:07:00.169315	152227	46	2	10
2014-04-01 12:07:00.391029	152228	20.4	1	10
2014-04-01 12:07:08.08819	152229	55	2	9
2014-04-01 12:07:08.320007	152230	20.1	1	9
2014-04-01 12:07:08.947628	152231	56	2	8
2014-04-01 12:07:09.168236	152232	19.6	1	8
2014-04-01 12:07:19.030626	152233	55	2	1
2014-04-01 12:07:19.261954	152234	20.2	1	1
2014-04-01 12:07:29.699072	152235	64	2	24
2014-04-01 12:07:29.92265	152236	16.9	1	24
2014-04-01 12:07:32.614758	152237	51	2	25
2014-04-01 12:07:32.846098	152238	17.7	1	25
2014-04-01 12:07:39.169231	152239	46	2	10
2014-04-01 12:07:39.393317	152240	20.4	1	10
2014-04-01 12:07:46.882812	152241	55	2	9
2014-04-01 12:07:47.127736	152242	20.1	1	9
2014-04-01 12:07:47.947697	152243	56	2	8
2014-04-01 12:07:48.169029	152244	19.6	1	8
2014-04-01 12:07:58.03231	152245	55	2	1
2014-04-01 12:07:58.263387	152246	20.2	1	1
2014-04-01 12:08:08.699736	152247	64	2	24
2014-04-01 12:08:08.923173	152248	16.9	1	24
2014-04-01 12:08:11.608318	152249	51	2	25
2014-04-01 12:08:11.843229	152250	17.7	1	25
2014-04-01 12:08:18.16925	152251	46	2	10
2014-04-01 12:08:18.390847	152252	20.4	1	10
2014-04-01 12:08:25.88637	152253	55	2	9
2014-04-01 12:08:26.118811	152254	20.1	1	9
2014-04-01 12:08:26.948833	152255	56	2	8
2014-04-01 12:08:27.171748	152256	19.6	1	8
2014-04-01 12:08:37.029033	152257	55	2	1
2014-04-01 12:08:37.260011	152258	20.2	1	1
2014-04-01 12:08:47.698319	152259	64	2	24
2014-04-01 12:08:47.923247	152260	16.9	1	24
2014-04-01 12:08:50.605612	152261	51	2	25
2014-04-01 12:08:50.838671	152262	17.7	1	25
2014-04-01 12:08:57.168262	152263	46	2	10
2014-04-01 12:08:57.391234	152264	20.4	1	10
2014-04-01 12:09:04.885511	152265	55	2	9
2014-04-01 12:09:05.117871	152266	20.1	1	9
2014-04-01 12:09:05.950741	152267	56	2	8
2014-04-01 12:09:06.17269	152268	19.6	1	8
2014-04-01 12:09:16.02881	152269	55	2	1
2014-04-01 12:09:16.262915	152270	20.2	1	1
2014-04-01 12:09:26.697188	152271	64	2	24
2014-04-01 12:09:26.921236	152272	16.9	1	24
2014-04-01 12:09:29.605767	152273	51	2	25
2014-04-01 12:09:29.838255	152274	17.7	1	25
2014-04-01 12:09:36.169788	152275	46	2	10
2014-04-01 12:09:36.392282	152276	20.4	1	10
2014-04-01 12:09:43.881856	152277	55	2	9
2014-04-01 12:09:44.116067	152278	20.1	1	9
2014-04-01 12:09:44.947321	152279	56	2	8
2014-04-01 12:09:45.169961	152280	19.6	1	8
2014-04-01 12:09:55.030803	152281	55	2	1
2014-04-01 12:09:55.264256	152282	20.2	1	1
2014-04-01 12:10:05.696427	152283	64	2	24
2014-04-01 12:10:05.918163	152284	16.9	1	24
2014-04-01 12:10:08.605222	152285	51	2	25
2014-04-01 12:10:08.838207	152286	17.7	1	25
2014-04-01 12:10:15.171611	152287	46	2	10
2014-04-01 12:10:15.394898	152288	20.4	1	10
2014-04-01 12:10:22.884284	152289	55	2	9
2014-04-01 12:10:23.130068	152290	20.1	1	9
2014-04-01 12:10:23.947658	152291	56	2	8
2014-04-01 12:10:24.170216	152292	19.6	1	8
2014-04-01 12:10:34.028677	152293	55	2	1
2014-04-01 12:10:34.261128	152294	20.2	1	1
2014-04-01 12:10:44.69712	152295	64	2	24
2014-04-01 12:10:44.92053	152296	16.9	1	24
2014-04-01 12:10:47.603696	152297	51	2	25
2014-04-01 12:10:47.835063	152298	17.7	1	25
2014-04-01 12:10:54.170708	152299	46	2	10
2014-04-01 12:10:54.394675	152300	20.4	1	10
2014-04-01 12:11:01.884155	152301	55	2	9
2014-04-01 12:11:02.116712	152302	20.1	1	9
2014-04-01 12:11:02.947417	152303	56	2	8
2014-04-01 12:11:03.167273	152304	19.6	1	8
2014-04-01 12:11:13.025659	152305	55	2	1
2014-04-01 12:11:13.259198	152306	20.2	1	1
2014-04-01 12:11:23.694081	152307	64	2	24
2014-04-01 12:11:23.917983	152308	16.9	1	24
2014-04-01 12:11:26.602396	152309	51	2	25
2014-04-01 12:11:26.833987	152310	17.7	1	25
2014-04-01 12:11:33.17111	152311	46	2	10
2014-04-01 12:11:33.393778	152312	20.4	1	10
2014-04-01 12:11:40.885899	152313	55	2	9
2014-04-01 12:11:41.118592	152314	20.1	1	9
2014-04-01 12:11:41.945567	152315	56	2	8
2014-04-01 12:11:42.166678	152316	19.6	1	8
2014-04-01 12:11:52.026367	152317	55	2	1
2014-04-01 12:11:52.261151	152318	20.2	1	1
2014-04-01 12:12:02.69517	152319	64	2	24
2014-04-01 12:12:02.919092	152320	16.9	1	24
2014-04-01 12:12:05.604101	152321	51	2	25
2014-04-01 12:12:05.835982	152322	17.7	1	25
2014-04-01 12:12:12.170733	152323	46	2	10
2014-04-01 12:12:12.392145	152324	20.4	1	10
2014-04-01 12:12:19.883176	152325	55	2	9
2014-04-01 12:12:20.115477	152326	20.1	1	9
2014-04-01 12:12:20.948602	152327	56	2	8
2014-04-01 12:12:21.17074	152328	19.6	1	8
2014-04-01 12:12:31.025931	152329	55	2	1
2014-04-01 12:12:31.257086	152330	20.2	1	1
2014-04-01 12:12:41.692293	152331	64	2	24
2014-04-01 12:12:41.916738	152332	16.9	1	24
2014-04-01 12:12:44.605041	152333	51	2	25
2014-04-01 12:12:44.838732	152334	17.7	1	25
2014-04-01 12:12:51.171134	152335	46	2	10
2014-04-01 12:12:51.393596	152336	20.4	1	10
2014-04-01 12:12:58.890133	152337	55	2	9
2014-04-01 12:12:59.134429	152338	20.0	1	9
2014-04-01 12:12:59.946936	152339	56	2	8
2014-04-01 12:13:00.167349	152340	19.6	1	8
2014-04-01 12:13:10.027601	152341	55	2	1
2014-04-01 12:13:10.258997	152342	20.2	1	1
2014-04-01 12:13:20.694762	152343	64	2	24
2014-04-01 12:13:20.917304	152344	16.9	1	24
2014-04-01 12:13:29.969004	152345	51	2	25
2014-04-01 12:13:30.200987	152346	17.7	1	25
2014-04-01 12:13:30.504361	152347	46	2	10
2014-04-01 12:13:30.727404	152348	20.4	1	10
2014-04-01 12:13:37.883044	152349	55	2	9
2014-04-01 12:13:38.118076	152350	20.0	1	9
2014-04-01 12:13:38.948989	152351	56	2	8
2014-04-01 12:13:39.172799	152352	19.6	1	8
2014-04-01 12:13:49.026641	152353	56	2	1
2014-04-01 12:13:49.259443	152354	20.2	1	1
2014-04-01 12:13:59.693804	152355	64	2	24
2014-04-01 12:13:59.916874	152356	16.9	1	24
2014-04-01 12:14:02.604406	152357	51	2	25
2014-04-01 12:14:02.837622	152358	17.7	1	25
2014-04-01 12:14:09.171847	152359	46	2	10
2014-04-01 12:14:09.39456	152360	20.4	1	10
2014-04-01 12:14:16.884539	152361	55	2	9
2014-04-01 12:14:17.116793	152362	20.0	1	9
2014-04-01 12:14:17.947532	152363	56	2	8
2014-04-01 12:14:18.170094	152364	19.6	1	8
2014-04-01 12:14:28.027768	152365	56	2	1
2014-04-01 12:14:28.258623	152366	20.2	1	1
2014-04-01 12:14:38.690653	152367	64	2	24
2014-04-01 12:14:38.913655	152368	16.9	1	24
2014-04-01 12:14:41.602578	152369	51	2	25
2014-04-01 12:14:41.833819	152370	17.7	1	25
2014-04-01 12:14:48.172259	152371	46	2	10
2014-04-01 12:14:48.394038	152372	20.4	1	10
2014-04-01 12:14:55.882121	152373	55	2	9
2014-04-01 12:14:56.11729	152374	20.0	1	9
2014-04-01 12:14:56.949488	152375	56	2	8
2014-04-01 12:14:57.17116	152376	19.6	1	8
2014-04-01 12:15:07.027765	152377	56	2	1
2014-04-01 12:15:07.260373	152378	20.2	1	1
2014-04-01 12:15:17.69074	152379	64	2	24
2014-04-01 12:15:17.912508	152380	16.9	1	24
2014-04-01 12:15:20.603257	152381	51	2	25
2014-04-01 12:15:20.832947	152382	17.7	1	25
2014-04-01 12:15:27.17133	152383	46	2	10
2014-04-01 12:15:27.395006	152384	20.4	1	10
2014-04-01 12:15:34.88514	152385	55	2	9
2014-04-01 12:15:35.131586	152386	20.0	1	9
2014-04-01 12:15:35.947129	152387	56	2	8
2014-04-01 12:15:36.169612	152388	19.6	1	8
2014-04-01 12:15:46.023454	152389	56	2	1
2014-04-01 12:15:46.31415	152390	20.2	1	1
2014-04-01 12:15:56.690447	152391	64	2	24
2014-04-01 12:15:56.91242	152392	16.9	1	24
2014-04-01 12:15:59.600223	152393	51	2	25
2014-04-01 12:15:59.835055	152394	17.7	1	25
2014-04-01 12:16:06.173554	152395	46	2	10
2014-04-01 12:16:06.394472	152396	20.4	1	10
2014-04-01 12:16:13.881159	152397	55	2	9
2014-04-01 12:16:14.114481	152398	20.0	1	9
2014-04-01 12:16:14.946769	152399	56	2	8
2014-04-01 12:16:15.167842	152400	19.6	1	8
2014-04-01 12:16:25.024199	152401	56	2	1
2014-04-01 12:16:25.257126	152402	20.2	1	1
2014-04-01 12:16:35.688447	152403	64	2	24
2014-04-01 12:16:35.909698	152404	16.9	1	24
2014-04-01 12:16:38.602611	152405	51	2	25
2014-04-01 12:16:38.835642	152406	17.7	1	25
2014-04-01 12:16:45.171876	152407	46	2	10
2014-04-01 12:16:45.397122	152408	20.4	1	10
2014-04-01 12:16:52.883368	152409	55	2	9
2014-04-01 12:16:53.116971	152410	20.0	1	9
2014-04-01 12:16:53.946362	152411	56	2	8
2014-04-01 12:16:54.168243	152412	19.6	1	8
2014-04-01 12:17:04.263105	152413	56	2	1
2014-04-01 12:17:04.49702	152414	20.2	1	1
2014-04-01 12:17:14.689288	152415	64	2	24
2014-04-01 12:17:14.911837	152416	16.9	1	24
2014-04-01 12:17:17.603555	152417	51	2	25
2014-04-01 12:17:17.834904	152418	17.7	1	25
2014-04-01 12:17:24.173203	152419	46	2	10
2014-04-01 12:17:24.395853	152420	20.4	1	10
2014-04-01 12:17:32.08821	152421	55	2	9
2014-04-01 12:17:32.319645	152422	20.0	1	9
2014-04-01 12:17:32.947322	152423	56	2	8
2014-04-01 12:17:33.171215	152424	19.6	1	8
2014-04-01 12:17:43.024504	152425	56	2	1
2014-04-01 12:17:43.259259	152426	20.2	1	1
2014-04-01 12:17:53.687562	152427	64	2	24
2014-04-01 12:17:53.910249	152428	16.9	1	24
2014-04-01 12:17:56.598832	152429	51	2	25
2014-04-01 12:17:56.830796	152430	17.7	1	25
2014-04-01 12:18:03.17237	152431	46	2	10
2014-04-01 12:18:03.394509	152432	20.4	1	10
2014-04-01 12:18:10.882592	152433	55	2	9
2014-04-01 12:18:11.146751	152434	20.0	1	9
2014-04-01 12:18:11.927032	152435	56	2	8
2014-04-01 12:18:12.148706	152436	19.6	1	8
2014-04-01 12:18:22.025131	152437	56	2	1
2014-04-01 12:18:22.257468	152438	20.2	1	1
2014-04-01 12:18:32.689126	152439	64	2	24
2014-04-01 12:18:32.918655	152440	16.9	1	24
2014-04-01 12:18:35.600801	152441	51	2	25
2014-04-01 12:18:35.83359	152442	17.7	1	25
2014-04-01 12:18:42.172614	152443	46	2	10
2014-04-01 12:18:42.395838	152444	20.4	1	10
2014-04-01 12:18:49.88331	152445	55	2	9
2014-04-01 12:18:50.115041	152446	20.0	1	9
2014-04-01 12:18:50.946094	152447	56	2	8
2014-04-01 12:18:51.16688	152448	19.6	1	8
2014-04-01 12:19:01.02439	152449	56	2	1
2014-04-01 12:19:01.254572	152450	20.2	1	1
2014-04-01 12:19:11.688769	152451	64	2	24
2014-04-01 12:19:11.911396	152452	16.9	1	24
2014-04-01 12:19:14.600596	152453	51	2	25
2014-04-01 12:19:14.8328	152454	17.7	1	25
2014-04-01 12:19:21.173696	152455	46	2	10
2014-04-01 12:19:21.396475	152456	20.4	1	10
2014-04-01 12:19:28.888713	152457	55	2	9
2014-04-01 12:19:29.119953	152458	20.0	1	9
2014-04-01 12:19:29.947516	152459	56	2	8
2014-04-01 12:19:30.168106	152460	19.6	1	8
2014-04-01 12:19:40.022472	152461	56	2	1
2014-04-01 12:19:40.256998	152462	20.2	1	1
2014-04-01 12:19:50.686108	152463	64	2	24
2014-04-01 12:19:50.910788	152464	16.9	1	24
2014-04-01 12:19:53.600619	152465	51	2	25
2014-04-01 12:19:53.833207	152466	17.7	1	25
2014-04-01 12:20:00.173094	152467	46	2	10
2014-04-01 12:20:00.394663	152468	20.4	1	10
2014-04-01 12:20:07.886112	152469	55	2	9
2014-04-01 12:20:08.119518	152470	20.0	1	9
2014-04-01 12:20:08.94918	152471	56	2	8
2014-04-01 12:20:09.170786	152472	19.6	1	8
2014-04-01 12:20:19.022063	152473	56	2	1
2014-04-01 12:20:19.253416	152474	20.1	1	1
2014-04-01 12:20:29.687275	152475	64	2	24
2014-04-01 12:20:29.909344	152476	16.8	1	24
2014-04-01 12:20:32.601572	152477	51	2	25
2014-04-01 12:20:32.830795	152478	17.8	1	25
2014-04-01 12:20:39.173622	152479	46	2	10
2014-04-01 12:20:39.395418	152480	20.4	1	10
2014-04-01 12:20:46.889096	152481	55	2	9
2014-04-01 12:20:47.133465	152482	20.0	1	9
2014-04-01 12:20:47.947885	152483	56	2	8
2014-04-01 12:20:48.171152	152484	19.6	1	8
2014-04-01 12:20:58.020844	152485	56	2	1
2014-04-01 12:20:58.253845	152486	20.1	1	1
2014-04-01 12:21:08.68516	152487	64	2	24
2014-04-01 12:21:08.906333	152488	16.8	1	24
2014-04-01 12:21:11.602811	152489	51	2	25
2014-04-01 12:21:11.834716	152490	17.8	1	25
2014-04-01 12:21:18.174611	152491	46	2	10
2014-04-01 12:21:18.396634	152492	20.4	1	10
2014-04-01 12:21:25.887141	152493	55	2	9
2014-04-01 12:21:26.119313	152494	20.0	1	9
2014-04-01 12:21:26.947518	152495	56	2	8
2014-04-01 12:21:27.17054	152496	19.6	1	8
2014-04-01 12:21:37.020388	152497	56	2	1
2014-04-01 12:21:37.253087	152498	20.1	1	1
2014-04-01 12:21:50.599902	152499	51	2	25
2014-04-01 12:21:50.822266	152500	17.8	1	25
2014-04-01 12:21:57.173792	152501	46	2	10
2014-04-01 12:21:57.408195	152502	20.4	1	10
2014-04-01 12:22:04.889796	152503	55	2	9
2014-04-01 12:22:05.111209	152504	20.0	1	9
2014-04-01 12:22:05.947417	152505	56	2	8
2014-04-01 12:22:06.177238	152506	19.6	1	8
2014-04-01 12:22:16.021867	152507	56	2	1
2014-04-01 12:22:16.299163	152508	20.1	1	1
2014-04-01 12:22:26.682181	152509	64	2	24
2014-04-01 12:22:26.914468	152510	16.8	1	24
2014-04-01 12:22:29.599752	152511	51	2	25
2014-04-01 12:22:29.822532	152512	17.8	1	25
2014-04-01 12:22:36.172845	152513	46	2	10
2014-04-01 12:22:36.405848	152514	20.4	1	10
2014-04-01 12:22:43.889059	152515	55	2	9
2014-04-01 12:22:44.114093	152516	20.0	1	9
2014-04-01 12:22:44.947913	152517	56	2	8
2014-04-01 12:22:45.180842	152518	19.6	1	8
2014-04-01 12:22:55.020734	152519	56	2	1
2014-04-01 12:22:55.243331	152520	20.1	1	1
2014-04-01 12:23:05.68444	152521	64	2	24
2014-04-01 12:23:05.916017	152522	16.8	1	24
2014-04-01 12:23:08.601735	152523	51	2	25
2014-04-01 12:23:08.825339	152524	17.8	1	25
2014-04-01 12:23:15.175999	152525	46	2	10
2014-04-01 12:23:15.406835	152526	20.4	1	10
2014-04-01 12:23:22.886876	152527	55	2	9
2014-04-01 12:23:23.10923	152528	20.0	1	9
2014-04-01 12:23:23.946449	152529	56	2	8
2014-04-01 12:23:24.188707	152530	19.6	1	8
2014-04-01 12:23:34.020829	152531	56	2	1
2014-04-01 12:23:34.243165	152532	20.1	1	1
2014-04-01 12:23:44.68403	152533	64	2	24
2014-04-01 12:23:44.916444	152534	16.8	1	24
2014-04-01 12:23:47.65007	152535	51	2	25
2014-04-01 12:23:48.060445	152536	17.8	1	25
2014-04-01 12:23:54.173458	152537	46	2	10
2014-04-01 12:23:54.509907	152538	20.3	1	10
2014-04-01 12:24:01.891751	152539	55	2	9
2014-04-01 12:24:02.116587	152540	20.0	1	9
2014-04-01 12:24:13.024585	152541	56	2	1
2014-04-01 12:24:13.258999	152542	20.1	1	1
2014-04-01 12:24:23.709362	152543	64	2	24
2014-04-01 12:24:23.933688	152544	16.8	1	24
2014-04-01 12:24:26.601822	152545	51	2	25
2014-04-01 12:24:26.838079	152546	17.8	1	25
2014-04-01 12:24:33.17738	152547	46	2	10
2014-04-01 12:24:33.401181	152548	20.3	1	10
2014-04-01 12:24:40.892529	152549	55	2	9
2014-04-01 12:24:41.12921	152550	20.0	1	9
2014-04-01 12:24:41.951935	152551	56	2	8
2014-04-01 12:24:42.17767	152552	19.6	1	8
2014-04-01 12:24:52.028926	152553	56	2	1
2014-04-01 12:24:52.262877	152554	20.1	1	1
2014-04-01 12:25:02.686604	152555	64	2	24
2014-04-01 12:25:02.912065	152556	16.8	1	24
2014-04-01 12:25:05.601947	152557	51	2	25
2014-04-01 12:25:05.841117	152558	17.8	1	25
2014-04-01 12:25:12.179425	152559	46	2	10
2014-04-01 12:25:12.403019	152560	20.3	1	10
2014-04-01 12:25:19.890926	152561	55	2	9
2014-04-01 12:25:20.145471	152562	20.0	1	9
2014-04-01 12:25:20.953444	152563	56	2	8
2014-04-01 12:25:21.177021	152564	19.6	1	8
2014-04-01 12:25:31.025908	152565	56	2	1
2014-04-01 12:25:31.260622	152566	20.1	1	1
2014-04-01 12:25:41.682498	152567	64	2	24
2014-04-01 12:25:41.907833	152568	16.8	1	24
2014-04-01 12:25:44.60331	152569	51	2	25
2014-04-01 12:25:44.838502	152570	17.8	1	25
2014-04-01 12:25:51.179024	152571	46	2	10
2014-04-01 12:25:51.403555	152572	20.3	1	10
2014-04-01 12:25:58.885949	152573	55	2	9
2014-04-01 12:25:59.122556	152574	20.0	1	9
2014-04-01 12:25:59.953647	152575	56	2	8
2014-04-01 12:26:00.178057	152576	19.6	1	8
2014-04-01 12:26:10.019429	152577	56	2	1
2014-04-01 12:26:10.265457	152578	20.1	1	1
2014-04-01 12:26:20.682351	152579	64	2	24
2014-04-01 12:26:20.907987	152580	16.8	1	24
2014-04-01 12:26:23.602282	152581	51	2	25
2014-04-01 12:26:23.836297	152582	17.8	1	25
2014-04-01 12:26:30.180095	152583	46	2	10
2014-04-01 12:26:30.404575	152584	20.3	1	10
2014-04-01 12:26:37.895497	152585	55	2	9
2014-04-01 12:26:38.13077	152586	20.0	1	9
2014-04-01 12:26:38.95144	152587	56	2	8
2014-04-01 12:26:39.178947	152588	19.6	1	8
2014-04-01 12:26:49.022142	152589	56	2	1
2014-04-01 12:26:49.257512	152590	20.1	1	1
2014-04-01 12:26:59.683835	152591	64	2	24
2014-04-01 12:26:59.911157	152592	16.8	1	24
2014-04-01 12:27:02.602791	152593	51	2	25
2014-04-01 12:27:02.837323	152594	17.8	1	25
2014-04-01 12:27:09.179099	152595	46	2	10
2014-04-01 12:27:09.403495	152596	20.3	1	10
2014-04-01 12:27:16.890805	152597	55	2	9
2014-04-01 12:27:17.124115	152598	20.0	1	9
2014-04-01 12:27:17.951781	152599	56	2	8
2014-04-01 12:27:18.17542	152600	19.6	1	8
2014-04-01 12:27:28.023703	152601	56	2	1
2014-04-01 12:27:28.258892	152602	20.1	1	1
2014-04-01 12:27:38.682942	152603	64	2	24
2014-04-01 12:27:38.909179	152604	16.8	1	24
2014-04-01 12:27:41.600016	152605	51	2	25
2014-04-01 12:27:41.834221	152606	17.8	1	25
2014-04-01 12:27:48.17992	152607	46	2	10
2014-04-01 12:27:48.404893	152608	20.3	1	10
2014-04-01 12:27:55.891423	152609	55	2	9
2014-04-01 12:27:56.124854	152610	20.0	1	9
2014-04-01 12:27:56.951579	152611	56	2	8
2014-04-01 12:27:57.173849	152612	19.6	1	8
2014-04-01 12:28:07.023031	152613	56	2	1
2014-04-01 12:28:07.256409	152614	20.1	1	1
2014-04-01 12:28:17.683592	152615	64	2	24
2014-04-01 12:28:17.907906	152616	16.8	1	24
2014-04-01 12:28:20.600151	152617	51	2	25
2014-04-01 12:28:20.834014	152618	17.8	1	25
2014-04-01 12:28:27.183183	152619	46	2	10
2014-04-01 12:28:27.409485	152620	20.3	1	10
2014-04-01 12:28:34.890307	152621	55	2	9
2014-04-01 12:28:35.124295	152622	20.0	1	9
2014-04-01 12:28:35.951298	152623	56	2	8
2014-04-01 12:28:36.175528	152624	19.6	1	8
2014-04-01 12:28:46.022129	152625	56	2	1
2014-04-01 12:28:46.266119	152626	20.1	1	1
2014-04-01 12:28:56.684191	152627	64	2	24
2014-04-01 12:28:56.910503	152628	16.8	1	24
2014-04-01 12:28:59.603926	152629	51	2	25
2014-04-01 12:28:59.839462	152630	17.8	1	25
2014-04-01 12:29:06.18142	152631	46	2	10
2014-04-01 12:29:06.406828	152632	20.3	1	10
2014-04-01 12:29:13.888908	152633	55	2	9
2014-04-01 12:29:14.122526	152634	20.0	1	9
2014-04-01 12:29:14.951082	152635	56	2	8
2014-04-01 12:29:15.174373	152636	19.6	1	8
2014-04-01 12:29:25.019522	152637	56	2	1
2014-04-01 12:29:25.254914	152638	20.1	1	1
2014-04-01 12:29:35.682234	152639	64	2	24
2014-04-01 12:29:35.90794	152640	16.8	1	24
2014-04-01 12:29:38.602266	152641	51	2	25
2014-04-01 12:29:38.837827	152642	17.8	1	25
2014-04-01 12:29:45.180709	152643	46	2	10
2014-04-01 12:29:45.405456	152644	20.3	1	10
2014-04-01 12:29:52.887654	152645	55	2	9
2014-04-01 12:29:53.122141	152646	20.0	1	9
2014-04-01 12:29:53.950816	152647	56	2	8
2014-04-01 12:29:54.174919	152648	19.6	1	8
2014-04-01 12:30:04.020003	152649	56	2	1
2014-04-01 12:30:04.252612	152650	20.1	1	1
2014-04-01 12:30:14.680446	152651	64	2	24
2014-04-01 12:30:14.909482	152652	16.8	1	24
2014-04-01 12:30:17.60193	152653	51	2	25
2014-04-01 12:30:17.836546	152654	17.8	1	25
2014-04-01 12:30:24.181312	152655	46	2	10
2014-04-01 12:30:24.404783	152656	20.3	1	10
2014-04-01 12:30:32.093769	152657	55	2	9
2014-04-01 12:30:32.327417	152658	20.0	1	9
2014-04-01 12:30:32.952812	152659	56	2	8
2014-04-01 12:30:33.175322	152660	19.6	1	8
2014-04-01 12:30:43.026079	152661	56	2	1
2014-04-01 12:30:43.260662	152662	20.1	1	1
2014-04-01 12:30:53.677618	152663	64	2	24
2014-04-01 12:30:53.902137	152664	16.8	1	24
2014-04-01 12:30:56.60141	152665	51	2	25
2014-04-01 12:30:56.835127	152666	17.8	1	25
2014-04-01 12:31:03.18126	152667	46	2	10
2014-04-01 12:31:03.40491	152668	20.3	1	10
2014-04-01 12:31:10.891665	152669	55	2	9
2014-04-01 12:31:11.126304	152670	20.0	1	9
2014-04-01 12:31:11.95202	152671	56	2	8
2014-04-01 12:31:12.177427	152672	19.6	1	8
2014-04-01 12:31:22.024846	152673	56	2	1
2014-04-01 12:31:22.268596	152674	20.1	1	1
2014-04-01 12:31:32.677212	152675	64	2	24
2014-04-01 12:31:32.901515	152676	16.8	1	24
2014-04-01 12:31:35.599595	152677	51	2	25
2014-04-01 12:31:35.83322	152678	17.8	1	25
2014-04-01 12:31:42.18171	152679	46	2	10
2014-04-01 12:31:42.4057	152680	20.3	1	10
2014-04-01 12:31:49.889562	152681	55	2	9
2014-04-01 12:31:50.125611	152682	20.0	1	9
2014-04-01 12:31:50.948948	152683	56	2	8
2014-04-01 12:31:51.175579	152684	19.6	1	8
2014-04-01 12:32:01.020816	152685	56	2	1
2014-04-01 12:32:01.257254	152686	20.1	1	1
2014-04-01 12:32:11.677673	152687	64	2	24
2014-04-01 12:32:11.901351	152688	16.8	1	24
2014-04-01 12:32:14.600397	152689	51	2	25
2014-04-01 12:32:14.832587	152690	17.8	1	25
2014-04-01 12:32:21.18157	152691	46	2	10
2014-04-01 12:32:21.406021	152692	20.3	1	10
2014-04-01 12:32:28.890769	152693	55	2	9
2014-04-01 12:32:29.124982	152694	20.0	1	9
2014-04-01 12:32:29.954401	152695	56	2	8
2014-04-01 12:32:30.17753	152696	19.6	1	8
2014-04-01 12:32:40.020641	152697	56	2	1
2014-04-01 12:32:40.257522	152698	20.1	1	1
2014-04-01 12:32:50.676182	152699	64	2	24
2014-04-01 12:32:50.901276	152700	16.8	1	24
2014-04-01 12:32:53.600874	152701	51	2	25
2014-04-01 12:32:53.835826	152702	17.8	1	25
2014-04-01 12:33:00.18215	152703	46	2	10
2014-04-01 12:33:00.407895	152704	20.3	1	10
2014-04-01 12:33:07.890703	152705	55	2	9
2014-04-01 12:33:08.12403	152706	20.0	1	9
2014-04-01 12:33:08.951595	152707	56	2	8
2014-04-01 12:33:09.174592	152708	19.6	1	8
2014-04-01 12:33:19.018442	152709	56	2	1
2014-04-01 12:33:19.251389	152710	20.1	1	1
2014-04-01 12:33:29.677201	152711	64	2	24
2014-04-01 12:33:29.903415	152712	16.8	1	24
2014-04-01 12:33:32.599804	152713	51	2	25
2014-04-01 12:33:32.833466	152714	17.8	1	25
2014-04-01 12:33:39.182322	152715	46	2	10
2014-04-01 12:33:39.406196	152716	20.3	1	10
2014-04-01 12:33:46.905397	152717	55	2	9
2014-04-01 12:33:47.139078	152718	20.0	1	9
2014-04-01 12:33:47.950801	152719	56	2	8
2014-04-01 12:33:48.177239	152720	19.6	1	8
2014-04-01 12:33:58.018464	152721	56	2	1
2014-04-01 12:33:58.264154	152722	20.1	1	1
2014-04-01 12:34:08.675226	152723	64	2	24
2014-04-01 12:34:08.899772	152724	16.8	1	24
2014-04-01 12:34:11.566474	152725	51	2	25
2014-04-01 12:34:11.800542	152726	17.8	1	25
2014-04-01 12:34:18.180711	152727	46	2	10
2014-04-01 12:34:18.404844	152728	20.3	1	10
2014-04-01 12:34:25.889333	152729	55	2	9
2014-04-01 12:34:26.125251	152730	20.0	1	9
2014-04-01 12:34:26.95222	152731	56	2	8
2014-04-01 12:34:27.175139	152732	19.6	1	8
2014-04-01 12:34:37.018206	152733	56	2	1
2014-04-01 12:34:37.25329	152734	20.1	1	1
2014-04-01 12:34:47.676082	152735	64	2	24
2014-04-01 12:34:47.900138	152736	16.8	1	24
2014-04-01 12:34:50.599536	152737	51	2	25
2014-04-01 12:34:50.837197	152738	17.8	1	25
2014-04-01 12:34:57.181291	152739	46	2	10
2014-04-01 12:34:57.405626	152740	20.3	1	10
2014-04-01 12:35:04.890796	152741	55	2	9
2014-04-01 12:35:05.123303	152742	20.0	1	9
2014-04-01 12:35:16.017147	152743	56	2	1
2014-04-01 12:35:16.241232	152744	20.1	1	1
2014-04-01 12:35:26.91356	152745	64	2	24
2014-04-01 12:35:27.148097	152746	16.8	1	24
2014-04-01 12:35:29.598046	152747	51	2	25
2014-04-01 12:35:29.825488	152748	17.8	1	25
2014-04-01 12:35:36.182436	152749	46	2	10
2014-04-01 12:35:36.415247	152750	20.3	1	10
2014-04-01 12:35:43.89138	152751	55	2	9
2014-04-01 12:35:44.116275	152752	20.0	1	9
2014-04-01 12:35:44.95226	152753	56	2	8
2014-04-01 12:35:45.188652	152754	19.6	1	8
2014-04-01 12:35:55.017726	152755	56	2	1
2014-04-01 12:35:55.241422	152756	20.1	1	1
2014-04-01 12:36:05.67423	152757	64	2	24
2014-04-01 12:36:05.910049	152758	16.8	1	24
2014-04-01 12:36:08.599047	152759	51	2	25
2014-04-01 12:36:08.822206	152760	17.8	1	25
2014-04-01 12:36:15.180812	152761	46	2	10
2014-04-01 12:36:15.41632	152762	20.3	1	10
2014-04-01 12:36:22.89316	152763	55	2	9
2014-04-01 12:36:23.121023	152764	20.0	1	9
2014-04-01 12:36:23.952752	152765	56	2	8
2014-04-01 12:36:24.185268	152766	19.6	1	8
2014-04-01 12:36:34.019212	152767	56	2	1
2014-04-01 12:36:34.244184	152768	20.1	1	1
2014-04-01 12:36:44.675219	152769	64	2	24
2014-04-01 12:36:44.919998	152770	16.8	1	24
2014-04-01 12:36:47.596919	152771	51	2	25
2014-04-01 12:36:47.821141	152772	17.8	1	25
2014-04-01 12:36:54.183995	152773	46	2	10
2014-04-01 12:36:54.417524	152774	20.3	1	10
2014-04-01 12:37:01.888535	152775	55	2	9
2014-04-01 12:37:02.114233	152776	20.0	1	9
2014-04-01 12:37:02.95098	152777	56	2	8
2014-04-01 12:37:03.185252	152778	19.6	1	8
2014-04-01 12:37:13.017502	152779	56	2	1
2014-04-01 12:37:13.245116	152780	20.1	1	1
2014-04-01 12:37:23.672213	152781	64	2	24
2014-04-01 12:37:23.907262	152782	16.8	1	24
2014-04-01 12:37:26.597382	152783	51	2	25
2014-04-01 12:37:26.821315	152784	17.8	1	25
2014-04-01 12:37:31.823154	152785	466	3	2
2014-04-01 12:37:32.058229	152786	1164983.8598624736	4	2
2014-04-01 12:37:33.185625	152787	46	2	10
2014-04-01 12:37:33.40937	152788	20.3	1	10
2014-04-01 12:37:40.891005	152789	55	2	9
2014-04-01 12:37:41.127563	152790	20.0	1	9
2014-04-01 12:37:41.951645	152791	56	2	8
2014-04-01 12:37:42.175086	152792	19.6	1	8
2014-04-01 12:37:52.019094	152793	56	2	1
2014-04-01 12:37:52.253554	152794	20.1	1	1
2014-04-01 12:38:02.671005	152795	64	2	24
2014-04-01 12:38:02.896	152796	16.8	1	24
2014-04-01 12:38:05.597106	152797	51	2	25
2014-04-01 12:38:05.829598	152798	17.8	1	25
2014-04-01 12:38:12.183221	152799	46	2	10
2014-04-01 12:38:12.407997	152800	20.3	1	10
2014-04-01 12:38:19.891736	152801	55	2	9
2014-04-01 12:38:20.125133	152802	20.0	1	9
2014-04-01 12:38:20.952218	152803	55	2	8
2014-04-01 12:38:21.176426	152804	19.6	1	8
2014-04-01 12:38:31.014875	152805	56	2	1
2014-04-01 12:38:31.248924	152806	20.1	1	1
2014-04-01 12:38:41.672009	152807	64	2	24
2014-04-01 12:38:41.897653	152808	16.8	1	24
2014-04-01 12:38:44.595863	152809	51	2	25
2014-04-01 12:38:44.830349	152810	17.8	1	25
2014-04-01 12:38:51.183095	152811	46	2	10
2014-04-01 12:38:51.408546	152812	20.3	1	10
2014-04-01 12:38:58.891626	152813	55	2	9
2014-04-01 12:38:59.12573	152814	20.0	1	9
2014-04-01 12:38:59.951867	152815	55	2	8
2014-04-01 12:39:00.17503	152816	19.6	1	8
2014-04-01 12:39:10.013913	152817	56	2	1
2014-04-01 12:39:10.259404	152818	20.1	1	1
2014-04-01 12:39:20.672175	152819	64	2	24
2014-04-01 12:39:20.895227	152820	16.8	1	24
2014-04-01 12:39:23.599293	152821	51	2	25
2014-04-01 12:39:23.833364	152822	17.8	1	25
2014-04-01 12:39:30.183165	152823	46	2	10
2014-04-01 12:39:30.406591	152824	20.2	1	10
2014-04-01 12:39:37.891651	152825	55	2	9
2014-04-01 12:39:38.125112	152826	20.0	1	9
2014-04-01 12:39:38.951275	152827	56	2	8
2014-04-01 12:39:39.17416	152828	19.6	1	8
2014-04-01 12:39:49.013734	152829	56	2	1
2014-04-01 12:39:49.246625	152830	20.1	1	1
2014-04-01 12:39:59.673709	152831	64	2	24
2014-04-01 12:39:59.899593	152832	16.8	1	24
2014-04-01 12:40:02.600107	152833	51	2	25
2014-04-01 12:40:02.836399	152834	17.8	1	25
2014-04-01 12:40:09.183111	152835	46	2	10
2014-04-01 12:40:09.406573	152836	20.3	1	10
2014-04-01 12:40:16.939638	152837	55	2	9
2014-04-01 12:40:17.173039	152838	20.0	1	9
2014-04-01 12:40:17.950727	152839	55	2	8
2014-04-01 12:40:18.172992	152840	19.6	1	8
2014-04-01 12:40:28.011842	152841	56	2	1
2014-04-01 12:40:28.244858	152842	20.1	1	1
2014-04-01 12:40:38.6706	152843	64	2	24
2014-04-01 12:40:38.897132	152844	16.8	1	24
2014-04-01 12:40:41.59641	152845	51	2	25
2014-04-01 12:40:41.830414	152846	17.8	1	25
2014-04-01 12:40:48.184047	152847	46	2	10
2014-04-01 12:40:48.408459	152848	20.3	1	10
2014-04-01 12:40:55.891214	152849	55	2	9
2014-04-01 12:40:56.124935	152850	20.0	1	9
2014-04-01 12:40:56.951309	152851	55	2	8
2014-04-01 12:40:57.174543	152852	19.6	1	8
2014-04-01 12:41:07.014262	152853	56	2	1
2014-04-01 12:41:07.248308	152854	20.1	1	1
2014-04-01 12:41:17.670299	152855	64	2	24
2014-04-01 12:41:17.898061	152856	16.8	1	24
2014-04-01 12:41:20.597089	152857	51	2	25
2014-04-01 12:41:20.830482	152858	17.8	1	25
2014-04-01 12:41:27.184493	152859	46	2	10
2014-04-01 12:41:27.407969	152860	20.3	1	10
2014-04-01 12:41:34.890005	152861	55	2	9
2014-04-01 12:41:35.124989	152862	20.0	1	9
2014-04-01 12:41:35.954704	152863	56	2	8
2014-04-01 12:41:36.177854	152864	19.6	1	8
2014-04-01 12:41:46.013831	152865	56	2	1
2014-04-01 12:41:46.258805	152866	20.1	1	1
2014-04-01 12:41:56.671171	152867	64	2	24
2014-04-01 12:41:56.895048	152868	16.8	1	24
2014-04-01 12:41:59.594516	152869	51	2	25
2014-04-01 12:41:59.82787	152870	17.8	1	25
2014-04-01 12:42:06.183928	152871	46	2	10
2014-04-01 12:42:06.408534	152872	20.3	1	10
2014-04-01 12:42:13.890503	152873	55	2	9
2014-04-01 12:42:14.126189	152874	20.0	1	9
2014-04-01 12:42:14.95146	152875	55	2	8
2014-04-01 12:42:15.176943	152876	19.6	1	8
2014-04-01 12:42:25.013904	152877	56	2	1
2014-04-01 12:42:25.251098	152878	20.1	1	1
2014-04-01 12:42:35.667975	152879	64	2	24
2014-04-01 12:42:35.901498	152880	16.8	1	24
2014-04-01 12:42:38.595314	152881	51	2	25
2014-04-01 12:42:38.831507	152882	17.8	1	25
2014-04-01 12:42:45.390912	152883	46	2	10
2014-04-01 12:42:45.615139	152884	20.3	1	10
2014-04-01 12:42:52.87999	152885	55	2	9
2014-04-01 12:42:53.114526	152886	20.0	1	9
2014-04-01 12:42:53.944159	152887	55	2	8
2014-04-01 12:42:54.172108	152888	19.6	1	8
2014-04-01 12:42:55.823342	152889	434	3	2
2014-04-01 12:42:56.057497	152890	1165026.3786181181	4	2
2014-04-01 12:43:04.014235	152891	56	2	1
2014-04-01 12:43:04.242023	152892	20.1	1	1
2014-04-01 12:43:14.666089	152893	64	2	24
2014-04-01 12:43:14.900762	152894	16.7	1	24
2014-04-01 12:43:17.595947	152895	51	2	25
2014-04-01 12:43:17.819807	152896	17.8	1	25
2014-04-01 12:43:24.184442	152897	46	2	10
2014-04-01 12:43:24.418968	152898	20.3	1	10
2014-04-01 12:43:32.093122	152899	55	2	9
2014-04-01 12:43:32.318293	152900	20.0	1	9
2014-04-01 12:43:32.954548	152901	55	2	8
2014-04-01 12:43:33.187538	152902	19.6	1	8
2014-04-01 12:43:43.015575	152903	56	2	1
2014-04-01 12:43:43.240983	152904	20.1	1	1
2014-04-01 12:43:53.666936	152905	64	2	24
2014-04-01 12:43:53.901185	152906	16.7	1	24
2014-04-01 12:43:56.595892	152907	51	2	25
2014-04-01 12:43:56.819374	152908	17.8	1	25
2014-04-01 12:44:03.185039	152909	46	2	10
2014-04-01 12:44:03.419947	152910	20.3	1	10
2014-04-01 12:44:10.884804	152911	55	2	9
2014-04-01 12:44:11.11261	152912	20.0	1	9
2014-04-01 12:44:11.950946	152913	55	2	8
2014-04-01 12:44:12.195919	152914	19.6	1	8
2014-04-01 12:44:22.016239	152915	56	2	1
2014-04-01 12:44:22.238998	152916	20.1	1	1
2014-04-01 12:44:32.665868	152917	64	2	24
2014-04-01 12:44:33.086456	152918	16.7	1	24
2014-04-01 12:44:35.597165	152919	51	2	25
2014-04-01 12:44:35.82209	152920	17.8	1	25
2014-04-01 12:44:42.18536	152921	46	2	10
2014-04-01 12:44:42.411072	152922	20.3	1	10
2014-04-01 12:44:49.887673	152923	55	2	9
2014-04-01 12:44:50.120893	152924	20.0	1	9
2014-04-01 12:44:50.95072	152925	55	2	8
2014-04-01 12:44:51.174758	152926	19.6	1	8
2014-04-01 12:45:01.014087	152927	56	2	1
2014-04-01 12:45:01.247599	152928	20.1	1	1
2014-04-01 12:45:11.667361	152929	64	2	24
2014-04-01 12:45:11.911379	152930	16.7	1	24
2014-04-01 12:45:14.59538	152931	51	2	25
2014-04-01 12:45:14.829713	152932	17.8	1	25
2014-04-01 12:45:21.184566	152933	46	2	10
2014-04-01 12:45:21.407004	152934	20.3	1	10
2014-04-01 12:45:28.884991	152935	55	2	9
2014-04-01 12:45:29.122118	152936	20.0	1	9
2014-04-01 12:45:29.952425	152937	55	2	8
2014-04-01 12:45:30.175995	152938	19.6	1	8
2014-04-01 12:45:40.012215	152939	56	2	1
2014-04-01 12:45:40.247522	152940	20.1	1	1
2014-04-01 12:45:50.663741	152941	64	2	24
2014-04-01 12:45:50.890032	152942	16.7	1	24
2014-04-01 12:45:53.594062	152943	51	2	25
2014-04-01 12:45:53.831038	152944	17.8	1	25
2014-04-01 12:46:00.186093	152945	46	2	10
2014-04-01 12:46:00.409948	152946	20.3	1	10
2014-04-01 12:46:07.889126	152947	55	2	9
2014-04-01 12:46:08.1235	152948	20.0	1	9
2014-04-01 12:46:08.947976	152949	55	2	8
2014-04-01 12:46:09.174451	152950	19.6	1	8
2014-04-01 12:46:19.012834	152951	56	2	1
2014-04-01 12:46:19.248884	152952	20.1	1	1
2014-04-01 12:46:29.665529	152953	64	2	24
2014-04-01 12:46:29.892537	152954	16.7	1	24
2014-04-01 12:46:32.596322	152955	51	2	25
2014-04-01 12:46:32.830218	152956	17.8	1	25
2014-04-01 12:46:39.185439	152957	46	2	10
2014-04-01 12:46:39.410088	152958	20.2	1	10
2014-04-01 12:46:46.886275	152959	55	2	9
2014-04-01 12:46:47.139608	152960	20.0	1	9
2014-04-01 12:46:47.95383	152961	55	2	8
2014-04-01 12:46:48.177362	152962	19.6	1	8
2014-04-01 12:46:58.013946	152963	56	2	1
2014-04-01 12:46:58.260736	152964	20.1	1	1
2014-04-01 12:47:08.701546	152965	64	2	24
2014-04-01 12:47:08.924808	152966	16.7	1	24
2014-04-01 12:47:11.591192	152967	51	2	25
2014-04-01 12:47:11.82499	152968	17.8	1	25
2014-04-01 12:47:18.186461	152969	46	2	10
2014-04-01 12:47:18.412923	152970	20.2	1	10
2014-04-01 12:47:25.886618	152971	55	2	9
2014-04-01 12:47:26.122222	152972	20.0	1	9
2014-04-01 12:47:26.950721	152973	55	2	8
2014-04-01 12:47:27.17537	152974	19.6	1	8
2014-04-01 12:47:37.01157	152975	56	2	1
2014-04-01 12:47:37.254789	152976	20.1	1	1
2014-04-01 12:47:47.66383	152977	64	2	24
2014-04-01 12:47:47.889277	152978	16.7	1	24
2014-04-01 12:47:50.591891	152979	51	2	25
2014-04-01 12:47:50.824605	152980	17.8	1	25
2014-04-01 12:47:57.188595	152981	46	2	10
2014-04-01 12:47:57.414383	152982	20.2	1	10
2014-04-01 12:48:04.887587	152983	55	2	9
2014-04-01 12:48:05.121628	152984	20.0	1	9
2014-04-01 12:48:05.951002	152985	55	2	8
2014-04-01 12:48:06.175131	152986	19.6	1	8
2014-04-01 12:48:16.010494	152987	56	2	1
2014-04-01 12:48:16.245414	152988	20.1	1	1
2014-04-01 12:48:26.702228	152989	64	2	24
2014-04-01 12:48:26.930378	152990	16.7	1	24
2014-04-01 12:48:29.59104	152991	51	2	25
2014-04-01 12:48:29.824918	152992	17.8	1	25
2014-04-01 12:48:36.186125	152993	46	2	10
2014-04-01 12:48:36.41216	152994	20.2	1	10
2014-04-01 12:48:43.890313	152995	55	2	9
2014-04-01 12:48:44.125028	152996	20.0	1	9
2014-04-01 12:48:44.950972	152997	55	2	8
2014-04-01 12:48:45.174618	152998	19.6	1	8
2014-04-01 12:48:55.009845	152999	56	2	1
2014-04-01 12:48:55.244638	153000	20.1	1	1
2014-04-01 12:49:05.700773	153001	64	2	24
2014-04-01 12:49:05.925804	153002	16.7	1	24
2014-04-01 12:49:08.590766	153003	51	2	25
2014-04-01 12:49:08.825935	153004	17.8	1	25
2014-04-01 12:49:15.394173	153005	46	2	10
2014-04-01 12:49:15.618606	153006	20.2	1	10
2014-04-01 12:49:19.821049	153007	354	3	2
2014-04-01 12:49:20.05623	153008	1165068.8929028104	4	2
2014-04-01 12:49:22.886337	153009	55	2	9
2014-04-01 12:49:23.110211	153010	20.0	1	9
2014-04-01 12:49:23.950032	153011	55	2	8
2014-04-01 12:49:24.196821	153012	19.6	1	8
2014-04-01 12:49:34.010826	153013	56	2	1
2014-04-01 12:49:34.235051	153014	20.1	1	1
2014-04-01 12:49:44.661308	153015	64	2	24
2014-04-01 12:49:44.896172	153016	16.7	1	24
2014-04-01 12:49:47.592674	153017	51	2	25
2014-04-01 12:49:47.816454	153018	17.8	1	25
2014-04-01 12:49:54.186524	153019	46	2	10
2014-04-01 12:49:54.420581	153020	20.2	1	10
2014-04-01 12:50:01.890048	153021	55	2	9
2014-04-01 12:50:02.112387	153022	20.0	1	9
2014-04-01 12:50:02.946448	153023	55	2	8
2014-04-01 12:50:03.179955	153024	19.6	1	8
2014-04-01 12:50:13.010634	153025	56	2	1
2014-04-01 12:50:13.233654	153026	20.1	1	1
2014-04-01 12:50:23.661727	153027	64	2	24
2014-04-01 12:50:23.89582	153028	16.7	1	24
2014-04-01 12:50:26.595279	153029	51	2	25
2014-04-01 12:50:26.818676	153030	17.8	1	25
2014-04-01 12:50:33.186415	153031	46	2	10
2014-04-01 12:50:33.420489	153032	20.2	1	10
2014-04-01 12:50:40.886452	153033	55	2	9
2014-04-01 12:50:41.111272	153034	20.0	1	9
2014-04-01 12:50:41.951495	153035	55	2	8
2014-04-01 12:50:42.184745	153036	19.6	1	8
2014-04-01 12:50:52.007729	153037	56	2	1
2014-04-01 12:50:52.231586	153038	20.1	1	1
2014-04-01 12:51:02.659806	153039	64	2	24
2014-04-01 12:51:02.895053	153040	16.7	1	24
2014-04-01 12:51:05.591002	153041	51	2	25
2014-04-01 12:51:05.816409	153042	17.8	1	25
2014-04-01 12:51:12.186139	153043	46	2	10
2014-04-01 12:51:12.422249	153044	20.2	1	10
2014-04-01 12:51:19.886575	153045	55	2	9
2014-04-01 12:51:20.109822	153046	20.0	1	9
2014-04-01 12:51:20.950069	153047	55	2	8
2014-04-01 12:51:21.183104	153048	19.6	1	8
2014-04-01 12:51:31.007189	153049	56	2	1
2014-04-01 12:51:31.231462	153050	20.0	1	1
2014-04-01 12:51:41.661896	153051	64	2	24
2014-04-01 12:51:41.908602	153052	16.7	1	24
2014-04-01 12:51:44.592161	153053	51	2	25
2014-04-01 12:51:44.815123	153054	17.8	1	25
2014-04-01 12:51:51.186725	153055	46	2	10
2014-04-01 12:51:51.422982	153056	20.2	1	10
2014-04-01 12:51:58.886991	153057	55	2	9
2014-04-01 12:51:59.111744	153058	20.0	1	9
2014-04-01 12:51:59.954279	153059	55	2	8
2014-04-01 12:52:00.197972	153060	19.6	1	8
2014-04-01 12:52:10.009205	153061	56	2	1
2014-04-01 12:52:10.231605	153062	20.0	1	1
2014-04-01 12:52:20.661009	153063	64	2	24
2014-04-01 12:52:20.895687	153064	16.7	1	24
2014-04-01 12:52:23.592545	153065	51	2	25
2014-04-01 12:52:23.816722	153066	17.8	1	25
2014-04-01 12:52:30.187124	153067	46	2	10
2014-04-01 12:52:30.421601	153068	20.2	1	10
2014-04-01 12:52:37.886699	153069	55	2	9
2014-04-01 12:52:38.13238	153070	20.0	1	9
2014-04-01 12:52:38.950117	153071	55	2	8
2014-04-01 12:52:39.185647	153072	19.6	1	8
2014-04-01 12:52:49.010488	153073	56	2	1
2014-04-01 12:52:49.23655	153074	20.0	1	1
2014-04-01 12:52:59.658969	153075	64	2	24
2014-04-01 12:52:59.893371	153076	16.7	1	24
2014-04-01 12:53:02.592035	153077	51	2	25
2014-04-01 12:53:02.816678	153078	17.8	1	25
2014-04-01 12:53:09.189462	153079	46	2	10
2014-04-01 12:53:09.424208	153080	20.2	1	10
2014-04-01 12:53:16.890959	153081	55	2	9
2014-04-01 12:53:17.116372	153082	20.0	1	9
2014-04-01 12:53:17.94941	153083	55	2	8
2014-04-01 12:53:18.184448	153084	19.6	1	8
2014-04-01 12:53:28.006235	153085	56	2	1
2014-04-01 12:53:28.231623	153086	20.0	1	1
2014-04-01 12:53:38.655335	153087	64	2	24
2014-04-01 12:53:38.889972	153088	16.7	1	24
2014-04-01 12:53:41.592005	153089	51	2	25
2014-04-01 12:53:41.819114	153090	17.8	1	25
2014-04-01 12:53:48.393902	153091	46	2	10
2014-04-01 12:53:48.627559	153092	20.2	1	10
2014-04-01 12:53:56.091464	153093	55	2	9
2014-04-01 12:53:56.316019	153094	20.0	1	9
2014-04-01 12:53:56.951236	153095	55	2	8
2014-04-01 12:53:57.184527	153096	19.6	1	8
2014-04-01 12:54:07.005055	153097	56	2	1
2014-04-01 12:54:07.228456	153098	20.0	1	1
2014-04-01 12:54:17.655489	153099	64	2	24
2014-04-01 12:54:17.889661	153100	16.7	1	24
2014-04-01 12:54:20.590547	153101	51	2	25
2014-04-01 12:54:20.81546	153102	17.8	1	25
2014-04-01 12:54:27.187865	153103	46	2	10
2014-04-01 12:54:27.42503	153104	20.2	1	10
2014-04-01 12:54:31.82259	153105	370	3	2
2014-04-01 12:54:32.045729	153106	1165101.06587501	4	2
2014-04-01 12:54:34.893094	153107	55	2	9
2014-04-01 12:54:35.138931	153108	20.0	1	9
2014-04-01 12:54:35.950537	153109	55	2	8
2014-04-01 12:54:36.174067	153110	19.6	1	8
2014-04-01 12:54:46.00476	153111	56	2	1
2014-04-01 12:54:46.239052	153112	20.0	1	1
2014-04-01 12:54:56.654079	153113	64	2	24
2014-04-01 12:54:56.879027	153114	16.7	1	24
2014-04-01 12:54:59.590848	153115	51	2	25
2014-04-01 12:54:59.825332	153116	17.8	1	25
2014-04-01 12:55:06.189054	153117	46	2	10
2014-04-01 12:55:06.41299	153118	20.2	1	10
2014-04-01 12:55:13.890577	153119	55	2	9
2014-04-01 12:55:14.123798	153120	20.0	1	9
2014-04-01 12:55:14.950179	153121	55	2	8
2014-04-01 12:55:15.173972	153122	19.6	1	8
2014-04-01 12:55:19.822844	153123	418	3	2
2014-04-01 12:55:20.066291	153124	1165105.6620138958	4	2
2014-04-01 12:55:25.003607	153125	56	2	1
2014-04-01 12:55:25.230971	153126	20.0	1	1
2014-04-01 12:55:31.820925	153127	402	3	2
2014-04-01 12:55:32.05504	153128	1165106.8110486171	4	2
2014-04-01 12:55:35.656049	153129	64	2	24
2014-04-01 12:55:35.880194	153130	16.7	1	24
2014-04-01 12:55:38.591568	153131	51	2	25
2014-04-01 12:55:38.825641	153132	17.8	1	25
2014-04-01 12:55:43.822882	153133	338	3	2
2014-04-01 12:55:44.051833	153134	1165109.10911806	4	2
2014-04-01 12:55:45.187577	153135	46	2	10
2014-04-01 12:55:45.420757	153136	20.2	1	10
2014-04-01 12:55:52.887023	153137	55	2	9
2014-04-01 12:55:53.112215	153138	20.0	1	9
2014-04-01 12:55:53.951146	153139	55	2	8
2014-04-01 12:55:54.185046	153140	19.6	1	8
2014-04-01 12:56:04.005007	153141	56	2	1
2014-04-01 12:56:04.230183	153142	20.0	1	1
2014-04-01 12:56:14.654375	153143	64	2	24
2014-04-01 12:56:14.88953	153144	16.7	1	24
2014-04-01 12:56:17.589435	153145	51	2	25
2014-04-01 12:56:17.815677	153146	17.8	1	25
2014-04-01 12:56:24.190276	153147	46	2	10
2014-04-01 12:56:24.424668	153148	20.2	1	10
2014-04-01 12:56:32.0957	153149	55	2	9
2014-04-01 12:56:32.32049	153150	20.0	1	9
2014-04-01 12:56:32.950684	153151	55	2	8
2014-04-01 12:56:33.184998	153152	19.6	1	8
2014-04-01 12:56:43.013142	153153	56	2	1
2014-04-01 12:56:43.236572	153154	20.0	1	1
2014-04-01 12:56:53.654977	153155	64	2	24
2014-04-01 12:56:53.902697	153156	16.7	1	24
2014-04-01 12:56:55.827893	153157	450	3	2
2014-04-01 12:56:56.051221	153158	1165116.0033263885	4	2
2014-04-01 12:56:56.585822	153159	51	2	25
2014-04-01 12:56:56.820367	153160	17.8	1	25
2014-04-01 12:57:03.189919	153161	46	2	10
2014-04-01 12:57:03.415145	153162	20.1	1	10
2014-04-01 12:57:10.890091	153163	55	2	9
2014-04-01 12:57:11.125142	153164	20.0	1	9
2014-04-01 12:57:11.954018	153165	55	2	8
2014-04-01 12:57:12.177012	153166	19.6	1	8
2014-04-01 12:57:19.820019	153167	498	3	2
2014-04-01 12:57:20.07812	153168	1165118.3013958314	4	2
2014-04-01 12:57:22.005097	153169	56	2	1
2014-04-01 12:57:22.227005	153170	20.0	1	1
2014-04-01 12:57:32.664647	153171	64	2	24
2014-04-01 12:57:32.899777	153172	16.7	1	24
2014-04-01 12:57:35.590159	153173	51	2	25
2014-04-01 12:57:35.813345	153174	17.8	1	25
2014-04-01 12:57:42.189871	153175	46	2	10
2014-04-01 12:57:42.427835	153176	20.1	1	10
2014-04-01 12:57:49.890052	153177	55	2	9
2014-04-01 12:57:50.117663	153178	20.0	1	9
2014-04-01 12:57:50.950809	153179	55	2	8
2014-04-01 12:57:51.187164	153180	19.6	1	8
2014-04-01 12:58:01.004962	153181	56	2	1
2014-04-01 12:58:01.22978	153182	20.0	1	1
2014-04-01 12:58:11.653051	153183	64	2	24
2014-04-01 12:58:11.888925	153184	16.7	1	24
2014-04-01 12:58:14.590314	153185	51	2	25
2014-04-01 12:58:14.814508	153186	17.8	1	25
2014-04-01 12:58:21.191386	153187	46	2	10
2014-04-01 12:58:21.425806	153188	20.1	1	10
2014-04-01 12:58:28.889008	153189	55	2	9
2014-04-01 12:58:29.114709	153190	20.0	1	9
2014-04-01 12:58:29.949818	153191	55	2	8
2014-04-01 12:58:30.185066	153192	19.6	1	8
2014-04-01 12:58:40.00246	153193	56	2	1
2014-04-01 12:58:40.229506	153194	20.0	1	1
2014-04-01 12:58:50.651391	153195	64	2	24
2014-04-01 12:58:50.886054	153196	16.7	1	24
2014-04-01 12:58:53.588578	153197	51	2	25
2014-04-01 12:58:53.812708	153198	17.8	1	25
2014-04-01 12:59:00.192097	153199	46	2	10
2014-04-01 12:59:00.425794	153200	20.1	1	10
2014-04-01 12:59:07.89123	153201	55	2	9
2014-04-01 12:59:08.116535	153202	20.0	1	9
2014-04-01 12:59:08.951012	153203	55	2	8
2014-04-01 12:59:09.197094	153204	19.6	1	8
2014-04-01 12:59:19.001682	153205	56	2	1
2014-04-01 12:59:19.225656	153206	20.1	1	1
2014-04-01 12:59:29.6532	153207	64	2	24
2014-04-01 12:59:29.887209	153208	16.7	1	24
2014-04-01 12:59:32.589208	153209	51	2	25
2014-04-01 12:59:32.812176	153210	17.8	1	25
2014-04-01 12:59:39.189517	153211	46	2	10
2014-04-01 12:59:39.425702	153212	20.1	1	10
2014-04-01 12:59:46.890775	153213	55	2	9
2014-04-01 12:59:47.115294	153214	20.0	1	9
2014-04-01 12:59:47.951285	153215	55	2	8
2014-04-01 12:59:48.184847	153216	19.6	1	8
2014-04-01 12:59:58.002915	153217	56	2	1
2014-04-01 12:59:58.226259	153218	20.1	1	1
2014-04-01 13:00:08.650806	153219	64	2	24
2014-04-01 13:00:08.884181	153220	16.7	1	24
2014-04-01 13:00:11.587347	153221	51	2	25
2014-04-01 13:00:11.810597	153222	17.8	1	25
2014-04-01 13:00:18.190921	153223	46	2	10
2014-04-01 13:00:18.424927	153224	20.1	1	10
2014-04-01 13:00:25.890216	153225	55	2	9
2014-04-01 13:00:26.11406	153226	20.0	1	9
2014-04-01 13:00:26.949648	153227	55	2	8
2014-04-01 13:00:27.183599	153228	19.6	1	8
2014-04-01 13:00:37.003925	153229	56	2	1
2014-04-01 13:00:37.228062	153230	20.1	1	1
2014-04-01 13:00:47.744743	153231	64	2	24
2014-04-01 13:00:47.980121	153232	16.7	1	24
2014-04-01 13:00:50.59073	153233	51	2	25
2014-04-01 13:00:50.81477	153234	17.8	1	25
2014-04-01 13:00:57.190397	153235	46	2	10
2014-04-01 13:00:57.424696	153236	20.1	1	10
2014-04-01 13:01:04.890538	153237	55	2	9
2014-04-01 13:01:05.115504	153238	20.0	1	9
2014-04-01 13:01:05.950253	153239	55	2	8
2014-04-01 13:01:06.183916	153240	19.6	1	8
2014-04-01 13:01:16.001412	153241	56	2	1
2014-04-01 13:01:16.226581	153242	20.1	1	1
2014-04-01 13:01:26.650979	153243	64	2	24
2014-04-01 13:01:26.885318	153244	16.7	1	24
2014-04-01 13:01:29.587321	153245	51	2	25
2014-04-01 13:01:29.813364	153246	17.8	1	25
2014-04-01 13:01:36.19179	153247	46	2	10
2014-04-01 13:01:36.425586	153248	20.1	1	10
2014-04-01 13:01:43.891808	153249	55	2	9
2014-04-01 13:01:44.119116	153250	20.0	1	9
2014-04-01 13:01:44.951157	153251	55	2	8
2014-04-01 13:01:45.196523	153252	19.6	1	8
2014-04-01 13:01:55.001906	153253	56	2	1
2014-04-01 13:01:55.225806	153254	20.1	1	1
2014-04-01 13:02:05.650645	153255	64	2	24
2014-04-01 13:02:05.887282	153256	16.7	1	24
2014-04-01 13:02:08.587097	153257	51	2	25
2014-04-01 13:02:08.814228	153258	17.8	1	25
2014-04-01 13:02:15.191779	153259	46	2	10
2014-04-01 13:02:15.425729	153260	20.1	1	10
2014-04-01 13:02:22.890934	153261	55	2	9
2014-04-01 13:02:23.116437	153262	20.0	1	9
2014-04-01 13:02:23.95378	153263	55	2	8
2014-04-01 13:02:24.188843	153264	19.6	1	8
2014-04-01 13:02:34.003371	153265	56	2	1
2014-04-01 13:02:34.227332	153266	20.1	1	1
2014-04-01 13:02:44.647864	153267	64	2	24
2014-04-01 13:02:44.884976	153268	16.7	1	24
2014-04-01 13:02:47.58664	153269	51	2	25
2014-04-01 13:02:47.867192	153270	17.8	1	25
2014-04-01 13:02:54.190152	153271	46	2	10
2014-04-01 13:02:54.425319	153272	20.1	1	10
2014-04-01 13:03:01.8913	153273	55	2	9
2014-04-01 13:03:02.116776	153274	20.0	1	9
2014-04-01 13:03:02.953677	153275	55	2	8
2014-04-01 13:03:03.187708	153276	19.6	1	8
2014-04-01 13:03:13.008928	153277	56	2	1
2014-04-01 13:03:13.234663	153278	20.1	1	1
2014-04-01 13:03:23.650695	153279	64	2	24
2014-04-01 13:03:23.884606	153280	16.7	1	24
2014-04-01 13:03:26.586643	153281	51	2	25
2014-04-01 13:03:26.808919	153282	17.8	1	25
2014-04-01 13:03:33.191875	153283	46	2	10
2014-04-01 13:03:33.425522	153284	20.1	1	10
2014-04-01 13:03:40.890343	153285	55	2	9
2014-04-01 13:03:41.116048	153286	20.0	1	9
2014-04-01 13:03:41.950388	153287	55	2	8
2014-04-01 13:03:42.184646	153288	19.5	1	8
2014-04-01 13:03:52.001701	153289	56	2	1
2014-04-01 13:03:52.228658	153290	20.1	1	1
2014-04-01 13:04:02.645923	153291	64	2	24
2014-04-01 13:04:02.88351	153292	16.7	1	24
2014-04-01 13:04:05.586025	153293	51	2	25
2014-04-01 13:04:05.810529	153294	17.8	1	25
2014-04-01 13:04:12.194832	153295	46	2	10
2014-04-01 13:04:12.430699	153296	20.1	1	10
2014-04-01 13:04:19.887651	153297	55	2	9
2014-04-01 13:04:20.1125	153298	20.0	1	9
2014-04-01 13:04:20.949828	153299	55	2	8
2014-04-01 13:04:21.196335	153300	19.5	1	8
2014-04-01 13:04:31.000805	153301	56	2	1
2014-04-01 13:04:31.226388	153302	20.1	1	1
2014-04-01 13:04:41.645804	153303	64	2	24
2014-04-01 13:04:41.936511	153304	16.7	1	24
2014-04-01 13:04:44.585797	153305	51	2	25
2014-04-01 13:04:44.842367	153306	17.8	1	25
2014-04-01 13:04:51.192046	153307	46	2	10
2014-04-01 13:04:51.463998	153308	20.1	1	10
2014-04-01 13:04:58.886937	153309	55	2	9
2014-04-01 13:04:59.41464	153310	20.0	1	9
2014-04-01 13:04:59.950455	153311	55	2	8
2014-04-01 13:05:00.218315	153312	19.5	1	8
2014-04-01 13:05:10.000958	153313	56	2	1
2014-04-01 13:05:10.565553	153314	20.1	1	1
2014-04-01 13:05:20.644614	153315	64	2	24
2014-04-01 13:05:21.000483	153316	16.7	1	24
2014-04-01 13:05:23.586083	153317	51	2	25
2014-04-01 13:05:23.843368	153318	17.8	1	25
2014-04-01 13:05:30.191788	153319	46	2	10
2014-04-01 13:05:30.456397	153320	20.1	1	10
2014-04-01 13:05:37.884706	153321	55	2	9
2014-04-01 13:05:38.108971	153322	20.0	1	9
2014-04-01 13:05:38.951014	153323	55	2	8
2014-04-01 13:05:39.184049	153324	19.5	1	8
2014-04-01 13:05:49.001302	153325	56	2	1
2014-04-01 13:05:49.226183	153326	20.1	1	1
2014-04-01 13:05:59.641278	153327	64	2	24
2014-04-01 13:05:59.87342	153328	16.7	1	24
2014-04-01 13:06:02.584047	153329	51	2	25
2014-04-01 13:06:02.805167	153330	17.8	1	25
2014-04-01 13:06:09.187692	153331	46	2	10
2014-04-01 13:06:09.419387	153332	20.1	1	10
2014-04-01 13:06:16.880738	153333	55	2	9
2014-04-01 13:06:17.103739	153334	20.0	1	9
2014-04-01 13:06:17.946943	153335	55	2	8
2014-04-01 13:06:18.178153	153336	19.5	1	8
2014-04-01 13:06:27.993949	153337	56	2	1
2014-04-01 13:06:28.217384	153338	20.1	1	1
2014-04-01 13:06:38.650267	153339	64	2	24
2014-04-01 13:06:38.884515	153340	16.7	1	24
2014-04-01 13:06:41.580227	153341	51	2	25
2014-04-01 13:06:41.805697	153342	17.8	1	25
2014-04-01 13:06:48.188275	153343	46	2	10
2014-04-01 13:06:48.419221	153344	20.1	1	10
2014-04-01 13:06:55.889738	153345	55	2	9
2014-04-01 13:06:56.110876	153346	20.0	1	9
2014-04-01 13:06:56.946877	153347	55	2	8
2014-04-01 13:06:57.189344	153348	19.5	1	8
2014-04-01 13:07:06.991557	153349	56	2	1
2014-04-01 13:07:07.213977	153350	20.1	1	1
2014-04-01 13:07:17.678828	153351	64	2	24
2014-04-01 13:07:17.929907	153352	16.7	1	24
2014-04-01 13:07:20.580524	153353	51	2	25
2014-04-01 13:07:20.804129	153354	17.8	1	25
2014-04-01 13:07:27.188982	153355	46	2	10
2014-04-01 13:07:27.420295	153356	20.1	1	10
2014-04-01 13:07:34.885554	153357	55	2	9
2014-04-01 13:07:35.106537	153358	20.0	1	9
2014-04-01 13:07:35.947347	153359	55	2	8
2014-04-01 13:07:36.178562	153360	19.5	1	8
2014-04-01 13:07:45.99069	153361	56	2	1
2014-04-01 13:07:46.214181	153362	20.1	1	1
2014-04-01 13:07:56.638622	153363	64	2	24
2014-04-01 13:07:56.872282	153364	16.7	1	24
2014-04-01 13:07:59.579302	153365	51	2	25
2014-04-01 13:07:59.800859	153366	17.8	1	25
2014-04-01 13:08:06.188803	153367	46	2	10
2014-04-01 13:08:06.419522	153368	20.1	1	10
2014-04-01 13:08:13.887625	153369	55	2	9
2014-04-01 13:08:14.112144	153370	20.0	1	9
2014-04-01 13:08:14.948047	153371	55	2	8
2014-04-01 13:08:15.178116	153372	19.5	1	8
2014-04-01 13:08:24.992599	153373	56	2	1
2014-04-01 13:08:25.215561	153374	20.1	1	1
2014-04-01 13:08:35.637996	153375	64	2	24
2014-04-01 13:08:35.869585	153376	16.7	1	24
2014-04-01 13:08:38.57984	153377	51	2	25
2014-04-01 13:08:38.803234	153378	17.8	1	25
2014-04-01 13:08:45.188449	153379	46	2	10
2014-04-01 13:08:45.419911	153380	20.1	1	10
2014-04-01 13:08:52.887339	153381	55	2	9
2014-04-01 13:08:53.113895	153382	20.0	1	9
2014-04-01 13:08:53.946537	153383	55	2	8
2014-04-01 13:08:54.179716	153384	19.5	1	8
2014-04-01 13:09:03.993887	153385	56	2	1
2014-04-01 13:09:04.218795	153386	20.1	1	1
2014-04-01 13:09:14.637163	153387	64	2	24
2014-04-01 13:09:14.869301	153388	16.7	1	24
2014-04-01 13:09:17.579103	153389	51	2	25
2014-04-01 13:09:17.859966	153390	17.8	1	25
2014-04-01 13:09:24.190602	153391	46	2	10
2014-04-01 13:09:24.423358	153392	20.1	1	10
2014-04-01 13:09:32.090271	153393	55	2	9
2014-04-01 13:09:32.314557	153394	20.0	1	9
2014-04-01 13:09:32.945494	153395	55	2	8
2014-04-01 13:09:33.188762	153396	19.5	1	8
2014-04-01 13:09:42.992426	153397	56	2	1
2014-04-01 13:09:43.215313	153398	20.1	1	1
2014-04-01 13:09:53.639223	153399	64	2	24
2014-04-01 13:09:53.872791	153400	16.7	1	24
2014-04-01 13:09:56.579805	153401	51	2	25
2014-04-01 13:09:56.801363	153402	17.8	1	25
2014-04-01 13:10:03.18955	153403	46	2	10
2014-04-01 13:10:03.422364	153404	20.1	1	10
2014-04-01 13:10:10.888069	153405	55	2	9
2014-04-01 13:10:11.109878	153406	20.0	1	9
2014-04-01 13:10:11.946074	153407	55	2	8
2014-04-01 13:10:12.177037	153408	19.5	1	8
2014-04-01 13:10:21.989961	153409	56	2	1
2014-04-01 13:10:22.212343	153410	20.1	1	1
2014-04-01 13:10:32.635617	153411	64	2	24
2014-04-01 13:10:32.867186	153412	16.7	1	24
2014-04-01 13:10:35.577652	153413	51	2	25
2014-04-01 13:10:35.800011	153414	17.8	1	25
2014-04-01 13:10:42.18866	153415	46	2	10
2014-04-01 13:10:42.423231	153416	20.1	1	10
2014-04-01 13:10:49.884775	153417	55	2	9
2014-04-01 13:10:50.107464	153418	20.0	1	9
2014-04-01 13:10:50.946631	153419	55	2	8
2014-04-01 13:10:51.177487	153420	19.5	1	8
2014-04-01 13:11:00.990348	153421	56	2	1
2014-04-01 13:11:01.211377	153422	20.1	1	1
2014-04-01 13:11:11.63323	153423	64	2	24
2014-04-01 13:11:11.8672	153424	16.7	1	24
2014-04-01 13:11:14.580603	153425	51	2	25
2014-04-01 13:11:14.804477	153426	17.8	1	25
2014-04-01 13:11:21.190085	153427	46	2	10
2014-04-01 13:11:21.423174	153428	20.1	1	10
2014-04-01 13:11:28.887819	153429	55	2	9
2014-04-01 13:11:29.109752	153430	20.0	1	9
2014-04-01 13:11:29.94669	153431	55	2	8
2014-04-01 13:11:30.178021	153432	19.5	1	8
2014-04-01 13:11:39.987685	153433	56	2	1
2014-04-01 13:11:40.210672	153434	20.1	1	1
2014-04-01 13:11:50.635404	153435	64	2	24
2014-04-01 13:11:50.867783	153436	16.7	1	24
2014-04-01 13:11:53.57964	153437	51	2	25
2014-04-01 13:11:53.813003	153438	17.8	1	25
2014-04-01 13:12:00.191756	153439	46	2	10
2014-04-01 13:12:00.424026	153440	20.1	1	10
2014-04-01 13:12:07.888516	153441	55	2	9
2014-04-01 13:12:08.131754	153442	20.0	1	9
2014-04-01 13:12:08.945415	153443	55	2	8
2014-04-01 13:12:09.188987	153444	19.5	1	8
2014-04-01 13:12:18.992664	153445	56	2	1
2014-04-01 13:12:19.213866	153446	20.1	1	1
2014-04-01 13:12:29.674663	153447	64	2	24
2014-04-01 13:12:29.909166	153448	16.7	1	24
2014-04-01 13:12:32.579525	153449	51	2	25
2014-04-01 13:12:32.803521	153450	17.8	1	25
2014-04-01 13:12:39.190453	153451	46	2	10
2014-04-01 13:12:39.423288	153452	20.1	1	10
2014-04-01 13:12:46.890405	153453	55	2	9
2014-04-01 13:12:47.113057	153454	20.0	1	9
2014-04-01 13:12:47.945046	153455	55	2	8
2014-04-01 13:12:48.234772	153456	19.5	1	8
2014-04-01 13:12:57.989405	153457	56	2	1
2014-04-01 13:12:58.211604	153458	20.2	1	1
2014-04-01 13:13:08.632594	153459	64	2	24
2014-04-01 13:13:08.869623	153460	16.7	1	24
2014-04-01 13:13:11.578726	153461	51	2	25
2014-04-01 13:13:11.801569	153462	17.8	1	25
2014-04-01 13:13:18.190315	153463	46	2	10
2014-04-01 13:13:18.42237	153464	20.1	1	10
2014-04-01 13:13:25.89016	153465	55	2	9
2014-04-01 13:13:26.113243	153466	20.0	1	9
2014-04-01 13:13:26.948158	153467	55	2	8
2014-04-01 13:13:27.179116	153468	19.5	1	8
2014-04-01 13:13:36.991674	153469	56	2	1
2014-04-01 13:13:37.213512	153470	20.2	1	1
2014-04-01 13:13:47.631614	153471	64	2	24
2014-04-01 13:13:47.86464	153472	16.7	1	24
2014-04-01 13:13:50.578733	153473	51	2	25
2014-04-01 13:13:50.800381	153474	17.8	1	25
2014-04-01 13:13:57.190601	153475	46	2	10
2014-04-01 13:13:57.423882	153476	20.1	1	10
2014-04-01 13:14:04.888874	153477	55	2	9
2014-04-01 13:14:05.113999	153478	20.0	1	9
2014-04-01 13:14:05.945881	153479	55	2	8
2014-04-01 13:14:06.178644	153480	19.5	1	8
2014-04-01 13:14:15.988735	153481	56	2	1
2014-04-01 13:14:16.21434	153482	20.2	1	1
2014-04-01 13:14:26.671515	153483	64	2	24
2014-04-01 13:14:26.903233	153484	16.7	1	24
2014-04-01 13:14:29.582488	153485	51	2	25
2014-04-01 13:14:29.804633	153486	17.8	1	25
2014-04-01 13:14:36.190496	153487	46	2	10
2014-04-01 13:14:36.422858	153488	20.1	1	10
2014-04-01 13:14:44.091194	153489	55	2	9
2014-04-01 13:14:44.315078	153490	20.0	1	9
2014-04-01 13:14:44.945204	153491	55	2	8
2014-04-01 13:14:45.190314	153492	19.5	1	8
2014-04-01 13:14:54.992181	153493	56	2	1
2014-04-01 13:14:55.215896	153494	20.2	1	1
2014-04-01 13:15:05.629904	153495	64	2	24
2014-04-01 13:15:05.862822	153496	16.7	1	24
2014-04-01 13:15:08.576471	153497	51	2	25
2014-04-01 13:15:08.799806	153498	17.8	1	25
2014-04-01 13:15:15.190736	153499	46	2	10
2014-04-01 13:15:15.424722	153500	20.2	1	10
2014-04-01 13:15:22.889891	153501	55	2	9
2014-04-01 13:15:23.113637	153502	20.0	1	9
2014-04-01 13:15:23.94822	153503	55	2	8
2014-04-01 13:15:24.180666	153504	19.5	1	8
2014-04-01 13:15:33.989365	153505	56	2	1
2014-04-01 13:15:34.211126	153506	20.2	1	1
2014-04-01 13:15:44.629044	153507	64	2	24
2014-04-01 13:15:44.872767	153508	16.6	1	24
2014-04-01 13:15:47.577785	153509	51	2	25
2014-04-01 13:15:47.798814	153510	17.8	1	25
2014-04-01 13:15:54.191565	153511	46	2	10
2014-04-01 13:15:54.424997	153512	20.2	1	10
2014-04-01 13:16:01.89016	153513	55	2	9
2014-04-01 13:16:02.113416	153514	20.0	1	9
2014-04-01 13:16:02.946329	153515	55	2	8
2014-04-01 13:16:03.176297	153516	19.5	1	8
2014-04-01 13:16:12.989586	153517	56	2	1
2014-04-01 13:16:13.21132	153518	20.2	1	1
2014-04-01 13:16:23.629711	153519	64	2	24
2014-04-01 13:16:23.865313	153520	16.6	1	24
2014-04-01 13:16:26.579343	153521	51	2	25
2014-04-01 13:16:26.803042	153522	17.8	1	25
2014-04-01 13:16:33.191673	153523	46	2	10
2014-04-01 13:16:33.423296	153524	20.2	1	10
2014-04-01 13:16:40.889423	153525	55	2	9
2014-04-01 13:16:41.112688	153526	19.9	1	9
2014-04-01 13:16:41.949166	153527	55	2	8
2014-04-01 13:16:42.179944	153528	19.5	1	8
2014-04-01 13:16:51.988604	153529	56	2	1
2014-04-01 13:16:52.210961	153530	20.2	1	1
2014-04-01 13:17:02.630663	153531	64	2	24
2014-04-01 13:17:02.884599	153532	16.6	1	24
2014-04-01 13:17:05.818179	153533	51	2	25
2014-04-01 13:17:06.039169	153534	17.8	1	25
2014-04-01 13:17:12.191465	153535	46	2	10
2014-04-01 13:17:12.424221	153536	20.2	1	10
2014-04-01 13:17:19.890596	153537	55	2	9
2014-04-01 13:17:20.113412	153538	19.9	1	9
2014-04-01 13:17:20.947951	153539	55	2	8
2014-04-01 13:17:21.190708	153540	19.5	1	8
2014-04-01 13:17:30.987952	153541	56	2	1
2014-04-01 13:17:31.212914	153542	20.2	1	1
2014-04-01 13:17:41.629035	153543	64	2	24
2014-04-01 13:17:41.864947	153544	16.6	1	24
2014-04-01 13:17:44.820909	153545	51	2	25
2014-04-01 13:17:45.042461	153546	17.8	1	25
2014-04-01 13:17:51.190947	153547	46	2	10
2014-04-01 13:17:51.423164	153548	20.2	1	10
2014-04-01 13:17:58.889303	153549	55	2	9
2014-04-01 13:17:59.111385	153550	19.9	1	9
2014-04-01 13:17:59.94696	153551	55	2	8
2014-04-01 13:18:00.17871	153552	19.5	1	8
2014-04-01 13:18:09.988793	153553	56	2	1
2014-04-01 13:18:10.213833	153554	20.2	1	1
2014-04-01 13:18:20.626518	153555	64	2	24
2014-04-01 13:18:20.860344	153556	16.6	1	24
2014-04-01 13:18:23.575084	153557	51	2	25
2014-04-01 13:18:23.803366	153558	17.8	1	25
2014-04-01 13:18:30.39877	153559	46	2	10
2014-04-01 13:18:30.630705	153560	20.2	1	10
2014-04-01 13:18:37.8917	153561	55	2	9
2014-04-01 13:18:38.114037	153562	19.9	1	9
2014-04-01 13:18:38.945842	153563	55	2	8
2014-04-01 13:18:39.177193	153564	19.5	1	8
2014-04-01 13:18:48.990396	153565	56	2	1
2014-04-01 13:18:49.211526	153566	20.2	1	1
2014-04-01 13:18:59.629393	153567	64	2	24
2014-04-01 13:18:59.863253	153568	16.6	1	24
2014-04-01 13:19:02.81923	153569	51	2	25
2014-04-01 13:19:03.0431	153570	17.8	1	25
2014-04-01 13:19:09.192925	153571	46	2	10
2014-04-01 13:19:09.447241	153572	20.2	1	10
2014-04-01 13:19:16.889233	153573	55	2	9
2014-04-01 13:19:17.113286	153574	19.9	1	9
2014-04-01 13:19:17.945946	153575	55	2	8
2014-04-01 13:19:18.237566	153576	19.5	1	8
2014-04-01 13:19:27.989284	153577	56	2	1
2014-04-01 13:19:28.213864	153578	20.2	1	1
2014-04-01 13:19:38.624774	153579	64	2	24
2014-04-01 13:19:38.857794	153580	16.6	1	24
2014-04-01 13:19:41.575727	153581	51	2	25
2014-04-01 13:19:41.797932	153582	17.8	1	25
2014-04-01 13:19:48.220044	153583	46	2	10
2014-04-01 13:19:48.483459	153584	20.2	1	10
2014-04-01 13:19:55.889896	153585	55	2	9
2014-04-01 13:19:56.115226	153586	19.9	1	9
2014-04-01 13:19:56.945924	153587	55	2	8
2014-04-01 13:19:57.191265	153588	19.5	1	8
2014-04-01 13:20:06.985797	153589	56	2	1
2014-04-01 13:20:07.209432	153590	20.2	1	1
2014-04-01 13:20:17.626436	153591	64	2	24
2014-04-01 13:20:17.85889	153592	16.6	1	24
2014-04-01 13:20:20.575477	153593	51	2	25
2014-04-01 13:20:20.796959	153594	17.8	1	25
2014-04-01 13:20:27.193262	153595	46	2	10
2014-04-01 13:20:27.424783	153596	20.2	1	10
2014-04-01 13:20:34.890504	153597	55	2	9
2014-04-01 13:20:35.113421	153598	19.9	1	9
2014-04-01 13:20:35.946873	153599	55	2	8
2014-04-01 13:20:36.178062	153600	19.5	1	8
2014-04-01 13:20:45.986983	153601	56	2	1
2014-04-01 13:20:46.209383	153602	20.2	1	1
2014-04-01 13:20:56.6251	153603	64	2	24
2014-04-01 13:20:56.857491	153604	16.6	1	24
2014-04-01 13:20:59.575649	153605	51	2	25
2014-04-01 13:20:59.797321	153606	17.8	1	25
2014-04-01 13:21:06.192517	153607	46	2	10
2014-04-01 13:21:06.427069	153608	20.2	1	10
2014-04-01 13:21:13.888591	153609	55	2	9
2014-04-01 13:21:14.112349	153610	19.9	1	9
2014-04-01 13:21:14.946426	153611	55	2	8
2014-04-01 13:21:15.177945	153612	19.5	1	8
2014-04-01 13:21:24.986145	153613	56	2	1
2014-04-01 13:21:25.207512	153614	20.2	1	1
2014-04-01 13:21:35.624175	153615	64	2	24
2014-04-01 13:21:35.856954	153616	16.6	1	24
2014-04-01 13:21:38.575715	153617	51	2	25
2014-04-01 13:21:38.798078	153618	17.8	1	25
2014-04-01 13:21:45.192816	153619	46	2	10
2014-04-01 13:21:45.42401	153620	20.2	1	10
2014-04-01 13:21:52.889038	153621	55	2	9
2014-04-01 13:21:53.111299	153622	19.9	1	9
2014-04-01 13:21:53.947443	153623	55	2	8
2014-04-01 13:21:54.17929	153624	19.5	1	8
2014-04-01 13:22:03.984703	153625	56	2	1
2014-04-01 13:22:04.207188	153626	20.2	1	1
2014-04-01 13:22:14.625183	153627	64	2	24
2014-04-01 13:22:14.859449	153628	16.6	1	24
2014-04-01 13:22:17.57636	153629	51	2	25
2014-04-01 13:22:17.799714	153630	17.8	1	25
2014-04-01 13:22:24.193396	153631	46	2	10
2014-04-01 13:22:24.426631	153632	20.2	1	10
2014-04-01 13:22:32.092365	153633	55	2	9
2014-04-01 13:22:32.314106	153634	19.9	1	9
2014-04-01 13:22:32.945631	153635	55	2	8
2014-04-01 13:22:33.186838	153636	19.5	1	8
2014-04-01 13:22:42.986158	153637	56	2	1
2014-04-01 13:22:43.20975	153638	20.2	1	1
2014-04-01 13:22:53.622746	153639	64	2	24
2014-04-01 13:22:53.863707	153640	16.6	1	24
2014-04-01 13:22:56.575209	153641	51	2	25
2014-04-01 13:22:56.800031	153642	17.8	1	25
2014-04-01 13:23:03.193903	153643	46	2	10
2014-04-01 13:23:03.42522	153644	20.2	1	10
2014-04-01 13:23:10.886176	153645	55	2	9
2014-04-01 13:23:11.109341	153646	19.9	1	9
2014-04-01 13:23:11.946795	153647	55	2	8
2014-04-01 13:23:12.179327	153648	19.5	1	8
2014-04-01 13:23:21.985413	153649	56	2	1
2014-04-01 13:23:22.207349	153650	20.2	1	1
2014-04-01 13:23:32.622612	153651	64	2	24
2014-04-01 13:23:32.855105	153652	16.6	1	24
2014-04-01 13:23:35.574952	153653	51	2	25
2014-04-01 13:23:35.799657	153654	17.8	1	25
2014-04-01 13:23:42.193725	153655	46	2	10
2014-04-01 13:23:42.426188	153656	20.2	1	10
2014-04-01 13:23:49.894198	153657	55	2	9
2014-04-01 13:23:50.115907	153658	19.9	1	9
2014-04-01 13:23:50.947195	153659	55	2	8
2014-04-01 13:23:51.177383	153660	19.5	1	8
2014-04-01 13:24:00.984963	153661	56	2	1
2014-04-01 13:24:01.210108	153662	20.2	1	1
2014-04-01 13:24:11.621516	153663	64	2	24
2014-04-01 13:24:11.854933	153664	16.6	1	24
2014-04-01 13:24:14.573478	153665	51	2	25
2014-04-01 13:24:14.795922	153666	17.8	1	25
2014-04-01 13:24:21.193046	153667	46	2	10
2014-04-01 13:24:21.424597	153668	20.2	1	10
2014-04-01 13:24:28.888581	153669	55	2	9
2014-04-01 13:24:29.112617	153670	19.9	1	9
2014-04-01 13:24:29.949202	153671	55	2	8
2014-04-01 13:24:30.182103	153672	19.5	1	8
2014-04-01 13:24:39.982502	153673	56	2	1
2014-04-01 13:24:40.205221	153674	20.2	1	1
2014-04-01 13:24:50.622304	153675	64	2	24
2014-04-01 13:24:50.855006	153676	16.6	1	24
2014-04-01 13:24:53.575159	153677	51	2	25
2014-04-01 13:24:53.804423	153678	17.8	1	25
2014-04-01 13:25:00.194183	153679	46	2	10
2014-04-01 13:25:00.427102	153680	20.2	1	10
2014-04-01 13:25:07.88981	153681	55	2	9
2014-04-01 13:25:08.113813	153682	19.9	1	9
2014-04-01 13:25:08.945192	153683	55	2	8
2014-04-01 13:25:09.189092	153684	19.5	1	8
2014-04-01 13:25:18.983116	153685	56	2	1
2014-04-01 13:25:19.206486	153686	20.2	1	1
2014-04-01 13:25:29.621967	153687	64	2	24
2014-04-01 13:25:29.854978	153688	16.6	1	24
2014-04-01 13:25:32.575444	153689	51	2	25
2014-04-01 13:25:32.798162	153690	17.8	1	25
2014-04-01 13:25:39.199269	153691	46	2	10
2014-04-01 13:25:39.432381	153692	20.2	1	10
2014-04-01 13:25:46.890396	153693	55	2	9
2014-04-01 13:25:47.112768	153694	19.9	1	9
2014-04-01 13:25:47.947581	153695	55	2	8
2014-04-01 13:25:48.179252	153696	19.5	1	8
2014-04-01 13:25:57.979174	153697	56	2	1
2014-04-01 13:25:58.200886	153698	20.2	1	1
2014-04-01 13:26:08.62063	153699	64	2	24
2014-04-01 13:26:08.853421	153700	16.6	1	24
2014-04-01 13:26:11.572751	153701	51	2	25
2014-04-01 13:26:11.794254	153702	17.8	1	25
2014-04-01 13:26:18.193955	153703	46	2	10
2014-04-01 13:26:18.482356	153704	20.2	1	10
2014-04-01 13:26:25.887718	153705	55	2	9
2014-04-01 13:26:26.109229	153706	19.9	1	9
2014-04-01 13:26:26.947243	153707	55	2	8
2014-04-01 13:26:27.17862	153708	19.5	1	8
2014-04-01 13:26:36.982464	153709	56	2	1
2014-04-01 13:26:37.205583	153710	20.2	1	1
2014-04-01 13:26:47.618711	153711	64	2	24
2014-04-01 13:26:47.851233	153712	16.6	1	24
2014-04-01 13:26:50.573038	153713	51	2	25
2014-04-01 13:26:50.795549	153714	17.8	1	25
2014-04-01 13:26:57.193459	153715	46	2	10
2014-04-01 13:26:57.427648	153716	20.2	1	10
2014-04-01 13:27:04.8905	153717	55	2	9
2014-04-01 13:27:05.112678	153718	19.9	1	9
2014-04-01 13:27:05.94631	153719	55	2	8
2014-04-01 13:27:06.175981	153720	19.5	1	8
2014-04-01 13:27:15.98219	153721	56	2	1
2014-04-01 13:27:16.204968	153722	20.2	1	1
2014-04-01 13:27:26.659103	153723	64	2	24
2014-04-01 13:27:26.890917	153724	16.6	1	24
2014-04-01 13:27:29.574945	153725	51	2	25
2014-04-01 13:27:29.799517	153726	17.8	1	25
2014-04-01 13:27:36.194619	153727	46	2	10
2014-04-01 13:27:36.426559	153728	20.2	1	10
2014-04-01 13:27:44.94526	153729	55	2	8
2014-04-01 13:27:45.169927	153730	19.5	1	8
2014-04-01 13:27:54.983773	153731	56	2	1
2014-04-01 13:27:55.225045	153732	20.2	1	1
2014-04-01 13:28:05.619065	153733	64	2	24
2014-04-01 13:28:05.843131	153734	16.6	1	24
2014-04-01 13:28:08.572323	153735	51	2	25
2014-04-01 13:28:08.992511	153736	17.8	1	25
2014-04-01 13:28:15.195541	153737	46	2	10
2014-04-01 13:28:15.415888	153738	20.2	1	10
2014-04-01 13:28:22.88898	153739	55	2	9
2014-04-01 13:28:23.112946	153740	19.9	1	9
2014-04-01 13:28:23.946519	153741	55	2	8
2014-04-01 13:28:24.177213	153742	19.5	1	8
2014-04-01 13:28:33.980593	153743	56	2	1
2014-04-01 13:28:34.20225	153744	20.2	1	1
2014-04-01 13:28:44.655795	153745	64	2	24
2014-04-01 13:28:44.888514	153746	16.6	1	24
2014-04-01 13:28:47.57225	153747	51	2	25
2014-04-01 13:28:47.795414	153748	17.8	1	25
2014-04-01 13:28:54.19502	153749	46	2	10
2014-04-01 13:28:54.424251	153750	20.2	1	10
2014-04-01 13:29:01.883015	153751	55	2	9
2014-04-01 13:29:02.105649	153752	19.9	1	9
2014-04-01 13:29:02.945993	153753	55	2	8
2014-04-01 13:29:03.177624	153754	19.5	1	8
2014-04-01 13:29:12.983437	153755	56	2	1
2014-04-01 13:29:13.206359	153756	20.2	1	1
2014-04-01 13:29:23.617525	153757	64	2	24
2014-04-01 13:29:23.856833	153758	16.6	1	24
2014-04-01 13:29:26.571475	153759	51	2	25
2014-04-01 13:29:26.796591	153760	17.8	1	25
2014-04-01 13:29:33.195196	153761	46	2	10
2014-04-01 13:29:33.42729	153762	20.2	1	10
2014-04-01 13:29:40.885169	153763	55	2	9
2014-04-01 13:29:41.10833	153764	19.9	1	9
2014-04-01 13:29:41.947278	153765	55	2	8
2014-04-01 13:29:42.178124	153766	19.5	1	8
2014-04-01 13:29:43.810891	153767	2173	3	2
2014-04-01 13:29:44.034489	153768	1165407.86261658	4	2
2014-04-01 13:29:51.985032	153769	56	2	1
2014-04-01 13:29:52.216918	153770	20.2	1	1
2014-04-01 13:29:55.812087	153771	2076	3	2
2014-04-01 13:29:56.035455	153772	1165414.7568249085	4	2
2014-04-01 13:30:02.617099	153773	64	2	24
2014-04-01 13:30:02.849956	153774	16.6	1	24
2014-04-01 13:30:05.571805	153775	51	2	25
2014-04-01 13:30:05.794278	153776	17.8	1	25
2014-04-01 13:30:07.811475	153777	2076	3	2
2014-04-01 13:30:08.050369	153778	1165421.651033237	4	2
2014-04-01 13:30:12.195495	153779	46	2	10
2014-04-01 13:30:12.417988	153780	20.2	1	10
2014-04-01 13:30:20.087536	153781	55	2	9
2014-04-01 13:30:20.331105	153782	20.0	1	9
2014-04-01 13:30:20.942951	153783	55	2	8
2014-04-01 13:30:21.166114	153784	19.5	1	8
2014-04-01 13:30:30.983746	153785	56	2	1
2014-04-01 13:30:31.21659	153786	20.2	1	1
2014-04-01 13:30:31.812396	153787	2124	3	2
2014-04-01 13:30:32.033401	153788	1165435.439449894	4	2
2014-04-01 13:30:41.614931	153789	64	2	24
2014-04-01 13:30:41.84618	153790	16.6	1	24
2014-04-01 13:30:44.570243	153791	51	2	25
2014-04-01 13:30:44.793651	153792	17.8	1	25
2014-04-01 13:30:51.19841	153793	46	2	10
2014-04-01 13:30:51.432456	153794	20.2	1	10
2014-04-01 13:30:58.885579	153795	55	2	9
2014-04-01 13:30:59.10922	153796	20.0	1	9
2014-04-01 13:30:59.945004	153797	55	2	8
2014-04-01 13:31:00.178319	153798	19.5	1	8
2014-04-01 13:31:09.981165	153799	56	2	1
2014-04-01 13:31:10.205152	153800	20.2	1	1
2014-04-01 13:31:19.811949	153801	820	3	2
2014-04-01 13:31:20.043483	153802	1165460.7182137652	4	2
2014-04-01 13:31:20.615561	153803	64	2	24
2014-04-01 13:31:20.836293	153804	16.6	1	24
2014-04-01 13:31:23.572222	153805	51	2	25
2014-04-01 13:31:23.811863	153806	17.8	1	25
2014-04-01 13:31:30.196071	153807	46	2	10
2014-04-01 13:31:30.420032	153808	20.2	1	10
2014-04-01 13:31:37.887734	153809	55	2	9
2014-04-01 13:31:38.119316	153810	20.0	1	9
2014-04-01 13:31:38.945753	153811	55	2	8
2014-04-01 13:31:39.168637	153812	19.5	1	8
2014-04-01 13:31:48.980532	153813	56	2	1
2014-04-01 13:31:49.214009	153814	20.2	1	1
2014-04-01 13:31:59.615846	153815	64	2	24
2014-04-01 13:31:59.838699	153816	16.6	1	24
2014-04-01 13:32:02.571395	153817	51	2	25
2014-04-01 13:32:02.803694	153818	17.8	1	25
2014-04-01 13:32:09.195281	153819	46	2	10
2014-04-01 13:32:09.419361	153820	20.2	1	10
2014-04-01 13:32:16.881486	153821	55	2	9
2014-04-01 13:32:17.113097	153822	20.0	1	9
2014-04-01 13:32:17.944137	153823	55	2	8
2014-04-01 13:32:18.167696	153824	19.5	1	8
2014-04-01 13:32:27.980277	153825	56	2	1
2014-04-01 13:32:28.213738	153826	20.2	1	1
2014-04-01 13:32:38.638703	153827	64	2	24
2014-04-01 13:32:38.862207	153828	16.6	1	24
2014-04-01 13:32:41.571888	153829	51	2	25
2014-04-01 13:32:41.815811	153830	17.8	1	25
2014-04-01 13:32:48.198326	153831	46	2	10
2014-04-01 13:32:48.419317	153832	20.2	1	10
2014-04-01 13:32:55.882573	153833	55	2	9
2014-04-01 13:32:56.113369	153834	20.0	1	9
2014-04-01 13:32:56.944672	153835	55	2	8
2014-04-01 13:32:57.166634	153836	19.5	1	8
2014-04-01 13:33:06.980085	153837	56	2	1
2014-04-01 13:33:07.211703	153838	20.2	1	1
2014-04-01 13:33:17.618777	153839	64	2	24
2014-04-01 13:33:17.84157	153840	16.6	1	24
2014-04-01 13:33:19.812108	153841	595	3	2
2014-04-01 13:33:20.04436	153842	1165482.549873472	4	2
2014-04-01 13:33:20.569672	153843	51	2	25
2014-04-01 13:33:20.793832	153844	17.8	1	25
2014-04-01 13:33:27.197614	153845	46	2	10
2014-04-01 13:33:27.429941	153846	20.2	1	10
2014-04-01 13:33:34.883272	153847	55	2	9
2014-04-01 13:33:35.103741	153848	20.0	1	9
2014-04-01 13:33:35.946963	153849	55	2	8
2014-04-01 13:33:36.176036	153850	19.5	1	8
2014-04-01 13:33:45.979629	153851	56	2	1
2014-04-01 13:33:46.20165	153852	20.2	1	1
2014-04-01 13:33:56.610809	153853	64	2	24
2014-04-01 13:33:56.847942	153854	16.6	1	24
2014-04-01 13:33:59.569412	153855	51	2	25
2014-04-01 13:33:59.793126	153856	17.8	1	25
2014-04-01 13:34:06.196704	153857	46	2	10
2014-04-01 13:34:06.43008	153858	20.2	1	10
2014-04-01 13:34:13.886117	153859	55	2	9
2014-04-01 13:34:14.107754	153860	20.0	1	9
2014-04-01 13:34:14.947108	153861	55	2	8
2014-04-01 13:34:15.176742	153862	19.5	1	8
2014-04-01 13:34:24.984539	153863	56	2	1
2014-04-01 13:34:25.206664	153864	20.2	1	1
2014-04-01 13:34:35.610895	153865	64	2	24
2014-04-01 13:34:35.844941	153866	16.6	1	24
2014-04-01 13:34:38.570913	153867	51	2	25
2014-04-01 13:34:38.793017	153868	17.8	1	25
2014-04-01 13:34:45.197012	153869	46	2	10
2014-04-01 13:34:45.429212	153870	20.2	1	10
2014-04-01 13:34:52.891623	153871	55	2	9
2014-04-01 13:34:53.113694	153872	20.0	1	9
2014-04-01 13:34:53.948295	153873	55	2	8
2014-04-01 13:34:54.178468	153874	19.5	1	8
2014-04-01 13:35:03.979986	153875	56	2	1
2014-04-01 13:35:04.201569	153876	20.2	1	1
2014-04-01 13:35:14.612041	153877	64	2	24
2014-04-01 13:35:14.854529	153878	16.6	1	24
2014-04-01 13:35:17.569905	153879	51	2	25
2014-04-01 13:35:17.792097	153880	17.8	1	25
2014-04-01 13:35:24.19862	153881	46	2	10
2014-04-01 13:35:24.430288	153882	20.2	1	10
2014-04-01 13:35:32.087316	153883	55	2	9
2014-04-01 13:35:32.308254	153884	20.0	1	9
2014-04-01 13:35:32.94535	153885	55	2	8
2014-04-01 13:35:33.177499	153886	19.5	1	8
2014-04-01 13:35:42.979645	153887	56	2	1
2014-04-01 13:35:43.20264	153888	20.2	1	1
2014-04-01 13:35:53.610576	153889	64	2	24
2014-04-01 13:35:53.84877	153890	16.6	1	24
2014-04-01 13:35:55.813288	153891	611	3	2
2014-04-01 13:35:56.03623	153892	1165507.8286373431	4	2
2014-04-01 13:35:56.570489	153893	51	2	25
2014-04-01 13:35:56.802776	153894	17.8	1	25
2014-04-01 13:36:03.199359	153895	46	2	10
2014-04-01 13:36:03.420285	153896	20.2	1	10
2014-04-01 13:36:10.888145	153897	55	2	9
2014-04-01 13:36:11.119761	153898	20.0	1	9
2014-04-01 13:36:11.944485	153899	55	2	8
2014-04-01 13:36:12.167989	153900	19.5	1	8
2014-04-01 13:36:21.982105	153901	56	2	1
2014-04-01 13:36:22.220306	153902	20.2	1	1
2014-04-01 13:36:32.5985	153903	64	2	24
2014-04-01 13:36:32.820956	153904	16.6	1	24
2014-04-01 13:36:35.565362	153905	51	2	25
2014-04-01 13:36:35.7972	153906	17.8	1	25
2014-04-01 13:36:42.199166	153907	46	2	10
2014-04-01 13:36:42.423275	153908	20.3	1	10
2014-04-01 13:36:49.88552	153909	55	2	9
2014-04-01 13:36:50.116873	153910	20.0	1	9
2014-04-01 13:36:50.94641	153911	55	2	8
2014-04-01 13:36:51.167291	153912	19.5	1	8
2014-04-01 13:37:00.981938	153913	56	2	1
2014-04-01 13:37:01.214297	153914	20.2	1	1
2014-04-01 13:37:11.606997	153915	64	2	24
2014-04-01 13:37:11.829535	153916	16.6	1	24
2014-04-01 13:37:14.567473	153917	51	2	25
2014-04-01 13:37:14.798749	153918	17.8	1	25
2014-04-01 13:37:21.198039	153919	46	2	10
2014-04-01 13:37:21.421217	153920	20.3	1	10
2014-04-01 13:37:28.882811	153921	55	2	9
2014-04-01 13:37:29.114735	153922	20.0	1	9
2014-04-01 13:37:29.946613	153923	55	2	8
2014-04-01 13:37:30.166418	153924	19.5	1	8
2014-04-01 13:37:39.982383	153925	56	2	1
2014-04-01 13:37:40.226917	153926	20.2	1	1
2014-04-01 13:37:50.605125	153927	64	2	24
2014-04-01 13:37:50.827297	153928	16.6	1	24
2014-04-01 13:37:53.566185	153929	51	2	25
2014-04-01 13:37:53.79819	153930	17.8	1	25
2014-04-01 13:38:00.198668	153931	46	2	10
2014-04-01 13:38:00.423232	153932	20.3	1	10
2014-04-01 13:38:08.085966	153933	55	2	9
2014-04-01 13:38:08.318254	153934	20.0	1	9
2014-04-01 13:38:08.947528	153935	55	2	8
2014-04-01 13:38:09.168461	153936	19.5	1	8
2014-04-01 13:38:18.981812	153937	56	2	1
2014-04-01 13:38:19.213919	153938	20.2	1	1
2014-04-01 13:38:29.606366	153939	64	2	24
2014-04-01 13:38:29.83034	153940	16.6	1	24
2014-04-01 13:38:32.569015	153941	51	2	25
2014-04-01 13:38:32.803	153942	17.8	1	25
2014-04-01 13:38:39.198639	153943	46	2	10
2014-04-01 13:38:39.422489	153944	20.3	1	10
2014-04-01 13:38:46.882456	153945	55	2	9
2014-04-01 13:38:47.113497	153946	20.0	1	9
2014-04-01 13:38:47.946314	153947	55	2	8
2014-04-01 13:38:48.167206	153948	19.5	1	8
2014-04-01 13:38:57.980988	153949	56	2	1
2014-04-01 13:38:58.212467	153950	20.2	1	1
2014-04-01 13:39:08.602844	153951	64	2	24
2014-04-01 13:39:08.827551	153952	16.6	1	24
2014-04-01 13:39:11.564317	153953	51	2	25
2014-04-01 13:39:11.800484	153954	17.8	1	25
2014-04-01 13:39:18.198325	153955	46	2	10
2014-04-01 13:39:18.420351	153956	20.3	1	10
2014-04-01 13:39:25.883033	153957	55	2	9
2014-04-01 13:39:26.114511	153958	20.0	1	9
2014-04-01 13:39:26.94567	153959	55	2	8
2014-04-01 13:39:27.166822	153960	19.5	1	8
2014-04-01 13:39:36.979723	153961	56	2	1
2014-04-01 13:39:37.21041	153962	20.2	1	1
2014-04-01 13:39:47.604086	153963	64	2	24
2014-04-01 13:39:47.831625	153964	16.6	1	24
2014-04-01 13:39:50.566096	153965	51	2	25
2014-04-01 13:39:50.801736	153966	17.8	1	25
2014-04-01 13:39:57.199026	153967	46	2	10
2014-04-01 13:39:57.421239	153968	20.3	1	10
2014-04-01 13:40:04.883127	153969	55	2	9
2014-04-01 13:40:05.115329	153970	20.0	1	9
2014-04-01 13:40:05.948719	153971	55	2	8
2014-04-01 13:40:06.170191	153972	19.5	1	8
2014-04-01 13:40:15.981597	153973	56	2	1
2014-04-01 13:40:16.225735	153974	20.2	1	1
2014-04-01 13:40:26.601469	153975	64	2	24
2014-04-01 13:40:26.823809	153976	16.6	1	24
2014-04-01 13:40:29.565354	153977	51	2	25
2014-04-01 13:40:29.796176	153978	17.8	1	25
2014-04-01 13:40:36.197649	153979	46	2	10
2014-04-01 13:40:36.418072	153980	20.3	1	10
2014-04-01 13:40:43.883129	153981	55	2	9
2014-04-01 13:40:44.117041	153982	20.0	1	9
2014-04-01 13:40:44.946042	153983	55	2	8
2014-04-01 13:40:45.167894	153984	19.5	1	8
2014-04-01 13:40:54.980373	153985	56	2	1
2014-04-01 13:40:55.214557	153986	20.2	1	1
2014-04-01 13:41:05.600034	153987	64	2	24
2014-04-01 13:41:05.821827	153988	16.6	1	24
2014-04-01 13:41:08.563517	153989	51	2	25
2014-04-01 13:41:08.795872	153990	17.8	1	25
2014-04-01 13:41:15.201214	153991	46	2	10
2014-04-01 13:41:15.42195	153992	20.3	1	10
2014-04-01 13:41:22.882446	153993	55	2	9
2014-04-01 13:41:23.135818	153994	20.0	1	9
2014-04-01 13:41:23.946258	153995	55	2	8
2014-04-01 13:41:24.168912	153996	19.5	1	8
2014-04-01 13:41:33.978917	153997	56	2	1
2014-04-01 13:41:34.214221	153998	20.2	1	1
2014-04-01 13:41:44.599597	153999	64	2	24
2014-04-01 13:41:44.825611	154000	16.6	1	24
2014-04-01 13:41:47.564475	154001	51	2	25
2014-04-01 13:41:47.796759	154002	17.8	1	25
2014-04-01 13:41:54.200727	154003	46	2	10
2014-04-01 13:41:54.423228	154004	20.3	1	10
2014-04-01 13:42:01.885518	154005	55	2	9
2014-04-01 13:42:02.117848	154006	20.0	1	9
2014-04-01 13:42:02.947099	154007	55	2	8
2014-04-01 13:42:03.168523	154008	19.5	1	8
2014-04-01 13:42:12.980092	154009	56	2	1
2014-04-01 13:42:13.212331	154010	20.2	1	1
2014-04-01 13:42:23.599537	154011	64	2	24
2014-04-01 13:42:23.829291	154012	16.6	1	24
2014-04-01 13:42:26.564949	154013	51	2	25
2014-04-01 13:42:26.796055	154014	17.8	1	25
2014-04-01 13:42:33.199997	154015	46	2	10
2014-04-01 13:42:33.423647	154016	20.3	1	10
2014-04-01 13:42:40.884485	154017	55	2	9
2014-04-01 13:42:41.118145	154018	20.0	1	9
2014-04-01 13:42:41.945509	154019	55	2	8
2014-04-01 13:42:42.167586	154020	19.5	1	8
2014-04-01 13:42:51.978942	154021	56	2	1
2014-04-01 13:42:52.221027	154022	20.2	1	1
2014-04-01 13:43:02.599393	154023	64	2	24
2014-04-01 13:43:02.82081	154024	16.6	1	24
2014-04-01 13:43:05.561774	154025	51	2	25
2014-04-01 13:43:05.79265	154026	17.8	1	25
2014-04-01 13:43:12.200269	154027	46	2	10
2014-04-01 13:43:12.422572	154028	20.3	1	10
2014-04-01 13:43:20.087689	154029	55	2	9
2014-04-01 13:43:20.31921	154030	20.0	1	9
2014-04-01 13:43:20.947647	154031	55	2	8
2014-04-01 13:43:21.171147	154032	19.5	1	8
2014-04-01 13:43:30.978445	154033	56	2	1
2014-04-01 13:43:31.210997	154034	20.2	1	1
2014-04-01 13:43:41.598884	154035	64	2	24
2014-04-01 13:43:41.821208	154036	16.6	1	24
2014-04-01 13:43:44.565381	154037	51	2	25
2014-04-01 13:43:44.796899	154038	17.8	1	25
2014-04-01 13:43:51.200113	154039	46	2	10
2014-04-01 13:43:51.421569	154040	20.3	1	10
2014-04-01 13:43:58.882067	154041	55	2	9
2014-04-01 13:43:59.114124	154042	20.0	1	9
2014-04-01 13:43:59.947703	154043	55	2	8
2014-04-01 13:44:00.169423	154044	19.5	1	8
2014-04-01 13:44:09.977677	154045	56	2	1
2014-04-01 13:44:10.20971	154046	20.2	1	1
2014-04-01 13:44:20.597495	154047	64	2	24
2014-04-01 13:44:20.823301	154048	16.6	1	24
2014-04-01 13:44:23.564381	154049	51	2	25
2014-04-01 13:44:23.797281	154050	17.8	1	25
2014-04-01 13:44:30.198302	154051	46	2	10
2014-04-01 13:44:30.419906	154052	20.3	1	10
2014-04-01 13:44:37.883928	154053	55	2	9
2014-04-01 13:44:38.117337	154054	20.0	1	9
2014-04-01 13:44:38.946378	154055	55	2	8
2014-04-01 13:44:39.167978	154056	19.5	1	8
2014-04-01 13:44:48.977914	154057	56	2	1
2014-04-01 13:44:49.26673	154058	20.2	1	1
2014-04-01 13:44:59.597953	154059	64	2	24
2014-04-01 13:44:59.823383	154060	16.6	1	24
2014-04-01 13:45:02.562551	154061	51	2	25
2014-04-01 13:45:02.796368	154062	17.8	1	25
2014-04-01 13:45:09.201736	154063	46	2	10
2014-04-01 13:45:09.423254	154064	20.3	1	10
2014-04-01 13:45:16.888739	154065	55	2	9
2014-04-01 13:45:17.121466	154066	20.0	1	9
2014-04-01 13:45:17.947645	154067	55	2	8
2014-04-01 13:45:18.169598	154068	19.5	1	8
2014-04-01 13:45:27.981247	154069	56	2	1
2014-04-01 13:45:28.223671	154070	20.2	1	1
2014-04-01 13:45:38.637935	154071	64	2	24
2014-04-01 13:45:38.860538	154072	16.6	1	24
2014-04-01 13:45:41.562493	154073	51	2	25
2014-04-01 13:45:41.793542	154074	17.8	1	25
2014-04-01 13:45:48.199586	154075	46	2	10
2014-04-01 13:45:48.421343	154076	20.3	1	10
2014-04-01 13:45:55.884943	154077	55	2	9
2014-04-01 13:45:56.120132	154078	20.0	1	9
2014-04-01 13:45:56.947926	154079	55	2	8
2014-04-01 13:45:57.167864	154080	19.5	1	8
2014-04-01 13:46:06.977599	154081	56	2	1
2014-04-01 13:46:07.20851	154082	20.2	1	1
2014-04-01 13:46:17.595842	154083	64	2	24
2014-04-01 13:46:17.817341	154084	16.6	1	24
2014-04-01 13:46:20.562284	154085	51	2	25
2014-04-01 13:46:20.814042	154086	17.8	1	25
2014-04-01 13:46:27.201042	154087	46	2	10
2014-04-01 13:46:27.422885	154088	20.3	1	10
2014-04-01 13:46:34.882818	154089	55	2	9
2014-04-01 13:46:35.116749	154090	20.0	1	9
2014-04-01 13:46:35.946256	154091	55	2	8
2014-04-01 13:46:36.16816	154092	19.5	1	8
2014-04-01 13:46:45.977294	154093	56	2	1
2014-04-01 13:46:46.210367	154094	20.2	1	1
2014-04-01 13:46:56.595013	154095	64	2	24
2014-04-01 13:46:56.818015	154096	16.6	1	24
2014-04-01 13:46:59.562448	154097	51	2	25
2014-04-01 13:46:59.794461	154098	17.8	1	25
2014-04-01 13:47:06.203647	154099	46	2	10
2014-04-01 13:47:06.42558	154100	20.3	1	10
2014-04-01 13:47:13.883011	154101	55	2	9
2014-04-01 13:47:14.115116	154102	20.0	1	9
2014-04-01 13:47:14.948792	154103	55	2	8
2014-04-01 13:47:15.171321	154104	19.5	1	8
2014-04-01 13:47:24.97716	154105	56	2	1
2014-04-01 13:47:25.208197	154106	20.2	1	1
2014-04-01 13:47:35.595757	154107	64	2	24
2014-04-01 13:47:35.818748	154108	16.6	1	24
2014-04-01 13:47:38.562685	154109	51	2	25
2014-04-01 13:47:38.796052	154110	17.8	1	25
2014-04-01 13:47:45.200827	154111	46	2	10
2014-04-01 13:47:45.423725	154112	20.4	1	10
2014-04-01 13:47:52.883553	154113	55	2	9
2014-04-01 13:47:53.116747	154114	20.0	1	9
2014-04-01 13:47:53.94718	154115	55	2	8
2014-04-01 13:47:54.170438	154116	19.5	1	8
2014-04-01 13:48:03.975238	154117	56	2	1
2014-04-01 13:48:04.220013	154118	20.2	1	1
2014-04-01 13:48:14.59346	154119	64	2	24
2014-04-01 13:48:14.815838	154120	16.6	1	24
2014-04-01 13:48:17.560889	154121	51	2	25
2014-04-01 13:48:17.791609	154122	17.8	1	25
2014-04-01 13:48:24.200867	154123	46	2	10
2014-04-01 13:48:24.424753	154124	20.4	1	10
2014-04-01 13:48:32.085343	154125	55	2	9
2014-04-01 13:48:32.31904	154126	20.0	1	9
2014-04-01 13:48:32.946357	154127	55	2	8
2014-04-01 13:48:33.167946	154128	19.5	1	8
2014-04-01 13:48:42.974796	154129	56	2	1
2014-04-01 13:48:43.207853	154130	20.2	1	1
2014-04-01 13:48:53.597132	154131	64	2	24
2014-04-01 13:48:53.820935	154132	16.6	1	24
2014-04-01 13:48:56.562755	154133	51	2	25
2014-04-01 13:48:56.795786	154134	17.8	1	25
2014-04-01 13:49:03.201973	154135	46	2	10
2014-04-01 13:49:03.427186	154136	20.4	1	10
2014-04-01 13:49:10.883986	154137	55	2	9
2014-04-01 13:49:11.118902	154138	20.0	1	9
2014-04-01 13:49:11.947295	154139	55	2	8
2014-04-01 13:49:12.168601	154140	19.5	1	8
2014-04-01 13:49:21.973866	154141	56	2	1
2014-04-01 13:49:22.206756	154142	20.2	1	1
2014-04-01 13:49:32.593981	154143	64	2	24
2014-04-01 13:49:32.821069	154144	16.6	1	24
2014-04-01 13:49:35.561404	154145	51	2	25
2014-04-01 13:49:35.795264	154146	17.8	1	25
2014-04-01 13:49:42.202478	154147	46	2	10
2014-04-01 13:49:42.427759	154148	20.4	1	10
2014-04-01 13:49:49.883201	154149	55	2	9
2014-04-01 13:49:50.114708	154150	20.0	1	9
2014-04-01 13:49:50.945616	154151	55	2	8
2014-04-01 13:49:51.166323	154152	19.5	1	8
2014-04-01 13:50:00.972699	154153	56	2	1
2014-04-01 13:50:01.204831	154154	20.2	1	1
2014-04-01 13:50:11.592581	154155	64	2	24
2014-04-01 13:50:11.817646	154156	16.6	1	24
2014-04-01 13:50:14.559749	154157	51	2	25
2014-04-01 13:50:14.794782	154158	17.8	1	25
2014-04-01 13:50:21.201675	154159	46	2	10
2014-04-01 13:50:21.423757	154160	20.4	1	10
2014-04-01 13:50:28.884772	154161	55	2	9
2014-04-01 13:50:29.116989	154162	20.0	1	9
2014-04-01 13:50:29.945542	154163	55	2	8
2014-04-01 13:50:30.166805	154164	19.5	1	8
2014-04-01 13:50:39.973779	154165	56	2	1
2014-04-01 13:50:40.219739	154166	20.2	1	1
2014-04-01 13:50:50.590001	154167	64	2	24
2014-04-01 13:50:50.813508	154168	16.6	1	24
2014-04-01 13:50:53.560191	154169	51	2	25
2014-04-01 13:50:53.793693	154170	17.8	1	25
2014-04-01 13:51:00.201996	154171	46	2	10
2014-04-01 13:51:00.42572	154172	20.4	1	10
2014-04-01 13:51:07.88405	154173	55	2	9
2014-04-01 13:51:08.116787	154174	20.0	1	9
2014-04-01 13:51:08.945989	154175	55	2	8
2014-04-01 13:51:09.167305	154176	19.5	1	8
2014-04-01 13:51:18.973991	154177	56	2	1
2014-04-01 13:51:19.273042	154178	20.2	1	1
2014-04-01 13:51:29.591643	154179	64	2	24
2014-04-01 13:51:29.815024	154180	16.6	1	24
2014-04-01 13:51:32.56244	154181	51	2	25
2014-04-01 13:51:32.793772	154182	17.8	1	25
2014-04-01 13:51:39.201951	154183	46	2	10
2014-04-01 13:51:39.423363	154184	20.4	1	10
2014-04-01 13:51:46.883396	154185	55	2	9
2014-04-01 13:51:47.117144	154186	20.0	1	9
2014-04-01 13:51:47.945972	154187	55	2	8
2014-04-01 13:51:48.170509	154188	19.5	1	8
2014-04-01 13:51:57.973577	154189	56	2	1
2014-04-01 13:51:58.206797	154190	20.2	1	1
2014-04-01 13:52:08.588553	154191	64	2	24
2014-04-01 13:52:08.812307	154192	16.6	1	24
2014-04-01 13:52:11.559628	154193	51	2	25
2014-04-01 13:52:11.792749	154194	17.8	1	25
2014-04-01 13:52:18.204422	154195	46	2	10
2014-04-01 13:52:18.425776	154196	20.4	1	10
2014-04-01 13:52:25.883519	154197	55	2	9
2014-04-01 13:52:26.114802	154198	20.0	1	9
2014-04-01 13:52:26.944188	154199	55	2	8
2014-04-01 13:52:27.168984	154200	19.5	1	8
2014-04-01 13:52:36.97464	154201	56	2	1
2014-04-01 13:52:37.217598	154202	20.2	1	1
2014-04-01 13:52:47.588775	154203	64	2	24
2014-04-01 13:52:47.813527	154204	16.6	1	24
2014-04-01 13:52:50.559104	154205	51	2	25
2014-04-01 13:52:50.790964	154206	17.8	1	25
2014-04-01 13:52:57.20225	154207	46	2	10
2014-04-01 13:52:57.427168	154208	20.4	1	10
2014-04-01 13:53:04.88286	154209	55	2	9
2014-04-01 13:53:05.114041	154210	20.0	1	9
2014-04-01 13:53:05.946816	154211	55	2	8
2014-04-01 13:53:06.168922	154212	19.5	1	8
2014-04-01 13:53:15.972883	154213	56	2	1
2014-04-01 13:53:16.215389	154214	20.2	1	1
2014-04-01 13:53:26.591116	154215	64	2	24
2014-04-01 13:53:26.813276	154216	16.6	1	24
2014-04-01 13:53:29.559806	154217	51	2	25
2014-04-01 13:53:29.790609	154218	17.8	1	25
2014-04-01 13:53:36.203588	154219	46	2	10
2014-04-01 13:53:36.428104	154220	20.4	1	10
2014-04-01 13:53:43.883896	154221	55	2	9
2014-04-01 13:53:44.116221	154222	20.0	1	9
2014-04-01 13:53:44.946295	154223	55	2	8
2014-04-01 13:53:45.168106	154224	19.5	1	8
2014-04-01 13:53:54.975847	154225	56	2	1
2014-04-01 13:53:55.207224	154226	20.2	1	1
2014-04-01 13:54:05.589543	154227	64	2	24
2014-04-01 13:54:05.812468	154228	16.6	1	24
2014-04-01 13:54:08.561444	154229	51	2	25
2014-04-01 13:54:08.79519	154230	17.8	1	25
2014-04-01 13:54:15.202262	154231	46	2	10
2014-04-01 13:54:15.424761	154232	20.4	1	10
2014-04-01 13:54:22.886151	154233	55	2	9
2014-04-01 13:54:23.117738	154234	20.0	1	9
2014-04-01 13:54:23.944847	154235	55	2	8
2014-04-01 13:54:24.166341	154236	19.5	1	8
2014-04-01 13:54:33.971825	154237	56	2	1
2014-04-01 13:54:34.203762	154238	20.2	1	1
2014-04-01 13:54:44.590665	154239	64	2	24
2014-04-01 13:54:44.813604	154240	16.6	1	24
2014-04-01 13:54:47.558921	154241	51	2	25
2014-04-01 13:54:47.794093	154242	17.8	1	25
2014-04-01 13:54:54.203643	154243	46	2	10
2014-04-01 13:54:54.432301	154244	20.4	1	10
2014-04-01 13:55:01.883116	154245	55	2	9
2014-04-01 13:55:02.113184	154246	20.0	1	9
2014-04-01 13:55:02.94626	154247	55	2	8
2014-04-01 13:55:03.167134	154248	19.5	1	8
2014-04-01 13:55:12.972918	154249	56	2	1
2014-04-01 13:55:13.204761	154250	20.2	1	1
2014-04-01 13:55:23.587079	154251	64	2	24
2014-04-01 13:55:23.812332	154252	16.6	1	24
2014-04-01 13:55:26.559842	154253	51	2	25
2014-04-01 13:55:26.793763	154254	17.8	1	25
2014-04-01 13:55:33.202819	154255	46	2	10
2014-04-01 13:55:33.424995	154256	20.4	1	10
2014-04-01 13:55:40.885976	154257	55	2	9
2014-04-01 13:55:41.11888	154258	20.0	1	9
2014-04-01 13:55:41.94638	154259	55	2	8
2014-04-01 13:55:42.167201	154260	19.5	1	8
2014-04-01 13:55:51.969999	154261	56	2	1
2014-04-01 13:55:52.213703	154262	20.2	1	1
2014-04-01 13:56:02.587812	154263	64	2	24
2014-04-01 13:56:02.810698	154264	16.6	1	24
2014-04-01 13:56:05.558219	154265	51	2	25
2014-04-01 13:56:05.790417	154266	17.8	1	25
2014-04-01 13:56:12.203756	154267	46	2	10
2014-04-01 13:56:12.445779	154268	20.4	1	10
2014-04-01 13:56:19.885072	154269	55	2	9
2014-04-01 13:56:20.117845	154270	20.0	1	9
2014-04-01 13:56:20.947407	154271	55	2	8
2014-04-01 13:56:21.170937	154272	19.5	1	8
2014-04-01 13:56:30.971577	154273	56	2	1
2014-04-01 13:56:31.202996	154274	20.2	1	1
2014-04-01 13:56:41.587482	154275	64	2	24
2014-04-01 13:56:41.808321	154276	16.6	1	24
2014-04-01 13:56:44.557317	154277	51	2	25
2014-04-01 13:56:44.788781	154278	17.8	1	25
2014-04-01 13:56:51.204717	154279	46	2	10
2014-04-01 13:56:51.426384	154280	20.4	1	10
2014-04-01 13:56:58.884019	154281	55	2	9
2014-04-01 13:56:59.116552	154282	20.0	1	9
2014-04-01 13:56:59.945651	154283	55	2	8
2014-04-01 13:57:00.167568	154284	19.5	1	8
2014-04-01 13:57:09.970997	154285	56	2	1
2014-04-01 13:57:10.204842	154286	20.1	1	1
2014-04-01 13:57:20.584654	154287	64	2	24
2014-04-01 13:57:20.807502	154288	16.6	1	24
2014-04-01 13:57:23.558665	154289	51	2	25
2014-04-01 13:57:23.790393	154290	17.8	1	25
2014-04-01 13:57:30.207286	154291	46	2	10
2014-04-01 13:57:30.429182	154292	20.4	1	10
2014-04-01 13:57:37.882188	154293	55	2	9
2014-04-01 13:57:38.131115	154294	20.0	1	9
2014-04-01 13:57:38.944624	154295	55	2	8
2014-04-01 13:57:39.169227	154296	19.5	1	8
2014-04-01 13:57:48.970125	154297	56	2	1
2014-04-01 13:57:49.204011	154298	20.1	1	1
2014-04-01 13:57:59.58499	154299	64	2	24
2014-04-01 13:57:59.807186	154300	16.6	1	24
2014-04-01 13:58:02.559291	154301	51	2	25
2014-04-01 13:58:02.791173	154302	17.8	1	25
2014-04-01 13:58:09.204081	154303	46	2	10
2014-04-01 13:58:09.426979	154304	20.4	1	10
2014-04-01 13:58:16.883825	154305	55	2	9
2014-04-01 13:58:17.116735	154306	20.0	1	9
2014-04-01 13:58:17.945542	154307	55	2	8
2014-04-01 13:58:18.166856	154308	19.5	1	8
2014-04-01 13:58:27.970834	154309	56	2	1
2014-04-01 13:58:28.213566	154310	20.1	1	1
2014-04-01 13:58:38.581906	154311	64	2	24
2014-04-01 13:58:38.80459	154312	16.6	1	24
2014-04-01 13:58:41.557769	154313	51	2	25
2014-04-01 13:58:41.789997	154314	17.8	1	25
2014-04-01 13:58:48.204146	154315	46	2	10
2014-04-01 13:58:48.427922	154316	20.4	1	10
2014-04-01 13:58:55.883178	154317	55	2	9
2014-04-01 13:58:56.113994	154318	20.0	1	9
2014-04-01 13:58:56.945148	154319	55	2	8
2014-04-01 13:58:57.1662	154320	19.5	1	8
2014-04-01 13:59:06.969463	154321	56	2	1
2014-04-01 13:59:07.202764	154322	20.1	1	1
2014-04-01 13:59:17.583301	154323	64	2	24
2014-04-01 13:59:17.806336	154324	16.6	1	24
2014-04-01 13:59:20.559149	154325	51	2	25
2014-04-01 13:59:20.790937	154326	17.8	1	25
2014-04-01 13:59:27.204531	154327	46	2	10
2014-04-01 13:59:27.426901	154328	20.4	1	10
2014-04-01 13:59:34.883152	154329	55	2	9
2014-04-01 13:59:35.115891	154330	20.0	1	9
2014-04-01 13:59:35.946966	154331	55	2	8
2014-04-01 13:59:36.169333	154332	19.5	1	8
2014-04-01 13:59:45.967989	154333	56	2	1
2014-04-01 13:59:46.202466	154334	20.1	1	1
2014-04-01 13:59:56.584142	154335	64	2	24
2014-04-01 13:59:56.806614	154336	16.6	1	24
2014-04-01 13:59:59.55715	154337	51	2	25
2014-04-01 13:59:59.789871	154338	17.8	1	25
2014-04-01 14:00:06.203465	154339	46	2	10
2014-04-01 14:00:06.424519	154340	20.4	1	10
2014-04-01 14:00:13.882359	154341	55	2	9
2014-04-01 14:00:14.114127	154342	20.0	1	9
2014-04-01 14:00:14.945791	154343	55	2	8
2014-04-01 14:00:15.171306	154344	19.5	1	8
2014-04-01 14:00:25.207989	154345	56	2	1
2014-04-01 14:00:25.440403	154346	20.1	1	1
2014-04-01 14:00:35.581893	154347	64	2	24
2014-04-01 14:00:35.806179	154348	16.6	1	24
2014-04-01 14:00:38.556072	154349	51	2	25
2014-04-01 14:00:38.78935	154350	17.8	1	25
2014-04-01 14:00:45.212039	154351	46	2	10
2014-04-01 14:00:45.434422	154352	20.5	1	10
2014-04-01 14:00:52.882561	154353	55	2	9
2014-04-01 14:00:53.113304	154354	20.0	1	9
2014-04-01 14:00:53.946237	154355	55	2	8
2014-04-01 14:00:54.168145	154356	19.5	1	8
2014-04-01 14:01:03.968584	154357	56	2	1
2014-04-01 14:01:04.212386	154358	20.1	1	1
2014-04-01 14:01:14.579898	154359	64	2	24
2014-04-01 14:01:14.804015	154360	16.6	1	24
2014-04-01 14:01:17.556275	154361	51	2	25
2014-04-01 14:01:17.787083	154362	17.8	1	25
2014-04-01 14:01:24.204311	154363	46	2	10
2014-04-01 14:01:24.427459	154364	20.5	1	10
2014-04-01 14:01:32.086286	154365	55	2	9
2014-04-01 14:01:32.317213	154366	20.0	1	9
2014-04-01 14:01:32.947837	154367	55	2	8
2014-04-01 14:01:33.169878	154368	19.5	1	8
2014-04-01 14:01:42.969332	154369	56	2	1
2014-04-01 14:01:43.201677	154370	20.1	1	1
2014-04-01 14:01:53.57972	154371	64	2	24
2014-04-01 14:01:53.803676	154372	16.6	1	24
2014-04-01 14:01:56.55495	154373	51	2	25
2014-04-01 14:01:56.788156	154374	17.8	1	25
2014-04-01 14:02:03.203927	154375	46	2	10
2014-04-01 14:02:03.425726	154376	20.5	1	10
2014-04-01 14:02:10.884696	154377	55	2	9
2014-04-01 14:02:11.123607	154378	20.0	1	9
2014-04-01 14:02:11.945895	154379	55	2	8
2014-04-01 14:02:12.169252	154380	19.5	1	8
2014-04-01 14:02:21.965689	154381	56	2	1
2014-04-01 14:02:22.198528	154382	20.1	1	1
2014-04-01 14:02:32.579243	154383	64	2	24
2014-04-01 14:02:32.801277	154384	16.6	1	24
2014-04-01 14:02:35.554693	154385	51	2	25
2014-04-01 14:02:35.787315	154386	17.8	1	25
2014-04-01 14:02:42.205075	154387	46	2	10
2014-04-01 14:02:42.429342	154388	20.5	1	10
2014-04-01 14:02:49.88367	154389	55	2	9
2014-04-01 14:02:50.116705	154390	20.0	1	9
2014-04-01 14:02:50.946217	154391	55	2	8
2014-04-01 14:02:51.169751	154392	19.5	1	8
2014-04-01 14:03:00.966874	154393	56	2	1
2014-04-01 14:03:01.201902	154394	20.1	1	1
2014-04-01 14:03:11.579864	154395	64	2	24
2014-04-01 14:03:11.800887	154396	16.5	1	24
2014-04-01 14:03:14.55413	154397	51	2	25
2014-04-01 14:03:14.786201	154398	17.8	1	25
2014-04-01 14:03:21.206846	154399	46	2	10
2014-04-01 14:03:21.428581	154400	20.5	1	10
2014-04-01 14:03:28.884842	154401	55	2	9
2014-04-01 14:03:29.11667	154402	20.0	1	9
2014-04-01 14:03:29.946472	154403	55	2	8
2014-04-01 14:03:30.170195	154404	19.5	1	8
2014-04-01 14:03:39.96796	154405	56	2	1
2014-04-01 14:03:40.212758	154406	20.1	1	1
2014-04-01 14:03:50.579018	154407	64	2	24
2014-04-01 14:03:50.801794	154408	16.5	1	24
2014-04-01 14:03:53.553091	154409	51	2	25
2014-04-01 14:03:53.784272	154410	17.8	1	25
2014-04-01 14:04:00.205885	154411	46	2	10
2014-04-01 14:04:00.430199	154412	20.5	1	10
2014-04-01 14:04:07.884314	154413	55	2	9
2014-04-01 14:04:08.115098	154414	20.0	1	9
2014-04-01 14:04:08.946009	154415	55	2	8
2014-04-01 14:04:09.166901	154416	19.5	1	8
2014-04-01 14:04:18.965107	154417	56	2	1
2014-04-01 14:04:19.197251	154418	20.1	1	1
2014-04-01 14:04:29.579168	154419	64	2	24
2014-04-01 14:04:29.801264	154420	16.5	1	24
2014-04-01 14:04:32.555092	154421	51	2	25
2014-04-01 14:04:32.786631	154422	17.8	1	25
2014-04-01 14:04:39.20511	154423	46	2	10
2014-04-01 14:04:39.429183	154424	20.5	1	10
2014-04-01 14:04:46.882535	154425	55	2	9
2014-04-01 14:04:47.114078	154426	20.0	1	9
2014-04-01 14:04:47.945556	154427	55	2	8
2014-04-01 14:04:48.166822	154428	19.5	1	8
2014-04-01 14:04:57.962907	154429	56	2	1
2014-04-01 14:04:58.19501	154430	20.1	1	1
2014-04-01 14:05:08.57962	154431	64	2	24
2014-04-01 14:05:08.803863	154432	16.5	1	24
2014-04-01 14:05:11.556394	154433	51	2	25
2014-04-01 14:05:11.787423	154434	17.8	1	25
2014-04-01 14:05:18.207911	154435	46	2	10
2014-04-01 14:05:18.429617	154436	20.5	1	10
2014-04-01 14:05:25.882262	154437	55	2	9
2014-04-01 14:05:26.113949	154438	20.0	1	9
2014-04-01 14:05:26.945632	154439	55	2	8
2014-04-01 14:05:27.16669	154440	19.5	1	8
2014-04-01 14:05:36.965376	154441	56	2	1
2014-04-01 14:05:37.198294	154442	20.1	1	1
2014-04-01 14:05:47.577697	154443	64	2	24
2014-04-01 14:05:47.802561	154444	16.5	1	24
2014-04-01 14:05:50.553678	154445	51	2	25
2014-04-01 14:05:50.78814	154446	17.8	1	25
2014-04-01 14:05:57.205144	154447	46	2	10
2014-04-01 14:05:57.427471	154448	20.5	1	10
2014-04-01 14:06:04.884472	154449	55	2	9
2014-04-01 14:06:05.1162	154450	20.0	1	9
2014-04-01 14:06:05.94475	154451	55	2	8
2014-04-01 14:06:06.165665	154452	19.5	1	8
2014-04-01 14:06:15.964347	154453	56	2	1
2014-04-01 14:06:16.206851	154454	20.1	1	1
2014-04-01 14:06:26.816378	154455	64	2	24
2014-04-01 14:06:27.03712	154456	16.5	1	24
2014-04-01 14:06:29.554877	154457	51	2	25
2014-04-01 14:06:29.788073	154458	17.8	1	25
2014-04-01 14:06:36.205614	154459	46	2	10
2014-04-01 14:06:36.427296	154460	20.5	1	10
2014-04-01 14:06:43.885906	154461	55	2	9
2014-04-01 14:06:44.117275	154462	20.0	1	9
2014-04-01 14:06:44.947626	154463	55	2	8
2014-04-01 14:06:45.169221	154464	19.5	1	8
2014-04-01 14:06:54.970476	154465	56	2	1
2014-04-01 14:06:55.202995	154466	20.1	1	1
2014-04-01 14:07:05.576609	154467	64	2	24
2014-04-01 14:07:05.800134	154468	16.5	1	24
2014-04-01 14:07:08.554637	154469	51	2	25
2014-04-01 14:07:08.785144	154470	17.8	1	25
2014-04-01 14:07:15.205641	154471	46	2	10
2014-04-01 14:07:15.427573	154472	20.5	1	10
2014-04-01 14:07:22.883559	154473	55	2	9
2014-04-01 14:07:23.116797	154474	20.0	1	9
2014-04-01 14:07:23.946534	154475	55	2	8
2014-04-01 14:07:24.168984	154476	19.5	1	8
2014-04-01 14:07:33.96646	154477	56	2	1
2014-04-01 14:07:34.197561	154478	20.1	1	1
2014-04-01 14:07:44.573254	154479	64	2	24
2014-04-01 14:07:44.800618	154480	16.5	1	24
2014-04-01 14:07:47.556268	154481	51	2	25
2014-04-01 14:07:47.789187	154482	17.8	1	25
2014-04-01 14:07:54.20682	154483	46	2	10
2014-04-01 14:07:54.429576	154484	20.5	1	10
2014-04-01 14:08:01.884721	154485	55	2	9
2014-04-01 14:08:02.117049	154486	20.0	1	9
2014-04-01 14:08:02.945103	154487	55	2	8
2014-04-01 14:08:03.168083	154488	19.4	1	8
2014-04-01 14:08:12.96373	154489	55	2	1
2014-04-01 14:08:13.196939	154490	20.1	1	1
2014-04-01 14:08:23.573749	154491	64	2	24
2014-04-01 14:08:23.797121	154492	16.5	1	24
2014-04-01 14:08:26.554084	154493	51	2	25
2014-04-01 14:08:26.787785	154494	17.8	1	25
2014-04-01 14:08:33.209088	154495	46	2	10
2014-04-01 14:08:33.485557	154496	20.5	1	10
2014-04-01 14:08:40.882455	154497	55	2	9
2014-04-01 14:08:41.640973	154498	20.0	1	9
2014-04-01 14:08:41.995673	154499	55	2	8
2014-04-01 14:08:42.248808	154500	19.4	1	8
2014-04-01 14:08:51.962453	154501	55	2	1
2014-04-01 14:08:52.243471	154502	20.1	1	1
2014-04-01 14:09:02.572401	154503	64	2	24
2014-04-01 14:09:02.813649	154504	16.5	1	24
2014-04-01 14:09:05.552498	154505	51	2	25
2014-04-01 14:09:05.838085	154506	17.8	1	25
2014-04-01 14:09:12.409678	154507	46	2	10
2014-04-01 14:09:12.631309	154508	20.5	1	10
2014-04-01 14:09:19.889163	154509	55	2	9
2014-04-01 14:09:20.120558	154510	20.0	1	9
2014-04-01 14:09:20.944647	154511	55	2	8
2014-04-01 14:09:21.166487	154512	19.4	1	8
2014-04-01 14:09:30.961504	154513	55	2	1
2014-04-01 14:09:31.192318	154514	20.1	1	1
2014-04-01 14:09:41.571765	154515	64	2	24
2014-04-01 14:09:41.796655	154516	16.5	1	24
2014-04-01 14:09:44.55181	154517	51	2	25
2014-04-01 14:09:44.784093	154518	17.8	1	25
2014-04-01 14:09:51.207769	154519	46	2	10
2014-04-01 14:09:51.431152	154520	20.5	1	10
2014-04-01 14:09:58.883221	154521	55	2	9
2014-04-01 14:09:59.113834	154522	20.0	1	9
2014-04-01 14:09:59.945433	154523	55	2	8
2014-04-01 14:10:00.16599	154524	19.4	1	8
2014-04-01 14:10:09.964052	154525	55	2	1
2014-04-01 14:10:10.195494	154526	20.1	1	1
2014-04-01 14:10:20.573133	154527	64	2	24
2014-04-01 14:10:20.79667	154528	16.5	1	24
2014-04-01 14:10:23.554469	154529	51	2	25
2014-04-01 14:10:23.786115	154530	17.8	1	25
2014-04-01 14:10:30.207692	154531	46	2	10
2014-04-01 14:10:30.430166	154532	20.5	1	10
2014-04-01 14:10:37.884491	154533	55	2	9
2014-04-01 14:10:38.116012	154534	19.9	1	9
2014-04-01 14:10:38.945308	154535	55	2	8
2014-04-01 14:10:39.167907	154536	19.4	1	8
2014-04-01 14:10:48.961488	154537	55	2	1
2014-04-01 14:10:49.192716	154538	20.1	1	1
2014-04-01 14:10:59.571739	154539	64	2	24
2014-04-01 14:10:59.796195	154540	16.5	1	24
2014-04-01 14:11:02.552373	154541	51	2	25
2014-04-01 14:11:02.785007	154542	17.8	1	25
2014-04-01 14:11:09.207117	154543	46	2	10
2014-04-01 14:11:09.628189	154544	20.5	1	10
2014-04-01 14:11:16.883715	154545	55	2	9
2014-04-01 14:11:17.115841	154546	19.9	1	9
2014-04-01 14:11:17.94643	154547	55	2	8
2014-04-01 14:11:18.169226	154548	19.4	1	8
2014-04-01 14:11:27.961612	154549	55	2	1
2014-04-01 14:11:28.206521	154550	20.1	1	1
2014-04-01 14:11:38.57164	154551	64	2	24
2014-04-01 14:11:38.795203	154552	16.5	1	24
2014-04-01 14:11:41.551856	154553	51	2	25
2014-04-01 14:11:41.970433	154554	17.8	1	25
2014-04-01 14:11:48.206491	154555	46	2	10
2014-04-01 14:11:48.427371	154556	20.5	1	10
2014-04-01 14:11:55.886207	154557	55	2	9
2014-04-01 14:11:56.108052	154558	19.9	1	9
2014-04-01 14:11:56.946026	154559	55	2	8
2014-04-01 14:11:57.174656	154560	19.4	1	8
2014-04-01 14:12:06.960917	154561	55	2	1
2014-04-01 14:12:07.182094	154562	20.1	1	1
2014-04-01 14:12:17.569473	154563	64	2	24
2014-04-01 14:12:17.799844	154564	16.5	1	24
2014-04-01 14:12:20.551863	154565	51	2	25
2014-04-01 14:12:20.775078	154566	17.8	1	25
2014-04-01 14:12:27.207908	154567	46	2	10
2014-04-01 14:12:27.439569	154568	20.6	1	10
2014-04-01 14:12:34.88374	154569	55	2	9
2014-04-01 14:12:35.110295	154570	19.9	1	9
2014-04-01 14:12:35.947165	154571	55	2	8
2014-04-01 14:12:36.177368	154572	19.4	1	8
2014-04-01 14:12:45.963096	154573	55	2	1
2014-04-01 14:12:46.183511	154574	20.1	1	1
2014-04-01 14:12:56.570017	154575	64	2	24
2014-04-01 14:12:56.81327	154576	16.5	1	24
2014-04-01 14:12:59.548883	154577	51	2	25
2014-04-01 14:12:59.771744	154578	17.8	1	25
2014-04-01 14:13:06.207669	154579	46	2	10
2014-04-01 14:13:06.438286	154580	20.5	1	10
2014-04-01 14:13:13.884147	154581	55	2	9
2014-04-01 14:13:14.10724	154582	19.9	1	9
2014-04-01 14:13:14.944307	154583	55	2	8
2014-04-01 14:13:15.180777	154584	19.4	1	8
2014-04-01 14:13:24.964714	154585	55	2	1
2014-04-01 14:13:25.188813	154586	20.1	1	1
2014-04-01 14:13:35.566439	154587	64	2	24
2014-04-01 14:13:35.798416	154588	16.5	1	24
2014-04-01 14:13:38.549757	154589	51	2	25
2014-04-01 14:13:38.771514	154590	17.8	1	25
2014-04-01 14:13:45.209802	154591	46	2	10
2014-04-01 14:13:45.441654	154592	20.6	1	10
2014-04-01 14:13:52.887833	154593	55	2	9
2014-04-01 14:13:53.111278	154594	19.9	1	9
2014-04-01 14:13:53.945723	154595	55	2	8
2014-04-01 14:13:54.177731	154596	19.4	1	8
2014-04-01 14:14:03.959861	154597	55	2	1
2014-04-01 14:14:04.182141	154598	20.1	1	1
2014-04-01 14:14:14.567591	154599	64	2	24
2014-04-01 14:14:14.810814	154600	16.5	1	24
2014-04-01 14:14:17.549378	154601	51	2	25
2014-04-01 14:14:17.7704	154602	17.8	1	25
2014-04-01 14:14:24.210163	154603	46	2	10
2014-04-01 14:14:24.443635	154604	20.6	1	10
2014-04-01 14:14:32.08811	154605	55	2	9
2014-04-01 14:14:32.313858	154606	19.9	1	9
2014-04-01 14:14:32.944258	154607	55	2	8
2014-04-01 14:14:33.173552	154608	19.4	1	8
2014-04-01 14:14:42.96079	154609	55	2	1
2014-04-01 14:14:43.181827	154610	20.1	1	1
2014-04-01 14:14:53.566995	154611	64	2	24
2014-04-01 14:14:53.798309	154612	16.5	1	24
2014-04-01 14:14:56.54796	154613	51	2	25
2014-04-01 14:14:56.769594	154614	17.8	1	25
2014-04-01 14:15:03.209311	154615	46	2	10
2014-04-01 14:15:03.441204	154616	20.6	1	10
2014-04-01 14:15:10.881086	154617	55	2	9
2014-04-01 14:15:11.103722	154618	19.9	1	9
2014-04-01 14:15:11.946388	154619	55	2	8
2014-04-01 14:15:12.179595	154620	19.4	1	8
2014-04-01 14:15:21.9555	154621	55	2	1
2014-04-01 14:15:22.178741	154622	20.1	1	1
2014-04-01 14:15:32.56717	154623	64	2	24
2014-04-01 14:15:32.799831	154624	16.5	1	24
2014-04-01 14:15:35.551414	154625	51	2	25
2014-04-01 14:15:35.773362	154626	17.8	1	25
2014-04-01 14:15:42.21006	154627	46	2	10
2014-04-01 14:15:42.44021	154628	20.6	1	10
2014-04-01 14:15:49.883917	154629	55	2	9
2014-04-01 14:15:50.163467	154630	19.9	1	9
2014-04-01 14:15:50.945884	154631	55	2	8
2014-04-01 14:15:51.177713	154632	19.4	1	8
2014-04-01 14:16:00.961016	154633	55	2	1
2014-04-01 14:16:01.204714	154634	20.1	1	1
2014-04-01 14:16:11.566417	154635	64	2	24
2014-04-01 14:16:11.798179	154636	16.5	1	24
2014-04-01 14:16:14.549584	154637	51	2	25
2014-04-01 14:16:14.773344	154638	17.8	1	25
2014-04-01 14:16:21.208683	154639	46	2	10
2014-04-01 14:16:21.44367	154640	20.6	1	10
2014-04-01 14:16:28.881756	154641	55	2	9
2014-04-01 14:16:29.104548	154642	19.9	1	9
2014-04-01 14:16:29.945507	154643	55	2	8
2014-04-01 14:16:30.17846	154644	19.4	1	8
2014-04-01 14:16:39.957019	154645	55	2	1
2014-04-01 14:16:40.1794	154646	20.1	1	1
2014-04-01 14:16:50.564435	154647	64	2	24
2014-04-01 14:16:50.810933	154648	16.5	1	24
2014-04-01 14:16:53.549456	154649	51	2	25
2014-04-01 14:16:53.774183	154650	17.8	1	25
2014-04-01 14:17:00.209963	154651	46	2	10
2014-04-01 14:17:00.442701	154652	20.6	1	10
2014-04-01 14:17:07.883598	154653	55	2	9
2014-04-01 14:17:08.106256	154654	19.9	1	9
2014-04-01 14:17:08.945183	154655	55	2	8
2014-04-01 14:17:09.176027	154656	19.4	1	8
2014-04-01 14:17:18.957825	154657	55	2	1
2014-04-01 14:17:19.180704	154658	20.1	1	1
2014-04-01 14:17:29.564345	154659	64	2	24
2014-04-01 14:17:29.79729	154660	16.5	1	24
2014-04-01 14:17:32.548992	154661	51	2	25
2014-04-01 14:17:32.771249	154662	17.8	1	25
2014-04-01 14:17:39.208658	154663	46	2	10
2014-04-01 14:17:39.443768	154664	20.6	1	10
2014-04-01 14:17:46.885886	154665	55	2	9
2014-04-01 14:17:47.107828	154666	19.9	1	9
2014-04-01 14:17:47.947471	154667	55	2	8
2014-04-01 14:17:48.179385	154668	19.4	1	8
2014-04-01 14:17:57.959271	154669	55	2	1
2014-04-01 14:17:58.182828	154670	20.1	1	1
2014-04-01 14:18:08.607327	154671	64	2	24
2014-04-01 14:18:08.840049	154672	16.5	1	24
2014-04-01 14:18:11.54977	154673	51	2	25
2014-04-01 14:18:11.771613	154674	17.8	1	25
2014-04-01 14:18:18.209838	154675	46	2	10
2014-04-01 14:18:18.442109	154676	20.6	1	10
2014-04-01 14:18:25.885414	154677	55	2	9
2014-04-01 14:18:26.110238	154678	19.9	1	9
2014-04-01 14:18:26.945844	154679	55	2	8
2014-04-01 14:18:27.179468	154680	19.4	1	8
2014-04-01 14:18:36.957196	154681	55	2	1
2014-04-01 14:18:37.181737	154682	20.1	1	1
2014-04-01 14:18:47.563449	154683	64	2	24
2014-04-01 14:18:47.796645	154684	16.5	1	24
2014-04-01 14:18:50.549711	154685	51	2	25
2014-04-01 14:18:50.771216	154686	17.8	1	25
2014-04-01 14:18:57.21466	154687	46	2	10
2014-04-01 14:18:57.446076	154688	20.6	1	10
2014-04-01 14:19:04.883154	154689	55	2	9
2014-04-01 14:19:05.106822	154690	19.9	1	9
2014-04-01 14:19:05.945359	154691	55	2	8
2014-04-01 14:19:06.177115	154692	19.4	1	8
2014-04-01 14:19:15.954695	154693	55	2	1
2014-04-01 14:19:16.179433	154694	20.1	1	1
2014-04-01 14:19:26.561507	154695	64	2	24
2014-04-01 14:19:26.804979	154696	16.5	1	24
2014-04-01 14:19:29.547453	154697	51	2	25
2014-04-01 14:19:29.767606	154698	17.8	1	25
2014-04-01 14:19:36.210817	154699	46	2	10
2014-04-01 14:19:36.443762	154700	20.6	1	10
2014-04-01 14:19:43.882133	154701	55	2	9
2014-04-01 14:19:44.103575	154702	19.9	1	9
2014-04-01 14:19:44.945101	154703	55	2	8
2014-04-01 14:19:45.17728	154704	19.4	1	8
2014-04-01 14:19:54.953377	154705	55	2	1
2014-04-01 14:19:55.174797	154706	20.1	1	1
2014-04-01 14:20:05.561163	154707	64	2	24
2014-04-01 14:20:05.792888	154708	16.5	1	24
2014-04-01 14:20:08.547856	154709	51	2	25
2014-04-01 14:20:08.771627	154710	17.8	1	25
2014-04-01 14:20:15.2101	154711	46	2	10
2014-04-01 14:20:15.443385	154712	20.6	1	10
2014-04-01 14:20:23.085732	154713	55	2	9
2014-04-01 14:20:23.306315	154714	19.9	1	9
2014-04-01 14:20:23.94501	154715	55	2	8
2014-04-01 14:20:24.174794	154716	19.4	1	8
2014-04-01 14:20:33.954208	154717	56	2	1
2014-04-01 14:20:34.176037	154718	20.1	1	1
2014-04-01 14:20:44.561303	154719	64	2	24
2014-04-01 14:20:44.793581	154720	16.5	1	24
2014-04-01 14:20:47.549405	154721	51	2	25
2014-04-01 14:20:47.772584	154722	17.8	1	25
2014-04-01 14:20:54.209599	154723	46	2	10
2014-04-01 14:20:54.442374	154724	20.6	1	10
2014-04-01 14:21:01.881357	154725	55	2	9
2014-04-01 14:21:02.101582	154726	19.9	1	9
2014-04-01 14:21:02.944142	154727	55	2	8
2014-04-01 14:21:03.176029	154728	19.4	1	8
2014-04-01 14:21:12.956453	154729	56	2	1
2014-04-01 14:21:13.178611	154730	20.1	1	1
2014-04-01 14:21:23.561995	154731	64	2	24
2014-04-01 14:21:23.794208	154732	16.5	1	24
2014-04-01 14:21:26.545513	154733	51	2	25
2014-04-01 14:21:26.76878	154734	17.8	1	25
2014-04-01 14:21:33.210474	154735	46	2	10
2014-04-01 14:21:33.443328	154736	20.6	1	10
2014-04-01 14:21:40.882699	154737	55	2	9
2014-04-01 14:21:41.107458	154738	19.9	1	9
2014-04-01 14:21:41.945808	154739	55	2	8
2014-04-01 14:21:42.177308	154740	19.4	1	8
2014-04-01 14:21:51.953693	154741	56	2	1
2014-04-01 14:21:52.17585	154742	20.1	1	1
2014-04-01 14:22:02.560053	154743	64	2	24
2014-04-01 14:22:02.805123	154744	16.5	1	24
2014-04-01 14:22:05.548272	154745	51	2	25
2014-04-01 14:22:05.772641	154746	17.8	1	25
2014-04-01 14:22:12.211471	154747	46	2	10
2014-04-01 14:22:12.443212	154748	20.6	1	10
2014-04-01 14:22:20.141103	154749	55	2	9
2014-04-01 14:22:20.362919	154750	19.9	1	9
2014-04-01 14:22:20.945392	154751	55	2	8
2014-04-01 14:22:21.176657	154752	19.4	1	8
2014-04-01 14:22:30.952928	154753	56	2	1
2014-04-01 14:22:31.173899	154754	20.1	1	1
2014-04-01 14:22:41.559271	154755	64	2	24
2014-04-01 14:22:41.797694	154756	16.5	1	24
2014-04-01 14:22:44.545627	154757	51	2	25
2014-04-01 14:22:44.768969	154758	17.8	1	25
2014-04-01 14:22:51.211674	154759	46	2	10
2014-04-01 14:22:51.443959	154760	20.6	1	10
2014-04-01 14:22:59.088614	154761	55	2	9
2014-04-01 14:22:59.31199	154762	19.9	1	9
2014-04-01 14:22:59.947191	154763	55	2	8
2014-04-01 14:23:00.178864	154764	19.4	1	8
2014-04-01 14:23:09.955791	154765	56	2	1
2014-04-01 14:23:10.178176	154766	20.1	1	1
2014-04-01 14:23:20.556523	154767	64	2	24
2014-04-01 14:23:20.789054	154768	16.5	1	24
2014-04-01 14:23:23.547105	154769	51	2	25
2014-04-01 14:23:23.768583	154770	17.8	1	25
2014-04-01 14:23:30.21447	154771	46	2	10
2014-04-01 14:23:30.445341	154772	20.6	1	10
2014-04-01 14:23:37.88401	154773	55	2	9
2014-04-01 14:23:38.10869	154774	19.9	1	9
2014-04-01 14:23:38.945254	154775	55	2	8
2014-04-01 14:23:39.178058	154776	19.4	1	8
2014-04-01 14:23:48.95179	154777	56	2	1
2014-04-01 14:23:49.176557	154778	20.1	1	1
2014-04-01 14:23:59.559245	154779	64	2	24
2014-04-01 14:23:59.791539	154780	16.5	1	24
2014-04-01 14:24:02.547299	154781	51	2	25
2014-04-01 14:24:02.768515	154782	17.8	1	25
2014-04-01 14:24:09.21111	154783	46	2	10
2014-04-01 14:24:09.443551	154784	20.6	1	10
2014-04-01 14:24:16.88396	154785	55	2	9
2014-04-01 14:24:17.107842	154786	19.9	1	9
2014-04-01 14:24:17.945067	154787	55	2	8
2014-04-01 14:24:18.17719	154788	19.4	1	8
2014-04-01 14:24:27.951231	154789	56	2	1
2014-04-01 14:24:28.178197	154790	20.1	1	1
2014-04-01 14:24:38.55737	154791	64	2	24
2014-04-01 14:24:38.801091	154792	16.5	1	24
2014-04-01 14:24:41.543796	154793	51	2	25
2014-04-01 14:24:41.765597	154794	17.8	1	25
2014-04-01 14:24:48.212772	154795	46	2	10
2014-04-01 14:24:48.443712	154796	20.6	1	10
2014-04-01 14:24:56.08725	154797	55	2	9
2014-04-01 14:24:56.311544	154798	19.9	1	9
2014-04-01 14:24:56.944991	154799	55	2	8
2014-04-01 14:24:57.176928	154800	19.4	1	8
2014-04-01 14:25:06.951906	154801	56	2	1
2014-04-01 14:25:07.172985	154802	20.1	1	1
2014-04-01 14:25:17.555021	154803	64	2	24
2014-04-01 14:25:17.788572	154804	16.5	1	24
2014-04-01 14:25:20.547737	154805	51	2	25
2014-04-01 14:25:20.770444	154806	17.8	1	25
2014-04-01 14:25:27.210744	154807	46	2	10
2014-04-01 14:25:27.44402	154808	20.6	1	10
2014-04-01 14:25:34.884879	154809	55	2	9
2014-04-01 14:25:35.108293	154810	19.9	1	9
2014-04-01 14:25:35.945499	154811	55	2	8
2014-04-01 14:25:36.17632	154812	19.4	1	8
2014-04-01 14:25:45.951203	154813	56	2	1
2014-04-01 14:25:46.172974	154814	20.1	1	1
2014-04-01 14:25:56.554615	154815	64	2	24
2014-04-01 14:25:56.971792	154816	16.5	1	24
2014-04-01 14:25:59.543293	154817	51	2	25
2014-04-01 14:26:00.127323	154818	17.8	1	25
2014-04-01 14:26:06.212169	154819	46	2	10
2014-04-01 14:26:06.463216	154820	20.6	1	10
2014-04-01 14:26:13.884471	154821	55	2	9
2014-04-01 14:26:14.14294	154822	19.9	1	9
2014-04-01 14:26:14.944463	154823	55	2	8
2014-04-01 14:26:15.205615	154824	19.4	1	8
2014-04-01 14:26:24.951607	154825	56	2	1
2014-04-01 14:26:25.173591	154826	20.1	1	1
2014-04-01 14:26:35.556288	154827	64	2	24
2014-04-01 14:26:35.787819	154828	16.5	1	24
2014-04-01 14:26:38.546697	154829	51	2	25
2014-04-01 14:26:38.768328	154830	17.8	1	25
2014-04-01 14:26:45.212345	154831	46	2	10
2014-04-01 14:26:45.443544	154832	20.6	1	10
2014-04-01 14:26:52.886665	154833	55	2	9
2014-04-01 14:26:53.10637	154834	19.9	1	9
2014-04-01 14:26:53.94572	154835	55	2	8
2014-04-01 14:26:54.176701	154836	19.4	1	8
2014-04-01 14:27:03.948229	154837	56	2	1
2014-04-01 14:27:04.170125	154838	20.1	1	1
2014-04-01 14:27:14.596551	154839	64	2	24
2014-04-01 14:27:14.840644	154840	16.5	1	24
2014-04-01 14:27:17.542274	154841	51	2	25
2014-04-01 14:27:17.765454	154842	17.9	1	25
2014-04-01 14:27:24.21268	154843	46	2	10
2014-04-01 14:27:24.44424	154844	20.7	1	10
2014-04-01 14:27:32.088731	154845	55	2	9
2014-04-01 14:27:32.309405	154846	19.9	1	9
2014-04-01 14:27:32.946088	154847	55	2	8
2014-04-01 14:27:33.176832	154848	19.4	1	8
2014-04-01 14:27:42.950259	154849	56	2	1
2014-04-01 14:27:43.174601	154850	20.1	1	1
2014-04-01 14:27:53.553134	154851	64	2	24
2014-04-01 14:27:53.786834	154852	16.5	1	24
2014-04-01 14:27:56.54433	154853	51	2	25
2014-04-01 14:27:56.789638	154854	17.9	1	25
2014-04-01 14:28:03.213235	154855	46	2	10
2014-04-01 14:28:03.443767	154856	20.7	1	10
2014-04-01 14:28:10.886451	154857	55	2	9
2014-04-01 14:28:11.107543	154858	19.9	1	9
2014-04-01 14:28:11.947543	154859	55	2	8
2014-04-01 14:28:12.178031	154860	19.4	1	8
2014-04-01 14:28:21.950203	154861	56	2	1
2014-04-01 14:28:22.174911	154862	20.1	1	1
2014-04-01 14:28:32.550954	154863	64	2	24
2014-04-01 14:28:32.78515	154864	16.5	1	24
2014-04-01 14:28:35.543826	154865	51	2	25
2014-04-01 14:28:35.767043	154866	17.9	1	25
2014-04-01 14:28:42.213939	154867	46	2	10
2014-04-01 14:28:42.446191	154868	20.7	1	10
2014-04-01 14:28:49.884698	154869	55	2	9
2014-04-01 14:28:50.108791	154870	19.9	1	9
2014-04-01 14:28:50.94637	154871	55	2	8
2014-04-01 14:28:51.179594	154872	19.4	1	8
2014-04-01 14:29:00.95016	154873	56	2	1
2014-04-01 14:29:01.175308	154874	20.1	1	1
2014-04-01 14:29:11.552701	154875	64	2	24
2014-04-01 14:29:11.786474	154876	16.5	1	24
2014-04-01 14:29:14.543528	154877	51	2	25
2014-04-01 14:29:14.766458	154878	17.9	1	25
2014-04-01 14:29:21.213565	154879	46	2	10
2014-04-01 14:29:21.445853	154880	20.7	1	10
2014-04-01 14:29:28.882422	154881	55	2	9
2014-04-01 14:29:29.106971	154882	19.9	1	9
2014-04-01 14:29:29.94507	154883	55	2	8
2014-04-01 14:29:30.176664	154884	19.4	1	8
2014-04-01 14:29:39.949925	154885	56	2	1
2014-04-01 14:29:40.174277	154886	20.1	1	1
2014-04-01 14:29:50.607137	154887	64	2	24
2014-04-01 14:29:50.851893	154888	16.5	1	24
2014-04-01 14:29:53.543195	154889	51	2	25
2014-04-01 14:29:53.765776	154890	17.9	1	25
2014-04-01 14:30:00.214176	154891	46	2	10
2014-04-01 14:30:00.446423	154892	20.7	1	10
2014-04-01 14:30:07.880656	154893	55	2	9
2014-04-01 14:30:08.103898	154894	19.9	1	9
2014-04-01 14:30:08.945379	154895	55	2	8
2014-04-01 14:30:09.177455	154896	19.4	1	8
2014-04-01 14:30:18.947889	154897	56	2	1
2014-04-01 14:30:19.170281	154898	20.1	1	1
2014-04-01 14:30:29.552709	154899	64	2	24
2014-04-01 14:30:29.784282	154900	16.5	1	24
2014-04-01 14:30:32.542002	154901	51	2	25
2014-04-01 14:30:32.764027	154902	17.9	1	25
2014-04-01 14:30:39.213716	154903	46	2	10
2014-04-01 14:30:39.4473	154904	20.7	1	10
2014-04-01 14:30:46.884011	154905	55	2	9
2014-04-01 14:30:47.107067	154906	19.9	1	9
2014-04-01 14:30:47.944852	154907	55	2	8
2014-04-01 14:30:48.176376	154908	19.4	1	8
2014-04-01 14:30:57.948234	154909	56	2	1
2014-04-01 14:30:58.170396	154910	20.1	1	1
2014-04-01 14:31:08.551642	154911	64	2	24
2014-04-01 14:31:08.792501	154912	16.5	1	24
2014-04-01 14:31:11.542619	154913	51	2	25
2014-04-01 14:31:11.764238	154914	17.9	1	25
2014-04-01 14:31:18.213199	154915	46	2	10
2014-04-01 14:31:18.445087	154916	20.7	1	10
2014-04-01 14:31:25.884515	154917	55	2	9
2014-04-01 14:31:26.105379	154918	19.9	1	9
2014-04-01 14:31:26.944218	154919	55	2	8
2014-04-01 14:31:27.175921	154920	19.4	1	8
2014-04-01 14:31:36.949722	154921	56	2	1
2014-04-01 14:31:37.171461	154922	20.1	1	1
2014-04-01 14:31:47.550641	154923	64	2	24
2014-04-01 14:31:47.783319	154924	16.5	1	24
2014-04-01 14:31:50.573771	154925	51	2	25
2014-04-01 14:31:50.82155	154926	17.9	1	25
2014-04-01 14:31:57.213855	154927	46	2	10
2014-04-01 14:31:57.44747	154928	20.7	1	10
2014-04-01 14:32:04.882723	154929	55	2	9
2014-04-01 14:32:05.104782	154930	19.9	1	9
2014-04-01 14:32:05.945496	154931	55	2	8
2014-04-01 14:32:06.175506	154932	19.4	1	8
2014-04-01 14:32:15.949666	154933	56	2	1
2014-04-01 14:32:16.173094	154934	20.1	1	1
2014-04-01 14:32:26.551109	154935	64	2	24
2014-04-01 14:32:26.795954	154936	16.5	1	24
2014-04-01 14:32:29.543152	154937	51	2	25
2014-04-01 14:32:29.767896	154938	17.9	1	25
2014-04-01 14:32:36.214998	154939	46	2	10
2014-04-01 14:32:36.451343	154940	20.7	1	10
2014-04-01 14:32:43.884301	154941	55	2	9
2014-04-01 14:32:44.108709	154942	19.9	1	9
2014-04-01 14:32:44.944829	154943	55	2	8
2014-04-01 14:32:45.176191	154944	19.4	1	8
2014-04-01 14:32:54.948312	154945	56	2	1
2014-04-01 14:32:55.17038	154946	20.1	1	1
2014-04-01 14:33:05.547555	154947	64	2	24
2014-04-01 14:33:05.780649	154948	16.5	1	24
2014-04-01 14:33:08.542914	154949	51	2	25
2014-04-01 14:33:08.767977	154950	17.9	1	25
2014-04-01 14:33:15.214495	154951	46	2	10
2014-04-01 14:33:15.446337	154952	20.7	1	10
2014-04-01 14:33:22.883524	154953	55	2	9
2014-04-01 14:33:23.106274	154954	19.9	1	9
2014-04-01 14:33:23.945038	154955	55	2	8
2014-04-01 14:33:24.177192	154956	19.4	1	8
2014-04-01 14:33:33.946736	154957	56	2	1
2014-04-01 14:33:34.168813	154958	20.1	1	1
2014-04-01 14:33:44.547872	154959	64	2	24
2014-04-01 14:33:44.780169	154960	16.5	1	24
2014-04-01 14:33:47.541995	154961	51	2	25
2014-04-01 14:33:47.766465	154962	17.9	1	25
2014-04-01 14:33:54.215012	154963	46	2	10
2014-04-01 14:33:54.447874	154964	20.7	1	10
2014-04-01 14:34:01.885249	154965	55	2	9
2014-04-01 14:34:02.108893	154966	19.9	1	9
2014-04-01 14:34:02.947281	154967	55	2	8
2014-04-01 14:34:03.178671	154968	19.4	1	8
2014-04-01 14:34:12.952375	154969	56	2	1
2014-04-01 14:34:13.174067	154970	20.1	1	1
2014-04-01 14:34:23.544973	154971	64	2	24
2014-04-01 14:34:23.777802	154972	16.5	1	24
2014-04-01 14:34:26.542517	154973	51	2	25
2014-04-01 14:34:26.764681	154974	17.9	1	25
2014-04-01 14:34:33.212849	154975	46	2	10
2014-04-01 14:34:33.445107	154976	20.7	1	10
2014-04-01 14:34:40.88521	154977	55	2	9
2014-04-01 14:34:41.109532	154978	19.9	1	9
2014-04-01 14:34:41.945039	154979	55	2	8
2014-04-01 14:34:42.176364	154980	19.4	1	8
2014-04-01 14:34:51.945699	154981	56	2	1
2014-04-01 14:34:52.169259	154982	20.1	1	1
2014-04-01 14:35:02.548718	154983	64	2	24
2014-04-01 14:35:02.791194	154984	16.5	1	24
2014-04-01 14:35:05.542125	154985	51	2	25
2014-04-01 14:35:05.763335	154986	17.9	1	25
2014-04-01 14:35:12.216284	154987	46	2	10
2014-04-01 14:35:12.448619	154988	20.7	1	10
2014-04-01 14:35:20.087427	154989	55	2	9
2014-04-01 14:35:20.309948	154990	19.9	1	9
2014-04-01 14:35:20.945158	154991	55	2	8
2014-04-01 14:35:21.176826	154992	19.4	1	8
2014-04-01 14:35:30.9449	154993	56	2	1
2014-04-01 14:35:31.168828	154994	20.2	1	1
2014-04-01 14:35:41.544187	154995	64	2	24
2014-04-01 14:35:41.776791	154996	16.5	1	24
2014-04-01 14:35:44.539413	154997	51	2	25
2014-04-01 14:35:44.760557	154998	17.9	1	25
2014-04-01 14:35:51.214997	154999	46	2	10
2014-04-01 14:35:51.44823	155000	20.7	1	10
2014-04-01 14:35:58.882686	155001	55	2	9
2014-04-01 14:35:59.104728	155002	19.9	1	9
2014-04-01 14:35:59.945002	155003	55	2	8
2014-04-01 14:36:00.176494	155004	19.4	1	8
2014-04-01 14:36:10.18403	155005	56	2	1
2014-04-01 14:36:10.407686	155006	20.2	1	1
2014-04-01 14:36:20.600831	155007	64	2	24
2014-04-01 14:36:20.834071	155008	16.5	1	24
2014-04-01 14:36:23.539512	155009	51	2	25
2014-04-01 14:36:23.761747	155010	17.9	1	25
2014-04-01 14:36:30.216031	155011	46	2	10
2014-04-01 14:36:30.449528	155012	20.7	1	10
2014-04-01 14:36:37.886841	155013	55	2	9
2014-04-01 14:36:38.108085	155014	19.9	1	9
2014-04-01 14:36:38.943813	155015	55	2	8
2014-04-01 14:36:39.175919	155016	19.4	1	8
2014-04-01 14:36:48.947059	155017	56	2	1
2014-04-01 14:36:49.168961	155018	20.2	1	1
2014-04-01 14:36:59.556004	155019	64	2	24
2014-04-01 14:36:59.788563	155020	16.5	1	24
2014-04-01 14:37:02.541885	155021	51	2	25
2014-04-01 14:37:02.764297	155022	17.9	1	25
2014-04-01 14:37:09.214975	155023	46	2	10
2014-04-01 14:37:09.447362	155024	20.7	1	10
2014-04-01 14:37:16.88541	155025	55	2	9
2014-04-01 14:37:17.107984	155026	19.9	1	9
2014-04-01 14:37:17.945482	155027	55	2	8
2014-04-01 14:37:18.177006	155028	19.4	1	8
2014-04-01 14:37:27.946778	155029	56	2	1
2014-04-01 14:37:28.168468	155030	20.2	1	1
2014-04-01 14:37:38.542621	155031	64	2	24
2014-04-01 14:37:38.79039	155032	16.5	1	24
2014-04-01 14:37:41.539477	155033	51	2	25
2014-04-01 14:37:41.763112	155034	17.9	1	25
2014-04-01 14:37:48.216079	155035	46	2	10
2014-04-01 14:37:48.447873	155036	20.7	1	10
2014-04-01 14:37:55.885066	155037	55	2	9
2014-04-01 14:37:56.127602	155038	19.9	1	9
2014-04-01 14:37:56.944068	155039	55	2	8
2014-04-01 14:37:57.17522	155040	19.4	1	8
2014-04-01 14:38:06.942756	155041	56	2	1
2014-04-01 14:38:07.164523	155042	20.2	1	1
2014-04-01 14:38:17.541694	155043	64	2	24
2014-04-01 14:38:17.774846	155044	16.5	1	24
2014-04-01 14:38:20.570395	155045	51	2	25
2014-04-01 14:38:20.818715	155046	17.9	1	25
2014-04-01 14:38:27.215798	155047	46	2	10
2014-04-01 14:38:27.448227	155048	20.7	1	10
2014-04-01 14:38:34.880987	155049	55	2	9
2014-04-01 14:38:35.101353	155050	19.9	1	9
2014-04-01 14:38:35.9446	155051	55	2	8
2014-04-01 14:38:36.175253	155052	19.4	1	8
2014-04-01 14:38:45.943649	155053	57	2	1
2014-04-01 14:38:46.165893	155054	20.2	1	1
2014-04-01 14:38:56.585511	155055	64	2	24
2014-04-01 14:38:56.818846	155056	16.5	1	24
2014-04-01 14:38:59.538094	155057	51	2	25
2014-04-01 14:38:59.759789	155058	17.9	1	25
2014-04-01 14:39:06.214116	155059	46	2	10
2014-04-01 14:39:06.448072	155060	20.7	1	10
2014-04-01 14:39:13.882971	155061	55	2	9
2014-04-01 14:39:14.107555	155062	19.9	1	9
2014-04-01 14:39:14.947969	155063	55	2	8
2014-04-01 14:39:15.179341	155064	19.4	1	8
2014-04-01 14:39:24.946859	155065	57	2	1
2014-04-01 14:39:25.1688	155066	20.2	1	1
2014-04-01 14:39:35.540364	155067	64	2	24
2014-04-01 14:39:35.773477	155068	16.5	1	24
2014-04-01 14:39:38.538158	155069	51	2	25
2014-04-01 14:39:38.759959	155070	17.9	1	25
2014-04-01 14:39:45.215279	155071	46	2	10
2014-04-01 14:39:45.446798	155072	20.7	1	10
2014-04-01 14:39:52.885491	155073	55	2	9
2014-04-01 14:39:53.113248	155074	19.9	1	9
2014-04-01 14:39:53.944491	155075	55	2	8
2014-04-01 14:39:54.176534	155076	19.4	1	8
2014-04-01 14:40:03.940165	155077	57	2	1
2014-04-01 14:40:04.163873	155078	20.2	1	1
2014-04-01 14:40:14.541769	155079	64	2	24
2014-04-01 14:40:14.785031	155080	16.5	1	24
2014-04-01 14:40:17.53696	155081	51	2	25
2014-04-01 14:40:17.758492	155082	17.9	1	25
2014-04-01 14:40:24.218827	155083	46	2	10
2014-04-01 14:40:24.44966	155084	20.7	1	10
2014-04-01 14:40:32.743518	155085	55	2	9
2014-04-01 14:40:32.967275	155086	19.9	1	9
2014-04-01 14:40:33.27381	155087	55	2	8
2014-04-01 14:40:33.503143	155088	19.4	1	8
2014-04-01 14:40:43.182781	155089	57	2	1
2014-04-01 14:40:43.404141	155090	20.2	1	1
2014-04-01 14:40:53.539116	155091	64	2	24
2014-04-01 14:40:53.771652	155092	16.5	1	24
2014-04-01 14:40:56.538248	155093	51	2	25
2014-04-01 14:40:56.759844	155094	17.9	1	25
2014-04-01 14:41:03.217219	155095	46	2	10
2014-04-01 14:41:03.448951	155096	20.7	1	10
2014-04-01 14:41:10.885199	155097	55	2	9
2014-04-01 14:41:11.107847	155098	19.9	1	9
2014-04-01 14:41:11.949509	155099	55	2	8
2014-04-01 14:41:12.183205	155100	19.4	1	8
2014-04-01 14:41:21.943367	155101	57	2	1
2014-04-01 14:41:22.166861	155102	20.2	1	1
2014-04-01 14:41:32.541259	155103	64	2	24
2014-04-01 14:41:32.772103	155104	16.5	1	24
2014-04-01 14:41:35.538191	155105	51	2	25
2014-04-01 14:41:35.760451	155106	17.9	1	25
2014-04-01 14:41:42.217774	155107	46	2	10
2014-04-01 14:41:42.45324	155108	20.7	1	10
2014-04-01 14:41:49.885904	155109	55	2	9
2014-04-01 14:41:50.109052	155110	19.9	1	9
2014-04-01 14:41:51.000903	155111	55	2	8
2014-04-01 14:41:51.233397	155112	19.4	1	8
2014-04-01 14:42:00.941029	155113	57	2	1
2014-04-01 14:42:01.164209	155114	20.2	1	1
2014-04-01 14:42:11.540179	155115	64	2	24
2014-04-01 14:42:11.774891	155116	16.5	1	24
2014-04-01 14:42:14.53951	155117	51	2	25
2014-04-01 14:42:14.761611	155118	17.9	1	25
2014-04-01 14:42:21.218258	155119	46	2	10
2014-04-01 14:42:21.451942	155120	20.7	1	10
2014-04-01 14:42:28.888705	155121	55	2	9
2014-04-01 14:42:29.112079	155122	19.9	1	9
2014-04-01 14:42:29.944558	155123	55	2	8
2014-04-01 14:42:30.175569	155124	19.4	1	8
2014-04-01 14:42:39.940577	155125	57	2	1
2014-04-01 14:42:40.164184	155126	20.2	1	1
2014-04-01 14:42:50.5417	155127	64	2	24
2014-04-01 14:42:50.787802	155128	16.5	1	24
2014-04-01 14:42:53.537954	155129	51	2	25
2014-04-01 14:42:53.761127	155130	17.9	1	25
2014-04-01 14:43:00.216218	155131	46	2	10
2014-04-01 14:43:00.447221	155132	20.7	1	10
2014-04-01 14:43:07.885647	155133	55	2	9
2014-04-01 14:43:08.108742	155134	19.9	1	9
2014-04-01 14:43:08.944336	155135	55	2	8
2014-04-01 14:43:09.17481	155136	19.4	1	8
2014-04-01 14:43:18.938897	155137	57	2	1
2014-04-01 14:43:19.161349	155138	20.2	1	1
2014-04-01 14:43:29.538512	155139	64	2	24
2014-04-01 14:43:29.772219	155140	16.5	1	24
2014-04-01 14:43:32.54016	155141	51	2	25
2014-04-01 14:43:32.764307	155142	17.9	1	25
2014-04-01 14:43:39.217784	155143	46	2	10
2014-04-01 14:43:39.448534	155144	20.7	1	10
2014-04-01 14:43:46.883204	155145	55	2	9
2014-04-01 14:43:47.105664	155146	19.9	1	9
2014-04-01 14:43:47.945401	155147	55	2	8
2014-04-01 14:43:48.176298	155148	19.4	1	8
2014-04-01 14:43:57.939202	155149	57	2	1
2014-04-01 14:43:58.160324	155150	20.2	1	1
2014-04-01 14:44:08.536236	155151	64	2	24
2014-04-01 14:44:08.766778	155152	16.5	1	24
2014-04-01 14:44:11.535608	155153	51	2	25
2014-04-01 14:44:11.75714	155154	17.9	1	25
2014-04-01 14:44:18.218037	155155	46	2	10
2014-04-01 14:44:18.450605	155156	20.8	1	10
2014-04-01 14:44:25.886042	155157	55	2	9
2014-04-01 14:44:26.108274	155158	19.9	1	9
2014-04-01 14:44:26.946117	155159	55	2	8
2014-04-01 14:44:27.17685	155160	19.4	1	8
2014-04-01 14:44:36.941512	155161	57	2	1
2014-04-01 14:44:37.163583	155162	20.2	1	1
2014-04-01 14:44:47.535094	155163	64	2	24
2014-04-01 14:44:47.767539	155164	16.5	1	24
2014-04-01 14:44:50.537412	155165	51	2	25
2014-04-01 14:44:50.758859	155166	17.9	1	25
2014-04-01 14:44:57.217647	155167	46	2	10
2014-04-01 14:44:57.449255	155168	20.7	1	10
2014-04-01 14:45:04.887773	155169	55	2	9
2014-04-01 14:45:05.112588	155170	19.9	1	9
2014-04-01 14:45:05.943622	155171	55	2	8
2014-04-01 14:45:06.176978	155172	19.4	1	8
2014-04-01 14:45:15.938877	155173	57	2	1
2014-04-01 14:45:16.161476	155174	20.2	1	1
2014-04-01 14:45:26.539235	155175	64	2	24
2014-04-01 14:45:26.783081	155176	16.5	1	24
2014-04-01 14:45:29.535268	155177	51	2	25
2014-04-01 14:45:29.75621	155178	17.9	1	25
2014-04-01 14:45:36.217032	155179	46	2	10
2014-04-01 14:45:36.449291	155180	20.7	1	10
2014-04-01 14:45:44.089036	155181	55	2	9
2014-04-01 14:45:44.327562	155182	19.9	1	9
2014-04-01 14:45:44.944447	155183	55	2	8
2014-04-01 14:45:45.176135	155184	19.4	1	8
2014-04-01 14:45:54.938523	155185	57	2	1
2014-04-01 14:45:55.163657	155186	20.2	1	1
2014-04-01 14:46:05.532959	155187	64	2	24
2014-04-01 14:46:05.775517	155188	16.5	1	24
2014-04-01 14:46:08.535699	155189	51	2	25
2014-04-01 14:46:08.757072	155190	17.9	1	25
2014-04-01 14:46:15.220542	155191	46	2	10
2014-04-01 14:46:15.453173	155192	20.8	1	10
2014-04-01 14:46:22.887167	155193	55	2	9
2014-04-01 14:46:23.109263	155194	19.9	1	9
2014-04-01 14:46:23.945407	155195	55	2	8
2014-04-01 14:46:24.17642	155196	19.4	1	8
2014-04-01 14:46:33.939078	155197	57	2	1
2014-04-01 14:46:34.162224	155198	20.2	1	1
2014-04-01 14:46:44.534504	155199	64	2	24
2014-04-01 14:46:44.766821	155200	16.5	1	24
2014-04-01 14:46:47.536935	155201	51	2	25
2014-04-01 14:46:47.760761	155202	17.9	1	25
2014-04-01 14:46:54.219252	155203	46	2	10
2014-04-01 14:46:54.451894	155204	20.8	1	10
2014-04-01 14:47:01.885427	155205	55	2	9
2014-04-01 14:47:02.106387	155206	19.9	1	9
2014-04-01 14:47:02.944314	155207	55	2	8
2014-04-01 14:47:03.174971	155208	19.4	1	8
2014-04-01 14:47:12.937506	155209	57	2	1
2014-04-01 14:47:13.159272	155210	20.2	1	1
2014-04-01 14:47:23.532858	155211	64	2	24
2014-04-01 14:47:23.765165	155212	16.5	1	24
2014-04-01 14:47:26.537103	155213	51	2	25
2014-04-01 14:47:26.760328	155214	17.9	1	25
2014-04-01 14:47:33.219597	155215	46	2	10
2014-04-01 14:47:33.452472	155216	20.8	1	10
2014-04-01 14:47:40.882846	155217	55	2	9
2014-04-01 14:47:41.108004	155218	19.9	1	9
2014-04-01 14:47:41.94421	155219	55	2	8
2014-04-01 14:47:42.175459	155220	19.4	1	8
2014-04-01 14:47:51.938233	155221	57	2	1
2014-04-01 14:47:52.161531	155222	20.2	1	1
2014-04-01 14:48:02.533543	155223	64	2	24
2014-04-01 14:48:02.777354	155224	16.5	1	24
2014-04-01 14:48:05.535516	155225	51	2	25
2014-04-01 14:48:05.756419	155226	17.9	1	25
2014-04-01 14:48:12.220486	155227	46	2	10
2014-04-01 14:48:12.453425	155228	20.8	1	10
2014-04-01 14:48:19.885485	155229	55	2	9
2014-04-01 14:48:20.106812	155230	19.9	1	9
2014-04-01 14:48:21.000961	155231	55	2	8
2014-04-01 14:48:21.232437	155232	19.4	1	8
2014-04-01 14:48:30.937948	155233	57	2	1
2014-04-01 14:48:31.160169	155234	20.2	1	1
2014-04-01 14:48:41.534691	155235	64	2	24
2014-04-01 14:48:41.767842	155236	16.5	1	24
2014-04-01 14:48:44.534048	155237	51	2	25
2014-04-01 14:48:44.757034	155238	17.9	1	25
2014-04-01 14:48:51.271047	155239	46	2	10
2014-04-01 14:48:51.502639	155240	20.8	1	10
2014-04-01 14:48:58.882016	155241	55	2	9
2014-04-01 14:48:59.104281	155242	19.9	1	9
2014-04-01 14:48:59.944379	155243	55	2	8
2014-04-01 14:49:00.177853	155244	19.4	1	8
2014-04-01 14:49:09.93886	155245	57	2	1
2014-04-01 14:49:10.160161	155246	20.2	1	1
2014-04-01 14:49:20.531499	155247	64	2	24
2014-04-01 14:49:20.76548	155248	16.5	1	24
2014-04-01 14:49:23.535223	155249	51	2	25
2014-04-01 14:49:23.758322	155250	17.9	1	25
2014-04-01 14:49:30.220598	155251	46	2	10
2014-04-01 14:49:30.453158	155252	20.8	1	10
2014-04-01 14:49:37.885016	155253	55	2	9
2014-04-01 14:49:38.106777	155254	19.9	1	9
2014-04-01 14:49:38.945555	155255	55	2	8
2014-04-01 14:49:39.176245	155256	19.4	1	8
2014-04-01 14:49:48.939219	155257	57	2	1
2014-04-01 14:49:49.161634	155258	20.2	1	1
2014-04-01 14:49:59.532543	155259	64	2	24
2014-04-01 14:49:59.765569	155260	16.5	1	24
2014-04-01 14:50:02.536325	155261	51	2	25
2014-04-01 14:50:02.758845	155262	17.9	1	25
2014-04-01 14:50:09.221092	155263	46	2	10
2014-04-01 14:50:09.452888	155264	20.8	1	10
2014-04-01 14:50:16.88482	155265	55	2	9
2014-04-01 14:50:17.110688	155266	19.9	1	9
2014-04-01 14:50:17.947006	155267	55	2	8
2014-04-01 14:50:18.177806	155268	19.4	1	8
2014-04-01 14:50:27.937312	155269	57	2	1
2014-04-01 14:50:28.16085	155270	20.2	1	1
2014-04-01 14:50:38.532916	155271	64	2	24
2014-04-01 14:50:38.777059	155272	16.5	1	24
2014-04-01 14:50:41.532957	155273	51	2	25
2014-04-01 14:50:41.753822	155274	17.9	1	25
2014-04-01 14:50:48.220623	155275	46	2	10
2014-04-01 14:50:48.454633	155276	20.8	1	10
2014-04-01 14:50:56.091026	155277	55	2	9
2014-04-01 14:50:56.313719	155278	19.9	1	9
2014-04-01 14:50:56.945105	155279	55	2	8
2014-04-01 14:50:57.177336	155280	19.4	1	8
2014-04-01 14:51:06.932991	155281	57	2	1
2014-04-01 14:51:07.155419	155282	20.2	1	1
2014-04-01 14:51:17.533011	155283	64	2	24
2014-04-01 14:51:17.765481	155284	16.5	1	24
2014-04-01 14:51:20.538144	155285	51	2	25
2014-04-01 14:51:20.758513	155286	17.9	1	25
2014-04-01 14:51:27.222297	155287	46	2	10
2014-04-01 14:51:27.453139	155288	20.8	1	10
2014-04-01 14:51:34.881713	155289	55	2	9
2014-04-01 14:51:35.103527	155290	19.9	1	9
2014-04-01 14:51:35.945174	155291	55	2	8
2014-04-01 14:51:36.177315	155292	19.4	1	8
2014-04-01 14:51:45.931231	155293	57	2	1
2014-04-01 14:51:46.153933	155294	20.2	1	1
2014-04-01 14:51:56.533683	155295	64	2	24
2014-04-01 14:51:56.77318	155296	16.5	1	24
2014-04-01 14:51:59.533308	155297	51	2	25
2014-04-01 14:51:59.754881	155298	17.9	1	25
2014-04-01 14:52:06.219772	155299	46	2	10
2014-04-01 14:52:06.454132	155300	20.8	1	10
2014-04-01 14:52:13.887974	155301	56	2	9
2014-04-01 14:52:14.108839	155302	19.9	1	9
2014-04-01 14:52:14.944654	155303	55	2	8
2014-04-01 14:52:15.17589	155304	19.4	1	8
2014-04-01 14:52:24.932295	155305	57	2	1
2014-04-01 14:52:25.155021	155306	20.2	1	1
2014-04-01 14:52:35.531886	155307	64	2	24
2014-04-01 14:52:35.765512	155308	16.5	1	24
2014-04-01 14:52:38.558251	155309	51	2	25
2014-04-01 14:52:38.784471	155310	17.9	1	25
2014-04-01 14:52:45.221046	155311	46	2	10
2014-04-01 14:52:45.454194	155312	20.8	1	10
2014-04-01 14:52:52.888283	155313	56	2	9
2014-04-01 14:52:53.112754	155314	19.9	1	9
2014-04-01 14:52:53.945054	155315	55	2	8
2014-04-01 14:52:54.176541	155316	19.4	1	8
2014-04-01 14:53:03.932202	155317	57	2	1
2014-04-01 14:53:04.152839	155318	20.2	1	1
2014-04-01 14:53:14.533353	155319	64	2	24
2014-04-01 14:53:14.777691	155320	16.5	1	24
2014-04-01 14:53:17.538242	155321	51	2	25
2014-04-01 14:53:17.76047	155322	17.9	1	25
2014-04-01 14:53:24.221203	155323	46	2	10
2014-04-01 14:53:24.453374	155324	20.8	1	10
2014-04-01 14:53:32.090447	155325	56	2	9
2014-04-01 14:53:32.312856	155326	19.9	1	9
2014-04-01 14:53:32.94425	155327	55	2	8
2014-04-01 14:53:33.176347	155328	19.4	1	8
2014-04-01 14:53:42.929842	155329	57	2	1
2014-04-01 14:53:43.152054	155330	20.2	1	1
2014-04-01 14:53:53.531553	155331	64	2	24
2014-04-01 14:53:53.765342	155332	16.5	1	24
2014-04-01 14:53:56.534871	155333	51	2	25
2014-04-01 14:53:56.766456	155334	17.9	1	25
2014-04-01 14:54:03.221825	155335	46	2	10
2014-04-01 14:54:03.453608	155336	20.8	1	10
2014-04-01 14:54:10.887755	155337	56	2	9
2014-04-01 14:54:11.109424	155338	19.9	1	9
2014-04-01 14:54:11.944188	155339	55	2	8
2014-04-01 14:54:12.17947	155340	19.4	1	8
2014-04-01 14:54:21.930734	155341	57	2	1
2014-04-01 14:54:22.153228	155342	20.2	1	1
2014-04-01 14:54:32.532287	155343	64	2	24
2014-04-01 14:54:32.765887	155344	16.5	1	24
2014-04-01 14:54:35.534656	155345	51	2	25
2014-04-01 14:54:35.757846	155346	17.9	1	25
2014-04-01 14:54:42.221947	155347	46	2	10
2014-04-01 14:54:42.452779	155348	20.8	1	10
2014-04-01 14:54:49.889238	155349	56	2	9
2014-04-01 14:54:50.111564	155350	19.9	1	9
2014-04-01 14:54:50.94569	155351	55	2	8
2014-04-01 14:54:51.17817	155352	19.4	1	8
2014-04-01 14:55:00.932221	155353	57	2	1
2014-04-01 14:55:01.156082	155354	20.2	1	1
2014-04-01 14:55:11.531697	155355	64	2	24
2014-04-01 14:55:11.764239	155356	16.5	1	24
2014-04-01 14:55:14.534436	155357	51	2	25
2014-04-01 14:55:14.757249	155358	17.9	1	25
2014-04-01 14:55:21.271767	155359	46	2	10
2014-04-01 14:55:21.503239	155360	20.8	1	10
2014-04-01 14:55:28.887426	155361	56	2	9
2014-04-01 14:55:29.112534	155362	19.9	1	9
2014-04-01 14:55:29.946619	155363	55	2	8
2014-04-01 14:55:30.177674	155364	19.4	1	8
2014-04-01 14:55:39.925659	155365	57	2	1
2014-04-01 14:55:40.149925	155366	20.2	1	1
2014-04-01 14:55:50.530082	155367	64	2	24
2014-04-01 14:55:50.774776	155368	16.5	1	24
2014-04-01 14:55:53.534255	155369	51	2	25
2014-04-01 14:55:53.755074	155370	17.9	1	25
2014-04-01 14:56:00.222474	155371	46	2	10
2014-04-01 14:56:00.642661	155372	20.8	1	10
2014-04-01 14:56:07.885016	155373	56	2	9
2014-04-01 14:56:08.117119	155374	19.9	1	9
2014-04-01 14:56:08.943803	155375	55	2	8
2014-04-01 14:56:09.165744	155376	19.4	1	8
2014-04-01 14:56:18.925357	155377	57	2	1
2014-04-01 14:56:19.157649	155378	20.2	1	1
2014-04-01 14:56:29.528898	155379	64	2	24
2014-04-01 14:56:29.751952	155380	16.5	1	24
2014-04-01 14:56:32.534077	155381	51	2	25
2014-04-01 14:56:32.765046	155382	17.9	1	25
2014-04-01 14:56:39.223557	155383	46	2	10
2014-04-01 14:56:39.444661	155384	20.8	1	10
2014-04-01 14:56:46.889398	155385	56	2	9
2014-04-01 14:56:47.120249	155386	19.9	1	9
2014-04-01 14:56:47.942305	155387	55	2	8
2014-04-01 14:56:48.164001	155388	19.4	1	8
2014-04-01 14:56:57.925791	155389	57	2	1
2014-04-01 14:56:58.156655	155390	20.2	1	1
2014-04-01 14:57:08.528112	155391	64	2	24
2014-04-01 14:57:08.749763	155392	16.5	1	24
2014-04-01 14:57:11.534633	155393	51	2	25
2014-04-01 14:57:11.766093	155394	17.9	1	25
2014-04-01 14:57:18.222396	155395	46	2	10
2014-04-01 14:57:18.445041	155396	20.8	1	10
2014-04-01 14:57:25.886878	155397	56	2	9
2014-04-01 14:57:26.119546	155398	19.9	1	9
2014-04-01 14:57:26.944928	155399	55	2	8
2014-04-01 14:57:27.166053	155400	19.4	1	8
2014-04-01 14:57:36.934611	155401	57	2	1
2014-04-01 14:57:37.172066	155402	20.2	1	1
2014-04-01 14:57:47.527556	155403	64	2	24
2014-04-01 14:57:47.749127	155404	16.5	1	24
2014-04-01 14:57:50.5331	155405	51	2	25
2014-04-01 14:57:50.764678	155406	17.9	1	25
2014-04-01 14:57:57.222426	155407	46	2	10
2014-04-01 14:57:57.445258	155408	20.8	1	10
2014-04-01 14:58:04.88386	155409	56	2	9
2014-04-01 14:58:05.11533	155410	19.9	1	9
2014-04-01 14:58:05.943318	155411	55	2	8
2014-04-01 14:58:06.16592	155412	19.4	1	8
2014-04-01 14:58:15.925629	155413	57	2	1
2014-04-01 14:58:16.156752	155414	20.2	1	1
2014-04-01 14:58:26.528925	155415	64	2	24
2014-04-01 14:58:26.756555	155416	16.5	1	24
2014-04-01 14:58:29.534193	155417	51	2	25
2014-04-01 14:58:29.776326	155418	17.9	1	25
2014-04-01 14:58:36.222084	155419	46	2	10
2014-04-01 14:58:36.443247	155420	20.8	1	10
2014-04-01 14:58:43.885048	155421	56	2	9
2014-04-01 14:58:44.118923	155422	19.9	1	9
2014-04-01 14:58:44.944435	155423	55	2	8
2014-04-01 14:58:45.166038	155424	19.4	1	8
2014-04-01 14:58:54.924408	155425	57	2	1
2014-04-01 14:58:55.156831	155426	20.2	1	1
2014-04-01 14:59:05.565025	155427	64	2	24
2014-04-01 14:59:05.787906	155428	16.5	1	24
2014-04-01 14:59:08.532583	155429	51	2	25
2014-04-01 14:59:08.766047	155430	17.9	1	25
2014-04-01 14:59:15.222422	155431	46	2	10
2014-04-01 14:59:15.444046	155432	20.8	1	10
2014-04-01 14:59:22.885766	155433	56	2	9
2014-04-01 14:59:23.116994	155434	19.9	1	9
2014-04-01 14:59:23.943447	155435	55	2	8
2014-04-01 14:59:24.165473	155436	19.4	1	8
2014-04-01 14:59:33.926251	155437	57	2	1
2014-04-01 14:59:34.158507	155438	20.2	1	1
2014-04-01 14:59:44.524813	155439	64	2	24
2014-04-01 14:59:44.749733	155440	16.5	1	24
2014-04-01 14:59:47.533836	155441	51	2	25
2014-04-01 14:59:47.766822	155442	17.9	1	25
2014-04-01 14:59:54.223182	155443	46	2	10
2014-04-01 14:59:54.447738	155444	20.8	1	10
2014-04-01 15:00:01.884548	155445	56	2	9
2014-04-01 15:00:02.118205	155446	19.9	1	9
2014-04-01 15:00:02.944682	155447	55	2	8
2014-04-01 15:00:03.166833	155448	19.4	1	8
2014-04-01 15:00:12.92233	155449	57	2	1
2014-04-01 15:00:13.153704	155450	20.2	1	1
2014-04-01 15:00:23.523809	155451	64	2	24
2014-04-01 15:00:23.745785	155452	16.5	1	24
2014-04-01 15:00:26.53296	155453	51	2	25
2014-04-01 15:00:26.793507	155454	17.9	1	25
2014-04-01 15:00:33.22291	155455	46	2	10
2014-04-01 15:00:33.44507	155456	20.8	1	10
2014-04-01 15:00:40.886613	155457	56	2	9
2014-04-01 15:00:41.117551	155458	19.9	1	9
2014-04-01 15:00:41.944805	155459	55	2	8
2014-04-01 15:00:42.166286	155460	19.4	1	8
2014-04-01 15:00:51.923354	155461	57	2	1
2014-04-01 15:00:52.157155	155462	20.2	1	1
2014-04-01 15:01:02.523047	155463	64	2	24
2014-04-01 15:01:02.746293	155464	16.5	1	24
2014-04-01 15:01:05.532328	155465	51	2	25
2014-04-01 15:01:05.774724	155466	17.9	1	25
2014-04-01 15:01:12.223239	155467	46	2	10
2014-04-01 15:01:12.445255	155468	20.8	1	10
2014-04-01 15:01:19.885909	155469	56	2	9
2014-04-01 15:01:20.120107	155470	19.9	1	9
2014-04-01 15:01:20.943497	155471	55	2	8
2014-04-01 15:01:21.166905	155472	19.4	1	8
2014-04-01 15:01:30.92357	155473	57	2	1
2014-04-01 15:01:31.156347	155474	20.2	1	1
2014-04-01 15:01:41.523525	155475	64	2	24
2014-04-01 15:01:41.746811	155476	16.4	1	24
2014-04-01 15:01:44.533132	155477	51	2	25
2014-04-01 15:01:44.766728	155478	17.9	1	25
2014-04-01 15:01:51.223643	155479	46	2	10
2014-04-01 15:01:51.445357	155480	20.8	1	10
2014-04-01 15:01:58.88556	155481	56	2	9
2014-04-01 15:01:59.118204	155482	19.9	1	9
2014-04-01 15:01:59.9437	155483	55	2	8
2014-04-01 15:02:00.166051	155484	19.4	1	8
2014-04-01 15:02:09.922589	155485	57	2	1
2014-04-01 15:02:10.154635	155486	20.2	1	1
2014-04-01 15:02:20.521913	155487	64	2	24
2014-04-01 15:02:20.744723	155488	16.4	1	24
2014-04-01 15:02:23.773099	155489	51	2	25
2014-04-01 15:02:24.006101	155490	17.9	1	25
2014-04-01 15:02:30.22478	155491	46	2	10
2014-04-01 15:02:30.448218	155492	20.8	1	10
2014-04-01 15:02:37.8858	155493	56	2	9
2014-04-01 15:02:38.144158	155494	19.9	1	9
2014-04-01 15:02:38.94342	155495	55	2	8
2014-04-01 15:02:39.165187	155496	19.4	1	8
2014-04-01 15:02:48.92315	155497	57	2	1
2014-04-01 15:02:49.154053	155498	20.2	1	1
2014-04-01 15:02:59.515682	155499	64	2	24
2014-04-01 15:02:59.739408	155500	16.4	1	24
2014-04-01 15:03:02.526222	155501	51	2	25
2014-04-01 15:03:02.756951	155502	17.8	1	25
2014-04-01 15:03:09.22454	155503	46	2	10
2014-04-01 15:03:09.447767	155504	20.8	1	10
2014-04-01 15:03:16.884203	155505	56	2	9
2014-04-01 15:03:17.115811	155506	19.9	1	9
2014-04-01 15:03:17.944974	155507	55	2	8
2014-04-01 15:03:18.166146	155508	19.4	1	8
2014-04-01 15:03:27.929584	155509	57	2	1
2014-04-01 15:03:28.160812	155510	20.2	1	1
2014-04-01 15:03:38.524848	155511	64	2	24
2014-04-01 15:03:38.748993	155512	16.4	1	24
2014-04-01 15:03:41.53186	155513	51	2	25
2014-04-01 15:03:41.77537	155514	17.8	1	25
2014-04-01 15:03:48.223555	155515	46	2	10
2014-04-01 15:03:48.445739	155516	20.8	1	10
2014-04-01 15:03:56.087223	155517	56	2	9
2014-04-01 15:03:56.317482	155518	19.9	1	9
2014-04-01 15:03:56.943408	155519	55	2	8
2014-04-01 15:03:57.163399	155520	19.4	1	8
2014-04-01 15:04:06.926026	155521	57	2	1
2014-04-01 15:04:07.157299	155522	20.2	1	1
2014-04-01 15:04:17.519562	155523	64	2	24
2014-04-01 15:04:17.743246	155524	16.4	1	24
2014-04-01 15:04:20.530157	155525	51	2	25
2014-04-01 15:04:20.764375	155526	17.8	1	25
2014-04-01 15:04:27.223101	155527	46	2	10
2014-04-01 15:04:27.445125	155528	20.8	1	10
2014-04-01 15:04:34.881632	155529	56	2	9
2014-04-01 15:04:35.114297	155530	19.9	1	9
2014-04-01 15:04:35.945208	155531	55	2	8
2014-04-01 15:04:36.166259	155532	19.4	1	8
2014-04-01 15:04:45.923521	155533	57	2	1
2014-04-01 15:04:46.154483	155534	20.2	1	1
2014-04-01 15:04:56.519707	155535	64	2	24
2014-04-01 15:04:56.74907	155536	16.4	1	24
2014-04-01 15:04:59.529018	155537	51	2	25
2014-04-01 15:04:59.760766	155538	17.8	1	25
2014-04-01 15:05:06.224941	155539	46	2	10
2014-04-01 15:05:06.446113	155540	20.8	1	10
2014-04-01 15:05:13.886766	155541	56	2	9
2014-04-01 15:05:14.118885	155542	19.9	1	9
2014-04-01 15:05:14.943711	155543	55	2	8
2014-04-01 15:05:15.165975	155544	19.4	1	8
2014-04-01 15:05:24.925062	155545	57	2	1
2014-04-01 15:05:25.158448	155546	20.2	1	1
2014-04-01 15:05:35.522925	155547	64	2	24
2014-04-01 15:05:35.743608	155548	16.4	1	24
2014-04-01 15:05:38.529854	155549	51	2	25
2014-04-01 15:05:38.760787	155550	17.8	1	25
2014-04-01 15:05:45.225169	155551	46	2	10
2014-04-01 15:05:45.4461	155552	20.8	1	10
2014-04-01 15:05:52.889742	155553	56	2	9
2014-04-01 15:05:53.121672	155554	19.9	1	9
2014-04-01 15:05:53.945139	155555	55	2	8
2014-04-01 15:05:54.16672	155556	19.4	1	8
2014-04-01 15:06:03.925318	155557	57	2	1
2014-04-01 15:06:04.156984	155558	20.2	1	1
2014-04-01 15:06:14.556992	155559	64	2	24
2014-04-01 15:06:14.781064	155560	16.4	1	24
2014-04-01 15:06:17.529963	155561	51	2	25
2014-04-01 15:06:17.773059	155562	17.8	1	25
2014-04-01 15:06:24.223832	155563	46	2	10
2014-04-01 15:06:24.445674	155564	20.8	1	10
2014-04-01 15:06:32.089026	155565	56	2	9
2014-04-01 15:06:32.319886	155566	19.9	1	9
2014-04-01 15:06:32.943994	155567	55	2	8
2014-04-01 15:06:33.166859	155568	19.4	1	8
2014-04-01 15:06:42.924025	155569	57	2	1
2014-04-01 15:06:43.166278	155570	20.2	1	1
2014-04-01 15:06:53.518023	155571	64	2	24
2014-04-01 15:06:53.74097	155572	16.4	1	24
2014-04-01 15:06:56.529462	155573	51	2	25
2014-04-01 15:06:56.767636	155574	17.8	1	25
2014-04-01 15:07:03.432471	155575	46	2	10
2014-04-01 15:07:03.6541	155576	20.8	1	10
2014-04-01 15:07:10.885364	155577	56	2	9
2014-04-01 15:07:11.121647	155578	19.9	1	9
2014-04-01 15:07:11.94468	155579	55	2	8
2014-04-01 15:07:12.169768	155580	19.4	1	8
2014-04-01 15:07:21.924242	155581	57	2	1
2014-04-01 15:07:22.158806	155582	20.2	1	1
2014-04-01 15:07:32.51592	155583	64	2	24
2014-04-01 15:07:32.738876	155584	16.4	1	24
2014-04-01 15:07:35.529221	155585	51	2	25
2014-04-01 15:07:35.761098	155586	17.9	1	25
2014-04-01 15:07:42.225658	155587	46	2	10
2014-04-01 15:07:42.451187	155588	20.8	1	10
2014-04-01 15:07:49.88564	155589	56	2	9
2014-04-01 15:07:50.117593	155590	19.9	1	9
2014-04-01 15:07:50.944938	155591	54	2	8
2014-04-01 15:07:51.165465	155592	19.4	1	8
2014-04-01 15:08:00.921953	155593	57	2	1
2014-04-01 15:08:01.153207	155594	20.2	1	1
2014-04-01 15:08:11.517744	155595	64	2	24
2014-04-01 15:08:11.738798	155596	16.4	1	24
2014-04-01 15:08:14.527454	155597	51	2	25
2014-04-01 15:08:14.760422	155598	17.9	1	25
2014-04-01 15:08:21.225702	155599	46	2	10
2014-04-01 15:08:21.448125	155600	20.8	1	10
2014-04-01 15:08:28.884781	155601	56	2	9
2014-04-01 15:08:29.11587	155602	19.9	1	9
2014-04-01 15:08:29.944185	155603	55	2	8
2014-04-01 15:08:30.167854	155604	19.4	1	8
2014-04-01 15:08:39.920986	155605	57	2	1
2014-04-01 15:08:40.153263	155606	20.2	1	1
2014-04-01 15:08:50.518785	155607	64	2	24
2014-04-01 15:08:50.741637	155608	16.4	1	24
2014-04-01 15:08:53.532284	155609	51	2	25
2014-04-01 15:08:53.776169	155610	17.9	1	25
2014-04-01 15:09:00.225256	155611	46	2	10
2014-04-01 15:09:00.450235	155612	20.8	1	10
2014-04-01 15:09:08.087766	155613	56	2	9
2014-04-01 15:09:08.318767	155614	19.9	1	9
2014-04-01 15:09:08.944116	155615	55	2	8
2014-04-01 15:09:09.164916	155616	19.4	1	8
2014-04-01 15:09:18.919741	155617	57	2	1
2014-04-01 15:09:19.152991	155618	20.2	1	1
2014-04-01 15:09:29.517789	155619	64	2	24
2014-04-01 15:09:29.740056	155620	16.4	1	24
2014-04-01 15:09:32.531123	155621	51	2	25
2014-04-01 15:09:32.76263	155622	17.9	1	25
2014-04-01 15:09:39.225176	155623	46	2	10
2014-04-01 15:09:39.447244	155624	20.8	1	10
2014-04-01 15:09:46.888198	155625	56	2	9
2014-04-01 15:09:47.119405	155626	19.9	1	9
2014-04-01 15:09:47.944247	155627	55	2	8
2014-04-01 15:09:48.164421	155628	19.4	1	8
2014-04-01 15:09:57.919503	155629	57	2	1
2014-04-01 15:09:58.150157	155630	20.2	1	1
2014-04-01 15:10:08.516992	155631	64	2	24
2014-04-01 15:10:08.742639	155632	16.4	1	24
2014-04-01 15:10:11.527277	155633	51	2	25
2014-04-01 15:10:11.761503	155634	17.9	1	25
2014-04-01 15:10:18.226195	155635	46	2	10
2014-04-01 15:10:18.449889	155636	20.8	1	10
2014-04-01 15:10:25.884159	155637	56	2	9
2014-04-01 15:10:26.116562	155638	19.9	1	9
2014-04-01 15:10:26.943265	155639	55	2	8
2014-04-01 15:10:27.162644	155640	19.4	1	8
2014-04-01 15:10:36.920816	155641	57	2	1
2014-04-01 15:10:37.15162	155642	20.2	1	1
2014-04-01 15:10:47.513692	155643	64	2	24
2014-04-01 15:10:47.73618	155644	16.4	1	24
2014-04-01 15:10:50.527327	155645	51	2	25
2014-04-01 15:10:50.763376	155646	17.9	1	25
2014-04-01 15:10:57.226755	155647	46	2	10
2014-04-01 15:10:57.447022	155648	20.8	1	10
2014-04-01 15:11:04.889807	155649	56	2	9
2014-04-01 15:11:05.120916	155650	19.9	1	9
2014-04-01 15:11:05.945334	155651	55	2	8
2014-04-01 15:11:06.166032	155652	19.4	1	8
2014-04-01 15:11:15.920733	155653	57	2	1
2014-04-01 15:11:16.15144	155654	20.2	1	1
2014-04-01 15:11:26.512721	155655	64	2	24
2014-04-01 15:11:26.74094	155656	16.4	1	24
2014-04-01 15:11:29.527058	155657	51	2	25
2014-04-01 15:11:29.76951	155658	17.9	1	25
2014-04-01 15:11:36.226634	155659	46	2	10
2014-04-01 15:11:36.447349	155660	20.8	1	10
2014-04-01 15:11:43.886604	155661	56	2	9
2014-04-01 15:11:44.118461	155662	19.9	1	9
2014-04-01 15:11:44.947601	155663	55	2	8
2014-04-01 15:11:45.169389	155664	19.4	1	8
2014-04-01 15:11:55.160299	155665	57	2	1
2014-04-01 15:11:55.391335	155666	20.2	1	1
2014-04-01 15:12:05.511117	155667	64	2	24
2014-04-01 15:12:05.732884	155668	16.4	1	24
2014-04-01 15:12:08.527237	155669	51	2	25
2014-04-01 15:12:08.758841	155670	17.9	1	25
2014-04-01 15:12:15.227072	155671	46	2	10
2014-04-01 15:12:15.447078	155672	20.8	1	10
2014-04-01 15:12:22.88513	155673	56	2	9
2014-04-01 15:12:23.11939	155674	19.9	1	9
2014-04-01 15:12:23.94747	155675	55	2	8
2014-04-01 15:12:24.169468	155676	19.4	1	8
2014-04-01 15:12:33.921726	155677	57	2	1
2014-04-01 15:12:34.15552	155678	20.2	1	1
2014-04-01 15:12:44.511469	155679	64	2	24
2014-04-01 15:12:44.735328	155680	16.4	1	24
2014-04-01 15:12:47.527558	155681	51	2	25
2014-04-01 15:12:47.75934	155682	17.9	1	25
2014-04-01 15:12:54.23101	155683	46	2	10
2014-04-01 15:12:54.451722	155684	20.8	1	10
2014-04-01 15:13:01.883788	155685	56	2	9
2014-04-01 15:13:02.115282	155686	19.9	1	9
2014-04-01 15:13:02.944393	155687	55	2	8
2014-04-01 15:13:03.165183	155688	19.3	1	8
2014-04-01 15:13:12.919279	155689	57	2	1
2014-04-01 15:13:13.151445	155690	20.2	1	1
2014-04-01 15:13:23.513299	155691	64	2	24
2014-04-01 15:13:23.736082	155692	16.4	1	24
2014-04-01 15:13:26.525593	155693	51	2	25
2014-04-01 15:13:26.76328	155694	17.9	1	25
2014-04-01 15:13:33.226502	155695	46	2	10
2014-04-01 15:13:33.450011	155696	20.8	1	10
2014-04-01 15:13:40.884598	155697	56	2	9
2014-04-01 15:13:41.116585	155698	19.9	1	9
2014-04-01 15:13:41.945168	155699	55	2	8
2014-04-01 15:13:42.166271	155700	19.3	1	8
2014-04-01 15:13:51.956365	155701	57	2	1
2014-04-01 15:13:52.206762	155702	20.2	1	1
2014-04-01 15:14:02.509959	155703	64	2	24
2014-04-01 15:14:02.733285	155704	16.4	1	24
2014-04-01 15:14:05.52611	155705	51	2	25
2014-04-01 15:14:05.768195	155706	17.9	1	25
2014-04-01 15:14:12.227548	155707	46	2	10
2014-04-01 15:14:12.450007	155708	20.8	1	10
2014-04-01 15:14:20.088752	155709	56	2	9
2014-04-01 15:14:20.321622	155710	19.9	1	9
2014-04-01 15:14:20.944476	155711	55	2	8
2014-04-01 15:14:21.166386	155712	19.3	1	8
2014-04-01 15:14:30.917294	155713	57	2	1
2014-04-01 15:14:31.149624	155714	20.2	1	1
2014-04-01 15:14:41.512318	155715	64	2	24
2014-04-01 15:14:41.733323	155716	16.4	1	24
2014-04-01 15:14:44.52818	155717	51	2	25
2014-04-01 15:14:44.76419	155718	17.8	1	25
2014-04-01 15:14:51.228792	155719	46	2	10
2014-04-01 15:14:51.450718	155720	20.8	1	10
2014-04-01 15:14:58.884912	155721	56	2	9
2014-04-01 15:14:59.116981	155722	19.9	1	9
2014-04-01 15:14:59.94402	155723	54	2	8
2014-04-01 15:15:00.16596	155724	19.4	1	8
2014-04-01 15:15:09.916577	155725	57	2	1
2014-04-01 15:15:10.14733	155726	20.2	1	1
2014-04-01 15:15:20.509017	155727	64	2	24
2014-04-01 15:15:20.73283	155728	16.4	1	24
2014-04-01 15:15:23.525713	155729	51	2	25
2014-04-01 15:15:23.780394	155730	17.8	1	25
2014-04-01 15:15:30.227698	155731	46	2	10
2014-04-01 15:15:30.448581	155732	20.8	1	10
2014-04-01 15:15:37.887261	155733	56	2	9
2014-04-01 15:15:38.117747	155734	19.9	1	9
2014-04-01 15:15:38.945028	155735	55	2	8
2014-04-01 15:15:39.165766	155736	19.3	1	8
2014-04-01 15:15:48.916896	155737	57	2	1
2014-04-01 15:15:49.157445	155738	20.2	1	1
2014-04-01 15:15:59.514208	155739	64	2	24
2014-04-01 15:15:59.736634	155740	16.4	1	24
2014-04-01 15:16:02.52533	155741	51	2	25
2014-04-01 15:16:02.758889	155742	17.8	1	25
2014-04-01 15:16:09.229093	155743	46	2	10
2014-04-01 15:16:09.449552	155744	20.8	1	10
2014-04-01 15:16:16.886452	155745	56	2	9
2014-04-01 15:16:17.119248	155746	19.9	1	9
2014-04-01 15:16:17.944538	155747	55	2	8
2014-04-01 15:16:18.166608	155748	19.4	1	8
2014-04-01 15:16:27.917315	155749	57	2	1
2014-04-01 15:16:28.14861	155750	20.2	1	1
2014-04-01 15:16:38.506512	155751	64	2	24
2014-04-01 15:16:38.73227	155752	16.4	1	24
2014-04-01 15:16:41.521826	155753	51	2	25
2014-04-01 15:16:41.76426	155754	17.8	1	25
2014-04-01 15:16:48.22949	155755	46	2	10
2014-04-01 15:16:48.451315	155756	20.8	1	10
2014-04-01 15:16:55.884794	155757	56	2	9
2014-04-01 15:16:56.120023	155758	19.9	1	9
2014-04-01 15:16:56.945794	155759	55	2	8
2014-04-01 15:16:57.166636	155760	19.4	1	8
2014-04-01 15:17:06.913444	155761	57	2	1
2014-04-01 15:17:07.152692	155762	20.2	1	1
2014-04-01 15:17:17.509022	155763	64	2	24
2014-04-01 15:17:17.72998	155764	16.4	1	24
2014-04-01 15:17:20.523018	155765	51	2	25
2014-04-01 15:17:20.754116	155766	17.8	1	25
2014-04-01 15:17:27.228577	155767	46	2	10
2014-04-01 15:17:27.450245	155768	20.8	1	10
2014-04-01 15:17:34.884666	155769	56	2	9
2014-04-01 15:17:35.117681	155770	19.9	1	9
2014-04-01 15:17:35.945438	155771	55	2	8
2014-04-01 15:17:36.16785	155772	19.4	1	8
2014-04-01 15:17:45.916362	155773	57	2	1
2014-04-01 15:17:46.150354	155774	20.2	1	1
2014-04-01 15:17:56.505219	155775	64	2	24
2014-04-01 15:17:56.727465	155776	16.4	1	24
2014-04-01 15:17:59.525162	155777	51	2	25
2014-04-01 15:17:59.757524	155778	17.8	1	25
2014-04-01 15:18:06.230884	155779	46	2	10
2014-04-01 15:18:06.453155	155780	20.8	1	10
2014-04-01 15:18:13.885644	155781	56	2	9
2014-04-01 15:18:14.116074	155782	19.9	1	9
2014-04-01 15:18:14.943945	155783	55	2	8
2014-04-01 15:18:15.166094	155784	19.4	1	8
2014-04-01 15:18:24.915317	155785	57	2	1
2014-04-01 15:18:25.146538	155786	20.2	1	1
2014-04-01 15:18:35.505584	155787	64	2	24
2014-04-01 15:18:35.726884	155788	16.4	1	24
2014-04-01 15:18:38.523738	155789	51	2	25
2014-04-01 15:18:38.755609	155790	17.8	1	25
2014-04-01 15:18:45.229224	155791	46	2	10
2014-04-01 15:18:45.452508	155792	20.8	1	10
2014-04-01 15:18:52.883932	155793	56	2	9
2014-04-01 15:18:53.115864	155794	19.9	1	9
2014-04-01 15:18:53.944545	155795	55	2	8
2014-04-01 15:18:54.163729	155796	19.4	1	8
2014-04-01 15:19:03.913175	155797	57	2	1
2014-04-01 15:19:04.143924	155798	20.2	1	1
2014-04-01 15:19:14.506325	155799	64	2	24
2014-04-01 15:19:14.728854	155800	16.4	1	24
2014-04-01 15:19:17.525535	155801	51	2	25
2014-04-01 15:19:17.767814	155802	17.8	1	25
2014-04-01 15:19:24.228323	155803	46	2	10
2014-04-01 15:19:24.451571	155804	20.8	1	10
2014-04-01 15:19:32.086869	155805	56	2	9
2014-04-01 15:19:32.318687	155806	19.9	1	9
2014-04-01 15:19:32.944697	155807	55	2	8
2014-04-01 15:19:33.166148	155808	19.3	1	8
2014-04-01 15:19:42.915264	155809	57	2	1
2014-04-01 15:19:43.146794	155810	20.2	1	1
2014-04-01 15:19:53.506695	155811	64	2	24
2014-04-01 15:19:53.727176	155812	16.4	1	24
2014-04-01 15:19:56.524121	155813	51	2	25
2014-04-01 15:19:56.757301	155814	17.8	1	25
2014-04-01 15:20:03.229186	155815	46	2	10
2014-04-01 15:20:03.449207	155816	20.8	1	10
2014-04-01 15:20:10.883417	155817	56	2	9
2014-04-01 15:20:11.113711	155818	19.9	1	9
2014-04-01 15:20:11.943039	155819	55	2	8
2014-04-01 15:20:12.164604	155820	19.3	1	8
2014-04-01 15:20:21.957597	155821	57	2	1
2014-04-01 15:20:22.197519	155822	20.2	1	1
2014-04-01 15:20:32.505229	155823	64	2	24
2014-04-01 15:20:32.727559	155824	16.4	1	24
2014-04-01 15:20:35.523353	155825	51	2	25
2014-04-01 15:20:35.754539	155826	17.8	1	25
2014-04-01 15:20:42.22845	155827	46	2	10
2014-04-01 15:20:42.449481	155828	20.8	1	10
2014-04-01 15:20:49.885985	155829	56	2	9
2014-04-01 15:20:50.117267	155830	19.9	1	9
2014-04-01 15:20:50.944947	155831	55	2	8
2014-04-01 15:20:51.165342	155832	19.3	1	8
2014-04-01 15:21:00.913547	155833	57	2	1
2014-04-01 15:21:01.145654	155834	20.2	1	1
2014-04-01 15:21:11.502407	155835	64	2	24
2014-04-01 15:21:11.72498	155836	16.4	1	24
2014-04-01 15:21:14.522692	155837	51	2	25
2014-04-01 15:21:14.756794	155838	17.8	1	25
2014-04-01 15:21:21.23031	155839	46	2	10
2014-04-01 15:21:21.452237	155840	20.8	1	10
2014-04-01 15:21:28.887049	155841	56	2	9
2014-04-01 15:21:29.119664	155842	19.9	1	9
2014-04-01 15:21:29.944957	155843	55	2	8
2014-04-01 15:21:30.165853	155844	19.3	1	8
2014-04-01 15:21:39.923192	155845	57	2	1
2014-04-01 15:21:40.153341	155846	20.2	1	1
2014-04-01 15:21:50.501775	155847	64	2	24
2014-04-01 15:21:50.726342	155848	16.4	1	24
2014-04-01 15:21:53.521734	155849	51	2	25
2014-04-01 15:21:53.765802	155850	17.8	1	25
2014-04-01 15:22:00.230073	155851	46	2	10
2014-04-01 15:22:00.452789	155852	20.8	1	10
2014-04-01 15:22:07.886886	155853	56	2	9
2014-04-01 15:22:08.12008	155854	19.9	1	9
2014-04-01 15:22:08.948643	155855	55	2	8
2014-04-01 15:22:09.171046	155856	19.3	1	8
2014-04-01 15:22:18.916312	155857	57	2	1
2014-04-01 15:22:19.146816	155858	20.2	1	1
2014-04-01 15:22:29.501722	155859	64	2	24
2014-04-01 15:22:29.72486	155860	16.4	1	24
2014-04-01 15:22:32.529426	155861	51	2	25
2014-04-01 15:22:32.760901	155862	17.8	1	25
2014-04-01 15:22:39.229986	155863	46	2	10
2014-04-01 15:22:39.45335	155864	20.8	1	10
2014-04-01 15:22:46.884411	155865	56	2	9
2014-04-01 15:22:47.116999	155866	19.9	1	9
2014-04-01 15:22:47.94721	155867	55	2	8
2014-04-01 15:22:48.172116	155868	19.3	1	8
2014-04-01 15:22:57.914667	155869	57	2	1
2014-04-01 15:22:58.154023	155870	20.2	1	1
2014-04-01 15:23:08.500362	155871	64	2	24
2014-04-01 15:23:08.7234	155872	16.4	1	24
2014-04-01 15:23:11.522476	155873	51	2	25
2014-04-01 15:23:11.754023	155874	17.8	1	25
2014-04-01 15:23:18.229249	155875	46	2	10
2014-04-01 15:23:18.450278	155876	20.8	1	10
2014-04-01 15:23:25.885604	155877	56	2	9
2014-04-01 15:23:26.11801	155878	19.9	1	9
2014-04-01 15:23:26.944369	155879	55	2	8
2014-04-01 15:23:27.168505	155880	19.3	1	8
2014-04-01 15:23:36.91667	155881	57	2	1
2014-04-01 15:23:37.151681	155882	20.2	1	1
2014-04-01 15:23:47.50011	155883	64	2	24
2014-04-01 15:23:47.723337	155884	16.4	1	24
2014-04-01 15:23:50.52035	155885	51	2	25
2014-04-01 15:23:50.753099	155886	17.8	1	25
2014-04-01 15:23:57.233796	155887	46	2	10
2014-04-01 15:23:57.45649	155888	20.8	1	10
2014-04-01 15:24:04.887277	155889	56	2	9
2014-04-01 15:24:05.125804	155890	19.9	1	9
2014-04-01 15:24:05.944153	155891	55	2	8
2014-04-01 15:24:06.165649	155892	19.3	1	8
2014-04-01 15:24:15.91181	155893	57	2	1
2014-04-01 15:24:16.142806	155894	20.2	1	1
2014-04-01 15:24:26.502645	155895	64	2	24
2014-04-01 15:24:26.726453	155896	16.4	1	24
2014-04-01 15:24:29.518775	155897	51	2	25
2014-04-01 15:24:29.763448	155898	17.8	1	25
2014-04-01 15:24:36.230847	155899	46	2	10
2014-04-01 15:24:36.45562	155900	20.8	1	10
2014-04-01 15:24:43.884423	155901	56	2	9
2014-04-01 15:24:44.115807	155902	19.9	1	9
2014-04-01 15:24:44.943463	155903	55	2	8
2014-04-01 15:24:45.163641	155904	19.3	1	8
2014-04-01 15:24:54.91026	155905	57	2	1
2014-04-01 15:24:55.141369	155906	20.2	1	1
2014-04-01 15:25:05.50014	155907	64	2	24
2014-04-01 15:25:05.723459	155908	16.4	1	24
2014-04-01 15:25:08.523671	155909	51	2	25
2014-04-01 15:25:08.75381	155910	17.8	1	25
2014-04-01 15:25:15.229669	155911	46	2	10
2014-04-01 15:25:15.451726	155912	20.8	1	10
2014-04-01 15:25:22.882976	155913	56	2	9
2014-04-01 15:25:23.114938	155914	19.9	1	9
2014-04-01 15:25:23.945453	155915	55	2	8
2014-04-01 15:25:24.166039	155916	19.3	1	8
2014-04-01 15:25:33.909914	155917	58	2	1
2014-04-01 15:25:34.140306	155918	20.2	1	1
2014-04-01 15:25:44.498504	155919	64	2	24
2014-04-01 15:25:44.721814	155920	16.4	1	24
2014-04-01 15:25:47.519715	155921	51	2	25
2014-04-01 15:25:47.753784	155922	17.8	1	25
2014-04-01 15:25:54.231544	155923	46	2	10
2014-04-01 15:25:54.456345	155924	20.8	1	10
2014-04-01 15:26:01.884262	155925	56	2	9
2014-04-01 15:26:02.11518	155926	19.9	1	9
2014-04-01 15:26:02.944494	155927	55	2	8
2014-04-01 15:26:03.164662	155928	19.3	1	8
2014-04-01 15:26:12.910131	155929	58	2	1
2014-04-01 15:26:13.142762	155930	20.2	1	1
2014-04-01 15:26:23.498937	155931	64	2	24
2014-04-01 15:26:23.721531	155932	16.4	1	24
2014-04-01 15:26:26.521681	155933	51	2	25
2014-04-01 15:26:26.754569	155934	17.8	1	25
2014-04-01 15:26:33.231809	155935	46	2	10
2014-04-01 15:26:33.453953	155936	20.8	1	10
2014-04-01 15:26:40.885085	155937	56	2	9
2014-04-01 15:26:41.116166	155938	19.9	1	9
2014-04-01 15:26:41.944834	155939	55	2	8
2014-04-01 15:26:42.165941	155940	19.3	1	8
2014-04-01 15:26:51.909827	155941	58	2	1
2014-04-01 15:26:52.140713	155942	20.2	1	1
2014-04-01 15:27:02.497919	155943	64	2	24
2014-04-01 15:27:02.719459	155944	16.4	1	24
2014-04-01 15:27:05.528555	155945	51	2	25
2014-04-01 15:27:05.772544	155946	17.8	1	25
2014-04-01 15:27:12.231483	155947	46	2	10
2014-04-01 15:27:12.454029	155948	20.8	1	10
2014-04-01 15:27:19.886867	155949	56	2	9
2014-04-01 15:27:20.119503	155950	19.9	1	9
2014-04-01 15:27:20.94685	155951	55	2	8
2014-04-01 15:27:21.167398	155952	19.3	1	8
2014-04-01 15:27:30.911626	155953	58	2	1
2014-04-01 15:27:31.143416	155954	20.2	1	1
2014-04-01 15:27:41.496274	155955	64	2	24
2014-04-01 15:27:41.719386	155956	16.4	1	24
2014-04-01 15:27:44.518835	155957	51	2	25
2014-04-01 15:27:44.751944	155958	17.8	1	25
2014-04-01 15:27:51.23187	155959	46	2	10
2014-04-01 15:27:51.454298	155960	20.8	1	10
2014-04-01 15:27:58.884159	155961	56	2	9
2014-04-01 15:27:59.117284	155962	19.9	1	9
2014-04-01 15:27:59.941595	155963	55	2	8
2014-04-01 15:28:00.16594	155964	19.3	1	8
2014-04-01 15:28:09.912608	155965	58	2	1
2014-04-01 15:28:10.145919	155966	20.2	1	1
2014-04-01 15:28:19.803422	155967	595	3	2
2014-04-01 15:28:20.028618	155968	1166540.828735704	4	2
2014-04-01 15:28:20.493982	155969	64	2	24
2014-04-01 15:28:20.737162	155970	16.4	1	24
2014-04-01 15:28:23.522423	155971	51	2	25
2014-04-01 15:28:23.744787	155972	17.8	1	25
2014-04-01 15:28:30.231647	155973	46	2	10
2014-04-01 15:28:30.46356	155974	20.8	1	10
2014-04-01 15:28:37.885964	155975	56	2	9
2014-04-01 15:28:38.109279	155976	19.9	1	9
2014-04-01 15:28:38.944303	155977	55	2	8
2014-04-01 15:28:39.176393	155978	19.3	1	8
2014-04-01 15:28:48.912532	155979	58	2	1
2014-04-01 15:28:49.135391	155980	20.2	1	1
2014-04-01 15:28:59.494163	155981	64	2	24
2014-04-01 15:28:59.728208	155982	16.4	1	24
2014-04-01 15:29:02.521724	155983	51	2	25
2014-04-01 15:29:02.744685	155984	17.8	1	25
2014-04-01 15:29:09.234365	155985	46	2	10
2014-04-01 15:29:09.466296	155986	20.8	1	10
2014-04-01 15:29:16.885379	155987	56	2	9
2014-04-01 15:29:17.107281	155988	19.9	1	9
2014-04-01 15:29:17.944048	155989	55	2	8
2014-04-01 15:29:18.174865	155990	19.4	1	8
2014-04-01 15:29:27.910762	155991	58	2	1
2014-04-01 15:29:28.13807	155992	20.2	1	1
2014-04-01 15:29:38.493137	155993	64	2	24
2014-04-01 15:29:38.73717	155994	16.4	1	24
2014-04-01 15:29:41.518787	155995	51	2	25
2014-04-01 15:29:41.737385	155996	17.8	1	25
2014-04-01 15:29:48.230436	155997	46	2	10
2014-04-01 15:29:48.464221	155998	20.8	1	10
2014-04-01 15:29:55.884106	155999	56	2	9
2014-04-01 15:29:56.106423	156000	19.9	1	9
2014-04-01 15:29:56.943709	156001	55	2	8
2014-04-01 15:29:57.174865	156002	19.4	1	8
2014-04-01 15:30:06.912487	156003	58	2	1
2014-04-01 15:30:07.134182	156004	20.2	1	1
2014-04-01 15:30:17.496357	156005	64	2	24
2014-04-01 15:30:17.728484	156006	16.4	1	24
2014-04-01 15:30:20.520748	156007	51	2	25
2014-04-01 15:30:20.741129	156008	17.8	1	25
2014-04-01 15:30:27.232154	156009	46	2	10
2014-04-01 15:30:27.465606	156010	20.8	1	10
2014-04-01 15:30:34.884209	156011	56	2	9
2014-04-01 15:30:35.105547	156012	19.9	1	9
2014-04-01 15:30:35.943976	156013	55	2	8
2014-04-01 15:30:36.174667	156014	19.4	1	8
2014-04-01 15:30:45.911027	156015	58	2	1
2014-04-01 15:30:46.134388	156016	20.2	1	1
2014-04-01 15:30:56.490065	156017	64	2	24
2014-04-01 15:30:56.725308	156018	16.4	1	24
2014-04-01 15:30:59.520281	156019	51	2	25
2014-04-01 15:30:59.743383	156020	17.8	1	25
2014-04-01 15:31:06.231627	156021	46	2	10
2014-04-01 15:31:06.463522	156022	20.8	1	10
2014-04-01 15:31:07.802593	156023	531	3	2
2014-04-01 15:31:08.023865	156024	1166568.405569018	4	2
2014-04-01 15:31:13.887319	156025	56	2	9
2014-04-01 15:31:14.118601	156026	19.9	1	9
2014-04-01 15:31:14.944281	156027	55	2	8
2014-04-01 15:31:15.165117	156028	19.4	1	8
2014-04-01 15:31:24.911838	156029	58	2	1
2014-04-01 15:31:25.143947	156030	20.2	1	1
2014-04-01 15:31:31.801124	156031	531	3	2
2014-04-01 15:31:32.023345	156032	1166571.8526731823	4	2
2014-04-01 15:31:35.485844	156033	64	2	24
2014-04-01 15:31:35.718115	156034	16.4	1	24
2014-04-01 15:31:38.518975	156035	51	2	25
2014-04-01 15:31:38.742776	156036	17.8	1	25
2014-04-01 15:31:45.232888	156037	46	2	10
2014-04-01 15:31:45.463918	156038	20.8	1	10
2014-04-01 15:31:52.885511	156039	56	2	9
2014-04-01 15:31:53.107988	156040	19.9	1	9
2014-04-01 15:31:53.943841	156041	55	2	8
2014-04-01 15:31:54.185644	156042	19.4	1	8
2014-04-01 15:32:03.909581	156043	58	2	1
2014-04-01 15:32:04.130261	156044	20.2	1	1
2014-04-01 15:32:14.48444	156045	64	2	24
2014-04-01 15:32:14.716678	156046	16.4	1	24
2014-04-01 15:32:17.519703	156047	51	2	25
2014-04-01 15:32:17.741008	156048	17.8	1	25
2014-04-01 15:32:24.233137	156049	46	2	10
2014-04-01 15:32:24.466226	156050	20.8	1	10
2014-04-01 15:32:32.085966	156051	56	2	9
2014-04-01 15:32:32.307318	156052	19.9	1	9
2014-04-01 15:32:32.94386	156053	55	2	8
2014-04-01 15:32:33.173594	156054	19.4	1	8
2014-04-01 15:32:42.912139	156055	58	2	1
2014-04-01 15:32:43.135317	156056	20.2	1	1
2014-04-01 15:32:53.490595	156057	64	2	24
2014-04-01 15:32:53.724295	156058	16.4	1	24
2014-04-01 15:32:56.518451	156059	51	2	25
2014-04-01 15:32:56.740134	156060	17.8	1	25
2014-04-01 15:33:03.234661	156061	46	2	10
2014-04-01 15:33:03.466044	156062	20.8	1	10
2014-04-01 15:33:10.883556	156063	56	2	9
2014-04-01 15:33:11.107124	156064	19.9	1	9
2014-04-01 15:33:11.946027	156065	55	2	8
2014-04-01 15:33:12.176309	156066	19.4	1	8
2014-04-01 15:33:21.908029	156067	57	2	1
2014-04-01 15:33:22.130837	156068	20.2	1	1
2014-04-01 15:33:32.491287	156069	64	2	24
2014-04-01 15:33:32.723236	156070	16.4	1	24
2014-04-01 15:33:35.517119	156071	51	2	25
2014-04-01 15:33:35.73789	156072	17.8	1	25
2014-04-01 15:33:42.232034	156073	46	2	10
2014-04-01 15:33:42.46357	156074	20.8	1	10
2014-04-01 15:33:49.886364	156075	56	2	9
2014-04-01 15:33:50.108436	156076	19.9	1	9
2014-04-01 15:33:50.943033	156077	55	2	8
2014-04-01 15:33:51.175057	156078	19.4	1	8
2014-04-01 15:34:00.907302	156079	57	2	1
2014-04-01 15:34:01.130892	156080	20.2	1	1
2014-04-01 15:34:11.489645	156081	64	2	24
2014-04-01 15:34:11.722408	156082	16.4	1	24
2014-04-01 15:34:14.520168	156083	51	2	25
2014-04-01 15:34:14.741704	156084	17.8	1	25
2014-04-01 15:34:21.234412	156085	46	2	10
2014-04-01 15:34:21.467145	156086	20.8	1	10
2014-04-01 15:34:28.884025	156087	56	2	9
2014-04-01 15:34:29.104613	156088	19.9	1	9
2014-04-01 15:34:29.943836	156089	55	2	8
2014-04-01 15:34:30.186981	156090	19.4	1	8
2014-04-01 15:34:39.906948	156091	57	2	1
2014-04-01 15:34:40.128221	156092	20.2	1	1
2014-04-01 15:34:50.489545	156093	64	2	24
2014-04-01 15:34:50.722397	156094	16.4	1	24
2014-04-01 15:34:53.520068	156095	51	2	25
2014-04-01 15:34:53.741291	156096	17.8	1	25
2014-04-01 15:35:00.234075	156097	46	2	10
2014-04-01 15:35:00.467267	156098	20.8	1	10
2014-04-01 15:35:07.884462	156099	56	2	9
2014-04-01 15:35:08.10644	156100	19.9	1	9
2014-04-01 15:35:08.943951	156101	55	2	8
2014-04-01 15:35:09.174737	156102	19.4	1	8
2014-04-01 15:35:18.904658	156103	57	2	1
2014-04-01 15:35:19.126658	156104	20.2	1	1
2014-04-01 15:35:29.491763	156105	64	2	24
2014-04-01 15:35:29.723046	156106	16.4	1	24
2014-04-01 15:35:32.517064	156107	51	2	25
2014-04-01 15:35:32.738289	156108	17.8	1	25
2014-04-01 15:35:39.23405	156109	46	2	10
2014-04-01 15:35:39.466373	156110	20.8	1	10
2014-04-01 15:35:46.884723	156111	56	2	9
2014-04-01 15:35:47.10966	156112	19.9	1	9
2014-04-01 15:35:47.944084	156113	55	2	8
2014-04-01 15:35:48.174329	156114	19.4	1	8
2014-04-01 15:35:57.905725	156115	58	2	1
2014-04-01 15:35:58.133361	156116	20.2	1	1
2014-04-01 15:36:08.490151	156117	64	2	24
2014-04-01 15:36:08.722435	156118	16.4	1	24
2014-04-01 15:36:11.51946	156119	51	2	25
2014-04-01 15:36:11.741443	156120	17.8	1	25
2014-04-01 15:36:18.234745	156121	46	2	10
2014-04-01 15:36:18.466274	156122	20.8	1	10
2014-04-01 15:36:25.886013	156123	56	2	9
2014-04-01 15:36:26.10809	156124	19.9	1	9
2014-04-01 15:36:26.943298	156125	55	2	8
2014-04-01 15:36:27.17329	156126	19.4	1	8
2014-04-01 15:36:36.904887	156127	58	2	1
2014-04-01 15:36:37.126952	156128	20.2	1	1
2014-04-01 15:36:47.489002	156129	64	2	24
2014-04-01 15:36:47.724751	156130	16.4	1	24
2014-04-01 15:36:50.516926	156131	51	2	25
2014-04-01 15:36:50.740307	156132	17.8	1	25
2014-04-01 15:36:57.233645	156133	46	2	10
2014-04-01 15:36:57.465734	156134	20.8	1	10
2014-04-01 15:37:04.884706	156135	57	2	9
2014-04-01 15:37:05.107642	156136	19.9	1	9
2014-04-01 15:37:05.944166	156137	55	2	8
2014-04-01 15:37:06.189548	156138	19.4	1	8
2014-04-01 15:37:15.908724	156139	58	2	1
2014-04-01 15:37:16.132618	156140	20.2	1	1
2014-04-01 15:37:26.487763	156141	64	2	24
2014-04-01 15:37:26.719306	156142	16.4	1	24
2014-04-01 15:37:29.515382	156143	51	2	25
2014-04-01 15:37:29.73979	156144	17.8	1	25
2014-04-01 15:37:36.234303	156145	46	2	10
2014-04-01 15:37:36.464795	156146	20.8	1	10
2014-04-01 15:37:43.88582	156147	57	2	9
2014-04-01 15:37:44.110358	156148	19.9	1	9
2014-04-01 15:37:44.943389	156149	55	2	8
2014-04-01 15:37:45.176074	156150	19.4	1	8
2014-04-01 15:37:54.905498	156151	58	2	1
2014-04-01 15:37:55.12892	156152	20.2	1	1
2014-04-01 15:38:05.488239	156153	64	2	24
2014-04-01 15:38:05.717957	156154	16.4	1	24
2014-04-01 15:38:08.516018	156155	51	2	25
2014-04-01 15:38:08.737217	156156	17.8	1	25
2014-04-01 15:38:15.235526	156157	46	2	10
2014-04-01 15:38:15.467498	156158	20.8	1	10
2014-04-01 15:38:22.886218	156159	57	2	9
2014-04-01 15:38:23.109221	156160	19.9	1	9
2014-04-01 15:38:23.946897	156161	55	2	8
2014-04-01 15:38:24.176171	156162	19.4	1	8
2014-04-01 15:38:33.905676	156163	58	2	1
2014-04-01 15:38:34.130882	156164	20.2	1	1
2014-04-01 15:38:44.485125	156165	64	2	24
2014-04-01 15:38:44.717984	156166	16.4	1	24
2014-04-01 15:38:47.516303	156167	51	2	25
2014-04-01 15:38:47.737543	156168	17.8	1	25
2014-04-01 15:38:54.236001	156169	46	2	10
2014-04-01 15:38:54.469853	156170	20.8	1	10
2014-04-01 15:39:01.884848	156171	57	2	9
2014-04-01 15:39:02.108011	156172	19.9	1	9
2014-04-01 15:39:02.943016	156173	55	2	8
2014-04-01 15:39:03.175864	156174	19.4	1	8
2014-04-01 15:39:12.90808	156175	58	2	1
2014-04-01 15:39:13.132432	156176	20.2	1	1
2014-04-01 15:39:23.484384	156177	64	2	24
2014-04-01 15:39:23.716909	156178	16.4	1	24
2014-04-01 15:39:26.515725	156179	51	2	25
2014-04-01 15:39:26.736854	156180	17.8	1	25
2014-04-01 15:39:33.23682	156181	46	2	10
2014-04-01 15:39:33.467434	156182	20.8	1	10
2014-04-01 15:39:40.884865	156183	57	2	9
2014-04-01 15:39:41.108532	156184	19.9	1	9
2014-04-01 15:39:41.942716	156185	55	2	8
2014-04-01 15:39:42.186916	156186	19.4	1	8
2014-04-01 15:39:51.902649	156187	58	2	1
2014-04-01 15:39:52.123902	156188	20.2	1	1
2014-04-01 15:40:02.523403	156189	64	2	24
2014-04-01 15:40:02.940419	156190	16.4	1	24
2014-04-01 15:40:05.514849	156191	51	2	25
2014-04-01 15:40:05.734857	156192	17.8	1	25
2014-04-01 15:40:12.235308	156193	46	2	10
2014-04-01 15:40:12.460093	156194	20.8	1	10
2014-04-01 15:40:19.886862	156195	57	2	9
2014-04-01 15:40:20.116807	156196	19.9	1	9
2014-04-01 15:40:20.943493	156197	55	2	8
2014-04-01 15:40:21.164078	156198	19.4	1	8
2014-04-01 15:40:30.907644	156199	58	2	1
2014-04-01 15:40:31.135763	156200	20.2	1	1
2014-04-01 15:40:41.484042	156201	64	2	24
2014-04-01 15:40:41.706344	156202	16.4	1	24
2014-04-01 15:40:44.514126	156203	51	2	25
2014-04-01 15:40:44.744998	156204	17.8	1	25
2014-04-01 15:40:51.235249	156205	46	2	10
2014-04-01 15:40:51.456697	156206	20.8	1	10
2014-04-01 15:40:58.882985	156207	57	2	9
2014-04-01 15:40:59.11326	156208	19.9	1	9
2014-04-01 15:40:59.943219	156209	55	2	8
2014-04-01 15:41:00.163567	156210	19.4	1	8
2014-04-01 15:41:09.900581	156211	58	2	1
2014-04-01 15:41:10.130345	156212	20.2	1	1
2014-04-01 15:41:20.484233	156213	64	2	24
2014-04-01 15:41:20.704569	156214	16.4	1	24
2014-04-01 15:41:23.516215	156215	51	2	25
2014-04-01 15:41:23.747813	156216	17.8	1	25
2014-04-01 15:41:30.234977	156217	46	2	10
2014-04-01 15:41:30.458012	156218	20.8	1	10
2014-04-01 15:41:37.883664	156219	57	2	9
2014-04-01 15:41:38.114975	156220	19.9	1	9
2014-04-01 15:41:38.942917	156221	55	2	8
2014-04-01 15:41:39.162983	156222	19.4	1	8
2014-04-01 15:41:48.901633	156223	58	2	1
2014-04-01 15:41:49.132168	156224	20.2	1	1
2014-04-01 15:41:59.482617	156225	64	2	24
2014-04-01 15:41:59.70532	156226	16.4	1	24
2014-04-01 15:42:02.51402	156227	51	2	25
2014-04-01 15:42:02.744914	156228	17.8	1	25
2014-04-01 15:42:09.234745	156229	46	2	10
2014-04-01 15:42:09.456048	156230	20.8	1	10
2014-04-01 15:42:16.88254	156231	57	2	9
2014-04-01 15:42:17.113354	156232	19.9	1	9
2014-04-01 15:42:17.943576	156233	55	2	8
2014-04-01 15:42:18.1635	156234	19.4	1	8
2014-04-01 15:42:27.904318	156235	58	2	1
2014-04-01 15:42:28.148075	156236	20.2	1	1
2014-04-01 15:42:38.480445	156237	64	2	24
2014-04-01 15:42:38.704946	156238	16.4	1	24
2014-04-01 15:42:41.513404	156239	51	2	25
2014-04-01 15:42:41.747805	156240	17.8	1	25
2014-04-01 15:42:48.235654	156241	46	2	10
2014-04-01 15:42:48.456462	156242	20.8	1	10
2014-04-01 15:42:55.884307	156243	57	2	9
2014-04-01 15:42:56.11515	156244	19.9	1	9
2014-04-01 15:42:56.943776	156245	54	2	8
2014-04-01 15:42:57.163983	156246	19.4	1	8
2014-04-01 15:43:06.908224	156247	58	2	1
2014-04-01 15:43:07.138704	156248	20.2	1	1
2014-04-01 15:43:17.480362	156249	64	2	24
2014-04-01 15:43:17.700693	156250	16.4	1	24
2014-04-01 15:43:20.514562	156251	51	2	25
2014-04-01 15:43:20.746936	156252	17.8	1	25
2014-04-01 15:43:27.235613	156253	46	2	10
2014-04-01 15:43:27.456316	156254	20.8	1	10
2014-04-01 15:43:34.882816	156255	57	2	9
2014-04-01 15:43:35.113707	156256	19.9	1	9
2014-04-01 15:43:35.945484	156257	54	2	8
2014-04-01 15:43:36.164671	156258	19.4	1	8
2014-04-01 15:43:45.902702	156259	58	2	1
2014-04-01 15:43:46.135311	156260	20.2	1	1
2014-04-01 15:43:56.482466	156261	64	2	24
2014-04-01 15:43:56.703211	156262	16.3	1	24
2014-04-01 15:43:59.513438	156263	51	2	25
2014-04-01 15:43:59.744049	156264	17.8	1	25
2014-04-01 15:44:06.235612	156265	46	2	10
2014-04-01 15:44:06.456264	156266	20.8	1	10
2014-04-01 15:44:13.884585	156267	57	2	9
2014-04-01 15:44:14.116936	156268	19.9	1	9
2014-04-01 15:44:14.944061	156269	54	2	8
2014-04-01 15:44:15.165405	156270	19.4	1	8
2014-04-01 15:44:24.90018	156271	58	2	1
2014-04-01 15:44:25.131106	156272	20.2	1	1
2014-04-01 15:44:35.480333	156273	64	2	24
2014-04-01 15:44:35.701099	156274	16.3	1	24
2014-04-01 15:44:38.513094	156275	51	2	25
2014-04-01 15:44:38.743285	156276	17.8	1	25
2014-04-01 15:44:45.235025	156277	46	2	10
2014-04-01 15:44:45.456742	156278	20.8	1	10
2014-04-01 15:44:52.879813	156279	57	2	9
2014-04-01 15:44:53.170878	156280	19.9	1	9
2014-04-01 15:44:53.942664	156281	54	2	8
2014-04-01 15:44:54.165155	156282	19.4	1	8
2014-04-01 15:45:03.900092	156283	58	2	1
2014-04-01 15:45:04.143357	156284	20.2	1	1
2014-04-01 15:45:14.481395	156285	64	2	24
2014-04-01 15:45:14.703006	156286	16.3	1	24
2014-04-01 15:45:17.51248	156287	51	2	25
2014-04-01 15:45:17.742616	156288	17.8	1	25
2014-04-01 15:45:24.238094	156289	46	2	10
2014-04-01 15:45:24.460158	156290	20.8	1	10
2014-04-01 15:45:32.088573	156291	57	2	9
2014-04-01 15:45:32.321504	156292	19.9	1	9
2014-04-01 15:45:32.943828	156293	54	2	8
2014-04-01 15:45:33.164414	156294	19.4	1	8
2014-04-01 15:45:42.903936	156295	58	2	1
2014-04-01 15:45:43.134902	156296	20.2	1	1
2014-04-01 15:45:53.47976	156297	64	2	24
2014-04-01 15:45:53.702614	156298	16.3	1	24
2014-04-01 15:45:56.513504	156299	51	2	25
2014-04-01 15:45:56.74353	156300	17.8	1	25
2014-04-01 15:46:03.236585	156301	46	2	10
2014-04-01 15:46:03.463344	156302	20.8	1	10
2014-04-01 15:46:10.882315	156303	57	2	9
2014-04-01 15:46:11.113417	156304	19.9	1	9
2014-04-01 15:46:11.943553	156305	54	2	8
2014-04-01 15:46:12.164056	156306	19.3	1	8
2014-04-01 15:46:21.902469	156307	58	2	1
2014-04-01 15:46:22.132853	156308	20.2	1	1
2014-04-01 15:46:32.480143	156309	64	2	24
2014-04-01 15:46:32.702291	156310	16.3	1	24
2014-04-01 15:46:35.515261	156311	51	2	25
2014-04-01 15:46:35.745832	156312	17.8	1	25
2014-04-01 15:46:42.236872	156313	46	2	10
2014-04-01 15:46:42.460294	156314	20.8	1	10
2014-04-01 15:46:49.882299	156315	57	2	9
2014-04-01 15:46:50.113976	156316	19.9	1	9
2014-04-01 15:46:50.944454	156317	54	2	8
2014-04-01 15:46:51.164933	156318	19.3	1	8
2014-04-01 15:47:11.47662	156319	64	2	24
2014-04-01 15:47:11.708925	156320	16.3	1	24
2014-04-01 15:47:14.510934	156321	51	2	25
2014-04-01 15:47:14.733704	156322	17.7	1	25
2014-04-01 15:47:21.237265	156323	46	2	10
2014-04-01 15:47:21.467131	156324	20.8	1	10
2014-04-01 15:47:28.880398	156325	57	2	9
2014-04-01 15:47:29.101565	156326	19.9	1	9
2014-04-01 15:47:29.930338	156327	54	2	8
2014-04-01 15:47:30.161272	156328	19.3	1	8
2014-04-01 15:47:39.905088	156329	58	2	1
2014-04-01 15:47:40.129492	156330	20.2	1	1
2014-04-01 15:47:50.473538	156331	64	2	24
2014-04-01 15:47:50.71903	156332	16.3	1	24
2014-04-01 15:47:53.511238	156333	51	2	25
2014-04-01 15:47:53.733674	156334	17.7	1	25
2014-04-01 15:48:00.235205	156335	46	2	10
2014-04-01 15:48:00.468561	156336	20.8	1	10
2014-04-01 15:48:08.07956	156337	57	2	9
2014-04-01 15:48:08.300028	156338	19.9	1	9
2014-04-01 15:48:18.902674	156339	58	2	1
2014-04-01 15:48:19.134008	156340	20.2	1	1
2014-04-01 15:48:29.473764	156341	64	2	24
2014-04-01 15:48:29.695054	156342	16.3	1	24
2014-04-01 15:48:32.512776	156343	51	2	25
2014-04-01 15:48:32.743035	156344	17.7	1	25
2014-04-01 15:48:39.236399	156345	46	2	10
2014-04-01 15:48:39.457161	156346	20.8	1	10
2014-04-01 15:48:46.878226	156347	57	2	9
2014-04-01 15:48:47.10861	156348	19.9	1	9
2014-04-01 15:48:47.93655	156349	54	2	8
2014-04-01 15:48:48.157021	156350	19.3	1	8
2014-04-01 15:48:57.903276	156351	58	2	1
2014-04-01 15:48:58.143714	156352	20.2	1	1
2014-04-01 15:49:07.801006	156353	547	3	2
2014-04-01 15:49:08.023948	156354	1166714.332978638	4	2
2014-04-01 15:49:08.47171	156355	64	2	24
2014-04-01 15:49:08.700888	156356	16.3	1	24
2014-04-01 15:49:11.50805	156357	51	2	25
2014-04-01 15:49:11.729034	156358	17.7	1	25
2014-04-01 15:49:18.237955	156359	46	2	10
2014-04-01 15:49:18.468898	156360	20.8	1	10
2014-04-01 15:49:19.801969	156361	547	3	2
2014-04-01 15:49:20.023579	156362	1166716.6310480807	4	2
2014-04-01 15:49:26.073453	156363	57	2	9
2014-04-01 15:49:26.305721	156364	19.9	1	9
2014-04-01 15:49:27.13567	156365	54	2	8
2014-04-01 15:49:27.355989	156366	19.3	1	8
2014-04-01 15:49:31.799596	156367	547	3	2
2014-04-01 15:49:32.036515	156368	1166717.780082802	4	2
2014-04-01 15:49:36.903843	156369	58	2	1
2014-04-01 15:49:37.134117	156370	20.2	1	1
2014-04-01 15:49:47.469051	156371	64	2	24
2014-04-01 15:49:47.701317	156372	16.3	1	24
2014-04-01 15:49:50.509378	156373	51	2	25
2014-04-01 15:49:50.731544	156374	17.7	1	25
2014-04-01 15:49:57.238303	156375	46	2	10
2014-04-01 15:49:57.469046	156376	20.8	1	10
2014-04-01 15:50:04.878577	156377	57	2	9
2014-04-01 15:50:05.103102	156378	19.9	1	9
2014-04-01 15:50:05.933254	156379	54	2	8
2014-04-01 15:50:06.176192	156380	19.3	1	8
2014-04-01 15:50:15.903073	156381	58	2	1
2014-04-01 15:50:16.125968	156382	20.2	1	1
2014-04-01 15:50:19.798737	156383	547	3	2
2014-04-01 15:50:20.02942	156384	1166725.823325852	4	2
2014-04-01 15:50:26.470082	156385	64	2	24
2014-04-01 15:50:26.693183	156386	16.3	1	24
2014-04-01 15:50:29.507669	156387	51	2	25
2014-04-01 15:50:29.740299	156388	17.7	1	25
2014-04-01 15:50:31.802251	156389	547	3	2
2014-04-01 15:50:32.023207	156390	1166726.9723605735	4	2
2014-04-01 15:50:36.240657	156391	46	2	10
2014-04-01 15:50:36.471123	156392	20.8	1	10
2014-04-01 15:50:43.879789	156393	57	2	9
2014-04-01 15:50:44.100322	156394	19.9	1	9
2014-04-01 15:50:44.939112	156395	54	2	8
2014-04-01 15:50:45.170491	156396	19.3	1	8
2014-04-01 15:50:54.902122	156397	58	2	1
2014-04-01 15:50:55.123224	156398	20.2	1	1
2014-04-01 15:51:05.474677	156399	64	2	24
2014-04-01 15:51:05.706024	156400	16.3	1	24
2014-04-01 15:51:08.50962	156401	51	2	25
2014-04-01 15:51:08.730814	156402	17.7	1	25
2014-04-01 15:51:15.237923	156403	46	2	10
2014-04-01 15:51:15.471052	156404	20.8	1	10
2014-04-01 15:51:22.921032	156405	57	2	9
2014-04-01 15:51:23.158857	156406	19.9	1	9
2014-04-01 15:51:23.941057	156407	54	2	8
2014-04-01 15:51:24.172938	156408	19.3	1	8
2014-04-01 15:51:31.799201	156409	482	3	2
2014-04-01 15:51:32.020372	156410	1166736.1646383447	4	2
2014-04-01 15:51:33.902178	156411	58	2	1
2014-04-01 15:51:34.134224	156412	20.2	1	1
2014-04-01 15:51:43.803048	156413	579	3	2
2014-04-01 15:51:44.025196	156414	1166738.4627077875	4	2
2014-04-01 15:51:44.474256	156415	64	2	24
2014-04-01 15:51:44.704896	156416	16.3	1	24
2014-04-01 15:51:47.509741	156417	51	2	25
2014-04-01 15:51:47.731845	156418	17.7	1	25
2014-04-01 15:51:54.241481	156419	46	2	10
2014-04-01 15:51:54.473774	156420	20.8	1	10
2014-04-01 15:52:01.881914	156421	57	2	9
2014-04-01 15:52:02.103292	156422	19.9	1	9
2014-04-01 15:52:02.939851	156423	54	2	8
2014-04-01 15:52:03.170096	156424	19.3	1	8
2014-04-01 15:52:07.799055	156425	547	3	2
2014-04-01 15:52:08.023528	156426	1166741.9098119517	4	2
2014-04-01 15:52:12.900437	156427	58	2	1
2014-04-01 15:52:13.144911	156428	20.2	1	1
2014-04-01 15:52:23.471649	156429	64	2	24
2014-04-01 15:52:23.697288	156430	16.3	1	24
2014-04-01 15:52:26.509088	156431	51	2	25
2014-04-01 15:52:26.741164	156432	17.7	1	25
2014-04-01 15:52:33.238062	156433	46	2	10
2014-04-01 15:52:33.461392	156434	20.8	1	10
2014-04-01 15:52:40.884645	156435	57	2	9
2014-04-01 15:52:41.11781	156436	19.9	1	9
2014-04-01 15:52:41.940342	156437	54	2	8
2014-04-01 15:52:42.159652	156438	19.3	1	8
2014-04-01 15:52:51.899024	156439	58	2	1
2014-04-01 15:52:52.129184	156440	20.2	1	1
2014-04-01 15:53:02.46967	156441	64	2	24
2014-04-01 15:53:02.694123	156442	16.3	1	24
2014-04-01 15:53:05.510427	156443	51	2	25
2014-04-01 15:53:05.743522	156444	17.7	1	25
2014-04-01 15:53:12.239796	156445	46	2	10
2014-04-01 15:53:12.459434	156446	20.8	1	10
2014-04-01 15:53:20.085917	156447	57	2	9
2014-04-01 15:53:20.316146	156448	19.9	1	9
2014-04-01 15:53:20.938951	156449	55	2	8
2014-04-01 15:53:21.158317	156450	19.3	1	8
2014-04-01 15:53:30.89498	156451	58	2	1
2014-04-01 15:53:31.125887	156452	20.2	1	1
2014-04-01 15:53:41.471624	156453	64	2	24
2014-04-01 15:53:41.693696	156454	16.3	1	24
2014-04-01 15:53:44.509052	156455	51	2	25
2014-04-01 15:53:44.738861	156456	17.7	1	25
2014-04-01 15:53:51.237975	156457	46	2	10
2014-04-01 15:53:51.459132	156458	20.8	1	10
2014-04-01 15:53:55.802931	156459	547	3	2
2014-04-01 15:53:56.034906	156460	1166757.9962980517	4	2
2014-04-01 15:53:58.886638	156461	57	2	9
2014-04-01 15:53:59.106861	156462	19.9	1	9
2014-04-01 15:53:59.942533	156463	55	2	8
2014-04-01 15:54:00.171609	156464	19.3	1	8
2014-04-01 15:54:07.799956	156465	579	3	2
2014-04-01 15:54:08.023276	156466	1166759.1498037253	4	2
2014-04-01 15:54:09.90182	156467	58	2	1
2014-04-01 15:54:10.132884	156468	20.2	1	1
2014-04-01 15:54:19.800741	156469	547	3	2
2014-04-01 15:54:20.023043	156470	1166761.4478731682	4	2
2014-04-01 15:54:20.469581	156471	64	2	24
2014-04-01 15:54:20.701268	156472	16.3	1	24
2014-04-01 15:54:23.511907	156473	51	2	25
2014-04-01 15:54:23.733826	156474	17.7	1	25
2014-04-01 15:54:30.239514	156475	46	2	10
2014-04-01 15:54:30.515306	156476	20.8	1	10
2014-04-01 15:54:31.800167	156477	627	3	2
2014-04-01 15:54:32.047111	156478	1166762.5969078895	4	2
2014-04-01 15:54:37.882894	156479	57	2	9
2014-04-01 15:54:38.474673	156480	19.9	1	9
2014-04-01 15:54:38.949591	156481	54	2	8
2014-04-01 15:54:40.362684	156482	19.3	1	8
2014-04-01 15:54:43.800603	156483	643	3	2
2014-04-01 15:54:44.103993	156484	1166764.8949773323	4	2
2014-04-01 15:54:48.900685	156485	58	2	1
2014-04-01 15:54:49.216983	156486	20.2	1	1
2014-04-01 15:54:59.471016	156487	64	2	24
2014-04-01 15:54:59.736949	156488	16.4	1	24
2014-04-01 15:55:02.510303	156489	51	2	25
2014-04-01 15:55:02.764221	156490	17.7	1	25
2014-04-01 15:55:09.239893	156491	46	2	10
2014-04-01 15:55:09.47006	156492	20.8	1	10
2014-04-01 15:55:16.885662	156493	57	2	9
2014-04-01 15:55:17.10779	156494	19.9	1	9
2014-04-01 15:55:17.934825	156495	54	2	8
2014-04-01 15:55:18.166867	156496	19.3	1	8
2014-04-01 15:55:27.899179	156497	58	2	1
2014-04-01 15:55:28.128995	156498	20.2	1	1
2014-04-01 15:55:31.798497	156499	579	3	2
2014-04-01 15:55:32.029077	156500	1166772.9382203822	4	2
2014-04-01 15:55:38.707811	156501	64	2	24
2014-04-01 15:55:38.929415	156502	16.4	1	24
2014-04-01 15:55:41.50907	156503	51	2	25
2014-04-01 15:55:41.738791	156504	17.7	1	25
2014-04-01 15:55:48.241645	156505	46	2	10
2014-04-01 15:55:48.463863	156506	20.9	1	10
2014-04-01 15:55:55.887626	156507	57	2	9
2014-04-01 15:55:56.117822	156508	19.9	1	9
2014-04-01 15:55:56.940491	156509	55	2	8
2014-04-01 15:55:57.160418	156510	19.3	1	8
2014-04-01 15:56:06.896586	156511	58	2	1
2014-04-01 15:56:07.126864	156512	20.2	1	1
2014-04-01 15:56:17.469481	156513	64	2	24
2014-04-01 15:56:17.691527	156514	16.4	1	24
2014-04-01 15:56:20.507998	156515	51	2	25
2014-04-01 15:56:20.738067	156516	17.7	1	25
2014-04-01 15:56:27.240164	156517	46	2	10
2014-04-01 15:56:27.463279	156518	20.9	1	10
2014-04-01 15:56:31.800081	156519	611	3	2
2014-04-01 15:56:32.033005	156520	1166783.279532875	4	2
2014-04-01 15:56:34.883701	156521	57	2	9
2014-04-01 15:56:35.106137	156522	19.9	1	9
2014-04-01 15:56:35.939565	156523	55	2	8
2014-04-01 15:56:36.180882	156524	19.3	1	8
2014-04-01 15:56:43.800141	156525	595	3	2
2014-04-01 15:56:44.019991	156526	1166785.5776023178	4	2
2014-04-01 15:56:45.896039	156527	58	2	1
2014-04-01 15:56:46.148714	156528	20.3	1	1
2014-04-01 15:56:56.505448	156529	64	2	24
2014-04-01 15:56:56.725175	156530	16.4	1	24
2014-04-01 15:56:59.509463	156531	51	2	25
2014-04-01 15:56:59.742624	156532	17.7	1	25
2014-04-01 15:57:06.240839	156533	46	2	10
2014-04-01 15:57:06.464558	156534	20.9	1	10
2014-04-01 15:57:13.884202	156535	57	2	9
2014-04-01 15:57:14.116918	156536	19.9	1	9
2014-04-01 15:57:14.937226	156537	55	2	8
2014-04-01 15:57:15.157014	156538	19.3	1	8
2014-04-01 15:57:24.896297	156539	58	2	1
2014-04-01 15:57:25.127571	156540	20.3	1	1
2014-04-01 15:57:31.799507	156541	595	3	2
2014-04-01 15:57:32.023296	156542	1166793.6208453677	4	2
2014-04-01 15:57:35.467516	156543	64	2	24
2014-04-01 15:57:35.699492	156544	16.4	1	24
2014-04-01 15:57:38.512161	156545	51	2	25
2014-04-01 15:57:38.734945	156546	17.7	1	25
2014-04-01 15:57:45.240319	156547	46	2	10
2014-04-01 15:57:45.47058	156548	20.9	1	10
2014-04-01 15:57:52.882334	156549	57	2	9
2014-04-01 15:57:53.104367	156550	19.9	1	9
2014-04-01 15:57:53.939111	156551	54	2	8
2014-04-01 15:57:54.170296	156552	19.3	1	8
2014-04-01 15:58:03.89726	156553	58	2	1
2014-04-01 15:58:04.12038	156554	20.3	1	1
2014-04-01 15:58:14.467747	156555	64	2	24
2014-04-01 15:58:14.699095	156556	16.5	1	24
2014-04-01 15:58:17.508021	156557	51	2	25
2014-04-01 15:58:17.73019	156558	17.7	1	25
2014-04-01 15:58:24.243177	156559	46	2	10
2014-04-01 15:58:24.473626	156560	20.9	1	10
2014-04-01 15:58:32.08403	156561	57	2	9
2014-04-01 15:58:32.304788	156562	19.9	1	9
2014-04-01 15:58:32.939995	156563	55	2	8
2014-04-01 15:58:33.169471	156564	19.3	1	8
2014-04-01 15:58:42.89442	156565	58	2	1
2014-04-01 15:58:43.115938	156566	20.3	1	1
2014-04-01 15:58:53.522361	156567	64	2	24
2014-04-01 15:58:53.756182	156568	16.5	1	24
2014-04-01 15:58:56.508573	156569	51	2	25
2014-04-01 15:58:56.731647	156570	17.7	1	25
2014-04-01 15:59:03.240387	156571	46	2	10
2014-04-01 15:59:03.48407	156572	20.9	1	10
2014-04-01 15:59:10.884633	156573	57	2	9
2014-04-01 15:59:11.105106	156574	19.9	1	9
2014-04-01 15:59:11.937605	156575	54	2	8
2014-04-01 15:59:12.171187	156576	19.3	1	8
2014-04-01 15:59:21.893697	156577	58	2	1
2014-04-01 15:59:22.114467	156578	20.3	1	1
2014-04-01 15:59:31.800123	156579	579	3	2
2014-04-01 15:59:32.033952	156580	1166813.1544356318	4	2
2014-04-01 15:59:32.46618	156581	64	2	24
2014-04-01 15:59:32.68667	156582	16.5	1	24
2014-04-01 15:59:35.507293	156583	51	2	25
2014-04-01 15:59:35.737339	156584	17.7	1	25
2014-04-01 15:59:42.241574	156585	46	2	10
2014-04-01 15:59:42.462934	156586	20.9	1	10
2014-04-01 15:59:49.886085	156587	57	2	9
2014-04-01 15:59:50.118219	156588	19.9	1	9
2014-04-01 15:59:50.940591	156589	54	2	8
2014-04-01 15:59:51.160876	156590	19.4	1	8
2014-04-01 16:00:00.894265	156591	58	2	1
2014-04-01 16:00:01.127798	156592	20.4	1	1
2014-04-01 16:00:11.461143	156593	64	2	24
2014-04-01 16:00:11.682149	156594	16.5	1	24
2014-04-01 16:00:14.506232	156595	51	2	25
2014-04-01 16:00:14.736299	156596	17.7	1	25
2014-04-01 16:00:21.447886	156597	46	2	10
2014-04-01 16:00:21.66972	156598	21.0	1	10
2014-04-01 16:00:28.883601	156599	57	2	9
2014-04-01 16:00:29.115202	156600	19.9	1	9
2014-04-01 16:00:29.937075	156601	54	2	8
2014-04-01 16:00:30.160527	156602	19.4	1	8
2014-04-01 16:00:31.798689	156603	579	3	2
2014-04-01 16:00:32.030027	156604	1166822.346713403	4	2
2014-04-01 16:00:39.892527	156605	58	2	1
2014-04-01 16:00:40.115327	156606	20.4	1	1
2014-04-01 16:00:50.463147	156607	64	2	24
2014-04-01 16:00:50.693828	156608	16.6	1	24
2014-04-01 16:00:53.562465	156609	51	2	25
2014-04-01 16:00:53.785026	156610	17.7	1	25
2014-04-01 16:01:00.242885	156611	46	2	10
2014-04-01 16:01:00.47386	156612	21.0	1	10
2014-04-01 16:01:07.883067	156613	57	2	9
2014-04-01 16:01:08.103473	156614	19.9	1	9
2014-04-01 16:01:08.937769	156615	54	2	8
2014-04-01 16:01:09.168957	156616	19.4	1	8
2014-04-01 16:01:18.892207	156617	58	2	1
2014-04-01 16:01:19.113292	156618	20.4	1	1
2014-04-01 16:01:19.800634	156619	627	3	2
2014-04-01 16:01:20.042519	156620	1166830.389956453	4	2
2014-04-01 16:01:29.466106	156621	64	2	24
2014-04-01 16:01:29.687057	156622	16.6	1	24
2014-04-01 16:01:31.799332	156623	627	3	2
2014-04-01 16:01:32.029239	156624	1166832.6880258957	4	2
2014-04-01 16:01:32.506864	156625	51	2	25
2014-04-01 16:01:32.747157	156626	17.7	1	25
2014-04-01 16:01:39.242223	156627	46	2	10
2014-04-01 16:01:39.473897	156628	21.0	1	10
2014-04-01 16:01:46.882854	156629	57	2	9
2014-04-01 16:01:47.103594	156630	19.9	1	9
2014-04-01 16:01:47.93869	156631	54	2	8
2014-04-01 16:01:48.168735	156632	19.4	1	8
2014-04-01 16:01:57.890959	156633	58	2	1
2014-04-01 16:01:58.113124	156634	20.4	1	1
2014-04-01 16:02:08.46241	156635	64	2	24
2014-04-01 16:02:08.694846	156636	16.6	1	24
2014-04-01 16:02:11.50861	156637	51	2	25
2014-04-01 16:02:11.727277	156638	17.7	1	25
2014-04-01 16:02:18.241526	156639	46	2	10
2014-04-01 16:02:18.475836	156640	21.0	1	10
2014-04-01 16:02:25.887064	156641	57	2	9
2014-04-01 16:02:26.107306	156642	19.9	1	9
2014-04-01 16:02:26.937833	156643	54	2	8
2014-04-01 16:02:27.167901	156644	19.4	1	8
2014-04-01 16:02:36.891831	156645	58	2	1
2014-04-01 16:02:37.113404	156646	20.5	1	1
2014-04-01 16:02:47.463745	156647	64	2	24
2014-04-01 16:02:47.693763	156648	16.6	1	24
2014-04-01 16:02:50.507311	156649	51	2	25
2014-04-01 16:02:50.728225	156650	17.7	1	25
2014-04-01 16:02:57.24188	156651	46	2	10
2014-04-01 16:02:57.472983	156652	21.0	1	10
2014-04-01 16:03:04.8826	156653	57	2	9
2014-04-01 16:03:05.103953	156654	19.9	1	9
2014-04-01 16:03:05.938006	156655	54	2	8
2014-04-01 16:03:06.168222	156656	19.4	1	8
2014-04-01 16:03:15.893619	156657	58	2	1
2014-04-01 16:03:16.115283	156658	20.5	1	1
2014-04-01 16:03:26.461864	156659	64	2	24
2014-04-01 16:03:26.694864	156660	16.7	1	24
2014-04-01 16:03:29.505258	156661	51	2	25
2014-04-01 16:03:29.728487	156662	17.7	1	25
2014-04-01 16:03:36.241196	156663	46	2	10
2014-04-01 16:03:36.473657	156664	21.0	1	10
2014-04-01 16:03:43.88561	156665	57	2	9
2014-04-01 16:03:44.107868	156666	19.9	1	9
2014-04-01 16:03:44.937683	156667	54	2	8
2014-04-01 16:03:45.180944	156668	19.4	1	8
2014-04-01 16:03:54.89063	156669	58	2	1
2014-04-01 16:03:55.110844	156670	20.5	1	1
2014-04-01 16:04:05.461903	156671	64	2	24
2014-04-01 16:04:05.695295	156672	16.7	1	24
2014-04-01 16:04:08.50687	156673	51	2	25
2014-04-01 16:04:08.728607	156674	17.7	1	25
2014-04-01 16:04:15.449355	156675	46	2	10
2014-04-01 16:04:15.681474	156676	21.1	1	10
2014-04-01 16:04:22.885124	156677	57	2	9
2014-04-01 16:04:23.105443	156678	19.9	1	9
2014-04-01 16:04:23.942278	156679	54	2	8
2014-04-01 16:04:24.173021	156680	19.4	1	8
2014-04-01 16:04:31.801932	156681	643	3	2
2014-04-01 16:04:32.023748	156682	1166864.8609980955	4	2
2014-04-01 16:04:33.893447	156683	58	2	1
2014-04-01 16:04:34.122581	156684	20.6	1	1
2014-04-01 16:04:44.45976	156685	64	2	24
2014-04-01 16:04:44.682537	156686	16.7	1	24
2014-04-01 16:04:47.507881	156687	51	2	25
2014-04-01 16:04:47.739924	156688	17.7	1	25
2014-04-01 16:04:54.241986	156689	46	2	10
2014-04-01 16:04:54.464138	156690	21.1	1	10
2014-04-01 16:05:01.884715	156691	57	2	9
2014-04-01 16:05:02.115098	156692	19.9	1	9
2014-04-01 16:05:02.940471	156693	54	2	8
2014-04-01 16:05:03.162139	156694	19.4	1	8
2014-04-01 16:05:12.935663	156695	58	2	1
2014-04-01 16:05:13.166427	156696	20.6	1	1
2014-04-01 16:05:23.502189	156697	64	2	24
2014-04-01 16:05:23.723191	156698	16.8	1	24
2014-04-01 16:05:26.506887	156699	51	2	25
2014-04-01 16:05:26.738257	156700	17.7	1	25
2014-04-01 16:05:31.800748	156701	643	3	2
2014-04-01 16:05:32.024382	156702	1166875.2023105882	4	2
2014-04-01 16:05:33.242565	156703	46	2	10
2014-04-01 16:05:33.473621	156704	21.1	1	10
2014-04-01 16:05:40.883648	156705	57	2	9
2014-04-01 16:05:41.105934	156706	20.0	1	9
2014-04-01 16:05:41.936906	156707	54	2	8
2014-04-01 16:05:42.170112	156708	19.4	1	8
2014-04-01 16:05:51.89008	156709	58	2	1
2014-04-01 16:05:52.11586	156710	20.6	1	1
2014-04-01 16:06:02.460049	156711	64	2	24
2014-04-01 16:06:02.692012	156712	16.8	1	24
2014-04-01 16:06:05.507599	156713	51	2	25
2014-04-01 16:06:05.729222	156714	17.7	1	25
2014-04-01 16:06:12.241885	156715	46	2	10
2014-04-01 16:06:12.486725	156716	21.1	1	10
2014-04-01 16:06:19.883485	156717	57	2	9
2014-04-01 16:06:20.104574	156718	20.0	1	9
2014-04-01 16:06:20.938124	156719	55	2	8
2014-04-01 16:06:21.169805	156720	19.4	1	8
2014-04-01 16:06:30.891508	156721	58	2	1
2014-04-01 16:06:31.115751	156722	20.7	1	1
2014-04-01 16:06:31.801844	156723	627	3	2
2014-04-01 16:06:32.033409	156724	1166885.543623081	4	2
2014-04-01 16:06:41.458669	156725	64	2	24
2014-04-01 16:06:41.680944	156726	16.9	1	24
2014-04-01 16:06:44.504114	156727	51	2	25
2014-04-01 16:06:44.733833	156728	17.7	1	25
2014-04-01 16:06:51.246501	156729	46	2	10
2014-04-01 16:06:51.469536	156730	21.1	1	10
2014-04-01 16:06:58.884707	156731	57	2	9
2014-04-01 16:06:59.114488	156732	20.0	1	9
2014-04-01 16:06:59.937878	156733	55	2	8
2014-04-01 16:07:00.158101	156734	19.4	1	8
2014-04-01 16:07:09.892001	156735	58	2	1
2014-04-01 16:07:10.122399	156736	20.7	1	1
2014-04-01 16:07:20.456911	156737	65	2	24
2014-04-01 16:07:20.679203	156738	16.9	1	24
2014-04-01 16:07:23.557863	156739	51	2	25
2014-04-01 16:07:23.789504	156740	17.7	1	25
2014-04-01 16:07:30.242633	156741	46	2	10
2014-04-01 16:07:30.468551	156742	21.1	1	10
2014-04-01 16:07:31.804516	156743	547	3	2
2014-04-01 16:07:32.035869	156744	1166895.8849355737	4	2
2014-04-01 16:07:37.883555	156745	57	2	9
2014-04-01 16:07:38.105847	156746	20.0	1	9
2014-04-01 16:07:38.939295	156747	55	2	8
2014-04-01 16:07:39.172038	156748	19.4	1	8
2014-04-01 16:07:43.799804	156749	595	3	2
2014-04-01 16:07:44.019341	156750	1166898.1830050165	4	2
2014-04-01 16:07:48.887063	156751	58	2	1
2014-04-01 16:07:49.119252	156752	20.8	1	1
2014-04-01 16:07:55.79979	156753	579	3	2
2014-04-01 16:07:56.022514	156754	1166899.3320397378	4	2
2014-04-01 16:07:59.460164	156755	64	2	24
2014-04-01 16:07:59.692361	156756	17.0	1	24
2014-04-01 16:08:02.507787	156757	51	2	25
2014-04-01 16:08:02.72802	156758	17.7	1	25
2014-04-01 16:08:09.242701	156759	46	2	10
2014-04-01 16:08:09.476296	156760	21.1	1	10
2014-04-01 16:08:16.881934	156761	57	2	9
2014-04-01 16:08:17.103772	156762	20.0	1	9
2014-04-01 16:08:17.942011	156763	55	2	8
2014-04-01 16:08:18.184279	156764	19.4	1	8
2014-04-01 16:08:27.885506	156765	58	2	1
2014-04-01 16:08:28.106003	156766	20.8	1	1
2014-04-01 16:08:31.803119	156767	579	3	2
2014-04-01 16:08:32.035374	156768	1166906.2262480664	4	2
2014-04-01 16:08:38.455933	156769	64	2	24
2014-04-01 16:08:38.678499	156770	17.0	1	24
2014-04-01 16:08:41.503747	156771	51	2	25
2014-04-01 16:08:41.737309	156772	17.7	1	25
2014-04-01 16:08:43.799586	156773	498	3	2
2014-04-01 16:08:44.023812	156774	1166907.3752827877	4	2
2014-04-01 16:08:48.244691	156775	46	2	10
2014-04-01 16:08:48.475707	156776	21.2	1	10
2014-04-01 16:08:56.082893	156777	57	2	9
2014-04-01 16:08:56.304791	156778	20.0	1	9
2014-04-01 16:08:56.938231	156779	55	2	8
2014-04-01 16:08:57.168808	156780	19.4	1	8
2014-04-01 16:09:06.889241	156781	58	2	1
2014-04-01 16:09:07.112774	156782	20.8	1	1
2014-04-01 16:09:17.454442	156783	64	2	24
2014-04-01 16:09:17.68826	156784	17.0	1	24
2014-04-01 16:09:20.502305	156785	51	2	25
2014-04-01 16:09:20.725879	156786	17.7	1	25
2014-04-01 16:09:27.243519	156787	46	2	10
2014-04-01 16:09:27.474994	156788	21.2	1	10
2014-04-01 16:09:31.803495	156789	498	3	2
2014-04-01 16:09:32.026087	156790	1166914.2694911163	4	2
2014-04-01 16:09:34.884663	156791	57	2	9
2014-04-01 16:09:35.114002	156792	20.0	1	9
2014-04-01 16:09:35.938813	156793	55	2	8
2014-04-01 16:09:36.158573	156794	19.4	1	8
2014-04-01 16:09:45.888683	156795	58	2	1
2014-04-01 16:09:46.120981	156796	20.9	1	1
2014-04-01 16:09:56.453687	156797	64	2	24
2014-04-01 16:09:56.675042	156798	17.1	1	24
2014-04-01 16:09:59.502291	156799	51	2	25
2014-04-01 16:09:59.73285	156800	17.7	1	25
2014-04-01 16:10:06.24367	156801	46	2	10
2014-04-01 16:10:06.465018	156802	21.2	1	10
2014-04-01 16:10:13.884916	156803	57	2	9
2014-04-01 16:10:14.117067	156804	20.0	1	9
2014-04-01 16:10:14.941805	156805	55	2	8
2014-04-01 16:10:15.162726	156806	19.4	1	8
2014-04-01 16:10:24.891577	156807	58	2	1
2014-04-01 16:10:25.123789	156808	20.9	1	1
2014-04-01 16:10:31.80062	156809	531	3	2
2014-04-01 16:10:32.024841	156810	1166922.3127341662	4	2
2014-04-01 16:10:35.454045	156811	64	2	24
2014-04-01 16:10:35.697207	156812	17.1	1	24
2014-04-01 16:10:38.504749	156813	52	2	25
2014-04-01 16:10:38.725923	156814	17.7	1	25
2014-04-01 16:10:45.24565	156815	46	2	10
2014-04-01 16:10:45.479574	156816	21.2	1	10
2014-04-01 16:10:52.885118	156817	57	2	9
2014-04-01 16:10:53.107017	156818	20.0	1	9
2014-04-01 16:10:53.948901	156819	55	2	8
2014-04-01 16:10:54.18112	156820	19.4	1	8
2014-04-01 16:11:03.889614	156821	58	2	1
2014-04-01 16:11:04.113367	156822	20.9	1	1
2014-04-01 16:11:14.453375	156823	64	2	24
2014-04-01 16:11:14.683817	156824	17.2	1	24
2014-04-01 16:11:17.504477	156825	52	2	25
2014-04-01 16:11:17.726311	156826	17.7	1	25
2014-04-01 16:11:24.244293	156827	46	2	10
2014-04-01 16:11:24.475839	156828	21.2	1	10
2014-04-01 16:11:32.085627	156829	57	2	9
2014-04-01 16:11:32.307415	156830	20.0	1	9
2014-04-01 16:11:32.937532	156831	55	2	8
2014-04-01 16:11:33.171247	156832	19.4	1	8
2014-04-01 16:11:42.885176	156833	57	2	1
2014-04-01 16:11:43.107341	156834	21.0	1	1
2014-04-01 16:11:53.452596	156835	64	2	24
2014-04-01 16:11:53.683891	156836	17.2	1	24
2014-04-01 16:11:56.502444	156837	52	2	25
2014-04-01 16:11:56.7227	156838	17.7	1	25
2014-04-01 16:12:03.246252	156839	46	2	10
2014-04-01 16:12:03.477617	156840	21.3	1	10
2014-04-01 16:12:10.883023	156841	57	2	9
2014-04-01 16:12:11.105506	156842	20.0	1	9
2014-04-01 16:12:11.940597	156843	55	2	8
2014-04-01 16:12:12.173281	156844	19.4	1	8
2014-04-01 16:12:21.887266	156845	57	2	1
2014-04-01 16:12:22.109113	156846	21.0	1	1
2014-04-01 16:12:31.799504	156847	498	3	2
2014-04-01 16:12:32.030806	156848	1166939.5482549875	4	2
2014-04-01 16:12:32.451578	156849	64	2	24
2014-04-01 16:12:32.672981	156850	17.3	1	24
2014-04-01 16:12:35.502389	156851	52	2	25
2014-04-01 16:12:35.732661	156852	17.7	1	25
2014-04-01 16:12:42.243959	156853	46	2	10
2014-04-01 16:12:42.469864	156854	21.3	1	10
2014-04-01 16:12:49.882544	156855	57	2	9
2014-04-01 16:12:50.116856	156856	20.1	1	9
2014-04-01 16:12:50.940618	156857	55	2	8
2014-04-01 16:12:51.16169	156858	19.4	1	8
2014-04-01 16:13:00.889288	156859	57	2	1
2014-04-01 16:13:01.142992	156860	21.1	1	1
2014-04-01 16:13:11.453629	156861	64	2	24
2014-04-01 16:13:11.675477	156862	17.3	1	24
2014-04-01 16:13:14.502846	156863	51	2	25
2014-04-01 16:13:14.733799	156864	17.7	1	25
2014-04-01 16:13:21.245403	156865	46	2	10
2014-04-01 16:13:21.470246	156866	21.3	1	10
2014-04-01 16:13:28.88236	156867	57	2	9
2014-04-01 16:13:29.114288	156868	20.1	1	9
2014-04-01 16:13:29.938419	156869	55	2	8
2014-04-01 16:13:30.158646	156870	19.4	1	8
2014-04-01 16:13:31.799646	156871	515	3	2
2014-04-01 16:13:32.032803	156872	1166948.7405327586	4	2
2014-04-01 16:13:39.884221	156873	57	2	1
2014-04-01 16:13:40.105545	156874	21.1	1	1
2014-04-01 16:13:43.797795	156875	579	3	2
2014-04-01 16:13:44.030522	156876	1166949.8895674802	4	2
2014-04-01 16:13:50.450079	156877	64	2	24
2014-04-01 16:13:50.673511	156878	17.3	1	24
2014-04-01 16:13:53.500868	156879	51	2	25
2014-04-01 16:13:53.733921	156880	17.7	1	25
2014-04-01 16:13:55.800441	156881	547	3	2
2014-04-01 16:13:56.028661	156882	1166952.1876369228	4	2
2014-04-01 16:14:00.244465	156883	46	2	10
2014-04-01 16:14:00.47559	156884	21.3	1	10
2014-04-01 16:14:08.086032	156885	57	2	9
2014-04-01 16:14:08.30811	156886	20.1	1	9
2014-04-01 16:14:08.937303	156887	55	2	8
2014-04-01 16:14:09.168755	156888	19.4	1	8
2014-04-01 16:14:18.885351	156889	57	2	1
2014-04-01 16:14:19.110331	156890	21.1	1	1
2014-04-01 16:14:29.450451	156891	64	2	24
2014-04-01 16:14:29.683152	156892	17.4	1	24
2014-04-01 16:14:31.799541	156893	547	3	2
2014-04-01 16:14:32.019222	156894	1166957.93281053	4	2
2014-04-01 16:14:32.502209	156895	52	2	25
2014-04-01 16:14:32.734926	156896	17.7	1	25
2014-04-01 16:14:39.24617	156897	46	2	10
2014-04-01 16:14:39.467321	156898	21.3	1	10
2014-04-01 16:14:46.885135	156899	57	2	9
2014-04-01 16:14:47.116668	156900	20.1	1	9
2014-04-01 16:14:47.939567	156901	55	2	8
2014-04-01 16:14:48.160829	156902	19.4	1	8
2014-04-01 16:14:57.88341	156903	57	2	1
2014-04-01 16:14:58.115214	156904	21.2	1	1
2014-04-01 16:15:08.448997	156905	64	2	24
2014-04-01 16:15:08.670582	156906	17.5	1	24
2014-04-01 16:15:11.501793	156907	52	2	25
2014-04-01 16:15:11.74432	156908	17.8	1	25
2014-04-01 16:15:18.246074	156909	46	2	10
2014-04-01 16:15:18.467105	156910	21.3	1	10
2014-04-01 16:15:19.804675	156911	579	3	2
2014-04-01 16:15:20.037359	156912	1166964.8270188584	4	2
2014-04-01 16:15:25.884657	156913	57	2	9
2014-04-01 16:15:26.106613	156914	20.1	1	9
2014-04-01 16:15:26.940529	156915	55	2	8
2014-04-01 16:15:27.170408	156916	19.4	1	8
2014-04-01 16:15:31.798523	156917	547	3	2
2014-04-01 16:15:32.022927	156918	1166967.1250883013	4	2
2014-04-01 16:15:36.890111	156919	57	2	1
2014-04-01 16:15:37.126578	156920	21.2	1	1
2014-04-01 16:15:43.799839	156921	595	3	2
2014-04-01 16:15:44.025612	156922	1166968.2741230228	4	2
2014-04-01 16:15:47.450416	156923	64	2	24
2014-04-01 16:15:47.679524	156924	17.5	1	24
2014-04-01 16:15:50.500345	156925	52	2	25
2014-04-01 16:15:50.721187	156926	17.8	1	25
2014-04-01 16:15:55.801305	156927	595	3	2
2014-04-01 16:15:56.038283	156928	1166970.5721924657	4	2
2014-04-01 16:15:57.246968	156929	46	2	10
2014-04-01 16:15:57.466864	156930	21.3	1	10
2014-04-01 16:16:04.881925	156931	57	2	9
2014-04-01 16:16:05.115584	156932	20.1	1	9
2014-04-01 16:16:05.940828	156933	55	2	8
2014-04-01 16:16:06.163057	156934	19.4	1	8
2014-04-01 16:16:15.886954	156935	57	2	1
2014-04-01 16:16:16.121416	156936	21.2	1	1
2014-04-01 16:16:26.448462	156937	64	2	24
2014-04-01 16:16:26.670073	156938	17.5	1	24
2014-04-01 16:16:29.502587	156939	52	2	25
2014-04-01 16:16:29.733459	156940	17.8	1	25
2014-04-01 16:16:31.799691	156941	579	3	2
2014-04-01 16:16:32.02255	156942	1166976.3173660727	4	2
2014-04-01 16:16:36.24582	156943	46	2	10
2014-04-01 16:16:36.477685	156944	21.3	1	10
2014-04-01 16:16:43.883342	156945	57	2	9
2014-04-01 16:16:44.105902	156946	20.1	1	9
2014-04-01 16:16:44.939525	156947	55	2	8
2014-04-01 16:16:45.172254	156948	19.4	1	8
2014-04-01 16:16:54.886346	156949	57	2	1
2014-04-01 16:16:55.111308	156950	21.2	1	1
2014-04-01 16:17:05.447249	156951	64	2	24
2014-04-01 16:17:05.679732	156952	17.6	1	24
2014-04-01 16:17:07.805255	156953	547	3	2
2014-04-01 16:17:08.026768	156954	1166982.0625396797	4	2
2014-04-01 16:17:08.49803	156955	52	2	25
2014-04-01 16:17:08.739203	156956	17.8	1	25
2014-04-01 16:17:15.251231	156957	46	2	10
2014-04-01 16:17:15.47313	156958	21.4	1	10
2014-04-01 16:17:19.798641	156959	547	3	2
2014-04-01 16:17:20.029409	156960	1166984.3606091226	4	2
2014-04-01 16:17:22.881956	156961	57	2	9
2014-04-01 16:17:23.105741	156962	20.1	1	9
2014-04-01 16:17:23.938616	156963	55	2	8
2014-04-01 16:17:24.170313	156964	19.4	1	8
2014-04-01 16:17:31.799873	156965	579	3	2
2014-04-01 16:17:32.021396	156966	1166985.5096438439	4	2
2014-04-01 16:17:33.882616	156967	57	2	1
2014-04-01 16:17:34.113334	156968	21.3	1	1
2014-04-01 16:17:44.445419	156969	64	2	24
2014-04-01 16:17:44.68962	156970	17.6	1	24
2014-04-01 16:17:47.499981	156971	52	2	25
2014-04-01 16:17:47.72993	156972	17.8	1	25
2014-04-01 16:17:54.246068	156973	46	2	10
2014-04-01 16:17:54.471706	156974	21.4	1	10
2014-04-01 16:17:55.798198	156975	547	3	2
2014-04-01 16:17:56.029318	156976	1166990.1057827296	4	2
2014-04-01 16:18:01.882704	156977	57	2	9
2014-04-01 16:18:02.104575	156978	20.1	1	9
2014-04-01 16:18:02.938274	156979	55	2	8
2014-04-01 16:18:03.168935	156980	19.4	1	8
2014-04-01 16:18:12.888064	156981	57	2	1
2014-04-01 16:18:13.110252	156982	21.3	1	1
2014-04-01 16:18:23.445349	156983	64	2	24
2014-04-01 16:18:23.677351	156984	17.7	1	24
2014-04-01 16:18:26.500683	156985	52	2	25
2014-04-01 16:18:26.722668	156986	17.8	1	25
2014-04-01 16:18:33.247245	156987	46	2	10
2014-04-01 16:18:33.484541	156988	21.4	1	10
2014-04-01 16:18:40.883494	156989	58	2	9
2014-04-01 16:18:41.103764	156990	20.2	1	9
2014-04-01 16:18:41.939666	156991	55	2	8
2014-04-01 16:18:42.170856	156992	19.4	1	8
2014-04-01 16:18:51.883779	156993	57	2	1
2014-04-01 16:18:52.105504	156994	21.4	1	1
2014-04-01 16:19:02.24766	156995	579	3	2
2014-04-01 16:19:02.48238	156996	1166999.298060501	4	2
2014-04-01 16:19:02.786282	156997	64	2	24
2014-04-01 16:19:03.008015	156998	17.7	1	24
2014-04-01 16:19:05.500884	156999	52	2	25
2014-04-01 16:19:05.732406	157000	17.8	1	25
2014-04-01 16:19:12.248045	157001	46	2	10
2014-04-01 16:19:12.470756	157002	21.4	1	10
2014-04-01 16:19:20.939724	157003	55	2	8
2014-04-01 16:19:21.185431	157004	19.4	1	8
2014-04-01 16:19:30.882487	157005	57	2	1
2014-04-01 16:19:31.104811	157006	21.4	1	1
2014-04-01 16:19:31.807103	157007	547	3	2
2014-04-01 16:19:32.225002	157008	1167003.8941993867	4	2
2014-04-01 16:19:41.443977	157009	64	2	24
2014-04-01 16:19:41.672355	157010	17.8	1	24
2014-04-01 16:19:44.499867	157011	52	2	25
2014-04-01 16:19:44.721882	157012	17.8	1	25
2014-04-01 16:19:51.247769	157013	46	2	10
2014-04-01 16:19:51.479247	157014	21.4	1	10
2014-04-01 16:19:59.085831	157015	58	2	9
2014-04-01 16:19:59.307033	157016	20.2	1	9
2014-04-01 16:19:59.937191	157017	55	2	8
2014-04-01 16:20:00.168038	157018	19.4	1	8
2014-04-01 16:20:09.881863	157019	57	2	1
2014-04-01 16:20:10.103903	157020	21.5	1	1
2014-04-01 16:20:19.800301	157021	498	3	2
2014-04-01 16:20:20.034694	157022	1167011.9374424366	4	2
2014-04-01 16:20:20.44286	157023	64	2	24
2014-04-01 16:20:20.66799	157024	17.8	1	24
2014-04-01 16:20:23.499418	157025	52	2	25
2014-04-01 16:20:23.731849	157026	17.8	1	25
2014-04-01 16:20:30.247473	157027	46	2	10
2014-04-01 16:20:30.472396	157028	21.4	1	10
2014-04-01 16:20:31.801984	157029	498	3	2
2014-04-01 16:20:32.03365	157030	1167013.086477158	4	2
2014-04-01 16:20:37.885962	157031	58	2	9
2014-04-01 16:20:38.107569	157032	20.2	1	9
2014-04-01 16:20:38.938487	157033	55	2	8
2014-04-01 16:20:39.169284	157034	19.4	1	8
2014-04-01 16:20:48.882627	157035	57	2	1
2014-04-01 16:20:49.105438	157036	21.5	1	1
2014-04-01 16:20:59.443717	157037	64	2	24
2014-04-01 16:20:59.682637	157038	17.9	1	24
2014-04-01 16:21:02.500462	157039	52	2	25
2014-04-01 16:21:02.723322	157040	17.8	1	25
2014-04-01 16:21:09.248855	157041	46	2	10
2014-04-01 16:21:09.481823	157042	21.4	1	10
2014-04-01 16:21:16.881583	157043	58	2	9
2014-04-01 16:21:17.105292	157044	20.2	1	9
2014-04-01 16:21:17.940715	157045	55	2	8
2014-04-01 16:21:18.171878	157046	19.5	1	8
2014-04-01 16:21:27.880713	157047	57	2	1
2014-04-01 16:21:28.10438	157048	21.5	1	1
2014-04-01 16:21:31.930104	157049	515	3	2
2014-04-01 16:21:32.365822	157050	1167022.2787549293	4	2
2014-04-01 16:21:38.441588	157051	64	2	24
2014-04-01 16:21:38.667903	157052	17.9	1	24
\.


--
-- Name: data_point_id_seq; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('data_point_id_seq', 157052, true);


--
-- Data for Name: device; Type: TABLE DATA; Schema: public; Owner: -
--

COPY device (created_at, id, name, device_type, device_sub_type, device_id) FROM stdin;
2014-03-24 22:13:55.63523	1	study	82	1	0xCF01
2014-03-25 12:16:42.319772	8	bathroom	82	1	0xB101
2014-03-24 22:15:20.778648	2	electricity	90	1	0x2EB2
2014-03-26 18:51:37.985763	9	kitchen	82	1	0x7701
2014-03-26 19:22:39.585406	10	livingroom	82	1	0x9901
2014-03-31 09:46:04.244234	24	bedroom	82	1	0xF701
2014-03-31 09:52:36.140472	25	front door	82	1	0xE001
\.


--
-- Name: device_id_seq; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('device_id_seq', 25, true);


--
-- Data for Name: series; Type: TABLE DATA; Schema: public; Owner: -
--

COPY series (created_at, id, name) FROM stdin;
2014-03-24 22:13:55.776837	1	temperature
2014-03-24 22:13:56.094181	2	humidity
2014-03-24 22:15:20.863483	3	electricity
2014-03-26 12:36:32.833691	4	total_watts
\.


--
-- Name: series_id_seq; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('series_id_seq', 4, true);


--
-- Name: data_point_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY data_point
    ADD CONSTRAINT data_point_pkey PRIMARY KEY (id);


--
-- Name: device_device_id_key; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY device
    ADD CONSTRAINT device_device_id_key UNIQUE (device_id);


--
-- Name: device_name_key; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY device
    ADD CONSTRAINT device_name_key UNIQUE (name);


--
-- Name: device_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY device
    ADD CONSTRAINT device_pkey PRIMARY KEY (id);


--
-- Name: series_name_key; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY series
    ADD CONSTRAINT series_name_key UNIQUE (name);


--
-- Name: series_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY series
    ADD CONSTRAINT series_pkey PRIMARY KEY (id);


--
-- Name: data_point_device_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY data_point
    ADD CONSTRAINT data_point_device_id_fkey FOREIGN KEY (device_id) REFERENCES device(id);


--
-- Name: data_point_series_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY data_point
    ADD CONSTRAINT data_point_series_id_fkey FOREIGN KEY (series_id) REFERENCES series(id);


--
-- Name: public; Type: ACL; Schema: -; Owner: -
--

REVOKE ALL ON SCHEMA public FROM PUBLIC;
REVOKE ALL ON SCHEMA public FROM postgres;
GRANT ALL ON SCHEMA public TO postgres;
GRANT ALL ON SCHEMA public TO PUBLIC;


--
-- PostgreSQL database dump complete
--

